DROP TABLE IF EXISTS spell_display_effects;
CREATE TABLE spell_display_effects (
	id          INTEGER PRIMARY KEY,
	spell_id    INTEGER NOT NULL DEFAULT 0,
	tier        INTEGER NOT NULL DEFAULT 1,
	percentage  INTEGER DEFAULT 100,
	description TEXT NOT NULL,
	bullet      INTEGER NOT NULL DEFAULT 0,
	index       INTEGER NOT NULL DEFAULT 0,
	FOREIGN KEY (spell_id) REFERENCES spells(id) ON DELETE CASCADE ON UPDATE CASCADE
);
CREATE INDEX idx_spell_display_effects_spell_id ON spell_display_effects(spell_id);

INSERT INTO spell_display_effects VALUES
(1,9000,1,100,'Increases the amount of durability gained by 9.0.',0,0),
(2,9001,1,100,'Increases the amount of durability gained by 9.0.',0,0),
(3,9002,1,100,'Increases progress by 9.0',0,0),
(4,9003,1,100,'Increases progress by 9.0',0,0),
(5,9004,1,100,'Decreases experimental progress by 1.0',0,0),
(6,9004,1,100,'Increases the amount of experimental durability gained by 2.0.',0,1),
(7,9004,1,100,'Cannot be modified except by direct means',0,2),
(8,9004,2,100,'Decreases experimental progress by 2.0',0,0),
(9,9004,2,100,'Increases the amount of experimental durability gained by 4.0.',0,1),
(10,9004,2,100,'Cannot be modified except by direct means',0,2),
(11,9004,3,100,'Decreases experimental progress by 3.0',0,0),
(12,9004,3,100,'Increases the amount of experimental durability gained by 6.0.',0,1),
(13,9004,3,100,'Cannot be modified except by direct means',0,2),
(14,9004,4,100,'Decreases experimental progress by 4.0',0,0),
(15,9004,4,100,'Increases the amount of experimental durability gained by 8.0.',0,1),
(16,9004,4,100,'Cannot be modified except by direct means',0,2),
(17,9004,5,100,'Decreases experimental progress by 5.0',0,0),
(18,9004,5,100,'Increases the amount of experimental durability gained by 10.0.',0,1),
(19,9004,5,100,'Cannot be modified except by direct means',0,2),
(20,9005,1,100,'Increases progress by 10.0',0,0),
(21,9006,1,100,'Increases the amount of durability gained by 10.0.',0,0),
(22,9007,1,100,'Decreases success chance by 9.0%',0,0),
(23,9007,1,100,'Increases progress by 9.0',0,1),
(24,9008,1,100,'Increases the amount of durability gained by 4,500.0.',0,0),
(25,9008,1,100,'Increases progress by 4,500.0',0,1),
(26,9008,1,100,'Must have completed the Quest &quot;Prospector of Lost Faith&quot;',0,2),
(27,9009,1,100,'Increases the amount of durability gained by 10.0.',0,0),
(28,9010,1,100,'Decreases experimental success chance by 1.0%',0,0),
(29,9010,1,100,'Increases experimental durability gain by 2.0%.',0,1),
(30,9010,1,100,'Cannot be modified except by direct means',0,2),
(31,9011,1,100,'Decreases success chance by 9.0%',0,0),
(32,9011,1,100,'Increases the amount of durability gained by 9.0.',0,1),
(33,9010,2,100,'Decreases experimental success chance by 2.0%',0,0),
(34,9010,2,100,'Increases experimental durability gain by 4.0%.',0,1),
(35,9010,2,100,'Cannot be modified except by direct means',0,2),
(36,9010,3,100,'Decreases experimental success chance by 3.0%',0,0),
(37,9010,3,100,'Increases experimental durability gain by 6.0%.',0,1),
(38,9010,3,100,'Cannot be modified except by direct means',0,2),
(39,9010,4,100,'Decreases experimental success chance by 4.0%',0,0),
(40,9010,4,100,'Increases experimental durability gain by 8.0%.',0,1),
(41,9010,4,100,'Cannot be modified except by direct means',0,2),
(42,9010,5,100,'Decreases experimental success chance by 5.0%',0,0),
(43,9010,5,100,'Increases experimental durability gain by 10.0%.',0,1),
(44,9010,5,100,'Cannot be modified except by direct means',0,2),
(45,9012,1,100,'Increases the amount of durability gained by 9.0.',0,0),
(46,9013,1,100,'Decreases success chance by 9.0%',0,0),
(47,9013,1,100,'Increases progress by 9.0',0,1),
(48,9014,1,100,'Reduces the amount of durability gained by 8.0.',0,0),
(49,9014,1,100,'Increases progress by 10.0',0,1),
(50,9015,1,100,'Decreases success chance by 7.0%',0,0),
(51,9015,1,100,'Increases the amount of durability gained by 9.0.',0,1),
(52,9016,1,100,'Decreases progress by 6.0',0,0),
(53,9016,1,100,'Increases the amount of durability gained by 9.0.',0,1),
(54,9017,1,100,'Decreases success chance by 9.0%',0,0),
(55,9017,1,100,'Increases progress by 9.0',0,1),
(56,9018,1,100,'Increases the amount of durability gained by 10.0.',0,0),
(57,9019,1,100,'Decreases success chance by 9.0%',0,0),
(58,9019,1,100,'Increases progress by 10.0',0,1),
(59,9020,1,100,'Decreases success chance by 9.0%',0,0),
(60,9020,1,100,'Increases the amount of durability gained by 9.0.',0,1),
(61,9021,1,100,'Reduces the amount of durability gained by 8.0.',0,0),
(62,9021,1,100,'Increases progress by 10.0',0,1),
(63,9022,3,100,'Decreases success chance by 7.0%',0,0),
(64,9022,3,100,'Increases the amount of durability gained by 20.0.',0,1),
(65,9023,1,100,'Decreases success chance by 9.0%',0,0),
(66,9023,1,100,'Increases the amount of durability gained by 9.0.',0,1),
(67,9024,3,100,'Decreases progress by 8.0',0,0),
(68,9024,3,100,'Increases the amount of durability gained by 20.0.',0,1),
(69,9025,3,100,'Reduces the amount of durability gained by 8.0.',0,0),
(70,9025,3,100,'Increases progress by 20.0',0,1),
(71,9026,1,100,'Increases progress by 9.0',0,0),
(72,9027,3,100,'Decreases success chance by 7.0%',0,0),
(73,9027,3,100,'Increases progress by 20.0',0,1),
(74,9028,1,100,'Decreases success chance by 9.0%',0,0),
(75,9028,1,100,'Increases the amount of durability gained by 10.0.',0,1),
(76,9029,1,100,'Reduces experimental durability gain by 1.0%.',0,0),
(77,9029,1,100,'Increases experimental success chance by 2.0%',0,1),
(78,9029,1,100,'Cannot be modified except by direct means',0,2),
(79,9029,2,100,'Reduces experimental durability gain by 2.0%.',0,0),
(80,9029,2,100,'Increases experimental success chance by 4.0%',0,1),
(81,9029,2,100,'Cannot be modified except by direct means',0,2),
(82,9029,3,100,'Reduces experimental durability gain by 3.0%.',0,0),
(83,9029,3,100,'Increases experimental success chance by 6.0%',0,1),
(84,9029,3,100,'Cannot be modified except by direct means',0,2),
(85,9029,4,100,'Reduces experimental durability gain by 4.0%.',0,0),
(86,9029,4,100,'Increases experimental success chance by 8.0%',0,1),
(87,9029,4,100,'Cannot be modified except by direct means',0,2),
(88,9029,5,100,'Reduces experimental durability gain by 5.0%.',0,0),
(89,9029,5,100,'Increases experimental success chance by 10.0%',0,1),
(90,9029,5,100,'Cannot be modified except by direct means',0,2),
(91,9030,1,100,'Reduces the amount of durability gained by 8.0.',0,0),
(92,9030,1,100,'Increases progress by 9.0',0,1),
(93,9031,1,100,'Reduces the amount of experimental durability gained by 1.0.',0,0),
(94,9031,1,100,'Increases experimental progress by 2.0',0,1),
(95,9031,1,100,'Cannot be modified except by direct means',0,2),
(96,9031,2,100,'Reduces the amount of experimental durability gained by 2.0.',0,0),
(97,9031,2,100,'Increases experimental progress by 4.0',0,1),
(98,9031,2,100,'Cannot be modified except by direct means',0,2),
(99,9031,3,100,'Reduces the amount of experimental durability gained by 3.0.',0,0),
(100,9031,3,100,'Increases experimental progress by 6.0',0,1),
(101,9031,3,100,'Cannot be modified except by direct means',0,2),
(102,9031,4,100,'Reduces the amount of experimental durability gained by 4.0.',0,0),
(103,9031,4,100,'Increases experimental progress by 8.0',0,1),
(104,9031,4,100,'Cannot be modified except by direct means',0,2),
(105,9031,5,100,'Reduces the amount of experimental durability gained by 5.0.',0,0),
(106,9031,5,100,'Increases experimental progress by 10.0',0,1),
(107,9031,5,100,'Cannot be modified except by direct means',0,2),
(108,9032,1,100,'Decreases success chance by 9.0%',0,0),
(109,9032,1,100,'Increases the amount of durability gained by 9.0.',0,1),
(110,9033,1,100,'Decreases progress by 8.0',0,0),
(111,9033,1,100,'Increases the amount of durability gained by 9.0.',0,1),
(112,9034,1,100,'Decreases progress by 8.0',0,0),
(113,9034,1,100,'Increases the amount of durability gained by 9.0.',0,1),
(114,9035,1,100,'Increases progress by 9.0',0,0),
(115,9036,1,100,'Decreases success chance by 9.0%',0,0),
(116,9036,1,100,'Increases progress by 9.0',0,1),
(117,9037,1,100,'Increases progress by 9.0',0,0),
(118,9038,1,100,'Decreases success chance by 7.0%',0,0),
(119,9038,1,100,'Increases progress by 9.0',0,1),
(120,9039,1,100,'Decreases progress by 8.0',0,0),
(121,9039,1,100,'Increases the amount of durability gained by 10.0.',0,1),
(122,9040,1,100,'Increases progress by 10.0',0,0),
(123,9041,1,100,'Reduces the amount of durability gained by 6.0.',0,0),
(124,9041,1,100,'Increases progress by 9.0',0,1),
(125,9042,1,100,'Decreases progress by 8.0',0,0),
(126,9042,1,100,'Increases the amount of durability gained by 10.0.',0,1),
(127,9043,1,100,'Decreases progress by 8.0',0,0),
(128,9043,1,100,'Increases the amount of durability gained by 9.0.',0,1),
(129,9044,1,100,'Increases progress by 9.0',0,0),
(130,9045,3,100,'Decreases success chance by 7.0%',0,0),
(131,9045,3,100,'Increases progress by 20.0',0,1),
(132,9046,3,100,'Decreases success chance by 7.0%',0,0),
(133,9046,3,100,'Increases the amount of durability gained by 20.0.',0,1),
(134,9047,1,100,'Increases progress by 9.0',0,0),
(135,9048,1,100,'Increases progress by 9.0',0,0),
(136,9049,1,100,'Decreases success chance by 9.0%',0,0),
(137,9049,1,100,'Increases progress by 10.0',0,1),
(138,9050,1,100,'Increases progress by 10.0',0,0),
(139,9051,1,100,'Reduces the amount of durability gained by 8.0.',0,0),
(140,9051,1,100,'Increases progress by 9.0',0,1),
(141,9052,1,100,'Reduces the amount of durability gained by 8.0.',0,0),
(142,9052,1,100,'Increases progress by 9.0',0,1),
(143,9053,3,100,'Decreases progress by 8.0',0,0),
(144,9053,3,100,'Increases the amount of durability gained by 20.0.',0,1),
(145,9054,1,100,'Decreases success chance by 9.0%',0,0),
(146,9054,1,100,'Increases progress by 9.0',0,1),
(147,9055,1,100,'Decreases success chance by 7.0%',0,0),
(148,9055,1,100,'Increases progress by 9.0',0,1),
(149,9056,3,100,'Increases progress by 20.0',0,0),
(150,9057,1,100,'Increases the amount of durability gained by 9.0.',0,0),
(151,9058,1,100,'Decreases success chance by 9.0%',0,0),
(152,9058,1,100,'Increases the amount of durability gained by 9.0.',0,1),
(153,9059,1,100,'Decreases success chance by 9.0%',0,0),
(154,9059,1,100,'Increases the amount of durability gained by 9.0.',0,1),
(155,9060,1,100,'Increases the amount of durability gained by 9.0.',0,0),
(156,9061,1,100,'Decreases success chance by 7.0%',0,0),
(157,9061,1,100,'Increases progress by 9.0',0,1),
(158,9062,1,100,'Increases the amount of durability gained by 9.0.',0,0),
(159,9063,1,100,'Reduces the amount of experimental progress gained by 1.0%.',0,0),
(160,9063,1,100,'Increases experimental success chance by 2.0%',0,1),
(161,9063,1,100,'Cannot be modified except by direct means',0,2),
(162,9063,2,100,'Reduces the amount of experimental progress gained by 2.0%.',0,0),
(163,9063,2,100,'Increases experimental success chance by 4.0%',0,1),
(164,9063,2,100,'Cannot be modified except by direct means',0,2),
(165,9063,3,100,'Reduces the amount of experimental progress gained by 3.0%.',0,0),
(166,9063,3,100,'Increases experimental success chance by 6.0%',0,1),
(167,9063,3,100,'Cannot be modified except by direct means',0,2),
(168,9063,4,100,'Reduces the amount of experimental progress gained by 4.0%.',0,0),
(169,9063,4,100,'Increases experimental success chance by 8.0%',0,1),
(170,9063,4,100,'Cannot be modified except by direct means',0,2),
(171,9063,5,100,'Reduces the amount of experimental progress gained by 5.0%.',0,0),
(172,9063,5,100,'Increases experimental success chance by 10.0%',0,1),
(173,9063,5,100,'Cannot be modified except by direct means',0,2),
(174,9064,1,100,'Increases the amount of durability gained by 9.0.',0,0),
(175,9065,1,100,'Increases progress by 9.0',0,0),
(176,9066,1,100,'Increases the amount of durability gained by 9.0.',0,0),
(177,9067,1,100,'Decreases success chance by 7.0%',0,0),
(178,9067,1,100,'Increases the amount of durability gained by 9.0.',0,1),
(179,9068,1,100,'Decreases progress by 8.0',0,0),
(180,9068,1,100,'Increases the amount of durability gained by 9.0.',0,1),
(181,9069,1,100,'Decreases success chance by 9.0%',0,0),
(182,9069,1,100,'Increases progress by 10.0',0,1),
(183,9070,1,100,'Decreases progress by 8.0',0,0),
(184,9070,1,100,'Increases the amount of durability gained by 10.0.',0,1),
(185,9071,1,100,'Decreases progress by 8.0',0,0),
(186,9071,1,100,'Increases the amount of durability gained by 9.0.',0,1),
(187,9072,1,100,'Decreases progress by 8.0',0,0),
(188,9072,1,100,'Increases the amount of durability gained by 9.0.',0,1),
(189,9073,1,100,'Decreases progress by 6.0',0,0),
(190,9073,1,100,'Increases the amount of durability gained by 9.0.',0,1),
(191,9074,1,100,'Increases the amount of durability gained by 9.0.',0,0),
(192,9075,1,100,'Reduces the amount of durability gained by 8.0.',0,0),
(193,9075,1,100,'Increases progress by 9.0',0,1),
(194,9076,1,100,'Reduces the amount of durability gained by 8.0.',0,0),
(195,9076,1,100,'Increases progress by 9.0',0,1),
(196,9077,1,100,'Decreases success chance by 9.0%',0,0),
(197,9077,1,100,'Increases progress by 9.0',0,1),
(198,9078,1,100,'Increases progress by 9.0',0,0),
(199,9079,1,100,'Reduces the amount of durability gained by 8.0.',0,0),
(200,9079,1,100,'Increases progress by 9.0',0,1),
(201,9080,1,100,'Reduces the amount of durability gained by 6.0.',0,0),
(202,9080,1,100,'Increases progress by 9.0',0,1),
(203,9081,1,100,'Decreases success chance by 9.0%',0,0),
(204,9081,1,100,'Increases the amount of durability gained by 10.0.',0,1),
(205,9082,1,100,'Decreases success chance by 9.0%',0,0),
(206,9082,1,100,'Increases the amount of durability gained by 10.0.',0,1),
(207,9083,1,100,'Reduces the amount of durability gained by 6.0.',0,0),
(208,9083,1,100,'Increases progress by 9.0',0,1),
(209,9084,3,100,'Increases progress by 20.0',0,0),
(210,9085,3,100,'Increases the amount of durability gained by 20.0.',0,0),
(211,9086,1,100,'Decreases success chance by 7.0%',0,0),
(212,9086,1,100,'Increases the amount of durability gained by 9.0.',0,1),
(213,9087,1,100,'Reduces the amount of durability gained by 8.0.',0,0),
(214,9087,1,100,'Increases progress by 10.0',0,1),
(215,9088,1,100,'Decreases success chance by 9.0%',0,0),
(216,9088,1,100,'Increases progress by 9.0',0,1),
(217,9089,1,100,'Reduces the amount of durability gained by 9.0.',0,0),
(218,9089,1,100,'Increases progress by 9.0',0,1),
(219,9090,3,100,'Increases the amount of durability gained by 20.0.',0,0),
(220,9091,1,100,'Decreases experimental success chance by 1.0%',0,0),
(221,9091,1,100,'Increases the amount of experimental progress gained by 2.0%.',0,1),
(222,9091,1,100,'Cannot be modified except by direct means',0,2),
(223,9091,2,100,'Decreases experimental success chance by 2.0%',0,0),
(224,9091,2,100,'Increases the amount of experimental progress gained by 4.0%.',0,1),
(225,9091,2,100,'Cannot be modified except by direct means',0,2),
(226,9091,3,100,'Decreases experimental success chance by 3.0%',0,0),
(227,9091,3,100,'Increases the amount of experimental progress gained by 6.0%.',0,1),
(228,9091,3,100,'Cannot be modified except by direct means',0,2),
(229,9091,4,100,'Decreases experimental success chance by 4.0%',0,0),
(230,9091,4,100,'Increases the amount of experimental progress gained by 8.0%.',0,1),
(231,9091,4,100,'Cannot be modified except by direct means',0,2),
(232,9091,5,100,'Decreases experimental success chance by 5.0%',0,0),
(233,9091,5,100,'Increases the amount of experimental progress gained by 10.0%.',0,1),
(234,9091,5,100,'Cannot be modified except by direct means',0,2),
(235,9092,1,100,'Decreases progress by 8.0',0,0),
(236,9092,1,100,'Increases the amount of durability gained by 9.0.',0,1),
(237,9093,1,100,'Decreases progress by 6.0',0,0),
(238,9093,1,100,'Increases the amount of durability gained by 9.0.',0,1),
(239,9094,1,100,'Decreases success chance by 9.0%',0,0),
(240,9094,1,100,'Increases the amount of durability gained by 9.0.',0,1),
(241,9095,1,100,'Increases the amount of durability gained by 9.0.',0,0),
(242,9096,3,100,'Reduces the amount of durability gained by 8.0.',0,0),
(243,9096,3,100,'Increases progress by 20.0',0,1),
(244,8001,1,100,'Increases power of target by 1',0,0),
(245,8002,1,100,'Summons a pet flyingsnake familiar',0,0),
(246,8004,1,100,'Summons 5 limited pets to aid the caster',0,0),
(247,8004,1,100,'Must have completed the Quest &quot;Forsaken&quot;',0,1),
(248,8005,1,100,'Summons a limited pet to aid the caster',0,0),
(249,8005,1,100,'Must have completed the Quest &quot;What is Rightfully Hers&quot;',0,1),
(250,8006,1,100,'Summons and drops anvils on the heads of up to 8 foes within 4 meters, stunning them for 30 seconds or until damaged.',0,0),
(251,8007,1,100,'Grants Fish Vision to caster',0,0),
(252,8007,2,100,'Grants Fish Vision to caster',0,0),
(253,8008,1,100,'Reduces arcane damage done to caster by 10%',0,0),
(254,8008,1,100,'Must have completed the Quest &quot;Down the Drain...&quot;',0,1),
(255,8009,1,100,'Summons 7 limited pets to aid the caster',0,0),
(256,8009,1,100,'Must have completed the Quest &quot;Testaments of Stone&quot;',0,1),
(257,8010,1,100,'Reduces all damage done to caster by 10%',0,0),
(258,8010,1,100,'Increases Potency of caster by 33.0%',0,1),
(259,8010,1,100,'Increases caster''s chance to block by 50.0%',0,2),
(260,8010,1,100,'Must have completed the Quest &quot;Once in Life as Well in Undeath&quot;',0,3),
(261,8011,1,100,'Grants Aura Vision to caster',0,0),
(262,8011,2,100,'Grants Aura Vision to caster',0,0),
(263,8012,1,100,'Applies Tranquility.  Lasts for 10.0 seconds.',0,0),
(264,8012,1,100,'Reduces Awareness of Other Encounters Calling for Help ',1,1),
(265,8012,1,100,'Must have completed the Quest &quot;The Saboteur of Peace&quot;',0,2),
(266,8013,1,100,'Applies Fury of the Storm.  Lasts for 5.0 seconds.',0,0),
(267,8013,1,100,'Throws target back',1,1),
(268,8013,1,100,'Inflicts 13 - 40 magic damage on caster',1,2),
(269,8013,1,100,'Stuns caster',1,3),
(270,8013,1,100,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',1,4),
(271,8013,1,100,'Must have completed the Quest &quot;Shards of Frost & Fire&quot;',0,5),
(272,8014,1,100,'When damaged this spell will cast Shock of Faith on target''s attacker.  ',0,0),
(273,8014,1,100,'Inflicts 12 - 15 divine damage on target',1,1),
(274,8014,1,100,'Grants a total of 5 triggers of the spell.',1,2),
(275,8014,1,100,'This effect can only trigger once every 0.1 seconds.',1,3),
(276,8014,1,100,'Increases STR and STA of caster by 0.8 - 1.6',0,4),
(277,8015,1,100,'Applies Divine Exodus on termination.  Lasts for 6.0 seconds.',0,0),
(278,8015,1,100,'Inflicts 15.0% of max health in divine damage on caster instantly and every 3 seconds',1,1),
(279,8015,1,100,'Caster has a 20.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,2),
(280,8015,1,100,'Increases Multi Attack of caster by 20.0',0,3),
(281,8015,1,100,'Enlarges caster by 100.0%',0,4),
(282,8015,1,100,'Increases Crit Chance of caster by 100.0',0,5),
(283,8015,1,100,'Must have completed the Quest &quot;Flesh and Steel&quot;',0,6),
(284,8016,1,100,'Increases Crit Chance of caster by 10.0',0,0),
(285,8016,1,100,'Increases DPS of caster by 15.0',0,1),
(286,8016,1,100,'Must have completed the Quest &quot;In Service of Rallos Zek&quot;',0,2),
(287,8018,1,100,'Shapechanges caster',0,0),
(288,8018,1,100,'Increases the caster''s effectiveness of worn armor vs noxious damage by 15%',0,1),
(289,8018,1,100,'Increases all spell damage by 50%.',0,2),
(290,8018,1,100,'Must have completed the Quest &quot;A Caravan of Death&quot;',0,3),
(291,8019,1,100,'Heals caster for 25.0% of max health',0,0),
(292,8019,1,100,'This effect cannot be critically applied.',1,1),
(293,8019,1,100,'This effect cannot be cast during combat',0,2),
(294,8020,1,100,'Heals caster for 25.0% of max health',0,0),
(295,8020,1,100,'This effect cannot be critically applied.',1,1),
(296,8020,1,100,'This effect cannot be cast during combat',0,2),
(297,8021,1,100,'Heals caster for 25.0% of max health',0,0),
(298,8021,1,100,'This effect cannot be critically applied.',1,1),
(299,8021,1,100,'This effect cannot be cast during combat',0,2),
(300,8022,1,100,'Heals caster for 25.0% of max health',0,0),
(301,8022,1,100,'This effect cannot be critically applied.',1,1),
(302,8022,1,100,'This effect cannot be cast during combat',0,2),
(303,8023,1,100,'Heals caster for 25.0% of max health',0,0),
(304,8023,1,100,'This effect cannot be critically applied.',1,1),
(305,8023,1,100,'This effect cannot be cast during combat',0,2),
(306,8024,1,100,'Heals caster for 25.0% of max health',0,0),
(307,8024,1,100,'This effect cannot be critically applied.',1,1),
(308,8024,1,100,'This effect cannot be cast during combat',0,2),
(309,8025,1,100,'Heals caster for 25.0% of max health',0,0),
(310,8025,1,100,'This effect cannot be critically applied.',1,1),
(311,8025,1,100,'This effect cannot be cast during combat',0,2),
(312,8019,2,100,'Heals caster for 25.0% of max health',0,0),
(313,8019,2,100,'This effect cannot be critically applied.',1,1),
(314,8019,2,100,'This effect cannot be cast during combat',0,2),
(315,8025,2,100,'Heals caster for 25.0% of max health',0,0),
(316,8025,2,100,'This effect cannot be critically applied.',1,1),
(317,8025,2,100,'This effect cannot be cast during combat',0,2),
(318,8023,2,100,'Heals caster for 2.0% of max health',0,0),
(319,8023,2,100,'This effect cannot be critically applied.',1,1),
(320,8023,2,100,'This effect cannot be cast during combat',0,2),
(321,8022,2,100,'Heals caster for 2.0% of max health',0,0),
(322,8022,2,100,'This effect cannot be cast during combat',0,1),
(323,8022,2,100,'Must not be engaged in combat',0,2),
(324,8020,2,100,'Heals caster for 2.0% of max health',0,0),
(325,8020,2,100,'This effect cannot be cast during combat',0,1),
(326,8020,2,100,'Must not be engaged in combat',0,2),
(327,8021,2,100,'Heals caster for 2.0% of max health',0,0),
(328,8021,2,100,'This effect cannot be cast during combat',0,1),
(329,8021,2,100,'Must not be engaged in combat',0,2),
(330,8024,2,100,'Heals caster for 25.0% of max health',0,0),
(331,8024,2,100,'This effect cannot be critically applied.',1,1),
(332,8024,2,100,'This effect cannot be cast during combat',0,2),
(333,8027,5,100,'Increases Haste of caster by 15.0',0,0),
(334,8027,5,100,'Increases Crit Bonus of caster by 15.0%',0,1),
(335,8027,5,100,'Increases Potency of caster by 15.0%',0,2),
(336,8027,5,100,'Must be in Silent City: The Delving Dead.',0,3),
(337,8027,5,100,'Cannot be modified except by direct means',0,4),
(338,8028,5,100,'Increases Spell Doublecast of caster by 1.0%',0,0),
(339,8028,5,100,'Caster has a 5.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,1),
(340,8028,5,100,'Increases Multi Attack of caster by 15.0',0,2),
(341,8028,5,100,'Must be in Silent City: The Delving Dead.',0,3),
(342,8029,5,100,'Increases Ability Recovery Speed of caster by 15.0%',0,0),
(343,8029,5,100,'Increases Ability Casting Speed of caster by 15.0%',0,1),
(344,8029,5,100,'Increases Crit Chance of caster by 15.0',0,2),
(345,8029,5,100,'Must be in Silent City: The Delving Dead.',0,3),
(346,8029,5,100,'Cannot be modified except by direct means',0,4),
(347,8030,1,100,'Increases power of caster by 1.0% instantly and every 6 seconds',0,0),
(348,8030,1,100,'This effect cannot be critically applied.',1,1),
(349,8030,1,100,'Heals caster for 2.5% of caster''s max health instantly and every 6 seconds',0,2),
(350,8031,1,100,'Increases Mitigation of caster vs physical damage by 0',0,0),
(351,8031,1,100,'Must have completed the Quest &quot;Forging a Bond&quot;',0,1),
(352,8032,1,100,'Increases Mitigation of caster vs elemental damage by 0',0,0),
(353,8032,1,100,'When heat damage is received this spell will cast Soothing Fire on caster.  ',0,1),
(354,8032,1,100,'Heals caster for 3 - 5',1,2),
(355,8032,1,100,'Must have completed the Quest &quot;Ro''s Vessel&quot;',0,3),
(356,8033,1,100,'All healing spells heal 50% more health.',0,0),
(357,8033,1,100,'Must have completed the Quest &quot;Those Who Were Lost&quot;',0,1),
(358,8034,5,100,'Reduces maximum falling speed of caster',0,0),
(359,8034,5,100,'Shrinks caster by 50.0%',0,1),
(360,8034,5,100,'Summons a mount to ride',0,2),
(361,8034,5,100,'Increases your ground speed by 130%',1,3),
(362,8034,5,100,'Increases your air speed by 150%',1,4),
(363,8034,5,100,'Must not be engaged in combat',0,5),
(364,8035,1,100,'Increases Crit Chance of caster by 25.0',0,0),
(365,8035,1,100,'Must have completed the Quest &quot;Sticks and Stones&quot;',0,1),
(366,8036,1,100,'When damaged with a melee weapon this spell has a 10% chance to cast Wind Gust on target''s attacker.  Lasts for 3.0 seconds.  ',0,0),
(367,8036,1,100,'Stuns target',1,1),
(368,8036,1,100,'Epic targets gain an immunity to Stun effects of 9.0 seconds and duration is reduced to 1.0 second.',1,2),
(369,8036,1,100,'On a melee hit this spell has a 25% chance to cast Storm Shock on target of attack.  ',0,3),
(370,8036,1,100,'Inflicts 12 - 15 magic damage on target',1,4),
(371,8036,1,100,'Must have completed the Quest &quot;Shards of Frost & Fire&quot;',0,5),
(372,8037,1,100,'Increases Multi Attack of caster by 5.0',0,0),
(373,8037,1,100,'Increases DPS of caster by 20.0',0,1),
(374,8037,1,100,'Must have completed the Quest &quot;The Stormfather&quot;',0,2),
(375,8038,4,100,'Summons a pet Blizzard Blue Gumdrop',0,0),
(376,8039,1,100,'Increases power of target by 1',0,0),
(377,8039,1,100,'Roots target',0,1),
(378,8039,1,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 6.0 seconds and duration is reduced to 0.7 seconds.',0,2),
(379,8039,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(380,8040,1,100,'Increases power of target by 1',0,0),
(381,8041,1,100,'Resurrects all deceased party members within a 25 meter radius of the caster with 15% health and power.',0,0),
(382,8042,1,100,'Summon 1 Brell''s Hammer',0,0),
(383,8042,1,100,'Must have completed the Quest &quot;Restoring the Underfoot Cathedral &quot;',0,1),
(384,8043,5,100,'Summons a pet a briarthorn enthraller',0,0),
(385,8044,1,100,'Increases Damage Per Second of caster by 20.0',0,0),
(386,8044,1,100,'Increases speed of caster by 50.0%',0,1),
(387,8044,1,100,'Must have completed the Quest &quot;Prank''d&quot;',0,2),
(388,8046,5,100,'Summons a pet Bzzt',0,0),
(389,8047,5,100,'Summons a pet ice wolf pup',0,0),
(390,8048,5,100,'Summons a pet a loyal snow hound',0,0),
(391,8049,5,100,'Summons a pet prototype sentient clockwork',0,0),
(392,8050,1,100,'Increases power of target by 1',0,0),
(393,8051,1,100,'Increases power of target by 1',0,0),
(394,8052,1,100,'Increases power of target by 1',0,0),
(395,8053,1,100,'Increases power of target by 1',0,0),
(396,8054,1,100,'Shapechanges caster into a fairy',0,0),
(397,8055,1,100,'Shapechanges caster into a fairy',0,0),
(398,8056,1,100,'Cancels up to 25.0% of target''s speed buffs',0,0),
(399,8056,1,100,'Decreases the target''s effectiveness of worn armor vs physical damage by 15%',0,1),
(400,8056,1,100,'Must have completed the Quest &quot;Some Testing Required&quot;',0,2),
(401,8057,2,100,'Teleports you to your recall point.',0,0),
(402,8058,1,100,'Applies Cazic''s Punishment on termination.',0,0),
(403,8058,1,100,'Inflicts 135 mental damage on target',1,1),
(404,8058,1,100,'Makes target afraid',0,2),
(405,8058,1,100,'Roots target',0,3),
(406,8058,1,100,'Must have completed the Quest &quot;Strife&quot;',0,4),
(407,8058,1,100,'Must not be engaged in pvp combat',0,5),
(408,8060,2,100,'Shapechanges caster',0,0),
(409,8063,2,100,'Enlarges caster by 20.0%',0,0),
(410,8064,1,100,'Changes the construct''s energy color to blue',0,0),
(411,8065,1,100,'Changes the construct''s energy color to gold',0,0),
(412,8066,1,100,'Changes the construct''s energy color to green',0,0),
(413,8067,1,100,'Changes the construct''s energy color to purple',0,0),
(414,8068,1,100,'Changes the construct''s energy color to yellow',0,0),
(415,8069,1,100,'Enshrouds the construct in cinders',0,0),
(416,8070,1,100,'Enshrouds the construct in shadows',0,0),
(417,8071,5,100,'Summons a pet Tinkered Companion',0,0),
(418,8072,1,100,'On any combat or spell hit this spell will cast Crippling Blow on target of attack.  ',0,0),
(419,8072,1,100,'Inflicts 12 disease damage on target',1,1),
(420,8072,1,100,'If under 20% Health',1,2),
(421,8072,1,100,'Must have completed the Quest &quot;Return of the Forgotten Goddess&quot;',0,3),
(422,8073,1,100,'Shapechanges target into a rust monster',0,0),
(423,8074,1,100,'Increases power of target by 1',0,0),
(424,8075,1,100,'Increases power of target by 1',0,0),
(425,8076,1,100,'Increases power of target by 1',0,0),
(426,8077,1,100,'Increases power of target by 1',0,0),
(427,8078,1,100,'Increases the damage, heal and duration of all divine and mental spells by 10%.',0,0),
(428,8078,1,100,'Must have completed the Quest &quot;A Hatred Repressed&quot;',0,1),
(429,8080,1,100,'Grants Infravision to caster',0,0),
(430,8081,1,100,'When damaged this spell will cast Deadly Rampage on target.  ',0,0),
(431,8081,1,100,'Inflicts 11 - 13 disease damage on target',1,1),
(432,8081,1,100,'Grants a total of 20 triggers of the spell.',1,2),
(433,8081,1,100,'Must have completed the Quest &quot;Sounding the Clarion&quot;',0,3),
(434,8082,1,100,'Summons one card from the Deck of the King''s Court.  The caster''s inventory must be free of cards before another card can be drawn from the deck.',0,0),
(435,8083,4,100,'Summons a pet Dedicated Jack-o-Lantern',0,0),
(436,8084,1,100,'Must not be targeted by an enemy',0,0),
(437,8087,1,100,'When damaged this spell will cast Devout Healing on target.  ',0,0),
(438,8087,1,100,'Heals group members (AE) for 24 - 36',1,1),
(439,8087,1,100,'Must have completed the Quest &quot;The Spread of Undeath&quot;',0,2),
(440,8088,1,100,'On a damage spell hit this spell will cast Healing Diffusion on target of spell.  Lasts for 10 minutes.  ',0,0),
(441,8088,1,100,'While this buff is active, the next damage spell cast by the follower that successfully lands on a target will grant the follower a buff that increases all healing by 5% of the damage dealt to that target.',1,1),
(442,8088,1,100,'Grants a total of 1 trigger of the spell.',1,2),
(443,8088,1,100,'Must have completed the Quest &quot;A Caravan of Death&quot;',0,3),
(444,8089,2,100,'Reduces Awareness of Enemies ',0,0),
(445,8089,2,100,'Dispelled when target takes damage',0,1),
(446,8090,1,100,'Instantly causes you and your group to vanish from sight for 30 seconds.  If you are in combat when you disappear, all creatures in combat with you will forget about your previous actions.',0,0),
(447,8091,1,100,'Shapechanges caster into a dark elf',0,0),
(448,8092,1,100,'Shapechanges caster into a half elf',0,0),
(449,8093,1,100,'Shapechanges caster into a high elf',0,0),
(450,8094,1,100,'Shapechanges caster into a high elf',0,0),
(451,8095,1,100,'Shapechanges caster into an ogre',0,0),
(452,8096,1,100,'Shapechanges caster into a wood elf',0,0),
(453,8098,1,100,'Increases power of target by 1',0,0),
(454,8100,1,100,'Increases Power Regen of caster by 50.0',0,0),
(455,8100,1,100,'Increases Health Regen of caster by 50.0',0,1),
(456,8100,1,100,'Increases Max Power of caster by 750.0',0,2),
(457,8100,1,100,'Increases Max Health of caster by 750.0',0,3),
(458,8100,1,100,'Must have completed the Quest &quot;The Anguished Children of the Duke&quot;',0,4),
(459,8101,1,100,'Increases Mitigation of caster vs elemental damage by 0',0,0),
(460,8101,1,100,'When damaged with a spell this spell has a 20% chance to cast Elemental Healing on caster.  ',0,1),
(461,8101,1,100,'Heals caster for 11 - 17',1,2),
(462,8101,1,100,'Must have completed the Quest &quot;Those Who Were Lost&quot;',0,3),
(463,8102,5,100,'Summons a companion pet baby dragon',0,0),
(464,8103,1,100,'Increases power of target by 1',0,0),
(465,8104,1,100,'Any heal cast on the target of the spell will also convert into additional power.',0,0),
(466,8104,1,100,'Must have completed the Quest &quot;Down the Drain...&quot;',0,1),
(467,8106,1,100,'Summons a pet raven familiar',0,0),
(468,8107,1,100,'Shapechanges target into a rat',0,0),
(469,8108,2,100,'Allows caster to breathe under water',0,0),
(470,8109,1,100,'Fills the beastlord''s eyes with power',0,0),
(471,8112,2,100,'Reduces maximum falling speed of caster',0,0),
(472,8112,2,100,'You cannot use this spell while riding on a mount.',0,1),
(473,8113,1,100,'Charms target',0,0),
(474,8113,1,100,'Must have completed the Quest &quot;Strife&quot;',0,1),
(475,8113,1,100,'Must not be engaged in pvp combat',0,2),
(476,8113,1,100,'Certain enemies cannot be charmed',0,3),
(477,8114,2,100,'Increases in-combat movement speed of caster by 50.0%',0,0),
(478,8114,2,100,'Increases speed of caster by 50.0%',0,1),
(479,8115,1,100,'Increases power of target by 1',0,0),
(480,8116,1,100,'Increases power of target by 1',0,0),
(481,8117,1,100,'Applies Final Judgment Immunity.  Lasts for 30.0 seconds.',0,0),
(482,8117,1,100,'Inflicts magic damage to target equal to 50% of the casters total Health. Final Judgment''s damage cannot exceed 50% of the target''s maximum Health.',0,1),
(483,8117,1,100,'Must be hated by your current target.',0,2),
(484,8117,1,100,'Must have completed the Quest &quot;The Jury&quot;',0,3),
(485,8117,1,100,'Must not be engaged in pvp combat',0,4),
(486,8118,1,100,'Increases power of target by 1',0,0),
(487,8119,1,100,'Cannot be modified except by direct means',0,0),
(488,8120,1,100,'Increases power of target by 1',0,0),
(489,8121,1,100,'Summons a pet forest spirit',0,0),
(490,8121,1,100,'On a hostile spell hit this spell may cast Nature''s Touch on caster.  Lasts for 6.0 seconds.  Triggers about 1.0 times per minute. ',0,1),
(491,8121,1,100,'Heals group members for 6 - 9',1,2),
(492,8121,1,100,'Heals group members for 3 - 4 every 3 seconds',1,3),
(493,8121,1,100,'When a combat art is used this spell has a 5% chance to cast Nature''s Touch on caster.  Lasts for 6.0 seconds.  ',0,4),
(494,8121,1,100,'Heals group members for 6 - 9',1,5),
(495,8121,1,100,'Heals group members for 3 - 4 every 3 seconds',1,6),
(496,8121,1,100,'Must have completed the Quest &quot;Imperiled Druid Ring&quot;',0,7),
(497,8122,1,100,'Cannot be modified except by direct means',0,0),
(498,8123,1,100,'Inflicts 59 - 72 divine damage on target',0,0),
(499,8123,1,100,'Stuns target',0,1),
(500,8123,1,100,'Must have completed the Quest &quot;The Anguished Children of the Duke&quot;',0,2),
(501,8123,1,100,'Must not be engaged in pvp combat',0,3),
(502,8123,1,100,'Epic targets gain an immunity to Stun effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,4),
(503,8124,1,100,'Shapechanges caster into a beaver',0,0),
(504,8125,1,100,'Shapechanges caster into a bear',0,0),
(505,8126,1,100,'Shapechanges caster into a stag',0,0),
(506,8127,1,100,'Shapechanges caster into a golem',0,0),
(507,8128,1,100,'Shapechanges caster into a ghost hawk',0,0),
(508,8129,1,100,'Shapechanges target into an owlbear',0,0),
(509,8130,5,100,'Summons a companion pet baby dragon',0,0),
(510,8133,5,100,'Summons a companion pet baby dragon',0,0),
(511,8134,1,100,'Cannot be modified except by direct means',0,0),
(512,8135,1,100,'Expresses your love for another.',0,0),
(513,8135,1,100,'If facing target',0,1),
(514,8136,1,100,'When target falls below 30% health this spell will cast Gift of Devotion on caster.  ',0,0),
(515,8136,1,100,'Heals caster for 20',1,1),
(516,8136,1,100,'Must have completed the Quest &quot;Once in Life as Well in Undeath&quot;',0,2),
(517,8137,1,100,'Conveys your ire for another.',0,0),
(518,8137,1,100,'If facing target',0,1),
(519,8138,2,100,'Allows caster to jump farther',0,0),
(520,8138,2,100,'If not on a mount',0,1),
(521,8139,2,100,'Allows caster to jump farther',0,0),
(522,8139,2,100,'If not on a mount',0,1),
(523,8140,1,100,'Caster will Parry 4.5% of incoming attacks',0,0),
(524,8140,1,100,'Increases DPS of caster by 13.5',0,1),
(525,8140,1,100,'Summons a mount to ride',0,2),
(526,8140,1,100,'Increases your ground speed by 130%',1,3),
(527,8140,1,100,'Must have completed the Quest &quot;Beacon of Courage&quot;',0,4),
(528,8141,5,100,'Summons a companion mimic chest',0,0),
(529,8142,1,100,'Summons a pet rat companion',0,0),
(530,8143,1,100,'Increases all melee and spell damage by 12.5% for 10 minutes.',0,0),
(531,8144,1,100,'Grants target a 35% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(532,8144,1,100,'Increases Piercing, Crushing, Slashing and Ranged of caster by 35.0',0,1),
(533,8144,1,100,'Must have completed the Quest &quot;Trial by Pie&quot;',0,2),
(534,8145,1,100,'Shapechanges group members (AE) into an air elemental',0,0),
(535,8146,1,100,'Shapechanges group members (AE) into an earth elemental',0,0),
(536,8147,1,100,'Shapechanges group members (AE) into a gnoll',0,0),
(537,8148,1,100,'Shapechanges group members (AE) into a half elf',0,0),
(538,8149,1,100,'Shapechanges group members (AE) into a human',0,0),
(539,8150,1,100,'Decreases Haste of targets in Area of Effect by 15.0',0,0),
(540,8150,1,100,'Increases Mitigation of targets in Area of Effect vs elemental damage by 0',0,1),
(541,8150,1,100,'Roots targets in Area of Effect',0,2),
(542,8150,1,100,'Stifles targets in Area of Effect',0,3),
(543,8150,1,100,'Must have completed the Quest &quot;Imperiled Druid Ring&quot;',0,4),
(544,8150,1,100,'Must not be engaged in pvp combat',0,5),
(545,8150,1,100,'Epic targets gain an immunity to Root, Stifle and Ability attacks will hit for their maximum damage. effects of 3 minutes and duration is reduced to 20.0 seconds.',0,6),
(546,8151,1,100,'Must have completed the Quest &quot;The Priestess of Lesser Faydark&quot;',0,0),
(547,8151,1,100,'Must not be engaged in pvp combat',0,1),
(548,8153,1,100,'Grants Aura Vision to caster',0,0),
(549,8154,1,100,'Summons a limited pet to aid the caster',0,0),
(550,8154,1,100,'Must have completed the Quest &quot;Trial of the Gatekeeper&quot;',0,1),
(551,8156,1,100,'On any combat or spell hit this spell will cast Hand of Death on target of attack.  ',0,0),
(552,8156,1,100,'Inflicts 7 disease damage on target',1,1),
(553,8156,1,100,'Must have completed the Quest &quot;What is Rightfully Hers&quot;',0,2),
(554,8159,1,100,'Covers the beastlord''s hand with power',0,0),
(555,8160,5,100,'Summons a pet gorg',0,0),
(556,8161,1,100,'Improves the power of heals and wards by 10%.',0,0),
(557,8161,1,100,'Must have completed the Quest &quot;Strange Occurrences&quot;',0,1),
(558,8162,1,100,'Summons a pet piglet',0,0),
(559,8163,1,100,'Summons a pet holy acolyte',0,0),
(560,8165,1,100,'Summons a mount to ride',0,0),
(561,8165,1,100,'Increases your ground speed by 130%',1,1),
(562,8166,1,100,'Applies Honor''s Thunder on termination.  Lasts for 9.0 seconds.',0,0),
(563,8166,1,100,'Stuns targets in Area of Effect',1,1),
(564,8166,1,100,'Epic targets gain an immunity to Stun effects of 27.0 seconds and duration is reduced to 3.0 seconds.',1,2),
(565,8166,1,100,'Applies Marr''s Heroism on termination.',0,3),
(566,8166,1,100,'Heals group members for 24 - 36',1,4),
(567,8166,1,100,'Summons a limited pet to aid the caster',0,5),
(568,8166,1,100,'Must have completed the Quest &quot;Eternal Rivalries&quot;',0,6),
(569,8167,2,100,'Reduces maximum falling speed of caster',0,0),
(570,8167,2,100,'You cannot use this spell while riding on a mount.',0,1),
(571,8168,2,100,'Increases in-combat movement speed of caster by 50.0%',0,0),
(572,8168,2,100,'Increases speed of caster by 50.0%',0,1),
(573,8169,2,100,'Allows caster to walk under water',0,0),
(574,8169,2,100,'Allows caster to jump under water',0,1),
(575,8170,1,100,'Increases power of target by 1',0,0),
(576,8171,1,100,'Increases power of target by 1',0,0),
(577,8172,1,100,'Slows targets in Area of Effect by 99.0%',0,0),
(578,8172,1,100,'Makes targets in Area of Effect afraid',0,1),
(579,8172,1,100,'Must have completed the Quest &quot;The Sins of Butcherblock&quot;',0,2),
(580,8172,1,100,'Must not be engaged in pvp combat',0,3),
(581,8172,1,100,'Does not affect Epic targets',0,4),
(582,8173,2,100,'Makes caster immune to Fear effects',0,0),
(583,8174,1,100,'Shapechanges target into a ratonga',0,0),
(584,8175,1,100,'Shapechanges target into a troll',0,0),
(585,8176,1,100,'Shapechanges caster into an air elemental',0,0),
(586,8177,1,100,'Shapechanges caster into a barbarian',0,0),
(587,8178,1,100,'Shapechanges caster into a dwarf',0,0),
(588,8179,1,100,'Shapechanges caster into an earth elemental',0,0),
(589,8180,1,100,'Shapechanges caster into a fire elemental',0,0),
(590,8181,1,100,'Shapechanges caster into a gnoll',0,0),
(591,8182,1,100,'Shapechanges caster into a half elf',0,0),
(592,8183,1,100,'Shapechanges caster into a human',0,0),
(593,8184,1,100,'Shapechanges caster into a water elemental',0,0),
(594,8185,2,100,'Makes caster immune to Stun effects',0,0),
(595,8186,2,100,'Makes caster immune to Stun effects',0,0),
(596,8187,1,100,'Inflicts 125 heat damage on target',0,0),
(597,8187,1,100,'Must have completed the Quest &quot;Ritual of the Flame''s Purification&quot;',0,1),
(598,8187,1,100,'Must not be engaged in pvp combat',0,2),
(599,8188,1,100,'The damage of all heat-based spells is increased by 10% and the fuel cost decreased by 10%.',0,0),
(600,8188,1,100,'Must have completed the Quest &quot;The Avatar of Flame&quot;',0,1),
(601,8189,1,100,'Grants Infravision to caster',0,0),
(602,8189,2,100,'Grants Infravision to caster',0,0),
(603,8190,1,100,'Increases Hate Gain of caster by 2.5%',0,0),
(604,8190,1,100,'When damaged this spell has a 10% chance to cast Inquiry on caster.  ',0,1),
(605,8190,1,100,'Increases Threat to targets in Area of Effect by 31 ',1,2),
(606,8190,1,100,'Must have completed the Quest &quot;Key Evidence&quot;',0,3),
(607,8191,2,100,'Teleports caster to target',0,0),
(608,8191,2,100,'This effect cannot be cast during combat',0,1),
(609,8191,2,100,'Must not be engaged in combat',0,2),
(610,8192,1,100,'Must not be targeted by an enemy',0,0),
(611,8194,1,100,'Summons a pet bear companion',0,0),
(612,8195,5,100,'Teleports the caster to the Hua Mein Village.',0,0),
(613,8199,1,100,'Shapechanges target into a toad',0,0),
(614,8200,1,100,'Summons a pet toad familiar',0,0),
(615,8201,5,100,'Summons a companion pet baby dragon',0,0),
(616,8202,1,100,'Increases Combat Health Regen of caster by 6.2',0,0),
(617,8202,1,100,'Increases Mitigation of caster vs physical damage by 0',0,1),
(618,8202,1,100,'Must have completed the Quest &quot;Trial of the Gatekeeper&quot;',0,2),
(619,8203,1,100,'Inflicts 23 heat damage on target',0,0),
(620,8203,1,100,'Inflicts 14 heat damage on target every 6 seconds',0,1),
(621,8203,1,100,'Must have completed the Quest &quot;A Time of Growth&quot;',0,2),
(622,8203,1,100,'Must not be engaged in pvp combat',0,3),
(623,8204,1,100,'Applies Innoruuk''s Hate on termination.',0,0),
(624,8204,1,100,'Inflicts 108 - 162 heat damage on targets in Area of Effect',1,1),
(625,8204,1,100,'Decreases power of targets in Area of Effect by 11 - 16',1,2),
(626,8204,1,100,'Charms target',0,3),
(627,8204,1,100,'Must have completed the Quest &quot;Rage Unleashed&quot;',0,4),
(628,8204,1,100,'Must not be engaged in pvp combat',0,5),
(629,8208,1,100,'Inflicts 20 - 30 divine damage on target',0,0),
(630,8208,1,100,'Inflicts 8 - 12 divine damage on target every 2 seconds',0,1),
(631,8208,1,100,'Must have completed the Quest &quot;The Dark Beacon&quot;',0,2),
(632,8208,1,100,'Must not be engaged in pvp combat',0,3),
(633,8208,1,100,'Must have completed the Quest &quot;The Dark Beacon&quot;',0,4),
(634,8209,1,100,'Applies Rupture on termination.',0,0),
(635,8209,1,100,'Inflicts 140 - 210 heat damage on target',1,1),
(636,8209,1,100,'Decreases power of target by 32 - 48',1,2),
(637,8209,1,100,'Mesmerizes target',0,3),
(638,8209,1,100,'Dispelled when target takes damage',0,4),
(639,8209,1,100,'Dispelled when target takes damage',0,5),
(640,8209,1,100,'Must have completed the Quest &quot;A Necessary Step&quot;',0,6),
(641,8209,1,100,'Must not be engaged in pvp combat',0,7),
(642,8210,1,100,'On a combat hit this spell will cast Malice on target of attack.  ',0,0),
(643,8210,1,100,'Increases Threat to target by 175 ',1,1),
(644,8210,1,100,'Must have completed the Quest &quot;A Necessary Step&quot;',0,2),
(645,8211,1,100,'Increases power of target by 1',0,0),
(646,8212,1,100,'Increases power of target by 1',0,0),
(647,8213,1,100,'100% chance to intercept all physical damage on target.On a successful intercept caster takes 25% of attack damage, target takes 85% of attack damage.Spell ends after 10 successful intercepts.',0,0),
(648,8213,1,100,'Must have completed the Quest &quot;The Trials of the Truthbringer&quot;',0,1),
(649,8214,1,100,'Will absorb all damage.  This spell will absorb a total of 10 attacks.',0,0),
(650,8214,1,100,'Must have completed the Quest &quot;The Trials of the Truthbringer&quot;',0,1),
(651,8215,1,100,'Increases Max Health of target by 500.0',0,0),
(652,8215,1,100,'Must have completed the Quest &quot;A Deeper History of the Truthbringer&quot;',0,1),
(653,8217,2,100,'Reduces maximum falling speed of caster',0,0),
(654,8217,2,100,'You cannot use this spell while riding on a mount.',0,1),
(655,8218,1,100,'Summons 5 limited pets to aid the caster',0,0),
(656,8218,1,100,'Must have completed the Quest &quot;Coin Job&quot;',0,1),
(657,8219,1,100,'Cannot be modified except by direct means',0,0),
(658,8220,1,100,'Summons a pet minion of evil',0,0),
(659,8220,1,100,'Summons a pet minion of evil',0,1),
(660,8220,1,100,'Summons a pet minion of evil',0,2),
(661,8220,1,100,'Summons a pet minion of evil',0,3),
(662,8220,1,100,'Must have completed the Quest &quot;Rage Unleashed&quot;',0,4),
(663,8221,1,100,'Dispels 30 levels of hostile Stun, hostile Mesmerize, hostile Root, hostile Fear, hostile Stifle and hostile Daze effects on caster',0,0),
(664,8221,1,100,'Makes caster immune to Stun effects',0,1),
(665,8221,1,100,'Makes caster immune to Mesmerize effects',0,2),
(666,8221,1,100,'Makes caster immune to Root effects',0,3),
(667,8221,1,100,'Makes caster immune to Fear effects',0,4),
(668,8221,1,100,'Makes caster immune to Stifle effects',0,5),
(669,8221,1,100,'Makes caster immune to Daze effects',0,6),
(670,8221,1,100,'Must have completed the Quest &quot;Pie Pilfering&quot;',0,7),
(671,8221,1,100,'Must not be engaged in pvp combat',0,8),
(672,8222,1,100,'Healing spells provide a 15% greater healing amount.',0,0),
(673,8222,1,100,'Must have completed the Quest &quot;A Time of Growth&quot;',0,1),
(674,8223,1,100,'Shapechanges caster into a badger',0,0),
(675,8224,1,100,'Shapechanges caster into a skeleton',0,0),
(676,8225,1,100,'Shapechanges caster into a ghost',0,0),
(677,8226,1,100,'Shapechanges group members (AE) into a skeleton',0,0),
(678,8227,1,100,'Shapechanges caster into a zombie',0,0),
(679,8228,5,100,'Summons a companion baby dragon',0,0),
(680,8229,1,100,'Mental spells and combat arts last 15% longer and are 15% more difficult to resist.',0,0),
(681,8229,1,100,'Must have completed the Quest &quot;At Peace With the Past&quot;',0,1),
(682,8230,1,100,'Decreases Hate Gain of caster by 15.0%',0,0),
(683,8230,1,100,'Must have completed the Quest &quot;Peace of Mind, Peace of Body&quot;',0,1),
(684,8231,1,100,'Increases speed of group members (AE) by 16.0%',0,0),
(685,8232,1,100,'Increases Artistry, Sculpting, Fletching, Metalworking, Metal Shaping, Tailoring, Artificing, Scribing and Chemistry of caster by 15.0',0,0),
(686,8232,1,100,'Increases critical success chance by 5.0%',0,1),
(687,8232,1,100,'Increases success chance by 5.0%',0,2),
(688,8232,1,100,'Must have completed the Quest &quot;Building a Foundation of Devotion&quot;',0,3),
(689,8233,1,100,'Increases WIS of caster by 2.5',0,0),
(690,8233,1,100,'Increases STA of caster by 2.5',0,1),
(691,8233,1,100,'Increases INT of caster by 2.5',0,2),
(692,8233,1,100,'Increases STR of caster by 2.5',0,3),
(693,8233,1,100,'Increases AGI of caster by 2.5',0,4),
(694,8233,1,100,'Summons a pet Peaceful Visage',0,5),
(695,8233,1,100,'If follows Quellious',0,6),
(696,8234,1,100,'On a hostile spell hit this spell may cast Preoccupation on target of spell.  Lasts for 20.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(697,8234,1,100,'All combat arts and spells suffer a 25% longer reuse time and 100% longer casting time.',1,1),
(698,8234,1,100,'When a combat art is used this spell has a 10% chance to cast Preoccupation on target of combat art.  Lasts for 20.0 seconds.  ',0,2),
(699,8234,1,100,'All combat arts and spells suffer a 25% longer reuse time and 100% longer casting time.',1,3),
(700,8234,1,100,'Must have completed the Quest &quot;The Saboteur of Peace&quot;',0,4),
(701,8235,1,100,'Converts 30% of all damage into power damage.',0,0),
(702,8235,1,100,'Must have completed the Quest &quot;The Tablets of Judicare Septem&quot;',0,1),
(703,8236,1,100,'Summons a pet hawk companion',0,0),
(704,8237,2,100,'Gives the caster a chance to steal something from the target.  The chance is based on the level difference of the opponent.  Be wary, though, some creatures may not take kindly to being robbed.',0,0),
(705,8238,1,100,'Applies The Pick of the Duke on termination.',0,0),
(706,8238,1,100,'Summon 1 Pick of the Duke',1,1),
(707,8238,1,100,'Summons a pet Pick of the Duke',0,2),
(708,8238,1,100,'Must have completed the Quest &quot;Testaments of Stone&quot;',0,3),
(709,8239,1,100,'Divine spells heal 25% more damage but require 15% longer to cast.',0,0),
(710,8239,1,100,'Must have completed the Quest &quot;Eternal Rivalries&quot;',0,1),
(711,8240,1,100,'Increases power of target by 1',0,0),
(712,8241,1,100,'Improves spell and combat art damage by 10%.',0,0),
(713,8241,1,100,'Must have completed the Quest &quot;Gathering Feathers&quot;',0,1),
(714,8242,1,100,'Inflicts 5 - 6 disease damage on target instantly and every 12 seconds',0,0),
(715,8242,1,100,'Increases power of caster by 1 instantly and every 12 seconds',0,1),
(716,8242,1,100,'Decreases the target''s effectiveness of worn armor vs noxious damage by 15%',0,2),
(717,8242,1,100,'Must have completed the Quest &quot;The Plaguebringer Cometh&quot;',0,3),
(718,8242,1,100,'Must not be engaged in pvp combat',0,4),
(719,8243,1,100,'Applies The Hand of Brell on termination.',0,0),
(720,8243,1,100,'Heals group members for 13.5 - 16.5% of max health',1,1),
(721,8243,1,100,'This effect cannot be critically applied.',2,2),
(722,8243,1,100,'Increases Mitigation of caster vs physical damage by 0',0,3),
(723,8244,4,100,'Summons a pet Pucker Pink Gumdrop',0,0),
(724,8245,1,100,'Applies Pus Bolt.  Lasts for 10 minutes.',0,0),
(725,8245,1,100,'Decreases Hate Gain of caster by 25.0%',1,1),
(726,8245,1,100,'Decreases threat priority of target by 2 positions',0,2),
(727,8245,1,100,'Inflicts 39 disease damage on target',0,3),
(728,8245,1,100,'Must have completed the Quest &quot;Noxiousity&quot;',0,4),
(729,8246,1,100,'Wipes all of target''s memory of aggression towards their current target.',0,0),
(730,8246,1,100,'Must have completed the Quest &quot;Peace of Mind, Peace of Body&quot;',0,1),
(731,8247,1,100,'Applies Haze of Quellious on termination.  Lasts for 2 minutes.',0,0),
(732,8247,1,100,'Decreases Haste of target by 50.0',1,1),
(733,8247,1,100,'Decreases DPS of target by 25.0',1,2),
(734,8247,1,100,'Slows target by 87.5%',1,3),
(735,8247,1,100,'Mesmerizes target',0,4),
(736,8247,1,100,'Dispelled when target takes damage',0,5),
(737,8247,1,100,'Must have completed the Quest &quot;At Peace With the Past&quot;',0,6),
(738,8247,1,100,'Must not be engaged in pvp combat',0,7),
(739,8249,1,100,'Inflicts 40 - 60 divine damage on targets in Area of Effect',0,0),
(740,8249,1,100,'Must have completed the Quest &quot;A Savage Lesson&quot;',0,1),
(741,8251,1,100,'Cannot be modified except by direct means',0,0),
(742,8251,2,100,'Cannot be modified except by direct means',0,0),
(743,8251,3,100,'Cannot be modified except by direct means',0,0),
(744,8251,4,100,'Cannot be modified except by direct means',0,0),
(745,8251,5,100,'Cannot be modified except by direct means',0,0),
(746,8252,1,100,'On death this spell will cast Vengeance on target''s attacker.  ',0,0),
(747,8252,1,100,'Inflicts 59 - 110 divine damage on target',1,1),
(748,8252,1,100,'Inflicts 59 - 110 divine damage on target',1,2),
(749,8252,1,100,'Inflicts 59 - 110 divine damage on target',1,3),
(750,8252,1,100,'Inflicts 59 - 110 divine damage on target',1,4),
(751,8252,1,100,'Heals caster for 11.3 - 13.8% of max health',1,5),
(752,8252,1,100,'This effect cannot be critically applied.',2,6),
(753,8252,1,100,'Grants a total of 1 trigger of the spell.',1,7),
(754,8253,2,100,'Reveals the vampire''s inner demon!',0,0),
(755,8254,1,100,'Summons a pet tiger companion',0,0),
(756,8255,1,100,'Throws target back',0,0),
(757,8255,1,100,'Inflicts 21 - 49 crushing damage on targets in Area of Effect',0,1),
(758,8255,1,100,'Inflicts 3 - 8 crushing damage on targets in Area of Effect every 3 seconds',0,2),
(759,8255,1,100,'Must have completed the Quest &quot;Building a Foundation of Devotion&quot;',0,3),
(760,8256,1,100,'On a hostile spell cast this spell has a 40% chance to cast Ro''s Flames on target of spell.  ',0,0),
(761,8256,1,100,'Inflicts 6 - 10 heat damage on target',1,1),
(762,8256,1,100,'Must have completed the Quest &quot;Ritual of the Flame''s Purification&quot;',0,2),
(763,8257,2,100,'Gives the caster a chance to steal something from the target.  The chance is based on the level difference of the opponent.  Be wary, though, some creatures may not take kindly to being robbed.',0,0),
(764,8258,1,100,'Increases caster attack speed by 50% (haste) and lowers caster mitigation to physical damage by 15%.',0,0),
(765,8259,1,100,'Summons 6 limited pets to aid the caster',0,0),
(766,8259,1,100,'Must have completed the Quest &quot;Noxiousity&quot;',0,1),
(767,8261,1,100,'Shapechanges caster into a bee',0,0),
(768,8263,1,100,'Summons a pet book familiar',0,0),
(769,8264,6,100,'When any damage is received this spell will cast Sacred Vengeance on target''s attacker.  Lasts for 0.5 seconds.  ',0,0),
(770,8264,6,100,'15% chance to apply Sacred Vengeance.  Lasts for 12.0 seconds.',1,1),
(771,8264,6,100,'Inflicts 29 - 35 divine damage on target instantly and every 4 seconds',2,2),
(772,8264,6,100,'Inflicts 25 divine damage on target',1,3),
(773,8265,1,100,'Will absorb physical damage.  This spell will absorb a total of 5 attacks.',0,0),
(774,8265,1,100,'Must have completed the Quest &quot;Beacon of Courage&quot;',0,1),
(775,8265,1,100,'Must not be engaged in pvp combat',0,2),
(776,8266,1,100,'Cannot be modified except by direct means',0,0),
(777,8266,2,100,'Cannot be modified except by direct means',0,0),
(778,8266,3,100,'Cannot be modified except by direct means',0,0),
(779,8266,4,100,'Cannot be modified except by direct means',0,0),
(780,8266,5,100,'Cannot be modified except by direct means',0,0),
(781,8267,5,100,'Dispels 7 levels of any hostile effects on group members (AE)',0,0),
(782,8267,5,100,'Heals group members (AE) for 9 - 11',0,1),
(783,8267,5,100,'You need a Pact of Nature spell cast on you in order to use this spell.',0,2),
(784,8268,5,100,'Summons a companion pet baby dragon',0,0),
(785,8269,1,100,'While under the effects of Scales of Justice, 20% of all damage received is converted into health for its duration.',0,0),
(786,8270,1,100,'Increases power of target by 1',0,0),
(787,8271,1,100,'Increases power of target by 1',0,0),
(788,8272,1,100,'Increases power of target by 1',0,0),
(789,8273,1,100,'Applies Blind Eye.',0,0),
(790,8273,1,100,'Draws considerable attention away from the caster for a short duration.',1,1),
(791,8273,1,100,'Decreases Threat to targets in Area of Effect by 80 ',1,2),
(792,8273,1,100,'Applies A Makeshift Costume.  Lasts for 6.0 seconds.',0,3),
(793,8273,1,100,'Shapechanges caster',1,4),
(794,8273,1,100,'Increases Crit Chance of caster by 30.0',0,5),
(795,8273,1,100,'Must have completed the Quest &quot;Prank''d&quot;',0,6),
(796,8274,1,100,'Reduces the reuse timer on single target and encounter target taunt spells by 25%.',0,0),
(797,8274,1,100,'Must have completed the Quest &quot;Into the Fold&quot;',0,1),
(798,8275,1,100,'Applies Seething Pox.  Lasts for 12.0 seconds.',0,0),
(799,8275,1,100,'Stifles caster',1,1),
(800,8275,1,100,'Decreases Haste of target by 50.0',0,2),
(801,8275,1,100,'Decreases the target''s effectiveness of worn armor vs noxious damage by 35%',0,3),
(802,8275,1,100,'Must have completed the Quest &quot;Believe in Me&quot;',0,4),
(803,8276,1,100,'Summons a pet Servant of Fear',0,0),
(804,8276,1,100,'Must have completed the Quest &quot;Forsaken&quot;',0,1),
(805,8277,1,100,'Summons a pet servant of flame',0,0),
(806,8277,1,100,'Must have completed the Quest &quot;Ro''s Flame&quot;',0,1),
(807,8278,2,100,'This effect cannot be cast during combat',0,0),
(808,8279,2,100,'Teleports caster to target',0,0),
(809,8279,2,100,'This effect cannot be cast during combat',0,1),
(810,8279,2,100,'Must not be engaged in combat',0,2),
(811,8281,1,100,'Increases power of caster by 1',0,0),
(812,8282,1,100,'Increases power of caster by 1',0,0),
(813,8283,1,100,'Increases power of group members (AE) by 1',0,0),
(814,8284,1,100,'Increases power of caster by 1',0,0),
(815,8285,1,100,'Increases power of group members (AE) by 1',0,0),
(816,8286,1,100,'Increases power of group members (AE) by 1',0,0),
(817,8287,1,100,'When damaged this spell will cast Shock of Faith on target''s attacker.  ',0,0),
(818,8287,1,100,'Inflicts 12 - 15 divine damage on target',1,1),
(819,8287,1,100,'Grants a total of 10 triggers of the spell.',1,2),
(820,8288,1,100,'Increases power of target by 1',0,0),
(821,8289,1,100,'Decreases Hate Gain of caster by 25.0%',0,0),
(822,8289,1,100,'Caster will Dodge 25.0% of incoming attacks',0,1),
(823,8289,1,100,'Increases spell damage by 5%.',0,2),
(824,8289,1,100,'Must have completed the Quest &quot;Forging a Bond&quot;',0,3),
(825,8291,2,100,'Shapechanges caster into a silvani',0,0),
(826,8291,2,100,'Increases speed of caster by 5.0%',0,1),
(827,8291,2,100,'Reduces maximum falling speed of caster',0,2),
(828,8291,2,100,'Stifles caster',0,3),
(829,8291,2,100,'Dazes caster',0,4),
(830,8291,2,100,'Dispelled when target casts a spell',0,5),
(831,8291,2,100,'Dispelled when target takes damage',0,6),
(832,8291,2,100,'Dispelled when target casts a combat art',0,7),
(833,8291,2,100,'Dispelled when target receives hostile action',0,8),
(834,8291,2,100,'This effect cancels during combat',0,9),
(835,8292,9,100,'Disables the caster''s ability to AE Auto Attack',0,0),
(836,8293,1,100,'When any damage is received this spell will cast Six Feet Under on target.  Lasts for 20.0 seconds.  ',0,0),
(837,8293,1,100,'Inflicts 27 disease damage on target',1,1),
(838,8293,1,100,'If Target is Epic',2,2),
(839,8293,1,100,'If under 1% Health',2,3),
(840,8293,1,100,'Inflicts 27 disease damage on target',1,4),
(841,8293,1,100,'If Target is stronger than Standard',2,5),
(842,8293,1,100,'If under 8% Health',2,6),
(843,8293,1,100,'Inflicts 24 disease damage on target',1,7),
(844,8293,1,100,'If Target is Weak',2,8),
(845,8293,1,100,'If under 40% Health',2,9),
(846,8293,1,100,'Inflicts 24 disease damage on target',1,10),
(847,8293,1,100,'Certain creature strengths only',2,11),
(848,8293,1,100,'If under 20% Health',2,12),
(849,8293,1,100,'Grants a total of 1 trigger of the spell.',1,13),
(850,8293,1,100,'Must have completed the Quest &quot;Gathering Feathers&quot;',0,14),
(851,8294,1,100,'Shapechanges caster into a snake',0,0),
(852,8295,3,100,'Deals 100 damage across all damage types to test damage mitigation.',0,0),
(853,8296,1,100,'Increases power of target by 1',0,0),
(854,8298,1,100,'Heat based spells are 50% harder for your enemies to resist.',0,0),
(855,8298,1,100,'Must have completed the Quest &quot;Ro''s Infernal Device&quot;',0,1),
(856,8299,1,100,'On a hostile spell hit this spell will cast Soothe on caster.  ',0,0),
(857,8299,1,100,'Heals caster for 10.0% of caster''s max health',1,1),
(858,8299,1,100,'This effect cannot be critically applied.',2,2),
(859,8299,1,100,'Increases power of caster by 10.0%',1,3),
(860,8299,1,100,'This effect cannot be critically applied.',2,4),
(861,8300,1,100,'Grants Sonic Vision to caster',0,0),
(862,8300,2,100,'Grants Sonic Vision to caster',0,0),
(863,8301,1,100,'Summons a limited pet to aid the caster',0,0),
(864,8301,1,100,'Must have completed the Quest &quot;Spreading the Cure&quot;',0,1),
(865,8302,1,100,'On any combat or spell hit this spell has a 25% chance to cast Soothing Thoughts on target of attack.  ',0,0),
(866,8302,1,100,'Decreases threat priority of target by 1 position',1,1),
(867,8302,1,100,'Must have completed the Quest &quot;The Spread of Undeath&quot;',0,2),
(868,8303,1,100,'Increases power of target by 1',0,0),
(869,8304,6,100,'Decreases power of target by 65 - 79',0,0),
(870,8304,6,100,'Inflicts 236 - 289 disease damage on target',0,1),
(871,8304,6,100,'Increases power of caster by 33',0,2),
(872,8304,6,100,'Heals caster for 130',0,3),
(873,8305,1,100,'Reduces reuse timers, casting timers, and power cost of fire based spells by 50%.',0,0),
(874,8305,1,100,'Summons a pet spear of the sun',0,1),
(875,8305,1,100,'Must have completed the Quest &quot;Ro''s Vessel&quot;',0,2),
(876,8306,1,100,'When damaged with a melee weapon this spell has a 5% chance to cast Thule''s Terror on target''s attacker.  Lasts for 15.0 seconds.  ',0,0),
(877,8306,1,100,'Makes target afraid',1,1),
(878,8306,1,100,'Roots target',1,2),
(879,8306,1,100,'15% chance to dispel when target takes damage',1,3),
(880,8306,1,100,'Does not affect Epic targets',1,4),
(881,8306,1,100,'Resistibility increases against targets higher than level 30.',1,5),
(882,8306,1,100,'When damaged in combat this spell will cast Fear Spines on target''s attacker.  Lasts for 2.0 seconds.  ',0,6),
(883,8306,1,100,'Inflicts 4 - 6 poison damage on target',1,7),
(884,8306,1,100,'Inflicts 1 poison damage on target every second',1,8),
(885,8306,1,100,'Must have completed the Quest &quot;Somborn Spirits&quot;',0,9),
(886,8307,1,100,'Places a debuff on the target which returns a portion of your damage back to you as health and power.',0,0),
(887,8308,1,100,'Increases in-combat movement speed of caster by 40.0%',0,0),
(888,8308,1,100,'Takes 10% of caster''s power every 3 seconds if caster moves',0,1),
(889,8309,1,100,'Shrinks caster by 50.0%',0,0),
(890,8309,1,100,'Increases Mitigation of caster vs elemental damage by 0',0,1),
(891,8309,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,2),
(892,8309,1,100,'Must have completed the Quest &quot;Prospector of Lost Faith&quot;',0,3),
(893,8310,1,100,'Reduces noxious damage done to caster by 10%',0,0),
(894,8310,1,100,'Must have completed the Quest &quot;The Unwelcome Regents&quot;',0,1),
(895,8311,1,100,'On a hostile spell cast this spell will cast Strife''s Drain on target of spell.  ',0,0),
(896,8311,1,100,'Decreases power of target by 5',1,1),
(897,8311,1,100,'Increases power of caster by 4',1,2),
(898,8311,1,100,'Must have completed the Quest &quot;The Dark Beacon&quot;',0,3),
(899,8312,5,100,'Summons a pet Del',0,0),
(900,8313,5,100,'Summons a pet Prowler Kitten',0,0),
(901,8314,5,100,'Summons a pet Aloysius',0,0),
(902,8315,1,100,'Summons a pet Artisan''s Gathering Goblin',0,0),
(903,8315,1,100,'Cannot be modified except by direct means',0,1),
(904,8315,2,100,'Summons a pet Artisan''s Gathering Goblin',0,0),
(905,8315,2,100,'Cannot be modified except by direct means',0,1),
(906,8315,3,100,'Summons a pet Artisan''s Gathering Goblin',0,0),
(907,8315,3,100,'Cannot be modified except by direct means',0,1),
(908,8315,4,100,'Summons a pet Artisan''s Gathering Goblin',0,0),
(909,8315,4,100,'Cannot be modified except by direct means',0,1),
(910,8315,5,100,'Summons a pet Artisan''s Gathering Goblin',0,0),
(911,8315,5,100,'Cannot be modified except by direct means',0,1),
(912,8316,5,100,'Summons a pet Artisan''s Pack Pony',0,0),
(913,8317,5,100,'Summons a pet bouncing baby bear cub',0,0),
(914,8318,5,100,'Summons a pet Bixie Companion',0,0),
(915,8319,5,100,'Summons a pet a black kitten',0,0),
(916,8320,5,100,'Summons a pet Squeeky',0,0),
(917,8321,5,100,'Summons a pet Squeeky',0,0),
(918,8322,5,100,'Summons a pet a Drakkel wolf pup',0,0),
(919,8323,5,100,'Summons a pet Bugbear Billy',0,0),
(920,8324,1,100,'This is a mobile crafting station.',0,0),
(921,8324,1,100,'Cannot be modified except by direct means',0,1),
(922,8324,2,100,'This is a mobile crafting station.',0,0),
(923,8324,2,100,'Cannot be modified except by direct means',0,1),
(924,8324,3,100,'This is a mobile crafting station.',0,0),
(925,8324,3,100,'Cannot be modified except by direct means',0,1),
(926,8324,4,100,'This is a mobile crafting station.',0,0),
(927,8324,4,100,'Cannot be modified except by direct means',0,1),
(928,8324,5,100,'This is a mobile crafting station.',0,0),
(929,8324,5,100,'Cannot be modified except by direct means',0,1),
(930,8325,5,100,'Summons a pet Child''s Play Cube',0,0),
(931,8326,5,100,'Summons a pet Clockwork Surveillance Unit',0,0),
(932,8327,5,100,'Summons a pet Curious Little Monkey',0,0),
(933,8328,4,100,'Summons a pet an Enchanted Snowman',0,0),
(934,8329,1,100,'Summons Engraved Desk',0,0),
(935,8329,1,100,'Cannot be modified except by direct means',0,1),
(936,8329,2,100,'Summons Engraved Desk',0,0),
(937,8329,2,100,'Cannot be modified except by direct means',0,1),
(938,8329,3,100,'Summons Engraved Desk',0,0),
(939,8329,3,100,'Cannot be modified except by direct means',0,1),
(940,8329,4,100,'Summons Engraved Desk',0,0),
(941,8329,4,100,'Cannot be modified except by direct means',0,1),
(942,8329,5,100,'Summons Engraved Desk',0,0),
(943,8329,5,100,'Cannot be modified except by direct means',0,1),
(944,8330,5,100,'Summons a pet Prowler Kitten',0,0),
(945,8331,5,100,'Summons a pet Ally',0,0),
(946,8332,1,100,'Summons a companion pet',0,0),
(947,8333,5,100,'Summons a pet a festive burynai',0,0),
(948,8334,1,100,'Summons Forge',0,0),
(949,8334,1,100,'Cannot be modified except by direct means',0,1),
(950,8334,2,100,'Summons Forge',0,0),
(951,8334,2,100,'Cannot be modified except by direct means',0,1),
(952,8334,3,100,'Summons Forge',0,0),
(953,8334,3,100,'Cannot be modified except by direct means',0,1),
(954,8334,4,100,'Summons Forge',0,0),
(955,8334,4,100,'Cannot be modified except by direct means',0,1),
(956,8334,5,100,'Summons Forge',0,0),
(957,8334,5,100,'Cannot be modified except by direct means',0,1),
(958,8335,5,100,'Summons a pet a frostpaw kitten',0,0),
(959,8336,5,100,'Summons a pet Frosty Cap Frostfell Cube',0,0),
(960,8337,5,100,'Summons a pet gazer',0,0),
(961,8338,5,100,'Summons a pet Glacial Animated Defender',0,0),
(962,8339,5,100,'Summons a pet Golden Animated Defender',0,0),
(963,8340,5,100,'Summons a pet a halasian mauler',0,0),
(964,8341,5,100,'Summons a pet handy companion',0,0),
(965,8342,5,100,'Summons a pet Highland Stalker Kitten',0,0),
(966,8343,1,100,'Summon 1 Holy Symbol',0,0),
(967,8343,1,100,'This effect cannot be cast during combat',0,1),
(968,8344,5,100,'Summons a pet Imperial Prowler Kitten',0,0),
(969,8345,5,100,'Summons a pet shadow lich knight',0,0),
(970,8346,5,100,'Summons a pet Scourge of Kaladim',0,0),
(971,8347,5,100,'Summons a pet a stormwing whelp',0,0),
(972,8348,5,100,'Summons a pet a lucky teralid',0,0),
(973,8349,5,100,'Summons a pet shadow lich mage',0,0),
(974,8350,4,100,'Summons a pet a mini-cognatic bixie bopper',0,0),
(975,8351,5,100,'Summons a pet Netherborn Prowler Kitten',0,0),
(976,8352,5,100,'Summons a pet Opalescent Prowler Kitten',0,0),
(977,8353,5,100,'Summons a pet Bloodskull priest',0,0),
(978,8354,5,100,'Summons a pet Bloodskull warrior',0,0),
(979,8355,5,100,'Summons a pet bouncing baby panda cub',0,0),
(980,8356,5,100,'Summons a pet a brownie trickster',0,0),
(981,8357,5,100,'Summons a pet Kitty',0,0),
(982,8358,5,100,'Summons a pet Lizard',0,0),
(983,8359,5,100,'Summons a pet Lizard',0,0),
(984,8360,5,100,'Summons a pet Plague Rat',0,0),
(985,8361,5,100,'Summons a pet Matriarch',0,0),
(986,8361,5,100,'Summons a pet kitten',0,1),
(987,8361,5,100,'Summons a pet kitten',0,2),
(988,8362,1,100,'Summons a pet nefarious sacrament',0,0),
(989,8363,5,100,'Summons a pet Dancing Satyr',0,0),
(990,8364,5,100,'Summons a pet Scary Spider',0,0),
(991,8365,5,100,'Summons a pet Dragonslaying For Dummies',0,0),
(992,8366,1,100,'Summons Sewing Table & Mannequin',0,0),
(993,8366,1,100,'Cannot be modified except by direct means',0,1),
(994,8366,2,100,'Summons Sewing Table & Mannequin',0,0),
(995,8366,2,100,'Cannot be modified except by direct means',0,1),
(996,8366,3,100,'Summons Sewing Table & Mannequin',0,0),
(997,8366,3,100,'Cannot be modified except by direct means',0,1),
(998,8366,4,100,'Summons Sewing Table & Mannequin',0,0),
(999,8366,4,100,'Cannot be modified except by direct means',0,1),
(1000,8366,5,100,'Summons Sewing Table & Mannequin',0,0),
(1001,8366,5,100,'Cannot be modified except by direct means',0,1),
(1002,8367,5,100,'Summons a pet Prowler Kitten',0,0),
(1003,8368,5,100,'Summons a pet Prowler Kitten',0,0),
(1004,8369,5,100,'Summons a pet Skeletal Valet',0,0),
(1005,8370,5,100,'Summons a pet Slimy Slug',0,0),
(1006,8371,1,100,'Summons a pet paladin squire',0,0),
(1007,8372,1,100,'Summons a pet shadowknight squire',0,0),
(1008,8373,5,100,'Summons a pet Stewie the Stirge',0,0),
(1009,8374,1,100,'This is a mobile crafting station.',0,0),
(1010,8374,1,100,'Cannot be modified except by direct means',0,1),
(1011,8374,2,100,'This is a mobile crafting station.',0,0),
(1012,8374,2,100,'Cannot be modified except by direct means',0,1),
(1013,8374,3,100,'This is a mobile crafting station.',0,0),
(1014,8374,3,100,'Cannot be modified except by direct means',0,1),
(1015,8374,4,100,'This is a mobile crafting station.',0,0),
(1016,8374,4,100,'Cannot be modified except by direct means',0,1),
(1017,8374,5,100,'This is a mobile crafting station.',0,0),
(1018,8374,5,100,'Cannot be modified except by direct means',0,1),
(1019,8375,5,100,'Summons a pet terrorbird hatchling',0,0),
(1020,8376,5,100,'Summons a pet The Bat Pack',0,0),
(1021,8377,5,100,'Summons a pet Tirun',0,0),
(1022,8378,5,100,'Summons a pet Tome of Erudin',0,0),
(1023,8379,5,100,'Summons a pet Treant Sapling',0,0),
(1024,8380,5,100,'Summons a pet Tribal Goblin',0,0),
(1025,8381,5,100,'Summons a pet Pegleg, Scourge of the Ykeshan Sea',0,0),
(1026,8382,5,100,'Summons a pet Unfortunate Elf Frostfell Cube',0,0),
(1027,8383,1,100,'Summon 1 Unholy Symbol',0,0),
(1028,8383,1,100,'This effect cannot be cast during combat',0,1),
(1029,8384,5,100,'Summons a pet Zhog, Ghoz''s Little Brother',0,0),
(1030,8385,5,100,'Summons a pet Void Prowler Kitten',0,0),
(1031,8386,5,100,'Summons a pet Void Residue',0,0),
(1032,8387,5,100,'Summons a pet concentration of wind',0,0),
(1033,8388,1,100,'Summons Woodworking Table',0,0),
(1034,8388,1,100,'Cannot be modified except by direct means',0,1),
(1035,8388,2,100,'Summons Woodworking Table',0,0),
(1036,8388,2,100,'Cannot be modified except by direct means',0,1),
(1037,8388,3,100,'Summons Woodworking Table',0,0),
(1038,8388,3,100,'Cannot be modified except by direct means',0,1),
(1039,8388,4,100,'Summons Woodworking Table',0,0),
(1040,8388,4,100,'Cannot be modified except by direct means',0,1),
(1041,8388,5,100,'Summons Woodworking Table',0,0),
(1042,8388,5,100,'Cannot be modified except by direct means',0,1),
(1043,8389,1,100,'Summons Work Bench',0,0),
(1044,8389,1,100,'Cannot be modified except by direct means',0,1),
(1045,8389,2,100,'Summons Work Bench',0,0),
(1046,8389,2,100,'Cannot be modified except by direct means',0,1),
(1047,8389,3,100,'Summons Work Bench',0,0),
(1048,8389,3,100,'Cannot be modified except by direct means',0,1),
(1049,8389,4,100,'Summons Work Bench',0,0),
(1050,8389,4,100,'Cannot be modified except by direct means',0,1),
(1051,8389,5,100,'Summons Work Bench',0,0),
(1052,8389,5,100,'Cannot be modified except by direct means',0,1),
(1053,8390,1,100,'Summons a pet Zygomyd companion',0,0),
(1054,8391,5,100,'Summons a pet Bitter Gingerdread',0,0),
(1055,8392,5,100,'Summons a pet Chipper Gingerbread',0,0),
(1056,8393,5,100,'Summons a pet Crunchy Gingerbread',0,0),
(1057,8394,5,100,'Summons a pet Delectable Gingerbread',0,0),
(1058,8395,4,100,'Summons a pet Docile Ice Slurry',0,0),
(1059,8396,5,100,'Summons a pet Festive Gingerbread',0,0),
(1060,8397,5,100,'Summons a pet Gleeful Gingerbread',0,0),
(1061,8398,5,100,'Summons a pet Merry Gingerbread',0,0),
(1062,8399,5,100,'Summons a pet Sulky Gingerdread',0,0),
(1063,8400,5,100,'Summons a pet Sweet Gingerbread',0,0),
(1064,8401,5,100,'Summons a pet Tasty Gingerbread',0,0),
(1065,8402,5,100,'Summons a pet Affronted Gingerdread',0,0),
(1066,8403,4,100,'Summons a pet an Eerie Essence',0,0),
(1067,8404,4,100,'Summons a pet an Essence of Fear',0,0),
(1068,8405,5,100,'Summons a pet Irate Gingerdread',0,0),
(1069,8406,1,100,'Increases AGI of caster by 2.5',0,0),
(1070,8406,1,100,'Increases INT of caster by 2.5',0,1),
(1071,8406,1,100,'Increases STA of caster by 2.5',0,2),
(1072,8406,1,100,'Increases STR of caster by 2.5',0,3),
(1073,8406,1,100,'Increases WIS of caster by 2.5',0,4),
(1074,8406,1,100,'Summons a pet void beast',0,5),
(1075,8406,1,100,'If follows Anashti Sul',0,6),
(1076,8407,1,100,'Increases WIS of caster by 2.5',0,0),
(1077,8407,1,100,'Increases AGI of caster by 2.5',0,1),
(1078,8407,1,100,'Increases INT of caster by 2.5',0,2),
(1079,8407,1,100,'Increases STA of caster by 2.5',0,3),
(1080,8407,1,100,'Increases STR of caster by 2.5',0,4),
(1081,8407,1,100,'Summons a pet bovoch',0,5),
(1082,8407,1,100,'If follows Bristlebane',0,6),
(1083,8408,1,100,'Increases STR of caster by 2.5',0,0),
(1084,8408,1,100,'Increases WIS of caster by 2.5',0,1),
(1085,8408,1,100,'Increases AGI of caster by 2.5',0,2),
(1086,8408,1,100,'Increases INT of caster by 2.5',0,3),
(1087,8408,1,100,'Increases STA of caster by 2.5',0,4),
(1088,8408,1,100,'Summons a pet storm elemental',0,5),
(1089,8408,1,100,'If follows Karana',0,6),
(1090,8409,1,100,'Summons a pet Fae Drake Companion',0,0),
(1091,8410,1,100,'Increases AGI of caster by 2.5',0,0),
(1092,8410,1,100,'Increases INT of caster by 2.5',0,1),
(1093,8410,1,100,'Increases STA of caster by 2.5',0,2),
(1094,8410,1,100,'Increases STR of caster by 2.5',0,3),
(1095,8410,1,100,'Increases WIS of caster by 2.5',0,4),
(1096,8410,1,100,'Summons a pet wisp',0,5),
(1097,8410,1,100,'If follows Tunare',0,6),
(1098,8411,5,100,'Increases AGI of caster by 2.5',0,0),
(1099,8411,5,100,'Increases INT of caster by 2.5',0,1),
(1100,8411,5,100,'Increases STA of caster by 2.5',0,2),
(1101,8411,5,100,'Increases STR of caster by 2.5',0,3),
(1102,8411,5,100,'Increases WIS of caster by 2.5',0,4),
(1103,8411,5,100,'Summons a pet imp',0,5),
(1104,8411,5,100,'If follows Solusek Ro',0,6),
(1105,8412,1,100,'Increases AGI of caster by 2.5',0,0),
(1106,8412,1,100,'Increases INT of caster by 2.5',0,1),
(1107,8412,1,100,'Increases STA of caster by 2.5',0,2),
(1108,8412,1,100,'Increases STR of caster by 2.5',0,3),
(1109,8412,1,100,'Increases WIS of caster by 2.5',0,4),
(1110,8412,1,100,'Summons a pet mummy',0,5),
(1111,8412,1,100,'If follows Innoruuk',0,6),
(1112,8413,1,100,'Increases AGI of caster by 2.5',0,0),
(1113,8413,1,100,'Increases INT of caster by 2.5',0,1),
(1114,8413,1,100,'Increases STA of caster by 2.5',0,2),
(1115,8413,1,100,'Increases STR of caster by 2.5',0,3),
(1116,8413,1,100,'Increases WIS of caster by 2.5',0,4),
(1117,8413,1,100,'Summons a pet ',0,5),
(1118,8413,1,100,'If follows Bertoxxulous',0,6),
(1119,8414,1,100,'Increases WIS of caster by 2.5',0,0),
(1120,8414,1,100,'Increases STR of caster by 2.5',0,1),
(1121,8414,1,100,'Increases STA of caster by 2.5',0,2),
(1122,8414,1,100,'Increases INT of caster by 2.5',0,3),
(1123,8414,1,100,'Increases AGI of caster by 2.5',0,4),
(1124,8414,1,100,'Summons a pet valkyrie',0,5),
(1125,8414,1,100,'If follows Rodcet Nife',0,6),
(1126,8415,1,100,'Increases AGI of caster by 2.5',0,0),
(1127,8415,1,100,'Increases INT of caster by 2.5',0,1),
(1128,8415,1,100,'Increases STA of caster by 2.5',0,2),
(1129,8415,1,100,'Increases STR of caster by 2.5',0,3),
(1130,8415,1,100,'Increases WIS of caster by 2.5',0,4),
(1131,8415,1,100,'Summons a pet lizardman',0,5),
(1132,8415,1,100,'If follows Cazic-Thule',0,6),
(1133,8416,1,100,'Summons a pet Skyfire Drake Companion',0,0),
(1134,8417,1,100,'Increases AGI of caster by 2.5',0,0),
(1135,8417,1,100,'Increases INT of caster by 2.5',0,1),
(1136,8417,1,100,'Increases STA of caster by 2.5',0,2),
(1137,8417,1,100,'Increases STR of caster by 2.5',0,3),
(1138,8417,1,100,'Increases WIS of caster by 2.5',0,4),
(1139,8417,1,100,'Summons a pet bailiff',0,5),
(1140,8417,1,100,'If follows The Tribunal',0,6),
(1141,8418,1,100,'Increases AGI of caster by 2.5',0,0),
(1142,8418,1,100,'Increases INT of caster by 2.5',0,1),
(1143,8418,1,100,'Increases STA of caster by 2.5',0,2),
(1144,8418,1,100,'Increases STR of caster by 2.5',0,3),
(1145,8418,1,100,'Increases WIS of caster by 2.5',0,4),
(1146,8418,1,100,'Summons a pet giant',0,5),
(1147,8418,1,100,'If follows Rallos Zek',0,6),
(1148,8419,1,100,'Summons a limited pet to aid the caster',0,0),
(1149,8419,1,100,'Must have completed the Quest &quot;The Avatar of Flame&quot;',0,1),
(1150,8420,6,100,'Inflicts 23 - 28 heat damage on target every 4 seconds',0,0),
(1151,8420,6,100,'Inflicts 397 - 595 heat damage on target',0,1),
(1152,8420,6,100,'Decreases Haste of target by 17.5',0,2),
(1153,8422,1,100,'On death this spell will cast Swindle Fate on caster.  ',0,0),
(1154,8423,1,100,'Summons a pet cat familiar',0,0),
(1155,8424,1,100,'Increases Hate Gain of caster by 10.0%',0,0),
(1156,8424,1,100,'Decreases Hate Gain of group members (AE) by 5.0%',0,1),
(1157,8424,1,100,'Decreases Defense of caster by 30.0',0,2),
(1158,8424,1,100,'Increases Defense of group members (AE) by 15.0',0,3),
(1159,8424,1,100,'Must have completed the Quest &quot;A Savage Lesson&quot;',0,4),
(1160,8425,1,100,'Teleports caster and caster''s group within the zone',0,0),
(1161,8425,1,100,'Must have completed the Quest &quot;Proof in Strength&quot;',0,1),
(1162,8427,4,100,'Summons a pet Tangy Orange Gumdrop',0,0),
(1163,8428,1,100,'Increases Max Power of caster by 500.0',0,0),
(1164,8428,1,100,'Must have completed the Quest &quot;Peace Through Games&quot;',0,1),
(1165,8429,1,100,'Increases Crit Chance of caster by 50.0',0,0),
(1166,8429,1,100,'Makes caster immune to Stun effects',0,1),
(1167,8429,1,100,'Makes caster immune to Mesmerize effects',0,2),
(1168,8429,1,100,'Makes caster immune to Root effects',0,3),
(1169,8429,1,100,'Makes caster immune to Fear effects',0,4),
(1170,8429,1,100,'Makes caster immune to Stifle effects',0,5),
(1171,8429,1,100,'Makes caster immune to Daze effects',0,6),
(1172,8429,1,100,'Must have completed the Quest &quot;Sticks and Stones&quot;',0,7),
(1173,8429,1,100,'Must not be engaged in pvp combat',0,8),
(1174,8430,1,100,'Summons 2 limited pets to aid the caster',0,0),
(1175,8430,1,100,'Must have completed the Quest &quot;Into the Fold&quot;',0,1),
(1176,8431,1,100,'Increases Mitigation of target vs arcane damage by 0',0,0),
(1177,8431,1,100,'On a hostile spell cast this spell will cast Terror on caster.  Lasts for 6.0 seconds.  ',0,1),
(1178,8431,1,100,'Makes caster afraid',1,2),
(1179,8431,1,100,'Roots caster',1,3),
(1180,8431,1,100,'5% chance to dispel when target takes damage',1,4),
(1181,8431,1,100,'Grants a total of 5 triggers of the spell.',1,5),
(1182,8431,1,100,'Must have completed the Quest &quot;Somborn Spirits&quot;',0,6),
(1183,8431,1,100,'Must not be engaged in pvp combat',0,7),
(1184,8432,1,100,'On a hostile spell hit this spell may cast Thule''s Terror on target of spell.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',0,0),
(1185,8432,1,100,'Makes target afraid',1,1),
(1186,8432,1,100,'Roots target',1,2),
(1187,8432,1,100,'15% chance to dispel when target takes damage',1,3),
(1188,8432,1,100,'Does not affect Epic targets',1,4),
(1189,8432,1,100,'Resistibility increases against targets higher than level 30.',1,5),
(1190,8432,1,100,'On a combat hit this spell may cast Thule''s Terror on target of attack.  Lasts for 15.0 seconds.  Triggers about 1.8 times per minute. ',0,6),
(1191,8432,1,100,'Makes target afraid',1,7),
(1192,8432,1,100,'Roots target',1,8),
(1193,8432,1,100,'15% chance to dispel when target takes damage',1,9),
(1194,8432,1,100,'Does not affect Epic targets',1,10),
(1195,8432,1,100,'Resistibility increases against targets higher than level 30.',1,11),
(1196,8432,1,100,'Must have completed the Quest &quot;A Hint of Fear&quot;',0,12),
(1197,8433,6,100,'Decreases STR of target by 70.2',0,0),
(1198,8433,6,100,'Decreases STA of target by 35.1',0,1),
(1199,8434,1,100,'Mental spell damage and duration is increased by 10%. Mental spell resistibility is reduced by 25%.',0,0),
(1200,8434,1,100,'Must have completed the Quest &quot;The Sins of Butcherblock&quot;',0,1),
(1201,8435,1,100,'Increases Mitigation of caster vs arcane damage by 0',0,0),
(1202,8435,1,100,'Makes caster immune to Fear effects',0,1),
(1203,8435,1,100,'Must have completed the Quest &quot;A Hint of Fear&quot;',0,2),
(1204,8436,1,100,'Shapechanges caster into a tiger',0,0),
(1205,8437,1,100,'Repairs target''s equipment',0,0),
(1206,8437,2,100,'Repairs target''s equipment',0,0),
(1207,8439,1,100,'Increases the damage of all Disease based spells by 50% for 10 Minutes.',0,0),
(1208,8439,1,100,'Must have completed the Quest &quot;The Plaguebringer Cometh&quot;',0,1),
(1209,8440,1,100,'Tracks a selected harvestable resource, causing a trail to appear that leads to its location.',0,0),
(1210,8440,1,100,'This effect cannot be cast during combat',0,1),
(1211,8440,1,100,'Cannot be modified except by direct means',0,2),
(1212,8440,2,100,'Tracks a selected harvestable resource, causing a trail to appear that leads to its location.',0,0),
(1213,8440,2,100,'This effect cannot be cast during combat',0,1),
(1214,8440,2,100,'Cannot be modified except by direct means',0,2),
(1215,8440,3,100,'Tracks a selected harvestable resource, causing a trail to appear that leads to its location.',0,0),
(1216,8440,3,100,'This effect cannot be cast during combat',0,1),
(1217,8440,3,100,'Cannot be modified except by direct means',0,2),
(1218,8440,4,100,'Tracks a selected harvestable resource, causing a trail to appear that leads to its location.',0,0),
(1219,8440,4,100,'This effect cannot be cast during combat',0,1),
(1220,8440,4,100,'Cannot be modified except by direct means',0,2),
(1221,8440,5,100,'Tracks a selected harvestable resource, causing a trail to appear that leads to its location.',0,0),
(1222,8440,5,100,'This effect cannot be cast during combat',0,1),
(1223,8440,5,100,'Cannot be modified except by direct means',0,2),
(1224,8441,1,100,'Tracks a selected target, causing a trail to appear that leads to their location.',0,0),
(1225,8441,2,100,'Tracks a selected target, causing a trail to appear that leads to their location.',0,0),
(1226,8442,5,100,'Tracks a selected target, causing a trail to appear that leads to their location.',0,0),
(1227,8442,5,100,'You need Knowledge of Tracking to be able to use this ability!',0,1),
(1228,8443,1,100,'Increases the reuse speed of beneficial spells by 25%.',0,0),
(1229,8443,1,100,'Must have completed the Quest &quot;Spreading the Cure&quot;',0,1),
(1230,8444,1,100,'Applies Tranquility''s Balm.',0,0),
(1231,8444,1,100,'Increases power of group members by 5.0%',1,1),
(1232,8444,1,100,'This effect cannot be critically applied.',2,2),
(1233,8444,1,100,'Stuns caster',0,3),
(1234,8444,1,100,'Stifles caster',0,4),
(1235,8446,1,100,'Cannot be modified except by direct means',0,0),
(1236,8447,2,100,'Teleports caster to target',0,0),
(1237,8447,2,100,'This effect cannot be cast during combat',0,1),
(1238,8447,2,100,'Must not be engaged in combat',0,2),
(1239,8448,1,100,'Increases Crit Chance of caster by 10.0',0,0),
(1240,8448,1,100,'Increases Ranged of caster by 20.0',0,1),
(1241,8448,1,100,'Summons 100 trueshot arrows',0,2),
(1242,8448,1,100,'Summons 100 trueshot throwing knives',0,3),
(1243,8448,1,100,'Must have completed the Quest &quot;The Priestess of Lesser Faydark&quot;',0,4),
(1244,8449,1,100,'Increases WIS of caster by 5.0',0,0),
(1245,8449,1,100,'Increases Hate Gain of caster by 25.0%',0,1),
(1246,8449,1,100,'Increases Ability Reuse Speed of caster by 25.0%',0,2),
(1247,8449,1,100,'Increases DPS of caster by 50.0',0,3),
(1248,8449,1,100,'Increases Crit Chance of caster by 50.0',0,4),
(1249,8449,1,100,'Must have completed the Quest &quot;Building an Altar of Valor&quot;',0,5),
(1250,8450,1,100,'Summons a pet Tunare''s guardian',0,0),
(1251,8450,1,100,'Must have completed the Quest &quot;Faith&quot;',0,1),
(1252,8451,1,100,'When damaged this spell will cast Shock of Faith on target''s attacker.  ',0,0),
(1253,8451,1,100,'Inflicts 12 - 15 divine damage on target',1,1),
(1254,8451,1,100,'Grants a total of 10 triggers of the spell.',1,2),
(1255,8453,1,100,'Grants See Invisibility to caster',0,0),
(1256,8454,5,100,'Summons a companion pet baby dragon',0,0),
(1257,8455,1,100,'Shapechanges caster into a hawk',0,0),
(1258,8456,2,100,'Teleports caster to target',0,0),
(1259,8456,2,100,'This effect cannot be cast during combat',0,1),
(1260,8456,2,100,'Must not be engaged in combat',0,2),
(1261,8457,1,100,'Grants Ultravision to caster',0,0),
(1262,8457,2,100,'Grants Ultravision to caster',0,0),
(1263,8458,1,100,'Increases WIS of caster by 2.5',0,0),
(1264,8458,1,100,'Increases INT of caster by 2.5',0,1),
(1265,8458,1,100,'Increases AGI of caster by 2.5',0,2),
(1266,8458,1,100,'Increases STA of caster by 2.5',0,3),
(1267,8458,1,100,'Increases STR of caster by 2.5',0,4),
(1268,8458,1,100,'Summons a pet Underfoot Attendant',0,5),
(1269,8458,1,100,'If follows Brell Serilis',0,6),
(1270,8459,1,100,'Caster has a 20.0% chance of having one of their weapons'' auto-attack strike the target multiple times.',0,0),
(1271,8459,1,100,'Increases Crit Chance of caster by 25.0',0,1),
(1272,8459,1,100,'Increases Spell Doublecast of caster by 33.0%',0,2),
(1273,8459,1,100,'Must have completed the Quest &quot;Return of the Forgotten Goddess&quot;',0,3),
(1274,8460,1,100,'Transfers 15% of group members (AE)''s current Threat to the caster',0,0),
(1275,8460,1,100,'Must have completed the Quest &quot;Sounding the Clarion&quot;',0,1),
(1276,8461,1,100,'Summons a pet Unholy Adept',0,0),
(1277,8464,1,100,'Summons a mount to ride',0,0),
(1278,8464,1,100,'Increases your ground speed by 130%',1,1),
(1279,8465,1,100,'Increases AGI, INT, STA, STR and WIS of caster by 5.0',0,0),
(1280,8465,1,100,'Must have completed the Quest &quot;The Tablets of Judicare Septem&quot;',0,1),
(1281,8466,2,100,'Shapechanges caster into an unseelie',0,0),
(1282,8466,2,100,'Increases speed of caster by 5.0%',0,1),
(1283,8466,2,100,'Reduces maximum falling speed of caster',0,2),
(1284,8466,2,100,'Stifles caster',0,3),
(1285,8466,2,100,'Dazes caster',0,4),
(1286,8466,2,100,'Dispelled when target casts a spell',0,5),
(1287,8466,2,100,'Dispelled when target takes damage',0,6),
(1288,8466,2,100,'Dispelled when target casts a combat art',0,7),
(1289,8466,2,100,'Dispelled when target receives hostile action',0,8),
(1290,8466,2,100,'This effect cancels during combat',0,9),
(1291,8467,1,100,'Inflicts 2 - 3 cold damage on targets in Area of Effect instantly and every 5 seconds',0,0),
(1292,8467,1,100,'Decreases Haste of targets in Area of Effect by 15.0',0,1),
(1293,8467,1,100,'Slows targets in Area of Effect by 50.0%',0,2),
(1294,8467,1,100,'Increases Mitigation of targets in Area of Effect vs elemental damage by 0',0,3),
(1295,8467,1,100,'Must have completed the Quest &quot;Steppe by Steppe&quot;',0,4),
(1296,8468,1,100,'Increases STA of caster by 2.5',0,0),
(1297,8468,1,100,'Increases STR of caster by 2.5',0,1),
(1298,8468,1,100,'Increases INT of caster by 2.5',0,2),
(1299,8468,1,100,'Increases AGI of caster by 2.5',0,3),
(1300,8468,1,100,'Increases WIS of caster by 2.5',0,4),
(1301,8468,1,100,'Summons a pet Valiant Beast',0,5),
(1302,8468,1,100,'If follows Mithaniel Marr',0,6),
(1303,8469,1,100,'Caster will Parry 5.0% of incoming attacks',0,0),
(1304,8469,1,100,'On a melee hit this spell will cast Marr''s Strength on target of attack.  ',0,1),
(1305,8469,1,100,'Inflicts 1 - 2 divine damage on target',1,2),
(1306,8469,1,100,'If facing target',1,3),
(1307,8469,1,100,'Must have completed the Quest &quot;Building an Altar of Valor&quot;',0,4),
(1308,8470,1,100,'Applies Marr''s Heroism on termination.',0,0),
(1309,8470,1,100,'Heals group members for 24 - 36',1,1),
(1310,8470,1,100,'Wards caster against 10 points of all damage',0,2),
(1311,8470,1,100,'100% chance to intercept all damage on target.On a successful intercept caster takes 55% of attack damage, target takes 50% of attack damage.Spell ends after 10 successful intercepts.',0,3),
(1312,8470,1,100,'Must have completed the Quest &quot;A Deeper History of the Truthbringer&quot;',0,4),
(1313,8471,1,100,'On death this spell will cast Seething Vengeance on caster.  Lasts for 10.0 seconds.  ',0,0),
(1314,8471,1,100,'Applies Vengeance''s Departure on termination.',1,1),
(1315,8471,1,100,'Decreases threat priority of target by 24 positions',2,2),
(1316,8471,1,100,'Heals caster for 100.0% of max health',2,3),
(1317,8471,1,100,'This effect cannot be critically applied.',3,4),
(1318,8471,1,100,'Wards caster against 15 points of all damage',1,5),
(1319,8471,1,100,'Heals caster for 4',1,6),
(1320,8471,1,100,'Increases Haste of caster by 15.0',1,7),
(1321,8471,1,100,'Increases Multi Attack of caster by 15.0',1,8),
(1322,8471,1,100,'Increases Crit Chance of caster by 25.0',1,9),
(1323,8471,1,100,'Increases DPS of caster by 50.0',1,10),
(1324,8471,1,100,'Increases Ability Casting Speed of caster by 50.0%',1,11),
(1325,8471,1,100,'Grants a total of 1 trigger of the spell.',1,12),
(1326,8472,1,100,'Increases DPS of caster by 40.0',0,0),
(1327,8472,1,100,'On a melee hit this spell will cast Word of the Tribunal on target of attack.  ',0,1),
(1328,8472,1,100,'Inflicts 4 divine damage on target',1,2),
(1329,8472,1,100,'Must have completed the Quest &quot;True and False&quot;',0,3),
(1330,8473,1,100,'Improves reuse speed of all combat arts by 10%.',0,0),
(1331,8473,1,100,'Reduces cast time of all combat arts by 12.5%.',0,1),
(1332,8473,1,100,'Must have completed the Quest &quot;True and False&quot;',0,2),
(1333,8474,1,100,'Shrouds the beastlord''s warder in the essence of the truespirits.',0,0),
(1334,8474,1,100,'You must have a warder summoned.',0,1),
(1335,8475,1,100,'All spells have a 15% lower fuel cost.',0,0),
(1336,8475,1,100,'Must have completed the Quest &quot;The Gathering&quot;',0,1),
(1337,8476,1,100,'Envelops the Bertoxxulous follower in a shield of disease that causes anything striking the follower to fall ill, harming them for a short duration.  Once the blight wears off, all damage done to the enemy target is returned to the follower as health.',0,0),
(1338,8477,1,100,'When any damage is received this spell will cast Aftermath on target''s attacker.  ',0,0),
(1339,8477,1,100,'Inflicts 108 - 162 divine damage on target',1,1),
(1340,8477,1,100,'Grants a total of 5 triggers of the spell.',1,2),
(1341,8477,1,100,'Must have completed the Quest &quot;In Service of Rallos Zek&quot;',0,3),
(1342,8478,1,100,'On a kill this spell will cast War Wisdom on caster.  Lasts for 1 minute.  ',0,0),
(1343,8478,1,100,'Caster has a 5.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',1,1),
(1344,8478,1,100,'Increases DPS of caster by 5.0',1,2),
(1345,8478,1,100,'Increases Crit Chance of caster by 5.0',1,3),
(1346,8478,1,100,'Increases Multi Attack of caster by 5.0',1,4),
(1347,8478,1,100,'Must have completed the Quest &quot;Flesh and Steel&quot;',0,5),
(1348,8479,1,100,'Has a 30.0% chance to absorb all damage. This spell will absorb a total of 2 attacks.',0,0),
(1349,8479,1,100,'Must have completed the Quest &quot;Strange Occurrences&quot;',0,1),
(1350,8482,2,100,'Increases in-combat movement speed of caster by 50.0%',0,0),
(1351,8482,2,100,'Increases speed of caster by 50.0%',0,1),
(1352,8483,2,100,'Increases in-combat movement speed of caster by 50.0%',0,0),
(1353,8483,2,100,'Increases speed of caster by 50.0%',0,1),
(1354,8485,1,100,'Increases Hate Gain of caster by 100.0%',0,0),
(1355,8485,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,1),
(1356,8485,1,100,'When damaged with a melee weapon this spell will cast Word of the Tribunal on target''s attacker.  ',0,2),
(1357,8485,1,100,'Inflicts 4 divine damage on target',1,3),
(1358,8485,1,100,'Must have completed the Quest &quot;Key Evidence&quot;',0,4),
(1359,8486,1,100,'If the next damage spell cast is heat-based, it will inflict massive damage.',0,0),
(1360,8486,1,100,'Makes caster always do critical damage on spell attacks',0,1),
(1361,8486,1,100,'Dispelled when target casts a hostile spell',0,2),
(1362,8486,1,100,'Must have completed the Quest &quot;Ro''s Flame&quot;',0,3),
(1363,8488,1,100,'Shapechanges caster into a kholrat',0,0),
(1364,8489,1,100,'Shapechanges target into a bat',0,0),
(1365,8490,1,100,'Summons a pet bat familiar',0,0),
(1366,8491,1,100,'Reduces the reuse timer of Combat Arts by 10% and increases the damage amount of combat arts by 10%.',0,0),
(1367,8491,1,100,'Must have completed the Quest &quot;For The Glory of Rallos!&quot;',0,1),
(1368,1000000,1,100,'Increases Ability Mod of caster by 10.4',0,0),
(1369,1000000,2,100,'Increases Ability Mod of caster by 20.7',0,0),
(1370,1000000,3,100,'Increases Ability Mod of caster by 31.1',0,0),
(1371,1000000,4,100,'Increases Ability Modifier of caster by 41.4',0,0),
(1372,1000000,5,100,'Increases Ability Mod of caster by 51.8',0,0),
(1373,1000000,6,100,'Increases Ability Modifier of caster by 62.1',0,0),
(1374,1000000,7,100,'Increases Ability Modifier of caster by 72.5',0,0),
(1375,1000000,8,100,'Increases Ability Mod of caster by 82.8',0,0),
(1376,1000000,9,100,'Increases Ability Modifier of caster by 93.2',0,0),
(1377,1000000,10,100,'Increases Ability Modifier of caster by 103.5',0,0),
(1378,1000001,1,100,'On any combat or spell hit this spell will cast Divine Justice on target.  Lasts for 1 minute.  ',0,0),
(1379,1000001,1,100,'Allows the use of Divine Territory',1,1),
(1380,1000001,1,100,'Cannot be modified except by direct means',1,2),
(1381,1000001,2,100,'On any combat or spell hit this spell will cast Divine Justice on target.  Lasts for 1 minute.  ',0,0),
(1382,1000001,2,100,'Allows the use of Divine Territory',1,1),
(1383,1000001,2,100,'Cannot be modified except by direct means',1,2),
(1384,1000001,3,100,'On any combat or spell hit this spell will cast Divine Justice on target.  Lasts for 1 minute.  ',0,0),
(1385,1000001,3,100,'Allows the use of Divine Territory',1,1),
(1386,1000001,3,100,'Cannot be modified except by direct means',1,2),
(1387,1000002,1,100,'Improves the duration of Chilling Armor by 1 seconds',0,0),
(1388,1000002,2,100,'Improves the duration of Chilling Armor by 2 seconds',0,0),
(1389,1000002,3,100,'Improves the duration of Chilling Armor by 3 seconds',0,0),
(1390,1000002,4,100,'Improves the duration of Chilling Armor by 4 seconds',0,0),
(1391,1000002,5,100,'Improves the duration of Chilling Armor by 5 seconds',0,0),
(1392,1000002,6,100,'Improves the duration of Chilling Armor by 6 seconds',0,0),
(1393,1000002,7,100,'Improves the duration of Chilling Armor by 7 seconds',0,0),
(1394,1000002,8,100,'Improves the duration of Chilling Armor by 8 seconds',0,0),
(1395,1000003,1,100,'Grants a 2.0% chance to resist Stun effects',0,0),
(1396,1000003,2,100,'Grants a 4.0% chance to resist Stun effects',0,0),
(1397,1000003,3,100,'Grants a 6.0% chance to resist Stun effects',0,0),
(1398,1000003,4,100,'Grants a 8.0% chance to resist Stun effects',0,0),
(1399,1000003,5,100,'Grants a 10.0% chance to resist Stun effects',0,0),
(1400,1000004,1,100,'Improves the durations of Intellectual Remedy and Destructive Rampage by 10%.',0,0),
(1401,1000004,2,100,'Improves the durations of Intellectual Remedy and Destructive Rampage by 20%.',0,0),
(1402,1000004,3,100,'Improves the durations of Intellectual Remedy and Destructive Rampage by 30%.',0,0),
(1403,1000004,4,100,'Improves the durations of Intellectual Remedy and Destructive Rampage by 40%.',0,0),
(1404,1000004,5,100,'Improves the durations of Intellectual Remedy and Destructive Rampage by 50%.',0,0),
(1405,1000004,6,100,'Improves the durations of Intellectual Remedy and Destructive Rampage by 60%.',0,0),
(1406,1000004,7,100,'Improves the durations of Intellectual Remedy and Destructive Rampage by 70%.',0,0),
(1407,1000004,8,100,'Improves the durations of Intellectual Remedy and Destructive Rampage by 80%.',0,0),
(1408,1000004,9,100,'Improves the durations of Intellectual Remedy and Destructive Rampage by 90%.',0,0),
(1409,1000004,10,100,'Improves the durations of Intellectual Remedy and Destructive Rampage by 100%.',0,0),
(1410,1000005,1,100,'Increases Ability Reuse Speed of caster by 0.5%',0,0),
(1411,1000005,1,100,'Increases Ability Casting Speed of caster by 1.5%',0,1),
(1412,1000005,2,100,'Increases Ability Reuse Speed of caster by 1.0%',0,0),
(1413,1000005,2,100,'Increases Ability Casting Speed of caster by 3.0%',0,1),
(1414,1000005,3,100,'Increases Ability Reuse Speed of caster by 1.5%',0,0),
(1415,1000005,3,100,'Increases Ability Casting Speed of caster by 4.5%',0,1),
(1416,1000005,4,100,'Increases Ability Reuse Speed of caster by 2.0%',0,0),
(1417,1000005,4,100,'Increases Ability Casting Speed of caster by 6.0%',0,1),
(1418,1000005,5,100,'Increases Ability Reuse Speed of caster by 2.5%',0,0),
(1419,1000005,5,100,'Increases Ability Casting Speed of caster by 7.5%',0,1),
(1420,1000005,6,100,'Increases Ability Reuse Speed of caster by 3.0%',0,0),
(1421,1000005,6,100,'Increases Ability Casting Speed of caster by 9.0%',0,1),
(1422,1000005,7,100,'Increases Ability Reuse Speed of caster by 3.5%',0,0),
(1423,1000005,7,100,'Increases Ability Casting Speed of caster by 10.5%',0,1),
(1424,1000005,8,100,'Increases Ability Reuse Speed of caster by 4.0%',0,0),
(1425,1000005,8,100,'Increases Ability Casting Speed of caster by 12.0%',0,1),
(1426,1000005,9,100,'Increases Ability Reuse Speed of caster by 4.5%',0,0),
(1427,1000005,9,100,'Increases Ability Casting Speed of caster by 13.5%',0,1),
(1428,1000005,10,100,'Increases Ability Reuse Speed of caster by 5.0%',0,0),
(1429,1000005,10,100,'Increases Ability Casting Speed of caster by 15.0%',0,1),
(1430,1000006,1,100,'Adds two extra ticks to all of the necromancer''s spells, causing the damage to occur faster.',0,0),
(1431,1000007,1,100,'Acid Blades has a 33% chance to trigger Acidmist, which inflicts poison damage around the assassin.',0,0),
(1432,1000007,2,100,'Acid Blades has a 66% chance to trigger Acidmist, which inflicts poison damage around the assassin.',0,0),
(1433,1000007,3,100,'Acid Blades has a 100% chance to trigger Acidmist, which inflicts poison damage around the assassin.',0,0),
(1434,1000008,1,100,'Increases Mitigation of caster vs elemental damage by 3',0,0),
(1435,1000008,2,100,'Increases Mitigation of caster vs elemental damage by 3',0,0),
(1436,1000009,1,100,'Improves the stamina amount by 3%',0,0),
(1437,1000009,2,100,'Improves the stamina amount by 6%',0,0),
(1438,1000009,3,100,'Improves the stamina amount by 9%',0,0),
(1439,1000009,4,100,'Improves the stamina amount by 12%',0,0),
(1440,1000009,5,100,'Improves the stamina amount by 15%',0,0),
(1441,1000010,1,100,'Increases Ministration of caster by 5.0',0,0),
(1442,1000010,2,100,'Increases Ministration of caster by 5.0',0,0),
(1443,1000011,1,100,'For 4 seconds after leaving combat, the beastlord''s savagery will not degenerate.',0,0),
(1444,1000011,1,100,'Adrenal Flow disables when the beastlord attacks or uses an ability.',0,1),
(1445,1000011,2,100,'For 8 seconds after leaving combat, the beastlord''s savagery will not degenerate.',0,0),
(1446,1000011,2,100,'Adrenal Flow disables when the beastlord attacks or uses an ability.',0,1),
(1447,1000011,3,100,'For 12 seconds after leaving combat, the beastlord''s savagery will not degenerate.',0,0),
(1448,1000011,3,100,'Adrenal Flow disables when the beastlord attacks or uses an ability.',0,1),
(1449,1000011,4,100,'For 16 seconds after leaving combat, the beastlord''s savagery will not degenerate.',0,0),
(1450,1000011,4,100,'Adrenal Flow disables when the beastlord attacks or uses an ability.',0,1),
(1451,1000011,5,100,'For 20 seconds after leaving combat, the beastlord''s savagery will not degenerate.',0,0),
(1452,1000011,5,100,'Adrenal Flow disables when the beastlord attacks or uses an ability.',0,1),
(1453,1000012,1,100,'Adrenaline will also add additional hate for the berserker when they successfully hit the target with a melee attack',0,0),
(1454,1000013,1,100,'Gives the bruiser a chance to absorb the next attack after taking a blow which does 40% or higher damage.  The base chance is 10 percent at rank 1 and increases to 50 percent at rank 5. This effect can only trigger once every 45 seconds.',0,0),
(1455,1000013,2,100,'Gives the bruiser a chance to absorb the next attack after taking a blow which does 40% or higher damage.  The base chance is 10 percent at rank 1 and increases to 50 percent at rank 5. This effect can only trigger once every 45 seconds.',0,0),
(1456,1000012,2,100,'Adrenaline will also add additional hate for the berserker when they successfully hit the target with a melee attack',0,0),
(1457,1000012,3,100,'Adrenaline will also add additional hate for the berserker when they successfully hit the target with a melee attack',0,0),
(1458,1000013,3,100,'Gives the bruiser a chance to absorb the next attack after taking a blow which does 40% or higher damage.  The base chance is 10 percent at rank 1 and increases to 50 percent at rank 5. This effect can only trigger once every 45 seconds.',0,0),
(1459,1000013,4,100,'Gives the bruiser a chance to absorb the next attack after taking a blow which does 40% or higher damage.  The base chance is 10 percent at rank 1 and increases to 50 percent at rank 5. This effect can only trigger once every 45 seconds.',0,0),
(1460,1000012,4,100,'Adrenaline will also add additional hate for the berserker when they successfully hit the target with a melee attack',0,0),
(1461,1000013,5,100,'Gives the bruiser a chance to absorb the next attack after taking a blow which does 40% or higher damage.  The base chance is 10 percent at rank 1 and increases to 50 percent at rank 5. This effect can only trigger once every 45 seconds.',0,0),
(1462,1000012,5,100,'Adrenaline will also add additional hate for the berserker when they successfully hit the target with a melee attack',0,0),
(1463,1000014,1,100,'On any combat or spell hit this spell may cast Scouted Target on caster.  Lasts for 10.0 seconds.  Triggers about 1.0 times per minute. ',0,0),
(1464,1000014,1,100,'Caster has a 3.9% chance of having one of their weapons'' auto-attack strike the target multiple times.',1,1),
(1465,1000014,1,100,'This effect can be stacked by multiple casters.',1,2),
(1466,1000014,2,100,'On any combat or spell hit this spell may cast Scouted Target on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(1467,1000014,2,100,'Caster has a 3.9% chance of having one of their weapons'' auto-attack strike the target multiple times.',1,1),
(1468,1000014,2,100,'This effect can be stacked by multiple casters.',1,2),
(1469,1000014,3,100,'On any combat or spell hit this spell may cast Scouted Target on caster.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,0),
(1470,1000014,3,100,'Caster has a 3.9% chance of having one of their weapons'' auto-attack strike the target multiple times.',1,1),
(1471,1000014,3,100,'This effect can be stacked by multiple casters.',1,2),
(1472,1000015,1,100,'Improves the base damage of Interrupt by 20%.',0,0),
(1473,1000015,2,100,'Improves the base damage of Interrupt by 40%.',0,0),
(1474,1000015,3,100,'Improves the base damage of Interrupt by 60%.',0,0),
(1475,1000015,4,100,'Improves the base damage of Interrupt by 80%.',0,0),
(1476,1000015,5,100,'Improves the base damage of Interrupt by 100%.',0,0),
(1477,1000016,1,100,'When using an Advantage ability. this spell has a 20% chance to cast Advantageous Advance on target.  Lasts for 10.0 seconds.  ',0,0),
(1478,1000016,1,100,'Increases Potency of group members (AE) by 1.0%',1,1),
(1479,1000016,1,100,'Increases Crit Bonus of group members (AE) by 1.5%',1,2),
(1480,1000016,1,100,'If in Feral Stance',1,3),
(1481,1000016,1,100,'When using an Advantage ability. this spell has a 20% chance to cast Advantageous Advance on target.  Lasts for 10.0 seconds.  ',0,4),
(1482,1000016,1,100,'Increases Potency of group members (AE) by 1.0%',1,5),
(1483,1000016,1,100,'Increases healing received by 1.00%',1,6),
(1484,1000016,1,100,'If in Spiritual Stance',1,7),
(1485,1000016,2,100,'When using an Advantage ability. this spell has a 20% chance to cast Advantageous Advance on target.  Lasts for 10.0 seconds.  ',0,0),
(1486,1000016,2,100,'Increases Potency of group members (AE) by 2.6%',1,1),
(1487,1000016,2,100,'Increases Crit Bonus of group members (AE) by 3.9%',1,2),
(1488,1000016,2,100,'If in Feral Stance',1,3),
(1489,1000016,2,100,'When using an Advantage ability. this spell has a 20% chance to cast Advantageous Advance on target.  Lasts for 10.0 seconds.  ',0,4),
(1490,1000016,2,100,'Increases Potency of group members (AE) by 2.6%',1,5),
(1491,1000016,2,100,'Increases healing received by 2.60%',1,6),
(1492,1000016,2,100,'If in Spiritual Stance',1,7),
(1493,1000016,3,100,'When using an Advantage ability. this spell has a 20% chance to cast Advantageous Advance on target.  Lasts for 10.0 seconds.  ',0,0),
(1494,1000016,3,100,'Increases Potency of group members (AE) by 3.9%',1,1),
(1495,1000016,3,100,'Increases Crit Bonus of group members (AE) by 5.8%',1,2),
(1496,1000016,3,100,'If in Feral Stance',1,3),
(1497,1000016,3,100,'When using an Advantage ability. this spell has a 20% chance to cast Advantageous Advance on target.  Lasts for 10.0 seconds.  ',0,4),
(1498,1000016,3,100,'Increases Potency of group members (AE) by 3.9%',1,5),
(1499,1000016,3,100,'Increases healing received by 3.90%',1,6),
(1500,1000016,3,100,'If in Spiritual Stance',1,7),
(1501,1000016,4,100,'When using an Advantage ability. this spell has a 20% chance to cast Advantageous Advance on target.  Lasts for 10.0 seconds.  ',0,0),
(1502,1000016,4,100,'Increases Potency of group members (AE) by 5.2%',1,1),
(1503,1000016,4,100,'Increases Crit Bonus of group members (AE) by 7.8%',1,2),
(1504,1000016,4,100,'If in Feral Stance',1,3),
(1505,1000016,4,100,'When using an Advantage ability. this spell has a 20% chance to cast Advantageous Advance on target.  Lasts for 10.0 seconds.  ',0,4),
(1506,1000016,4,100,'Increases Potency of group members (AE) by 5.2%',1,5),
(1507,1000016,4,100,'Increases healing received by 5.20%',1,6),
(1508,1000016,4,100,'If in Spiritual Stance',1,7),
(1509,1000016,5,100,'When using an Advantage ability. this spell has a 20% chance to cast Advantageous Advance on target.  Lasts for 10.0 seconds.  ',0,0),
(1510,1000016,5,100,'Increases Potency of group members (AE) by 6.5%',1,1),
(1511,1000016,5,100,'Increases Crit Bonus of group members (AE) by 9.8%',1,2),
(1512,1000016,5,100,'If in Feral Stance',1,3),
(1513,1000016,5,100,'When using an Advantage ability. this spell has a 20% chance to cast Advantageous Advance on target.  Lasts for 10.0 seconds.  ',0,4),
(1514,1000016,5,100,'Increases Potency of group members (AE) by 6.5%',1,5),
(1515,1000016,5,100,'Increases healing received by 6.50%',1,6),
(1516,1000016,5,100,'If in Spiritual Stance',1,7),
(1517,1000016,6,100,'When using an Advantage ability. this spell has a 20% chance to cast Advantageous Advance on target.  Lasts for 10.0 seconds.  ',0,0),
(1518,1000016,6,100,'Increases Potency of group members (AE) by 7.8%',1,1),
(1519,1000016,6,100,'Increases Crit Bonus of group members (AE) by 11.7%',1,2),
(1520,1000016,6,100,'If in Feral Stance',1,3),
(1521,1000016,6,100,'When using an Advantage ability. this spell has a 20% chance to cast Advantageous Advance on target.  Lasts for 10.0 seconds.  ',0,4),
(1522,1000016,6,100,'Increases Potency of group members (AE) by 7.8%',1,5),
(1523,1000016,6,100,'Increases healing received by 7.80%',1,6),
(1524,1000016,6,100,'If in Spiritual Stance',1,7),
(1525,1000016,7,100,'When using an Advantage ability. this spell has a 20% chance to cast Advantageous Advance on target.  Lasts for 10.0 seconds.  ',0,0),
(1526,1000016,7,100,'Increases Potency of group members (AE) by 9.1%',1,1),
(1527,1000016,7,100,'Increases Crit Bonus of group members (AE) by 13.6%',1,2),
(1528,1000016,7,100,'If in Feral Stance',1,3),
(1529,1000016,7,100,'When using an Advantage ability. this spell has a 20% chance to cast Advantageous Advance on target.  Lasts for 10.0 seconds.  ',0,4),
(1530,1000016,7,100,'Increases Potency of group members (AE) by 9.1%',1,5),
(1531,1000016,7,100,'Increases healing received by 9.10%',1,6),
(1532,1000016,7,100,'If in Spiritual Stance',1,7),
(1533,1000016,8,100,'When using an Advantage ability. this spell has a 20% chance to cast Advantageous Advance on target.  Lasts for 10.0 seconds.  ',0,0),
(1534,1000016,8,100,'Increases Potency of group members (AE) by 10.4%',1,1),
(1535,1000016,8,100,'Increases Crit Bonus of group members (AE) by 15.6%',1,2),
(1536,1000016,8,100,'If in Feral Stance',1,3),
(1537,1000016,8,100,'When using an Advantage ability. this spell has a 20% chance to cast Advantageous Advance on target.  Lasts for 10.0 seconds.  ',0,4),
(1538,1000016,8,100,'Increases Potency of group members (AE) by 10.4%',1,5),
(1539,1000016,8,100,'Increases healing received by 10.40%',1,6),
(1540,1000016,8,100,'If in Spiritual Stance',1,7),
(1541,1000016,9,100,'When using an Advantage ability. this spell has a 20% chance to cast Advantageous Advance on target.  Lasts for 10.0 seconds.  ',0,0),
(1542,1000016,9,100,'Increases Potency of group members (AE) by 11.7%',1,1),
(1543,1000016,9,100,'Increases Crit Bonus of group members (AE) by 17.5%',1,2),
(1544,1000016,9,100,'If in Feral Stance',1,3),
(1545,1000016,9,100,'When using an Advantage ability. this spell has a 20% chance to cast Advantageous Advance on target.  Lasts for 10.0 seconds.  ',0,4),
(1546,1000016,9,100,'Increases Potency of group members (AE) by 11.7%',1,5),
(1547,1000016,9,100,'Increases healing received by 11.70%',1,6),
(1548,1000016,9,100,'If in Spiritual Stance',1,7),
(1549,1000016,10,100,'When using an Advantage ability. this spell has a 20% chance to cast Advantageous Advance on target.  Lasts for 10.0 seconds.  ',0,0),
(1550,1000016,10,100,'Increases Potency of group members (AE) by 13.0%',1,1),
(1551,1000016,10,100,'Increases Crit Bonus of group members (AE) by 19.5%',1,2),
(1552,1000016,10,100,'If in Feral Stance',1,3),
(1553,1000016,10,100,'When using an Advantage ability. this spell has a 20% chance to cast Advantageous Advance on target.  Lasts for 10.0 seconds.  ',0,4),
(1554,1000016,10,100,'Increases Potency of group members (AE) by 13.0%',1,5),
(1555,1000016,10,100,'Increases healing received by 13.00%',1,6),
(1556,1000016,10,100,'If in Spiritual Stance',1,7),
(1557,1000017,1,100,'Increases critical success chance by 2.0%',0,0),
(1558,1000017,2,100,'Increases critical success chance by 4.0%',0,0),
(1559,1000017,3,100,'Increases critical success chance by 6.0%',0,0),
(1560,1000017,4,100,'Increases critical success chance by 8.0%',0,0),
(1561,1000017,5,100,'Increases critical success chance by 10.0%',0,0),
(1562,1000018,1,100,'After casting any Explosive spell, there is a chance that it will produce an aftershock of that spell a few seconds later. Aftershocks can trigger additional aftershocks.',0,0),
(1563,1000019,1,100,'Improves base threat amount by 3%.',0,0),
(1564,1000019,1,100,'Improves the critical amount by 2%.',0,1),
(1565,1000019,2,100,'Improves base threat amount by 6%.',0,0),
(1566,1000019,2,100,'Improves the critical amount by 4%.',0,1),
(1567,1000019,3,100,'Improves base threat amount by 9%.',0,0),
(1568,1000019,3,100,'Improves the critical amount by 6%.',0,1),
(1569,1000019,4,100,'Improves base threat amount by 12%.',0,0),
(1570,1000019,4,100,'Improves the critical amount by 8%.',0,1),
(1571,1000019,5,100,'Improves base threat amount by 15%.',0,0),
(1572,1000019,5,100,'Improves the critical amount by 10%.',0,1),
(1573,1000020,1,100,'The Bodyguard line gains a bonus which adds a threat component to Beatdown.',0,0),
(1574,1000020,2,100,'The Bodyguard line gains a bonus which adds a threat component to Beatdown.',0,0),
(1575,1000020,3,100,'The Bodyguard line gains a bonus which adds a threat component to Beatdown.',0,0),
(1576,1000020,4,100,'The Bodyguard line gains a bonus which adds a threat component to Beatdown.',0,0),
(1577,1000020,5,100,'The Bodyguard line gains a bonus which adds a threat component to Beatdown.',0,0),
(1578,1000021,1,100,'Improves the base amount of threat by 3% while the target is above 80% health.',0,0),
(1579,1000021,2,100,'Improves the base amount of threat by 6% while the target is above 80% health.',0,0),
(1580,1000021,3,100,'Improves the base amount of threat by 9% while the target is above 80% health.',0,0),
(1581,1000021,4,100,'Improves the base amount of threat by 12% while the target is above 80% health.',0,0),
(1582,1000021,5,100,'Improves the base amount of threat by 15% while the target is above 80% health.',0,0),
(1583,1000022,1,100,'Improves the threat generated by 5%.',0,0),
(1584,1000022,2,100,'Improves the threat generated by 10%.',0,0),
(1585,1000022,3,100,'Improves the threat generated by 15%.',0,0),
(1586,1000022,4,100,'Improves the threat generated by 20%.',0,0),
(1587,1000022,5,100,'Improves the threat generated by 25%.',0,0),
(1588,1000023,1,100,'Increases AGI of caster by 4.0',0,0),
(1589,1000023,2,100,'Increases AGI of caster by 4.0',0,0),
(1590,1000024,1,100,'Increases success chance by 2.0%',0,0),
(1591,1000024,2,100,'Increases success chance by 2.0%',0,0),
(1592,1000025,1,100,'Increases STR of caster by 2.5',0,0),
(1593,1000025,2,100,'Increases STR of caster by 2.5',0,0),
(1594,1000026,1,100,'Increases in-combat movement speed of caster by 1.0%',0,0),
(1595,1000026,1,100,'Increases speed of caster by 1.0%',0,1),
(1596,1000027,1,100,'Increases AGI of caster by 2.5',0,0),
(1597,1000028,1,100,'Increases AGI of caster by 2.5',0,0),
(1598,1000028,2,100,'Increases AGI of caster by 2.5',0,0),
(1599,1000027,2,100,'Increases AGI of caster by 2.5',0,0),
(1600,1000026,2,100,'Increases in-combat movement speed of caster by 2.0%',0,0),
(1601,1000026,2,100,'Increases speed of caster by 2.0%',0,1),
(1602,1000026,3,100,'Increases in-combat movement speed of caster by 3.0%',0,0),
(1603,1000026,3,100,'Increases speed of caster by 3.0%',0,1),
(1604,1000026,4,100,'Increases in-combat movement speed of caster by 4.0%',0,0),
(1605,1000026,4,100,'Increases speed of caster by 4.0%',0,1),
(1606,1000026,5,100,'Increases in-combat movement speed of caster by 5.0%',0,0),
(1607,1000026,5,100,'Increases speed of caster by 5.0%',0,1),
(1608,1000026,6,100,'Increases in-combat movement speed of caster by 6.0%',0,0),
(1609,1000026,6,100,'Increases speed of caster by 6.0%',0,1),
(1610,1000026,7,100,'Increases in-combat movement speed of caster by 7.0%',0,0),
(1611,1000026,7,100,'Increases speed of caster by 7.0%',0,1),
(1612,1000026,8,100,'Increases in-combat movement speed of caster by 8.0%',0,0),
(1613,1000026,8,100,'Increases speed of caster by 8.0%',0,1),
(1614,1000026,9,100,'Increases in-combat movement speed of caster by 9.0%',0,0),
(1615,1000026,9,100,'Increases speed of caster by 9.0%',0,1),
(1616,1000026,10,100,'Increases in-combat movement speed of caster by 10.0%',0,0),
(1617,1000026,10,100,'Increases speed of caster by 10.0%',0,1),
(1618,1000029,1,100,'Improves the damage of spells by 2% when the target is under 30% health.',0,0),
(1619,1000029,2,100,'Improves the damage of spells by 4% when the target is under 30% health.',0,0),
(1620,1000029,3,100,'Improves the damage of spells by 6% when the target is under 30% health.',0,0),
(1621,1000029,4,100,'Improves the damage of spells by 8% when the target is under 30% health.',0,0),
(1622,1000029,5,100,'Improves the damage of spells by 10% when the target is under 30% health.',0,0),
(1623,1000030,1,100,'Improves the casting speed of beneficial spells by 2%.',0,0),
(1624,1000030,2,100,'Improves the casting speed of beneficial spells by 2%.',0,0),
(1625,1000031,1,100,'Increases INT of caster by 5.0',0,0),
(1627,1000032,1,100,'Increases the durability gain by 2 every round.',0,0),
(1628,1000032,2,100,'Increases the durability gain by 2 every round.',0,0),
(1629,1000033,1,100,'Increases the heal amount by 2% of the base value',0,0),
(1630,1000034,1,100,'Adds an additional group heal on termination.',0,0),
(1631,1000034,2,100,'Adds an additional group heal on termination.',0,0),
(1632,1000033,2,100,'Adds a secondary effect to Prayer of Healing that wards group members (AE) for 2% of max health.',0,0),
(1633,1000034,3,100,'Adds an additional group heal on termination.',0,0),
(1634,1000033,3,100,'Increases the heal amount by 6% of the base value',0,0),
(1635,1000034,4,100,'Adds an additional group heal on termination.',0,0),
(1636,1000033,4,100,'Increases the heal amount by 8% of the base value',0,0),
(1637,1000033,5,100,'Increases the heal amount by 10% of the base value',0,0),
(1638,1000034,5,100,'Adds an additional group heal on termination.',0,0),
(1639,1000035,1,100,'Improves the reuse speed of in combat resurrection spells by 12 seconds.',0,0),
(1640,1000035,2,100,'Improves the reuse speed of in combat resurrection spells by 24 seconds.',0,0),
(1641,1000035,3,100,'Improves the reuse speed of in combat resurrection spells by 36 seconds.',0,0),
(1642,1000035,4,100,'Improves the reuse speed of in combat resurrection spells by 48 seconds.',0,0),
(1643,1000035,5,100,'Improves the reuse speed of in combat resurrection spells by 60 seconds.',0,0),
(1644,1000036,1,100,'Increases Ability Reuse Speed of caster by 1.2%',0,0),
(1645,1000036,2,100,'Increases Ability Reuse Speed of caster by 2.4%',0,0),
(1646,1000036,3,100,'Increases Ability Reuse Speed of caster by 3.6%',0,0),
(1647,1000036,4,100,'Increases Ability Reuse Speed of caster by 4.8%',0,0),
(1648,1000036,5,100,'Increases Ability Reuse Speed of caster by 6.0%',0,0),
(1649,1000036,6,100,'Increases Ability Reuse Speed of caster by 7.2%',0,0),
(1650,1000036,7,100,'Increases Ability Reuse Speed of caster by 8.4%',0,0),
(1651,1000036,8,100,'Increases Ability Reuse Speed of caster by 9.6%',0,0),
(1652,1000036,9,100,'Increases Ability Reuse Speed of caster by 10.8%',0,0),
(1653,1000036,10,100,'Increases Ability Reuse Speed of caster by 12.0%',0,0),
(1654,1000038,1,100,'Increases Mount Speed of caster by 2.0%',0,0),
(1655,1000038,1,100,'Caster will harvest a second time on 3.0% of harvests.',0,1),
(1656,1000038,2,100,'Increases Ground Mount Speed of caster by 4.0%',0,0),
(1657,1000038,2,100,'Caster will harvest a second time on 6.0% of harvests.',0,1),
(1658,1000038,3,100,'Increases Ground Mount Speed of caster by 6.0%',0,0),
(1659,1000038,3,100,'Caster will harvest a second time on 9.0% of harvests.',0,1),
(1660,1000038,4,100,'Increases Mount Speed of caster by 8.0%',0,0),
(1661,1000038,4,100,'Caster will harvest a second time on 12.0% of harvests.',0,1),
(1662,1000038,5,100,'Increases Ground Mount Speed of caster by 10.0%',0,0),
(1663,1000038,5,100,'Caster will harvest a second time on 15.0% of harvests.',0,1),
(1664,1000039,1,100,'Umbral Barrier has a 3% chance to clear the reuse on Ancestral Channeling.',0,0),
(1665,1000039,1,100,'Wards of the Eidolon has a 50% chance to clear the reuse on Ancestral Channeling.',0,1),
(1666,1000039,2,100,'Umbral Barrier has a 6% chance to clear the reuse on Ancestral Channeling.',0,0),
(1667,1000039,2,100,'Wards of the Eidolon has a 100% chance to clear the reuse on Ancestral Channeling.',0,1),
(1668,1000040,1,100,'Improves base auto-attack multiplier of caster by 0.03. Does not apply to spell weapons.',0,0),
(1669,1000040,2,100,'Improves base auto-attack multiplier of caster by 0.06. Does not apply to spell weapons.',0,0),
(1670,1000040,3,100,'Improves base auto-attack multiplier of caster by 0.10. Does not apply to spell weapons.',0,0),
(1671,1000040,4,100,'Improves base auto-attack multiplier of caster by 0.13. Does not apply to spell weapons.',0,0),
(1672,1000040,5,100,'Improves base auto-attack multiplier of caster by 0.16. Does not apply to spell weapons.',0,0),
(1673,1000040,6,100,'Improves base auto-attack multiplier of caster by 0.19. Does not apply to spell weapons.',0,0),
(1674,1000040,7,100,'Improves base auto-attack multiplier of caster by 0.22. Does not apply to spell weapons.',0,0),
(1675,1000040,8,100,'Improves base auto-attack multiplier of caster by 0.26. Does not apply to spell weapons.',0,0),
(1676,1000040,9,100,'Improves base auto-attack multiplier of caster by 0.29. Does not apply to spell weapons.',0,0),
(1677,1000040,10,100,'Improves base auto-attack multiplier of caster by 0.32. Does not apply to spell weapons.',0,0),
(1678,1000041,1,100,'Increases Health Regen of caster by 9.0',0,0),
(1679,1000041,2,100,'Increases Health Regen of caster by 9.0',0,0),
(1680,1000042,1,100,'Places a temporary ward on the target when an ailment is successfully cured.',0,0),
(1681,1000042,2,100,'Places a temporary ward on the target when an ailment is successfully cured.',0,0),
(1682,1000042,3,100,'Places a temporary ward on the target when an ailment is successfully cured.',0,0),
(1683,1000042,4,100,'Places a temporary ward on the target when an ailment is successfully cured.',0,0),
(1684,1000042,5,100,'Places a temporary ward on the target when an ailment is successfully cured.',0,0),
(1685,1000043,1,100,'Improves the debuff amounts by 5%',0,0),
(1686,1000043,2,100,'Improves the debuff amounts by 10%',0,0),
(1687,1000043,3,100,'Improves the debuff amounts by 15%',0,0),
(1688,1000043,4,100,'Improves the debuff amounts by 20%',0,0),
(1689,1000043,5,100,'Improves the debuff amounts by 25%',0,0),
(1690,1000044,1,100,'Increases Multi Attack of caster by 2.0',0,0),
(1691,1000044,2,100,'Increases Multi Attack Chance of caster by 2.0',0,0),
(1692,1000045,1,100,'Improves the ward amount by 20%',0,0),
(1693,1000045,2,100,'Improves the ward amount by 40%',0,0),
(1694,1000045,3,100,'Improves the ward amount by 60%',0,0),
(1695,1000045,4,100,'Improves the ward amount by 80%',0,0),
(1696,1000045,5,100,'Improves the ward amount by 100%',0,0),
(1697,1000046,1,100,'Increases Crit Chance of caster by 1.6',0,0),
(1698,1000046,2,100,'Increases Crit Chance of caster by 3.2',0,0),
(1699,1000046,3,100,'Increases Crit Chance of caster by 4.8',0,0),
(1700,1000046,4,100,'Increases Crit Chance of caster by 6.4',0,0),
(1701,1000046,5,100,'Increases Crit Chance of caster by 8.0',0,0),
(1702,1000046,6,100,'Increases Crit Chance of caster by 9.6',0,0),
(1703,1000046,7,100,'Increases Crit Chance of caster by 11.2',0,0),
(1704,1000046,8,100,'Increases Crit Chance of caster by 12.8',0,0),
(1705,1000046,9,100,'Increases Crit Chance of caster by 14.4',0,0),
(1706,1000046,10,100,'Increases Crit Chance of caster by 16.0',0,0),
(1707,1000047,1,100,'Adds damage to a fighter''s primary single target and encounter taunts',0,0),
(1708,1000047,2,100,'Adds damage to a fighter''s primary single target and encounter taunts',0,0),
(1709,1000047,3,100,'Adds damage to a fighter''s primary single target and encounter taunts',0,0),
(1710,1000047,4,100,'Adds damage to a fighter''s primary single target and encounter taunts',0,0),
(1711,1000047,5,100,'Adds damage to a fighter''s primary single target and encounter taunts',0,0),
(1712,1000047,6,100,'Adds damage to a fighter''s primary single target and encounter taunts',0,0),
(1713,1000047,7,100,'Adds damage to a fighter''s primary single target and encounter taunts',0,0),
(1714,1000047,8,100,'Adds damage to a fighter''s primary single target and encounter taunts',0,0),
(1715,1000047,9,100,'Adds damage to a fighter''s primary single target and encounter taunts',0,0),
(1716,1000047,10,100,'Adds damage to a fighter''s primary single target and encounter taunts',0,0),
(1717,1000048,1,100,'Reduces the base casting time of the priest''s large direct heal by 3.33%',0,0),
(1718,1000048,2,100,'Reduces the base casting time of the priest''s large direct heal by 6.66%',0,0),
(1719,1000048,3,100,'Reduces the base casting time of the priest''s large direct heal by 9.99%',0,0),
(1720,1000048,4,100,'Reduces the base casting time of the priest''s large direct heal by 13.32%',0,0),
(1721,1000048,5,100,'Reduces the base casting time of the priest''s large direct heal by 16.65%',0,0),
(1722,1000048,6,100,'Reduces the base casting time of the priest''s large direct heal by 19.98%',0,0),
(1723,1000048,7,100,'Reduces the base casting time of the priest''s large direct heal by 23.31%',0,0),
(1724,1000048,8,100,'Reduces the base casting time of the priest''s large direct heal by 26.64%',0,0),
(1725,1000048,9,100,'Reduces the base casting time of the priest''s large direct heal by 29.97%',0,0),
(1726,1000048,10,100,'Reduces the base casting time of the priest''s large direct heal by 33.33%',0,0),
(1727,1000049,1,100,'Improves the casting time by 0.2 seconds.',0,0),
(1728,1000049,1,100,'Improves the heal amount by 3%.',0,1),
(1729,1000049,2,100,'Improves the casting time by 0.4 seconds.',0,0),
(1730,1000049,2,100,'Improves the heal amount by 6%.',0,1),
(1731,1000049,3,100,'Improves the casting time by 0.6 seconds.',0,0),
(1732,1000049,3,100,'Improves the heal amount by 9%.',0,1),
(1733,1000049,4,100,'Improves the casting time by 0.8 seconds.',0,0),
(1734,1000049,4,100,'Improves the heal amount by 12%.',0,1),
(1735,1000049,5,100,'Improves the casting time by 1 seconds.',0,0),
(1736,1000049,5,100,'Improves the heal amount by 15%.',0,1),
(1737,1000050,1,100,'Increases the casting and reuse speed by 20%.',0,0),
(1738,1000050,2,100,'Increases the casting and reuse speed by 40%.',0,0),
(1739,1000050,3,100,'Increases the casting and reuse speed by 60%.',0,0),
(1740,1000050,4,100,'Increases the casting and reuse speed by 80%.',0,0),
(1741,1000050,5,100,'Increases the casting and reuse speed by 100%.',0,0),
(1742,1000051,1,100,'Increases the mitigation debuff amounts by 5%.',0,0),
(1743,1000051,2,100,'Increases the debuff amounts by 10%.',0,0),
(1744,1000051,3,100,'Increases the mitigation debuff amounts by 15%.',0,0),
(1745,1000051,4,100,'Increases the mitigation debuff amounts by 20%.',0,0),
(1746,1000051,5,100,'Increases the mitigation debuff amounts by 25%.',0,0),
(1747,1000052,1,100,'Increases the duration of beneficial abilities by 1%',0,0),
(1748,1000052,2,100,'Increases the duration of beneficial abilities by 2%',0,0),
(1749,1000052,3,100,'Increases the duration of beneficial abilities by 3%',0,0),
(1750,1000052,4,100,'Increases the duration of beneficial abilities by 4%',0,0),
(1751,1000052,5,100,'Increases the duration of beneficial abilities by 5%',0,0),
(1752,1000052,6,100,'Increases the duration of beneficial abilities by 6%',0,0),
(1753,1000052,7,100,'Increases the duration of beneficial abilities by 7%',0,0),
(1754,1000052,8,100,'Increases the duration of beneficial abilities by 8%',0,0),
(1755,1000052,9,100,'Increases the duration of beneficial abilities by 9%',0,0),
(1756,1000052,10,100,'Increases the duration of beneficial abilities by 10%',0,0),
(1757,1000053,1,100,'Adds 2 ticks to damage over time abilities',0,0),
(1758,1000053,1,100,'Suspends when either Upbeat Tempo or Time Compression is active',0,1),
(1759,1000054,1,100,'Applies Ancient Pedigree to qualifying pets.',0,0),
(1760,1000054,1,100,'Increases Max Health of target by 25.0%',1,1),
(1761,1000054,1,100,'Grants the spell Ancient Claws to qualifying pets.',0,2),
(1762,1000054,1,100,'Inflicts 280 - 467 magic damage on target',1,3),
(1763,1000055,1,100,'Reduces the casting time by 0.1 seconds.',0,0),
(1764,1000055,1,100,'Improves the base and critical heal amount by 2%.',0,1),
(1765,1000055,2,100,'Reduces the casting time by 0.2 seconds.',0,0),
(1766,1000055,2,100,'Improves the base and critical heal amount by 4%.',0,1),
(1767,1000055,3,100,'Reduces the casting time by 0.3 seconds.',0,0),
(1768,1000055,3,100,'Improves the base and critical heal amount by 6%.',0,1),
(1769,1000055,4,100,'Reduces the casting time by 0.4 seconds.',0,0),
(1770,1000055,4,100,'Improves the base and critical heal amount by 8%.',0,1),
(1771,1000055,5,100,'Reduces the casting time by 0.5 seconds.',0,0),
(1772,1000055,5,100,'Improves the base and critical heal amount by 10%.',0,1),
(1773,1000056,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 2%',0,0),
(1774,1000056,2,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 3%',0,0),
(1775,1000056,3,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 5%',0,0),
(1776,1000056,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 6%',0,0),
(1777,1000056,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 8%',0,0),
(1778,1000056,6,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 9%',0,0),
(1779,1000056,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 11%',0,0),
(1780,1000056,8,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 12%',0,0),
(1781,1000056,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 14%',0,0),
(1782,1000056,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,0),
(1783,1000057,1,100,'Caster has a 2% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(1784,1000057,2,100,'Caster has a 4% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(1785,1000057,3,100,'Caster has a 6% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(1786,1000057,4,100,'Caster has a 8% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(1787,1000057,5,100,'Caster has a 10% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(1788,1000057,6,100,'Caster has a 12% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(1789,1000057,7,100,'Caster has a 14% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(1790,1000057,8,100,'Caster has a 16% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(1791,1000057,9,100,'Caster has a 18% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(1792,1000057,10,100,'Caster has a 20% chance of having one of their weapons'' autoattack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(1793,1000058,1,100,'On a melee hit this spell may cast Animal Instinct on caster.  Lasts for 18.0 seconds.  Triggers about 0.6 times per minute. ',0,0),
(1794,1000058,1,100,'Increases Multi Attack of caster by 4.8',1,1),
(1795,1000058,1,100,'Improves the damage of the warden''s combat arts by 3%.',1,2),
(1796,1000058,2,100,'On a melee hit this spell may cast Animal Instinct on caster.  Lasts for 18.0 seconds.  Triggers about 1.2 times per minute. ',0,0),
(1797,1000058,2,100,'Increases Multi Attack Chance of caster by 9.6',1,1),
(1798,1000058,2,100,'Improves the damage of the warden''s combat arts by 6%.',1,2),
(1799,1000058,3,100,'On a melee hit this spell may cast Animal Instinct on caster.  Lasts for 18.0 seconds.  Triggers about 1.8 times per minute. ',0,0),
(1800,1000058,3,100,'Increases Multi Attack Chance of caster by 14.4',1,1),
(1801,1000058,3,100,'Improves the damage of the warden''s combat arts by 9%.',1,2),
(1802,1000058,4,100,'On a melee hit this spell may cast Animal Instinct on caster.  Lasts for 18.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(1803,1000058,4,100,'Increases Multi Attack of caster by 19.2',1,1),
(1804,1000058,4,100,'Improves the damage of the warden''s combat arts by 12%.',1,2),
(1805,1000058,5,100,'On a melee hit this spell may cast Animal Instinct on caster.  Lasts for 18.0 seconds.  Triggers about 3.0 times per minute. ',0,0),
(1806,1000058,5,100,'Increases Multi Attack Chance of caster by 24.0',1,1),
(1807,1000058,5,100,'Improves the damage of the warden''s combat arts by 15%.',1,2),
(1808,1000059,1,100,'Increases AGI of caster by 7.0',0,0),
(1809,1000060,1,100,'Increases AGI and STA of caster by 4.0',0,0),
(1810,1000060,2,100,'Increases AGI and STA of caster by 8.0',0,0),
(1811,1000060,3,100,'Increases AGI and STA of caster by 12.0',0,0),
(1812,1000060,4,100,'Increases AGI and STA of caster by 16.0',0,0),
(1813,1000060,5,100,'Increases AGI and STA of caster by 20.0',0,0),
(1814,1000060,6,100,'Increases AGI and STA of caster by 24.0',0,0),
(1815,1000060,7,100,'Increases AGI and STA of caster by 28.0',0,0),
(1816,1000060,8,100,'Increases AGI and STA of caster by 32.0',0,0),
(1817,1000060,9,100,'Increases AGI and STA of caster by 36.0',0,0),
(1818,1000060,10,100,'Increases AGI and STA of caster by 40.0',0,0),
(1819,1000061,1,100,'Increases Max Health of caster by 1.0%',0,0),
(1820,1000061,2,100,'Increases Max Health of caster by 2.0%',0,0),
(1821,1000061,3,100,'Increases Max Health of caster by 3.0%',0,0),
(1822,1000061,4,100,'Increases Max Health of caster by 4.0%',0,0),
(1823,1000061,5,100,'Increases Max Health of caster by 5.0%',0,0),
(1824,1000062,1,100,'Improves the Savagery, Spirituality and Feral Rampage modifier on Primal abilities that scale by 10%',0,0),
(1825,1000062,1,100,'Improves the damage, ward or heal amount of non-scaling Primal abilities by 10%',0,1),
(1826,1000062,2,100,'Improves the Savagery, Spirituality and Feral Rampage modifier on Primal abilities that scale by 20%',0,0),
(1827,1000062,2,100,'Improves the damage, ward or heal amount of non-scaling Primal abilities by 20%',0,1),
(1828,1000062,3,100,'Improves the Savagery, Spirituality and Feral Rampage modifier on Primal abilities that scale by 30%',0,0),
(1829,1000062,3,100,'Improves the damage, ward or heal amount of non-scaling Primal abilities by 30%',0,1),
(1830,1000062,4,100,'Improves the Savagery, Spirituality and Feral Rampage modifier on Primal abilities that scale by 40%',0,0),
(1831,1000062,4,100,'Improves the damage, ward or heal amount of non-scaling Primal abilities by 40%',0,1),
(1832,1000062,5,100,'Improves the Savagery, Spirituality and Feral Rampage modifier on Primal abilities that scale by 50%',0,0),
(1833,1000062,5,100,'Improves the damage, ward or heal amount of non-scaling Primal abilities by 50%',0,1),
(1834,1000062,6,100,'Improves the Savagery, Spirituality and Feral Rampage modifier on Primal abilities that scale by 60%',0,0),
(1835,1000062,6,100,'Improves the damage, ward or heal amount of non-scaling Primal abilities by 60%',0,1),
(1836,1000062,7,100,'Improves the Savagery, Spirituality and Feral Rampage modifier on Primal abilities that scale by 70%',0,0),
(1837,1000062,7,100,'Improves the damage, ward or heal amount of non-scaling Primal abilities by 70%',0,1),
(1838,1000062,8,100,'Improves the Savagery, Spirituality and Feral Rampage modifier on Primal abilities that scale by 80%',0,0),
(1839,1000062,8,100,'Improves the damage, ward or heal amount of non-scaling Primal abilities by 80%',0,1),
(1840,1000062,9,100,'Improves the Savagery, Spirituality and Feral Rampage modifier on Primal abilities that scale by 90%',0,0),
(1841,1000062,9,100,'Improves the damage, ward or heal amount of non-scaling Primal abilities by 90%',0,1),
(1842,1000062,10,100,'Improves the Savagery, Spirituality and Feral Rampage modifier on Primal abilities that scale by 100%',0,0),
(1843,1000062,10,100,'Improves the damage, ward or heal amount of non-scaling Primal abilities by 100%',0,1),
(1844,1000063,1,100,'Increases Max Power of caster by 1.5%',0,0),
(1845,1000063,2,100,'Increases Max Power of caster by 3.0%',0,0),
(1846,1000063,3,100,'Increases Max Power of caster by 4.5%',0,0),
(1847,1000063,4,100,'Increases Max Power of caster by 6.0%',0,0),
(1848,1000063,5,100,'Increases Max Power of caster by 7.5%',0,0),
(1849,1000064,1,100,'Increases WIS of caster by 5.0',0,0),
(1850,1000065,1,100,'Increases the duration of tradeskilled drinks by 10%.',0,0),
(1851,1000065,2,100,'Increases the duration of tradeskilled drinks by 10%.',0,0),
(1852,1000066,1,100,'Increases Mitigation of caster vs noxious damage by 3',0,0),
(1853,1000066,2,100,'Increases Mitigation of caster vs noxious damage by 3',0,0),
(1854,1000067,1,100,'Increases the summoner''s base damage by 1%.',0,0),
(1855,1000067,2,100,'Increases the summoner''s base damage by 2%.',0,0),
(1856,1000067,3,100,'Increases the summoner''s base damage by 3%.',0,0),
(1857,1000067,4,100,'Increases the summoner''s base damage by 4%.',0,0),
(1858,1000067,5,100,'Increases the summoner''s base damage by 5%.',0,0),
(1859,1000067,6,100,'Increases the summoner''s base damage by 6%.',0,0),
(1860,1000067,7,100,'Increases the summoner''s base damage by 7%.',0,0),
(1861,1000067,8,100,'Increases the summoner''s base damage by 8%.',0,0),
(1862,1000068,1,100,'Increases INT of caster by 2.5',0,0),
(1863,1000068,2,100,'Increases INT of caster by 2.5',0,0),
(1864,1000069,1,100,'Single target and encounter profession divine damage spells grant increased melee damage to the paladin. These effects can stack.',0,0),
(1865,1000069,2,100,'Single target and encounter profession divine damage spells grant increased melee damage to the paladin. These effects can stack.',0,0),
(1866,1000069,3,100,'Single target and encounter profession divine damage spells grant increased melee damage to the paladin. These effects can stack.',0,0),
(1867,1000070,1,100,'Increases INT of caster by 6.0',0,0),
(1868,1000071,1,100,'Increases the magical resistances by 4%.',0,0),
(1869,1000071,1,100,'Increases the power by 4%',0,1),
(1870,1000071,2,100,'Increases the magical resistances by 8%.',0,0),
(1871,1000071,2,100,'Increases the power by 8%',0,1),
(1872,1000071,3,100,'Increases the magical resistances by 12%.',0,0),
(1873,1000071,3,100,'Increases the power by 12%',0,1),
(1874,1000071,4,100,'Increases the magical resistances by 16%.',0,0),
(1875,1000071,4,100,'Increases the power by 16%',0,1),
(1876,1000071,5,100,'Increases the magical resistances by 20%.',0,0),
(1877,1000071,5,100,'Increases the power by 20%',0,1),
(1878,1000072,1,100,'For every 3 Crit Bonus, the caster gains 1 Potency.',0,0),
(1879,1000073,1,100,'Adds an additional 1% hate gain and transfer.',0,0),
(1880,1000073,2,100,'Adds an additional 2% hate gain and transfer.',0,0),
(1881,1000073,3,100,'Adds an additional 3% hate gain and transfer.',0,0),
(1882,1000073,4,100,'Adds an additional 4% hate gain and transfer.',0,0),
(1883,1000073,5,100,'Adds an additional 5% hate gain and transfer.',0,0),
(1884,1000074,1,100,'Increases Max Power of caster by 3.0%',0,0),
(1885,1000074,2,100,'Increases Max Power of caster by 3.0%',0,0),
(1886,1000075,1,100,'Increases casting, recovery, and reuse speed of your pet by 1.6%',0,0),
(1887,1000075,2,100,'Increases casting, recovery, and reuse speed of your pet by 3.2%',0,0),
(1888,1000075,3,100,'Increases casting, recovery, and reuse speed of your pet by 4.8%',0,0),
(1889,1000075,4,100,'Increases casting, recovery, and reuse speed of your pet by 6.4%',0,0),
(1890,1000075,5,100,'Increases casting, recovery, and reuse speed of your pet by 8%',0,0),
(1891,1000075,6,100,'Increases casting, recovery, and reuse speed of your pet by 9.6%',0,0),
(1892,1000075,7,100,'Increases casting, recovery, and reuse speed of your pet by 11.2%',0,0),
(1893,1000075,8,100,'Increases casting, recovery, and reuse speed of your pet by 12.8%',0,0),
(1894,1000075,9,100,'Increases casting, recovery, and reuse speed of your pet by 14.4%',0,0),
(1895,1000075,10,100,'Increases casting, recovery, and reuse speed of your pet by 16%',0,0),
(1896,1000076,1,100,'Firestorm, Glacial Wind and Storm of Lightning have their base damage before modifications improved by 10%.',0,0),
(1897,1000076,2,100,'Firestorm, Glacial Wind and Storm of Lightning have their base damage before modifications improved by 20%.',0,0),
(1898,1000076,3,100,'Firestorm, Glacial Wind and Storm of Lightning have their base damage before modifications improved by 30%.',0,0),
(1899,1000077,1,100,'Surge of Ro gains a 15% chance to inflict magic damage to the encounter when the wizard attacks.',0,0),
(1900,1000077,2,100,'Surge of Ro gains a 30% chance to inflict magic damage to the encounter when the wizard attacks.',0,0),
(1901,1000077,3,100,'Surge of Ro gains a 45% chance to inflict magic damage to the encounter when the wizard attacks.',0,0),
(1902,1000078,1,100,'Tyrant''s Pact will grant a 12% chance for group members to inflict additional magic damage to the target when attacking.',0,0),
(1903,1000079,1,100,'Reduces the power cost of all Sage reaction arts by 10%',0,0),
(1904,1000079,2,100,'Reduces the power cost of all Sage reaction arts by 10%',0,0),
(1905,1000080,1,100,'Increases Mitigation of caster vs arcane damage by 3',0,0),
(1906,1000080,2,100,'Increases Mitigation of caster vs arcane damage by 3',0,0),
(1907,1000081,1,100,'Increases AGI and STA of caster by 4.0',0,0),
(1908,1000081,2,100,'Increases AGI and STA of caster by 8.0',0,0),
(1909,1000081,3,100,'Increases AGI and STA of caster by 12.0',0,0),
(1910,1000081,4,100,'Increases AGI and STA of caster by 16.0',0,0),
(1911,1000081,5,100,'Increases AGI and STA of caster by 20.0',0,0),
(1912,1000081,6,100,'Increases AGI and STA of caster by 24.0',0,0),
(1913,1000081,7,100,'Increases AGI and STA of caster by 28.0',0,0),
(1914,1000081,8,100,'Increases AGI and STA of caster by 32.0',0,0),
(1915,1000081,9,100,'Increases AGI and STA of caster by 36.0',0,0),
(1916,1000081,10,100,'Increases AGI and STA of caster by 40.0',0,0),
(1917,1000082,1,100,'Improves the base damage by 2%.',0,0),
(1918,1000082,1,100,'Improves the critical damage by 1%.',0,1),
(1919,1000082,2,100,'Improves the base damage by 4%.',0,0),
(1920,1000082,2,100,'Improves the critical damage by 2%.',0,1),
(1921,1000082,3,100,'Improves the base damage by 6%.',0,0),
(1922,1000082,3,100,'Improves the critical damage by 3%.',0,1),
(1923,1000082,4,100,'Improves the base damage by 8%.',0,0),
(1924,1000082,4,100,'Improves the critical damage by 4%.',0,1),
(1925,1000082,5,100,'Improves the base damage by 10%.',0,0),
(1926,1000082,5,100,'Improves the critical damage by 5%.',0,1),
(1927,1000083,1,100,'20% of target''s power consumed will be added to target''s health',0,0),
(1928,1000083,1,100,'Target will lose 10% less power when power is consumed',0,1),
(1929,1000084,1,100,'Increases Max Health of caster by 0.5%',0,0),
(1930,1000084,2,100,'Increases Max Health of caster by 1.0%',0,0),
(1931,1000084,3,100,'Increases Max Health of caster by 1.5%',0,0),
(1932,1000084,4,100,'Increases Max Health of caster by 2.0%',0,0),
(1933,1000084,5,100,'Increases Max Health of caster by 2.5%',0,0),
(1934,1000085,1,100,'Increases mitigation of the group when Earthlord triggers.',0,0),
(1935,1000085,2,100,'Increases mitigation of the group when Earthlord triggers.',0,0),
(1936,1000085,3,100,'Increases mitigation of the group when Earthlord triggers.',0,0),
(1937,1000086,1,100,'Increases Mitigation of caster vs physical damage by 3',0,0),
(1938,1000086,2,100,'Increases Mitigation of caster vs physical damage by 3',0,0),
(1939,1000087,1,100,'On any combat or spell hit this spell will cast Armorbreak on target of attack.  Lasts for 6.0 seconds.  ',0,0),
(1940,1000087,1,100,'Decreases Mitigation of target vs all damage by 84',1,1),
(1941,1000087,2,100,'On any combat or spell hit this spell will cast Armorbreak on target of attack.  Lasts for 6.0 seconds.  ',0,0),
(1942,1000087,2,100,'Decreases Mitigation of target vs all damage by 168',1,1),
(1943,1000087,3,100,'On any combat or spell hit this spell will cast Armorbreak on target of attack.  Lasts for 6.0 seconds.  ',0,0),
(1944,1000087,3,100,'Decreases Mitigation of target vs all damage by 286',1,1),
(1945,1000087,4,100,'On any combat or spell hit this spell will cast Armorbreak on target of attack.  Lasts for 6.0 seconds.  ',0,0),
(1946,1000087,4,100,'Decreases Mitigation of target vs all damage by 336',1,1),
(1947,1000087,5,100,'On any combat or spell hit this spell will cast Armorbreak on target of attack.  Lasts for 6.0 seconds.  ',0,0),
(1948,1000087,5,100,'Decreases Mitigation of target vs all damage by 477',1,1),
(1949,1000087,6,100,'On any combat or spell hit this spell will cast Armorbreak on target of attack.  Lasts for 6.0 seconds.  ',0,0),
(1950,1000087,6,100,'Decreases Mitigation of target vs all damage by 573',1,1),
(1951,1000087,7,100,'On any combat or spell hit this spell will cast Armorbreak on target of attack.  Lasts for 6.0 seconds.  ',0,0),
(1952,1000087,7,100,'Decreases Mitigation of target vs all damage by 668',1,1),
(1953,1000087,8,100,'On any combat or spell hit this spell will cast Armorbreak on target of attack.  Lasts for 6.0 seconds.  ',0,0),
(1954,1000087,8,100,'Decreases Mitigation of target vs all damage by 672',1,1),
(1955,1000087,9,100,'On any combat or spell hit this spell will cast Armorbreak on target of attack.  Lasts for 6.0 seconds.  ',0,0),
(1956,1000087,9,100,'Decreases Mitigation of target vs all damage by 859',1,1),
(1957,1000087,10,100,'On any combat or spell hit this spell will cast Armorbreak on target of attack.  Lasts for 6.0 seconds.  ',0,0),
(1958,1000087,10,100,'Decreases Mitigation of target vs all damage by 955',1,1),
(1959,1000088,1,100,'Hibernation and primary heal over time spells grant increased mitigation to their targets.',0,0),
(1960,1000088,2,100,'Hibernation and primary heal over time spells grant increased mitigation to their targets.',0,0),
(1961,1000088,3,100,'Hibernation and primary heal over time spells grant increased mitigation to their targets.',0,0),
(1962,1000089,1,100,'Increases Ranged Weapon Range of caster by 3.0%',0,0),
(1963,1000089,2,100,'Increases Ranged Weapon Range of caster by 6.0%',0,0),
(1964,1000089,3,100,'Increases Ranged Weapon Range of caster by 9.0%',0,0),
(1965,1000089,4,100,'Increases Ranged Weapon Range of caster by 12.0%',0,0),
(1966,1000089,5,100,'Increases Ranged Weapon Range of caster by 15.0%',0,0),
(1967,1000090,1,100,'Seeking Cascade will automatically restore 0.25% of the damage taken to the group per increment',0,0),
(1968,1000090,2,100,'Seeking Cascade will automatically restore 0.5% of the damage taken to the group per increment',0,0),
(1969,1000090,3,100,'Seeking Cascade will automatically restore 0.75% of the damage taken to the group per increment',0,0),
(1970,1000091,1,100,'Quick Shot and Makeshift Arrow apply a second hit that deals 15% of the initial damage.',0,0),
(1971,1000091,2,100,'Quick Shot and Makeshift Arrow apply a second hit that deals 30% of the initial damage.',0,0),
(1972,1000091,3,100,'Quick Shot and Makeshift Arrow apply a second hit that deals 45% of the initial damage.',0,0),
(1973,1000092,1,100,'Direct Damage Area of Effect attacks gain a second hit that deals 21% of their base damage.',0,0),
(1974,1000092,2,100,'Direct Damage Area of Effect attacks gain a second hit that deals 42% of their base damage.',0,0),
(1975,1000092,3,100,'Direct Damage Area of Effect attacks gain a second hit that deals 63% of their base damage.',0,0),
(1976,1000093,1,100,'Gives caster a 2.0% chance to not use ammunition on an attack',0,0),
(1977,1000093,1,100,'Improves the damage by 10%.',0,1),
(1978,1000093,2,100,'Gives caster a 4.0% chance to not use ammunition on an attack',0,0),
(1979,1000093,2,100,'Improves the damage by 20%.',0,1),
(1980,1000093,3,100,'Gives caster a 6.0% chance to not use ammunition on an attack',0,0),
(1981,1000093,3,100,'Improves the damage by 30%.',0,1),
(1982,1000093,4,100,'Gives caster a 8.0% chance to not use ammunition on an attack',0,0),
(1983,1000093,4,100,'Improves the damage by 40%.',0,1),
(1984,1000093,5,100,'Gives caster a 10.0% chance to not use ammunition on an attack',0,0),
(1985,1000093,5,100,'Improves the damage by 50%.',0,1),
(1986,1000093,5,100,'Allows the Rip line to retrieve an additional arrow.',0,2),
(1987,1000094,1,100,'Reduces the base reuse speed of Stream of Arrows to 60 seconds and the base casting speed to 1 second',0,0),
(1988,1000094,1,100,'Reduces the base reuse speed of Storm of Arrows to 90 seconds and the base casting speed to 1 second',0,1),
(1989,1000095,1,100,'Increases DPS of caster by 2.0',0,0),
(1990,1000095,2,100,'Increases DPS of caster by 4.0',0,0),
(1991,1000095,3,100,'Increases DPS of caster by 6.0',0,0),
(1992,1000095,4,100,'Increases DPS of caster by 8.0',0,0),
(1993,1000095,5,100,'Increases DPS of caster by 10.0',0,0),
(1994,1000095,6,100,'Increases DPS of caster by 12.0',0,0),
(1995,1000095,7,100,'Increases DPS of caster by 14.0',0,0),
(1996,1000095,8,100,'Increases Damage Per Second of caster by 16.0',0,0),
(1997,1000095,9,100,'Increases DPS of caster by 18.0',0,0),
(1998,1000095,10,100,'Increases DPS of caster by 20.0',0,0),
(1999,1000096,1,100,'Increases the amount of progress gained by 1.0%.',0,0),
(2000,1000096,2,100,'Increases the amount of progress gained by 2.0%.',0,0),
(2001,1000096,3,100,'Increases the amount of progress gained by 3.0%.',0,0),
(2002,1000096,4,100,'Increases the amount of progress gained by 4.0%.',0,0),
(2003,1000096,5,100,'Increases the amount of progress gained by 5.0%.',0,0),
(2004,1000097,1,100,'Improves the duration of tradeskilled drinks by 20%.',0,0),
(2005,1000097,2,100,'Improves the duration of tradeskilled drinks by 20%.',0,0),
(2006,1000098,1,100,'Icefall and Icefall Strike, Frostbite and Frostbite Slice and Dawnstrike will all do bonus damage.',0,0),
(2007,1000099,1,100,'Improves the base damage by 3%.',0,0),
(2008,1000099,1,100,'Improves the reuse speed by 6 seconds.',0,1),
(2009,1000099,2,100,'Improves the base damage by 6%.',0,0),
(2010,1000099,2,100,'Improves the reuse speed by 12 seconds.',0,1),
(2011,1000099,3,100,'Improves the base damage by 9%.',0,0),
(2012,1000099,3,100,'Improves the reuse speed by 18 seconds.',0,1),
(2013,1000099,4,100,'Improves the base damage by 12%.',0,0),
(2014,1000099,4,100,'Improves the reuse speed by 24 seconds.',0,1),
(2015,1000099,5,100,'Improves the base damage by 15%.',0,0),
(2016,1000099,5,100,'Improves the reuse speed by 30 seconds.',0,1),
(2017,1000100,1,100,'Improves the base ward amount by 3%.',0,0),
(2018,1000100,2,100,'Improves the base ward amount by 6%.',0,0),
(2019,1000100,3,100,'Improves the base ward amount by 9%.',0,0),
(2020,1000100,4,100,'Improves the base ward amount by 12%.',0,0),
(2021,1000100,5,100,'Improves the base ward amount by 15%.',0,0),
(2022,1000101,1,100,'Improves the heal amount by 4%',0,0),
(2023,1000101,1,100,'Improves the critical heal amount by 3%',0,1),
(2024,1000101,2,100,'Improves the heal amount by 8%',0,0),
(2025,1000101,2,100,'Improves the critical heal amount by 6%',0,1),
(2026,1000101,3,100,'Improves the heal amount by 12%',0,0),
(2027,1000101,3,100,'Improves the critical heal amount by 9%',0,1),
(2028,1000101,4,100,'Improves the heal amount by 16%',0,0),
(2029,1000101,4,100,'Improves the critical heal amount by 12%',0,1),
(2030,1000101,5,100,'Improves the heal amount by 20%',0,0),
(2031,1000101,5,100,'Improves the critical heal amount by 15%',0,1),
(2032,1000102,1,100,'Improves the base damage by 4%.',0,0),
(2033,1000102,2,100,'Improves the base damage by 8%.',0,0),
(2034,1000102,3,100,'Improves the base damage by 12%.',0,0),
(2035,1000102,4,100,'Improves the base damage by 16%.',0,0),
(2036,1000102,5,100,'Improves the base damage by 20%.',0,0),
(2037,1000103,1,100,'Increases success chance by 2.0%',0,0),
(2038,1000103,2,100,'Increases success chance by 2.0%',0,0),
(2039,1000104,1,100,'Increases Combat Power Regen of caster by 5.0',0,0),
(2040,1000104,2,100,'Increases Combat Power Regen of caster by 5.0',0,0),
(2041,1000105,1,100,'Increases INT, AGI, STR and WIS of caster by 0.6',0,0),
(2042,1000105,2,100,'Increases INT, AGI, STR and WIS of caster by 1.2',0,0),
(2043,1000105,3,100,'Increases INT, AGI, STR and WIS of caster by 1.8',0,0),
(2044,1000105,4,100,'Increases INT, AGI, STR and WIS of caster by 2.4',0,0),
(2045,1000105,5,100,'Increases INT, AGI, STR and WIS of caster by 3.0',0,0),
(2046,1000105,6,100,'Increases INT, AGI, STR and WIS of caster by 3.6',0,0),
(2047,1000105,7,100,'Increases INT, AGI, STR and WIS of caster by 4.2',0,0),
(2048,1000105,8,100,'Increases INT, AGI, STR and WIS of caster by 4.8',0,0),
(2049,1000105,9,100,'Increases INT, AGI, STR and WIS of caster by 5.4',0,0),
(2050,1000105,10,100,'Increases INT, AGI, STR and WIS of caster by 6.0',0,0),
(2051,1000106,1,100,'Grants a small regenerating ward to Force of Nature.',0,0),
(2052,1000106,2,100,'Grants a small regenerating ward to Force of Nature.',0,0),
(2053,1000106,3,100,'Grants a small regenerating ward to Force of Nature.',0,0),
(2054,1000107,1,100,'Increases attack speed of nearby group allies by 2%',0,0),
(2055,1000107,2,100,'Increases attack speed of nearby group allies by 4%',0,0),
(2056,1000107,3,100,'Increases attack speed of nearby group allies by 6%',0,0),
(2057,1000107,4,100,'Increases attack speed of nearby group allies by 8%',0,0),
(2058,1000107,5,100,'Increases attack speed of nearby group allies by 10%',0,0),
(2059,1000107,6,100,'Increases attack speed of nearby group allies by 12%',0,0),
(2060,1000107,7,100,'Increases attack speed of nearby group allies by 14%',0,0),
(2061,1000107,8,100,'Increases attack speed of nearby group allies by 16%',0,0),
(2062,1000107,9,100,'Increases attack speed of nearby group allies by 18%',0,0),
(2063,1000107,10,100,'Increases attack speed of nearby group allies by 20%',0,0),
(2064,1000108,1,100,'Increases the group''s maximum health by 0.07% per increment of Divine Justice',0,0),
(2065,1000108,2,100,'Increases the group''s maximum health by 0.14% per increment of Divine Justice',0,0),
(2066,1000108,3,100,'Increases the group''s maximum health by 0.21% per increment of Divine Justice',0,0),
(2067,1000109,1,100,'Grants a 1.5% chance with every attack to cure nearby grouped allies.',0,0),
(2068,1000109,2,100,'Grants a 3% chance with every attack to cure nearby grouped allies.',0,0),
(2069,1000109,3,100,'Grants a 4.5% chance with every attack to cure nearby grouped allies.',0,0),
(2070,1000109,4,100,'Grants a 6% chance with every attack to cure nearby grouped allies.',0,0),
(2071,1000109,5,100,'Grants a 7.5% chance with every attack to cure nearby grouped allies.',0,0),
(2072,1000109,6,100,'Grants a 9% chance with every attack to cure nearby grouped allies.',0,0),
(2073,1000109,7,100,'Grants a 10.5% chance with every attack to cure nearby grouped allies.',0,0),
(2074,1000109,8,100,'Grants a 12% chance with every attack to cure nearby grouped allies.',0,0),
(2075,1000110,1,100,'While Energizing Aura is active, the group will gain 0.1% power every second',0,0),
(2076,1000110,2,100,'While Energizing Aura is active, the group will gain 0.2% power every second',0,0),
(2077,1000110,3,100,'While Energizing Aura is active, the group will gain 0.3% power every second',0,0),
(2078,1000111,1,100,'Grants a 3% chance with every attack to ward nearby grouped allies.',0,0),
(2079,1000111,2,100,'Grants a 6% chance with every attack to ward nearby grouped allies.',0,0),
(2080,1000111,3,100,'Grants a 9% chance with every attack to ward nearby grouped allies.',0,0),
(2081,1000111,4,100,'Grants a 12% chance with every attack to ward nearby grouped allies.',0,0),
(2082,1000111,5,100,'Grants a 15% chance with every attack to ward nearby grouped allies.',0,0),
(2083,1000111,6,100,'Grants a 18% chance with every attack to ward nearby grouped allies.',0,0),
(2084,1000111,7,100,'Grants a 21% chance with every attack to ward nearby grouped allies.',0,0),
(2085,1000111,8,100,'Grants a 24% chance with every attack to ward nearby grouped allies.',0,0),
(2086,1000111,9,100,'Grants a 27% chance with every attack to ward nearby grouped allies.',0,0),
(2087,1000111,10,100,'Grants a 30% chance with every attack to ward nearby grouped allies.',0,0),
(2088,1000112,1,100,'Increases the trigger count of poisons by 25%',0,0),
(2089,1000112,2,100,'Increases the trigger count of poisons by 25%',0,0),
(2090,1000113,1,100,'On a melee hit this spell has a 2% chance to cast Pirate Stab on target of attack.  ',0,0),
(2091,1000113,1,100,'Inflicts 10 - 16 melee damage on target',1,1),
(2092,1000113,1,100,'Must be flanking or behind',1,2),
(2093,1000113,2,100,'On a melee hit this spell has a 4% chance to cast Pirate Stab on target of attack.  ',0,0),
(2094,1000113,2,100,'Inflicts 675 - 1125 melee damage on target',1,1),
(2095,1000113,2,100,'Must be flanking or behind',1,2),
(2096,1000113,3,100,'On a melee hit this spell has a 6% chance to cast Pirate Stab on target of attack.  ',0,0),
(2097,1000113,3,100,'Inflicts 675 - 1125 melee damage on target',1,1),
(2098,1000113,3,100,'Must be flanking or behind',1,2),
(2099,1000113,4,100,'On a melee hit this spell has a 8% chance to cast Pirate Stab on target of attack.  ',0,0),
(2100,1000113,4,100,'Inflicts 675 - 1125 melee damage on target',1,1),
(2101,1000113,4,100,'Must be flanking or behind',1,2),
(2102,1000113,5,100,'On a melee hit this spell has a 10% chance to cast Pirate Stab on target of attack.  ',0,0),
(2103,1000113,5,100,'Inflicts 675 - 1125 melee damage on target',1,1),
(2104,1000113,5,100,'Must be flanking or behind',1,2),
(2105,1000113,6,100,'On a melee hit this spell has a 12% chance to cast Pirate Stab on target of attack.  ',0,0),
(2106,1000113,6,100,'Inflicts 675 - 1125 melee damage on target',1,1),
(2107,1000113,6,100,'Must be flanking or behind',1,2),
(2108,1000113,7,100,'On a melee hit this spell has a 14% chance to cast Pirate Stab on target of attack.  ',0,0),
(2109,1000113,7,100,'Inflicts 675 - 1125 melee damage on target',1,1),
(2110,1000113,7,100,'Must be flanking or behind',1,2),
(2111,1000113,8,100,'On a melee hit this spell has a 16% chance to cast Pirate Stab on target of attack.  ',0,0),
(2112,1000113,8,100,'Inflicts 675 - 1125 melee damage on target',1,1),
(2113,1000113,8,100,'Must be flanking or behind',1,2),
(2114,1000113,9,100,'On a melee hit this spell has a 18% chance to cast Pirate Stab on target of attack.  ',0,0),
(2115,1000113,9,100,'Inflicts 900 - 1500 melee damage on target',1,1),
(2116,1000113,9,100,'Must be flanking or behind',1,2),
(2117,1000113,10,100,'On a melee hit this spell has a 20% chance to cast Pirate Stab on target of attack.  ',0,0),
(2118,1000113,10,100,'Inflicts 900 - 1500 melee damage on target',1,1),
(2119,1000113,10,100,'Must be flanking or behind',1,2),
(2120,1000114,1,100,'Increases DPS of caster by 1.8',0,0),
(2121,1000114,2,100,'Increases DPS of caster by 3.5',0,0),
(2122,1000114,3,100,'Increases DPS of caster by 5.3',0,0),
(2123,1000114,4,100,'Increases Damage Per Second of caster by 7.0',0,0),
(2124,1000114,5,100,'Increases DPS of caster by 8.8',0,0),
(2125,1000114,6,100,'Increases Damage Per Second of caster by 10.6',0,0),
(2126,1000114,7,100,'Increases Damage Per Second of caster by 12.3',0,0),
(2127,1000114,8,100,'Increases DPS of caster by 14.1',0,0),
(2128,1000114,9,100,'Increases Damage Per Second of caster by 15.8',0,0),
(2129,1000114,10,100,'Increases Damage Per Second of caster by 17.6',0,0),
(2130,1000115,1,100,'Increases STR and STA of caster by 4.0',0,0),
(2131,1000115,2,100,'Increases STR and STA of caster by 8.0',0,0),
(2132,1000115,3,100,'Increases STR and STA of caster by 12.0',0,0),
(2133,1000115,4,100,'Increases STR and STA of caster by 16.0',0,0),
(2134,1000115,5,100,'Increases STR and STA of caster by 20.0',0,0),
(2135,1000115,6,100,'Increases STR and STA of caster by 24.0',0,0),
(2136,1000115,7,100,'Increases STR and STA of caster by 28.0',0,0),
(2137,1000115,8,100,'Increases STR and STA of caster by 32.0',0,0),
(2138,1000115,9,100,'Increases STR and STA of caster by 36.0',0,0),
(2139,1000115,10,100,'Increases STR and STA of caster by 40.0',0,0),
(2140,1000116,1,100,'Increases Ability Recovery Speed of caster by 7.0%',0,0),
(2141,1000116,2,100,'Increases Ability Recovery Speed of caster by 14.0%',0,0),
(2142,1000116,3,100,'Increases Ability Recovery Speed of caster by 21.0%',0,0),
(2143,1000116,4,100,'Increases Ability Recovery Speed of caster by 28.0%',0,0),
(2144,1000116,5,100,'Increases Ability Recovery Speed of caster by 35.0%',0,0),
(2145,1000116,6,100,'Increases Ability Recovery Speed of caster by 42.0%',0,0),
(2146,1000116,7,100,'Increases Ability Recovery Speed of caster by 49.0%',0,0),
(2147,1000116,8,100,'Increases Ability Recovery Speed of caster by 56.0%',0,0),
(2148,1000117,1,100,'Increases Ability Reuse Speed of caster by 10.0%',0,0),
(2149,1000117,1,100,'Increases Ability Recovery Speed of caster by 25.0%',0,1),
(2150,1000117,1,100,'Increases Ability Casting Speed of caster by 33.0%',0,2),
(2151,1000118,1,100,'Decimate, Concussion, Sever and Ruin will inflict additional damage. If the guardian is not the current target of the enemy, the damage is greatly increased.',0,0),
(2152,1000118,2,100,'Decimate, Concussion, Sever and Ruin will inflict additional damage. If the guardian is not the current target of the enemy, the damage is greatly increased.',0,0),
(2153,1000118,3,100,'Decimate, Concussion, Sever and Ruin will inflict additional damage. If the guardian is not the current target of the enemy, the damage is greatly increased.',0,0),
(2154,1000119,1,100,'Adds 1.2% to the deflection chance of the brawler''s defensive stance.',0,0),
(2155,1000119,2,100,'Adds 2.4% to the deflection chance of the brawler''s defensive stance.',0,0),
(2156,1000119,3,100,'Adds 3.6% to the deflection chance of the brawler''s defensive stance.',0,0),
(2157,1000119,4,100,'Adds 4.8% to the deflection chance of the brawler''s defensive stance.',0,0),
(2158,1000119,5,100,'Adds 6% to the deflection chance of the brawler''s defensive stance.',0,0),
(2159,1000120,1,100,'Increases Artificing of caster by 5.0',0,0),
(2160,1000122,1,100,'Improves the base damage by 2%.',0,0),
(2161,1000122,2,100,'Improves the base damage by 4%.',0,0),
(2162,1000122,3,100,'Improves the base damage by 6%.',0,0),
(2163,1000122,4,100,'Improves the base damage by 8%.',0,0),
(2164,1000122,5,100,'Improves the base damage by 10%.',0,0),
(2165,1000123,1,100,'Improves the ward amount by 5%.',0,0),
(2166,1000123,2,100,'Improves the ward amount by 10%.',0,0),
(2167,1000123,3,100,'Improves the ward amount by 15%.',0,0),
(2168,1000123,4,100,'Improves the ward amount by 20%.',0,0),
(2169,1000123,5,100,'Improves the ward amount by 25%.',0,0),
(2170,1000123,5,100,'Elemental Concerto has a 25% chance to cure Elemental impairments when damaged with an Elemental effect.',0,1),
(2171,1000123,5,100,'Arcane Symphony has a 25% chance to cure hostile Arcane impairments when damaged with an Arcane effect.',0,2),
(2172,1000124,1,100,'Heroic Opportunity starting abilities have their reuse timers sped up by 100%.',0,0),
(2173,1000124,2,100,'Heroic Opportunity starting abilities have their reuse timers sped up by 100%.',0,0),
(2174,1000124,3,100,'Heroic Opportunity starting abilities have their reuse timers sped up by 100%.',0,0),
(2175,1000124,4,100,'Heroic Opportunity starting abilities have their reuse timers sped up by 100%.',0,0),
(2176,1000124,5,100,'Heroic Opportunity starting abilities have their reuse timers sped up by 100%.',0,0),
(2177,1000124,6,100,'Heroic Opportunity starting abilities have their reuse timers sped up by 100%.',0,0),
(2178,1000124,7,100,'Heroic Opportunity starting abilities have their reuse timers sped up by 100%.',0,0),
(2179,1000124,8,100,'Heroic Opportunity starting abilities have their reuse timers sped up by 100%.',0,0),
(2180,1000124,9,100,'Heroic Opportunity starting abilities have their reuse timers sped up by 100%.',0,0),
(2181,1000124,10,100,'Heroic Opportunity starting abilities have their reuse timers sped up by 100%.',0,0),
(2182,1000125,1,100,'Divinity''s Aid will ward the target for a small amount of damage.',0,0),
(2183,1000125,2,100,'Divinity''s Aid will ward the target for a small amount of damage.',0,0),
(2184,1000125,3,100,'Divinity''s Aid will ward the target for a small amount of damage.',0,0),
(2185,1000126,1,100,'Increases Max Health of caster by 3.0%',0,0),
(2186,1000126,2,100,'Increases Max Health of caster by 3.0%',0,0),
(2187,1000127,1,100,'Increases the base and critical damage by 2%',0,0),
(2188,1000127,1,100,'Reduces the casting time by 0.1 seconds.',0,1),
(2189,1000127,2,100,'Increases the base and critical damage by 4%',0,0),
(2190,1000127,2,100,'Reduces the casting time by 0.2 seconds.',0,1),
(2191,1000127,3,100,'Increases the base and critical damage by 6%',0,0),
(2192,1000127,3,100,'Reduces the casting time by 0.3 seconds.',0,1),
(2193,1000127,4,100,'Increases the base and critical damage by 8%',0,0),
(2194,1000127,4,100,'Reduces the casting time by 0.4 seconds.',0,1),
(2195,1000127,5,100,'Increases the base and critical damage by 10%',0,0),
(2196,1000127,5,100,'Reduces the casting time by 0.5 seconds.',0,1),
(2197,1000128,1,100,'Increases Crushing of caster by 2.0',0,0),
(2198,1000128,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,1),
(2199,1000128,1,100,'Reduces power cost by 25%',0,2),
(2200,1000129,1,100,'Improves the attribute gains of the rogue''s self buff by 5%.',0,0),
(2201,1000129,1,100,'Adds an additional stamina component to the rogue''s self buff',0,1),
(2202,1000129,2,100,'Improves the attribute gains of the rogue''s self buff by 10%.',0,0),
(2203,1000129,2,100,'Adds an additional stamina component to the rogue''s self buff',0,1),
(2204,1000129,3,100,'Improves the attribute gains of the rogue''s self buff by 15%.',0,0),
(2205,1000129,3,100,'Adds an additional stamina component to the rogue''s self buff',0,1),
(2206,1000129,4,100,'Improves the attribute gains of the rogue''s self buff by 20%.',0,0),
(2207,1000129,4,100,'Adds an additional stamina component to the rogue''s self buff',0,1),
(2208,1000129,5,100,'Improves the attribute gains of the rogue''s self buff by 25%.',0,0),
(2209,1000129,5,100,'Adds an additional stamina component to the rogue''s self buff',0,1),
(2210,1000130,1,100,'Increases DPS of caster by 3.2',0,0),
(2211,1000130,1,100,'Increases caster''s chance to block by 3.2%',0,1),
(2212,1000130,2,100,'Increases DPS of caster by 6.4',0,0),
(2213,1000130,2,100,'Increases caster''s chance to block by 6.4%',0,1),
(2214,1000130,3,100,'Increases DPS of caster by 9.6',0,0),
(2215,1000130,3,100,'Increases caster''s chance to block by 9.6%',0,1),
(2216,1000130,4,100,'Increases DPS of caster by 12.8',0,0),
(2217,1000130,4,100,'Increases caster''s chance to block by 12.8%',0,1),
(2218,1000130,5,100,'Increases DPS of caster by 16.0',0,0),
(2219,1000130,5,100,'Increases caster''s chance to block by 16.0%',0,1),
(2220,1000130,6,100,'Increases DPS of caster by 19.2',0,0),
(2221,1000130,6,100,'Increases caster''s chance to block by 19.2%',0,1),
(2222,1000130,7,100,'Increases Damage Per Second of caster by 22.4',0,0),
(2223,1000130,7,100,'Increases caster''s chance to block by 22.4%',0,1),
(2224,1000130,8,100,'Increases Damage Per Second of caster by 25.6',0,0),
(2225,1000130,8,100,'Increases caster''s chance to block by 25.6%',0,1),
(2226,1000130,9,100,'Increases DPS of caster by 28.8',0,0),
(2227,1000130,9,100,'Increases caster''s chance to block by 28.8%',0,1),
(2228,1000130,10,100,'Increases DPS of caster by 32.0',0,0),
(2229,1000130,10,100,'Increases caster''s chance to block by 32.0%',0,1),
(2230,1000131,1,100,'Reduces the Dissonance cost of damage Conduits by 2%',0,0),
(2231,1000131,2,100,'Reduces the Dissonance cost of damage Conduits by 4%',0,0),
(2232,1000131,3,100,'Reduces the Dissonance cost of damage Conduits by 6%',0,0),
(2233,1000131,4,100,'Reduces the Dissonance cost of damage Conduits by 8%',0,0),
(2234,1000131,5,100,'Reduces the Dissonance cost of damage Conduits by 10%',0,0),
(2235,1000132,1,100,'Increases Mitigation of caster vs physical damage by 528',0,0),
(2236,1000132,2,100,'Increases Mitigation of caster vs physical damage by 960',0,0),
(2237,1000132,3,100,'Increases Mitigation of caster vs physical damage by 1440',0,0),
(2238,1000132,4,100,'Increases Mitigation of caster vs physical damage by 1920',0,0),
(2239,1000132,5,100,'Increases Mitigation of caster vs physical damage by 2640',0,0),
(2240,1000133,1,100,'Reduces physical damage done to caster by up to 0.75.',0,0),
(2241,1000133,2,100,'Reduces physical damage done to caster by up to 132.9.',0,0),
(2242,1000133,3,100,'Reduces physical damage done to caster by up to 198.',0,0),
(2243,1000133,4,100,'Reduces physical damage done to caster by up to 264.',0,0),
(2244,1000133,5,100,'Reduces physical damage done to caster by up to 332.25.',0,0),
(2245,1000134,1,100,'Increases Power Regen of caster by 6.0',0,0),
(2246,1000134,2,100,'Increases Power Regen of caster by 6.0',0,0),
(2247,1000135,1,100,'Increases Mitigation of caster vs physical damage by 150',0,0),
(2248,1000135,2,100,'Increases Mitigation of caster vs physical damage by 330',0,0),
(2249,1000135,3,100,'Increases Mitigation of caster vs physical damage by 450',0,0),
(2250,1000135,4,100,'Increases Mitigation of caster vs physical damage by 600',0,0),
(2251,1000135,5,100,'Increases Mitigation of caster vs physical damage by 825',0,0),
(2252,1000135,6,100,'Increases Mitigation of caster vs physical damage by 900',0,0),
(2253,1000135,7,100,'Increases Mitigation of caster vs physical damage by 1050',0,0),
(2254,1000135,8,100,'Increases Mitigation of caster vs physical damage by 1200',0,0),
(2255,1000135,9,100,'Increases Mitigation of caster vs physical damage by 1485',0,0),
(2256,1000135,10,100,'Increases Mitigation of caster vs physical damage by 1650',0,0),
(2257,1000136,1,100,'Increases Focus, Disruption, Subjugation and Ordination of caster by 0.0',0,0),
(2258,1000136,2,100,'Increases Focus, Disruption, Subjugation and Ordination of caster by 0.0',0,0),
(2259,1000136,3,100,'Increases Focus, Disruption, Subjugation and Ordination of caster by 0.0',0,0),
(2260,1000136,4,100,'Increases Focus, Disruption, Subjugation and Ordination of caster by 0.0',0,0),
(2261,1000136,5,100,'Increases Focus, Disruption, Subjugation and Ordination of caster by 0.0',0,0),
(2262,1000136,6,100,'Increases Focus, Disruption, Subjugation and Ordination of caster by 0.0',0,0),
(2263,1000136,7,100,'Increases Focus, Disruption, Subjugation and Ordination of caster by 0.0',0,0),
(2264,1000136,8,100,'Increases Focus, Disruption, Subjugation and Ordination of caster by 0.0',0,0),
(2265,1000136,9,100,'Increases Focus, Disruption, Subjugation and Ordination of caster by 0.0',0,0),
(2266,1000136,10,100,'Increases Focus, Disruption, Subjugation and Ordination of caster by 0.0',0,0),
(2267,1000137,1,100,'Increases STA of caster by 7.0',0,0),
(2268,1000138,1,100,'Increases the Stamina Bonus of Caster by 100.0',0,0),
(2269,1000138,2,100,'Increases the Stamina Bonus of Caster by 200.0',0,0),
(2270,1000138,3,100,'Increases the Stamina Bonus of Caster by 300.0',0,0),
(2271,1000139,1,100,'Increases the Stamina Bonus of Caster by 100.0',0,0),
(2272,1000139,2,100,'Increases the Stamina Bonus of Caster by 200.0',0,0),
(2273,1000139,3,100,'Increases the Stamina Bonus of Caster by 300.0',0,0),
(2274,1000140,1,100,'Reduces physical damage done to caster by up to 0.4.',0,0),
(2275,1000140,2,100,'Reduces physical damage done to caster by up to 70.88.',0,0),
(2276,1000140,3,100,'Reduces physical damage done to caster by up to 106.32.',0,0),
(2277,1000140,4,100,'Reduces physical damage done to caster by up to 141.76.',0,0),
(2278,1000140,5,100,'Reduces physical damage done to caster by up to 177.2.',0,0),
(2279,1000141,1,100,'Reduces the stifle and daze of Divine Favor by 20%.',0,0),
(2280,1000141,2,100,'Reduces the stifle and daze of Divine Favor by 40%.',0,0),
(2281,1000141,3,100,'Reduces the stifle and daze of Divine Favor by 60%.',0,0),
(2282,1000141,4,100,'Reduces the stifle and daze of Divine Favor by 80%.',0,0),
(2283,1000141,5,100,'Reduces the stifle and daze of Divine Favor by 100%.',0,0),
(2284,1000142,1,100,'Grants Luck of the Dirge a 15% chance save group members from death.',0,0),
(2285,1000143,1,100,'Battle Frenzy will reduce incoming damage by 30%.',0,0),
(2286,1000144,1,100,'Temporarily improves the predator''s chance to hit their target following a successful Masked Strike or Sneak Attack.',0,0),
(2287,1000144,2,100,'Temporarily improves the predator''s chance to hit their target following a successful Masked Strike or Sneak Attack.',0,0),
(2288,1000144,3,100,'Temporarily improves the predator''s chance to hit their target following a successful Masked Strike or Sneak Attack.',0,0),
(2289,1000144,4,100,'Temporarily improves the predator''s chance to hit their target following a successful Masked Strike or Sneak Attack.',0,0),
(2290,1000144,5,100,'Temporarily improves the predator''s chance to hit their target following a successful Masked Strike or Sneak Attack.',0,0),
(2291,1000144,6,100,'Temporarily improves the predator''s chance to hit their target following a successful Masked Strike or Sneak Attack.',0,0),
(2292,1000144,7,100,'Temporarily improves the predator''s chance to hit their target following a successful Masked Strike or Sneak Attack.',0,0),
(2293,1000144,8,100,'Temporarily improves the predator''s chance to hit their target following a successful Masked Strike or Sneak Attack.',0,0),
(2294,1000145,1,100,'Increases STR of caster by 8.0',0,0),
(2295,1000146,1,100,'Increases the base damage by 3%.',0,0),
(2296,1000146,1,100,'Increases the critical damage by 2%.',0,1),
(2297,1000146,2,100,'Increases the base damage by 6%.',0,0),
(2298,1000146,2,100,'Increases the critical damage by 4%.',0,1),
(2299,1000146,3,100,'Increases the base damage by 9%.',0,0),
(2300,1000146,3,100,'Increases the critical damage by 6%.',0,1),
(2301,1000146,4,100,'Increases the base damage by 12%.',0,0),
(2302,1000146,4,100,'Increases the critical damage by 8%.',0,1),
(2303,1000146,5,100,'Increases the base damage by 15%.',0,0),
(2304,1000146,5,100,'Increases the critical damage by 10%.',0,1),
(2305,1000147,1,100,'Increases Defense of caster by 4.9',0,0),
(2306,1000147,2,100,'Increases Defense of caster by 9.8',0,0),
(2307,1000147,3,100,'Increases Defense of caster by 14.7',0,0),
(2308,1000147,4,100,'Increases Defense of caster by 19.6',0,0),
(2309,1000147,5,100,'Increases Defense of caster by 24.4',0,0),
(2310,1000147,6,100,'Increases Defense of caster by 29.3',0,0),
(2311,1000147,7,100,'Increases Defense of caster by 34.2',0,0),
(2312,1000147,8,100,'Increases Defense of caster by 39.1',0,0),
(2313,1000147,9,100,'Increases Defense of caster by 44.0',0,0),
(2314,1000147,10,100,'Increases Defense of caster by 48.9',0,0),
(2315,1000148,1,100,'Increases Crit Chance of caster by 1.4',0,0),
(2316,1000148,2,100,'Increases Crit Chance of caster by 2.8',0,0),
(2317,1000148,3,100,'Increases Crit Chance of caster by 4.2',0,0),
(2318,1000148,4,100,'Increases Crit Chance of caster by 5.6',0,0),
(2319,1000148,5,100,'Increases Crit Chance of caster by 7.0',0,0),
(2320,1000148,6,100,'Increases Crit Chance of caster by 8.4',0,0),
(2321,1000148,7,100,'Increases Crit Chance of caster by 9.7',0,0),
(2322,1000148,8,100,'Increases Crit Chance of caster by 11.1',0,0),
(2323,1000148,9,100,'Increases Crit Chance of caster by 12.5',0,0),
(2324,1000148,10,100,'Increases Crit Chance of caster by 13.9',0,0),
(2325,1000149,1,100,'Increases STA of caster by 6.0',0,0),
(2326,1000150,1,100,'Increases STR of caster by 4.0',0,0),
(2327,1000151,1,100,'For every 12 Potency, the caster gains 1 Crit Bonus.',0,0),
(2328,1000152,1,100,'Increases Damage Per Second of caster by 4.0',0,0),
(2329,1000152,2,100,'Increases Damage Per Second of caster by 8.0',0,0),
(2330,1000152,3,100,'Increases DPS of caster by 12.0',0,0),
(2331,1000152,4,100,'Increases Damage Per Second of caster by 16.0',0,0),
(2332,1000152,5,100,'Increases Damage Per Second of caster by 20.0',0,0),
(2333,1000153,1,100,'For every 3 Crit Bonus, the caster gains 1 Potency.',0,0),
(2334,1000154,1,100,'Increases STR of caster by 4.0',0,0),
(2335,1000155,1,100,'Adds 1 additional strike to Grit',0,0),
(2336,1000155,2,100,'Adds 2 additional strikes to Grit',0,0),
(2337,1000155,3,100,'Adds 3 additional strikes to Grit',0,0),
(2338,1000156,1,100,'For every 12 Potency, the caster gains 1 Crit Bonus.',0,0),
(2339,1000157,1,100,'Group bard songs that increase attributes are more effective by 5%.',0,0),
(2340,1000157,2,100,'Group bard songs that increase attributes are more effective by 10%.',0,0),
(2341,1000157,3,100,'Group bard songs that increase attributes are more effective by 15%.',0,0),
(2342,1000157,4,100,'Group bard songs that increase attributes are more effective by 20%.',0,0),
(2343,1000157,5,100,'Group bard songs that increase attributes are more effective by 25%.',0,0),
(2344,1000157,6,100,'Group bard songs that increase attributes are more effective by 30%.',0,0),
(2345,1000157,7,100,'Group bard songs that increase attributes are more effective by 35%.',0,0),
(2346,1000157,8,100,'Group bard songs that increase attributes are more effective by 40%.',0,0),
(2347,1000157,9,100,'Group bard songs that increase attributes are more effective by 45%.',0,0),
(2348,1000157,10,100,'Group bard songs that increase attributes are more effective by 50%.',0,0),
(2349,1000158,1,100,'Increases STR of caster by 4.0',0,0),
(2350,1000159,1,100,'When a combat art is used this spell has a 2.5% chance to cast Bladespinner on target.  Lasts for 5.0 seconds.  ',0,0),
(2351,1000159,1,100,'Clears the reuse of Dashing Swathe.',1,1),
(2352,1000159,1,100,'When a combat art is used this spell has a 5% chance to cast Bladespinner on target.  Lasts for 5.0 seconds.  ',0,2),
(2353,1000159,1,100,'Clears the reuse of Lucky Gambit.',1,3),
(2354,1000159,2,100,'When a combat art is used this spell has a 5% chance to cast Bladespinner on target.  Lasts for 5.0 seconds.  ',0,0),
(2355,1000159,2,100,'Clears the reuse of Dashing Swathe.',1,1),
(2356,1000159,2,100,'When a combat art is used this spell has a 10% chance to cast Bladespinner on target.  Lasts for 5.0 seconds.  ',0,2),
(2357,1000159,2,100,'Clears the reuse of Lucky Gambit.',1,3),
(2358,1000160,1,100,'Group bard songs that increase avoidance skills are more effective by 2.5%.',0,0),
(2359,1000160,2,100,'Group bard songs that increase avoidance skills are more effective by 5%.',0,0),
(2360,1000160,3,100,'Group bard songs that increase avoidance skills are more effective by 7.5%.',0,0),
(2361,1000160,4,100,'Group bard songs that increase avoidance skills are more effective by 10%.',0,0),
(2362,1000160,5,100,'Group bard songs that increase avoidance skills are more effective by 12.5%.',0,0),
(2363,1000160,6,100,'Group bard songs that increase avoidance skills are more effective by 15%.',0,0),
(2364,1000160,7,100,'Group bard songs that increase avoidance skills are more effective by 17.5%.',0,0),
(2365,1000160,8,100,'Group bard songs that increase avoidance skills are more effective by 20%.',0,0),
(2366,1000160,9,100,'Group bard songs that increase avoidance skills are more effective by 22.5%.',0,0),
(2367,1000160,10,100,'Group bard songs that increase avoidance skills are more effective by 25%.',0,0),
(2368,1000161,1,100,'Improves the base damage by 3% initially and increases exponentially.',0,0),
(2369,1000161,2,100,'Improves the base damage by 6% initially and increases exponentially.',0,0),
(2370,1000161,3,100,'Improves the base damage by 9% initially and increases exponentially.',0,0),
(2371,1000161,4,100,'Improves the base damage by 12% initially and increases exponentially.',0,0),
(2372,1000161,5,100,'Improves the base damage by 15% initially and increases exponentially.',0,0),
(2373,1000162,1,100,'Increases the damage by 3%.',0,0),
(2374,1000162,1,100,'Reduces the casting time by 0.1 seconds.',0,1),
(2375,1000162,2,100,'Increases the damage by 6%.',0,0),
(2376,1000162,2,100,'Reduces the casting time by 0.2 seconds.',0,1),
(2377,1000162,3,100,'Increases the damage by 9%.',0,0),
(2378,1000162,3,100,'Reduces the casting time by 0.3 seconds.',0,1),
(2379,1000162,4,100,'Increases the damage by 12%.',0,0),
(2380,1000162,4,100,'Reduces the casting time by 0.4 seconds.',0,1),
(2381,1000162,5,100,'Increases the damage by 15%.',0,0),
(2382,1000162,5,100,'Reduces the casting time by 0.5 seconds.',0,1),
(2383,1000163,1,100,'Grants the pet a new ability that inflicts heat damage upon their target.',0,0),
(2384,1000163,1,100,'Inflicts 19 - 32 heat damage on target',1,1),
(2385,1000163,1,100,'Grants the spell Blazing Conjuration.',0,2),
(2386,1000163,1,100,'Inflicts 24 - 35 heat damage on target',1,3),
(2387,1000164,1,100,'Honed Reflexes and Killing Instinct will gain a 15% chance to inflict extra heat damage when the ranger attacks.',0,0),
(2388,1000164,2,100,'Honed Reflexes and Killing Instinct will gain a 30% chance to inflict extra heat damage when the ranger attacks.',0,0),
(2389,1000164,3,100,'Honed Reflexes and Killing Instinct will gain a 45% chance to inflict extra heat damage when the ranger attacks.',0,0),
(2390,1000165,1,100,'On any combat or spell hit this spell has a 10% chance to cast Cleanse on target of attack.  ',0,0),
(2391,1000165,1,100,'Inflicts 2 - 3 divine damage on target',1,1),
(2392,1000165,2,100,'On any combat or spell hit this spell has a 20% chance to cast Cleanse on target of attack.  ',0,0),
(2393,1000165,2,100,'Inflicts 83 - 139 divine damage on target',1,1),
(2394,1000165,3,100,'On any combat or spell hit this spell has a 30% chance to cast Cleanse on target of attack.  ',0,0),
(2395,1000165,3,100,'Inflicts 83 - 139 divine damage on target',1,1),
(2396,1000165,4,100,'On any combat or spell hit this spell has a 40% chance to cast Cleanse on target of attack.  ',0,0),
(2397,1000165,4,100,'Inflicts 83 - 139 divine damage on target',1,1),
(2398,1000165,5,100,'On any combat or spell hit this spell has a 50% chance to cast Cleanse on target of attack.  ',0,0),
(2399,1000165,5,100,'Inflicts 111 - 185 divine damage on target',1,1),
(2400,1000165,6,100,'On any combat or spell hit this spell has a 60% chance to cast Cleanse on target of attack.  ',0,0),
(2401,1000165,6,100,'Inflicts 83 - 139 divine damage on target',1,1),
(2402,1000165,7,100,'On any combat or spell hit this spell has a 70% chance to cast Cleanse on target of attack.  ',0,0),
(2403,1000165,7,100,'Inflicts 83 - 139 divine damage on target',1,1),
(2404,1000165,8,100,'On any combat or spell hit this spell has a 80% chance to cast Cleanse on target of attack.  ',0,0),
(2405,1000165,8,100,'Inflicts 111 - 185 divine damage on target',1,1),
(2406,1000165,9,100,'On any combat or spell hit this spell has a 90% chance to cast Cleanse on target of attack.  ',0,0),
(2407,1000165,9,100,'Inflicts 83 - 139 divine damage on target',1,1),
(2408,1000165,10,100,'On any combat or spell hit this spell will cast Cleanse on target of attack.  ',0,0),
(2409,1000165,10,100,'Inflicts 83 - 139 divine damage on target',1,1),
(2410,1000166,1,100,'Adds a regenerating ward to the spell.',0,0),
(2411,1000166,1,100,'Increases the strength and stamina by 5%.',0,1),
(2412,1000166,2,100,'Adds a regenerating ward to the spell.',0,0),
(2413,1000166,2,100,'Increases the strength and stamina by 10%.',0,1),
(2414,1000166,3,100,'Adds a regenerating ward to the spell.',0,0),
(2415,1000166,3,100,'Increases the strength and stamina by 15%.',0,1),
(2416,1000166,4,100,'Adds a regenerating ward to the spell.',0,0),
(2417,1000166,4,100,'Increases the strength and stamina by 20%.',0,1),
(2418,1000166,5,100,'Adds a regenerating ward to the spell.',0,0),
(2419,1000166,5,100,'Increases the strength and stamina by 25%.',0,1),
(2420,1000167,1,100,'Improves the bonuses by 3.',0,0),
(2421,1000167,2,100,'Improves the bonuses by 6.',0,0),
(2422,1000167,3,100,'Improves the bonuses by 9.',0,0),
(2423,1000167,4,100,'Improves the bonuses by 12.',0,0),
(2424,1000167,5,100,'Improves the bonuses by 15.',0,0),
(2425,1000168,1,100,'Increases Ministration of caster by 5.0',0,0),
(2426,1000168,2,100,'Increases Ministration of caster by 5.0',0,0),
(2427,1000169,1,100,'Increases the duration of tradeskilled drinks by 10%.',0,0),
(2428,1000169,2,100,'Increases the duration of tradeskilled drinks by 10%.',0,0),
(2429,1000170,1,100,'Increases INT of caster by 6.0',0,0),
(2430,1000171,1,100,'Adds a trigger to Sandstorm that makes the target taking or avoiding damage immune to indirect area of effect spells.',0,0),
(2431,1000171,1,100,'When Sandstorm triggers its effects, the group will gain additional Crit Bonus for every trigger.',0,1),
(2432,1000172,1,100,'Improves the heal amount by 2%.',0,0),
(2433,1000172,1,100,'Improves the critical heal amount by 4%.',0,1),
(2434,1000172,2,100,'Improves the heal amount by 4%.',0,0),
(2435,1000172,2,100,'Improves the critical heal amount by 8%.',0,1),
(2436,1000172,3,100,'Improves the heal amount by 6%.',0,0),
(2437,1000172,3,100,'Improves the critical heal amount by 12%.',0,1),
(2438,1000172,4,100,'Improves the heal amount by 8%.',0,0),
(2439,1000172,4,100,'Improves the critical heal amount by 16%.',0,1),
(2440,1000172,5,100,'Improves the heal amount by 10%.',0,0),
(2441,1000172,5,100,'Improves the critical heal amount by 20%.',0,1),
(2442,1000173,1,100,'Increases caster''s chance to block by 1.0%',0,0),
(2443,1000173,1,100,'Increases DPS of caster by 1.6',0,1),
(2444,1000173,2,100,'Increases caster''s chance to block by 2.0%',0,0),
(2445,1000173,2,100,'Increases DPS of caster by 3.2',0,1),
(2446,1000173,3,100,'Increases caster''s chance to block by 3.0%',0,0),
(2447,1000173,3,100,'Increases Damage Per Second of caster by 4.8',0,1),
(2448,1000173,4,100,'Increases caster''s chance to block by 4.0%',0,0),
(2449,1000173,4,100,'Increases DPS of caster by 6.4',0,1),
(2450,1000173,5,100,'Increases caster''s chance to block by 5.0%',0,0),
(2451,1000173,5,100,'Increases DPS of caster by 8.0',0,1),
(2452,1000173,6,100,'Increases caster''s chance to block by 6.0%',0,0),
(2453,1000173,6,100,'Increases Damage Per Second of caster by 9.6',0,1),
(2454,1000173,7,100,'Increases caster''s chance to block by 7.0%',0,0),
(2455,1000173,7,100,'Increases DPS of caster by 11.2',0,1),
(2456,1000173,8,100,'Increases caster''s chance to block by 8.0%',0,0),
(2457,1000173,8,100,'Increases Damage Per Second of caster by 12.8',0,1),
(2458,1000173,9,100,'Increases caster''s chance to block by 9.0%',0,0),
(2459,1000173,9,100,'Increases Damage Per Second of caster by 14.4',0,1),
(2460,1000173,10,100,'Increases caster''s chance to block by 10.0%',0,0),
(2461,1000173,10,100,'Increases DPS of caster by 16.0',0,1),
(2462,1000174,1,100,'Increases caster''s chance to block by 2.0%',0,0),
(2463,1000174,2,100,'Increases caster''s chance to block by 2.0%',0,0),
(2464,1000175,1,100,'Increases caster''s chance to block by 24.0%',0,0),
(2465,1000176,1,100,'Dark Heart has a 4% chance to finish the reuse of Self Reanimation.',0,0),
(2466,1000176,2,100,'Dark Heart has a 8% chance to finish the reuse of Self Reanimation.',0,0),
(2467,1000177,1,100,'On any combat or spell hit this spell may cast Bloodletting on target of attack.  Triggers about 2.0 times per minute. ',0,0),
(2468,1000177,1,100,'Inflicts 3 - 5 poison damage on target',1,1),
(2469,1000177,1,100,'Heals caster for 2 - 3',1,2),
(2470,1000177,1,100,'Cannot be modified except by direct means',0,3),
(2471,1000177,2,100,'On any combat or spell hit this spell may cast Bloodletting on target of attack.  Triggers about 2.0 times per minute. ',0,0),
(2472,1000177,2,100,'Inflicts 3 - 5 poison damage on target',1,1),
(2473,1000177,2,100,'Heals caster for 2 - 3',1,2),
(2474,1000177,2,100,'Cannot be modified except by direct means',0,3),
(2475,1000178,1,100,'On any combat or spell hit this spell may cast Bloodsoaked Frenzy on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(2476,1000178,1,100,'Inflicts 676 - 1126 piercing damage on target',1,1),
(2477,1000178,1,100,'The target must be bleeding for this effect to trigger.',1,2),
(2478,1000178,2,100,'On any combat or spell hit this spell may cast Bloodsoaked Frenzy on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(2479,1000178,2,100,'Inflicts 676 - 1126 piercing damage on target',1,1),
(2480,1000178,2,100,'The target must be bleeding for this effect to trigger.',1,2),
(2481,1000178,3,100,'On any combat or spell hit this spell may cast Bloodsoaked Frenzy on target of attack.  Triggers about 8.0 times per minute. ',0,0),
(2482,1000178,3,100,'Inflicts 900 - 1501 piercing damage on target',1,1),
(2483,1000178,3,100,'The target must be bleeding for this effect to trigger.',1,2),
(2484,1000179,1,100,'Increases Max Power of caster by 1.0%',0,0),
(2485,1000179,1,100,'Increases Max Health of caster by 2.0%',0,1),
(2486,1000179,2,100,'Increases Max Power of caster by 1.0%',0,0),
(2487,1000179,2,100,'Increases Max Health of caster by 2.0%',0,1),
(2488,1000180,1,100,'For every 20 Potency, the caster gains 1 Crit Bonus.',0,0),
(2489,1000181,1,100,'Quick Strike has a 10% chance to finish the reuse of Shadow Step.',0,0),
(2490,1000181,1,100,'Stealth Assault no longer requires stealth.',0,1),
(2491,1000181,2,100,'Quick Strike has a 20% chance to finish the reuse of Shadow Step.',0,0),
(2492,1000181,2,100,'Stealth Assault no longer requires stealth.',0,1),
(2493,1000182,1,100,'Caster will Dodge 1.0% of incoming attacks',0,0),
(2494,1000182,2,100,'Caster will Dodge 2.0% of incoming attacks',0,0),
(2495,1000182,3,100,'Caster will Dodge 3.0% of incoming attacks',0,0),
(2496,1000182,4,100,'Caster will Dodge 4.0% of incoming attacks',0,0),
(2497,1000182,5,100,'Caster will Dodge 5.0% of incoming attacks',0,0),
(2498,1000183,1,100,'Increases Riposte Damage of caster by 35.0',0,0),
(2499,1000183,1,100,'On a riposte this spell has a 10% chance to cast Stoneskin on caster.  Lasts for 10.0 seconds.  ',0,1),
(2500,1000183,1,100,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',1,2),
(2501,1000184,1,100,'Improves the maximum health granted by Marisha Kur''s Blessing by 4%',0,0),
(2502,1000184,2,100,'Improves the maximum health granted by Marisha Kur''s Blessing by 8%',0,0),
(2503,1000184,3,100,'Improves the maximum health granted by Marisha Kur''s Blessing by 12%',0,0),
(2504,1000184,4,100,'Improves the maximum health granted by Marisha Kur''s Blessing by 16%',0,0),
(2505,1000184,5,100,'Improves the maximum health granted by Marisha Kur''s Blessing by 20%',0,0),
(2506,1000185,10,100,'Increases the amount of health gained from stamina.',0,0),
(2507,1000186,1,100,'Ralissk''s Perception''s triggered effect inflicts 50% more damage and heals 50% more power and health power and health',0,0),
(2508,1000186,2,100,'Ralissk''s Perception''s triggered effect inflicts 100% more damage and heals 100% more power and health',0,0),
(2509,1000186,3,100,'Ralissk''s Perception''s triggered effect inflicts 150% more damage and heals 150% more',0,0),
(2510,1000187,1,100,'Improves the attribute increase and adds mitigation to Bolster.',0,0),
(2511,1000187,2,100,'Improves the attribute increase and adds mitigation to Bolster.',0,0),
(2512,1000187,3,100,'Improves the attribute increase and adds mitigation to Bolster.',0,0),
(2513,1000187,4,100,'Improves the attribute increase and adds mitigation to Bolster.',0,0),
(2514,1000187,5,100,'Improves the attribute increase and adds mitigation to Bolster.',0,0),
(2515,1000188,1,100,'On any combat or spell hit this spell has a 5% chance to cast Bolt of Power on target of attack.  ',0,0),
(2516,1000188,1,100,'Interrupts target',1,1),
(2517,1000188,1,100,'Inflicts 3 - 4 divine damage on target',1,2),
(2518,1000188,2,100,'On any combat or spell hit this spell has a 10% chance to cast Bolt of Power on target of attack.  ',0,0),
(2519,1000188,2,100,'Interrupts target',1,1),
(2520,1000188,2,100,'Inflicts 138 - 230 divine damage on target',1,2),
(2521,1000188,3,100,'On any combat or spell hit this spell has a 15% chance to cast Bolt of Power on target of attack.  ',0,0),
(2522,1000188,3,100,'Interrupts target',1,1),
(2523,1000188,3,100,'Inflicts 138 - 230 divine damage on target',1,2),
(2524,1000188,4,100,'On any combat or spell hit this spell has a 20% chance to cast Bolt of Power on target of attack.  ',0,0),
(2525,1000188,4,100,'Interrupts target',1,1),
(2526,1000188,4,100,'Inflicts 138 - 230 divine damage on target',1,2),
(2527,1000188,5,100,'On any combat or spell hit this spell has a 25% chance to cast Bolt of Power on target of attack.  ',0,0),
(2528,1000188,5,100,'Interrupts target',1,1),
(2529,1000188,5,100,'Inflicts 184 - 307 divine damage on target',1,2),
(2530,1000188,6,100,'On any combat or spell hit this spell has a 30% chance to cast Bolt of Power on target of attack.  ',0,0),
(2531,1000188,6,100,'Interrupts target',1,1),
(2532,1000188,6,100,'Inflicts 184 - 307 divine damage on target',1,2),
(2533,1000188,7,100,'On any combat or spell hit this spell has a 35% chance to cast Bolt of Power on target of attack.  ',0,0),
(2534,1000188,7,100,'Interrupts target',1,1),
(2535,1000188,7,100,'Inflicts 138 - 230 divine damage on target',1,2),
(2536,1000188,8,100,'On any combat or spell hit this spell has a 40% chance to cast Bolt of Power on target of attack.  ',0,0),
(2537,1000188,8,100,'Interrupts target',1,1),
(2538,1000188,8,100,'Inflicts 184 - 307 divine damage on target',1,2),
(2539,1000188,9,100,'On any combat or spell hit this spell has a 45% chance to cast Bolt of Power on target of attack.  ',0,0),
(2540,1000188,9,100,'Interrupts target',1,1),
(2541,1000188,9,100,'Inflicts 138 - 230 divine damage on target',1,2),
(2542,1000188,10,100,'On any combat or spell hit this spell has a 50% chance to cast Bolt of Power on target of attack.  ',0,0),
(2543,1000188,10,100,'Interrupts target',1,1),
(2544,1000188,10,100,'Inflicts 184 - 307 divine damage on target',1,2),
(2545,1000189,1,100,'For every 20 Potency, the caster gains 1 Crit Bonus.',0,0),
(2546,1000190,1,100,'Caster has a 1.0% chance of having one of their weapons'' auto-attack strike the target multiple times.',0,0),
(2547,1000190,2,100,'Caster has a 2.0% chance of having one of their weapons'' auto-attack strike the target multiple times.',0,0),
(2548,1000190,3,100,'Caster has a 3.0% chance of having one of their weapons'' auto-attack strike the target multiple times.',0,0),
(2549,1000190,4,100,'Caster has a 4.0% chance of having one of their weapons'' auto-attack strike the target multiple times.',0,0),
(2550,1000190,5,100,'Caster has a 5.0% chance of having one of their weapons'' auto-attack strike the target multiple times.',0,0),
(2551,1000190,6,100,'Caster has a 6.0% chance of having one of their weapons'' auto-attack strike the target multiple times.',0,0),
(2552,1000190,7,100,'Caster has a 7.0% chance of having one of their weapons'' auto-attack strike the target multiple times.',0,0),
(2553,1000190,8,100,'Caster has a 8.0% chance of having one of their weapons'' auto-attack strike the target multiple times.',0,0),
(2554,1000191,1,100,'Improves the duration of food and drink by 2.5%',0,0),
(2555,1000191,2,100,'Improves the duration of food and drink by 5%',0,0),
(2556,1000191,3,100,'Improves the duration of food and drink by 7.5%',0,0),
(2557,1000191,4,100,'Improves the duration of food and drink by 10%',0,0),
(2558,1000191,5,100,'Improves the duration of food and drink by 12.5%',0,0),
(2559,1000192,1,100,'When a combat art is used this spell has a 10% chance to cast Storming Thoughts on target.  Lasts for 10.0 seconds.  ',0,0),
(2560,1000192,1,100,'Reduces all damage done to group members (AE) by 3%',1,1),
(2561,1000192,1,100,'On a hostile spell hit this spell may cast Storming Thoughts on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,2),
(2562,1000192,1,100,'Reduces all damage done to group members (AE) by 3%',1,3),
(2563,1000193,1,100,'Increases the base damage of all spells by 0.4%.',0,0),
(2564,1000192,2,100,'When a combat art is used this spell has a 10% chance to cast Storming Thoughts on target.  Lasts for 20.0 seconds.  ',0,0),
(2565,1000192,2,100,'Reduces all damage done to group members (AE) by 3%',1,1),
(2566,1000192,2,100,'On a hostile spell hit this spell may cast Storming Thoughts on target.  Lasts for 20.0 seconds.  Triggers about 2.0 times per minute. ',0,2),
(2567,1000192,2,100,'Reduces all damage done to group members (AE) by 3%',1,3),
(2568,1000193,2,100,'Increases the base damage of all spells by 0.8%.',0,0),
(2569,1000193,3,100,'Increases the base damage of all spells by 1.2%.',0,0),
(2570,1000192,3,100,'When a combat art is used this spell has a 10% chance to cast Storming Thoughts on target.  Lasts for 30.0 seconds.  ',0,0),
(2571,1000192,3,100,'Reduces all damage done to group members (AE) by 3%',1,1),
(2572,1000192,3,100,'On a hostile spell hit this spell may cast Storming Thoughts on target.  Lasts for 30.0 seconds.  Triggers about 2.0 times per minute. ',0,2),
(2573,1000192,3,100,'Reduces all damage done to group members (AE) by 3%',1,3),
(2574,1000193,4,100,'Increases the base damage of all spells by 1.6%.',0,0),
(2575,1000193,5,100,'Increases the base damage of all spells by 2%.',0,0),
(2576,1000193,6,100,'Increases the base damage of all spells by 2.4%.',0,0),
(2577,1000193,7,100,'Increases the base damage of all spells by 2.8%.',0,0),
(2578,1000193,8,100,'Increases the base damage of all spells by 3.2%.',0,0),
(2579,1000193,9,100,'Increases the base damage of all spells by 3.6%.',0,0),
(2580,1000193,10,100,'Increases the base damage of all spells by 4%.',0,0),
(2581,1000194,1,100,'Improves the casting speed of beneficial spells by 2%.',0,0),
(2582,1000194,2,100,'Improves the casting speed of beneficial spells by 2%.',0,0),
(2583,1000195,1,100,'Improves the casting speed of beneficial spells by 2%.',0,0),
(2584,1000195,2,100,'Improves the casting speed of beneficial spells by 2%.',0,0),
(2585,1000196,1,100,'Increases STR of caster by 4.0',0,0),
(2587,1000197,1,100,'Increases Transmuting of caster by 5.0',0,0),
(2588,1000197,2,100,'Increases Transmuting of caster by 5.0',0,0),
(2589,1000198,1,100,'Improves the heal amount by 3%.',0,0),
(2590,1000198,1,100,'Improves the critical amount by 4%.',0,1),
(2591,1000198,2,100,'Improves the heal amount by 6%.',0,0),
(2592,1000198,2,100,'Improves the critical amount by 8%.',0,1),
(2593,1000198,3,100,'Improves the heal amount by 9%.',0,0),
(2594,1000198,3,100,'Improves the critical amount by 12%.',0,1),
(2595,1000198,4,100,'Improves the heal amount by 12%.',0,0),
(2596,1000198,4,100,'Improves the critical amount by 16%.',0,1),
(2597,1000198,5,100,'Improves the heal amount by 15%.',0,0),
(2598,1000198,5,100,'Improves the critical amount by 20%.',0,1),
(2599,1000199,1,100,'Increases Ability Recovery Speed of caster by 3.5%',0,0),
(2600,1000199,2,100,'Increases Ability Recovery Speed of caster by 7.0%',0,0),
(2601,1000199,3,100,'Increases Ability Recovery Speed of caster by 10.5%',0,0),
(2602,1000199,4,100,'Increases Ability Recovery Speed of caster by 14.0%',0,0),
(2603,1000199,5,100,'Increases Ability Recovery Speed of caster by 17.5%',0,0),
(2604,1000199,6,100,'Increases Ability Recovery Speed of caster by 21.0%',0,0),
(2605,1000199,7,100,'Increases Ability Recovery Speed of caster by 24.5%',0,0),
(2606,1000199,8,100,'Increases Ability Recovery Speed of caster by 28.0%',0,0),
(2607,1000199,9,100,'Increases Ability Recovery Speed of caster by 31.5%',0,0),
(2608,1000199,10,100,'Increases Ability Recovery Speed of caster by 35.0%',0,0),
(2609,1000200,1,100,'Increases success chance by 2.0%',0,0),
(2610,1000200,2,100,'Increases success chance by 2.0%',0,0),
(2611,1000201,1,100,'Increases Ministration of caster by 5.0',0,0),
(2612,1000201,2,100,'Increases Ministration of caster by 5.0',0,0),
(2613,1000202,1,100,'Increases Artistry of caster by 5.0',0,0),
(2614,1000202,2,100,'Increases Artistry of caster by 5.0',0,0),
(2615,1000203,1,100,'Increases INT of caster by 4.0',0,0),
(2616,1000203,2,100,'Increases INT of caster by 4.0',0,0),
(2617,1000204,1,100,'Increases success chance by 1.0%',0,0),
(2618,1000204,2,100,'Increases success chance by 2.0%',0,0),
(2619,1000204,3,100,'Increases success chance by 3.0%',0,0),
(2620,1000204,4,100,'Increases success chance by 4.0%',0,0),
(2621,1000204,5,100,'Increases success chance by 5.0%',0,0),
(2622,1000205,1,100,'For every 12 Potency, the caster gains 1 Crit Bonus.',0,0),
(2623,1000206,1,100,'Increases the duration of tradeskilled potions by 15%.',0,0),
(2624,1000206,2,100,'Increases the duration of tradeskilled potions by 15%.',0,0),
(2625,1000207,1,100,'Grants the skill Disarm Trap.',0,0),
(2626,1000207,2,100,'Grants the skill Disarm Trap.',0,0),
(2627,1000208,1,100,'Improves the trigger chance of Pulverize by 33%',0,0),
(2628,1000208,1,100,'Adds 1 tick to Pulverize',0,1),
(2629,1000208,2,100,'Improves the trigger chance of Pulverize by 66%',0,0),
(2630,1000208,2,100,'Adds 2 ticks to Pulverize',0,1),
(2631,1000208,3,100,'Improves the trigger chance of Pulverize by 100%',0,0),
(2632,1000208,3,100,'Adds 4 ticks to Pulverize',0,1),
(2633,1000209,1,100,'Increases the base damage by 3%.',0,0),
(2634,1000209,1,100,'Reduces the reuse time by 2 seconds.',0,1),
(2635,1000209,2,100,'Increases the base damage by 6%.',0,0),
(2636,1000209,2,100,'Reduces the reuse time by 4 seconds.',0,1),
(2637,1000209,3,100,'Increases the base damage by 9%.',0,0),
(2638,1000209,3,100,'Reduces the reuse time by 6 seconds.',0,1),
(2639,1000209,4,100,'Increases the base damage by 12%.',0,0),
(2640,1000209,4,100,'Reduces the reuse time by 8 seconds.',0,1),
(2641,1000209,5,100,'Increases the base damage by 15%.',0,0),
(2642,1000209,5,100,'Reduces the reuse time by 10 seconds.',0,1),
(2643,1000210,1,100,'For every 12 Potency, the caster gains 1 Crit Bonus.',0,0),
(2644,1000211,1,100,'On a block this spell will cast Brutal Counter on target''s victim.  ',0,0),
(2645,1000211,1,100,'Inflicts 1582 - 2938 crushing damage on target',1,1),
(2646,1000211,1,100,'This effect can only trigger once every 10.0 seconds.',1,2),
(2647,1000212,1,100,'Grants the spell Brutal Decimation to qualifying pets.',0,0),
(2648,1000212,1,100,'Inflicts 2494 - 4157 melee damage on target',1,1),
(2649,1000213,1,100,'Grants the spell Brutal Decimation to qualifying pets.',0,0),
(2650,1000213,1,100,'Inflicts 48 - 80 melee damage on target',1,1),
(2651,1000214,1,100,'Grants the spell Brutal Decimation to qualifying pets.',0,0),
(2652,1000214,1,100,'Inflicts 2494 - 4157 melee damage on target',1,1),
(2653,1000215,1,100,'Grants the spell Brutal Decimation to qualifying pets.',0,0),
(2654,1000215,1,100,'Inflicts 2494 - 4157 melee damage on target',1,1),
(2655,1000216,1,100,'Grants the spell Brutal Decimation to qualifying pets.',0,0),
(2656,1000216,1,100,'Inflicts 3324 - 5540 melee damage on target',1,1),
(2657,1000217,1,100,'Grants the spell Brutal Decimation to qualifying pets.',0,0),
(2658,1000217,1,100,'Inflicts 48 - 80 melee damage on target',1,1),
(2659,1000218,1,100,'Grants the spell Brutal Decimation to qualifying pets.',0,0),
(2660,1000218,1,100,'Inflicts 3324 - 5540 melee damage on target',1,1),
(2661,1000219,1,100,'Grants the spell Brutal Decimation to qualifying pets.',0,0),
(2662,1000219,1,100,'Inflicts 48 - 80 melee damage on target',1,1),
(2663,1000220,1,100,'Grants the spell Brutal Decimation to qualifying pets.',0,0),
(2664,1000220,1,100,'Inflicts 48 - 80 melee damage on target',1,1),
(2665,1000221,1,100,'Grants the spell Brutal Decimation to qualifying pets.',0,0),
(2666,1000221,1,100,'Inflicts 2494 - 4157 melee damage on target',1,1),
(2667,1000222,1,100,'Grants the spell Brutal Decimation to qualifying pets.',0,0),
(2668,1000222,1,100,'Inflicts 2494 - 4157 melee damage on target',1,1),
(2669,1000223,1,100,'Grants the spell Brutal Decimation to qualifying pets.',0,0),
(2670,1000223,1,100,'Inflicts 2494 - 4157 melee damage on target',1,1),
(2671,1000224,1,100,'Grants the spell Brutal Decimation to qualifying pets.',0,0),
(2672,1000224,1,100,'Inflicts 2494 - 4157 melee damage on target',1,1),
(2673,1000225,2,100,'Reduces the base reuse of Interrogation to 60 seconds.',0,0),
(2674,1000225,3,100,'Reduces the base reuse of Interrogation to 45 seconds.',0,0),
(2675,1000226,1,100,'Martial Retaliation will increase the bruiser''s strength based on the number of increments',0,0),
(2676,1000226,2,100,'Martial Retaliation will increase the bruiser''s strength based on the number of increments',0,0),
(2677,1000226,3,100,'Martial Retaliation will increase the bruiser''s strength based on the number of increments',0,0),
(2678,1000227,1,100,'Puncture has  a 10% chance to clear the reuse of Strongarm.',0,0),
(2679,1000228,1,100,'Increases STR of caster by 2.5',0,0),
(2680,1000227,2,100,'Puncture has  a 20% chance to clear the reuse of Strongarm.',0,0),
(2681,1000228,2,100,'Increases STR of caster by 2.5',0,0),
(2682,1000229,1,100,'As long as your primary pet is standing near you, it gains non-direct area effect avoidance.',0,0),
(2683,1000230,1,100,'When target falls below 50% health this spell will cast Buffering on target.  ',0,0),
(2684,1000230,1,100,'Decreases dissonance of caster by 62.5',1,1),
(2685,1000230,1,100,'Cannot be modified except by direct means',1,2),
(2686,1000230,1,100,'This effect can only trigger once every 30.0 seconds.',1,3),
(2687,1000230,2,100,'When target falls below 50% health this spell will cast Buffering on target.  ',0,0),
(2688,1000230,2,100,'Decreases dissonance of caster by 125.0',1,1),
(2689,1000230,2,100,'Cannot be modified except by direct means',1,2),
(2690,1000230,2,100,'This effect can only trigger once every 30.0 seconds.',1,3),
(2691,1000230,3,100,'When target falls below 50% health this spell will cast Buffering on target.  ',0,0),
(2692,1000230,3,100,'Decreases dissonance of caster by 187.5',1,1),
(2693,1000230,3,100,'Cannot be modified except by direct means',1,2),
(2694,1000230,3,100,'This effect can only trigger once every 30.0 seconds.',1,3),
(2695,1000230,4,100,'When target falls below 50% health this spell will cast Buffering on target.  ',0,0),
(2696,1000230,4,100,'Decreases dissonance of caster by 250.0',1,1),
(2697,1000230,4,100,'Cannot be modified except by direct means',1,2),
(2698,1000230,4,100,'This effect can only trigger once every 30.0 seconds.',1,3),
(2699,1000230,5,100,'When target falls below 50% health this spell will cast Buffering on target.  ',0,0),
(2700,1000230,5,100,'Decreases dissonance of caster by 312.5',1,1),
(2701,1000230,5,100,'Cannot be modified except by direct means',1,2),
(2702,1000230,5,100,'This effect can only trigger once every 30.0 seconds.',1,3),
(2703,1000230,6,100,'When target falls below 50% health this spell will cast Buffering on target.  ',0,0),
(2704,1000230,6,100,'Decreases dissonance of caster by 375.0',1,1),
(2705,1000230,6,100,'Cannot be modified except by direct means',1,2),
(2706,1000230,6,100,'This effect can only trigger once every 30.0 seconds.',1,3),
(2707,1000230,7,100,'When target falls below 50% health this spell will cast Buffering on target.  ',0,0),
(2708,1000230,7,100,'Decreases dissonance of caster by 437.5',1,1),
(2709,1000230,7,100,'Cannot be modified except by direct means',1,2),
(2710,1000230,7,100,'This effect can only trigger once every 30.0 seconds.',1,3),
(2711,1000230,8,100,'When target falls below 50% health this spell will cast Buffering on target.  ',0,0),
(2712,1000230,8,100,'Decreases dissonance of caster by 500.0',1,1),
(2713,1000230,8,100,'Cannot be modified except by direct means',1,2),
(2714,1000230,8,100,'This effect can only trigger once every 30.0 seconds.',1,3),
(2715,1000231,1,100,'When a combat art is used this spell will cast Burning Intensity on target.  Lasts for 1 minute.  ',0,0),
(2716,1000231,1,100,'Applies Flaming Assault on termination.  Lasts for 20.0 seconds.',1,1),
(2717,1000231,1,100,'Applies when reaching 12 increments of Burning Intensity',2,2),
(2718,1000231,1,100,'Increases the ranger''s potency by 12.5% of their base potency',2,3),
(2719,1000231,1,100,'Cannot be modified except by direct means',2,4),
(2720,1000231,1,100,'Only triggers when using Multi-Hit Combat Arts and those modified by Dexterous Attacks',0,5),
(2721,1000232,1,100,'Lifetap has a 2.5% chance to finish the reuse of Lifeburn.',0,0),
(2722,1000232,2,100,'Lifetap has a 5% chance to finish the reuse of Lifeburn.',0,0),
(2723,1000233,1,100,'Improves the base damage by 4%.',0,0),
(2724,1000233,2,100,'Improves the base damage by 8%.',0,0),
(2725,1000233,3,100,'Improves the base damage by 12%.',0,0),
(2726,1000233,4,100,'Improves the base damage by 16%.',0,0),
(2727,1000233,5,100,'Improves the base damage by 20%.',0,0),
(2728,1000234,1,100,'Increases AGI of caster by 6.0',0,0),
(2729,1000235,1,100,'Applies Cabalist''s Aura to qualifying pets.',0,0),
(2730,1000235,1,100,'Improves the Max Power or Max Health along with the Potency of Beyond the Grave and Fire from Within by 10%',1,1),
(2731,1000235,2,100,'Applies Cabalist''s Aura to qualifying pets.',0,0),
(2732,1000235,2,100,'Improves the Max Power or Max Health along with the Potency of Beyond the Grave and Fire from Within by 20%',1,1),
(2733,1000235,3,100,'Applies Cabalist''s Aura to qualifying pets.',0,0),
(2734,1000235,3,100,'Improves the Max Power or Max Health along with the Potency of Beyond the Grave and Fire from Within by 30%',1,1),
(2735,1000235,4,100,'Applies Cabalist''s Aura to qualifying pets.',0,0),
(2736,1000235,4,100,'Improves the Max Power or Max Health along with the Potency of Beyond the Grave and Fire from Within by 40%',1,1),
(2737,1000235,5,100,'Applies Cabalist''s Aura to qualifying pets.',0,0),
(2738,1000235,5,100,'Improves the Max Power or Max Health along with the Potency of Beyond the Grave and Fire from Within by 50%',1,1),
(2739,1000235,6,100,'Applies Cabalist''s Aura to qualifying pets.',0,0),
(2740,1000235,6,100,'Improves the Max Power or Max Health along with the Potency of Beyond the Grave and Fire from Within by 60%',1,1),
(2741,1000235,7,100,'Applies Cabalist''s Aura to qualifying pets.',0,0),
(2742,1000235,7,100,'Improves the Max Power or Max Health along with the Potency of Beyond the Grave and Fire from Within by 70%',1,1),
(2743,1000235,8,100,'Applies Cabalist''s Aura to qualifying pets.',0,0),
(2744,1000235,8,100,'Improves the Max Power or Max Health along with the Potency of Beyond the Grave and Fire from Within by 80%',1,1),
(2745,1000236,1,100,'Grants pet a 20% chance to prevent 9% of the spell damage you receive',0,0),
(2746,1000236,2,100,'Grants pet a 20% chance to prevent 18% of the spell damage you receive',0,0),
(2747,1000236,3,100,'Grants pet a 20% chance to prevent 27% of the spell damage you receive',0,0),
(2748,1000236,4,100,'Grants pet a 20% chance to prevent 36% of the spell damage you receive',0,0),
(2749,1000236,5,100,'Grants pet a 20% chance to prevent 45% of the spell damage you receive',0,0),
(2750,1000236,6,100,'Grants pet a 20% chance to prevent 54% of the spell damage you receive',0,0),
(2751,1000236,7,100,'Grants pet a 20% chance to prevent 63% of the spell damage you receive',0,0),
(2752,1000236,8,100,'Grants pet a 20% chance to prevent 72% of the spell damage you receive',0,0),
(2753,1000236,9,100,'Grants pet a 20% chance to prevent 81% of the spell damage you receive',0,0),
(2754,1000236,10,100,'Grants pet a 20% chance to prevent 90% of the spell damage you receive',0,0),
(2755,1000237,1,100,'Increases Mitigation of caster vs arcane damage by 0',0,0),
(2756,1000237,2,100,'Increases Mitigation of caster vs arcane damage by 0',0,0),
(2757,1000238,1,100,'Improves the mitigation reduction by 5%.',0,0),
(2758,1000238,2,100,'Improves the mitigation reduction by 10%.',0,0),
(2759,1000238,3,100,'Improves the mitigation reduction by 15%.',0,0),
(2760,1000238,4,100,'Improves the mitigation reduction by 20%.',0,0),
(2761,1000238,5,100,'Improves the mitigation reduction by 25%.',0,0),
(2762,1000239,1,100,'For every 3 Crit Bonus, the caster gains 1 Potency.',0,0),
(2763,1000240,1,100,'Increases Combat Power Regen of caster by 5.0',0,0),
(2764,1000240,2,100,'Increases Combat Power Regen of caster by 5.0',0,0),
(2765,1000241,1,100,'On a spell cast this spell will cast Calm Connection on caster.  Lasts for 20.0 seconds.  ',0,0),
(2766,1000241,1,100,'Using Healing Arrow or Healing Barrage will terminate this ability',1,1),
(2767,1000241,1,100,'Improves the base cast time of Healing Arrow or Healing Barrage by 10% per increment',1,2),
(2768,1000241,1,100,'Increments up to 10 times and applies when using active Conduits',1,3),
(2769,1000242,1,100,'Adds an additional effect which reduces the hate gain of non fighter classes.',0,0),
(2770,1000242,2,100,'Adds an additional effect which reduces the hate gain of non fighter classes.',0,0),
(2771,1000242,3,100,'Adds an additional effect which reduces the hate gain of non fighter classes.',0,0),
(2772,1000242,4,100,'Adds an additional effect which reduces the hate gain of non fighter classes.',0,0),
(2773,1000242,5,100,'Adds an additional effect which reduces the hate gain of non fighter classes.',0,0),
(2774,1000243,1,100,'Increases Ability Reuse Speed of caster by 1.3%',0,0),
(2775,1000243,2,100,'Increases Ability Reuse Speed of caster by 2.5%',0,0),
(2776,1000243,3,100,'Increases Ability Reuse Speed of caster by 3.7%',0,0),
(2777,1000243,4,100,'Increases Ability Reuse Speed of caster by 5.0%',0,0),
(2778,1000243,5,100,'Increases Ability Reuse Speed of caster by 6.2%',0,0),
(2779,1000243,6,100,'Increases Ability Reuse Speed of caster by 7.5%',0,0),
(2780,1000243,7,100,'Increases Ability Reuse Speed of caster by 8.8%',0,0),
(2781,1000243,8,100,'Increases Ability Reuse Speed of caster by 10.0%',0,0),
(2782,1000244,2,100,'Reduces the base reuse of Seafury Thrust to 90 seconds.',0,0),
(2783,1000244,3,100,'Reduces the base reuse of Seafury Thrust to 60 seconds.',0,0),
(2784,1000245,1,100,'The assassin''s group will gain a triggered damage effect that inflicts damage on targets below 25% when the assassin reaches five increments of Carnage. This can apply when the 5th increment is refreshed.',0,0),
(2785,1000245,2,100,'The assassin''s group will gain a triggered damage effect that inflicts damage on targets below 25% when the assassin reaches five increments of Carnage. This can apply when the 5th increment is refreshed.',0,0),
(2786,1000245,3,100,'The assassin''s group will gain a triggered damage effect that inflicts damage on targets below 25% when the assassin reaches five increments of Carnage. This can apply when the 5th increment is refreshed.',0,0),
(2787,1000246,1,100,'Increases Sculpting of caster by 5.0',0,0),
(2788,1000246,2,100,'Increases Sculpting of caster by 5.0',0,0),
(2789,1000247,1,100,'Increases Ability Casting Speed of caster by 2.0%',0,0),
(2790,1000247,2,100,'Increases Ability Casting Speed of caster by 2.0%',0,0),
(2791,1000248,1,100,'Honed Reflexes and Deadly Focus will gain a 15% chance to inflict poison damage when the assassin attacks.',0,0),
(2792,1000248,2,100,'Honed Reflexes and Deadly Focus will gain a 30% chance to inflict poison damage when the assassin attacks.',0,0),
(2793,1000248,3,100,'Honed Reflexes and Deadly Focus will gain a 45% chance to inflict poison damage when the assassin attacks.',0,0),
(2794,1000249,1,100,'Cannot be modified except by direct means',0,0),
(2795,1000250,1,100,'Increases AGI of caster by 7.0',0,0),
(2796,1000251,1,100,'Increases the spell bonuses by 5%',0,0),
(2797,1000251,1,100,'Adds 0.25% base damage, heals and taunts',0,1),
(2798,1000251,2,100,'Increases the spell bonuses by 10%',0,0),
(2799,1000251,2,100,'Adds 0.5% base damage, heals and taunts',0,1),
(2800,1000251,3,100,'Increases the spell bonuses by 15%',0,0),
(2801,1000251,3,100,'Adds 0.75% base damage, heals and taunts',0,1),
(2802,1000251,4,100,'Increases the spell bonuses by 20%',0,0),
(2803,1000251,4,100,'Adds 1% base damage, heals and taunts',0,1),
(2804,1000251,5,100,'Increases the spell bonuses by 25%',0,0),
(2805,1000251,5,100,'Adds 1.25% base damage, heals and taunts',0,1),
(2806,1000252,1,100,'Grants a 2.0% chance to resist Stifle effects',0,0),
(2807,1000252,2,100,'Grants a 4.0% chance to resist Stifle effects',0,0),
(2808,1000252,3,100,'Grants a 6.0% chance to resist Stifle effects',0,0),
(2809,1000252,4,100,'Grants a 8.0% chance to resist Stifle effects',0,0),
(2810,1000252,5,100,'Grants a 10.0% chance to resist Stifle effects',0,0),
(2811,1000253,1,100,'Increases STA of caster by 2.5',0,0),
(2812,1000253,2,100,'Increases STA of caster by 2.5',0,0),
(2813,1000254,1,100,'Increases Max Power of caster by 2.5%',0,0),
(2814,1000254,2,100,'Increases Max Power of caster by 2.5%',0,0),
(2815,1000255,1,100,'Increases Potency of caster by 3.0%',0,0),
(2816,1000255,1,100,'Increases Potency of caster by 0.5%',1,1),
(2817,1000255,1,100,'Increments up to 6 times',1,2),
(2818,1000255,1,100,'On a damage spell hit this spell will cast Chained Claws on target.  Lasts for 12.0 seconds.  ',0,3),
(2819,1000255,1,100,'Increases Potency of caster by 0.5%',1,4),
(2820,1000255,1,100,'Increments up to 6 times',1,5),
(2821,1000255,2,100,'When a combat art is used this spell will cast Chained Claws on target.  Lasts for 12.0 seconds.  ',0,0),
(2822,1000255,2,100,'Increases Potency of caster by 1.3%',1,1),
(2823,1000255,2,100,'Increments up to 6 times',1,2),
(2824,1000255,2,100,'On a damage spell hit this spell will cast Chained Claws on target.  Lasts for 12.0 seconds.  ',0,3),
(2825,1000255,2,100,'Increases Potency of caster by 1.3%',1,4),
(2826,1000255,2,100,'Increments up to 6 times',1,5),
(2827,1000255,3,100,'When a combat art is used this spell will cast Chained Claws on target.  Lasts for 12.0 seconds.  ',0,0),
(2828,1000255,3,100,'Increases Potency of caster by 1.9%',1,1),
(2829,1000255,3,100,'Increments up to 6 times',1,2),
(2830,1000255,3,100,'On a damage spell hit this spell will cast Chained Claws on target.  Lasts for 12.0 seconds.  ',0,3),
(2831,1000255,3,100,'Increases Potency of caster by 1.9%',1,4),
(2832,1000255,3,100,'Increments up to 6 times',1,5),
(2833,1000255,4,100,'When a combat art is used this spell will cast Chained Claws on target.  Lasts for 12.0 seconds.  ',0,0),
(2834,1000255,4,100,'Increases Potency of caster by 2.6%',1,1),
(2835,1000255,4,100,'Increments up to 6 times',1,2),
(2836,1000255,4,100,'On a damage spell hit this spell will cast Chained Claws on target.  Lasts for 12.0 seconds.  ',0,3),
(2837,1000255,4,100,'Increases Potency of caster by 2.6%',1,4),
(2838,1000255,4,100,'Increments up to 6 times',1,5),
(2839,1000255,5,100,'When a combat art is used this spell will cast Chained Claws on target.  Lasts for 12.0 seconds.  ',0,0),
(2840,1000255,5,100,'Increases Potency of caster by 3.2%',1,1),
(2841,1000255,5,100,'Increments up to 6 times',1,2),
(2842,1000255,5,100,'On a damage spell hit this spell will cast Chained Claws on target.  Lasts for 12.0 seconds.  ',0,3),
(2843,1000255,5,100,'Increases Potency of caster by 3.2%',1,4),
(2844,1000255,5,100,'Increments up to 6 times',1,5),
(2845,1000255,6,100,'Increases Potency of caster by 18.0%',0,0),
(2846,1000255,6,100,'Increases Potency of caster by 3.0%',1,1),
(2847,1000255,6,100,'Increments up to 6 times',1,2),
(2848,1000255,6,100,'On a damage spell hit this spell will cast Chained Claws on target.  Lasts for 12.0 seconds.  ',0,3),
(2849,1000255,6,100,'Increases Potency of caster by 3.0%',1,4),
(2850,1000255,6,100,'Increments up to 6 times',1,5),
(2851,1000255,7,100,'When a combat art is used this spell will cast Chained Claws on target.  Lasts for 12.0 seconds.  ',0,0),
(2852,1000255,7,100,'Increases Potency of caster by 4.5%',1,1),
(2853,1000255,7,100,'Increments up to 6 times',1,2),
(2854,1000255,7,100,'On a damage spell hit this spell will cast Chained Claws on target.  Lasts for 12.0 seconds.  ',0,3),
(2855,1000255,7,100,'Increases Potency of caster by 4.5%',1,4),
(2856,1000255,7,100,'Increments up to 6 times',1,5),
(2857,1000255,8,100,'Increases Potency of caster by 24.0%',0,0),
(2858,1000255,8,100,'Increases Potency of caster by 4.0%',1,1),
(2859,1000255,8,100,'Increments up to 6 times',1,2),
(2860,1000255,8,100,'On a damage spell hit this spell will cast Chained Claws on target.  Lasts for 12.0 seconds.  ',0,3),
(2861,1000255,8,100,'Increases Potency of caster by 4.0%',1,4),
(2862,1000255,8,100,'Increments up to 6 times',1,5),
(2863,1000255,9,100,'When a combat art is used this spell will cast Chained Claws on target.  Lasts for 12.0 seconds.  ',0,0),
(2864,1000255,9,100,'Increases Potency of caster by 5.8%',1,1),
(2865,1000255,9,100,'Increments up to 6 times',1,2),
(2866,1000255,9,100,'On a damage spell hit this spell will cast Chained Claws on target.  Lasts for 12.0 seconds.  ',0,3),
(2867,1000255,9,100,'Increases Potency of caster by 5.8%',1,4),
(2868,1000255,9,100,'Increments up to 6 times',1,5),
(2869,1000255,10,100,'When a combat art is used this spell will cast Chained Claws on target.  Lasts for 12.0 seconds.  ',0,0),
(2870,1000255,10,100,'Increases Potency of caster by 6.5%',1,1),
(2871,1000255,10,100,'Increments up to 6 times',1,2),
(2872,1000255,10,100,'On a damage spell hit this spell will cast Chained Claws on target.  Lasts for 12.0 seconds.  ',0,3),
(2873,1000255,10,100,'Increases Potency of caster by 6.5%',1,4),
(2874,1000255,10,100,'Increments up to 6 times',1,5),
(2875,1000256,1,100,'Provoke has a 33% chance to grant an increment of Champion''s Sight.',0,0),
(2876,1000256,2,100,'Provoke has a 66% chance to grant an increment of Champion''s Sight.',0,0),
(2877,1000256,3,100,'Provoke has a 100% chance to grant an increment of Champion''s Sight.',0,0),
(2878,1000257,1,100,'Champion''s Interception will increase the guardian''s threat by 0.8% of their damage inflicted per increment. If the guardian has Subtle Strikes active, their threat is reduced instead.',0,0),
(2879,1000257,1,100,'Champion''s Watch will reduce incoming damage to the guardian by 1.5%',0,1),
(2880,1000257,2,100,'Champion''s Interception will increase the guardian''s threat by 1.6% of their damage inflicted per increment. If the guardian has Subtle Strikes active, their threat is reduced instead.',0,0),
(2881,1000257,2,100,'Champion''s Watch will reduce incoming damage to the guardian by 3%',0,1),
(2882,1000257,3,100,'Champion''s Interception will increase the guardian''s threat by 2.4% of their damage inflicted per increment. If the guardian has Subtle Strikes active, their threat is reduced instead.',0,0),
(2883,1000257,3,100,'Champion''s Watch will reduce incoming damage to the guardian by 4.5%',0,1),
(2884,1000258,1,100,'Reduces incoming damage to the Shadowknight by 30% for a very short duration following Chaotic Blade.',0,0),
(2885,1000258,2,100,'Reduces incoming damage to the Shadowknight by 60% for a very short duration following Chaotic Blade.',0,0),
(2886,1000258,3,100,'Reduces incoming damage to the Shadowknight by 90% for a very short duration following Chaotic Blade.',0,0),
(2887,1000258,3,100,'Chaotic Blade will increase the shadowknight''s threat position by 1',0,1),
(2888,1000259,1,100,'For every 20 Potency, the caster gains 1 Crit Bonus.',0,0),
(2889,1000260,1,100,'Improves the duration of Shadowknight''s Furor by 10 seconds.',0,0),
(2890,1000261,1,100,'Death March has a 50% chance to finish the reuse of Chaos Cloud.',0,0),
(2891,1000261,2,100,'Death March has a 100% chance to finish the reuse of Chaos Cloud.',0,0),
(2892,1000262,1,100,'Inflicts disease damage over time to the target of Chaotic Blade. The shadowknight will be healed 2% every tick.',0,0),
(2893,1000262,2,100,'Inflicts disease damage over time to the target of Chaotic Blade. The shadowknight will be healed 4% every tick.',0,0),
(2894,1000262,3,100,'Inflicts disease damage over time to the target of Chaotic Blade. The shadowknight will be healed 6% every tick.',0,0),
(2895,1000262,3,100,'Chaotic Blade will increase the shadowknight''s threat position by 1',0,1),
(2896,1000263,1,100,'Chaotic Blade will cure and heal the shadowknight''s group. The heal amount is increased with higher ranks.',0,0),
(2897,1000263,2,100,'Chaotic Blade will cure and heal the shadowknight''s group. The heal amount is increased with higher ranks.',0,0),
(2898,1000263,3,100,'Chaotic Blade will cure and heal the shadowknight''s group. The heal amount is increased with higher ranks.',0,0),
(2899,1000264,1,100,'Increases speed of caster by 5.0%',0,0),
(2900,1000264,2,100,'Increases speed of caster by 5.0%',0,0),
(2901,1000265,2,100,'Increases speed of caster by 5.0%',0,0),
(2902,1000266,1,100,'Adds an additional intelligence debuff to the target.',0,0),
(2903,1000266,2,100,'Adds an additional intelligence debuff to the target.',0,0),
(2904,1000266,3,100,'Adds an additional intelligence debuff to the target.',0,0),
(2905,1000266,4,100,'Adds an additional intelligence debuff to the target.',0,0),
(2906,1000266,5,100,'Adds an additional intelligence debuff to the target.',0,0),
(2907,1000267,1,100,'Increases Tailoring of caster by 5.0',0,0),
(2908,1000267,2,100,'Increases Tailoring of caster by 5.0',0,0),
(2909,1000268,1,100,'Increases Chemistry by 5.0',0,0),
(2911,1000269,1,100,'Increases Chemistry of caster by 5.0',0,0),
(2912,1000269,2,100,'Increases Chemistry of caster by 5.0',0,0),
(2913,1000270,1,100,'Increases AGI of caster by 7.0',0,0),
(2914,1000271,1,100,'Improves the trigger chance of Inquest by 1%.',0,0),
(2915,1000271,1,100,'Improves the base power amounts by 10%.',0,1),
(2916,1000271,2,100,'Improves the trigger chance of Inquest by 2%.',0,0),
(2917,1000271,2,100,'Improves the base power amounts by 20%.',0,1),
(2918,1000271,3,100,'Improves the trigger chance of Inquest by 3%.',0,0),
(2919,1000271,3,100,'Improves the base power amounts by 30%.',0,1),
(2920,1000271,4,100,'Improves the trigger chance of Inquest by 4%.',0,0),
(2921,1000271,4,100,'Improves the base power amounts by 40%.',0,1),
(2922,1000271,5,100,'Improves the trigger chance of Inquest by 5%.',0,0),
(2923,1000271,5,100,'Improves the base power amounts by 50%.',0,1),
(2924,1000272,1,100,'Improves the damage by 2%',0,0),
(2925,1000272,1,100,'Improves the critical chance and critical damage by 3%',0,1),
(2926,1000273,1,100,'Improves the base damage by 2%.',0,0),
(2927,1000273,1,100,'Improves the critical damage by 1%.',0,1),
(2928,1000274,1,100,'Improves the damage by 5%',0,0),
(2929,1000272,2,100,'Improves the damage by 4%',0,0),
(2930,1000272,2,100,'Improves the critical chance and critical damage by 6%',0,1),
(2931,1000274,2,100,'Improves the damage by 10%',0,0),
(2932,1000273,2,100,'Improves the base damage by 4%.',0,0),
(2933,1000273,2,100,'Improves the critical damage by 2%.',0,1),
(2934,1000273,3,100,'Improves the base damage by 6%.',0,0),
(2935,1000273,3,100,'Improves the critical damage by 3%.',0,1),
(2936,1000272,3,100,'Improves the damage by 6%',0,0),
(2937,1000272,3,100,'Improves the critical chance and critical damage by 9%',0,1),
(2938,1000274,3,100,'Improves the damage by 15%',0,0),
(2939,1000272,4,100,'Improves the damage by 8%',0,0),
(2940,1000272,4,100,'Improves the critical chance and critical damage by 12%',0,1),
(2941,1000274,4,100,'Improves the damage by 20%',0,0),
(2942,1000273,4,100,'Improves the base damage by 8%.',0,0),
(2943,1000273,4,100,'Improves the critical damage by 4%.',0,1),
(2944,1000274,5,100,'Improves the damage by 25%',0,0),
(2945,1000272,5,100,'Improves the damage by 10%',0,0),
(2946,1000272,5,100,'Improves the critical chance and critical damage by 15%',0,1),
(2947,1000273,5,100,'Improves the base damage by 10%.',0,0),
(2948,1000273,5,100,'Improves the critical damage by 5%.',0,1),
(2949,1000275,1,100,'Improves the damage of the reactive proc by 5%.',0,0),
(2950,1000275,2,100,'Improves the damage of the reactive proc by 10%.',0,0),
(2951,1000275,3,100,'Improves the damage of the reactive proc by 15%.',0,0),
(2952,1000275,4,100,'Improves the damage of the reactive proc by 20%.',0,0),
(2953,1000275,5,100,'Improves the damage of the reactive proc by 25%.',0,0),
(2954,1000276,1,100,'Increases the base damage by 3%.',0,0),
(2955,1000276,2,100,'Increases the base damage by 6%.',0,0),
(2956,1000276,3,100,'Increases the base damage by 9%.',0,0),
(2957,1000276,4,100,'Increases the base damage by 12%.',0,0),
(2958,1000276,5,100,'Increases the base damage by 15%.',0,0),
(2959,1000277,1,100,'Increases Ability Casting Speed of caster by 1.4%',0,0),
(2960,1000277,2,100,'Increases Ability Casting Speed of caster by 2.9%',0,0),
(2961,1000277,3,100,'Increases Ability Casting Speed of caster by 4.3%',0,0),
(2962,1000277,4,100,'Increases Ability Casting Speed of caster by 5.8%',0,0),
(2963,1000277,5,100,'Increases Ability Casting Speed of caster by 7.2%',0,0),
(2964,1000277,6,100,'Increases Ability Casting Speed of caster by 8.6%',0,0),
(2965,1000277,7,100,'Increases Ability Casting Speed of caster by 10.1%',0,0),
(2966,1000277,8,100,'Increases Ability Casting Speed of caster by 11.5%',0,0),
(2967,1000277,9,100,'Increases Ability Casting Speed of caster by 13.0%',0,0),
(2968,1000277,10,100,'Increases Ability Casting Speed of caster by 14.4%',0,0),
(2969,1000278,1,100,'Adds 1% spell double attack chance to Time Compression.',0,0),
(2970,1000278,2,100,'Adds 2% spell double attack chance to Time Compression.',0,0),
(2971,1000278,3,100,'Adds 3% spell double attack chance to Time Compression.',0,0),
(2972,1000278,4,100,'Adds 4% spell double attack chance to Time Compression.',0,0),
(2973,1000278,5,100,'Adds 5% spell double attack chance to Time Compression.',0,0),
(2974,1000279,1,100,'Increases AGI of caster by 6.0',0,0),
(2975,1000280,1,100,'Increases Ability Recovery Speed of caster by 4.8%',0,0),
(2976,1000280,1,100,'Increases Defense of caster by 0.0',0,1),
(2977,1000280,2,100,'Increases Ability Recovery Speed of caster by 9.6%',0,0),
(2978,1000280,2,100,'Increases Defense of caster by 0.0',0,1),
(2979,1000280,3,100,'Increases Ability Recovery Speed of caster by 14.4%',0,0),
(2980,1000280,3,100,'Increases Defense of caster by 0.0',0,1),
(2981,1000280,4,100,'Increases Ability Recovery Speed of caster by 19.2%',0,0),
(2982,1000280,4,100,'Increases Defense of caster by 0.0',0,1),
(2983,1000280,5,100,'Increases Ability Recovery Speed of caster by 24.0%',0,0),
(2984,1000280,5,100,'Increases Defense of caster by 0.0',0,1),
(2985,1000280,6,100,'Increases Ability Recovery Speed of caster by 28.8%',0,0),
(2986,1000280,6,100,'Increases Defense of caster by 0.0',0,1),
(2987,1000280,7,100,'Increases Ability Recovery Speed of caster by 33.6%',0,0),
(2988,1000280,7,100,'Increases Defense of caster by 0.0',0,1),
(2989,1000280,8,100,'Increases Ability Recovery Speed of caster by 38.4%',0,0),
(2990,1000280,8,100,'Increases Defense of caster by 0.0',0,1),
(2991,1000280,9,100,'Increases Ability Recovery Speed of caster by 43.2%',0,0),
(2992,1000280,9,100,'Increases Defense of caster by 0.0',0,1),
(2993,1000280,10,100,'Increases Ability Recovery Speed of caster by 48.0%',0,0),
(2994,1000280,10,100,'Increases Defense of caster by 0.0',0,1),
(2995,1000281,1,100,'Improves the damage and critical multiplier by 2.5%',0,0),
(2996,1000281,2,100,'Improves the damage and critical multiplier by 5%',0,0),
(2997,1000281,3,100,'Improves the damage and critical multiplier by 7.5%',0,0),
(2998,1000281,4,100,'Improves the damage and critical multiplier by 10%',0,0),
(2999,1000281,5,100,'Improves the damage and critical multiplier by 12.5%',0,0),
(3000,1000282,1,100,'Improves the casting speed of beneficial spells by 2%.',0,0),
(3001,1000282,2,100,'Improves the casting speed of beneficial spells by 2%.',0,0),
(3002,1000283,1,100,'Increases caster''s chance to block by 1.6%',0,0),
(3003,1000283,2,100,'Increases caster''s chance to block by 3.2%',0,0),
(3004,1000283,3,100,'Increases caster''s chance to block by 4.8%',0,0),
(3005,1000283,4,100,'Increases caster''s chance to block by 6.4%',0,0),
(3006,1000283,5,100,'Increases caster''s chance to block by 8.0%',0,0),
(3007,1000283,6,100,'Increases caster''s chance to block by 9.6%',0,0),
(3008,1000283,7,100,'Increases caster''s chance to block by 11.2%',0,0),
(3009,1000283,8,100,'Increases caster''s chance to block by 12.8%',0,0),
(3010,1000283,9,100,'Increases caster''s chance to block by 14.4%',0,0),
(3011,1000283,10,100,'Increases caster''s chance to block by 16.0%',0,0),
(3012,1000284,1,100,'Increases Crushing and Slashing of caster by 5.0',0,0),
(3013,1000284,2,100,'Increases Crushing and Slashing of caster by 5.0',0,0),
(3014,1000285,1,100,'Grants the mystic additional triggered damage when they reach three increments of Ferocity of Spirits.',0,0),
(3015,1000285,2,100,'Grants the mystic additional triggered damage when they reach three increments of Ferocity of Spirits.',0,0),
(3016,1000285,3,100,'Grants the mystic additional triggered damage when they reach three increments of Ferocity of Spirits.',0,0),
(3017,1000286,1,100,'Improves the casting time by 0.1 seconds.',0,0),
(3018,1000286,1,100,'Improves the reuse time by 3 seconds.',0,1),
(3019,1000286,2,100,'Improves the casting time by 0.2 seconds.',0,0),
(3020,1000286,2,100,'Improves the reuse time by 6 seconds.',0,1),
(3021,1000286,3,100,'Improves the casting time by 0.3 seconds.',0,0),
(3022,1000286,3,100,'Improves the reuse time by 9 seconds.',0,1),
(3023,1000286,4,100,'Improves the casting time by 0.4 seconds.',0,0),
(3024,1000286,4,100,'Improves the reuse time by 12 seconds.',0,1),
(3025,1000286,5,100,'Improves the casting time by 0.5 seconds.',0,0),
(3026,1000286,5,100,'Improves the reuse time by 15 seconds.',0,1),
(3027,1000287,1,100,'Adds two triggers to Infuriating Thorns and grants it a 10% chance to clear the reuse of Cyclone',0,0),
(3028,1000288,1,100,'Increases INT of caster by 4.0',0,0),
(3029,1000288,2,100,'Increases INT of caster by 4.0',0,0),
(3030,1000289,1,100,'Increases stealth or invisible movement speed of caster by 15.0%',0,0),
(3031,1000289,2,100,'Increases stealth or invisible movement speed of caster by 15.0%',0,0),
(3032,1000290,1,100,'Increases stealth or invisible movement speed of caster by 15.0%',0,0),
(3033,1000290,2,100,'Increases stealth or invisible movement speed of caster by 15.0%',0,0),
(3034,1000291,1,100,'Increases Max Power of caster by 1.0%',0,0),
(3035,1000291,1,100,'Increases Max Health of caster by 2.0%',0,1),
(3036,1000291,2,100,'Increases Max Power of caster by 1.0%',0,0),
(3037,1000291,2,100,'Increases Max Health of caster by 2.0%',0,1),
(3038,1000292,2,100,'Increases Tinkering of caster by 10.0',0,0),
(3039,1000292,2,100,'Reduces the power cost of tinkering skills by 25%',0,1),
(3040,1000293,1,100,'Increases the durability gain by 2 every round.',0,0),
(3041,1000293,2,100,'Increases the durability gain by 2 every round.',0,0),
(3042,1000294,1,100,'Increases Max Power of caster by 1.0%',0,0),
(3043,1000294,1,100,'Increases Max Health of caster by 2.0%',0,1),
(3044,1000295,1,100,'Increases Max Power of caster by 1.0%',0,0),
(3045,1000295,1,100,'Increases Max Health of caster by 2.0%',0,1),
(3046,1000295,2,100,'Increases Max Power of caster by 1.0%',0,0),
(3047,1000295,2,100,'Increases Max Health of caster by 2.0%',0,1),
(3048,1000294,2,100,'Increases Max Power of caster by 1.0%',0,0),
(3049,1000294,2,100,'Increases Max Health of caster by 2.0%',0,1),
(3050,1000296,1,100,'Applies Coerced Protection to qualifying pets.',0,0),
(3051,1000296,1,100,'Reduces all damage done to target by 10%',1,1),
(3052,1000296,2,100,'Applies Coerced Protection to qualifying pets.',0,0),
(3053,1000296,2,100,'Reduces all damage done to target by 20%',1,1),
(3054,1000296,3,100,'Applies Coerced Protection to qualifying pets.',0,0),
(3055,1000296,3,100,'Reduces all damage done to target by 30%',1,1),
(3056,1000298,1,100,'Enraging Demeanor has a chance to increase the target''s threat on attacks.',0,0),
(3057,1000298,1,100,'Peaceful Link has a chance to reduce the target''s threat on attacks.',0,1),
(3058,1000298,1,100,'Adds 1 hate position to Coercive Shout.',0,2),
(3059,1000298,2,100,'Enraging Demeanor has a chance to increase the target''s threat on attacks.',0,0),
(3060,1000298,2,100,'Peaceful Link has a chance to reduce the target''s threat on attacks.',0,1),
(3061,1000298,2,100,'Adds 2 hate positions to Coercive Shout.',0,2),
(3062,1000298,3,100,'Enraging Demeanor has a chance to increase the target''s threat on attacks.',0,0),
(3063,1000298,3,100,'Peaceful Link has a chance to reduce the target''s threat on attacks.',0,1),
(3064,1000298,3,100,'Adds 3 hate positions to Coercive Shout.',0,2),
(3065,1000299,1,100,'Adds an additional effect which debuffs the target''s wisdom.',0,0),
(3066,1000299,2,100,'Adds an additional effect which debuffs the target''s wisdom.',0,0),
(3067,1000299,3,100,'Adds an additional effect which debuffs the target''s wisdom.',0,0),
(3068,1000299,4,100,'Adds an additional effect which debuffs the target''s wisdom.',0,0),
(3069,1000299,5,100,'Adds an additional effect which debuffs the target''s wisdom.',0,0),
(3070,1000300,1,100,'Increases Mitigation of caster vs elemental damage by 0',0,0),
(3071,1000300,2,100,'Increases Mitigation of caster vs elemental damage by 0',0,0),
(3072,1000301,2,100,'Increases Mitigation of caster vs elemental damage by 0',0,0),
(3073,1000302,1,100,'Increases Max Power of caster by 3.0%',0,0),
(3074,1000302,2,100,'Increases Max Power of caster by 3.0%',0,0),
(3075,1000303,1,100,'Rock Skin will increase Extra Riposte Chance by 1.25%',0,0),
(3076,1000303,1,100,'Bruising Spirit will increase Extra Riposte Chance by 1%',0,1),
(3077,1000303,2,100,'Rock Skin will increase Extra Riposte Chance by 2.5%',0,0),
(3078,1000303,2,100,'Bruising Spirit will increase Extra Riposte Chance by 2%',0,1),
(3079,1000303,3,100,'Rock Skin will increase Extra Riposte Chance by 3.75%',0,0),
(3080,1000303,3,100,'Bruising Spirit will increase Extra Riposte Chance by 3%',0,1),
(3081,1000304,1,100,'Vengeful Arrow and Barrage have a 20% chance to allow the channeler to cast spells while moving for a short duration.',0,0),
(3082,1000304,2,100,'Vengeful Arrow and Barrage have a 40% chance to allow the channeler to cast spells while moving for a short duration.',0,0),
(3083,1000304,3,100,'Vengeful Arrow and Barrage have a 60% chance to allow the channeler to cast spells while moving for a short duration.',0,0),
(3084,1000304,4,100,'Vengeful Arrow and Barrage have a 80% chance to allow the channeler to cast spells while moving for a short duration.',0,0),
(3085,1000304,5,100,'Vengeful Arrow and Barrage have a 100% chance to allow the channeler to cast spells while moving for a short duration.',0,0),
(3086,1000305,1,100,'Increases Ministration of caster by 5.0',0,0),
(3087,1000305,2,100,'Increases Ministration of caster by 5.0',0,0),
(3088,1000306,1,100,'Adds 1 additional slashing damage strike to Saga.',0,0),
(3089,1000306,2,100,'Adds 2 additional slashing damage strikes to Saga.',0,0),
(3090,1000306,3,100,'Adds 3 additional slashing damage strikes to Saga.',0,0),
(3091,1000307,1,100,'On any combat or spell hit this spell may cast Battle Dressing on the group.  Triggers about 0.6 times per minute. ',0,0),
(3092,1000307,1,100,'Heals group members (AE) for 324 - 396',1,1),
(3093,1000307,2,100,'On any combat or spell hit this spell may cast Battle Dressing on the group.  Triggers about 1.2 times per minute. ',0,0),
(3094,1000307,2,100,'Heals group members (AE) for 648 - 792',1,1),
(3095,1000307,3,100,'On any combat or spell hit this spell may cast Battle Dressing on the group.  Triggers about 1.8 times per minute. ',0,0),
(3096,1000307,3,100,'Heals group members (AE) for 972 - 1188',1,1),
(3097,1000307,4,100,'On any combat or spell hit this spell may cast Battle Dressing on the group.  Triggers about 2.4 times per minute. ',0,0),
(3098,1000307,4,100,'Heals group members (AE) for 1296 - 1584',1,1),
(3099,1000307,5,100,'On any combat or spell hit this spell may cast Battle Dressing on the group.  Triggers about 3.0 times per minute. ',0,0),
(3100,1000307,5,100,'Heals group members (AE) for 1620 - 1980',1,1),
(3101,1000308,1,100,'When a combat art is used this spell will cast Combination on target of combat art.  ',0,0),
(3102,1000308,1,100,'Inflicts 1290 - 2151 melee damage on target',1,1),
(3103,1000309,1,100,'One Hundred Hand Punch and Savage Assault have a 6% chance to finish the reuse of Vicious Combination.',0,0),
(3104,1000309,2,100,'One Hundred Hand Punch and Savage Assault have a 12% chance to finish the reuse of Vicious Combination.',0,0),
(3105,1000310,1,100,'Improves the base damage by 8%.',0,0),
(3106,1000310,2,100,'Improves the base damage by 16%.',0,0),
(3107,1000310,3,100,'Improves the base damage by 24%.',0,0),
(3108,1000310,4,100,'Improves the base damage by 32%.',0,0),
(3109,1000310,5,100,'Improves the base damage by 40%.',0,0),
(3110,1000311,1,100,'** MISSING SPELL MODIFIER EFFECT DESCRIPTION **',0,0),
(3111,1000312,1,100,'Increases in-combat movement speed of caster by 1.3%',0,0),
(3112,1000312,1,100,'Increases speed of caster by 1.3%',0,1),
(3113,1000312,2,100,'Increases in-combat movement speed of caster by 2.5%',0,0),
(3114,1000312,2,100,'Increases speed of caster by 2.5%',0,1),
(3115,1000312,3,100,'Increases in-combat movement speed of caster by 3.7%',0,0),
(3116,1000312,3,100,'Increases speed of caster by 3.7%',0,1),
(3117,1000312,4,100,'Increases in-combat movement speed of caster by 5.0%',0,0),
(3118,1000312,4,100,'Increases speed of caster by 5.0%',0,1),
(3119,1000312,5,100,'Increases in-combat movement speed of caster by 6.2%',0,0),
(3120,1000312,5,100,'Increases speed of caster by 6.2%',0,1),
(3121,1000312,6,100,'Increases in-combat movement speed of caster by 7.5%',0,0),
(3122,1000312,6,100,'Increases speed of caster by 7.5%',0,1),
(3123,1000312,7,100,'Increases in-combat movement speed of caster by 8.8%',0,0),
(3124,1000312,7,100,'Increases speed of caster by 8.8%',0,1),
(3125,1000312,8,100,'Increases in-combat movement speed of caster by 10.0%',0,0),
(3126,1000312,8,100,'Increases speed of caster by 10.0%',0,1),
(3127,1000312,9,100,'Increases in-combat movement speed of caster by 11.3%',0,0),
(3128,1000312,9,100,'Increases speed of caster by 11.3%',0,1),
(3129,1000312,10,100,'Increases in-combat movement speed of caster by 12.5%',0,0),
(3130,1000312,10,100,'Increases speed of caster by 12.5%',0,1),
(3131,1000313,1,100,'Improves the base damage by 5%.',0,0),
(3132,1000313,1,100,'Improves the radius by 20%.',0,1),
(3133,1000313,2,100,'Improves the base damage by 10%.',0,0),
(3134,1000313,2,100,'Improves the radius by 40%.',0,1),
(3135,1000313,3,100,'Improves the base damage by 15%.',0,0),
(3136,1000313,3,100,'Improves the radius by 60%.',0,1),
(3137,1000313,4,100,'Improves the base damage by 20%.',0,0),
(3138,1000313,4,100,'Improves the radius by 80%.',0,1),
(3139,1000313,5,100,'Improves the base damage by 25%.',0,0),
(3140,1000313,5,100,'Improves the radius by 100%.',0,1),
(3141,1000314,1,100,'Increases Focus of caster by 71.0',0,0),
(3142,1000314,1,100,'If under 50% Health',0,1),
(3143,1000314,2,100,'Increases Focus of caster by 70.0',0,0),
(3144,1000314,2,100,'If under 50% Health',0,1),
(3145,1000314,3,100,'Increases Focus of caster by 70.0',0,0),
(3146,1000314,3,100,'If under 50% Health',0,1),
(3147,1000314,4,100,'Increases Focus of caster by 70.0',0,0),
(3148,1000314,4,100,'If under 50% Health',0,1),
(3149,1000314,5,100,'Increases Focus of caster by 71.0',0,0),
(3150,1000314,5,100,'If under 50% Health',0,1),
(3151,1000314,6,100,'Increases Focus of caster by 70.0',0,0),
(3152,1000314,6,100,'If under 50% Health',0,1),
(3153,1000314,7,100,'Increases Focus of caster by 71.0',0,0),
(3154,1000314,7,100,'If under 50% Health',0,1),
(3155,1000314,8,100,'Increases Focus of caster by 71.0',0,0),
(3156,1000314,8,100,'If under 50% Health',0,1),
(3157,1000314,9,100,'Increases Focus of caster by 71.0',0,0),
(3158,1000314,9,100,'If under 50% Health',0,1),
(3159,1000314,10,100,'Increases Focus of caster by 71.0',0,0),
(3160,1000314,10,100,'If under 50% Health',0,1),
(3161,1000315,1,100,'The priest''s healing stance will increase the potency of all heal spells by 1.5%',0,0),
(3162,1000315,2,100,'The priest''s healing stance will increase the potency of all heal spells by 3%',0,0),
(3163,1000315,3,100,'The priest''s healing stance will increase the potency of all heal spells by 4.5%',0,0),
(3164,1000315,4,100,'The priest''s healing stance will increase the potency of all heal spells by 6%',0,0),
(3165,1000315,5,100,'The priest''s healing stance will increase the potency of all heal spells by 7.5%',0,0),
(3166,1000315,6,100,'The priest''s healing stance will increase the potency of all heal spells by 9%',0,0),
(3167,1000315,7,100,'The priest''s healing stance will increase the potency of all heal spells by 10.5%',0,0),
(3168,1000315,8,100,'The priest''s healing stance will increase the potency of all heal spells by 12%',0,0),
(3169,1000315,9,100,'The priest''s healing stance will increase the potency of all heal spells by 13.5%',0,0),
(3170,1000315,10,100,'The priest''s healing stance will increase the potency of all heal spells by 15%',0,0),
(3171,1000316,1,100,'Increases Combat Power Regen of caster by 5.0',0,0),
(3172,1000316,2,100,'Increases Combat Power Regen of caster by 5.0',0,0),
(3173,1000317,1,100,'Increases Max Health of caster by 1.5%',0,0),
(3174,1000318,1,100,'Increases Max Health of caster by 1.0%',0,0),
(3175,1000318,1,100,'Increases caster''s chance to block by 2.0%',0,1),
(3176,1000318,2,100,'Increases Max Health of caster by 2.0%',0,0),
(3177,1000318,2,100,'Increases caster''s chance to block by 4.0%',0,1),
(3178,1000317,2,100,'Increases Max Health of caster by 3.0%',0,0),
(3179,1000318,3,100,'Increases Max Health of caster by 3.0%',0,0),
(3180,1000318,3,100,'Increases caster''s chance to block by 6.0%',0,1),
(3181,1000317,3,100,'Increases Max Health of caster by 4.5%',0,0),
(3182,1000318,4,100,'Increases Max Health of caster by 4.0%',0,0),
(3183,1000318,4,100,'Increases caster''s chance to block by 8.0%',0,1),
(3184,1000317,4,100,'Increases Max Health of caster by 6.0%',0,0),
(3185,1000318,5,100,'Increases Max Health of caster by 5.0%',0,0),
(3186,1000318,5,100,'Increases caster''s chance to block by 10.0%',0,1),
(3187,1000317,5,100,'Increases Max Health of caster by 7.5%',0,0),
(3188,1000318,6,100,'Increases Max Health of caster by 6.0%',0,0),
(3189,1000318,6,100,'Increases caster''s chance to block by 12.0%',0,1),
(3190,1000317,6,100,'Increases Max Health of caster by 9.0%',0,0),
(3191,1000318,7,100,'Increases Max Health of caster by 7.0%',0,0),
(3192,1000318,7,100,'Increases caster''s chance to block by 14.0%',0,1),
(3193,1000317,7,100,'Increases Max Health of caster by 10.5%',0,0),
(3194,1000317,8,100,'Increases Max Health of caster by 12.0%',0,0),
(3195,1000318,8,100,'Increases Max Health of caster by 8.0%',0,0),
(3196,1000318,8,100,'Increases caster''s chance to block by 16.0%',0,1),
(3197,1000318,9,100,'Increases Max Health of caster by 9.0%',0,0),
(3198,1000318,9,100,'Increases caster''s chance to block by 18.0%',0,1),
(3199,1000317,9,100,'Increases Max Health of caster by 13.5%',0,0),
(3200,1000318,10,100,'Increases Max Health of caster by 10.0%',0,0),
(3201,1000318,10,100,'Increases caster''s chance to block by 20.0%',0,1),
(3202,1000317,10,100,'Increases Max Health of caster by 15.0%',0,0),
(3203,1000319,1,100,'When using a Conduit ability. this spell may cast Conduit Dissipation on target.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(3204,1000319,1,100,'Dissonance will dissipate 5% faster',1,1),
(3205,1000319,2,100,'When using a Conduit ability. this spell may cast Conduit Dissipation on target.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(3206,1000319,2,100,'Dissonance will dissipate 10% faster',1,1),
(3207,1000319,3,100,'When using a Conduit ability. this spell may cast Conduit Dissipation on target.  Lasts for 12.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(3208,1000319,3,100,'Dissonance will dissipate 15% faster',1,1),
(3209,1000320,1,100,'Improves the reuse speeds of Stonewall and Shadowknight''s Furor by 2%.',0,0),
(3210,1000320,2,100,'Improves the reuse speeds of Stonewall and Shadowknight''s Furor by 4%.',0,0),
(3211,1000320,3,100,'Improves the reuse speeds of Stonewall and Shadowknight''s Furor by 6%.',0,0),
(3212,1000320,4,100,'Improves the reuse speeds of Stonewall and Shadowknight''s Furor by 8%.',0,0),
(3213,1000320,5,100,'Improves the reuse speeds of Stonewall and Shadowknight''s Furor by 10%.',0,0),
(3214,1000320,6,100,'Improves the reuse speeds of Stonewall and Shadowknight''s Furor by 12%.',0,0),
(3215,1000320,7,100,'Improves the reuse speeds of Stonewall and Shadowknight''s Furor by 14%.',0,0),
(3216,1000320,8,100,'Improves the reuse speeds of Stonewall and Shadowknight''s Furor by 16%.',0,0),
(3217,1000320,9,100,'Improves the reuse speeds of Stonewall and Shadowknight''s Furor by 18%.',0,0),
(3218,1000320,10,100,'Improves the reuse speeds of Stonewall and Shadowknight''s Furor by 20%.',0,0),
(3219,1000321,1,100,'These effects dispel after one trigger.',0,0),
(3220,1000321,1,100,'On a damage spell hit this spell may cast Conjure Elements on target.  Triggers about 1.0 times per minute. ',0,1),
(3221,1000321,1,100,'33% chance to apply Earthlord.  Lasts for 30.0 seconds.',1,2),
(3222,1000321,1,100,'Halves the base reuse time of Stoneskin, Stoneskins, Sacrifice and Elemental Barrier',2,3),
(3223,1000321,1,100,'Cannot be modified except by direct means',2,4),
(3224,1000321,1,100,'33% chance to apply Windlord.  Lasts for 30.0 seconds.',1,5),
(3225,1000321,1,100,'Crystal Blast, Ice Storm, Vampire Bats and Winds of Velious will cast instantly',2,6),
(3226,1000321,1,100,'Cannot be modified except by direct means',2,7),
(3227,1000321,1,100,'33% chance to apply Firelord.  Lasts for 30.0 seconds.',1,8),
(3228,1000321,1,100,'Elemental Toxicity, Elemental Blast, Fiery Annihilation and Blazing Avatar will cast instantly',2,9),
(3229,1000321,1,100,'Cannot be modified except by direct means',2,10),
(3230,1000321,1,100,'Cannot be modified except by direct means',0,11),
(3231,1000321,2,100,'These effects dispel after one trigger.',0,0),
(3232,1000321,2,100,'On a damage spell hit this spell may cast Conjure Elements on target.  Triggers about 2.0 times per minute. ',0,1),
(3233,1000321,2,100,'33% chance to apply Earthlord.  Lasts for 30.0 seconds.',1,2),
(3234,1000321,2,100,'Halves the base reuse time of Stoneskin, Stoneskins, Sacrifice and Elemental Barrier',2,3),
(3235,1000321,2,100,'Cannot be modified except by direct means',2,4),
(3236,1000321,2,100,'33% chance to apply Windlord.  Lasts for 30.0 seconds.',1,5),
(3237,1000321,2,100,'Crystal Blast, Ice Storm, Vampire Bats and Winds of Velious will cast instantly',2,6),
(3238,1000321,2,100,'Cannot be modified except by direct means',2,7),
(3239,1000321,2,100,'33% chance to apply Firelord.  Lasts for 30.0 seconds.',1,8),
(3240,1000321,2,100,'Elemental Toxicity, Elemental Blast, Fiery Annihilation and Blazing Avatar will cast instantly',2,9),
(3241,1000321,2,100,'Cannot be modified except by direct means',2,10),
(3242,1000321,2,100,'Cannot be modified except by direct means',0,11),
(3243,1000321,3,100,'These effects dispel after one trigger.',0,0),
(3244,1000321,3,100,'On a damage spell hit this spell may cast Conjure Elements on target.  Triggers about 3.0 times per minute. ',0,1),
(3245,1000321,3,100,'33% chance to apply Earthlord.  Lasts for 30.0 seconds.',1,2),
(3246,1000321,3,100,'Halves the base reuse time of Stoneskin, Stoneskins, Sacrifice and Elemental Barrier',2,3),
(3247,1000321,3,100,'Cannot be modified except by direct means',2,4),
(3248,1000321,3,100,'33% chance to apply Windlord.  Lasts for 30.0 seconds.',1,5),
(3249,1000321,3,100,'Crystal Blast, Ice Storm, Vampire Bats and Winds of Velious will cast instantly',2,6),
(3250,1000321,3,100,'Cannot be modified except by direct means',2,7),
(3251,1000321,3,100,'33% chance to apply Firelord.  Lasts for 30.0 seconds.',1,8),
(3252,1000321,3,100,'Elemental Toxicity, Elemental Blast, Fiery Annihilation and Blazing Avatar will cast instantly',2,9),
(3253,1000321,3,100,'Cannot be modified except by direct means',2,10),
(3254,1000321,3,100,'Cannot be modified except by direct means',0,11),
(3255,1000322,1,100,'Improves the duration of tradeskilled drinks by 20%.',0,0),
(3256,1000322,2,100,'Improves the duration of tradeskilled drinks by 20%.',0,0),
(3257,1000323,1,100,'Increases the threat amount by 5%',0,0),
(3258,1000323,2,100,'Increases the threat amount by 10%',0,0),
(3259,1000323,3,100,'Increases the threat amount by 15%',0,0),
(3260,1000323,4,100,'Increases the threat amount by 20%',0,0),
(3261,1000323,5,100,'Increases the threat amount by 25%',0,0),
(3262,1000323,5,100,'Forces all targets in the encounter to target you.',0,1),
(3263,1000324,1,100,'Increases trigger count of poisons by 50%',0,0),
(3264,1000324,1,100,'Increases duration of potions by 100%',0,1),
(3265,1000324,1,100,'Increases effectiveness of potions by 20%',0,2),
(3266,1000325,1,100,'When completing a pristine crafted item. this spell has a 1% chance to cast Conservation of Mass on target.  Lasts for 1.0 second.  ',0,0),
(3267,1000325,1,100,'No components are consumed to create this item.',1,1),
(3268,1000325,2,100,'When completing a pristine crafted item. this spell has a 2% chance to cast Conservation of Mass on target.  Lasts for 1.0 second.  ',0,0),
(3269,1000325,2,100,'No components are consumed to create this item.',1,1),
(3270,1000325,3,100,'When completing a pristine crafted item. this spell has a 3% chance to cast Conservation of Mass on target.  Lasts for 1.0 second.  ',0,0),
(3271,1000325,3,100,'No components are consumed to create this item.',1,1),
(3272,1000325,4,100,'When completing a pristine crafted item. this spell has a 4% chance to cast Conservation of Mass on target.  Lasts for 1.0 second.  ',0,0),
(3273,1000325,4,100,'No components are consumed to create this item.',1,1),
(3274,1000325,5,100,'When completing a pristine crafted item. this spell has a 5% chance to cast Conservation of Mass on target.  Lasts for 1.0 second.  ',0,0),
(3275,1000325,5,100,'No components are consumed to create this item.',1,1),
(3276,1000326,1,100,'Flaming Weapons has a 33% chance to trigger Burning, which inflicts heat damage over time.',0,0),
(3277,1000326,2,100,'Flaming Weapons has a 66% chance to trigger Burning, which inflicts heat damage over time.',0,0),
(3278,1000326,3,100,'Flaming Weapons has a 100% chance to trigger Burning, which inflicts heat damage over time.',0,0),
(3279,1000327,1,100,'Upon natural expiration, Clearwater Current will ward the target.',0,0),
(3280,1000327,2,100,'Upon natural expiration, Clearwater Current will ward the target.',0,0),
(3281,1000327,3,100,'Upon natural expiration, Clearwater Current will ward the target.',0,0),
(3282,1000328,1,100,'Windblade grants an additional trigger that increases Crit Bonus by 0.7%. Increments up to 10 times.',0,0),
(3283,1000328,2,100,'Windblade grants an additional trigger that increases Crit Bonus by 1.4%. Increments up to 10 times.',0,0),
(3284,1000328,3,100,'Windblade grants an additional trigger that increases Crit Bonus by 2.1%. Increments up to 10 times.',0,0),
(3285,1000329,1,100,'Overloaded Interception will reduce incoming magical damage to the group by 0.5%',0,0),
(3286,1000329,1,100,'Construct''s Interception will reduce incoming magical damage to the target by 1%',0,1),
(3287,1000329,2,100,'Overloaded Interception will reduce incoming magical damage to the group by 1%',0,0),
(3288,1000329,2,100,'Construct''s Interception will reduce incoming magical damage to the target by 2%',0,1),
(3289,1000329,3,100,'Overloaded Interception will reduce incoming magical damage to the group by 1.5%',0,0),
(3290,1000329,3,100,'Construct''s Interception will reduce incoming magical damage to the target by 3%',0,1),
(3291,1000329,4,100,'Overloaded Interception will reduce incoming magical damage to the group by 2%',0,0),
(3292,1000329,4,100,'Construct''s Interception will reduce incoming magical damage to the target by 4%',0,1),
(3293,1000329,5,100,'Overloaded Interception will reduce incoming magical damage to the group by 2.5%',0,0),
(3294,1000329,5,100,'Construct''s Interception will reduce incoming magical damage to the target by 5%',0,1),
(3295,1000329,6,100,'Overloaded Interception will reduce incoming magical damage to the group by 3%',0,0),
(3296,1000329,6,100,'Construct''s Interception will reduce incoming magical damage to the target by 6%',0,1),
(3297,1000329,7,100,'Overloaded Interception will reduce incoming magical damage to the group by 3.5%',0,0),
(3298,1000329,7,100,'Construct''s Interception will reduce incoming magical damage to the target by 7%',0,1),
(3299,1000329,8,100,'Overloaded Interception will reduce incoming magical damage to the group by 4%',0,0),
(3300,1000329,8,100,'Construct''s Interception will reduce incoming magical damage to the target by 8%',0,1),
(3301,1000330,1,100,'Adds a group heal component to Consumption.',0,0),
(3302,1000330,2,100,'Adds a group heal component to Consumption.',0,0),
(3303,1000330,3,100,'Adds a group heal component to Consumption.',0,0),
(3304,1000330,4,100,'Adds a group heal component to Consumption.',0,0),
(3305,1000330,5,100,'Adds a group heal component to Consumption.',0,0),
(3306,1000331,1,100,'Improves the skill bonuses of the fighter''s defensive stance by 4%',0,0),
(3307,1000331,2,100,'Improves the skill bonuses of the fighter''s defensive stance by 8%',0,0),
(3308,1000331,3,100,'Improves the skill bonuses of the fighter''s defensive stance by 12%',0,0),
(3309,1000331,4,100,'Improves the skill bonuses of the fighter''s defensive stance by 16%',0,0),
(3310,1000331,5,100,'Improves the skill bonuses of the fighter''s defensive stance by 20%',0,0),
(3311,1000332,1,100,'Improves the duration and tick amount of Bagpipe Solo by 33%',0,0),
(3312,1000332,2,100,'Improves the duration and tick amount of Bagpipe Solo by 66%',0,0),
(3313,1000332,3,100,'Improves the duration and tick amount of Bagpipe Solo by 100%',0,0),
(3314,1000333,1,100,'Stormbearer''s Fury will reduce damage to the group by 0.5% per increment',0,0),
(3315,1000333,2,100,'Stormbearer''s Fury will reduce damage to the group by 1% per increment',0,0),
(3316,1000333,3,100,'Stormbearer''s Fury will reduce damage to the group by 1.5% per increment',0,0),
(3317,1000334,1,100,'Improves the reuse time by 4 seconds.',0,0),
(3318,1000334,2,100,'Improves the reuse time by 8 seconds.',0,0),
(3319,1000334,3,100,'Improves the reuse time by 12 seconds.',0,0),
(3320,1000334,4,100,'Improves the reuse time by 16 seconds.',0,0),
(3321,1000334,5,100,'Adds additional control effect removal while also reducing recast.',0,0),
(3322,1000334,5,100,'Improves the reuse time by 20 seconds.',0,1),
(3323,1000335,1,100,'Temporarily increases the rogue''s accuracy after a successful Snap of the Wrist or Battery and Assault.',0,0),
(3324,1000335,2,100,'Temporarily increases the rogue''s accuracy after a successful Snap of the Wrist or Battery and Assault.',0,0),
(3325,1000335,3,100,'Temporarily increases the rogue''s accuracy after a successful Snap of the Wrist or Battery and Assault.',0,0),
(3326,1000335,4,100,'Temporarily increases the rogue''s accuracy after a successful Snap of the Wrist or Battery and Assault.',0,0),
(3327,1000335,5,100,'Temporarily increases the rogue''s accuracy after a successful Snap of the Wrist or Battery and Assault.',0,0),
(3328,1000335,6,100,'Temporarily increases the rogue''s accuracy after a successful Snap of the Wrist or Battery and Assault.',0,0),
(3329,1000335,7,100,'Temporarily increases the rogue''s accuracy after a successful Snap of the Wrist or Battery and Assault.',0,0),
(3330,1000335,8,100,'Temporarily increases the rogue''s accuracy after a successful Snap of the Wrist or Battery and Assault.',0,0),
(3331,1000336,1,100,'Increases the damage of the ticks exponentially with a base gain of 3%.',0,0),
(3332,1000336,2,100,'Increases the damage of the ticks exponentially with a base gain of 6%.',0,0),
(3333,1000336,3,100,'Increases the damage of the ticks exponentially with a base gain of 9%.',0,0),
(3334,1000336,4,100,'Increases the damage of the ticks exponentially with a base gain of 12%.',0,0),
(3335,1000336,5,100,'Increases the damage of the ticks exponentially with a base gain of 15%.',0,0),
(3336,1000337,1,100,'Increases STA of caster by 2.5',0,0),
(3337,1000337,2,100,'Increases STA of caster by 2.5',0,0),
(3338,1000338,1,100,'Improves the trigger chance when using a combat art by 3%',0,0),
(3339,1000338,1,100,'Increases the damage by 3%.',0,1),
(3340,1000338,2,100,'Improves the trigger chance when using a combat art by 6%',0,0),
(3341,1000338,2,100,'Increases the damage by 6%.',0,1),
(3342,1000338,3,100,'Improves the trigger chance when using a combat art by 9%',0,0),
(3343,1000338,3,100,'Increases the damage by 9%.',0,1),
(3344,1000338,4,100,'Improves the trigger chance when using a combat art by 12%',0,0),
(3345,1000338,4,100,'Increases the damage by 12%.',0,1),
(3346,1000338,5,100,'Improves the trigger chance when using a combat art by 15%',0,0),
(3347,1000338,5,100,'Increases the damage by 15%.',0,1),
(3348,1000339,1,100,'Adds an additional 3% casting and recover speed to Jester''s Cap.',0,0),
(3349,1000339,2,100,'Adds an additional 6% casting and recover speed to Jester''s Cap.',0,0),
(3350,1000339,3,100,'Adds an additional 9% casting and recover speed to Jester''s Cap.',0,0),
(3351,1000339,4,100,'Adds an additional 12% casting and recover speed to Jester''s Cap.',0,0),
(3352,1000339,5,100,'Adds an additional 15% casting and recover speed to Jester''s Cap.',0,0),
(3353,1000340,1,100,'Grants immunity to area effect abilities to group members near the brigand for a very short duration following the use of Blinding Dust.',0,0),
(3354,1000340,2,100,'Grants immunity to area effect abilities to group members near the brigand for a very short duration following the use of Blinding Dust.',0,0),
(3355,1000340,3,100,'Grants immunity to area effect abilities to group members near the brigand for a very short duration following the use of Blinding Dust.',0,0),
(3356,1000341,1,100,'Increases the amount of progress gained by 2.0%.',0,0),
(3357,1000342,1,100,'Increases the amount of progress gained by 2.0%.',0,0),
(3358,1000342,2,100,'Increases the amount of progress gained by 2.0%.',0,0),
(3359,1000341,2,100,'Increases the amount of progress gained by 2.0%.',0,0),
(3360,1000343,1,100,'Increases Max Health of caster by 0.5%',0,0),
(3361,1000343,2,100,'Increases Max Health of caster by 1.0%',0,0),
(3362,1000343,3,100,'Increases Max Health of caster by 1.5%',0,0),
(3363,1000343,4,100,'Increases Max Health of caster by 2.0%',0,0),
(3364,1000343,5,100,'Increases Max Health of caster by 2.5%',0,0),
(3365,1000343,6,100,'Increases Max Health of caster by 3.0%',0,0),
(3366,1000343,7,100,'Increases Max Health of caster by 3.5%',0,0),
(3367,1000343,8,100,'Increases Max Health of caster by 4.0%',0,0),
(3368,1000343,9,100,'Increases Max Health of caster by 4.5%',0,0),
(3369,1000343,10,100,'Increases Max Health of caster by 5.0%',0,0),
(3370,1000344,1,100,'Increases WIS of caster by 7.0',0,0),
(3371,1000345,1,100,'Adds an additional strength reduction component.',0,0),
(3372,1000345,2,100,'Adds an additional strength reduction component.',0,0),
(3373,1000345,3,100,'Adds an additional strength reduction component.',0,0),
(3374,1000345,4,100,'Adds an additional strength reduction component.',0,0),
(3375,1000345,5,100,'Adds an additional strength reduction component.',0,0),
(3376,1000346,1,100,'Improves the damage and critical amount by 3%.',0,0),
(3377,1000346,2,100,'Improves the damage and critical amount by 6%.',0,0),
(3378,1000346,3,100,'Improves the damage and critical amount by 9%.',0,0),
(3379,1000346,4,100,'Improves the damage and critical amount by 12%.',0,0),
(3380,1000346,5,100,'Improves the damage and critical amount by 15%.',0,0),
(3381,1000347,1,100,'Increases Crit Bonus of Combat Arts by 1%',0,0),
(3382,1000347,2,100,'Increases Crit Bonus of Combat Arts by 2%',0,0),
(3383,1000347,3,100,'Increases Crit Bonus of Combat Arts by 3%',0,0),
(3384,1000347,4,100,'Increases Crit Bonus of Combat Arts by 4%',0,0),
(3385,1000347,5,100,'Increases Crit Bonus of Combat Arts by 5%',0,0),
(3386,1000348,1,100,'For every 20 Potency, the caster gains 1 Crit Bonus.',0,0),
(3387,1000349,1,100,'Increases Crit Chance of caster by 1.0',0,0),
(3388,1000349,1,100,'Increases caster''s chance to block by 1.0%',0,1),
(3389,1000349,2,100,'Increases Crit Chance of caster by 1.0',0,0),
(3390,1000349,2,100,'Increases caster''s chance to block by 1.0%',0,1),
(3391,1000350,1,100,'Increases Crit Bonus of caster by 1.0%',0,0),
(3392,1000350,2,100,'Increases Crit Bonus of caster by 2.0%',0,0),
(3393,1000350,3,100,'Increases Crit Bonus of caster by 3.0%',0,0),
(3394,1000350,4,100,'Increases Crit Bonus of caster by 4.0%',0,0),
(3395,1000350,5,100,'Increases Crit Bonus of caster by 5.0%',0,0),
(3396,1000350,6,100,'Increases Crit Bonus of caster by 6.0%',0,0),
(3397,1000350,7,100,'Increases Crit Bonus of caster by 7.0%',0,0),
(3398,1000350,8,100,'Increases Crit Bonus of caster by 8.0%',0,0),
(3399,1000350,9,100,'Increases Crit Bonus of caster by 9.0%',0,0),
(3400,1000350,10,100,'Increases Crit Bonus of caster by 10.0%',0,0),
(3401,1000351,1,100,'Increases Crit Chance of caster by 1.3',0,0),
(3402,1000351,2,100,'Increases Crit Chance of caster by 2.6',0,0),
(3403,1000351,3,100,'Increases Crit Chance of caster by 3.9',0,0),
(3404,1000351,4,100,'Increases Crit Chance of caster by 5.2',0,0),
(3405,1000351,5,100,'Increases Crit Chance of caster by 6.5',0,0),
(3406,1000351,6,100,'Increases Crit Chance of caster by 7.8',0,0),
(3407,1000351,7,100,'Increases Crit Chance of caster by 9.1',0,0),
(3408,1000351,8,100,'Increases Crit Chance of caster by 10.4',0,0),
(3409,1000351,9,100,'Increases Crit Chance of caster by 11.7',0,0),
(3410,1000351,10,100,'Increases Crit Chance of caster by 13.0',0,0),
(3411,1000352,1,100,'For every 20 Potency, the caster gains 1 Crit Bonus.',0,0),
(3412,1000353,1,100,'Improves the amount of damage done when a combat art critically attacks by 1%.',0,0),
(3413,1000354,1,100,'For every 20 Potency, the caster gains 1 Crit Bonus.',0,0),
(3414,1000355,1,100,'For every 20 Potency, the caster gains 1 Crit Bonus.',0,0),
(3415,1000356,1,100,'Improves critical damage by 1%.',0,0),
(3416,1000356,2,100,'Improves critical damage by 2%.',0,0),
(3417,1000353,2,100,'Improves the amount of damage done when a combat art critically attacks by 2%.',0,0),
(3418,1000356,3,100,'Improves critical damage by 3%.',0,0),
(3419,1000353,3,100,'Improves the amount of damage done when a combat art critically attacks by 3%.',0,0),
(3420,1000356,4,100,'Improves critical damage by 4%.',0,0),
(3421,1000353,4,100,'Improves the amount of damage done when a combat art critically attacks by 4%.',0,0),
(3422,1000356,5,100,'Improves critical damage by 5%.',0,0),
(3423,1000353,5,100,'Improves the amount of damage done when a combat art critically attacks by 5%.',0,0),
(3424,1000357,1,100,'For every 3 Crit Bonus, the caster gains 1 Potency.',0,0),
(3425,1000358,1,100,'Increases Crit Chance of caster by 1.0',0,0),
(3426,1000358,1,100,'Increases caster''s chance to block by 1.0%',0,1),
(3427,1000358,2,100,'Increases Crit Chance of caster by 1.0',0,0),
(3428,1000358,2,100,'Increases caster''s chance to block by 1.0%',0,1),
(3429,1000359,1,100,'Improves the base damage by 3%.',0,0),
(3430,1000359,2,100,'Improves the base damage by 6%.',0,0),
(3431,1000359,3,100,'Improves the base damage by 9%.',0,0),
(3432,1000359,4,100,'Improves the base damage by 12%.',0,0),
(3433,1000359,5,100,'Improves the base damage by 15%.',0,0),
(3434,1000360,1,100,'Improves the amount of damage done when a combat art critically hits by 1%.',0,0),
(3435,1000360,2,100,'Improves the amount of damage done when a combat art critically hits by 2%.',0,0),
(3436,1000360,3,100,'Improves the amount of damage done when a combat art critically hits by 3%.',0,0),
(3437,1000360,4,100,'Improves the amount of damage done when a combat art critically hits by 4%.',0,0),
(3438,1000360,5,100,'Improves the amount of damage done when a combat art critically hits by 5%.',0,0),
(3439,1000361,1,100,'Each Winds of Retribution effect will grant the monk 2 Weapon Damage Bonus while active',0,0),
(3440,1000361,2,100,'Each Winds of Retribution effect will grant the monk 4 Weapon Damage Bonus while active',0,0),
(3441,1000361,3,100,'Each Winds of Retribution effect will grant the monk 6 Weapon Damage Bonus while active',0,0),
(3442,1000362,1,100,'Improves the amount of increments Frozen Solid applies by 1',0,0),
(3443,1000362,2,100,'Improves the amount of increments Frozen Solid applies by 2',0,0),
(3444,1000362,3,100,'Improves the amount of increments Frozen Solid applies by 3',0,0),
(3445,1000363,1,100,'Increases Mitigation of caster vs arcane damage by 0',0,0),
(3446,1000363,2,100,'Increases Mitigation of caster vs arcane damage by 0',0,0),
(3447,1000364,1,100,'On a hostile spell cast this spell may cast Crystalline Destruction on caster.  Lasts for 10.0 seconds.  Triggers about 1.2 times per minute. ',0,0),
(3448,1000364,1,100,'Crystal Blast will do additional damage! Crystal Blast itself cannot trigger this effect.',1,1),
(3449,1000364,1,100,'Crystal Blast will inflict massive damage when Crystalline Destruction is active.',0,2),
(3450,1000365,1,100,'Increases Potency of caster by 1.3%',0,0),
(3451,1000365,2,100,'Increases Potency of caster by 2.5%',0,0),
(3452,1000365,3,100,'Increases Potency of caster by 3.7%',0,0),
(3453,1000365,4,100,'Increases Potency of caster by 5.0%',0,0),
(3454,1000365,5,100,'Increases Potency of caster by 6.2%',0,0),
(3455,1000365,6,100,'Increases Potency of caster by 7.5%',0,0),
(3456,1000365,7,100,'Increases Potency of caster by 8.8%',0,0),
(3457,1000365,8,100,'Increases Potency of caster by 10.0%',0,0),
(3458,1000366,1,100,'Thieves Guild gains triggers that increase Crit Bonus. The first is Critical Cunning which increases Crit Bonus by 8%. The second is Perfect Deceit which increases Crit Bonus by 14%.',0,0),
(3459,1000367,1,100,'Improves casting, recovery, and reuse speed by 50%',0,0),
(3460,1000367,1,100,'Increases duration by 20%',0,1),
(3461,1000367,1,100,'Following the use of any Cursing ability, the defiler will be immune to interrupts for a short duration.',0,2),
(3462,1000368,1,100,'Your opponent will progressively bleed faster.',0,0),
(3463,1000368,2,100,'Your opponent will progressively bleed faster.',0,0),
(3464,1000368,3,100,'Your opponent will progressively bleed faster.',0,0),
(3465,1000368,4,100,'Your opponent will progressively bleed faster.',0,0),
(3466,1000368,5,100,'Your opponent will progressively bleed faster.',0,0),
(3467,1000369,1,100,'Increases radius by 5',0,0),
(3468,1000369,1,100,'Reduces resistibility of taunts by 10%',0,1),
(3469,1000369,1,100,'Improves casting speed of Area Effect combat arts by 25%',0,2),
(3470,1000370,1,100,'Increases Crushing and Slashing of caster by 5.0',0,0),
(3471,1000370,2,100,'Increases Crushing and Slashing of caster by 5.0',0,0),
(3472,1000371,1,100,'For every 10 Potency, the caster gains 1 Crit Bonus.',0,0),
(3473,1000372,1,100,'Improves the effects of Perfect Finesse by 10%.',0,0),
(3474,1000372,1,100,'Improves the duration of Inspired Daring by 10%.',0,1),
(3475,1000372,2,100,'Improves the effects of Perfect Finesse by 20%.',0,0),
(3476,1000372,2,100,'Perfect Finesse now applies to the swashbuckler''s group.',0,1),
(3477,1000372,2,100,'Improves the duration of Inspired Daring by 20%.',0,2),
(3478,1000372,3,100,'Improves the effects of Perfect Finesse by 30%.',0,0),
(3479,1000372,3,100,'Perfect Finesse now applies to the swashbuckler''s group.',0,1),
(3480,1000372,3,100,'Inspired Daring now applies to the swashbuckler''s group.',0,2),
(3481,1000372,3,100,'Improves the duration of Inspired Daring by 30%.',0,3),
(3482,1000373,1,100,'Increases Metal Shaping of caster by 5.0',0,0),
(3483,1000373,2,100,'Increases Metal Shaping of caster by 5.0',0,0),
(3484,1000374,1,100,'Increases the casting speed of hostile spells by 2%.',0,0),
(3485,1000374,2,100,'Increases the casting speed of hostile spells by 2%.',0,0),
(3486,1000375,1,100,'On a hostile spell cast this spell has a 5% chance to cast Dark Incubation on target.  Lasts for 12.0 seconds.  ',0,0),
(3487,1000375,1,100,'A weakness has been revealed on your enemies!',1,1),
(3488,1000375,1,100,'Cannot be modified except by direct means',1,2),
(3489,1000375,1,100,'Cannot be modified except by direct means',0,3),
(3490,1000376,1,100,'Crusader''s Faith will reduce incoming damage to the Shadowknight by 25%.',0,0),
(3491,1000377,1,100,'Caster will have their chance to hit with a weapon increased by 1.0%',0,0),
(3492,1000377,1,100,'Increases caster''s chance to block by 3.0%',0,1),
(3493,1000377,2,100,'Caster will have their chance to hit with a weapon increased by 2.0%',0,0),
(3494,1000377,2,100,'Increases caster''s chance to block by 6.0%',0,1),
(3495,1000377,3,100,'Caster will have their chance to hit with a weapon increased by 3.0%',0,0),
(3496,1000377,3,100,'Increases caster''s chance to block by 9.0%',0,1),
(3497,1000377,4,100,'Caster will have their chance to hit with a weapon increased by 4.0%',0,0),
(3498,1000377,4,100,'Increases caster''s chance to block by 12.0%',0,1),
(3499,1000377,5,100,'Caster will have their chance to hit with a weapon increased by 5.0%',0,0),
(3500,1000377,5,100,'Increases caster''s chance to block by 15.0%',0,1),
(3501,1000378,1,100,'Increases Chemistry of caster by 5.0',0,0),
(3502,1000378,2,100,'Increases Chemistry of caster by 5.0',0,0),
(3503,1000379,1,100,'Increases success chance by 2.0%',0,0),
(3504,1000379,2,100,'Increases success chance by 2.0%',0,0),
(3505,1000380,1,100,'Grants the warlock an additional 0.75% chance to trigger Dark Incubation.',0,0),
(3506,1000380,1,100,'Cannot be modified except by direct means',0,1),
(3507,1000380,2,100,'Grants the warlock an additional 1.5% chance to trigger Dark Incubation.',0,0),
(3508,1000380,2,100,'Cannot be modified except by direct means',0,1),
(3509,1000380,3,100,'Grants the warlock an additional 2.25% chance to trigger Dark Incubation.',0,0),
(3510,1000380,3,100,'Cannot be modified except by direct means',0,1),
(3511,1000381,1,100,'Improves the base damage by 5%.',0,0),
(3512,1000381,1,100,'Improves the duration by 6%.',0,1),
(3513,1000381,2,100,'Improves the base damage by 10%.',0,0),
(3514,1000381,2,100,'Improves the duration by 12%.',0,1),
(3515,1000381,3,100,'Improves the base damage by 15%.',0,0),
(3516,1000381,3,100,'Improves the duration by 18%.',0,1),
(3517,1000381,4,100,'Improves the base damage by 20%.',0,0),
(3518,1000381,4,100,'Improves the duration by 24%.',0,1),
(3519,1000381,5,100,'Improves the base damage by 25%.',0,0),
(3520,1000381,5,100,'Improves the duration by 30%.',0,1),
(3521,1000382,1,100,'Increases AGI of caster by 2.5',0,0),
(3522,1000382,2,100,'Increases AGI of caster by 2.5',0,0),
(3523,1000383,1,100,'Dance of Metal will have its base reuse speed reduced to 60 seconds and will cast instantly.',0,0),
(3524,1000384,1,100,'Increases Max Health of caster by 2.5%',0,0),
(3525,1000384,2,100,'Increases Max Health of caster by 2.5%',0,0),
(3526,1000385,1,100,'When target falls below 25% health this spell will cast Dauntless Drive on target.  Lasts for 3.0 seconds.  ',0,0),
(3527,1000385,1,100,'Reduces all damage done to caster by 10%',1,1),
(3528,1000385,1,100,'This effect can only trigger once every 90.0 seconds.',1,2),
(3529,1000385,2,100,'When target falls below 25% health this spell will cast Dauntless Drive on target.  Lasts for 3.0 seconds.  ',0,0),
(3530,1000385,2,100,'Reduces all damage done to caster by 20%',1,1),
(3531,1000385,2,100,'This effect can only trigger once every 90.0 seconds.',1,2),
(3532,1000385,3,100,'When target falls below 25% health this spell will cast Dauntless Drive on target.  Lasts for 3.0 seconds.  ',0,0),
(3533,1000385,3,100,'Reduces all damage done to caster by 30%',1,1),
(3534,1000385,3,100,'This effect can only trigger once every 90.0 seconds.',1,2),
(3535,1000385,4,100,'When target falls below 25% health this spell will cast Dauntless Drive on target.  Lasts for 3.0 seconds.  ',0,0),
(3536,1000385,4,100,'Reduces all damage done to caster by 40%',1,1),
(3537,1000385,4,100,'This effect can only trigger once every 90.0 seconds.',1,2),
(3538,1000385,5,100,'When target falls below 25% health this spell will cast Dauntless Drive on target.  Lasts for 3.0 seconds.  ',0,0),
(3539,1000385,5,100,'Reduces all damage done to caster by 50%',1,1),
(3540,1000385,5,100,'This effect can only trigger once every 90.0 seconds.',1,2),
(3541,1000385,6,100,'When target falls below 25% health this spell will cast Dauntless Drive on target.  Lasts for 3.0 seconds.  ',0,0),
(3542,1000385,6,100,'Reduces all damage done to caster by 60%',1,1),
(3543,1000385,6,100,'This effect can only trigger once every 90.0 seconds.',1,2),
(3544,1000385,7,100,'When target falls below 25% health this spell will cast Dauntless Drive on target.  Lasts for 3.0 seconds.  ',0,0),
(3545,1000385,7,100,'Reduces all damage done to caster by 70%',1,1),
(3546,1000385,7,100,'This effect can only trigger once every 90.0 seconds.',1,2),
(3547,1000385,8,100,'When target falls below 25% health this spell will cast Dauntless Drive on target.  Lasts for 3.0 seconds.  ',0,0),
(3548,1000385,8,100,'Reduces all damage done to caster by 80%',1,1),
(3549,1000385,8,100,'This effect can only trigger once every 90.0 seconds.',1,2),
(3550,1000385,9,100,'When target falls below 25% health this spell will cast Dauntless Drive on target.  Lasts for 3.0 seconds.  ',0,0),
(3551,1000385,9,100,'Reduces all damage done to caster by 90%',1,1),
(3552,1000385,9,100,'This effect can only trigger once every 90.0 seconds.',1,2),
(3553,1000385,10,100,'When target falls below 25% health this spell will cast Dauntless Drive on target.  Lasts for 3.0 seconds.  ',0,0),
(3554,1000385,10,100,'Reduces all damage done to caster by 100%',1,1),
(3555,1000385,10,100,'This effect can only trigger once every 90.0 seconds.',1,2),
(3556,1000386,1,100,'Increases Max Health of caster by 0.8%',0,0),
(3557,1000386,2,100,'Increases Max Health of caster by 1.6%',0,0),
(3558,1000386,3,100,'Increases Max Health of caster by 2.4%',0,0),
(3559,1000386,4,100,'Increases Max Health of caster by 3.2%',0,0),
(3560,1000386,5,100,'Increases Max Health of caster by 4.0%',0,0),
(3561,1000386,6,100,'Increases Max Health of caster by 4.8%',0,0),
(3562,1000386,7,100,'Increases Max Health of caster by 5.6%',0,0),
(3563,1000386,8,100,'Increases Max Health of caster by 6.4%',0,0),
(3564,1000386,9,100,'Increases Max Health of caster by 7.2%',0,0),
(3565,1000386,10,100,'Increases Max Health of caster by 8.0%',0,0),
(3566,1000387,1,100,'Dashing Flourish will also reduce the Multi-Attack Chance of the targets hit by 6',0,0),
(3567,1000387,2,100,'Dashing Flourish will also reduce the Multi-Attack Chance of the targets hit by 12',0,0),
(3568,1000387,3,100,'Dashing Flourish will also reduce the Multi-Attack Chance of the targets hit by 18',0,0),
(3569,1000388,1,100,'Bewilderment will inflict damage when cast.',0,0),
(3570,1000388,2,100,'Bewilderment will inflict damage when cast.',0,0),
(3571,1000388,2,100,'Absorb Magic will inflict damage when cast.',0,1),
(3572,1000388,3,100,'Bewilderment will inflict damage when cast.',0,0),
(3573,1000388,3,100,'Absorb Magic will inflict damage when cast.',0,1),
(3574,1000388,3,100,'Manatap will inflict damage when cast.',0,2),
(3575,1000389,1,100,'Increases STA of caster by 5.0',0,0),
(3576,1000390,1,100,'Increases the damage by 2%.',0,0),
(3577,1000390,1,100,'Reduces the recast time by 4 seconds.',0,1),
(3578,1000390,2,100,'Increases the damage by 4%.',0,0),
(3579,1000390,2,100,'Reduces the recast time by 8 seconds.',0,1),
(3580,1000390,3,100,'Increases the damage by 6%.',0,0),
(3581,1000390,3,100,'Reduces the recast time by 12 seconds.',0,1),
(3582,1000390,4,100,'Increases the damage by 8%.',0,0),
(3583,1000390,4,100,'Reduces the recast time by 16 seconds.',0,1),
(3584,1000390,5,100,'Increases the damage by 10%.',0,0),
(3585,1000390,5,100,'Reduces the recast time by 20 seconds.',0,1),
(3586,1000391,1,100,'Improves the amount of increments Toxic Aura applies by 1',0,0),
(3587,1000391,2,100,'Improves the amount of increments Toxic Aura applies by 2',0,0),
(3588,1000391,3,100,'Improves the amount of increments Toxic Aura applies by 3',0,0),
(3589,1000392,1,100,'Adds a damage over time effect to Rot Flesh.',0,0),
(3590,1000392,2,100,'Adds a damage over time effect to Rot Flesh.',0,0),
(3591,1000392,3,100,'Adds a damage over time effect to Rot Flesh.',0,0),
(3592,1000393,1,100,'Improves the base damage before modifications of Doom Judgment, Death Cloud, Chaos Cloud and Grave Sacrament by 20%.',0,0),
(3593,1000393,2,100,'Improves the base damage before modifications of Doom Judgment, Death Cloud, Chaos Cloud and Grave Sacrament by 40%.',0,0),
(3594,1000393,3,100,'Improves the base damage before modifications of Doom Judgment, Death Cloud, Chaos Cloud and Grave Sacrament by 60%.',0,0),
(3595,1000394,1,100,'For every 3 Crit Bonus, the caster gains 1 Potency.',0,0),
(3596,1000395,1,100,'Halves the base cast speed of Revivication and removes the resurrection sickness. Additionally, reviving an ally has a 50% chance to clear the reuse of Elemental Toxicity.',0,0),
(3597,1000396,1,100,'Improves the casting speed by 5%',0,0),
(3598,1000396,1,100,'Improves the damage and heal amount by 3%.',0,1),
(3599,1000396,2,100,'Improves the casting speed by 10%',0,0),
(3600,1000396,2,100,'Improves the damage and heal amount by 6%.',0,1),
(3601,1000396,3,100,'Improves the casting speed by 15%',0,0),
(3602,1000396,3,100,'Improves the damage and heal amount by 9%.',0,1),
(3603,1000396,4,100,'Improves the casting speed by 20%',0,0),
(3604,1000396,4,100,'Improves the damage and heal amount by 12%.',0,1),
(3605,1000396,5,100,'Improves the casting speed by 25%',0,0),
(3606,1000396,5,100,'Improves the damage and heal amount by 15%.',0,1),
(3607,1000397,1,100,'Reduces damage per second of the targets of Pulverize by 3 per increment.',0,0),
(3608,1000397,2,100,'Reduces damage per second of the targets of Pulverize by 6 per increment.',0,0),
(3609,1000397,3,100,'Reduces damage per second of the targets of Pulverize by 9 per increment.',0,0),
(3610,1000398,1,100,'Improves the offensive skill reduction by 5%.',0,0),
(3611,1000398,2,100,'Improves the offensive skill reduction by 10%.',0,0),
(3612,1000398,3,100,'Improves the offensive skill reduction by 15%.',0,0),
(3613,1000398,4,100,'Improves the offensive skill reduction by 20%.',0,0),
(3614,1000398,5,100,'Improves the offensive skill reduction by 25%.',0,0),
(3615,1000399,1,100,'Improves the mitigation reduction by 20%.',0,0),
(3616,1000399,2,100,'Improves the mitigation reduction by 40%.',0,0),
(3617,1000399,3,100,'Improves the mitigation reduction by 60%.',0,0),
(3618,1000399,4,100,'Improves the mitigation reduction by 80%.',0,0),
(3619,1000399,5,100,'Improves the mitigation reduction by 100%.',0,0),
(3620,1000400,1,100,'Adds a max health reduction component and improves the damage by 2%.',0,0),
(3621,1000400,2,100,'Adds a max health reduction component and improves the damage by 4%.',0,0),
(3622,1000400,3,100,'Adds a max health reduction component and improves the damage by 6%.',0,0),
(3623,1000400,4,100,'Adds a max health reduction component and improves the damage by 8%.',0,0),
(3624,1000400,5,100,'Adds a max health reduction component and improves the damage by 10%.',0,0),
(3625,1000401,1,100,'Improves the damage by 3%',0,0),
(3626,1000401,1,100,'Improves the skill reduction by 2%',0,1),
(3627,1000401,2,100,'Improves the damage by 6%',0,0),
(3628,1000401,2,100,'Improves the skill reduction by 4%',0,1),
(3629,1000401,3,100,'Improves the damage by 9%',0,0),
(3630,1000401,3,100,'Improves the skill reduction by 6%',0,1),
(3631,1000401,4,100,'Improves the damage by 12%',0,0),
(3632,1000401,4,100,'Improves the skill reduction by 8%',0,1),
(3633,1000401,5,100,'Improves the damage by 15%',0,0),
(3634,1000401,5,100,'Improves the skill reduction by 10%',0,1),
(3635,1000402,1,100,'One Hundred Hand Punch and Savage Assault gain additional attacks that inflict double damage if the bruiser is not the enemy''s current target.',0,0),
(3636,1000402,2,100,'One Hundred Hand Punch and Savage Assault gain additional attacks that inflict double damage if the bruiser is not the enemy''s current target.',0,0),
(3637,1000402,3,100,'One Hundred Hand Punch and Savage Assault gain additional attacks that inflict double damage if the bruiser is not the enemy''s current target.',0,0),
(3638,1000403,1,100,'Adds 8% to the trigger chance of Carnage and improves the damage by 22%',0,0),
(3639,1000403,2,100,'Adds 16% to the trigger chance of Carnage and improves the damage by 44%',0,0),
(3640,1000403,3,100,'Adds 25% to the trigger chance of Carnage and improves the damage by 66%',0,0),
(3641,1000404,1,100,'Increases the damage of Defender''s Charge''s initial damage by 60%',0,0),
(3642,1000404,2,100,'Increases the damage of Defender''s Charge''s initial damage by 120%',0,0),
(3643,1000404,3,100,'Increases the damage of Defender''s Charge''s initial damage by 180%',0,0),
(3644,1000405,1,100,'Reduces the penalties of Bodyguard by 20%.',0,0),
(3645,1000405,2,100,'Reduces the penalties of Bodyguard by 40%.',0,0),
(3646,1000405,3,100,'Reduces the penalties of Bodyguard by 60%.',0,0),
(3647,1000405,4,100,'Reduces the penalties of Bodyguard by 80%.',0,0),
(3648,1000405,5,100,'Reduces the penalties of Bodyguard by 100%.',0,0),
(3649,1000406,1,100,'Improves the skill bonuses of the bards defensive song by 5%',0,0),
(3650,1000406,2,100,'Improves the skill bonuses of the bards defensive song by 10%',0,0),
(3651,1000406,3,100,'Improves the skill bonuses of the bards defensive song by 15%',0,0),
(3652,1000406,4,100,'Improves the skill bonuses of the bards defensive song by 20%',0,0),
(3653,1000406,5,100,'Improves the skill bonuses of the bards defensive song by 25%',0,0),
(3654,1000407,1,100,'Increases the damage reduction effect of Grit to 4%',0,0),
(3655,1000407,2,100,'Increases the damage reduction effect of Grit to 5%',0,0),
(3656,1000407,3,100,'Increases the damage reduction effect of Grit to 6%',0,0),
(3657,1000408,1,100,'Improves the damage by 10%',0,0),
(3658,1000408,1,100,'Improves the defense skill reduction by 3%.',0,1),
(3659,1000408,2,100,'Improves the damage by 20%',0,0),
(3660,1000408,2,100,'Improves the defense skill reduction by 6%.',0,1),
(3661,1000408,3,100,'Improves the damage by 30%',0,0),
(3662,1000408,3,100,'Improves the defense skill reduction by 9%.',0,1),
(3663,1000408,4,100,'Improves the damage by 40%',0,0),
(3664,1000408,4,100,'Improves the defense skill reduction by 12%.',0,1),
(3665,1000408,5,100,'Improves the damage by 50%',0,0),
(3666,1000408,5,100,'Improves the defense skill reduction by 15%.',0,1),
(3667,1000409,1,100,'Increases Max Health of caster by 0.5%',0,0),
(3668,1000409,2,100,'Increases Max Health of caster by 1.0%',0,0),
(3669,1000409,3,100,'Increases Max Health of caster by 1.5%',0,0),
(3670,1000409,4,100,'Increases Max Health of caster by 2.0%',0,0),
(3671,1000409,5,100,'Increases Max Health of caster by 2.5%',0,0),
(3672,1000410,1,100,'Increases Defense, Parry and Deflection of caster by 5.0',0,0),
(3673,1000410,2,100,'Increases Defense, Parry and Deflection of caster by 5.0',0,0),
(3674,1000411,1,100,'Applies 6% noxious damage reduction to the group when Ralissk''s Perception is triggered.',0,0),
(3675,1000411,2,100,'Applies 6% noxious and arcane damage reduction to the group when Ralissk''s Perception is triggered.',0,0),
(3676,1000411,3,100,'Applies 6% magic damage reduction to the group when Ralissk''s Perception is triggered.',0,0),
(3677,1000412,1,100,'Increases Mitigation of caster vs physical damage by 275',0,0),
(3678,1000412,2,100,'Increases Mitigation of caster vs physical damage by 550',0,0),
(3679,1000412,3,100,'Increases Mitigation of caster vs physical damage by 941',0,0),
(3680,1000412,4,100,'Increases Mitigation of caster vs physical damage by 1100',0,0),
(3681,1000412,5,100,'Increases Mitigation of caster vs physical damage by 1375',0,0),
(3682,1000413,1,100,'Carrion Warding has a 3% chance to clear the reuse on Ancestral Channeling.',0,0),
(3683,1000413,1,100,'Purulence has a 50% chance to clear the reuse on Ancestral Channeling.',0,1),
(3684,1000413,2,100,'Carrion Warding has a 6% chance to clear the reuse on Ancestral Channeling.',0,0),
(3685,1000413,2,100,'Purulence has a 100% chance to clear the reuse on Ancestral Channeling.',0,1),
(3686,1000414,1,100,'Increases caster''s chance to block by 1.2%',0,0),
(3687,1000414,2,100,'Increases caster''s chance to block by 2.4%',0,0),
(3688,1000414,3,100,'Increases caster''s chance to block by 3.6%',0,0),
(3689,1000414,4,100,'Increases caster''s chance to block by 4.8%',0,0),
(3690,1000414,5,100,'Increases caster''s chance to block by 6.0%',0,0),
(3691,1000415,1,100,'Reduces physical damage done to caster by up to 44.3.',0,0),
(3692,1000415,2,100,'Reduces physical damage done to caster by up to 88.6.',0,0),
(3693,1000415,3,100,'Reduces physical damage done to caster by up to 132.9.',0,0),
(3694,1000415,4,100,'Reduces physical damage done to caster by up to 176.',0,0),
(3695,1000415,5,100,'Reduces physical damage done to caster by up to 221.5.',0,0),
(3696,1000416,1,100,'Increases Deflection of caster by 3.5',0,0),
(3697,1000416,2,100,'Increases Deflection of caster by 6.9',0,0),
(3698,1000416,3,100,'Increases Deflection of caster by 10.4',0,0),
(3699,1000416,4,100,'Increases Deflection of caster by 13.9',0,0),
(3700,1000416,5,100,'Increases Deflection of caster by 17.3',0,0),
(3701,1000416,6,100,'Increases Deflection of caster by 20.8',0,0),
(3702,1000416,7,100,'Increases Deflection of caster by 24.3',0,0),
(3703,1000416,8,100,'Increases Deflection of caster by 27.7',0,0),
(3704,1000416,9,100,'Increases Deflection of caster by 31.2',0,0),
(3705,1000416,10,100,'Increases Deflection of caster by 34.6',0,0),
(3706,1000417,1,100,'Caster will Parry 1.0% of incoming attacks',0,0),
(3707,1000417,2,100,'Caster will Parry 2.0% of incoming attacks',0,0),
(3708,1000417,3,100,'Caster will Parry 3.0% of incoming attacks',0,0),
(3709,1000417,4,100,'Caster will Parry 4.0% of incoming attacks',0,0),
(3710,1000417,5,100,'Caster will Parry 5.0% of incoming attacks',0,0),
(3711,1000417,6,100,'Caster will Parry 6.0% of incoming attacks',0,0),
(3712,1000417,7,100,'Caster will Parry 7.0% of incoming attacks',0,0),
(3713,1000417,8,100,'Caster will Parry 8.0% of incoming attacks',0,0),
(3714,1000417,9,100,'Caster will Parry 9.0% of incoming attacks',0,0),
(3715,1000417,10,100,'Caster will Parry 10.0% of incoming attacks',0,0),
(3716,1000418,1,100,'Increases AGI of caster by 4.0',0,0),
(3717,1000418,2,100,'Increases AGI of caster by 4.0',0,0),
(3718,1000419,1,100,'Increases Mitigation of caster vs arcane damage by 3',0,0),
(3719,1000419,2,100,'Increases Mitigation of caster vs arcane damage by 3',0,0),
(3720,1000420,1,100,'Reduces power cost by 25%',0,0),
(3721,1000420,1,100,'Improves casting speed by 50%',0,1),
(3722,1000420,1,100,'Increases duration by 25%',0,2),
(3723,1000421,1,100,'Increases the duration of tradeskilled drinks by 10%.',0,0),
(3724,1000421,2,100,'Increases the duration of tradeskilled drinks by 10%.',0,0),
(3725,1000422,1,100,'Increases WIS of caster by 7.0',0,0),
(3726,1000423,1,100,'Increases the casting speed of hostile spells by 2%.',0,0),
(3727,1000423,2,100,'Increases the casting speed of hostile spells by 2%.',0,0),
(3728,1000424,1,100,'Improves the base spell damage by 10%.  In addition, an effect which reduces the intelligence of the target encounter has been added to the spell.',0,0),
(3729,1000424,2,100,'Improves the base spell damage by 20%.  In addition, an effect which reduces the intelligence of the target encounter has been added to the spell.',0,0),
(3730,1000424,3,100,'Improves the base spell damage by 30%.  In addition, an effect which reduces the intelligence of the target encounter has been added to the spell.',0,0),
(3731,1000424,4,100,'Improves the base spell damage by 40%.  In addition, an effect which reduces the intelligence of the target encounter has been added to the spell.',0,0),
(3732,1000424,5,100,'Improves the base spell damage by 50%.  In addition, an effect which reduces the intelligence of the target encounter has been added to the spell.',0,0),
(3733,1000425,1,100,'Improves the base damage by 2%.',0,0),
(3734,1000425,1,100,'Improves critical damage by 1%.',0,1),
(3735,1000425,2,100,'Improves the base damage by 4%.',0,0),
(3736,1000425,2,100,'Improves critical damage by 2%.',0,1),
(3737,1000425,3,100,'Improves the base damage by 6%.',0,0),
(3738,1000425,3,100,'Improves critical damage by 3%.',0,1),
(3739,1000425,4,100,'Improves the base damage by 8%.',0,0),
(3740,1000425,4,100,'Improves critical damage by 4%.',0,1),
(3741,1000425,5,100,'Improves the base damage by 10%.',0,0),
(3742,1000425,5,100,'Improves critical damage by 5%.',0,1),
(3743,1000426,1,100,'Improves the casting time by 0.1 seconds',0,0),
(3744,1000426,1,100,'Improves the heal amount by 5%',0,1),
(3745,1000426,2,100,'Improves the casting time by 0.2 seconds',0,0),
(3746,1000426,2,100,'Improves the heal amount by 10%',0,1),
(3747,1000426,3,100,'Improves the casting time by 0.3 seconds',0,0),
(3748,1000426,3,100,'Improves the heal amount by 15%',0,1),
(3749,1000426,4,100,'Improves the casting time by 0.4 seconds',0,0),
(3750,1000426,4,100,'Improves the heal amount by 20%',0,1),
(3751,1000426,5,100,'Improves the casting time by 0.5 seconds',0,0),
(3752,1000426,5,100,'Improves the heal amount by 25%',0,1),
(3753,1000427,1,100,'Improves the base damage by 2%.',0,0),
(3754,1000427,1,100,'Improves the critical damage by 1%.',0,1),
(3755,1000427,2,100,'Improves the base damage by 4%.',0,0),
(3756,1000427,2,100,'Improves the critical damage by 2%.',0,1),
(3757,1000427,3,100,'Improves the base damage by 6%.',0,0),
(3758,1000427,3,100,'Improves the critical damage by 3%.',0,1),
(3759,1000427,4,100,'Improves the base damage by 8%.',0,0),
(3760,1000427,4,100,'Improves the critical damage by 4%.',0,1),
(3761,1000427,5,100,'Improves the base damage by 10%.',0,0),
(3762,1000427,5,100,'Improves the critical damage by 5%.',0,1),
(3763,1000428,1,100,'Peace of Mind will apply Destructive Rampage to the illusionist''s group, increasing the damage of abilities for a short duration.',0,0),
(3764,1000429,1,100,'Adds a Damage Per Second reduction to Puncture.',0,0),
(3765,1000429,2,100,'Adds a Damage Per Second reduction to Puncture.',0,0),
(3766,1000429,3,100,'Adds a Damage Per Second reduction to Puncture.',0,0),
(3767,1000429,4,100,'Adds a Damage Per Second reduction to Puncture.',0,0),
(3768,1000429,5,100,'Adds a Damage Per Second reduction to Puncture.',0,0),
(3769,1000430,1,100,'Improves the stat reduction by 20%.',0,0),
(3770,1000430,1,100,'Reduces the casting speed by 0.1 seconds.',0,1),
(3771,1000430,2,100,'Improves the stat reduction by 40%.',0,0),
(3772,1000430,2,100,'Reduces the casting speed by 0.2 seconds.',0,1),
(3773,1000430,3,100,'Improves the stat reduction by 60%.',0,0),
(3774,1000430,3,100,'Reduces the casting speed by 0.3 seconds.',0,1),
(3775,1000430,4,100,'Improves the stat reduction by 80%.',0,0),
(3776,1000430,4,100,'Reduces the casting speed by 0.4 seconds.',0,1),
(3777,1000430,5,100,'Improves the stat reduction by 100%.',0,0),
(3778,1000430,5,100,'Reduces the casting speed by 0.5 seconds.',0,1),
(3779,1000431,1,100,'Increases the stamina by 3%',0,0),
(3780,1000431,1,100,'Increases other properties by 5%.',0,1),
(3781,1000431,2,100,'Increases the stamina by 6%',0,0),
(3782,1000431,2,100,'Increases other properties by 10%.',0,1),
(3783,1000431,3,100,'Increases the stamina by 9%',0,0),
(3784,1000431,3,100,'Increases other properties by 15%.',0,1),
(3785,1000431,4,100,'Increases the stamina by 12%',0,0),
(3786,1000431,4,100,'Increases other properties by 20%.',0,1),
(3787,1000431,5,100,'Increases the stamina by 15%',0,0),
(3788,1000431,5,100,'Increases other properties by 25%.',0,1),
(3789,1000432,1,100,'Improves the heal amount of Inquisition by 4%.',0,0),
(3790,1000432,2,100,'Improves the heal amount of Inquisition by 8%.',0,0),
(3791,1000432,3,100,'Improves the heal amount of Inquisition by 12%.',0,0),
(3792,1000432,4,100,'Improves the heal amount of Inquisition by 16%.',0,0),
(3793,1000432,5,100,'Improves the heal amount of Inquisition by 20%.',0,0),
(3794,1000433,1,100,'Improves the casting time by 0.1 seconds.',0,0),
(3795,1000433,1,100,'Improves healing and critical healing by 3%',0,1),
(3796,1000433,2,100,'Improves the casting time by 0.2 seconds.',0,0),
(3797,1000433,2,100,'Improves healing and critical healing by 6%',0,1),
(3798,1000433,3,100,'Improves the casting time by 0.3 seconds.',0,0),
(3799,1000433,3,100,'Improves healing and critical healing by 9%',0,1),
(3800,1000433,4,100,'Improves the casting time by 0.4 seconds.',0,0),
(3801,1000433,4,100,'Improves healing and critical healing by 12%',0,1),
(3802,1000433,5,100,'Improves the casting time by 0.5 seconds.',0,0),
(3803,1000433,5,100,'Improves healing and critical healing by 15%',0,1),
(3804,1000434,1,100,'Increases Disruption and Subjugation of caster by 5.0',0,0),
(3805,1000434,2,100,'Increases Disruption and Subjugation of caster by 5.0',0,0),
(3806,1000435,1,100,'The beastlord''s warder grants the beastlord a new Primal: Devour. Devour is a Feral Primal that inflicts damage to the target and restores a portion of the damage to the beastlord as health.',0,0),
(3807,1000436,1,100,'The beastlord''s warder grants the beastlord a new Primal: Devour. Devour is a Feral Primal that inflicts damage to the target and restores a portion of the damage to the beastlord as health.',0,0),
(3808,1000437,1,100,'The beastlord''s warder grants the beastlord a new Primal: Devour. Devour is a Feral Primal that inflicts damage to the target and restores a portion of the damage to the beastlord as health.',0,0),
(3809,1000438,1,100,'The beastlord''s warder grants the beastlord a new Primal: Devour. Devour is a Feral Primal that inflicts damage to the target and restores a portion of the damage to the beastlord as health.',0,0),
(3810,1000439,1,100,'The beastlord''s warder grants the beastlord a new Primal: Devour. Devour is a Feral Primal that inflicts damage to the target and restores a portion of the damage to the beastlord as health.',0,0),
(3811,1000440,1,100,'The beastlord''s warder grants the beastlord a new Primal: Devour. Devour is a Feral Primal that inflicts damage to the target and restores a portion of the damage to the beastlord as health.',0,0),
(3812,1000441,1,100,'The beastlord''s warder grants the beastlord a new Primal: Devour. Devour is a Feral Primal that inflicts damage to the target and restores a portion of the damage to the beastlord as health.',0,0),
(3813,1000442,1,100,'The beastlord''s warder grants the beastlord a new Primal: Devour. Devour is a Feral Primal that inflicts damage to the target and restores a portion of the damage to the beastlord as health.',0,0),
(3814,1000443,1,100,'The beastlord''s warder grants the beastlord a new Primal: Devour. Devour is a Feral Primal that inflicts damage to the target and restores a portion of the damage to the beastlord as health.',0,0),
(3815,1000444,1,100,'The beastlord''s warder grants the beastlord a new Primal: Devour. Devour is a Feral Primal that inflicts damage to the target and restores a portion of the damage to the beastlord as health.',0,0),
(3816,1000445,1,100,'The beastlord''s warder grants the beastlord a new Primal: Devour. Devour is a Feral Primal that inflicts damage to the target and restores a portion of the damage to the beastlord as health.',0,0),
(3817,1000446,1,100,'The beastlord''s warder grants the beastlord a new Primal: Devour. Devour is a Feral Primal that inflicts damage to the target and restores a portion of the damage to the beastlord as health.',0,0),
(3818,1000447,1,100,'The beastlord''s warder grants the beastlord a new Primal: Devour. Devour is a Feral Primal that inflicts damage to the target and restores a portion of the damage to the beastlord as health.',0,0),
(3819,1000448,1,100,'The beastlord''s warder grants the beastlord a new Primal: Devour. Devour is a Feral Primal that inflicts damage to the target and restores a portion of the damage to the beastlord as health.',0,0),
(3820,1000449,1,100,'The beastlord''s warder grants the beastlord a new Primal: Devour. Devour is a Feral Primal that inflicts damage to the target and restores a portion of the damage to the beastlord as health.',0,0),
(3821,1000450,1,100,'The beastlord''s warder grants the beastlord a new Primal: Devour. Devour is a Feral Primal that inflicts damage to the target and restores a portion of the damage to the beastlord as health.',0,0),
(3822,1000451,1,100,'The beastlord''s warder grants the beastlord a new Primal: Devour. Devour is a Feral Primal that inflicts damage to the target and restores a portion of the damage to the beastlord as health.',0,0),
(3823,1000452,1,100,'The beastlord''s warder grants the beastlord a new Primal: Devour. Devour is a Feral Primal that inflicts damage to the target and restores a portion of the damage to the beastlord as health.',0,0),
(3824,1000453,1,100,'The beastlord''s warder grants the beastlord a new Primal: Devour. Devour is a Feral Primal that inflicts damage to the target and restores a portion of the damage to the beastlord as health.',0,0),
(3825,1000454,1,100,'Increases Mitigation of caster vs noxious damage by 0',0,0),
(3826,1000454,2,100,'Increases Mitigation of caster vs noxious damage by 0',0,0),
(3827,1000455,1,100,'Improves the duration by 1.25 seconds.',0,0),
(3828,1000455,2,100,'Improves the duration by 2.5 seconds.',0,0),
(3829,1000455,3,100,'Improves the duration by 3.75 seconds.',0,0),
(3830,1000455,4,100,'Improves the duration by 5 seconds.',0,0),
(3831,1000455,5,100,'Improves the duration by 6.25 seconds.',0,0),
(3832,1000455,6,100,'Improves the duration by 7.5 seconds.',0,0),
(3833,1000455,7,100,'Improves the duration by 8.75 seconds.',0,0),
(3834,1000455,8,100,'Improves the duration by 10 seconds.',0,0),
(3835,1000456,1,100,'Increases Mitigation of caster vs arcane damage by 3',0,0),
(3836,1000456,2,100,'Increases Mitigation of caster vs arcane damage by 3',0,0),
(3837,1000457,1,100,'Improves the stamina granted by 9%',0,0),
(3838,1000457,2,100,'Improves the stamina granted by 9.5%',0,0),
(3839,1000457,3,100,'Improves the stamina granted by 10%',0,0),
(3840,1000457,4,100,'Improves the stamina granted by 11%',0,0),
(3841,1000457,5,100,'Improves the stamina granted by 12%',0,0),
(3842,1000458,1,100,'Improves the ward amount of Demonstration of Faith by 4%.',0,0),
(3843,1000458,2,100,'Improves the ward amount of Demonstration of Faith by 8%.',0,0),
(3844,1000458,3,100,'Improves the ward amount of Demonstration of Faith by 12%.',0,0),
(3845,1000458,4,100,'Improves the ward amount of Demonstration of Faith by 16%.',0,0),
(3846,1000458,5,100,'Improves the ward amount of Demonstration of Faith by 20%.',0,0),
(3847,1000459,1,100,'Improves the mitigation debuff amount by 2%',0,0),
(3848,1000459,2,100,'Improves the mitigation debuff amount by 4%',0,0),
(3849,1000459,3,100,'Improves the mitigation debuff amount by 6%',0,0),
(3850,1000459,4,100,'Improves the mitigation debuff amount by 8%',0,0),
(3851,1000459,5,100,'Improves the mitigation debuff amount by 10%',0,0),
(3852,1000460,1,100,'Decreases the base reuse time by 1 second.',0,0),
(3853,1000460,2,100,'Decreases the base reuse time by 2 seconds.',0,0),
(3854,1000460,3,100,'Decreases the base reuse time by 3 seconds.',0,0),
(3855,1000460,4,100,'Improves the base healing by 8%.',0,0),
(3856,1000460,5,100,'Decreases the base reuse time by 5 seconds.',0,0),
(3857,1000461,1,100,'Increases AGI of caster by 4.0',0,0),
(3858,1000461,2,100,'Increases AGI of caster by 4.0',0,0),
(3859,1000462,1,100,'Ambush and Emberstrike will inflict their damage twice.',0,0),
(3860,1000462,2,100,'Ambush and Emberstrike will inflict their damage twice.',0,0),
(3861,1000462,2,100,'Masked Strike and Sneak Attack will inflict their damage twice.',0,1),
(3862,1000462,3,100,'Ambush and Emberstrike will inflict their damage twice.',0,0),
(3863,1000462,3,100,'Masked Strike and Sneak Attack will inflict their damage twice.',0,1),
(3864,1000462,3,100,'Jugular Slice and Rear Shot will inflict their damage twice.',0,2),
(3865,1000462,4,100,'Ambush and Emberstrike will inflict their damage twice.',0,0),
(3866,1000462,4,100,'Masked Strike and Sneak Attack will inflict their damage twice.',0,1),
(3867,1000462,4,100,'Jugular Slice and Rear Shot will inflict their damage twice.',0,2),
(3868,1000462,4,100,'Eviscerate and Ranger''s Blade will inflict their damage twice.',0,3),
(3869,1000462,5,100,'Ambush and Emberstrike will inflict their damage twice.',0,0),
(3870,1000462,5,100,'Masked Strike and Sneak Attack will inflict their damage twice.',0,1),
(3871,1000462,5,100,'Jugular Slice and Rear Shot will inflict their damage twice.',0,2),
(3872,1000462,5,100,'Eviscerate and Ranger''s Blade will inflict their damage twice.',0,3),
(3873,1000462,5,100,'Assassinate and Sniper Shot will inflict their damage twice.',0,4),
(3874,1000463,1,100,'Increases the amount of progress gained by 2.0%.',0,0),
(3875,1000463,2,100,'Increases the amount of progress gained by 2.0%.',0,0),
(3876,1000464,1,100,'Increases Mitigation of caster vs physical damage by 3',0,0),
(3877,1000464,2,100,'Increases Mitigation of caster vs physical damage by 3',0,0),
(3878,1000465,1,100,'Improves the crushing, piercing, slashing and ranged reduction by 5%.',0,0),
(3879,1000465,2,100,'Improves the crushing, piercing, slashing and ranged reduction by 10%.',0,0),
(3880,1000465,3,100,'Improves the crushing, piercing, slashing and ranged reduction by 15%.',0,0),
(3881,1000465,4,100,'Improves the crushing, piercing, slashing and ranged reduction by 20%.',0,0),
(3882,1000465,5,100,'Improves the crushing, piercing, slashing and ranged reduction by 25%.',0,0),
(3883,1000466,1,100,'Using Healing Arrow or Healing Barrage will reduce the target''s Weapon Damage Bonus by 0.5',0,0),
(3884,1000466,2,100,'Using Healing Arrow or Healing Barrage will reduce the target''s Weapon Damage Bonus by 1',0,0),
(3885,1000466,3,100,'Using Healing Arrow or Healing Barrage will reduce the target''s Weapon Damage Bonus by 1.5',0,0),
(3886,1000466,4,100,'Using Healing Arrow or Healing Barrage will reduce the target''s Weapon Damage Bonus by 2',0,0),
(3887,1000466,5,100,'Using Healing Arrow or Healing Barrage will reduce the target''s Weapon Damage Bonus by 2.5',0,0),
(3888,1000467,1,100,'Increases Max Health of caster by 1.0%',0,0),
(3889,1000467,2,100,'Increases Max Health of caster by 2.0%',0,0),
(3890,1000467,3,100,'Increases Max Health of caster by 3.0%',0,0),
(3891,1000467,4,100,'Increases Max Health of caster by 4.0%',0,0),
(3892,1000467,5,100,'Increases Max Health of caster by 5.0%',0,0),
(3893,1000468,1,100,'Improves the base and critical damage of disease based professional spells by 5%.',0,0),
(3894,1000469,1,100,'Disease based spells will do 15% more damage.  In addition, they will do an extra 5% critical damage.',0,0),
(3895,1000469,1,100,'Increases the casting speed of disease based damage spells by 25%.',0,1),
(3896,1000470,1,100,'At 36 increments of Toxic Aura, Rift and Apocalypse will have their base cast times reduced by 20%',0,0),
(3897,1000470,2,100,'At 36 increments of Toxic Aura, Rift and Apocalypse will have their base cast times reduced by 20%',0,0),
(3898,1000470,2,100,'At 72 increments of Toxic Aura, Rift and Apocalypse will have their base cast times reduced by 40% and by 60% at 108 increments.',0,1),
(3899,1000470,3,100,'At 36 increments of Toxic Aura, Rift and Apocalypse will have their base cast times reduced by 20%',0,0),
(3900,1000470,3,100,'At 72 increments of Toxic Aura, Rift and Apocalypse will have their base cast times reduced by 40% and by 60% at 108 increments.',0,1),
(3901,1000470,3,100,'At 144 increments of Toxic Aura, Rift and Apocalypse will have their base cast times reduced by 80% and removed at 180 increments.',0,2),
(3902,1000471,1,100,'Ball of Fire has a 16% chance to clear the reuse on Rays of Disintegration.',0,0),
(3903,1000471,2,100,'Ball of Fire has a 32% chance to clear the reuse on Rays of Disintegration.',0,0),
(3904,1000472,1,100,'Increases the mitigation reduction by 3%.',0,0),
(3905,1000472,2,100,'Increases the mitigation reduction by 6%.',0,0),
(3906,1000472,3,100,'Increases the mitigation reduction by 9%.',0,0),
(3907,1000472,4,100,'Increases the mitigation reduction by 12%.',0,0),
(3908,1000472,5,100,'Increases the mitigation reduction by 15%.',0,0),
(3909,1000473,1,100,'Improves the base damage by 4%.',0,0),
(3910,1000473,2,100,'Improves the base damage by 8%.',0,0),
(3911,1000473,3,100,'Improves the base damage by 12%.',0,0),
(3912,1000473,4,100,'Improves the base damage by 16%.',0,0),
(3913,1000473,5,100,'Improves the base damage by 20%.',0,0),
(3914,1000474,1,100,'Improves resistibility by 3.',0,0),
(3915,1000474,2,100,'Improves resistibility by 6.',0,0),
(3916,1000474,3,100,'Improves resistibility by 9.',0,0),
(3917,1000474,4,100,'Improves resistibility by 12.',0,0),
(3918,1000474,5,100,'Improves resistibility by 15.',0,0),
(3919,1000475,1,100,'Improves the critical damage by 2%.',0,0),
(3920,1000475,1,100,'Improves the base damage by 4%.',0,1),
(3921,1000475,2,100,'Improves the critical damage by 4%.',0,0),
(3922,1000475,2,100,'Improves the base damage by 8%.',0,1),
(3923,1000475,3,100,'Improves the critical damage by 6%.',0,0),
(3924,1000475,3,100,'Improves the base damage by 12%.',0,1),
(3925,1000475,4,100,'Improves the critical damage by 8%.',0,0),
(3926,1000475,4,100,'Improves the base damage by 16%.',0,1),
(3927,1000475,5,100,'Improves the critical damage by 10%.',0,0),
(3928,1000475,5,100,'Improves the base damage by 20%.',0,1),
(3929,1000476,1,100,'Increases Artistry, Fletching, Sculpting, Metal Shaping, Metalworking, Tailoring, Artificing, Chemistry and Scribing of caster by 5.0',0,0),
(3930,1000476,2,100,'Increases Artistry, Fletching, Sculpting, Metal Shaping, Metalworking, Tailoring, Artificing, Chemistry and Scribing of caster by 5.0',0,0),
(3931,1000477,1,100,'Grants a 12% chance to double the base triggers on Holy Intercession, Vital Intercession and Seraph''s Restoration.',0,0),
(3932,1000477,2,100,'Grants a 24% chance to double the base triggers on Holy Intercession, Vital Intercession and Seraph''s Restoration.',0,0),
(3933,1000477,3,100,'Grants a 36% chance to double the base triggers on Holy Intercession, Vital Intercession and Seraph''s Restoration.',0,0),
(3934,1000478,1,100,'Improves the casting speed of beneficial spells by 2%.',0,0),
(3935,1000478,2,100,'Improves the casting speed of beneficial spells by 2%.',0,0),
(3936,1000479,1,100,'Improves the base damage by 3%.',0,0),
(3937,1000479,1,100,'Increases the chance to critical by 2.  The critical damage is also improved by 2%.',0,1),
(3938,1000479,2,100,'Improves the base damage by 6%.',0,0),
(3939,1000479,2,100,'Increases the chance to critical by 4.  The critical damage is also improved by 4%.',0,1),
(3940,1000479,3,100,'Improves the base damage by 9%.',0,0),
(3941,1000479,3,100,'Increases the chance to critical by 6.  The critical damage is also improved by 6%.',0,1),
(3942,1000479,4,100,'Improves the base damage by 12%.',0,0),
(3943,1000479,4,100,'Increases the chance to critical by 8.  The critical damage is also improved by 8%.',0,1),
(3944,1000479,5,100,'Improves the base damage by 15%.',0,0),
(3945,1000479,5,100,'Increases the chance to critical by 10.  The critical damage is also improved by 10%.',0,1),
(3946,1000480,1,100,'Reduces the base cast speed of Faith to 0.5 seconds.',0,0),
(3947,1000480,1,100,'Improves the duration of Faith by 11%',0,1),
(3948,1000480,2,100,'Reduces the base cast speed of Faith to 0.25 seconds.',0,0),
(3949,1000480,2,100,'Improves the duration of Faith by 22%',0,1),
(3950,1000480,3,100,'Faith casts instantly.',0,0),
(3951,1000480,3,100,'Improves the duration of Faith by 33%',0,1),
(3952,1000481,1,100,'Increases potency of the group by 1.25%.',0,0),
(3953,1000481,2,100,'Increases potency of the group by 2.5%.',0,0),
(3954,1000481,3,100,'Increases potency of the group by 3.75%.',0,0),
(3955,1000481,4,100,'Increases potency of the group by 5%.',0,0),
(3956,1000481,5,100,'Increases potency of the group by 6.25%.',0,0),
(3957,1000481,6,100,'Increases potency of the group by 7.5%.',0,0),
(3958,1000481,7,100,'Increases potency of the group by 8.75%.',0,0),
(3959,1000481,8,100,'Increases potency of the group by 10%.',0,0),
(3960,1000482,1,100,'When Devout Sacrament is cast, the paladin will gain damage reduction for a short duration.',0,0),
(3961,1000483,1,100,'Divinity''s Aid will grant a chance to restore 1% power to the target''s group when attacking.',0,0),
(3962,1000483,2,100,'Divinity''s Aid will grant a chance to restore 2% power to the target''s group when attacking.',0,0),
(3963,1000483,3,100,'Divinity''s Aid will grant a chance to restore 3% power to the target''s group when attacking.',0,0),
(3964,1000484,1,100,'Increases the base heal amount by 6%.',0,0),
(3965,1000484,1,100,'Reduces the power cost by 10%.',0,1),
(3966,1000484,2,100,'Increases the base heal amount by 12%.',0,0),
(3967,1000484,2,100,'Reduces the power cost by 20%.',0,1),
(3968,1000484,3,100,'Increases the base heal amount by 18%.',0,0),
(3969,1000484,3,100,'Reduces the power cost by 30%.',0,1),
(3970,1000484,4,100,'Increases the base heal amount by 24%.',0,0),
(3971,1000484,4,100,'Reduces the power cost by 40%.',0,1),
(3972,1000484,5,100,'Increases the base heal amount by 30%.',0,0),
(3973,1000484,5,100,'Reduces the power cost by 50%.',0,1),
(3974,1000485,1,100,'Sanctify will have a 33% chance to apply a very short duration damage reduction when the target ally falls below 50% health or is below 50% health when cast.',0,0),
(3975,1000485,2,100,'Sanctify will have a 66% chance to apply a very short duration damage reduction when the target ally falls below 50% health or is below 50% health when cast.',0,0),
(3976,1000485,3,100,'Sanctify will have a 100% chance to apply a short duration damage reduction when the target ally falls below 50% health or is below 50% health when cast. This can only trigger once every 60 seconds per target.',0,0),
(3977,1000486,1,100,'Increases the damage amount of hostile spells by 2%.',0,0),
(3978,1000486,2,100,'Increases the damage amount of hostile spells by 4%.',0,0),
(3979,1000486,3,100,'Increases the damage amount of hostile spells by 6%.',0,0),
(3980,1000486,4,100,'Increases the damage amount of hostile spells by 8%.',0,0),
(3981,1000486,5,100,'Increases the damage amount of hostile spells by 10%.',0,0),
(3982,1000487,1,100,'Divine Fate of Healing has a 15% chance to clear the reuse on Repent. This effect can only trigger once every 5 seconds.',0,0),
(3983,1000487,1,100,'Mark of Nobility will increase the target''s strikethrough by 4%. If the target is not a fighter, Mark of Nobility will also reduce their hate gain by 4%.',0,1),
(3984,1000487,2,100,'Divine Fate of Healing has a 30% chance to clear the reuse on Repent. This effect can only trigger once every 5 seconds.',0,0),
(3985,1000487,2,100,'Mark of Nobility will increase the target''s strikethrough by 8%. If the target is not a fighter, Mark of Nobility will also reduce their hate gain by 8%.',0,1),
(3986,1000488,1,100,'Adds an additional strike to Writhing Strike, Invocation Strike, Strike of Flames and Strike of Corruption which deals bonus damage if the inquisitor is flanking or behind their target.',0,0),
(3987,1000489,1,100,'For every 3 Crit Bonus, the caster gains 1 Potency.',0,0),
(3988,1000490,1,100,'Vital Intercession will apply an effect that increases healing received by 10% when it expires naturally. If Repent is cast on a target who has Divinity''s Aid active, it will also ward 10% more.',0,0),
(3989,1000490,2,100,'Vital Intercession will apply an effect that increases healing received by 20% when it expires naturally. If Repent is cast on a target who has Divinity''s Aid active, it will also ward 20% more.',0,0),
(3990,1000490,3,100,'Vital Intercession will apply an effect that increases healing received by 30% when it expires naturally. If Repent is cast on a target who has Divinity''s Aid active, it will also ward 30% more.',0,0),
(3991,1000491,1,100,'Improves the amount of increments of Divine Justice when using attacks by 1',0,0),
(3992,1000491,2,100,'Improves the amount of increments of Divine Justice when using attacks by 2',0,0),
(3993,1000491,3,100,'Improves the amount of increments of Divine Justice when using attacks by 3',0,0),
(3994,1000492,1,100,'Divinity''s Aid will grant a chance to inflict damage when the ally attacks.',0,0),
(3995,1000492,2,100,'Divinity''s Aid will grant a chance to inflict damage when the ally attacks.',0,0),
(3996,1000492,3,100,'Divinity''s Aid will grant a chance to inflict damage when the ally attacks.',0,0),
(3997,1000493,1,100,'Increases Disruption and Defense of caster by 5.0',0,0),
(3998,1000493,2,100,'Increases Disruption and Defense of caster by 5.0',0,0),
(3999,1000494,1,100,'Wraithwall will reduce damage to the target by 5% when the ward absorbs damage. This can only trigger once every 20 seconds per target.',0,0),
(4000,1000494,2,100,'Wraithwall will reduce damage to the target by 10% when the ward absorbs damage. This can only trigger once every 20 seconds per target.',0,0),
(4001,1000494,3,100,'Wraithwall will reduce damage to the target by 15% when the ward absorbs damage. This can only trigger once every 20 seconds per target.',0,0),
(4002,1000495,1,100,'Increases DPS of caster by 8.0',0,0),
(4003,1000495,1,100,'Searing Shot will reduce the target''s maximum health by 5% for a short duration.',0,1),
(4004,1000496,1,100,'Windblade will hit a second time for 33% of the damage of the initial attack.',0,0),
(4005,1000496,2,100,'Windblade will hit a second time for 66% of the damage of the initial attack.',0,0),
(4006,1000496,3,100,'Windblade will hit a second time for 100% of the damage of the initial attack.',0,0),
(4007,1000497,1,100,'The maximum increment amount of Acid Blades is increased to 4.',0,0),
(4008,1000497,2,100,'The maximum increment amount of Acid Blades is increased to 5.',0,0),
(4009,1000497,3,100,'Nightblade will apply two increments of Acid Blades with each application.',0,0),
(4010,1000497,3,100,'The maximum increment amount of Acid Blades is increased to 5.',0,1),
(4011,1000498,1,100,'Resonation inflicts 50% more damage and heals 50% more',0,0),
(4012,1000498,2,100,'Resonation inflicts 100% more damage and heals 100% more',0,0),
(4013,1000498,3,100,'Resonation inflicts 150% more damage and heals 150% more',0,0),
(4014,1000499,1,100,'Vengeful Arrow and Barrage have a 10% chance to attack twice',0,0),
(4015,1000499,2,100,'Vengeful Arrow and Barrage have a 20% chance to attack twice',0,0),
(4016,1000499,3,100,'Vengeful Arrow and Barrage have a 30% chance to attack twice',0,0),
(4017,1000500,1,100,'Casting one of the basic, single target heals will increase the target''s health by 10%. This effect increments up to 3 times from multiple casters.',0,0),
(4018,1000501,1,100,'Increases Max Health of caster by 0.8%',0,0),
(4019,1000502,1,100,'The fighter''s defensive stance will increase their maximum health by 1%',0,0),
(4020,1000501,2,100,'Increases Max Health of caster by 1.6%',0,0),
(4021,1000502,2,100,'The fighter''s defensive stance will increase their maximum health by 2%',0,0),
(4022,1000501,3,100,'Increases Max Health of caster by 2.4%',0,0),
(4023,1000502,3,100,'The fighter''s defensive stance will increase their maximum health by 3%',0,0),
(4024,1000501,4,100,'Increases Max Health of caster by 3.2%',0,0),
(4025,1000502,4,100,'The fighter''s defensive stance will increase their maximum health by 4%',0,0),
(4026,1000501,5,100,'Increases Max Health of caster by 4.0%',0,0),
(4027,1000502,5,100,'The fighter''s defensive stance will increase their maximum health by 5%',0,0),
(4028,1000501,6,100,'Increases Max Health of caster by 4.8%',0,0),
(4029,1000502,6,100,'The fighter''s defensive stance will increase their maximum health by 6%',0,0),
(4030,1000501,7,100,'Increases Max Health of caster by 5.6%',0,0),
(4031,1000502,7,100,'The fighter''s defensive stance will increase their maximum health by 7%',0,0),
(4032,1000501,8,100,'Increases Max Health of caster by 6.4%',0,0),
(4033,1000502,8,100,'The fighter''s defensive stance will increase their maximum health by 8%',0,0),
(4034,1000501,9,100,'Increases Max Health of caster by 7.2%',0,0),
(4035,1000502,9,100,'The fighter''s defensive stance will increase their maximum health by 9%',0,0),
(4036,1000502,10,100,'The fighter''s defensive stance will increase their maximum health by 10%',0,0),
(4037,1000501,10,100,'Increases Max Health of caster by 8.0%',0,0),
(4038,1000503,1,100,'Rising Dragon has a 25% chance to finish the reuse of Dragonfire.',0,0),
(4039,1000503,2,100,'Rising Dragon has a 50% chance to finish the reuse of Dragonfire.',0,0),
(4040,1000504,1,100,'Adds an additional effect to the defensive stance which adds a hate component to Dragonfire.',0,0),
(4041,1000504,2,100,'Adds an additional effect to the defensive stance which adds a hate component to Dragonfire.',0,0),
(4042,1000504,3,100,'Adds an additional effect to the defensive stance which adds a hate component to Dragonfire.',0,0),
(4043,1000504,4,100,'Adds an additional effect to the defensive stance which adds a hate component to Dragonfire.',0,0),
(4044,1000504,5,100,'Adds an additional effect to the defensive stance which adds a hate component to Dragonfire.',0,0),
(4045,1000505,1,100,'Increases the amount of ticks of Dragonfire by 4. Dragonfire also deals additional damage up front and over time. The overtime damage increases each time it deals damage. All targets hit by Dragonfire will be snared.',0,0),
(4046,1000506,1,100,'Increases Max Health of caster by 0.8%',0,0),
(4047,1000506,2,100,'Increases Max Health of caster by 1.6%',0,0),
(4048,1000506,3,100,'Increases Max Health of caster by 2.4%',0,0),
(4049,1000506,4,100,'Increases Max Health of caster by 3.2%',0,0),
(4050,1000506,5,100,'Increases Max Health of caster by 4.0%',0,0),
(4051,1000506,6,100,'Increases Max Health of caster by 4.8%',0,0),
(4052,1000506,7,100,'Increases Max Health of caster by 5.6%',0,0),
(4053,1000506,8,100,'Increases Max Health of caster by 6.4%',0,0),
(4054,1000506,9,100,'Increases Max Health of caster by 7.2%',0,0),
(4055,1000506,10,100,'Increases Max Health of caster by 8.0%',0,0),
(4056,1000507,1,100,'Increases AGI of caster by 6.0',0,0),
(4057,1000508,1,100,'Increases Defense of caster by 2.5',0,0),
(4058,1000508,2,100,'Increases Defense of caster by 4.9',0,0),
(4059,1000508,3,100,'Increases Defense of caster by 7.4',0,0),
(4060,1000508,4,100,'Increases Defense of caster by 9.8',0,0),
(4061,1000508,5,100,'Increases Defense of caster by 12.3',0,0),
(4062,1000508,6,100,'Increases Defense of caster by 14.8',0,0),
(4063,1000508,7,100,'Increases Defense of caster by 17.2',0,0),
(4064,1000508,8,100,'Increases Defense of caster by 19.7',0,0),
(4065,1000508,9,100,'Increases Defense of caster by 22.1',0,0),
(4066,1000508,10,100,'Increases Defense of caster by 24.6',0,0),
(4067,1000509,1,100,'Caster has a 4.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(4068,1000509,2,100,'Caster has a 8.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(4069,1000509,3,100,'Caster has a 12.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(4070,1000509,4,100,'Caster has a 16.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(4071,1000509,5,100,'Caster has a 20.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(4072,1000509,6,100,'Caster has a 24.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(4073,1000509,7,100,'Caster has a 28.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(4074,1000509,8,100,'Caster has a 32.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(4075,1000509,9,100,'Caster has a 36.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(4076,1000509,10,100,'Caster has a 40.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(4077,1000510,1,100,'Adds a group heal component to Agonizing Pain.',0,0),
(4078,1000510,2,100,'Adds a group heal component to Agonizing Pain.',0,0),
(4079,1000510,3,100,'Adds a group heal component to Agonizing Pain.',0,0),
(4080,1000510,4,100,'Adds a group heal component to Agonizing Pain.',0,0),
(4081,1000510,5,100,'Adds a group heal component to Agonizing Pain.',0,0),
(4082,1000511,1,100,'Grants the warlock additional strength and intelligence.',0,0),
(4083,1000511,2,100,'Grants the warlock additional strength and intelligence.',0,0),
(4084,1000511,3,100,'Grants the warlock additional strength and intelligence.',0,0),
(4085,1000511,4,100,'Grants the warlock additional strength and intelligence.',0,0),
(4086,1000511,5,100,'Grants the warlock additional strength and intelligence.',0,0),
(4087,1000512,1,100,'Improves the base damage by 5%.',0,0),
(4088,1000512,2,100,'Improves the base damage by 10%.',0,0),
(4089,1000512,3,100,'Improves the base damage by 15%.',0,0),
(4090,1000512,4,100,'Improves the base damage by 20%.',0,0),
(4091,1000512,5,100,'Improves the base damage by 25%.',0,0),
(4092,1000513,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 157',0,0),
(4093,1000513,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 315',0,0),
(4094,1000513,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 472',0,0),
(4095,1000513,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 629',0,0),
(4096,1000513,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 715',0,0),
(4097,1000513,6,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 858',0,0),
(4098,1000513,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1101',0,0),
(4099,1000513,8,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1144',0,0),
(4100,1000513,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1416',0,0),
(4101,1000513,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1573',0,0),
(4102,1000514,1,100,'On a hostile spell cast this spell has a 1% chance to cast Dream Haunter on target.  Lasts for 5.0 seconds.  ',0,0),
(4103,1000514,1,100,'Clears the reuse on Maelstrom.',1,1),
(4104,1000514,1,100,'On a hostile spell cast this spell has a 4% chance to cast Dream Haunter on target.  Lasts for 5.0 seconds.  ',0,2),
(4105,1000514,1,100,'Clears the reuse on Nightmares.',1,3),
(4106,1000514,2,100,'On a hostile spell cast this spell has a 2% chance to cast Dream Haunter on target.  Lasts for 5.0 seconds.  ',0,0),
(4107,1000514,2,100,'Clears the reuse on Maelstrom.',1,1),
(4108,1000514,2,100,'On a hostile spell cast this spell has a 8% chance to cast Dream Haunter on target.  Lasts for 5.0 seconds.  ',0,2),
(4109,1000514,2,100,'Clears the reuse on Nightmares.',1,3),
(4110,1000515,1,100,'Increases Disruption and Subjugation of caster by 7.0',0,0),
(4111,1000515,2,100,'Increases Disruption and Subjugation of caster by 14.2',0,0),
(4112,1000515,3,100,'Increases Disruption and Subjugation of caster by 21.3',0,0),
(4113,1000515,4,100,'Increases Disruption and Subjugation of caster by 28.0',0,0),
(4114,1000515,5,100,'Increases Disruption and Subjugation of caster by 35.0',0,0),
(4115,1000516,1,100,'Increases Subjugation, Focus and Disruption of caster by 0.0',0,0),
(4116,1000516,1,100,'Improves reuse speed and duration of your primary group mesmerization spell by 0.4 seconds.',0,1),
(4117,1000516,1,100,'Improves reuse speed of your primary single target mesmerization spell by 0.2 seconds.',0,2),
(4118,1000516,2,100,'Increases Subjugation, Focus and Disruption of caster by 0.0',0,0),
(4119,1000516,2,100,'Improves reuse speed of your primary group mesmerization spell by 0.8 seconds.',0,1),
(4120,1000516,2,100,'Improves reuse speed of your primary single target mesmerization spell by 0.4 seconds.',0,2),
(4121,1000516,3,100,'Increases Subjugation, Focus and Disruption of caster by 0.0',0,0),
(4122,1000516,3,100,'Improves reuse speed and duration of your primary group mesmerization spell by 1.2 seconds.',0,1),
(4123,1000516,3,100,'Improves reuse speed of your primary single target mesmerization spell by 0.6 seconds.',0,2),
(4124,1000516,4,100,'Increases Subjugation, Focus and Disruption of caster by 0.0',0,0),
(4125,1000516,4,100,'Improves reuse speed and duration of your primary group mesmerization spell by 1.6 seconds.',0,1),
(4126,1000516,4,100,'Improves reuse speed of your primary single target mesmerization spell by 0.8 seconds.',0,2),
(4127,1000516,5,100,'Increases Subjugation, Focus and Disruption of caster by 0.0',0,0),
(4128,1000516,5,100,'Improves reuse speed and duration of your primary group mesmerization spell by 2 seconds.',0,1),
(4129,1000516,5,100,'Improves reuse speed of your primary single target mesmerization spell by 1 seconds.',0,2),
(4130,1000516,6,100,'Increases Subjugation, Focus and Disruption of caster by 0.0',0,0),
(4131,1000516,6,100,'Improves reuse speed and duration of your primary group mesmerization spell by 2.4 seconds.',0,1),
(4132,1000516,6,100,'Improves reuse speed of your primary single target mesmerization spell by 1.2 seconds.',0,2),
(4133,1000516,7,100,'Increases Subjugation, Focus and Disruption of caster by 0.0',0,0),
(4134,1000516,7,100,'Improves reuse speed and duration of your primary group mesmerization spell by 2.8 seconds.',0,1),
(4135,1000516,7,100,'Improves reuse speed of your primary single target mesmerization spell by 1.4 seconds.',0,2),
(4136,1000516,8,100,'Increases Subjugation, Focus and Disruption of caster by 0.0',0,0),
(4137,1000516,8,100,'Improves reuse speed of your primary group mesmerization spell by 3.2 seconds.',0,1),
(4138,1000516,8,100,'Improves reuse speed of your primary single target mesmerization spell by 1.6 seconds.',0,2),
(4139,1000516,9,100,'Increases Subjugation, Focus and Disruption of caster by 0.0',0,0),
(4140,1000516,9,100,'Improves reuse speed and duration of your primary group mesmerization spell by 3.6 seconds.',0,1),
(4141,1000516,9,100,'Improves reuse speed of your primary single target mesmerization spell by 1.8 seconds.',0,2),
(4142,1000516,10,100,'Increases Subjugation, Focus and Disruption of caster by 0.0',0,0),
(4143,1000516,10,100,'Improves reuse speed of your primary group mesmerization spell by 4 seconds.',0,1),
(4144,1000516,10,100,'Improves reuse speed of your primary single target mesmerization spell by 2 seconds.',0,2),
(4145,1000517,1,100,'Increases WIS of caster by 5.0',0,0),
(4146,1000518,1,100,'Increases Max Power of caster by 1.0%',0,0),
(4147,1000518,1,100,'Increases Max Health of caster by 2.0%',0,1),
(4148,1000518,2,100,'Increases Max Power of caster by 1.0%',0,0),
(4149,1000518,2,100,'Increases Max Health of caster by 2.0%',0,1),
(4150,1000519,1,100,'The rogue''s defensive stance will increase their hate gain by 2.5%.',0,0),
(4151,1000519,1,100,'The rogue''s offensive stance will decrease their hate gain by 2.5%.',0,1),
(4152,1000519,2,100,'The rogue''s defensive stance will increase their hate gain by 5%.',0,0),
(4153,1000519,2,100,'The rogue''s offensive stance will decrease their hate gain by 5%.',0,1),
(4154,1000519,3,100,'The rogue''s defensive stance will increase their hate gain by 7.5%.',0,0),
(4155,1000519,3,100,'The rogue''s offensive stance will decrease their hate gain by 7.5%.',0,1),
(4156,1000519,4,100,'The rogue''s defensive stance will increase their hate gain by 10%.',0,0),
(4157,1000519,4,100,'The rogue''s offensive stance will decrease their hate gain by 10%.',0,1),
(4158,1000519,5,100,'The rogue''s defensive stance will increase their hate gain by 12.5%.',0,0),
(4159,1000519,5,100,'The rogue''s offensive stance will decrease their hate gain by 12.5%.',0,1),
(4160,1000519,6,100,'The rogue''s defensive stance will increase their hate gain by 15%.',0,0),
(4161,1000519,6,100,'The rogue''s offensive stance will decrease their hate gain by 15%.',0,1),
(4162,1000519,7,100,'The rogue''s defensive stance will increase their hate gain by 17.5%.',0,0),
(4163,1000519,7,100,'The rogue''s offensive stance will decrease their hate gain by 17.5%.',0,1),
(4164,1000519,8,100,'The rogue''s defensive stance will increase their hate gain by 20%.',0,0),
(4165,1000519,8,100,'The rogue''s offensive stance will decrease their hate gain by 20%.',0,1),
(4166,1000519,9,100,'The rogue''s defensive stance will increase their hate gain by 22.5%.',0,0),
(4167,1000519,9,100,'The rogue''s offensive stance will decrease their hate gain by 22.5%.',0,1),
(4168,1000519,10,100,'The rogue''s defensive stance will increase their hate gain by 25%.',0,0),
(4169,1000519,10,100,'The rogue''s offensive stance will decrease their hate gain by 25%.',0,1),
(4170,1000520,1,100,'Increases STA of caster by 4.0',0,0),
(4171,1000520,2,100,'Increases STA of caster by 4.0',0,0),
(4172,1000521,1,100,'Increases the durability gain by 2 every round.',0,0),
(4173,1000522,1,100,'Increases the durability gain by 2 every round.',0,0),
(4174,1000521,2,100,'Increases the durability gain by 2 every round.',0,0),
(4175,1000522,2,100,'Increases the durability gain by 2 every round.',0,0),
(4176,1000523,2,100,'Increases Ability Casting Speed of caster by 1.0%',0,0),
(4177,1000523,2,100,'Increases Multi Attack of caster by 1.0',0,1),
(4178,1000524,1,100,'Increases the amount of durability gained by 1.0.',0,0),
(4179,1000524,1,100,'Increases success chance by 1.0%',0,1),
(4180,1000524,2,100,'Increases the amount of durability gained by 1.0.',0,0),
(4181,1000524,2,100,'Increases success chance by 1.0%',0,1),
(4182,1000525,1,100,'Increases the durability gain by 2 every round.',0,0),
(4183,1000525,2,100,'Increases the durability gain by 2 every round.',0,0),
(4184,1000526,1,100,'Increases STA of caster by 2.5',0,0),
(4185,1000526,2,100,'Increases STA of caster by 2.5',0,0),
(4186,1000527,1,100,'Improves the hate reduction amount by 4%.',0,0),
(4187,1000527,2,100,'Improves the hate reduction amount by 8%.',0,0),
(4188,1000527,3,100,'Improves the hate reduction amount by 12%.',0,0),
(4189,1000527,4,100,'Improves the hate reduction amount by 16%.',0,0),
(4190,1000527,5,100,'Improves the hate reduction amount by 20%.',0,0),
(4191,1000528,1,100,'Increases the Crit Bonus of Eye Shot by 8%',0,0),
(4192,1000528,2,100,'Increases the Crit Bonus of Eye Shot by 16%',0,0),
(4193,1000528,3,100,'Increases the Crit Bonus of Eye Shot by 24%',0,0),
(4194,1000528,4,100,'Increases the Crit Bonus of Eye Shot by 32%',0,0),
(4195,1000528,5,100,'Increases the Crit Bonus of Eye Shot by 40%',0,0),
(4196,1000528,5,100,'Eye Shot will now apply 4 increments',0,1),
(4197,1000529,1,100,'Increases INT of caster by 8.0',0,0),
(4198,1000530,1,100,'Improves base auto-attack multiplier of caster by 0.22. Does not apply to spell weapons.',0,0),
(4199,1000530,1,100,'Increases Mitigation of caster vs physical damage by 0',0,1),
(4200,1000530,1,100,'If under 50% Health',0,2),
(4201,1000531,1,100,'Increases Crit Chance of caster by 1.8',0,0),
(4202,1000531,2,100,'Increases Crit Chance of caster by 3.6',0,0),
(4203,1000531,3,100,'Increases Crit Chance of caster by 5.4',0,0),
(4204,1000531,4,100,'Increases Crit Chance of caster by 7.2',0,0),
(4205,1000531,5,100,'Increases Crit Chance of caster by 9.0',0,0),
(4206,1000531,6,100,'Increases Crit Chance of caster by 10.8',0,0),
(4207,1000531,7,100,'Increases Crit Chance of caster by 12.7',0,0),
(4208,1000531,8,100,'Increases Crit Chance of caster by 14.5',0,0),
(4209,1000531,9,100,'Increases Crit Chance of caster by 16.3',0,0),
(4210,1000531,10,100,'Increases Crit Chance of caster by 18.1',0,0),
(4211,1000532,1,100,'Increases Parry of caster by 3.0',0,0),
(4212,1000532,2,100,'Increases Parry of caster by 6.0',0,0),
(4213,1000532,3,100,'Increases Parry of caster by 9.0',0,0),
(4214,1000532,4,100,'Increases Parry of caster by 12.0',0,0),
(4215,1000532,5,100,'Increases Parry of caster by 15.0',0,0),
(4216,1000532,6,100,'Increases Parry of caster by 18.0',0,0),
(4217,1000532,7,100,'Increases Parry of caster by 21.0',0,0),
(4218,1000532,8,100,'Increases Parry of caster by 24.0',0,0),
(4219,1000532,9,100,'Increases Parry of caster by 27.0',0,0),
(4220,1000532,10,100,'Increases Parry of caster by 30.0',0,0),
(4221,1000533,1,100,'Increases the Crit Bonus of the group by 0.5 per increment following Echoing Howl',0,0),
(4222,1000533,2,100,'Increases the Crit Bonus of the group by 1 per increment following Echoing Howl',0,0),
(4223,1000533,3,100,'Increases the Crit Bonus of the group by 1.5 per increment following Echoing Howl',0,0),
(4224,1000534,1,100,'Adds an Elemental, Noxious and Combat Mitigation reduction component.',0,0),
(4225,1000534,2,100,'Adds an Elemental, Noxious and Combat Mitigation reduction component.',0,0),
(4226,1000534,3,100,'Adds an Elemental, Noxious and Combat Mitigation reduction component.',0,0),
(4227,1000534,4,100,'Adds an Elemental, Noxious and Combat Mitigation reduction component.',0,0),
(4228,1000534,5,100,'Adds an Elemental, Noxious and Combat Mitigation reduction component.',0,0),
(4229,1000535,1,100,'Increases success chance by 2.0%',0,0),
(4230,1000535,2,100,'Increases success chance by 4.0%',0,0),
(4231,1000535,3,100,'Increases success chance by 6.0%',0,0),
(4232,1000535,4,100,'Increases success chance by 8.0%',0,0),
(4233,1000535,5,100,'Increases success chance by 10.0%',0,0),
(4234,1000536,1,100,'Healing Barrage has a 5% chance to make the next Slot 1, 2 or 3 Conduit free.',0,0),
(4235,1000536,2,100,'Healing Barrage has a 10% chance to make the next Slot 1, 2 or 3 Conduit free.',0,0),
(4236,1000537,1,100,'Reduces the power cost of Advantages by 10%',0,0),
(4237,1000537,2,100,'Reduces the power cost of Advantages by 20%',0,0),
(4238,1000537,3,100,'Reduces the power cost of Advantages by 30%',0,0),
(4239,1000537,4,100,'Reduces the power cost of Advantages by 40%',0,0),
(4240,1000537,5,100,'Reduces the power cost of Advantages by 50%',0,0),
(4241,1000538,1,100,'Improves the amount of health and power restored by Elegy by 20%.',0,0),
(4242,1000538,1,100,'Improves the heal amount of Elegy by 20%.',0,1),
(4243,1000538,2,100,'Improves the heal amount of Elegy by 40%.',0,0),
(4244,1000538,2,100,'Adds an effect which restores power to the target.',0,1),
(4245,1000538,3,100,'Improves the amount of health and power restored by Elegy by 60%.',0,0),
(4246,1000538,3,100,'Improves the heal amount of Elegy by 60%.',0,1),
(4247,1000538,4,100,'Improves the amount of health and power restored by Elegy by 80%.',0,0),
(4248,1000538,4,100,'Adds an effect which restores power to the target.',0,1),
(4249,1000538,5,100,'Improves the amount of health and power restored by Elegy by 100%.',0,0),
(4250,1000538,5,100,'Improves the heal amount of Elegy by 100%.',0,1),
(4251,1000539,1,100,'Improves the ward amount by 4%.',0,0),
(4252,1000539,1,100,'Improves the elemental mitigation by 5%.',0,1),
(4253,1000540,1,100,'Increases Mitigation of caster vs elemental damage by 3',0,0),
(4254,1000539,2,100,'Improves the ward amount by 8%.',0,0),
(4255,1000539,2,100,'Improves the elemental mitigation by 10%.',0,1),
(4256,1000540,2,100,'Increases Mitigation of caster vs elemental damage by 3',0,0),
(4257,1000539,3,100,'Improves the ward amount by 12%.',0,0),
(4258,1000539,3,100,'Improves the elemental mitigation by 15%.',0,1),
(4259,1000539,4,100,'Improves the ward amount by 16%.',0,0),
(4260,1000539,4,100,'Improves the elemental mitigation by 20%.',0,1),
(4261,1000539,5,100,'Improves the ward amount by 20%.',0,0),
(4262,1000539,5,100,'Improves the elemental mitigation by 25%.',0,1),
(4263,1000542,1,100,'Increases Mitigation of caster vs elemental damage by 3',0,0),
(4264,1000542,2,100,'Increases Mitigation of caster vs elemental damage by 3',0,0),
(4265,1000543,1,100,'Increases Mitigation of caster vs elemental damage by 3',0,0),
(4266,1000543,2,100,'Increases Mitigation of caster vs elemental damage by 3',0,0),
(4267,1000544,1,100,'Increases Mitigation of caster vs elemental damage by 3',0,0),
(4268,1000544,2,100,'Increases Mitigation of caster vs elemental damage by 3',0,0),
(4269,1000545,1,100,'Increases Mitigation of caster vs elemental damage by 3',0,0),
(4270,1000546,1,100,'Improves the damage of the druid''s heat and cold spells by 2%',0,0),
(4271,1000545,2,100,'Increases Mitigation of caster vs elemental damage by 3',0,0),
(4272,1000546,2,100,'Improves the damage of the druid''s heat and cold spells by 4%',0,0),
(4273,1000546,3,100,'Improves the damage of the druid''s heat and cold spells by 6%',0,0),
(4274,1000546,4,100,'Improves the damage of the druid''s heat and cold spells by 8%',0,0),
(4275,1000546,5,100,'Improves the damage of the druid''s heat and cold spells by 10%',0,0),
(4276,1000547,1,100,'Improves the mitigation reduction by 4%.',0,0),
(4277,1000547,2,100,'Improves the mitigation reduction by 8%.',0,0),
(4278,1000547,3,100,'Improves the mitigation reduction by 12%.',0,0),
(4279,1000547,4,100,'Improves the mitigation reduction by 16%.',0,0),
(4280,1000547,5,100,'Improves the mitigation reduction by 20%.',0,0),
(4281,1000548,1,100,'Adds 1% strikethrough to Fire Seed.',0,0),
(4282,1000548,2,100,'Adds 2% strikethrough to Fire Seed.',0,0),
(4283,1000548,3,100,'Adds 3% strikethrough to Fire Seed.',0,0),
(4284,1000548,4,100,'Adds 4% strikethrough to Fire Seed.',0,0),
(4285,1000548,5,100,'Adds 5% strikethrough to Fire Seed.',0,0),
(4286,1000549,1,100,'Adds an additional elemental mitigation debuff.',0,0),
(4287,1000549,2,100,'Adds an additional elemental mitigation debuff.',0,0),
(4288,1000549,3,100,'Adds an additional elemental mitigation debuff.',0,0),
(4289,1000549,4,100,'Adds an additional elemental mitigation debuff.',0,0),
(4290,1000549,5,100,'Adds an additional elemental mitigation debuff.',0,0),
(4291,1000550,1,100,'Increases the elemental mitigation reduction by 5%',0,0),
(4292,1000550,2,100,'Increases the elemental mitigation reduction by 10%',0,0),
(4293,1000550,3,100,'Increases the elemental mitigation reduction by 15%',0,0),
(4294,1000550,4,100,'Increases the elemental mitigation reduction by 20%',0,0),
(4295,1000550,5,100,'Increases the elemental mitigation reduction by 25%',0,0),
(4296,1000551,1,100,'Improves the damage by 2% when the target is above 80% health.',0,0),
(4297,1000551,2,100,'Improves the damage by 4% when the target is above 80% health.',0,0),
(4298,1000551,3,100,'Improves the damage by 6% when the target is above 80% health.',0,0),
(4299,1000551,4,100,'Improves the damage by 8% when the target is above 80% health.',0,0),
(4300,1000551,5,100,'Improves the damage by 10% when the target is above 80% health.',0,0),
(4301,1000553,1,100,'Increases Weapon Damage Bonus of caster by 1.0',0,0),
(4302,1000553,2,100,'Increases Weapon Damage of caster by 2.0',0,0),
(4303,1000553,3,100,'Increases Weapon Damage Bonus of caster by 3.0',0,0),
(4304,1000553,4,100,'Increases Weapon Damage Bonus of caster by 4.0',0,0),
(4305,1000553,5,100,'Increases Weapon Damage Bonus of caster by 5.0',0,0),
(4306,1000553,6,100,'Increases Weapon Damage of caster by 6.0',0,0),
(4307,1000553,7,100,'Increases Weapon Damage Bonus of caster by 7.0',0,0),
(4308,1000553,8,100,'Increases Weapon Damage Bonus of caster by 8.0',0,0),
(4309,1000553,9,100,'Increases Weapon Damage of caster by 9.0',0,0),
(4310,1000553,10,100,'Increases Weapon Damage Bonus of caster by 10.0',0,0),
(4311,1000554,1,100,'Increases Ranged, Crushing, Slashing and Piercing of caster by 1.0',0,0),
(4312,1000554,2,100,'Increases Ranged, Crushing, Slashing and Piercing of caster by 2.0',0,0),
(4313,1000554,3,100,'Increases Ranged, Crushing, Slashing and Piercing of caster by 3.0',0,0),
(4314,1000554,4,100,'Increases Ranged, Crushing, Slashing and Piercing of caster by 4.0',0,0),
(4315,1000554,5,100,'Increases Ranged, Crushing, Slashing and Piercing of caster by 5.0',0,0),
(4316,1000554,6,100,'Increases Ranged, Crushing, Slashing and Piercing of caster by 6.0',0,0),
(4317,1000554,7,100,'Increases Ranged, Crushing, Slashing and Piercing of caster by 7.0',0,0),
(4318,1000554,8,100,'Increases Ranged, Crushing, Slashing and Piercing of caster by 8.0',0,0),
(4319,1000554,9,100,'Increases Ranged, Crushing, Slashing and Piercing of caster by 9.0',0,0),
(4320,1000554,10,100,'Increases Ranged, Crushing, Slashing and Piercing of caster by 10.0',0,0),
(4321,1000555,1,100,'The maximum increment amount of Feral Fangs is increased to 4.',0,0),
(4322,1000555,2,100,'The maximum increment amount of Feral Fangs is increased to 5.',0,0),
(4323,1000555,3,100,'Feral Intensity will apply two increments of Feral Fangs with each application.',0,0),
(4324,1000555,3,100,'The maximum increment amount of Feral Fangs is increased to 5.',0,1),
(4325,1000556,1,100,'Increases Crit Chance of caster by 1.4',0,0),
(4326,1000556,2,100,'Increases Crit Chance of caster by 2.8',0,0),
(4327,1000556,3,100,'Increases Crit Chance of caster by 4.2',0,0),
(4328,1000556,4,100,'Increases Crit Chance of caster by 5.6',0,0),
(4329,1000556,5,100,'Increases Crit Chance of caster by 7.0',0,0),
(4330,1000556,6,100,'Increases Crit Chance of caster by 8.4',0,0),
(4331,1000556,7,100,'Increases Crit Chance of caster by 9.7',0,0),
(4332,1000556,8,100,'Increases Crit Chance of caster by 11.1',0,0),
(4333,1000556,9,100,'Increases Crit Chance of caster by 12.5',0,0),
(4334,1000556,10,100,'Increases Crit Chance of caster by 13.9',0,0),
(4335,1000557,2,100,'Reduces the time needed to gather or forest by .5 seconds.',0,0),
(4336,1000558,1,100,'Increases WIS of caster by 2.5',0,0),
(4337,1000558,2,100,'Increases WIS of caster by 2.5',0,0),
(4338,1000559,1,100,'Increases the duration of tradeskilled drinks by 10%.',0,0),
(4339,1000559,2,100,'Increases the duration of tradeskilled drinks by 10%.',0,0),
(4340,1000560,1,100,'Adds 1% damage reduction to Hunker Down and Wall of Rage',0,0),
(4341,1000560,2,100,'Adds 2% damage reduction to Hunker Down and Wall of Rage',0,0),
(4342,1000560,3,100,'Adds 3% damage reduction to Hunker Down and Wall of Rage',0,0),
(4343,1000560,4,100,'Adds 4% damage reduction to Hunker Down and Wall of Rage',0,0),
(4344,1000560,5,100,'Adds 5% damage reduction to Hunker Down and Wall of Rage',0,0),
(4345,1000560,6,100,'Adds 6% damage reduction to Hunker Down and Wall of Rage',0,0),
(4346,1000560,7,100,'Adds 7% damage reduction to Hunker Down and Wall of Rage',0,0),
(4347,1000560,8,100,'Adds 8% damage reduction to Hunker Down and Wall of Rage',0,0),
(4348,1000560,9,100,'Adds 9% damage reduction to Hunker Down and Wall of Rage',0,0),
(4349,1000560,10,100,'Adds 10% damage reduction to Hunker Down and Wall of Rage',0,0),
(4350,1000561,1,100,'Reduces the Dissonance cost of Slot 3 Conduits by 4%',0,0),
(4351,1000561,2,100,'Reduces the Dissonance cost of Slot 3 Conduits by 8%',0,0),
(4352,1000561,3,100,'Reduces the Dissonance cost of Slot 3 Conduits by 12%',0,0),
(4353,1000561,4,100,'Reduces the Dissonance cost of Slot 3 Conduits by 16%',0,0),
(4354,1000561,5,100,'Reduces the Dissonance cost of Slot 3 Conduits by 20%',0,0),
(4355,1000562,1,100,'Increases STA of caster by 7.0',0,0),
(4356,1000563,1,100,'Your pet instantly replenishes 31% of the power it spends. That saved power is converted into a heal for your pet.',0,0),
(4357,1000563,2,100,'Your pet instantly replenishes 31% of the power it spends. That saved power is converted into a heal for your pet.',0,0),
(4358,1000563,3,100,'Your pet instantly replenishes 31% of the power it spends. That saved power is converted into a heal for your pet.',0,0),
(4359,1000563,4,100,'Your pet instantly replenishes 31% of the power it spends. That saved power is converted into a heal for your pet.',0,0),
(4360,1000563,5,100,'Your pet instantly replenishes 31% of the power it spends. That saved power is converted into a heal for your pet.',0,0),
(4361,1000563,6,100,'Your pet instantly replenishes 31% of the power it spends. That saved power is converted into a heal for your pet.',0,0),
(4362,1000563,7,100,'Your pet instantly replenishes 31% of the power it spends. That saved power is converted into a heal for your pet.',0,0),
(4363,1000563,8,100,'Your pet instantly replenishes 31% of the power it spends. That saved power is converted into a heal for your pet.',0,0),
(4364,1000563,9,100,'Your pet instantly replenishes 31% of the power it spends. That saved power is converted into a heal for your pet.',0,0),
(4365,1000563,10,100,'Your pet instantly replenishes 31% of the power it spends. That saved power is converted into a heal for your pet.',0,0),
(4366,1000564,1,100,'Increases Power Regen of caster by 6.0',0,0),
(4367,1000564,2,100,'Increases Power Regen of caster by 6.0',0,0),
(4368,1000565,1,100,'On a spell cast this spell will cast Empowered Barrier on target of spell.  Lasts for 30.0 seconds.  ',0,0),
(4369,1000565,1,100,'Wards target against 167 points of all damage',1,1),
(4370,1000565,1,100,'Requires more than three spells to be cast that are not Deathward, Death Cries or Ancient Shroud. For each spell cast above five, this ward''s value increases, up to 12 times.',1,2),
(4371,1000565,1,100,'Must be in combat for spells to count.',1,3),
(4372,1000565,2,100,'On a spell cast this spell will cast Empowered Barrier on target of spell.  Lasts for 30.0 seconds.  ',0,0),
(4373,1000565,2,100,'Wards target against 335 points of all damage',1,1),
(4374,1000565,2,100,'Requires more than three spells to be cast that are not Deathward, Death Cries or Ancient Shroud. For each spell cast above five, this ward''s value increases, up to 12 times.',1,2),
(4375,1000565,2,100,'Must be in combat for spells to count.',1,3),
(4376,1000565,3,100,'On a spell cast this spell will cast Empowered Barrier on target of spell.  Lasts for 30.0 seconds.  ',0,0),
(4377,1000565,3,100,'Wards target against 532 points of all damage',1,1),
(4378,1000565,3,100,'Requires more than three spells to be cast that are not Deathward, Death Cries or Ancient Shroud. For each spell cast above five, this ward''s value increases, up to 12 times.',1,2),
(4379,1000565,3,100,'Must be in combat for spells to count.',1,3),
(4380,1000566,1,100,'Casting Aura of the Void grants Voided to the warlock for a short duration.',0,0),
(4381,1000566,2,100,'Casting Aura of the Void grants Voided to the warlock for a short duration.',0,0),
(4382,1000566,3,100,'Casting Aura of the Void grants Voided to the warlock for a short duration.',0,0),
(4383,1000567,1,100,'On a spell cast this spell will cast Spiritual Dominion on target of spell.  Lasts for 30.0 seconds.  ',0,0),
(4384,1000567,1,100,'Increases Crit Bonus of group members (AE) by 0.5%',1,1),
(4385,1000567,2,100,'On a spell cast this spell will cast Spiritual Dominion on target of spell.  Lasts for 30.0 seconds.  ',0,0),
(4386,1000567,2,100,'Increases Crit Bonus of group members (AE) by 1.0%',1,1),
(4387,1000567,3,100,'On a spell cast this spell will cast Spiritual Dominion on target of spell.  Lasts for 30.0 seconds.  ',0,0),
(4388,1000567,3,100,'Increases Crit Bonus of group members (AE) by 1.5%',1,1),
(4389,1000568,1,100,'Increases the damage of Rapid Salvo''s initial attack by 60%',0,0),
(4390,1000568,2,100,'Increases the damage of Rapid Salvo''s initial attack by 120%',0,0),
(4391,1000568,3,100,'Increases the damage of Rapid Salvo''s initial attack by 180%',0,0),
(4392,1000569,1,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4393,1000569,1,100,'Increases the damage of Combat Arts by 2%',1,1),
(4394,1000570,1,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4395,1000570,1,100,'Increases the damage of Combat Arts by 2%',1,1),
(4396,1000571,1,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4397,1000571,1,100,'Increases the damage of Combat Arts by 2%',1,1),
(4398,1000572,1,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4399,1000572,1,100,'Increases the damage of Combat Arts by 2%',1,1),
(4400,1000573,1,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4401,1000573,1,100,'Increases the damage of Combat Arts by 2%',1,1),
(4402,1000574,1,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4403,1000574,1,100,'Increases the damage of Combat Arts by 2%',1,1),
(4404,1000575,1,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4405,1000575,1,100,'Increases the damage of Combat Arts by 2%',1,1),
(4406,1000576,1,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4407,1000576,1,100,'Increases the damage of Combat Arts by 2%',1,1),
(4408,1000577,1,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4409,1000577,1,100,'Increases the damage of Combat Arts by 2%',1,1),
(4410,1000578,1,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4411,1000578,1,100,'Increases the damage of Combat Arts by 2%',1,1),
(4412,1000579,1,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4413,1000579,1,100,'Increases the damage of Combat Arts by 2%',1,1),
(4414,1000580,1,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4415,1000580,1,100,'Increases the damage of Combat Arts by 2%',1,1),
(4416,1000581,1,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4417,1000581,1,100,'Increases the damage of Combat Arts by 2%',1,1),
(4418,1000577,2,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4419,1000577,2,100,'Increases the damage of Combat Arts by 4%',1,1),
(4420,1000571,2,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4421,1000571,2,100,'Increases the damage of Combat Arts by 4%',1,1),
(4422,1000576,2,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4423,1000576,2,100,'Increases the damage of Combat Arts by 4%',1,1),
(4424,1000581,2,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4425,1000581,2,100,'Increases the damage of Combat Arts by 4%',1,1),
(4426,1000580,2,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4427,1000580,2,100,'Increases the damage of Combat Arts by 4%',1,1),
(4428,1000572,2,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4429,1000572,2,100,'Increases the damage of Combat Arts by 4%',1,1),
(4430,1000574,2,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4431,1000574,2,100,'Increases the damage of Combat Arts by 4%',1,1),
(4432,1000573,2,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4433,1000573,2,100,'Increases the damage of Combat Arts by 4%',1,1),
(4434,1000578,2,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4435,1000578,2,100,'Increases the damage of Combat Arts by 4%',1,1),
(4436,1000579,2,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4437,1000579,2,100,'Increases the damage of Combat Arts by 4%',1,1),
(4438,1000575,2,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4439,1000575,2,100,'Increases the damage of Combat Arts by 4%',1,1),
(4440,1000569,2,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4441,1000569,2,100,'Increases the damage of Combat Arts by 4%',1,1),
(4442,1000574,3,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4443,1000574,3,100,'Increases the damage of Combat Arts by 6%',1,1),
(4444,1000578,3,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4445,1000578,3,100,'Increases the damage of Combat Arts by 6%',1,1),
(4446,1000581,3,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4447,1000581,3,100,'Increases the damage of Combat Arts by 6%',1,1),
(4448,1000573,3,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4449,1000573,3,100,'Increases the damage of Combat Arts by 6%',1,1),
(4450,1000580,3,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4451,1000580,3,100,'Increases the damage of Combat Arts by 6%',1,1),
(4452,1000572,3,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4453,1000572,3,100,'Increases the damage of Combat Arts by 6%',1,1),
(4454,1000575,3,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4455,1000575,3,100,'Increases the damage of Combat Arts by 6%',1,1),
(4456,1000569,3,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4457,1000569,3,100,'Increases the damage of Combat Arts by 6%',1,1),
(4458,1000576,3,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4459,1000576,3,100,'Increases the damage of Combat Arts by 6%',1,1),
(4460,1000579,3,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4461,1000579,3,100,'Increases the damage of Combat Arts by 6%',1,1),
(4462,1000571,3,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4463,1000571,3,100,'Increases the damage of Combat Arts by 6%',1,1),
(4464,1000577,3,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4465,1000577,3,100,'Increases the damage of Combat Arts by 6%',1,1),
(4466,1000579,4,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4467,1000579,4,100,'Increases the damage of Combat Arts by 8%',1,1),
(4468,1000581,4,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4469,1000581,4,100,'Increases the damage of Combat Arts by 8%',1,1),
(4470,1000580,4,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4471,1000580,4,100,'Increases the damage of Combat Arts by 8%',1,1),
(4472,1000572,4,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4473,1000572,4,100,'Increases the damage of Combat Arts by 8%',1,1),
(4474,1000575,4,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4475,1000575,4,100,'Increases the damage of Combat Arts by 8%',1,1),
(4476,1000569,4,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4477,1000569,4,100,'Increases the damage of Combat Arts by 8%',1,1),
(4478,1000574,4,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4479,1000574,4,100,'Increases the damage of Combat Arts by 8%',1,1),
(4480,1000573,4,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4481,1000573,4,100,'Increases the damage of Combat Arts by 8%',1,1),
(4482,1000576,4,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4483,1000576,4,100,'Increases the damage of Combat Arts by 8%',1,1),
(4484,1000577,4,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4485,1000577,4,100,'Increases the damage of Combat Arts by 8%',1,1),
(4486,1000578,4,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4487,1000578,4,100,'Increases the damage of Combat Arts by 8%',1,1),
(4488,1000571,4,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4489,1000571,4,100,'Increases the damage of Combat Arts by 8%',1,1),
(4490,1000576,5,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4491,1000576,5,100,'Increases the damage of Combat Arts by 10%',1,1),
(4492,1000574,5,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4493,1000574,5,100,'Increases the damage of Combat Arts by 10%',1,1),
(4494,1000581,5,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4495,1000581,5,100,'Increases the damage of Combat Arts by 10%',1,1),
(4496,1000580,5,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4497,1000580,5,100,'Increases the damage of Combat Arts by 10%',1,1),
(4498,1000572,5,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4499,1000572,5,100,'Increases the damage of Combat Arts by 10%',1,1),
(4500,1000575,5,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4501,1000575,5,100,'Increases the damage of Combat Arts by 10%',1,1),
(4502,1000569,5,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4503,1000569,5,100,'Increases the damage of Combat Arts by 10%',1,1),
(4504,1000573,5,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4505,1000573,5,100,'Increases the damage of Combat Arts by 10%',1,1),
(4506,1000579,5,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4507,1000579,5,100,'Increases the damage of Combat Arts by 10%',1,1),
(4508,1000578,5,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4509,1000578,5,100,'Increases the damage of Combat Arts by 10%',1,1),
(4510,1000577,5,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4511,1000577,5,100,'Increases the damage of Combat Arts by 10%',1,1),
(4512,1000571,5,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4513,1000571,5,100,'Increases the damage of Combat Arts by 10%',1,1),
(4514,1000581,6,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4515,1000581,6,100,'Increases the damage of Combat Arts by 12%',1,1),
(4516,1000580,6,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4517,1000580,6,100,'Increases the damage of Combat Arts by 12%',1,1),
(4518,1000572,6,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4519,1000572,6,100,'Increases the damage of Combat Arts by 12%',1,1),
(4520,1000569,6,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4521,1000569,6,100,'Increases the damage of Combat Arts by 12%',1,1),
(4522,1000574,6,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4523,1000574,6,100,'Increases the damage of Combat Arts by 12%',1,1),
(4524,1000573,6,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4525,1000573,6,100,'Increases the damage of Combat Arts by 12%',1,1),
(4526,1000576,6,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4527,1000576,6,100,'Increases the damage of Combat Arts by 12%',1,1),
(4528,1000578,6,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4529,1000578,6,100,'Increases the damage of Combat Arts by 12%',1,1),
(4530,1000571,6,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4531,1000571,6,100,'Increases the damage of Combat Arts by 12%',1,1),
(4532,1000577,6,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4533,1000577,6,100,'Increases the damage of Combat Arts by 12%',1,1),
(4534,1000575,6,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4535,1000575,6,100,'Increases the damage of Combat Arts by 12%',1,1),
(4536,1000579,6,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4537,1000579,6,100,'Increases the damage of Combat Arts by 12%',1,1),
(4538,1000580,7,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4539,1000580,7,100,'Increases the damage of Combat Arts by 14%',1,1),
(4540,1000572,7,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4541,1000572,7,100,'Increases the damage of Combat Arts by 14%',1,1),
(4542,1000569,7,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4543,1000569,7,100,'Increases the damage of Combat Arts by 14%',1,1),
(4544,1000574,7,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4545,1000574,7,100,'Increases the damage of Combat Arts by 14%',1,1),
(4546,1000581,7,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4547,1000581,7,100,'Increases the damage of Combat Arts by 14%',1,1),
(4548,1000576,7,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4549,1000576,7,100,'Increases the damage of Combat Arts by 14%',1,1),
(4550,1000578,7,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4551,1000578,7,100,'Increases the damage of Combat Arts by 14%',1,1),
(4552,1000571,7,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4553,1000571,7,100,'Increases the damage of Combat Arts by 14%',1,1),
(4554,1000575,7,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4555,1000575,7,100,'Increases the damage of Combat Arts by 14%',1,1),
(4556,1000573,7,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4557,1000573,7,100,'Increases the damage of Combat Arts by 14%',1,1),
(4558,1000579,7,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4559,1000579,7,100,'Increases the damage of Combat Arts by 14%',1,1),
(4560,1000577,7,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4561,1000577,7,100,'Increases the damage of Combat Arts by 14%',1,1),
(4562,1000569,8,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4563,1000569,8,100,'Increases the damage of Combat Arts by 16%',1,1),
(4564,1000573,8,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4565,1000573,8,100,'Increases the damage of Combat Arts by 16%',1,1),
(4566,1000580,8,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4567,1000580,8,100,'Increases the damage of Combat Arts by 16%',1,1),
(4568,1000572,8,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4569,1000572,8,100,'Increases the damage of Combat Arts by 16%',1,1),
(4570,1000575,8,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4571,1000575,8,100,'Increases the damage of Combat Arts by 16%',1,1),
(4572,1000574,8,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4573,1000574,8,100,'Increases the damage of Combat Arts by 16%',1,1),
(4574,1000581,8,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4575,1000581,8,100,'Increases the damage of Combat Arts by 16%',1,1),
(4576,1000576,8,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4577,1000576,8,100,'Increases the damage of Combat Arts by 16%',1,1),
(4578,1000578,8,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4579,1000578,8,100,'Increases the damage of Combat Arts by 16%',1,1),
(4580,1000571,8,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4581,1000571,8,100,'Increases the damage of Combat Arts by 16%',1,1),
(4582,1000579,8,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4583,1000579,8,100,'Increases the damage of Combat Arts by 16%',1,1),
(4584,1000577,8,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4585,1000577,8,100,'Increases the damage of Combat Arts by 16%',1,1),
(4586,1000573,9,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4587,1000573,9,100,'Increases the damage of Combat Arts by 18%',1,1),
(4588,1000572,9,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4589,1000572,9,100,'Increases the damage of Combat Arts by 18%',1,1),
(4590,1000575,9,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4591,1000575,9,100,'Increases the damage of Combat Arts by 18%',1,1),
(4592,1000569,9,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4593,1000569,9,100,'Increases the damage of Combat Arts by 18%',1,1),
(4594,1000574,9,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4595,1000574,9,100,'Increases the damage of Combat Arts by 18%',1,1),
(4596,1000581,9,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4597,1000581,9,100,'Increases the damage of Combat Arts by 18%',1,1),
(4598,1000576,9,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4599,1000576,9,100,'Increases the damage of Combat Arts by 18%',1,1),
(4600,1000580,9,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4601,1000580,9,100,'Increases the damage of Combat Arts by 18%',1,1),
(4602,1000578,9,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4603,1000578,9,100,'Increases the damage of Combat Arts by 18%',1,1),
(4604,1000571,9,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4605,1000571,9,100,'Increases the damage of Combat Arts by 18%',1,1),
(4606,1000579,9,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4607,1000579,9,100,'Increases the damage of Combat Arts by 18%',1,1),
(4608,1000577,9,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4609,1000577,9,100,'Increases the damage of Combat Arts by 18%',1,1),
(4610,1000573,10,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4611,1000573,10,100,'Increases the damage of Combat Arts by 20%',1,1),
(4612,1000572,10,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4613,1000572,10,100,'Increases the damage of Combat Arts by 20%',1,1),
(4614,1000569,10,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4615,1000569,10,100,'Increases the damage of Combat Arts by 20%',1,1),
(4616,1000574,10,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4617,1000574,10,100,'Increases the damage of Combat Arts by 20%',1,1),
(4618,1000581,10,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4619,1000581,10,100,'Increases the damage of Combat Arts by 20%',1,1),
(4620,1000576,10,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4621,1000576,10,100,'Increases the damage of Combat Arts by 20%',1,1),
(4622,1000580,10,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4623,1000580,10,100,'Increases the damage of Combat Arts by 20%',1,1),
(4624,1000571,10,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4625,1000571,10,100,'Increases the damage of Combat Arts by 20%',1,1),
(4626,1000579,10,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4627,1000579,10,100,'Increases the damage of Combat Arts by 20%',1,1),
(4628,1000577,10,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4629,1000577,10,100,'Increases the damage of Combat Arts by 20%',1,1),
(4630,1000575,10,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4631,1000575,10,100,'Increases the damage of Combat Arts by 20%',1,1),
(4632,1000578,10,100,'Applies Empowered Strikes to qualifying pets.',0,0),
(4633,1000578,10,100,'Increases the damage of Combat Arts by 20%',1,1),
(4634,1000582,1,100,'Open Wounds will apply 25 Weapon Damage Bonus to the group.',0,0),
(4635,1000582,1,100,'While active, Open Wounds will allow Saga of Bloodshed, Utter Destruction, Bloodbath, Berserker Onslaught and Partisan Cleave to cast instantly.',0,1),
(4636,1000583,1,100,'** MISSING SPELL MODIFIER EFFECT DESCRIPTION **',0,0),
(4637,1000584,1,100,'Increases STA of caster by 2.5',0,0),
(4638,1000584,2,100,'Increases STA of caster by 2.5',0,0),
(4639,1000585,1,100,'Increases STA of caster by 4.0',0,0),
(4640,1000585,2,100,'Increases STA of caster by 4.0',0,0),
(4641,1000586,1,100,'Exuberant Encore will restore 3% of the damage taken as power to the group',0,0),
(4642,1000586,2,100,'Exuberant Encore will restore 6% of the damage taken as power to the group',0,0),
(4643,1000586,3,100,'Exuberant Encore will restore 9% of the damage taken as power to the group',0,0),
(4644,1000587,1,100,'On any combat or spell hit this spell may cast Energetic Melody on target of attack.  Triggers about 2.0 times per minute. ',0,0),
(4645,1000587,1,100,'Increases power of caster by 113 - 188',1,1),
(4646,1000587,1,100,'Inflicts 145 - 242 magic damage on target encounter',1,2),
(4647,1000587,2,100,'On any combat or spell hit this spell may cast Energetic Melody on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(4648,1000587,2,100,'Increases power of caster by 113 - 188',1,1),
(4649,1000587,2,100,'Inflicts 145 - 242 magic damage on target encounter',1,2),
(4650,1000587,3,100,'On any combat or spell hit this spell may cast Energetic Melody on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(4651,1000587,3,100,'Increases power of caster by 113 - 188',1,1),
(4652,1000587,3,100,'Inflicts 194 - 323 magic damage on target encounter',1,2),
(4653,1000588,1,100,'When Windlord triggers, the group will gain a damage proc that hits nearby targets.',0,0),
(4654,1000588,2,100,'When Windlord triggers, the group will gain a damage proc that hits nearby targets.',0,0),
(4655,1000588,3,100,'When Windlord triggers, the group will gain a damage proc that hits nearby targets.',0,0),
(4656,1000589,1,100,'Reduces the power cost of the shaper''s abilities by 1%',0,0),
(4657,1000590,1,100,'The group will use 4% less power when Energizing Aura is active.',0,0),
(4658,1000590,2,100,'The group will use 8% less power when Energizing Aura is active.',0,0),
(4659,1000589,2,100,'Reduces the power cost of the shaper''s abilities by 2%',0,0),
(4660,1000590,3,100,'The group will use 12% less power when Energizing Aura is active.',0,0),
(4661,1000589,3,100,'Reduces the power cost of the shaper''s abilities by 3%',0,0),
(4662,1000589,4,100,'Reduces the power cost of the shaper''s abilities by 4%',0,0),
(4663,1000589,5,100,'Reduces the power cost of the shaper''s abilities by 5%',0,0),
(4664,1000589,6,100,'Reduces the power cost of the shaper''s abilities by 6%',0,0),
(4665,1000589,7,100,'Reduces the power cost of the shaper''s abilities by 7%',0,0),
(4666,1000589,8,100,'Reduces the power cost of the shaper''s abilities by 8%',0,0),
(4667,1000589,9,100,'Reduces the power cost of the shaper''s abilities by 9%',0,0),
(4668,1000589,10,100,'Reduces the power cost of the shaper''s abilities by 10%',0,0),
(4669,1000591,1,100,'On a hostile spell cast this spell may cast Enchanted Overflow on caster.  Lasts for 10.0 seconds.  Triggers about 1.0 times per minute. ',0,0),
(4670,1000591,1,100,'Increases healing received by 2.00%',1,1),
(4671,1000591,1,100,'Increases Max Health of group members (AE) by 2.0%',1,2),
(4672,1000591,1,100,'Increases Max Power of group members (AE) by 2.0%',1,3),
(4673,1000591,1,100,'This effect can be stacked by multiple casters.',1,4),
(4674,1000591,2,100,'On a hostile spell cast this spell may cast Enchanted Overflow on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(4675,1000591,2,100,'Increases healing received by 2.00%',1,1),
(4676,1000591,2,100,'Increases Max Health of group members (AE) by 2.0%',1,2),
(4677,1000591,2,100,'Increases Max Power of group members (AE) by 2.0%',1,3),
(4678,1000591,2,100,'This effect can be stacked by multiple casters.',1,4),
(4679,1000591,3,100,'On a hostile spell cast this spell may cast Enchanted Overflow on caster.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,0),
(4680,1000591,3,100,'Increases healing received by 2.00%',1,1),
(4681,1000591,3,100,'Increases Max Health of group members (AE) by 2.0%',1,2),
(4682,1000591,3,100,'Increases Max Power of group members (AE) by 2.0%',1,3),
(4683,1000591,3,100,'This effect can be stacked by multiple casters.',1,4),
(4684,1000592,1,100,'Improves casting and recovery speed by 15%',0,0),
(4685,1000592,1,100,'Improves reuse speed by 1.5 seconds',0,1),
(4686,1000592,1,100,'Improves the Crit Bonus by 1.5%',0,2),
(4687,1000592,2,100,'Improves casting and recovery speed by 30%',0,0),
(4688,1000592,2,100,'Improves reuse speed by 3 seconds',0,1),
(4689,1000592,2,100,'Improves the Crit Bonus by 3%',0,2),
(4690,1000592,3,100,'Improves casting and recovery speed by 45%',0,0),
(4691,1000592,3,100,'Improves reuse speed by 4.5 seconds',0,1),
(4692,1000592,3,100,'Improves the Crit Bonus by 4.5%',0,2),
(4693,1000592,4,100,'Improves casting and recovery speed by 60%',0,0),
(4694,1000592,4,100,'Improves reuse speed by 6 seconds',0,1),
(4695,1000592,4,100,'Improves the Crit Bonus by 6%',0,2),
(4696,1000592,5,100,'Improves casting and recovery speed by 75%',0,0),
(4697,1000592,5,100,'Improves reuse speed by 7.5 seconds',0,1),
(4698,1000592,5,100,'Improves the Crit Bonus by 7.5%',0,2),
(4699,1000593,1,100,'Improves casting and recovery speed by 15%',0,0),
(4700,1000593,1,100,'Improves reuse speed by 1.5 seconds',0,1),
(4701,1000593,1,100,'Improves the Crit Bonus by 2.5%',0,2),
(4702,1000593,2,100,'Improves casting and recovery speed by 30%',0,0),
(4703,1000593,2,100,'Improves reuse speed by 3 seconds',0,1),
(4704,1000593,2,100,'Improves the Crit Bonus by 5%',0,2),
(4705,1000593,3,100,'Improves casting and recovery speed by 45%',0,0),
(4706,1000593,3,100,'Improves reuse speed by 4.5 seconds',0,1),
(4707,1000593,3,100,'Improves the Crit Bonus by 7.5%',0,2),
(4708,1000593,4,100,'Improves casting and recovery speed by 60%',0,0),
(4709,1000593,4,100,'Improves reuse speed by 6 seconds',0,1),
(4710,1000593,4,100,'Improves the Crit Bonus by 10%',0,2),
(4711,1000593,5,100,'Improves casting and recovery speed by 75%',0,0),
(4712,1000593,5,100,'Improves reuse speed by 7.5 seconds',0,1),
(4713,1000593,5,100,'Improves the Crit Bonus by 12.5%',0,2),
(4714,1000594,1,100,'Improves casting and recovery speed by 15%',0,0),
(4715,1000594,1,100,'Improves reuse speed by 0.5 seconds',0,1),
(4716,1000594,1,100,'Improves the Crit Bonus by 2%',0,2),
(4717,1000594,2,100,'Improves casting and recovery speed by 30%',0,0),
(4718,1000594,2,100,'Improves reuse speed by 1 seconds',0,1),
(4719,1000594,2,100,'Improves the Crit Bonus by 4%',0,2),
(4720,1000594,3,100,'Improves casting and recovery speed by 45%',0,0),
(4721,1000594,3,100,'Improves reuse speed by 1.5 seconds',0,1),
(4722,1000594,3,100,'Improves the Crit Bonus by 6%',0,2),
(4723,1000594,4,100,'Improves casting and recovery speed by 60%',0,0),
(4724,1000594,4,100,'Improves reuse speed by 2 seconds',0,1),
(4725,1000594,4,100,'Improves the Crit Bonus by 8%',0,2),
(4726,1000594,5,100,'Improves casting and recovery speed by 75%',0,0),
(4727,1000594,5,100,'Improves reuse speed by 2.5 seconds',0,1),
(4728,1000594,5,100,'Improves the Crit Bonus by 10%',0,2),
(4729,1000595,1,100,'Increases damage by 5%',0,0),
(4730,1000595,2,100,'Increases damage by 10%',0,0),
(4731,1000595,3,100,'Increases damage by 15%',0,0),
(4732,1000595,4,100,'Increases damage by 20%',0,0),
(4733,1000595,5,100,'Increases damage by 25%',0,0),
(4734,1000596,1,100,'Increases damage by 5%',0,0),
(4735,1000596,2,100,'Increases damage by 10%',0,0),
(4736,1000596,3,100,'Increases damage by 15%',0,0),
(4737,1000596,4,100,'Increases damage by 20%',0,0),
(4738,1000596,5,100,'Increases damage by 25%',0,0),
(4739,1000597,1,100,'Reduces power cost by 7%',0,0),
(4740,1000597,1,100,'Increases hit chance by 5%',0,1),
(4741,1000597,2,100,'Reduces power cost by 14%',0,0),
(4742,1000597,2,100,'Increases hit chance by 10%',0,1),
(4743,1000597,3,100,'Reduces power cost by 21%',0,0),
(4744,1000597,3,100,'Increases hit chance by 15%',0,1),
(4745,1000597,4,100,'Reduces power cost by 28%',0,0),
(4746,1000597,4,100,'Increases hit chance by 20%',0,1),
(4747,1000597,5,100,'Reduces power cost by 35%',0,0),
(4748,1000597,5,100,'Increases hit chance by 25%',0,1),
(4749,1000598,1,100,'Reduces health cost by 7%',0,0),
(4750,1000598,1,100,'Increases hit chance by 5%',0,1),
(4751,1000598,2,100,'Reduces health cost by 14%',0,0),
(4752,1000598,2,100,'Increases hit chance by 10%',0,1),
(4753,1000598,3,100,'Reduces health cost by 21%',0,0),
(4754,1000598,3,100,'Increases hit chance by 15%',0,1),
(4755,1000598,4,100,'Reduces health cost by 28%',0,0),
(4756,1000598,4,100,'Increases hit chance by 20%',0,1),
(4757,1000598,5,100,'Reduces health cost by 35%',0,0),
(4758,1000598,5,100,'Increases hit chance by 25%',0,1),
(4759,1000599,1,100,'Reduces power cost by 7%',0,0),
(4760,1000599,1,100,'Increases hit chance by 5%',0,1),
(4761,1000599,2,100,'Reduces power cost by 14%',0,0),
(4762,1000599,2,100,'Increases hit chance by 10%',0,1),
(4763,1000599,3,100,'Reduces power cost by 21%',0,0),
(4764,1000599,3,100,'Increases hit chance by 15%',0,1),
(4765,1000599,4,100,'Reduces power cost by 28%',0,0),
(4766,1000599,4,100,'Increases hit chance by 20%',0,1),
(4767,1000599,5,100,'Reduces power cost by 35%',0,0),
(4768,1000599,5,100,'Increases hit chance by 25%',0,1),
(4769,1000600,1,100,'Reduces resistibility by 3%',0,0),
(4770,1000600,1,100,'Reduces power cost by 8%',0,1),
(4771,1000600,2,100,'Reduces resistibility by 6%',0,0),
(4772,1000600,2,100,'Reduces power cost by 16%',0,1),
(4773,1000600,3,100,'Reduces resistibility by 9%',0,0),
(4774,1000600,3,100,'Reduces power cost by 24%',0,1),
(4775,1000600,4,100,'Reduces resistibility by 12%',0,0),
(4776,1000600,4,100,'Reduces power cost by 32%',0,1),
(4777,1000600,5,100,'Reduces resistibility by 15%',0,0),
(4778,1000600,5,100,'Reduces power cost by 40%',0,1),
(4779,1000601,1,100,'Reduces resistibility by 3%',0,0),
(4780,1000601,1,100,'Reduces power cost by 8%',0,1),
(4781,1000601,2,100,'Reduces resistibility by 6%',0,0),
(4782,1000601,2,100,'Reduces power cost by 16%',0,1),
(4783,1000601,3,100,'Reduces resistibility by 9%',0,0),
(4784,1000601,3,100,'Reduces power cost by 24%',0,1),
(4785,1000601,4,100,'Reduces resistibility by 12%',0,0),
(4786,1000601,4,100,'Reduces power cost by 32%',0,1),
(4787,1000601,5,100,'Reduces resistibility by 15%',0,0),
(4788,1000601,5,100,'Reduces power cost by 40%',0,1),
(4789,1000602,1,100,'Increases damage by 7%',0,0),
(4790,1000602,2,100,'Increases damage by 14%',0,0),
(4791,1000602,3,100,'Increases damage by 21%',0,0),
(4792,1000602,4,100,'Increases damage by 28%',0,0),
(4793,1000602,5,100,'Increases damage by 35%',0,0),
(4794,1000603,1,100,'Increases damage by 2%',0,0),
(4795,1000603,1,100,'Increases radius by 15%',0,1),
(4796,1000603,2,100,'Increases damage by 4%',0,0),
(4797,1000603,2,100,'Increases radius by 30%',0,1),
(4798,1000603,3,100,'Increases damage by 6%',0,0),
(4799,1000603,3,100,'Increases radius by 45%',0,1),
(4800,1000603,4,100,'Increases damage by 8%',0,0),
(4801,1000603,4,100,'Increases radius by 60%',0,1),
(4802,1000603,5,100,'Increases damage by 10%',0,0),
(4803,1000603,5,100,'Increases radius by 75%',0,1),
(4804,1000604,1,100,'Adds dispel of beneficial physical effects on target, along with 100% casting and reuse speed to Absorb Magic.',0,0),
(4805,1000605,1,100,'Adds dispel of beneficial noxious effects on target',0,0),
(4806,1000606,1,100,'Adds dispel of beneficial Noxious effects on the target.',0,0),
(4807,1000607,1,100,'Improves reuse speed by 1 seconds and reduces resistibility by 1%',0,0),
(4808,1000607,2,100,'Improves reuse speed by 2 seconds and reduces resistibility by 2%',0,0),
(4809,1000607,3,100,'Improves reuse speed by 3 seconds and reduces resistibility by 3%',0,0),
(4810,1000607,4,100,'Improves reuse speed by 4 seconds and reduces resistibility by 4%',0,0),
(4811,1000607,5,100,'Improves reuse speed by 5 seconds and reduces resistibility by 5%',0,0),
(4812,1000608,1,100,'Improves reuse speed by 0.5 seconds',0,0),
(4813,1000608,1,100,'Reduces duration by 1.5 seconds',0,1),
(4814,1000608,1,100,'Improves the Crit Bonus by 2%',0,2),
(4815,1000608,2,100,'Improves reuse speed by 1 seconds',0,0),
(4816,1000608,2,100,'Reduces duration by 3 seconds',0,1),
(4817,1000608,2,100,'Improves the Crit Bonus by 4%',0,2),
(4818,1000608,3,100,'Improves reuse speed by 1.5 seconds',0,0),
(4819,1000608,3,100,'Reduces duration by 4.5 seconds',0,1),
(4820,1000608,3,100,'Improves the Crit Bonus by 6%',0,2),
(4821,1000608,4,100,'Improves reuse speed by 2 seconds',0,0),
(4822,1000608,4,100,'Reduces duration by 6 seconds',0,1),
(4823,1000608,4,100,'Improves the Crit Bonus by 8%',0,2),
(4824,1000608,5,100,'Improves reuse speed by 2.5 seconds',0,0),
(4825,1000608,5,100,'Reduces duration by 7.5 seconds',0,1),
(4826,1000608,5,100,'Improves the Crit Bonus by 10%',0,2),
(4827,1000609,1,100,'Increases damage by 10%',0,0),
(4828,1000609,2,100,'Increases damage by 20%',0,0),
(4829,1000609,3,100,'Increases damage by 30%',0,0),
(4830,1000610,1,100,'Improves combat art hit chances by 3%, as well as the piercing and slashing skills of your scout pet.',0,0),
(4831,1000611,1,100,'Increases trigger chance by 2%',0,0),
(4832,1000611,2,100,'Increases trigger chance by 4%',0,0),
(4833,1000611,3,100,'Increases trigger chance by 6%',0,0),
(4834,1000611,4,100,'Increases trigger chance by 8%',0,0),
(4835,1000611,5,100,'Increases trigger chance by 10%',0,0),
(4836,1000612,1,100,'Applies Enhance: Amphibian Consumption to qualifying pets.',0,0),
(4837,1000612,1,100,'Improves the damage and heal amount of Amphibian Consumption by 1%',1,1),
(4838,1000612,2,100,'Applies Enhance: Amphibian Consumption to qualifying pets.',0,0),
(4839,1000612,2,100,'Improves the damage and heal amount of Amphibian Consumption by 2%',1,1),
(4840,1000612,3,100,'Applies Enhance: Amphibian Consumption to qualifying pets.',0,0),
(4841,1000612,3,100,'Improves the damage and heal amount of Amphibian Consumption by 3%',1,1),
(4842,1000612,4,100,'Applies Enhance: Amphibian Consumption to qualifying pets.',0,0),
(4843,1000612,4,100,'Improves the damage and heal amount of Amphibian Consumption by 4%',1,1),
(4844,1000612,5,100,'Applies Enhance: Amphibian Consumption to qualifying pets.',0,0),
(4845,1000612,5,100,'Improves the damage and heal amount of Amphibian Consumption by 5%',1,1),
(4846,1000612,6,100,'Applies Enhance: Amphibian Consumption to qualifying pets.',0,0),
(4847,1000612,6,100,'Improves the damage and heal amount of Amphibian Consumption by 6%',1,1),
(4848,1000612,7,100,'Applies Enhance: Amphibian Consumption to qualifying pets.',0,0),
(4849,1000612,7,100,'Improves the damage and heal amount of Amphibian Consumption by 7%',1,1),
(4850,1000612,8,100,'Applies Enhance: Amphibian Consumption to qualifying pets.',0,0),
(4851,1000612,8,100,'Improves the damage and heal amount of Amphibian Consumption by 8%',1,1),
(4852,1000612,9,100,'Applies Enhance: Amphibian Consumption to qualifying pets.',0,0),
(4853,1000612,9,100,'Improves the damage and heal amount of Amphibian Consumption by 9%',1,1),
(4854,1000612,10,100,'Applies Enhance: Amphibian Consumption to qualifying pets.',0,0),
(4855,1000612,10,100,'Improves the damage and heal amount of Amphibian Consumption by 10%',1,1),
(4856,1000613,1,100,'Adds wisdom and intelligence bonuses',0,0),
(4857,1000613,2,100,'Adds wisdom and intelligence bonuses',0,0),
(4858,1000613,3,100,'Adds wisdom and intelligence bonuses',0,0),
(4859,1000613,4,100,'Adds wisdom and intelligence bonuses',0,0),
(4860,1000613,5,100,'Adds wisdom and intelligence bonuses',0,0),
(4861,1000614,1,100,'Improves reuse speed by 45 seconds',0,0),
(4862,1000614,1,100,'Improves the Crit Bonus by 5%',0,1),
(4863,1000614,2,100,'Improves reuse speed by 90 seconds',0,0),
(4864,1000614,2,100,'Improves the Crit Bonus by 10%',0,1),
(4865,1000614,3,100,'Improves reuse speed by 135 seconds',0,0),
(4866,1000614,3,100,'Improves the Crit Bonus by 15%',0,1),
(4867,1000614,4,100,'Improves reuse speed by 180 seconds',0,0),
(4868,1000614,4,100,'Improves the Crit Bonus by 20%',0,1),
(4869,1000614,5,100,'Improves reuse speed by 225 seconds',0,0),
(4870,1000614,5,100,'Improves the Crit Bonus by 25%',0,1),
(4871,1000615,1,100,'A successful cure will result in the target receiving additional protection from a ward.',0,0),
(4872,1000615,2,100,'A successful cure will result in the target receiving additional protection from a ward.',0,0),
(4873,1000615,3,100,'A successful cure will result in the target receiving additional protection from a ward.',0,0),
(4874,1000615,4,100,'A successful cure will result in the target receiving additional protection from a ward.',0,0),
(4875,1000615,5,100,'A successful cure will result in the target receiving additional protection from a ward.',0,0),
(4876,1000616,1,100,'Reduces the power cost of Ancestral Channeling by 10%.',0,0),
(4877,1000616,2,100,'Reduces the power cost of Ancestral Channeling by 20%.',0,0),
(4878,1000616,3,100,'Reduces the power cost of Ancestral Channeling by 30%.',0,0),
(4879,1000616,4,100,'Reduces the power cost of Ancestral Channeling by 40%.',0,0),
(4880,1000616,5,100,'Reduces the power cost of Ancestral Channeling by 50%.',0,0),
(4881,1000616,6,100,'Reduces the power cost of Ancestral Channeling by 60%.',0,0),
(4882,1000616,7,100,'Reduces the power cost of Ancestral Channeling by 70%.',0,0),
(4883,1000616,8,100,'Reduces the power cost of Ancestral Channeling by 80%.',0,0),
(4884,1000616,9,100,'Reduces the power cost of Ancestral Channeling by 90%.',0,0),
(4885,1000616,10,100,'Reduces the power cost of Ancestral Channeling by 100%.',0,0),
(4886,1000616,10,100,'Adds an additional tick to Ancestral Channeling.',0,1),
(4887,1000616,10,100,'Increases the duration of Ancestral Channeling by 1 second.',0,2),
(4888,1000617,1,100,'Reduces resistibility by 5%',0,0),
(4889,1000617,1,100,'Reduces power cost by 8%',0,1),
(4890,1000617,2,100,'Reduces resistibility by 10%',0,0),
(4891,1000617,2,100,'Reduces power cost by 16%',0,1),
(4892,1000617,3,100,'Reduces resistibility by 15%',0,0),
(4893,1000617,3,100,'Reduces power cost by 24%',0,1),
(4894,1000617,4,100,'Reduces resistibility by 20%',0,0),
(4895,1000617,4,100,'Reduces power cost by 32%',0,1),
(4896,1000617,5,100,'Reduces resistibility by 25%',0,0),
(4897,1000617,5,100,'Reduces power cost by 40%',0,1),
(4898,1000618,1,100,'Increases damage by 5%',0,0),
(4899,1000618,2,100,'Increases damage by 10%',0,0),
(4900,1000618,3,100,'Increases damage by 15%',0,0),
(4901,1000618,4,100,'Increases damage by 20%',0,0),
(4902,1000618,5,100,'Increases damage by 25%',0,0),
(4903,1000619,1,100,'Increases skill reduction by 7%',0,0),
(4904,1000619,1,100,'Increases resist reduction by 5%',0,1),
(4905,1000619,2,100,'Increases skill reduction by 14%',0,0),
(4906,1000619,2,100,'Increases resist reduction by 10%',0,1),
(4907,1000619,3,100,'Increases skill reduction by 21%',0,0),
(4908,1000619,3,100,'Increases resist reduction by 15%',0,1),
(4909,1000619,4,100,'Increases skill reduction by 28%',0,0),
(4910,1000619,4,100,'Increases resist reduction by 20%',0,1),
(4911,1000619,5,100,'Increases skill reduction by 35%',0,0),
(4912,1000619,5,100,'Increases resist reduction by 25%',0,1),
(4913,1000620,1,100,'Applies Enhance: Ankle Bite to qualifying pets.',0,0),
(4914,1000620,1,100,'Improves the damage of Ankle Bite by 1%',1,1),
(4915,1000620,2,100,'Applies Enhance: Ankle Bite to qualifying pets.',0,0),
(4916,1000620,2,100,'Improves the damage of Ankle Bite by 2%',1,1),
(4917,1000620,3,100,'Applies Enhance: Ankle Bite to qualifying pets.',0,0),
(4918,1000620,3,100,'Improves the damage of Ankle Bite by 3%',1,1),
(4919,1000620,4,100,'Applies Enhance: Ankle Bite to qualifying pets.',0,0),
(4920,1000620,4,100,'Improves the damage of Ankle Bite by 4%',1,1),
(4921,1000620,5,100,'Applies Enhance: Ankle Bite to qualifying pets.',0,0),
(4922,1000620,5,100,'Improves the damage of Ankle Bite by 5%',1,1),
(4923,1000620,6,100,'Applies Enhance: Ankle Bite to qualifying pets.',0,0),
(4924,1000620,6,100,'Improves the damage of Ankle Bite by 6%',1,1),
(4925,1000620,7,100,'Applies Enhance: Ankle Bite to qualifying pets.',0,0),
(4926,1000620,7,100,'Improves the damage of Ankle Bite by 7%',1,1),
(4927,1000620,8,100,'Applies Enhance: Ankle Bite to qualifying pets.',0,0),
(4928,1000620,8,100,'Improves the damage of Ankle Bite by 8%',1,1),
(4929,1000620,9,100,'Applies Enhance: Ankle Bite to qualifying pets.',0,0),
(4930,1000620,9,100,'Improves the damage of Ankle Bite by 9%',1,1),
(4931,1000620,10,100,'Applies Enhance: Ankle Bite to qualifying pets.',0,0),
(4932,1000620,10,100,'Improves the damage of Ankle Bite by 10%',1,1),
(4933,1000621,1,100,'Increases damage by 2%',0,0),
(4934,1000621,1,100,'Increases radius by 15%',0,1),
(4935,1000621,2,100,'Increases damage by 4%',0,0),
(4936,1000621,2,100,'Increases radius by 30%',0,1),
(4937,1000621,3,100,'Increases damage by 6%',0,0),
(4938,1000621,3,100,'Increases radius by 45%',0,1),
(4939,1000621,4,100,'Increases damage by 8%',0,0),
(4940,1000621,4,100,'Increases radius by 60%',0,1),
(4941,1000621,5,100,'Increases damage by 10%',0,0),
(4942,1000621,5,100,'Increases radius by 75%',0,1),
(4943,1000622,1,100,'Increases trigger chance by 1.5%',0,0),
(4944,1000622,1,100,'Increases damage of Assassin''s Hemotoxin by 3%',0,1),
(4945,1000622,2,100,'Increases trigger chance by 3%',0,0),
(4946,1000622,2,100,'Increases damage of Assassin''s Hemotoxin by 6%',0,1),
(4947,1000622,3,100,'Increases trigger chance by 4.5%',0,0),
(4948,1000622,3,100,'Increases damage of Assassin''s Hemotoxin by 9%',0,1),
(4949,1000622,4,100,'Increases trigger chance by 6%',0,0),
(4950,1000622,4,100,'Increases damage of Assassin''s Hemotoxin by 12%',0,1),
(4951,1000622,5,100,'Increases trigger chance by 7.5%',0,0),
(4952,1000622,5,100,'Increases damage of Assassin''s Hemotoxin by 15%',0,1),
(4953,1000623,1,100,'Applies Enhance: Aquatic Regeneration to qualifying pets.',0,0),
(4954,1000623,1,100,'Improves the heal amount of Aquatic Regeneration by 2%',1,1),
(4955,1000623,2,100,'Applies Enhance: Aquatic Regeneration to qualifying pets.',0,0),
(4956,1000623,2,100,'Improves the heal amount of Aquatic Regeneration by 4%',1,1),
(4957,1000623,3,100,'Applies Enhance: Aquatic Regeneration to qualifying pets.',0,0),
(4958,1000623,3,100,'Improves the heal amount of Aquatic Regeneration by 6%',1,1),
(4959,1000623,4,100,'Applies Enhance: Aquatic Regeneration to qualifying pets.',0,0),
(4960,1000623,4,100,'Improves the heal amount of Aquatic Regeneration by 8%',1,1),
(4961,1000623,5,100,'Applies Enhance: Aquatic Regeneration to qualifying pets.',0,0),
(4962,1000623,5,100,'Improves the heal amount of Aquatic Regeneration by 10%',1,1),
(4963,1000623,6,100,'Applies Enhance: Aquatic Regeneration to qualifying pets.',0,0),
(4964,1000623,6,100,'Improves the heal amount of Aquatic Regeneration by 12%',1,1),
(4965,1000623,7,100,'Applies Enhance: Aquatic Regeneration to qualifying pets.',0,0),
(4966,1000623,7,100,'Improves the heal amount of Aquatic Regeneration by 14%',1,1),
(4967,1000623,8,100,'Applies Enhance: Aquatic Regeneration to qualifying pets.',0,0),
(4968,1000623,8,100,'Improves the heal amount of Aquatic Regeneration by 16%',1,1),
(4969,1000623,9,100,'Applies Enhance: Aquatic Regeneration to qualifying pets.',0,0),
(4970,1000623,9,100,'Improves the heal amount of Aquatic Regeneration by 18%',1,1),
(4971,1000623,10,100,'Applies Enhance: Aquatic Regeneration to qualifying pets.',0,0),
(4972,1000623,10,100,'Improves the heal amount of Aquatic Regeneration by 20%',1,1),
(4973,1000624,1,100,'Improves casting time by 0.1 seconds',0,0),
(4974,1000624,1,100,'Increases duration by 1 seconds',0,1),
(4975,1000625,1,100,'Applies Enhance: Arcane Affliction to qualifying pets.',0,0),
(4976,1000625,1,100,'Improves the damage of Arcane Affliction by 1%',1,1),
(4977,1000625,2,100,'Applies Enhance: Arcane Affliction to qualifying pets.',0,0),
(4978,1000625,2,100,'Improves the damage of Arcane Affliction by 2%',1,1),
(4979,1000625,3,100,'Applies Enhance: Arcane Affliction to qualifying pets.',0,0),
(4980,1000625,3,100,'Improves the damage of Arcane Affliction by 3%',1,1),
(4981,1000625,4,100,'Applies Enhance: Arcane Affliction to qualifying pets.',0,0),
(4982,1000625,4,100,'Improves the damage of Arcane Affliction by 4%',1,1),
(4983,1000625,5,100,'Applies Enhance: Arcane Affliction to qualifying pets.',0,0),
(4984,1000625,5,100,'Improves the damage of Arcane Affliction by 5%',1,1),
(4985,1000625,6,100,'Applies Enhance: Arcane Affliction to qualifying pets.',0,0),
(4986,1000625,6,100,'Improves the damage of Arcane Affliction by 6%',1,1),
(4987,1000625,7,100,'Applies Enhance: Arcane Affliction to qualifying pets.',0,0),
(4988,1000625,7,100,'Improves the damage of Arcane Affliction by 7%',1,1),
(4989,1000625,8,100,'Applies Enhance: Arcane Affliction to qualifying pets.',0,0),
(4990,1000625,8,100,'Improves the damage of Arcane Affliction by 8%',1,1),
(4991,1000625,9,100,'Applies Enhance: Arcane Affliction to qualifying pets.',0,0),
(4992,1000625,9,100,'Improves the damage of Arcane Affliction by 9%',1,1),
(4993,1000625,10,100,'Applies Enhance: Arcane Affliction to qualifying pets.',0,0),
(4994,1000625,10,100,'Improves the damage of Arcane Affliction by 10%',1,1),
(4995,1000626,1,100,'Adds a ward that will absorb Arcane damage.',0,0),
(4996,1000626,2,100,'Adds a ward that will absorb Arcane damage.',0,0),
(4997,1000626,3,100,'Adds a ward that will absorb Arcane damage.',0,0),
(4998,1000626,4,100,'Adds a ward that will absorb Arcane damage.',0,0),
(4999,1000626,5,100,'Adds a ward that will absorb Arcane damage.',0,0),
(5000,1000627,1,100,'Increases damage by 3%',0,0),
(5001,1000627,1,100,'Improves reuse speed by 2 seconds',0,1),
(5002,1000627,2,100,'Increases damage by 6%',0,0),
(5003,1000627,2,100,'Improves reuse speed by 4 seconds',0,1),
(5004,1000627,3,100,'Increases damage by 9%',0,0),
(5005,1000627,3,100,'Improves reuse speed by 6 seconds',0,1),
(5006,1000627,4,100,'Increases damage by 12%',0,0),
(5007,1000627,4,100,'Improves reuse speed by 8 seconds',0,1),
(5008,1000627,5,100,'Increases damage by 15%',0,0),
(5009,1000627,5,100,'Improves reuse speed by 10 seconds',0,1),
(5010,1000628,1,100,'Increases trigger chance by 3%',0,0),
(5011,1000628,2,100,'Increases trigger chance by 6%',0,0),
(5012,1000628,3,100,'Increases trigger chance by 9%',0,0),
(5013,1000628,4,100,'Increases trigger chance by 12%',0,0),
(5014,1000628,5,100,'Increases trigger chance by 15%',0,0),
(5015,1000629,1,100,'Increases the mitigation by 6%.',0,0),
(5016,1000629,2,100,'Increases the mitigation by 12%.',0,0),
(5017,1000629,3,100,'Increases the mitigation by 18%.',0,0),
(5018,1000629,4,100,'Increases the mitigation by 24%.',0,0),
(5019,1000629,5,100,'Increases the mitigation by 30%.',0,0),
(5020,1000630,1,100,'Increases block chance by 3%.',0,0),
(5021,1000630,2,100,'Increases block chance by 6%.',0,0),
(5022,1000630,3,100,'Increases block chance by 9%.',0,0),
(5023,1000630,4,100,'Increases block chance by 12%.',0,0),
(5024,1000630,5,100,'Increases block chance by 15%.',0,0),
(5025,1000631,1,100,'Increases Arcane resist reduction by 7%',0,0),
(5026,1000631,2,100,'Increases Arcane resist reduction by 14%',0,0),
(5027,1000631,3,100,'Increases Arcane resist reduction by 21%',0,0),
(5028,1000631,4,100,'Increases Arcane resist reduction by 28%',0,0),
(5029,1000631,5,100,'Increases Arcane resist reduction by 35%',0,0),
(5030,1000632,1,100,'Reduces resistibility by 3%',0,0),
(5031,1000632,1,100,'Reduces power cost by 8%',0,1),
(5032,1000632,2,100,'Reduces resistibility by 6%',0,0),
(5033,1000632,2,100,'Reduces power cost by 16%',0,1),
(5034,1000632,3,100,'Reduces resistibility by 9%',0,0),
(5035,1000632,3,100,'Reduces power cost by 24%',0,1),
(5036,1000632,4,100,'Reduces resistibility by 12%',0,0),
(5037,1000632,4,100,'Reduces power cost by 32%',0,1),
(5038,1000632,5,100,'Reduces resistibility by 15%',0,0),
(5039,1000632,5,100,'Reduces power cost by 40%',0,1),
(5040,1000633,1,100,'Increases attribute reduction by 8%',0,0),
(5041,1000633,2,100,'Increases attribute reduction by 16%',0,0),
(5042,1000633,3,100,'Increases attribute reduction by 24%',0,0),
(5043,1000633,4,100,'Increases attribute reduction by 32%',0,0),
(5044,1000633,5,100,'Increases attribute reduction by 40%',0,0),
(5045,1000634,1,100,'Reduces the reuse of Aura of the Crusader by 1 seconds.',0,0),
(5046,1000634,2,100,'Reduces the reuse of Aura of the Crusader by 2 seconds.',0,0),
(5047,1000634,3,100,'Reduces the reuse of Aura of the Crusader by 3 seconds.',0,0),
(5048,1000634,4,100,'Reduces the reuse of Aura of the Crusader by 4 seconds.',0,0),
(5049,1000634,5,100,'Reduces the reuse of Aura of the Crusader by 5 seconds.',0,0),
(5050,1000634,6,100,'Reduces the reuse of Aura of the Crusader by 6 seconds.',0,0),
(5051,1000634,7,100,'Reduces the reuse of Aura of the Crusader by 7 seconds.',0,0),
(5052,1000634,8,100,'Reduces the reuse of Aura of the Crusader by 8 seconds.',0,0),
(5053,1000634,9,100,'Reduces the reuse of Aura of the Crusader by 9 seconds.',0,0),
(5054,1000634,10,100,'Reduces the reuse of Aura of the Crusader by 10 seconds.',0,0),
(5055,1000635,1,100,'Increases trigger chance by 2%',0,0),
(5056,1000635,2,100,'Increases trigger chance by 4%',0,0),
(5057,1000635,3,100,'Increases trigger chance by 6%',0,0),
(5058,1000635,4,100,'Increases trigger chance by 8%',0,0),
(5059,1000635,5,100,'Increases trigger chance by 10%',0,0),
(5060,1000636,1,100,'Improves reuse speed by 2 seconds',0,0),
(5061,1000636,2,100,'Improves reuse speed by 4 seconds',0,0),
(5062,1000636,3,100,'Improves reuse speed by 6 seconds',0,0),
(5063,1000636,4,100,'Improves reuse speed by 8 seconds',0,0),
(5064,1000636,5,100,'Improves reuse speed by 10 seconds',0,0),
(5065,1000637,1,100,'Increases duration by 0.3 seconds',0,0),
(5066,1000637,1,100,'Reduces resistibility by 3%',0,1),
(5067,1000637,2,100,'Increases duration by 0.6 seconds',0,0),
(5068,1000637,2,100,'Reduces resistibility by 6%',0,1),
(5069,1000637,3,100,'Increases duration by 0.9 seconds',0,0),
(5070,1000637,3,100,'Reduces resistibility by 9%',0,1),
(5071,1000637,4,100,'Increases duration by 1.2 seconds',0,0),
(5072,1000637,4,100,'Reduces resistibility by 12%',0,1),
(5073,1000637,5,100,'Increases duration by 1.5 seconds',0,0),
(5074,1000637,5,100,'Reduces resistibility by 15%',0,1),
(5075,1000638,1,100,'Reduces power cost by 3%',0,0),
(5076,1000638,1,100,'Improves casting speed by 0.1 seconds',0,1),
(5077,1000638,1,100,'Improves the Crit Bonus by 1%',0,2),
(5078,1000638,2,100,'Reduces power cost by 6%',0,0),
(5079,1000638,2,100,'Improves casting speed by 0.2 seconds',0,1),
(5080,1000638,2,100,'Improves the Crit Bonus by 2%',0,2),
(5081,1000638,3,100,'Reduces power cost by 9%',0,0),
(5082,1000638,3,100,'Improves casting speed by 0.3 seconds',0,1),
(5083,1000638,3,100,'Improves the Crit Bonus by 3%',0,2),
(5084,1000638,4,100,'Reduces power cost by 12%',0,0),
(5085,1000638,4,100,'Improves casting speed by 0.4 seconds',0,1),
(5086,1000638,4,100,'Improves the Crit Bonus by 4%',0,2),
(5087,1000638,5,100,'Reduces power cost by 15%',0,0),
(5088,1000638,5,100,'Improves casting speed by 0.5 seconds',0,1),
(5089,1000638,5,100,'Improves the Crit Bonus by 5%',0,2),
(5090,1000639,1,100,'Increases trigger chance by 1%',0,0),
(5091,1000639,1,100,'Increases triggered ward percentage by 4%',0,1),
(5092,1000639,2,100,'Increases trigger chance by 2%',0,0),
(5093,1000639,2,100,'Increases triggered ward percentage by 8%',0,1),
(5094,1000639,3,100,'Increases trigger chance by 3%',0,0),
(5095,1000639,3,100,'Increases triggered ward percentage by 12%',0,1),
(5096,1000639,4,100,'Increases trigger chance by 4%',0,0),
(5097,1000639,4,100,'Increases triggered ward percentage by 16%',0,1),
(5098,1000639,5,100,'Increases trigger chance by 5%',0,0),
(5099,1000639,5,100,'Increases triggered ward percentage by 20%',0,1),
(5100,1000640,1,100,'Improves the damage of Barrage by 2%',0,0),
(5101,1000640,2,100,'Improves the damage of Barrage by 4%',0,0),
(5102,1000640,3,100,'Improves the damage of Barrage by 6%',0,0),
(5103,1000640,4,100,'Improves the damage of Barrage by 8%',0,0),
(5104,1000640,5,100,'Improves the damage of Barrage by 10%',0,0),
(5105,1000641,1,100,'Improves crit bonus by 1',0,0),
(5106,1000641,1,100,'Increases hit percentage by 3%',0,1),
(5107,1000641,2,100,'Improves crit bonus by 2',0,0),
(5108,1000641,2,100,'Increases hit percentage by 6%',0,1),
(5109,1000641,3,100,'Improves reuse speed by 6 seconds',0,0),
(5110,1000641,3,100,'Increases hit percentage by 9%',0,1),
(5111,1000641,4,100,'Improves crit bonus by 4',0,0),
(5112,1000641,4,100,'Increases hit percentage by 12%',0,1),
(5113,1000641,5,100,'Improves crit bonus by 5',0,0),
(5114,1000641,5,100,'Increases hit percentage by 15%',0,1),
(5115,1000642,1,100,'Applies Enhance: Batter to qualifying pets.',0,0),
(5116,1000642,1,100,'Improves the damage of Batter by 1%',1,1),
(5117,1000642,2,100,'Applies Enhance: Batter to qualifying pets.',0,0),
(5118,1000642,2,100,'Improves the damage of Batter by 2%',1,1),
(5119,1000642,3,100,'Applies Enhance: Batter to qualifying pets.',0,0),
(5120,1000642,3,100,'Improves the damage of Batter by 3%',1,1),
(5121,1000642,4,100,'Applies Enhance: Batter to qualifying pets.',0,0),
(5122,1000642,4,100,'Improves the damage of Batter by 4%',1,1),
(5123,1000642,5,100,'Applies Enhance: Batter to qualifying pets.',0,0),
(5124,1000642,5,100,'Improves the damage of Batter by 5%',1,1),
(5125,1000642,6,100,'Applies Enhance: Batter to qualifying pets.',0,0),
(5126,1000642,6,100,'Improves the damage of Batter by 6%',1,1),
(5127,1000642,7,100,'Applies Enhance: Batter to qualifying pets.',0,0),
(5128,1000642,7,100,'Improves the damage of Batter by 7%',1,1),
(5129,1000642,8,100,'Applies Enhance: Batter to qualifying pets.',0,0),
(5130,1000642,8,100,'Improves the damage of Batter by 8%',1,1),
(5131,1000642,9,100,'Applies Enhance: Batter to qualifying pets.',0,0),
(5132,1000642,9,100,'Improves the damage of Batter by 9%',1,1),
(5133,1000642,10,100,'Applies Enhance: Batter to qualifying pets.',0,0),
(5134,1000642,10,100,'Improves the damage of Batter by 10%',1,1),
(5135,1000643,1,100,'Reduces the radius of the target''s AOE spells by 30%',0,0),
(5136,1000644,1,100,'Increases crush, slash, and pierce resists by 7%',0,0),
(5137,1000644,2,100,'Increases crush, slash, and pierce resists by 14%',0,0),
(5138,1000644,3,100,'Increases crush, slash, and pierce resists by 21%',0,0),
(5139,1000644,4,100,'Increases crush, slash, and pierce resists by 28%',0,0),
(5140,1000644,5,100,'Increases crush, slash, and pierce resists by 35%',0,0),
(5141,1000645,1,100,'Increases mitigations by 5%',0,0),
(5142,1000645,2,100,'Increases mitigations by 10%',0,0),
(5143,1000645,3,100,'Increases mitigations by 15%',0,0),
(5144,1000646,1,100,'Increases trigger chance by 1%',0,0),
(5145,1000646,2,100,'Increases trigger chance by 2%',0,0),
(5146,1000646,3,100,'Increases trigger chance by 3%',0,0),
(5147,1000646,4,100,'Increases trigger chance by 4%',0,0),
(5148,1000646,5,100,'Increases trigger chance by 5%',0,0),
(5149,1000647,1,100,'Increases damage by 5%',0,0),
(5150,1000647,2,100,'Increases damage by 10%',0,0),
(5151,1000647,3,100,'Increases damage by 15%',0,0),
(5152,1000647,4,100,'Increases damage by 20%',0,0),
(5153,1000647,5,100,'Increases damage by 25%',0,0),
(5154,1000648,1,100,'Applies Enhance: Bird''s Eye to qualifying pets.',0,0),
(5155,1000648,1,100,'Improves the duration of Bird''s Eye by 10%',1,1),
(5156,1000648,2,100,'Applies Enhance: Bird''s Eye to qualifying pets.',0,0),
(5157,1000648,2,100,'Improves the duration of Bird''s Eye by 20%',1,1),
(5158,1000648,3,100,'Applies Enhance: Bird''s Eye to qualifying pets.',0,0),
(5159,1000648,3,100,'Improves the duration of Bird''s Eye by 30%',1,1),
(5160,1000648,4,100,'Applies Enhance: Bird''s Eye to qualifying pets.',0,0),
(5161,1000648,4,100,'Improves the duration of Bird''s Eye by 40%',1,1),
(5162,1000648,5,100,'Applies Enhance: Bird''s Eye to qualifying pets.',0,0),
(5163,1000648,5,100,'Improves the duration of Bird''s Eye by 50%',1,1),
(5164,1000648,6,100,'Applies Enhance: Bird''s Eye to qualifying pets.',0,0),
(5165,1000648,6,100,'Improves the duration of Bird''s Eye by 60%',1,1),
(5166,1000648,7,100,'Applies Enhance: Bird''s Eye to qualifying pets.',0,0),
(5167,1000648,7,100,'Improves the duration of Bird''s Eye by 70%',1,1),
(5168,1000648,8,100,'Applies Enhance: Bird''s Eye to qualifying pets.',0,0),
(5169,1000648,8,100,'Improves the duration of Bird''s Eye by 80%',1,1),
(5170,1000648,9,100,'Applies Enhance: Bird''s Eye to qualifying pets.',0,0),
(5171,1000648,9,100,'Improves the duration of Bird''s Eye by 90%',1,1),
(5172,1000648,10,100,'Applies Enhance: Bird''s Eye to qualifying pets.',0,0),
(5173,1000648,10,100,'Improves the duration of Bird''s Eye by 100%',1,1),
(5174,1000649,1,100,'Increases disease resist reduction by 8%',0,0),
(5175,1000649,2,100,'Increases disease resist reduction by 16%',0,0),
(5176,1000649,3,100,'Increases disease resist reduction by 24%',0,0),
(5177,1000649,4,100,'Increases disease resist reduction by 32%',0,0),
(5178,1000649,5,100,'Adds an effect which reduces combat mitigation.',0,0),
(5179,1000650,1,100,'Reduces resistibility by 10%',0,0),
(5180,1000650,2,100,'Reduces resistibility by 20%',0,0),
(5181,1000650,3,100,'Reduces resistibility by 30%',0,0),
(5182,1000651,1,100,'Increases the radius of Blast of Devastation by 0.5.',0,0),
(5183,1000651,1,100,'Improves the damage of Blast of Devastation by 10%.',0,1),
(5184,1000651,2,100,'Increases the radius of Blast of Devastation by 1.',0,0),
(5185,1000651,2,100,'Improves the damage of Blast of Devastation by 20%.',0,1),
(5186,1000651,3,100,'Increases the radius of Blast of Devastation by 1.5.',0,0),
(5187,1000651,3,100,'Improves the damage of Blast of Devastation by 30%.',0,1),
(5188,1000651,4,100,'Increases the radius of Blast of Devastation by 2.',0,0),
(5189,1000651,4,100,'Improves the damage of Blast of Devastation by 40%.',0,1),
(5190,1000651,5,100,'Increases the radius of Blast of Devastation by 2.5.',0,0),
(5191,1000651,5,100,'Improves the damage of Blast of Devastation by 50%.',0,1),
(5192,1000651,6,100,'Increases the radius of Blast of Devastation by 3.',0,0),
(5193,1000651,6,100,'Improves the damage of Blast of Devastation by 60%.',0,1),
(5194,1000651,7,100,'Increases the radius of Blast of Devastation by 3.5.',0,0),
(5195,1000651,7,100,'Improves the damage of Blast of Devastation by 70%.',0,1),
(5196,1000651,8,100,'Increases the radius of Blast of Devastation by 4.',0,0),
(5197,1000651,8,100,'Improves the damage of Blast of Devastation by 80%.',0,1),
(5198,1000651,9,100,'Increases the radius of Blast of Devastation by 4.5.',0,0),
(5199,1000651,9,100,'Improves the damage of Blast of Devastation by 90%.',0,1),
(5200,1000651,10,100,'Increases the radius of Blast of Devastation by 5.',0,0),
(5201,1000651,10,100,'Improves the damage of Blast of Devastation by 100%.',0,1),
(5202,1000652,1,100,'Reduces power cost by 10%',0,0),
(5203,1000652,1,100,'Improves casting speed by 0.2 seconds',0,1),
(5204,1000652,1,100,'Improves reuse speed by 0.5 seconds',0,2),
(5205,1000652,1,100,'Improves the Crit Bonus by 1%',0,3),
(5206,1000652,2,100,'Reduces power cost by 20%',0,0),
(5207,1000652,2,100,'Improves casting speed by 0.4 seconds',0,1),
(5208,1000652,2,100,'Improves reuse speed by 1 seconds',0,2),
(5209,1000652,2,100,'Improves the Crit Bonus by 2%',0,3),
(5210,1000652,3,100,'Reduces power cost by 30%',0,0),
(5211,1000652,3,100,'Improves casting speed by 0.6 seconds',0,1),
(5212,1000652,3,100,'Improves reuse speed by 1.5 seconds',0,2),
(5213,1000652,3,100,'Improves the Crit Bonus by 3%',0,3),
(5214,1000652,4,100,'Reduces power cost by 40%',0,0),
(5215,1000652,4,100,'Improves casting speed by 0.8 seconds',0,1),
(5216,1000652,4,100,'Improves reuse speed by 2 seconds',0,2),
(5217,1000652,4,100,'Improves the Crit Bonus by 4%',0,3),
(5218,1000652,5,100,'Reduces power cost by 50%',0,0),
(5219,1000652,5,100,'Improves casting speed by 1 seconds',0,1),
(5220,1000652,5,100,'Improves reuse speed by 2.5 seconds',0,2),
(5221,1000652,5,100,'Improves the Crit Bonus by 5%',0,3),
(5222,1000653,1,100,'Increases trigger count by 1 and hastens reuse speed by 1 seconds',0,0),
(5223,1000653,2,100,'Increases trigger count by 2 and hastens reuse speed by 2 seconds',0,0),
(5224,1000654,1,100,'Increases trigger chance by 1%',0,0),
(5225,1000654,2,100,'Increases trigger chance by 2%',0,0),
(5226,1000654,3,100,'Increases trigger chance by 3%',0,0),
(5227,1000654,4,100,'Increases trigger chance by 4%',0,0),
(5228,1000654,5,100,'Increases trigger chance by 5%',0,0),
(5229,1000655,1,100,'Increases the stamina amount by 12%',0,0),
(5230,1000655,2,100,'Increases the stamina amount by 24%',0,0),
(5231,1000655,3,100,'Increases the stamina amount by 36%',0,0),
(5232,1000655,4,100,'Increases the stamina amount by 48%',0,0),
(5233,1000655,5,100,'Increases the stamina amount by 60%',0,0),
(5234,1000656,1,100,'Improves reuse speed by 2 seconds',0,0),
(5235,1000656,2,100,'Improves reuse speed by 4 seconds',0,0),
(5236,1000656,3,100,'Improves reuse speed by 6 seconds',0,0),
(5237,1000656,4,100,'Improves reuse speed by 8 seconds',0,0),
(5238,1000656,5,100,'Improves reuse speed by 10 seconds',0,0),
(5239,1000657,1,100,'Increases health replenishment by 2% of the base value',0,0),
(5240,1000657,2,100,'Increases health replenishment by 4% of the base value',0,0),
(5241,1000657,3,100,'Increases health replenishment by 6% of the base value',0,0),
(5242,1000657,4,100,'Increases health replenishment by 8% of the base value',0,0),
(5243,1000657,5,100,'Increases health replenishment by 10% of the base value',0,0),
(5244,1000658,1,100,'Increases damage by 5%',0,0),
(5245,1000658,2,100,'Increases damage by 10%',0,0),
(5246,1000658,3,100,'Increases damage by 15%',0,0),
(5247,1000658,4,100,'Increases damage by 20%',0,0),
(5248,1000658,5,100,'Increases damage by 25%',0,0),
(5249,1000659,1,100,'Reduces duration by 2 seconds',0,0),
(5250,1000659,1,100,'Increases damage by 1%',0,1),
(5251,1000659,2,100,'Reduces duration by 4 seconds',0,0),
(5252,1000659,2,100,'Increases damage by 2%',0,1),
(5253,1000659,3,100,'Reduces duration by 6 seconds',0,0),
(5254,1000659,3,100,'Increases damage by 3%',0,1),
(5255,1000659,4,100,'Reduces duration by 8 seconds',0,0),
(5256,1000659,4,100,'Increases damage by 4%',0,1),
(5257,1000659,5,100,'Reduces duration by 10 seconds',0,0),
(5258,1000659,5,100,'Increases damage by 5%',0,1),
(5259,1000660,1,100,'Reduces duration by 2 seconds',0,0),
(5260,1000660,1,100,'Reduces health cost of pet by 8%',0,1),
(5261,1000660,2,100,'Reduces duration by 4 seconds',0,0),
(5262,1000660,2,100,'Reduces health cost of pet by 16%',0,1),
(5263,1000660,3,100,'Reduces duration by 6 seconds',0,0),
(5264,1000660,3,100,'Reduces health cost of pet by 24%',0,1),
(5265,1000660,4,100,'Reduces duration by 8 seconds',0,0),
(5266,1000660,4,100,'Reduces health cost of pet by 32%',0,1),
(5267,1000660,5,100,'Reduces duration by 10 seconds',0,0),
(5268,1000660,5,100,'Reduces health cost of pet by 40%',0,1),
(5269,1000661,1,100,'Increases duration by 12%',0,0),
(5270,1000661,2,100,'Increases duration by 24%',0,0),
(5271,1000661,3,100,'Increases duration by 36%',0,0),
(5272,1000661,4,100,'Increases duration by 48%',0,0),
(5273,1000661,5,100,'Increases duration by 60%',0,0),
(5274,1000662,1,100,'Increases crush, slash, and pierce resists by 10%',0,0),
(5275,1000662,2,100,'Increases crush, slash, and pierce resists by 20%',0,0),
(5276,1000662,3,100,'Increases crush, slash, and pierce resists by 30%',0,0),
(5277,1000662,4,100,'Increases crush, slash, and pierce resists by 40%',0,0),
(5278,1000662,5,100,'Increases crush, slash, and pierce resists by 50%',0,0),
(5279,1000663,1,100,'Increases duration by 2 seconds',0,0),
(5280,1000663,2,100,'Increases duration by 4 seconds',0,0),
(5281,1000663,3,100,'Increases duration by 6 seconds',0,0),
(5282,1000663,4,100,'Increases duration by 8 seconds',0,0),
(5283,1000663,5,100,'Increases duration by 10 seconds',0,0),
(5284,1000664,1,100,'Increases the Multi Attack reduction of Bonechiller Venom by 0.5.',0,0),
(5285,1000664,2,100,'Increases the Multi Attack reduction of Bonechiller Venom by 1.',0,0),
(5286,1000664,3,100,'Increases the Multi Attack reduction of Bonechiller Venom by 1.5.',0,0),
(5287,1000664,4,100,'Increases the Multi Attack reduction of Bonechiller Venom by 2.',0,0),
(5288,1000664,5,100,'Increases the Multi Attack reduction of Bonechiller Venom by 2.5.',0,0),
(5289,1000664,6,100,'Increases the Multi Attack reduction of Bonechiller Venom by 3.',0,0),
(5290,1000664,7,100,'Increases the Multi Attack reduction of Bonechiller Venom by 3.5.',0,0),
(5291,1000664,8,100,'Increases the Multi Attack reduction of Bonechiller Venom by 4.',0,0),
(5292,1000664,9,100,'Increases the Multi Attack reduction of Bonechiller Venom by 4.5.',0,0),
(5293,1000664,10,100,'Increases the Multi Attack reduction of Bonechiller Venom by 5.',0,0),
(5294,1000664,10,100,'Converts Bonechiller Venom into a damage over time ability.',0,1),
(5295,1000665,1,100,'Increases trigger chance by 2%',0,0),
(5296,1000665,2,100,'Increases trigger chance by 4%',0,0),
(5297,1000665,3,100,'Increases trigger chance by 6%',0,0),
(5298,1000665,4,100,'Increases trigger chance by 8%',0,0),
(5299,1000665,5,100,'Increases trigger chance by 10%',0,0),
(5300,1000666,1,100,'Reduces duration by 2 seconds',0,0),
(5301,1000666,2,100,'Reduces duration by 4 seconds',0,0),
(5302,1000666,3,100,'Reduces duration by 6 seconds',0,0),
(5303,1000666,4,100,'Reduces duration by 8 seconds',0,0),
(5304,1000666,5,100,'Reduces duration by 10 seconds',0,0),
(5305,1000667,1,100,'Improves reuse speed by 30 seconds',0,0),
(5306,1000667,2,100,'Improves reuse speed by 60 seconds',0,0),
(5307,1000667,3,100,'Improves reuse speed by 90 seconds',0,0),
(5308,1000667,4,100,'Improves reuse speed by 120 seconds',0,0),
(5309,1000667,5,100,'Improves reuse speed by 150 seconds',0,0),
(5310,1000667,5,100,'Adds an extra hate position reduction to Brambles',0,1),
(5311,1000668,1,100,'Increases the duration of Brawler''s Tenacity by 1.5 seconds.',0,0),
(5312,1000668,2,100,'Increases the duration of Brawler''s Tenacity by 3 seconds.',0,0),
(5313,1000668,3,100,'Increases the duration of Brawler''s Tenacity by 4.5 seconds.',0,0),
(5314,1000668,4,100,'Increases the duration of Brawler''s Tenacity by 6 seconds.',0,0),
(5315,1000668,5,100,'Increases the duration of Brawler''s Tenacity by 7.5 seconds.',0,0),
(5316,1000668,6,100,'Increases the duration of Brawler''s Tenacity by 9 seconds.',0,0),
(5317,1000668,7,100,'Increases the duration of Brawler''s Tenacity by 10.5 seconds.',0,0),
(5318,1000668,8,100,'Increases the duration of Brawler''s Tenacity by 12 seconds.',0,0),
(5319,1000668,9,100,'Increases the duration of Brawler''s Tenacity by 13.5 seconds.',0,0),
(5320,1000668,10,100,'Increases the duration of Brawler''s Tenacity by 15 seconds.',0,0),
(5321,1000668,10,100,'Adds an additional trigger to Brawler''s Tenacity',0,1),
(5322,1000669,1,100,'Adds additional 7% chance at knockdown',0,0),
(5323,1000669,2,100,'Adds additional 14% chance at knockdown',0,0),
(5324,1000669,3,100,'Adds additional 21% chance at knockdown',0,0),
(5325,1000669,4,100,'Adds additional 28% chance at knockdown',0,0),
(5326,1000669,5,100,'Adds additional 35% chance at knockdown',0,0),
(5327,1000670,1,100,'Increases power regeneration by 5%',0,0),
(5328,1000670,2,100,'Increases power regeneration by 10%',0,0),
(5329,1000670,3,100,'Increases power regeneration by 15%',0,0),
(5330,1000670,4,100,'Increases power regeneration by 20%',0,0),
(5331,1000670,5,100,'Increases power regeneration by 25%',0,0),
(5332,1000671,1,100,'Increases duration by 2.8%',0,0),
(5333,1000671,1,100,'Reduces resistibility by 3%',0,1),
(5334,1000671,2,100,'Increases duration by 5.6%',0,0),
(5335,1000671,2,100,'Reduces resistibility by 6%',0,1),
(5336,1000671,3,100,'Increases duration by 8.4%',0,0),
(5337,1000671,3,100,'Reduces resistibility by 9%',0,1),
(5338,1000671,4,100,'Increases duration by 11.2%',0,0),
(5339,1000671,4,100,'Reduces resistibility by 12%',0,1),
(5340,1000671,5,100,'Increases duration by 14%',0,0),
(5341,1000671,5,100,'Reduces resistibility by 15%',0,1),
(5342,1000672,1,100,'Increases power regeneration by 5%',0,0),
(5343,1000673,1,100,'Increases power regeneration by 5%',0,0),
(5344,1000672,2,100,'Increases power regeneration by 10%',0,0),
(5345,1000673,2,100,'Increases power regeneration by 10%',0,0),
(5346,1000672,3,100,'Increases power regeneration by 15%',0,0),
(5347,1000673,3,100,'Increases power regeneration by 15%',0,0),
(5348,1000672,4,100,'Increases power regeneration by 20%',0,0),
(5349,1000673,4,100,'Increases power regeneration by 20%',0,0),
(5350,1000672,5,100,'Increases power regeneration by 25%',0,0),
(5351,1000673,5,100,'Increases power regeneration by 25%',0,0),
(5352,1000674,1,100,'Casts a heal on the target when Brood Cure successfully cures an effect.',0,0),
(5353,1000674,2,100,'Casts a heal on the target when Brood Cure successfully cures an effect.',0,0),
(5354,1000674,3,100,'Casts a heal on the target when Brood Cure successfully cures an effect.',0,0),
(5355,1000674,4,100,'Casts a heal on the target when Brood Cure successfully cures an effect.',0,0),
(5356,1000674,5,100,'Casts a heal on the target when Brood Cure successfully cures an effect.',0,0),
(5357,1000675,1,100,'Increases duration and reduces the reuse time by 10 seconds',0,0),
(5358,1000675,2,100,'Increases duration and reduces the reuse time by 20 seconds',0,0),
(5359,1000675,3,100,'Increases duration and reduces the reuse time by 30 seconds',0,0),
(5360,1000675,4,100,'Increases duration and reduces the reuse time by 40 seconds',0,0),
(5361,1000675,5,100,'Increases duration and reduces the reuse time by 50 seconds',0,0),
(5362,1000676,1,100,'Reduces the base recovery time of Slot 3 Conduits to 0.9 seconds',0,0),
(5363,1000676,2,100,'Reduces the base recovery time of Slot 3 Conduits to 0.8 seconds',0,0),
(5364,1000676,3,100,'Reduces the base recovery time of Slot 3 Conduits to 0.7 seconds',0,0),
(5365,1000676,4,100,'Reduces the base recovery time of Slot 3 Conduits to 0.6 seconds',0,0),
(5366,1000676,5,100,'Reduces the base recovery time of Slot 3 Conduits to 0.5 seconds',0,0),
(5367,1000677,1,100,'Increases duration by 1 seconds',0,0),
(5368,1000677,2,100,'Increases duration by 2 seconds',0,0),
(5369,1000677,3,100,'Increases duration by 3 seconds',0,0),
(5370,1000677,4,100,'Increases duration by 4 seconds',0,0),
(5371,1000677,5,100,'Increases duration by 5 seconds',0,0),
(5372,1000678,1,100,'Increases the stamina and defense bonuses by 5%.',0,0),
(5373,1000678,2,100,'Increases the stamina and defense bonuses by 10%.',0,0),
(5374,1000678,3,100,'Increases the stamina and defense bonuses by 15%.',0,0),
(5375,1000678,4,100,'Increases the stamina and defense bonuses by 20%.',0,0),
(5376,1000678,5,100,'Increases the stamina and defense bonuses by 25%.',0,0),
(5377,1000679,1,100,'Reduces casting time by 0.2 seconds',0,0),
(5378,1000679,1,100,'Increases the Crit Bonus by 2%',0,1),
(5379,1000679,1,100,'Reduces resistibility by 3%',0,2),
(5380,1000679,2,100,'Reduces casting time by 0.4 seconds',0,0),
(5381,1000679,2,100,'Increases the Crit Bonus by 4%',0,1),
(5382,1000679,2,100,'Reduces resistibility by 6%',0,2),
(5383,1000679,3,100,'Reduces casting time by 0.6 seconds',0,0),
(5384,1000679,3,100,'Increases the Crit Bonus by 6%',0,1),
(5385,1000679,3,100,'Reduces resistibility by 9%',0,2),
(5386,1000679,4,100,'Reduces casting time by 0.8 seconds',0,0),
(5387,1000679,4,100,'Increases the Crit Bonus by 8%',0,1),
(5388,1000679,4,100,'Reduces resistibility by 12%',0,2),
(5389,1000679,5,100,'Reduces casting time by 1 seconds',0,0),
(5390,1000679,5,100,'Increases the Crit Bonus by 10%',0,1),
(5391,1000679,5,100,'Reduces resistibility by 15%',0,2),
(5392,1000680,1,100,'Improves the skill bonus by 7%.',0,0),
(5393,1000680,2,100,'Improves the skill bonus by 14%.',0,0),
(5394,1000680,3,100,'Improves the skill bonus by 21%.',0,0),
(5395,1000680,4,100,'Improves the skill bonus by 28%.',0,0),
(5396,1000680,5,100,'Improves the skill bonus by 35%.',0,0),
(5397,1000681,1,100,'Increases noxious resist reduction by 6%',0,0),
(5398,1000681,2,100,'Increases noxious resist reduction by 12%',0,0),
(5399,1000681,3,100,'Increases noxious resist reduction by 18%',0,0),
(5400,1000681,4,100,'Increases noxious resist reduction by 24%',0,0),
(5401,1000681,5,100,'Increases noxious resist reduction by 30%',0,0),
(5402,1000682,1,100,'Increases power heal amount by 5%',0,0),
(5403,1000682,2,100,'Increases power heal amount by 10%',0,0),
(5404,1000682,3,100,'Increases power heal amount by 15%',0,0),
(5405,1000682,4,100,'Increases power heal amount by 20%',0,0),
(5406,1000682,5,100,'Increases power heal amount by 25%',0,0),
(5407,1000683,1,100,'Improves reuse speed by 10 seconds',0,0),
(5408,1000683,1,100,'Increases the radius by 1 meters',0,1),
(5409,1000683,2,100,'Improves reuse speed by 20 seconds',0,0),
(5410,1000683,2,100,'Increases the radius by 2 meters',0,1),
(5411,1000683,3,100,'Improves reuse speed by 30 seconds',0,0),
(5412,1000683,3,100,'Increases the radius by 3 meters',0,1),
(5413,1000683,4,100,'Improves reuse speed by 40 seconds',0,0),
(5414,1000683,4,100,'Increases the radius by 4 meters',0,1),
(5415,1000683,5,100,'Improves reuse speed by 50 seconds',0,0),
(5416,1000683,5,100,'Increases the radius by 5 meters',0,1),
(5417,1000684,1,100,'Increases damage by 2%',0,0),
(5418,1000684,1,100,'Increases radius by 15%',0,1),
(5419,1000684,2,100,'Increases damage by 4%',0,0),
(5420,1000684,2,100,'Increases radius by 30%',0,1),
(5421,1000684,3,100,'Increases damage by 6%',0,0),
(5422,1000684,3,100,'Increases radius by 45%',0,1),
(5423,1000684,4,100,'Increases damage by 8%',0,0),
(5424,1000684,4,100,'Increases radius by 60%',0,1),
(5425,1000684,5,100,'Increases damage by 10%',0,0),
(5426,1000684,5,100,'Increases radius by 75%',0,1),
(5427,1000685,1,100,'Increases base damage by 2%',0,0),
(5428,1000685,2,100,'Increases base damage by 4%',0,0),
(5429,1000685,3,100,'Increases base damage by 6%',0,0),
(5430,1000685,4,100,'Increases base damage by 8%',0,0),
(5431,1000685,5,100,'Increases base damage by 10%',0,0),
(5432,1000686,1,100,'Improves reuse speed by 1 seconds',0,0),
(5433,1000686,1,100,'Improves the Crit Bonus by 5%',0,1),
(5434,1000686,2,100,'Improves reuse speed by 2 seconds',0,0),
(5435,1000686,2,100,'Improves the Crit Bonus by 10%',0,1),
(5436,1000686,3,100,'Improves reuse speed by 3 seconds',0,0),
(5437,1000686,3,100,'Improves the Crit Bonus by 15%',0,1),
(5438,1000686,4,100,'Improves reuse speed by 4 seconds',0,0),
(5439,1000686,4,100,'Improves the Crit Bonus by 20%',0,1),
(5440,1000686,5,100,'Improves reuse speed by 5 seconds',0,0),
(5441,1000686,5,100,'Improves the Crit Bonus by 25%',0,1),
(5442,1000687,1,100,'Improves casting speed by 0.1 seconds',0,0),
(5443,1000687,1,100,'Improves resistibility by 4%',0,1),
(5444,1000687,2,100,'Improves casting speed by 0.2 seconds',0,0),
(5445,1000687,2,100,'Improves resistibility by 8%',0,1),
(5446,1000687,3,100,'Improves casting speed by 0.3 seconds',0,0),
(5447,1000687,3,100,'Improves resistibility by 12%',0,1),
(5448,1000687,4,100,'Improves casting speed by 0.4 seconds',0,0),
(5449,1000687,4,100,'Improves resistibility by 16%',0,1),
(5450,1000687,5,100,'Improves casting speed by 0.5 seconds',0,0),
(5451,1000687,5,100,'Improves resistibility by 20%',0,1),
(5452,1000688,1,100,'Improves reuse speed by 60 seconds',0,0),
(5453,1000688,1,100,'Restores power to the group instantly',0,1),
(5454,1000688,2,100,'Improves reuse speed by 120 seconds',0,0),
(5455,1000688,2,100,'Restores power to the group instantly',0,1),
(5456,1000688,3,100,'Improves reuse speed by 180 seconds',0,0),
(5457,1000688,3,100,'Restores power to the group instantly',0,1),
(5458,1000688,4,100,'Improves reuse speed by 240 seconds',0,0),
(5459,1000688,4,100,'Restores power to the group instantly',0,1),
(5460,1000688,5,100,'Improves reuse speed by 300 seconds',0,0),
(5461,1000688,5,100,'Restores power to the group instantly',0,1),
(5462,1000689,1,100,'Reduces the reuse time of Channeled Focus by 15 seconds.',0,0),
(5463,1000689,2,100,'Reduces the reuse time of Channeled Focus by 30 seconds.',0,0),
(5464,1000689,3,100,'Reduces the reuse time of Channeled Focus by 45 seconds.',0,0),
(5465,1000689,4,100,'Reduces the reuse time of Channeled Focus by 60 seconds.',0,0),
(5466,1000689,5,100,'Reduces the reuse time of Channeled Focus by 75 seconds.',0,0),
(5467,1000689,6,100,'Reduces the reuse time of Channeled Focus by 90 seconds.',0,0),
(5468,1000689,7,100,'Reduces the reuse time of Channeled Focus by 105 seconds.',0,0),
(5469,1000689,8,100,'Reduces the reuse time of Channeled Focus by 120 seconds.',0,0),
(5470,1000689,9,100,'Reduces the reuse time of Channeled Focus by 135 seconds.',0,0),
(5471,1000689,10,100,'Reduces the reuse time of Channeled Focus by 150 seconds.',0,0),
(5472,1000689,10,100,'Channeled Focus will prevent the targeted group from being interrupted, even while moving.',0,1),
(5473,1000690,1,100,'Improves the heal amount and Dodge Chance by 15%',0,0),
(5474,1000690,2,100,'Improves the heal amount and Dodge Chance by 30%',0,0),
(5475,1000690,3,100,'Improves the heal amount and Dodge Chance by 45%',0,0),
(5476,1000690,4,100,'Improves the heal amount and Dodge Chance by 60%',0,0),
(5477,1000690,5,100,'Improves the heal amount and Dodge Chance by 75%',0,0),
(5478,1000691,1,100,'Improves the health and power restored by Channeled Resurrection by 4%',0,0),
(5479,1000691,2,100,'Improves the health and power restored by Channeled Resurrection by 8%',0,0),
(5480,1000691,3,100,'Improves the health and power restored by Channeled Resurrection by 12%',0,0),
(5481,1000691,4,100,'Improves the health and power restored by Channeled Resurrection by 16%',0,0),
(5482,1000691,5,100,'Improves the health and power restored by Channeled Resurrection by 20%',0,0),
(5483,1000692,1,100,'Improves reuse speed by 3 seconds and adds magical resistances',0,0),
(5484,1000692,2,100,'Improves reuse speed by 6 seconds and adds magical resistances',0,0),
(5485,1000692,3,100,'Improves reuse speed by 9 seconds and adds magical resistances',0,0),
(5486,1000692,4,100,'Improves reuse speed by 12 seconds and adds magical resistances',0,0),
(5487,1000692,5,100,'Improves reuse speed by 15 seconds and adds magical resistances',0,0),
(5488,1000693,1,100,'Increases wisdom reduction by 10%',0,0),
(5489,1000693,2,100,'Increases wisdom reduction by 20%',0,0),
(5490,1000693,3,100,'Increases wisdom reduction by 30%',0,0),
(5491,1000693,4,100,'Increases wisdom reduction by 40%',0,0),
(5492,1000693,5,100,'Increases wisdom reduction by 50%',0,0),
(5493,1000694,1,100,'Applies Enhance: Charging Bite to qualifying pets.',0,0),
(5494,1000694,1,100,'Improves the damage of Charging Bite by 1%',1,1),
(5495,1000694,2,100,'Applies Enhance: Charging Bite to qualifying pets.',0,0),
(5496,1000694,2,100,'Improves the damage of Charging Bite by 2%',1,1),
(5497,1000694,3,100,'Applies Enhance: Charging Bite to qualifying pets.',0,0),
(5498,1000694,3,100,'Improves the damage of Charging Bite by 3%',1,1),
(5499,1000694,4,100,'Applies Enhance: Charging Bite to qualifying pets.',0,0),
(5500,1000694,4,100,'Improves the damage of Charging Bite by 4%',1,1),
(5501,1000694,5,100,'Applies Enhance: Charging Bite to qualifying pets.',0,0),
(5502,1000694,5,100,'Improves the damage of Charging Bite by 5%',1,1),
(5503,1000694,6,100,'Applies Enhance: Charging Bite to qualifying pets.',0,0),
(5504,1000694,6,100,'Improves the damage of Charging Bite by 6%',1,1),
(5505,1000694,7,100,'Applies Enhance: Charging Bite to qualifying pets.',0,0),
(5506,1000694,7,100,'Improves the damage of Charging Bite by 7%',1,1),
(5507,1000694,8,100,'Applies Enhance: Charging Bite to qualifying pets.',0,0),
(5508,1000694,8,100,'Improves the damage of Charging Bite by 8%',1,1),
(5509,1000694,9,100,'Applies Enhance: Charging Bite to qualifying pets.',0,0),
(5510,1000694,9,100,'Improves the damage of Charging Bite by 9%',1,1),
(5511,1000694,10,100,'Applies Enhance: Charging Bite to qualifying pets.',0,0),
(5512,1000694,10,100,'Improves the damage of Charging Bite by 10%',1,1),
(5513,1000695,1,100,'Reduces resistibility by 3%',0,0),
(5514,1000695,2,100,'Reduces resistibility by 6%',0,0),
(5515,1000695,3,100,'Reduces resistibility by 9%',0,0),
(5516,1000695,4,100,'Reduces resistibility by 12%',0,0),
(5517,1000695,5,100,'Reduces resistibility by 15%',0,0),
(5518,1000696,1,100,'Increases duration by 0.2 seconds',0,0),
(5519,1000697,1,100,'Increases duration by 0.2 seconds',0,0),
(5520,1000698,1,100,'Increases duration by 0.2 seconds',0,0),
(5521,1000699,1,100,'Increases duration by 0.2 seconds',0,0),
(5522,1000696,2,100,'Increases duration by 0.4 seconds',0,0),
(5523,1000697,2,100,'Increases duration by 0.4 seconds',0,0),
(5524,1000698,2,100,'Increases duration by 0.4 seconds',0,0),
(5525,1000699,2,100,'Increases duration by 0.4 seconds',0,0),
(5526,1000696,3,100,'Increases duration by 0.6 seconds',0,0),
(5527,1000698,3,100,'Increases duration by 0.6 seconds',0,0),
(5528,1000699,3,100,'Increases duration by 0.6 seconds',0,0),
(5529,1000697,3,100,'Increases duration by 0.6 seconds',0,0),
(5530,1000697,4,100,'Increases duration by 0.8 seconds',0,0),
(5531,1000699,4,100,'Increases duration by 0.8 seconds',0,0),
(5532,1000696,4,100,'Increases duration by 0.8 seconds',0,0),
(5533,1000698,4,100,'Increases duration by 0.8 seconds',0,0),
(5534,1000698,5,100,'Increases duration by 1 seconds',0,0),
(5535,1000696,5,100,'Increases duration by 1 seconds',0,0),
(5536,1000699,5,100,'Increases duration by 1 seconds',0,0),
(5537,1000697,5,100,'Increases duration by 1 seconds',0,0),
(5538,1000700,1,100,'Improves the damage of Chilling Claws by 4%',0,0),
(5539,1000700,2,100,'Improves the damage of Chilling Claws by 8%',0,0),
(5540,1000700,3,100,'Improves the damage of Chilling Claws by 12%',0,0),
(5541,1000700,4,100,'Improves the damage of Chilling Claws by 16%',0,0),
(5542,1000700,5,100,'Improves the damage of Chilling Claws by 20%',0,0),
(5543,1000701,1,100,'When Chromatic Shower and its upgrades wear off, your victims suffer additional mental damage.',0,0),
(5544,1000701,2,100,'When Chromatic Shower and its upgrades wear off, your victims suffer additional mental damage.',0,0),
(5545,1000701,3,100,'When Chromatic Shower and its upgrades wear off, your victims suffer additional mental damage.',0,0),
(5546,1000701,4,100,'When Chromatic Shower and its upgrades wear off, your victims suffer additional mental damage.',0,0),
(5547,1000701,5,100,'When Chromatic Shower and its upgrades wear off, your victims suffer additional mental damage.',0,0),
(5548,1000702,1,100,'When Chromatic Storm and its upgrades wear off, your opponents take additional mental damage.',0,0),
(5549,1000702,2,100,'When Chromatic Storm and its upgrades wear off, your opponents take additional mental damage.',0,0),
(5550,1000702,3,100,'When Chromatic Storm and its upgrades wear off, your opponents take additional mental damage.',0,0),
(5551,1000702,4,100,'When Chromatic Storm and its upgrades wear off, your opponents take additional mental damage.',0,0),
(5552,1000702,5,100,'When Chromatic Storm and its upgrades wear off, your opponents take additional mental damage.',0,0),
(5553,1000703,1,100,'Increases crush, slash, and pierce resist reduction by 4%',0,0),
(5554,1000703,2,100,'Increases crush, slash, and pierce resist reduction by 8%',0,0),
(5555,1000703,3,100,'Increases crush, slash, and pierce resist reduction by 12%',0,0),
(5556,1000703,4,100,'Increases crush, slash, and pierce resist reduction by 16%',0,0),
(5557,1000703,5,100,'Increases crush, slash, and pierce resist reduction by 20%',0,0),
(5558,1000704,1,100,'Increases wisdom reduction by 12%',0,0),
(5559,1000704,1,100,'Increases the base damage by 2%',0,1),
(5560,1000704,2,100,'Increases wisdom reduction by 24%',0,0),
(5561,1000704,2,100,'Increases the base damage by 4%',0,1),
(5562,1000704,3,100,'Increases wisdom reduction by 36%',0,0),
(5563,1000704,3,100,'Increases the base damage by 6%',0,1),
(5564,1000704,4,100,'Increases wisdom reduction by 48%',0,0),
(5565,1000704,4,100,'Increases the base damage by 8%',0,1),
(5566,1000704,5,100,'Increases wisdom reduction by 60%',0,0),
(5567,1000704,5,100,'Increases the base damage by 10%',0,1),
(5568,1000705,1,100,'Improves reuse speed by 7 seconds',0,0),
(5569,1000705,2,100,'Improves reuse speed by 14 seconds',0,0),
(5570,1000705,3,100,'Improves reuse speed by 21 seconds',0,0),
(5571,1000705,4,100,'Improves reuse speed by 28 seconds',0,0),
(5572,1000705,5,100,'Improves reuse speed by 35 seconds',0,0),
(5573,1000705,5,100,'Cures control effects on termination',0,1),
(5574,1000706,1,100,'Improves threat reduction by 2%.',0,0),
(5575,1000706,1,100,'Improves the reuse speed by 1 seconds.',0,1),
(5576,1000707,1,100,'Improves hate reduction by 7%',0,0),
(5577,1000707,1,100,'Improves reuse speed by 1 seconds',0,1),
(5578,1000706,2,100,'Improves threat reduction by 4%.',0,0),
(5579,1000706,2,100,'Improves the reuse speed by 2 seconds.',0,1),
(5580,1000706,3,100,'Improves threat reduction by 6%.',0,0),
(5581,1000706,3,100,'Improves the reuse speed by 3 seconds.',0,1),
(5582,1000706,4,100,'Improves threat reduction by 8%.',0,0),
(5583,1000706,4,100,'Improves the reuse speed by 4 seconds.',0,1),
(5584,1000706,5,100,'Improves threat reduction by 10%.',0,0),
(5585,1000706,5,100,'Improves the reuse speed by 5 seconds.',0,1),
(5586,1000708,1,100,'Reduces resistibility by 3%',0,0),
(5587,1000708,1,100,'Increases the resistance reduction effects by 7%',0,1),
(5588,1000708,2,100,'Reduces resistibility by 6%',0,0),
(5589,1000708,2,100,'Increases the resistance reduction effects by 14%',0,1),
(5590,1000708,3,100,'Reduces resistibility by 9%',0,0),
(5591,1000708,3,100,'Increases the resistance reduction effects by 21%',0,1),
(5592,1000708,4,100,'Reduces resistibility by 12%',0,0),
(5593,1000708,4,100,'Increases the resistance reduction effects by 28%',0,1),
(5594,1000708,5,100,'Reduces resistibility by 15%',0,0),
(5595,1000708,5,100,'Increases the resistance reduction effects by 35%',0,1),
(5596,1000709,1,100,'Reduces the base recovery time of Slots 4 through 8 Conduits to 0.9 seconds',0,0),
(5597,1000709,2,100,'Reduces the base recovery time of Slots 4 through 8 Conduits to 0.8 seconds',0,0),
(5598,1000709,3,100,'Reduces the base recovery time of Slots 4 through 8 Conduits to 0.7 seconds',0,0),
(5599,1000709,4,100,'Reduces the base recovery time of Slots 4 through 8 Conduits to 0.6 seconds',0,0),
(5600,1000709,5,100,'Reduces the base recovery time of Slots 4 through 8 Conduits to 0.5 seconds',0,0),
(5601,1000710,1,100,'Reduces duration by 5 seconds',0,0),
(5602,1000710,2,100,'Reduces duration by 10 seconds',0,0),
(5603,1000710,3,100,'Reduces duration by 15 seconds',0,0),
(5604,1000710,4,100,'Reduces duration by 20 seconds',0,0),
(5605,1000710,5,100,'Reduces duration by 25 seconds',0,0),
(5606,1000711,1,100,'Improves the damage of Construct''s Sacrifice by 2%',0,0),
(5607,1000711,2,100,'Improves the damage of Construct''s Sacrifice by 4%',0,0),
(5608,1000711,3,100,'Improves the damage of Construct''s Sacrifice by 6%',0,0),
(5609,1000711,4,100,'Improves the damage of Construct''s Sacrifice by 8%',0,0),
(5610,1000711,5,100,'Improves the damage of Construct''s Sacrifice by 10%',0,0),
(5611,1000712,1,100,'Applies Enhance: Consume Flesh to qualifying pets.',0,0),
(5612,1000712,1,100,'Improves the damage and heal amount of Consume Flesh by 1%',1,1),
(5613,1000712,2,100,'Applies Enhance: Consume Flesh to qualifying pets.',0,0),
(5614,1000712,2,100,'Improves the damage and heal amount of Consume Flesh by 2%',1,1),
(5615,1000712,3,100,'Applies Enhance: Consume Flesh to qualifying pets.',0,0),
(5616,1000712,3,100,'Improves the damage and heal amount of Consume Flesh by 3%',1,1),
(5617,1000712,4,100,'Applies Enhance: Consume Flesh to qualifying pets.',0,0),
(5618,1000712,4,100,'Improves the damage and heal amount of Consume Flesh by 4%',1,1),
(5619,1000712,5,100,'Applies Enhance: Consume Flesh to qualifying pets.',0,0),
(5620,1000712,5,100,'Improves the damage and heal amount of Consume Flesh by 5%',1,1),
(5621,1000712,6,100,'Applies Enhance: Consume Flesh to qualifying pets.',0,0),
(5622,1000712,6,100,'Improves the damage and heal amount of Consume Flesh by 6%',1,1),
(5623,1000712,7,100,'Applies Enhance: Consume Flesh to qualifying pets.',0,0),
(5624,1000712,7,100,'Improves the damage and heal amount of Consume Flesh by 7%',1,1),
(5625,1000712,8,100,'Applies Enhance: Consume Flesh to qualifying pets.',0,0),
(5626,1000712,8,100,'Improves the damage and heal amount of Consume Flesh by 8%',1,1),
(5627,1000712,9,100,'Applies Enhance: Consume Flesh to qualifying pets.',0,0),
(5628,1000712,9,100,'Improves the damage and heal amount of Consume Flesh by 9%',1,1),
(5629,1000712,10,100,'Applies Enhance: Consume Flesh to qualifying pets.',0,0),
(5630,1000712,10,100,'Improves the damage and heal amount of Consume Flesh by 10%',1,1),
(5631,1000713,1,100,'Improves reuse speed by 6 seconds',0,0),
(5632,1000713,1,100,'Improves the Crit Bonus by 3%',0,1),
(5633,1000713,2,100,'Improves reuse speed by 12 seconds',0,0),
(5634,1000713,2,100,'Improves the Crit Bonus by 6%',0,1),
(5635,1000713,3,100,'Improves reuse speed by 18 seconds',0,0),
(5636,1000713,3,100,'Improves the Crit Bonus by 9%',0,1),
(5637,1000713,4,100,'Improves reuse speed by 24 seconds',0,0),
(5638,1000713,4,100,'Improves the Crit Bonus by 12%',0,1),
(5639,1000713,5,100,'Improves reuse speed by 30 seconds',0,0),
(5640,1000713,5,100,'Improves the Crit Bonus by 15%',0,1),
(5641,1000714,1,100,'Reduces penalties by 20%',0,0),
(5642,1000714,2,100,'Reduces penalties by 40%',0,0),
(5643,1000714,3,100,'Reduces penalties by 60%',0,0),
(5644,1000714,4,100,'Reduces penalties by 80%',0,0),
(5645,1000714,5,100,'Reduces penalties by 100%',0,0),
(5646,1000715,1,100,'Increases trigger chance by 1%',0,0),
(5647,1000715,2,100,'Increases trigger chance by 2%',0,0),
(5648,1000715,3,100,'Increases trigger chance by 3%',0,0),
(5649,1000715,4,100,'Increases trigger chance by 4%',0,0),
(5650,1000715,5,100,'Increases trigger chance by 5%',0,0),
(5651,1000716,1,100,'Applies Enhance: Crazed Roar to qualifying pets.',0,0),
(5652,1000716,1,100,'Improves the damage of Crazed Roar by 1%',1,1),
(5653,1000716,2,100,'Applies Enhance: Crazed Roar to qualifying pets.',0,0),
(5654,1000716,2,100,'Improves the damage of Crazed Roar by 2%',1,1),
(5655,1000716,3,100,'Applies Enhance: Crazed Roar to qualifying pets.',0,0),
(5656,1000716,3,100,'Improves the damage of Crazed Roar by 3%',1,1),
(5657,1000716,4,100,'Applies Enhance: Crazed Roar to qualifying pets.',0,0),
(5658,1000716,4,100,'Improves the damage of Crazed Roar by 4%',1,1),
(5659,1000716,5,100,'Applies Enhance: Crazed Roar to qualifying pets.',0,0),
(5660,1000716,5,100,'Improves the damage of Crazed Roar by 5%',1,1),
(5661,1000716,6,100,'Applies Enhance: Crazed Roar to qualifying pets.',0,0),
(5662,1000716,6,100,'Improves the damage of Crazed Roar by 6%',1,1),
(5663,1000716,7,100,'Applies Enhance: Crazed Roar to qualifying pets.',0,0),
(5664,1000716,7,100,'Improves the damage of Crazed Roar by 7%',1,1),
(5665,1000716,8,100,'Applies Enhance: Crazed Roar to qualifying pets.',0,0),
(5666,1000716,8,100,'Improves the damage of Crazed Roar by 8%',1,1),
(5667,1000716,9,100,'Applies Enhance: Crazed Roar to qualifying pets.',0,0),
(5668,1000716,9,100,'Improves the damage of Crazed Roar by 9%',1,1),
(5669,1000716,10,100,'Applies Enhance: Crazed Roar to qualifying pets.',0,0),
(5670,1000716,10,100,'Improves the damage of Crazed Roar by 10%',1,1),
(5671,1000717,1,100,'Increases radius by 1',0,0),
(5672,1000717,1,100,'Improves reuse speed by 1 seconds',0,1),
(5673,1000717,2,100,'Increases radius by 2',0,0),
(5674,1000717,2,100,'Improves reuse speed by 2 seconds',0,1),
(5675,1000717,3,100,'Increases radius by 3',0,0),
(5676,1000717,3,100,'Improves reuse speed by 3 seconds',0,1),
(5677,1000717,4,100,'Increases radius by 4',0,0),
(5678,1000717,4,100,'Improves reuse speed by 4 seconds',0,1),
(5679,1000717,5,100,'Increases radius by 5',0,0),
(5680,1000717,5,100,'Improves reuse speed by 5 seconds',0,1),
(5681,1000718,1,100,'Improves defense reduction by 4%',0,0),
(5682,1000718,2,100,'Improves defense reduction by 8%',0,0),
(5683,1000718,3,100,'Improves defense reduction by 12%',0,0),
(5684,1000718,4,100,'Improves defense reduction by 16%',0,0),
(5685,1000718,5,100,'Improves defense reduction by 20%',0,0),
(5686,1000719,1,100,'Increases wisdom amount by 10%',0,0),
(5687,1000719,2,100,'Increases wisdom amount by 20%',0,0),
(5688,1000719,3,100,'Increases wisdom amount by 30%',0,0),
(5689,1000719,4,100,'Increases wisdom amount by 40%',0,0),
(5690,1000719,5,100,'Increases wisdom amount by 50%',0,0),
(5691,1000720,1,100,'Increases the duration of Crusader''s Faith by 0.8 seconds.',0,0),
(5692,1000720,1,100,'Crusader''s Faith now grants 1% strikethrough, accuracy to the group and the group''s spells will be 1% harder to resist.',0,1),
(5693,1000720,2,100,'Increases the duration of Crusader''s Faith by 1.6 seconds.',0,0),
(5694,1000720,2,100,'Crusader''s Faith now grants 2% strikethrough, accuracy to the group and the group''s spells will be 2% harder to resist.',0,1),
(5695,1000720,3,100,'Increases the duration of Crusader''s Faith by 2.4 seconds.',0,0),
(5696,1000720,3,100,'Crusader''s Faith now grants 3% strikethrough, accuracy to the group and the group''s spells will be 3% harder to resist.',0,1),
(5697,1000720,4,100,'Increases the duration of Crusader''s Faith by 3.2 seconds.',0,0),
(5698,1000720,4,100,'Crusader''s Faith now grants 4% strikethrough, accuracy to the group and the group''s spells will be 4% harder to resist.',0,1),
(5699,1000720,5,100,'Increases the duration of Crusader''s Faith by 4 seconds.',0,0),
(5700,1000720,5,100,'Crusader''s Faith now grants 5% strikethrough, accuracy to the group and the group''s spells will be 5% harder to resist.',0,1),
(5701,1000720,6,100,'Increases the duration of Crusader''s Faith by 4.8 seconds.',0,0),
(5702,1000720,6,100,'Crusader''s Faith now grants 6% strikethrough, accuracy to the group and the group''s spells will be 6% harder to resist.',0,1),
(5703,1000720,7,100,'Increases the duration of Crusader''s Faith by 5.6 seconds.',0,0),
(5704,1000720,7,100,'Crusader''s Faith now grants 7% strikethrough, accuracy to the group and the group''s spells will be 7% harder to resist.',0,1),
(5705,1000720,8,100,'Increases the duration of Crusader''s Faith by 6.4 seconds.',0,0),
(5706,1000720,8,100,'Crusader''s Faith now grants 8% strikethrough, accuracy to the group and the group''s spells will be 8% harder to resist.',0,1),
(5707,1000720,9,100,'Increases the duration of Crusader''s Faith by 7.2 seconds.',0,0),
(5708,1000720,9,100,'Crusader''s Faith now grants 9% strikethrough, accuracy to the group and the group''s spells will be 9% harder to resist.',0,1),
(5709,1000720,10,100,'Increases the duration of Crusader''s Faith by 8 seconds.',0,0),
(5710,1000720,10,100,'Crusader''s Faith now grants 10% strikethrough, accuracy to the group and the group''s spells will be 10% harder to resist.',0,1),
(5711,1000721,1,100,'Applies Enhance: Crushing Force to qualifying pets.',0,0),
(5712,1000721,1,100,'Improves the damage of Crushing Force by 1%',1,1),
(5713,1000721,2,100,'Applies Enhance: Crushing Force to qualifying pets.',0,0),
(5714,1000721,2,100,'Improves the damage of Crushing Force by 2%',1,1),
(5715,1000721,3,100,'Applies Enhance: Crushing Force to qualifying pets.',0,0),
(5716,1000721,3,100,'Improves the damage of Crushing Force by 3%',1,1),
(5717,1000721,4,100,'Applies Enhance: Crushing Force to qualifying pets.',0,0),
(5718,1000721,4,100,'Improves the damage of Crushing Force by 4%',1,1),
(5719,1000721,5,100,'Applies Enhance: Crushing Force to qualifying pets.',0,0),
(5720,1000721,5,100,'Improves the damage of Crushing Force by 5%',1,1),
(5721,1000721,6,100,'Applies Enhance: Crushing Force to qualifying pets.',0,0),
(5722,1000721,6,100,'Improves the damage of Crushing Force by 6%',1,1),
(5723,1000721,7,100,'Applies Enhance: Crushing Force to qualifying pets.',0,0),
(5724,1000721,7,100,'Improves the damage of Crushing Force by 7%',1,1),
(5725,1000721,8,100,'Applies Enhance: Crushing Force to qualifying pets.',0,0),
(5726,1000721,8,100,'Improves the damage of Crushing Force by 8%',1,1),
(5727,1000721,9,100,'Applies Enhance: Crushing Force to qualifying pets.',0,0),
(5728,1000721,9,100,'Improves the damage of Crushing Force by 9%',1,1),
(5729,1000721,10,100,'Applies Enhance: Crushing Force to qualifying pets.',0,0),
(5730,1000721,10,100,'Improves the damage of Crushing Force by 10%',1,1),
(5731,1000722,1,100,'Applies Enhance: Crushing Hooves to qualifying pets.',0,0),
(5732,1000722,1,100,'Improves the damage of Crushing Hooves by 1%',1,1),
(5733,1000722,2,100,'Applies Enhance: Crushing Hooves to qualifying pets.',0,0),
(5734,1000722,2,100,'Improves the damage of Crushing Hooves by 2%',1,1),
(5735,1000722,3,100,'Applies Enhance: Crushing Hooves to qualifying pets.',0,0),
(5736,1000722,3,100,'Improves the damage of Crushing Hooves by 3%',1,1),
(5737,1000722,4,100,'Applies Enhance: Crushing Hooves to qualifying pets.',0,0),
(5738,1000722,4,100,'Improves the damage of Crushing Hooves by 4%',1,1),
(5739,1000722,5,100,'Applies Enhance: Crushing Hooves to qualifying pets.',0,0),
(5740,1000722,5,100,'Improves the damage of Crushing Hooves by 5%',1,1),
(5741,1000722,6,100,'Applies Enhance: Crushing Hooves to qualifying pets.',0,0),
(5742,1000722,6,100,'Improves the damage of Crushing Hooves by 6%',1,1),
(5743,1000722,7,100,'Applies Enhance: Crushing Hooves to qualifying pets.',0,0),
(5744,1000722,7,100,'Improves the damage of Crushing Hooves by 7%',1,1),
(5745,1000722,8,100,'Applies Enhance: Crushing Hooves to qualifying pets.',0,0),
(5746,1000722,8,100,'Improves the damage of Crushing Hooves by 8%',1,1),
(5747,1000722,9,100,'Applies Enhance: Crushing Hooves to qualifying pets.',0,0),
(5748,1000722,9,100,'Improves the damage of Crushing Hooves by 9%',1,1),
(5749,1000722,10,100,'Applies Enhance: Crushing Hooves to qualifying pets.',0,0),
(5750,1000722,10,100,'Improves the damage of Crushing Hooves by 10%',1,1),
(5751,1000723,1,100,'Applies Enhance: Crushing Maw to qualifying pets.',0,0),
(5752,1000723,1,100,'Improves the damage of Crushing Maw by 1%',1,1),
(5753,1000723,2,100,'Applies Enhance: Crushing Maw to qualifying pets.',0,0),
(5754,1000723,2,100,'Improves the damage of Crushing Maw by 2%',1,1),
(5755,1000723,3,100,'Applies Enhance: Crushing Maw to qualifying pets.',0,0),
(5756,1000723,3,100,'Improves the damage of Crushing Maw by 3%',1,1),
(5757,1000723,4,100,'Applies Enhance: Crushing Maw to qualifying pets.',0,0),
(5758,1000723,4,100,'Improves the damage of Crushing Maw by 4%',1,1),
(5759,1000723,5,100,'Applies Enhance: Crushing Maw to qualifying pets.',0,0),
(5760,1000723,5,100,'Improves the damage of Crushing Maw by 5%',1,1),
(5761,1000723,6,100,'Applies Enhance: Crushing Maw to qualifying pets.',0,0),
(5762,1000723,6,100,'Improves the damage of Crushing Maw by 6%',1,1),
(5763,1000723,7,100,'Applies Enhance: Crushing Maw to qualifying pets.',0,0),
(5764,1000723,7,100,'Improves the damage of Crushing Maw by 7%',1,1),
(5765,1000723,8,100,'Applies Enhance: Crushing Maw to qualifying pets.',0,0),
(5766,1000723,8,100,'Improves the damage of Crushing Maw by 8%',1,1),
(5767,1000723,9,100,'Applies Enhance: Crushing Maw to qualifying pets.',0,0),
(5768,1000723,9,100,'Improves the damage of Crushing Maw by 9%',1,1),
(5769,1000723,10,100,'Applies Enhance: Crushing Maw to qualifying pets.',0,0),
(5770,1000723,10,100,'Improves the damage of Crushing Maw by 10%',1,1),
(5771,1000724,1,100,'Applies Enhance: Crushing Paws to qualifying pets.',0,0),
(5772,1000724,1,100,'Improves the damage of Crushing Paws by 1%',1,1),
(5773,1000724,2,100,'Applies Enhance: Crushing Paws to qualifying pets.',0,0),
(5774,1000724,2,100,'Improves the damage of Crushing Paws by 2%',1,1),
(5775,1000724,3,100,'Applies Enhance: Crushing Paws to qualifying pets.',0,0),
(5776,1000724,3,100,'Improves the damage of Crushing Paws by 3%',1,1),
(5777,1000724,4,100,'Applies Enhance: Crushing Paws to qualifying pets.',0,0),
(5778,1000724,4,100,'Improves the damage of Crushing Paws by 4%',1,1),
(5779,1000724,5,100,'Applies Enhance: Crushing Paws to qualifying pets.',0,0),
(5780,1000724,5,100,'Improves the damage of Crushing Paws by 5%',1,1),
(5781,1000724,6,100,'Applies Enhance: Crushing Paws to qualifying pets.',0,0),
(5782,1000724,6,100,'Improves the damage of Crushing Paws by 6%',1,1),
(5783,1000724,7,100,'Applies Enhance: Crushing Paws to qualifying pets.',0,0),
(5784,1000724,7,100,'Improves the damage of Crushing Paws by 7%',1,1),
(5785,1000724,8,100,'Applies Enhance: Crushing Paws to qualifying pets.',0,0),
(5786,1000724,8,100,'Improves the damage of Crushing Paws by 8%',1,1),
(5787,1000724,9,100,'Applies Enhance: Crushing Paws to qualifying pets.',0,0),
(5788,1000724,9,100,'Improves the damage of Crushing Paws by 9%',1,1),
(5789,1000724,10,100,'Applies Enhance: Crushing Paws to qualifying pets.',0,0),
(5790,1000724,10,100,'Improves the damage of Crushing Paws by 10%',1,1),
(5791,1000725,1,100,'Adds additional threat to Cry of the Warrior.',0,0),
(5792,1000725,2,100,'Adds additional threat to Cry of the Warrior.',0,0),
(5793,1000725,3,100,'Adds additional threat to Cry of the Warrior.',0,0),
(5794,1000725,4,100,'Adds additional threat to Cry of the Warrior.',0,0),
(5795,1000725,5,100,'Adds additional threat to Cry of the Warrior.',0,0),
(5796,1000725,6,100,'Adds additional threat to Cry of the Warrior.',0,0),
(5797,1000725,7,100,'Adds additional threat to Cry of the Warrior.',0,0),
(5798,1000725,8,100,'Adds additional threat to Cry of the Warrior.',0,0),
(5799,1000725,9,100,'Adds additional threat to Cry of the Warrior.',0,0),
(5800,1000725,10,100,'Adds additional threat to Cry of the Warrior.',0,0),
(5801,1000726,1,100,'Improves casting speed by 0.2 seconds',0,0),
(5802,1000726,1,100,'Improves the Crit Bonus by 1%',0,1),
(5803,1000726,2,100,'Improves casting speed by 0.4 seconds',0,0),
(5804,1000726,2,100,'Improves the Crit Bonus by 2%',0,1),
(5805,1000726,3,100,'Improves casting speed by 0.6 seconds',0,0),
(5806,1000726,3,100,'Improves the Crit Bonus by 3%',0,1),
(5807,1000726,4,100,'Improves casting speed by 0.8 seconds',0,0),
(5808,1000726,4,100,'Improves the Crit Bonus by 4%',0,1),
(5809,1000726,5,100,'Improves casting speed by 1 seconds',0,0),
(5810,1000726,5,100,'Improves the Crit Bonus by 5%',0,1),
(5811,1000727,1,100,'Increases trigger chance by 6%',0,0),
(5812,1000727,2,100,'Increases trigger chance by 12%',0,0),
(5813,1000727,3,100,'Increases trigger chance by 18%',0,0),
(5814,1000727,4,100,'Increases trigger chance by 24%',0,0),
(5815,1000727,5,100,'Increases trigger chance by 30%',0,0),
(5816,1000728,1,100,'Reduces penalties by 20%',0,0),
(5817,1000728,1,100,'Increases bonuses by 4%',0,1),
(5818,1000728,2,100,'Reduces penalties by 40%',0,0),
(5819,1000728,2,100,'Increases bonuses by 8%',0,1),
(5820,1000728,3,100,'Reduces penalties by 60%',0,0),
(5821,1000728,3,100,'Increases bonuses by 12%',0,1),
(5822,1000728,4,100,'Reduces penalties by 80%',0,0),
(5823,1000728,4,100,'Increases bonuses by 16%',0,1),
(5824,1000728,5,100,'Reduces penalties by 100%',0,0),
(5825,1000728,5,100,'Increases bonuses by 20%',0,1),
(5826,1000729,1,100,'Adds a small heal over time on a successful cure.',0,0),
(5827,1000730,1,100,'Successfully curing a detrimental effect with Cure will reduce the channeler''s dissonance by 60',0,0),
(5828,1000731,1,100,'Your Cure ability will heal for a small amount when you successfully cure an ailment.',0,0),
(5829,1000732,1,100,'Adds a small damage proc that triggers on any hit to the recipient of a successful cure.',0,0),
(5830,1000732,2,100,'Adds a small damage proc that triggers on any hit to the recipient of a successful cure.',0,0),
(5831,1000729,2,100,'Adds a small heal over time on a successful cure.',0,0),
(5832,1000730,2,100,'Successfully curing a detrimental effect with Cure will reduce the channeler''s dissonance by 120',0,0),
(5833,1000731,2,100,'Your Cure ability will heal for a small amount when you successfully cure an ailment.',0,0),
(5834,1000731,3,100,'Your Cure ability will heal for a small amount when you successfully cure an ailment.',0,0),
(5835,1000729,3,100,'Adds a small heal over time on a successful cure.',0,0),
(5836,1000730,3,100,'Successfully curing a detrimental effect with Cure will reduce the channeler''s dissonance by 180',0,0),
(5837,1000732,3,100,'Adds a small damage proc that triggers on any hit to the recipient of a successful cure.',0,0),
(5838,1000731,4,100,'Your Cure ability will heal for a small amount when you successfully cure an ailment.',0,0),
(5839,1000729,4,100,'Adds a small heal over time on a successful cure.',0,0),
(5840,1000730,4,100,'Successfully curing a detrimental effect with Cure will reduce the channeler''s dissonance by 240',0,0),
(5841,1000732,4,100,'Adds a small damage proc that triggers on any hit to the recipient of a successful cure.',0,0),
(5842,1000731,5,100,'Your Cure ability will heal for a small amount when you successfully cure an ailment.',0,0),
(5843,1000729,5,100,'Adds a small heal over time on a successful cure.',0,0),
(5844,1000730,5,100,'Successfully curing a detrimental effect with Cure will reduce the channeler''s dissonance by 300',0,0),
(5845,1000732,5,100,'Adds a small damage proc that triggers on any hit to the recipient of a successful cure.',0,0),
(5846,1000733,2,100,'Improves reuse speed by 5 seconds',0,0),
(5847,1000733,2,100,'Improves casting speed by 0.5 seconds',0,1),
(5848,1000734,1,100,'Improves the casting speed of Cure Curse by 0.2',0,0),
(5849,1000735,1,100,'Improves casting speed by 12%',0,0),
(5850,1000736,1,100,'Improves the casting speed by 20%.',0,0),
(5851,1000736,2,100,'Improves the casting speed by 40%.',0,0),
(5852,1000734,2,100,'Improves the casting speed of Cure Curse by 0.4',0,0),
(5853,1000735,2,100,'Improves casting speed by 24%',0,0),
(5854,1000736,3,100,'Improves the casting speed by 60%.',0,0),
(5855,1000735,3,100,'Improves casting speed by 36%',0,0),
(5856,1000734,3,100,'Improves the casting speed of Cure Curse by 0.6',0,0),
(5857,1000736,4,100,'Improves the casting speed by 80%.',0,0),
(5858,1000734,4,100,'Improves the casting speed of Cure Curse by 0.8',0,0),
(5859,1000735,4,100,'Improves casting speed by 48%',0,0),
(5860,1000734,5,100,'Improves the casting speed of Cure Curse by 1',0,0),
(5861,1000736,5,100,'Improves the casting speed by 100%.',0,0),
(5862,1000735,5,100,'Improves casting speed by 60%',0,0),
(5863,1000737,1,100,'Grants a small damage shield on a successful cure.',0,0),
(5864,1000738,1,100,'Adds a ward on a successful cure.',0,0),
(5865,1000739,1,100,'Your Cure ability can place a temporary stoneskin effect on the target cure if they are low health.  Increasing ranks increase the maximum health the target can have.',0,0),
(5866,1000737,2,100,'Grants a small damage shield on a successful cure.',0,0),
(5867,1000739,2,100,'Your Cure ability can place a temporary stoneskin effect on the target cure if they are low health.  Increasing ranks increase the maximum health the target can have.',0,0),
(5868,1000738,2,100,'Adds a ward on a successful cure.',0,0),
(5869,1000737,3,100,'Grants a small damage shield on a successful cure.',0,0),
(5870,1000739,3,100,'Your Cure ability can place a temporary stoneskin effect on the target cure if they are low health.  Increasing ranks increase the maximum health the target can have.',0,0),
(5871,1000738,3,100,'Adds a ward on a successful cure.',0,0),
(5872,1000739,4,100,'Your Cure ability can place a temporary stoneskin effect on the target cure if they are low health.  Increasing ranks increase the maximum health the target can have.',0,0),
(5873,1000737,4,100,'Grants a small damage shield on a successful cure.',0,0),
(5874,1000738,4,100,'Adds a ward on a successful cure.',0,0),
(5875,1000739,5,100,'Your Cure ability can place a temporary stoneskin effect on the target cure if they are low health.  Increasing ranks increase the maximum health the target can have.',0,0),
(5876,1000737,5,100,'Grants a small damage shield on a successful cure.',0,0),
(5877,1000738,5,100,'Adds a ward on a successful cure.',0,0),
(5878,1000740,1,100,'When the target is below 30% health, a successful cure will place an additional heal over time on them.',0,0),
(5879,1000741,1,100,'Adds a large ward if the target is below 30% health when cured.',0,0),
(5880,1000741,2,100,'Adds a large ward if the target is below 30% health when cured.',0,0),
(5881,1000740,2,100,'When the target is below 30% health, a successful cure will place an additional heal over time on them.',0,0),
(5882,1000741,3,100,'Adds a large ward if the target is below 30% health when cured.',0,0),
(5883,1000740,3,100,'When the target is below 30% health, a successful cure will place an additional heal over time on them.',0,0),
(5884,1000740,4,100,'When the target is below 30% health, a successful cure will place an additional heal over time on them.',0,0),
(5885,1000741,4,100,'Adds a large ward if the target is below 30% health when cured.',0,0),
(5886,1000741,5,100,'Adds a large ward if the target is below 30% health when cured.',0,0),
(5887,1000740,5,100,'When the target is below 30% health, a successful cure will place an additional heal over time on them.',0,0),
(5888,1000742,1,100,'Cure Magic will cast instantly',0,0),
(5889,1000733,1,100,'Cure Magic will cast instantly',0,0),
(5890,1000743,1,100,'Improves the base damage by 3%',0,0),
(5891,1000743,1,100,'Improves casting speed by 0.2 seconds',0,1),
(5892,1000743,2,100,'Improves the base damage by 6%',0,0),
(5893,1000743,2,100,'Improves casting speed by 0.4 seconds',0,1),
(5894,1000743,3,100,'Improves the base damage by 9%',0,0),
(5895,1000743,3,100,'Improves casting speed by 0.6 seconds',0,1),
(5896,1000743,4,100,'Improves the base damage by 12%',0,0),
(5897,1000743,4,100,'Improves casting speed by 0.8 seconds',0,1),
(5898,1000743,5,100,'Improves the base damage by 15%',0,0),
(5899,1000743,5,100,'Improves casting speed by 1 seconds',0,1),
(5900,1000744,1,100,'Increases strength and intelligence reduction by 8%',0,0),
(5901,1000744,1,100,'Hastens casting speed by 0.2 seconds',0,1),
(5902,1000744,2,100,'Increases strength and intelligence reduction by 16%',0,0),
(5903,1000744,2,100,'Hastens casting speed by 0.4 seconds',0,1),
(5904,1000744,3,100,'Increases strength and intelligence reduction by 24%',0,0),
(5905,1000744,3,100,'Hastens casting speed by 0.6 seconds',0,1),
(5906,1000744,4,100,'Increases strength and intelligence reduction by 32%',0,0),
(5907,1000744,4,100,'Hastens casting speed by 0.8 seconds',0,1),
(5908,1000744,5,100,'Increases strength and intelligence reduction by 40%',0,0),
(5909,1000744,5,100,'Hastens casting speed by 1 seconds',0,1),
(5910,1000745,1,100,'Improves reuse speed by 1.5 seconds',0,0),
(5911,1000745,1,100,'Reduces resistibility by 3%',0,1),
(5912,1000745,2,100,'Improves reuse speed by 3 seconds',0,0),
(5913,1000745,2,100,'Reduces resistibility by 6%',0,1),
(5914,1000745,3,100,'Improves reuse speed by 4.5 seconds',0,0),
(5915,1000745,3,100,'Reduces resistibility by 9%',0,1),
(5916,1000745,4,100,'Improves reuse speed by 6 seconds',0,0),
(5917,1000745,4,100,'Reduces resistibility by 12%',0,1),
(5918,1000745,5,100,'Improves reuse speed by 7.5 seconds',0,0),
(5919,1000745,5,100,'Reduces resistibility by 15%',0,1),
(5920,1000746,1,100,'Applies a damage reduction effect to the caster when triggering Dance of Metal',0,0),
(5921,1000746,1,100,'Reduces the reuse time of Dance of Metal by 2 seconds.',0,1),
(5922,1000746,2,100,'Applies a damage reduction effect to the caster when triggering Dance of Metal',0,0),
(5923,1000746,2,100,'Reduces the reuse time of Dance of Metal by 4 seconds.',0,1),
(5924,1000746,3,100,'Applies a damage reduction effect to the caster when triggering Dance of Metal',0,0),
(5925,1000746,3,100,'Reduces the reuse time of Dance of Metal by 6 seconds.',0,1),
(5926,1000746,4,100,'Applies a damage reduction effect to the caster when triggering Dance of Metal',0,0),
(5927,1000746,4,100,'Reduces the reuse time of Dance of Metal by 8 seconds.',0,1),
(5928,1000746,5,100,'Applies a damage reduction effect to the caster when triggering Dance of Metal',0,0),
(5929,1000746,5,100,'Reduces the reuse time of Dance of Metal by 10 seconds.',0,1),
(5930,1000746,6,100,'Applies a damage reduction effect to the caster when triggering Dance of Metal',0,0),
(5931,1000746,6,100,'Reduces the reuse time of Dance of Metal by 12 seconds.',0,1),
(5932,1000746,7,100,'Applies a damage reduction effect to the caster when triggering Dance of Metal',0,0),
(5933,1000746,7,100,'Reduces the reuse time of Dance of Metal by 14 seconds.',0,1),
(5934,1000746,8,100,'Applies a damage reduction effect to the caster when triggering Dance of Metal',0,0),
(5935,1000746,8,100,'Reduces the reuse time of Dance of Metal by 16 seconds.',0,1),
(5936,1000746,9,100,'Applies a damage reduction effect to the caster when triggering Dance of Metal',0,0),
(5937,1000746,9,100,'Reduces the reuse time of Dance of Metal by 18 seconds.',0,1),
(5938,1000746,10,100,'Applies a damage reduction effect to the caster when triggering Dance of Metal',0,0),
(5939,1000746,10,100,'Reduces the reuse time of Dance of Metal by 20 seconds.',0,1),
(5940,1000747,1,100,'Increases spell resistance reductions by 5%',0,0),
(5941,1000747,2,100,'Increases spell resistance reductions by 10%',0,0),
(5942,1000747,3,100,'Increases spell resistance reductions by 15%',0,0),
(5943,1000747,4,100,'Increases spell resistance reductions by 20%',0,0),
(5944,1000747,5,100,'Increases spell resistance reductions by 25%',0,0),
(5945,1000748,1,100,'Improves reuse speed by 3 seconds',0,0),
(5946,1000748,1,100,'Restores a small amount of power to the target',0,1),
(5947,1000748,2,100,'Improves reuse speed by 6 seconds',0,0),
(5948,1000748,2,100,'Restores a small amount of power to the target',0,1),
(5949,1000748,3,100,'Improves reuse speed by 9 seconds',0,0),
(5950,1000748,3,100,'Restores a small amount of power to the target',0,1),
(5951,1000748,4,100,'Improves reuse speed by 12 seconds',0,0),
(5952,1000748,4,100,'Restores a small amount of power to the target',0,1),
(5953,1000748,5,100,'Improves reuse speed by 15 seconds',0,0),
(5954,1000748,5,100,'Restores a small amount of power to the target',0,1),
(5955,1000749,1,100,'Increases trigger chance by 3%',0,0),
(5956,1000749,1,100,'Increases duration by 0.6 seconds',0,1),
(5957,1000749,2,100,'Increases trigger chance by 6%',0,0),
(5958,1000749,2,100,'Increases duration by 1.2 seconds',0,1),
(5959,1000749,3,100,'Increases trigger chance by 9%',0,0),
(5960,1000749,3,100,'Increases duration by 1.8 seconds',0,1),
(5961,1000749,4,100,'Increases trigger chance by 12%',0,0),
(5962,1000749,4,100,'Increases duration by 2.4 seconds',0,1),
(5963,1000749,5,100,'Increases trigger chance by 15%',0,0),
(5964,1000749,5,100,'Increases duration by 3 seconds',0,1),
(5965,1000750,1,100,'Increases damage by 2%',0,0),
(5966,1000750,1,100,'Increases radius by 15%',0,1),
(5967,1000750,2,100,'Increases damage by 4%',0,0),
(5968,1000750,2,100,'Increases radius by 30%',0,1),
(5969,1000750,3,100,'Increases damage by 6%',0,0),
(5970,1000750,3,100,'Increases radius by 45%',0,1),
(5971,1000750,4,100,'Increases damage by 8%',0,0),
(5972,1000750,4,100,'Increases radius by 60%',0,1),
(5973,1000750,5,100,'Increases damage by 10%',0,0),
(5974,1000750,5,100,'Increases radius by 75%',0,1),
(5975,1000751,1,100,'Improves reuse speed by 0.4 seconds',0,0),
(5976,1000751,1,100,'Reduces duration by 0.5 seconds',0,1),
(5977,1000751,1,100,'Improves the Crit Bonus by 1%',0,2),
(5978,1000751,2,100,'Improves reuse speed by 0.8 seconds',0,0),
(5979,1000751,2,100,'Reduces duration by 1 seconds',0,1),
(5980,1000751,2,100,'Improves the Crit Bonus by 2%',0,2),
(5981,1000751,3,100,'Improves reuse speed by 1.2 seconds',0,0),
(5982,1000751,3,100,'Reduces duration by 1.5 seconds',0,1),
(5983,1000751,3,100,'Improves the Crit Bonus by 3%',0,2),
(5984,1000751,4,100,'Improves reuse speed by 1.6 seconds',0,0),
(5985,1000751,4,100,'Reduces duration by 2 seconds',0,1),
(5986,1000751,4,100,'Improves the Crit Bonus by 4%',0,2),
(5987,1000751,5,100,'Improves reuse speed by 2 seconds',0,0),
(5988,1000751,5,100,'Reduces duration by 2.5 seconds',0,1),
(5989,1000751,5,100,'Improves the Crit Bonus by 5%',0,2),
(5990,1000752,1,100,'Improves damage per second reduction by 1%',0,0),
(5991,1000752,2,100,'Improves damage per second reduction by 2%',0,0),
(5992,1000752,3,100,'Improves damage per second reduction by 3%',0,0),
(5993,1000752,4,100,'Improves damage per second reduction by 4%',0,0),
(5994,1000752,5,100,'Improves damage per second reduction by 5%',0,0),
(5995,1000753,1,100,'Increases attack speed reduction by 1',0,0),
(5996,1000753,2,100,'Increases attack speed reduction by 2',0,0),
(5997,1000753,3,100,'Increases attack speed reduction by 3',0,0),
(5998,1000753,4,100,'Increases attack speed reduction by 4',0,0),
(5999,1000753,5,100,'Increases attack speed reduction by 5',0,0),
(6000,1000754,1,100,'Increases radius by 1',0,0),
(6001,1000754,1,100,'Increases hit chance by 5%',0,1),
(6002,1000754,2,100,'Increases radius by 2',0,0),
(6003,1000754,2,100,'Increases hit chance by 10%',0,1),
(6004,1000754,3,100,'Increases radius by 3',0,0),
(6005,1000754,3,100,'Increases hit chance by 15%',0,1),
(6006,1000754,4,100,'Increases radius by 4',0,0),
(6007,1000754,4,100,'Increases hit chance by 20%',0,1),
(6008,1000754,5,100,'Increases radius by 5',0,0),
(6009,1000754,5,100,'Increases hit chance by 25%',0,1),
(6010,1000755,1,100,'Increases trigger chance by 1%',0,0),
(6011,1000755,2,100,'Increases trigger chance by 2%',0,0),
(6012,1000755,3,100,'Increases trigger chance by 3%',0,0),
(6013,1000755,4,100,'Increases trigger chance by 4%',0,0),
(6014,1000755,5,100,'Increases trigger chance by 5%',0,0),
(6015,1000756,1,100,'Increases the Multi-Attack Chance by an additional 3 points. Increases duration by 3 seconds.',0,0),
(6016,1000756,2,100,'Increases the Multi-Attack Chance by an additional 6 points. Increases duration by 6 seconds.',0,0),
(6017,1000756,3,100,'Increases the Multi-Attack Chance by an additional 9 points. Increases duration by 9 seconds.',0,0),
(6018,1000756,4,100,'Increases the Multi-Attack Chance by an additional 12 points. Increases duration by 12 seconds.',0,0),
(6019,1000756,5,100,'Increases the Multi-Attack Chance by an additional 15 points. Increases duration by 15 seconds.',0,0),
(6020,1000757,1,100,'Improves reuse speed by 10%',0,0),
(6021,1000757,1,100,'Improves the Crit Bonus by 2.5%',0,1),
(6022,1000757,2,100,'Improves reuse speed by 20%',0,0),
(6023,1000757,2,100,'Improves the Crit Bonus by 5%',0,1),
(6024,1000757,3,100,'Improves reuse speed by 30%',0,0),
(6025,1000757,3,100,'Improves the Crit Bonus by 7.5%',0,1),
(6026,1000757,4,100,'Improves reuse speed by 40%',0,0),
(6027,1000757,4,100,'Improves the Crit Bonus by 10%',0,1),
(6028,1000757,5,100,'Improves reuse speed by 50%',0,0),
(6029,1000757,5,100,'Improves the Crit Bonus by 12.5%',0,1),
(6030,1000758,1,100,'Improves reuse speed by 5 seconds',0,0),
(6031,1000758,1,100,'Adds Strength to On the March',0,1),
(6032,1000758,2,100,'Improves reuse speed by 10 seconds',0,0),
(6033,1000758,2,100,'Adds Strength to On the March',0,1),
(6034,1000758,3,100,'Improves reuse speed by 15 seconds',0,0),
(6035,1000758,3,100,'Adds Strength to On the March',0,1),
(6036,1000758,4,100,'Improves reuse speed by 20 seconds',0,0),
(6037,1000758,4,100,'Adds Strength to On the March',0,1),
(6038,1000758,5,100,'Improves reuse speed by 25 seconds',0,0),
(6039,1000758,5,100,'Adds Strength to On the March',0,1),
(6040,1000759,1,100,'Increases trigger chance by 1%',0,0),
(6041,1000759,2,100,'Increases trigger chance by 2%',0,0),
(6042,1000759,3,100,'Increases trigger chance by 3%',0,0),
(6043,1000759,4,100,'Increases trigger chance by 4%',0,0),
(6044,1000759,5,100,'Increases trigger chance by 5%',0,0),
(6045,1000760,1,100,'Reduces duration by 1 seconds',0,0),
(6046,1000760,1,100,'Improves casting speed by 0.1 seconds',0,1),
(6047,1000760,1,100,'Improves the Crit Bonus by 2%',0,2),
(6048,1000760,2,100,'Reduces duration by 2 seconds',0,0),
(6049,1000760,2,100,'Improves casting speed by 0.2 seconds',0,1),
(6050,1000760,2,100,'Improves the Crit Bonus by 4%',0,2),
(6051,1000760,3,100,'Reduces duration by 3 seconds',0,0),
(6052,1000760,3,100,'Improves casting speed by 0.3 seconds',0,1),
(6053,1000760,3,100,'Improves the Crit Bonus by 6%',0,2),
(6054,1000760,4,100,'Reduces duration by 4 seconds',0,0),
(6055,1000760,4,100,'Improves casting speed by 0.4 seconds',0,1),
(6056,1000760,4,100,'Improves the Crit Bonus by 8%',0,2),
(6057,1000760,5,100,'Reduces duration by 5 seconds',0,0),
(6058,1000760,5,100,'Improves casting speed by 0.5 seconds',0,1),
(6059,1000760,5,100,'Improves the Crit Bonus by 10%',0,2),
(6060,1000761,1,100,'Improves mitigation reductions by 2%',0,0),
(6061,1000761,2,100,'Improves mitigation reductions by 4%',0,0),
(6062,1000761,3,100,'Improves mitigation reductions by 6%',0,0),
(6063,1000761,4,100,'Improves mitigation reductions by 8%',0,0),
(6064,1000761,5,100,'Improves mitigation reductions by 10%',0,0),
(6065,1000762,1,100,'Applies Enhance: Debilitating Venom to qualifying pets.',0,0),
(6066,1000762,1,100,'Improves the damage of Debilitating Venom by 1%',1,1),
(6067,1000762,2,100,'Applies Enhance: Debilitating Venom to qualifying pets.',0,0),
(6068,1000762,2,100,'Improves the damage of Debilitating Venom by 2%',1,1),
(6069,1000762,3,100,'Applies Enhance: Debilitating Venom to qualifying pets.',0,0),
(6070,1000762,3,100,'Improves the damage of Debilitating Venom by 3%',1,1),
(6071,1000762,4,100,'Applies Enhance: Debilitating Venom to qualifying pets.',0,0),
(6072,1000762,4,100,'Improves the damage of Debilitating Venom by 4%',1,1),
(6073,1000762,5,100,'Applies Enhance: Debilitating Venom to qualifying pets.',0,0),
(6074,1000762,5,100,'Improves the damage of Debilitating Venom by 5%',1,1),
(6075,1000762,6,100,'Applies Enhance: Debilitating Venom to qualifying pets.',0,0),
(6076,1000762,6,100,'Improves the damage of Debilitating Venom by 6%',1,1),
(6077,1000762,7,100,'Applies Enhance: Debilitating Venom to qualifying pets.',0,0),
(6078,1000762,7,100,'Improves the damage of Debilitating Venom by 7%',1,1),
(6079,1000762,8,100,'Applies Enhance: Debilitating Venom to qualifying pets.',0,0),
(6080,1000762,8,100,'Improves the damage of Debilitating Venom by 8%',1,1),
(6081,1000762,9,100,'Applies Enhance: Debilitating Venom to qualifying pets.',0,0),
(6082,1000762,9,100,'Improves the damage of Debilitating Venom by 9%',1,1),
(6083,1000762,10,100,'Applies Enhance: Debilitating Venom to qualifying pets.',0,0),
(6084,1000762,10,100,'Improves the damage of Debilitating Venom by 10%',1,1),
(6085,1000763,1,100,'Applies Enhance: Decimation to qualifying pets.',0,0),
(6086,1000763,1,100,'Improves the damage of Decimation by 1%',1,1),
(6087,1000763,2,100,'Applies Enhance: Decimation to qualifying pets.',0,0),
(6088,1000763,2,100,'Improves the damage of Decimation by 2%',1,1),
(6089,1000763,3,100,'Applies Enhance: Decimation to qualifying pets.',0,0),
(6090,1000763,3,100,'Improves the damage of Decimation by 3%',1,1),
(6091,1000763,4,100,'Applies Enhance: Decimation to qualifying pets.',0,0),
(6092,1000763,4,100,'Improves the damage of Decimation by 4%',1,1),
(6093,1000763,5,100,'Applies Enhance: Decimation to qualifying pets.',0,0),
(6094,1000763,5,100,'Improves the damage of Decimation by 5%',1,1),
(6095,1000763,6,100,'Applies Enhance: Decimation to qualifying pets.',0,0),
(6096,1000763,6,100,'Improves the damage of Decimation by 6%',1,1),
(6097,1000763,7,100,'Applies Enhance: Decimation to qualifying pets.',0,0),
(6098,1000763,7,100,'Improves the damage of Decimation by 7%',1,1),
(6099,1000763,8,100,'Applies Enhance: Decimation to qualifying pets.',0,0),
(6100,1000763,8,100,'Improves the damage of Decimation by 8%',1,1),
(6101,1000763,9,100,'Applies Enhance: Decimation to qualifying pets.',0,0),
(6102,1000763,9,100,'Improves the damage of Decimation by 9%',1,1),
(6103,1000763,10,100,'Applies Enhance: Decimation to qualifying pets.',0,0),
(6104,1000763,10,100,'Improves the damage of Decimation by 10%',1,1),
(6105,1000764,1,100,'Increases damage by 5%',0,0),
(6106,1000764,2,100,'Increases damage by 10%',0,0),
(6107,1000764,3,100,'Increases damage by 15%',0,0),
(6108,1000764,4,100,'Increases damage by 20%',0,0),
(6109,1000764,5,100,'Increases damage by 25%',0,0),
(6110,1000765,1,100,'Increases agility and wisdom reductions by 3%',0,0),
(6111,1000765,1,100,'Increases defense and spell resist reductions by 3%',0,1),
(6112,1000765,2,100,'Increases agility and wisdom reductions by 6%',0,0),
(6113,1000765,2,100,'Increases defense and spell resist reductions by 6%',0,1),
(6114,1000765,3,100,'Increases agility and wisdom reductions by 9%',0,0),
(6115,1000765,3,100,'Increases defense and spell resist reductions by 9%',0,1),
(6116,1000765,4,100,'Increases agility and wisdom reductions by 12%',0,0),
(6117,1000765,4,100,'Increases defense and spell resist reductions by 12%',0,1),
(6118,1000765,5,100,'Increases agility and wisdom reductions by 15%',0,0),
(6119,1000765,5,100,'Increases defense and spell resist reductions by 15%',0,1),
(6120,1000766,1,100,'Improves reuse speed by 9 seconds',0,0),
(6121,1000766,1,100,'Improves the Crit Bonus by 1%',0,1),
(6122,1000766,2,100,'Improves reuse speed by 18 seconds',0,0),
(6123,1000766,2,100,'Improves the Crit Bonus by 2%',0,1),
(6124,1000766,3,100,'Improves reuse speed by 27 seconds',0,0),
(6125,1000766,3,100,'Improves the Crit Bonus by 3%',0,1),
(6126,1000766,4,100,'Improves reuse speed by 36 seconds',0,0),
(6127,1000766,4,100,'Improves the Crit Bonus by 4%',0,1),
(6128,1000766,5,100,'Improves reuse speed by 45 seconds',0,0),
(6129,1000766,5,100,'Improves the Crit Bonus by 5%',0,1),
(6130,1000767,1,100,'Increases duration by 0.3 seconds',0,0),
(6131,1000767,2,100,'Increases duration by 0.6 seconds',0,0),
(6132,1000767,3,100,'Increases duration by 0.9 seconds',0,0),
(6133,1000767,4,100,'Increases duration by 1.2 seconds',0,0),
(6134,1000767,5,100,'Increases duration by 1.5 seconds',0,0),
(6135,1000768,1,100,'Improves reuse speed by 3 seconds',0,0),
(6136,1000768,1,100,'Enemies attacking the target of Demonstration of Faith will have their arcane mitigation reduced',0,1),
(6137,1000768,2,100,'Improves reuse speed by 6 seconds',0,0),
(6138,1000768,2,100,'Enemies attacking the target of Demonstration of Faith will have their arcane mitigation reduced',0,1),
(6139,1000768,3,100,'Improves reuse speed by 9 seconds',0,0),
(6140,1000768,3,100,'Enemies attacking the target of Demonstration of Faith will have their arcane mitigation reduced',0,1),
(6141,1000768,4,100,'Improves reuse speed by 12 seconds',0,0),
(6142,1000768,4,100,'Enemies attacking the target of Demonstration of Faith will have their arcane mitigation reduced',0,1),
(6143,1000768,5,100,'Improves reuse speed by 15 seconds',0,0),
(6144,1000768,5,100,'Enemies attacking the target of Demonstration of Faith will have their arcane mitigation reduced',0,1),
(6145,1000769,1,100,'Improves attribute, combat skill and spell skill reduction by 5%',0,0),
(6146,1000769,2,100,'Improves attribute, combat skill and spell skill reduction by 10%',0,0),
(6147,1000769,3,100,'Improves attribute, combat skill and spell skill reduction by 15%',0,0),
(6148,1000769,4,100,'Improves attribute, combat skill and spell skill reduction by 20%',0,0),
(6149,1000769,5,100,'Improves attribute, combat skill and spell skill reduction by 25%',0,0),
(6150,1000770,1,100,'Increases strength and intelligence reduction by 7%',0,0),
(6151,1000770,2,100,'Increases strength and intelligence reduction by 14%',0,0),
(6152,1000770,3,100,'Increases strength and intelligence reduction by 21%',0,0),
(6153,1000770,4,100,'Increases strength and intelligence reduction by 28%',0,0),
(6154,1000770,5,100,'Increases strength and intelligence reduction by 35%',0,0),
(6155,1000771,1,100,'Increases Arcane resist reduction by 5%',0,0),
(6156,1000771,2,100,'Increases Arcane resist reduction by 10%',0,0),
(6157,1000771,3,100,'Increases Arcane resist reduction by 15%',0,0),
(6158,1000771,4,100,'Increases Arcane resist reduction by 20%',0,0),
(6159,1000771,5,100,'Increases Arcane resist reduction by 25%',0,0),
(6160,1000772,1,100,'Increases chance to hit by 10%',0,0),
(6161,1000772,1,100,'Increases damage by 2%',0,1),
(6162,1000772,2,100,'Increases chance to hit by 20%',0,0),
(6163,1000772,2,100,'Increases damage by 4%',0,1),
(6164,1000772,3,100,'Increases chance to hit by 30%',0,0),
(6165,1000772,3,100,'Increases damage by 6%',0,1),
(6166,1000772,4,100,'Increases chance to hit by 40%',0,0),
(6167,1000772,4,100,'Increases damage by 8%',0,1),
(6168,1000772,5,100,'Increases chance to hit by 50%',0,0),
(6169,1000772,5,100,'Increases damage by 10%',0,1),
(6170,1000773,1,100,'Increases duration by 2 seconds',0,0),
(6171,1000773,1,100,'Increases damage by 5%',0,1),
(6172,1000773,2,100,'Increases duration by 4 seconds',0,0),
(6173,1000773,2,100,'Increases damage by 10%',0,1),
(6174,1000773,3,100,'Increases duration by 6 seconds',0,0),
(6175,1000773,3,100,'Increases damage by 15%',0,1),
(6176,1000773,4,100,'Increases duration by 8 seconds',0,0),
(6177,1000773,4,100,'Increases damage by 20%',0,1),
(6178,1000773,5,100,'Increases duration by 10 seconds',0,0),
(6179,1000773,5,100,'Increases damage by 25%',0,1),
(6180,1000774,1,100,'Increases the Damage Per Second on Destructive Rage by 1%',0,0),
(6181,1000774,2,100,'Increases the Damage Per Second on Destructive Rage by 2%',0,0),
(6182,1000774,3,100,'Increases the Damage Per Second on Destructive Rage by 3%',0,0),
(6183,1000774,4,100,'Increases the Damage Per Second on Destructive Rage by 4%',0,0),
(6184,1000774,5,100,'Increases the Damage Per Second on Destructive Rage by 5%',0,0),
(6185,1000775,1,100,'Devoted Resolve gains the ability to apply a small heal upon successfully curing an ailment on a group member.',0,0),
(6186,1000775,2,100,'Devoted Resolve gains the ability to apply a small heal upon successfully curing an ailment on a group member.',0,0),
(6187,1000775,3,100,'Devoted Resolve gains the ability to apply a small heal upon successfully curing an ailment on a group member.',0,0),
(6188,1000775,4,100,'Devoted Resolve gains the ability to apply a small heal upon successfully curing an ailment on a group member.',0,0),
(6189,1000775,5,100,'Devoted Resolve gains the ability to apply a small heal upon successfully curing an ailment on a group member.',0,0),
(6190,1000776,1,100,'Improves reuse speed by 1 seconds',0,0),
(6191,1000776,1,100,'Improves the Crit Bonus by 2%',0,1),
(6192,1000776,2,100,'Improves reuse speed by 2 seconds',0,0),
(6193,1000776,2,100,'Improves the Crit Bonus by 4%',0,1),
(6194,1000776,3,100,'Improves reuse speed by 3 seconds',0,0),
(6195,1000776,3,100,'Improves the Crit Bonus by 6%',0,1),
(6196,1000776,4,100,'Improves reuse speed by 4 seconds',0,0),
(6197,1000776,4,100,'Improves the Crit Bonus by 8%',0,1),
(6198,1000776,5,100,'Improves reuse speed by 5 seconds',0,0),
(6199,1000776,5,100,'Improves the Crit Bonus by 10%',0,1),
(6200,1000777,1,100,'Improves reuse speed by 6 seconds',0,0),
(6201,1000777,1,100,'Improves resistibility by 4%',0,1),
(6202,1000777,2,100,'Improves reuse speed by 12 seconds',0,0),
(6203,1000777,2,100,'Improves resistibility by 8%',0,1),
(6204,1000777,3,100,'Improves reuse speed by 18 seconds',0,0),
(6205,1000777,3,100,'Improves resistibility by 12%',0,1),
(6206,1000777,4,100,'Improves reuse speed by 24 seconds',0,0),
(6207,1000777,4,100,'Improves resistibility by 16%',0,1),
(6208,1000777,5,100,'Improves reuse speed by 30 seconds',0,0),
(6209,1000777,5,100,'Improves resistibility by 20%',0,1),
(6210,1000778,1,100,'Improves reuse speed by 6 seconds',0,0),
(6211,1000778,1,100,'Reduces power cost by 3%',0,1),
(6212,1000778,2,100,'Improves reuse speed by 12 seconds',0,0),
(6213,1000778,2,100,'Reduces power cost by 6%',0,1),
(6214,1000778,3,100,'Improves reuse speed by 18 seconds',0,0),
(6215,1000778,3,100,'Reduces power cost by 9%',0,1),
(6216,1000778,4,100,'Improves reuse speed by 24 seconds',0,0),
(6217,1000778,4,100,'Reduces power cost by 12%',0,1),
(6218,1000778,5,100,'Improves reuse speed by 30 seconds',0,0),
(6219,1000778,5,100,'Reduces power cost by 15%',0,1),
(6220,1000779,1,100,'Adds 1% Crit Chance to Dexterous Sonata.',0,0),
(6221,1000779,2,100,'Adds 2% Crit Chance to Dexterous Sonata.',0,0),
(6222,1000779,3,100,'Adds 3% Crit Chance to Dexterous Sonata.',0,0),
(6223,1000779,4,100,'Adds 4% Crit Chance to Dexterous Sonata.',0,0),
(6224,1000779,5,100,'Adds 5% Crit Chance to Dexterous Sonata.',0,0),
(6225,1000779,6,100,'Adds 6% Crit Chance to Dexterous Sonata.',0,0),
(6226,1000779,7,100,'Adds 7% Crit Chance to Dexterous Sonata.',0,0),
(6227,1000779,8,100,'Adds 8% Crit Chance to Dexterous Sonata.',0,0),
(6228,1000779,9,100,'Adds 9% Crit Chance to Dexterous Sonata.',0,0),
(6229,1000779,10,100,'Adds 10% Crit Chance to Dexterous Sonata.',0,0),
(6230,1000780,1,100,'Applies Enhance: Dire Drain to qualifying pets.',0,0),
(6231,1000780,1,100,'Improves the damage and heal amount of Dire Drain by 1%',1,1),
(6232,1000780,2,100,'Applies Enhance: Dire Drain to qualifying pets.',0,0),
(6233,1000780,2,100,'Improves the damage and heal amount of Dire Drain by 2%',1,1),
(6234,1000780,3,100,'Applies Enhance: Dire Drain to qualifying pets.',0,0),
(6235,1000780,3,100,'Improves the damage and heal amount of Dire Drain by 3%',1,1),
(6236,1000780,4,100,'Applies Enhance: Dire Drain to qualifying pets.',0,0),
(6237,1000780,4,100,'Improves the damage and heal amount of Dire Drain by 4%',1,1),
(6238,1000780,5,100,'Applies Enhance: Dire Drain to qualifying pets.',0,0),
(6239,1000780,5,100,'Improves the damage and heal amount of Dire Drain by 5%',1,1),
(6240,1000780,6,100,'Applies Enhance: Dire Drain to qualifying pets.',0,0),
(6241,1000780,6,100,'Improves the damage and heal amount of Dire Drain by 6%',1,1),
(6242,1000780,7,100,'Applies Enhance: Dire Drain to qualifying pets.',0,0),
(6243,1000780,7,100,'Improves the damage and heal amount of Dire Drain by 7%',1,1),
(6244,1000780,8,100,'Applies Enhance: Dire Drain to qualifying pets.',0,0),
(6245,1000780,8,100,'Improves the damage and heal amount of Dire Drain by 8%',1,1),
(6246,1000780,9,100,'Applies Enhance: Dire Drain to qualifying pets.',0,0),
(6247,1000780,9,100,'Improves the damage and heal amount of Dire Drain by 9%',1,1),
(6248,1000780,10,100,'Applies Enhance: Dire Drain to qualifying pets.',0,0),
(6249,1000780,10,100,'Improves the damage and heal amount of Dire Drain by 10%',1,1),
(6250,1000781,1,100,'Increases strength and agility reduction by 5%',0,0),
(6251,1000781,2,100,'Increases strength and agility reduction by 10%',0,0),
(6252,1000781,3,100,'Increases strength and agility reduction by 15%',0,0),
(6253,1000781,4,100,'Increases strength and agility reduction by 20%',0,0),
(6254,1000781,5,100,'Increases strength and agility reduction by 25%',0,0),
(6255,1000782,1,100,'Increases offensive skill reduction by 3%',0,0),
(6256,1000782,2,100,'Increases offensive skill reduction by 6%',0,0),
(6257,1000782,3,100,'Increases offensive skill reduction by 9%',0,0),
(6258,1000782,4,100,'Increases offensive skill reduction by 12%',0,0),
(6259,1000782,5,100,'Increases offensive skill reduction by 15%',0,0),
(6260,1000783,1,100,'Improves reuse speed by 30 seconds',0,0),
(6261,1000783,2,100,'Improves reuse speed by 60 seconds',0,0),
(6262,1000783,3,100,'Improves reuse speed by 90 seconds',0,0),
(6263,1000783,4,100,'Improves reuse speed by 120 seconds',0,0),
(6264,1000783,5,100,'Improves reuse speed by 150 seconds',0,0),
(6265,1000783,5,100,'Adds an extra hate position reduction to Disorientation',0,1),
(6266,1000784,1,100,'Increases duration by 0.5 seconds',0,0),
(6267,1000784,2,100,'Increases duration by 1 seconds',0,0),
(6268,1000784,3,100,'Increases duration by 1.5 seconds',0,0),
(6269,1000784,4,100,'Increases duration by 2 seconds',0,0),
(6270,1000784,5,100,'Increases duration by 2.5 seconds',0,0),
(6271,1000785,1,100,'Improves reuse speed by 0.2 seconds',0,0),
(6272,1000785,1,100,'Increases damage by 2%',0,1),
(6273,1000785,2,100,'Improves reuse speed by 0.4 seconds',0,0),
(6274,1000785,2,100,'Increases damage by 4%',0,1),
(6275,1000785,3,100,'Improves reuse speed by 0.6 seconds',0,0),
(6276,1000785,3,100,'Increases damage by 6%',0,1),
(6277,1000785,4,100,'Improves reuse speed by 0.8 seconds',0,0),
(6278,1000785,4,100,'Increases damage by 8%',0,1),
(6279,1000785,5,100,'Improves reuse speed by 1 seconds',0,0),
(6280,1000785,5,100,'Increases damage by 10%',0,1),
(6281,1000786,1,100,'Improves reuse speed by 0.6 seconds',0,0),
(6282,1000786,1,100,'Improves casting speed by 0.1 seconds',0,1),
(6283,1000786,1,100,'Improves the Crit Bonus by 1%',0,2),
(6284,1000786,2,100,'Improves reuse speed by 1.2 seconds',0,0),
(6285,1000786,2,100,'Improves casting speed by 0.2 seconds',0,1),
(6286,1000786,2,100,'Improves the Crit Bonus by 2%',0,2),
(6287,1000786,3,100,'Improves reuse speed by 1.8 seconds',0,0),
(6288,1000786,3,100,'Improves casting speed by 0.3 seconds',0,1),
(6289,1000786,3,100,'Improves the Crit Bonus by 3%',0,2),
(6290,1000786,4,100,'Improves reuse speed by 2.4 seconds',0,0),
(6291,1000786,4,100,'Improves casting speed by 0.4 seconds',0,1),
(6292,1000786,4,100,'Improves the Crit Bonus by 4%',0,2),
(6293,1000786,5,100,'Improves reuse speed by 3 seconds',0,0),
(6294,1000786,5,100,'Improves casting speed by 0.5 seconds',0,1),
(6295,1000786,5,100,'Improves the Crit Bonus by 5%',0,2),
(6296,1000787,1,100,'Improves the health increase of Divine Guidance by 1%.',0,0),
(6297,1000787,1,100,'Improves the duration of Divine Guidance by 0.4 seconds.',0,1),
(6298,1000787,2,100,'Improves the health increase of Divine Guidance by 2%.',0,0),
(6299,1000787,2,100,'Improves the duration of Divine Guidance by 0.8 seconds.',0,1),
(6300,1000787,3,100,'Improves the health increase of Divine Guidance by 3%.',0,0),
(6301,1000787,3,100,'Improves the duration of Divine Guidance by 1.2 seconds.',0,1),
(6302,1000787,4,100,'Improves the health increase of Divine Guidance by 4%.',0,0),
(6303,1000787,4,100,'Improves the duration of Divine Guidance by 1.6 seconds.',0,1),
(6304,1000787,5,100,'Improves the health increase of Divine Guidance by 5%.',0,0),
(6305,1000787,5,100,'Improves the duration of Divine Guidance by 2 seconds.',0,1),
(6306,1000787,6,100,'Improves the health increase of Divine Guidance by 6%.',0,0),
(6307,1000787,6,100,'Improves the duration of Divine Guidance by 2.4 seconds.',0,1),
(6308,1000787,7,100,'Improves the health increase of Divine Guidance by 7%.',0,0),
(6309,1000787,7,100,'Improves the duration of Divine Guidance by 2.8 seconds.',0,1),
(6310,1000787,8,100,'Improves the health increase of Divine Guidance by 8%.',0,0),
(6311,1000787,8,100,'Improves the duration of Divine Guidance by 3.2 seconds.',0,1),
(6312,1000787,9,100,'Improves the health increase of Divine Guidance by 9%.',0,0),
(6313,1000787,9,100,'Improves the duration of Divine Guidance by 3.6 seconds.',0,1),
(6314,1000787,10,100,'Improves the health increase of Divine Guidance by 10%.',0,0),
(6315,1000787,10,100,'Improves the duration of Divine Guidance by 4 seconds.',0,1),
(6316,1000788,1,100,'Increases trigger chance by 1%',0,0),
(6317,1000788,2,100,'Increases trigger chance by 2%',0,0),
(6318,1000788,3,100,'Increases trigger chance by 3%',0,0),
(6319,1000788,4,100,'Increases trigger chance by 4%',0,0),
(6320,1000788,5,100,'Increases trigger chance by 5%',0,0),
(6321,1000789,1,100,'Reduces power cost by 10%',0,0),
(6322,1000789,1,100,'Improves casting speed by 0.1 seconds',0,1),
(6323,1000789,1,100,'Improves reuse speed by 0.1 seconds',0,2),
(6324,1000789,1,100,'Improves the Crit Bonus by 1%',0,3),
(6325,1000789,2,100,'Reduces power cost by 20%',0,0),
(6326,1000789,2,100,'Improves casting speed by 0.2 seconds',0,1),
(6327,1000789,2,100,'Improves reuse speed by 0.2 seconds',0,2),
(6328,1000789,2,100,'Improves the Crit Bonus by 2%',0,3),
(6329,1000789,3,100,'Reduces power cost by 30%',0,0),
(6330,1000789,3,100,'Improves casting speed by 0.3 seconds',0,1),
(6331,1000789,3,100,'Improves reuse speed by 0.3 seconds',0,2),
(6332,1000789,3,100,'Improves the Crit Bonus by 3%',0,3),
(6333,1000789,4,100,'Reduces power cost by 40%',0,0),
(6334,1000789,4,100,'Improves casting speed by 0.4 seconds',0,1),
(6335,1000789,4,100,'Improves reuse speed by 0.4 seconds',0,2),
(6336,1000789,4,100,'Improves the Crit Bonus by 4%',0,3),
(6337,1000789,5,100,'Reduces power cost by 50%',0,0),
(6338,1000789,5,100,'Improves casting speed by 0.5 seconds',0,1),
(6339,1000789,5,100,'Improves reuse speed by 0.5 seconds',0,2),
(6340,1000789,5,100,'Improves the Crit Bonus by 5%',0,3),
(6341,1000790,1,100,'Reduces power cost by 10%',0,0),
(6342,1000790,1,100,'Improves casting speed by 0.1 seconds',0,1),
(6343,1000790,1,100,'Improves reuse speed by 0.5 seconds',0,2),
(6344,1000790,1,100,'Improves the Crit Bonus by 1%',0,3),
(6345,1000790,2,100,'Reduces power cost by 20%',0,0),
(6346,1000790,2,100,'Improves casting speed by 0.2 seconds',0,1),
(6347,1000790,2,100,'Improves reuse speed by 1 seconds',0,2),
(6348,1000790,2,100,'Improves the Crit Bonus by 2%',0,3),
(6349,1000790,3,100,'Reduces power cost by 30%',0,0),
(6350,1000790,3,100,'Improves casting speed by 0.3 seconds',0,1),
(6351,1000790,3,100,'Improves reuse speed by 1.5 seconds',0,2),
(6352,1000790,3,100,'Improves the Crit Bonus by 3%',0,3),
(6353,1000790,4,100,'Reduces power cost by 40%',0,0),
(6354,1000790,4,100,'Improves casting speed by 0.4 seconds',0,1),
(6355,1000790,4,100,'Improves reuse speed by 2 seconds',0,2),
(6356,1000790,4,100,'Improves the Crit Bonus by 4%',0,3),
(6357,1000790,5,100,'Reduces power cost by 50%',0,0),
(6358,1000790,5,100,'Improves casting speed by 0.5 seconds',0,1),
(6359,1000790,5,100,'Improves reuse speed by 2.5 seconds',0,2),
(6360,1000790,5,100,'Improves the Crit Bonus by 5%',0,3),
(6361,1000791,1,100,'Increases damage by 7%',0,0),
(6362,1000792,1,100,'Improves reuse speed by 8 seconds',0,0),
(6363,1000792,1,100,'Improves the Crit Bonus by 2%',0,1),
(6364,1000792,2,100,'Improves reuse speed by 16 seconds',0,0),
(6365,1000792,2,100,'Improves the Crit Bonus by 4%',0,1),
(6366,1000791,2,100,'Increases damage by 14%',0,0),
(6367,1000792,3,100,'Improves reuse speed by 24 seconds',0,0),
(6368,1000792,3,100,'Improves the Crit Bonus by 6%',0,1),
(6369,1000791,3,100,'Increases damage by 21%',0,0),
(6370,1000792,4,100,'Improves reuse speed by 32 seconds',0,0),
(6371,1000792,4,100,'Improves the Crit Bonus by 8%',0,1),
(6372,1000791,4,100,'Increases damage by 28%',0,0),
(6373,1000792,5,100,'Improves reuse speed by 40 seconds',0,0),
(6374,1000792,5,100,'Improves the Crit Bonus by 10%',0,1),
(6375,1000791,5,100,'Increases damage by 35%',0,0),
(6376,1000793,1,100,'Increases wisdom reduction by 6%',0,0),
(6377,1000793,2,100,'Increases wisdom reduction by 12%',0,0),
(6378,1000793,3,100,'Increases wisdom reduction by 18%',0,0),
(6379,1000793,4,100,'Increases wisdom reduction by 24%',0,0),
(6380,1000793,5,100,'Increases wisdom reduction by 30%',0,0),
(6381,1000794,1,100,'Applies Enhance: Draconic Alacrity to qualifying pets.',0,0),
(6382,1000794,1,100,'Improves the duration of Draconic Alacrity by 10%',1,1),
(6383,1000794,2,100,'Applies Enhance: Draconic Alacrity to qualifying pets.',0,0),
(6384,1000794,2,100,'Improves the duration of Draconic Alacrity by 20%',1,1),
(6385,1000794,3,100,'Applies Enhance: Draconic Alacrity to qualifying pets.',0,0),
(6386,1000794,3,100,'Improves the duration of Draconic Alacrity by 30%',1,1),
(6387,1000794,4,100,'Applies Enhance: Draconic Alacrity to qualifying pets.',0,0),
(6388,1000794,4,100,'Improves the duration of Draconic Alacrity by 40%',1,1),
(6389,1000794,5,100,'Applies Enhance: Draconic Alacrity to qualifying pets.',0,0),
(6390,1000794,5,100,'Improves the duration of Draconic Alacrity by 50%',1,1),
(6391,1000794,6,100,'Applies Enhance: Draconic Alacrity to qualifying pets.',0,0),
(6392,1000794,6,100,'Improves the duration of Draconic Alacrity by 60%',1,1),
(6393,1000794,7,100,'Applies Enhance: Draconic Alacrity to qualifying pets.',0,0),
(6394,1000794,7,100,'Improves the duration of Draconic Alacrity by 70%',1,1),
(6395,1000794,8,100,'Applies Enhance: Draconic Alacrity to qualifying pets.',0,0),
(6396,1000794,8,100,'Improves the duration of Draconic Alacrity by 80%',1,1),
(6397,1000794,9,100,'Applies Enhance: Draconic Alacrity to qualifying pets.',0,0),
(6398,1000794,9,100,'Improves the duration of Draconic Alacrity by 90%',1,1),
(6399,1000794,10,100,'Applies Enhance: Draconic Alacrity to qualifying pets.',0,0),
(6400,1000794,10,100,'Improves the duration of Draconic Alacrity by 100%',1,1),
(6401,1000795,1,100,'Applies Enhance: Draconic Flames to qualifying pets.',0,0),
(6402,1000795,1,100,'Improves the damage of Draconic Flames by 1%',1,1),
(6403,1000795,2,100,'Applies Enhance: Draconic Flames to qualifying pets.',0,0),
(6404,1000795,2,100,'Improves the damage of Draconic Flames by 2%',1,1),
(6405,1000795,3,100,'Applies Enhance: Draconic Flames to qualifying pets.',0,0),
(6406,1000795,3,100,'Improves the damage of Draconic Flames by 3%',1,1),
(6407,1000795,4,100,'Applies Enhance: Draconic Flames to qualifying pets.',0,0),
(6408,1000795,4,100,'Improves the damage of Draconic Flames by 4%',1,1),
(6409,1000795,5,100,'Applies Enhance: Draconic Flames to qualifying pets.',0,0),
(6410,1000795,5,100,'Improves the damage of Draconic Flames by 5%',1,1),
(6411,1000795,6,100,'Applies Enhance: Draconic Flames to qualifying pets.',0,0),
(6412,1000795,6,100,'Improves the damage of Draconic Flames by 6%',1,1),
(6413,1000795,7,100,'Applies Enhance: Draconic Flames to qualifying pets.',0,0),
(6414,1000795,7,100,'Improves the damage of Draconic Flames by 7%',1,1),
(6415,1000795,8,100,'Applies Enhance: Draconic Flames to qualifying pets.',0,0),
(6416,1000795,8,100,'Improves the damage of Draconic Flames by 8%',1,1),
(6417,1000795,9,100,'Applies Enhance: Draconic Flames to qualifying pets.',0,0),
(6418,1000795,9,100,'Improves the damage of Draconic Flames by 9%',1,1),
(6419,1000795,10,100,'Applies Enhance: Draconic Flames to qualifying pets.',0,0),
(6420,1000795,10,100,'Improves the damage of Draconic Flames by 10%',1,1),
(6421,1000796,1,100,'Increases radius by 2',0,0),
(6422,1000796,1,100,'Improves reuse speed by 4 seconds',0,1),
(6423,1000796,2,100,'Increases radius by 4',0,0),
(6424,1000796,2,100,'Improves reuse speed by 8 seconds',0,1),
(6425,1000796,3,100,'Increases radius by 6',0,0),
(6426,1000796,3,100,'Improves reuse speed by 12 seconds',0,1),
(6427,1000796,4,100,'Increases radius by 8',0,0),
(6428,1000796,4,100,'Improves reuse speed by 16 seconds',0,1),
(6429,1000796,5,100,'Increases radius by 10',0,0),
(6430,1000796,5,100,'Improves reuse speed by 20 seconds',0,1),
(6431,1000797,1,100,'Improves casting speed by 0.2 seconds',0,0),
(6432,1000797,1,100,'Improves the Crit Bonus by 1%',0,1),
(6433,1000797,2,100,'Improves casting speed by 0.4 seconds',0,0),
(6434,1000797,2,100,'Improves the Crit Bonus by 2%',0,1),
(6435,1000797,3,100,'Improves casting speed by 0.6 seconds',0,0),
(6436,1000797,3,100,'Improves the Crit Bonus by 3%',0,1),
(6437,1000797,4,100,'Improves casting speed by 0.8 seconds',0,0),
(6438,1000797,4,100,'Improves the Crit Bonus by 4%',0,1),
(6439,1000797,5,100,'Improves casting speed by 1 seconds',0,0),
(6440,1000797,5,100,'Improves the Crit Bonus by 5%',0,1),
(6441,1000798,1,100,'Adds a ward that absorbs all damage types.',0,0),
(6442,1000798,2,100,'Adds a ward that absorbs all damage types.',0,0),
(6443,1000798,3,100,'Adds a ward that absorbs all damage types.',0,0),
(6444,1000798,4,100,'Adds a ward that absorbs all damage types.',0,0),
(6445,1000798,5,100,'Adds a ward that absorbs all damage types.',0,0),
(6446,1000799,1,100,'Improves reuse speed by 1.5 seconds',0,0),
(6447,1000799,1,100,'Improves casting speed by 0.1 seconds',0,1),
(6448,1000799,1,100,'Improves the Crit Bonus by 2%',0,2),
(6449,1000799,2,100,'Improves reuse speed by 3 seconds',0,0),
(6450,1000799,2,100,'Improves casting speed by 0.2 seconds',0,1),
(6451,1000799,2,100,'Improves the Crit Bonus by 4%',0,2),
(6452,1000799,3,100,'Improves reuse speed by 4.5 seconds',0,0),
(6453,1000799,3,100,'Improves casting speed by 0.3 seconds',0,1),
(6454,1000799,3,100,'Improves the Crit Bonus by 6%',0,2),
(6455,1000799,4,100,'Improves reuse speed by 6 seconds',0,0),
(6456,1000799,4,100,'Improves casting speed by 0.4 seconds',0,1),
(6457,1000799,4,100,'Improves the Crit Bonus by 8%',0,2),
(6458,1000799,5,100,'Improves reuse speed by 7.5 seconds',0,0),
(6459,1000799,5,100,'Improves casting speed by 0.5 seconds',0,1),
(6460,1000799,5,100,'Improves the Crit Bonus by 10%',0,2),
(6461,1000800,1,100,'Increases health and power by an additional 15% and improves reuse speed by 2 seconds',0,0),
(6462,1000800,1,100,'Increases the range by 1',0,1),
(6463,1000800,2,100,'Increases health and power by an additional 4% and improves reuse speed by 4 seconds',0,0),
(6464,1000800,2,100,'Increases the range by 2',0,1),
(6465,1000800,3,100,'Increases health and power by an additional 6% and improves reuse speed by 6 seconds',0,0),
(6466,1000800,3,100,'Increases the range by 3',0,1),
(6467,1000800,4,100,'Increases health and power by an additional 8% and improves reuse speed by 8 seconds',0,0),
(6468,1000800,4,100,'Increases the range by 4',0,1),
(6469,1000800,5,100,'Increases health and power by an additional 75% and improves reuse speed by 2 seconds',0,0),
(6470,1000800,5,100,'Increases the range by 5',0,1),
(6471,1000801,1,100,'Improves casting speed by 0.6 seconds',0,0),
(6472,1000801,1,100,'Increases health and power by an additional 10%',0,1),
(6473,1000801,2,100,'Improves casting speed by 1.2 seconds',0,0),
(6474,1000801,2,100,'Increases health and power by an additional 4%',0,1),
(6475,1000801,3,100,'Improves casting speed by 1.8 seconds',0,0),
(6476,1000801,3,100,'Increases health and power by an additional 6%',0,1),
(6477,1000801,4,100,'Improves casting speed by 2.4 seconds',0,0),
(6478,1000801,4,100,'Increases health and power by an additional 8%',0,1),
(6479,1000801,5,100,'Improves casting speed by 3 seconds',0,0),
(6480,1000801,5,100,'Increases health and power by an additional 10%',0,1),
(6481,1000802,1,100,'Adds a ward that will absorb Elemental damage.',0,0),
(6482,1000802,2,100,'Adds a ward that will absorb Elemental damage.',0,0),
(6483,1000802,3,100,'Adds a ward that will absorb Elemental damage.',0,0),
(6484,1000802,4,100,'Adds a ward that will absorb Elemental damage.',0,0),
(6485,1000802,5,100,'Adds a ward that will absorb Elemental damage.',0,0),
(6486,1000803,1,100,'Improves the duration of Elemental Toxicity by 0.4 seconds.',0,0),
(6487,1000803,2,100,'Improves the duration of Elemental Toxicity by 0.8 seconds.',0,0),
(6488,1000803,3,100,'Improves the duration of Elemental Toxicity by 1.2 seconds.',0,0),
(6489,1000803,4,100,'Improves the duration of Elemental Toxicity by 1.6 seconds.',0,0),
(6490,1000803,5,100,'Improves the duration of Elemental Toxicity by 2 seconds.',0,0),
(6491,1000803,6,100,'Improves the duration of Elemental Toxicity by 2.4 seconds.',0,0),
(6492,1000803,7,100,'Improves the duration of Elemental Toxicity by 2.8 seconds.',0,0),
(6493,1000803,8,100,'Improves the duration of Elemental Toxicity by 3.2 seconds.',0,0),
(6494,1000803,9,100,'Improves the duration of Elemental Toxicity by 3.6 seconds.',0,0),
(6495,1000803,10,100,'Improves the duration of Elemental Toxicity by 4 seconds.',0,0),
(6496,1000804,1,100,'Increases duration by 2 seconds',0,0),
(6497,1000804,2,100,'Increases duration by 4 seconds',0,0),
(6498,1000804,3,100,'Increases duration by 6 seconds',0,0),
(6499,1000804,4,100,'Increases duration by 8 seconds',0,0),
(6500,1000804,5,100,'Increases duration by 10 seconds',0,0),
(6501,1000805,1,100,'Improves reuse speed by 3 seconds and restoration amount by 3%',0,0),
(6502,1000805,2,100,'Improves reuse speed by 6 seconds and restoration amount by 6%',0,0),
(6503,1000805,3,100,'Improves reuse speed by 9 seconds and restoration amount by 9%',0,0),
(6504,1000805,4,100,'Improves reuse speed by 12 seconds and restoration amount by 12%',0,0),
(6505,1000805,5,100,'Improves reuse speed by 15 seconds and restoration amount by 15%',0,0),
(6506,1000806,1,100,'Increases heal amount by 10%',0,0),
(6507,1000806,2,100,'Increases heal amount by 20%',0,0),
(6508,1000806,3,100,'Increases heal amount by 30%',0,0),
(6509,1000806,4,100,'Increases heal amount by 40%',0,0),
(6510,1000806,5,100,'Increases heal amount by 50%',0,0),
(6511,1000807,1,100,'Improves reuse speed by 30 seconds',0,0),
(6512,1000807,1,100,'Improves the Crit Bonus by 5%',0,1),
(6513,1000807,2,100,'Improves reuse speed by 60 seconds',0,0),
(6514,1000807,2,100,'Improves the Crit Bonus by 10%',0,1),
(6515,1000807,3,100,'Improves reuse speed by 90 seconds',0,0),
(6516,1000807,3,100,'Improves the Crit Bonus by 15%',0,1),
(6517,1000807,4,100,'Improves reuse speed by 120 seconds',0,0),
(6518,1000807,4,100,'Improves the Crit Bonus by 20%',0,1),
(6519,1000807,5,100,'Improves reuse speed by 150 seconds',0,0),
(6520,1000807,5,100,'Improves the Crit Bonus by 25%',0,1),
(6521,1000808,1,100,'Improves reuse speed by 60 seconds',0,0),
(6522,1000808,1,100,'Improves the Crit Bonus by 5%',0,1),
(6523,1000808,2,100,'Improves reuse speed by 120 seconds',0,0),
(6524,1000808,2,100,'Improves the Crit Bonus by 10%',0,1),
(6525,1000808,3,100,'Improves reuse speed by 180 seconds',0,0),
(6526,1000808,3,100,'Improves the Crit Bonus by 15%',0,1),
(6527,1000808,4,100,'Improves reuse speed by 240 seconds',0,0),
(6528,1000808,4,100,'Improves the Crit Bonus by 20%',0,1),
(6529,1000808,5,100,'Improves reuse speed by 300 seconds',0,0),
(6530,1000808,5,100,'Improves the Crit Bonus by 25%',0,1),
(6531,1000809,1,100,'Improves reuse speed by 8 seconds',0,0),
(6532,1000809,1,100,'Improves the Crit Bonus by 2%',0,1),
(6533,1000809,2,100,'Improves reuse speed by 16 seconds',0,0),
(6534,1000809,2,100,'Improves the Crit Bonus by 4%',0,1),
(6535,1000809,3,100,'Improves reuse speed by 24 seconds',0,0),
(6536,1000809,3,100,'Improves the Crit Bonus by 6%',0,1),
(6537,1000809,4,100,'Improves reuse speed by 32 seconds',0,0),
(6538,1000809,4,100,'Improves the Crit Bonus by 8%',0,1),
(6539,1000809,5,100,'Improves reuse speed by 40 seconds',0,0),
(6540,1000809,5,100,'Improves the Crit Bonus by 10%',0,1),
(6541,1000810,1,100,'Improves reuse speed by 1.5 seconds',0,0),
(6542,1000810,1,100,'Improves the Crit Bonus by 3%',0,1),
(6543,1000810,2,100,'Improves reuse speed by 3 seconds',0,0),
(6544,1000810,2,100,'Improves the Crit Bonus by 6%',0,1),
(6545,1000810,3,100,'Improves reuse speed by 4.5 seconds',0,0),
(6546,1000810,3,100,'Improves the Crit Bonus by 9%',0,1),
(6547,1000810,4,100,'Improves reuse speed by 6 seconds',0,0),
(6548,1000810,4,100,'Improves the Crit Bonus by 12%',0,1),
(6549,1000810,5,100,'Improves reuse speed by 7.5 seconds',0,0),
(6550,1000810,5,100,'Improves the Crit Bonus by 15%',0,1),
(6551,1000811,1,100,'Applies Enhance: Enchanted Eyes to qualifying pets.',0,0),
(6552,1000811,1,100,'Improves the damage and heal amount of Enchanted Eyes by 1%',1,1),
(6553,1000811,2,100,'Applies Enhance: Enchanted Eyes to qualifying pets.',0,0),
(6554,1000811,2,100,'Improves the damage and heal amount of Enchanted Eyes by 2%',1,1),
(6555,1000811,3,100,'Applies Enhance: Enchanted Eyes to qualifying pets.',0,0),
(6556,1000811,3,100,'Improves the damage and heal amount of Enchanted Eyes by 3%',1,1),
(6557,1000811,4,100,'Applies Enhance: Enchanted Eyes to qualifying pets.',0,0),
(6558,1000811,4,100,'Improves the damage and heal amount of Enchanted Eyes by 4%',1,1),
(6559,1000811,5,100,'Applies Enhance: Enchanted Eyes to qualifying pets.',0,0),
(6560,1000811,5,100,'Improves the damage and heal amount of Enchanted Eyes by 5%',1,1),
(6561,1000811,6,100,'Applies Enhance: Enchanted Eyes to qualifying pets.',0,0),
(6562,1000811,6,100,'Improves the damage and heal amount of Enchanted Eyes by 6%',1,1),
(6563,1000811,7,100,'Applies Enhance: Enchanted Eyes to qualifying pets.',0,0),
(6564,1000811,7,100,'Improves the damage and heal amount of Enchanted Eyes by 7%',1,1),
(6565,1000811,8,100,'Applies Enhance: Enchanted Eyes to qualifying pets.',0,0),
(6566,1000811,8,100,'Improves the damage and heal amount of Enchanted Eyes by 8%',1,1),
(6567,1000811,9,100,'Applies Enhance: Enchanted Eyes to qualifying pets.',0,0),
(6568,1000811,9,100,'Improves the damage and heal amount of Enchanted Eyes by 9%',1,1),
(6569,1000811,10,100,'Applies Enhance: Enchanted Eyes to qualifying pets.',0,0),
(6570,1000811,10,100,'Improves the damage and heal amount of Enchanted Eyes by 10%',1,1),
(6571,1000812,1,100,'Reduces resistibility by 5%',0,0),
(6572,1000812,1,100,'Increases duration by 1.5 seconds',0,1),
(6573,1000812,2,100,'Reduces resistibility by 10%',0,0),
(6574,1000812,2,100,'Increases duration by 3 seconds',0,1),
(6575,1000812,3,100,'Reduces resistibility by 15%',0,0),
(6576,1000812,3,100,'Increases duration by 4.5 seconds',0,1),
(6577,1000812,4,100,'Reduces resistibility by 20%',0,0),
(6578,1000812,4,100,'Increases duration by 6 seconds',0,1),
(6579,1000812,5,100,'Reduces resistibility by 25%',0,0),
(6580,1000812,5,100,'Increases duration by 7.5 seconds',0,1),
(6581,1000813,1,100,'Increases power regeneration by 5%',0,0),
(6582,1000813,2,100,'Increases power regeneration by 10%',0,0),
(6583,1000813,3,100,'Increases power regeneration by 15%',0,0),
(6584,1000813,4,100,'Increases power regeneration by 20%',0,0),
(6585,1000813,5,100,'Increases power regeneration by 25%',0,0),
(6586,1000814,1,100,'Improves casting speed by 0.3 seconds',0,0),
(6587,1000814,1,100,'Improves reuse speed by 60 seconds',0,1),
(6588,1000814,1,100,'Reduces the power cost by 20%',0,2),
(6589,1000814,2,100,'Improves casting speed by 0.6 seconds',0,0),
(6590,1000814,2,100,'Improves reuse speed by 120 seconds',0,1),
(6591,1000814,2,100,'Reduces the power cost by 40%',0,2),
(6592,1000814,3,100,'Improves casting speed by 0.9 seconds',0,0),
(6593,1000814,3,100,'Improves reuse speed by 180 seconds',0,1),
(6594,1000814,3,100,'Reduces the power cost by 60%',0,2),
(6595,1000814,4,100,'Improves casting speed by 1.2 seconds',0,0),
(6596,1000814,4,100,'Improves reuse speed by 240 seconds',0,1),
(6597,1000814,4,100,'Reduces the power cost by 80%',0,2),
(6598,1000814,5,100,'Improves casting speed by 1.5 seconds',0,0),
(6599,1000814,5,100,'Improves reuse speed by 300 seconds',0,1),
(6600,1000814,5,100,'Reduces the power cost by 100%',0,2),
(6601,1000815,1,100,'Improves reuse speed by 1.5 seconds',0,0),
(6602,1000815,1,100,'Improves the hate reduction by 5%.',0,1),
(6603,1000816,1,100,'Improves the hate reduction by 7%.',0,0),
(6604,1000815,2,100,'Improves reuse speed by 3 seconds',0,0),
(6605,1000815,2,100,'Improves the hate reduction by 10%.',0,1),
(6606,1000816,2,100,'Improves the hate reduction by 14%.',0,0),
(6607,1000815,3,100,'Improves reuse speed by 4.5 seconds',0,0),
(6608,1000815,3,100,'Improves the hate reduction by 15%.',0,1),
(6609,1000816,3,100,'Improves the hate reduction by 21%.',0,0),
(6610,1000815,4,100,'Improves reuse speed by 6 seconds',0,0),
(6611,1000815,4,100,'Improves the hate reduction by 20%.',0,1),
(6612,1000816,4,100,'Improves the hate reduction by 28%.',0,0),
(6613,1000815,5,100,'Improves reuse speed by 7.5 seconds',0,0),
(6614,1000815,5,100,'Improves the hate reduction by 25%.',0,1),
(6615,1000816,5,100,'Improves the hate reduction by 35%.',0,0),
(6616,1000817,1,100,'Improves reuse speed by 8 seconds',0,0),
(6617,1000817,1,100,'All affected combat arts gain 1% Crit Bonus when Exacting is active',0,1),
(6618,1000817,2,100,'Improves reuse speed by 16 seconds',0,0),
(6619,1000817,2,100,'All affected combat arts gain 2% Crit Bonus when Exacting is active',0,1),
(6620,1000817,3,100,'Improves reuse speed by 24 seconds',0,0),
(6621,1000817,3,100,'All affected combat arts gain 3% Crit Bonus when Exacting is active',0,1),
(6622,1000817,4,100,'Improves reuse speed by 32 seconds',0,0),
(6623,1000817,4,100,'All affected combat arts gain 4% Crit Bonus when Exacting is active',0,1),
(6624,1000817,5,100,'Improves reuse speed by 40 seconds',0,0),
(6625,1000817,5,100,'All affected combat arts gain 5% Crit Bonus when Exacting is active',0,1),
(6626,1000818,1,100,'Adds an effect that increases accuracy by 2%.',0,0),
(6627,1000818,1,100,'Increases threat amount by 5%.',0,1),
(6628,1000818,2,100,'Adds an effect that increases accuracy by 4%.',0,0),
(6629,1000818,2,100,'Increases threat amount by 10%.',0,1),
(6630,1000818,3,100,'Adds an effect that increases accuracy by 6%.',0,0),
(6631,1000818,3,100,'Increases threat amount by 15%.',0,1),
(6632,1000818,4,100,'Adds an effect that increases accuracy by 8%.',0,0),
(6633,1000818,4,100,'Increases threat amount by 20%.',0,1),
(6634,1000818,5,100,'Adds an effect that increases accuracy by 10%.',0,0),
(6635,1000818,5,100,'Increases threat amount by 25%.',0,1),
(6636,1000818,6,100,'Adds an effect that increases accuracy by 12%.',0,0),
(6637,1000818,6,100,'Increases threat amount by 30%.',0,1),
(6638,1000818,7,100,'Adds an effect that increases accuracy by 14%.',0,0),
(6639,1000818,7,100,'Increases threat amount by 35%.',0,1),
(6640,1000818,8,100,'Adds an effect that increases accuracy by 16%.',0,0),
(6641,1000818,8,100,'Increases threat amount by 40%.',0,1),
(6642,1000818,9,100,'Adds an effect that increases accuracy by 18%.',0,0),
(6643,1000818,9,100,'Increases threat amount by 45%.',0,1),
(6644,1000818,10,100,'Adds an effect that increases accuracy by 20%.',0,0),
(6645,1000818,10,100,'Increases threat amount by 50%.',0,1),
(6646,1000818,10,100,'Makes the caster immune to stun, stifle, root and daze effects.',0,2),
(6647,1000819,1,100,'Increases damage by 3%',0,0),
(6648,1000819,2,100,'Increases damage by 6%',0,0),
(6649,1000819,3,100,'Increases damage by 9%',0,0),
(6650,1000819,4,100,'Increases damage by 12%',0,0),
(6651,1000819,5,100,'Increases damage by 15%',0,0),
(6652,1000820,1,100,'Improves the damage of Eye Shot by 4%',0,0),
(6653,1000820,2,100,'Improves the damage of Eye Shot by 8%',0,0),
(6654,1000820,3,100,'Improves the damage of Eye Shot by 12%',0,0),
(6655,1000820,4,100,'Improves the damage of Eye Shot by 16%',0,0),
(6656,1000820,5,100,'Improves the damage of Eye Shot by 20%',0,0),
(6657,1000821,1,100,'Improves reuse speed by 1 seconds',0,0),
(6658,1000821,1,100,'Improves the casting speed by 0.2 seconds',0,1),
(6659,1000821,1,100,'Improves the Crit Bonus by 1%',0,2),
(6660,1000821,2,100,'Improves reuse speed by 2 seconds',0,0),
(6661,1000821,2,100,'Improves the casting speed by 0.4 seconds',0,1),
(6662,1000821,2,100,'Improves the Crit Bonus by 2%',0,2),
(6663,1000821,3,100,'Improves reuse speed by 3 seconds',0,0),
(6664,1000821,3,100,'Improves the casting speed by 0.6 seconds',0,1),
(6665,1000821,3,100,'Improves the Crit Bonus by 3%',0,2),
(6666,1000821,4,100,'Improves reuse speed by 4 seconds',0,0),
(6667,1000821,4,100,'Improves the casting speed by 0.8 seconds',0,1),
(6668,1000821,4,100,'Improves the Crit Bonus by 4%',0,2),
(6669,1000821,4,100,'Adds 1 trigger to Fae Fire',0,3),
(6670,1000821,5,100,'Improves reuse speed by 5 seconds',0,0),
(6671,1000821,5,100,'Improves the casting speed by 1 seconds',0,1),
(6672,1000821,5,100,'Improves the Crit Bonus by 5%',0,2),
(6673,1000821,5,100,'Adds 2 triggers to Fae Fire',0,3),
(6674,1000822,1,100,'Increases heal amount by 5% of the base value',0,0),
(6675,1000822,2,100,'Increases heal amount by 10% of the base value',0,0),
(6676,1000822,3,100,'Increases heal amount by 15% of the base value',0,0),
(6677,1000822,4,100,'Increases heal amount by 20% of the base value',0,0),
(6678,1000822,5,100,'Increases heal amount by 25% of the base value',0,0),
(6679,1000823,1,100,'Reduces the power cost of Fanaticism by 20%.',0,0),
(6680,1000823,2,100,'Reduces the power cost of Fanaticism by 40%.',0,0),
(6681,1000823,3,100,'Reduces the power cost of Fanaticism by 60%.',0,0),
(6682,1000823,4,100,'Reduces the power cost of Fanaticism by 80%.',0,0),
(6683,1000823,5,100,'Reduces the power cost of Fanaticism by 100%.',0,0),
(6684,1000824,1,100,'Reduces resistibility by 3%',0,0),
(6685,1000824,1,100,'Increases duration by 5.5%',0,1),
(6686,1000824,2,100,'Reduces resistibility by 6%',0,0),
(6687,1000824,2,100,'Increases duration by 5.5%',0,1),
(6688,1000824,3,100,'Reduces resistibility by 9%',0,0),
(6689,1000824,3,100,'Increases duration by 5.5%',0,1),
(6690,1000824,4,100,'Reduces resistibility by 12%',0,0),
(6691,1000824,4,100,'Increases duration by 5.5%',0,1),
(6692,1000824,5,100,'Reduces resistibility by 15%',0,0),
(6693,1000824,5,100,'Increases duration by 5.5%',0,1),
(6694,1000825,1,100,'Applies Enhance: Feast to qualifying pets.',0,0),
(6695,1000825,1,100,'Improves the damage and heal amount of Feast by 1%',1,1),
(6696,1000826,1,100,'Improves reuse speed by 1 seconds',0,0),
(6697,1000826,1,100,'Improves casting speed by 0.2 seconds',0,1),
(6698,1000826,1,100,'Improves the resistibility by 4%',0,2),
(6699,1000826,2,100,'Improves reuse speed by 2 seconds',0,0),
(6700,1000826,2,100,'Improves casting speed by 0.4 seconds',0,1),
(6701,1000826,2,100,'Improves the resistibility by 8%',0,2),
(6702,1000825,2,100,'Applies Enhance: Feast to qualifying pets.',0,0),
(6703,1000825,2,100,'Improves the damage and heal amount of Feast by 2%',1,1),
(6704,1000826,3,100,'Improves reuse speed by 3 seconds',0,0),
(6705,1000826,3,100,'Improves casting speed by 0.6 seconds',0,1),
(6706,1000826,3,100,'Improves the resistibility by 12%',0,2),
(6707,1000825,3,100,'Applies Enhance: Feast to qualifying pets.',0,0),
(6708,1000825,3,100,'Improves the damage and heal amount of Feast by 3%',1,1),
(6709,1000825,4,100,'Applies Enhance: Feast to qualifying pets.',0,0),
(6710,1000825,4,100,'Improves the damage and heal amount of Feast by 4%',1,1),
(6711,1000826,4,100,'Improves reuse speed by 4 seconds',0,0),
(6712,1000826,4,100,'Improves casting speed by 0.8 seconds',0,1),
(6713,1000826,4,100,'Improves the resistibility by 16%',0,2),
(6714,1000825,5,100,'Applies Enhance: Feast to qualifying pets.',0,0),
(6715,1000825,5,100,'Improves the damage and heal amount of Feast by 5%',1,1),
(6716,1000826,5,100,'Improves reuse speed by 5 seconds',0,0),
(6717,1000826,5,100,'Improves casting speed by 1 seconds',0,1),
(6718,1000826,5,100,'Improves the resistibility by 20%',0,2),
(6719,1000825,6,100,'Applies Enhance: Feast to qualifying pets.',0,0),
(6720,1000825,6,100,'Improves the damage and heal amount of Feast by 6%',1,1),
(6721,1000825,7,100,'Applies Enhance: Feast to qualifying pets.',0,0),
(6722,1000825,7,100,'Improves the damage and heal amount of Feast by 7%',1,1),
(6723,1000825,8,100,'Applies Enhance: Feast to qualifying pets.',0,0),
(6724,1000825,8,100,'Improves the damage and heal amount of Feast by 8%',1,1),
(6725,1000825,9,100,'Applies Enhance: Feast to qualifying pets.',0,0),
(6726,1000825,9,100,'Improves the damage and heal amount of Feast by 9%',1,1),
(6727,1000825,10,100,'Applies Enhance: Feast to qualifying pets.',0,0),
(6728,1000825,10,100,'Improves the damage and heal amount of Feast by 10%',1,1),
(6729,1000827,1,100,'Improves reuse speed by 0.5 seconds',0,0),
(6730,1000827,2,100,'Improves reuse speed by 1 seconds',0,0),
(6731,1000827,3,100,'Improves reuse speed by 1.5 seconds',0,0),
(6732,1000827,4,100,'Improves reuse speed by 2 seconds',0,0),
(6733,1000827,5,100,'Improves reuse speed by 2.5 seconds',0,0),
(6734,1000827,5,100,'Grants a 50% chance to override a Feign Death failure',0,1),
(6735,1000828,1,100,'Applies Enhance: Feline Nurturing to qualifying pets.',0,0),
(6736,1000828,1,100,'Improves the heal amount of Feline Nurturing by 2%',1,1),
(6737,1000828,2,100,'Applies Enhance: Feline Nurturing to qualifying pets.',0,0),
(6738,1000828,2,100,'Improves the heal amount of Feline Nurturing by 4%',1,1),
(6739,1000828,3,100,'Applies Enhance: Feline Nurturing to qualifying pets.',0,0),
(6740,1000828,3,100,'Improves the heal amount of Feline Nurturing by 6%',1,1),
(6741,1000828,4,100,'Applies Enhance: Feline Nurturing to qualifying pets.',0,0),
(6742,1000828,4,100,'Improves the heal amount of Feline Nurturing by 8%',1,1),
(6743,1000828,5,100,'Applies Enhance: Feline Nurturing to qualifying pets.',0,0),
(6744,1000828,5,100,'Improves the heal amount of Feline Nurturing by 10%',1,1),
(6745,1000828,6,100,'Applies Enhance: Feline Nurturing to qualifying pets.',0,0),
(6746,1000828,6,100,'Improves the heal amount of Feline Nurturing by 12%',1,1),
(6747,1000828,7,100,'Applies Enhance: Feline Nurturing to qualifying pets.',0,0),
(6748,1000828,7,100,'Improves the heal amount of Feline Nurturing by 14%',1,1),
(6749,1000828,8,100,'Applies Enhance: Feline Nurturing to qualifying pets.',0,0),
(6750,1000828,8,100,'Improves the heal amount of Feline Nurturing by 16%',1,1),
(6751,1000828,9,100,'Applies Enhance: Feline Nurturing to qualifying pets.',0,0),
(6752,1000828,9,100,'Improves the heal amount of Feline Nurturing by 18%',1,1),
(6753,1000828,10,100,'Applies Enhance: Feline Nurturing to qualifying pets.',0,0),
(6754,1000828,10,100,'Improves the heal amount of Feline Nurturing by 20%',1,1),
(6755,1000829,1,100,'Applies Enhance: Feral Consumption to qualifying pets.',0,0),
(6756,1000829,1,100,'Improves the damage and heal amount of Feral Consumption by 1%',1,1),
(6757,1000829,2,100,'Applies Enhance: Feral Consumption to qualifying pets.',0,0),
(6758,1000829,2,100,'Improves the damage and heal amount of Feral Consumption by 2%',1,1),
(6759,1000829,3,100,'Applies Enhance: Feral Consumption to qualifying pets.',0,0),
(6760,1000829,3,100,'Improves the damage and heal amount of Feral Consumption by 3%',1,1),
(6761,1000829,4,100,'Applies Enhance: Feral Consumption to qualifying pets.',0,0),
(6762,1000829,4,100,'Improves the damage and heal amount of Feral Consumption by 4%',1,1),
(6763,1000829,5,100,'Applies Enhance: Feral Consumption to qualifying pets.',0,0),
(6764,1000829,5,100,'Improves the damage and heal amount of Feral Consumption by 5%',1,1),
(6765,1000829,6,100,'Applies Enhance: Feral Consumption to qualifying pets.',0,0),
(6766,1000829,6,100,'Improves the damage and heal amount of Feral Consumption by 6%',1,1),
(6767,1000829,7,100,'Applies Enhance: Feral Consumption to qualifying pets.',0,0),
(6768,1000829,7,100,'Improves the damage and heal amount of Feral Consumption by 7%',1,1),
(6769,1000829,8,100,'Applies Enhance: Feral Consumption to qualifying pets.',0,0),
(6770,1000829,8,100,'Improves the damage and heal amount of Feral Consumption by 8%',1,1),
(6771,1000829,9,100,'Applies Enhance: Feral Consumption to qualifying pets.',0,0),
(6772,1000829,9,100,'Improves the damage and heal amount of Feral Consumption by 9%',1,1),
(6773,1000829,10,100,'Applies Enhance: Feral Consumption to qualifying pets.',0,0),
(6774,1000829,10,100,'Improves the damage and heal amount of Feral Consumption by 10%',1,1),
(6775,1000830,1,100,'Improves reuse speed by 60 seconds',0,0),
(6776,1000830,1,100,'Improves the Crit Bonus by 5%',0,1),
(6777,1000830,2,100,'Improves reuse speed by 120 seconds',0,0),
(6778,1000830,2,100,'Improves the Crit Bonus by 10%',0,1),
(6779,1000830,3,100,'Improves reuse speed by 180 seconds',0,0),
(6780,1000830,3,100,'Improves the Crit Bonus by 15%',0,1),
(6781,1000830,4,100,'Improves reuse speed by 240 seconds',0,0),
(6782,1000830,4,100,'Improves the Crit Bonus by 20%',0,1),
(6783,1000830,5,100,'Improves reuse speed by 300 seconds',0,0),
(6784,1000830,5,100,'Improves the Crit Bonus by 25%',0,1),
(6785,1000831,1,100,'Improves reuse speed by 3 seconds',0,0),
(6786,1000831,1,100,'Increases in combat run speed by 5% for a short duration after using Fervant Faith',0,1),
(6787,1000831,2,100,'Improves reuse speed by 6 seconds',0,0),
(6788,1000831,2,100,'Increases in combat run speed by 10% for a short duration after using Fervant Faith',0,1),
(6789,1000831,3,100,'Improves reuse speed by 9 seconds',0,0),
(6790,1000831,3,100,'Increases in combat run speed by 15% for a short duration after using Fervant Faith',0,1),
(6791,1000831,4,100,'Improves reuse speed by 12 seconds',0,0),
(6792,1000831,4,100,'Increases in combat run speed by 20% for a short duration after using Fervant Faith',0,1),
(6793,1000831,5,100,'Improves reuse speed by 15 seconds',0,0),
(6794,1000831,5,100,'Increases in combat run speed by 25% for a short duration after using Fervant Faith',0,1),
(6795,1000832,1,100,'Increases trigger chance and snare amount by 3%',0,0),
(6796,1000832,2,100,'Increases trigger chance and snare amount by 6%',0,0),
(6797,1000832,3,100,'Increases trigger chance and snare amount by 9%',0,0),
(6798,1000832,4,100,'Increases trigger chance and snare amount by 12%',0,0),
(6799,1000832,5,100,'Increases trigger chance and snare amount by 15%',0,0),
(6800,1000833,1,100,'Applies Enhance: Fierce Growl to qualifying pets.',0,0),
(6801,1000833,1,100,'Improves the duration of Fierce Growl by 10%',1,1),
(6802,1000833,2,100,'Applies Enhance: Fierce Growl to qualifying pets.',0,0),
(6803,1000833,2,100,'Improves the duration of Fierce Growl by 20%',1,1),
(6804,1000833,3,100,'Applies Enhance: Fierce Growl to qualifying pets.',0,0),
(6805,1000833,3,100,'Improves the duration of Fierce Growl by 30%',1,1),
(6806,1000833,4,100,'Applies Enhance: Fierce Growl to qualifying pets.',0,0),
(6807,1000833,4,100,'Improves the duration of Fierce Growl by 40%',1,1),
(6808,1000833,5,100,'Applies Enhance: Fierce Growl to qualifying pets.',0,0),
(6809,1000833,5,100,'Improves the duration of Fierce Growl by 50%',1,1),
(6810,1000833,6,100,'Applies Enhance: Fierce Growl to qualifying pets.',0,0),
(6811,1000833,6,100,'Improves the duration of Fierce Growl by 60%',1,1),
(6812,1000833,7,100,'Applies Enhance: Fierce Growl to qualifying pets.',0,0),
(6813,1000833,7,100,'Improves the duration of Fierce Growl by 70%',1,1),
(6814,1000833,8,100,'Applies Enhance: Fierce Growl to qualifying pets.',0,0),
(6815,1000833,8,100,'Improves the duration of Fierce Growl by 80%',1,1),
(6816,1000833,9,100,'Applies Enhance: Fierce Growl to qualifying pets.',0,0),
(6817,1000833,9,100,'Improves the duration of Fierce Growl by 90%',1,1),
(6818,1000833,10,100,'Applies Enhance: Fierce Growl to qualifying pets.',0,0),
(6819,1000833,10,100,'Improves the duration of Fierce Growl by 100%',1,1),
(6820,1000834,1,100,'Reduces duration by 2.4 seconds',0,0),
(6821,1000834,2,100,'Reduces duration by 4.8 seconds',0,0),
(6822,1000834,3,100,'Reduces duration by 7.2 seconds',0,0),
(6823,1000834,4,100,'Reduces duration by 9.6 seconds',0,0),
(6824,1000834,5,100,'Reduces duration by 12 seconds',0,0),
(6825,1000835,1,100,'Improves resistibility reduction of pet spells by 3%',0,0),
(6826,1000836,1,100,'Applies Enhance: Fire Breath to qualifying pets.',0,0),
(6827,1000836,1,100,'Improves the damage of Fire Breath by 1%',1,1),
(6828,1000836,2,100,'Applies Enhance: Fire Breath to qualifying pets.',0,0),
(6829,1000836,2,100,'Improves the damage of Fire Breath by 2%',1,1),
(6830,1000836,3,100,'Applies Enhance: Fire Breath to qualifying pets.',0,0),
(6831,1000836,3,100,'Improves the damage of Fire Breath by 3%',1,1),
(6832,1000836,4,100,'Applies Enhance: Fire Breath to qualifying pets.',0,0),
(6833,1000836,4,100,'Improves the damage of Fire Breath by 4%',1,1),
(6834,1000836,5,100,'Applies Enhance: Fire Breath to qualifying pets.',0,0),
(6835,1000836,5,100,'Improves the damage of Fire Breath by 5%',1,1),
(6836,1000836,6,100,'Applies Enhance: Fire Breath to qualifying pets.',0,0),
(6837,1000836,6,100,'Improves the damage of Fire Breath by 6%',1,1),
(6838,1000836,7,100,'Applies Enhance: Fire Breath to qualifying pets.',0,0),
(6839,1000836,7,100,'Improves the damage of Fire Breath by 7%',1,1),
(6840,1000836,8,100,'Applies Enhance: Fire Breath to qualifying pets.',0,0),
(6841,1000836,8,100,'Improves the damage of Fire Breath by 8%',1,1),
(6842,1000836,9,100,'Applies Enhance: Fire Breath to qualifying pets.',0,0),
(6843,1000836,9,100,'Improves the damage of Fire Breath by 9%',1,1),
(6844,1000836,10,100,'Applies Enhance: Fire Breath to qualifying pets.',0,0),
(6845,1000836,10,100,'Improves the damage of Fire Breath by 10%',1,1),
(6846,1000837,1,100,'Increases trigger chance by 2%',0,0),
(6847,1000837,2,100,'Increases trigger chance by 4%',0,0),
(6848,1000837,3,100,'Increases trigger chance by 6%',0,0),
(6849,1000837,4,100,'Increases trigger chance by 8%',0,0),
(6850,1000837,5,100,'Increases trigger chance by 10%',0,0),
(6851,1000838,1,100,'Reduces power cost by 3%',0,0),
(6852,1000838,1,100,'Increases radius by 20%',0,1),
(6853,1000838,2,100,'Reduces power cost by 6%',0,0),
(6854,1000838,2,100,'Increases radius by 40%',0,1),
(6855,1000838,3,100,'Reduces power cost by 9%',0,0),
(6856,1000838,3,100,'Increases radius by 60%',0,1),
(6857,1000838,4,100,'Reduces power cost by 12%',0,0),
(6858,1000838,4,100,'Increases radius by 80%',0,1),
(6859,1000838,5,100,'Reduces power cost by 15%',0,0),
(6860,1000838,5,100,'Increases radius by 100%',0,1),
(6861,1000839,1,100,'Improves the damage by 5%',0,0),
(6862,1000839,2,100,'Improves the damage by 10%',0,0),
(6863,1000839,3,100,'Improves the damage by 15%',0,0),
(6864,1000839,4,100,'Improves the damage by 20%',0,0),
(6865,1000839,5,100,'Improves the damage by 25%',0,0),
(6866,1000840,1,100,'Increases intelligence reduction by 8%',0,0),
(6867,1000840,2,100,'Increases intelligence reduction by 16%',0,0),
(6868,1000840,3,100,'Increases intelligence reduction by 24%',0,0),
(6869,1000840,4,100,'Increases intelligence reduction by 32%',0,0),
(6870,1000840,5,100,'Increases intelligence reduction by 40%',0,0),
(6871,1000841,1,100,'Increases the base damage by 2%',0,0),
(6872,1000841,1,100,'Increases the critical damage by 1%.',0,1),
(6873,1000841,2,100,'Increases the base damage by 4%',0,0),
(6874,1000841,2,100,'Increases the critical damage by 2%.',0,1),
(6875,1000841,3,100,'Increases the base damage by 6%',0,0),
(6876,1000841,3,100,'Increases the critical damage by 3%.',0,1),
(6877,1000841,4,100,'Increases the base damage by 8%',0,0),
(6878,1000841,4,100,'Increases the critical damage by 4%.',0,1),
(6879,1000841,5,100,'Increases the base damage by 10%',0,0),
(6880,1000841,5,100,'Increases the critical damage by 5%.',0,1),
(6881,1000842,1,100,'Reduces resistibility and increases damage each by 9%',0,0),
(6882,1000842,2,100,'Reduces resistibility and increases damage each by 18%',0,0),
(6883,1000842,3,100,'Reduces resistibility and increases damage each by 27%',0,0),
(6884,1000842,4,100,'Reduces resistibility and increases damage each by 36%',0,0),
(6885,1000842,5,100,'Reduces resistibility and increases damage each by 45%',0,0),
(6886,1000843,1,100,'Increases duration by 3 seconds',0,0),
(6887,1000843,2,100,'Increases duration by 6 seconds',0,0),
(6888,1000843,3,100,'Increases duration by 9 seconds',0,0),
(6889,1000843,4,100,'Increases duration by 12 seconds',0,0),
(6890,1000843,5,100,'Increases duration by 15 seconds',0,0),
(6891,1000844,1,100,'Improves damage per second reduction by 2%',0,0),
(6892,1000844,2,100,'Improves damage per second reduction by 4%',0,0),
(6893,1000844,3,100,'Improves damage per second reduction by 6%',0,0),
(6894,1000844,4,100,'Improves damage per second reduction by 8%',0,0),
(6895,1000844,5,100,'Improves damage per second reduction by 10%',0,0),
(6896,1000845,1,100,'Improves crush, slash, and pierce resist reduction by 5%',0,0),
(6897,1000845,2,100,'Improves crush, slash, and pierce resist reduction by 10%',0,0),
(6898,1000845,3,100,'Improves crush, slash, and pierce resist reduction by 15%',0,0),
(6899,1000845,4,100,'Improves crush, slash, and pierce resist reduction by 20%',0,0),
(6900,1000845,5,100,'Improves crush, slash, and pierce resist reduction by 25%',0,0),
(6901,1000846,1,100,'Increases duration by 1 seconds',0,0),
(6902,1000846,2,100,'Increases duration by 2 seconds',0,0),
(6903,1000846,3,100,'Increases duration by 3 seconds',0,0),
(6904,1000846,4,100,'Increases duration by 4 seconds',0,0),
(6905,1000846,5,100,'Increases duration by 5 seconds',0,0),
(6906,1000847,1,100,'Improves reuse speed by 0.5 seconds',0,0),
(6907,1000847,1,100,'Improves casting speed by 0.1 seconds',0,1),
(6908,1000847,2,100,'Improves reuse speed by 1 seconds',0,0),
(6909,1000847,2,100,'Improves casting speed by 0.2 seconds',0,1),
(6910,1000847,3,100,'Improves reuse speed by 1.5 seconds',0,0),
(6911,1000847,3,100,'Improves casting speed by 0.3 seconds',0,1),
(6912,1000847,4,100,'Improves reuse speed by 2 seconds',0,0),
(6913,1000847,4,100,'Improves casting speed by 0.4 seconds',0,1),
(6914,1000847,5,100,'Improves reuse speed by 2.5 seconds',0,0),
(6915,1000847,5,100,'Improves casting speed by 0.5 seconds',0,1),
(6916,1000848,1,100,'Increases offensive skill reduction by 7%',0,0),
(6917,1000848,2,100,'Increases offensive skill reduction by 14%',0,0),
(6918,1000848,3,100,'Increases offensive skill reduction by 21%',0,0),
(6919,1000848,4,100,'Increases offensive skill reduction by 28%',0,0),
(6920,1000848,5,100,'Increases offensive skill reduction by 35%',0,0),
(6921,1000849,1,100,'Increases intelligence by 6%',0,0),
(6922,1000849,2,100,'Increases intelligence by 12%',0,0),
(6923,1000849,3,100,'Increases intelligence by 18%',0,0),
(6924,1000849,4,100,'Increases intelligence by 24%',0,0),
(6925,1000849,5,100,'Increases intelligence by 30%',0,0),
(6926,1000850,1,100,'Increases maximum power by 4%',0,0),
(6927,1000850,2,100,'Increases maximum power by 8%',0,0),
(6928,1000850,3,100,'Increases maximum power by 12%',0,0),
(6929,1000850,4,100,'Increases maximum power by 16%',0,0),
(6930,1000850,5,100,'Increases maximum power by 20%',0,0),
(6931,1000851,1,100,'Improves the range and radius by 1',0,0),
(6932,1000851,2,100,'Improves the range and radius by 2',0,0),
(6933,1000851,3,100,'Improves the range and radius by 3',0,0),
(6934,1000851,4,100,'Improves the range and radius by 4',0,0),
(6935,1000851,5,100,'Improves the range and radius by 5',0,0),
(6936,1000852,1,100,'Applies Enhance: Frenzied Feeding to qualifying pets.',0,0),
(6937,1000852,1,100,'Improves the heal amount of Hibernating Restoration by 2%',1,1),
(6938,1000852,2,100,'Applies Enhance: Frenzied Feeding to qualifying pets.',0,0),
(6939,1000852,2,100,'Improves the heal amount of Hibernating Restoration by 4%',1,1),
(6940,1000852,3,100,'Applies Enhance: Frenzied Feeding to qualifying pets.',0,0),
(6941,1000852,3,100,'Improves the heal amount of Hibernating Restoration by 6%',1,1),
(6942,1000852,4,100,'Applies Enhance: Frenzied Feeding to qualifying pets.',0,0),
(6943,1000852,4,100,'Improves the heal amount of Hibernating Restoration by 8%',1,1),
(6944,1000852,5,100,'Applies Enhance: Frenzied Feeding to qualifying pets.',0,0),
(6945,1000852,5,100,'Improves the heal amount of Hibernating Restoration by 10%',1,1),
(6946,1000852,6,100,'Applies Enhance: Frenzied Feeding to qualifying pets.',0,0),
(6947,1000852,6,100,'Improves the heal amount of Hibernating Restoration by 12%',1,1),
(6948,1000852,7,100,'Applies Enhance: Frenzied Feeding to qualifying pets.',0,0),
(6949,1000852,7,100,'Improves the heal amount of Hibernating Restoration by 14%',1,1),
(6950,1000852,8,100,'Applies Enhance: Frenzied Feeding to qualifying pets.',0,0),
(6951,1000852,8,100,'Improves the heal amount of Hibernating Restoration by 16%',1,1),
(6952,1000852,9,100,'Applies Enhance: Frenzied Feeding to qualifying pets.',0,0),
(6953,1000852,9,100,'Improves the heal amount of Hibernating Restoration by 18%',1,1),
(6954,1000852,10,100,'Applies Enhance: Frenzied Feeding to qualifying pets.',0,0),
(6955,1000852,10,100,'Improves the heal amount of Hibernating Restoration by 20%',1,1),
(6956,1000853,1,100,'Increases duration by 1 seconds',0,0),
(6957,1000853,2,100,'Increases duration by 2 seconds',0,0),
(6958,1000853,3,100,'Increases duration by 3 seconds',0,0),
(6959,1000853,4,100,'Increases duration by 4 seconds',0,0),
(6960,1000853,5,100,'Increases duration by 5 seconds',0,0),
(6961,1000854,1,100,'Increases damage by 7%',0,0),
(6962,1000854,2,100,'Increases damage by 14%',0,0),
(6963,1000854,3,100,'Increases damage by 21%',0,0),
(6964,1000854,4,100,'Increases damage by 28%',0,0),
(6965,1000854,5,100,'Increases damage by 35%',0,0),
(6966,1000855,1,100,'Applies Enhance: Furious Swipe to qualifying pets.',0,0),
(6967,1000855,1,100,'Improves the damage of Furious Swipe by 1%',1,1),
(6968,1000855,2,100,'Applies Enhance: Furious Swipe to qualifying pets.',0,0),
(6969,1000855,2,100,'Improves the damage of Furious Swipe by 2%',1,1),
(6970,1000855,3,100,'Applies Enhance: Furious Swipe to qualifying pets.',0,0),
(6971,1000855,3,100,'Improves the damage of Furious Swipe by 3%',1,1),
(6972,1000855,4,100,'Applies Enhance: Furious Swipe to qualifying pets.',0,0),
(6973,1000855,4,100,'Improves the damage of Furious Swipe by 4%',1,1),
(6974,1000855,5,100,'Applies Enhance: Furious Swipe to qualifying pets.',0,0),
(6975,1000855,5,100,'Improves the damage of Furious Swipe by 5%',1,1),
(6976,1000855,6,100,'Applies Enhance: Furious Swipe to qualifying pets.',0,0),
(6977,1000855,6,100,'Improves the damage of Furious Swipe by 6%',1,1),
(6978,1000855,7,100,'Applies Enhance: Furious Swipe to qualifying pets.',0,0),
(6979,1000855,7,100,'Improves the damage of Furious Swipe by 7%',1,1),
(6980,1000855,8,100,'Applies Enhance: Furious Swipe to qualifying pets.',0,0),
(6981,1000855,8,100,'Improves the damage of Furious Swipe by 8%',1,1),
(6982,1000855,9,100,'Applies Enhance: Furious Swipe to qualifying pets.',0,0),
(6983,1000855,9,100,'Improves the damage of Furious Swipe by 9%',1,1),
(6984,1000855,10,100,'Applies Enhance: Furious Swipe to qualifying pets.',0,0),
(6985,1000855,10,100,'Improves the damage of Furious Swipe by 10%',1,1),
(6986,1000856,1,100,'Reduces resistibility by 3%',0,0),
(6987,1000856,1,100,'Increases range and radius by 1',0,1),
(6988,1000856,2,100,'Reduces resistibility by 6%',0,0),
(6989,1000856,2,100,'Increases range and radius by 2',0,1),
(6990,1000856,3,100,'Reduces resistibility by 9%',0,0),
(6991,1000856,3,100,'Increases range and radius by 3',0,1),
(6992,1000856,4,100,'Reduces resistibility by 12%',0,0),
(6993,1000856,4,100,'Increases range and radius by 4',0,1),
(6994,1000856,5,100,'Reduces resistibility by 15%',0,0),
(6995,1000856,5,100,'Increases range and radius by 5',0,1),
(6996,1000857,1,100,'Improves reuse speed by 3 seconds',0,0),
(6997,1000857,1,100,'Improves casting speed by 0.1 seconds',0,1),
(6998,1000857,1,100,'Improves resistibility by 4%',0,2),
(6999,1000857,2,100,'Improves reuse speed by 6 seconds',0,0),
(7000,1000857,2,100,'Improves casting speed by 0.2 seconds',0,1),
(7001,1000857,2,100,'Improves resistibility by 8%',0,2),
(7002,1000857,3,100,'Improves reuse speed by 9 seconds',0,0),
(7003,1000857,3,100,'Improves casting speed by 0.3 seconds',0,1),
(7004,1000857,3,100,'Improves resistibility by 12%',0,2),
(7005,1000857,4,100,'Improves reuse speed by 12 seconds',0,0),
(7006,1000857,4,100,'Improves casting speed by 0.4 seconds',0,1),
(7007,1000857,4,100,'Improves resistibility by 16%',0,2),
(7008,1000857,5,100,'Improves reuse speed by 15 seconds',0,0),
(7009,1000857,5,100,'Improves casting speed by 0.5 seconds',0,1),
(7010,1000857,5,100,'Improves resistibility by 20%',0,2),
(7011,1000858,1,100,'Increases all resists by 5%',0,0),
(7012,1000858,2,100,'Increases all resists by 10%',0,0),
(7013,1000858,3,100,'Increases all resists by 15%',0,0),
(7014,1000858,4,100,'Increases all resists by 20%',0,0),
(7015,1000858,5,100,'Increases all resists by 25%',0,0),
(7016,1000859,1,100,'Increases duration by 3 seconds',0,0),
(7017,1000859,2,100,'Increases duration by 6 seconds',0,0),
(7018,1000859,3,100,'Increases duration by 9 seconds',0,0),
(7019,1000859,4,100,'Increases duration by 12 seconds',0,0),
(7020,1000859,5,100,'Increases duration by 15 seconds',0,0),
(7021,1000860,1,100,'Increases damage by 7%',0,0),
(7022,1000860,2,100,'Increases damage by 14%',0,0),
(7023,1000860,3,100,'Increases damage by 21%',0,0),
(7024,1000860,4,100,'Increases damage by 28%',0,0),
(7025,1000860,5,100,'Increases damage by 35%',0,0),
(7026,1000861,1,100,'Reduces resistibility by 3%',0,0),
(7027,1000861,1,100,'Improves reuse speed by 1 seconds',0,1),
(7028,1000861,1,100,'Improves the Crit Bonus by 1%',0,2),
(7029,1000861,2,100,'Reduces resistibility by 6%',0,0),
(7030,1000861,2,100,'Improves reuse speed by 2 seconds',0,1),
(7031,1000861,2,100,'Improves the Crit Bonus by 2%',0,2),
(7032,1000861,3,100,'Reduces resistibility by 9%',0,0),
(7033,1000861,3,100,'Improves reuse speed by 3 seconds',0,1),
(7034,1000861,3,100,'Improves the Crit Bonus by 3%',0,2),
(7035,1000861,4,100,'Reduces resistibility by 12%',0,0),
(7036,1000861,4,100,'Improves reuse speed by 4 seconds',0,1),
(7037,1000861,4,100,'Improves the Crit Bonus by 4%',0,2),
(7038,1000861,5,100,'Reduces resistibility by 15%',0,0),
(7039,1000861,5,100,'Improves reuse speed by 5 seconds',0,1),
(7040,1000861,5,100,'Improves the Crit Bonus by 5%',0,2),
(7041,1000862,1,100,'Increases trigger chance by 1%',0,0),
(7042,1000862,2,100,'Increases trigger chance by 2%',0,0),
(7043,1000862,3,100,'Increases trigger chance by 3%',0,0),
(7044,1000863,1,100,'Improves parry reduction by 7%',0,0),
(7045,1000863,2,100,'Improves parry reduction by 14%',0,0),
(7046,1000863,3,100,'Improves parry reduction by 21%',0,0),
(7047,1000863,4,100,'Improves parry reduction by 28%',0,0),
(7048,1000863,5,100,'Improves parry reduction by 35%',0,0),
(7049,1000864,1,100,'Increases trigger chance by 2%',0,0),
(7050,1000864,2,100,'Increases trigger chance by 4%',0,0),
(7051,1000864,3,100,'Increases trigger chance by 6%',0,0),
(7052,1000864,4,100,'Increases trigger chance by 8%',0,0),
(7053,1000864,5,100,'Increases trigger chance by 10%',0,0),
(7054,1000865,1,100,'Improves casting speed by 0.1 seconds',0,0),
(7055,1000865,1,100,'Improves resistibility by 4%',0,1),
(7056,1000865,2,100,'Improves casting speed by 0.2 seconds',0,0),
(7057,1000865,2,100,'Improves resistibility by 8%',0,1),
(7058,1000865,3,100,'Improves casting speed by 0.3 seconds',0,0),
(7059,1000865,3,100,'Improves resistibility by 12%',0,1),
(7060,1000865,4,100,'Improves casting speed by 0.4 seconds',0,0),
(7061,1000865,4,100,'Improves resistibility by 16%',0,1),
(7062,1000865,5,100,'Improves casting speed by 0.5 seconds',0,0),
(7063,1000865,5,100,'Improves resistibility by 20%',0,1),
(7064,1000866,1,100,'Increases trigger chance by 1%',0,0),
(7065,1000866,2,100,'Increases trigger chance by 2%',0,0),
(7066,1000866,3,100,'Increases trigger chance by 3%',0,0),
(7067,1000866,4,100,'Increases trigger chance by 4%',0,0),
(7068,1000866,5,100,'Increases trigger chance by 5%',0,0),
(7069,1000867,1,100,'Improves resistibility reduction of pet spells by 3%',0,0),
(7070,1000868,1,100,'Improves reuse speed by 8 seconds',0,0),
(7071,1000868,1,100,'Improves the duration by 1 seconds',0,1),
(7072,1000868,2,100,'Improves reuse speed by 16 seconds',0,0),
(7073,1000868,2,100,'Improves the duration by 2 seconds',0,1),
(7074,1000868,3,100,'Improves reuse speed by 24 seconds',0,0),
(7075,1000868,3,100,'Improves the duration by 3 seconds',0,1),
(7076,1000868,4,100,'Improves reuse speed by 32 seconds',0,0),
(7077,1000868,4,100,'Improves the duration by 4 seconds',0,1),
(7078,1000868,5,100,'Improves reuse speed by 40 seconds',0,0),
(7079,1000868,5,100,'Improves the duration by 5 seconds',0,1),
(7080,1000869,1,100,'Increases overtime damage by 4%',0,0),
(7081,1000869,2,100,'Increases overtime damage by 8%',0,0),
(7082,1000869,3,100,'Increases overtime damage by 12%',0,0),
(7083,1000869,4,100,'Increases overtime damage by 16%',0,0),
(7084,1000869,5,100,'Increases overtime damage by 20%',0,0),
(7085,1000870,1,100,'Increases damage by 6%',0,0),
(7086,1000870,2,100,'Increases damage by 12%',0,0),
(7087,1000870,3,100,'Increases damage by 18%',0,0),
(7088,1000870,4,100,'Increases damage by 24%',0,0),
(7089,1000870,5,100,'Increases damage by 30%',0,0),
(7090,1000871,1,100,'Improves reuse speed by 30 seconds',0,0),
(7091,1000871,2,100,'Improves reuse speed by 60 seconds',0,0),
(7092,1000871,3,100,'Improves reuse speed by 90 seconds',0,0),
(7093,1000871,4,100,'Improves reuse speed by 120 seconds',0,0),
(7094,1000871,5,100,'Improves reuse speed by 150 seconds',0,0),
(7095,1000871,5,100,'Adds an extra hate position reduction to Harmony',0,1),
(7096,1000872,1,100,'Reduces duration by 1 seconds',0,0),
(7097,1000872,1,100,'Improves reuse speed by 3 seconds',0,1),
(7098,1000873,1,100,'Increases taunt and damage amount by 4%',0,0),
(7099,1000873,2,100,'Increases taunt and damage amount by 8%',0,0),
(7100,1000873,3,100,'Increases taunt and damage amount by 12%',0,0),
(7101,1000873,4,100,'Increases taunt and damage amount by 16%',0,0),
(7102,1000873,5,100,'Increases taunt and damage amount by 20%',0,0),
(7103,1000874,1,100,'Increases Hate Gain of caster by 2.0%',0,0),
(7104,1000874,2,100,'Increases Hate Gain of caster by 4.0%',0,0),
(7105,1000874,3,100,'Increases Hate Gain of caster by 6.0%',0,0),
(7106,1000874,4,100,'Increases Hate Gain of caster by 8.0%',0,0),
(7107,1000874,5,100,'Increases Hate Gain of caster by 10.0%',0,0),
(7108,1000875,1,100,'Increases duration by 2 seconds',0,0),
(7109,1000875,1,100,'Improves reuse speed by 6 seconds',0,1),
(7110,1000875,2,100,'Increases duration by 4 seconds',0,0),
(7111,1000875,2,100,'Improves reuse speed by 12 seconds',0,1),
(7112,1000875,3,100,'Increases duration by 6 seconds',0,0),
(7113,1000875,3,100,'Improves reuse speed by 18 seconds',0,1),
(7114,1000875,4,100,'Increases duration by 8 seconds',0,0),
(7115,1000875,4,100,'Improves reuse speed by 24 seconds',0,1),
(7116,1000875,5,100,'Increases duration by 10 seconds',0,0),
(7117,1000875,5,100,'Improves reuse speed by 30 seconds',0,1),
(7118,1000876,1,100,'Increases casting skill reduction by 10%',0,0),
(7119,1000876,1,100,'Improves reuse speed by 1 seconds',0,1),
(7120,1000876,2,100,'Increases casting skill reduction by 20%',0,0),
(7121,1000876,2,100,'Improves reuse speed by 2 seconds',0,1),
(7122,1000876,3,100,'Increases casting skill reduction by 30%',0,0),
(7123,1000876,3,100,'Improves reuse speed by 3 seconds',0,1),
(7124,1000876,4,100,'Increases casting skill reduction by 40%',0,0),
(7125,1000876,4,100,'Improves reuse speed by 4 seconds',0,1),
(7126,1000876,5,100,'Increases casting skill reduction by 50%',0,0),
(7127,1000876,5,100,'Improves reuse speed by 5 seconds',0,1),
(7128,1000877,1,100,'Improves casting speed and reuse speed by 0.2 seconds',0,0),
(7129,1000877,1,100,'Improves the Crit Bonus by 1%',0,1),
(7130,1000877,2,100,'Improves casting speed and reuse speed by 0.4 seconds',0,0),
(7131,1000877,2,100,'Improves the Crit Bonus by 2%',0,1),
(7132,1000877,3,100,'Improves casting speed and reuse speed by 0.6 seconds',0,0),
(7133,1000877,3,100,'Improves the Crit Bonus by 3%',0,1),
(7134,1000877,4,100,'Improves casting speed and reuse speed by 0.8 seconds',0,0),
(7135,1000877,4,100,'Improves the Crit Bonus by 4%',0,1),
(7136,1000877,5,100,'Improves casting speed and reuse speed by 1 seconds',0,0),
(7137,1000877,5,100,'Improves the Crit Bonus by 5%',0,1),
(7138,1000878,1,100,'Improves the damage and heal amounts of Healing Arrow by 2%',0,0),
(7139,1000878,2,100,'Improves the damage and heal amounts of Healing Arrow by 4%',0,0),
(7140,1000878,3,100,'Improves the damage and heal amounts of Healing Arrow by 6%',0,0),
(7141,1000878,4,100,'Improves the damage and heal amounts of Healing Arrow by 8%',0,0),
(7142,1000878,5,100,'Improves the damage and heal amounts of Healing Arrow by 10%',0,0),
(7143,1000879,1,100,'Increases heal amount by 10%',0,0),
(7144,1000879,2,100,'Increases heal amount by 20%',0,0),
(7145,1000879,3,100,'Increases heal amount by 30%',0,0),
(7146,1000879,4,100,'Increases heal amount by 40%',0,0),
(7147,1000879,5,100,'Increases heal amount by 50%',0,0),
(7148,1000880,1,100,'Improves reuse speed by 3 seconds',0,0),
(7149,1000880,2,100,'Improves reuse speed by 6 seconds',0,0),
(7150,1000880,3,100,'Improves reuse speed by 9 seconds',0,0),
(7151,1000880,4,100,'Improves reuse speed by 12 seconds',0,0),
(7152,1000880,5,100,'Improves reuse speed by 15 seconds',0,0),
(7153,1000881,1,100,'Reduces duration by 2 seconds',0,0),
(7154,1000881,2,100,'Reduces duration by 4 seconds',0,0),
(7155,1000881,3,100,'Reduces duration by 6 seconds',0,0),
(7156,1000881,4,100,'Reduces duration by 8 seconds',0,0),
(7157,1000881,5,100,'Reduces duration by 10 seconds',0,0),
(7158,1000882,1,100,'Increases damage by 5%',0,0),
(7159,1000882,2,100,'Increases damage by 10%',0,0),
(7160,1000882,3,100,'Increases damage by 15%',0,0),
(7161,1000882,4,100,'Increases damage by 20%',0,0),
(7162,1000882,5,100,'Increases damage by 25%',0,0),
(7163,1000883,1,100,'Increases damage by 10%',0,0),
(7164,1000883,2,100,'Increases damage by 20%',0,0),
(7165,1000883,3,100,'Increases damage by 30%',0,0),
(7166,1000883,4,100,'Increases damage by 40%',0,0),
(7167,1000883,5,100,'Increases damage by 50%',0,0),
(7168,1000884,1,100,'Applies Enhance: Hibernating Restoration to qualifying pets.',0,0),
(7169,1000884,1,100,'Improves the heal amount of Hibernating Restoration by 2%',1,1),
(7170,1000884,2,100,'Applies Enhance: Hibernating Restoration to qualifying pets.',0,0),
(7171,1000884,2,100,'Improves the heal amount of Hibernating Restoration by 4%',1,1),
(7172,1000884,3,100,'Applies Enhance: Hibernating Restoration to qualifying pets.',0,0),
(7173,1000884,3,100,'Improves the heal amount of Hibernating Restoration by 6%',1,1),
(7174,1000884,4,100,'Applies Enhance: Hibernating Restoration to qualifying pets.',0,0),
(7175,1000884,4,100,'Improves the heal amount of Hibernating Restoration by 8%',1,1),
(7176,1000884,5,100,'Applies Enhance: Hibernating Restoration to qualifying pets.',0,0),
(7177,1000884,5,100,'Improves the heal amount of Hibernating Restoration by 10%',1,1),
(7178,1000884,6,100,'Applies Enhance: Hibernating Restoration to qualifying pets.',0,0),
(7179,1000884,6,100,'Improves the heal amount of Hibernating Restoration by 12%',1,1),
(7180,1000884,7,100,'Applies Enhance: Hibernating Restoration to qualifying pets.',0,0),
(7181,1000884,7,100,'Improves the heal amount of Hibernating Restoration by 14%',1,1),
(7182,1000884,8,100,'Applies Enhance: Hibernating Restoration to qualifying pets.',0,0),
(7183,1000884,8,100,'Improves the heal amount of Hibernating Restoration by 16%',1,1),
(7184,1000884,9,100,'Applies Enhance: Hibernating Restoration to qualifying pets.',0,0),
(7185,1000884,9,100,'Improves the heal amount of Hibernating Restoration by 18%',1,1),
(7186,1000884,10,100,'Applies Enhance: Hibernating Restoration to qualifying pets.',0,0),
(7187,1000884,10,100,'Improves the heal amount of Hibernating Restoration by 20%',1,1),
(7188,1000885,1,100,'Forces Hibernation to trigger early if a Hibernated ally''s health goes below 15%',0,0),
(7189,1000886,1,100,'Reduces power cost by 3%',0,0),
(7190,1000886,1,100,'Improves casting speed by 0.1 seconds',0,1),
(7191,1000886,2,100,'Reduces power cost by 6%',0,0),
(7192,1000886,2,100,'Improves casting speed by 0.2 seconds',0,1),
(7193,1000886,3,100,'Reduces power cost by 9%',0,0),
(7194,1000886,3,100,'Improves casting speed by 0.3 seconds',0,1),
(7195,1000886,4,100,'Reduces power cost by 12%',0,0),
(7196,1000886,4,100,'Improves casting speed by 0.4 seconds',0,1),
(7197,1000886,5,100,'Reduces power cost by 15%',0,0),
(7198,1000886,5,100,'Improves casting speed by 0.5 seconds',0,1),
(7199,1000887,1,100,'Increases damage by 5%',0,0),
(7200,1000887,2,100,'Increases damage by 10%',0,0),
(7201,1000887,3,100,'Increases damage by 15%',0,0),
(7202,1000887,4,100,'Increases damage by 20%',0,0),
(7203,1000887,5,100,'Increases damage by 25%',0,0),
(7204,1000888,1,100,'Increases attack speed by an additional 3',0,0),
(7205,1000889,1,100,'Increases duration by 4 seconds',0,0),
(7206,1000889,2,100,'Increases duration by 8 seconds',0,0),
(7207,1000888,2,100,'Increases attack speed by an additional 6',0,0),
(7208,1000888,3,100,'Increases attack speed by an additional 9',0,0),
(7209,1000889,3,100,'Increases duration by 12 seconds',0,0),
(7210,1000889,4,100,'Increases duration by 16 seconds',0,0),
(7211,1000888,4,100,'Increases attack speed by an additional 12',0,0),
(7212,1000889,5,100,'Increases duration by 20 seconds',0,0),
(7213,1000888,5,100,'Increases attack speed by an additional 15',0,0),
(7214,1000890,1,100,'Increases trigger count by 1',0,0),
(7215,1000890,1,100,'Increases duration by 5 seconds',0,1),
(7216,1000890,2,100,'Increases trigger count by 2',0,0),
(7217,1000890,2,100,'Increases duration by 10 seconds',0,1),
(7218,1000891,1,100,'Increases heal amount by 7%',0,0),
(7219,1000891,2,100,'Increases heal amount by 14%',0,0),
(7220,1000891,3,100,'Increases heal amount by 21%',0,0),
(7221,1000891,4,100,'Increases heal amount by 28%',0,0),
(7222,1000891,5,100,'Increases heal amount by 35%',0,0),
(7223,1000892,1,100,'Increases duration by 3 seconds',0,0),
(7224,1000892,2,100,'Increases duration by 6 seconds',0,0),
(7225,1000892,3,100,'Increases duration by 9 seconds',0,0),
(7226,1000892,4,100,'Increases duration by 12 seconds',0,0),
(7227,1000892,5,100,'Increases duration by 15 seconds',0,0),
(7228,1000893,1,100,'Increases trigger chance by 1%',0,0),
(7229,1000893,2,100,'Increases trigger chance by 2%',0,0),
(7230,1000893,3,100,'Increases trigger chance by 3%',0,0),
(7231,1000893,4,100,'Increases trigger chance by 4%',0,0),
(7232,1000893,5,100,'Increases trigger chance by 5%',0,0),
(7233,1000894,1,100,'Adds additional 8% chance',0,0),
(7234,1000894,2,100,'Adds additional 16% chance',0,0),
(7235,1000894,3,100,'Adds additional 24% chance',0,0),
(7236,1000894,4,100,'Adds additional 32% chance',0,0),
(7237,1000894,5,100,'Adds additional 40% chance',0,0),
(7238,1000895,1,100,'Reduces resistibility by 3%',0,0),
(7239,1000895,1,100,'Improves reuse speed by 1 seconds',0,1),
(7240,1000895,1,100,'Improves the Crit Bonus by 1%',0,2),
(7241,1000895,2,100,'Reduces resistibility by 6%',0,0),
(7242,1000895,2,100,'Improves reuse speed by 2 seconds',0,1),
(7243,1000895,2,100,'Improves the Crit Bonus by 2%',0,2),
(7244,1000895,3,100,'Reduces resistibility by 9%',0,0),
(7245,1000895,3,100,'Improves reuse speed by 3 seconds',0,1),
(7246,1000895,3,100,'Improves the Crit Bonus by 3%',0,2),
(7247,1000895,4,100,'Reduces resistibility by 12%',0,0),
(7248,1000895,4,100,'Improves reuse speed by 4 seconds',0,1),
(7249,1000895,4,100,'Improves the Crit Bonus by 4%',0,2),
(7250,1000895,5,100,'Reduces resistibility by 15%',0,0),
(7251,1000895,5,100,'Improves reuse speed by 5 seconds',0,1),
(7252,1000895,5,100,'Improves the Crit Bonus by 5%',0,2),
(7253,1000896,1,100,'Reduces resistibility by 3%',0,0),
(7254,1000896,1,100,'Improves cold and heat resistance reduction by 7%',0,1),
(7255,1000896,2,100,'Reduces resistibility by 6%',0,0),
(7256,1000896,2,100,'Improves cold and heat resistance reduction by 14%',0,1),
(7257,1000896,3,100,'Reduces resistibility by 9%',0,0),
(7258,1000896,3,100,'Improves cold and heat resistance reduction by 21%',0,1),
(7259,1000896,4,100,'Reduces resistibility by 12%',0,0),
(7260,1000896,4,100,'Improves cold and heat resistance reduction by 28%',0,1),
(7261,1000896,5,100,'Reduces resistibility by 15%',0,0),
(7262,1000896,5,100,'Improves cold and heat resistance reduction by 35%',0,1),
(7263,1000897,1,100,'Improves casting speed by 0.3 seconds',0,0),
(7264,1000897,1,100,'Improves the Crit Bonus of Ice Storm by 1%',0,1),
(7265,1000897,2,100,'Improves casting speed by 0.6 seconds',0,0),
(7266,1000897,2,100,'Improves the Crit Bonus of Ice Storm by 2%',0,1),
(7267,1000897,3,100,'Improves casting speed by 0.9 seconds',0,0),
(7268,1000897,3,100,'Improves the Crit Bonus of Ice Storm by 3%',0,1),
(7269,1000897,4,100,'Improves casting speed by 1.2 seconds',0,0),
(7270,1000897,4,100,'Improves the Crit Bonus of Ice Storm by 4%',0,1),
(7271,1000897,5,100,'Improves casting speed by 1.5 seconds',0,0),
(7272,1000897,5,100,'Improves the Crit Bonus of Ice Storm by 5%',0,1),
(7273,1000898,1,100,'Increases hate reduction by 10%',0,0),
(7274,1000898,2,100,'Increases hate reduction by 20%',0,0),
(7275,1000898,3,100,'Increases hate reduction by 30%',0,0),
(7276,1000898,4,100,'Increases hate reduction by 40%',0,0),
(7277,1000898,5,100,'Increases hate reduction by 50%',0,0),
(7278,1000899,1,100,'Decreases the base reuse of Ignore Pain by 2 seconds.',0,0),
(7279,1000899,2,100,'Increases heal amount by 4%',0,0),
(7280,1000899,3,100,'Increases heal amount by 6%',0,0),
(7281,1000899,4,100,'Increases heal amount by 8%',0,0),
(7282,1000899,5,100,'Decreases the base reuse of Ignore Pain by 10 seconds.',0,0),
(7283,1000900,1,100,'Improves reuse speed by 10 seconds',0,0),
(7284,1000900,2,100,'Improves reuse speed by 20 seconds',0,0),
(7285,1000900,3,100,'Improves reuse speed by 30 seconds',0,0),
(7286,1000900,4,100,'Improves reuse speed by 40 seconds',0,0),
(7287,1000900,5,100,'Improves reuse speed by 50 seconds',0,0),
(7288,1000901,1,100,'Increases duration by 12.5%',0,0),
(7289,1000901,2,100,'Increases duration by 25%',0,0),
(7290,1000901,3,100,'Increases duration by 37.5%',0,0),
(7291,1000901,4,100,'Increases duration by 50%',0,0),
(7292,1000901,5,100,'Increases duration by 62.5%',0,0),
(7293,1000902,1,100,'Reduces power cost by 3%',0,0),
(7294,1000902,1,100,'Improves casting speed by 0.1 seconds',0,1),
(7295,1000902,1,100,'Improves the Crit Bonus by 2%',0,2),
(7296,1000902,2,100,'Reduces power cost by 6%',0,0),
(7297,1000902,2,100,'Improves casting speed by 0.2 seconds',0,1),
(7298,1000902,2,100,'Improves the Crit Bonus by 4%',0,2),
(7299,1000902,3,100,'Reduces power cost by 9%',0,0),
(7300,1000902,3,100,'Improves casting speed by 0.3 seconds',0,1),
(7301,1000902,3,100,'Improves the Crit Bonus by 6%',0,2),
(7302,1000902,4,100,'Reduces power cost by 12%',0,0),
(7303,1000902,4,100,'Improves casting speed by 0.4 seconds',0,1),
(7304,1000902,4,100,'Improves the Crit Bonus by 8%',0,2),
(7305,1000902,5,100,'Reduces power cost by 15%',0,0),
(7306,1000902,5,100,'Improves casting speed by 0.5 seconds',0,1),
(7307,1000902,5,100,'Improves the Crit Bonus by 10%',0,2),
(7308,1000903,1,100,'Increases overtime damage by 6%',0,0),
(7309,1000903,2,100,'Increases overtime damage by 12%',0,0),
(7310,1000903,3,100,'Increases overtime damage by 18%',0,0),
(7311,1000903,4,100,'Increases overtime damage by 24%',0,0),
(7312,1000903,5,100,'Increases overtime damage by 30%',0,0),
(7313,1000904,1,100,'Applies Enhance: Impenetrable Hide to qualifying pets.',0,0),
(7314,1000904,1,100,'Improves the duration of Impenetrable Hide by 10%',1,1),
(7315,1000904,2,100,'Applies Enhance: Impenetrable Hide to qualifying pets.',0,0),
(7316,1000904,2,100,'Improves the duration of Impenetrable Hide by 20%',1,1),
(7317,1000904,3,100,'Applies Enhance: Impenetrable Hide to qualifying pets.',0,0),
(7318,1000904,3,100,'Improves the duration of Impenetrable Hide by 30%',1,1),
(7319,1000904,4,100,'Applies Enhance: Impenetrable Hide to qualifying pets.',0,0),
(7320,1000904,4,100,'Improves the duration of Impenetrable Hide by 40%',1,1),
(7321,1000904,5,100,'Applies Enhance: Impenetrable Hide to qualifying pets.',0,0),
(7322,1000904,5,100,'Improves the duration of Impenetrable Hide by 50%',1,1),
(7323,1000904,6,100,'Applies Enhance: Impenetrable Hide to qualifying pets.',0,0),
(7324,1000904,6,100,'Improves the duration of Impenetrable Hide by 60%',1,1),
(7325,1000904,7,100,'Applies Enhance: Impenetrable Hide to qualifying pets.',0,0),
(7326,1000904,7,100,'Improves the duration of Impenetrable Hide by 70%',1,1),
(7327,1000904,8,100,'Applies Enhance: Impenetrable Hide to qualifying pets.',0,0),
(7328,1000904,8,100,'Improves the duration of Impenetrable Hide by 80%',1,1),
(7329,1000904,9,100,'Applies Enhance: Impenetrable Hide to qualifying pets.',0,0),
(7330,1000904,9,100,'Improves the duration of Impenetrable Hide by 90%',1,1),
(7331,1000904,10,100,'Applies Enhance: Impenetrable Hide to qualifying pets.',0,0),
(7332,1000904,10,100,'Improves the duration of Impenetrable Hide by 100%',1,1),
(7333,1000905,1,100,'Improves casting speed by 0.1 seconds',0,0),
(7334,1000905,1,100,'Reduces resistibility by 5%',0,1),
(7335,1000906,1,100,'Reduces power cost by 3%',0,0),
(7336,1000906,1,100,'Reduces duration by 1 seconds',0,1),
(7337,1000906,2,100,'Reduces power cost by 6%',0,0),
(7338,1000906,2,100,'Reduces duration by 2 seconds',0,1),
(7339,1000906,3,100,'Reduces power cost by 9%',0,0),
(7340,1000906,3,100,'Reduces duration by 3 seconds',0,1),
(7341,1000906,4,100,'Reduces power cost by 12%',0,0),
(7342,1000906,4,100,'Reduces duration by 4 seconds',0,1),
(7343,1000906,5,100,'Reduces power cost by 15%',0,0),
(7344,1000906,5,100,'Reduces duration by 5 seconds',0,1),
(7345,1000907,1,100,'Improves reuse speed by 6 seconds',0,0),
(7346,1000907,2,100,'Improves reuse speed by 12 seconds',0,0),
(7347,1000907,3,100,'Improves reuse speed by 18 seconds',0,0),
(7348,1000907,4,100,'Improves reuse speed by 24 seconds',0,0),
(7349,1000907,5,100,'Improves reuse speed by 30 seconds',0,0),
(7350,1000907,5,100,'Allows Indomitable Will to cure elemental effects',0,1),
(7351,1000908,1,100,'Improves the duration of Inner Focus by 0.5 seconds.',0,0),
(7352,1000908,1,100,'Improves the casting time of Inner Focus by 10%.',0,1),
(7353,1000908,2,100,'Improves the duration of Inner Focus by 1 seconds.',0,0),
(7354,1000908,2,100,'Improves the casting time of Inner Focus by 20%.',0,1),
(7355,1000908,3,100,'Improves the duration of Inner Focus by 1.5 seconds.',0,0),
(7356,1000908,3,100,'Improves the casting time of Inner Focus by 30%.',0,1),
(7357,1000908,4,100,'Improves the duration of Inner Focus by 2 seconds.',0,0),
(7358,1000908,4,100,'Improves the casting time of Inner Focus by 40%.',0,1),
(7359,1000908,5,100,'Improves the duration of Inner Focus by 2.5 seconds.',0,0),
(7360,1000908,5,100,'Improves the casting time of Inner Focus by 50%.',0,1),
(7361,1000908,6,100,'Improves the duration of Inner Focus by 3 seconds.',0,0),
(7362,1000908,6,100,'Improves the casting time of Inner Focus by 60%.',0,1),
(7363,1000908,7,100,'Improves the duration of Inner Focus by 3.5 seconds.',0,0),
(7364,1000908,7,100,'Improves the casting time of Inner Focus by 70%.',0,1),
(7365,1000908,8,100,'Improves the duration of Inner Focus by 4 seconds.',0,0),
(7366,1000908,8,100,'Improves the casting time of Inner Focus by 80%.',0,1),
(7367,1000908,9,100,'Improves the duration of Inner Focus by 4.5 seconds.',0,0),
(7368,1000908,9,100,'Improves the casting time of Inner Focus by 90%.',0,1),
(7369,1000908,10,100,'Improves the duration of Inner Focus by 5 seconds.',0,0),
(7370,1000908,10,100,'Improves the casting time of Inner Focus by 100%.',0,1),
(7371,1000908,10,100,'Grants an additional stoneskin trigger to Inner Focus.',0,2),
(7372,1000909,1,100,'Increases taunt amount by 5%',0,0),
(7373,1000909,2,100,'Increases taunt amount by 10%',0,0),
(7374,1000909,3,100,'Increases taunt amount by 15%',0,0),
(7375,1000909,4,100,'Increases taunt amount by 20%',0,0),
(7376,1000909,5,100,'Increases taunt amount by 25%',0,0),
(7377,1000910,1,100,'Reduces resistibility by 10%',0,0),
(7378,1000910,2,100,'Reduces resistibility by 20%',0,0),
(7379,1000910,3,100,'Reduces resistibility by 30%',0,0),
(7380,1000911,1,100,'Improves reuse speed by 8 seconds',0,0),
(7381,1000911,1,100,'Improves the Crit Bonus by 2%',0,1),
(7382,1000911,2,100,'Improves reuse speed by 16 seconds',0,0),
(7383,1000911,2,100,'Improves the Crit Bonus by 4%',0,1),
(7384,1000911,3,100,'Improves reuse speed by 24 seconds',0,0),
(7385,1000911,3,100,'Improves the Crit Bonus by 6%',0,1),
(7386,1000911,4,100,'Improves reuse speed by 32 seconds',0,0),
(7387,1000911,4,100,'Improves the Crit Bonus by 8%',0,1),
(7388,1000911,5,100,'Improves reuse speed by 40 seconds',0,0),
(7389,1000911,5,100,'Improves the Crit Bonus by 10%',0,1),
(7390,1000912,1,100,'Improves reuse speed by 2 seconds',0,0),
(7391,1000912,1,100,'Adds 2% damage absorption',0,1),
(7392,1000913,1,100,'Improves reuse speed by 5 seconds',0,0),
(7393,1000913,1,100,'Adds 3% damage absorption',0,1),
(7394,1000914,1,100,'Improves reuse speed by 3 seconds',0,0),
(7395,1000914,1,100,'Heals the target by 2% on termination',0,1),
(7396,1000912,2,100,'Improves reuse speed by 4 seconds',0,0),
(7397,1000912,2,100,'Adds 4% damage absorption',0,1),
(7398,1000914,2,100,'Improves reuse speed by 6 seconds',0,0),
(7399,1000914,2,100,'Heals the target by 4% on termination',0,1),
(7400,1000913,2,100,'Improves reuse speed by 10 seconds',0,0),
(7401,1000913,2,100,'Adds 6% damage absorption',0,1),
(7402,1000914,3,100,'Improves reuse speed by 9 seconds',0,0),
(7403,1000914,3,100,'Heals the target by 6% on termination',0,1),
(7404,1000912,3,100,'Improves reuse speed by 6 seconds',0,0),
(7405,1000912,3,100,'Adds 6% damage absorption',0,1),
(7406,1000913,3,100,'Improves reuse speed by 15 seconds',0,0),
(7407,1000913,3,100,'Adds 9% damage absorption',0,1),
(7408,1000912,4,100,'Improves reuse speed by 8 seconds',0,0),
(7409,1000912,4,100,'Adds 8% damage absorption',0,1),
(7410,1000914,4,100,'Improves reuse speed by 12 seconds',0,0),
(7411,1000914,4,100,'Heals the target by 8% on termination',0,1),
(7412,1000914,5,100,'Improves reuse speed by 15 seconds',0,0),
(7413,1000914,5,100,'Heals the target by 10% on termination',0,1),
(7414,1000912,5,100,'Improves reuse speed by 10 seconds',0,0),
(7415,1000912,5,100,'Adds 10% damage absorption',0,1),
(7416,1000915,1,100,'Increases duration by 1 seconds',0,0),
(7417,1000915,2,100,'Increases duration by 2 seconds',0,0),
(7418,1000915,3,100,'Increases duration by 3 seconds',0,0),
(7419,1000916,1,100,'Increases wisdom and agility reduction by 7%',0,0),
(7420,1000916,2,100,'Increases wisdom and agility reduction by 14%',0,0),
(7421,1000916,3,100,'Increases wisdom and agility reduction by 21%',0,0),
(7422,1000916,4,100,'Increases wisdom and agility reduction by 28%',0,0),
(7423,1000916,5,100,'Increases wisdom and agility reduction by 35%',0,0),
(7424,1000917,1,100,'Increases trigger chance by 2%',0,0),
(7425,1000917,2,100,'Increases trigger chance by 4%',0,0),
(7426,1000917,3,100,'Increases trigger chance by 6%',0,0),
(7427,1000917,4,100,'Increases trigger chance by 8%',0,0),
(7428,1000917,5,100,'Increases trigger chance by 10%',0,0),
(7429,1000918,1,100,'Increases trigger chance by 2%',0,0),
(7430,1000918,2,100,'Increases trigger chance by 4%',0,0),
(7431,1000918,3,100,'Increases trigger chance by 6%',0,0),
(7432,1000918,4,100,'Increases trigger chance by 8%',0,0),
(7433,1000918,5,100,'Increases trigger chance by 10%',0,0),
(7434,1000919,1,100,'Improves the base heal amount of Involuntary Gift by 5%.',0,0),
(7435,1000919,1,100,'Improves the cure amount of Involuntary Gift by 5%.',0,1),
(7436,1000919,2,100,'Improves the base heal amount of Involuntary Gift by 10%.',0,0),
(7437,1000919,2,100,'Improves the cure amount of Involuntary Gift by 10%.',0,1),
(7438,1000919,3,100,'Improves the base heal amount of Involuntary Gift by 15%.',0,0),
(7439,1000919,3,100,'Improves the cure amount of Involuntary Gift by 15%.',0,1),
(7440,1000919,4,100,'Improves the base heal amount of Involuntary Gift by 20%.',0,0),
(7441,1000919,4,100,'Improves the cure amount of Involuntary Gift by 20%.',0,1),
(7442,1000919,5,100,'Improves the base heal amount of Involuntary Gift by 25%.',0,0),
(7443,1000919,5,100,'Improves the cure amount of Involuntary Gift by 25%.',0,1),
(7444,1000920,1,100,'Improves reuse speed by 2 seconds',0,0),
(7445,1000920,1,100,'Improves the Crit Bonus by 2%',0,1),
(7446,1000920,2,100,'Improves reuse speed by 4 seconds',0,0),
(7447,1000920,2,100,'Improves the Crit Bonus by 4%',0,1),
(7448,1000920,3,100,'Improves reuse speed by 6 seconds',0,0),
(7449,1000920,3,100,'Improves the Crit Bonus by 6%',0,1),
(7450,1000920,4,100,'Improves reuse speed by 8 seconds',0,0),
(7451,1000920,4,100,'Improves the Crit Bonus by 8%',0,1),
(7452,1000920,5,100,'Improves reuse speed by 10 seconds',0,0),
(7453,1000920,5,100,'Improves the Crit Bonus by 10%',0,1),
(7454,1000921,1,100,'Increases reuse speed bonus by 2%',0,0),
(7455,1000921,1,100,'Improves reuse speed by 1 seconds',0,1),
(7456,1000921,2,100,'Increases reuse speed bonus by 4%',0,0),
(7457,1000921,2,100,'Improves reuse speed by 2 seconds',0,1),
(7458,1000921,3,100,'Increases reuse speed bonus by 6%',0,0),
(7459,1000921,3,100,'Improves reuse speed by 3 seconds',0,1),
(7460,1000921,4,100,'Increases reuse speed bonus by 8%',0,0),
(7461,1000921,4,100,'Improves reuse speed by 4 seconds',0,1),
(7462,1000921,5,100,'Increases reuse speed bonus by 10%',0,0),
(7463,1000921,5,100,'Improves reuse speed by 5 seconds',0,1),
(7464,1000922,1,100,'Increases duration by 2 seconds',0,0),
(7465,1000922,2,100,'Increases duration by 4 seconds',0,0),
(7466,1000922,3,100,'Increases duration by 6 seconds',0,0),
(7467,1000922,4,100,'Increases duration by 8 seconds',0,0),
(7468,1000923,1,100,'Increases stifle duration by 12.5%',0,0),
(7469,1000923,2,100,'Increases stifle duration by 25%',0,0),
(7470,1000923,3,100,'Increases stifle duration by 37.5%',0,0),
(7471,1000923,4,100,'Increases stifle duration by 50%',0,0),
(7472,1000923,5,100,'Increases stifle duration by 62.5%',0,0),
(7473,1000924,1,100,'Reduces power cost by 8%',0,0),
(7474,1000924,1,100,'Reduces resistibility by 4%',0,1),
(7475,1000925,1,100,'Improves mitigation reduction by 5%',0,0),
(7476,1000925,2,100,'Improves mitigation reduction by 10%',0,0),
(7477,1000925,3,100,'Improves mitigation reduction by 15%',0,0),
(7478,1000925,4,100,'Improves mitigation reduction by 20%',0,0),
(7479,1000925,5,100,'Improves mitigation reduction by 25%',0,0),
(7480,1000926,1,100,'Increases duration by 3 seconds',0,0),
(7481,1000926,2,100,'Increases duration by 6 seconds',0,0),
(7482,1000926,3,100,'Increases duration by 9 seconds',0,0),
(7483,1000926,4,100,'Increases duration by 12 seconds',0,0),
(7484,1000926,5,100,'Increases duration by 15 seconds',0,0),
(7485,1000927,1,100,'Increases damage by 5%',0,0),
(7486,1000927,2,100,'Increases damage by 10%',0,0),
(7487,1000927,3,100,'Increases damage by 15%',0,0),
(7488,1000927,4,100,'Increases damage by 20%',0,0),
(7489,1000927,5,100,'Increases damage by 25%',0,0),
(7490,1000928,1,100,'Improves reuse speed by 2 seconds',0,0),
(7491,1000928,1,100,'Improves the Crit Bonus by 2.5%',0,1),
(7492,1000928,2,100,'Improves reuse speed by 4 seconds',0,0),
(7493,1000928,2,100,'Improves the Crit Bonus by 5%',0,1),
(7494,1000928,3,100,'Improves reuse speed by 6 seconds',0,0),
(7495,1000928,3,100,'Improves the Crit Bonus by 7.5%',0,1),
(7496,1000928,4,100,'Improves reuse speed by 8 seconds',0,0),
(7497,1000928,4,100,'Improves the Crit Bonus by 10%',0,1),
(7498,1000928,5,100,'Improves reuse speed by 10 seconds',0,0),
(7499,1000928,5,100,'Improves the Crit Bonus by 12.5%',0,1),
(7500,1000929,1,100,'Improves reuse speed by 12 seconds',0,0),
(7501,1000929,1,100,'Reduces power cost by 3%',0,1),
(7502,1000929,2,100,'Improves reuse speed by 24 seconds',0,0),
(7503,1000929,2,100,'Reduces power cost by 6%',0,1),
(7504,1000929,3,100,'Improves reuse speed by 36 seconds',0,0),
(7505,1000929,3,100,'Reduces power cost by 9%',0,1),
(7506,1000929,4,100,'Improves reuse speed by 48 seconds',0,0),
(7507,1000929,4,100,'Reduces power cost by 12%',0,1),
(7508,1000929,5,100,'Improves reuse speed by 60 seconds',0,0),
(7509,1000929,5,100,'Reduces power cost by 15%',0,1),
(7510,1000930,1,100,'Applies Enhance: Leaping Lunge to qualifying pets.',0,0),
(7511,1000930,1,100,'Improves the damage of Leaping Lunge by 1%',1,1),
(7512,1000930,2,100,'Applies Enhance: Leaping Lunge to qualifying pets.',0,0),
(7513,1000930,2,100,'Improves the damage of Leaping Lunge by 2%',1,1),
(7514,1000930,3,100,'Applies Enhance: Leaping Lunge to qualifying pets.',0,0),
(7515,1000930,3,100,'Improves the damage of Leaping Lunge by 3%',1,1),
(7516,1000930,4,100,'Applies Enhance: Leaping Lunge to qualifying pets.',0,0),
(7517,1000930,4,100,'Improves the damage of Leaping Lunge by 4%',1,1),
(7518,1000930,5,100,'Applies Enhance: Leaping Lunge to qualifying pets.',0,0),
(7519,1000930,5,100,'Improves the damage of Leaping Lunge by 5%',1,1),
(7520,1000930,6,100,'Applies Enhance: Leaping Lunge to qualifying pets.',0,0),
(7521,1000930,6,100,'Improves the damage of Leaping Lunge by 6%',1,1),
(7522,1000930,7,100,'Applies Enhance: Leaping Lunge to qualifying pets.',0,0),
(7523,1000930,7,100,'Improves the damage of Leaping Lunge by 7%',1,1),
(7524,1000930,8,100,'Applies Enhance: Leaping Lunge to qualifying pets.',0,0),
(7525,1000930,8,100,'Improves the damage of Leaping Lunge by 8%',1,1),
(7526,1000930,9,100,'Applies Enhance: Leaping Lunge to qualifying pets.',0,0),
(7527,1000930,9,100,'Improves the damage of Leaping Lunge by 9%',1,1),
(7528,1000930,10,100,'Applies Enhance: Leaping Lunge to qualifying pets.',0,0),
(7529,1000930,10,100,'Improves the damage of Leaping Lunge by 10%',1,1),
(7530,1000931,1,100,'Reduces resistibility by 5%',0,0),
(7531,1000931,1,100,'Increases duration of stifle by 0.3 seconds',0,1),
(7532,1000931,2,100,'Reduces resistibility by 10%',0,0),
(7533,1000931,2,100,'Increases duration of stifle by 0.6 seconds',0,1),
(7534,1000931,3,100,'Reduces resistibility by 15%',0,0),
(7535,1000931,3,100,'Increases duration of stifle by 0.9 seconds',0,1),
(7536,1000931,4,100,'Reduces resistibility by 20%',0,0),
(7537,1000931,4,100,'Increases duration of stifle by 1.2 seconds',0,1),
(7538,1000931,5,100,'Reduces resistibility by 25%',0,0),
(7539,1000931,5,100,'Increases duration of stifle by 1.5 seconds',0,1),
(7540,1000932,1,100,'Increases radius by 1',0,0),
(7541,1000932,1,100,'Increases hit chance by 5%',0,1),
(7542,1000932,2,100,'Increases radius by 2',0,0),
(7543,1000932,2,100,'Increases hit chance by 10%',0,1),
(7544,1000932,3,100,'Increases radius by 3',0,0),
(7545,1000932,3,100,'Increases hit chance by 15%',0,1),
(7546,1000932,4,100,'Increases radius by 4',0,0),
(7547,1000932,4,100,'Increases hit chance by 20%',0,1),
(7548,1000932,5,100,'Increases radius by 5',0,0),
(7549,1000932,5,100,'Increases hit chance by 25%',0,1),
(7550,1000933,1,100,'Increases duration by 2.8%',0,0),
(7551,1000933,1,100,'Reduces resistibility by 4%',0,1),
(7552,1000933,2,100,'Increases duration by 5.6%',0,0),
(7553,1000933,2,100,'Reduces resistibility by 8%',0,1),
(7554,1000933,3,100,'Increases duration by 8.4%',0,0),
(7555,1000933,3,100,'Reduces resistibility by 12%',0,1),
(7556,1000933,4,100,'Increases duration by 11.2%',0,0),
(7557,1000933,4,100,'Reduces resistibility by 16%',0,1),
(7558,1000933,5,100,'Increases duration by 14%',0,0),
(7559,1000933,5,100,'Reduces resistibility by 20%',0,1),
(7560,1000934,1,100,'Improves reuse speed by 3 seconds',0,0),
(7561,1000934,2,100,'Improves reuse speed by 6 seconds',0,0),
(7562,1000934,3,100,'Improves reuse speed by 9 seconds',0,0),
(7563,1000934,4,100,'Improves reuse speed by 12 seconds',0,0),
(7564,1000934,5,100,'Improves reuse speed by 15 seconds',0,0),
(7565,1000935,1,100,'Improves skill reductions by 3%',0,0),
(7566,1000935,2,100,'Improves skill reductions by 6%',0,0),
(7567,1000935,3,100,'Improves skill reductions by 9%',0,0),
(7568,1000935,4,100,'Improves skill reductions by 12%',0,0),
(7569,1000935,5,100,'Improves skill reductions by 15%',0,0),
(7570,1000936,1,100,'Increases casting skill reduction by 8%',0,0),
(7571,1000936,2,100,'Increases casting skill reduction by 16%',0,0),
(7572,1000936,3,100,'Increases casting skill reduction by 24%',0,0),
(7573,1000936,4,100,'Increases casting skill reduction by 32%',0,0),
(7574,1000936,5,100,'Increases casting skill reduction by 40%',0,0),
(7575,1000937,1,100,'Reduces duration by 3 seconds',0,0),
(7576,1000937,2,100,'Reduces duration by 6 seconds',0,0),
(7577,1000937,3,100,'Reduces duration by 9 seconds',0,0),
(7578,1000937,4,100,'Reduces duration by 12 seconds',0,0),
(7579,1000937,5,100,'Reduces duration by 15 seconds',0,0),
(7580,1000938,1,100,'Adds a replenishing ward effect that increases with level',0,0),
(7581,1000939,1,100,'Adds a replenishing ward effect that increases with level',0,0),
(7582,1000938,2,100,'Adds a replenishing ward effect that increases with level',0,0),
(7583,1000939,2,100,'Adds a replenishing ward effect that increases with level',0,0),
(7584,1000938,3,100,'Adds a replenishing ward effect that increases with level',0,0),
(7585,1000939,3,100,'Adds a replenishing ward effect that increases with level',0,0),
(7586,1000939,4,100,'Adds a replenishing ward effect that increases with level',0,0),
(7587,1000938,4,100,'Adds a replenishing ward effect that increases with level',0,0),
(7588,1000938,5,100,'Adds a replenishing ward effect that increases with level',0,0),
(7589,1000939,5,100,'Adds a replenishing ward effect that increases with level',0,0),
(7590,1000938,6,100,'Adds a replenishing ward effect that increases with level',0,0),
(7591,1000939,6,100,'Adds a replenishing ward effect that increases with level',0,0),
(7592,1000938,7,100,'Adds a replenishing ward effect that increases with level',0,0),
(7593,1000939,7,100,'Adds a replenishing ward effect that increases with level',0,0),
(7594,1000938,8,100,'Adds a replenishing ward effect that increases with level',0,0),
(7595,1000939,8,100,'Adds a replenishing ward effect that increases with level',0,0),
(7596,1000938,9,100,'Adds a replenishing ward effect that increases with level',0,0),
(7597,1000939,9,100,'Adds a replenishing ward effect that increases with level',0,0),
(7598,1000939,10,100,'Adds a replenishing ward effect that increases with level',0,0),
(7599,1000938,10,100,'Adds a replenishing ward effect that increases with level',0,0),
(7600,1000940,1,100,'Applies Enhance: Magical Pyre to qualifying pets.',0,0),
(7601,1000940,1,100,'Improves the damage of Magical Pyre by 1%',1,1),
(7602,1000940,2,100,'Applies Enhance: Magical Pyre to qualifying pets.',0,0),
(7603,1000940,2,100,'Improves the damage of Magical Pyre by 2%',1,1),
(7604,1000940,3,100,'Applies Enhance: Magical Pyre to qualifying pets.',0,0),
(7605,1000940,3,100,'Improves the damage of Magical Pyre by 3%',1,1),
(7606,1000940,4,100,'Applies Enhance: Magical Pyre to qualifying pets.',0,0),
(7607,1000940,4,100,'Improves the damage of Magical Pyre by 4%',1,1),
(7608,1000940,5,100,'Applies Enhance: Magical Pyre to qualifying pets.',0,0),
(7609,1000940,5,100,'Improves the damage of Magical Pyre by 5%',1,1),
(7610,1000940,6,100,'Applies Enhance: Magical Pyre to qualifying pets.',0,0),
(7611,1000940,6,100,'Improves the damage of Magical Pyre by 6%',1,1),
(7612,1000940,7,100,'Applies Enhance: Magical Pyre to qualifying pets.',0,0),
(7613,1000940,7,100,'Improves the damage of Magical Pyre by 7%',1,1),
(7614,1000940,8,100,'Applies Enhance: Magical Pyre to qualifying pets.',0,0),
(7615,1000940,8,100,'Improves the damage of Magical Pyre by 8%',1,1),
(7616,1000940,9,100,'Applies Enhance: Magical Pyre to qualifying pets.',0,0),
(7617,1000940,9,100,'Improves the damage of Magical Pyre by 9%',1,1),
(7618,1000940,10,100,'Applies Enhance: Magical Pyre to qualifying pets.',0,0),
(7619,1000940,10,100,'Improves the damage of Magical Pyre by 10%',1,1),
(7620,1000941,1,100,'Reduces power cost by 3%',0,0),
(7621,1000941,1,100,'Improves reuse speed by 1 seconds',0,1),
(7622,1000941,1,100,'Improves the Crit Bonus by 2%',0,2),
(7623,1000941,2,100,'Reduces power cost by 6%',0,0),
(7624,1000941,2,100,'Improves reuse speed by 2 seconds',0,1),
(7625,1000941,2,100,'Improves the Crit Bonus by 4%',0,2),
(7626,1000941,3,100,'Reduces power cost by 9%',0,0),
(7627,1000941,3,100,'Improves reuse speed by 3 seconds',0,1),
(7628,1000941,3,100,'Improves the Crit Bonus by 6%',0,2),
(7629,1000941,4,100,'Reduces power cost by 12%',0,0),
(7630,1000941,4,100,'Improves reuse speed by 4 seconds',0,1),
(7631,1000941,4,100,'Improves the Crit Bonus by 8%',0,2),
(7632,1000941,5,100,'Reduces power cost by 15%',0,0),
(7633,1000941,5,100,'Improves reuse speed by 5 seconds',0,1),
(7634,1000941,5,100,'Improves the Crit Bonus by 10%',0,2),
(7635,1000942,1,100,'Increases ward by 8%',0,0),
(7636,1000942,2,100,'Increases ward by 16%',0,0),
(7637,1000942,3,100,'Increases ward by 24%',0,0),
(7638,1000942,4,100,'Increases ward by 32%',0,0),
(7639,1000942,5,100,'Increases ward by 40%',0,0),
(7640,1000942,6,100,'Increases ward by 48%',0,0),
(7641,1000942,7,100,'Increases ward by 56%',0,0),
(7642,1000942,8,100,'Increases ward by 64%',0,0),
(7643,1000942,9,100,'Increases ward by 72%',0,0),
(7644,1000942,10,100,'Increases ward by 80%',0,0),
(7645,1000943,1,100,'Improves the trigger count by 6%.',0,0),
(7646,1000943,2,100,'Improves the trigger count by 12%.',0,0),
(7647,1000943,3,100,'Improves the trigger count by 18%.',0,0),
(7648,1000943,4,100,'Improves the trigger count by 24%.',0,0),
(7649,1000943,5,100,'Improves the trigger count by 30%.',0,0),
(7650,1000944,1,100,'Increases power heal amount by 5%',0,0),
(7651,1000944,2,100,'Increases power heal amount by 10%',0,0),
(7652,1000944,3,100,'Increases power heal amount by 15%',0,0),
(7653,1000944,4,100,'Increases power heal amount by 20%',0,0),
(7654,1000944,5,100,'Increases power heal amount by 25%',0,0),
(7655,1000945,1,100,'Hastens reuse speed and duration each by 2 seconds',0,0),
(7656,1000945,2,100,'Hastens reuse speed and duration each by 4 seconds',0,0),
(7657,1000945,3,100,'Hastens reuse speed and duration each by 6 seconds',0,0),
(7658,1000945,4,100,'Hastens reuse speed and duration each by 8 seconds',0,0),
(7659,1000945,5,100,'Hastens reuse speed and duration each by 10 seconds',0,0),
(7660,1000946,1,100,'Reduces health cost by 10%',0,0),
(7661,1000946,1,100,'Improves casting speed by 0.2 seconds',0,1),
(7662,1000946,2,100,'Reduces health cost by 20%',0,0),
(7663,1000946,2,100,'Improves casting speed by 0.4 seconds',0,1),
(7664,1000946,3,100,'Reduces health cost by 30%',0,0),
(7665,1000946,3,100,'Improves casting speed by 0.6 seconds',0,1),
(7666,1000946,4,100,'Reduces health cost by 40%',0,0),
(7667,1000946,4,100,'Improves casting speed by 0.8 seconds',0,1),
(7668,1000946,5,100,'Reduces health cost by 50%',0,0),
(7669,1000946,5,100,'Improves casting speed by 1 seconds',0,1),
(7670,1000947,1,100,'Improves reuse speed by 3 seconds',0,0),
(7671,1000947,1,100,'Improves the Crit Bonus by 2.5%',0,1),
(7672,1000947,2,100,'Improves reuse speed by 6 seconds',0,0),
(7673,1000947,2,100,'Improves the Crit Bonus by 5%',0,1),
(7674,1000947,3,100,'Improves reuse speed by 9 seconds',0,0),
(7675,1000947,3,100,'Improves the Crit Bonus by 7.5%',0,1),
(7676,1000947,4,100,'Improves reuse speed by 12 seconds',0,0),
(7677,1000947,4,100,'Improves the Crit Bonus by 10%',0,1),
(7678,1000947,5,100,'Improves reuse speed by 15 seconds',0,0),
(7679,1000947,5,100,'Improves the Crit Bonus by 12.5%',0,1),
(7680,1000948,1,100,'Increases the physical mitigation by 6%.',0,0),
(7681,1000948,2,100,'Increases the physical mitigation by 12%.',0,0),
(7682,1000948,3,100,'Increases the physical mitigation by 18%.',0,0),
(7683,1000948,4,100,'Increases the physical mitigation by 24%.',0,0),
(7684,1000948,5,100,'Increases the physical mitigation by 30%.',0,0),
(7685,1000949,1,100,'Increases trigger chance by 2%',0,0),
(7686,1000949,2,100,'Increases trigger chance by 4%',0,0),
(7687,1000949,3,100,'Increases trigger chance by 6%',0,0),
(7688,1000949,4,100,'Increases trigger chance by 8%',0,0),
(7689,1000949,5,100,'Increases trigger chance by 10%',0,0),
(7690,1000950,1,100,'Improves reuse speed by 18 seconds',0,0),
(7691,1000950,1,100,'Increases amount healed by 20%',0,1),
(7692,1000950,2,100,'Improves reuse speed by 36 seconds',0,0),
(7693,1000950,2,100,'Increases amount healed by 40%',0,1),
(7694,1000950,3,100,'Improves reuse speed by 54 seconds',0,0),
(7695,1000950,3,100,'Increases amount healed by 60%',0,1),
(7696,1000950,4,100,'Improves reuse speed by 72 seconds',0,0),
(7697,1000950,4,100,'Increases amount healed by 80%',0,1),
(7698,1000950,5,100,'Improves reuse speed by 90 seconds',0,0),
(7699,1000950,5,100,'Increases amount healed by 100%',0,1),
(7700,1000951,1,100,'Reduces the reuse time of Master''s Strike by 6 seconds.',0,0),
(7701,1000951,2,100,'Reduces the reuse time of Master''s Strike by 12 seconds.',0,0),
(7702,1000951,3,100,'Reduces the reuse time of Master''s Strike by 18 seconds.',0,0),
(7703,1000951,4,100,'Reduces the reuse time of Master''s Strike by 24 seconds.',0,0),
(7704,1000951,5,100,'Reduces the reuse time of Master''s Strike by 30 seconds.',0,0),
(7705,1000952,1,100,'Increases offensive skill reduction by 10%',0,0),
(7706,1000953,1,100,'Applies Enhance: Maul to qualifying pets.',0,0),
(7707,1000953,1,100,'Improves the damage of Maul by 1%',1,1),
(7708,1000952,2,100,'Increases offensive skill reduction by 20%',0,0),
(7709,1000953,2,100,'Applies Enhance: Maul to qualifying pets.',0,0),
(7710,1000953,2,100,'Improves the damage of Maul by 2%',1,1),
(7711,1000952,3,100,'Increases offensive skill reduction by 30%',0,0),
(7712,1000953,3,100,'Applies Enhance: Maul to qualifying pets.',0,0),
(7713,1000953,3,100,'Improves the damage of Maul by 3%',1,1),
(7714,1000952,4,100,'Increases offensive skill reduction by 40%',0,0),
(7715,1000953,4,100,'Applies Enhance: Maul to qualifying pets.',0,0),
(7716,1000953,4,100,'Improves the damage of Maul by 4%',1,1),
(7717,1000952,5,100,'Increases offensive skill reduction by 50%',0,0),
(7718,1000953,5,100,'Applies Enhance: Maul to qualifying pets.',0,0),
(7719,1000953,5,100,'Improves the damage of Maul by 5%',1,1),
(7720,1000953,6,100,'Applies Enhance: Maul to qualifying pets.',0,0),
(7721,1000953,6,100,'Improves the damage of Maul by 6%',1,1),
(7722,1000953,7,100,'Applies Enhance: Maul to qualifying pets.',0,0),
(7723,1000953,7,100,'Improves the damage of Maul by 7%',1,1),
(7724,1000953,8,100,'Applies Enhance: Maul to qualifying pets.',0,0),
(7725,1000953,8,100,'Improves the damage of Maul by 8%',1,1),
(7726,1000953,9,100,'Applies Enhance: Maul to qualifying pets.',0,0),
(7727,1000953,9,100,'Improves the damage of Maul by 9%',1,1),
(7728,1000953,10,100,'Applies Enhance: Maul to qualifying pets.',0,0),
(7729,1000953,10,100,'Improves the damage of Maul by 10%',1,1),
(7730,1000954,1,100,'Improves reuse speed by 1 seconds',0,0),
(7731,1000954,1,100,'Improves the casting speed by 0.1 seconds',0,1),
(7732,1000954,1,100,'Improves the Crit Bonus by 2%',0,2),
(7733,1000954,2,100,'Improves reuse speed by 2 seconds',0,0),
(7734,1000954,2,100,'Improves the casting speed by 0.2 seconds',0,1),
(7735,1000954,2,100,'Improves the Crit Bonus by 4%',0,2),
(7736,1000954,3,100,'Improves reuse speed by 3 seconds',0,0),
(7737,1000954,3,100,'Improves the casting speed by 0.3 seconds',0,1),
(7738,1000954,3,100,'Improves the Crit Bonus by 6%',0,2),
(7739,1000954,4,100,'Improves reuse speed by 4 seconds',0,0),
(7740,1000954,4,100,'Improves the casting speed by 0.4 seconds',0,1),
(7741,1000954,4,100,'Improves the Crit Bonus by 8%',0,2),
(7742,1000954,5,100,'Improves reuse speed by 5 seconds',0,0),
(7743,1000954,5,100,'Improves the casting speed by 0.5 seconds',0,1),
(7744,1000954,5,100,'Improves the Crit Bonus by 10%',0,2),
(7745,1000955,1,100,'Decreases the base reuse of Mend by 3 seconds.',0,0),
(7746,1000955,2,100,'Increases heal amount by 6%',0,0),
(7747,1000955,3,100,'Increases heal amount by 9%',0,0),
(7748,1000955,4,100,'Increases heal amount by 12%',0,0),
(7749,1000955,5,100,'Decreases the base reuse of Mend by 15 seconds.',0,0),
(7750,1000956,1,100,'Applies Enhance: Mental Blast to qualifying pets.',0,0),
(7751,1000956,1,100,'Improves the damage of Mental Blast by 1%',1,1),
(7752,1000956,2,100,'Applies Enhance: Mental Blast to qualifying pets.',0,0),
(7753,1000956,2,100,'Improves the damage of Mental Blast by 2%',1,1),
(7754,1000956,3,100,'Applies Enhance: Mental Blast to qualifying pets.',0,0),
(7755,1000956,3,100,'Improves the damage of Mental Blast by 3%',1,1),
(7756,1000956,4,100,'Applies Enhance: Mental Blast to qualifying pets.',0,0),
(7757,1000956,4,100,'Improves the damage of Mental Blast by 4%',1,1),
(7758,1000956,5,100,'Applies Enhance: Mental Blast to qualifying pets.',0,0),
(7759,1000956,5,100,'Improves the damage of Mental Blast by 5%',1,1),
(7760,1000956,6,100,'Applies Enhance: Mental Blast to qualifying pets.',0,0),
(7761,1000956,6,100,'Improves the damage of Mental Blast by 6%',1,1),
(7762,1000956,7,100,'Applies Enhance: Mental Blast to qualifying pets.',0,0),
(7763,1000956,7,100,'Improves the damage of Mental Blast by 7%',1,1),
(7764,1000956,8,100,'Applies Enhance: Mental Blast to qualifying pets.',0,0),
(7765,1000956,8,100,'Improves the damage of Mental Blast by 8%',1,1),
(7766,1000956,9,100,'Applies Enhance: Mental Blast to qualifying pets.',0,0),
(7767,1000956,9,100,'Improves the damage of Mental Blast by 9%',1,1),
(7768,1000956,10,100,'Applies Enhance: Mental Blast to qualifying pets.',0,0),
(7769,1000956,10,100,'Improves the damage of Mental Blast by 10%',1,1),
(7770,1000957,1,100,'Applies Enhance: Mental Intrusion to qualifying pets.',0,0),
(7771,1000957,1,100,'Improves the damage of Mental Intrusion by 1%',1,1),
(7772,1000957,2,100,'Applies Enhance: Mental Intrusion to qualifying pets.',0,0),
(7773,1000957,2,100,'Improves the damage of Mental Intrusion by 2%',1,1),
(7774,1000957,3,100,'Applies Enhance: Mental Intrusion to qualifying pets.',0,0),
(7775,1000957,3,100,'Improves the damage of Mental Intrusion by 3%',1,1),
(7776,1000957,4,100,'Applies Enhance: Mental Intrusion to qualifying pets.',0,0),
(7777,1000957,4,100,'Improves the damage of Mental Intrusion by 4%',1,1),
(7778,1000957,5,100,'Applies Enhance: Mental Intrusion to qualifying pets.',0,0),
(7779,1000957,5,100,'Improves the damage of Mental Intrusion by 5%',1,1),
(7780,1000957,6,100,'Applies Enhance: Mental Intrusion to qualifying pets.',0,0),
(7781,1000957,6,100,'Improves the damage of Mental Intrusion by 6%',1,1),
(7782,1000957,7,100,'Applies Enhance: Mental Intrusion to qualifying pets.',0,0),
(7783,1000957,7,100,'Improves the damage of Mental Intrusion by 7%',1,1),
(7784,1000957,8,100,'Applies Enhance: Mental Intrusion to qualifying pets.',0,0),
(7785,1000957,8,100,'Improves the damage of Mental Intrusion by 8%',1,1),
(7786,1000957,9,100,'Applies Enhance: Mental Intrusion to qualifying pets.',0,0),
(7787,1000957,9,100,'Improves the damage of Mental Intrusion by 9%',1,1),
(7788,1000957,10,100,'Applies Enhance: Mental Intrusion to qualifying pets.',0,0),
(7789,1000957,10,100,'Improves the damage of Mental Intrusion by 10%',1,1),
(7790,1000958,1,100,'Increases damage by 8%',0,0),
(7791,1000958,1,100,'Increases power heal by 8%',0,1),
(7792,1000958,2,100,'Increases damage by 16%',0,0),
(7793,1000958,2,100,'Increases power heal by 16%',0,1),
(7794,1000958,3,100,'Increases damage by 24%',0,0),
(7795,1000958,3,100,'Increases power heal by 24%',0,1),
(7796,1000958,4,100,'Increases damage by 32%',0,0),
(7797,1000958,4,100,'Increases power heal by 32%',0,1),
(7798,1000958,5,100,'Increases damage by 40%',0,0),
(7799,1000958,5,100,'Increases power heal by 40%',0,1),
(7800,1000959,1,100,'Increases damage by 5%',0,0),
(7801,1000959,2,100,'Increases damage by 10%',0,0),
(7802,1000959,3,100,'Increases damage by 15%',0,0),
(7803,1000959,4,100,'Increases damage by 20%',0,0),
(7804,1000959,5,100,'Increases damage by 25%',0,0),
(7805,1000960,1,100,'Increases power regeneration by 12%',0,0),
(7806,1000960,2,100,'Increases power regeneration by 24%',0,0),
(7807,1000960,3,100,'Increases power regeneration by 36%',0,0),
(7808,1000960,4,100,'Increases power regeneration by 48%',0,0),
(7809,1000960,5,100,'Increases power regeneration by 60%',0,0),
(7810,1000961,1,100,'Increases trigger count by 1',0,0),
(7811,1000961,1,100,'Increases duration by 5 seconds',0,1),
(7812,1000961,2,100,'Increases trigger count by 2',0,0),
(7813,1000961,2,100,'Increases duration by 10 seconds',0,1),
(7814,1000962,1,100,'Increases wisdom reduction by 6%',0,0),
(7815,1000962,2,100,'Increases wisdom reduction by 12%',0,0),
(7816,1000962,3,100,'Increases wisdom reduction by 18%',0,0),
(7817,1000962,4,100,'Increases wisdom reduction by 24%',0,0),
(7818,1000962,5,100,'Increases wisdom reduction by 30%',0,0),
(7819,1000963,1,100,'Adds an additional effect that increases the target''s critical damage by 1%.',0,0),
(7820,1000963,2,100,'Adds an additional effect that increases the target''s critical damage by 2%.',0,0),
(7821,1000963,3,100,'Adds an additional effect that increases the target''s critical damage by 3%.',0,0),
(7822,1000963,4,100,'Adds an additional effect that increases the target''s critical damage by 4%.',0,0),
(7823,1000963,5,100,'Adds an additional effect that increases the target''s critical damage by 5%.',0,0),
(7824,1000964,1,100,'Applies Enhance: Moon''s Howl to qualifying pets.',0,0),
(7825,1000964,1,100,'Improves the damage of Moon''s Howl by 1%',1,1),
(7826,1000964,2,100,'Applies Enhance: Moon''s Howl to qualifying pets.',0,0),
(7827,1000964,2,100,'Improves the damage of Moon''s Howl by 2%',1,1),
(7828,1000964,3,100,'Applies Enhance: Moon''s Howl to qualifying pets.',0,0),
(7829,1000964,3,100,'Improves the damage of Moon''s Howl by 3%',1,1),
(7830,1000964,4,100,'Applies Enhance: Moon''s Howl to qualifying pets.',0,0),
(7831,1000964,4,100,'Improves the damage of Moon''s Howl by 4%',1,1),
(7832,1000964,5,100,'Applies Enhance: Moon''s Howl to qualifying pets.',0,0),
(7833,1000964,5,100,'Improves the damage of Moon''s Howl by 5%',1,1),
(7834,1000964,6,100,'Applies Enhance: Moon''s Howl to qualifying pets.',0,0),
(7835,1000964,6,100,'Improves the damage of Moon''s Howl by 6%',1,1),
(7836,1000964,7,100,'Applies Enhance: Moon''s Howl to qualifying pets.',0,0),
(7837,1000964,7,100,'Improves the damage of Moon''s Howl by 7%',1,1),
(7838,1000964,8,100,'Applies Enhance: Moon''s Howl to qualifying pets.',0,0),
(7839,1000964,8,100,'Improves the damage of Moon''s Howl by 8%',1,1),
(7840,1000964,9,100,'Applies Enhance: Moon''s Howl to qualifying pets.',0,0),
(7841,1000964,9,100,'Improves the damage of Moon''s Howl by 9%',1,1),
(7842,1000964,10,100,'Applies Enhance: Moon''s Howl to qualifying pets.',0,0),
(7843,1000964,10,100,'Improves the damage of Moon''s Howl by 10%',1,1),
(7844,1000965,1,100,'Applies Enhance: Moonlight Dive to qualifying pets.',0,0),
(7845,1000965,1,100,'Improves the damage of Moonlight Dive by 1%',1,1),
(7846,1000965,2,100,'Applies Enhance: Moonlight Dive to qualifying pets.',0,0),
(7847,1000965,2,100,'Improves the damage of Moonlight Dive by 2%',1,1),
(7848,1000965,3,100,'Applies Enhance: Moonlight Dive to qualifying pets.',0,0),
(7849,1000965,3,100,'Improves the damage of Moonlight Dive by 3%',1,1),
(7850,1000965,4,100,'Applies Enhance: Moonlight Dive to qualifying pets.',0,0),
(7851,1000965,4,100,'Improves the damage of Moonlight Dive by 4%',1,1),
(7852,1000965,5,100,'Applies Enhance: Moonlight Dive to qualifying pets.',0,0),
(7853,1000965,5,100,'Improves the damage of Moonlight Dive by 5%',1,1),
(7854,1000965,6,100,'Applies Enhance: Moonlight Dive to qualifying pets.',0,0),
(7855,1000965,6,100,'Improves the damage of Moonlight Dive by 6%',1,1),
(7856,1000965,7,100,'Applies Enhance: Moonlight Dive to qualifying pets.',0,0),
(7857,1000965,7,100,'Improves the damage of Moonlight Dive by 7%',1,1),
(7858,1000965,8,100,'Applies Enhance: Moonlight Dive to qualifying pets.',0,0),
(7859,1000965,8,100,'Improves the damage of Moonlight Dive by 8%',1,1),
(7860,1000965,9,100,'Applies Enhance: Moonlight Dive to qualifying pets.',0,0),
(7861,1000965,9,100,'Improves the damage of Moonlight Dive by 9%',1,1),
(7862,1000965,10,100,'Applies Enhance: Moonlight Dive to qualifying pets.',0,0),
(7863,1000965,10,100,'Improves the damage of Moonlight Dive by 10%',1,1),
(7864,1000966,1,100,'Improves reuse speed by 30 seconds',0,0),
(7865,1000966,2,100,'Improves reuse speed by 60 seconds',0,0),
(7866,1000966,3,100,'Improves reuse speed by 90 seconds',0,0),
(7867,1000966,4,100,'Improves reuse speed by 120 seconds',0,0),
(7868,1000966,5,100,'Improves reuse speed by 150 seconds',0,0),
(7869,1000966,5,100,'Grants a 50% chance to override a Feign Death failure',0,1),
(7870,1000967,1,100,'Max Health and wisdom reduction strengthened by 7%',0,0),
(7871,1000967,2,100,'Damage increase and wisdom reduction strengthened by 14%',0,0),
(7872,1000967,3,100,'Damage increase and wisdom reduction strengthened by 21%',0,0),
(7873,1000967,4,100,'Max Health and wisdom reduction strengthened by 28%',0,0),
(7874,1000967,5,100,'Max Health and wisdom reduction strengthened by 35%',0,0),
(7875,1000968,1,100,'Adds spell resistance by 6% and improves reuse speed by 6 seconds',0,0),
(7876,1000968,2,100,'Adds spell resistance by 12% and improves reuse speed by 12 seconds',0,0),
(7877,1000968,3,100,'Adds spell resistance by 18% and improves reuse speed by 18 seconds',0,0),
(7878,1000968,4,100,'Adds spell resistance by 24% and improves reuse speed by 24 seconds',0,0),
(7879,1000968,5,100,'Adds spell resistance by 30% and improves reuse speed by 30 seconds',0,0),
(7880,1000969,1,100,'Adds deflection skill reduction',0,0),
(7881,1000970,1,100,'Increases DPS of caster by 1.0',0,0),
(7882,1000970,2,100,'Increases Damage Per Second of caster by 2.0',0,0),
(7883,1000970,3,100,'Increases Damage Per Second of caster by 3.0',0,0),
(7884,1000970,4,100,'Increases Damage Per Second of caster by 4.0',0,0),
(7885,1000970,5,100,'Increases Damage Per Second of caster by 5.0',0,0),
(7886,1000971,1,100,'Improves spell resistance reductions by 2%',0,0),
(7887,1000971,2,100,'Improves spell resistance reductions by 4%',0,0),
(7888,1000971,3,100,'Improves spell resistance reductions by 6%',0,0),
(7889,1000971,4,100,'Improves spell resistance reductions by 8%',0,0),
(7890,1000971,5,100,'Improves spell resistance reductions by 10%',0,0),
(7891,1000972,1,100,'Increases attack speed reduction by 2%',0,0),
(7892,1000972,2,100,'Increases attack speed reduction by 4%',0,0),
(7893,1000972,3,100,'Increases attack speed reduction by 6%',0,0),
(7894,1000972,4,100,'Increases attack speed reduction by 8%',0,0),
(7895,1000972,5,100,'Increases attack speed reduction by 10%',0,0),
(7896,1000973,1,100,'Applies Enhance: Mystic Burst to qualifying pets.',0,0),
(7897,1000973,1,100,'Improves the damage of Mystic Burst by 1%',1,1),
(7898,1000973,2,100,'Applies Enhance: Mystic Burst to qualifying pets.',0,0),
(7899,1000973,2,100,'Improves the damage of Mystic Burst by 2%',1,1),
(7900,1000973,3,100,'Applies Enhance: Mystic Burst to qualifying pets.',0,0),
(7901,1000973,3,100,'Improves the damage of Mystic Burst by 3%',1,1),
(7902,1000973,4,100,'Applies Enhance: Mystic Burst to qualifying pets.',0,0),
(7903,1000973,4,100,'Improves the damage of Mystic Burst by 4%',1,1),
(7904,1000973,5,100,'Applies Enhance: Mystic Burst to qualifying pets.',0,0),
(7905,1000973,5,100,'Improves the damage of Mystic Burst by 5%',1,1),
(7906,1000973,6,100,'Applies Enhance: Mystic Burst to qualifying pets.',0,0),
(7907,1000973,6,100,'Improves the damage of Mystic Burst by 6%',1,1),
(7908,1000973,7,100,'Applies Enhance: Mystic Burst to qualifying pets.',0,0),
(7909,1000973,7,100,'Improves the damage of Mystic Burst by 7%',1,1),
(7910,1000973,8,100,'Applies Enhance: Mystic Burst to qualifying pets.',0,0),
(7911,1000973,8,100,'Improves the damage of Mystic Burst by 8%',1,1),
(7912,1000973,9,100,'Applies Enhance: Mystic Burst to qualifying pets.',0,0),
(7913,1000973,9,100,'Improves the damage of Mystic Burst by 9%',1,1),
(7914,1000973,10,100,'Applies Enhance: Mystic Burst to qualifying pets.',0,0),
(7915,1000973,10,100,'Improves the damage of Mystic Burst by 10%',1,1),
(7916,1000974,1,100,'Improves casting speed by 0.2 seconds',0,0),
(7917,1000974,1,100,'Increases damage by 1%',0,1),
(7918,1000974,2,100,'Improves casting speed by 0.4 seconds',0,0),
(7919,1000974,2,100,'Increases damage by 2%',0,1),
(7920,1000974,3,100,'Improves casting speed by 0.6 seconds',0,0),
(7921,1000974,3,100,'Increases damage by 3%',0,1),
(7922,1000974,4,100,'Improves casting speed by 0.8 seconds',0,0),
(7923,1000974,4,100,'Increases damage by 4%',0,1),
(7924,1000974,5,100,'Improves casting speed by 1 seconds',0,0),
(7925,1000974,5,100,'Increases damage by 5%',0,1),
(7926,1000975,1,100,'Increases trigger chance by 5%',0,0),
(7927,1000975,2,100,'Increases trigger chance by 10%',0,0),
(7928,1000975,3,100,'Increases trigger chance by 15%',0,0),
(7929,1000975,4,100,'Increases trigger chance by 20%',0,0),
(7930,1000975,5,100,'Increases trigger chance by 25%',0,0),
(7931,1000976,1,100,'Increases heal amount by 5%',0,0),
(7932,1000976,2,100,'Increases heal amount by 10%',0,0),
(7933,1000976,3,100,'Increases heal amount by 15%',0,0),
(7934,1000976,4,100,'Increases heal amount by 20%',0,0),
(7935,1000976,5,100,'Increases heal amount by 25%',0,0),
(7936,1000977,1,100,'Reduces duration by 2 seconds',0,0),
(7937,1000977,1,100,'Improves casting speed by 0.2 seconds',0,1),
(7938,1000977,2,100,'Reduces duration by 4 seconds',0,0),
(7939,1000977,2,100,'Improves casting speed by 0.4 seconds',0,1),
(7940,1000977,3,100,'Reduces duration by 6 seconds',0,0),
(7941,1000977,3,100,'Improves casting speed by 0.6 seconds',0,1),
(7942,1000977,4,100,'Reduces duration by 8 seconds',0,0),
(7943,1000977,4,100,'Improves casting speed by 0.8 seconds',0,1),
(7944,1000977,5,100,'Reduces duration by 10 seconds',0,0),
(7945,1000977,5,100,'Improves casting speed by 1 seconds',0,1),
(7946,1000978,1,100,'Improves intelligence reduction by 6%',0,0),
(7947,1000978,2,100,'Improves intelligence reduction by 12%',0,0),
(7948,1000978,3,100,'Improves intelligence reduction by 18%',0,0),
(7949,1000978,4,100,'Improves intelligence reduction by 24%',0,0),
(7950,1000978,5,100,'Improves intelligence reduction by 30%',0,0),
(7951,1000979,1,100,'When Nightmare and its upgrades wear off, your opponents take additional mental damage.',0,0),
(7952,1000979,2,100,'When Nightmare and its upgrades wear off, your opponents take additional mental damage.',0,0),
(7953,1000979,3,100,'When Nightmare and its upgrades wear off, your opponents take additional mental damage.',0,0),
(7954,1000979,4,100,'When Nightmare and its upgrades wear off, your opponents take additional mental damage.',0,0),
(7955,1000979,5,100,'When Nightmare and its upgrades wear off, your opponents take additional mental damage.',0,0),
(7956,1000980,1,100,'Improves combat art hit chances by 3%, as well as the piercing and slashing skills of your scout pet.',0,0),
(7957,1000981,1,100,'Applies Enhance: Noxious Emission to qualifying pets.',0,0),
(7958,1000981,1,100,'Improves the damage of Noxious Emission by 1%',1,1),
(7959,1000981,2,100,'Applies Enhance: Noxious Emission to qualifying pets.',0,0),
(7960,1000981,2,100,'Improves the damage of Noxious Emission by 2%',1,1),
(7961,1000981,3,100,'Applies Enhance: Noxious Emission to qualifying pets.',0,0),
(7962,1000981,3,100,'Improves the damage of Noxious Emission by 3%',1,1),
(7963,1000981,4,100,'Applies Enhance: Noxious Emission to qualifying pets.',0,0),
(7964,1000981,4,100,'Improves the damage of Noxious Emission by 4%',1,1),
(7965,1000981,5,100,'Applies Enhance: Noxious Emission to qualifying pets.',0,0),
(7966,1000981,5,100,'Improves the damage of Noxious Emission by 5%',1,1),
(7967,1000981,6,100,'Applies Enhance: Noxious Emission to qualifying pets.',0,0),
(7968,1000981,6,100,'Improves the damage of Noxious Emission by 6%',1,1),
(7969,1000981,7,100,'Applies Enhance: Noxious Emission to qualifying pets.',0,0),
(7970,1000981,7,100,'Improves the damage of Noxious Emission by 7%',1,1),
(7971,1000981,8,100,'Applies Enhance: Noxious Emission to qualifying pets.',0,0),
(7972,1000981,8,100,'Improves the damage of Noxious Emission by 8%',1,1),
(7973,1000981,9,100,'Applies Enhance: Noxious Emission to qualifying pets.',0,0),
(7974,1000981,9,100,'Improves the damage of Noxious Emission by 9%',1,1),
(7975,1000981,10,100,'Applies Enhance: Noxious Emission to qualifying pets.',0,0),
(7976,1000981,10,100,'Improves the damage of Noxious Emission by 10%',1,1),
(7977,1000982,1,100,'Improves the Crit Chance reduction by 1%',0,0),
(7978,1000982,1,100,'Improves the attribute reductions by 10%.',0,1),
(7979,1000982,2,100,'Improves the Crit Chance reduction by 2%',0,0),
(7980,1000982,2,100,'Improves the attribute reductions by 20%.',0,1),
(7981,1000982,3,100,'Improves the Crit Chance reduction by 3%',0,0),
(7982,1000982,3,100,'Improves the attribute reductions by 30%.',0,1),
(7983,1000982,4,100,'Improves the Crit Chance reduction by 4%',0,0),
(7984,1000982,4,100,'Improves the attribute reductions by 40%.',0,1),
(7985,1000982,5,100,'Improves the Crit Chance reduction by 5%',0,0),
(7986,1000982,5,100,'Improves the attribute reductions by 50%.',0,1),
(7987,1000982,6,100,'Improves the Crit Chance reduction by 6%',0,0),
(7988,1000982,6,100,'Improves the attribute reductions by 60%.',0,1),
(7989,1000982,7,100,'Improves the Crit Chance reduction by 7%',0,0),
(7990,1000982,7,100,'Improves the attribute reductions by 70%.',0,1),
(7991,1000982,8,100,'Improves the Crit Chance reduction by 8%',0,0),
(7992,1000982,8,100,'Improves the attribute reductions by 80%.',0,1),
(7993,1000982,9,100,'Improves the Crit Chance reduction by 9%',0,0),
(7994,1000982,9,100,'Improves the attribute reductions by 90%.',0,1),
(7995,1000982,10,100,'Improves the Crit Chance reduction by 10%',0,0),
(7996,1000982,10,100,'Improves the attribute reductions by 100%.',0,1),
(7997,1000982,10,100,'Converts Noxious Enfeeblement into a damage over time ability.',0,2),
(7998,1000983,1,100,'Adds a ward that will absorb disease and poison damage',0,0),
(7999,1000983,2,100,'Adds a ward that will absorb disease and poison damage',0,0),
(8000,1000983,3,100,'Adds a ward that will absorb disease and poison damage',0,0),
(8001,1000983,4,100,'Adds a ward that will absorb disease and poison damage',0,0),
(8002,1000983,5,100,'Adds a ward that will absorb disease and poison damage',0,0),
(8003,1000984,1,100,'Improves reuse speed by 1 seconds',0,0),
(8004,1000984,1,100,'Improves hate reduction amount by 7%',0,1),
(8005,1000985,1,100,'Increases triggered duration by 1.5 seconds',0,0),
(8006,1000985,1,100,'Improves reuse speed by 20 seconds',0,1),
(8007,1000986,1,100,'Applies Enhance: Nurturing Presence to qualifying pets.',0,0),
(8008,1000986,1,100,'Improves the duration of Nurturing Presence by 10%',1,1),
(8009,1000986,2,100,'Applies Enhance: Nurturing Presence to qualifying pets.',0,0),
(8010,1000986,2,100,'Improves the duration of Nurturing Presence by 20%',1,1),
(8011,1000986,3,100,'Applies Enhance: Nurturing Presence to qualifying pets.',0,0),
(8012,1000986,3,100,'Improves the duration of Nurturing Presence by 30%',1,1),
(8013,1000986,4,100,'Applies Enhance: Nurturing Presence to qualifying pets.',0,0),
(8014,1000986,4,100,'Improves the duration of Nurturing Presence by 40%',1,1),
(8015,1000986,5,100,'Applies Enhance: Nurturing Presence to qualifying pets.',0,0),
(8016,1000986,5,100,'Improves the duration of Nurturing Presence by 50%',1,1),
(8017,1000986,6,100,'Applies Enhance: Nurturing Presence to qualifying pets.',0,0),
(8018,1000986,6,100,'Improves the duration of Nurturing Presence by 60%',1,1),
(8019,1000986,7,100,'Applies Enhance: Nurturing Presence to qualifying pets.',0,0),
(8020,1000986,7,100,'Improves the duration of Nurturing Presence by 70%',1,1),
(8021,1000986,8,100,'Applies Enhance: Nurturing Presence to qualifying pets.',0,0),
(8022,1000986,8,100,'Improves the duration of Nurturing Presence by 80%',1,1),
(8023,1000986,9,100,'Applies Enhance: Nurturing Presence to qualifying pets.',0,0),
(8024,1000986,9,100,'Improves the duration of Nurturing Presence by 90%',1,1),
(8025,1000986,10,100,'Applies Enhance: Nurturing Presence to qualifying pets.',0,0),
(8026,1000986,10,100,'Improves the duration of Nurturing Presence by 100%',1,1),
(8027,1000987,1,100,'Increases ward by 7%',0,0),
(8028,1000987,2,100,'Increases ward by 14%',0,0),
(8029,1000987,3,100,'Increases ward by 21%',0,0),
(8030,1000987,4,100,'Increases ward by 28%',0,0),
(8031,1000987,5,100,'Increases ward by 35%',0,0),
(8032,1000988,1,100,'Increases spell mitigation reductions by an additional 4%',0,0),
(8033,1000988,2,100,'Increases spell mitigation reductions by an additional 8%',0,0),
(8034,1000988,3,100,'Increases spell mitigation reductions by an additional 12%',0,0),
(8035,1000988,4,100,'Increases spell mitigation reductions by an additional 16%',0,0),
(8036,1000988,5,100,'Increases spell mitigation reductions by an additional 20%',0,0),
(8037,1000989,1,100,'Increases strength, intelligence, offensive combat and spell skill reductions by 5%',0,0),
(8038,1000989,2,100,'Increases strength, intelligence, offensive combat and spell skill reductions by 10%',0,0),
(8039,1000989,3,100,'Increases strength, intelligence, offensive combat and spell skill reductions by 15%',0,0),
(8040,1000989,4,100,'Increases strength, intelligence, offensive combat and spell skill reductions by 20%',0,0),
(8041,1000989,5,100,'Increases strength, intelligence, offensive combat and spell skill reductions by 25%',0,0),
(8042,1000990,1,100,'Improves reuse speed by 5 seconds',0,0),
(8043,1000990,1,100,'Improves the Crit Bonus by 1.5%',0,1),
(8044,1000990,2,100,'Improves reuse speed by 10 seconds',0,0),
(8045,1000990,2,100,'Improves the Crit Bonus by 3%',0,1),
(8046,1000990,3,100,'Improves reuse speed by 15 seconds',0,0),
(8047,1000990,3,100,'Improves the Crit Bonus by 4.5%',0,1),
(8048,1000990,4,100,'Improves reuse speed by 20 seconds',0,0),
(8049,1000990,4,100,'Improves the Crit Bonus by 6%',0,1),
(8050,1000990,5,100,'Improves reuse speed by 25 seconds',0,0),
(8051,1000990,5,100,'Improves the Crit Bonus by 7.5%',0,1),
(8052,1000991,1,100,'Improves reuse speed by 4 seconds and amount healed by 4%. Health cost is also reduced by 4%',0,0),
(8053,1000991,2,100,'Improves reuse speed by 8 seconds and amount healed by 8%. Health cost is also reduced by 8%',0,0),
(8054,1000991,3,100,'Improves reuse speed by 12 seconds and amount healed by 12%. Health cost is also reduced by 12%',0,0),
(8055,1000991,4,100,'Improves reuse speed by 16 seconds and amount healed by 16%. Health cost is also reduced by 16%',0,0),
(8056,1000991,5,100,'Improves reuse speed by 20 seconds and amount healed by 20%. Health cost is also reduced by 20%',0,0),
(8057,1000992,1,100,'Improves reuse speed by 5 seconds',0,0),
(8058,1000992,1,100,'Increases duration by 3 seconds',0,1),
(8059,1000992,2,100,'Improves reuse speed by 10 seconds',0,0),
(8060,1000992,2,100,'Increases duration by 6 seconds',0,1),
(8061,1000992,3,100,'Improves reuse speed by 15 seconds',0,0),
(8062,1000992,3,100,'Increases duration by 9 seconds',0,1),
(8063,1000992,4,100,'Improves reuse speed by 20 seconds',0,0),
(8064,1000992,4,100,'Increases duration by 12 seconds',0,1),
(8065,1000992,5,100,'Improves reuse speed by 25 seconds',0,0),
(8066,1000992,5,100,'Increases duration by 15 seconds',0,1),
(8067,1000993,1,100,'Increases damage by 6%',0,0),
(8068,1000993,2,100,'Increases damage by 12%',0,0),
(8069,1000993,3,100,'Increases damage by 18%',0,0),
(8070,1000993,4,100,'Increases damage by 24%',0,0),
(8071,1000993,5,100,'Increases damage by 30%',0,0),
(8072,1000994,1,100,'Increases movement speed by 10%',0,0),
(8073,1000994,1,100,'Increases duration by 3 seconds',0,1),
(8074,1000994,1,100,'Grants a 10% reduction in falling damage',0,2),
(8075,1000994,2,100,'Increases movement speed by 20%',0,0),
(8076,1000994,2,100,'Increases duration by 6 seconds',0,1),
(8077,1000994,2,100,'Grants a 20% reduction in falling damage',0,2),
(8078,1000994,3,100,'Increases movement speed by 30%',0,0),
(8079,1000994,3,100,'Increases duration by 9 seconds',0,1),
(8080,1000994,3,100,'Grants a 30% reduction in falling damage',0,2),
(8081,1000994,4,100,'Increases movement speed by 40%',0,0),
(8082,1000994,4,100,'Increases duration by 12 seconds',0,1),
(8083,1000994,4,100,'Grants a 40% reduction in falling damage',0,2),
(8084,1000994,5,100,'Increases movement speed by 50%',0,0),
(8085,1000994,5,100,'Increases duration by 15 seconds',0,1),
(8086,1000994,5,100,'Grants a 50% reduction in falling damage',0,2),
(8087,1000995,1,100,'Improves casting speed by 0.2 seconds',0,0),
(8088,1000995,1,100,'Increases damage by 2%',0,1),
(8089,1000995,2,100,'Improves casting speed by 0.4 seconds',0,0),
(8090,1000995,2,100,'Increases damage by 4%',0,1),
(8091,1000995,3,100,'Improves casting speed by 0.6 seconds',0,0),
(8092,1000995,3,100,'Increases damage by 6%',0,1),
(8093,1000995,4,100,'Improves casting speed by 0.8 seconds',0,0),
(8094,1000995,4,100,'Increases damage by 8%',0,1),
(8095,1000995,5,100,'Improves casting speed by 1 seconds',0,0),
(8096,1000995,5,100,'Increases damage by 10%',0,1),
(8097,1000996,1,100,'Reduces duration by 1 seconds',0,0),
(8098,1000996,1,100,'Improves casting speed by 0.3 seconds',0,1),
(8099,1000996,1,100,'Improves the Crit Bonus by 2%',0,2),
(8100,1000996,2,100,'Reduces duration by 2 seconds',0,0),
(8101,1000996,2,100,'Improves casting speed by 0.6 seconds',0,1),
(8102,1000996,2,100,'Improves the Crit Bonus by 4%',0,2),
(8103,1000996,3,100,'Reduces duration by 3 seconds',0,0),
(8104,1000996,3,100,'Improves casting speed by 0.9 seconds',0,1),
(8105,1000996,3,100,'Improves the Crit Bonus by 6%',0,2),
(8106,1000996,4,100,'Reduces duration by 4 seconds',0,0),
(8107,1000996,4,100,'Improves casting speed by 1.2 seconds',0,1),
(8108,1000996,4,100,'Improves the Crit Bonus by 8%',0,2),
(8109,1000996,5,100,'Reduces duration by 5 seconds',0,0),
(8110,1000996,5,100,'Improves casting speed by 1.5 seconds',0,1),
(8111,1000996,5,100,'Improves the Crit Bonus by 10%',0,2),
(8112,1000997,1,100,'Increases the duration by 12.5%',0,0),
(8113,1000997,2,100,'Increases the duration by 25%',0,0),
(8114,1000997,3,100,'Increases the duration by 37.5%',0,0),
(8115,1000997,4,100,'Increases the duration by 50%',0,0),
(8116,1000997,5,100,'Increases the duration by 62.5%',0,0),
(8117,1000998,1,100,'Increases out of combat movement speed by 6%',0,0),
(8118,1000999,1,100,'Increases out of combat movement speed by 6%',0,0),
(8119,1000998,2,100,'Increases out of combat movement speed by 12%',0,0),
(8120,1000999,2,100,'Increases out of combat movement speed by 12%',0,0),
(8121,1000999,3,100,'Increases out of combat movement speed by 18%',0,0),
(8122,1000998,3,100,'Increases out of combat movement speed by 18%',0,0),
(8123,1000998,4,100,'Increases out of combat movement speed by 24%',0,0),
(8124,1000999,4,100,'Increases out of combat movement speed by 24%',0,0),
(8125,1000998,5,100,'Increases out of combat movement speed by 30%',0,0),
(8126,1000999,5,100,'Increases out of combat movement speed by 30%',0,0),
(8127,1001000,1,100,'Improves the damage of Peace of Mind by 3%.',0,0),
(8128,1001000,2,100,'Improves the damage of Peace of Mind by 6%.',0,0),
(8129,1001000,3,100,'Improves the damage of Peace of Mind by 9%.',0,0),
(8130,1001000,4,100,'Improves the damage of Peace of Mind by 12%.',0,0),
(8131,1001000,5,100,'Improves the damage of Peace of Mind by 15%.',0,0),
(8132,1001000,6,100,'Improves the damage of Peace of Mind by 18%.',0,0),
(8133,1001000,7,100,'Improves the damage of Peace of Mind by 21%.',0,0),
(8134,1001000,8,100,'Improves the damage of Peace of Mind by 24%.',0,0),
(8135,1001000,9,100,'Improves the damage of Peace of Mind by 27%.',0,0),
(8136,1001000,10,100,'Improves the damage of Peace of Mind by 30%.',0,0),
(8137,1001001,1,100,'Improves hate decrease percentage by 1%.',0,0),
(8138,1001001,2,100,'Improves hate decrease percentage by 2%.',0,0),
(8139,1001001,3,100,'Improves hate decrease percentage by 3%.',0,0),
(8140,1001001,4,100,'Improves hate decrease percentage by 4%.',0,0),
(8141,1001001,5,100,'Improves hate decrease percentage by 5%.',0,0),
(8142,1001002,1,100,'Adds in-combat movement speed increase and safefall damage reduction by 7%',0,0),
(8143,1001002,2,100,'Adds in-combat movement speed increase and safefall damage reduction by 14%',0,0),
(8144,1001002,3,100,'Adds in-combat movement speed increase and safefall damage reduction by 21%',0,0),
(8145,1001002,4,100,'Adds in-combat movement speed increase and safefall damage reduction by 28%',0,0),
(8146,1001002,5,100,'Adds in-combat movement speed increase and safefall damage reduction by 35%',0,0),
(8147,1001003,1,100,'Increases duration by 3 seconds',0,0),
(8148,1001003,2,100,'Increases duration by 6 seconds',0,0),
(8149,1001003,3,100,'Increases duration by 9 seconds',0,0),
(8150,1001003,4,100,'Increases duration by 12 seconds',0,0),
(8151,1001003,5,100,'Increases duration by 15 seconds',0,0),
(8152,1001004,1,100,'Improves casting speed by 0.1 seconds',0,0),
(8153,1001004,1,100,'Increases damage by 2%',0,1),
(8154,1001004,2,100,'Improves casting speed by 0.2 seconds',0,0),
(8155,1001004,2,100,'Increases damage by 4%',0,1),
(8156,1001004,3,100,'Improves casting speed by 0.3 seconds',0,0),
(8157,1001004,3,100,'Increases damage by 6%',0,1),
(8158,1001004,4,100,'Improves casting speed by 0.4 seconds',0,0),
(8159,1001004,4,100,'Increases damage by 8%',0,1),
(8160,1001004,5,100,'Improves casting speed by 0.5 seconds',0,0),
(8161,1001004,5,100,'Increases damage by 10%',0,1),
(8162,1001005,1,100,'Improves duration by 2 seconds',0,0),
(8163,1001005,2,100,'Improves duration by 4 seconds',0,0),
(8164,1001005,3,100,'Improves duration by 6 seconds',0,0),
(8165,1001005,4,100,'Improves duration by 8 seconds',0,0),
(8166,1001005,5,100,'Improves duration by 10 seconds',0,0),
(8167,1001006,1,100,'Improves the maximum health by 2%',0,0),
(8168,1001006,1,100,'Improves casting speed by 1 seconds',0,1),
(8169,1001006,2,100,'Improves the maximum health by 4%',0,0),
(8170,1001006,2,100,'Improves casting speed by 2 seconds',0,1),
(8171,1001006,3,100,'Improves the maximum health by 6%',0,0),
(8172,1001006,3,100,'Improves casting speed by 3 seconds',0,1),
(8173,1001006,4,100,'Improves the maximum health by 8%',0,0),
(8174,1001006,4,100,'Improves casting speed by 4 seconds',0,1),
(8175,1001006,5,100,'Improves the maximum health by 10%',0,0),
(8176,1001006,5,100,'Improves casting speed by 5 seconds',0,1),
(8177,1001007,1,100,'Improves casting speed by 0.3 seconds',0,0),
(8178,1001007,1,100,'Improves the Crit Bonus by 3%',0,1),
(8179,1001007,2,100,'Improves casting speed by 0.6 seconds',0,0),
(8180,1001007,2,100,'Improves the Crit Bonus by 6%',0,1),
(8181,1001007,3,100,'Improves casting speed by 0.9 seconds',0,0),
(8182,1001007,3,100,'Improves the Crit Bonus by 9%',0,1),
(8183,1001007,4,100,'Improves casting speed by 1.2 seconds',0,0),
(8184,1001007,4,100,'Improves the Crit Bonus by 12%',0,1),
(8185,1001007,5,100,'Improves casting speed by 1.5 seconds',0,0),
(8186,1001007,5,100,'Improves the Crit Bonus by 15%',0,1),
(8187,1001008,1,100,'Reduces resistibility by 5%',0,0),
(8188,1001008,1,100,'Increases duration by 0.5 seconds',0,1),
(8189,1001008,2,100,'Reduces resistibility by 10%',0,0),
(8190,1001008,2,100,'Increases duration by 1 seconds',0,1),
(8191,1001008,3,100,'Reduces resistibility by 15%',0,0),
(8192,1001008,3,100,'Increases duration by 1.5 seconds',0,1),
(8193,1001008,4,100,'Reduces resistibility by 20%',0,0),
(8194,1001008,4,100,'Increases duration by 2 seconds',0,1),
(8195,1001008,5,100,'Reduces resistibility by 25%',0,0),
(8196,1001008,5,100,'Increases duration by 2.5 seconds',0,1),
(8197,1001009,1,100,'Improves reuse speed by 8 seconds',0,0),
(8198,1001009,2,100,'Improves reuse speed by 16 seconds',0,0),
(8199,1001009,3,100,'Improves reuse speed by 24 seconds',0,0),
(8200,1001009,4,100,'Improves reuse speed by 32 seconds',0,0),
(8201,1001009,5,100,'Improves reuse speed by 40 seconds',0,0),
(8202,1001009,5,100,'Applies a short term knockdown and stun to the target.',0,1),
(8203,1001010,1,100,'Applies Enhance: Piercing Fangs to qualifying pets.',0,0),
(8204,1001010,1,100,'Improves the damage of Piercing Fangs by 1%',1,1),
(8205,1001010,2,100,'Applies Enhance: Piercing Fangs to qualifying pets.',0,0),
(8206,1001010,2,100,'Improves the damage of Piercing Fangs by 2%',1,1),
(8207,1001010,3,100,'Applies Enhance: Piercing Fangs to qualifying pets.',0,0),
(8208,1001010,3,100,'Improves the damage of Piercing Fangs by 3%',1,1),
(8209,1001010,4,100,'Applies Enhance: Piercing Fangs to qualifying pets.',0,0),
(8210,1001010,4,100,'Improves the damage of Piercing Fangs by 4%',1,1),
(8211,1001010,5,100,'Applies Enhance: Piercing Fangs to qualifying pets.',0,0),
(8212,1001010,5,100,'Improves the damage of Piercing Fangs by 5%',1,1),
(8213,1001010,6,100,'Applies Enhance: Piercing Fangs to qualifying pets.',0,0),
(8214,1001010,6,100,'Improves the damage of Piercing Fangs by 6%',1,1),
(8215,1001010,7,100,'Applies Enhance: Piercing Fangs to qualifying pets.',0,0),
(8216,1001010,7,100,'Improves the damage of Piercing Fangs by 7%',1,1),
(8217,1001010,8,100,'Applies Enhance: Piercing Fangs to qualifying pets.',0,0),
(8218,1001010,8,100,'Improves the damage of Piercing Fangs by 8%',1,1),
(8219,1001010,9,100,'Applies Enhance: Piercing Fangs to qualifying pets.',0,0),
(8220,1001010,9,100,'Improves the damage of Piercing Fangs by 9%',1,1),
(8221,1001010,10,100,'Applies Enhance: Piercing Fangs to qualifying pets.',0,0),
(8222,1001010,10,100,'Improves the damage of Piercing Fangs by 10%',1,1),
(8223,1001011,1,100,'Increases all planar modifications by an additional 4%',0,0),
(8224,1001011,2,100,'Increases all planar modifications by an additional 8%',0,0),
(8225,1001011,3,100,'Increases all planar modifications by an additional 12%',0,0),
(8226,1001011,4,100,'Increases all planar modifications by an additional 16%',0,0),
(8227,1001011,5,100,'Increases all planar modifications by an additional 20%',0,0),
(8228,1001012,1,100,'Increases duration by 0.4 seconds',0,0),
(8229,1001012,1,100,'Improves the radius by 20%.',0,1),
(8230,1001012,2,100,'Increases duration by 0.8 seconds',0,0),
(8231,1001012,2,100,'Improves the radius by 40%.',0,1),
(8232,1001012,3,100,'Increases duration by 1.2 seconds',0,0),
(8233,1001012,3,100,'Improves the radius by 60%.',0,1),
(8234,1001012,4,100,'Increases duration by 1.6 seconds',0,0),
(8235,1001012,4,100,'Improves the radius by 80%.',0,1),
(8236,1001012,5,100,'Increases duration by 2 seconds',0,0),
(8237,1001012,5,100,'Improves the radius by 100%.',0,1),
(8238,1001013,1,100,'Applies Enhance: Poison Secretions to qualifying pets.',0,0),
(8239,1001013,1,100,'Improves the damage of Poison Secretions by 1%',1,1),
(8240,1001013,2,100,'Applies Enhance: Poison Secretions to qualifying pets.',0,0),
(8241,1001013,2,100,'Improves the damage of Poison Secretions by 2%',1,1),
(8242,1001013,3,100,'Applies Enhance: Poison Secretions to qualifying pets.',0,0),
(8243,1001013,3,100,'Improves the damage of Poison Secretions by 3%',1,1),
(8244,1001013,4,100,'Applies Enhance: Poison Secretions to qualifying pets.',0,0),
(8245,1001013,4,100,'Improves the damage of Poison Secretions by 4%',1,1),
(8246,1001013,5,100,'Applies Enhance: Poison Secretions to qualifying pets.',0,0),
(8247,1001013,5,100,'Improves the damage of Poison Secretions by 5%',1,1),
(8248,1001013,6,100,'Applies Enhance: Poison Secretions to qualifying pets.',0,0),
(8249,1001013,6,100,'Improves the damage of Poison Secretions by 6%',1,1),
(8250,1001013,7,100,'Applies Enhance: Poison Secretions to qualifying pets.',0,0),
(8251,1001013,7,100,'Improves the damage of Poison Secretions by 7%',1,1),
(8252,1001013,8,100,'Applies Enhance: Poison Secretions to qualifying pets.',0,0),
(8253,1001013,8,100,'Improves the damage of Poison Secretions by 8%',1,1),
(8254,1001013,9,100,'Applies Enhance: Poison Secretions to qualifying pets.',0,0),
(8255,1001013,9,100,'Improves the damage of Poison Secretions by 9%',1,1),
(8256,1001013,10,100,'Applies Enhance: Poison Secretions to qualifying pets.',0,0),
(8257,1001013,10,100,'Improves the damage of Poison Secretions by 10%',1,1),
(8258,1001014,1,100,'Applies Enhance: Poisonous Fangs to qualifying pets.',0,0),
(8259,1001014,1,100,'Improves the damage of Poisonous Fangs by 1%',1,1),
(8260,1001014,2,100,'Applies Enhance: Poisonous Fangs to qualifying pets.',0,0),
(8261,1001014,2,100,'Improves the damage of Poisonous Fangs by 2%',1,1),
(8262,1001014,3,100,'Applies Enhance: Poisonous Fangs to qualifying pets.',0,0),
(8263,1001014,3,100,'Improves the damage of Poisonous Fangs by 3%',1,1),
(8264,1001014,4,100,'Applies Enhance: Poisonous Fangs to qualifying pets.',0,0),
(8265,1001014,4,100,'Improves the damage of Poisonous Fangs by 4%',1,1),
(8266,1001014,5,100,'Applies Enhance: Poisonous Fangs to qualifying pets.',0,0),
(8267,1001014,5,100,'Improves the damage of Poisonous Fangs by 5%',1,1),
(8268,1001014,6,100,'Applies Enhance: Poisonous Fangs to qualifying pets.',0,0),
(8269,1001014,6,100,'Improves the damage of Poisonous Fangs by 6%',1,1),
(8270,1001014,7,100,'Applies Enhance: Poisonous Fangs to qualifying pets.',0,0),
(8271,1001014,7,100,'Improves the damage of Poisonous Fangs by 7%',1,1),
(8272,1001014,8,100,'Applies Enhance: Poisonous Fangs to qualifying pets.',0,0),
(8273,1001014,8,100,'Improves the damage of Poisonous Fangs by 8%',1,1),
(8274,1001014,9,100,'Applies Enhance: Poisonous Fangs to qualifying pets.',0,0),
(8275,1001014,9,100,'Improves the damage of Poisonous Fangs by 9%',1,1),
(8276,1001014,10,100,'Applies Enhance: Poisonous Fangs to qualifying pets.',0,0),
(8277,1001014,10,100,'Improves the damage of Poisonous Fangs by 10%',1,1),
(8278,1001015,1,100,'Adds a regenerative heal to Porcupine and its upgrades.',0,0),
(8279,1001015,2,100,'Adds a regenerative heal to Porcupine and its upgrades.',0,0),
(8280,1001015,3,100,'Adds a regenerative heal to Porcupine and its upgrades.',0,0),
(8281,1001015,4,100,'Adds a regenerative heal to Porcupine and its upgrades.',0,0),
(8282,1001015,5,100,'Adds a regenerative heal to Porcupine and its upgrades.',0,0),
(8283,1001016,1,100,'Improves reuse speed by 0.5 seconds',0,0),
(8284,1001016,1,100,'Reduces power cost by 3%',0,1),
(8285,1001016,2,100,'Improves reuse speed by 1 seconds',0,0),
(8286,1001016,2,100,'Reduces power cost by 6%',0,1),
(8287,1001016,3,100,'Improves reuse speed by 1.5 seconds',0,0),
(8288,1001016,3,100,'Reduces power cost by 9%',0,1),
(8289,1001016,4,100,'Improves reuse speed by 2 seconds',0,0),
(8290,1001016,4,100,'Reduces power cost by 12%',0,1),
(8291,1001016,5,100,'Improves reuse speed by 2.5 seconds',0,0),
(8292,1001016,5,100,'Reduces power cost by 15%',0,1),
(8293,1001017,1,100,'Increases damage by 6%',0,0),
(8294,1001017,2,100,'Increases damage by 12%',0,0),
(8295,1001017,3,100,'Increases damage by 18%',0,0),
(8296,1001017,4,100,'Increases damage by 24%',0,0),
(8297,1001017,5,100,'Increases damage by 30%',0,0),
(8298,1001018,1,100,'Increases the duration of Predator''s Final Trick by 0.4 seconds.',0,0),
(8299,1001018,1,100,'Reduces the reuse of Predator''s Final Trick by 9 seconds.',0,1),
(8300,1001018,1,100,'Increases the Potency granted by Predator''s Final Trick by 2',0,2),
(8301,1001018,2,100,'Increases the duration of Predator''s Final Trick by 0.8 seconds.',0,0),
(8302,1001018,2,100,'Reduces the reuse of Predator''s Final Trick by 18 seconds.',0,1),
(8303,1001018,2,100,'Increases the Potency granted by Predator''s Final Trick by 4',0,2),
(8304,1001018,3,100,'Increases the duration of Predator''s Final Trick by 1.2 seconds.',0,0),
(8305,1001018,3,100,'Reduces the reuse of Predator''s Final Trick by 27 seconds.',0,1),
(8306,1001018,3,100,'Increases the Potency granted by Predator''s Final Trick by 6',0,2),
(8307,1001018,4,100,'Increases the duration of Predator''s Final Trick by 1.6 seconds.',0,0),
(8308,1001018,4,100,'Reduces the reuse of Predator''s Final Trick by 36 seconds.',0,1),
(8309,1001018,4,100,'Increases the Potency granted by Predator''s Final Trick by 8',0,2),
(8310,1001018,5,100,'Increases the duration of Predator''s Final Trick by 2 seconds.',0,0),
(8311,1001018,5,100,'Reduces the reuse of Predator''s Final Trick by 45 seconds.',0,1),
(8312,1001018,5,100,'Increases the Potency granted by Predator''s Final Trick by 10',0,2),
(8313,1001018,6,100,'Increases the duration of Predator''s Final Trick by 2.4 seconds.',0,0),
(8314,1001018,6,100,'Reduces the reuse of Predator''s Final Trick by 54 seconds.',0,1),
(8315,1001018,6,100,'Increases the Potency granted by Predator''s Final Trick by 12',0,2),
(8316,1001018,7,100,'Increases the duration of Predator''s Final Trick by 2.8 seconds.',0,0),
(8317,1001018,7,100,'Reduces the reuse of Predator''s Final Trick by 63 seconds.',0,1),
(8318,1001018,7,100,'Increases the Potency granted by Predator''s Final Trick by 14',0,2),
(8319,1001018,8,100,'Increases the duration of Predator''s Final Trick by 3.2 seconds.',0,0),
(8320,1001018,8,100,'Reduces the reuse of Predator''s Final Trick by 72 seconds.',0,1),
(8321,1001018,8,100,'Increases the Potency granted by Predator''s Final Trick by 16',0,2),
(8322,1001018,9,100,'Increases the duration of Predator''s Final Trick by 3.6 seconds.',0,0),
(8323,1001018,9,100,'Reduces the reuse of Predator''s Final Trick by 81 seconds.',0,1),
(8324,1001018,9,100,'Increases the Potency granted by Predator''s Final Trick by 18',0,2),
(8325,1001018,10,100,'Increases the duration of Predator''s Final Trick by 4 seconds.',0,0),
(8326,1001018,10,100,'Reduces the reuse of Predator''s Final Trick by 90 seconds.',0,1),
(8327,1001018,10,100,'Increases the Potency granted by Predator''s Final Trick by 20',0,2),
(8328,1001019,1,100,'Increases stamina by 5%',0,0),
(8329,1001019,2,100,'Increases stamina by 10%',0,0),
(8330,1001019,3,100,'Increases stamina by 15%',0,0),
(8331,1001019,4,100,'Increases stamina by 20%',0,0),
(8332,1001019,5,100,'Increases stamina by 25%',0,0),
(8333,1001020,1,100,'Increases trigger percent by 1%',0,0),
(8334,1001020,2,100,'Increases trigger percent by 2%',0,0),
(8335,1001020,3,100,'Increases trigger percent by 3%',0,0),
(8336,1001020,4,100,'Increases trigger percent by 4%',0,0),
(8337,1001020,5,100,'Increases trigger percent by 5%',0,0),
(8338,1001021,1,100,'Improves reuse speed by 0.5 seconds',0,0),
(8339,1001021,1,100,'Improves the casting speed by 0.1 seconds',0,1),
(8340,1001021,1,100,'Improves the Crit Bonus by 1%',0,2),
(8341,1001021,2,100,'Improves reuse speed by 1 seconds',0,0),
(8342,1001021,2,100,'Improves the casting speed by 0.2 seconds',0,1),
(8343,1001021,2,100,'Improves the Crit Bonus by 2%',0,2),
(8344,1001021,3,100,'Improves reuse speed by 1.5 seconds',0,0),
(8345,1001021,3,100,'Improves the casting speed by 0.3 seconds',0,1),
(8346,1001021,3,100,'Improves the Crit Bonus by 3%',0,2),
(8347,1001021,4,100,'Improves reuse speed by 2 seconds',0,0),
(8348,1001021,4,100,'Improves the casting speed by 0.4 seconds',0,1),
(8349,1001021,4,100,'Improves the Crit Bonus by 4%',0,2),
(8350,1001021,5,100,'Improves reuse speed by 2.5 seconds',0,0),
(8351,1001021,5,100,'Improves the casting speed by 0.5 seconds',0,1),
(8352,1001021,5,100,'Improves the Crit Bonus by 5%',0,2),
(8353,1001022,1,100,'Applies Enhance: Psionic Destruction to qualifying pets.',0,0),
(8354,1001022,1,100,'Improves the damage of Psionic Destruction by 1%',1,1),
(8355,1001022,2,100,'Applies Enhance: Psionic Destruction to qualifying pets.',0,0),
(8356,1001022,2,100,'Improves the damage of Psionic Destruction by 2%',1,1),
(8357,1001022,3,100,'Applies Enhance: Psionic Destruction to qualifying pets.',0,0),
(8358,1001022,3,100,'Improves the damage of Psionic Destruction by 3%',1,1),
(8359,1001022,4,100,'Applies Enhance: Psionic Destruction to qualifying pets.',0,0),
(8360,1001022,4,100,'Improves the damage of Psionic Destruction by 4%',1,1),
(8361,1001022,5,100,'Applies Enhance: Psionic Destruction to qualifying pets.',0,0),
(8362,1001022,5,100,'Improves the damage of Psionic Destruction by 5%',1,1),
(8363,1001022,6,100,'Applies Enhance: Psionic Destruction to qualifying pets.',0,0),
(8364,1001022,6,100,'Improves the damage of Psionic Destruction by 6%',1,1),
(8365,1001022,7,100,'Applies Enhance: Psionic Destruction to qualifying pets.',0,0),
(8366,1001022,7,100,'Improves the damage of Psionic Destruction by 7%',1,1),
(8367,1001022,8,100,'Applies Enhance: Psionic Destruction to qualifying pets.',0,0),
(8368,1001022,8,100,'Improves the damage of Psionic Destruction by 8%',1,1),
(8369,1001022,9,100,'Applies Enhance: Psionic Destruction to qualifying pets.',0,0),
(8370,1001022,9,100,'Improves the damage of Psionic Destruction by 9%',1,1),
(8371,1001022,10,100,'Applies Enhance: Psionic Destruction to qualifying pets.',0,0),
(8372,1001022,10,100,'Improves the damage of Psionic Destruction by 10%',1,1),
(8373,1001023,1,100,'Applies Enhance: Psychic Assault to qualifying pets.',0,0),
(8374,1001023,1,100,'Improves the damage of Psychic Assault by 1%',1,1),
(8375,1001023,2,100,'Applies Enhance: Psychic Assault to qualifying pets.',0,0),
(8376,1001023,2,100,'Improves the damage of Psychic Assault by 2%',1,1),
(8377,1001023,3,100,'Applies Enhance: Psychic Assault to qualifying pets.',0,0),
(8378,1001023,3,100,'Improves the damage of Psychic Assault by 3%',1,1),
(8379,1001023,4,100,'Applies Enhance: Psychic Assault to qualifying pets.',0,0),
(8380,1001023,4,100,'Improves the damage of Psychic Assault by 4%',1,1),
(8381,1001023,5,100,'Applies Enhance: Psychic Assault to qualifying pets.',0,0),
(8382,1001023,5,100,'Improves the damage of Psychic Assault by 5%',1,1),
(8383,1001023,6,100,'Applies Enhance: Psychic Assault to qualifying pets.',0,0),
(8384,1001023,6,100,'Improves the damage of Psychic Assault by 6%',1,1),
(8385,1001023,7,100,'Applies Enhance: Psychic Assault to qualifying pets.',0,0),
(8386,1001023,7,100,'Improves the damage of Psychic Assault by 7%',1,1),
(8387,1001023,8,100,'Applies Enhance: Psychic Assault to qualifying pets.',0,0),
(8388,1001023,8,100,'Improves the damage of Psychic Assault by 8%',1,1),
(8389,1001023,9,100,'Applies Enhance: Psychic Assault to qualifying pets.',0,0),
(8390,1001023,9,100,'Improves the damage of Psychic Assault by 9%',1,1),
(8391,1001023,10,100,'Applies Enhance: Psychic Assault to qualifying pets.',0,0),
(8392,1001023,10,100,'Improves the damage of Psychic Assault by 10%',1,1),
(8393,1001024,1,100,'Improves attack speed reduction by 2',0,0),
(8394,1001024,2,100,'Improves attack speed reduction by 4',0,0),
(8395,1001024,3,100,'Improves attack speed reduction by 6',0,0),
(8396,1001024,4,100,'Improves attack speed reduction by 8',0,0),
(8397,1001024,5,100,'Improves attack speed reduction by 10',0,0),
(8398,1001025,1,100,'Increases damage by 7%',0,0),
(8399,1001025,2,100,'Increases damage by 14%',0,0),
(8400,1001025,3,100,'Increases damage by 21%',0,0),
(8401,1001025,4,100,'Increases damage by 28%',0,0),
(8402,1001025,5,100,'Increases damage by 35%',0,0),
(8403,1001026,1,100,'Improves the base and critical damage of the scout quick attack line by 1.5%',0,0),
(8404,1001027,1,100,'Increases overtime damage by 7%',0,0),
(8405,1001026,2,100,'Improves the base and critical damage of the scout quick attack line by 3%',0,0),
(8406,1001027,2,100,'Increases overtime damage by 14%',0,0),
(8407,1001027,3,100,'Increases overtime damage by 21%',0,0),
(8408,1001026,3,100,'Improves the base and critical damage of the scout quick attack line by 4.5%',0,0),
(8409,1001027,4,100,'Increases overtime damage by 28%',0,0),
(8410,1001026,4,100,'Improves the base and critical damage of the scout quick attack line by 6%',0,0),
(8411,1001027,5,100,'Increases overtime damage by 35%',0,0),
(8412,1001026,5,100,'Improves the base and critical damage of the scout quick attack line by 7.5%',0,0),
(8413,1001028,1,100,'Increases damage by 5%',0,0),
(8414,1001028,2,100,'Increases damage by 10%',0,0),
(8415,1001028,3,100,'Increases damage by 15%',0,0),
(8416,1001028,4,100,'Increases damage by 20%',0,0),
(8417,1001028,5,100,'Increases damage by 25%',0,0),
(8418,1001029,1,100,'Applies Enhance: Rabid Bite to qualifying pets.',0,0),
(8419,1001029,1,100,'Improves the damage of Rabid Bite by 1%',1,1),
(8420,1001029,2,100,'Applies Enhance: Rabid Bite to qualifying pets.',0,0),
(8421,1001029,2,100,'Improves the damage of Rabid Bite by 2%',1,1),
(8422,1001029,3,100,'Applies Enhance: Rabid Bite to qualifying pets.',0,0),
(8423,1001029,3,100,'Improves the damage of Rabid Bite by 3%',1,1),
(8424,1001029,4,100,'Applies Enhance: Rabid Bite to qualifying pets.',0,0),
(8425,1001029,4,100,'Improves the damage of Rabid Bite by 4%',1,1),
(8426,1001029,5,100,'Applies Enhance: Rabid Bite to qualifying pets.',0,0),
(8427,1001029,5,100,'Improves the damage of Rabid Bite by 5%',1,1),
(8428,1001029,6,100,'Applies Enhance: Rabid Bite to qualifying pets.',0,0),
(8429,1001029,6,100,'Improves the damage of Rabid Bite by 6%',1,1),
(8430,1001029,7,100,'Applies Enhance: Rabid Bite to qualifying pets.',0,0),
(8431,1001029,7,100,'Improves the damage of Rabid Bite by 7%',1,1),
(8432,1001029,8,100,'Applies Enhance: Rabid Bite to qualifying pets.',0,0),
(8433,1001029,8,100,'Improves the damage of Rabid Bite by 8%',1,1),
(8434,1001029,9,100,'Applies Enhance: Rabid Bite to qualifying pets.',0,0),
(8435,1001029,9,100,'Improves the damage of Rabid Bite by 9%',1,1),
(8436,1001029,10,100,'Applies Enhance: Rabid Bite to qualifying pets.',0,0),
(8437,1001029,10,100,'Improves the damage of Rabid Bite by 10%',1,1),
(8438,1001030,1,100,'Applies Enhance: Rabies to qualifying pets.',0,0),
(8439,1001030,1,100,'Improves the damage of Rabies by 1%',1,1),
(8440,1001030,2,100,'Applies Enhance: Rabies to qualifying pets.',0,0),
(8441,1001030,2,100,'Improves the damage of Rabies by 2%',1,1),
(8442,1001030,3,100,'Applies Enhance: Rabies to qualifying pets.',0,0),
(8443,1001030,3,100,'Improves the damage of Rabies by 3%',1,1),
(8444,1001030,4,100,'Applies Enhance: Rabies to qualifying pets.',0,0),
(8445,1001030,4,100,'Improves the damage of Rabies by 4%',1,1),
(8446,1001030,5,100,'Applies Enhance: Rabies to qualifying pets.',0,0),
(8447,1001030,5,100,'Improves the damage of Rabies by 5%',1,1),
(8448,1001030,6,100,'Applies Enhance: Rabies to qualifying pets.',0,0),
(8449,1001030,6,100,'Improves the damage of Rabies by 6%',1,1),
(8450,1001030,7,100,'Applies Enhance: Rabies to qualifying pets.',0,0),
(8451,1001030,7,100,'Improves the damage of Rabies by 7%',1,1),
(8452,1001030,8,100,'Applies Enhance: Rabies to qualifying pets.',0,0),
(8453,1001030,8,100,'Improves the damage of Rabies by 8%',1,1),
(8454,1001030,9,100,'Applies Enhance: Rabies to qualifying pets.',0,0),
(8455,1001030,9,100,'Improves the damage of Rabies by 9%',1,1),
(8456,1001030,10,100,'Applies Enhance: Rabies to qualifying pets.',0,0),
(8457,1001030,10,100,'Improves the damage of Rabies by 10%',1,1),
(8458,1001031,1,100,'Increases damage and hate increase amount by 4%',0,0),
(8459,1001031,2,100,'Increases damage and hate increase amount by 8%',0,0),
(8460,1001031,3,100,'Increases damage and hate increase amount by 12%',0,0),
(8461,1001031,4,100,'Increases damage and hate increase amount by 16%',0,0),
(8462,1001031,5,100,'Increases damage and hate increase amount by 20%',0,0),
(8463,1001032,1,100,'Improves reuse speed by 5 seconds',0,0),
(8464,1001032,1,100,'Improves the Crit Bonus by 1%',0,1),
(8465,1001033,1,100,'Applies Enhance: Rampage to qualifying pets.',0,0),
(8466,1001033,1,100,'Improves the damage of Rampage by 1%',1,1),
(8467,1001033,2,100,'Applies Enhance: Rampage to qualifying pets.',0,0),
(8468,1001033,2,100,'Improves the damage of Rampage by 2%',1,1),
(8469,1001032,2,100,'Improves reuse speed by 10 seconds',0,0),
(8470,1001032,2,100,'Improves the Crit Bonus by 2%',0,1),
(8471,1001033,3,100,'Applies Enhance: Rampage to qualifying pets.',0,0),
(8472,1001033,3,100,'Improves the damage of Rampage by 3%',1,1),
(8473,1001032,3,100,'Improves reuse speed by 15 seconds',0,0),
(8474,1001032,3,100,'Improves the Crit Bonus by 3%',0,1),
(8475,1001032,4,100,'Improves reuse speed by 20 seconds',0,0),
(8476,1001032,4,100,'Improves the Crit Bonus by 4%',0,1),
(8477,1001033,4,100,'Applies Enhance: Rampage to qualifying pets.',0,0),
(8478,1001033,4,100,'Improves the damage of Rampage by 4%',1,1),
(8479,1001033,5,100,'Applies Enhance: Rampage to qualifying pets.',0,0),
(8480,1001033,5,100,'Improves the damage of Rampage by 5%',1,1),
(8481,1001032,5,100,'Improves reuse speed by 25 seconds',0,0),
(8482,1001032,5,100,'Improves the Crit Bonus by 5%',0,1),
(8483,1001033,6,100,'Applies Enhance: Rampage to qualifying pets.',0,0),
(8484,1001033,6,100,'Improves the damage of Rampage by 6%',1,1),
(8485,1001033,7,100,'Applies Enhance: Rampage to qualifying pets.',0,0),
(8486,1001033,7,100,'Improves the damage of Rampage by 7%',1,1),
(8487,1001033,8,100,'Applies Enhance: Rampage to qualifying pets.',0,0),
(8488,1001033,8,100,'Improves the damage of Rampage by 8%',1,1),
(8489,1001033,9,100,'Applies Enhance: Rampage to qualifying pets.',0,0),
(8490,1001033,9,100,'Improves the damage of Rampage by 9%',1,1),
(8491,1001033,10,100,'Applies Enhance: Rampage to qualifying pets.',0,0),
(8492,1001033,10,100,'Improves the damage of Rampage by 10%',1,1),
(8493,1001034,1,100,'Reduces riposte damage by 5%',0,0),
(8494,1001034,2,100,'Reduces riposte damage by 10%',0,0),
(8495,1001034,3,100,'Reduces riposte damage by 15%',0,0),
(8496,1001034,4,100,'Reduces riposte damage by 20%',0,0),
(8497,1001034,5,100,'Reduces riposte damage by 25%',0,0),
(8498,1001035,1,100,'Improves mitigation reduction by 7%',0,0),
(8499,1001035,1,100,'Reduces resistibility by 3%',0,1),
(8500,1001035,2,100,'Improves mitigation reduction by 14%',0,0),
(8501,1001035,2,100,'Reduces resistibility by 6%',0,1),
(8502,1001035,3,100,'Improves mitigation reduction by 21%',0,0),
(8503,1001035,3,100,'Reduces resistibility by 9%',0,1),
(8504,1001035,4,100,'Improves mitigation reduction by 28%',0,0),
(8505,1001035,4,100,'Reduces resistibility by 12%',0,1),
(8506,1001035,5,100,'Improves mitigation reduction by 35%',0,0),
(8507,1001035,5,100,'Reduces resistibility by 15%',0,1),
(8508,1001036,1,100,'Improves reuse speed by 25 seconds',0,0),
(8509,1001036,1,100,'Improves the Crit Bonus by 5%',0,1),
(8510,1001036,2,100,'Improves reuse speed by 50 seconds',0,0),
(8511,1001036,2,100,'Improves the Crit Bonus by 10%',0,1),
(8512,1001036,3,100,'Improves reuse speed by 75 seconds',0,0),
(8513,1001036,3,100,'Improves the Crit Bonus by 15%',0,1),
(8514,1001036,4,100,'Improves reuse speed by 100 seconds',0,0),
(8515,1001036,4,100,'Improves the Crit Bonus by 20%',0,1),
(8516,1001036,5,100,'Improves reuse speed by 125 seconds',0,0),
(8517,1001036,5,100,'Improves the Crit Bonus by 25%',0,1),
(8518,1001037,1,100,'Reduces resistibility by 5%',0,0),
(8519,1001037,1,100,'Increases duration by 1 seconds',0,1),
(8520,1001037,2,100,'Reduces resistibility by 10%',0,0),
(8521,1001037,2,100,'Increases duration by 2 seconds',0,1),
(8522,1001037,3,100,'Reduces resistibility by 15%',0,0),
(8523,1001037,3,100,'Increases duration by 3 seconds',0,1),
(8524,1001037,4,100,'Reduces resistibility by 20%',0,0),
(8525,1001037,4,100,'Increases duration by 4 seconds',0,1),
(8526,1001037,5,100,'Reduces resistibility by 25%',0,0),
(8527,1001037,5,100,'Increases duration by 5 seconds',0,1),
(8528,1001038,1,100,'Increases trigger percentage by 1%',0,0),
(8529,1001038,2,100,'Increases trigger percentage by 2%',0,0),
(8530,1001038,3,100,'Increases trigger percentage by 3%',0,0),
(8531,1001038,4,100,'Increases trigger percentage by 4%',0,0),
(8532,1001039,1,100,'Improves duration and reuse speed by 10 seconds',0,0),
(8533,1001039,2,100,'Improves duration and reuse speed by 20 seconds',0,0),
(8534,1001039,3,100,'Improves duration and reuse speed by 30 seconds',0,0),
(8535,1001039,4,100,'Improves duration and reuse speed by 40 seconds',0,0),
(8536,1001039,5,100,'Improves duration and reuse speed by 50 seconds',0,0),
(8537,1001039,5,100,'Allows Reinforcement to trigger when a taunt is cast.',0,1),
(8538,1001040,1,100,'Increases stamina amount and health regeneration by 5%',0,0),
(8539,1001040,2,100,'Increases stamina amount and health regeneration by 10%',0,0),
(8540,1001040,3,100,'Increases stamina amount and health regeneration by 15%',0,0),
(8541,1001040,4,100,'Increases stamina amount and health regeneration by 20%',0,0),
(8542,1001040,5,100,'Increases stamina amount and health regeneration by 25%',0,0),
(8543,1001041,1,100,'Reduces the base recovery time of Slot 1 and 2 Conduits to 0.9 seconds',0,0),
(8544,1001041,2,100,'Reduces the base recovery time of Slot 1 and 2 Conduits to 0.8 seconds',0,0),
(8545,1001041,3,100,'Reduces the base recovery time of Slot 1 and 2 Conduits to 0.7 seconds',0,0),
(8546,1001041,4,100,'Reduces the base recovery time of Slot 1 and 2 Conduits to 0.6 seconds',0,0),
(8547,1001041,5,100,'Reduces the base recovery time of Slot 1 and 2 Conduits to 0.5 seconds',0,0),
(8548,1001042,1,100,'Increases damage by 9%',0,0),
(8549,1001042,2,100,'Increases damage by 18%',0,0),
(8550,1001042,3,100,'Increases damage by 27%',0,0),
(8551,1001042,4,100,'Increases damage by 36%',0,0),
(8552,1001042,5,100,'Increases damage by 45%',0,0),
(8553,1001043,1,100,'Applies Enhance: Reptilian Vigor to qualifying pets.',0,0),
(8554,1001043,1,100,'Improves the duration of Reptilian Vigor by 10%',1,1),
(8555,1001043,2,100,'Applies Enhance: Reptilian Vigor to qualifying pets.',0,0),
(8556,1001043,2,100,'Improves the duration of Reptilian Vigor by 20%',1,1),
(8557,1001043,3,100,'Applies Enhance: Reptilian Vigor to qualifying pets.',0,0),
(8558,1001043,3,100,'Improves the duration of Reptilian Vigor by 30%',1,1),
(8559,1001043,4,100,'Applies Enhance: Reptilian Vigor to qualifying pets.',0,0),
(8560,1001043,4,100,'Improves the duration of Reptilian Vigor by 40%',1,1),
(8561,1001043,5,100,'Applies Enhance: Reptilian Vigor to qualifying pets.',0,0),
(8562,1001043,5,100,'Improves the duration of Reptilian Vigor by 50%',1,1),
(8563,1001043,6,100,'Applies Enhance: Reptilian Vigor to qualifying pets.',0,0),
(8564,1001043,6,100,'Improves the duration of Reptilian Vigor by 60%',1,1),
(8565,1001043,7,100,'Applies Enhance: Reptilian Vigor to qualifying pets.',0,0),
(8566,1001043,7,100,'Improves the duration of Reptilian Vigor by 70%',1,1),
(8567,1001043,8,100,'Applies Enhance: Reptilian Vigor to qualifying pets.',0,0),
(8568,1001043,8,100,'Improves the duration of Reptilian Vigor by 80%',1,1),
(8569,1001043,9,100,'Applies Enhance: Reptilian Vigor to qualifying pets.',0,0),
(8570,1001043,9,100,'Improves the duration of Reptilian Vigor by 90%',1,1),
(8571,1001043,10,100,'Applies Enhance: Reptilian Vigor to qualifying pets.',0,0),
(8572,1001043,10,100,'Improves the duration of Reptilian Vigor by 100%',1,1),
(8573,1001044,1,100,'Improves reuse speed by 30 seconds',0,0),
(8574,1001044,1,100,'Improves range by 1',0,1),
(8575,1001045,1,100,'Increases hate positions by 1',0,0),
(8576,1001046,1,100,'Improves the reuse speed of Rescue by 10%',0,0),
(8577,1001047,1,100,'Increases hate positions by 1',0,0),
(8578,1001044,2,100,'Improves reuse speed by 60 seconds',0,0),
(8579,1001044,2,100,'Improves range by 2',0,1),
(8580,1001045,2,100,'Increases hate positions by 2',0,0),
(8581,1001046,2,100,'Improves the reuse speed of Rescue by 20%',0,0),
(8582,1001047,2,100,'Increases hate positions by 2',0,0),
(8583,1001047,3,100,'Increases hate positions by 3',0,0),
(8584,1001045,3,100,'Increases hate positions by 3',0,0),
(8585,1001046,3,100,'Improves the reuse speed of Rescue by 30%',0,0),
(8586,1001044,3,100,'Improves reuse speed by 90 seconds',0,0),
(8587,1001044,3,100,'Improves range by 3',0,1),
(8588,1001046,4,100,'Improves the reuse speed of Rescue by 40%',0,0),
(8589,1001044,4,100,'Improves reuse speed by 120 seconds',0,0),
(8590,1001044,4,100,'Improves range by 4',0,1),
(8591,1001044,5,100,'Improves reuse speed by 150 seconds',0,0),
(8592,1001044,5,100,'Improves range by 5',0,1),
(8593,1001046,5,100,'Improves the reuse speed of Rescue by 50%',0,0),
(8594,1001048,1,100,'Increases health and power by an additional 3%',0,0),
(8595,1001049,1,100,'Improves casting speed by 10%',0,0),
(8596,1001049,1,100,'Improves range and radius by 10%',0,1),
(8597,1001048,2,100,'Increases health and power by an additional 6%',0,0),
(8598,1001049,2,100,'Improves casting speed by 20%',0,0),
(8599,1001049,2,100,'Improves range and radius by 20%',0,1),
(8600,1001048,3,100,'Increases health and power by an additional 9%',0,0),
(8601,1001049,3,100,'Improves casting speed by 30%',0,0),
(8602,1001049,3,100,'Improves range and radius by 30%',0,1),
(8603,1001048,4,100,'Increases health and power by an additional 12%',0,0),
(8604,1001049,4,100,'Improves casting speed by 40%',0,0),
(8605,1001049,4,100,'Improves range and radius by 40%',0,1),
(8606,1001048,5,100,'Increases health and power by an additional 15%',0,0),
(8607,1001049,5,100,'Improves casting speed by 50%',0,0),
(8608,1001049,5,100,'Improves range and radius by 50%',0,1),
(8609,1001050,1,100,'Increases health and power by an additional 20% of its original value',0,0),
(8610,1001050,2,100,'Increases health and power by an additional 40% of its original value',0,0),
(8611,1001050,3,100,'Increases health and power by an additional 60% of its original value',0,0),
(8612,1001050,4,100,'Increases health and power by an additional 80% of its original value',0,0),
(8613,1001050,5,100,'Increases health and power by an additional 100% of its original value',0,0),
(8614,1001051,1,100,'Improves the duration of Rhythmic Overture by 2%.',0,0),
(8615,1001051,2,100,'Improves the duration of Rhythmic Overture by 4%.',0,0),
(8616,1001051,3,100,'Improves the duration of Rhythmic Overture by 6%.',0,0),
(8617,1001051,4,100,'Improves the duration of Rhythmic Overture by 8%.',0,0),
(8618,1001051,5,100,'Improves the duration of Rhythmic Overture by 10%.',0,0),
(8619,1001051,6,100,'Improves the duration of Rhythmic Overture by 12%.',0,0),
(8620,1001051,7,100,'Improves the duration of Rhythmic Overture by 14%.',0,0),
(8621,1001051,8,100,'Improves the duration of Rhythmic Overture by 16%.',0,0),
(8622,1001051,9,100,'Improves the duration of Rhythmic Overture by 18%.',0,0),
(8623,1001051,10,100,'Improves the duration of Rhythmic Overture by 20%.',0,0),
(8624,1001051,10,100,'Rhythmic Overture will grant immunities to Daze, Stun, Fear, Mesmerize, Taunt and Stifle effects.',0,1),
(8625,1001052,1,100,'Increases damage by 2%',0,0),
(8626,1001052,1,100,'Improves reuse speed by 4 seconds',0,1),
(8627,1001052,2,100,'Increases damage by 4%',0,0),
(8628,1001052,2,100,'Improves reuse speed by 8 seconds',0,1),
(8629,1001052,3,100,'Increases damage by 6%',0,0),
(8630,1001052,3,100,'Improves reuse speed by 12 seconds',0,1),
(8631,1001052,4,100,'Increases damage by 8%',0,0),
(8632,1001052,4,100,'Improves reuse speed by 16 seconds',0,1),
(8633,1001052,5,100,'Increases damage by 10%',0,0),
(8634,1001052,5,100,'Improves reuse speed by 20 seconds',0,1),
(8635,1001053,1,100,'Increases divine resist reduction by 8%',0,0),
(8636,1001053,2,100,'Increases divine resist reduction by 16%',0,0),
(8637,1001053,3,100,'Increases divine resist reduction by 24%',0,0),
(8638,1001053,4,100,'Increases divine resist reduction by 32%',0,0),
(8639,1001053,5,100,'Increases divine resist reduction by 40%',0,0),
(8640,1001054,1,100,'Improves reuse speed by 3 seconds',0,0),
(8641,1001054,2,100,'Improves reuse speed by 6 seconds',0,0),
(8642,1001054,3,100,'Improves reuse speed by 9 seconds',0,0),
(8643,1001054,4,100,'Improves reuse speed by 12 seconds',0,0),
(8644,1001054,5,100,'Improves reuse speed by 15 seconds',0,0),
(8645,1001055,1,100,'Increases duration by 1 seconds',0,0),
(8646,1001055,1,100,'Improves casting speed by 0.2 seconds',0,1),
(8647,1001056,1,100,'Improves strength reduction by 6%',0,0),
(8648,1001056,2,100,'Improves strength reduction by 12%',0,0),
(8649,1001056,3,100,'Improves strength reduction by 18%',0,0),
(8650,1001056,4,100,'Improves strength reduction by 24%',0,0),
(8651,1001056,5,100,'Improves strength reduction by 30%',0,0),
(8652,1001057,1,100,'Increases crush, slash, and pierce resists by 5%',0,0),
(8653,1001057,1,100,'Hastens reuse speed by 6 seconds',0,1),
(8654,1001057,2,100,'Increases crush, slash, and pierce resists by 10%',0,0),
(8655,1001057,2,100,'Hastens reuse speed by 12 seconds',0,1),
(8656,1001057,3,100,'Increases crush, slash, and pierce resists by 15%',0,0),
(8657,1001057,3,100,'Hastens reuse speed by 18 seconds',0,1),
(8658,1001057,4,100,'Increases crush, slash, and pierce resists by 20%',0,0),
(8659,1001057,4,100,'Hastens reuse speed by 24 seconds',0,1),
(8660,1001057,5,100,'Increases crush, slash, and pierce resists by 25%',0,0),
(8661,1001057,5,100,'Hastens reuse speed by 30 seconds',0,1),
(8662,1001058,1,100,'Reduces resistibility by 3%',0,0),
(8663,1001058,1,100,'Improves casting speed by 0.2 seconds',0,1),
(8664,1001058,2,100,'Reduces resistibility by 6%',0,0),
(8665,1001058,2,100,'Improves casting speed by 0.4 seconds',0,1),
(8666,1001058,3,100,'Reduces resistibility by 9%',0,0),
(8667,1001058,3,100,'Improves casting speed by 0.6 seconds',0,1),
(8668,1001058,4,100,'Reduces resistibility by 12%',0,0),
(8669,1001058,4,100,'Improves casting speed by 0.8 seconds',0,1),
(8670,1001058,5,100,'Reduces resistibility by 15%',0,0),
(8671,1001058,5,100,'Improves casting speed by 1 seconds',0,1),
(8672,1001059,1,100,'Increases damage by 5%',0,0),
(8673,1001059,2,100,'Increases damage by 10%',0,0),
(8674,1001059,3,100,'Increases damage by 15%',0,0),
(8675,1001059,4,100,'Increases damage by 20%',0,0),
(8676,1001059,5,100,'Increases damage by 25%',0,0),
(8677,1001060,1,100,'Increases damage by 3%',0,0),
(8678,1001060,2,100,'Increases damage by 6%',0,0),
(8679,1001060,3,100,'Increases damage by 9%',0,0),
(8680,1001060,4,100,'Increases damage by 12%',0,0),
(8681,1001060,5,100,'Increases damage by 15%',0,0),
(8682,1001061,1,100,'Increases max health by 5%',0,0),
(8683,1001061,2,100,'Increases max health by 10%',0,0),
(8684,1001061,3,100,'Increases max health by 15%',0,0),
(8685,1001061,4,100,'Increases max health by 20%',0,0),
(8686,1001061,5,100,'Increases max health by 25%',0,0),
(8687,1001062,1,100,'Heals the cleric for 2% of their max health instantly and every second for 2 seconds after casting Sacrifice.',0,0),
(8688,1001062,1,100,'Reduces the reuse speed of Sacrifice by 8.',0,1),
(8689,1001062,2,100,'Heals the cleric for 4% of their max health instantly and every second for 2 seconds after casting Sacrifice.',0,0),
(8690,1001062,2,100,'Reduces the reuse speed of Sacrifice by 16.',0,1),
(8691,1001062,3,100,'Heals the cleric for 6% of their max health instantly and every second for 2 seconds after casting Sacrifice.',0,0),
(8692,1001062,3,100,'Reduces the reuse speed of Sacrifice by 24.',0,1),
(8693,1001062,4,100,'Heals the cleric for 8% of their max health instantly and every second for 2 seconds after casting Sacrifice.',0,0),
(8694,1001062,4,100,'Reduces the reuse speed of Sacrifice by 32.',0,1),
(8695,1001062,5,100,'Heals the cleric for 10% of their max health instantly and every second for 2 seconds after casting Sacrifice.',0,0),
(8696,1001062,5,100,'Reduces the reuse speed of Sacrifice by 40.',0,1),
(8697,1001062,6,100,'Heals the cleric for 12% of their max health instantly and every second for 2 seconds after casting Sacrifice.',0,0),
(8698,1001062,6,100,'Reduces the reuse speed of Sacrifice by 48.',0,1),
(8699,1001062,7,100,'Heals the cleric for 14% of their max health instantly and every second for 2 seconds after casting Sacrifice.',0,0),
(8700,1001062,7,100,'Reduces the reuse speed of Sacrifice by 56.',0,1),
(8701,1001062,8,100,'Heals the cleric for 16% of their max health instantly and every second for 2 seconds after casting Sacrifice.',0,0),
(8702,1001062,8,100,'Reduces the reuse speed of Sacrifice by 64.',0,1),
(8703,1001062,9,100,'Heals the cleric for 18% of their max health instantly and every second for 2 seconds after casting Sacrifice.',0,0),
(8704,1001062,9,100,'Reduces the reuse speed of Sacrifice by 72.',0,1),
(8705,1001062,10,100,'Sacrifice will cure hostile effects off of the target.',0,0),
(8706,1001062,10,100,'Heals the cleric for 20% of their max health instantly and every second for 2 seconds after casting Sacrifice.',0,1),
(8707,1001062,10,100,'Reduces the reuse speed of Sacrifice by 80.',0,2),
(8708,1001063,1,100,'Increases duration by 6.7%',0,0),
(8709,1001063,2,100,'Increases duration by 13.4%',0,0),
(8710,1001063,3,100,'Increases duration by 20.1%',0,0),
(8711,1001063,4,100,'Increases duration by 26.8%',0,0),
(8712,1001063,5,100,'Increases duration by 33.5%',0,0),
(8713,1001064,1,100,'Increases the run speed granted by Sanctuary of Darkness by 8%',0,0),
(8714,1001064,2,100,'Increases the run speed granted by Sanctuary of Darkness by 16%',0,0),
(8715,1001064,3,100,'Increases the run speed granted by Sanctuary of Darkness by 24%',0,0),
(8716,1001064,4,100,'Increases the run speed granted by Sanctuary of Darkness by 32%',0,0),
(8717,1001064,5,100,'Increases the run speed granted by Sanctuary of Darkness by 40%',0,0),
(8718,1001065,1,100,'After using Savage Howl, the animalist gains 4% Potency for a short duration',0,0),
(8719,1001065,2,100,'After using Savage Howl, the animalist gains 8% Potency for a short duration',0,0),
(8720,1001065,3,100,'After using Savage Howl, the animalist gains 12% Potency for a short duration',0,0),
(8721,1001065,4,100,'After using Savage Howl, the animalist gains 16% Potency for a short duration',0,0),
(8722,1001065,5,100,'After using Savage Howl, the animalist gains 20% Potency for a short duration',0,0),
(8723,1001065,6,100,'After using Savage Howl, the animalist gains 24% Potency for a short duration',0,0),
(8724,1001065,7,100,'After using Savage Howl, the animalist gains 28% Potency for a short duration',0,0),
(8725,1001065,8,100,'After using Savage Howl, the animalist gains 32% Potency for a short duration',0,0),
(8726,1001065,9,100,'After using Savage Howl, the animalist gains 36% Potency for a short duration',0,0),
(8727,1001065,10,100,'After using Savage Howl, the animalist gains 40% Potency for a short duration',0,0),
(8728,1001066,1,100,'Applies Enhance: Savage Mauling to qualifying pets.',0,0),
(8729,1001066,1,100,'Improves the damage of Savage Mauling by 1%',1,1),
(8730,1001066,2,100,'Applies Enhance: Savage Mauling to qualifying pets.',0,0),
(8731,1001066,2,100,'Improves the damage of Savage Mauling by 2%',1,1),
(8732,1001066,3,100,'Applies Enhance: Savage Mauling to qualifying pets.',0,0),
(8733,1001066,3,100,'Improves the damage of Savage Mauling by 3%',1,1),
(8734,1001066,4,100,'Applies Enhance: Savage Mauling to qualifying pets.',0,0),
(8735,1001066,4,100,'Improves the damage of Savage Mauling by 4%',1,1),
(8736,1001066,5,100,'Applies Enhance: Savage Mauling to qualifying pets.',0,0),
(8737,1001066,5,100,'Improves the damage of Savage Mauling by 5%',1,1),
(8738,1001066,6,100,'Applies Enhance: Savage Mauling to qualifying pets.',0,0),
(8739,1001066,6,100,'Improves the damage of Savage Mauling by 6%',1,1),
(8740,1001066,7,100,'Applies Enhance: Savage Mauling to qualifying pets.',0,0),
(8741,1001066,7,100,'Improves the damage of Savage Mauling by 7%',1,1),
(8742,1001066,8,100,'Applies Enhance: Savage Mauling to qualifying pets.',0,0),
(8743,1001066,8,100,'Improves the damage of Savage Mauling by 8%',1,1),
(8744,1001066,9,100,'Applies Enhance: Savage Mauling to qualifying pets.',0,0),
(8745,1001066,9,100,'Improves the damage of Savage Mauling by 9%',1,1),
(8746,1001066,10,100,'Applies Enhance: Savage Mauling to qualifying pets.',0,0),
(8747,1001066,10,100,'Improves the damage of Savage Mauling by 10%',1,1),
(8748,1001067,1,100,'Improves the damage of Savage Ruin by 4%',0,0),
(8749,1001067,2,100,'Improves the damage of Savage Ruin by 8%',0,0),
(8750,1001067,3,100,'Improves the damage of Savage Ruin by 12%',0,0),
(8751,1001067,4,100,'Improves the damage of Savage Ruin by 16%',0,0),
(8752,1001067,5,100,'Improves the damage of Savage Ruin by 20%',0,0),
(8753,1001068,1,100,'Increases duration by 5 seconds',0,0),
(8754,1001068,2,100,'Increases duration by 10 seconds',0,0),
(8755,1001068,3,100,'Increases duration by 15 seconds',0,0),
(8756,1001068,4,100,'Increases duration by 20 seconds',0,0),
(8757,1001068,5,100,'Increases duration by 25 seconds',0,0),
(8758,1001069,1,100,'Increases damage by 3%',0,0),
(8759,1001069,2,100,'Increases damage by 6%',0,0),
(8760,1001069,3,100,'Increases damage by 9%',0,0),
(8761,1001069,4,100,'Increases damage by 12%',0,0),
(8762,1001069,5,100,'Increases damage by 15%',0,0),
(8763,1001070,1,100,'Improves the duration by 1',0,0),
(8764,1001070,2,100,'Improves the duration by 2',0,0),
(8765,1001070,3,100,'Improves the duration by 3',0,0),
(8766,1001070,4,100,'Improves the duration by 4',0,0),
(8767,1001070,5,100,'Improves the duration by 5',0,0),
(8768,1001071,1,100,'Adds safefall damage reduction by 10%',0,0),
(8769,1001071,2,100,'Adds safefall damage reduction by 20%',0,0),
(8770,1001071,3,100,'Adds safefall damage reduction by 30%',0,0),
(8771,1001071,4,100,'Adds safefall damage reduction by 40%',0,0),
(8772,1001071,5,100,'Adds safefall damage reduction by 50%',0,0),
(8773,1001072,1,100,'Adds 2% to all resists to the target',0,0),
(8774,1001073,1,100,'Improves reuse speed by 10 seconds',0,0),
(8775,1001073,1,100,'Improves radius by 10%',0,1),
(8776,1001073,2,100,'Improves reuse speed by 20 seconds',0,0),
(8777,1001073,2,100,'Improves radius by 20%',0,1),
(8778,1001073,3,100,'Improves reuse speed by 30 seconds',0,0),
(8779,1001073,3,100,'Improves radius by 30%',0,1),
(8780,1001073,4,100,'Improves reuse speed by 40 seconds',0,0),
(8781,1001073,4,100,'Improves radius by 40%',0,1),
(8782,1001073,5,100,'Improves reuse speed by 50 seconds',0,0),
(8783,1001073,5,100,'Improves radius by 50%',0,1),
(8784,1001074,1,100,'Improves the snare amount of Shadow Bind by 2%',0,0),
(8785,1001074,2,100,'Improves the snare amount of Shadow Bind by 4%',0,0),
(8786,1001074,3,100,'Improves the snare amount of Shadow Bind by 6%',0,0),
(8787,1001074,4,100,'Improves the snare amount of Shadow Bind by 8%',0,0),
(8788,1001074,5,100,'Improves the snare amount of Shadow Bind by 10%',0,0),
(8789,1001075,1,100,'Adds lifetap effect',0,0),
(8790,1001075,1,100,'Reduces the duration by 10%',0,1),
(8791,1001075,2,100,'Adds lifetap effect',0,0),
(8792,1001075,2,100,'Reduces the duration by 20%',0,1),
(8793,1001075,3,100,'Adds lifetap effect',0,0),
(8794,1001075,3,100,'Reduces the duration by 30%',0,1),
(8795,1001075,4,100,'Adds lifetap effect',0,0),
(8796,1001075,4,100,'Reduces the duration by 40%',0,1),
(8797,1001075,5,100,'Adds lifetap effect',0,0),
(8798,1001075,5,100,'Reduces the duration by 50%',0,1),
(8799,1001076,1,100,'Using Shadow Escape will lower incoming damage by 5% for a short duration',0,0),
(8800,1001076,2,100,'Using Shadow Escape will lower incoming damage by 10% for a short duration',0,0),
(8801,1001076,3,100,'Using Shadow Escape will lower incoming damage by 15% for a short duration',0,0),
(8802,1001076,4,100,'Using Shadow Escape will lower incoming damage by 20% for a short duration',0,0),
(8803,1001076,5,100,'Using Shadow Escape will lower incoming damage by 25% for a short duration',0,0),
(8804,1001077,1,100,'Improves reuse speed by 4 seconds',0,0),
(8805,1001077,1,100,'Improves the threat reduction by 4%',0,1),
(8806,1001077,2,100,'Improves reuse speed by 8 seconds',0,0),
(8807,1001077,2,100,'Improves the threat reduction by 8%',0,1),
(8808,1001077,3,100,'Improves reuse speed by 12 seconds',0,0),
(8809,1001077,3,100,'Improves the threat reduction by 12%',0,1),
(8810,1001077,4,100,'Improves reuse speed by 16 seconds',0,0),
(8811,1001077,4,100,'Improves the threat reduction by 16%',0,1),
(8812,1001077,5,100,'Improves reuse speed by 20 seconds',0,0),
(8813,1001077,5,100,'Improves the threat reduction by 20%',0,1),
(8814,1001078,1,100,'Improves the damage by 5%',0,0),
(8815,1001078,2,100,'Improves the damage by 10%',0,0),
(8816,1001078,3,100,'Improves the damage by 15%',0,0),
(8817,1001078,4,100,'Improves the damage by 20%',0,0),
(8818,1001078,5,100,'Improves the damage by 25%',0,0),
(8819,1001079,1,100,'Improves reuse speed by 3 seconds',0,0),
(8820,1001079,1,100,'Restores a small amount of power to the target',0,1),
(8821,1001079,2,100,'Improves reuse speed by 6 seconds',0,0),
(8822,1001079,2,100,'Restores a small amount of power to the target',0,1),
(8823,1001079,3,100,'Improves reuse speed by 9 seconds',0,0),
(8824,1001079,3,100,'Restores a small amount of power to the target',0,1),
(8825,1001079,4,100,'Improves reuse speed by 12 seconds',0,0),
(8826,1001079,4,100,'Restores a small amount of power to the target',0,1),
(8827,1001079,5,100,'Improves reuse speed by 15 seconds',0,0),
(8828,1001079,5,100,'Restores a small amount of power to the target',0,1),
(8829,1001080,1,100,'Improves casting speed by 0.3 seconds',0,0),
(8830,1001080,1,100,'Improves the Crit Bonus by 1%',0,1),
(8831,1001080,2,100,'Improves casting speed by 0.6 seconds',0,0),
(8832,1001080,2,100,'Improves the Crit Bonus by 2%',0,1),
(8833,1001080,3,100,'Improves casting speed by 0.9 seconds',0,0),
(8834,1001080,3,100,'Improves the Crit Bonus by 3%',0,1),
(8835,1001080,4,100,'Improves casting speed by 1.2 seconds',0,0),
(8836,1001080,4,100,'Improves the Crit Bonus by 4%',0,1),
(8837,1001080,5,100,'Improves casting speed by 1.5 seconds',0,0),
(8838,1001080,5,100,'Improves the Crit Bonus by 5%',0,1),
(8839,1001081,1,100,'Increases hate positions by 1',0,0),
(8840,1001081,1,100,'Increases damage by 4%',0,1),
(8841,1001081,2,100,'Increases hate positions by 2',0,0),
(8842,1001081,2,100,'Increases damage by 8%',0,1),
(8843,1001081,3,100,'Increases hate positions by 3',0,0),
(8844,1001081,3,100,'Increases damage by 12%',0,1),
(8845,1001082,1,100,'Improves the reuse time of Shield of Blackwood by 30 seconds',0,0),
(8846,1001082,2,100,'Improves the reuse time of Shield of Blackwood by 60 seconds',0,0),
(8847,1001082,3,100,'Improves the reuse time of Shield of Blackwood by 90 seconds',0,0),
(8848,1001082,4,100,'Improves the reuse time of Shield of Blackwood by 120 seconds',0,0),
(8849,1001082,5,100,'Adds an additional threat position reduction',0,0),
(8850,1001082,5,100,'Improves the reuse time of Shield of Blackwood by 150 seconds',0,1),
(8851,1001083,1,100,'Improves the amount of warding by 4%.',0,0),
(8852,1001083,2,100,'Improves the amount of warding by 8%.',0,0),
(8853,1001083,3,100,'Improves the amount of warding by 12%.',0,0),
(8854,1001083,4,100,'Improves the amount of warding by 16%.',0,0),
(8855,1001083,5,100,'Improves the amount of warding by 20%.',0,0),
(8856,1001084,1,100,'Increases power heal amount by 7%',0,0),
(8857,1001084,2,100,'Increases power heal amount by 14%',0,0),
(8858,1001084,3,100,'Increases power heal amount by 21%',0,0),
(8859,1001084,4,100,'Increases power heal amount by 28%',0,0),
(8860,1001084,5,100,'Increases power heal amount by 35%',0,0),
(8861,1001085,1,100,'Improves reuse speed by 1.5 seconds',0,0),
(8862,1001085,1,100,'Improves casting speed by 0.1 seconds',0,1),
(8863,1001085,1,100,'Improves the Crit Bonus by 1%',0,2),
(8864,1001085,2,100,'Improves reuse speed by 3 seconds',0,0),
(8865,1001085,2,100,'Improves casting speed by 0.2 seconds',0,1),
(8866,1001085,2,100,'Improves the Crit Bonus by 2%',0,2),
(8867,1001085,3,100,'Improves reuse speed by 4.5 seconds',0,0),
(8868,1001085,3,100,'Improves casting speed by 0.3 seconds',0,1),
(8869,1001085,3,100,'Improves the Crit Bonus by 3%',0,2),
(8870,1001085,4,100,'Improves reuse speed by 6 seconds',0,0),
(8871,1001085,4,100,'Improves casting speed by 0.4 seconds',0,1),
(8872,1001085,4,100,'Improves the Crit Bonus by 4%',0,2),
(8873,1001085,5,100,'Improves reuse speed by 7.5 seconds',0,0),
(8874,1001085,5,100,'Improves casting speed by 0.5 seconds',0,1),
(8875,1001085,5,100,'Improves the Crit Bonus by 5%',0,2),
(8876,1001086,1,100,'Increases damage by 5%',0,0),
(8877,1001086,2,100,'Increases damage by 10%',0,0),
(8878,1001086,3,100,'Increases damage by 15%',0,0),
(8879,1001086,4,100,'Increases damage by 20%',0,0),
(8880,1001086,5,100,'Increases damage by 25%',0,0),
(8881,1001087,1,100,'Improves casting speed by 0.2 seconds',0,0),
(8882,1001087,1,100,'Improves Stealth Movement by 3% while Shroud is active',0,1),
(8883,1001087,2,100,'Improves casting speed by 0.4 seconds',0,0),
(8884,1001087,2,100,'Improves Stealth Movement by 6% while Shroud is active',0,1),
(8885,1001087,3,100,'Improves casting speed by 0.6 seconds',0,0),
(8886,1001087,3,100,'Improves Stealth Movement by 9% while Shroud is active',0,1),
(8887,1001087,4,100,'Improves casting speed by 0.8 seconds',0,0),
(8888,1001087,4,100,'Improves Stealth Movement by 12% while Shroud is active',0,1),
(8889,1001087,5,100,'Improves casting speed by 1 seconds',0,0),
(8890,1001087,5,100,'Improves Stealth Movement by 15% while Shroud is active',0,1),
(8891,1001088,1,100,'Increases the ward amount by 8%',0,0),
(8892,1001088,2,100,'Increases the ward amount by 16%',0,0),
(8893,1001088,3,100,'Increases the ward amount by 24%',0,0),
(8894,1001088,4,100,'Increases the ward amount by 32%',0,0),
(8895,1001088,5,100,'Increases the ward amount by 40%',0,0),
(8896,1001089,1,100,'Increases trigger chance by 3%',0,0),
(8897,1001089,2,100,'Increases trigger chance by 6%',0,0),
(8898,1001089,3,100,'Increases trigger chance by 9%',0,0),
(8899,1001089,4,100,'Increases trigger chance by 12%',0,0),
(8900,1001089,5,100,'Increases trigger chance by 15%',0,0),
(8901,1001090,1,100,'Improves the avoidance granted by 15%.',0,0),
(8902,1001091,1,100,'Increases duration by 1 seconds',0,0),
(8903,1001091,2,100,'Increases duration by 2 seconds',0,0),
(8904,1001091,3,100,'Increases duration by 3 seconds',0,0),
(8905,1001091,4,100,'Increases duration by 4 seconds',0,0),
(8906,1001091,5,100,'Increases duration by 5 seconds',0,0),
(8907,1001092,1,100,'Improves reuse speed by 2 seconds',0,0),
(8908,1001092,1,100,'Reduces resistibility by 5%',0,1),
(8909,1001092,2,100,'Improves reuse speed by 4 seconds',0,0),
(8910,1001092,2,100,'Reduces resistibility by 10%',0,1),
(8911,1001092,3,100,'Improves reuse speed by 6 seconds',0,0),
(8912,1001092,3,100,'Reduces resistibility by 15%',0,1),
(8913,1001092,4,100,'Improves reuse speed by 8 seconds',0,0),
(8914,1001092,4,100,'Reduces resistibility by 20%',0,1),
(8915,1001092,5,100,'Improves reuse speed by 10 seconds',0,0),
(8916,1001092,5,100,'Reduces resistibility by 25%',0,1),
(8917,1001093,1,100,'Applies Enhance: Simian Restoration to qualifying pets.',0,0),
(8918,1001093,1,100,'Improves the heal amount of Simian Restoration by 2%',1,1),
(8919,1001093,2,100,'Applies Enhance: Simian Restoration to qualifying pets.',0,0),
(8920,1001093,2,100,'Improves the heal amount of Simian Restoration by 4%',1,1),
(8921,1001093,3,100,'Applies Enhance: Simian Restoration to qualifying pets.',0,0),
(8922,1001093,3,100,'Improves the heal amount of Simian Restoration by 6%',1,1),
(8923,1001093,4,100,'Applies Enhance: Simian Restoration to qualifying pets.',0,0),
(8924,1001093,4,100,'Improves the heal amount of Simian Restoration by 8%',1,1),
(8925,1001093,5,100,'Applies Enhance: Simian Restoration to qualifying pets.',0,0),
(8926,1001093,5,100,'Improves the heal amount of Simian Restoration by 10%',1,1),
(8927,1001093,6,100,'Applies Enhance: Simian Restoration to qualifying pets.',0,0),
(8928,1001093,6,100,'Improves the heal amount of Simian Restoration by 12%',1,1),
(8929,1001093,7,100,'Applies Enhance: Simian Restoration to qualifying pets.',0,0),
(8930,1001093,7,100,'Improves the heal amount of Simian Restoration by 14%',1,1),
(8931,1001093,8,100,'Applies Enhance: Simian Restoration to qualifying pets.',0,0),
(8932,1001093,8,100,'Improves the heal amount of Simian Restoration by 16%',1,1),
(8933,1001093,9,100,'Applies Enhance: Simian Restoration to qualifying pets.',0,0),
(8934,1001093,9,100,'Improves the heal amount of Simian Restoration by 18%',1,1),
(8935,1001093,10,100,'Applies Enhance: Simian Restoration to qualifying pets.',0,0),
(8936,1001093,10,100,'Improves the heal amount of Simian Restoration by 20%',1,1),
(8937,1001094,1,100,'Applies Enhance: Simian Siphon to qualifying pets.',0,0),
(8938,1001094,1,100,'Improves the damage and heal amount of Simian Siphon by 1%',1,1),
(8939,1001094,2,100,'Applies Enhance: Simian Siphon to qualifying pets.',0,0),
(8940,1001094,2,100,'Improves the damage and heal amount of Simian Siphon by 2%',1,1),
(8941,1001094,3,100,'Applies Enhance: Simian Siphon to qualifying pets.',0,0),
(8942,1001094,3,100,'Improves the damage and heal amount of Simian Siphon by 3%',1,1),
(8943,1001094,4,100,'Applies Enhance: Simian Siphon to qualifying pets.',0,0),
(8944,1001094,4,100,'Improves the damage and heal amount of Simian Siphon by 4%',1,1),
(8945,1001094,5,100,'Applies Enhance: Simian Siphon to qualifying pets.',0,0),
(8946,1001094,5,100,'Improves the damage and heal amount of Simian Siphon by 5%',1,1),
(8947,1001094,6,100,'Applies Enhance: Simian Siphon to qualifying pets.',0,0),
(8948,1001094,6,100,'Improves the damage and heal amount of Simian Siphon by 6%',1,1),
(8949,1001094,7,100,'Applies Enhance: Simian Siphon to qualifying pets.',0,0),
(8950,1001094,7,100,'Improves the damage and heal amount of Simian Siphon by 7%',1,1),
(8951,1001094,8,100,'Applies Enhance: Simian Siphon to qualifying pets.',0,0),
(8952,1001094,8,100,'Improves the damage and heal amount of Simian Siphon by 8%',1,1),
(8953,1001094,9,100,'Applies Enhance: Simian Siphon to qualifying pets.',0,0),
(8954,1001094,9,100,'Improves the damage and heal amount of Simian Siphon by 9%',1,1),
(8955,1001094,10,100,'Applies Enhance: Simian Siphon to qualifying pets.',0,0),
(8956,1001094,10,100,'Improves the damage and heal amount of Simian Siphon by 10%',1,1),
(8957,1001095,1,100,'Increases duration by 0.5 seconds',0,0),
(8958,1001095,2,100,'Increases duration by 1 seconds',0,0),
(8959,1001095,3,100,'Increases duration by 1.5 seconds',0,0),
(8960,1001095,4,100,'Increases duration by 2 seconds',0,0),
(8961,1001095,5,100,'Increases duration by 2.5 seconds',0,0),
(8962,1001096,1,100,'Improves the reuse time of Sinister Strike by 5 seconds',0,0),
(8963,1001097,1,100,'Improves reuse speed by 8 seconds',0,0),
(8964,1001097,1,100,'Improves the Crit Bonus by 3%',0,1),
(8965,1001096,2,100,'Improves the reuse time of Sinister Strike by 10 seconds',0,0),
(8966,1001097,2,100,'Improves reuse speed by 16 seconds',0,0),
(8967,1001097,2,100,'Improves the Crit Bonus by 6%',0,1),
(8968,1001096,3,100,'Improves the reuse time of Sinister Strike by 15 seconds',0,0),
(8969,1001097,3,100,'Improves reuse speed by 24 seconds',0,0),
(8970,1001097,3,100,'Improves the Crit Bonus by 9%',0,1),
(8971,1001096,4,100,'Improves the reuse time of Sinister Strike by 20 seconds',0,0),
(8972,1001097,4,100,'Improves reuse speed by 32 seconds',0,0),
(8973,1001097,4,100,'Improves the Crit Bonus by 12%',0,1),
(8974,1001097,5,100,'Improves reuse speed by 40 seconds',0,0),
(8975,1001097,5,100,'Improves the Crit Bonus by 15%',0,1),
(8976,1001096,5,100,'Improves the reuse time of Sinister Strike by 25 seconds',0,0),
(8977,1001098,1,100,'Adds a damage increasing effect that increases with each rank that also increases the Stamina of the Shadowknight.',0,0),
(8978,1001098,2,100,'Adds a damage increasing effect that increases with each rank that also increases the Stamina of the Shadowknight.',0,0),
(8979,1001098,3,100,'Adds a damage increasing effect that increases with each rank that also increases the Stamina of the Shadowknight.',0,0),
(8980,1001098,4,100,'Adds a max health siphoning effect that increases with each rank. The health siphoned will return to the Shadowknight as Stamina.',0,0),
(8981,1001098,5,100,'Adds a max health siphoning effect that increases with each rank. The health siphoned will return to the Shadowknight as Stamina.',0,0),
(8982,1001099,1,100,'Increases strength and intelligence reduction by 7%',0,0),
(8983,1001099,2,100,'Increases strength and intelligence reduction by 14%',0,0),
(8984,1001099,3,100,'Increases strength and intelligence reduction by 21%',0,0),
(8985,1001099,4,100,'Increases strength and intelligence reduction by 28%',0,0),
(8986,1001099,5,100,'Increases strength and intelligence reduction by 35%',0,0),
(8987,1001100,1,100,'Applies Enhance: Sky''s Restoration to qualifying pets.',0,0),
(8988,1001100,1,100,'Improves the heal amount of Sky''s Restoration by 2%',1,1),
(8989,1001100,2,100,'Applies Enhance: Sky''s Restoration to qualifying pets.',0,0),
(8990,1001100,2,100,'Improves the heal amount of Sky''s Restoration by 4%',1,1),
(8991,1001100,3,100,'Applies Enhance: Sky''s Restoration to qualifying pets.',0,0),
(8992,1001100,3,100,'Improves the heal amount of Sky''s Restoration by 6%',1,1),
(8993,1001100,4,100,'Applies Enhance: Sky''s Restoration to qualifying pets.',0,0),
(8994,1001100,4,100,'Improves the heal amount of Sky''s Restoration by 8%',1,1),
(8995,1001100,5,100,'Applies Enhance: Sky''s Restoration to qualifying pets.',0,0),
(8996,1001100,5,100,'Improves the heal amount of Sky''s Restoration by 10%',1,1),
(8997,1001100,6,100,'Applies Enhance: Sky''s Restoration to qualifying pets.',0,0),
(8998,1001100,6,100,'Improves the heal amount of Sky''s Restoration by 12%',1,1),
(8999,1001100,7,100,'Applies Enhance: Sky''s Restoration to qualifying pets.',0,0),
(9000,1001100,7,100,'Improves the heal amount of Sky''s Restoration by 14%',1,1),
(9001,1001100,8,100,'Applies Enhance: Sky''s Restoration to qualifying pets.',0,0),
(9002,1001100,8,100,'Improves the heal amount of Sky''s Restoration by 16%',1,1),
(9003,1001100,9,100,'Applies Enhance: Sky''s Restoration to qualifying pets.',0,0),
(9004,1001100,9,100,'Improves the heal amount of Sky''s Restoration by 18%',1,1),
(9005,1001100,10,100,'Applies Enhance: Sky''s Restoration to qualifying pets.',0,0),
(9006,1001100,10,100,'Improves the heal amount of Sky''s Restoration by 20%',1,1),
(9007,1001101,1,100,'Increases damage by 6%',0,0),
(9008,1001101,2,100,'Increases damage by 12%',0,0),
(9009,1001101,3,100,'Increases damage by 18%',0,0),
(9010,1001101,4,100,'Increases damage by 24%',0,0),
(9011,1001101,5,100,'Increases damage by 30%',0,0),
(9012,1001102,1,100,'Improves reuse speed by 0.7 seconds',0,0),
(9013,1001102,1,100,'Reduces resistibility by 1%',0,1),
(9014,1001102,2,100,'Improves reuse speed by 1.4 seconds',0,0),
(9015,1001102,2,100,'Reduces resistibility by 2%',0,1),
(9016,1001102,3,100,'Improves reuse speed by 2.1 seconds',0,0),
(9017,1001102,3,100,'Reduces resistibility by 3%',0,1),
(9018,1001102,4,100,'Improves reuse speed by 2.8 seconds',0,0),
(9019,1001102,4,100,'Reduces resistibility by 4%',0,1),
(9020,1001102,5,100,'Improves reuse speed by 3.5 seconds',0,0),
(9021,1001102,5,100,'Reduces resistibility by 5%',0,1),
(9022,1001103,1,100,'Reduces duration by 2 seconds',0,0),
(9023,1001103,1,100,'Improves casting speed by 0.1 seconds',0,1),
(9024,1001103,1,100,'Reduces power cost by 10%',0,2),
(9025,1001103,1,100,'Improves the Crit Bonus by 2%',0,3),
(9026,1001103,2,100,'Reduces duration by 4 seconds',0,0),
(9027,1001103,2,100,'Improves casting speed by 0.2 seconds',0,1),
(9028,1001103,2,100,'Reduces power cost by 20%',0,2),
(9029,1001103,2,100,'Improves the Crit Bonus by 4%',0,3),
(9030,1001103,3,100,'Reduces duration by 6 seconds',0,0),
(9031,1001103,3,100,'Improves casting speed by 0.3 seconds',0,1),
(9032,1001103,3,100,'Reduces power cost by 30%',0,2),
(9033,1001103,3,100,'Improves the Crit Bonus by 6%',0,3),
(9034,1001103,4,100,'Reduces duration by 8 seconds',0,0),
(9035,1001103,4,100,'Improves casting speed by 0.4 seconds',0,1),
(9036,1001103,4,100,'Reduces power cost by 40%',0,2),
(9037,1001103,4,100,'Improves the Crit Bonus by 8%',0,3),
(9038,1001103,5,100,'Reduces duration by 10 seconds',0,0),
(9039,1001103,5,100,'Improves casting speed by 0.5 seconds',0,1),
(9040,1001103,5,100,'Reduces power cost by 50%',0,2),
(9041,1001103,5,100,'Improves the Crit Bonus by 10%',0,3),
(9042,1001104,1,100,'Increases resistibility by 13%',0,0),
(9043,1001105,1,100,'Reduces resistibility by 5% and slightly less per tick after the initial application.',0,0),
(9044,1001105,1,100,'Improves reuse speed by 1.5 seconds',0,1),
(9045,1001106,1,100,'Increases movement speed reduction by 7%',0,0),
(9046,1001106,1,100,'Reduces power cost by 14%',0,1),
(9047,1001107,1,100,'Increases movement speed reduction by 3%',0,0),
(9048,1001106,2,100,'Increases movement speed reduction by 14%',0,0),
(9049,1001106,2,100,'Reduces power cost by 28%',0,1),
(9050,1001105,2,100,'Reduces resistibility by 10% and slightly less per tick after the initial application.',0,0),
(9051,1001105,2,100,'Improves reuse speed by 3 seconds',0,1),
(9052,1001107,2,100,'Increases movement speed reduction by 6%',0,0),
(9053,1001106,3,100,'Increases movement speed reduction by 21%',0,0),
(9054,1001106,3,100,'Reduces power cost by 42%',0,1),
(9055,1001107,3,100,'Increases movement speed reduction by 9%',0,0),
(9056,1001105,3,100,'Reduces resistibility by 15% and slightly less per tick after the initial application.',0,0),
(9057,1001105,3,100,'Improves reuse speed by 4.5 seconds',0,1),
(9058,1001107,4,100,'Increases movement speed reduction by 12%',0,0),
(9059,1001107,5,100,'Increases movement speed reduction by 15%',0,0),
(9060,1001108,1,100,'Improves reuse speed by 1 seconds',0,0),
(9061,1001108,1,100,'Improves the Crit Bonus by 1.5%',0,1),
(9062,1001108,2,100,'Improves reuse speed by 2 seconds',0,0),
(9063,1001108,2,100,'Improves the Crit Bonus by 3%',0,1),
(9064,1001108,3,100,'Improves reuse speed by 3 seconds',0,0),
(9065,1001108,3,100,'Improves the Crit Bonus by 4.5%',0,1),
(9066,1001108,4,100,'Improves reuse speed by 4 seconds',0,0),
(9067,1001108,4,100,'Improves the Crit Bonus by 6%',0,1),
(9068,1001108,5,100,'Improves reuse speed by 5 seconds',0,0),
(9069,1001108,5,100,'Improves the Crit Bonus by 7.5%',0,1),
(9070,1001109,1,100,'Improves casting speed by 0.2 seconds',0,0),
(9071,1001109,1,100,'Improves Stealth Movement by 3% while Sneak is active',0,1),
(9072,1001110,1,100,'Improves casting speed by 0.2 seconds',0,0),
(9073,1001110,1,100,'Improves Stealth Movement by 3% while Sneak is active',0,1),
(9074,1001110,2,100,'Improves casting speed by 0.4 seconds',0,0),
(9075,1001110,2,100,'Improves Stealth Movement by 6% while Sneak is active',0,1),
(9076,1001109,2,100,'Improves casting speed by 0.4 seconds',0,0),
(9077,1001109,2,100,'Improves Stealth Movement by 6% while Sneak is active',0,1),
(9078,1001110,3,100,'Improves casting speed by 0.6 seconds',0,0),
(9079,1001110,3,100,'Improves Stealth Movement by 9% while Sneak is active',0,1),
(9080,1001109,3,100,'Improves casting speed by 0.6 seconds',0,0),
(9081,1001109,3,100,'Improves Stealth Movement by 9% while Sneak is active',0,1),
(9082,1001110,4,100,'Improves casting speed by 0.8 seconds',0,0),
(9083,1001110,4,100,'Improves Stealth Movement by 12% while Sneak is active',0,1),
(9084,1001109,4,100,'Improves casting speed by 0.8 seconds',0,0),
(9085,1001109,4,100,'Improves Stealth Movement by 12% while Sneak is active',0,1),
(9086,1001109,5,100,'Improves casting speed by 1 seconds',0,0),
(9087,1001109,5,100,'Improves Stealth Movement by 15% while Sneak is active',0,1),
(9088,1001110,5,100,'Improves casting speed by 1 seconds',0,0),
(9089,1001110,5,100,'Improves Stealth Movement by 15% while Sneak is active',0,1),
(9090,1001111,1,100,'Reduces power cost by 3%',0,0),
(9091,1001111,1,100,'Improves casting speed by 0.1 seconds',0,1),
(9092,1001111,1,100,'Improves the Crit Bonus by 1%',0,2),
(9093,1001111,2,100,'Reduces power cost by 6%',0,0),
(9094,1001111,2,100,'Improves casting speed by 0.2 seconds',0,1),
(9095,1001111,2,100,'Improves the Crit Bonus by 2%',0,2),
(9096,1001111,3,100,'Reduces power cost by 9%',0,0),
(9097,1001111,3,100,'Improves casting speed by 0.3 seconds',0,1),
(9098,1001111,3,100,'Improves the Crit Bonus by 3%',0,2),
(9099,1001111,4,100,'Reduces power cost by 12%',0,0),
(9100,1001111,4,100,'Improves casting speed by 0.4 seconds',0,1),
(9101,1001111,4,100,'Improves the Crit Bonus by 4%',0,2),
(9102,1001111,5,100,'Reduces power cost by 15%',0,0),
(9103,1001111,5,100,'Improves casting speed by 0.5 seconds',0,1),
(9104,1001111,5,100,'Improves the Crit Bonus by 5%',0,2),
(9105,1001112,1,100,'Applies Enhance: Sonic Precision to qualifying pets.',0,0),
(9106,1001112,1,100,'Improves the duration of Sonic Precision by 10%',1,1),
(9107,1001112,2,100,'Applies Enhance: Sonic Precision to qualifying pets.',0,0),
(9108,1001112,2,100,'Improves the duration of Sonic Precision by 20%',1,1),
(9109,1001112,3,100,'Applies Enhance: Sonic Precision to qualifying pets.',0,0),
(9110,1001112,3,100,'Improves the duration of Sonic Precision by 30%',1,1),
(9111,1001112,4,100,'Applies Enhance: Sonic Precision to qualifying pets.',0,0),
(9112,1001112,4,100,'Improves the duration of Sonic Precision by 40%',1,1),
(9113,1001112,5,100,'Applies Enhance: Sonic Precision to qualifying pets.',0,0),
(9114,1001112,5,100,'Improves the duration of Sonic Precision by 50%',1,1),
(9115,1001112,6,100,'Applies Enhance: Sonic Precision to qualifying pets.',0,0),
(9116,1001112,6,100,'Improves the duration of Sonic Precision by 60%',1,1),
(9117,1001112,7,100,'Applies Enhance: Sonic Precision to qualifying pets.',0,0),
(9118,1001112,7,100,'Improves the duration of Sonic Precision by 70%',1,1),
(9119,1001112,8,100,'Applies Enhance: Sonic Precision to qualifying pets.',0,0),
(9120,1001112,8,100,'Improves the duration of Sonic Precision by 80%',1,1),
(9121,1001112,9,100,'Applies Enhance: Sonic Precision to qualifying pets.',0,0),
(9122,1001112,9,100,'Improves the duration of Sonic Precision by 90%',1,1),
(9123,1001112,10,100,'Applies Enhance: Sonic Precision to qualifying pets.',0,0),
(9124,1001112,10,100,'Improves the duration of Sonic Precision by 100%',1,1),
(9125,1001113,1,100,'Applies Enhance: Sonic Shriek to qualifying pets.',0,0),
(9126,1001113,1,100,'Improves the damage of Sonic Shriek by 1%',1,1),
(9127,1001113,2,100,'Applies Enhance: Sonic Shriek to qualifying pets.',0,0),
(9128,1001113,2,100,'Improves the damage of Sonic Shriek by 2%',1,1),
(9129,1001113,3,100,'Applies Enhance: Sonic Shriek to qualifying pets.',0,0),
(9130,1001113,3,100,'Improves the damage of Sonic Shriek by 3%',1,1),
(9131,1001113,4,100,'Applies Enhance: Sonic Shriek to qualifying pets.',0,0),
(9132,1001113,4,100,'Improves the damage of Sonic Shriek by 4%',1,1),
(9133,1001113,5,100,'Applies Enhance: Sonic Shriek to qualifying pets.',0,0),
(9134,1001113,5,100,'Improves the damage of Sonic Shriek by 5%',1,1),
(9135,1001113,6,100,'Applies Enhance: Sonic Shriek to qualifying pets.',0,0),
(9136,1001113,6,100,'Improves the damage of Sonic Shriek by 6%',1,1),
(9137,1001113,7,100,'Applies Enhance: Sonic Shriek to qualifying pets.',0,0),
(9138,1001113,7,100,'Improves the damage of Sonic Shriek by 7%',1,1),
(9139,1001113,8,100,'Applies Enhance: Sonic Shriek to qualifying pets.',0,0),
(9140,1001113,8,100,'Improves the damage of Sonic Shriek by 8%',1,1),
(9141,1001113,9,100,'Applies Enhance: Sonic Shriek to qualifying pets.',0,0),
(9142,1001113,9,100,'Improves the damage of Sonic Shriek by 9%',1,1),
(9143,1001113,10,100,'Applies Enhance: Sonic Shriek to qualifying pets.',0,0),
(9144,1001113,10,100,'Improves the damage of Sonic Shriek by 10%',1,1),
(9145,1001114,1,100,'Adds an effect that reduces hate towards their current target, and improves casting speed by 0.1 seconds',0,0),
(9146,1001115,1,100,'Increases damage and healing by 8%',0,0),
(9147,1001115,2,100,'Increases damage and healing by 16%',0,0),
(9148,1001115,3,100,'Increases damage and healing by 24%',0,0),
(9149,1001115,4,100,'Increases damage and healing by 32%',0,0),
(9150,1001115,5,100,'Increases damage and healing by 40%',0,0),
(9151,1001116,1,100,'Improves the damage by 5%',0,0),
(9152,1001116,2,100,'Improves the damage by 10%',0,0),
(9153,1001116,3,100,'Improves the damage by 15%',0,0),
(9154,1001116,4,100,'Improves the damage by 20%',0,0),
(9155,1001116,5,100,'Improves the damage by 25%',0,0),
(9156,1001117,1,100,'Reduces duration by 0.5 seconds',0,0),
(9157,1001117,1,100,'Increases damage by 1%',0,1),
(9158,1001117,2,100,'Reduces duration by 1 seconds',0,0),
(9159,1001117,2,100,'Increases damage by 2%',0,1),
(9160,1001117,3,100,'Reduces duration by 1.5 seconds',0,0),
(9161,1001117,3,100,'Increases damage by 3%',0,1),
(9162,1001117,4,100,'Reduces duration by 2 seconds',0,0),
(9163,1001117,4,100,'Increases damage by 4%',0,1),
(9164,1001117,5,100,'Reduces duration by 2.5 seconds',0,0),
(9165,1001117,5,100,'Increases damage by 5%',0,1),
(9166,1001118,1,100,'Reduces resistibility by 5%',0,0),
(9167,1001118,1,100,'Increases duration by 0.3 seconds',0,1),
(9168,1001118,2,100,'Reduces resistibility by 10%',0,0),
(9169,1001118,2,100,'Increases duration by 0.6 seconds',0,1),
(9170,1001118,3,100,'Reduces resistibility by 15%',0,0),
(9171,1001118,3,100,'Increases duration by 0.9 seconds',0,1),
(9172,1001118,4,100,'Reduces resistibility by 20%',0,0),
(9173,1001118,4,100,'Increases duration by 1.2 seconds',0,1),
(9174,1001118,5,100,'Reduces resistibility by 25%',0,0),
(9175,1001118,5,100,'Increases duration by 1.5 seconds',0,1),
(9176,1001119,1,100,'Increases in-combat movement speed of caster by 1.0%',0,0),
(9177,1001119,2,100,'Increases in-combat movement speed of caster by 2.0%',0,0),
(9178,1001119,3,100,'Increases in-combat movement speed of caster by 3.0%',0,0),
(9179,1001119,4,100,'Increases in-combat movement speed of caster by 4.0%',0,0),
(9180,1001119,5,100,'Increases in-combat movement speed of caster by 5.0%',0,0),
(9181,1001120,1,100,'Increases trigger count by 1',0,0),
(9182,1001120,1,100,'Increases duration by 5 seconds',0,1),
(9183,1001120,2,100,'Increases trigger count by 2',0,0),
(9184,1001120,2,100,'Increases duration by 10 seconds',0,1),
(9185,1001121,1,100,'Increases damage by 8%',0,0),
(9186,1001121,2,100,'Increases damage by 16%',0,0),
(9187,1001121,3,100,'Increases damage by 24%',0,0),
(9188,1001121,4,100,'Increases damage by 32%',0,0),
(9189,1001121,5,100,'Increases damage by 40%',0,0),
(9190,1001122,1,100,'Applies Enhance: Spinning Attack to qualifying pets.',0,0),
(9191,1001122,1,100,'Improves the damage of Spinning Attack by 1%',1,1),
(9192,1001122,2,100,'Applies Enhance: Spinning Attack to qualifying pets.',0,0),
(9193,1001122,2,100,'Improves the damage of Spinning Attack by 2%',1,1),
(9194,1001122,3,100,'Applies Enhance: Spinning Attack to qualifying pets.',0,0),
(9195,1001122,3,100,'Improves the damage of Spinning Attack by 3%',1,1),
(9196,1001122,4,100,'Applies Enhance: Spinning Attack to qualifying pets.',0,0),
(9197,1001122,4,100,'Improves the damage of Spinning Attack by 4%',1,1),
(9198,1001122,5,100,'Applies Enhance: Spinning Attack to qualifying pets.',0,0),
(9199,1001122,5,100,'Improves the damage of Spinning Attack by 5%',1,1),
(9200,1001122,6,100,'Applies Enhance: Spinning Attack to qualifying pets.',0,0),
(9201,1001122,6,100,'Improves the damage of Spinning Attack by 6%',1,1),
(9202,1001122,7,100,'Applies Enhance: Spinning Attack to qualifying pets.',0,0),
(9203,1001122,7,100,'Improves the damage of Spinning Attack by 7%',1,1),
(9204,1001122,8,100,'Applies Enhance: Spinning Attack to qualifying pets.',0,0),
(9205,1001122,8,100,'Improves the damage of Spinning Attack by 8%',1,1),
(9206,1001122,9,100,'Applies Enhance: Spinning Attack to qualifying pets.',0,0),
(9207,1001122,9,100,'Improves the damage of Spinning Attack by 9%',1,1),
(9208,1001122,10,100,'Applies Enhance: Spinning Attack to qualifying pets.',0,0),
(9209,1001122,10,100,'Improves the damage of Spinning Attack by 10%',1,1),
(9210,1001123,1,100,'Applies Enhance: Spirit Companion to qualifying pets.',0,0),
(9211,1001123,1,100,'On any combat or spell hit this spell may cast Enhance: Spirit Companion on caster.  Lasts for 30.0 seconds.  Triggers about 0.6 times per minute. ',1,1),
(9212,1001123,1,100,'When Enhance: Spirit Companion procs, it has a 30% chance of affecting the shaman as well as the pet.',2,2),
(9213,1001123,1,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',2,3),
(9214,1001123,2,100,'Applies Enhance: Spirit Companion to qualifying pets.',0,0),
(9215,1001123,2,100,'On any combat or spell hit this spell may cast Enhance: Spirit Companion on caster.  Lasts for 30.0 seconds.  Triggers about 1.2 times per minute. ',1,1),
(9216,1001123,2,100,'When Enhance: Spirit Companion procs, it has a 30% chance of affecting the shaman as well as the pet.',2,2),
(9217,1001123,2,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',2,3),
(9218,1001123,3,100,'Applies Enhance: Spirit Companion to qualifying pets.',0,0),
(9219,1001123,3,100,'On any combat or spell hit this spell may cast Enhance: Spirit Companion on caster.  Lasts for 30.0 seconds.  Triggers about 1.8 times per minute. ',1,1),
(9220,1001123,3,100,'When Enhance: Spirit Companion procs, it has a 30% chance of affecting the shaman as well as the pet.',2,2),
(9221,1001123,3,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',2,3),
(9222,1001123,4,100,'Applies Enhance: Spirit Companion to qualifying pets.',0,0),
(9223,1001123,4,100,'On any combat or spell hit this spell may cast Enhance: Spirit Companion on caster.  Lasts for 30.0 seconds.  Triggers about 2.4 times per minute. ',1,1),
(9224,1001123,4,100,'When Enhance: Spirit Companion procs, it has a 30% chance of affecting the shaman as well as the pet.',2,2),
(9225,1001123,4,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',2,3),
(9226,1001123,5,100,'Applies Enhance: Spirit Companion to qualifying pets.',0,0),
(9227,1001123,5,100,'On any combat or spell hit this spell may cast Enhance: Spirit Companion on caster.  Lasts for 30.0 seconds.  Triggers about 3.0 times per minute. ',1,1),
(9228,1001123,5,100,'When Enhance: Spirit Companion procs, it has a 30% chance of affecting the shaman as well as the pet.',2,2),
(9229,1001123,5,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',2,3),
(9230,1001123,6,100,'Applies Enhance: Spirit Companion to qualifying pets.',0,0),
(9231,1001123,6,100,'On any combat or spell hit this spell may cast Enhance: Spirit Companion on caster.  Lasts for 30.0 seconds.  Triggers about 3.6 times per minute. ',1,1),
(9232,1001123,6,100,'When Enhance: Spirit Companion procs, it has a 30% chance of affecting the shaman as well as the pet.',2,2),
(9233,1001123,6,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',2,3),
(9234,1001123,7,100,'Applies Enhance: Spirit Companion to qualifying pets.',0,0),
(9235,1001123,7,100,'On any combat or spell hit this spell may cast Enhance: Spirit Companion on caster.  Lasts for 30.0 seconds.  Triggers about 4.2 times per minute. ',1,1),
(9236,1001123,7,100,'When Enhance: Spirit Companion procs, it has a 30% chance of affecting the shaman as well as the pet.',2,2),
(9237,1001123,7,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',2,3),
(9238,1001123,8,100,'Applies Enhance: Spirit Companion to qualifying pets.',0,0),
(9239,1001123,8,100,'On any combat or spell hit this spell may cast Enhance: Spirit Companion on caster.  Lasts for 30.0 seconds.  Triggers about 4.8 times per minute. ',1,1),
(9240,1001123,8,100,'When Enhance: Spirit Companion procs, it has a 30% chance of affecting the shaman as well as the pet.',2,2),
(9241,1001123,8,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',2,3),
(9242,1001123,9,100,'Applies Enhance: Spirit Companion to qualifying pets.',0,0),
(9243,1001123,9,100,'On any combat or spell hit this spell may cast Enhance: Spirit Companion on caster.  Lasts for 30.0 seconds.  Triggers about 5.4 times per minute. ',1,1),
(9244,1001123,9,100,'When Enhance: Spirit Companion procs, it has a 30% chance of affecting the shaman as well as the pet.',2,2),
(9245,1001123,9,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',2,3),
(9246,1001123,10,100,'Applies Enhance: Spirit Companion to qualifying pets.',0,0),
(9247,1001123,10,100,'On any combat or spell hit this spell may cast Enhance: Spirit Companion on caster.  Lasts for 30.0 seconds.  Triggers about 6.0 times per minute. ',1,1),
(9248,1001123,10,100,'When Enhance: Spirit Companion procs, it has a 30% chance of affecting the shaman as well as the pet.',2,2),
(9249,1001123,10,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',2,3),
(9250,1001124,1,100,'Increases out of combat movement speed by 5%',0,0),
(9251,1001124,1,100,'Increases duration by 10%',0,1),
(9252,1001124,2,100,'Increases out of combat movement speed by 10%',0,0),
(9253,1001124,2,100,'Increases duration by 20%',0,1),
(9254,1001124,3,100,'Increases out of combat movement speed by 15%',0,0),
(9255,1001124,3,100,'Increases duration by 30%',0,1),
(9256,1001124,4,100,'Increases out of combat movement speed by 20%',0,0),
(9257,1001124,4,100,'Increases duration by 40%',0,1),
(9258,1001124,5,100,'Increases out of combat movement speed by 25%',0,0),
(9259,1001124,5,100,'Increases duration by 50%',0,1),
(9260,1001125,1,100,'Increases power regeneration by 2',0,0),
(9261,1001125,1,100,'Increases agility by 10%',0,1),
(9262,1001125,2,100,'Increases power regeneration by 4',0,0),
(9263,1001125,2,100,'Increases agility by 20%',0,1),
(9264,1001125,3,100,'Increases power regeneration by 6',0,0),
(9265,1001125,3,100,'Increases agility by 30%',0,1),
(9266,1001125,4,100,'Increases power regeneration by 8',0,0),
(9267,1001125,4,100,'Increases agility by 40%',0,1),
(9268,1001125,5,100,'Increases power regeneration by 10',0,0),
(9269,1001125,5,100,'Increases agility by 50%',0,1),
(9270,1001126,1,100,'Increases stamina by 7%',0,0),
(9271,1001126,2,100,'Increases stamina by 14%',0,0),
(9272,1001126,3,100,'Increases stamina by 21%',0,0),
(9273,1001126,4,100,'Increases stamina by 28%',0,0),
(9274,1001126,5,100,'Increases stamina by 35%',0,0),
(9275,1001127,1,100,'Increases out of combat movement speed by 4%',0,0),
(9276,1001127,1,100,'Decreases falling damage taken by target by 5%',0,1),
(9277,1001127,2,100,'Increases out of combat movement speed by 8%',0,0),
(9278,1001127,2,100,'Decreases falling damage taken by target by 10%',0,1),
(9279,1001127,3,100,'Increases out of combat movement speed by 12%',0,0),
(9280,1001127,3,100,'Decreases falling damage taken by target by 15%',0,1),
(9281,1001127,4,100,'Increases out of combat movement speed by 16%',0,0),
(9282,1001127,4,100,'Decreases falling damage taken by target by 20%',0,1),
(9283,1001127,5,100,'Increases out of combat movement speed by 20%',0,0),
(9284,1001127,5,100,'Decreases falling damage taken by target by 25%',0,1),
(9285,1001128,1,100,'Improves reuse speed by 4 seconds',0,0),
(9286,1001128,2,100,'Improves reuse speed by 8 seconds',0,0),
(9287,1001128,3,100,'Improves reuse speed by 12 seconds',0,0),
(9288,1001128,4,100,'Improves reuse speed by 16 seconds',0,0),
(9289,1001128,5,100,'Improves reuse speed by 20 seconds',0,0),
(9290,1001129,1,100,'Increases sprint movement speed by 5%',0,0),
(9291,1001129,1,100,'Reduces initial power cost by 10%',0,1),
(9292,1001130,1,100,'Increases sprint movement speed by 5%',0,0),
(9293,1001130,1,100,'Reduces instant power cost by 10%',0,1),
(9294,1001131,1,100,'Increases sprint movement speed by 5%',0,0),
(9295,1001131,1,100,'Reduces initial power cost by 10%',0,1),
(9296,1001132,1,100,'Increases sprint movement speed by 5%',0,0),
(9297,1001132,1,100,'Reduces initial power cost by 10%',0,1),
(9298,1001133,1,100,'Increases sprint movement speed by 5%',0,0),
(9299,1001133,1,100,'Reduces initial power cost by 10%',0,1),
(9300,1001133,2,100,'Increases sprint movement speed by 10%',0,0),
(9301,1001133,2,100,'Reduces initial power cost by 20%',0,1),
(9302,1001132,2,100,'Increases sprint movement speed by 10%',0,0),
(9303,1001132,2,100,'Reduces initial power cost by 20%',0,1),
(9304,1001130,2,100,'Increases sprint movement speed by 10%',0,0),
(9305,1001130,2,100,'Reduces instant power cost by 20%',0,1),
(9306,1001129,2,100,'Increases sprint movement speed by 10%',0,0),
(9307,1001129,2,100,'Reduces initial power cost by 20%',0,1),
(9308,1001131,2,100,'Increases sprint movement speed by 10%',0,0),
(9309,1001131,2,100,'Reduces initial power cost by 20%',0,1),
(9310,1001132,3,100,'Increases sprint movement speed by 15%',0,0),
(9311,1001132,3,100,'Reduces initial power cost by 30%',0,1),
(9312,1001130,3,100,'Increases sprint movement speed by 15%',0,0),
(9313,1001130,3,100,'Reduces instant power cost by 30%',0,1),
(9314,1001133,3,100,'Increases sprint movement speed by 15%',0,0),
(9315,1001133,3,100,'Reduces initial power cost by 30%',0,1),
(9316,1001129,3,100,'Increases sprint movement speed by 15%',0,0),
(9317,1001129,3,100,'Reduces initial power cost by 30%',0,1),
(9318,1001131,3,100,'Increases sprint movement speed by 15%',0,0),
(9319,1001131,3,100,'Reduces initial power cost by 30%',0,1),
(9320,1001132,4,100,'Increases sprint movement speed by 20%',0,0),
(9321,1001132,4,100,'Reduces initial power cost by 40%',0,1),
(9322,1001130,4,100,'Increases sprint movement speed by 20%',0,0),
(9323,1001130,4,100,'Reduces instant power cost by 40%',0,1),
(9324,1001133,4,100,'Increases sprint movement speed by 20%',0,0),
(9325,1001133,4,100,'Reduces initial power cost by 40%',0,1),
(9326,1001129,4,100,'Increases sprint movement speed by 20%',0,0),
(9327,1001129,4,100,'Reduces initial power cost by 40%',0,1),
(9328,1001131,4,100,'Increases sprint movement speed by 20%',0,0),
(9329,1001131,4,100,'Reduces initial power cost by 40%',0,1),
(9330,1001132,5,100,'Increases sprint movement speed by 25%',0,0),
(9331,1001132,5,100,'Reduces initial power cost by 50%',0,1),
(9332,1001130,5,100,'Increases sprint movement speed by 25%',0,0),
(9333,1001130,5,100,'Reduces instant power cost by 50%',0,1),
(9334,1001129,5,100,'Increases sprint movement speed by 25%',0,0),
(9335,1001129,5,100,'Reduces initial power cost by 50%',0,1),
(9336,1001131,5,100,'Increases sprint movement speed by 25%',0,0),
(9337,1001131,5,100,'Reduces initial power cost by 50%',0,1),
(9338,1001133,5,100,'Increases sprint movement speed by 25%',0,0),
(9339,1001133,5,100,'Reduces initial power cost by 50%',0,1),
(9340,1001134,1,100,'Improves the duration of Stare Down by 0.5 seconds.',0,0),
(9341,1001134,2,100,'Improves the duration of Stare Down by 1 seconds.',0,0),
(9342,1001134,3,100,'Improves the duration of Stare Down by 1.5 seconds.',0,0),
(9343,1001134,4,100,'Improves the duration of Stare Down by 2 seconds.',0,0),
(9344,1001134,5,100,'Improves the duration of Stare Down by 2.5 seconds.',0,0),
(9345,1001135,1,100,'Improves casting speed by 0.2 seconds',0,0),
(9346,1001135,1,100,'Improves reuse speed by 1 seconds',0,1),
(9347,1001135,1,100,'Improves the Crit Bonus by 1%',0,2),
(9348,1001135,2,100,'Improves casting speed by 0.4 seconds',0,0),
(9349,1001135,2,100,'Improves reuse speed by 2 seconds',0,1),
(9350,1001135,2,100,'Improves the Crit Bonus by 2%',0,2),
(9351,1001135,3,100,'Improves casting speed by 0.6 seconds',0,0),
(9352,1001135,3,100,'Improves reuse speed by 3 seconds',0,1),
(9353,1001135,3,100,'Improves the Crit Bonus by 3%',0,2),
(9354,1001135,4,100,'Improves casting speed by 0.8 seconds',0,0),
(9355,1001135,4,100,'Improves reuse speed by 4 seconds',0,1),
(9356,1001135,4,100,'Improves the Crit Bonus by 4%',0,2),
(9357,1001135,5,100,'Improves casting speed by 1 seconds',0,0),
(9358,1001135,5,100,'Improves reuse speed by 5 seconds',0,1),
(9359,1001135,5,100,'Improves the Crit Bonus by 5%',0,2),
(9360,1001136,1,100,'Increases overtime damage by 5%',0,0),
(9361,1001136,2,100,'Increases overtime damage by 10%',0,0),
(9362,1001136,3,100,'Increases overtime damage by 15%',0,0),
(9363,1001136,4,100,'Increases overtime damage by 20%',0,0),
(9364,1001136,5,100,'Increases overtime damage by 25%',0,0),
(9365,1001137,1,100,'Improves reuse speed and duration by 3 seconds',0,0),
(9366,1001137,1,100,'Reduces the power cost by 20%',0,1),
(9367,1001137,2,100,'Improves reuse speed and duration by 6 seconds',0,0),
(9368,1001137,2,100,'Reduces the power cost by 40%',0,1),
(9369,1001137,3,100,'Improves reuse speed and duration by 9 seconds',0,0),
(9370,1001137,3,100,'Reduces the power cost by 60%',0,1),
(9371,1001137,4,100,'Improves reuse speed by 12 seconds',0,0),
(9372,1001137,4,100,'Reduces the power cost by 80%',0,1),
(9373,1001137,5,100,'Improves reuse speed and duration by 15 seconds',0,0),
(9374,1001137,5,100,'Reduces the power cost by 100%',0,1),
(9375,1001138,1,100,'Adds a stoneskin trigger for your pet',0,0),
(9376,1001138,2,100,'Adds a stoneskin trigger for your pet',0,0),
(9377,1001138,3,100,'Adds a stoneskin trigger for your pet',0,0),
(9378,1001139,1,100,'Improves casting speed by 0.15 seconds',0,0),
(9379,1001139,1,100,'Increases damage by 1%',0,1),
(9380,1001139,2,100,'Improves casting speed by 0.3 seconds',0,0),
(9381,1001139,2,100,'Increases damage by 2%',0,1),
(9382,1001139,3,100,'Improves casting speed by 0.45 seconds',0,0),
(9383,1001139,3,100,'Increases damage by 3%',0,1),
(9384,1001139,4,100,'Improves casting speed by 0.6 seconds',0,0),
(9385,1001139,4,100,'Increases damage by 4%',0,1),
(9386,1001139,5,100,'Improves casting speed by 0.75 seconds',0,0),
(9387,1001139,5,100,'Increases damage by 5%',0,1),
(9388,1001140,1,100,'Reduces resistibility by 3%',0,0),
(9389,1001140,1,100,'Increases damage by 3%',0,1),
(9390,1001140,2,100,'Reduces resistibility by 6%',0,0),
(9391,1001140,2,100,'Increases damage by 6%',0,1),
(9392,1001140,3,100,'Reduces resistibility by 9%',0,0),
(9393,1001140,3,100,'Increases damage by 9%',0,1),
(9394,1001140,4,100,'Reduces resistibility by 12%',0,0),
(9395,1001140,4,100,'Increases damage by 12%',0,1),
(9396,1001140,5,100,'Reduces resistibility by 15%',0,0),
(9397,1001140,5,100,'Increases damage by 15%',0,1),
(9398,1001141,1,100,'Increases damage by 3%',0,0),
(9399,1001141,2,100,'Increases damage by 6%',0,0),
(9400,1001141,3,100,'Increases damage by 9%',0,0),
(9401,1001141,4,100,'Increases damage by 12%',0,0),
(9402,1001141,5,100,'Increases damage by 15%',0,0),
(9403,1001142,1,100,'Reduces resistibility by 3%',0,0),
(9404,1001142,1,100,'Reduces duration by 2.4 seconds',0,1),
(9405,1001142,2,100,'Reduces resistibility by 6%',0,0),
(9406,1001142,2,100,'Reduces duration by 4.8 seconds',0,1),
(9407,1001142,3,100,'Reduces resistibility by 9%',0,0),
(9408,1001142,3,100,'Reduces duration by 7.2 seconds',0,1),
(9409,1001142,4,100,'Reduces resistibility by 12%',0,0),
(9410,1001142,4,100,'Reduces duration by 9.6 seconds',0,1),
(9411,1001143,1,100,'Improves casting speed by 0.2 seconds',0,0),
(9412,1001143,1,100,'Reduces recast by 5 seconds',0,1),
(9413,1001143,2,100,'Improves casting speed by 0.4 seconds',0,0),
(9414,1001143,2,100,'Reduces recast by 10 seconds',0,1),
(9415,1001143,3,100,'Improves casting speed by 0.6 seconds',0,0),
(9416,1001143,3,100,'Reduces recast by 15 seconds',0,1),
(9417,1001143,4,100,'Improves casting speed by 0.8 seconds',0,0),
(9418,1001143,4,100,'Reduces recast by 20 seconds',0,1),
(9419,1001143,5,100,'Improves casting speed by 1 seconds',0,0),
(9420,1001143,5,100,'Reduces recast by 25 seconds',0,1),
(9421,1001144,1,100,'Increases spell resistance by 2%',0,0),
(9422,1001144,2,100,'Increases spell resistance by 4%',0,0),
(9423,1001144,3,100,'Increases spell resistance by 6%',0,0),
(9424,1001144,4,100,'Increases spell resistance by 8%',0,0),
(9425,1001144,5,100,'Increases spell resistance by 10%',0,0),
(9426,1001145,1,100,'Increases damage by 5%',0,0),
(9427,1001145,2,100,'Increases damage by 10%',0,0),
(9428,1001145,3,100,'Increases damage by 15%',0,0),
(9429,1001145,4,100,'Increases damage by 20%',0,0),
(9430,1001145,5,100,'Increases damage by 25%',0,0),
(9431,1001146,1,100,'Improves reuse speed by 1.5 seconds',0,0),
(9432,1001146,1,100,'Improves casting speed by 0.1 seconds',0,1),
(9433,1001146,2,100,'Improves reuse speed by 3 seconds',0,0),
(9434,1001146,2,100,'Improves casting speed by 0.2 seconds',0,1),
(9435,1001146,3,100,'Improves reuse speed by 4.5 seconds',0,0),
(9436,1001146,3,100,'Improves casting speed by 0.3 seconds',0,1),
(9437,1001146,4,100,'Improves reuse speed by 6 seconds',0,0),
(9438,1001146,4,100,'Improves casting speed by 0.4 seconds',0,1),
(9439,1001146,5,100,'Improves reuse speed by 7.5 seconds',0,0),
(9440,1001146,5,100,'Improves casting speed by 0.5 seconds',0,1),
(9441,1001147,1,100,'Increases damage by 5%',0,0),
(9442,1001147,2,100,'Increases damage by 10%',0,0),
(9443,1001147,3,100,'Increases damage by 15%',0,0),
(9444,1001147,4,100,'Increases damage by 20%',0,0),
(9445,1001147,5,100,'Increases damage by 25%',0,0),
(9446,1001148,1,100,'Grants your fighter pet 2% damage absorption',0,0),
(9447,1001148,1,100,'Improves recast of mage pet spells by 3%',0,1),
(9448,1001148,1,100,'Improves the potency, as well as piercing and slashing skills of your scout pet.',0,2),
(9449,1001148,2,100,'Grants your fighter pet 4% damage absorption',0,0),
(9450,1001148,2,100,'Improves recast of mage pet spells by 6%',0,1),
(9451,1001148,2,100,'Improves the potency, as well as piercing and slashing skills of your scout pet.',0,2),
(9452,1001148,3,100,'Grants your fighter pet 6% damage absorption',0,0),
(9453,1001148,3,100,'Improves recast and Crit Bonus of mage pet spells by 9%',0,1),
(9454,1001148,3,100,'Improves the potency, as well as piercing and slashing skills of your scout pet.',0,2),
(9455,1001148,4,100,'Grants your fighter pet 8% damage absorption',0,0),
(9456,1001148,4,100,'Improves recast and Crit Bonus of mage pet spells by 12%',0,1),
(9457,1001148,4,100,'Improves the potency, as well as piercing and slashing skills of your scout pet.',0,2),
(9458,1001148,5,100,'Grants your fighter pet 10% damage absorption',0,0),
(9459,1001148,5,100,'Improves recast of mage pet spells by 15%',0,1),
(9460,1001148,5,100,'Improves the potency, as well as piercing and slashing skills of your scout pet.',0,2),
(9461,1001149,1,100,'Grants your fighter pet 2% damage absorption',0,0),
(9462,1001149,1,100,'Improves recast of mage pet spells by 3%',0,1),
(9463,1001149,1,100,'Improves the potency, as well as piercing and slashing skills of your scout pet.',0,2),
(9464,1001149,2,100,'Grants your fighter pet 4% damage absorption',0,0),
(9465,1001149,2,100,'Improves recast and Crit Bonus of mage pet spells by 6%',0,1),
(9466,1001149,2,100,'Improves the potency, as well as piercing and slashing skills of your scout pet.',0,2),
(9467,1001149,3,100,'Grants your fighter pet 6% damage absorption',0,0),
(9468,1001149,3,100,'Improves recast and Crit Bonus of mage pet spells by 9%',0,1),
(9469,1001149,3,100,'Improves the potency, as well as piercing and slashing skills of your scout pet.',0,2),
(9470,1001149,4,100,'Grants your fighter pet 8% damage absorption',0,0),
(9471,1001149,4,100,'Improves recast of mage pet spells by 12%',0,1),
(9472,1001149,4,100,'Improves the potency, as well as piercing and slashing skills of your scout pet.',0,2),
(9473,1001149,5,100,'Grants your fighter pet 10% damage absorption',0,0),
(9474,1001149,5,100,'Improves recast of mage pet spells by 15%',0,1),
(9475,1001149,5,100,'Improves the potency, as well as piercing and slashing skills of your scout pet.',0,2),
(9476,1001150,1,100,'Applies Enhanced Summoning to qualifying pets.',0,0),
(9477,1001150,1,100,'Increases Mitigation of caster vs all damage by 1',1,1),
(9478,1001150,1,100,'Improves casting speed by 0.6 seconds',0,2),
(9479,1001151,1,100,'Applies Enhanced Summoning to qualifying pets.',0,0),
(9480,1001151,1,100,'Increases Mitigation of caster vs all damage by 400',1,1),
(9481,1001151,1,100,'Improves casting speed by 0.6 seconds',0,2),
(9482,1001150,2,100,'Applies Enhanced Summoning to qualifying pets.',0,0),
(9483,1001150,2,100,'Increases Mitigation of caster vs all damage by 800',1,1),
(9484,1001150,2,100,'Improves casting speed by 1.2 seconds',0,2),
(9485,1001151,2,100,'Applies Enhanced Summoning to qualifying pets.',0,0),
(9486,1001151,2,100,'Increases Mitigation of caster vs all damage by 800',1,1),
(9487,1001151,2,100,'Improves casting speed by 1.2 seconds',0,2),
(9488,1001151,3,100,'Applies Enhanced Summoning to qualifying pets.',0,0),
(9489,1001151,3,100,'Increases Mitigation of caster vs all damage by 1386',1,1),
(9490,1001151,3,100,'Improves casting speed by 1.8 seconds',0,2),
(9491,1001150,3,100,'Applies Enhanced Summoning to qualifying pets.',0,0),
(9492,1001150,3,100,'Increases Mitigation of caster vs all damage by 1386',1,1),
(9493,1001150,3,100,'Improves casting speed by 1.8 seconds',0,2),
(9494,1001151,4,100,'Applies Enhanced Summoning to qualifying pets.',0,0),
(9495,1001151,4,100,'Increases Mitigation of caster vs all damage by 1848',1,1),
(9496,1001151,4,100,'Improves casting speed by 2.4 seconds',0,2),
(9497,1001150,4,100,'Applies Enhanced Summoning to qualifying pets.',0,0),
(9498,1001150,4,100,'Increases Mitigation of caster vs all damage by 1848',1,1),
(9499,1001150,4,100,'Improves casting speed by 2.4 seconds',0,2),
(9500,1001151,5,100,'Applies Enhanced Summoning to qualifying pets.',0,0),
(9501,1001151,5,100,'Increases Mitigation of caster vs all damage by 2310',1,1),
(9502,1001151,5,100,'Improves casting speed by 3 seconds',0,2),
(9503,1001150,5,100,'Applies Enhanced Summoning to qualifying pets.',0,0),
(9504,1001150,5,100,'Increases Mitigation of caster vs all damage by 2310',1,1),
(9505,1001150,5,100,'Improves casting speed by 3 seconds',0,2),
(9506,1001152,1,100,'Increases duration by 4 seconds',0,0),
(9507,1001152,2,100,'Increases duration by 8 seconds',0,0),
(9508,1001152,3,100,'Increases duration by 12 seconds',0,0),
(9509,1001152,4,100,'Increases duration by 16 seconds',0,0),
(9510,1001152,5,100,'Increases duration by 20 seconds',0,0),
(9511,1001153,1,100,'Reduces penalties by 20%',0,0),
(9512,1001153,1,100,'Increases bonuses by 4%',0,1),
(9513,1001153,2,100,'Reduces penalties by 40%',0,0),
(9514,1001153,2,100,'Increases bonuses by 8%',0,1),
(9515,1001153,3,100,'Reduces penalties by 60%',0,0),
(9516,1001153,3,100,'Increases bonuses by 12%',0,1),
(9517,1001153,4,100,'Reduces penalties by 80%',0,0),
(9518,1001153,4,100,'Increases bonuses by 16%',0,1),
(9519,1001153,5,100,'Reduces penalties by 100%',0,0),
(9520,1001153,5,100,'Increases bonuses by 20%',0,1),
(9521,1001154,1,100,'Applies Enhance: Swarming Dive to qualifying pets.',0,0),
(9522,1001154,1,100,'Improves the damage of Swarming Dive by 1%',1,1),
(9523,1001154,2,100,'Applies Enhance: Swarming Dive to qualifying pets.',0,0),
(9524,1001154,2,100,'Improves the damage of Swarming Dive by 2%',1,1),
(9525,1001154,3,100,'Applies Enhance: Swarming Dive to qualifying pets.',0,0),
(9526,1001154,3,100,'Improves the damage of Swarming Dive by 3%',1,1),
(9527,1001154,4,100,'Applies Enhance: Swarming Dive to qualifying pets.',0,0),
(9528,1001154,4,100,'Improves the damage of Swarming Dive by 4%',1,1),
(9529,1001154,5,100,'Applies Enhance: Swarming Dive to qualifying pets.',0,0),
(9530,1001154,5,100,'Improves the damage of Swarming Dive by 5%',1,1),
(9531,1001154,6,100,'Applies Enhance: Swarming Dive to qualifying pets.',0,0),
(9532,1001154,6,100,'Improves the damage of Swarming Dive by 6%',1,1),
(9533,1001154,7,100,'Applies Enhance: Swarming Dive to qualifying pets.',0,0),
(9534,1001154,7,100,'Improves the damage of Swarming Dive by 7%',1,1),
(9535,1001154,8,100,'Applies Enhance: Swarming Dive to qualifying pets.',0,0),
(9536,1001154,8,100,'Improves the damage of Swarming Dive by 8%',1,1),
(9537,1001154,9,100,'Applies Enhance: Swarming Dive to qualifying pets.',0,0),
(9538,1001154,9,100,'Improves the damage of Swarming Dive by 9%',1,1),
(9539,1001154,10,100,'Applies Enhance: Swarming Dive to qualifying pets.',0,0),
(9540,1001154,10,100,'Improves the damage of Swarming Dive by 10%',1,1),
(9541,1001155,1,100,'Increases trigger chance by 3%',0,0),
(9542,1001155,2,100,'Increases trigger chance by 6%',0,0),
(9543,1001155,3,100,'Increases trigger chance by 9%',0,0),
(9544,1001155,4,100,'Increases trigger chance by 12%',0,0),
(9545,1001155,5,100,'Increases trigger chance by 15%',0,0),
(9546,1001156,1,100,'Reduces the casting time of Tame Warder by 0.5 seconds.',0,0),
(9547,1001156,2,100,'Reduces the casting time of Tame Warder by 1 seconds.',0,0),
(9548,1001156,3,100,'Reduces the casting time of Tame Warder by 1.5 seconds.',0,0),
(9549,1001156,4,100,'Reduces the casting time of Tame Warder by 2 seconds.',0,0),
(9550,1001156,5,100,'Reduces the casting time of Tame Warder by 2.5 seconds.',0,0),
(9551,1001157,1,100,'Improves reuse speed by 3 seconds',0,0),
(9552,1001157,1,100,'Improves the Crit Bonus by 1.5%',0,1),
(9553,1001157,2,100,'Improves reuse speed by 6 seconds',0,0),
(9554,1001157,2,100,'Improves the Crit Bonus by 3%',0,1),
(9555,1001157,3,100,'Improves reuse speed by 9 seconds',0,0),
(9556,1001157,3,100,'Improves the Crit Bonus by 4.5%',0,1),
(9557,1001157,4,100,'Improves reuse speed by 12 seconds',0,0),
(9558,1001157,4,100,'Improves the Crit Bonus by 6%',0,1),
(9559,1001157,5,100,'Improves reuse speed by 15 seconds',0,0),
(9560,1001157,5,100,'Improves the Crit Bonus by 7.5%',0,1),
(9561,1001158,1,100,'Increases damage and hate increase by 4%',0,0),
(9562,1001159,1,100,'Reduces resistibility of Shout by 2%',0,0),
(9563,1001159,1,100,'Improves the threat amount of Shout by 6%.',0,1),
(9564,1001159,1,100,'Improves the threat amount of Provoke by 7%',0,2),
(9565,1001160,1,100,'Improves reuse speed of Silent Threat by 0.7 seconds',0,0),
(9566,1001160,1,100,'Increases taunt amount of Challenge by 4%',0,1),
(9567,1001160,1,100,'Reduces resistibility by 1%',0,2),
(9568,1001160,2,100,'Improves reuse speed of Silent Threat by 1.4 seconds',0,0),
(9569,1001160,2,100,'Increases taunt amount of Challenge by 8%',0,1),
(9570,1001160,2,100,'Reduces resistibility by 2%',0,2),
(9571,1001159,2,100,'Reduces resistibility of Shout by 4%',0,0),
(9572,1001159,2,100,'Improves the threat amount of Shout by 12%.',0,1),
(9573,1001159,2,100,'Improves the threat amount of Provoke by 14%',0,2),
(9574,1001160,3,100,'Improves reuse speed of Silent Threat by 2.1 seconds',0,0),
(9575,1001160,3,100,'Increases taunt amount of Challenge by 12%',0,1),
(9576,1001160,3,100,'Reduces resistibility by 3%',0,2),
(9577,1001159,3,100,'Reduces resistibility of Shout by 6%',0,0),
(9578,1001159,3,100,'Improves the threat amount of Shout by 18%.',0,1),
(9579,1001159,3,100,'Improves the threat amount of Provoke by 21%',0,2),
(9580,1001160,4,100,'Improves reuse speed of Silent Threat by 2.8 seconds',0,0),
(9581,1001160,4,100,'Increases taunt amount of Challenge by 16%',0,1),
(9582,1001160,4,100,'Reduces resistibility by 4%',0,2),
(9583,1001159,4,100,'Reduces resistibility of Shout by 8%',0,0),
(9584,1001159,4,100,'Improves the threat amount of Shout by 24%.',0,1),
(9585,1001159,4,100,'Improves the threat amount of Provoke by 28%',0,2),
(9586,1001160,5,100,'Improves reuse speed of Silent Threat by 3.5 seconds',0,0),
(9587,1001160,5,100,'Increases taunt amount of Challenge by 20%',0,1),
(9588,1001160,5,100,'Reduces resistibility by 5%',0,2),
(9589,1001159,5,100,'Reduces resistibility of Shout by 10%',0,0),
(9590,1001159,5,100,'Improves the threat amount of Shout by 30%.',0,1),
(9591,1001159,5,100,'Improves the threat amount of Provoke by 35%',0,2),
(9592,1001161,1,100,'Reduces duration by 0.8 seconds',0,0),
(9593,1001161,1,100,'Improves casting speed by 0.2 seconds',0,1),
(9594,1001161,1,100,'Improves the Crit Bonus by 2%',0,2),
(9595,1001161,2,100,'Reduces duration by 1.6 seconds',0,0),
(9596,1001161,2,100,'Improves casting speed by 0.4 seconds',0,1),
(9597,1001161,2,100,'Improves the Crit Bonus by 4%',0,2),
(9598,1001161,3,100,'Reduces duration by 2.4 seconds',0,0),
(9599,1001161,3,100,'Improves casting speed by 0.6 seconds',0,1),
(9600,1001161,3,100,'Improves the Crit Bonus by 6%',0,2),
(9601,1001161,4,100,'Reduces duration by 3.2 seconds',0,0),
(9602,1001161,4,100,'Improves casting speed by 0.8 seconds',0,1),
(9603,1001161,4,100,'Improves the Crit Bonus by 8%',0,2),
(9604,1001161,5,100,'Reduces duration by 4 seconds',0,0),
(9605,1001161,5,100,'Improves casting speed by 1 seconds',0,1),
(9606,1001161,5,100,'Improves the Crit Bonus by 10%',0,2),
(9607,1001162,1,100,'Increases trigger chance by 1%',0,0),
(9608,1001162,2,100,'Increases trigger chance by 2%',0,0),
(9609,1001162,3,100,'Increases trigger chance by 3%',0,0),
(9610,1001162,4,100,'Increases trigger chance by 4%',0,0),
(9611,1001162,5,100,'Increases trigger chance by 5%',0,0),
(9612,1001163,1,100,'Applies Enhance: Territorial Regeneration to qualifying pets.',0,0),
(9613,1001163,1,100,'Improves the heal amount of Territorial Regeneration by 2%',1,1),
(9614,1001163,2,100,'Applies Enhance: Territorial Regeneration to qualifying pets.',0,0),
(9615,1001163,2,100,'Improves the heal amount of Territorial Regeneration by 4%',1,1),
(9616,1001163,3,100,'Applies Enhance: Territorial Regeneration to qualifying pets.',0,0),
(9617,1001163,3,100,'Improves the heal amount of Territorial Regeneration by 6%',1,1),
(9618,1001163,4,100,'Applies Enhance: Territorial Regeneration to qualifying pets.',0,0),
(9619,1001163,4,100,'Improves the heal amount of Territorial Regeneration by 8%',1,1),
(9620,1001163,5,100,'Applies Enhance: Territorial Regeneration to qualifying pets.',0,0),
(9621,1001163,5,100,'Improves the heal amount of Territorial Regeneration by 10%',1,1),
(9622,1001163,6,100,'Applies Enhance: Territorial Regeneration to qualifying pets.',0,0),
(9623,1001163,6,100,'Improves the heal amount of Territorial Regeneration by 12%',1,1),
(9624,1001163,7,100,'Applies Enhance: Territorial Regeneration to qualifying pets.',0,0),
(9625,1001163,7,100,'Improves the heal amount of Territorial Regeneration by 14%',1,1),
(9626,1001163,8,100,'Applies Enhance: Territorial Regeneration to qualifying pets.',0,0),
(9627,1001163,8,100,'Improves the heal amount of Territorial Regeneration by 16%',1,1),
(9628,1001163,9,100,'Applies Enhance: Territorial Regeneration to qualifying pets.',0,0),
(9629,1001163,9,100,'Improves the heal amount of Territorial Regeneration by 18%',1,1),
(9630,1001163,10,100,'Applies Enhance: Territorial Regeneration to qualifying pets.',0,0),
(9631,1001163,10,100,'Improves the heal amount of Territorial Regeneration by 20%',1,1),
(9632,1001164,1,100,'Improves reuse speed by 30 seconds',0,0),
(9633,1001164,2,100,'Improves reuse speed by 60 seconds',0,0),
(9634,1001164,3,100,'Improves reuse speed by 90 seconds',0,0),
(9635,1001164,4,100,'Improves reuse speed by 120 seconds',0,0),
(9636,1001164,5,100,'Improves reuse speed by 150 seconds',0,0),
(9637,1001164,5,100,'Adds an extra hate position reduction to Terror Chant',0,1),
(9638,1001165,1,100,'Increases triggers by 1',0,0),
(9639,1001165,1,100,'Increases the damage of Theorems by 5%.',0,1),
(9640,1001165,2,100,'Increases triggers by 2',0,0),
(9641,1001165,2,100,'Increases the damage of Theorems by 10%.',0,1),
(9642,1001166,1,100,'Improves the ability modifier effects of Thieving Essence by 10%.',0,0),
(9643,1001166,1,100,'Thieving Essence will also siphon Potency.',0,1),
(9644,1001166,2,100,'Improves the ability modifier effects of Thieving Essence by 20%.',0,0),
(9645,1001166,2,100,'Thieving Essence will also siphon Potency.',0,1),
(9646,1001166,3,100,'Improves the ability modifier effects of Thieving Essence by 30%.',0,0),
(9647,1001166,3,100,'Thieving Essence will also siphon Potency.',0,1),
(9648,1001166,4,100,'Improves the ability modifier effects of Thieving Essence by 40%.',0,0),
(9649,1001166,4,100,'Thieving Essence will also siphon Potency.',0,1),
(9650,1001166,5,100,'Improves the ability modifier effects of Thieving Essence by 50%.',0,0),
(9651,1001166,5,100,'Thieving Essence will also siphon Potency.',0,1),
(9652,1001166,6,100,'Improves the ability modifier effects of Thieving Essence by 60%.',0,0),
(9653,1001166,6,100,'Thieving Essence will also siphon Potency.',0,1),
(9654,1001166,7,100,'Improves the ability modifier effects of Thieving Essence by 70%.',0,0),
(9655,1001166,7,100,'Thieving Essence will also siphon Potency.',0,1),
(9656,1001166,8,100,'Improves the ability modifier effects of Thieving Essence by 80%.',0,0),
(9657,1001166,8,100,'Thieving Essence will also siphon Potency.',0,1),
(9658,1001166,9,100,'Improves the ability modifier effects of Thieving Essence by 90%.',0,0),
(9659,1001166,9,100,'Thieving Essence will also siphon Potency.',0,1),
(9660,1001166,10,100,'Improves the ability modifier effects of Thieving Essence by 100%.',0,0),
(9661,1001166,10,100,'Thieving Essence will also siphon Potency.',0,1),
(9662,1001167,1,100,'Improves the damage by 5%',0,0),
(9663,1001167,2,100,'Improves the damage by 10%',0,0),
(9664,1001167,3,100,'Improves the damage by 15%',0,0),
(9665,1001167,4,100,'Improves the damage by 20%',0,0),
(9666,1001167,5,100,'Improves the damage by 25%',0,0),
(9667,1001168,1,100,'Improves reuse speed by 8 seconds',0,0),
(9668,1001168,1,100,'Improves casting speed by 0.4 seconds',0,1),
(9669,1001168,2,100,'Improves reuse speed by 16 seconds',0,0),
(9670,1001168,2,100,'Improves casting speed by 0.8 seconds',0,1),
(9671,1001168,3,100,'Improves reuse speed by 24 seconds',0,0),
(9672,1001168,3,100,'Improves casting speed by 1.2 seconds',0,1),
(9673,1001168,4,100,'Improves reuse speed by 32 seconds',0,0),
(9674,1001168,4,100,'Improves casting speed by 1.6 seconds',0,1),
(9675,1001168,5,100,'Improves reuse speed by 40 seconds',0,0),
(9676,1001168,5,100,'Improves casting speed by 2 seconds',0,1),
(9677,1001169,1,100,'Applies Enhance: Throat Bite to qualifying pets.',0,0),
(9678,1001169,1,100,'Improves the damage of Throat Bite by 1%',1,1),
(9679,1001169,2,100,'Applies Enhance: Throat Bite to qualifying pets.',0,0),
(9680,1001169,2,100,'Improves the damage of Throat Bite by 2%',1,1),
(9681,1001169,3,100,'Applies Enhance: Throat Bite to qualifying pets.',0,0),
(9682,1001169,3,100,'Improves the damage of Throat Bite by 3%',1,1),
(9683,1001169,4,100,'Applies Enhance: Throat Bite to qualifying pets.',0,0),
(9684,1001169,4,100,'Improves the damage of Throat Bite by 4%',1,1),
(9685,1001169,5,100,'Applies Enhance: Throat Bite to qualifying pets.',0,0),
(9686,1001169,5,100,'Improves the damage of Throat Bite by 5%',1,1),
(9687,1001169,6,100,'Applies Enhance: Throat Bite to qualifying pets.',0,0),
(9688,1001169,6,100,'Improves the damage of Throat Bite by 6%',1,1),
(9689,1001169,7,100,'Applies Enhance: Throat Bite to qualifying pets.',0,0),
(9690,1001169,7,100,'Improves the damage of Throat Bite by 7%',1,1),
(9691,1001169,8,100,'Applies Enhance: Throat Bite to qualifying pets.',0,0),
(9692,1001169,8,100,'Improves the damage of Throat Bite by 8%',1,1),
(9693,1001169,9,100,'Applies Enhance: Throat Bite to qualifying pets.',0,0),
(9694,1001169,9,100,'Improves the damage of Throat Bite by 9%',1,1),
(9695,1001169,10,100,'Applies Enhance: Throat Bite to qualifying pets.',0,0),
(9696,1001169,10,100,'Improves the damage of Throat Bite by 10%',1,1),
(9697,1001170,1,100,'Improves casting speed by 0.2 seconds',0,0),
(9698,1001170,1,100,'Improves reuse speed by 1 seconds',0,1),
(9699,1001170,1,100,'Improves the Crit Bonus by 1%',0,2),
(9700,1001170,2,100,'Improves casting speed by 0.4 seconds',0,0),
(9701,1001170,2,100,'Improves reuse speed by 2 seconds',0,1),
(9702,1001170,2,100,'Improves the Crit Bonus by 2%',0,2),
(9703,1001170,3,100,'Improves casting speed by 0.6 seconds',0,0),
(9704,1001170,3,100,'Improves reuse speed by 3 seconds',0,1),
(9705,1001170,3,100,'Improves the Crit Bonus by 3%',0,2),
(9706,1001170,4,100,'Improves casting speed by 0.8 seconds',0,0),
(9707,1001170,4,100,'Improves reuse speed by 4 seconds',0,1),
(9708,1001170,4,100,'Improves the Crit Bonus by 4%',0,2),
(9709,1001170,5,100,'Improves casting speed by 1 seconds',0,0),
(9710,1001170,5,100,'Improves reuse speed by 5 seconds',0,1),
(9711,1001170,5,100,'Improves the Crit Bonus by 5%',0,2),
(9712,1001171,1,100,'Improves the damage of Thunderclap by 6%.',0,0),
(9713,1001171,2,100,'Improves the damage of Thunderclap by 12%.',0,0),
(9714,1001171,3,100,'Improves the damage of Thunderclap by 18%.',0,0),
(9715,1001171,4,100,'Improves the damage of Thunderclap by 24%.',0,0),
(9716,1001171,5,100,'Improves the damage of Thunderclap by 30%.',0,0),
(9717,1001171,5,100,'Adds an additional trigger to Thunderclap if the target is within 25 meters.',0,1),
(9718,1001171,6,100,'Improves the damage of Thunderclap by 36%.',0,0),
(9719,1001171,6,100,'Adds an additional trigger to Thunderclap if the target is within 25 meters.',0,1),
(9720,1001171,7,100,'Improves the damage of Thunderclap by 42%.',0,0),
(9721,1001171,7,100,'Adds an additional trigger to Thunderclap if the target is within 25 meters.',0,1),
(9722,1001171,8,100,'Improves the damage of Thunderclap by 48%.',0,0),
(9723,1001171,8,100,'Adds an additional trigger to Thunderclap if the target is within 25 meters.',0,1),
(9724,1001171,9,100,'Improves the damage of Thunderclap by 54%.',0,0),
(9725,1001171,9,100,'Adds an additional trigger to Thunderclap if the target is within 25 meters.',0,1),
(9726,1001171,10,100,'Improves the damage of Thunderclap by 60%.',0,0),
(9727,1001171,10,100,'Adds an additional trigger to Thunderclap if the target is within 25 meters.',0,1),
(9728,1001171,10,100,'Adds an additional strike to Thunderclap if the target is within 15 meters.',0,2),
(9729,1001172,1,100,'Improves casting speed by 0.1 seconds',0,0),
(9730,1001172,1,100,'Increases damage by 2%',0,1),
(9731,1001172,2,100,'Improves casting speed by 0.2 seconds',0,0),
(9732,1001172,2,100,'Increases damage by 4%',0,1),
(9733,1001172,3,100,'Improves casting speed by 0.3 seconds',0,0),
(9734,1001172,3,100,'Increases damage by 6%',0,1),
(9735,1001172,4,100,'Improves casting speed by 0.4 seconds',0,0),
(9736,1001172,4,100,'Increases damage by 8%',0,1),
(9737,1001172,5,100,'Improves casting speed by 0.5 seconds',0,0),
(9738,1001172,5,100,'Increases damage by 10%',0,1),
(9739,1001173,1,100,'Increases heal amount by 10%',0,0),
(9740,1001173,2,100,'Increases heal amount by 20%',0,0),
(9741,1001173,3,100,'Increases heal amount by 30%',0,0),
(9742,1001173,4,100,'Increases heal amount by 40%',0,0),
(9743,1001173,5,100,'Increases heal amount by 50%',0,0),
(9744,1001174,1,100,'Improves casting speed by 0.1 seconds',0,0),
(9745,1001174,1,100,'Improves reuse speed by 3 seconds',0,1),
(9746,1001175,1,100,'Improves reuse speed by 2 seconds',0,0),
(9747,1001175,1,100,'Improves the mitigation reduction by 5%',0,1),
(9748,1001175,2,100,'Improves reuse speed by 4 seconds',0,0),
(9749,1001175,2,100,'Improves the mitigation reduction by 10%',0,1),
(9750,1001175,3,100,'Improves reuse speed by 6 seconds',0,0),
(9751,1001175,3,100,'Improves the mitigation reduction by 15%',0,1),
(9752,1001175,4,100,'Improves reuse speed by 8 seconds',0,0),
(9753,1001175,4,100,'Improves the mitigation reduction by 20%',0,1),
(9754,1001175,5,100,'Improves reuse speed by 10 seconds',0,0),
(9755,1001175,5,100,'Improves the mitigation reduction by 25%',0,1),
(9756,1001176,1,100,'Improves reuse speed by 5 seconds',0,0),
(9757,1001176,1,100,'Reduces the power cost by 20%',0,1),
(9758,1001176,2,100,'Improves reuse speed by 10 seconds',0,0),
(9759,1001176,2,100,'Reduces the power cost by 40%',0,1),
(9760,1001176,3,100,'Improves reuse speed by 15 seconds',0,0),
(9761,1001176,3,100,'Reduces the power cost by 60%',0,1),
(9762,1001176,4,100,'Improves reuse speed by 20 seconds',0,0),
(9763,1001176,4,100,'Reduces the power cost by 80%',0,1),
(9764,1001176,5,100,'Improves reuse speed by 25 seconds',0,0),
(9765,1001176,5,100,'Reduces the power cost by 100%',0,1),
(9766,1001177,1,100,'1% of target''s hate is transferred',0,0),
(9767,1001177,2,100,'2% of target''s hate is transferred',0,0),
(9768,1001177,3,100,'3% of target''s hate is transferred',0,0),
(9769,1001177,4,100,'4% of target''s hate is transferred',0,0),
(9770,1001177,5,100,'5% of target''s hate is transferred',0,0),
(9771,1001178,1,100,'Improves reuse speed by 3 seconds',0,0),
(9772,1001178,1,100,'Improves the Crit Bonus by 2%',0,1),
(9773,1001178,2,100,'Improves reuse speed by 6 seconds',0,0),
(9774,1001178,2,100,'Improves the Crit Bonus by 4%',0,1),
(9775,1001178,3,100,'Improves reuse speed by 9 seconds',0,0),
(9776,1001178,3,100,'Improves the Crit Bonus by 6%',0,1),
(9777,1001178,4,100,'Improves reuse speed by 12 seconds',0,0),
(9778,1001178,4,100,'Improves the Crit Bonus by 8%',0,1),
(9779,1001178,5,100,'Improves reuse speed by 15 seconds',0,0),
(9780,1001178,5,100,'Improves the Crit Bonus by 10%',0,1),
(9781,1001179,1,100,'Increases heal amount by 5%',0,0),
(9782,1001179,2,100,'Increases heal amount by 10%',0,0),
(9783,1001179,3,100,'Increases heal amount by 15%',0,0),
(9784,1001179,4,100,'Increases heal amount by 20%',0,0),
(9785,1001179,5,100,'Increases heal amount by 25%',0,0),
(9786,1001180,1,100,'Improves casting speed by 0.1 seconds',0,0),
(9787,1001180,1,100,'Increases damage by 1%',0,1),
(9788,1001180,2,100,'Improves casting speed by 0.2 seconds',0,0),
(9789,1001180,2,100,'Increases damage by 2%',0,1),
(9790,1001180,3,100,'Improves casting speed by 0.3 seconds',0,0),
(9791,1001180,3,100,'Increases damage by 3%',0,1),
(9792,1001180,4,100,'Improves casting speed by 0.4 seconds',0,0),
(9793,1001180,4,100,'Increases damage by 4%',0,1),
(9794,1001180,5,100,'Improves casting speed by 0.5 seconds',0,0),
(9795,1001180,5,100,'Increases damage by 5%',0,1),
(9796,1001181,1,100,'Improves reuse speed by 8 seconds',0,0),
(9797,1001181,1,100,'Improves the damage of ripostes by 5%',0,1),
(9798,1001181,2,100,'Improves reuse speed by 16 seconds',0,0),
(9799,1001181,2,100,'Improves the damage of ripostes by 10%',0,1),
(9800,1001181,3,100,'Improves reuse speed by 24 seconds',0,0),
(9801,1001181,3,100,'Improves the damage of ripostes by 15%',0,1),
(9802,1001181,4,100,'Improves reuse speed by 32 seconds',0,0),
(9803,1001181,4,100,'Improves the damage of ripostes by 20%',0,1),
(9804,1001181,5,100,'Improves reuse speed by 40 seconds',0,0),
(9805,1001181,5,100,'Improves the damage of ripostes by 25%',0,1),
(9806,1001182,1,100,'Increases the duration of Fury of the Storm by 1 seconds.',0,0),
(9807,1001182,1,100,'Improves the cure amount and radius by 5%',0,1),
(9808,1001182,2,100,'Increases the duration of Fury of the Storm by 2 seconds.',0,0),
(9809,1001182,2,100,'Improves the cure amount and radius by 10%',0,1),
(9810,1001182,3,100,'Increases the duration of Fury of the Storm by 3 seconds.',0,0),
(9811,1001182,3,100,'Improves the cure amount and radius by 15%',0,1),
(9812,1001182,4,100,'Increases the duration of Fury of the Storm by 4 seconds.',0,0),
(9813,1001182,4,100,'Improves the cure amount and radius by 20%',0,1),
(9814,1001182,5,100,'Increases the duration of Fury of the Storm by 5 seconds.',0,0),
(9815,1001182,5,100,'Improves the cure amount and radius by 25%',0,1),
(9816,1001182,6,100,'Increases the duration of Fury of the Storm by 6 seconds.',0,0),
(9817,1001182,6,100,'Improves the cure amount and radius by 30%',0,1),
(9818,1001182,7,100,'Increases the duration of Fury of the Storm by 7 seconds.',0,0),
(9819,1001182,7,100,'Improves the cure amount and radius by 35%',0,1),
(9820,1001182,8,100,'Increases the duration of Fury of the Storm by 8 seconds.',0,0),
(9821,1001182,8,100,'Improves the cure amount and radius by 40%',0,1),
(9822,1001182,9,100,'Increases the duration of Fury of the Storm by 9 seconds.',0,0),
(9823,1001182,9,100,'Improves the cure amount and radius by 45%',0,1),
(9824,1001182,10,100,'Increases the duration of Fury of the Storm by 10 seconds.',0,0),
(9825,1001182,10,100,'Adds an additional trigger to Fury of the Storm.',0,1),
(9826,1001182,10,100,'Improves the cure amount and radius by 50%',0,2),
(9827,1001183,1,100,'Increases attack speed reduction by 2',0,0),
(9828,1001183,2,100,'Increases attack speed reduction by 4',0,0),
(9829,1001183,3,100,'Increases attack speed reduction by 6',0,0),
(9830,1001183,4,100,'Increases attack speed reduction by 8',0,0),
(9831,1001183,5,100,'Increases attack speed reduction by 10',0,0),
(9832,1001184,1,100,'Reduces power cost by 3%',0,0),
(9833,1001184,1,100,'Improves reuse speed by 0.2 seconds',0,1),
(9834,1001184,1,100,'Improves the Crit Bonus by 1%',0,2),
(9835,1001184,2,100,'Reduces power cost by 6%',0,0),
(9836,1001184,2,100,'Improves reuse speed by 0.4 seconds',0,1),
(9837,1001184,2,100,'Improves the Crit Bonus by 2%',0,2),
(9838,1001184,3,100,'Reduces power cost by 9%',0,0),
(9839,1001184,3,100,'Improves reuse speed by 0.6 seconds',0,1),
(9840,1001184,3,100,'Improves the Crit Bonus by 3%',0,2),
(9841,1001184,4,100,'Reduces power cost by 12%',0,0),
(9842,1001184,4,100,'Improves reuse speed by 0.8 seconds',0,1),
(9843,1001184,4,100,'Improves the Crit Bonus by 4%',0,2),
(9844,1001184,5,100,'Reduces power cost by 15%',0,0),
(9845,1001184,5,100,'Improves reuse speed by 1 seconds',0,1),
(9846,1001184,5,100,'Improves the Crit Bonus by 5%',0,2),
(9847,1001185,1,100,'Reduces resistibility by 3%',0,0),
(9848,1001185,1,100,'Reduces power cost by 8%',0,1),
(9849,1001185,2,100,'Reduces resistibility by 6%',0,0),
(9850,1001185,2,100,'Reduces power cost by 16%',0,1),
(9851,1001185,3,100,'Reduces resistibility by 9%',0,0),
(9852,1001185,3,100,'Reduces power cost by 24%',0,1),
(9853,1001185,4,100,'Reduces resistibility by 12%',0,0),
(9854,1001185,4,100,'Reduces power cost by 32%',0,1),
(9855,1001185,5,100,'Reduces resistibility by 15%',0,0),
(9856,1001185,5,100,'Reduces power cost by 40%',0,1),
(9857,1001186,1,100,'Applies Enhance: Unbridled Rage to qualifying pets.',0,0),
(9858,1001186,1,100,'Improves the damage of Unbridled Rage by 1%',1,1),
(9859,1001186,2,100,'Applies Enhance: Unbridled Rage to qualifying pets.',0,0),
(9860,1001186,2,100,'Improves the damage of Unbridled Rage by 2%',1,1),
(9861,1001186,3,100,'Applies Enhance: Unbridled Rage to qualifying pets.',0,0),
(9862,1001186,3,100,'Improves the damage of Unbridled Rage by 3%',1,1),
(9863,1001186,4,100,'Applies Enhance: Unbridled Rage to qualifying pets.',0,0),
(9864,1001186,4,100,'Improves the damage of Unbridled Rage by 4%',1,1),
(9865,1001186,5,100,'Applies Enhance: Unbridled Rage to qualifying pets.',0,0),
(9866,1001186,5,100,'Improves the damage of Unbridled Rage by 5%',1,1),
(9867,1001186,6,100,'Applies Enhance: Unbridled Rage to qualifying pets.',0,0),
(9868,1001186,6,100,'Improves the damage of Unbridled Rage by 6%',1,1),
(9869,1001186,7,100,'Applies Enhance: Unbridled Rage to qualifying pets.',0,0),
(9870,1001186,7,100,'Improves the damage of Unbridled Rage by 7%',1,1),
(9871,1001186,8,100,'Applies Enhance: Unbridled Rage to qualifying pets.',0,0),
(9872,1001186,8,100,'Improves the damage of Unbridled Rage by 8%',1,1),
(9873,1001186,9,100,'Applies Enhance: Unbridled Rage to qualifying pets.',0,0),
(9874,1001186,9,100,'Improves the damage of Unbridled Rage by 9%',1,1),
(9875,1001186,10,100,'Applies Enhance: Unbridled Rage to qualifying pets.',0,0),
(9876,1001186,10,100,'Improves the damage of Unbridled Rage by 10%',1,1),
(9877,1001187,1,100,'Applies Enhance: Uncontrolled Rampage to qualifying pets.',0,0),
(9878,1001187,1,100,'Improves the damage of Uncontrolled Rampage by 1%',1,1),
(9879,1001187,2,100,'Applies Enhance: Uncontrolled Rampage to qualifying pets.',0,0),
(9880,1001187,2,100,'Improves the damage of Uncontrolled Rampage by 2%',1,1),
(9881,1001187,3,100,'Applies Enhance: Uncontrolled Rampage to qualifying pets.',0,0),
(9882,1001187,3,100,'Improves the damage of Uncontrolled Rampage by 3%',1,1),
(9883,1001187,4,100,'Applies Enhance: Uncontrolled Rampage to qualifying pets.',0,0),
(9884,1001187,4,100,'Improves the damage of Uncontrolled Rampage by 4%',1,1),
(9885,1001187,5,100,'Applies Enhance: Uncontrolled Rampage to qualifying pets.',0,0),
(9886,1001187,5,100,'Improves the damage of Uncontrolled Rampage by 5%',1,1),
(9887,1001187,6,100,'Applies Enhance: Uncontrolled Rampage to qualifying pets.',0,0),
(9888,1001187,6,100,'Improves the damage of Uncontrolled Rampage by 6%',1,1),
(9889,1001187,7,100,'Applies Enhance: Uncontrolled Rampage to qualifying pets.',0,0),
(9890,1001187,7,100,'Improves the damage of Uncontrolled Rampage by 7%',1,1),
(9891,1001187,8,100,'Applies Enhance: Uncontrolled Rampage to qualifying pets.',0,0),
(9892,1001187,8,100,'Improves the damage of Uncontrolled Rampage by 8%',1,1),
(9893,1001187,9,100,'Applies Enhance: Uncontrolled Rampage to qualifying pets.',0,0),
(9894,1001187,9,100,'Improves the damage of Uncontrolled Rampage by 9%',1,1),
(9895,1001187,10,100,'Applies Enhance: Uncontrolled Rampage to qualifying pets.',0,0),
(9896,1001187,10,100,'Improves the damage of Uncontrolled Rampage by 10%',1,1),
(9897,1001188,1,100,'Adds 1 additional minion',0,0),
(9898,1001188,2,100,'Adds 2 additional minion',0,0),
(9899,1001189,1,100,'Improves casting speed by 0.2 seconds',0,0),
(9900,1001189,1,100,'Improves the agility reduction by 7%',0,1),
(9901,1001189,2,100,'Improves casting speed by 0.4 seconds',0,0),
(9902,1001189,2,100,'Improves the agility reduction by 14%',0,1),
(9903,1001189,3,100,'Improves casting speed by 0.6 seconds',0,0),
(9904,1001189,3,100,'Improves the agility reduction by 21%',0,1),
(9905,1001189,4,100,'Improves casting speed by 0.8 seconds',0,0),
(9906,1001189,4,100,'Improves the agility reduction by 28%',0,1),
(9907,1001189,5,100,'Improves casting speed by 1 seconds',0,0),
(9908,1001189,5,100,'Improves the agility reduction by 35%',0,1),
(9909,1001190,1,100,'Increases the damage amount by 2%',0,0),
(9910,1001190,2,100,'Increases the damage amount by 4%',0,0),
(9911,1001190,3,100,'Increases the damage amount by 6%',0,0),
(9912,1001190,4,100,'Increases the heal amount by 8%',0,0),
(9913,1001190,5,100,'Increases the heal amount by 10%',0,0),
(9914,1001191,1,100,'Increases duration by 3 seconds',0,0),
(9915,1001191,2,100,'Increases duration by 6 seconds',0,0),
(9916,1001191,3,100,'Increases duration by 9 seconds',0,0),
(9917,1001191,4,100,'Increases duration by 12 seconds',0,0),
(9918,1001191,5,100,'Increases duration by 15 seconds',0,0),
(9919,1001192,1,100,'Increases trigger chance by 1%',0,0),
(9920,1001192,2,100,'Increases trigger chance by 2%',0,0),
(9921,1001193,1,100,'If you are Berserk when Unyielding Will expires, you escape its death effect.',0,0),
(9922,1001194,1,100,'Improves reuse speed by 75 seconds',0,0),
(9923,1001194,1,100,'Increases duration by 6 seconds',0,1),
(9924,1001194,2,100,'Improves reuse speed by 150 seconds',0,0),
(9925,1001194,2,100,'Increases duration by 12 seconds',0,1),
(9926,1001194,3,100,'Improves reuse speed by 225 seconds',0,0),
(9927,1001194,3,100,'Increases duration by 18 seconds',0,1),
(9928,1001194,4,100,'Improves reuse speed by 300 seconds',0,0),
(9929,1001194,4,100,'Increases duration by 24 seconds',0,1),
(9930,1001194,5,100,'Improves reuse speed by 375 seconds',0,0),
(9931,1001194,5,100,'Increases duration by 30 seconds',0,1),
(9932,1001195,1,100,'Increases damage by 5%',0,0),
(9933,1001195,2,100,'Increases damage by 10%',0,0),
(9934,1001195,3,100,'Increases damage by 15%',0,0),
(9935,1001195,4,100,'Increases damage by 20%',0,0),
(9936,1001195,5,100,'Increases damage by 25%',0,0),
(9937,1001196,1,100,'Adds a 5% chance to deal additional slashing damage with every melee attack',0,0),
(9938,1001196,2,100,'Adds a 10% chance to deal additional slashing damage with every melee attack',0,0),
(9939,1001196,3,100,'Adds a 15% chance to deal additional slashing damage with every melee attack',0,0),
(9940,1001196,4,100,'Adds a 20% chance to deal additional slashing damage with every melee attack',0,0),
(9941,1001196,5,100,'Adds a 25% chance to deal additional slashing damage with every melee attack',0,0),
(9942,1001197,1,100,'Increases disease and poison resist reduction by 7%',0,0),
(9943,1001197,2,100,'Increases disease and poison resist reduction by 14%',0,0),
(9944,1001197,3,100,'Increases disease and poison resist reduction by 21%',0,0),
(9945,1001197,4,100,'Increases disease and poison resist reduction by 28%',0,0),
(9946,1001197,5,100,'Increases disease and poison resist reduction by 35%',0,0),
(9947,1001198,1,100,'Improves the radius of Vector of Life by 10%',0,0),
(9948,1001198,2,100,'Improves the radius of Vector of Life by 20%',0,0),
(9949,1001198,3,100,'Improves the radius of Vector of Life by 30%',0,0),
(9950,1001198,4,100,'Improves the radius of Vector of Life by 40%',0,0),
(9951,1001198,5,100,'Improves the radius of Vector of Life by 50%',0,0),
(9952,1001199,1,100,'Improves reuse speed by 12 seconds',0,0),
(9953,1001199,1,100,'Reduces power cost by 20%',0,1),
(9954,1001199,2,100,'Improves reuse speed by 24 seconds',0,0),
(9955,1001199,2,100,'Reduces power cost by 40%',0,1),
(9956,1001199,3,100,'Improves reuse speed by 36 seconds',0,0),
(9957,1001199,3,100,'Reduces power cost by 60%',0,1),
(9958,1001199,4,100,'Improves reuse speed by 48 seconds',0,0),
(9959,1001199,4,100,'Reduces power cost by 80%',0,1),
(9960,1001199,5,100,'Improves reuse speed by 60 seconds',0,0),
(9961,1001199,5,100,'Reduces power cost by 100%',0,1),
(9962,1001200,1,100,'Increases trigger count by 1',0,0),
(9963,1001200,1,100,'Increases duration by 20%',0,1),
(9964,1001200,1,100,'Increases damage by 10%',0,2),
(9965,1001200,2,100,'Increases trigger count by 2',0,0),
(9966,1001200,2,100,'Increases duration by 40%',0,1),
(9967,1001200,2,100,'Increases damage by 20%',0,2),
(9968,1001200,3,100,'Increases trigger count by 3',0,0),
(9969,1001200,3,100,'Increases duration by 60%',0,1),
(9970,1001200,3,100,'Increases damage by 30%',0,2),
(9971,1001201,1,100,'Increases the damage of Vengeful Arrow by 2%',0,0),
(9972,1001201,2,100,'Increases the damage of Vengeful Arrow by 4%',0,0),
(9973,1001201,3,100,'Increases the damage of Vengeful Arrow by 6%',0,0),
(9974,1001201,4,100,'Increases the damage of Vengeful Arrow by 8%',0,0),
(9975,1001201,5,100,'Increases the damage of Vengeful Arrow by 10%',0,0),
(9976,1001202,1,100,'Applies Enhance: Venom Spray to qualifying pets.',0,0),
(9977,1001202,1,100,'Improves the damage of Venom Spray by 1%',1,1),
(9978,1001202,2,100,'Applies Enhance: Venom Spray to qualifying pets.',0,0),
(9979,1001202,2,100,'Improves the damage of Venom Spray by 2%',1,1),
(9980,1001202,3,100,'Applies Enhance: Venom Spray to qualifying pets.',0,0),
(9981,1001202,3,100,'Improves the damage of Venom Spray by 3%',1,1),
(9982,1001202,4,100,'Applies Enhance: Venom Spray to qualifying pets.',0,0),
(9983,1001202,4,100,'Improves the damage of Venom Spray by 4%',1,1),
(9984,1001202,5,100,'Applies Enhance: Venom Spray to qualifying pets.',0,0),
(9985,1001202,5,100,'Improves the damage of Venom Spray by 5%',1,1),
(9986,1001202,6,100,'Applies Enhance: Venom Spray to qualifying pets.',0,0),
(9987,1001202,6,100,'Improves the damage of Venom Spray by 6%',1,1),
(9988,1001202,7,100,'Applies Enhance: Venom Spray to qualifying pets.',0,0),
(9989,1001202,7,100,'Improves the damage of Venom Spray by 7%',1,1),
(9990,1001202,8,100,'Applies Enhance: Venom Spray to qualifying pets.',0,0),
(9991,1001202,8,100,'Improves the damage of Venom Spray by 8%',1,1),
(9992,1001202,9,100,'Applies Enhance: Venom Spray to qualifying pets.',0,0),
(9993,1001202,9,100,'Improves the damage of Venom Spray by 9%',1,1),
(9994,1001202,10,100,'Applies Enhance: Venom Spray to qualifying pets.',0,0),
(9995,1001202,10,100,'Improves the damage of Venom Spray by 10%',1,1),
(9996,1001203,1,100,'Adds an effect that provides a heal over time with a successful cure.',0,0),
(9997,1001203,2,100,'Adds an effect that provides a heal over time with a successful cure.',0,0),
(9998,1001203,3,100,'Adds an effect that provides a heal over time with a successful cure.',0,0),
(9999,1001203,4,100,'Adds an effect that provides a heal over time with a successful cure.',0,0),
(10000,1001203,5,100,'Adds an effect that provides a heal over time with a successful cure.',0,0),
(10001,1001204,1,100,'Adds an additional effect on Verdict that affects the creature when they cross the health threshold',0,0),
(10002,1001205,1,100,'Increases disease resist reduction by 6%',0,0),
(10003,1001205,2,100,'Increases disease resist reduction by 12%',0,0),
(10004,1001205,3,100,'Increases disease resist reduction by 18%',0,0),
(10005,1001205,4,100,'Increases disease resist reduction by 24%',0,0),
(10006,1001205,5,100,'Increases disease resist reduction by 30%',0,0),
(10007,1001206,1,100,'Applies Enhance: Vicious Charge to qualifying pets.',0,0),
(10008,1001206,1,100,'Improves the damage of Vicious Charge by 1%',1,1),
(10009,1001206,2,100,'Applies Enhance: Vicious Charge to qualifying pets.',0,0),
(10010,1001206,2,100,'Improves the damage of Vicious Charge by 2%',1,1),
(10011,1001206,3,100,'Applies Enhance: Vicious Charge to qualifying pets.',0,0),
(10012,1001206,3,100,'Improves the damage of Vicious Charge by 3%',1,1),
(10013,1001206,4,100,'Applies Enhance: Vicious Charge to qualifying pets.',0,0),
(10014,1001206,4,100,'Improves the damage of Vicious Charge by 4%',1,1),
(10015,1001206,5,100,'Applies Enhance: Vicious Charge to qualifying pets.',0,0),
(10016,1001206,5,100,'Improves the damage of Vicious Charge by 5%',1,1),
(10017,1001206,6,100,'Applies Enhance: Vicious Charge to qualifying pets.',0,0),
(10018,1001206,6,100,'Improves the damage of Vicious Charge by 6%',1,1),
(10019,1001206,7,100,'Applies Enhance: Vicious Charge to qualifying pets.',0,0),
(10020,1001206,7,100,'Improves the damage of Vicious Charge by 7%',1,1),
(10021,1001206,8,100,'Applies Enhance: Vicious Charge to qualifying pets.',0,0),
(10022,1001206,8,100,'Improves the damage of Vicious Charge by 8%',1,1),
(10023,1001206,9,100,'Applies Enhance: Vicious Charge to qualifying pets.',0,0),
(10024,1001206,9,100,'Improves the damage of Vicious Charge by 9%',1,1),
(10025,1001206,10,100,'Applies Enhance: Vicious Charge to qualifying pets.',0,0),
(10026,1001206,10,100,'Improves the damage of Vicious Charge by 10%',1,1),
(10027,1001207,1,100,'Applies Enhance: Vicious Feasting to qualifying pets.',0,0),
(10028,1001207,1,100,'Improves the damage and heal amount of Vicious Feasting by 1%',1,1),
(10029,1001207,2,100,'Applies Enhance: Vicious Feasting to qualifying pets.',0,0),
(10030,1001207,2,100,'Improves the damage and heal amount of Vicious Feasting by 2%',1,1),
(10031,1001207,3,100,'Applies Enhance: Vicious Feasting to qualifying pets.',0,0),
(10032,1001207,3,100,'Improves the damage and heal amount of Vicious Feasting by 3%',1,1),
(10033,1001207,4,100,'Applies Enhance: Vicious Feasting to qualifying pets.',0,0),
(10034,1001207,4,100,'Improves the damage and heal amount of Vicious Feasting by 4%',1,1),
(10035,1001207,5,100,'Applies Enhance: Vicious Feasting to qualifying pets.',0,0),
(10036,1001207,5,100,'Improves the damage and heal amount of Vicious Feasting by 5%',1,1),
(10037,1001207,6,100,'Applies Enhance: Vicious Feasting to qualifying pets.',0,0),
(10038,1001207,6,100,'Improves the damage and heal amount of Vicious Feasting by 6%',1,1),
(10039,1001207,7,100,'Applies Enhance: Vicious Feasting to qualifying pets.',0,0),
(10040,1001207,7,100,'Improves the damage and heal amount of Vicious Feasting by 7%',1,1),
(10041,1001207,8,100,'Applies Enhance: Vicious Feasting to qualifying pets.',0,0),
(10042,1001207,8,100,'Improves the damage and heal amount of Vicious Feasting by 8%',1,1),
(10043,1001207,9,100,'Applies Enhance: Vicious Feasting to qualifying pets.',0,0),
(10044,1001207,9,100,'Improves the damage and heal amount of Vicious Feasting by 9%',1,1),
(10045,1001207,10,100,'Applies Enhance: Vicious Feasting to qualifying pets.',0,0),
(10046,1001207,10,100,'Improves the damage and heal amount of Vicious Feasting by 10%',1,1),
(10047,1001208,1,100,'Applies Enhance: Vicious Talons to qualifying pets.',0,0),
(10048,1001208,1,100,'Improves the damage of Vicious Talons by 1%',1,1),
(10049,1001208,2,100,'Applies Enhance: Vicious Talons to qualifying pets.',0,0),
(10050,1001208,2,100,'Improves the damage of Vicious Talons by 2%',1,1),
(10051,1001208,3,100,'Applies Enhance: Vicious Talons to qualifying pets.',0,0),
(10052,1001208,3,100,'Improves the damage of Vicious Talons by 3%',1,1),
(10053,1001208,4,100,'Applies Enhance: Vicious Talons to qualifying pets.',0,0),
(10054,1001208,4,100,'Improves the damage of Vicious Talons by 4%',1,1),
(10055,1001208,5,100,'Applies Enhance: Vicious Talons to qualifying pets.',0,0),
(10056,1001208,5,100,'Improves the damage of Vicious Talons by 5%',1,1),
(10057,1001208,6,100,'Applies Enhance: Vicious Talons to qualifying pets.',0,0),
(10058,1001208,6,100,'Improves the damage of Vicious Talons by 6%',1,1),
(10059,1001208,7,100,'Applies Enhance: Vicious Talons to qualifying pets.',0,0),
(10060,1001208,7,100,'Improves the damage of Vicious Talons by 7%',1,1),
(10061,1001208,8,100,'Applies Enhance: Vicious Talons to qualifying pets.',0,0),
(10062,1001208,8,100,'Improves the damage of Vicious Talons by 8%',1,1),
(10063,1001208,9,100,'Applies Enhance: Vicious Talons to qualifying pets.',0,0),
(10064,1001208,9,100,'Improves the damage of Vicious Talons by 9%',1,1),
(10065,1001208,10,100,'Applies Enhance: Vicious Talons to qualifying pets.',0,0),
(10066,1001208,10,100,'Improves the damage of Vicious Talons by 10%',1,1),
(10067,1001209,1,100,'Increases noxious and elemental resist reduction by 6%',0,0),
(10068,1001209,2,100,'Increases noxious and elemental resist reduction by 12%',0,0),
(10069,1001209,3,100,'Increases noxious and elemental resist reduction by 18%',0,0),
(10070,1001209,4,100,'Increases noxious and elemental resist reduction by 24%',0,0),
(10071,1001209,5,100,'Increases noxious and elemental resist reduction by 30%',0,0),
(10072,1001210,1,100,'Increases agility reduction by 6%',0,0),
(10073,1001210,2,100,'Increases agility reduction by 12%',0,0),
(10074,1001210,3,100,'Increases agility reduction by 18%',0,0),
(10075,1001210,4,100,'Increases agility reduction by 24%',0,0),
(10076,1001210,5,100,'Increases agility reduction by 30%',0,0),
(10077,1001211,1,100,'Improves reuse speed by 24 seconds',0,0),
(10078,1001211,1,100,'Reduces incoming damage by 6% when Madness is active',0,1),
(10079,1001211,2,100,'Improves reuse speed by 48 seconds',0,0),
(10080,1001211,2,100,'Reduces incoming damage by 12% when Madness is active',0,1),
(10081,1001211,3,100,'Improves reuse speed by 72 seconds',0,0),
(10082,1001211,3,100,'Reduces incoming damage by 18% when Madness is active',0,1),
(10083,1001211,4,100,'Improves reuse speed by 96 seconds',0,0),
(10084,1001211,4,100,'Reduces incoming damage by 24% when Madness is active',0,1),
(10085,1001211,5,100,'Improves reuse speed by 120 seconds',0,0),
(10086,1001211,5,100,'Reduces incoming damage by 30% when Madness is active',0,1),
(10087,1001212,1,100,'Increases power heal amount by 7%',0,0),
(10088,1001213,1,100,'Increases base damage by 5%',0,0),
(10089,1001213,1,100,'Increases healing by 5%',0,1),
(10090,1001213,2,100,'Increases base damage by 10%',0,0),
(10091,1001213,2,100,'Increases healing by 10%',0,1),
(10092,1001213,3,100,'Increases base damage by 15%',0,0),
(10093,1001213,3,100,'Increases healing by 15%',0,1),
(10094,1001213,4,100,'Increases base damage by 20%',0,0),
(10095,1001213,4,100,'Increases healing by 20%',0,1),
(10096,1001213,5,100,'Increases base damage by 25%',0,0),
(10097,1001213,5,100,'Increases healing by 25%',0,1),
(10098,1001214,1,100,'Improves reuse speed by 5 seconds',0,0),
(10099,1001214,1,100,'Improves radius by 10%',0,1),
(10100,1001214,2,100,'Improves reuse speed by 10 seconds',0,0),
(10101,1001214,2,100,'Improves radius by 20%',0,1),
(10102,1001214,3,100,'Improves reuse speed by 15 seconds',0,0),
(10103,1001214,3,100,'Improves radius by 30%',0,1),
(10104,1001214,4,100,'Improves reuse speed by 20 seconds',0,0),
(10105,1001214,4,100,'Improves radius by 40%',0,1),
(10106,1001214,5,100,'Improves reuse speed by 25 seconds',0,0),
(10107,1001214,5,100,'Improves radius by 50%',0,1),
(10108,1001215,1,100,'Increases duration by 3 seconds',0,0),
(10109,1001215,2,100,'Increases duration by 6 seconds',0,0),
(10110,1001215,3,100,'Increases duration by 9 seconds',0,0),
(10111,1001215,4,100,'Increases duration by 12 seconds',0,0),
(10112,1001215,5,100,'Increases duration by 15 seconds',0,0),
(10113,1001216,1,100,'Increases trigger chance by 1%',0,0),
(10114,1001217,1,100,'Increases mitigation by 10%',0,0),
(10115,1001217,2,100,'Increases mitigation by 20%',0,0),
(10116,1001217,3,100,'Increases mitigation by 30%',0,0),
(10117,1001217,4,100,'Increases mitigation by 40%',0,0),
(10118,1001217,5,100,'Increases mitigation by 50%',0,0),
(10119,1001218,1,100,'Reduces power cost by 10%',0,0),
(10120,1001218,1,100,'Improves casting speed by 0.1 seconds',0,1),
(10121,1001218,1,100,'Improves reuse speed by 1 seconds',0,2),
(10122,1001218,1,100,'Improves the Crit Bonus by 2%',0,3),
(10123,1001218,2,100,'Reduces power cost by 20%',0,0),
(10124,1001218,2,100,'Improves casting speed by 0.2 seconds',0,1),
(10125,1001218,2,100,'Improves reuse speed by 2 seconds',0,2),
(10126,1001218,2,100,'Improves the Crit Bonus by 4%',0,3),
(10127,1001218,3,100,'Reduces power cost by 30%',0,0),
(10128,1001218,3,100,'Improves casting speed by 0.3 seconds',0,1),
(10129,1001218,3,100,'Improves reuse speed by 3 seconds',0,2),
(10130,1001218,3,100,'Improves the Crit Bonus by 6%',0,3),
(10131,1001218,4,100,'Reduces power cost by 40%',0,0),
(10132,1001218,4,100,'Improves casting speed by 0.4 seconds',0,1),
(10133,1001218,4,100,'Improves reuse speed by 4 seconds',0,2),
(10134,1001218,4,100,'Improves the Crit Bonus by 8%',0,3),
(10135,1001218,5,100,'Reduces power cost by 50%',0,0),
(10136,1001218,5,100,'Improves casting speed by 0.5 seconds',0,1),
(10137,1001218,5,100,'Improves reuse speed by 5 seconds',0,2),
(10138,1001218,5,100,'Improves the Crit Bonus by 10%',0,3),
(10139,1001219,1,100,'Applies Enhance: Warring Restoration to qualifying pets.',0,0),
(10140,1001219,1,100,'Improves the heal amount of Warring Restoration by 2%',1,1),
(10141,1001219,2,100,'Applies Enhance: Warring Restoration to qualifying pets.',0,0),
(10142,1001219,2,100,'Improves the heal amount of Warring Restoration by 4%',1,1),
(10143,1001219,3,100,'Applies Enhance: Warring Restoration to qualifying pets.',0,0),
(10144,1001219,3,100,'Improves the heal amount of Warring Restoration by 6%',1,1),
(10145,1001219,4,100,'Applies Enhance: Warring Restoration to qualifying pets.',0,0),
(10146,1001219,4,100,'Improves the heal amount of Warring Restoration by 8%',1,1),
(10147,1001219,5,100,'Applies Enhance: Warring Restoration to qualifying pets.',0,0),
(10148,1001219,5,100,'Improves the heal amount of Warring Restoration by 10%',1,1),
(10149,1001219,6,100,'Applies Enhance: Warring Restoration to qualifying pets.',0,0),
(10150,1001219,6,100,'Improves the heal amount of Warring Restoration by 12%',1,1),
(10151,1001219,7,100,'Applies Enhance: Warring Restoration to qualifying pets.',0,0),
(10152,1001219,7,100,'Improves the heal amount of Warring Restoration by 14%',1,1),
(10153,1001219,8,100,'Applies Enhance: Warring Restoration to qualifying pets.',0,0),
(10154,1001219,8,100,'Improves the heal amount of Warring Restoration by 16%',1,1),
(10155,1001219,9,100,'Applies Enhance: Warring Restoration to qualifying pets.',0,0),
(10156,1001219,9,100,'Improves the heal amount of Warring Restoration by 18%',1,1),
(10157,1001219,10,100,'Applies Enhance: Warring Restoration to qualifying pets.',0,0),
(10158,1001219,10,100,'Improves the heal amount of Warring Restoration by 20%',1,1),
(10159,1001220,1,100,'Improves the duration of Weaknesses by 0.5 seconds',0,0),
(10160,1001220,2,100,'Improves the duration of Weaknesses by 1 seconds',0,0),
(10161,1001220,3,100,'Improves the duration of Weaknesses by 1.5 seconds',0,0),
(10162,1001220,4,100,'Improves the duration of Weaknesses by 2 seconds',0,0),
(10163,1001220,5,100,'Improves the duration of Weaknesses by 2.5 seconds',0,0),
(10164,1001221,1,100,'Reduces the trigger reuse of Weaknesses by 0.5 seconds',0,0),
(10165,1001221,2,100,'Reduces the trigger reuse of Weaknesses by 1 seconds',0,0),
(10166,1001221,3,100,'Reduces the trigger reuse of Weaknesses by 1.5 seconds',0,0),
(10167,1001221,4,100,'Reduces the trigger reuse of Weaknesses by 2 seconds',0,0),
(10168,1001221,5,100,'Reduces the trigger reuse of Weaknesses by 2.5 seconds',0,0),
(10169,1001222,1,100,'Improves reuse speed by 2 seconds',0,0),
(10170,1001222,1,100,'Improves the Crit Bonus by 2%',0,1),
(10171,1001222,2,100,'Improves reuse speed by 4 seconds',0,0),
(10172,1001222,2,100,'Improves the Crit Bonus by 4%',0,1),
(10173,1001222,3,100,'Improves reuse speed by 6 seconds',0,0),
(10174,1001222,3,100,'Improves the Crit Bonus by 6%',0,1),
(10175,1001222,4,100,'Improves reuse speed by 8 seconds',0,0),
(10176,1001222,4,100,'Improves the Crit Bonus by 8%',0,1),
(10177,1001222,5,100,'Improves reuse speed by 10 seconds',0,0),
(10178,1001222,5,100,'Improves the Crit Bonus by 10%',0,1),
(10179,1001223,1,100,'Applies Enhance: Weighted Charge to qualifying pets.',0,0),
(10180,1001223,1,100,'Improves the damage of Weighted Charge by 1%',1,1),
(10181,1001223,2,100,'Applies Enhance: Weighted Charge to qualifying pets.',0,0),
(10182,1001223,2,100,'Improves the damage of Weighted Charge by 2%',1,1),
(10183,1001223,3,100,'Applies Enhance: Weighted Charge to qualifying pets.',0,0),
(10184,1001223,3,100,'Improves the damage of Weighted Charge by 3%',1,1),
(10185,1001223,4,100,'Applies Enhance: Weighted Charge to qualifying pets.',0,0),
(10186,1001223,4,100,'Improves the damage of Weighted Charge by 4%',1,1),
(10187,1001223,5,100,'Applies Enhance: Weighted Charge to qualifying pets.',0,0),
(10188,1001223,5,100,'Improves the damage of Weighted Charge by 5%',1,1),
(10189,1001223,6,100,'Applies Enhance: Weighted Charge to qualifying pets.',0,0),
(10190,1001223,6,100,'Improves the damage of Weighted Charge by 6%',1,1),
(10191,1001223,7,100,'Applies Enhance: Weighted Charge to qualifying pets.',0,0),
(10192,1001223,7,100,'Improves the damage of Weighted Charge by 7%',1,1),
(10193,1001223,8,100,'Applies Enhance: Weighted Charge to qualifying pets.',0,0),
(10194,1001223,8,100,'Improves the damage of Weighted Charge by 8%',1,1),
(10195,1001223,9,100,'Applies Enhance: Weighted Charge to qualifying pets.',0,0),
(10196,1001223,9,100,'Improves the damage of Weighted Charge by 9%',1,1),
(10197,1001223,10,100,'Applies Enhance: Weighted Charge to qualifying pets.',0,0),
(10198,1001223,10,100,'Improves the damage of Weighted Charge by 10%',1,1),
(10199,1001224,1,100,'Applies Enhance: Wild Charge to qualifying pets.',0,0),
(10200,1001224,1,100,'Improves the damage of Wild Charge by 1%',1,1),
(10201,1001224,2,100,'Applies Enhance: Wild Charge to qualifying pets.',0,0),
(10202,1001224,2,100,'Improves the damage of Wild Charge by 2%',1,1),
(10203,1001224,3,100,'Applies Enhance: Wild Charge to qualifying pets.',0,0),
(10204,1001224,3,100,'Improves the damage of Wild Charge by 3%',1,1),
(10205,1001224,4,100,'Applies Enhance: Wild Charge to qualifying pets.',0,0),
(10206,1001224,4,100,'Improves the damage of Wild Charge by 4%',1,1),
(10207,1001224,5,100,'Applies Enhance: Wild Charge to qualifying pets.',0,0),
(10208,1001224,5,100,'Improves the damage of Wild Charge by 5%',1,1),
(10209,1001224,6,100,'Applies Enhance: Wild Charge to qualifying pets.',0,0),
(10210,1001224,6,100,'Improves the damage of Wild Charge by 6%',1,1),
(10211,1001224,7,100,'Applies Enhance: Wild Charge to qualifying pets.',0,0),
(10212,1001224,7,100,'Improves the damage of Wild Charge by 7%',1,1),
(10213,1001224,8,100,'Applies Enhance: Wild Charge to qualifying pets.',0,0),
(10214,1001224,8,100,'Improves the damage of Wild Charge by 8%',1,1),
(10215,1001224,9,100,'Applies Enhance: Wild Charge to qualifying pets.',0,0),
(10216,1001224,9,100,'Improves the damage of Wild Charge by 9%',1,1),
(10217,1001224,10,100,'Applies Enhance: Wild Charge to qualifying pets.',0,0),
(10218,1001224,10,100,'Improves the damage of Wild Charge by 10%',1,1),
(10219,1001225,1,100,'Applies Enhance: Wild Snapping to qualifying pets.',0,0),
(10220,1001225,1,100,'Improves the damage of Wild Snapping by 1%',1,1),
(10221,1001225,2,100,'Applies Enhance: Wild Snapping to qualifying pets.',0,0),
(10222,1001225,2,100,'Improves the damage of Wild Snapping by 2%',1,1),
(10223,1001225,3,100,'Applies Enhance: Wild Snapping to qualifying pets.',0,0),
(10224,1001225,3,100,'Improves the damage of Wild Snapping by 3%',1,1),
(10225,1001225,4,100,'Applies Enhance: Wild Snapping to qualifying pets.',0,0),
(10226,1001225,4,100,'Improves the damage of Wild Snapping by 4%',1,1),
(10227,1001225,5,100,'Applies Enhance: Wild Snapping to qualifying pets.',0,0),
(10228,1001225,5,100,'Improves the damage of Wild Snapping by 5%',1,1),
(10229,1001225,6,100,'Applies Enhance: Wild Snapping to qualifying pets.',0,0),
(10230,1001225,6,100,'Improves the damage of Wild Snapping by 6%',1,1),
(10231,1001225,7,100,'Applies Enhance: Wild Snapping to qualifying pets.',0,0),
(10232,1001225,7,100,'Improves the damage of Wild Snapping by 7%',1,1),
(10233,1001225,8,100,'Applies Enhance: Wild Snapping to qualifying pets.',0,0),
(10234,1001225,8,100,'Improves the damage of Wild Snapping by 8%',1,1),
(10235,1001225,9,100,'Applies Enhance: Wild Snapping to qualifying pets.',0,0),
(10236,1001225,9,100,'Improves the damage of Wild Snapping by 9%',1,1),
(10237,1001225,10,100,'Applies Enhance: Wild Snapping to qualifying pets.',0,0),
(10238,1001225,10,100,'Improves the damage of Wild Snapping by 10%',1,1),
(10239,1001226,1,100,'Will of the Heavens and its upgrades gain the ability to cure Physical effects',0,0),
(10240,1001227,1,100,'Reduces the recast time of Will of the Heavens by 10 seconds.',0,0),
(10241,1001227,2,100,'Reduces the recast time of Will of the Heavens by 20 seconds.',0,0),
(10242,1001227,3,100,'Reduces the recast time of Will of the Heavens by 30 seconds.',0,0),
(10243,1001227,3,100,'Adds crush, slash, and pierce curing',0,1),
(10244,1001228,1,100,'Improves reuse speed by 20 seconds',0,0),
(10245,1001228,2,100,'Improves reuse speed by 40 seconds',0,0),
(10246,1001228,3,100,'Improves reuse speed by 60 seconds',0,0),
(10247,1001228,4,100,'Improves reuse speed by 80 seconds',0,0),
(10248,1001228,5,100,'Improves reuse speed by 100 seconds',0,0),
(10249,1001228,5,100,'Adds an extra hate position reduction to Willow Wisp',0,1),
(10250,1001229,1,100,'Reduces duration by 3 seconds',0,0),
(10251,1001229,2,100,'Reduces duration by 6 seconds',0,0),
(10252,1001229,3,100,'Reduces duration by 9 seconds',0,0),
(10253,1001229,4,100,'Reduces duration by 12 seconds',0,0),
(10254,1001229,5,100,'Reduces duration by 15 seconds',0,0),
(10255,1001230,1,100,'Applies Enhance: Wing Beat to qualifying pets.',0,0),
(10256,1001230,1,100,'Improves the damage of Wing Beat by 1%',1,1),
(10257,1001230,2,100,'Applies Enhance: Wing Beat to qualifying pets.',0,0),
(10258,1001230,2,100,'Improves the damage of Wing Beat by 2%',1,1),
(10259,1001230,3,100,'Applies Enhance: Wing Beat to qualifying pets.',0,0),
(10260,1001230,3,100,'Improves the damage of Wing Beat by 3%',1,1),
(10261,1001230,4,100,'Applies Enhance: Wing Beat to qualifying pets.',0,0),
(10262,1001230,4,100,'Improves the damage of Wing Beat by 4%',1,1),
(10263,1001230,5,100,'Applies Enhance: Wing Beat to qualifying pets.',0,0),
(10264,1001230,5,100,'Improves the damage of Wing Beat by 5%',1,1),
(10265,1001230,6,100,'Applies Enhance: Wing Beat to qualifying pets.',0,0),
(10266,1001230,6,100,'Improves the damage of Wing Beat by 6%',1,1),
(10267,1001230,7,100,'Applies Enhance: Wing Beat to qualifying pets.',0,0),
(10268,1001230,7,100,'Improves the damage of Wing Beat by 7%',1,1),
(10269,1001230,8,100,'Applies Enhance: Wing Beat to qualifying pets.',0,0),
(10270,1001230,8,100,'Improves the damage of Wing Beat by 8%',1,1),
(10271,1001230,9,100,'Applies Enhance: Wing Beat to qualifying pets.',0,0),
(10272,1001230,9,100,'Improves the damage of Wing Beat by 9%',1,1),
(10273,1001230,10,100,'Applies Enhance: Wing Beat to qualifying pets.',0,0),
(10274,1001230,10,100,'Improves the damage of Wing Beat by 10%',1,1),
(10275,1001231,1,100,'Reduces the duration of Wrath of Nature by 1 seconds.',0,0),
(10276,1001231,1,100,'Improves the reuse speed of Wrath of Nature by 5%.',0,1),
(10277,1001231,2,100,'Reduces the duration of Wrath of Nature by 2 seconds.',0,0),
(10278,1001231,2,100,'Improves the reuse speed of Wrath of Nature by 10%.',0,1),
(10279,1001231,3,100,'Reduces the duration of Wrath of Nature by 3 seconds.',0,0),
(10280,1001231,3,100,'Improves the reuse speed of Wrath of Nature by 15%.',0,1),
(10281,1001231,4,100,'Reduces the duration of Wrath of Nature by 4 seconds.',0,0),
(10282,1001231,4,100,'Improves the reuse speed of Wrath of Nature by 20%.',0,1),
(10283,1001231,5,100,'Reduces the duration of Wrath of Nature by 5 seconds.',0,0),
(10284,1001231,5,100,'Improves the reuse speed of Wrath of Nature by 25%.',0,1),
(10285,1001231,6,100,'Reduces the duration of Wrath of Nature by 6 seconds.',0,0),
(10286,1001231,6,100,'Improves the reuse speed of Wrath of Nature by 30%.',0,1),
(10287,1001231,7,100,'Reduces the duration of Wrath of Nature by 7 seconds.',0,0),
(10288,1001231,7,100,'Improves the reuse speed of Wrath of Nature by 35%.',0,1),
(10289,1001231,8,100,'Reduces the duration of Wrath of Nature by 8 seconds.',0,0),
(10290,1001231,8,100,'Improves the reuse speed of Wrath of Nature by 40%.',0,1),
(10291,1001231,9,100,'Reduces the duration of Wrath of Nature by 9 seconds.',0,0),
(10292,1001231,9,100,'Improves the reuse speed of Wrath of Nature by 45%.',0,1),
(10293,1001231,10,100,'Reduces the duration of Wrath of Nature by 10 seconds.',0,0),
(10294,1001231,10,100,'Adds an additional tick to Wrath of Nature.',0,1),
(10295,1001231,10,100,'Improves the reuse speed of Wrath of Nature by 50%.',0,2),
(10296,1001232,1,100,'Increases spell resist reduction by 5%',0,0),
(10297,1001232,2,100,'Increases spell resist reduction by 10%',0,0),
(10298,1001232,3,100,'Increases spell resist reduction by 15%',0,0),
(10299,1001232,4,100,'Increases spell resist reduction by 20%',0,0),
(10300,1001232,5,100,'Increases spell resist reduction by 25%',0,0),
(10301,1001233,1,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10302,1001233,1,100,'Increases Haste of caster by 2.0',1,1),
(10303,1001233,1,100,'Increases Multi Attack of caster by 2.0',1,2),
(10304,1001234,1,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10305,1001234,1,100,'Increases Haste of caster by 2.0',1,1),
(10306,1001234,1,100,'Increases Multi Attack of caster by 2.0',1,2),
(10307,1001235,1,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10308,1001235,1,100,'Increases Haste of caster by 2.0',1,1),
(10309,1001235,1,100,'Increases Multi Attack of caster by 2.0',1,2),
(10310,1001236,1,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10311,1001236,1,100,'Increases Haste of caster by 2.0',1,1),
(10312,1001236,1,100,'Increases Multi Attack of caster by 2.0',1,2),
(10313,1001237,1,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10314,1001237,1,100,'Increases Attack Speed of caster by 2.0',1,1),
(10315,1001237,1,100,'Increases Multi Attack Chance of caster by 2.0',1,2),
(10316,1001238,1,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10317,1001238,1,100,'Increases Haste of caster by 2.0',1,1),
(10318,1001238,1,100,'Increases Multi Attack of caster by 2.0',1,2),
(10319,1001239,1,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10320,1001239,1,100,'Increases Haste of caster by 2.0',1,1),
(10321,1001239,1,100,'Increases Multi Attack of caster by 2.0',1,2),
(10322,1001240,1,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10323,1001240,1,100,'Increases Haste of caster by 2.0',1,1),
(10324,1001240,1,100,'Increases Multi Attack of caster by 2.0',1,2),
(10325,1001241,1,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10326,1001241,1,100,'Increases Haste of caster by 2.0',1,1),
(10327,1001241,1,100,'Increases Multi Attack of caster by 2.0',1,2),
(10328,1001242,1,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10329,1001242,1,100,'Increases Haste of caster by 2.0',1,1),
(10330,1001242,1,100,'Increases Multi Attack of caster by 2.0',1,2),
(10331,1001243,1,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10332,1001243,1,100,'Increases Haste of caster by 2.0',1,1),
(10333,1001243,1,100,'Increases Multi Attack of caster by 2.0',1,2),
(10334,1001244,1,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10335,1001244,1,100,'Increases Haste of caster by 2.0',1,1),
(10336,1001244,1,100,'Increases Multi Attack of caster by 2.0',1,2),
(10337,1001245,1,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10338,1001245,1,100,'Increases Haste of caster by 2.0',1,1),
(10339,1001245,1,100,'Increases Multi Attack of caster by 2.0',1,2),
(10340,1001235,2,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10341,1001235,2,100,'Increases Attack Speed of caster by 4.0',1,1),
(10342,1001235,2,100,'Increases Multi Attack Chance of caster by 4.0',1,2),
(10343,1001244,2,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10344,1001244,2,100,'Increases Attack Speed of caster by 4.0',1,1),
(10345,1001244,2,100,'Increases Multi Attack Chance of caster by 4.0',1,2),
(10346,1001241,2,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10347,1001241,2,100,'Increases Haste of caster by 4.0',1,1),
(10348,1001241,2,100,'Increases Multi Attack of caster by 4.0',1,2),
(10349,1001238,2,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10350,1001238,2,100,'Increases Attack Speed of caster by 4.0',1,1),
(10351,1001238,2,100,'Increases Multi Attack Chance of caster by 4.0',1,2),
(10352,1001239,2,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10353,1001239,2,100,'Increases Haste of caster by 4.0',1,1),
(10354,1001239,2,100,'Increases Multi Attack of caster by 4.0',1,2),
(10355,1001243,2,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10356,1001243,2,100,'Increases Attack Speed of caster by 4.0',1,1),
(10357,1001243,2,100,'Increases Multi Attack Chance of caster by 4.0',1,2),
(10358,1001242,2,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10359,1001242,2,100,'Increases Haste of caster by 4.0',1,1),
(10360,1001242,2,100,'Increases Multi Attack of caster by 4.0',1,2),
(10361,1001240,2,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10362,1001240,2,100,'Increases Attack Speed of caster by 4.0',1,1),
(10363,1001240,2,100,'Increases Multi Attack Chance of caster by 4.0',1,2),
(10364,1001233,2,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10365,1001233,2,100,'Increases Attack Speed of caster by 4.0',1,1),
(10366,1001233,2,100,'Increases Multi Attack Chance of caster by 4.0',1,2),
(10367,1001234,2,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10368,1001234,2,100,'Increases Haste of caster by 4.0',1,1),
(10369,1001234,2,100,'Increases Multi Attack of caster by 4.0',1,2),
(10370,1001237,2,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10371,1001237,2,100,'Increases Haste of caster by 4.0',1,1),
(10372,1001237,2,100,'Increases Multi Attack of caster by 4.0',1,2),
(10373,1001245,2,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10374,1001245,2,100,'Increases Attack Speed of caster by 4.0',1,1),
(10375,1001245,2,100,'Increases Multi Attack Chance of caster by 4.0',1,2),
(10376,1001234,3,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10377,1001234,3,100,'Increases Haste of caster by 6.0',1,1),
(10378,1001234,3,100,'Increases Multi Attack of caster by 6.0',1,2),
(10379,1001233,3,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10380,1001233,3,100,'Increases Haste of caster by 6.0',1,1),
(10381,1001233,3,100,'Increases Multi Attack of caster by 6.0',1,2),
(10382,1001242,3,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10383,1001242,3,100,'Increases Attack Speed of caster by 6.0',1,1),
(10384,1001242,3,100,'Increases Multi Attack Chance of caster by 6.0',1,2),
(10385,1001235,3,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10386,1001235,3,100,'Increases Attack Speed of caster by 6.0',1,1),
(10387,1001235,3,100,'Increases Multi Attack Chance of caster by 6.0',1,2),
(10388,1001244,3,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10389,1001244,3,100,'Increases Attack Speed of caster by 6.0',1,1),
(10390,1001244,3,100,'Increases Multi Attack Chance of caster by 6.0',1,2),
(10391,1001241,3,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10392,1001241,3,100,'Increases Attack Speed of caster by 6.0',1,1),
(10393,1001241,3,100,'Increases Multi Attack Chance of caster by 6.0',1,2),
(10394,1001238,3,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10395,1001238,3,100,'Increases Haste of caster by 6.0',1,1),
(10396,1001238,3,100,'Increases Multi Attack of caster by 6.0',1,2),
(10397,1001239,3,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10398,1001239,3,100,'Increases Haste of caster by 6.0',1,1),
(10399,1001239,3,100,'Increases Multi Attack of caster by 6.0',1,2),
(10400,1001243,3,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10401,1001243,3,100,'Increases Haste of caster by 6.0',1,1),
(10402,1001243,3,100,'Increases Multi Attack of caster by 6.0',1,2),
(10403,1001240,3,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10404,1001240,3,100,'Increases Haste of caster by 6.0',1,1),
(10405,1001240,3,100,'Increases Multi Attack of caster by 6.0',1,2),
(10406,1001237,3,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10407,1001237,3,100,'Increases Attack Speed of caster by 6.0',1,1),
(10408,1001237,3,100,'Increases Multi Attack Chance of caster by 6.0',1,2),
(10409,1001245,3,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10410,1001245,3,100,'Increases Haste of caster by 6.0',1,1),
(10411,1001245,3,100,'Increases Multi Attack of caster by 6.0',1,2),
(10412,1001235,4,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10413,1001235,4,100,'Increases Attack Speed of caster by 8.0',1,1),
(10414,1001235,4,100,'Increases Multi Attack Chance of caster by 8.0',1,2),
(10415,1001244,4,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10416,1001244,4,100,'Increases Attack Speed of caster by 8.0',1,1),
(10417,1001244,4,100,'Increases Multi Attack Chance of caster by 8.0',1,2),
(10418,1001241,4,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10419,1001241,4,100,'Increases Haste of caster by 8.0',1,1),
(10420,1001241,4,100,'Increases Multi Attack of caster by 8.0',1,2),
(10421,1001233,4,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10422,1001233,4,100,'Increases Attack Speed of caster by 8.0',1,1),
(10423,1001233,4,100,'Increases Multi Attack Chance of caster by 8.0',1,2),
(10424,1001238,4,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10425,1001238,4,100,'Increases Attack Speed of caster by 8.0',1,1),
(10426,1001238,4,100,'Increases Multi Attack Chance of caster by 8.0',1,2),
(10427,1001239,4,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10428,1001239,4,100,'Increases Haste of caster by 8.0',1,1),
(10429,1001239,4,100,'Increases Multi Attack of caster by 8.0',1,2),
(10430,1001242,4,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10431,1001242,4,100,'Increases Attack Speed of caster by 8.0',1,1),
(10432,1001242,4,100,'Increases Multi Attack Chance of caster by 8.0',1,2),
(10433,1001240,4,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10434,1001240,4,100,'Increases Attack Speed of caster by 8.0',1,1),
(10435,1001240,4,100,'Increases Multi Attack Chance of caster by 8.0',1,2),
(10436,1001234,4,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10437,1001234,4,100,'Increases Haste of caster by 8.0',1,1),
(10438,1001234,4,100,'Increases Multi Attack of caster by 8.0',1,2),
(10439,1001237,4,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10440,1001237,4,100,'Increases Attack Speed of caster by 8.0',1,1),
(10441,1001237,4,100,'Increases Multi Attack Chance of caster by 8.0',1,2),
(10442,1001245,4,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10443,1001245,4,100,'Increases Attack Speed of caster by 8.0',1,1),
(10444,1001245,4,100,'Increases Multi Attack Chance of caster by 8.0',1,2),
(10445,1001243,4,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10446,1001243,4,100,'Increases Attack Speed of caster by 8.0',1,1),
(10447,1001243,4,100,'Increases Multi Attack Chance of caster by 8.0',1,2),
(10448,1001243,5,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10449,1001243,5,100,'Increases Attack Speed of caster by 10.0',1,1),
(10450,1001243,5,100,'Increases Multi Attack Chance of caster by 10.0',1,2),
(10451,1001235,5,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10452,1001235,5,100,'Increases Attack Speed of caster by 10.0',1,1),
(10453,1001235,5,100,'Increases Multi Attack Chance of caster by 10.0',1,2),
(10454,1001244,5,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10455,1001244,5,100,'Increases Attack Speed of caster by 10.0',1,1),
(10456,1001244,5,100,'Increases Multi Attack Chance of caster by 10.0',1,2),
(10457,1001241,5,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10458,1001241,5,100,'Increases Haste of caster by 10.0',1,1),
(10459,1001241,5,100,'Increases Multi Attack of caster by 10.0',1,2),
(10460,1001233,5,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10461,1001233,5,100,'Increases Haste of caster by 10.0',1,1),
(10462,1001233,5,100,'Increases Multi Attack of caster by 10.0',1,2),
(10463,1001238,5,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10464,1001238,5,100,'Increases Haste of caster by 10.0',1,1),
(10465,1001238,5,100,'Increases Multi Attack of caster by 10.0',1,2),
(10466,1001239,5,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10467,1001239,5,100,'Increases Haste of caster by 10.0',1,1),
(10468,1001239,5,100,'Increases Multi Attack of caster by 10.0',1,2),
(10469,1001242,5,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10470,1001242,5,100,'Increases Haste of caster by 10.0',1,1),
(10471,1001242,5,100,'Increases Multi Attack of caster by 10.0',1,2),
(10472,1001240,5,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10473,1001240,5,100,'Increases Attack Speed of caster by 10.0',1,1),
(10474,1001240,5,100,'Increases Multi Attack Chance of caster by 10.0',1,2),
(10475,1001234,5,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10476,1001234,5,100,'Increases Haste of caster by 10.0',1,1),
(10477,1001234,5,100,'Increases Multi Attack of caster by 10.0',1,2),
(10478,1001245,5,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10479,1001245,5,100,'Increases Attack Speed of caster by 10.0',1,1),
(10480,1001245,5,100,'Increases Multi Attack Chance of caster by 10.0',1,2),
(10481,1001237,5,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10482,1001237,5,100,'Increases Haste of caster by 10.0',1,1),
(10483,1001237,5,100,'Increases Multi Attack of caster by 10.0',1,2),
(10484,1001242,6,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10485,1001242,6,100,'Increases Attack Speed of caster by 12.0',1,1),
(10486,1001242,6,100,'Increases Multi Attack Chance of caster by 12.0',1,2),
(10487,1001235,6,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10488,1001235,6,100,'Increases Attack Speed of caster by 12.0',1,1),
(10489,1001235,6,100,'Increases Multi Attack Chance of caster by 12.0',1,2),
(10490,1001244,6,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10491,1001244,6,100,'Increases Attack Speed of caster by 12.0',1,1),
(10492,1001244,6,100,'Increases Multi Attack Chance of caster by 12.0',1,2),
(10493,1001241,6,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10494,1001241,6,100,'Increases Attack Speed of caster by 12.0',1,1),
(10495,1001241,6,100,'Increases Multi Attack Chance of caster by 12.0',1,2),
(10496,1001233,6,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10497,1001233,6,100,'Increases Haste of caster by 12.0',1,1),
(10498,1001233,6,100,'Increases Multi Attack of caster by 12.0',1,2),
(10499,1001238,6,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10500,1001238,6,100,'Increases Attack Speed of caster by 12.0',1,1),
(10501,1001238,6,100,'Increases Multi Attack Chance of caster by 12.0',1,2),
(10502,1001243,6,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10503,1001243,6,100,'Increases Attack Speed of caster by 12.0',1,1),
(10504,1001243,6,100,'Increases Multi Attack Chance of caster by 12.0',1,2),
(10505,1001240,6,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10506,1001240,6,100,'Increases Haste of caster by 12.0',1,1),
(10507,1001240,6,100,'Increases Multi Attack of caster by 12.0',1,2),
(10508,1001234,6,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10509,1001234,6,100,'Increases Haste of caster by 12.0',1,1),
(10510,1001234,6,100,'Increases Multi Attack of caster by 12.0',1,2),
(10511,1001245,6,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10512,1001245,6,100,'Increases Haste of caster by 12.0',1,1),
(10513,1001245,6,100,'Increases Multi Attack of caster by 12.0',1,2),
(10514,1001237,6,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10515,1001237,6,100,'Increases Attack Speed of caster by 12.0',1,1),
(10516,1001237,6,100,'Increases Multi Attack Chance of caster by 12.0',1,2),
(10517,1001239,6,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10518,1001239,6,100,'Increases Attack Speed of caster by 12.0',1,1),
(10519,1001239,6,100,'Increases Multi Attack Chance of caster by 12.0',1,2),
(10520,1001235,7,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10521,1001235,7,100,'Increases Attack Speed of caster by 14.0',1,1),
(10522,1001235,7,100,'Increases Multi Attack Chance of caster by 14.0',1,2),
(10523,1001244,7,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10524,1001244,7,100,'Increases Attack Speed of caster by 14.0',1,1),
(10525,1001244,7,100,'Increases Multi Attack Chance of caster by 14.0',1,2),
(10526,1001241,7,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10527,1001241,7,100,'Increases Haste of caster by 14.0',1,1),
(10528,1001241,7,100,'Increases Multi Attack of caster by 14.0',1,2),
(10529,1001233,7,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10530,1001233,7,100,'Increases Attack Speed of caster by 14.0',1,1),
(10531,1001233,7,100,'Increases Multi Attack Chance of caster by 14.0',1,2),
(10532,1001238,7,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10533,1001238,7,100,'Increases Haste of caster by 14.0',1,1),
(10534,1001238,7,100,'Increases Multi Attack of caster by 14.0',1,2),
(10535,1001243,7,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10536,1001243,7,100,'Increases Attack Speed of caster by 14.0',1,1),
(10537,1001243,7,100,'Increases Multi Attack Chance of caster by 14.0',1,2),
(10538,1001242,7,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10539,1001242,7,100,'Increases Attack Speed of caster by 14.0',1,1),
(10540,1001242,7,100,'Increases Multi Attack Chance of caster by 14.0',1,2),
(10541,1001240,7,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10542,1001240,7,100,'Increases Attack Speed of caster by 14.0',1,1),
(10543,1001240,7,100,'Increases Multi Attack Chance of caster by 14.0',1,2),
(10544,1001234,7,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10545,1001234,7,100,'Increases Haste of caster by 14.0',1,1),
(10546,1001234,7,100,'Increases Multi Attack of caster by 14.0',1,2),
(10547,1001245,7,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10548,1001245,7,100,'Increases Attack Speed of caster by 14.0',1,1),
(10549,1001245,7,100,'Increases Multi Attack Chance of caster by 14.0',1,2),
(10550,1001237,7,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10551,1001237,7,100,'Increases Attack Speed of caster by 14.0',1,1),
(10552,1001237,7,100,'Increases Multi Attack Chance of caster by 14.0',1,2),
(10553,1001239,7,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10554,1001239,7,100,'Increases Attack Speed of caster by 14.0',1,1),
(10555,1001239,7,100,'Increases Multi Attack Chance of caster by 14.0',1,2),
(10556,1001235,8,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10557,1001235,8,100,'Increases Haste of caster by 16.0',1,1),
(10558,1001235,8,100,'Increases Multi Attack of caster by 16.0',1,2),
(10559,1001241,8,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10560,1001241,8,100,'Increases Attack Speed of caster by 16.0',1,1),
(10561,1001241,8,100,'Increases Multi Attack Chance of caster by 16.0',1,2),
(10562,1001233,8,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10563,1001233,8,100,'Increases Haste of caster by 16.0',1,1),
(10564,1001233,8,100,'Increases Multi Attack of caster by 16.0',1,2),
(10565,1001238,8,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10566,1001238,8,100,'Increases Attack Speed of caster by 16.0',1,1),
(10567,1001238,8,100,'Increases Multi Attack Chance of caster by 16.0',1,2),
(10568,1001239,8,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10569,1001239,8,100,'Increases Haste of caster by 16.0',1,1),
(10570,1001239,8,100,'Increases Multi Attack of caster by 16.0',1,2),
(10571,1001243,8,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10572,1001243,8,100,'Increases Attack Speed of caster by 16.0',1,1),
(10573,1001243,8,100,'Increases Multi Attack Chance of caster by 16.0',1,2),
(10574,1001244,8,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10575,1001244,8,100,'Increases Haste of caster by 16.0',1,1),
(10576,1001244,8,100,'Increases Multi Attack of caster by 16.0',1,2),
(10577,1001240,8,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10578,1001240,8,100,'Increases Haste of caster by 16.0',1,1),
(10579,1001240,8,100,'Increases Multi Attack of caster by 16.0',1,2),
(10580,1001242,8,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10581,1001242,8,100,'Increases Haste of caster by 16.0',1,1),
(10582,1001242,8,100,'Increases Multi Attack of caster by 16.0',1,2),
(10583,1001234,8,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10584,1001234,8,100,'Increases Haste of caster by 16.0',1,1),
(10585,1001234,8,100,'Increases Multi Attack of caster by 16.0',1,2),
(10586,1001237,8,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10587,1001237,8,100,'Increases Attack Speed of caster by 16.0',1,1),
(10588,1001237,8,100,'Increases Multi Attack Chance of caster by 16.0',1,2),
(10589,1001245,8,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10590,1001245,8,100,'Increases Haste of caster by 16.0',1,1),
(10591,1001245,8,100,'Increases Multi Attack of caster by 16.0',1,2),
(10592,1001235,9,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10593,1001235,9,100,'Increases Attack Speed of caster by 18.0',1,1),
(10594,1001235,9,100,'Increases Multi Attack Chance of caster by 18.0',1,2),
(10595,1001241,9,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10596,1001241,9,100,'Increases Attack Speed of caster by 18.0',1,1),
(10597,1001241,9,100,'Increases Multi Attack Chance of caster by 18.0',1,2),
(10598,1001233,9,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10599,1001233,9,100,'Increases Attack Speed of caster by 18.0',1,1),
(10600,1001233,9,100,'Increases Multi Attack Chance of caster by 18.0',1,2),
(10601,1001238,9,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10602,1001238,9,100,'Increases Attack Speed of caster by 18.0',1,1),
(10603,1001238,9,100,'Increases Multi Attack Chance of caster by 18.0',1,2),
(10604,1001239,9,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10605,1001239,9,100,'Increases Haste of caster by 18.0',1,1),
(10606,1001239,9,100,'Increases Multi Attack of caster by 18.0',1,2),
(10607,1001243,9,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10608,1001243,9,100,'Increases Attack Speed of caster by 18.0',1,1),
(10609,1001243,9,100,'Increases Multi Attack Chance of caster by 18.0',1,2),
(10610,1001240,9,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10611,1001240,9,100,'Increases Haste of caster by 18.0',1,1),
(10612,1001240,9,100,'Increases Multi Attack of caster by 18.0',1,2),
(10613,1001242,9,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10614,1001242,9,100,'Increases Attack Speed of caster by 18.0',1,1),
(10615,1001242,9,100,'Increases Multi Attack Chance of caster by 18.0',1,2),
(10616,1001234,9,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10617,1001234,9,100,'Increases Attack Speed of caster by 18.0',1,1),
(10618,1001234,9,100,'Increases Multi Attack Chance of caster by 18.0',1,2),
(10619,1001237,9,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10620,1001237,9,100,'Increases Attack Speed of caster by 18.0',1,1),
(10621,1001237,9,100,'Increases Multi Attack Chance of caster by 18.0',1,2),
(10622,1001244,9,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10623,1001244,9,100,'Increases Haste of caster by 18.0',1,1),
(10624,1001244,9,100,'Increases Multi Attack of caster by 18.0',1,2),
(10625,1001245,9,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10626,1001245,9,100,'Increases Haste of caster by 18.0',1,1),
(10627,1001245,9,100,'Increases Multi Attack of caster by 18.0',1,2),
(10628,1001242,10,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10629,1001242,10,100,'Increases Attack Speed of caster by 20.0',1,1),
(10630,1001242,10,100,'Increases Multi Attack Chance of caster by 20.0',1,2),
(10631,1001235,10,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10632,1001235,10,100,'Increases Attack Speed of caster by 20.0',1,1),
(10633,1001235,10,100,'Increases Multi Attack Chance of caster by 20.0',1,2),
(10634,1001241,10,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10635,1001241,10,100,'Increases Haste of caster by 20.0',1,1),
(10636,1001241,10,100,'Increases Multi Attack of caster by 20.0',1,2),
(10637,1001233,10,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10638,1001233,10,100,'Increases Haste of caster by 20.0',1,1),
(10639,1001233,10,100,'Increases Multi Attack of caster by 20.0',1,2),
(10640,1001238,10,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10641,1001238,10,100,'Increases Haste of caster by 20.0',1,1),
(10642,1001238,10,100,'Increases Multi Attack of caster by 20.0',1,2),
(10643,1001239,10,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10644,1001239,10,100,'Increases Haste of caster by 20.0',1,1),
(10645,1001239,10,100,'Increases Multi Attack of caster by 20.0',1,2),
(10646,1001240,10,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10647,1001240,10,100,'Increases Attack Speed of caster by 20.0',1,1),
(10648,1001240,10,100,'Increases Multi Attack Chance of caster by 20.0',1,2),
(10649,1001237,10,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10650,1001237,10,100,'Increases Attack Speed of caster by 20.0',1,1),
(10651,1001237,10,100,'Increases Multi Attack Chance of caster by 20.0',1,2),
(10652,1001234,10,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10653,1001234,10,100,'Increases Haste of caster by 20.0',1,1),
(10654,1001234,10,100,'Increases Multi Attack of caster by 20.0',1,2),
(10655,1001243,10,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10656,1001243,10,100,'Increases Attack Speed of caster by 20.0',1,1),
(10657,1001243,10,100,'Increases Multi Attack Chance of caster by 20.0',1,2),
(10658,1001244,10,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10659,1001244,10,100,'Increases Attack Speed of caster by 20.0',1,1),
(10660,1001244,10,100,'Increases Multi Attack Chance of caster by 20.0',1,2),
(10661,1001245,10,100,'Applies Enhanced Attacks to qualifying pets.',0,0),
(10662,1001245,10,100,'Increases Attack Speed of caster by 20.0',1,1),
(10663,1001245,10,100,'Increases Multi Attack Chance of caster by 20.0',1,2),
(10664,1001246,2,100,'Reduces the base reuse of Blazing Shot to 40 seconds.',0,0),
(10665,1001246,3,100,'Reduces the base reuse of Blazing Shot to 20 seconds.',0,0),
(10666,1001247,2,100,'Lowers the reuse of Seeking Cascade to 60 seconds.',0,0),
(10667,1001247,3,100,'Lowers the reuse of Seeking Cascade to 45 seconds.',0,0),
(10668,1001248,2,100,'Reduces the base reuse of Chaotic Blade to 90 seconds.',0,0),
(10669,1001248,3,100,'Reduces the base reuse of Chaotic Blade to 60 seconds.',0,0),
(10670,1001249,2,100,'Reduces the base reuse of Defender''s Charge to 20 seconds.',0,0),
(10671,1001249,3,100,'Reduces the base reuse of Defender''s Charge to 10 seconds.',0,0),
(10672,1001250,1,100,'Grants a 5% chance to give a short duration augmentation that allows the mystic to cast while moving after casting their primary wards. The effect expires after two spells have been cast.',0,0),
(10673,1001250,2,100,'Grants a 10% chance to give a short duration augmentation that allows the mystic to cast while moving after casting their primary wards. The effect expires after two spells have been cast.',0,0),
(10674,1001250,3,100,'Grants a 15% chance to give a short duration augmentation that allows the mystic to cast while moving after casting their primary wards. The effect expires after two spells have been cast.',0,0),
(10675,1001251,1,100,'Improves the amount of Dissonance removed when using Dissipate by 6.67%',0,0),
(10676,1001251,1,100,'Improves the base casting speed of Dissipate by 6.66%',0,1),
(10677,1001251,2,100,'Improves the amount of Dissonance removed when using Dissipate by 13.33%',0,0),
(10678,1001251,2,100,'Improves the base casting speed of Dissipate by 13.32%',0,1),
(10679,1001251,3,100,'Improves the amount of Dissonance removed when using Dissipate by 20%',0,0),
(10680,1001251,3,100,'Improves the base casting speed of Dissipate by 19.98%',0,1),
(10681,1001251,4,100,'Improves the amount of Dissonance removed when using Dissipate by 26.67%',0,0),
(10682,1001251,4,100,'Improves the base casting speed of Dissipate by 26.64%',0,1),
(10683,1001251,5,100,'Improves the amount of Dissonance removed when using Dissipate by 33.33%',0,0),
(10684,1001251,5,100,'Improves the base casting speed of Dissipate by 33.3%',0,1),
(10685,1001251,6,100,'Improves the amount of Dissonance removed when using Dissipate by 40%',0,0),
(10686,1001251,6,100,'Improves the base casting speed of Dissipate by 39.96%',0,1),
(10687,1001251,7,100,'Improves the amount of Dissonance removed when using Dissipate by 46.67%',0,0),
(10688,1001251,7,100,'Improves the base casting speed of Dissipate by 46.62%',0,1),
(10689,1001251,8,100,'Improves the amount of Dissonance removed when using Dissipate by 53.33%',0,0),
(10690,1001251,8,100,'Improves the base casting speed of Dissipate by 53.28%',0,1),
(10691,1001251,9,100,'Improves the amount of Dissonance removed when using Dissipate by 60%',0,0),
(10692,1001251,9,100,'Improves the base casting speed of Dissipate by 59.94%',0,1),
(10693,1001251,10,100,'Improves the amount of Dissonance removed when using Dissipate by 66.67%',0,0),
(10694,1001251,10,100,'Improves the base casting speed of Dissipate by 66.6%',0,1),
(10695,1001252,2,100,'Lowers the reuse of Track Harvestables to 90 seconds.',0,0),
(10696,1001252,3,100,'Lowers the reuse of Track Harvestables to 60 seconds.',0,0),
(10697,1001252,4,100,'Lowers the reuse of Track Harvestables to 30 seconds.',0,0),
(10698,1001252,5,100,'Removes the reuse time of Track Harvestables.',0,0),
(10699,1001253,1,100,'Increases Max Power of caster by 3.0%',0,0),
(10700,1001254,1,100,'Increases INT of caster by 2.5',0,0),
(10701,1001253,2,100,'Increases Max Power of caster by 3.0%',0,0),
(10702,1001254,2,100,'Increases INT of caster by 2.5',0,0),
(10703,1001255,2,100,'Reduces the base reuse of Feral Intensity to 40 seconds.',0,0),
(10704,1001255,3,100,'Reduces the base reuse of Feral Intensity to 20 seconds.',0,0),
(10705,1001256,1,100,'Increases Max Power of caster by 0.5%',0,0),
(10706,1001256,2,100,'Increases Max Power of caster by 1.0%',0,0),
(10707,1001256,3,100,'Increases Max Power of caster by 1.5%',0,0),
(10708,1001256,4,100,'Increases Max Power of caster by 2.0%',0,0),
(10709,1001256,5,100,'Increases Max Power of caster by 2.5%',0,0),
(10710,1001257,2,100,'Lowers the reuse of Summon Artisan''s Gathering Goblin to 9 hours.',0,0),
(10711,1001257,3,100,'Lowers the reuse of Summon Artisan''s Gathering Goblin to 6 hours.',0,0),
(10712,1001257,4,100,'Lowers the reuse of Summon Artisan''s Gathering Goblin to 3 hours.',0,0),
(10713,1001257,5,100,'Removes the reuse time of Summon Artisan''s Gathering Goblin.',0,0),
(10714,1001258,2,100,'Reduces the base reuse of Nightblade to 20 seconds.',0,0),
(10715,1001258,3,100,'Reduces the base reuse of Nightblade to 10 seconds.',0,0),
(10716,1001259,2,100,'Reduces the base reuse of Noxious Bolt to 20 seconds.',0,0),
(10717,1001259,3,100,'Reduces the base reuse of Noxious Bolt to 10 seconds.',0,0),
(10718,1001260,2,100,'Reduces the base reuse of Ralissk''s Perception to 60 seconds.',0,0),
(10719,1001260,3,100,'Reduces the base reuse of Ralissk''s Perception to 30 seconds.',0,0),
(10720,1001261,2,100,'Reduces the base reuse of Reaper''s Mist to 40 seconds.',0,0),
(10721,1001261,3,100,'Reduces the base reuse of Reaper''s Mist to 20 seconds.',0,0),
(10722,1001262,1,100,'Increases the effectiveness of Slot 1 and 2 Conduits by 4%',0,0),
(10723,1001262,2,100,'Increases the effectiveness of Slot 1 and 2 Conduits by 8%',0,0),
(10724,1001262,3,100,'Increases the effectiveness of Slot 1 and 2 Conduits by 12%',0,0),
(10725,1001262,4,100,'Increases the effectiveness of Slot 1 and 2 Conduits by 16%',0,0),
(10726,1001262,5,100,'Increases the effectiveness of Slot 1 and 2 Conduits by 20%',0,0),
(10727,1001263,2,100,'Reduces the base reuse of Echoing Howl to 40 seconds.',0,0),
(10728,1001263,3,100,'Reduces the base reuse of Echoing Howl to 20 seconds.',0,0),
(10729,1001264,2,100,'Reduces the base reuse of Reverberation to 40 seconds.',0,0),
(10730,1001264,3,100,'Reduces the base reuse of Reverberation to 20 seconds.',0,0),
(10731,1001265,2,100,'Reduces the base reuse of Saga of Bloodshed to 30 seconds.',0,0),
(10732,1001265,3,100,'Reduces the base reuse of Saga of Bloodshed to 15 seconds.',0,0),
(10733,1001266,2,100,'Reduces the base reuse of Blazing Shot to 40 seconds.',0,0),
(10734,1001266,3,100,'Reduces the base reuse of Blazing Shot to 20 seconds.',0,0),
(10735,1001267,2,100,'Reduces the base reuse of Stormbearer''s Fury to 60 seconds.',0,0),
(10736,1001267,3,100,'Reduces the base reuse of Stormbearer''s Fury to 45 seconds.',0,0),
(10737,1001268,1,100,'Increases WIS of caster by 4.0',0,0),
(10738,1001268,2,100,'Increases WIS of caster by 4.0',0,0),
(10739,1001269,1,100,'Following the use of Rot Flesh, the group''s threat with their target will be reduced by 10% of the magical damage they inflict. Fighters must have Subtle Strikes active to have their threat modified.',0,0),
(10740,1001269,2,100,'Following the use of Rot Flesh, the group''s threat with their target will be reduced by 20% of the magical damage they inflict. Fighters must have Subtle Strikes active to have their threat modified.',0,0),
(10741,1001269,3,100,'Following the use of Rot Flesh, the group''s threat with their target will be reduced by 30% of the magical damage they inflict. Fighters must have Subtle Strikes active to have their threat modified.',0,0),
(10742,1001270,1,100,'Increases Mitigation of caster vs elemental damage by 3',0,0),
(10743,1001270,2,100,'Increases Mitigation of caster vs elemental damage by 3\r\n',0,0),
(10744,1001271,1,100,'Nature''s Focus will grant a chance to inflict additional damage with each attack.',0,0),
(10745,1001272,1,100,'Increases Scribing of caster by 5.0',0,0),
(10746,1001272,2,100,'Increases Scribing of caster by 5.0',0,0),
(10747,1001273,1,100,'Lowers the internal cooldown on Essence Revival by 3.75 seconds',0,0),
(10748,1001273,2,100,'Lowers the internal cooldown on Essence Revival by 7.5 seconds',0,0),
(10749,1001273,3,100,'Lowers the internal cooldown on Essence Revival by 11.25 seconds',0,0),
(10750,1001273,4,100,'Lowers the internal cooldown on Essence Revival by 15 seconds',0,0),
(10751,1001273,5,100,'Lowers the internal cooldown on Essence Revival by 18.75 seconds',0,0),
(10752,1001273,6,100,'Lowers the internal cooldown on Essence Revival by 22.5 seconds',0,0),
(10753,1001273,7,100,'Lowers the internal cooldown on Essence Revival by 26.25 seconds',0,0),
(10754,1001273,8,100,'Lowers the internal cooldown on Essence Revival by 30 seconds',0,0),
(10755,1001274,1,100,'Applies Essence Revival.',0,0),
(10756,1001274,1,100,'Applies only when the target of Construct''s Interception or Overloaded Interception falls in combat. Does not trigger if the shaper is the player who died.',1,1),
(10757,1001274,1,100,'This can only apply once every 120 seconds',1,2),
(10758,1001274,1,100,'Resurrects target with 30% health and power',1,3),
(10759,1001275,1,100,'Adds a component that siphons Potency.',0,0),
(10760,1001275,2,100,'Adds a component that siphons Potency.',0,0),
(10761,1001275,3,100,'Adds a component that siphons Potency.',0,0),
(10762,1001275,4,100,'Adds a component that siphons Potency.',0,0),
(10763,1001275,5,100,'Adds a component that siphons Potency.',0,0),
(10764,1001276,1,100,'Improves the hate transfer amount by 1%.',0,0),
(10765,1001276,2,100,'Improves the hate transfer amount by 2%.',0,0),
(10766,1001276,3,100,'Improves the hate transfer amount by 3%.',0,0),
(10767,1001276,4,100,'Improves the hate transfer amount by 4%.',0,0),
(10768,1001276,5,100,'Improves the hate transfer amount by 5%.',0,0),
(10769,1001277,1,100,'Improves the damage of magic based spells by 2%.',0,0),
(10770,1001277,1,100,'Improves the critical damage by 1%.',0,1),
(10771,1001277,2,100,'Improves the damage of magic based spells by 4%.',0,0),
(10772,1001277,2,100,'Improves the critical damage by 2%.',0,1),
(10773,1001277,3,100,'Improves the damage of magic based spells by 6%.',0,0),
(10774,1001277,3,100,'Improves the critical damage by 3%.',0,1),
(10775,1001277,4,100,'Improves the damage of magic based spells by 8%.',0,0),
(10776,1001277,4,100,'Improves the critical damage by 4%.',0,1),
(10777,1001277,5,100,'Improves the damage of magic based spells by 10%.',0,0),
(10778,1001277,5,100,'Improves the critical damage by 5%.',0,1),
(10779,1001278,1,100,'Increases INT of caster by 2.5',0,0),
(10780,1001278,2,100,'Increases INT of caster by 2.5',0,0),
(10781,1001279,1,100,'Improves the trigger chance of Graverot by 33%',0,0),
(10782,1001279,1,100,'Adds 1 tick to Graverot',0,1),
(10783,1001279,2,100,'Improves the trigger chance of Graverot by 66%',0,0),
(10784,1001279,2,100,'Adds 2 ticks to Graverot',0,1),
(10785,1001279,3,100,'Improves the trigger chance of Graverot by 100%',0,0),
(10786,1001279,3,100,'Adds 4 ticks to Graverot',0,1),
(10787,1001280,1,100,'Increases Power Regen of caster by 9.0',0,0),
(10788,1001280,2,100,'Increases Power Regen of caster by 9.0',0,0),
(10789,1001281,1,100,'Increases the damage of Ether Balance by 33%',0,0),
(10790,1001281,2,100,'Increases the damage of Ether Balance by 66%',0,0),
(10791,1001281,3,100,'Increases the damage of Ether Balance by 100%',0,0),
(10792,1001282,1,100,'Increases the amount of power restored by Ether Balance by 33%',0,0),
(10793,1001282,2,100,'Increases the amount of power restored by Ether Balance by 66%',0,0),
(10794,1001282,3,100,'Increases the amount of power restored by Ether Balance by 100%',0,0),
(10795,1001283,1,100,'Improves the amount of Crit Bonus granted by Spiritual Dominion by 11%',0,0),
(10796,1001283,2,100,'Improves the amount of Crit Bonus granted by Spiritual Dominion by 22%',0,0),
(10797,1001283,3,100,'Improves the amount of Crit Bonus granted by Spiritual Dominion by 33%',0,0),
(10798,1001284,1,100,'Increases Weapon Damage of caster by 3.0',0,0),
(10799,1001284,1,100,'Increases DPS of caster by 4.0',0,1),
(10800,1001284,2,100,'Increases Weapon Damage of caster by 6.0',0,0),
(10801,1001284,2,100,'Increases DPS of caster by 8.0',0,1),
(10802,1001284,3,100,'Increases Weapon Damage Bonus of caster by 9.0',0,0),
(10803,1001284,3,100,'Increases Damage Per Second of caster by 12.0',0,1),
(10804,1001284,4,100,'Increases Weapon Damage of caster by 12.0',0,0),
(10805,1001284,4,100,'Increases DPS of caster by 16.0',0,1),
(10806,1001284,5,100,'Increases Weapon Damage of caster by 15.0',0,0),
(10807,1001284,5,100,'Increases DPS of caster by 20.0',0,1),
(10808,1001285,1,100,'Applies Ethernere Resilience to qualifying pets.',0,0),
(10809,1001285,1,100,'Reduces all damage done to target by 1%',1,1),
(10810,1001285,2,100,'Applies Ethernere Resilience to qualifying pets.',0,0),
(10811,1001285,2,100,'Reduces all damage done to target by 2%',1,1),
(10812,1001285,3,100,'Applies Ethernere Resilience to qualifying pets.',0,0),
(10813,1001285,3,100,'Reduces all damage done to target by 3%',1,1),
(10814,1001285,4,100,'Applies Ethernere Resilience to qualifying pets.',0,0),
(10815,1001285,4,100,'Reduces all damage done to target by 4%',1,1),
(10816,1001285,5,100,'Applies Ethernere Resilience to qualifying pets.',0,0),
(10817,1001285,5,100,'Reduces all damage done to target by 5%',1,1),
(10818,1001285,6,100,'Applies Ethernere Resilience to qualifying pets.',0,0),
(10819,1001285,6,100,'Reduces all damage done to target by 6%',1,1),
(10820,1001285,7,100,'Applies Ethernere Resilience to qualifying pets.',0,0),
(10821,1001285,7,100,'Reduces all damage done to target by 7%',1,1),
(10822,1001285,8,100,'Applies Ethernere Resilience to qualifying pets.',0,0),
(10823,1001285,8,100,'Reduces all damage done to target by 8%',1,1),
(10824,1001285,9,100,'Applies Ethernere Resilience to qualifying pets.',0,0),
(10825,1001285,9,100,'Reduces all damage done to target by 9%',1,1),
(10826,1001285,10,100,'Applies Ethernere Resilience to qualifying pets.',0,0),
(10827,1001285,10,100,'Reduces all damage done to target by 10%',1,1),
(10828,1001286,1,100,'Improves the trigger count of Ether Balance by 1',0,0),
(10829,1001286,2,100,'Improves the trigger count of Ether Balance by 2',0,0),
(10830,1001286,3,100,'Improves the trigger count of Ether Balance by 3',0,0),
(10831,1001287,1,100,'Adds an additional 1.25% to the base trigger chance.',0,0),
(10832,1001287,2,100,'Adds an additional 2.5% to the base trigger chance.',0,0),
(10833,1001287,3,100,'Adds an additional 3.75% to the base trigger chance.',0,0),
(10834,1001287,4,100,'Adds an additional 5% to the base trigger chance.',0,0),
(10835,1001287,5,100,'Adds an additional 6.25% to the base trigger chance.',0,0),
(10836,1001287,6,100,'Adds an additional 7.5% to the base trigger chance.',0,0),
(10837,1001287,7,100,'Adds an additional 8.75% to the base trigger chance.',0,0),
(10838,1001287,8,100,'Adds an additional 10% to the base trigger chance.',0,0),
(10839,1001288,1,100,'Increases the durability gain by 2 every round.',0,0),
(10840,1001288,2,100,'Increases the durability gain by 2 every round.',0,0),
(10841,1001289,1,100,'Reduces maximum health by 2% for each Bleeding ability active on a target',0,0),
(10842,1001290,1,100,'Increases Hate Gain of caster by 1.0%',0,0),
(10843,1001290,1,100,'Improves the hate gain of taunts by 3%.',0,1),
(10844,1001290,2,100,'Increases Hate Gain of caster by 2.0%',0,0),
(10845,1001290,2,100,'Improves the hate gain of taunts by 6%.',0,1),
(10846,1001290,3,100,'Increases Hate Gain of caster by 3.0%',0,0),
(10847,1001290,3,100,'Improves the hate gain of taunts by 9%.',0,1),
(10848,1001290,4,100,'Increases Hate Gain of caster by 4.0%',0,0),
(10849,1001290,4,100,'Improves the hate gain of taunts by 12%.',0,1),
(10850,1001290,5,100,'Increases Hate Gain of caster by 5.0%',0,0),
(10851,1001290,5,100,'Improves the hate gain of taunts by 15%.',0,1),
(10852,1001290,6,100,'Increases Hate Gain of caster by 6.0%',0,0),
(10853,1001290,6,100,'Improves the hate gain of taunts by 18%.',0,1),
(10854,1001290,7,100,'Increases Hate Gain of caster by 7.0%',0,0),
(10855,1001290,7,100,'Improves the hate gain of taunts by 21%.',0,1),
(10856,1001290,8,100,'Increases Hate Gain of caster by 8.0%',0,0),
(10857,1001290,8,100,'Improves the hate gain of taunts by 24%.',0,1),
(10858,1001290,9,100,'Increases Hate Gain of caster by 9.0%',0,0),
(10859,1001290,9,100,'Improves the hate gain of taunts by 27%.',0,1),
(10860,1001290,10,100,'Increases Hate Gain of caster by 10.0%',0,0),
(10861,1001290,10,100,'Improves the hate gain of taunts by 30%.',0,1),
(10862,1001291,1,100,'Gives caster an extra 3.7% mitigation to their worn armor',0,0),
(10863,1001291,1,100,'Executioner''s Fury must be active',0,1),
(10864,1001291,1,100,'If under 50% Health',0,2),
(10865,1001291,2,100,'Gives caster an extra 7.5% mitigation to their worn armor',0,0),
(10866,1001291,2,100,'Executioner''s Fury must be active',0,1),
(10867,1001291,2,100,'If under 50% Health',0,2),
(10868,1001291,3,100,'Gives caster an extra 11.3% mitigation to their worn armor',0,0),
(10869,1001291,3,100,'Executioner''s Fury must be active',0,1),
(10870,1001291,3,100,'If under 50% Health',0,2),
(10871,1001291,4,100,'Gives caster an extra 15.0% mitigation to their worn armor',0,0),
(10872,1001291,4,100,'Executioner''s Fury must be active',0,1),
(10873,1001291,4,100,'If under 50% Health',0,2),
(10874,1001291,5,100,'Gives caster an extra 18.8% mitigation to their worn armor',0,0),
(10875,1001291,5,100,'Executioner''s Fury must be active',0,1),
(10876,1001291,5,100,'If under 50% Health',0,2),
(10877,1001291,6,100,'Gives caster an extra 22.5% mitigation to their worn armor',0,0),
(10878,1001291,6,100,'Executioner''s Fury must be active',0,1),
(10879,1001291,6,100,'If under 50% Health',0,2),
(10880,1001291,7,100,'Gives caster an extra 26.3% mitigation to their worn armor',0,0),
(10881,1001291,7,100,'Executioner''s Fury must be active',0,1),
(10882,1001291,7,100,'If under 50% Health',0,2),
(10883,1001291,8,100,'Gives caster an extra 30.0% mitigation to their worn armor',0,0),
(10884,1001291,8,100,'Executioner''s Fury must be active',0,1),
(10885,1001291,8,100,'If under 50% Health',0,2),
(10886,1001292,1,100,'Increases Crit Chance of caster by 25.0',0,0),
(10887,1001292,1,100,'Increases taunt effect and damage of all combat arts by 15%.',0,1),
(10888,1001292,1,100,'If under 50% Health',0,2),
(10889,1001293,1,100,'Increases STR and STA of caster by 4.0',0,0),
(10890,1001293,2,100,'Increases STR and STA of caster by 8.0',0,0),
(10891,1001293,3,100,'Increases STR and STA of caster by 12.0',0,0),
(10892,1001293,4,100,'Increases STR and STA of caster by 16.0',0,0),
(10893,1001293,5,100,'Increases STR and STA of caster by 20.0',0,0),
(10894,1001293,6,100,'Increases STR and STA of caster by 24.0',0,0),
(10895,1001293,7,100,'Increases STR and STA of caster by 28.0',0,0),
(10896,1001293,8,100,'Increases STR and STA of caster by 32.0',0,0),
(10897,1001293,9,100,'Increases STR and STA of caster by 36.0',0,0),
(10898,1001293,10,100,'Increases STR and STA of caster by 40.0',0,0),
(10899,1001294,1,100,'Increases Ordination, Ministration, Subjugation and Disruption of caster by 0.0',0,0),
(10900,1001294,2,100,'Increases Ordination, Ministration, Subjugation and Disruption of caster by 0.0',0,0),
(10901,1001294,3,100,'Increases Ordination, Ministration, Subjugation and Disruption of caster by 0.0',0,0),
(10902,1001294,4,100,'Increases Ordination, Ministration, Subjugation and Disruption of caster by 0.0',0,0),
(10903,1001294,5,100,'Increases Ordination, Ministration, Subjugation and Disruption of caster by 0.0',0,0),
(10904,1001294,6,100,'Increases Ordination, Ministration, Subjugation and Disruption of caster by 0.0',0,0),
(10905,1001294,7,100,'Increases Ordination, Ministration, Subjugation and Disruption of caster by 0.0',0,0),
(10906,1001294,8,100,'Increases Ordination, Ministration, Subjugation and Disruption of caster by 0.0',0,0),
(10907,1001294,9,100,'Increases Ordination, Ministration, Subjugation and Disruption of caster by 0.0',0,0),
(10908,1001294,10,100,'Increases Ordination, Ministration, Subjugation and Disruption of caster by 0.0',0,0),
(10909,1001295,1,100,'Increases WIS and STA of caster by 4.0',0,0),
(10910,1001295,1,100,'Increases Mitigation of caster vs physical damage by 1050',0,1),
(10911,1001295,2,100,'Increases WIS and STA of caster by 8.0',0,0),
(10912,1001295,2,100,'Increases Mitigation of caster vs physical damage by 1155',0,1),
(10913,1001295,3,100,'Increases WIS and STA of caster by 12.0',0,0),
(10914,1001295,3,100,'Increases Mitigation of caster vs physical damage by 1155',0,1),
(10915,1001295,4,100,'Increases WIS and STA of caster by 16.0',0,0),
(10916,1001295,4,100,'Increases Mitigation of caster vs physical damage by 1155',0,1),
(10917,1001295,5,100,'Increases WIS and STA of caster by 20.0',0,0),
(10918,1001295,5,100,'Increases Mitigation of caster vs physical damage by 1155',0,1),
(10919,1001295,6,100,'Increases WIS and STA of caster by 24.0',0,0),
(10920,1001295,6,100,'Increases Mitigation of caster vs physical damage by 1050',0,1),
(10921,1001295,7,100,'Increases WIS and STA of caster by 28.0',0,0),
(10922,1001295,7,100,'Increases Mitigation of caster vs physical damage by 1050',0,1),
(10923,1001295,8,100,'Increases WIS and STA of caster by 32.0',0,0),
(10924,1001295,8,100,'Increases Mitigation of caster vs physical damage by 1155',0,1),
(10925,1001295,9,100,'Increases WIS and STA of caster by 36.0',0,0),
(10926,1001295,9,100,'Increases Mitigation of caster vs physical damage by 1155',0,1),
(10927,1001295,10,100,'Increases WIS and STA of caster by 40.0',0,0),
(10928,1001295,10,100,'Increases Mitigation of caster vs physical damage by 1050',0,1),
(10929,1001297,1,100,'Improves the duration of food and drink by 5%',0,0),
(10930,1001297,2,100,'Improves the duration of food and drink by 10%',0,0),
(10931,1001297,3,100,'Improves the duration of food and drink by 15%',0,0),
(10932,1001297,4,100,'Improves the duration of food and drink by 20%',0,0),
(10933,1001297,5,100,'Improves the duration of food and drink by 25%',0,0),
(10934,1001298,1,100,'Increases success chance by 2.0%',0,0),
(10935,1001298,2,100,'Increases success chance by 2.0%',0,0),
(10936,1001299,1,100,'Increases number of times experimentation can be applied to an item by 1.0',0,0),
(10937,1001299,2,100,'Increases number of times experimentation can be applied to an item by 2.0',0,0),
(10938,1001299,3,100,'Increases number of times experimentation can be applied to an item by 3.0',0,0),
(10939,1001299,4,100,'Increases number of times experimentation can be applied to an item by 4.0',0,0),
(10940,1001299,5,100,'Increases number of times experimentation can be applied to an item by 5.0',0,0),
(10941,1001300,1,100,'Improves the duration of potions by 20%',0,0),
(10942,1001300,2,100,'Improves the duration of potions by 20%',0,0),
(10943,1001301,1,100,'Increases Potency of caster by 1.0%',0,0),
(10944,1001301,2,100,'Increases Potency of caster by 2.0%',0,0),
(10945,1001301,3,100,'Increases Potency of caster by 3.0%',0,0),
(10946,1001301,4,100,'Increases Potency of caster by 4.0%',0,0),
(10947,1001301,5,100,'Increases Potency of caster by 5.0%',0,0),
(10948,1001301,6,100,'Increases Potency of caster by 6.0%',0,0),
(10949,1001301,7,100,'Increases Potency of caster by 7.0%',0,0),
(10950,1001301,8,100,'Increases Potency of caster by 8.0%',0,0),
(10951,1001301,9,100,'Increases Potency of caster by 9.0%',0,0),
(10952,1001301,10,100,'Increases Potency of caster by 10.0%',0,0),
(10953,1001302,1,100,'Grants the spell Exposed Weaknesses to qualifying pets.',0,0),
(10954,1001302,1,100,'Inflicts 2770 - 4617 melee damage on target',1,1),
(10955,1001302,1,100,'Decreases Mitigation of target vs physical, elemental and noxious damage by 2728',1,2),
(10956,1001303,1,100,'Grants the spell Exposed Weaknesses to qualifying pets.',0,0),
(10957,1001303,1,100,'Inflicts 40 - 67 melee damage on target',1,1),
(10958,1001303,1,100,'Decreases Mitigation of target vs physical, elemental and noxious damage by 46',1,2),
(10959,1001304,1,100,'Grants the spell Exposed Weaknesses to qualifying pets.',0,0),
(10960,1001304,1,100,'Inflicts 2078 - 3464 melee damage on target',1,1),
(10961,1001304,1,100,'Decreases Mitigation of target vs physical, elemental and noxious damage by 2400',1,2),
(10962,1001305,1,100,'Grants the spell Exposed Weaknesses to qualifying pets.',0,0),
(10963,1001305,1,100,'Inflicts 2770 - 4617 melee damage on target',1,1),
(10964,1001305,1,100,'Decreases Mitigation of target vs physical, elemental and noxious damage by 2728',1,2),
(10965,1001306,1,100,'Grants the spell Exposed Weaknesses to qualifying pets.',0,0),
(10966,1001306,1,100,'Inflicts 2078 - 3464 melee damage on target',1,1),
(10967,1001306,1,100,'Decreases Mitigation of target vs physical, elemental and noxious damage by 2400',1,2),
(10968,1001307,1,100,'Grants the spell Exposed Weaknesses to qualifying pets.',0,0),
(10969,1001307,1,100,'Inflicts 2770 - 4617 melee damage on target',1,1),
(10970,1001307,1,100,'Decreases Mitigation of target vs physical, elemental and noxious damage by 2728',1,2),
(10971,1001308,1,100,'Grants the spell Exposed Weaknesses to qualifying pets.',0,0),
(10972,1001308,1,100,'Inflicts 2770 - 4617 melee damage on target',1,1),
(10973,1001308,1,100,'Decreases Mitigation of target vs physical, elemental and noxious damage by 2728',1,2),
(10974,1001309,1,100,'Grants the spell Exposed Weaknesses to qualifying pets.',0,0),
(10975,1001309,1,100,'Inflicts 2078 - 3464 melee damage on target',1,1),
(10976,1001309,1,100,'Decreases Mitigation of target vs physical, elemental and noxious damage by 2400',1,2),
(10977,1001310,1,100,'Grants the spell Exposed Weaknesses to qualifying pets.',0,0),
(10978,1001310,1,100,'Inflicts 40 - 67 melee damage on target',1,1),
(10979,1001310,1,100,'Decreases Mitigation of target vs physical, elemental and noxious damage by 46',1,2),
(10980,1001311,1,100,'Grants the spell Exposed Weaknesses to qualifying pets.',0,0),
(10981,1001311,1,100,'Inflicts 2770 - 4617 melee damage on target',1,1),
(10982,1001311,1,100,'Decreases Mitigation of target vs physical, elemental and noxious damage by 2728',1,2),
(10983,1001312,1,100,'Grants the spell Exposed Weaknesses to qualifying pets.',0,0),
(10984,1001312,1,100,'Inflicts 2770 - 4617 melee damage on target',1,1),
(10985,1001312,1,100,'Decreases Mitigation of target vs physical, elemental and noxious damage by 2728',1,2),
(10986,1001313,1,100,'Grants the spell Exposed Weaknesses to qualifying pets.',0,0),
(10987,1001313,1,100,'Inflicts 2078 - 3464 melee damage on target',1,1),
(10988,1001313,1,100,'Decreases Mitigation of target vs physical, elemental and noxious damage by 2400',1,2),
(10989,1001314,1,100,'Grants the spell Exposed Weaknesses to qualifying pets.',0,0),
(10990,1001314,1,100,'Inflicts 2078 - 3464 melee damage on target',1,1),
(10991,1001314,1,100,'Decreases Mitigation of target vs physical, elemental and noxious damage by 2400',1,2),
(10992,1001315,1,100,'Grants the spell Exposed Weaknesses to qualifying pets.',0,0),
(10993,1001315,1,100,'Inflicts 40 - 67 melee damage on target',1,1),
(10994,1001315,1,100,'Decreases Mitigation of target vs physical, elemental and noxious damage by 46',1,2),
(10995,1001316,1,100,'Grants the spell Exposed Weaknesses to qualifying pets.',0,0),
(10996,1001316,1,100,'Inflicts 2770 - 4617 melee damage on target',1,1),
(10997,1001316,1,100,'Decreases Mitigation of target vs physical, elemental and noxious damage by 2728',1,2),
(10998,1001317,1,100,'Grants the spell Exposed Weaknesses to qualifying pets.',0,0),
(10999,1001317,1,100,'Inflicts 2770 - 4617 melee damage on target',1,1),
(11000,1001317,1,100,'Decreases Mitigation of target vs physical, elemental and noxious damage by 2728',1,2),
(11001,1001318,1,100,'Grants the spell Exposed Weaknesses to qualifying pets.',0,0),
(11002,1001318,1,100,'Inflicts 40 - 67 melee damage on target',1,1),
(11003,1001318,1,100,'Decreases Mitigation of target vs physical, elemental and noxious damage by 46',1,2),
(11004,1001319,1,100,'Grants the spell Exposed Weaknesses to qualifying pets.',0,0),
(11005,1001319,1,100,'Inflicts 2078 - 3464 melee damage on target',1,1),
(11006,1001319,1,100,'Decreases Mitigation of target vs physical, elemental and noxious damage by 2400',1,2),
(11007,1001320,1,100,'Grants the spell Exposed Weaknesses to qualifying pets.',0,0),
(11008,1001320,1,100,'Inflicts 40 - 67 melee damage on target',1,1),
(11009,1001320,1,100,'Decreases Mitigation of target vs physical, elemental and noxious damage by 46',1,2),
(11010,1001321,1,100,'Improves the damage and duration of Plaguebringer and Hailstorm by 5%.',0,0),
(11011,1001321,2,100,'Improves the damage and duration of Plaguebringer and Hailstorm by 10%.',0,0),
(11012,1001321,3,100,'Improves the damage and duration of Plaguebringer and Hailstorm by 15%.',0,0),
(11013,1001321,4,100,'Improves the damage and duration of Plaguebringer and Hailstorm by 20%.',0,0),
(11014,1001321,5,100,'Improves the damage and duration of Plaguebringer and Hailstorm by 25%.',0,0),
(11015,1001321,6,100,'Improves the damage and duration of Plaguebringer and Hailstorm by 30%.',0,0),
(11016,1001321,7,100,'Improves the damage and duration of Plaguebringer and Hailstorm by 35%.',0,0),
(11017,1001321,8,100,'Improves the damage and duration of Plaguebringer and Hailstorm by 40%.',0,0),
(11018,1001321,9,100,'Improves the damage and duration of Plaguebringer and Hailstorm by 45%.',0,0),
(11019,1001321,10,100,'Improves the damage and duration of Plaguebringer and Hailstorm by 50%.',0,0),
(11020,1001322,1,100,'Increases the duration of tradeskilled drinks by 10%.',0,0),
(11021,1001322,2,100,'Increases the duration of tradeskilled drinks by 10%.',0,0),
(11022,1001323,1,100,'Increases the duration of Dragoon''s Reflexes by 1 seconds.',0,0),
(11023,1001323,2,100,'Increases the duration of Dragoon''s Reflexes by 2 seconds.',0,0),
(11024,1001323,3,100,'Increases the duration of Dragoon''s Reflexes by 3 seconds.',0,0),
(11025,1001323,4,100,'Increases the duration of Dragoon''s Reflexes by 4 seconds.',0,0),
(11026,1001323,5,100,'Increases the duration of Dragoon''s Reflexes by 5 seconds.',0,0),
(11027,1001323,6,100,'Increases the duration of Dragoon''s Reflexes by 6 seconds.',0,0),
(11028,1001323,7,100,'Increases the duration of Dragoon''s Reflexes by 7 seconds.',0,0),
(11029,1001323,8,100,'Increases the duration of Dragoon''s Reflexes by 8 seconds.',0,0),
(11030,1001324,1,100,'Increases Ranged Weapon Range of caster by 15.0%',0,0),
(11031,1001324,1,100,'Increases hit chance by 5%',0,1),
(11032,1001325,1,100,'Increases the duration of Rot Flesh by 33%',0,0),
(11033,1001325,2,100,'Increases the duration of Rot Flesh by 66%',0,0),
(11034,1001325,3,100,'Increases the duration of Rot Flesh by 100%',0,0),
(11035,1001326,1,100,'The maximum increment amount of Flaming Weapons is increased to 4.',0,0),
(11036,1001326,2,100,'The maximum increment amount of Flaming Weapons is increased to 5.',0,0),
(11037,1001326,3,100,'Blazing Shot will apply two increments of Flaming Weapons with each application.',0,0),
(11038,1001326,3,100,'The maximum increment amount of Flaming Weapons is increased to 5.',0,1),
(11039,1001327,1,100,'Increases Ability Casting Speed of caster by 1.4%',0,0),
(11040,1001327,2,100,'Increases Ability Casting Speed of caster by 2.9%',0,0),
(11041,1001327,3,100,'Increases Ability Casting Speed of caster by 4.3%',0,0),
(11042,1001327,4,100,'Increases Ability Casting Speed of caster by 5.8%',0,0),
(11043,1001327,5,100,'Increases Ability Casting Speed of caster by 7.2%',0,0),
(11044,1001327,6,100,'Increases Ability Casting Speed of caster by 8.6%',0,0),
(11045,1001327,7,100,'Increases Ability Casting Speed of caster by 10.1%',0,0),
(11046,1001327,8,100,'Increases Ability Casting Speed of caster by 11.5%',0,0),
(11047,1001327,9,100,'Increases Ability Casting Speed of caster by 13.0%',0,0),
(11048,1001327,10,100,'Increases Ability Casting Speed of caster by 14.4%',0,0),
(11049,1001328,1,100,'Reduces 8% of all incoming damage to the non-fighters in the paladin''s group and reflects that damage upon their attacker when the paladin uses Faith.',0,0),
(11050,1001328,2,100,'Reduces 16% of all incoming damage to the non-fighters in the paladin''s group and reflects that damage upon their attacker when the paladin uses Faith.',0,0),
(11051,1001328,3,100,'Reduces 24% of all incoming damage to the non-fighters in the paladin''s group and reflects that damage upon their attacker when the paladin uses Faith.',0,0),
(11052,1001329,1,100,'The paladin''s single target profession heal spells will trigger a short duration avoidance augmentation on the target. These effects can stack.',0,0),
(11053,1001329,2,100,'The paladin''s single target profession heal spells will trigger a short duration avoidance augmentation on the target. These effects can stack.',0,0),
(11054,1001329,3,100,'The paladin''s single target profession heal spells will trigger a short duration avoidance augmentation on the target. These effects can stack.',0,0),
(11055,1001330,1,100,'Applies a 6 trigger damage shield to the group.',0,0),
(11056,1001330,2,100,'Applies a 6 trigger damage shield to the group.',0,0),
(11057,1001330,3,100,'Applies 3 triggers of damage to all group members that inflicts 90% of the reflected damage of Faith. The maximum damage per hit cannot exceed 300% of the paladin''s maximum health.',0,0),
(11058,1001331,1,100,'Fanatic''s Inspiration has a 3% chance to clear the reuse on Chilling Invigoration.',0,0),
(11059,1001331,1,100,'Radiance has a 50% chance to clear the reuse on Chilling Invigoration.',0,1),
(11060,1001331,2,100,'Fanatic''s Inspiration has a 6% chance to clear the reuse on Chilling Invigoration.',0,0),
(11061,1001331,2,100,'Radiance has a 100% chance to clear the reuse on Chilling Invigoration.',0,1),
(11062,1001332,1,100,'Fanatic''s Protection will have a 20% chance to apply a very short duration Stoneskin to all damage when the target ally falls below 50% health or is below 50% health when cast.',0,0),
(11063,1001332,2,100,'Fanatic''s Protection will have a 40% chance to apply a very short duration Stoneskin to all damage when the target ally falls below 50% health or is below 50% health when cast.',0,0),
(11064,1001332,3,100,'Fanatic''s Protection will have a 60% chance to apply a very short duration Stoneskin to all damage when the target ally falls below 50% health or is below 50% health when cast.',0,0),
(11065,1001333,1,100,'Fanatic''s Protection will apply an effect that reflects 40% of incoming physical damage. The base amount reflected cannot be more than 75% of the target ally''s maximum health. This spell has 5 increments that decrease when damage is taken.',0,0),
(11066,1001333,2,100,'Fanatic''s Protection will apply an effect that reflects 80% of incoming physical damage. The base amount reflected cannot be more than 75% of the target ally''s maximum health. This spell has 5 increments that decrease when damage is taken.',0,0),
(11067,1001333,3,100,'Fanatic''s Protection will apply an effect that reflects 120% of incoming physical damage. The base amount reflected cannot be more than 75% of the target ally''s maximum health. This spell has 5 increments that decrease when damage is taken.',0,0),
(11068,1001334,1,100,'On a critical combat hit this spell has a 3% chance to cast Fanatical Devotion on the group.  Lasts for 10.0 seconds.  ',0,0),
(11069,1001334,1,100,'On any combat or spell hit this spell will cast Fanatical Devotion on target of attack.  ',1,1),
(11070,1001334,1,100,'Inflicts 41 - 50 divine damage on target',2,2),
(11071,1001334,1,100,'On a critical spell hit this spell has a 3% chance to cast Fanatical Devotion on the group.  Lasts for 10.0 seconds.  ',0,3),
(11072,1001334,1,100,'On any combat or spell hit this spell will cast Fanatical Devotion on target of attack.  ',1,4),
(11073,1001334,1,100,'Inflicts 41 - 50 divine damage on target',2,5),
(11074,1001334,2,100,'On a critical combat hit this spell has a 6% chance to cast Fanatical Devotion on the group.  Lasts for 10.0 seconds.  ',0,0),
(11075,1001334,2,100,'On any combat or spell hit this spell will cast Fanatical Devotion on target of attack.  ',1,1),
(11076,1001334,2,100,'Inflicts 82 - 101 divine damage on target',2,2),
(11077,1001334,2,100,'On a critical spell hit this spell has a 6% chance to cast Fanatical Devotion on the group.  Lasts for 10.0 seconds.  ',0,3),
(11078,1001334,2,100,'On any combat or spell hit this spell will cast Fanatical Devotion on target of attack.  ',1,4),
(11079,1001334,2,100,'Inflicts 82 - 101 divine damage on target',2,5),
(11080,1001334,3,100,'On a critical combat hit this spell has a 9% chance to cast Fanatical Devotion on the group.  Lasts for 10.0 seconds.  ',0,0),
(11081,1001334,3,100,'On any combat or spell hit this spell will cast Fanatical Devotion on target of attack.  ',1,1),
(11082,1001334,3,100,'Inflicts 123 - 151 divine damage on target',2,2),
(11083,1001334,3,100,'On a critical spell hit this spell has a 9% chance to cast Fanatical Devotion on the group.  Lasts for 10.0 seconds.  ',0,3),
(11084,1001334,3,100,'On any combat or spell hit this spell will cast Fanatical Devotion on target of attack.  ',1,4),
(11085,1001334,3,100,'Inflicts 123 - 151 divine damage on target',2,5),
(11086,1001334,4,100,'On a critical combat hit this spell has a 12% chance to cast Fanatical Devotion on the group.  Lasts for 10.0 seconds.  ',0,0),
(11087,1001334,4,100,'On any combat or spell hit this spell will cast Fanatical Devotion on target of attack.  ',1,1),
(11088,1001334,4,100,'Inflicts 165 - 201 divine damage on target',2,2),
(11089,1001334,4,100,'On a critical spell hit this spell has a 12% chance to cast Fanatical Devotion on the group.  Lasts for 10.0 seconds.  ',0,3),
(11090,1001334,4,100,'On any combat or spell hit this spell will cast Fanatical Devotion on target of attack.  ',1,4),
(11091,1001334,4,100,'Inflicts 165 - 201 divine damage on target',2,5),
(11092,1001334,5,100,'On a critical combat hit this spell has a 15% chance to cast Fanatical Devotion on the group.  Lasts for 10.0 seconds.  ',0,0),
(11093,1001334,5,100,'On any combat or spell hit this spell will cast Fanatical Devotion on target of attack.  ',1,1),
(11094,1001334,5,100,'Inflicts 274 - 335 divine damage on target',2,2),
(11095,1001334,5,100,'On a critical spell hit this spell has a 15% chance to cast Fanatical Devotion on the group.  Lasts for 10.0 seconds.  ',0,3),
(11096,1001334,5,100,'On any combat or spell hit this spell will cast Fanatical Devotion on target of attack.  ',1,4),
(11097,1001334,5,100,'Inflicts 274 - 335 divine damage on target',2,5),
(11098,1001335,1,100,'Improves the stamina component by 10%.',0,0),
(11099,1001335,1,100,'Improves the magical resist components 2%.',0,1),
(11100,1001335,2,100,'Improves the stamina component by 20%.',0,0),
(11101,1001335,2,100,'Improves the magical resist components 4%.',0,1),
(11102,1001335,3,100,'Improves the stamina component by 30%.',0,0),
(11103,1001335,3,100,'Improves the magical resist components 6%.',0,1),
(11104,1001335,4,100,'Improves the stamina component by 40%.',0,0),
(11105,1001335,4,100,'Improves the magical resist components 8%.',0,1),
(11106,1001335,5,100,'Improves the stamina component by 50%.',0,0),
(11107,1001335,5,100,'Improves the magical resist components 10%.',0,1),
(11108,1001336,1,100,'Fanatic''s Protection will restore 0.15% power to the target ally''s group when triggered.',0,0),
(11109,1001336,2,100,'Fanatic''s Protection will restore 0.3% power to the target ally''s group when triggered.',0,0),
(11110,1001336,3,100,'Fanatic''s Protection will restore 0.45% power to the target ally''s group when triggered.',0,0),
(11111,1001337,1,100,'Reduces the base casting speed of Slot 3 Conduits to 0.66 seconds.',0,0),
(11112,1001337,2,100,'Reduces the base casting speed of Slot 3 Conduits to 0.33 seconds.',0,0),
(11113,1001337,3,100,'Removes the casting time of Slot 3 Conduits',0,0),
(11114,1001338,2,100,'Reduces the base reuse of Blinding Dust to 90 seconds.',0,0),
(11115,1001338,3,100,'Reduces the base reuse of Blinding Dust to 60 seconds.',0,0),
(11116,1001339,1,100,'Reduces the initial power cost of sprinting by 33%.',0,0),
(11117,1001339,1,100,'Increases your speed while sprinting by 10.',0,1),
(11118,1001339,2,100,'Reduces the initial power cost of sprinting by 33%.',0,0),
(11119,1001339,2,100,'Increases your speed while sprinting by 10.',0,1),
(11120,1001340,1,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11121,1001340,1,100,'Increases the critical damage of Combat Arts by 2%',1,1),
(11122,1001341,1,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11123,1001341,1,100,'Increases the critical damage of Combat Arts by 2%',1,1),
(11124,1001342,1,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11125,1001342,1,100,'Increases the critical damage of Combat Arts by 2%',1,1),
(11126,1001343,1,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11127,1001343,1,100,'Increases the critical damage of Combat Arts by 2%',1,1),
(11128,1001344,1,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11129,1001344,1,100,'Increases the critical damage of Combat Arts by 2%',1,1),
(11130,1001345,1,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11131,1001345,1,100,'Increases the critical damage of Combat Arts by 2%',1,1),
(11132,1001346,1,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11133,1001346,1,100,'Increases the critical damage of Combat Arts by 2%',1,1),
(11134,1001347,1,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11135,1001347,1,100,'Increases the critical damage of Combat Arts by 2%',1,1),
(11136,1001348,1,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11137,1001348,1,100,'Increases the critical damage of Combat Arts by 2%',1,1),
(11138,1001349,1,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11139,1001349,1,100,'Increases the critical damage of Combat Arts by 2%',1,1),
(11140,1001350,1,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11141,1001350,1,100,'Increases the critical damage of Combat Arts by 2%',1,1),
(11142,1001351,1,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11143,1001351,1,100,'Increases the critical damage of Combat Arts by 2%',1,1),
(11144,1001352,1,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11145,1001352,1,100,'Increases the critical damage of Combat Arts by 2%',1,1),
(11146,1001346,2,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11147,1001346,2,100,'Increases the critical damage of Combat Arts by 4%',1,1),
(11148,1001343,2,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11149,1001343,2,100,'Increases the critical damage of Combat Arts by 4%',1,1),
(11150,1001349,2,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11151,1001349,2,100,'Increases the critical damage of Combat Arts by 4%',1,1),
(11152,1001345,2,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11153,1001345,2,100,'Increases the critical damage of Combat Arts by 4%',1,1),
(11154,1001341,2,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11155,1001341,2,100,'Increases the critical damage of Combat Arts by 4%',1,1),
(11156,1001350,2,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11157,1001350,2,100,'Increases the critical damage of Combat Arts by 4%',1,1),
(11158,1001348,2,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11159,1001348,2,100,'Increases the critical damage of Combat Arts by 4%',1,1),
(11160,1001351,2,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11161,1001351,2,100,'Increases the critical damage of Combat Arts by 4%',1,1),
(11162,1001340,2,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11163,1001340,2,100,'Increases the critical damage of Combat Arts by 4%',1,1),
(11164,1001347,2,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11165,1001347,2,100,'Increases the critical damage of Combat Arts by 4%',1,1),
(11166,1001352,2,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11167,1001352,2,100,'Increases the critical damage of Combat Arts by 4%',1,1),
(11168,1001344,2,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11169,1001344,2,100,'Increases the critical damage of Combat Arts by 4%',1,1),
(11170,1001343,3,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11171,1001343,3,100,'Increases the critical damage of Combat Arts by 6%',1,1),
(11172,1001349,3,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11173,1001349,3,100,'Increases the critical damage of Combat Arts by 6%',1,1),
(11174,1001345,3,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11175,1001345,3,100,'Increases the critical damage of Combat Arts by 6%',1,1),
(11176,1001341,3,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11177,1001341,3,100,'Increases the critical damage of Combat Arts by 6%',1,1),
(11178,1001348,3,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11179,1001348,3,100,'Increases the critical damage of Combat Arts by 6%',1,1),
(11180,1001350,3,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11181,1001350,3,100,'Increases the critical damage of Combat Arts by 6%',1,1),
(11182,1001351,3,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11183,1001351,3,100,'Increases the critical damage of Combat Arts by 6%',1,1),
(11184,1001340,3,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11185,1001340,3,100,'Increases the critical damage of Combat Arts by 6%',1,1),
(11186,1001347,3,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11187,1001347,3,100,'Increases the critical damage of Combat Arts by 6%',1,1),
(11188,1001352,3,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11189,1001352,3,100,'Increases the critical damage of Combat Arts by 6%',1,1),
(11190,1001346,3,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11191,1001346,3,100,'Increases the critical damage of Combat Arts by 6%',1,1),
(11192,1001344,3,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11193,1001344,3,100,'Increases the critical damage of Combat Arts by 6%',1,1),
(11194,1001341,4,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11195,1001341,4,100,'Increases the critical damage of Combat Arts by 8%',1,1),
(11196,1001343,4,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11197,1001343,4,100,'Increases the critical damage of Combat Arts by 8%',1,1),
(11198,1001350,4,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11199,1001350,4,100,'Increases the critical damage of Combat Arts by 8%',1,1),
(11200,1001349,4,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11201,1001349,4,100,'Increases the critical damage of Combat Arts by 8%',1,1),
(11202,1001345,4,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11203,1001345,4,100,'Increases the critical damage of Combat Arts by 8%',1,1),
(11204,1001348,4,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11205,1001348,4,100,'Increases the critical damage of Combat Arts by 8%',1,1),
(11206,1001351,4,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11207,1001351,4,100,'Increases the critical damage of Combat Arts by 8%',1,1),
(11208,1001347,4,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11209,1001347,4,100,'Increases the critical damage of Combat Arts by 8%',1,1),
(11210,1001340,4,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11211,1001340,4,100,'Increases the critical damage of Combat Arts by 8%',1,1),
(11212,1001352,4,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11213,1001352,4,100,'Increases the critical damage of Combat Arts by 8%',1,1),
(11214,1001344,4,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11215,1001344,4,100,'Increases the critical damage of Combat Arts by 8%',1,1),
(11216,1001346,4,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11217,1001346,4,100,'Increases the critical damage of Combat Arts by 8%',1,1),
(11218,1001341,5,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11219,1001341,5,100,'Increases the critical damage of Combat Arts by 10%',1,1),
(11220,1001350,5,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11221,1001350,5,100,'Increases the critical damage of Combat Arts by 10%',1,1),
(11222,1001348,5,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11223,1001348,5,100,'Increases the critical damage of Combat Arts by 10%',1,1),
(11224,1001346,5,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11225,1001346,5,100,'Increases the critical damage of Combat Arts by 10%',1,1),
(11226,1001343,5,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11227,1001343,5,100,'Increases the critical damage of Combat Arts by 10%',1,1),
(11228,1001351,5,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11229,1001351,5,100,'Increases the critical damage of Combat Arts by 10%',1,1),
(11230,1001349,5,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11231,1001349,5,100,'Increases the critical damage of Combat Arts by 10%',1,1),
(11232,1001345,5,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11233,1001345,5,100,'Increases the critical damage of Combat Arts by 10%',1,1),
(11234,1001347,5,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11235,1001347,5,100,'Increases the critical damage of Combat Arts by 10%',1,1),
(11236,1001340,5,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11237,1001340,5,100,'Increases the critical damage of Combat Arts by 10%',1,1),
(11238,1001352,5,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11239,1001352,5,100,'Increases the critical damage of Combat Arts by 10%',1,1),
(11240,1001344,5,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11241,1001344,5,100,'Increases the critical damage of Combat Arts by 10%',1,1),
(11242,1001344,6,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11243,1001344,6,100,'Increases the critical damage of Combat Arts by 12%',1,1),
(11244,1001348,6,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11245,1001348,6,100,'Increases the critical damage of Combat Arts by 12%',1,1),
(11246,1001343,6,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11247,1001343,6,100,'Increases the critical damage of Combat Arts by 12%',1,1),
(11248,1001351,6,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11249,1001351,6,100,'Increases the critical damage of Combat Arts by 12%',1,1),
(11250,1001349,6,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11251,1001349,6,100,'Increases the critical damage of Combat Arts by 12%',1,1),
(11252,1001345,6,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11253,1001345,6,100,'Increases the critical damage of Combat Arts by 12%',1,1),
(11254,1001341,6,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11255,1001341,6,100,'Increases the critical damage of Combat Arts by 12%',1,1),
(11256,1001350,6,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11257,1001350,6,100,'Increases the critical damage of Combat Arts by 12%',1,1),
(11258,1001347,6,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11259,1001347,6,100,'Increases the critical damage of Combat Arts by 12%',1,1),
(11260,1001340,6,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11261,1001340,6,100,'Increases the critical damage of Combat Arts by 12%',1,1),
(11262,1001346,6,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11263,1001346,6,100,'Increases the critical damage of Combat Arts by 12%',1,1),
(11264,1001352,6,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11265,1001352,6,100,'Increases the critical damage of Combat Arts by 12%',1,1),
(11266,1001350,7,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11267,1001350,7,100,'Increases the critical damage of Combat Arts by 14%',1,1),
(11268,1001346,7,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11269,1001346,7,100,'Increases the critical damage of Combat Arts by 14%',1,1),
(11270,1001348,7,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11271,1001348,7,100,'Increases the critical damage of Combat Arts by 14%',1,1),
(11272,1001343,7,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11273,1001343,7,100,'Increases the critical damage of Combat Arts by 14%',1,1),
(11274,1001351,7,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11275,1001351,7,100,'Increases the critical damage of Combat Arts by 14%',1,1),
(11276,1001349,7,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11277,1001349,7,100,'Increases the critical damage of Combat Arts by 14%',1,1),
(11278,1001340,7,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11279,1001340,7,100,'Increases the critical damage of Combat Arts by 14%',1,1),
(11280,1001345,7,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11281,1001345,7,100,'Increases the critical damage of Combat Arts by 14%',1,1),
(11282,1001341,7,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11283,1001341,7,100,'Increases the critical damage of Combat Arts by 14%',1,1),
(11284,1001352,7,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11285,1001352,7,100,'Increases the critical damage of Combat Arts by 14%',1,1),
(11286,1001344,7,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11287,1001344,7,100,'Increases the critical damage of Combat Arts by 14%',1,1),
(11288,1001347,7,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11289,1001347,7,100,'Increases the critical damage of Combat Arts by 14%',1,1),
(11290,1001341,8,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11291,1001341,8,100,'Increases the critical damage of Combat Arts by 16%',1,1),
(11292,1001347,8,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11293,1001347,8,100,'Increases the critical damage of Combat Arts by 16%',1,1),
(11294,1001340,8,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11295,1001340,8,100,'Increases the critical damage of Combat Arts by 16%',1,1),
(11296,1001350,8,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11297,1001350,8,100,'Increases the critical damage of Combat Arts by 16%',1,1),
(11298,1001348,8,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11299,1001348,8,100,'Increases the critical damage of Combat Arts by 16%',1,1),
(11300,1001343,8,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11301,1001343,8,100,'Increases the critical damage of Combat Arts by 16%',1,1),
(11302,1001351,8,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11303,1001351,8,100,'Increases the critical damage of Combat Arts by 16%',1,1),
(11304,1001349,8,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11305,1001349,8,100,'Increases the critical damage of Combat Arts by 16%',1,1),
(11306,1001345,8,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11307,1001345,8,100,'Increases the critical damage of Combat Arts by 16%',1,1),
(11308,1001352,8,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11309,1001352,8,100,'Increases the critical damage of Combat Arts by 16%',1,1),
(11310,1001346,8,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11311,1001346,8,100,'Increases the critical damage of Combat Arts by 16%',1,1),
(11312,1001344,8,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11313,1001344,8,100,'Increases the critical damage of Combat Arts by 16%',1,1),
(11314,1001341,9,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11315,1001341,9,100,'Increases the critical damage of Combat Arts by 18%',1,1),
(11316,1001348,9,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11317,1001348,9,100,'Increases the critical damage of Combat Arts by 18%',1,1),
(11318,1001343,9,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11319,1001343,9,100,'Increases the critical damage of Combat Arts by 18%',1,1),
(11320,1001351,9,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11321,1001351,9,100,'Increases the critical damage of Combat Arts by 18%',1,1),
(11322,1001349,9,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11323,1001349,9,100,'Increases the critical damage of Combat Arts by 18%',1,1),
(11324,1001345,9,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11325,1001345,9,100,'Increases the critical damage of Combat Arts by 18%',1,1),
(11326,1001350,9,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11327,1001350,9,100,'Increases the critical damage of Combat Arts by 18%',1,1),
(11328,1001347,9,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11329,1001347,9,100,'Increases the critical damage of Combat Arts by 18%',1,1),
(11330,1001340,9,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11331,1001340,9,100,'Increases the critical damage of Combat Arts by 18%',1,1),
(11332,1001352,9,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11333,1001352,9,100,'Increases the critical damage of Combat Arts by 18%',1,1),
(11334,1001346,9,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11335,1001346,9,100,'Increases the critical damage of Combat Arts by 18%',1,1),
(11336,1001344,9,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11337,1001344,9,100,'Increases the critical damage of Combat Arts by 18%',1,1),
(11338,1001350,10,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11339,1001350,10,100,'Increases the critical damage of Combat Arts by 20%',1,1),
(11340,1001345,10,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11341,1001345,10,100,'Increases the critical damage of Combat Arts by 20%',1,1),
(11342,1001346,10,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11343,1001346,10,100,'Increases the critical damage of Combat Arts by 20%',1,1),
(11344,1001348,10,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11345,1001348,10,100,'Increases the critical damage of Combat Arts by 20%',1,1),
(11346,1001343,10,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11347,1001343,10,100,'Increases the critical damage of Combat Arts by 20%',1,1),
(11348,1001351,10,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11349,1001351,10,100,'Increases the critical damage of Combat Arts by 20%',1,1),
(11350,1001349,10,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11351,1001349,10,100,'Increases the critical damage of Combat Arts by 20%',1,1),
(11352,1001347,10,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11353,1001347,10,100,'Increases the critical damage of Combat Arts by 20%',1,1),
(11354,1001341,10,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11355,1001341,10,100,'Increases the critical damage of Combat Arts by 20%',1,1),
(11356,1001340,10,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11357,1001340,10,100,'Increases the critical damage of Combat Arts by 20%',1,1),
(11358,1001352,10,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11359,1001352,10,100,'Increases the critical damage of Combat Arts by 20%',1,1),
(11360,1001344,10,100,'Applies Fatal Accuracy to qualifying pets.',0,0),
(11361,1001344,10,100,'Increases the critical damage of Combat Arts by 20%',1,1),
(11362,1001353,1,100,'When a combat art is used this spell will cast Fatal Combination on target of combat art.  ',0,0),
(11363,1001353,1,100,'Inflicts 3118 - 9353 poison damage on target',1,1),
(11364,1001353,1,100,'This effect can only trigger after a ranged and a melee combat art have been used in the previous 5 seconds.',1,2),
(11365,1001353,1,100,'This effect can only trigger once every 20 seconds.',1,3),
(11366,1001354,1,100,'For every 3 Crit Bonus, the caster gains 1 Potency.',0,0),
(11367,1001355,1,100,'Increases in-combat movement speed of caster by 5.0%',0,0),
(11368,1001355,1,100,'Increases speed of caster by 5.0%',0,1),
(11369,1001355,2,100,'Increases in-combat movement speed of caster by 5.0%',0,0),
(11370,1001355,2,100,'Increases speed of caster by 5.0%',0,1),
(11371,1001355,3,100,'Increases in-combat movement speed of caster by 5.0%',0,0),
(11372,1001355,3,100,'Increases speed of caster by 5.0%',0,1),
(11373,1001355,4,100,'Increases in-combat movement speed of caster by 5.0%',0,0),
(11374,1001355,4,100,'Increases speed of caster by 5.0%',0,1),
(11375,1001355,5,100,'Increases in-combat movement speed of caster by 5.0%',0,0),
(11376,1001355,5,100,'Increases speed of caster by 5.0%',0,1),
(11377,1001355,6,100,'Increases in-combat movement speed of caster by 5.0%',0,0),
(11378,1001355,6,100,'Increases speed of caster by 5.0%',0,1),
(11379,1001355,7,100,'Increases in-combat movement speed of caster by 5.0%',0,0),
(11380,1001355,7,100,'Increases speed of caster by 5.0%',0,1),
(11381,1001355,8,100,'Increases in-combat movement speed of caster by 5.0%',0,0),
(11382,1001355,8,100,'Increases speed of caster by 5.0%',0,1),
(11383,1001355,9,100,'Increases in-combat movement speed of caster by 5.0%',0,0),
(11384,1001355,9,100,'Increases speed of caster by 5.0%',0,1),
(11385,1001355,10,100,'Increases in-combat movement speed of caster by 5.0%',0,0),
(11386,1001355,10,100,'Increases speed of caster by 5.0%',0,1),
(11387,1001356,1,100,'Increases AGI of caster by 2.5',0,0),
(11388,1001356,2,100,'Increases AGI of caster by 2.5',0,0),
(11389,1001357,1,100,'Improves the heal amount by 3%',0,0),
(11390,1001357,1,100,'Improves the critical amount by 4%.',0,1),
(11391,1001357,2,100,'Improves the heal amount by 6%',0,0),
(11392,1001357,2,100,'Improves the critical amount by 8%.',0,1),
(11393,1001357,3,100,'Improves the heal amount by 9%',0,0),
(11394,1001357,3,100,'Improves the critical amount by 12%.',0,1),
(11395,1001357,4,100,'Improves the heal amount by 12%',0,0),
(11396,1001357,4,100,'Improves the critical amount by 16%.',0,1),
(11397,1001357,5,100,'Improves the heal amount by 15%',0,0),
(11398,1001357,5,100,'Improves the critical amount by 20%.',0,1),
(11399,1001358,1,100,'Increases Mitigation of caster vs physical damage by 275',0,0),
(11400,1001358,2,100,'Increases Mitigation of caster vs physical damage by 550',0,0),
(11401,1001358,3,100,'Increases Mitigation of caster vs physical damage by 825',0,0),
(11402,1001358,4,100,'Increases Mitigation of caster vs physical damage by 1100',0,0),
(11403,1001358,5,100,'Increases Mitigation of caster vs physical damage by 1375',0,0),
(11404,1001359,1,100,'Improves the healing of Awakening by 4%.',0,0),
(11405,1001359,2,100,'Improves the healing of Awakening by 8%.',0,0),
(11406,1001359,3,100,'Improves the healing of Awakening by 12%.',0,0),
(11407,1001359,4,100,'Improves the healing of Awakening by 16%.',0,0),
(11408,1001359,5,100,'Improves the healing of Awakening by 20%.',0,0),
(11409,1001360,1,100,'Increases the success chance of the tailor by 2 percent',0,0),
(11410,1001360,2,100,'Increases the success chance of the tailor by 2 percent',0,0),
(11411,1001361,1,100,'Caster will Riposte 1.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',0,0),
(11412,1001361,2,100,'Caster will Riposte 2.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',0,0),
(11413,1001361,3,100,'Caster will Riposte 3.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',0,0),
(11414,1001361,4,100,'Caster will Riposte 4.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',0,0),
(11415,1001361,5,100,'Caster will Riposte 5.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',0,0),
(11416,1001361,6,100,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',0,0),
(11417,1001361,7,100,'Caster will Riposte 7.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',0,0),
(11418,1001361,8,100,'Caster will Riposte 8.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',0,0),
(11419,1001361,9,100,'Caster will Riposte 9.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',0,0),
(11420,1001361,10,100,'Caster will Riposte 10.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',0,0),
(11421,1001362,2,100,'Reduces maximum falling speed of caster',0,0),
(11422,1001363,1,100,'Adds an additional intelligence debuff.',0,0),
(11423,1001363,2,100,'Adds an additional intelligence debuff.',0,0),
(11424,1001363,3,100,'Adds an additional intelligence debuff.',0,0),
(11425,1001363,4,100,'Adds an additional intelligence debuff.',0,0),
(11426,1001363,5,100,'Adds an additional intelligence debuff.',0,0),
(11427,1001364,2,100,'Grants the skill Safefall.',0,0),
(11428,1001365,1,100,'Increases Ability Reuse Speed of caster by 1.3%',0,0),
(11429,1001365,2,100,'Increases Ability Reuse Speed of caster by 2.5%',0,0),
(11430,1001365,3,100,'Increases Ability Reuse Speed of caster by 3.7%',0,0),
(11431,1001365,4,100,'Increases Ability Reuse Speed of caster by 5.0%',0,0),
(11432,1001365,5,100,'Increases Ability Reuse Speed of caster by 6.2%',0,0),
(11433,1001365,6,100,'Increases Ability Reuse Speed of caster by 7.5%',0,0),
(11434,1001365,7,100,'Increases Ability Reuse Speed of caster by 8.8%',0,0),
(11435,1001365,8,100,'Increases Ability Reuse Speed of caster by 10.0%',0,0),
(11436,1001366,1,100,'Increases WIS of caster by 8.0',0,0),
(11437,1001367,1,100,'Increases Riposte Damage of caster by 10.0',0,0),
(11438,1001367,2,100,'Increases Riposte Damage of caster by 20.0',0,0),
(11439,1001367,3,100,'Increases Riposte Damage of caster by 30.0',0,0),
(11440,1001367,4,100,'Increases Riposte Damage of caster by 40.0',0,0),
(11441,1001367,5,100,'Increases Riposte Damage of caster by 50.0',0,0),
(11442,1001368,1,100,'Blazing Avatar has a 8% chance to finish the reuse of Elemental Blast.',0,0),
(11443,1001368,2,100,'Blazing Avatar has a 16% chance to finish the reuse of Elemental Blast.',0,0),
(11444,1001369,1,100,'The beastlord''s warder grants the beastlord a new Primal: Feral Charge. Feral Charge is a Feral Primal that inflicts damage to the target and teleports the beastlord to their target if they are further than ten meters from their target.',0,0),
(11445,1001370,1,100,'The beastlord''s warder grants the beastlord a new Primal: Feral Charge. Feral Charge is a Feral Primal that inflicts damage to the target and teleports the beastlord to their target if they are further than ten meters from their target.',0,0),
(11446,1001371,1,100,'The beastlord''s warder grants the beastlord a new Primal: Feral Charge. Feral Charge is a Feral Primal that inflicts damage to the target and teleports the beastlord to their target if they are further than ten meters from their target.',0,0),
(11447,1001372,1,100,'The beastlord''s warder grants the beastlord a new Primal: Feral Charge. Feral Charge is a Feral Primal that inflicts damage to the target and teleports the beastlord to their target if they are further than ten meters from their target.',0,0),
(11448,1001373,1,100,'The beastlord''s warder grants the beastlord a new Primal: Feral Charge. Feral Charge is a Feral Primal that inflicts damage to the target and teleports the beastlord to their target if they are further than ten meters from their target.',0,0),
(11449,1001374,1,100,'The beastlord''s warder grants the beastlord a new Primal: Feral Charge. Feral Charge is a Feral Primal that inflicts damage to the target and teleports the beastlord to their target if they are further than ten meters from their target.',0,0),
(11450,1001375,1,100,'The beastlord''s warder grants the beastlord a new Primal: Feral Charge. Feral Charge is a Feral Primal that inflicts damage to the target and teleports the beastlord to their target if they are further than ten meters from their target.',0,0),
(11451,1001376,1,100,'The beastlord''s warder grants the beastlord a new Primal: Feral Charge. Feral Charge is a Feral Primal that inflicts damage to the target and teleports the beastlord to their target if they are further than ten meters from their target.',0,0),
(11452,1001377,1,100,'The beastlord''s warder grants the beastlord a new Primal: Feral Charge. Feral Charge is a Feral Primal that inflicts damage to the target and teleports the beastlord to their target if they are further than ten meters from their target.',0,0),
(11453,1001378,1,100,'The beastlord''s warder grants the beastlord a new Primal: Feral Charge. Feral Charge is a Feral Primal that inflicts damage to the target and teleports the beastlord to their target if they are further than ten meters from their target.',0,0),
(11454,1001379,1,100,'The beastlord''s warder grants the beastlord a new Primal: Feral Charge. Feral Charge is a Feral Primal that inflicts damage to the target and teleports the beastlord to their target if they are further than ten meters from their target.',0,0),
(11455,1001380,1,100,'The beastlord''s warder grants the beastlord a new Primal: Feral Charge. Feral Charge is a Feral Primal that inflicts damage to the target and teleports the beastlord to their target if they are further than ten meters from their target.',0,0),
(11456,1001381,1,100,'The beastlord''s warder grants the beastlord a new Primal: Feral Charge. Feral Charge is a Feral Primal that inflicts damage to the target and teleports the beastlord to their target if they are further than ten meters from their target.',0,0),
(11457,1001382,1,100,'The beastlord''s warder grants the beastlord a new Primal: Feral Charge. Feral Charge is a Feral Primal that inflicts damage to the target and teleports the beastlord to their target if they are further than ten meters from their target.',0,0),
(11458,1001383,1,100,'The beastlord''s warder grants the beastlord a new Primal: Feral Charge. Feral Charge is a Feral Primal that inflicts damage to the target and teleports the beastlord to their target if they are further than ten meters from their target.',0,0),
(11459,1001384,1,100,'The beastlord''s warder grants the beastlord a new Primal: Feral Charge. Feral Charge is a Feral Primal that inflicts damage to the target and teleports the beastlord to their target if they are further than ten meters from their target.',0,0),
(11460,1001385,1,100,'The beastlord''s warder grants the beastlord a new Primal: Feral Charge. Feral Charge is a Feral Primal that inflicts damage to the target and teleports the beastlord to their target if they are further than ten meters from their target.',0,0),
(11461,1001386,1,100,'The beastlord''s warder grants the beastlord a new Primal: Feral Charge. Feral Charge is a Feral Primal that inflicts damage to the target and teleports the beastlord to their target if they are further than ten meters from their target.',0,0),
(11462,1001387,1,100,'The beastlord''s warder grants the beastlord a new Primal: Feral Charge. Feral Charge is a Feral Primal that inflicts damage to the target and teleports the beastlord to their target if they are further than ten meters from their target.',0,0),
(11463,1001388,1,100,'For every 20 Potency, the caster gains 1 Crit Bonus.',0,0),
(11464,1001389,1,100,'Improves the duration of all ranks of Feral Rampage by 3 seconds.',0,0),
(11465,1001390,1,100,'Increases Ability Recovery Speed of caster by 50.0%',0,0),
(11466,1001390,1,100,'Increases radius of all abilities by 5 meters',0,1),
(11467,1001391,1,100,'Improves the Multi-Attack Chance of Feral Stance by 7% of its base value',0,0),
(11468,1001391,2,100,'Improves the Multi-Attack Chance of Feral Stance by 14% of its base value',0,0),
(11469,1001391,3,100,'Improves the Multi-Attack Chance of Feral Stance by 21% of its base value',0,0),
(11470,1001391,4,100,'Improves the Multi-Attack Chance of Feral Stance by 28% of its base value',0,0),
(11471,1001391,5,100,'Improves the Multi-Attack Chance of Feral Stance by 35% of its base value',0,0),
(11472,1001392,1,100,'Improves the damage and critical amount by 3%.',0,0),
(11473,1001392,2,100,'Improves the damage and critical amount by 6%.',0,0),
(11474,1001392,3,100,'Improves the damage and critical amount by 9%.',0,0),
(11475,1001392,4,100,'Improves the damage and critical amount by 12%.',0,0),
(11476,1001392,5,100,'Improves the damage and critical amount by 15%.',0,0),
(11477,1001393,1,100,'Feral Advantages grant an additional 1 savagery.',0,0),
(11478,1001393,2,100,'Feral Advantages grant an additional 2 savagery.',0,0),
(11479,1001393,3,100,'Feral Advantages grant an additional 3 savagery.',0,0),
(11480,1001394,1,100,'Feral Fangs has a 33% chance to trigger Feral Whirl, which inflicts slashing damage around the beastlord.',0,0),
(11481,1001394,2,100,'Feral Fangs has a 66% chance to trigger Feral Whirl, which inflicts slashing damage around the beastlord.',0,0),
(11482,1001394,3,100,'Feral Fangs has a 100% chance to trigger Feral Whirl, which inflicts slashing damage around the beastlord.',0,0),
(11483,1001395,1,100,'Slot 3 Primals have a 15% chance to clear the reuse of slot 4 Primals.',0,0),
(11484,1001395,2,100,'Slot 3 Primals have a 30% chance to clear the reuse of slot 4 Primals.',0,0),
(11485,1001396,1,100,'On any combat or spell hit this spell may cast Ferocity of Spirits on caster.  Lasts for 20.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(11486,1001396,1,100,'Shapeshifts the mystic into a creature based on the increment amount!',1,1),
(11487,1001396,1,100,'Increases Crit Bonus of the caster by 6% of their base Crit Bonus. This is multiplied by the increment amount.',1,2),
(11488,1001396,1,100,'Can only trigger once every 10 seconds',0,3),
(11489,1001396,2,100,'On any combat or spell hit this spell may cast Ferocity of Spirits on caster.  Lasts for 20.0 seconds.  Triggers about 4.0 times per minute. ',0,0),
(11490,1001396,2,100,'Shapeshifts the mystic into a creature based on the increment amount!',1,1),
(11491,1001396,2,100,'Increases Crit Bonus of the caster by 6% of their base Crit Bonus. This is multiplied by the increment amount.',1,2),
(11492,1001396,2,100,'Can only trigger once every 10 seconds',0,3),
(11493,1001396,3,100,'On any combat or spell hit this spell may cast Ferocity of Spirits on caster.  Lasts for 20.0 seconds.  Triggers about 6.0 times per minute. ',0,0),
(11494,1001396,3,100,'Shapeshifts the mystic into a creature based on the increment amount!',1,1),
(11495,1001396,3,100,'Increases Crit Bonus of the caster by 6% of their base Crit Bonus. This is multiplied by the increment amount.',1,2),
(11496,1001396,3,100,'Can only trigger once every 10 seconds',0,3),
(11497,1001397,1,100,'Increases Crit Chance of caster by 2.6',0,0),
(11498,1001397,2,100,'Increases Crit Chance of caster by 5.2',0,0),
(11499,1001397,3,100,'Increases Crit Chance of caster by 7.7',0,0),
(11500,1001397,4,100,'Increases Crit Chance of caster by 10.3',0,0),
(11501,1001397,5,100,'Increases Crit Chance of caster by 12.9',0,0),
(11502,1001397,6,100,'Increases Crit Chance of caster by 15.5',0,0),
(11503,1001397,7,100,'Increases Crit Chance of caster by 18.0',0,0),
(11504,1001397,8,100,'Increases Crit Chance of caster by 20.6',0,0),
(11505,1001397,9,100,'Increases Crit Chance of caster by 23.2',0,0),
(11506,1001397,10,100,'Increases Crit Chance of caster by 25.8',0,0),
(11507,1001398,1,100,'+5 Metalworking',0,0),
(11509,1001399,1,100,'When a combat art is used this spell has a 10% chance to cast Field Commander''s Charge on target.  Lasts for 10.0 seconds.  ',0,0),
(11510,1001399,1,100,'On any combat or spell hit this spell may cast Field Commander''s Charge on target of attack.  Triggers about 6.8 times per minute. ',1,1),
(11511,1001399,1,100,'Inflicts 260 - 433 crushing damage on target',2,2),
(11512,1001399,1,100,'On a hostile spell hit this spell may cast Field Commander''s Charge on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,3),
(11513,1001399,1,100,'On any combat or spell hit this spell may cast Field Commander''s Charge on target of attack.  Triggers about 6.8 times per minute. ',1,4),
(11514,1001399,1,100,'Inflicts 260 - 433 crushing damage on target',2,5),
(11515,1001399,2,100,'When a combat art is used this spell has a 10% chance to cast Field Commander''s Charge on target.  Lasts for 15.0 seconds.  ',0,0),
(11516,1001399,2,100,'On any combat or spell hit this spell may cast Field Commander''s Charge on target of attack.  Triggers about 6.8 times per minute. ',1,1),
(11517,1001399,2,100,'Inflicts 260 - 433 crushing damage on target',2,2),
(11518,1001399,2,100,'On a hostile spell hit this spell may cast Field Commander''s Charge on target.  Lasts for 15.0 seconds.  Triggers about 2.0 times per minute. ',0,3),
(11519,1001399,2,100,'On any combat or spell hit this spell may cast Field Commander''s Charge on target of attack.  Triggers about 6.8 times per minute. ',1,4),
(11520,1001399,2,100,'Inflicts 260 - 433 crushing damage on target',2,5),
(11521,1001399,3,100,'When a combat art is used this spell has a 10% chance to cast Field Commander''s Charge on target.  Lasts for 20.0 seconds.  ',0,0),
(11522,1001399,3,100,'On any combat or spell hit this spell may cast Field Commander''s Charge on target of attack.  Triggers about 6.8 times per minute. ',1,1),
(11523,1001399,3,100,'Inflicts 346 - 577 crushing damage on target',2,2),
(11524,1001399,3,100,'On a hostile spell hit this spell may cast Field Commander''s Charge on target.  Lasts for 20.0 seconds.  Triggers about 2.0 times per minute. ',0,3),
(11525,1001399,3,100,'On any combat or spell hit this spell may cast Field Commander''s Charge on target of attack.  Triggers about 6.8 times per minute. ',1,4),
(11526,1001399,3,100,'Inflicts 346 - 577 crushing damage on target',2,5),
(11527,1001400,1,100,'Increases the amount of durability gained by 1.0.',0,0),
(11528,1001400,1,100,'Increases success chance by 1.0%',0,1),
(11529,1001400,2,100,'Increases the amount of durability gained by 1.0.',0,0),
(11530,1001400,2,100,'Increases success chance by 1.0%',0,1),
(11531,1001401,1,100,'When using their primary taunts, the fighter will gain 0.15% maximum health per increment. This increments up to 10 times.',0,0),
(11532,1001401,2,100,'When using their primary taunts, the fighter will gain 0.3% maximum health per increment. This increments up to 10 times.',0,0),
(11533,1001401,3,100,'When using their primary taunts, the fighter will gain 0.45% maximum health per increment. This increments up to 10 times.',0,0),
(11534,1001401,4,100,'When using their primary taunts, the fighter will gain 0.6% maximum health per increment. This increments up to 10 times.',0,0),
(11535,1001401,5,100,'When using their primary taunts, the fighter will gain 0.75% maximum health per increment. This increments up to 10 times.',0,0),
(11536,1001401,6,100,'When using their primary taunts, the fighter will gain 0.9% maximum health per increment. This increments up to 10 times.',0,0),
(11537,1001401,7,100,'When using their primary taunts, the fighter will gain 1.05% maximum health per increment. This increments up to 10 times.',0,0),
(11538,1001401,8,100,'When using their primary taunts, the fighter will gain 1.2% maximum health per increment. This increments up to 10 times.',0,0),
(11539,1001401,9,100,'When using their primary taunts, the fighter will gain 1.35% maximum health per increment. This increments up to 10 times.',0,0),
(11540,1001401,10,100,'When using their primary taunts, the fighter will gain 1.5% maximum health per increment. This increments up to 10 times.',0,0),
(11541,1001403,1,100,'Increases the guardian''s maximum health by 5% after Unyielding Will triggers.',0,0),
(11542,1001403,2,100,'Increases the guardian''s maximum health by 10% after Unyielding Will triggers.',0,0),
(11543,1001403,3,100,'Increases the guardian''s maximum health by 15% after Unyielding Will triggers.',0,0),
(11544,1001403,4,100,'Increases the guardian''s maximum health by 20% after Unyielding Will triggers.',0,0),
(11545,1001403,5,100,'Increases the guardian''s maximum health by 25% after Unyielding Will triggers.',0,0),
(11546,1001403,5,100,'The Guardian will no longer die on expiration.',0,1),
(11547,1001404,1,100,'Improves the damage that stealth attacks contribute to Fatal Followup by 30%.',0,0),
(11548,1001404,2,100,'Improves the damage that stealth attacks contribute to Fatal Followup by 60%.',0,0),
(11549,1001404,3,100,'Improves the damage that stealth attacks contribute to Fatal Followup by 90%.',0,0),
(11550,1001405,1,100,'When target falls below 2% health this spell will cast Final Hope on target.  ',0,0),
(11551,1001405,1,100,'Inflicts 7 - 9 divine damage on targets in Area of Effect',1,1),
(11552,1001405,1,100,'This effect can only trigger once every 2.0 seconds.',1,2),
(11553,1001405,1,100,'When target falls below 2% health this spell will cast Final Hope on target.  ',0,3),
(11554,1001405,1,100,'Heals group members (AE) for 2',1,4),
(11555,1001405,1,100,'Does not heal priests',1,5),
(11556,1001405,1,100,'This effect can only trigger once every 2.0 seconds.',1,6),
(11557,1001405,2,100,'When target falls below 2% health this spell will cast Final Hope on target.  ',0,0),
(11558,1001405,2,100,'Inflicts 748 - 915 divine damage on targets in Area of Effect',1,1),
(11559,1001405,2,100,'This effect can only trigger once every 2.0 seconds.',1,2),
(11560,1001405,2,100,'When target falls below 2% health this spell will cast Final Hope on target.  ',0,3),
(11561,1001405,2,100,'Heals group members (AE) for 270 - 330',1,4),
(11562,1001405,2,100,'Does not heal priests',1,5),
(11563,1001405,2,100,'This effect can only trigger once every 2.0 seconds.',1,6),
(11564,1001405,3,100,'When target falls below 2% health this spell will cast Final Hope on target.  ',0,0),
(11565,1001405,3,100,'Inflicts 1496 - 1828 divine damage on targets in Area of Effect',1,1),
(11566,1001405,3,100,'This effect can only trigger once every 2.0 seconds.',1,2),
(11567,1001405,3,100,'When target falls below 2% health this spell will cast Final Hope on target.  ',0,3),
(11568,1001405,3,100,'Heals group members (AE) for 405 - 495',1,4),
(11569,1001405,3,100,'Does not heal priests',1,5),
(11570,1001405,3,100,'This effect can only trigger once every 2.0 seconds.',1,6),
(11571,1001405,4,100,'When target falls below 2% health this spell will cast Final Hope on target.  ',0,0),
(11572,1001405,4,100,'Inflicts 1995 - 2438 divine damage on targets in Area of Effect',1,1),
(11573,1001405,4,100,'This effect can only trigger once every 2.0 seconds.',1,2),
(11574,1001405,4,100,'When target falls below 2% health this spell will cast Final Hope on target.  ',0,3),
(11575,1001405,4,100,'Heals group members (AE) for 540 - 660',1,4),
(11576,1001405,4,100,'Does not heal priests',1,5),
(11577,1001405,4,100,'This effect can only trigger once every 2.0 seconds.',1,6),
(11578,1001405,5,100,'When target falls below 2% health this spell will cast Final Hope on target.  ',0,0),
(11579,1001405,5,100,'Inflicts 1871 - 2286 divine damage on targets in Area of Effect',1,1),
(11580,1001405,5,100,'This effect can only trigger once every 2.0 seconds.',1,2),
(11581,1001405,5,100,'When target falls below 2% health this spell will cast Final Hope on target.  ',0,3),
(11582,1001405,5,100,'Heals group members (AE) for 675 - 825',1,4),
(11583,1001405,5,100,'Does not heal priests',1,5),
(11584,1001405,5,100,'This effect can only trigger once every 2.0 seconds.',1,6),
(11585,1001405,6,100,'When target falls below 2% health this spell will cast Final Hope on target.  ',0,0),
(11586,1001405,6,100,'Inflicts 2245 - 2744 divine damage on targets in Area of Effect',1,1),
(11587,1001405,6,100,'This effect can only trigger once every 2.0 seconds.',1,2),
(11588,1001405,6,100,'When target falls below 2% health this spell will cast Final Hope on target.  ',0,3),
(11589,1001405,6,100,'Heals group members (AE) for 810 - 990',1,4),
(11590,1001405,6,100,'Does not heal priests',1,5),
(11591,1001405,6,100,'This effect can only trigger once every 2.0 seconds.',1,6),
(11592,1001405,7,100,'When target falls below 2% health this spell will cast Final Hope on target.  ',0,0),
(11593,1001405,7,100,'Inflicts 3491 - 4266 divine damage on targets in Area of Effect',1,1),
(11594,1001405,7,100,'This effect can only trigger once every 2.0 seconds.',1,2),
(11595,1001405,7,100,'When target falls below 2% health this spell will cast Final Hope on target.  ',0,3),
(11596,1001405,7,100,'Heals group members (AE) for 945 - 1155',1,4),
(11597,1001405,7,100,'Does not heal priests',1,5),
(11598,1001405,7,100,'This effect can only trigger once every 2.0 seconds.',1,6),
(11599,1001405,8,100,'When target falls below 2% health this spell will cast Final Hope on target.  ',0,0),
(11600,1001405,8,100,'Inflicts 3989 - 4876 divine damage on targets in Area of Effect',1,1),
(11601,1001405,8,100,'This effect can only trigger once every 2.0 seconds.',1,2),
(11602,1001405,8,100,'When target falls below 2% health this spell will cast Final Hope on target.  ',0,3),
(11603,1001405,8,100,'Heals group members (AE) for 1080 - 1320',1,4),
(11604,1001405,8,100,'Does not heal priests',1,5),
(11605,1001405,8,100,'This effect can only trigger once every 2.0 seconds.',1,6),
(11606,1001405,9,100,'When target falls below 2% health this spell will cast Final Hope on target.  ',0,0),
(11607,1001405,9,100,'Inflicts 4488 - 5485 divine damage on targets in Area of Effect',1,1),
(11608,1001405,9,100,'This effect can only trigger once every 2.0 seconds.',1,2),
(11609,1001405,9,100,'When target falls below 2% health this spell will cast Final Hope on target.  ',0,3),
(11610,1001405,9,100,'Heals group members (AE) for 1215 - 1485',1,4),
(11611,1001405,9,100,'Does not heal priests',1,5),
(11612,1001405,9,100,'This effect can only trigger once every 2.0 seconds.',1,6),
(11613,1001405,10,100,'When target falls below 2% health this spell will cast Final Hope on target.  ',0,0),
(11614,1001405,10,100,'Inflicts 3741 - 4573 divine damage on targets in Area of Effect',1,1),
(11615,1001405,10,100,'This effect can only trigger once every 2.0 seconds.',1,2),
(11616,1001405,10,100,'When target falls below 2% health this spell will cast Final Hope on target.  ',0,3),
(11617,1001405,10,100,'Heals group members (AE) for 1350 - 1650',1,4),
(11618,1001405,10,100,'Does not heal priests',1,5),
(11619,1001405,10,100,'This effect can only trigger once every 2.0 seconds.',1,6),
(11620,1001406,1,100,'When a combat art is used this spell has a 2% chance to cast Final Rampage on caster.  Lasts for 5.0 seconds.  ',0,0),
(11621,1001406,1,100,'Clears the reuse of Rampage.',1,1),
(11622,1001406,1,100,'This effect can only trigger from Berserker Onslaught, Bloodbath or Utter Destruction.',1,2),
(11623,1001406,2,100,'When a combat art is used this spell has a 4% chance to cast Final Rampage on caster.  Lasts for 5.0 seconds.  ',0,0),
(11624,1001406,2,100,'Clears the reuse of Rampage.',1,1),
(11625,1001406,2,100,'This effect can only trigger from Berserker Onslaught, Bloodbath or Utter Destruction.',1,2),
(11626,1001407,1,100,'Doubles the damage of Divine Territory.',0,0),
(11627,1001408,1,100,'Increases the health thresholds of Verdict.',0,0),
(11628,1001409,1,100,'Increases the durability gain by 2 every round.',0,0),
(11629,1001409,2,100,'Increases the durability gain by 2 every round.',0,0),
(11630,1001410,1,100,'Reduces the power cost of all Tailor reaction arts by 10%',0,0),
(11631,1001410,2,100,'Reduces the power cost of all Tailor reaction arts by 10%',0,0),
(11632,1001411,1,100,'The wizard''s group will gain a triggered damage effect that inflicts damage when the wizard reaches three increments of Incineration. This can apply when the 3rd increment is refreshed.',0,0),
(11633,1001411,2,100,'The wizard''s group will gain a triggered damage effect that inflicts damage when the wizard reaches three increments of Incineration. This can apply when the 3rd increment is refreshed.',0,0),
(11634,1001411,3,100,'The wizard''s group will gain a triggered damage effect that inflicts damage when the wizard reaches three increments of Incineration. This can apply when the 3rd increment is refreshed.',0,0),
(11635,1001412,1,100,'Increases Mitigation of caster vs elemental damage by 0',0,0),
(11636,1001412,2,100,'Increases Mitigation of caster vs elemental damage by 0',0,0),
(11637,1001413,1,100,'Surge of Ro makes all magic and cold spells into heat spells',0,0),
(11638,1001414,1,100,'Improves the base damage by 4%.',0,0),
(11639,1001414,2,100,'Improves the base damage by 8%.',0,0),
(11640,1001414,3,100,'Improves the base damage by 12%.',0,0),
(11641,1001414,4,100,'Improves the base damage by 16%.',0,0),
(11642,1001414,5,100,'Improves the base damage by 20%.',0,0),
(11643,1001415,1,100,'Increases in-combat movement speed of caster by 1.3%',0,0),
(11644,1001415,1,100,'Increases speed of caster by 1.3%',0,1),
(11645,1001415,2,100,'Increases in-combat movement speed of caster by 2.5%',0,0),
(11646,1001415,2,100,'Increases speed of caster by 2.5%',0,1),
(11647,1001415,3,100,'Increases in-combat movement speed of caster by 3.7%',0,0),
(11648,1001415,3,100,'Increases speed of caster by 3.7%',0,1),
(11649,1001415,4,100,'Increases in-combat movement speed of caster by 5.0%',0,0),
(11650,1001415,4,100,'Increases speed of caster by 5.0%',0,1),
(11651,1001415,5,100,'Increases in-combat movement speed of caster by 6.2%',0,0),
(11652,1001415,5,100,'Increases speed of caster by 6.2%',0,1),
(11653,1001415,6,100,'Increases in-combat movement speed of caster by 7.5%',0,0),
(11654,1001415,6,100,'Increases speed of caster by 7.5%',0,1),
(11655,1001415,7,100,'Increases in-combat movement speed of caster by 8.8%',0,0),
(11656,1001415,7,100,'Increases speed of caster by 8.8%',0,1),
(11657,1001415,8,100,'Increases in-combat movement speed of caster by 10.0%',0,0),
(11658,1001415,8,100,'Increases speed of caster by 10.0%',0,1),
(11659,1001415,9,100,'Increases in-combat movement speed of caster by 11.3%',0,0),
(11660,1001415,9,100,'Increases speed of caster by 11.3%',0,1),
(11661,1001415,10,100,'Increases in-combat movement speed of caster by 12.5%',0,0),
(11662,1001415,10,100,'Increases speed of caster by 12.5%',0,1),
(11663,1001416,1,100,'Improves the base damage and critical damage by 5%',0,0),
(11664,1001416,2,100,'Improves the base damage and critical damage by 10%',0,0),
(11665,1001416,3,100,'Improves the base damage and critical damage by 15%',0,0),
(11666,1001416,4,100,'Improves the base damage and critical damage by 20%',0,0),
(11667,1001416,5,100,'Improves the base damage and critical damage by 25%',0,0),
(11668,1001417,1,100,'Improves the damage by 3%',0,0),
(11669,1001417,1,100,'Improves the chance to critically hit by 2%.',0,1),
(11670,1001417,2,100,'Improves the damage by 6%',0,0),
(11671,1001417,2,100,'Improves the chance to critically hit by 4%.',0,1),
(11672,1001417,3,100,'Improves the damage by 9%',0,0),
(11673,1001417,3,100,'Improves the chance to critically hit by 6%.',0,1),
(11674,1001417,4,100,'Improves the damage by 12%',0,0),
(11675,1001417,4,100,'Improves the chance to critically hit by 8%.',0,1),
(11676,1001417,5,100,'Improves the damage by 15%',0,0),
(11677,1001417,5,100,'Improves the chance to critically hit by 10%.',0,1),
(11678,1001418,1,100,'Increases Max Power of caster by 3.0%',0,0),
(11679,1001418,2,100,'Increases Max Power of caster by 3.0%',0,0),
(11680,1001419,1,100,'Steals agility from the target returning it to the swashbuckler temporarily.',0,0),
(11681,1001419,2,100,'Steals agility from the target returning it to the swashbuckler temporarily.',0,0),
(11682,1001419,3,100,'Steals agility from the target returning it to the swashbuckler temporarily.',0,0),
(11683,1001419,4,100,'Steals agility from the target returning it to the swashbuckler temporarily.',0,0),
(11684,1001419,5,100,'Steals agility from the target returning it to the swashbuckler temporarily.',0,0),
(11685,1001420,1,100,'Grants a 12% chance to double the base triggers on Penance, Malevolent Diatribe and Fanatic''s Inspiration.',0,0),
(11686,1001420,2,100,'Grants a 24% chance to double the base triggers on Penance, Malevolent Diatribe and Fanatic''s Inspiration.',0,0),
(11687,1001420,3,100,'Grants a 36% chance to double the base triggers on Penance, Malevolent Diatribe and Fanatic''s Inspiration.',0,0),
(11688,1001421,1,100,'Increases AGI of caster by 2.5',0,0),
(11689,1001421,2,100,'Increases AGI of caster by 2.5',0,0),
(11690,1001422,2,100,'Increases Mitigation of caster vs physical damage by 0',0,0),
(11691,1001423,1,100,'Flameshield will transfer 7.5% of the conjurors threat to the target add 7.5% Weapon Damage Bonus and Extra Dodge Chance to them.',0,0),
(11692,1001424,1,100,'Caster has a 3.0% chance of having one of their weapons'' auto-attack strike the target multiple times.',0,0),
(11693,1001425,1,100,'Improves the base damage and critical damage by 4%.',0,0),
(11694,1001425,2,100,'Improves the base damage and critical damage by 8%.',0,0),
(11695,1001425,3,100,'Improves the base damage and critical damage by 12%.',0,0),
(11696,1001425,4,100,'Improves the base damage and critical damage by 16%.',0,0),
(11697,1001425,5,100,'Improves the base damage and critical damage by 20%.',0,0),
(11698,1001426,1,100,'Focus of Restoration will increase the channeler''s dodge chance and maximum health by 1%',0,0),
(11699,1001426,2,100,'Focus of Restoration will increase the channeler''s dodge chance and maximum health by 2%',0,0),
(11700,1001426,3,100,'Focus of Restoration will increase the channeler''s dodge chance and maximum health by 3%',0,0),
(11701,1001426,4,100,'Focus of Restoration will increase the channeler''s dodge chance and maximum health by 4%',0,0),
(11702,1001426,5,100,'Focus of Restoration will increase the channeler''s dodge chance and maximum health by 5%',0,0),
(11703,1001426,6,100,'Focus of Restoration will increase the channeler''s dodge chance and maximum health by 6%',0,0),
(11704,1001426,7,100,'Focus of Restoration will increase the channeler''s dodge chance and maximum health by 7%',0,0),
(11705,1001426,8,100,'Focus of Restoration will increase the channeler''s dodge chance and maximum health by 8%',0,0),
(11706,1001426,9,100,'Focus of Restoration will increase the channeler''s dodge chance and maximum health by 9%',0,0),
(11707,1001426,10,100,'Focus of Restoration will increase the channeler''s dodge chance and maximum health by 10%',0,0),
(11708,1001427,1,100,'Increases Ability Casting Speed of caster by 2.0%',0,0),
(11709,1001427,2,100,'Increases Ability Casting Speed of caster by 2.0%',0,0),
(11710,1001428,1,100,'Increases Mitigation of caster vs physical damage by 3',0,0),
(11711,1001428,2,100,'Increases Mitigation of caster vs physical damage by 3',0,0),
(11712,1001429,1,100,'Increases Max Power of caster by 3.0%',0,0),
(11713,1001429,2,100,'Increases Max Power of caster by 3.0%',0,0),
(11714,1001430,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(11715,1001430,2,100,'Increases Max Health and Power by 1%',0,1),
(11716,1001430,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(11717,1001430,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(11718,1001430,2,100,'Reduces the casting time of Absolute Corruption by 1 second and adds 2 additional ticks of damage.',0,4),
(11719,1001430,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(11720,1001430,10,100,'Increases Max Health and Power by 1%',0,1),
(11721,1001430,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(11722,1001430,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(11723,1001430,10,100,'Reduces the casting time of Absolute Corruption by 1 second and adds 2 additional ticks of damage.',0,4),
(11724,1001430,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,5),
(11725,1001431,2,100,'Increases INT and STA of caster by 2.0',0,0),
(11726,1001431,2,100,'Increases Max Health and Power by 1%',0,1),
(11727,1001431,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(11728,1001431,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(11729,1001431,2,100,'Improves the base damage of Absolution by 15%.',0,4),
(11730,1001431,10,100,'Increases INT and STA of caster by 2.0',0,0),
(11731,1001431,10,100,'Increases Max Health and Power by 1%',0,1),
(11732,1001431,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(11733,1001431,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(11734,1001431,10,100,'Improves the base damage of Absolution by 15%.',0,4),
(11735,1001431,10,100,'Increases Mitigation of caster vs elemental and noxious damage by 0',0,5),
(11736,1001432,2,100,'Increases INT and STA of caster by 2.0',0,0),
(11737,1001432,2,100,'Increases Max Health and Power by 1%',0,1),
(11738,1001432,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(11739,1001432,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(11740,1001432,2,100,'Reduces the casting time of Absolution by 0.5 seconds and the reuse time by 2 seconds. Absolution''s Crit Bonus is increased by 7.5%.',0,4),
(11741,1001432,10,100,'Increases INT and STA of caster by 2.0',0,0),
(11742,1001432,10,100,'Increases Max Health and Power by 1%',0,1),
(11743,1001432,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(11744,1001432,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(11745,1001432,10,100,'Reduces the casting time of Absolution by 0.5 seconds and the reuse time by 2 seconds. Absolution''s Crit Bonus is increased by 7.5%.',0,4),
(11746,1001433,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(11747,1001433,2,100,'Increases Max Health and Power by 1%',0,1),
(11748,1001433,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(11749,1001433,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(11750,1001433,2,100,'Removes the concentration cost from Act of War and increases the trigger chance by 5%.',0,4),
(11751,1001433,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,5),
(11752,1001433,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(11753,1001433,10,100,'Increases Max Health and Power by 1%',0,1),
(11754,1001433,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(11755,1001433,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(11756,1001433,10,100,'Removes the concentration cost from Act of War and increases the trigger chance by 5%.',0,4),
(11757,1001434,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(11758,1001434,2,100,'Increases Max Health and Power by 1%',0,1),
(11759,1001434,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(11760,1001434,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(11761,1001434,2,100,'Increases the effectiveness of Aegolism by 30%.',0,4),
(11762,1001434,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,5),
(11763,1001434,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(11764,1001434,10,100,'Increases Max Health and Power by 1%',0,1),
(11765,1001434,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(11766,1001434,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(11767,1001434,10,100,'Increases the effectiveness of Aegolism by 30%.',0,4),
(11768,1001435,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(11769,1001435,2,100,'Increases Max Health and Power by 1%',0,1),
(11770,1001435,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(11771,1001435,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(11772,1001435,2,100,'Increases the hate gain reduction of Alin''s Serene Serenade by 10%.',0,4),
(11773,1001435,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(11774,1001435,10,100,'Increases Max Health and Power by 1%',0,1),
(11775,1001435,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(11776,1001435,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(11777,1001435,10,100,'Increases the hate gain reduction of Alin''s Serene Serenade by 10%.',0,4),
(11778,1001436,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(11779,1001436,2,100,'Increases Max Health and Power by 1%',0,1),
(11780,1001436,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(11781,1001436,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(11782,1001436,2,100,'Improves the heal amount of Alleviation by 20%.',0,4),
(11783,1001436,2,100,'Increases Mitigation of caster vs elemental damage by 0',0,5),
(11784,1001436,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(11785,1001436,10,100,'Increases Max Health and Power by 1%',0,1),
(11786,1001436,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(11787,1001436,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(11788,1001436,10,100,'Improves the heal amount of Alleviation by 20%.',0,4),
(11789,1001437,2,100,'Increases STR and STA of caster by 2.0',0,0),
(11790,1001437,2,100,'Increases Max Health and Power by 1%',0,1),
(11791,1001437,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(11792,1001437,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(11793,1001437,2,100,'Improves the hate transfer of Amends by 5%.',0,4),
(11794,1001437,10,100,'Increases STR and STA of caster by 2.0',0,0),
(11795,1001437,10,100,'Increases Max Health and Power by 1%',0,1),
(11796,1001437,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(11797,1001437,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(11798,1001437,10,100,'Improves the hate transfer of Amends by 5%.',0,4),
(11799,1001438,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(11800,1001438,2,100,'Increases Max Health and Power by 1%',0,1),
(11801,1001438,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(11802,1001438,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(11803,1001438,2,100,'Reduces the casting time of Ancestral Sentry by 1 second and improves the reuse time by 30 seconds.',0,4),
(11804,1001438,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(11805,1001438,10,100,'Increases Max Health and Power by 1%',0,1),
(11806,1001438,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(11807,1001438,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(11808,1001438,10,100,'Reduces the casting time of Ancestral Sentry by 1 second and improves the reuse time by 30 seconds.',0,4),
(11809,1001439,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(11810,1001439,2,100,'Increases Max Health and Power by 1%',0,1),
(11811,1001439,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(11812,1001439,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(11813,1001439,2,100,'Adds a small heal to Ancient Shroud.',0,4),
(11814,1001439,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(11815,1001439,10,100,'Increases Max Health and Power by 1%',0,1),
(11816,1001439,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(11817,1001439,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(11818,1001439,10,100,'Adds a small heal to Ancient Shroud.',0,4),
(11819,1001440,2,100,'Increases STR and STA of caster by 2.0',0,0),
(11820,1001440,2,100,'Increases Max Health and Power by 1%',0,1),
(11821,1001440,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(11822,1001440,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(11823,1001440,2,100,'Reduces the reuse time of Ancient Wrath by 8 seconds.',0,4),
(11824,1001440,2,100,'Improves the Crit Bonus of Ancient Wrath by 12%.',0,5),
(11825,1001440,2,100,'Increases Mitigation of caster vs arcane damage by 0',0,6),
(11826,1001440,10,100,'Increases STR and STA of caster by 2.0',0,0),
(11827,1001440,10,100,'Increases Max Health and Power by 1%',0,1),
(11828,1001440,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(11829,1001440,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(11830,1001440,10,100,'Reduces the reuse time of Ancient Wrath by 8 seconds.',0,4),
(11831,1001440,10,100,'Improves the Crit Bonus of Ancient Wrath by 12%.',0,5),
(11832,1001440,10,100,'Increases Mitigation of caster vs noxious and arcane damage by 0',0,6),
(11833,1001441,2,100,'Increases INT and STA of caster by 2.0',0,0),
(11834,1001441,2,100,'Increases Max Health and Power by 1%',0,1),
(11835,1001441,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(11836,1001441,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(11837,1001441,2,100,'Reduces the reuse time of Apocalypse by 15 seconds and improves the Crit Bonus by 15%.',0,4),
(11838,1001441,10,100,'Increases INT and STA of caster by 2.0',0,0),
(11839,1001441,10,100,'Increases Max Health and Power by 1%',0,1),
(11840,1001441,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(11841,1001441,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(11842,1001441,10,100,'Reduces the reuse time of Apocalypse by 15 seconds and improves the Crit Bonus by 15%.',0,4),
(11843,1001442,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(11844,1001442,2,100,'Increases Max Health and Power by 1%',0,1),
(11845,1001442,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(11846,1001442,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(11847,1001442,2,100,'Adds a wounding effect to Quick Shot that decreases in damage each tick.',0,4),
(11848,1001442,2,100,'Increases Mitigation of caster vs arcane damage by 0',0,5),
(11849,1001442,2,100,'Increases Mitigation of caster vs noxious damage by 0',0,6),
(11850,1001442,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(11851,1001442,10,100,'Increases Max Health and Power by 1%',0,1),
(11852,1001442,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(11853,1001442,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(11854,1001442,10,100,'Adds a wounding effect to Quick Shot that decreases in damage each tick.',0,4),
(11855,1001442,10,100,'Adds a wounding effect to Quick Shot that decreases in damage each tick.',0,5),
(11856,1001443,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(11857,1001443,2,100,'Increases Max Health and Power by 1%',0,1),
(11858,1001443,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(11859,1001443,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(11860,1001443,2,100,'Removes the concentration of Aria of Magic.',0,4),
(11861,1001443,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(11862,1001443,10,100,'Increases Max Health and Power by 1%',0,1),
(11863,1001443,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(11864,1001443,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(11865,1001443,10,100,'Removes the concentration of Aria of Magic.',0,4),
(11866,1001444,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(11867,1001444,2,100,'Increases Max Health and Power by 1%',0,1),
(11868,1001444,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(11869,1001444,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(11870,1001444,2,100,'Adds 9% trigger chance to Aria of Magic.',0,4),
(11871,1001444,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(11872,1001444,10,100,'Increases Max Health and Power by 1%',0,1),
(11873,1001444,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(11874,1001444,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(11875,1001444,10,100,'Adds 9% trigger chance to Aria of Magic.',0,4),
(11876,1001445,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(11877,1001445,2,100,'Increases Max Health and Power by 1%',0,1),
(11878,1001445,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(11879,1001445,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(11880,1001445,2,100,'Reduces the reuse time of Assassinate by 120 seconds.',0,4),
(11881,1001445,2,100,'Improves the Crit Bonus of Assassinate by 6%.',0,5),
(11882,1001445,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(11883,1001445,10,100,'Increases Max Health and Power by 1%',0,1),
(11884,1001445,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(11885,1001445,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(11886,1001445,10,100,'Reduces the reuse time of Assassinate by 120 seconds.',0,4),
(11887,1001445,10,100,'Improves the Crit Bonus of Assassinate by 6%.',0,5),
(11888,1001445,10,100,'Increases Mitigation of caster vs elemental and noxious damage by 0',0,6),
(11889,1001446,2,100,'Increases STR and STA of caster by 2.0',0,0),
(11890,1001446,2,100,'Increases Max Health and Power by 1%',0,1),
(11891,1001446,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(11892,1001446,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(11893,1001446,2,100,'Adds a threat component to Assault.  In PVP combat, adds a force taunt component to Assault.',0,4),
(11894,1001446,2,100,'Increases Mitigation of caster vs elemental damage by 0',0,5),
(11895,1001446,10,100,'Increases STR and STA of caster by 2.0',0,0),
(11896,1001446,10,100,'Increases Max Health and Power by 1%',0,1),
(11897,1001446,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(11898,1001446,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(11899,1001446,10,100,'Adds a threat component to Assault.  In PVP combat, adds a force taunt component to Assault.',0,4),
(11900,1001447,2,100,'Increases INT and STA of caster by 2.0',0,0),
(11901,1001447,2,100,'Increases Max Health and Power by 1%',0,1),
(11902,1001447,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(11903,1001447,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(11904,1001447,2,100,'Improves the arcane mitigation reduction of Asylum by 75%.',0,4),
(11905,1001447,10,100,'Increases INT and STA of caster by 2.0',0,0),
(11906,1001447,10,100,'Increases Max Health and Power by 1%',0,1),
(11907,1001447,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(11908,1001447,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(11909,1001447,10,100,'Improves the arcane mitigation reduction of Asylum by 75%.',0,4),
(11910,1001447,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,5),
(11911,1001448,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(11912,1001448,2,100,'Increases Max Health and Power by 1%',0,1),
(11913,1001448,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(11914,1001448,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(11915,1001448,2,100,'Improves the base heal amount of Autumn''s Kiss by 30%.',0,4),
(11916,1001448,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(11917,1001448,10,100,'Increases Max Health and Power by 1%',0,1),
(11918,1001448,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(11919,1001448,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(11920,1001448,10,100,'Improves the base heal amount of Autumn''s Kiss by 30%.',0,4),
(11921,1001448,10,100,'Increases Mitigation of caster vs noxious and arcane damage by 0',0,5),
(11922,1001449,2,100,'Increases INT and STA of caster by 2.0',0,0),
(11923,1001449,2,100,'Increases Max Health and Power by 1%',0,1),
(11924,1001449,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(11925,1001449,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(11926,1001449,2,100,'Improves the base damage of Ball of Fire by 15%.',0,4),
(11927,1001449,10,100,'Increases INT and STA of caster by 2.0',0,0),
(11928,1001449,10,100,'Increases Max Health and Power by 1%',0,1),
(11929,1001449,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(11930,1001449,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(11931,1001449,10,100,'Improves the base damage of Ball of Fire by 15%.',0,4),
(11932,1001450,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(11933,1001450,2,100,'Increases Max Health and Power by 1%',0,1),
(11934,1001450,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(11935,1001450,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(11936,1001450,2,100,'Improves the casting speed of Barrage by 1 second and also increases its Crit Bonus by 5',0,4),
(11937,1001450,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(11938,1001450,10,100,'Increases Max Health and Power by 1%',0,1),
(11939,1001450,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(11940,1001450,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(11941,1001450,10,100,'Improves the casting speed of Barrage by 1 second and also increases its Crit Bonus by 5',0,4),
(11942,1001451,2,100,'Increases STR and STA of caster by 2.0',0,0),
(11943,1001451,2,100,'Increases Max Health and Power by 1%',0,1),
(11944,1001451,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(11945,1001451,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(11946,1001451,2,100,'Adds an additional chance to block following Bash.',0,4),
(11947,1001451,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,5),
(11948,1001451,10,100,'Increases STR and STA of caster by 2.0',0,0),
(11949,1001451,10,100,'Increases Max Health and Power by 1%',0,1),
(11950,1001451,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(11951,1001451,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(11952,1001451,10,100,'Adds an additional chance to block following Bash.',0,4),
(11953,1001451,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,5),
(11954,1001452,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(11955,1001452,2,100,'Increases Max Health and Power by 1%',0,1),
(11956,1001452,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(11957,1001452,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(11958,1001452,2,100,'Improves the base damage and hit rate of Battery and Assault by 15%.',0,4),
(11959,1001452,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(11960,1001452,10,100,'Increases Max Health and Power by 1%',0,1),
(11961,1001452,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(11962,1001452,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(11963,1001452,10,100,'Improves the base damage and hit rate of Battery and Assault by 15%.',0,4),
(11964,1001453,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(11965,1001453,2,100,'Increases Max Health and Power by 1%',0,1),
(11966,1001453,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(11967,1001453,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(11968,1001453,2,100,'Improves the Flurry of Battle Cry by 3%',0,4),
(11969,1001454,2,100,'Increases STR and STA of caster by 2.0',0,0),
(11970,1001454,2,100,'Increases Max Health and Power by 1%',0,1),
(11971,1001454,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(11972,1001454,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(11973,1001454,2,100,'Improves the duration of Battle Cry by 20 seconds.',0,4),
(11974,1001454,10,100,'Increases STR and STA of caster by 2.0',0,0),
(11975,1001454,10,100,'Increases Max Health and Power by 1%',0,1),
(11976,1001454,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(11977,1001454,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(11978,1001454,10,100,'Improves the duration of Battle Cry by 20 seconds.',0,4),
(11979,1001453,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(11980,1001453,10,100,'Increases Max Health and Power by 1%',0,1),
(11981,1001453,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(11982,1001453,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(11983,1001453,10,100,'Improves the Flurry of Battle Cry by 3%',0,4),
(11984,1001455,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(11985,1001455,2,100,'Increases Max Health and Power by 1%',0,1),
(11986,1001455,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(11987,1001455,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(11988,1001455,2,100,'Battle Fury reduces reuse time by 10%.',0,4),
(11989,1001455,2,100,'Increases Mitigation of caster vs elemental and noxious damage by 0',0,5),
(11990,1001455,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(11991,1001455,10,100,'Increases Max Health and Power by 1%',0,1),
(11992,1001455,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(11993,1001455,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(11994,1001455,10,100,'Battle Fury reduces reuse time by 10%.',0,4),
(11995,1001456,2,100,'Increases STR and STA of caster by 2.0',0,0),
(11996,1001456,2,100,'Increases Max Health and Power by 1%',0,1),
(11997,1001456,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(11998,1001456,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(11999,1001456,2,100,'Improves the stamina amount of Battle Tactics by 33%.',0,4),
(12000,1001456,10,100,'Increases STR and STA of caster by 2.0',0,0),
(12001,1001456,10,100,'Increases Max Health and Power by 1%',0,1),
(12002,1001456,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12003,1001456,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12004,1001456,10,100,'Improves the stamina amount of Battle Tactics by 33%.',0,4),
(12005,1001456,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,5),
(12006,1001457,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(12007,1001457,2,100,'Increases Max Health and Power by 1%',0,1),
(12008,1001457,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12009,1001457,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12010,1001457,2,100,'Adds 10% hate gain reduction to Befuddle.',0,4),
(12011,1001457,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(12012,1001457,10,100,'Increases Max Health and Power by 1%',0,1),
(12013,1001457,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12014,1001457,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12015,1001457,10,100,'Adds 10% hate gain reduction to Befuddle.',0,4),
(12016,1001458,2,100,'Increases STR and STA of caster by 2.0',0,0),
(12017,1001458,2,100,'Increases Max Health and Power by 1%',0,1),
(12018,1001458,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12019,1001458,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12020,1001458,2,100,'Adds crushing, piercing and slashing to Berserk. Additionally, Crit Bonus will be increased by 5% of the target''s Crit Bonus.',0,4),
(12021,1001458,10,100,'Increases STR and STA of caster by 2.0',0,0),
(12022,1001458,10,100,'Increases Max Health and Power by 1%',0,1),
(12023,1001458,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12024,1001458,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12025,1001458,10,100,'Adds crushing, piercing and slashing to Berserk. Additionally, Crit Bonus will be increased by 5% of the target''s Crit Bonus.',0,4),
(12026,1001458,10,100,'Increases Mitigation of caster vs noxious damage by 0',0,5),
(12027,1001459,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(12028,1001459,2,100,'Increases Max Health and Power by 1%',0,1),
(12029,1001459,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12030,1001459,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12031,1001459,2,100,'Reduces the reuse time of Black Jack by 25 seconds.',0,4),
(12032,1001459,2,100,'Improves the Crit Bonus of Black Jack by 18%.',0,5),
(12033,1001459,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(12034,1001459,10,100,'Increases Max Health and Power by 1%',0,1),
(12035,1001459,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12036,1001459,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12037,1001459,10,100,'Reduces the reuse time of Black Jack by 25 seconds.',0,4),
(12038,1001459,10,100,'Improves the Crit Bonus of Black Jack by 18%.',0,5),
(12039,1001460,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(12040,1001460,2,100,'Increases Max Health and Power by 1%',0,1),
(12041,1001460,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12042,1001460,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12043,1001460,2,100,'Adds additional armor mitigation to Blackguard.',0,4),
(12044,1001460,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,5),
(12045,1001460,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(12046,1001460,10,100,'Increases Max Health and Power by 1%',0,1),
(12047,1001460,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12048,1001460,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12049,1001460,10,100,'Adds additional armor mitigation to Blackguard.',0,4),
(12050,1001461,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(12051,1001461,2,100,'Increases Max Health and Power by 1%',0,1),
(12052,1001461,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12053,1001461,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12054,1001461,2,100,'Adds 10% max health to Bladeweaver.',0,4),
(12055,1001461,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(12056,1001461,10,100,'Increases Max Health and Power by 1%',0,1),
(12057,1001461,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12058,1001461,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12059,1001461,10,100,'Adds 10% max health to Bladeweaver.',0,4),
(12060,1001462,2,100,'Increases STR and STA of caster by 2.0',0,0),
(12061,1001462,2,100,'Increases Max Health and Power by 1%',0,1),
(12062,1001462,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12063,1001462,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12064,1001462,2,100,'Improves the trigger chance of Blood Rage by 10%.',0,4),
(12065,1001462,2,100,'Increases Mitigation of caster vs noxious damage by 0',0,5),
(12066,1001462,10,100,'Increases STR and STA of caster by 2.0',0,0),
(12067,1001462,10,100,'Increases Max Health and Power by 1%',0,1),
(12068,1001462,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12069,1001462,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12070,1001462,10,100,'Improves the trigger chance of Blood Rage by 10%.',0,4),
(12071,1001463,2,100,'Increases INT and STA of caster by 2.0',0,0),
(12072,1001463,2,100,'Increases Max Health and Power by 1%',0,1),
(12073,1001463,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12074,1001463,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12075,1001463,2,100,'Improves the base damage of Bloodcloud by 15%.',0,4),
(12076,1001463,10,100,'Increases INT and STA of caster by 2.0',0,0),
(12077,1001463,10,100,'Increases Max Health and Power by 1%',0,1),
(12078,1001463,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12079,1001463,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12080,1001463,10,100,'Improves the base damage of Bloodcloud by 15%.',0,4),
(12081,1001464,2,100,'Increases INT and STA of caster by 2.0',0,0),
(12082,1001464,2,100,'Increases Max Health and Power by 1%',0,1),
(12083,1001464,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12084,1001464,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12085,1001464,2,100,'Improves the base damage of Bloodcoil by 20%.',0,4),
(12086,1001464,10,100,'Increases INT and STA of caster by 2.0',0,0),
(12087,1001464,10,100,'Increases Max Health and Power by 1%',0,1),
(12088,1001464,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12089,1001464,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12090,1001464,10,100,'Improves the base damage of Bloodcoil by 20%.',0,4),
(12091,1001465,2,100,'Increases STR and STA of caster by 2.0',0,0),
(12092,1001465,2,100,'Increases Max Health and Power by 1%',0,1),
(12093,1001465,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12094,1001465,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12095,1001465,2,100,'Adds an additional trigger to Bloodletter.',0,4),
(12096,1001465,2,100,'Increases Mitigation of caster vs elemental and arcane damage by 0',0,5),
(12097,1001465,10,100,'Increases STR and STA of caster by 2.0',0,0),
(12098,1001465,10,100,'Increases Max Health and Power by 1%',0,1),
(12099,1001465,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12100,1001465,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12101,1001465,10,100,'Adds an additional trigger to Bloodletter.',0,4),
(12102,1001466,2,100,'Increases STR and STA of caster by 2.0',0,0),
(12103,1001466,2,100,'Increases Max Health and Power by 1%',0,1),
(12104,1001466,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12105,1001466,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12106,1001466,2,100,'Reduces the reuse time of Bob and Weave by 30 seconds.',0,4),
(12107,1001466,2,100,'Reduces the power cost of Bob and Weave by 50%.',0,5),
(12108,1001466,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,6),
(12109,1001467,2,100,'Increases STR and STA of caster by 2.0',0,0),
(12110,1001467,2,100,'Increases Max Health and Power by 1%',0,1),
(12111,1001467,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12112,1001467,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12113,1001467,2,100,'Adds 5% max health to Bob and Weave.',0,4),
(12114,1001467,2,100,'Increases Mitigation of caster vs arcane damage by 0',0,5),
(12115,1001467,10,100,'Increases STR and STA of caster by 2.0',0,0),
(12116,1001467,10,100,'Increases Max Health and Power by 1%',0,1),
(12117,1001467,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12118,1001467,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12119,1001467,10,100,'Adds 5% max health to Bob and Weave.',0,4),
(12120,1001467,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,5),
(12121,1001466,10,100,'Increases STR and STA of caster by 2.0',0,0),
(12122,1001466,10,100,'Increases Max Health and Power by 1%',0,1),
(12123,1001466,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12124,1001466,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12125,1001466,10,100,'Reduces the reuse time of Bob and Weave by 30 seconds.',0,4),
(12126,1001466,10,100,'Reduces the power cost of Bob and Weave by 50%.',0,5),
(12127,1001466,10,100,'Increases Mitigation of caster vs arcane damage by 0',0,6),
(12128,1001468,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(12129,1001468,2,100,'Increases Max Health and Power by 1%',0,1),
(12130,1001468,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12131,1001468,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12132,1001468,2,100,'Improves the duration of Bolster by 12 seconds.',0,4),
(12133,1001468,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(12134,1001468,10,100,'Increases Max Health and Power by 1%',0,1),
(12135,1001468,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12136,1001468,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12137,1001468,10,100,'Improves the duration of Bolster by 12 seconds.',0,4),
(12138,1001469,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(12139,1001469,2,100,'Increases Max Health and Power by 1%',0,1),
(12140,1001469,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12141,1001469,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12142,1001469,2,100,'Improves the accuracy of Bonechiller Venom by 50%.',0,4),
(12143,1001469,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(12144,1001469,10,100,'Increases Max Health and Power by 1%',0,1),
(12145,1001469,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12146,1001469,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12147,1001469,10,100,'Improves the accuracy of Bonechiller Venom by 50%.',0,4),
(12148,1001469,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,5),
(12149,1001470,2,100,'Increases INT and STA of caster by 2.0',0,0),
(12150,1001470,2,100,'Increases Max Health and Power by 1%',0,1),
(12151,1001470,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12152,1001470,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12153,1001470,2,100,'Improves the hate transfer of Boon of the Damned by 5%.',0,4),
(12154,1001470,10,100,'Increases INT and STA of caster by 2.0',0,0),
(12155,1001470,10,100,'Increases Max Health and Power by 1%',0,1),
(12156,1001470,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12157,1001470,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12158,1001470,10,100,'Improves the hate transfer of Boon of the Damned by 5%.',0,4),
(12159,1001471,2,100,'Increases INT and STA of caster by 2.0',0,0),
(12160,1001471,2,100,'Increases Max Health and Power by 1%',0,1),
(12161,1001471,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12162,1001471,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12163,1001471,2,100,'Breeze improves the casting speed of the group by 15%.',0,4),
(12164,1001471,10,100,'Increases INT and STA of caster by 2.0',0,0),
(12165,1001471,10,100,'Increases Max Health and Power by 1%',0,1),
(12166,1001471,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12167,1001471,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12168,1001471,10,100,'Breeze improves the casting speed of the group by 15%.',0,4),
(12169,1001472,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(12170,1001472,2,100,'Increases Max Health and Power by 1%',0,1),
(12171,1001472,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12172,1001472,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12173,1001472,2,100,'Improves the damage of Blade Chime by 10%.',0,4),
(12174,1001472,2,100,'Reduces the reuse time of Cacophony of Blades by 30 seconds.',0,5),
(12175,1001472,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(12176,1001472,10,100,'Increases Max Health and Power by 1%',0,1),
(12177,1001472,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12178,1001472,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12179,1001472,10,100,'Improves the damage of Blade Chime by 10%.',0,4),
(12180,1001472,10,100,'Reduces the reuse time of Cacophony of Blades by 30 seconds.',0,5),
(12181,1001473,2,100,'Increases STR and STA of caster by 2.0',0,0),
(12182,1001473,2,100,'Increases Max Health and Power by 1%',0,1),
(12183,1001473,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12184,1001473,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12185,1001473,2,100,'Adds 5% accuracy to Call to Arms.',0,4),
(12186,1001473,10,100,'Increases STR and STA of caster by 2.0',0,0),
(12187,1001473,10,100,'Increases Max Health and Power by 1%',0,1),
(12188,1001473,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12189,1001473,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12190,1001473,10,100,'Adds 5% accuracy to Call to Arms.',0,4),
(12191,1001473,10,100,'Increases Mitigation of caster vs elemental and noxious damage by 0',0,5),
(12192,1001474,2,100,'Increases STR and STA of caster by 2.0',0,0),
(12193,1001474,2,100,'Increases Max Health and Power by 1%',0,1),
(12194,1001474,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12195,1001474,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12196,1001474,2,100,'Adds a small heal to Caress Feedback.',0,4),
(12197,1001474,10,100,'Increases STR and STA of caster by 2.0',0,0),
(12198,1001474,10,100,'Increases Max Health and Power by 1%',0,1),
(12199,1001474,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12200,1001474,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12201,1001474,10,100,'Adds a small heal to Caress Feedback.',0,4),
(12202,1001474,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,5),
(12203,1001475,1,100,'Improves the reuse speed of Cheap Shot by 5%',0,0),
(12204,1001475,2,100,'Improves the reuse speed of Cheap Shot by 10%',0,0),
(12205,1001475,3,100,'Improves the reuse speed of Cheap Shot by 15%',0,0),
(12206,1001475,4,100,'Improves the reuse speed of Cheap Shot by 20%',0,0),
(12207,1001475,5,100,'Improves the reuse speed of Cheap Shot by 25%',0,0),
(12208,1001476,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(12209,1001476,2,100,'Increases Max Health and Power by 1%',0,1),
(12210,1001476,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12211,1001476,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12212,1001476,2,100,'Improves the damage of Chilling Claws by 10%',0,4),
(12213,1001476,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(12214,1001476,10,100,'Increases Max Health and Power by 1%',0,1),
(12215,1001476,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12216,1001476,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12217,1001476,10,100,'Improves the damage of Chilling Claws by 10%',0,4),
(12218,1001477,2,100,'Increases INT and STA of caster by 2.0',0,0),
(12219,1001477,2,100,'Increases Max Health and Power by 1%',0,1),
(12220,1001477,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12221,1001477,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12222,1001477,2,100,'Improves the base damage of Chromatic Shower by 20%.',0,4),
(12223,1001477,10,100,'Increases INT and STA of caster by 2.0',0,0),
(12224,1001477,10,100,'Increases Max Health and Power by 1%',0,1),
(12225,1001477,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12226,1001477,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12227,1001477,10,100,'Improves the base damage of Chromatic Shower by 20%.',0,4),
(12228,1001478,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(12229,1001478,2,100,'Increases Max Health and Power by 1%',0,1),
(12230,1001478,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12231,1001478,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12232,1001478,2,100,'Reduces the Dissonance generated by non-debuff Conduits that equip in slots 4 through 8 by 5%',0,4),
(12233,1001478,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(12234,1001478,10,100,'Increases Max Health and Power by 1%',0,1),
(12235,1001478,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12236,1001478,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12237,1001478,10,100,'Reduces the Dissonance generated by non-debuff Conduits that equip in slots 4 through 8 by 5%',0,4),
(12238,1001479,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(12239,1001479,2,100,'Increases Max Health and Power by 1%',0,1),
(12240,1001479,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12241,1001479,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12242,1001479,2,100,'Reduces the cost of Construct''s Sacrifice to 20% health',0,4),
(12243,1001479,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(12244,1001479,10,100,'Increases Max Health and Power by 1%',0,1),
(12245,1001479,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12246,1001479,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12247,1001479,10,100,'Reduces the cost of Construct''s Sacrifice to 20% health',0,4),
(12248,1001480,2,100,'Increases INT and STA of caster by 2.0',0,0),
(12249,1001480,2,100,'Increases Max Health and Power by 1%',0,1),
(12250,1001480,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12251,1001480,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12252,1001480,2,100,'Improves the reuse time of Consumption by 30 seconds.',0,4),
(12253,1001480,2,100,'Improves the duration of Consumption by 15%.',0,5),
(12254,1001480,10,100,'Increases INT and STA of caster by 2.0',0,0),
(12255,1001480,10,100,'Increases Max Health and Power by 1%',0,1),
(12256,1001480,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12257,1001480,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12258,1001480,10,100,'Improves the reuse time of Consumption by 30 seconds.',0,4),
(12259,1001480,10,100,'Improves the duration of Consumption by 15%.',0,5),
(12260,1001480,10,100,'Increases In-Combat Regeneration by 2.0',0,6),
(12261,1001480,10,100,'Increases Mitigation of caster vs elemental and arcane damage by 0',0,7),
(12262,1001481,2,100,'Increases STR and STA of caster by 2.0',0,0),
(12263,1001481,2,100,'Increases Max Health and Power by 1%',0,1),
(12264,1001481,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12265,1001481,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12266,1001481,2,100,'Improves the block chance of Controlled Rage by 5%.',0,4),
(12267,1001481,10,100,'Increases STR and STA of caster by 2.0',0,0),
(12268,1001481,10,100,'Increases Max Health and Power by 1%',0,1),
(12269,1001481,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12270,1001481,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12271,1001481,10,100,'Improves the block chance of Controlled Rage by 5%.',0,4),
(12272,1001482,2,100,'Increases INT and STA of caster by 2.0',0,0),
(12273,1001482,2,100,'Increases Max Health and Power by 1%',0,1),
(12274,1001482,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12275,1001482,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12276,1001482,2,100,'Improves the hate transfer of Converge by up to 5%.',0,4),
(12277,1001482,10,100,'Increases INT and STA of caster by 2.0',0,0),
(12278,1001482,10,100,'Increases Max Health and Power by 1%',0,1),
(12279,1001482,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12280,1001482,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12281,1001482,10,100,'Improves the hate transfer of Converge by up to 5%.',0,4),
(12282,1001482,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,5),
(12283,1001483,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(12284,1001483,2,100,'Increases Max Health and Power by 1%',0,1),
(12285,1001483,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12286,1001483,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12287,1001483,2,100,'Improves the base heal amount of Convert Ally by 40%.',0,4),
(12288,1001483,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(12289,1001483,10,100,'Increases Max Health and Power by 1%',0,1),
(12290,1001483,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12291,1001483,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12292,1001483,10,100,'Improves the base heal amount of Convert Ally by 40%.',0,4),
(12293,1001484,2,100,'Increases STR and STA of caster by 2.0',0,0),
(12294,1001484,2,100,'Increases Max Health and Power by 1%',0,1),
(12295,1001484,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12296,1001484,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12297,1001484,2,100,'Reduces the reuse time of Crescent Strike by 10 seconds and increases the base damage by 10%.',0,4),
(12298,1001484,10,100,'Increases STR and STA of caster by 2.0',0,0),
(12299,1001484,10,100,'Increases Max Health and Power by 1%',0,1),
(12300,1001484,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12301,1001484,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12302,1001484,10,100,'Reduces the reuse time of Crescent Strike by 10 seconds and increases the base damage by 10%.',0,4),
(12303,1001485,2,100,'Increases AGI, STA, STR, INT and WIS of caster by 2.0',0,0),
(12304,1001485,2,100,'Increases Max Health and Power by 1%',0,1),
(12305,1001485,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12306,1001485,2,100,'Increases Crit Bonus of caster by 2.0%',0,3),
(12307,1001485,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,4),
(12308,1001485,10,100,'Increases AGI, STA, STR, INT and WIS of caster by 2.0',0,0),
(12309,1001485,10,100,'Increases Max Health and Power by 1%',0,1),
(12310,1001485,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12311,1001485,10,100,'Increases Crit Bonus of caster by 2.0%',0,3),
(12312,1001485,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,4),
(12313,1001486,2,100,'Increases STR and STA of caster by 2.0',0,0),
(12314,1001486,2,100,'Increases Max Health and Power by 1%',0,1),
(12315,1001486,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12316,1001486,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12317,1001486,2,100,'Reduces the reuse time of Cry of the Warrior by 60 seconds and removes the power cost.',0,4),
(12318,1001486,2,100,'Increases Mitigation of caster vs noxious and arcane damage by 0',0,5),
(12319,1001486,10,100,'Increases STR and STA of caster by 2.0',0,0),
(12320,1001486,10,100,'Increases Max Health and Power by 1%',0,1),
(12321,1001486,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12322,1001486,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12323,1001486,10,100,'Reduces the reuse time of Cry of the Warrior by 60 seconds and removes the power cost.',0,4),
(12324,1001486,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,5),
(12325,1001487,2,100,'Increases INT and STA of caster by 2.0',0,0),
(12326,1001487,2,100,'Increases Max Health and Power by 1%',0,1),
(12327,1001487,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12328,1001487,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12329,1001487,2,100,'Improves the base damage of Crystal Blast by 15%.',0,4),
(12330,1001487,10,100,'Increases INT and STA of caster by 2.0',0,0),
(12331,1001487,10,100,'Increases Max Health and Power by 1%',0,1),
(12332,1001487,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12333,1001487,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12334,1001487,10,100,'Improves the base damage of Crystal Blast by 15%.',0,4),
(12335,1001488,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(12336,1001488,2,100,'Increases Max Health and Power by 1%',0,1),
(12337,1001488,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12338,1001488,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12339,1001488,2,100,'Cunning Defense will improve the assassin''s armor mitigation.',0,4),
(12340,1001488,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(12341,1001488,10,100,'Increases Max Health and Power by 1%',0,1),
(12342,1001488,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12343,1001488,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12344,1001488,10,100,'Cunning Defense will improve the assassin''s armor mitigation.',0,4),
(12345,1001489,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(12346,1001489,2,100,'Increases Max Health and Power by 1%',0,1),
(12347,1001489,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12348,1001489,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12349,1001489,2,100,'Improves the base ward amount of Curse of Shielding by 20%.',0,4),
(12350,1001489,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(12351,1001489,10,100,'Increases Max Health and Power by 1%',0,1),
(12352,1001489,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12353,1001489,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12354,1001489,10,100,'Improves the base ward amount of Curse of Shielding by 20%.',0,4),
(12355,1001489,10,100,'Increases Mitigation of caster vs noxious damage by 0',0,5),
(12356,1001490,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(12357,1001490,2,100,'Increases Max Health and Power by 1%',0,1),
(12358,1001490,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12359,1001490,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12360,1001490,2,100,'Adds 10% max health to Daelis'' Dance of Blades.',0,4),
(12361,1001490,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(12362,1001490,10,100,'Increases Max Health and Power by 1%',0,1),
(12363,1001490,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12364,1001490,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12365,1001490,10,100,'Adds 10% max health to Daelis'' Dance of Blades.',0,4),
(12366,1001491,2,100,'Increases INT and STA of caster by 2.0',0,0),
(12367,1001491,2,100,'Increases Max Health and Power by 1%',0,1),
(12368,1001491,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12369,1001491,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12370,1001491,2,100,'Adds 2.5% accuracy and 5% less resistibility to Dark Pact.',0,4),
(12371,1001491,10,100,'Increases INT and STA of caster by 2.0',0,0),
(12372,1001491,10,100,'Increases Max Health and Power by 1%',0,1),
(12373,1001491,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12374,1001491,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12375,1001491,10,100,'Adds 2.5% accuracy and 5% less resistibility to Dark Pact.',0,4),
(12376,1001492,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(12377,1001492,2,100,'Increases Max Health and Power by 1%',0,1),
(12378,1001492,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12379,1001492,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12380,1001492,2,100,'Reduces the reuse time of Dashing Swathe by 30 seconds and improves the Crit Bonus by 22.5%.',0,4),
(12381,1001492,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(12382,1001492,10,100,'Increases Max Health and Power by 1%',0,1),
(12383,1001492,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12384,1001492,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12385,1001492,10,100,'Reduces the reuse time of Dashing Swathe by 30 seconds and improves the Crit Bonus by 22.5%.',0,4),
(12386,1001493,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(12387,1001493,2,100,'Increases Max Health and Power by 1%',0,1),
(12388,1001493,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12389,1001493,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12390,1001493,2,100,'Improves the trigger chance of Dead Calm by 5%.',0,4),
(12391,1001493,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(12392,1001493,10,100,'Increases Max Health and Power by 1%',0,1),
(12393,1001493,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12394,1001493,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12395,1001493,10,100,'Improves the trigger chance of Dead Calm by 5%.',0,4),
(12396,1001494,2,100,'Increases STR and STA of caster by 2.0',0,0),
(12397,1001494,2,100,'Increases Max Health and Power by 1%',0,1),
(12398,1001494,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12399,1001494,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12400,1001494,2,100,'Adds a small damage reduction effect to On the March.',0,4),
(12401,1001494,2,100,'Increases Mitigation of caster vs elemental damage by 0',0,5),
(12402,1001494,10,100,'Increases STR and STA of caster by 2.0',0,0),
(12403,1001494,10,100,'Increases Max Health and Power by 1%',0,1),
(12404,1001494,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12405,1001494,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12406,1001494,10,100,'Adds a small damage reduction effect to On the March.',0,4),
(12407,1001495,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(12408,1001495,2,100,'Increases Max Health and Power by 1%',0,1),
(12409,1001495,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12410,1001495,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12411,1001495,2,100,'Improves the base damage of Death Swarm by 30% and reduces the target''s critical chance by 5%.',0,4),
(12412,1001495,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(12413,1001495,10,100,'Increases Max Health and Power by 1%',0,1),
(12414,1001495,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12415,1001495,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12416,1001495,10,100,'Improves the base damage of Death Swarm by 30% and reduces the target''s critical chance by 5%.',0,4),
(12417,1001496,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(12418,1001496,2,100,'Increases Max Health and Power by 1%',0,1),
(12419,1001496,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12420,1001496,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12421,1001496,2,100,'Adds 10% max health to Death''s Door.',0,4),
(12422,1001496,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(12423,1001496,10,100,'Increases Max Health and Power by 1%',0,1),
(12424,1001496,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12425,1001496,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12426,1001496,10,100,'Adds 10% max health to Death''s Door.',0,4),
(12427,1001497,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(12428,1001497,2,100,'Increases Max Health and Power by 1%',0,1),
(12429,1001497,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12430,1001497,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12431,1001497,2,100,'Improves the base damage of Debilitate by 15% and reduces the recast by 20 seconds.',0,4),
(12432,1001497,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(12433,1001497,10,100,'Increases Max Health and Power by 1%',0,1),
(12434,1001497,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12435,1001497,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12436,1001497,10,100,'Improves the base damage of Debilitate by 15% and reduces the recast by 20 seconds.',0,4),
(12437,1001498,2,100,'Increases STR and STA of caster by 2.0',0,0),
(12438,1001498,2,100,'Increases Max Health and Power by 1%',0,1),
(12439,1001498,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12440,1001498,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12441,1001498,2,100,'Improves the duration of Defensive Minded by 10 seconds.',0,4),
(12442,1001498,10,100,'Increases STR and STA of caster by 2.0',0,0),
(12443,1001498,10,100,'Increases Max Health and Power by 1%',0,1),
(12444,1001498,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12445,1001498,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12446,1001498,10,100,'Improves the duration of Defensive Minded by 10 seconds.',0,4),
(12447,1001499,2,100,'Increases STR and STA of caster by 2.0',0,0),
(12448,1001499,2,100,'Increases Max Health and Power by 1%',0,1),
(12449,1001499,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12450,1001499,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12451,1001499,2,100,'Adds 5 Damage Per Second to Destructive Rage.',0,4),
(12452,1001499,10,100,'Increases STR and STA of caster by 2.0',0,0),
(12453,1001499,10,100,'Increases Max Health and Power by 1%',0,1),
(12454,1001499,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12455,1001499,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12456,1001499,10,100,'Adds 5 Damage Per Second to Destructive Rage.',0,4),
(12457,1001500,2,100,'Increases INT and STA of caster by 2.0',0,0),
(12458,1001500,2,100,'Increases Max Health and Power by 1%',0,1),
(12459,1001500,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12460,1001500,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12461,1001500,2,100,'Increases the effect of Destructive Rampage to 12.5% spell and combat art damage',0,4),
(12462,1001500,10,100,'Increases INT and STA of caster by 2.0',0,0),
(12463,1001500,10,100,'Increases Max Health and Power by 1%',0,1),
(12464,1001500,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12465,1001500,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12466,1001500,10,100,'Increases the effect of Destructive Rampage to 12.5% spell and combat art damage',0,4),
(12467,1001501,2,100,'Increases STR and STA of caster by 2.0',0,0),
(12468,1001501,2,100,'Increases Max Health and Power by 1%',0,1),
(12469,1001501,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12470,1001501,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12471,1001501,2,100,'Enhances Devour Vitae to affect an entire encounter.',0,4),
(12472,1001501,10,100,'Increases STR and STA of caster by 2.0',0,0),
(12473,1001501,10,100,'Increases Max Health and Power by 1%',0,1),
(12474,1001501,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12475,1001501,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12476,1001501,10,100,'Enhances Devour Vitae to affect an entire encounter.',0,4),
(12477,1001502,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(12478,1001502,2,100,'Increases Max Health and Power by 1%',0,1),
(12479,1001502,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12480,1001502,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12481,1001502,2,100,'Improves the Crit Bonus of Dexterous Sonata by 3.',0,4),
(12482,1001502,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(12483,1001502,10,100,'Increases Max Health and Power by 1%',0,1),
(12484,1001502,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12485,1001502,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12486,1001502,10,100,'Improves the Crit Bonus of Dexterous Sonata by 3.',0,4),
(12487,1001503,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(12488,1001503,2,100,'Increases Max Health and Power by 1%',0,1),
(12489,1001503,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12490,1001503,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12491,1001503,2,100,'Improves the duration of Dispatch by 7 seconds.',0,4),
(12492,1001503,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(12493,1001503,10,100,'Increases Max Health and Power by 1%',0,1),
(12494,1001503,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12495,1001503,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12496,1001503,10,100,'Improves the duration of Dispatch by 7 seconds.',0,4),
(12497,1001504,2,100,'Increases STR and STA of caster by 2.0',0,0),
(12498,1001504,2,100,'Increases Max Health and Power by 1%',0,1),
(12499,1001504,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12500,1001504,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12501,1001504,2,100,'Increases healing of Divine Favor, lowers the duration and decreases the reuse time by 30 seconds.',0,4),
(12502,1001504,10,100,'Increases STR and STA of caster by 2.0',0,0),
(12503,1001504,10,100,'Increases Max Health and Power by 1%',0,1),
(12504,1001504,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12505,1001504,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12506,1001504,10,100,'Increases healing of Divine Favor, lowers the duration and decreases the reuse time by 30 seconds.',0,4),
(12507,1001504,10,100,'Increases Mitigation of caster vs noxious and arcane damage by 0',0,5),
(12508,1001505,2,100,'Increases STR and STA of caster by 2.0',0,0),
(12509,1001505,2,100,'Increases Max Health and Power by 1%',0,1),
(12510,1001505,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12511,1001505,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12512,1001505,2,100,'Improves the trigger chance of Divine Inspiration by 6%.',0,4),
(12513,1001505,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,5),
(12514,1001505,10,100,'Increases STR and STA of caster by 2.0',0,0),
(12515,1001505,10,100,'Increases Max Health and Power by 1%',0,1),
(12516,1001505,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12517,1001505,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12518,1001505,10,100,'Improves the trigger chance of Divine Inspiration by 6%.',0,4),
(12519,1001506,2,100,'Increases INT and STA of caster by 2.0',0,0),
(12520,1001506,2,100,'Increases Max Health and Power by 1%',0,1),
(12521,1001506,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12522,1001506,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12523,1001506,2,100,'Reduces the reuse time of Doppelganger by 120 seconds.',0,4),
(12524,1001506,10,100,'Increases INT and STA of caster by 2.0',0,0),
(12525,1001506,10,100,'Increases Max Health and Power by 1%',0,1),
(12526,1001506,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12527,1001506,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12528,1001506,10,100,'Reduces the reuse time of Doppelganger by 120 seconds.',0,4),
(12529,1001507,2,100,'Increases INT and STA of caster by 2.0',0,0),
(12530,1001507,2,100,'Increases Max Health and Power by 1%',0,1),
(12531,1001507,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12532,1001507,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12533,1001507,2,100,'Improves the duration of Elemental Toxicity by 5 seconds.',0,4),
(12534,1001507,10,100,'Increases INT and STA of caster by 2.0',0,0),
(12535,1001507,10,100,'Increases Max Health and Power by 1%',0,1),
(12536,1001507,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12537,1001507,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12538,1001507,10,100,'Improves the duration of Elemental Toxicity by 5 seconds.',0,4),
(12539,1001508,2,100,'Increases STR and STA of caster by 2.0',0,0),
(12540,1001508,2,100,'Increases Max Health and Power by 1%',0,1),
(12541,1001508,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12542,1001508,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12543,1001508,2,100,'Removes the Revived Sickness from Elixir of Resuscitation.',0,4),
(12544,1001508,2,100,'Reduces the casting time of Elixir of Resuscitation by 2 seconds and improves the range by 10.',0,5),
(12545,1001508,2,100,'Increases Mitigation of caster vs elemental damage by 0',0,6),
(12546,1001508,10,100,'Increases STR and STA of caster by 2.0',0,0),
(12547,1001508,10,100,'Increases Max Health and Power by 1%',0,1),
(12548,1001508,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12549,1001508,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12550,1001508,10,100,'Removes the Revived Sickness from Elixir of Resuscitation.',0,4),
(12551,1001508,10,100,'Reduces the casting time of Elixir of Resuscitation by 2 seconds and improves the range by 10.',0,5),
(12552,1001509,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(12553,1001509,2,100,'Increases Max Health and Power by 1%',0,1),
(12554,1001509,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12555,1001509,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12556,1001509,2,100,'Improves the base damage of Enfeebling Whirl by 15%.',0,4),
(12557,1001509,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(12558,1001509,10,100,'Increases Max Health and Power by 1%',0,1),
(12559,1001509,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12560,1001509,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12561,1001509,10,100,'Improves the base damage of Enfeebling Whirl by 15%.',0,4),
(12562,1001510,2,100,'Increases INT and STA of caster by 2.0',0,0),
(12563,1001510,2,100,'Increases Max Health and Power by 1%',0,1),
(12564,1001510,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12565,1001510,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12566,1001510,2,100,'Adds 10% potency to Enraging Demeanor.',0,4),
(12567,1001510,10,100,'Increases INT and STA of caster by 2.0',0,0),
(12568,1001510,10,100,'Increases Max Health and Power by 1%',0,1),
(12569,1001510,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12570,1001510,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12571,1001510,10,100,'Adds 10% potency to Enraging Demeanor.',0,4),
(12572,1001511,2,100,'Increases INT and STA of caster by 2.0',0,0),
(12573,1001511,2,100,'Increases Max Health and Power by 1%',0,1),
(12574,1001511,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12575,1001511,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12576,1001511,2,100,'Improves the hate transfer of Enraging Demeanor by 5%.',0,4),
(12577,1001511,10,100,'Increases INT and STA of caster by 2.0',0,0),
(12578,1001511,10,100,'Increases Max Health and Power by 1%',0,1),
(12579,1001511,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12580,1001511,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12581,1001511,10,100,'Improves the hate transfer of Enraging Demeanor by 5%.',0,4),
(12582,1001512,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(12583,1001512,2,100,'Increases Max Health and Power by 1%',0,1),
(12584,1001512,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12585,1001512,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12586,1001512,2,100,'Improves the base damage of Explosive Arrow by 15%.',0,4),
(12587,1001512,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(12588,1001512,10,100,'Increases Max Health and Power by 1%',0,1),
(12589,1001512,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12590,1001512,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12591,1001512,10,100,'Improves the base damage of Explosive Arrow by 15%.',0,4),
(12592,1001512,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,5),
(12593,1001513,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(12594,1001513,2,100,'Increases Max Health and Power by 1%',0,1),
(12595,1001513,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12596,1001513,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12597,1001513,2,100,'Improves the reuse time of Eye Shot by 15 seconds and its Crit Bonus by 5',0,4),
(12598,1001513,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(12599,1001513,10,100,'Increases Max Health and Power by 1%',0,1),
(12600,1001513,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12601,1001513,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12602,1001513,10,100,'Improves the reuse time of Eye Shot by 15 seconds and its Crit Bonus by 5',0,4),
(12603,1001514,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(12604,1001514,2,100,'Increases Max Health and Power by 1%',0,1),
(12605,1001514,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12606,1001514,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12607,1001514,2,100,'Reduces the reuse time of Fanatical Healing by 2.5 seconds.',0,4),
(12608,1001514,2,100,'Improves the Crit Bonus of Fanatical Healing by 14%.',0,5),
(12609,1001514,2,100,'Reduces the reuse time of Fanatical Healing by 2.5 seconds.',0,6),
(12610,1001514,2,100,'Increases Mitigation of caster vs noxious damage by 0',0,7),
(12611,1001514,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(12612,1001514,10,100,'Increases Max Health and Power by 1%',0,1),
(12613,1001514,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12614,1001514,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12615,1001514,10,100,'Reduces the reuse time of Fanatical Healing by 2.5 seconds.',0,4),
(12616,1001514,10,100,'Improves the Crit Bonus of Fanatical Healing by 14%.',0,5),
(12617,1001514,10,100,'Increases Mitigation of caster vs elemental and arcane damage by 0',0,6),
(12618,1001515,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(12619,1001515,2,100,'Increases Max Health and Power by 1%',0,1),
(12620,1001515,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12621,1001515,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12622,1001515,2,100,'Adds 10 Damage Per Second to Fanaticism.',0,4),
(12623,1001515,2,100,'Increases Mitigation of caster vs noxious damage by 0',0,5),
(12624,1001515,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(12625,1001515,10,100,'Increases Max Health and Power by 1%',0,1),
(12626,1001515,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12627,1001515,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12628,1001515,10,100,'Adds 10 Damage Per Second to Fanaticism.',0,4),
(12629,1001516,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(12630,1001516,2,100,'Increases Max Health and Power by 1%',0,1),
(12631,1001516,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12632,1001516,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12633,1001516,2,100,'Adds additional armor mitigation to Fancy Footwork.',0,4),
(12634,1001516,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(12635,1001516,10,100,'Increases Max Health and Power by 1%',0,1),
(12636,1001516,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12637,1001516,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12638,1001516,10,100,'Adds additional armor mitigation to Fancy Footwork.',0,4),
(12639,1001517,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(12640,1001517,2,100,'Increases Max Health and Power by 1%',0,1),
(12641,1001517,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12642,1001517,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12643,1001517,2,100,'Improves the base damage of Fatal Followup by 10%.',0,4),
(12644,1001517,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(12645,1001517,10,100,'Increases Max Health and Power by 1%',0,1),
(12646,1001517,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12647,1001517,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12648,1001517,10,100,'Improves the base damage of Fatal Followup by 10%.',0,4),
(12649,1001518,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(12650,1001518,2,100,'Increases Max Health and Power by 1%',0,1),
(12651,1001518,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12652,1001518,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12653,1001518,2,100,'Improves the crushing, slashing, piercing and ranged of Feral Stance by 30%.',0,4),
(12654,1001518,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(12655,1001518,10,100,'Increases Max Health and Power by 1%',0,1),
(12656,1001518,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12657,1001518,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12658,1001518,10,100,'Improves the crushing, slashing, piercing and ranged of Feral Stance by 30%.',0,4),
(12659,1001519,2,100,'Increases INT and STA of caster by 2.0',0,0),
(12660,1001519,2,100,'Increases Max Health and Power by 1%',0,1),
(12661,1001519,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12662,1001519,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12663,1001519,2,100,'Improves the base damage of Fiery Annihilation by 15%.',0,4),
(12664,1001519,10,100,'Increases INT and STA of caster by 2.0',0,0),
(12665,1001519,10,100,'Increases Max Health and Power by 1%',0,1),
(12666,1001519,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12667,1001519,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12668,1001519,10,100,'Improves the base damage of Fiery Annihilation by 15%.',0,4),
(12669,1001519,10,100,'Increases Mitigation of caster vs noxious damage by 0',0,5),
(12670,1001520,2,100,'Increases STR and STA of caster by 2.0',0,0),
(12671,1001520,2,100,'Increases Max Health and Power by 1%',0,1),
(12672,1001520,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12673,1001520,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12674,1001520,2,100,'Increases the base damage of Five Rings by 20%.',0,4),
(12675,1001520,2,100,'Increases Mitigation of caster vs elemental damage by 0',0,5),
(12676,1001520,10,100,'Increases STR and STA of caster by 2.0',0,0),
(12677,1001520,10,100,'Increases Max Health and Power by 1%',0,1),
(12678,1001520,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12679,1001520,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12680,1001520,10,100,'Increases the base damage of Five Rings by 20%.',0,4),
(12681,1001521,2,100,'Increases INT and STA of caster by 2.0',0,0),
(12682,1001521,2,100,'Increases Max Health and Power by 1%',0,1),
(12683,1001521,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12684,1001521,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12685,1001521,2,100,'Adds Strength, Wisdom and Agility to Flash of Brilliance.',0,4),
(12686,1001521,10,100,'Increases INT and STA of caster by 2.0',0,0),
(12687,1001521,10,100,'Increases Max Health and Power by 1%',0,1),
(12688,1001521,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12689,1001521,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12690,1001521,10,100,'Adds Strength, Wisdom and Agility to Flash of Brilliance.',0,4),
(12691,1001521,10,100,'Increases Mitigation of caster vs elemental damage by 0',0,5),
(12692,1001522,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(12693,1001522,2,100,'Increases Max Health and Power by 1%',0,1),
(12694,1001522,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12695,1001522,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12696,1001522,2,100,'Improves the base damage of Flash of Steel by 15%.',0,4),
(12697,1001522,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(12698,1001522,10,100,'Increases Max Health and Power by 1%',0,1),
(12699,1001522,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12700,1001522,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12701,1001522,10,100,'Improves the base damage of Flash of Steel by 15%.',0,4),
(12702,1001522,10,100,'Increases Mitigation of caster vs elemental damage by 0',0,5),
(12703,1001523,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(12704,1001523,2,100,'Increases Max Health and Power by 1%',0,1),
(12705,1001523,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12706,1001523,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12707,1001523,2,100,'Improves the base damage of Flurry of Blades by 15%.',0,4),
(12708,1001523,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(12709,1001523,10,100,'Increases Max Health and Power by 1%',0,1),
(12710,1001523,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12711,1001523,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12712,1001523,10,100,'Improves the base damage of Flurry of Blades by 15%.',0,4),
(12713,1001524,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(12714,1001524,2,100,'Increases Max Health and Power by 1%',0,1),
(12715,1001524,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12716,1001524,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12717,1001524,2,100,'Improves the duration and recast time of Focus Aim by 5 seconds.',0,4),
(12718,1001524,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,5),
(12719,1001524,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(12720,1001524,10,100,'Increases Max Health and Power by 1%',0,1),
(12721,1001524,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12722,1001524,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12723,1001524,10,100,'Improves the duration and recast time of Focus Aim by 5 seconds.',0,4),
(12724,1001525,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(12725,1001525,2,100,'Increases Max Health and Power by 1%',0,1),
(12726,1001525,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12727,1001525,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12728,1001525,2,100,'Adds two additional triggers to Focused Intervention.',0,4),
(12729,1001525,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(12730,1001525,10,100,'Increases Max Health and Power by 1%',0,1),
(12731,1001525,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12732,1001525,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12733,1001525,10,100,'Adds two additional triggers to Focused Intervention.',0,4),
(12734,1001526,2,100,'Increases INT and STA of caster by 2.0',0,0),
(12735,1001526,2,100,'Increases Max Health and Power by 1%',0,1),
(12736,1001526,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12737,1001526,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12738,1001526,2,100,'Reduces the reuse time of Fusion by 60 seconds and improves the Crit Bonus by 15%.',0,4),
(12739,1001526,10,100,'Increases INT and STA of caster by 2.0',0,0),
(12740,1001526,10,100,'Increases Max Health and Power by 1%',0,1),
(12741,1001526,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12742,1001526,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12743,1001526,10,100,'Reduces the reuse time of Fusion by 60 seconds and improves the Crit Bonus by 15%.',0,4),
(12744,1001527,2,100,'Increases INT and STA of caster by 2.0',0,0),
(12745,1001527,2,100,'Increases Max Health and Power by 1%',0,1),
(12746,1001527,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12747,1001527,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12748,1001527,2,100,'Improves the mitigation amounts of Geotic Rune by 75%.',0,4),
(12749,1001527,10,100,'Increases INT and STA of caster by 2.0',0,0),
(12750,1001527,10,100,'Increases Max Health and Power by 1%',0,1),
(12751,1001527,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12752,1001527,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12753,1001527,10,100,'Improves the mitigation amounts of Geotic Rune by 75%.',0,4),
(12754,1001528,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(12755,1001528,2,100,'Increases Max Health and Power by 1%',0,1),
(12756,1001528,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12757,1001528,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12758,1001528,2,100,'Improves the damage of Glacial Lance by 15%.',0,4),
(12759,1001528,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(12760,1001528,10,100,'Increases Max Health and Power by 1%',0,1),
(12761,1001528,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12762,1001528,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12763,1001528,10,100,'Improves the damage of Glacial Lance by 15%.',0,4),
(12764,1001528,10,100,'Increases Mitigation of caster vs noxious and arcane damage by 0',0,5),
(12765,1001529,2,100,'Increases STR and STA of caster by 2.0',0,0),
(12766,1001529,2,100,'Increases Max Health and Power by 1%',0,1),
(12767,1001529,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12768,1001529,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12769,1001529,2,100,'Reduces the reuse time of Grave Sacrament by 30 seconds and improves the Crit Bonus by 7.5%.',0,4),
(12770,1001529,10,100,'Increases STR and STA of caster by 2.0',0,0),
(12771,1001529,10,100,'Increases Max Health and Power by 1%',0,1),
(12772,1001529,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12773,1001529,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12774,1001529,10,100,'Reduces the reuse time of Grave Sacrament by 30 seconds and improves the Crit Bonus by 7.5%.',0,4),
(12775,1001529,10,100,'Increases Mitigation of caster vs noxious damage by 0',0,5),
(12776,1001530,2,100,'Increases STR and STA of caster by 2.0',0,0),
(12777,1001530,2,100,'Increases Max Health and Power by 1%',0,1),
(12778,1001530,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12779,1001530,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12780,1001530,2,100,'Improves the trigger chance of Grim Harbinger by 8%.',0,4),
(12781,1001530,10,100,'Increases STR and STA of caster by 2.0',0,0),
(12782,1001530,10,100,'Increases Max Health and Power by 1%',0,1),
(12783,1001530,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12784,1001530,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12785,1001530,10,100,'Improves the trigger chance of Grim Harbinger by 8%.',0,4),
(12786,1001531,2,100,'Increases INT and STA of caster by 2.0',0,0),
(12787,1001531,2,100,'Increases Max Health and Power by 1%',0,1),
(12788,1001531,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12789,1001531,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12790,1001531,2,100,'Improves the base damage of Hail Storm by 10%.',0,4),
(12791,1001531,10,100,'Increases INT and STA of caster by 2.0',0,0),
(12792,1001531,10,100,'Increases Max Health and Power by 1%',0,1),
(12793,1001531,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12794,1001531,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12795,1001531,10,100,'Improves the base damage of Hail Storm by 10%.',0,4),
(12796,1001532,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(12797,1001532,2,100,'Increases Max Health and Power by 1%',0,1),
(12798,1001532,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12799,1001532,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12800,1001532,2,100,'Adds a regenerating ward to Harbinger.',0,4),
(12801,1001532,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(12802,1001532,10,100,'Increases Max Health and Power by 1%',0,1),
(12803,1001532,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12804,1001532,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12805,1001532,10,100,'Adds a regenerating ward to Harbinger.',0,4),
(12806,1001533,2,100,'Increases STR and STA of caster by 2.0',0,0),
(12807,1001533,2,100,'Increases Max Health and Power by 1%',0,1),
(12808,1001533,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12809,1001533,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12810,1001533,2,100,'Reduces the reuse time of Harm Touch by 60 seconds and increases the Crit Bonus by 9%.',0,4),
(12811,1001533,10,100,'Increases STR and STA of caster by 2.0',0,0),
(12812,1001533,10,100,'Increases Max Health and Power by 1%',0,1),
(12813,1001533,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12814,1001533,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12815,1001533,10,100,'Reduces the reuse time of Harm Touch by 60 seconds and increases the Crit Bonus by 9%.',0,4),
(12816,1001534,2,100,'Increases INT and STA of caster by 2.0',0,0),
(12817,1001534,2,100,'Increases Max Health and Power by 1%',0,1),
(12818,1001534,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12819,1001534,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12820,1001534,2,100,'Increases the power restored by Harvest Mana by 30% and removes the stifle.',0,4),
(12821,1001534,10,100,'Increases INT and STA of caster by 2.0',0,0),
(12822,1001534,10,100,'Increases Max Health and Power by 1%',0,1),
(12823,1001534,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12824,1001534,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12825,1001534,10,100,'Increases the power restored by Harvest Mana by 30% and removes the stifle.',0,4),
(12826,1001534,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,5),
(12827,1001535,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(12828,1001535,2,100,'Increases Max Health and Power by 1%',0,1),
(12829,1001535,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12830,1001535,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12831,1001535,2,100,'Improves the base heal amount of Healstorm by 15%.',0,4),
(12832,1001535,2,100,'Increases Mitigation of caster vs arcane damage by 0',0,5),
(12833,1001535,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(12834,1001535,10,100,'Increases Max Health and Power by 1%',0,1),
(12835,1001535,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12836,1001535,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12837,1001535,10,100,'Improves the base heal amount of Healstorm by 15%.',0,4),
(12838,1001535,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,5),
(12839,1001536,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(12840,1001536,2,100,'Increases Max Health and Power by 1%',0,1),
(12841,1001536,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12842,1001536,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12843,1001536,2,100,'Reduces the duration and reuse time of Hibernation by 2 seconds.',0,4),
(12844,1001536,2,100,'Increases Mitigation of caster vs noxious damage by 0',0,5),
(12845,1001536,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(12846,1001536,10,100,'Increases Max Health and Power by 1%',0,1),
(12847,1001536,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12848,1001536,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12849,1001536,10,100,'Reduces the duration and reuse time of Hibernation by 2 seconds.',0,4),
(12850,1001537,2,100,'Increases STR and STA of caster by 2.0',0,0),
(12851,1001537,2,100,'Increases Max Health and Power by 1%',0,1),
(12852,1001537,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12853,1001537,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12854,1001537,2,100,'Improves the base damage of Hidden Openings by 15%.',0,4),
(12855,1001537,10,100,'Increases STR and STA of caster by 2.0',0,0),
(12856,1001537,10,100,'Increases Max Health and Power by 1%',0,1),
(12857,1001537,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12858,1001537,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12859,1001537,10,100,'Improves the base damage of Hidden Openings by 15%.',0,4),
(12860,1001538,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(12861,1001538,2,100,'Increases Max Health and Power by 1%',0,1),
(12862,1001538,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12863,1001538,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12864,1001538,2,100,'Improves the max health of Holy Armor by 30%.',0,4),
(12865,1001538,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,5),
(12866,1001538,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(12867,1001538,10,100,'Increases Max Health and Power by 1%',0,1),
(12868,1001538,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12869,1001538,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12870,1001538,10,100,'Improves the max health of Holy Armor by 30%.',0,4),
(12871,1001539,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(12872,1001539,2,100,'Increases Max Health and Power by 1%',0,1),
(12873,1001539,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12874,1001539,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12875,1001539,2,100,'Adds 3 additional triggers to Holy Intercession.',0,4),
(12876,1001539,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(12877,1001539,10,100,'Increases Max Health and Power by 1%',0,1),
(12878,1001539,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12879,1001539,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12880,1001539,10,100,'Adds 3 additional triggers to Holy Intercession.',0,4),
(12881,1001539,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,5),
(12882,1001540,2,100,'Increases INT and STA of caster by 2.0',0,0),
(12883,1001540,2,100,'Increases Max Health and Power by 1%',0,1),
(12884,1001540,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12885,1001540,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12886,1001540,2,100,'Adds 3 triggers and 5% base damage to Hostage.',0,4),
(12887,1001540,10,100,'Increases INT and STA of caster by 2.0',0,0),
(12888,1001540,10,100,'Increases Max Health and Power by 1%',0,1),
(12889,1001540,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12890,1001540,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12891,1001540,10,100,'Adds 3 triggers and 5% base damage to Hostage.',0,4),
(12892,1001540,10,100,'Increases In-Combat Regeneration by 2.0',0,5),
(12893,1001540,10,100,'Increases Mitigation of caster vs noxious damage by 0',0,6),
(12894,1001540,10,100,'Increases Mitigation of caster vs arcane damage by 0',0,7),
(12895,1001541,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(12896,1001541,2,100,'Increases Max Health and Power by 1%',0,1),
(12897,1001541,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12898,1001541,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12899,1001541,2,100,'Adds 10% max health to Hunter''s Instinct.',0,4),
(12900,1001541,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,5),
(12901,1001541,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(12902,1001541,10,100,'Increases Max Health and Power by 1%',0,1),
(12903,1001541,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12904,1001541,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12905,1001541,10,100,'Adds 10% max health to Hunter''s Instinct.',0,4),
(12906,1001542,2,100,'Increases INT and STA of caster by 2.0',0,0),
(12907,1001542,2,100,'Increases Max Health and Power by 1%',0,1),
(12908,1001542,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12909,1001542,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12910,1001542,2,100,'Improves the base damage of Ice Comet by 15%.',0,4),
(12911,1001542,10,100,'Increases INT and STA of caster by 2.0',0,0),
(12912,1001542,10,100,'Increases Max Health and Power by 1%',0,1),
(12913,1001542,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12914,1001542,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12915,1001542,10,100,'Improves the base damage of Ice Comet by 15%.',0,4),
(12916,1001543,2,100,'Increases INT and STA of caster by 2.0',0,0),
(12917,1001543,2,100,'Increases Max Health and Power by 1%',0,1),
(12918,1001543,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12919,1001543,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12920,1001543,2,100,'Reduces the reuse time of Ice Comet by 15 seconds and improves the Crit Bonus by 15%.',0,4),
(12921,1001543,2,100,'Increases Mitigation of caster vs elemental damage by 0',0,5),
(12922,1001543,10,100,'Increases INT and STA of caster by 2.0',0,0),
(12923,1001543,10,100,'Increases Max Health and Power by 1%',0,1),
(12924,1001543,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12925,1001543,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12926,1001543,10,100,'Reduces the reuse time of Ice Comet by 15 seconds and improves the Crit Bonus by 15%.',0,4),
(12927,1001544,2,100,'Increases INT and STA of caster by 2.0',0,0),
(12928,1001544,2,100,'Increases Max Health and Power by 1%',0,1),
(12929,1001544,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12930,1001544,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12931,1001544,2,100,'Improves the base damage of Ice Storm by 15%.',0,4),
(12932,1001544,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,5),
(12933,1001544,10,100,'Increases INT and STA of caster by 2.0',0,0),
(12934,1001544,10,100,'Increases Max Health and Power by 1%',0,1),
(12935,1001544,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12936,1001544,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12937,1001544,10,100,'Improves the base damage of Ice Storm by 15%.',0,4),
(12938,1001545,2,100,'Increases INT and STA of caster by 2.0',0,0),
(12939,1001545,2,100,'Increases Max Health and Power by 1%',0,1),
(12940,1001545,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12941,1001545,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12942,1001545,2,100,'Iceshield will increase the target''s Block Chance by 10%.',0,4),
(12943,1001545,10,100,'Increases INT and STA of caster by 2.0',0,0),
(12944,1001545,10,100,'Increases Max Health and Power by 1%',0,1),
(12945,1001545,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12946,1001545,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12947,1001545,10,100,'Iceshield will increase the target''s Block Chance by 10%.',0,4),
(12948,1001546,2,100,'Increases STR and STA of caster by 2.0',0,0),
(12949,1001546,2,100,'Increases Max Health and Power by 1%',0,1),
(12950,1001546,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12951,1001546,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12952,1001546,2,100,'Reduces the reuse time of Ignore Pain by 20 seconds.',0,4),
(12953,1001546,2,100,'Improves the heal amount of Ignore Pain by 10%.',0,5),
(12954,1001546,2,100,'Increases In-Combat Regeneration by 2.0',0,6),
(12955,1001546,2,100,'Increases Mitigation of caster vs elemental and noxious damage by 0',0,7),
(12956,1001546,10,100,'Increases STR and STA of caster by 2.0',0,0),
(12957,1001546,10,100,'Increases Max Health and Power by 1%',0,1),
(12958,1001546,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12959,1001546,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12960,1001546,10,100,'Reduces the reuse time of Ignore Pain by 20 seconds.',0,4),
(12961,1001546,10,100,'Improves the heal amount of Ignore Pain by 10%.',0,5),
(12962,1001547,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(12963,1001547,2,100,'Increases Max Health and Power by 1%',0,1),
(12964,1001547,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12965,1001547,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12966,1001547,2,100,'Improves the effects of Aura of Crippling, Interfering Noise and Weapon Dissonance by 15%',0,4),
(12967,1001547,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(12968,1001547,10,100,'Increases Max Health and Power by 1%',0,1),
(12969,1001547,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12970,1001547,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12971,1001547,10,100,'Improves the effects of Aura of Crippling, Interfering Noise and Weapon Dissonance by 15%',0,4),
(12972,1001547,10,100,'Increases Mitigation of caster vs elemental and arcane damage by 0',0,5),
(12973,1001548,2,100,'Increases STR and STA of caster by 2.0',0,0),
(12974,1001548,2,100,'Increases Max Health and Power by 1%',0,1),
(12975,1001548,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12976,1001548,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12977,1001548,2,100,'Inner Calm increases the monk''s health by 5%.',0,4),
(12978,1001548,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,5),
(12979,1001548,10,100,'Increases STR and STA of caster by 2.0',0,0),
(12980,1001548,10,100,'Increases Max Health and Power by 1%',0,1),
(12981,1001548,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12982,1001548,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12983,1001548,10,100,'Inner Calm increases the monk''s health by 5%.',0,4),
(12984,1001549,2,100,'Increases STR and STA of caster by 2.0',0,0),
(12985,1001549,2,100,'Increases Max Health and Power by 1%',0,1),
(12986,1001549,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12987,1001549,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12988,1001549,2,100,'Reduces the reuse time of Inner Focus by 15 seconds.',0,4),
(12989,1001549,2,100,'Reduces the power cost of Inner Focus by 50%.',0,5),
(12990,1001549,10,100,'Increases STR and STA of caster by 2.0',0,0),
(12991,1001549,10,100,'Increases Max Health and Power by 1%',0,1),
(12992,1001549,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(12993,1001549,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(12994,1001549,10,100,'Reduces the reuse time of Inner Focus by 15 seconds.',0,4),
(12995,1001549,10,100,'Reduces the power cost of Inner Focus by 50%.',0,5),
(12996,1001549,10,100,'Increases Mitigation of caster vs elemental and noxious damage by 0',0,6),
(12997,1001550,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(12998,1001550,2,100,'Increases Max Health and Power by 1%',0,1),
(12999,1001550,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13000,1001550,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13001,1001550,2,100,'Adds a small chance to Flurry or Doublecast to Inquest.',0,4),
(13002,1001550,2,100,'Increases Mitigation of caster vs arcane damage by 0',0,5),
(13003,1001550,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(13004,1001550,10,100,'Increases Max Health and Power by 1%',0,1),
(13005,1001550,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13006,1001550,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13007,1001550,10,100,'Adds a small chance to Flurry or Doublecast to Inquest.',0,4),
(13008,1001550,10,100,'Increases Mitigation of caster vs arcane damage by 0',0,5),
(13009,1001551,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(13010,1001551,2,100,'Increases Max Health and Power by 1%',0,1),
(13011,1001551,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13012,1001551,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13013,1001551,2,100,'Improves the base damage of Inspired Daring by 15%.',0,4),
(13014,1001551,2,100,'Increases Mitigation of caster vs elemental and noxious damage by 0',0,5),
(13015,1001551,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(13016,1001551,10,100,'Increases Max Health and Power by 1%',0,1),
(13017,1001551,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13018,1001551,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13019,1001551,10,100,'Improves the base damage of Inspired Daring by 15%.',0,4),
(13020,1001552,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(13021,1001552,2,100,'Increases Max Health and Power by 1%',0,1),
(13022,1001552,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13023,1001552,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13024,1001552,2,100,'Instinct grants the target 10% accuracy and 7 Damage Per Second.',0,4),
(13025,1001552,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(13026,1001552,10,100,'Increases Max Health and Power by 1%',0,1),
(13027,1001552,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13028,1001552,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13029,1001552,10,100,'Instinct grants the target 10% accuracy and 7 Damage Per Second.',0,4),
(13030,1001553,2,100,'Increases INT and STA of caster by 2.0',0,0),
(13031,1001553,2,100,'Increases Max Health and Power by 1%',0,1),
(13032,1001553,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13033,1001553,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13034,1001553,2,100,'Modifies Intellectual Remedy to a raid effect along with adding 15 Heal Crit Bonus.',0,4),
(13035,1001553,10,100,'Increases INT and STA of caster by 2.0',0,0),
(13036,1001553,10,100,'Increases Max Health and Power by 1%',0,1),
(13037,1001553,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13038,1001553,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13039,1001553,10,100,'Modifies Intellectual Remedy to a raid effect along with adding 15 Heal Crit Bonus.',0,4),
(13040,1001553,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,5),
(13041,1001554,2,100,'Increases STR and STA of caster by 2.0',0,0),
(13042,1001554,2,100,'Increases Max Health and Power by 1%',0,1),
(13043,1001554,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13044,1001554,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13045,1001554,2,100,'Improves the damage of Jeering Onslaught by 20%.',0,4),
(13046,1001554,10,100,'Increases STR and STA of caster by 2.0',0,0),
(13047,1001554,10,100,'Increases Max Health and Power by 1%',0,1),
(13048,1001554,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13049,1001554,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13050,1001554,10,100,'Improves the damage of Jeering Onslaught by 20%.',0,4),
(13051,1001555,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(13052,1001555,2,100,'Increases Max Health and Power by 1%',0,1),
(13053,1001555,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13054,1001555,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13055,1001555,2,100,'Adds 10% Crit Bonus to Jester''s Cap.',0,4),
(13056,1001555,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(13057,1001555,10,100,'Increases Max Health and Power by 1%',0,1),
(13058,1001555,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13059,1001555,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13060,1001555,10,100,'Adds 10% Crit Bonus to Jester''s Cap.',0,4),
(13061,1001556,2,100,'Increases STR and STA of caster by 2.0',0,0),
(13062,1001556,2,100,'Increases Max Health and Power by 1%',0,1),
(13063,1001556,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13064,1001556,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13065,1001556,2,100,'Improves the base damage of Judgment by 20%.',0,4),
(13066,1001556,10,100,'Increases STR and STA of caster by 2.0',0,0),
(13067,1001556,10,100,'Increases Max Health and Power by 1%',0,1),
(13068,1001556,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13069,1001556,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13070,1001556,10,100,'Improves the base damage of Judgment by 20%.',0,4),
(13071,1001557,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(13072,1001557,2,100,'Increases Max Health and Power by 1%',0,1),
(13073,1001557,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13074,1001557,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13075,1001557,2,100,'Improves the effect of Lamenting Soul by 20 Damage Per Second.',0,4),
(13076,1001557,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(13077,1001557,10,100,'Increases Max Health and Power by 1%',0,1),
(13078,1001557,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13079,1001557,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13080,1001557,10,100,'Improves the effect of Lamenting Soul by 20 Damage Per Second.',0,4),
(13081,1001557,10,100,'Increases Mitigation of caster vs noxious damage by 0',0,5),
(13082,1001558,2,100,'Increases STR and STA of caster by 2.0',0,0),
(13083,1001558,2,100,'Increases Max Health and Power by 1%',0,1),
(13084,1001558,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13085,1001558,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13086,1001558,2,100,'Reduces the reuse time of Lay on Hands by 30 seconds and improves the duration by 15 seconds.',0,4),
(13087,1001558,2,100,'Increases Mitigation of caster vs elemental damage by 0',0,5),
(13088,1001558,10,100,'Increases STR and STA of caster by 2.0',0,0),
(13089,1001558,10,100,'Increases Max Health and Power by 1%',0,1),
(13090,1001558,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13091,1001558,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13092,1001558,10,100,'Reduces the reuse time of Lay on Hands by 30 seconds and improves the duration by 15 seconds.',0,4),
(13093,1001558,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,5),
(13094,1001559,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(13095,1001559,2,100,'Increases Max Health and Power by 1%',0,1),
(13096,1001559,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13097,1001559,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13098,1001559,2,100,'Improves the potency of Lethargy by 20% while reducing the target''s Crit Chance by 5%.',0,4),
(13099,1001559,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(13100,1001559,10,100,'Increases Max Health and Power by 1%',0,1),
(13101,1001559,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13102,1001559,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13103,1001559,10,100,'Improves the potency of Lethargy by 20% while reducing the target''s Crit Chance by 5%.',0,4),
(13104,1001559,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,5),
(13105,1001560,2,100,'Increases INT and STA of caster by 2.0',0,0),
(13106,1001560,2,100,'Increases Max Health and Power by 1%',0,1),
(13107,1001560,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13108,1001560,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13109,1001560,2,100,'Improves the base damage and heal of Lich by 15%.',0,4),
(13110,1001560,10,100,'Increases INT and STA of caster by 2.0',0,0),
(13111,1001560,10,100,'Increases Max Health and Power by 1%',0,1),
(13112,1001560,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13113,1001560,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13114,1001560,10,100,'Improves the base damage and heal of Lich by 15%.',0,4),
(13115,1001560,10,100,'Increases Mitigation of caster vs noxious damage by 0',0,5),
(13116,1001561,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(13117,1001561,2,100,'Increases Max Health and Power by 1%',0,1),
(13118,1001561,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13119,1001561,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13120,1001561,2,100,'Improves the intelligence of Lucidity by 50%.',0,4),
(13121,1001561,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(13122,1001561,10,100,'Increases Max Health and Power by 1%',0,1),
(13123,1001561,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13124,1001561,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13125,1001561,10,100,'Improves the intelligence of Lucidity by 50%.',0,4),
(13126,1001562,2,100,'Increases INT and STA of caster by 2.0',0,0),
(13127,1001562,2,100,'Increases Max Health and Power by 1%',0,1),
(13128,1001562,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13129,1001562,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13130,1001562,2,100,'Adds 10% max health to Magi''s Shielding.',0,4),
(13131,1001562,10,100,'Increases INT and STA of caster by 2.0',0,0),
(13132,1001562,10,100,'Increases Max Health and Power by 1%',0,1),
(13133,1001562,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13134,1001562,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13135,1001562,10,100,'Adds 10% max health to Magi''s Shielding.',0,4),
(13136,1001562,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,5),
(13137,1001563,2,100,'Increases INT and STA of caster by 2.0',0,0),
(13138,1001563,2,100,'Increases Max Health and Power by 1%',0,1),
(13139,1001563,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13140,1001563,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13141,1001563,2,100,'Mail of Frost will reduce hate gained by 10% and its reuse time is reduced by 120 seconds.',0,4),
(13142,1001563,10,100,'Increases INT and STA of caster by 2.0',0,0),
(13143,1001563,10,100,'Increases Max Health and Power by 1%',0,1),
(13144,1001563,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13145,1001563,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13146,1001563,10,100,'Mail of Frost will reduce hate gained by 10% and its reuse time is reduced by 120 seconds.',0,4),
(13147,1001564,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(13148,1001564,2,100,'Increases Max Health and Power by 1%',0,1),
(13149,1001564,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13150,1001564,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13151,1001564,2,100,'Increases the amount of triggers of Malevolent Diatribe by 3.',0,4),
(13152,1001564,2,100,'Increases Mitigation of caster vs elemental and noxious damage by 0',0,5),
(13153,1001564,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(13154,1001564,10,100,'Increases Max Health and Power by 1%',0,1),
(13155,1001564,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13156,1001564,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13157,1001564,10,100,'Increases the amount of triggers of Malevolent Diatribe by 3.',0,4),
(13158,1001564,10,100,'Increases Mitigation of caster vs noxious damage by 0',0,5),
(13159,1001565,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(13160,1001565,2,100,'Increases Max Health and Power by 1%',0,1),
(13161,1001565,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13162,1001565,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13163,1001565,2,100,'Mark of Nobility will increase the target''s accuracy by 3%.',0,4),
(13164,1001565,2,100,'Increases Mitigation of caster vs elemental and arcane damage by 0',0,5),
(13165,1001565,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(13166,1001565,10,100,'Increases Max Health and Power by 1%',0,1),
(13167,1001565,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13168,1001565,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13169,1001565,10,100,'Mark of Nobility will increase the target''s accuracy by 3%.',0,4),
(13170,1001566,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(13171,1001566,2,100,'Increases Max Health and Power by 1%',0,1),
(13172,1001566,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13173,1001566,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13174,1001566,2,100,'Increases the base damage of Masked Strike by 15%.',0,4),
(13175,1001566,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(13176,1001566,10,100,'Increases Max Health and Power by 1%',0,1),
(13177,1001566,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13178,1001566,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13179,1001566,10,100,'Increases the base damage of Masked Strike by 15%.',0,4),
(13180,1001566,10,100,'Increases Mitigation of caster vs elemental and arcane damage by 0',0,5),
(13181,1001567,2,100,'Increases STR and STA of caster by 2.0',0,0),
(13182,1001567,2,100,'Increases Max Health and Power by 1%',0,1),
(13183,1001567,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13184,1001567,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13185,1001567,2,100,'Decreases the recast time of Mend by 45 seconds and adds an additional block chance to the recipient.',0,4),
(13186,1001567,2,100,'Improves the heal amount of Mend by 10%.',0,5),
(13187,1001567,10,100,'Increases STR and STA of caster by 2.0',0,0),
(13188,1001567,10,100,'Increases Max Health and Power by 1%',0,1),
(13189,1001567,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13190,1001567,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13191,1001567,10,100,'Decreases the recast time of Mend by 45 seconds and adds an additional block chance to the recipient.',0,4),
(13192,1001567,10,100,'Improves the heal amount of Mend by 10%.',0,5),
(13193,1001568,2,100,'Applies Focus: Minion Health to qualifying pets.',0,0),
(13194,1001568,2,100,'Increases Max Health of target by 10.0%',1,1),
(13195,1001568,2,100,'Increases INT and STA of caster by 2.0',0,2),
(13196,1001568,2,100,'Increases Max Health and Power by 1%',0,3),
(13197,1001568,2,100,'Increases In-Combat Regeneration by 2.0',0,4),
(13198,1001568,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,5),
(13199,1001568,10,100,'Applies Focus: Minion Health to qualifying pets.',0,0),
(13200,1001568,10,100,'Increases Max Health of target by 10.0%',1,1),
(13201,1001568,10,100,'Increases INT and STA of caster by 2.0',0,2),
(13202,1001568,10,100,'Increases Max Health and Power by 1%',0,3),
(13203,1001568,10,100,'Increases In-Combat Regeneration by 2.0',0,4),
(13204,1001568,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,5),
(13205,1001569,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(13206,1001569,2,100,'Increases Max Health and Power by 1%',0,1),
(13207,1001569,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13208,1001569,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13209,1001569,2,100,'Adds a positional threat reduction component to Miracle Shot.',0,4),
(13210,1001569,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(13211,1001569,10,100,'Increases Max Health and Power by 1%',0,1),
(13212,1001569,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13213,1001569,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13214,1001569,10,100,'Adds a positional threat reduction component to Miracle Shot.',0,4),
(13215,1001569,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,5),
(13216,1001570,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(13217,1001570,2,100,'Increases Max Health and Power by 1%',0,1),
(13218,1001570,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13219,1001570,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13220,1001570,2,100,'Reduces the reuse time of Mortal Blade by 30 seconds.',0,4),
(13221,1001570,2,100,'Improves the Crit Bonus of Mortal Blade by 7.5.',0,5),
(13222,1001570,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(13223,1001570,10,100,'Increases Max Health and Power by 1%',0,1),
(13224,1001570,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13225,1001570,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13226,1001570,10,100,'Reduces the reuse time of Mortal Blade by 30 seconds.',0,4),
(13227,1001570,10,100,'Improves the Crit Bonus of Mortal Blade by 7.5.',0,5),
(13228,1001570,10,100,'Improves the Crit Bonus of Mortal Blade by 7.5.',0,6),
(13229,1001571,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(13230,1001571,2,100,'Increases Max Health and Power by 1%',0,1),
(13231,1001571,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13232,1001571,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13233,1001571,2,100,'Improves the hate transfer of Murderous Design by 5%.',0,4),
(13234,1001571,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(13235,1001571,10,100,'Increases Max Health and Power by 1%',0,1),
(13236,1001571,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13237,1001571,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13238,1001571,10,100,'Improves the hate transfer of Murderous Design by 5%.',0,4),
(13239,1001572,2,100,'Increases STR and STA of caster by 2.0',0,0),
(13240,1001572,2,100,'Increases Max Health and Power by 1%',0,1),
(13241,1001572,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13242,1001572,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13243,1001572,2,100,'Increases the base damage of Mutilate by 10% and damages the entire encounter.',0,4),
(13244,1001572,2,100,'Increases Mitigation of caster vs elemental damage by 0',0,5),
(13245,1001572,10,100,'Increases STR and STA of caster by 2.0',0,0),
(13246,1001572,10,100,'Increases Max Health and Power by 1%',0,1),
(13247,1001572,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13248,1001572,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13249,1001572,10,100,'Increases the base damage of Mutilate by 10% and damages the entire encounter.',0,4),
(13250,1001573,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(13251,1001573,2,100,'Increases Max Health and Power by 1%',0,1),
(13252,1001573,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13253,1001573,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13254,1001573,2,100,'Reduces the reuse time of Nature''s Embrace by 2.5 seconds and improves the Crit Bonus by 11.25%.',0,4),
(13255,1001573,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(13256,1001573,10,100,'Increases Max Health and Power by 1%',0,1),
(13257,1001573,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13258,1001573,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13259,1001573,10,100,'Reduces the reuse time of Nature''s Embrace by 2.5 seconds and improves the Crit Bonus by 11.25%.',0,4),
(13260,1001574,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(13261,1001574,2,100,'Increases Max Health and Power by 1%',0,1),
(13262,1001574,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13263,1001574,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13264,1001574,2,100,'Improves the accuracy of Noxious Enfeeblement by 50%.',0,4),
(13265,1001574,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(13266,1001574,10,100,'Increases Max Health and Power by 1%',0,1),
(13267,1001574,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13268,1001574,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13269,1001574,10,100,'Improves the accuracy of Noxious Enfeeblement by 50%.',0,4),
(13270,1001575,2,100,'Increases INT and STA of caster by 2.0',0,0),
(13271,1001575,2,100,'Increases Max Health and Power by 1%',0,1),
(13272,1001575,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13273,1001575,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13274,1001575,2,100,'Nullmail will reduce hate gain by 10% and have its reuse time reduced by 120 seconds.',0,4),
(13275,1001575,10,100,'Increases INT and STA of caster by 2.0',0,0),
(13276,1001575,10,100,'Increases Max Health and Power by 1%',0,1),
(13277,1001575,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13278,1001575,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13279,1001575,10,100,'Nullmail will reduce hate gain by 10% and have its reuse time reduced by 120 seconds.',0,4),
(13280,1001576,2,100,'Increases STR and STA of caster by 2.0',0,0),
(13281,1001576,2,100,'Increases Max Health and Power by 1%',0,1),
(13282,1001576,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13283,1001576,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13284,1001576,2,100,'Improves the base damage of One Hundred Hand Punch by 20%.',0,4),
(13285,1001576,10,100,'Increases STR and STA of caster by 2.0',0,0),
(13286,1001576,10,100,'Increases Max Health and Power by 1%',0,1),
(13287,1001576,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13288,1001576,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13289,1001576,10,100,'Improves the base damage of One Hundred Hand Punch by 20%.',0,4),
(13290,1001576,10,100,'Increases Mitigation of caster vs elemental damage by 0',0,5),
(13291,1001577,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(13292,1001577,2,100,'Increases Max Health and Power by 1%',0,1),
(13293,1001577,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13294,1001577,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13295,1001577,2,100,'Improves the base healing of Oration of Sacrifice by 30%.',0,4),
(13296,1001577,2,100,'Removes the stifle from Oration of Sacrifice.',0,5),
(13297,1001577,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(13298,1001577,10,100,'Increases Max Health and Power by 1%',0,1),
(13299,1001577,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13300,1001577,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13301,1001577,10,100,'Improves the base healing of Oration of Sacrifice by 30%.',0,4),
(13302,1001577,10,100,'Removes the stifle from Oration of Sacrifice.',0,5),
(13303,1001578,2,100,'Increases INT and STA of caster by 2.0',0,0),
(13304,1001578,2,100,'Increases Max Health and Power by 1%',0,1),
(13305,1001578,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13306,1001578,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13307,1001578,2,100,'Improves the base damage of Pandemic by 20%.',0,4),
(13308,1001578,10,100,'Increases INT and STA of caster by 2.0',0,0),
(13309,1001578,10,100,'Increases Max Health and Power by 1%',0,1),
(13310,1001578,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13311,1001578,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13312,1001578,10,100,'Improves the base damage of Pandemic by 20%.',0,4),
(13313,1001578,10,100,'Increases Mitigation of caster vs arcane damage by 0',0,5),
(13314,1001579,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(13315,1001579,2,100,'Increases Max Health and Power by 1%',0,1),
(13316,1001579,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13317,1001579,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13318,1001579,2,100,'Adds a threat position reduction component to Paralyzing Strike.',0,4),
(13319,1001579,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(13320,1001579,10,100,'Increases Max Health and Power by 1%',0,1),
(13321,1001579,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13322,1001579,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13323,1001579,10,100,'Adds a threat position reduction component to Paralyzing Strike.',0,4),
(13324,1001580,2,100,'Increases INT and STA of caster by 2.0',0,0),
(13325,1001580,2,100,'Increases Max Health and Power by 1%',0,1),
(13326,1001580,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13327,1001580,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13328,1001580,2,100,'Improves the duration of Peace of Mind by 5 seconds.',0,4),
(13329,1001580,10,100,'Increases INT and STA of caster by 2.0',0,0),
(13330,1001580,10,100,'Increases Max Health and Power by 1%',0,1),
(13331,1001580,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13332,1001580,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13333,1001580,10,100,'Improves the duration of Peace of Mind by 5 seconds.',0,4),
(13334,1001580,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,5),
(13335,1001581,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(13336,1001581,2,100,'Increases Max Health and Power by 1%',0,1),
(13337,1001581,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13338,1001581,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13339,1001581,2,100,'Improves the base damage of Perfect Shrill by 10%.',0,4),
(13340,1001581,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(13341,1001581,10,100,'Increases Max Health and Power by 1%',0,1),
(13342,1001581,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13343,1001581,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13344,1001581,10,100,'Improves the base damage of Perfect Shrill by 10%.',0,4),
(13345,1001582,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(13346,1001582,2,100,'Increases Max Health and Power by 1%',0,1),
(13347,1001582,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13348,1001582,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13349,1001582,2,100,'Improves the base damage of Precise Note by 20%.',0,4),
(13350,1001582,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(13351,1001582,10,100,'Increases Max Health and Power by 1%',0,1),
(13352,1001582,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13353,1001582,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13354,1001582,10,100,'Improves the base damage of Precise Note by 20%.',0,4),
(13355,1001583,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(13356,1001583,2,100,'Increases Max Health and Power by 1%',0,1),
(13357,1001583,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13358,1001583,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13359,1001583,2,100,'Adds an additional tick to Photosynthesis.',0,4),
(13360,1001583,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(13361,1001583,10,100,'Increases Max Health and Power by 1%',0,1),
(13362,1001583,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13363,1001583,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13364,1001583,10,100,'Adds an additional tick to Photosynthesis.',0,4),
(13365,1001583,10,100,'Increases Mitigation of caster vs noxious and arcane damage by 0',0,5),
(13366,1001584,2,100,'Increases INT and STA of caster by 2.0',0,0),
(13367,1001584,2,100,'Increases Max Health and Power by 1%',0,1),
(13368,1001584,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13369,1001584,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13370,1001584,2,100,'Improves the base damage of Plaguebringer by 10%.',0,4),
(13371,1001584,10,100,'Increases INT and STA of caster by 2.0',0,0),
(13372,1001584,10,100,'Increases Max Health and Power by 1%',0,1),
(13373,1001584,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13374,1001584,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13375,1001584,10,100,'Improves the base damage of Plaguebringer by 10%.',0,4),
(13376,1001584,10,100,'Increases Mitigation of caster vs noxious damage by 0',0,5),
(13377,1001585,2,100,'Increases INT and STA of caster by 2.0',0,0),
(13378,1001585,2,100,'Increases Max Health and Power by 1%',0,1),
(13379,1001585,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13380,1001585,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13381,1001585,2,100,'Adds 25% potency to Plane Shift and reduces the reuse time by 3 minutes.',0,4),
(13382,1001585,2,100,'Increases Mitigation of caster vs elemental damage by 0',0,5),
(13383,1001585,10,100,'Increases INT and STA of caster by 2.0',0,0),
(13384,1001585,10,100,'Increases Max Health and Power by 1%',0,1),
(13385,1001585,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13386,1001585,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13387,1001585,10,100,'Adds 25% potency to Plane Shift and reduces the reuse time by 3 minutes.',0,4),
(13388,1001586,2,100,'Increases AGI, STA, STR, INT and WIS of caster by 2.0',0,0),
(13389,1001586,2,100,'Increases Max Health and Power by 1%',0,1),
(13390,1001586,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13391,1001586,2,100,'Increases Potency of caster by 2.0%',0,3),
(13392,1001586,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,4),
(13393,1001586,10,100,'Increases AGI, STA, STR, INT and WIS of caster by 2.0',0,0),
(13394,1001586,10,100,'Increases Max Health and Power by 1%',0,1),
(13395,1001586,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13396,1001586,10,100,'Increases Potency of caster by 2.0%',0,3),
(13397,1001586,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,4),
(13398,1001587,2,100,'Increases STR and STA of caster by 2.0',0,0),
(13399,1001587,2,100,'Increases Max Health and Power by 1%',0,1),
(13400,1001587,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13401,1001587,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13402,1001587,2,100,'Improves the base heal amount of Prayer of Healing by 10% of the base value.',0,4),
(13403,1001587,10,100,'Increases STR and STA of caster by 2.0',0,0),
(13404,1001587,10,100,'Increases Max Health and Power by 1%',0,1),
(13405,1001587,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13406,1001587,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13407,1001587,10,100,'Improves the base heal amount of Prayer of Healing by 10% of the base value.',0,4),
(13408,1001587,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,5),
(13409,1001588,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(13410,1001588,2,100,'Increases Max Health and Power by 1%',0,1),
(13411,1001588,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13412,1001588,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13413,1001588,2,100,'Improves the hate gain reduction of Primal Reflexes by 10%.',0,4),
(13414,1001588,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(13415,1001588,10,100,'Increases Max Health and Power by 1%',0,1),
(13416,1001588,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13417,1001588,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13418,1001588,10,100,'Improves the hate gain reduction of Primal Reflexes by 10%.',0,4),
(13419,1001589,2,100,'Increases INT and STA of caster by 2.0',0,0),
(13420,1001589,2,100,'Increases Max Health and Power by 1%',0,1),
(13421,1001589,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13422,1001589,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13423,1001589,2,100,'Adds 2 triggers to Prismatic Chaos.',0,4),
(13424,1001589,10,100,'Increases INT and STA of caster by 2.0',0,0),
(13425,1001589,10,100,'Increases Max Health and Power by 1%',0,1),
(13426,1001589,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13427,1001589,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13428,1001589,10,100,'Adds 2 triggers to Prismatic Chaos.',0,4),
(13429,1001589,10,100,'Increases Mitigation of caster vs elemental and noxious damage by 0',0,5),
(13430,1001590,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(13431,1001590,2,100,'Increases Max Health and Power by 1%',0,1),
(13432,1001590,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13433,1001590,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13434,1001590,2,100,'Improves the ward amount of Prophetic Ward by 30%.',0,4),
(13435,1001590,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(13436,1001590,10,100,'Increases Max Health and Power by 1%',0,1),
(13437,1001590,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13438,1001590,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13439,1001590,10,100,'Improves the ward amount of Prophetic Ward by 30%.',0,4),
(13440,1001590,10,100,'Increases Mitigation of caster vs arcane damage by 0',0,5),
(13441,1001591,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(13442,1001591,2,100,'Increases Max Health and Power by 1%',0,1),
(13443,1001591,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13444,1001591,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13445,1001591,2,100,'Improves the Damage Per Second and Attack Speed reduction of Quick Swipe by 40%.',0,4),
(13446,1001591,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(13447,1001591,10,100,'Increases Max Health and Power by 1%',0,1),
(13448,1001591,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13449,1001591,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13450,1001591,10,100,'Improves the Damage Per Second and Attack Speed reduction of Quick Swipe by 40%.',0,4),
(13451,1001592,2,100,'Increases STR and STA of caster by 2.0',0,0),
(13452,1001592,2,100,'Increases Max Health and Power by 1%',0,1),
(13453,1001592,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13454,1001592,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13455,1001592,2,100,'Adds 4 triggers to Rampage.',0,4),
(13456,1001592,2,100,'Increases Mitigation of caster vs noxious damage by 0',0,5),
(13457,1001592,10,100,'Increases STR and STA of caster by 2.0',0,0),
(13458,1001592,10,100,'Increases Max Health and Power by 1%',0,1),
(13459,1001592,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13460,1001592,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13461,1001592,10,100,'Adds 4 triggers to Rampage.',0,4),
(13462,1001592,10,100,'Increases Mitigation of caster vs noxious damage by 0',0,5),
(13463,1001593,2,100,'Increases STR and STA of caster by 2.0',0,0),
(13464,1001593,2,100,'Increases Max Health and Power by 1%',0,1),
(13465,1001593,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13466,1001593,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13467,1001593,2,100,'Improves the base heal amount of Reaver by 20%.',0,4),
(13468,1001593,10,100,'Increases STR and STA of caster by 2.0',0,0),
(13469,1001593,10,100,'Increases Max Health and Power by 1%',0,1),
(13470,1001593,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13471,1001593,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13472,1001593,10,100,'Improves the base heal amount of Reaver by 20%.',0,4),
(13473,1001593,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,5),
(13474,1001594,2,100,'Increases STR and STA of caster by 2.0',0,0),
(13475,1001594,2,100,'Increases Max Health and Power by 1%',0,1),
(13476,1001594,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13477,1001594,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13478,1001594,2,100,'Reduces the reuse time of Refusal of Atonement by 20 seconds.',0,4),
(13479,1001594,2,100,'Improves the Crit Bonus of Refusal of Atonement by 15%.',0,5),
(13480,1001594,2,100,'Increases Mitigation of caster vs arcane damage by 0',0,6),
(13481,1001594,10,100,'Increases STR and STA of caster by 2.0',0,0),
(13482,1001594,10,100,'Increases Max Health and Power by 1%',0,1),
(13483,1001594,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13484,1001594,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13485,1001594,10,100,'Reduces the reuse time of Refusal of Atonement by 20 seconds.',0,4),
(13486,1001594,10,100,'Improves the Crit Bonus of Refusal of Atonement by 15%.',0,5),
(13487,1001594,10,100,'Increases Mitigation of caster vs arcane damage by 0',0,6),
(13488,1001595,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(13489,1001595,2,100,'Increases Max Health and Power by 1%',0,1),
(13490,1001595,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13491,1001595,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13492,1001595,2,100,'Regrowth gains an additional tick.',0,4),
(13493,1001595,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(13494,1001595,10,100,'Increases Max Health and Power by 1%',0,1),
(13495,1001595,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13496,1001595,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13497,1001595,10,100,'Regrowth gains an additional tick.',0,4),
(13498,1001595,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,5),
(13499,1001596,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(13500,1001596,2,100,'Increases Max Health and Power by 1%',0,1),
(13501,1001596,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13502,1001596,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13503,1001596,2,100,'Adds an additional trigger to Repentance.',0,4),
(13504,1001596,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(13505,1001596,10,100,'Increases Max Health and Power by 1%',0,1),
(13506,1001596,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13507,1001596,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13508,1001596,10,100,'Adds an additional trigger to Repentance.',0,4),
(13509,1001597,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(13510,1001597,2,100,'Increases Max Health and Power by 1%',0,1),
(13511,1001597,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13512,1001597,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13513,1001597,2,100,'Reduces the reuse time of Restoration by 4 seconds and improves the Crit Bonus by 15%.',0,4),
(13514,1001597,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(13515,1001597,10,100,'Increases Max Health and Power by 1%',0,1),
(13516,1001597,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13517,1001597,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13518,1001597,10,100,'Reduces the reuse time of Restoration by 4 seconds and improves the Crit Bonus by 15%.',0,4),
(13519,1001598,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(13520,1001598,2,100,'Increases Max Health and Power by 1%',0,1),
(13521,1001598,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13522,1001598,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13523,1001598,2,100,'Removes the concentration from Riana''s Relentless Tune.',0,4),
(13524,1001598,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(13525,1001598,10,100,'Increases Max Health and Power by 1%',0,1),
(13526,1001598,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13527,1001598,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13528,1001598,10,100,'Removes the concentration from Riana''s Relentless Tune.',0,4),
(13529,1001599,2,100,'Increases INT and STA of caster by 2.0',0,0),
(13530,1001599,2,100,'Increases Max Health and Power by 1%',0,1),
(13531,1001599,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13532,1001599,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13533,1001599,2,100,'Reduces the reuse time of Rift by 30 seconds and improves the Crit Bonus by 7.5%.',0,4),
(13534,1001599,10,100,'Increases INT and STA of caster by 2.0',0,0),
(13535,1001599,10,100,'Increases Max Health and Power by 1%',0,1),
(13536,1001599,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13537,1001599,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13538,1001599,10,100,'Reduces the reuse time of Rift by 30 seconds and improves the Crit Bonus by 7.5%.',0,4),
(13539,1001600,2,100,'Increases STR and STA of caster by 2.0',0,0),
(13540,1001600,2,100,'Increases Max Health and Power by 1%',0,1),
(13541,1001600,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13542,1001600,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13543,1001600,2,100,'Reduces the duration of Rising Dragon by 10 seconds and increases the base damage by 25%.',0,4),
(13544,1001600,10,100,'Increases STR and STA of caster by 2.0',0,0),
(13545,1001600,10,100,'Increases Max Health and Power by 1%',0,1),
(13546,1001600,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13547,1001600,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13548,1001600,10,100,'Reduces the duration of Rising Dragon by 10 seconds and increases the base damage by 25%.',0,4),
(13549,1001601,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(13550,1001601,2,100,'Increases Max Health and Power by 1%',0,1),
(13551,1001601,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13552,1001601,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13553,1001601,2,100,'Improves the base heal amount of Ritual Healing by 10% and health bonus by 25%.',0,4),
(13554,1001601,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(13555,1001601,10,100,'Increases Max Health and Power by 1%',0,1),
(13556,1001601,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13557,1001601,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13558,1001601,10,100,'Improves the base heal amount of Ritual Healing by 10% and health bonus by 25%.',0,4),
(13559,1001601,10,100,'Increases Mitigation of caster vs elemental damage by 0',0,5),
(13560,1001602,2,100,'Increases STR and STA of caster by 2.0',0,0),
(13561,1001602,2,100,'Increases Max Health and Power by 1%',0,1),
(13562,1001602,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13563,1001602,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13564,1001602,2,100,'Improves the duration and reuse time of Rock Skin by 10 seconds.',0,4),
(13565,1001602,10,100,'Increases STR and STA of caster by 2.0',0,0),
(13566,1001602,10,100,'Increases Max Health and Power by 1%',0,1),
(13567,1001602,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13568,1001602,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13569,1001602,10,100,'Improves the duration and reuse time of Rock Skin by 10 seconds.',0,4),
(13570,1001602,10,100,'Increases Mitigation of caster vs elemental damage by 0',0,5),
(13571,1001603,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(13572,1001603,2,100,'Increases Max Health and Power by 1%',0,1),
(13573,1001603,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13574,1001603,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13575,1001603,2,100,'Improves the physicial mitigation of Runic Armor by 25%.',0,4),
(13576,1001603,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(13577,1001603,10,100,'Increases Max Health and Power by 1%',0,1),
(13578,1001603,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13579,1001603,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13580,1001603,10,100,'Improves the physicial mitigation of Runic Armor by 25%.',0,4),
(13581,1001604,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(13582,1001604,2,100,'Increases Max Health and Power by 1%',0,1),
(13583,1001604,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13584,1001604,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13585,1001604,2,100,'Improves the damage of Rush by 10%.',0,4),
(13586,1001604,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(13587,1001604,10,100,'Increases Max Health and Power by 1%',0,1),
(13588,1001604,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13589,1001604,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13590,1001604,10,100,'Improves the damage of Rush by 10%.',0,4),
(13591,1001604,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,5),
(13592,1001605,2,100,'Increases INT and STA of caster by 2.0',0,0),
(13593,1001605,2,100,'Increases Max Health and Power by 1%',0,1),
(13594,1001605,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13595,1001605,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13596,1001605,2,100,'Improves the reuse time of Sacrifice by 30 seconds.',0,4),
(13597,1001605,2,100,'Reduces the duration of Sacrifice by 25%.',0,5),
(13598,1001605,10,100,'Increases INT and STA of caster by 2.0',0,0),
(13599,1001605,10,100,'Increases Max Health and Power by 1%',0,1),
(13600,1001605,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13601,1001605,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13602,1001605,10,100,'Improves the reuse time of Sacrifice by 30 seconds.',0,4),
(13603,1001605,10,100,'Reduces the duration of Sacrifice by 25%.',0,5),
(13604,1001606,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(13605,1001606,2,100,'Increases Max Health and Power by 1%',0,1),
(13606,1001606,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13607,1001606,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13608,1001606,2,100,'Improves the base heal amount of Sacrificial Restoration by 15%.',0,4),
(13609,1001606,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(13610,1001606,10,100,'Increases Max Health and Power by 1%',0,1),
(13611,1001606,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13612,1001606,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13613,1001606,10,100,'Improves the base heal amount of Sacrificial Restoration by 15%.',0,4),
(13614,1001607,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(13615,1001607,2,100,'Increases Max Health and Power by 1%',0,1),
(13616,1001607,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13617,1001607,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13618,1001607,2,100,'Increases the potency of Salubrious Invocation by 15%',0,4),
(13619,1001607,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(13620,1001607,10,100,'Increases Max Health and Power by 1%',0,1),
(13621,1001607,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13622,1001607,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13623,1001607,10,100,'Increases the potency of Salubrious Invocation by 15%',0,4),
(13624,1001608,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(13625,1001608,2,100,'Increases Max Health and Power by 1%',0,1),
(13626,1001608,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13627,1001608,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13628,1001608,2,100,'Reduces the reuse time of Sanctuary by 20 seconds and the power cost by 50%.',0,4),
(13629,1001608,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(13630,1001608,10,100,'Increases Max Health and Power by 1%',0,1),
(13631,1001608,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13632,1001608,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13633,1001608,10,100,'Reduces the reuse time of Sanctuary by 20 seconds and the power cost by 50%.',0,4),
(13634,1001608,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,5),
(13635,1001609,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(13636,1001609,2,100,'Increases Max Health and Power by 1%',0,1),
(13637,1001609,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13638,1001609,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13639,1001609,2,100,'Increases the duration of Sanctuary of Darkness by 2.5 seconds',0,4),
(13640,1001609,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,5),
(13641,1001609,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(13642,1001609,10,100,'Increases Max Health and Power by 1%',0,1),
(13643,1001609,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13644,1001609,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13645,1001609,10,100,'Increases the duration of Sanctuary of Darkness by 2.5 seconds',0,4),
(13646,1001610,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(13647,1001610,2,100,'Increases Max Health and Power by 1%',0,1),
(13648,1001610,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13649,1001610,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13650,1001610,2,100,'Improves the block chance provided by Sandstorm by 8%. The block chance of Sandstorm will increase by 2% every update.',0,4),
(13651,1001610,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,5),
(13652,1001610,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(13653,1001610,10,100,'Increases Max Health and Power by 1%',0,1),
(13654,1001610,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13655,1001610,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13656,1001610,10,100,'Improves the block chance provided by Sandstorm by 8%. The block chance of Sandstorm will increase by 2% every update.',0,4),
(13657,1001610,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,5),
(13658,1001611,2,100,'Increases STR and STA of caster by 2.0',0,0),
(13659,1001611,2,100,'Increases Max Health and Power by 1%',0,1),
(13660,1001611,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13661,1001611,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13662,1001611,2,100,'Improves the base damage of Savage Assault by 15%.',0,4),
(13663,1001611,10,100,'Increases STR and STA of caster by 2.0',0,0),
(13664,1001611,10,100,'Increases Max Health and Power by 1%',0,1);
INSERT INTO `spell_display_effects` VALUES
(13665,1001611,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13666,1001611,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13667,1001611,10,100,'Improves the base damage of Savage Assault by 15%.',0,4),
(13668,1001611,10,100,'Increases Mitigation of caster vs arcane damage by 0',0,5),
(13669,1001612,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(13670,1001612,2,100,'Increases Max Health and Power by 1%',0,1),
(13671,1001612,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13672,1001612,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13673,1001612,2,100,'Reduces the duration of Savage Blaze by 10 seconds and increases the amount of updates by 1.',0,4),
(13674,1001612,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(13675,1001612,10,100,'Increases Max Health and Power by 1%',0,1),
(13676,1001612,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13677,1001612,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13678,1001612,10,100,'Reduces the duration of Savage Blaze by 10 seconds and increases the amount of updates by 1.',0,4),
(13679,1001613,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(13680,1001613,2,100,'Increases Max Health and Power by 1%',0,1),
(13681,1001613,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13682,1001613,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13683,1001613,2,100,'Savage Ruin will add 10% max health to the beastlord.',0,4),
(13684,1001613,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(13685,1001613,10,100,'Increases Max Health and Power by 1%',0,1),
(13686,1001613,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13687,1001613,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13688,1001613,10,100,'Savage Ruin will add 10% max health to the beastlord.',0,4),
(13689,1001614,2,100,'Increases INT and STA of caster by 2.0',0,0),
(13690,1001614,2,100,'Increases Max Health and Power by 1%',0,1),
(13691,1001614,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13692,1001614,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13693,1001614,2,100,'Adds an additional effect to Savante that reduces the power cost of spells by 25%.',0,4),
(13694,1001614,10,100,'Increases INT and STA of caster by 2.0',0,0),
(13695,1001614,10,100,'Increases Max Health and Power by 1%',0,1),
(13696,1001614,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13697,1001614,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13698,1001614,10,100,'Adds an additional effect to Savante that reduces the power cost of spells by 25%.',0,4),
(13699,1001614,10,100,'Increases Mitigation of caster vs arcane damage by 0',0,5),
(13700,1001615,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(13701,1001615,2,100,'Increases Max Health and Power by 1%',0,1),
(13702,1001615,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13703,1001615,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13704,1001615,2,100,'Reduces the reuse time of Scream of Death by 10 seconds.',0,4),
(13705,1001615,2,100,'Improves the Crit Bonus of Scream of Death by 7.5%.',0,5),
(13706,1001615,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(13707,1001615,10,100,'Increases Max Health and Power by 1%',0,1),
(13708,1001615,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13709,1001615,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13710,1001615,10,100,'Reduces the reuse time of Scream of Death by 10 seconds.',0,4),
(13711,1001615,10,100,'Improves the Crit Bonus of Scream of Death by 7.5%.',0,5),
(13712,1001615,10,100,'Increases In-Combat Regeneration by 2.0',0,6),
(13713,1001615,10,100,'Increases Mitigation of caster vs elemental and noxious damage by 0',0,7),
(13714,1001616,2,100,'Increases STR and STA of caster by 2.0',0,0),
(13715,1001616,2,100,'Increases Max Health and Power by 1%',0,1),
(13716,1001616,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13717,1001616,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13718,1001616,2,100,'Improves the base taunt and damage of Sentinel Strike by 15%.',0,4),
(13719,1001616,10,100,'Increases STR and STA of caster by 2.0',0,0),
(13720,1001616,10,100,'Increases Max Health and Power by 1%',0,1),
(13721,1001616,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13722,1001616,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13723,1001616,10,100,'Improves the base taunt and damage of Sentinel Strike by 15%.',0,4),
(13724,1001617,2,100,'Increases STR and STA of caster by 2.0',0,0),
(13725,1001617,2,100,'Increases Max Health and Power by 1%',0,1),
(13726,1001617,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13727,1001617,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13728,1001617,2,100,'Adds 2 additional triggers to Sentry Watch.',0,4),
(13729,1001617,10,100,'Increases STR and STA of caster by 2.0',0,0),
(13730,1001617,10,100,'Increases Max Health and Power by 1%',0,1),
(13731,1001617,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13732,1001617,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13733,1001617,10,100,'Adds 2 additional triggers to Sentry Watch.',0,4),
(13734,1001617,10,100,'Increases Mitigation of caster vs arcane damage by 0',0,5),
(13735,1001618,2,100,'Increases INT and STA of caster by 2.0',0,0),
(13736,1001618,2,100,'Increases Max Health and Power by 1%',0,1),
(13737,1001618,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13738,1001618,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13739,1001618,2,100,'Improves the reuse time of Shattered Earth by 10 seconds.',0,4),
(13740,1001618,2,100,'Improves the Crit Bonus of Shattered Earth by 11.25%',0,5),
(13741,1001618,2,100,'Increases Mitigation of caster vs elemental damage by 0',0,6),
(13742,1001618,10,100,'Increases INT and STA of caster by 2.0',0,0),
(13743,1001618,10,100,'Increases Max Health and Power by 1%',0,1),
(13744,1001618,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13745,1001618,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13746,1001618,10,100,'Improves the reuse time of Shattered Earth by 10 seconds.',0,4),
(13747,1001618,10,100,'Improves the Crit Bonus of Shattered Earth by 11.25%',0,5),
(13748,1001618,10,100,'Increases Mitigation of caster vs arcane damage by 0',0,6),
(13749,1001619,2,100,'Increases INT and STA of caster by 2.0',0,0),
(13750,1001619,2,100,'Increases Max Health and Power by 1%',0,1),
(13751,1001619,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13752,1001619,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13753,1001619,2,100,'Reduces the recast time of Shock Wave by 15 seconds.',0,4),
(13754,1001619,2,100,'Improves the Crit Bonus of Shock Wave by 15%',0,5),
(13755,1001619,2,100,'Increases Mitigation of caster vs arcane damage by 0',0,6),
(13756,1001619,10,100,'Increases INT and STA of caster by 2.0',0,0),
(13757,1001619,10,100,'Increases Max Health and Power by 1%',0,1),
(13758,1001619,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13759,1001619,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13760,1001619,10,100,'Reduces the recast time of Shock Wave by 15 seconds.',0,4),
(13761,1001619,10,100,'Improves the Crit Bonus of Shock Wave by 15%',0,5),
(13762,1001620,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(13763,1001620,2,100,'Increases Max Health and Power by 1%',0,1),
(13764,1001620,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13765,1001620,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13766,1001620,2,100,'Improves the physical mitigation granted by Shroud of Armor by 25%.',0,4),
(13767,1001620,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(13768,1001620,10,100,'Increases Max Health and Power by 1%',0,1),
(13769,1001620,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13770,1001620,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13771,1001620,10,100,'Improves the physical mitigation granted by Shroud of Armor by 25%.',0,4),
(13772,1001620,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,5),
(13773,1001621,2,100,'Increases INT and STA of caster by 2.0',0,0),
(13774,1001621,2,100,'Increases Max Health and Power by 1%',0,1),
(13775,1001621,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13776,1001621,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13777,1001621,2,100,'Increases the base damage of Nihilistics by 25%.',0,4),
(13778,1001621,10,100,'Increases INT and STA of caster by 2.0',0,0),
(13779,1001621,10,100,'Increases Max Health and Power by 1%',0,1),
(13780,1001621,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13781,1001621,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13782,1001621,10,100,'Increases the base damage of Nihilistics by 25%.',0,4),
(13783,1001622,2,100,'Increases STR and STA of caster by 2.0',0,0),
(13784,1001622,2,100,'Increases Max Health and Power by 1%',0,1),
(13785,1001622,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13786,1001622,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13787,1001622,2,100,'Adds 5% additional riposte chance to Shrug Off.',0,4),
(13788,1001622,10,100,'Increases STR and STA of caster by 2.0',0,0),
(13789,1001622,10,100,'Increases Max Health and Power by 1%',0,1),
(13790,1001622,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13791,1001622,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13792,1001622,10,100,'Adds 5% additional riposte chance to Shrug Off.',0,4),
(13793,1001623,2,100,'Increases STR and STA of caster by 2.0',0,0),
(13794,1001623,2,100,'Increases Max Health and Power by 1%',0,1),
(13795,1001623,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13796,1001623,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13797,1001623,2,100,'Grants additional mitigation while Sigil of Heroism is active.',0,4),
(13798,1001623,10,100,'Increases STR and STA of caster by 2.0',0,0),
(13799,1001623,10,100,'Increases Max Health and Power by 1%',0,1),
(13800,1001623,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13801,1001623,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13802,1001623,10,100,'Grants additional mitigation while Sigil of Heroism is active.',0,4),
(13803,1001624,2,100,'Increases STR and STA of caster by 2.0',0,0),
(13804,1001624,2,100,'Increases Max Health and Power by 1%',0,1),
(13805,1001624,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13806,1001624,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13807,1001624,2,100,'Improves the trigger chance of Smoldering Fists by 5%.',0,4),
(13808,1001624,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,5),
(13809,1001624,10,100,'Increases STR and STA of caster by 2.0',0,0),
(13810,1001624,10,100,'Increases Max Health and Power by 1%',0,1),
(13811,1001624,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13812,1001624,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13813,1001624,10,100,'Improves the trigger chance of Smoldering Fists by 5%.',0,4),
(13814,1001624,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,5),
(13815,1001625,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(13816,1001625,2,100,'Increases Max Health and Power by 1%',0,1),
(13817,1001625,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13818,1001625,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13819,1001625,2,100,'Adds 10% accuracy to Songster''s Luck.',0,4),
(13820,1001625,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(13821,1001625,10,100,'Increases Max Health and Power by 1%',0,1),
(13822,1001625,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13823,1001625,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13824,1001625,10,100,'Adds 10% accuracy to Songster''s Luck.',0,4),
(13825,1001626,2,100,'Increases INT and STA of caster by 2.0',0,0),
(13826,1001626,2,100,'Increases Max Health and Power by 1%',0,1),
(13827,1001626,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13828,1001626,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13829,1001626,2,100,'Improves the base damage of Soulrot by 25%.',0,4),
(13830,1001626,10,100,'Increases INT and STA of caster by 2.0',0,0),
(13831,1001626,10,100,'Increases Max Health and Power by 1%',0,1),
(13832,1001626,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13833,1001626,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13834,1001626,10,100,'Improves the base damage of Soulrot by 25%.',0,4),
(13835,1001627,2,100,'Increases AGI, STA, STR, INT and WIS of caster by 2.0',0,0),
(13836,1001627,2,100,'Increases Max Health and Power by 1%',0,1),
(13837,1001627,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13838,1001627,2,100,'Increases in-combat movement speed of caster by 5.0%',0,3),
(13839,1001627,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,4),
(13840,1001627,10,100,'Increases AGI, STA, STR, INT and WIS of caster by 2.0',0,0),
(13841,1001627,10,100,'Increases Max Health and Power by 1%',0,1),
(13842,1001627,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13843,1001627,10,100,'Increases in-combat movement speed of caster by 5.0%',0,3),
(13844,1001627,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,4),
(13845,1001628,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(13846,1001628,2,100,'Increases Max Health and Power by 1%',0,1),
(13847,1001628,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13848,1001628,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13849,1001628,2,100,'Reduces the duration of Spinechiller Blood by 10 seconds.',0,4),
(13850,1001628,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(13851,1001628,10,100,'Increases Max Health and Power by 1%',0,1),
(13852,1001628,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13853,1001628,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13854,1001628,10,100,'Reduces the duration of Spinechiller Blood by 10 seconds.',0,4),
(13855,1001629,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(13856,1001629,2,100,'Increases Max Health and Power by 1%',0,1),
(13857,1001629,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13858,1001629,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13859,1001629,2,100,'Spiritual Stance will improve the beastlord''s armor mitigation.',0,4),
(13860,1001629,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(13861,1001629,10,100,'Increases Max Health and Power by 1%',0,1),
(13862,1001629,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13863,1001629,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13864,1001629,10,100,'Spiritual Stance will improve the beastlord''s armor mitigation.',0,4),
(13865,1001629,10,100,'Increases Mitigation of caster vs elemental damage by 0',0,5),
(13866,1001630,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(13867,1001630,2,100,'Increases Max Health and Power by 1%',0,1),
(13868,1001630,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13869,1001630,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13870,1001630,2,100,'This effect will not stack with itself.',0,4),
(13871,1001630,2,100,'Switches the hate gain to hate reduction on Bravado and increases the trigger chance by 5%.',0,5),
(13872,1001630,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(13873,1001630,10,100,'Increases Max Health and Power by 1%',0,1),
(13874,1001630,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13875,1001630,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13876,1001630,10,100,'This effect will not stack with itself.',0,4),
(13877,1001630,10,100,'Switches the hate gain to hate reduction on Bravado and increases the trigger chance by 5%.',0,5),
(13878,1001630,10,100,'Increases In-Combat Regeneration by 2.0',0,6),
(13879,1001631,2,100,'Increases AGI, STA, STR, INT and WIS of caster by 2.0',0,0),
(13880,1001631,2,100,'Increases Max Health and Power by 1%',0,1),
(13881,1001631,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13882,1001631,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13883,1001631,2,100,'Grants a 5.0% chance to resist Stun effects',0,4),
(13884,1001631,10,100,'Increases AGI, STA, STR, INT and WIS of caster by 2.0',0,0),
(13885,1001631,10,100,'Increases Max Health and Power by 1%',0,1),
(13886,1001631,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13887,1001631,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13888,1001631,10,100,'Grants a 5.0% chance to resist Stun effects',0,4),
(13889,1001631,10,100,'Increases In-Combat Regeneration by 2.0',0,5),
(13890,1001631,10,100,'Increases Mitigation of caster vs arcane damage by 0',0,6),
(13891,1001632,2,100,'Increases STR and STA of caster by 2.0',0,0),
(13892,1001632,2,100,'Increases Max Health and Power by 1%',0,1),
(13893,1001632,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13894,1001632,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13895,1001632,2,100,'Adds 6% Riposte Chance to Crouching Tiger.',0,4),
(13896,1001632,2,100,'Adds 8% Crit Bonus to Flow Like Wind.',0,5),
(13897,1001633,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(13898,1001633,2,100,'Increases Max Health and Power by 1%',0,1),
(13899,1001633,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13900,1001633,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13901,1001633,2,100,'Adds 10 Crit Bonus to all priest stances.',0,4),
(13902,1001633,2,100,'Increases Mitigation of caster vs arcane damage by 0',0,5),
(13903,1001634,2,100,'Increases STR and STA of caster by 2.0',0,0),
(13904,1001634,2,100,'Increases Max Health and Power by 1%',0,1),
(13905,1001634,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13906,1001634,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13907,1001634,2,100,'Adds 6% Riposte Chance to Bodyguard.',0,4),
(13908,1001634,2,100,'Adds 8% Crit Bonus to Smoldering Fists.',0,5),
(13909,1001632,10,100,'Increases STR and STA of caster by 2.0',0,0),
(13910,1001632,10,100,'Increases Max Health and Power by 1%',0,1),
(13911,1001632,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13912,1001632,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13913,1001632,10,100,'Adds 6% Riposte Chance to Crouching Tiger.',0,4),
(13914,1001632,10,100,'Adds 8% Crit Bonus to Flow Like Wind.',0,5),
(13915,1001634,10,100,'Increases STR and STA of caster by 2.0',0,0),
(13916,1001634,10,100,'Increases Max Health and Power by 1%',0,1),
(13917,1001634,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13918,1001634,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13919,1001634,10,100,'Adds 6% Riposte Chance to Bodyguard.',0,4),
(13920,1001634,10,100,'Adds 8% Crit Bonus to Smoldering Fists.',0,5),
(13921,1001634,10,100,'Increases Mitigation of caster vs noxious and arcane damage by 0',0,6),
(13922,1001633,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(13923,1001633,10,100,'Increases Max Health and Power by 1%',0,1),
(13924,1001633,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13925,1001633,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13926,1001633,10,100,'Adds 10 Crit Bonus to all priest stances.',0,4),
(13927,1001635,2,100,'Increases INT and STA of caster by 2.0',0,0),
(13928,1001635,2,100,'Increases Max Health and Power by 1%',0,1),
(13929,1001635,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13930,1001635,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13931,1001635,2,100,'Improves the reuse time of Stoneskin by 60 seconds.',0,4),
(13932,1001635,2,100,'Halves the recovery time of Stoneskin.',0,5),
(13933,1001635,10,100,'Increases INT and STA of caster by 2.0',0,0),
(13934,1001635,10,100,'Increases Max Health and Power by 1%',0,1),
(13935,1001635,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13936,1001635,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13937,1001635,10,100,'Improves the reuse time of Stoneskin by 60 seconds.',0,4),
(13938,1001635,10,100,'Halves the recovery time of Stoneskin.',0,5),
(13939,1001635,10,100,'Increases Mitigation of caster vs elemental damage by 0',0,6),
(13940,1001636,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(13941,1001636,2,100,'Increases Max Health and Power by 1%',0,1),
(13942,1001636,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13943,1001636,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13944,1001636,2,100,'Improves the base damage of Storm of Arrows by 10%.',0,4),
(13945,1001636,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(13946,1001636,10,100,'Increases Max Health and Power by 1%',0,1),
(13947,1001636,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13948,1001636,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13949,1001636,10,100,'Improves the base damage of Storm of Arrows by 10%.',0,4),
(13950,1001637,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(13951,1001637,2,100,'Increases Max Health and Power by 1%',0,1),
(13952,1001637,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13953,1001637,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13954,1001637,2,100,'Adds 10% max health to Street Smarts.',0,4),
(13955,1001637,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(13956,1001637,10,100,'Increases Max Health and Power by 1%',0,1),
(13957,1001637,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13958,1001637,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13959,1001637,10,100,'Adds 10% max health to Street Smarts.',0,4),
(13960,1001638,2,100,'Increases STR and STA of caster by 2.0',0,0),
(13961,1001638,2,100,'Increases Max Health and Power by 1%',0,1),
(13962,1001638,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13963,1001638,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13964,1001638,2,100,'Improves the base damage of Sucker Punch by 20%.',0,4),
(13965,1001638,10,100,'Increases STR and STA of caster by 2.0',0,0),
(13966,1001638,10,100,'Increases Max Health and Power by 1%',0,1),
(13967,1001638,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13968,1001638,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13969,1001638,10,100,'Improves the base damage of Sucker Punch by 20%.',0,4),
(13970,1001639,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(13971,1001639,2,100,'Increases Max Health and Power by 1%',0,1),
(13972,1001639,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13973,1001639,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13974,1001639,2,100,'Survival Instincts will grant the ranger additional armor mitigation.',0,4),
(13975,1001639,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,5),
(13976,1001639,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(13977,1001639,10,100,'Increases Max Health and Power by 1%',0,1),
(13978,1001639,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13979,1001639,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13980,1001639,10,100,'Survival Instincts will grant the ranger additional armor mitigation.',0,4),
(13981,1001640,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(13982,1001640,2,100,'Increases Max Health and Power by 1%',0,1),
(13983,1001640,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13984,1001640,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13985,1001640,2,100,'Improves the hate transfer of Swarthy Deception by 5%.',0,4),
(13986,1001640,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(13987,1001640,10,100,'Increases Max Health and Power by 1%',0,1),
(13988,1001640,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13989,1001640,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13990,1001640,10,100,'Improves the hate transfer of Swarthy Deception by 5%.',0,4),
(13991,1001641,2,100,'Increases INT and STA of caster by 2.0',0,0),
(13992,1001641,2,100,'Increases Max Health and Power by 1%',0,1),
(13993,1001641,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13994,1001641,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(13995,1001641,2,100,'Improves the damage of Synergism by 10% and adds 5 Crit Bonus.',0,4),
(13996,1001641,10,100,'Increases INT and STA of caster by 2.0',0,0),
(13997,1001641,10,100,'Increases Max Health and Power by 1%',0,1),
(13998,1001641,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(13999,1001641,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14000,1001641,10,100,'Improves the damage of Synergism by 10% and adds 5 Crit Bonus.',0,4),
(14001,1001641,10,100,'Increases Mitigation of caster vs noxious and arcane damage by 0',0,5),
(14002,1001642,2,100,'Increases INT and STA of caster by 2.0',0,0),
(14003,1001642,2,100,'Increases Max Health and Power by 1%',0,1),
(14004,1001642,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14005,1001642,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14006,1001642,2,100,'Improves the damage of Synergism by 15%.',0,4),
(14007,1001642,10,100,'Increases INT and STA of caster by 2.0',0,0),
(14008,1001642,10,100,'Increases Max Health and Power by 1%',0,1),
(14009,1001642,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14010,1001642,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14011,1001642,10,100,'Improves the damage of Synergism by 15%.',0,4),
(14012,1001643,2,100,'Increases STR and STA of caster by 2.0',0,0),
(14013,1001643,2,100,'Increases Max Health and Power by 1%',0,1),
(14014,1001643,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14015,1001643,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14016,1001643,2,100,'Improves the base heal amount of Tap Veins by 20%.',0,4),
(14017,1001643,10,100,'Increases STR and STA of caster by 2.0',0,0),
(14018,1001643,10,100,'Increases Max Health and Power by 1%',0,1),
(14019,1001643,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14020,1001643,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14021,1001643,10,100,'Improves the base heal amount of Tap Veins by 20%.',0,4),
(14022,1001644,2,100,'Increases STR and STA of caster by 2.0',0,0),
(14023,1001644,2,100,'Increases Max Health and Power by 1%',0,1),
(14024,1001644,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14025,1001644,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14026,1001644,2,100,'Improves the base damage of Taunting Blow by 35% and the base threat amount by 25%.',0,4),
(14027,1001644,2,100,'Increases Mitigation of caster vs arcane damage by 0',0,5),
(14028,1001644,10,100,'Increases STR and STA of caster by 2.0',0,0),
(14029,1001644,10,100,'Increases Max Health and Power by 1%',0,1),
(14030,1001644,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14031,1001644,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14032,1001644,10,100,'Improves the base damage of Taunting Blow by 35% and the base threat amount by 25%.',0,4),
(14033,1001645,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(14034,1001645,2,100,'Increases Max Health and Power by 1%',0,1),
(14035,1001645,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14036,1001645,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14037,1001645,2,100,'Improves the effects of Tenacity and makes it groupwide.',0,4),
(14038,1001645,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(14039,1001645,10,100,'Increases Max Health and Power by 1%',0,1),
(14040,1001645,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14041,1001645,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14042,1001645,10,100,'Improves the effects of Tenacity and makes it groupwide.',0,4),
(14043,1001645,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,5),
(14044,1001646,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(14045,1001646,2,100,'Increases Max Health and Power by 1%',0,1),
(14046,1001646,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14047,1001646,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14048,1001646,2,100,'Adds 3% Riposte Chance to Tendrils of Horror.',0,4),
(14049,1001646,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(14050,1001646,10,100,'Increases Max Health and Power by 1%',0,1),
(14051,1001646,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14052,1001646,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14053,1001646,10,100,'Adds 3% Riposte Chance to Tendrils of Horror.',0,4),
(14054,1001647,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(14055,1001647,2,100,'Increases Max Health and Power by 1%',0,1),
(14056,1001647,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14057,1001647,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14058,1001647,2,100,'Adds a 10% Ability Casting Speed to the target of Thieves Guild.',0,4),
(14059,1001647,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(14060,1001647,10,100,'Increases Max Health and Power by 1%',0,1),
(14061,1001647,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14062,1001647,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14063,1001647,10,100,'Adds a 10% Ability Casting Speed to the target of Thieves Guild.',0,4),
(14064,1001648,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(14065,1001648,2,100,'Increases Max Health and Power by 1%',0,1),
(14066,1001648,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14067,1001648,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14068,1001648,2,100,'Reduces the reuse time of Thieving Essence by 10 seconds and improves the Crit Bonus by 7.5%.',0,4),
(14069,1001648,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(14070,1001648,10,100,'Increases Max Health and Power by 1%',0,1),
(14071,1001648,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14072,1001648,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14073,1001648,10,100,'Reduces the reuse time of Thieving Essence by 10 seconds and improves the Crit Bonus by 7.5%.',0,4),
(14074,1001649,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(14075,1001649,2,100,'Increases Max Health and Power by 1%',0,1),
(14076,1001649,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14077,1001649,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14078,1001649,2,100,'Thorncoat grants additional physical mitigation.',0,4),
(14079,1001649,2,100,'Increases Mitigation of caster vs noxious damage by 0',0,5),
(14080,1001649,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(14081,1001649,10,100,'Increases Max Health and Power by 1%',0,1),
(14082,1001649,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14083,1001649,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14084,1001649,10,100,'Thorncoat grants additional physical mitigation.',0,4),
(14085,1001650,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(14086,1001650,2,100,'Increases Max Health and Power by 1%',0,1),
(14087,1001650,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14088,1001650,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14089,1001650,2,100,'Thornskin grants additional physicial mitigation to the target.',0,4),
(14090,1001650,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(14091,1001650,10,100,'Increases Max Health and Power by 1%',0,1),
(14092,1001650,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14093,1001650,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14094,1001650,10,100,'Thornskin grants additional physicial mitigation to the target.',0,4),
(14095,1001651,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(14096,1001651,2,100,'Increases Max Health and Power by 1%',0,1),
(14097,1001651,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14098,1001651,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14099,1001651,2,100,'Improves the base damage of Thunderbolt by 15%.',0,4),
(14100,1001651,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(14101,1001651,10,100,'Increases Max Health and Power by 1%',0,1),
(14102,1001651,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14103,1001651,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14104,1001651,10,100,'Improves the base damage of Thunderbolt by 15%.',0,4),
(14105,1001652,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(14106,1001652,2,100,'Increases Max Health and Power by 1%',0,1),
(14107,1001652,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14108,1001652,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14109,1001652,2,100,'Improves the base damage of Thunderous Overture by 10%.',0,4),
(14110,1001652,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(14111,1001652,10,100,'Increases Max Health and Power by 1%',0,1),
(14112,1001652,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14113,1001652,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14114,1001652,10,100,'Improves the base damage of Thunderous Overture by 10%.',0,4),
(14115,1001653,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(14116,1001653,2,100,'Increases Max Health and Power by 1%',0,1),
(14117,1001653,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14118,1001653,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14119,1001653,2,100,'Reduces the penalties of Torpor by 50% and adds an additional tick.',0,4),
(14120,1001653,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(14121,1001653,10,100,'Increases Max Health and Power by 1%',0,1),
(14122,1001653,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14123,1001653,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14124,1001653,10,100,'Reduces the penalties of Torpor by 50% and adds an additional tick.',0,4),
(14125,1001654,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(14126,1001654,2,100,'Increases Max Health and Power by 1%',0,1),
(14127,1001654,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14128,1001654,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14129,1001654,2,100,'Increases the base damage and heal of Touch of the Nightshade by 15%.',0,4),
(14130,1001654,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(14131,1001654,10,100,'Increases Max Health and Power by 1%',0,1),
(14132,1001654,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14133,1001654,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14134,1001654,10,100,'Increases the base damage and heal of Touch of the Nightshade by 15%.',0,4),
(14135,1001654,10,100,'Increases Mitigation of caster vs noxious and arcane damage by 0',0,5),
(14136,1001655,2,100,'Increases STR and STA of caster by 2.0',0,0),
(14137,1001655,2,100,'Increases Max Health and Power by 1%',0,1),
(14138,1001655,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14139,1001655,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14140,1001655,2,100,'Grants the target of Tranquil Vision 5% additional riposte chance.',0,4),
(14141,1001655,10,100,'Increases STR and STA of caster by 2.0',0,0),
(14142,1001655,10,100,'Increases Max Health and Power by 1%',0,1),
(14143,1001655,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14144,1001655,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14145,1001655,10,100,'Grants the target of Tranquil Vision 5% additional riposte chance.',0,4),
(14146,1001656,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(14147,1001656,2,100,'Increases Max Health and Power by 1%',0,1),
(14148,1001656,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14149,1001656,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14150,1001656,2,100,'Adds an additional two ticks to Tranquility.',0,4),
(14151,1001656,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,5),
(14152,1001656,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(14153,1001656,10,100,'Increases Max Health and Power by 1%',0,1),
(14154,1001656,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14155,1001656,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14156,1001656,10,100,'Adds an additional two ticks to Tranquility.',0,4),
(14157,1001656,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,5),
(14158,1001657,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(14159,1001657,2,100,'Increases Max Health and Power by 1%',0,1),
(14160,1001657,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14161,1001657,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14162,1001657,2,100,'Reduces the casting time of Transcendence by 0.5 seconds and increases the base heal amount by 15%.',0,4),
(14163,1001657,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(14164,1001657,10,100,'Increases Max Health and Power by 1%',0,1),
(14165,1001657,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14166,1001657,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14167,1001657,10,100,'Reduces the casting time of Transcendence by 0.5 seconds and increases the base heal amount by 15%.',0,4),
(14168,1001658,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(14169,1001658,2,100,'Increases Max Health and Power by 1%',0,1),
(14170,1001658,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14171,1001658,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14172,1001658,2,100,'Improves the base damage of Triple Shot by 10% and improves the hit chance by 20%.',0,4),
(14173,1001658,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(14174,1001658,10,100,'Increases Max Health and Power by 1%',0,1),
(14175,1001658,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14176,1001658,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14177,1001658,10,100,'Improves the base damage of Triple Shot by 10% and improves the hit chance by 20%.',0,4),
(14178,1001659,2,100,'Increases INT and STA of caster by 2.0',0,0),
(14179,1001659,2,100,'Increases Max Health and Power by 1%',0,1),
(14180,1001659,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14181,1001659,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14182,1001659,2,100,'Adds 5% magical damage reduction to Unholy Covenant.',0,4),
(14183,1001659,10,100,'Increases INT and STA of caster by 2.0',0,0),
(14184,1001659,10,100,'Increases Max Health and Power by 1%',0,1),
(14185,1001659,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14186,1001659,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14187,1001659,10,100,'Adds 5% magical damage reduction to Unholy Covenant.',0,4),
(14188,1001660,2,100,'Increases STR and STA of caster by 2.0',0,0),
(14189,1001660,2,100,'Increases Max Health and Power by 1%',0,1),
(14190,1001660,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14191,1001660,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14192,1001660,2,100,'Improves the trigger chance of Unholy Hunger by 5%.',0,4),
(14193,1001660,10,100,'Increases STR and STA of caster by 2.0',0,0),
(14194,1001660,10,100,'Increases Max Health and Power by 1%',0,1),
(14195,1001660,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14196,1001660,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14197,1001660,10,100,'Improves the trigger chance of Unholy Hunger by 5%.',0,4),
(14198,1001660,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,5),
(14199,1001661,2,100,'Increases AGI, STA, STR, INT and WIS of caster by 2.0',0,0),
(14200,1001661,2,100,'Reduces slow effects on caster by 10.0%',0,1),
(14201,1001661,2,100,'Increases Max Health and Power by 1%',0,2),
(14202,1001661,2,100,'Increases In-Combat Regeneration by 2.0',0,3),
(14203,1001661,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,4),
(14204,1001661,10,100,'Increases AGI, STA, STR, INT and WIS of caster by 2.0',0,0),
(14205,1001661,10,100,'Reduces slow effects on caster by 10.0%',0,1),
(14206,1001661,10,100,'Increases Max Health and Power by 1%',0,2),
(14207,1001661,10,100,'Increases In-Combat Regeneration by 2.0',0,3),
(14208,1001661,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,4),
(14209,1001662,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(14210,1001662,2,100,'Increases Max Health and Power by 1%',0,1),
(14211,1001662,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14212,1001662,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14213,1001662,2,100,'Improves the base heal amount of Untamed Regeneration by 15%.',0,4),
(14214,1001662,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(14215,1001662,10,100,'Increases Max Health and Power by 1%',0,1),
(14216,1001662,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14217,1001662,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14218,1001662,10,100,'Improves the base heal amount of Untamed Regeneration by 15%.',0,4),
(14219,1001663,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(14220,1001663,2,100,'Increases Max Health and Power by 1%',0,1),
(14221,1001663,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14222,1001663,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14223,1001663,2,100,'Improves the trigger chance of Unyielding Benediction by 2%.',0,4),
(14224,1001663,2,100,'Increases Mitigation of caster vs elemental and noxious damage by 0',0,5),
(14225,1001663,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(14226,1001663,10,100,'Increases Max Health and Power by 1%',0,1),
(14227,1001663,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14228,1001663,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14229,1001663,10,100,'Improves the trigger chance of Unyielding Benediction by 2%.',0,4),
(14230,1001664,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(14231,1001664,2,100,'Increases Max Health and Power by 1%',0,1),
(14232,1001664,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14233,1001664,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14234,1001664,2,100,'Improves the extra tick of Upbeat Tempo by 1.',0,4),
(14235,1001664,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(14236,1001664,10,100,'Increases Max Health and Power by 1%',0,1),
(14237,1001664,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14238,1001664,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14239,1001664,10,100,'Improves the extra tick of Upbeat Tempo by 1.',0,4),
(14240,1001665,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(14241,1001665,2,100,'Increases Max Health and Power by 1%',0,1),
(14242,1001665,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14243,1001665,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14244,1001665,2,100,'Improves the casting time of Vector of Life by 1 second and its Crit Bonus by 5',0,4),
(14245,1001665,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(14246,1001665,10,100,'Increases Max Health and Power by 1%',0,1),
(14247,1001665,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14248,1001665,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14249,1001665,10,100,'Improves the casting time of Vector of Life by 1 second and its Crit Bonus by 5',0,4),
(14250,1001666,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(14251,1001666,2,100,'Increases Max Health and Power by 1%',0,1),
(14252,1001666,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14253,1001666,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14254,1001666,2,100,'Improves the stamina given by Vehemence by 30%.',0,4),
(14255,1001666,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(14256,1001666,10,100,'Increases Max Health and Power by 1%',0,1),
(14257,1001666,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14258,1001666,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14259,1001666,10,100,'Improves the stamina given by Vehemence by 30%.',0,4),
(14260,1001667,2,100,'Increases INT and STA of caster by 2.0',0,0),
(14261,1001667,2,100,'Increases Max Health and Power by 1%',0,1),
(14262,1001667,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14263,1001667,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14264,1001667,2,100,'Adds 5 Crit Bonus to Velocity.',0,4),
(14265,1001667,10,100,'Increases INT and STA of caster by 2.0',0,0),
(14266,1001667,10,100,'Increases Max Health and Power by 1%',0,1),
(14267,1001667,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14268,1001667,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14269,1001667,10,100,'Adds 5 Crit Bonus to Velocity.',0,4),
(14270,1001667,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,5),
(14271,1001668,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(14272,1001668,2,100,'Increases Max Health and Power by 1%',0,1),
(14273,1001668,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14274,1001668,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14275,1001668,2,100,'Increases the potency of Vengeful Arrow by 10%',0,4),
(14276,1001668,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(14277,1001668,10,100,'Increases Max Health and Power by 1%',0,1),
(14278,1001668,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14279,1001668,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14280,1001668,10,100,'Increases the potency of Vengeful Arrow by 10%',0,4),
(14281,1001669,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(14282,1001669,2,100,'Increases Max Health and Power by 1%',0,1),
(14283,1001669,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14284,1001669,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14285,1001669,2,100,'Villainy will add 10% max health to the assassin.',0,4),
(14286,1001669,2,100,'Increases Mitigation of caster vs noxious damage by 0',0,5),
(14287,1001669,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(14288,1001669,10,100,'Increases Max Health and Power by 1%',0,1),
(14289,1001669,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14290,1001669,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14291,1001669,10,100,'Villainy will add 10% max health to the assassin.',0,4),
(14292,1001669,10,100,'Increases Mitigation of caster vs elemental and noxious damage by 0',0,5),
(14293,1001670,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(14294,1001670,2,100,'Increases Max Health and Power by 1%',0,1),
(14295,1001670,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14296,1001670,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14297,1001670,2,100,'Reduces the reuse time of Voice of the Ancestors by 15 seconds.',0,4),
(14298,1001670,2,100,'Removes the power cost from Voice of the Ancestors.',0,5),
(14299,1001670,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(14300,1001670,10,100,'Increases Max Health and Power by 1%',0,1),
(14301,1001670,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14302,1001670,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14303,1001670,10,100,'Reduces the reuse time of Voice of the Ancestors by 15 seconds.',0,4),
(14304,1001670,10,100,'Removes the power cost from Voice of the Ancestors.',0,5),
(14305,1001671,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(14306,1001671,2,100,'Increases Max Health and Power by 1%',0,1),
(14307,1001671,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14308,1001671,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14309,1001671,2,100,'Increases the base damage of the damage over time component of Wail of the Banshee.',0,4),
(14310,1001671,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(14311,1001671,10,100,'Increases Max Health and Power by 1%',0,1),
(14312,1001671,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14313,1001671,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14314,1001671,10,100,'Increases the base damage of the damage over time component of Wail of the Banshee.',0,4),
(14315,1001671,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,5),
(14316,1001672,2,100,'Increases STR and STA of caster by 2.0',0,0),
(14317,1001672,2,100,'Increases Max Health and Power by 1%',0,1),
(14318,1001672,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14319,1001672,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14320,1001672,2,100,'Reduces the reuse time of Wall of Force by 20 seconds.',0,4),
(14321,1001672,2,100,'Reduces the power cost of Wall of Force by 50%.',0,5),
(14322,1001672,2,100,'Increases In-Combat Regeneration by 2.0',0,6),
(14323,1001672,10,100,'Increases STR and STA of caster by 2.0',0,0),
(14324,1001672,10,100,'Increases Max Health and Power by 1%',0,1),
(14325,1001672,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14326,1001672,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14327,1001672,10,100,'Reduces the reuse time of Wall of Force by 20 seconds.',0,4),
(14328,1001672,10,100,'Reduces the power cost of Wall of Force by 50%.',0,5),
(14329,1001672,10,100,'Reduces the power cost of Wall of Force by 50%.',0,6),
(14330,1001672,10,100,'Increases Mitigation of caster vs arcane damage by 0',0,7),
(14331,1001673,2,100,'Increases STR and STA of caster by 2.0',0,0),
(14332,1001673,2,100,'Increases Max Health and Power by 1%',0,1),
(14333,1001673,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14334,1001673,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14335,1001673,2,100,'Improves the mitigation of Wall of Rage by 15%.',0,4),
(14336,1001673,10,100,'Increases STR and STA of caster by 2.0',0,0),
(14337,1001673,10,100,'Increases Max Health and Power by 1%',0,1),
(14338,1001673,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14339,1001673,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14340,1001673,10,100,'Improves the mitigation of Wall of Rage by 15%.',0,4),
(14341,1001674,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(14342,1001674,2,100,'Increases Max Health and Power by 1%',0,1),
(14343,1001674,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14344,1001674,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14345,1001674,2,100,'Improves the base ward of Ward of the Untamed by 30%.',0,4),
(14346,1001674,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(14347,1001674,10,100,'Increases Max Health and Power by 1%',0,1),
(14348,1001674,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14349,1001674,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14350,1001674,10,100,'Improves the base ward of Ward of the Untamed by 30%.',0,4),
(14351,1001675,2,100,'Increases AGI and STA of caster by 2.0',0,0),
(14352,1001675,2,100,'Increases Max Health and Power by 1%',0,1),
(14353,1001675,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14354,1001675,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14355,1001675,2,100,'Improves the base damage of Will to Survive by 15% and reduces the reuse time by 10 seconds.',0,4),
(14356,1001675,10,100,'Increases AGI and STA of caster by 2.0',0,0),
(14357,1001675,10,100,'Increases Max Health and Power by 1%',0,1),
(14358,1001675,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14359,1001675,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14360,1001675,10,100,'Improves the base damage of Will to Survive by 15% and reduces the reuse time by 10 seconds.',0,4),
(14361,1001676,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(14362,1001676,2,100,'Increases Max Health and Power by 1%',0,1),
(14363,1001676,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14364,1001676,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14365,1001676,2,100,'Improves the base heal amount of Winds of Healing by 20%.',0,4),
(14366,1001676,2,100,'Increases Mitigation of caster vs elemental damage by 0',0,5),
(14367,1001676,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(14368,1001676,10,100,'Increases Max Health and Power by 1%',0,1),
(14369,1001676,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14370,1001676,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14371,1001676,10,100,'Improves the base heal amount of Winds of Healing by 20%.',0,4),
(14372,1001676,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,5),
(14373,1001677,2,100,'Increases WIS and STA of caster by 2.0',0,0),
(14374,1001677,2,100,'Increases Max Health and Power by 1%',0,1),
(14375,1001677,2,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14376,1001677,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14377,1001677,2,100,'Reduces the reuse time of Word of Redemption by 1.5 seconds and improves the Crit Bonus by 7.5%.',0,4),
(14378,1001677,2,100,'Increases Mitigation of caster vs arcane damage by 0',0,5),
(14379,1001677,10,100,'Increases WIS and STA of caster by 2.0',0,0),
(14380,1001677,10,100,'Increases Max Health and Power by 1%',0,1),
(14381,1001677,10,100,'Increases In-Combat Regeneration by 2.0',0,2),
(14382,1001677,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,3),
(14383,1001677,10,100,'Reduces the reuse time of Word of Redemption by 1.5 seconds and improves the Crit Bonus by 7.5%.',0,4),
(14384,1001678,1,100,'Increases Max Power of caster by 2.5%',0,0),
(14385,1001678,2,100,'Increases Max Power of caster by 2.5%',0,0),
(14386,1001679,1,100,'Apocalypse has a 4.5% chance to clear the reuse on Focused Casting.',0,0),
(14387,1001679,2,100,'Apocalypse has a 9% chance to clear the reuse on Focused Casting.',0,0),
(14388,1001680,1,100,'Improves the bonuses of Nature''s Focus by 10%',0,0),
(14389,1001680,2,100,'Improves the bonuses of Nature''s Focus by 20%',0,0),
(14390,1001680,3,100,'Improves the bonuses of Nature''s Focus by 30%',0,0),
(14391,1001680,4,100,'Improves the bonuses of Nature''s Focus by 40%',0,0),
(14392,1001680,5,100,'Improves the bonuses of Nature''s Focus by 50%',0,0),
(14393,1001681,1,100,'Reduces the reuse time of Catalyst by 3 seconds.',0,0),
(14394,1001681,1,100,'Adds a component to Catalyst that reduces resistibility of the next spell by 2%',0,1),
(14395,1001681,2,100,'Reduces the reuse time of Catalyst by 6 seconds.',0,0),
(14396,1001681,2,100,'Adds a component to Catalyst that reduces resistibility of the next spell by 4%',0,1),
(14397,1001681,3,100,'Reduces the reuse time of Catalyst by 9 seconds.',0,0),
(14398,1001681,3,100,'Adds a component to Catalyst that reduces resistibility of the next spell by 6%',0,1),
(14399,1001681,4,100,'Reduces the reuse time of Catalyst by 12 seconds.',0,0),
(14400,1001681,4,100,'Adds a component to Catalyst that reduces resistibility of the next spell by 8%',0,1),
(14401,1001681,5,100,'Reduces the reuse time of Catalyst by 15 seconds.',0,0),
(14402,1001681,5,100,'Adds a component to Catalyst that reduces resistibility of the next spell by 10%',0,1),
(14403,1001681,6,100,'Reduces the reuse time of Catalyst by 18 seconds.',0,0),
(14404,1001681,6,100,'Adds a component to Catalyst that reduces resistibility of the next spell by 12%',0,1),
(14405,1001681,7,100,'Reduces the reuse time of Catalyst by 21 seconds.',0,0),
(14406,1001681,7,100,'Adds a component to Catalyst that reduces resistibility of the next spell by 14%',0,1),
(14407,1001681,8,100,'Reduces the reuse time of Catalyst by 24 seconds.',0,0),
(14408,1001681,8,100,'Adds a component to Catalyst that reduces resistibility of the next spell by 16%',0,1),
(14409,1001682,1,100,'Increases STA of caster by 2.5',0,0),
(14410,1001682,2,100,'Increases STA of caster by 2.5',0,0),
(14411,1001683,1,100,'Reduces the casting time by 9%.',0,0),
(14412,1001683,1,100,'Improves the recast of raidwide hearts and shards by 36 seconds',0,1),
(14413,1001683,2,100,'Reduces the casting time by 9.5%.',0,0),
(14414,1001683,2,100,'Improves the recast of raidwide hearts and shards by 38 seconds',0,1),
(14415,1001683,3,100,'Reduces the casting time by 10%.',0,0),
(14416,1001683,3,100,'Improves the recast of raidwide hearts and shards by 40 seconds',0,1),
(14417,1001683,4,100,'Reduces the casting time by 11%.',0,0),
(14418,1001683,4,100,'Improves the recast of raidwide hearts and shards by 44 seconds',0,1),
(14419,1001683,5,100,'Reduces the casting time by 12%.',0,0),
(14420,1001683,5,100,'Improves the recast of raidwide hearts and shards by 48 seconds',0,1),
(14421,1001684,1,100,'Adds an additional effect which follows up with a higher damage attack.',0,0),
(14422,1001684,2,100,'Adds an additional effect which follows up with a higher damage attack.',0,0),
(14423,1001684,3,100,'Adds an additional effect which follows up with a higher damage attack.',0,0),
(14424,1001684,4,100,'Adds an additional effect which follows up with a higher damage attack.',0,0),
(14425,1001684,5,100,'Adds an additional effect which follows up with a higher damage attack.',0,0),
(14426,1001685,1,100,'Increases Ability Mod of caster by 1.0',0,0),
(14427,1001685,2,100,'Increases Ability Mod of caster by 1.0',0,0),
(14428,1001686,2,100,'Lowers the base reuse time of Rehabilitation to 45 seconds',0,0),
(14429,1001686,3,100,'Lowers the base reuse time of Rehabilitation to 30 seconds',0,0),
(14430,1001687,1,100,'Divine Justice will allow the paladin to increase their threat by 0.08% of their damage inflicted per increment. If the paladin has Subtle Strikes active, their threat is reduced instead.',0,0),
(14431,1001687,2,100,'Divine Justice will allow the paladin to increase their threat by 0.16% of their damage inflicted per increment. If the paladin has Subtle Strikes active, their threat is reduced instead.',0,0),
(14432,1001687,3,100,'Divine Justice will allow the paladin to increase their threat by 0.24% of their damage inflicted per increment. If the paladin has Subtle Strikes active, their threat is reduced instead.',0,0),
(14433,1001688,1,100,'Increases STR of caster by 4.0',0,0),
(14434,1001688,2,100,'Increases STR of caster by 4.0',0,0),
(14435,1001689,1,100,'Adds a small ward to Intelluctual Remedy and allows it to increase the amount of triggers of reactive heals and updates of beneficial spells.',0,0),
(14436,1001690,1,100,'Improves base auto-attack multiplier of caster by 0.30. Does not apply to spell weapons.',0,0),
(14437,1001691,1,100,'Black Jack has a has a 8% chance to clear the reuse of Mercy or Anger.',0,0),
(14438,1001691,2,100,'Black Jack has a has a 16% chance to clear the reuse of Mercy or Anger.',0,0),
(14439,1001692,1,100,'Adds an additional strike to Interrogation when the target is below 25% health',0,0),
(14440,1001692,2,100,'Adds an additional strike to Interrogation when the target is below 50% health',0,0),
(14441,1001692,2,100,'Adds an additional strike to Interrogation when the target is below 25% health',0,1),
(14442,1001692,3,100,'Adds an additional strike to Interrogation when the target is below 75% health',0,0),
(14443,1001692,3,100,'Adds an additional strike to Interrogation when the target is below 50% health',0,1),
(14444,1001692,3,100,'Adds an additional strike to Interrogation when the target is below 25% health',0,2),
(14445,1001693,1,100,'Improves the reuse speed by 6 seconds',0,0),
(14446,1001693,2,100,'Improves the reuse speed by 12 seconds',0,0),
(14447,1001693,3,100,'Improves the reuse speed by 18 seconds',0,0),
(14448,1001693,4,100,'Improves the reuse speed by 24 seconds',0,0),
(14449,1001693,5,100,'Improves the reuse speed by 30 seconds',0,0),
(14450,1001694,1,100,'Adds additional defensive skill reductions.',0,0),
(14451,1001694,2,100,'Adds additional defensive skill reductions.',0,0),
(14452,1001694,3,100,'Adds additional defensive skill reductions.',0,0),
(14453,1001694,4,100,'Adds additional defensive skill reductions.',0,0),
(14454,1001694,5,100,'Adds additional defensive skill reductions.',0,0),
(14455,1001695,1,100,'Increases Fletching of caster by 5.0',0,0),
(14456,1001695,2,100,'Increases Fletching of caster by 5.0',0,0),
(14457,1001696,1,100,'Increases speed of caster by 5.0%',0,0),
(14458,1001696,2,100,'Increases speed of caster by 5.0%',0,0),
(14459,1001697,1,100,'Increased Metalworking by 5.0',0,0),
(14461,1001698,1,100,'Increases caster''s chance to block by 4.0%',0,0),
(14462,1001698,1,100,'Increases Max Health of caster by 5.0%',0,1),
(14463,1001698,1,100,'Increases Mitigation of caster vs physical damage by 0',0,2),
(14464,1001698,1,100,'When damaged this spell has a 50% chance to cast Mercenary''s Stand on target''s attacker.  ',0,3),
(14465,1001698,1,100,'Increases Threat to target by 67 ',1,4),
(14466,1001699,1,100,'Increases caster''s chance to block by 2.0%',0,0),
(14467,1001699,2,100,'Increases caster''s chance to block by 2.0%',0,0),
(14468,1001700,1,100,'Increases the amount of durability gained by 1.0.',0,0),
(14469,1001700,1,100,'Increases success chance by 1.0%',0,1),
(14470,1001700,2,100,'Increases the amount of durability gained by 1.0.',0,0),
(14471,1001700,2,100,'Increases success chance by 1.0%',0,1),
(14472,1001701,1,100,'The fighter''s offensive stance will increase their strikethrough and crit bonus by 2%',0,0),
(14473,1001701,1,100,'Recklessness will increase the caster''s Crit Bonus by 1.5',0,1),
(14474,1001701,2,100,'The fighter''s offensive stance will increase their strikethrough and crit bonus by 4%',0,0),
(14475,1001701,2,100,'Recklessness will increase the caster''s Crit Bonus by 3',0,1),
(14476,1001701,3,100,'The fighter''s offensive stance will increase their strikethrough and crit bonus by 6%',0,0),
(14477,1001701,3,100,'Recklessness will increase the caster''s Crit Bonus by 4.5',0,1),
(14478,1001701,4,100,'The fighter''s offensive stance will increase their strikethrough and crit bonus by 8%',0,0),
(14479,1001701,4,100,'Recklessness will increase the caster''s Crit Bonus by 6',0,1),
(14480,1001701,5,100,'The fighter''s offensive stance will increase their strikethrough and crit bonus by 10%',0,0),
(14481,1001701,5,100,'Recklessness will increase the caster''s Crit Bonus by 7.5',0,1),
(14482,1001701,6,100,'The fighter''s offensive stance will increase their strikethrough and crit bonus by 12%',0,0),
(14483,1001701,6,100,'Recklessness will increase the caster''s Crit Bonus by 9',0,1),
(14484,1001701,7,100,'The fighter''s offensive stance will increase their strikethrough and crit bonus by 14%',0,0),
(14485,1001701,7,100,'Recklessness will increase the caster''s Crit Bonus by 10.5',0,1),
(14486,1001701,8,100,'The fighter''s offensive stance will increase their strikethrough and crit bonus by 16%',0,0),
(14487,1001701,8,100,'Recklessness will increase the caster''s Crit Bonus by 12',0,1),
(14488,1001701,9,100,'The fighter''s offensive stance will increase their strikethrough and crit bonus by 18%',0,0),
(14489,1001701,9,100,'Recklessness will increase the caster''s Crit Bonus by 13.5',0,1),
(14490,1001701,10,100,'The fighter''s offensive stance will increase their strikethrough and crit bonus by 20%',0,0),
(14491,1001701,10,100,'Recklessness will increase the caster''s Crit Bonus by 15',0,1),
(14492,1001702,1,100,'Lowers the base reuse time of Flames of Velious to 20 seconds',0,0),
(14493,1001702,1,100,'Flames of Velious will inflict additional damage hits when the target is below 75%, 50% and 25% health thresholds.',0,1),
(14494,1001703,1,100,'Chaos has a 7.5% chance to finish the reuse of Battle Frenzy.',0,0),
(14495,1001703,2,100,'Chaos has a 15% chance to finish the reuse of Battle Frenzy.',0,0),
(14496,1001704,2,100,'Increases speed of caster by 5.0%',0,0),
(14497,1001705,1,100,'Improves the trigger chance of Chilling Claws by 5% of its base value',0,0),
(14498,1001705,2,100,'Improves the trigger chance of Chilling Claws by 10% of its base value',0,0),
(14499,1001705,3,100,'Improves the trigger chance of Chilling Claws by 15% of its base value',0,0),
(14500,1001705,4,100,'Improves the trigger chance of Chilling Claws by 20% of its base value',0,0),
(14501,1001705,5,100,'Improves the trigger chance of Chilling Claws by 25% of its base value',0,0),
(14502,1001706,1,100,'Increases Mitigation of caster vs elemental damage by 0',0,0),
(14503,1001706,2,100,'Increases Mitigation of caster vs elemental damage by 0',0,0),
(14504,1001707,2,100,'Increases Mitigation of caster vs elemental damage by 0',0,0),
(14505,1001708,1,100,'Increases the duration of tradeskilled drinks by 10%.',0,0),
(14506,1001708,2,100,'Increases the duration of tradeskilled drinks by 10%.',0,0),
(14507,1001709,1,100,'Adds an additional effect that is triggered by melee attacks.',0,0),
(14508,1001709,2,100,'Adds an additional effect that is triggered by melee attacks.',0,0),
(14509,1001709,3,100,'Adds an additional effect that is triggered by melee attacks.',0,0),
(14510,1001709,4,100,'Adds an additional effect that is triggered by melee attacks.',0,0),
(14511,1001709,5,100,'Adds an additional effect that is triggered by melee attacks.',0,0),
(14512,1001710,1,100,'Lowers the base reuse time of Flames of Velious to 20 seconds',0,0),
(14513,1001710,1,100,'Flames of Velious will inflict additional damage hits when the target is below 75%, 50% and 25% health thresholds.',0,1),
(14514,1001711,1,100,'Improves the duration of Savagery Freeze by 0.5 seconds',0,0),
(14515,1001711,2,100,'Improves the duration of Savagery Freeze by 1 seconds',0,0),
(14516,1001711,3,100,'Improves the duration of Savagery Freeze by 1.5 seconds',0,0),
(14517,1001711,4,100,'Improves the duration of Savagery Freeze by 2 seconds',0,0),
(14518,1001711,5,100,'Improves the duration of Savagery Freeze by 2.5 seconds',0,0),
(14519,1001711,6,100,'Improves the duration of Savagery Freeze by 3 seconds',0,0),
(14520,1001711,7,100,'Improves the duration of Savagery Freeze by 3.5 seconds',0,0),
(14521,1001711,8,100,'Improves the duration of Savagery Freeze by 4 seconds',0,0),
(14522,1001712,1,100,'Adds an additional strength reduction component to the Frostbite line.',0,0),
(14523,1001712,2,100,'Adds an additional strength reduction component to the Frostbite line.',0,0),
(14524,1001712,3,100,'Adds an additional strength reduction component to the Frostbite line.',0,0),
(14525,1001712,4,100,'Adds an additional strength reduction component to the Frostbite line.',0,0),
(14526,1001712,5,100,'Adds an additional strength reduction component to the Frostbite line.',0,0),
(14527,1001713,1,100,'On a damage spell hit this spell has a 33% chance to cast Frozen Solid on target.  Lasts for 2 minutes.  ',0,0),
(14528,1001713,1,100,'Allows the use of Frozen Rain',1,1),
(14529,1001713,1,100,'Cannot be modified except by direct means',1,2),
(14530,1001713,1,100,'Cannot be modified except by direct means',0,3),
(14531,1001713,2,100,'On a damage spell hit this spell has a 66% chance to cast Frozen Solid on target.  Lasts for 2 minutes.  ',0,0),
(14532,1001713,2,100,'Allows the use of Frozen Rain',1,1),
(14533,1001713,2,100,'Cannot be modified except by direct means',1,2),
(14534,1001713,2,100,'Cannot be modified except by direct means',0,3),
(14535,1001713,3,100,'On a damage spell hit this spell will cast Frozen Solid on target.  Lasts for 2 minutes.  ',0,0),
(14536,1001713,3,100,'Allows the use of Frozen Rain',1,1),
(14537,1001713,3,100,'Cannot be modified except by direct means',1,2),
(14538,1001713,3,100,'Cannot be modified except by direct means',0,3),
(14539,1001714,1,100,'E''ci''s Frozen Wrath has a 12% chance to clear the reuse on Fusion.',0,0),
(14540,1001714,2,100,'E''ci''s Frozen Wrath has a 24% chance to clear the reuse on Fusion.',0,0),
(14541,1001715,2,100,'Increases Disruption and Defense of caster by 5.0',0,0),
(14542,1001716,1,100,'Enhances Bolster to increase movement speed by 50% and Crit Bonus by 15%. Bolster also shapeshifts the target into a werewolf and grants a chance to lifetap on attacks.',0,0),
(14543,1001717,1,100,'Increases Mitigation of caster vs physical damage by 3',0,0),
(14544,1001717,2,100,'Increases Mitigation of caster vs physical damage by 3',0,0),
(14545,1001718,1,100,'Improves the damage of Quick Shot by 6%.',0,0),
(14546,1001718,2,100,'Improves the damage of Quick Shot by 12%.',0,0),
(14547,1001718,3,100,'Improves the damage of Quick Shot by 18%.',0,0),
(14548,1001718,4,100,'Improves the damage of Quick Shot by 24%.',0,0),
(14549,1001718,5,100,'Improves the damage of Quick Shot by 30%.',0,0),
(14550,1001719,1,100,'Grants the pet a new ability that inflicts heat damage upon their target.',0,0),
(14551,1001720,1,100,'Makes Primal Fury apply to the fury''s group.',0,0),
(14552,1001721,1,100,'Increases the threat of taunt spells by 5%',0,0),
(14553,1001721,2,100,'Increases the threat of taunt spells by 10%',0,0),
(14554,1001721,3,100,'Increases the threat of taunt spells by 15%',0,0),
(14555,1001721,4,100,'Increases the threat of taunt spells by 20%',0,0),
(14556,1001721,5,100,'Increases the threat of taunt spells by 25%',0,0),
(14557,1001722,1,100,'Improves the effects of Ruthless Cunning and Deceit by 10%.',0,0),
(14558,1001722,2,100,'Improves the effects of Ruthless Cunning and Deceit by 20%.',0,0),
(14559,1001722,2,100,'Ruthless Cunning now applies to the brigand''s group.',0,1),
(14560,1001722,3,100,'Improves the effects of Ruthless Cunning and Deceit by 30%.',0,0),
(14561,1001722,3,100,'Ruthless Cunning now applies to the brigand''s group.',0,1),
(14562,1001722,3,100,'Deceit now applies to the brigand''s group.',0,2),
(14563,1001723,1,100,'Increases Power Regen of caster by 6.0',0,0),
(14564,1001723,2,100,'Increases Power Regen of caster by 6.0',0,0),
(14565,1001724,1,100,'Increases Power Regen of caster by 9.0',0,0),
(14566,1001724,2,100,'Increases Out-of-Combat Power Regeneration of caster by 9.0',0,0),
(14567,1001725,2,100,'Increases the amount of progress gained by 2.0%.',0,0),
(14568,1001726,1,100,'Increases Artificing of caster by 5.0',0,0),
(14569,1001726,2,100,'Increases Artificing of caster by 5.0',0,0),
(14570,1001727,1,100,'Improves the trigger chance of Runes of Geomancy by 20%',0,0),
(14571,1001727,1,100,'Removes the stun from Sacrifice',0,1),
(14572,1001727,2,100,'Improves the trigger chance of Runes of Geomancy by 40%',0,0),
(14573,1001727,2,100,'Removes the stun from Sacrifice',0,1),
(14574,1001727,2,100,'Adds an additional trigger to Stoneskin',0,2),
(14575,1001727,3,100,'Improves the trigger chance of Runes of Geomancy by 60%',0,0),
(14576,1001727,3,100,'Removes the stun from Sacrifice',0,1),
(14577,1001727,3,100,'Adds an additional trigger to Stoneskin',0,2),
(14578,1001727,3,100,'Adds an additional trigger to Stoneskins',0,3),
(14579,1001728,1,100,'Stoneskin and Stoneskins have a 15% chance to finish the reuse of Elemental Barrier.',0,0),
(14580,1001728,2,100,'Stoneskin and Stoneskins have a 30% chance to finish the reuse of Elemental Barrier.',0,0),
(14581,1001729,1,100,'Increases the hate amount by 3%.',0,0),
(14582,1001729,1,100,'Reduces reuse time by 6 seconds.',0,1),
(14583,1001729,2,100,'Increases the hate amount by 6%.',0,0),
(14584,1001729,2,100,'Reduces reuse time by 12 seconds.',0,1),
(14585,1001729,3,100,'Increases the hate amount by 9%.',0,0),
(14586,1001729,3,100,'Reduces reuse time by 18 seconds.',0,1),
(14587,1001729,4,100,'Increases the hate amount by 12%.',0,0),
(14588,1001729,4,100,'Reduces reuse time by 24 seconds.',0,1),
(14589,1001729,5,100,'Increases the hate amount by 15%.',0,0),
(14590,1001729,5,100,'Reduces reuse time by 30 seconds.',0,1),
(14591,1001730,1,100,'Increases Max Power of caster by 1.0%',0,0),
(14592,1001730,1,100,'Increases Max Health of caster by 2.0%',0,1),
(14593,1001730,2,100,'Increases Max Power of caster by 1.0%',0,0),
(14594,1001730,2,100,'Increases Max Health of caster by 2.0%',0,1),
(14595,1001731,1,100,'Increases the durability gain of the Woodworker by 2 every round.',0,0),
(14596,1001732,1,100,'Reduces the power cost of woodworking abilities by 10%',0,0),
(14597,1001732,2,100,'Reduces the power cost of woodworking abilities by 10%',0,0),
(14598,1001731,2,100,'Increases the durability gain of the Woodworker by 2 every round.',0,0),
(14599,1001733,1,100,'+5 Chemistry',0,0),
(14601,1001734,1,100,'Increases Artificing of caster by 5.0',0,0),
(14602,1001734,2,100,'Increases Artificing of caster by 5.0',0,0),
(14603,1001735,1,100,'Allows caster to breathe under water',0,0),
(14605,1001736,2,100,'Increases STR of caster by 2.5',0,0),
(14606,1001737,1,100,'Increases DPS of caster by 2.5',0,0),
(14607,1001737,2,100,'Increases DPS of caster by 5.0',0,0),
(14608,1001737,3,100,'Increases DPS of caster by 7.5',0,0),
(14609,1001737,4,100,'Increases Damage Per Second of caster by 10.0',0,0),
(14610,1001737,5,100,'Increases Damage Per Second of caster by 12.5',0,0),
(14611,1001737,6,100,'Increases Damage Per Second of caster by 15.0',0,0),
(14612,1001737,7,100,'Increases DPS of caster by 17.5',0,0),
(14613,1001737,8,100,'Increases DPS of caster by 20.0',0,0),
(14614,1001737,9,100,'Increases DPS of caster by 22.5',0,0),
(14615,1001737,10,100,'Increases Damage Per Second of caster by 25.0',0,0),
(14616,1001738,1,100,'Increases the base damage by 2%',0,0),
(14617,1001738,1,100,'Improves the critical damage by 3%',0,1),
(14618,1001738,2,100,'Increases the base damage by 4%',0,0),
(14619,1001738,2,100,'Improves the critical damage by 6%',0,1),
(14620,1001738,3,100,'Increases the base damage by 6%',0,0),
(14621,1001738,3,100,'Improves the critical damage by 9%',0,1),
(14622,1001738,4,100,'Increases the base damage by 8%',0,0),
(14623,1001738,4,100,'Improves the critical damage by 12%',0,1),
(14624,1001738,5,100,'Increases the base damage by 10%',0,0),
(14625,1001738,5,100,'Improves the critical damage by 15%',0,1),
(14626,1001739,1,100,'Increases the defensive gains by an additional 2 per rank.',0,0),
(14627,1001739,2,100,'Increases the defensive gains by an additional 4 per rank.',0,0),
(14628,1001739,3,100,'Increases the defensive gains by an additional 6 per rank.',0,0),
(14629,1001739,4,100,'Increases the defensive gains by an additional 8 per rank.',0,0),
(14630,1001739,5,100,'Increases the defensive gains by an additional 10 per rank.',0,0),
(14631,1001740,1,100,'Increases caster''s chance to block by 1.2%',0,0),
(14632,1001740,2,100,'Increases caster''s chance to block by 2.4%',0,0),
(14633,1001740,3,100,'Increases caster''s chance to block by 3.6%',0,0),
(14634,1001740,4,100,'Increases caster''s chance to block by 4.8%',0,0),
(14635,1001740,5,100,'Increases caster''s chance to block by 6.0%',0,0),
(14636,1001740,6,100,'Increases caster''s chance to block by 7.2%',0,0),
(14637,1001740,7,100,'Increases caster''s chance to block by 8.4%',0,0),
(14638,1001740,8,100,'Increases caster''s chance to block by 9.6%',0,0),
(14639,1001740,9,100,'Increases caster''s chance to block by 10.8%',0,0),
(14640,1001740,10,100,'Increases caster''s chance to block by 12.0%',0,0),
(14641,1001741,1,100,'Increases STA of caster by 5.0',0,0),
(14642,1001742,1,100,'Increases Sculpting of caster by 5.0',0,0),
(14643,1001742,2,100,'Increases Sculpting of caster by 5.0',0,0),
(14644,1001743,1,100,'Increases caster''s chance to block by 2.0%',0,0),
(14645,1001743,2,100,'Increases caster''s chance to block by 2.0%',0,0),
(14646,1001744,1,100,'Improves the base damage by 4%.',0,0),
(14647,1001744,2,100,'Improves the base damage by 8%.',0,0),
(14648,1001744,3,100,'Improves the base damage by 12%.',0,0),
(14649,1001744,4,100,'Improves the base damage by 16%.',0,0),
(14650,1001744,5,100,'Improves the base damage by 20%.',0,0),
(14651,1001745,1,100,'Increases Defense, Parry and Deflection of caster by 5.0',0,0),
(14652,1001745,2,100,'Increases Defense, Parry and Deflection of caster by 5.0',0,0),
(14653,1001746,1,100,'Increases Artistry, Fletching, Sculpting, Metal Shaping, Metalworking, Tailoring, Artificing, Chemistry and Scribing of caster by 5.0',0,0),
(14654,1001746,2,100,'Increases Artistry, Fletching, Sculpting, Metal Shaping, Metalworking, Tailoring, Artificing, Chemistry and Scribing of caster by 5.0',0,0),
(14655,1001747,1,100,'Decreases falling damage taken by caster by 15.0%',0,0),
(14656,1001747,2,100,'Decreases falling damage taken by caster by 15.0%',0,0),
(14657,1001748,1,100,'For every 3 Crit Bonus, the caster gains 1 Potency.',0,0),
(14658,1001749,1,100,'Increases critical success chance by 1.0%',0,0),
(14659,1001749,2,100,'Increases critical success chance by 2.0%',0,0),
(14660,1001749,3,100,'Increases critical success chance by 3.0%',0,0),
(14661,1001749,4,100,'Increases critical success chance by 4.0%',0,0),
(14662,1001749,5,100,'Increases critical success chance by 5.0%',0,0),
(14663,1001750,1,100,'Increases the durability gain by 1.0%.',0,0),
(14664,1001750,2,100,'Increases the durability gain by 2.0%.',0,0),
(14665,1001750,3,100,'Increases the durability gain by 3.0%.',0,0),
(14666,1001750,4,100,'Increases the durability gain by 4.0%.',0,0),
(14667,1001750,5,100,'Increases the durability gain by 5.0%.',0,0),
(14668,1001751,1,100,'Lowers the base reuse time of Rhythmic Overture to 120 seconds',0,0),
(14669,1001751,1,100,'Lowers the base reuse time of Victorious Concerto to 240 seconds',0,1),
(14670,1001751,1,100,'Lowers the base reuse time of Cadence of Destruction to 120 seconds',0,2),
(14671,1001752,1,100,'For every 12 Potency, the caster gains 1 Crit Bonus.',0,0),
(14672,1001753,1,100,'Adds an effect which improves beneficial spell reuse speed by 5%.',0,0),
(14673,1001753,2,100,'Adds an effect which improves beneficial spell reuse speed by 10%.',0,0),
(14674,1001753,3,100,'Adds an effect which improves beneficial spell reuse speed by 15%.',0,0),
(14675,1001753,4,100,'Adds an effect which improves beneficial spell reuse speed by 20%.',0,0),
(14676,1001753,5,100,'Adds an effect which improves beneficial spell reuse speed by 25%.',0,0),
(14677,1001754,1,100,'Increases in-combat movement speed of caster by 1.3%',0,0),
(14678,1001754,1,100,'Increases speed of caster by 1.3%',0,1),
(14679,1001754,2,100,'Increases in-combat movement speed of caster by 2.5%',0,0),
(14680,1001754,2,100,'Increases speed of caster by 2.5%',0,1),
(14681,1001754,3,100,'Increases in-combat movement speed of caster by 3.7%',0,0),
(14682,1001754,3,100,'Increases speed of caster by 3.7%',0,1),
(14683,1001754,4,100,'Increases in-combat movement speed of caster by 5.0%',0,0),
(14684,1001754,4,100,'Increases speed of caster by 5.0%',0,1),
(14685,1001754,5,100,'Increases in-combat movement speed of caster by 6.2%',0,0),
(14686,1001754,5,100,'Increases speed of caster by 6.2%',0,1),
(14687,1001754,6,100,'Increases in-combat movement speed of caster by 7.5%',0,0),
(14688,1001754,6,100,'Increases speed of caster by 7.5%',0,1),
(14689,1001754,7,100,'Increases in-combat movement speed of caster by 8.8%',0,0),
(14690,1001754,7,100,'Increases speed of caster by 8.8%',0,1),
(14691,1001754,8,100,'Increases in-combat movement speed of caster by 10.0%',0,0),
(14692,1001754,8,100,'Increases speed of caster by 10.0%',0,1),
(14693,1001754,9,100,'Increases in-combat movement speed of caster by 11.3%',0,0),
(14694,1001754,9,100,'Increases speed of caster by 11.3%',0,1),
(14695,1001754,10,100,'Increases in-combat movement speed of caster by 12.5%',0,0),
(14696,1001754,10,100,'Increases speed of caster by 12.5%',0,1),
(14697,1001755,1,100,'Improves the reuse speed of Block by 1 second(s).',0,0),
(14698,1001755,1,100,'Improves the reuse speed of Tower of Stone by 4 seconds.',0,1),
(14699,1001755,2,100,'Improves the reuse speed of Block by 2 second(s).',0,0),
(14700,1001755,2,100,'Improves the reuse speed of Tower of Stone by 8 seconds.',0,1),
(14701,1001755,3,100,'Improves the reuse speed of Block by 3 second(s).',0,0),
(14702,1001755,3,100,'Improves the reuse speed of Tower of Stone by 12 seconds.',0,1),
(14703,1001755,4,100,'Improves the reuse speed of Block by 4 second(s).',0,0),
(14704,1001755,4,100,'Improves the reuse speed of Tower of Stone by 16 seconds.',0,1),
(14705,1001755,5,100,'Improves the reuse speed of Block by 5 second(s).',0,0),
(14706,1001755,5,100,'Improves the reuse speed of Tower of Stone by 20 seconds.',0,1),
(14707,1001756,1,100,'Improves the mitigation by 2%.',0,0),
(14708,1001756,1,100,'Increases the shield effectiveness by 2%.',0,1),
(14709,1001756,2,100,'Improves the mitigation by 4%.',0,0),
(14710,1001756,2,100,'Increases the shield effectiveness by 4%.',0,1),
(14711,1001756,3,100,'Improves the mitigation by 6%.',0,0),
(14712,1001756,3,100,'Increases the shield effectiveness by 6%.',0,1),
(14713,1001756,4,100,'Improves the mitigation by 8%.',0,0),
(14714,1001756,4,100,'Increases the shield effectiveness by 8%.',0,1),
(14715,1001756,5,100,'Improves the mitigation by 10%.',0,0),
(14716,1001756,5,100,'Increases the shield effectiveness by 10%.',0,1),
(14717,1001757,1,100,'Improves the casting speed of beneficial spells by 2%.',0,0),
(14718,1001757,2,100,'Improves the casting speed of beneficial spells by 2%.',0,0),
(14719,1001758,1,100,'Reduces the power cost of carpentry skills by 9%.',0,0),
(14720,1001758,2,100,'Reduces the power cost of carpentry skills by 9.5%.',0,0),
(14721,1001759,1,100,'Increases Max Power of caster by 2.5%',0,0),
(14722,1001759,2,100,'Increases Max Power of caster by 2.5%',0,0),
(14723,1001760,2,100,'Improves the duration of food by 25%',0,0),
(14724,1001761,1,100,'Increases reuse speed by 1%.',0,0),
(14725,1001761,2,100,'Increases reuse speed by 2%.',0,0),
(14726,1001761,3,100,'Increases reuse speed by 3%.',0,0),
(14727,1001761,4,100,'Increases reuse speed by 4%.',0,0),
(14728,1001761,5,100,'Increases reuse speed by 5%.',0,0),
(14729,1001762,1,100,'Improves the critical chance by 1%.',0,0),
(14730,1001762,2,100,'Improves the critical chance by 2%.',0,0),
(14731,1001762,3,100,'Improves the critical chance by 3%.',0,0),
(14732,1001762,4,100,'Improves the critical chance by 4%.',0,0),
(14733,1001762,5,100,'Improves the critical chance by 5%.',0,0),
(14734,1001763,1,100,'Increases group movement speed by 1%',0,0),
(14735,1001763,1,100,'Increases in-combat group movement speed by 1.5%',0,1),
(14736,1001763,2,100,'Increases group movement speed by 2%',0,0),
(14737,1001763,2,100,'Increases in-combat group movement speed by 3%',0,1),
(14738,1001763,3,100,'Increases group movement speed by 3%',0,0),
(14739,1001763,3,100,'Increases in-combat group movement speed by 4.5%',0,1),
(14740,1001763,4,100,'Increases group movement speed by 4%',0,0),
(14741,1001763,4,100,'Increases in-combat group movement speed by 6%',0,1),
(14742,1001763,5,100,'Increases group movement speed by 5%',0,0),
(14743,1001763,5,100,'Increases in-combat group movement speed by 7.5%',0,1),
(14744,1001763,6,100,'Increases group movement speed by 6%',0,0),
(14745,1001763,6,100,'Increases in-combat group movement speed by 9%',0,1),
(14746,1001763,7,100,'Increases group movement speed by 7%',0,0),
(14747,1001763,7,100,'Increases in-combat group movement speed by 10.5%',0,1),
(14748,1001763,8,100,'Increases group movement speed by 8%',0,0),
(14749,1001763,8,100,'Increases in-combat group movement speed by 12%',0,1),
(14750,1001763,9,100,'Increases group movement speed by 9%',0,0),
(14751,1001763,9,100,'Increases in-combat group movement speed by 13.5%',0,1),
(14752,1001763,10,100,'Increases group movement speed by 10%',0,0),
(14753,1001763,10,100,'Increases in-combat group movement speed by 15%',0,1),
(14754,1001764,1,100,'Increases WIS of caster by 8.0',0,0),
(14755,1001765,1,100,'Increases Mitigation of caster vs physical damage by 0',0,0),
(14756,1001765,2,100,'Increases Mitigation of caster vs physical damage by 0',0,0),
(14757,1001766,1,100,'Increases Mitigation of caster vs elemental damage by 3',0,0),
(14758,1001766,2,100,'Increases Mitigation of caster vs elemental damage by 3',0,0),
(14759,1001767,1,100,'Increases the mitigation of the bruiser''s armor making them slightly less mitigating than chain maxed out.',0,0),
(14760,1001767,2,100,'Increases the mitigation of the bruiser''s armor making them slightly less mitigating than chain maxed out.',0,0),
(14761,1001767,3,100,'Increases the mitigation of the bruiser''s armor making them slightly less mitigating than chain maxed out.',0,0),
(14762,1001767,4,100,'Increases the mitigation of the bruiser''s armor making them slightly less mitigating than chain maxed out.',0,0),
(14763,1001767,5,100,'Increases the mitigation of the bruiser''s armor making them slightly less mitigating than chain maxed out.',0,0),
(14764,1001768,1,100,'Increases Mitigation of caster vs physical damage by 0',0,0),
(14765,1001768,2,100,'Increases Mitigation of caster vs physical damage by 0',0,0),
(14766,1001769,1,100,'Increases the heal amount by 3%.',0,0),
(14767,1001769,1,100,'Increases the critical heal amount by 2%.',0,1),
(14768,1001769,2,100,'Increases the heal amount by 6%.',0,0),
(14769,1001769,2,100,'Increases the critical heal amount by 4%.',0,1),
(14770,1001769,3,100,'Increases the heal amount by 9%.',0,0),
(14771,1001769,3,100,'Increases the critical heal amount by 6%.',0,1),
(14772,1001769,4,100,'Increases the heal amount by 12%.',0,0),
(14773,1001769,4,100,'Increases the critical heal amount by 8%.',0,1),
(14774,1001769,5,100,'Increases the heal amount by 15%.',0,0),
(14775,1001769,5,100,'Increases the critical heal amount by 10%.',0,1),
(14776,1001770,1,100,'For every 20 Potency, the caster gains 1 Crit Bonus.',0,0),
(14777,1001771,2,100,'Reduces the base reuse of Faith to 112.5 seconds.',0,0),
(14778,1001771,3,100,'Reduces the base reuse of Faith to 75 seconds.',0,0),
(14779,1001772,2,100,'Reduces the base reuse of Dashing Flourish to 20 seconds.',0,0),
(14780,1001772,3,100,'Reduces the base reuse of Dashing Flourish to 10 seconds.',0,0),
(14781,1001773,2,100,'Reduces the casting time of harvesting by 0.25 seconds',0,0),
(14782,1001773,2,100,'If not on a mount',0,1),
(14783,1001774,2,100,'Reduces the base reuse of Chromatic Illusion to 20 seconds.',0,0),
(14784,1001774,3,100,'Reduces the base reuse of Chromatic Illusion to 10 seconds.',0,0),
(14785,1001775,1,100,'Following the use of Interrogation, the group will gain 15% in combat run speed and snare resistance.',0,0),
(14786,1001775,2,100,'Following the use of Interrogation, the group will gain 30% in combat run speed and snare resistance.',0,0),
(14787,1001775,3,100,'Following the use of Interrogation, the group will gain 45% in combat run speed and snare resistance.',0,0),
(14788,1001775,3,100,'Hastened Interrogation makes the group immune to roots.',0,1),
(14789,1001776,2,100,'Reduces the base reuse of Martial Leap to 67.5 seconds.',0,0),
(14790,1001776,3,100,'Reduces the base reuse of Martial Leap to 45 seconds.',0,0),
(14791,1001777,1,100,'Improves the reuse speed by 12 seconds.',0,0),
(14792,1001777,2,100,'Improves the reuse speed by 24 seconds.',0,0),
(14793,1001777,3,100,'Improves the reuse speed by 36 seconds.',0,0),
(14794,1001777,4,100,'Improves the reuse speed by 48 seconds.',0,0),
(14795,1001777,5,100,'Improves the reuse speed by 60 seconds.',0,0),
(14796,1001777,5,100,'Adds an additional trigger to Mana Cloak',0,1),
(14797,1001778,1,100,'Reduces the duration of manaflow by 10%',0,0),
(14798,1001778,2,100,'Reduces the duration of manaflow by 20%',0,0),
(14799,1001778,3,100,'Reduces the duration of manaflow by 30%',0,0),
(14800,1001778,4,100,'Reduces the duration of manaflow by 40%',0,0),
(14801,1001778,5,100,'Reduces the duration of manaflow by 50%',0,0),
(14802,1001779,1,100,'Increases the damage of each tick exponentially from a base 2% upgrade.',0,0),
(14803,1001779,2,100,'Increases the damage of each tick exponentially from a base 4% upgrade.',0,0),
(14804,1001779,3,100,'Increases the damage of each tick exponentially from a base 6% upgrade.',0,0),
(14805,1001779,4,100,'Increases the damage of each tick exponentially from a base 8% upgrade.',0,0),
(14806,1001779,5,100,'Increases the damage of each tick exponentially from a base 10% upgrade.',0,0),
(14807,1001780,2,100,'Reduces the base reuse of Rampager''s Resiliance to 240 seconds.',0,0),
(14808,1001780,3,100,'Reduces the base reuse of Rampager''s Resiliance to 180 seconds.',0,0),
(14809,1001781,1,100,'Increases Ability Reuse Speed of caster by 1.3%',0,0),
(14810,1001781,2,100,'Increases Ability Reuse Speed of caster by 2.5%',0,0),
(14811,1001781,3,100,'Increases Ability Reuse Speed of caster by 3.7%',0,0),
(14812,1001781,4,100,'Increases Ability Reuse Speed of caster by 5.0%',0,0),
(14813,1001781,5,100,'Increases Ability Reuse Speed of caster by 6.2%',0,0),
(14814,1001781,6,100,'Increases Ability Reuse Speed of caster by 7.5%',0,0),
(14815,1001781,7,100,'Increases Ability Reuse Speed of caster by 8.8%',0,0),
(14816,1001781,8,100,'Increases Ability Reuse Speed of caster by 10.0%',0,0),
(14817,1001782,1,100,'Adds an effect which improves the reuse speed of spells and combat arts.',0,0),
(14818,1001782,2,100,'Adds an effect which improves the reuse speed of spells and combat arts.',0,0),
(14819,1001782,3,100,'Adds an effect which improves the reuse speed of spells and combat arts.',0,0),
(14820,1001782,4,100,'Adds an effect which improves the reuse speed of spells and combat arts.',0,0),
(14821,1001782,5,100,'Adds an effect which improves the reuse speed of spells and combat arts.',0,0),
(14822,1001783,1,100,'Increases Power Regen of caster by 9.0',0,0),
(14823,1001783,2,100,'Increases Power Regen of caster by 9.0',0,0),
(14824,1001785,1,100,'Increases the casting speed of hostile spells by 2%.',0,0),
(14825,1001785,2,100,'Increases the casting speed of hostile spells by 2%.',0,0),
(14826,1001786,1,100,'Improves the hate amount by 2%.',0,0),
(14827,1001786,1,100,'Improves the damage by 5%',0,1),
(14828,1001786,2,100,'Improves the hate amount by 4%.',0,0),
(14829,1001786,2,100,'Improves the damage by 10%',0,1),
(14830,1001786,3,100,'Improves the hate amount by 6%.',0,0),
(14831,1001786,3,100,'Improves the damage by 15%',0,1),
(14832,1001786,4,100,'Improves the hate amount by 8%.',0,0),
(14833,1001786,4,100,'Improves the damage by 20%',0,1),
(14834,1001786,5,100,'Improves the hate amount by 10%.',0,0),
(14835,1001786,5,100,'Improves the damage by 25%',0,1),
(14836,1001787,1,100,'For every 3 Crit Bonus, the caster gains 1 Potency.',0,0),
(14837,1001788,1,100,'Increases Max Power of caster by 3.0%',0,0),
(14838,1001788,2,100,'Increases Max Power of caster by 3.0%',0,0),
(14839,1001789,1,100,'Improves the reuse speed of any hate modifying spell by 12.5%.',0,0),
(14840,1001789,1,100,'Improves the hate reduction of spells by 5%.',0,1),
(14841,1001789,2,100,'Improves the reuse speed of any hate modifying spell by 25%.',0,0),
(14842,1001789,2,100,'Improves the hate reduction of spells by 10%.',0,1),
(14843,1001789,3,100,'Improves the reuse speed of any hate modifying spell by 37.5%.',0,0),
(14844,1001789,3,100,'Improves the hate reduction of spells by 15%.',0,1),
(14845,1001789,4,100,'Improves the reuse speed of any hate modifying spell by 50%.',0,0),
(14846,1001789,4,100,'Improves the hate reduction of spells by 20%.',0,1),
(14847,1001789,5,100,'Improves the reuse speed of any hate modifying spell by 62.5%.',0,0),
(14848,1001789,5,100,'Improves the hate reduction of spells by 25%.',0,1),
(14849,1001789,6,100,'Improves the reuse speed of any hate modifying spell by 75%.',0,0),
(14850,1001789,6,100,'Improves the hate reduction of spells by 30%.',0,1),
(14851,1001789,7,100,'Improves the reuse speed of any hate modifying spell by 87.5%.',0,0),
(14852,1001789,7,100,'Improves the hate reduction of spells by 35%.',0,1),
(14853,1001789,8,100,'Improves the reuse speed of any hate modifying spell by 100%.',0,0),
(14854,1001789,8,100,'Improves the hate reduction of spells by 40%.',0,1),
(14855,1001790,1,100,'Reduces the base casting times of Barrage and Vengeful Arrow to 2.5 seconds.',0,0),
(14856,1001791,1,100,'Increases Ministration of caster by 5.0',0,0),
(14857,1001791,2,100,'Increases Ministration of caster by 5.0',0,0),
(14858,1001792,1,100,'Increases Ministration of caster by 5.0',0,0),
(14859,1001792,2,100,'Increases Ministration of caster by 5.0',0,0),
(14860,1001793,1,100,'Improves the overtime heal amount by 4%',0,0),
(14861,1001793,1,100,'Improves the critical heal amount by 3%',0,1),
(14862,1001793,2,100,'Improves the overtime heal amount by 8%',0,0),
(14863,1001793,2,100,'Improves the critical heal amount by 6%',0,1),
(14864,1001793,3,100,'Improves the overtime heal amount by 12%',0,0),
(14865,1001793,3,100,'Improves the critical heal amount by 9%',0,1),
(14866,1001793,4,100,'Improves the overtime heal amount by 16%',0,0),
(14867,1001793,4,100,'Improves the critical heal amount by 12%',0,1),
(14868,1001793,5,100,'Improves the overtime heal amount by 20%',0,0),
(14869,1001793,5,100,'Improves the critical heal amount by 15%',0,1),
(14870,1001794,1,100,'Increases Combat Health Regen of caster by 5.0',0,0),
(14871,1001794,2,100,'Increases Combat Health Regen of caster by 5.0',0,0),
(14872,1001795,1,100,'Vengeful Arrow will inflict extra damage when the target''s health is lower.',0,0),
(14873,1001796,1,100,'For every 20 Potency, the caster gains 1 Crit Bonus.',0,0),
(14874,1001797,1,100,'Increases STA of caster by 2.5',0,0),
(14875,1001798,1,100,'Increases Max Health of caster by 0.5%',0,0),
(14876,1001798,2,100,'Increases Max Health of caster by 1.0%',0,0),
(14877,1001797,2,100,'Increases STA of caster by 2.5',0,0),
(14878,1001798,3,100,'Increases Max Health of caster by 1.5%',0,0),
(14879,1001798,4,100,'Increases Max Health of caster by 2.0%',0,0),
(14880,1001798,5,100,'Increases Max Health of caster by 2.5%',0,0),
(14881,1001799,1,100,'Improves the base and critical damage of all heat based profession spells by 5%.',0,0),
(14882,1001800,1,100,'Grants a chance to successfully avoid for the target of the spell.',0,0),
(14883,1001800,2,100,'Grants a chance to successfully avoid for the target of the spell.',0,0),
(14884,1001800,3,100,'Grants a chance to successfully avoid for the target of the spell.',0,0),
(14885,1001800,4,100,'Grants a chance to successfully avoid for the target of the spell.',0,0),
(14886,1001800,5,100,'Grants a chance to successfully avoid for the target of the spell.',0,0),
(14887,1001801,1,100,'Ancestral Support will apply a buff that heals the mystic''s allies when they attack.',0,0),
(14888,1001801,2,100,'Ancestral Support will apply a buff that heals the mystic''s allies when they attack.',0,0),
(14889,1001801,3,100,'Ancestral Support will apply a buff that heals the mystic''s allies when they attack.',0,0),
(14890,1001802,1,100,'Improves the duration by 1 seconds.',0,0),
(14891,1001802,2,100,'Improves the duration by 2 seconds.',0,0),
(14892,1001802,3,100,'Improves the duration by 3 seconds.',0,0),
(14893,1001802,4,100,'Improves the duration by 4 seconds.',0,0),
(14894,1001802,5,100,'Improves the duration by 5 seconds.',0,0),
(14895,1001803,1,100,'Increases Ministration of caster by 5.0',0,0),
(14896,1001803,2,100,'Increases Ministration of caster by 5.0',0,0),
(14897,1001804,1,100,'Increases the speed of basic cure spells, by improving casting and recovery speed by 10%, and reduces power cost by 10%.',0,0),
(14898,1001804,2,100,'Increases the speed of basic cure spells, by improving casting and recovery speed by 20%, and reduces power cost by 20%.',0,0),
(14899,1001804,3,100,'Increases the speed of basic cure spells, by improving casting and recovery speed by 30%, and reduces power cost by 30%.',0,0),
(14900,1001804,4,100,'Increases the speed of basic cure spells, by improving casting and recovery speed by 40%, and reduces power cost by 40%.',0,0),
(14901,1001804,5,100,'Increases the speed of basic cure spells, by improving casting and recovery speed by 50%, and reduces power cost by 50%.',0,0),
(14902,1001804,6,100,'Increases the speed of basic cure spells, by improving casting and recovery speed by 60%, and reduces power cost by 60%.',0,0),
(14903,1001804,7,100,'Increases the speed of basic cure spells, by improving casting and recovery speed by 70%, and reduces power cost by 70%.',0,0),
(14904,1001804,8,100,'Increases the speed of basic cure spells, by improving casting and recovery speed by 80%, and reduces power cost by 80%.',0,0),
(14905,1001804,9,100,'Increases the speed of basic cure spells, by improving casting and recovery speed by 90%, and reduces power cost by 90%.',0,0),
(14906,1001804,10,100,'Increases the speed of basic cure spells, by improving casting and recovery speed by 100%, and reduces power cost by 100%.',0,0),
(14907,1001805,1,100,'Casts a heal over time effect for every effect removed by Cure.',0,0),
(14908,1001805,2,100,'Casts a heal over time effect for every effect removed by Cure.',0,0),
(14909,1001805,3,100,'Casts a heal over time effect for every effect removed by Cure.',0,0),
(14910,1001805,4,100,'Casts a heal over time effect for every effect removed by Cure.',0,0),
(14911,1001805,5,100,'Casts a heal over time effect for every effect removed by Cure.',0,0),
(14912,1001806,1,100,'Increases Chemistry of caster by 5.0',0,0),
(14913,1001806,2,100,'Increases Chemistry of caster by 5.0',0,0),
(14914,1001807,1,100,'Heretic''s Doom has a 15% chance to clear the reuse on Smite Heretic.',0,0),
(14915,1001807,2,100,'Heretic''s Doom has a 30% chance to clear the reuse on Smite Heretic.',0,0),
(14916,1001808,1,100,'Improves the reuse speed by 6 seconds.',0,0),
(14917,1001808,2,100,'Improves the reuse speed by 12 seconds.',0,0),
(14918,1001808,3,100,'Improves the reuse speed by 18 seconds.',0,0),
(14919,1001808,4,100,'Improves the reuse speed by 24 seconds.',0,0),
(14920,1001808,5,100,'Improves the reuse speed by 30 seconds.',0,0),
(14921,1001809,1,100,'Improves the hate reduction by 5%.',0,0),
(14922,1001809,2,100,'Improves the hate reduction by 10%.',0,0),
(14923,1001809,3,100,'Improves the hate reduction by 15%.',0,0),
(14924,1001809,4,100,'Improves the hate reduction by 20%.',0,0),
(14925,1001809,5,100,'Improves the hate reduction by 25%.',0,0),
(14926,1001810,1,100,'Improves the damage and critical multiplier by 2.5%.',0,0),
(14927,1001810,2,100,'Improves the damage and critical multiplier by 5%.',0,0),
(14928,1001810,3,100,'Improves the damage and critical multiplier by 7.5%.',0,0),
(14929,1001810,4,100,'Improves the damage and critical multiplier by 10%.',0,0),
(14930,1001810,5,100,'Improves the damage and critical multiplier by 12.5%.',0,0),
(14931,1001811,1,100,'Following the use of Rapid Salvo, the ranger''s threat with their target will be reduced by 10% of the damage they inflict.',0,0),
(14932,1001811,2,100,'Following the use of Rapid Salvo, the ranger''s threat with their target will be reduced by 20% of the damage they inflict.',0,0),
(14933,1001811,3,100,'Following the use of Rapid Salvo, the ranger''s threat with their target will be reduced by 30% of the damage they inflict.',0,0),
(14934,1001812,1,100,'Increases Mitigation of caster vs elemental damage by 3',0,0),
(14935,1001812,2,100,'Increases Mitigation of caster vs elemental damage by 3',0,0),
(14936,1001813,1,100,'Increases in-combat movement speed of caster by 1.3%',0,0),
(14937,1001813,1,100,'Increases speed of caster by 1.3%',0,1),
(14938,1001813,2,100,'Increases in-combat movement speed of caster by 2.5%',0,0),
(14939,1001813,2,100,'Increases speed of caster by 2.5%',0,1),
(14940,1001813,3,100,'Increases in-combat movement speed of caster by 3.7%',0,0),
(14941,1001813,3,100,'Increases speed of caster by 3.7%',0,1),
(14942,1001813,4,100,'Increases in-combat movement speed of caster by 5.0%',0,0),
(14943,1001813,4,100,'Increases speed of caster by 5.0%',0,1),
(14944,1001813,5,100,'Increases in-combat movement speed of caster by 6.2%',0,0),
(14945,1001813,5,100,'Increases speed of caster by 6.2%',0,1),
(14946,1001813,6,100,'Increases in-combat movement speed of caster by 7.5%',0,0),
(14947,1001813,6,100,'Increases speed of caster by 7.5%',0,1),
(14948,1001813,7,100,'Increases in-combat movement speed of caster by 8.8%',0,0),
(14949,1001813,7,100,'Increases speed of caster by 8.8%',0,1),
(14950,1001813,8,100,'Increases in-combat movement speed of caster by 10.0%',0,0),
(14951,1001813,8,100,'Increases speed of caster by 10.0%',0,1),
(14952,1001813,9,100,'Increases in-combat movement speed of caster by 11.3%',0,0),
(14953,1001813,9,100,'Increases speed of caster by 11.3%',0,1),
(14954,1001813,10,100,'Increases in-combat movement speed of caster by 12.5%',0,0),
(14955,1001813,10,100,'Increases speed of caster by 12.5%',0,1),
(14956,1001814,1,100,'Has a 1.5% chance to absorb a level 100 effect. Applies to Profession and NPC racial spells only.',0,0),
(14957,1001814,2,100,'Has a 3% chance to absorb a level 100 effect. Applies to Profession and NPC racial spells only.',0,0),
(14958,1001814,3,100,'Has a 4.5% chance to absorb a level 100 effect. Applies to Profession and NPC racial spells only.',0,0),
(14959,1001814,4,100,'Reduces elemental and arcane damage done to caster by 6%',0,0),
(14960,1001814,5,100,'Reduces elemental and arcane damage done to caster by 7.5%',0,0),
(14961,1001814,6,100,'Has a 9% chance to absorb a level 100 effect. Applies to Profession and NPC racial spells only.',0,0),
(14962,1001814,7,100,'Has a 10.5% chance to absorb a level 100 effect. Applies to Profession and NPC racial spells only.',0,0),
(14963,1001814,8,100,'Reduces elemental and arcane damage done to caster by 12%',0,0),
(14964,1001814,9,100,'Has a 13.5% chance to absorb a level 100 effect. Applies to Profession and NPC racial spells only.',0,0),
(14965,1001814,10,100,'Has a 15% chance to absorb a level 100 effect. Applies to Profession and NPC racial spells only.',0,0),
(14966,1001815,1,100,'Improves the stamina bonus by 3%.',0,0),
(14967,1001815,2,100,'Improves the stamina bonus by 6%.',0,0),
(14968,1001815,3,100,'Improves the stamina bonus by 9%.',0,0),
(14969,1001815,4,100,'Improves the stamina bonus by 12%.',0,0),
(14970,1001815,5,100,'Improves the stamina bonus by 15%.',0,0),
(14971,1001816,1,100,'Increases WIS and STA of caster by 4.0',0,0),
(14972,1001816,1,100,'Increases Mitigation of caster vs physical damage by 1050',0,1),
(14973,1001816,2,100,'Increases WIS and STA of caster by 8.0',0,0),
(14974,1001816,2,100,'Increases Mitigation of caster vs physical damage by 1050',0,1),
(14975,1001816,3,100,'Increases WIS and STA of caster by 12.0',0,0),
(14976,1001816,3,100,'Increases Mitigation of caster vs physical damage by 1155',0,1),
(14977,1001816,4,100,'Increases WIS and STA of caster by 16.0',0,0),
(14978,1001816,4,100,'Increases Mitigation of caster vs physical damage by 1155',0,1),
(14979,1001816,5,100,'Increases WIS and STA of caster by 20.0',0,0),
(14980,1001816,5,100,'Increases Mitigation of caster vs physical damage by 1050',0,1),
(14981,1001816,6,100,'Increases WIS and STA of caster by 24.0',0,0),
(14982,1001816,6,100,'Increases Mitigation of caster vs physical damage by 1050',0,1),
(14983,1001816,7,100,'Increases WIS and STA of caster by 28.0',0,0),
(14984,1001816,7,100,'Increases Mitigation of caster vs physical damage by 1050',0,1),
(14985,1001816,8,100,'Increases WIS and STA of caster by 32.0',0,0),
(14986,1001816,8,100,'Increases Mitigation of caster vs physical damage by 1155',0,1),
(14987,1001816,9,100,'Increases WIS and STA of caster by 36.0',0,0),
(14988,1001816,9,100,'Increases Mitigation of caster vs physical damage by 1050',0,1),
(14989,1001816,10,100,'Increases WIS and STA of caster by 40.0',0,0),
(14990,1001816,10,100,'Increases Mitigation of caster vs physical damage by 1050',0,1),
(14991,1001817,1,100,'Improves the base heal amount of Hierophantic Genesis by 6%.',0,0),
(14992,1001817,1,100,'Reduces power cost by 10%.',0,1),
(14993,1001817,2,100,'Improves the base heal amount of Hierophantic Genesis by 12%.',0,0),
(14994,1001817,2,100,'Reduces power cost by 20%.',0,1),
(14995,1001817,3,100,'Improves the base heal amount of Hierophantic Genesis by 18%.',0,0),
(14996,1001817,3,100,'Reduces power cost by 30%.',0,1),
(14997,1001817,4,100,'Improves the base heal amount of Hierophantic Genesis by 24%.',0,0),
(14998,1001817,4,100,'Reduces power cost by 40%.',0,1),
(14999,1001817,5,100,'Improves the base heal amount of Hierophantic Genesis by 30%.',0,0),
(15000,1001817,5,100,'Reduces power cost by 50%.',0,1),
(15001,1001818,1,100,'Increases the rate of Dissonance dissipation by 10% when the channeler is between 40% and 80% Dissonance and by 50% when the channeler is above 80% Dissonance. This effect suspends when Repair Overload is active.',0,0),
(15002,1001819,1,100,'Increases Ministration and Defense of caster by 5.0',0,0),
(15003,1001819,2,100,'Increases Ministration and Defense of caster by 5.0',0,0),
(15004,1001820,1,100,'Increases the durability gain by 2.0%.',0,0),
(15005,1001820,1,100,'Improves the duration of food and drink by 2.5%',0,1),
(15006,1001820,2,100,'Increases the durability gain by 4.0%.',0,0),
(15007,1001820,2,100,'Improves the duration of food and drink by 5%',0,1),
(15008,1001820,3,100,'Increases the durability gain by 6.0%.',0,0),
(15009,1001820,3,100,'Improves the duration of food and drink by 7.5%',0,1),
(15010,1001820,4,100,'Increases the durability gain by 8.0%.',0,0),
(15011,1001820,4,100,'Improves the duration of food and drink by 10%',0,1),
(15012,1001820,5,100,'Increases the durability gain by 10.0%.',0,0),
(15013,1001820,5,100,'Improves the duration of food and drink by 12.5%',0,1),
(15014,1001821,1,100,'Increases Defense of caster by 0.0',0,0),
(15015,1001821,1,100,'On a melee hit this spell has a 1% chance to cast Solid Saddle on target.  Lasts for 4.0 seconds.  ',0,1),
(15016,1001821,1,100,'Prevents caster from being Interrupted',1,2),
(15017,1001821,2,100,'Increases Defense of caster by 0.0',0,0),
(15018,1001821,2,100,'On a melee hit this spell has a 2% chance to cast Solid Saddle on target.  Lasts for 4.0 seconds.  ',0,1),
(15019,1001821,2,100,'Prevents caster from being Interrupted',1,2),
(15020,1001821,3,100,'Increases Defense of caster by 0.0',0,0),
(15021,1001821,3,100,'On a melee hit this spell has a 3% chance to cast Solid Saddle on target.  Lasts for 4.0 seconds.  ',0,1),
(15022,1001821,3,100,'Prevents caster from being Interrupted',1,2),
(15023,1001821,4,100,'Increases Defense of caster by 0.0',0,0),
(15024,1001821,4,100,'On a melee hit this spell has a 4% chance to cast Solid Saddle on target.  Lasts for 4.0 seconds.  ',0,1),
(15025,1001821,4,100,'Prevents caster from being Interrupted',1,2),
(15026,1001821,5,100,'Increases Defense of caster by 0.0',0,0),
(15027,1001821,5,100,'On a melee hit this spell has a 5% chance to cast Solid Saddle on target.  Lasts for 4.0 seconds.  ',0,1),
(15028,1001821,5,100,'Prevents caster from being Interrupted',1,2),
(15029,1001821,6,100,'Increases Defense of caster by 0.0',0,0),
(15030,1001821,6,100,'On a melee hit this spell has a 6% chance to cast Solid Saddle on target.  Lasts for 4.0 seconds.  ',0,1),
(15031,1001821,6,100,'Prevents caster from being Interrupted',1,2),
(15032,1001821,7,100,'Increases Defense of caster by 0.0',0,0),
(15033,1001821,7,100,'On a melee hit this spell has a 7% chance to cast Solid Saddle on target.  Lasts for 4.0 seconds.  ',0,1),
(15034,1001821,7,100,'Prevents caster from being Interrupted',1,2),
(15035,1001821,8,100,'Increases Defense of caster by 0.0',0,0),
(15036,1001821,8,100,'On a melee hit this spell has a 8% chance to cast Solid Saddle on target.  Lasts for 4.0 seconds.  ',0,1),
(15037,1001821,8,100,'Prevents caster from being Interrupted',1,2),
(15038,1001821,9,100,'Increases Defense of caster by 0.0',0,0),
(15039,1001821,9,100,'On a melee hit this spell has a 9% chance to cast Solid Saddle on target.  Lasts for 4.0 seconds.  ',0,1),
(15040,1001821,9,100,'Prevents caster from being Interrupted',1,2),
(15041,1001821,10,100,'Increases Defense of caster by 0.0',0,0),
(15042,1001821,10,100,'On a melee hit this spell has a 10% chance to cast Solid Saddle on target.  Lasts for 4.0 seconds.  ',0,1),
(15043,1001821,10,100,'Prevents caster from being Interrupted',1,2),
(15044,1001822,1,100,'On any combat or spell hit this spell may cast Highwayman''s Advance on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(15045,1001822,1,100,'Inflicts 974 - 1623 piercing damage on target',1,1),
(15046,1001822,1,100,'Decreases Damage Per Second of target by 13.0',1,2),
(15047,1001822,1,100,'Decreases Attack Speed of target by 13.0',1,3),
(15048,1001822,2,100,'On any combat or spell hit this spell may cast Highwayman''s Advance on target of attack.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',0,0),
(15049,1001822,2,100,'Inflicts 974 - 1623 piercing damage on target',1,1),
(15050,1001822,2,100,'Decreases Damage Per Second of target by 13.0',1,2),
(15051,1001822,2,100,'Decreases Attack Speed of target by 13.0',1,3),
(15052,1001822,3,100,'On any combat or spell hit this spell may cast Highwayman''s Advance on target of attack.  Lasts for 10.0 seconds.  Triggers about 6.0 times per minute. ',0,0),
(15053,1001822,3,100,'Inflicts 1298 - 2163 piercing damage on target',1,1),
(15054,1001822,3,100,'Decreases DPS of target by 13.0',1,2),
(15055,1001822,3,100,'Decreases Haste of target by 13.0',1,3),
(15056,1001823,1,100,'Increases Defense, Parry and Deflection of caster by 5.0',0,0),
(15057,1001823,2,100,'Increases Defense, Parry and Deflection of caster by 5.0',0,0),
(15058,1001824,1,100,'Holy Aid has a 5% chance to finish the reuse of Devout Sacrament.',0,0),
(15059,1001824,1,100,'Lay on Hands will apply a single trigger of stoneskin to the target and the caster.',0,1),
(15060,1001824,2,100,'Holy Aid has a 10% chance to finish the reuse of Devout Sacrament.',0,0),
(15061,1001824,2,100,'Lay on Hands will apply a single trigger of stoneskin to the target and the caster.',0,1),
(15062,1001825,1,100,'Improves spell reuse time by 60 seconds, allows it to be cast on another group and removes the casting time.',0,0),
(15063,1001825,2,100,'Improves spell reuse time by 120 seconds, allows it to be cast on another group and removes the casting time.',0,0),
(15064,1001825,3,100,'Improves spell reuse time by 180 seconds, allows it to be cast on another group and removes the casting time.',0,0),
(15065,1001825,4,100,'Improves spell reuse time by 240 seconds, allows it to be cast on another group and removes the casting time.',0,0),
(15066,1001825,5,100,'Improves spell reuse time by 300 seconds, allows it to be cast on another group and removes the casting time.',0,0),
(15067,1001826,1,100,'Sanctify will increase the target group''s potency by 0.5% when triggered. This increments up to 10 times.',0,0),
(15068,1001826,2,100,'Sanctify will increase the target group''s potency by 1% when triggered. This increments up to 10 times.',0,0),
(15069,1001826,3,100,'Sanctify will increase the target group''s potency by 1.5% when triggered. This increments up to 10 times.',0,0),
(15070,1001827,1,100,'Reduces the resistibility of hostile spells by 1.25%.',0,0),
(15071,1001827,2,100,'Reduces the resistibility of hostile spells by 2.5%.',0,0),
(15072,1001827,3,100,'Reduces the resistibility of hostile spells by 3.75%.',0,0),
(15073,1001827,4,100,'Reduces the resistibility of hostile spells by 5%.',0,0),
(15074,1001827,5,100,'Reduces the resistibility of hostile spells by 6.25%.',0,0),
(15075,1001827,6,100,'Reduces the resistibility of hostile spells by 7.5%.',0,0),
(15076,1001827,7,100,'Reduces the resistibility of hostile spells by 8.75%.',0,0),
(15077,1001827,8,100,'Reduces the resistibility of hostile spells by 10%.',0,0),
(15078,1001828,1,100,'Lowers the base reuse time of Divine Guidance to 150 seconds.',0,0),
(15079,1001829,1,100,'Single target and encounter profession divine damage spells have a 1.5% chance to finish the reuse of Lay on Hands.',0,0),
(15080,1001829,2,100,'Single target and encounter profession divine damage spells have a 3% chance to finish the reuse of Lay on Hands.',0,0),
(15081,1001830,1,100,'Decreases the base reuse of Lay on Hands by 5 seconds.',0,0),
(15082,1001830,2,100,'Decreases the base reuse of Lay on Hands by 10 seconds.',0,0),
(15083,1001830,3,100,'Decreases the base reuse of Lay on Hands by 15 seconds.',0,0),
(15084,1001830,4,100,'Increases the base heal amount by 7.4%.',0,0),
(15085,1001830,5,100,'Increases the base heal amount by 9.25%.',0,0),
(15086,1001831,1,100,'Reduces magical damage to the group by 1.5%.',0,0),
(15087,1001831,2,100,'Reduces magical damage to the group by 3%.',0,0),
(15088,1001831,3,100,'Reduces magical damage to the group by 4.5%.',0,0),
(15089,1001831,4,100,'Reduces magical damage to the group by 6%.',0,0),
(15090,1001831,5,100,'Reduces magical damage to the group by 7.5%.',0,0),
(15091,1001832,1,100,'Increases the duration of Holy Shield by 4.2%',0,0),
(15092,1001832,1,100,'Lowers the reuse of Holy Shield by 1.25 seconds',0,1),
(15093,1001832,2,100,'Increases the duration of Holy Shield by 8.4%',0,0),
(15094,1001832,2,100,'Lowers the reuse of Holy Shield by 2.5 seconds',0,1),
(15095,1001832,3,100,'Increases the duration of Holy Shield by 12.6%',0,0),
(15096,1001832,3,100,'Lowers the reuse of Holy Shield by 3.75 seconds',0,1),
(15097,1001832,4,100,'Increases the duration of Holy Shield by 16.8%',0,0),
(15098,1001832,4,100,'Lowers the reuse of Holy Shield by 5 seconds',0,1),
(15099,1001832,5,100,'Increases the duration of Holy Shield by 21%',0,0),
(15100,1001832,5,100,'Lowers the reuse of Holy Shield by 6.25 seconds',0,1),
(15101,1001832,6,100,'Increases the duration of Holy Shield by 25.2%',0,0),
(15102,1001832,6,100,'Lowers the reuse of Holy Shield by 7.5 seconds',0,1),
(15103,1001832,7,100,'Increases the duration of Holy Shield by 29.4%',0,0),
(15104,1001832,7,100,'Lowers the reuse of Holy Shield by 8.75 seconds',0,1),
(15105,1001832,8,100,'Increases the duration of Holy Shield by 33.6%',0,0),
(15106,1001832,8,100,'Lowers the reuse of Holy Shield by 10 seconds',0,1),
(15107,1001833,1,100,'Increases Max Power of caster by 3.0%',0,0),
(15108,1001833,2,100,'Increases Max Power of caster by 3.0%',0,0),
(15109,1001834,1,100,'Adds an effect to Energizing Aura that inflicts damage to a single enemy the illusionist has engaged in combat. The target must be within 10 meters of the illusionist.',0,0),
(15110,1001834,2,100,'Adds an effect to Energizing Aura that inflicts damage to a single enemy the illusionist has engaged in combat. The target must be within 10 meters of the illusionist.',0,0),
(15111,1001834,3,100,'Adds an effect to Energizing Aura that inflicts damage to a single enemy the illusionist has engaged in combat. The target must be within 10 meters of the illusionist.',0,0),
(15112,1001835,1,100,'Truespirit Rift will inflict poison damage on enemies.',0,0),
(15113,1001835,2,100,'Truespirit Rift will inflict poison damage on enemies.',0,0),
(15114,1001835,3,100,'Truespirit Rift will inflict poison damage on enemies.',0,0),
(15115,1001836,1,100,'For every 12 Potency, the caster gains 1 Crit Bonus.',0,0),
(15116,1001837,1,100,'Improves the agility amount granted by 5%.',0,0),
(15117,1001837,2,100,'Improves the agility amount granted by 10%.',0,0),
(15118,1001837,3,100,'Improves the agility amount granted by 15%.',0,0),
(15119,1001837,4,100,'Improves the agility amount granted by 20%.',0,0),
(15120,1001837,5,100,'Improves the agility amount granted by 25%.',0,0),
(15121,1001838,1,100,'Adds an additional effect which improves potency by 2%.',0,0),
(15122,1001838,2,100,'Adds an additional effect which improves potency by 4%.',0,0),
(15123,1001838,3,100,'Adds an additional effect which improves potency by 6%.',0,0),
(15124,1001838,4,100,'Adds an additional effect which improves potency by 8%.',0,0),
(15125,1001838,5,100,'Adds an additional effect which improves potency by 10%.',0,0),
(15126,1001839,1,100,'Increases STA of caster by 6.0',0,0),
(15127,1001840,1,100,'Improves the stamina granted by Master of the Hunt by 20%.',0,0),
(15128,1001840,2,100,'Improves the stamina granted by Master of the Hunt by 40%.',0,0),
(15129,1001840,3,100,'Improves the stamina granted by Master of the Hunt by 60%.',0,0),
(15130,1001840,4,100,'Improves the stamina granted by Master of the Hunt by 80%.',0,0),
(15131,1001840,5,100,'Improves the stamina granted by Master of the Hunt by 100%.',0,0),
(15132,1001841,1,100,'Increases Mitigation of caster vs noxious damage by 0',0,0),
(15133,1001841,2,100,'Increases Mitigation of caster vs noxious damage by 0',0,0),
(15134,1001842,1,100,'Reduces the power cost of all Tinkerer reaction arts by 10%',0,0),
(15135,1001842,2,100,'Reduces the power cost of all Tinkerer reaction arts by 10%',0,0),
(15136,1001843,1,100,'Frozen Solid will allow the wizard to reduce their threat by 0.18% of their damage inflicted per increment.',0,0),
(15137,1001843,2,100,'Frozen Solid will allow the wizard to reduce their threat by 0.36% of their damage inflicted per increment.',0,0),
(15138,1001843,3,100,'Frozen Solid will allow the wizard to reduce their threat by 0.54% of their damage inflicted per increment.',0,0),
(15139,1001844,1,100,'Frigid Gift makes all magic and heat spells into cold spells',0,0),
(15140,1001845,1,100,'Applies a damage shield to the target of Clearwater Current.',0,0),
(15141,1001845,2,100,'Applies a damage shield to the target of Clearwater Current.',0,0),
(15142,1001845,3,100,'Applies a damage shield to the target of Clearwater Current.',0,0),
(15143,1001846,1,100,'Improves the damage by 6% and increases exponentially over time.',0,0),
(15144,1001846,2,100,'Improves the damage by 12% and increases exponentially over time.',0,0),
(15145,1001846,3,100,'Improves the damage by 18% and increases exponentially over time.',0,0),
(15146,1001846,4,100,'Improves the damage by 24% and increases exponentially over time.',0,0),
(15147,1001846,5,100,'Improves the damage by 30% and increases exponentially over time.',0,0),
(15148,1001847,1,100,'Increases the damage of Ice Lash by 5%.',0,0),
(15149,1001847,2,100,'Increases the damage of Ice Lash by 10%.',0,0),
(15150,1001847,3,100,'Increases the damage of Ice Lash by 15%.',0,0),
(15151,1001847,4,100,'Increases the damage of Ice Lash by 20%.',0,0),
(15152,1001847,5,100,'Increases the damage of Ice Lash by 25%.',0,0),
(15153,1001848,1,100,'Increases Hate Gain of caster by 1.0%',0,0),
(15154,1001848,2,100,'Increases Hate Gain of caster by 2.0%',0,0),
(15155,1001848,3,100,'Increases Hate Gain of caster by 3.0%',0,0),
(15156,1001848,4,100,'Increases Hate Gain of caster by 4.0%',0,0),
(15157,1001848,5,100,'Increases Hate Gain of caster by 5.0%',0,0),
(15158,1001848,6,100,'Increases Hate Gain of caster by 6.0%',0,0),
(15159,1001848,7,100,'Increases Hate Gain of caster by 7.0%',0,0),
(15160,1001848,8,100,'Increases Hate Gain of caster by 8.0%',0,0),
(15161,1001848,9,100,'Increases Hate Gain of caster by 9.0%',0,0),
(15162,1001848,10,100,'Increases Hate Gain of caster by 10.0%',0,0),
(15163,1001849,1,100,'Improves the hate reduction amount of Ignorant Bliss by 5%.',0,0),
(15164,1001849,2,100,'Improves the hate reduction amount of Ignorant Bliss by 10%.',0,0),
(15165,1001849,3,100,'Improves the hate reduction amount of Ignorant Bliss by 15%.',0,0),
(15166,1001849,4,100,'Improves the hate reduction amount of Ignorant Bliss by 20%.',0,0),
(15167,1001849,5,100,'Improves the hate reduction amount of Ignorant Bliss by 25%.',0,0),
(15168,1001850,1,100,'Flash of Brilliance will reduce the resistibility of spells by 50%.',0,0),
(15169,1001851,1,100,'Improves the hate change amount by 20%.',0,0),
(15170,1001851,2,100,'Improves the hate change amount by 40%.',0,0),
(15171,1001851,3,100,'Improves the hate change amount by 60%.',0,0),
(15172,1001851,4,100,'Improves the hate change amount by 80%.',0,0),
(15173,1001851,5,100,'Improves the hate change amount by 100%.',0,0),
(15174,1001852,1,100,'Adds Agility, Strength and Weapon Skills to Flash of Brilliance.',0,0),
(15175,1001852,2,100,'Adds Agility, Strength and Weapon Skills to Flash of Brilliance.',0,0),
(15176,1001852,2,100,'Adds Agility and Strength to Rune of Thought.',0,1),
(15177,1001852,3,100,'Adds Agility, Strength and Weapon Skills to Flash of Brilliance.',0,0),
(15178,1001852,3,100,'Adds Agility and Strength to Rune of Thought.',0,1),
(15179,1001852,3,100,'Allows Synergism to trigger off of combat arts.',0,2),
(15180,1001853,1,100,'Improves the amount of power restored by Mystic Illusion by 33%',0,0),
(15181,1001853,2,100,'Improves the amount of power restored by Mystic Illusion by 66%',0,0),
(15182,1001853,3,100,'Improves the amount of power restored by Mystic Illusion by 100%',0,0),
(15183,1001854,1,100,'Increases Potency of the group by 0.5%',0,0),
(15184,1001854,2,100,'Increases Potency of the group by 1%',0,0),
(15185,1001854,3,100,'Increases Potency of the group by 1.5%',0,0),
(15186,1001854,4,100,'Increases Potency of the group by 2%',0,0),
(15187,1001854,5,100,'Increases Potency of the group by 2.5%',0,0),
(15188,1001855,1,100,'Energetic Reverberation inflicts 50% more damage and heals 50% more power',0,0),
(15189,1001855,2,100,'Energetic Reverberation inflicts 100% more damage and heals 100% more power',0,0),
(15190,1001855,3,100,'Energetic Reverberation inflicts 150% more damage and heals 150% more power',0,0),
(15191,1001856,1,100,'Improves the base damage of impale by 4%',0,0),
(15192,1001856,1,100,'Reduces the duration by 2 seconds.',0,1),
(15193,1001856,2,100,'Improves the base damage of impale by 8%',0,0),
(15194,1001856,2,100,'Reduces the duration by 4 seconds.',0,1),
(15195,1001856,3,100,'Improves the base damage of impale by 12%',0,0),
(15196,1001856,3,100,'Reduces the duration by 6 seconds.',0,1),
(15197,1001856,4,100,'Improves the base damage of impale by 16%',0,0),
(15198,1001856,4,100,'Reduces the duration by 8 seconds.',0,1),
(15199,1001856,5,100,'Improves the base damage of impale by 20%',0,0),
(15200,1001856,5,100,'Reduces the duration by 10 seconds.',0,1),
(15201,1001857,1,100,'Heals caster for 1.0% of max health instantly and every 3 seconds',0,0),
(15202,1001857,1,100,'This effect cannot be critically applied.',1,1),
(15203,1001857,1,100,'Increases power of caster by 1.0% instantly and every 3 seconds',0,2),
(15204,1001857,1,100,'This effect cannot be critically applied.',1,3),
(15205,1001857,1,100,'Suspends when the scout is engaged in combat',0,4),
(15206,1001858,1,100,'Heals caster for 1.0% of max health instantly and every 3 seconds',0,0),
(15207,1001858,1,100,'This effect cannot be critically applied.',1,1),
(15208,1001858,1,100,'Increases power of caster by 1.0% instantly and every 3 seconds',0,2),
(15209,1001858,1,100,'This effect cannot be critically applied.',1,3),
(15210,1001858,1,100,'Suspends when the mage is engaged in combat',0,4),
(15211,1001858,1,100,'Cannot be modified except by direct means',0,5),
(15212,1001858,2,100,'Heals caster for 2.0% of max health instantly and every 3 seconds',0,0),
(15213,1001858,2,100,'This effect cannot be critically applied.',1,1),
(15214,1001858,2,100,'Increases power of caster by 2.0% instantly and every 3 seconds',0,2),
(15215,1001858,2,100,'This effect cannot be critically applied.',1,3),
(15216,1001858,2,100,'Suspends when the mage is engaged in combat',0,4),
(15217,1001858,2,100,'Cannot be modified except by direct means',0,5),
(15218,1001857,2,100,'Heals caster for 2.0% of max health instantly and every 3 seconds',0,0),
(15219,1001857,2,100,'This effect cannot be critically applied.',1,1),
(15220,1001857,2,100,'Increases power of caster by 2.0% instantly and every 3 seconds',0,2),
(15221,1001857,2,100,'This effect cannot be critically applied.',1,3),
(15222,1001857,2,100,'Suspends when the scout is engaged in combat',0,4),
(15223,1001858,3,100,'Heals caster for 3.0% of max health instantly and every 3 seconds',0,0),
(15224,1001858,3,100,'This effect cannot be critically applied.',1,1),
(15225,1001858,3,100,'Increases power of caster by 3.0% instantly and every 3 seconds',0,2),
(15226,1001858,3,100,'This effect cannot be critically applied.',1,3),
(15227,1001858,3,100,'Suspends when the mage is engaged in combat',0,4),
(15228,1001858,3,100,'Cannot be modified except by direct means',0,5),
(15229,1001857,3,100,'Heals caster for 3.0% of max health instantly and every 3 seconds',0,0),
(15230,1001857,3,100,'This effect cannot be critically applied.',1,1),
(15231,1001857,3,100,'Increases power of caster by 3.0% instantly and every 3 seconds',0,2),
(15232,1001857,3,100,'This effect cannot be critically applied.',1,3),
(15233,1001857,3,100,'Suspends when the scout is engaged in combat',0,4),
(15234,1001858,4,100,'Heals caster for 4.0% of max health instantly and every 3 seconds',0,0),
(15235,1001858,4,100,'This effect cannot be critically applied.',1,1),
(15236,1001858,4,100,'Increases power of caster by 4.0% instantly and every 3 seconds',0,2),
(15237,1001858,4,100,'This effect cannot be critically applied.',1,3),
(15238,1001858,4,100,'Suspends when the mage is engaged in combat',0,4),
(15239,1001858,4,100,'Cannot be modified except by direct means',0,5),
(15240,1001857,4,100,'Heals caster for 4.0% of max health instantly and every 3 seconds',0,0),
(15241,1001857,4,100,'This effect cannot be critically applied.',1,1),
(15242,1001857,4,100,'Increases power of caster by 4.0% instantly and every 3 seconds',0,2),
(15243,1001857,4,100,'This effect cannot be critically applied.',1,3),
(15244,1001857,4,100,'Suspends when the scout is engaged in combat',0,4),
(15245,1001857,5,100,'Heals caster for 5.0% of max health instantly and every 3 seconds',0,0),
(15246,1001857,5,100,'This effect cannot be critically applied.',1,1),
(15247,1001857,5,100,'Increases power of caster by 5.0% instantly and every 3 seconds',0,2),
(15248,1001857,5,100,'This effect cannot be critically applied.',1,3),
(15249,1001857,5,100,'Suspends when the scout is engaged in combat',0,4),
(15250,1001858,5,100,'Heals caster for 5.0% of max health instantly and every 3 seconds',0,0),
(15251,1001858,5,100,'This effect cannot be critically applied.',1,1),
(15252,1001858,5,100,'Increases power of caster by 5.0% instantly and every 3 seconds',0,2),
(15253,1001858,5,100,'This effect cannot be critically applied.',1,3),
(15254,1001858,5,100,'Suspends when the mage is engaged in combat',0,4),
(15255,1001858,5,100,'Cannot be modified except by direct means',0,5),
(15256,1001858,6,100,'Heals caster for 6.0% of max health instantly and every 3 seconds',0,0),
(15257,1001858,6,100,'This effect cannot be critically applied.',1,1),
(15258,1001858,6,100,'Increases power of caster by 6.0% instantly and every 3 seconds',0,2),
(15259,1001858,6,100,'This effect cannot be critically applied.',1,3),
(15260,1001858,6,100,'Suspends when the mage is engaged in combat',0,4),
(15261,1001858,6,100,'Cannot be modified except by direct means',0,5),
(15262,1001857,6,100,'Heals caster for 6.0% of max health instantly and every 3 seconds',0,0),
(15263,1001857,6,100,'This effect cannot be critically applied.',1,1),
(15264,1001857,6,100,'Increases power of caster by 6.0% instantly and every 3 seconds',0,2),
(15265,1001857,6,100,'This effect cannot be critically applied.',1,3),
(15266,1001857,6,100,'Suspends when the scout is engaged in combat',0,4),
(15267,1001857,7,100,'Heals caster for 7.0% of max health instantly and every 3 seconds',0,0),
(15268,1001857,7,100,'This effect cannot be critically applied.',1,1),
(15269,1001857,7,100,'Increases power of caster by 7.0% instantly and every 3 seconds',0,2),
(15270,1001857,7,100,'This effect cannot be critically applied.',1,3),
(15271,1001857,7,100,'Suspends when the scout is engaged in combat',0,4),
(15272,1001858,7,100,'Heals caster for 7.0% of max health instantly and every 3 seconds',0,0),
(15273,1001858,7,100,'This effect cannot be critically applied.',1,1),
(15274,1001858,7,100,'Increases power of caster by 7.0% instantly and every 3 seconds',0,2),
(15275,1001858,7,100,'This effect cannot be critically applied.',1,3),
(15276,1001858,7,100,'Suspends when the mage is engaged in combat',0,4),
(15277,1001858,7,100,'Cannot be modified except by direct means',0,5),
(15278,1001858,8,100,'Heals caster for 8.0% of max health instantly and every 3 seconds',0,0),
(15279,1001858,8,100,'This effect cannot be critically applied.',1,1),
(15280,1001858,8,100,'Increases power of caster by 8.0% instantly and every 3 seconds',0,2),
(15281,1001858,8,100,'This effect cannot be critically applied.',1,3),
(15282,1001858,8,100,'Suspends when the mage is engaged in combat',0,4),
(15283,1001858,8,100,'Cannot be modified except by direct means',0,5),
(15284,1001857,8,100,'Heals caster for 8.0% of max health instantly and every 3 seconds',0,0),
(15285,1001857,8,100,'This effect cannot be critically applied.',1,1),
(15286,1001857,8,100,'Increases power of caster by 8.0% instantly and every 3 seconds',0,2),
(15287,1001857,8,100,'This effect cannot be critically applied.',1,3),
(15288,1001857,8,100,'Suspends when the scout is engaged in combat',0,4),
(15289,1001858,9,100,'Heals caster for 9.0% of max health instantly and every 3 seconds',0,0),
(15290,1001858,9,100,'This effect cannot be critically applied.',1,1),
(15291,1001858,9,100,'Increases power of caster by 9.0% instantly and every 3 seconds',0,2),
(15292,1001858,9,100,'This effect cannot be critically applied.',1,3),
(15293,1001858,9,100,'Suspends when the mage is engaged in combat',0,4),
(15294,1001858,9,100,'Cannot be modified except by direct means',0,5),
(15295,1001857,9,100,'Heals caster for 9.0% of max health instantly and every 3 seconds',0,0),
(15296,1001857,9,100,'This effect cannot be critically applied.',1,1),
(15297,1001857,9,100,'Increases power of caster by 9.0% instantly and every 3 seconds',0,2),
(15298,1001857,9,100,'This effect cannot be critically applied.',1,3),
(15299,1001857,9,100,'Suspends when the scout is engaged in combat',0,4),
(15300,1001858,10,100,'Heals caster for 10.0% of max health instantly and every 3 seconds',0,0),
(15301,1001858,10,100,'This effect cannot be critically applied.',1,1),
(15302,1001858,10,100,'Increases power of caster by 10.0% instantly and every 3 seconds',0,2),
(15303,1001858,10,100,'This effect cannot be critically applied.',1,3),
(15304,1001858,10,100,'Suspends when the mage is engaged in combat',0,4),
(15305,1001858,10,100,'Cannot be modified except by direct means',0,5),
(15306,1001857,10,100,'Heals caster for 10.0% of max health instantly and every 3 seconds',0,0),
(15307,1001857,10,100,'This effect cannot be critically applied.',1,1),
(15308,1001857,10,100,'Increases power of caster by 10.0% instantly and every 3 seconds',0,2),
(15309,1001857,10,100,'This effect cannot be critically applied.',1,3),
(15310,1001857,10,100,'Suspends when the scout is engaged in combat',0,4),
(15311,1001859,1,100,'Increases the skill bonuses by 5%.',0,0),
(15312,1001859,1,100,'Increases the physical mitigation by an additional 1%.',0,1),
(15313,1001859,2,100,'Increases the skill bonuses by 10%.',0,0),
(15314,1001859,2,100,'Increases the physical mitigation by an additional 2%.',0,1),
(15315,1001859,3,100,'Increases the skill bonuses by 15%.',0,0),
(15316,1001859,3,100,'Increases the physical mitigation by an additional 3%.',0,1),
(15317,1001859,4,100,'Increases the skill bonuses by 20%.',0,0),
(15318,1001859,4,100,'Increases the physical mitigation by an additional 4%.',0,1),
(15319,1001859,5,100,'Increases the skill bonuses by 25%.',0,0),
(15320,1001859,5,100,'Increases the physical mitigation by an additional 5%.',0,1),
(15321,1001860,2,100,'Reduces the base reuse of Toxic Mist to 135 seconds.',0,0),
(15322,1001860,3,100,'Reduces the base reuse of Mind Control to 90 seconds.',0,0),
(15323,1001861,2,100,'Reduces the base reuse of Fanatic''s Protection to 12 seconds.',0,0),
(15324,1001861,3,100,'Reduces the base reuse of Fanatic''s Protection to 6 seconds.',0,0),
(15325,1001862,1,100,'Reduces the reuse time of Bladedance by 25 seconds.',0,0),
(15326,1001862,2,100,'Reduces the reuse time of Bladedance by 50 seconds.',0,0),
(15327,1001862,3,100,'Reduces the reuse time of Bladedance by 75 seconds.',0,0),
(15328,1001862,4,100,'Reduces the reuse time of Bladedance by 100 seconds.',0,0),
(15329,1001862,5,100,'Reduces the reuse time of Bladedance by 125 seconds.',0,0),
(15330,1001862,6,100,'Reduces the reuse time of Bladedance by 150 seconds.',0,0),
(15331,1001862,7,100,'Reduces the reuse time of Bladedance by 175 seconds.',0,0),
(15332,1001862,8,100,'Reduces the reuse time of Bladedance by 200 seconds.',0,0),
(15333,1001863,2,100,'Reduces the base reuse of Rot Flesh to 90 seconds.',0,0),
(15334,1001863,3,100,'Reduces the base reuse of Rot Flesh to 60 seconds.',0,0),
(15335,1001864,2,100,'Reduces the base reuse of Sanctify to 20 seconds.',0,0),
(15336,1001864,3,100,'Reduces the base reuse of Sanctify to 10 seconds.',0,0),
(15337,1001866,1,100,'Changes Velocity into a group spell.',0,0),
(15338,1001867,1,100,'Bagpipe Solo will grant the group 0.3% potency when anyone takes damage. This increments up to 24 times.',0,0),
(15339,1001867,2,100,'Bagpipe Solo will grant the group 0.6% potency when anyone takes damage. This increments up to 24 times.',0,0),
(15340,1001867,3,100,'Bagpipe Solo will grant the group 0.9% potency when anyone takes damage. This increments up to 24 times.',0,0),
(15341,1001868,1,100,'33% of the damage received when Exuberent Encore is active will be applied as extra damage to Victorious Concerto. This damage caps at 20 times the maximum health of the target.',0,0),
(15342,1001868,2,100,'66% of the damage received when Exuberent Encore is active will be applied as extra damage to Victorious Concerto. This damage caps at 20 times the maximum health of the target.',0,0),
(15343,1001868,3,100,'100% of the damage received when Exuberent Encore is active will be applied as extra damage to Victorious Concerto. This damage caps at 20 times the maximum health of the target.',0,0),
(15344,1001869,1,100,'Applies Infectious Sting to qualifying pets.',0,0),
(15345,1001869,1,100,'Improves the damage of Infectious Sting by 1%',1,1),
(15346,1001869,2,100,'Applies Infectious Sting to qualifying pets.',0,0),
(15347,1001869,2,100,'Improves the damage of Infectious Sting by 2%',1,1),
(15348,1001869,3,100,'Applies Infectious Sting to qualifying pets.',0,0),
(15349,1001869,3,100,'Improves the damage of Infectious Sting by 3%',1,1),
(15350,1001869,4,100,'Applies Infectious Sting to qualifying pets.',0,0),
(15351,1001869,4,100,'Improves the damage of Infectious Sting by 4%',1,1),
(15352,1001869,5,100,'Applies Infectious Sting to qualifying pets.',0,0),
(15353,1001869,5,100,'Improves the damage of Infectious Sting by 5%',1,1),
(15354,1001869,6,100,'Applies Infectious Sting to qualifying pets.',0,0),
(15355,1001869,6,100,'Improves the damage of Infectious Sting by 6%',1,1),
(15356,1001869,7,100,'Applies Infectious Sting to qualifying pets.',0,0),
(15357,1001869,7,100,'Improves the damage of Infectious Sting by 7%',1,1),
(15358,1001869,8,100,'Applies Infectious Sting to qualifying pets.',0,0),
(15359,1001869,8,100,'Improves the damage of Infectious Sting by 8%',1,1),
(15360,1001869,9,100,'Applies Infectious Sting to qualifying pets.',0,0),
(15361,1001869,9,100,'Improves the damage of Infectious Sting by 9%',1,1),
(15362,1001869,10,100,'Applies Infectious Sting to qualifying pets.',0,0),
(15363,1001869,10,100,'Improves the damage of Infectious Sting by 10%',1,1),
(15364,1001870,1,100,'Spinechiller Blood will reduce the target''s maximum health by 0.5%',0,0),
(15365,1001870,2,100,'Spinechiller Blood will reduce the target''s maximum health by 1%',0,0),
(15366,1001870,3,100,'Spinechiller Blood will reduce the target''s maximum health by 1.5%',0,0),
(15367,1001870,4,100,'Spinechiller Blood will reduce the target''s maximum health by 2%',0,0),
(15368,1001870,5,100,'Spinechiller Blood will reduce the target''s maximum health by 2.5%',0,0),
(15369,1001871,1,100,'Improves the stamina granted by 10%',0,0),
(15370,1001871,2,100,'Improves the stamina granted by 20%',0,0),
(15371,1001871,3,100,'Improves the stamina granted by 30%',0,0),
(15372,1001871,4,100,'Improves the stamina granted by 40%',0,0),
(15373,1001871,5,100,'Improves the stamina granted by 50%',0,0),
(15374,1001872,1,100,'Increases success chance by 2.0%',0,0),
(15375,1001872,2,100,'Increases success chance by 2.0%',0,0),
(15376,1001873,1,100,'Increases Max Power of caster by 3.0%',0,0),
(15377,1001873,2,100,'Increases Max Power of caster by 3.0%',0,0),
(15378,1001874,2,100,'Increases Health Regen of caster by 6.0',0,0),
(15379,1001875,1,100,'Increases Mount Speed of caster by 2.0%',0,0),
(15380,1001875,1,100,'Increases speed of caster by 2.0%',0,1),
(15381,1001875,2,100,'Increases Ground Mount Speed of caster by 4.0%',0,0),
(15382,1001875,2,100,'Increases speed of caster by 4.0%',0,1),
(15383,1001875,3,100,'Increases Ground Mount Speed of caster by 6.0%',0,0),
(15384,1001875,3,100,'Increases speed of caster by 6.0%',0,1),
(15385,1001875,4,100,'Increases Ground Mount Speed of caster by 8.0%',0,0),
(15386,1001875,4,100,'Increases speed of caster by 8.0%',0,1),
(15387,1001875,5,100,'Increases Ground Mount Speed of caster by 10.0%',0,0),
(15388,1001875,5,100,'Increases speed of caster by 10.0%',0,1),
(15389,1001876,1,100,'Applies Insect''s Might to qualifying pets.',0,0),
(15390,1001876,1,100,'Improves the duration of Insect''s Might by 10%',1,1),
(15391,1001876,2,100,'Applies Insect''s Might to qualifying pets.',0,0),
(15392,1001876,2,100,'Improves the duration of Insect''s Might by 20%',1,1),
(15393,1001876,3,100,'Applies Insect''s Might to qualifying pets.',0,0),
(15394,1001876,3,100,'Improves the duration of Insect''s Might by 30%',1,1),
(15395,1001876,4,100,'Applies Insect''s Might to qualifying pets.',0,0),
(15396,1001876,4,100,'Improves the duration of Insect''s Might by 40%',1,1),
(15397,1001876,5,100,'Applies Insect''s Might to qualifying pets.',0,0),
(15398,1001876,5,100,'Improves the duration of Insect''s Might by 50%',1,1),
(15399,1001876,6,100,'Applies Insect''s Might to qualifying pets.',0,0),
(15400,1001876,6,100,'Improves the duration of Insect''s Might by 60%',1,1),
(15401,1001876,7,100,'Applies Insect''s Might to qualifying pets.',0,0),
(15402,1001876,7,100,'Improves the duration of Insect''s Might by 70%',1,1),
(15403,1001876,8,100,'Applies Insect''s Might to qualifying pets.',0,0),
(15404,1001876,8,100,'Improves the duration of Insect''s Might by 80%',1,1),
(15405,1001876,9,100,'Applies Insect''s Might to qualifying pets.',0,0),
(15406,1001876,9,100,'Improves the duration of Insect''s Might by 90%',1,1),
(15407,1001876,10,100,'Applies Insect''s Might to qualifying pets.',0,0),
(15408,1001876,10,100,'Improves the duration of Insect''s Might by 100%',1,1),
(15409,1001877,1,100,'Improves the damage and critical multiplier of the predator''s flanking attack by 2%.',0,0),
(15410,1001877,2,100,'Improves the damage and critical multiplier of the predator''s flanking attack by 4%.',0,0),
(15411,1001877,3,100,'Improves the damage and critical multiplier of the predator''s flanking attack by 6%.',0,0),
(15412,1001877,4,100,'Improves the damage and critical multiplier of the predator''s flanking attack by 8%.',0,0),
(15413,1001877,5,100,'Improves the damage and critical multiplier of the predator''s flanking attack by 10%.',0,0),
(15414,1001878,1,100,'Increases WIS of caster by 2.5',0,0),
(15415,1001878,2,100,'Increases WIS of caster by 2.5',0,0),
(15416,1001879,1,100,'Increases WIS of caster by 4.0',0,0),
(15417,1001879,2,100,'Increases WIS of caster by 4.0',0,0),
(15418,1001880,1,100,'Increases the amount of threat and damage generated by Insolence by 5%.',0,0),
(15419,1001880,2,100,'Increases the amount of threat and damage generated by Insolence by 10%.',0,0),
(15420,1001880,3,100,'Increases the amount of threat and damage generated by Insolence by 15%.',0,0),
(15421,1001880,4,100,'Increases the amount of threat and damage generated by Insolence by 20%.',0,0),
(15422,1001880,5,100,'Increases the amount of threat and damage generated by Insolence by 25%.',0,0),
(15423,1001881,1,100,'Lung Puncture has a has a 5% chance to clear the reuse of Inspired Daring.',0,0),
(15424,1001881,2,100,'Lung Puncture has a has a 10% chance to clear the reuse of Inspired Daring.',0,0),
(15425,1001882,1,100,'Increases Crit Chance of caster by 1.6',0,0),
(15426,1001882,2,100,'Increases Crit Chance of caster by 3.1',0,0),
(15427,1001882,3,100,'Increases Crit Chance of caster by 4.7',0,0),
(15428,1001882,4,100,'Increases Crit Chance of caster by 6.2',0,0),
(15429,1001882,5,100,'Increases Crit Chance of caster by 7.8',0,0),
(15430,1001882,6,100,'Increases Crit Chance of caster by 9.4',0,0),
(15431,1001882,7,100,'Increases Crit Chance of caster by 10.9',0,0),
(15432,1001882,8,100,'Increases Crit Chance of caster by 12.5',0,0),
(15433,1001882,9,100,'Increases Crit Chance of caster by 14.0',0,0),
(15434,1001882,10,100,'Increases Crit Chance of caster by 15.6',0,0),
(15435,1001883,1,100,'Cure Magic will cast instantly and have its base reuse lowered to 7.5 seconds.',0,0),
(15436,1001884,1,100,'Increases Metalworking of caster by 5.0',0,0),
(15437,1001884,2,100,'Increases Metalworking of caster by 5.0',0,0),
(15438,1001885,1,100,'Increases INT of caster by 2.5',0,0),
(15439,1001885,2,100,'Increases INT of caster by 2.5',0,0),
(15440,1001886,1,100,'Increases INT of caster by 2.5',0,0),
(15441,1001886,2,100,'Increases INT of caster by 2.5',0,0),
(15442,1001887,1,100,'Increases INT of caster by 4.0',0,0),
(15443,1001887,2,100,'Increases INT of caster by 4.0',0,0),
(15444,1001888,1,100,'Increases INT of caster by 2.5',0,0),
(15445,1001888,2,100,'Increases INT of caster by 2.5',0,0),
(15446,1001889,1,100,'Inflicts additional damage when Carnage triggers if the assassin is behind or flanking their target.',0,0),
(15447,1001889,2,100,'Inflicts additional damage when Carnage triggers if the assassin is behind or flanking their target.',0,0),
(15448,1001889,3,100,'Inflicts additional damage when Carnage triggers if the assassin is behind or flanking their target.',0,0),
(15449,1001890,1,100,'Increases Mitigation of caster vs arcane damage by 0',0,0),
(15450,1001890,2,100,'Increases Mitigation of caster vs arcane damage by 0',0,0),
(15451,1001891,1,100,'The priest''s offensive stance will increase Multi-Attack Chance and the potency of all damage abilities by 1.5%',0,0),
(15452,1001891,2,100,'The priest''s offensive stance will increase Multi-Attack Chance and the potency of all damage abilities by 3%',0,0),
(15453,1001891,3,100,'The priest''s offensive stance will increase Multi-Attack Chance and the potency of all damage abilities by 4.5%',0,0),
(15454,1001891,4,100,'The priest''s offensive stance will increase Multi-Attack Chance and the potency of all damage abilities by 6%',0,0),
(15455,1001891,5,100,'The priest''s offensive stance will increase Multi-Attack Chance and the potency of all damage abilities by 7.5%',0,0),
(15456,1001891,6,100,'The priest''s offensive stance will increase Multi-Attack Chance and the potency of all damage abilities by 9%',0,0),
(15457,1001891,7,100,'The priest''s offensive stance will increase Multi-Attack Chance and the potency of all damage abilities by 10.5%',0,0),
(15458,1001891,8,100,'The priest''s offensive stance will increase Multi-Attack Chance and the potency of all damage abilities by 12%',0,0),
(15459,1001891,9,100,'The priest''s offensive stance will increase Multi-Attack Chance and the potency of all damage abilities by 13.5%',0,0),
(15460,1001891,10,100,'The priest''s offensive stance will increase Multi-Attack Chance and the potency of all damage abilities by 15%',0,0),
(15461,1001892,1,100,'Increases Parry of caster by 6.0',0,0),
(15462,1001892,2,100,'Increases Parry of caster by 12.0',0,0),
(15463,1001892,3,100,'Increases Parry of caster by 18.0',0,0),
(15464,1001892,4,100,'Increases Parry of caster by 24.0',0,0),
(15465,1001892,5,100,'Increases Parry of caster by 30.0',0,0),
(15466,1001892,6,100,'Increases Parry of caster by 36.0',0,0),
(15467,1001892,7,100,'Increases Parry of caster by 42.0',0,0),
(15468,1001892,8,100,'Increases Parry of caster by 48.0',0,0),
(15469,1001892,9,100,'Increases Parry of caster by 54.0',0,0),
(15470,1001892,10,100,'Increases Parry of caster by 60.0',0,0),
(15471,1001893,1,100,'Construct''s Interception and Overloaded Interception gain a heal over time effect',0,0),
(15472,1001894,1,100,'Improves the hit rate of Sneering Assault by 5%',0,0),
(15473,1001894,2,100,'Improves the hit rate of Sneering Assault by 10%',0,0),
(15474,1001894,3,100,'Improves the hit rate of Sneering Assault by 15%',0,0),
(15475,1001894,4,100,'Improves the hit rate of Sneering Assault by 20%',0,0),
(15476,1001894,5,100,'Improves the hit rate of Sneering Assault by 25%',0,0),
(15477,1001894,6,100,'Improves the hit rate of Sneering Assault by 30%',0,0),
(15478,1001894,7,100,'Improves the hit rate of Sneering Assault by 35%',0,0),
(15479,1001894,8,100,'Improves the hit rate of Sneering Assault by 40%',0,0),
(15480,1001894,9,100,'Improves the hit rate of Sneering Assault by 45%',0,0),
(15481,1001894,10,100,'Improves the hit rate of Sneering Assault by 50%',0,0),
(15482,1001894,10,100,'Sneering Assault cannot be blocked, parried or riposted.',0,1),
(15483,1001895,1,100,'On any combat or spell hit this spell may cast Intoxicating Notes on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(15484,1001895,2,100,'On any combat or spell hit this spell may cast Intoxicating Notes on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(15485,1001895,3,100,'On any combat or spell hit this spell may cast Intoxicating Notes on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(15486,1001895,4,100,'On any combat or spell hit this spell may cast Intoxicating Notes on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(15487,1001895,5,100,'On any combat or spell hit this spell may cast Intoxicating Notes on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(15488,1001896,1,100,'Increases Combat Health Regen of caster by 5.0',0,0),
(15489,1001896,2,100,'Increases Combat Health Regen of caster by 5.0',0,0),
(15490,1001897,1,100,'Increases Sculpting of caster by 5.0',0,0),
(15491,1001897,2,100,'Increases Sculpting of caster by 5.0',0,0),
(15492,1001898,1,100,'Reduces the power cost of all Woodworker reaction arts by 10%',0,0),
(15493,1001898,2,100,'Reduces the power cost of all Woodworker reaction arts by 10%',0,0),
(15494,1001899,1,100,'Improves the mana replenishment by 3%.',0,0),
(15495,1001899,2,100,'Improves the mana replenishment by 6%.',0,0),
(15496,1001899,3,100,'Improves the mana replenishment by 9%.',0,0),
(15497,1001899,4,100,'Improves the mana replenishment by 12%.',0,0),
(15498,1001899,5,100,'Improves the mana replenishment by 15%.',0,0),
(15499,1001900,1,100,'On a healing spell cast this spell may cast Invigorated on target of spell cast.  Lasts for 10.0 seconds.  Triggers about 1.0 times per minute. ',0,0),
(15500,1001900,1,100,'Increases Spell Doublecast of target by 3.0%',1,1),
(15501,1001900,1,100,'Target has a 10.0% chance of having one of their weapons'' auto-attack strike the target multiple times.',1,2),
(15502,1001900,2,100,'On a healing spell cast this spell may cast Invigorated on target of spell cast.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(15503,1001900,2,100,'Increases Spell Doublecast of target by 3.0%',1,1),
(15504,1001900,2,100,'Target has a 10.0% chance of having one of their weapons'' auto-attack strike the target multiple times.',1,2),
(15505,1001900,3,100,'On a healing spell cast this spell may cast Invigorated on target of spell cast.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,0),
(15506,1001900,3,100,'Increases Doublecast Chance of target by 3.0%',1,1),
(15507,1001900,3,100,'Target has a 10.0% chance of having one of their weapons'' auto-attack strike the target multiple times.',1,2),
(15508,1001901,1,100,'Rejuvenating Celebration will also grant 5% maximum health to the group.',0,0),
(15509,1001901,2,100,'Rejuvenating Celebration will also grant 5% maximum health to the group.',0,0),
(15510,1001901,2,100,'Requiem of Reflection will also increase the amount of health group members receive when healed by 5%.',0,1),
(15511,1001901,3,100,'Rejuvenating Celebration will also grant 5% maximum health to the group.',0,0),
(15512,1001901,3,100,'Requiem of Reflection will also increase the amount of health group members receive when healed by 5%.',0,1),
(15513,1001901,3,100,'Graceful Avoidance will also grant a 3% chance to dodge attacks. It no longer costs concentration.',0,2),
(15514,1001902,1,100,'Seeking Cascade will increase the channeler''s maximum health by 7%',0,0),
(15515,1001902,1,100,'Seeking Cascade will increase the channeler''s crit bonus by 5%',0,1),
(15516,1001902,2,100,'Seeking Cascade will increase the channeler''s maximum health by 14%',0,0),
(15517,1001902,2,100,'Seeking Cascade will increase the channeler''s crit bonus by 10%',0,1),
(15518,1001902,3,100,'Seeking Cascade will increase the channeler''s maximum health by 21%',0,0),
(15519,1001902,3,100,'Seeking Cascade will increase the channeler''s crit bonus by 15%',0,1),
(15520,1001903,1,100,'For every 20 Potency, the caster gains 1 Crit Bonus.',0,0),
(15521,1001904,1,100,'Increases STR of caster by 8.0',0,0),
(15522,1001905,1,100,'Increases Power Regen of caster by 9.0',0,0),
(15523,1001905,2,100,'Increases Power Regen of caster by 9.0',0,0),
(15524,1001906,1,100,'Jester''s Cap grants the target a chance to inflict additional damage when attacking.',0,0),
(15525,1001907,1,100,'Increases Max Health of caster by 3.0%',0,0),
(15529,1001908,1,100,'Increases Crushing, Slashing, Piercing and Ranged of caster by 4.5',0,0),
(15530,1001908,2,100,'Increases Crushing, Slashing, Piercing and Ranged of caster by 9.0',0,0),
(15531,1001908,3,100,'Increases Crushing, Slashing, Piercing and Ranged of caster by 13.5',0,0),
(15532,1001908,4,100,'Increases Crushing, Slashing, Piercing and Ranged of caster by 18.0',0,0),
(15533,1001908,5,100,'Increases Crushing, Slashing, Piercing and Ranged of caster by 22.5',0,0),
(15534,1001908,6,100,'Increases Crushing, Slashing, Piercing and Ranged of caster by 27.0',0,0),
(15535,1001908,7,100,'Increases Crushing, Slashing, Piercing and Ranged of caster by 31.5',0,0),
(15536,1001908,8,100,'Increases Crushing, Slashing, Piercing and Ranged of caster by 36.0',0,0),
(15537,1001908,9,100,'Increases Crushing, Slashing, Piercing and Ranged of caster by 40.5',0,0),
(15538,1001908,10,100,'Increases Crushing, Slashing, Piercing and Ranged of caster by 45.0',0,0),
(15539,1001909,2,100,'Increases Max Power of caster by 3.0%',0,0),
(15540,1001910,2,100,'Improves the duration of food by 15%',0,0),
(15541,1001911,2,100,'Reduces the time needed to gather or forest by .5 seconds.',0,0),
(15542,1001912,1,100,'Increases STR of caster by 2.5',0,0),
(15543,1001912,2,100,'Increases STR of caster by 2.5',0,0),
(15544,1001913,1,100,'Increases speed of caster by 5.0%',0,0),
(15545,1001913,2,100,'Increases speed of caster by 5.0%',0,0),
(15546,1001914,1,100,'Improves the base and critical damage by 5%.',0,0),
(15547,1001914,2,100,'Improves the base and critical damage by 10%.',0,0),
(15548,1001914,3,100,'Improves the base and critical damage by 15%.',0,0),
(15549,1001914,4,100,'Improves the base and critical damage by 20%.',0,0),
(15550,1001914,5,100,'Improves the base and critical damage by 25%.',0,0),
(15551,1001915,1,100,'On a melee hit this spell has a 5% chance to cast Killing Blow on target of attack.  ',0,0),
(15552,1001915,1,100,'Inflicts 10 - 17 piercing damage on target',1,1),
(15553,1001915,2,100,'On a melee hit this spell has a 10% chance to cast Killing Blow on target of attack.  ',0,0),
(15554,1001915,2,100,'Inflicts 1385 - 2309 piercing damage on target',1,1),
(15555,1001915,3,100,'On a melee hit this spell has a 15% chance to cast Killing Blow on target of attack.  ',0,0),
(15556,1001915,3,100,'Inflicts 2078 - 3463 piercing damage on target',1,1),
(15557,1001915,4,100,'On a melee hit this spell has a 20% chance to cast Killing Blow on target of attack.  ',0,0),
(15558,1001915,4,100,'Inflicts 2079 - 3464 piercing damage on target',1,1),
(15559,1001915,5,100,'On a melee hit this spell has a 25% chance to cast Killing Blow on target of attack.  ',0,0),
(15560,1001915,5,100,'Inflicts 3463 - 5771 piercing damage on target',1,1),
(15561,1001916,1,100,'Improves the damage of any attack by 3% when the target is below 30% health.',0,0),
(15562,1001916,2,100,'Improves the damage of any attack by 6% when the target is below 30% health.',0,0),
(15563,1001916,3,100,'Improves the damage of any attack by 9% when the target is below 30% health.',0,0),
(15564,1001916,4,100,'Improves the damage of any attack by 12% when the target is below 30% health.',0,0),
(15565,1001916,5,100,'Improves the damage of any attack by 15% when the target is below 30% health.',0,0),
(15566,1001917,1,100,'Improves the damage of Area Effect profession combat arts, Arrow Barrage and Shadow Step by 10%.',0,0),
(15567,1001917,2,100,'Improves the damage of Area Effect profession combat arts, Arrow Barrage and Shadow Step by 20%.',0,0),
(15568,1001917,3,100,'Improves the damage of Area Effect profession combat arts, Arrow Barrage and Shadow Step by 30%.',0,0),
(15569,1001917,4,100,'Improves the damage of Area Effect profession combat arts, Arrow Barrage and Shadow Step by 40%.',0,0),
(15570,1001917,5,100,'Improves the damage of Area Effect profession combat arts, Arrow Barrage and Shadow Step by 50%.',0,0),
(15571,1001917,6,100,'Improves the damage of Area Effect profession combat arts, Arrow Barrage and Shadow Step by 60%.',0,0),
(15572,1001917,7,100,'Improves the damage of Area Effect profession combat arts, Arrow Barrage and Shadow Step by 70%.',0,0),
(15573,1001917,8,100,'Improves the damage of Area Effect profession combat arts, Arrow Barrage and Shadow Step by 80%.',0,0),
(15574,1001917,9,100,'Improves the damage of Area Effect profession combat arts, Arrow Barrage and Shadow Step by 90%.',0,0),
(15575,1001917,10,100,'Improves the damage of Area Effect profession combat arts, Arrow Barrage and Shadow Step by 100%.',0,0),
(15576,1001918,1,100,'Adds a secondary heal effect on termination',0,0),
(15577,1001918,2,100,'Adds a secondary heal effect on termination',0,0),
(15578,1001918,3,100,'Adds a secondary heal effect on termination',0,0),
(15579,1001918,4,100,'Adds a secondary heal effect on termination',0,0),
(15580,1001918,5,100,'Adds a secondary heal effect on termination',0,0),
(15581,1001919,1,100,'When any damage is received this spell has a 15% chance to cast Kinetic Absorption on target.  ',0,0),
(15582,1001919,1,100,'Heals caster for 1',1,1),
(15583,1001919,1,100,'This effect can only trigger once every 1.0 second.',1,2),
(15584,1001919,2,100,'When any damage is received this spell has a 15% chance to cast Kinetic Absorption on target.  ',0,0),
(15585,1001919,2,100,'Heals caster for 20 - 25',1,1),
(15586,1001919,2,100,'This effect can only trigger once every 1.0 second.',1,2),
(15587,1001919,3,100,'When any damage is received this spell has a 15% chance to cast Kinetic Absorption on target.  ',0,0),
(15588,1001919,3,100,'Heals caster for 61 - 74',1,1),
(15589,1001919,3,100,'This effect can only trigger once every 1.0 second.',1,2),
(15590,1001919,4,100,'When any damage is received this spell has a 15% chance to cast Kinetic Absorption on target.  ',0,0),
(15591,1001919,4,100,'Heals caster for 20 - 25',1,1),
(15592,1001919,4,100,'This effect can only trigger once every 1.0 second.',1,2),
(15593,1001919,5,100,'When any damage is received this spell has a 15% chance to cast Kinetic Absorption on target.  ',0,0),
(15594,1001919,5,100,'Heals caster for 101 - 124',1,1),
(15595,1001919,5,100,'This effect can only trigger once every 1.0 second.',1,2),
(15596,1001919,6,100,'When any damage is received this spell has a 15% chance to cast Kinetic Absorption on target.  ',0,0),
(15597,1001919,6,100,'Heals caster for 122 - 149',1,1),
(15598,1001919,6,100,'This effect can only trigger once every 1.0 second.',1,2),
(15599,1001919,7,100,'When any damage is received this spell has a 15% chance to cast Kinetic Absorption on target.  ',0,0),
(15600,1001919,7,100,'Heals caster for 142 - 173',1,1),
(15601,1001919,7,100,'This effect can only trigger once every 1.0 second.',1,2),
(15602,1001919,8,100,'When any damage is received this spell has a 15% chance to cast Kinetic Absorption on target.  ',0,0),
(15603,1001919,8,100,'Heals caster for 20 - 25',1,1),
(15604,1001919,8,100,'This effect can only trigger once every 1.0 second.',1,2),
(15605,1001919,9,100,'When any damage is received this spell has a 15% chance to cast Kinetic Absorption on target.  ',0,0),
(15606,1001919,9,100,'Heals caster for 20 - 25',1,1),
(15607,1001919,9,100,'This effect can only trigger once every 1.0 second.',1,2),
(15608,1001919,10,100,'When any damage is received this spell has a 15% chance to cast Kinetic Absorption on target.  ',0,0),
(15609,1001919,10,100,'Heals caster for 203 - 248',1,1),
(15610,1001919,10,100,'This effect can only trigger once every 1.0 second.',1,2),
(15611,1001920,1,100,'In PvP Combat this ability will reduce the lethality of your target.',0,0),
(15612,1001920,1,100,'On a damage spell hit this spell has a 1% chance to cast Kinetic Assault on target of spell.  Lasts for 3.0 seconds.  ',0,1),
(15613,1001920,1,100,'Stuns target',1,2),
(15614,1001920,2,100,'In PvP Combat this ability will reduce the lethality of your target.',0,0),
(15615,1001920,2,100,'On a damage spell hit this spell has a 2% chance to cast Kinetic Assault on target of spell.  Lasts for 3.0 seconds.  ',0,1),
(15616,1001920,2,100,'Stuns target',1,2),
(15617,1001920,3,100,'In PvP Combat this ability will reduce the lethality of your target.',0,0),
(15618,1001920,3,100,'On a damage spell hit this spell has a 3% chance to cast Kinetic Assault on target of spell.  Lasts for 3.0 seconds.  ',0,1),
(15619,1001920,3,100,'Stuns target',1,2),
(15620,1001920,4,100,'In PvP Combat this ability will reduce the lethality of your target.',0,0),
(15621,1001920,4,100,'On a damage spell hit this spell has a 4% chance to cast Kinetic Assault on target of spell.  Lasts for 3.0 seconds.  ',0,1),
(15622,1001920,4,100,'Stuns target',1,2),
(15623,1001920,5,100,'In PvP Combat this ability will reduce the lethality of your target.',0,0),
(15624,1001920,5,100,'On a damage spell hit this spell has a 5% chance to cast Kinetic Assault on target of spell.  Lasts for 3.0 seconds.  ',0,1),
(15625,1001920,5,100,'Stuns target',1,2),
(15626,1001920,6,100,'In PvP Combat this ability will reduce the lethality of your target.',0,0),
(15627,1001920,6,100,'On a damage spell hit this spell has a 6% chance to cast Kinetic Assault on target of spell.  Lasts for 3.0 seconds.  ',0,1),
(15628,1001920,6,100,'Stuns target',1,2),
(15629,1001920,7,100,'In PvP Combat this ability will reduce the lethality of your target.',0,0),
(15630,1001920,7,100,'On a damage spell hit this spell has a 7% chance to cast Kinetic Assault on target of spell.  Lasts for 3.0 seconds.  ',0,1),
(15631,1001920,7,100,'Stuns target',1,2),
(15632,1001920,8,100,'In PvP Combat this ability will reduce the lethality of your target.',0,0),
(15633,1001920,8,100,'On a damage spell hit this spell has a 8% chance to cast Kinetic Assault on target of spell.  Lasts for 3.0 seconds.  ',0,1),
(15634,1001920,8,100,'Stuns target',1,2),
(15635,1001920,9,100,'In PvP Combat this ability will reduce the lethality of your target.',0,0),
(15636,1001920,9,100,'On a damage spell hit this spell has a 9% chance to cast Kinetic Assault on target of spell.  Lasts for 3.0 seconds.  ',0,1),
(15637,1001920,9,100,'Stuns target',1,2),
(15638,1001920,10,100,'In PvP Combat this ability will reduce the lethality of your target.',0,0),
(15639,1001920,10,100,'On a damage spell hit this spell has a 10% chance to cast Kinetic Assault on target of spell.  Lasts for 3.0 seconds.  ',0,1),
(15640,1001920,10,100,'Stuns target',1,2),
(15641,1001921,1,100,'Decreases Hate Gain of caster by 2.0%',0,0),
(15642,1001921,2,100,'Decreases Hate Gain of caster by 4.0%',0,0),
(15643,1001921,3,100,'Decreases Hate Gain of caster by 6.0%',0,0),
(15644,1001921,4,100,'Decreases Hate Gain of caster by 8.0%',0,0),
(15645,1001921,5,100,'Decreases Hate Gain of caster by 10.0%',0,0),
(15646,1001921,6,100,'Decreases Hate Gain of caster by 12.0%',0,0),
(15647,1001921,7,100,'Decreases Hate Gain of caster by 14.0%',0,0),
(15648,1001921,8,100,'Decreases Hate Gain of caster by 16.0%',0,0),
(15649,1001921,9,100,'Decreases Hate Gain of caster by 18.0%',0,0),
(15650,1001921,10,100,'Decreases Hate Gain of caster by 20.0%',0,0),
(15651,1001922,1,100,'Increases Defense of caster by %t%',0,0),
(15652,1001922,2,100,'Increases Defense of caster by %t%',0,0),
(15653,1001922,3,100,'Increases Defense of caster by %t%',0,0),
(15654,1001922,4,100,'Increases Defense of caster by %t%',0,0),
(15655,1001922,5,100,'Increases Defense of caster by %t%',0,0),
(15656,1001922,6,100,'Increases Defense of caster by %t%',0,0),
(15657,1001922,7,100,'Increases Defense of caster by %t%',0,0),
(15658,1001922,8,100,'Increases Defense of caster by %t%',0,0),
(15659,1001922,9,100,'Increases Defense of caster by %t%',0,0),
(15660,1001922,10,100,'Increases Defense of caster by %t%',0,0),
(15661,1001923,1,100,'Increases INT and STA of caster by 4.0',0,0),
(15662,1001923,2,100,'Increases INT and STA of caster by 8.0',0,0),
(15663,1001923,3,100,'Increases INT and STA of caster by 12.0',0,0),
(15664,1001923,4,100,'Increases INT and STA of caster by 16.0',0,0),
(15665,1001923,5,100,'Increases INT and STA of caster by 20.0',0,0),
(15666,1001923,6,100,'Increases INT and STA of caster by 24.0',0,0),
(15667,1001923,7,100,'Increases INT and STA of caster by 28.0',0,0),
(15668,1001923,8,100,'Increases INT and STA of caster by 32.0',0,0),
(15669,1001923,9,100,'Increases INT and STA of caster by 36.0',0,0),
(15670,1001923,10,100,'Increases INT and STA of caster by 40.0',0,0),
(15671,1001924,1,100,'Gives caster a 2.0% chance to strikethrough a successful avoidance check',0,0),
(15672,1001924,1,100,'Increases Riposte Chance of caster by 2.0',0,1),
(15673,1001924,1,100,'Increases Additional chance to Riposte of caster by 2.0',0,2),
(15674,1001924,2,100,'Gives caster a 4.0% chance to strikethrough a successful avoidance check',0,0),
(15675,1001924,2,100,'Increases Additional chance to Riposte of caster by 4.0',0,1),
(15676,1001924,2,100,'Increases Additional chance to Riposte of caster by 4.0',0,2),
(15677,1001924,3,100,'Gives caster a 6.0% chance to strikethrough a successful avoidance check',0,0),
(15678,1001924,3,100,'Increases Additional chance to Riposte of caster by 6.0',0,1),
(15679,1001924,3,100,'Increases Additional chance to Riposte of caster by 6.0',0,2),
(15680,1001924,4,100,'Gives caster a 8.0% chance to strikethrough a successful avoidance check',0,0),
(15681,1001924,4,100,'Increases Additional chance to Riposte of caster by 8.0',0,1),
(15682,1001924,4,100,'Increases Additional chance to Riposte of caster by 8.0',0,2),
(15683,1001924,5,100,'Gives caster a 10.0% chance to strikethrough a successful avoidance check',0,0),
(15684,1001924,5,100,'Increases Riposte Chance of caster by 10.0',0,1),
(15685,1001924,5,100,'Increases Additional chance to Riposte of caster by 10.0',0,2),
(15686,1001925,1,100,'Improves the potency of Fearless Morale by 0.75%.',0,0),
(15687,1001925,2,100,'Improves the potency of Fearless Morale by 1.5%.',0,0),
(15688,1001925,3,100,'Improves the potency of Fearless Morale by 2.25%.',0,0),
(15689,1001925,4,100,'Improves the base heal, taunt and damage of Fearless Morale by 3%.',0,0),
(15690,1001925,5,100,'Improves the potency of Fearless Morale by 3.75%.',0,0),
(15691,1001925,6,100,'Improves the base heal, taunt and damage of Fearless Morale by 4.5%.',0,0),
(15692,1001925,7,100,'Improves the potency of Fearless Morale by 5.25%.',0,0),
(15693,1001925,8,100,'Improves the base heal, taunt and damage of Fearless Morale by 6%.',0,0),
(15694,1001926,1,100,'Increases Weapon Damage of caster by 5.0',0,0),
(15695,1001926,1,100,'If shield equipped in Secondary',0,1),
(15696,1001926,2,100,'Increases Weapon Damage of caster by 10.0',0,0),
(15697,1001926,2,100,'If shield equipped in Secondary',0,1),
(15698,1001926,3,100,'Increases Weapon Damage of caster by 15.0',0,0),
(15699,1001926,3,100,'If shield equipped in Secondary',0,1),
(15700,1001926,4,100,'Increases Weapon Damage Bonus of caster by 20.0',0,0),
(15701,1001926,4,100,'If shield equipped in Secondary',0,1),
(15702,1001926,5,100,'Increases Weapon Damage Bonus of caster by 25.0',0,0),
(15703,1001926,5,100,'If shield equipped in Secondary',0,1),
(15704,1001927,1,100,'Increases WIS of caster by 6.0',0,0),
(15705,1001928,1,100,'Increases crit bonus and potency by 2 following the use of Sinister Strike',0,0),
(15706,1001928,2,100,'Increases crit bonus and potency by 4 following the use of Sinister Strike',0,0),
(15707,1001928,3,100,'Increases crit bonus and potency by 6 following the use of Sinister Strike',0,0),
(15708,1001928,4,100,'Increases crit bonus and potency by 8 following the use of Sinister Strike',0,0),
(15709,1001928,5,100,'Increases crit bonus and potency by 10 following the use of Sinister Strike',0,0),
(15710,1001928,6,100,'Increases crit bonus and potency by 12 following the use of Sinister Strike',0,0),
(15711,1001928,7,100,'Increases crit bonus and potency by 14 following the use of Sinister Strike',0,0),
(15712,1001928,8,100,'Increases crit bonus and potency by 16 following the use of Sinister Strike',0,0),
(15713,1001928,9,100,'Increases crit bonus and potency by 18 following the use of Sinister Strike',0,0),
(15714,1001928,10,100,'Increases crit bonus and potency by 20 following the use of Sinister Strike',0,0),
(15715,1001929,1,100,'Increases the amount of durability gained by 1.0.',0,0),
(15716,1001929,1,100,'Increases success chance by 1.0%',0,1),
(15717,1001929,2,100,'Increases the amount of durability gained by 1.0.',0,0),
(15718,1001929,2,100,'Increases success chance by 1.0%',0,1),
(15719,1001930,1,100,'On a hostile spell cast this spell will cast Kudzu on target of spell.  Lasts for 4.0 seconds.  ',0,0),
(15720,1001930,1,100,'Slows target by 50.0%',1,1),
(15721,1001930,1,100,'Roots target',1,2),
(15722,1001930,1,100,'If Target is not Epic',2,3),
(15723,1001930,1,100,'25% chance to dispel when target takes damage',1,4),
(15724,1001930,1,100,'Resistibility increases against targets higher than level 129.',1,5),
(15725,1001931,1,100,'On any combat or spell hit this spell may cast Lamentation on target of attack.  Triggers about 2.0 times per minute. ',0,0),
(15726,1001931,1,100,'Inflicts 582 - 970 disease damage on target',1,1),
(15727,1001931,1,100,'Heals caster for 169 - 281',1,2),
(15728,1001931,2,100,'On any combat or spell hit this spell may cast Lamentation on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(15729,1001931,2,100,'Inflicts 582 - 970 disease damage on target',1,1),
(15730,1001931,2,100,'Heals caster for 169 - 281',1,2),
(15731,1001931,3,100,'On any combat or spell hit this spell may cast Lamentation on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(15732,1001931,3,100,'Inflicts 436 - 727 disease damage on target',1,1),
(15733,1001931,3,100,'Heals caster for 169 - 281',1,2),
(15734,1001932,1,100,'Increases STA of caster by 2.5',0,0),
(15735,1001932,2,100,'Increases STA of caster by 2.5',0,0),
(15736,1001933,1,100,'Decreases falling damage taken by caster by 15.0%',0,0),
(15737,1001933,2,100,'Decreases falling damage taken by caster by 15.0%',0,0),
(15738,1001934,1,100,'When target falls below 2% health this spell will cast Last Stand on target.  Lasts for 6.0 seconds.  ',0,0),
(15739,1001934,1,100,'Reduces all damage done to caster by 5.75%',1,1),
(15740,1001934,1,100,'This effect can only trigger once every 90.0 seconds.',1,2),
(15741,1001934,2,100,'When target falls below 2% health this spell will cast Last Stand on target.  Lasts for 6.0 seconds.  ',0,0),
(15742,1001934,2,100,'Reduces all damage done to caster by 11.5%',1,1),
(15743,1001934,2,100,'This effect can only trigger once every 90.0 seconds.',1,2),
(15744,1001934,3,100,'When target falls below 2% health this spell will cast Last Stand on target.  Lasts for 6.0 seconds.  ',0,0),
(15745,1001934,3,100,'Reduces all damage done to caster by 17.25%',1,1),
(15746,1001934,3,100,'This effect can only trigger once every 90.0 seconds.',1,2),
(15747,1001934,4,100,'When target falls below 2% health this spell will cast Last Stand on target.  Lasts for 6.0 seconds.  ',0,0),
(15748,1001934,4,100,'Reduces all damage done to caster by 23%',1,1),
(15749,1001934,4,100,'This effect can only trigger once every 90.0 seconds.',1,2),
(15750,1001934,5,100,'When target falls below 2% health this spell will cast Last Stand on target.  Lasts for 6.0 seconds.  ',0,0),
(15751,1001934,5,100,'Reduces all damage done to caster by 28.75%',1,1),
(15752,1001934,5,100,'This effect can only trigger once every 90.0 seconds.',1,2),
(15753,1001934,6,100,'When target falls below 2% health this spell will cast Last Stand on target.  Lasts for 6.0 seconds.  ',0,0),
(15754,1001934,6,100,'Reduces all damage done to caster by 34.5%',1,1),
(15755,1001934,6,100,'This effect can only trigger once every 90.0 seconds.',1,2),
(15756,1001934,7,100,'When target falls below 2% health this spell will cast Last Stand on target.  Lasts for 6.0 seconds.  ',0,0),
(15757,1001934,7,100,'Reduces all damage done to caster by 40.25%',1,1),
(15758,1001934,7,100,'This effect can only trigger once every 90.0 seconds.',1,2),
(15759,1001934,8,100,'When target falls below 2% health this spell will cast Last Stand on target.  Lasts for 6.0 seconds.  ',0,0),
(15760,1001934,8,100,'Reduces all damage done to caster by 46%',1,1),
(15761,1001934,8,100,'This effect can only trigger once every 90.0 seconds.',1,2),
(15762,1001934,9,100,'When target falls below 2% health this spell will cast Last Stand on target.  Lasts for 6.0 seconds.  ',0,0),
(15763,1001934,9,100,'Reduces all damage done to caster by 51.75%',1,1),
(15764,1001934,9,100,'This effect can only trigger once every 90.0 seconds.',1,2),
(15765,1001934,10,100,'When target falls below 2% health this spell will cast Last Stand on target.  Lasts for 6.0 seconds.  ',0,0),
(15766,1001934,10,100,'Reduces all damage done to caster by 57.5%',1,1),
(15767,1001934,10,100,'This effect can only trigger once every 90.0 seconds.',1,2),
(15768,1001935,1,100,'Increases the duration of Seafury Thrust by 33%',0,0),
(15769,1001935,2,100,'Increases the duration of Seafury Thrust by 66%',0,0),
(15770,1001935,3,100,'Increases the duration of Seafury Thrust by 100%',0,0),
(15771,1001936,1,100,'The fighter''s defensive stance''s Worn Armor Mitigation will be increased by 1%',0,0),
(15772,1001936,2,100,'The fighter''s defensive stance''s Worn Armor Mitigation will be increased by 2%',0,0),
(15773,1001936,3,100,'The fighter''s defensive stance''s Worn Armor Mitigation will be increased by 3%',0,0),
(15774,1001936,4,100,'The fighter''s defensive stance''s Worn Armor Mitigation will be increased by 4%',0,0),
(15775,1001936,5,100,'The fighter''s defensive stance''s Worn Armor Mitigation will be increased by 5%',0,0),
(15776,1001936,6,100,'The fighter''s defensive stance''s Worn Armor Mitigation will be increased by 6%',0,0),
(15777,1001936,7,100,'The fighter''s defensive stance''s Worn Armor Mitigation will be increased by 7%',0,0),
(15778,1001936,8,100,'The fighter''s defensive stance''s Worn Armor Mitigation will be increased by 8%',0,0),
(15779,1001936,9,100,'The fighter''s defensive stance''s Worn Armor Mitigation will be increased by 9%',0,0),
(15780,1001936,10,100,'The fighter''s defensive stance''s Worn Armor Mitigation will be increased by 10%',0,0),
(15781,1001937,1,100,'Improves the damage and critical multiplier by 2.5%.',0,0),
(15782,1001937,2,100,'Improves the damage and critical multiplier by 5%.',0,0),
(15783,1001937,3,100,'Improves the damage and critical multiplier by 7.5%.',0,0),
(15784,1001937,4,100,'Improves the damage and critical multiplier by 10%.',0,0),
(15785,1001937,5,100,'Improves the damage and critical multiplier by 12.5%.',0,0),
(15786,1001938,1,100,'Increases Mitigation of caster vs physical damage by 3',0,0),
(15787,1001938,2,100,'Increases Mitigation of caster vs physical damage by 3',0,0),
(15788,1001939,1,100,'Adds lifetap effect',0,0),
(15789,1001939,2,100,'Adds lifetap effect',0,0),
(15790,1001939,3,100,'Adds lifetap effect',0,0),
(15791,1001939,4,100,'Adds lifetap effect',0,0),
(15792,1001939,5,100,'Adds lifetap effect',0,0),
(15793,1001940,1,100,'Increases Max Power of caster by 1.0%',0,0),
(15794,1001940,1,100,'Increases Max Health of caster by 2.0%',0,1),
(15795,1001940,2,100,'Increases Max Power of caster by 1.0%',0,0),
(15796,1001940,2,100,'Increases Max Health of caster by 2.0%',0,1),
(15797,1001941,2,100,'Increases success chance by 2.0%',0,0),
(15798,1001942,1,100,'Increases Max Power of caster by 3.0%',0,0),
(15800,1001943,2,100,'Increases the durability gain by 2 every round.',0,0),
(15801,1001944,1,100,'Increases Max Power of caster by 3.0%',0,0),
(15802,1001944,2,100,'Increases Max Power of caster by 3.0%',0,0),
(15803,1001945,1,100,'Increases success chance by 2.0%',0,0),
(15804,1001945,2,100,'Increases success chance by 2.0%',0,0),
(15805,1001946,1,100,'Increases Spell Doublecast of caster by 0.5%',0,0),
(15806,1001947,1,100,'Increases Max Power of caster by 3.0%',0,0),
(15807,1001946,2,100,'Increases Spell Doublecast of caster by 1.0%',0,0),
(15808,1001947,2,100,'Increases Max Power of caster by 3.0%',0,0),
(15809,1001946,3,100,'Increases Doublecast Chance of caster by 1.5%',0,0),
(15810,1001946,4,100,'Increases Spell Doublecast of caster by 2.0%',0,0),
(15811,1001946,5,100,'Increases Doublecast Chance of caster by 2.5%',0,0),
(15812,1001946,6,100,'Increases Doublecast Chance of caster by 3.0%',0,0),
(15813,1001946,7,100,'Increases Doublecast Chance of caster by 3.5%',0,0),
(15814,1001946,8,100,'Increases Doublecast Chance of caster by 4.0%',0,0),
(15815,1001948,1,100,'Increases INT of caster by 8.0',0,0),
(15816,1001949,1,100,'Increases healing received by 0.25%',0,0),
(15817,1001949,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 0',0,1),
(15818,1001949,2,100,'Increases healing received by 0.50%',0,0),
(15819,1001949,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 500',0,1),
(15820,1001949,3,100,'Increases healing received by 0.75%',0,0),
(15821,1001949,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 682',0,1),
(15822,1001949,4,100,'Increases healing received by 1.00%',0,0),
(15823,1001949,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1000',0,1),
(15824,1001949,5,100,'Increases healing received by 1.25%',0,0),
(15825,1001949,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1250',0,1),
(15826,1001949,6,100,'Increases healing received by 1.50%',0,0),
(15827,1001949,6,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1500',0,1),
(15828,1001949,7,100,'Increases healing received by 1.75%',0,0),
(15829,1001949,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1749',0,1),
(15830,1001949,8,100,'Increases healing received by 2.00%',0,0),
(15831,1001949,8,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1818',0,1),
(15832,1001949,9,100,'Increases healing received by 2.25%',0,0),
(15833,1001949,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2249',0,1),
(15834,1001949,10,100,'Increases healing received by 2.50%',0,0),
(15835,1001949,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2272',0,1),
(15836,1001950,1,100,'Improves the damage of spells by 1.2% of your strength.',0,0),
(15837,1001950,2,100,'Improves the damage of spells by 2.4% of your strength.',0,0),
(15838,1001950,3,100,'Improves the damage of spells by 3.6% of your strength.',0,0),
(15839,1001950,4,100,'Improves the damage of spells by 4.8% of your strength.',0,0),
(15840,1001950,5,100,'Improves the damage of spells by 6% of your strength.',0,0),
(15841,1001950,6,100,'Improves the damage of spells by 7.2% of your strength.',0,0),
(15842,1001950,7,100,'Improves the damage of spells by 8.4% of your strength.',0,0),
(15843,1001950,8,100,'Improves the damage of spells by 9.6% of your strength.',0,0),
(15844,1001950,9,100,'Improves the damage of spells by 10.8% of your strength.',0,0),
(15845,1001950,10,100,'Improves the damage of spells by 12% of your strength.',0,0),
(15846,1001951,1,100,'Improves the heal amount of Reap by 33%',0,0),
(15847,1001951,1,100,'Improves the Potency that Reaping grants by 50%',0,1),
(15848,1001951,2,100,'Improves the heal amount of Reap by 66%',0,0),
(15849,1001951,2,100,'Improves the Potency that Reaping grants by 100%',0,1),
(15850,1001951,3,100,'Improves the heal amount of Reap by 100%',0,0),
(15851,1001951,3,100,'Improves the Potency that Reaping grants by 150%',0,1),
(15852,1001952,1,100,'Increases Mitigation of caster vs arcane damage by 3',0,0),
(15853,1001952,2,100,'Increases Mitigation of caster vs arcane damage by 3',0,0),
(15854,1001953,1,100,'Whenever the target of Force of Nature takes damage, the fury has a 25% chance to gain 2.5 potency. This increments up to 14 times.',0,0),
(15855,1001953,2,100,'Whenever the target of Force of Nature takes damage, the fury has a 50% chance to gain 2.5 potency. This increments up to 14 times.',0,0),
(15856,1001953,3,100,'Whenever the target of Force of Nature takes damage, the fury has a 75% chance to gain 2.5 potency. This increments up to 14 times.',0,0),
(15857,1001954,1,100,'Increases Ability Reuse Speed of caster by 1.0%',0,0),
(15858,1001954,2,100,'Increases Ability Reuse Speed of caster by 2.0%',0,0),
(15859,1001954,3,100,'Increases Ability Reuse Speed of caster by 3.0%',0,0),
(15860,1001954,4,100,'Increases Ability Reuse Speed of caster by 4.0%',0,0),
(15861,1001954,5,100,'Increases Ability Reuse Speed of caster by 5.0%',0,0),
(15862,1001954,6,100,'Increases Ability Reuse Speed of caster by 6.0%',0,0),
(15863,1001954,7,100,'Increases Ability Reuse Speed of caster by 7.0%',0,0),
(15864,1001954,8,100,'Increases Ability Reuse Speed of caster by 8.0%',0,0),
(15865,1001954,9,100,'Increases Ability Reuse Speed of caster by 9.0%',0,0),
(15866,1001954,10,100,'Increases Ability Reuse Speed of caster by 10.0%',0,0),
(15867,1001955,1,100,'When Firelord triggers, the conjuror will gain additional heat damage on their next few attacks.',0,0),
(15868,1001955,2,100,'When Firelord triggers, the conjuror will gain additional heat damage on their next few attacks.',0,0),
(15869,1001955,3,100,'When Firelord triggers, the conjuror will gain additional heat damage on their next few attacks.',0,0),
(15870,1001956,1,100,'Improves the trigger chance of Waveform by 33%',0,0),
(15871,1001956,1,100,'Adds 1 tick to Waveform',0,1),
(15872,1001956,2,100,'Improves the trigger chance of Waveform by 66%',0,0),
(15873,1001956,2,100,'Adds 2 ticks to Waveform',0,1),
(15874,1001956,3,100,'Improves the trigger chance of Waveform by 100%',0,0),
(15875,1001956,3,100,'Adds 4 ticks to Waveform',0,1),
(15876,1001958,1,100,'Increases the Weapon Damage Bonus of Battle Prowess by 0.5',0,0),
(15877,1001958,1,100,'Improves the Doublecast Chance of Casting Expertise by 0.5',0,1),
(15878,1001958,1,100,'Improves the Crit Bonus and STA of Sacred Follower by 1%',0,2),
(15879,1001958,2,100,'Increases the Weapon Damage Bonus of Battle Prowess by 1',0,0),
(15880,1001958,2,100,'Improves the Doublecast Chance of Casting Expertise by 1',0,1),
(15881,1001958,2,100,'Improves the Crit Bonus and STA of Sacred Follower by 2%',0,2),
(15882,1001958,3,100,'Increases the Weapon Damage Bonus of Battle Prowess by 1.5',0,0),
(15883,1001958,3,100,'Improves the Doublecast Chance of Casting Expertise by 1.5',0,1),
(15884,1001958,3,100,'Improves the Crit Bonus and STA of Sacred Follower by 3%',0,2),
(15885,1001958,4,100,'Increases the Weapon Damage Bonus of Battle Prowess by 2',0,0),
(15886,1001958,4,100,'Improves the Doublecast Chance of Casting Expertise by 2',0,1),
(15887,1001958,4,100,'Improves the Crit Bonus and STA of Sacred Follower by 4%',0,2),
(15888,1001958,5,100,'Increases the Weapon Damage Bonus of Battle Prowess by 2.5',0,0),
(15889,1001958,5,100,'Improves the Doublecast Chance of Casting Expertise by 2.5',0,1),
(15890,1001958,5,100,'Improves the Crit Bonus and STA of Sacred Follower by 5%',0,2),
(15891,1001958,6,100,'Increases the Weapon Damage Bonus of Battle Prowess by 3',0,0),
(15892,1001958,6,100,'Improves the Doublecast Chance of Casting Expertise by 3',0,1),
(15893,1001958,6,100,'Improves the Crit Bonus and STA of Sacred Follower by 6%',0,2),
(15894,1001958,7,100,'Increases the Weapon Damage Bonus of Battle Prowess by 3.5',0,0),
(15895,1001958,7,100,'Improves the Doublecast Chance of Casting Expertise by 3.5',0,1),
(15896,1001958,7,100,'Improves the Crit Bonus and STA of Sacred Follower by 7%',0,2),
(15897,1001958,8,100,'Increases the Weapon Damage Bonus of Battle Prowess by 4',0,0),
(15898,1001958,8,100,'Improves the Doublecast Chance of Casting Expertise by 4',0,1),
(15899,1001958,8,100,'Improves the Crit Bonus and STA of Sacred Follower by 8%',0,2),
(15900,1001958,9,100,'Increases the Weapon Damage Bonus of Battle Prowess by 4.5',0,0),
(15901,1001958,9,100,'Improves the Doublecast Chance of Casting Expertise by 4.5',0,1),
(15902,1001958,9,100,'Improves the Crit Bonus and STA of Sacred Follower by 9%',0,2),
(15903,1001958,10,100,'Increases the Weapon Damage Bonus of Battle Prowess by 5',0,0),
(15904,1001958,10,100,'Improves the Doublecast Chance of Casting Expertise by 5',0,1),
(15905,1001958,10,100,'Improves the Crit Bonus and STA of Sacred Follower by 10%',0,2),
(15906,1001959,1,100,'Increases Combat Health Regen of caster by 5.0',0,0),
(15907,1001959,2,100,'Increases Combat Health Regen of caster by 5.0',0,0),
(15908,1001960,1,100,'For every 12 Potency, the caster gains 1 Crit Bonus.',0,0),
(15909,1001961,1,100,'Single target mitigation impairing attacks deal a second strike dealing 1/3rd the damage of the initial strike.',0,0),
(15910,1001961,2,100,'Single target mitigation impairing attacks deal a second strike dealing 2/3rds the damage of the initial strike.',0,0),
(15911,1001961,3,100,'Single target mitigation impairing attacks deal a second strike.',0,0),
(15912,1001962,1,100,'Increases Combat Power Regen of caster by 5.0',0,0),
(15913,1001962,2,100,'Increases Combat Power Regen of caster by 5.0',0,0),
(15914,1001963,1,100,'Increases the trigger chance of all spells by 12% of their base values.',0,0),
(15915,1001963,2,100,'Increases the trigger chance of all spells by 24% of their base values.',0,0),
(15916,1001963,3,100,'Increases the trigger chance of all spells by 36% of their base values.',0,0),
(15917,1001964,1,100,'Improves the refresh rate of Oberon by 25%.',0,0),
(15918,1001964,1,100,'Reduces the power cost of Oberon by 8%.',0,1),
(15919,1001964,2,100,'Improves the refresh rate of Oberon by 25%.',0,0),
(15920,1001964,2,100,'Reduces the power cost of Oberon by 16%.',0,1),
(15921,1001964,3,100,'Improves the refresh rate of Oberon by 25%.',0,0),
(15922,1001964,3,100,'Reduces the power cost of Oberon by 24%.',0,1),
(15923,1001964,4,100,'Improves the refresh rate of Oberon by 25%.',0,0),
(15924,1001964,4,100,'Reduces the power cost of Oberon by 32%.',0,1),
(15925,1001964,5,100,'Improves the refresh rate of Oberon by 50%.',0,0),
(15926,1001964,5,100,'Reduces the power cost of Oberon by 40%.',0,1),
(15927,1001965,1,100,'Improves the base damage by 7%.',0,0),
(15928,1001965,1,100,'Improves the reuse time by 1 seconds.',0,1),
(15929,1001965,2,100,'Improves the base damage by 14%.',0,0),
(15930,1001965,2,100,'Improves the reuse time by 2 seconds.',0,1),
(15931,1001965,3,100,'Improves the base damage by 21%.',0,0),
(15932,1001965,3,100,'Improves the reuse time by 3 seconds.',0,1),
(15933,1001965,4,100,'Improves the base damage by 28%.',0,0),
(15934,1001965,4,100,'Improves the reuse time by 4 seconds.',0,1),
(15935,1001965,5,100,'Improves the base damage by 35%.',0,0),
(15936,1001965,5,100,'Improves the reuse time by 5 seconds.',0,1),
(15937,1001966,1,100,'Increases the damage and critical multiplier of the troubador''s spells by 10%',0,0),
(15938,1001967,1,100,'Reduces the recast by 30 seconds.',0,0),
(15939,1001967,2,100,'Reduces the recast by 60 seconds.',0,0),
(15940,1001967,3,100,'Reduces the recast by 90 seconds.',0,0),
(15941,1001967,4,100,'Reduces the recast by 120 seconds.',0,0),
(15942,1001967,5,100,'Reduces the recast by 150 seconds.',0,0),
(15943,1001968,1,100,'Improves the base damage of all magic based profession spells by 10%.',0,0),
(15944,1001968,1,100,'Increases the critical damage of all magic based profession spells by 5%',0,1),
(15945,1001969,1,100,'Increases Max Power of caster by 3.0%',0,0),
(15946,1001969,2,100,'Increases Max Power of caster by 3.0%',0,0),
(15947,1001970,1,100,'Increases Max Power of caster by 3.0%',0,0),
(15948,1001970,2,100,'Increases Max Power of caster by 3.0%',0,0),
(15949,1001971,1,100,'Increases Mitigation of caster vs arcane damage by 3',0,0),
(15950,1001971,2,100,'Increases Mitigation of caster vs arcane damage by 3',0,0),
(15951,1001972,1,100,'Reduces the recast of Bloodletter by 6 seconds.',0,0),
(15952,1001972,1,100,'Reduces the amount of health stolen by 10%.',0,1),
(15953,1001972,2,100,'Reduces the recast of Bloodletter by 12 seconds.',0,0),
(15954,1001972,2,100,'Reduces the amount of health stolen by 20%.',0,1),
(15955,1001972,3,100,'Reduces the recast of Bloodletter by 18 seconds.',0,0),
(15956,1001972,3,100,'Reduces the amount of health stolen by 30%.',0,1),
(15957,1001972,4,100,'Reduces the recast of Bloodletter by 24 seconds.',0,0),
(15958,1001972,4,100,'Reduces the amount of health stolen by 40%.',0,1),
(15959,1001972,5,100,'Reduces the recast of Bloodletter by 30 seconds.',0,0),
(15960,1001972,5,100,'Reduces the amount of health stolen by 50%.',0,1),
(15961,1001973,1,100,'Increases Mitigation of caster vs arcane damage by 3',0,0),
(15962,1001973,2,100,'Increases Mitigation of caster vs arcane damage by 3',0,0),
(15963,1001974,1,100,'Increases Scribing of caster by 5.0',0,0),
(15964,1001974,2,100,'Increases Scribing of caster by 5.0',0,0),
(15965,1001975,1,100,'Applies Magician''s Aptitude to qualifying pets.  Lasts for 10 minutes.',0,0),
(15966,1001975,2,100,'Applies Magician''s Aptitude to qualifying pets.  Lasts for 10 minutes.',0,0),
(15967,1001975,3,100,'Applies Magician''s Aptitude to qualifying pets.  Lasts for 10 minutes.',0,0),
(15968,1001975,4,100,'Applies Magician''s Aptitude to qualifying pets.  Lasts for 10 minutes.',0,0),
(15969,1001975,5,100,'Applies Magician''s Aptitude to qualifying pets.  Lasts for 10 minutes.',0,0),
(15970,1001975,6,100,'Applies Magician''s Aptitude to qualifying pets.  Lasts for 10 minutes.',0,0),
(15971,1001975,7,100,'Applies Magician''s Aptitude to qualifying pets.  Lasts for 10 minutes.',0,0),
(15972,1001975,8,100,'Applies Magician''s Aptitude to qualifying pets.  Lasts for 10 minutes.',0,0),
(15973,1001976,1,100,'Increases INT and STA of caster by 4.0',0,0),
(15974,1001976,2,100,'Increases INT and STA of caster by 8.0',0,0),
(15975,1001976,3,100,'Increases INT and STA of caster by 12.0',0,0),
(15976,1001976,4,100,'Increases INT and STA of caster by 16.0',0,0),
(15977,1001976,5,100,'Increases INT and STA of caster by 20.0',0,0),
(15978,1001976,6,100,'Increases INT and STA of caster by 24.0',0,0),
(15979,1001976,7,100,'Increases INT and STA of caster by 28.0',0,0),
(15980,1001976,8,100,'Increases INT and STA of caster by 32.0',0,0),
(15981,1001976,9,100,'Increases INT and STA of caster by 36.0',0,0),
(15982,1001976,10,100,'Increases INT and STA of caster by 40.0',0,0),
(15983,1001977,1,100,'Improves the duration by 20%',0,0),
(15984,1001977,2,100,'Improves the duration by 40%',0,0),
(15985,1001977,3,100,'Improves the duration by 60%',0,0),
(15986,1001977,4,100,'Improves the duration by 80%',0,0),
(15987,1001977,5,100,'Improves the duration by 100%',0,0),
(15988,1001978,1,100,'Improves the base casting time of the priest''s group ward, reactive, heal over time or Repair Conduits by 1.5%',0,0),
(15989,1001978,2,100,'Improves the base casting time of the priest''s group ward, reactive, heal over time or Repair Conduits by 3%',0,0),
(15990,1001978,3,100,'Improves the base casting time of the priest''s group ward, reactive, heal over time or Repair Conduits by 4.5%',0,0),
(15991,1001978,4,100,'Improves the base casting time of the priest''s group ward, reactive, heal over time or Repair Conduits by 6%',0,0),
(15992,1001978,5,100,'Improves the base casting time of the priest''s group ward, reactive, heal over time or Repair Conduits by 7.5%',0,0),
(15993,1001978,6,100,'Improves the base casting time of the priest''s group ward, reactive, heal over time or Repair Conduits by 9%',0,0),
(15994,1001978,7,100,'Improves the base casting time of the priest''s group ward, reactive, heal over time or Repair Conduits by 10.5%',0,0),
(15995,1001978,8,100,'Improves the base casting time of the priest''s group ward, reactive, heal over time or Repair Conduits by 12%',0,0),
(15996,1001978,9,100,'Improves the base casting time of the priest''s group ward, reactive, heal over time or Repair Conduits by 13.5%',0,0),
(15997,1001978,10,100,'Improves the base casting time of the priest''s group ward, reactive, heal over time or Repair Conduits by 15%',0,0),
(15998,1001979,1,100,'On a block this spell will cast Malevolent Hatred on target''s victim.  ',0,0),
(15999,1001979,1,100,'Increases Threat to target by 551 - 674 ',1,1),
(16000,1001979,1,100,'Inflicts 74 - 111 disease damage on target',1,2),
(16001,1001979,1,100,'This effect can only trigger once every 1.0 second.',1,3),
(16002,1001979,1,100,'On a block this spell will cast Malevolent Hatred on caster.  ',0,4),
(16003,1001979,1,100,'Heals caster for 0.3 - 0.5% of max health',1,5),
(16004,1001979,1,100,'This effect cannot be critically applied.',2,6),
(16005,1001979,2,100,'On a block this spell will cast Malevolent Hatred on target''s victim.  ',0,0),
(16006,1001979,2,100,'Increases Threat to target by 1,092 - 1,254 ',1,1),
(16007,1001979,2,100,'Inflicts 111 - 166 disease damage on target',1,2),
(16008,1001979,2,100,'This effect can only trigger once every 1.0 second.',1,3),
(16009,1001979,2,100,'On a block this spell will cast Malevolent Hatred on caster.  ',0,4),
(16010,1001979,2,100,'Heals caster for 2.4 - 2.9% of max health',1,5),
(16011,1001979,2,100,'This effect cannot be critically applied.',2,6),
(16012,1001979,3,100,'On a block this spell will cast Malevolent Hatred on target''s victim.  ',0,0),
(16013,1001979,3,100,'Increases Threat to target by 1,487 - 1,697 ',1,1),
(16014,1001979,3,100,'Inflicts 222 - 332 disease damage on target',1,2),
(16015,1001979,3,100,'This effect can only trigger once every 1.0 second.',1,3),
(16016,1001979,3,100,'On a block this spell will cast Malevolent Hatred on caster.  ',0,4),
(16017,1001979,3,100,'Heals caster for 1.0 - 1.4% of max health',1,5),
(16018,1001979,3,100,'This effect cannot be critically applied.',2,6),
(16019,1001979,4,100,'On a block this spell will cast Malevolent Hatred on target''s victim.  ',0,0),
(16020,1001979,4,100,'Increases Threat to target by 1,802 - 2,083 ',1,1),
(16021,1001979,4,100,'Inflicts 296 - 443 disease damage on target',1,2),
(16022,1001979,4,100,'This effect can only trigger once every 1.0 second.',1,3),
(16023,1001979,4,100,'On a block this spell will cast Malevolent Hatred on caster.  ',0,4),
(16024,1001979,4,100,'Heals caster for 1.3 - 1.9% of max health',1,5),
(16025,1001979,4,100,'This effect cannot be critically applied.',2,6),
(16026,1001979,5,100,'On a block this spell will cast Malevolent Hatred on target''s victim.  ',0,0),
(16027,1001979,5,100,'Increases Threat to target by 2,118 - 2,469 ',1,1),
(16028,1001979,5,100,'Inflicts 369 - 554 disease damage on target',1,2),
(16029,1001979,5,100,'This effect can only trigger once every 1.0 second.',1,3),
(16030,1001979,5,100,'On a block this spell will cast Malevolent Hatred on caster.  ',0,4),
(16031,1001979,5,100,'Heals caster for 1.6 - 2.4% of max health',1,5),
(16032,1001979,5,100,'This effect cannot be critically applied.',2,6),
(16033,1001980,1,100,'Adds an additional effect which increases the base taunt amount of the shadowknight.',0,0),
(16034,1001980,2,100,'Adds an additional effect which increases the base taunt amount of the shadowknight.',0,0),
(16035,1001980,3,100,'Adds an additional effect which increases the base taunt amount of the shadowknight.',0,0),
(16036,1001980,4,100,'Adds an additional effect which increases the base taunt amount of the shadowknight.',0,0),
(16037,1001980,5,100,'Adds an additional effect which increases the base taunt amount of the shadowknight.',0,0),
(16038,1001981,2,100,'Increases speed of caster by 5.0%',0,0),
(16039,1001982,1,100,'Increases the radius of Manatap by 50%.',0,0),
(16040,1001982,1,100,'Manatap has a 5% chance to clear the reuse on Savante.',0,1),
(16041,1001982,2,100,'Increases the radius of Manatap by 100%.',0,0),
(16042,1001982,2,100,'Manatap has a 10% chance to clear the reuse on Savante.',0,1),
(16043,1001983,1,100,'Mana Cloak will now inflict damage when triggered.',0,0),
(16044,1001984,1,100,'Mana Cloak will now inflict damage when triggered.',0,0),
(16045,1001985,1,100,'Increases Max Power of caster by 3.0%',0,0),
(16046,1001985,2,100,'Increases Max Power of caster by 3.0%',0,0),
(16047,1001986,1,100,'On a hit this spell has a 10% chance to cast Mantis Bolt on target of attack.  ',0,0),
(16048,1001986,1,100,'Inflicts 283 - 471 piercing damage on target',1,1),
(16049,1001986,2,100,'On a hit this spell has a 16% chance to cast Mantis Bolt on target of attack.  ',0,0),
(16050,1001986,2,100,'Inflicts 283 - 471 piercing damage on target',1,1),
(16051,1001986,3,100,'On a hit this spell has a 20% chance to cast Mantis Bolt on target of attack.  ',0,0),
(16052,1001986,3,100,'Inflicts 283 - 471 piercing damage on target',1,1),
(16053,1001986,4,100,'On a hit this spell has a 24% chance to cast Mantis Bolt on target of attack.  ',0,0),
(16054,1001986,4,100,'Inflicts 377 - 628 piercing damage on target',1,1),
(16055,1001986,5,100,'On a hit this spell has a 28% chance to cast Mantis Bolt on target of attack.  ',0,0),
(16056,1001986,5,100,'Inflicts 377 - 628 piercing damage on target',1,1),
(16057,1001986,6,100,'On a hit this spell has a 32% chance to cast Mantis Bolt on target of attack.  ',0,0),
(16058,1001986,6,100,'Inflicts 283 - 471 piercing damage on target',1,1),
(16059,1001986,7,100,'On a hit this spell has a 36% chance to cast Mantis Bolt on target of attack.  ',0,0),
(16060,1001986,7,100,'Inflicts 283 - 471 piercing damage on target',1,1),
(16061,1001986,8,100,'On a hit this spell has a 40% chance to cast Mantis Bolt on target of attack.  ',0,0),
(16062,1001986,8,100,'Inflicts 283 - 471 piercing damage on target',1,1),
(16063,1001986,9,100,'On a hit this spell has a 44% chance to cast Mantis Bolt on target of attack.  ',0,0),
(16064,1001986,9,100,'Inflicts 377 - 628 piercing damage on target',1,1),
(16065,1001986,10,100,'On a hit this spell has a 48% chance to cast Mantis Bolt on target of attack.  ',0,0),
(16066,1001986,10,100,'Inflicts 377 - 628 piercing damage on target',1,1),
(16067,1001987,1,100,'Increases the duration of Mantis Leap by 0.75 seconds.',0,0),
(16068,1001987,2,100,'Increases the duration of Mantis Leap by 1.5 seconds.',0,0),
(16069,1001987,3,100,'Increases the duration of Mantis Leap by 2.25 seconds.',0,0),
(16070,1001987,4,100,'Increases the duration of Mantis Leap by 3 seconds.',0,0),
(16071,1001987,5,100,'Increases the duration of Mantis Leap by 3.75 seconds.',0,0),
(16072,1001987,6,100,'Increases the duration of Mantis Leap by 4.5 seconds.',0,0),
(16073,1001987,7,100,'Increases the duration of Mantis Leap by 5.25 seconds.',0,0),
(16074,1001987,8,100,'Increases the duration of Mantis Leap by 6 seconds.',0,0),
(16075,1001988,1,100,'Increases STA of caster by 6.0',0,0),
(16076,1001989,1,100,'Marisha Kur''s Blessing will grant 2% Crit Bonus to the group',0,0),
(16077,1001989,2,100,'Marisha Kur''s Blessing will grant 4% Crit Bonus to the group',0,0),
(16078,1001989,3,100,'Marisha Kur''s Blessing will grant 6% Crit Bonus to the group',0,0),
(16079,1001989,4,100,'Marisha Kur''s Blessing will grant 8% Crit Bonus to the group',0,0),
(16080,1001989,5,100,'Marisha Kur''s Blessing will grant 10% Crit Bonus to the group',0,0),
(16081,1001990,1,100,'Reduces damage to the warder by 1%',0,0),
(16082,1001990,2,100,'Reduces damage to the warder by 2%',0,0),
(16083,1001990,3,100,'Reduces damage to the warder by 3%',0,0),
(16084,1001990,4,100,'Reduces damage to the warder by 4%',0,0),
(16085,1001990,5,100,'Reduces damage to the warder by 5%',0,0),
(16086,1001990,6,100,'Reduces damage to the warder by 6%',0,0),
(16087,1001990,7,100,'Reduces damage to the warder by 7%',0,0),
(16088,1001990,8,100,'Reduces damage to the warder by 8%',0,0),
(16089,1001990,9,100,'Reduces damage to the warder by 9%',0,0),
(16090,1001990,10,100,'Reduces damage to the warder by 10%',0,0),
(16091,1001991,1,100,'Improves the base and critical damage amount by 2.5%.',0,0),
(16092,1001991,1,100,'Improves the trigger count by 1',0,1),
(16093,1001991,2,100,'Improves the base and critical damage amount by 5%.',0,0),
(16094,1001991,2,100,'Improves the trigger count by 1',0,1),
(16095,1001991,3,100,'Improves the base and critical damage amount by 7.5%.',0,0),
(16096,1001991,3,100,'Improves the trigger count by 2.',0,1),
(16097,1001991,4,100,'Improves the base and critical damage amount by 10%.',0,0),
(16098,1001991,4,100,'Improves the trigger count by 2.',0,1),
(16099,1001991,5,100,'Improves the base and critical damage amount by 12.5%.',0,0),
(16100,1001991,5,100,'Improves the trigger count by 3.',0,1),
(16101,1001992,1,100,'Increases WIS of caster by 2.5',0,0),
(16102,1001992,2,100,'Increases WIS of caster by 2.5',0,0),
(16103,1001993,2,100,'Increases Health Regen of caster by 4.0',0,0),
(16104,1001994,1,100,'Increases Multi Attack of caster by 2.0',0,0),
(16105,1001994,2,100,'Increases Multi Attack of caster by 2.0',0,0),
(16106,1001995,1,100,'Increases the armor mitigation granted by Martial Retaliation by 33%',0,0),
(16107,1001995,1,100,'Increases the riposte chance granted by Martial Retaliation by 20%',0,1),
(16108,1001995,2,100,'Increases the riposte chance granted by Martial Retaliation by 40%',0,0),
(16109,1001995,2,100,'Increases the armor mitigation granted by Martial Retaliation by 66%',0,1),
(16110,1001995,3,100,'Increases the riposte chance granted by Martial Retaliation by 60%',0,0),
(16111,1001995,3,100,'Increases the armor mitigation granted by Martial Retaliation by 100%',0,1),
(16112,1001996,1,100,'Damage lower than 8% will not cause Martial Retaliation to lose an increment',0,0),
(16113,1001996,2,100,'Damage lower than 16% will not cause Martial Retaliation to lose an increment',0,0),
(16114,1001996,3,100,'Damage lower than 24% will not cause Martial Retaliation to lose an increment',0,0),
(16115,1001997,1,100,'On any combat or spell hit this spell may cast Martial Retaliation on target.  Lasts for 30.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(16116,1001997,1,100,'Caster will Riposte 0.6% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',1,1),
(16117,1001997,1,100,'Gives caster an extra 1.1% mitigation to their worn armor',1,2),
(16118,1001997,1,100,'The effects are multiplied by the increment count. Taking damage has a 50% chance to remove an increment.',1,3),
(16119,1001997,1,100,'Cannot be modified except by direct means',1,4),
(16120,1001997,2,100,'On any combat or spell hit this spell may cast Martial Retaliation on target.  Lasts for 30.0 seconds.  Triggers about 10.0 times per minute. ',0,0),
(16121,1001997,2,100,'Caster will Riposte 0.6% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',1,1),
(16122,1001997,2,100,'Gives caster an extra 1.1% mitigation to their worn armor',1,2),
(16123,1001997,2,100,'The effects are multiplied by the increment count. Taking damage has a 50% chance to remove an increment.',1,3),
(16124,1001997,2,100,'Cannot be modified except by direct means',1,4),
(16125,1001997,3,100,'On any combat or spell hit this spell may cast Martial Retaliation on target.  Lasts for 30.0 seconds.  Triggers about 15.0 times per minute. ',0,0),
(16126,1001997,3,100,'Caster will Riposte 0.6% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',1,1),
(16127,1001997,3,100,'Gives caster an extra 1.1% mitigation to their worn armor',1,2),
(16128,1001997,3,100,'The effects are multiplied by the increment count. Taking damage has a 50% chance to remove an increment.',1,3),
(16129,1001997,3,100,'Cannot be modified except by direct means',1,4),
(16130,1001998,1,100,'Increases max crafting quantity by 5.0',0,0),
(16131,1001998,2,100,'Increases max crafting quantity by 10.0',0,0),
(16132,1001998,3,100,'Increases max crafting quantity by 25.0',0,0),
(16133,1001998,4,100,'Increases max crafting quantity by 50.0',0,0),
(16134,1001998,5,100,'Increases max crafting quantity by 100.0',0,0),
(16135,1001999,1,100,'Improves the base damage by 4%',0,0),
(16136,1001999,1,100,'Improves the critical damage by 2%.',0,1),
(16137,1001999,2,100,'Improves the base damage by 8%',0,0),
(16138,1001999,2,100,'Improves the critical damage by 4%.',0,1),
(16139,1001999,3,100,'Improves the base damage by 12%',0,0),
(16140,1001999,3,100,'Improves the critical damage by 6%.',0,1),
(16141,1001999,4,100,'Improves the base damage by 16%',0,0),
(16142,1001999,4,100,'Improves the critical damage by 8%.',0,1),
(16143,1001999,5,100,'Improves the base damage by 20%',0,0),
(16144,1001999,5,100,'Improves the critical damage by 10%.',0,1),
(16145,1002000,1,100,'Increases stealth or invisible movement speed of caster by 15.0%',0,0),
(16146,1002000,2,100,'Increases stealth or invisible movement speed of caster by 15.0%',0,0),
(16147,1002001,1,100,'Increases Artistry of caster by 5.0',0,0),
(16148,1002001,2,100,'Increases Artistry of caster by 5.0',0,0),
(16149,1002002,2,100,'Reduces the base reuse of Champion''s Interception to 24 seconds.',0,0),
(16150,1002002,3,100,'Reduces the base reuse of Champion''s Interception to 12 seconds.',0,0),
(16151,1002003,1,100,'Increases Disruption and Subjugation of caster by 5.0',0,0),
(16152,1002003,2,100,'Increases Disruption and Subjugation of caster by 5.0',0,0),
(16153,1002004,1,100,'Increases AGI of caster by 2.5',0,0),
(16154,1002004,2,100,'Increases AGI of caster by 2.5',0,0),
(16155,1002005,1,100,'Increases Piercing and Ranged of caster by 5.0',0,0),
(16156,1002005,2,100,'Increases Piercing and Ranged of caster by 5.0',0,0),
(16157,1002006,1,100,'Increases Power Regen of caster by 9.0',0,0),
(16158,1002006,2,100,'Increases Power Regen of caster by 9.0',0,0),
(16159,1002007,1,100,'Heals the monk by 3% at rank 1 to 15% at rank 5 when the monk takes over 40% damage. This can only trigger once every 15 seconds.  Meditatve Mending''s heal is reduced by 50% in PvP combat.',0,0),
(16160,1002007,1,100,'The healing of this spell cannot be modified except by direct means',0,1),
(16161,1002007,2,100,'Heals the monk by 3% at rank 1 to 15% at rank 5 when the monk takes over 40% damage. This can only trigger once every 15 seconds.  Meditatve Mending''s heal is reduced by 50% in PvP combat.',0,0),
(16162,1002007,2,100,'The healing of this spell cannot be modified except by direct means',0,1),
(16163,1002007,3,100,'Heals the monk by 3% at rank 1 to 15% at rank 5 when the monk takes over 40% damage. This can only trigger once every 15 seconds.  Meditatve Mending''s heal is reduced by 50% in PvP combat.',0,0),
(16164,1002007,3,100,'The healing of this spell cannot be modified except by direct means',0,1),
(16165,1002007,4,100,'Heals the monk by 3% at rank 1 to 15% at rank 5 when the monk takes over 40% damage. This can only trigger once every 15 seconds.  Meditatve Mending''s heal is reduced by 50% in PvP combat.',0,0),
(16166,1002007,4,100,'The healing of this spell cannot be modified except by direct means',0,1),
(16167,1002007,5,100,'Heals the monk by 3% at rank 1 to 15% at rank 5 when the monk takes over 40% damage. This can only trigger once every 15 seconds.  Meditatve Mending''s heal is reduced by 50% in PvP combat.',0,0),
(16168,1002007,5,100,'The healing of this spell cannot be modified except by direct means',0,1),
(16169,1002008,1,100,'Increases Max Power of caster by 3.0%',0,0),
(16170,1002008,2,100,'Increases Max Power of caster by 3.0%',0,0),
(16171,1002009,1,100,'Increases Defense, Parry and Deflection of caster by 5.0',0,0),
(16172,1002009,2,100,'Increases Defense, Parry and Deflection of caster by 5.0',0,0),
(16173,1002010,1,100,'+5 Metalshaping',0,0),
(16175,1002011,1,100,'Improves the reuse speed by 12 seconds.',0,0),
(16176,1002011,2,100,'Improves the reuse speed by 24 seconds.',0,0),
(16177,1002011,3,100,'Improves the reuse speed by 36 seconds.',0,0),
(16178,1002011,4,100,'Improves the reuse speed by 48 seconds.',0,0),
(16179,1002011,5,100,'Improves the reuse speed by 60 seconds.',0,0),
(16180,1002012,1,100,'Adds 3% Crit Bonus to Freehand Sorcery.',0,0),
(16181,1002012,2,100,'Adds 6% Crit Bonus to Freehand Sorcery.',0,0),
(16182,1002012,3,100,'Adds 9% Crit Bonus to Freehand Sorcery.',0,0),
(16183,1002012,4,100,'Adds 12% Crit Bonus to Freehand Sorcery.',0,0),
(16184,1002012,5,100,'Adds 15% Crit Bonus to Freehand Sorcery.',0,0),
(16185,1002012,6,100,'Adds 18% Crit Bonus to Freehand Sorcery.',0,0),
(16186,1002012,7,100,'Adds 21% Crit Bonus to Freehand Sorcery.',0,0),
(16187,1002012,8,100,'Adds 24% Crit Bonus to Freehand Sorcery.',0,0),
(16188,1002013,1,100,'Improves the base amount of power restored by 5%.',0,0),
(16189,1002013,1,100,'Reduces power cost of all spells by 3% when Mana Cloak is active.',0,1),
(16190,1002013,2,100,'Improves the base amount of power restored by 10%.',0,0),
(16191,1002013,2,100,'Reduces power cost of all spells by 6% when Mana Cloak is active.',0,1),
(16192,1002013,3,100,'Improves the base amount of power restored by 15%.',0,0),
(16193,1002013,3,100,'Reduces power cost of all spells by 9% when Mana Cloak is active.',0,1),
(16194,1002013,4,100,'Improves the base amount of power restored by 20%.',0,0),
(16195,1002013,4,100,'Reduces power cost of all spells by 12% when Mana Cloak is active.',0,1),
(16196,1002013,5,100,'Improves the base amount of power restored by 25%.',0,0),
(16197,1002013,5,100,'Reduces power cost of all spells by 15% when Mana Cloak is active.',0,1),
(16198,1002014,1,100,'Improves the base damage by 2%.',0,0),
(16199,1002014,1,100,'Improves critical damage by 1%.',0,1),
(16200,1002014,2,100,'Improves the base damage by 4%.',0,0),
(16201,1002014,2,100,'Improves critical damage by 2%.',0,1),
(16202,1002014,3,100,'Improves the base damage by 6%.',0,0),
(16203,1002014,3,100,'Improves critical damage by 3%.',0,1),
(16204,1002014,4,100,'Improves the base damage by 8%.',0,0),
(16205,1002014,4,100,'Improves critical damage by 4%.',0,1),
(16206,1002014,5,100,'Improves the base damage by 10%.',0,0),
(16207,1002014,5,100,'Improves critical damage by 5%.',0,1),
(16208,1002015,1,100,'Increases Power Regen of caster by 9.0',0,0),
(16209,1002015,2,100,'Increases Power Regen of caster by 9.0',0,0),
(16210,1002016,1,100,'Increases the number of ticks by 1.',0,0),
(16211,1002016,1,100,'Improves the casting speed by 0.1 seconds.',0,1),
(16212,1002016,1,100,'Reduces the recurring power cost by 7%.',0,2),
(16213,1002016,2,100,'Increases the number of ticks by 2.',0,0),
(16214,1002016,2,100,'Improves the casting speed by 0.2 seconds.',0,1),
(16215,1002016,2,100,'Reduces the recurring power cost by 14%.',0,2),
(16216,1002016,3,100,'Increases the number of ticks by 3.',0,0),
(16217,1002016,3,100,'Improves the casting speed by 0.3 seconds.',0,1),
(16218,1002016,3,100,'Reduces the recurring power cost by 21%.',0,2),
(16219,1002016,4,100,'Increases the number of ticks by 4.',0,0),
(16220,1002016,4,100,'Improves the casting speed by 0.4 seconds.',0,1),
(16221,1002016,4,100,'Reduces the recurring power cost by 28%.',0,2),
(16222,1002016,5,100,'Increases the number of ticks by 5.',0,0),
(16223,1002016,5,100,'Improves the casting speed by 0.5 seconds.',0,1),
(16224,1002016,5,100,'Reduces the recurring power cost by 35%.',0,2),
(16225,1002017,1,100,'Increases Disruption and Subjugation of caster by 5.0',0,0),
(16226,1002017,2,100,'Increases Disruption and Subjugation of caster by 5.0',0,0),
(16227,1002018,1,100,'Improves the base damage of professional spells by 5%',0,0),
(16228,1002018,1,100,'Improves the critical damage of professional spells by 4%.',0,1),
(16229,1002019,1,100,'Adds a trigger to Mind Control that restores power to the target when attacking.',0,0),
(16230,1002019,2,100,'Adds a trigger to Mind Control that restores power to the target when attacking.',0,0),
(16231,1002019,3,100,'Adds a trigger to Mind Control that restores power to the target when attacking.',0,0),
(16232,1002020,1,100,'Increases Ability Recovery Speed of caster by 7.0%',0,0),
(16233,1002020,2,100,'Increases Ability Recovery Speed of caster by 14.0%',0,0),
(16234,1002020,3,100,'Increases Ability Recovery Speed of caster by 21.0%',0,0),
(16235,1002020,4,100,'Increases Ability Recovery Speed of caster by 28.0%',0,0),
(16236,1002020,5,100,'Increases Ability Recovery Speed of caster by 35.0%',0,0),
(16237,1002020,6,100,'Increases Ability Recovery Speed of caster by 42.0%',0,0),
(16238,1002020,7,100,'Increases Ability Recovery Speed of caster by 49.0%',0,0),
(16239,1002020,8,100,'Increases Ability Recovery Speed of caster by 56.0%',0,0),
(16240,1002021,1,100,'When damaged with a melee weapon this spell will cast Mental Retaliation on target''s attacker.  Lasts for 10.0 seconds.  ',0,0),
(16241,1002021,1,100,'Decreases DPS of target by 1.0',1,1),
(16242,1002021,1,100,'Decreases Haste of target by 1.0',1,2),
(16243,1002021,2,100,'When damaged with a melee weapon this spell will cast Mental Retaliation on target''s attacker.  Lasts for 10.0 seconds.  ',0,0),
(16244,1002021,2,100,'Decreases Damage Per Second of target by 2.0',1,1),
(16245,1002021,2,100,'Decreases Attack Speed of target by 2.0',1,2),
(16246,1002021,3,100,'When damaged with a melee weapon this spell will cast Mental Retaliation on target''s attacker.  Lasts for 10.0 seconds.  ',0,0),
(16247,1002021,3,100,'Decreases Damage Per Second of target by 3.0',1,1),
(16248,1002021,3,100,'Decreases Attack Speed of target by 3.0',1,2),
(16249,1002021,4,100,'When damaged with a melee weapon this spell will cast Mental Retaliation on target''s attacker.  Lasts for 10.0 seconds.  ',0,0),
(16250,1002021,4,100,'Decreases Damage Per Second of target by 4.0',1,1),
(16251,1002021,4,100,'Decreases Attack Speed of target by 4.0',1,2),
(16252,1002021,5,100,'When damaged with a melee weapon this spell will cast Mental Retaliation on target''s attacker.  Lasts for 10.0 seconds.  ',0,0),
(16253,1002021,5,100,'Decreases DPS of target by 5.0',1,1),
(16254,1002021,5,100,'Decreases Haste of target by 5.0',1,2),
(16255,1002021,6,100,'When damaged with a melee weapon this spell will cast Mental Retaliation on target''s attacker.  Lasts for 10.0 seconds.  ',0,0),
(16256,1002021,6,100,'Decreases DPS of target by 6.0',1,1),
(16257,1002021,6,100,'Decreases Haste of target by 6.0',1,2),
(16258,1002021,7,100,'When damaged with a melee weapon this spell will cast Mental Retaliation on target''s attacker.  Lasts for 10.0 seconds.  ',0,0),
(16259,1002021,7,100,'Decreases Damage Per Second of target by 7.0',1,1),
(16260,1002021,7,100,'Decreases Attack Speed of target by 7.0',1,2),
(16261,1002021,8,100,'When damaged with a melee weapon this spell will cast Mental Retaliation on target''s attacker.  Lasts for 10.0 seconds.  ',0,0),
(16262,1002021,8,100,'Decreases DPS of target by 8.0',1,1),
(16263,1002021,8,100,'Decreases Haste of target by 8.0',1,2),
(16264,1002021,9,100,'When damaged with a melee weapon this spell will cast Mental Retaliation on target''s attacker.  Lasts for 10.0 seconds.  ',0,0),
(16265,1002021,9,100,'Decreases Damage Per Second of target by 9.0',1,1),
(16266,1002021,9,100,'Decreases Attack Speed of target by 9.0',1,2),
(16267,1002021,10,100,'When damaged with a melee weapon this spell will cast Mental Retaliation on target''s attacker.  Lasts for 10.0 seconds.  ',0,0),
(16268,1002021,10,100,'Decreases Damage Per Second of target by 10.0',1,1),
(16269,1002021,10,100,'Decreases Attack Speed of target by 10.0',1,2),
(16270,1002022,1,100,'When any damage is received this spell has a 1% chance to cast Mental Strength on target.  Lasts for 5.0 seconds.  ',0,0),
(16271,1002022,1,100,'Prevents caster from being Interrupted',1,1),
(16272,1002022,2,100,'When any damage is received this spell has a 2% chance to cast Mental Strength on target.  Lasts for 5.0 seconds.  ',0,0),
(16273,1002022,2,100,'Prevents caster from being Interrupted',1,1),
(16274,1002022,3,100,'When any damage is received this spell has a 3% chance to cast Mental Strength on target.  Lasts for 5.0 seconds.  ',0,0),
(16275,1002022,3,100,'Prevents caster from being Interrupted',1,1),
(16276,1002022,4,100,'When any damage is received this spell has a 4% chance to cast Mental Strength on target.  Lasts for 5.0 seconds.  ',0,0),
(16277,1002022,4,100,'Prevents caster from being Interrupted',1,1),
(16278,1002022,5,100,'When any damage is received this spell has a 5% chance to cast Mental Strength on target.  Lasts for 5.0 seconds.  ',0,0),
(16279,1002022,5,100,'Prevents caster from being Interrupted',1,1),
(16280,1002022,6,100,'When any damage is received this spell has a 6% chance to cast Mental Strength on target.  Lasts for 5.0 seconds.  ',0,0),
(16281,1002022,6,100,'Prevents caster from being Interrupted',1,1),
(16282,1002022,7,100,'When any damage is received this spell has a 7% chance to cast Mental Strength on target.  Lasts for 5.0 seconds.  ',0,0),
(16283,1002022,7,100,'Prevents caster from being Interrupted',1,1),
(16284,1002022,8,100,'When any damage is received this spell has a 8% chance to cast Mental Strength on target.  Lasts for 5.0 seconds.  ',0,0),
(16285,1002022,8,100,'Prevents caster from being Interrupted',1,1),
(16286,1002022,9,100,'When any damage is received this spell has a 9% chance to cast Mental Strength on target.  Lasts for 5.0 seconds.  ',0,0),
(16287,1002022,9,100,'Prevents caster from being Interrupted',1,1),
(16288,1002022,10,100,'When any damage is received this spell has a 10% chance to cast Mental Strength on target.  Lasts for 5.0 seconds.  ',0,0),
(16289,1002022,10,100,'Prevents caster from being Interrupted',1,1),
(16290,1002023,1,100,'Improves the base damage by 2%',0,0),
(16291,1002023,1,100,'Improves the critical damage by 1%.',0,1),
(16292,1002023,2,100,'Improves the base damage by 4%',0,0),
(16293,1002023,2,100,'Improves the critical damage by 2%.',0,1),
(16294,1002023,3,100,'Improves the base damage by 6%',0,0),
(16295,1002023,3,100,'Improves the critical damage by 3%.',0,1),
(16296,1002023,4,100,'Improves the base damage by 8%',0,0),
(16297,1002023,4,100,'Improves the critical damage by 4%.',0,1),
(16298,1002023,5,100,'Improves the base damage by 10%',0,0),
(16299,1002023,5,100,'Improves the critical damage by 5%.',0,1),
(16300,1002024,1,100,'Stupefy will inflict damage when cast.',0,0),
(16301,1002024,2,100,'Stupefy will inflict damage when cast.',0,0),
(16302,1002024,2,100,'Mindbend will inflict damage when triggered.',0,1),
(16303,1002024,3,100,'Stupefy will inflict damage when cast.',0,0),
(16304,1002024,3,100,'Mindbend will inflict damage when triggered.',0,1),
(16305,1002024,3,100,'Cannibalize Thoughts will inflict damage when cast.',0,2),
(16306,1002025,1,100,'Increases Ranged, Subjugation, Focus and Disruption of caster by 0.0',0,0),
(16307,1002025,1,100,'Reduces the resistibility of your spells by 15%',0,1),
(16308,1002026,1,100,'Increases the casting speed of hostile spells by 2%.',0,0),
(16309,1002026,2,100,'Increases the casting speed of hostile spells by 2%.',0,0),
(16310,1002027,1,100,'Increases the durability gain by 2 every round.',0,0),
(16311,1002027,2,100,'Increases the durability gain by 2 every round.',0,0),
(16312,1002028,1,100,'Dark Pact will grant a 12% chance for group members to inflict additional disease damage to the encounter when attacking.',0,0),
(16313,1002029,1,100,'Increases Max Power of caster by 3.0%',0,0),
(16314,1002029,2,100,'Increases Max Power of caster by 3.0%',0,0),
(16315,1002030,1,100,'Increases Piercing and Ranged of caster by 5.0',0,0),
(16316,1002030,2,100,'Increases Piercing and Ranged of caster by 5.0',0,0),
(16317,1002031,1,100,'Adds a trigger to Mind Control that inflicts additional damage.',0,0),
(16318,1002031,2,100,'Adds a trigger to Mind Control that inflicts additional damage.',0,0),
(16319,1002031,3,100,'Adds a trigger to Mind Control that inflicts additional damage.',0,0),
(16320,1002032,1,100,'Reduces the base reuse time of Manaward to 120 seconds and makes it cast instantly.',0,0),
(16321,1002032,1,100,'Improves the ratio of Manaward to a 15:1 ratio.',0,1),
(16322,1002033,1,100,'Adds a trigger to Mind Control that restores 5% health to the target when attacking.',0,0),
(16323,1002034,1,100,'Increases Ministration and Defense of caster by 5.0',0,0),
(16324,1002035,1,100,'Improves the physical mitigation by 10%.',0,0),
(16325,1002034,2,100,'Increases Ministration and Defense of caster by 5.0',0,0),
(16326,1002035,2,100,'Improves the physical mitigation by 20%.',0,0),
(16327,1002033,2,100,'Adds a trigger to Mind Control that restores 10% health to the target when attacking.',0,0),
(16328,1002033,3,100,'Adds a trigger to Mind Control that restores 15% health to the target when attacking.',0,0),
(16329,1002035,3,100,'Improves the physical mitigation by 30%.',0,0),
(16330,1002035,4,100,'Improves the physical mitigation by 40%.',0,0),
(16331,1002035,5,100,'Improves the physical mitigation by 50%.',0,0),
(16332,1002036,1,100,'Improves the damage by 2%.',0,0),
(16333,1002036,1,100,'Improves the casting speed by 0.1 seconds.',0,1),
(16334,1002036,2,100,'Improves the damage by 4%.',0,0),
(16335,1002036,2,100,'Improves the casting speed by 0.2 seconds.',0,1),
(16336,1002036,3,100,'Improves the damage by 6%.',0,0),
(16337,1002036,3,100,'Improves the casting speed by 0.3 seconds.',0,1),
(16338,1002036,4,100,'Improves the damage by 8%.',0,0),
(16339,1002036,4,100,'Improves the casting speed by 0.4 seconds.',0,1),
(16340,1002036,5,100,'Improves the damage by 10%.',0,0),
(16341,1002036,5,100,'Improves the casting speed by 0.5 seconds.',0,1),
(16342,1002037,2,100,'Reduces the time needed to mine an object by .5 second.',0,0),
(16343,1002038,1,100,'Applies Minion''s Adeptness to qualifying pets.',0,0),
(16344,1002038,1,100,'Improves base auto-attack multiplier of caster by 0.01. Does not apply to spell weapons.',1,1),
(16345,1002038,1,100,'Increases Potency of caster by 2.0%',1,2),
(16346,1002038,2,100,'Applies Minion''s Adeptness to qualifying pets.',0,0),
(16347,1002038,2,100,'Improves base auto-attack multiplier of caster by 0.02. Does not apply to spell weapons.',1,1),
(16348,1002038,2,100,'Increases Potency of caster by 4.0%',1,2),
(16349,1002038,3,100,'Applies Minion''s Adeptness to qualifying pets.',0,0),
(16350,1002038,3,100,'Improves base auto-attack multiplier of caster by 0.04. Does not apply to spell weapons.',1,1),
(16351,1002038,3,100,'Increases Potency of caster by 6.0%',1,2),
(16352,1002038,4,100,'Applies Minion''s Adeptness to qualifying pets.',0,0),
(16353,1002038,4,100,'Improves base auto-attack multiplier of caster by 0.05. Does not apply to spell weapons.',1,1),
(16354,1002038,4,100,'Increases Potency of caster by 8.0%',1,2),
(16355,1002038,5,100,'Applies Minion''s Adeptness to qualifying pets.',0,0),
(16356,1002038,5,100,'Improves base auto-attack multiplier of caster by 0.06. Does not apply to spell weapons.',1,1),
(16357,1002038,5,100,'Increases Potency of caster by 10.0%',1,2),
(16358,1002039,1,100,'Applies Minion''s Attention to qualifying pets.',0,0),
(16359,1002039,1,100,'On any combat or spell hit this spell may cast Minion''s Attention on target of attack.  Lasts for 3.2 seconds.  Triggers about 0.6 times per minute. ',1,1),
(16360,1002039,1,100,'Decreases threat priority of target by 1 position',2,2),
(16361,1002039,1,100,'If not fighter',3,3),
(16362,1002039,1,100,'Increases threat priority of target by 1 position',2,4),
(16363,1002039,1,100,'If fighter',3,5),
(16364,1002039,2,100,'Applies Minion''s Attention to qualifying pets.',0,0),
(16365,1002039,2,100,'On any combat or spell hit this spell may cast Minion''s Attention on target of attack.  Lasts for 3.5 seconds.  Triggers about 1.2 times per minute. ',1,1),
(16366,1002039,2,100,'Decreases threat priority of target by 1 position',2,2),
(16367,1002039,2,100,'If not fighter',3,3),
(16368,1002039,2,100,'Increases threat priority of target by 1 position',2,4),
(16369,1002039,2,100,'If fighter',3,5),
(16370,1002039,3,100,'Applies Minion''s Attention to qualifying pets.',0,0),
(16371,1002039,3,100,'On any combat or spell hit this spell may cast Minion''s Attention on target of attack.  Lasts for 3.7 seconds.  Triggers about 1.8 times per minute. ',1,1),
(16372,1002039,3,100,'Decreases threat priority of target by 1 position',2,2),
(16373,1002039,3,100,'If not fighter',3,3),
(16374,1002039,3,100,'Increases threat priority of target by 1 position',2,4),
(16375,1002039,3,100,'If fighter',3,5),
(16376,1002039,4,100,'Applies Minion''s Attention to qualifying pets.',0,0),
(16377,1002039,4,100,'On any combat or spell hit this spell may cast Minion''s Attention on target of attack.  Lasts for 4.0 seconds.  Triggers about 2.4 times per minute. ',1,1),
(16378,1002039,4,100,'Decreases threat priority of target by 1 position',2,2),
(16379,1002039,4,100,'If not fighter',3,3),
(16380,1002039,4,100,'Increases threat priority of target by 1 position',2,4),
(16381,1002039,4,100,'If fighter',3,5),
(16382,1002039,5,100,'Applies Minion''s Attention to qualifying pets.',0,0),
(16383,1002039,5,100,'On any combat or spell hit this spell may cast Minion''s Attention on target of attack.  Lasts for 4.4 seconds.  Triggers about 3.0 times per minute. ',1,1),
(16384,1002039,5,100,'Decreases threat priority of target by 1 position',2,2),
(16385,1002039,5,100,'If not fighter',3,3),
(16386,1002039,5,100,'Increases threat priority of target by 1 position',2,4),
(16387,1002039,5,100,'If fighter',3,5),
(16388,1002039,6,100,'Applies Minion''s Attention to qualifying pets.',0,0),
(16389,1002039,6,100,'On any combat or spell hit this spell may cast Minion''s Attention on target of attack.  Lasts for 4.7 seconds.  Triggers about 3.6 times per minute. ',1,1),
(16390,1002039,6,100,'Decreases threat priority of target by 1 position',2,2),
(16391,1002039,6,100,'If not fighter',3,3),
(16392,1002039,6,100,'Increases threat priority of target by 1 position',2,4),
(16393,1002039,6,100,'If fighter',3,5),
(16394,1002039,7,100,'Applies Minion''s Attention to qualifying pets.',0,0),
(16395,1002039,7,100,'On any combat or spell hit this spell may cast Minion''s Attention on target of attack.  Lasts for 5.1 seconds.  Triggers about 4.2 times per minute. ',1,1),
(16396,1002039,7,100,'Decreases threat priority of target by 1 position',2,2),
(16397,1002039,7,100,'If not fighter',3,3),
(16398,1002039,7,100,'Increases threat priority of target by 1 position',2,4),
(16399,1002039,7,100,'If fighter',3,5),
(16400,1002039,8,100,'Applies Minion''s Attention to qualifying pets.',0,0),
(16401,1002039,8,100,'On any combat or spell hit this spell may cast Minion''s Attention on target of attack.  Lasts for 5.5 seconds.  Triggers about 4.8 times per minute. ',1,1),
(16402,1002039,8,100,'Decreases threat priority of target by 1 position',2,2),
(16403,1002039,8,100,'If not fighter',3,3),
(16404,1002039,8,100,'Increases threat priority of target by 1 position',2,4),
(16405,1002039,8,100,'If fighter',3,5),
(16406,1002039,9,100,'Applies Minion''s Attention to qualifying pets.',0,0),
(16407,1002039,9,100,'On any combat or spell hit this spell may cast Minion''s Attention on target of attack.  Lasts for 5.8 seconds.  Triggers about 5.4 times per minute. ',1,1),
(16408,1002039,9,100,'Decreases threat priority of target by 1 position',2,2),
(16409,1002039,9,100,'If not fighter',3,3),
(16410,1002039,9,100,'Increases threat priority of target by 1 position',2,4),
(16411,1002039,9,100,'If fighter',3,5),
(16412,1002039,10,100,'Applies Minion''s Attention to qualifying pets.',0,0),
(16413,1002039,10,100,'On any combat or spell hit this spell may cast Minion''s Attention on target of attack.  Lasts for 6.0 seconds.  Triggers about 6.0 times per minute. ',1,1),
(16414,1002039,10,100,'Decreases threat priority of target by 1 position',2,2),
(16415,1002039,10,100,'If not fighter',3,3),
(16416,1002039,10,100,'Increases threat priority of target by 1 position',2,4),
(16417,1002039,10,100,'If fighter',3,5),
(16418,1002040,1,100,'Applies Minion''s Constitution to qualifying pets.',0,0),
(16419,1002040,1,100,'Increases Max Health of target by 1.0%',1,1),
(16420,1002040,2,100,'Applies Minion''s Constitution to qualifying pets.',0,0),
(16421,1002040,2,100,'Increases Max Health of target by 2.0%',1,1),
(16422,1002040,3,100,'Applies Minion''s Constitution to qualifying pets.',0,0),
(16423,1002040,3,100,'Increases Max Health of target by 3.0%',1,1),
(16424,1002040,4,100,'Applies Minion''s Constitution to qualifying pets.',0,0),
(16425,1002040,4,100,'Increases Max Health of target by 4.0%',1,1),
(16426,1002040,5,100,'Applies Minion''s Constitution to qualifying pets.',0,0),
(16427,1002040,5,100,'Increases Max Health of target by 5.0%',1,1),
(16428,1002041,1,100,'Applies Minion''s Critical Strike to qualifying pets.',0,0),
(16429,1002041,1,100,'Increases Crit Chance of target by 2.0',1,1),
(16430,1002041,2,100,'Applies Minion''s Critical Strike to qualifying pets.',0,0),
(16431,1002041,2,100,'Increases Crit Chance of target by 4.0',1,1),
(16432,1002041,3,100,'Applies Minion''s Critical Strike to qualifying pets.',0,0),
(16433,1002041,3,100,'Increases Crit Chance of target by 6.0',1,1),
(16434,1002041,4,100,'Applies Minion''s Critical Strike to qualifying pets.',0,0),
(16435,1002041,4,100,'Increases Crit Chance of target by 8.0',1,1),
(16436,1002041,5,100,'Applies Minion''s Critical Strike to qualifying pets.',0,0),
(16437,1002041,5,100,'Increases Crit Chance of target by 10.0',1,1),
(16438,1002042,1,100,'Grants the summoner''s pet a new spell that inflicts magic damage to the target and reduces the target''s mitigation against magical attacks.',0,0),
(16439,1002042,1,100,'Decreases Mitigation of target vs elemental damage by 23',1,1),
(16440,1002042,1,100,'Inflicts 8 - 12 magic damage on target',1,2),
(16441,1002042,1,100,'Decreases Mitigation of target vs noxious and arcane damage by 23',1,3),
(16442,1002043,1,100,'Improves the noxious debuff amount by 4%.',0,0),
(16443,1002043,2,100,'Improves the noxious debuff amount by 8%.',0,0),
(16444,1002043,3,100,'Improves the noxious debuff amount by 12%.',0,0),
(16445,1002043,4,100,'Improves the noxious debuff amount by 16%.',0,0),
(16446,1002043,5,100,'Improves the noxious debuff amount by 20%.',0,0),
(16447,1002044,1,100,'Applies Minion''s Power to qualifying pets.',0,0),
(16448,1002044,1,100,'Increases Crit Bonus of target by 2.0%',1,1),
(16449,1002044,2,100,'Applies Minion''s Power to qualifying pets.',0,0),
(16450,1002044,2,100,'Increases Crit Bonus of target by 4.0%',1,1),
(16451,1002044,3,100,'Applies Minion''s Power to qualifying pets.',0,0),
(16452,1002044,3,100,'Increases Crit Bonus of target by 6.0%',1,1),
(16453,1002044,4,100,'Applies Minion''s Power to qualifying pets.',0,0),
(16454,1002044,4,100,'Increases Crit Bonus of target by 8.0%',1,1),
(16455,1002044,5,100,'Applies Minion''s Power to qualifying pets.',0,0),
(16456,1002044,5,100,'Increases Crit Bonus of target by 10.0%',1,1),
(16457,1002044,6,100,'Applies Minion''s Power to qualifying pets.',0,0),
(16458,1002044,6,100,'Increases Crit Bonus of target by 12.0%',1,1),
(16459,1002044,7,100,'Applies Minion''s Power to qualifying pets.',0,0),
(16460,1002044,7,100,'Increases Crit Bonus of target by 14.0%',1,1),
(16461,1002044,8,100,'Applies Minion''s Power to qualifying pets.',0,0),
(16462,1002044,8,100,'Increases Crit Bonus of target by 16.0%',1,1),
(16463,1002044,9,100,'Applies Minion''s Power to qualifying pets.',0,0),
(16464,1002044,9,100,'Increases Crit Bonus of target by 18.0%',1,1),
(16465,1002044,10,100,'Applies Minion''s Power to qualifying pets.',0,0),
(16466,1002044,10,100,'Increases Crit Bonus of target by 20.0%',1,1),
(16467,1002045,1,100,'Applies Minion''s Protection to qualifying pets.',0,0),
(16468,1002045,1,100,'Target will Parry 1.0% of incoming attacks',1,1),
(16469,1002045,2,100,'Applies Minion''s Protection to qualifying pets.',0,0),
(16470,1002045,2,100,'Target will Parry 2.0% of incoming attacks',1,1),
(16471,1002045,3,100,'Applies Minion''s Protection to qualifying pets.',0,0),
(16472,1002045,3,100,'Target will Parry 3.0% of incoming attacks',1,1),
(16473,1002045,4,100,'Applies Minion''s Protection to qualifying pets.',0,0),
(16474,1002045,4,100,'Target will Parry 4.0% of incoming attacks',1,1),
(16475,1002045,5,100,'Applies Minion''s Protection to qualifying pets.',0,0),
(16476,1002045,5,100,'Target will Parry 5.0% of incoming attacks',1,1),
(16477,1002046,1,100,'Grants the necromancer''s minion a new spell that deals Noxious damage and siphons STR, AGI and INT.',0,0),
(16478,1002047,1,100,'Applies Minion''s Uproar to qualifying pets.',0,0),
(16479,1002047,1,100,'Increases Crushing, Piercing and Slashing of caster by 0.1',1,1),
(16480,1002047,1,100,'Increases Disruption, Aggression and Focus of caster by 0.1',1,2),
(16481,1002047,2,100,'Applies Minion''s Uproar to qualifying pets.',0,0),
(16482,1002047,2,100,'Increases Crushing, Piercing and Slashing of caster by 12.0',1,1),
(16483,1002047,2,100,'Increases Disruption, Aggression and Focus of caster by 15.0',1,2),
(16484,1002047,3,100,'Applies Minion''s Uproar to qualifying pets.',0,0),
(16485,1002047,3,100,'Increases Crushing, Piercing and Slashing of caster by 18.0',1,1),
(16486,1002047,3,100,'Increases Disruption, Aggression and Focus of caster by 22.5',1,2),
(16487,1002047,4,100,'Applies Minion''s Uproar to qualifying pets.',0,0),
(16488,1002047,4,100,'Increases Crushing, Piercing and Slashing of caster by 24.0',1,1),
(16489,1002047,4,100,'Increases Disruption, Aggression and Focus of caster by 30.0',1,2),
(16490,1002047,5,100,'Applies Minion''s Uproar to qualifying pets.',0,0),
(16491,1002047,5,100,'Increases Crushing, Piercing and Slashing of caster by 30.0',1,1),
(16492,1002047,5,100,'Increases Disruption, Aggression and Focus of caster by 37.5',1,2),
(16493,1002047,6,100,'Applies Minion''s Uproar to qualifying pets.',0,0),
(16494,1002047,6,100,'Increases Crushing, Piercing and Slashing of caster by 36.0',1,1),
(16495,1002047,6,100,'Increases Disruption, Aggression and Focus of caster by 45.0',1,2),
(16496,1002047,7,100,'Applies Minion''s Uproar to qualifying pets.',0,0),
(16497,1002047,7,100,'Increases Crushing, Piercing and Slashing of caster by 42.0',1,1),
(16498,1002047,7,100,'Increases Disruption, Aggression and Focus of caster by 52.5',1,2),
(16499,1002047,8,100,'Applies Minion''s Uproar to qualifying pets.',0,0),
(16500,1002047,8,100,'Increases Crushing, Piercing and Slashing of caster by 48.0',1,1),
(16501,1002047,8,100,'Increases Disruption, Aggression and Focus of caster by 60.0',1,2),
(16502,1002047,9,100,'Applies Minion''s Uproar to qualifying pets.',0,0),
(16503,1002047,9,100,'Increases Crushing, Piercing and Slashing of caster by 54.0',1,1),
(16504,1002047,9,100,'Increases Disruption, Aggression and Focus of caster by 67.5',1,2),
(16505,1002047,10,100,'Applies Minion''s Uproar to qualifying pets.',0,0),
(16506,1002047,10,100,'Increases Crushing, Piercing and Slashing of caster by 60.0',1,1),
(16507,1002047,10,100,'Increases Disruption, Aggression and Focus of caster by 75.0',1,2),
(16508,1002048,1,100,'Bard group songs that affect combat skills or casting techniques are more effective by 8%.',0,0),
(16509,1002048,2,100,'Bard group songs that affect combat skills or casting techniques are more effective by 16%.',0,0),
(16510,1002048,3,100,'Bard group songs that affect combat skills or casting techniques are more effective by 24%.',0,0),
(16511,1002048,4,100,'Bard group songs that affect combat skills or casting techniques are more effective by 32%.',0,0),
(16512,1002048,5,100,'Bard group songs that affect combat skills or casting techniques are more effective by 40%.',0,0),
(16513,1002048,6,100,'Bard group songs that affect combat skills or casting techniques are more effective by 48%.',0,0),
(16514,1002048,7,100,'Bard group songs that affect combat skills or casting techniques are more effective by 56%.',0,0),
(16515,1002048,8,100,'Bard group songs that affect combat skills or casting techniques are more effective by 64%.',0,0),
(16516,1002048,9,100,'Bard group songs that affect combat skills or casting techniques are more effective by 72%.',0,0),
(16517,1002048,10,100,'Bard group songs that affect combat skills or casting techniques are more effective by 80%.',0,0),
(16518,1002049,1,100,'Increases INT of caster by 7.0',0,0),
(16519,1002050,1,100,'Bard group songs augmenting attack speed or Multi-Attack Chance have an increased effect by 7%.',0,0),
(16520,1002050,2,100,'Bard group songs augmenting attack speed or Multi-Attack Chance have an increased effect by 14%.',0,0),
(16521,1002050,3,100,'Bard group songs augmenting attack speed or Multi-Attack Chance have an increased effect by 21%.',0,0),
(16522,1002050,4,100,'Bard group songs augmenting attack speed or Multi-Attack Chance have an increased effect by 28%.',0,0),
(16523,1002050,5,100,'Bard group songs augmenting attack speed or Multi-Attack Chance have an increased effect by 35%.',0,0),
(16524,1002050,6,100,'Bard group songs augmenting attack speed or Multi-Attack Chance have an increased effect by 42%.',0,0),
(16525,1002050,7,100,'Bard group songs augmenting attack speed or Multi-Attack Chance have an increased effect by 49%.',0,0),
(16526,1002050,8,100,'Bard group songs augmenting attack speed or Multi-Attack Chance have an increased effect by 56%.',0,0),
(16527,1002050,9,100,'Bard group songs augmenting attack speed or Multi-Attack Chance have an increased effect by 63%.',0,0),
(16528,1002050,10,100,'Bard group songs augmenting attack speed or Multi-Attack Chance have an increased effect by 70%.',0,0),
(16529,1002051,1,100,'Reduces the power cost of all Jeweler reaction arts by 10%',0,0),
(16530,1002051,2,100,'Reduces the power cost of all Jeweler reaction arts by 10%',0,0),
(16531,1002052,1,100,'Improves the physical mitigation by 4%.',0,0),
(16532,1002052,2,100,'Improves the physical mitigation by 8%.',0,0),
(16533,1002052,3,100,'Improves the physical mitigation by 12%.',0,0),
(16534,1002052,4,100,'Improves the physical mitigation by 16%.',0,0),
(16535,1002052,5,100,'Improves the physical mitigation by 20%.',0,0),
(16536,1002052,5,100,'Removes the stun from the Stone Stance Line of abilities.',0,1),
(16537,1002053,1,100,'Truespirit Rift will reduce incoming damage to allies by 2%',0,0),
(16538,1002053,2,100,'Truespirit Rift will reduce incoming damage to allies by 4%',0,0),
(16539,1002053,3,100,'Truespirit Rift will reduce incoming damage to allies by 6%',0,0),
(16540,1002054,1,100,'Applies Mobile Assault.  Lasts for 2.0 seconds.',0,0),
(16541,1002054,1,100,'Increases Weapon Damage of caster by 5.0',1,1),
(16542,1002054,1,100,'Increases the damage of all spells and combat arts by 20%',1,2),
(16543,1002055,1,100,'Increases the rate of Dissonance dissipation when above 80% Dissonance by 50%. This effect suspends when Repair Overload is active.',0,0),
(16544,1002056,1,100,'Increases AGI of caster by 5.0',0,0),
(16545,1002057,1,100,'Increases Defense of caster by 2.5',0,0),
(16546,1002057,2,100,'Increases Defense of caster by 4.9',0,0),
(16547,1002057,3,100,'Increases Defense of caster by 7.4',0,0),
(16548,1002057,4,100,'Increases Defense of caster by 9.8',0,0),
(16549,1002057,5,100,'Increases Defense of caster by 12.3',0,0),
(16550,1002057,6,100,'Increases Defense of caster by 14.8',0,0),
(16551,1002057,7,100,'Increases Defense of caster by 17.2',0,0),
(16552,1002057,8,100,'Increases Defense of caster by 19.7',0,0),
(16553,1002057,9,100,'Increases Defense of caster by 22.1',0,0),
(16554,1002057,10,100,'Increases Defense of caster by 24.6',0,0),
(16555,1002058,1,100,'Reduces the recast time of Altruism by 5 seconds.',0,0),
(16556,1002058,2,100,'Reduces the recast time of Altruism by 10 seconds.',0,0),
(16557,1002058,3,100,'Reduces the recast time of Altruism by 15 seconds.',0,0),
(16558,1002058,4,100,'Reduces the recast time of Altruism by 20 seconds.',0,0),
(16559,1002058,5,100,'Reduces the recast time of Altruism by 25 seconds.',0,0),
(16560,1002058,6,100,'Reduces the recast time of Altruism by 30 seconds.',0,0),
(16561,1002058,7,100,'Reduces the recast time of Altruism by 35 seconds.',0,0),
(16562,1002058,8,100,'Reduces the recast time of Altruism by 40 seconds.',0,0),
(16563,1002058,8,100,'Adds a second trigger to Altruism.',0,1),
(16564,1002059,1,100,'Reduces the power cost of all Provisioner reaction arts by 10%',0,0),
(16565,1002059,2,100,'Reduces the power cost of all Provisioner reaction arts by 10%',0,0),
(16566,1002060,1,100,'Increases the durability gain by 2 every round.',0,0),
(16567,1002060,2,100,'Increases the durability gain by 2 every round.',0,0),
(16568,1002061,1,100,'Increases the Weapon Damage Bonus granted by Mobile Assault by 12.5%',0,0),
(16569,1002061,2,100,'Increases the Weapon Damage Bonus granted by Mobile Assault by 25%',0,0),
(16570,1002061,3,100,'Increases the Weapon Damage Bonus granted by Mobile Assault by 37.5%',0,0),
(16571,1002061,4,100,'Increases the Weapon Damage Bonus granted by Mobile Assault by 50%',0,0),
(16572,1002061,5,100,'Increases the Weapon Damage Bonus granted by Mobile Assault by 62.5%',0,0),
(16573,1002061,6,100,'Increases the Weapon Damage Bonus granted by Mobile Assault by 75%',0,0),
(16574,1002061,7,100,'Increases the Weapon Damage Bonus granted by Mobile Assault by 87.5%',0,0),
(16575,1002061,8,100,'Increases the Weapon Damage Bonus granted by Mobile Assault by 100%',0,0),
(16576,1002062,1,100,'For every 20 Potency, the caster gains 1 Crit Bonus.',0,0),
(16577,1002063,2,100,'Reduces harvesting time by .25 seconds.',0,0),
(16578,1002064,1,100,'In Plain Sight has a 10% chance to finish the reuse of Assassinate.',0,0),
(16579,1002064,2,100,'In Plain Sight has a 20% chance to finish the reuse of Assassinate.',0,0),
(16580,1002065,1,100,'Improves the base damage by 5%.',0,0),
(16581,1002065,1,100,'Improves the critical damage by 5%.',0,1),
(16582,1002065,2,100,'Improves the base damage by 10%.',0,0),
(16583,1002065,2,100,'Improves the critical damage by 10%.',0,1),
(16584,1002065,3,100,'Improves the base damage by 15%.',0,0),
(16585,1002065,3,100,'Improves the critical damage by 15%.',0,1),
(16586,1002065,4,100,'Improves the base damage by 20%.',0,0),
(16587,1002065,4,100,'Improves the critical damage by 20%.',0,1),
(16588,1002065,5,100,'Improves the base damage by 25%.',0,0),
(16589,1002065,5,100,'Improves the critical damage by 25%.',0,1),
(16590,1002066,1,100,'Increases Ability Casting Speed of caster by 1.0%',0,0),
(16591,1002066,1,100,'Increases Multi Attack of caster by 1.0',0,1),
(16592,1002066,2,100,'Increases Ability Casting Speed of caster by 1.0%',0,0),
(16593,1002066,2,100,'Increases Multi Attack of caster by 1.0',0,1),
(16594,1002067,1,100,'Increases STR of caster by 4.0',0,0),
(16595,1002067,2,100,'Increases STR of caster by 4.0',0,0),
(16596,1002068,1,100,'Adds two triggered effects to Ritual of Alacrity. The first will ward allies when casting heal spells and the second will inflict damage when attacking.',0,0),
(16597,1002068,2,100,'Adds two triggered effects to Ritual of Alacrity. The first will ward allies when casting heal spells and the second will inflict damage when attacking.',0,0),
(16598,1002068,3,100,'Adds two triggered effects to Ritual of Alacrity. The first will ward allies when casting heal spells and the second will inflict damage when attacking.',0,0),
(16599,1002069,1,100,'For every 20 Potency, the caster gains 1 Crit Bonus.',0,0),
(16600,1002070,1,100,'Restores 1.5% power to the wizard over time and reduces the base reuse time of Manaburn to 250 seconds and its casting time to 5 seconds when the wizard reaches 3 increments of Incineration.',0,0),
(16601,1002070,2,100,'Restores 3% power to the wizard over time and reduces the base reuse time of Manaburn to 200 seconds and its casting time to 4 seconds when the wizard reaches 3 increments of Incineration.',0,0),
(16602,1002070,3,100,'Restores 4.5% power to the wizard over time and reduces the base reuse time of Manaburn to 150 seconds and its casting time to 3 seconds when the wizard reaches 3 increments of Incineration.',0,0),
(16603,1002071,1,100,'On a hostile spell cast this spell may cast Mystical Leadership on caster.  Lasts for 10.0 seconds.  Triggers about 1.0 times per minute. ',0,0),
(16604,1002071,1,100,'Increases Doublecast Chance of group members (AE) by 1.0%',1,1),
(16605,1002071,1,100,'This effect can be stacked by multiple casters.',1,2),
(16606,1002071,2,100,'On a hostile spell cast this spell may cast Mystical Leadership on caster.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(16607,1002071,2,100,'Increases Doublecast Chance of group members (AE) by 1.0%',1,1),
(16608,1002071,2,100,'This effect can be stacked by multiple casters.',1,2),
(16609,1002071,3,100,'On a hostile spell cast this spell may cast Mystical Leadership on caster.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,0),
(16610,1002071,3,100,'Increases Spell Doublecast of group members (AE) by 1.0%',1,1),
(16611,1002071,3,100,'This effect can be stacked by multiple casters.',1,2),
(16612,1002072,1,100,'Increases Power Regen of caster by 6.0',0,0),
(16613,1002072,2,100,'Increases Power Regen of caster by 6.0',0,0),
(16614,1002073,1,100,'Reduces the initial power cost of sprinting by 33%.',0,0),
(16615,1002073,1,100,'Increases your speed while sprinting by 10.',0,1),
(16616,1002073,2,100,'Reduces the initial power cost of sprinting by 33%.',0,0),
(16617,1002073,2,100,'Increases your speed while sprinting by 10.',0,1),
(16618,1002074,1,100,'On a melee hit this spell has a 4% chance to cast Natural Boon on target.  ',0,0),
(16619,1002074,1,100,'Heals group members (AE) for 525',1,1),
(16620,1002074,2,100,'On a melee hit this spell has a 8% chance to cast Natural Boon on target.  ',0,0),
(16621,1002074,2,100,'Heals group members (AE) for 525',1,1),
(16622,1002074,3,100,'On a melee hit this spell has a 12% chance to cast Natural Boon on target.  ',0,0),
(16623,1002074,3,100,'Heals group members (AE) for 525',1,1),
(16624,1002074,4,100,'On a melee hit this spell has a 16% chance to cast Natural Boon on target.  ',0,0),
(16625,1002074,4,100,'Heals group members (AE) for 525',1,1),
(16626,1002074,5,100,'On a melee hit this spell has a 20% chance to cast Natural Boon on target.  ',0,0),
(16627,1002074,5,100,'Heals group members (AE) for 525',1,1),
(16628,1002074,6,100,'On a melee hit this spell has a 24% chance to cast Natural Boon on target.  ',0,0),
(16629,1002074,6,100,'Heals group members (AE) for 525',1,1),
(16630,1002074,7,100,'On a melee hit this spell has a 28% chance to cast Natural Boon on target.  ',0,0),
(16631,1002074,7,100,'Heals group members (AE) for 525',1,1),
(16632,1002074,8,100,'On a melee hit this spell has a 32% chance to cast Natural Boon on target.  ',0,0),
(16633,1002074,8,100,'Heals group members (AE) for 525',1,1),
(16634,1002074,9,100,'On a melee hit this spell has a 36% chance to cast Natural Boon on target.  ',0,0),
(16635,1002074,9,100,'Heals group members (AE) for 525',1,1),
(16636,1002074,10,100,'On a melee hit this spell has a 40% chance to cast Natural Boon on target.  ',0,0),
(16637,1002074,10,100,'Heals group members (AE) for 525',1,1),
(16638,1002075,1,100,'Caster will have their chance to hit with a weapon increased by 1.0%',0,0),
(16639,1002075,1,100,'Gives caster a 1.0% chance to strikethrough a successful avoidance check',0,1),
(16640,1002075,2,100,'Caster will have their chance to hit with a weapon increased by 2.0%',0,0),
(16641,1002075,2,100,'Gives caster a 2.0% chance to strikethrough a successful avoidance check',0,1),
(16642,1002075,3,100,'Caster will have their chance to hit with a weapon increased by 3.0%',0,0),
(16643,1002075,3,100,'Gives caster a 3.0% chance to strikethrough a successful avoidance check',0,1),
(16644,1002075,4,100,'Caster will have their chance to hit with a weapon increased by 4.0%',0,0),
(16645,1002075,4,100,'Gives caster a 4.0% chance to strikethrough a successful avoidance check',0,1),
(16646,1002075,5,100,'Caster will have their chance to hit with a weapon increased by 5.0%',0,0),
(16647,1002075,5,100,'Gives caster a 5.0% chance to strikethrough a successful avoidance check',0,1),
(16648,1002075,6,100,'Caster will have their chance to hit with a weapon increased by 6.0%',0,0),
(16649,1002075,6,100,'Gives caster a 6.0% chance to strikethrough a successful avoidance check',0,1),
(16650,1002075,7,100,'Caster will have their chance to hit with a weapon increased by 7.0%',0,0),
(16651,1002075,7,100,'Gives caster a 7.0% chance to strikethrough a successful avoidance check',0,1),
(16652,1002075,8,100,'Caster will have their chance to hit with a weapon increased by 8.0%',0,0),
(16653,1002075,8,100,'Gives caster a 8.0% chance to strikethrough a successful avoidance check',0,1),
(16654,1002076,1,100,'Caster will have their chance to hit with a weapon increased by 1.0%',0,0),
(16655,1002076,2,100,'Caster will have their chance to hit with a weapon increased by 2.0%',0,0),
(16656,1002076,3,100,'Caster will have their chance to hit with a weapon increased by 3.0%',0,0),
(16657,1002076,4,100,'Caster will have their chance to hit with a weapon increased by 4.0%',0,0),
(16658,1002076,5,100,'Caster will have their chance to hit with a weapon increased by 5.0%',0,0),
(16659,1002076,6,100,'Caster will have their chance to hit with a weapon increased by 6.0%',0,0),
(16660,1002076,7,100,'Caster will have their chance to hit with a weapon increased by 7.0%',0,0),
(16661,1002076,8,100,'Caster will have their chance to hit with a weapon increased by 8.0%',0,0),
(16662,1002077,1,100,'Following the use of Blinding Dust, the raid will have automatically reduce their threat with their targets by 50% of the damage they inflict. Does not apply to fighters.',0,0),
(16663,1002077,2,100,'Following the use of Blinding Dust, the raid will have automatically reduce their threat with their targets by 100% of the damage they inflict. Does not apply to fighters.',0,0),
(16664,1002077,3,100,'Following the use of Blinding Dust, the raid will have automatically reduce their threat with their targets by 150% of the damage they inflict. Does not apply to fighters.',0,0),
(16665,1002079,1,100,'Increases the amount of progress gained by 2.0%.',0,0),
(16666,1002079,2,100,'Increases the amount of progress gained by 2.0%.',0,0),
(16667,1002080,1,100,'Reduces the casting time by 0.1 seconds.',0,0),
(16668,1002080,1,100,'Improves the overtime heal amount by 4%',0,1),
(16669,1002080,2,100,'Reduces the casting time by 0.2 seconds.',0,0),
(16670,1002080,2,100,'Improves the overtime heal amount by 8%',0,1),
(16671,1002080,3,100,'Reduces the casting time by 0.3 seconds.',0,0),
(16672,1002080,3,100,'Improves the overtime heal amount by 12%',0,1),
(16673,1002080,4,100,'Reduces the casting time by 0.4 seconds.',0,0),
(16674,1002080,4,100,'Improves the overtime heal amount by 16%',0,1),
(16675,1002080,5,100,'Reduces the casting time by 0.5 seconds.',0,0),
(16676,1002080,5,100,'Improves the overtime heal amount by 20%',0,1),
(16677,1002081,1,100,'Increases STR of caster by 8.0',0,0),
(16678,1002082,1,100,'Improves the damage by 4%',0,0),
(16679,1002082,1,100,'Improves the critical damage by 2%.',0,1),
(16680,1002082,2,100,'Improves the damage by 8%',0,0),
(16681,1002082,2,100,'Improves the critical damage by 4%.',0,1),
(16682,1002082,3,100,'Improves the damage by 12%',0,0),
(16683,1002082,3,100,'Improves the critical damage by 6%.',0,1),
(16684,1002082,4,100,'Improves the damage by 16%',0,0),
(16685,1002082,4,100,'Improves the critical damage by 8%.',0,1),
(16686,1002082,5,100,'Improves the damage by 20%',0,0),
(16687,1002082,5,100,'Improves the critical damage by 10%.',0,1),
(16688,1002083,1,100,'Improves the damage of Death Swarm by 7%.',0,0),
(16689,1002083,2,100,'Improves the damage of Death Swarm by 14%.',0,0),
(16690,1002083,3,100,'Improves the damage of Death Swarm by 21%.',0,0),
(16691,1002083,4,100,'Improves the damage of Death Swarm by 28%.',0,0),
(16692,1002083,5,100,'Improves the damage of Death Swarm by 35%.',0,0),
(16693,1002084,1,100,'Applies Necrotic Armor to qualifying pets.',0,0),
(16694,1002084,1,100,'Reduces all damage done to target by 10%',1,1),
(16695,1002084,2,100,'Applies Necrotic Armor to qualifying pets.',0,0),
(16696,1002084,2,100,'Reduces all damage done to target by 20%',1,1),
(16697,1002084,3,100,'Applies Necrotic Armor to qualifying pets.',0,0),
(16698,1002084,3,100,'Reduces all damage done to target by 30%',1,1),
(16699,1002085,1,100,'Graverot will reduce the target''s AE AutoAttack Chance by 3% per increment',0,0),
(16700,1002085,2,100,'Graverot will reduce the target''s AE AutoAttack Chance by 6% per increment',0,0),
(16701,1002085,3,100,'Graverot will reduce the target''s AE AutoAttack Chance by 9% per increment',0,0),
(16702,1002086,1,100,'Increases Artificing of caster by 5.0',0,0),
(16703,1002086,2,100,'Increases Artificing of caster by 5.0',0,0),
(16704,1002087,1,100,'Applies Nerve Poison to qualifying pets.',0,0),
(16705,1002087,1,100,'Improves the damage of Nerve Poison by 1%',1,1),
(16706,1002087,2,100,'Applies Nerve Poison to qualifying pets.',0,0),
(16707,1002087,2,100,'Improves the damage of Nerve Poison by 2%',1,1),
(16708,1002087,3,100,'Applies Nerve Poison to qualifying pets.',0,0),
(16709,1002087,3,100,'Improves the damage of Nerve Poison by 3%',1,1),
(16710,1002087,4,100,'Applies Nerve Poison to qualifying pets.',0,0),
(16711,1002087,4,100,'Improves the damage of Nerve Poison by 4%',1,1),
(16712,1002087,5,100,'Applies Nerve Poison to qualifying pets.',0,0),
(16713,1002087,5,100,'Improves the damage of Nerve Poison by 5%',1,1),
(16714,1002087,6,100,'Applies Nerve Poison to qualifying pets.',0,0),
(16715,1002087,6,100,'Improves the damage of Nerve Poison by 6%',1,1),
(16716,1002087,7,100,'Applies Nerve Poison to qualifying pets.',0,0),
(16717,1002087,7,100,'Improves the damage of Nerve Poison by 7%',1,1),
(16718,1002087,8,100,'Applies Nerve Poison to qualifying pets.',0,0),
(16719,1002087,8,100,'Improves the damage of Nerve Poison by 8%',1,1),
(16720,1002087,9,100,'Applies Nerve Poison to qualifying pets.',0,0),
(16721,1002087,9,100,'Improves the damage of Nerve Poison by 9%',1,1),
(16722,1002087,10,100,'Applies Nerve Poison to qualifying pets.',0,0),
(16723,1002087,10,100,'Improves the damage of Nerve Poison by 10%',1,1),
(16724,1002088,1,100,'Increased Artistry by 5.0',0,0),
(16726,1002089,1,100,'When a combat art is used this spell will cast Nightblade''s Intensity on target.  Lasts for 1 minute.  ',0,0),
(16727,1002089,1,100,'Applies Concealer''s Pain on termination.  Lasts for 10.0 seconds.',1,1),
(16728,1002089,1,100,'Applies when reaching 12 increments of Nightblade''s Intensity',2,2),
(16729,1002089,1,100,'Increases the assassin''s potency by 20% of their base potency',2,3),
(16730,1002089,1,100,'Cannot be modified except by direct means',2,4),
(16731,1002089,1,100,'Only triggers when using stealth attacks',0,5),
(16732,1002090,1,100,'Increases INT of caster by 7.0',0,0),
(16733,1002091,1,100,'Increases AGI of caster by 4.0',0,0),
(16734,1002091,2,100,'Increases AGI of caster by 4.0',0,0),
(16735,1002092,1,100,'Increases Disruption and Defense of caster by 5.0',0,0),
(16736,1002092,2,100,'Increases Disruption and Defense of caster by 5.0',0,0),
(16737,1002093,1,100,'Increases Ability Casting Speed of caster by 1.0%',0,0),
(16738,1002093,1,100,'Increases Multi Attack of caster by 1.0',0,1),
(16739,1002093,2,100,'Increases Ability Casting Speed of caster by 1.0%',0,0),
(16740,1002093,2,100,'Increases Multi Attack of caster by 1.0',0,1),
(16741,1002094,1,100,'Increases Ministration of caster by 5.0',0,0),
(16742,1002094,2,100,'Increases Ministration of caster by 5.0',0,0),
(16743,1002095,1,100,'Increases the amount of durability gained by 1.0.',0,0),
(16744,1002095,1,100,'Increases success chance by 1.0%',0,1),
(16745,1002095,2,100,'Increases the amount of durability gained by 1.0.',0,0),
(16746,1002095,2,100,'Increases success chance by 1.0%',0,1),
(16747,1002096,1,100,'Increases Mount Speed of caster by 5.0%',0,0),
(16748,1002096,2,100,'Increases Mount Speed of caster by 5.0%',0,0),
(16749,1002097,1,100,'Increases Power Regen of caster by 6.0',0,0),
(16750,1002097,2,100,'Increases Power Regen of caster by 6.0',0,0),
(16751,1002098,1,100,'Gift of Bertoxxulous gains a 15% chance to inflict poison damage to the encounter when the warlock attacks.',0,0),
(16752,1002098,2,100,'Gift of Bertoxxulous gains a 30% chance to inflict poison damage to the encounter when the warlock attacks.',0,0),
(16753,1002098,3,100,'Gift of Bertoxxulous gains a 45% chance to inflict poison damage to the encounter when the warlock attacks.',0,0),
(16754,1002099,1,100,'Improves the noxious mitigation reduction by 3%.',0,0),
(16755,1002099,2,100,'Improves the noxious mitigation reduction by 6%.',0,0),
(16756,1002099,3,100,'Improves the noxious mitigation reduction by 9%.',0,0),
(16757,1002099,4,100,'Improves the noxious mitigation reduction by 12%.',0,0),
(16758,1002099,5,100,'Improves the noxious mitigation reduction by 15%.',0,0),
(16759,1001883,2,100,'Adds an additional effect to Cure: Arcane which removes noxious effects.',0,0),
(16760,1001883,3,100,'Adds an additional effect to Cure: Arcane which removes noxious effects.',0,0),
(16761,1001883,4,100,'Adds an additional effect to Cure: Arcane which removes noxious effects.',0,0),
(16762,1001883,5,100,'Adds an additional effect to Cure: Arcane which removes noxious effects.',0,0),
(16763,1002100,1,100,'Increases mitigation reduction by 15%.',0,0),
(16764,1002100,2,100,'Increases mitigation reduction by 30%.',0,0),
(16765,1002100,3,100,'Increases mitigation reduction by 45%.',0,0),
(16766,1002100,4,100,'Increases mitigation reduction by 60%.',0,0),
(16767,1002100,5,100,'Increases mitigation reduction by 75%.',0,0),
(16768,1002101,1,100,'Adds 1 Crit Bonus to Shroud of Armor.',0,0),
(16769,1002101,2,100,'Adds 2 Crit Bonus to Shroud of Armor.',0,0),
(16770,1002101,3,100,'Adds 3 Crit Bonus to Shroud of Armor.',0,0),
(16771,1002101,4,100,'Adds 4 Crit Bonus to Shroud of Armor.',0,0),
(16772,1002101,5,100,'Adds 5 Crit Bonus to Shroud of Armor.',0,0),
(16773,1002102,1,100,'Lowers the base casting speeds of Apocalypse and Distortion to 2 seconds',0,0),
(16774,1002103,1,100,'Adds an additional effect to damage based poisons which reduces the target''s noxious mitigation and combat mitigation.',0,0),
(16775,1002103,2,100,'Adds an additional effect to damage based poisons which reduces the target''s noxious mitigation and combat mitigation.',0,0),
(16776,1002103,3,100,'Adds an additional effect to damage based poisons which reduces the target''s noxious mitigation and combat mitigation.',0,0),
(16777,1002103,4,100,'Adds an additional effect to damage based poisons which reduces the target''s noxious mitigation and combat mitigation.',0,0),
(16778,1002103,5,100,'Adds an additional effect to damage based poisons which reduces the target''s noxious mitigation and combat mitigation.',0,0),
(16779,1002104,1,100,'Gives caster an extra 2.5% mitigation to their worn armor',0,0),
(16780,1002104,2,100,'Gives caster an extra 5.0% mitigation to their worn armor',0,0),
(16781,1002104,3,100,'Gives caster an extra 7.5% mitigation to their worn armor',0,0),
(16782,1002104,4,100,'Gives caster an extra 10.0% mitigation to their worn armor',0,0),
(16783,1002104,5,100,'Gives caster an extra 12.5% mitigation to their worn armor',0,0),
(16784,1002105,1,100,'On any combat or spell hit this spell may cast Nurturing Devotion on target.  Triggers about 4.0 times per minute. ',0,0),
(16785,1002105,1,100,'Heals pet for 6 - 8',1,1),
(16786,1002105,2,100,'On any combat or spell hit this spell may cast Nurturing Devotion on target.  Triggers about 4.0 times per minute. ',0,0),
(16787,1002105,2,100,'Heals pet for 513 - 627',1,1),
(16788,1002105,3,100,'On any combat or spell hit this spell may cast Nurturing Devotion on target.  Triggers about 4.0 times per minute. ',0,0),
(16789,1002105,3,100,'Heals pet for 540 - 660',1,1),
(16790,1002105,4,100,'On any combat or spell hit this spell may cast Nurturing Devotion on target.  Triggers about 4.0 times per minute. ',0,0),
(16791,1002105,4,100,'Heals pet for 594 - 726',1,1),
(16792,1002105,5,100,'On any combat or spell hit this spell may cast Nurturing Devotion on target.  Triggers about 4.0 times per minute. ',0,0),
(16793,1002105,5,100,'Heals pet for 648 - 792',1,1),
(16794,1002105,6,100,'On any combat or spell hit this spell may cast Nurturing Devotion on target.  Triggers about 4.0 times per minute. ',0,0),
(16795,1002105,6,100,'Heals pet for 702 - 858',1,1),
(16796,1002105,7,100,'On any combat or spell hit this spell may cast Nurturing Devotion on target.  Triggers about 4.0 times per minute. ',0,0),
(16797,1002105,7,100,'Heals pet for 832 - 1016',1,1),
(16798,1002105,8,100,'On any combat or spell hit this spell may cast Nurturing Devotion on target.  Triggers about 4.0 times per minute. ',0,0),
(16799,1002105,8,100,'Heals pet for 837 - 1023',1,1),
(16800,1002105,9,100,'On any combat or spell hit this spell may cast Nurturing Devotion on target.  Triggers about 4.0 times per minute. ',0,0),
(16801,1002105,9,100,'Heals pet for 864 - 1056',1,1),
(16802,1002105,10,100,'On any combat or spell hit this spell may cast Nurturing Devotion on target.  Triggers about 4.0 times per minute. ',0,0),
(16803,1002105,10,100,'Heals pet for 907 - 1109',1,1),
(16804,1002106,1,100,'Reduces casting and reuse speed of Stealth and Stalk abilities by 10%',0,0),
(16805,1002106,1,100,'Increases damage of the following combat art by 1%',0,1),
(16806,1002106,2,100,'Reduces casting and reuse speed of Stealth and Stalk abilities by 20%',0,0),
(16807,1002106,2,100,'Increases damage of the following combat art by 2%',0,1),
(16808,1002106,3,100,'Reduces casting and reuse speed of Stealth and Stalk abilities by 30%',0,0),
(16809,1002106,3,100,'Increases damage of the following combat art by 3%',0,1),
(16810,1002106,4,100,'Reduces casting and reuse speed of Stealth and Stalk abilities by 40%',0,0),
(16811,1002106,4,100,'Increases damage of the following combat art by 4%',0,1),
(16812,1002106,5,100,'Reduces casting and reuse speed of Stealth and Stalk abilities by 50%',0,0),
(16813,1002106,5,100,'Increases damage of the following combat art by 5%',0,1),
(16814,1002106,6,100,'Reduces casting and reuse speed of Stealth and Stalk abilities by 60%',0,0),
(16815,1002106,6,100,'Increases damage of the following combat art by 6%',0,1),
(16816,1002106,7,100,'Reduces casting and reuse speed of Stealth and Stalk abilities by 70%',0,0),
(16817,1002106,7,100,'Increases damage of the following combat art by 7%',0,1),
(16818,1002106,8,100,'Reduces casting and reuse speed of Stealth and Stalk abilities by 80%',0,0),
(16819,1002106,8,100,'Increases damage of the following combat art by 8%',0,1),
(16820,1002106,9,100,'Reduces casting and reuse speed of Stealth and Stalk abilities by 90%',0,0),
(16821,1002106,9,100,'Increases damage of the following combat art by 9%',0,1),
(16822,1002106,10,100,'Reduces casting and reuse speed of Stealth and Stalk abilities by 100%',0,0),
(16823,1002106,10,100,'Increases damage of the following combat art by 10%',0,1),
(16824,1002107,1,100,'Following the use of Occult Bolt, the warlock increases the duration of the group''s beneficial effects by 6%',0,0),
(16825,1002107,2,100,'Following the use of Occult Bolt, the warlock increases the duration of the group''s beneficial effects by 12%',0,0),
(16826,1002107,3,100,'Following the use of Occult Bolt, the warlock increases the duration of the group''s beneficial effects by 18%',0,0),
(16827,1002108,1,100,'Inflicts additional damage when Waveform triggers if the monk is behind or flanking their target.',0,0),
(16828,1002108,2,100,'Inflicts additional damage when Waveform triggers if the monk is behind or flanking their target.',0,0),
(16829,1002108,3,100,'Inflicts additional damage when Waveform triggers if the monk is behind or flanking their target.',0,0),
(16830,1002109,1,100,'Improves the pet''s offensive stance bonuses by 3%.',0,0),
(16831,1002109,2,100,'Improves the pet''s offensive stance bonuses by 6%.',0,0),
(16832,1002109,3,100,'Improves the pet''s offensive stance bonuses by 9%.',0,0),
(16833,1002109,4,100,'Improves the pet''s offensive stance bonuses by 12%.',0,0),
(16834,1002109,5,100,'Improves the pet''s offensive stance bonuses by 15%.',0,0),
(16835,1002110,1,100,'Increases the skill bonuses of the fighter''s offensive stance by 4%',0,0),
(16836,1002111,1,100,'Improves the skill bonuses of offensive based stances and songs by 5%',0,0),
(16837,1002111,2,100,'Improves the skill bonuses of offensive based stances and songs by 10%',0,0),
(16838,1002110,2,100,'Increases the skill bonuses of the fighter''s offensive stance by 8%',0,0),
(16839,1002111,3,100,'Improves the skill bonuses of offensive based stances and songs by 15%',0,0),
(16840,1002110,3,100,'Increases the skill bonuses of the fighter''s offensive stance by 12%',0,0),
(16841,1002111,4,100,'Improves the skill bonuses of offensive based stances and songs by 20%',0,0),
(16842,1002110,4,100,'Increases the skill bonuses of the fighter''s offensive stance by 16%',0,0),
(16843,1002110,5,100,'Increases the skill bonuses of the fighter''s offensive stance by 20%',0,0),
(16844,1002111,5,100,'Improves the skill bonuses of offensive based stances and songs by 25%',0,0),
(16845,1002112,1,100,'Increases Ability Casting Speed of caster by 1.0%',0,0),
(16846,1002112,1,100,'Increases Multi Attack of caster by 1.0',0,1),
(16847,1002112,2,100,'Increases Ability Casting Speed of caster by 1.0%',0,0),
(16848,1002112,2,100,'Increases Multi Attack of caster by 1.0',0,1),
(16849,1002113,1,100,'Increases the durability gain by 2 every round.',0,0),
(16850,1002113,2,100,'Increases the durability gain by 2 every round.',0,0),
(16851,1002114,1,100,'Increases Mitigation of caster vs arcane damage by 3',0,0),
(16852,1002114,2,100,'Increases Mitigation of caster vs arcane damage by 3',0,0),
(16853,1002115,1,100,'Caster will use 10% less power while using weaponsmith reaction arts',0,0),
(16854,1002115,2,100,'Caster will use 10% less power while using weaponsmith reaction arts',0,0),
(16855,1002116,1,100,'Improves the damage by 3%',0,0),
(16856,1002116,1,100,'Reduces the reuse time by 3 seconds.',0,1),
(16857,1002116,2,100,'Improves the damage by 6%',0,0),
(16858,1002116,2,100,'Reduces the reuse time by 6 seconds.',0,1),
(16859,1002116,3,100,'Improves the damage by 9%',0,0),
(16860,1002116,3,100,'Reduces the reuse time by 9 seconds.',0,1),
(16861,1002116,4,100,'Improves the damage by 12%',0,0),
(16862,1002116,4,100,'Reduces the reuse time by 12 seconds.',0,1),
(16863,1002116,5,100,'Improves the damage by 15%',0,0),
(16864,1002116,5,100,'Reduces the reuse time by 15 seconds.',0,1),
(16865,1002117,1,100,'Improves the duration of food by 15%',0,0),
(16866,1002117,2,100,'Improves the duration of food by 15%',0,0),
(16867,1002118,1,100,'On a ranged hit this spell may cast Onslaught on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(16868,1002118,1,100,'Inflicts 129 - 240 piercing damage on target',1,1),
(16869,1002118,2,100,'On a ranged hit this spell may cast Onslaught on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(16870,1002118,2,100,'Inflicts 259 - 480 piercing damage on target',1,1),
(16871,1002118,3,100,'On a ranged hit this spell may cast Onslaught on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(16872,1002118,3,100,'Inflicts 388 - 720 piercing damage on target',1,1),
(16873,1002118,4,100,'On a ranged hit this spell may cast Onslaught on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(16874,1002118,4,100,'Inflicts 517 - 960 piercing damage on target',1,1),
(16875,1002118,5,100,'On a ranged hit this spell may cast Onslaught on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(16876,1002118,5,100,'Inflicts 646 - 1200 piercing damage on target',1,1),
(16877,1002118,6,100,'On a ranged hit this spell may cast Onslaught on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(16878,1002118,6,100,'Inflicts 776 - 1441 piercing damage on target',1,1),
(16879,1002118,7,100,'On a ranged hit this spell may cast Onslaught on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(16880,1002118,7,100,'Inflicts 905 - 1681 piercing damage on target',1,1),
(16881,1002118,8,100,'On a ranged hit this spell may cast Onslaught on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(16882,1002118,8,100,'Inflicts 776 - 1441 piercing damage on target',1,1),
(16883,1002118,9,100,'On a ranged hit this spell may cast Onslaught on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(16884,1002118,9,100,'Inflicts 1164 - 2161 piercing damage on target',1,1),
(16885,1002118,10,100,'On a ranged hit this spell may cast Onslaught on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(16886,1002118,10,100,'Inflicts 1293 - 2401 piercing damage on target',1,1),
(16887,1002119,1,100,'Improves the damage of combat arts by 3% when the target is above 80% health.',0,0),
(16888,1002119,2,100,'Improves the damage of combat arts by 6% when the target is above 80% health.',0,0),
(16889,1002119,3,100,'Improves the damage of combat arts by 9% when the target is above 80% health.',0,0),
(16890,1002119,4,100,'Improves the damage of combat arts by 12% when the target is above 80% health.',0,0),
(16891,1002119,5,100,'Improves the damage of combat arts by 15% when the target is above 80% health.',0,0),
(16892,1002120,1,100,'Increases Multi Attack of caster by 2.5',0,0),
(16893,1002120,2,100,'Increases Multi Attack of caster by 5.0',0,0),
(16894,1002120,3,100,'Increases Multi Attack Chance of caster by 7.5',0,0),
(16895,1002120,4,100,'Increases Multi Attack of caster by 10.0',0,0),
(16896,1002120,5,100,'Increases Multi Attack of caster by 12.5',0,0),
(16897,1002120,6,100,'Increases Multi Attack of caster by 15.0',0,0),
(16898,1002120,7,100,'Increases Multi Attack of caster by 17.5',0,0),
(16899,1002120,8,100,'Increases Multi Attack Chance of caster by 20.0',0,0),
(16900,1002120,9,100,'Increases Multi Attack of caster by 22.5',0,0),
(16901,1002120,10,100,'Increases Multi Attack Chance of caster by 25.0',0,0),
(16902,1002121,1,100,'Improves the duration of potions by 20%',0,0),
(16903,1002121,2,100,'Improves the duration of potions by 20%',0,0),
(16904,1002122,1,100,'When any damage is received this spell will cast Outnumbered on target.  Lasts for 10.0 seconds.  ',0,0),
(16905,1002122,1,100,'Increases All Attributes of caster by 2.0%',1,1),
(16906,1002122,1,100,'Only applies when being attacked by more than 4 enemies',1,2),
(16907,1002122,2,100,'When any damage is received this spell will cast Outnumbered on target.  Lasts for 10.0 seconds.  ',0,0),
(16908,1002122,2,100,'Increases All Attributes of caster by 4.6%',1,1),
(16909,1002122,2,100,'Only applies when being attacked by more than 4 enemies',1,2),
(16910,1002122,3,100,'When any damage is received this spell will cast Outnumbered on target.  Lasts for 10.0 seconds.  ',0,0),
(16911,1002122,3,100,'Increases All Attributes of caster by 6.9%',1,1),
(16912,1002122,3,100,'Only applies when being attacked by more than 4 enemies',1,2),
(16913,1002122,4,100,'When any damage is received this spell will cast Outnumbered on target.  Lasts for 10.0 seconds.  ',0,0),
(16914,1002122,4,100,'Increases All Attributes of caster by 9.2%',1,1),
(16915,1002122,4,100,'Only applies when being attacked by more than 4 enemies',1,2),
(16916,1002122,5,100,'When any damage is received this spell will cast Outnumbered on target.  Lasts for 10.0 seconds.  ',0,0),
(16917,1002122,5,100,'Increases All Attributes of caster by 11.5%',1,1),
(16918,1002122,5,100,'Only applies when being attacked by more than 4 enemies',1,2),
(16919,1002122,6,100,'When any damage is received this spell will cast Outnumbered on target.  Lasts for 10.0 seconds.  ',0,0),
(16920,1002122,6,100,'Increases All Attributes of caster by 13.8%',1,1),
(16921,1002122,6,100,'Only applies when being attacked by more than 4 enemies',1,2),
(16922,1002122,7,100,'When any damage is received this spell will cast Outnumbered on target.  Lasts for 10.0 seconds.  ',0,0),
(16923,1002122,7,100,'Increases All Attributes of caster by 16.1%',1,1),
(16924,1002122,7,100,'Only applies when being attacked by more than 4 enemies',1,2),
(16925,1002122,8,100,'When any damage is received this spell will cast Outnumbered on target.  Lasts for 10.0 seconds.  ',0,0),
(16926,1002122,8,100,'Increases All Attributes of caster by 18.4%',1,1),
(16927,1002122,8,100,'Only applies when being attacked by more than 4 enemies',1,2),
(16928,1002122,9,100,'When any damage is received this spell will cast Outnumbered on target.  Lasts for 10.0 seconds.  ',0,0),
(16929,1002122,9,100,'Increases All Attributes of caster by 20.7%',1,1),
(16930,1002122,9,100,'Only applies when being attacked by more than 4 enemies',1,2),
(16931,1002122,10,100,'When any damage is received this spell will cast Outnumbered on target.  Lasts for 10.0 seconds.  ',0,0),
(16932,1002122,10,100,'Increases All Attributes of caster by 23.0%',1,1),
(16933,1002122,10,100,'Only applies when being attacked by more than 4 enemies',1,2),
(16934,1002123,1,100,'Improves the base ward amount by 4%.',0,0),
(16935,1002123,2,100,'Improves the base ward amount by 8%.',0,0),
(16936,1002123,3,100,'Improves the base ward amount by 12%.',0,0),
(16937,1002123,4,100,'Improves the base ward amount by 16%.',0,0),
(16938,1002123,5,100,'Improves the base ward amount by 20%.',0,0),
(16939,1002124,1,100,'Mana Cloak has a 4.5% chance to clear the reuse on Channeled Focus.',0,0),
(16940,1002124,2,100,'Mana Cloak has a 9% chance to clear the reuse on Channeled Focus.',0,0),
(16941,1002125,1,100,'Regrowth has a 2.5% chance to clear the reuse on Porcupine.',0,0),
(16942,1002125,1,100,'Sylvan Touch has a 50% chance to clear the reuse on Porcupine.',0,1),
(16943,1002125,2,100,'Regrowth has a 5% chance to clear the reuse on Porcupine.',0,0),
(16944,1002125,2,100,'Sylvan Touch has a 100% chance to clear the reuse on Porcupine.',0,1),
(16945,1002126,1,100,'Regrowth will now heal the two nearest allies every time it updates.',0,0),
(16946,1002127,1,100,'Increases the damage of Chromatic Illusion''s initial attack by 60%',0,0),
(16947,1002127,2,100,'Increases the damage of Chromatic Illusion''s initial attack by 120%',0,0),
(16948,1002127,3,100,'Increases the damage of Chromatic Illusion''s initial attack by 180%',0,0),
(16949,1002128,1,100,'On a critical combat hit this spell has a 5% chance to cast Overwhelming Arms on caster.  Lasts for 15.0 seconds.  ',0,0),
(16950,1002128,1,100,'Caster has a 4.0% chance of having one of their weapons'' auto-attack strike the target multiple times.',1,1),
(16951,1002128,2,100,'On a critical combat hit this spell has a 10% chance to cast Overwhelming Arms on caster.  Lasts for 15.0 seconds.  ',0,0),
(16952,1002128,2,100,'Caster has a 8.0% chance of having one of their weapons'' auto-attack strike the target multiple times.',1,1),
(16953,1002128,3,100,'On a critical combat hit this spell has a 15% chance to cast Overwhelming Arms on caster.  Lasts for 15.0 seconds.  ',0,0),
(16954,1002128,3,100,'Caster has a 12.0% chance of having one of their weapons'' auto-attack strike the target multiple times.',1,1),
(16955,1002128,4,100,'On a critical combat hit this spell has a 20% chance to cast Overwhelming Arms on caster.  Lasts for 15.0 seconds.  ',0,0),
(16956,1002128,4,100,'Caster has a 16.0% chance of having one of their weapons'' auto-attack strike the target multiple times.',1,1),
(16957,1002128,5,100,'On a critical combat hit this spell has a 25% chance to cast Overwhelming Arms on caster.  Lasts for 15.0 seconds.  ',0,0),
(16958,1002128,5,100,'Caster has a 20.0% chance of having one of their weapons'' auto-attack strike the target multiple times.',1,1),
(16959,1002129,1,100,'Increases the base heal amount by 3%.',0,0),
(16960,1002129,2,100,'Increases the base heal amount by 6%.',0,0),
(16961,1002129,3,100,'Increases the base heal amount by 9%.',0,0),
(16962,1002129,4,100,'Increases the base heal amount by 12%.',0,0),
(16963,1002129,5,100,'Increases the base heal amount by 15%.',0,0),
(16964,1002130,1,100,'Caster has a 2.8% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(16965,1002130,2,100,'Caster has a 5.6% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(16966,1002130,3,100,'Caster has a 8.4% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(16967,1002130,4,100,'Caster has a 11.2% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(16968,1002130,5,100,'Caster has a 14.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(16969,1002130,6,100,'Caster has a 16.8% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(16970,1002130,7,100,'Caster has a 19.6% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(16971,1002130,8,100,'Caster has a 22.4% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(16972,1002130,9,100,'Caster has a 25.2% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(16973,1002130,10,100,'Caster has a 28.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(16974,1002131,1,100,'Makes Instinct apply to the warden''s group.',0,0),
(16975,1002132,1,100,'Increases the base spell damage of the cleric by 1%',0,0),
(16976,1002132,2,100,'Increases the base spell damage of the cleric by 2%',0,0),
(16977,1002132,3,100,'Increases the base spell damage of the cleric by 3%',0,0),
(16978,1002132,4,100,'Increases the base spell damage of the cleric by 4%',0,0),
(16979,1002132,5,100,'Increases the base spell damage of the cleric by 5%',0,0),
(16980,1002132,6,100,'Increases the base spell damage of the cleric by 6%',0,0),
(16981,1002132,7,100,'Increases the base spell damage of the cleric by 7%',0,0),
(16982,1002132,8,100,'Increases the base spell damage of the cleric by 8%',0,0),
(16983,1002132,9,100,'Increases the base spell damage of the cleric by 9%',0,0),
(16984,1002132,10,100,'Increases the base spell damage of the cleric by 10%',0,0),
(16985,1002133,2,100,'Increases Transmuting of caster by 5.0',0,0),
(16986,1002134,1,100,'Ignore Pain has a 20% chance to finish the reuse of Rock Skin.',0,0),
(16987,1002134,2,100,'Ignore Pain has a 40% chance to finish the reuse of Rock Skin.',0,0),
(16988,1002135,1,100,'Increases caster''s chance to block by 2.0%',0,0),
(16989,1002135,2,100,'Increases caster''s chance to block by 2.0%',0,0),
(16990,1002136,1,100,'Improves the base and critical damage by 3%',0,0),
(16991,1002136,1,100,'Improves the heal amount by 8%',0,1),
(16992,1002136,2,100,'Improves the base and critical damage by 6%',0,0),
(16993,1002136,2,100,'Improves the heal amount by 16%',0,1),
(16994,1002136,3,100,'Improves the base and critical damage by 9%',0,0),
(16995,1002136,3,100,'Improves the heal amount by 24%',0,1),
(16996,1002136,4,100,'Improves the base and critical damage by 12%',0,0),
(16997,1002136,4,100,'Improves the heal amount by 32%',0,1),
(16998,1002136,5,100,'Improves the base and critical damage by 15%',0,0),
(16999,1002136,5,100,'Improves the heal amount by 40%',0,1),
(17000,1002137,1,100,'Increased tailoring skill by 5.0',0,0),
(17002,1002138,1,100,'On any combat or spell hit this spell may cast Paralytic Venom on target of attack.  Lasts for 10.0 seconds.  Triggers about 1.0 times per minute. ',0,0),
(17003,1002138,1,100,'Decreases Potency of target by 3.9%',1,1),
(17004,1002138,1,100,'This effect can be stacked by multiple casters.',1,2),
(17005,1002138,2,100,'On any combat or spell hit this spell may cast Paralytic Venom on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(17006,1002138,2,100,'Decreases Potency of target by 3.9%',1,1),
(17007,1002138,2,100,'This effect can be stacked by multiple casters.',1,2),
(17008,1002138,3,100,'On any combat or spell hit this spell may cast Paralytic Venom on target of attack.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,0),
(17009,1002138,3,100,'Decreases Potency of target by 3.9%',1,1),
(17010,1002138,3,100,'This effect can be stacked by multiple casters.',1,2),
(17011,1002139,1,100,'Increases Parry of caster by 3.0',0,0),
(17012,1002139,2,100,'Increases Parry of caster by 6.0',0,0),
(17013,1002139,3,100,'Increases Parry of caster by 9.0',0,0),
(17014,1002139,4,100,'Increases Parry of caster by 12.0',0,0),
(17015,1002139,5,100,'Increases Parry of caster by 15.0',0,0),
(17016,1002139,6,100,'Increases Parry of caster by 18.0',0,0),
(17017,1002139,7,100,'Increases Parry of caster by 21.0',0,0),
(17018,1002139,8,100,'Increases Parry of caster by 24.0',0,0),
(17019,1002139,9,100,'Increases Parry of caster by 27.0',0,0),
(17020,1002139,10,100,'Increases Parry of caster by 30.0',0,0),
(17021,1002140,1,100,'Improves the base ward and heal amounts by 5%.',0,0),
(17022,1002140,1,100,'Improves casting time by 0.1 seconds.',0,1),
(17023,1002140,2,100,'Improves the base ward and heal amounts by 10%.',0,0),
(17024,1002140,2,100,'Improves casting time by 0.2 seconds.',0,1),
(17025,1002140,3,100,'Improves the base ward and heal amounts by 15%.',0,0),
(17026,1002140,3,100,'Improves casting time by 0.3 seconds.',0,1),
(17027,1002140,4,100,'Improves the base ward and heal amounts by 20%.',0,0),
(17028,1002140,4,100,'Improves casting time by 0.4 seconds.',0,1),
(17029,1002140,5,100,'Improves the base ward and heal amounts by 25%.',0,0),
(17030,1002140,5,100,'Improves casting time by 0.5 seconds.',0,1),
(17031,1002141,1,100,'Ancestral Support gains a 33% chance to inflict magic damage to enemies. All damage is attributed to the mystic.',0,0),
(17032,1002141,2,100,'Ancestral Support gains a 66% chance to inflict magic damage to enemies. All damage is attributed to the mystic.',0,0),
(17033,1002141,3,100,'Ancestral Support gains a 100% chance to inflict magic damage to enemies. All damage is attributed to the mystic.',0,0),
(17034,1002142,1,100,'Reduces the base reuse time of Peace of Mind to 96 seconds and makes it cast instantly. While Peace of Mind is active, Stupefy will have no casting time.',0,0),
(17035,1002143,1,100,'Improves the reuse time by 5 seconds',0,0),
(17036,1002143,1,100,'Improves the overtime hate gain by 3%.',0,1),
(17037,1002143,2,100,'Improves the reuse time by 10 seconds',0,0),
(17038,1002143,2,100,'Improves the overtime hate gain by 6%.',0,1),
(17039,1002143,3,100,'Improves the reuse time by 15 seconds',0,0),
(17040,1002143,3,100,'Improves the overtime hate gain by 9%.',0,1),
(17041,1002143,4,100,'Improves the reuse time by 20 seconds',0,0),
(17042,1002143,4,100,'Improves the overtime hate gain by 12%.',0,1),
(17043,1002143,5,100,'Improves the reuse time by 25 seconds',0,0),
(17044,1002143,5,100,'Improves the overtime hate gain by 15%.',0,1),
(17045,1002144,1,100,'Improves the base trigger chance by 3%.',0,0),
(17046,1002144,1,100,'Adds 1% Crit Bonus.',0,1),
(17047,1002144,2,100,'Improves the base trigger chance by 6%.',0,0),
(17048,1002144,2,100,'Adds 2% Crit Bonus.',0,1),
(17049,1002144,3,100,'Improves the base trigger chance by 9%.',0,0),
(17050,1002144,3,100,'Adds 3% Crit Bonus.',0,1),
(17051,1002144,4,100,'Improves the base trigger chance by 12%.',0,0),
(17052,1002144,4,100,'Adds 4% Crit Bonus.',0,1),
(17053,1002144,5,100,'Improves the base trigger chance by 15%.',0,0),
(17054,1002144,5,100,'Adds 5% Crit Bonus.',0,1),
(17055,1002145,1,100,'Improves the health and stamina bonuses by 7%',0,0),
(17056,1002145,2,100,'Improves the health and stamina bonuses by 14%',0,0),
(17057,1002145,3,100,'Improves the health and stamina bonuses by 21%',0,0),
(17058,1002145,4,100,'Improves the health and stamina bonuses by 28%',0,0),
(17059,1002145,5,100,'Improves the health and stamina bonuses by 35%',0,0),
(17060,1002146,1,100,'Increases WIS of caster by 4.0',0,0),
(17061,1002146,2,100,'Increases WIS of caster by 4.0',0,0),
(17062,1002147,1,100,'Applies Perceptor''s Bodyguard to qualifying pets.',0,0),
(17063,1002147,1,100,'Increases Max Health of target by 1.0%',1,1),
(17064,1002147,2,100,'Applies Perceptor''s Bodyguard to qualifying pets.',0,0),
(17065,1002147,2,100,'Increases Max Health of target by 2.0%',1,1),
(17066,1002147,3,100,'Applies Perceptor''s Bodyguard to qualifying pets.',0,0),
(17067,1002147,3,100,'Increases Max Health of target by 3.0%',1,1),
(17068,1002147,4,100,'Applies Perceptor''s Bodyguard to qualifying pets.',0,0),
(17069,1002147,4,100,'Increases Max Health of target by 4.0%',1,1),
(17070,1002147,5,100,'Applies Perceptor''s Bodyguard to qualifying pets.',0,0),
(17071,1002147,5,100,'Increases Max Health of target by 5.0%',1,1),
(17072,1002147,6,100,'Applies Perceptor''s Bodyguard to qualifying pets.',0,0),
(17073,1002147,6,100,'Increases Max Health of target by 6.0%',1,1),
(17074,1002147,7,100,'Applies Perceptor''s Bodyguard to qualifying pets.',0,0),
(17075,1002147,7,100,'Increases Max Health of target by 7.0%',1,1),
(17076,1002147,8,100,'Applies Perceptor''s Bodyguard to qualifying pets.',0,0),
(17077,1002147,8,100,'Increases Max Health of target by 8.0%',1,1),
(17078,1002147,9,100,'Applies Perceptor''s Bodyguard to qualifying pets.',0,0),
(17079,1002147,9,100,'Increases Max Health of target by 9.0%',1,1),
(17080,1002147,10,100,'Applies Perceptor''s Bodyguard to qualifying pets.',0,0),
(17081,1002147,10,100,'Increases Max Health of target by 10.0%',1,1),
(17082,1002148,1,100,'Adds 2% damage reduction to the pet when Unflinching Servant is active.',0,0),
(17083,1002148,2,100,'Adds 4% damage reduction to the pet when Unflinching Servant is active.',0,0),
(17084,1002148,3,100,'Adds 6% damage reduction to the pet when Unflinching Servant is active.',0,0),
(17085,1002148,4,100,'Adds 8% damage reduction to the pet when Unflinching Servant is active.',0,0),
(17086,1002148,5,100,'Adds 10% damage reduction to the pet when Unflinching Servant is active.',0,0),
(17087,1002148,6,100,'Adds 12% damage reduction to the pet when Unflinching Servant is active.',0,0),
(17088,1002148,7,100,'Adds 14% damage reduction to the pet when Unflinching Servant is active.',0,0),
(17089,1002148,8,100,'Adds 16% damage reduction to the pet when Unflinching Servant is active.',0,0),
(17090,1002149,1,100,'Applies Perceptor''s Parry to qualifying pets.',0,0),
(17091,1002149,1,100,'Caster will Parry 1.0% of incoming attacks',1,1),
(17092,1002149,2,100,'Applies Perceptor''s Parry to qualifying pets.',0,0),
(17093,1002149,2,100,'Caster will Parry 2.0% of incoming attacks',1,1),
(17094,1002149,3,100,'Applies Perceptor''s Parry to qualifying pets.',0,0),
(17095,1002149,3,100,'Caster will Parry 3.0% of incoming attacks',1,1),
(17096,1002149,4,100,'Applies Perceptor''s Parry to qualifying pets.',0,0),
(17097,1002149,4,100,'Caster will Parry 4.0% of incoming attacks',1,1),
(17098,1002149,5,100,'Applies Perceptor''s Parry to qualifying pets.',0,0),
(17099,1002149,5,100,'Caster will Parry 5.0% of incoming attacks',1,1),
(17100,1002149,6,100,'Applies Perceptor''s Parry to qualifying pets.',0,0),
(17101,1002149,6,100,'Caster will Parry 6.0% of incoming attacks',1,1),
(17102,1002149,7,100,'Applies Perceptor''s Parry to qualifying pets.',0,0),
(17103,1002149,7,100,'Caster will Parry 7.0% of incoming attacks',1,1),
(17104,1002149,8,100,'Applies Perceptor''s Parry to qualifying pets.',0,0),
(17105,1002149,8,100,'Caster will Parry 8.0% of incoming attacks',1,1),
(17106,1002149,9,100,'Applies Perceptor''s Parry to qualifying pets.',0,0),
(17107,1002149,9,100,'Caster will Parry 9.0% of incoming attacks',1,1),
(17108,1002149,10,100,'Applies Perceptor''s Parry to qualifying pets.',0,0),
(17109,1002149,10,100,'Caster will Parry 10.0% of incoming attacks',1,1),
(17110,1002150,1,100,'Increases STA of caster by 7.0',0,0),
(17111,1002151,2,100,'Reduces the base reuse of Ether Balance to 120 seconds.',0,0),
(17112,1002151,3,100,'Reduces the base reuse of Ether Balance to 60 seconds.',0,0),
(17113,1002152,1,100,'Grants the predator a high chance to riposte attacks and immunity to Area of Effect abilities for a short duration after using Evade.',0,0),
(17114,1002153,1,100,'Improves base auto-attack multiplier of caster by 0.02. Does not apply to spell weapons.',0,0),
(17115,1002153,2,100,'Improves base auto-attack multiplier of caster by 0.05. Does not apply to spell weapons.',0,0),
(17116,1002153,3,100,'Improves base auto-attack multiplier of caster by 0.07. Does not apply to spell weapons.',0,0),
(17117,1002153,4,100,'Improves base auto-attack multiplier of caster by 0.10. Does not apply to spell weapons.',0,0),
(17118,1002153,5,100,'Improves base auto-attack multiplier of caster by 0.12. Does not apply to spell weapons.',0,0),
(17119,1002153,6,100,'Improves base auto-attack multiplier of caster by 0.14. Does not apply to spell weapons.',0,0),
(17120,1002153,7,100,'Improves base auto-attack multiplier of caster by 0.17. Does not apply to spell weapons.',0,0),
(17121,1002153,8,100,'Improves base auto-attack multiplier of caster by 0.19. Does not apply to spell weapons.',0,0),
(17122,1002153,9,100,'Improves base auto-attack multiplier of caster by 0.22. Does not apply to spell weapons.',0,0),
(17123,1002153,10,100,'Improves base auto-attack multiplier of caster by 0.24. Does not apply to spell weapons.',0,0),
(17124,1002154,1,100,'Increases the damage of Noxious Influx by 33%',0,0),
(17125,1002154,2,100,'Increases the damage of Noxious Influx by 66%',0,0),
(17126,1002154,3,100,'Increases the damage of Noxious Influx by 100%',0,0),
(17127,1002155,1,100,'Grants a 12% chance to double the base triggers on Heresy, Smite Heretic, Vengeance and Repentance.',0,0),
(17128,1002155,2,100,'Grants a 24% chance to double the base triggers on Heresy, Smite Heretic, Vengeance and Repentance.',0,0),
(17129,1002155,3,100,'Grants a 36% chance to double the base triggers on Heresy, Smite Heretic, Vengeance and Repentance.',0,0),
(17130,1002156,1,100,'Inquest gains a second trigger that restores power to the group. This cannot trigger if the target of Inquest is an inquisitor.',0,0),
(17131,1002156,2,100,'Inquest gains a second trigger that restores power to the group. This cannot trigger if the target of Inquest is an inquisitor.',0,0),
(17132,1002156,3,100,'Inquest gains a second trigger that restores power to the group. This cannot trigger if the target of Inquest is an inquisitor.',0,0),
(17133,1002157,1,100,'Attack-based combat arts on long reuse timers have their reuse times reduced by 50% and damage increased by 15%.',0,0),
(17134,1002158,1,100,'Vampire Bats, Winds of Velious and Fiery Annihilation deal additional damage over time.',0,0),
(17135,1002158,2,100,'Vampire Bats, Winds of Velious and Fiery Annihilation deal additional damage over time.',0,0),
(17136,1002158,3,100,'Vampire Bats, Winds of Velious and Fiery Annihilation deal additional damage over time.',0,0),
(17137,1002159,1,100,'Improves the duration by 0.1 seconds.',0,0),
(17138,1002159,2,100,'Improves the duration by 0.2 seconds.',0,0),
(17139,1002159,3,100,'Improves the duration by 0.3 seconds.',0,0),
(17140,1002159,4,100,'Improves the duration by 0.4 seconds.',0,0),
(17141,1002159,5,100,'Improves the duration by 0.5 seconds.',0,0),
(17142,1002159,6,100,'Improves the duration by 0.6 seconds.',0,0),
(17143,1002159,7,100,'Improves the duration by 0.7 seconds.',0,0),
(17144,1002159,8,100,'Improves the duration by 0.8 seconds.',0,0),
(17145,1002160,1,100,'With each spell cast in succession, the enchanter will gain additional casting speed up to 42% for a short duration.',0,0),
(17146,1002161,1,100,'Applies Personae Wall to qualifying pets.',0,0),
(17147,1002161,1,100,'Reduces all damage done to target by 20%',1,1),
(17148,1002161,2,100,'Applies Personae Wall to qualifying pets.',0,0),
(17149,1002161,2,100,'Reduces all damage done to target by 40%',1,1),
(17150,1002161,3,100,'Applies Personae Wall to qualifying pets.',0,0),
(17151,1002161,3,100,'Reduces all damage done to target by 100%',1,1),
(17152,1002162,1,100,'Applies Personae''s Gift to qualifying pets.',0,0),
(17153,1002162,1,100,'Increases Ability Reuse Speed of target by 2.0%',1,1),
(17154,1002162,1,100,'Increases Weapon Damage of target by 3.0',1,2),
(17155,1002162,1,100,'Improves spell damage by 1%',1,3),
(17156,1002162,2,100,'Applies Personae''s Gift to qualifying pets.',0,0),
(17157,1002162,2,100,'Increases Ability Reuse Speed of target by 4.0%',1,1),
(17158,1002162,2,100,'Increases Weapon Damage of target by 6.0',1,2),
(17159,1002162,2,100,'Improves spell damage by 2%',1,3),
(17160,1002162,3,100,'Applies Personae''s Gift to qualifying pets.',0,0),
(17161,1002162,3,100,'Increases Ability Reuse Speed of target by 6.0%',1,1),
(17162,1002162,3,100,'Increases Weapon Damage Bonus of target by 9.0',1,2),
(17163,1002162,3,100,'Improves spell damage by 3%',1,3),
(17164,1002162,4,100,'Applies Personae''s Gift to qualifying pets.',0,0),
(17165,1002162,4,100,'Increases Ability Reuse Speed of target by 8.0%',1,1),
(17166,1002162,4,100,'Increases Weapon Damage Bonus of target by 12.0',1,2),
(17167,1002162,4,100,'Improves spell damage by 4%',1,3),
(17168,1002162,5,100,'Applies Personae''s Gift to qualifying pets.',0,0),
(17169,1002162,5,100,'Increases Ability Reuse Speed of target by 10.0%',1,1),
(17170,1002162,5,100,'Increases Weapon Damage of target by 15.0',1,2),
(17171,1002162,5,100,'Improves spell damage by 5%',1,3),
(17172,1002163,1,100,'Fighter pets gain an additional 10% melee damage and 10% chance to parry.',0,0),
(17173,1002163,1,100,'Scout pets gain an additional 20% to melee weapon damage and 10 crit bonus.',0,1),
(17174,1002163,1,100,'Mage pets gain 2% extra melee damage and 8% to spell damage.',0,2),
(17175,1002164,1,100,'Improves the casting speed and attribute bonuses of your deity pet by 10%',0,0),
(17176,1002164,2,100,'Improves the casting speed and attribute bonuses of your deity pet by 20%',0,0),
(17177,1002164,3,100,'Improves the casting speed and attribute bonuses of your deity pet by 30%',0,0),
(17178,1002164,4,100,'Improves the casting speed and attribute bonuses of your deity pet by 40%',0,0),
(17179,1002164,5,100,'Improves the casting speed and attribute bonuses of your deity pet by 50%',0,0),
(17180,1002165,1,100,'Increases caster''s chance to block by 3.0%',0,0),
(17181,1002165,2,100,'Increases caster''s chance to block by 6.0%',0,0),
(17182,1002165,3,100,'Increases caster''s chance to block by 9.0%',0,0),
(17183,1002165,4,100,'Increases caster''s chance to block by 12.0%',0,0),
(17184,1002165,5,100,'Increases caster''s chance to block by 15.0%',0,0),
(17185,1002166,1,100,'Photosynthesis has a 5% chance to clear the reuse on Hierophantic Genesis.',0,0),
(17186,1002166,1,100,'Sylvan Touch has a 50% chance to clear the reuse on Hierophantic Genesis.',0,1),
(17187,1002166,2,100,'Photosynthesis has a 10% chance to clear the reuse on Hierophantic Genesis.',0,0),
(17188,1002166,2,100,'Sylvan Touch has a 100% chance to clear the reuse on Hierophantic Genesis.',0,1),
(17189,1002167,1,100,'Photosynthesis will now heal the two nearest allies every time it updates.',0,0),
(17190,1002168,1,100,'Grants an attempt to pickpocket humanoid targets when performing certain combat arts that have a stealth or rear-only positional requirement.',0,0),
(17191,1002168,2,100,'Grants an attempt to pickpocket humanoid targets when performing certain combat arts that have a stealth or rear-only positional requirement.',0,0),
(17192,1002168,3,100,'Grants an attempt to pickpocket humanoid targets when performing certain combat arts that have a stealth or rear-only positional requirement.',0,0),
(17193,1002168,4,100,'Grants an attempt to pickpocket humanoid targets when performing certain combat arts that have a stealth or rear-only positional requirement.',0,0),
(17194,1002168,5,100,'Grants an attempt to pickpocket humanoid targets when performing certain combat arts that have a stealth or rear-only positional requirement.',0,0),
(17195,1002168,6,100,'Grants an attempt to pickpocket humanoid targets when performing certain combat arts that have a stealth or rear-only positional requirement.',0,0),
(17196,1002168,7,100,'Grants an attempt to pickpocket humanoid targets when performing certain combat arts that have a stealth or rear-only positional requirement.',0,0),
(17197,1002168,8,100,'Grants an attempt to pickpocket humanoid targets when performing certain combat arts that have a stealth or rear-only positional requirement.',0,0),
(17198,1002168,9,100,'Grants an attempt to pickpocket humanoid targets when performing certain combat arts that have a stealth or rear-only positional requirement.',0,0),
(17199,1002168,10,100,'Grants an attempt to pickpocket humanoid targets when performing certain combat arts that have a stealth or rear-only positional requirement.',0,0),
(17200,1002169,1,100,'Increases Piercing and Ranged of caster by 5.0',0,0),
(17201,1002169,2,100,'Increases Piercing and Ranged of caster by 5.0',0,0),
(17202,1002170,1,100,'Increases Potency of caster by 0.5%',0,0),
(17203,1002170,2,100,'Increases Potency of caster by 1.0%',0,0),
(17204,1002170,3,100,'Increases Potency of caster by 1.5%',0,0),
(17205,1002170,4,100,'Increases Potency of caster by 2.0%',0,0),
(17206,1002170,5,100,'Increases Potency of caster by 2.5%',0,0),
(17207,1002170,6,100,'Increases Potency of caster by 3.0%',0,0),
(17208,1002170,7,100,'Increases Potency of caster by 3.5%',0,0),
(17209,1002170,8,100,'Increases Potency of caster by 4.0%',0,0),
(17210,1002170,9,100,'Increases Potency of caster by 4.5%',0,0),
(17211,1002170,10,100,'Increases Potency of caster by 5.0%',0,0),
(17212,1002171,1,100,'Adds an additional strike to Reverberation.',0,0),
(17213,1002171,2,100,'Adds an additional strike to Reverberation.',0,0),
(17214,1002171,3,100,'Adds an additional strike to Reverberation.',0,0),
(17215,1002172,1,100,'Lung Puncture''s base damage before modifications is doubled. Additionally, using Lung Puncture will grant the swashbuckler additional damage per second and attack speed.',0,0),
(17216,1002173,1,100,'Improves the damage, reuse speed and additional hit chance by 5%.',0,0),
(17217,1002173,2,100,'Improves the damage, reuse speed and additional hit chance by 10%.',0,0),
(17218,1002173,3,100,'Improves the damage, reuse speed and additional hit chance by 15%.',0,0),
(17219,1002173,4,100,'Improves the damage, reuse speed and additional hit chance by 20%.',0,0),
(17220,1002173,5,100,'Improves the damage, reuse speed and additional hit chance by 25%.',0,0),
(17221,1002174,1,100,'Increases AGI and STA of caster by 4.0',0,0),
(17222,1002174,2,100,'Increases AGI and STA of caster by 8.0',0,0),
(17223,1002174,3,100,'Increases AGI and STA of caster by 12.0',0,0),
(17224,1002174,4,100,'Increases AGI and STA of caster by 16.0',0,0),
(17225,1002174,5,100,'Increases AGI and STA of caster by 20.0',0,0),
(17226,1002174,6,100,'Increases AGI and STA of caster by 24.0',0,0),
(17227,1002174,7,100,'Increases AGI and STA of caster by 28.0',0,0),
(17228,1002174,8,100,'Increases AGI and STA of caster by 32.0',0,0),
(17229,1002174,9,100,'Increases AGI and STA of caster by 36.0',0,0),
(17230,1002174,10,100,'Increases AGI and STA of caster by 40.0',0,0),
(17231,1002175,1,100,'Profession Area of Effect attacks deal a second strike dealing 1/3rd the damage of the initial strike.',0,0),
(17232,1002175,2,100,'Profession Area of Effect attacks deal a second strike dealing 2/3rds the damage of the initial strike.',0,0),
(17233,1002175,3,100,'Profession Area of Effect attacks deal a second strike.',0,0),
(17234,1002176,1,100,'Dashing Flourish applies an additional effect that will inflict extra damage to the target and a nearby enemy when targets attack.',0,0),
(17235,1002176,2,100,'Dashing Flourish applies an additional effect that will inflict extra damage to the target and a nearby enemy when targets attack.',0,0),
(17236,1002176,3,100,'Dashing Flourish applies an additional effect that will inflict extra damage to the target and a nearby enemy when targets attack.',0,0),
(17237,1002177,1,100,'On any combat or spell hit this spell may cast Pirate''s Spin on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(17238,1002177,1,100,'Inflicts 325 - 541 slashing damage on target encounter',1,1),
(17239,1002177,1,100,'Decreases Damage Per Second of target encounter by 26.0',1,2),
(17240,1002177,2,100,'On any combat or spell hit this spell may cast Pirate''s Spin on target of attack.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',0,0),
(17241,1002177,2,100,'Inflicts 325 - 541 slashing damage on target encounter',1,1),
(17242,1002177,2,100,'Decreases Damage Per Second of target encounter by 26.0',1,2),
(17243,1002177,3,100,'On any combat or spell hit this spell may cast Pirate''s Spin on target of attack.  Lasts for 10.0 seconds.  Triggers about 6.0 times per minute. ',0,0),
(17244,1002177,3,100,'Inflicts 433 - 721 slashing damage on target encounter',1,1),
(17245,1002177,3,100,'Decreases DPS of target encounter by 26.0',1,2),
(17246,1002178,1,100,'Lucky Gambit will grant the swashbuckler a two triggers of additional damage for each target hit.',0,0),
(17247,1002179,1,100,'Increases the trigger count of poisons by 25%',0,0),
(17248,1002180,1,100,'Increases the trigger count of poisons by 25%',0,0),
(17249,1002180,2,100,'Increases the trigger count of poisons by 25%',0,0),
(17250,1002179,2,100,'Increases the trigger count of poisons by 25%',0,0),
(17251,1002181,1,100,'Plaguebringer has a 5% chance to clear the reuse on Focused Casting.',0,0),
(17252,1002181,2,100,'Plaguebringer has a 10% chance to clear the reuse on Focused Casting.',0,0),
(17253,1002182,1,100,'For every 20 Potency, the caster gains 1 Crit Bonus.',0,0),
(17254,1002183,1,100,'Applies Planar Armor to qualifying pets.',0,0),
(17255,1002183,1,100,'Reduces all damage done to target by 10%',1,1),
(17256,1002183,2,100,'Applies Planar Armor to qualifying pets.',0,0),
(17257,1002183,2,100,'Reduces all damage done to target by 20%',1,1),
(17258,1002183,3,100,'Applies Planar Armor to qualifying pets.',0,0),
(17259,1002183,3,100,'Reduces all damage done to target by 30%',1,1),
(17260,1002184,1,100,'For every 12 Potency, the caster gains 1 Crit Bonus.',0,0),
(17261,1002185,1,100,'When Planar Wrack reaches 5 increments, the conjuror''s group has a 4% chance to get a shared one trigger Stoneskin. This can apply when the 5th increment is refreshed.',0,0),
(17262,1002185,2,100,'When Planar Wrack reaches 5 increments, the conjuror''s group has a 8% chance to get a shared one trigger Stoneskin. This can apply when the 5th increment is refreshed.',0,0),
(17263,1002185,3,100,'When Planar Wrack reaches 5 increments, the conjuror''s group has a 12% chance to get a shared one trigger Stoneskin. This can apply when the 5th increment is refreshed.',0,0),
(17264,1002186,1,100,'For every 3 Crit Bonus, the caster gains 1 Potency.',0,0),
(17265,1002187,1,100,'Improves the trigger chance and damage of the overtime component of Planar Wrack by 33%',0,0),
(17266,1002187,1,100,'Adds 1 tick to Planar Wrack',0,1),
(17267,1002187,2,100,'Improves the trigger chance and damage of the overtime component  of Planar Wrack by 66%',0,0),
(17268,1002187,2,100,'Adds 2 ticks to Planar Wrack',0,1),
(17269,1002187,3,100,'Improves the trigger chance and damage of the overtime component  of Planar Wrack by 100%',0,0),
(17270,1002187,3,100,'Adds 4 ticks to Planar Wrack',0,1),
(17271,1002188,1,100,'Increases the trigger percentage by 1%.',0,0),
(17272,1002188,1,100,'Increases the base damage by 3%.',0,1),
(17273,1002188,2,100,'Increases the trigger percentage by 2%.',0,0),
(17274,1002188,2,100,'Increases the base damage by 6%.',0,1),
(17275,1002188,3,100,'Increases the trigger percentage by 3%.',0,0),
(17276,1002188,3,100,'Increases the base damage by 9%.',0,1),
(17277,1002188,4,100,'Increases the trigger percentage by 4%.',0,0),
(17278,1002188,4,100,'Increases the base damage by 12%.',0,1),
(17279,1002188,5,100,'Increases the trigger percentage by 5%.',0,0),
(17280,1002188,5,100,'Increases the base damage by 15%.',0,1),
(17281,1002189,1,100,'Remove the minimum range from ranged weapons.',0,0),
(17282,1002190,1,100,'Remove the minimum range from ranged weapons.',0,0),
(17283,1002191,1,100,'Increases Ability Casting Speed of caster by 35.0%',0,0),
(17284,1002192,1,100,'Reduces incoming damage to the assassin by 3% per increment after using Nightblade. Taking damage will remove this effect.',0,0),
(17285,1002192,2,100,'Reduces incoming damage to the assassin by 6% per increment after using Nightblade. Taking damage will remove this effect.',0,0),
(17286,1002192,3,100,'Reduces incoming damage to the assassin by 9% per increment after using Nightblade. Taking damage will remove this effect.',0,0),
(17287,1002193,1,100,'Using Vengeful Arrow will reduce the target''s noxious mitigation.',0,0),
(17288,1002193,2,100,'Using Vengeful Arrow will reduce the target''s noxious mitigation.',0,0),
(17289,1002193,3,100,'Using Vengeful Arrow will reduce the target''s noxious mitigation.',0,0),
(17290,1002193,4,100,'Using Vengeful Arrow will reduce the target''s noxious mitigation.',0,0),
(17291,1002193,5,100,'Using Vengeful Arrow will reduce the target''s noxious mitigation.',0,0),
(17292,1002194,1,100,'On a combat hit this spell has a 3% chance to cast Poison on target of attack.  Lasts for 24.0 seconds.  ',0,0),
(17293,1002194,1,100,'Inflicts 249 poison damage on target',1,1),
(17294,1002194,1,100,'Inflicts 166 poison damage on target every 4 seconds',1,2),
(17295,1002194,2,100,'On a combat hit this spell has a 6% chance to cast Poison on target of attack.  Lasts for 24.0 seconds.  ',0,0),
(17296,1002194,2,100,'Inflicts 332 poison damage on target',1,1),
(17297,1002194,2,100,'Inflicts 222 poison damage on target every 4 seconds',1,2),
(17298,1002194,3,100,'On a combat hit this spell has a 9% chance to cast Poison on target of attack.  Lasts for 24.0 seconds.  ',0,0),
(17299,1002194,3,100,'Inflicts 332 poison damage on target',1,1),
(17300,1002194,3,100,'Inflicts 222 poison damage on target every 4 seconds',1,2),
(17301,1002194,4,100,'On a combat hit this spell has a 12% chance to cast Poison on target of attack.  Lasts for 24.0 seconds.  ',0,0),
(17302,1002194,4,100,'Inflicts 332 poison damage on target',1,1),
(17303,1002194,4,100,'Inflicts 222 poison damage on target every 4 seconds',1,2),
(17304,1002194,5,100,'On a combat hit this spell has a 15% chance to cast Poison on target of attack.  Lasts for 24.0 seconds.  ',0,0),
(17305,1002194,5,100,'Inflicts 332 poison damage on target',1,1),
(17306,1002194,5,100,'Inflicts 222 poison damage on target every 4 seconds',1,2),
(17307,1002194,6,100,'On a combat hit this spell has a 18% chance to cast Poison on target of attack.  Lasts for 24.0 seconds.  ',0,0),
(17308,1002194,6,100,'Inflicts 249 poison damage on target',1,1),
(17309,1002194,6,100,'Inflicts 166 poison damage on target every 4 seconds',1,2),
(17310,1002194,7,100,'On a combat hit this spell has a 21% chance to cast Poison on target of attack.  Lasts for 24.0 seconds.  ',0,0),
(17311,1002194,7,100,'Inflicts 249 poison damage on target',1,1),
(17312,1002194,7,100,'Inflicts 166 poison damage on target every 4 seconds',1,2),
(17313,1002194,8,100,'On a combat hit this spell has a 24% chance to cast Poison on target of attack.  Lasts for 24.0 seconds.  ',0,0),
(17314,1002194,8,100,'Inflicts 332 poison damage on target',1,1),
(17315,1002194,8,100,'Inflicts 222 poison damage on target every 4 seconds',1,2),
(17316,1002194,9,100,'On a combat hit this spell has a 27% chance to cast Poison on target of attack.  Lasts for 24.0 seconds.  ',0,0),
(17317,1002194,9,100,'Inflicts 332 poison damage on target',1,1),
(17318,1002194,9,100,'Inflicts 222 poison damage on target every 4 seconds',1,2),
(17319,1002194,10,100,'On a combat hit this spell has a 30% chance to cast Poison on target of attack.  Lasts for 24.0 seconds.  ',0,0),
(17320,1002194,10,100,'Inflicts 249 poison damage on target',1,1),
(17321,1002194,10,100,'Inflicts 166 poison damage on target every 4 seconds',1,2),
(17322,1002195,1,100,'Increases the durability gain by 2 every round.',0,0),
(17323,1002195,2,100,'Increases the durability gain by 2 every round.',0,0),
(17324,1002196,1,100,'Increases the trigger count of poisons by 25%',0,0),
(17325,1002197,1,100,'Increases the trigger count of poisons by 25%',0,0),
(17326,1002197,2,100,'Increases the trigger count of poisons by 25%',0,0),
(17327,1002196,2,100,'Increases the trigger count of poisons by 25%',0,0),
(17328,1002198,1,100,'Improves the base damage of poisons by 3%',0,0),
(17329,1002199,1,100,'Adds an additional 5% to the base damage of poison spells.',0,0),
(17330,1002199,1,100,'Reduces the duration of poison based damage over time spells by 20%',0,1),
(17331,1002200,1,100,'Improves damage of poisons by 3%.',0,0),
(17332,1002198,2,100,'Improves the base damage of poisons by 6%',0,0),
(17333,1002200,2,100,'Improves damage of poisons by 6%.',0,0),
(17334,1002200,3,100,'Improves damage of poisons by 9%.',0,0),
(17335,1002198,3,100,'Improves the base damage of poisons by 9%',0,0),
(17336,1002198,4,100,'Improves the base damage of poisons by 12%',0,0),
(17337,1002200,4,100,'Improves damage of poisons by 12%.',0,0),
(17338,1002200,5,100,'Improves damage of poisons by 15%.',0,0),
(17339,1002198,5,100,'Improves the base damage of poisons by 15%',0,0),
(17340,1002201,1,100,'+5 Chemistry',0,0),
(17342,1002202,1,100,'Adds 1 additional poison strike to Blinding Dust.',0,0),
(17343,1002202,2,100,'Adds 2 additional poison strikes to Blinding Dust.',0,0),
(17344,1002202,3,100,'Adds 3 additional poison strikes to Blinding Dust.',0,0),
(17345,1002203,1,100,'Improves the base damage of Nihilistics by 6% ',0,0),
(17346,1002203,2,100,'Improves the base damage of Nihilistics by 12% ',0,0),
(17347,1002203,3,100,'Improves the base damage of Nihilistics by 18% ',0,0),
(17348,1002203,4,100,'Improves the base damage of Nihilistics by 24% ',0,0),
(17349,1002203,5,100,'Improves the base damage of Nihilistics by 30% ',0,0),
(17350,1002204,1,100,'Increases the trigger count of poisons by 25%',0,0),
(17351,1002204,2,100,'Increases the trigger count of poisons by 25%',0,0),
(17352,1002205,1,100,'Improves the unconscious health modifier by 5%.',0,0),
(17353,1002205,1,100,'Improves the Max Health percentage by 0.4%.',0,1),
(17354,1002205,2,100,'Improves the unconscious health modifier by 10%.',0,0),
(17355,1002205,2,100,'Improves the Max Health percentage by 0.8%.',0,1),
(17356,1002205,3,100,'Improves the unconscious health modifier by 15%.',0,0),
(17357,1002205,3,100,'Improves the Max Health percentage by 1.2%.',0,1),
(17358,1002205,4,100,'Improves the unconscious health modifier by 20%.',0,0),
(17359,1002205,4,100,'Improves the Max Health percentage by 1.6%.',0,1),
(17360,1002205,5,100,'Improves the unconscious health modifier by 25%.',0,0),
(17361,1002205,5,100,'Improves the Max Health percentage by 2%.',0,1),
(17362,1002206,1,100,'Increases Unconscious Health of caster by 32.0',0,0),
(17363,1002206,1,100,'Increases Max Health of caster by 8.0%',0,1),
(17364,1002207,1,100,'Murderous Rake, Dispatch, Debilitate and Backstab gain an additional 15% bonus to base and critical damage.',0,0),
(17365,1002207,1,100,'Bumrush, Gouge and Shank gain an additional 5% damage and critical multiplier.',0,1),
(17366,1002208,1,100,'Increases trigger chance by 6%',0,0),
(17367,1002209,1,100,'For every 2.5 Crit Bonus, the caster gains 1 Potency.',0,0),
(17368,1002210,1,100,'For every 3 Crit Bonus, the caster gains 1 Potency.',0,0),
(17369,1002211,1,100,'For every 2.5 Crit Bonus, the caster gains 1 Potency.',0,0),
(17370,1002212,1,100,'For every 2.5 Crit Bonus, the caster gains 1 Potency.',0,0),
(17371,1002213,1,100,'For every 2.5 Crit Bonus, the caster gains 1 Potency.',0,0),
(17372,1002214,1,100,'For every 2.5 Crit Bonus, the caster gains 1 Potency.',0,0),
(17373,1002215,1,100,'For every 3 Crit Bonus, the caster gains 1 Potency.',0,0),
(17374,1002216,1,100,'Reduces the duration and improves the damage of Intoxication by 6.25%.',0,0),
(17375,1002216,1,100,'Improves the reuse speed of Intoxication by 12.5%.',0,1),
(17376,1002216,2,100,'Reduces the duration and improves the damage of Intoxication by 12.5%.',0,0),
(17377,1002216,2,100,'Improves the reuse speed of Intoxication by 25%.',0,1),
(17378,1002216,3,100,'Reduces the duration and improves the damage of Intoxication by 18.75%.',0,0),
(17379,1002216,3,100,'Improves the reuse speed of Intoxication by 37.5%.',0,1),
(17380,1002216,4,100,'Reduces the duration and improves the damage of Intoxication by 25%.',0,0),
(17381,1002216,4,100,'Improves the reuse speed of Intoxication by 50%.',0,1),
(17382,1002216,5,100,'Reduces the duration and improves the damage of Intoxication by 31.25%.',0,0),
(17383,1002216,5,100,'Improves the reuse speed of Intoxication by 62.5%.',0,1),
(17384,1002216,6,100,'Reduces the duration and improves the damage of Intoxication by 37.5%.',0,0),
(17385,1002216,6,100,'Improves the reuse speed of Intoxication by 75%.',0,1),
(17386,1002216,7,100,'Reduces the duration and improves the damage of Intoxication by 43.75%.',0,0),
(17387,1002216,7,100,'Improves the reuse speed of Intoxication by 87.5%.',0,1),
(17388,1002216,8,100,'Reduces the duration and improves the damage of Intoxication by 50%.',0,0),
(17389,1002216,8,100,'Improves the reuse speed of Intoxication by 100%.',0,1),
(17390,1002217,1,100,'Improves the damage of Thug''s Poison by 33%.',0,0),
(17391,1002217,2,100,'Improves the damage of Thug''s Poison by 66%.',0,0),
(17392,1002217,3,100,'Improves the damage of Thug''s Poison by 100%.',0,0),
(17393,1002218,1,100,'For every 12 Potency, the caster gains 1 Crit Bonus.',0,0),
(17394,1002219,1,100,'When target falls below 25% health this spell will cast Power Through on target.  Lasts for 3.0 seconds.  ',0,0),
(17395,1002219,1,100,'Reduces all damage done to caster by 10%',1,1),
(17396,1002219,1,100,'This effect can only trigger once every 90.0 seconds.',1,2),
(17397,1002219,2,100,'When target falls below 25% health this spell will cast Power Through on target.  Lasts for 3.0 seconds.  ',0,0),
(17398,1002219,2,100,'Reduces all damage done to caster by 26%',1,1),
(17399,1002219,2,100,'This effect can only trigger once every 90.0 seconds.',1,2),
(17400,1002219,3,100,'When target falls below 25% health this spell will cast Power Through on target.  Lasts for 3.0 seconds.  ',0,0),
(17401,1002219,3,100,'Reduces all damage done to caster by 39%',1,1),
(17402,1002219,3,100,'This effect can only trigger once every 90.0 seconds.',1,2),
(17403,1002219,4,100,'When target falls below 25% health this spell will cast Power Through on target.  Lasts for 3.0 seconds.  ',0,0),
(17404,1002219,4,100,'Reduces all damage done to caster by 52%',1,1),
(17405,1002219,4,100,'This effect can only trigger once every 90.0 seconds.',1,2),
(17406,1002219,5,100,'When target falls below 25% health this spell will cast Power Through on target.  Lasts for 3.0 seconds.  ',0,0),
(17407,1002219,5,100,'Reduces all damage done to caster by 65%',1,1),
(17408,1002219,5,100,'This effect can only trigger once every 90.0 seconds.',1,2),
(17409,1002219,6,100,'When target falls below 25% health this spell will cast Power Through on target.  Lasts for 3.0 seconds.  ',0,0),
(17410,1002219,6,100,'Reduces all damage done to caster by 78%',1,1),
(17411,1002219,6,100,'This effect can only trigger once every 90.0 seconds.',1,2),
(17412,1002219,7,100,'When target falls below 25% health this spell will cast Power Through on target.  Lasts for 3.0 seconds.  ',0,0),
(17413,1002219,7,100,'Reduces all damage done to caster by 91%',1,1),
(17414,1002219,7,100,'This effect can only trigger once every 90.0 seconds.',1,2),
(17415,1002219,8,100,'When target falls below 25% health this spell will cast Power Through on target.  Lasts for 3.0 seconds.  ',0,0),
(17416,1002219,8,100,'Reduces all damage done to caster by 104%',1,1),
(17417,1002219,8,100,'This effect can only trigger once every 90.0 seconds.',1,2),
(17418,1002219,9,100,'When target falls below 25% health this spell will cast Power Through on target.  Lasts for 3.0 seconds.  ',0,0),
(17419,1002219,9,100,'Reduces all damage done to caster by 117%',1,1),
(17420,1002219,9,100,'This effect can only trigger once every 90.0 seconds.',1,2),
(17421,1002219,10,100,'When target falls below 25% health this spell will cast Power Through on target.  Lasts for 3.0 seconds.  ',0,0),
(17422,1002219,10,100,'Reduces all damage done to caster by 130%',1,1),
(17423,1002219,10,100,'This effect can only trigger once every 90.0 seconds.',1,2),
(17424,1002220,1,100,'When using an Advantage ability. this spell has a 35% chance to cast Power of the Great Bear on target.  Lasts for 10.0 seconds.  ',0,0),
(17425,1002220,1,100,'Improves base auto-attack multiplier of caster by 0.31. Does not apply to spell weapons.',1,1),
(17426,1002221,1,100,'Increases STR of caster by 4.0',0,0),
(17427,1002221,2,100,'Increases STR of caster by 4.0',0,0),
(17428,1002222,1,100,'Applies Powerful Body to qualifying pets.',0,0),
(17429,1002222,1,100,'Increases Potency of caster by 1.0%',1,1),
(17430,1002223,1,100,'Applies Powerful Body to qualifying pets.',0,0),
(17431,1002223,1,100,'Increases Potency of caster by 1.0%',1,1),
(17432,1002224,1,100,'Applies Powerful Body to qualifying pets.',0,0),
(17433,1002224,1,100,'Increases Potency of caster by 1.0%',1,1),
(17434,1002225,1,100,'Applies Powerful Body to qualifying pets.',0,0),
(17435,1002225,1,100,'Increases Potency of caster by 1.0%',1,1),
(17436,1002226,1,100,'Applies Powerful Body to qualifying pets.',0,0),
(17437,1002226,1,100,'Increases Potency of caster by 1.0%',1,1),
(17438,1002227,1,100,'Applies Powerful Body to qualifying pets.',0,0),
(17439,1002227,1,100,'Increases Potency of caster by 1.0%',1,1),
(17440,1002228,1,100,'Applies Powerful Body to qualifying pets.',0,0),
(17441,1002228,1,100,'Increases Potency of caster by 1.0%',1,1),
(17442,1002229,1,100,'Applies Powerful Body to qualifying pets.',0,0),
(17443,1002229,1,100,'Increases Potency of caster by 1.0%',1,1),
(17444,1002230,1,100,'Applies Powerful Body to qualifying pets.',0,0),
(17445,1002230,1,100,'Increases Potency of caster by 1.0%',1,1),
(17446,1002231,1,100,'Applies Powerful Body to qualifying pets.',0,0),
(17447,1002231,1,100,'Increases Potency of caster by 1.0%',1,1),
(17448,1002232,1,100,'Applies Powerful Body to qualifying pets.',0,0),
(17449,1002232,1,100,'Increases Potency of caster by 1.0%',1,1),
(17450,1002233,1,100,'Applies Powerful Body to qualifying pets.',0,0),
(17451,1002233,1,100,'Increases Potency of caster by 1.0%',1,1),
(17452,1002234,1,100,'Applies Powerful Body to qualifying pets.',0,0),
(17453,1002234,1,100,'Increases Potency of caster by 1.0%',1,1),
(17454,1002235,1,100,'Applies Powerful Body to qualifying pets.',0,0),
(17455,1002235,1,100,'Increases Potency of caster by 1.0%',1,1),
(17456,1002236,1,100,'Applies Powerful Body to qualifying pets.',0,0),
(17457,1002236,1,100,'Increases Potency of caster by 1.0%',1,1),
(17458,1002237,1,100,'Applies Powerful Body to qualifying pets.',0,0),
(17459,1002237,1,100,'Increases Potency of caster by 1.0%',1,1),
(17460,1002238,1,100,'Applies Powerful Body to qualifying pets.',0,0),
(17461,1002238,1,100,'Increases Potency of caster by 1.0%',1,1),
(17462,1002239,1,100,'Applies Powerful Body to qualifying pets.',0,0),
(17463,1002239,1,100,'Increases Potency of caster by 1.0%',1,1),
(17464,1002240,1,100,'Applies Powerful Body to qualifying pets.',0,0),
(17465,1002240,1,100,'Increases Potency of caster by 1.0%',1,1),
(17466,1002224,2,100,'Applies Powerful Body to qualifying pets.',0,0),
(17467,1002224,2,100,'Increases Potency of caster by 2.0%',1,1),
(17468,1002227,2,100,'Applies Powerful Body to qualifying pets.',0,0),
(17469,1002227,2,100,'Increases Potency of caster by 2.0%',1,1),
(17470,1002238,2,100,'Applies Powerful Body to qualifying pets.',0,0),
(17471,1002238,2,100,'Increases Potency of caster by 2.0%',1,1),
(17472,1002229,2,100,'Applies Powerful Body to qualifying pets.',0,0),
(17473,1002229,2,100,'Increases Potency of caster by 2.0%',1,1),
(17474,1002240,2,100,'Applies Powerful Body to qualifying pets.',0,0),
(17475,1002240,2,100,'Increases Potency of caster by 2.0%',1,1),
(17476,1002230,2,100,'Applies Powerful Body to qualifying pets.',0,0),
(17477,1002230,2,100,'Increases Potency of caster by 2.0%',1,1),
(17478,1002239,2,100,'Applies Powerful Body to qualifying pets.',0,0),
(17479,1002239,2,100,'Increases Potency of caster by 2.0%',1,1),
(17480,1002235,2,100,'Applies Powerful Body to qualifying pets.',0,0),
(17481,1002235,2,100,'Increases Potency of caster by 2.0%',1,1),
(17482,1002223,2,100,'Applies Powerful Body to qualifying pets.',0,0),
(17483,1002223,2,100,'Increases Potency of caster by 2.0%',1,1),
(17484,1002233,2,100,'Applies Powerful Body to qualifying pets.',0,0),
(17485,1002233,2,100,'Increases Potency of caster by 2.0%',1,1),
(17486,1002234,2,100,'Applies Powerful Body to qualifying pets.',0,0),
(17487,1002234,2,100,'Increases Potency of caster by 2.0%',1,1),
(17488,1002228,2,100,'Applies Powerful Body to qualifying pets.',0,0),
(17489,1002228,2,100,'Increases Potency of caster by 2.0%',1,1),
(17490,1002226,2,100,'Applies Powerful Body to qualifying pets.',0,0),
(17491,1002226,2,100,'Increases Potency of caster by 2.0%',1,1),
(17492,1002232,2,100,'Applies Powerful Body to qualifying pets.',0,0),
(17493,1002232,2,100,'Increases Potency of caster by 2.0%',1,1),
(17494,1002231,2,100,'Applies Powerful Body to qualifying pets.',0,0),
(17495,1002231,2,100,'Increases Potency of caster by 2.0%',1,1),
(17496,1002236,2,100,'Applies Powerful Body to qualifying pets.',0,0),
(17497,1002236,2,100,'Increases Potency of caster by 2.0%',1,1),
(17498,1002237,2,100,'Applies Powerful Body to qualifying pets.',0,0),
(17499,1002237,2,100,'Increases Potency of caster by 2.0%',1,1),
(17500,1002225,2,100,'Applies Powerful Body to qualifying pets.',0,0),
(17501,1002225,2,100,'Increases Potency of caster by 2.0%',1,1),
(17502,1002224,3,100,'Applies Powerful Body to qualifying pets.',0,0),
(17503,1002224,3,100,'Increases Potency of caster by 3.0%',1,1),
(17504,1002226,3,100,'Applies Powerful Body to qualifying pets.',0,0),
(17505,1002226,3,100,'Increases Potency of caster by 3.0%',1,1),
(17506,1002238,3,100,'Applies Powerful Body to qualifying pets.',0,0),
(17507,1002238,3,100,'Increases Potency of caster by 3.0%',1,1),
(17508,1002237,3,100,'Applies Powerful Body to qualifying pets.',0,0),
(17509,1002237,3,100,'Increases Potency of caster by 3.0%',1,1),
(17510,1002229,3,100,'Applies Powerful Body to qualifying pets.',0,0),
(17511,1002229,3,100,'Increases Potency of caster by 3.0%',1,1),
(17512,1002240,3,100,'Applies Powerful Body to qualifying pets.',0,0),
(17513,1002240,3,100,'Increases Potency of caster by 3.0%',1,1),
(17514,1002230,3,100,'Applies Powerful Body to qualifying pets.',0,0),
(17515,1002230,3,100,'Increases Potency of caster by 3.0%',1,1),
(17516,1002239,3,100,'Applies Powerful Body to qualifying pets.',0,0),
(17517,1002239,3,100,'Increases Potency of caster by 3.0%',1,1),
(17518,1002235,3,100,'Applies Powerful Body to qualifying pets.',0,0),
(17519,1002235,3,100,'Increases Potency of caster by 3.0%',1,1),
(17520,1002223,3,100,'Applies Powerful Body to qualifying pets.',0,0),
(17521,1002223,3,100,'Increases Potency of caster by 3.0%',1,1),
(17522,1002233,3,100,'Applies Powerful Body to qualifying pets.',0,0),
(17523,1002233,3,100,'Increases Potency of caster by 3.0%',1,1),
(17524,1002225,3,100,'Applies Powerful Body to qualifying pets.',0,0),
(17525,1002225,3,100,'Increases Potency of caster by 3.0%',1,1),
(17526,1002227,3,100,'Applies Powerful Body to qualifying pets.',0,0),
(17527,1002227,3,100,'Increases Potency of caster by 3.0%',1,1),
(17528,1002228,3,100,'Applies Powerful Body to qualifying pets.',0,0),
(17529,1002228,3,100,'Increases Potency of caster by 3.0%',1,1),
(17530,1002234,3,100,'Applies Powerful Body to qualifying pets.',0,0),
(17531,1002234,3,100,'Increases Potency of caster by 3.0%',1,1),
(17532,1002232,3,100,'Applies Powerful Body to qualifying pets.',0,0),
(17533,1002232,3,100,'Increases Potency of caster by 3.0%',1,1),
(17534,1002231,3,100,'Applies Powerful Body to qualifying pets.',0,0),
(17535,1002231,3,100,'Increases Potency of caster by 3.0%',1,1),
(17536,1002236,3,100,'Applies Powerful Body to qualifying pets.',0,0),
(17537,1002236,3,100,'Increases Potency of caster by 3.0%',1,1),
(17538,1002224,4,100,'Applies Powerful Body to qualifying pets.',0,0),
(17539,1002224,4,100,'Increases Potency of caster by 4.0%',1,1),
(17540,1002236,4,100,'Applies Powerful Body to qualifying pets.',0,0),
(17541,1002236,4,100,'Increases Potency of caster by 4.0%',1,1),
(17542,1002240,4,100,'Applies Powerful Body to qualifying pets.',0,0),
(17543,1002240,4,100,'Increases Potency of caster by 4.0%',1,1),
(17544,1002230,4,100,'Applies Powerful Body to qualifying pets.',0,0),
(17545,1002230,4,100,'Increases Potency of caster by 4.0%',1,1),
(17546,1002239,4,100,'Applies Powerful Body to qualifying pets.',0,0),
(17547,1002239,4,100,'Increases Potency of caster by 4.0%',1,1),
(17548,1002235,4,100,'Applies Powerful Body to qualifying pets.',0,0),
(17549,1002235,4,100,'Increases Potency of caster by 4.0%',1,1),
(17550,1002223,4,100,'Applies Powerful Body to qualifying pets.',0,0),
(17551,1002223,4,100,'Increases Potency of caster by 4.0%',1,1),
(17552,1002233,4,100,'Applies Powerful Body to qualifying pets.',0,0),
(17553,1002233,4,100,'Increases Potency of caster by 4.0%',1,1),
(17554,1002226,4,100,'Applies Powerful Body to qualifying pets.',0,0),
(17555,1002226,4,100,'Increases Potency of caster by 4.0%',1,1),
(17556,1002225,4,100,'Applies Powerful Body to qualifying pets.',0,0),
(17557,1002225,4,100,'Increases Potency of caster by 4.0%',1,1),
(17558,1002229,4,100,'Applies Powerful Body to qualifying pets.',0,0),
(17559,1002229,4,100,'Increases Potency of caster by 4.0%',1,1),
(17560,1002227,4,100,'Applies Powerful Body to qualifying pets.',0,0),
(17561,1002227,4,100,'Increases Potency of caster by 4.0%',1,1),
(17562,1002228,4,100,'Applies Powerful Body to qualifying pets.',0,0),
(17563,1002228,4,100,'Increases Potency of caster by 4.0%',1,1),
(17564,1002234,4,100,'Applies Powerful Body to qualifying pets.',0,0),
(17565,1002234,4,100,'Increases Potency of caster by 4.0%',1,1),
(17566,1002238,4,100,'Applies Powerful Body to qualifying pets.',0,0),
(17567,1002238,4,100,'Increases Potency of caster by 4.0%',1,1),
(17568,1002232,4,100,'Applies Powerful Body to qualifying pets.',0,0),
(17569,1002232,4,100,'Increases Potency of caster by 4.0%',1,1),
(17570,1002231,4,100,'Applies Powerful Body to qualifying pets.',0,0),
(17571,1002231,4,100,'Increases Potency of caster by 4.0%',1,1),
(17572,1002237,4,100,'Applies Powerful Body to qualifying pets.',0,0),
(17573,1002237,4,100,'Increases Potency of caster by 4.0%',1,1),
(17574,1002224,5,100,'Applies Powerful Body to qualifying pets.',0,0),
(17575,1002224,5,100,'Increases Potency of caster by 5.0%',1,1),
(17576,1002228,5,100,'Applies Powerful Body to qualifying pets.',0,0),
(17577,1002228,5,100,'Increases Potency of caster by 5.0%',1,1),
(17578,1002238,5,100,'Applies Powerful Body to qualifying pets.',0,0),
(17579,1002238,5,100,'Increases Potency of caster by 5.0%',1,1),
(17580,1002240,5,100,'Applies Powerful Body to qualifying pets.',0,0),
(17581,1002240,5,100,'Increases Potency of caster by 5.0%',1,1),
(17582,1002230,5,100,'Applies Powerful Body to qualifying pets.',0,0),
(17583,1002230,5,100,'Increases Potency of caster by 5.0%',1,1),
(17584,1002239,5,100,'Applies Powerful Body to qualifying pets.',0,0),
(17585,1002239,5,100,'Increases Potency of caster by 5.0%',1,1),
(17586,1002235,5,100,'Applies Powerful Body to qualifying pets.',0,0),
(17587,1002235,5,100,'Increases Potency of caster by 5.0%',1,1),
(17588,1002223,5,100,'Applies Powerful Body to qualifying pets.',0,0),
(17589,1002223,5,100,'Increases Potency of caster by 5.0%',1,1),
(17590,1002233,5,100,'Applies Powerful Body to qualifying pets.',0,0),
(17591,1002233,5,100,'Increases Potency of caster by 5.0%',1,1),
(17592,1002226,5,100,'Applies Powerful Body to qualifying pets.',0,0),
(17593,1002226,5,100,'Increases Potency of caster by 5.0%',1,1),
(17594,1002225,5,100,'Applies Powerful Body to qualifying pets.',0,0),
(17595,1002225,5,100,'Increases Potency of caster by 5.0%',1,1),
(17596,1002229,5,100,'Applies Powerful Body to qualifying pets.',0,0),
(17597,1002229,5,100,'Increases Potency of caster by 5.0%',1,1),
(17598,1002227,5,100,'Applies Powerful Body to qualifying pets.',0,0),
(17599,1002227,5,100,'Increases Potency of caster by 5.0%',1,1),
(17600,1002234,5,100,'Applies Powerful Body to qualifying pets.',0,0),
(17601,1002234,5,100,'Increases Potency of caster by 5.0%',1,1),
(17602,1002231,5,100,'Applies Powerful Body to qualifying pets.',0,0),
(17603,1002231,5,100,'Increases Potency of caster by 5.0%',1,1),
(17604,1002236,5,100,'Applies Powerful Body to qualifying pets.',0,0),
(17605,1002236,5,100,'Increases Potency of caster by 5.0%',1,1),
(17606,1002237,5,100,'Applies Powerful Body to qualifying pets.',0,0),
(17607,1002237,5,100,'Increases Potency of caster by 5.0%',1,1),
(17608,1002232,5,100,'Applies Powerful Body to qualifying pets.',0,0),
(17609,1002232,5,100,'Increases Potency of caster by 5.0%',1,1),
(17610,1002231,6,100,'Applies Powerful Body to qualifying pets.',0,0),
(17611,1002231,6,100,'Increases Potency of caster by 6.0%',1,1),
(17612,1002240,6,100,'Applies Powerful Body to qualifying pets.',0,0),
(17613,1002240,6,100,'Increases Potency of caster by 6.0%',1,1),
(17614,1002230,6,100,'Applies Powerful Body to qualifying pets.',0,0),
(17615,1002230,6,100,'Increases Potency of caster by 6.0%',1,1),
(17616,1002239,6,100,'Applies Powerful Body to qualifying pets.',0,0),
(17617,1002239,6,100,'Increases Potency of caster by 6.0%',1,1),
(17618,1002235,6,100,'Applies Powerful Body to qualifying pets.',0,0),
(17619,1002235,6,100,'Increases Potency of caster by 6.0%',1,1),
(17620,1002228,6,100,'Applies Powerful Body to qualifying pets.',0,0),
(17621,1002228,6,100,'Increases Potency of caster by 6.0%',1,1),
(17622,1002223,6,100,'Applies Powerful Body to qualifying pets.',0,0),
(17623,1002223,6,100,'Increases Potency of caster by 6.0%',1,1),
(17624,1002233,6,100,'Applies Powerful Body to qualifying pets.',0,0),
(17625,1002233,6,100,'Increases Potency of caster by 6.0%',1,1),
(17626,1002226,6,100,'Applies Powerful Body to qualifying pets.',0,0),
(17627,1002226,6,100,'Increases Potency of caster by 6.0%',1,1),
(17628,1002225,6,100,'Applies Powerful Body to qualifying pets.',0,0),
(17629,1002225,6,100,'Increases Potency of caster by 6.0%',1,1),
(17630,1002229,6,100,'Applies Powerful Body to qualifying pets.',0,0),
(17631,1002229,6,100,'Increases Potency of caster by 6.0%',1,1),
(17632,1002227,6,100,'Applies Powerful Body to qualifying pets.',0,0),
(17633,1002227,6,100,'Increases Potency of caster by 6.0%',1,1),
(17634,1002234,6,100,'Applies Powerful Body to qualifying pets.',0,0),
(17635,1002234,6,100,'Increases Potency of caster by 6.0%',1,1),
(17636,1002224,6,100,'Applies Powerful Body to qualifying pets.',0,0),
(17637,1002224,6,100,'Increases Potency of caster by 6.0%',1,1),
(17638,1002238,6,100,'Applies Powerful Body to qualifying pets.',0,0),
(17639,1002238,6,100,'Increases Potency of caster by 6.0%',1,1),
(17640,1002232,6,100,'Applies Powerful Body to qualifying pets.',0,0),
(17641,1002232,6,100,'Increases Potency of caster by 6.0%',1,1),
(17642,1002236,6,100,'Applies Powerful Body to qualifying pets.',0,0),
(17643,1002236,6,100,'Increases Potency of caster by 6.0%',1,1),
(17644,1002237,6,100,'Applies Powerful Body to qualifying pets.',0,0),
(17645,1002237,6,100,'Increases Potency of caster by 6.0%',1,1),
(17646,1002229,7,100,'Applies Powerful Body to qualifying pets.',0,0),
(17647,1002229,7,100,'Increases Potency of caster by 7.0%',1,1),
(17648,1002240,7,100,'Applies Powerful Body to qualifying pets.',0,0),
(17649,1002240,7,100,'Increases Potency of caster by 7.0%',1,1),
(17650,1002231,7,100,'Applies Powerful Body to qualifying pets.',0,0),
(17651,1002231,7,100,'Increases Potency of caster by 7.0%',1,1),
(17652,1002227,7,100,'Applies Powerful Body to qualifying pets.',0,0),
(17653,1002227,7,100,'Increases Potency of caster by 7.0%',1,1),
(17654,1002239,7,100,'Applies Powerful Body to qualifying pets.',0,0),
(17655,1002239,7,100,'Increases Potency of caster by 7.0%',1,1),
(17656,1002235,7,100,'Applies Powerful Body to qualifying pets.',0,0),
(17657,1002235,7,100,'Increases Potency of caster by 7.0%',1,1),
(17658,1002223,7,100,'Applies Powerful Body to qualifying pets.',0,0),
(17659,1002223,7,100,'Increases Potency of caster by 7.0%',1,1),
(17660,1002233,7,100,'Applies Powerful Body to qualifying pets.',0,0),
(17661,1002233,7,100,'Increases Potency of caster by 7.0%',1,1),
(17662,1002225,7,100,'Applies Powerful Body to qualifying pets.',0,0),
(17663,1002225,7,100,'Increases Potency of caster by 7.0%',1,1),
(17664,1002230,7,100,'Applies Powerful Body to qualifying pets.',0,0),
(17665,1002230,7,100,'Increases Potency of caster by 7.0%',1,1),
(17666,1002228,7,100,'Applies Powerful Body to qualifying pets.',0,0),
(17667,1002228,7,100,'Increases Potency of caster by 7.0%',1,1),
(17668,1002234,7,100,'Applies Powerful Body to qualifying pets.',0,0),
(17669,1002234,7,100,'Increases Potency of caster by 7.0%',1,1),
(17670,1002224,7,100,'Applies Powerful Body to qualifying pets.',0,0),
(17671,1002224,7,100,'Increases Potency of caster by 7.0%',1,1),
(17672,1002238,7,100,'Applies Powerful Body to qualifying pets.',0,0),
(17673,1002238,7,100,'Increases Potency of caster by 7.0%',1,1),
(17674,1002226,7,100,'Applies Powerful Body to qualifying pets.',0,0),
(17675,1002226,7,100,'Increases Potency of caster by 7.0%',1,1),
(17676,1002232,7,100,'Applies Powerful Body to qualifying pets.',0,0),
(17677,1002232,7,100,'Increases Potency of caster by 7.0%',1,1),
(17678,1002237,7,100,'Applies Powerful Body to qualifying pets.',0,0),
(17679,1002237,7,100,'Increases Potency of caster by 7.0%',1,1),
(17680,1002236,7,100,'Applies Powerful Body to qualifying pets.',0,0),
(17681,1002236,7,100,'Increases Potency of caster by 7.0%',1,1),
(17682,1002227,8,100,'Applies Powerful Body to qualifying pets.',0,0),
(17683,1002227,8,100,'Increases Potency of caster by 8.0%',1,1),
(17684,1002226,8,100,'Applies Powerful Body to qualifying pets.',0,0),
(17685,1002226,8,100,'Increases Potency of caster by 8.0%',1,1),
(17686,1002231,8,100,'Applies Powerful Body to qualifying pets.',0,0),
(17687,1002231,8,100,'Increases Potency of caster by 8.0%',1,1),
(17688,1002237,8,100,'Applies Powerful Body to qualifying pets.',0,0),
(17689,1002237,8,100,'Increases Potency of caster by 8.0%',1,1),
(17690,1002240,8,100,'Applies Powerful Body to qualifying pets.',0,0),
(17691,1002240,8,100,'Increases Potency of caster by 8.0%',1,1),
(17692,1002230,8,100,'Applies Powerful Body to qualifying pets.',0,0),
(17693,1002230,8,100,'Increases Potency of caster by 8.0%',1,1),
(17694,1002239,8,100,'Applies Powerful Body to qualifying pets.',0,0),
(17695,1002239,8,100,'Increases Potency of caster by 8.0%',1,1),
(17696,1002235,8,100,'Applies Powerful Body to qualifying pets.',0,0),
(17697,1002235,8,100,'Increases Potency of caster by 8.0%',1,1),
(17698,1002223,8,100,'Applies Powerful Body to qualifying pets.',0,0),
(17699,1002223,8,100,'Increases Potency of caster by 8.0%',1,1),
(17700,1002233,8,100,'Applies Powerful Body to qualifying pets.',0,0),
(17701,1002233,8,100,'Increases Potency of caster by 8.0%',1,1),
(17702,1002225,8,100,'Applies Powerful Body to qualifying pets.',0,0),
(17703,1002225,8,100,'Increases Potency of caster by 8.0%',1,1),
(17704,1002229,8,100,'Applies Powerful Body to qualifying pets.',0,0),
(17705,1002229,8,100,'Increases Potency of caster by 8.0%',1,1),
(17706,1002234,8,100,'Applies Powerful Body to qualifying pets.',0,0),
(17707,1002234,8,100,'Increases Potency of caster by 8.0%',1,1),
(17708,1002228,8,100,'Applies Powerful Body to qualifying pets.',0,0),
(17709,1002228,8,100,'Increases Potency of caster by 8.0%',1,1),
(17710,1002224,8,100,'Applies Powerful Body to qualifying pets.',0,0),
(17711,1002224,8,100,'Increases Potency of caster by 8.0%',1,1),
(17712,1002238,8,100,'Applies Powerful Body to qualifying pets.',0,0),
(17713,1002238,8,100,'Increases Potency of caster by 8.0%',1,1),
(17714,1002232,8,100,'Applies Powerful Body to qualifying pets.',0,0),
(17715,1002232,8,100,'Increases Potency of caster by 8.0%',1,1),
(17716,1002236,8,100,'Applies Powerful Body to qualifying pets.',0,0),
(17717,1002236,8,100,'Increases Potency of caster by 8.0%',1,1),
(17718,1002240,9,100,'Applies Powerful Body to qualifying pets.',0,0),
(17719,1002240,9,100,'Increases Potency of caster by 9.0%',1,1),
(17720,1002230,9,100,'Applies Powerful Body to qualifying pets.',0,0),
(17721,1002230,9,100,'Increases Potency of caster by 9.0%',1,1),
(17722,1002239,9,100,'Applies Powerful Body to qualifying pets.',0,0),
(17723,1002239,9,100,'Increases Potency of caster by 9.0%',1,1),
(17724,1002235,9,100,'Applies Powerful Body to qualifying pets.',0,0),
(17725,1002235,9,100,'Increases Potency of caster by 9.0%',1,1),
(17726,1002223,9,100,'Applies Powerful Body to qualifying pets.',0,0),
(17727,1002223,9,100,'Increases Potency of caster by 9.0%',1,1),
(17728,1002225,9,100,'Applies Powerful Body to qualifying pets.',0,0),
(17729,1002225,9,100,'Increases Potency of caster by 9.0%',1,1),
(17730,1002229,9,100,'Applies Powerful Body to qualifying pets.',0,0),
(17731,1002229,9,100,'Increases Potency of caster by 9.0%',1,1),
(17732,1002234,9,100,'Applies Powerful Body to qualifying pets.',0,0),
(17733,1002234,9,100,'Increases Potency of caster by 9.0%',1,1),
(17734,1002228,9,100,'Applies Powerful Body to qualifying pets.',0,0),
(17735,1002228,9,100,'Increases Potency of caster by 9.0%',1,1),
(17736,1002227,9,100,'Applies Powerful Body to qualifying pets.',0,0),
(17737,1002227,9,100,'Increases Potency of caster by 9.0%',1,1),
(17738,1002224,9,100,'Applies Powerful Body to qualifying pets.',0,0),
(17739,1002224,9,100,'Increases Potency of caster by 9.0%',1,1),
(17740,1002233,9,100,'Applies Powerful Body to qualifying pets.',0,0),
(17741,1002233,9,100,'Increases Potency of caster by 9.0%',1,1),
(17742,1002226,9,100,'Applies Powerful Body to qualifying pets.',0,0),
(17743,1002226,9,100,'Increases Potency of caster by 9.0%',1,1),
(17744,1002238,9,100,'Applies Powerful Body to qualifying pets.',0,0),
(17745,1002238,9,100,'Increases Potency of caster by 9.0%',1,1),
(17746,1002232,9,100,'Applies Powerful Body to qualifying pets.',0,0),
(17747,1002232,9,100,'Increases Potency of caster by 9.0%',1,1),
(17748,1002236,9,100,'Applies Powerful Body to qualifying pets.',0,0),
(17749,1002236,9,100,'Increases Potency of caster by 9.0%',1,1),
(17750,1002231,9,100,'Applies Powerful Body to qualifying pets.',0,0),
(17751,1002231,9,100,'Increases Potency of caster by 9.0%',1,1),
(17752,1002237,9,100,'Applies Powerful Body to qualifying pets.',0,0),
(17753,1002237,9,100,'Increases Potency of caster by 9.0%',1,1),
(17754,1002234,10,100,'Applies Powerful Body to qualifying pets.',0,0),
(17755,1002234,10,100,'Increases Potency of caster by 10.0%',1,1),
(17756,1002228,10,100,'Applies Powerful Body to qualifying pets.',0,0),
(17757,1002228,10,100,'Increases Potency of caster by 10.0%',1,1),
(17758,1002231,10,100,'Applies Powerful Body to qualifying pets.',0,0),
(17759,1002231,10,100,'Increases Potency of caster by 10.0%',1,1),
(17760,1002238,10,100,'Applies Powerful Body to qualifying pets.',0,0),
(17761,1002238,10,100,'Increases Potency of caster by 10.0%',1,1),
(17762,1002240,10,100,'Applies Powerful Body to qualifying pets.',0,0),
(17763,1002240,10,100,'Increases Potency of caster by 10.0%',1,1),
(17764,1002230,10,100,'Applies Powerful Body to qualifying pets.',0,0),
(17765,1002230,10,100,'Increases Potency of caster by 10.0%',1,1),
(17766,1002239,10,100,'Applies Powerful Body to qualifying pets.',0,0),
(17767,1002239,10,100,'Increases Potency of caster by 10.0%',1,1),
(17768,1002235,10,100,'Applies Powerful Body to qualifying pets.',0,0),
(17769,1002235,10,100,'Increases Potency of caster by 10.0%',1,1),
(17770,1002223,10,100,'Applies Powerful Body to qualifying pets.',0,0),
(17771,1002223,10,100,'Increases Potency of caster by 10.0%',1,1),
(17772,1002233,10,100,'Applies Powerful Body to qualifying pets.',0,0),
(17773,1002233,10,100,'Increases Potency of caster by 10.0%',1,1),
(17774,1002225,10,100,'Applies Powerful Body to qualifying pets.',0,0),
(17775,1002225,10,100,'Increases Potency of caster by 10.0%',1,1),
(17776,1002229,10,100,'Applies Powerful Body to qualifying pets.',0,0),
(17777,1002229,10,100,'Increases Potency of caster by 10.0%',1,1),
(17778,1002227,10,100,'Applies Powerful Body to qualifying pets.',0,0),
(17779,1002227,10,100,'Increases Potency of caster by 10.0%',1,1),
(17780,1002224,10,100,'Applies Powerful Body to qualifying pets.',0,0),
(17781,1002224,10,100,'Increases Potency of caster by 10.0%',1,1),
(17782,1002226,10,100,'Applies Powerful Body to qualifying pets.',0,0),
(17783,1002226,10,100,'Increases Potency of caster by 10.0%',1,1),
(17784,1002232,10,100,'Applies Powerful Body to qualifying pets.',0,0),
(17785,1002232,10,100,'Increases Potency of caster by 10.0%',1,1),
(17786,1002237,10,100,'Applies Powerful Body to qualifying pets.',0,0),
(17787,1002237,10,100,'Increases Potency of caster by 10.0%',1,1),
(17788,1002236,10,100,'Applies Powerful Body to qualifying pets.',0,0),
(17789,1002236,10,100,'Increases Potency of caster by 10.0%',1,1),
(17790,1002241,1,100,'Improves the damage of the primary hit of Dashing Flourish by 100%',0,0),
(17791,1002241,2,100,'Improves the damage of the primary hit of Dashing Flourish by 200%',0,0),
(17792,1002241,3,100,'Improves the damage of the primary hit of Dashing Flourish by 300%',0,0),
(17793,1002242,1,100,'For every 3 Crit Bonus, the caster gains 1 Potency.',0,0),
(17794,1002243,1,100,'Destructive Rampage will increase the group''s potency by 5% of their base potency',0,0),
(17795,1002244,1,100,'Rythmic Overture has a 50% chance to clear the reuse of Scream of Death and Sinister Strike.',0,0),
(17796,1002244,2,100,'Rythmic Overture has a 100% chance to clear the reuse of Scream of Death and Sinister Strike.',0,0),
(17797,1002245,1,100,'Bagpipe Solo will restore 3% of the damage taken as power.',0,0),
(17798,1002245,1,100,'Bagpipe Solo will restore 2% power to the group when it applies',0,1),
(17799,1002245,2,100,'Bagpipe Solo will restore 6% of the damage taken as power.',0,0),
(17800,1002245,2,100,'Bagpipe Solo will restore 4% power to the group when it applies',0,1),
(17801,1002245,3,100,'Bagpipe Solo will restore 9% of the damage taken as power.',0,0),
(17802,1002245,3,100,'Bagpipe Solo will restore 6% power to the group when it applies',0,1),
(17803,1002246,1,100,'Increases success chance by 2.0%',0,0),
(17804,1002246,2,100,'Increases success chance by 2.0%',0,0),
(17805,1002247,1,100,'Improves the heal amount by 2%',0,0),
(17806,1002247,1,100,'Improves the critical amount by 3%.',0,1),
(17807,1002247,1,100,'Applies to Healing Arrow and Healing Barrage',0,2),
(17808,1002247,2,100,'Improves the heal amount by 4%',0,0),
(17809,1002247,2,100,'Improves the critical amount by 6%.',0,1),
(17810,1002247,2,100,'Applies to Healing Arrow and Healing Barrage',0,2),
(17811,1002247,3,100,'Improves the heal amount by 6%',0,0),
(17812,1002247,3,100,'Improves the critical amount by 9%.',0,1),
(17813,1002247,3,100,'Applies to Healing Arrow and Healing Barrage',0,2),
(17814,1002247,4,100,'Improves the heal amount by 8%',0,0),
(17815,1002247,4,100,'Improves the critical amount by 12%.',0,1),
(17816,1002247,4,100,'Applies to Healing Arrow and Healing Barrage',0,2),
(17817,1002247,5,100,'Improves the heal amount by 10%',0,0),
(17818,1002247,5,100,'Improves the critical amount by 15%.',0,1),
(17819,1002247,5,100,'Applies to Healing Arrow and Healing Barrage',0,2),
(17820,1002248,1,100,'Adds an accuracy and resistability component to Rhythm Blade.',0,0),
(17821,1002248,2,100,'Adds an accuracy and resistability component to Rhythm Blade.',0,0),
(17822,1002248,3,100,'Adds an accuracy and resistability component to Rhythm Blade.',0,0),
(17823,1002248,4,100,'Adds an accuracy and resistability component to Rhythm Blade.',0,0),
(17824,1002248,5,100,'Adds an accuracy and resistability component to Rhythm Blade.',0,0),
(17825,1002248,6,100,'Adds an accuracy and resistability component to Rhythm Blade.',0,0),
(17826,1002248,7,100,'Adds an accuracy and resistability component to Rhythm Blade.',0,0),
(17827,1002248,8,100,'Adds an accuracy and resistability component to Rhythm Blade.',0,0),
(17828,1002249,1,100,'Improves base auto-attack multiplier of caster by 0.01. Does not apply to spell weapons.',0,0),
(17829,1002249,2,100,'Improves base auto-attack multiplier of caster by 0.03. Does not apply to spell weapons.',0,0),
(17830,1002249,3,100,'Improves base auto-attack multiplier of caster by 0.04. Does not apply to spell weapons.',0,0),
(17831,1002249,4,100,'Improves base auto-attack multiplier of caster by 0.06. Does not apply to spell weapons.',0,0),
(17832,1002249,5,100,'Improves base auto-attack multiplier of caster by 0.07. Does not apply to spell weapons.',0,0),
(17833,1002249,6,100,'Improves base auto-attack multiplier of caster by 0.09. Does not apply to spell weapons.',0,0),
(17834,1002249,7,100,'Improves base auto-attack multiplier of caster by 0.10. Does not apply to spell weapons.',0,0),
(17835,1002249,8,100,'Improves base auto-attack multiplier of caster by 0.12. Does not apply to spell weapons.',0,0),
(17836,1002249,9,100,'Improves base auto-attack multiplier of caster by 0.13. Does not apply to spell weapons.',0,0),
(17837,1002249,10,100,'Improves base auto-attack multiplier of caster by 0.15. Does not apply to spell weapons.',0,0),
(17838,1002250,1,100,'Improves the base damage and critical damage of all attacks by 10%.',0,0),
(17839,1002251,1,100,'Increases Crit Chance of caster by 1.4',0,0),
(17840,1002251,2,100,'Increases Crit Chance of caster by 2.8',0,0),
(17841,1002251,3,100,'Increases Crit Chance of caster by 4.2',0,0),
(17842,1002251,4,100,'Increases Crit Chance of caster by 5.6',0,0),
(17843,1002251,5,100,'Increases Crit Chance of caster by 7.0',0,0),
(17844,1002251,6,100,'Increases Crit Chance of caster by 8.4',0,0),
(17845,1002251,7,100,'Increases Crit Chance of caster by 9.7',0,0),
(17846,1002251,8,100,'Increases Crit Chance of caster by 11.1',0,0),
(17847,1002251,9,100,'Increases Crit Chance of caster by 12.5',0,0),
(17848,1002251,10,100,'Increases Crit Chance of caster by 13.9',0,0),
(17849,1002252,1,100,'Increases Max Health of caster by 1.0%',0,0),
(17850,1002252,2,100,'Increases Max Health of caster by 2.0%',0,0),
(17851,1002252,3,100,'Increases Max Health of caster by 3.0%',0,0),
(17852,1002252,4,100,'Increases Max Health of caster by 4.0%',0,0),
(17853,1002252,5,100,'Increases Max Health of caster by 5.0%',0,0),
(17854,1002253,1,100,'Increases the amount of progress gained by 2.0%.',0,0),
(17855,1002253,2,100,'Increases the amount of progress gained by 2.0%.',0,0),
(17856,1002254,1,100,'Following the use of Interrogation, the group will gain a ward if the target is below 50% health.',0,0),
(17857,1002254,2,100,'Following the use of Interrogation, the group will gain a ward if the target is below 50% health.',0,0),
(17858,1002254,3,100,'Following the use of Interrogation, the group will gain a ward if the target is below 50% health.',0,0),
(17859,1002255,1,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17860,1002255,1,100,'Increases Max Power of caster by 2.0%',1,1),
(17861,1002256,1,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17862,1002256,1,100,'Increases Max Power of caster by 2.0%',1,1),
(17863,1002257,1,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17864,1002257,1,100,'Increases Max Power of caster by 2.0%',1,1),
(17865,1002258,1,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17866,1002258,1,100,'Increases Max Power of caster by 2.0%',1,1),
(17867,1002259,1,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17868,1002259,1,100,'Increases Max Power of caster by 2.0%',1,1),
(17869,1002260,1,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17870,1002260,1,100,'Increases Max Power of caster by 2.0%',1,1),
(17871,1002261,1,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17872,1002261,1,100,'Increases Max Power of caster by 2.0%',1,1),
(17873,1002262,1,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17874,1002262,1,100,'Increases Max Power of caster by 2.0%',1,1),
(17875,1002263,1,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17876,1002263,1,100,'Increases Max Power of caster by 2.0%',1,1),
(17877,1002264,1,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17878,1002264,1,100,'Increases Max Power of caster by 2.0%',1,1),
(17879,1002265,1,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17880,1002265,1,100,'Increases Max Power of caster by 2.0%',1,1),
(17881,1002266,1,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17882,1002266,1,100,'Increases Max Power of caster by 2.0%',1,1),
(17883,1002267,1,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17884,1002267,1,100,'Increases Max Power of caster by 2.0%',1,1),
(17885,1002268,1,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17886,1002268,1,100,'Increases Max Power of caster by 2.0%',1,1),
(17887,1002269,1,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17888,1002269,1,100,'Increases Max Power of caster by 2.0%',1,1),
(17889,1002270,1,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17890,1002270,1,100,'Increases Max Power of caster by 2.0%',1,1),
(17891,1002271,1,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17892,1002271,1,100,'Increases Max Power of caster by 2.0%',1,1),
(17893,1002272,1,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17894,1002272,1,100,'Increases Max Power of caster by 2.0%',1,1),
(17895,1002273,1,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17896,1002273,1,100,'Increases Max Power of caster by 2.0%',1,1),
(17897,1002261,2,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17898,1002261,2,100,'Increases Max Power of caster by 4.0%',1,1),
(17899,1002255,2,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17900,1002255,2,100,'Increases Max Power of caster by 4.0%',1,1),
(17901,1002263,2,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17902,1002263,2,100,'Increases Max Power of caster by 4.0%',1,1),
(17903,1002269,2,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17904,1002269,2,100,'Increases Max Power of caster by 4.0%',1,1),
(17905,1002264,2,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17906,1002264,2,100,'Increases Max Power of caster by 4.0%',1,1),
(17907,1002258,2,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17908,1002258,2,100,'Increases Max Power of caster by 4.0%',1,1),
(17909,1002271,2,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17910,1002271,2,100,'Increases Max Power of caster by 4.0%',1,1),
(17911,1002270,2,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17912,1002270,2,100,'Increases Max Power of caster by 4.0%',1,1),
(17913,1002272,2,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17914,1002272,2,100,'Increases Max Power of caster by 4.0%',1,1),
(17915,1002265,2,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17916,1002265,2,100,'Increases Max Power of caster by 4.0%',1,1),
(17917,1002268,2,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17918,1002268,2,100,'Increases Max Power of caster by 4.0%',1,1),
(17919,1002256,2,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17920,1002256,2,100,'Increases Max Power of caster by 4.0%',1,1),
(17921,1002257,2,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17922,1002257,2,100,'Increases Max Power of caster by 4.0%',1,1),
(17923,1002259,2,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17924,1002259,2,100,'Increases Max Power of caster by 4.0%',1,1),
(17925,1002273,2,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17926,1002273,2,100,'Increases Max Power of caster by 4.0%',1,1),
(17927,1002260,2,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17928,1002260,2,100,'Increases Max Power of caster by 4.0%',1,1),
(17929,1002266,2,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17930,1002266,2,100,'Increases Max Power of caster by 4.0%',1,1),
(17931,1002262,2,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17932,1002262,2,100,'Increases Max Power of caster by 4.0%',1,1),
(17933,1002273,3,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17934,1002273,3,100,'Increases Max Power of caster by 6.0%',1,1),
(17935,1002269,3,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17936,1002269,3,100,'Increases Max Power of caster by 6.0%',1,1),
(17937,1002272,3,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17938,1002272,3,100,'Increases Max Power of caster by 6.0%',1,1),
(17939,1002256,3,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17940,1002256,3,100,'Increases Max Power of caster by 6.0%',1,1),
(17941,1002258,3,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17942,1002258,3,100,'Increases Max Power of caster by 6.0%',1,1),
(17943,1002271,3,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17944,1002271,3,100,'Increases Max Power of caster by 6.0%',1,1),
(17945,1002268,3,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17946,1002268,3,100,'Increases Max Power of caster by 6.0%',1,1),
(17947,1002270,3,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17948,1002270,3,100,'Increases Max Power of caster by 6.0%',1,1),
(17949,1002266,3,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17950,1002266,3,100,'Increases Max Power of caster by 6.0%',1,1),
(17951,1002262,3,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17952,1002262,3,100,'Increases Max Power of caster by 6.0%',1,1),
(17953,1002264,3,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17954,1002264,3,100,'Increases Max Power of caster by 6.0%',1,1),
(17955,1002265,3,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17956,1002265,3,100,'Increases Max Power of caster by 6.0%',1,1),
(17957,1002255,3,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17958,1002255,3,100,'Increases Max Power of caster by 6.0%',1,1),
(17959,1002257,3,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17960,1002257,3,100,'Increases Max Power of caster by 6.0%',1,1),
(17961,1002259,3,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17962,1002259,3,100,'Increases Max Power of caster by 6.0%',1,1),
(17963,1002260,3,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17964,1002260,3,100,'Increases Max Power of caster by 6.0%',1,1),
(17965,1002263,3,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17966,1002263,3,100,'Increases Max Power of caster by 6.0%',1,1),
(17967,1002261,3,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17968,1002261,3,100,'Increases Max Power of caster by 6.0%',1,1),
(17969,1002259,4,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17970,1002259,4,100,'Increases Max Power of caster by 8.0%',1,1),
(17971,1002262,4,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17972,1002262,4,100,'Increases Max Power of caster by 8.0%',1,1),
(17973,1002256,4,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17974,1002256,4,100,'Increases Max Power of caster by 8.0%',1,1),
(17975,1002273,4,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17976,1002273,4,100,'Increases Max Power of caster by 8.0%',1,1),
(17977,1002258,4,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17978,1002258,4,100,'Increases Max Power of caster by 8.0%',1,1),
(17979,1002271,4,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17980,1002271,4,100,'Increases Max Power of caster by 8.0%',1,1),
(17981,1002268,4,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17982,1002268,4,100,'Increases Max Power of caster by 8.0%',1,1),
(17983,1002270,4,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17984,1002270,4,100,'Increases Max Power of caster by 8.0%',1,1),
(17985,1002266,4,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17986,1002266,4,100,'Increases Max Power of caster by 8.0%',1,1),
(17987,1002264,4,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17988,1002264,4,100,'Increases Max Power of caster by 8.0%',1,1),
(17989,1002265,4,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17990,1002265,4,100,'Increases Max Power of caster by 8.0%',1,1),
(17991,1002272,4,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17992,1002272,4,100,'Increases Max Power of caster by 8.0%',1,1),
(17993,1002261,4,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17994,1002261,4,100,'Increases Max Power of caster by 8.0%',1,1),
(17995,1002255,4,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17996,1002255,4,100,'Increases Max Power of caster by 8.0%',1,1),
(17997,1002263,4,100,'Applies Presence of Mind to qualifying pets.',0,0),
(17998,1002263,4,100,'Increases Max Power of caster by 8.0%',1,1),
(17999,1002257,4,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18000,1002257,4,100,'Increases Max Power of caster by 8.0%',1,1),
(18001,1002260,4,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18002,1002260,4,100,'Increases Max Power of caster by 8.0%',1,1),
(18003,1002269,4,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18004,1002269,4,100,'Increases Max Power of caster by 8.0%',1,1),
(18005,1002261,5,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18006,1002261,5,100,'Increases Max Power of caster by 10.0%',1,1),
(18007,1002265,5,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18008,1002265,5,100,'Increases Max Power of caster by 10.0%',1,1),
(18009,1002264,5,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18010,1002264,5,100,'Increases Max Power of caster by 10.0%',1,1),
(18011,1002258,5,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18012,1002258,5,100,'Increases Max Power of caster by 10.0%',1,1),
(18013,1002271,5,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18014,1002271,5,100,'Increases Max Power of caster by 10.0%',1,1),
(18015,1002268,5,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18016,1002268,5,100,'Increases Max Power of caster by 10.0%',1,1),
(18017,1002266,5,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18018,1002266,5,100,'Increases Max Power of caster by 10.0%',1,1),
(18019,1002262,5,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18020,1002262,5,100,'Increases Max Power of caster by 10.0%',1,1),
(18021,1002272,5,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18022,1002272,5,100,'Increases Max Power of caster by 10.0%',1,1),
(18023,1002255,5,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18024,1002255,5,100,'Increases Max Power of caster by 10.0%',1,1),
(18025,1002263,5,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18026,1002263,5,100,'Increases Max Power of caster by 10.0%',1,1),
(18027,1002257,5,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18028,1002257,5,100,'Increases Max Power of caster by 10.0%',1,1),
(18029,1002259,5,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18030,1002259,5,100,'Increases Max Power of caster by 10.0%',1,1),
(18031,1002260,5,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18032,1002260,5,100,'Increases Max Power of caster by 10.0%',1,1),
(18033,1002273,5,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18034,1002273,5,100,'Increases Max Power of caster by 10.0%',1,1),
(18035,1002269,5,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18036,1002269,5,100,'Increases Max Power of caster by 10.0%',1,1),
(18037,1002270,5,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18038,1002270,5,100,'Increases Max Power of caster by 10.0%',1,1),
(18039,1002256,5,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18040,1002256,5,100,'Increases Max Power of caster by 10.0%',1,1),
(18041,1002261,6,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18042,1002261,6,100,'Increases Max Power of caster by 12.0%',1,1),
(18043,1002273,6,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18044,1002273,6,100,'Increases Max Power of caster by 12.0%',1,1),
(18045,1002270,6,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18046,1002270,6,100,'Increases Max Power of caster by 12.0%',1,1),
(18047,1002272,6,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18048,1002272,6,100,'Increases Max Power of caster by 12.0%',1,1),
(18049,1002264,6,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18050,1002264,6,100,'Increases Max Power of caster by 12.0%',1,1),
(18051,1002258,6,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18052,1002258,6,100,'Increases Max Power of caster by 12.0%',1,1),
(18053,1002271,6,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18054,1002271,6,100,'Increases Max Power of caster by 12.0%',1,1),
(18055,1002268,6,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18056,1002268,6,100,'Increases Max Power of caster by 12.0%',1,1),
(18057,1002259,6,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18058,1002259,6,100,'Increases Max Power of caster by 12.0%',1,1),
(18059,1002266,6,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18060,1002266,6,100,'Increases Max Power of caster by 12.0%',1,1),
(18061,1002265,6,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18062,1002265,6,100,'Increases Max Power of caster by 12.0%',1,1),
(18063,1002255,6,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18064,1002255,6,100,'Increases Max Power of caster by 12.0%',1,1),
(18065,1002263,6,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18066,1002263,6,100,'Increases Max Power of caster by 12.0%',1,1),
(18067,1002256,6,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18068,1002256,6,100,'Increases Max Power of caster by 12.0%',1,1),
(18069,1002257,6,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18070,1002257,6,100,'Increases Max Power of caster by 12.0%',1,1),
(18071,1002260,6,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18072,1002260,6,100,'Increases Max Power of caster by 12.0%',1,1),
(18073,1002269,6,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18074,1002269,6,100,'Increases Max Power of caster by 12.0%',1,1),
(18075,1002262,6,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18076,1002262,6,100,'Increases Max Power of caster by 12.0%',1,1),
(18077,1002273,7,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18078,1002273,7,100,'Increases Max Power of caster by 14.0%',1,1),
(18079,1002269,7,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18080,1002269,7,100,'Increases Max Power of caster by 14.0%',1,1),
(18081,1002257,7,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18082,1002257,7,100,'Increases Max Power of caster by 14.0%',1,1),
(18083,1002270,7,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18084,1002270,7,100,'Increases Max Power of caster by 14.0%',1,1),
(18085,1002264,7,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18086,1002264,7,100,'Increases Max Power of caster by 14.0%',1,1),
(18087,1002258,7,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18088,1002258,7,100,'Increases Max Power of caster by 14.0%',1,1),
(18089,1002271,7,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18090,1002271,7,100,'Increases Max Power of caster by 14.0%',1,1),
(18091,1002265,7,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18092,1002265,7,100,'Increases Max Power of caster by 14.0%',1,1),
(18093,1002268,7,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18094,1002268,7,100,'Increases Max Power of caster by 14.0%',1,1),
(18095,1002259,7,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18096,1002259,7,100,'Increases Max Power of caster by 14.0%',1,1),
(18097,1002266,7,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18098,1002266,7,100,'Increases Max Power of caster by 14.0%',1,1),
(18099,1002272,7,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18100,1002272,7,100,'Increases Max Power of caster by 14.0%',1,1),
(18101,1002261,7,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18102,1002261,7,100,'Increases Max Power of caster by 14.0%',1,1),
(18103,1002255,7,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18104,1002255,7,100,'Increases Max Power of caster by 14.0%',1,1),
(18105,1002263,7,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18106,1002263,7,100,'Increases Max Power of caster by 14.0%',1,1),
(18107,1002260,7,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18108,1002260,7,100,'Increases Max Power of caster by 14.0%',1,1),
(18109,1002256,7,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18110,1002256,7,100,'Increases Max Power of caster by 14.0%',1,1),
(18111,1002262,7,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18112,1002262,7,100,'Increases Max Power of caster by 14.0%',1,1),
(18113,1002260,8,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18114,1002260,8,100,'Increases Max Power of caster by 16.0%',1,1),
(18115,1002261,8,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18116,1002261,8,100,'Increases Max Power of caster by 16.0%',1,1),
(18117,1002264,8,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18118,1002264,8,100,'Increases Max Power of caster by 16.0%',1,1),
(18119,1002272,8,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18120,1002272,8,100,'Increases Max Power of caster by 16.0%',1,1),
(18121,1002258,8,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18122,1002258,8,100,'Increases Max Power of caster by 16.0%',1,1),
(18123,1002265,8,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18124,1002265,8,100,'Increases Max Power of caster by 16.0%',1,1),
(18125,1002268,8,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18126,1002268,8,100,'Increases Max Power of caster by 16.0%',1,1),
(18127,1002256,8,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18128,1002256,8,100,'Increases Max Power of caster by 16.0%',1,1),
(18129,1002259,8,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18130,1002259,8,100,'Increases Max Power of caster by 16.0%',1,1),
(18131,1002266,8,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18132,1002266,8,100,'Increases Max Power of caster by 16.0%',1,1),
(18133,1002262,8,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18134,1002262,8,100,'Increases Max Power of caster by 16.0%',1,1),
(18135,1002271,8,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18136,1002271,8,100,'Increases Max Power of caster by 16.0%',1,1),
(18137,1002255,8,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18138,1002255,8,100,'Increases Max Power of caster by 16.0%',1,1),
(18139,1002263,8,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18140,1002263,8,100,'Increases Max Power of caster by 16.0%',1,1),
(18141,1002257,8,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18142,1002257,8,100,'Increases Max Power of caster by 16.0%',1,1),
(18143,1002273,8,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18144,1002273,8,100,'Increases Max Power of caster by 16.0%',1,1),
(18145,1002270,8,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18146,1002270,8,100,'Increases Max Power of caster by 16.0%',1,1),
(18147,1002269,8,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18148,1002269,8,100,'Increases Max Power of caster by 16.0%',1,1),
(18149,1002261,9,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18150,1002261,9,100,'Increases Max Power of caster by 18.0%',1,1),
(18151,1002257,9,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18152,1002257,9,100,'Increases Max Power of caster by 18.0%',1,1),
(18153,1002264,9,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18154,1002264,9,100,'Increases Max Power of caster by 18.0%',1,1),
(18155,1002272,9,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18156,1002272,9,100,'Increases Max Power of caster by 18.0%',1,1),
(18157,1002258,9,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18158,1002258,9,100,'Increases Max Power of caster by 18.0%',1,1),
(18159,1002265,9,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18160,1002265,9,100,'Increases Max Power of caster by 18.0%',1,1),
(18161,1002268,9,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18162,1002268,9,100,'Increases Max Power of caster by 18.0%',1,1),
(18163,1002256,9,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18164,1002256,9,100,'Increases Max Power of caster by 18.0%',1,1),
(18165,1002259,9,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18166,1002259,9,100,'Increases Max Power of caster by 18.0%',1,1),
(18167,1002266,9,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18168,1002266,9,100,'Increases Max Power of caster by 18.0%',1,1),
(18169,1002262,9,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18170,1002262,9,100,'Increases Max Power of caster by 18.0%',1,1),
(18171,1002271,9,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18172,1002271,9,100,'Increases Max Power of caster by 18.0%',1,1),
(18173,1002255,9,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18174,1002255,9,100,'Increases Max Power of caster by 18.0%',1,1),
(18175,1002263,9,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18176,1002263,9,100,'Increases Max Power of caster by 18.0%',1,1),
(18177,1002273,9,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18178,1002273,9,100,'Increases Max Power of caster by 18.0%',1,1),
(18179,1002260,9,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18180,1002260,9,100,'Increases Max Power of caster by 18.0%',1,1),
(18181,1002270,9,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18182,1002270,9,100,'Increases Max Power of caster by 18.0%',1,1),
(18183,1002269,9,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18184,1002269,9,100,'Increases Max Power of caster by 18.0%',1,1),
(18185,1002272,10,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18186,1002272,10,100,'Increases Max Power of caster by 20.0%',1,1),
(18187,1002258,10,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18188,1002258,10,100,'Increases Max Power of caster by 20.0%',1,1),
(18189,1002265,10,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18190,1002265,10,100,'Increases Max Power of caster by 20.0%',1,1),
(18191,1002268,10,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18192,1002268,10,100,'Increases Max Power of caster by 20.0%',1,1),
(18193,1002259,10,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18194,1002259,10,100,'Increases Max Power of caster by 20.0%',1,1),
(18195,1002266,10,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18196,1002266,10,100,'Increases Max Power of caster by 20.0%',1,1),
(18197,1002262,10,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18198,1002262,10,100,'Increases Max Power of caster by 20.0%',1,1),
(18199,1002264,10,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18200,1002264,10,100,'Increases Max Power of caster by 20.0%',1,1),
(18201,1002271,10,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18202,1002271,10,100,'Increases Max Power of caster by 20.0%',1,1),
(18203,1002261,10,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18204,1002261,10,100,'Increases Max Power of caster by 20.0%',1,1),
(18205,1002255,10,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18206,1002255,10,100,'Increases Max Power of caster by 20.0%',1,1),
(18207,1002263,10,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18208,1002263,10,100,'Increases Max Power of caster by 20.0%',1,1),
(18209,1002256,10,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18210,1002256,10,100,'Increases Max Power of caster by 20.0%',1,1),
(18211,1002273,10,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18212,1002273,10,100,'Increases Max Power of caster by 20.0%',1,1),
(18213,1002269,10,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18214,1002269,10,100,'Increases Max Power of caster by 20.0%',1,1),
(18215,1002257,10,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18216,1002257,10,100,'Increases Max Power of caster by 20.0%',1,1),
(18217,1002260,10,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18218,1002260,10,100,'Increases Max Power of caster by 20.0%',1,1),
(18219,1002270,10,100,'Applies Presence of Mind to qualifying pets.',0,0),
(18220,1002270,10,100,'Increases Max Power of caster by 20.0%',1,1),
(18221,1002274,1,100,'Increases INT of caster by 2.5',0,0),
(18222,1002274,2,100,'Increases INT of caster by 2.5',0,0),
(18223,1002276,1,100,'Increases Potency of caster by 1.3%',0,0),
(18224,1002276,2,100,'Increases Potency of caster by 2.5%',0,0),
(18225,1002276,3,100,'Increases Potency of caster by 3.7%',0,0),
(18226,1002276,4,100,'Increases Potency of caster by 5.0%',0,0),
(18227,1002276,5,100,'Increases Potency of caster by 6.2%',0,0),
(18228,1002276,6,100,'Increases Potency of caster by 7.5%',0,0),
(18229,1002276,7,100,'Increases Potency of caster by 8.8%',0,0),
(18230,1002276,8,100,'Increases Potency of caster by 10.0%',0,0),
(18231,1002277,1,100,'When using a Primal ability. this spell will cast Feral Rampage I on target.  Lasts for 15.0 seconds.  ',0,0),
(18232,1002277,1,100,'Using a Primal advances this ability to level 2.',1,1),
(18233,1002277,1,100,'Increases Crit Bonus of caster by 10.0%',1,2),
(18234,1002277,1,100,'Increases the base damage (before modifications) of all combat arts by 3%',1,3),
(18235,1002277,1,100,'Drains Savagery at a high rate when active',1,4),
(18236,1002278,1,100,'Increases Mitigation of caster vs noxious damage by 0',0,0),
(18237,1002278,2,100,'Increases Mitigation of caster vs noxious damage by 0',0,0),
(18238,1002279,1,100,'Increases the durability gain by 2 every round.',0,0),
(18239,1002279,2,100,'Increases the durability gain by 2 every round.',0,0),
(18240,1002280,2,100,'Allows caster to breathe under water',0,0),
(18241,1002281,1,100,'Increases Crushing and Slashing of caster by 5.0',0,0),
(18242,1002281,2,100,'Increases Crushing and Slashing of caster by 5.0',0,0),
(18243,1002282,1,100,'Reduces the power cost of all Sage reaction arts by 10%',0,0),
(18244,1002282,2,100,'Reduces the power cost of all Sage reaction arts by 10%',0,0),
(18245,1002283,1,100,'Increases the duration of alchemist made potions by 5%.  This does not apply to heal or power over time potions.',0,0),
(18246,1002284,1,100,'Improves the heal amount by 3%.',0,0),
(18247,1002284,1,100,'Improves the critical amount by 4%.',0,1),
(18248,1002284,2,100,'Improves the heal amount by 6%.',0,0),
(18249,1002284,2,100,'Improves the critical amount by 8%.',0,1),
(18250,1002284,3,100,'Improves the heal amount by 9%.',0,0),
(18251,1002284,3,100,'Improves the critical amount by 12%.',0,1),
(18252,1002284,4,100,'Improves the heal amount by 12%.',0,0),
(18253,1002284,4,100,'Improves the critical amount by 16%.',0,1),
(18254,1002284,5,100,'Improves the heal amount by 15%.',0,0),
(18255,1002284,5,100,'Improves the critical amount by 20%.',0,1),
(18256,1002285,1,100,'Following the use of Seafury Thrust, the group''s threat with their target will be reduced by 10% of the physical damage they inflict. Fighters without Subtle Strikes active will have their threat increased instead.',0,0),
(18257,1002285,2,100,'Following the use of Seafury Thrust, the group''s threat with their target will be reduced by 20% of the physical damage they inflict. Fighters without Subtle Strikes active will have their threat increased instead.',0,0),
(18258,1002285,3,100,'Following the use of Seafury Thrust, the group''s threat with their target will be reduced by 30% of the physical damage they inflict. Fighters without Subtle Strikes active will have their threat increased instead.',0,0),
(18259,1002286,1,100,'Increases STR of caster by 8.0',0,0),
(18260,1002287,1,100,'Increases the base and critical damage of disease based spells by 2%',0,0),
(18261,1002287,2,100,'Increases the base and critical damage of disease based spells by 4%',0,0),
(18262,1002287,3,100,'Increases the base and critical damage of disease based spells by 6%',0,0),
(18263,1002287,4,100,'Increases the base and critical damage of disease based spells by 8%',0,0),
(18264,1002287,5,100,'Increases the base and critical damage of disease based spells by 10%',0,0),
(18265,1002288,1,100,'Increases the base heal amount by 3%.',0,0),
(18266,1002288,1,100,'Adds a short duration damage reduction effect to Deathward.  The damage reduction increases as you spend more points.',0,1),
(18267,1002288,2,100,'Increases the base heal amount by 6%.',0,0),
(18268,1002288,2,100,'Adds a short duration damage reduction effect to Deathward.  The damage reduction increases as you spend more points.',0,1),
(18269,1002288,3,100,'Increases the base heal amount by 9%.',0,0),
(18270,1002288,3,100,'Adds a short duration damage reduction effect to Deathward.  The damage reduction increases as you spend more points.',0,1),
(18271,1002288,4,100,'Increases the base heal amount by 12%.',0,0),
(18272,1002288,4,100,'Adds a short duration damage reduction effect to Deathward.  The damage reduction increases as you spend more points.',0,1),
(18273,1002288,5,100,'Increases the base heal amount by 15%.',0,0),
(18274,1002288,5,100,'Adds a short duration damage reduction effect to Deathward.  The damage reduction increases as you spend more points.',0,1),
(18275,1002289,1,100,'Improves the base and critical protection by 2%',0,0),
(18276,1002289,2,100,'Improves the base and critical protection by 4%',0,0),
(18277,1002289,3,100,'Improves the base and critical protection by 6%',0,0),
(18278,1002289,4,100,'Improves the base and critical protection by 8%',0,0),
(18279,1002289,5,100,'Improves the base and critical protection by 10%',0,0),
(18280,1002290,1,100,'Hunker Down and Battle Cry will reduce incoming damage by 1%',0,0),
(18281,1002290,2,100,'Hunker Down and Battle Cry will reduce incoming damage by 2%',0,0),
(18282,1002290,3,100,'Hunker Down and Battle Cry will reduce incoming damage by 3%',0,0),
(18283,1002291,1,100,'The target will take 4% less magical damage when Force of Nature is active.',0,0),
(18284,1002291,2,100,'The target will take 8% less magical damage when Force of Nature is active.',0,0),
(18285,1002291,3,100,'The target will take 12% less magical damage when Force of Nature is active.',0,0),
(18286,1002292,1,100,'Increases Mitigation of caster vs elemental damage by 3',0,0),
(18287,1002292,2,100,'Increases Mitigation of caster vs elemental damage by 3',0,0),
(18288,1002293,1,100,'Improves the physical mitigation by 3%.',0,0),
(18289,1002293,2,100,'Improves the physical mitigation by 6%.',0,0),
(18290,1002293,3,100,'Improves the physical mitigation by 9%.',0,0),
(18291,1002293,4,100,'Improves the physical mitigation by 12%.',0,0),
(18292,1002293,5,100,'Improves the physical mitigation by 15%.',0,0),
(18293,1002294,1,100,'Decreases falling damage taken by caster by 15.0%',0,0),
(18294,1002294,2,100,'Decreases falling damage taken by caster by 15.0%',0,0),
(18295,1002295,1,100,'Increases AGI of caster by 7.0',0,0),
(18296,1002296,1,100,'Battle Cry has a 7.5% chance to finish the reuse of Defensive Minded.',0,0),
(18297,1002296,2,100,'Battle Cry has a 15% chance to finish the reuse of Defensive Minded.',0,0),
(18298,1002297,1,100,'Increases Defense of caster by 4.9',0,0),
(18299,1002297,2,100,'Increases Defense of caster by 9.8',0,0),
(18300,1002297,3,100,'Increases Defense of caster by 14.7',0,0),
(18301,1002297,4,100,'Increases Defense of caster by 19.6',0,0),
(18302,1002297,5,100,'Increases Defense of caster by 24.4',0,0),
(18303,1002297,6,100,'Increases Defense of caster by 29.3',0,0),
(18304,1002297,7,100,'Increases Defense of caster by 34.2',0,0),
(18305,1002297,8,100,'Increases Defense of caster by 39.1',0,0),
(18306,1002297,9,100,'Increases Defense of caster by 44.0',0,0),
(18307,1002297,10,100,'Increases Defense of caster by 48.9',0,0),
(18308,1002298,1,100,'Increases WIS of caster by 8.0',0,0),
(18309,1002299,1,100,'Improves the base damage of the coercer''s professional spells by 5%.',0,0),
(18310,1002299,1,100,'Improves the critical damage of the coercer''s professional spells by 5%',0,1),
(18311,1002301,1,100,'Increases Piercing and Ranged of caster by 5.0',0,0),
(18312,1002301,2,100,'Increases Piercing and Ranged of caster by 5.0',0,0),
(18313,1002302,1,100,'Improves the base damage by 6%.',0,0),
(18314,1002302,2,100,'Improves the base damage by 12%.',0,0),
(18315,1002302,3,100,'Improves the base damage by 18%.',0,0),
(18316,1002302,4,100,'Improves the base damage by 24%.',0,0),
(18317,1002302,5,100,'Improves the base damage by 30%.',0,0),
(18318,1002303,1,100,'Adds damage to Evade.',0,0),
(18319,1002303,2,100,'Adds damage to Evade.',0,0),
(18320,1002303,3,100,'Adds damage to Evade.',0,0),
(18321,1002303,4,100,'Adds damage to Evade.',0,0),
(18322,1002303,5,100,'Adds damage to Evade.',0,0),
(18323,1002303,6,100,'Adds damage to Evade.',0,0),
(18324,1002303,7,100,'Adds damage to Evade.',0,0),
(18325,1002303,8,100,'Adds damage to Evade.',0,0),
(18326,1002303,9,100,'Adds damage to Evade.',0,0),
(18327,1002303,10,100,'Adds damage to Evade.',0,0),
(18328,1002304,1,100,'Heals the nearest of the Inquisitor''s allies whenever a Punishment spell triggers an effect',0,0),
(18329,1002305,1,100,'Improves the base damage of Fanatical Devotion by 25%.',0,0),
(18330,1002305,1,100,'On a healing spell cast this spell has a 15% chance to cast Fanatical Devotion on the group.  Lasts for 10.0 seconds.  ',0,1),
(18331,1002305,1,100,'On any combat or spell hit this spell will cast Fanatical Devotion on target of attack.  ',1,2),
(18332,1002305,1,100,'Inflicts 206 - 251 divine damage on target',2,3),
(18333,1002305,5,100,'Improves the base damage of Fanatical Devotion by 25%.',0,0),
(18334,1002305,5,100,'On a healing spell cast this spell has a 15% chance to cast Fanatical Devotion on the group.  Lasts for 10.0 seconds.  ',0,1),
(18335,1002305,5,100,'On any combat or spell hit this spell will cast Fanatical Devotion on target of attack.  ',1,2),
(18336,1002305,5,100,'Inflicts 4 - 5 divine damage on target',2,3),
(18337,1002306,1,100,'Reduces the recast of Serenity by 10 seconds.',0,0),
(18338,1002306,2,100,'Reduces the recast of Serenity by 20 seconds.',0,0),
(18339,1002306,3,100,'Reduces the recast of Serenity by 30 seconds.',0,0),
(18340,1002306,4,100,'Reduces the recast of Serenity by 40 seconds.',0,0),
(18341,1002306,5,100,'Reduces the recast of Serenity by 50 seconds.',0,0),
(18342,1002306,6,100,'Reduces the recast of Serenity by 60 seconds.',0,0),
(18343,1002306,7,100,'Reduces the recast of Serenity by 70 seconds.',0,0),
(18344,1002306,8,100,'Reduces the recast of Serenity by 80 seconds.',0,0),
(18345,1002306,8,100,'Makes caster immune to stifle effects.',0,1),
(18346,1002307,2,100,'Reduces the base reuse of Clearwater Current to 20 seconds.',0,0),
(18347,1002307,3,100,'Reduces the base reuse of Clearwater Current to 10 seconds.',0,0),
(18348,1002308,1,100,'Improves the base and critical healing by 2%',0,0),
(18349,1002308,2,100,'Improves the base and critical healing by 4%',0,0),
(18350,1002308,3,100,'Improves the base and critical healing by 6%',0,0),
(18351,1002308,4,100,'Improves the base and critical healing by 8%',0,0),
(18352,1002308,5,100,'Improves the base and critical healing by 10%',0,0),
(18353,1002309,1,100,'Sanctify will apply a damage shield to the target that can trigger once every 3 seconds. The damage is attributed to the templar.',0,0),
(18354,1002309,2,100,'Sanctify will apply a damage shield to the target that can trigger once every 3 seconds. The damage is attributed to the templar.',0,0),
(18355,1002309,3,100,'Sanctify will apply a damage shield to the target that can trigger once every 3 seconds. The damage is attributed to the templar.',0,0),
(18356,1002310,1,100,'Increases Mitigation of caster vs noxious damage by 0',0,0),
(18357,1002310,2,100,'Increases Mitigation of caster vs noxious damage by 0',0,0),
(18358,1002311,1,100,'Increases WIS of caster by 2.5',0,0),
(18359,1002311,2,100,'Increases WIS of caster by 2.5',0,0),
(18360,1002312,1,100,'Reduces the power cost of all Sage reaction arts by 10%',0,0),
(18361,1002312,2,100,'Reduces the power cost of all Sage reaction arts by 10%',0,0),
(18362,1002313,1,100,'Increases Mitigation of caster vs physical damage by 3',0,0),
(18363,1002313,2,100,'Increases Mitigation of caster vs physical damage by 3',0,0),
(18364,1002314,1,100,'Increases the amount of progress gained by 2.0%.',0,0),
(18365,1002314,2,100,'Increases the amount of progress gained by 2.0%.',0,0),
(18366,1002315,1,100,'Increases the casting speed of hostile spells by 2%.',0,0),
(18367,1002315,2,100,'Increases the casting speed of hostile spells by 2%.',0,0),
(18368,1002316,1,100,'Reduces the initial power cost of sprinting by 33%.',0,0),
(18369,1002316,1,100,'Increases your speed while sprinting by 10.',0,1),
(18370,1002316,2,100,'Reduces the initial power cost of sprinting by 33%.',0,0),
(18371,1002316,2,100,'Increases your speed while sprinting by 10.',0,1),
(18372,1002317,1,100,'For every 20 Potency, the caster gains 1 Crit Bonus.',0,0),
(18373,1002318,1,100,'Increases Health Regen of caster by 9.0',0,0),
(18374,1002318,2,100,'Increases Health Regen of caster by 9.0',0,0),
(18375,1002319,1,100,'Increases Health Regen of caster by 9.0',0,0),
(18376,1002319,2,100,'Increases Health Regen of caster by 9.0',0,0),
(18377,1002320,1,100,'Heals caster for 1.0% of max health instantly and every 3 seconds',0,0),
(18378,1002320,1,100,'This effect cannot be critically applied.',1,1),
(18379,1002320,1,100,'Increases power of caster by 1.0% instantly and every 3 seconds',0,2),
(18380,1002320,1,100,'This effect cannot be critically applied.',1,3),
(18381,1002320,1,100,'Suspends when the fighter is engaged in combat',0,4),
(18382,1002320,1,100,'Cannot be modified except by direct means',0,5),
(18383,1002320,2,100,'Heals caster for 2.0% of max health instantly and every 3 seconds',0,0),
(18384,1002320,2,100,'This effect cannot be critically applied.',1,1),
(18385,1002320,2,100,'Increases power of caster by 2.0% instantly and every 3 seconds',0,2),
(18386,1002320,2,100,'This effect cannot be critically applied.',1,3),
(18387,1002320,2,100,'Suspends when the fighter is engaged in combat',0,4),
(18388,1002320,2,100,'Cannot be modified except by direct means',0,5),
(18389,1002320,3,100,'Heals caster for 3.0% of max health instantly and every 3 seconds',0,0),
(18390,1002320,3,100,'This effect cannot be critically applied.',1,1),
(18391,1002320,3,100,'Increases power of caster by 3.0% instantly and every 3 seconds',0,2),
(18392,1002320,3,100,'This effect cannot be critically applied.',1,3),
(18393,1002320,3,100,'Suspends when the fighter is engaged in combat',0,4),
(18394,1002320,3,100,'Cannot be modified except by direct means',0,5),
(18395,1002320,4,100,'Heals caster for 4.0% of max health instantly and every 3 seconds',0,0),
(18396,1002320,4,100,'This effect cannot be critically applied.',1,1),
(18397,1002320,4,100,'Increases power of caster by 4.0% instantly and every 3 seconds',0,2),
(18398,1002320,4,100,'This effect cannot be critically applied.',1,3),
(18399,1002320,4,100,'Suspends when the fighter is engaged in combat',0,4),
(18400,1002320,4,100,'Cannot be modified except by direct means',0,5),
(18401,1002320,5,100,'Heals caster for 5.0% of max health instantly and every 3 seconds',0,0),
(18402,1002320,5,100,'This effect cannot be critically applied.',1,1),
(18403,1002320,5,100,'Increases power of caster by 5.0% instantly and every 3 seconds',0,2),
(18404,1002320,5,100,'This effect cannot be critically applied.',1,3),
(18405,1002320,5,100,'Suspends when the fighter is engaged in combat',0,4),
(18406,1002320,5,100,'Cannot be modified except by direct means',0,5),
(18407,1002320,6,100,'Heals caster for 6.0% of max health instantly and every 3 seconds',0,0),
(18408,1002320,6,100,'This effect cannot be critically applied.',1,1),
(18409,1002320,6,100,'Increases power of caster by 6.0% instantly and every 3 seconds',0,2),
(18410,1002320,6,100,'This effect cannot be critically applied.',1,3),
(18411,1002320,6,100,'Suspends when the fighter is engaged in combat',0,4),
(18412,1002320,6,100,'Cannot be modified except by direct means',0,5),
(18413,1002320,7,100,'Heals caster for 7.0% of max health instantly and every 3 seconds',0,0),
(18414,1002320,7,100,'This effect cannot be critically applied.',1,1),
(18415,1002320,7,100,'Increases power of caster by 7.0% instantly and every 3 seconds',0,2),
(18416,1002320,7,100,'This effect cannot be critically applied.',1,3),
(18417,1002320,7,100,'Suspends when the fighter is engaged in combat',0,4),
(18418,1002320,7,100,'Cannot be modified except by direct means',0,5),
(18419,1002320,8,100,'Heals caster for 8.0% of max health instantly and every 3 seconds',0,0),
(18420,1002320,8,100,'This effect cannot be critically applied.',1,1),
(18421,1002320,8,100,'Increases power of caster by 8.0% instantly and every 3 seconds',0,2),
(18422,1002320,8,100,'This effect cannot be critically applied.',1,3),
(18423,1002320,8,100,'Suspends when the fighter is engaged in combat',0,4),
(18424,1002320,8,100,'Cannot be modified except by direct means',0,5),
(18425,1002320,9,100,'Heals caster for 9.0% of max health instantly and every 3 seconds',0,0),
(18426,1002320,9,100,'This effect cannot be critically applied.',1,1),
(18427,1002320,9,100,'Increases power of caster by 9.0% instantly and every 3 seconds',0,2),
(18428,1002320,9,100,'This effect cannot be critically applied.',1,3),
(18429,1002320,9,100,'Suspends when the fighter is engaged in combat',0,4),
(18430,1002320,9,100,'Cannot be modified except by direct means',0,5),
(18431,1002320,10,100,'Heals caster for 10.0% of max health instantly and every 3 seconds',0,0),
(18432,1002320,10,100,'This effect cannot be critically applied.',1,1),
(18433,1002320,10,100,'Increases power of caster by 10.0% instantly and every 3 seconds',0,2),
(18434,1002320,10,100,'This effect cannot be critically applied.',1,3),
(18435,1002320,10,100,'Suspends when the fighter is engaged in combat',0,4),
(18436,1002320,10,100,'Cannot be modified except by direct means',0,5),
(18437,1002321,1,100,'Increases Ability Casting Speed of caster by 2.5%',0,0),
(18438,1002321,2,100,'Increases Ability Casting Speed of caster by 5.0%',0,0),
(18439,1002321,3,100,'Increases Ability Casting Speed of caster by 7.5%',0,0),
(18440,1002321,4,100,'Increases Ability Casting Speed of caster by 10.0%',0,0),
(18441,1002321,5,100,'Increases Ability Casting Speed of caster by 12.5%',0,0),
(18442,1002321,6,100,'Increases Ability Casting Speed of caster by 15.0%',0,0),
(18443,1002321,7,100,'Increases Ability Casting Speed of caster by 17.5%',0,0),
(18444,1002321,8,100,'Increases Ability Casting Speed of caster by 20.0%',0,0),
(18445,1002321,9,100,'Increases Ability Casting Speed of caster by 22.5%',0,0),
(18446,1002321,10,100,'Increases Ability Casting Speed of caster by 25.0%',0,0),
(18447,1002322,1,100,'Increases INT of caster by 2.5',0,0),
(18448,1002323,1,100,'Improves the casting speed of beneficial spells by 2%.',0,0),
(18449,1002323,2,100,'Improves the casting speed of beneficial spells by 2%.',0,0),
(18450,1002322,2,100,'Increases INT of caster by 2.5',0,0),
(18451,1002325,1,100,'Improves base auto-attack multiplier of caster by 0.03. Does not apply to spell weapons.',0,0),
(18452,1002325,1,100,'Increases Damage Per Second of caster by 4.8',0,1),
(18453,1002325,1,100,'Increases Attack Speed of caster by 4.8',0,2),
(18454,1002325,1,100,'Increases Multi Attack Chance of caster by 4.8',0,3),
(18455,1002325,2,100,'Improves base auto-attack multiplier of caster by 0.06. Does not apply to spell weapons.',0,0),
(18456,1002325,2,100,'Increases Damage Per Second of caster by 9.6',0,1),
(18457,1002325,2,100,'Increases Attack Speed of caster by 9.6',0,2),
(18458,1002325,2,100,'Increases Multi Attack Chance of caster by 9.6',0,3),
(18459,1002325,3,100,'Improves base auto-attack multiplier of caster by 0.09. Does not apply to spell weapons.',0,0),
(18460,1002325,3,100,'Increases Damage Per Second of caster by 14.4',0,1),
(18461,1002325,3,100,'Increases Attack Speed of caster by 14.4',0,2),
(18462,1002325,3,100,'Increases Multi Attack Chance of caster by 14.4',0,3),
(18463,1002325,4,100,'Improves base auto-attack multiplier of caster by 0.12. Does not apply to spell weapons.',0,0),
(18464,1002325,4,100,'Increases DPS of caster by 19.2',0,1),
(18465,1002325,4,100,'Increases Haste of caster by 19.2',0,2),
(18466,1002325,4,100,'Increases Multi Attack of caster by 19.2',0,3),
(18467,1002325,5,100,'Improves base auto-attack multiplier of caster by 0.15. Does not apply to spell weapons.',0,0),
(18468,1002325,5,100,'Increases DPS of caster by 24.0',0,1),
(18469,1002325,5,100,'Increases Haste of caster by 24.0',0,2),
(18470,1002325,5,100,'Increases Multi Attack of caster by 24.0',0,3),
(18471,1002325,6,100,'Improves base auto-attack multiplier of caster by 0.18. Does not apply to spell weapons.',0,0),
(18472,1002325,6,100,'Increases DPS of caster by 28.8',0,1),
(18473,1002325,6,100,'Increases Haste of caster by 28.8',0,2),
(18474,1002325,6,100,'Increases Multi Attack of caster by 28.8',0,3),
(18475,1002325,7,100,'Improves base auto-attack multiplier of caster by 0.21. Does not apply to spell weapons.',0,0),
(18476,1002325,7,100,'Increases Damage Per Second of caster by 33.6',0,1),
(18477,1002325,7,100,'Increases Attack Speed of caster by 33.6',0,2),
(18478,1002325,7,100,'Increases Multi Attack Chance of caster by 33.6',0,3),
(18479,1002325,8,100,'Improves base auto-attack multiplier of caster by 0.24. Does not apply to spell weapons.',0,0),
(18480,1002325,8,100,'Increases DPS of caster by 38.4',0,1),
(18481,1002325,8,100,'Increases Haste of caster by 38.4',0,2),
(18482,1002325,8,100,'Increases Multi Attack of caster by 38.4',0,3),
(18483,1002325,9,100,'Improves base auto-attack multiplier of caster by 0.27. Does not apply to spell weapons.',0,0),
(18484,1002325,9,100,'Increases Damage Per Second of caster by 43.2',0,1),
(18485,1002325,9,100,'Increases Attack Speed of caster by 43.2',0,2),
(18486,1002325,9,100,'Increases Multi Attack Chance of caster by 43.2',0,3),
(18487,1002325,10,100,'Improves base auto-attack multiplier of caster by 0.30. Does not apply to spell weapons.',0,0),
(18488,1002325,10,100,'Increases DPS of caster by 48.0',0,1),
(18489,1002325,10,100,'Increases Haste of caster by 48.0',0,2),
(18490,1002325,10,100,'Increases Multi Attack of caster by 48.0',0,3),
(18491,1002326,1,100,'Increases Crit Chance of caster by 1.0',0,0),
(18492,1002326,1,100,'Increases caster''s chance to block by 1.0%',0,1),
(18493,1002326,2,100,'Increases Crit Chance of caster by 1.0',0,0),
(18494,1002326,2,100,'Increases caster''s chance to block by 1.0%',0,1),
(18495,1002327,1,100,'Increases Power Regen of caster by 6.0',0,0),
(18496,1002327,2,100,'Increases Power Regen of caster by 6.0',0,0),
(18497,1002328,1,100,'Inflicts additional damage when Pulverize triggers if the bruiser is behind or flanking their target. Only applies to the target the bruiser is actively attacking.',0,0),
(18498,1002328,2,100,'Inflicts additional damage when Pulverize triggers if the bruiser is behind or flanking their target. Only applies to the target the bruiser is actively attacking.',0,0),
(18499,1002328,3,100,'Inflicts additional damage when Pulverize triggers if the bruiser is behind or flanking their target. Only applies to the target the bruiser is actively attacking.',0,0),
(18500,1002329,1,100,'Increases Crit Bonus of caster by 1%',0,0),
(18501,1002329,2,100,'Increases Crit Bonus of caster by 2%',0,0),
(18502,1002329,3,100,'Increases Crit Bonus of caster by 3%',0,0),
(18503,1002329,4,100,'Increases Crit Bonus of caster by 4%',0,0),
(18504,1002329,5,100,'Increases Crit Bonus of caster by 5%',0,0),
(18505,1002330,1,100,'Improves the casting speed of hostile spells by 2%.',0,0),
(18506,1002330,2,100,'Improves the casting speed of hostile spells by 4%.',0,0),
(18507,1002330,3,100,'Improves the casting speed of hostile spells by 6%.',0,0),
(18508,1002330,4,100,'Improves the casting speed of hostile spells by 8%.',0,0),
(18509,1002330,5,100,'Improves the casting speed of hostile spells by 10%.',0,0),
(18510,1002330,6,100,'Improves the casting speed of hostile spells by 12%.',0,0),
(18511,1002330,7,100,'Improves the casting speed of hostile spells by 14%.',0,0),
(18512,1002330,8,100,'Improves the casting speed of hostile spells by 16%.',0,0),
(18513,1002331,1,100,'Increases amount of time the berserker or their allies have to strike a death blow to prevent the penalty of Rampager''s Resiliance by 15 seconds.',0,0),
(18514,1002331,2,100,'Increases amount of time the berserker or their allies have to strike a death blow to prevent the penalty of Rampager''s Resiliance by 30 seconds.',0,0),
(18515,1002331,3,100,'Increases amount of time the berserker or their allies have to strike a death blow to prevent the penalty of Rampager''s Resiliance by 45 seconds.',0,0),
(18516,1002331,3,100,'The berserker will absorb all damage for a short duration when Rampager''s Resilience triggers.',0,1),
(18517,1002332,1,100,'Wall of Rage and Battle Chaos will reduce incoming damage by 1%',0,0),
(18518,1002332,2,100,'Wall of Rage and Battle Chaos will reduce incoming damage by 2%',0,0),
(18519,1002332,3,100,'Wall of Rage and Battle Chaos will reduce incoming damage by 3%',0,0),
(18520,1002333,1,100,'Lowers the duration of Clearwater Current by 4 seconds.',0,0),
(18521,1002333,2,100,'Lowers the duration of Clearwater Current by 8 seconds.',0,0),
(18522,1002333,3,100,'Lowers the duration of Clearwater Current by 12 seconds.',0,0),
(18523,1002334,1,100,'Improves the damage of Seeking Cascade by 34%. This applies before potency.',0,0),
(18524,1002334,2,100,'Improves the damage of Seeking Cascade by 34%. This applies before potency.',0,0),
(18525,1002334,3,100,'Improves the damage of Seeking Cascade by 102%. This applies before potency.',0,0),
(18526,1002335,1,100,'Improves the base damage by 4%.',0,0),
(18527,1002335,2,100,'Improves the base damage by 8%.',0,0),
(18528,1002335,3,100,'Improves the base damage by 12%.',0,0),
(18529,1002335,4,100,'Improves the base damage by 16%.',0,0),
(18530,1002335,5,100,'Improves the base damage by 20%.',0,0),
(18531,1002336,1,100,'Caster has a 5.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(18532,1002336,2,100,'Caster has a 10.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(18533,1002336,3,100,'Caster has a 15.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(18534,1002336,4,100,'Caster has a 20.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(18535,1002336,5,100,'Caster has a 25.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(18536,1002337,1,100,'Increases Ability Casting Speed of caster by 1.5%',0,0),
(18537,1002337,2,100,'Increases Ability Casting Speed of caster by 3.0%',0,0),
(18538,1002337,3,100,'Increases Ability Casting Speed of caster by 4.5%',0,0),
(18539,1002337,4,100,'Increases Ability Casting Speed of caster by 6.0%',0,0),
(18540,1002337,5,100,'Increases Ability Casting Speed of caster by 7.5%',0,0),
(18541,1002337,6,100,'Increases Ability Casting Speed of caster by 9.0%',0,0),
(18542,1002337,7,100,'Increases Ability Casting Speed of caster by 10.5%',0,0),
(18543,1002337,8,100,'Increases Ability Casting Speed of caster by 12.0%',0,0),
(18544,1002337,9,100,'Increases Ability Casting Speed of caster by 13.5%',0,0),
(18545,1002337,10,100,'Increases Ability Casting Speed of caster by 15.0%',0,0),
(18546,1002338,1,100,'Increases Max Health of caster by 3.0%',0,0),
(18547,1002338,2,100,'Increases Max Health of caster by 3.0%',0,0),
(18548,1002339,1,100,'Increases Defense, Parry and Deflection of caster by 5.0',0,0),
(18549,1002339,2,100,'Increases Defense, Parry and Deflection of caster by 5.0',0,0),
(18550,1002340,1,100,'Increases Metal Shaping of caster by 5.0',0,0),
(18551,1002340,2,100,'Increases Metal Shaping of caster by 5.0',0,0),
(18552,1002341,1,100,'Improves the casting speed of beneficial spells by 2%.',0,0),
(18553,1002341,2,100,'Improves the casting speed of beneficial spells by 2%.',0,0),
(18554,1002342,1,100,'Improves the duration by 1 second(s).',0,0),
(18555,1002342,2,100,'Improves the duration by 2 second(s).',0,0),
(18556,1002342,3,100,'Improves the duration by 3 second(s).',0,0),
(18557,1002342,4,100,'Improves the duration by 4 second(s).',0,0),
(18558,1002342,5,100,'Improves the duration by 5 second(s).',0,0),
(18559,1002343,1,100,'Adds an additional effect which increases the Ability Modifier of the group.',0,0),
(18560,1002343,2,100,'Adds an additional effect which increases the Ability Modifier of the group.',0,0),
(18561,1002343,3,100,'Adds an additional effect which increases the Ability Modifier of the group.',0,0),
(18562,1002343,4,100,'Adds an additional effect which increases the Ability Modifier of the group.',0,0),
(18563,1002343,5,100,'Adds an additional effect which increases the Ability Modifier of the group.',0,0),
(18564,1002344,1,100,'On any combat or spell hit this spell may cast Rallying Drive on target.  Triggers about 0.2 times per minute. ',0,0),
(18565,1002344,1,100,'Dispels 115 levels of any hostile effects on caster',1,1),
(18566,1002344,2,100,'On any combat or spell hit this spell may cast Rallying Drive on target.  Triggers about 0.4 times per minute. ',0,0),
(18567,1002344,2,100,'Dispels 110 levels of any hostile effects on caster',1,1),
(18568,1002344,3,100,'On any combat or spell hit this spell may cast Rallying Drive on target.  Triggers about 0.6 times per minute. ',0,0),
(18569,1002344,3,100,'Dispels 115 levels of any hostile effects on caster',1,1),
(18570,1002344,4,100,'On any combat or spell hit this spell may cast Rallying Drive on target.  Triggers about 0.8 times per minute. ',0,0),
(18571,1002344,4,100,'Dispels 110 levels of any hostile effects on caster',1,1),
(18572,1002344,5,100,'On any combat or spell hit this spell may cast Rallying Drive on target.  Triggers about 1.0 times per minute. ',0,0),
(18573,1002344,5,100,'Dispels 110 levels of any hostile effects on caster',1,1),
(18574,1002344,6,100,'On any combat or spell hit this spell may cast Rallying Drive on target.  Triggers about 1.2 times per minute. ',0,0),
(18575,1002344,6,100,'Dispels 115 levels of any hostile effects on caster',1,1),
(18576,1002344,7,100,'On any combat or spell hit this spell may cast Rallying Drive on target.  Triggers about 1.4 times per minute. ',0,0),
(18577,1002344,7,100,'Dispels 110 levels of any hostile effects on caster',1,1),
(18578,1002344,8,100,'On any combat or spell hit this spell may cast Rallying Drive on target.  Triggers about 1.6 times per minute. ',0,0),
(18579,1002344,8,100,'Dispels 115 levels of any hostile effects on caster',1,1),
(18580,1002344,9,100,'On any combat or spell hit this spell may cast Rallying Drive on target.  Triggers about 1.8 times per minute. ',0,0),
(18581,1002344,9,100,'Dispels 115 levels of any hostile effects on caster',1,1),
(18582,1002344,10,100,'On any combat or spell hit this spell may cast Rallying Drive on target.  Triggers about 2.0 times per minute. ',0,0),
(18583,1002344,10,100,'Dispels 110 levels of any hostile effects on caster',1,1),
(18584,1002345,1,100,'Improves the base damage before modifications of Utter Destruction, Jeering Onslaught, Insolence, Berserker Onslaught, Partisan Cleave and Bloodbath by 20%.',0,0),
(18585,1002345,2,100,'Improves the base damage before modifications of Utter Destruction, Jeering Onslaught, Insolence, Berserker Onslaught, Partisan Cleave and Bloodbath by 40%.',0,0),
(18586,1002345,3,100,'Improves the base damage before modifications of Utter Destruction, Jeering Onslaught, Insolence, Berserker Onslaught, Partisan Cleave and Bloodbath by 60%.',0,0),
(18587,1002346,1,100,'When the berserker falls below 75%, 50% and 25% they gain 5% Damage Reduction per increment. Each threshold can only trigger once every 15 seconds.',0,0),
(18588,1002346,1,100,'Cannot be modified except by direct means',0,1),
(18589,1002347,1,100,'Improves maximum health of the berserker after Rampager''s Resilience triggers by 5%',0,0),
(18590,1002347,1,100,'Improves the riposte chance of the berserker after Rampager''s Resilience triggers by 2%',0,1),
(18591,1002347,2,100,'Improves maximum health of the berserker after Rampager''s Resilience triggers by 10%',0,0),
(18592,1002347,2,100,'Improves the riposte chance of the berserker after Rampager''s Resilience triggers by 4%',0,1),
(18593,1002347,3,100,'Improves maximum health of the berserker after Rampager''s Resilience triggers by 15%',0,0),
(18594,1002347,3,100,'Improves the riposte chance of the berserker after Rampager''s Resilience triggers by 6%',0,1),
(18595,1002348,1,100,'Increases Weapon Damage Bonus of the berserker by 12 when Rampaging Resiliance is cast.',0,0),
(18596,1002348,2,100,'Increases Weapon Damage Bonus of the berserker by 24 when Rampaging Resiliance is cast.',0,0),
(18597,1002348,3,100,'Increases Weapon Damage Bonus of the berserker by 36 when Rampaging Resiliance is cast.',0,0),
(18598,1002349,1,100,'Adds an additional 3% to the base and critical damage amounts.',0,0),
(18599,1002349,2,100,'Adds an additional 6% to the base and critical damage amounts.',0,0),
(18600,1002349,3,100,'Adds an additional 9% to the base and critical damage amounts.',0,0),
(18601,1002349,4,100,'Adds an additional 12% to the base and critical damage amounts.',0,0),
(18602,1002349,5,100,'Adds an additional 15% to the base and critical damage amounts.',0,0),
(18603,1002350,1,100,'Improves the base and critical damage of ranged combat arts by 10%.',0,0),
(18604,1002351,1,100,'Explosive Arrow has a 25% chance to clear the reuse of Arrow Barrage.',0,0),
(18605,1002351,2,100,'Explosive Arrow has a 50% chance to clear the reuse of Arrow Barrage.',0,0),
(18606,1002352,1,100,'Adds 1 additional piercing damage strike to Repeated Salvo.',0,0),
(18607,1002352,2,100,'Adds 2 additional piercing damage strikes to Repeated Salvo.',0,0),
(18608,1002352,3,100,'Adds 3 additional piercing damage strikes to Repeated Salvo.',0,0),
(18609,1002353,1,100,'Increases progress by 2.0',0,0),
(18610,1002353,2,100,'Increases progress by 4.0',0,0),
(18611,1002353,3,100,'Increases progress by 6.0',0,0),
(18612,1002353,4,100,'Increases progress by 8.0',0,0),
(18613,1002353,5,100,'Increases progress by 10.0',0,0),
(18614,1002354,1,100,'Increases the duration of tradeskilled drinks by 10%.',0,0),
(18615,1002354,2,100,'Increases the duration of tradeskilled drinks by 10%.',0,0),
(18616,1002355,1,100,'Increases Multi Attack of caster by 2.0',0,0),
(18617,1002355,2,100,'Increases Multi Attack of caster by 2.0',0,0),
(18618,1002356,1,100,'Increases Ranged Weapon Range of caster by 16.0%',0,0),
(18619,1002356,1,100,'Increases Melee Weapon Range of caster by 80.0%',0,1),
(18620,1002356,1,100,'Increases range by 4',0,2),
(18621,1002356,1,100,'The effects of Reach are reduced by 66% in PVP combat.',0,3),
(18622,1002357,1,100,'Increases Ranged Weapon Range of caster by 5.0%',0,0),
(18623,1002357,1,100,'Increases Melee Weapon Range of caster by 30.0%',0,1),
(18624,1002357,1,100,'Increases range by 2',0,2),
(18625,1002357,1,100,'Must be engaged in pvp combat',0,3),
(18626,1002358,1,100,'Increases range by 5',0,0),
(18627,1002358,1,100,'Improves radius by 25%.',0,1),
(18628,1002359,1,100,'Increases trigger percentage of spells by 0.3%',0,0),
(18629,1002359,2,100,'Increases trigger percentage of spells by 0.6%',0,0),
(18630,1002359,3,100,'Increases trigger percentage of spells by 0.9%',0,0),
(18631,1002359,4,100,'Increases trigger percentage of spells by 1.2%',0,0),
(18632,1002359,5,100,'Increases trigger percentage of spells by 1.5%',0,0),
(18633,1002359,6,100,'Increases trigger percentage of spells by 1.8%',0,0),
(18634,1002359,7,100,'Increases trigger percentage of spells by 2.1%',0,0),
(18635,1002359,8,100,'Increases trigger percentage of spells by 2.4%',0,0),
(18636,1002359,9,100,'Increases trigger percentage of spells by 2.7%',0,0),
(18637,1002359,10,100,'Increases trigger percentage of spells by 3%',0,0),
(18638,1002360,1,100,'Increases the duration of Shaper''s Reaction by 10%',0,0),
(18639,1002360,2,100,'Increases the duration of Shaper''s Reaction by 20%',0,0),
(18640,1002360,3,100,'Increases the duration of Shaper''s Reaction by 30%',0,0),
(18641,1002360,4,100,'Increases the duration of Shaper''s Reaction by 40%',0,0),
(18642,1002360,5,100,'Increases the duration of Shaper''s Reaction by 50%',0,0),
(18643,1002360,6,100,'Increases the duration of Shaper''s Reaction by 60%',0,0),
(18644,1002360,7,100,'Increases the duration of Shaper''s Reaction by 70%',0,0),
(18645,1002360,8,100,'Increases the duration of Shaper''s Reaction by 80%',0,0),
(18646,1002360,9,100,'Increases the duration of Shaper''s Reaction by 90%',0,0),
(18647,1002360,10,100,'Increases the duration of Shaper''s Reaction by 100%',0,0),
(18648,1002360,10,100,'Reduces the internal cooldown of Shaper''s Reaction by 10 seconds',0,1),
(18649,1002361,1,100,'Adds 1 additional disease damage strike to Reaping.',0,0),
(18650,1002361,2,100,'Adds 2 additional disease damage strikes to Reaping.',0,0),
(18651,1002361,3,100,'Adds 3 additional disease damage strikes to Reaping.',0,0),
(18652,1002362,1,100,'Adds an additional dps debuff effect to the spell.',0,0),
(18653,1002362,2,100,'Adds an additional dps debuff effect to the spell.',0,0),
(18654,1002362,3,100,'Adds an additional dps debuff effect to the spell.',0,0),
(18655,1002362,4,100,'Adds an additional dps debuff effect to the spell.',0,0),
(18656,1002362,5,100,'Adds an additional dps debuff effect to the spell.',0,0),
(18657,1002363,1,100,'Increases Mitigation of caster vs arcane damage by 0',0,0),
(18658,1002363,2,100,'Increases Mitigation of caster vs arcane damage by 0',0,0),
(18659,1002364,2,100,'Lowers the reuse of Salvaging to 45 minutes.',0,0),
(18660,1002364,3,100,'Lowers the reuse of Salvaging to 30 minutes.',0,0),
(18661,1002364,4,100,'Lowers the reuse of Salvaging to 15 minutes.',0,0),
(18662,1002364,5,100,'Removes the reuse time of Salvaging.',0,0),
(18663,1002365,1,100,'Decreases falling damage taken by caster by 15.0%',0,0),
(18664,1002365,2,100,'Decreases falling damage taken by caster by 15.0%',0,0),
(18665,1002366,1,100,'Your death intervention spells (those that trigger when an ally would have died) gain an additional trigger after the first expires. Their healing effect is also increased by 30%.',0,0),
(18666,1002367,1,100,'Reduces the target''s maximum health by 0.4%',0,0),
(18667,1002367,1,100,'Reduces the target''s potency by 1%',0,1),
(18668,1002367,1,100,'This effect stacks from all three spells.',0,2),
(18669,1002367,2,100,'Reduces the target''s maximum health by 0.8%',0,0),
(18670,1002367,2,100,'Reduces the target''s potency by 2%',0,1),
(18671,1002367,2,100,'This effect stacks from all three spells.',0,2),
(18672,1002367,3,100,'Reduces the target''s maximum health by 1.2%',0,0),
(18673,1002367,3,100,'Reduces the target''s potency by 3%',0,1),
(18674,1002367,3,100,'This effect stacks from all three spells.',0,2),
(18675,1002368,1,100,'Increases Ability Reuse Speed of caster by 12.0%',0,0),
(18676,1002368,1,100,'Increases Ability Recovery Speed of caster by 30.0%',0,1),
(18677,1002369,1,100,'Increases DPS of caster by 2.1',0,0),
(18678,1002369,2,100,'Increases DPS of caster by 4.2',0,0),
(18679,1002369,3,100,'Increases Damage Per Second of caster by 6.3',0,0),
(18680,1002369,4,100,'Increases DPS of caster by 8.4',0,0),
(18681,1002369,5,100,'Increases Damage Per Second of caster by 10.6',0,0),
(18682,1002369,6,100,'Increases DPS of caster by 12.7',0,0),
(18683,1002369,7,100,'Increases Damage Per Second of caster by 14.8',0,0),
(18684,1002369,8,100,'Increases Damage Per Second of caster by 16.9',0,0),
(18685,1002369,9,100,'Increases DPS of caster by 19.0',0,0),
(18686,1002369,10,100,'Increases DPS of caster by 21.1',0,0),
(18687,1002370,1,100,'Increases Damage Per Second of caster by 1.4',0,0),
(18688,1002370,2,100,'Increases DPS of caster by 2.8',0,0),
(18689,1002370,3,100,'Increases Damage Per Second of caster by 4.2',0,0),
(18690,1002370,4,100,'Increases Damage Per Second of caster by 5.6',0,0),
(18691,1002370,5,100,'Increases DPS of caster by 7.0',0,0),
(18692,1002370,6,100,'Increases Damage Per Second of caster by 8.4',0,0),
(18693,1002370,7,100,'Increases Damage Per Second of caster by 9.8',0,0),
(18694,1002370,8,100,'Increases Damage Per Second of caster by 11.2',0,0),
(18695,1002370,9,100,'Increases DPS of caster by 12.6',0,0),
(18696,1002370,10,100,'Increases DPS of caster by 14.0',0,0),
(18697,1002371,1,100,'Increases Mitigation of caster vs noxious damage by 3',0,0),
(18698,1002371,2,100,'Increases Mitigation of caster vs noxious damage by 3',0,0),
(18699,1002372,1,100,'Stormbearer''s Fury strikes an additional time.',0,0),
(18700,1002372,2,100,'Stormbearer''s Fury strikes an additional two times.',0,0),
(18701,1002372,3,100,'Stormbearer''s Fury strikes an additional three times.',0,0),
(18702,1002373,1,100,'Stupefy has a 25% chance to clear the reuse on Shockwave.',0,0),
(18703,1002373,1,100,'Improves the damage of Shock Wave by 50%.',0,1),
(18704,1002373,2,100,'Stupefy has a 50% chance to clear the reuse on Shockwave.',0,0),
(18705,1002373,2,100,'Improves the damage of Shock Wave by 50%.',0,1),
(18706,1002374,1,100,'Reduces the recovery time of combat arts by 100%',0,0),
(18707,1002375,2,100,'Increases Health Regen of caster by 6.0',0,0),
(18708,1002376,2,100,'Grants the skill Safefall.',0,0),
(18709,1002377,1,100,'Increases healing received by 0.50%',0,0),
(18710,1002377,2,100,'Increases healing received by 1.00%',0,0),
(18711,1002377,3,100,'Increases healing received by 1.50%',0,0),
(18712,1002377,4,100,'Increases healing received by 2.00%',0,0),
(18713,1002377,5,100,'Increases healing received by 2.50%',0,0),
(18714,1002377,6,100,'Increases healing received by 3.00%',0,0),
(18715,1002377,7,100,'Increases healing received by 3.50%',0,0),
(18716,1002377,8,100,'Increases healing received by 4.00%',0,0),
(18717,1002377,9,100,'Increases healing received by 4.50%',0,0),
(18718,1002377,10,100,'Increases healing received by 5.00%',0,0),
(18719,1002378,1,100,'Increases Max Power of caster by 3.0%',0,0),
(18720,1002378,2,100,'Increases Max Power of caster by 3.0%',0,0),
(18721,1002379,1,100,'Increases Mitigation of caster vs elemental damage by 0',0,0),
(18722,1002379,2,100,'Increases Mitigation of caster vs elemental damage by 0',0,0),
(18723,1002380,1,100,'Increases the amount of durability gained by 2.0.',0,0),
(18724,1002380,2,100,'Increases the amount of durability gained by 4.0.',0,0),
(18725,1002380,3,100,'Increases the amount of durability gained by 6.0.',0,0),
(18726,1002380,4,100,'Increases the amount of durability gained by 8.0.',0,0),
(18727,1002380,5,100,'Increases the amount of durability gained by 10.0.',0,0),
(18728,1002381,1,100,'Increases Max Power of caster by 3.0%',0,0),
(18729,1002381,2,100,'Increases Max Power of caster by 3.0%',0,0),
(18730,1002383,1,100,'Increases Mitigation of caster vs physical damage by 0',0,0),
(18731,1002383,2,100,'Increases Mitigation of caster vs physical damage by 0',0,0),
(18732,1002384,1,100,'Increases STA of caster by 4.0',0,0),
(18733,1002384,2,100,'Increases STA of caster by 4.0',0,0),
(18734,1002385,1,100,'Adds an effect that improves radius and reduces power cost.',0,0),
(18735,1002385,2,100,'Adds an effect that improves radius and reduces power cost.',0,0),
(18736,1002385,3,100,'Adds an effect that improves radius and reduces power cost.',0,0),
(18737,1002385,4,100,'Adds an effect that improves radius and reduces power cost.',0,0),
(18738,1002385,5,100,'Adds an effect that improves radius and reduces power cost.',0,0),
(18739,1002386,1,100,'Applies a temporary spell that reduces the target''s hate gain for a short duration.',0,0),
(18740,1002386,2,100,'Applies a temporary spell that reduces the target''s hate gain for a short duration.',0,0),
(18741,1002386,3,100,'Applies a temporary spell that reduces the target''s hate gain for a short duration.',0,0),
(18742,1002386,4,100,'Applies a temporary spell that reduces the target''s hate gain for a short duration.',0,0),
(18743,1002386,5,100,'Applies a temporary spell that reduces the target''s hate gain for a short duration.',0,0),
(18744,1002386,6,100,'Applies a temporary spell that reduces the target''s hate gain for a short duration.',0,0),
(18745,1002386,7,100,'Applies a temporary spell that reduces the target''s hate gain for a short duration.',0,0),
(18746,1002386,8,100,'Applies a temporary spell that reduces the target''s hate gain for a short duration.',0,0),
(18747,1002387,1,100,'Reduces the casting time by 0.2 seconds.',0,0),
(18748,1002387,1,100,'Improves the heal amount by 4%.',0,1),
(18749,1002387,2,100,'Reduces the casting time by 0.4 seconds.',0,0),
(18750,1002387,2,100,'Improves the heal amount by 8%.',0,1),
(18751,1002387,3,100,'Reduces the casting time by 0.6 seconds.',0,0),
(18752,1002387,3,100,'Improves the heal amount by 12%.',0,1),
(18753,1002387,4,100,'Reduces the casting time by 0.8 seconds.',0,0),
(18754,1002387,4,100,'Improves the heal amount by 16%.',0,1),
(18755,1002387,5,100,'Reduces the casting time by 1 seconds.',0,0),
(18756,1002387,5,100,'Improves the heal amount by 20%.',0,1),
(18757,1002388,1,100,'Increases Power Regen of caster by 6.0',0,0),
(18758,1002388,2,100,'Increases Power Regen of caster by 6.0',0,0),
(18759,1002389,1,100,'Windblade gains an additional trigger that heals the target.',0,0),
(18760,1002389,2,100,'Windblade gains an additional trigger that heals the target.',0,0),
(18761,1002389,3,100,'Windblade gains an additional trigger that heals the target.',0,0),
(18762,1002390,1,100,'Reduces the base reuse speed of Devoted Resolve to 10 seconds. In PVP Combat, the reuse is reduced to 20 seconds.',0,0),
(18763,1002391,1,100,'Reduces the base reuse speed of Devoted Resolve to 10 seconds. In PVP Combat, the reuse is reduced to 20 seconds.',0,0),
(18764,1002392,1,100,'Applies Restoring Soul to qualifying pets.',0,0),
(18765,1002392,1,100,'On any combat or spell hit this spell may cast Restoring Soul on caster.  Triggers about 0.6 times per minute. ',1,1),
(18766,1002392,1,100,'Heals caster for 2.0% of max health',2,2),
(18767,1002393,1,100,'Applies Restoring Soul to qualifying pets.',0,0),
(18768,1002393,1,100,'On any combat or spell hit this spell may cast Restoring Soul on caster.  Triggers about 0.6 times per minute. ',1,1),
(18769,1002393,1,100,'Heals caster for 2.0% of max health',2,2),
(18770,1002394,1,100,'Applies Restoring Soul to qualifying pets.',0,0),
(18771,1002394,1,100,'On any combat or spell hit this spell may cast Restoring Soul on caster.  Triggers about 0.6 times per minute. ',1,1),
(18772,1002394,1,100,'Heals caster for 2.0% of max health',2,2),
(18773,1002395,1,100,'Applies Restoring Soul to qualifying pets.',0,0),
(18774,1002395,1,100,'On any combat or spell hit this spell may cast Restoring Soul on caster.  Triggers about 0.6 times per minute. ',1,1),
(18775,1002395,1,100,'Heals caster for 2.0% of max health',2,2),
(18776,1002396,1,100,'Applies Restoring Soul to qualifying pets.',0,0),
(18777,1002396,1,100,'On any combat or spell hit this spell may cast Restoring Soul on caster.  Triggers about 0.6 times per minute. ',1,1),
(18778,1002396,1,100,'Heals caster for 2.0% of max health',2,2),
(18779,1002397,1,100,'Applies Restoring Soul to qualifying pets.',0,0),
(18780,1002397,1,100,'On any combat or spell hit this spell may cast Restoring Soul on caster.  Triggers about 0.6 times per minute. ',1,1),
(18781,1002397,1,100,'Heals caster for 2.0% of max health',2,2),
(18782,1002398,1,100,'Applies Restoring Soul to qualifying pets.',0,0),
(18783,1002398,1,100,'On any combat or spell hit this spell may cast Restoring Soul on caster.  Triggers about 0.6 times per minute. ',1,1),
(18784,1002398,1,100,'Heals caster for 2.0% of max health',2,2),
(18785,1002393,2,100,'Applies Restoring Soul to qualifying pets.',0,0),
(18786,1002393,2,100,'On any combat or spell hit this spell may cast Restoring Soul on caster.  Triggers about 1.2 times per minute. ',1,1),
(18787,1002393,2,100,'Heals caster for 2.0% of max health',2,2),
(18788,1002395,2,100,'Applies Restoring Soul to qualifying pets.',0,0),
(18789,1002395,2,100,'On any combat or spell hit this spell may cast Restoring Soul on caster.  Triggers about 1.2 times per minute. ',1,1),
(18790,1002395,2,100,'Heals caster for 2.3 - 2.8% of max health',2,2),
(18791,1002392,2,100,'Applies Restoring Soul to qualifying pets.',0,0),
(18792,1002392,2,100,'On any combat or spell hit this spell may cast Restoring Soul on caster.  Triggers about 1.2 times per minute. ',1,1),
(18793,1002392,2,100,'Heals caster for 2.0% of max health',2,2),
(18794,1002397,2,100,'Applies Restoring Soul to qualifying pets.',0,0),
(18795,1002397,2,100,'On any combat or spell hit this spell may cast Restoring Soul on caster.  Triggers about 1.2 times per minute. ',1,1),
(18796,1002397,2,100,'Heals caster for 2.3 - 2.8% of max health',2,2),
(18797,1002398,2,100,'Applies Restoring Soul to qualifying pets.',0,0),
(18798,1002398,2,100,'On any combat or spell hit this spell may cast Restoring Soul on caster.  Triggers about 1.2 times per minute. ',1,1),
(18799,1002398,2,100,'Heals caster for 2.0% of max health',2,2),
(18800,1002394,2,100,'Applies Restoring Soul to qualifying pets.',0,0),
(18801,1002394,2,100,'On any combat or spell hit this spell may cast Restoring Soul on caster.  Triggers about 1.2 times per minute. ',1,1),
(18802,1002394,2,100,'Heals caster for 2.0% of max health',2,2),
(18803,1002393,3,100,'Applies Restoring Soul to qualifying pets.',0,0),
(18804,1002393,3,100,'On any combat or spell hit this spell may cast Restoring Soul on caster.  Triggers about 1.8 times per minute. ',1,1),
(18805,1002393,3,100,'Heals caster for 2.3 - 2.9% of max health',2,2),
(18806,1002395,3,100,'Applies Restoring Soul to qualifying pets.',0,0),
(18807,1002395,3,100,'On any combat or spell hit this spell may cast Restoring Soul on caster.  Triggers about 1.8 times per minute. ',1,1),
(18808,1002395,3,100,'Heals caster for 2.3 - 2.8% of max health',2,2),
(18809,1002392,3,100,'Applies Restoring Soul to qualifying pets.',0,0),
(18810,1002392,3,100,'On any combat or spell hit this spell may cast Restoring Soul on caster.  Triggers about 1.8 times per minute. ',1,1),
(18811,1002392,3,100,'Heals caster for 2.0% of max health',2,2),
(18812,1002397,3,100,'Applies Restoring Soul to qualifying pets.',0,0),
(18813,1002397,3,100,'On any combat or spell hit this spell may cast Restoring Soul on caster.  Triggers about 1.8 times per minute. ',1,1),
(18814,1002397,3,100,'Heals caster for 2.3 - 2.8% of max health',2,2),
(18815,1002398,3,100,'Applies Restoring Soul to qualifying pets.',0,0),
(18816,1002398,3,100,'On any combat or spell hit this spell may cast Restoring Soul on caster.  Triggers about 1.8 times per minute. ',1,1),
(18817,1002398,3,100,'Heals caster for 2.0% of max health',2,2),
(18818,1002394,3,100,'Applies Restoring Soul to qualifying pets.',0,0),
(18819,1002394,3,100,'On any combat or spell hit this spell may cast Restoring Soul on caster.  Triggers about 1.8 times per minute. ',1,1),
(18820,1002394,3,100,'Heals caster for 2.3 - 2.8% of max health',2,2),
(18821,1002393,4,100,'Applies Restoring Soul to qualifying pets.',0,0),
(18822,1002393,4,100,'On any combat or spell hit this spell may cast Restoring Soul on caster.  Triggers about 2.4 times per minute. ',1,1),
(18823,1002393,4,100,'Heals caster for 2.0% of max health',2,2),
(18824,1002395,4,100,'Applies Restoring Soul to qualifying pets.',0,0),
(18825,1002395,4,100,'On any combat or spell hit this spell may cast Restoring Soul on caster.  Triggers about 2.4 times per minute. ',1,1),
(18826,1002395,4,100,'Heals caster for 2.3 - 2.8% of max health',2,2),
(18827,1002392,4,100,'Applies Restoring Soul to qualifying pets.',0,0),
(18828,1002392,4,100,'On any combat or spell hit this spell may cast Restoring Soul on caster.  Triggers about 2.4 times per minute. ',1,1),
(18829,1002392,4,100,'Heals caster for 2.3 - 2.9% of max health',2,2),
(18830,1002397,4,100,'Applies Restoring Soul to qualifying pets.',0,0),
(18831,1002397,4,100,'On any combat or spell hit this spell may cast Restoring Soul on caster.  Triggers about 2.4 times per minute. ',1,1),
(18832,1002397,4,100,'Heals caster for 2.3 - 2.8% of max health',2,2),
(18833,1002398,4,100,'Applies Restoring Soul to qualifying pets.',0,0),
(18834,1002398,4,100,'On any combat or spell hit this spell may cast Restoring Soul on caster.  Triggers about 2.4 times per minute. ',1,1),
(18835,1002398,4,100,'Heals caster for 2.3 - 2.8% of max health',2,2),
(18836,1002394,4,100,'Applies Restoring Soul to qualifying pets.',0,0),
(18837,1002394,4,100,'On any combat or spell hit this spell may cast Restoring Soul on caster.  Triggers about 2.4 times per minute. ',1,1),
(18838,1002394,4,100,'Heals caster for 2.3 - 2.8% of max health',2,2),
(18839,1002394,5,100,'Applies Restoring Soul to qualifying pets.',0,0),
(18840,1002394,5,100,'On any combat or spell hit this spell may cast Restoring Soul on caster.  Triggers about 3.0 times per minute. ',1,1),
(18841,1002394,5,100,'Heals caster for 2.0% of max health',2,2),
(18842,1002393,5,100,'Applies Restoring Soul to qualifying pets.',0,0),
(18843,1002393,5,100,'On any combat or spell hit this spell may cast Restoring Soul on caster.  Triggers about 3.0 times per minute. ',1,1),
(18844,1002393,5,100,'Heals caster for 2.3 - 2.8% of max health',2,2),
(18845,1002395,5,100,'Applies Restoring Soul to qualifying pets.',0,0),
(18846,1002395,5,100,'On any combat or spell hit this spell may cast Restoring Soul on caster.  Triggers about 3.0 times per minute. ',1,1),
(18847,1002395,5,100,'Heals caster for 2.0% of max health',2,2),
(18848,1002397,5,100,'Applies Restoring Soul to qualifying pets.',0,0),
(18849,1002397,5,100,'On any combat or spell hit this spell may cast Restoring Soul on caster.  Triggers about 3.0 times per minute. ',1,1),
(18850,1002397,5,100,'Heals caster for 2.3 - 2.8% of max health',2,2),
(18851,1002398,5,100,'Applies Restoring Soul to qualifying pets.',0,0),
(18852,1002398,5,100,'On any combat or spell hit this spell may cast Restoring Soul on caster.  Triggers about 3.0 times per minute. ',1,1),
(18853,1002398,5,100,'Heals caster for 2.3 - 2.8% of max health',2,2),
(18854,1002392,5,100,'Applies Restoring Soul to qualifying pets.',0,0),
(18855,1002392,5,100,'On any combat or spell hit this spell may cast Restoring Soul on caster.  Triggers about 3.0 times per minute. ',1,1),
(18856,1002392,5,100,'Heals caster for 2.0% of max health',2,2),
(18857,1002393,6,100,'Applies Restoring Soul to qualifying pets.',0,0),
(18858,1002393,6,100,'On any combat or spell hit this spell may cast Restoring Soul on caster.  Triggers about 3.6 times per minute. ',1,1),
(18859,1002393,6,100,'Heals caster for 2.3 - 2.8% of max health',2,2),
(18860,1002395,6,100,'Applies Restoring Soul to qualifying pets.',0,0),
(18861,1002395,6,100,'On any combat or spell hit this spell may cast Restoring Soul on caster.  Triggers about 3.6 times per minute. ',1,1),
(18862,1002395,6,100,'Heals caster for 2.3 - 2.8% of max health',2,2),
(18863,1002398,6,100,'Applies Restoring Soul to qualifying pets.',0,0),
(18864,1002398,6,100,'On any combat or spell hit this spell may cast Restoring Soul on caster.  Triggers about 3.6 times per minute. ',1,1),
(18865,1002398,6,100,'Heals caster for 2.3 - 2.8% of max health',2,2),
(18866,1002392,6,100,'Applies Restoring Soul to qualifying pets.',0,0),
(18867,1002392,6,100,'On any combat or spell hit this spell may cast Restoring Soul on caster.  Triggers about 3.6 times per minute. ',1,1),
(18868,1002392,6,100,'Heals caster for 2.0% of max health',2,2),
(18869,1002397,6,100,'Applies Restoring Soul to qualifying pets.',0,0),
(18870,1002397,6,100,'On any combat or spell hit this spell may cast Restoring Soul on caster.  Triggers about 3.6 times per minute. ',1,1),
(18871,1002397,6,100,'Heals caster for 2.0% of max health',2,2),
(18872,1002394,6,100,'Applies Restoring Soul to qualifying pets.',0,0),
(18873,1002394,6,100,'On any combat or spell hit this spell may cast Restoring Soul on caster.  Triggers about 3.6 times per minute. ',1,1),
(18874,1002394,6,100,'Heals caster for 2.0% of max health',2,2),
(18875,1002393,7,100,'Applies Restoring Soul to qualifying pets.',0,0),
(18876,1002393,7,100,'On any combat or spell hit this spell may cast Restoring Soul on caster.  Triggers about 4.2 times per minute. ',1,1),
(18877,1002393,7,100,'Heals caster for 2.0% of max health',2,2),
(18878,1002395,7,100,'Applies Restoring Soul to qualifying pets.',0,0),
(18879,1002395,7,100,'On any combat or spell hit this spell may cast Restoring Soul on caster.  Triggers about 4.2 times per minute. ',1,1),
(18880,1002395,7,100,'Heals caster for 2.3 - 2.8% of max health',2,2),
(18881,1002397,7,100,'Applies Restoring Soul to qualifying pets.',0,0),
(18882,1002397,7,100,'On any combat or spell hit this spell may cast Restoring Soul on caster.  Triggers about 4.2 times per minute. ',1,1),
(18883,1002397,7,100,'Heals caster for 2.3 - 2.8% of max health',2,2),
(18884,1002398,7,100,'Applies Restoring Soul to qualifying pets.',0,0),
(18885,1002398,7,100,'On any combat or spell hit this spell may cast Restoring Soul on caster.  Triggers about 4.2 times per minute. ',1,1),
(18886,1002398,7,100,'Heals caster for 2.0% of max health',2,2),
(18887,1002392,7,100,'Applies Restoring Soul to qualifying pets.',0,0),
(18888,1002392,7,100,'On any combat or spell hit this spell may cast Restoring Soul on caster.  Triggers about 4.2 times per minute. ',1,1),
(18889,1002392,7,100,'Heals caster for 2.0% of max health',2,2),
(18890,1002394,7,100,'Applies Restoring Soul to qualifying pets.',0,0),
(18891,1002394,7,100,'On any combat or spell hit this spell may cast Restoring Soul on caster.  Triggers about 4.2 times per minute. ',1,1),
(18892,1002394,7,100,'Heals caster for 2.0% of max health',2,2),
(18893,1002393,8,100,'Applies Restoring Soul to qualifying pets.',0,0),
(18894,1002393,8,100,'On any combat or spell hit this spell may cast Restoring Soul on caster.  Triggers about 4.8 times per minute. ',1,1),
(18895,1002393,8,100,'Heals caster for 2.3 - 2.8% of max health',2,2),
(18896,1002395,8,100,'Applies Restoring Soul to qualifying pets.',0,0),
(18897,1002395,8,100,'On any combat or spell hit this spell may cast Restoring Soul on caster.  Triggers about 4.8 times per minute. ',1,1),
(18898,1002395,8,100,'Heals caster for 2.0% of max health',2,2),
(18899,1002397,8,100,'Applies Restoring Soul to qualifying pets.',0,0),
(18900,1002397,8,100,'On any combat or spell hit this spell may cast Restoring Soul on caster.  Triggers about 4.8 times per minute. ',1,1),
(18901,1002397,8,100,'Heals caster for 2.0% of max health',2,2),
(18902,1002398,8,100,'Applies Restoring Soul to qualifying pets.',0,0),
(18903,1002398,8,100,'On any combat or spell hit this spell may cast Restoring Soul on caster.  Triggers about 4.8 times per minute. ',1,1),
(18904,1002398,8,100,'Heals caster for 2.0% of max health',2,2),
(18905,1002394,8,100,'Applies Restoring Soul to qualifying pets.',0,0),
(18906,1002394,8,100,'On any combat or spell hit this spell may cast Restoring Soul on caster.  Triggers about 4.8 times per minute. ',1,1),
(18907,1002394,8,100,'Heals caster for 2.3 - 2.8% of max health',2,2),
(18908,1002392,8,100,'Applies Restoring Soul to qualifying pets.',0,0),
(18909,1002392,8,100,'On any combat or spell hit this spell may cast Restoring Soul on caster.  Triggers about 4.8 times per minute. ',1,1),
(18910,1002392,8,100,'Heals caster for 2.3 - 2.8% of max health',2,2),
(18911,1002393,9,100,'Applies Restoring Soul to qualifying pets.',0,0),
(18912,1002393,9,100,'On any combat or spell hit this spell may cast Restoring Soul on caster.  Triggers about 5.4 times per minute. ',1,1),
(18913,1002393,9,100,'Heals caster for 2.3 - 2.8% of max health',2,2),
(18914,1002395,9,100,'Applies Restoring Soul to qualifying pets.',0,0),
(18915,1002395,9,100,'On any combat or spell hit this spell may cast Restoring Soul on caster.  Triggers about 5.4 times per minute. ',1,1),
(18916,1002395,9,100,'Heals caster for 2.3 - 2.8% of max health',2,2),
(18917,1002397,9,100,'Applies Restoring Soul to qualifying pets.',0,0),
(18918,1002397,9,100,'On any combat or spell hit this spell may cast Restoring Soul on caster.  Triggers about 5.4 times per minute. ',1,1),
(18919,1002397,9,100,'Heals caster for 2.3 - 2.8% of max health',2,2),
(18920,1002398,9,100,'Applies Restoring Soul to qualifying pets.',0,0),
(18921,1002398,9,100,'On any combat or spell hit this spell may cast Restoring Soul on caster.  Triggers about 5.4 times per minute. ',1,1),
(18922,1002398,9,100,'Heals caster for 2.3 - 2.8% of max health',2,2),
(18923,1002394,9,100,'Applies Restoring Soul to qualifying pets.',0,0),
(18924,1002394,9,100,'On any combat or spell hit this spell may cast Restoring Soul on caster.  Triggers about 5.4 times per minute. ',1,1),
(18925,1002394,9,100,'Heals caster for 2.3 - 2.8% of max health',2,2),
(18926,1002392,9,100,'Applies Restoring Soul to qualifying pets.',0,0),
(18927,1002392,9,100,'On any combat or spell hit this spell may cast Restoring Soul on caster.  Triggers about 5.4 times per minute. ',1,1),
(18928,1002392,9,100,'Heals caster for 2.3 - 2.9% of max health',2,2),
(18929,1002393,10,100,'Applies Restoring Soul to qualifying pets.',0,0),
(18930,1002393,10,100,'On any combat or spell hit this spell may cast Restoring Soul on caster.  Triggers about 6.0 times per minute. ',1,1),
(18931,1002393,10,100,'Heals caster for 2.0% of max health',2,2),
(18932,1002395,10,100,'Applies Restoring Soul to qualifying pets.',0,0),
(18933,1002395,10,100,'On any combat or spell hit this spell may cast Restoring Soul on caster.  Triggers about 6.0 times per minute. ',1,1),
(18934,1002395,10,100,'Heals caster for 2.3 - 2.8% of max health',2,2),
(18935,1002398,10,100,'Applies Restoring Soul to qualifying pets.',0,0),
(18936,1002398,10,100,'On any combat or spell hit this spell may cast Restoring Soul on caster.  Triggers about 6.0 times per minute. ',1,1),
(18937,1002398,10,100,'Heals caster for 2.0% of max health',2,2),
(18938,1002392,10,100,'Applies Restoring Soul to qualifying pets.',0,0),
(18939,1002392,10,100,'On any combat or spell hit this spell may cast Restoring Soul on caster.  Triggers about 6.0 times per minute. ',1,1),
(18940,1002392,10,100,'Heals caster for 2.0% of max health',2,2),
(18941,1002397,10,100,'Applies Restoring Soul to qualifying pets.',0,0),
(18942,1002397,10,100,'On any combat or spell hit this spell may cast Restoring Soul on caster.  Triggers about 6.0 times per minute. ',1,1),
(18943,1002397,10,100,'Heals caster for 2.3 - 2.8% of max health',2,2),
(18944,1002394,10,100,'Applies Restoring Soul to qualifying pets.',0,0),
(18945,1002394,10,100,'On any combat or spell hit this spell may cast Restoring Soul on caster.  Triggers about 6.0 times per minute. ',1,1),
(18946,1002394,10,100,'Heals caster for 2.0% of max health',2,2),
(18947,1002399,1,100,'On any combat or spell hit this spell may cast Resurgent Counter on target.  Triggers about 0.2 times per minute. ',0,0),
(18948,1002399,1,100,'Dispels 7 levels of any hostile effects on caster',1,1),
(18949,1002399,2,100,'On any combat or spell hit this spell may cast Resurgent Counter on target.  Triggers about 0.4 times per minute. ',0,0),
(18950,1002399,2,100,'Dispels 110 levels of any hostile effects on caster',1,1),
(18951,1002399,3,100,'On any combat or spell hit this spell may cast Resurgent Counter on target.  Triggers about 0.6 times per minute. ',0,0),
(18952,1002399,3,100,'Dispels 115 levels of any hostile effects on caster',1,1),
(18953,1002399,4,100,'On any combat or spell hit this spell may cast Resurgent Counter on target.  Triggers about 0.8 times per minute. ',0,0),
(18954,1002399,4,100,'Dispels 110 levels of any hostile effects on caster',1,1),
(18955,1002399,5,100,'On any combat or spell hit this spell may cast Resurgent Counter on target.  Triggers about 1.0 times per minute. ',0,0),
(18956,1002399,5,100,'Dispels 115 levels of any hostile effects on caster',1,1),
(18957,1002399,6,100,'On any combat or spell hit this spell may cast Resurgent Counter on target.  Triggers about 1.2 times per minute. ',0,0),
(18958,1002399,6,100,'Dispels 115 levels of any hostile effects on caster',1,1),
(18959,1002399,7,100,'On any combat or spell hit this spell may cast Resurgent Counter on target.  Triggers about 1.4 times per minute. ',0,0),
(18960,1002399,7,100,'Dispels 110 levels of any hostile effects on caster',1,1),
(18961,1002399,8,100,'On any combat or spell hit this spell may cast Resurgent Counter on target.  Triggers about 1.6 times per minute. ',0,0),
(18962,1002399,8,100,'Dispels 110 levels of any hostile effects on caster',1,1),
(18963,1002399,9,100,'On any combat or spell hit this spell may cast Resurgent Counter on target.  Triggers about 1.8 times per minute. ',0,0),
(18964,1002399,9,100,'Dispels 110 levels of any hostile effects on caster',1,1),
(18965,1002399,10,100,'On any combat or spell hit this spell may cast Resurgent Counter on target.  Triggers about 2.0 times per minute. ',0,0),
(18966,1002399,10,100,'Dispels 115 levels of any hostile effects on caster',1,1),
(18967,1002400,1,100,'Improves reuse speed by 15%',0,0),
(18968,1002401,1,100,'Reduces power cost by 12%',0,0),
(18969,1002401,1,100,'Improves reuse speed by 15%',0,1),
(18970,1002401,2,100,'Reduces power cost by 24%',0,0),
(18971,1002401,2,100,'Improves reuse speed by 30%',0,1),
(18972,1002401,3,100,'Reduces power cost by 36%',0,0),
(18973,1002401,3,100,'Improves reuse speed by 45%',0,1),
(18974,1002401,4,100,'Reduces power cost by 48%',0,0),
(18975,1002401,4,100,'Improves reuse speed by 60%',0,1),
(18976,1002401,5,100,'Reduces power cost by 60%',0,0),
(18977,1002401,5,100,'Improves reuse speed by 75%',0,1),
(18978,1002402,1,100,'Improves casting speed by 10%',0,0),
(18979,1002403,1,100,'Increases range and radius by 20%',0,0),
(18980,1002403,1,100,'Improves casting speed by 10%',0,1),
(18981,1002403,2,100,'Increases range and radius by 40%',0,0),
(18982,1002403,2,100,'Improves casting speed by 20%',0,1),
(18983,1002403,3,100,'Increases range and radius by 60%',0,0),
(18984,1002403,3,100,'Improves casting speed by 30%',0,1),
(18985,1002403,4,100,'Increases range and radius by 80%',0,0),
(18986,1002403,4,100,'Improves casting speed by 40%',0,1),
(18987,1002403,5,100,'Increases range and radius by 100%',0,0),
(18988,1002403,5,100,'Improves casting speed by 50%',0,1),
(18989,1002404,1,100,'Increases health and power restoration by 3%',0,0),
(18990,1002404,2,100,'Increases health and power restoration by 6%',0,0),
(18991,1002404,3,100,'Increases health and power restoration by 9%',0,0),
(18992,1002404,4,100,'Increases health and power restoration by 12%',0,0),
(18993,1002404,5,100,'Increases health and power restoration by 15%',0,0),
(18994,1002406,1,100,'When Guardian Sphere triggers its Stoneskin effect, the guardian will gain additional Crit Bonus for every trigger.',0,0),
(18995,1002407,1,100,'When Guardian Sphere''s Stoneskin effect triggers, it has a 30% chance to finish the reuse of Sever, Decimate, Ruin or Concussion.',0,0),
(18996,1002407,2,100,'When Guardian Sphere''s Stoneskin effect triggers, it has a 60% chance to finish the reuse of Sever, Decimate, Ruin or Concussion.',0,0),
(18997,1002408,1,100,'Increases Power Regen of caster by 9.0',0,0),
(18998,1002408,2,100,'Increases Power Regen of caster by 9.0',0,0),
(18999,1002409,1,100,'Gives caster a 3.0% chance to strikethrough a successful avoidance check',0,0),
(19000,1002410,1,100,'Increases Riposte Chance of caster by 10.0',0,0),
(19001,1002410,1,100,'Increases Riposte Damage of caster by 20.0',0,1),
(19002,1002409,2,100,'Gives caster a 6.0% chance to strikethrough a successful avoidance check',0,0),
(19003,1002410,2,100,'Increases Additional chance to Riposte of caster by 20.0',0,0),
(19004,1002410,2,100,'Increases Riposte Damage of caster by 40.0',0,1),
(19005,1002409,3,100,'Gives caster a 9.0% chance to strikethrough a successful avoidance check',0,0),
(19006,1002410,3,100,'Increases Riposte Chance of caster by 30.0',0,0),
(19007,1002410,3,100,'Increases Riposte Damage of caster by 60.0',0,1),
(19008,1002409,4,100,'Gives caster a 12.0% chance to strikethrough a successful avoidance check',0,0),
(19009,1002410,4,100,'Increases Riposte Chance of caster by 40.0',0,0),
(19010,1002410,4,100,'Increases Riposte Damage of caster by 80.0',0,1),
(19011,1002409,5,100,'Gives caster a 15.0% chance to strikethrough a successful avoidance check',0,0),
(19012,1002410,5,100,'Increases Riposte Chance of caster by 50.0',0,0),
(19013,1002410,5,100,'Increases Riposte Damage of caster by 100.0',0,1),
(19014,1002411,1,100,'Adds additional threat to Reversal.',0,0),
(19015,1002411,2,100,'Adds additional threat to Reversal.',0,0),
(19016,1002411,3,100,'Adds additional threat to Reversal.',0,0),
(19017,1002411,4,100,'Adds additional threat to Reversal.',0,0),
(19018,1002411,5,100,'Adds additional threat to Reversal.',0,0),
(19019,1002411,6,100,'Adds additional threat to Reversal.',0,0),
(19020,1002411,7,100,'Adds additional threat to Reversal.',0,0),
(19021,1002411,8,100,'Adds additional threat to Reversal.',0,0),
(19022,1002412,1,100,'Following the cast of Truespirit Rift, the channeler has a 33% chance for their next Healing Barrage to have no reuse time.',0,0),
(19023,1002412,2,100,'Following the cast of Truespirit Rift, the channeler has a 66% chance for their next Healing Barrage to have no reuse time.',0,0),
(19024,1002412,3,100,'Following the cast of Truespirit Rift, the channeler has a 100% chance for their next Healing Barrage to have no reuse time.',0,0),
(19025,1002413,1,100,'Increases the threat amount of Righteousness by 5%.',0,0),
(19026,1002413,2,100,'Increases the threat amount of Righteousness by 10%.',0,0),
(19027,1002413,3,100,'Increases the threat amount of Righteousness by 15%.',0,0),
(19028,1002413,4,100,'Increases the threat amount of Righteousness by 20%.',0,0),
(19029,1002413,5,100,'Increases the threat amount of Righteousness by 25%.',0,0),
(19030,1002414,1,100,'Increases Mitigation of caster vs physical damage by 0',0,0),
(19031,1002414,2,100,'Increases Mitigation of caster vs physical damage by 0',0,0),
(19032,1002415,1,100,'Increases Riposte Damage of caster by 5.0',0,0),
(19033,1002415,2,100,'Increases Riposte Damage of caster by 10.0',0,0),
(19034,1002415,3,100,'Increases Riposte Damage of caster by 15.0',0,0),
(19035,1002415,4,100,'Increases Riposte Damage of caster by 20.0',0,0),
(19036,1002415,5,100,'Increases Riposte Damage of caster by 25.0',0,0),
(19037,1002416,1,100,'Increases Disruption, Ordination and Subjugation of caster by 0.0',0,0),
(19038,1002416,2,100,'Increases Disruption, Ordination and Subjugation of caster by 0.0',0,0),
(19039,1002416,3,100,'Increases Disruption, Ordination and Subjugation of caster by 0.0',0,0),
(19040,1002416,4,100,'Increases Disruption, Ordination and Subjugation of caster by 0.0',0,0),
(19041,1002416,5,100,'Increases Disruption, Ordination and Subjugation of caster by 0.0',0,0),
(19042,1002416,6,100,'Increases Disruption, Ordination and Subjugation of caster by 0.0',0,0),
(19043,1002416,7,100,'Increases Disruption, Ordination and Subjugation of caster by 0.0',0,0),
(19044,1002416,8,100,'Increases Disruption, Ordination and Subjugation of caster by 0.0',0,0),
(19045,1002416,9,100,'Increases Disruption, Ordination and Subjugation of caster by 0.0',0,0),
(19046,1002416,10,100,'Increases Disruption, Ordination and Subjugation of caster by 0.0',0,0),
(19047,1002417,1,100,'Increases Ability Reuse Speed of caster by 0.8%',0,0),
(19048,1002417,2,100,'Increases Ability Reuse Speed of caster by 1.6%',0,0),
(19049,1002417,3,100,'Increases Ability Reuse Speed of caster by 2.4%',0,0),
(19050,1002417,4,100,'Increases Ability Reuse Speed of caster by 3.2%',0,0),
(19051,1002417,5,100,'Increases Ability Reuse Speed of caster by 4.0%',0,0),
(19052,1002417,6,100,'Increases Ability Reuse Speed of caster by 4.8%',0,0),
(19053,1002417,7,100,'Increases Ability Reuse Speed of caster by 5.6%',0,0),
(19054,1002417,8,100,'Increases Ability Reuse Speed of caster by 6.4%',0,0),
(19055,1002417,9,100,'Increases Ability Reuse Speed of caster by 7.2%',0,0),
(19056,1002417,10,100,'Increases Ability Reuse Speed of caster by 8.0%',0,0),
(19057,1002418,1,100,'Increases STA and WIS of caster by 4.0',0,0),
(19058,1002418,1,100,'Increases Mitigation of caster vs physical damage by 1155',0,1),
(19059,1002418,2,100,'Increases STA and WIS of caster by 8.0',0,0),
(19060,1002418,2,100,'Increases Mitigation of caster vs physical damage by 1050',0,1),
(19061,1002418,3,100,'Increases STA and WIS of caster by 12.0',0,0),
(19062,1002418,3,100,'Increases Mitigation of caster vs physical damage by 1155',0,1),
(19063,1002418,4,100,'Increases STA and WIS of caster by 16.0',0,0),
(19064,1002418,4,100,'Increases Mitigation of caster vs physical damage by 1050',0,1),
(19065,1002418,5,100,'Increases STA and WIS of caster by 20.0',0,0),
(19066,1002418,5,100,'Increases Mitigation of caster vs physical damage by 1155',0,1),
(19067,1002418,6,100,'Increases STA and WIS of caster by 24.0',0,0),
(19068,1002418,6,100,'Increases Mitigation of caster vs physical damage by 1050',0,1),
(19069,1002418,7,100,'Increases STA and WIS of caster by 28.0',0,0),
(19070,1002418,7,100,'Increases Mitigation of caster vs physical damage by 1155',0,1),
(19071,1002418,8,100,'Increases STA and WIS of caster by 32.0',0,0),
(19072,1002418,8,100,'Increases Mitigation of caster vs physical damage by 1050',0,1),
(19073,1002418,9,100,'Increases STA and WIS of caster by 36.0',0,0),
(19074,1002418,9,100,'Increases Mitigation of caster vs physical damage by 1155',0,1),
(19075,1002418,10,100,'Increases STA and WIS of caster by 40.0',0,0),
(19076,1002418,10,100,'Increases Mitigation of caster vs physical damage by 1155',0,1),
(19077,1002419,1,100,'Increases Mitigation of caster vs arcane damage by 3',0,0),
(19078,1002419,2,100,'Increases Mitigation of caster vs arcane damage by 3',0,0),
(19079,1002420,1,100,'Increases the base damage of Incineration by 33%',0,0),
(19080,1002420,2,100,'Increases the base damage of Incineration by 66%',0,0),
(19081,1002420,3,100,'Increases the base damage of Incineration by 100%',0,0),
(19082,1002421,1,100,'Increases Max Health of caster by 2.5%',0,0),
(19083,1002421,2,100,'Increases Max Health of caster by 2.5%',0,0),
(19084,1002422,1,100,'Adds 0.5% maximum health to Chaos and Battle Cry',0,0),
(19085,1002422,2,100,'Adds 1% maximum health to Chaos and Battle Cry',0,0),
(19086,1002422,3,100,'Adds 1.5% maximum health to Chaos and Battle Cry',0,0),
(19087,1002422,4,100,'Adds 2% maximum health to Chaos and Battle Cry',0,0),
(19088,1002422,5,100,'Adds 2.5% maximum health to Chaos and Battle Cry',0,0),
(19089,1002422,6,100,'Adds 3% maximum health to Chaos and Battle Cry',0,0),
(19090,1002422,7,100,'Adds 3.5% maximum health to Chaos and Battle Cry',0,0),
(19091,1002422,8,100,'Adds 4% maximum health to Chaos and Battle Cry',0,0),
(19092,1002422,9,100,'Adds 4.5% maximum health to Chaos and Battle Cry',0,0),
(19093,1002422,10,100,'Adds 5% maximum health to Chaos and Battle Cry',0,0),
(19094,1002423,1,100,'Increases Mitigation of caster vs physical damage by 3',0,0),
(19095,1002423,2,100,'Increases Mitigation of caster vs physical damage by 3',0,0),
(19096,1002424,1,100,'Reduces the time it takes to mine by .5 seconds.',0,0),
(19097,1002424,2,100,'Reduces the time it takes to mine by .5 seconds.',0,0),
(19098,1002425,1,100,'Improves the base damage by 3%.',0,0),
(19099,1002425,1,100,'Improves the critical damage by 2%.',0,1),
(19100,1002425,2,100,'Improves the base damage by 6%.',0,0),
(19101,1002425,2,100,'Improves the critical damage by 4%.',0,1),
(19102,1002425,3,100,'Improves the base damage by 9%.',0,0),
(19103,1002425,3,100,'Improves the critical damage by 6%.',0,1),
(19104,1002425,4,100,'Improves the base damage by 12%.',0,0),
(19105,1002425,4,100,'Improves the critical damage by 8%.',0,1),
(19106,1002425,5,100,'Improves the base damage by 15%.',0,0),
(19107,1002425,5,100,'Improves the critical damage by 10%.',0,1),
(19108,1002426,1,100,'Reduces the chance to be resisted by 2% and increases the duration by 6%',0,0),
(19109,1002426,2,100,'Reduces the chance to be resisted by 4% and increases the duration by 6%',0,0),
(19110,1002426,3,100,'Reduces the chance to be resisted by 6% and increases the duration by 6%',0,0),
(19111,1002426,4,100,'Reduces the chance to be resisted by 8% and increases the duration by 6%',0,0),
(19112,1002426,5,100,'Reduces the chance to be resisted by 10% and increases the duration by 6%',0,0),
(19113,1002427,1,100,'Increases Disruption and Subjugation of caster by 5.0',0,0),
(19114,1002427,2,100,'Increases Disruption and Subjugation of caster by 5.0',0,0),
(19115,1002428,1,100,'Bloodcoil, Pandemic, Vampire Bats and Soulrot deal additional damage over time.',0,0),
(19116,1002428,2,100,'Bloodcoil, Pandemic, Vampire Bats and Soulrot deal additional damage over time.',0,0),
(19117,1002428,3,100,'Bloodcoil, Pandemic, Vampire Bats and Soulrot deal additional damage over time.',0,0),
(19118,1002429,1,100,'Increases Artificing of caster by 5.0',0,0),
(19119,1002429,2,100,'Increases Artificing of caster by 5.0',0,0),
(19120,1002430,1,100,'Increases Max Health of caster by 3.0%',0,0),
(19121,1002430,2,100,'Increases Max Health of caster by 3.0%',0,0),
(19122,1002431,1,100,'Improves the physical mitigation by 3%.',0,0),
(19123,1002431,2,100,'Improves the physical mitigation by 6%.',0,0),
(19124,1002431,3,100,'Improves the physical mitigation by 9%.',0,0),
(19125,1002431,4,100,'Improves the physical mitigation by 12%.',0,0),
(19126,1002431,5,100,'Improves the physical mitigation by 15%.',0,0),
(19127,1002432,1,100,'Increases Max Health of caster by 3.0%',0,0),
(19128,1002432,2,100,'Increases Max Health of caster by 3.0%',0,0),
(19129,1002433,1,100,'Improves the trigger chance of Savage Ruin by 3% of its base value',0,0),
(19130,1002433,2,100,'Improves the trigger chance of Savage Ruin by 6% of its base value',0,0),
(19131,1002433,3,100,'Improves the trigger chance of Savage Ruin by 9% of its base value',0,0),
(19132,1002433,4,100,'Improves the trigger chance of Savage Ruin by 12% of its base value',0,0),
(19133,1002433,5,100,'Improves the trigger chance of Savage Ruin by 15% of its base value',0,0),
(19134,1002434,1,100,'Improves the base damage by 3%.',0,0),
(19135,1002434,2,100,'Improves the base damage by 6%.',0,0),
(19136,1002434,3,100,'Improves the base damage by 9%.',0,0),
(19137,1002434,4,100,'Improves the base damage by 12%.',0,0),
(19138,1002434,5,100,'Improves the base damage by 15%.',0,0),
(19139,1002435,1,100,'Reduces physical damage done to caster by 0.75%',0,0),
(19140,1002436,1,100,'Increases Mitigation of caster vs physical damage by 0',0,0),
(19141,1002435,2,100,'Reduces physical damage done to caster by 1.5%',0,0),
(19142,1002436,2,100,'Increases Mitigation of caster vs physical damage by 376',0,0),
(19143,1002435,3,100,'Reduces physical damage done to caster by 2.25%',0,0),
(19144,1002436,3,100,'Increases Mitigation of caster vs physical damage by 495',0,0),
(19145,1002435,4,100,'Reduces physical damage done to caster by 3%',0,0),
(19146,1002436,4,100,'Increases Mitigation of caster vs physical damage by 660',0,0),
(19147,1002435,5,100,'Reduces physical damage done to caster by 3.75%',0,0),
(19148,1002436,5,100,'Increases Mitigation of caster vs physical damage by 941',0,0),
(19149,1002435,6,100,'Reduces physical damage done to caster by 4.5%',0,0),
(19150,1002435,7,100,'Reduces physical damage done to caster by 5.25%',0,0),
(19151,1002435,8,100,'Reduces physical damage done to caster by 6%',0,0),
(19152,1002437,1,100,'Increases the stamina and defense by 8%.',0,0),
(19153,1002437,2,100,'Increases the stamina and defense by 16%.',0,0),
(19154,1002437,3,100,'Increases the stamina and defense by 24%.',0,0),
(19155,1002437,4,100,'Increases the stamina and defense by 32%.',0,0),
(19156,1002437,5,100,'Increases the stamina and defense by 40%.',0,0),
(19157,1002438,1,100,'On a parry this spell has a 50% chance to cast Ruthless Riposte on target''s victim.  ',0,0),
(19158,1002438,1,100,'Inflicts 2 - 3 slashing damage on target',1,1),
(19159,1002438,2,100,'On a parry this spell has a 50% chance to cast Ruthless Riposte on target''s victim.  ',0,0),
(19160,1002438,2,100,'Inflicts 332 - 406 slashing damage on target',1,1),
(19161,1002438,3,100,'On a parry this spell has a 50% chance to cast Ruthless Riposte on target''s victim.  ',0,0),
(19162,1002438,3,100,'Inflicts 374 - 457 slashing damage on target',1,1),
(19163,1002438,4,100,'On a parry this spell has a 50% chance to cast Ruthless Riposte on target''s victim.  ',0,0),
(19164,1002438,4,100,'Inflicts 499 - 610 slashing damage on target',1,1),
(19165,1002438,5,100,'On a parry this spell has a 50% chance to cast Ruthless Riposte on target''s victim.  ',0,0),
(19166,1002438,5,100,'Inflicts 831 - 1016 slashing damage on target',1,1),
(19167,1002438,6,100,'On a parry this spell has a 50% chance to cast Ruthless Riposte on target''s victim.  ',0,0),
(19168,1002438,6,100,'Inflicts 748 - 915 slashing damage on target',1,1),
(19169,1002438,7,100,'On a parry this spell has a 50% chance to cast Ruthless Riposte on target''s victim.  ',0,0),
(19170,1002438,7,100,'Inflicts 873 - 1067 slashing damage on target',1,1),
(19171,1002438,8,100,'On a parry this spell has a 50% chance to cast Ruthless Riposte on target''s victim.  ',0,0),
(19172,1002438,8,100,'Inflicts 1330 - 1625 slashing damage on target',1,1),
(19173,1002439,1,100,'Adds a regenerating ward to Oration of Sacrifice.',0,0),
(19174,1002440,1,100,'Improves the healing and power replenishment while reducing the duration by 5%.',0,0),
(19175,1002440,2,100,'Improves the healing and power replenishment while reducing the duration by 10%.',0,0),
(19176,1002440,3,100,'Improves the healing and power replenishment while reducing the duration by 15%.',0,0),
(19177,1002440,4,100,'Improves the healing and power replenishment while reducing the duration by 20%.',0,0),
(19178,1002440,5,100,'Improves the healing and power replenishment while reducing the duration by 25%.',0,0),
(19179,1002441,1,100,'Increases base heal amount by 5%.',0,0),
(19180,1002441,2,100,'Increases base heal amount by 10%.',0,0),
(19181,1002441,3,100,'Increases base heal amount by 15%.',0,0),
(19182,1002441,4,100,'Increases base heal amount by 20%.',0,0),
(19183,1002441,5,100,'Increases the fuel cost by 20%',0,0),
(19184,1002441,5,100,'Increases base heal amount by 25%.',0,1),
(19185,1002441,5,100,'Removes the stifle penalty.',0,2),
(19186,1002442,1,100,'Improves the base and critical heal amounts by 1%.',0,0),
(19187,1002442,1,100,'Reduces the casting time by 0.2 seconds.',0,1),
(19188,1002442,2,100,'Improves the base and critical heal amounts by 2%.',0,0),
(19189,1002442,2,100,'Reduces the casting time by 0.4 seconds.',0,1),
(19190,1002442,3,100,'Improves the base and critical heal amounts by 3%.',0,0),
(19191,1002442,3,100,'Reduces the casting time by 0.6 seconds.',0,1),
(19192,1002442,4,100,'Improves the base and critical heal amounts by 4%.',0,0),
(19193,1002442,4,100,'Reduces the casting time by 0.8 seconds.',0,1),
(19194,1002442,5,100,'Improves the base and critical heal amounts by 5%.',0,0),
(19195,1002442,5,100,'Reduces the casting time by 1 seconds.',0,1),
(19196,1002443,1,100,'Increases the damage of Saga of Bloodshed''s initial attack by 60%',0,0),
(19197,1002443,2,100,'Increases the damage of Saga of Bloodshed''s initial attack by 120%',0,0),
(19198,1002443,3,100,'Increases the damage of Saga of Bloodshed''s initial attack by 180%',0,0),
(19199,1002444,1,100,'Reduces power cost of all spells and abilities by 12%.',0,0),
(19200,1002445,1,100,'Increases WIS of caster by 5.0',0,0),
(19201,1002446,1,100,'Increases Ability Recovery Speed of caster by 25.0%',0,0),
(19202,1002446,1,100,'Increases Ability Casting Speed of caster by 25.0%',0,1),
(19203,1002447,2,100,'Lowers the reuse of Salvaging to 45 minutes.',0,0),
(19204,1002447,3,100,'Lowers the reuse of Salvaging to 30 minutes.',0,0),
(19205,1002447,4,100,'Lowers the reuse of Salvaging to 15 minutes.',0,0),
(19206,1002447,5,100,'Removes the reuse time of Salvaging.',0,0),
(19207,1002448,1,100,'Blinding Sands'' triggers has a 15% chance to clear the reuse on Winds of Permafrost and Whirl of Permafrost, Icefall and Icefall Strike or Frostbite and Frostbite Slice.',0,0),
(19208,1002448,2,100,'Blinding Sands'' triggers has a 30% chance to clear the reuse on Winds of Permafrost and Whirl of Permafrost, Icefall and Icefall Strike or Frostbite and Frostbite Slice.',0,0),
(19209,1002449,1,100,'Increases Mitigation of caster vs noxious damage by 0',0,0),
(19210,1002449,2,100,'Increases Mitigation of caster vs noxious damage by 0',0,0),
(19211,1002450,1,100,'Reduces the power cost of all Tailor reaction arts by 10%',0,0),
(19212,1002450,2,100,'Reduces the power cost of all Tailor reaction arts by 10%',0,0),
(19213,1002451,1,100,'Increases INT of caster by 2.5',0,0),
(19214,1002451,2,100,'Increases INT of caster by 2.5',0,0),
(19215,1002452,1,100,'Increases maximum savagery level by 1.0.',0,0),
(19216,1002453,1,100,'Increases Crit Chance of caster by 1.2',0,0),
(19217,1002453,2,100,'Increases Crit Chance of caster by 2.3',0,0),
(19218,1002453,3,100,'Increases Crit Chance of caster by 3.5',0,0),
(19219,1002453,4,100,'Increases Crit Chance of caster by 4.7',0,0),
(19220,1002453,5,100,'Increases Crit Chance of caster by 5.8',0,0),
(19221,1002453,6,100,'Increases Crit Chance of caster by 7.0',0,0),
(19222,1002453,7,100,'Increases Crit Chance of caster by 8.2',0,0),
(19223,1002453,8,100,'Increases Crit Chance of caster by 9.3',0,0),
(19224,1002453,9,100,'Increases Crit Chance of caster by 10.5',0,0),
(19225,1002453,10,100,'Increases Crit Chance of caster by 11.7',0,0),
(19226,1002454,1,100,'When damaged this spell has a 4% chance to cast Interrupt Barrier on target.  Lasts for 3.0 seconds.  ',0,0),
(19227,1002454,1,100,'Prevents caster from being Interrupted',1,1),
(19228,1002454,2,100,'When damaged this spell has a 8% chance to cast Interrupt Barrier on target.  Lasts for 3.0 seconds.  ',0,0),
(19229,1002454,2,100,'Prevents caster from being Interrupted',1,1),
(19230,1002454,3,100,'When damaged this spell has a 12% chance to cast Interrupt Barrier on target.  Lasts for 3.0 seconds.  ',0,0),
(19231,1002454,3,100,'Prevents caster from being Interrupted',1,1),
(19232,1002454,4,100,'When damaged this spell has a 16% chance to cast Interrupt Barrier on target.  Lasts for 3.0 seconds.  ',0,0),
(19233,1002454,4,100,'Prevents caster from being Interrupted',1,1),
(19234,1002454,5,100,'When damaged this spell has a 20% chance to cast Interrupt Barrier on target.  Lasts for 3.0 seconds.  ',0,0),
(19235,1002454,5,100,'Prevents caster from being Interrupted',1,1),
(19236,1002454,6,100,'When damaged this spell has a 24% chance to cast Interrupt Barrier on target.  Lasts for 3.0 seconds.  ',0,0),
(19237,1002454,6,100,'Prevents caster from being Interrupted',1,1),
(19238,1002454,7,100,'When damaged this spell has a 26% chance to cast Interrupt Barrier on target.  Lasts for 3.0 seconds.  ',0,0),
(19239,1002454,7,100,'Prevents caster from being Interrupted',1,1),
(19240,1002454,8,100,'When damaged this spell has a 30% chance to cast Interrupt Barrier on target.  Lasts for 3.0 seconds.  ',0,0),
(19241,1002454,8,100,'Prevents caster from being Interrupted',1,1),
(19242,1002454,9,100,'When damaged this spell has a 32% chance to cast Interrupt Barrier on target.  Lasts for 3.0 seconds.  ',0,0),
(19243,1002454,9,100,'Prevents caster from being Interrupted',1,1),
(19244,1002454,10,100,'When damaged this spell has a 34% chance to cast Interrupt Barrier on target.  Lasts for 3.0 seconds.  ',0,0),
(19245,1002454,10,100,'Prevents caster from being Interrupted',1,1),
(19246,1002455,1,100,'Increases INT and STA of caster by 4.0',0,0),
(19247,1002455,2,100,'Increases INT and STA of caster by 8.0',0,0),
(19248,1002455,3,100,'Increases INT and STA of caster by 12.0',0,0),
(19249,1002455,4,100,'Increases INT and STA of caster by 16.0',0,0),
(19250,1002455,5,100,'Increases INT and STA of caster by 20.0',0,0),
(19251,1002455,6,100,'Increases INT and STA of caster by 24.0',0,0),
(19252,1002455,7,100,'Increases INT and STA of caster by 28.0',0,0),
(19253,1002455,8,100,'Increases INT and STA of caster by 32.0',0,0),
(19254,1002455,9,100,'Increases INT and STA of caster by 36.0',0,0),
(19255,1002455,10,100,'Increases INT and STA of caster by 40.0',0,0),
(19256,1002456,1,100,'Increases the triggered effects of the priest''s class death prevention by 10%',0,0),
(19257,1002457,1,100,'Adds 1 extra hate position.',0,0),
(19258,1002456,2,100,'Increases the triggered effects of the priest''s class death prevention by 20%',0,0),
(19259,1002457,2,100,'Adds 2 extra hate positions.',0,0),
(19260,1002456,3,100,'Increases the triggered effects of the priest''s class death prevention by 30%',0,0),
(19261,1002457,3,100,'Adds 3 extra hate positions.',0,0),
(19262,1002456,4,100,'Increases the triggered effects of the priest''s class death prevention by 40%',0,0),
(19263,1002457,4,100,'Adds 4 extra hate positions.',0,0),
(19264,1002457,5,100,'Adds 5 extra hate positions.',0,0),
(19265,1002456,5,100,'Increases the triggered effects of the priest''s class death prevention by 50%',0,0),
(19266,1002456,6,100,'Increases the triggered effects of the priest''s class death prevention by 60%',0,0),
(19267,1002456,7,100,'Increases the triggered effects of the priest''s class death prevention by 70%',0,0),
(19268,1002456,8,100,'Increases the triggered effects of the priest''s class death prevention by 80%',0,0),
(19269,1002456,9,100,'Increases the triggered effects of the priest''s class death prevention by 90%',0,0),
(19270,1002456,10,100,'Adds an extra trigger to the priest''s primary death prevention ability',0,0),
(19271,1002456,10,100,'Increases the triggered effects of the priest''s class death prevention by 100%',0,1),
(19272,1002458,1,100,'Increases INT of caster by 4.0',0,0),
(19273,1002458,2,100,'Increases INT of caster by 4.0',0,0),
(19274,1002459,1,100,'When target falls below 25% health this spell will cast Scale Barrier on target.  Lasts for 3.0 seconds.  ',0,0),
(19275,1002459,1,100,'Reduces all damage done to caster by 10%',1,1),
(19276,1002459,1,100,'This effect can only trigger once every 90.0 seconds.',1,2),
(19277,1002459,2,100,'When target falls below 25% health this spell will cast Scale Barrier on target.  Lasts for 3.0 seconds.  ',0,0),
(19278,1002459,2,100,'Reduces all damage done to caster by 20%',1,1),
(19279,1002459,2,100,'This effect can only trigger once every 90.0 seconds.',1,2),
(19280,1002459,3,100,'When target falls below 25% health this spell will cast Scale Barrier on target.  Lasts for 3.0 seconds.  ',0,0),
(19281,1002459,3,100,'Reduces all damage done to caster by 30%',1,1),
(19282,1002459,3,100,'This effect can only trigger once every 90.0 seconds.',1,2),
(19283,1002459,4,100,'When target falls below 25% health this spell will cast Scale Barrier on target.  Lasts for 3.0 seconds.  ',0,0),
(19284,1002459,4,100,'Reduces all damage done to caster by 40%',1,1),
(19285,1002459,4,100,'This effect can only trigger once every 90.0 seconds.',1,2),
(19286,1002459,5,100,'When target falls below 25% health this spell will cast Scale Barrier on target.  Lasts for 3.0 seconds.  ',0,0),
(19287,1002459,5,100,'Reduces all damage done to caster by 50%',1,1),
(19288,1002459,5,100,'This effect can only trigger once every 90.0 seconds.',1,2),
(19289,1002459,6,100,'When target falls below 25% health this spell will cast Scale Barrier on target.  Lasts for 3.0 seconds.  ',0,0),
(19290,1002459,6,100,'Reduces all damage done to caster by 60%',1,1),
(19291,1002459,6,100,'This effect can only trigger once every 90.0 seconds.',1,2),
(19292,1002459,7,100,'When target falls below 25% health this spell will cast Scale Barrier on target.  Lasts for 3.0 seconds.  ',0,0),
(19293,1002459,7,100,'Reduces all damage done to caster by 70%',1,1),
(19294,1002459,7,100,'This effect can only trigger once every 90.0 seconds.',1,2),
(19295,1002459,8,100,'When target falls below 25% health this spell will cast Scale Barrier on target.  Lasts for 3.0 seconds.  ',0,0),
(19296,1002459,8,100,'Reduces all damage done to caster by 80%',1,1),
(19297,1002459,8,100,'This effect can only trigger once every 90.0 seconds.',1,2),
(19298,1002459,9,100,'When target falls below 25% health this spell will cast Scale Barrier on target.  Lasts for 3.0 seconds.  ',0,0),
(19299,1002459,9,100,'Reduces all damage done to caster by 90%',1,1),
(19300,1002459,9,100,'This effect can only trigger once every 90.0 seconds.',1,2),
(19301,1002459,10,100,'When target falls below 25% health this spell will cast Scale Barrier on target.  Lasts for 3.0 seconds.  ',0,0),
(19302,1002459,10,100,'Reduces all damage done to caster by 100%',1,1),
(19303,1002459,10,100,'This effect can only trigger once every 90.0 seconds.',1,2),
(19304,1002460,1,100,'Reduces the power cost of all Armorer reaction arts by 10%',0,0),
(19305,1002460,2,100,'Reduces the power cost of all Armorer reaction arts by 10%',0,0),
(19306,1002461,1,100,'Increases the progress of the sage by 2 every round.',0,0),
(19307,1002461,2,100,'Increases the progress of the sage by 2 every round.',0,0),
(19308,1002462,1,100,'On a spell cast this spell has a 15% chance to cast Screechwall on caster.  Lasts for 5.0 seconds.  ',0,0),
(19309,1002462,1,100,'Clears the reuse of Veil of Notes.',1,1),
(19310,1002462,1,100,'This effect can only trigger when casting a resurrection spell.',1,2),
(19311,1002462,1,100,'Allows the dirge to cast Sonic Barrier on themselves at any health percentage while Veil of Notes is active.',0,3),
(19312,1002462,2,100,'On a spell cast this spell has a 30% chance to cast Screechwall on caster.  Lasts for 5.0 seconds.  ',0,0),
(19313,1002462,2,100,'Clears the reuse of Veil of Notes.',1,1),
(19314,1002462,2,100,'This effect can only trigger when casting a resurrection spell.',1,2),
(19315,1002462,2,100,'Allows the dirge to cast Sonic Barrier on themselves at any health percentage while Veil of Notes is active.',0,3),
(19316,1002463,1,100,'Increases Scribing of caster by 5.0',0,0),
(19317,1002463,2,100,'Increases Scribing of caster by 5.0',0,0),
(19318,1002464,1,100,'Increases caster''s chance to block by 2.0%',0,0),
(19319,1002464,2,100,'Increases caster''s chance to block by 4.0%',0,0),
(19320,1002464,3,100,'Increases caster''s chance to block by 6.0%',0,0),
(19321,1002464,4,100,'Increases caster''s chance to block by 8.0%',0,0),
(19322,1002464,5,100,'Increases caster''s chance to block by 10.0%',0,0),
(19323,1002466,1,100,'Increases rare harvest chance by 1.0%',0,0),
(19324,1002466,1,100,'Grants the Track Harvestables ability.',0,1),
(19325,1002466,1,100,'Cannot be modified except by direct means',0,2),
(19326,1002466,2,100,'Increases rare harvest chance by 2.0%',0,0),
(19327,1002466,2,100,'Grants the Track Harvestables ability.',0,1),
(19328,1002466,2,100,'Cannot be modified except by direct means',0,2),
(19329,1002466,3,100,'Increases rare harvest chance by 3.0%',0,0),
(19330,1002466,3,100,'Grants the Track Harvestables ability.',0,1),
(19331,1002466,3,100,'Cannot be modified except by direct means',0,2),
(19332,1002466,4,100,'Increases rare harvest chance by 4.0%',0,0),
(19333,1002466,4,100,'Grants the Track Harvestables ability.',0,1),
(19334,1002466,4,100,'Cannot be modified except by direct means',0,2),
(19335,1002466,5,100,'Increases rare harvest chance by 5.0%',0,0),
(19336,1002466,5,100,'Grants the Track Harvestables ability.',0,1),
(19337,1002466,5,100,'Cannot be modified except by direct means',0,2),
(19338,1002467,1,100,'Increases Multi Attack of caster by 2.4',0,0),
(19339,1002467,2,100,'Increases Multi Attack of caster by 4.8',0,0),
(19340,1002467,3,100,'Increases Multi Attack of caster by 7.2',0,0),
(19341,1002467,4,100,'Increases Multi Attack of caster by 9.6',0,0),
(19342,1002467,5,100,'Increases Multi Attack of caster by 12.0',0,0),
(19343,1002467,6,100,'Increases Multi Attack Chance of caster by 14.4',0,0),
(19344,1002467,7,100,'Increases Multi Attack of caster by 16.8',0,0),
(19345,1002467,8,100,'Increases Multi Attack Chance of caster by 19.2',0,0),
(19346,1002467,9,100,'Increases Multi Attack of caster by 21.6',0,0),
(19347,1002467,10,100,'Increases Multi Attack Chance of caster by 24.0',0,0),
(19348,1002468,1,100,'Increases the trigger count of poisons by 25%',0,0),
(19349,1002468,2,100,'Increases the trigger count of poisons by 25%',0,0),
(19350,1002469,1,100,'Improves the mitigation values by 5%.',0,0),
(19351,1002469,2,100,'Improves the mitigation values by 10%.',0,0),
(19352,1002469,3,100,'Improves the mitigation values by 15%.',0,0),
(19353,1002469,4,100,'Improves the mitigation values by 20%.',0,0),
(19354,1002469,5,100,'Improves the mitigation values by 25%.',0,0),
(19355,1002470,1,100,'For every 3 Crit Bonus, the caster gains 1 Potency.',0,0),
(19356,1002471,2,100,'Increases Artistry, Fletching, Sculpting, Metal Shaping, Metalworking, Tailoring, Artificing, Chemistry and Scribing of caster by 5.0',0,0),
(19357,1002472,1,100,'Improves the out of combat run speed by 5%',0,0),
(19358,1002472,2,100,'Improves the out of combat run speed by 10%',0,0),
(19359,1002472,3,100,'Improves the out of combat run speed by 15%',0,0),
(19360,1002472,4,100,'Improves the out of combat run speed by 20%',0,0),
(19361,1002472,5,100,'Improves the out of combat run speed by 25%',0,0),
(19362,1002473,1,100,'Adds 1 additional mental damage strike to Mystic Illusion.',0,0),
(19363,1002473,2,100,'Adds 2 additional mental damage strikes to Mystic Illusion.',0,0),
(19364,1002473,3,100,'Adds 3 additional mental damage strikes to Mystic Illusion.',0,0),
(19365,1002474,1,100,'Improves the duration of Divine Aura by 0.75 seconds.',0,0),
(19366,1002474,2,100,'Improves the duration of Divine Aura by 1.5 seconds.',0,0),
(19367,1002474,3,100,'Improves the duration of Divine Aura by 2.25 seconds.',0,0),
(19368,1002474,4,100,'Improves the duration of Divine Aura by 3 seconds.',0,0),
(19369,1002474,5,100,'Improves the duration of Divine Aura by 3.75 seconds.',0,0),
(19370,1002474,6,100,'Improves the duration of Divine Aura by 4.5 seconds.',0,0),
(19371,1002474,7,100,'Improves the duration of Divine Aura by 5.25 seconds.',0,0),
(19372,1002474,8,100,'Improves the duration of Divine Aura by 6 seconds.',0,0),
(19373,1002475,1,100,'Increases Max Health of caster by 0.5%',0,0),
(19374,1002475,2,100,'Increases Max Health of caster by 1.0%',0,0),
(19375,1002475,3,100,'Increases Max Health of caster by 1.5%',0,0),
(19376,1002475,4,100,'Increases Max Health of caster by 2.0%',0,0),
(19377,1002475,5,100,'Increases Max Health of caster by 2.5%',0,0),
(19378,1002475,6,100,'Increases Max Health of caster by 3.0%',0,0),
(19379,1002475,7,100,'Increases Max Health of caster by 3.5%',0,0),
(19380,1002475,8,100,'Increases Max Health of caster by 4.0%',0,0),
(19381,1002475,9,100,'Increases Max Health of caster by 4.5%',0,0),
(19382,1002475,10,100,'Increases Max Health of caster by 5.0%',0,0),
(19383,1002476,1,100,'Increases STA of caster by 5.0',0,0),
(19384,1002477,1,100,'Seraph''s Restoration has a 2% chance to clear the reuse on True Faith.',0,0),
(19385,1002477,1,100,'Radiance has a 50% chance to clear the reuse on True Faith.',0,1),
(19386,1002477,2,100,'Seraph''s Restoration has a 4% chance to clear the reuse on True Faith.',0,0),
(19387,1002477,2,100,'Radiance has a 100% chance to clear the reuse on True Faith.',0,1),
(19388,1002478,1,100,'Increases Max Power of caster by 2.5%',0,0),
(19389,1002478,2,100,'Increases Max Power of caster by 2.5%',0,0),
(19390,1002479,1,100,'On a block this spell will cast Serene Energy on target.  Lasts for 15.0 seconds.  ',0,0),
(19391,1002479,1,100,'Wards caster against 3216 points of all damage',1,1),
(19392,1002479,1,100,'This effect can only trigger once every 10.0 seconds.',1,2),
(19393,1002480,1,100,'Increases Crit Chance of caster by 1.6',0,0),
(19394,1002480,2,100,'Increases Crit Chance of caster by 3.2',0,0),
(19395,1002480,3,100,'Increases Crit Chance of caster by 4.8',0,0),
(19396,1002480,4,100,'Increases Crit Chance of caster by 6.4',0,0),
(19397,1002480,5,100,'Increases Crit Chance of caster by 8.0',0,0),
(19398,1002480,6,100,'Increases Crit Chance of caster by 9.6',0,0),
(19399,1002480,7,100,'Increases Crit Chance of caster by 11.2',0,0),
(19400,1002480,8,100,'Increases Crit Chance of caster by 12.8',0,0),
(19401,1002480,9,100,'Increases Crit Chance of caster by 14.4',0,0),
(19402,1002480,10,100,'Increases Crit Chance of caster by 16.0',0,0),
(19403,1002481,1,100,'On a beneficial spell cast this spell has a 2% chance to cast Serene Knowledge on target of spell cast.  Lasts for 3.0 seconds.  ',0,0),
(19404,1002481,1,100,'Makes target immune to Stun effects',1,1),
(19405,1002481,1,100,'Prevents target from being Interrupted',1,2),
(19406,1002481,2,100,'On a beneficial spell cast this spell has a 4% chance to cast Serene Knowledge on target of spell cast.  Lasts for 3.0 seconds.  ',0,0),
(19407,1002481,2,100,'Makes target immune to Stun effects',1,1),
(19408,1002481,2,100,'Prevents target from being Interrupted',1,2),
(19409,1002481,3,100,'On a beneficial spell cast this spell has a 6% chance to cast Serene Knowledge on target of spell cast.  Lasts for 3.0 seconds.  ',0,0),
(19410,1002481,3,100,'Makes target immune to Stun effects',1,1),
(19411,1002481,3,100,'Prevents target from being Interrupted',1,2),
(19412,1002481,4,100,'On a beneficial spell cast this spell has a 8% chance to cast Serene Knowledge on target of spell cast.  Lasts for 3.0 seconds.  ',0,0),
(19413,1002481,4,100,'Makes target immune to Stun effects',1,1),
(19414,1002481,4,100,'Prevents target from being Interrupted',1,2),
(19415,1002481,5,100,'On a beneficial spell cast this spell has a 10% chance to cast Serene Knowledge on target of spell cast.  Lasts for 3.0 seconds.  ',0,0),
(19416,1002481,5,100,'Makes target immune to Stun effects',1,1),
(19417,1002481,5,100,'Prevents target from being Interrupted',1,2),
(19418,1002481,6,100,'On a beneficial spell cast this spell has a 12% chance to cast Serene Knowledge on target of spell cast.  Lasts for 3.0 seconds.  ',0,0),
(19419,1002481,6,100,'Makes target immune to Stun effects',1,1),
(19420,1002481,6,100,'Prevents target from being Interrupted',1,2),
(19421,1002481,7,100,'On a beneficial spell cast this spell has a 14% chance to cast Serene Knowledge on target of spell cast.  Lasts for 3.0 seconds.  ',0,0),
(19422,1002481,7,100,'Makes target immune to Stun effects',1,1),
(19423,1002481,7,100,'Prevents target from being Interrupted',1,2),
(19424,1002481,8,100,'On a beneficial spell cast this spell has a 16% chance to cast Serene Knowledge on target of spell cast.  Lasts for 3.0 seconds.  ',0,0),
(19425,1002481,8,100,'Makes target immune to Stun effects',1,1),
(19426,1002481,8,100,'Prevents target from being Interrupted',1,2),
(19427,1002481,9,100,'On a beneficial spell cast this spell has a 18% chance to cast Serene Knowledge on target of spell cast.  Lasts for 3.0 seconds.  ',0,0),
(19428,1002481,9,100,'Makes target immune to Stun effects',1,1),
(19429,1002481,9,100,'Prevents target from being Interrupted',1,2),
(19430,1002481,10,100,'On a beneficial spell cast this spell has a 20% chance to cast Serene Knowledge on target of spell cast.  Lasts for 3.0 seconds.  ',0,0),
(19431,1002481,10,100,'Makes target immune to Stun effects',1,1),
(19432,1002481,10,100,'Prevents target from being Interrupted',1,2),
(19433,1002482,1,100,'Frozen Palm, Arctic Talon and Striking Cobra trigger an effect that increases the monk''s attack speed and weapon skills for a short duration. The effect from these abilities stacks.',0,0),
(19434,1002482,1,100,'Increases the base damage before modifications of Frozen Palm, Arctic Talon and Striking Cobra by 25%.',0,1),
(19435,1002482,2,100,'Frozen Palm, Arctic Talon and Striking Cobra trigger an effect that increases the monk''s attack speed and weapon skills for a short duration. The effect from these abilities stacks.',0,0),
(19436,1002482,2,100,'Increases the base damage before modifications of Frozen Palm, Arctic Talon and Striking Cobra by 50%.',0,1),
(19437,1002482,3,100,'Frozen Palm, Arctic Talon and Striking Cobra trigger an effect that increases the monk''s attack speed and weapon skills for a short duration. The effect from these abilities stacks.',0,0),
(19438,1002482,3,100,'Increases the base damage before modifications of Frozen Palm, Arctic Talon and Striking Cobra by 75%.',0,1),
(19439,1002483,1,100,'Increases STA of caster by 5.0',0,0),
(19440,1002484,1,100,'Improves the base heal amount by 6%.',0,0),
(19441,1002484,2,100,'Improves the base heal amount by 12%.',0,0),
(19442,1002484,3,100,'Improves the base heal amount by 18%.',0,0),
(19443,1002484,4,100,'Improves the base heal amount by 24%.',0,0),
(19444,1002484,5,100,'Improves the base heal amount by 30%.',0,0),
(19445,1002485,1,100,'Improves base auto-attack multiplier of caster by 0.03. Does not apply to spell weapons.',0,0),
(19446,1002485,2,100,'Improves base auto-attack multiplier of caster by 0.06. Does not apply to spell weapons.',0,0),
(19447,1002485,3,100,'Improves base auto-attack multiplier of caster by 0.10. Does not apply to spell weapons.',0,0),
(19448,1002485,4,100,'Improves base auto-attack multiplier of caster by 0.13. Does not apply to spell weapons.',0,0),
(19449,1002485,5,100,'Improves base auto-attack multiplier of caster by 0.16. Does not apply to spell weapons.',0,0),
(19450,1002485,6,100,'Improves base auto-attack multiplier of caster by 0.19. Does not apply to spell weapons.',0,0),
(19451,1002485,7,100,'Improves base auto-attack multiplier of caster by 0.22. Does not apply to spell weapons.',0,0),
(19452,1002485,8,100,'Improves base auto-attack multiplier of caster by 0.26. Does not apply to spell weapons.',0,0),
(19453,1002485,9,100,'Improves base auto-attack multiplier of caster by 0.29. Does not apply to spell weapons.',0,0),
(19454,1002485,10,100,'Improves base auto-attack multiplier of caster by 0.32. Does not apply to spell weapons.',0,0),
(19455,1002486,1,100,'Using Shadow Escape will grant the channeler a single trigger of Shadow Reaction. Using Vengeful Arrow while Shadow Reaction is active will trigger additional damage on enemies near the target of Vengeful Arrow. Using Healing Arrow will trigger additional healing on allies near the channeler.',0,0),
(19456,1002487,1,100,'Increases stealth or invisible movement speed of caster by 15.0%',0,0),
(19457,1002487,2,100,'Increases stealth or invisible movement speed of caster by 15.0%',0,0),
(19458,1002488,1,100,'Increases stealth or invisible movement speed of caster by 1.0%',0,0),
(19459,1002488,2,100,'Increases stealth or invisible movement speed of caster by 2.0%',0,0),
(19460,1002488,3,100,'Increases stealth or invisible movement speed of caster by 3.0%',0,0),
(19461,1002488,4,100,'Increases stealth or invisible movement speed of caster by 4.0%',0,0),
(19462,1002488,5,100,'Increases stealth or invisible movement speed of caster by 5.0%',0,0),
(19463,1002489,1,100,'Adds an additional effect which reduces the encounters attack speed.',0,0),
(19464,1002490,1,100,'Improves the duration and radius of Shadow Bind by 10%',0,0),
(19465,1002490,2,100,'Improves the duration and radius of Shadow Bind by 20%',0,0),
(19466,1002489,2,100,'Adds an additional effect which reduces the encounters attack speed.',0,0),
(19467,1002490,3,100,'Improves the duration and radius of Shadow Bind by 30%',0,0),
(19468,1002489,3,100,'Adds an additional effect which reduces the encounters attack speed.',0,0),
(19469,1002490,4,100,'Improves the duration and radius of Shadow Bind by 40%',0,0),
(19470,1002489,4,100,'Adds an additional effect which reduces the encounters attack speed.',0,0),
(19471,1002489,5,100,'Adds an additional effect which reduces the encounters attack speed.',0,0),
(19472,1002490,5,100,'Improves the duration and radius of Shadow Bind by 50%',0,0),
(19473,1002491,1,100,'Increases stealth or invisible movement speed of caster by 2.5%',0,0),
(19474,1002491,2,100,'Increases stealth or invisible movement speed of caster by 5.0%',0,0),
(19475,1002491,3,100,'Increases stealth or invisible movement speed of caster by 7.5%',0,0),
(19476,1002491,4,100,'Increases stealth or invisible movement speed of caster by 10.0%',0,0),
(19477,1002491,5,100,'Increases stealth or invisible movement speed of caster by 12.5%',0,0),
(19478,1002492,1,100,'For every 3 Crit Bonus, the caster gains 1 Potency.',0,0),
(19479,1002493,1,100,'Increases stealth or invisible movement speed of caster by 15.0%',0,0),
(19480,1002493,2,100,'Increases stealth or invisible movement speed of caster by 15.0%',0,0),
(19481,1002494,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 2%',0,0),
(19482,1002494,2,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 3%',0,0),
(19483,1002494,3,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 5%',0,0),
(19484,1002494,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 6%',0,0),
(19485,1002494,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 8%',0,0),
(19486,1002494,6,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 9%',0,0),
(19487,1002494,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 11%',0,0),
(19488,1002494,8,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 12%',0,0),
(19489,1002494,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 14%',0,0),
(19490,1002494,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,0),
(19491,1002495,1,100,'Improves the duration of food by 15%',0,0),
(19492,1002495,2,100,'Improves the duration of food by 15%',0,0),
(19493,1002496,1,100,'When the target of Construct''s Interception takes damage more than 40% of maximum health, they will have incoming damage reduced for a short duration. This can only trigger once every 60 seconds.',0,0),
(19494,1002497,1,100,'Increases WIS and STA of caster by 4.0',0,0),
(19495,1002497,2,100,'Increases WIS and STA of caster by 8.0',0,0),
(19496,1002497,3,100,'Increases WIS and STA of caster by 12.0',0,0),
(19497,1002497,4,100,'Increases WIS and STA of caster by 16.0',0,0),
(19498,1002497,5,100,'Increases WIS and STA of caster by 20.0',0,0),
(19499,1002497,6,100,'Increases WIS and STA of caster by 24.0',0,0),
(19500,1002497,7,100,'Increases WIS and STA of caster by 28.0',0,0),
(19501,1002497,8,100,'Increases WIS and STA of caster by 32.0',0,0),
(19502,1002497,9,100,'Increases WIS and STA of caster by 36.0',0,0),
(19503,1002497,10,100,'Increases WIS and STA of caster by 40.0',0,0),
(19504,1002499,1,100,'Increases INT of caster by 4.0',0,0),
(19505,1002499,2,100,'Increases INT of caster by 4.0',0,0),
(19506,1002500,1,100,'Increases Piercing and Ranged of caster by 5.0',0,0),
(19507,1002500,2,100,'Increases Piercing and Ranged of caster by 5.0',0,0),
(19508,1002501,1,100,'For every 3 Crit Bonus, the caster gains 1 Potency.',0,0),
(19509,1002502,1,100,'Caster will Parry 0.5% of incoming attacks',0,0),
(19510,1002502,1,100,'Increases caster''s chance to block by 3.0%',0,1),
(19511,1002502,2,100,'Caster will Parry 1.0% of incoming attacks',0,0),
(19512,1002502,2,100,'Increases caster''s chance to block by 6.0%',0,1),
(19513,1002502,3,100,'Caster will Parry 1.5% of incoming attacks',0,0),
(19514,1002502,3,100,'Increases caster''s chance to block by 9.0%',0,1),
(19515,1002502,4,100,'Caster will Parry 2.0% of incoming attacks',0,0),
(19516,1002502,4,100,'Increases caster''s chance to block by 12.0%',0,1),
(19517,1002502,5,100,'Caster will Parry 2.5% of incoming attacks',0,0),
(19518,1002502,5,100,'Increases caster''s chance to block by 15.0%',0,1),
(19519,1002502,6,100,'Caster will Parry 3.0% of incoming attacks',0,0),
(19520,1002502,6,100,'Increases caster''s chance to block by 18.0%',0,1),
(19521,1002502,7,100,'Caster will Parry 3.5% of incoming attacks',0,0),
(19522,1002502,7,100,'Increases caster''s chance to block by 21.0%',0,1),
(19523,1002502,8,100,'Caster will Parry 4.0% of incoming attacks',0,0),
(19524,1002502,8,100,'Increases caster''s chance to block by 24.0%',0,1),
(19525,1002502,9,100,'Caster will Parry 4.5% of incoming attacks',0,0),
(19526,1002502,9,100,'Increases caster''s chance to block by 27.0%',0,1),
(19527,1002502,10,100,'Caster will Parry 5.0% of incoming attacks',0,0),
(19528,1002502,10,100,'Increases caster''s chance to block by 30.0%',0,1),
(19529,1002503,1,100,'Increases the damage by 4%',0,0),
(19530,1002503,1,100,'Increases the hit modifier by 2',0,1),
(19531,1002503,2,100,'Increases the damage by 8%',0,0),
(19532,1002503,2,100,'Increases the hit modifier by 4',0,1),
(19533,1002503,3,100,'Increases the damage by 12%',0,0),
(19534,1002503,3,100,'Increases the hit modifier by 6',0,1),
(19535,1002503,4,100,'Increases the damage by 16%',0,0),
(19536,1002503,4,100,'Increases the hit modifier by 8',0,1),
(19537,1002503,5,100,'Increases the damage by 20%',0,0),
(19538,1002503,5,100,'Increases the hit modifier by 10',0,1),
(19539,1002504,1,100,'Increases Mitigation of caster vs arcane damage by 3',0,0),
(19540,1002504,2,100,'Increases Mitigation of caster vs arcane damage by 3',0,0),
(19541,1002505,1,100,'Applies Shield of Bones to qualifying pets.',0,0),
(19542,1002505,1,100,'Increases target''s chance to block by 1.0%',1,1),
(19543,1002505,2,100,'Applies Shield of Bones to qualifying pets.',0,0),
(19544,1002505,2,100,'Increases target''s chance to block by 2.0%',1,1),
(19545,1002505,3,100,'Applies Shield of Bones to qualifying pets.',0,0),
(19546,1002505,3,100,'Increases target''s chance to block by 3.0%',1,1),
(19547,1002505,4,100,'Applies Shield of Bones to qualifying pets.',0,0),
(19548,1002505,4,100,'Increases target''s chance to block by 4.0%',1,1),
(19549,1002505,5,100,'Applies Shield of Bones to qualifying pets.',0,0),
(19550,1002505,5,100,'Increases target''s chance to block by 5.0%',1,1),
(19551,1002506,1,100,'Improves the damage by 3%.',0,0),
(19552,1002506,2,100,'Improves the damage by 6%.',0,0),
(19553,1002506,3,100,'Improves the damage by 9%.',0,0),
(19554,1002506,4,100,'Improves the damage by 12%.',0,0),
(19555,1002506,5,100,'Improves the damage by 15%.',0,0),
(19556,1002507,1,100,'Increases Mitigation of caster vs noxious damage by 3',0,0),
(19557,1002507,2,100,'Increases Mitigation of caster vs noxious damage by 3',0,0),
(19558,1002508,1,100,'Reduces physical damage done to caster by up to 70.88.',0,0),
(19559,1002508,2,100,'Reduces physical damage done to caster by up to 140.8.',0,0),
(19560,1002508,3,100,'Reduces physical damage done to caster by up to 211.2.',0,0),
(19561,1002508,4,100,'Reduces physical damage done to caster by up to 281.6.',0,0),
(19562,1002508,5,100,'Reduces physical damage done to caster by up to 352.',0,0),
(19563,1002509,1,100,'Increases in-combat movement speed of caster by 1.3%',0,0),
(19564,1002509,1,100,'Increases speed of caster by 1.3%',0,1),
(19565,1002509,2,100,'Increases in-combat movement speed of caster by 2.5%',0,0),
(19566,1002509,2,100,'Increases speed of caster by 2.5%',0,1),
(19567,1002509,3,100,'Increases in-combat movement speed of caster by 3.7%',0,0),
(19568,1002509,3,100,'Increases speed of caster by 3.7%',0,1),
(19569,1002509,4,100,'Increases in-combat movement speed of caster by 5.0%',0,0),
(19570,1002509,4,100,'Increases speed of caster by 5.0%',0,1),
(19571,1002509,5,100,'Increases in-combat movement speed of caster by 6.2%',0,0),
(19572,1002509,5,100,'Increases speed of caster by 6.2%',0,1),
(19573,1002509,6,100,'Increases in-combat movement speed of caster by 7.5%',0,0),
(19574,1002509,6,100,'Increases speed of caster by 7.5%',0,1),
(19575,1002509,7,100,'Increases in-combat movement speed of caster by 8.8%',0,0),
(19576,1002509,7,100,'Increases speed of caster by 8.8%',0,1),
(19577,1002509,8,100,'Increases in-combat movement speed of caster by 10.0%',0,0),
(19578,1002509,8,100,'Increases speed of caster by 10.0%',0,1),
(19579,1002509,9,100,'Increases in-combat movement speed of caster by 11.3%',0,0),
(19580,1002509,9,100,'Increases speed of caster by 11.3%',0,1),
(19581,1002509,10,100,'Increases in-combat movement speed of caster by 12.5%',0,0),
(19582,1002509,10,100,'Increases speed of caster by 12.5%',0,1),
(19583,1002510,1,100,'Improves the damage by 2%.',0,0),
(19584,1002510,1,100,'Improves critical damage by 1%.',0,1),
(19585,1002510,2,100,'Improves the damage by 4%.',0,0),
(19586,1002510,2,100,'Improves critical damage by 2%.',0,1),
(19587,1002510,3,100,'Improves the damage by 6%.',0,0),
(19588,1002510,3,100,'Improves critical damage by 3%.',0,1),
(19589,1002510,4,100,'Improves the damage by 8%.',0,0),
(19590,1002510,4,100,'Improves critical damage by 4%.',0,1),
(19591,1002510,5,100,'Improves the damage by 10%.',0,0),
(19592,1002510,5,100,'Improves critical damage by 5%.',0,1),
(19593,1002511,1,100,'Increases Max Health of caster by 3.0%',0,0),
(19594,1002511,2,100,'Increases Max Health of caster by 3.0%',0,0),
(19595,1002512,1,100,'Improves the reuse speed by 6 seconds.',0,0),
(19596,1002512,1,100,'Reduces the power drain to 1.4% per tick',0,1),
(19597,1002512,2,100,'Improves the reuse speed by 12 seconds.',0,0),
(19598,1002512,2,100,'Reduces the power drain to 1.3% per tick',0,1),
(19599,1002512,3,100,'Improves the reuse speed by 18 seconds.',0,0),
(19600,1002512,3,100,'Reduces the power drain to 1.2% per tick',0,1),
(19601,1002512,4,100,'Improves the reuse speed by 24 seconds.',0,0),
(19602,1002512,4,100,'Reduces the power drain to 1.1% per tick',0,1),
(19603,1002512,5,100,'Improves the reuse speed by 30 seconds.',0,0),
(19604,1002512,5,100,'Reduces the power drain to 1% per tick',0,1),
(19605,1002513,1,100,'Improves the damage by 3%',0,0),
(19606,1002513,1,100,'Improves the chance to critically strike by 2%.',0,1),
(19607,1002513,2,100,'Improves the damage by 6%',0,0),
(19608,1002513,2,100,'Improves the chance to critically strike by 4%.',0,1),
(19609,1002513,3,100,'Improves the damage by 9%',0,0),
(19610,1002513,3,100,'Improves the chance to critically strike by 6%.',0,1),
(19611,1002513,4,100,'Improves the damage by 12%',0,0),
(19612,1002513,4,100,'Improves the chance to critically strike by 8%.',0,1),
(19613,1002513,5,100,'Improves the damage by 15%',0,0),
(19614,1002513,5,100,'Improves the chance to critically strike by 10%.',0,1),
(19615,1002514,1,100,'Adds a threat component to Shroud of Bertoxxulous.',0,0),
(19616,1002514,2,100,'Adds a threat component to Shroud of Bertoxxulous.',0,0),
(19617,1002514,3,100,'Adds a threat component to Shroud of Bertoxxulous.',0,0),
(19618,1002514,4,100,'Adds a threat component to Shroud of Bertoxxulous.',0,0),
(19619,1002514,5,100,'Adds a threat component to Shroud of Bertoxxulous.',0,0),
(19620,1002515,2,100,'Increases Health Regen of caster by 9.0',0,0),
(19621,1002516,1,100,'Improves the base damage by 4%.',0,0),
(19622,1002516,2,100,'Improves the base damage by 8%.',0,0),
(19623,1002516,3,100,'Improves the base damage by 12%.',0,0),
(19624,1002516,4,100,'Improves the base damage by 16%.',0,0),
(19625,1002516,5,100,'Improves the base damage by 20%.',0,0),
(19626,1002517,1,100,'Improves the damage by 2%.',0,0),
(19627,1002517,1,100,'Improves the critical damage by 1%',0,1),
(19628,1002517,2,100,'Improves the damage by 4%.',0,0),
(19629,1002517,2,100,'Improves the critical damage by 2%',0,1),
(19630,1002517,3,100,'Improves the damage by 6%.',0,0),
(19631,1002517,3,100,'Improves the critical damage by 3%',0,1),
(19632,1002517,4,100,'Improves the damage by 8%.',0,0),
(19633,1002517,4,100,'Improves the critical damage by 4%',0,1),
(19634,1002517,5,100,'Improves the damage by 10%.',0,0),
(19635,1002517,5,100,'Improves the critical damage by 5%',0,1),
(19636,1002518,1,100,'Improves the base damage by 3%.',0,0),
(19637,1002518,1,100,'Reduces the duration by 5%.',0,1),
(19638,1002518,2,100,'Improves the base damage by 6%.',0,0),
(19639,1002518,2,100,'Reduces the duration by 10%.',0,1),
(19640,1002518,3,100,'Improves the base damage by 9%.',0,0),
(19641,1002518,3,100,'Reduces the duration by 15%.',0,1),
(19642,1002518,4,100,'Improves the base damage by 12%.',0,0),
(19643,1002518,4,100,'Reduces the duration by 20%.',0,1),
(19644,1002518,5,100,'Improves the base damage by 15%.',0,0),
(19645,1002518,5,100,'Reduces the duration by 25%.',0,1),
(19646,1002519,1,100,'Decreases the base reuse time by 5 seconds.',0,0),
(19647,1002519,2,100,'Decreases the base reuse time by 10 seconds.',0,0),
(19648,1002519,3,100,'Decreases the base reuse time by 15 seconds.',0,0),
(19649,1002519,4,100,'Increases the base damage and heal amount by 20%.',0,0),
(19650,1002519,5,100,'Decreases the base reuse time by 25 seconds.',0,0),
(19651,1002520,1,100,'Clara''s Chaotic Cacophony will grant a triggered damage effect on melee attacks.',0,0),
(19652,1002520,1,100,'Daro''s Sorrowful Dirge will increase the group''s attack speed and movement speed.',0,1),
(19653,1002520,1,100,'Disheartening Descant will increase the group''s strength and agility.',0,2),
(19654,1002520,1,100,'Zander''s Choral Rebuff will grant a triggered damage effect that applies on spell attacks.',0,3),
(19655,1002520,2,100,'Clara''s Chaotic Cacophony will grant a triggered damage effect on melee attacks.',0,0),
(19656,1002520,2,100,'Daro''s Sorrowful Dirge will increase the group''s attack speed and movement speed.',0,1),
(19657,1002520,2,100,'Disheartening Descant will increase the group''s strength and agility.',0,2),
(19658,1002520,2,100,'Zander''s Choral Rebuff will grant a triggered damage effect that applies on spell attacks.',0,3),
(19659,1002520,3,100,'Clara''s Chaotic Cacophony will grant a triggered damage effect on melee attacks.',0,0),
(19660,1002520,3,100,'Daro''s Sorrowful Dirge will increase the group''s attack speed and movement speed.',0,1),
(19661,1002520,3,100,'Disheartening Descant will increase the group''s strength and agility.',0,2),
(19662,1002520,3,100,'Zander''s Choral Rebuff will grant a triggered damage effect that applies on spell attacks.',0,3),
(19663,1002521,1,100,'Increases caster''s chance to block by 1.0%',0,0),
(19664,1002521,1,100,'Increases DPS of caster by 1.0',0,1),
(19665,1002521,2,100,'Increases caster''s chance to block by 2.0%',0,0),
(19666,1002521,2,100,'Increases Damage Per Second of caster by 2.0',0,1),
(19667,1002521,3,100,'Increases caster''s chance to block by 3.0%',0,0),
(19668,1002521,3,100,'Increases Damage Per Second of caster by 3.0',0,1),
(19669,1002521,4,100,'Increases caster''s chance to block by 4.0%',0,0),
(19670,1002521,4,100,'Increases DPS of caster by 4.0',0,1),
(19671,1002521,5,100,'Increases caster''s chance to block by 5.0%',0,0),
(19672,1002521,5,100,'Increases Damage Per Second of caster by 5.0',0,1),
(19673,1002521,6,100,'Increases caster''s chance to block by 6.0%',0,0),
(19674,1002521,6,100,'Increases Damage Per Second of caster by 6.0',0,1),
(19675,1002521,7,100,'Increases caster''s chance to block by 7.0%',0,0),
(19676,1002521,7,100,'Increases DPS of caster by 7.0',0,1),
(19677,1002521,8,100,'Increases caster''s chance to block by 8.0%',0,0),
(19678,1002521,8,100,'Increases DPS of caster by 8.0',0,1),
(19679,1002521,9,100,'Increases caster''s chance to block by 9.0%',0,0),
(19680,1002521,9,100,'Increases DPS of caster by 9.0',0,1),
(19681,1002521,10,100,'Increases caster''s chance to block by 10.0%',0,0),
(19682,1002521,10,100,'Increases Damage Per Second of caster by 10.0',0,1),
(19683,1002522,1,100,'Increases STA of caster by 6.0',0,0),
(19684,1002523,1,100,'Adds an additional 1% to the Damage Per Second',0,0),
(19685,1002523,2,100,'Adds an additional 2% to the Damage Per Second',0,0),
(19686,1002523,3,100,'Adds an additional 3% to the Damage Per Second',0,0),
(19687,1002523,4,100,'Adds an additional 4% to the Damage Per Second',0,0),
(19688,1002523,5,100,'Adds an additional 5% to the Damage Per Second',0,0),
(19689,1002524,1,100,'Increases success chance by 2.0%',0,0),
(19690,1002524,2,100,'Increases success chance by 2.0%',0,0),
(19691,1002525,1,100,'Improves the hate transfer amount by 1%.',0,0),
(19692,1002525,2,100,'Improves the hate transfer amount by 2%.',0,0),
(19693,1002525,3,100,'Improves the hate transfer amount by 3%.',0,0),
(19694,1002525,4,100,'Improves the hate transfer amount by 4%.',0,0),
(19695,1002525,5,100,'Improves the hate transfer amount by 5%.',0,0),
(19696,1002526,1,100,'Increases Defense, Parry and Deflection of caster by 5.0',0,0),
(19697,1002526,2,100,'Increases Defense, Parry and Deflection of caster by 5.0',0,0),
(19698,1002527,1,100,'Increases success chance by 2.0%',0,0),
(19699,1002527,2,100,'Increases success chance by 2.0%',0,0),
(19700,1002528,1,100,'Reduces the power cost of carpentry reaction arts by 9%.',0,0),
(19701,1002528,2,100,'Reduces the power cost of carpentry reaction arts by 9.5%.',0,0),
(19702,1002529,1,100,'Increases success chance by 2.0%',0,0),
(19703,1002529,2,100,'Increases success chance by 2.0%',0,0),
(19704,1002530,1,100,'Adds a ward which protects the ally from physical attacks.',0,0),
(19705,1002530,2,100,'Adds a ward which protects the ally from physical attacks.',0,0),
(19706,1002530,3,100,'Adds a ward which protects the ally from physical attacks.',0,0),
(19707,1002530,4,100,'Adds a ward which protects the ally from physical attacks.',0,0),
(19708,1002530,5,100,'Adds a ward which protects the ally from physical attacks.',0,0),
(19709,1002531,1,100,'Increases Ability Reuse Speed of caster by 1.0%',0,0),
(19710,1002531,2,100,'Increases Ability Reuse Speed of caster by 2.0%',0,0),
(19711,1002531,3,100,'Increases Ability Reuse Speed of caster by 3.0%',0,0),
(19712,1002531,4,100,'Increases Ability Reuse Speed of caster by 4.0%',0,0),
(19713,1002531,5,100,'Increases Ability Reuse Speed of caster by 5.0%',0,0),
(19714,1002531,6,100,'Increases Ability Reuse Speed of caster by 6.0%',0,0),
(19715,1002531,7,100,'Increases Ability Reuse Speed of caster by 7.0%',0,0),
(19716,1002531,8,100,'Increases Ability Reuse Speed of caster by 8.0%',0,0),
(19717,1002532,1,100,'Increases INT of caster by 8.0',0,0),
(19718,1002533,1,100,'Increases Haste of caster by 1.8',0,0),
(19719,1002533,2,100,'Increases Attack Speed of caster by 3.5',0,0),
(19720,1002533,3,100,'Increases Haste of caster by 5.3',0,0),
(19721,1002533,4,100,'Increases Attack Speed of caster by 7.0',0,0),
(19722,1002533,5,100,'Increases Attack Speed of caster by 8.8',0,0),
(19723,1002533,6,100,'Increases Haste of caster by 10.6',0,0),
(19724,1002533,7,100,'Increases Attack Speed of caster by 12.3',0,0),
(19725,1002533,8,100,'Increases Haste of caster by 14.1',0,0),
(19726,1002533,9,100,'Increases Haste of caster by 15.8',0,0),
(19727,1002533,10,100,'Increases Attack Speed of caster by 17.6',0,0),
(19728,1002534,1,100,'Improves physical mitigation reduction by 10%.',0,0),
(19729,1002534,2,100,'Improves physical mitigation reduction by 20%.',0,0),
(19730,1002534,3,100,'Improves physical mitigation reduction by 30%.',0,0),
(19731,1002534,4,100,'Improves physical mitigation reduction by 40%.',0,0),
(19732,1002534,5,100,'Improves physical mitigation reduction by 50%.',0,0),
(19733,1002535,1,100,'Increases Mitigation of caster vs physical damage by 3',0,0),
(19734,1002535,2,100,'Increases Mitigation of caster vs physical damage by 3',0,0),
(19735,1002536,1,100,'Increases the duration of tradeskilled potions by 15%.',0,0),
(19736,1002536,2,100,'Increases the duration of tradeskilled potions by 15%.',0,0),
(19737,1002537,1,100,'Lay on Hands will apply four triggers of damage to the caster.',0,0),
(19738,1002538,1,100,'Increases spell damage by 25%',0,0),
(19739,1002539,1,100,'Improves the duration of food by 15%',0,0),
(19740,1002539,2,100,'Improves the duration of food by 15%',0,0),
(19741,1002540,1,100,'Vengeful Arrow has a 3.5% chance to make the next active Slot 4, 5, 6, 7, or 8 Conduit use no Dissonance.',0,0),
(19742,1002540,2,100,'Vengeful Arrow has a 7% chance to make the next active Slot 4, 5, 6, 7, or 8 Conduit use no Dissonance.',0,0),
(19743,1002541,1,100,'Caster will have their chance to hit with a weapon increased by 3.0%',0,0),
(19744,1002541,1,100,'Gives caster a 3.0% chance to strikethrough a successful avoidance check',0,1),
(19745,1002541,2,100,'Caster will have their chance to hit with a weapon increased by 6.0%',0,0),
(19746,1002541,2,100,'Gives caster a 6.0% chance to strikethrough a successful avoidance check',0,1),
(19747,1002541,3,100,'Caster will have their chance to hit with a weapon increased by 9.0%',0,0),
(19748,1002541,3,100,'Gives caster a 9.0% chance to strikethrough a successful avoidance check',0,1),
(19749,1002541,4,100,'Caster will have their chance to hit with a weapon increased by 12.0%',0,0),
(19750,1002541,4,100,'Gives caster a 12.0% chance to strikethrough a successful avoidance check',0,1),
(19751,1002541,5,100,'Caster will have their chance to hit with a weapon increased by 15.0%',0,0),
(19752,1002541,5,100,'Gives caster a 15.0% chance to strikethrough a successful avoidance check',0,1),
(19753,1002542,1,100,'Increases the duration by 0.4 seconds.',0,0),
(19754,1002542,1,100,'Improves the damage by 4%.',0,1),
(19755,1002542,2,100,'Increases the duration by 0.8 seconds.',0,0),
(19756,1002542,2,100,'Improves the damage by 8%.',0,1),
(19757,1002542,3,100,'Increases the duration by 1.2 seconds.',0,0),
(19758,1002542,3,100,'Improves the damage by 12%.',0,1),
(19759,1002542,4,100,'Increases the duration by 1.6 seconds.',0,0),
(19760,1002542,4,100,'Improves the damage by 16%.',0,1),
(19761,1002542,5,100,'Increases the duration by 2 seconds.',0,0),
(19762,1002542,5,100,'Improves the damage by 20%.',0,1),
(19763,1002543,1,100,'Increases the Weapon Damage Bonus of the group by 4% when the mystic gets two increment of Ferocity of Spirits.',0,0),
(19764,1002543,2,100,'Increases the Weapon Damage Bonus of the group by 8% when the mystic gets two increment of Ferocity of Spirits.',0,0),
(19765,1002543,3,100,'Increases the Weapon Damage Bonus of the group by 12% when the mystic gets two increment of Ferocity of Spirits.',0,0),
(19766,1002544,1,100,'Decreases falling damage taken by caster by 15.0%',0,0),
(19767,1002544,2,100,'Decreases falling damage taken by caster by 15.0%',0,0),
(19768,1002545,1,100,'Improves the casting speed of beneficial spells by 2%.',0,0),
(19769,1002545,2,100,'Improves the casting speed of beneficial spells by 2%.',0,0),
(19770,1002546,1,100,'Applies Solid Armor to qualifying pets.',0,0),
(19771,1002546,1,100,'Reduces all damage done to caster by 1%',1,1),
(19772,1002547,1,100,'Applies Solid Armor to qualifying pets.',0,0),
(19773,1002547,1,100,'Reduces all damage done to caster by 1%',1,1),
(19774,1002548,1,100,'Applies Solid Armor to qualifying pets.',0,0),
(19775,1002548,1,100,'Reduces all damage done to caster by 1%',1,1),
(19776,1002549,1,100,'Applies Solid Armor to qualifying pets.',0,0),
(19777,1002549,1,100,'Reduces all damage done to caster by 1%',1,1),
(19778,1002550,1,100,'Applies Solid Armor to qualifying pets.',0,0),
(19779,1002550,1,100,'Reduces all damage done to caster by 1%',1,1),
(19780,1002551,1,100,'Applies Solid Armor to qualifying pets.',0,0),
(19781,1002551,1,100,'Reduces all damage done to caster by 1%',1,1),
(19782,1002552,1,100,'Applies Solid Armor to qualifying pets.',0,0),
(19783,1002552,1,100,'Reduces all damage done to caster by 1%',1,1),
(19784,1002548,2,100,'Applies Solid Armor to qualifying pets.',0,0),
(19785,1002548,2,100,'Reduces all damage done to caster by 2%',1,1),
(19786,1002550,2,100,'Applies Solid Armor to qualifying pets.',0,0),
(19787,1002550,2,100,'Reduces all damage done to caster by 2%',1,1),
(19788,1002552,2,100,'Applies Solid Armor to qualifying pets.',0,0),
(19789,1002552,2,100,'Reduces all damage done to caster by 2%',1,1),
(19790,1002546,2,100,'Applies Solid Armor to qualifying pets.',0,0),
(19791,1002546,2,100,'Reduces all damage done to caster by 2%',1,1),
(19792,1002551,2,100,'Applies Solid Armor to qualifying pets.',0,0),
(19793,1002551,2,100,'Reduces all damage done to caster by 2%',1,1),
(19794,1002549,2,100,'Applies Solid Armor to qualifying pets.',0,0),
(19795,1002549,2,100,'Reduces all damage done to caster by 2%',1,1),
(19796,1002550,3,100,'Applies Solid Armor to qualifying pets.',0,0),
(19797,1002550,3,100,'Reduces all damage done to caster by 3%',1,1),
(19798,1002552,3,100,'Applies Solid Armor to qualifying pets.',0,0),
(19799,1002552,3,100,'Reduces all damage done to caster by 3%',1,1),
(19800,1002546,3,100,'Applies Solid Armor to qualifying pets.',0,0),
(19801,1002546,3,100,'Reduces all damage done to caster by 3%',1,1),
(19802,1002551,3,100,'Applies Solid Armor to qualifying pets.',0,0),
(19803,1002551,3,100,'Reduces all damage done to caster by 3%',1,1),
(19804,1002549,3,100,'Applies Solid Armor to qualifying pets.',0,0),
(19805,1002549,3,100,'Reduces all damage done to caster by 3%',1,1),
(19806,1002548,3,100,'Applies Solid Armor to qualifying pets.',0,0),
(19807,1002548,3,100,'Reduces all damage done to caster by 3%',1,1),
(19808,1002552,4,100,'Applies Solid Armor to qualifying pets.',0,0),
(19809,1002552,4,100,'Reduces all damage done to caster by 4%',1,1),
(19810,1002546,4,100,'Applies Solid Armor to qualifying pets.',0,0),
(19811,1002546,4,100,'Reduces all damage done to caster by 4%',1,1),
(19812,1002551,4,100,'Applies Solid Armor to qualifying pets.',0,0),
(19813,1002551,4,100,'Reduces all damage done to caster by 4%',1,1),
(19814,1002549,4,100,'Applies Solid Armor to qualifying pets.',0,0),
(19815,1002549,4,100,'Reduces all damage done to caster by 4%',1,1),
(19816,1002550,4,100,'Applies Solid Armor to qualifying pets.',0,0),
(19817,1002550,4,100,'Reduces all damage done to caster by 4%',1,1),
(19818,1002548,4,100,'Applies Solid Armor to qualifying pets.',0,0),
(19819,1002548,4,100,'Reduces all damage done to caster by 4%',1,1),
(19820,1002548,5,100,'Applies Solid Armor to qualifying pets.',0,0),
(19821,1002548,5,100,'Reduces all damage done to caster by 5%',1,1),
(19822,1002552,5,100,'Applies Solid Armor to qualifying pets.',0,0),
(19823,1002552,5,100,'Reduces all damage done to caster by 5%',1,1),
(19824,1002551,5,100,'Applies Solid Armor to qualifying pets.',0,0),
(19825,1002551,5,100,'Reduces all damage done to caster by 5%',1,1),
(19826,1002549,5,100,'Applies Solid Armor to qualifying pets.',0,0),
(19827,1002549,5,100,'Reduces all damage done to caster by 5%',1,1),
(19828,1002550,5,100,'Applies Solid Armor to qualifying pets.',0,0),
(19829,1002550,5,100,'Reduces all damage done to caster by 5%',1,1),
(19830,1002546,5,100,'Applies Solid Armor to qualifying pets.',0,0),
(19831,1002546,5,100,'Reduces all damage done to caster by 5%',1,1),
(19832,1002548,6,100,'Applies Solid Armor to qualifying pets.',0,0),
(19833,1002548,6,100,'Reduces all damage done to caster by 6%',1,1),
(19834,1002550,6,100,'Applies Solid Armor to qualifying pets.',0,0),
(19835,1002550,6,100,'Reduces all damage done to caster by 6%',1,1),
(19836,1002552,6,100,'Applies Solid Armor to qualifying pets.',0,0),
(19837,1002552,6,100,'Reduces all damage done to caster by 6%',1,1),
(19838,1002551,6,100,'Applies Solid Armor to qualifying pets.',0,0),
(19839,1002551,6,100,'Reduces all damage done to caster by 6%',1,1),
(19840,1002549,6,100,'Applies Solid Armor to qualifying pets.',0,0),
(19841,1002549,6,100,'Reduces all damage done to caster by 6%',1,1),
(19842,1002546,6,100,'Applies Solid Armor to qualifying pets.',0,0),
(19843,1002546,6,100,'Reduces all damage done to caster by 6%',1,1),
(19844,1002546,7,100,'Applies Solid Armor to qualifying pets.',0,0),
(19845,1002546,7,100,'Reduces all damage done to caster by 7%',1,1),
(19846,1002549,7,100,'Applies Solid Armor to qualifying pets.',0,0),
(19847,1002549,7,100,'Reduces all damage done to caster by 7%',1,1),
(19848,1002552,7,100,'Applies Solid Armor to qualifying pets.',0,0),
(19849,1002552,7,100,'Reduces all damage done to caster by 7%',1,1),
(19850,1002551,7,100,'Applies Solid Armor to qualifying pets.',0,0),
(19851,1002551,7,100,'Reduces all damage done to caster by 7%',1,1),
(19852,1002550,7,100,'Applies Solid Armor to qualifying pets.',0,0),
(19853,1002550,7,100,'Reduces all damage done to caster by 7%',1,1),
(19854,1002548,7,100,'Applies Solid Armor to qualifying pets.',0,0),
(19855,1002548,7,100,'Reduces all damage done to caster by 7%',1,1),
(19856,1002548,8,100,'Applies Solid Armor to qualifying pets.',0,0),
(19857,1002548,8,100,'Reduces all damage done to caster by 8%',1,1),
(19858,1002550,8,100,'Applies Solid Armor to qualifying pets.',0,0),
(19859,1002550,8,100,'Reduces all damage done to caster by 8%',1,1),
(19860,1002552,8,100,'Applies Solid Armor to qualifying pets.',0,0),
(19861,1002552,8,100,'Reduces all damage done to caster by 8%',1,1),
(19862,1002551,8,100,'Applies Solid Armor to qualifying pets.',0,0),
(19863,1002551,8,100,'Reduces all damage done to caster by 8%',1,1),
(19864,1002549,8,100,'Applies Solid Armor to qualifying pets.',0,0),
(19865,1002549,8,100,'Reduces all damage done to caster by 8%',1,1),
(19866,1002546,8,100,'Applies Solid Armor to qualifying pets.',0,0),
(19867,1002546,8,100,'Reduces all damage done to caster by 8%',1,1),
(19868,1002546,9,100,'Applies Solid Armor to qualifying pets.',0,0),
(19869,1002546,9,100,'Reduces all damage done to caster by 9%',1,1),
(19870,1002548,9,100,'Applies Solid Armor to qualifying pets.',0,0),
(19871,1002548,9,100,'Reduces all damage done to caster by 9%',1,1),
(19872,1002552,9,100,'Applies Solid Armor to qualifying pets.',0,0),
(19873,1002552,9,100,'Reduces all damage done to caster by 9%',1,1),
(19874,1002551,9,100,'Applies Solid Armor to qualifying pets.',0,0),
(19875,1002551,9,100,'Reduces all damage done to caster by 9%',1,1),
(19876,1002549,9,100,'Applies Solid Armor to qualifying pets.',0,0),
(19877,1002549,9,100,'Reduces all damage done to caster by 9%',1,1),
(19878,1002550,9,100,'Applies Solid Armor to qualifying pets.',0,0),
(19879,1002550,9,100,'Reduces all damage done to caster by 9%',1,1),
(19880,1002552,10,100,'Applies Solid Armor to qualifying pets.',0,0),
(19881,1002552,10,100,'Reduces all damage done to caster by 10%',1,1),
(19882,1002551,10,100,'Applies Solid Armor to qualifying pets.',0,0),
(19883,1002551,10,100,'Reduces all damage done to caster by 10%',1,1),
(19884,1002549,10,100,'Applies Solid Armor to qualifying pets.',0,0),
(19885,1002549,10,100,'Reduces all damage done to caster by 10%',1,1),
(19886,1002548,10,100,'Applies Solid Armor to qualifying pets.',0,0),
(19887,1002548,10,100,'Reduces all damage done to caster by 10%',1,1),
(19888,1002550,10,100,'Applies Solid Armor to qualifying pets.',0,0),
(19889,1002550,10,100,'Reduces all damage done to caster by 10%',1,1),
(19890,1002546,10,100,'Applies Solid Armor to qualifying pets.',0,0),
(19891,1002546,10,100,'Reduces all damage done to caster by 10%',1,1),
(19892,1002553,2,100,'Increases Mitigation of caster vs physical damage by 0',0,0),
(19893,1002554,1,100,'Energizing Ballad will also reduce the power cost of abilities by 30%. The power restored is increased by 20%.',0,0),
(19894,1002555,1,100,'For every 3 Crit Bonus, the caster gains 1 Potency.',0,0),
(19895,1002556,1,100,'Adds a power cost reduction effect that triggers on offensive actions to Bria''s Inspiring Ballad.',0,0),
(19896,1002556,1,100,'Applies a passive reactive heal to the Noxious Symphony that restores a percentage of physical damage received.',0,1),
(19897,1002556,2,100,'Adds a power cost reduction effect that triggers on offensive actions to Bria''s Inspiring Ballad.',0,0),
(19898,1002556,2,100,'Applies a passive reactive heal to the Noxious Symphony that restores a percentage of physical damage received.',0,1),
(19899,1002556,3,100,'Adds a power cost reduction effect that triggers on offensive actions to Bria''s Inspiring Ballad.',0,0),
(19900,1002556,3,100,'Applies a passive reactive heal to the Noxious Symphony that restores a percentage of physical damage received.',0,1),
(19901,1002557,1,100,'For every 3 Crit Bonus, the caster gains 1 Potency.',0,0),
(19902,1002558,1,100,'Adds an additional strike to Echoing Howl.',0,0),
(19903,1002558,2,100,'Adds an additional strike to Echoing Howl.',0,0),
(19904,1002558,3,100,'Adds an additional strike to Echoing Howl.',0,0),
(19905,1002559,1,100,'When any damage is received this spell has a 50% chance to cast Sonic Reaction on target.  Lasts for 10.0 seconds.  ',0,0),
(19906,1002559,1,100,'Increases in-combat movement speed of caster by 1.9%',1,1),
(19907,1002559,2,100,'When any damage is received this spell has a 50% chance to cast Sonic Reaction on target.  Lasts for 10.0 seconds.  ',0,0),
(19908,1002559,2,100,'Increases in-combat movement speed of caster by 3.9%',1,1),
(19909,1002559,3,100,'When any damage is received this spell has a 50% chance to cast Sonic Reaction on target.  Lasts for 10.0 seconds.  ',0,0),
(19910,1002559,3,100,'Increases in-combat movement speed of caster by 5.8%',1,1),
(19911,1002559,4,100,'When any damage is received this spell has a 50% chance to cast Sonic Reaction on target.  Lasts for 10.0 seconds.  ',0,0),
(19912,1002559,4,100,'Increases in-combat movement speed of caster by 7.8%',1,1),
(19913,1002559,5,100,'When any damage is received this spell has a 50% chance to cast Sonic Reaction on target.  Lasts for 10.0 seconds.  ',0,0),
(19914,1002559,5,100,'Increases in-combat movement speed of caster by 9.8%',1,1),
(19915,1002559,6,100,'When any damage is received this spell has a 50% chance to cast Sonic Reaction on target.  Lasts for 10.0 seconds.  ',0,0),
(19916,1002559,6,100,'Increases in-combat movement speed of caster by 11.7%',1,1),
(19917,1002559,7,100,'When any damage is received this spell has a 50% chance to cast Sonic Reaction on target.  Lasts for 10.0 seconds.  ',0,0),
(19918,1002559,7,100,'Increases in-combat movement speed of caster by 13.6%',1,1),
(19919,1002559,8,100,'When any damage is received this spell has a 50% chance to cast Sonic Reaction on target.  Lasts for 10.0 seconds.  ',0,0),
(19920,1002559,8,100,'Increases in-combat movement speed of caster by 15.6%',1,1),
(19921,1002559,9,100,'When any damage is received this spell has a 50% chance to cast Sonic Reaction on target.  Lasts for 10.0 seconds.  ',0,0),
(19922,1002559,9,100,'Increases in-combat movement speed of caster by 17.5%',1,1),
(19923,1002559,10,100,'When any damage is received this spell has a 50% chance to cast Sonic Reaction on target.  Lasts for 10.0 seconds.  ',0,0),
(19924,1002559,10,100,'Increases in-combat movement speed of caster by 19.5%',1,1),
(19925,1002560,1,100,'Adds an effect which removes any hostile effect off the target.',0,0),
(19926,1002561,1,100,'Adds an additional effect which reduces damage done to the sorcerer.',0,0),
(19927,1002561,2,100,'Adds an additional effect which reduces damage done to the sorcerer.',0,0),
(19928,1002561,3,100,'Adds an additional effect which reduces damage done to the sorcerer.',0,0),
(19929,1002561,4,100,'Adds an additional effect which reduces damage done to the sorcerer.',0,0),
(19930,1002561,5,100,'Adds an additional effect which reduces damage done to the sorcerer.',0,0),
(19931,1002562,1,100,'Increases base and critical damage by 2%',0,0),
(19932,1002562,2,100,'Increases base and critical damage by 4%',0,0),
(19933,1002562,3,100,'Increases base and critical damage by 6%',0,0),
(19934,1002562,4,100,'Increases base and critical damage by 8%',0,0),
(19935,1002562,5,100,'Increases base and critical damage by 10%',0,0),
(19936,1002563,1,100,'Adds an additional intelligence debuff.',0,0),
(19937,1002564,1,100,'Increases the damage by 5%.',0,0),
(19938,1002564,1,100,'Reduces the duration by 5%.',0,1),
(19939,1002564,2,100,'Increases the damage by 10%.',0,0),
(19940,1002564,2,100,'Reduces the duration by 10%.',0,1),
(19941,1002563,2,100,'Adds an additional intelligence debuff.',0,0),
(19942,1002564,3,100,'Increases the damage by 15%.',0,0),
(19943,1002564,3,100,'Reduces the duration by 15%.',0,1),
(19944,1002563,3,100,'Adds an additional intelligence debuff.',0,0),
(19945,1002563,4,100,'Adds an additional intelligence debuff.',0,0),
(19946,1002564,4,100,'Increases the damage by 20%.',0,0),
(19947,1002564,4,100,'Reduces the duration by 20%.',0,1),
(19948,1002564,5,100,'Increases the damage by 25%.',0,0),
(19949,1002564,5,100,'Reduces the duration by 25%.',0,1),
(19950,1002563,5,100,'Adds an additional intelligence debuff.',0,0),
(19951,1002565,1,100,'Increases the damage of Reaper''s Mist''s initial attack by 60%',0,0),
(19952,1002565,2,100,'Increases the damage of Reaper''s Mist''s initial attack by 120%',0,0),
(19953,1002565,3,100,'Increases the damage of Reaper''s Mist''s initial attack by 180%',0,0),
(19954,1002566,1,100,'Lowers the base reuse time of Rhythmic Overture to 120 seconds',0,0),
(19955,1002566,1,100,'Lowers the base reuse time of Victorious Concerto to 240 seconds',0,1),
(19956,1002566,1,100,'Lowers the base reuse time of Cadence of Destruction to 120 seconds',0,2),
(19957,1002567,1,100,'Improves the power return by 20%.',0,0),
(19958,1002567,1,100,'Reduces the duration by 2.4 seconds.',0,1),
(19959,1002567,2,100,'Improves the power return by 40%.',0,0),
(19960,1002567,2,100,'Reduces the duration by 4.8 seconds.',0,1),
(19961,1002567,3,100,'Improves the power return by 60%.',0,0),
(19962,1002567,3,100,'Reduces the duration by 7.2 seconds.',0,1),
(19963,1002567,4,100,'Improves the power return by 80%.',0,0),
(19964,1002567,4,100,'Reduces the duration by 9.6 seconds.',0,1),
(19965,1002567,5,100,'Improves the power return by 100%.',0,0),
(19966,1002567,5,100,'Reduces the duration by 12 seconds.',0,1),
(19967,1002568,1,100,'Chaos Anthem will increase the group''s wisdom and restore health slowly over time.',0,0),
(19968,1002568,1,100,'Demoralizing Processional will increase the group''s attributes and skills.',0,1),
(19969,1002568,1,100,'Disheartening Descant will increase the group''s strength and agility.',0,2),
(19970,1002568,1,100,'Zander''s Choral Rebuff will grant a triggered damage effect that applies on spell attacks.',0,3),
(19971,1002568,2,100,'Chaos Anthem will increase the group''s wisdom and restore health slowly over time.',0,0),
(19972,1002568,2,100,'Demoralizing Processional will increase the group''s attributes and skills.',0,1),
(19973,1002568,2,100,'Disheartening Descant will increase the group''s strength and agility.',0,2),
(19974,1002568,2,100,'Zander''s Choral Rebuff will grant a triggered damage effect that applies on spell attacks.',0,3),
(19975,1002568,3,100,'Chaos Anthem will increase the group''s wisdom and restore health slowly over time.',0,0),
(19976,1002568,3,100,'Demoralizing Processional will increase the group''s attributes and skills.',0,1),
(19977,1002568,3,100,'Disheartening Descant will increase the group''s strength and agility.',0,2),
(19978,1002568,3,100,'Zander''s Choral Rebuff will grant a triggered damage effect that applies on spell attacks.',0,3),
(19979,1002569,1,100,'The beastlord''s warder grants the beastlord a new Primal: Soulbreath. Soulbreath is a Spiritual Primal that restores health to the group and improves the group''s Crit Bonus for a short duration.',0,0),
(19980,1002570,1,100,'The beastlord''s warder grants the beastlord a new Primal: Soulbreath. Soulbreath is a Spiritual Primal that restores health to the group and improves the group''s Crit Bonus for a short duration.',0,0),
(19981,1002571,1,100,'The beastlord''s warder grants the beastlord a new Primal: Soulbreath. Soulbreath is a Spiritual Primal that restores health to the group and improves the group''s Crit Bonus for a short duration.',0,0),
(19982,1002572,1,100,'The beastlord''s warder grants the beastlord a new Primal: Soulbreath. Soulbreath is a Spiritual Primal that restores health to the group and improves the group''s Crit Bonus for a short duration.',0,0),
(19983,1002573,1,100,'The beastlord''s warder grants the beastlord a new Primal: Soulbreath. Soulbreath is a Spiritual Primal that restores health to the group and improves the group''s Crit Bonus for a short duration.',0,0),
(19984,1002574,1,100,'The beastlord''s warder grants the beastlord a new Primal: Soulbreath. Soulbreath is a Spiritual Primal that restores health to the group and improves the group''s Crit Bonus for a short duration.',0,0),
(19985,1002575,1,100,'The beastlord''s warder grants the beastlord a new Primal: Soulbreath. Soulbreath is a Spiritual Primal that restores health to the group and improves the group''s Crit Bonus for a short duration.',0,0),
(19986,1002576,1,100,'The beastlord''s warder grants the beastlord a new Primal: Soulbreath. Soulbreath is a Spiritual Primal that restores health to the group and improves the group''s Crit Bonus for a short duration.',0,0),
(19987,1002577,1,100,'The beastlord''s warder grants the beastlord a new Primal: Soulbreath. Soulbreath is a Spiritual Primal that restores health to the group and improves the group''s Crit Bonus for a short duration.',0,0),
(19988,1002578,1,100,'The beastlord''s warder grants the beastlord a new Primal: Soulbreath. Soulbreath is a Spiritual Primal that restores health to the group and improves the group''s Crit Bonus for a short duration.',0,0),
(19989,1002579,1,100,'The beastlord''s warder grants the beastlord a new Primal: Soulbreath. Soulbreath is a Spiritual Primal that restores health to the group and improves the group''s Crit Bonus for a short duration.',0,0),
(19990,1002580,1,100,'The beastlord''s warder grants the beastlord a new Primal: Soulbreath. Soulbreath is a Spiritual Primal that restores health to the group and improves the group''s Crit Bonus for a short duration.',0,0),
(19991,1002581,1,100,'The beastlord''s warder grants the beastlord a new Primal: Soulbreath. Soulbreath is a Spiritual Primal that restores health to the group and improves the group''s Crit Bonus for a short duration.',0,0),
(19992,1002582,1,100,'The beastlord''s warder grants the beastlord a new Primal: Soulbreath. Soulbreath is a Spiritual Primal that restores health to the group and improves the group''s Crit Bonus for a short duration.',0,0),
(19993,1002583,1,100,'The beastlord''s warder grants the beastlord a new Primal: Soulbreath. Soulbreath is a Spiritual Primal that restores health to the group and improves the group''s Crit Bonus for a short duration.',0,0),
(19994,1002584,1,100,'The beastlord''s warder grants the beastlord a new Primal: Soulbreath. Soulbreath is a Spiritual Primal that restores health to the group and improves the group''s Crit Bonus for a short duration.',0,0),
(19995,1002585,1,100,'The beastlord''s warder grants the beastlord a new Primal: Soulbreath. Soulbreath is a Spiritual Primal that restores health to the group and improves the group''s Crit Bonus for a short duration.',0,0),
(19996,1002586,1,100,'The beastlord''s warder grants the beastlord a new Primal: Soulbreath. Soulbreath is a Spiritual Primal that restores health to the group and improves the group''s Crit Bonus for a short duration.',0,0),
(19997,1002587,1,100,'The beastlord''s warder grants the beastlord a new Primal: Soulbreath. Soulbreath is a Spiritual Primal that restores health to the group and improves the group''s Crit Bonus for a short duration.',0,0),
(19998,1002588,1,100,'Lifetap will apply its damage and heal twice.',0,0),
(19999,1002589,2,100,'Reduces the base reuse of Wraithwall to 20 seconds.',0,0),
(20000,1002589,3,100,'Reduces the base reuse of Wraithwall to 10 seconds.',0,0),
(20001,1002590,1,100,'On a hostile spell cast this spell may cast Soulsuck on target of spell.  Triggers about 1.0 times per minute. ',0,0),
(20002,1002590,1,100,'Inflicts 416 - 693 disease damage on target encounter',1,1),
(20003,1002590,1,100,'Heals group members (AE) for 338 - 563',1,2),
(20004,1002590,2,100,'On a hostile spell cast this spell may cast Soulsuck on target of spell.  Triggers about 2.0 times per minute. ',0,0),
(20005,1002590,2,100,'Inflicts 416 - 693 disease damage on target encounter',1,1),
(20006,1002590,2,100,'Heals group members (AE) for 338 - 563',1,2),
(20007,1002590,3,100,'On a hostile spell cast this spell may cast Soulsuck on target of spell.  Triggers about 3.0 times per minute. ',0,0),
(20008,1002590,3,100,'Inflicts 554 - 923 disease damage on target encounter',1,1),
(20009,1002590,3,100,'Heals group members (AE) for 338 - 563',1,2),
(20010,1002591,1,100,'Single target lifetap abilities have a 2% chance to finish the reuse of Blood Siphon.',0,0),
(20011,1002591,2,100,'Single target lifetap abilities have a 4% chance to finish the reuse of Blood Siphon.',0,0),
(20012,1002592,1,100,'Tap Essence has a 2% chance to clear the reuse of Energizing Ballad.',0,0),
(20013,1002592,2,100,'Tap Essence has a 4% chance to clear the reuse of Energizing Ballad.',0,0),
(20014,1002594,1,100,'Single target lifetap abilities will grant the shadowknight increased mitigation for a short duration. These effects can stack.',0,0),
(20015,1002594,2,100,'Single target lifetap abilities will grant the shadowknight increased mitigation for a short duration. These effects can stack.',0,0),
(20016,1002594,3,100,'Single target lifetap abilities will grant the shadowknight increased mitigation for a short duration. These effects can stack.',0,0),
(20017,1002595,1,100,'Wraithwall will apply a very fast regenerating ward to the target when applied.',0,0),
(20018,1002595,2,100,'Wraithwall will apply a very fast regenerating ward to the target when applied.',0,0),
(20019,1002595,3,100,'Wraithwall will apply a very fast regenerating ward to the target when applied.',0,0),
(20020,1002596,1,100,'Lowers the base reuse speed of Abhorrent Verse to 120 seconds',0,0),
(20021,1002597,1,100,'Increases the casting speed of hostile spells by 2%.',0,0),
(20022,1002597,2,100,'Increases the casting speed of hostile spells by 2%.',0,0),
(20023,1002598,2,100,'Lowers the reuse of Summon Crafting Stations to 9 hours.',0,0),
(20024,1002598,3,100,'Lowers the reuse of Summon Crafting Stations to 6 hours.',0,0),
(20025,1002598,4,100,'Lowers the reuse of Summon Crafting Stations to 3 hours.',0,0),
(20026,1002598,5,100,'Removes the reuse time of Summon Crafting Stations.',0,0),
(20027,1002599,1,100,'Increases Crit Chance of caster by 1.2',0,0),
(20028,1002599,2,100,'Increases Crit Chance of caster by 2.3',0,0),
(20029,1002599,3,100,'Increases Crit Chance of caster by 3.5',0,0),
(20030,1002599,4,100,'Increases Crit Chance of caster by 4.7',0,0),
(20031,1002599,5,100,'Increases Crit Chance of caster by 5.8',0,0),
(20032,1002599,6,100,'Increases Crit Chance of caster by 7.0',0,0),
(20033,1002599,7,100,'Increases Crit Chance of caster by 8.2',0,0),
(20034,1002599,8,100,'Increases Crit Chance of caster by 9.3',0,0),
(20035,1002599,9,100,'Increases Crit Chance of caster by 10.5',0,0),
(20036,1002599,10,100,'Increases Crit Chance of caster by 11.7',0,0),
(20037,1002600,1,100,'Increases range by 6',0,0),
(20038,1002600,1,100,'Improves radius by 25%.',0,1),
(20039,1002601,1,100,'Reduces the base casting time of Master''s Strike by 8.75%',0,0),
(20040,1002601,2,100,'Reduces the base casting time of Master''s Strike by 17.5%',0,0),
(20041,1002601,3,100,'Reduces the base casting time of Master''s Strike by 26.25%',0,0),
(20042,1002601,4,100,'Reduces the base casting time of Master''s Strike by 35%',0,0),
(20043,1002601,5,100,'Reduces the base casting time of Master''s Strike by 43.75%',0,0),
(20044,1002601,6,100,'Reduces the base casting time of Master''s Strike by 52.5%',0,0),
(20045,1002601,7,100,'Reduces the base casting time of Master''s Strike by 61.25%',0,0),
(20046,1002601,8,100,'Reduces the base casting time of Master''s Strike by 70%',0,0),
(20047,1002601,9,100,'Reduces the base casting time of Master''s Strike by 78.75%',0,0),
(20048,1002601,10,100,'Reduces the base casting time of Master''s Strike by 87.5%',0,0),
(20049,1002602,1,100,'Increases the haste and Multi-Attack Chance by 5%.',0,0),
(20050,1002602,2,100,'Increases the haste and Multi-Attack Chance by 10%.',0,0),
(20051,1002602,3,100,'Increases the haste and Multi-Attack Chance by 15%.',0,0),
(20052,1002602,4,100,'Increases the haste and Multi-Attack Chance by 20%.',0,0),
(20053,1002602,5,100,'Increases the haste and Multi-Attack Chance by 25%.',0,0),
(20054,1002603,1,100,'Caster will Riposte 1.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',0,0),
(20055,1002603,1,100,'Increases Melee Weapon Range of caster by 10.0%',0,1),
(20056,1002603,1,100,'Increases Piercing and Crushing of caster by 0.0',0,2),
(20057,1002603,2,100,'Caster will Riposte 2.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',0,0),
(20058,1002603,2,100,'Increases Melee Weapon Range of caster by 20.0%',0,1),
(20059,1002603,2,100,'Increases Piercing and Crushing of caster by 0.0',0,2),
(20060,1002603,3,100,'Caster will Riposte 3.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',0,0),
(20061,1002603,3,100,'Increases Melee Weapon Range of caster by 30.0%',0,1),
(20062,1002603,3,100,'Increases Piercing and Crushing of caster by 0.0',0,2),
(20063,1002603,4,100,'Caster will Riposte 4.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',0,0),
(20064,1002603,4,100,'Increases Melee Weapon Range of caster by 40.0%',0,1),
(20065,1002603,4,100,'Increases Piercing and Crushing of caster by 0.0',0,2),
(20066,1002603,5,100,'Caster will Riposte 5.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',0,0),
(20067,1002603,5,100,'Increases Melee Weapon Range of caster by 50.0%',0,1),
(20068,1002603,5,100,'Increases Piercing and Crushing of caster by 0.0',0,2),
(20069,1002603,6,100,'Caster will Riposte 6.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',0,0),
(20070,1002603,6,100,'Increases Melee Weapon Range of caster by 60.0%',0,1),
(20071,1002603,6,100,'Increases Piercing and Crushing of caster by 0.0',0,2),
(20072,1002603,7,100,'Caster will Riposte 7.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',0,0),
(20073,1002603,7,100,'Increases Melee Weapon Range of caster by 70.0%',0,1),
(20074,1002603,7,100,'Increases Piercing and Crushing of caster by 0.0',0,2),
(20075,1002603,8,100,'Caster will Riposte 8.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',0,0),
(20076,1002603,8,100,'Increases Melee Weapon Range of caster by 80.0%',0,1),
(20077,1002603,8,100,'Increases Piercing and Crushing of caster by 0.0',0,2),
(20078,1002603,9,100,'Caster will Riposte 9.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',0,0),
(20079,1002603,9,100,'Increases Melee Weapon Range of caster by 90.0%',0,1),
(20080,1002603,9,100,'Increases Piercing and Crushing of caster by 0.0',0,2),
(20081,1002603,10,100,'Caster will Riposte 10.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',0,0),
(20082,1002603,10,100,'Increases Melee Weapon Range of caster by 100.0%',0,1),
(20083,1002603,10,100,'Increases Piercing and Crushing of caster by 0.0',0,2),
(20084,1002604,1,100,'Increases STR of caster by 8.0',0,0),
(20085,1002605,1,100,'Increases Ability Casting Speed of caster by 1.4%',0,0),
(20086,1002605,2,100,'Increases Ability Casting Speed of caster by 2.9%',0,0),
(20087,1002605,3,100,'Increases Ability Casting Speed of caster by 4.3%',0,0),
(20088,1002605,4,100,'Increases Ability Casting Speed of caster by 5.8%',0,0),
(20089,1002605,5,100,'Increases Ability Casting Speed of caster by 7.2%',0,0),
(20090,1002605,6,100,'Increases Ability Casting Speed of caster by 8.6%',0,0),
(20091,1002605,7,100,'Increases Ability Casting Speed of caster by 10.1%',0,0),
(20092,1002605,8,100,'Increases Ability Casting Speed of caster by 11.5%',0,0),
(20093,1002605,9,100,'Increases Ability Casting Speed of caster by 13.0%',0,0),
(20094,1002605,10,100,'Increases Ability Casting Speed of caster by 14.4%',0,0),
(20095,1002606,1,100,'Increases AGI of caster by 6.0',0,0),
(20096,1002607,1,100,'Increases Ability Reuse Speed of caster by 12.0%',0,0),
(20097,1002608,1,100,'Reduces the base reuse of Guardian Sphere to 150 seconds.',0,0),
(20098,1002609,1,100,'Increases Disruption and Subjugation of caster by 5.0',0,0),
(20099,1002609,2,100,'Increases Disruption and Subjugation of caster by 5.0',0,0),
(20100,1002610,1,100,'Improves the damage and critical damage by 5%.',0,0),
(20101,1002610,2,100,'Improves the damage and critical damage by 10%.',0,0),
(20102,1002610,3,100,'Improves the damage and critical damage by 15%.',0,0),
(20103,1002610,4,100,'Improves the damage and critical damage by 20%.',0,0),
(20104,1002610,5,100,'Improves the damage and critical damage by 25%.',0,0),
(20105,1002611,1,100,'At 4 increments of Spiritual Dominion, Ancient Shroud will cast at 1.6 seconds, Death Cries will cast at 0.35 seconds and Deathward will cast at 0.7 seconds',0,0),
(20106,1002611,2,100,'At 4 increments of Spiritual Dominion, Ancient Shroud will cast at 1.6 seconds, Death Cries will cast at 0.35 seconds and Deathward will cast at 0.7 seconds',0,0),
(20107,1002611,2,100,'At 8 increments of Spiritual Dominion, Ancient Shroud will cast at 1.2 seconds, Death Cries will cast at 0.2 seconds and Deathward will cast at 0.4 seconds',0,1),
(20108,1002611,3,100,'At 4 increments of Spiritual Dominion, Ancient Shroud will cast at 1.6 seconds, Death Cries will cast at 0.35 seconds and Deathward will cast at 0.7 seconds',0,0),
(20109,1002611,3,100,'At 8 increments of Spiritual Dominion, Ancient Shroud will cast at 1.2 seconds, Death Cries will cast at 0.2 seconds and Deathward will cast at 0.4 seconds',0,1),
(20110,1002611,3,100,'At 12 increments of Spiritual Dominion, Ancient Shroud will cast at 0.8 seconds, Death Cries and Deathward will cast instantly',0,2),
(20111,1002612,1,100,'Grants the spell Spirit Drain to qualifying pets.',0,0),
(20112,1002612,1,100,'Inflicts 900 - 1500 melee damage on target encounter',1,1),
(20113,1002612,1,100,'Heals group members (AE) for 456 - 759',1,2),
(20114,1002613,1,100,'Grants the spell Spirit Drain to qualifying pets.',0,0),
(20115,1002613,1,100,'Inflicts 13 - 21 melee damage on target encounter',1,1),
(20116,1002613,1,100,'Heals group members (AE) for 6 - 10',1,2),
(20117,1002614,1,100,'Grants the spell Spirit Drain to qualifying pets.',0,0),
(20118,1002614,1,100,'Inflicts 900 - 1500 melee damage on target encounter',1,1),
(20119,1002614,1,100,'Heals group members (AE) for 456 - 759',1,2),
(20120,1002615,1,100,'Grants the spell Spirit Drain to qualifying pets.',0,0),
(20121,1002615,1,100,'Inflicts 13 - 21 melee damage on target encounter',1,1),
(20122,1002615,1,100,'Heals group members (AE) for 6 - 10',1,2),
(20123,1002616,1,100,'Grants the spell Spirit Drain to qualifying pets.',0,0),
(20124,1002616,1,100,'Inflicts 900 - 1500 melee damage on target encounter',1,1),
(20125,1002616,1,100,'Heals group members (AE) for 456 - 759',1,2),
(20126,1002617,1,100,'Grants the spell Spirit Drain to qualifying pets.',0,0),
(20127,1002617,1,100,'Inflicts 675 - 1125 melee damage on target encounter',1,1),
(20128,1002617,1,100,'Heals group members (AE) for 456 - 759',1,2),
(20129,1002618,1,100,'Grants the spell Spirit Drain to qualifying pets.',0,0),
(20130,1002618,1,100,'Inflicts 675 - 1125 melee damage on target encounter',1,1),
(20131,1002618,1,100,'Heals group members (AE) for 456 - 759',1,2),
(20132,1002619,1,100,'Increases Max Power of caster by 0.5%',0,0),
(20133,1002619,1,100,'Increases Max Health of caster by 0.5%',0,1),
(20134,1002619,2,100,'Increases Max Power of caster by 1.0%',0,0),
(20135,1002619,2,100,'Increases Max Health of caster by 1.0%',0,1),
(20136,1002619,3,100,'Increases Max Power of caster by 1.5%',0,0),
(20137,1002619,3,100,'Increases Max Health of caster by 1.5%',0,1),
(20138,1002619,4,100,'Increases Max Power of caster by 2.0%',0,0),
(20139,1002619,4,100,'Increases Max Health of caster by 2.0%',0,1),
(20140,1002619,5,100,'Increases Max Power of caster by 2.5%',0,0),
(20141,1002619,5,100,'Increases Max Health of caster by 2.5%',0,1),
(20142,1002619,6,100,'Increases Max Power of caster by 3.0%',0,0),
(20143,1002619,6,100,'Increases Max Health of caster by 3.0%',0,1),
(20144,1002619,7,100,'Increases Max Power of caster by 3.5%',0,0),
(20145,1002619,7,100,'Increases Max Health of caster by 3.5%',0,1),
(20146,1002619,8,100,'Increases Max Power of caster by 4.0%',0,0),
(20147,1002619,8,100,'Increases Max Health of caster by 4.0%',0,1),
(20148,1002619,9,100,'Increases Max Power of caster by 4.5%',0,0),
(20149,1002619,9,100,'Increases Max Health of caster by 4.5%',0,1),
(20150,1002619,10,100,'Increases Max Power of caster by 5.0%',0,0),
(20151,1002619,10,100,'Increases Max Health of caster by 5.0%',0,1),
(20152,1002620,1,100,'On any combat or spell hit this spell may cast Spirit of Druidism on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,0),
(20153,1002620,1,100,'Wards group members (AE) against 71 points of all damage',1,1),
(20154,1002620,1,100,'Increases Ability Casting Speed of group members (AE) by 1.0%',1,2),
(20155,1002620,1,100,'Increases Ability Mod of group members (AE) by 24.6',1,3),
(20156,1002620,2,100,'On any combat or spell hit this spell may cast Spirit of Druidism on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,0),
(20157,1002620,2,100,'Wards group members (AE) against 142 points of all damage',1,1),
(20158,1002620,2,100,'Increases Ability Casting Speed of group members (AE) by 2.0%',1,2),
(20159,1002620,2,100,'Increases Ability Mod of group members (AE) by 49.3',1,3),
(20160,1002620,3,100,'On any combat or spell hit this spell may cast Spirit of Druidism on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,0),
(20161,1002620,3,100,'Wards group members (AE) against 201 points of all damage',1,1),
(20162,1002620,3,100,'Increases Ability Casting Speed of group members (AE) by 3.0%',1,2),
(20163,1002620,3,100,'Increases Ability Modifier of group members (AE) by 67.2',1,3),
(20164,1002620,4,100,'On any combat or spell hit this spell may cast Spirit of Druidism on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,0),
(20165,1002620,4,100,'Wards group members (AE) against 284 points of all damage',1,1),
(20166,1002620,4,100,'Increases Ability Casting Speed of group members (AE) by 4.0%',1,2),
(20167,1002620,4,100,'Increases Ability Mod of group members (AE) by 98.6',1,3),
(20168,1002620,5,100,'On any combat or spell hit this spell may cast Spirit of Druidism on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,0),
(20169,1002620,5,100,'Wards group members (AE) against 355 points of all damage',1,1),
(20170,1002620,5,100,'Increases Ability Casting Speed of group members (AE) by 5.0%',1,2),
(20171,1002620,5,100,'Increases Ability Mod of group members (AE) by 123.2',1,3),
(20172,1002620,6,100,'On any combat or spell hit this spell may cast Spirit of Druidism on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,0),
(20173,1002620,6,100,'Wards group members (AE) against 402 points of all damage',1,1),
(20174,1002620,6,100,'Increases Ability Casting Speed of group members (AE) by 6.0%',1,2),
(20175,1002620,6,100,'Increases Ability Modifier of group members (AE) by 134.4',1,3),
(20176,1002620,7,100,'On any combat or spell hit this spell may cast Spirit of Druidism on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,0),
(20177,1002620,7,100,'Wards group members (AE) against 497 points of all damage',1,1),
(20178,1002620,7,100,'Increases Ability Casting Speed of group members (AE) by 7.0%',1,2),
(20179,1002620,7,100,'Increases Ability Mod of group members (AE) by 172.5',1,3),
(20180,1002620,8,100,'On any combat or spell hit this spell may cast Spirit of Druidism on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,0),
(20181,1002620,8,100,'Wards group members (AE) against 536 points of all damage',1,1),
(20182,1002620,8,100,'Increases Ability Casting Speed of group members (AE) by 8.0%',1,2),
(20183,1002620,8,100,'Increases Ability Modifier of group members (AE) by 179.2',1,3),
(20184,1002620,9,100,'On any combat or spell hit this spell may cast Spirit of Druidism on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,0),
(20185,1002620,9,100,'Wards group members (AE) against 603 points of all damage',1,1),
(20186,1002620,9,100,'Increases Ability Casting Speed of group members (AE) by 9.0%',1,2),
(20187,1002620,9,100,'Increases Ability Modifier of group members (AE) by 201.6',1,3),
(20188,1002620,10,100,'On any combat or spell hit this spell may cast Spirit of Druidism on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,0),
(20189,1002620,10,100,'Wards group members (AE) against 710 points of all damage',1,1),
(20190,1002620,10,100,'Increases Ability Casting Speed of group members (AE) by 10.0%',1,2),
(20191,1002620,10,100,'Increases Ability Modifier of group members (AE) by 246.4',1,3),
(20192,1002621,1,100,'While in Feral Rampage or Spirituality, the beastlord''s warder will gain power over time.',0,0),
(20193,1002621,1,100,'When using an Advantage ability. this spell will cast Spirit of Restoration on target.  Lasts for 6.0 seconds.  ',0,1),
(20194,1002621,1,100,'Prevents AOE (except when direct) ',1,2),
(20195,1002621,1,100,'Applies to the beastlord''s warder',1,3),
(20196,1002622,1,100,'Improves the amount of Savagery gained from Savage Spirit',0,0),
(20197,1002622,2,100,'Improves the amount of Savagery gained from Savage Spirit',0,0),
(20198,1002622,3,100,'Improves the amount of Savagery gained from Savage Spirit',0,0),
(20199,1002622,4,100,'Improves the amount of Savagery gained from Savage Spirit',0,0),
(20200,1002622,5,100,'Improves the amount of Savagery gained from Savage Spirit',0,0),
(20201,1002623,1,100,'Increases INT of caster by 2.5',0,0),
(20202,1002623,2,100,'Increases INT of caster by 2.5',0,0),
(20203,1002624,1,100,'Applies Spirit of the Ancients to qualifying pets.',0,0),
(20204,1002624,1,100,'Increases Max Health of target by 4.0%',1,1),
(20205,1002624,1,100,'Increases Mitigation of target vs physical damage by 9',1,2),
(20206,1002624,1,100,'Reduces the reuse time by 6 seconds.',0,3),
(20207,1002624,2,100,'Applies Spirit of the Ancients to qualifying pets.',0,0),
(20208,1002624,2,100,'Increases Max Health of target by 8.0%',1,1),
(20209,1002624,2,100,'Increases Mitigation of target vs physical damage by 880',1,2),
(20210,1002624,2,100,'Reduces the reuse time by 12 seconds.',0,3),
(20211,1002624,3,100,'Applies Spirit of the Ancients to qualifying pets.',0,0),
(20212,1002624,3,100,'Increases Max Health of target by 12.0%',1,1),
(20213,1002624,3,100,'Increases Mitigation of target vs physical damage by 1505',1,2),
(20214,1002624,3,100,'Reduces the reuse time by 18 seconds.',0,3),
(20215,1002624,4,100,'Applies Spirit of the Ancients to qualifying pets.',0,0),
(20216,1002624,4,100,'Increases Max Health of target by 16.0%',1,1),
(20217,1002624,4,100,'Increases Mitigation of target vs physical damage by 2006',1,2),
(20218,1002624,4,100,'Reduces the reuse time by 24 seconds.',0,3),
(20219,1002624,5,100,'Applies Spirit of the Ancients to qualifying pets.',0,0),
(20220,1002624,5,100,'Increases Max Health of target by 20.0%',1,1),
(20221,1002624,5,100,'Increases Mitigation of target vs physical damage by 2508',1,2),
(20222,1002624,5,100,'Reduces the reuse time by 30 seconds.',0,3),
(20223,1002625,1,100,'Adds strength and agility components to the spell and improves the stamina and intelligence by 10%.',0,0),
(20224,1002625,2,100,'Adds strength and agility components to the spell and improves the stamina and intelligence by 20%.',0,0),
(20225,1002625,3,100,'Adds strength and agility components to the spell and improves the stamina and intelligence by 30%.',0,0),
(20226,1002625,4,100,'Adds strength and agility components to the spell and improves the stamina and intelligence by 40%.',0,0),
(20227,1002625,5,100,'Adds strength and agility components to the spell and improves the stamina and intelligence by 50%.',0,0),
(20228,1002626,1,100,'Greatly increases the health of the beastlord''s warder.',0,0),
(20229,1002627,1,100,'Spiritual Dominion will increase the group''s mitigation.',0,0),
(20230,1002627,2,100,'Spiritual Dominion will increase the group''s mitigation.',0,0),
(20231,1002627,3,100,'Spiritual Dominion will increase the group''s mitigation.',0,0),
(20232,1002628,1,100,'Bolster and Stampede of the Herd will apply a limited trigger damage effect.',0,0),
(20233,1002628,2,100,'Bolster and Stampede of the Herd will apply a limited trigger damage effect.',0,0),
(20234,1002628,3,100,'Bolster and Stampede of the Herd will apply a limited trigger damage effect.',0,0),
(20235,1002629,1,100,'Beneficial spells and Cure Curse have their range and radius improved by 15%',0,0),
(20236,1002629,1,100,'Non-damaging impairment spells have their range and radius improved by 6%',0,1),
(20237,1002629,2,100,'Beneficial spells and Cure Curse have their range and radius improved by 30%',0,0),
(20238,1002629,2,100,'Non-damaging impairment spells have their range and radius improved by 12%',0,1),
(20239,1002629,3,100,'Beneficial spells and Cure Curse have their range and radius improved by 45%',0,0),
(20240,1002629,3,100,'Non-damaging impairment spells have their range and radius improved by 18%',0,1),
(20241,1002630,1,100,'Bolster has a 25% chance to clear the reuse on Oberon.',0,0),
(20242,1002630,2,100,'Bolster has a 50% chance to clear the reuse on Oberon.',0,0),
(20243,1002631,1,100,'On a ranged hit this spell has a 1.6% chance to cast Spiritual Arrow on target.  ',0,0),
(20244,1002631,1,100,'Heals group members (AE) for 375',1,1),
(20245,1002631,2,100,'On a ranged hit this spell has a 3.2% chance to cast Spiritual Arrow on target.  ',0,0),
(20246,1002631,2,100,'Heals group members (AE) for 375',1,1),
(20247,1002631,3,100,'On a ranged hit this spell has a 4.8% chance to cast Spiritual Arrow on target.  ',0,0),
(20248,1002631,3,100,'Heals group members (AE) for 375',1,1),
(20249,1002631,4,100,'On a ranged hit this spell has a 6.4% chance to cast Spiritual Arrow on target.  ',0,0),
(20250,1002631,4,100,'Heals group members (AE) for 375',1,1),
(20251,1002631,5,100,'On a ranged hit this spell has a 8% chance to cast Spiritual Arrow on target.  ',0,0),
(20252,1002631,5,100,'Heals group members (AE) for 375',1,1),
(20253,1002631,6,100,'On a ranged hit this spell has a 9.6% chance to cast Spiritual Arrow on target.  ',0,0),
(20254,1002631,6,100,'Heals group members (AE) for 375',1,1),
(20255,1002631,7,100,'On a ranged hit this spell has a 11.2% chance to cast Spiritual Arrow on target.  ',0,0),
(20256,1002631,7,100,'Heals group members (AE) for 375',1,1),
(20257,1002631,8,100,'On a ranged hit this spell has a 12.8% chance to cast Spiritual Arrow on target.  ',0,0),
(20258,1002631,8,100,'Heals group members (AE) for 375',1,1),
(20259,1002631,9,100,'On a ranged hit this spell has a 14.4% chance to cast Spiritual Arrow on target.  ',0,0),
(20260,1002631,9,100,'Heals group members (AE) for 375',1,1),
(20261,1002631,10,100,'On a ranged hit this spell has a 16% chance to cast Spiritual Arrow on target.  ',0,0),
(20262,1002631,10,100,'Heals group members (AE) for 375',1,1),
(20263,1002632,1,100,'Increases Max Health of caster by 3.0%',0,0),
(20264,1002632,2,100,'Increases Max Health of caster by 3.0%',0,0),
(20265,1002633,1,100,'Grants your pet non-direct area effect immunity and a 15% chance (5% in PVP combat) to trigger this effect on nearby allies for a short duration.',0,0),
(20266,1002634,1,100,'Adds a group ward to Tribal Rage.',0,0),
(20267,1002634,2,100,'Adds a group ward to Tribal Rage.',0,0),
(20268,1002634,3,100,'Adds a group ward to Tribal Rage.',0,0),
(20269,1002634,4,100,'Adds a group ward to Tribal Rage.',0,0),
(20270,1002634,5,100,'Adds a group ward to Tribal Rage.',0,0),
(20271,1002634,6,100,'Adds a group ward to Tribal Rage.',0,0),
(20272,1002634,7,100,'Adds a group ward to Tribal Rage.',0,0),
(20273,1002634,8,100,'Adds a group ward to Tribal Rage.',0,0),
(20274,1002635,1,100,'Improves the duration of all ranks of Spirituality by 3 seconds.',0,0),
(20275,1002636,1,100,'Makes Ancestral Avatar apply to the mystic''s group.',0,0),
(20276,1002637,1,100,'Improves the mitigations granted by Spiritual Stance by 7%',0,0),
(20277,1002637,2,100,'Improves the mitigations granted by Spiritual Stance by 14%',0,0),
(20278,1002637,3,100,'Improves the mitigations granted by Spiritual Stance by 21%',0,0),
(20279,1002637,4,100,'Improves the mitigations granted by Spiritual Stance by 28%',0,0),
(20280,1002637,5,100,'Improves the mitigations granted by Spiritual Stance by 35%',0,0),
(20281,1002638,1,100,'Applies Spiritual Restoration to qualifying pets.',0,0),
(20282,1002638,1,100,'On any combat or spell hit this spell may cast Spiritual Restoration on caster.  Triggers about 0.6 times per minute. ',1,1),
(20283,1002638,1,100,'Increases power of caster by 3.0%',2,2),
(20284,1002639,1,100,'Applies Spiritual Restoration to qualifying pets.',0,0),
(20285,1002639,1,100,'On any combat or spell hit this spell may cast Spiritual Restoration on caster.  Triggers about 0.6 times per minute. ',1,1),
(20286,1002639,1,100,'Increases power of caster by 3.0%',2,2),
(20287,1002640,1,100,'Applies Spiritual Restoration to qualifying pets.',0,0),
(20288,1002640,1,100,'On any combat or spell hit this spell may cast Spiritual Restoration on caster.  Triggers about 0.6 times per minute. ',1,1),
(20289,1002640,1,100,'Increases power of caster by 3.0%',2,2),
(20290,1002641,1,100,'Applies Spiritual Restoration to qualifying pets.',0,0),
(20291,1002641,1,100,'On any combat or spell hit this spell may cast Spiritual Restoration on caster.  Triggers about 0.6 times per minute. ',1,1),
(20292,1002641,1,100,'Increases power of caster by 3.0%',2,2),
(20293,1002642,1,100,'Applies Spiritual Restoration to qualifying pets.',0,0),
(20294,1002642,1,100,'On any combat or spell hit this spell may cast Spiritual Restoration on caster.  Triggers about 0.6 times per minute. ',1,1),
(20295,1002642,1,100,'Increases power of caster by 3.0%',2,2),
(20296,1002643,1,100,'Applies Spiritual Restoration to qualifying pets.',0,0),
(20297,1002643,1,100,'On any combat or spell hit this spell may cast Spiritual Restoration on caster.  Triggers about 0.6 times per minute. ',1,1),
(20298,1002643,1,100,'Increases power of caster by 3.0%',2,2),
(20299,1002644,1,100,'Applies Spiritual Restoration to qualifying pets.',0,0),
(20300,1002644,1,100,'On any combat or spell hit this spell may cast Spiritual Restoration on caster.  Triggers about 0.6 times per minute. ',1,1),
(20301,1002644,1,100,'Increases power of caster by 3.0%',2,2),
(20302,1002641,2,100,'Applies Spiritual Restoration to qualifying pets.',0,0),
(20303,1002641,2,100,'On any combat or spell hit this spell may cast Spiritual Restoration on caster.  Triggers about 1.2 times per minute. ',1,1),
(20304,1002641,2,100,'Increases power of caster by 3.0%',2,2),
(20305,1002644,2,100,'Applies Spiritual Restoration to qualifying pets.',0,0),
(20306,1002644,2,100,'On any combat or spell hit this spell may cast Spiritual Restoration on caster.  Triggers about 1.2 times per minute. ',1,1),
(20307,1002644,2,100,'Increases power of caster by 3.0%',2,2),
(20308,1002640,2,100,'Applies Spiritual Restoration to qualifying pets.',0,0),
(20309,1002640,2,100,'On any combat or spell hit this spell may cast Spiritual Restoration on caster.  Triggers about 1.2 times per minute. ',1,1),
(20310,1002640,2,100,'Increases power of caster by 3.0%',2,2),
(20311,1002642,2,100,'Applies Spiritual Restoration to qualifying pets.',0,0),
(20312,1002642,2,100,'On any combat or spell hit this spell may cast Spiritual Restoration on caster.  Triggers about 1.2 times per minute. ',1,1),
(20313,1002642,2,100,'Increases power of caster by 3.0%',2,2),
(20314,1002639,2,100,'Applies Spiritual Restoration to qualifying pets.',0,0),
(20315,1002639,2,100,'On any combat or spell hit this spell may cast Spiritual Restoration on caster.  Triggers about 1.2 times per minute. ',1,1),
(20316,1002639,2,100,'Increases power of caster by 3.0%',2,2),
(20317,1002638,2,100,'Applies Spiritual Restoration to qualifying pets.',0,0),
(20318,1002638,2,100,'On any combat or spell hit this spell may cast Spiritual Restoration on caster.  Triggers about 1.2 times per minute. ',1,1),
(20319,1002638,2,100,'Increases power of caster by 3.0%',2,2),
(20320,1002641,3,100,'Applies Spiritual Restoration to qualifying pets.',0,0),
(20321,1002641,3,100,'On any combat or spell hit this spell may cast Spiritual Restoration on caster.  Triggers about 1.8 times per minute. ',1,1),
(20322,1002641,3,100,'Increases power of caster by 3.0%',2,2),
(20323,1002640,3,100,'Applies Spiritual Restoration to qualifying pets.',0,0),
(20324,1002640,3,100,'On any combat or spell hit this spell may cast Spiritual Restoration on caster.  Triggers about 1.8 times per minute. ',1,1),
(20325,1002640,3,100,'Increases power of caster by 3.0%',2,2),
(20326,1002639,3,100,'Applies Spiritual Restoration to qualifying pets.',0,0),
(20327,1002639,3,100,'On any combat or spell hit this spell may cast Spiritual Restoration on caster.  Triggers about 1.8 times per minute. ',1,1),
(20328,1002639,3,100,'Increases power of caster by 3.0%',2,2),
(20329,1002644,3,100,'Applies Spiritual Restoration to qualifying pets.',0,0),
(20330,1002644,3,100,'On any combat or spell hit this spell may cast Spiritual Restoration on caster.  Triggers about 1.8 times per minute. ',1,1),
(20331,1002644,3,100,'Increases power of caster by 3.0%',2,2),
(20332,1002642,3,100,'Applies Spiritual Restoration to qualifying pets.',0,0),
(20333,1002642,3,100,'On any combat or spell hit this spell may cast Spiritual Restoration on caster.  Triggers about 1.8 times per minute. ',1,1),
(20334,1002642,3,100,'Increases power of caster by 3.0%',2,2),
(20335,1002638,3,100,'Applies Spiritual Restoration to qualifying pets.',0,0),
(20336,1002638,3,100,'On any combat or spell hit this spell may cast Spiritual Restoration on caster.  Triggers about 1.8 times per minute. ',1,1),
(20337,1002638,3,100,'Increases power of caster by 3.0%',2,2),
(20338,1002641,4,100,'Applies Spiritual Restoration to qualifying pets.',0,0),
(20339,1002641,4,100,'On any combat or spell hit this spell may cast Spiritual Restoration on caster.  Triggers about 2.4 times per minute. ',1,1),
(20340,1002641,4,100,'Increases power of caster by 3.0%',2,2),
(20341,1002640,4,100,'Applies Spiritual Restoration to qualifying pets.',0,0),
(20342,1002640,4,100,'On any combat or spell hit this spell may cast Spiritual Restoration on caster.  Triggers about 2.4 times per minute. ',1,1),
(20343,1002640,4,100,'Increases power of caster by 3.0%',2,2),
(20344,1002639,4,100,'Applies Spiritual Restoration to qualifying pets.',0,0),
(20345,1002639,4,100,'On any combat or spell hit this spell may cast Spiritual Restoration on caster.  Triggers about 2.4 times per minute. ',1,1),
(20346,1002639,4,100,'Increases power of caster by 3.0%',2,2),
(20347,1002638,4,100,'Applies Spiritual Restoration to qualifying pets.',0,0),
(20348,1002638,4,100,'On any combat or spell hit this spell may cast Spiritual Restoration on caster.  Triggers about 2.4 times per minute. ',1,1),
(20349,1002638,4,100,'Increases power of caster by 3.0%',2,2),
(20350,1002644,4,100,'Applies Spiritual Restoration to qualifying pets.',0,0),
(20351,1002644,4,100,'On any combat or spell hit this spell may cast Spiritual Restoration on caster.  Triggers about 2.4 times per minute. ',1,1),
(20352,1002644,4,100,'Increases power of caster by 3.0%',2,2),
(20353,1002642,4,100,'Applies Spiritual Restoration to qualifying pets.',0,0),
(20354,1002642,4,100,'On any combat or spell hit this spell may cast Spiritual Restoration on caster.  Triggers about 2.4 times per minute. ',1,1),
(20355,1002642,4,100,'Increases power of caster by 3.0%',2,2),
(20356,1002641,5,100,'Applies Spiritual Restoration to qualifying pets.',0,0),
(20357,1002641,5,100,'On any combat or spell hit this spell may cast Spiritual Restoration on caster.  Triggers about 3.0 times per minute. ',1,1),
(20358,1002641,5,100,'Increases power of caster by 3.0%',2,2),
(20359,1002638,5,100,'Applies Spiritual Restoration to qualifying pets.',0,0),
(20360,1002638,5,100,'On any combat or spell hit this spell may cast Spiritual Restoration on caster.  Triggers about 3.0 times per minute. ',1,1),
(20361,1002638,5,100,'Increases power of caster by 3.0%',2,2),
(20362,1002640,5,100,'Applies Spiritual Restoration to qualifying pets.',0,0),
(20363,1002640,5,100,'On any combat or spell hit this spell may cast Spiritual Restoration on caster.  Triggers about 3.0 times per minute. ',1,1),
(20364,1002640,5,100,'Increases power of caster by 3.0%',2,2),
(20365,1002639,5,100,'Applies Spiritual Restoration to qualifying pets.',0,0),
(20366,1002639,5,100,'On any combat or spell hit this spell may cast Spiritual Restoration on caster.  Triggers about 3.0 times per minute. ',1,1),
(20367,1002639,5,100,'Increases power of caster by 3.0%',2,2),
(20368,1002642,5,100,'Applies Spiritual Restoration to qualifying pets.',0,0),
(20369,1002642,5,100,'On any combat or spell hit this spell may cast Spiritual Restoration on caster.  Triggers about 3.0 times per minute. ',1,1),
(20370,1002642,5,100,'Increases power of caster by 3.0%',2,2),
(20371,1002644,5,100,'Applies Spiritual Restoration to qualifying pets.',0,0),
(20372,1002644,5,100,'On any combat or spell hit this spell may cast Spiritual Restoration on caster.  Triggers about 3.0 times per minute. ',1,1),
(20373,1002644,5,100,'Increases power of caster by 3.0%',2,2),
(20374,1002641,6,100,'Applies Spiritual Restoration to qualifying pets.',0,0),
(20375,1002641,6,100,'On any combat or spell hit this spell may cast Spiritual Restoration on caster.  Triggers about 3.6 times per minute. ',1,1),
(20376,1002641,6,100,'Increases power of caster by 3.0%',2,2),
(20377,1002639,6,100,'Applies Spiritual Restoration to qualifying pets.',0,0),
(20378,1002639,6,100,'On any combat or spell hit this spell may cast Spiritual Restoration on caster.  Triggers about 3.6 times per minute. ',1,1),
(20379,1002639,6,100,'Increases power of caster by 3.0%',2,2),
(20380,1002638,6,100,'Applies Spiritual Restoration to qualifying pets.',0,0),
(20381,1002638,6,100,'On any combat or spell hit this spell may cast Spiritual Restoration on caster.  Triggers about 3.6 times per minute. ',1,1),
(20382,1002638,6,100,'Increases power of caster by 3.0%',2,2),
(20383,1002644,6,100,'Applies Spiritual Restoration to qualifying pets.',0,0),
(20384,1002644,6,100,'On any combat or spell hit this spell may cast Spiritual Restoration on caster.  Triggers about 3.6 times per minute. ',1,1),
(20385,1002644,6,100,'Increases power of caster by 3.0%',2,2),
(20386,1002642,6,100,'Applies Spiritual Restoration to qualifying pets.',0,0),
(20387,1002642,6,100,'On any combat or spell hit this spell may cast Spiritual Restoration on caster.  Triggers about 3.6 times per minute. ',1,1),
(20388,1002642,6,100,'Increases power of caster by 3.0%',2,2),
(20389,1002640,6,100,'Applies Spiritual Restoration to qualifying pets.',0,0),
(20390,1002640,6,100,'On any combat or spell hit this spell may cast Spiritual Restoration on caster.  Triggers about 3.6 times per minute. ',1,1),
(20391,1002640,6,100,'Increases power of caster by 3.0%',2,2),
(20392,1002641,7,100,'Applies Spiritual Restoration to qualifying pets.',0,0),
(20393,1002641,7,100,'On any combat or spell hit this spell may cast Spiritual Restoration on caster.  Triggers about 4.2 times per minute. ',1,1),
(20394,1002641,7,100,'Increases power of caster by 3.0%',2,2),
(20395,1002642,7,100,'Applies Spiritual Restoration to qualifying pets.',0,0),
(20396,1002642,7,100,'On any combat or spell hit this spell may cast Spiritual Restoration on caster.  Triggers about 4.2 times per minute. ',1,1),
(20397,1002642,7,100,'Increases power of caster by 3.0%',2,2),
(20398,1002640,7,100,'Applies Spiritual Restoration to qualifying pets.',0,0),
(20399,1002640,7,100,'On any combat or spell hit this spell may cast Spiritual Restoration on caster.  Triggers about 4.2 times per minute. ',1,1),
(20400,1002640,7,100,'Increases power of caster by 3.0%',2,2),
(20401,1002639,7,100,'Applies Spiritual Restoration to qualifying pets.',0,0),
(20402,1002639,7,100,'On any combat or spell hit this spell may cast Spiritual Restoration on caster.  Triggers about 4.2 times per minute. ',1,1),
(20403,1002639,7,100,'Increases power of caster by 3.0%',2,2),
(20404,1002638,7,100,'Applies Spiritual Restoration to qualifying pets.',0,0),
(20405,1002638,7,100,'On any combat or spell hit this spell may cast Spiritual Restoration on caster.  Triggers about 4.2 times per minute. ',1,1),
(20406,1002638,7,100,'Increases power of caster by 3.0%',2,2),
(20407,1002644,7,100,'Applies Spiritual Restoration to qualifying pets.',0,0),
(20408,1002644,7,100,'On any combat or spell hit this spell may cast Spiritual Restoration on caster.  Triggers about 4.2 times per minute. ',1,1),
(20409,1002644,7,100,'Increases power of caster by 3.0%',2,2),
(20410,1002644,8,100,'Applies Spiritual Restoration to qualifying pets.',0,0),
(20411,1002644,8,100,'On any combat or spell hit this spell may cast Spiritual Restoration on caster.  Triggers about 4.8 times per minute. ',1,1),
(20412,1002644,8,100,'Increases power of caster by 3.0%',2,2),
(20413,1002641,8,100,'Applies Spiritual Restoration to qualifying pets.',0,0),
(20414,1002641,8,100,'On any combat or spell hit this spell may cast Spiritual Restoration on caster.  Triggers about 4.8 times per minute. ',1,1),
(20415,1002641,8,100,'Increases power of caster by 3.0%',2,2),
(20416,1002642,8,100,'Applies Spiritual Restoration to qualifying pets.',0,0),
(20417,1002642,8,100,'On any combat or spell hit this spell may cast Spiritual Restoration on caster.  Triggers about 4.8 times per minute. ',1,1),
(20418,1002642,8,100,'Increases power of caster by 3.0%',2,2),
(20419,1002640,8,100,'Applies Spiritual Restoration to qualifying pets.',0,0),
(20420,1002640,8,100,'On any combat or spell hit this spell may cast Spiritual Restoration on caster.  Triggers about 4.8 times per minute. ',1,1),
(20421,1002640,8,100,'Increases power of caster by 3.0%',2,2),
(20422,1002639,8,100,'Applies Spiritual Restoration to qualifying pets.',0,0),
(20423,1002639,8,100,'On any combat or spell hit this spell may cast Spiritual Restoration on caster.  Triggers about 4.8 times per minute. ',1,1),
(20424,1002639,8,100,'Increases power of caster by 3.0%',2,2),
(20425,1002638,8,100,'Applies Spiritual Restoration to qualifying pets.',0,0),
(20426,1002638,8,100,'On any combat or spell hit this spell may cast Spiritual Restoration on caster.  Triggers about 4.8 times per minute. ',1,1),
(20427,1002638,8,100,'Increases power of caster by 3.0%',2,2),
(20428,1002641,9,100,'Applies Spiritual Restoration to qualifying pets.',0,0),
(20429,1002641,9,100,'On any combat or spell hit this spell may cast Spiritual Restoration on caster.  Triggers about 5.4 times per minute. ',1,1),
(20430,1002641,9,100,'Increases power of caster by 3.0%',2,2),
(20431,1002642,9,100,'Applies Spiritual Restoration to qualifying pets.',0,0),
(20432,1002642,9,100,'On any combat or spell hit this spell may cast Spiritual Restoration on caster.  Triggers about 5.4 times per minute. ',1,1),
(20433,1002642,9,100,'Increases power of caster by 3.0%',2,2),
(20434,1002640,9,100,'Applies Spiritual Restoration to qualifying pets.',0,0),
(20435,1002640,9,100,'On any combat or spell hit this spell may cast Spiritual Restoration on caster.  Triggers about 5.4 times per minute. ',1,1),
(20436,1002640,9,100,'Increases power of caster by 3.0%',2,2),
(20437,1002639,9,100,'Applies Spiritual Restoration to qualifying pets.',0,0),
(20438,1002639,9,100,'On any combat or spell hit this spell may cast Spiritual Restoration on caster.  Triggers about 5.4 times per minute. ',1,1),
(20439,1002639,9,100,'Increases power of caster by 3.0%',2,2),
(20440,1002638,9,100,'Applies Spiritual Restoration to qualifying pets.',0,0),
(20441,1002638,9,100,'On any combat or spell hit this spell may cast Spiritual Restoration on caster.  Triggers about 5.4 times per minute. ',1,1),
(20442,1002638,9,100,'Increases power of caster by 3.0%',2,2),
(20443,1002644,9,100,'Applies Spiritual Restoration to qualifying pets.',0,0),
(20444,1002644,9,100,'On any combat or spell hit this spell may cast Spiritual Restoration on caster.  Triggers about 5.4 times per minute. ',1,1),
(20445,1002644,9,100,'Increases power of caster by 3.0%',2,2),
(20446,1002641,10,100,'Applies Spiritual Restoration to qualifying pets.',0,0),
(20447,1002641,10,100,'On any combat or spell hit this spell may cast Spiritual Restoration on caster.  Triggers about 6.0 times per minute. ',1,1),
(20448,1002641,10,100,'Increases power of caster by 3.0%',2,2),
(20449,1002640,10,100,'Applies Spiritual Restoration to qualifying pets.',0,0),
(20450,1002640,10,100,'On any combat or spell hit this spell may cast Spiritual Restoration on caster.  Triggers about 6.0 times per minute. ',1,1),
(20451,1002640,10,100,'Increases power of caster by 3.0%',2,2),
(20452,1002639,10,100,'Applies Spiritual Restoration to qualifying pets.',0,0),
(20453,1002639,10,100,'On any combat or spell hit this spell may cast Spiritual Restoration on caster.  Triggers about 6.0 times per minute. ',1,1),
(20454,1002639,10,100,'Increases power of caster by 3.0%',2,2),
(20455,1002638,10,100,'Applies Spiritual Restoration to qualifying pets.',0,0),
(20456,1002638,10,100,'On any combat or spell hit this spell may cast Spiritual Restoration on caster.  Triggers about 6.0 times per minute. ',1,1),
(20457,1002638,10,100,'Increases power of caster by 3.0%',2,2),
(20458,1002644,10,100,'Applies Spiritual Restoration to qualifying pets.',0,0),
(20459,1002644,10,100,'On any combat or spell hit this spell may cast Spiritual Restoration on caster.  Triggers about 6.0 times per minute. ',1,1),
(20460,1002644,10,100,'Increases power of caster by 3.0%',2,2),
(20461,1002642,10,100,'Applies Spiritual Restoration to qualifying pets.',0,0),
(20462,1002642,10,100,'On any combat or spell hit this spell may cast Spiritual Restoration on caster.  Triggers about 6.0 times per minute. ',1,1),
(20463,1002642,10,100,'Increases power of caster by 3.0%',2,2),
(20464,1002645,1,100,'Improves the heal amount by 4%.',0,0),
(20465,1002645,1,100,'Improves the critical amount by 2%',0,1),
(20466,1002645,2,100,'Improves the heal amount by 8%.',0,0),
(20467,1002645,2,100,'Improves the critical amount by 4%',0,1),
(20468,1002645,3,100,'Improves the heal amount by 12%.',0,0),
(20469,1002645,3,100,'Improves the critical amount by 6%',0,1),
(20470,1002645,4,100,'Improves the heal amount by 16%.',0,0),
(20471,1002645,4,100,'Improves the critical amount by 8%',0,1),
(20472,1002645,5,100,'Improves the heal amount by 20%.',0,0),
(20473,1002645,5,100,'Improves the critical amount by 10%',0,1),
(20474,1002646,1,100,'Spiritual Advantages grant an additional 1 savagery.',0,0),
(20475,1002646,2,100,'Spiritual Advantages grant an additional 2 savagery.',0,0),
(20476,1002646,3,100,'Spiritual Advantages grant an additional 3 savagery.',0,0),
(20477,1002647,1,100,'Improves the attribute debuffs by 6%.',0,0),
(20478,1002647,2,100,'Improves the attribute debuffs by 12%.',0,0),
(20479,1002647,3,100,'Improves the attribute debuffs by 18%.',0,0),
(20480,1002647,4,100,'Improves the attribute debuffs by 24%.',0,0),
(20481,1002647,5,100,'Improves the attribute debuffs by 30%.',0,0),
(20482,1002648,1,100,'Immunization makes the target immune to most knockdowns and allows them to cast while moving. Immunization''s cast time is reduced to 0.5 seconds base and the reuse time is reduced to 90 seconds base.',0,0),
(20483,1002649,1,100,'Improves the base damage by 4%',0,0),
(20484,1002649,1,100,'Improves the critical damage by 2%',0,1),
(20485,1002649,2,100,'Improves the base damage by 8%',0,0),
(20486,1002649,2,100,'Improves the critical damage by 4%',0,1),
(20487,1002649,3,100,'Improves the base damage by 12%',0,0),
(20488,1002649,3,100,'Improves the critical damage by 6%',0,1),
(20489,1002649,4,100,'Improves the base damage by 16%',0,0),
(20490,1002649,4,100,'Improves the critical damage by 8%',0,1),
(20491,1002649,5,100,'Improves the base damage by 20%',0,0),
(20492,1002649,5,100,'Improves the critical damage by 10%',0,1),
(20493,1002650,1,100,'When using a Primal ability. this spell will cast Spirituality I on target.  Lasts for 15.0 seconds.  ',0,0),
(20494,1002650,1,100,'Using a Primal advances this ability to level 2.',1,1),
(20495,1002650,1,100,'Increases Crit Bonus of caster by 10.0%',1,2),
(20496,1002650,1,100,'Drains Savagery at a high rate when active',1,3),
(20497,1002650,1,100,'Increases the caster''s potency by 3% of their base potency',1,4),
(20498,1002651,1,100,'Increases Mitigation of caster vs arcane damage by 3',0,0),
(20499,1002652,1,100,'Improves the effectiveness of attribute and health impairments by 3%.',0,0),
(20500,1002652,1,100,'Improves the effectiveness of Attack Speed and Damage Per Second impairments by 3%.',0,1),
(20501,1002651,2,100,'Increases Mitigation of caster vs arcane damage by 3',0,0),
(20502,1002652,2,100,'Improves the effectiveness of attribute and health impairments by 6%.',0,0),
(20503,1002652,2,100,'Improves the effectiveness of Attack Speed and Damage Per Second impairments by 6%.',0,1),
(20504,1002652,3,100,'Improves the effectiveness of attribute and health impairments by 9%.',0,0),
(20505,1002652,3,100,'Improves the effectiveness of Attack Speed and Damage Per Second impairments by 9%.',0,1),
(20506,1002652,4,100,'Improves the effectiveness of attribute and health impairments by 12%.',0,0),
(20507,1002652,4,100,'Improves the effectiveness of Attack Speed and Damage Per Second impairments by 12%.',0,1),
(20508,1002652,5,100,'Improves the effectiveness of attribute and damage increase impairments by 15%.',0,0),
(20509,1002652,5,100,'Improves the effectiveness of Attack Speed and Damage Per Second impairments by 15%.',0,1),
(20510,1002652,6,100,'Improves the effectiveness of attribute and health impairments by 18%.',0,0),
(20511,1002652,6,100,'Improves the effectiveness of Attack Speed and Damage Per Second impairments by 18%.',0,1),
(20512,1002652,7,100,'Improves the effectiveness of attribute and health impairments by 21%.',0,0),
(20513,1002652,7,100,'Improves the effectiveness of Attack Speed and Damage Per Second impairments by 21%.',0,1),
(20514,1002652,8,100,'Improves the effectiveness of attribute and damage increase impairments by 24%.',0,0),
(20515,1002652,8,100,'Improves the effectiveness of Attack Speed and Damage Per Second impairments by 24%.',0,1),
(20516,1002652,9,100,'Improves the effectiveness of attribute and health impairments by 27%.',0,0),
(20517,1002652,9,100,'Improves the effectiveness of Attack Speed and Damage Per Second impairments by 27%.',0,1),
(20518,1002652,10,100,'Improves the effectiveness of attribute and health impairments by 30%.',0,0),
(20519,1002652,10,100,'Improves the effectiveness of Attack Speed and Damage Per Second impairments by 30%.',0,1),
(20520,1002653,1,100,'Increases Doublecast Chance of caster by 0.5%',0,0),
(20521,1002653,2,100,'Increases Spell Doublecast of caster by 1.0%',0,0),
(20522,1002653,3,100,'Increases Spell Doublecast of caster by 1.5%',0,0),
(20523,1002653,4,100,'Increases Spell Doublecast of caster by 2.0%',0,0),
(20524,1002653,5,100,'Increases Spell Doublecast of caster by 2.5%',0,0),
(20525,1002653,6,100,'Increases Spell Doublecast of caster by 3.0%',0,0),
(20526,1002653,7,100,'Increases Spell Doublecast of caster by 3.5%',0,0),
(20527,1002653,8,100,'Increases Doublecast Chance of caster by 4.0%',0,0),
(20528,1002653,9,100,'Increases Doublecast Chance of caster by 4.5%',0,0),
(20529,1002653,10,100,'Increases Doublecast Chance of caster by 5.0%',0,0),
(20530,1002654,1,100,'Increases Max Health of caster by 3.0%',0,0),
(20532,1002655,2,100,'Reduces the initial power cost by 30%.',0,0),
(20533,1002655,2,100,'Increases the base speed of sprint by 10.',0,1),
(20534,1002656,1,100,'Increases AGI of caster by 4.0',0,0),
(20535,1002656,2,100,'Increases AGI of caster by 4.0',0,0),
(20536,1002659,1,100,'Increases Piercing and Ranged of caster by 5.0',0,0),
(20537,1002659,2,100,'Increases Piercing and Ranged of caster by 5.0',0,0),
(20538,1002660,1,100,'Increases Combat Health Regen of caster by 5.0',0,0),
(20539,1002660,2,100,'Increases Combat Health Regen of caster by 5.0',0,0),
(20540,1002661,1,100,'When healed this spell has a 5% chance to cast Stalwart Aura on caster.  Lasts for 10.0 seconds.  ',0,0),
(20541,1002661,1,100,'Reduces all damage done to caster by 5% if caster is a Player Character.',1,1),
(20542,1002661,1,100,'This effect can only trigger once every 30.0 seconds.',1,2),
(20543,1002661,2,100,'When healed this spell has a 7.5% chance to cast Stalwart Aura on caster.  Lasts for 10.0 seconds.  ',0,0),
(20544,1002661,2,100,'Reduces all damage done to caster by 5% if caster is a Player Character.',1,1),
(20545,1002661,2,100,'This effect can only trigger once every 25.0 seconds.',1,2),
(20546,1002661,3,100,'When healed this spell has a 10% chance to cast Stalwart Aura on caster.  Lasts for 10.0 seconds.  ',0,0),
(20547,1002661,3,100,'Reduces all damage done to caster by 5% if caster is a Player Character.',1,1),
(20548,1002661,3,100,'This effect can only trigger once every 20.0 seconds.',1,2),
(20549,1002662,1,100,'Increases the Stamina Bonus of Caster by 100.0',0,0),
(20550,1002662,2,100,'Increases the Stamina Bonus of Caster by 200.0',0,0),
(20551,1002662,3,100,'Increases the Stamina Bonus of Caster by 300.0',0,0),
(20552,1002663,1,100,'For every 35 Crit Bonus, the caster gains 1% Max Health.',0,0),
(20553,1002664,1,100,'Increases Max Health of caster by 1.0%',0,0),
(20554,1002664,1,100,'Increases Ranged of caster by 0.0',0,1),
(20555,1002664,2,100,'Increases Max Health of caster by 2.0%',0,0),
(20556,1002664,2,100,'Increases Ranged of caster by 0.0',0,1),
(20557,1002664,3,100,'Increases Max Health of caster by 3.0%',0,0),
(20558,1002664,3,100,'Increases Ranged of caster by 0.0',0,1),
(20559,1002664,4,100,'Increases Max Health of caster by 4.0%',0,0),
(20560,1002664,4,100,'Increases Ranged of caster by 0.0',0,1),
(20561,1002664,5,100,'Increases Max Health of caster by 5.0%',0,0),
(20562,1002664,5,100,'Increases Ranged of caster by 0.0',0,1),
(20563,1002664,6,100,'Increases Max Health of caster by 6.0%',0,0),
(20564,1002664,6,100,'Increases Ranged of caster by 0.0',0,1),
(20565,1002664,7,100,'Increases Max Health of caster by 7.0%',0,0),
(20566,1002664,7,100,'Increases Ranged of caster by 0.0',0,1),
(20567,1002664,8,100,'Increases Max Health of caster by 8.0%',0,0),
(20568,1002664,8,100,'Increases Ranged of caster by 0.0',0,1),
(20569,1002664,9,100,'Increases Max Health of caster by 9.0%',0,0),
(20570,1002664,9,100,'Increases Ranged of caster by 0.0',0,1),
(20571,1002664,10,100,'Increases Max Health of caster by 10.0%',0,0),
(20572,1002664,10,100,'Increases Ranged of caster by 0.0',0,1),
(20573,1002665,1,100,'Removes all penalties associated with your offensive stance.',0,0),
(20574,1002665,1,100,'Removes all penalties associated with your defensive stance.',0,1),
(20575,1002665,1,100,'Removes all penalties associated with your hunker abilities.',0,2),
(20576,1002666,1,100,'Applies Steadfast.  Lasts for 2.0 seconds.',0,0),
(20577,1002666,1,100,'Prevents caster from being Interrupted',1,1),
(20578,1002666,1,100,'Makes caster immune to Stifle effects (50% chance)',1,2),
(20579,1002667,1,100,'Increases caster''s chance to block by 2.0%',0,0),
(20580,1002667,2,100,'Increases caster''s chance to block by 2.0%',0,0),
(20581,1002668,1,100,'Improves the duration by 12.5%.',0,0),
(20582,1002668,2,100,'Improves the duration by 25%.',0,0),
(20583,1002668,3,100,'Improves the duration by 37.5%.',0,0),
(20584,1002668,4,100,'Improves the duration by 50%.',0,0),
(20585,1002668,5,100,'Improves the duration by 62.5%.',0,0),
(20586,1002668,6,100,'Improves the duration by 75%.',0,0),
(20587,1002668,7,100,'Improves the duration by 87.5%.',0,0),
(20588,1002668,8,100,'Improves the duration by 100%.',0,0),
(20589,1002668,8,100,'Makes the stifle immunity trigger 100% of the time.',0,1),
(20590,1002669,1,100,'Increases the amount of durability gained by 1.0.',0,0),
(20591,1002669,2,100,'Increases the amount of durability gained by 2.0.',0,0),
(20592,1002669,3,100,'Increases the amount of durability gained by 3.0.',0,0),
(20593,1002669,4,100,'Increases the amount of durability gained by 4.0.',0,0),
(20594,1002669,5,100,'Increases the amount of durability gained by 5.0.',0,0),
(20595,1002670,1,100,'Improves the damage and critical multipliers of all the assassin''s stealth skills by 10%.',0,0),
(20596,1002670,1,100,'Improves the damage of Fatal Followup by 10%.',0,1),
(20597,1002671,1,100,'Increases stealth or invisible movement speed of caster by 15.0%',0,0),
(20598,1002672,1,100,'Increases stealth or invisible movement speed of caster by 15.0%',0,0),
(20599,1002672,2,100,'Increases stealth or invisible movement speed of caster by 15.0%',0,0),
(20600,1002671,2,100,'Increases stealth or invisible movement speed of caster by 15.0%',0,0),
(20601,1002673,1,100,'Increases the damage by 3%.',0,0),
(20602,1002673,1,100,'Improves the reuse of Bump by 1.25 seconds.',0,1),
(20603,1002673,2,100,'Increases the damage by 6%.',0,0),
(20604,1002673,2,100,'Improves the reuse of Bump by 2.5 seconds.',0,1),
(20605,1002673,3,100,'Increases the damage by 9%.',0,0),
(20606,1002673,3,100,'Improves the reuse of Bump by 3.75 seconds.',0,1),
(20607,1002673,4,100,'Increases the damage by 12%.',0,0),
(20608,1002673,4,100,'Improves the reuse of Bump by 5 seconds.',0,1),
(20609,1002673,5,100,'Increases the damage by 15%.',0,0),
(20610,1002673,5,100,'Improves the reuse of Bump by 6.25 seconds.',0,1),
(20611,1002673,6,100,'Increases the damage by 18%.',0,0),
(20612,1002673,6,100,'Improves the reuse of Bump by 7.5 seconds.',0,1),
(20613,1002673,7,100,'Increases the damage by 21%.',0,0),
(20614,1002673,7,100,'Improves the reuse of Bump by 8.75 seconds.',0,1),
(20615,1002673,8,100,'Increases the damage by 24%.',0,0),
(20616,1002673,8,100,'Improves the reuse of Bump by 10 seconds.',0,1),
(20617,1002674,1,100,'Grants a temporary reduction to the next damaging attack.',0,0),
(20618,1002674,2,100,'Grants a temporary reduction to the next damaging attack.',0,0),
(20619,1002674,3,100,'Grants a temporary reduction to the next damaging attack.',0,0),
(20620,1002674,4,100,'Grants a temporary reduction to the next damaging attack.',0,0),
(20621,1002674,5,100,'Grants a temporary reduction to the next damaging attack.',0,0),
(20622,1002674,6,100,'Grants a temporary reduction to the next damaging attack.',0,0),
(20623,1002674,7,100,'Grants a temporary reduction to the next damaging attack.',0,0),
(20624,1002674,8,100,'Grants a temporary reduction to the next damaging attack.',0,0),
(20625,1002675,1,100,'Improves the base and critical damage by 3%',0,0),
(20626,1002675,2,100,'Improves the base and critical damage by 6%',0,0),
(20627,1002675,3,100,'Improves the base and critical damage by 9%',0,0),
(20628,1002675,4,100,'Improves the base and critical damage by 12%',0,0),
(20629,1002675,5,100,'Improves the base and critical damage by 15%',0,0),
(20630,1002677,1,100,'For every 12 Potency, the caster gains 1 Crit Bonus.',0,0),
(20631,1002678,1,100,'Improves the base damage by 2%',0,0),
(20632,1002678,1,100,'Improves the radius by 1 and lowers the recast by 1 seconds.',0,1),
(20633,1002678,2,100,'Improves the base damage by 4%',0,0),
(20634,1002678,2,100,'Improves the radius by 2 and lowers the recast by 2 seconds.',0,1),
(20635,1002678,3,100,'Improves the base damage by 6%',0,0),
(20636,1002678,3,100,'Improves the radius by 3 and lowers the recast by 3 seconds.',0,1),
(20637,1002678,4,100,'Improves the base damage by 8%',0,0),
(20638,1002678,4,100,'Improves the radius by 4 and lowers the recast by 4 seconds.',0,1),
(20639,1002678,5,100,'Improves the base damage by 10%',0,0),
(20640,1002678,5,100,'Improves the radius by 5 and lowers the recast by 5 seconds.',0,1),
(20641,1002679,1,100,'Reduces attack speed of the target when Waveform is active by 2.5 per increment.',0,0),
(20642,1002679,2,100,'Reduces attack speed of the target when Waveform is active by 5 per increment.',0,0),
(20643,1002679,3,100,'Reduces attack speed of the target when Waveform is active by 7.5 per increment.',0,0),
(20644,1002680,1,100,'On a spell cast this spell has a 12.5% chance to cast Storm Call on caster.  Lasts for 5.0 seconds.  ',0,0),
(20645,1002680,1,100,'Clears the reuse on Call of Storms.',1,1),
(20646,1002680,1,100,'This effect only triggers when Raging Whirlwind is cast.',1,2),
(20647,1002680,2,100,'On a spell cast this spell has a 25% chance to cast Storm Call on caster.  Lasts for 5.0 seconds.  ',0,0),
(20648,1002680,2,100,'Clears the reuse on Call of Storms.',1,1),
(20649,1002680,2,100,'This effect only triggers when Raging Whirlwind is cast.',1,2),
(20650,1002682,1,100,'Stormbearer''s Fury will increase the fury''s maximum health by 7%',0,0),
(20651,1002682,1,100,'Stormbearer''s Fury will increase the fury''s potency by 5%',0,1),
(20652,1002682,2,100,'Stormbearer''s Fury will increase the fury''s maximum health by 14%',0,0),
(20653,1002682,2,100,'Stormbearer''s Fury will increase the fury''s potency by 10%',0,1),
(20654,1002682,3,100,'Stormbearer''s Fury will increase the fury''s maximum health by 21%',0,0),
(20655,1002682,3,100,'Stormbearer''s Fury will increase the fury''s potency by 15%',0,1),
(20656,1002683,1,100,'The fury''s damage over time spells will cause additional damage to surrounding targets on expiration.',0,0),
(20657,1002683,2,100,'The fury''s damage over time spells will cause additional damage to surrounding targets on expiration.',0,0),
(20658,1002683,3,100,'The fury''s damage over time spells will cause additional damage to surrounding targets on expiration.',0,0),
(20659,1002684,1,100,'Increases the base damage of spells by 1%',0,0),
(20660,1002684,2,100,'Increases the base damage of spells by 2%',0,0),
(20661,1002684,3,100,'Increases the base damage of spells by 3%',0,0),
(20662,1002684,4,100,'Increases the base damage of spells by 4%',0,0),
(20663,1002684,5,100,'Increases the base damage of spells by 5%',0,0),
(20664,1002684,6,100,'Increases the base damage of spells by 6%',0,0),
(20665,1002684,7,100,'Increases the base damage of spells by 7%',0,0),
(20666,1002684,8,100,'Increases the base damage of spells by 8%',0,0),
(20667,1002684,9,100,'Increases the base damage of spells by 9%',0,0),
(20668,1002684,10,100,'Increases the base damage of spells by 10%',0,0),
(20669,1002685,1,100,'Increases INT of caster by 6.0',0,0),
(20670,1002686,1,100,'On a hostile spell cast this spell may cast Stormcaller''s Renewal on the group.  Triggers about 3.2 times per minute. ',0,0),
(20671,1002686,1,100,'Heals group members (AE) for 132 - 198',1,1),
(20672,1002686,2,100,'On a hostile spell cast this spell may cast Stormcaller''s Renewal on the group.  Triggers about 3.2 times per minute. ',0,0),
(20673,1002686,2,100,'Heals group members (AE) for 264 - 396',1,1),
(20674,1002686,3,100,'On a hostile spell cast this spell may cast Stormcaller''s Renewal on the group.  Triggers about 3.2 times per minute. ',0,0),
(20675,1002686,3,100,'Heals group members (AE) for 396 - 594',1,1),
(20676,1002686,4,100,'On a hostile spell cast this spell may cast Stormcaller''s Renewal on the group.  Triggers about 3.2 times per minute. ',0,0),
(20677,1002686,4,100,'Heals group members (AE) for 528 - 792',1,1),
(20678,1002686,5,100,'On a hostile spell cast this spell may cast Stormcaller''s Renewal on the group.  Triggers about 3.2 times per minute. ',0,0),
(20679,1002686,5,100,'Heals group members (AE) for 660 - 990',1,1),
(20680,1002686,6,100,'On a hostile spell cast this spell may cast Stormcaller''s Renewal on the group.  Triggers about 3.2 times per minute. ',0,0),
(20681,1002686,6,100,'Heals group members (AE) for 792 - 1188',1,1),
(20682,1002686,7,100,'On a hostile spell cast this spell may cast Stormcaller''s Renewal on the group.  Triggers about 3.2 times per minute. ',0,0),
(20683,1002686,7,100,'Heals group members (AE) for 924 - 1386',1,1),
(20684,1002686,8,100,'On a hostile spell cast this spell may cast Stormcaller''s Renewal on the group.  Triggers about 3.2 times per minute. ',0,0),
(20685,1002686,8,100,'Heals group members (AE) for 1056 - 1584',1,1),
(20686,1002687,1,100,'Energy Vortex will reduce the base cast time of Starnova to 1.5 seconds and removes the power cost. Casting Starnova when Energy Vortex is active will restore power to the fury.',0,0),
(20687,1002688,1,100,'Increases Focus, Disruption and Ordination of caster by 0.0',0,0),
(20688,1002688,2,100,'Increases Focus, Disruption and Ordination of caster by 0.0',0,0),
(20689,1002688,3,100,'Increases Focus, Disruption and Ordination of caster by 0.0',0,0),
(20690,1002688,4,100,'Increases Focus, Disruption and Ordination of caster by 0.0',0,0),
(20691,1002688,5,100,'Increases Focus, Disruption and Ordination of caster by 0.0',0,0),
(20692,1002688,6,100,'Increases Focus, Disruption and Ordination of caster by 0.0',0,0),
(20693,1002688,7,100,'Increases Focus, Disruption and Ordination of caster by 0.0',0,0),
(20694,1002688,8,100,'Increases Focus, Disruption and Ordination of caster by 0.0',0,0),
(20695,1002688,9,100,'Increases Focus, Disruption and Ordination of caster by 0.0',0,0),
(20696,1002688,10,100,'Increases Focus, Disruption and Ordination of caster by 0.0',0,0),
(20697,1002689,1,100,'Increases Max Health of caster by 2.5%',0,0),
(20698,1002689,2,100,'Increases Max Health of caster by 2.5%',0,0),
(20699,1002690,1,100,'Increases caster''s chance to block by 2.0%',0,0),
(20700,1002690,2,100,'Increases caster''s chance to block by 2.0%',0,0),
(20701,1002691,1,100,'Applies Stout Warder to qualifying pets.',0,0),
(20702,1002691,1,100,'Increases Max Health of caster by 1.0%',1,1),
(20703,1002692,1,100,'Applies Stout Warder to qualifying pets.',0,0),
(20704,1002692,1,100,'Increases Max Health of caster by 1.0%',1,1),
(20705,1002693,1,100,'Applies Stout Warder to qualifying pets.',0,0),
(20706,1002693,1,100,'Increases Max Health of caster by 1.0%',1,1),
(20707,1002694,1,100,'Applies Stout Warder to qualifying pets.',0,0),
(20708,1002694,1,100,'Increases Max Health of caster by 1.0%',1,1),
(20709,1002695,1,100,'Applies Stout Warder to qualifying pets.',0,0),
(20710,1002695,1,100,'Increases Max Health of caster by 1.0%',1,1),
(20711,1002696,1,100,'Applies Stout Warder to qualifying pets.',0,0),
(20712,1002696,1,100,'Increases Max Health of caster by 1.0%',1,1),
(20713,1002697,1,100,'Applies Stout Warder to qualifying pets.',0,0),
(20714,1002697,1,100,'Increases Max Health of caster by 1.0%',1,1),
(20715,1002698,1,100,'Applies Stout Warder to qualifying pets.',0,0),
(20716,1002698,1,100,'Increases Max Health of caster by 1.0%',1,1),
(20717,1002699,1,100,'Applies Stout Warder to qualifying pets.',0,0),
(20718,1002699,1,100,'Increases Max Health of caster by 1.0%',1,1),
(20719,1002700,1,100,'Applies Stout Warder to qualifying pets.',0,0),
(20720,1002700,1,100,'Increases Max Health of caster by 1.0%',1,1),
(20721,1002701,1,100,'Applies Stout Warder to qualifying pets.',0,0),
(20722,1002701,1,100,'Increases Max Health of caster by 1.0%',1,1),
(20723,1002702,1,100,'Applies Stout Warder to qualifying pets.',0,0),
(20724,1002702,1,100,'Increases Max Health of caster by 1.0%',1,1),
(20725,1002703,1,100,'Applies Stout Warder to qualifying pets.',0,0),
(20726,1002703,1,100,'Increases Max Health of caster by 1.0%',1,1),
(20727,1002704,1,100,'Applies Stout Warder to qualifying pets.',0,0),
(20728,1002704,1,100,'Increases Max Health of caster by 1.0%',1,1),
(20729,1002705,1,100,'Applies Stout Warder to qualifying pets.',0,0),
(20730,1002705,1,100,'Increases Max Health of caster by 1.0%',1,1),
(20731,1002706,1,100,'Applies Stout Warder to qualifying pets.',0,0),
(20732,1002706,1,100,'Increases Max Health of caster by 1.0%',1,1),
(20733,1002707,1,100,'Applies Stout Warder to qualifying pets.',0,0),
(20734,1002707,1,100,'Increases Max Health of caster by 1.0%',1,1),
(20735,1002708,1,100,'Applies Stout Warder to qualifying pets.',0,0),
(20736,1002708,1,100,'Increases Max Health of caster by 1.0%',1,1),
(20737,1002709,1,100,'Applies Stout Warder to qualifying pets.',0,0),
(20738,1002709,1,100,'Increases Max Health of caster by 1.0%',1,1),
(20739,1002697,2,100,'Applies Stout Warder to qualifying pets.',0,0),
(20740,1002697,2,100,'Increases Max Health of caster by 2.0%',1,1),
(20741,1002703,2,100,'Applies Stout Warder to qualifying pets.',0,0),
(20742,1002703,2,100,'Increases Max Health of caster by 2.0%',1,1),
(20743,1002701,2,100,'Applies Stout Warder to qualifying pets.',0,0),
(20744,1002701,2,100,'Increases Max Health of caster by 2.0%',1,1),
(20745,1002702,2,100,'Applies Stout Warder to qualifying pets.',0,0),
(20746,1002702,2,100,'Increases Max Health of caster by 2.0%',1,1),
(20747,1002694,2,100,'Applies Stout Warder to qualifying pets.',0,0),
(20748,1002694,2,100,'Increases Max Health of caster by 2.0%',1,1),
(20749,1002704,2,100,'Applies Stout Warder to qualifying pets.',0,0),
(20750,1002704,2,100,'Increases Max Health of caster by 2.0%',1,1),
(20751,1002700,2,100,'Applies Stout Warder to qualifying pets.',0,0),
(20752,1002700,2,100,'Increases Max Health of caster by 2.0%',1,1),
(20753,1002699,2,100,'Applies Stout Warder to qualifying pets.',0,0),
(20754,1002699,2,100,'Increases Max Health of caster by 2.0%',1,1),
(20755,1002707,2,100,'Applies Stout Warder to qualifying pets.',0,0),
(20756,1002707,2,100,'Increases Max Health of caster by 2.0%',1,1),
(20757,1002693,2,100,'Applies Stout Warder to qualifying pets.',0,0),
(20758,1002693,2,100,'Increases Max Health of caster by 2.0%',1,1),
(20759,1002696,2,100,'Applies Stout Warder to qualifying pets.',0,0),
(20760,1002696,2,100,'Increases Max Health of caster by 2.0%',1,1),
(20761,1002708,2,100,'Applies Stout Warder to qualifying pets.',0,0),
(20762,1002708,2,100,'Increases Max Health of caster by 2.0%',1,1),
(20763,1002691,2,100,'Applies Stout Warder to qualifying pets.',0,0),
(20764,1002691,2,100,'Increases Max Health of caster by 2.0%',1,1),
(20765,1002709,2,100,'Applies Stout Warder to qualifying pets.',0,0),
(20766,1002709,2,100,'Increases Max Health of caster by 2.0%',1,1),
(20767,1002692,2,100,'Applies Stout Warder to qualifying pets.',0,0),
(20768,1002692,2,100,'Increases Max Health of caster by 2.0%',1,1),
(20769,1002695,2,100,'Applies Stout Warder to qualifying pets.',0,0),
(20770,1002695,2,100,'Increases Max Health of caster by 2.0%',1,1),
(20771,1002705,2,100,'Applies Stout Warder to qualifying pets.',0,0),
(20772,1002705,2,100,'Increases Max Health of caster by 2.0%',1,1),
(20773,1002698,2,100,'Applies Stout Warder to qualifying pets.',0,0),
(20774,1002698,2,100,'Increases Max Health of caster by 2.0%',1,1),
(20775,1002705,3,100,'Applies Stout Warder to qualifying pets.',0,0),
(20776,1002705,3,100,'Increases Max Health of caster by 3.0%',1,1),
(20777,1002691,3,100,'Applies Stout Warder to qualifying pets.',0,0),
(20778,1002691,3,100,'Increases Max Health of caster by 3.0%',1,1),
(20779,1002698,3,100,'Applies Stout Warder to qualifying pets.',0,0),
(20780,1002698,3,100,'Increases Max Health of caster by 3.0%',1,1),
(20781,1002702,3,100,'Applies Stout Warder to qualifying pets.',0,0),
(20782,1002702,3,100,'Increases Max Health of caster by 3.0%',1,1),
(20783,1002704,3,100,'Applies Stout Warder to qualifying pets.',0,0),
(20784,1002704,3,100,'Increases Max Health of caster by 3.0%',1,1),
(20785,1002700,3,100,'Applies Stout Warder to qualifying pets.',0,0),
(20786,1002700,3,100,'Increases Max Health of caster by 3.0%',1,1),
(20787,1002699,3,100,'Applies Stout Warder to qualifying pets.',0,0),
(20788,1002699,3,100,'Increases Max Health of caster by 3.0%',1,1),
(20789,1002707,3,100,'Applies Stout Warder to qualifying pets.',0,0),
(20790,1002707,3,100,'Increases Max Health of caster by 3.0%',1,1),
(20791,1002693,3,100,'Applies Stout Warder to qualifying pets.',0,0),
(20792,1002693,3,100,'Increases Max Health of caster by 3.0%',1,1),
(20793,1002696,3,100,'Applies Stout Warder to qualifying pets.',0,0),
(20794,1002696,3,100,'Increases Max Health of caster by 3.0%',1,1),
(20795,1002697,3,100,'Applies Stout Warder to qualifying pets.',0,0),
(20796,1002697,3,100,'Increases Max Health of caster by 3.0%',1,1),
(20797,1002701,3,100,'Applies Stout Warder to qualifying pets.',0,0),
(20798,1002701,3,100,'Increases Max Health of caster by 3.0%',1,1),
(20799,1002703,3,100,'Applies Stout Warder to qualifying pets.',0,0),
(20800,1002703,3,100,'Increases Max Health of caster by 3.0%',1,1),
(20801,1002708,3,100,'Applies Stout Warder to qualifying pets.',0,0),
(20802,1002708,3,100,'Increases Max Health of caster by 3.0%',1,1),
(20803,1002709,3,100,'Applies Stout Warder to qualifying pets.',0,0),
(20804,1002709,3,100,'Increases Max Health of caster by 3.0%',1,1),
(20805,1002692,3,100,'Applies Stout Warder to qualifying pets.',0,0),
(20806,1002692,3,100,'Increases Max Health of caster by 3.0%',1,1),
(20807,1002694,3,100,'Applies Stout Warder to qualifying pets.',0,0),
(20808,1002694,3,100,'Increases Max Health of caster by 3.0%',1,1),
(20809,1002695,3,100,'Applies Stout Warder to qualifying pets.',0,0),
(20810,1002695,3,100,'Increases Max Health of caster by 3.0%',1,1),
(20811,1002692,4,100,'Applies Stout Warder to qualifying pets.',0,0),
(20812,1002692,4,100,'Increases Max Health of caster by 4.0%',1,1),
(20813,1002702,4,100,'Applies Stout Warder to qualifying pets.',0,0),
(20814,1002702,4,100,'Increases Max Health of caster by 4.0%',1,1),
(20815,1002704,4,100,'Applies Stout Warder to qualifying pets.',0,0),
(20816,1002704,4,100,'Increases Max Health of caster by 4.0%',1,1),
(20817,1002700,4,100,'Applies Stout Warder to qualifying pets.',0,0),
(20818,1002700,4,100,'Increases Max Health of caster by 4.0%',1,1),
(20819,1002699,4,100,'Applies Stout Warder to qualifying pets.',0,0),
(20820,1002699,4,100,'Increases Max Health of caster by 4.0%',1,1),
(20821,1002707,4,100,'Applies Stout Warder to qualifying pets.',0,0),
(20822,1002707,4,100,'Increases Max Health of caster by 4.0%',1,1),
(20823,1002696,4,100,'Applies Stout Warder to qualifying pets.',0,0),
(20824,1002696,4,100,'Increases Max Health of caster by 4.0%',1,1),
(20825,1002697,4,100,'Applies Stout Warder to qualifying pets.',0,0),
(20826,1002697,4,100,'Increases Max Health of caster by 4.0%',1,1),
(20827,1002701,4,100,'Applies Stout Warder to qualifying pets.',0,0),
(20828,1002701,4,100,'Increases Max Health of caster by 4.0%',1,1),
(20829,1002691,4,100,'Applies Stout Warder to qualifying pets.',0,0),
(20830,1002691,4,100,'Increases Max Health of caster by 4.0%',1,1),
(20831,1002709,4,100,'Applies Stout Warder to qualifying pets.',0,0),
(20832,1002709,4,100,'Increases Max Health of caster by 4.0%',1,1),
(20833,1002708,4,100,'Applies Stout Warder to qualifying pets.',0,0),
(20834,1002708,4,100,'Increases Max Health of caster by 4.0%',1,1),
(20835,1002703,4,100,'Applies Stout Warder to qualifying pets.',0,0),
(20836,1002703,4,100,'Increases Max Health of caster by 4.0%',1,1),
(20837,1002694,4,100,'Applies Stout Warder to qualifying pets.',0,0),
(20838,1002694,4,100,'Increases Max Health of caster by 4.0%',1,1),
(20839,1002695,4,100,'Applies Stout Warder to qualifying pets.',0,0),
(20840,1002695,4,100,'Increases Max Health of caster by 4.0%',1,1),
(20841,1002705,4,100,'Applies Stout Warder to qualifying pets.',0,0),
(20842,1002705,4,100,'Increases Max Health of caster by 4.0%',1,1),
(20843,1002698,4,100,'Applies Stout Warder to qualifying pets.',0,0),
(20844,1002698,4,100,'Increases Max Health of caster by 4.0%',1,1),
(20845,1002693,4,100,'Applies Stout Warder to qualifying pets.',0,0),
(20846,1002693,4,100,'Increases Max Health of caster by 4.0%',1,1),
(20847,1002702,5,100,'Applies Stout Warder to qualifying pets.',0,0),
(20848,1002702,5,100,'Increases Max Health of caster by 5.0%',1,1),
(20849,1002708,5,100,'Applies Stout Warder to qualifying pets.',0,0),
(20850,1002708,5,100,'Increases Max Health of caster by 5.0%',1,1),
(20851,1002704,5,100,'Applies Stout Warder to qualifying pets.',0,0),
(20852,1002704,5,100,'Increases Max Health of caster by 5.0%',1,1),
(20853,1002700,5,100,'Applies Stout Warder to qualifying pets.',0,0),
(20854,1002700,5,100,'Increases Max Health of caster by 5.0%',1,1),
(20855,1002705,5,100,'Applies Stout Warder to qualifying pets.',0,0),
(20856,1002705,5,100,'Increases Max Health of caster by 5.0%',1,1),
(20857,1002699,5,100,'Applies Stout Warder to qualifying pets.',0,0),
(20858,1002699,5,100,'Increases Max Health of caster by 5.0%',1,1),
(20859,1002707,5,100,'Applies Stout Warder to qualifying pets.',0,0),
(20860,1002707,5,100,'Increases Max Health of caster by 5.0%',1,1),
(20861,1002696,5,100,'Applies Stout Warder to qualifying pets.',0,0),
(20862,1002696,5,100,'Increases Max Health of caster by 5.0%',1,1),
(20863,1002697,5,100,'Applies Stout Warder to qualifying pets.',0,0),
(20864,1002697,5,100,'Increases Max Health of caster by 5.0%',1,1),
(20865,1002701,5,100,'Applies Stout Warder to qualifying pets.',0,0),
(20866,1002701,5,100,'Increases Max Health of caster by 5.0%',1,1),
(20867,1002691,5,100,'Applies Stout Warder to qualifying pets.',0,0),
(20868,1002691,5,100,'Increases Max Health of caster by 5.0%',1,1),
(20869,1002709,5,100,'Applies Stout Warder to qualifying pets.',0,0),
(20870,1002709,5,100,'Increases Max Health of caster by 5.0%',1,1),
(20871,1002703,5,100,'Applies Stout Warder to qualifying pets.',0,0),
(20872,1002703,5,100,'Increases Max Health of caster by 5.0%',1,1),
(20873,1002692,5,100,'Applies Stout Warder to qualifying pets.',0,0),
(20874,1002692,5,100,'Increases Max Health of caster by 5.0%',1,1),
(20875,1002695,5,100,'Applies Stout Warder to qualifying pets.',0,0),
(20876,1002695,5,100,'Increases Max Health of caster by 5.0%',1,1),
(20877,1002694,5,100,'Applies Stout Warder to qualifying pets.',0,0),
(20878,1002694,5,100,'Increases Max Health of caster by 5.0%',1,1),
(20879,1002698,5,100,'Applies Stout Warder to qualifying pets.',0,0),
(20880,1002698,5,100,'Increases Max Health of caster by 5.0%',1,1),
(20881,1002693,5,100,'Applies Stout Warder to qualifying pets.',0,0),
(20882,1002693,5,100,'Increases Max Health of caster by 5.0%',1,1),
(20883,1002701,6,100,'Applies Stout Warder to qualifying pets.',0,0),
(20884,1002701,6,100,'Increases Max Health of caster by 6.0%',1,1),
(20885,1002694,6,100,'Applies Stout Warder to qualifying pets.',0,0),
(20886,1002694,6,100,'Increases Max Health of caster by 6.0%',1,1),
(20887,1002702,6,100,'Applies Stout Warder to qualifying pets.',0,0),
(20888,1002702,6,100,'Increases Max Health of caster by 6.0%',1,1),
(20889,1002704,6,100,'Applies Stout Warder to qualifying pets.',0,0),
(20890,1002704,6,100,'Increases Max Health of caster by 6.0%',1,1),
(20891,1002700,6,100,'Applies Stout Warder to qualifying pets.',0,0),
(20892,1002700,6,100,'Increases Max Health of caster by 6.0%',1,1),
(20893,1002699,6,100,'Applies Stout Warder to qualifying pets.',0,0),
(20894,1002699,6,100,'Increases Max Health of caster by 6.0%',1,1),
(20895,1002707,6,100,'Applies Stout Warder to qualifying pets.',0,0),
(20896,1002707,6,100,'Increases Max Health of caster by 6.0%',1,1),
(20897,1002696,6,100,'Applies Stout Warder to qualifying pets.',0,0),
(20898,1002696,6,100,'Increases Max Health of caster by 6.0%',1,1),
(20899,1002697,6,100,'Applies Stout Warder to qualifying pets.',0,0),
(20900,1002697,6,100,'Increases Max Health of caster by 6.0%',1,1),
(20901,1002691,6,100,'Applies Stout Warder to qualifying pets.',0,0),
(20902,1002691,6,100,'Increases Max Health of caster by 6.0%',1,1),
(20903,1002708,6,100,'Applies Stout Warder to qualifying pets.',0,0),
(20904,1002708,6,100,'Increases Max Health of caster by 6.0%',1,1),
(20905,1002703,6,100,'Applies Stout Warder to qualifying pets.',0,0),
(20906,1002703,6,100,'Increases Max Health of caster by 6.0%',1,1),
(20907,1002709,6,100,'Applies Stout Warder to qualifying pets.',0,0),
(20908,1002709,6,100,'Increases Max Health of caster by 6.0%',1,1),
(20909,1002695,6,100,'Applies Stout Warder to qualifying pets.',0,0),
(20910,1002695,6,100,'Increases Max Health of caster by 6.0%',1,1),
(20911,1002705,6,100,'Applies Stout Warder to qualifying pets.',0,0),
(20912,1002705,6,100,'Increases Max Health of caster by 6.0%',1,1),
(20913,1002692,6,100,'Applies Stout Warder to qualifying pets.',0,0),
(20914,1002692,6,100,'Increases Max Health of caster by 6.0%',1,1),
(20915,1002698,6,100,'Applies Stout Warder to qualifying pets.',0,0),
(20916,1002698,6,100,'Increases Max Health of caster by 6.0%',1,1),
(20917,1002693,6,100,'Applies Stout Warder to qualifying pets.',0,0),
(20918,1002693,6,100,'Increases Max Health of caster by 6.0%',1,1),
(20919,1002702,7,100,'Applies Stout Warder to qualifying pets.',0,0),
(20920,1002702,7,100,'Increases Max Health of caster by 7.0%',1,1),
(20921,1002692,7,100,'Applies Stout Warder to qualifying pets.',0,0),
(20922,1002692,7,100,'Increases Max Health of caster by 7.0%',1,1),
(20923,1002704,7,100,'Applies Stout Warder to qualifying pets.',0,0),
(20924,1002704,7,100,'Increases Max Health of caster by 7.0%',1,1),
(20925,1002700,7,100,'Applies Stout Warder to qualifying pets.',0,0),
(20926,1002700,7,100,'Increases Max Health of caster by 7.0%',1,1),
(20927,1002699,7,100,'Applies Stout Warder to qualifying pets.',0,0),
(20928,1002699,7,100,'Increases Max Health of caster by 7.0%',1,1),
(20929,1002707,7,100,'Applies Stout Warder to qualifying pets.',0,0),
(20930,1002707,7,100,'Increases Max Health of caster by 7.0%',1,1),
(20931,1002696,7,100,'Applies Stout Warder to qualifying pets.',0,0),
(20932,1002696,7,100,'Increases Max Health of caster by 7.0%',1,1),
(20933,1002697,7,100,'Applies Stout Warder to qualifying pets.',0,0),
(20934,1002697,7,100,'Increases Max Health of caster by 7.0%',1,1),
(20935,1002701,7,100,'Applies Stout Warder to qualifying pets.',0,0),
(20936,1002701,7,100,'Increases Max Health of caster by 7.0%',1,1),
(20937,1002691,7,100,'Applies Stout Warder to qualifying pets.',0,0),
(20938,1002691,7,100,'Increases Max Health of caster by 7.0%',1,1),
(20939,1002708,7,100,'Applies Stout Warder to qualifying pets.',0,0),
(20940,1002708,7,100,'Increases Max Health of caster by 7.0%',1,1),
(20941,1002703,7,100,'Applies Stout Warder to qualifying pets.',0,0),
(20942,1002703,7,100,'Increases Max Health of caster by 7.0%',1,1),
(20943,1002709,7,100,'Applies Stout Warder to qualifying pets.',0,0),
(20944,1002709,7,100,'Increases Max Health of caster by 7.0%',1,1),
(20945,1002695,7,100,'Applies Stout Warder to qualifying pets.',0,0),
(20946,1002695,7,100,'Increases Max Health of caster by 7.0%',1,1),
(20947,1002694,7,100,'Applies Stout Warder to qualifying pets.',0,0),
(20948,1002694,7,100,'Increases Max Health of caster by 7.0%',1,1),
(20949,1002698,7,100,'Applies Stout Warder to qualifying pets.',0,0),
(20950,1002698,7,100,'Increases Max Health of caster by 7.0%',1,1),
(20951,1002693,7,100,'Applies Stout Warder to qualifying pets.',0,0),
(20952,1002693,7,100,'Increases Max Health of caster by 7.0%',1,1),
(20953,1002705,7,100,'Applies Stout Warder to qualifying pets.',0,0),
(20954,1002705,7,100,'Increases Max Health of caster by 7.0%',1,1),
(20955,1002698,8,100,'Applies Stout Warder to qualifying pets.',0,0),
(20956,1002698,8,100,'Increases Max Health of caster by 8.0%',1,1),
(20957,1002705,8,100,'Applies Stout Warder to qualifying pets.',0,0),
(20958,1002705,8,100,'Increases Max Health of caster by 8.0%',1,1),
(20959,1002703,8,100,'Applies Stout Warder to qualifying pets.',0,0),
(20960,1002703,8,100,'Increases Max Health of caster by 8.0%',1,1),
(20961,1002709,8,100,'Applies Stout Warder to qualifying pets.',0,0),
(20962,1002709,8,100,'Increases Max Health of caster by 8.0%',1,1),
(20963,1002692,8,100,'Applies Stout Warder to qualifying pets.',0,0),
(20964,1002692,8,100,'Increases Max Health of caster by 8.0%',1,1),
(20965,1002704,8,100,'Applies Stout Warder to qualifying pets.',0,0),
(20966,1002704,8,100,'Increases Max Health of caster by 8.0%',1,1),
(20967,1002700,8,100,'Applies Stout Warder to qualifying pets.',0,0),
(20968,1002700,8,100,'Increases Max Health of caster by 8.0%',1,1),
(20969,1002699,8,100,'Applies Stout Warder to qualifying pets.',0,0),
(20970,1002699,8,100,'Increases Max Health of caster by 8.0%',1,1),
(20971,1002707,8,100,'Applies Stout Warder to qualifying pets.',0,0),
(20972,1002707,8,100,'Increases Max Health of caster by 8.0%',1,1),
(20973,1002696,8,100,'Applies Stout Warder to qualifying pets.',0,0),
(20974,1002696,8,100,'Increases Max Health of caster by 8.0%',1,1),
(20975,1002697,8,100,'Applies Stout Warder to qualifying pets.',0,0),
(20976,1002697,8,100,'Increases Max Health of caster by 8.0%',1,1),
(20977,1002702,8,100,'Applies Stout Warder to qualifying pets.',0,0),
(20978,1002702,8,100,'Increases Max Health of caster by 8.0%',1,1),
(20979,1002701,8,100,'Applies Stout Warder to qualifying pets.',0,0),
(20980,1002701,8,100,'Increases Max Health of caster by 8.0%',1,1),
(20981,1002708,8,100,'Applies Stout Warder to qualifying pets.',0,0),
(20982,1002708,8,100,'Increases Max Health of caster by 8.0%',1,1),
(20983,1002691,8,100,'Applies Stout Warder to qualifying pets.',0,0),
(20984,1002691,8,100,'Increases Max Health of caster by 8.0%',1,1),
(20985,1002695,8,100,'Applies Stout Warder to qualifying pets.',0,0),
(20986,1002695,8,100,'Increases Max Health of caster by 8.0%',1,1),
(20987,1002694,8,100,'Applies Stout Warder to qualifying pets.',0,0),
(20988,1002694,8,100,'Increases Max Health of caster by 8.0%',1,1),
(20989,1002693,8,100,'Applies Stout Warder to qualifying pets.',0,0),
(20990,1002693,8,100,'Increases Max Health of caster by 8.0%',1,1),
(20991,1002697,9,100,'Applies Stout Warder to qualifying pets.',0,0),
(20992,1002697,9,100,'Increases Max Health of caster by 9.0%',1,1),
(20993,1002702,9,100,'Applies Stout Warder to qualifying pets.',0,0),
(20994,1002702,9,100,'Increases Max Health of caster by 9.0%',1,1),
(20995,1002691,9,100,'Applies Stout Warder to qualifying pets.',0,0),
(20996,1002691,9,100,'Increases Max Health of caster by 9.0%',1,1),
(20997,1002693,9,100,'Applies Stout Warder to qualifying pets.',0,0),
(20998,1002693,9,100,'Increases Max Health of caster by 9.0%',1,1),
(20999,1002694,9,100,'Applies Stout Warder to qualifying pets.',0,0),
(21000,1002694,9,100,'Increases Max Health of caster by 9.0%',1,1),
(21001,1002704,9,100,'Applies Stout Warder to qualifying pets.',0,0),
(21002,1002704,9,100,'Increases Max Health of caster by 9.0%',1,1),
(21003,1002700,9,100,'Applies Stout Warder to qualifying pets.',0,0),
(21004,1002700,9,100,'Increases Max Health of caster by 9.0%',1,1),
(21005,1002699,9,100,'Applies Stout Warder to qualifying pets.',0,0),
(21006,1002699,9,100,'Increases Max Health of caster by 9.0%',1,1),
(21007,1002707,9,100,'Applies Stout Warder to qualifying pets.',0,0),
(21008,1002707,9,100,'Increases Max Health of caster by 9.0%',1,1),
(21009,1002696,9,100,'Applies Stout Warder to qualifying pets.',0,0),
(21010,1002696,9,100,'Increases Max Health of caster by 9.0%',1,1),
(21011,1002701,9,100,'Applies Stout Warder to qualifying pets.',0,0),
(21012,1002701,9,100,'Increases Max Health of caster by 9.0%',1,1),
(21013,1002708,9,100,'Applies Stout Warder to qualifying pets.',0,0),
(21014,1002708,9,100,'Increases Max Health of caster by 9.0%',1,1),
(21015,1002703,9,100,'Applies Stout Warder to qualifying pets.',0,0),
(21016,1002703,9,100,'Increases Max Health of caster by 9.0%',1,1),
(21017,1002709,9,100,'Applies Stout Warder to qualifying pets.',0,0),
(21018,1002709,9,100,'Increases Max Health of caster by 9.0%',1,1),
(21019,1002692,9,100,'Applies Stout Warder to qualifying pets.',0,0),
(21020,1002692,9,100,'Increases Max Health of caster by 9.0%',1,1),
(21021,1002695,9,100,'Applies Stout Warder to qualifying pets.',0,0),
(21022,1002695,9,100,'Increases Max Health of caster by 9.0%',1,1),
(21023,1002705,9,100,'Applies Stout Warder to qualifying pets.',0,0),
(21024,1002705,9,100,'Increases Max Health of caster by 9.0%',1,1),
(21025,1002698,9,100,'Applies Stout Warder to qualifying pets.',0,0),
(21026,1002698,9,100,'Increases Max Health of caster by 9.0%',1,1),
(21027,1002709,10,100,'Applies Stout Warder to qualifying pets.',0,0),
(21028,1002709,10,100,'Increases Max Health of caster by 10.0%',1,1),
(21029,1002701,10,100,'Applies Stout Warder to qualifying pets.',0,0),
(21030,1002701,10,100,'Increases Max Health of caster by 10.0%',1,1),
(21031,1002694,10,100,'Applies Stout Warder to qualifying pets.',0,0),
(21032,1002694,10,100,'Increases Max Health of caster by 10.0%',1,1),
(21033,1002704,10,100,'Applies Stout Warder to qualifying pets.',0,0),
(21034,1002704,10,100,'Increases Max Health of caster by 10.0%',1,1),
(21035,1002700,10,100,'Applies Stout Warder to qualifying pets.',0,0),
(21036,1002700,10,100,'Increases Max Health of caster by 10.0%',1,1),
(21037,1002699,10,100,'Applies Stout Warder to qualifying pets.',0,0),
(21038,1002699,10,100,'Increases Max Health of caster by 10.0%',1,1),
(21039,1002707,10,100,'Applies Stout Warder to qualifying pets.',0,0),
(21040,1002707,10,100,'Increases Max Health of caster by 10.0%',1,1),
(21041,1002696,10,100,'Applies Stout Warder to qualifying pets.',0,0),
(21042,1002696,10,100,'Increases Max Health of caster by 10.0%',1,1),
(21043,1002702,10,100,'Applies Stout Warder to qualifying pets.',0,0),
(21044,1002702,10,100,'Increases Max Health of caster by 10.0%',1,1),
(21045,1002697,10,100,'Applies Stout Warder to qualifying pets.',0,0),
(21046,1002697,10,100,'Increases Max Health of caster by 10.0%',1,1),
(21047,1002708,10,100,'Applies Stout Warder to qualifying pets.',0,0),
(21048,1002708,10,100,'Increases Max Health of caster by 10.0%',1,1),
(21049,1002691,10,100,'Applies Stout Warder to qualifying pets.',0,0),
(21050,1002691,10,100,'Increases Max Health of caster by 10.0%',1,1),
(21051,1002703,10,100,'Applies Stout Warder to qualifying pets.',0,0),
(21052,1002703,10,100,'Increases Max Health of caster by 10.0%',1,1),
(21053,1002695,10,100,'Applies Stout Warder to qualifying pets.',0,0),
(21054,1002695,10,100,'Increases Max Health of caster by 10.0%',1,1),
(21055,1002705,10,100,'Applies Stout Warder to qualifying pets.',0,0),
(21056,1002705,10,100,'Increases Max Health of caster by 10.0%',1,1),
(21057,1002698,10,100,'Applies Stout Warder to qualifying pets.',0,0),
(21058,1002698,10,100,'Increases Max Health of caster by 10.0%',1,1),
(21059,1002693,10,100,'Applies Stout Warder to qualifying pets.',0,0),
(21060,1002693,10,100,'Increases Max Health of caster by 10.0%',1,1),
(21061,1002692,10,100,'Applies Stout Warder to qualifying pets.',0,0),
(21062,1002692,10,100,'Increases Max Health of caster by 10.0%',1,1),
(21063,1002710,2,100,'Increases STA of caster by 2.5',0,0),
(21064,1002711,1,100,'Improves the damage by 5%',0,0),
(21065,1002711,1,100,'Improves the casting speed by 0.1 seconds.',0,1),
(21066,1002711,2,100,'Improves the damage by 10%',0,0),
(21067,1002711,2,100,'Improves the casting speed by 0.2 seconds.',0,1),
(21068,1002711,3,100,'Improves the damage by 15%',0,0),
(21069,1002711,3,100,'Improves the casting speed by 0.3 seconds.',0,1),
(21070,1002711,4,100,'Improves the damage by 20%',0,0),
(21071,1002711,4,100,'Improves the casting speed by 0.4 seconds.',0,1),
(21072,1002711,5,100,'Improves the damage by 25%',0,0),
(21073,1002711,5,100,'Improves the casting speed by 0.5 seconds.',0,1),
(21074,1002712,1,100,'Increases STR of caster by 2.0',0,0),
(21075,1002712,2,100,'Increases STR of caster by 4.0',0,0),
(21076,1002712,3,100,'Increases STR of caster by 6.0',0,0),
(21077,1002712,4,100,'Increases STR of caster by 8.0',0,0),
(21078,1002712,5,100,'Increases STR of caster by 10.0',0,0),
(21079,1002712,6,100,'Increases STR of caster by 12.0',0,0),
(21080,1002712,7,100,'Increases STR of caster by 14.0',0,0),
(21081,1002712,8,100,'Increases STR of caster by 16.0',0,0),
(21082,1002712,9,100,'Increases STR of caster by 18.0',0,0),
(21083,1002712,10,100,'Increases STR of caster by 20.0',0,0),
(21084,1002713,1,100,'Increases the base damage of combat arts by 2%.',0,0),
(21085,1002713,2,100,'Increases the base damage of combat arts by 4%.',0,0),
(21086,1002713,3,100,'Increases the base damage of combat arts by 6%.',0,0),
(21087,1002713,4,100,'Increases the base damage of combat arts by 8%.',0,0),
(21088,1002713,5,100,'Increases the base damage of combat arts by 10%.',0,0),
(21089,1002714,1,100,'Grants a 1.0% chance to resist Daze effects',0,0),
(21090,1002714,1,100,'Grants a 1.0% chance to resist Stun effects',0,1),
(21091,1002714,1,100,'Grants a 1.0% chance to resist Stifle effects',0,2),
(21092,1002714,2,100,'Grants a 2.0% chance to resist Daze effects',0,0),
(21093,1002714,2,100,'Grants a 2.0% chance to resist Stun effects',0,1),
(21094,1002714,2,100,'Grants a 2.0% chance to resist Stifle effects',0,2),
(21095,1002714,3,100,'Grants a 3.0% chance to resist Daze effects',0,0),
(21096,1002714,3,100,'Grants a 3.0% chance to resist Stun effects',0,1),
(21097,1002714,3,100,'Grants a 3.0% chance to resist Stifle effects',0,2),
(21098,1002714,4,100,'Grants a 4.0% chance to resist Daze effects',0,0),
(21099,1002714,4,100,'Grants a 4.0% chance to resist Stun effects',0,1),
(21100,1002714,4,100,'Grants a 4.0% chance to resist Stifle effects',0,2),
(21101,1002714,5,100,'Grants a 5.0% chance to resist Daze effects',0,0),
(21102,1002714,5,100,'Grants a 5.0% chance to resist Stun effects',0,1),
(21103,1002714,5,100,'Grants a 5.0% chance to resist Stifle effects',0,2),
(21104,1002714,6,100,'Grants a 6.0% chance to resist Daze effects',0,0),
(21105,1002714,6,100,'Grants a 6.0% chance to resist Stun effects',0,1),
(21106,1002714,6,100,'Grants a 6.0% chance to resist Stifle effects',0,2),
(21107,1002714,7,100,'Grants a 7.0% chance to resist Daze effects',0,0),
(21108,1002714,7,100,'Grants a 7.0% chance to resist Stun effects',0,1),
(21109,1002714,7,100,'Grants a 7.0% chance to resist Stifle effects',0,2),
(21110,1002714,8,100,'Grants a 8.0% chance to resist Daze effects',0,0),
(21111,1002714,8,100,'Grants a 8.0% chance to resist Stun effects',0,1),
(21112,1002714,8,100,'Grants a 8.0% chance to resist Stifle effects',0,2),
(21113,1002714,9,100,'Grants a 9.0% chance to resist Daze effects',0,0),
(21114,1002714,9,100,'Grants a 9.0% chance to resist Stun effects',0,1),
(21115,1002714,9,100,'Grants a 9.0% chance to resist Stifle effects',0,2),
(21116,1002714,10,100,'Grants a 10.0% chance to resist Daze effects',0,0),
(21117,1002714,10,100,'Grants a 10.0% chance to resist Stun effects',0,1),
(21118,1002714,10,100,'Grants a 10.0% chance to resist Stifle effects',0,2),
(21119,1002715,1,100,'Applies Strength of the Elements to qualifying pets.',0,0),
(21120,1002715,1,100,'Improves base auto-attack multiplier of caster by 0.01. Does not apply to spell weapons.',1,1),
(21121,1002715,1,100,'Increases Potency of caster by 2.0%',1,2),
(21122,1002715,2,100,'Applies Strength of the Elements to qualifying pets.',0,0),
(21123,1002715,2,100,'Improves base auto-attack multiplier of caster by 0.02. Does not apply to spell weapons.',1,1),
(21124,1002715,2,100,'Increases Potency of caster by 4.0%',1,2),
(21125,1002715,3,100,'Applies Strength of the Elements to qualifying pets.',0,0),
(21126,1002715,3,100,'Improves base auto-attack multiplier of caster by 0.04. Does not apply to spell weapons.',1,1),
(21127,1002715,3,100,'Increases Potency of caster by 6.0%',1,2),
(21128,1002715,4,100,'Applies Strength of the Elements to qualifying pets.',0,0),
(21129,1002715,4,100,'Improves base auto-attack multiplier of caster by 0.05. Does not apply to spell weapons.',1,1),
(21130,1002715,4,100,'Increases Potency of caster by 8.0%',1,2),
(21131,1002715,5,100,'Applies Strength of the Elements to qualifying pets.',0,0),
(21132,1002715,5,100,'Improves base auto-attack multiplier of caster by 0.06. Does not apply to spell weapons.',1,1),
(21133,1002715,5,100,'Increases Potency of caster by 10.0%',1,2),
(21134,1002716,1,100,'Grants additional mitigation to the scout''s defensive based stances and songs.',0,0),
(21135,1002716,2,100,'Grants additional mitigation to the scout''s defensive based stances and songs.',0,0),
(21136,1002716,3,100,'Grants additional mitigation to the scout''s defensive based stances and songs.',0,0),
(21137,1002716,4,100,'Grants additional mitigation to the scout''s defensive based stances and songs.',0,0),
(21138,1002716,5,100,'Grants additional mitigation to the scout''s defensive based stances and songs.',0,0),
(21139,1002717,2,100,'Increases speed of caster by 5.0%',0,0),
(21140,1002718,1,100,'Improves the damage by 2%',0,0),
(21141,1002718,1,100,'Increases the critical chance and critical damage by 1%.',0,1),
(21142,1002718,2,100,'Improves the damage by 4%',0,0),
(21143,1002718,2,100,'Increases the critical chance and critical damage by 2%.',0,1),
(21144,1002718,3,100,'Improves the damage by 6%',0,0),
(21145,1002718,3,100,'Increases the critical chance and critical damage by 3%.',0,1),
(21146,1002718,4,100,'Improves the damage by 8%',0,0),
(21147,1002718,4,100,'Increases the critical chance and critical damage by 4%.',0,1),
(21148,1002718,5,100,'Improves the damage by 10%',0,0),
(21149,1002718,5,100,'Increases the critical chance and critical damage by 5%.',0,1),
(21150,1002719,1,100,'Improves the base and critical damage by 2%',0,0),
(21151,1002719,2,100,'Improves the base and critical damage by 4%',0,0),
(21152,1002719,3,100,'Improves the base and critical damage by 6%',0,0),
(21153,1002719,4,100,'Improves the base and critical damage by 8%',0,0),
(21154,1002719,5,100,'Improves the base and critical damage by 10%',0,0),
(21155,1002720,1,100,'Increases STR of caster by 4.0',0,0),
(21156,1002720,2,100,'Increases STR of caster by 4.0',0,0),
(21157,1002721,1,100,'Increases the duration of tradeskilled potions by 15%.',0,0),
(21158,1002722,1,100,'Increases the duration of tradeskilled potions by 15%.',0,0),
(21159,1002722,2,100,'Increases the duration of tradeskilled potions by 15%.',0,0),
(21160,1002721,2,100,'Increases the duration of tradeskilled potions by 15%.',0,0),
(21161,1002723,1,100,'Increases Mitigation of caster vs noxious damage by 3',0,0),
(21162,1002723,2,100,'Increases Mitigation of caster vs noxious damage by 3',0,0),
(21163,1002724,1,100,'Increases Max Health of caster by 1.2%',0,0),
(21164,1002724,2,100,'Increases Max Health of caster by 2.4%',0,0),
(21165,1002724,3,100,'Increases Max Health of caster by 3.6%',0,0),
(21166,1002724,4,100,'Increases Max Health of caster by 4.8%',0,0),
(21167,1002724,5,100,'Increases Max Health of caster by 6.0%',0,0),
(21168,1002724,6,100,'Increases Max Health of caster by 7.2%',0,0),
(21169,1002724,7,100,'Increases Max Health of caster by 8.4%',0,0),
(21170,1002724,8,100,'Increases Max Health of caster by 9.6%',0,0),
(21171,1002724,9,100,'Increases Max Health of caster by 10.8%',0,0),
(21172,1002724,10,100,'Increases Max Health of caster by 12.0%',0,0),
(21173,1002725,1,100,'Increases WIS of caster by 2.5',0,0),
(21174,1002725,2,100,'Increases WIS of caster by 2.5',0,0),
(21175,1002726,1,100,'Increases Defense, Parry and Deflection of caster by 5.0',0,0),
(21176,1002726,2,100,'Increases Defense, Parry and Deflection of caster by 5.0',0,0),
(21177,1002727,1,100,'Improves the critical damage multiplier by 2%.',0,0),
(21178,1002727,1,100,'Improves the base damage by 4%.',0,1),
(21179,1002727,2,100,'Improves the critical damage multiplier by 4%.',0,0),
(21180,1002727,2,100,'Improves the base damage by 8%.',0,1),
(21181,1002727,3,100,'Improves the critical damage multiplier by 6%.',0,0),
(21182,1002727,3,100,'Improves the base damage by 12%.',0,1),
(21183,1002727,4,100,'Improves the critical damage multiplier by 8%.',0,0),
(21184,1002727,4,100,'Improves the base damage by 16%.',0,1),
(21185,1002727,5,100,'Improves the critical damage multiplier by 10%.',0,0),
(21186,1002727,5,100,'Improves the base damage by 20%.',0,1),
(21187,1002728,1,100,'Applies a short stun on the termination of Lullaby',0,0),
(21188,1002728,2,100,'Applies a short stun on the termination of Lullaby',0,0),
(21189,1002728,3,100,'Applies a short stun on the termination of Lullaby',0,0),
(21190,1002728,4,100,'Applies a short stun on the termination of Lullaby',0,0),
(21191,1002728,5,100,'Applies a short stun on the termination of Lullaby',0,0),
(21192,1002729,1,100,'Applies a short duration stun on termination of Entrance or Mesmerize.',0,0),
(21193,1002729,2,100,'Applies a short duration stun on termination of Entrance or Mesmerize.',0,0),
(21194,1002729,3,100,'Applies a short duration stun on termination of Entrance or Mesmerize.',0,0),
(21195,1002729,4,100,'Applies a short duration stun on termination of Entrance or Mesmerize.',0,0),
(21196,1002729,5,100,'Applies a short duration stun on termination of Entrance or Mesmerize.',0,0),
(21197,1002729,6,100,'Applies a short duration stun on termination of Entrance or Mesmerize.',0,0),
(21198,1002729,7,100,'Applies a short duration stun on termination of Entrance or Mesmerize.',0,0),
(21199,1002729,8,100,'Applies a short duration stun on termination of Entrance or Mesmerize.',0,0),
(21200,1002730,1,100,'Increases Max Health of caster by 2.5%',0,0),
(21201,1002730,2,100,'Increases Max Health of caster by 2.5%',0,0),
(21202,1002731,1,100,'Decreases falling damage taken by caster by 15.0%',0,0),
(21203,1002731,2,100,'Decreases falling damage taken by caster by 15.0%',0,0),
(21204,1002732,1,100,'Decreases falling damage taken by caster by 15.0%',0,0),
(21205,1002732,2,100,'Decreases falling damage taken by caster by 15.0%',0,0),
(21206,1002733,1,100,'On any combat or spell hit this spell may cast Sturdy Provoker on target.  Lasts for 5.0 seconds.  Triggers about 0.6 times per minute. ',0,0),
(21207,1002733,1,100,'Clears the reuse of Mountain Stance.',1,1),
(21208,1002733,2,100,'On any combat or spell hit this spell has a 7% chance to cast Sturdy Provoker on target.  Lasts for 5.0 seconds.  ',0,0),
(21209,1002733,2,100,'Clears the reuse of Mountain Stance.',1,1),
(21210,1002734,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 2%',0,0),
(21211,1002734,2,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 3%',0,0),
(21212,1002734,3,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 5%',0,0),
(21213,1002734,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 6%',0,0),
(21214,1002734,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 8%',0,0),
(21215,1002734,6,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 9%',0,0),
(21216,1002734,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 11%',0,0),
(21217,1002734,8,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 12%',0,0),
(21218,1002734,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 14%',0,0),
(21219,1002734,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,0),
(21220,1002735,1,100,'Perfect Shrill has a 50% chance to clear the reuse of Painful Lamentations.',0,0),
(21221,1002735,2,100,'Perfect Shrill has a 100% chance to clear the reuse of Painful Lamentations.',0,0),
(21222,1002736,1,100,'Improves the accuracy of Evasive Maneuvers by 3%',0,0),
(21223,1002736,1,100,'Increases the damage of Evasive Maneuvers by 10%',0,1),
(21224,1002736,2,100,'Improves the accuracy of Evasive Maneuvers by 6%',0,0),
(21225,1002736,2,100,'Increases the damage of Evasive Maneuvers by 20%',0,1),
(21226,1002736,3,100,'Improves the accuracy of Evasive Maneuvers by 9%',0,0),
(21227,1002736,3,100,'Increases the damage of Evasive Maneuvers by 30%',0,1),
(21228,1002736,4,100,'Improves the accuracy of Evasive Maneuvers by 12%',0,0),
(21229,1002736,4,100,'Increases the damage of Evasive Maneuvers by 40%',0,1),
(21230,1002736,5,100,'Improves the accuracy of Evasive Maneuvers by 15%',0,0),
(21231,1002736,5,100,'Increases the damage of Evasive Maneuvers by 50%',0,1),
(21232,1002736,6,100,'Improves the accuracy of Evasive Maneuvers by 18%',0,0),
(21233,1002736,6,100,'Increases the damage of Evasive Maneuvers by 60%',0,1),
(21234,1002736,7,100,'Improves the accuracy of Evasive Maneuvers by 21%',0,0),
(21235,1002736,7,100,'Increases the damage of Evasive Maneuvers by 70%',0,1),
(21236,1002736,8,100,'Improves the accuracy of Evasive Maneuvers by 24%',0,0),
(21237,1002736,8,100,'Increases the damage of Evasive Maneuvers by 80%',0,1),
(21238,1002736,9,100,'Improves the accuracy of Evasive Maneuvers by 27%',0,0),
(21239,1002736,9,100,'Increases the damage of Evasive Maneuvers by 90%',0,1),
(21240,1002736,10,100,'Improves the accuracy of Evasive Maneuvers by 30%',0,0),
(21241,1002736,10,100,'Increases the damage of Evasive Maneuvers by 100%',0,1),
(21242,1002737,1,100,'Increases the amount of durability gained by 1.0.',0,0),
(21243,1002737,1,100,'Increases success chance by 1.0%',0,1),
(21244,1002737,2,100,'Increases the amount of durability gained by 1.0.',0,0),
(21245,1002737,2,100,'Increases success chance by 1.0%',0,1),
(21246,1002740,1,100,'Decreases Hate Gain of caster by 2.0%',0,0),
(21247,1002740,2,100,'Decreases Hate Gain of caster by 4.0%',0,0),
(21248,1002740,3,100,'Decreases Hate Gain of caster by 6.0%',0,0),
(21249,1002740,4,100,'Decreases Hate Gain of caster by 8.0%',0,0),
(21250,1002740,5,100,'Decreases Hate Gain of caster by 10.0%',0,0),
(21251,1002741,1,100,'Primary heal over time spells grant increased mitigation to their targets.',0,0),
(21252,1002741,2,100,'Primary heal over time spells grant increased mitigation to their targets.',0,0),
(21253,1002741,3,100,'Primary heal over time spells grant increased mitigation to their targets.',0,0),
(21254,1002742,1,100,'Using Vengeful Arrow and Barrage will build increments that increase the effects of Healing Arrow.',0,0),
(21255,1002743,1,100,'Increases the damage modifier of Fiery Blast by 10%.',0,0),
(21256,1002743,2,100,'Increases the damage modifier of Fiery Blast by 20%.',0,0),
(21257,1002743,3,100,'Increases the damage modifier of Fiery Blast by 30%.',0,0),
(21258,1002744,1,100,'Increases Multi Attack of caster by 2.0',0,0),
(21259,1002744,2,100,'Increases Multi Attack of caster by 2.0',0,0),
(21260,1002745,1,100,'Caster has a 2.8% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(21261,1002745,2,100,'Caster has a 5.6% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(21262,1002745,3,100,'Caster has a 8.4% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(21263,1002745,4,100,'Caster has a 11.2% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(21264,1002745,5,100,'Caster has a 14.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(21265,1002745,6,100,'Caster has a 16.8% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(21266,1002745,7,100,'Caster has a 19.6% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(21267,1002745,8,100,'Caster has a 22.4% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(21268,1002745,9,100,'Caster has a 25.2% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(21269,1002745,10,100,'Caster has a 28.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(21270,1002746,2,100,'Increases the duration of drinks by 15%.',0,0),
(21271,1002747,1,100,'Increases the duration of tradeskilled drinks by 10%.',0,0),
(21272,1002747,2,100,'Increases the duration of tradeskilled drinks by 10%.',0,0),
(21273,1002748,1,100,'Adds 10% Strikethrough to Ruthless Cunning and allows the swashbuckler to reduce the target''s damage per second as an additional effect.',0,0),
(21274,1002748,1,100,'Adds 10% Strikethrough to Perfect Finesse and allows the swashbuckler to reduce the target''s damage per second and attack speed as an additional effect.',0,1),
(21275,1002748,1,100,'Reduces the casting speed of Inspired Daring by 1 second and improves the duration by 3 seconds.',0,2),
(21276,1002750,1,100,'Increases speed of caster by 1.0%',0,0),
(21277,1002750,1,100,'Increases the amount of progress gained by 2.0%.',0,1),
(21278,1002750,2,100,'Increases speed of caster by 2.0%',0,0),
(21279,1002750,2,100,'Increases the amount of progress gained by 4.0%.',0,1),
(21280,1002750,3,100,'Increases speed of caster by 3.0%',0,0),
(21281,1002750,3,100,'Increases the amount of progress gained by 6.0%.',0,1),
(21282,1002750,4,100,'Increases speed of caster by 4.0%',0,0),
(21283,1002750,4,100,'Increases the amount of progress gained by 8.0%.',0,1),
(21284,1002750,5,100,'Increases speed of caster by 5.0%',0,0),
(21285,1002750,5,100,'Increases the amount of progress gained by 10.0%.',0,1),
(21286,1002751,1,100,'Increases Mount Speed of caster by 2.0%',0,0),
(21287,1002751,2,100,'Increases Ground Mount Speed of caster by 4.0%',0,0),
(21288,1002751,3,100,'Increases Ground Mount Speed of caster by 6.0%',0,0),
(21289,1002751,4,100,'Increases Ground Mount Speed of caster by 8.0%',0,0),
(21290,1002751,5,100,'Increases Mount Speed of caster by 10.0%',0,0),
(21291,1002752,1,100,'Increases Power Regen of caster by 9.0',0,0),
(21292,1002752,2,100,'Increases Power Regen of caster by 9.0',0,0),
(21293,1002753,1,100,'Increases the amount of progress gained by 2.0%.',0,0),
(21294,1002753,2,100,'Increases the amount of progress gained by 2.0%.',0,0),
(21295,1002754,2,100,'+2% Avoidance',0,0),
(21296,1002755,1,100,'Increases speed of caster by 1.0%',0,0),
(21297,1002755,2,100,'Increases speed of caster by 2.0%',0,0),
(21298,1002755,3,100,'Increases speed of caster by 3.0%',0,0),
(21299,1002755,4,100,'Increases speed of caster by 4.0%',0,0),
(21300,1002755,5,100,'Increases speed of caster by 5.0%',0,0),
(21301,1002756,1,100,'Increases Multi Attack of caster by 2.0',0,0),
(21302,1002757,1,100,'Increases Multi Attack of caster by 2.0',0,0),
(21303,1002758,1,100,'Increases Multi Attack of caster by 2.0',0,0),
(21304,1002757,2,100,'Increases Multi Attack of caster by 2.0',0,0),
(21305,1002756,2,100,'Increases Multi Attack of caster by 2.0',0,0),
(21306,1002758,2,100,'Increases Multi Attack of caster by 2.0',0,0),
(21307,1002759,1,100,'Adds an additional effect that improves recovery speed to Allegro.',0,0),
(21308,1002759,2,100,'Adds an additional effect that improves recovery speed to Allegro.',0,0),
(21309,1002759,3,100,'Adds an additional effect that improves recovery speed to Allegro.',0,0),
(21310,1002759,4,100,'Adds an additional effect that improves recovery speed to Allegro.',0,0),
(21311,1002759,5,100,'Adds an additional effect that improves recovery speed to Allegro.',0,0),
(21312,1002759,6,100,'Adds an additional effect that improves recovery speed to Allegro.',0,0),
(21313,1002759,7,100,'Adds an additional effect that improves recovery speed to Allegro.',0,0),
(21314,1002759,8,100,'Adds an additional effect that improves recovery speed to Allegro.',0,0),
(21315,1002760,1,100,'Increases AGI of caster by 2.0',0,0),
(21316,1002761,1,100,'Increases the duration of Crane Flock by 1 seconds.',0,0),
(21317,1002760,2,100,'Increases AGI of caster by 4.0',0,0),
(21318,1002761,2,100,'Increases the duration of Crane Flock by 2 seconds.',0,0),
(21319,1002760,3,100,'Increases AGI of caster by 6.0',0,0),
(21320,1002761,3,100,'Increases the duration of Crane Flock by 3 seconds.',0,0),
(21321,1002760,4,100,'Increases AGI of caster by 8.0',0,0),
(21322,1002761,4,100,'Increases the duration of Crane Flock by 4 seconds.',0,0),
(21323,1002760,5,100,'Increases AGI of caster by 10.0',0,0),
(21324,1002761,5,100,'Increases the duration of Crane Flock by 5 seconds.',0,0),
(21325,1002761,6,100,'Increases the duration of Crane Flock by 6 seconds.',0,0),
(21326,1002760,6,100,'Increases AGI of caster by 12.0',0,0),
(21327,1002760,7,100,'Increases AGI of caster by 14.0',0,0),
(21328,1002761,7,100,'Increases the duration of Crane Flock by 7 seconds.',0,0),
(21329,1002760,8,100,'Increases AGI of caster by 16.0',0,0),
(21330,1002761,8,100,'Increases the duration of Crane Flock by 8 seconds.',0,0),
(21331,1002760,9,100,'Increases AGI of caster by 18.0',0,0),
(21332,1002760,10,100,'Increases AGI of caster by 20.0',0,0),
(21333,1002762,1,100,'Increases base damage by 3%',0,0),
(21334,1002762,1,100,'Improves critical damage by 2%',0,1),
(21335,1002762,2,100,'Increases base damage by 6%',0,0),
(21336,1002762,2,100,'Improves critical damage by 4%',0,1),
(21337,1002762,3,100,'Increases base damage by 9%',0,0),
(21338,1002762,3,100,'Improves critical damage by 6%',0,1),
(21339,1002762,4,100,'Increases base damage by 12%',0,0),
(21340,1002762,4,100,'Improves critical damage by 8%',0,1),
(21341,1002762,5,100,'Increases base damage by 15%',0,0),
(21342,1002762,5,100,'Improves critical damage by 10%',0,1),
(21343,1002763,1,100,'Increases the base trigger percent by an additional 2%.',0,0),
(21344,1002763,1,100,'Increases the damage of Swipe by 5%.',0,1),
(21345,1002763,2,100,'Increases the base trigger percent by an additional 4%.',0,0),
(21346,1002763,2,100,'Increases the damage of Swipe by 10%.',0,1),
(21347,1002763,3,100,'Increases the base trigger percent by an additional 6%.',0,0),
(21348,1002763,3,100,'Increases the damage of Swipe by 15%.',0,1),
(21349,1002763,4,100,'Increases the base trigger percent by an additional 8%.',0,0),
(21350,1002763,4,100,'Increases the damage of Swipe by 20%.',0,1),
(21351,1002763,5,100,'Increases the base trigger percent by an additional 10%.',0,0),
(21352,1002763,5,100,'Increases the damage of Swipe by 25%.',0,1),
(21353,1002764,1,100,'Improves the transfer amounts of Symbiosis by 1%',0,0),
(21354,1002764,2,100,'Improves the transfer amounts of Symbiosis by 2%',0,0),
(21355,1002764,3,100,'Improves the transfer amounts of Symbiosis by 3%',0,0),
(21356,1002764,4,100,'Improves the transfer amounts of Symbiosis by 4%',0,0),
(21357,1002764,5,100,'Improves the transfer amounts of Symbiosis by 5%',0,0),
(21358,1002764,6,100,'Improves the transfer amounts of Symbiosis by 6%',0,0),
(21359,1002764,7,100,'Improves the transfer amounts of Symbiosis by 7%',0,0),
(21360,1002764,8,100,'Improves the transfer amounts of Symbiosis by 8%',0,0),
(21361,1002765,1,100,'Increases build components returned by 4.0%',0,0),
(21362,1002765,2,100,'Increases build components returned by 8.0%',0,0),
(21363,1002765,3,100,'Increases build components returned by 12.0%',0,0),
(21364,1002765,4,100,'Increases build components returned by 16.0%',0,0),
(21365,1002765,5,100,'Increases build components returned by 20.0%',0,0),
(21366,1002766,1,100,'Adds additional effects which improve the raid''s accuracy and makes spells harder to resist.',0,0),
(21367,1002766,2,100,'Adds additional effects which improve the raid''s accuracy and makes spells harder to resist.',0,0),
(21368,1002766,3,100,'Adds additional effects which improve the raid''s accuracy and makes spells harder to resist.',0,0),
(21369,1002766,4,100,'Adds additional effects which improve the raid''s accuracy and makes spells harder to resist.',0,0),
(21370,1002766,5,100,'Adds additional effects which improve the raid''s accuracy and makes spells harder to resist.',0,0),
(21371,1002767,1,100,'Adds 0.5% mitigation to the warrior''s defensive stance.',0,0),
(21372,1002767,1,100,'Adds 0.5% accuracy to the warrior''s offensive stance.',0,1),
(21373,1002767,2,100,'Adds 1% mitigation to the warrior''s defensive stance.',0,0),
(21374,1002767,2,100,'Adds 1% accuracy to the warrior''s offensive stance.',0,1),
(21375,1002767,3,100,'Adds 1.5% mitigation to the warrior''s defensive stance.',0,0),
(21376,1002767,3,100,'Adds 1.5% accuracy to the warrior''s offensive stance.',0,1),
(21377,1002767,4,100,'Adds 2% mitigation to the warrior''s defensive stance.',0,0),
(21378,1002767,4,100,'Adds 2% accuracy to the warrior''s offensive stance.',0,1),
(21379,1002767,5,100,'Adds 2.5% mitigation to the warrior''s defensive stance.',0,0),
(21380,1002767,5,100,'Adds 2.5% accuracy to the warrior''s offensive stance.',0,1),
(21381,1002767,6,100,'Adds 3% mitigation to the warrior''s defensive stance.',0,0),
(21382,1002767,6,100,'Adds 3% accuracy to the warrior''s offensive stance.',0,1),
(21383,1002767,7,100,'Adds 3.5% mitigation to the warrior''s defensive stance.',0,0),
(21384,1002767,7,100,'Adds 3.5% accuracy to the warrior''s offensive stance.',0,1),
(21385,1002767,8,100,'Adds 4% mitigation to the warrior''s defensive stance.',0,0),
(21386,1002767,8,100,'Adds 4% accuracy to the warrior''s offensive stance.',0,1),
(21387,1002768,1,100,'Increases health of pet by 18%',0,0),
(21388,1002769,1,100,'Increases the duration of tradeskilled drinks by 10%.',0,0),
(21389,1002769,2,100,'Increases the duration of tradeskilled drinks by 10%.',0,0),
(21390,1002770,2,100,'Increases the duration of tradeskilled food by 25%.',0,0),
(21391,1002771,1,100,'Increases Disruption and Defense of caster by 5.0',0,0),
(21392,1002771,2,100,'Increases Disruption and Defense of caster by 5.0',0,0),
(21393,1002772,1,100,'Reduces the power cost of all Sage reaction arts by 10%',0,0),
(21394,1002772,2,100,'Reduces the power cost of all Sage reaction arts by 10%',0,0),
(21395,1002773,2,100,'Increases Piercing and Slashing of caster by 5.0',0,0),
(21396,1002774,1,100,'The scout pet increases the group''s Damage Per Second by 10',0,0),
(21397,1002774,1,100,'The fighter pet grants the group a 20% chance to reduce incoming damage by 30%',0,1),
(21398,1002774,1,100,'The priest pet increases the group''s maximum health by 5%',0,2),
(21399,1002774,1,100,'The mage pet increases Potency by 5%',0,3),
(21400,1002775,1,100,'Reduces the Dissonance generated by Slot 1 and 2 Conduits by 10%',0,0),
(21401,1002776,1,100,'Adds an additional elemental debuff to the Tempest line of spells.',0,0),
(21402,1002776,2,100,'Adds an additional elemental debuff to the Tempest line of spells.',0,0),
(21403,1002776,3,100,'Adds an additional elemental debuff to the Tempest line of spells.',0,0),
(21404,1002776,4,100,'Adds an additional elemental debuff to the Tempest line of spells.',0,0),
(21405,1002776,5,100,'Adds an additional elemental debuff to the Tempest line of spells.',0,0),
(21406,1002777,1,100,'Improves the heal amount by 4%.',0,0),
(21407,1002777,1,100,'Increases the critical amount by 2%.',0,1),
(21408,1002777,2,100,'Improves the heal amount by 8%.',0,0),
(21409,1002777,2,100,'Increases the critical amount by 4%.',0,1),
(21410,1002777,3,100,'Improves the heal amount by 12%.',0,0),
(21411,1002777,3,100,'Increases the critical amount by 6%.',0,1),
(21412,1002777,4,100,'Improves the heal amount by 16%.',0,0),
(21413,1002777,4,100,'Increases the critical amount by 8%.',0,1),
(21414,1002777,5,100,'Improves the heal amount by 20%.',0,0),
(21415,1002777,5,100,'Increases the critical amount by 10%.',0,1),
(21416,1002778,1,100,'Adds additional offensive skill debuffs',0,0),
(21417,1002778,2,100,'Adds additional offensive skill debuffs',0,0),
(21418,1002778,3,100,'Adds additional offensive skill debuffs',0,0),
(21419,1002778,4,100,'Adds additional offensive skill debuffs',0,0),
(21420,1002778,5,100,'Adds additional offensive skill debuffs',0,0),
(21421,1002779,1,100,'Increases Mitigation of caster vs arcane damage by 3',0,0),
(21422,1002779,2,100,'Increases Mitigation of caster vs arcane damage by 3',0,0),
(21423,1002780,1,100,'Increases durations by 12%',0,0),
(21424,1002781,2,100,'Increases speed of caster by 5.0%',0,0),
(21425,1002782,1,100,'When target falls below 50% health this spell will cast Terrify on target.  Lasts for 10.0 seconds.  ',0,0),
(21426,1002782,1,100,'Decreases Weapon Damage of targets in Area of Effect by 1.0',1,1),
(21427,1002782,1,100,'Decreases Potency of targets in Area of Effect by 1.0%',1,2),
(21428,1002782,1,100,'This effect can only trigger once every 30.0 seconds.',1,3),
(21429,1002782,2,100,'When target falls below 50% health this spell will cast Terrify on target.  Lasts for 10.0 seconds.  ',0,0),
(21430,1002782,2,100,'Decreases Weapon Damage of targets in Area of Effect by 2.3',1,1),
(21431,1002782,2,100,'Decreases Potency of targets in Area of Effect by 2.3%',1,2),
(21432,1002782,2,100,'This effect can only trigger once every 30.0 seconds.',1,3),
(21433,1002782,3,100,'When target falls below 50% health this spell will cast Terrify on target.  Lasts for 10.0 seconds.  ',0,0),
(21434,1002782,3,100,'Decreases Weapon Damage Bonus of targets in Area of Effect by 3.4',1,1),
(21435,1002782,3,100,'Decreases Potency of targets in Area of Effect by 3.4%',1,2),
(21436,1002782,3,100,'This effect can only trigger once every 30.0 seconds.',1,3),
(21437,1002782,4,100,'When target falls below 50% health this spell will cast Terrify on target.  Lasts for 10.0 seconds.  ',0,0),
(21438,1002782,4,100,'Decreases Weapon Damage of targets in Area of Effect by 4.6',1,1),
(21439,1002782,4,100,'Decreases Potency of targets in Area of Effect by 4.6%',1,2),
(21440,1002782,4,100,'This effect can only trigger once every 30.0 seconds.',1,3),
(21441,1002782,5,100,'When target falls below 50% health this spell will cast Terrify on target.  Lasts for 10.0 seconds.  ',0,0),
(21442,1002782,5,100,'Decreases Weapon Damage Bonus of targets in Area of Effect by 5.7',1,1),
(21443,1002782,5,100,'Decreases Potency of targets in Area of Effect by 5.7%',1,2),
(21444,1002782,5,100,'This effect can only trigger once every 30.0 seconds.',1,3),
(21445,1002782,6,100,'When target falls below 50% health this spell will cast Terrify on target.  Lasts for 10.0 seconds.  ',0,0),
(21446,1002782,6,100,'Decreases Weapon Damage of targets in Area of Effect by 6.9',1,1),
(21447,1002782,6,100,'Decreases Potency of targets in Area of Effect by 6.9%',1,2),
(21448,1002782,6,100,'This effect can only trigger once every 30.0 seconds.',1,3),
(21449,1002782,7,100,'When target falls below 50% health this spell will cast Terrify on target.  Lasts for 10.0 seconds.  ',0,0),
(21450,1002782,7,100,'Decreases Weapon Damage Bonus of targets in Area of Effect by 8.1',1,1),
(21451,1002782,7,100,'Decreases Potency of targets in Area of Effect by 8.1%',1,2),
(21452,1002782,7,100,'This effect can only trigger once every 30.0 seconds.',1,3),
(21453,1002782,8,100,'When target falls below 50% health this spell will cast Terrify on target.  Lasts for 10.0 seconds.  ',0,0),
(21454,1002782,8,100,'Decreases Weapon Damage of targets in Area of Effect by 9.2',1,1),
(21455,1002782,8,100,'Decreases Potency of targets in Area of Effect by 9.2%',1,2),
(21456,1002782,8,100,'This effect can only trigger once every 30.0 seconds.',1,3),
(21457,1002782,9,100,'When target falls below 50% health this spell will cast Terrify on target.  Lasts for 10.0 seconds.  ',0,0),
(21458,1002782,9,100,'Decreases Weapon Damage Bonus of targets in Area of Effect by 10.3',1,1),
(21459,1002782,9,100,'Decreases Potency of targets in Area of Effect by 10.3%',1,2),
(21460,1002782,9,100,'This effect can only trigger once every 30.0 seconds.',1,3),
(21461,1002782,10,100,'When target falls below 50% health this spell will cast Terrify on target.  Lasts for 10.0 seconds.  ',0,0),
(21462,1002782,10,100,'Decreases Weapon Damage Bonus of targets in Area of Effect by 11.5',1,1),
(21463,1002782,10,100,'Decreases Potency of targets in Area of Effect by 11.5%',1,2),
(21464,1002782,10,100,'This effect can only trigger once every 30.0 seconds.',1,3),
(21465,1002783,1,100,'Increases AGI of caster by 2.5',0,0),
(21466,1002783,2,100,'Increases AGI of caster by 2.5',0,0),
(21467,1002784,1,100,'Increases Ability Mod of caster by 1.0',0,0),
(21468,1002784,2,100,'Increases Ability Mod of caster by 1.0',0,0),
(21469,1002785,1,100,'Increases Combat Power Regen of caster by 5.0',0,0),
(21470,1002785,2,100,'Increases Combat Power Regen of caster by 5.0',0,0),
(21471,1002786,1,100,'Increases STR of caster by 8.0',0,0),
(21472,1002787,1,100,'Increases Subjugation, Focus, Disruption, Ordination and Ministration of caster by 0.0',0,0),
(21473,1002787,2,100,'Increases Subjugation, Focus, Disruption, Ordination and Ministration of caster by 0.0',0,0),
(21474,1002787,3,100,'Increases Subjugation, Focus, Disruption, Ordination and Ministration of caster by 0.0',0,0),
(21475,1002787,4,100,'Increases Subjugation, Focus, Disruption, Ordination and Ministration of caster by 0.0',0,0),
(21476,1002787,5,100,'Increases Subjugation, Focus, Disruption, Ordination and Ministration of caster by 0.0',0,0),
(21477,1002787,6,100,'Increases Subjugation, Focus, Disruption, Ordination and Ministration of caster by 0.0',0,0),
(21478,1002787,7,100,'Increases Subjugation, Focus, Disruption, Ordination and Ministration of caster by 0.0',0,0),
(21479,1002787,8,100,'Increases Subjugation, Focus, Disruption, Ordination and Ministration of caster by 0.0',0,0),
(21480,1002787,9,100,'Increases Subjugation, Focus, Disruption, Ordination and Ministration of caster by 0.0',0,0),
(21481,1002787,10,100,'Increases Subjugation, Focus, Disruption, Ordination and Ministration of caster by 0.0',0,0),
(21482,1002788,1,100,'Increases INT of caster by 7.0',0,0),
(21483,1002789,2,100,'Grants the skill Disarm Trap.',0,0),
(21484,1002790,1,100,'Improves the damage of any attack by 3% when the target is below 30% health.',0,0),
(21485,1002790,2,100,'Improves the damage of any attack by 6% when the target is below 30% health.',0,0),
(21486,1002790,3,100,'Improves the damage of any attack by 9% when the target is below 30% health.',0,0),
(21487,1002790,4,100,'Improves the damage of any attack by 12% when the target is below 30% health.',0,0),
(21488,1002790,5,100,'Improves the damage of any attack by 15% when the target is below 30% health.',0,0),
(21489,1002791,1,100,'Increases Combat Power Regen of caster by 5.0',0,0),
(21490,1002791,2,100,'Increases Combat Power Regen of caster by 5.0',0,0),
(21491,1002792,1,100,'Improves the Crit Bonus that Saga grants by 50%',0,0),
(21492,1002792,2,100,'Improves the Crit Bonus that Saga grants by 100%',0,0),
(21493,1002792,3,100,'Improves the Crit Bonus that Saga grants by 150%',0,0),
(21494,1002793,1,100,'For every 3 Crit Bonus, the caster gains 1 Potency.',0,0),
(21495,1002794,1,100,'Improves the damage by 3%.',0,0),
(21496,1002794,2,100,'Improves the damage by 6%.',0,0),
(21497,1002794,3,100,'Improves the damage by 9%.',0,0),
(21498,1002794,4,100,'Improves the damage by 12%.',0,0),
(21499,1002794,5,100,'Improves the damage by 15%.',0,0),
(21500,1002795,1,100,'Caster has a 0.8% chance of having one of their weapons'' auto-attack strike the target multiple times.',0,0),
(21501,1002795,2,100,'Caster has a 1.5% chance of having one of their weapons'' auto-attack strike the target multiple times.',0,0),
(21502,1002795,3,100,'Caster has a 2.2% chance of having one of their weapons'' auto-attack strike the target multiple times.',0,0),
(21503,1002795,4,100,'Caster has a 3.0% chance of having one of their weapons'' auto-attack strike the target multiple times.',0,0),
(21504,1002795,5,100,'Caster has a 3.7% chance of having one of their weapons'' auto-attack strike the target multiple times.',0,0),
(21505,1002795,6,100,'Caster has a 4.5% chance of having one of their weapons'' auto-attack strike the target multiple times.',0,0),
(21506,1002795,7,100,'Caster has a 5.2% chance of having one of their weapons'' auto-attack strike the target multiple times.',0,0),
(21507,1002795,8,100,'Caster has a 6.0% chance of having one of their weapons'' auto-attack strike the target multiple times.',0,0),
(21508,1002796,1,100,'Increases STR and STA of caster by 4.0',0,0),
(21509,1002796,2,100,'Increases STR and STA of caster by 8.0',0,0),
(21510,1002796,3,100,'Increases STR and STA of caster by 12.0',0,0),
(21511,1002796,4,100,'Increases STR and STA of caster by 16.0',0,0),
(21512,1002796,5,100,'Increases STR and STA of caster by 20.0',0,0),
(21513,1002796,6,100,'Increases STR and STA of caster by 24.0',0,0),
(21514,1002796,7,100,'Increases STR and STA of caster by 28.0',0,0),
(21515,1002796,8,100,'Increases STR and STA of caster by 32.0',0,0),
(21516,1002796,9,100,'Increases STR and STA of caster by 36.0',0,0),
(21517,1002796,10,100,'Increases STR and STA of caster by 40.0',0,0),
(21518,1002797,1,100,'Increases Fletching of caster by 5.0',0,0),
(21519,1002797,2,100,'Increases Fletching of caster by 5.0',0,0),
(21520,1002798,1,100,'Peace of Mind has a 7.5% chance to clear the reuse on Time Warp.',0,0),
(21521,1002798,2,100,'Peace of Mind has a 15% chance to clear the reuse on Time Warp.',0,0),
(21522,1002799,1,100,'Increases the amount of progress gained by 2.0%.',0,0),
(21523,1002799,2,100,'Increases the amount of progress gained by 2.0%.',0,0),
(21524,1002800,2,100,'Grants the skill Disarm Trap.',0,0),
(21525,1002801,1,100,'Increases Piercing and Ranged of caster by 5.0',0,0),
(21526,1002802,1,100,'Increases Piercing and Ranged of caster by 5.0',0,0),
(21527,1002801,2,100,'Increases Piercing and Ranged of caster by 5.0',0,0),
(21528,1002802,2,100,'Increases Piercing and Ranged of caster by 5.0',0,0),
(21529,1002803,2,100,'Reduces the initial power cost of sprinting by 33%.',0,0),
(21530,1002803,2,100,'Increases your speed while sprinting by 10.',0,1),
(21531,1002804,1,100,'Improves the damage of Graverot by 33%',0,0),
(21532,1002804,2,100,'Improves the damage of Graverot by 66%',0,0),
(21533,1002804,3,100,'Improves the damage of Graverot by 100%',0,0),
(21534,1002805,1,100,'Increases Disruption and Subjugation of caster by 5.0',0,0),
(21535,1002805,2,100,'Increases Disruption and Subjugation of caster by 5.0',0,0),
(21536,1002806,1,100,'Increases the number of updates by 1 and the duration by 1 seconds.',0,0),
(21537,1002806,2,100,'Increases the number of updates by 2 and the duration by 2 seconds.',0,0),
(21538,1002806,3,100,'Increases the number of updates by 3 and the duration by 3 seconds.',0,0),
(21539,1002806,4,100,'Increases the number of updates by 3 and the duration by 3 seconds.',0,0),
(21540,1002806,4,100,'Increases the numbers of updates by 3 and the duration by 3 seconds.',0,1),
(21541,1002806,5,100,'Increases the number of updates by 3 and the duration by 3 seconds.',0,0),
(21542,1002806,5,100,'Increases the heal amount by 25%.',0,1),
(21543,1002807,1,100,'Increases Mitigation of caster vs physical damage by 0',0,0),
(21544,1002807,2,100,'Increases Mitigation of caster vs physical damage by 0',0,0),
(21545,1002808,1,100,'Increases Mitigation of caster vs physical damage by 3',0,0),
(21546,1002808,2,100,'Increases Mitigation of caster vs physical damage by 3',0,0),
(21547,1002809,1,100,'On a damage spell hit this spell has a 33% chance to cast Toxic Aura on target.  Lasts for 2 minutes.  ',0,0),
(21548,1002809,1,100,'Allows the use of Toxic Assault',1,1),
(21549,1002809,1,100,'Cannot be modified except by direct means',1,2),
(21550,1002809,1,100,'Cannot be modified except by direct means',0,3),
(21551,1002809,2,100,'On a damage spell hit this spell has a 66% chance to cast Toxic Aura on target.  Lasts for 2 minutes.  ',0,0),
(21552,1002809,2,100,'Allows the use of Toxic Assault',1,1),
(21553,1002809,2,100,'Cannot be modified except by direct means',1,2),
(21554,1002809,2,100,'Cannot be modified except by direct means',0,3),
(21555,1002809,3,100,'On a damage spell hit this spell will cast Toxic Aura on target.  Lasts for 2 minutes.  ',0,0),
(21556,1002809,3,100,'Allows the use of Toxic Assault',1,1),
(21557,1002809,3,100,'Cannot be modified except by direct means',1,2),
(21558,1002809,3,100,'Cannot be modified except by direct means',0,3),
(21559,1002810,1,100,'Toxic Aura will allow the warlock to reduce their threat by 0.15% of their damage inflicted per increment.',0,0),
(21560,1002810,2,100,'Toxic Aura will allow the warlock to reduce their threat by 0.3% of their damage inflicted per increment.',0,0),
(21561,1002810,3,100,'Toxic Aura will allow the warlock to reduce their threat by 0.45% of their damage inflicted per increment.',0,0),
(21562,1002811,1,100,'Improves the damage of crafted poisons by 1.6%.',0,0),
(21563,1002811,2,100,'Improves the damage of crafted poisons by 3.2%.',0,0),
(21564,1002811,3,100,'Improves the damage of crafted poisons by 4.8%.',0,0),
(21565,1002811,4,100,'Improves the damage of crafted poisons by 6.4%.',0,0),
(21566,1002811,5,100,'Improves the damage of crafted poisons by 8%.',0,0),
(21567,1002811,6,100,'Improves the damage of crafted poisons by 9.6%.',0,0),
(21568,1002811,7,100,'Improves the damage of crafted poisons by 11.2%.',0,0),
(21569,1002811,8,100,'Improves the damage of crafted poisons by 12.8%.',0,0),
(21570,1002811,9,100,'Improves the damage of crafted poisons by 14.4%.',0,0),
(21571,1002811,10,100,'Improves the damage of crafted poisons by 16%.',0,0),
(21572,1002812,1,100,'Increases the trigger count of poisons by 25%',0,0),
(21573,1002812,2,100,'Increases the trigger count of poisons by 25%',0,0),
(21574,1002813,1,100,'Increases Mitigation of caster vs noxious damage by 3',0,0),
(21575,1002813,2,100,'Increases Mitigation of caster vs noxious damage by 3',0,0),
(21576,1002814,1,100,'Increases Mitigation of caster vs noxious damage by 3',0,0),
(21577,1002815,1,100,'Increases Mitigation of caster vs noxious damage by 3',0,0),
(21578,1002816,1,100,'Increases Mitigation of caster vs noxious damage by 3',0,0),
(21579,1002815,2,100,'Increases Mitigation of caster vs noxious damage by 3',0,0),
(21580,1002814,2,100,'Increases Mitigation of caster vs noxious damage by 3',0,0),
(21581,1002816,2,100,'Increases Mitigation of caster vs noxious damage by 3',0,0),
(21582,1002817,1,100,'** MISSING SPELL MODIFIER EFFECT DESCRIPTION **',0,0),
(21583,1002819,1,100,'Increases the amount of durability gained by 1.0.',0,0),
(21584,1002819,1,100,'Increases success chance by 1.0%',0,1),
(21585,1002819,2,100,'Increases the amount of durability gained by 1.0.',0,0),
(21586,1002819,2,100,'Increases success chance by 1.0%',0,1),
(21587,1002820,1,100,'Increases Mount Speed of caster by 5.0%',0,0),
(21588,1002820,2,100,'Increases Mount Speed of caster by 5.0%',0,0),
(21589,1002821,1,100,'When any damage is received this spell has a 50% chance to cast Archimage''s Alacrity on target.  Lasts for 10.0 seconds.  ',0,0),
(21590,1002821,1,100,'Increases in-combat movement speed of caster by 1.5%',1,1),
(21591,1002821,2,100,'When any damage is received this spell has a 50% chance to cast Archimage''s Alacrity on target.  Lasts for 10.0 seconds.  ',0,0),
(21592,1002821,2,100,'Increases in-combat movement speed of caster by 3.0%',1,1),
(21593,1002821,3,100,'When any damage is received this spell has a 50% chance to cast Archimage''s Alacrity on target.  Lasts for 10.0 seconds.  ',0,0),
(21594,1002821,3,100,'Increases in-combat movement speed of caster by 4.5%',1,1),
(21595,1002821,4,100,'When any damage is received this spell has a 50% chance to cast Archimage''s Alacrity on target.  Lasts for 10.0 seconds.  ',0,0),
(21596,1002821,4,100,'Increases in-combat movement speed of caster by 6.0%',1,1),
(21597,1002821,5,100,'When any damage is received this spell has a 50% chance to cast Archimage''s Alacrity on target.  Lasts for 10.0 seconds.  ',0,0),
(21598,1002821,5,100,'Increases in-combat movement speed of caster by 7.5%',1,1),
(21599,1002821,6,100,'When any damage is received this spell has a 50% chance to cast Archimage''s Alacrity on target.  Lasts for 10.0 seconds.  ',0,0),
(21600,1002821,6,100,'Increases in-combat movement speed of caster by 9.0%',1,1),
(21601,1002821,7,100,'When any damage is received this spell has a 50% chance to cast Archimage''s Alacrity on target.  Lasts for 10.0 seconds.  ',0,0),
(21602,1002821,7,100,'Increases in-combat movement speed of caster by 10.5%',1,1),
(21603,1002821,8,100,'When any damage is received this spell has a 50% chance to cast Archimage''s Alacrity on target.  Lasts for 10.0 seconds.  ',0,0),
(21604,1002821,8,100,'Increases in-combat movement speed of caster by 12.0%',1,1),
(21605,1002821,9,100,'When any damage is received this spell has a 50% chance to cast Archimage''s Alacrity on target.  Lasts for 10.0 seconds.  ',0,0),
(21606,1002821,9,100,'Increases in-combat movement speed of caster by 13.5%',1,1),
(21607,1002821,10,100,'When any damage is received this spell has a 50% chance to cast Archimage''s Alacrity on target.  Lasts for 10.0 seconds.  ',0,0),
(21608,1002821,10,100,'Increases in-combat movement speed of caster by 15.0%',1,1),
(21609,1002822,1,100,'Caster has a 4.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(21610,1002822,2,100,'Caster has a 8.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(21611,1002822,3,100,'Caster has a 12.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(21612,1002822,4,100,'Caster has a 16.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(21613,1002822,5,100,'Caster has a 20.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(21614,1002822,6,100,'Caster has a 24.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(21615,1002822,7,100,'Caster has a 28.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(21616,1002822,8,100,'Caster has a 32.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(21617,1002822,9,100,'Caster has a 36.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(21618,1002822,10,100,'Caster has a 40.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(21619,1002823,1,100,'Increases the Stamina Bonus of Caster by 100.0',0,0),
(21620,1002823,2,100,'Increases the Stamina Bonus of Caster by 200.0',0,0),
(21621,1002823,3,100,'Increases the Stamina Bonus of Caster by 300.0',0,0),
(21622,1002824,1,100,'Improves the threat amount of taunt spells by 3%.',0,0),
(21623,1002824,2,100,'Improves the threat amount of taunt spells by 6%.',0,0),
(21624,1002824,3,100,'Improves the threat amount of taunt spells by 9%.',0,0),
(21625,1002824,4,100,'Improves the threat amount of taunt spells by 12%.',0,0),
(21626,1002824,5,100,'Improves the threat amount of taunt spells by 15%.',0,0),
(21627,1002825,1,100,'For every 3 Crit Bonus, the caster gains 1 Potency.',0,0),
(21628,1002826,1,100,'Increases Mitigation of caster vs arcane damage by 0',0,0),
(21629,1002826,2,100,'Increases Mitigation of caster vs arcane damage by 0',0,0),
(21630,1002827,1,100,'Increases Transmuting of caster by 5.0',0,0),
(21631,1002827,2,100,'Increases Transmuting of caster by 5.0',0,0),
(21632,1002828,2,100,'Reduces the power cost of Transmuting reaction arts by 10%',0,0),
(21633,1002829,1,100,'Improves the additional stamina and power by 3%.',0,0),
(21634,1002829,2,100,'Improves the additional stamina and power by 6%.',0,0),
(21635,1002829,3,100,'Improves the additional stamina and power by 9%.',0,0),
(21636,1002829,4,100,'Improves the additional stamina and power by 12%.',0,0),
(21637,1002829,5,100,'Improves the additional stamina and power by 15%.',0,0),
(21638,1002830,1,100,'Increases Max Power of caster by 3.0%',0,0),
(21639,1002830,2,100,'Increases Max Power of caster by 3.0%',0,0),
(21640,1002831,1,100,'On a melee hit this spell has a 10% chance to cast Rage on target.  Lasts for 10.0 seconds.  ',0,0),
(21641,1002831,1,100,'Increases Haste of caster by 35.0',1,1),
(21642,1002831,1,100,'Increases DPS of caster by 35.0',1,2),
(21643,1002831,1,100,'When damaged this spell has a 30% chance to cast Rage on target.  Lasts for 10.0 seconds.  ',0,3),
(21644,1002831,1,100,'Increases Haste of caster by 35.0',1,4),
(21645,1002831,1,100,'Increases DPS of caster by 35.0',1,5),
(21646,1002831,1,100,'On a kill this spell will cast Rage on target.  Lasts for 10.0 seconds.  ',0,6),
(21647,1002831,1,100,'Increases Haste of caster by 35.0',1,7),
(21648,1002831,1,100,'Increases DPS of caster by 35.0',1,8),
(21649,1002832,1,100,'Increases the duration of Ritual of Alacrity by 1.25 seconds.',0,0),
(21650,1002832,2,100,'Increases the duration of Ritual of Alacrity by 2.5 seconds.',0,0),
(21651,1002832,3,100,'Increases the duration of Ritual of Alacrity by 3.75 seconds.',0,0),
(21652,1002832,4,100,'Increases the duration of Ritual of Alacrity by 5 seconds.',0,0),
(21653,1002832,5,100,'Increases the duration of Ritual of Alacrity by 6.25 seconds.',0,0),
(21654,1002832,6,100,'Increases the duration of Ritual of Alacrity by 7.5 seconds.',0,0),
(21655,1002832,7,100,'Increases the duration of Ritual of Alacrity by 8.75 seconds.',0,0),
(21656,1002832,8,100,'Increases the duration of Ritual of Alacrity by 10 seconds.',0,0),
(21657,1002833,1,100,'Increases Max Health of caster by 3.0%',0,0),
(21658,1002833,2,100,'Increases Max Health of caster by 3.0%',0,0),
(21659,1002834,1,100,'Increases rare harvest chance by 0.2%',0,0),
(21660,1002834,2,100,'Increases rare harvest chance by 0.4%',0,0),
(21661,1002834,3,100,'Increases rare harvest chance by 0.6%',0,0),
(21662,1002834,4,100,'Increases rare harvest chance by 0.8%',0,0),
(21663,1002834,5,100,'Increases rare harvest chance by 1.0%',0,0),
(21664,1002835,1,100,'Increases Artistry of caster by 5.0',0,0),
(21665,1002835,2,100,'Increases Artistry of caster by 5.0',0,0),
(21666,1002836,1,100,'Reduces the resistibility of Arcane Bewilderment by 1%',0,0),
(21667,1002836,1,100,'Increases the damage of Arcane Bewilderment by 10%',0,1),
(21668,1002836,2,100,'Reduces the resistibility of Arcane Bewilderment by 2%',0,0),
(21669,1002836,2,100,'Increases the damage of Arcane Bewilderment by 20%',0,1),
(21670,1002836,3,100,'Reduces the resistibility of Arcane Bewilderment by 3%',0,0),
(21671,1002836,3,100,'Increases the damage of Arcane Bewilderment by 30%',0,1),
(21672,1002836,4,100,'Reduces the resistibility of Arcane Bewilderment by 4%',0,0),
(21673,1002836,4,100,'Increases the damage of Arcane Bewilderment by 40%',0,1),
(21674,1002836,5,100,'Reduces the resistibility of Arcane Bewilderment by 5%',0,0),
(21675,1002836,5,100,'Increases the damage of Arcane Bewilderment by 50%',0,1),
(21676,1002836,6,100,'Reduces the resistibility of Arcane Bewilderment by 6%',0,0),
(21677,1002836,6,100,'Increases the damage of Arcane Bewilderment by 60%',0,1),
(21678,1002836,7,100,'Reduces the resistibility of Arcane Bewilderment by 7%',0,0),
(21679,1002836,7,100,'Increases the damage of Arcane Bewilderment by 70%',0,1),
(21680,1002836,8,100,'Reduces the resistibility of Arcane Bewilderment by 8%',0,0),
(21681,1002836,8,100,'Increases the damage of Arcane Bewilderment by 80%',0,1),
(21682,1002836,9,100,'Reduces the resistibility of Arcane Bewilderment by 9%',0,0),
(21683,1002836,9,100,'Increases the damage of Arcane Bewilderment by 90%',0,1),
(21684,1002836,10,100,'Reduces the resistibility of Arcane Bewilderment by 10%',0,0),
(21685,1002836,10,100,'Increases the damage of Arcane Bewilderment by 100%',0,1),
(21686,1002837,1,100,'Outward Calm will now regenerate its ward.',0,0),
(21687,1002838,1,100,'Increases Multi Attack of caster by 2.0',0,0),
(21688,1002838,2,100,'Increases Multi Attack of caster by 2.0',0,0),
(21689,1002839,1,100,'On any combat or spell hit this spell may cast Truespirit Energy on target of attack.  Triggers about 2.0 times per minute. ',0,0),
(21690,1002839,1,100,'Inflicts 28 - 47 slashing damage on target',1,1),
(21691,1002839,1,100,'Must be in Feral Stance',1,2),
(21692,1002839,1,100,'On any combat or spell hit this spell may cast Truespirit Power on target of attack.  Triggers about 2.0 times per minute. ',0,3),
(21693,1002839,1,100,'Inflicts 9 - 16 slashing damage on target encounter',1,4),
(21694,1002839,1,100,'Heals group members (AE) for 3 - 5',1,5),
(21695,1002839,1,100,'Must be in Spiritual Stance',1,6),
(21696,1002839,2,100,'On any combat or spell hit this spell may cast Truespirit Energy on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(21697,1002839,2,100,'Inflicts 1946 - 3244 slashing damage on target',1,1),
(21698,1002839,2,100,'Must be in Feral Stance',1,2),
(21699,1002839,2,100,'On any combat or spell hit this spell may cast Truespirit Power on target of attack.  Triggers about 4.0 times per minute. ',0,3),
(21700,1002839,2,100,'Inflicts 649 - 1081 slashing damage on target encounter',1,4),
(21701,1002839,2,100,'Heals group members (AE) for 225 - 375',1,5),
(21702,1002839,2,100,'Must be in Spiritual Stance',1,6),
(21703,1002839,3,100,'On any combat or spell hit this spell may cast Truespirit Energy on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(21704,1002839,3,100,'Inflicts 1460 - 2434 slashing damage on target',1,1),
(21705,1002839,3,100,'Must be in Feral Stance',1,2),
(21706,1002839,3,100,'On any combat or spell hit this spell may cast Truespirit Power on target of attack.  Triggers about 6.0 times per minute. ',0,3),
(21707,1002839,3,100,'Inflicts 487 - 811 slashing damage on target encounter',1,4),
(21708,1002839,3,100,'Heals group members (AE) for 225 - 375',1,5),
(21709,1002839,3,100,'Must be in Spiritual Stance',1,6),
(21710,1002840,1,100,'Increases range by 1',0,0),
(21711,1002840,1,100,'Improves radius by 5%.',0,1),
(21712,1002840,2,100,'Increases range by 2',0,0),
(21713,1002840,2,100,'Improves radius by 10%.',0,1),
(21714,1002840,3,100,'Increases range by 3',0,0),
(21715,1002840,3,100,'Improves radius by 15%.',0,1),
(21716,1002840,4,100,'Increases range by 4',0,0),
(21717,1002840,4,100,'Improves radius by 20%.',0,1),
(21718,1002840,5,100,'Increases range by 5',0,0),
(21719,1002840,5,100,'Improves radius by 25%.',0,1),
(21720,1002841,1,100,'The beastlord''s warder grants the beastlord a new Primal: Truespirit Strike. Truespirit Strike is a Spiritual Primal that inflicts damage to the target encounter and increases the group''s damage per second for a short duration.',0,0),
(21721,1002842,1,100,'The beastlord''s warder grants the beastlord a new Primal: Truespirit Strike. Truespirit Strike is a Spiritual Primal that inflicts damage to the target encounter and increases the group''s damage per second for a short duration.',0,0),
(21722,1002843,1,100,'The beastlord''s warder grants the beastlord a new Primal: Truespirit Strike. Truespirit Strike is a Spiritual Primal that inflicts damage to the target encounter and increases the group''s damage per second for a short duration.',0,0),
(21723,1002844,1,100,'The beastlord''s warder grants the beastlord a new Primal: Truespirit Strike. Truespirit Strike is a Spiritual Primal that inflicts damage to the target encounter and increases the group''s damage per second for a short duration.',0,0),
(21724,1002845,1,100,'The beastlord''s warder grants the beastlord a new Primal: Truespirit Strike. Truespirit Strike is a Spiritual Primal that inflicts damage to the target encounter and increases the group''s damage per second for a short duration.',0,0),
(21725,1002846,1,100,'The beastlord''s warder grants the beastlord a new Primal: Truespirit Strike. Truespirit Strike is a Spiritual Primal that inflicts damage to the target encounter and increases the group''s damage per second for a short duration.',0,0),
(21726,1002847,1,100,'The beastlord''s warder grants the beastlord a new Primal: Truespirit Strike. Truespirit Strike is a Spiritual Primal that inflicts damage to the target encounter and increases the group''s damage per second for a short duration.',0,0),
(21727,1002848,1,100,'The beastlord''s warder grants the beastlord a new Primal: Truespirit Strike. Truespirit Strike is a Spiritual Primal that inflicts damage to the target encounter and increases the group''s damage per second for a short duration.',0,0),
(21728,1002849,1,100,'The beastlord''s warder grants the beastlord a new Primal: Truespirit Strike. Truespirit Strike is a Spiritual Primal that inflicts damage to the target encounter and increases the group''s damage per second for a short duration.',0,0),
(21729,1002850,1,100,'The beastlord''s warder grants the beastlord a new Primal: Truespirit Strike. Truespirit Strike is a Spiritual Primal that inflicts damage to the target encounter and increases the group''s damage per second for a short duration.',0,0),
(21730,1002851,1,100,'The beastlord''s warder grants the beastlord a new Primal: Truespirit Strike. Truespirit Strike is a Spiritual Primal that inflicts damage to the target encounter and increases the group''s Multi-Attack Chance for a short duration.',0,0),
(21731,1002852,1,100,'The beastlord''s warder grants the beastlord a new Primal: Truespirit Strike. Truespirit Strike is a Spiritual Primal that inflicts damage to the target encounter and increases the group''s damage per second for a short duration.',0,0),
(21732,1002853,1,100,'The beastlord''s warder grants the beastlord a new Primal: Truespirit Strike. Truespirit Strike is a Spiritual Primal that inflicts damage to the target encounter and increases the group''s damage per second for a short duration.',0,0),
(21733,1002854,1,100,'The beastlord''s warder grants the beastlord a new Primal: Truespirit Strike. Truespirit Strike is a Spiritual Primal that inflicts damage to the target encounter and increases the group''s damage per second for a short duration.',0,0),
(21734,1002855,1,100,'The beastlord''s warder grants the beastlord a new Primal: Truespirit Strike. Truespirit Strike is a Spiritual Primal that inflicts damage to the target encounter and increases the group''s damage per second for a short duration.',0,0),
(21735,1002856,1,100,'The beastlord''s warder grants the beastlord a new Primal: Truespirit Strike. Truespirit Strike is a Spiritual Primal that inflicts damage to the target encounter and increases the group''s damage per second for a short duration.',0,0),
(21736,1002857,1,100,'The beastlord''s warder grants the beastlord a new Primal: Truespirit Strike. Truespirit Strike is a Spiritual Primal that inflicts damage to the target encounter and increases the group''s damage per second for a short duration.',0,0),
(21737,1002858,1,100,'The beastlord''s warder grants the beastlord a new Primal: Truespirit Strike. Truespirit Strike is a Spiritual Primal that inflicts damage to the target encounter and increases the group''s damage per second for a short duration.',0,0),
(21738,1002859,1,100,'The beastlord''s warder grants the beastlord a new Primal: Truespirit Strike. Truespirit Strike is a Spiritual Primal that inflicts damage to the target encounter and increases the group''s damage per second for a short duration.',0,0),
(21739,1002860,1,100,'When using an Advantage ability. this spell will cast Ferocity on target.  Lasts for 1 minute.  ',0,0),
(21740,1002860,1,100,'Applies Feral Pain on termination.  Lasts for 10.0 seconds.',1,1),
(21741,1002860,1,100,'Applies when reaching 10 increments of Ferocity',2,2),
(21742,1002860,1,100,'Increases the beastlord''s potency by 20% of their base potency',2,3),
(21743,1002860,1,100,'Cannot be modified except by direct means',2,4),
(21744,1002861,1,100,'When using a Primal ability. this spell will cast Truespirit''s Understanding on target of spell cast.  ',0,0),
(21745,1002861,1,100,'Inflicts 1558 - 2597 crushing damage on target',1,1),
(21746,1002861,1,100,'If in Feral Stance',1,2),
(21747,1002861,1,100,'When using a Primal ability. this spell will cast Truespirit''s Understanding on target of spell cast.  ',0,3),
(21748,1002861,1,100,'Inflicts 519 - 866 crushing damage on target encounter',1,4),
(21749,1002861,1,100,'Heals group members (AE) for 420 - 630',1,5),
(21750,1002861,1,100,'If in Spiritual Stance',1,6),
(21751,1002862,1,100,'Increases WIS of caster by 2.5',0,0),
(21752,1002862,2,100,'Increases WIS of caster by 2.5',0,0),
(21753,1002863,1,100,'Increases health and power restoration of Rebirth by 7.5%',0,0),
(21754,1002863,1,100,'Makes caster immune to AOE (except when direct) for a short duration when Rebirth is cast.',0,1),
(21755,1002863,2,100,'Increases health and power restoration of Rebirth by 15%',0,0),
(21756,1002863,2,100,'Makes caster immune to AOE (except when direct) for a short duration when Rebirth is cast.',0,1),
(21757,1002863,3,100,'Increases health and power restoration of Rebirth by 22.5%',0,0),
(21758,1002863,3,100,'Makes caster immune to AOE (except when direct) for a short duration when Rebirth is cast.',0,1),
(21759,1002863,4,100,'Increases health and power restoration of Rebirth by 30%',0,0),
(21760,1002863,4,100,'Makes caster immune to AOE (except when direct) for a short duration when Rebirth is cast.',0,1),
(21761,1002863,5,100,'Increases health and power restoration of Rebirth by 37.5%',0,0),
(21762,1002863,5,100,'Makes caster immune to AOE (except when direct) for a short duration when Rebirth is cast.',0,1),
(21763,1002863,6,100,'Increases health and power restoration of Rebirth by 45%',0,0),
(21764,1002863,6,100,'Makes caster immune to AOE (except when direct) for a short duration when Rebirth is cast.',0,1),
(21765,1002863,7,100,'Increases health and power restoration of Rebirth by 52.5%',0,0),
(21766,1002863,7,100,'Makes caster immune to AOE (except when direct) for a short duration when Rebirth is cast.',0,1),
(21767,1002863,8,100,'Increases health and power restoration of Rebirth by 60%',0,0),
(21768,1002863,8,100,'Makes caster immune to AOE (except when direct) for a short duration when Rebirth is cast.',0,1),
(21769,1002864,1,100,'Reduces the casting time of Back into the Fray by 0.1 seconds.',0,0),
(21770,1002864,2,100,'Reduces the casting time of Back into the Fray by 0.2 seconds.',0,0),
(21771,1002864,3,100,'Reduces the casting time of Back into the Fray by 0.3 seconds.',0,0),
(21772,1002864,4,100,'Reduces the casting time of Back into the Fray by 0.4 seconds.',0,0),
(21773,1002864,5,100,'Reduces the casting time of Back into the Fray by 0.5 seconds.',0,0),
(21774,1002865,2,100,'Increases speed of caster by 5.0%',0,0),
(21775,1002866,1,100,'Increases Mitigation of caster vs physical damage by 3',0,0),
(21776,1002866,2,100,'Increases Mitigation of caster vs physical damage by 3',0,0),
(21777,1002867,2,100,'Increases speed of caster by 5.0%',0,0),
(21778,1002868,1,100,'Increases the durability gain by 2 every round.',0,0),
(21779,1002868,2,100,'Increases the durability gain by 2 every round.',0,0),
(21780,1002869,1,100,'Increases the amount of progress gained by 2.0%.',0,0),
(21781,1002869,2,100,'Increases the amount of progress gained by 2.0%.',0,0),
(21782,1002870,1,100,'Adds 1 additional melee strike to Seafury Thrust.',0,0),
(21783,1002870,2,100,'Adds 2 additional melee strikes to Seafury Thrust.',0,0),
(21784,1002870,3,100,'Adds 3 additional melee strikes to Seafury Thrust.',0,0),
(21785,1002871,1,100,'Reduces incoming damage to the beastlord by 3% per increment after using Feral Intensity. Taking damage will remove this effect.',0,0),
(21786,1002871,2,100,'Reduces incoming damage to the beastlord by 6% per increment after using Feral Intensity. Taking damage will remove this effect.',0,0),
(21787,1002871,3,100,'Reduces incoming damage to the beastlord by 9% per increment after using Feral Intensity. Taking damage will remove this effect.',0,0),
(21788,1002872,1,100,'Applies Unabate to qualifying pets.',0,0),
(21789,1002872,1,100,'Increases Doublecast Chance of caster by 1.0%',1,1),
(21790,1002872,1,100,'Reduces the resistibility of all spells by 15%',0,2),
(21791,1002872,1,100,'Increases the hit chance of combat arts by 15%',0,3),
(21792,1002872,1,100,'Reduces the resistibility of all spells by 15%',0,4),
(21793,1002873,1,100,'Rock Skin will apply a regenerating ward that prevents all types of damage.',0,0),
(21794,1002874,1,100,'Increases WIS of caster by 2.5',0,0),
(21795,1002874,2,100,'Increases WIS of caster by 2.5',0,0),
(21796,1002875,1,100,'Increases Mitigation of caster vs elemental damage by 3',0,0),
(21797,1002875,2,100,'Increases Mitigation of caster vs elemental damage by 3',0,0),
(21798,1002876,1,100,'Increases stealth or invisible movement speed of caster by 15.0%',0,0),
(21799,1002876,2,100,'Increases stealth or invisible movement speed of caster by 15.0%',0,0),
(21800,1002877,1,100,'Increases the amount of progress gained by 2.0%.',0,0),
(21801,1002877,2,100,'Increases the amount of progress gained by 2.0%.',0,0),
(21802,1002878,1,100,'Reduces all damage done to caster by 0.5%',0,0),
(21803,1002878,2,100,'Reduces all damage done to caster by 1%',0,0),
(21804,1002878,3,100,'Reduces all damage done to caster by 1.5%',0,0),
(21805,1002878,4,100,'Reduces all damage done to caster by 2%',0,0),
(21806,1002878,5,100,'Reduces all damage done to caster by 2.5%',0,0),
(21807,1002879,1,100,'Gives caster a 15.0% chance to strikethrough a successful avoidance check',0,0),
(21808,1002880,1,100,'When the shadowknight falls below 10% power, they will gain 15% of their power back. This can only trigger once every 30 seconds (180 seconds in PVP).',0,0),
(21809,1002880,1,100,'Cannot be modified except by direct means',0,1),
(21810,1002881,1,100,'Increases the Stamina Bonus of Caster by 100.0',0,0),
(21811,1002881,2,100,'Increases the Stamina Bonus of Caster by 200.0',0,0),
(21812,1002881,3,100,'Increases the Stamina Bonus of Caster by 300.0',0,0),
(21813,1002882,1,100,'Improves the threat and damage of Grave Sacrament by 5%.',0,0),
(21814,1002882,2,100,'Improves the threat and damage of Grave Sacrament by 10%.',0,0),
(21815,1002882,3,100,'Improves the threat and damage of Grave Sacrament by 15%.',0,0),
(21816,1002882,4,100,'Improves the threat and damage of Grave Sacrament by 20%.',0,0),
(21817,1002882,5,100,'Improves the threat and damage of Grave Sacrament by 25%.',0,0),
(21818,1002883,1,100,'Adds an additional effect which reduces the casting and reuse speeds of the shadowknight''s group',0,0),
(21819,1002883,2,100,'Adds an additional effect which reduces the casting and reuse speeds of the shadowknight''s group',0,0),
(21820,1002883,3,100,'Adds an additional effect which reduces the casting and reuse speeds of the shadowknight''s group',0,0),
(21821,1002883,4,100,'Adds an additional effect which reduces the casting and reuse speeds of the shadowknight''s group',0,0),
(21822,1002883,5,100,'Adds an additional effect which reduces the casting and reuse speeds of the shadowknight''s group',0,0),
(21823,1002884,1,100,'Improves the trigger chance by 12.5%.',0,0),
(21824,1002884,1,100,'Improves the duration by 12.5%.',0,1),
(21825,1002884,2,100,'Improves the trigger chance by 25%.',0,0),
(21826,1002884,2,100,'Improves the duration by 25%.',0,1),
(21827,1002884,3,100,'Improves the trigger chance by 37.5%.',0,0),
(21828,1002884,3,100,'Improves the duration by 37.5%.',0,1),
(21829,1002884,4,100,'Improves the trigger chance by 50%.',0,0),
(21830,1002884,4,100,'Improves the duration by 50%.',0,1),
(21831,1002884,5,100,'Improves the trigger chance by 62.5%.',0,0),
(21832,1002884,5,100,'Improves the duration by 62.5%.',0,1),
(21833,1002884,6,100,'Improves the trigger chance by 75%.',0,0),
(21834,1002884,6,100,'Improves the duration by 75%.',0,1),
(21835,1002884,7,100,'Improves the trigger chance by 87.5%.',0,0),
(21836,1002884,7,100,'Improves the duration by 87.5%.',0,1),
(21837,1002884,8,100,'Improves the trigger chance by 100%.',0,0),
(21838,1002884,8,100,'Improves the duration by 100%.',0,1),
(21839,1002885,1,100,'The fighter''s avoidance sharing ability will increase the fighter''s Weapon Damage Bonus by 1',0,0),
(21840,1002885,2,100,'The fighter''s avoidance sharing ability will increase the fighter''s Weapon Damage Bonus by 2',0,0),
(21841,1002885,3,100,'The fighter''s avoidance sharing ability will increase the fighter''s Weapon Damage Bonus by 3',0,0),
(21842,1002885,4,100,'The fighter''s avoidance sharing ability will increase the fighter''s Weapon Damage Bonus by 4',0,0),
(21843,1002885,5,100,'The fighter''s avoidance sharing ability will increase the fighter''s Weapon Damage Bonus by 5',0,0),
(21844,1002885,6,100,'The fighter''s avoidance sharing ability will increase the fighter''s Weapon Damage Bonus by 6',0,0),
(21845,1002885,7,100,'The fighter''s avoidance sharing ability will increase the fighter''s Weapon Damage Bonus by 7',0,0),
(21846,1002885,8,100,'The fighter''s avoidance sharing ability will increase the fighter''s Weapon Damage Bonus by 8',0,0),
(21847,1002885,9,100,'The fighter''s avoidance sharing ability will increase the fighter''s Weapon Damage Bonus by 9',0,0),
(21848,1002885,10,100,'The fighter''s avoidance sharing ability will increase the fighter''s Weapon Damage Bonus by 10',0,0),
(21849,1002886,1,100,'Wreak Havoc has a 10% chance to clear the reuse of Sniper Shot.',0,0),
(21850,1002886,2,100,'Wreak Havoc has a 20% chance to clear the reuse of Sniper Shot.',0,0),
(21851,1002887,1,100,'Increases Max Health of caster by 1.0%',0,0),
(21852,1002887,2,100,'Increases Max Health of caster by 2.0%',0,0),
(21853,1002887,3,100,'Increases Max Health of caster by 3.0%',0,0),
(21854,1002887,4,100,'Increases Max Health of caster by 4.0%',0,0),
(21855,1002887,5,100,'Increases Max Health of caster by 5.0%',0,0),
(21856,1002888,1,100,'When damaged with a melee weapon this spell will cast Unrivaled Focus on target.  Lasts for 1.5 seconds.  ',0,0),
(21857,1002888,1,100,'Reduces physical damage done to caster by 3.45%',1,1),
(21858,1002888,1,100,'This effect can only trigger once every 10.0 seconds.',1,2),
(21859,1002888,2,100,'When damaged with a melee weapon this spell will cast Unrivaled Focus on target.  Lasts for 1.5 seconds.  ',0,0),
(21860,1002888,2,100,'Reduces physical damage done to caster by 6.9%',1,1),
(21861,1002888,2,100,'This effect can only trigger once every 10.0 seconds.',1,2),
(21862,1002888,3,100,'When damaged with a melee weapon this spell will cast Unrivaled Focus on target.  Lasts for 1.5 seconds.  ',0,0),
(21863,1002888,3,100,'Reduces physical damage done to caster by 10.35%',1,1),
(21864,1002888,3,100,'This effect can only trigger once every 10.0 seconds.',1,2),
(21865,1002888,4,100,'When damaged with a melee weapon this spell will cast Unrivaled Focus on target.  Lasts for 1.5 seconds.  ',0,0),
(21866,1002888,4,100,'Reduces physical damage done to caster by 13.8%',1,1),
(21867,1002888,4,100,'This effect can only trigger once every 10.0 seconds.',1,2),
(21868,1002888,5,100,'When damaged with a melee weapon this spell will cast Unrivaled Focus on target.  Lasts for 1.5 seconds.  ',0,0),
(21869,1002888,5,100,'Reduces physical damage done to caster by 17.25%',1,1),
(21870,1002888,5,100,'This effect can only trigger once every 10.0 seconds.',1,2),
(21871,1002888,6,100,'When damaged with a melee weapon this spell will cast Unrivaled Focus on target.  Lasts for 1.5 seconds.  ',0,0),
(21872,1002888,6,100,'Reduces physical damage done to caster by 20.7%',1,1),
(21873,1002888,6,100,'This effect can only trigger once every 10.0 seconds.',1,2),
(21874,1002888,7,100,'When damaged with a melee weapon this spell will cast Unrivaled Focus on target.  Lasts for 1.5 seconds.  ',0,0),
(21875,1002888,7,100,'Reduces physical damage done to caster by 24.15%',1,1),
(21876,1002888,7,100,'This effect can only trigger once every 10.0 seconds.',1,2),
(21877,1002888,8,100,'When damaged with a melee weapon this spell will cast Unrivaled Focus on target.  Lasts for 1.5 seconds.  ',0,0),
(21878,1002888,8,100,'Reduces physical damage done to caster by 27.6%',1,1),
(21879,1002888,8,100,'This effect can only trigger once every 10.0 seconds.',1,2),
(21880,1002888,9,100,'When damaged with a melee weapon this spell will cast Unrivaled Focus on target.  Lasts for 1.5 seconds.  ',0,0),
(21881,1002888,9,100,'Reduces physical damage done to caster by 31.05%',1,1),
(21882,1002888,9,100,'This effect can only trigger once every 10.0 seconds.',1,2),
(21883,1002888,10,100,'When damaged with a melee weapon this spell will cast Unrivaled Focus on target.  Lasts for 1.5 seconds.  ',0,0),
(21884,1002888,10,100,'Reduces physical damage done to caster by 34.5%',1,1),
(21885,1002888,10,100,'This effect can only trigger once every 10.0 seconds.',1,2),
(21886,1002889,1,100,'Grants a 2.0% chance to resist Stun effects',0,0),
(21887,1002889,2,100,'Grants a 4.0% chance to resist Stun effects',0,0),
(21888,1002889,3,100,'Grants a 6.0% chance to resist Stun effects',0,0),
(21889,1002889,4,100,'Grants a 8.0% chance to resist Stun effects',0,0),
(21890,1002889,5,100,'Grants a 10.0% chance to resist Stun effects',0,0),
(21891,1002890,1,100,'Increases Mitigation of caster vs physical damage by 56',0,0),
(21892,1002890,2,100,'Increases Mitigation of caster vs physical damage by 123',0,0),
(21893,1002890,3,100,'Increases Mitigation of caster vs physical damage by 168',0,0),
(21894,1002890,4,100,'Increases Mitigation of caster vs physical damage by 224',0,0),
(21895,1002890,5,100,'Increases Mitigation of caster vs physical damage by 308',0,0),
(21896,1002890,6,100,'Increases Mitigation of caster vs physical damage by 336',0,0),
(21897,1002890,7,100,'Increases Mitigation of caster vs physical damage by 392',0,0),
(21898,1002890,8,100,'Increases Mitigation of caster vs physical damage by 448',0,0),
(21899,1002890,9,100,'Increases Mitigation of caster vs physical damage by 554',0,0),
(21900,1002890,10,100,'Increases Mitigation of caster vs physical damage by 616',0,0),
(21901,1002891,1,100,'Casts Unstoppable on target.  Lasts for 4.0 seconds.  ',0,0),
(21902,1002891,1,100,'Dispels 138 levels of any hostile effects on caster',1,1),
(21903,1002891,1,100,'Makes caster immune to Daze effects',1,2),
(21904,1002891,1,100,'Makes caster immune to Stifle effects',1,3),
(21905,1002891,1,100,'Makes caster immune to Stun effects',1,4),
(21906,1002891,1,100,'Triggers when the caster is stunned, stifled or dazed. This can only trigger once every 60 seconds for each control effect.',1,5),
(21907,1002891,1,100,'Cannot be modified except by direct means',1,6),
(21908,1002892,2,100,'Increases Max Health of caster by 3.0%',0,0),
(21909,1002893,1,100,'When the guardian dodges an attack with Defensive Minded, they will absorb the next attack.',0,0),
(21910,1002894,1,100,'Increases the Crit Bonus of Juggernaut by 1',0,0),
(21911,1002894,2,100,'Increases the Crit Bonus of Juggernaut by 2',0,0),
(21912,1002894,3,100,'Increases the Crit Bonus of Juggernaut by 3',0,0),
(21913,1002894,4,100,'Increases the Crit Bonus of Juggernaut by 4',0,0),
(21914,1002894,5,100,'Increases the Crit Bonus of Juggernaut by 5',0,0),
(21915,1002895,1,100,'Improves the duration of Exuberant Encore by 33%',0,0),
(21916,1002895,2,100,'Improves the duration of Exuberant Encore by 66%',0,0),
(21917,1002895,3,100,'Improves the duration of Exuberant Encore by 100%',0,0),
(21918,1002896,1,100,'Increases Mitigation of caster vs noxious damage by 0',0,0),
(21919,1002896,2,100,'Increases Mitigation of caster vs noxious damage by 0',0,0),
(21920,1002897,1,100,'Improves the instant heal amount by 3%.',0,0),
(21921,1002897,1,100,'Improves the critical amount by 4%.',0,1),
(21922,1002897,2,100,'Improves the instant heal amount by 6%.',0,0),
(21923,1002897,2,100,'Improves the critical amount by 8%.',0,1),
(21924,1002897,3,100,'Improves the instant heal amount by 9%.',0,0),
(21925,1002897,3,100,'Improves the critical amount by 12%.',0,1),
(21926,1002897,4,100,'Improves the instant heal amount by 12%.',0,0),
(21927,1002897,4,100,'Improves the critical amount by 16%.',0,1),
(21928,1002897,5,100,'Improves the instant heal amount by 15%.',0,0),
(21929,1002897,5,100,'Improves the critical amount by 20%.',0,1),
(21930,1002898,1,100,'Increases Max Health of caster by 1.0%',0,0),
(21931,1002898,1,100,'Increases Focus of caster by 0.0',0,1),
(21932,1002898,2,100,'Increases Max Health of caster by 2.0%',0,0),
(21933,1002898,2,100,'Increases Focus of caster by 0.0',0,1),
(21934,1002898,3,100,'Increases Max Health of caster by 3.0%',0,0),
(21935,1002898,3,100,'Increases Focus of caster by 0.0',0,1),
(21936,1002898,4,100,'Increases Max Health of caster by 4.0%',0,0),
(21937,1002898,4,100,'Increases Focus of caster by 0.0',0,1),
(21938,1002898,5,100,'Increases Max Health of caster by 5.0%',0,0),
(21939,1002898,5,100,'Increases Focus of caster by 0.0',0,1),
(21940,1002898,6,100,'Increases Max Health of caster by 6.0%',0,0),
(21941,1002898,6,100,'Increases Focus of caster by 0.0',0,1),
(21942,1002898,7,100,'Increases Max Health of caster by 7.0%',0,0),
(21943,1002898,7,100,'Increases Focus of caster by 0.0',0,1),
(21944,1002898,8,100,'Increases Max Health of caster by 8.0%',0,0),
(21945,1002898,8,100,'Increases Focus of caster by 0.0',0,1),
(21946,1002898,9,100,'Increases Max Health of caster by 9.0%',0,0),
(21947,1002898,9,100,'Increases Focus of caster by 0.0',0,1),
(21948,1002898,10,100,'Increases Max Health of caster by 10.0%',0,0),
(21949,1002898,10,100,'Increases Focus of caster by 0.0',0,1),
(21950,1002899,1,100,'Increases Mitigation of caster vs physical damage by 0',0,0),
(21951,1002899,2,100,'Increases Mitigation of caster vs physical damage by 0',0,0),
(21952,1002900,1,100,'Increases the amount of progress gained by 2.0%.',0,0),
(21953,1002900,2,100,'Increases the amount of progress gained by 2.0%.',0,0),
(21954,1002901,1,100,'Increases the duration of Stonewall by 4 seconds.',0,0),
(21955,1002902,1,100,'Increases the potency of the group by 0.5 per increment following Reverberation',0,0),
(21956,1002902,2,100,'Increases the potency of the group by 1 per increment following Reverberation',0,0),
(21957,1002902,3,100,'Increases the potency of the group by 1.5 per increment following Reverberation',0,0),
(21958,1002903,2,100,'Reduces the recast time on city calls spells by 10 minutes.',0,0),
(21959,1002904,1,100,'Improves the damage by 5%',0,0),
(21960,1002904,2,100,'Improves the damage by 10%',0,0),
(21961,1002904,3,100,'Improves the damage by 15%',0,0),
(21962,1002904,4,100,'Improves the damage by 20%',0,0),
(21963,1002904,5,100,'Improves the damage by 25%',0,0),
(21964,1002905,1,100,'Increases AGI of caster by 2.5',0,0),
(21965,1002905,2,100,'Increases AGI of caster by 2.5',0,0),
(21966,1002906,1,100,'Increases Max Power of caster by 3.0%',0,0),
(21967,1002906,2,100,'Increases Max Power of caster by 3.0%',0,0),
(21968,1002907,1,100,'At 30 increments of Frozen Solid, Blast of Devastation and E''Ci''s Frozen Wrath will have their base cast times reduced by 20%',0,0),
(21969,1002907,2,100,'At 30 increments of Frozen Solid, Blast of Devastation and E''Ci''s Frozen Wrath will have their base cast times reduced by 20%',0,0),
(21970,1002907,2,100,'At 60 increments of Frozen Solid, Blast of Devastation and E''Ci''s Frozen Wrath will have their base cast times reduced by 40% and by 60% at 90 increments.',0,1),
(21971,1002907,3,100,'At 30 increments of Frozen Solid, Blast of Devastation and E''Ci''s Frozen Wrath will have their base cast times reduced by 20%',0,0),
(21972,1002907,3,100,'At 60 increments of Frozen Solid, Blast of Devastation and E''Ci''s Frozen Wrath will have their base cast times reduced by 40% and by 60% at 90 increments.',0,1),
(21973,1002907,3,100,'At 120 increments of Frozen Solid, Blast of Devastation and E''Ci''s Frozen Wrath will have their base cast times reduced by 80% and removed at 150 increments.',0,2),
(21974,1002908,2,100,'Increases Mitigation of caster vs elemental damage by 0',0,0),
(21975,1002909,1,100,'Increases the durability gain by 2 every round.',0,0),
(21976,1002909,2,100,'Increases the durability gain by 2 every round.',0,0),
(21977,1002910,1,100,'Increases the physical mitigation bonus of the defensive stance by 1%',0,0),
(21978,1002910,2,100,'Increases the physical mitigation bonus of the defensive stance by 2%',0,0),
(21979,1002910,3,100,'Increases the physical mitigation bonus of the defensive stance by 3%',0,0),
(21980,1002910,4,100,'Increases the physical mitigation bonus of the defensive stance by 4%',0,0),
(21981,1002910,5,100,'Increases the physical mitigation bonus of the defensive stance by 5%',0,0),
(21982,1002911,1,100,'When any damage is received this spell has a 5% chance to cast Vicious Counter on target''s attacker.  Lasts for 3.0 seconds.  ',0,0),
(21983,1002911,1,100,'Stuns target',1,1),
(21984,1002911,1,100,'Does not affect Epic targets',1,2),
(21985,1002911,1,100,'This effect can only trigger once every 30.0 seconds.',1,3),
(21986,1002911,2,100,'When any damage is received this spell has a 10% chance to cast Vicious Counter on target''s attacker.  Lasts for 3.0 seconds.  ',0,0),
(21987,1002911,2,100,'Stuns target',1,1),
(21988,1002911,2,100,'Does not affect Epic targets',1,2),
(21989,1002911,2,100,'This effect can only trigger once every 30.0 seconds.',1,3),
(21990,1002911,3,100,'When any damage is received this spell has a 15% chance to cast Vicious Counter on target''s attacker.  Lasts for 3.0 seconds.  ',0,0),
(21991,1002911,3,100,'Stuns target',1,1),
(21992,1002911,3,100,'Does not affect Epic targets',1,2),
(21993,1002911,3,100,'This effect can only trigger once every 30.0 seconds.',1,3),
(21994,1002911,4,100,'When any damage is received this spell has a 20% chance to cast Vicious Counter on target''s attacker.  Lasts for 3.0 seconds.  ',0,0),
(21995,1002911,4,100,'Stuns target',1,1),
(21996,1002911,4,100,'Does not affect Epic targets',1,2),
(21997,1002911,4,100,'This effect can only trigger once every 30.0 seconds.',1,3),
(21998,1002911,5,100,'When any damage is received this spell has a 25% chance to cast Vicious Counter on target''s attacker.  Lasts for 3.0 seconds.  ',0,0),
(21999,1002911,5,100,'Stuns target',1,1),
(22000,1002911,5,100,'Does not affect Epic targets',1,2),
(22001,1002911,5,100,'This effect can only trigger once every 30.0 seconds.',1,3),
(22002,1002911,6,100,'When any damage is received this spell has a 30% chance to cast Vicious Counter on target''s attacker.  Lasts for 3.0 seconds.  ',0,0),
(22003,1002911,6,100,'Stuns target',1,1),
(22004,1002911,6,100,'Does not affect Epic targets',1,2),
(22005,1002911,6,100,'This effect can only trigger once every 30.0 seconds.',1,3),
(22006,1002911,7,100,'When any damage is received this spell has a 35% chance to cast Vicious Counter on target''s attacker.  Lasts for 3.0 seconds.  ',0,0),
(22007,1002911,7,100,'Stuns target',1,1),
(22008,1002911,7,100,'Does not affect Epic targets',1,2),
(22009,1002911,7,100,'This effect can only trigger once every 30.0 seconds.',1,3),
(22010,1002911,8,100,'When any damage is received this spell has a 40% chance to cast Vicious Counter on target''s attacker.  Lasts for 3.0 seconds.  ',0,0),
(22011,1002911,8,100,'Stuns target',1,1),
(22012,1002911,8,100,'Does not affect Epic targets',1,2),
(22013,1002911,8,100,'This effect can only trigger once every 30.0 seconds.',1,3),
(22014,1002911,9,100,'When any damage is received this spell has a 45% chance to cast Vicious Counter on target''s attacker.  Lasts for 3.0 seconds.  ',0,0),
(22015,1002911,9,100,'Stuns target',1,1),
(22016,1002911,9,100,'Does not affect Epic targets',1,2),
(22017,1002911,9,100,'This effect can only trigger once every 30.0 seconds.',1,3),
(22018,1002911,10,100,'When any damage is received this spell has a 50% chance to cast Vicious Counter on target''s attacker.  Lasts for 3.0 seconds.  ',0,0),
(22019,1002911,10,100,'Stuns target',1,1),
(22020,1002911,10,100,'Does not affect Epic targets',1,2),
(22021,1002911,10,100,'This effect can only trigger once every 30.0 seconds.',1,3),
(22022,1002912,1,100,'Improves base auto-attack multiplier of caster by 0.03. Does not apply to spell weapons.',0,0),
(22023,1002912,2,100,'Improves base auto-attack multiplier of caster by 0.06. Does not apply to spell weapons.',0,0),
(22024,1002912,3,100,'Improves base auto-attack multiplier of caster by 0.09. Does not apply to spell weapons.',0,0),
(22025,1002912,4,100,'Improves base auto-attack multiplier of caster by 0.12. Does not apply to spell weapons.',0,0),
(22026,1002912,5,100,'Improves base auto-attack multiplier of caster by 0.15. Does not apply to spell weapons.',0,0),
(22027,1002912,6,100,'Improves base auto-attack multiplier of caster by 0.18. Does not apply to spell weapons.',0,0),
(22028,1002912,7,100,'Improves base auto-attack multiplier of caster by 0.21. Does not apply to spell weapons.',0,0),
(22029,1002912,8,100,'Improves base auto-attack multiplier of caster by 0.24. Does not apply to spell weapons.',0,0),
(22030,1002914,1,100,'Increases caster''s chance to block by 2.0%',0,0),
(22031,1002914,2,100,'Increases caster''s chance to block by 2.0%',0,0),
(22032,1002915,1,100,'Slot 2 Primals have a 15% chance to clear the reuse of slot 1 Primals.',0,0),
(22033,1002915,2,100,'Slot 2 Primals have a 30% chance to clear the reuse of slot 1 Primals.',0,0),
(22034,1002916,1,100,'Increases STA of caster by 4.0',0,0),
(22035,1002916,2,100,'Increases STA of caster by 4.0',0,0),
(22036,1002917,1,100,'Reduces the recast of Divine Recovery by 12 seconds.',0,0),
(22037,1002917,2,100,'Reduces the recast of Divine Recovery by 24 seconds.',0,0),
(22038,1002917,3,100,'Reduces the recast of Divine Recovery by 36 seconds.',0,0),
(22039,1002917,4,100,'Reduces the recast of Divine Recovery by 48 seconds.',0,0),
(22040,1002917,5,100,'Reduces the recast of Divine Recovery by 60 seconds.',0,0),
(22041,1002918,1,100,'Improves the base amount of the ward by 2%.',0,0),
(22042,1002918,1,100,'Increases the casting speed by 0.2 seconds.',0,1),
(22043,1002918,2,100,'Improves the base amount of the ward by 4%.',0,0),
(22044,1002918,2,100,'Increases the casting speed by 0.4 seconds.',0,1),
(22045,1002918,3,100,'Improves the base amount of the ward by 6%.',0,0),
(22046,1002918,3,100,'Increases the casting speed by 0.6 seconds.',0,1),
(22047,1002918,4,100,'Improves the base amount of the ward by 8%.',0,0),
(22048,1002918,4,100,'Increases the casting speed by 0.8 seconds.',0,1),
(22049,1002918,5,100,'Improves the base amount of the ward by 10%.',0,0),
(22050,1002918,5,100,'Increases the casting speed by 1 seconds.',0,1),
(22051,1002919,1,100,'Reduces the duration by 2 seconds',0,0),
(22052,1002919,1,100,'Improves the damage by 3%.',0,1),
(22053,1002919,2,100,'Reduces the duration by 4 seconds',0,0),
(22054,1002919,2,100,'Improves the damage by 6%.',0,1),
(22055,1002919,3,100,'Reduces the duration by 6 seconds',0,0),
(22056,1002919,3,100,'Improves the damage by 9%.',0,1),
(22057,1002919,4,100,'Reduces the duration by 8 seconds',0,0),
(22058,1002919,4,100,'Improves the damage by 12%.',0,1),
(22059,1002919,5,100,'Reduces the duration by 10 seconds',0,0),
(22060,1002919,5,100,'Improves the damage by 15%.',0,1),
(22061,1002920,1,100,'Increases base damage by 1%.',0,0),
(22062,1002920,2,100,'Increases base damage by 2%.',0,0),
(22063,1002920,3,100,'Increases base damage by 3%.',0,0),
(22064,1002920,4,100,'Increases base damage by 4%.',0,0),
(22065,1002920,5,100,'Increases base damage by 5%.',0,0),
(22066,1002920,6,100,'Increases base damage by 6%.',0,0),
(22067,1002920,7,100,'Increases base damage by 7%.',0,0),
(22068,1002920,8,100,'Increases base damage by 8%.',0,0),
(22069,1002920,9,100,'Increases base damage by 9%.',0,0),
(22070,1002920,10,100,'Increases base damage by 10%.',0,0),
(22071,1002921,1,100,'Applies Virulent Mist to qualifying pets.',0,0),
(22072,1002921,1,100,'Improves the damage of Venom Spray by 1%',1,1),
(22073,1002921,2,100,'Applies Virulent Mist to qualifying pets.',0,0),
(22074,1002921,2,100,'Improves the damage of Venom Spray by 2%',1,1),
(22075,1002921,3,100,'Applies Virulent Mist to qualifying pets.',0,0),
(22076,1002921,3,100,'Improves the damage of Venom Spray by 3%',1,1),
(22077,1002921,4,100,'Applies Virulent Mist to qualifying pets.',0,0),
(22078,1002921,4,100,'Improves the damage of Venom Spray by 4%',1,1),
(22079,1002921,5,100,'Applies Virulent Mist to qualifying pets.',0,0),
(22080,1002921,5,100,'Improves the damage of Venom Spray by 5%',1,1),
(22081,1002921,6,100,'Applies Virulent Mist to qualifying pets.',0,0),
(22082,1002921,6,100,'Improves the damage of Venom Spray by 6%',1,1),
(22083,1002921,7,100,'Applies Virulent Mist to qualifying pets.',0,0),
(22084,1002921,7,100,'Improves the damage of Venom Spray by 7%',1,1),
(22085,1002921,8,100,'Applies Virulent Mist to qualifying pets.',0,0),
(22086,1002921,8,100,'Improves the damage of Venom Spray by 8%',1,1),
(22087,1002921,9,100,'Applies Virulent Mist to qualifying pets.',0,0),
(22088,1002921,9,100,'Improves the damage of Venom Spray by 9%',1,1),
(22089,1002921,10,100,'Applies Virulent Mist to qualifying pets.',0,0),
(22090,1002921,10,100,'Improves the damage of Venom Spray by 10%',1,1),
(22091,1002922,1,100,'Improves the base damage by 4%.',0,0),
(22092,1002922,2,100,'Improves the base damage by 8%.',0,0),
(22093,1002922,3,100,'Improves the base damage by 12%.',0,0),
(22094,1002922,4,100,'Improves the base damage by 16%.',0,0),
(22095,1002922,5,100,'Improves the base damage by 20%.',0,0),
(22096,1002923,1,100,'Increases WIS of caster by 4.0',0,0),
(22097,1002923,2,100,'Increases WIS of caster by 4.0',0,0),
(22098,1002924,1,100,'Increases STA of caster by 4.0',0,0),
(22099,1002924,2,100,'Increases STA of caster by 4.0',0,0),
(22100,1002925,1,100,'Thug''s Poison will increase incoming physical damage to the target by 0.5%',0,0),
(22101,1002925,2,100,'Thug''s Poison will increase incoming physical damage to the target by 1%',0,0),
(22102,1002925,3,100,'Thug''s Poison will increase incoming physical damage to the target by 1.5%',0,0),
(22103,1002926,1,100,'Increases Max Power of caster by 3.0%',0,0),
(22104,1002926,2,100,'Increases Max Power of caster by 3.0%',0,0),
(22105,1002927,1,100,'Improves the stamina granted by 10%.',0,0),
(22106,1002927,1,100,'Adds a small Block Chance component to Essence of the Great Bear.',0,1),
(22107,1002927,2,100,'Improves the stamina granted by 20%.',0,0),
(22108,1002927,2,100,'Adds a small Block Chance component to Essence of the Great Bear.',0,1),
(22109,1002927,3,100,'Improves the stamina granted by 30%.',0,0),
(22110,1002927,3,100,'Adds a small Block Chance component to Essence of the Great Bear.',0,1),
(22111,1002927,4,100,'Improves the stamina granted by 40%.',0,0),
(22112,1002927,4,100,'Adds a small Block Chance component to Essence of the Great Bear.',0,1),
(22113,1002927,5,100,'Improves the stamina granted by 50%.',0,0),
(22114,1002927,5,100,'Adds a small Block Chance component to Essence of the Great Bear.',0,1),
(22115,1002928,1,100,'Increases Power Regen of caster by 6.0',0,0),
(22116,1002928,2,100,'Increases Power Regen of caster by 6.0',0,0),
(22117,1002929,1,100,'Negative Void will grant the warlock a chance to deal additional disease damage when casting spells.',0,0),
(22118,1002929,1,100,'Apocalypse, Absolution, Dark Siphoning and Dark Nebula gain 10% to their damage before modifications when Negative Void is active.',0,1),
(22119,1002929,2,100,'Negative Void will grant the warlock a chance to deal additional disease damage when casting spells.',0,0),
(22120,1002929,2,100,'Apocalypse, Absolution, Dark Siphoning and Dark Nebula gain 20% to their damage before modifications when Negative Void is active.',0,1),
(22121,1002929,3,100,'Negative Void will grant the warlock a chance to deal additional disease damage when casting spells.',0,0),
(22122,1002929,3,100,'Apocalypse, Absolution, Dark Siphoning and Dark Nebula gain 30% to their damage before modifications when Negative Void is active.',0,1),
(22123,1002930,1,100,'Reduces the duration by 3 seconds.',0,0),
(22124,1002930,1,100,'Improves the damage by 4%',0,1),
(22125,1002930,2,100,'Reduces the duration by 6 seconds.',0,0),
(22126,1002930,2,100,'Improves the damage by 8%',0,1),
(22127,1002930,3,100,'Reduces the duration by 9 seconds.',0,0),
(22128,1002930,3,100,'Improves the damage by 12%',0,1),
(22129,1002930,4,100,'Reduces the duration by 12 seconds.',0,0),
(22130,1002930,4,100,'Improves the damage by 16%',0,1),
(22131,1002930,5,100,'Reduces the duration by 15 seconds.',0,0),
(22132,1002930,5,100,'Improves the damage by 20%',0,1),
(22133,1002931,1,100,'Increases Potency of caster by 15.0%',0,0),
(22134,1002932,1,100,'Decreases falling damage taken by caster by 15.0%',0,0),
(22135,1002932,2,100,'Decreases falling damage taken by caster by 15.0%',0,0),
(22136,1002933,2,100,'Increases Crit Chance of caster by 1.0',0,0),
(22137,1002933,2,100,'Increases caster''s chance to block by 1.0%',0,1),
(22138,1002934,1,100,'War Cry gains the ability to trigger a small ward.',0,0),
(22139,1002934,2,100,'War Cry gains the ability to trigger a small ward.',0,0),
(22140,1002934,3,100,'War Cry gains the ability to trigger a small ward.',0,0),
(22141,1002934,4,100,'War Cry gains the ability to trigger a small ward.',0,0),
(22142,1002934,5,100,'War Cry gains the ability to trigger a small ward.',0,0),
(22143,1002935,1,100,'Improves the base damage by 15%',0,0),
(22144,1002935,2,100,'Improves the base damage by 30%',0,0),
(22145,1002935,3,100,'Improves the base damage by 45%',0,0),
(22146,1002935,4,100,'Improves the base damage by 60%',0,0),
(22147,1002935,5,100,'Improves the base damage by 75%',0,0),
(22148,1002936,1,100,'Increases Mitigation of caster vs elemental damage by 0',0,0),
(22149,1002937,1,100,'Adds an additional effect which debuffs heat mitigation.',0,0),
(22150,1002937,2,100,'Adds an additional effect which debuffs heat mitigation.',0,0),
(22151,1002936,2,100,'Increases Mitigation of caster vs elemental damage by 0',0,0),
(22152,1002937,3,100,'Adds an additional effect which debuffs heat mitigation.',0,0),
(22153,1002937,4,100,'Adds an additional effect which debuffs heat mitigation.',0,0),
(22154,1002937,5,100,'Adds an additional effect which debuffs heat mitigation.',0,0),
(22155,1002938,1,100,'Mountain Stance will restore 1% of all physical damage the monk receives.',0,0),
(22156,1002938,1,100,'Body Like Mountain will restore 0.5% of all physical damage the monk receives.',0,1),
(22157,1002938,1,100,'Body Like Mountain snares instead of roots',0,2),
(22158,1002938,2,100,'Mountain Stance will restore 2% of all physical damage the monk receives.',0,0),
(22159,1002938,2,100,'Body Like Mountain will restore 1% of all physical damage the monk receives.',0,1),
(22160,1002938,2,100,'Body Like Mountain snares instead of roots',0,2),
(22161,1002938,3,100,'Mountain Stance will restore 3% of all physical damage the monk receives.',0,0),
(22162,1002938,3,100,'Body Like Mountain will restore 1.5% of all physical damage the monk receives.',0,1),
(22163,1002938,3,100,'Body Like Mountain snares instead of roots',0,2),
(22164,1002939,1,100,'Increases AGI and STA of caster by 4.0',0,0),
(22165,1002939,2,100,'Increases AGI and STA of caster by 8.0',0,0),
(22166,1002939,3,100,'Increases AGI and STA of caster by 12.0',0,0),
(22167,1002939,4,100,'Increases AGI and STA of caster by 16.0',0,0),
(22168,1002939,5,100,'Increases AGI and STA of caster by 20.0',0,0),
(22169,1002939,6,100,'Increases AGI and STA of caster by 24.0',0,0),
(22170,1002939,7,100,'Increases AGI and STA of caster by 28.0',0,0),
(22171,1002939,8,100,'Increases AGI and STA of caster by 32.0',0,0),
(22172,1002939,9,100,'Increases AGI and STA of caster by 36.0',0,0),
(22173,1002939,10,100,'Increases AGI and STA of caster by 40.0',0,0),
(22174,1002940,1,100,'Increases Parry of caster by 0.0',0,0),
(22175,1002940,1,100,'Has a 1% chance to absorb a level 110 effect. Applies to Profession, NPC racial and Indirect AOE  spells only.',0,1),
(22176,1002940,2,100,'Increases Parry of caster by 0.0',0,0),
(22177,1002940,2,100,'Has a 1% chance to absorb a level 110 effect. Applies to Profession, NPC racial and Indirect AOE  spells only.',0,1),
(22178,1002940,3,100,'Increases Parry of caster by 0.0',0,0),
(22179,1002940,3,100,'Has a 1% chance to absorb a level 100 effect. Applies to Profession, NPC racial and Indirect AOE  spells only.',0,1),
(22180,1002940,4,100,'Increases Parry of caster by 0.0',0,0),
(22181,1002940,4,100,'Has a 1% chance to absorb a level 100 effect. Applies to Profession, NPC racial and Indirect AOE  spells only.',0,1),
(22182,1002940,5,100,'Increases Parry of caster by 0.0',0,0),
(22183,1002940,5,100,'Has a 1% chance to absorb a level 110 effect. Applies to Profession, NPC racial and Indirect AOE  spells only.',0,1),
(22184,1002940,6,100,'Increases Parry of caster by 0.0',0,0),
(22185,1002940,6,100,'Has a 1% chance to absorb a level 100 effect. Applies to Profession, NPC racial and Indirect AOE  spells only.',0,1),
(22186,1002940,7,100,'Increases Parry of caster by 0.0',0,0),
(22187,1002940,7,100,'Has a 1% chance to absorb a level 110 effect. Applies to Profession, NPC racial and Indirect AOE  spells only.',0,1),
(22188,1002940,8,100,'Increases Parry of caster by 0.0',0,0),
(22189,1002940,8,100,'Has a 1% chance to absorb a level 100 effect. Applies to Profession, NPC racial and Indirect AOE  spells only.',0,1),
(22190,1002940,9,100,'Increases Parry of caster by 0.0',0,0),
(22191,1002940,9,100,'Has a 1% chance to absorb a level 100 effect. Applies to Profession, NPC racial and Indirect AOE  spells only.',0,1),
(22192,1002940,10,100,'Increases Parry of caster by 0.0',0,0),
(22193,1002940,10,100,'Has a 1% chance to absorb a level 110 effect. Applies to Profession, NPC racial and Indirect AOE  spells only.',0,1),
(22194,1002941,1,100,'Adds an additional wisdom debuff to the Deny line.',0,0),
(22195,1002941,2,100,'Adds an additional wisdom debuff to the Deny line.',0,0),
(22196,1002941,3,100,'Adds an additional wisdom debuff to the Deny line.',0,0),
(22197,1002941,4,100,'Adds an additional wisdom debuff to the Deny line.',0,0),
(22198,1002941,5,100,'Adds an additional wisdom debuff to the Deny line.',0,0),
(22199,1002942,1,100,'On any combat or spell hit this spell has a 5% chance to cast Weakness Detected on target.  Lasts for 6.0 seconds.  ',0,0),
(22200,1002942,1,100,'You have seen a weakness in your enemy''s defense!',1,1),
(22201,1002942,1,100,'Cannot be modified except by direct means',1,2),
(22202,1002942,1,100,'Cannot be modified except by direct means',0,3),
(22203,1002943,1,100,'Increases Potency of caster by 0.5%',0,0),
(22204,1002944,1,100,'Increases Crit Chance of caster by 2.2',0,0),
(22205,1002944,2,100,'Increases Crit Chance of caster by 4.4',0,0),
(22206,1002943,2,100,'Increases Potency of caster by 1.0%',0,0),
(22207,1002943,3,100,'Increases Potency of caster by 1.5%',0,0),
(22208,1002944,3,100,'Increases Crit Chance of caster by 6.7',0,0),
(22209,1002944,4,100,'Increases Crit Chance of caster by 8.9',0,0),
(22210,1002943,4,100,'Increases Potency of caster by 2.0%',0,0),
(22211,1002943,5,100,'Increases Potency of caster by 2.5%',0,0),
(22212,1002944,5,100,'Increases Crit Chance of caster by 11.1',0,0),
(22213,1002944,6,100,'Increases Crit Chance of caster by 13.3',0,0),
(22214,1002943,6,100,'Increases Potency of caster by 3.0%',0,0),
(22215,1002943,7,100,'Increases Potency of caster by 3.5%',0,0),
(22216,1002944,7,100,'Increases Crit Chance of caster by 15.6',0,0),
(22217,1002943,8,100,'Increases Potency of caster by 4.0%',0,0),
(22218,1002944,8,100,'Increases Crit Chance of caster by 17.8',0,0),
(22219,1002944,9,100,'Increases Crit Chance of caster by 20.0',0,0),
(22220,1002943,9,100,'Increases Potency of caster by 4.5%',0,0),
(22221,1002944,10,100,'Increases Crit Chance of caster by 22.2',0,0),
(22222,1002943,10,100,'Increases Potency of caster by 5.0%',0,0),
(22223,1002945,1,100,'Increases the durability gain of the weaponsmith by 2 every round.',0,0),
(22224,1002945,2,100,'Increases the durability gain of the weaponsmith by 2 every round.',0,0),
(22225,1002946,1,100,'Caster will Parry 7.5% of incoming attacks',0,0),
(22226,1002946,1,100,'Increases Piercing and Crushing of caster by 3.0',0,1),
(22227,1002946,1,100,'Increases the hitpoints and Multi-Attack Chance of the pet by 20%.  Also increases the attributes and weapon skills of the pet.',0,2),
(22228,1002947,1,100,'Reduces the power cost of all tradeskill arts related to Weaponsmithing by 10%',0,0),
(22229,1002947,2,100,'Reduces the power cost of all tradeskill arts related to Weaponsmithing by 10%',0,0),
(22230,1002948,1,100,'Increases Mitigation of caster vs elemental damage by 0',0,0),
(22231,1002948,2,100,'Increases Mitigation of caster vs elemental damage by 0',0,0),
(22232,1002949,1,100,'Increases Disruption, Ordination, Subjugation and Focus of caster by 1.0',0,0),
(22233,1002949,2,100,'Increases Disruption, Ordination, Subjugation and Focus of caster by 2.0',0,0),
(22234,1002949,3,100,'Increases Disruption, Ordination, Subjugation and Focus of caster by 3.0',0,0),
(22235,1002949,4,100,'Increases Disruption, Ordination, Subjugation and Focus of caster by 4.0',0,0),
(22236,1002949,5,100,'Increases Disruption, Ordination, Subjugation and Focus of caster by 5.0',0,0),
(22237,1002949,6,100,'Increases Disruption, Ordination, Subjugation and Focus of caster by 6.0',0,0),
(22238,1002949,7,100,'Increases Disruption, Ordination, Subjugation and Focus of caster by 7.0',0,0),
(22239,1002949,8,100,'Increases Disruption, Ordination, Subjugation and Focus of caster by 8.0',0,0),
(22240,1002949,9,100,'Increases Disruption, Ordination, Subjugation and Focus of caster by 9.0',0,0),
(22241,1002949,10,100,'Increases Disruption, Ordination, Subjugation and Focus of caster by 10.0',0,0),
(22242,1002950,1,100,'Increases Tailoring by 5.0',0,0),
(22244,1002951,1,100,'Ancestral Support will make the group immune to mesmerize and root',0,0),
(22245,1002951,2,100,'Ancestral Support will make the group immune to stifle, daze, mesmerize and root',0,0),
(22246,1002951,3,100,'Ancestral Support will make the group immune to stun, fear, stifle, daze, mesmerize and root',0,0),
(22247,1002952,1,100,'Increases the amount of the mystic''s wards when the mystic gets one increment of Ferocity of Spirits by 8%. This applies before potency.',0,0),
(22248,1002952,2,100,'Increases the amount of the mystic''s wards when the mystic gets one increment of Ferocity of Spirits by 16%. This applies before potency.',0,0),
(22249,1002952,3,100,'Increases the amount of the mystic''s wards when the mystic gets one increment of Ferocity of Spirits by 24%. This applies before potency.',0,0),
(22250,1002953,1,100,'Improves the base damage by 2%.',0,0),
(22251,1002953,1,100,'Improves the casting speed by 0.1 seconds.',0,1),
(22252,1002953,2,100,'Improves the base damage by 4%.',0,0),
(22253,1002953,2,100,'Improves the casting speed by 0.2 seconds.',0,1),
(22254,1002953,3,100,'Improves the base damage by 6%.',0,0),
(22255,1002953,3,100,'Improves the casting speed by 0.3 seconds.',0,1),
(22256,1002953,4,100,'Improves the base damage by 8%.',0,0),
(22257,1002953,4,100,'Improves the casting speed by 0.4 seconds.',0,1),
(22258,1002953,5,100,'Improves the base damage by 10%.',0,0),
(22259,1002953,5,100,'Improves the casting speed by 0.5 seconds.',0,1),
(22260,1002954,1,100,'Caster has a 3.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(22261,1002954,2,100,'Caster has a 6.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(22262,1002954,3,100,'Caster has a 9.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(22263,1002954,4,100,'Caster has a 12.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(22264,1002954,5,100,'Caster has a 15.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(22265,1002954,6,100,'Caster has a 18.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(22266,1002954,7,100,'Caster has a 21.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(22267,1002954,8,100,'Caster has a 24.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(22268,1002955,1,100,'Increases Disruption and Subjugation of caster by 5.0',0,0),
(22269,1002955,2,100,'Increases Disruption and Subjugation of caster by 5.0',0,0),
(22270,1002956,1,100,'Increases Crit Chance of caster by 1.2',0,0),
(22271,1002956,2,100,'Increases Crit Chance of caster by 2.3',0,0),
(22272,1002956,3,100,'Increases Crit Chance of caster by 3.5',0,0),
(22273,1002956,4,100,'Increases Crit Chance of caster by 4.7',0,0),
(22274,1002956,5,100,'Increases Crit Chance of caster by 5.8',0,0),
(22275,1002956,6,100,'Increases Crit Chance of caster by 7.0',0,0),
(22276,1002956,7,100,'Increases Crit Chance of caster by 8.2',0,0),
(22277,1002956,8,100,'Increases Crit Chance of caster by 9.3',0,0),
(22278,1002956,9,100,'Increases Crit Chance of caster by 10.5',0,0),
(22279,1002956,10,100,'Increases Crit Chance of caster by 11.7',0,0),
(22280,1002957,1,100,'Increases DPS of caster by 4.0',0,0),
(22281,1002957,2,100,'Increases DPS of caster by 8.0',0,0),
(22282,1002957,3,100,'Increases Damage Per Second of caster by 12.0',0,0),
(22283,1002957,4,100,'Increases Damage Per Second of caster by 16.0',0,0),
(22284,1002957,5,100,'Increases Damage Per Second of caster by 20.0',0,0),
(22285,1002957,6,100,'Increases DPS of caster by 24.0',0,0),
(22286,1002957,7,100,'Increases Damage Per Second of caster by 28.0',0,0),
(22287,1002957,8,100,'Increases DPS of caster by 32.0',0,0),
(22288,1002957,9,100,'Increases DPS of caster by 36.0',0,0),
(22289,1002957,10,100,'Increases DPS of caster by 40.0',0,0),
(22290,1002958,1,100,'Reduces damage taken by 0.25%.',0,0),
(22291,1002958,2,100,'Reduces damage taken by 0.5%.',0,0),
(22292,1002958,3,100,'Reduces damage taken by 0.75%.',0,0),
(22293,1002958,4,100,'Reduces damage taken by 1%.',0,0),
(22294,1002958,5,100,'Reduces damage taken by 1.25%.',0,0),
(22295,1002958,6,100,'Reduces damage taken by 1.5%.',0,0),
(22296,1002958,7,100,'Reduces damage taken by 1.75%.',0,0),
(22297,1002958,8,100,'Reduces damage taken by 2%.',0,0),
(22298,1002959,1,100,'Reduces the duration of primary target and group regeneration spells by 0.25 seconds',0,0),
(22299,1002959,1,100,'Increases the healing of the initial tick on your primary target and group regeneration spells by 3%',0,1),
(22300,1002959,2,100,'Reduces the duration of primary target and group regeneration spells by 0.5 seconds',0,0),
(22301,1002959,2,100,'Increases the healing of the initial tick on your primary target and group regeneration spells by 6%',0,1),
(22302,1002959,3,100,'Reduces the duration of primary target and group regeneration spells by 0.75 seconds',0,0),
(22303,1002959,3,100,'Increases the healing of the initial tick on your primary target and group regeneration spells by 9%',0,1),
(22304,1002959,4,100,'Reduces the duration of primary target and group regeneration spells by 1 seconds',0,0),
(22305,1002959,4,100,'Increases the healing of the initial tick on your primary target and group regeneration spells by 12%',0,1),
(22306,1002959,5,100,'Reduces the duration of primary target and group regeneration spells by 1.25 seconds',0,0),
(22307,1002959,5,100,'Increases the healing of the initial tick on your primary target and group regeneration spells by 15%',0,1),
(22308,1002959,6,100,'Reduces the duration of primary target and group regeneration spells by 1.5 seconds',0,0),
(22309,1002959,6,100,'Increases the healing of the initial tick on your primary target and group regeneration spells by 18%',0,1),
(22310,1002959,7,100,'Reduces the duration of primary target and group regeneration spells by 1.75 seconds',0,0),
(22311,1002959,7,100,'Increases the healing of the initial tick on your primary target and group regeneration spells by 21%',0,1),
(22312,1002959,8,100,'Reduces the duration of primary target and group regeneration spells by 2 seconds',0,0),
(22313,1002959,8,100,'Increases the healing of the initial tick on your primary target and group regeneration spells by 24%',0,1),
(22314,1002959,9,100,'Reduces the duration of primary target and group regeneration spells by 2.25 seconds',0,0),
(22315,1002959,9,100,'Increases the healing of the initial tick on your primary target and group regeneration spells by 27%',0,1),
(22316,1002959,10,100,'Reduces the duration of primary target and group regeneration spells by 2.5 seconds',0,0),
(22317,1002959,10,100,'Increases the healing of the initial tick on your primary target and group regeneration spells by 30%',0,1),
(22318,1002960,1,100,'Increases Max Health of caster by 3.0%',0,0),
(22319,1002960,2,100,'Increases Max Health of caster by 3.0%',0,0),
(22320,1002961,1,100,'Improves the duration of Champion''s Interception by 1 seconds.',0,0),
(22321,1002961,1,100,'Reduces the base cast time of Champion''s Interception to 1 second',0,1),
(22322,1002961,2,100,'Improves the duration of Champion''s Interception by 2 seconds.',0,0),
(22323,1002961,2,100,'Reduces the base cast time of Champion''s Interception to 0.5 seconds',0,1),
(22324,1002961,3,100,'Improves the duration of Champion''s Interception by 3 seconds.',0,0),
(22325,1002961,3,100,'Champion''s Interception will cast instantly',0,1),
(22326,1002962,1,100,'Increases Mitigation of caster vs arcane damage by 0',0,0),
(22327,1002962,2,100,'Increases Mitigation of caster vs arcane damage by 0',0,0),
(22328,1002963,1,100,'Increases the duration of tradeskilled potions by 15%.',0,0),
(22329,1002963,2,100,'Increases the duration of tradeskilled potions by 15%.',0,0),
(22330,1002964,1,100,'Winds of Retribution will trigger 0.8 times per minute on any offensive attack.',0,0),
(22331,1002964,2,100,'Winds of Retribution will trigger 1.6 times per minute on any offensive attack.',0,0),
(22332,1002964,3,100,'Winds of Retribution will trigger 2.4 times per minute on any offensive attack.',0,0),
(22333,1002965,1,100,'Applies Winds of Vitality.  Lasts for 9.0 seconds.',0,0),
(22334,1002965,1,100,'Increases Max Health of caster by 11.5%',1,1),
(22335,1002965,1,100,'Dispels when taking damage',1,2),
(22336,1002965,1,100,'Applies Winds of Restoration.  Lasts for 9.0 seconds.',0,3),
(22337,1002965,1,100,'Instantly heals 25% of the damage received from the next attack',1,4),
(22338,1002965,1,100,'The healing of this spell cannot be modified except by direct means',1,5),
(22339,1002965,1,100,'Applies Winds of Prevention.  Lasts for 9.0 seconds.',0,6),
(22340,1002965,1,100,'Wards caster against 1072 points of all damage',1,7),
(22341,1002965,1,100,'Dispels when taking damage',1,8),
(22342,1002965,1,100,'These effects have a base 20% chance to trigger and which effect triggers is random. This can only trigger once every 1.5 seconds.',0,9),
(22343,1002965,2,100,'Applies Winds of Vitality.  Lasts for 9.0 seconds.',0,0),
(22344,1002965,2,100,'Increases Max Health of caster by 23.0%',1,1),
(22345,1002965,2,100,'Dispels when taking damage',1,2),
(22346,1002965,2,100,'Applies Winds of Restoration.  Lasts for 9.0 seconds.',0,3),
(22347,1002965,2,100,'Instantly heals 50% of the damage received from the next attack',1,4),
(22348,1002965,2,100,'The healing of this spell cannot be modified except by direct means',1,5),
(22349,1002965,2,100,'Applies Winds of Prevention.  Lasts for 9.0 seconds.',0,6),
(22350,1002965,2,100,'Wards caster against 2144 points of all damage',1,7),
(22351,1002965,2,100,'Dispels when taking damage',1,8),
(22352,1002965,2,100,'These effects have a base 20% chance to trigger and which effect triggers is random. This can only trigger once every 1.5 seconds.',0,9),
(22353,1002965,3,100,'Applies Winds of Vitality.  Lasts for 9.0 seconds.',0,0),
(22354,1002965,3,100,'Increases Max Health of caster by 34.5%',1,1),
(22355,1002965,3,100,'Dispels when taking damage',1,2),
(22356,1002965,3,100,'Applies Winds of Restoration.  Lasts for 9.0 seconds.',0,3),
(22357,1002965,3,100,'Instantly heals 75% of the damage received from the next attack',1,4),
(22358,1002965,3,100,'The healing of this spell cannot be modified except by direct means',1,5),
(22359,1002965,3,100,'Applies Winds of Prevention.  Lasts for 9.0 seconds.',0,6),
(22360,1002965,3,100,'Wards caster against 3408 points of all damage',1,7),
(22361,1002965,3,100,'Dispels when taking damage',1,8),
(22362,1002965,3,100,'These effects have a base 20% chance to trigger and which effect triggers is random. This can only trigger once every 1.5 seconds.',0,9),
(22363,1002966,1,100,'Increases the trigger chance of Winds of Retribution''s defensive triggers by 33%',0,0),
(22364,1002966,2,100,'Increases the trigger chance of Winds of Retribution''s defensive triggers by 66%',0,0),
(22365,1002966,3,100,'Increases the trigger chance of Winds of Retribution''s defensive triggers by 100%',0,0),
(22366,1002967,1,100,'Increases Out-of-Combat Savagery Regen of caster by 1.0',0,0),
(22367,1002967,2,100,'Increases Out-of-Combat Savagery Regen of caster by 2.0',0,0),
(22368,1002967,3,100,'Increases Savagery Regen of caster by 3.0',0,0),
(22369,1002967,4,100,'Increases Savagery Regen of caster by 4.0',0,0),
(22370,1002967,5,100,'Increases Savagery Regen of caster by 5.0',0,0),
(22371,1002967,6,100,'Increases Out-of-Combat Savagery Regen of caster by 6.0',0,0),
(22372,1002967,7,100,'Increases Out-of-Combat Savagery Regen of caster by 7.0',0,0),
(22373,1002967,8,100,'Increases Out-of-Combat Savagery Regen of caster by 8.0',0,0),
(22374,1002967,9,100,'Increases Savagery Regen of caster by 9.0',0,0),
(22375,1002967,10,100,'Increases Out-of-Combat Savagery Regen of caster by 10.0',0,0),
(22376,1002968,1,100,'Increases WIS of caster by 2.5',0,0),
(22377,1002968,2,100,'Increases WIS of caster by 2.5',0,0),
(22378,1002969,1,100,'Increases WIS of caster by 2.5',0,0),
(22379,1002969,2,100,'Increases WIS of caster by 2.5',0,0),
(22380,1002970,1,100,'Increases WIS of caster by 2.5',0,0),
(22381,1002970,2,100,'Increases WIS of caster by 2.5',0,0),
(22382,1002971,1,100,'Adds a second hit to Ralissk''s Perception that inflicts 50% of the base damage of the initial hit',0,0),
(22383,1002971,2,100,'Adds a second hit to Ralissk''s Perception that inflicts 100% of the base damage of the initial hit',0,0),
(22384,1002971,3,100,'Adds a second hit to Ralissk''s Perception that inflicts 150% of the base damage of the initial hit',0,0),
(22385,1002972,1,100,'Increases WIS of caster by 2.5',0,0),
(22386,1002972,2,100,'Increases WIS of caster by 2.5',0,0),
(22387,1002973,1,100,'Increases WIS of caster by 4.0',0,0),
(22388,1002973,2,100,'Increases WIS of caster by 4.0',0,0),
(22389,1002974,1,100,'Reduces the base reuse time of the shaman''s group cure by 1.25 seconds',0,0),
(22390,1002974,2,100,'Reduces the base reuse time of the shaman''s group cure by 2.5 seconds',0,0),
(22391,1002974,3,100,'Reduces the base reuse time of the shaman''s group cure by 3.75 seconds',0,0),
(22392,1002974,4,100,'Reduces the base reuse time of the shaman''s group cure by 5 seconds',0,0),
(22393,1002974,5,100,'Reduces the base reuse time of the shaman''s group cure by 6.25 seconds',0,0),
(22394,1002974,6,100,'Reduces the base reuse time of the shaman''s group cure by 7.5 seconds',0,0),
(22395,1002974,7,100,'Reduces the base reuse time of the shaman''s group cure by 8.75 seconds',0,0),
(22396,1002974,8,100,'Reduces the base reuse time of the shaman''s group cure by 10 seconds',0,0),
(22397,1002975,1,100,'Increases STA of caster by 5.0',0,0),
(22398,1002976,1,100,'Increases Power Regen of caster by 6.0',0,0),
(22399,1002976,2,100,'Increases Power Regen of caster by 6.0',0,0),
(22400,1002977,1,100,'Increases Ministration of caster by 5.0',0,0),
(22401,1002977,2,100,'Increases Ministration of caster by 5.0',0,0),
(22402,1002978,1,100,'Raises the health threshold of Wraithwall to 35%',0,0),
(22403,1002978,2,100,'Raises the health threshold of Wraithwall to 50%',0,0),
(22404,1002978,3,100,'Raises the health threshold of Wraithwall to 65%',0,0),
(22405,1002979,1,100,'Reduces incoming damage to the group by 4% after using Blazing Shot. Taking damage will remove an increment from this effect.',0,0),
(22406,1002979,2,100,'Reduces incoming damage to the group by 8% after using Blazing Shot. Taking damage will remove an increment from this effect.',0,0),
(22407,1002979,3,100,'Reduces incoming damage to the group by 12% after using Blazing Shot. Taking damage will remove an increment from this effect.',0,0),
(22408,1002981,1,100,'Involuntary Gift, Mark of Divinity, Healing Fate and Divine Fate will apply an incremental effect that allows the templar to inflict additional damage when casting damage spells.',0,0),
(22409,1002982,1,100,'Grants the pet a new ability that inflicts disease damage upon their target and siphons a portion of it back as health.',0,0),
(22410,1002982,1,100,'Inflicts 26 - 39 disease damage on target',1,1),
(22411,1002982,1,100,'Heals caster for 16 - 24',1,2),
(22412,1002982,1,100,'Grants the spell Wrath of the Undead Servant.',0,3),
(22413,1002982,1,100,'Inflicts 26 - 39 disease damage on target',1,4),
(22414,1002982,1,100,'Heals caster for 11 - 16',1,5),
(22415,1002983,1,100,'On a healing spell cast this spell may cast Wuoshi''s Barrier on target.  Lasts for 10.0 seconds.  Triggers about 0.2 times per minute. ',0,0),
(22416,1002983,1,100,'Makes caster immune to effects that prevent changing targets',1,1),
(22417,1002983,1,100,'Makes Caster immune to taunt effects.',1,2),
(22418,1002983,1,100,'When damaged with a melee weapon this spell will cast Wuoshi''s Barrier on target''s attacker.  ',1,3),
(22419,1002983,1,100,'Inflicts 2 divine damage on target',2,4),
(22420,1002983,2,100,'On a healing spell cast this spell may cast Wuoshi''s Barrier on target.  Lasts for 10.0 seconds.  Triggers about 0.4 times per minute. ',0,0),
(22421,1002983,2,100,'Makes caster immune to effects that prevent changing targets',1,1),
(22422,1002983,2,100,'Makes Caster immune to taunt effects.',1,2),
(22423,1002983,2,100,'When damaged with a melee weapon this spell will cast Wuoshi''s Barrier on target''s attacker.  ',1,3),
(22424,1002983,2,100,'Inflicts 94 - 114 divine damage on target',2,4),
(22425,1002983,3,100,'On a healing spell cast this spell may cast Wuoshi''s Barrier on target.  Lasts for 10.0 seconds.  Triggers about 0.6 times per minute. ',0,0),
(22426,1002983,3,100,'Makes caster immune to effects that prevent changing targets',1,1),
(22427,1002983,3,100,'Makes Caster immune to taunt effects.',1,2),
(22428,1002983,3,100,'When damaged with a melee weapon this spell will cast Wuoshi''s Barrier on target''s attacker.  ',1,3),
(22429,1002983,3,100,'Inflicts 125 - 152 divine damage on target',2,4),
(22430,1002983,4,100,'On a healing spell cast this spell may cast Wuoshi''s Barrier on target.  Lasts for 10.0 seconds.  Triggers about 0.8 times per minute. ',0,0),
(22431,1002983,4,100,'Makes caster immune to effects that prevent changing targets',1,1),
(22432,1002983,4,100,'Makes Caster immune to taunt effects.',1,2),
(22433,1002983,4,100,'When damaged with a melee weapon this spell will cast Wuoshi''s Barrier on target''s attacker.  ',1,3),
(22434,1002983,4,100,'Inflicts 125 - 152 divine damage on target',2,4),
(22435,1002983,5,100,'On a healing spell cast this spell may cast Wuoshi''s Barrier on target.  Lasts for 10.0 seconds.  Triggers about 1.0 times per minute. ',0,0),
(22436,1002983,5,100,'Makes caster immune to effects that prevent changing targets',1,1),
(22437,1002983,5,100,'Makes Caster immune to taunt effects.',1,2),
(22438,1002983,5,100,'When damaged with a melee weapon this spell will cast Wuoshi''s Barrier on target''s attacker.  ',1,3),
(22439,1002983,5,100,'Inflicts 94 - 114 divine damage on target',2,4),
(22440,1002983,6,100,'On a healing spell cast this spell may cast Wuoshi''s Barrier on target.  Lasts for 10.0 seconds.  Triggers about 1.2 times per minute. ',0,0),
(22441,1002983,6,100,'Makes caster immune to effects that prevent changing targets',1,1),
(22442,1002983,6,100,'Makes Caster immune to taunt effects.',1,2),
(22443,1002983,6,100,'When damaged with a melee weapon this spell will cast Wuoshi''s Barrier on target''s attacker.  ',1,3),
(22444,1002983,6,100,'Inflicts 94 - 114 divine damage on target',2,4),
(22445,1002983,7,100,'On a healing spell cast this spell may cast Wuoshi''s Barrier on target.  Lasts for 10.0 seconds.  Triggers about 1.4 times per minute. ',0,0),
(22446,1002983,7,100,'Makes caster immune to effects that prevent changing targets',1,1),
(22447,1002983,7,100,'Makes Caster immune to taunt effects.',1,2),
(22448,1002983,7,100,'When damaged with a melee weapon this spell will cast Wuoshi''s Barrier on target''s attacker.  ',1,3),
(22449,1002983,7,100,'Inflicts 94 - 114 divine damage on target',2,4),
(22450,1002983,8,100,'On a healing spell cast this spell may cast Wuoshi''s Barrier on target.  Lasts for 10.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(22451,1002983,8,100,'Makes caster immune to effects that prevent changing targets',1,1),
(22452,1002983,8,100,'Makes Caster immune to taunt effects.',1,2),
(22453,1002983,8,100,'When damaged with a melee weapon this spell will cast Wuoshi''s Barrier on target''s attacker.  ',1,3),
(22454,1002983,8,100,'Inflicts 125 - 152 divine damage on target',2,4),
(22455,1002983,9,100,'On a healing spell cast this spell may cast Wuoshi''s Barrier on target.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',0,0),
(22456,1002983,9,100,'Makes caster immune to effects that prevent changing targets',1,1),
(22457,1002983,9,100,'Makes Caster immune to taunt effects.',1,2),
(22458,1002983,9,100,'When damaged with a melee weapon this spell will cast Wuoshi''s Barrier on target''s attacker.  ',1,3),
(22459,1002983,9,100,'Inflicts 94 - 114 divine damage on target',2,4),
(22460,1002983,10,100,'On a healing spell cast this spell may cast Wuoshi''s Barrier on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(22461,1002983,10,100,'Makes caster immune to effects that prevent changing targets',1,1),
(22462,1002983,10,100,'Makes Caster immune to taunt effects.',1,2),
(22463,1002983,10,100,'When damaged with a melee weapon this spell will cast Wuoshi''s Barrier on target''s attacker.  ',1,3),
(22464,1002983,10,100,'Inflicts 94 - 114 divine damage on target',2,4),
(22465,1002984,1,100,'+5 Metalshaping',0,0),
(22467,1002985,1,100,'Increases the Stamina Bonus of Caster by 100.0',0,0),
(22468,1002985,2,100,'Increases the Stamina Bonus of Caster by 200.0',0,0),
(22469,1002985,3,100,'Increases the Stamina Bonus of Caster by 300.0',0,0),
(22470,1002986,1,100,'Reduces the power cost of Consecrate and allows it to restore 1.5% (.5% in PVP) power every tick. With this ability, Consecrate will not cancel when the paladin runs out of power.',0,0),
(22471,1002986,1,100,'Cannot be modified except by direct means',0,1),
(22472,40000,1,100,'Decreases Defense of caster by 1.8',0,0),
(22473,40000,1,100,'Increases Slashing, Piercing and Crushing of caster by 2.4',0,1),
(22474,40000,1,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(22475,40000,1,100,'Increases the amount of Potency gained by 20%',0,3),
(22476,40000,2,100,'Decreases Defense of caster by 1.8',0,0),
(22477,40000,2,100,'Increases Slashing, Piercing and Crushing of caster by 2.6',0,1),
(22478,40000,2,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(22479,40000,2,100,'Increases the amount of Potency gained by 20%',0,3),
(22480,40000,3,100,'Decreases Defense of caster by 1.8',0,0),
(22481,40000,3,100,'Increases Slashing, Piercing and Crushing of caster by 2.7',0,1),
(22482,40000,3,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(22483,40000,3,100,'Increases the amount of Potency gained by 20%',0,3),
(22484,40000,4,100,'Decreases Defense of caster by 1.8',0,0),
(22485,40000,4,100,'Increases Slashing, Piercing and Crushing of caster by 3.0',0,1),
(22486,40000,4,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(22487,40000,4,100,'Increases the amount of Potency gained by 20%',0,3),
(22488,40000,5,100,'Decreases Defense of caster by 1.8',0,0),
(22489,40000,5,100,'Increases Slashing, Piercing and Crushing of caster by 3.2',0,1),
(22490,40000,5,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(22491,40000,5,100,'Increases the amount of Potency gained by 20%',0,3),
(22492,40000,7,100,'Decreases Defense of caster by 1.8',0,0),
(22493,40000,7,100,'Increases Slashing, Piercing and Crushing of caster by 4.2',0,1),
(22494,40000,7,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(22495,40000,7,100,'Increases the amount of Potency gained by 20%',0,3),
(22496,40000,9,100,'Decreases Defense of caster by 1.8',0,0),
(22497,40000,9,100,'Increases Slashing, Piercing and Crushing of caster by 4.3',0,1),
(22498,40000,9,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(22499,40000,9,100,'Increases the amount of Potency gained by 20%',0,3),
(22500,40001,1,100,'Decreases Defense of caster by 4.8',0,0),
(22501,40001,1,100,'Increases Slashing, Piercing and Crushing of caster by 6.5',0,1),
(22502,40001,1,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(22503,40001,1,100,'Increases the amount of Potency gained by 20%',0,3),
(22504,40001,2,100,'Decreases Defense of caster by 4.8',0,0),
(22505,40001,2,100,'Increases Slashing, Piercing and Crushing of caster by 6.8',0,1),
(22506,40001,2,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(22507,40001,2,100,'Increases the amount of Potency gained by 20%',0,3),
(22508,40001,3,100,'Decreases Defense of caster by 4.8',0,0),
(22509,40001,3,100,'Increases Slashing, Piercing and Crushing of caster by 7.2',0,1),
(22510,40001,3,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(22511,40001,3,100,'Increases the amount of Potency gained by 20%',0,3),
(22512,40001,4,100,'Decreases Defense of caster by 4.8',0,0),
(22513,40001,4,100,'Increases Slashing, Piercing and Crushing of caster by 7.9',0,1),
(22514,40001,4,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(22515,40001,4,100,'Increases the amount of Potency gained by 20%',0,3),
(22516,40001,5,100,'Decreases Defense of caster by 4.8',0,0),
(22517,40001,5,100,'Increases Slashing, Piercing and Crushing of caster by 8.6',0,1),
(22518,40001,5,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(22519,40001,5,100,'Increases the amount of Potency gained by 20%',0,3),
(22520,40001,7,100,'Decreases Defense of caster by 4.8',0,0),
(22521,40001,7,100,'Increases Slashing, Piercing and Crushing of caster by 11.1',0,1),
(22522,40001,7,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(22523,40001,7,100,'Increases the amount of Potency gained by 20%',0,3),
(22524,40001,9,100,'Decreases Defense of caster by 4.8',0,0),
(22525,40001,9,100,'Increases Slashing, Piercing and Crushing of caster by 11.5',0,1),
(22526,40001,9,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(22527,40001,9,100,'Increases the amount of Potency gained by 20%',0,3),
(22528,40002,1,100,'Decreases Defense of caster by 10.8',0,0),
(22529,40002,1,100,'Increases Slashing, Piercing and Crushing of caster by 14.6',0,1),
(22530,40002,1,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(22531,40002,1,100,'Increases the amount of Potency gained by 20%',0,3),
(22532,40002,2,100,'Decreases Defense of caster by 10.8',0,0),
(22533,40002,2,100,'Increases Slashing, Piercing and Crushing of caster by 15.4',0,1),
(22534,40002,2,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(22535,40002,2,100,'Increases the amount of Potency gained by 20%',0,3),
(22536,40002,3,100,'Decreases Defense of caster by 10.8',0,0),
(22537,40002,3,100,'Increases Slashing, Piercing and Crushing of caster by 16.2',0,1),
(22538,40002,3,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(22539,40002,3,100,'Increases the amount of Potency gained by 20%',0,3),
(22540,40002,4,100,'Decreases Defense of caster by 10.8',0,0),
(22541,40002,4,100,'Increases Slashing, Piercing and Crushing of caster by 17.8',0,1),
(22542,40002,4,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(22543,40002,4,100,'Increases the amount of Potency gained by 20%',0,3),
(22544,40002,5,100,'Decreases Defense of caster by 10.8',0,0),
(22545,40002,5,100,'Increases Slashing, Piercing and Crushing of caster by 19.4',0,1),
(22546,40002,5,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(22547,40002,5,100,'Increases the amount of Potency gained by 20%',0,3),
(22548,40002,7,100,'Decreases Defense of caster by 10.8',0,0),
(22549,40002,7,100,'Increases Slashing, Piercing and Crushing of caster by 24.9',0,1),
(22550,40002,7,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(22551,40002,7,100,'Increases the amount of Potency gained by 20%',0,3),
(22552,40002,9,100,'Decreases Defense of caster by 10.8',0,0),
(22553,40002,9,100,'Increases Slashing, Piercing and Crushing of caster by 25.9',0,1),
(22554,40002,9,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(22555,40002,9,100,'Increases the amount of Potency gained by 20%',0,3),
(22556,40003,1,100,'Decreases Defense of caster by 15.0',0,0),
(22557,40003,1,100,'Increases Slashing, Piercing and Crushing of caster by 20.3',0,1),
(22558,40003,1,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(22559,40003,1,100,'Increases the amount of Potency gained by 20%',0,3),
(22560,40003,2,100,'Decreases Defense of caster by 15.0',0,0),
(22561,40003,2,100,'Increases Slashing, Piercing and Crushing of caster by 21.4',0,1),
(22562,40003,2,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(22563,40003,2,100,'Increases the amount of Potency gained by 20%',0,3),
(22564,40003,3,100,'Decreases Defense of caster by 15.0',0,0),
(22565,40003,3,100,'Increases Slashing, Piercing and Crushing of caster by 22.5',0,1),
(22566,40003,3,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(22567,40003,3,100,'Increases the amount of Potency gained by 20%',0,3),
(22568,40003,4,100,'Decreases Defense of caster by 15.0',0,0),
(22569,40003,4,100,'Increases Slashing, Piercing and Crushing of caster by 24.8',0,1),
(22570,40003,4,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(22571,40003,4,100,'Increases the amount of Potency gained by 20%',0,3),
(22572,40003,5,100,'Decreases Defense of caster by 15.0',0,0),
(22573,40003,5,100,'Increases Slashing, Piercing and Crushing of caster by 27.0',0,1),
(22574,40003,5,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(22575,40003,5,100,'Increases the amount of Potency gained by 20%',0,3),
(22576,40003,7,100,'Decreases Defense of caster by 15.0',0,0),
(22577,40003,7,100,'Increases Slashing, Piercing and Crushing of caster by 34.6',0,1),
(22578,40003,7,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(22579,40003,7,100,'Increases the amount of Potency gained by 20%',0,3),
(22580,40003,9,100,'Decreases Defense of caster by 15.0',0,0),
(22581,40003,9,100,'Increases Slashing, Piercing and Crushing of caster by 36.0',0,1),
(22582,40003,9,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(22583,40003,9,100,'Increases the amount of Potency gained by 20%',0,3),
(22584,40004,1,100,'Decreases Defense of caster by 19.2',0,0),
(22585,40004,1,100,'Increases Slashing, Piercing and Crushing of caster by 25.9',0,1),
(22586,40004,1,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(22587,40004,1,100,'Increases the amount of Potency gained by 20%',0,3),
(22588,40004,2,100,'Decreases Defense of caster by 19.2',0,0),
(22589,40004,2,100,'Increases Slashing, Piercing and Crushing of caster by 27.4',0,1),
(22590,40004,2,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(22591,40004,2,100,'Increases the amount of Potency gained by 20%',0,3),
(22592,40004,3,100,'Decreases Defense of caster by 19.2',0,0),
(22593,40004,3,100,'Increases Slashing, Piercing and Crushing of caster by 28.8',0,1),
(22594,40004,3,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(22595,40004,3,100,'Increases the amount of Potency gained by 20%',0,3),
(22596,40004,4,100,'Decreases Defense of caster by 19.2',0,0),
(22597,40004,4,100,'Increases Slashing, Piercing and Crushing of caster by 31.7',0,1),
(22598,40004,4,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(22599,40004,4,100,'Increases the amount of Potency gained by 20%',0,3),
(22600,40004,5,100,'Decreases Defense of caster by 19.2',0,0),
(22601,40004,5,100,'Increases Slashing, Piercing and Crushing of caster by 34.6',0,1),
(22602,40004,5,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(22603,40004,5,100,'Increases the amount of Potency gained by 20%',0,3),
(22604,40004,7,100,'Decreases Defense of caster by 19.2',0,0),
(22605,40004,7,100,'Increases Slashing, Piercing and Crushing of caster by 44.4',0,1),
(22606,40004,7,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(22607,40004,7,100,'Increases the amount of Potency gained by 20%',0,3),
(22608,40004,9,100,'Decreases Defense of caster by 19.2',0,0),
(22609,40004,9,100,'Increases Slashing, Piercing and Crushing of caster by 46.1',0,1),
(22610,40004,9,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(22611,40004,9,100,'Increases the amount of Potency gained by 20%',0,3),
(22612,40005,1,100,'Decreases Defense of caster by 23.4',0,0),
(22613,40005,1,100,'Increases Slashing, Piercing and Crushing of caster by 31.6',0,1),
(22614,40005,1,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(22615,40005,1,100,'Increases the amount of Potency gained by 20%',0,3),
(22616,40005,2,100,'Decreases Defense of caster by 23.4',0,0),
(22617,40005,2,100,'Increases Slashing, Piercing and Crushing of caster by 33.3',0,1),
(22618,40005,2,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(22619,40005,2,100,'Increases the amount of Potency gained by 20%',0,3),
(22620,40005,3,100,'Decreases Defense of caster by 23.4',0,0),
(22621,40005,3,100,'Increases Slashing, Piercing and Crushing of caster by 35.1',0,1),
(22622,40005,3,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(22623,40005,3,100,'Increases the amount of Potency gained by 20%',0,3),
(22624,40005,4,100,'Decreases Defense of caster by 23.4',0,0),
(22625,40005,4,100,'Increases Slashing, Piercing and Crushing of caster by 38.6',0,1),
(22626,40005,4,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(22627,40005,4,100,'Increases the amount of Potency gained by 20%',0,3),
(22628,40005,5,100,'Decreases Defense of caster by 23.4',0,0),
(22629,40005,5,100,'Increases Slashing, Piercing and Crushing of caster by 42.1',0,1),
(22630,40005,5,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(22631,40005,5,100,'Increases the amount of Potency gained by 20%',0,3),
(22632,40005,7,100,'Decreases Defense of caster by 23.4',0,0),
(22633,40005,7,100,'Increases Slashing, Piercing and Crushing of caster by 54.1',0,1),
(22634,40005,7,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(22635,40005,7,100,'Increases the amount of Potency gained by 20%',0,3),
(22636,40005,9,100,'Decreases Defense of caster by 23.4',0,0),
(22637,40005,9,100,'Increases Slashing, Piercing and Crushing of caster by 56.2',0,1),
(22638,40005,9,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(22639,40005,9,100,'Increases the amount of Potency gained by 20%',0,3),
(22640,40006,1,100,'Decreases Defense of caster by 27.4',0,0),
(22641,40006,1,100,'Increases Slashing, Piercing and Crushing of caster by 37.8',0,1),
(22642,40006,1,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(22643,40006,1,100,'Increases the amount of Potency gained by 20%',0,3),
(22644,40006,4,100,'Decreases Defense of caster by 27.4',0,0),
(22645,40006,4,100,'Increases Slashing, Piercing and Crushing of caster by 46.2',0,1),
(22646,40006,4,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(22647,40006,4,100,'Increases the amount of Potency gained by 20%',0,3),
(22648,40006,5,100,'Decreases Defense of caster by 27.4',0,0),
(22649,40006,5,100,'Increases Slashing, Piercing and Crushing of caster by 50.4',0,1),
(22650,40006,5,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(22651,40006,5,100,'Increases the amount of Potency gained by 20%',0,3),
(22652,40006,7,100,'Decreases Defense of caster by 27.4',0,0),
(22653,40006,7,100,'Increases Slashing, Piercing and Crushing of caster by 64.7',0,1),
(22654,40006,7,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(22655,40006,7,100,'Increases the amount of Potency gained by 20%',0,3),
(22656,40006,9,100,'Decreases Defense of caster by 27.4',0,0),
(22657,40006,9,100,'Increases Slashing, Piercing and Crushing of caster by 67.2',0,1),
(22658,40006,9,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(22659,40006,9,100,'Increases the amount of Potency gained by 20%',0,3),
(22660,40007,1,100,'Increases Potency of caster by 1.4%',0,0),
(22661,40007,1,100,'Decreases Defense of caster by 31.4',0,1),
(22662,40007,1,100,'Increases Slashing, Piercing and Crushing of caster by 44.5',0,2),
(22663,40007,1,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(22664,40007,4,100,'Increases Potency of caster by 1.8%',0,0),
(22665,40007,4,100,'Decreases Defense of caster by 31.4',0,1),
(22666,40007,4,100,'Increases Slashing, Piercing and Crushing of caster by 54.5',0,2),
(22667,40007,4,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(22668,40007,5,100,'Increases Potency of caster by 1.9%',0,0),
(22669,40007,5,100,'Decreases Defense of caster by 31.4',0,1),
(22670,40007,5,100,'Increases Slashing, Piercing and Crushing of caster by 59.4',0,2),
(22671,40007,5,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(22672,40007,7,100,'Increases Potency of caster by 2.5%',0,0),
(22673,40007,7,100,'Decreases Defense of caster by 31.4',0,1),
(22674,40007,7,100,'Increases Slashing, Piercing and Crushing of caster by 76.2',0,2),
(22675,40007,7,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(22676,40007,9,100,'Increases Potency of caster by 2.6%',0,0),
(22677,40007,9,100,'Decreases Defense of caster by 31.4',0,1),
(22678,40007,9,100,'Increases Slashing, Piercing and Crushing of caster by 79.2',0,2),
(22679,40007,9,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(22680,70000,2,100,'Interrupts target encounter',0,0),
(22681,70000,2,100,'Increases Threat to target encounter by 369 - 451 ',0,1),
(22682,70000,3,100,'Interrupts target encounter',0,0),
(22683,70000,3,100,'Increases Threat to target encounter by 388 - 475 ',0,1),
(22684,70000,4,100,'Interrupts target encounter',0,0),
(22685,70000,4,100,'Increases Threat to target encounter by 427 - 522 ',0,1),
(22686,70000,5,100,'Interrupts target encounter',0,0),
(22687,70000,5,100,'Increases Threat to target encounter by 466 - 570 ',0,1),
(22688,70000,7,100,'Interrupts target encounter',0,0),
(22689,70000,7,100,'Increases Threat to target encounter by 598 - 731 ',0,1),
(22690,70000,9,100,'Interrupts target encounter',0,0),
(22691,70000,9,100,'Increases Threat to target encounter by 622 - 760 ',0,1),
(22692,70001,1,100,'Fears target',0,0),
(22693,70001,1,100,'Increases Threat to target encounter by 967 - 1,182 ',0,1),
(22694,70001,2,100,'Fears target',0,0),
(22695,70001,2,100,'Increases Threat to target encounter by 1,021 - 1,248 ',0,1),
(22696,70001,3,100,'Fears target',0,0),
(22697,70001,3,100,'Increases Threat to target encounter by 1,075 - 1,296 ',0,1),
(22698,70001,4,100,'Fears target',0,0),
(22699,70001,4,100,'Increases Threat to target encounter by 1,182 - 1,372 ',0,1),
(22700,70001,5,100,'Fears target',0,0),
(22701,70001,5,100,'Increases Threat to target encounter by 1,283 - 1,448 ',0,1),
(22702,70001,7,100,'Fears target',0,0),
(22703,70001,7,100,'Increases Threat to target encounter by 1,493 - 1,705 ',0,1),
(22704,70001,9,100,'Fears target',0,0),
(22705,70001,9,100,'Increases Threat to target encounter by 1,530 - 1,751 ',0,1),
(22708,70002,1,100,'Interrupts target encounter',0,0),
(22709,70002,1,100,'Increases Threat to target encounter by 1,535 - 1,757 ',0,1),
(22710,70002,2,100,'Interrupts target encounter',0,0),
(22711,70002,2,100,'Increases Threat to target encounter by 1,591 - 1,824 ',0,1),
(22712,70002,3,100,'Interrupts target encounter',0,0),
(22713,70002,3,100,'Increases Threat to target encounter by 1,646 - 1,892 ',0,1),
(22714,70002,4,100,'Interrupts target encounter',0,0),
(22715,70002,4,100,'Increases Threat to target encounter by 1,757 - 2,027 ',0,1),
(22716,70002,5,100,'Interrupts target encounter',0,0),
(22717,70002,5,100,'Increases Threat to target encounter by 1,867 - 2,162 ',0,1),
(22718,70002,7,100,'Interrupts target encounter',0,0),
(22719,70002,7,100,'Increases Threat to target encounter by 2,244 - 2,622 ',0,1),
(22720,70002,9,100,'Interrupts target encounter',0,0),
(22721,70002,9,100,'Increases Threat to target encounter by 2,310 - 2,703 ',0,1),
(22722,70003,1,100,'Interrupts target encounter',0,0),
(22723,70003,1,100,'Increases Threat to target encounter by 2,071 - 2,411 ',0,1),
(22724,70003,2,100,'Interrupts target encounter',0,0),
(22725,70003,2,100,'Increases Threat to target encounter by 2,156 - 2,515 ',0,1),
(22726,70003,3,100,'Interrupts target encounter',0,0),
(22727,70003,3,100,'Increases Threat to target encounter by 2,241 - 2,619 ',0,1),
(22728,70003,4,100,'Interrupts target encounter',0,0),
(22729,70003,4,100,'Increases Threat to target encounter by 2,411 - 2,827 ',0,1),
(22730,70003,5,100,'Interrupts target encounter',0,0),
(22731,70003,5,100,'Increases Threat to target encounter by 2,581 - 3,035 ',0,1),
(22732,70003,7,100,'Interrupts target encounter',0,0),
(22733,70003,7,100,'Increases Threat to target encounter by 3,160 - 3,742 ',0,1),
(22734,70003,9,100,'Interrupts target encounter',0,0),
(22735,70003,9,100,'Increases Threat to target encounter by 3,262 - 3,867 ',0,1),
(22738,70004,1,100,'Interrupts target encounter',0,0),
(22739,70004,1,100,'Increases Threat to target encounter by 2,672 - 3,146 ',0,1),
(22740,70004,2,100,'Interrupts target encounter',0,0),
(22741,70004,2,100,'Increases Threat to target encounter by 2,791 - 3,291 ',0,1),
(22742,70004,3,100,'Interrupts target encounter',0,0),
(22743,70004,3,100,'Increases Threat to target encounter by 2,909 - 3,436 ',0,1),
(22744,70004,4,100,'Interrupts target encounter',0,0),
(22745,70004,4,100,'Increases Threat to target encounter by 3,146 - 3,725 ',0,1),
(22746,70004,5,100,'Interrupts target encounter',0,0),
(22747,70004,5,100,'Increases Threat to target encounter by 3,383 - 4,015 ',0,1),
(22748,70004,7,100,'Interrupts target encounter',0,0),
(22749,70004,7,100,'Increases Threat to target encounter by 4,189 - 4,999 ',0,1),
(22750,70004,9,100,'Interrupts target encounter',0,0),
(22751,70004,9,100,'Increases Threat to target encounter by 4,331 - 5,173 ',0,1),
(22754,70005,1,100,'Interrupts target encounter',0,0),
(22755,70005,1,100,'Increases Threat to target encounter by 3,300 - 3,914 ',0,1),
(22756,70005,2,100,'Interrupts target encounter',0,0),
(22757,70005,2,100,'Increases Threat to target encounter by 3,454 - 4,101 ',0,1),
(22758,70005,3,100,'Interrupts target encounter',0,0),
(22759,70005,3,100,'Increases Threat to target encounter by 3,607 - 4,289 ',0,1),
(22760,70005,4,100,'Interrupts target encounter',0,0),
(22761,70005,4,100,'Increases Threat to target encounter by 3,914 - 4,664 ',0,1),
(22762,70005,5,100,'Interrupts target encounter',0,0),
(22763,70005,5,100,'Increases Threat to target encounter by 4,220 - 5,038 ',0,1),
(22764,70005,7,100,'Interrupts target encounter',0,0),
(22765,70005,7,100,'Increases Threat to target encounter by 5,263 - 6,313 ',0,1),
(22766,70005,9,100,'Interrupts target encounter',0,0),
(22767,70005,9,100,'Increases Threat to target encounter by 5,447 - 6,538 ',0,1),
(22768,70006,1,100,'Interrupts target encounter',0,0),
(22769,70006,1,100,'Increases Threat to target encounter by 3,909 - 4,658 ',0,1),
(22770,70006,4,100,'Interrupts target encounter',0,0),
(22771,70006,4,100,'Increases Threat to target encounter by 4,658 - 5,573 ',0,1),
(22772,70006,5,100,'Interrupts target encounter',0,0),
(22773,70006,5,100,'Increases Threat to target encounter by 5,032 - 6,030 ',0,1),
(22774,70006,7,100,'Interrupts target encounter',0,0),
(22775,70006,7,100,'Increases Threat to target encounter by 6,305 - 7,586 ',0,1),
(22776,70006,9,100,'Interrupts target encounter',0,0),
(22777,70006,9,100,'Increases Threat to target encounter by 6,530 - 7,861 ',0,1),
(22778,70007,1,100,'Interrupts target encounter',0,0),
(22779,70007,1,100,'Increases Threat to target encounter by 4,517 - 5,401 ',0,1),
(22780,70007,4,100,'Interrupts target encounter',0,0),
(22781,70007,4,100,'Increases Threat to target encounter by 5,401 - 6,482 ',0,1),
(22782,70007,5,100,'Interrupts target encounter',0,0),
(22783,70007,5,100,'Increases Threat to target encounter by 5,843 - 7,022 ',0,1),
(22784,70007,7,100,'Interrupts target encounter',0,0),
(22785,70007,7,100,'Increases Threat to target encounter by 7,346 - 8,859 ',0,1),
(22786,70007,9,100,'Interrupts target encounter',0,0),
(22787,70007,9,100,'Increases Threat to target encounter by 7,611 - 9,183 ',0,1),
(22788,2000000,1,100,'Applies Accelerated on termination.  Lasts for 17.6 seconds.',0,0),
(22789,2000000,1,100,'Increases Haste of caster by 22.5',1,1),
(22790,2000000,1,100,'Increases Ability Casting Speed of caster by 25.0%',1,2),
(22791,2000000,1,100,'Increases Ability Recovery Speed of caster by 25.0%',1,3),
(22792,2000000,1,100,'Inflicts 346 - 577 melee damage on target',0,4),
(22793,2000000,1,100,'When a combat art is used this spell will cast Acceleration Counter on target.  ',0,5),
(22794,2000000,1,100,'Increases Acceleration Counter by 1.',1,6),
(22795,2000000,1,100,'Grants a total of 3 triggers of the spell.',1,7),
(22796,2000000,2,100,'Applies Accelerated on termination.  Lasts for 19.0 seconds.',0,0),
(22797,2000000,2,100,'Increases Haste of caster by 23.8',1,1),
(22798,2000000,2,100,'Increases Ability Casting Speed of caster by 25.0%',1,2),
(22799,2000000,2,100,'Increases Ability Recovery Speed of caster by 25.0%',1,3),
(22800,2000000,2,100,'Inflicts 346 - 577 melee damage on target',0,4),
(22801,2000000,2,100,'When a combat art is used this spell will cast Acceleration Counter on target.  ',0,5),
(22802,2000000,2,100,'Increases Acceleration Counter by 1.',1,6),
(22803,2000000,2,100,'Grants a total of 3 triggers of the spell.',1,7),
(22804,2000000,3,100,'Applies Accelerated on termination.  Lasts for 20.0 seconds.',0,0),
(22805,2000000,3,100,'Increases Haste of caster by 25.0',1,1),
(22806,2000000,3,100,'Increases Ability Casting Speed of caster by 25.0%',1,2),
(22807,2000000,3,100,'Increases Ability Recovery Speed of caster by 25.0%',1,3),
(22808,2000000,3,100,'Inflicts 346 - 577 melee damage on target',0,4),
(22809,2000000,3,100,'When a combat art is used this spell will cast Acceleration Counter on target.  ',0,5),
(22810,2000000,3,100,'Increases Acceleration Counter by 1.',1,6),
(22811,2000000,3,100,'Grants a total of 3 triggers of the spell.',1,7),
(22812,2000000,4,100,'Applies Accelerated on termination.  Lasts for 22.0 seconds.',0,0),
(22813,2000000,4,100,'Increases Attack Speed of caster by 27.5',1,1),
(22814,2000000,4,100,'Increases Ability Casting Speed of caster by 25.0%',1,2),
(22815,2000000,4,100,'Increases Ability Recovery Speed of caster by 25.0%',1,3),
(22816,2000000,4,100,'Inflicts 259 - 433 melee damage on target',0,4),
(22817,2000000,4,100,'When a combat art is used this spell will cast Acceleration Counter on target.  ',0,5),
(22818,2000000,4,100,'Increases Acceleration Counter by 1.',1,6),
(22819,2000000,4,100,'Grants a total of 3 triggers of the spell.',1,7),
(22820,2000000,5,100,'Applies Accelerated on termination.  Lasts for 24.0 seconds.',0,0),
(22821,2000000,5,100,'Increases Haste of caster by 30.0',1,1),
(22822,2000000,5,100,'Increases Ability Casting Speed of caster by 25.0%',1,2),
(22823,2000000,5,100,'Increases Ability Recovery Speed of caster by 25.0%',1,3),
(22824,2000000,5,100,'Inflicts 346 - 577 melee damage on target',0,4),
(22825,2000000,5,100,'When a combat art is used this spell will cast Acceleration Counter on target.  ',0,5),
(22826,2000000,5,100,'Increases Acceleration Counter by 1.',1,6),
(22827,2000000,5,100,'Grants a total of 3 triggers of the spell.',1,7),
(22828,2000000,6,100,'Applies Accelerated on termination.  Lasts for 26.0 seconds.',0,0),
(22829,2000000,6,100,'Increases Attack Speed of caster by 32.5',1,1),
(22830,2000000,6,100,'Increases Ability Casting Speed of caster by 25.0%',1,2),
(22831,2000000,6,100,'Increases Ability Recovery Speed of caster by 25.0%',1,3),
(22832,2000000,6,100,'Inflicts 259 - 433 melee damage on target',0,4),
(22833,2000000,6,100,'When a combat art is used this spell will cast Acceleration Counter on target.  ',0,5),
(22834,2000000,6,100,'Increases Acceleration Counter by 1.',1,6),
(22835,2000000,6,100,'Grants a total of 3 triggers of the spell.',1,7),
(22836,2000000,7,100,'Applies Accelerated on termination.  Lasts for 28.0 seconds.',0,0),
(22837,2000000,7,100,'Increases Attack Speed of caster by 38.5',1,1),
(22838,2000000,7,100,'Increases Ability Casting Speed of caster by 25.0%',1,2),
(22839,2000000,7,100,'Increases Ability Recovery Speed of caster by 25.0%',1,3),
(22840,2000000,7,100,'Inflicts 346 - 577 melee damage on target',0,4),
(22841,2000000,7,100,'When a combat art is used this spell will cast Acceleration Counter on target.  ',0,5),
(22842,2000000,7,100,'Increases Acceleration Counter by 1.',1,6),
(22843,2000000,7,100,'Grants a total of 3 triggers of the spell.',1,7),
(22844,2000000,8,100,'Applies Accelerated on termination.  Lasts for 30.0 seconds.',0,0),
(22845,2000000,8,100,'Increases Haste of caster by 38.7',1,1),
(22846,2000000,8,100,'Increases Ability Casting Speed of caster by 25.0%',1,2),
(22847,2000000,8,100,'Increases Ability Recovery Speed of caster by 25.0%',1,3),
(22848,2000000,8,100,'Inflicts 346 - 577 melee damage on target',0,4),
(22849,2000000,8,100,'When a combat art is used this spell will cast Acceleration Counter on target.  ',0,5),
(22850,2000000,8,100,'Increases Acceleration Counter by 1.',1,6),
(22851,2000000,8,100,'Grants a total of 3 triggers of the spell.',1,7),
(22852,2000000,9,100,'Applies Accelerated on termination.  Lasts for 32.0 seconds.',0,0),
(22853,2000000,9,100,'Increases Haste of caster by 40.0',1,1),
(22854,2000000,9,100,'Increases Ability Casting Speed of caster by 25.0%',1,2),
(22855,2000000,9,100,'Increases Ability Recovery Speed of caster by 25.0%',1,3),
(22856,2000000,9,100,'Inflicts 346 - 577 melee damage on target',0,4),
(22857,2000000,9,100,'When a combat art is used this spell will cast Acceleration Counter on target.  ',0,5),
(22858,2000000,9,100,'Increases Acceleration Counter by 1.',1,6),
(22859,2000000,9,100,'Grants a total of 3 triggers of the spell.',1,7),
(22860,2000000,10,100,'Applies Accelerated on termination.  Lasts for 33.0 seconds.',0,0),
(22861,2000000,10,100,'Increases Haste of caster by 42.0',1,1),
(22862,2000000,10,100,'Increases Ability Casting Speed of caster by 25.0%',1,2),
(22863,2000000,10,100,'Increases Ability Recovery Speed of caster by 25.0%',1,3),
(22864,2000000,10,100,'Inflicts 346 - 577 melee damage on target',0,4),
(22865,2000000,10,100,'When a combat art is used this spell will cast Acceleration Counter on target.  ',0,5),
(22866,2000000,10,100,'Increases Acceleration Counter by 1.',1,6),
(22867,2000000,10,100,'Grants a total of 3 triggers of the spell.',1,7),
(22868,40008,1,100,'Applies Lost Adrenaline on termination.  Lasts for 30.0 seconds.',0,0),
(22869,40008,1,100,'Drains power instantly and every 3 seconds.',1,1),
(22870,40008,1,100,'Cannot be modified except by direct means',1,2),
(22871,40008,1,100,'50% of all damage received by the caster is instantly regenerated.',0,3),
(22872,40008,1,100,'Adrenaline can only be used while berserk!',0,4),
(22873,40008,2,100,'Applies Lost Adrenaline on termination.  Lasts for 30.0 seconds.',0,0),
(22874,40008,2,100,'Drains power instantly and every 3 seconds.',1,1),
(22875,40008,2,100,'Cannot be modified except by direct means',1,2),
(22876,40008,2,100,'50% of all damage received by the caster is instantly regenerated.',0,3),
(22877,40008,2,100,'Adrenaline can only be used while berserk!',0,4),
(22878,40008,3,100,'Applies Lost Adrenaline on termination.  Lasts for 30.0 seconds.',0,0),
(22879,40008,3,100,'Drains power instantly and every 3 seconds.',1,1),
(22880,40008,3,100,'Cannot be modified except by direct means',1,2),
(22881,40008,3,100,'50% of all damage received by the caster is instantly regenerated.',0,3),
(22882,40008,3,100,'Adrenaline can only be used while berserk!',0,4),
(22883,40008,4,100,'Applies Lost Adrenaline on termination.  Lasts for 30.0 seconds.',0,0),
(22884,40008,4,100,'Drains power instantly and every 3 seconds.',1,1),
(22885,40008,4,100,'Cannot be modified except by direct means',1,2),
(22886,40008,4,100,'50% of all damage received by the caster is instantly regenerated.',0,3),
(22887,40008,4,100,'Adrenaline can only be used while berserk!',0,4),
(22888,40008,5,100,'Applies Lost Adrenaline on termination.  Lasts for 30.0 seconds.',0,0),
(22889,40008,5,100,'Drains power instantly and every 3 seconds.',1,1),
(22890,40008,5,100,'Cannot be modified except by direct means',1,2),
(22891,40008,5,100,'50% of all damage received by the caster is instantly regenerated.',0,3),
(22892,40008,5,100,'Adrenaline can only be used while berserk!',0,4),
(22893,40008,7,100,'Applies Lost Adrenaline on termination.  Lasts for 30.0 seconds.',0,0),
(22894,40008,7,100,'Drains power instantly and every 3 seconds.',1,1),
(22895,40008,7,100,'Cannot be modified except by direct means',1,2),
(22896,40008,7,100,'50% of all damage received by the caster is instantly regenerated.',0,3),
(22897,40008,7,100,'Adrenaline can only be used while berserk!',0,4),
(22898,40008,9,100,'Applies Lost Adrenaline on termination.  Lasts for 30.0 seconds.',0,0),
(22899,40008,9,100,'Drains power instantly and every 3 seconds.',1,1),
(22900,40008,9,100,'Cannot be modified except by direct means',1,2),
(22901,40008,9,100,'50% of all damage received by the caster is instantly regenerated.',0,3),
(22902,40008,9,100,'Adrenaline can only be used while berserk!',0,4),
(22903,2000001,1,100,'Prevents AOE (except when direct) ',0,0),
(22904,40009,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 46',0,0),
(22905,40009,1,100,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',0,1),
(22906,40009,1,100,'Increases Threat to target by 20 ',1,2),
(22907,40009,1,100,'Inflicts 3 - 6 slashing damage on target',1,3),
(22908,40009,1,100,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',0,4),
(22909,40009,1,100,'Increases Threat to target by 20 ',1,5),
(22911,40009,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 49',0,0),
(22912,40009,2,100,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',0,1),
(22913,40009,2,100,'Increases Threat to target by 21 ',1,2),
(22914,40009,2,100,'Inflicts 4 - 6 slashing damage on target',1,3),
(22915,40009,2,100,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',0,4),
(22916,40009,2,100,'Increases Threat to target by 21 ',1,5),
(22918,40009,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 51',0,0),
(22919,40009,3,100,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',0,1),
(22920,40009,3,100,'Increases Threat to target by 22 ',1,2),
(22921,40009,3,100,'Inflicts 4 - 6 slashing damage on target',1,3),
(22922,40009,3,100,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',0,4),
(22923,40009,3,100,'Increases Threat to target by 22 ',1,5),
(22925,40009,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 57',0,0),
(22926,40009,4,100,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',0,1),
(22927,40009,4,100,'Increases Threat to target by 24 ',1,2),
(22928,40009,4,100,'Inflicts 4 - 7 slashing damage on target',1,3),
(22929,40009,4,100,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',0,4),
(22930,40009,4,100,'Increases Threat to target by 24 ',1,5),
(22932,40009,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 62',0,0),
(22933,40009,5,100,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',0,1),
(22934,40009,5,100,'Increases Threat to target by 27 ',1,2),
(22935,40009,5,100,'Inflicts 5 - 8 slashing damage on target',1,3),
(22936,40009,5,100,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',0,4),
(22937,40009,5,100,'Increases Threat to target by 27 ',1,5),
(22939,40009,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 79',0,0),
(22940,40009,7,100,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',0,1),
(22941,40009,7,100,'Increases Threat to target by 34 ',1,2),
(22942,40009,7,100,'Inflicts 6 - 10 slashing damage on target',1,3),
(22943,40009,7,100,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',0,4),
(22944,40009,7,100,'Increases Threat to target by 34 ',1,5),
(22946,40009,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 82',0,0),
(22947,40009,9,100,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',0,1),
(22948,40009,9,100,'Increases Threat to target by 36 ',1,2),
(22949,40009,9,100,'Inflicts 6 - 10 slashing damage on target',1,3),
(22950,40009,9,100,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',0,4),
(22951,40009,9,100,'Increases Threat to target by 36 ',1,5),
(22953,40010,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 231',0,0),
(22954,40010,1,100,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',0,1),
(22955,40010,1,100,'Increases Threat to target by 95 ',1,2),
(22956,40010,1,100,'Inflicts 16 - 26 slashing damage on target',1,3),
(22957,40010,1,100,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',0,4),
(22958,40010,1,100,'Increases Threat to target by 95 ',1,5),
(22959,40010,1,100,'Increases Mitigation of caster vs elemental and noxious damage by 231',0,6),
(22960,40010,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 244',0,0),
(22961,40010,2,100,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',0,1),
(22962,40010,2,100,'Increases Threat to target by 101 ',1,2),
(22963,40010,2,100,'Inflicts 16 - 27 slashing damage on target',1,3),
(22964,40010,2,100,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',0,4),
(22965,40010,2,100,'Increases Threat to target by 101 ',1,5),
(22966,40010,2,100,'Increases Mitigation of caster vs elemental and noxious damage by 244',0,6),
(22967,40010,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 257',0,0),
(22968,40010,3,100,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',0,1),
(22969,40010,3,100,'Increases Threat to target by 106 ',1,2),
(22970,40010,3,100,'Inflicts 17 - 29 slashing damage on target',1,3),
(22971,40010,3,100,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',0,4),
(22972,40010,3,100,'Increases Threat to target by 106 ',1,5),
(22973,40010,3,100,'Increases Mitigation of caster vs elemental and noxious damage by 257',0,6),
(22974,40010,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 283',0,0),
(22975,40010,4,100,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',0,1),
(22976,40010,4,100,'Increases Threat to target by 117 ',1,2),
(22977,40010,4,100,'Inflicts 19 - 32 slashing damage on target',1,3),
(22978,40010,4,100,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',0,4),
(22979,40010,4,100,'Increases Threat to target by 117 ',1,5),
(22980,40010,4,100,'Increases Mitigation of caster vs elemental and noxious damage by 283',0,6),
(22981,40010,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 308',0,0),
(22982,40010,5,100,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',0,1),
(22983,40010,5,100,'Increases Threat to target by 127 ',1,2),
(22984,40010,5,100,'Inflicts 21 - 35 slashing damage on target',1,3),
(22985,40010,5,100,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',0,4),
(22986,40010,5,100,'Increases Threat to target by 127 ',1,5),
(22987,40010,5,100,'Increases Mitigation of caster vs elemental and noxious damage by 308',0,6),
(22988,40010,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 396',0,0),
(22989,40010,7,100,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',0,1),
(22990,40010,7,100,'Increases Threat to target by 164 ',1,2),
(22991,40010,7,100,'Inflicts 27 - 44 slashing damage on target',1,3),
(22992,40010,7,100,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',0,4),
(22993,40010,7,100,'Increases Threat to target by 164 ',1,5),
(22994,40010,7,100,'Increases Mitigation of caster vs elemental and noxious damage by 360',0,6),
(22995,40010,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 411',0,0),
(22996,40010,9,100,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',0,1),
(22997,40010,9,100,'Increases Threat to target by 170 ',1,2),
(22998,40010,9,100,'Inflicts 28 - 46 slashing damage on target',1,3),
(22999,40010,9,100,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',0,4),
(23000,40010,9,100,'Increases Threat to target by 170 ',1,5),
(23001,40010,9,100,'Increases Mitigation of caster vs elemental and noxious damage by 411',0,6),
(23002,40011,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 447',0,0),
(23003,40011,1,100,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',0,1),
(23004,40011,1,100,'Increases Threat to target by 199 ',1,2),
(23005,40011,1,100,'Inflicts 32 - 53 slashing damage on target',1,3),
(23006,40011,1,100,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',0,4),
(23007,40011,1,100,'Increases Threat to target by 199 ',1,5),
(23008,40011,1,100,'Increases Mitigation of caster vs elemental and noxious damage by 447',0,6),
(23009,40011,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 472',0,0),
(23010,40011,2,100,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',0,1),
(23011,40011,2,100,'Increases Threat to target by 210 ',1,2),
(23012,40011,2,100,'Inflicts 33 - 56 slashing damage on target',1,3),
(23013,40011,2,100,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',0,4),
(23014,40011,2,100,'Increases Threat to target by 210 ',1,5),
(23015,40011,2,100,'Increases Mitigation of caster vs elemental and noxious damage by 472',0,6),
(23016,40011,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 497',0,0),
(23017,40011,3,100,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',0,1),
(23018,40011,3,100,'Increases Threat to target by 221 ',1,2),
(23019,40011,3,100,'Inflicts 35 - 59 slashing damage on target',1,3),
(23020,40011,3,100,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',0,4),
(23021,40011,3,100,'Increases Threat to target by 221 ',1,5),
(23022,40011,3,100,'Increases Mitigation of caster vs elemental and noxious damage by 497',0,6),
(23023,40011,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 547',0,0),
(23024,40011,4,100,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',0,1),
(23025,40011,4,100,'Increases Threat to target by 243 ',1,2),
(23026,40011,4,100,'Inflicts 39 - 64 slashing damage on target',1,3),
(23027,40011,4,100,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',0,4),
(23028,40011,4,100,'Increases Threat to target by 243 ',1,5),
(23029,40011,4,100,'Increases Mitigation of caster vs elemental and noxious damage by 547',0,6),
(23030,40011,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 596',0,0),
(23031,40011,5,100,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',0,1),
(23032,40011,5,100,'Increases Threat to target by 265 ',1,2),
(23033,40011,5,100,'Inflicts 42 - 70 slashing damage on target',1,3),
(23034,40011,5,100,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',0,4),
(23035,40011,5,100,'Increases Threat to target by 265 ',1,5),
(23036,40011,5,100,'Increases Mitigation of caster vs elemental and noxious damage by 596',0,6),
(23037,40011,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 765',0,0),
(23038,40011,7,100,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',0,1),
(23039,40011,7,100,'Increases Threat to target by 340 ',1,2),
(23040,40011,7,100,'Inflicts 54 - 90 slashing damage on target',1,3),
(23041,40011,7,100,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',0,4),
(23042,40011,7,100,'Increases Threat to target by 340 ',1,5),
(23043,40011,7,100,'Increases Mitigation of caster vs elemental and noxious damage by 696',0,6),
(23044,40011,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 795',0,0),
(23045,40011,9,100,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',0,1),
(23046,40011,9,100,'Increases Threat to target by 353 ',1,2),
(23047,40011,9,100,'Inflicts 56 - 94 slashing damage on target',1,3),
(23048,40011,9,100,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',0,4),
(23049,40011,9,100,'Increases Threat to target by 353 ',1,5),
(23050,40011,9,100,'Increases Mitigation of caster vs elemental and noxious damage by 795',0,6),
(23051,40012,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 663',0,0),
(23052,40012,1,100,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',0,1),
(23053,40012,1,100,'Increases Threat to target by 321 ',1,2),
(23054,40012,1,100,'Inflicts 50 - 83 slashing damage on target',1,3),
(23055,40012,1,100,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',0,4),
(23056,40012,1,100,'Increases Threat to target by 321 ',1,5),
(23057,40012,1,100,'Increases Mitigation of caster vs elemental and noxious damage by 663',0,6),
(23058,40012,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 700',0,0),
(23059,40012,2,100,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',0,1),
(23060,40012,2,100,'Increases Threat to target by 339 ',1,2),
(23061,40012,2,100,'Inflicts 52 - 87 slashing damage on target',1,3),
(23062,40012,2,100,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',0,4),
(23063,40012,2,100,'Increases Threat to target by 339 ',1,5),
(23064,40012,2,100,'Increases Mitigation of caster vs elemental and noxious damage by 700',0,6),
(23065,40012,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 737',0,0),
(23066,40012,3,100,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',0,1),
(23067,40012,3,100,'Increases Threat to target by 357 ',1,2),
(23068,40012,3,100,'Inflicts 55 - 92 slashing damage on target',1,3),
(23069,40012,3,100,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',0,4),
(23070,40012,3,100,'Increases Threat to target by 357 ',1,5),
(23071,40012,3,100,'Increases Mitigation of caster vs elemental and noxious damage by 737',0,6),
(23072,40012,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 810',0,0),
(23073,40012,4,100,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',0,1),
(23074,40012,4,100,'Increases Threat to target by 393 ',1,2),
(23075,40012,4,100,'Inflicts 61 - 101 slashing damage on target',1,3),
(23076,40012,4,100,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',0,4),
(23077,40012,4,100,'Increases Threat to target by 393 ',1,5),
(23078,40012,4,100,'Increases Mitigation of caster vs elemental and noxious damage by 810',0,6),
(23079,40012,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 884',0,0),
(23080,40012,5,100,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',0,1),
(23081,40012,5,100,'Increases Threat to target by 429 ',1,2),
(23082,40012,5,100,'Inflicts 66 - 110 slashing damage on target',1,3),
(23083,40012,5,100,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',0,4),
(23084,40012,5,100,'Increases Threat to target by 429 ',1,5),
(23085,40012,5,100,'Increases Mitigation of caster vs elemental and noxious damage by 884',0,6),
(23086,40012,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1135',0,0),
(23087,40012,7,100,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',0,1),
(23088,40012,7,100,'Increases Threat to target by 550 ',1,2),
(23089,40012,7,100,'Inflicts 85 - 141 slashing damage on target',1,3),
(23090,40012,7,100,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',0,4),
(23091,40012,7,100,'Increases Threat to target by 550 ',1,5),
(23092,40012,7,100,'Increases Mitigation of caster vs elemental and noxious damage by 1032',0,6),
(23093,40012,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1179',0,0),
(23094,40012,9,100,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',0,1),
(23095,40012,9,100,'Increases Threat to target by 572 ',1,2),
(23096,40012,9,100,'Inflicts 88 - 147 slashing damage on target',1,3),
(23097,40012,9,100,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',0,4),
(23098,40012,9,100,'Increases Threat to target by 572 ',1,5),
(23099,40012,9,100,'Increases Mitigation of caster vs elemental and noxious damage by 1179',0,6),
(23100,40012,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1238',0,0),
(23101,40012,10,100,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',0,1),
(23102,40012,10,100,'Increases Threat to target by 600 ',1,2),
(23103,40012,10,100,'Inflicts 93 - 154 slashing damage on target',1,3),
(23104,40012,10,100,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',0,4),
(23105,40012,10,100,'Increases Threat to target by 600 ',1,5),
(23106,40012,10,100,'Increases Mitigation of caster vs elemental and noxious damage by 1216',0,6),
(23107,40013,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 879',0,0),
(23108,40013,1,100,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',0,1),
(23109,40013,1,100,'Increases Threat to target by 472 ',1,2),
(23110,40013,1,100,'Inflicts 71 - 118 slashing damage on target',1,3),
(23111,40013,1,100,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',0,4),
(23112,40013,1,100,'Increases Threat to target by 472 ',1,5),
(23113,40013,1,100,'Increases Mitigation of caster vs elemental and noxious damage by 879',0,6),
(23114,40013,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 928',0,0),
(23115,40013,2,100,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',0,1),
(23116,40013,2,100,'Increases Threat to target by 499 ',1,2),
(23117,40013,2,100,'Inflicts 75 - 125 slashing damage on target',1,3),
(23118,40013,2,100,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',0,4),
(23119,40013,2,100,'Increases Threat to target by 499 ',1,5),
(23120,40013,2,100,'Increases Mitigation of caster vs elemental and noxious damage by 928',0,6),
(23121,40013,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 977',0,0),
(23122,40013,3,100,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',0,1),
(23123,40013,3,100,'Increases Threat to target by 525 ',1,2),
(23124,40013,3,100,'Inflicts 79 - 131 slashing damage on target',1,3),
(23125,40013,3,100,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',0,4),
(23126,40013,3,100,'Increases Threat to target by 525 ',1,5),
(23127,40013,3,100,'Increases Mitigation of caster vs elemental and noxious damage by 977',0,6),
(23128,40013,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1074',0,0),
(23129,40013,4,100,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',0,1),
(23130,40013,4,100,'Increases Threat to target by 577 ',1,2),
(23131,40013,4,100,'Inflicts 87 - 144 slashing damage on target',1,3),
(23132,40013,4,100,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',0,4),
(23133,40013,4,100,'Increases Threat to target by 577 ',1,5),
(23134,40013,4,100,'Increases Mitigation of caster vs elemental and noxious damage by 1074',0,6),
(23135,40013,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1172',0,0),
(23136,40013,5,100,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',0,1),
(23137,40013,5,100,'Increases Threat to target by 630 ',1,2),
(23138,40013,5,100,'Inflicts 95 - 158 slashing damage on target',1,3),
(23139,40013,5,100,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',0,4),
(23140,40013,5,100,'Increases Threat to target by 630 ',1,5),
(23141,40013,5,100,'Increases Mitigation of caster vs elemental and noxious damage by 1172',0,6),
(23142,40013,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1504',0,0),
(23143,40013,7,100,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',0,1),
(23144,40013,7,100,'Increases Threat to target by 809 ',1,2),
(23145,40013,7,100,'Inflicts 121 - 202 slashing damage on target',1,3),
(23146,40013,7,100,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',0,4),
(23147,40013,7,100,'Increases Threat to target by 809 ',1,5),
(23148,40013,7,100,'Increases Mitigation of caster vs elemental and noxious damage by 1367',0,6),
(23149,40013,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1563',0,0),
(23150,40013,9,100,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',0,1),
(23151,40013,9,100,'Increases Threat to target by 840 ',1,2),
(23152,40013,9,100,'Inflicts 126 - 210 slashing damage on target',1,3),
(23153,40013,9,100,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',0,4),
(23154,40013,9,100,'Increases Threat to target by 840 ',1,5),
(23155,40013,9,100,'Increases Mitigation of caster vs elemental and noxious damage by 1563',0,6),
(23156,40014,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1095',0,0),
(23157,40014,1,100,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',0,1),
(23158,40014,1,100,'Increases Threat to target by 635 ',1,2),
(23159,40014,1,100,'Inflicts 93 - 154 slashing damage on target',1,3),
(23160,40014,1,100,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',0,4),
(23161,40014,1,100,'Increases Threat to target by 635 ',1,5),
(23162,40014,1,100,'Increases Mitigation of caster vs elemental and noxious damage by 1095',0,6),
(23163,40014,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1156',0,0),
(23164,40014,2,100,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',0,1),
(23165,40014,2,100,'Increases Threat to target by 670 ',1,2),
(23166,40014,2,100,'Inflicts 98 - 163 slashing damage on target',1,3),
(23167,40014,2,100,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',0,4),
(23168,40014,2,100,'Increases Threat to target by 670 ',1,5),
(23169,40014,2,100,'Increases Mitigation of caster vs elemental and noxious damage by 1156',0,6),
(23170,40014,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1217',0,0),
(23171,40014,3,100,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',0,1),
(23172,40014,3,100,'Increases Threat to target by 705 ',1,2),
(23173,40014,3,100,'Inflicts 103 - 171 slashing damage on target',1,3),
(23174,40014,3,100,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',0,4),
(23175,40014,3,100,'Increases Threat to target by 705 ',1,5),
(23176,40014,3,100,'Increases Mitigation of caster vs elemental and noxious damage by 1217',0,6),
(23177,40014,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1338',0,0),
(23178,40014,4,100,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',0,1),
(23179,40014,4,100,'Increases Threat to target by 776 ',1,2),
(23180,40014,4,100,'Inflicts 113 - 189 slashing damage on target',1,3),
(23181,40014,4,100,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',0,4),
(23182,40014,4,100,'Increases Threat to target by 776 ',1,5),
(23183,40014,4,100,'Increases Mitigation of caster vs elemental and noxious damage by 1338',0,6),
(23184,40014,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1460',0,0),
(23185,40014,5,100,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',0,1),
(23186,40014,5,100,'Increases Threat to target by 846 ',1,2),
(23187,40014,5,100,'Inflicts 123 - 206 slashing damage on target',1,3),
(23188,40014,5,100,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',0,4),
(23189,40014,5,100,'Increases Threat to target by 846 ',1,5),
(23190,40014,5,100,'Increases Mitigation of caster vs elemental and noxious damage by 1460',0,6),
(23191,40014,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1874',0,0),
(23192,40014,7,100,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',0,1),
(23193,40014,7,100,'Increases Threat to target by 1,086 ',1,2),
(23194,40014,7,100,'Inflicts 158 - 264 slashing damage on target',1,3),
(23195,40014,7,100,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',0,4),
(23196,40014,7,100,'Increases Threat to target by 1,086 ',1,5),
(23197,40014,7,100,'Increases Mitigation of caster vs elemental and noxious damage by 1703',0,6),
(23198,40014,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1947',0,0),
(23199,40014,9,100,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',0,1),
(23200,40014,9,100,'Increases Threat to target by 1,129 ',1,2),
(23201,40014,9,100,'Inflicts 165 - 274 slashing damage on target',1,3),
(23202,40014,9,100,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',0,4),
(23203,40014,9,100,'Increases Threat to target by 1,129 ',1,5),
(23204,40014,9,100,'Increases Mitigation of caster vs elemental and noxious damage by 1947',0,6),
(23205,40015,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1249',0,0),
(23206,40015,1,100,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',0,1),
(23207,40015,1,100,'Increases Threat to target by 792 ',1,2),
(23208,40015,1,100,'Inflicts 112 - 187 slashing damage on target',1,3),
(23209,40015,1,100,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',0,4),
(23210,40015,1,100,'Increases Threat to target by 792 ',1,5),
(23211,40015,1,100,'Increases Mitigation of caster vs elemental and noxious damage by 1249',0,6),
(23212,40015,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1527',0,0),
(23213,40015,4,100,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',0,1),
(23214,40015,4,100,'Increases Threat to target by 969 ',1,2),
(23215,40015,4,100,'Inflicts 137 - 228 slashing damage on target',1,3),
(23216,40015,4,100,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',0,4),
(23217,40015,4,100,'Increases Threat to target by 969 ',1,5),
(23218,40015,4,100,'Increases Mitigation of caster vs elemental and noxious damage by 1527',0,6),
(23219,40015,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1666',0,0),
(23220,40015,5,100,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',0,1),
(23221,40015,5,100,'Increases Threat to target by 1,057 ',1,2),
(23222,40015,5,100,'Inflicts 150 - 249 slashing damage on target',1,3),
(23223,40015,5,100,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',0,4),
(23224,40015,5,100,'Increases Threat to target by 1,057 ',1,5),
(23225,40015,5,100,'Increases Mitigation of caster vs elemental and noxious damage by 1666',0,6),
(23226,40015,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2137',0,0),
(23227,40015,7,100,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',0,1),
(23228,40015,7,100,'Increases Threat to target by 1,317 ',1,2),
(23229,40015,7,100,'Inflicts 192 - 320 slashing damage on target',1,3),
(23230,40015,7,100,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',0,4),
(23231,40015,7,100,'Increases Threat to target by 1,317 ',1,5),
(23232,40015,7,100,'Increases Mitigation of caster vs elemental and noxious damage by 1943',0,6),
(23233,40015,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2221',0,0),
(23234,40015,9,100,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',0,1),
(23235,40015,9,100,'Increases Threat to target by 1,347 ',1,2),
(23236,40015,9,100,'Inflicts 199 - 332 slashing damage on target',1,3),
(23237,40015,9,100,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',0,4),
(23238,40015,9,100,'Increases Threat to target by 1,347 ',1,5),
(23239,40015,9,100,'Increases Mitigation of caster vs elemental and noxious damage by 2221',0,6),
(23240,40016,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1614',0,0),
(23241,40016,1,100,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',0,1),
(23242,40016,1,100,'Increases Threat to target by 950 ',1,2),
(23243,40016,1,100,'Inflicts 133 - 222 slashing damage on target',1,3),
(23244,40016,1,100,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',0,4),
(23245,40016,1,100,'Increases Threat to target by 950 ',1,5),
(23246,40016,1,100,'Increases Mitigation of caster vs elemental and noxious damage by 1403',0,6),
(23247,40016,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1972',0,0),
(23248,40016,4,100,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',0,1),
(23249,40016,4,100,'Increases Threat to target by 1,161 ',1,2),
(23250,40016,4,100,'Inflicts 163 - 271 slashing damage on target',1,3),
(23251,40016,4,100,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',0,4),
(23252,40016,4,100,'Increases Threat to target by 1,161 ',1,5),
(23253,40016,4,100,'Increases Mitigation of caster vs elemental and noxious damage by 1715',0,6),
(23254,40016,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2152',0,0),
(23255,40016,5,100,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',0,1),
(23256,40016,5,100,'Increases Threat to target by 1,265 ',1,2),
(23257,40016,5,100,'Inflicts 177 - 296 slashing damage on target',1,3),
(23258,40016,5,100,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',0,4),
(23259,40016,5,100,'Increases Threat to target by 1,265 ',1,5),
(23260,40016,5,100,'Increases Mitigation of caster vs elemental and noxious damage by 1871',0,6),
(23261,40016,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2761',0,0),
(23262,40016,7,100,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',0,1),
(23263,40016,7,100,'Increases Threat to target by 1,471 ',1,2),
(23264,40016,7,100,'Inflicts 228 - 379 slashing damage on target',1,3),
(23265,40016,7,100,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',0,4),
(23266,40016,7,100,'Increases Threat to target by 1,471 ',1,5),
(23267,40016,7,100,'Increases Mitigation of caster vs elemental and noxious damage by 2183',0,6),
(23268,40016,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2869',0,0),
(23269,40016,9,100,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',0,1),
(23270,40016,9,100,'Increases Threat to target by 1,507 ',1,2),
(23271,40016,9,100,'Inflicts 237 - 394 slashing damage on target',1,3),
(23272,40016,9,100,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',0,4),
(23273,40016,9,100,'Increases Threat to target by 1,507 ',1,5),
(23274,40016,9,100,'Increases Mitigation of caster vs elemental and noxious damage by 2495',0,6),
(23275,2000002,1,100,'Increases Crit Bonus by 20% of the caster''s base Crit Bonus',0,0),
(23276,2000003,1,100,'On a melee hit this spell has a 50% chance to cast Mongoose Dodge on target of attack.  ',0,0),
(23277,2000003,1,100,'Decreases Threat to target by 3 ',1,1),
(23278,2000003,2,100,'On a melee hit this spell has a 50% chance to cast Mongoose Dodge on target of attack.  ',0,0),
(23279,2000003,2,100,'Decreases Threat to target by 434 ',1,1),
(23280,2000003,3,100,'On a melee hit this spell has a 50% chance to cast Mongoose Dodge on target of attack.  ',0,0),
(23281,2000003,3,100,'Decreases Threat to target by 651 ',1,1),
(23282,2000003,4,100,'On a melee hit this spell has a 50% chance to cast Mongoose Dodge on target of attack.  ',0,0),
(23283,2000003,4,100,'Decreases Threat to target by 868 ',1,1),
(23284,2000003,5,100,'On a melee hit this spell has a 50% chance to cast Mongoose Dodge on target of attack.  ',0,0),
(23285,2000003,5,100,'Decreases Threat to target by 1,085 ',1,1),
(23286,2000004,1,100,'On a melee hit this spell has a 50% chance to cast Shifty Dodge on target of attack.  ',0,0),
(23287,2000004,1,100,'Inflicts 2 - 3 melee damage on target',1,1),
(23288,2000004,2,100,'On a melee hit this spell has a 50% chance to cast Shifty Dodge on target of attack.  ',0,0),
(23289,2000004,2,100,'Inflicts 181 - 302 melee damage on target',1,1),
(23290,2000004,3,100,'On a melee hit this spell has a 50% chance to cast Shifty Dodge on target of attack.  ',0,0),
(23291,2000004,3,100,'Inflicts 191 - 318 melee damage on target',1,1),
(23292,2000004,4,100,'On a melee hit this spell has a 50% chance to cast Shifty Dodge on target of attack.  ',0,0),
(23293,2000004,4,100,'Inflicts 210 - 350 melee damage on target',1,1),
(23294,2000004,5,100,'On a melee hit this spell has a 50% chance to cast Shifty Dodge on target of attack.  ',0,0),
(23295,2000004,5,100,'Inflicts 229 - 382 melee damage on target',1,1),
(23296,2000005,1,100,'Increases Mitigation of target vs physical damage by 0',0,0),
(23297,2000005,1,100,'Increases Mitigation of caster vs physical damage by 0',0,1),
(23298,2000005,1,100,'If Fighter',0,2),
(23299,2000005,2,100,'Decreases Mitigation of target vs physical damage by 409',0,0),
(23300,2000005,2,100,'Increases Mitigation of caster vs physical damage by 704',0,1),
(23301,2000005,2,100,'If Fighter',0,2),
(23302,2000005,3,100,'Decreases Mitigation of target vs physical damage by 614',0,0),
(23303,2000005,3,100,'Increases Mitigation of caster vs physical damage by 1056',0,1),
(23304,2000005,3,100,'If Fighter',0,2),
(23305,2000005,4,100,'Decreases Mitigation of target vs physical damage by 818',0,0),
(23306,2000005,4,100,'Increases Mitigation of caster vs physical damage by 1408',0,1),
(23307,2000005,4,100,'If Fighter',0,2),
(23308,2000005,5,100,'Decreases Mitigation of target vs physical damage by 1023',0,0),
(23309,2000005,5,100,'Increases Mitigation of caster vs physical damage by 1760',0,1),
(23310,2000005,5,100,'If Fighter',0,2),
(23311,2000006,1,100,'On death this spell will cast Feign Death on caster.  Lasts for 36.0 seconds.  ',0,0),
(23312,2000006,1,100,'Feigns Death with 100% chance of success',1,1),
(23313,2000006,1,100,'Heals caster for 23.6 - 28.9% of max health',1,2),
(23314,2000006,1,100,'This effect cannot be critically applied.',2,3),
(23315,2000006,1,100,'The healing of this spell cannot be modified except by direct means',1,4),
(23316,2000006,1,100,'Grants a total of 1 trigger of the spell.',1,5),
(23317,2000006,1,100,'When target ally''s death is prevented by this spell, the enemy encounter''s hate towards the caster increases by 2 positions',0,6),
(23318,340000,1,100,'When a combat art is used this spell has a 22% chance to cast Reflexes on target.  Lasts for 5.0 seconds.  ',0,0),
(23319,340000,1,100,'Prevents AOE (except when direct) ',1,1),
(23320,340000,1,100,'Cannot be modified except by direct means',0,2),
(23321,340000,2,100,'When a combat art is used this spell has a 22% chance to cast Reflexes on target.  Lasts for 5.0 seconds.  ',0,0),
(23322,340000,2,100,'Prevents AOE (except when direct) ',1,1),
(23323,340000,2,100,'Cannot be modified except by direct means',0,2),
(23324,340000,3,100,'When a combat art is used this spell has a 22% chance to cast Reflexes on target.  Lasts for 5.0 seconds.  ',0,0),
(23325,340000,3,100,'Prevents AOE (except when direct) ',1,1),
(23326,340000,3,100,'Cannot be modified except by direct means',0,2),
(23327,340000,4,100,'When a combat art is used this spell has a 22% chance to cast Reflexes on target.  Lasts for 5.0 seconds.  ',0,0),
(23328,340000,4,100,'Prevents AOE (except when direct) ',1,1),
(23329,340000,4,100,'Cannot be modified except by direct means',0,2),
(23330,340000,5,100,'When a combat art is used this spell has a 22% chance to cast Reflexes on target.  Lasts for 5.0 seconds.  ',0,0),
(23331,340000,5,100,'Prevents AOE (except when direct) ',1,1),
(23332,340000,5,100,'Cannot be modified except by direct means',0,2),
(23333,340000,7,100,'When a combat art is used this spell has a 25% chance to cast Reflexes on target.  Lasts for 5.0 seconds.  ',0,0),
(23334,340000,7,100,'Prevents AOE (except when direct) ',1,1),
(23335,340000,7,100,'Cannot be modified except by direct means',0,2),
(23336,340000,9,100,'When a combat art is used this spell has a 28% chance to cast Reflexes on target.  Lasts for 5.0 seconds.  ',0,0),
(23337,340000,9,100,'Prevents AOE (except when direct) ',1,1),
(23338,340000,9,100,'Cannot be modified except by direct means',0,2),
(23339,2000007,1,100,'Interrupts target',0,0),
(23340,2000007,1,100,'Inflicts 187 - 311 melee damage on target',0,1),
(23341,2000007,2,100,'Interrupts target',0,0),
(23342,2000007,2,100,'Inflicts 263 - 438 melee damage on target',0,1),
(23343,2000007,3,100,'Interrupts target',0,0),
(23344,2000007,3,100,'Inflicts 207 - 346 melee damage on target',0,1),
(23345,2000007,4,100,'Interrupts target',0,0),
(23346,2000007,4,100,'Inflicts 304 - 507 melee damage on target',0,1),
(23347,2000007,5,100,'Interrupts target',0,0),
(23348,2000007,5,100,'Inflicts 249 - 415 melee damage on target',0,1),
(23349,2000007,6,100,'Interrupts target',0,0),
(23350,2000007,6,100,'Inflicts 360 - 600 melee damage on target',0,1),
(23351,2000007,7,100,'Interrupts target',0,0),
(23352,2000007,7,100,'Inflicts 320 - 533 melee damage on target',0,1),
(23353,2000007,8,100,'Interrupts target',0,0),
(23354,2000007,8,100,'Inflicts 322 - 536 melee damage on target',0,1),
(23355,2000007,9,100,'Interrupts target',0,0),
(23356,2000007,9,100,'Inflicts 443 - 738 melee damage on target',0,1),
(23357,2000007,10,100,'Interrupts target',0,0),
(23358,2000007,10,100,'Inflicts 349 - 581 melee damage on target',0,1),
(23359,310000,1,100,'Inflicts 12 - 20 melee damage on target',0,0),
(23360,310000,1,100,'You must be sneaking to use this ability.',0,1),
(23361,400000,1,100,'Inflicts 9 - 15 melee damage on target',0,0),
(23362,400000,1,100,'You must be sneaking to use this ability.',0,1),
(23363,400000,2,100,'Inflicts 9 - 16 melee damage on target',0,0),
(23364,400000,2,100,'You must be sneaking to use this ability.',0,1),
(23365,310000,2,100,'Inflicts 12 - 21 melee damage on target',0,0),
(23366,310000,2,100,'You must be sneaking to use this ability.',0,1),
(23367,400000,3,100,'Inflicts 10 - 17 melee damage on target',0,0),
(23368,400000,3,100,'You must be sneaking to use this ability.',0,1),
(23369,310000,3,100,'Inflicts 13 - 22 melee damage on target',0,0),
(23370,310000,3,100,'You must be sneaking to use this ability.',0,1),
(23371,310000,4,100,'Inflicts 14 - 24 melee damage on target',0,0),
(23372,310000,4,100,'You must be sneaking to use this ability.',0,1),
(23373,400000,4,100,'Inflicts 11 - 19 melee damage on target',0,0),
(23374,400000,4,100,'You must be sneaking to use this ability.',0,1),
(23375,400000,5,100,'Inflicts 12 - 20 melee damage on target',0,0),
(23376,400000,5,100,'You must be sneaking to use this ability.',0,1),
(23377,310000,5,100,'Inflicts 16 - 27 melee damage on target',0,0),
(23378,310000,5,100,'You must be sneaking to use this ability.',0,1),
(23379,400000,7,100,'Inflicts 16 - 26 melee damage on target',0,0),
(23380,400000,7,100,'You must be sneaking to use this ability.',0,1),
(23381,310000,7,100,'Inflicts 20 - 34 melee damage on target',0,0),
(23382,310000,7,100,'You must be sneaking to use this ability.',0,1),
(23383,400000,9,100,'Inflicts 16 - 27 melee damage on target',0,0),
(23384,400000,9,100,'You must be sneaking to use this ability.',0,1),
(23385,310000,9,100,'Inflicts 21 - 36 melee damage on target',0,0),
(23386,310000,9,100,'You must be sneaking to use this ability.',0,1),
(23387,400001,1,100,'Inflicts 37 - 61 melee damage on target',0,0),
(23388,400001,1,100,'You must be sneaking to use this ability.',0,1),
(23389,400001,2,100,'Inflicts 39 - 65 melee damage on target',0,0),
(23390,400001,2,100,'You must be sneaking to use this ability.',0,1),
(23391,400001,3,100,'Inflicts 41 - 68 melee damage on target',0,0),
(23392,400001,3,100,'You must be sneaking to use this ability.',0,1),
(23393,400001,4,100,'Inflicts 45 - 75 melee damage on target',0,0),
(23394,400001,4,100,'You must be sneaking to use this ability.',0,1),
(23395,400001,5,100,'Inflicts 49 - 82 melee damage on target',0,0),
(23396,400001,5,100,'You must be sneaking to use this ability.',0,1),
(23397,400001,7,100,'Inflicts 63 - 106 melee damage on target',0,0),
(23398,400001,7,100,'You must be sneaking to use this ability.',0,1),
(23399,400001,9,100,'Inflicts 66 - 110 melee damage on target',0,0),
(23400,400001,9,100,'You must be sneaking to use this ability.',0,1),
(23402,400002,1,100,'You must be sneaking to use this ability.',0,1),
(23403,400002,2,100,'Inflicts 90 - 150 melee damage on target',0,0),
(23404,400002,2,100,'You must be sneaking to use this ability.',0,1),
(23405,400002,3,100,'Inflicts 94 - 158 melee damage on target',0,0),
(23406,400002,3,100,'You must be sneaking to use this ability.',0,1),
(23407,400002,4,100,'Inflicts 104 - 174 melee damage on target',0,0),
(23408,400002,4,100,'You must be sneaking to use this ability.',0,1),
(23409,400002,5,100,'Inflicts 113 - 189 melee damage on target',0,0),
(23410,400002,5,100,'You must be sneaking to use this ability.',0,1),
(23411,400002,7,100,'Inflicts 146 - 243 melee damage on target',0,0),
(23412,400002,7,100,'You must be sneaking to use this ability.',0,1),
(23413,400002,9,100,'Inflicts 151 - 253 melee damage on target',0,0),
(23414,400002,9,100,'You must be sneaking to use this ability.',0,1),
(23415,400002,10,100,'Inflicts 159 - 265 melee damage on target',0,0),
(23416,400002,10,100,'You must be sneaking to use this ability.',0,1),
(23417,400003,1,100,'Inflicts 152 - 253 melee damage on target',0,0),
(23418,400003,1,100,'You must be sneaking to use this ability.',0,1),
(23419,400003,2,100,'Inflicts 160 - 267 melee damage on target',0,0),
(23420,400003,2,100,'You must be sneaking to use this ability.',0,1),
(23421,400003,3,100,'Inflicts 168 - 281 melee damage on target',0,0),
(23422,400003,3,100,'You must be sneaking to use this ability.',0,1),
(23423,400003,4,100,'Inflicts 185 - 309 melee damage on target',0,0),
(23424,400003,4,100,'You must be sneaking to use this ability.',0,1),
(23425,400003,5,100,'Inflicts 202 - 337 melee damage on target',0,0),
(23426,400003,5,100,'You must be sneaking to use this ability.',0,1),
(23427,400003,7,100,'Inflicts 260 - 433 melee damage on target',0,0),
(23428,400003,7,100,'You must be sneaking to use this ability.',0,1),
(23429,400003,9,100,'Inflicts 270 - 450 melee damage on target',0,0),
(23430,400003,9,100,'You must be sneaking to use this ability.',0,1),
(23431,400004,1,100,'Inflicts 532 - 887 melee damage on target',0,0),
(23432,400004,1,100,'You must be sneaking to use this ability.',0,1),
(23433,400004,4,100,'Inflicts 650 - 1084 melee damage on target',0,0),
(23434,400004,4,100,'You must be sneaking to use this ability.',0,1),
(23435,400004,5,100,'Inflicts 709 - 1182 melee damage on target',0,0),
(23436,400004,5,100,'You must be sneaking to use this ability.',0,1),
(23437,400004,7,100,'Inflicts 910 - 1518 melee damage on target',0,0),
(23438,400004,7,100,'You must be sneaking to use this ability.',0,1),
(23439,400004,9,100,'Inflicts 946 - 1577 melee damage on target',0,0),
(23440,400004,9,100,'You must be sneaking to use this ability.',0,1),
(23441,400005,1,100,'Inflicts 229 - 382 melee damage on target',0,0),
(23442,400005,1,100,'You must be sneaking to use this ability.',0,1),
(23443,400005,2,100,'Inflicts 242 - 403 melee damage on target',0,0),
(23444,400005,2,100,'You must be sneaking to use this ability.',0,1),
(23445,400005,3,100,'Inflicts 254 - 424 melee damage on target',0,0),
(23446,400005,3,100,'You must be sneaking to use this ability.',0,1),
(23447,400005,4,100,'Inflicts 280 - 467 melee damage on target',0,0),
(23448,400005,4,100,'You must be sneaking to use this ability.',0,1),
(23449,400005,5,100,'Inflicts 305 - 509 melee damage on target',0,0),
(23450,400005,5,100,'You must be sneaking to use this ability.',0,1),
(23451,400005,7,100,'Inflicts 392 - 654 melee damage on target',0,0),
(23452,400005,7,100,'You must be sneaking to use this ability.',0,1),
(23453,400005,9,100,'Inflicts 407 - 679 melee damage on target',0,0),
(23454,400005,9,100,'You must be sneaking to use this ability.',0,1),
(23455,400005,10,100,'Inflicts 428 - 713 melee damage on target',0,0),
(23456,400005,10,100,'You must be sneaking to use this ability.',0,1),
(23457,400006,1,100,'Inflicts 312 - 520 melee damage on target',0,0),
(23458,400006,1,100,'You must be sneaking to use this ability.',0,1),
(23459,400006,2,100,'Inflicts 329 - 549 melee damage on target',0,0),
(23460,400006,2,100,'You must be sneaking to use this ability.',0,1),
(23461,400006,3,100,'Inflicts 347 - 578 melee damage on target',0,0),
(23462,400006,3,100,'You must be sneaking to use this ability.',0,1),
(23463,400006,4,100,'Inflicts 381 - 636 melee damage on target',0,0),
(23464,400006,4,100,'You must be sneaking to use this ability.',0,1),
(23465,400006,5,100,'Inflicts 416 - 694 melee damage on target',0,0),
(23466,400006,5,100,'You must be sneaking to use this ability.',0,1),
(23467,400006,7,100,'Inflicts 534 - 891 melee damage on target',0,0),
(23468,400006,7,100,'You must be sneaking to use this ability.',0,1),
(23469,400006,9,100,'Inflicts 555 - 926 melee damage on target',0,0),
(23470,400006,9,100,'You must be sneaking to use this ability.',0,1),
(23471,400007,1,100,'Inflicts 391 - 652 melee damage on target',0,0),
(23472,400007,1,100,'You must be sneaking to use this ability.',0,1),
(23473,400007,2,100,'Inflicts 413 - 689 melee damage on target',0,0),
(23474,400007,2,100,'You must be sneaking to use this ability.',0,1),
(23475,400007,3,100,'Inflicts 435 - 725 melee damage on target',0,0),
(23476,400007,3,100,'You must be sneaking to use this ability.',0,1),
(23477,400007,4,100,'Inflicts 478 - 798 melee damage on target',0,0),
(23478,400007,4,100,'You must be sneaking to use this ability.',0,1),
(23479,400007,5,100,'Inflicts 522 - 870 melee damage on target',0,0),
(23480,400007,5,100,'You must be sneaking to use this ability.',0,1),
(23481,400007,7,100,'Inflicts 670 - 1117 melee damage on target',0,0),
(23482,400007,7,100,'You must be sneaking to use this ability.',0,1),
(23483,400007,9,100,'Inflicts 696 - 1160 melee damage on target',0,0),
(23484,400007,9,100,'You must be sneaking to use this ability.',0,1),
(23485,400007,10,100,'Inflicts 731 - 1218 melee damage on target',0,0),
(23486,400007,10,100,'You must be sneaking to use this ability.',0,1),
(23487,400008,1,100,'Inflicts 472 - 788 melee damage on target',0,0),
(23488,400008,1,100,'You must be sneaking to use this ability.',0,1),
(23489,400008,4,100,'Inflicts 578 - 963 melee damage on target',0,0),
(23490,400008,4,100,'You must be sneaking to use this ability.',0,1),
(23491,400008,5,100,'Inflicts 630 - 1051 melee damage on target',0,0),
(23492,400008,5,100,'You must be sneaking to use this ability.',0,1),
(23493,400008,7,100,'Inflicts 809 - 1348 melee damage on target',0,0),
(23494,400008,7,100,'You must be sneaking to use this ability.',0,1),
(23495,400008,9,100,'Inflicts 840 - 1401 melee damage on target',0,0),
(23496,400008,9,100,'You must be sneaking to use this ability.',0,1),
(23497,2000008,3,100,'Inflicts 2 - 3 piercing damage on target',0,0),
(23498,2000008,3,100,'Inflicts 3 - 5 piercing damage on target',0,1),
(23499,2000008,4,100,'Inflicts 2 - 4 piercing damage on target',0,0),
(23500,2000008,4,100,'Inflicts 3 - 6 piercing damage on target',0,1),
(23501,2000008,5,100,'Inflicts 2 - 4 piercing damage on target',0,0),
(23502,2000008,5,100,'Inflicts 4 - 6 piercing damage on target',0,1),
(23503,2000008,7,100,'Inflicts 3 - 5 piercing damage on target',0,0),
(23504,2000008,7,100,'Inflicts 4 - 7 piercing damage on target',0,1),
(23505,2000008,9,100,'Inflicts 3 - 6 piercing damage on target',0,0),
(23506,2000008,9,100,'Inflicts 5 - 8 piercing damage on target',0,1),
(23507,2000008,10,100,'Inflicts 3 - 6 piercing damage on target',0,0),
(23508,2000008,10,100,'Inflicts 5 - 9 piercing damage on target',0,1),
(23509,80000,1,100,'Grants target a 13% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(23510,80000,1,100,'Increases Parry of caster by 2.8',0,1),
(23511,80000,2,100,'Grants target a 14% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(23512,80000,2,100,'Increases Parry of caster by 3.0',0,1),
(23513,80000,3,100,'Grants target a 15% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(23514,80000,3,100,'Increases Parry of caster by 3.2',0,1),
(23515,80000,4,100,'Grants target a 17% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(23516,80000,4,100,'Increases Parry of caster by 3.5',0,1),
(23517,80000,5,100,'Grants target a 18% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(23518,80000,5,100,'Increases Parry of caster by 3.8',0,1),
(23519,80000,7,100,'Grants target a 23% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(23520,80000,7,100,'Increases Parry of caster by 4.9',0,1),
(23521,80000,9,100,'Grants target a 24% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(23522,80000,9,100,'Increases Parry of caster by 5.0',0,1),
(23523,100000,1,100,'Inflicts 34 - 57 divine damage on targets in Area of Effect',0,0),
(23524,100000,1,100,'Stuns targets in Area of Effect',0,1),
(23525,100000,1,100,'If Target is not Epic',1,2),
(23526,100000,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(23527,100000,2,100,'Inflicts 36 - 60 divine damage on targets in Area of Effect',0,0),
(23528,100000,2,100,'Stuns targets in Area of Effect',0,1),
(23529,100000,2,100,'If Target is not Epic',1,2),
(23530,100000,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(23531,100000,3,100,'Inflicts 38 - 63 divine damage on targets in Area of Effect',0,0),
(23532,100000,3,100,'Stuns targets in Area of Effect',0,1),
(23533,100000,3,100,'If Target is not Epic',1,2),
(23534,100000,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(23535,100000,4,100,'Inflicts 42 - 69 divine damage on targets in Area of Effect',0,0),
(23536,100000,4,100,'Stuns targets in Area of Effect',0,1),
(23537,100000,4,100,'If Target is not Epic',1,2),
(23538,100000,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(23539,100000,5,100,'Inflicts 45 - 76 divine damage on targets in Area of Effect',0,0),
(23540,100000,5,100,'Stuns targets in Area of Effect',0,1),
(23541,100000,5,100,'If Target is not Epic',1,2),
(23542,100000,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(23543,100000,7,100,'Inflicts 58 - 97 divine damage on targets in Area of Effect',0,0),
(23544,100000,7,100,'Stuns targets in Area of Effect',0,1),
(23545,100000,7,100,'If Target is not Epic',1,2),
(23546,100000,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(23547,100000,9,100,'Inflicts 61 - 101 divine damage on targets in Area of Effect',0,0),
(23548,100000,9,100,'Stuns targets in Area of Effect',0,1),
(23549,100000,9,100,'If Target is not Epic',1,2),
(23550,100000,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(23551,100000,10,100,'Inflicts 64 - 106 divine damage on targets in Area of Effect',0,0),
(23552,100000,10,100,'Stuns targets in Area of Effect',0,1),
(23553,100000,10,100,'If Target is not Epic',1,2),
(23554,100000,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(23555,100001,1,100,'Inflicts 71 - 118 divine damage on targets in Area of Effect',0,0),
(23556,100001,1,100,'Stuns targets in Area of Effect',0,1),
(23557,100001,1,100,'If Target is not Epic',1,2),
(23558,100001,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(23559,100001,2,100,'Inflicts 75 - 125 divine damage on targets in Area of Effect',0,0),
(23560,100001,2,100,'Stuns targets in Area of Effect',0,1),
(23561,100001,2,100,'If Target is not Epic',1,2),
(23562,100001,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(23563,100001,3,100,'Inflicts 79 - 131 divine damage on targets in Area of Effect',0,0),
(23564,100001,3,100,'Stuns targets in Area of Effect',0,1),
(23565,100001,3,100,'If Target is not Epic',1,2),
(23566,100001,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(23567,100001,4,100,'Inflicts 87 - 145 divine damage on targets in Area of Effect',0,0),
(23568,100001,4,100,'Stuns targets in Area of Effect',0,1),
(23569,100001,4,100,'If Target is not Epic',1,2),
(23570,100001,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(23571,100001,5,100,'Inflicts 95 - 158 divine damage on targets in Area of Effect',0,0),
(23572,100001,5,100,'Stuns targets in Area of Effect',0,1),
(23573,100001,5,100,'If Target is not Epic',1,2),
(23574,100001,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(23575,100001,7,100,'Inflicts 121 - 202 divine damage on targets in Area of Effect',0,0),
(23576,100001,7,100,'Stuns targets in Area of Effect',0,1),
(23577,100001,7,100,'If Target is not Epic',1,2),
(23578,100001,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(23579,100001,9,100,'Inflicts 126 - 210 divine damage on targets in Area of Effect',0,0),
(23580,100001,9,100,'Stuns targets in Area of Effect',0,1),
(23581,100001,9,100,'If Target is not Epic',1,2),
(23582,100001,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(23583,100002,1,100,'Inflicts 112 - 187 divine damage on targets in Area of Effect',0,0),
(23584,100002,1,100,'Stuns targets in Area of Effect',0,1),
(23585,100002,1,100,'If Target is not Epic',1,2),
(23586,100002,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(23587,100002,2,100,'Inflicts 118 - 197 divine damage on targets in Area of Effect',0,0),
(23588,100002,2,100,'Stuns targets in Area of Effect',0,1),
(23589,100002,2,100,'If Target is not Epic',1,2),
(23590,100002,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(23591,100002,3,100,'Inflicts 125 - 208 divine damage on targets in Area of Effect',0,0),
(23592,100002,3,100,'Stuns targets in Area of Effect',0,1),
(23593,100002,3,100,'If Target is not Epic',1,2),
(23594,100002,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(23595,100002,4,100,'Inflicts 137 - 228 divine damage on targets in Area of Effect',0,0),
(23596,100002,4,100,'Stuns targets in Area of Effect',0,1),
(23597,100002,4,100,'If Target is not Epic',1,2),
(23598,100002,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(23599,100002,5,100,'Inflicts 149 - 249 divine damage on targets in Area of Effect',0,0),
(23600,100002,5,100,'Stuns targets in Area of Effect',0,1),
(23601,100002,5,100,'If Target is not Epic',1,2),
(23602,100002,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(23603,100002,7,100,'Inflicts 192 - 320 divine damage on targets in Area of Effect',0,0),
(23604,100002,7,100,'Stuns targets in Area of Effect',0,1),
(23605,100002,7,100,'If Target is not Epic',1,2),
(23606,100002,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(23607,100002,9,100,'Inflicts 199 - 332 divine damage on targets in Area of Effect',0,0),
(23608,100002,9,100,'Stuns targets in Area of Effect',0,1),
(23609,100002,9,100,'If Target is not Epic',1,2),
(23610,100002,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(23611,100002,10,100,'Inflicts 209 - 349 divine damage on targets in Area of Effect',0,0),
(23612,100002,10,100,'Stuns targets in Area of Effect',0,1),
(23613,100002,10,100,'If Target is not Epic',1,2),
(23614,100002,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(23615,100003,1,100,'Inflicts 162 - 270 divine damage on targets in Area of Effect',0,0),
(23616,100003,1,100,'Stuns targets in Area of Effect',0,1),
(23617,100003,1,100,'If Target is not Epic',1,2),
(23618,100003,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(23619,100003,2,100,'Inflicts 171 - 285 divine damage on targets in Area of Effect',0,0),
(23620,100003,2,100,'Stuns targets in Area of Effect',0,1),
(23621,100003,2,100,'If Target is not Epic',1,2),
(23622,100003,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(23623,100003,3,100,'Inflicts 180 - 300 divine damage on targets in Area of Effect',0,0),
(23624,100003,3,100,'Stuns targets in Area of Effect',0,1),
(23625,100003,3,100,'If Target is not Epic',1,2),
(23626,100003,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(23627,100003,4,100,'Inflicts 198 - 330 divine damage on targets in Area of Effect',0,0),
(23628,100003,4,100,'Stuns targets in Area of Effect',0,1),
(23629,100003,4,100,'If Target is not Epic',1,2),
(23630,100003,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(23631,100003,5,100,'Inflicts 216 - 360 divine damage on targets in Area of Effect',0,0),
(23632,100003,5,100,'Stuns targets in Area of Effect',0,1),
(23633,100003,5,100,'If Target is not Epic',1,2),
(23634,100003,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(23635,100003,7,100,'Inflicts 277 - 462 divine damage on targets in Area of Effect',0,0),
(23636,100003,7,100,'Stuns targets in Area of Effect',0,1),
(23637,100003,7,100,'If Target is not Epic',1,2),
(23638,100003,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(23639,100003,9,100,'Inflicts 288 - 479 divine damage on targets in Area of Effect',0,0),
(23640,100003,9,100,'Stuns targets in Area of Effect',0,1),
(23641,100003,9,100,'If Target is not Epic',1,2),
(23642,100003,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(23643,100004,1,100,'Inflicts 211 - 352 divine damage on targets in Area of Effect',0,0),
(23644,100004,1,100,'Stuns targets in Area of Effect',0,1),
(23645,100004,1,100,'If Target is not Epic',1,2),
(23646,100004,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(23647,100004,2,100,'Inflicts 223 - 372 divine damage on targets in Area of Effect',0,0),
(23648,100004,2,100,'Stuns targets in Area of Effect',0,1),
(23649,100004,2,100,'If Target is not Epic',1,2),
(23650,100004,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(23651,100004,3,100,'Inflicts 235 - 392 divine damage on targets in Area of Effect',0,0),
(23652,100004,3,100,'Stuns targets in Area of Effect',0,1),
(23653,100004,3,100,'If Target is not Epic',1,2),
(23654,100004,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(23655,100004,4,100,'Inflicts 258 - 431 divine damage on targets in Area of Effect',0,0),
(23656,100004,4,100,'Stuns targets in Area of Effect',0,1),
(23657,100004,4,100,'If Target is not Epic',1,2),
(23658,100004,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(23659,100004,5,100,'Inflicts 282 - 470 divine damage on targets in Area of Effect',0,0),
(23660,100004,5,100,'Stuns targets in Area of Effect',0,1),
(23661,100004,5,100,'If Target is not Epic',1,2),
(23662,100004,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(23663,100004,7,100,'Inflicts 362 - 603 divine damage on targets in Area of Effect',0,0),
(23664,100004,7,100,'Stuns targets in Area of Effect',0,1),
(23665,100004,7,100,'If Target is not Epic',1,2),
(23666,100004,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(23667,100004,9,100,'Inflicts 376 - 627 divine damage on targets in Area of Effect',0,0),
(23668,100004,9,100,'Stuns targets in Area of Effect',0,1),
(23669,100004,9,100,'If Target is not Epic',1,2),
(23670,100004,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(23671,100005,1,100,'Inflicts 256 - 427 divine damage on targets in Area of Effect',0,0),
(23672,100005,1,100,'Stuns targets in Area of Effect',0,1),
(23673,100005,1,100,'If Target is not Epic',1,2),
(23674,100005,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(23675,100005,2,100,'Inflicts 271 - 451 divine damage on targets in Area of Effect',0,0),
(23676,100005,2,100,'Stuns targets in Area of Effect',0,1),
(23677,100005,2,100,'If Target is not Epic',1,2),
(23678,100005,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(23679,100005,3,100,'Inflicts 285 - 475 divine damage on targets in Area of Effect',0,0),
(23680,100005,3,100,'Stuns targets in Area of Effect',0,1),
(23681,100005,3,100,'If Target is not Epic',1,2),
(23682,100005,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(23683,100005,4,100,'Inflicts 313 - 522 divine damage on targets in Area of Effect',0,0),
(23684,100005,4,100,'Stuns targets in Area of Effect',0,1),
(23685,100005,4,100,'If Target is not Epic',1,2),
(23686,100005,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(23687,100005,5,100,'Inflicts 342 - 570 divine damage on targets in Area of Effect',0,0),
(23688,100005,5,100,'Stuns targets in Area of Effect',0,1),
(23689,100005,5,100,'If Target is not Epic',1,2),
(23690,100005,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(23691,100005,7,100,'Inflicts 439 - 731 divine damage on targets in Area of Effect',0,0),
(23692,100005,7,100,'Stuns targets in Area of Effect',0,1),
(23693,100005,7,100,'If Target is not Epic',1,2),
(23694,100005,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(23695,100005,9,100,'Inflicts 456 - 760 divine damage on targets in Area of Effect',0,0),
(23696,100005,9,100,'Stuns targets in Area of Effect',0,1),
(23697,100005,9,100,'If Target is not Epic',1,2),
(23698,100005,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(23699,100006,1,100,'Inflicts 309 - 514 divine damage on targets in Area of Effect',0,0),
(23700,100006,1,100,'Stuns targets in Area of Effect',0,1),
(23701,100006,1,100,'If Target is not Epic',1,2),
(23702,100006,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(23703,100006,4,100,'Inflicts 377 - 628 divine damage on targets in Area of Effect',0,0),
(23704,100006,4,100,'Stuns targets in Area of Effect',0,1),
(23705,100006,4,100,'If Target is not Epic',1,2),
(23706,100006,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(23707,100006,5,100,'Inflicts 411 - 686 divine damage on targets in Area of Effect',0,0),
(23708,100006,5,100,'Stuns targets in Area of Effect',0,1),
(23709,100006,5,100,'If Target is not Epic',1,2),
(23710,100006,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(23711,100006,7,100,'Inflicts 528 - 880 divine damage on targets in Area of Effect',0,0),
(23712,100006,7,100,'Stuns targets in Area of Effect',0,1),
(23713,100006,7,100,'If Target is not Epic',1,2),
(23714,100006,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(23715,100006,9,100,'Inflicts 548 - 914 divine damage on targets in Area of Effect',0,0),
(23716,100006,9,100,'Stuns targets in Area of Effect',0,1),
(23717,100006,9,100,'If Target is not Epic',1,2),
(23718,100006,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(23719,100007,1,100,'Inflicts 327 - 546 divine damage on targets in Area of Effect',0,0),
(23720,100007,1,100,'Stuns targets in Area of Effect',0,1),
(23721,100007,1,100,'If Target is not Epic',1,2),
(23722,100007,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(23723,100007,4,100,'Inflicts 400 - 667 divine damage on targets in Area of Effect',0,0),
(23724,100007,4,100,'Stuns targets in Area of Effect',0,1),
(23725,100007,4,100,'If Target is not Epic',1,2),
(23726,100007,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(23727,100007,5,100,'Inflicts 436 - 727 divine damage on targets in Area of Effect',0,0),
(23728,100007,5,100,'Stuns targets in Area of Effect',0,1),
(23729,100007,5,100,'If Target is not Epic',1,2),
(23730,100007,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(23731,100007,7,100,'Inflicts 560 - 934 divine damage on targets in Area of Effect',0,0),
(23732,100007,7,100,'Stuns targets in Area of Effect',0,1),
(23733,100007,7,100,'If Target is not Epic',1,2),
(23734,100007,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(23735,100007,9,100,'Inflicts 582 - 970 divine damage on targets in Area of Effect',0,0),
(23736,100007,9,100,'Stuns targets in Area of Effect',0,1),
(23737,100007,9,100,'If Target is not Epic',1,2),
(23738,100007,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(23739,20000,1,100,'Interrupts target',0,0),
(23740,20000,1,100,'Increases Threat to target by 977 - 1,194 ',0,1),
(23741,20000,2,100,'Interrupts target',0,0),
(23742,20000,2,100,'Increases Threat to target by 1,031 - 1,260 ',0,1),
(23743,20000,3,100,'Interrupts target',0,0),
(23744,20000,3,100,'Increases Threat to target by 1,085 - 1,305 ',0,1),
(23745,20000,4,100,'Interrupts target',0,0),
(23746,20000,4,100,'Increases Threat to target by 1,194 - 1,382 ',0,1),
(23747,20000,5,100,'Interrupts target',0,0),
(23748,20000,5,100,'Increases Threat to target by 1,292 - 1,459 ',0,1),
(23749,20000,7,100,'Interrupts target',0,0),
(23750,20000,7,100,'Increases Threat to target by 1,505 - 1,719 ',0,1),
(23751,20000,9,100,'Interrupts target',0,0),
(23752,20000,9,100,'Increases Threat to target by 1,542 - 1,765 ',0,1),
(23753,2000009,3,100,'Inflicts 3 - 5 piercing damage on target',0,0),
(23754,2000009,3,100,'Slows target by 25.0%',0,1),
(23755,2000009,4,100,'Inflicts 3 - 6 piercing damage on target',0,0),
(23756,2000009,4,100,'Slows target by 27.5%',0,1),
(23757,2000009,5,100,'Inflicts 4 - 6 piercing damage on target',0,0),
(23758,2000009,5,100,'Slows target by 30.0%',0,1),
(23759,2000009,7,100,'Inflicts 5 - 8 piercing damage on target',0,0),
(23760,2000009,7,100,'Slows target by 38.5%',0,1),
(23761,2000009,9,100,'Inflicts 5 - 9 piercing damage on target',0,0),
(23762,2000009,9,100,'Slows target by 40.0%',0,1),
(23763,2000009,10,100,'Inflicts 5 - 9 piercing damage on target',0,0),
(23764,2000009,10,100,'Slows target by 42.0%',0,1),
(23765,400009,1,100,'On a melee hit this spell may cast Assassin''s Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',0,0),
(23766,400009,1,100,'Inflicts 127 poison damage on target instantly and every 4 seconds',1,1),
(23767,400009,1,100,'If profession other than Predator',0,2),
(23768,400009,1,100,'If profession other than Rogue',0,3),
(23769,400009,2,100,'On a melee hit this spell may cast Assassin''s Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',0,0),
(23770,400009,2,100,'Inflicts 134 poison damage on target instantly and every 4 seconds',1,1),
(23771,400009,2,100,'If profession other than Predator',0,2),
(23772,400009,2,100,'If profession other than Rogue',0,3),
(23773,400009,3,100,'On a melee hit this spell may cast Assassin''s Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',0,0),
(23774,400009,3,100,'Inflicts 141 poison damage on target instantly and every 4 seconds',1,1),
(23775,400009,3,100,'If profession other than Predator',0,2),
(23776,400009,3,100,'If profession other than Rogue',0,3),
(23777,400009,4,100,'On a melee hit this spell may cast Assassin''s Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',0,0),
(23778,400009,4,100,'Inflicts 155 poison damage on target instantly and every 4 seconds',1,1),
(23779,400009,4,100,'If profession other than Predator',0,2),
(23780,400009,4,100,'If profession other than Rogue',0,3),
(23781,400009,5,100,'On a melee hit this spell may cast Assassin''s Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',0,0),
(23782,400009,5,100,'Inflicts 169 poison damage on target instantly and every 4 seconds',1,1),
(23783,400009,5,100,'If profession other than Predator',0,2),
(23784,400009,5,100,'If profession other than Rogue',0,3),
(23785,400009,7,100,'On a melee hit this spell may cast Assassin''s Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',0,0),
(23786,400009,7,100,'Inflicts 217 poison damage on target instantly and every 4 seconds',1,1),
(23787,400009,7,100,'If profession other than Predator',0,2),
(23788,400009,7,100,'If profession other than Rogue',0,3),
(23789,400009,9,100,'On a melee hit this spell may cast Assassin''s Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',0,0),
(23790,400009,9,100,'Inflicts 225 poison damage on target instantly and every 4 seconds',1,1),
(23791,400009,9,100,'If profession other than Predator',0,2),
(23792,400009,9,100,'If profession other than Rogue',0,3),
(23793,400010,1,100,'On a melee hit this spell may cast Assassin''s Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',0,0),
(23794,400010,1,100,'Inflicts 189 poison damage on target instantly and every 4 seconds',1,1),
(23795,400010,1,100,'If profession other than Predator',0,2),
(23796,400010,1,100,'If profession other than Rogue',0,3),
(23797,400010,2,100,'On a melee hit this spell may cast Assassin''s Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',0,0),
(23798,400010,2,100,'Inflicts 199 poison damage on target instantly and every 4 seconds',1,1),
(23799,400010,2,100,'If profession other than Predator',0,2),
(23800,400010,2,100,'If profession other than Rogue',0,3),
(23801,400010,3,100,'On a melee hit this spell may cast Assassin''s Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',0,0),
(23802,400010,3,100,'Inflicts 210 poison damage on target instantly and every 4 seconds',1,1),
(23803,400010,3,100,'If profession other than Predator',0,2),
(23804,400010,3,100,'If profession other than Rogue',0,3),
(23805,400010,4,100,'On a melee hit this spell may cast Assassin''s Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',0,0),
(23806,400010,4,100,'Inflicts 231 poison damage on target instantly and every 4 seconds',1,1),
(23807,400010,4,100,'If profession other than Predator',0,2),
(23808,400010,4,100,'If profession other than Rogue',0,3),
(23809,400010,5,100,'On a melee hit this spell may cast Assassin''s Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',0,0),
(23810,400010,5,100,'Inflicts 252 poison damage on target instantly and every 4 seconds',1,1),
(23811,400010,5,100,'If profession other than Predator',0,2),
(23812,400010,5,100,'If profession other than Rogue',0,3),
(23813,400010,7,100,'On a melee hit this spell may cast Assassin''s Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',0,0),
(23814,400010,7,100,'Inflicts 323 poison damage on target instantly and every 4 seconds',1,1),
(23815,400010,7,100,'If profession other than Predator',0,2),
(23816,400010,7,100,'If profession other than Rogue',0,3),
(23817,400010,9,100,'On a melee hit this spell may cast Assassin''s Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',0,0),
(23818,400010,9,100,'Inflicts 336 poison damage on target instantly and every 4 seconds',1,1),
(23819,400010,9,100,'If profession other than Predator',0,2),
(23820,400010,9,100,'If profession other than Rogue',0,3),
(23821,400011,1,100,'On a melee hit this spell may cast Assassin''s Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',0,0),
(23822,400011,1,100,'Inflicts 229 poison damage on target instantly and every 4 seconds',1,1),
(23823,400011,1,100,'If profession other than Predator',0,2),
(23824,400011,1,100,'If profession other than Rogue',0,3),
(23825,400011,4,100,'On a melee hit this spell may cast Assassin''s Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',0,0),
(23826,400011,4,100,'Inflicts 280 poison damage on target instantly and every 4 seconds',1,1),
(23827,400011,4,100,'If profession other than Predator',0,2),
(23828,400011,4,100,'If profession other than Rogue',0,3),
(23829,400011,5,100,'On a melee hit this spell may cast Assassin''s Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',0,0),
(23830,400011,5,100,'Inflicts 305 poison damage on target instantly and every 4 seconds',1,1),
(23831,400011,5,100,'If profession other than Predator',0,2),
(23832,400011,5,100,'If profession other than Rogue',0,3),
(23833,400011,7,100,'On a melee hit this spell may cast Assassin''s Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',0,0),
(23834,400011,7,100,'Inflicts 391 poison damage on target instantly and every 4 seconds',1,1),
(23835,400011,7,100,'If profession other than Predator',0,2),
(23836,400011,7,100,'If profession other than Rogue',0,3),
(23837,400011,9,100,'On a melee hit this spell may cast Assassin''s Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',0,0),
(23838,400011,9,100,'Inflicts 407 poison damage on target instantly and every 4 seconds',1,1),
(23839,400011,9,100,'If profession other than Predator',0,2),
(23840,400011,9,100,'If profession other than Rogue',0,3),
(23841,400012,1,100,'On a melee hit this spell may cast Assassin''s Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',0,0),
(23842,400012,1,100,'Inflicts 268 poison damage on target instantly and every 4 seconds',1,1),
(23843,400012,1,100,'If profession other than Predator',0,2),
(23844,400012,1,100,'If profession other than Rogue',0,3),
(23845,400012,4,100,'On a melee hit this spell may cast Assassin''s Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',0,0),
(23846,400012,4,100,'Inflicts 327 poison damage on target instantly and every 4 seconds',1,1),
(23847,400012,4,100,'If profession other than Predator',0,2),
(23848,400012,4,100,'If profession other than Rogue',0,3),
(23849,400012,5,100,'On a melee hit this spell may cast Assassin''s Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',0,0),
(23850,400012,5,100,'Inflicts 357 poison damage on target instantly and every 4 seconds',1,1),
(23851,400012,5,100,'If profession other than Predator',0,2),
(23852,400012,5,100,'If profession other than Rogue',0,3),
(23853,400012,7,100,'On a melee hit this spell may cast Assassin''s Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',0,0),
(23854,400012,7,100,'Inflicts 458 poison damage on target instantly and every 4 seconds',1,1),
(23855,400012,7,100,'If profession other than Predator',0,2),
(23856,400012,7,100,'If profession other than Rogue',0,3),
(23857,400012,9,100,'On a melee hit this spell may cast Assassin''s Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',0,0),
(23858,400012,9,100,'Inflicts 476 poison damage on target instantly and every 4 seconds',1,1),
(23859,400012,9,100,'If profession other than Predator',0,2),
(23860,400012,9,100,'If profession other than Rogue',0,3),
(23861,2000010,3,100,'Heals group members (AE) for 2 - 4',0,0),
(23862,2000010,4,100,'Heals group members (AE) for 3 - 4',0,0),
(23863,2000010,5,100,'Heals group members (AE) for 3 - 5',0,0),
(23864,2000010,7,100,'Heals group members (AE) for 3 - 5',0,0),
(23865,2000010,9,100,'Heals group members (AE) for 4 - 6',0,0),
(23866,2000010,10,100,'Heals group members (AE) for 4 - 6',0,0),
(23867,2000011,3,100,'Inflicts 5 - 8 magic damage on target',0,0),
(23868,2000011,3,100,'Inflicts 1 magic damage on target every 3 seconds',0,1),
(23869,2000011,4,100,'Inflicts 5 - 9 magic damage on target',0,0),
(23870,2000011,4,100,'Inflicts 1 magic damage on target every 3 seconds',0,1),
(23871,2000011,5,100,'Inflicts 6 - 10 magic damage on target',0,0),
(23872,2000011,5,100,'Inflicts 1 - 2 magic damage on target every 3 seconds',0,1),
(23873,2000011,7,100,'Inflicts 7 - 13 magic damage on target',0,0),
(23874,2000011,7,100,'Inflicts 1 - 2 magic damage on target every 3 seconds',0,1),
(23875,2000011,9,100,'Inflicts 8 - 13 magic damage on target',0,0),
(23876,2000011,9,100,'Inflicts 1 - 2 magic damage on target every 3 seconds',0,1),
(23877,2000011,10,100,'Inflicts 8 - 14 magic damage on target',0,0),
(23878,2000011,10,100,'Inflicts 1 - 2 magic damage on target every 3 seconds',0,1),
(23879,390000,1,100,'Increases Fervor of caster by 5.0',0,0),
(23880,390000,1,100,'Decreases Defense of caster by 5.1',0,1),
(23881,390000,1,100,'Increases Crushing, Piercing, Ranged and Slashing of caster by 6.9',0,2),
(23882,390000,1,100,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',0,3),
(23883,390000,2,100,'Increases Fervor of caster by 5.0',0,0),
(23884,390000,2,100,'Decreases Defense of caster by 5.1',0,1),
(23885,390000,2,100,'Increases Crushing, Piercing, Ranged and Slashing of caster by 7.3',0,2),
(23886,390000,2,100,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',0,3),
(23887,390000,3,100,'Increases Fervor of caster by 5.0',0,0),
(23888,390000,3,100,'Decreases Defense of caster by 5.1',0,1),
(23889,390000,3,100,'Increases Crushing, Piercing, Ranged and Slashing of caster by 7.7',0,2),
(23890,390000,3,100,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',0,3),
(23891,390000,4,100,'Increases Fervor of caster by 5.0',0,0),
(23892,390000,4,100,'Decreases Defense of caster by 5.1',0,1),
(23893,390000,4,100,'Increases Crushing, Piercing, Ranged and Slashing of caster by 8.4',0,2),
(23894,390000,4,100,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',0,3),
(23895,390000,5,100,'Increases Fervor of caster by 5.0',0,0),
(23896,390000,5,100,'Decreases Defense of caster by 5.1',0,1),
(23897,390000,5,100,'Increases Crushing, Piercing, Ranged and Slashing of caster by 9.2',0,2),
(23898,390000,5,100,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',0,3),
(23899,390000,7,100,'Increases Fervor of caster by 5.0',0,0),
(23900,390000,7,100,'Decreases Defense of caster by 5.1',0,1),
(23901,390000,7,100,'Increases Crushing, Piercing, Ranged and Slashing of caster by 11.8',0,2),
(23902,390000,7,100,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',0,3),
(23903,390000,9,100,'Increases Fervor of caster by 5.0',0,0),
(23904,390000,9,100,'Decreases Defense of caster by 5.1',0,1),
(23905,390000,9,100,'Increases Crushing, Piercing, Ranged and Slashing of caster by 12.2',0,2),
(23906,390000,9,100,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',0,3),
(23907,390001,1,100,'Increases Fervor of caster by 5.0',0,0),
(23908,390001,1,100,'Decreases Defense of caster by 9.3',0,1),
(23909,390001,1,100,'Increases Crushing, Piercing, Ranged and Slashing of caster by 12.6',0,2),
(23910,390001,1,100,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',0,3),
(23911,390001,2,100,'Increases Fervor of caster by 5.0',0,0),
(23912,390001,2,100,'Decreases Defense of caster by 9.3',0,1),
(23913,390001,2,100,'Increases Crushing, Piercing, Ranged and Slashing of caster by 13.3',0,2),
(23914,390001,2,100,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',0,3),
(23915,390001,3,100,'Increases Fervor of caster by 5.0',0,0),
(23916,390001,3,100,'Decreases Defense of caster by 9.3',0,1),
(23917,390001,3,100,'Increases Crushing, Piercing, Ranged and Slashing of caster by 13.9',0,2),
(23918,390001,3,100,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',0,3),
(23919,390001,4,100,'Increases Fervor of caster by 5.0',0,0),
(23920,390001,4,100,'Decreases Defense of caster by 9.3',0,1),
(23921,390001,4,100,'Increases Crushing, Piercing, Ranged and Slashing of caster by 15.3',0,2),
(23922,390001,4,100,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',0,3),
(23923,390001,5,100,'Increases Fervor of caster by 5.0',0,0),
(23924,390001,5,100,'Decreases Defense of caster by 9.3',0,1),
(23925,390001,5,100,'Increases Crushing, Piercing, Ranged and Slashing of caster by 16.7',0,2),
(23926,390001,5,100,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',0,3),
(23927,390001,7,100,'Increases Fervor of caster by 5.0',0,0),
(23928,390001,7,100,'Decreases Defense of caster by 9.3',0,1),
(23929,390001,7,100,'Increases Crushing, Piercing, Ranged and Slashing of caster by 21.5',0,2),
(23930,390001,7,100,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',0,3),
(23931,390001,9,100,'Increases Fervor of caster by 5.0',0,0),
(23932,390001,9,100,'Decreases Defense of caster by 9.3',0,1),
(23933,390001,9,100,'Increases Crushing, Piercing, Ranged and Slashing of caster by 22.3',0,2),
(23934,390001,9,100,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',0,3),
(23935,390002,1,100,'Increases Fervor of caster by 5.0',0,0),
(23936,390002,1,100,'Decreases Defense of caster by 13.5',0,1),
(23937,390002,1,100,'Increases Crushing, Piercing, Ranged and Slashing of caster by 18.2',0,2),
(23938,390002,1,100,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',0,3),
(23939,390002,2,100,'Increases Fervor of caster by 5.0',0,0),
(23940,390002,2,100,'Decreases Defense of caster by 13.5',0,1),
(23941,390002,2,100,'Increases Crushing, Piercing, Ranged and Slashing of caster by 19.2',0,2),
(23942,390002,2,100,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',0,3),
(23943,390002,3,100,'Increases Fervor of caster by 5.0',0,0),
(23944,390002,3,100,'Decreases Defense of caster by 13.5',0,1),
(23945,390002,3,100,'Increases Crushing, Piercing, Ranged and Slashing of caster by 20.3',0,2),
(23946,390002,3,100,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',0,3),
(23947,390002,4,100,'Increases Fervor of caster by 5.0',0,0),
(23948,390002,4,100,'Decreases Defense of caster by 13.5',0,1),
(23949,390002,4,100,'Increases Crushing, Piercing, Ranged and Slashing of caster by 22.3',0,2),
(23950,390002,4,100,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',0,3),
(23951,390002,5,100,'Increases Fervor of caster by 5.0',0,0),
(23952,390002,5,100,'Decreases Defense of caster by 13.5',0,1),
(23953,390002,5,100,'Increases Crushing, Piercing, Ranged and Slashing of caster by 24.3',0,2),
(23954,390002,5,100,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',0,3),
(23955,390002,7,100,'Increases Fervor of caster by 5.0',0,0),
(23956,390002,7,100,'Decreases Defense of caster by 13.5',0,1),
(23957,390002,7,100,'Increases Crushing, Piercing, Ranged and Slashing of caster by 31.2',0,2),
(23958,390002,7,100,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',0,3),
(23959,390002,9,100,'Increases Fervor of caster by 5.0',0,0),
(23960,390002,9,100,'Decreases Defense of caster by 13.5',0,1),
(23961,390002,9,100,'Increases Crushing, Piercing, Ranged and Slashing of caster by 32.4',0,2),
(23962,390002,9,100,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',0,3),
(23963,390003,1,100,'Increases Fervor of caster by 5.0',0,0),
(23964,390003,1,100,'Decreases Defense of caster by 17.7',0,1),
(23965,390003,1,100,'Increases Crushing, Piercing, Ranged and Slashing of caster by 23.9',0,2),
(23966,390003,1,100,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',0,3),
(23967,390003,2,100,'Increases Fervor of caster by 5.0',0,0),
(23968,390003,2,100,'Decreases Defense of caster by 17.7',0,1),
(23969,390003,2,100,'Increases Crushing, Piercing, Ranged and Slashing of caster by 25.2',0,2),
(23970,390003,2,100,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',0,3),
(23971,390003,3,100,'Increases Fervor of caster by 5.0',0,0),
(23972,390003,3,100,'Decreases Defense of caster by 17.7',0,1),
(23973,390003,3,100,'Increases Crushing, Piercing, Ranged and Slashing of caster by 26.5',0,2),
(23974,390003,3,100,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',0,3),
(23975,390003,4,100,'Increases Fervor of caster by 5.0',0,0),
(23976,390003,4,100,'Decreases Defense of caster by 17.7',0,1),
(23977,390003,4,100,'Increases Crushing, Piercing, Ranged and Slashing of caster by 29.2',0,2),
(23978,390003,4,100,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',0,3),
(23979,390003,5,100,'Increases Fervor of caster by 5.0',0,0),
(23980,390003,5,100,'Decreases Defense of caster by 17.7',0,1),
(23981,390003,5,100,'Increases Crushing, Piercing, Ranged and Slashing of caster by 31.9',0,2),
(23982,390003,5,100,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',0,3),
(23983,390003,7,100,'Increases Fervor of caster by 5.0',0,0),
(23984,390003,7,100,'Decreases Defense of caster by 17.7',0,1),
(23985,390003,7,100,'Increases Crushing, Piercing, Ranged and Slashing of caster by 40.9',0,2),
(23986,390003,7,100,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',0,3),
(23987,390003,9,100,'Increases Fervor of caster by 5.0',0,0),
(23988,390003,9,100,'Decreases Defense of caster by 17.7',0,1),
(23989,390003,9,100,'Increases Crushing, Piercing, Ranged and Slashing of caster by 42.5',0,2),
(23990,390003,9,100,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',0,3),
(23991,390004,1,100,'Increases Fervor of caster by 5.0',0,0),
(23992,390004,1,100,'Decreases Defense of caster by 21.8',0,1),
(23993,390004,1,100,'Increases Crushing, Piercing, Ranged and Slashing of caster by 29.4',0,2),
(23994,390004,1,100,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',0,3),
(23995,390004,2,100,'Increases Fervor of caster by 5.0',0,0),
(23996,390004,2,100,'Decreases Defense of caster by 21.8',0,1),
(23997,390004,2,100,'Increases Crushing, Piercing, Ranged and Slashing of caster by 31.1',0,2),
(23998,390004,2,100,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',0,3),
(23999,390004,3,100,'Increases Fervor of caster by 5.0',0,0),
(24000,390004,3,100,'Decreases Defense of caster by 21.8',0,1),
(24001,390004,3,100,'Increases Crushing, Piercing, Ranged and Slashing of caster by 32.7',0,2),
(24002,390004,3,100,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',0,3),
(24003,390004,4,100,'Increases Fervor of caster by 5.0',0,0),
(24004,390004,4,100,'Decreases Defense of caster by 21.8',0,1),
(24005,390004,4,100,'Increases Crushing, Piercing, Ranged and Slashing of caster by 36.0',0,2),
(24006,390004,4,100,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',0,3),
(24007,390004,5,100,'Increases Fervor of caster by 5.0',0,0),
(24008,390004,5,100,'Decreases Defense of caster by 21.8',0,1),
(24009,390004,5,100,'Increases Crushing, Piercing, Ranged and Slashing of caster by 39.2',0,2),
(24010,390004,5,100,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',0,3),
(24011,390004,7,100,'Increases Fervor of caster by 5.0',0,0),
(24012,390004,7,100,'Decreases Defense of caster by 21.8',0,1),
(24013,390004,7,100,'Increases Crushing, Piercing, Ranged and Slashing of caster by 50.4',0,2),
(24014,390004,7,100,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',0,3),
(24015,390004,9,100,'Increases Fervor of caster by 5.0',0,0),
(24016,390004,9,100,'Decreases Defense of caster by 21.8',0,1),
(24017,390004,9,100,'Increases Crushing, Piercing, Ranged and Slashing of caster by 52.3',0,2),
(24018,390004,9,100,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',0,3),
(24019,390005,1,100,'Increases Fervor of caster by 5.0',0,0),
(24020,390005,1,100,'Decreases Defense of caster by 25.8',0,1),
(24021,390005,1,100,'Increases Crushing, Piercing, Ranged and Slashing of caster by 35.1',0,2),
(24022,390005,1,100,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',0,3),
(24023,390005,4,100,'Increases Fervor of caster by 5.0',0,0),
(24024,390005,4,100,'Decreases Defense of caster by 25.8',0,1),
(24025,390005,4,100,'Increases Crushing, Piercing, Ranged and Slashing of caster by 42.9',0,2),
(24026,390005,4,100,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',0,3),
(24027,390005,5,100,'Increases Fervor of caster by 5.0',0,0),
(24028,390005,5,100,'Decreases Defense of caster by 25.8',0,1),
(24029,390005,5,100,'Increases Crushing, Piercing, Ranged and Slashing of caster by 46.8',0,2),
(24030,390005,5,100,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',0,3),
(24031,390005,7,100,'Increases Fervor of caster by 5.0',0,0),
(24032,390005,7,100,'Decreases Defense of caster by 25.8',0,1),
(24033,390005,7,100,'Increases Crushing, Piercing, Ranged and Slashing of caster by 60.1',0,2),
(24034,390005,7,100,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',0,3),
(24035,390005,9,100,'Increases Fervor of caster by 5.0',0,0),
(24036,390005,9,100,'Decreases Defense of caster by 25.8',0,1),
(24037,390005,9,100,'Increases Crushing, Piercing, Ranged and Slashing of caster by 62.4',0,2),
(24038,390005,9,100,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',0,3),
(24039,390006,1,100,'Increases Fervor of caster by 5.0',0,0),
(24040,390006,1,100,'Decreases Defense of caster by 29.8',0,1),
(24041,390006,1,100,'Increases Crushing, Piercing, Ranged and Slashing of caster by 41.8',0,2),
(24042,390006,1,100,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',0,3),
(24043,390006,4,100,'Increases Fervor of caster by 5.0',0,0),
(24044,390006,4,100,'Decreases Defense of caster by 29.8',0,1),
(24045,390006,4,100,'Increases Crushing, Piercing, Ranged and Slashing of caster by 51.2',0,2),
(24046,390006,4,100,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',0,3),
(24047,390006,5,100,'Increases Fervor of caster by 5.0',0,0),
(24048,390006,5,100,'Decreases Defense of caster by 29.8',0,1),
(24049,390006,5,100,'Increases Crushing, Piercing, Ranged and Slashing of caster by 55.8',0,2),
(24050,390006,5,100,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',0,3),
(24051,390006,7,100,'Increases Fervor of caster by 5.0',0,0),
(24052,390006,7,100,'Decreases Defense of caster by 29.8',0,1),
(24053,390006,7,100,'Increases Crushing, Piercing, Ranged and Slashing of caster by 71.6',0,2),
(24054,390006,7,100,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',0,3),
(24055,390006,9,100,'Increases Fervor of caster by 5.0',0,0),
(24056,390006,9,100,'Decreases Defense of caster by 29.8',0,1),
(24057,390006,9,100,'Increases Crushing, Piercing, Ranged and Slashing of caster by 74.4',0,2),
(24058,390006,9,100,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',0,3),
(24059,330000,1,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(24060,330000,1,100,'Slows target by 29.9%',1,1),
(24061,330000,1,100,'5% chance to dispel when target receives hostile action',1,2),
(24062,330000,1,100,'5% chance to dispel when target takes damage',1,3),
(24063,330000,1,100,'Inflicts 32 - 53 cold damage on target',0,4),
(24064,330000,1,100,'Inflicts 32 - 53 cold damage on target',0,5),
(24065,330000,1,100,'If weapon equipped in Ranged',0,6),
(24066,330000,2,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(24067,330000,2,100,'Slows target by 31.5%',1,1),
(24068,330000,2,100,'5% chance to dispel when target receives hostile action',1,2),
(24069,330000,2,100,'5% chance to dispel when target takes damage',1,3),
(24070,330000,2,100,'Inflicts 33 - 56 cold damage on target',0,4),
(24071,330000,2,100,'Inflicts 33 - 56 cold damage on target',0,5),
(24072,330000,2,100,'If weapon equipped in Ranged',0,6),
(24073,330000,3,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(24074,330000,3,100,'Slows target by 33.2%',1,1),
(24075,330000,3,100,'5% chance to dispel when target receives hostile action',1,2),
(24076,330000,3,100,'5% chance to dispel when target takes damage',1,3),
(24077,330000,3,100,'Inflicts 35 - 59 cold damage on target',0,4),
(24078,330000,3,100,'Inflicts 35 - 59 cold damage on target',0,5),
(24079,330000,3,100,'If weapon equipped in Ranged',0,6),
(24080,330000,4,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(24081,330000,4,100,'Slows target by 36.5%',1,1),
(24082,330000,4,100,'5% chance to dispel when target receives hostile action',1,2),
(24083,330000,4,100,'5% chance to dispel when target takes damage',1,3),
(24084,330000,4,100,'Inflicts 39 - 65 cold damage on target',0,4),
(24085,330000,4,100,'Inflicts 39 - 65 cold damage on target',0,5),
(24086,330000,4,100,'If weapon equipped in Ranged',0,6),
(24087,330000,5,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(24088,330000,5,100,'Slows target by 39.8%',1,1),
(24089,330000,5,100,'5% chance to dispel when target receives hostile action',1,2),
(24090,330000,5,100,'5% chance to dispel when target takes damage',1,3),
(24091,330000,5,100,'Inflicts 42 - 71 cold damage on target',0,4),
(24092,330000,5,100,'Inflicts 42 - 71 cold damage on target',0,5),
(24093,330000,5,100,'If weapon equipped in Ranged',0,6),
(24094,330000,7,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(24095,330000,7,100,'Slows target by 51.1%',1,1),
(24096,330000,7,100,'5% chance to dispel when target receives hostile action',1,2),
(24097,330000,7,100,'5% chance to dispel when target takes damage',1,3),
(24098,330000,7,100,'Inflicts 54 - 91 cold damage on target',0,4),
(24099,330000,7,100,'Inflicts 54 - 91 cold damage on target',0,5),
(24100,330000,7,100,'If weapon equipped in Ranged',0,6),
(24101,330000,9,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(24102,330000,9,100,'Slows target by 53.1%',1,1),
(24103,330000,9,100,'5% chance to dispel when target receives hostile action',1,2),
(24104,330000,9,100,'5% chance to dispel when target takes damage',1,3),
(24105,330000,9,100,'Inflicts 57 - 95 cold damage on target',0,4),
(24106,330000,9,100,'Inflicts 57 - 95 cold damage on target',0,5),
(24107,330000,9,100,'If weapon equipped in Ranged',0,6),
(24108,330001,1,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(24109,330001,1,100,'Slows target by 32.4%',1,1),
(24110,330001,1,100,'5% chance to dispel when target receives hostile action',1,2),
(24111,330001,1,100,'5% chance to dispel when target takes damage',1,3),
(24112,330001,1,100,'Inflicts 63 - 105 cold damage on target',0,4),
(24113,330001,1,100,'Inflicts 63 - 105 cold damage on target',0,5),
(24114,330001,1,100,'If weapon equipped in Ranged',0,6),
(24115,330001,2,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(24116,330001,2,100,'Slows target by 34.2%',1,1),
(24117,330001,2,100,'5% chance to dispel when target receives hostile action',1,2),
(24118,330001,2,100,'5% chance to dispel when target takes damage',1,3),
(24119,330001,2,100,'Inflicts 67 - 111 cold damage on target',0,4),
(24120,330001,2,100,'Inflicts 67 - 111 cold damage on target',0,5),
(24121,330001,2,100,'If weapon equipped in Ranged',0,6),
(24122,330001,3,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(24123,330001,3,100,'Slows target by 36.0%',1,1),
(24124,330001,3,100,'5% chance to dispel when target receives hostile action',1,2),
(24125,330001,3,100,'5% chance to dispel when target takes damage',1,3),
(24126,330001,3,100,'Inflicts 70 - 117 cold damage on target',0,4),
(24127,330001,3,100,'Inflicts 70 - 117 cold damage on target',0,5),
(24128,330001,3,100,'If weapon equipped in Ranged',0,6),
(24129,330001,4,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(24130,330001,4,100,'Slows target by 39.6%',1,1),
(24131,330001,4,100,'5% chance to dispel when target receives hostile action',1,2),
(24132,330001,4,100,'5% chance to dispel when target takes damage',1,3),
(24133,330001,4,100,'Inflicts 77 - 129 cold damage on target',0,4),
(24134,330001,4,100,'Inflicts 77 - 129 cold damage on target',0,5),
(24135,330001,4,100,'If weapon equipped in Ranged',0,6),
(24136,330001,5,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(24137,330001,5,100,'Slows target by 43.2%',1,1),
(24138,330001,5,100,'5% chance to dispel when target receives hostile action',1,2),
(24139,330001,5,100,'5% chance to dispel when target takes damage',1,3),
(24140,330001,5,100,'Inflicts 84 - 141 cold damage on target',0,4),
(24141,330001,5,100,'Inflicts 84 - 141 cold damage on target',0,5),
(24142,330001,5,100,'If weapon equipped in Ranged',0,6),
(24143,330001,7,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(24144,330001,7,100,'Slows target by 55.4%',1,1),
(24145,330001,7,100,'5% chance to dispel when target receives hostile action',1,2),
(24146,330001,7,100,'5% chance to dispel when target takes damage',1,3),
(24147,330001,7,100,'Inflicts 108 - 181 cold damage on target',0,4),
(24148,330001,7,100,'Inflicts 108 - 181 cold damage on target',0,5),
(24149,330001,7,100,'If weapon equipped in Ranged',0,6),
(24150,330001,9,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(24151,330001,9,100,'Slows target by 57.6%',1,1),
(24152,330001,9,100,'5% chance to dispel when target receives hostile action',1,2),
(24153,330001,9,100,'5% chance to dispel when target takes damage',1,3),
(24154,330001,9,100,'Inflicts 112 - 188 cold damage on target',0,4),
(24155,330001,9,100,'Inflicts 112 - 188 cold damage on target',0,5),
(24156,330001,9,100,'If weapon equipped in Ranged',0,6),
(24157,330002,1,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(24158,330002,1,100,'Slows target by 34.9%',1,1),
(24159,330002,1,100,'5% chance to dispel when target receives hostile action',1,2),
(24160,330002,1,100,'5% chance to dispel when target takes damage',1,3),
(24161,330002,1,100,'Inflicts 98 - 164 cold damage on target',0,4),
(24162,330002,1,100,'Inflicts 98 - 164 cold damage on target',0,5),
(24163,330002,1,100,'If weapon equipped in Ranged',0,6),
(24164,330002,2,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(24165,330002,2,100,'Slows target by 36.9%',1,1),
(24166,330002,2,100,'5% chance to dispel when target receives hostile action',1,2),
(24167,330002,2,100,'5% chance to dispel when target takes damage',1,3),
(24168,330002,2,100,'Inflicts 104 - 173 cold damage on target',0,4),
(24169,330002,2,100,'Inflicts 104 - 173 cold damage on target',0,5),
(24170,330002,2,100,'If weapon equipped in Ranged',0,6),
(24171,330002,3,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(24172,330002,3,100,'Slows target by 38.8%',1,1),
(24173,330002,3,100,'5% chance to dispel when target receives hostile action',1,2),
(24174,330002,3,100,'5% chance to dispel when target takes damage',1,3),
(24175,330002,3,100,'Inflicts 109 - 182 cold damage on target',0,4),
(24176,330002,3,100,'Inflicts 109 - 182 cold damage on target',0,5),
(24177,330002,3,100,'If weapon equipped in Ranged',0,6),
(24178,330002,4,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(24179,330002,4,100,'Slows target by 42.7%',1,1),
(24180,330002,4,100,'5% chance to dispel when target receives hostile action',1,2),
(24181,330002,4,100,'5% chance to dispel when target takes damage',1,3),
(24182,330002,4,100,'Inflicts 120 - 201 cold damage on target',0,4),
(24183,330002,4,100,'Inflicts 120 - 201 cold damage on target',0,5),
(24184,330002,4,100,'If weapon equipped in Ranged',0,6),
(24185,330002,5,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(24186,330002,5,100,'Slows target by 46.6%',1,1),
(24187,330002,5,100,'5% chance to dispel when target receives hostile action',1,2),
(24188,330002,5,100,'5% chance to dispel when target takes damage',1,3),
(24189,330002,5,100,'Inflicts 131 - 219 cold damage on target',0,4),
(24190,330002,5,100,'Inflicts 131 - 219 cold damage on target',0,5),
(24191,330002,5,100,'If weapon equipped in Ranged',0,6),
(24192,330002,7,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(24193,330002,7,100,'Slows target by 59.8%',1,1),
(24194,330002,7,100,'5% chance to dispel when target receives hostile action',1,2),
(24195,330002,7,100,'5% chance to dispel when target takes damage',1,3),
(24196,330002,7,100,'Inflicts 169 - 281 cold damage on target',0,4),
(24197,330002,7,100,'Inflicts 169 - 281 cold damage on target',0,5),
(24198,330002,7,100,'If weapon equipped in Ranged',0,6),
(24199,330002,9,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(24200,330002,9,100,'Slows target by 62.1%',1,1),
(24201,330002,9,100,'5% chance to dispel when target receives hostile action',1,2),
(24202,330002,9,100,'5% chance to dispel when target takes damage',1,3),
(24203,330002,9,100,'Inflicts 175 - 292 cold damage on target',0,4),
(24204,330002,9,100,'Inflicts 175 - 292 cold damage on target',0,5),
(24205,330002,9,100,'If weapon equipped in Ranged',0,6),
(24206,330003,1,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(24207,330003,1,100,'Slows target by 36.3%',1,1),
(24208,330003,1,100,'5% chance to dispel when target receives hostile action',1,2),
(24209,330003,1,100,'5% chance to dispel when target takes damage',1,3),
(24210,330003,1,100,'Inflicts 139 - 233 cold damage on target',0,4),
(24211,330003,1,100,'Inflicts 139 - 233 cold damage on target',0,5),
(24212,330003,1,100,'If weapon equipped in Ranged',0,6),
(24213,330003,2,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(24214,330003,2,100,'Slows target by 38.3%',1,1),
(24215,330003,2,100,'5% chance to dispel when target receives hostile action',1,2),
(24216,330003,2,100,'5% chance to dispel when target takes damage',1,3),
(24217,330003,2,100,'Inflicts 147 - 246 cold damage on target',0,4),
(24218,330003,2,100,'Inflicts 147 - 246 cold damage on target',0,5),
(24219,330003,2,100,'If weapon equipped in Ranged',0,6),
(24220,330003,3,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(24221,330003,3,100,'Slows target by 40.3%',1,1),
(24222,330003,3,100,'5% chance to dispel when target receives hostile action',1,2),
(24223,330003,3,100,'5% chance to dispel when target takes damage',1,3),
(24224,330003,3,100,'Inflicts 155 - 259 cold damage on target',0,4),
(24225,330003,3,100,'Inflicts 155 - 259 cold damage on target',0,5),
(24226,330003,3,100,'If weapon equipped in Ranged',0,6),
(24227,330003,4,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(24228,330003,4,100,'Slows target by 44.4%',1,1),
(24229,330003,4,100,'5% chance to dispel when target receives hostile action',1,2),
(24230,330003,4,100,'5% chance to dispel when target takes damage',1,3),
(24231,330003,4,100,'Inflicts 171 - 285 cold damage on target',0,4),
(24232,330003,4,100,'Inflicts 171 - 285 cold damage on target',0,5),
(24233,330003,4,100,'If weapon equipped in Ranged',0,6),
(24234,330003,5,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(24235,330003,5,100,'Slows target by 48.4%',1,1),
(24236,330003,5,100,'5% chance to dispel when target receives hostile action',1,2),
(24237,330003,5,100,'5% chance to dispel when target takes damage',1,3),
(24238,330003,5,100,'Inflicts 186 - 311 cold damage on target',0,4),
(24239,330003,5,100,'Inflicts 186 - 311 cold damage on target',0,5),
(24240,330003,5,100,'If weapon equipped in Ranged',0,6),
(24241,330003,7,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(24242,330003,7,100,'Slows target by 62.1%',1,1),
(24243,330003,7,100,'5% chance to dispel when target receives hostile action',1,2),
(24244,330003,7,100,'5% chance to dispel when target takes damage',1,3),
(24245,330003,7,100,'Inflicts 239 - 399 cold damage on target',0,4),
(24246,330003,7,100,'Inflicts 239 - 399 cold damage on target',0,5),
(24247,330003,7,100,'If weapon equipped in Ranged',0,6),
(24248,330003,9,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(24249,330003,9,100,'Slows target by 64.5%',1,1),
(24250,330003,9,100,'5% chance to dispel when target receives hostile action',1,2),
(24251,330003,9,100,'5% chance to dispel when target takes damage',1,3),
(24252,330003,9,100,'Inflicts 248 - 414 cold damage on target',0,4),
(24253,330003,9,100,'Inflicts 248 - 414 cold damage on target',0,5),
(24254,330003,9,100,'If weapon equipped in Ranged',0,6),
(24255,330004,1,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(24256,330004,1,100,'Slows target by 36.8%',1,1),
(24257,330004,1,100,'5% chance to dispel when target receives hostile action',1,2),
(24258,330004,1,100,'5% chance to dispel when target takes damage',1,3),
(24259,330004,1,100,'Inflicts 178 - 298 cold damage on target',0,4),
(24260,330004,1,100,'Inflicts 178 - 298 cold damage on target',0,5),
(24261,330004,1,100,'If weapon equipped in Ranged',0,6),
(24262,330004,2,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(24263,330004,2,100,'Slows target by 38.8%',1,1),
(24264,330004,2,100,'5% chance to dispel when target receives hostile action',1,2),
(24265,330004,2,100,'5% chance to dispel when target takes damage',1,3),
(24266,330004,2,100,'Inflicts 188 - 314 cold damage on target',0,4),
(24267,330004,2,100,'Inflicts 188 - 314 cold damage on target',0,5),
(24268,330004,2,100,'If weapon equipped in Ranged',0,6),
(24269,330004,3,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(24270,330004,3,100,'Slows target by 40.8%',1,1),
(24271,330004,3,100,'5% chance to dispel when target receives hostile action',1,2),
(24272,330004,3,100,'5% chance to dispel when target takes damage',1,3),
(24273,330004,3,100,'Inflicts 198 - 331 cold damage on target',0,4),
(24274,330004,3,100,'Inflicts 198 - 331 cold damage on target',0,5),
(24275,330004,3,100,'If weapon equipped in Ranged',0,6),
(24276,330004,4,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(24277,330004,4,100,'Slows target by 44.9%',1,1),
(24278,330004,4,100,'5% chance to dispel when target receives hostile action',1,2),
(24279,330004,4,100,'5% chance to dispel when target takes damage',1,3),
(24280,330004,4,100,'Inflicts 218 - 364 cold damage on target',0,4),
(24281,330004,4,100,'Inflicts 218 - 364 cold damage on target',0,5),
(24282,330004,4,100,'If weapon equipped in Ranged',0,6),
(24283,330004,5,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(24284,330004,5,100,'Slows target by 49.0%',1,1),
(24285,330004,5,100,'5% chance to dispel when target receives hostile action',1,2),
(24286,330004,5,100,'5% chance to dispel when target takes damage',1,3),
(24287,330004,5,100,'Inflicts 238 - 397 cold damage on target',0,4),
(24288,330004,5,100,'Inflicts 238 - 397 cold damage on target',0,5),
(24289,330004,5,100,'If weapon equipped in Ranged',0,6),
(24290,330004,7,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(24291,330004,7,100,'Slows target by 62.9%',1,1),
(24292,330004,7,100,'5% chance to dispel when target receives hostile action',1,2),
(24293,330004,7,100,'5% chance to dispel when target takes damage',1,3),
(24294,330004,7,100,'Inflicts 306 - 510 cold damage on target',0,4),
(24295,330004,7,100,'Inflicts 306 - 510 cold damage on target',0,5),
(24296,330004,7,100,'If weapon equipped in Ranged',0,6),
(24297,330004,9,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(24298,330004,9,100,'Slows target by 65.3%',1,1),
(24299,330004,9,100,'5% chance to dispel when target receives hostile action',1,2),
(24300,330004,9,100,'5% chance to dispel when target takes damage',1,3),
(24301,330004,9,100,'Inflicts 318 - 530 cold damage on target',0,4),
(24302,330004,9,100,'Inflicts 318 - 530 cold damage on target',0,5),
(24303,330004,9,100,'If weapon equipped in Ranged',0,6),
(24304,330005,1,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(24305,330005,1,100,'Slows target by 37.1%',1,1),
(24306,330005,1,100,'5% chance to dispel when target receives hostile action',1,2),
(24307,330005,1,100,'5% chance to dispel when target takes damage',1,3),
(24308,330005,1,100,'Inflicts 216 - 361 cold damage on target',0,4),
(24309,330005,1,100,'Inflicts 216 - 361 cold damage on target',0,5),
(24310,330005,1,100,'If weapon equipped in Ranged',0,6),
(24311,330005,4,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(24312,330005,4,100,'Slows target by 45.4%',1,1),
(24313,330005,4,100,'5% chance to dispel when target receives hostile action',1,2),
(24314,330005,4,100,'5% chance to dispel when target takes damage',1,3),
(24315,330005,4,100,'Inflicts 264 - 441 cold damage on target',0,4),
(24316,330005,4,100,'Inflicts 264 - 441 cold damage on target',0,5),
(24317,330005,4,100,'If weapon equipped in Ranged',0,6),
(24318,330005,5,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(24319,330005,5,100,'Slows target by 49.5%',1,1),
(24320,330005,5,100,'5% chance to dispel when target receives hostile action',1,2),
(24321,330005,5,100,'5% chance to dispel when target takes damage',1,3),
(24322,330005,5,100,'Inflicts 289 - 481 cold damage on target',0,4),
(24323,330005,5,100,'Inflicts 289 - 481 cold damage on target',0,5),
(24324,330005,5,100,'If weapon equipped in Ranged',0,6),
(24325,330005,7,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(24326,330005,7,100,'Slows target by 63.5%',1,1),
(24327,330005,7,100,'5% chance to dispel when target receives hostile action',1,2),
(24328,330005,7,100,'5% chance to dispel when target takes damage',1,3),
(24329,330005,7,100,'Inflicts 370 - 618 cold damage on target',0,4),
(24330,330005,7,100,'Inflicts 370 - 618 cold damage on target',0,5),
(24331,330005,7,100,'If weapon equipped in Ranged',0,6),
(24332,330005,9,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(24333,330005,9,100,'Slows target by 66.0%',1,1),
(24334,330005,9,100,'5% chance to dispel when target receives hostile action',1,2),
(24335,330005,9,100,'5% chance to dispel when target takes damage',1,3),
(24336,330005,9,100,'Inflicts 385 - 642 cold damage on target',0,4),
(24337,330005,9,100,'Inflicts 385 - 642 cold damage on target',0,5),
(24338,330005,9,100,'If weapon equipped in Ranged',0,6),
(24339,330006,1,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(24340,330006,1,100,'Slows target by 37.5%',1,1),
(24341,330006,1,100,'5% chance to dispel when target receives hostile action',1,2),
(24342,330006,1,100,'5% chance to dispel when target takes damage',1,3),
(24343,330006,1,100,'Inflicts 257 - 428 cold damage on target',0,4),
(24344,330006,1,100,'Inflicts 257 - 428 cold damage on target',0,5),
(24345,330006,1,100,'If weapon equipped in Ranged',0,6),
(24346,330006,4,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(24347,330006,4,100,'Slows target by 45.8%',1,1),
(24348,330006,4,100,'5% chance to dispel when target receives hostile action',1,2),
(24349,330006,4,100,'5% chance to dispel when target takes damage',1,3),
(24350,330006,4,100,'Inflicts 314 - 523 cold damage on target',0,4),
(24351,330006,4,100,'Inflicts 314 - 523 cold damage on target',0,5),
(24352,330006,4,100,'If weapon equipped in Ranged',0,6),
(24353,330006,5,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(24354,330006,5,100,'Slows target by 50.0%',1,1),
(24355,330006,5,100,'5% chance to dispel when target receives hostile action',1,2),
(24356,330006,5,100,'5% chance to dispel when target takes damage',1,3),
(24357,330006,5,100,'Inflicts 342 - 571 cold damage on target',0,4),
(24358,330006,5,100,'Inflicts 342 - 571 cold damage on target',0,5),
(24359,330006,5,100,'If weapon equipped in Ranged',0,6),
(24360,330006,7,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(24361,330006,7,100,'Slows target by 64.1%',1,1),
(24362,330006,7,100,'5% chance to dispel when target receives hostile action',1,2),
(24363,330006,7,100,'5% chance to dispel when target takes damage',1,3),
(24364,330006,7,100,'Inflicts 440 - 733 cold damage on target',0,4),
(24365,330006,7,100,'Inflicts 440 - 733 cold damage on target',0,5),
(24366,330006,7,100,'If weapon equipped in Ranged',0,6),
(24367,330006,9,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(24368,330006,9,100,'Slows target by 66.6%',1,1),
(24369,330006,9,100,'5% chance to dispel when target receives hostile action',1,2),
(24370,330006,9,100,'5% chance to dispel when target takes damage',1,3),
(24371,330006,9,100,'Inflicts 457 - 762 cold damage on target',0,4),
(24372,330006,9,100,'Inflicts 457 - 762 cold damage on target',0,5),
(24373,330006,9,100,'If weapon equipped in Ranged',0,6),
(24374,60000,1,100,'Inflicts 87 - 145 cold damage on target',0,0),
(24375,60000,1,100,'Dazes target',0,1),
(24376,60000,1,100,'If Target is not Epic',1,2),
(24377,60000,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(24378,60000,2,100,'Inflicts 92 - 154 cold damage on target',0,0),
(24379,60000,2,100,'Dazes target',0,1),
(24380,60000,2,100,'If Target is not Epic',1,2),
(24381,60000,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(24382,60000,3,100,'Inflicts 97 - 162 cold damage on target',0,0),
(24383,60000,3,100,'Dazes target',0,1),
(24384,60000,3,100,'If Target is not Epic',1,2),
(24385,60000,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(24386,60000,4,100,'Inflicts 107 - 178 cold damage on target',0,0),
(24387,60000,4,100,'Dazes target',0,1),
(24388,60000,4,100,'If Target is not Epic',1,2),
(24389,60000,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(24390,60000,5,100,'Inflicts 116 - 194 cold damage on target',0,0),
(24391,60000,5,100,'Dazes target',0,1),
(24392,60000,5,100,'If Target is not Epic',1,2),
(24393,60000,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(24394,60000,7,100,'Inflicts 149 - 249 cold damage on target',0,0),
(24395,60000,7,100,'Dazes target',0,1),
(24396,60000,7,100,'If Target is not Epic',1,2),
(24397,60000,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(24398,60000,9,100,'Inflicts 155 - 259 cold damage on target',0,0),
(24399,60000,9,100,'Dazes target',0,1),
(24400,60000,9,100,'If Target is not Epic',1,2),
(24401,60000,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(24402,60001,1,100,'Inflicts 136 - 227 cold damage on target',0,0),
(24403,60001,1,100,'Dazes target',0,1),
(24404,60001,1,100,'If Target is not Epic',1,2),
(24405,60001,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(24406,60001,2,100,'Inflicts 143 - 239 cold damage on target',0,0),
(24407,60001,2,100,'Dazes target',0,1),
(24408,60001,2,100,'If Target is not Epic',1,2),
(24409,60001,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(24410,60001,3,100,'Inflicts 151 - 252 cold damage on target',0,0),
(24411,60001,3,100,'Dazes target',0,1),
(24412,60001,3,100,'If Target is not Epic',1,2),
(24413,60001,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(24414,60001,4,100,'Inflicts 166 - 277 cold damage on target',0,0),
(24415,60001,4,100,'Dazes target',0,1),
(24416,60001,4,100,'If Target is not Epic',1,2),
(24417,60001,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(24418,60001,5,100,'Inflicts 181 - 302 cold damage on target',0,0),
(24419,60001,5,100,'Dazes target',0,1),
(24420,60001,5,100,'If Target is not Epic',1,2),
(24421,60001,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(24422,60001,7,100,'Inflicts 233 - 388 cold damage on target',0,0),
(24423,60001,7,100,'Dazes target',0,1),
(24424,60001,7,100,'If Target is not Epic',1,2),
(24425,60001,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(24426,60001,9,100,'Inflicts 242 - 403 cold damage on target',0,0),
(24427,60001,9,100,'Dazes target',0,1),
(24428,60001,9,100,'If Target is not Epic',1,2),
(24429,60001,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(24434,60002,1,100,'Inflicts 193 - 321 cold damage on target',0,0),
(24435,60002,1,100,'Dazes target',0,1),
(24436,60002,1,100,'If Target is not Epic',1,2),
(24437,60002,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(24438,60002,2,100,'Inflicts 203 - 339 cold damage on target',0,0),
(24439,60002,2,100,'Dazes target',0,1),
(24440,60002,2,100,'If Target is not Epic',1,2),
(24441,60002,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(24442,60002,3,100,'Inflicts 214 - 357 cold damage on target',0,0),
(24443,60002,3,100,'Dazes target',0,1),
(24444,60002,3,100,'If Target is not Epic',1,2),
(24445,60002,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(24446,60002,4,100,'Inflicts 235 - 393 cold damage on target',0,0),
(24447,60002,4,100,'Dazes target',0,1),
(24448,60002,4,100,'If Target is not Epic',1,2),
(24449,60002,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(24450,60002,5,100,'Inflicts 257 - 429 cold damage on target',0,0),
(24451,60002,5,100,'Dazes target',0,1),
(24452,60002,5,100,'If Target is not Epic',1,2),
(24453,60002,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(24454,60002,7,100,'Inflicts 330 - 550 cold damage on target',0,0),
(24455,60002,7,100,'Dazes target',0,1),
(24456,60002,7,100,'If Target is not Epic',1,2),
(24457,60002,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(24458,60002,9,100,'Inflicts 343 - 572 cold damage on target',0,0),
(24459,60002,9,100,'Dazes target',0,1),
(24460,60002,9,100,'If Target is not Epic',1,2),
(24461,60002,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(24462,60003,1,100,'Inflicts 251 - 419 cold damage on target',0,0),
(24463,60003,1,100,'Dazes target',0,1),
(24464,60003,1,100,'If Target is not Epic',1,2),
(24465,60003,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(24466,60003,2,100,'Inflicts 265 - 443 cold damage on target',0,0),
(24467,60003,2,100,'Dazes target',0,1),
(24468,60003,2,100,'If Target is not Epic',1,2),
(24469,60003,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(24470,60003,3,100,'Inflicts 279 - 466 cold damage on target',0,0),
(24471,60003,3,100,'Dazes target',0,1),
(24472,60003,3,100,'If Target is not Epic',1,2),
(24473,60003,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(24474,60003,4,100,'Inflicts 307 - 513 cold damage on target',0,0),
(24475,60003,4,100,'Dazes target',0,1),
(24476,60003,4,100,'If Target is not Epic',1,2),
(24477,60003,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(24478,60003,5,100,'Inflicts 335 - 559 cold damage on target',0,0),
(24479,60003,5,100,'Dazes target',0,1),
(24480,60003,5,100,'If Target is not Epic',1,2),
(24481,60003,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(24482,60003,7,100,'Inflicts 431 - 718 cold damage on target',0,0),
(24483,60003,7,100,'Dazes target',0,1),
(24484,60003,7,100,'If Target is not Epic',1,2),
(24485,60003,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(24486,60003,9,100,'Inflicts 447 - 746 cold damage on target',0,0),
(24487,60003,9,100,'Dazes target',0,1),
(24488,60003,9,100,'If Target is not Epic',1,2),
(24489,60003,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(24490,60004,1,100,'Inflicts 305 - 508 cold damage on target',0,0),
(24491,60004,1,100,'Dazes target',0,1),
(24492,60004,1,100,'If Target is not Epic',1,2),
(24493,60004,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(24494,60004,4,100,'Inflicts 372 - 621 cold damage on target',0,0),
(24495,60004,4,100,'Dazes target',0,1),
(24496,60004,4,100,'If Target is not Epic',1,2),
(24497,60004,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(24498,60004,5,100,'Inflicts 406 - 677 cold damage on target',0,0),
(24499,60004,5,100,'Dazes target',0,1),
(24500,60004,5,100,'If Target is not Epic',1,2),
(24501,60004,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(24502,60004,7,100,'Inflicts 521 - 869 cold damage on target',0,0),
(24503,60004,7,100,'Dazes target',0,1),
(24504,60004,7,100,'If Target is not Epic',1,2),
(24505,60004,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(24506,60004,9,100,'Inflicts 542 - 903 cold damage on target',0,0),
(24507,60004,9,100,'Dazes target',0,1),
(24508,60004,9,100,'If Target is not Epic',1,2),
(24509,60004,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(24510,60005,1,100,'Inflicts 356 - 594 cold damage on target',0,0),
(24511,60005,1,100,'Dazes target',0,1),
(24512,60005,1,100,'If Target is not Epic',1,2),
(24513,60005,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(24514,60005,4,100,'Inflicts 436 - 727 cold damage on target',0,0),
(24515,60005,4,100,'Dazes target',0,1),
(24516,60005,4,100,'If Target is not Epic',1,2),
(24517,60005,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(24518,60005,5,100,'Inflicts 475 - 793 cold damage on target',0,0),
(24519,60005,5,100,'Dazes target',0,1),
(24520,60005,5,100,'If Target is not Epic',1,2),
(24521,60005,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(24522,60005,7,100,'Inflicts 610 - 1017 cold damage on target',0,0),
(24523,60005,7,100,'Dazes target',0,1),
(24524,60005,7,100,'If Target is not Epic',1,2),
(24525,60005,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(24526,60005,9,100,'Inflicts 634 - 1057 cold damage on target',0,0),
(24527,60005,9,100,'Dazes target',0,1),
(24528,60005,9,100,'If Target is not Epic',1,2),
(24529,60005,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(24530,30000,1,100,'Reduces physical damage done to caster by 5%',0,0),
(24531,30000,1,100,'Adds 1.3% to base avoidance.',0,1),
(24532,30000,1,100,'Decreases Slashing, Piercing and Crushing of caster by 1.8',0,2),
(24533,30000,1,100,'Increases Aggression of caster by 1.2',0,3),
(24534,30000,1,100,'Increases Defense and Parry of caster by 1.9',0,4),
(24535,30000,1,100,'Increases Mitigation of caster vs noxious and arcane damage by 19',0,5),
(24536,30000,1,100,'Increases Mitigation of caster vs elemental damage by 152',0,6),
(24537,30000,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(24538,30000,2,100,'Reduces physical damage done to caster by 5%',0,0),
(24539,30000,2,100,'Adds 1.4% to base avoidance.',0,1),
(24540,30000,2,100,'Decreases Slashing, Piercing and Crushing of caster by 1.8',0,2),
(24541,30000,2,100,'Increases Aggression of caster by 1.3',0,3),
(24542,30000,2,100,'Increases Defense and Parry of caster by 2.1',0,4),
(24543,30000,2,100,'Increases Mitigation of caster vs noxious and arcane damage by 20',0,5),
(24544,30000,2,100,'Increases Mitigation of caster vs elemental damage by 161',0,6),
(24545,30000,2,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(24546,30000,3,100,'Reduces physical damage done to caster by 5%',0,0),
(24547,30000,3,100,'Adds 1.5% to base avoidance.',0,1),
(24548,30000,3,100,'Decreases Slashing, Piercing and Crushing of caster by 1.8',0,2),
(24549,30000,3,100,'Increases Aggression of caster by 1.4',0,3),
(24550,30000,3,100,'Increases Defense and Parry of caster by 2.2',0,4),
(24552,30000,3,100,'Increases Mitigation of caster vs noxious and arcane damage by 21',0,5),
(24553,30000,3,100,'Increases Mitigation of caster vs elemental damage by 169',0,6),
(24554,30000,4,100,'Reduces physical damage done to caster by 5%',0,0),
(24555,30000,4,100,'Adds 1.7% to base avoidance.',0,1),
(24556,30000,4,100,'Decreases Slashing, Piercing and Crushing of caster by 1.8',0,2),
(24557,30000,4,100,'Increases Aggression of caster by 1.5',0,3),
(24558,30000,4,100,'Increases Defense and Parry of caster by 2.4',0,4),
(24559,30000,4,100,'Increases Mitigation of caster vs noxious and arcane damage by 23',0,5),
(24560,30000,4,100,'Increases Mitigation of caster vs elemental damage by 186',0,6),
(24561,30000,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(24562,30000,5,100,'Reduces physical damage done to caster by 5%',0,0),
(24563,30000,5,100,'Adds 1.8% to base avoidance.',0,1),
(24564,30000,5,100,'Decreases Slashing, Piercing and Crushing of caster by 1.8',0,2),
(24565,30000,5,100,'Increases Aggression of caster by 1.6',0,3),
(24566,30000,5,100,'Increases Defense and Parry of caster by 2.6',0,4),
(24567,30000,5,100,'Increases Mitigation of caster vs noxious and arcane damage by 25',0,5),
(24568,30000,5,100,'Increases Mitigation of caster vs elemental damage by 203',0,6),
(24569,30000,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(24570,30000,7,100,'Reduces physical damage done to caster by 5%',0,0),
(24571,30000,7,100,'Adds 2.3% to base avoidance.',0,1),
(24572,30000,7,100,'Decreases Slashing, Piercing and Crushing of caster by 1.8',0,2),
(24573,30000,7,100,'Increases Aggression of caster by 2.1',0,3),
(24574,30000,7,100,'Increases Defense and Parry of caster by 3.3',0,4),
(24575,30000,7,100,'Increases Mitigation of caster vs noxious and arcane damage by 33',0,5),
(24576,30000,7,100,'Increases Mitigation of caster vs elemental damage by 260',0,6),
(24577,30000,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(24578,30000,9,100,'Reduces physical damage done to caster by 5%',0,0),
(24579,30000,9,100,'Adds 2.4% to base avoidance.',0,1),
(24580,30000,9,100,'Decreases Slashing, Piercing and Crushing of caster by 1.8',0,2),
(24581,30000,9,100,'Increases Aggression of caster by 2.2',0,3),
(24582,30000,9,100,'Increases Defense and Parry of caster by 3.5',0,4),
(24583,30000,9,100,'Increases Mitigation of caster vs noxious and arcane damage by 34',0,5),
(24584,30000,9,100,'Increases Mitigation of caster vs elemental damage by 270',0,6),
(24585,30000,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(24586,30001,1,100,'Reduces physical damage done to caster by 5%',0,0),
(24587,30001,1,100,'Adds 1.3% to base avoidance.',0,1),
(24588,30001,1,100,'Decreases Slashing, Piercing and Crushing of caster by 4.8',0,2),
(24589,30001,1,100,'Increases Aggression of caster by 3.2',0,3),
(24590,30001,1,100,'Increases Defense and Parry of caster by 5.2',0,4),
(24591,30001,1,100,'Increases Mitigation of caster vs noxious and arcane damage by 76',0,5),
(24592,30001,1,100,'Increases Mitigation of caster vs elemental damage by 342',0,6),
(24593,30001,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(24594,30001,2,100,'Reduces physical damage done to caster by 5%',0,0),
(24595,30001,2,100,'Adds 1.4% to base avoidance.',0,1),
(24596,30001,2,100,'Decreases Slashing, Piercing and Crushing of caster by 4.8',0,2),
(24597,30001,2,100,'Increases Aggression of caster by 3.4',0,3),
(24598,30001,2,100,'Increases Defense and Parry of caster by 5.5',0,4),
(24599,30001,2,100,'Increases Mitigation of caster vs noxious and arcane damage by 80',0,5),
(24600,30001,2,100,'Increases Mitigation of caster vs elemental damage by 361',0,6),
(24601,30001,2,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(24602,30001,3,100,'Reduces physical damage done to caster by 5%',0,0),
(24603,30001,3,100,'Adds 1.5% to base avoidance.',0,1),
(24604,30001,3,100,'Decreases Slashing, Piercing and Crushing of caster by 4.8',0,2),
(24605,30001,3,100,'Increases Aggression of caster by 3.6',0,3),
(24606,30001,3,100,'Increases Defense and Parry of caster by 5.8',0,4),
(24607,30001,3,100,'Increases Mitigation of caster vs noxious and arcane damage by 84',0,5),
(24608,30001,3,100,'Increases Mitigation of caster vs elemental damage by 380',0,6),
(24609,30001,3,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(24610,30001,4,100,'Reduces physical damage done to caster by 5%',0,0),
(24611,30001,4,100,'Adds 1.7% to base avoidance.',0,1),
(24612,30001,4,100,'Decreases Slashing, Piercing and Crushing of caster by 4.8',0,2),
(24613,30001,4,100,'Increases Aggression of caster by 4.0',0,3),
(24614,30001,4,100,'Increases Defense and Parry of caster by 6.3',0,4),
(24615,30001,4,100,'Increases Mitigation of caster vs noxious and arcane damage by 93',0,5),
(24616,30001,4,100,'Increases Mitigation of caster vs elemental damage by 418',0,6),
(24617,30001,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(24618,30001,5,100,'Reduces physical damage done to caster by 5%',0,0),
(24619,30001,5,100,'Adds 1.8% to base avoidance.',0,1),
(24620,30001,5,100,'Decreases Slashing, Piercing and Crushing of caster by 4.8',0,2),
(24621,30001,5,100,'Increases Aggression of caster by 4.3',0,3),
(24622,30001,5,100,'Increases Defense and Parry of caster by 6.9',0,4),
(24623,30001,5,100,'Increases Mitigation of caster vs noxious and arcane damage by 101',0,5),
(24624,30001,5,100,'Increases Mitigation of caster vs elemental damage by 456',0,6),
(24625,30001,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(24626,30001,7,100,'Reduces physical damage done to caster by 5%',0,0),
(24627,30001,7,100,'Adds 2.3% to base avoidance.',0,1),
(24628,30001,7,100,'Decreases Slashing, Piercing and Crushing of caster by 4.8',0,2),
(24629,30001,7,100,'Increases Aggression of caster by 5.5',0,3),
(24630,30001,7,100,'Increases Defense and Parry of caster by 8.9',0,4),
(24631,30001,7,100,'Increases Mitigation of caster vs noxious and arcane damage by 130',0,5),
(24632,30001,7,100,'Increases Mitigation of caster vs elemental damage by 585',0,6),
(24633,30001,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(24634,30001,9,100,'Reduces physical damage done to caster by 5%',0,0),
(24635,30001,9,100,'Adds 2.4% to base avoidance.',0,1),
(24636,30001,9,100,'Decreases Slashing, Piercing and Crushing of caster by 4.8',0,2),
(24637,30001,9,100,'Increases Aggression of caster by 5.8',0,3),
(24638,30001,9,100,'Increases Defense and Parry of caster by 9.2',0,4),
(24639,30001,9,100,'Increases Mitigation of caster vs noxious and arcane damage by 135',0,5),
(24640,30001,9,100,'Increases Mitigation of caster vs elemental damage by 608',0,6),
(24641,30001,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(24642,30002,1,100,'Reduces physical damage done to caster by 5%',0,0),
(24643,30002,1,100,'Adds 1.3% to base avoidance.',0,1),
(24644,30002,1,100,'Decreases Slashing, Piercing and Crushing of caster by 9.0',0,2),
(24645,30002,1,100,'Increases Aggression of caster by 6.1',0,3),
(24646,30002,1,100,'Increases Defense and Parry of caster by 9.7',0,4),
(24647,30002,1,100,'Increases Mitigation of caster vs noxious and arcane damage by 143',0,5),
(24648,30002,1,100,'Increases Mitigation of caster vs elemental damage by 594',0,6),
(24649,30002,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(24650,30002,2,100,'Reduces physical damage done to caster by 5%',0,0),
(24651,30002,2,100,'Adds 1.4% to base avoidance.',0,1),
(24652,30002,2,100,'Decreases Slashing, Piercing and Crushing of caster by 9.0',0,2),
(24653,30002,2,100,'Increases Aggression of caster by 6.4',0,3),
(24654,30002,2,100,'Increases Defense and Parry of caster by 10.3',0,4),
(24655,30002,2,100,'Increases Mitigation of caster vs noxious and arcane damage by 150',0,5),
(24656,30002,2,100,'Increases Mitigation of caster vs elemental damage by 627',0,6),
(24657,30002,2,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(24658,30002,3,100,'Reduces physical damage done to caster by 5%',0,0),
(24659,30002,3,100,'Adds 1.5% to base avoidance.',0,1),
(24660,30002,3,100,'Decreases Slashing, Piercing and Crushing of caster by 9.0',0,2),
(24661,30002,3,100,'Increases Aggression of caster by 6.7',0,3),
(24662,30002,3,100,'Increases Defense and Parry of caster by 10.8',0,4),
(24663,30002,3,100,'Increases Mitigation of caster vs noxious and arcane damage by 158',0,5),
(24664,30002,3,100,'Increases Mitigation of caster vs elemental damage by 660',0,6),
(24665,30002,3,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(24666,30002,4,100,'Reduces physical damage done to caster by 5%',0,0),
(24667,30002,4,100,'Adds 1.7% to base avoidance.',0,1),
(24668,30002,4,100,'Decreases Slashing, Piercing and Crushing of caster by 9.0',0,2),
(24669,30002,4,100,'Increases Aggression of caster by 7.4',0,3),
(24670,30002,4,100,'Increases Defense and Parry of caster by 11.9',0,4),
(24671,30002,4,100,'Increases Mitigation of caster vs noxious and arcane damage by 174',0,5),
(24672,30002,4,100,'Increases Mitigation of caster vs elemental damage by 726',0,6),
(24673,30002,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(24674,30002,5,100,'Reduces physical damage done to caster by 5%',0,0),
(24675,30002,5,100,'Adds 1.8% to base avoidance.',0,1),
(24676,30002,5,100,'Decreases Slashing, Piercing and Crushing of caster by 9.0',0,2),
(24677,30002,5,100,'Increases Aggression of caster by 8.1',0,3),
(24678,30002,5,100,'Increases Defense and Parry of caster by 13.0',0,4),
(24679,30002,5,100,'Increases Mitigation of caster vs noxious and arcane damage by 190',0,5),
(24680,30002,5,100,'Increases Mitigation of caster vs elemental damage by 792',0,6),
(24681,30002,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(24682,30002,7,100,'Reduces physical damage done to caster by 5%',0,0),
(24683,30002,7,100,'Adds 2.3% to base avoidance.',0,1),
(24684,30002,7,100,'Decreases Slashing, Piercing and Crushing of caster by 9.0',0,2),
(24685,30002,7,100,'Increases Aggression of caster by 10.4',0,3),
(24686,30002,7,100,'Increases Defense and Parry of caster by 16.6',0,4),
(24687,30002,7,100,'Increases Mitigation of caster vs noxious and arcane damage by 244',0,5),
(24688,30002,7,100,'Increases Mitigation of caster vs elemental damage by 1016',0,6),
(24689,30002,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(24690,30002,9,100,'Reduces physical damage done to caster by 5%',0,0),
(24691,30002,9,100,'Adds 2.4% to base avoidance.',0,1),
(24692,30002,9,100,'Decreases Slashing, Piercing and Crushing of caster by 9.0',0,2),
(24693,30002,9,100,'Increases Aggression of caster by 10.8',0,3),
(24694,30002,9,100,'Increases Defense and Parry of caster by 17.3',0,4),
(24695,30002,9,100,'Increases Mitigation of caster vs noxious and arcane damage by 253',0,5),
(24696,30002,9,100,'Increases Mitigation of caster vs elemental damage by 1056',0,6),
(24697,30002,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(24698,30003,1,100,'Reduces physical damage done to caster by 5%',0,0),
(24699,30003,1,100,'Adds 1.3% to base avoidance.',0,1),
(24700,30003,1,100,'Decreases Slashing, Piercing and Crushing of caster by 13.2',0,2),
(24701,30003,1,100,'Increases Aggression of caster by 8.9',0,3),
(24702,30003,1,100,'Increases Defense and Parry of caster by 14.3',0,4),
(24703,30003,1,100,'Increases Mitigation of caster vs noxious and arcane damage by 209',0,5),
(24704,30003,1,100,'Increases Mitigation of caster vs elemental damage by 871',0,6),
(24705,30003,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(24706,30003,2,100,'Reduces physical damage done to caster by 5%',0,0),
(24707,30003,2,100,'Adds 1.4% to base avoidance.',0,1),
(24708,30003,2,100,'Decreases Slashing, Piercing and Crushing of caster by 13.2',0,2),
(24709,30003,2,100,'Increases Aggression of caster by 9.4',0,3),
(24710,30003,2,100,'Increases Defense and Parry of caster by 15.0',0,4),
(24711,30003,2,100,'Increases Mitigation of caster vs noxious and arcane damage by 221',0,5),
(24712,30003,2,100,'Increases Mitigation of caster vs elemental damage by 920',0,6),
(24713,30003,2,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(24714,30003,3,100,'Reduces physical damage done to caster by 5%',0,0),
(24715,30003,3,100,'Adds 1.5% to base avoidance.',0,1),
(24716,30003,3,100,'Decreases Slashing, Piercing and Crushing of caster by 13.2',0,2),
(24717,30003,3,100,'Increases Aggression of caster by 9.9',0,3),
(24718,30003,3,100,'Increases Defense and Parry of caster by 15.8',0,4),
(24719,30003,3,100,'Increases Mitigation of caster vs noxious and arcane damage by 232',0,5),
(24720,30003,3,100,'Increases Mitigation of caster vs elemental damage by 968',0,6),
(24721,30003,3,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(24722,30003,4,100,'Reduces physical damage done to caster by 5%',0,0),
(24723,30003,4,100,'Adds 1.7% to base avoidance.',0,1),
(24724,30003,4,100,'Decreases Slashing, Piercing and Crushing of caster by 13.2',0,2),
(24725,30003,4,100,'Increases Aggression of caster by 10.9',0,3),
(24726,30003,4,100,'Increases Defense and Parry of caster by 17.4',0,4),
(24727,30003,4,100,'Increases Mitigation of caster vs noxious and arcane damage by 256',0,5),
(24728,30003,4,100,'Increases Mitigation of caster vs elemental damage by 1065',0,6),
(24729,30003,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(24730,30003,5,100,'Reduces physical damage done to caster by 5%',0,0),
(24731,30003,5,100,'Adds 1.8% to base avoidance.',0,1),
(24732,30003,5,100,'Decreases Slashing, Piercing and Crushing of caster by 13.2',0,2),
(24733,30003,5,100,'Increases Aggression of caster by 11.9',0,3),
(24734,30003,5,100,'Increases Defense and Parry of caster by 19.0',0,4),
(24735,30003,5,100,'Increases Mitigation of caster vs noxious and arcane damage by 279',0,5),
(24736,30003,5,100,'Increases Mitigation of caster vs elemental damage by 1162',0,6),
(24737,30003,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(24738,30003,7,100,'Reduces physical damage done to caster by 5%',0,0),
(24739,30003,7,100,'Adds 2.3% to base avoidance.',0,1),
(24740,30003,7,100,'Decreases Slashing, Piercing and Crushing of caster by 13.2',0,2),
(24741,30003,7,100,'Increases Aggression of caster by 15.2',0,3),
(24742,30003,7,100,'Increases Defense and Parry of caster by 24.4',0,4),
(24743,30003,7,100,'Increases Mitigation of caster vs noxious and arcane damage by 358',0,5),
(24744,30003,7,100,'Increases Mitigation of caster vs elemental damage by 1491',0,6),
(24745,30003,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(24746,30003,9,100,'Reduces physical damage done to caster by 5%',0,0),
(24747,30003,9,100,'Adds 2.4% to base avoidance.',0,1),
(24748,30003,9,100,'Decreases Slashing, Piercing and Crushing of caster by 13.2',0,2),
(24749,30003,9,100,'Increases Aggression of caster by 15.8',0,3),
(24750,30003,9,100,'Increases Defense and Parry of caster by 25.3',0,4),
(24751,30003,9,100,'Increases Mitigation of caster vs noxious and arcane damage by 372',0,5),
(24752,30003,9,100,'Increases Mitigation of caster vs elemental damage by 1549',0,6),
(24753,30003,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(24754,30004,1,100,'Reduces physical damage done to caster by 5%',0,0),
(24755,30004,1,100,'Adds 1.3% to base avoidance.',0,1),
(24756,30004,1,100,'Decreases Slashing, Piercing and Crushing of caster by 17.4',0,2),
(24757,30004,1,100,'Increases Aggression of caster by 11.7',0,3),
(24758,30004,1,100,'Increases Defense and Parry of caster by 18.8',0,4),
(24759,30004,1,100,'Increases Mitigation of caster vs noxious and arcane damage by 276',0,5),
(24760,30004,1,100,'Increases Mitigation of caster vs elemental damage by 1148',0,6),
(24761,30004,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(24762,30004,2,100,'Reduces physical damage done to caster by 5%',0,0),
(24763,30004,2,100,'Adds 1.4% to base avoidance.',0,1),
(24764,30004,2,100,'Decreases Slashing, Piercing and Crushing of caster by 17.4',0,2),
(24765,30004,2,100,'Increases Aggression of caster by 12.4',0,3),
(24766,30004,2,100,'Increases Defense and Parry of caster by 19.8',0,4),
(24767,30004,2,100,'Increases Mitigation of caster vs noxious and arcane damage by 291',0,5),
(24768,30004,2,100,'Increases Mitigation of caster vs elemental damage by 1212',0,6),
(24769,30004,2,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(24770,30004,3,100,'Reduces physical damage done to caster by 5%',0,0),
(24771,30004,3,100,'Adds 1.5% to base avoidance.',0,1),
(24772,30004,3,100,'Decreases Slashing, Piercing and Crushing of caster by 17.4',0,2),
(24773,30004,3,100,'Increases Aggression of caster by 13.1',0,3),
(24774,30004,3,100,'Increases Defense and Parry of caster by 20.9',0,4),
(24775,30004,3,100,'Increases Mitigation of caster vs noxious and arcane damage by 306',0,5),
(24776,30004,3,100,'Increases Mitigation of caster vs elemental damage by 1276',0,6),
(24777,30004,3,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(24778,30004,4,100,'Reduces physical damage done to caster by 5%',0,0),
(24779,30004,4,100,'Adds 1.7% to base avoidance.',0,1),
(24780,30004,4,100,'Decreases Slashing, Piercing and Crushing of caster by 17.4',0,2),
(24781,30004,4,100,'Increases Aggression of caster by 14.4',0,3),
(24782,30004,4,100,'Increases Defense and Parry of caster by 23.0',0,4),
(24783,30004,4,100,'Increases Mitigation of caster vs noxious and arcane damage by 337',0,5),
(24784,30004,4,100,'Increases Mitigation of caster vs elemental damage by 1404',0,6),
(24785,30004,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(24786,30004,5,100,'Reduces physical damage done to caster by 5%',0,0),
(24787,30004,5,100,'Adds 1.8% to base avoidance.',0,1),
(24788,30004,5,100,'Decreases Slashing, Piercing and Crushing of caster by 17.4',0,2),
(24789,30004,5,100,'Increases Aggression of caster by 15.7',0,3),
(24790,30004,5,100,'Increases Defense and Parry of caster by 25.1',0,4),
(24791,30004,5,100,'Increases Mitigation of caster vs noxious and arcane damage by 367',0,5),
(24792,30004,5,100,'Increases Mitigation of caster vs elemental damage by 1531',0,6),
(24793,30004,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(24794,30004,7,100,'Reduces physical damage done to caster by 5%',0,0),
(24795,30004,7,100,'Adds 2.3% to base avoidance.',0,1),
(24796,30004,7,100,'Decreases Slashing, Piercing and Crushing of caster by 17.4',0,2),
(24797,30004,7,100,'Increases Aggression of caster by 20.1',0,3),
(24798,30004,7,100,'Increases Defense and Parry of caster by 32.2',0,4),
(24799,30004,7,100,'Increases Mitigation of caster vs noxious and arcane damage by 472',0,5),
(24800,30004,7,100,'Increases Mitigation of caster vs elemental damage by 1965',0,6),
(24801,30004,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(24802,30004,9,100,'Reduces physical damage done to caster by 5%',0,0),
(24803,30004,9,100,'Adds 2.4% to base avoidance.',0,1),
(24804,30004,9,100,'Decreases Slashing, Piercing and Crushing of caster by 17.4',0,2),
(24805,30004,9,100,'Increases Aggression of caster by 20.9',0,3),
(24806,30004,9,100,'Increases Defense and Parry of caster by 33.4',0,4),
(24807,30004,9,100,'Increases Mitigation of caster vs noxious and arcane damage by 490',0,5),
(24808,30004,9,100,'Increases Mitigation of caster vs elemental damage by 2042',0,6),
(24809,30004,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(24810,30005,1,100,'Reduces physical damage done to caster by 5%',0,0),
(24811,30005,1,100,'Adds 1.3% to base avoidance.',0,1),
(24812,30005,1,100,'Decreases Slashing, Piercing and Crushing of caster by 21.8',0,2),
(24813,30005,1,100,'Increases Aggression of caster by 14.7',0,3),
(24814,30005,1,100,'Increases Defense and Parry of caster by 23.5',0,4),
(24815,30005,1,100,'Increases Mitigation of caster vs noxious and arcane damage by 342',0,5),
(24816,30005,1,100,'Increases Mitigation of caster vs elemental damage by 1497',0,6),
(24817,30005,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(24818,30005,2,100,'Reduces physical damage done to caster by 5%',0,0),
(24819,30005,2,100,'Adds 1.4% to base avoidance.',0,1),
(24820,30005,2,100,'Decreases Slashing, Piercing and Crushing of caster by 21.8',0,2),
(24821,30005,2,100,'Increases Aggression of caster by 15.5',0,3),
(24822,30005,2,100,'Increases Defense and Parry of caster by 24.9',0,4),
(24823,30005,2,100,'Increases Mitigation of caster vs noxious and arcane damage by 361',0,5),
(24824,30005,2,100,'Increases Mitigation of caster vs elemental damage by 1580',0,6),
(24825,30005,2,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(24826,30005,3,100,'Reduces physical damage done to caster by 5%',0,0),
(24827,30005,3,100,'Adds 1.5% to base avoidance.',0,1),
(24828,30005,3,100,'Decreases Slashing, Piercing and Crushing of caster by 21.8',0,2),
(24829,30005,3,100,'Increases Aggression of caster by 16.4',0,3),
(24830,30005,3,100,'Increases Defense and Parry of caster by 26.2',0,4),
(24831,30005,3,100,'Increases Mitigation of caster vs noxious and arcane damage by 380',0,5),
(24832,30005,3,100,'Increases Mitigation of caster vs elemental damage by 1663',0,6),
(24833,30005,3,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(24834,30005,4,100,'Reduces physical damage done to caster by 5%',0,0),
(24835,30005,4,100,'Adds 1.7% to base avoidance.',0,1),
(24836,30005,4,100,'Decreases Slashing, Piercing and Crushing of caster by 21.8',0,2),
(24837,30005,4,100,'Increases Aggression of caster by 18.0',0,3),
(24838,30005,4,100,'Increases Defense and Parry of caster by 28.8',0,4),
(24839,30005,4,100,'Increases Mitigation of caster vs noxious and arcane damage by 418',0,5),
(24840,30005,4,100,'Increases Mitigation of caster vs elemental damage by 1830',0,6),
(24841,30005,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(24842,30005,5,100,'Reduces physical damage done to caster by 5%',0,0),
(24843,30005,5,100,'Adds 1.8% to base avoidance.',0,1),
(24844,30005,5,100,'Decreases Slashing, Piercing and Crushing of caster by 21.8',0,2),
(24845,30005,5,100,'Increases Aggression of caster by 19.6',0,3),
(24846,30005,5,100,'Increases Defense and Parry of caster by 31.4',0,4),
(24847,30005,5,100,'Increases Mitigation of caster vs noxious and arcane damage by 456',0,5),
(24848,30005,5,100,'Increases Mitigation of caster vs elemental damage by 1996',0,6),
(24849,30005,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(24850,30005,7,100,'Reduces physical damage done to caster by 5%',0,0),
(24851,30005,7,100,'Adds 2.3% to base avoidance.',0,1),
(24852,30005,7,100,'Decreases Slashing, Piercing and Crushing of caster by 21.8',0,2),
(24853,30005,7,100,'Increases Aggression of caster by 25.2',0,3),
(24854,30005,7,100,'Increases Defense and Parry of caster by 40.3',0,4),
(24855,30005,7,100,'Increases Mitigation of caster vs noxious and arcane damage by 585',0,5),
(24856,30005,7,100,'Increases Mitigation of caster vs elemental damage by 2561',0,6),
(24857,30005,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(24858,30005,9,100,'Reduces physical damage done to caster by 5%',0,0),
(24859,30005,9,100,'Adds 2.4% to base avoidance.',0,1),
(24860,30005,9,100,'Decreases Slashing, Piercing and Crushing of caster by 21.8',0,2),
(24861,30005,9,100,'Increases Aggression of caster by 26.2',0,3),
(24862,30005,9,100,'Increases Defense and Parry of caster by 41.9',0,4),
(24863,30005,9,100,'Increases Mitigation of caster vs noxious and arcane damage by 608',0,5),
(24864,30005,9,100,'Increases Mitigation of caster vs elemental damage by 2661',0,6),
(24865,30005,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(24866,30006,1,100,'Reduces physical damage done to caster by 5%',0,0),
(24867,30006,1,100,'Adds 1.3% to base avoidance.',0,1),
(24868,30006,1,100,'Decreases Slashing, Piercing and Crushing of caster by 25.8',0,2),
(24869,30006,1,100,'Increases Aggression of caster by 17.5',0,3),
(24870,30006,1,100,'Increases Defense and Parry of caster by 28.1',0,4),
(24871,30006,1,100,'Increases Mitigation of caster vs noxious and arcane damage by 390',0,5),
(24872,30006,1,100,'Increases Mitigation of caster vs elemental damage by 1721',0,6),
(24873,30006,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(24874,30006,4,100,'Reduces physical damage done to caster by 5%',0,0),
(24875,30006,4,100,'Adds 1.7% to base avoidance.',0,1),
(24876,30006,4,100,'Decreases Slashing, Piercing and Crushing of caster by 25.8',0,2),
(24877,30006,4,100,'Increases Aggression of caster by 21.5',0,3),
(24878,30006,4,100,'Increases Defense and Parry of caster by 34.3',0,4),
(24879,30006,4,100,'Increases Mitigation of caster vs noxious and arcane damage by 476',0,5),
(24880,30006,4,100,'Increases Mitigation of caster vs elemental damage by 2103',0,6),
(24881,30006,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(24882,30006,5,100,'Reduces physical damage done to caster by 5%',0,0),
(24883,30006,5,100,'Adds 1.8% to base avoidance.',0,1),
(24884,30006,5,100,'Decreases Slashing, Piercing and Crushing of caster by 25.8',0,2),
(24885,30006,5,100,'Increases Aggression of caster by 23.4',0,3),
(24886,30006,5,100,'Increases Defense and Parry of caster by 37.4',0,4),
(24887,30006,5,100,'Increases Mitigation of caster vs noxious and arcane damage by 520',0,5),
(24888,30006,5,100,'Increases Mitigation of caster vs elemental damage by 2295',0,6),
(24889,30006,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(24890,30006,7,100,'Reduces physical damage done to caster by 5%',0,0),
(24891,30006,7,100,'Adds 2.3% to base avoidance.',0,1),
(24892,30006,7,100,'Decreases Slashing, Piercing and Crushing of caster by 25.8',0,2),
(24893,30006,7,100,'Increases Aggression of caster by 30.0',0,3),
(24894,30006,7,100,'Increases Defense and Parry of caster by 48.0',0,4),
(24895,30006,7,100,'Increases Mitigation of caster vs noxious and arcane damage by 667',0,5),
(24896,30006,7,100,'Increases Mitigation of caster vs elemental damage by 2945',0,6),
(24897,30006,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(24898,30006,9,100,'Reduces physical damage done to caster by 5%',0,0),
(24899,30006,9,100,'Adds 2.4% to base avoidance.',0,1),
(24900,30006,9,100,'Decreases Slashing, Piercing and Crushing of caster by 25.8',0,2),
(24901,30006,9,100,'Increases Aggression of caster by 31.2',0,3),
(24902,30006,9,100,'Increases Defense and Parry of caster by 49.9',0,4),
(24903,30006,9,100,'Increases Mitigation of caster vs noxious and arcane damage by 693',0,5),
(24904,30006,9,100,'Increases Mitigation of caster vs elemental damage by 3060',0,6),
(24905,30006,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(24906,30007,1,100,'Reduces physical damage done to caster by 5%',0,0),
(24907,30007,1,100,'Adds 1.3% to base avoidance.',0,1),
(24908,30007,1,100,'Decreases Slashing, Piercing and Crushing of caster by 29.8',0,2),
(24909,30007,1,100,'Increases Aggression of caster by 20.9',0,3),
(24910,30007,1,100,'Increases Defense and Parry of caster by 33.5',0,4),
(24911,30007,1,100,'Increases Mitigation of caster vs noxious and arcane damage by 437',0,5),
(24912,30007,1,100,'Increases Mitigation of caster vs elemental damage by 2004',0,6),
(24913,30007,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(24914,30007,4,100,'Reduces physical damage done to caster by 5%',0,0),
(24915,30007,4,100,'Adds 1.7% to base avoidance.',0,1),
(24916,30007,4,100,'Decreases Slashing, Piercing and Crushing of caster by 29.8',0,2),
(24917,30007,4,100,'Increases Aggression of caster by 25.6',0,3),
(24918,30007,4,100,'Increases Defense and Parry of caster by 40.9',0,4),
(24919,30007,4,100,'Increases Mitigation of caster vs noxious and arcane damage by 534',0,5),
(24920,30007,4,100,'Increases Mitigation of caster vs elemental damage by 2449',0,6),
(24921,30007,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(24922,30007,5,100,'Reduces physical damage done to caster by 5%',0,0),
(24923,30007,5,100,'Adds 1.8% to base avoidance.',0,1),
(24924,30007,5,100,'Decreases Slashing, Piercing and Crushing of caster by 29.8',0,2),
(24925,30007,5,100,'Increases Aggression of caster by 27.9',0,3),
(24926,30007,5,100,'Increases Defense and Parry of caster by 44.6',0,4),
(24927,30007,5,100,'Increases Mitigation of caster vs noxious and arcane damage by 583',0,5),
(24928,30007,5,100,'Increases Mitigation of caster vs elemental damage by 2672',0,6),
(24929,30007,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(24930,30007,7,100,'Reduces physical damage done to caster by 5%',0,0),
(24931,30007,7,100,'Adds 2.3% to base avoidance.',0,1),
(24932,30007,7,100,'Decreases Slashing, Piercing and Crushing of caster by 29.8',0,2),
(24933,30007,7,100,'Increases Aggression of caster by 35.8',0,3),
(24934,30007,7,100,'Increases Defense and Parry of caster by 57.3',0,4),
(24935,30007,7,100,'Increases Mitigation of caster vs noxious and arcane damage by 748',0,5),
(24936,30007,7,100,'Increases Mitigation of caster vs elemental damage by 3429',0,6),
(24937,30007,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(24938,30007,9,100,'Reduces physical damage done to caster by 5%',0,0),
(24939,30007,9,100,'Adds 2.4% to base avoidance.',0,1),
(24940,30007,9,100,'Decreases Slashing, Piercing and Crushing of caster by 29.8',0,2),
(24941,30007,9,100,'Increases Aggression of caster by 37.2',0,3),
(24942,30007,9,100,'Increases Defense and Parry of caster by 59.5',0,4),
(24943,30007,9,100,'Increases Mitigation of caster vs noxious and arcane damage by 777',0,5),
(24944,30007,9,100,'Increases Mitigation of caster vs elemental damage by 3562',0,6),
(24945,30007,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(24946,2000012,1,100,'Inflicts 6 - 10 ranged damage on target encounter',0,0),
(24947,2000012,1,100,'Inflicts 7 - 10 piercing damage on target encounter instantly and every 3 seconds',0,1),
(24948,2000012,1,100,'If Aim or Bow equipped in Ranged',0,2),
(24949,390007,1,100,'Inflicts 87 - 145 melee damage on target',0,0),
(24950,390007,1,100,'Returns the last arrow used to the ranger.',0,1),
(24951,390007,2,100,'Inflicts 92 - 154 melee damage on target',0,0),
(24952,390007,2,100,'Returns the last arrow used to the ranger.',0,1),
(24953,390007,3,100,'Inflicts 97 - 162 melee damage on target',0,0),
(24954,390007,3,100,'Returns the last arrow used to the ranger.',0,1),
(24955,390007,4,100,'Inflicts 107 - 178 melee damage on target',0,0),
(24956,390007,4,100,'Returns the last arrow used to the ranger.',0,1),
(24957,390007,5,100,'Inflicts 116 - 194 melee damage on target',0,0),
(24958,390007,5,100,'Returns the last arrow used to the ranger.',0,1),
(24959,390007,7,100,'Inflicts 149 - 249 melee damage on target',0,0),
(24960,390007,7,100,'Returns the last arrow used to the ranger.',0,1),
(24961,390007,9,100,'Inflicts 155 - 259 melee damage on target',0,0),
(24962,390007,9,100,'Returns the last arrow used to the ranger.',0,1),
(24963,390008,1,100,'Inflicts 136 - 227 melee damage on target',0,0),
(24964,390008,1,100,'Returns the last arrow used to the ranger.',0,1),
(24965,390008,2,100,'Inflicts 143 - 239 melee damage on target',0,0),
(24966,390008,2,100,'Returns the last arrow used to the ranger.',0,1),
(24967,390008,3,100,'Inflicts 151 - 252 melee damage on target',0,0),
(24968,390008,3,100,'Returns the last arrow used to the ranger.',0,1),
(24969,390008,4,100,'Inflicts 166 - 277 melee damage on target',0,0),
(24970,390008,4,100,'Returns the last arrow used to the ranger.',0,1),
(24971,390008,5,100,'Inflicts 181 - 302 melee damage on target',0,0),
(24972,390008,5,100,'Returns the last arrow used to the ranger.',0,1),
(24973,390008,7,100,'Inflicts 233 - 388 melee damage on target',0,0),
(24974,390008,7,100,'Returns the last arrow used to the ranger.',0,1),
(24975,390008,9,100,'Inflicts 242 - 403 melee damage on target',0,0),
(24976,390008,9,100,'Returns the last arrow used to the ranger.',0,1),
(24977,390009,1,100,'Inflicts 212 - 353 melee damage on target',0,0),
(24978,390009,1,100,'Returns the last arrow used to the ranger.',0,1),
(24979,390009,2,100,'Inflicts 224 - 373 melee damage on target',0,0),
(24980,390009,2,100,'Returns the last arrow used to the ranger.',0,1),
(24981,390009,3,100,'Inflicts 235 - 393 melee damage on target',0,0),
(24982,390009,3,100,'Returns the last arrow used to the ranger.',0,1),
(24983,390009,4,100,'Inflicts 259 - 432 melee damage on target',0,0),
(24984,390009,4,100,'Returns the last arrow used to the ranger.',0,1),
(24985,390009,5,100,'Inflicts 283 - 471 melee damage on target',0,0),
(24986,390009,5,100,'Returns the last arrow used to the ranger.',0,1),
(24987,390009,7,100,'Inflicts 363 - 605 melee damage on target',0,0),
(24988,390009,7,100,'Returns the last arrow used to the ranger.',0,1),
(24989,390009,9,100,'Inflicts 377 - 629 melee damage on target',0,0),
(24990,390009,9,100,'Returns the last arrow used to the ranger.',0,1),
(24991,390010,1,100,'Inflicts 277 - 461 melee damage on target',0,0),
(24992,390010,1,100,'Returns the last arrow used to the ranger.',0,1),
(24993,390010,2,100,'Inflicts 292 - 487 melee damage on target',0,0),
(24994,390010,2,100,'Returns the last arrow used to the ranger.',0,1),
(24995,390010,3,100,'Inflicts 307 - 513 melee damage on target',0,0),
(24996,390010,3,100,'Returns the last arrow used to the ranger.',0,1),
(24997,390010,4,100,'Inflicts 338 - 564 melee damage on target',0,0),
(24998,390010,4,100,'Returns the last arrow used to the ranger.',0,1),
(24999,390010,5,100,'Inflicts 369 - 615 melee damage on target',0,0),
(25000,390010,5,100,'Returns the last arrow used to the ranger.',0,1),
(25001,390010,7,100,'Inflicts 474 - 790 melee damage on target',0,0),
(25002,390010,7,100,'Returns the last arrow used to the ranger.',0,1),
(25003,390010,9,100,'Inflicts 492 - 821 melee damage on target',0,0),
(25004,390010,9,100,'Returns the last arrow used to the ranger.',0,1),
(25005,390010,10,100,'Inflicts 517 - 862 melee damage on target',0,0),
(25006,390010,10,100,'Returns the last arrow used to the ranger.',0,1),
(25007,390011,1,100,'Inflicts 335 - 559 melee damage on target',0,0),
(25008,390011,1,100,'Returns the last arrow used to the ranger.',0,1),
(25009,390011,4,100,'Inflicts 410 - 683 melee damage on target',0,0),
(25010,390011,4,100,'Returns the last arrow used to the ranger.',0,1),
(25011,390011,5,100,'Inflicts 447 - 745 melee damage on target',0,0),
(25012,390011,5,100,'Returns the last arrow used to the ranger.',0,1),
(25013,390011,7,100,'Inflicts 574 - 956 melee damage on target',0,0),
(25014,390011,7,100,'Returns the last arrow used to the ranger.',0,1),
(25015,390011,9,100,'Inflicts 596 - 994 melee damage on target',0,0),
(25016,390011,9,100,'Returns the last arrow used to the ranger.',0,1),
(25017,390012,1,100,'Inflicts 510 - 850 melee damage on target',0,0),
(25018,390012,1,100,'Returns the last arrow used to the ranger.',0,1),
(25019,390012,4,100,'Inflicts 623 - 1039 melee damage on target',0,0),
(25020,390012,4,100,'Returns the last arrow used to the ranger.',0,1),
(25021,390012,5,100,'Inflicts 680 - 1134 melee damage on target',0,0),
(25022,390012,5,100,'Returns the last arrow used to the ranger.',0,1),
(25023,390012,7,100,'Inflicts 873 - 1455 melee damage on target',0,0),
(25024,390012,7,100,'Returns the last arrow used to the ranger.',0,1),
(25025,390012,9,100,'Inflicts 907 - 1512 melee damage on target',0,0),
(25026,390012,9,100,'Returns the last arrow used to the ranger.',0,1),
(25027,310001,1,100,'Inflicts 26 - 44 melee damage on target',0,0),
(25028,310001,1,100,'You must be sneaking to use this ability.',0,1),
(25029,310001,2,100,'Inflicts 28 - 46 melee damage on target',0,0),
(25030,310001,2,100,'You must be sneaking to use this ability.',0,1),
(25031,310001,3,100,'Inflicts 29 - 49 melee damage on target',0,0),
(25032,310001,3,100,'You must be sneaking to use this ability.',0,1),
(25033,310001,4,100,'Inflicts 32 - 54 melee damage on target',0,0),
(25034,310001,4,100,'You must be sneaking to use this ability.',0,1),
(25035,310001,5,100,'Inflicts 35 - 59 melee damage on target',0,0),
(25036,310001,5,100,'You must be sneaking to use this ability.',0,1),
(25037,310001,7,100,'Inflicts 45 - 75 melee damage on target',0,0),
(25038,310001,7,100,'You must be sneaking to use this ability.',0,1),
(25039,310001,9,100,'Inflicts 47 - 78 melee damage on target',0,0),
(25040,310001,9,100,'You must be sneaking to use this ability.',0,1),
(25041,400013,12,100,'On a combat hit this spell may cast Flurry of Poison on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(25042,400013,12,100,'Inflicts 648 - 972 poison damage on target',1,1),
(25043,400013,12,100,'Increases Crit Chance of caster by 15.0',1,2),
(25044,400013,12,100,'Cannot be modified except by direct means',1,3),
(25045,400013,12,100,'Caster has a 15.0% chance of having one of their weapons'' auto-attack strike the target multiple times.',0,4),
(25046,400013,12,100,'Increases the damage of stealth attacks by 30%.',0,5),
(25047,400013,12,100,'Cannot be modified except by direct means',0,6),
(25048,400014,1,100,'Inflicts 2007 - 3345 melee damage on target',0,0),
(25049,400014,1,100,'You must be stealthed to use this ability',0,1),
(25050,400014,2,100,'Inflicts 2119 - 3531 melee damage on target',0,0),
(25051,400014,2,100,'You must be stealthed to use this ability',0,1),
(25052,400014,3,100,'Inflicts 2230 - 3717 melee damage on target',0,0),
(25053,400014,3,100,'You must be stealthed to use this ability',0,1),
(25054,400014,4,100,'Inflicts 2453 - 4089 melee damage on target',0,0),
(25055,400014,4,100,'You must be stealthed to use this ability',0,1),
(25056,400014,5,100,'Inflicts 2676 - 4461 melee damage on target',0,0),
(25057,400014,5,100,'You must be stealthed to use this ability',0,1),
(25058,400014,7,100,'Inflicts 3435 - 5725 melee damage on target',0,0),
(25059,400014,7,100,'You must be stealthed to use this ability',0,1),
(25060,400014,9,100,'Inflicts 3569 - 5948 melee damage on target',0,0),
(25061,400014,9,100,'You must be stealthed to use this ability',0,1),
(25062,400015,1,100,'Inflicts 3021 - 5035 melee damage on target',0,0),
(25063,400015,1,100,'You must be stealthed to use this ability',0,1),
(25064,400015,2,100,'Inflicts 3189 - 5315 melee damage on target',0,0),
(25065,400015,2,100,'You must be stealthed to use this ability',0,1),
(25066,400015,3,100,'Inflicts 3357 - 5595 melee damage on target',0,0),
(25067,400015,3,100,'You must be stealthed to use this ability',0,1),
(25068,400015,4,100,'Inflicts 3692 - 6154 melee damage on target',0,0),
(25069,400015,4,100,'You must be stealthed to use this ability',0,1),
(25070,400015,5,100,'Inflicts 4028 - 6714 melee damage on target',0,0),
(25071,400015,5,100,'You must be stealthed to use this ability',0,1),
(25072,400015,7,100,'Inflicts 5169 - 8616 melee damage on target',0,0),
(25073,400015,7,100,'You must be stealthed to use this ability',0,1),
(25074,400015,9,100,'Inflicts 5371 - 8952 melee damage on target',0,0),
(25075,400015,9,100,'You must be stealthed to use this ability',0,1),
(25076,400016,1,100,'Inflicts 3663 - 6106 melee damage on target',0,0),
(25077,400016,1,100,'You must be stealthed to use this ability',0,1),
(25078,400016,2,100,'Inflicts 3867 - 6445 melee damage on target',0,0),
(25079,400016,2,100,'You must be stealthed to use this ability',0,1),
(25080,400016,3,100,'Inflicts 4070 - 6784 melee damage on target',0,0),
(25081,400016,3,100,'You must be stealthed to use this ability',0,1),
(25082,400016,4,100,'Inflicts 4477 - 7463 melee damage on target',0,0),
(25083,400016,4,100,'You must be stealthed to use this ability',0,1),
(25084,400016,5,100,'Inflicts 4884 - 8141 melee damage on target',0,0),
(25085,400016,5,100,'You must be stealthed to use this ability',0,1),
(25086,400016,7,100,'Inflicts 6269 - 10448 melee damage on target',0,0),
(25087,400016,7,100,'You must be stealthed to use this ability',0,1),
(25088,400016,9,100,'Inflicts 6513 - 10855 melee damage on target',0,0),
(25089,400016,9,100,'You must be stealthed to use this ability',0,1),
(25090,400017,1,100,'Inflicts 5729 - 9549 melee damage on target',0,0),
(25091,400017,1,100,'You must be stealthed to use this ability',0,1),
(25092,400017,4,100,'Inflicts 7003 - 11671 melee damage on target',0,0),
(25093,400017,4,100,'You must be stealthed to use this ability',0,1),
(25094,400017,5,100,'Inflicts 7639 - 12732 melee damage on target',0,0),
(25095,400017,5,100,'You must be stealthed to use this ability',0,1),
(25096,400017,7,100,'Inflicts 9804 - 16340 melee damage on target',0,0),
(25097,400017,7,100,'You must be stealthed to use this ability',0,1),
(25098,400017,9,100,'Inflicts 10186 - 16977 melee damage on target',0,0),
(25099,400017,9,100,'You must be stealthed to use this ability',0,1),
(25100,400018,1,100,'Inflicts 6079 - 10132 melee damage on target',0,0),
(25101,400018,1,100,'You must be stealthed to use this ability',0,1),
(25102,400018,4,100,'Inflicts 7430 - 12384 melee damage on target',0,0),
(25103,400018,4,100,'You must be stealthed to use this ability',0,1),
(25104,400018,5,100,'Inflicts 8106 - 13510 melee damage on target',0,0),
(25105,400018,5,100,'You must be stealthed to use this ability',0,1),
(25106,400018,7,100,'Inflicts 10402 - 17338 melee damage on target',0,0),
(25107,400018,7,100,'You must be stealthed to use this ability',0,1),
(25108,400018,9,100,'Inflicts 10808 - 18013 melee damage on target',0,0),
(25109,400018,9,100,'You must be stealthed to use this ability',0,1),
(25110,30008,1,100,'Inflicts 19 - 33 melee damage on targets in Area of Effect',0,0),
(25111,30008,2,100,'Inflicts 21 - 35 melee damage on targets in Area of Effect',0,0),
(25112,30008,3,100,'Inflicts 22 - 37 melee damage on targets in Area of Effect',0,0),
(25113,30008,4,100,'Inflicts 24 - 40 melee damage on targets in Area of Effect',0,0),
(25114,30008,5,100,'Inflicts 26 - 44 melee damage on targets in Area of Effect',0,0),
(25115,30008,7,100,'Inflicts 34 - 56 melee damage on targets in Area of Effect',0,0),
(25116,30008,9,100,'Inflicts 35 - 59 melee damage on targets in Area of Effect',0,0),
(25117,30009,1,100,'Inflicts 58 - 97 melee damage on targets in Area of Effect',0,0),
(25118,30009,2,100,'Inflicts 61 - 102 melee damage on targets in Area of Effect',0,0),
(25119,30009,3,100,'Inflicts 64 - 108 melee damage on targets in Area of Effect',0,0),
(25120,30009,4,100,'Inflicts 71 - 118 melee damage on targets in Area of Effect',0,0),
(25121,30009,5,100,'Inflicts 77 - 129 melee damage on targets in Area of Effect',0,0),
(25122,30009,7,100,'Inflicts 99 - 166 melee damage on targets in Area of Effect',0,0),
(25123,30009,9,100,'Inflicts 103 - 172 melee damage on targets in Area of Effect',0,0),
(25124,30010,1,100,'Inflicts 103 - 173 melee damage on targets in Area of Effect',0,0),
(25125,30010,2,100,'Inflicts 109 - 182 melee damage on targets in Area of Effect',0,0),
(25126,30010,3,100,'Inflicts 115 - 192 melee damage on targets in Area of Effect',0,0),
(25127,30010,4,100,'Inflicts 126 - 211 melee damage on targets in Area of Effect',0,0),
(25128,30010,5,100,'Inflicts 138 - 230 melee damage on targets in Area of Effect',0,0),
(25129,30010,7,100,'Inflicts 177 - 296 melee damage on targets in Area of Effect',0,0),
(25130,30010,9,100,'Inflicts 184 - 307 melee damage on targets in Area of Effect',0,0),
(25131,30011,1,100,'Inflicts 156 - 260 melee damage on targets in Area of Effect',0,0),
(25132,30011,2,100,'Inflicts 165 - 275 melee damage on targets in Area of Effect',0,0),
(25133,30011,3,100,'Inflicts 173 - 289 melee damage on targets in Area of Effect',0,0),
(25134,30011,4,100,'Inflicts 191 - 318 melee damage on targets in Area of Effect',0,0),
(25135,30011,5,100,'Inflicts 208 - 347 melee damage on targets in Area of Effect',0,0),
(25136,30011,7,100,'Inflicts 267 - 446 melee damage on targets in Area of Effect',0,0),
(25137,30011,9,100,'Inflicts 278 - 463 melee damage on targets in Area of Effect',0,0),
(25138,30011,10,100,'Inflicts 292 - 487 melee damage on targets in Area of Effect',0,0),
(25139,30012,1,100,'Inflicts 213 - 355 melee damage on targets in Area of Effect',0,0),
(25140,30012,2,100,'Inflicts 225 - 375 melee damage on targets in Area of Effect',0,0),
(25141,30012,3,100,'Inflicts 237 - 395 melee damage on targets in Area of Effect',0,0),
(25142,30012,4,100,'Inflicts 260 - 434 melee damage on targets in Area of Effect',0,0),
(25143,30012,5,100,'Inflicts 284 - 474 melee damage on targets in Area of Effect',0,0),
(25144,30012,7,100,'Inflicts 365 - 608 melee damage on targets in Area of Effect',0,0),
(25145,30012,9,100,'Inflicts 379 - 632 melee damage on targets in Area of Effect',0,0),
(25146,30012,10,100,'Inflicts 398 - 663 melee damage on targets in Area of Effect',0,0),
(25147,30013,1,100,'Inflicts 267 - 445 melee damage on targets in Area of Effect',0,0),
(25148,30013,2,100,'Inflicts 282 - 470 melee damage on targets in Area of Effect',0,0),
(25149,30013,3,100,'Inflicts 297 - 495 melee damage on targets in Area of Effect',0,0),
(25150,30013,4,100,'Inflicts 326 - 544 melee damage on targets in Area of Effect',0,0),
(25151,30013,5,100,'Inflicts 356 - 594 melee damage on targets in Area of Effect',0,0),
(25152,30013,7,100,'Inflicts 457 - 762 melee damage on targets in Area of Effect',0,0),
(25153,30013,9,100,'Inflicts 475 - 792 melee damage on targets in Area of Effect',0,0),
(25154,30013,10,100,'Inflicts 499 - 831 melee damage on targets in Area of Effect',0,0),
(25155,30014,1,100,'Inflicts 322 - 538 melee damage on targets in Area of Effect',0,0),
(25156,30014,4,100,'Inflicts 394 - 657 melee damage on targets in Area of Effect',0,0),
(25157,30014,5,100,'Inflicts 430 - 717 melee damage on targets in Area of Effect',0,0),
(25158,30014,7,100,'Inflicts 552 - 920 melee damage on targets in Area of Effect',0,0),
(25159,30014,9,100,'Inflicts 573 - 956 melee damage on targets in Area of Effect',0,0),
(25160,30014,2,100,'Inflicts 502 - 852 melee damage on targets in Area of Effect',0,0),
(25161,30015,1,100,'Inflicts 363 - 605 melee damage on targets in Area of Effect',0,0),
(25162,30015,4,100,'Inflicts 444 - 740 melee damage on targets in Area of Effect',0,0),
(25163,30015,5,100,'Inflicts 484 - 807 melee damage on targets in Area of Effect',0,0),
(25164,30015,7,100,'Inflicts 621 - 1036 melee damage on targets in Area of Effect',0,0),
(25165,30015,9,100,'Inflicts 645 - 1076 melee damage on targets in Area of Effect',0,0),
(25166,30015,2,100,'Inflicts 572 - 948 melee damage on targets in Area of Effect',0,0),
(25167,420000,1,100,'Inflicts 54 - 91 melee damage on target encounter',0,0),
(25168,420000,1,100,'Increases savagery of caster by 20.0',0,1),
(25169,420000,1,100,'This effect cannot be critically applied.',1,2),
(25170,420000,1,100,'Heals group members (AE) for 2 - 4',0,3),
(25171,420001,9,100,'Inflicts 262 - 437 melee damage on target encounter',0,0),
(25172,420001,9,100,'The effect of this ability grows based on Spirituality level.',0,1),
(25173,420001,9,100,'You must have Tame Exotic Warder to use this Primal.',0,2),
(25174,420001,9,100,'You must have your warder active to use this ability.',0,3),
(25175,420001,9,100,'You must have your warder active to use this ability.',0,4),
(25176,330007,1,100,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(25177,330007,1,100,'Decreases Threat to target by 156 ',1,1),
(25178,330007,2,100,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(25179,330007,2,100,'Decreases Threat to target by 165 ',1,1),
(25180,330007,3,100,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(25181,330007,3,100,'Decreases Threat to target by 174 ',1,1),
(25182,330007,4,100,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(25183,330007,4,100,'Decreases Threat to target by 191 ',1,1),
(25184,330007,5,100,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(25185,330007,5,100,'Decreases Threat to target by 208 ',1,1),
(25186,330007,7,100,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(25187,330007,7,100,'Decreases Threat to target by 268 ',1,1),
(25188,330007,9,100,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(25189,330007,9,100,'Decreases Threat to target by 278 ',1,1),
(25190,330008,1,100,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(25191,330008,1,100,'Decreases Threat to target by 309 ',1,1),
(25192,330008,2,100,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(25193,330008,2,100,'Decreases Threat to target by 326 ',1,1),
(25194,330008,3,100,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(25195,330008,3,100,'Decreases Threat to target by 343 ',1,1),
(25196,330008,4,100,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(25197,330008,4,100,'Decreases Threat to target by 378 ',1,1),
(25198,330008,5,100,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(25199,330008,5,100,'Decreases Threat to target by 412 ',1,1),
(25200,330008,7,100,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(25201,330008,7,100,'Decreases Threat to target by 529 ',1,1),
(25202,330008,9,100,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(25203,330008,9,100,'Decreases Threat to target by 549 ',1,1),
(25204,330009,1,100,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(25205,330009,1,100,'Decreases Threat to target by 491 ',1,1),
(25206,330009,2,100,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(25207,330009,2,100,'Decreases Threat to target by 519 ',1,1),
(25208,330009,3,100,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(25209,330009,3,100,'Decreases Threat to target by 546 ',1,1),
(25210,330009,4,100,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(25211,330009,4,100,'Decreases Threat to target by 601 ',1,1),
(25212,330009,5,100,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(25213,330009,5,100,'Decreases Threat to target by 655 ',1,1),
(25214,330009,7,100,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(25215,330009,7,100,'Decreases Threat to target by 841 ',1,1),
(25216,330009,9,100,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(25217,330009,9,100,'Decreases Threat to target by 874 ',1,1),
(25218,330010,1,100,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(25219,330010,1,100,'Decreases Threat to target by 709 ',1,1),
(25220,330010,2,100,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(25221,330010,2,100,'Decreases Threat to target by 748 ',1,1),
(25222,330010,3,100,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(25223,330010,3,100,'Decreases Threat to target by 787 ',1,1),
(25224,330010,4,100,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(25225,330010,4,100,'Decreases Threat to target by 866 ',1,1),
(25226,330010,5,100,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(25227,330010,5,100,'Decreases Threat to target by 945 ',1,1),
(25228,330010,7,100,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(25229,330010,7,100,'Decreases Threat to target by 1,213 ',1,1),
(25230,330010,9,100,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(25231,330010,9,100,'Decreases Threat to target by 1,260 ',1,1),
(25232,330011,1,100,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(25233,330011,1,100,'Decreases Threat to target by 932 ',1,1),
(25234,330011,2,100,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(25235,330011,2,100,'Decreases Threat to target by 984 ',1,1),
(25236,330011,3,100,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(25237,330011,3,100,'Decreases Threat to target by 1,035 ',1,1),
(25238,330011,4,100,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(25239,330011,4,100,'Decreases Threat to target by 1,139 ',1,1),
(25240,330011,5,100,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(25241,330011,5,100,'Decreases Threat to target by 1,243 ',1,1),
(25242,330011,7,100,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(25243,330011,7,100,'Decreases Threat to target by 1,595 ',1,1),
(25244,330011,9,100,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(25245,330011,9,100,'Decreases Threat to target by 1,657 ',1,1),
(25246,330012,1,100,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(25247,330012,1,100,'Decreases Threat to target by 1,157 ',1,1),
(25248,330012,4,100,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(25249,330012,4,100,'Decreases Threat to target by 1,415 ',1,1),
(25250,330012,5,100,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(25251,330012,5,100,'Decreases Threat to target by 1,543 ',1,1),
(25252,330012,7,100,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(25253,330012,7,100,'Decreases Threat to target by 1,981 ',1,1),
(25254,330012,9,100,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(25255,330012,9,100,'Decreases Threat to target by 2,058 ',1,1),
(25256,330013,1,100,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(25257,330013,1,100,'Decreases Threat to target by 1,383 ',1,1),
(25258,330013,4,100,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(25259,330013,4,100,'Decreases Threat to target by 1,690 ',1,1),
(25260,330013,5,100,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(25261,330013,5,100,'Decreases Threat to target by 1,844 ',1,1),
(25262,330013,7,100,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(25263,330013,7,100,'Decreases Threat to target by 2,366 ',1,1),
(25264,330013,9,100,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(25265,330013,9,100,'Decreases Threat to target by 2,458 ',1,1),
(25266,380000,1,100,'Inflicts 106 - 178 ranged damage on target',0,0),
(25267,380000,1,100,'If weapon equipped in Ranged',0,1),
(25268,380000,1,100,'Must be flanking or behind',0,2),
(25269,380000,2,100,'Inflicts 112 - 187 ranged damage on target',0,0),
(25270,380000,2,100,'If weapon equipped in Ranged',0,1),
(25271,380000,2,100,'Must be flanking or behind',0,2),
(25272,380000,3,100,'Inflicts 118 - 197 ranged damage on target',0,0),
(25273,380000,3,100,'If weapon equipped in Ranged',0,1),
(25274,380000,3,100,'Must be flanking or behind',0,2),
(25275,380000,4,100,'Inflicts 130 - 217 ranged damage on target',0,0),
(25276,380000,4,100,'If weapon equipped in Ranged',0,1),
(25277,380000,4,100,'Must be flanking or behind',0,2),
(25278,380000,5,100,'Inflicts 142 - 237 ranged damage on target',0,0),
(25279,380000,5,100,'If weapon equipped in Ranged',0,1),
(25280,380000,5,100,'Must be flanking or behind',0,2),
(25281,380000,7,100,'Inflicts 182 - 304 ranged damage on target',0,0),
(25282,380000,7,100,'If weapon equipped in Ranged',0,1),
(25283,380000,7,100,'Must be flanking or behind',0,2),
(25284,380000,9,100,'Inflicts 189 - 316 ranged damage on target',0,0),
(25285,380000,9,100,'If weapon equipped in Ranged',0,1),
(25286,380000,9,100,'Must be flanking or behind',0,2),
(25287,340001,1,100,'Inflicts 6 - 10 melee damage on target',0,0),
(25288,340001,1,100,'Inflicts 2 piercing damage on target instantly and every 4 seconds',0,1),
(25289,340001,1,100,'Must be flanking or behind',0,2),
(25290,320000,1,100,'Inflicts 46 - 78 melee damage on target',0,0),
(25291,320000,1,100,'Decreases AGI of target by 7.2',0,1),
(25292,320000,1,100,'Must be flanking or behind',0,2),
(25293,320000,2,100,'Inflicts 49 - 82 melee damage on target',0,0),
(25294,320000,2,100,'Decreases AGI of target by 7.6',0,1),
(25295,320000,2,100,'Must be flanking or behind',0,2),
(25296,340001,2,100,'Inflicts 6 - 11 melee damage on target',0,0),
(25297,340001,2,100,'Inflicts 2 piercing damage on target instantly and every 4 seconds',0,1),
(25298,340001,2,100,'Must be flanking or behind',0,2),
(25299,320000,3,100,'Inflicts 52 - 86 melee damage on target',0,0),
(25300,320000,3,100,'Decreases AGI of target by 8.0',0,1),
(25301,320000,3,100,'Must be flanking or behind',0,2),
(25302,340001,3,100,'Inflicts 7 - 11 melee damage on target',0,0),
(25303,340001,3,100,'Inflicts 2 piercing damage on target instantly and every 4 seconds',0,1),
(25304,340001,3,100,'Must be flanking or behind',0,2),
(25305,340001,4,100,'Inflicts 7 - 13 melee damage on target',0,0),
(25306,340001,4,100,'Inflicts 3 piercing damage on target instantly and every 4 seconds',0,1),
(25307,340001,4,100,'Must be flanking or behind',0,2),
(25308,320000,4,100,'Inflicts 57 - 95 melee damage on target',0,0),
(25309,320000,4,100,'Decreases AGI of target by 8.8',0,1),
(25310,320000,4,100,'Must be flanking or behind',0,2),
(25311,320000,5,100,'Inflicts 62 - 104 melee damage on target',0,0),
(25312,320000,5,100,'Decreases AGI of target by 9.6',0,1),
(25313,320000,5,100,'Must be flanking or behind',0,2),
(25314,340001,5,100,'Inflicts 8 - 14 melee damage on target',0,0),
(25315,340001,5,100,'Inflicts 3 piercing damage on target instantly and every 4 seconds',0,1),
(25316,340001,5,100,'Must be flanking or behind',0,2),
(25317,320000,7,100,'Inflicts 80 - 133 melee damage on target',0,0),
(25318,320000,7,100,'Decreases AGI of target by 12.3',0,1),
(25319,320000,7,100,'Must be flanking or behind',0,2),
(25320,340001,7,100,'Inflicts 10 - 18 melee damage on target',0,0),
(25321,340001,7,100,'Inflicts 4 piercing damage on target instantly and every 4 seconds',0,1),
(25322,340001,7,100,'Must be flanking or behind',0,2),
(25323,320000,9,100,'Inflicts 83 - 138 melee damage on target',0,0),
(25324,320000,9,100,'Decreases AGI of target by 12.8',0,1),
(25325,320000,9,100,'Must be flanking or behind',0,2),
(25326,340001,9,100,'Inflicts 11 - 19 melee damage on target',0,0),
(25327,340001,9,100,'Inflicts 4 piercing damage on target instantly and every 4 seconds',0,1),
(25328,340001,9,100,'Must be flanking or behind',0,2),
(25329,340002,1,100,'Inflicts 28 - 46 melee damage on target',0,0),
(25330,340002,1,100,'Inflicts 9 piercing damage on target instantly and every 4 seconds',0,1),
(25331,340002,1,100,'Must be flanking or behind',0,2),
(25332,340002,2,100,'Inflicts 29 - 49 melee damage on target',0,0),
(25333,340002,2,100,'Inflicts 10 piercing damage on target instantly and every 4 seconds',0,1),
(25334,340002,2,100,'Must be flanking or behind',0,2),
(25335,340002,3,100,'Inflicts 31 - 52 melee damage on target',0,0),
(25336,340002,3,100,'Inflicts 10 piercing damage on target instantly and every 4 seconds',0,1),
(25337,340002,3,100,'Must be flanking or behind',0,2),
(25338,340002,4,100,'Inflicts 34 - 57 melee damage on target',0,0),
(25339,340002,4,100,'Inflicts 11 piercing damage on target instantly and every 4 seconds',0,1),
(25340,340002,4,100,'Must be flanking or behind',0,2),
(25341,340002,5,100,'Inflicts 37 - 62 melee damage on target',0,0),
(25342,340002,5,100,'Inflicts 12 piercing damage on target instantly and every 4 seconds',0,1),
(25343,340002,5,100,'Must be flanking or behind',0,2),
(25344,340002,7,100,'Inflicts 48 - 80 melee damage on target',0,0),
(25345,340002,7,100,'Inflicts 16 piercing damage on target instantly and every 4 seconds',0,1),
(25346,340002,7,100,'Must be flanking or behind',0,2),
(25347,340002,9,100,'Inflicts 49 - 83 melee damage on target',0,0),
(25348,340002,9,100,'Inflicts 17 piercing damage on target instantly and every 4 seconds',0,1),
(25349,340002,9,100,'Must be flanking or behind',0,2),
(25350,340002,10,100,'Inflicts 52 - 87 melee damage on target',0,0),
(25351,340002,10,100,'Inflicts 17 piercing damage on target instantly and every 4 seconds',0,1),
(25352,340002,10,100,'Must be flanking or behind',0,2),
(25353,340003,1,100,'Inflicts 68 - 113 melee damage on target',0,0),
(25354,340003,1,100,'Inflicts 23 piercing damage on target instantly and every 4 seconds',0,1),
(25355,340003,1,100,'Must be flanking or behind',0,2),
(25356,340003,2,100,'Inflicts 71 - 119 melee damage on target',0,0),
(25357,340003,2,100,'Inflicts 24 piercing damage on target instantly and every 4 seconds',0,1),
(25358,340003,2,100,'Must be flanking or behind',0,2),
(25359,340003,3,100,'Inflicts 75 - 126 melee damage on target',0,0),
(25360,340003,3,100,'Inflicts 25 piercing damage on target instantly and every 4 seconds',0,1),
(25361,340003,3,100,'Must be flanking or behind',0,2),
(25362,340003,4,100,'Inflicts 83 - 138 melee damage on target',0,0),
(25363,340003,4,100,'Inflicts 28 piercing damage on target instantly and every 4 seconds',0,1),
(25364,340003,4,100,'Must be flanking or behind',0,2),
(25365,340003,5,100,'Inflicts 90 - 151 melee damage on target',0,0),
(25366,340003,5,100,'Inflicts 30 piercing damage on target instantly and every 4 seconds',0,1),
(25367,340003,5,100,'Must be flanking or behind',0,2),
(25368,340003,7,100,'Inflicts 116 - 194 melee damage on target',0,0),
(25369,340003,7,100,'Inflicts 39 piercing damage on target instantly and every 4 seconds',0,1),
(25370,340003,7,100,'Must be flanking or behind',0,2),
(25371,340003,9,100,'Inflicts 121 - 201 melee damage on target',0,0),
(25372,340003,9,100,'Inflicts 40 piercing damage on target instantly and every 4 seconds',0,1),
(25373,340003,9,100,'Must be flanking or behind',0,2),
(25374,340003,10,100,'Inflicts 127 - 211 melee damage on target',0,0),
(25375,340003,10,100,'Inflicts 42 piercing damage on target instantly and every 4 seconds',0,1),
(25376,340003,10,100,'Must be flanking or behind',0,2),
(25377,340004,1,100,'Inflicts 113 - 189 melee damage on target',0,0),
(25378,340004,1,100,'Inflicts 38 piercing damage on target instantly and every 4 seconds',0,1),
(25379,340004,1,100,'Must be flanking or behind',0,2),
(25380,340004,2,100,'Inflicts 119 - 199 melee damage on target',0,0),
(25381,340004,2,100,'Inflicts 40 piercing damage on target instantly and every 4 seconds',0,1),
(25382,340004,2,100,'Must be flanking or behind',0,2),
(25383,340004,3,100,'Inflicts 126 - 210 melee damage on target',0,0),
(25384,340004,3,100,'Inflicts 42 piercing damage on target instantly and every 4 seconds',0,1),
(25385,340004,3,100,'Must be flanking or behind',0,2),
(25386,340004,4,100,'Inflicts 138 - 231 melee damage on target',0,0),
(25387,340004,4,100,'Inflicts 46 piercing damage on target instantly and every 4 seconds',0,1),
(25388,340004,4,100,'Must be flanking or behind',0,2),
(25389,340004,5,100,'Inflicts 151 - 252 melee damage on target',0,0),
(25390,340004,5,100,'Inflicts 50 piercing damage on target instantly and every 4 seconds',0,1),
(25391,340004,5,100,'Must be flanking or behind',0,2),
(25392,340004,7,100,'Inflicts 194 - 323 melee damage on target',0,0),
(25393,340004,7,100,'Inflicts 65 piercing damage on target instantly and every 4 seconds',0,1),
(25394,340004,7,100,'Must be flanking or behind',0,2),
(25395,340004,9,100,'Inflicts 201 - 336 melee damage on target',0,0),
(25396,340004,9,100,'Inflicts 67 piercing damage on target instantly and every 4 seconds',0,1),
(25397,340004,9,100,'Must be flanking or behind',0,2),
(25398,340005,1,100,'Inflicts 367 - 612 melee damage on target',0,0),
(25399,340005,1,100,'Inflicts 123 piercing damage on target instantly and every 4 seconds',0,1),
(25400,340005,1,100,'Must be flanking or behind',0,2),
(25401,340005,4,100,'Inflicts 449 - 748 melee damage on target',0,0),
(25402,340005,4,100,'Inflicts 150 piercing damage on target instantly and every 4 seconds',0,1),
(25403,340005,4,100,'Must be flanking or behind',0,2),
(25404,340005,5,100,'Inflicts 490 - 817 melee damage on target',0,0),
(25405,340005,5,100,'Inflicts 163 piercing damage on target instantly and every 4 seconds',0,1),
(25406,340005,5,100,'Must be flanking or behind',0,2),
(25407,340005,7,100,'Inflicts 629 - 1048 melee damage on target',0,0),
(25408,340005,7,100,'Inflicts 210 piercing damage on target instantly and every 4 seconds',0,1),
(25409,340005,7,100,'Must be flanking or behind',0,2),
(25410,340005,9,100,'Inflicts 653 - 1089 melee damage on target',0,0),
(25411,340005,9,100,'Inflicts 218 piercing damage on target instantly and every 4 seconds',0,1),
(25412,340005,9,100,'Must be flanking or behind',0,2),
(25413,340006,1,100,'Inflicts 168 - 281 melee damage on target',0,0),
(25414,340006,1,100,'Inflicts 56 piercing damage on target instantly and every 4 seconds',0,1),
(25415,340006,1,100,'Must be flanking or behind',0,2),
(25416,340006,2,100,'Inflicts 178 - 296 melee damage on target',0,0),
(25417,340006,2,100,'Inflicts 59 piercing damage on target instantly and every 4 seconds',0,1),
(25418,340006,2,100,'Must be flanking or behind',0,2),
(25419,340006,3,100,'Inflicts 187 - 312 melee damage on target',0,0),
(25420,340006,3,100,'Inflicts 62 piercing damage on target instantly and every 4 seconds',0,1),
(25421,340006,3,100,'Must be flanking or behind',0,2),
(25422,340006,4,100,'Inflicts 206 - 343 melee damage on target',0,0),
(25423,340006,4,100,'Inflicts 69 piercing damage on target instantly and every 4 seconds',0,1),
(25424,340006,4,100,'Must be flanking or behind',0,2),
(25425,340006,5,100,'Inflicts 224 - 374 melee damage on target',0,0),
(25426,340006,5,100,'Inflicts 75 piercing damage on target instantly and every 4 seconds',0,1),
(25427,340006,5,100,'Must be flanking or behind',0,2),
(25428,340006,7,100,'Inflicts 288 - 481 melee damage on target',0,0),
(25429,340006,7,100,'Inflicts 96 piercing damage on target instantly and every 4 seconds',0,1),
(25430,340006,7,100,'Must be flanking or behind',0,2),
(25431,340006,9,100,'Inflicts 299 - 499 melee damage on target',0,0),
(25432,340006,9,100,'Inflicts 100 piercing damage on target instantly and every 4 seconds',0,1),
(25433,340006,9,100,'Must be flanking or behind',0,2),
(25434,340006,10,100,'Inflicts 314 - 524 melee damage on target',0,0),
(25435,340006,10,100,'Inflicts 105 piercing damage on target instantly and every 4 seconds',0,1),
(25436,340006,10,100,'Must be flanking or behind',0,2),
(25437,340007,1,100,'Inflicts 225 - 375 melee damage on target',0,0),
(25438,340007,1,100,'Inflicts 75 piercing damage on target instantly and every 4 seconds',0,1),
(25439,340007,1,100,'Must be flanking or behind',0,2),
(25440,340007,2,100,'Inflicts 238 - 396 melee damage on target',0,0),
(25441,340007,2,100,'Inflicts 79 piercing damage on target instantly and every 4 seconds',0,1),
(25442,340007,2,100,'Must be flanking or behind',0,2),
(25443,340007,3,100,'Inflicts 250 - 417 melee damage on target',0,0),
(25444,340007,3,100,'Inflicts 84 piercing damage on target instantly and every 4 seconds',0,1),
(25445,340007,3,100,'Must be flanking or behind',0,2),
(25446,340007,4,100,'Inflicts 275 - 459 melee damage on target',0,0),
(25447,340007,4,100,'Inflicts 92 piercing damage on target instantly and every 4 seconds',0,1),
(25448,340007,4,100,'Must be flanking or behind',0,2),
(25449,340007,5,100,'Inflicts 300 - 501 melee damage on target',0,0),
(25450,340007,5,100,'Inflicts 100 piercing damage on target instantly and every 4 seconds',0,1),
(25451,340007,5,100,'Must be flanking or behind',0,2),
(25452,340007,7,100,'Inflicts 385 - 643 melee damage on target',0,0),
(25453,340007,7,100,'Inflicts 129 piercing damage on target instantly and every 4 seconds',0,1),
(25454,340007,7,100,'Must be flanking or behind',0,2),
(25455,340007,9,100,'Inflicts 400 - 668 melee damage on target',0,0),
(25456,340007,9,100,'Inflicts 134 piercing damage on target instantly and every 4 seconds',0,1),
(25457,340007,9,100,'Must be flanking or behind',0,2),
(25458,340008,1,100,'Inflicts 277 - 462 melee damage on target',0,0),
(25459,340008,1,100,'Inflicts 93 piercing damage on target instantly and every 4 seconds',0,1),
(25460,340008,1,100,'Must be flanking or behind',0,2),
(25461,340008,2,100,'Inflicts 293 - 488 melee damage on target',0,0),
(25462,340008,2,100,'Inflicts 98 piercing damage on target instantly and every 4 seconds',0,1),
(25463,340008,2,100,'Must be flanking or behind',0,2),
(25464,340008,3,100,'Inflicts 308 - 514 melee damage on target',0,0),
(25465,340008,3,100,'Inflicts 103 piercing damage on target instantly and every 4 seconds',0,1),
(25466,340008,3,100,'Must be flanking or behind',0,2),
(25467,340008,4,100,'Inflicts 339 - 565 melee damage on target',0,0),
(25468,340008,4,100,'Inflicts 113 piercing damage on target instantly and every 4 seconds',0,1),
(25469,340008,4,100,'Must be flanking or behind',0,2),
(25470,340008,5,100,'Inflicts 370 - 617 melee damage on target',0,0),
(25471,340008,5,100,'Inflicts 123 piercing damage on target instantly and every 4 seconds',0,1),
(25472,340008,5,100,'Must be flanking or behind',0,2),
(25473,340008,7,100,'Inflicts 475 - 791 melee damage on target',0,0),
(25474,340008,7,100,'Inflicts 158 piercing damage on target instantly and every 4 seconds',0,1),
(25475,340008,7,100,'Must be flanking or behind',0,2),
(25476,340008,9,100,'Inflicts 493 - 822 melee damage on target',0,0),
(25477,340008,9,100,'Inflicts 165 piercing damage on target instantly and every 4 seconds',0,1),
(25478,340008,9,100,'Must be flanking or behind',0,2),
(25479,340009,1,100,'Inflicts 334 - 557 melee damage on target',0,0),
(25480,340009,1,100,'Inflicts 112 piercing damage on target instantly and every 4 seconds',0,1),
(25481,340009,1,100,'Must be flanking or behind',0,2),
(25482,340009,4,100,'Inflicts 409 - 681 melee damage on target',0,0),
(25483,340009,4,100,'Inflicts 136 piercing damage on target instantly and every 4 seconds',0,1),
(25484,340009,4,100,'Must be flanking or behind',0,2),
(25485,340009,5,100,'Inflicts 446 - 743 melee damage on target',0,0),
(25486,340009,5,100,'Inflicts 149 piercing damage on target instantly and every 4 seconds',0,1),
(25487,340009,5,100,'Must be flanking or behind',0,2),
(25488,340009,7,100,'Inflicts 572 - 954 melee damage on target',0,0),
(25489,340009,7,100,'Inflicts 191 piercing damage on target instantly and every 4 seconds',0,1),
(25490,340009,7,100,'Must be flanking or behind',0,2),
(25491,340009,9,100,'Inflicts 595 - 991 melee damage on target',0,0),
(25492,340009,9,100,'Inflicts 198 piercing damage on target instantly and every 4 seconds',0,1),
(25493,340009,9,100,'Must be flanking or behind',0,2),
(25494,340010,1,100,'Summons 3 limited pets to aid the caster',0,0),
(25495,340010,1,100,'Summons 2 limited pets to aid the caster',0,1),
(25496,340010,2,100,'Summons 3 limited pets to aid the caster',0,0),
(25497,340010,2,100,'Summons 2 limited pets to aid the caster',0,1),
(25498,340010,3,100,'Summons 3 limited pets to aid the caster',0,0),
(25499,340010,3,100,'Summons 2 limited pets to aid the caster',0,1),
(25500,340010,4,100,'Summons 3 limited pets to aid the caster',0,0),
(25501,340010,4,100,'Summons 2 limited pets to aid the caster',0,1),
(25502,340010,5,100,'Summons 3 limited pets to aid the caster',0,0),
(25503,340010,5,100,'Summons 2 limited pets to aid the caster',0,1),
(25504,340010,7,100,'Summons 3 limited pets to aid the caster',0,0),
(25505,340010,7,100,'Summons 2 limited pets to aid the caster',0,1),
(25506,340010,9,100,'Summons 3 limited pets to aid the caster',0,0),
(25507,340010,9,100,'Summons 2 limited pets to aid the caster',0,1),
(25508,340011,1,100,'Summons 3 limited pets to aid the caster',0,0),
(25509,340011,1,100,'Summons 2 limited pets to aid the caster',0,1),
(25510,340011,2,100,'Summons 3 limited pets to aid the caster',0,0),
(25511,340011,2,100,'Summons 2 limited pets to aid the caster',0,1),
(25512,340011,3,100,'Summons 3 limited pets to aid the caster',0,0),
(25513,340011,3,100,'Summons 2 limited pets to aid the caster',0,1),
(25514,340011,4,100,'Summons 3 limited pets to aid the caster',0,0),
(25515,340011,4,100,'Summons 2 limited pets to aid the caster',0,1),
(25516,340011,5,100,'Summons 3 limited pets to aid the caster',0,0),
(25517,340011,5,100,'Summons 2 limited pets to aid the caster',0,1),
(25518,340011,7,100,'Summons 3 limited pets to aid the caster',0,0),
(25519,340011,7,100,'Summons 2 limited pets to aid the caster',0,1),
(25520,340011,9,100,'Summons 3 limited pets to aid the caster',0,0),
(25521,340011,9,100,'Summons 2 limited pets to aid the caster',0,1),
(25522,340012,1,100,'Summons 3 limited pets to aid the caster',0,0),
(25523,340012,4,100,'Summons 3 limited pets to aid the caster',0,0),
(25524,340012,5,100,'Summons 3 limited pets to aid the caster',0,0),
(25525,340012,7,100,'Summons 3 limited pets to aid the caster',0,0),
(25526,340012,9,100,'Summons 3 limited pets to aid the caster',0,0),
(25527,340013,1,100,'Summons 3 limited pets to aid the caster',0,0),
(25528,340013,4,100,'Summons 3 limited pets to aid the caster',0,0),
(25529,340013,5,100,'Summons 3 limited pets to aid the caster',0,0),
(25530,340013,7,100,'Summons 3 limited pets to aid the caster',0,0),
(25531,340013,9,100,'Summons 3 limited pets to aid the caster',0,0),
(25532,440000,1,100,'Inflicts 7 - 11 ranged damage on targets in Area of Effect',0,0),
(25533,440000,1,100,'Inflicts 7 - 11 ranged damage on targets in Area of Effect',0,1),
(25534,440000,1,100,'Inflicts 7 - 11 ranged damage on targets in Area of Effect',0,2),
(25535,440000,1,100,'Requires bow or aim',0,3),
(25536,440000,4,100,'Inflicts 8 - 14 ranged damage on targets in Area of Effect',0,0),
(25537,440000,4,100,'Inflicts 8 - 14 ranged damage on targets in Area of Effect',0,1),
(25538,440000,4,100,'Inflicts 8 - 14 ranged damage on targets in Area of Effect',0,2),
(25539,440000,4,100,'Requires bow or aim',0,3),
(25540,440000,5,100,'Inflicts 9 - 15 ranged damage on targets in Area of Effect',0,0),
(25541,440000,5,100,'Inflicts 9 - 15 ranged damage on targets in Area of Effect',0,1),
(25542,440000,5,100,'Inflicts 9 - 15 ranged damage on targets in Area of Effect',0,2),
(25543,440000,5,100,'Requires bow or aim',0,3),
(25544,440000,7,100,'Inflicts 12 - 20 ranged damage on targets in Area of Effect',0,0),
(25545,440000,7,100,'Inflicts 12 - 20 ranged damage on targets in Area of Effect',0,1),
(25546,440000,7,100,'Inflicts 12 - 20 ranged damage on targets in Area of Effect',0,2),
(25547,440000,7,100,'Requires bow or aim',0,3),
(25548,440000,9,100,'Inflicts 12 - 20 ranged damage on targets in Area of Effect',0,0),
(25549,440000,9,100,'Inflicts 12 - 20 ranged damage on targets in Area of Effect',0,1),
(25550,440000,9,100,'Inflicts 12 - 20 ranged damage on targets in Area of Effect',0,2),
(25551,440000,9,100,'Requires bow or aim',0,3),
(25552,440000,10,100,'Inflicts 13 - 21 ranged damage on targets in Area of Effect',0,0),
(25553,440000,10,100,'Inflicts 13 - 21 ranged damage on targets in Area of Effect',0,1),
(25554,440000,10,100,'Inflicts 13 - 21 ranged damage on targets in Area of Effect',0,2),
(25555,440000,10,100,'Requires bow or aim',0,3),
(25556,440001,1,100,'Inflicts 13 - 22 ranged damage on targets in Area of Effect',0,0),
(25557,440001,1,100,'Inflicts 13 - 22 ranged damage on targets in Area of Effect',0,1),
(25558,440001,1,100,'Inflicts 13 - 22 ranged damage on targets in Area of Effect',0,2),
(25559,440001,1,100,'Requires bow or aim',0,3),
(25560,440001,4,100,'Inflicts 16 - 28 ranged damage on targets in Area of Effect',0,0),
(25561,440001,4,100,'Inflicts 16 - 28 ranged damage on targets in Area of Effect',0,1),
(25562,440001,4,100,'Inflicts 16 - 28 ranged damage on targets in Area of Effect',0,2),
(25563,440001,4,100,'Requires bow or aim',0,3),
(25564,440001,5,100,'Inflicts 18 - 30 ranged damage on targets in Area of Effect',0,0),
(25565,440001,5,100,'Inflicts 18 - 30 ranged damage on targets in Area of Effect',0,1),
(25566,440001,5,100,'Inflicts 18 - 30 ranged damage on targets in Area of Effect',0,2),
(25567,440001,5,100,'Requires bow or aim',0,3),
(25568,440001,7,100,'Inflicts 23 - 39 ranged damage on targets in Area of Effect',0,0),
(25569,440001,7,100,'Inflicts 23 - 39 ranged damage on targets in Area of Effect',0,1),
(25570,440001,7,100,'Inflicts 23 - 39 ranged damage on targets in Area of Effect',0,2),
(25571,440001,7,100,'Requires bow or aim',0,3),
(25572,440001,9,100,'Inflicts 24 - 40 ranged damage on targets in Area of Effect',0,0),
(25573,440001,9,100,'Inflicts 24 - 40 ranged damage on targets in Area of Effect',0,1),
(25574,440001,9,100,'Inflicts 24 - 40 ranged damage on targets in Area of Effect',0,2),
(25575,440001,9,100,'Requires bow or aim',0,3),
(25576,440002,1,100,'Inflicts 21 - 36 ranged damage on targets in Area of Effect',0,0),
(25577,440002,1,100,'Inflicts 21 - 36 ranged damage on targets in Area of Effect',0,1),
(25578,440002,1,100,'Inflicts 21 - 36 ranged damage on targets in Area of Effect',0,2),
(25579,440002,1,100,'Requires bow or aim',0,3),
(25580,440002,4,100,'Inflicts 26 - 44 ranged damage on targets in Area of Effect',0,0),
(25581,440002,4,100,'Inflicts 26 - 44 ranged damage on targets in Area of Effect',0,1),
(25582,440002,4,100,'Inflicts 26 - 44 ranged damage on targets in Area of Effect',0,2),
(25583,440002,4,100,'Requires bow or aim',0,3),
(25584,440002,5,100,'Inflicts 29 - 48 ranged damage on targets in Area of Effect',0,0),
(25585,440002,5,100,'Inflicts 29 - 48 ranged damage on targets in Area of Effect',0,1),
(25586,440002,5,100,'Inflicts 29 - 48 ranged damage on targets in Area of Effect',0,2),
(25587,440002,5,100,'Requires bow or aim',0,3),
(25588,440002,7,100,'Inflicts 37 - 62 ranged damage on targets in Area of Effect',0,0),
(25589,440002,7,100,'Inflicts 37 - 62 ranged damage on targets in Area of Effect',0,1),
(25590,440002,7,100,'Inflicts 37 - 62 ranged damage on targets in Area of Effect',0,2),
(25591,440002,7,100,'Requires bow or aim',0,3),
(25592,440002,9,100,'Inflicts 38 - 64 ranged damage on targets in Area of Effect',0,0),
(25593,440002,9,100,'Inflicts 38 - 64 ranged damage on targets in Area of Effect',0,1),
(25594,440002,9,100,'Inflicts 38 - 64 ranged damage on targets in Area of Effect',0,2),
(25595,440002,9,100,'Requires bow or aim',0,3),
(25596,440002,10,100,'Inflicts 40 - 68 ranged damage on targets in Area of Effect',0,0),
(25597,440002,10,100,'Inflicts 40 - 68 ranged damage on targets in Area of Effect',0,1),
(25598,440002,10,100,'Inflicts 40 - 68 ranged damage on targets in Area of Effect',0,2),
(25599,440002,10,100,'Requires bow or aim',0,3),
(25600,440003,1,100,'Inflicts 30 - 50 ranged damage on targets in Area of Effect',0,0),
(25601,440003,1,100,'Inflicts 30 - 50 ranged damage on targets in Area of Effect',0,1),
(25602,440003,1,100,'Inflicts 30 - 50 ranged damage on targets in Area of Effect',0,2),
(25603,440003,1,100,'Requires bow or aim',0,3),
(25604,440003,4,100,'Inflicts 36 - 61 ranged damage on targets in Area of Effect',0,0),
(25605,440003,4,100,'Inflicts 36 - 61 ranged damage on targets in Area of Effect',0,1),
(25606,440003,4,100,'Inflicts 36 - 61 ranged damage on targets in Area of Effect',0,2),
(25607,440003,4,100,'Requires bow or aim',0,3),
(25608,440003,5,100,'Inflicts 40 - 66 ranged damage on targets in Area of Effect',0,0),
(25609,440003,5,100,'Inflicts 40 - 66 ranged damage on targets in Area of Effect',0,1),
(25610,440003,5,100,'Inflicts 40 - 66 ranged damage on targets in Area of Effect',0,2),
(25611,440003,5,100,'Requires bow or aim',0,3),
(25612,440003,7,100,'Inflicts 51 - 85 ranged damage on targets in Area of Effect',0,0),
(25613,440003,7,100,'Inflicts 51 - 85 ranged damage on targets in Area of Effect',0,1),
(25614,440003,7,100,'Inflicts 51 - 85 ranged damage on targets in Area of Effect',0,2),
(25615,440003,7,100,'Requires bow or aim',0,3),
(25616,440003,9,100,'Inflicts 53 - 88 ranged damage on targets in Area of Effect',0,0),
(25617,440003,9,100,'Inflicts 53 - 88 ranged damage on targets in Area of Effect',0,1),
(25618,440003,9,100,'Inflicts 53 - 88 ranged damage on targets in Area of Effect',0,2),
(25619,440003,9,100,'Requires bow or aim',0,3),
(25620,440004,1,100,'Inflicts 88 - 146 ranged damage on targets in Area of Effect',0,0),
(25621,440004,1,100,'Inflicts 88 - 146 ranged damage on targets in Area of Effect',0,1),
(25622,440004,1,100,'Inflicts 88 - 146 ranged damage on targets in Area of Effect',0,2),
(25623,440004,1,100,'Requires bow or aim',0,3),
(25624,440004,4,100,'Inflicts 107 - 179 ranged damage on targets in Area of Effect',0,0),
(25625,440004,4,100,'Inflicts 107 - 179 ranged damage on targets in Area of Effect',0,1),
(25626,440004,4,100,'Inflicts 107 - 179 ranged damage on targets in Area of Effect',0,2),
(25627,440004,4,100,'Requires bow or aim',0,3),
(25628,440004,5,100,'Inflicts 117 - 195 ranged damage on targets in Area of Effect',0,0),
(25629,440004,5,100,'Inflicts 117 - 195 ranged damage on targets in Area of Effect',0,1),
(25630,440004,5,100,'Inflicts 117 - 195 ranged damage on targets in Area of Effect',0,2),
(25631,440004,5,100,'Requires bow or aim',0,3),
(25632,440004,7,100,'Inflicts 150 - 251 ranged damage on targets in Area of Effect',0,0),
(25633,440004,7,100,'Inflicts 150 - 251 ranged damage on targets in Area of Effect',0,1),
(25634,440004,7,100,'Inflicts 150 - 251 ranged damage on targets in Area of Effect',0,2),
(25635,440004,7,100,'Requires bow or aim',0,3),
(25636,440004,9,100,'Inflicts 156 - 261 ranged damage on targets in Area of Effect',0,0),
(25637,440004,9,100,'Inflicts 156 - 261 ranged damage on targets in Area of Effect',0,1),
(25638,440004,9,100,'Inflicts 156 - 261 ranged damage on targets in Area of Effect',0,2),
(25639,440004,9,100,'Requires bow or aim',0,3),
(25640,440005,1,100,'Inflicts 40 - 66 ranged damage on targets in Area of Effect',0,0),
(25641,440005,1,100,'Inflicts 40 - 66 ranged damage on targets in Area of Effect',0,1),
(25642,440005,1,100,'Inflicts 40 - 66 ranged damage on targets in Area of Effect',0,2),
(25643,440005,1,100,'Requires bow or aim',0,3),
(25644,440005,4,100,'Inflicts 49 - 81 ranged damage on targets in Area of Effect',0,0),
(25645,440005,4,100,'Inflicts 49 - 81 ranged damage on targets in Area of Effect',0,1),
(25646,440005,4,100,'Inflicts 49 - 81 ranged damage on targets in Area of Effect',0,2),
(25647,440005,4,100,'Requires bow or aim',0,3),
(25648,440005,5,100,'Inflicts 53 - 89 ranged damage on targets in Area of Effect',0,0),
(25649,440005,5,100,'Inflicts 53 - 89 ranged damage on targets in Area of Effect',0,1),
(25650,440005,5,100,'Inflicts 53 - 89 ranged damage on targets in Area of Effect',0,2),
(25651,440005,5,100,'Requires bow or aim',0,3),
(25652,440005,7,100,'Inflicts 68 - 114 ranged damage on targets in Area of Effect',0,0),
(25653,440005,7,100,'Inflicts 68 - 114 ranged damage on targets in Area of Effect',0,1),
(25654,440005,7,100,'Inflicts 68 - 114 ranged damage on targets in Area of Effect',0,2),
(25655,440005,7,100,'Requires bow or aim',0,3),
(25656,440005,9,100,'Inflicts 71 - 118 ranged damage on targets in Area of Effect',0,0),
(25657,440005,9,100,'Inflicts 71 - 118 ranged damage on targets in Area of Effect',0,1),
(25658,440005,9,100,'Inflicts 71 - 118 ranged damage on targets in Area of Effect',0,2),
(25659,440005,9,100,'Requires bow or aim',0,3),
(25660,440005,10,100,'Inflicts 74 - 124 ranged damage on targets in Area of Effect',0,0),
(25661,440005,10,100,'Inflicts 74 - 124 ranged damage on targets in Area of Effect',0,1),
(25662,440005,10,100,'Inflicts 74 - 124 ranged damage on targets in Area of Effect',0,2),
(25663,440005,10,100,'Requires bow or aim',0,3),
(25664,440006,1,100,'Inflicts 50 - 83 ranged damage on targets in Area of Effect',0,0),
(25665,440006,1,100,'Inflicts 50 - 83 ranged damage on targets in Area of Effect',0,1),
(25666,440006,1,100,'Inflicts 50 - 83 ranged damage on targets in Area of Effect',0,2),
(25667,440006,1,100,'Requires bow or aim',0,3),
(25668,440006,4,100,'Inflicts 61 - 102 ranged damage on targets in Area of Effect',0,0),
(25669,440006,4,100,'Inflicts 61 - 102 ranged damage on targets in Area of Effect',0,1),
(25670,440006,4,100,'Inflicts 61 - 102 ranged damage on targets in Area of Effect',0,2),
(25671,440006,4,100,'Requires bow or aim',0,3),
(25672,440006,5,100,'Inflicts 67 - 111 ranged damage on targets in Area of Effect',0,0),
(25673,440006,5,100,'Inflicts 67 - 111 ranged damage on targets in Area of Effect',0,1),
(25674,440006,5,100,'Inflicts 67 - 111 ranged damage on targets in Area of Effect',0,2),
(25675,440006,5,100,'Requires bow or aim',0,3),
(25676,440006,7,100,'Inflicts 86 - 143 ranged damage on targets in Area of Effect',0,0),
(25677,440006,7,100,'Inflicts 86 - 143 ranged damage on targets in Area of Effect',0,1),
(25678,440006,7,100,'Inflicts 86 - 143 ranged damage on targets in Area of Effect',0,2),
(25679,440006,7,100,'Requires bow or aim',0,3),
(25680,440006,9,100,'Inflicts 89 - 149 ranged damage on targets in Area of Effect',0,0),
(25681,440006,9,100,'Inflicts 89 - 149 ranged damage on targets in Area of Effect',0,1),
(25682,440006,9,100,'Inflicts 89 - 149 ranged damage on targets in Area of Effect',0,2),
(25683,440006,9,100,'Requires bow or aim',0,3),
(25684,440007,1,100,'Inflicts 60 - 100 ranged damage on targets in Area of Effect',0,0),
(25685,440007,1,100,'Inflicts 60 - 100 ranged damage on targets in Area of Effect',0,1),
(25686,440007,1,100,'Inflicts 60 - 100 ranged damage on targets in Area of Effect',0,2),
(25687,440007,1,100,'Requires bow or aim',0,3),
(25688,440007,4,100,'Inflicts 73 - 123 ranged damage on targets in Area of Effect',0,0),
(25689,440007,4,100,'Inflicts 73 - 123 ranged damage on targets in Area of Effect',0,1),
(25690,440007,4,100,'Inflicts 73 - 123 ranged damage on targets in Area of Effect',0,2),
(25691,440007,4,100,'Requires bow or aim',0,3),
(25692,440007,5,100,'Inflicts 80 - 134 ranged damage on targets in Area of Effect',0,0),
(25693,440007,5,100,'Inflicts 80 - 134 ranged damage on targets in Area of Effect',0,1),
(25694,440007,5,100,'Inflicts 80 - 134 ranged damage on targets in Area of Effect',0,2),
(25695,440007,5,100,'Requires bow or aim',0,3),
(25696,440007,7,100,'Inflicts 103 - 172 ranged damage on targets in Area of Effect',0,0),
(25697,440007,7,100,'Inflicts 103 - 172 ranged damage on targets in Area of Effect',0,1),
(25698,440007,7,100,'Inflicts 103 - 172 ranged damage on targets in Area of Effect',0,2),
(25699,440007,7,100,'Requires bow or aim',0,3),
(25700,440007,9,100,'Inflicts 107 - 179 ranged damage on targets in Area of Effect',0,0),
(25701,440007,9,100,'Inflicts 107 - 179 ranged damage on targets in Area of Effect',0,1),
(25702,440007,9,100,'Inflicts 107 - 179 ranged damage on targets in Area of Effect',0,2),
(25703,440007,9,100,'Requires bow or aim',0,3),
(25704,440008,1,100,'Inflicts 73 - 122 ranged damage on targets in Area of Effect',0,0),
(25705,440008,1,100,'Inflicts 73 - 122 ranged damage on targets in Area of Effect',0,1),
(25706,440008,1,100,'Inflicts 73 - 122 ranged damage on targets in Area of Effect',0,2),
(25707,440008,1,100,'Requires bow or aim',0,3),
(25708,440008,4,100,'Inflicts 89 - 149 ranged damage on targets in Area of Effect',0,0),
(25709,440008,4,100,'Inflicts 89 - 149 ranged damage on targets in Area of Effect',0,1),
(25710,440008,4,100,'Inflicts 89 - 149 ranged damage on targets in Area of Effect',0,2),
(25711,440008,4,100,'Requires bow or aim',0,3),
(25712,440008,5,100,'Inflicts 97 - 162 ranged damage on targets in Area of Effect',0,0),
(25713,440008,5,100,'Inflicts 97 - 162 ranged damage on targets in Area of Effect',0,1),
(25714,440008,5,100,'Inflicts 97 - 162 ranged damage on targets in Area of Effect',0,2),
(25715,440008,5,100,'Requires bow or aim',0,3),
(25716,440008,7,100,'Inflicts 125 - 208 ranged damage on targets in Area of Effect',0,0),
(25717,440008,7,100,'Inflicts 125 - 208 ranged damage on targets in Area of Effect',0,1),
(25718,440008,7,100,'Inflicts 125 - 208 ranged damage on targets in Area of Effect',0,2),
(25719,440008,7,100,'Requires bow or aim',0,3),
(25720,440008,9,100,'Inflicts 130 - 217 ranged damage on targets in Area of Effect',0,0),
(25721,440008,9,100,'Inflicts 130 - 217 ranged damage on targets in Area of Effect',0,1),
(25722,440008,9,100,'Inflicts 130 - 217 ranged damage on targets in Area of Effect',0,2),
(25723,440008,9,100,'Requires bow or aim',0,3),
(25724,440009,1,100,'Inflicts 93 - 155 ranged damage on targets in Area of Effect',0,0),
(25725,440009,1,100,'Inflicts 93 - 155 ranged damage on targets in Area of Effect',0,1),
(25726,440009,1,100,'Inflicts 93 - 155 ranged damage on targets in Area of Effect',0,2),
(25727,440009,1,100,'Requires bow or aim',0,3),
(25728,440009,4,100,'Inflicts 114 - 190 ranged damage on targets in Area of Effect',0,0),
(25729,440009,4,100,'Inflicts 114 - 190 ranged damage on targets in Area of Effect',0,1),
(25730,440009,4,100,'Inflicts 114 - 190 ranged damage on targets in Area of Effect',0,2),
(25731,440009,4,100,'Requires bow or aim',0,3),
(25732,440009,5,100,'Inflicts 124 - 207 ranged damage on targets in Area of Effect',0,0),
(25733,440009,5,100,'Inflicts 124 - 207 ranged damage on targets in Area of Effect',0,1),
(25734,440009,5,100,'Inflicts 124 - 207 ranged damage on targets in Area of Effect',0,2),
(25735,440009,5,100,'Requires bow or aim',0,3),
(25736,440009,7,100,'Inflicts 160 - 266 ranged damage on targets in Area of Effect',0,0),
(25737,440009,7,100,'Inflicts 160 - 266 ranged damage on targets in Area of Effect',0,1),
(25738,440009,7,100,'Inflicts 160 - 266 ranged damage on targets in Area of Effect',0,2),
(25739,440009,7,100,'Requires bow or aim',0,3),
(25740,440009,9,100,'Inflicts 166 - 277 ranged damage on targets in Area of Effect',0,0),
(25741,440009,9,100,'Inflicts 166 - 277 ranged damage on targets in Area of Effect',0,1),
(25742,440009,9,100,'Inflicts 166 - 277 ranged damage on targets in Area of Effect',0,2),
(25743,440009,9,100,'Requires bow or aim',0,3),
(25744,340014,1,100,'Interrupts targets in Area of Effect',0,0),
(25745,340014,1,100,'Inflicts 38 - 64 melee damage on targets in Area of Effect',0,1),
(25746,340014,2,100,'Interrupts targets in Area of Effect',0,0),
(25747,340014,2,100,'Inflicts 41 - 68 melee damage on targets in Area of Effect',0,1),
(25748,340014,3,100,'Interrupts targets in Area of Effect',0,0),
(25749,340014,3,100,'Inflicts 43 - 72 melee damage on targets in Area of Effect',0,1),
(25750,340014,4,100,'Interrupts targets in Area of Effect',0,0),
(25751,340014,4,100,'Inflicts 47 - 79 melee damage on targets in Area of Effect',0,1),
(25752,340014,5,100,'Interrupts targets in Area of Effect',0,0),
(25753,340014,5,100,'Inflicts 51 - 86 melee damage on targets in Area of Effect',0,1),
(25754,340014,7,100,'Interrupts targets in Area of Effect',0,0),
(25755,340014,7,100,'Inflicts 66 - 110 melee damage on targets in Area of Effect',0,1),
(25756,340014,9,100,'Interrupts targets in Area of Effect',0,0),
(25757,340014,9,100,'Inflicts 69 - 115 melee damage on targets in Area of Effect',0,1),
(25758,340014,10,100,'Interrupts targets in Area of Effect',0,0),
(25759,340014,10,100,'Inflicts 72 - 121 melee damage on targets in Area of Effect',0,1),
(25760,340015,1,100,'Interrupts targets in Area of Effect',0,0),
(25761,340015,1,100,'Inflicts 81 - 135 melee damage on targets in Area of Effect',0,1),
(25762,340015,2,100,'Interrupts targets in Area of Effect',0,0),
(25763,340015,2,100,'Inflicts 85 - 142 melee damage on targets in Area of Effect',0,1),
(25764,340015,3,100,'Interrupts targets in Area of Effect',0,0),
(25765,340015,3,100,'Inflicts 90 - 150 melee damage on targets in Area of Effect',0,1),
(25766,340015,4,100,'Interrupts targets in Area of Effect',0,0),
(25767,340015,4,100,'Inflicts 99 - 165 melee damage on targets in Area of Effect',0,1),
(25768,340015,5,100,'Interrupts targets in Area of Effect',0,0),
(25769,340015,5,100,'Inflicts 108 - 180 melee damage on targets in Area of Effect',0,1),
(25770,340015,7,100,'Interrupts targets in Area of Effect',0,0),
(25771,340015,7,100,'Inflicts 138 - 231 melee damage on targets in Area of Effect',0,1),
(25772,340015,9,100,'Interrupts targets in Area of Effect',0,0),
(25773,340015,9,100,'Inflicts 144 - 240 melee damage on targets in Area of Effect',0,1),
(25774,340016,1,100,'Interrupts targets in Area of Effect',0,0),
(25775,340016,1,100,'Inflicts 128 - 213 melee damage on targets in Area of Effect',0,1),
(25776,340016,2,100,'Interrupts targets in Area of Effect',0,0),
(25777,340016,2,100,'Inflicts 135 - 225 melee damage on targets in Area of Effect',0,1),
(25778,340016,3,100,'Interrupts targets in Area of Effect',0,0),
(25779,340016,3,100,'Inflicts 142 - 237 melee damage on targets in Area of Effect',0,1),
(25780,340016,4,100,'Interrupts targets in Area of Effect',0,0),
(25781,340016,4,100,'Inflicts 156 - 261 melee damage on targets in Area of Effect',0,1),
(25782,340016,5,100,'Interrupts targets in Area of Effect',0,0),
(25783,340016,5,100,'Inflicts 170 - 284 melee damage on targets in Area of Effect',0,1),
(25784,340016,7,100,'Interrupts targets in Area of Effect',0,0),
(25785,340016,7,100,'Inflicts 219 - 365 melee damage on targets in Area of Effect',0,1),
(25786,340016,9,100,'Interrupts targets in Area of Effect',0,0),
(25787,340016,9,100,'Inflicts 227 - 379 melee damage on targets in Area of Effect',0,1),
(25788,340017,1,100,'Interrupts targets in Area of Effect',0,0),
(25789,340017,1,100,'Inflicts 184 - 308 melee damage on targets in Area of Effect',0,1),
(25790,340017,2,100,'Interrupts targets in Area of Effect',0,0),
(25791,340017,2,100,'Inflicts 195 - 325 melee damage on targets in Area of Effect',0,1),
(25792,340017,3,100,'Interrupts targets in Area of Effect',0,0),
(25793,340017,3,100,'Inflicts 205 - 342 melee damage on targets in Area of Effect',0,1),
(25794,340017,4,100,'Interrupts targets in Area of Effect',0,0),
(25795,340017,4,100,'Inflicts 226 - 376 melee damage on targets in Area of Effect',0,1),
(25796,340017,5,100,'Interrupts targets in Area of Effect',0,0),
(25797,340017,5,100,'Inflicts 246 - 410 melee damage on targets in Area of Effect',0,1),
(25798,340017,7,100,'Interrupts targets in Area of Effect',0,0),
(25799,340017,7,100,'Inflicts 316 - 527 melee damage on targets in Area of Effect',0,1),
(25800,340017,9,100,'Interrupts targets in Area of Effect',0,0),
(25801,340017,9,100,'Inflicts 328 - 547 melee damage on targets in Area of Effect',0,1),
(25802,340018,1,100,'Interrupts targets in Area of Effect',0,0),
(25803,340018,1,100,'Inflicts 241 - 402 melee damage on targets in Area of Effect',0,1),
(25804,340018,2,100,'Interrupts targets in Area of Effect',0,0),
(25805,340018,2,100,'Inflicts 255 - 425 melee damage on targets in Area of Effect',0,1),
(25806,340018,3,100,'Interrupts targets in Area of Effect',0,0),
(25807,340018,3,100,'Inflicts 268 - 447 melee damage on targets in Area of Effect',0,1),
(25808,340018,4,100,'Interrupts targets in Area of Effect',0,0),
(25809,340018,4,100,'Inflicts 295 - 492 melee damage on targets in Area of Effect',0,1),
(25810,340018,5,100,'Interrupts targets in Area of Effect',0,0),
(25811,340018,5,100,'Inflicts 322 - 537 melee damage on targets in Area of Effect',0,1),
(25812,340018,7,100,'Interrupts targets in Area of Effect',0,0),
(25813,340018,7,100,'Inflicts 413 - 689 melee damage on targets in Area of Effect',0,1),
(25814,340018,9,100,'Interrupts targets in Area of Effect',0,0),
(25815,340018,9,100,'Inflicts 429 - 716 melee damage on targets in Area of Effect',0,1),
(25816,340019,1,100,'Interrupts targets in Area of Effect',0,0),
(25817,340019,1,100,'Inflicts 293 - 488 melee damage on targets in Area of Effect',0,1),
(25818,340019,2,100,'Interrupts targets in Area of Effect',0,0),
(25819,340019,2,100,'Inflicts 309 - 515 melee damage on targets in Area of Effect',0,1),
(25820,340019,3,100,'Interrupts targets in Area of Effect',0,0),
(25821,340019,3,100,'Inflicts 325 - 542 melee damage on targets in Area of Effect',0,1),
(25822,340019,4,100,'Interrupts targets in Area of Effect',0,0),
(25823,340019,4,100,'Inflicts 358 - 597 melee damage on targets in Area of Effect',0,1),
(25824,340019,5,100,'Interrupts targets in Area of Effect',0,0),
(25825,340019,5,100,'Inflicts 390 - 651 melee damage on targets in Area of Effect',0,1),
(25826,340019,7,100,'Interrupts targets in Area of Effect',0,0),
(25827,340019,7,100,'Inflicts 501 - 835 melee damage on targets in Area of Effect',0,1),
(25828,340019,9,100,'Interrupts targets in Area of Effect',0,0),
(25829,340019,9,100,'Inflicts 521 - 868 melee damage on targets in Area of Effect',0,1),
(25830,340020,1,100,'Interrupts targets in Area of Effect',0,0),
(25831,340020,1,100,'Inflicts 352 - 587 melee damage on targets in Area of Effect',0,1),
(25832,340020,4,100,'Interrupts targets in Area of Effect',0,0),
(25833,340020,4,100,'Inflicts 430 - 718 melee damage on targets in Area of Effect',0,1),
(25834,340020,5,100,'Interrupts targets in Area of Effect',0,0),
(25835,340020,5,100,'Inflicts 470 - 783 melee damage on targets in Area of Effect',0,1),
(25836,340020,7,100,'Interrupts targets in Area of Effect',0,0),
(25837,340020,7,100,'Inflicts 603 - 1005 melee damage on targets in Area of Effect',0,1),
(25838,340020,9,100,'Interrupts targets in Area of Effect',0,0),
(25839,340020,9,100,'Inflicts 626 - 1044 melee damage on targets in Area of Effect',0,1),
(25840,340021,1,100,'Interrupts targets in Area of Effect',0,0),
(25841,340021,1,100,'Inflicts 374 - 623 melee damage on targets in Area of Effect',0,1),
(25842,340021,4,100,'Interrupts targets in Area of Effect',0,0),
(25843,340021,4,100,'Inflicts 457 - 762 melee damage on targets in Area of Effect',0,1),
(25844,340021,5,100,'Interrupts targets in Area of Effect',0,0),
(25845,340021,5,100,'Inflicts 498 - 831 melee damage on targets in Area of Effect',0,1),
(25846,340021,7,100,'Interrupts targets in Area of Effect',0,0),
(25847,340021,7,100,'Inflicts 640 - 1066 melee damage on targets in Area of Effect',0,1),
(25848,340021,9,100,'Interrupts targets in Area of Effect',0,0),
(25849,340021,9,100,'Inflicts 665 - 1108 melee damage on targets in Area of Effect',0,1),
(25850,20001,1,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(25851,20001,1,100,'Throws target back',1,1),
(25852,20001,1,100,'Blurs vision of target',1,2),
(25853,20001,1,100,'Stuns target',1,3),
(25854,20001,1,100,'Does not affect Epic targets',1,4),
(25855,20001,1,100,'Inflicts 14 - 23 crushing damage on target',0,5),
(25856,30016,1,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(25857,30016,1,100,'Throws target back',1,1),
(25858,30016,1,100,'Blurs vision of target',1,2),
(25859,30016,1,100,'Stuns target',1,3),
(25860,30016,1,100,'Does not affect Epic targets',1,4),
(25861,30016,1,100,'Inflicts 4 - 6 crushing damage on target',0,5),
(25862,20001,2,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(25863,20001,2,100,'Throws target back',1,1),
(25864,20001,2,100,'Blurs vision of target',1,2),
(25865,20001,2,100,'Stuns target',1,3),
(25866,20001,2,100,'Does not affect Epic targets',1,4),
(25867,20001,2,100,'Inflicts 14 - 24 crushing damage on target',0,5),
(25868,30016,2,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(25869,30016,2,100,'Throws target back',1,1),
(25870,30016,2,100,'Blurs vision of target',1,2),
(25871,30016,2,100,'Stuns target',1,3),
(25872,30016,2,100,'Does not affect Epic targets',1,4),
(25873,30016,2,100,'Inflicts 4 - 7 crushing damage on target',0,5),
(25874,30016,3,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(25875,30016,3,100,'Throws target back',1,1),
(25876,30016,3,100,'Blurs vision of target',1,2),
(25877,30016,3,100,'Stuns target',1,3),
(25878,30016,3,100,'Does not affect Epic targets',1,4),
(25879,30016,3,100,'Inflicts 4 - 7 crushing damage on target',0,5),
(25880,20001,3,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(25881,20001,3,100,'Throws target back',1,1),
(25882,20001,3,100,'Blurs vision of target',1,2),
(25883,20001,3,100,'Stuns target',1,3),
(25884,20001,3,100,'Does not affect Epic targets',1,4),
(25885,20001,3,100,'Inflicts 15 - 26 crushing damage on target',0,5),
(25886,30016,4,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(25887,30016,4,100,'Throws target back',1,1),
(25888,30016,4,100,'Blurs vision of target',1,2),
(25889,30016,4,100,'Stuns target',1,3),
(25890,30016,4,100,'Does not affect Epic targets',1,4),
(25891,30016,4,100,'Inflicts 4 - 8 crushing damage on target',0,5),
(25892,20001,4,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(25893,20001,4,100,'Throws target back',1,1),
(25894,20001,4,100,'Blurs vision of target',1,2),
(25895,20001,4,100,'Stuns target',1,3),
(25896,20001,4,100,'Does not affect Epic targets',1,4),
(25897,20001,4,100,'Inflicts 17 - 28 crushing damage on target',0,5),
(25898,30016,5,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(25899,30016,5,100,'Throws target back',1,1),
(25900,30016,5,100,'Blurs vision of target',1,2),
(25901,30016,5,100,'Stuns target',1,3),
(25902,30016,5,100,'Does not affect Epic targets',1,4),
(25903,30016,5,100,'Inflicts 5 - 8 crushing damage on target',0,5),
(25904,20001,5,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(25905,20001,5,100,'Throws target back',1,1),
(25906,20001,5,100,'Blurs vision of target',1,2),
(25907,20001,5,100,'Stuns target',1,3),
(25908,20001,5,100,'Does not affect Epic targets',1,4),
(25909,20001,5,100,'Inflicts 18 - 31 crushing damage on target',0,5),
(25910,30016,7,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(25911,30016,7,100,'Throws target back',1,1),
(25912,30016,7,100,'Blurs vision of target',1,2),
(25913,30016,7,100,'Stuns target',1,3),
(25914,30016,7,100,'Does not affect Epic targets',1,4),
(25915,30016,7,100,'Inflicts 6 - 11 crushing damage on target',0,5),
(25916,20001,7,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(25917,20001,7,100,'Throws target back',1,1),
(25918,20001,7,100,'Blurs vision of target',1,2),
(25919,20001,7,100,'Stuns target',1,3),
(25920,20001,7,100,'Does not affect Epic targets',1,4),
(25921,20001,7,100,'Inflicts 24 - 40 crushing damage on target',0,5),
(25922,30016,9,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(25923,30016,9,100,'Throws target back',1,1),
(25924,30016,9,100,'Blurs vision of target',1,2),
(25925,30016,9,100,'Stuns target',1,3),
(25926,30016,9,100,'Does not affect Epic targets',1,4),
(25927,30016,9,100,'Inflicts 7 - 11 crushing damage on target',0,5),
(25928,20001,9,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(25929,20001,9,100,'Throws target back',1,1),
(25930,20001,9,100,'Blurs vision of target',1,2),
(25931,20001,9,100,'Stuns target',1,3),
(25932,20001,9,100,'Does not affect Epic targets',1,4),
(25933,20001,9,100,'Inflicts 25 - 42 crushing damage on target',0,5),
(25934,30017,1,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(25935,30017,1,100,'Throws target back',1,1),
(25936,30017,1,100,'Blurs vision of target',1,2),
(25937,30017,1,100,'Stuns target',1,3),
(25938,30017,1,100,'Does not affect Epic targets',1,4),
(25939,30017,1,100,'Inflicts 14 - 23 crushing damage on target',0,5),
(25940,30017,2,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(25941,30017,2,100,'Throws target back',1,1),
(25942,30017,2,100,'Blurs vision of target',1,2),
(25943,30017,2,100,'Stuns target',1,3),
(25944,30017,2,100,'Does not affect Epic targets',1,4),
(25945,30017,2,100,'Inflicts 14 - 24 crushing damage on target',0,5),
(25946,30017,3,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(25947,30017,3,100,'Throws target back',1,1),
(25948,30017,3,100,'Blurs vision of target',1,2),
(25949,30017,3,100,'Stuns target',1,3),
(25950,30017,3,100,'Does not affect Epic targets',1,4),
(25951,30017,3,100,'Inflicts 15 - 26 crushing damage on target',0,5),
(25952,30017,4,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(25953,30017,4,100,'Throws target back',1,1),
(25954,30017,4,100,'Blurs vision of target',1,2),
(25955,30017,4,100,'Stuns target',1,3),
(25956,30017,4,100,'Does not affect Epic targets',1,4),
(25957,30017,4,100,'Inflicts 17 - 28 crushing damage on target',0,5),
(25958,30017,5,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(25959,30017,5,100,'Throws target back',1,1),
(25960,30017,5,100,'Blurs vision of target',1,2),
(25961,30017,5,100,'Stuns target',1,3),
(25962,30017,5,100,'Does not affect Epic targets',1,4),
(25963,30017,5,100,'Inflicts 18 - 31 crushing damage on target',0,5),
(25964,30017,7,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(25965,30017,7,100,'Throws target back',1,1),
(25966,30017,7,100,'Blurs vision of target',1,2),
(25967,30017,7,100,'Stuns target',1,3),
(25968,30017,7,100,'Does not affect Epic targets',1,4),
(25969,30017,7,100,'Inflicts 24 - 40 crushing damage on target',0,5),
(25970,30017,9,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(25971,30017,9,100,'Throws target back',1,1),
(25972,30017,9,100,'Blurs vision of target',1,2),
(25973,30017,9,100,'Stuns target',1,3),
(25974,30017,9,100,'Does not affect Epic targets',1,4),
(25975,30017,9,100,'Inflicts 25 - 42 crushing damage on target',0,5),
(25976,30017,10,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(25977,30017,10,100,'Throws target back',1,1),
(25978,30017,10,100,'Blurs vision of target',1,2),
(25979,30017,10,100,'Stuns target',1,3),
(25980,30017,10,100,'Does not affect Epic targets',1,4),
(25981,30017,10,100,'Inflicts 26 - 44 crushing damage on target',0,5),
(25982,30018,1,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(25983,30018,1,100,'Throws target back',1,1),
(25984,30018,1,100,'Blurs vision of target',1,2),
(25985,30018,1,100,'Stuns target',1,3),
(25986,30018,1,100,'Does not affect Epic targets',1,4),
(25987,30018,1,100,'Inflicts 48 - 81 crushing damage on target',0,5),
(25988,30018,2,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(25989,30018,2,100,'Throws target back',1,1),
(25990,30018,2,100,'Blurs vision of target',1,2),
(25991,30018,2,100,'Stuns target',1,3),
(25992,30018,2,100,'Does not affect Epic targets',1,4),
(25993,30018,2,100,'Inflicts 51 - 85 crushing damage on target',0,5),
(25994,30018,3,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(25995,30018,3,100,'Throws target back',1,1),
(25996,30018,3,100,'Blurs vision of target',1,2),
(25997,30018,3,100,'Stuns target',1,3),
(25998,30018,3,100,'Does not affect Epic targets',1,4),
(25999,30018,3,100,'Inflicts 54 - 90 crushing damage on target',0,5),
(26000,30018,4,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(26001,30018,4,100,'Throws target back',1,1),
(26002,30018,4,100,'Blurs vision of target',1,2),
(26003,30018,4,100,'Stuns target',1,3),
(26004,30018,4,100,'Does not affect Epic targets',1,4),
(26005,30018,4,100,'Inflicts 59 - 99 crushing damage on target',0,5),
(26006,30018,5,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(26007,30018,5,100,'Throws target back',1,1),
(26008,30018,5,100,'Blurs vision of target',1,2),
(26009,30018,5,100,'Stuns target',1,3),
(26010,30018,5,100,'Does not affect Epic targets',1,4),
(26011,30018,5,100,'Inflicts 64 - 108 crushing damage on target',0,5),
(26012,30018,7,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(26013,30018,7,100,'Throws target back',1,1),
(26014,30018,7,100,'Blurs vision of target',1,2),
(26015,30018,7,100,'Stuns target',1,3),
(26016,30018,7,100,'Does not affect Epic targets',1,4),
(26017,30018,7,100,'Inflicts 83 - 138 crushing damage on target',0,5),
(26018,30018,9,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(26019,30018,9,100,'Throws target back',1,1),
(26020,30018,9,100,'Blurs vision of target',1,2),
(26021,30018,9,100,'Stuns target',1,3),
(26022,30018,9,100,'Does not affect Epic targets',1,4),
(26023,30018,9,100,'Inflicts 86 - 144 crushing damage on target',0,5),
(26024,30019,1,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(26025,30019,1,100,'Throws target back',1,1),
(26026,30019,1,100,'Blurs vision of target',1,2),
(26027,30019,1,100,'Stuns target',1,3),
(26028,30019,1,100,'Does not affect Epic targets',1,4),
(26029,30019,1,100,'Inflicts 77 - 129 crushing damage on target',0,5),
(26030,30019,2,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(26031,30019,2,100,'Throws target back',1,1),
(26032,30019,2,100,'Blurs vision of target',1,2),
(26033,30019,2,100,'Stuns target',1,3),
(26034,30019,2,100,'Does not affect Epic targets',1,4),
(26035,30019,2,100,'Inflicts 81 - 136 crushing damage on target',0,5),
(26036,30019,3,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(26037,30019,3,100,'Throws target back',1,1),
(26038,30019,3,100,'Blurs vision of target',1,2),
(26039,30019,3,100,'Stuns target',1,3),
(26040,30019,3,100,'Does not affect Epic targets',1,4),
(26041,30019,3,100,'Inflicts 86 - 143 crushing damage on target',0,5),
(26042,30019,4,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(26043,30019,4,100,'Throws target back',1,1),
(26044,30019,4,100,'Blurs vision of target',1,2),
(26045,30019,4,100,'Stuns target',1,3),
(26046,30019,4,100,'Does not affect Epic targets',1,4),
(26047,30019,4,100,'Inflicts 94 - 157 crushing damage on target',0,5),
(26048,30019,5,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(26049,30019,5,100,'Throws target back',1,1),
(26050,30019,5,100,'Blurs vision of target',1,2),
(26051,30019,5,100,'Stuns target',1,3),
(26052,30019,5,100,'Does not affect Epic targets',1,4),
(26053,30019,5,100,'Inflicts 103 - 172 crushing damage on target',0,5),
(26054,30019,7,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(26055,30019,7,100,'Throws target back',1,1),
(26056,30019,7,100,'Blurs vision of target',1,2),
(26057,30019,7,100,'Stuns target',1,3),
(26058,30019,7,100,'Does not affect Epic targets',1,4),
(26059,30019,7,100,'Inflicts 132 - 221 crushing damage on target',0,5),
(26060,30019,9,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(26061,30019,9,100,'Throws target back',1,1),
(26062,30019,9,100,'Blurs vision of target',1,2),
(26063,30019,9,100,'Stuns target',1,3),
(26064,30019,9,100,'Does not affect Epic targets',1,4),
(26065,30019,9,100,'Inflicts 137 - 229 crushing damage on target',0,5),
(26066,30020,1,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(26067,30020,1,100,'Throws target back',1,1),
(26068,30020,1,100,'Blurs vision of target',1,2),
(26069,30020,1,100,'Stuns target',1,3),
(26070,30020,1,100,'Does not affect Epic targets',1,4),
(26071,30020,1,100,'Inflicts 232 - 387 crushing damage on target',0,5),
(26072,30020,4,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(26073,30020,4,100,'Throws target back',1,1),
(26074,30020,4,100,'Blurs vision of target',1,2),
(26075,30020,4,100,'Stuns target',1,3),
(26076,30020,4,100,'Does not affect Epic targets',1,4),
(26077,30020,4,100,'Inflicts 284 - 473 crushing damage on target',0,5),
(26078,30020,5,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(26079,30020,5,100,'Throws target back',1,1),
(26080,30020,5,100,'Blurs vision of target',1,2),
(26081,30020,5,100,'Stuns target',1,3),
(26082,30020,5,100,'Does not affect Epic targets',1,4),
(26083,30020,5,100,'Inflicts 309 - 516 crushing damage on target',0,5),
(26084,30020,7,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(26085,30020,7,100,'Throws target back',1,1),
(26086,30020,7,100,'Blurs vision of target',1,2),
(26087,30020,7,100,'Stuns target',1,3),
(26088,30020,7,100,'Does not affect Epic targets',1,4),
(26089,30020,7,100,'Inflicts 397 - 663 crushing damage on target',0,5),
(26090,30020,9,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(26091,30020,9,100,'Throws target back',1,1),
(26092,30020,9,100,'Blurs vision of target',1,2),
(26093,30020,9,100,'Stuns target',1,3),
(26094,30020,9,100,'Does not affect Epic targets',1,4),
(26095,30020,9,100,'Inflicts 413 - 688 crushing damage on target',0,5),
(26096,30021,1,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(26097,30021,1,100,'Throws target back',1,1),
(26098,30021,1,100,'Blurs vision of target',1,2),
(26099,30021,1,100,'Stuns target',1,3),
(26100,30021,1,100,'Does not affect Epic targets',1,4),
(26101,30021,1,100,'Inflicts 113 - 188 crushing damage on target',0,5),
(26102,30021,2,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(26103,30021,2,100,'Throws target back',1,1),
(26104,30021,2,100,'Blurs vision of target',1,2),
(26105,30021,2,100,'Stuns target',1,3),
(26106,30021,2,100,'Does not affect Epic targets',1,4),
(26107,30021,2,100,'Inflicts 119 - 198 crushing damage on target',0,5),
(26108,30021,3,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(26109,30021,3,100,'Throws target back',1,1),
(26110,30021,3,100,'Blurs vision of target',1,2),
(26111,30021,3,100,'Stuns target',1,3),
(26112,30021,3,100,'Does not affect Epic targets',1,4),
(26113,30021,3,100,'Inflicts 125 - 209 crushing damage on target',0,5),
(26114,30021,4,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(26115,30021,4,100,'Throws target back',1,1),
(26116,30021,4,100,'Blurs vision of target',1,2),
(26117,30021,4,100,'Stuns target',1,3),
(26118,30021,4,100,'Does not affect Epic targets',1,4),
(26119,30021,4,100,'Inflicts 138 - 230 crushing damage on target',0,5),
(26120,30021,5,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(26121,30021,5,100,'Throws target back',1,1),
(26122,30021,5,100,'Blurs vision of target',1,2),
(26123,30021,5,100,'Stuns target',1,3),
(26124,30021,5,100,'Does not affect Epic targets',1,4),
(26125,30021,5,100,'Inflicts 150 - 251 crushing damage on target',0,5),
(26126,30021,7,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(26127,30021,7,100,'Throws target back',1,1),
(26128,30021,7,100,'Blurs vision of target',1,2),
(26129,30021,7,100,'Stuns target',1,3),
(26130,30021,7,100,'Does not affect Epic targets',1,4),
(26131,30021,7,100,'Inflicts 193 - 322 crushing damage on target',0,5),
(26132,30021,9,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(26133,30021,9,100,'Throws target back',1,1),
(26134,30021,9,100,'Blurs vision of target',1,2),
(26135,30021,9,100,'Stuns target',1,3),
(26136,30021,9,100,'Does not affect Epic targets',1,4),
(26137,30021,9,100,'Inflicts 200 - 334 crushing damage on target',0,5),
(26138,30022,1,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(26139,30022,1,100,'Throws target back',1,1),
(26140,30022,1,100,'Blurs vision of target',1,2),
(26141,30022,1,100,'Stuns target',1,3),
(26142,30022,1,100,'Does not affect Epic targets',1,4),
(26143,30022,1,100,'Inflicts 148 - 247 crushing damage on target',0,5),
(26144,30022,2,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(26145,30022,2,100,'Throws target back',1,1),
(26146,30022,2,100,'Blurs vision of target',1,2),
(26147,30022,2,100,'Stuns target',1,3),
(26148,30022,2,100,'Does not affect Epic targets',1,4),
(26149,30022,2,100,'Inflicts 156 - 261 crushing damage on target',0,5),
(26150,30022,3,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(26151,30022,3,100,'Throws target back',1,1),
(26152,30022,3,100,'Blurs vision of target',1,2),
(26153,30022,3,100,'Stuns target',1,3),
(26154,30022,3,100,'Does not affect Epic targets',1,4),
(26155,30022,3,100,'Inflicts 165 - 275 crushing damage on target',0,5),
(26156,30022,4,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(26157,30022,4,100,'Throws target back',1,1),
(26158,30022,4,100,'Blurs vision of target',1,2),
(26159,30022,4,100,'Stuns target',1,3),
(26160,30022,4,100,'Does not affect Epic targets',1,4),
(26161,30022,4,100,'Inflicts 181 - 302 crushing damage on target',0,5),
(26162,30022,5,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(26163,30022,5,100,'Throws target back',1,1),
(26164,30022,5,100,'Blurs vision of target',1,2),
(26165,30022,5,100,'Stuns target',1,3),
(26166,30022,5,100,'Does not affect Epic targets',1,4),
(26167,30022,5,100,'Inflicts 198 - 330 crushing damage on target',0,5),
(26168,30022,7,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(26169,30022,7,100,'Throws target back',1,1),
(26170,30022,7,100,'Blurs vision of target',1,2),
(26171,30022,7,100,'Stuns target',1,3),
(26172,30022,7,100,'Does not affect Epic targets',1,4),
(26173,30022,7,100,'Inflicts 254 - 423 crushing damage on target',0,5),
(26174,30022,9,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(26175,30022,9,100,'Throws target back',1,1),
(26176,30022,9,100,'Blurs vision of target',1,2),
(26177,30022,9,100,'Stuns target',1,3),
(26178,30022,9,100,'Does not affect Epic targets',1,4),
(26179,30022,9,100,'Inflicts 264 - 440 crushing damage on target',0,5),
(26180,30023,1,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(26181,30023,1,100,'Throws target back',1,1),
(26182,30023,1,100,'Blurs vision of target',1,2),
(26183,30023,1,100,'Stuns target',1,3),
(26184,30023,1,100,'Does not affect Epic targets',1,4),
(26185,30023,1,100,'Inflicts 179 - 299 crushing damage on target',0,5),
(26186,30023,2,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(26187,30023,2,100,'Throws target back',1,1),
(26188,30023,2,100,'Blurs vision of target',1,2),
(26189,30023,2,100,'Stuns target',1,3),
(26190,30023,2,100,'Does not affect Epic targets',1,4),
(26191,30023,2,100,'Inflicts 189 - 316 crushing damage on target',0,5),
(26192,30023,3,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(26193,30023,3,100,'Throws target back',1,1),
(26194,30023,3,100,'Blurs vision of target',1,2),
(26195,30023,3,100,'Stuns target',1,3),
(26196,30023,3,100,'Does not affect Epic targets',1,4),
(26197,30023,3,100,'Inflicts 199 - 333 crushing damage on target',0,5),
(26198,30023,4,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(26199,30023,4,100,'Throws target back',1,1),
(26200,30023,4,100,'Blurs vision of target',1,2),
(26201,30023,4,100,'Stuns target',1,3),
(26202,30023,4,100,'Does not affect Epic targets',1,4),
(26203,30023,4,100,'Inflicts 219 - 366 crushing damage on target',0,5),
(26204,30023,5,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(26205,30023,5,100,'Throws target back',1,1),
(26206,30023,5,100,'Blurs vision of target',1,2),
(26207,30023,5,100,'Stuns target',1,3),
(26208,30023,5,100,'Does not affect Epic targets',1,4),
(26209,30023,5,100,'Inflicts 239 - 399 crushing damage on target',0,5),
(26210,30023,7,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(26211,30023,7,100,'Throws target back',1,1),
(26212,30023,7,100,'Blurs vision of target',1,2),
(26213,30023,7,100,'Stuns target',1,3),
(26214,30023,7,100,'Does not affect Epic targets',1,4),
(26215,30023,7,100,'Inflicts 307 - 513 crushing damage on target',0,5),
(26216,30023,9,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(26217,30023,9,100,'Throws target back',1,1),
(26218,30023,9,100,'Blurs vision of target',1,2),
(26219,30023,9,100,'Stuns target',1,3),
(26220,30023,9,100,'Does not affect Epic targets',1,4),
(26221,30023,9,100,'Inflicts 319 - 533 crushing damage on target',0,5),
(26222,30024,1,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(26223,30024,1,100,'Throws target back',1,1),
(26224,30024,1,100,'Blurs vision of target',1,2),
(26225,30024,1,100,'Stuns target',1,3),
(26226,30024,1,100,'Does not affect Epic targets',1,4),
(26227,30024,1,100,'Inflicts 216 - 361 crushing damage on target',0,5),
(26228,30024,4,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(26229,30024,4,100,'Throws target back',1,1),
(26230,30024,4,100,'Blurs vision of target',1,2),
(26231,30024,4,100,'Stuns target',1,3),
(26232,30024,4,100,'Does not affect Epic targets',1,4),
(26233,30024,4,100,'Inflicts 264 - 441 crushing damage on target',0,5),
(26234,30024,5,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(26235,30024,5,100,'Throws target back',1,1),
(26236,30024,5,100,'Blurs vision of target',1,2),
(26237,30024,5,100,'Stuns target',1,3),
(26238,30024,5,100,'Does not affect Epic targets',1,4),
(26239,30024,5,100,'Inflicts 288 - 481 crushing damage on target',0,5),
(26240,30024,7,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(26241,30024,7,100,'Throws target back',1,1),
(26242,30024,7,100,'Blurs vision of target',1,2),
(26243,30024,7,100,'Stuns target',1,3),
(26244,30024,7,100,'Does not affect Epic targets',1,4),
(26245,30024,7,100,'Inflicts 370 - 617 crushing damage on target',0,5),
(26246,30024,9,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(26247,30024,9,100,'Throws target back',1,1),
(26248,30024,9,100,'Blurs vision of target',1,2),
(26249,30024,9,100,'Stuns target',1,3),
(26250,30024,9,100,'Does not affect Epic targets',1,4),
(26251,30024,9,100,'Inflicts 385 - 641 crushing damage on target',0,5),
(26252,2000013,1,100,'Inflicts 1 melee damage on target',0,0),
(26253,2000013,1,100,'Inflicts 1 melee damage on target',0,1),
(26254,2000013,1,100,'Decreases Ability Recovery Speed of target by 27.0%',0,2),
(26255,2000013,1,100,'Increases Ability Recovery Speed of caster by 27.0%',0,3),
(26256,2000013,2,100,'Inflicts 170 - 283 melee damage on target',0,0),
(26257,2000013,2,100,'Inflicts 170 - 283 melee damage on target',0,1),
(26258,2000013,2,100,'Decreases Ability Recovery Speed of target by 28.5%',0,2),
(26259,2000013,2,100,'Increases Ability Recovery Speed of caster by 28.5%',0,3),
(26260,2000013,3,100,'Inflicts 179 - 298 melee damage on target',0,0),
(26261,2000013,3,100,'Inflicts 179 - 298 melee damage on target',0,1),
(26262,2000013,3,100,'Decreases Ability Recovery Speed of target by 30.0%',0,2),
(26263,2000013,3,100,'Increases Ability Recovery Speed of caster by 30.0%',0,3),
(26264,2000013,4,100,'Inflicts 262 - 438 melee damage on target',0,0),
(26265,2000013,4,100,'Inflicts 262 - 438 melee damage on target',0,1),
(26266,2000013,4,100,'Decreases Ability Recovery Speed of target by 33.0%',0,2),
(26267,2000013,4,100,'Increases Ability Recovery Speed of caster by 33.0%',0,3),
(26268,2000013,5,100,'Inflicts 215 - 358 melee damage on target',0,0),
(26269,2000013,5,100,'Inflicts 215 - 358 melee damage on target',0,1),
(26270,2000013,5,100,'Decreases Ability Recovery Speed of target by 36.0%',0,2),
(26271,2000013,5,100,'Increases Ability Recovery Speed of caster by 36.0%',0,3),
(26272,2000013,6,100,'Inflicts 233 - 388 melee damage on target',0,0),
(26273,2000013,6,100,'Inflicts 233 - 388 melee damage on target',0,1),
(26274,2000013,6,100,'Decreases Ability Recovery Speed of target by 39.0%',0,2),
(26275,2000013,6,100,'Increases Ability Recovery Speed of caster by 39.0%',0,3),
(26276,2000013,7,100,'Inflicts 367 - 613 melee damage on target',0,0),
(26277,2000013,7,100,'Inflicts 367 - 613 melee damage on target',0,1),
(26278,2000013,7,100,'Decreases Ability Recovery Speed of target by 46.2%',0,2),
(26279,2000013,7,100,'Increases Ability Recovery Speed of caster by 46.2%',0,3),
(26280,2000013,8,100,'Inflicts 370 - 617 melee damage on target',0,0),
(26281,2000013,8,100,'Inflicts 370 - 617 melee damage on target',0,1),
(26282,2000013,8,100,'Decreases Ability Recovery Speed of target by 46.5%',0,2),
(26283,2000013,8,100,'Increases Ability Recovery Speed of caster by 46.5%',0,3),
(26284,2000013,9,100,'Inflicts 382 - 637 melee damage on target',0,0),
(26285,2000013,9,100,'Inflicts 382 - 637 melee damage on target',0,1),
(26286,2000013,9,100,'Decreases Ability Recovery Speed of target by 48.0%',0,2),
(26287,2000013,9,100,'Increases Ability Recovery Speed of caster by 48.0%',0,3),
(26288,2000013,10,100,'Inflicts 301 - 501 melee damage on target',0,0),
(26289,2000013,10,100,'Inflicts 301 - 501 melee damage on target',0,1),
(26290,2000013,10,100,'Decreases Ability Recovery Speed of target by 50.4%',0,2),
(26291,2000013,10,100,'Increases Ability Recovery Speed of caster by 50.4%',0,3),
(26292,2000014,3,100,'Inflicts 2 - 4 crushing damage on target encounter',0,0),
(26293,2000014,4,100,'Inflicts 3 - 5 crushing damage on target encounter',0,0),
(26294,2000014,5,100,'Inflicts 3 - 5 crushing damage on target encounter',0,0),
(26295,2000014,7,100,'Inflicts 4 - 7 crushing damage on target encounter',0,0),
(26296,2000014,9,100,'Inflicts 4 - 7 crushing damage on target encounter',0,0),
(26297,2000014,10,100,'Inflicts 4 - 7 crushing damage on target encounter',0,0),
(26298,2000015,1,100,'Inflicts 0 - 1 melee damage on target',0,0),
(26299,2000015,1,100,'Inflicts 0 - 1 melee damage on target',0,1),
(26300,2000015,1,100,'Inflicts 0 - 1 melee damage on target',0,2),
(26301,2000015,1,100,'Inflicts 0 - 1 melee damage on target',0,3),
(26302,2000015,1,100,'Inflicts 0 - 1 melee damage on target',0,4),
(26303,2000015,1,100,'Dazes target',0,5),
(26304,2000015,1,100,'If Target is not Epic',1,6),
(26305,2000015,1,100,'Your target must be inflicted with Pulverize.',0,7),
(26306,2000015,1,100,'Resistibility increases against targets higher than level 29.',0,8),
(26307,340022,1,100,'Inflicts 7 - 12 melee damage on target',0,0),
(26308,340022,1,100,'Inflicts 7 - 12 melee damage on target',0,1),
(26309,340022,2,100,'Inflicts 7 - 13 melee damage on target',0,0),
(26310,340022,2,100,'Inflicts 7 - 13 melee damage on target',0,1),
(26311,340022,3,100,'Inflicts 8 - 13 melee damage on target',0,0),
(26312,340022,3,100,'Inflicts 8 - 13 melee damage on target',0,1),
(26313,340022,4,100,'Inflicts 9 - 15 melee damage on target',0,0),
(26314,340022,4,100,'Inflicts 9 - 15 melee damage on target',0,1),
(26315,340022,5,100,'Inflicts 9 - 16 melee damage on target',0,0),
(26316,340022,5,100,'Inflicts 9 - 16 melee damage on target',0,1),
(26317,340022,7,100,'Inflicts 12 - 21 melee damage on target',0,0),
(26318,340022,7,100,'Inflicts 12 - 21 melee damage on target',0,1),
(26319,340022,9,100,'Inflicts 13 - 21 melee damage on target',0,0),
(26320,340022,9,100,'Inflicts 13 - 21 melee damage on target',0,1),
(26321,340023,1,100,'Inflicts 27 - 45 melee damage on target',0,0),
(26322,340023,1,100,'Inflicts 27 - 45 melee damage on target',0,1),
(26323,340023,2,100,'Inflicts 28 - 47 melee damage on target',0,0),
(26324,340023,2,100,'Inflicts 28 - 47 melee damage on target',0,1),
(26325,340023,3,100,'Inflicts 30 - 50 melee damage on target',0,0),
(26326,340023,3,100,'Inflicts 30 - 50 melee damage on target',0,1),
(26327,340023,4,100,'Inflicts 33 - 55 melee damage on target',0,0),
(26328,340023,4,100,'Inflicts 33 - 55 melee damage on target',0,1),
(26329,340023,5,100,'Inflicts 36 - 60 melee damage on target',0,0),
(26330,340023,5,100,'Inflicts 36 - 60 melee damage on target',0,1),
(26331,340023,7,100,'Inflicts 46 - 77 melee damage on target',0,0),
(26332,340023,7,100,'Inflicts 46 - 77 melee damage on target',0,1),
(26333,340023,9,100,'Inflicts 48 - 80 melee damage on target',0,0),
(26334,340023,9,100,'Inflicts 48 - 80 melee damage on target',0,1),
(26335,340023,10,100,'Inflicts 50 - 84 melee damage on target',0,0),
(26336,340023,10,100,'Inflicts 50 - 84 melee damage on target',0,1),
(26337,340024,1,100,'Inflicts 60 - 100 melee damage on target',0,0),
(26338,340024,1,100,'Inflicts 60 - 100 melee damage on target',0,1),
(26339,340024,2,100,'Inflicts 63 - 105 melee damage on target',0,0),
(26340,340024,2,100,'Inflicts 63 - 105 melee damage on target',0,1),
(26341,340024,3,100,'Inflicts 66 - 111 melee damage on target',0,0),
(26342,340024,3,100,'Inflicts 66 - 111 melee damage on target',0,1),
(26343,340024,4,100,'Inflicts 73 - 122 melee damage on target',0,0),
(26344,340024,4,100,'Inflicts 73 - 122 melee damage on target',0,1),
(26345,340024,5,100,'Inflicts 80 - 133 melee damage on target',0,0),
(26346,340024,5,100,'Inflicts 80 - 133 melee damage on target',0,1),
(26347,340024,7,100,'Inflicts 103 - 171 melee damage on target',0,0),
(26348,340024,7,100,'Inflicts 103 - 171 melee damage on target',0,1),
(26349,340024,9,100,'Inflicts 107 - 178 melee damage on target',0,0),
(26350,340024,9,100,'Inflicts 107 - 178 melee damage on target',0,1),
(26351,340025,1,100,'Inflicts 96 - 161 melee damage on target',0,0),
(26352,340025,1,100,'Inflicts 96 - 161 melee damage on target',0,1),
(26353,340025,2,100,'Inflicts 102 - 170 melee damage on target',0,0),
(26354,340025,2,100,'Inflicts 102 - 170 melee damage on target',0,1),
(26355,340025,3,100,'Inflicts 107 - 179 melee damage on target',0,0),
(26356,340025,3,100,'Inflicts 107 - 179 melee damage on target',0,1),
(26357,340025,4,100,'Inflicts 118 - 197 melee damage on target',0,0),
(26358,340025,4,100,'Inflicts 118 - 197 melee damage on target',0,1),
(26359,340025,5,100,'Inflicts 129 - 215 melee damage on target',0,0),
(26360,340025,5,100,'Inflicts 129 - 215 melee damage on target',0,1),
(26361,340025,7,100,'Inflicts 165 - 276 melee damage on target',0,0),
(26362,340025,7,100,'Inflicts 165 - 276 melee damage on target',0,1),
(26363,340025,9,100,'Inflicts 172 - 287 melee damage on target',0,0),
(26364,340025,9,100,'Inflicts 172 - 287 melee damage on target',0,1),
(26365,340026,1,100,'Inflicts 298 - 497 melee damage on target',0,0),
(26366,340026,1,100,'Inflicts 298 - 497 melee damage on target',0,1),
(26367,340026,4,100,'Inflicts 364 - 608 melee damage on target',0,0),
(26368,340026,4,100,'Inflicts 364 - 608 melee damage on target',0,1),
(26369,340026,5,100,'Inflicts 398 - 663 melee damage on target',0,0),
(26370,340026,5,100,'Inflicts 398 - 663 melee damage on target',0,1),
(26371,340026,7,100,'Inflicts 510 - 851 melee damage on target',0,0),
(26372,340026,7,100,'Inflicts 510 - 851 melee damage on target',0,1),
(26373,340026,9,100,'Inflicts 530 - 884 melee damage on target',0,0),
(26374,340026,9,100,'Inflicts 530 - 884 melee damage on target',0,1),
(26375,340027,1,100,'Inflicts 142 - 237 melee damage on target',0,0),
(26376,340027,1,100,'Inflicts 142 - 237 melee damage on target',0,1),
(26377,340027,2,100,'Inflicts 150 - 251 melee damage on target',0,0),
(26378,340027,2,100,'Inflicts 150 - 251 melee damage on target',0,1),
(26379,340027,3,100,'Inflicts 158 - 264 melee damage on target',0,0),
(26380,340027,3,100,'Inflicts 158 - 264 melee damage on target',0,1),
(26381,340027,4,100,'Inflicts 174 - 290 melee damage on target',0,0),
(26382,340027,4,100,'Inflicts 174 - 290 melee damage on target',0,1),
(26383,340027,5,100,'Inflicts 190 - 317 melee damage on target',0,0),
(26384,340027,5,100,'Inflicts 190 - 317 melee damage on target',0,1),
(26385,340027,7,100,'Inflicts 244 - 407 melee damage on target',0,0),
(26386,340027,7,100,'Inflicts 244 - 407 melee damage on target',0,1),
(26387,340027,9,100,'Inflicts 253 - 423 melee damage on target',0,0),
(26388,340027,9,100,'Inflicts 253 - 423 melee damage on target',0,1),
(26389,340027,10,100,'Inflicts 266 - 444 melee damage on target',0,0),
(26390,340027,10,100,'Inflicts 266 - 444 melee damage on target',0,1),
(26391,340028,1,100,'Inflicts 188 - 314 melee damage on target',0,0),
(26392,340028,1,100,'Inflicts 188 - 314 melee damage on target',0,1),
(26393,340028,2,100,'Inflicts 199 - 331 melee damage on target',0,0),
(26394,340028,2,100,'Inflicts 199 - 331 melee damage on target',0,1),
(26395,340028,3,100,'Inflicts 209 - 349 melee damage on target',0,0),
(26396,340028,3,100,'Inflicts 209 - 349 melee damage on target',0,1),
(26397,340028,4,100,'Inflicts 230 - 384 melee damage on target',0,0),
(26398,340028,4,100,'Inflicts 230 - 384 melee damage on target',0,1),
(26399,340028,5,100,'Inflicts 251 - 419 melee damage on target',0,0),
(26400,340028,5,100,'Inflicts 251 - 419 melee damage on target',0,1),
(26401,340028,7,100,'Inflicts 322 - 537 melee damage on target',0,0),
(26402,340028,7,100,'Inflicts 322 - 537 melee damage on target',0,1),
(26403,340028,9,100,'Inflicts 335 - 558 melee damage on target',0,0),
(26404,340028,9,100,'Inflicts 335 - 558 melee damage on target',0,1),
(26405,340029,1,100,'Inflicts 228 - 380 melee damage on target',0,0),
(26406,340029,1,100,'Inflicts 228 - 380 melee damage on target',0,1),
(26407,340029,2,100,'Inflicts 241 - 401 melee damage on target',0,0),
(26408,340029,2,100,'Inflicts 241 - 401 melee damage on target',0,1),
(26409,340029,3,100,'Inflicts 253 - 422 melee damage on target',0,0),
(26410,340029,3,100,'Inflicts 253 - 422 melee damage on target',0,1),
(26411,340029,4,100,'Inflicts 279 - 465 melee damage on target',0,0),
(26412,340029,4,100,'Inflicts 279 - 465 melee damage on target',0,1),
(26413,340029,5,100,'Inflicts 304 - 507 melee damage on target',0,0),
(26414,340029,5,100,'Inflicts 304 - 507 melee damage on target',0,1),
(26415,340029,7,100,'Inflicts 390 - 651 melee damage on target',0,0),
(26416,340029,7,100,'Inflicts 390 - 651 melee damage on target',0,1),
(26417,340029,9,100,'Inflicts 406 - 676 melee damage on target',0,0),
(26418,340029,9,100,'Inflicts 406 - 676 melee damage on target',0,1),
(26419,340030,1,100,'Inflicts 275 - 458 melee damage on target',0,0),
(26420,340030,1,100,'Inflicts 275 - 458 melee damage on target',0,1),
(26421,340030,4,100,'Inflicts 336 - 560 melee damage on target',0,0),
(26422,340030,4,100,'Inflicts 336 - 560 melee damage on target',0,1),
(26423,340030,5,100,'Inflicts 366 - 611 melee damage on target',0,0),
(26424,340030,5,100,'Inflicts 366 - 611 melee damage on target',0,1),
(26425,340030,7,100,'Inflicts 470 - 784 melee damage on target',0,0),
(26426,340030,7,100,'Inflicts 470 - 784 melee damage on target',0,1),
(26427,340030,9,100,'Inflicts 489 - 815 melee damage on target',0,0),
(26428,340030,9,100,'Inflicts 489 - 815 melee damage on target',0,1),
(26429,30025,1,100,'Increases Mitigation of group members (AE) vs physical damage by 100',0,0),
(26430,30025,2,100,'Increases Mitigation of group members (AE) vs physical damage by 106',0,0),
(26431,30025,3,100,'Increases Mitigation of group members (AE) vs physical damage by 111',0,0),
(26432,30025,4,100,'Increases Mitigation of group members (AE) vs physical damage by 122',0,0),
(26433,30025,5,100,'Increases Mitigation of group members (AE) vs physical damage by 134',0,0),
(26434,30025,7,100,'Increases Mitigation of group members (AE) vs physical damage by 171',0,0),
(26435,30025,9,100,'Increases Mitigation of group members (AE) vs physical damage by 178',0,0),
(26436,30026,1,100,'Increases Mitigation of group members (AE) vs physical damage by 187',0,0),
(26437,30026,2,100,'Increases Mitigation of group members (AE) vs physical damage by 198',0,0),
(26438,30026,3,100,'Increases Mitigation of group members (AE) vs physical damage by 208',0,0),
(26439,30026,4,100,'Increases Mitigation of group members (AE) vs physical damage by \r\n229',0,0),
(26440,30026,5,100,'Increases Mitigation of group members (AE) vs physical damage by 250',0,0),
(26441,30026,7,100,'Increases Mitigation of group members (AE) vs physical damage by 320',0,0),
(26442,30026,9,100,'Increases Mitigation of group members (AE) vs physical damage by 333',0,0),
(26443,30027,1,100,'Increases Mitigation of group members (AE) vs physical damage by 288',0,0),
(26444,30027,2,100,'Increases Mitigation of group members (AE) vs physical damage by 304',0,0),
(26445,30027,3,100,'Increases Mitigation of group members (AE) vs physical damage by 320',0,0),
(26446,30027,4,100,'Increases Mitigation of group members (AE) vs physical damage by 352',0,0),
(26447,30027,5,100,'Increases Mitigation of group members (AE) vs physical damage by 384',0,0),
(26448,30027,7,100,'Increases Mitigation of group members (AE) vs physical damage by 493',0,0),
(26449,30027,9,100,'Increases Mitigation of group members (AE) vs physical damage by 512',0,0),
(26450,30028,1,100,'Increases Mitigation of group members (AE) vs physical damage by 389',0,0),
(26451,30028,2,100,'Increases Mitigation of group members (AE) vs physical damage by 410',0,0),
(26452,30028,3,100,'Increases Mitigation of group members (AE) vs physical damage by 432',0,0),
(26453,30028,4,100,'Increases Mitigation of group members (AE) vs physical damage by 475',0,0),
(26454,30028,5,100,'Increases Mitigation of group members (AE) vs physical damage by 518',0,0),
(26455,30028,7,100,'Increases Mitigation of group members (AE) vs physical damage by 665',0,0),
(26456,30028,9,100,'Increases Mitigation of group members (AE) vs physical damage by 691',0,0),
(26457,30029,1,100,'Increases Mitigation of group members (AE) vs physical damage by 490',0,0);
INSERT INTO `spell_display_effects` VALUES
(26458,30029,2,100,'Increases Mitigation of group members (AE) vs physical damage by 517',0,0),
(26459,30029,3,100,'Increases Mitigation of group members (AE) vs physical damage by 544',0,0),
(26460,30029,4,100,'Increases Mitigation of group members (AE) vs physical damage by 598',0,0),
(26461,30029,5,100,'Increases Mitigation of group members (AE) vs physical damage by 653',0,0),
(26462,30029,7,100,'Increases Mitigation of group members (AE) vs physical damage by 838',0,0),
(26463,30029,9,100,'Increases Mitigation of group members (AE) vs physical damage by 870',0,0),
(26464,30030,1,100,'Increases Mitigation of group members (AE) vs physical damage by 597',0,0),
(26465,30030,2,100,'Increases Mitigation of group members (AE) vs physical damage by 630',0,0),
(26466,30030,3,100,'Increases Mitigation of group members (AE) vs physical damage by 664',0,0),
(26467,30030,4,100,'Increases Mitigation of group members (AE) vs physical damage by 730',0,0),
(26468,30030,5,100,'Increases Mitigation of group members (AE) vs physical damage by 796',0,0),
(26469,30030,7,100,'Increases Mitigation of group members (AE) vs physical damage by 1022',0,0),
(26470,30030,9,100,'Increases Mitigation of group members (AE) vs physical damage by 1062',0,0),
(26471,30031,1,100,'Increases Mitigation of group members (AE) vs physical damage by 702',0,0),
(26472,30031,4,100,'Increases Mitigation of group members (AE) vs physical damage by 858',0,0),
(26473,30031,5,100,'Increases Mitigation of group members (AE) vs physical damage by 936',0,0),
(26474,30031,7,100,'Increases Mitigation of group members (AE) vs physical damage by 1201',0,0),
(26475,30031,9,100,'Increases Mitigation of group members (AE) vs physical damage by 1247',0,0),
(26476,30032,1,100,'Increases Mitigation of group members (AE) vs physical damage by 784',0,0),
(26477,30032,4,100,'Increases Mitigation of group members (AE) vs physical damage by 958',0,0),
(26478,30032,5,100,'Increases Mitigation of group members (AE) vs physical damage by 1045',0,0),
(26479,30032,7,100,'Increases Mitigation of group members (AE) vs physical damage by 1342',0,0),
(26480,30032,9,100,'Increases Mitigation of group members (AE) vs physical damage by 1394',0,0),
(26481,2000016,1,100,'When damaged in combat this spell will cast Battle Frenzy on target.  ',0,0),
(26482,2000016,1,100,'Heals caster for 8.5 - 10.4% of max health',1,1),
(26483,2000016,1,100,'This effect cannot be critically applied.',2,2),
(26484,2000016,1,100,'Cannot be modified except by direct means',1,3),
(26485,30033,1,100,'Increases STA of group members (AE) by 8.3',0,0),
(26486,20002,1,100,'Increases Max Health of group members (AE) by 73.3',0,0),
(26487,30033,2,100,'Increases STA of group members (AE) by 8.8',0,0),
(26488,30033,3,100,'Increases STA of group members (AE) by 9.2',0,0),
(26489,30033,4,100,'Increases STA of group members (AE) by 10.1',0,0),
(26490,30033,5,100,'Increases STA of group members (AE) by 11.1',0,0),
(26491,30033,7,100,'Increases STA of group members (AE) by 14.2',0,0),
(26492,30033,9,100,'Increases STA of group members (AE) by 14.7',0,0),
(26493,30034,1,100,'Increases STA of group members (AE) by 21.5',0,0),
(26494,30034,2,100,'Increases STA of group members (AE) by 22.7',0,0),
(26495,30034,3,100,'Increases STA of group members (AE) by 23.9',0,0),
(26496,30034,4,100,'Increases STA of group members (AE) by 26.3',0,0),
(26497,30034,5,100,'Increases STA of group members (AE) by 28.7',0,0),
(26498,30034,7,100,'Increases STA of group members (AE) by 36.8',0,0),
(26499,30034,9,100,'Increases STA of group members (AE) by 38.2',0,0),
(26500,30034,10,100,'Increases STA of group members (AE) by 40.1',0,0),
(26501,30035,1,100,'Increases STA of group members (AE) by 34.5',0,0),
(26502,30035,2,100,'Increases STA of group members (AE) by 36.4',0,0),
(26503,30035,3,100,'Increases STA of group members (AE) by 38.3',0,0),
(26504,30035,4,100,'Increases STA of group members (AE) by 42.2',0,0),
(26505,30035,5,100,'Increases STA of group members (AE) by 46.0',0,0),
(26506,30035,7,100,'Increases STA of group members (AE) by 59.0',0,0),
(26507,30035,9,100,'Increases STA of group members (AE) by 61.3',0,0),
(26508,30036,1,100,'Increases STA of group members (AE) by 45.7',0,0),
(26509,30036,2,100,'Increases STA of group members (AE) by 48.2',0,0),
(26510,30036,3,100,'Increases STA of group members (AE) by 50.8',0,0),
(26511,30036,4,100,'Increases STA of group members (AE) by 55.8',0,0),
(26512,30036,5,100,'Increases STA of group members (AE) by 60.9',0,0),
(26513,30036,7,100,'Increases STA of group members (AE) by 78.2',0,0),
(26514,30036,9,100,'Increases STA of group members (AE) by 81.2',0,0),
(26515,30037,1,100,'Increases STA of group members (AE) by 55.8',0,0),
(26516,30037,2,100,'Increases STA of group members (AE) by 58.9',0,0),
(26517,30037,3,100,'Increases STA of group members (AE) by 62.0',0,0),
(26518,30037,4,100,'Increases STA of group members (AE) by 68.2',0,0),
(26519,30037,5,100,'Increases STA of group members (AE) by 74.4',0,0),
(26520,30037,7,100,'Increases STA of group members (AE) by 95.5',0,0),
(26521,30037,9,100,'Increases STA of group members (AE) by 99.3',0,0),
(26522,30037,10,100,'Increases STA of group members (AE) by 104.2',0,0),
(26523,30038,1,100,'Increases STA of group members (AE) by 66.6',0,0),
(26524,30038,3,100,'Increases STA of group members (AE) by 88.8',0,0),
(26525,30038,4,100,'Increases STA of group members (AE) by 81.4',0,0),
(26526,30038,5,100,'Increases STA of group members (AE) by 88.8',0,0),
(26527,30038,7,100,'Increases STA of group members (AE) by 114.0',0,0),
(26528,30038,9,100,'Increases STA of group members (AE) by 118.5',0,0),
(26529,30039,1,100,'Increases STA of group members (AE) by 77.4',0,0),
(26530,30039,3,100,'Increases STA of group members (AE) by 105.8',0,0),
(26531,30039,4,100,'Increases STA of group members (AE) by 94.6',0,0),
(26532,30039,5,100,'Increases STA of group members (AE) by 103.2',0,0),
(26533,30039,7,100,'Increases STA of group members (AE) by 132.5',0,0),
(26534,30039,9,100,'Increases STA of group members (AE) by 137.7',0,0),
(26535,2000017,1,100,'Shows the animalist what targets can be tamed.',0,0),
(26536,2000017,2,100,'Shows the animalist what targets can be tamed.',0,0),
(26537,2000017,3,100,'Shows the animalist what targets can be tamed.',0,0),
(26538,2000017,4,100,'Shows the animalist what targets can be tamed.',0,0),
(26539,2000017,5,100,'Shows the animalist what targets can be tamed.',0,0),
(26540,2000017,6,100,'Shows the animalist what targets can be tamed.',0,0),
(26541,2000017,7,100,'Shows the animalist what targets can be tamed.',0,0),
(26542,2000017,8,100,'Shows the animalist what targets can be tamed.',0,0),
(26543,2000017,9,100,'Shows the animalist what targets can be tamed.',0,0),
(26544,2000017,10,100,'Shows the animalist what targets can be tamed.',0,0),
(26545,420002,1,100,'Inflicts 149 - 249 melee damage on target encounter',0,0),
(26546,420002,1,100,'Increases savagery of caster by 20.0',0,1),
(26547,420002,1,100,'This effect cannot be critically applied.',1,2),
(26548,420002,1,100,'Increases Haste of group members (AE) by 25.0',0,3),
(26549,420002,1,100,'Increases Multi Attack of group members (AE) by 25.0',0,4),
(26550,420003,1,100,'Increases savagery of caster by 20.0',0,0),
(26551,420003,1,100,'This effect cannot be critically applied.',1,1),
(26552,420003,1,100,'Increases Attack Speed of group members (AE) by 25.0',0,2),
(26553,420003,1,100,'Increases Damage Per Second of group members (AE) by 25.0',0,3),
(26554,420003,1,100,'Inflicts 262 - 437 melee damage on targets in area',0,4),
(26555,70008,1,100,'Inflicts 16 - 27 melee damage on targets in Area of Effect',0,0),
(26556,70008,2,100,'Inflicts 17 - 29 melee damage on targets in Area of Effect',0,0),
(26557,70008,3,100,'Inflicts 18 - 30 melee damage on targets in Area of Effect',0,0),
(26558,70008,4,100,'Inflicts 20 - 33 melee damage on targets in Area of Effect',0,0),
(26559,70008,5,100,'Inflicts 22 - 36 melee damage on targets in Area of Effect',0,0),
(26560,70008,7,100,'Inflicts 28 - 47 melee damage on targets in Area of Effect',0,0),
(26561,70008,9,100,'Inflicts 29 - 49 melee damage on targets in Area of Effect',0,0),
(26562,70009,1,100,'Inflicts 48 - 80 melee fire on targets in Area of Effect',0,0),
(26563,70009,2,100,'Inflicts 51 - 85 fire damage on targets in Area of Effect',0,0),
(26564,70009,3,100,'Inflicts 53 - 89 fire damage on targets in Area of Effect',0,0),
(26565,70009,4,100,'Inflicts 59 - 98 fire damage on targets in Area of Effect',0,0),
(26566,70009,5,100,'Inflicts 64 - 107 fire damage on targets in Area of Effect',0,0),
(26567,70009,7,100,'Inflicts 83 - 138 fire damage on targets in Area of Effect',0,0),
(26568,70009,9,100,'Inflicts 86 - 143 fire damage on targets in Area of Effect',0,0),
(26569,70009,10,100,'Inflicts 90 - 151 fire damage on targets in Area of Effect',0,0),
(26570,70010,1,100,'Inflicts 86 - 144 melee damage on targets in Area of Effect',0,0),
(26571,70010,2,100,'Inflicts 91 - 152 melee damage on targets in Area of Effect',0,0),
(26572,70010,3,100,'Inflicts 96 - 160 melee damage on targets in Area of Effect',0,0),
(26573,70010,4,100,'Inflicts 105 - 176 melee damage on targets in Area of Effect',0,0),
(26574,70010,5,100,'Inflicts 115 - 192 melee damage on targets in Area of Effect',0,0),
(26575,70010,7,100,'Inflicts 147 - 246 melee damage on targets in Area of Effect',0,0),
(26576,70010,9,100,'Inflicts 153 - 256 melee damage on targets in Area of Effect',0,0),
(26577,70011,1,100,'Inflicts 130 - 217 melee damage on targets in Area of Effect',0,0),
(26578,70011,2,100,'Inflicts 137 - 229 melee damage on targets in Area of Effect',0,0),
(26579,70011,3,100,'Inflicts 144 - 241 melee damage on targets in Area of Effect',0,0),
(26580,70011,4,100,'Inflicts 159 - 265 melee damage on targets in Area of Effect',0,0),
(26581,70011,5,100,'Inflicts 173 - 289 melee damage on targets in Area of Effect',0,0),
(26582,70011,7,100,'Inflicts 223 - 371 melee damage on targets in Area of Effect',0,0),
(26583,70011,9,100,'Inflicts 231 - 386 melee damage on targets in Area of Effect',0,0),
(26584,70012,1,100,'Inflicts 177 - 295 melee damage on targets in Area of Effect',0,0),
(26585,70012,2,100,'Inflicts 187 - 312 melee damage on targets in Area of Effect',0,0),
(26586,70012,3,100,'Inflicts 197 - 328 melee damage on targets in Area of Effect',0,0),
(26587,70012,4,100,'Inflicts 217 - 361 melee damage on targets in Area of Effect',0,0),
(26588,70012,5,100,'Inflicts 236 - 394 melee damage on targets in Area of Effect',0,0),
(26589,70012,7,100,'Inflicts 303 - 506 melee damage on targets in Area of Effect',0,0),
(26590,70012,9,100,'Inflicts 315 - 526 melee damage on targets in Area of Effect',0,0),
(26592,70013,1,100,'Inflicts 222 - 371 melee damage on targets in Area of Effect',0,0),
(26593,70013,2,100,'Inflicts 234 - 391 melee damage on targets in Area of Effect',0,0),
(26594,70013,3,100,'Inflicts 247 - 412 melee damage on targets in Area of Effect',0,0),
(26595,70013,4,100,'Inflicts 272 - 453 melee damage on targets in Area of Effect',0,0),
(26596,70013,5,100,'Inflicts 296 - 494 melee damage on targets in Area of Effect',0,0),
(26597,70013,7,100,'Inflicts 380 - 634 melee damage on targets in Area of Effect',0,0),
(26598,70013,9,100,'Inflicts 395 - 659 melee damage on targets in Area of Effect',0,0),
(26600,70014,1,100,'Inflicts 268 - 447 melee damage on targets in Area of Effect',0,0),
(26601,70014,4,100,'Inflicts 328 - 547 melee damage on targets in Area of Effect',0,0),
(26602,70014,5,100,'Inflicts 358 - 597 melee damage on targets in Area of Effect',0,0),
(26603,70014,7,100,'Inflicts 459 - 766 melee damage on targets in Area of Effect',0,0),
(26604,70014,9,100,'Inflicts 477 - 796 melee damage on targets in Area of Effect',0,0),
(26606,70015,1,100,'Inflicts 302 - 504 melee damage on targets in Area of Effect',0,0),
(26607,70015,4,100,'Inflicts 369 - 616 melee damage on targets in Area of Effect',0,0),
(26608,70015,5,100,'Inflicts 403 - 672 melee damage on targets in Area of Effect',0,0),
(26609,70015,7,100,'Inflicts 517 - 862 melee damage on targets in Area of Effect',0,0),
(26610,70015,9,100,'Inflicts 537 - 896 melee damage on targets in Area of Effect',0,0),
(26612,2000018,1,100,'Charms an animal, causing it to act as your pet for the duration of this spell.',0,0),
(26613,340031,1,100,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(26614,340031,1,100,'Decreases Threat to target by 156 ',1,1),
(26615,340031,2,100,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(26616,340031,2,100,'Decreases Threat to target by 165 ',1,1),
(26617,340031,3,100,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(26618,340031,3,100,'Decreases Threat to target by 174 ',1,1),
(26619,340031,4,100,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(26620,340031,4,100,'Decreases Threat to target by 191 ',1,1),
(26621,340031,5,100,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(26622,340031,5,100,'Decreases Threat to target by 208 ',1,1),
(26623,340031,7,100,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(26624,340031,7,100,'Decreases Threat to target by 268 ',1,1),
(26625,340031,9,100,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(26626,340031,9,100,'Decreases Threat to target by 278 ',1,1),
(26627,340032,1,100,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(26628,340032,1,100,'Decreases Threat to target by 309 ',1,1),
(26629,340032,2,100,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(26630,340032,2,100,'Decreases Threat to target by 326 ',1,1),
(26631,340032,3,100,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(26632,340032,3,100,'Decreases Threat to target by 343 ',1,1),
(26633,340032,4,100,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(26634,340032,4,100,'Decreases Threat to target by 378 ',1,1),
(26635,340032,5,100,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(26636,340032,5,100,'Decreases Threat to target by 412 ',1,1),
(26637,340032,7,100,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(26638,340032,7,100,'Decreases Threat to target by 529 ',1,1),
(26639,340032,9,100,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(26640,340032,9,100,'Decreases Threat to target by 549 ',1,1),
(26641,340033,1,100,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(26642,340033,1,100,'Decreases Threat to target by 491 ',1,1),
(26643,340033,2,100,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(26644,340033,2,100,'Decreases Threat to target by 519 ',1,1),
(26645,340033,3,100,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(26646,340033,3,100,'Decreases Threat to target by 546 ',1,1),
(26647,340033,4,100,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(26648,340033,4,100,'Decreases Threat to target by 601 ',1,1),
(26649,340033,5,100,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(26650,340033,5,100,'Decreases Threat to target by 655 ',1,1),
(26651,340033,7,100,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(26652,340033,7,100,'Decreases Threat to target by 841 ',1,1),
(26653,340033,9,100,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(26654,340033,9,100,'Decreases Threat to target by 874 ',1,1),
(26655,340034,1,100,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(26656,340034,1,100,'Decreases Threat to target by 709 ',1,1),
(26657,340034,2,100,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(26658,340034,2,100,'Decreases Threat to target by 748 ',1,1),
(26659,340034,3,100,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(26660,340034,3,100,'Decreases Threat to target by 787 ',1,1),
(26661,340034,4,100,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(26662,340034,4,100,'Decreases Threat to target by 866 ',1,1),
(26663,340034,5,100,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(26664,340034,5,100,'Decreases Threat to target by 945 ',1,1),
(26665,340034,7,100,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(26666,340034,7,100,'Decreases Threat to target by 1,213 ',1,1),
(26667,340034,9,100,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(26668,340034,9,100,'Decreases Threat to target by 1,260 ',1,1),
(26669,340035,1,100,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(26670,340035,1,100,'Decreases Threat to target by 932 ',1,1),
(26671,340035,2,100,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(26672,340035,2,100,'Decreases Threat to target by 984 ',1,1),
(26673,340035,3,100,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(26674,340035,3,100,'Decreases Threat to target by 1,035 ',1,1),
(26675,340035,4,100,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(26676,340035,4,100,'Decreases Threat to target by 1,139 ',1,1),
(26677,340035,5,100,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(26678,340035,5,100,'Decreases Threat to target by 1,243 ',1,1),
(26679,340035,7,100,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(26680,340035,7,100,'Decreases Threat to target by 1,595 ',1,1),
(26681,340035,9,100,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(26682,340035,9,100,'Decreases Threat to target by 1,657 ',1,1),
(26683,340036,1,100,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(26684,340036,1,100,'Decreases Threat to target by 1,157 ',1,1),
(26685,340036,4,100,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(26686,340036,4,100,'Decreases Threat to target by 1,415 ',1,1),
(26687,340036,5,100,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(26688,340036,5,100,'Decreases Threat to target by 1,543 ',1,1),
(26689,340036,7,100,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(26690,340036,7,100,'Decreases Threat to target by 1,981 ',1,1),
(26691,340036,9,100,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(26692,340036,9,100,'Decreases Threat to target by 2,058 ',1,1),
(26693,340037,1,100,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(26694,340037,1,100,'Decreases Threat to target by 1,383 ',1,1),
(26695,340037,4,100,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(26696,340037,4,100,'Decreases Threat to target by 1,690 ',1,1),
(26697,340037,5,100,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(26698,340037,5,100,'Decreases Threat to target by 1,844 ',1,1),
(26699,340037,7,100,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(26700,340037,7,100,'Decreases Threat to target by 2,366 ',1,1),
(26701,340037,9,100,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(26702,340037,9,100,'Decreases Threat to target by 2,458 ',1,1),
(26703,340038,1,100,'Reduces all damage done to target by 32.63% This spell will absorb a total of 3 attacks.',0,0),
(26704,340038,1,100,'When damaged this spell will cast Beg on target''s attacker.  ',0,1),
(26705,340038,1,100,'Decreases threat priority of target encounter by 1 position',1,2),
(26706,340038,1,100,'Decreases Threat to target encounter by 1,007 ',1,3),
(26707,340038,1,100,'Grants a total of 3 triggers of the spell.',1,4),
(26708,340038,1,100,'If profession other than Fighter',0,5),
(26709,340038,2,100,'Reduces all damage done to target by 34.44% This spell will absorb a total of 3 attacks.',0,0),
(26710,340038,2,100,'When damaged this spell will cast Beg on target''s attacker.  ',0,1),
(26711,340038,2,100,'Decreases threat priority of target encounter by 1 position',1,2),
(26712,340038,2,100,'Decreases Threat to target encounter by 1,063 ',1,3),
(26713,340038,2,100,'Grants a total of 3 triggers of the spell.',1,4),
(26714,340038,2,100,'If profession other than Fighter',0,5),
(26715,340038,3,100,'Reduces all damage done to target by 36.25% This spell will absorb a total of 3 attacks.',0,0),
(26716,340038,3,100,'When damaged this spell will cast Beg on target''s attacker.  ',0,1),
(26717,340038,3,100,'Decreases threat priority of target encounter by 1 position',1,2),
(26718,340038,3,100,'Decreases Threat to target encounter by 1,119 ',1,3),
(26719,340038,3,100,'Grants a total of 3 triggers of the spell.',1,4),
(26720,340038,3,100,'If profession other than Fighter',0,5),
(26721,340038,4,100,'Reduces all damage done to target by 39.88% This spell will absorb a total of 3 attacks.',0,0),
(26722,340038,4,100,'When damaged this spell will cast Beg on target''s attacker.  ',0,1),
(26723,340038,4,100,'Decreases threat priority of target encounter by 1 position',1,2),
(26724,340038,4,100,'Decreases Threat to target encounter by 1,231 ',1,3),
(26725,340038,4,100,'Grants a total of 3 triggers of the spell.',1,4),
(26726,340038,4,100,'If profession other than Fighter',0,5),
(26727,340038,5,100,'Reduces all damage done to target by 43.5% This spell will absorb a total of 3 attacks.',0,0),
(26728,340038,5,100,'When damaged this spell will cast Beg on target''s attacker.  ',0,1),
(26729,340038,5,100,'Decreases threat priority of target encounter by 1 position',1,2),
(26730,340038,5,100,'Decreases Threat to target encounter by 1,343 ',1,3),
(26731,340038,5,100,'Grants a total of 3 triggers of the spell.',1,4),
(26732,340038,5,100,'If profession other than Fighter',0,5),
(26733,340038,7,100,'Reduces all damage done to target by 55.82% This spell will absorb a total of 3 attacks.',0,0),
(26734,340038,7,100,'When damaged this spell will cast Beg on target''s attacker.  ',0,1),
(26735,340038,7,100,'Decreases threat priority of target encounter by 1 position',1,2),
(26736,340038,7,100,'Decreases Threat to target encounter by 1,724 ',1,3),
(26737,340038,7,100,'Grants a total of 3 triggers of the spell.',1,4),
(26738,340038,7,100,'If profession other than Fighter',0,5),
(26739,340038,9,100,'Reduces all damage done to target by 58% This spell will absorb a total of 3 attacks.',0,0),
(26740,340038,9,100,'When damaged this spell will cast Beg on target''s attacker.  ',0,1),
(26741,340038,9,100,'Decreases threat priority of target encounter by 1 position',1,2),
(26742,340038,9,100,'Decreases Threat to target encounter by 1,791 ',1,3),
(26743,340038,9,100,'Grants a total of 3 triggers of the spell.',1,4),
(26744,340038,9,100,'If profession other than Fighter',0,5),
(26745,340039,1,100,'Reduces all damage done to target by 32.63% This spell will absorb a total of 3 attacks.',0,0),
(26746,340039,1,100,'When damaged this spell will cast Beg on target''s attacker.  ',0,1),
(26747,340039,1,100,'Decreases threat priority of target encounter by 1 position',1,2),
(26748,340039,1,100,'Decreases Threat to target encounter by 1,665 ',1,3),
(26749,340039,1,100,'Grants a total of 3 triggers of the spell.',1,4),
(26750,340039,1,100,'If profession other than Fighter',0,5),
(26751,340039,2,100,'Reduces all damage done to target by 34.44% This spell will absorb a total of 3 attacks.',0,0),
(26752,340039,2,100,'When damaged this spell will cast Beg on target''s attacker.  ',0,1),
(26753,340039,2,100,'Decreases threat priority of target encounter by 1 position',1,2),
(26754,340039,2,100,'Decreases Threat to target encounter by 1,758 ',1,3),
(26755,340039,2,100,'Grants a total of 3 triggers of the spell.',1,4),
(26756,340039,2,100,'If profession other than Fighter',0,5),
(26757,340039,3,100,'Reduces all damage done to target by 36.25% This spell will absorb a total of 3 attacks.',0,0),
(26758,340039,3,100,'When damaged this spell will cast Beg on target''s attacker.  ',0,1),
(26759,340039,3,100,'Decreases threat priority of target encounter by 1 position',1,2),
(26760,340039,3,100,'Decreases Threat to target encounter by 1,850 ',1,3),
(26761,340039,3,100,'Grants a total of 3 triggers of the spell.',1,4),
(26762,340039,3,100,'If profession other than Fighter',0,5),
(26763,340039,4,100,'Reduces all damage done to target by 39.88% This spell will absorb a total of 3 attacks.',0,0),
(26764,340039,4,100,'When damaged this spell will cast Beg on target''s attacker.  ',0,1),
(26765,340039,4,100,'Decreases threat priority of target encounter by 1 position',1,2),
(26766,340039,4,100,'Decreases Threat to target encounter by 2,035 ',1,3),
(26767,340039,4,100,'Grants a total of 3 triggers of the spell.',1,4),
(26768,340039,4,100,'If profession other than Fighter',0,5),
(26769,340039,5,100,'Reduces all damage done to target by 43.5% This spell will absorb a total of 3 attacks.',0,0),
(26770,340039,5,100,'When damaged this spell will cast Beg on target''s attacker.  ',0,1),
(26771,340039,5,100,'Decreases threat priority of target encounter by 1 position',1,2),
(26772,340039,5,100,'Decreases Threat to target encounter by 2,220 ',1,3),
(26773,340039,5,100,'Grants a total of 3 triggers of the spell.',1,4),
(26774,340039,5,100,'If profession other than Fighter',0,5),
(26775,340039,7,100,'Reduces all damage done to target by 55.82% This spell will absorb a total of 3 attacks.',0,0),
(26776,340039,7,100,'When damaged this spell will cast Beg on target''s attacker.  ',0,1),
(26777,340039,7,100,'Decreases threat priority of target encounter by 1 position',1,2),
(26778,340039,7,100,'Decreases Threat to target encounter by 2,850 ',1,3),
(26779,340039,7,100,'Grants a total of 3 triggers of the spell.',1,4),
(26780,340039,7,100,'If profession other than Fighter',0,5),
(26781,340039,9,100,'Reduces all damage done to target by 58% This spell will absorb a total of 3 attacks.',0,0),
(26782,340039,9,100,'When damaged this spell will cast Beg on target''s attacker.  ',0,1),
(26783,340039,9,100,'Decreases threat priority of target encounter by 1 position',1,2),
(26784,340039,9,100,'Decreases Threat to target encounter by 2,961 ',1,3),
(26785,340039,9,100,'Grants a total of 3 triggers of the spell.',1,4),
(26786,340039,9,100,'If profession other than Fighter',0,5),
(26787,340040,1,100,'Reduces all damage done to target by 32.63% This spell will absorb a total of 3 attacks.',0,0),
(26788,340040,1,100,'When damaged this spell will cast Beg on target''s attacker.  ',0,1),
(26789,340040,1,100,'Decreases threat priority of target encounter by 1 position',1,2),
(26790,340040,1,100,'Decreases Threat to target encounter by 2,521 ',1,3),
(26791,340040,1,100,'Grants a total of 3 triggers of the spell.',1,4),
(26792,340040,1,100,'If profession other than Fighter',0,5),
(26793,340040,2,100,'Reduces all damage done to target by 34.44% This spell will absorb a total of 3 attacks.',0,0),
(26794,340040,2,100,'When damaged this spell will cast Beg on target''s attacker.  ',0,1),
(26795,340040,2,100,'Decreases threat priority of target encounter by 1 position',1,2),
(26796,340040,2,100,'Decreases Threat to target encounter by 2,661 ',1,3),
(26797,340040,2,100,'Grants a total of 3 triggers of the spell.',1,4),
(26798,340040,2,100,'If profession other than Fighter',0,5),
(26799,340040,3,100,'Reduces all damage done to target by 36.25% This spell will absorb a total of 3 attacks.',0,0),
(26800,340040,3,100,'When damaged this spell will cast Beg on target''s attacker.  ',0,1),
(26801,340040,3,100,'Decreases threat priority of target encounter by 1 position',1,2),
(26802,340040,3,100,'Decreases Threat to target encounter by 2,801 ',1,3),
(26803,340040,3,100,'Grants a total of 3 triggers of the spell.',1,4),
(26804,340040,3,100,'If profession other than Fighter',0,5),
(26805,340040,4,100,'Reduces all damage done to target by 39.88% This spell will absorb a total of 3 attacks.',0,0),
(26806,340040,4,100,'When damaged this spell will cast Beg on target''s attacker.  ',0,1),
(26807,340040,4,100,'Decreases threat priority of target encounter by 1 position',1,2),
(26808,340040,4,100,'Decreases Threat to target encounter by 3,081 ',1,3),
(26809,340040,4,100,'Grants a total of 3 triggers of the spell.',1,4),
(26810,340040,4,100,'If profession other than Fighter',0,5),
(26811,340040,5,100,'Reduces all damage done to target by 43.5% This spell will absorb a total of 3 attacks.',0,0),
(26812,340040,5,100,'When damaged this spell will cast Beg on target''s attacker.  ',0,1),
(26813,340040,5,100,'Decreases threat priority of target encounter by 1 position',1,2),
(26814,340040,5,100,'Decreases Threat to target encounter by 3,361 ',1,3),
(26815,340040,5,100,'Grants a total of 3 triggers of the spell.',1,4),
(26816,340040,5,100,'If profession other than Fighter',0,5),
(26817,340040,7,100,'Reduces all damage done to target by 55.82% This spell will absorb a total of 3 attacks.',0,0),
(26818,340040,7,100,'When damaged this spell will cast Beg on target''s attacker.  ',0,1),
(26819,340040,7,100,'Decreases threat priority of target encounter by 1 position',1,2),
(26820,340040,7,100,'Decreases Threat to target encounter by 4,313 ',1,3),
(26821,340040,7,100,'Grants a total of 3 triggers of the spell.',1,4),
(26822,340040,7,100,'If profession other than Fighter',0,5),
(26823,340040,9,100,'Reduces all damage done to target by 58% This spell will absorb a total of 3 attacks.',0,0),
(26824,340040,9,100,'When damaged this spell will cast Beg on target''s attacker.  ',0,1),
(26825,340040,9,100,'Decreases threat priority of target encounter by 1 position',1,2),
(26826,340040,9,100,'Decreases Threat to target encounter by 4,481 ',1,3),
(26827,340040,9,100,'Grants a total of 3 triggers of the spell.',1,4),
(26828,340040,9,100,'If profession other than Fighter',0,5),
(26829,340041,1,100,'Reduces all damage done to target by 32.63% This spell will absorb a total of 3 attacks.',0,0),
(26830,340041,1,100,'When damaged this spell will cast Beg on target''s attacker.  ',0,1),
(26831,340041,1,100,'Decreases threat priority of target encounter by 1 position',1,2),
(26832,340041,1,100,'Decreases Threat to target encounter by 3,418 ',1,3),
(26833,340041,1,100,'Grants a total of 3 triggers of the spell.',1,4),
(26834,340041,1,100,'If profession other than Fighter',0,5),
(26835,340041,2,100,'Reduces all damage done to target by 34.44% This spell will absorb a total of 3 attacks.',0,0),
(26836,340041,2,100,'When damaged this spell will cast Beg on target''s attacker.  ',0,1),
(26837,340041,2,100,'Decreases threat priority of target encounter by 1 position',1,2),
(26838,340041,2,100,'Decreases Threat to target encounter by 3,608 ',1,3),
(26839,340041,2,100,'Grants a total of 3 triggers of the spell.',1,4),
(26840,340041,2,100,'If profession other than Fighter',0,5),
(26841,340041,3,100,'Reduces all damage done to target by 36.25% This spell will absorb a total of 3 attacks.',0,0),
(26842,340041,3,100,'When damaged this spell will cast Beg on target''s attacker.  ',0,1),
(26843,340041,3,100,'Decreases threat priority of target encounter by 1 position',1,2),
(26844,340041,3,100,'Decreases Threat to target encounter by 3,798 ',1,3),
(26845,340041,3,100,'Grants a total of 3 triggers of the spell.',1,4),
(26846,340041,3,100,'If profession other than Fighter',0,5),
(26847,340041,4,100,'Reduces all damage done to target by 39.88% This spell will absorb a total of 3 attacks.',0,0),
(26848,340041,4,100,'When damaged this spell will cast Beg on target''s attacker.  ',0,1),
(26849,340041,4,100,'Decreases threat priority of target encounter by 1 position',1,2),
(26850,340041,4,100,'Decreases Threat to target encounter by 4,178 ',1,3),
(26851,340041,4,100,'Grants a total of 3 triggers of the spell.',1,4),
(26852,340041,4,100,'If profession other than Fighter',0,5),
(26853,340041,5,100,'Reduces all damage done to target by 43.5% This spell will absorb a total of 3 attacks.',0,0),
(26854,340041,5,100,'When damaged this spell will cast Beg on target''s attacker.  ',0,1),
(26855,340041,5,100,'Decreases threat priority of target encounter by 1 position',1,2),
(26856,340041,5,100,'Decreases Threat to target encounter by 4,558 ',1,3),
(26857,340041,5,100,'Grants a total of 3 triggers of the spell.',1,4),
(26858,340041,5,100,'If profession other than Fighter',0,5),
(26859,340041,7,100,'Reduces all damage done to target by 55.82% This spell will absorb a total of 3 attacks.',0,0),
(26860,340041,7,100,'When damaged this spell will cast Beg on target''s attacker.  ',0,1),
(26861,340041,7,100,'Decreases threat priority of target encounter by 1 position',1,2),
(26862,340041,7,100,'Decreases Threat to target encounter by 5,850 ',1,3),
(26863,340041,7,100,'Grants a total of 3 triggers of the spell.',1,4),
(26864,340041,7,100,'If profession other than Fighter',0,5),
(26865,340041,9,100,'Reduces all damage done to target by 58% This spell will absorb a total of 3 attacks.',0,0),
(26866,340041,9,100,'When damaged this spell will cast Beg on target''s attacker.  ',0,1),
(26867,340041,9,100,'Decreases threat priority of target encounter by 1 position',1,2),
(26868,340041,9,100,'Decreases Threat to target encounter by 6,078 ',1,3),
(26869,340041,9,100,'Grants a total of 3 triggers of the spell.',1,4),
(26870,340041,9,100,'If profession other than Fighter',0,5),
(26871,2000019,1,100,'Inflicts 501 - 836 melee damage on target',0,0),
(26872,2000019,1,100,'Decreases Mitigation of target vs physical damage by 3564',0,1),
(26873,2000019,1,100,'Your target must be knocked down in order to use this ability.',0,2),
(26874,2000019,2,100,'Inflicts 529 - 882 melee damage on target',0,0),
(26875,2000019,2,100,'Decreases Mitigation of target vs physical damage by 3762',0,1),
(26876,2000019,2,100,'Your target must be knocked down in order to use this ability.',0,2),
(26877,2000019,3,100,'Inflicts 418 - 697 melee damage on target',0,0),
(26878,2000019,3,100,'Decreases Mitigation of target vs physical damage by 3600',0,1),
(26879,2000019,3,100,'Your target must be knocked down in order to use this ability.',0,2),
(26880,2000019,4,100,'Inflicts 460 - 766 melee damage on target',0,0),
(26881,2000019,4,100,'Decreases Mitigation of target vs physical damage by 3960',0,1),
(26882,2000019,4,100,'Your target must be knocked down in order to use this ability.',0,2),
(26883,2000019,5,100,'Inflicts 669 - 1115 melee damage on target',0,0),
(26884,2000019,5,100,'Decreases Mitigation of target vs physical damage by 4752',0,1),
(26885,2000019,5,100,'Your target must be knocked down in order to use this ability.',0,2),
(26886,2000019,6,100,'Inflicts 724 - 1207 melee damage on target',0,0),
(26887,2000019,6,100,'Decreases Mitigation of target vs physical damage by 5148',0,1),
(26888,2000019,6,100,'Your target must be knocked down in order to use this ability.',0,2),
(26889,2000019,7,100,'Inflicts 858 - 1430 melee damage on target',0,0),
(26890,2000019,7,100,'Decreases Mitigation of target vs physical damage by 6098',0,1),
(26891,2000019,7,100,'Your target must be knocked down in order to use this ability.',0,2),
(26892,2000019,8,100,'Inflicts 648 - 1080 melee damage on target',0,0),
(26893,2000019,8,100,'Decreases Mitigation of target vs physical damage by 5580',0,1),
(26894,2000019,8,100,'Your target must be knocked down in order to use this ability.',0,2),
(26895,2000019,9,100,'Inflicts 669 - 1115 melee damage on target',0,0),
(26896,2000019,9,100,'Decreases Mitigation of target vs physical damage by 5760',0,1),
(26897,2000019,9,100,'Your target must be knocked down in order to use this ability.',0,2),
(26898,2000019,10,100,'Inflicts 936 - 1561 melee damage on target',0,0),
(26899,2000019,10,100,'Decreases Mitigation of target vs physical damage by 6653',0,1),
(26900,2000019,10,100,'Your target must be knocked down in order to use this ability.',0,2),
(26901,2000020,1,100,'Increases Attack Speed of group members (AE) by 38.2',0,0),
(26902,2000020,1,100,'Increases Multi Attack Chance of group members (AE) by 38.2',0,1),
(26930,40017,4,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(26931,40017,4,100,'Increases Haste of target by 8.6',1,1),
(26932,40017,4,100,'Increases DPS of target by 8.6',1,2),
(26933,40017,4,100,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,3),
(26934,40017,4,100,'Increases Haste of target by 8.6',1,4),
(26935,40017,4,100,'Increases DPS of target by 8.6',1,5),
(26936,40017,4,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(26937,40017,4,100,'Increases Haste of target by 8.6',1,7),
(26938,40017,4,100,'Increases DPS of target by 8.6',1,8),
(26939,40017,5,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(26940,40017,5,100,'Increases Haste of target by 9.4',1,1),
(26941,40017,5,100,'Increases DPS of target by 9.4',1,2),
(26942,40017,5,100,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,3),
(26943,40017,5,100,'Increases Haste of target by 9.4',1,4),
(26944,40017,5,100,'Increases DPS of target by 9.4',1,5),
(26945,40017,5,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(26946,40017,5,100,'Increases Haste of target by 9.4',1,7),
(26947,40017,5,100,'Increases DPS of target by 9.4',1,8),
(26948,40017,7,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(26949,40017,7,100,'Increases Haste of target by 12.0',1,1),
(26950,40017,7,100,'Increases DPS of target by 12.0',1,2),
(26951,40017,7,100,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,3),
(26952,40017,7,100,'Increases Haste of target by 12.0',1,4),
(26953,40017,7,100,'Increases DPS of target by 12.0',1,5),
(26954,40017,7,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(26955,40017,7,100,'Increases Haste of target by 12.0',1,7),
(26956,40017,7,100,'Increases DPS of target by 12.0',1,8),
(26957,40017,9,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(26958,40017,9,100,'Increases Haste of target by 12.5',1,1),
(26959,40017,9,100,'Increases DPS of target by 12.5',1,2),
(26960,40017,9,100,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,3),
(26961,40017,9,100,'Increases Haste of target by 12.5',1,4),
(26962,40017,9,100,'Increases DPS of target by 12.5',1,5),
(26963,40017,9,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(26964,40017,9,100,'Increases Haste of target by 12.5',1,7),
(26965,40017,9,100,'Increases DPS of target by 12.5',1,8),
(26966,40018,1,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(26967,40018,1,100,'Increases Haste of target by 8.1',1,1),
(26968,40018,1,100,'Increases DPS of target by 8.1',1,2),
(26969,40018,1,100,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,3),
(26970,40018,1,100,'Increases Haste of target by 8.1',1,4),
(26971,40018,1,100,'Increases DPS of target by 8.1',1,5),
(26972,40018,1,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(26973,40018,1,100,'Increases Haste of target by 8.1',1,7),
(26974,40018,1,100,'Increases DPS of target by 8.1',1,8),
(26975,40018,2,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(26976,40018,2,100,'Increases Haste of target by 8.6',1,1),
(26977,40018,2,100,'Increases DPS of target by 8.6',1,2),
(26978,40018,2,100,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,3),
(26979,40018,2,100,'Increases Haste of target by 8.6',1,4),
(26980,40018,2,100,'Increases DPS of target by 8.6',1,5),
(26981,40018,2,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(26982,40018,2,100,'Increases Haste of target by 8.6',1,7),
(26983,40018,2,100,'Increases DPS of target by 8.6',1,8),
(26984,40018,3,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(26985,40018,3,100,'Increases Haste of target by 9.0',1,1),
(26986,40018,3,100,'Increases DPS of target by 9.0',1,2),
(26987,40018,3,100,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,3),
(26988,40018,3,100,'Increases Haste of target by 9.0',1,4),
(26989,40018,3,100,'Increases DPS of target by 9.0',1,5),
(26990,40018,3,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(26991,40018,3,100,'Increases Haste of target by 9.0',1,7),
(26992,40018,3,100,'Increases DPS of target by 9.0',1,8),
(26993,40018,4,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(26994,40018,4,100,'Increases Haste of target by 9.9',1,1),
(26995,40018,4,100,'Increases DPS of target by 9.9',1,2),
(26996,40018,4,100,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,3),
(26997,40018,4,100,'Increases Haste of target by 9.9',1,4),
(26998,40018,4,100,'Increases DPS of target by 9.9',1,5),
(26999,40018,4,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(27000,40018,4,100,'Increases Haste of target by 9.9',1,7),
(27001,40018,4,100,'Increases DPS of target by 9.9',1,8),
(27002,40018,5,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(27003,40018,5,100,'Increases Haste of target by 10.8',1,1),
(27004,40018,5,100,'Increases DPS of target by 10.8',1,2),
(27005,40018,5,100,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,3),
(27006,40018,5,100,'Increases Haste of target by 10.8',1,4),
(27007,40018,5,100,'Increases DPS of target by 10.8',1,5),
(27008,40018,5,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(27009,40018,5,100,'Increases Haste of target by 10.8',1,7),
(27010,40018,5,100,'Increases DPS of target by 10.8',1,8),
(27011,40018,7,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(27012,40018,7,100,'Increases Haste of target by 13.9',1,1),
(27013,40018,7,100,'Increases DPS of target by 13.9',1,2),
(27014,40018,7,100,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,3),
(27015,40018,7,100,'Increases Haste of target by 13.9',1,4),
(27016,40018,7,100,'Increases DPS of target by 13.9',1,5),
(27017,40018,7,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(27018,40018,7,100,'Increases Haste of target by 13.9',1,7),
(27019,40018,7,100,'Increases DPS of target by 13.9',1,8),
(27020,40018,9,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(27021,40018,9,100,'Increases Haste of target by 14.4',1,1),
(27022,40018,9,100,'Increases DPS of target by 14.4',1,2),
(27023,40018,9,100,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,3),
(27024,40018,9,100,'Increases Haste of target by 14.4',1,4),
(27025,40018,9,100,'Increases DPS of target by 14.4',1,5),
(27026,40018,9,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(27027,40018,9,100,'Increases Haste of target by 14.4',1,7),
(27028,40018,9,100,'Increases DPS of target by 14.4',1,8),
(27029,40019,1,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(27030,40019,1,100,'Increases DPS and Haste of target by 9.6',1,1),
(27031,40019,1,100,'Decreases Defense, Block, and Parry of target by 10.0',1,2),
(27032,40019,1,100,'When damaged this spell has a 10% chance to cast Berserk on target.  \r\nLasts for 10.0 seconds.  ',0,3),
(27033,40019,1,100,'Increases DPS and Haste of target by 9.6',1,4),
(27034,40019,1,100,'Decreases Defense, Block, and Parry of target by 10.0',1,5),
(27035,40019,1,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(27036,40019,1,100,'Increases DPS and Haste of target by 9.6',1,7),
(27037,40019,1,100,'Decreases Defense, Block, and Parry of target by 10.0',1,8),
(27038,40019,2,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(27039,40019,2,100,'Increases DPS and Haste of target by 10.1',1,1),
(27040,40019,2,100,'Decreases Defense, Block, and Parry of target by 10.0',1,2),
(27041,40019,2,100,'When damaged this spell has a 10% chance to cast Berserk on target.  \r\nLasts for 10.0 seconds.  ',0,3),
(27042,40019,2,100,'Increases DPS and Haste of target by 10.1',1,4),
(27043,40019,2,100,'Decreases Defense, Block, and Parry of target by 10.0',1,5),
(27044,40019,2,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(27045,40019,2,100,'Increases DPS and Haste of target by 10.1',1,7),
(27046,40019,2,100,'Decreases Defense, Block, and Parry of target by 10.0',1,8),
(27047,40019,3,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(27048,40019,3,100,'Increases DPS and Haste of target by 10.6',1,1),
(27049,40019,3,100,'Decreases Defense, Block, and Parry of target by 10.0',1,2),
(27050,40019,3,100,'When damaged this spell has a 10% chance to cast Berserk on target.  \r\nLasts for 10.0 seconds.  ',0,3),
(27051,40019,3,100,'Increases DPS and Haste of target by 10.6',1,4),
(27052,40019,3,100,'Decreases Defense, Block, and Parry of target by 10.0',1,5),
(27053,40019,3,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(27054,40019,3,100,'Increases DPS and Haste of target by 10.6',1,7),
(27055,40019,3,100,'Decreases Defense, Block, and Parry of target by 10.0',1,8),
(27056,40019,4,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(27057,40019,4,100,'Increases DPS and Haste of target by 11.7',1,1),
(27058,40019,4,100,'Decreases Defense, Block, and Parry of target by 10.0',1,2),
(27059,40019,4,100,'When damaged this spell has a 10% chance to cast Berserk on target.  \r\nLasts for 10.0 seconds.  ',0,3),
(27060,40019,4,100,'Increases DPS and Haste of target by 11.7',1,4),
(27061,40019,4,100,'Decreases Defense, Block, and Parry of target by 10.0',1,5),
(27062,40019,4,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(27063,40019,4,100,'Increases DPS and Haste of target by 11.7',1,7),
(27064,40019,4,100,'Decreases Defense, Block, and Parry of target by 10.0',1,8),
(27065,40019,5,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(27066,40019,5,100,'Increases DPS and Haste of target by 12.8',1,1),
(27067,40019,5,100,'Decreases Defense, Block, and Parry of target by 10.0',1,2),
(27068,40019,5,100,'When damaged this spell has a 10% chance to cast Berserk on target.  \r\nLasts for 10.0 seconds.  ',0,3),
(27069,40019,5,100,'Increases DPS and Haste of target by 12.8',1,4),
(27070,40019,5,100,'Decreases Defense, Block, and Parry of target by 10.0',1,5),
(27071,40019,5,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(27072,40019,5,100,'Increases DPS and Haste of target by 12.8',1,7),
(27073,40019,5,100,'Decreases Defense, Block, and Parry of target by 10.0',1,8),
(27074,40019,7,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(27075,40019,7,100,'Increases DPS and Haste of target by 16.4',1,1),
(27076,40019,7,100,'Decreases Defense, Block, and Parry of target by 10.0',1,2),
(27077,40019,7,100,'When damaged this spell has a 10% chance to cast Berserk on target.  \r\nLasts for 10.0 seconds.  ',0,3),
(27078,40019,7,100,'Increases DPS and Haste of target by 16.4',1,4),
(27079,40019,7,100,'Decreases Defense, Block, and Parry of target by 10.0',1,5),
(27080,40019,7,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(27081,40019,7,100,'Increases DPS and Haste of target by 16.4',1,7),
(27082,40019,7,100,'Decreases Defense, Block, and Parry of target by 10.0',1,8),
(27083,40019,9,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(27084,40019,9,100,'Increases DPS and Haste of target by 17.0',1,1),
(27085,40019,9,100,'Decreases Defense, Block, and Parry of target by 10.0',1,2),
(27086,40019,9,100,'When damaged this spell has a 10% chance to cast Berserk on target.  \r\nLasts for 10.0 seconds.  ',0,3),
(27087,40019,9,100,'Increases DPS and Haste of target by 17.0',1,4),
(27088,40019,9,100,'Decreases Defense, Block, and Parry of target by 10.0',1,5),
(27089,40019,9,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(27090,40019,9,100,'Increases DPS and Haste of target by 17.0',1,7),
(27091,40019,9,100,'Decreases Defense, Block, and Parry of target by 10.0',1,8),
(27092,40019,10,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(27093,40019,10,100,'Increases DPS and Haste of target by 17.9',1,1),
(27094,40019,10,100,'Decreases Defense, Block, and Parry of target by 10.0',1,2),
(27095,40019,10,100,'When damaged this spell has a 10% chance to cast Berserk on target.  \r\nLasts for 10.0 seconds.  ',0,3),
(27096,40019,10,100,'Increases DPS and Haste of target by 17.9',1,4),
(27097,40019,10,100,'Decreases Defense, Block, and Parry of target by 10.0',1,5),
(27098,40019,10,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(27099,40019,10,100,'Increases DPS and Haste of target by 17.9',1,7),
(27100,40019,10,100,'Decreases Defense, Block, and Parry of target by 10.0',1,8),
(27101,40020,1,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(27102,40020,1,100,'Increases Haste of target by 11.7',1,1),
(27103,40020,1,100,'Increases DPS of target by 11.7',1,2),
(27104,40020,1,100,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,3),
(27105,40020,1,100,'Increases Haste of target by 11.7',1,4),
(27106,40020,1,100,'Increases DPS of target by 11.7',1,5),
(27107,40020,1,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(27108,40020,1,100,'Increases Haste of target by 11.7',1,7),
(27109,40020,1,100,'Increases DPS of target by 11.7',1,8),
(27110,40020,2,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(27111,40020,2,100,'Increases Haste of target by 12.3',1,1),
(27112,40020,2,100,'Increases DPS of target by 12.3',1,2),
(27113,40020,2,100,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,3),
(27114,40020,2,100,'Increases Haste of target by 12.3',1,4),
(27115,40020,2,100,'Increases DPS of target by 12.3',1,5),
(27116,40020,2,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(27117,40020,2,100,'Increases Haste of target by 12.3',1,7),
(27118,40020,2,100,'Increases DPS of target by 12.3',1,8),
(27119,40020,3,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(27120,40020,3,100,'Increases Haste of target by 13.0',1,1),
(27121,40020,3,100,'Increases DPS of target by 13.0',1,2),
(27122,40020,3,100,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,3),
(27123,40020,3,100,'Increases Haste of target by 13.0',1,4),
(27124,40020,3,100,'Increases DPS of target by 13.0',1,5),
(27125,40020,3,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(27126,40020,3,100,'Increases Haste of target by 13.0',1,7),
(27127,40020,3,100,'Increases DPS of target by 13.0',1,8),
(27128,40020,4,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(27129,40020,4,100,'Increases Haste of target by 14.3',1,1),
(27130,40020,4,100,'Increases DPS of target by 14.3',1,2),
(27131,40020,4,100,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,3),
(27132,40020,4,100,'Increases Haste of target by 14.3',1,4),
(27133,40020,4,100,'Increases DPS of target by 14.3',1,5),
(27134,40020,4,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(27135,40020,4,100,'Increases Haste of target by 14.3',1,7),
(27136,40020,4,100,'Increases DPS of target by 14.3',1,8),
(27137,40020,5,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(27138,40020,5,100,'Increases Haste of target by 15.6',1,1),
(27139,40020,5,100,'Increases DPS of target by 15.6',1,2),
(27140,40020,5,100,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,3),
(27141,40020,5,100,'Increases Haste of target by 15.6',1,4),
(27142,40020,5,100,'Increases DPS of target by 15.6',1,5),
(27143,40020,5,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(27144,40020,5,100,'Increases Haste of target by 15.6',1,7),
(27145,40020,5,100,'Increases DPS of target by 15.6',1,8),
(27146,40020,7,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(27147,40020,7,100,'Increases Haste of target by 20.0',1,1),
(27148,40020,7,100,'Increases DPS of target by 20.0',1,2),
(27149,40020,7,100,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,3),
(27150,40020,7,100,'Increases Haste of target by 20.0',1,4),
(27151,40020,7,100,'Increases DPS of target by 20.0',1,5),
(27152,40020,7,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(27153,40020,7,100,'Increases Haste of target by 20.0',1,7),
(27154,40020,7,100,'Increases DPS of target by 20.0',1,8),
(27155,40020,9,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(27156,40020,9,100,'Increases Haste of target by 20.8',1,1),
(27157,40020,9,100,'Increases DPS of target by 20.8',1,2),
(27158,40020,9,100,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,3),
(27159,40020,9,100,'Increases Haste of target by 20.8',1,4),
(27160,40020,9,100,'Increases DPS of target by 20.8',1,5),
(27161,40020,9,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(27162,40020,9,100,'Increases Haste of target by 20.8',1,7),
(27163,40020,9,100,'Increases DPS of target by 20.8',1,8),
(27164,40021,1,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(27165,40021,1,100,'Increases Haste of target by 21.7',1,1),
(27166,40021,1,100,'Increases DPS of target by 21.7',1,2),
(27167,40021,1,100,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,3),
(27168,40021,1,100,'Increases Haste of target by 21.7',1,4),
(27169,40021,1,100,'Increases DPS of target by 21.7',1,5),
(27170,40021,1,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(27171,40021,1,100,'Increases Haste of target by 21.7',1,7),
(27172,40021,1,100,'Increases DPS of target by 21.7',1,8),
(27173,40021,4,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(27174,40021,4,100,'Increases Haste of target by 26.5',1,1),
(27175,40021,4,100,'Increases DPS of target by 26.5',1,2),
(27176,40021,4,100,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,3),
(27177,40021,4,100,'Increases Haste of target by 26.5',1,4),
(27178,40021,4,100,'Increases DPS of target by 26.5',1,5),
(27179,40021,4,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(27180,40021,4,100,'Increases Haste of target by 26.5',1,7),
(27181,40021,4,100,'Increases DPS of target by 26.5',1,8),
(27182,40021,5,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(27183,40021,5,100,'Increases Haste of target by 28.9',1,1),
(27184,40021,5,100,'Increases DPS of target by 28.9',1,2),
(27185,40021,5,100,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,3),
(27186,40021,5,100,'Increases Haste of target by 28.9',1,4),
(27187,40021,5,100,'Increases DPS of target by 28.9',1,5),
(27188,40021,5,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(27189,40021,5,100,'Increases Haste of target by 28.9',1,7),
(27190,40021,5,100,'Increases DPS of target by 28.9',1,8),
(27191,40021,7,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(27192,40021,7,100,'Increases Haste of target by 37.1',1,1),
(27193,40021,7,100,'Increases DPS of target by 37.1',1,2),
(27194,40021,7,100,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,3),
(27195,40021,7,100,'Increases Haste of target by 37.1',1,4),
(27196,40021,7,100,'Increases DPS of target by 37.1',1,5),
(27197,40021,7,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(27198,40021,7,100,'Increases Haste of target by 37.1',1,7),
(27199,40021,7,100,'Increases DPS of target by 37.1',1,8),
(27200,40021,9,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(27201,40021,9,100,'Increases Haste of target by 38.6',1,1),
(27202,40021,9,100,'Increases DPS of target by 38.6',1,2),
(27203,40021,9,100,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,3),
(27204,40021,9,100,'Increases Haste of target by 38.6',1,4),
(27205,40021,9,100,'Increases DPS of target by 38.6',1,5),
(27206,40021,9,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(27207,40021,9,100,'Increases Haste of target by 38.6',1,7),
(27208,40021,9,100,'Increases DPS of target by 38.6',1,8),
(27209,40021,10,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(27210,40021,10,100,'Increases Haste of target by 40.5',1,1),
(27211,40021,10,100,'Increases DPS of target by 40.5',1,2),
(27212,40021,10,100,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,3),
(27213,40021,10,100,'Increases Haste of target by 40.5',1,4),
(27214,40021,10,100,'Increases DPS of target by 40.5',1,5),
(27215,40021,10,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(27216,40021,10,100,'Increases Haste of target by 40.5',1,7),
(27217,40021,10,100,'Increases DPS of target by 40.5',1,8),
(27218,40022,1,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(27219,40022,1,100,'Increases Haste of target by 13.8',1,1),
(27220,40022,1,100,'Increases DPS of target by 13.8',1,2),
(27221,40022,1,100,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,3),
(27222,40022,1,100,'Increases Haste of target by 13.8',1,4),
(27223,40022,1,100,'Increases DPS of target by 13.8',1,5),
(27224,40022,1,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(27225,40022,1,100,'Increases Haste of target by 13.8',1,7),
(27226,40022,1,100,'Increases DPS of target by 13.8',1,8),
(27227,40022,2,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(27228,40022,2,100,'Increases Haste of target by 14.6',1,1),
(27229,40022,2,100,'Increases DPS of target by 14.6',1,2),
(27230,40022,2,100,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,3),
(27231,40022,2,100,'Increases Haste of target by 14.6',1,4),
(27232,40022,2,100,'Increases DPS of target by 14.6',1,5),
(27233,40022,2,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(27234,40022,2,100,'Increases Haste of target by 14.6',1,7),
(27235,40022,2,100,'Increases DPS of target by 14.6',1,8),
(27236,40022,3,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(27237,40022,3,100,'Increases Haste of target by 15.3',1,1),
(27238,40022,3,100,'Increases DPS of target by 15.3',1,2),
(27239,40022,3,100,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,3),
(27240,40022,3,100,'Increases Haste of target by 15.3',1,4),
(27241,40022,3,100,'Increases DPS of target by 15.3',1,5),
(27242,40022,3,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(27243,40022,3,100,'Increases Haste of target by 15.3',1,7),
(27244,40022,3,100,'Increases DPS of target by 15.3',1,8),
(27245,40022,4,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(27246,40022,4,100,'Increases Haste of target by 16.9',1,1),
(27247,40022,4,100,'Increases DPS of target by 16.9',1,2),
(27248,40022,4,100,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,3),
(27249,40022,4,100,'Increases Haste of target by 16.9',1,4),
(27250,40022,4,100,'Increases DPS of target by 16.9',1,5),
(27251,40022,4,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(27252,40022,4,100,'Increases Haste of target by 16.9',1,7),
(27253,40022,4,100,'Increases DPS of target by 16.9',1,8),
(27254,40022,5,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(27255,40022,5,100,'Increases Haste of target by 18.4',1,1),
(27256,40022,5,100,'Increases DPS of target by 18.4',1,2),
(27257,40022,5,100,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,3),
(27258,40022,5,100,'Increases Haste of target by 18.4',1,4),
(27259,40022,5,100,'Increases DPS of target by 18.4',1,5),
(27260,40022,5,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(27261,40022,5,100,'Increases Haste of target by 18.4',1,7),
(27262,40022,5,100,'Increases DPS of target by 18.4',1,8),
(27263,40022,7,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(27264,40022,7,100,'Increases Haste of target by 23.6',1,1),
(27265,40022,7,100,'Increases DPS of target by 23.6',1,2),
(27266,40022,7,100,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,3),
(27267,40022,7,100,'Increases Haste of target by 23.6',1,4),
(27268,40022,7,100,'Increases DPS of target by 23.6',1,5),
(27269,40022,7,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(27270,40022,7,100,'Increases Haste of target by 23.6',1,7),
(27271,40022,7,100,'Increases DPS of target by 23.6',1,8),
(27272,40022,9,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(27273,40022,9,100,'Increases Haste of target by 24.5',1,1),
(27274,40022,9,100,'Increases DPS of target by 24.5',1,2),
(27275,40022,9,100,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,3),
(27276,40022,9,100,'Increases Haste of target by 24.5',1,4),
(27277,40022,9,100,'Increases DPS of target by 24.5',1,5),
(27278,40022,9,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(27279,40022,9,100,'Increases Haste of target by 24.5',1,7),
(27280,40022,9,100,'Increases DPS of target by 24.5',1,8),
(27281,40022,10,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(27282,40022,10,100,'Increases Haste of target by 25.7',1,1),
(27283,40022,10,100,'Increases DPS of target by 25.7',1,2),
(27284,40022,10,100,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,3),
(27285,40022,10,100,'Increases Haste of target by 25.7',1,4),
(27286,40022,10,100,'Increases DPS of target by 25.7',1,5),
(27287,40022,10,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(27288,40022,10,100,'Increases Haste of target by 25.7',1,7),
(27289,40022,10,100,'Increases DPS of target by 25.7',1,8),
(27290,40023,1,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(27291,40023,1,100,'Increases Haste of target by 15.8',1,1),
(27292,40023,1,100,'Increases DPS of target by 15.8',1,2),
(27293,40023,1,100,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,3),
(27294,40023,1,100,'Increases Haste of target by 15.8',1,4),
(27295,40023,1,100,'Increases DPS of target by 15.8',1,5),
(27296,40023,1,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(27297,40023,1,100,'Increases Haste of target by 15.8',1,7),
(27298,40023,1,100,'Increases DPS of target by 15.8',1,8),
(27299,40023,2,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(27300,40023,2,100,'Increases Haste of target by 16.7',1,1),
(27301,40023,2,100,'Increases DPS of target by 16.7',1,2),
(27302,40023,2,100,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,3),
(27303,40023,2,100,'Increases Haste of target by 16.7',1,4),
(27304,40023,2,100,'Increases DPS of target by 16.7',1,5),
(27305,40023,2,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(27306,40023,2,100,'Increases Haste of target by 16.7',1,7),
(27307,40023,2,100,'Increases DPS of target by 16.7',1,8),
(27308,40023,3,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(27309,40023,3,100,'Increases Haste of target by 17.6',1,1),
(27310,40023,3,100,'Increases DPS of target by 17.6',1,2),
(27311,40023,3,100,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,3),
(27312,40023,3,100,'Increases Haste of target by 17.6',1,4),
(27313,40023,3,100,'Increases DPS of target by 17.6',1,5),
(27314,40023,3,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(27315,40023,3,100,'Increases Haste of target by 17.6',1,7),
(27316,40023,3,100,'Increases DPS of target by 17.6',1,8),
(27317,40023,4,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(27318,40023,4,100,'Increases Haste of target by 19.4',1,1),
(27319,40023,4,100,'Increases DPS of target by 19.4',1,2),
(27320,40023,4,100,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,3),
(27321,40023,4,100,'Increases Haste of target by 19.4',1,4),
(27322,40023,4,100,'Increases DPS of target by 19.4',1,5),
(27323,40023,4,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(27324,40023,4,100,'Increases Haste of target by 19.4',1,7),
(27325,40023,4,100,'Increases DPS of target by 19.4',1,8),
(27326,40023,5,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(27327,40023,5,100,'Increases Haste of target by 21.1',1,1),
(27328,40023,5,100,'Increases DPS of target by 21.1',1,2),
(27329,40023,5,100,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,3),
(27330,40023,5,100,'Increases Haste of target by 21.1',1,4),
(27331,40023,5,100,'Increases DPS of target by 21.1',1,5),
(27332,40023,5,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(27333,40023,5,100,'Increases Haste of target by 21.1',1,7),
(27334,40023,5,100,'Increases DPS of target by 21.1',1,8),
(27335,40023,7,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(27336,40023,7,100,'Increases Haste of target by 27.1',1,1),
(27337,40023,7,100,'Increases DPS of target by 27.1',1,2),
(27338,40023,7,100,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,3),
(27339,40023,7,100,'Increases Haste of target by 27.1',1,4),
(27340,40023,7,100,'Increases DPS of target by 27.1',1,5),
(27341,40023,7,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(27342,40023,7,100,'Increases Haste of target by 27.1',1,7),
(27343,40023,7,100,'Increases DPS of target by 27.1',1,8),
(27344,40023,9,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(27345,40023,9,100,'Increases Haste of target by 28.2',1,1),
(27346,40023,9,100,'Increases DPS of target by 28.2',1,2),
(27347,40023,9,100,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,3),
(27348,40023,9,100,'Increases Haste of target by 28.2',1,4),
(27349,40023,9,100,'Increases DPS of target by 28.2',1,5),
(27350,40023,9,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(27351,40023,9,100,'Increases Haste of target by 28.2',1,7),
(27352,40023,9,100,'Increases DPS of target by 28.2',1,8),
(27353,40023,10,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(27354,40023,10,100,'Increases Haste of target by 29.6',1,1),
(27355,40023,10,100,'Increases DPS of target by 29.6',1,2),
(27356,40023,10,100,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,3),
(27357,40023,10,100,'Increases Haste of target by 29.6',1,4),
(27358,40023,10,100,'Increases DPS of target by 29.6',1,5),
(27359,40023,10,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(27360,40023,10,100,'Increases Haste of target by 29.6',1,7),
(27361,40023,10,100,'Increases DPS of target by 29.6',1,8),
(27362,40024,1,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(27363,40024,1,100,'Increases Haste of target by 17.6',1,1),
(27364,40024,1,100,'Increases DPS of target by 17.6',1,2),
(27365,40024,1,100,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,3),
(27366,40024,1,100,'Increases Haste of target by 17.6',1,4),
(27367,40024,1,100,'Increases DPS of target by 17.6',1,5),
(27368,40024,1,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(27369,40024,1,100,'Increases Haste of target by 17.6',1,7),
(27370,40024,1,100,'Increases DPS of target by 17.6',1,8),
(27371,40024,2,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(27372,40024,2,100,'Increases Haste of target by 18.6',1,1),
(27373,40024,2,100,'Increases DPS of target by 18.6',1,2),
(27374,40024,2,100,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,3),
(27375,40024,2,100,'Increases Haste of target by 18.6',1,4),
(27376,40024,2,100,'Increases DPS of target by 18.6',1,5),
(27377,40024,2,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(27378,40024,2,100,'Increases Haste of target by 18.6',1,7),
(27379,40024,2,100,'Increases DPS of target by 18.6',1,8),
(27380,40024,3,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(27381,40024,3,100,'Increases Haste of target by 19.5',1,1),
(27382,40024,3,100,'Increases DPS of target by 19.5',1,2),
(27383,40024,3,100,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,3),
(27384,40024,3,100,'Increases Haste of target by 19.5',1,4),
(27385,40024,3,100,'Increases DPS of target by 19.5',1,5),
(27386,40024,3,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(27387,40024,3,100,'Increases Haste of target by 19.5',1,7),
(27388,40024,3,100,'Increases DPS of target by 19.5',1,8),
(27389,40024,4,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(27390,40024,4,100,'Increases Haste of target by 21.5',1,1),
(27391,40024,4,100,'Increases DPS of target by 21.5',1,2),
(27392,40024,4,100,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,3),
(27393,40024,4,100,'Increases Haste of target by 21.5',1,4),
(27394,40024,4,100,'Increases DPS of target by 21.5',1,5),
(27395,40024,4,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(27396,40024,4,100,'Increases Haste of target by 21.5',1,7),
(27397,40024,4,100,'Increases DPS of target by 21.5',1,8),
(27398,40024,5,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(27399,40024,5,100,'Increases Haste of target by 23.4',1,1),
(27400,40024,5,100,'Increases DPS of target by 23.4',1,2),
(27401,40024,5,100,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,3),
(27402,40024,5,100,'Increases Haste of target by 23.4',1,4),
(27403,40024,5,100,'Increases DPS of target by 23.4',1,5),
(27404,40024,5,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(27405,40024,5,100,'Increases Haste of target by 23.4',1,7),
(27406,40024,5,100,'Increases DPS of target by 23.4',1,8),
(27407,40024,7,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(27408,40024,7,100,'Increases Haste of target by 30.1',1,1),
(27409,40024,7,100,'Increases DPS of target by 30.1',1,2),
(27410,40024,7,100,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,3),
(27411,40024,7,100,'Increases Haste of target by 30.1',1,4),
(27412,40024,7,100,'Increases DPS of target by 30.1',1,5),
(27413,40024,7,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(27414,40024,7,100,'Increases Haste of target by 30.1',1,7),
(27415,40024,7,100,'Increases DPS of target by 30.1',1,8),
(27416,40024,9,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(27417,40024,9,100,'Increases Haste of target by 31.3',1,1),
(27418,40024,9,100,'Increases DPS of target by 31.3',1,2),
(27419,40024,9,100,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,3),
(27420,40024,9,100,'Increases Haste of target by 31.3',1,4),
(27421,40024,9,100,'Increases DPS of target by 31.3',1,5),
(27422,40024,9,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(27423,40024,9,100,'Increases Haste of target by 31.3',1,7),
(27424,40024,9,100,'Increases DPS of target by 31.3',1,8),
(27425,40024,10,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(27426,40024,10,100,'Increases Haste of target by 32.8',1,1),
(27427,40024,10,100,'Increases DPS of target by 32.8',1,2),
(27428,40024,10,100,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,3),
(27429,40024,10,100,'Increases Haste of target by 32.8',1,4),
(27430,40024,10,100,'Increases DPS of target by 32.8',1,5),
(27431,40024,10,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(27432,40024,10,100,'Increases Haste of target by 32.8',1,7),
(27433,40024,10,100,'Increases DPS of target by 32.8',1,8),
(27434,40025,1,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(27435,40025,1,100,'Increases Haste of target by 19.5',1,1),
(27436,40025,1,100,'Increases DPS of target by 19.5',1,2),
(27437,40025,1,100,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,3),
(27438,40025,1,100,'Increases Haste of target by 19.5',1,4),
(27439,40025,1,100,'Increases DPS of target by 19.5',1,5),
(27440,40025,1,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(27441,40025,1,100,'Increases Haste of target by 19.5',1,7),
(27442,40025,1,100,'Increases DPS of target by 19.5',1,8),
(27443,40025,4,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(27444,40025,4,100,'Increases Haste of target by 23.9',1,1),
(27445,40025,4,100,'Increases DPS of target by 23.9',1,2),
(27446,40025,4,100,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,3),
(27447,40025,4,100,'Increases Haste of target by 23.9',1,4),
(27448,40025,4,100,'Increases DPS of target by 23.9',1,5),
(27449,40025,4,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(27450,40025,4,100,'Increases Haste of target by 23.9',1,7),
(27451,40025,4,100,'Increases DPS of target by 23.9',1,8),
(27452,40025,5,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(27453,40025,5,100,'Increases Haste of target by 26.0',1,1),
(27454,40025,5,100,'Increases DPS of target by 26.0',1,2),
(27455,40025,5,100,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,3),
(27456,40025,5,100,'Increases Haste of target by 26.0',1,4),
(27457,40025,5,100,'Increases DPS of target by 26.0',1,5),
(27458,40025,5,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(27459,40025,5,100,'Increases Haste of target by 26.0',1,7),
(27460,40025,5,100,'Increases DPS of target by 26.0',1,8),
(27461,40025,7,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(27462,40025,7,100,'Increases Haste of target by 33.4',1,1),
(27463,40025,7,100,'Increases DPS of target by 33.4',1,2),
(27464,40025,7,100,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,3),
(27465,40025,7,100,'Increases Haste of target by 33.4',1,4),
(27466,40025,7,100,'Increases DPS of target by 33.4',1,5),
(27467,40025,7,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(27468,40025,7,100,'Increases Haste of target by 33.4',1,7),
(27469,40025,7,100,'Increases DPS of target by 33.4',1,8),
(27470,40025,9,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(27471,40025,9,100,'Increases Haste of target by 34.7',1,1),
(27472,40025,9,100,'Increases DPS of target by 34.7',1,2),
(27473,40025,9,100,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,3),
(27474,40025,9,100,'Increases Haste of target by 34.7',1,4),
(27475,40025,9,100,'Increases DPS of target by 34.7',1,5),
(27476,40025,9,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(27477,40025,9,100,'Increases Haste of target by 34.7',1,7),
(27478,40025,9,100,'Increases DPS of target by 34.7',1,8),
(27479,40025,10,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(27480,40025,10,100,'Increases Haste of target by 36.5',1,1),
(27481,40025,10,100,'Increases DPS of target by 36.5',1,2),
(27482,40025,10,100,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,3),
(27483,40025,10,100,'Increases Haste of target by 36.5',1,4),
(27484,40025,10,100,'Increases DPS of target by 36.5',1,5),
(27485,40025,10,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(27486,40025,10,100,'Increases Haste of target by 36.5',1,7),
(27487,40025,10,100,'Increases DPS of target by 36.5',1,8),
(27488,40026,1,100,'Inflicts 135 - 251 melee damage on targets in Area of Effect',0,0),
(27489,40026,2,100,'Inflicts 142 - 265 melee damage on targets in Area of Effect',0,0),
(27490,40026,3,100,'Inflicts 150 - 279 melee damage on targets in Area of Effect',0,0),
(27491,40026,4,100,'Inflicts 165 - 307 melee damage on targets in Area of Effect',0,0),
(27492,40026,5,100,'Inflicts 180 - 334 melee damage on targets in Area of Effect',0,0),
(27493,40026,7,100,'Inflicts 231 - 429 melee damage on targets in Area of Effect',0,0),
(27494,40026,9,100,'Inflicts 240 - 446 melee damage on targets in Area of Effect',0,0),
(27495,40027,1,100,'Inflicts 213 - 397 melee damage on targets in Area of Effect',0,0),
(27496,40027,2,100,'Inflicts 225 - 419 melee damage on targets in Area of Effect',0,0),
(27497,40027,3,100,'Inflicts 237 - 441 melee damage on targets in Area of Effect',0,0),
(27498,40027,4,100,'Inflicts 261 - 485 melee damage on targets in Area of Effect',0,0),
(27499,40027,5,100,'Inflicts 285 - 529 melee damage on targets in Area of Effect',0,0),
(27500,40027,7,100,'Inflicts 365 - 679 melee damage on targets in Area of Effect',0,0),
(27501,40027,9,100,'Inflicts 380 - 705 melee damage on targets in Area of Effect',0,0),
(27502,40027,10,100,'Inflicts 399 - 741 melee damage on targets in Area of Effect',0,0),
(27503,40028,1,100,'Inflicts 308 - 573 melee damage on targets in Area of Effect',0,0),
(27504,40028,2,100,'Inflicts 325 - 604 melee damage on targets in Area of Effect',0,0),
(27505,40028,3,100,'Inflicts 342 - 636 melee damage on targets in Area of Effect',0,0),
(27506,40028,4,100,'Inflicts 377 - 700 melee damage on targets in Area of Effect',0,0),
(27507,40028,5,100,'Inflicts 411 - 764 melee damage on targets in Area of Effect',0,0),
(27508,40028,7,100,'Inflicts 527 - 980 melee damage on targets in Area of Effect',0,0),
(27509,40028,9,100,'Inflicts 548 - 1018 melee damage on targets in Area of Effect',0,0),
(27510,40029,1,100,'Inflicts 403 - 748 melee damage on targets in Area of Effect',0,0),
(27511,40029,2,100,'Inflicts 425 - 790 melee damage on targets in Area of Effect',0,0),
(27512,40029,3,100,'Inflicts 448 - 832 melee damage on targets in Area of Effect',0,0),
(27513,40029,4,100,'Inflicts 492 - 915 melee damage on targets in Area of Effect',0,0),
(27514,40029,5,100,'Inflicts 537 - 998 melee damage on targets in Area of Effect',0,0),
(27515,40029,7,100,'Inflicts 690 - 1281 melee damage on targets in Area of Effect',0,0),
(27516,40029,9,100,'Inflicts 716 - 1331 melee damage on targets in Area of Effect',0,0),
(27517,40030,1,100,'Inflicts 488 - 908 melee damage on targets in Area of Effect',0,0),
(27518,40030,2,100,'Inflicts 516 - 958 melee damage on targets in Area of Effect',0,0),
(27519,40030,3,100,'Inflicts 543 - 1009 melee damage on targets in Area of Effect',0,0),
(27520,40030,4,100,'Inflicts 597 - 1109 melee damage on targets in Area of Effect',0,0),
(27521,40030,5,100,'Inflicts 651 - 1210 melee damage on targets in Area of Effect',0,0),
(27522,40030,7,100,'Inflicts 836 - 1553 melee damage on targets in Area of Effect',0,0),
(27523,40030,9,100,'Inflicts 869 - 1614 melee damage on targets in Area of Effect',0,0),
(27524,40031,1,100,'Inflicts 588 - 1092 melee damage on targets in Area of Effect',0,0),
(27525,40031,4,100,'Inflicts 718 - 1335 melee damage on targets in Area of Effect',0,0),
(27526,40031,5,100,'Inflicts 784 - 1456 melee damage on targets in Area of Effect',0,0),
(27527,40031,7,100,'Inflicts 1006 - 1869 melee damage on targets in Area of Effect',0,0),
(27528,40031,9,100,'Inflicts 1045 - 1942 melee damage on targets in Area of Effect',0,0),
(27529,40032,1,100,'Inflicts 624 - 1159 melee damage on targets in Area of Effect',0,0),
(27530,40032,4,100,'Inflicts 762 - 1416 melee damage on targets in Area of Effect',0,0),
(27531,40032,5,100,'Inflicts 832 - 1545 melee damage on targets in Area of Effect',0,0),
(27532,40032,7,100,'Inflicts 1068 - 1983 melee damage on targets in Area of Effect',0,0),
(27533,40032,9,100,'Inflicts 1109 - 2060 melee damage on targets in Area of Effect',0,0),
(27534,420004,1,100,'Inflicts 58 - 97 melee damage on target encounter',0,0),
(27535,420004,1,100,'Increases savagery of caster by 20.0',0,1),
(27536,420004,1,100,'This effect cannot be critically applied.',1,2),
(27537,420004,1,100,'Increases Potency of group members (AE) by 15.0%',0,3),
(27538,2000021,1,100,'Heals caster for 100.0% of max health',0,0),
(27539,2000021,1,100,'This effect cannot be critically applied.',1,1),
(27540,2000021,1,100,'On a melee hit this spell will cast Invigorated on target.  Lasts for 20.0 seconds.  ',0,2),
(27541,2000021,1,100,'Combat arts deal 10% additional damage.',1,3),
(27542,2000021,1,100,'Grants a total of 1 trigger of the spell.',1,4),
(27543,2000021,1,100,'This effect cannot be cast during combat',0,5),
(27544,2000021,2,100,'Heals caster for 100.0% of max health',0,0),
(27545,2000021,2,100,'This effect cannot be critically applied.',1,1),
(27546,2000021,2,100,'On a melee hit this spell will cast Invigorated on target.  Lasts for 20.0 seconds.  ',0,2),
(27547,2000021,2,100,'Combat arts deal 10% additional damage.',1,3),
(27548,2000021,2,100,'Grants a total of 1 trigger of the spell.',1,4),
(27549,2000021,2,100,'This effect cannot be cast during combat',0,5),
(27550,2000021,3,100,'Heals caster for 100.0% of max health',0,0),
(27551,2000021,3,100,'This effect cannot be critically applied.',1,1),
(27552,2000021,3,100,'On a melee hit this spell will cast Invigorated on target.  Lasts for 20.0 seconds.  ',0,2),
(27553,2000021,3,100,'Combat arts deal 10% additional damage.',1,3),
(27554,2000021,3,100,'Grants a total of 1 trigger of the spell.',1,4),
(27555,2000021,3,100,'This effect cannot be cast during combat',0,5),
(27556,2000021,4,100,'Heals caster for 100.0% of max health',0,0),
(27557,2000021,4,100,'This effect cannot be critically applied.',1,1),
(27558,2000021,4,100,'On a melee hit this spell will cast Invigorated on target.  Lasts for 20.0 seconds.  ',0,2),
(27559,2000021,4,100,'Combat arts deal 10% additional damage.',1,3),
(27560,2000021,4,100,'Grants a total of 1 trigger of the spell.',1,4),
(27561,2000021,4,100,'This effect cannot be cast during combat',0,5),
(27562,2000021,5,100,'Heals caster for 100.0% of max health',0,0),
(27563,2000021,5,100,'This effect cannot be critically applied.',1,1),
(27564,2000021,5,100,'On a melee hit this spell will cast Invigorated on target.  Lasts for 20.0 seconds.  ',0,2),
(27565,2000021,5,100,'Combat arts deal 10% additional damage.',1,3),
(27566,2000021,5,100,'Grants a total of 1 trigger of the spell.',1,4),
(27567,2000021,5,100,'This effect cannot be cast during combat',0,5),
(27568,2000021,6,100,'Heals caster for 100.0% of max health',0,0),
(27569,2000021,6,100,'This effect cannot be critically applied.',1,1),
(27570,2000021,6,100,'On a melee hit this spell will cast Invigorated on target.  Lasts for 20.0 seconds.  ',0,2),
(27571,2000021,6,100,'Combat arts deal 10% additional damage.',1,3),
(27572,2000021,6,100,'Grants a total of 1 trigger of the spell.',1,4),
(27573,2000021,6,100,'This effect cannot be cast during combat',0,5),
(27574,2000021,7,100,'Heals caster for 100.0% of max health',0,0),
(27575,2000021,7,100,'This effect cannot be critically applied.',1,1),
(27576,2000021,7,100,'On a melee hit this spell will cast Invigorated on target.  Lasts for 20.0 seconds.  ',0,2),
(27577,2000021,7,100,'Combat arts deal 10% additional damage.',1,3),
(27578,2000021,7,100,'Grants a total of 1 trigger of the spell.',1,4),
(27579,2000021,7,100,'This effect cannot be cast during combat',0,5),
(27580,2000021,8,100,'Heals caster for 100.0% of max health',0,0),
(27581,2000021,8,100,'This effect cannot be critically applied.',1,1),
(27582,2000021,8,100,'On a melee hit this spell will cast Invigorated on target.  Lasts for 20.0 seconds.  ',0,2),
(27583,2000021,8,100,'Combat arts deal 10% additional damage.',1,3),
(27584,2000021,8,100,'Grants a total of 1 trigger of the spell.',1,4),
(27585,2000021,8,100,'This effect cannot be cast during combat',0,5),
(27586,2000021,9,100,'Heals caster for 100.0% of max health',0,0),
(27587,2000021,9,100,'This effect cannot be critically applied.',1,1),
(27588,2000021,9,100,'On a melee hit this spell will cast Invigorated on target.  Lasts for 20.0 seconds.  ',0,2),
(27589,2000021,9,100,'Combat arts deal 10% additional damage.',1,3),
(27590,2000021,9,100,'Grants a total of 1 trigger of the spell.',1,4),
(27591,2000021,9,100,'This effect cannot be cast during combat',0,5),
(27592,2000021,10,100,'Heals caster for 100.0% of max health',0,0),
(27593,2000021,10,100,'This effect cannot be critically applied.',1,1),
(27594,2000021,10,100,'On a melee hit this spell will cast Invigorated on target.  Lasts for 20.0 seconds.  ',0,2),
(27595,2000021,10,100,'Combat arts deal 10% additional damage.',1,3),
(27596,2000021,10,100,'Grants a total of 1 trigger of the spell.',1,4),
(27597,2000021,10,100,'This effect cannot be cast during combat',0,5),
(27598,2000022,3,100,'Group members (AE) will have their chance to hit with a weapon increased by 10.0%',0,0),
(27599,2000022,4,100,'Group members (AE) will have their chance to hit with a weapon increased by 11.0%',0,0),
(27600,2000022,5,100,'Group members (AE) will have their chance to hit with a weapon increased by 12.0%',0,0),
(27601,2000022,7,100,'Group members (AE) will have their chance to hit with a weapon increased by 15.4%',0,0),
(27602,2000022,9,100,'Group members (AE) will have their chance to hit with a weapon increased by 16.0%',0,0),
(27603,2000022,10,100,'Group members (AE) will have their chance to hit with a weapon increased by 16.8%',0,0),
(27604,340042,1,100,'Inflicts 92 - 154 crushing damage on target',0,0),
(27605,340042,1,100,'Prevents target from changing direction while active.',0,1),
(27606,340042,1,100,'If Target is not Epic',1,2),
(27607,340042,1,100,'Roots target',0,3),
(27608,340042,1,100,'If Target is not Epic',1,4),
(27609,340042,1,100,'Resistibility increases against targets higher than level 29.',0,5),
(27610,340042,2,100,'Inflicts 97 - 162 crushing damage on target',0,0),
(27611,340042,2,100,'Prevents target from changing direction while active.',0,1),
(27612,340042,2,100,'If Target is not Epic',1,2),
(27613,340042,2,100,'Roots target',0,3),
(27614,340042,2,100,'If Target is not Epic',1,4),
(27615,340042,2,100,'Resistibility increases against targets higher than level 29.',0,5),
(27616,340042,3,100,'Inflicts 102 - 171 crushing damage on target',0,0),
(27617,340042,3,100,'Prevents target from changing direction while active.',0,1),
(27618,340042,3,100,'If Target is not Epic',1,2),
(27619,340042,3,100,'Roots target',0,3),
(27620,340042,3,100,'If Target is not Epic',1,4),
(27621,340042,3,100,'Resistibility increases against targets higher than level 29.',0,5),
(27622,340042,4,100,'Inflicts 112 - 188 crushing damage on target',0,0),
(27623,340042,4,100,'Prevents target from changing direction while active.',0,1),
(27624,340042,4,100,'If Target is not Epic',1,2),
(27625,340042,4,100,'Roots target',0,3),
(27626,340042,4,100,'If Target is not Epic',1,4),
(27627,340042,4,100,'Resistibility increases against targets higher than level 29.',0,5),
(27628,340042,5,100,'Inflicts 123 - 205 crushing damage on target',0,0),
(27629,340042,5,100,'Prevents target from changing direction while active.',0,1),
(27630,340042,5,100,'If Target is not Epic',1,2),
(27631,340042,5,100,'Roots target',0,3),
(27632,340042,5,100,'If Target is not Epic',1,4),
(27633,340042,5,100,'Resistibility increases against targets higher than level 29.',0,5),
(27634,340042,7,100,'Inflicts 158 - 263 crushing damage on target',0,0),
(27635,340042,7,100,'Prevents target from changing direction while active.',0,1),
(27636,340042,7,100,'If Target is not Epic',1,2),
(27637,340042,7,100,'Roots target',0,3),
(27638,340042,7,100,'If Target is not Epic',1,4),
(27639,340042,7,100,'Resistibility increases against targets higher than level 29.',0,5),
(27640,340042,9,100,'Inflicts 164 - 273 crushing damage on target',0,0),
(27641,340042,9,100,'Prevents target from changing direction while active.',0,1),
(27642,340042,9,100,'If Target is not Epic',1,2),
(27643,340042,9,100,'Roots target',0,3),
(27644,340042,9,100,'If Target is not Epic',1,4),
(27645,340042,9,100,'Resistibility increases against targets higher than level 29.',0,5),
(27646,340042,10,100,'Inflicts 172 - 287 crushing damage on target',0,0),
(27647,340042,10,100,'Prevents target from changing direction while active.',0,1),
(27648,340042,10,100,'If Target is not Epic',1,2),
(27649,340042,10,100,'Roots target',0,3),
(27650,340042,10,100,'If Target is not Epic',1,4),
(27651,340042,10,100,'Resistibility increases against targets higher than level 29.',0,5),
(27652,340043,1,100,'Inflicts 160 - 267 crushing damage on target',0,0),
(27653,340043,1,100,'Prevents target from changing direction while active.',0,1),
(27654,340043,1,100,'If Target is not Epic',1,2),
(27655,340043,1,100,'Roots target',0,3),
(27656,340043,1,100,'If Target is not Epic',1,4),
(27657,340043,1,100,'Resistibility increases against targets higher than level 29.',0,5),
(27658,340043,2,100,'Inflicts 169 - 282 crushing damage on target',0,0),
(27659,340043,2,100,'Prevents target from changing direction while active.',0,1),
(27660,340043,2,100,'If Target is not Epic',1,2),
(27661,340043,2,100,'Roots target',0,3),
(27662,340043,2,100,'If Target is not Epic',1,4),
(27663,340043,2,100,'Resistibility increases against targets higher than level 29.',0,5),
(27664,340043,3,100,'Inflicts 178 - 297 crushing damage on target',0,0),
(27665,340043,3,100,'Prevents target from changing direction while active.',0,1),
(27666,340043,3,100,'If Target is not Epic',1,2),
(27667,340043,3,100,'Roots target',0,3),
(27668,340043,3,100,'If Target is not Epic',1,4),
(27669,340043,3,100,'Resistibility increases against targets higher than level 29.',0,5),
(27670,340043,4,100,'Inflicts 196 - 327 crushing damage on target',0,0),
(27671,340043,4,100,'Prevents target from changing direction while active.',0,1),
(27672,340043,4,100,'If Target is not Epic',1,2),
(27673,340043,4,100,'Roots target',0,3),
(27674,340043,4,100,'If Target is not Epic',1,4),
(27675,340043,4,100,'Resistibility increases against targets higher than level 29.',0,5),
(27676,340043,5,100,'Inflicts 214 - 356 crushing damage on target',0,0),
(27677,340043,5,100,'Prevents target from changing direction while active.',0,1),
(27678,340043,5,100,'If Target is not Epic',1,2),
(27679,340043,5,100,'Roots target',0,3),
(27680,340043,5,100,'If Target is not Epic',1,4),
(27681,340043,5,100,'Resistibility increases against targets higher than level 29.',0,5),
(27682,340043,7,100,'Inflicts 274 - 457 crushing damage on target',0,0),
(27683,340043,7,100,'Prevents target from changing direction while active.',0,1),
(27684,340043,7,100,'If Target is not Epic',1,2),
(27685,340043,7,100,'Roots target',0,3),
(27686,340043,7,100,'If Target is not Epic',1,4),
(27687,340043,7,100,'Resistibility increases against targets higher than level 29.',0,5),
(27688,340043,9,100,'Inflicts 285 - 475 crushing damage on target',0,0),
(27689,340043,9,100,'Prevents target from changing direction while active.',0,1),
(27690,340043,9,100,'If Target is not Epic',1,2),
(27691,340043,9,100,'Roots target',0,3),
(27692,340043,9,100,'If Target is not Epic',1,4),
(27693,340043,9,100,'Resistibility increases against targets higher than level 29.',0,5),
(27694,340044,1,100,'Inflicts 240 - 401 crushing damage on target',0,0),
(27695,340044,1,100,'Prevents target from changing direction while active.',0,1),
(27696,340044,1,100,'If Target is not Epic',1,2),
(27697,340044,1,100,'Roots target',0,3),
(27698,340044,1,100,'If Target is not Epic',1,4),
(27699,340044,1,100,'Resistibility increases against targets higher than level 29.',0,5),
(27700,340044,2,100,'Inflicts 254 - 423 crushing damage on target',0,0),
(27701,340044,2,100,'Prevents target from changing direction while active.',0,1),
(27702,340044,2,100,'If Target is not Epic',1,2),
(27703,340044,2,100,'Roots target',0,3),
(27704,340044,2,100,'If Target is not Epic',1,4),
(27705,340044,2,100,'Resistibility increases against targets higher than level 29.',0,5),
(27706,340044,3,100,'Inflicts 267 - 446 crushing damage on target',0,0),
(27707,340044,3,100,'Prevents target from changing direction while active.',0,1),
(27708,340044,3,100,'If Target is not Epic',1,2),
(27709,340044,3,100,'Roots target',0,3),
(27710,340044,3,100,'If Target is not Epic',1,4),
(27711,340044,3,100,'Resistibility increases against targets higher than level 29.',0,5),
(27712,340044,4,100,'Inflicts 294 - 490 crushing damage on target',0,0),
(27713,340044,4,100,'Prevents target from changing direction while active.',0,1),
(27714,340044,4,100,'If Target is not Epic',1,2),
(27715,340044,4,100,'Roots target',0,3),
(27716,340044,4,100,'If Target is not Epic',1,4),
(27717,340044,4,100,'Resistibility increases against targets higher than level 29.',0,5),
(27718,340044,5,100,'Inflicts 321 - 535 crushing damage on target',0,0),
(27719,340044,5,100,'Prevents target from changing direction while active.',0,1),
(27720,340044,5,100,'If Target is not Epic',1,2),
(27721,340044,5,100,'Roots target',0,3),
(27722,340044,5,100,'If Target is not Epic',1,4),
(27723,340044,5,100,'Resistibility increases against targets higher than level 29.',0,5),
(27724,340044,7,100,'Inflicts 412 - 687 crushing damage on target',0,0),
(27725,340044,7,100,'Prevents target from changing direction while active.',0,1),
(27726,340044,7,100,'If Target is not Epic',1,2),
(27727,340044,7,100,'Roots target',0,3),
(27728,340044,7,100,'If Target is not Epic',1,4),
(27729,340044,7,100,'Resistibility increases against targets higher than level 29.',0,5),
(27730,340044,9,100,'Inflicts 428 - 713 crushing damage on target',0,0),
(27731,340044,9,100,'Prevents target from changing direction while active.',0,1),
(27732,340044,9,100,'If Target is not Epic',1,2),
(27733,340044,9,100,'Roots target',0,3),
(27734,340044,9,100,'If Target is not Epic',1,4),
(27735,340044,9,100,'Resistibility increases against targets higher than level 29.',0,5),
(27736,340044,10,100,'Inflicts 449 - 749 crushing damage on target',0,0),
(27737,340044,10,100,'Prevents target from changing direction while active.',0,1),
(27738,340044,10,100,'If Target is not Epic',1,2),
(27739,340044,10,100,'Roots target',0,3),
(27740,340044,10,100,'If Target is not Epic',1,4),
(27741,340044,10,100,'Resistibility increases against targets higher than level 29.',0,5),
(27742,340045,1,100,'Inflicts 326 - 543 crushing damage on target',0,0),
(27743,340045,1,100,'Prevents target from changing direction while active.',0,1),
(27744,340045,1,100,'If Target is not Epic',1,2),
(27745,340045,1,100,'Roots target',0,3),
(27746,340045,1,100,'If Target is not Epic',1,4),
(27747,340045,1,100,'Resistibility increases against targets higher than level 29.',0,5),
(27748,340045,2,100,'Inflicts 344 - 573 crushing damage on target',0,0),
(27749,340045,2,100,'Prevents target from changing direction while active.',0,1),
(27750,340045,2,100,'If Target is not Epic',1,2),
(27751,340045,2,100,'Roots target',0,3),
(27752,340045,2,100,'If Target is not Epic',1,4),
(27753,340045,2,100,'Resistibility increases against targets higher than level 29.',0,5),
(27754,340045,3,100,'Inflicts 362 - 603 crushing damage on target',0,0),
(27755,340045,3,100,'Prevents target from changing direction while active.',0,1),
(27756,340045,3,100,'If Target is not Epic',1,2),
(27757,340045,3,100,'Roots target',0,3),
(27758,340045,3,100,'If Target is not Epic',1,4),
(27759,340045,3,100,'Resistibility increases against targets higher than level 29.',0,5),
(27760,340045,4,100,'Inflicts 398 - 664 crushing damage on target',0,0),
(27761,340045,4,100,'Prevents target from changing direction while active.',0,1),
(27762,340045,4,100,'If Target is not Epic',1,2),
(27763,340045,4,100,'Roots target',0,3),
(27764,340045,4,100,'If Target is not Epic',1,4),
(27765,340045,4,100,'Resistibility increases against targets higher than level 29.',0,5),
(27766,340045,5,100,'Inflicts 434 - 724 crushing damage on target',0,0),
(27767,340045,5,100,'Prevents target from changing direction while active.',0,1),
(27768,340045,5,100,'If Target is not Epic',1,2),
(27769,340045,5,100,'Roots target',0,3),
(27770,340045,5,100,'If Target is not Epic',1,4),
(27771,340045,5,100,'Resistibility increases against targets higher than level 29.',0,5),
(27772,340045,7,100,'Inflicts 557 - 929 crushing damage on target',0,0),
(27773,340045,7,100,'Prevents target from changing direction while active.',0,1),
(27774,340045,7,100,'If Target is not Epic',1,2),
(27775,340045,7,100,'Roots target',0,3),
(27776,340045,7,100,'If Target is not Epic',1,4),
(27777,340045,7,100,'Resistibility increases against targets higher than level 29.',0,5),
(27778,340045,9,100,'Inflicts 579 - 966 crushing damage on target',0,0),
(27779,340045,9,100,'Prevents target from changing direction while active.',0,1),
(27780,340045,9,100,'If Target is not Epic',1,2),
(27781,340045,9,100,'Roots target',0,3),
(27782,340045,9,100,'If Target is not Epic',1,4),
(27783,340045,9,100,'Resistibility increases against targets higher than level 29.',0,5),
(27784,340045,10,100,'Inflicts 608 - 1014 crushing damage on target',0,0),
(27785,340045,10,100,'Prevents target from changing direction while active.',0,1),
(27786,340045,10,100,'If Target is not Epic',1,2),
(27787,340045,10,100,'Roots target',0,3),
(27788,340045,10,100,'If Target is not Epic',1,4),
(27789,340045,10,100,'Resistibility increases against targets higher than level 29.',0,5),
(27790,340046,1,100,'Inflicts 401 - 668 crushing damage on target',0,0),
(27791,340046,1,100,'Prevents target from changing direction while active.',0,1),
(27792,340046,1,100,'If Target is not Epic',1,2),
(27793,340046,1,100,'Roots target',0,3),
(27794,340046,1,100,'If Target is not Epic',1,4),
(27795,340046,1,100,'Resistibility increases against targets higher than level 29.',0,5),
(27796,340046,2,100,'Inflicts 423 - 705 crushing damage on target',0,0),
(27797,340046,2,100,'Prevents target from changing direction while active.',0,1),
(27798,340046,2,100,'If Target is not Epic',1,2),
(27799,340046,2,100,'Roots target',0,3),
(27800,340046,2,100,'If Target is not Epic',1,4),
(27801,340046,2,100,'Resistibility increases against targets higher than level 29.',0,5),
(27802,340046,3,100,'Inflicts 445 - 742 crushing damage on target',0,0),
(27803,340046,3,100,'Prevents target from changing direction while active.',0,1),
(27804,340046,3,100,'If Target is not Epic',1,2),
(27805,340046,3,100,'Roots target',0,3),
(27806,340046,3,100,'If Target is not Epic',1,4),
(27807,340046,3,100,'Resistibility increases against targets higher than level 29.',0,5),
(27808,340046,4,100,'Inflicts 490 - 817 crushing damage on target',0,0),
(27809,340046,4,100,'Prevents target from changing direction while active.',0,1),
(27810,340046,4,100,'If Target is not Epic',1,2),
(27811,340046,4,100,'Roots target',0,3),
(27812,340046,4,100,'If Target is not Epic',1,4),
(27813,340046,4,100,'Resistibility increases against targets higher than level 29.',0,5),
(27814,340046,5,100,'Inflicts 534 - 891 crushing damage on target',0,0),
(27815,340046,5,100,'Prevents target from changing direction while active.',0,1),
(27816,340046,5,100,'If Target is not Epic',1,2),
(27817,340046,5,100,'Roots target',0,3),
(27818,340046,5,100,'If Target is not Epic',1,4),
(27819,340046,5,100,'Resistibility increases against targets higher than level 29.',0,5),
(27820,340046,7,100,'Inflicts 686 - 1143 crushing damage on target',0,0),
(27821,340046,7,100,'Prevents target from changing direction while active.',0,1),
(27822,340046,7,100,'If Target is not Epic',1,2),
(27823,340046,7,100,'Roots target',0,3),
(27824,340046,7,100,'If Target is not Epic',1,4),
(27825,340046,7,100,'Resistibility increases against targets higher than level 29.',0,5),
(27826,340046,9,100,'Inflicts 713 - 1188 crushing damage on target',0,0),
(27827,340046,9,100,'Prevents target from changing direction while active.',0,1),
(27828,340046,9,100,'If Target is not Epic',1,2),
(27829,340046,9,100,'Roots target',0,3),
(27830,340046,9,100,'If Target is not Epic',1,4),
(27831,340046,9,100,'Resistibility increases against targets higher than level 29.',0,5),
(27832,340047,1,100,'Inflicts 484 - 807 crushing damage on target',0,0),
(27833,340047,1,100,'Prevents target from changing direction while active.',0,1),
(27834,340047,1,100,'If Target is not Epic',1,2),
(27835,340047,1,100,'Roots target',0,3),
(27836,340047,1,100,'If Target is not Epic',1,4),
(27837,340047,1,100,'Resistibility increases against targets higher than level 29.',0,5),
(27838,340047,4,100,'Inflicts 591 - 986 crushing damage on target',0,0),
(27839,340047,4,100,'Prevents target from changing direction while active.',0,1),
(27840,340047,4,100,'If Target is not Epic',1,2),
(27841,340047,4,100,'Roots target',0,3),
(27842,340047,4,100,'If Target is not Epic',1,4),
(27843,340047,4,100,'Resistibility increases against targets higher than level 29.',0,5),
(27844,340047,5,100,'Inflicts 645 - 1076 crushing damage on target',0,0),
(27845,340047,5,100,'Prevents target from changing direction while active.',0,1),
(27846,340047,5,100,'If Target is not Epic',1,2),
(27847,340047,5,100,'Roots target',0,3),
(27848,340047,5,100,'If Target is not Epic',1,4),
(27849,340047,5,100,'Resistibility increases against targets higher than level 29.',0,5),
(27850,340047,7,100,'Inflicts 828 - 1381 crushing damage on target',0,0),
(27851,340047,7,100,'Prevents target from changing direction while active.',0,1),
(27852,340047,7,100,'If Target is not Epic',1,2),
(27853,340047,7,100,'Roots target',0,3),
(27854,340047,7,100,'If Target is not Epic',1,4),
(27855,340047,7,100,'Resistibility increases against targets higher than level 29.',0,5),
(27856,340047,9,100,'Inflicts 860 - 1434 crushing damage on target',0,0),
(27857,340047,9,100,'Prevents target from changing direction while active.',0,1),
(27858,340047,9,100,'If Target is not Epic',1,2),
(27859,340047,9,100,'Roots target',0,3),
(27860,340047,9,100,'If Target is not Epic',1,4),
(27861,340047,9,100,'Resistibility increases against targets higher than level 29.',0,5),
(27862,340048,1,100,'Inflicts 545 - 908 crushing damage on target',0,0),
(27863,340048,1,100,'Prevents target from changing direction while active.',0,1),
(27864,340048,1,100,'If Target is not Epic',1,2),
(27865,340048,1,100,'Roots target',0,3),
(27866,340048,1,100,'If Target is not Epic',1,4),
(27867,340048,1,100,'Resistibility increases against targets higher than level 29.',0,5),
(27868,340048,4,100,'Inflicts 666 - 1110 crushing damage on target',0,0),
(27869,340048,4,100,'Prevents target from changing direction while active.',0,1),
(27870,340048,4,100,'If Target is not Epic',1,2),
(27871,340048,4,100,'Roots target',0,3),
(27872,340048,4,100,'If Target is not Epic',1,4),
(27873,340048,4,100,'Resistibility increases against targets higher than level 29.',0,5),
(27874,340048,5,100,'Inflicts 726 - 1211 crushing damage on target',0,0),
(27875,340048,5,100,'Prevents target from changing direction while active.',0,1),
(27876,340048,5,100,'If Target is not Epic',1,2),
(27877,340048,5,100,'Roots target',0,3),
(27878,340048,5,100,'If Target is not Epic',1,4),
(27879,340048,5,100,'Resistibility increases against targets higher than level 29.',0,5),
(27880,340048,7,100,'Inflicts 932 - 1554 crushing damage on target',0,0),
(27881,340048,7,100,'Prevents target from changing direction while active.',0,1),
(27882,340048,7,100,'If Target is not Epic',1,2),
(27883,340048,7,100,'Roots target',0,3),
(27884,340048,7,100,'If Target is not Epic',1,4),
(27885,340048,7,100,'Resistibility increases against targets higher than level 29.',0,5),
(27886,340048,9,100,'Inflicts 968 - 1614 crushing damage on target',0,0),
(27887,340048,9,100,'Prevents target from changing direction while active.',0,1),
(27888,340048,9,100,'If Target is not Epic',1,2),
(27889,340048,9,100,'Roots target',0,3),
(27890,340048,9,100,'If Target is not Epic',1,4),
(27891,340048,9,100,'Resistibility increases against targets higher than level 29.',0,5),
(27892,60006,1,100,'Caster will deflect 4.5% of incoming attacks.',0,0),
(27893,60006,1,100,'Increases Attack Speed of caster by 9.9',0,1),
(27894,60006,1,100,'Increases Parry of caster by 5.9',0,2),
(27895,60006,1,100,'Increases Deflection, Slashing, Piercing, Crushing and Ranged of caster by 5.9',0,3),
(27896,60006,1,100,'Increases Mitigation of caster vs arcane damage by 396',0,4),
(27897,60006,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 13%',0,5),
(27898,60006,2,100,'Caster will deflect 4.7% of incoming attacks.',0,0),
(27899,60006,2,100,'Increases Attack Speed of caster by 10.4',0,1),
(27900,60006,2,100,'Increases Parry of caster by 6.3',0,2),
(27901,60006,2,100,'Increases Deflection, Slashing, Piercing, Crushing and Ranged of caster by 6.3',0,3),
(27902,60006,2,100,'Increases Mitigation of caster vs arcane damage by 418',0,4),
(27903,60006,2,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 13%',0,5),
(27904,60006,3,100,'Caster will deflect 5.0% of incoming attacks.',0,0),
(27905,60006,3,100,'Increases Attack Speed of caster by 11.0',0,1),
(27906,60006,3,100,'Increases Parry of caster by 6.6',0,2),
(27907,60006,3,100,'Increases Deflection, Slashing, Piercing, Crushing and Ranged of caster by 6.6',0,3),
(27908,60006,3,100,'Increases Mitigation of caster vs arcane damage by 440',0,4),
(27909,60006,3,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 13%',0,5),
(27910,60006,4,100,'Caster will deflect 5.5% of incoming attacks.',0,0),
(27911,60006,4,100,'Increases Attack Speed of caster by 12.1',0,1),
(27912,60006,4,100,'Increases Parry of caster by 7.3',0,2),
(27913,60006,4,100,'Increases Deflection, Slashing, Piercing, Crushing and Ranged of caster by 7.3',0,3),
(27914,60006,4,100,'Increases Mitigation of caster vs arcane damage by 484',0,4),
(27915,60006,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 13%',0,5),
(27916,60006,5,100,'Caster will deflect 6.0% of incoming attacks.',0,0),
(27917,60006,5,100,'Increases Attack Speed of caster by 13.2',0,1),
(27918,60006,5,100,'Increases Parry of caster by 7.9',0,2),
(27919,60006,5,100,'Increases Deflection, Slashing, Piercing, Crushing and Ranged of caster by 7.9',0,3),
(27920,60006,5,100,'Increases Mitigation of caster vs arcane damage by 528',0,4),
(27921,60006,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 13%',0,5),
(27922,60006,7,100,'Caster will deflect 7.0% of incoming attacks.',0,0),
(27923,60006,7,100,'Increases Attack Speed of caster by 15.4',0,1),
(27924,60006,7,100,'Increases Parry of caster by 9.2',0,2),
(27925,60006,7,100,'Increases Deflection, Slashing, Piercing, Crushing and Ranged of caster by 9.2',0,3),
(27926,60006,7,100,'Increases Mitigation of caster vs arcane damage by 616',0,4),
(27927,60006,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 13%',0,5),
(27928,60006,9,100,'Caster will deflect 8.0% of incoming attacks.',0,0),
(27929,60006,9,100,'Increases Attack Speed of caster by 17.6',0,1),
(27930,60006,9,100,'Increases Parry of caster by 10.6',0,2),
(27931,60006,9,100,'Increases Deflection, Slashing, Piercing, Crushing and Ranged of caster by 10.6',0,3),
(27932,60006,9,100,'Increases Mitigation of caster vs arcane damage by 704',0,4),
(27933,60006,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 13%',0,5),
(27934,60007,1,100,'Caster will deflect 4.5% of incoming attacks.',0,0),
(27935,60007,1,100,'Increases Attack Speed of caster by 11.4',0,1),
(27936,60007,1,100,'Increases Parry of caster by 7.8',0,2),
(27937,60007,1,100,'Increases Deflection, Slashing, Piercing, Crushing and Ranged of caster by 7.8',0,3),
(27938,60007,1,100,'Increases Mitigation of caster vs arcane damage by 522',0,4),
(27939,60007,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 13%',0,5),
(27940,60007,2,100,'Caster will deflect 4.7% of incoming attacks.',0,0),
(27941,60007,2,100,'Increases Attack Speed of caster by 12.1',0,1),
(27942,60007,2,100,'Increases Parry of caster by 8.3',0,2),
(27943,60007,2,100,'Increases Deflection, Slashing, Piercing, Crushing and Ranged of caster by 8.3',0,3),
(27944,60007,2,100,'Increases Mitigation of caster vs arcane damage by 551',0,4),
(27945,60007,2,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 13%',0,5),
(27946,60007,3,100,'Caster will deflect 5.0% of incoming attacks.',0,0),
(27947,60007,3,100,'Increases Attack Speed of caster by 12.7',0,1),
(27948,60007,3,100,'Increases Parry of caster by 8.7',0,2),
(27949,60007,3,100,'Increases Deflection, Slashing, Piercing, Crushing and Ranged of caster by 8.7',0,3),
(27950,60007,3,100,'Increases Mitigation of caster vs arcane damage by 580',0,4),
(27951,60007,3,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 13%',0,5),
(27952,60007,4,100,'Caster will deflect 5.5% of incoming attacks.',0,0),
(27953,60007,4,100,'Increases Attack Speed of caster by 14.0',0,1),
(27954,60007,4,100,'Increases Parry of caster by 9.6',0,2),
(27955,60007,4,100,'Increases Deflection, Slashing, Piercing, Crushing and Ranged of caster by 9.6',0,3),
(27956,60007,4,100,'Increases Mitigation of caster vs arcane damage by 638',0,4),
(27957,60007,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 13%',0,5),
(27958,60007,5,100,'Caster will deflect 6.0% of incoming attacks.',0,0),
(27959,60007,5,100,'Increases Attack Speed of caster by 15.3',0,1),
(27960,60007,5,100,'Increases Parry of caster by 10.4',0,2),
(27961,60007,5,100,'Increases Deflection, Slashing, Piercing, Crushing and Ranged of caster by 10.4',0,3),
(27962,60007,5,100,'Increases Mitigation of caster vs arcane damage by 696',0,4),
(27963,60007,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 13%',0,5),
(27964,60007,7,100,'Caster will deflect 7.0% of incoming attacks.',0,0),
(27965,60007,7,100,'Increases Attack Speed of caster by 17.8',0,1),
(27966,60007,7,100,'Increases Parry of caster by 12.2',0,2),
(27967,60007,7,100,'Increases Deflection, Slashing, Piercing, Crushing and Ranged of caster by 12.2',0,3),
(27968,60007,7,100,'Increases Mitigation of caster vs arcane damage by 812',0,4),
(27969,60007,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 13%',0,5),
(27970,60007,9,100,'Caster will deflect 8.0% of incoming attacks.',0,0),
(27971,60007,9,100,'Increases Attack Speed of caster by 20.3',0,1),
(27972,60007,9,100,'Increases Parry of caster by 13.9',0,2),
(27973,60007,9,100,'Increases Deflection, Slashing, Piercing, Crushing and Ranged of caster by 13.9',0,3),
(27974,60007,9,100,'Increases Mitigation of caster vs arcane damage by 928',0,4),
(27975,60007,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 13%',0,5),
(27976,60008,1,100,'Caster will deflect 4.5% of incoming attacks.',0,0),
(27977,60008,1,100,'Increases Attack Speed of caster by 12.9',0,1),
(27978,60008,1,100,'Increases Parry of caster by 9.6',0,2),
(27979,60008,1,100,'Increases Deflection, Slashing, Piercing, Crushing and Ranged of caster by 9.6',0,3),
(27980,60008,1,100,'Increases Mitigation of caster vs arcane damage by 671',0,4),
(27981,60008,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 13%',0,5),
(27982,60008,2,100,'Caster will deflect 4.7% of incoming attacks.',0,0),
(27983,60008,2,100,'Increases Attack Speed of caster by 13.6',0,1),
(27984,60008,2,100,'Increases Parry of caster by 10.2',0,2),
(27985,60008,2,100,'Increases Deflection, Slashing, Piercing, Crushing and Ranged of caster by 10.2',0,3),
(27986,60008,2,100,'Increases Mitigation of caster vs arcane damage by 708',0,4),
(27987,60008,2,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 13%',0,5),
(27988,60008,3,100,'Caster will deflect 5.0% of incoming attacks.',0,0),
(27989,60008,3,100,'Increases Attack Speed of caster by 14.3',0,1),
(27990,60008,3,100,'Increases Parry of caster by 10.7',0,2),
(27991,60008,3,100,'Increases Deflection, Slashing, Piercing, Crushing and Ranged of caster by 10.7',0,3),
(27992,60008,3,100,'Increases Mitigation of caster vs arcane damage by 746',0,4),
(27993,60008,3,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 13%',0,5),
(27994,60008,4,100,'Caster will deflect 5.5% of incoming attacks.',0,0),
(27995,60008,4,100,'Increases Attack Speed of caster by 15.7',0,1),
(27996,60008,4,100,'Increases Parry of caster by 11.8',0,2),
(27997,60008,4,100,'Increases Deflection, Slashing, Piercing, Crushing and Ranged of caster by 11.8',0,3),
(27998,60008,4,100,'Increases Mitigation of caster vs arcane damage by 820',0,4),
(27999,60008,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 13%',0,5),
(28000,60008,5,100,'Caster will deflect 6.0% of incoming attacks.',0,0),
(28001,60008,5,100,'Increases Attack Speed of caster by 17.1',0,1),
(28002,60008,5,100,'Increases Parry of caster by 12.8',0,2),
(28003,60008,5,100,'Increases Deflection, Slashing, Piercing, Crushing and Ranged of caster by 12.8',0,3),
(28004,60008,5,100,'Increases Mitigation of caster vs arcane damage by 895',0,4),
(28005,60008,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 13%',0,5),
(28006,60008,7,100,'Caster will deflect 7.0% of incoming attacks.',0,0),
(28007,60008,7,100,'Increases Attack Speed of caster by 20.0',0,1),
(28008,60008,7,100,'Increases Parry of caster by 15.0',0,2),
(28009,60008,7,100,'Increases Deflection, Slashing, Piercing, Crushing and Ranged of caster by 15.0',0,3),
(28010,60008,7,100,'Increases Mitigation of caster vs arcane damage by 1044',0,4),
(28011,60008,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 13%',0,5),
(28012,60008,9,100,'Caster will deflect 8.0% of incoming attacks.',0,0),
(28013,60008,9,100,'Increases Attack Speed of caster by 22.9',0,1),
(28014,60008,9,100,'Increases Parry of caster by 17.1',0,2),
(28015,60008,9,100,'Increases Deflection, Slashing, Piercing, Crushing and Ranged of caster by 17.1',0,3),
(28016,60008,9,100,'Increases Mitigation of caster vs arcane damage by 1193',0,4),
(28017,60008,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 13%',0,5),
(28018,60009,1,100,'Caster will deflect 4.5% of incoming attacks.',0,0),
(28019,60009,1,100,'Increases Attack Speed of caster by 14.0',0,1),
(28020,60009,1,100,'Increases Parry of caster by 11.5',0,2),
(28021,60009,1,100,'Increases Deflection, Slashing, Piercing, Crushing and Ranged of caster by 11.5',0,3),
(28022,60009,1,100,'Increases Mitigation of caster vs arcane damage by 769',0,4),
(28023,60009,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 13%',0,5),
(28024,60009,4,100,'Caster will deflect 5.5% of incoming attacks.',0,0),
(28025,60009,4,100,'Increases Attack Speed of caster by 17.2',0,1),
(28026,60009,4,100,'Increases Parry of caster by 14.0',0,2),
(28027,60009,4,100,'Increases Deflection, Slashing, Piercing, Crushing and Ranged of caster by 14.0',0,3),
(28028,60009,4,100,'Increases Mitigation of caster vs arcane damage by 940',0,4),
(28029,60009,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 13%',0,5),
(28030,60009,5,100,'Caster will deflect 6.0% of incoming attacks.',0,0),
(28031,60009,5,100,'Increases Attack Speed of caster by 18.7',0,1),
(28032,60009,5,100,'Increases Parry of caster by 15.3',0,2),
(28033,60009,5,100,'Increases Deflection, Slashing, Piercing, Crushing and Ranged of caster by 15.3',0,3),
(28034,60009,5,100,'Increases Mitigation of caster vs arcane damage by 1025',0,4),
(28035,60009,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 13%',0,5),
(28036,60009,7,100,'Caster will deflect 7.0% of incoming attacks.',0,0),
(28037,60009,7,100,'Increases Attack Speed of caster by 21.8',0,1),
(28038,60009,7,100,'Increases Parry of caster by 17.9',0,2),
(28039,60009,7,100,'Increases Deflection, Slashing, Piercing, Crushing and Ranged of caster by 17.9',0,3),
(28040,60009,7,100,'Increases Mitigation of caster vs arcane damage by 1196',0,4),
(28041,60009,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 13%',0,5),
(28042,60009,9,100,'Caster will deflect 8.0% of incoming attacks.',0,0),
(28043,60009,9,100,'Increases Attack Speed of caster by 25.0',0,1),
(28044,60009,9,100,'Increases Parry of caster by 20.4',0,2),
(28045,60009,9,100,'Increases Deflection, Slashing, Piercing, Crushing and Ranged of caster by 20.4',0,3),
(28046,60009,9,100,'Increases Mitigation of caster vs arcane damage by 1367',0,4),
(28047,60009,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 13%',0,5),
(28048,60010,1,100,'Caster will deflect 4.5% of incoming attacks.',0,0),
(28049,60010,1,100,'Increases Attack Speed of caster by 16.0',0,1),
(28050,60010,1,100,'Increases Parry of caster by 13.7',0,2),
(28051,60010,1,100,'Increases Deflection, Slashing, Piercing, Crushing and Ranged of caster by 13.7',0,3),
(28052,60010,1,100,'Increases Mitigation of caster vs arcane damage by 901',0,4),
(28053,60010,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 13%',0,5),
(28054,60010,4,100,'Caster will deflect 5.5% of incoming attacks.',0,0),
(28055,60010,4,100,'Increases Attack Speed of caster by 19.5',0,1),
(28056,60010,4,100,'Increases Parry of caster by 16.8',0,2),
(28057,60010,4,100,'Increases Deflection, Slashing, Piercing, Crushing and Ranged of caster by 16.8',0,3),
(28058,60010,4,100,'Increases Mitigation of caster vs arcane damage by 1101',0,4),
(28059,60010,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 13%',0,5),
(28060,60010,5,100,'Caster will deflect 6.0% of incoming attacks.',0,0),
(28061,60010,5,100,'Increases Attack Speed of caster by 21.3',0,1),
(28062,60010,5,100,'Increases Parry of caster by 18.3',0,2),
(28063,60010,5,100,'Increases Deflection, Slashing, Piercing, Crushing and Ranged of caster by 18.3',0,3),
(28064,60010,5,100,'Increases Mitigation of caster vs arcane damage by 1201',0,4),
(28065,60010,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 13%',0,5),
(28066,60010,7,100,'Caster will deflect 7.0% of incoming attacks.',0,0),
(28067,60010,7,100,'Increases Attack Speed of caster by 24.8',0,1),
(28068,60010,7,100,'Increases Parry of caster by 21.4',0,2),
(28069,60010,7,100,'Increases Deflection, Slashing, Piercing, Crushing and Ranged of caster by 21.4',0,3),
(28070,60010,7,100,'Increases Mitigation of caster vs arcane damage by 1401',0,4),
(28071,60010,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 13%',0,5),
(28072,60010,9,100,'Caster will deflect 8.0% of incoming attacks.',0,0),
(28073,60010,9,100,'Increases Attack Speed of caster by 28.4',0,1),
(28074,60010,9,100,'Increases Parry of caster by 24.4',0,2),
(28075,60010,9,100,'Increases Deflection, Slashing, Piercing, Crushing and Ranged of caster by 24.4',0,3),
(28076,60010,9,100,'Increases Mitigation of caster vs arcane damage by 1602',0,4),
(28077,60010,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 13%',0,5),
(28078,340049,1,100,'Decreases Slashing, Piercing and Crushing of caster by 13.8',0,0),
(28079,340049,1,100,'Increases Aggression of caster by 2.4',0,1),
(28080,340049,1,100,'Increases Defense and Parry of caster by 4.9',0,2),
(28081,340049,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(28082,340049,2,100,'Decreases Slashing, Piercing and Crushing of caster by 13.8',0,0),
(28083,340049,2,100,'Increases Aggression of caster by 2.6',0,1),
(28084,340049,2,100,'Increases Defense and Parry of caster by 5.1',0,2),
(28085,340049,2,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(28086,340049,3,100,'Decreases Slashing, Piercing and Crushing of caster by 13.8',0,0),
(28087,340049,3,100,'Increases Aggression of caster by 2.7',0,1),
(28088,340049,3,100,'Increases Defense and Parry of caster by 5.4',0,2),
(28089,340049,3,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(28090,340049,4,100,'Decreases Slashing, Piercing and Crushing of caster by 13.8',0,0),
(28091,340049,4,100,'Increases Aggression of caster by 3.0',0,1),
(28092,340049,4,100,'Increases Defense and Parry of caster by 5.9',0,2),
(28093,340049,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(28094,340049,5,100,'Decreases Slashing, Piercing and Crushing of caster by 13.8',0,0),
(28095,340049,5,100,'Increases Aggression of caster by 3.2',0,1),
(28096,340049,5,100,'Increases Defense and Parry of caster by 6.5',0,2),
(28097,340049,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(28098,340049,7,100,'Decreases Slashing, Piercing and Crushing of caster by 13.8',0,0),
(28099,340049,7,100,'Increases Aggression of caster by 4.2',0,1),
(28100,340049,7,100,'Increases Defense and Parry of caster by 8.3',0,2),
(28101,340049,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(28102,340049,9,100,'Decreases Slashing, Piercing and Crushing of caster by 13.8',0,0),
(28103,340049,9,100,'Increases Aggression of caster by 4.3',0,1),
(28104,340049,9,100,'Increases Defense and Parry of caster by 8.6',0,2),
(28105,340049,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(28106,340050,1,100,'Decreases Slashing, Piercing and Crushing of caster by 16.3',0,0),
(28107,340050,1,100,'Increases Aggression of caster by 4.3',0,1),
(28108,340050,1,100,'Increases Defense and Parry of caster by 8.6',0,2),
(28109,340050,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(28110,340050,2,100,'Decreases Slashing, Piercing and Crushing of caster by 16.3',0,0),
(28111,340050,2,100,'Increases Aggression of caster by 4.6',0,1),
(28112,340050,2,100,'Increases Defense and Parry of caster by 9.1',0,2),
(28113,340050,2,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(28114,340050,3,100,'Decreases Slashing, Piercing and Crushing of caster by 16.3',0,0),
(28115,340050,3,100,'Increases Aggression of caster by 4.8',0,1),
(28116,340050,3,100,'Increases Defense and Parry of caster by 9.6',0,2),
(28117,340050,3,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(28118,340050,4,100,'Decreases Slashing, Piercing and Crushing of caster by 16.3',0,0),
(28119,340050,4,100,'Increases Aggression of caster by 5.3',0,1),
(28120,340050,4,100,'Increases Defense and Parry of caster by 10.6',0,2),
(28121,340050,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(28122,340050,5,100,'Decreases Slashing, Piercing and Crushing of caster by 16.3',0,0),
(28123,340050,5,100,'Increases Aggression of caster by 5.8',0,1),
(28124,340050,5,100,'Increases Defense and Parry of caster by 11.5',0,2),
(28125,340050,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(28126,340050,7,100,'Decreases Slashing, Piercing and Crushing of caster by 16.3',0,0),
(28127,340050,7,100,'Increases Aggression of caster by 7.4',0,1),
(28128,340050,7,100,'Increases Defense and Parry of caster by 14.8',0,2),
(28129,340050,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(28130,340050,9,100,'Decreases Slashing, Piercing and Crushing of caster by 16.3',0,0),
(28131,340050,9,100,'Increases Aggression of caster by 7.7',0,1),
(28132,340050,9,100,'Increases Defense and Parry of caster by 15.4',0,2),
(28133,340050,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(28134,340051,1,100,'Decreases Slashing, Piercing and Crushing of caster by 19.3',0,0),
(28135,340051,1,100,'Increases Aggression of caster by 6.2',0,1),
(28136,340051,1,100,'Increases Defense and Parry of caster by 12.4',0,2),
(28137,340051,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(28138,340051,2,100,'Decreases Slashing, Piercing and Crushing of caster by 19.3',0,0),
(28139,340051,2,100,'Increases Aggression of caster by 6.6',0,1),
(28140,340051,2,100,'Increases Defense and Parry of caster by 13.1',0,2),
(28141,340051,2,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(28142,340051,3,100,'Decreases Slashing, Piercing and Crushing of caster by 19.3',0,0),
(28143,340051,3,100,'Increases Aggression of caster by 6.9',0,1),
(28144,340051,3,100,'Increases Defense and Parry of caster by 13.8',0,2),
(28145,340051,3,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(28146,340051,4,100,'Decreases Slashing, Piercing and Crushing of caster by 19.3',0,0),
(28147,340051,4,100,'Increases Aggression of caster by 7.6',0,1),
(28148,340051,4,100,'Increases Defense and Parry of caster by 15.2',0,2),
(28149,340051,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(28150,340051,5,100,'Decreases Slashing, Piercing and Crushing of caster by 19.3',0,0),
(28151,340051,5,100,'Increases Aggression of caster by 8.3',0,1),
(28152,340051,5,100,'Increases Defense and Parry of caster by 16.6',0,2),
(28153,340051,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(28154,340051,7,100,'Decreases Slashing, Piercing and Crushing of caster by 19.3',0,0),
(28155,340051,7,100,'Increases Aggression of caster by 10.6',0,1),
(28156,340051,7,100,'Increases Defense and Parry of caster by 21.3',0,2),
(28157,340051,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(28158,340051,9,100,'Decreases Slashing, Piercing and Crushing of caster by 19.3',0,0),
(28159,340051,9,100,'Increases Aggression of caster by 11.0',0,1),
(28160,340051,9,100,'Increases Defense and Parry of caster by 22.1',0,2),
(28161,340051,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(28162,340052,1,100,'Decreases Slashing, Piercing and Crushing of caster by 22.6',0,0),
(28163,340052,1,100,'Increases Aggression of caster by 8.1',0,1),
(28164,340052,1,100,'Increases Defense and Parry of caster by 16.2',0,2),
(28165,340052,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(28166,340052,2,100,'Decreases Slashing, Piercing and Crushing of caster by 22.6',0,0),
(28167,340052,2,100,'Increases Aggression of caster by 8.6',0,1),
(28168,340052,2,100,'Increases Defense and Parry of caster by 17.1',0,2),
(28169,340052,2,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(28170,340052,3,100,'Decreases Slashing, Piercing and Crushing of caster by 22.6',0,0),
(28171,340052,3,100,'Increases Aggression of caster by 9.0',0,1),
(28172,340052,3,100,'Increases Defense and Parry of caster by 18.0',0,2),
(28173,340052,3,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(28174,340052,4,100,'Decreases Slashing, Piercing and Crushing of caster by 22.6',0,0),
(28175,340052,4,100,'Increases Aggression of caster by 9.9',0,1),
(28176,340052,4,100,'Increases Defense and Parry of caster by 19.8',0,2),
(28177,340052,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(28178,340052,5,100,'Decreases Slashing, Piercing and Crushing of caster by 22.6',0,0),
(28179,340052,5,100,'Increases Aggression of caster by 10.8',0,1),
(28180,340052,5,100,'Increases Defense and Parry of caster by 21.6',0,2),
(28181,340052,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(28182,340052,7,100,'Decreases Slashing, Piercing and Crushing of caster by 22.6',0,0),
(28183,340052,7,100,'Increases Aggression of caster by 13.9',0,1),
(28184,340052,7,100,'Increases Defense and Parry of caster by 27.7',0,2),
(28185,340052,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(28186,340052,9,100,'Decreases Slashing, Piercing and Crushing of caster by 22.6',0,0),
(28187,340052,9,100,'Increases Aggression of caster by 14.4',0,1),
(28188,340052,9,100,'Increases Defense and Parry of caster by 28.8',0,2),
(28189,340052,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(28190,340053,1,100,'Decreases Slashing, Piercing and Crushing of caster by 25.9',0,0),
(28191,340053,1,100,'Increases Aggression of caster by 10.0',0,1),
(28192,340053,1,100,'Increases Defense and Parry of caster by 20.0',0,2),
(28193,340053,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(28194,340053,2,100,'Decreases Slashing, Piercing and Crushing of caster by 25.9',0,0),
(28195,340053,2,100,'Increases Aggression of caster by 10.5',0,1),
(28196,340053,2,100,'Increases Defense and Parry of caster by 21.1',0,2),
(28197,340053,2,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(28198,340053,3,100,'Decreases Slashing, Piercing and Crushing of caster by 25.9',0,0),
(28199,340053,3,100,'Increases Aggression of caster by 11.1',0,1),
(28200,340053,3,100,'Increases Defense and Parry of caster by 22.2',0,2),
(28201,340053,3,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(28202,340053,4,100,'Decreases Slashing, Piercing and Crushing of caster by 25.9',0,0),
(28203,340053,4,100,'Increases Aggression of caster by 12.2',0,1),
(28204,340053,4,100,'Increases Defense and Parry of caster by 24.4',0,2),
(28205,340053,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(28206,340053,5,100,'Decreases Slashing, Piercing and Crushing of caster by 25.9',0,0),
(28207,340053,5,100,'Increases Aggression of caster by 13.3',0,1),
(28208,340053,5,100,'Increases Defense and Parry of caster by 26.6',0,2),
(28209,340053,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(28210,340053,7,100,'Decreases Slashing, Piercing and Crushing of caster by 25.9',0,0),
(28211,340053,7,100,'Increases Aggression of caster by 17.1',0,1),
(28212,340053,7,100,'Increases Defense and Parry of caster by 34.2',0,2),
(28213,340053,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(28214,340053,9,100,'Decreases Slashing, Piercing and Crushing of caster by 25.9',0,0),
(28215,340053,9,100,'Increases Aggression of caster by 17.8',0,1),
(28216,340053,9,100,'Increases Defense and Parry of caster by 35.5',0,2),
(28217,340053,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(28218,340054,1,100,'Decreases Slashing, Piercing and Crushing of caster by 29.2',0,0),
(28219,340054,1,100,'Increases Aggression of caster by 11.9',0,1),
(28220,340054,1,100,'Increases Defense and Parry of caster by 23.8',0,2),
(28221,340054,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(28222,340054,4,100,'Decreases Slashing, Piercing and Crushing of caster by 29.2',0,0),
(28223,340054,4,100,'Increases Aggression of caster by 14.6',0,1),
(28224,340054,4,100,'Increases Defense and Parry of caster by 29.2',0,2),
(28225,340054,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(28226,340054,5,100,'Decreases Slashing, Piercing and Crushing of caster by 29.2',0,0),
(28227,340054,5,100,'Increases Aggression of caster by 15.9',0,1),
(28228,340054,5,100,'Increases Defense and Parry of caster by 31.8',0,2),
(28229,340054,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(28230,340054,7,100,'Decreases Slashing, Piercing and Crushing of caster by 29.2',0,0),
(28231,340054,7,100,'Increases Aggression of caster by 20.4',0,1),
(28232,340054,7,100,'Increases Defense and Parry of caster by 40.8',0,2),
(28233,340054,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(28234,340054,9,100,'Decreases Slashing, Piercing and Crushing of caster by 29.2',0,0),
(28235,340054,9,100,'Increases Aggression of caster by 21.2',0,1),
(28236,340054,9,100,'Increases Defense and Parry of caster by 42.4',0,2),
(28237,340054,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(28238,340055,1,100,'Decreases Slashing, Piercing and Crushing of caster by 32.5',0,0),
(28239,340055,1,100,'Increases Aggression of caster by 14.2',0,1),
(28240,340055,1,100,'Increases Defense and Parry of caster by 28.3',0,2),
(28241,340055,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(28242,340055,4,100,'Decreases Slashing, Piercing and Crushing of caster by 32.5',0,0),
(28243,340055,4,100,'Increases Aggression of caster by 17.3',0,1),
(28244,340055,4,100,'Increases Defense and Parry of caster by 34.7',0,2),
(28245,340055,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(28246,340055,5,100,'Decreases Slashing, Piercing and Crushing of caster by 32.5',0,0),
(28247,340055,5,100,'Increases Aggression of caster by 18.9',0,1),
(28248,340055,5,100,'Increases Defense and Parry of caster by 37.8',0,2),
(28249,340055,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(28250,340055,7,100,'Decreases Slashing, Piercing and Crushing of caster by 32.5',0,0),
(28251,340055,7,100,'Increases Aggression of caster by 24.3',0,1),
(28252,340055,7,100,'Increases Defense and Parry of caster by 48.5',0,2),
(28253,340055,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(28254,340055,9,100,'Decreases Slashing, Piercing and Crushing of caster by 32.5',0,0),
(28255,340055,9,100,'Increases Aggression of caster by 25.2',0,1),
(28256,340055,9,100,'Increases Defense and Parry of caster by 50.4',0,2),
(28257,340055,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(28260,380001,1,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,2),
(28261,380001,1,100,'Inflicts 35 - 58 melee damage on target',1,3),
(28264,380001,2,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,2),
(28265,380001,2,100,'Inflicts 37 - 62 melee damage on target',1,3),
(28268,380001,3,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,2),
(28269,380001,3,100,'Inflicts 39 - 65 melee damage on target',1,3),
(28272,380001,4,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,2),
(28273,380001,4,100,'Inflicts 43 - 71 melee damage on target',1,3),
(28276,380001,5,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,2),
(28277,380001,5,100,'Inflicts 47 - 78 melee damage on target',1,3),
(28280,380001,7,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,2),
(28281,380001,7,100,'Inflicts 60 - 100 melee damage on target',1,3),
(28284,380001,9,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,2),
(28285,380001,9,100,'Inflicts 62 - 104 melee damage on target',1,3),
(28286,2000023,1,100,'Inflicts 233 - 389 melee damage on target',0,0),
(28287,2000023,1,100,'Inflicts 351 - 585 slashing damage on target',0,1),
(28288,2000023,1,100,'If at 80% Health or greater',1,2),
(28289,2000023,2,100,'Inflicts 328 - 548 melee damage on target',0,0),
(28290,2000023,2,100,'Inflicts 493 - 822 slashing damage on target',0,1),
(28291,2000023,2,100,'If at 80% Health or greater',1,2),
(28292,2000023,3,100,'Inflicts 259 - 433 melee damage on target',0,0),
(28293,2000023,3,100,'Inflicts 390 - 650 slashing damage on target',0,1),
(28294,2000023,3,100,'If at 80% Health or greater',1,2),
(28295,2000023,4,100,'Inflicts 380 - 634 melee damage on target',0,0),
(28296,2000023,4,100,'Inflicts 571 - 952 slashing damage on target',0,1),
(28297,2000023,4,100,'If at 80% Health or greater',1,2),
(28298,2000023,5,100,'Inflicts 415 - 692 melee damage on target',0,0),
(28299,2000023,5,100,'Inflicts 623 - 1039 slashing damage on target',0,1),
(28300,2000023,5,100,'If at 80% Health or greater',1,2),
(28301,2000023,6,100,'Inflicts 337 - 562 melee damage on target',0,0),
(28302,2000023,6,100,'Inflicts 507 - 844 slashing damage on target',0,1),
(28303,2000023,6,100,'If at 80% Health or greater',1,2),
(28304,2000023,7,100,'Inflicts 400 - 666 melee damage on target',0,0),
(28305,2000023,7,100,'Inflicts 600 - 1000 slashing damage on target',0,1),
(28306,2000023,7,100,'If at 80% Health or greater',1,2),
(28307,2000023,8,100,'Inflicts 536 - 894 melee damage on target',0,0),
(28308,2000023,8,100,'Inflicts 805 - 1342 slashing damage on target',0,1),
(28309,2000023,8,100,'If at 80% Health or greater',1,2),
(28310,2000023,9,100,'Inflicts 415 - 692 melee damage on target',0,0),
(28311,2000023,9,100,'Inflicts 624 - 1039 slashing damage on target',0,1),
(28312,2000023,9,100,'If at 80% Health or greater',1,2),
(28313,2000023,10,100,'Inflicts 436 - 727 melee damage on target',0,0),
(28314,2000023,10,100,'Inflicts 655 - 1091 slashing damage on target',0,1),
(28315,2000023,10,100,'If at 80% Health or greater',1,2),
(28316,330014,1,100,'Increases STA of caster by 0.7',0,0),
(28317,330014,1,100,'Increases AGI of caster by 15.0',0,1),
(28318,330014,1,100,'Adds 14.0% to base avoidance.',0,2),
(28319,330014,1,100,'Increases Mitigation of caster vs physical damage by 140',0,3),
(28320,330014,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 183',0,4),
(28321,330014,2,100,'Increases STA of caster by 0.7',0,0),
(28322,330014,2,100,'Increases AGI of caster by 15.8',0,1),
(28323,330014,2,100,'Adds 14.8% to base avoidance.',0,2),
(28324,330014,2,100,'Increases Mitigation of caster vs physical damage by 148',0,3),
(28325,330014,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 193',0,4),
(28326,330014,3,100,'Increases STA of caster by 0.8',0,0),
(28327,330014,3,100,'Increases AGI of caster by 16.6',0,1),
(28328,330014,3,100,'Adds 15.6% to base avoidance.',0,2),
(28329,330014,3,100,'Increases Mitigation of caster vs physical damage by 156',0,3),
(28330,330014,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 203',0,4),
(28331,330014,4,100,'Increases STA of caster by 0.8',0,0),
(28332,330014,4,100,'Increases AGI of caster by 18.3',0,1),
(28333,330014,4,100,'Adds 17.2% to base avoidance.',0,2),
(28334,330014,4,100,'Increases Mitigation of caster vs physical damage by 172',0,3),
(28335,330014,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 223',0,4),
(28336,330014,5,100,'Increases STA of caster by 0.9',0,0),
(28337,330014,5,100,'Increases AGI of caster by 20.0',0,1),
(28338,330014,5,100,'Adds 18.7% to base avoidance.',0,2),
(28339,330014,5,100,'Increases Mitigation of caster vs physical damage by 187',0,3),
(28340,330014,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 243',0,4),
(28341,330014,7,100,'Increases STA of caster by 1.2',0,0),
(28342,330014,7,100,'Increases AGI of caster by 25.6',0,1),
(28343,330014,7,100,'Adds 24.0% to base avoidance.',0,2),
(28344,330014,7,100,'Increases Mitigation of caster vs physical damage by 240',0,3),
(28345,330014,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 312',0,4),
(28346,330014,9,100,'Increases STA of caster by 1.2',0,0),
(28347,330014,9,100,'Increases AGI of caster by 26.6',0,1),
(28348,330014,9,100,'Adds 25.0% to base avoidance.',0,2),
(28349,330014,9,100,'Increases Mitigation of caster vs physical damage by 250',0,3),
(28350,330014,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 324',0,4),
(28351,330014,10,100,'Increases STA of caster by 1.3',0,0),
(28352,330014,10,100,'Increases AGI of caster by 28.0',0,1),
(28353,330014,10,100,'Adds 26.2% to base avoidance.',0,2),
(28354,330014,10,100,'Increases Mitigation of caster vs physical damage by 262',0,3),
(28355,330014,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 341',0,4),
(28356,330015,1,100,'Increases STA of caster by 0.7',0,0),
(28357,330015,1,100,'Increases AGI of caster by 28.2',0,1),
(28358,330015,1,100,'Adds 14.0% to base avoidance.',0,2),
(28359,330015,1,100,'Increases Mitigation of caster vs physical damage by 292',0,3),
(28360,330015,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 379',0,4),
(28361,330015,2,100,'Increases STA of caster by 0.7',0,0),
(28362,330015,2,100,'Increases AGI of caster by 29.8',0,1),
(28363,330015,2,100,'Adds 14.8% to base avoidance.',0,2),
(28364,330015,2,100,'Increases Mitigation of caster vs physical damage by 308',0,3),
(28365,330015,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 400',0,4),
(28366,330015,3,100,'Increases STA of caster by 0.8',0,0),
(28367,330015,3,100,'Increases AGI of caster by 31.4',0,1),
(28368,330015,3,100,'Adds 15.6% to base avoidance.',0,2),
(28369,330015,3,100,'Increases Mitigation of caster vs physical damage by 324',0,3),
(28370,330015,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 421',0,4),
(28371,330015,4,100,'Increases STA of caster by 0.8',0,0),
(28372,330015,4,100,'Increases AGI of caster by 34.5',0,1),
(28373,330015,4,100,'Adds 17.2% to base avoidance.',0,2),
(28374,330015,4,100,'Increases Mitigation of caster vs physical damage by 356',0,3),
(28375,330015,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 463',0,4),
(28376,330015,5,100,'Increases STA of caster by 0.9',0,0),
(28377,330015,5,100,'Increases AGI of caster by 37.6',0,1),
(28378,330015,5,100,'Adds 18.7% to base avoidance.',0,2),
(28379,330015,5,100,'Increases Mitigation of caster vs physical damage by 389',0,3),
(28380,330015,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 505',0,4),
(28381,330015,7,100,'Increases STA of caster by 1.2',0,0),
(28382,330015,7,100,'Increases AGI of caster by 48.3',0,1),
(28383,330015,7,100,'Adds 24.0% to base avoidance.',0,2),
(28384,330015,7,100,'Increases Mitigation of caster vs physical damage by 499',0,3),
(28385,330015,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 649',0,4),
(28386,330015,9,100,'Increases STA of caster by 1.2',0,0),
(28387,330015,9,100,'Increases AGI of caster by 50.2',0,1),
(28388,330015,9,100,'Adds 25.0% to base avoidance.',0,2),
(28389,330015,9,100,'Increases Mitigation of caster vs physical damage by 518',0,3),
(28390,330015,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 674',0,4),
(28391,330016,1,100,'Increases STA of caster by 0.7',0,0),
(28392,330016,1,100,'Increases AGI of caster by 42.9',0,1),
(28393,330016,1,100,'Adds 14.0% to base avoidance.',0,2),
(28394,330016,1,100,'Increases Mitigation of caster vs physical damage by 443',0,3),
(28395,330016,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 576',0,4),
(28396,330016,2,100,'Increases STA of caster by 0.7',0,0),
(28397,330016,2,100,'Increases AGI of caster by 45.3',0,1),
(28398,330016,2,100,'Adds 14.8% to base avoidance.',0,2),
(28399,330016,2,100,'Increases Mitigation of caster vs physical damage by 467',0,3),
(28400,330016,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 608',0,4),
(28401,330016,3,100,'Increases STA of caster by 0.8',0,0),
(28402,330016,3,100,'Increases AGI of caster by 47.7',0,1),
(28403,330016,3,100,'Adds 15.6% to base avoidance.',0,2),
(28404,330016,3,100,'Increases Mitigation of caster vs physical damage by 492',0,3),
(28405,330016,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 640',0,4),
(28406,330016,4,100,'Increases STA of caster by 0.8',0,0),
(28407,330016,4,100,'Increases AGI of caster by 52.5',0,1),
(28408,330016,4,100,'Adds 17.2% to base avoidance.',0,2),
(28409,330016,4,100,'Increases Mitigation of caster vs physical damage by 541',0,3),
(28410,330016,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 704',0,4),
(28411,330016,5,100,'Increases STA of caster by 0.9',0,0),
(28412,330016,5,100,'Increases AGI of caster by 57.2',0,1),
(28413,330016,5,100,'Adds 18.7% to base avoidance.',0,2),
(28414,330016,5,100,'Increases Mitigation of caster vs physical damage by 590',0,3),
(28415,330016,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 768',0,4),
(28416,330016,7,100,'Increases STA of caster by 1.2',0,0),
(28417,330016,7,100,'Increases AGI of caster by 73.5',0,1),
(28418,330016,7,100,'Adds 24.0% to base avoidance.',0,2),
(28419,330016,7,100,'Increases Mitigation of caster vs physical damage by 758',0,3),
(28420,330016,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 985',0,4),
(28421,330016,9,100,'Increases STA of caster by 1.2',0,0),
(28422,330016,9,100,'Increases AGI of caster by 76.3',0,1),
(28423,330016,9,100,'Adds 25.0% to base avoidance.',0,2),
(28424,330016,9,100,'Increases Mitigation of caster vs physical damage by 787',0,3),
(28425,330016,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1023',0,4),
(28426,330016,10,100,'Increases STA of caster by 1.3',0,0),
(28427,330016,10,100,'Increases AGI of caster by 80.1',0,1),
(28428,330016,10,100,'Adds 26.2% to base avoidance.',0,2),
(28429,330016,10,100,'Increases Mitigation of caster vs physical damage by 827',0,3),
(28430,330016,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1075',0,4),
(28431,330017,1,100,'Increases STA of caster by 0.7',0,0),
(28432,330017,1,100,'Increases AGI of caster by 58.0',0,1),
(28433,330017,1,100,'Adds 14.0% to base avoidance.',0,2),
(28434,330017,1,100,'Increases Mitigation of caster vs physical damage by 594',0,3),
(28435,330017,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 772',0,4),
(28436,330017,2,100,'Increases STA of caster by 0.7',0,0),
(28437,330017,2,100,'Increases AGI of caster by 61.3',0,1),
(28438,330017,2,100,'Adds 14.8% to base avoidance.',0,2),
(28439,330017,2,100,'Increases Mitigation of caster vs physical damage by 627',0,3),
(28440,330017,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 815',0,4),
(28441,330017,3,100,'Increases STA of caster by 0.8',0,0),
(28442,330017,3,100,'Increases AGI of caster by 64.5',0,1),
(28443,330017,3,100,'Adds 15.6% to base avoidance.',0,2),
(28444,330017,3,100,'Increases Mitigation of caster vs physical damage by 660',0,3),
(28445,330017,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 858',0,4),
(28446,330017,4,100,'Increases STA of caster by 0.8',0,0),
(28447,330017,4,100,'Increases AGI of caster by 71.0',0,1),
(28448,330017,4,100,'Adds 17.2% to base avoidance.',0,2),
(28449,330017,4,100,'Increases Mitigation of caster vs physical damage by 726',0,3),
(28450,330017,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 944',0,4),
(28451,330017,5,100,'Increases STA of caster by 0.9',0,0),
(28452,330017,5,100,'Increases AGI of caster by 77.4',0,1),
(28453,330017,5,100,'Adds 18.7% to base avoidance.',0,2),
(28454,330017,5,100,'Increases Mitigation of caster vs physical damage by 792',0,3),
(28455,330017,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1030',0,4),
(28456,330017,7,100,'Increases STA of caster by 1.2',0,0),
(28457,330017,7,100,'Increases AGI of caster by 99.3',0,1),
(28458,330017,7,100,'Adds 24.0% to base avoidance.',0,2),
(28459,330017,7,100,'Increases Mitigation of caster vs physical damage by 1016',0,3),
(28460,330017,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1321',0,4),
(28461,330017,9,100,'Increases STA of caster by 1.2',0,0),
(28462,330017,9,100,'Increases AGI of caster by 103.2',0,1),
(28463,330017,9,100,'Adds 25.0% to base avoidance.',0,2),
(28464,330017,9,100,'Increases Mitigation of caster vs physical damage by 1056',0,3),
(28465,330017,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1373',0,4),
(28466,330018,1,100,'Increases STA of caster by 0.7',0,0),
(28467,330018,1,100,'Increases AGI of caster by 73.2',0,1),
(28468,330018,1,100,'Adds 14.0% to base avoidance.',0,2),
(28469,330018,1,100,'Increases Mitigation of caster vs physical damage by 745',0,3),
(28470,330018,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 969',0,4),
(28471,330018,2,100,'Increases STA of caster by 0.7',0,0),
(28472,330018,2,100,'Increases AGI of caster by 77.2',0,1),
(28473,330018,2,100,'Adds 14.8% to base avoidance.',0,2),
(28474,330018,2,100,'Increases Mitigation of caster vs physical damage by 787',0,3),
(28475,330018,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1023',0,4),
(28476,330018,3,100,'Increases STA of caster by 0.8',0,0),
(28477,330018,3,100,'Increases AGI of caster by 81.3',0,1),
(28478,330018,3,100,'Adds 15.6% to base avoidance.',0,2),
(28479,330018,3,100,'Increases Mitigation of caster vs physical damage by 828',0,3),
(28480,330018,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1076',0,4),
(28481,330018,4,100,'Increases STA of caster by 0.8',0,0),
(28482,330018,4,100,'Increases AGI of caster by 89.4',0,1),
(28483,330018,4,100,'Adds 17.2% to base avoidance.',0,2),
(28484,330018,4,100,'Increases Mitigation of caster vs physical damage by 911',0,3),
(28485,330018,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1184',0,4),
(28486,330018,5,100,'Increases STA of caster by 0.9',0,0),
(28487,330018,5,100,'Increases AGI of caster by 97.6',0,1),
(28488,330018,5,100,'Adds 18.7% to base avoidance.',0,2),
(28489,330018,5,100,'Increases Mitigation of caster vs physical damage by 994',0,3),
(28490,330018,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1292',0,4),
(28491,330018,7,100,'Increases STA of caster by 1.2',0,0),
(28492,330018,7,100,'Increases AGI of caster by 125.2',0,1),
(28493,330018,7,100,'Adds 24.0% to base avoidance.',0,2),
(28494,330018,7,100,'Increases Mitigation of caster vs physical damage by 1275',0,3),
(28495,330018,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1658',0,4),
(28496,330018,9,100,'Increases STA of caster by 1.2',0,0),
(28497,330018,9,100,'Increases AGI of caster by 130.1',0,1),
(28498,330018,9,100,'Adds 25.0% to base avoidance.',0,2),
(28499,330018,9,100,'Increases Mitigation of caster vs physical damage by 1325',0,3),
(28500,330018,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1722',0,4),
(28501,330019,1,100,'Increases STA of caster by 0.7',0,0),
(28502,330019,1,100,'Increases AGI of caster by 87.6',0,1),
(28503,330019,1,100,'Adds 14.0% to base avoidance.',0,2),
(28504,330019,1,100,'Increases Mitigation of caster vs physical damage by 853',0,3),
(28505,330019,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1109',0,4),
(28506,330019,2,100,'Increases STA of caster by 0.7',0,0),
(28507,330019,2,100,'Increases AGI of caster by 92.5',0,1),
(28508,330019,2,100,'Adds 14.8% to base avoidance.',0,2),
(28509,330019,2,100,'Increases Mitigation of caster vs physical damage by 901',0,3),
(28510,330019,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1171',0,4),
(28511,330019,3,100,'Increases STA of caster by 0.8',0,0),
(28512,330019,3,100,'Increases AGI of caster by 97.3',0,1),
(28513,330019,3,100,'Adds 15.6% to base avoidance.',0,2),
(28514,330019,3,100,'Increases Mitigation of caster vs physical damage by 948',0,3),
(28515,330019,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1232',0,4),
(28516,330019,4,100,'Increases STA of caster by 0.8',0,0),
(28517,330019,4,100,'Increases AGI of caster by 107.1',0,1),
(28518,330019,4,100,'Adds 17.2% to base avoidance.',0,2),
(28519,330019,4,100,'Increases Mitigation of caster vs physical damage by 1043',0,3),
(28520,330019,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1356',0,4),
(28521,330019,5,100,'Increases STA of caster by 0.9',0,0),
(28522,330019,5,100,'Increases AGI of caster by 116.8',0,1),
(28523,330019,5,100,'Adds 18.7% to base avoidance.',0,2),
(28524,330019,5,100,'Increases Mitigation of caster vs physical damage by 1138',0,3),
(28525,330019,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1479',0,4),
(28526,330019,7,100,'Increases STA of caster by 1.2',0,0),
(28527,330019,7,100,'Increases AGI of caster by 149.9',0,1),
(28528,330019,7,100,'Adds 24.0% to base avoidance.',0,2),
(28529,330019,7,100,'Increases Mitigation of caster vs physical damage by 1460',0,3),
(28530,330019,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1898',0,4),
(28531,330019,9,100,'Increases STA of caster by 1.2',0,0),
(28532,330019,9,100,'Increases AGI of caster by 155.8',0,1),
(28533,330019,9,100,'Adds 25.0% to base avoidance.',0,2),
(28534,330019,9,100,'Increases Mitigation of caster vs physical damage by 1517',0,3),
(28535,330019,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1972',0,4),
(28536,330020,1,100,'Increases STA of caster by 0.7',0,0),
(28537,330020,1,100,'Increases AGI of caster by 102.5',0,1),
(28538,330020,1,100,'Adds 14.0% to base avoidance.',0,2),
(28539,330020,1,100,'Increases Mitigation of caster vs physical damage by 961',0,3),
(28540,330020,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1250',0,4),
(28541,330020,4,100,'Increases STA of caster by 0.8',0,0),
(28542,330020,4,100,'Increases AGI of caster by 125.2',0,1),
(28543,330020,4,100,'Adds 17.2% to base avoidance.',0,2),
(28544,330020,4,100,'Increases Mitigation of caster vs physical damage by 1175',0,3),
(28545,330020,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1527',0,4),
(28546,330020,5,100,'Increases STA of caster by 0.9',0,0),
(28547,330020,5,100,'Increases AGI of caster by 136.6',0,1),
(28548,330020,5,100,'Adds 18.7% to base avoidance.',0,2),
(28549,330020,5,100,'Increases Mitigation of caster vs physical damage by 1282',0,3),
(28550,330020,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1666',0,4),
(28551,330020,7,100,'Increases STA of caster by 1.2',0,0),
(28552,330020,7,100,'Increases AGI of caster by 175.3',0,1),
(28553,330020,7,100,'Adds 24.0% to base avoidance.',0,2),
(28554,330020,7,100,'Increases Mitigation of caster vs physical damage by 1645',0,3),
(28555,330020,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2138',0,4),
(28556,330020,9,100,'Increases STA of caster by 1.2',0,0),
(28557,330020,9,100,'Increases AGI of caster by 182.2',0,1),
(28558,330020,9,100,'Adds 25.0% to base avoidance.',0,2),
(28559,330020,9,100,'Increases Mitigation of caster vs physical damage by 1709',0,3),
(28560,330020,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2221',0,4),
(28561,330021,1,100,'Increases STA of caster by 0.7',0,0),
(28562,330021,1,100,'Increases AGI of caster by 117.3',0,1),
(28563,330021,1,100,'Adds 18.3% to base avoidance.',0,2),
(28564,330021,1,100,'Increases Mitigation of caster vs physical damage by 1390',0,3),
(28565,330021,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1807',0,4),
(28566,330021,4,100,'Increases STA of caster by 0.8',0,0),
(28567,330021,4,100,'Increases AGI of caster by 143.4',0,1),
(28568,330021,4,100,'Adds 22.3% to base avoidance.',0,2),
(28569,330021,4,100,'Increases Mitigation of caster vs physical damage by 1699',0,3),
(28570,330021,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2208',0,4),
(28571,330021,5,100,'Increases STA of caster by 0.9',0,0),
(28572,330021,5,100,'Increases AGI of caster by 156.4',0,1),
(28573,330021,5,100,'Adds 24.3% to base avoidance.',0,2),
(28574,330021,5,100,'Increases Mitigation of caster vs physical damage by 1853',0,3),
(28575,330021,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2409',0,4),
(28576,330021,7,100,'Increases STA of caster by 1.2',0,0),
(28577,330021,7,100,'Increases AGI of caster by 200.7',0,1),
(28578,330021,7,100,'Adds 31.2% to base avoidance.',0,2),
(28579,330021,7,100,'Increases Mitigation of caster vs physical damage by 2378',0,3),
(28580,330021,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 3092',0,4),
(28581,330021,9,100,'Increases STA of caster by 1.2',0,0),
(28582,330021,9,100,'Increases AGI of caster by 208.6',0,1),
(28583,330021,9,100,'Adds 32.4% to base avoidance.',0,2),
(28584,330021,9,100,'Increases Mitigation of caster vs physical damage by 2471',0,3),
(28585,330021,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 3212',0,4),
(28586,90000,1,100,'Interrupts target encounter',0,0),
(28587,90000,1,100,'Increases Threat to target encounter by 560 - 684 ',0,1),
(28588,90000,1,100,'Decreases Mitigation of target encounter vs noxious damage by 104',0,2),
(28589,90000,2,100,'Interrupts target encounter',0,0),
(28590,90000,2,100,'Increases Threat to target encounter by 591 - 722 ',0,1),
(28591,90000,2,100,'Decreases Mitigation of target encounter vs noxious damage by 109',0,2),
(28592,90000,3,100,'Interrupts target encounter',0,0),
(28593,90000,3,100,'Increases Threat to target encounter by 622 - 760 ',0,1),
(28594,90000,3,100,'Decreases Mitigation of target encounter vs noxious damage by 115',0,2),
(28595,90000,4,100,'Interrupts target encounter',0,0),
(28596,90000,4,100,'Increases Threat to target encounter by 684 - 836 ',0,1),
(28597,90000,4,100,'Decreases Mitigation of target encounter vs noxious damage by 127',0,2),
(28598,90000,5,100,'Interrupts target encounter',0,0),
(28599,90000,5,100,'Increases Threat to target encounter by 746 - 912 ',0,1),
(28600,90000,5,100,'Decreases Mitigation of target encounter vs noxious damage by 138',0,2),
(28601,90000,7,100,'Interrupts target encounter',0,0),
(28602,90000,7,100,'Increases Threat to target encounter by 958 - 1,171 ',0,1),
(28603,90000,7,100,'Decreases Mitigation of target encounter vs noxious damage by 177',0,2),
(28604,90000,9,100,'Interrupts target encounter',0,0),
(28605,90000,9,100,'Increases Threat to target encounter by 995 - 1,216 ',0,1),
(28606,90000,9,100,'Decreases Mitigation of target encounter vs noxious damage by 184',0,2),
(28607,90001,1,100,'Interrupts target encounter',0,0),
(28608,90001,1,100,'Increases Threat to target encounter by 1,431 - 1,630 ',0,1),
(28609,90001,1,100,'Decreases Mitigation of target encounter vs noxious damage by 198',0,2),
(28610,90001,2,100,'Interrupts target encounter',0,0),
(28611,90001,2,100,'Increases Threat to target encounter by 1,481 - 1,690 ',0,1),
(28612,90001,2,100,'Decreases Mitigation of target encounter vs noxious damage by 209',0,2),
(28613,90001,3,100,'Interrupts target encounter',0,0),
(28614,90001,3,100,'Increases Threat to target encounter by 1,530 - 1,751 ',0,1),
(28615,90001,3,100,'Decreases Mitigation of target encounter vs noxious damage by 220',0,2),
(28616,90001,4,100,'Interrupts target encounter',0,0),
(28617,90001,4,100,'Increases Threat to target encounter by 1,630 - 1,872 ',0,1),
(28618,90001,4,100,'Decreases Mitigation of target encounter vs noxious damage by 242',0,2),
(28619,90001,5,100,'Interrupts target encounter',0,0),
(28620,90001,5,100,'Increases Threat to target encounter by 1,729 - 1,993 ',0,1),
(28621,90001,5,100,'Decreases Mitigation of target encounter vs noxious damage by 264',0,2),
(28622,90001,7,100,'Interrupts target encounter',0,0),
(28623,90001,7,100,'Increases Threat to target encounter by 2,066 - 2,405 ',0,1),
(28624,90001,7,100,'Decreases Mitigation of target encounter vs noxious damage by 339',0,2),
(28625,90001,9,100,'Interrupts target encounter',0,0),
(28626,90001,9,100,'Increases Threat to target encounter by 2,125 - 2,477 ',0,1),
(28627,90001,9,100,'Decreases Mitigation of target encounter vs noxious damage by 352',0,2),
(28631,90002,1,100,'Interrupts target encounter',0,0),
(28632,90002,1,100,'Increases Threat to target encounter by 2,133 - 2,487 ',0,1),
(28633,90002,1,100,'Decreases Mitigation of target encounter vs noxious damage by 324',0,2),
(28634,90002,2,100,'Interrupts target encounter',0,0),
(28635,90002,2,100,'Increases Threat to target encounter by 2,221 - 2,595 ',0,1),
(28636,90002,2,100,'Decreases Mitigation of target encounter vs noxious damage by 342',0,2),
(28637,90002,3,100,'Interrupts target encounter',0,0),
(28638,90002,3,100,'Increases Threat to target encounter by 2,310 - 2,703 ',0,1),
(28639,90002,3,100,'Decreases Mitigation of target encounter vs noxious damage by 360',0,2),
(28640,90002,4,100,'Interrupts target encounter',0,0),
(28641,90002,4,100,'Increases Threat to target encounter by 2,487 - 2,920 ',0,1),
(28642,90002,4,100,'Decreases Mitigation of target encounter vs noxious damage by 396',0,2),
(28643,90002,5,100,'Interrupts target encounter',0,0),
(28644,90002,5,100,'Increases Threat to target encounter by 2,664 - 3,136 ',0,1),
(28645,90002,5,100,'Decreases Mitigation of target encounter vs noxious damage by 432',0,2),
(28646,90002,7,100,'Interrupts target encounter',0,0),
(28647,90002,7,100,'Increases Threat to target encounter by 3,266 - 3,872 ',0,1),
(28648,90002,7,100,'Decreases Mitigation of target encounter vs noxious damage by 554',0,2),
(28649,90002,9,100,'Interrupts target encounter',0,0),
(28650,90002,9,100,'Increases Threat to target encounter by 3,372 - 4,002 ',0,1),
(28651,90002,9,100,'Decreases Mitigation of target encounter vs noxious damage by 576',0,2),
(28652,90003,1,100,'Interrupts target encounter',0,0),
(28653,90003,1,100,'Increases Threat to target encounter by 2,989 - 3,534 ',0,1),
(28654,90003,1,100,'Decreases Mitigation of target encounter vs noxious damage by 450',0,2),
(28655,90003,2,100,'Interrupts target encounter',0,0),
(28656,90003,2,100,'Increases Threat to target encounter by 3,126 - 3,700 ',0,1),
(28657,90003,2,100,'Decreases Mitigation of target encounter vs noxious damage by 475',0,2),
(28658,90003,3,100,'Interrupts target encounter',0,0),
(28659,90003,3,100,'Increases Threat to target encounter by 3,262 - 3,867 ',0,1),
(28660,90003,3,100,'Decreases Mitigation of target encounter vs noxious damage by 500',0,2),
(28661,90003,4,100,'Interrupts target encounter',0,0),
(28662,90003,4,100,'Increases Threat to target encounter by 3,534 - 4,199 ',0,1),
(28663,90003,4,100,'Decreases Mitigation of target encounter vs noxious damage by 550',0,2),
(28664,90003,5,100,'Interrupts target encounter',0,0),
(28665,90003,5,100,'Increases Threat to target encounter by 3,806 - 4,532 ',0,1),
(28666,90003,5,100,'Decreases Mitigation of target encounter vs noxious damage by 600',0,2),
(28667,90003,7,100,'Interrupts target encounter',0,0),
(28668,90003,7,100,'Increases Threat to target encounter by 4,732 - 5,663 ',0,1),
(28669,90003,7,100,'Decreases Mitigation of target encounter vs noxious damage by 770',0,2),
(28670,90003,9,100,'Interrupts target encounter',0,0),
(28671,90003,9,100,'Increases Threat to target encounter by 4,895 - 5,863 ',0,1),
(28672,90003,9,100,'Decreases Mitigation of target encounter vs noxious damage by 800',0,2),
(28676,90004,1,100,'Interrupts target encounter',0,0),
(28677,90004,1,100,'Increases Threat to target encounter by 3,952 - 4,710 ',0,1),
(28678,90004,1,100,'Decreases Mitigation of target encounter vs noxious damage by 576',0,2),
(28679,90004,2,100,'Interrupts target encounter',0,0),
(28680,90004,2,100,'Increases Threat to target encounter by 4,141 - 4,942 ',0,1),
(28681,90004,2,100,'Decreases Mitigation of target encounter vs noxious damage by 608',0,2),
(28682,90004,3,100,'Interrupts target encounter',0,0),
(28683,90004,3,100,'Increases Threat to target encounter by 4,331 - 5,173 ',0,1),
(28684,90004,3,100,'Decreases Mitigation of target encounter vs noxious damage by 640',0,2),
(28685,90004,4,100,'Interrupts target encounter',0,0),
(28686,90004,4,100,'Increases Threat to target encounter by 4,710 - 5,637 ',0,1),
(28687,90004,4,100,'Decreases Mitigation of target encounter vs noxious damage by 704',0,2),
(28688,90004,5,100,'Interrupts target encounter',0,0),
(28689,90004,5,100,'Increases Threat to target encounter by 5,089 - 6,100 ',0,1),
(28690,90004,5,100,'Decreases Mitigation of target encounter vs noxious damage by 768',0,2),
(28691,90004,7,100,'Interrupts target encounter',0,0),
(28692,90004,7,100,'Increases Threat to target encounter by 6,378 - 7,675 ',0,1),
(28693,90004,7,100,'Decreases Mitigation of target encounter vs noxious damage by 986',0,2),
(28694,90004,9,100,'Interrupts target encounter',0,0),
(28695,90004,9,100,'Increases Threat to target encounter by 6,605 - 7,953 ',0,1),
(28696,90004,9,100,'Decreases Mitigation of target encounter vs noxious damage by 1024',0,2),
(28700,90005,1,100,'Interrupts target encounter',0,0),
(28701,90005,1,100,'Increases Threat to target encounter by 4,957 - 5,938 ',0,1),
(28702,90005,1,100,'Decreases Mitigation of target encounter vs noxious damage by 743',0,2),
(28703,90005,2,100,'Interrupts target encounter',0,0),
(28704,90005,2,100,'Increases Threat to target encounter by 5,202 - 6,238 ',0,1),
(28705,90005,2,100,'Decreases Mitigation of target encounter vs noxious damage by 784',0,2),
(28706,90005,3,100,'Interrupts target encounter',0,0),
(28707,90005,3,100,'Increases Threat to target encounter by 5,447 - 6,538 ',0,1),
(28708,90005,3,100,'Decreases Mitigation of target encounter vs noxious damage by 825',0,2),
(28709,90005,4,100,'Interrupts target encounter',0,0),
(28710,90005,4,100,'Increases Threat to target encounter by 5,938 - 7,138 ',0,1),
(28711,90005,4,100,'Decreases Mitigation of target encounter vs noxious damage by 908',0,2),
(28712,90005,5,100,'Interrupts target encounter',0,0),
(28713,90005,5,100,'Increases Threat to target encounter by 6,429 - 7,738 ',0,1),
(28714,90005,5,100,'Decreases Mitigation of target encounter vs noxious damage by 990',0,2),
(28715,90005,7,100,'Interrupts target encounter',0,0),
(28716,90005,7,100,'Increases Threat to target encounter by 8,098 - 9,777 ',0,1),
(28717,90005,7,100,'Decreases Mitigation of target encounter vs noxious damage by 1271',0,2),
(28718,90005,9,100,'Interrupts target encounter',0,0),
(28719,90005,9,100,'Increases Threat to target encounter by 8,392 - 10,137 ',0,1),
(28720,90005,9,100,'Decreases Mitigation of target encounter vs noxious damage by 1320',0,2),
(28721,90006,1,100,'Interrupts target encounter',0,0),
(28722,90006,1,100,'Increases Threat to target encounter by 5,931 - 7,129 ',0,1),
(28723,90006,1,100,'Decreases Mitigation of target encounter vs noxious damage by 929',0,2),
(28724,90006,4,100,'Interrupts target encounter',0,0),
(28725,90006,4,100,'Increases Threat to target encounter by 7,129 - 8,593 ',0,1),
(28726,90006,4,100,'Decreases Mitigation of target encounter vs noxious damage by 1135',0,2),
(28727,90006,5,100,'Interrupts target encounter',0,0),
(28728,90006,5,100,'Increases Threat to target encounter by 7,728 - 9,325 ',0,1),
(28729,90006,5,100,'Decreases Mitigation of target encounter vs noxious damage by 1238',0,2),
(28730,90006,7,100,'Interrupts target encounter',0,0),
(28731,90006,7,100,'Increases Threat to target encounter by 9,764 - 11,814 ',0,1),
(28732,90006,7,100,'Decreases Mitigation of target encounter vs noxious damage by 1589',0,2),
(28733,90006,9,100,'Interrupts target encounter',0,0),
(28734,90006,9,100,'Increases Threat to target encounter by 10,124 - 12,253 ',0,1),
(28735,90006,9,100,'Decreases Mitigation of target encounter vs noxious damage by 1651',0,2),
(28736,90007,1,100,'Interrupts target encounter',0,0),
(28737,90007,1,100,'Increases Threat to target encounter by 6,904 - 8,318 ',0,1),
(28738,90007,1,100,'Decreases Mitigation of target encounter vs noxious damage by 1037',0,2),
(28739,90007,4,100,'Interrupts target encounter',0,0),
(28740,90007,4,100,'Increases Threat to target encounter by 8,318 - 10,047 ',0,1),
(28741,90007,4,100,'Decreases Mitigation of target encounter vs noxious damage by 1267',0,2),
(28742,90007,5,100,'Interrupts target encounter',0,0),
(28743,90007,5,100,'Increases Threat to target encounter by 9,026 - 10,911 ',0,1),
(28744,90007,5,100,'Decreases Mitigation of target encounter vs noxious damage by 1382',0,2),
(28745,90007,7,100,'Interrupts target encounter',0,0),
(28746,90007,7,100,'Increases Threat to target encounter by 11,430 - 13,850 ',0,1),
(28747,90007,7,100,'Decreases Mitigation of target encounter vs noxious damage by 1774',0,2),
(28748,90007,9,100,'Interrupts target encounter',0,0),
(28749,90007,9,100,'Increases Threat to target encounter by 11,854 - 14,369 ',0,1),
(28750,90007,9,100,'Decreases Mitigation of target encounter vs noxious damage by 1843',0,2),
(28751,70016,1,100,'Inflicts 23 - 38 melee damage on target',0,0),
(28752,70016,1,100,'Inflicts 10 heat damage on target every 6 seconds',0,1),
(28753,70016,2,100,'Inflicts 24 - 40 melee damage on target',0,0),
(28754,70016,2,100,'Inflicts 11 heat damage on target every 6 seconds',0,1),
(28755,70016,3,100,'Inflicts 25 - 42 melee damage on target',0,0),
(28756,70016,3,100,'Inflicts 11 heat damage on target every 6 seconds',0,1),
(28757,70016,4,100,'Inflicts 28 - 47 melee damage on target',0,0),
(28758,70016,4,100,'Inflicts 12 heat damage on target every 6 seconds',0,1),
(28759,70016,5,100,'Inflicts 30 - 51 melee damage on target',0,0),
(28760,70016,5,100,'Inflicts 13 heat damage on target every 6 seconds',0,1),
(28761,70016,7,100,'Inflicts 39 - 65 melee damage on target',0,0),
(28762,70016,7,100,'Inflicts 17 heat damage on target every 6 seconds',0,1),
(28763,70016,9,100,'Inflicts 41 - 68 melee damage on target',0,0),
(28764,70016,9,100,'Inflicts 18 heat damage on target every 6 seconds',0,1),
(28765,70016,10,100,'Inflicts 43 - 71 melee damage on target',0,0),
(28766,70016,10,100,'Inflicts 19 heat damage on target every 6 seconds',0,1),
(28767,70017,1,100,'Inflicts 53 - 89 melee damage on target',0,0),
(28768,70017,1,100,'Inflicts 23 heat damage on target every 6 seconds',0,1),
(28769,70017,2,100,'Inflicts 56 - 94 melee damage on target',0,0),
(28770,70017,2,100,'Inflicts 24 heat damage on target every 6 seconds',0,1),
(28771,70017,3,100,'Inflicts 59 - 99 melee damage on target',0,0),
(28772,70017,3,100,'Inflicts 26 heat damage on target every 6 seconds',0,1),
(28773,70017,4,100,'Inflicts 65 - 109 melee damage on target',0,0),
(28774,70017,4,100,'Inflicts 28 heat damage on target every 6 seconds',0,1),
(28775,70017,5,100,'Inflicts 71 - 118 melee damage on target',0,0),
(28776,70017,5,100,'Inflicts 31 heat damage on target every 6 seconds',0,1),
(28777,70017,7,100,'Inflicts 91 - 152 melee damage on target',0,0),
(28778,70017,7,100,'Inflicts 39 heat damage on target every 6 seconds',0,1),
(28779,70017,9,100,'Inflicts 95 - 158 melee damage on target',0,0),
(28780,70017,9,100,'Inflicts 41 heat damage on target every 6 seconds',0,1),
(28781,70018,1,100,'Inflicts 87 - 145 melee damage on target',0,0),
(28782,70018,1,100,'Inflicts 38 heat damage on target every 6 seconds',0,1),
(28783,70018,2,100,'Inflicts 92 - 154 melee damage on target',0,0),
(28784,70018,2,100,'Inflicts 40 heat damage on target every 6 seconds',0,1),
(28785,70018,3,100,'Inflicts 97 - 162 melee damage on target',0,0),
(28786,70018,3,100,'Inflicts 42 heat damage on target every 6 seconds',0,1),
(28787,70018,4,100,'Inflicts 107 - 178 melee damage on target',0,0),
(28788,70018,4,100,'Inflicts 46 heat damage on target every 6 seconds',0,1),
(28789,70018,5,100,'Inflicts 116 - 194 melee damage on target',0,0),
(28790,70018,5,100,'Inflicts 50 heat damage on target every 6 seconds',0,1),
(28791,70018,7,100,'Inflicts 149 - 249 melee damage on target',0,0),
(28792,70018,7,100,'Inflicts 65 heat damage on target every 6 seconds',0,1),
(28793,70018,9,100,'Inflicts 155 - 259 melee damage on target',0,0),
(28794,70018,9,100,'Inflicts 67 heat damage on target every 6 seconds',0,1),
(28795,70019,1,100,'Inflicts 129 - 215 melee damage on target',0,0),
(28796,70019,1,100,'Inflicts 56 heat damage on target every 6 seconds',0,1),
(28797,70019,2,100,'Inflicts 136 - 227 melee damage on target',0,0),
(28798,70019,2,100,'Inflicts 59 heat damage on target every 6 seconds',0,1),
(28799,70019,3,100,'Inflicts 143 - 239 melee damage on target',0,0),
(28800,70019,3,100,'Inflicts 62 heat damage on target every 6 seconds',0,1),
(28801,70019,4,100,'Inflicts 158 - 263 melee damage on target',0,0),
(28802,70019,4,100,'Inflicts 68 heat damage on target every 6 seconds',0,1),
(28803,70019,5,100,'Inflicts 172 - 287 melee damage on target',0,0),
(28804,70019,5,100,'Inflicts 74 heat damage on target every 6 seconds',0,1),
(28805,70019,7,100,'Inflicts 221 - 369 melee damage on target',0,0),
(28806,70019,7,100,'Inflicts 96 heat damage on target every 6 seconds',0,1),
(28807,70019,9,100,'Inflicts 230 - 383 melee damage on target',0,0),
(28808,70019,9,100,'Inflicts 99 heat damage on target every 6 seconds',0,1),
(28811,70020,1,100,'Inflicts 172 - 286 melee damage on target',0,0),
(28812,70020,1,100,'Inflicts 74 heat damage on target every 6 seconds',0,1),
(28813,70020,2,100,'Inflicts 181 - 302 melee damage on target',0,0),
(28814,70020,2,100,'Inflicts 78 heat damage on target every 6 seconds',0,1),
(28815,70020,3,100,'Inflicts 191 - 318 melee damage on target',0,0),
(28816,70020,3,100,'Inflicts 82 heat damage on target every 6 seconds',0,1),
(28817,70020,4,100,'Inflicts 210 - 350 melee damage on target',0,0),
(28818,70020,4,100,'Inflicts 91 heat damage on target every 6 seconds',0,1),
(28819,70020,5,100,'Inflicts 229 - 382 melee damage on target',0,0),
(28820,70020,5,100,'Inflicts 99 heat damage on target every 6 seconds',0,1),
(28821,70020,7,100,'Inflicts 294 - 490 melee damage on target',0,0),
(28822,70020,7,100,'Inflicts 127 heat damage on target every 6 seconds',0,1),
(28823,70020,9,100,'Inflicts 306 - 510 melee damage on target',0,0),
(28824,70020,9,100,'Inflicts 132 heat damage on target every 6 seconds',0,1),
(28825,70021,1,100,'Inflicts 208 - 347 melee damage on target',0,0),
(28826,70021,1,100,'Inflicts 90 heat damage on target every 6 seconds',0,1),
(28827,70021,2,100,'Inflicts 219 - 366 melee damage on target',0,0),
(28828,70021,2,100,'Inflicts 95 heat damage on target every 6 seconds',0,1),
(28829,70021,3,100,'Inflicts 231 - 385 melee damage on target',0,0),
(28830,70021,3,100,'Inflicts 100 heat damage on target every 6 seconds',0,1),
(28831,70021,4,100,'Inflicts 254 - 424 melee damage on target',0,0),
(28832,70021,4,100,'Inflicts 110 heat damage on target every 6 seconds',0,1),
(28833,70021,5,100,'Inflicts 277 - 462 melee damage on target',0,0),
(28834,70021,5,100,'Inflicts 120 heat damage on target every 6 seconds',0,1),
(28835,70021,7,100,'Inflicts 356 - 593 melee damage on target',0,0),
(28836,70021,7,100,'Inflicts 154 heat damage on target every 6 seconds',0,1),
(28837,70021,9,100,'Inflicts 370 - 617 melee damage on target',0,0),
(28838,70021,9,100,'Inflicts 160 heat damage on target every 6 seconds',0,1),
(28839,70022,1,100,'Inflicts 251 - 418 melee damage on target',0,0),
(28840,70022,1,100,'Inflicts 108 heat damage on target every 6 seconds',0,1),
(28841,70022,4,100,'Inflicts 306 - 511 melee damage on target',0,0),
(28842,70022,4,100,'Inflicts 132 heat damage on target every 6 seconds',0,1),
(28843,70022,5,100,'Inflicts 334 - 557 melee damage on target',0,0),
(28844,70022,5,100,'Inflicts 144 heat damage on target every 6 seconds',0,1),
(28845,70022,7,100,'Inflicts 429 - 716 melee damage on target',0,0),
(28846,70022,7,100,'Inflicts 185 heat damage on target every 6 seconds',0,1),
(28847,70022,9,100,'Inflicts 446 - 743 melee damage on target',0,0),
(28848,70022,9,100,'Inflicts 192 heat damage on target every 6 seconds',0,1),
(28849,70023,1,100,'Inflicts 275 - 459 melee damage on target',0,0),
(28850,70023,1,100,'Inflicts 119 heat damage on target every 6 seconds',0,1),
(28851,70023,4,100,'Inflicts 337 - 561 melee damage on target',0,0),
(28852,70023,4,100,'Inflicts 145 heat damage on target every 6 seconds',0,1),
(28853,70023,5,100,'Inflicts 367 - 612 melee damage on target',0,0),
(28854,70023,5,100,'Inflicts 159 heat damage on target every 6 seconds',0,1),
(28855,70023,7,100,'Inflicts 471 - 786 melee damage on target',0,0),
(28856,70023,7,100,'Inflicts 203 heat damage on target every 6 seconds',0,1),
(28857,70023,9,100,'Inflicts 490 - 817 melee damage on target',0,0),
(28858,70023,9,100,'Inflicts 211 heat damage on target every 6 seconds',0,1),
(28859,2000024,1,100,'Applies Flaming Weapons.  Lasts for 30.0 seconds.',0,0),
(28860,2000024,1,100,'When a combat art is used this spell will cast Flaming Weapons on target of combat art.  ',1,1),
(28861,2000024,1,100,'Inflicts 1862 - 3457 heat damage on target',2,2),
(28862,2000024,1,100,'This effect can only trigger when using multi-hit attacks and attacks modified by Dexterous Attacks.',1,3),
(28863,2000024,1,100,'Inflicts 4033 - 7490 heat damage on target',0,4),
(28864,2000024,2,100,'Applies Flaming Weapons.  Lasts for 30.0 seconds.',0,0),
(28865,2000024,2,100,'When a combat art is used this spell will cast Flaming Weapons on target of combat art.  ',1,1),
(28866,2000024,2,100,'Inflicts 1862 - 3457 heat damage on target',2,2),
(28867,2000024,2,100,'This effect can only trigger when using multi-hit attacks and attacks modified by Dexterous Attacks.',1,3),
(28868,2000024,2,100,'Inflicts 4033 - 7490 heat damage on target',0,4),
(28869,2000024,3,100,'Applies Flaming Weapons.  Lasts for 30.0 seconds.',0,0),
(28870,2000024,3,100,'When a combat art is used this spell will cast Flaming Weapons on target of combat art.  ',1,1),
(28871,2000024,3,100,'Inflicts 1397 - 2594 heat damage on target',2,2),
(28872,2000024,3,100,'This effect can only trigger when using multi-hit attacks and attacks modified by Dexterous Attacks.',1,3),
(28873,2000024,3,100,'Inflicts 3026 - 5620 heat damage on target',0,4),
(28874,380002,1,100,'Inflicts 4 - 6 melee damage on target',0,0),
(28875,380002,1,100,'Inflicts 8 - 14 piercing damage on target instantly and every 4 seconds',0,1),
(28876,380002,1,100,'If facing target',0,2),
(28877,380002,2,100,'Inflicts 4 - 7 melee damage on target',0,0),
(28878,380002,2,100,'Inflicts 9 - 15 piercing damage on target instantly and every 4 seconds',0,1),
(28879,380002,2,100,'If facing target',0,2),
(28880,380002,3,100,'Inflicts 4 - 7 melee damage on target',0,0),
(28881,380002,3,100,'Inflicts 9 - 16 piercing damage on target instantly and every 4 seconds',0,1),
(28882,380002,3,100,'If facing target',0,2),
(28883,380002,4,100,'Inflicts 5 - 8 melee damage on target',0,0),
(28884,380002,4,100,'Inflicts 10 - 17 piercing damage on target instantly and every 4 seconds',0,1),
(28885,380002,4,100,'If facing target',0,2),
(28886,380002,5,100,'Inflicts 5 - 9 melee damage on target',0,0),
(28887,380002,5,100,'Inflicts 11 - 19 piercing damage on target instantly and every 4 seconds',0,1),
(28888,380002,5,100,'If facing target',0,2),
(28889,380002,7,100,'Inflicts 7 - 11 melee damage on target',0,0),
(28890,380002,7,100,'Inflicts 14 - 24 piercing damage on target instantly and every 4 seconds',0,1),
(28891,380002,7,100,'If facing target',0,2),
(28892,380002,9,100,'Inflicts 7 - 12 melee damage on target',0,0),
(28893,380002,9,100,'Inflicts 15 - 25 piercing damage on target instantly and every 4 seconds',0,1),
(28894,380002,9,100,'If facing target',0,2),
(28895,2000025,1,100,'Inflicts 5 - 8 melee damage on target',0,0),
(28896,2000025,1,100,'Inflicts 3 - 5 piercing damage on target',0,1),
(28897,2000025,1,100,'If target is bleeding.',1,2),
(28898,2000025,1,100,'Inflicts 1 - 2 piercing damage on target instantly and every second',0,3),
(28899,2000026,1,100,'Inflicts 2216 - 3693 poison damage on targets in Area of Effect',0,0),
(28900,2000026,1,100,'Grants a very high chance to force the target to miss their attacks',0,1),
(28901,2000026,1,100,'Loses an increment when the target misses',0,2),
(28902,2000026,2,100,'Inflicts 2216 - 3693 poison damage on targets in Area of Effect',0,0),
(28903,2000026,2,100,'Grants a very high chance to force the target to miss their attacks',0,1),
(28904,2000026,2,100,'Loses an increment when the target misses',0,2),
(28905,2000026,3,100,'Inflicts 1662 - 2771 poison damage on targets in Area of Effect',0,0),
(28906,2000026,3,100,'Grants a very high chance to force the target to miss their attacks',0,1),
(28907,2000026,3,100,'Loses an increment when the target misses',0,2),
(28908,2000027,1,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(28909,2000027,1,100,'Grants stealth to caster',1,1),
(28910,2000027,1,100,'Suspends caster''s movement speed enhancements',1,2),
(28911,2000027,1,100,'Inflicts 373 - 623 melee damage on target',0,3),
(28912,2000027,1,100,'Must be flanking or behind',0,4),
(28913,2000027,2,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(28914,2000027,2,100,'Grants stealth to caster',1,1),
(28915,2000027,2,100,'Suspends caster''s movement speed enhancements',1,2),
(28916,2000027,2,100,'Inflicts 296 - 493 melee damage on target',0,3),
(28917,2000027,2,100,'Must be flanking or behind',0,4),
(28918,2000027,3,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(28919,2000027,3,100,'Grants stealth to caster',1,1),
(28920,2000027,3,100,'Suspends caster''s movement speed enhancements',1,2),
(28921,2000027,3,100,'Inflicts 415 - 692 melee damage on target',0,3),
(28922,2000027,3,100,'Must be flanking or behind',0,4),
(28923,2000027,4,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(28924,2000027,4,100,'Grants stealth to caster',1,1),
(28925,2000027,4,100,'Suspends caster''s movement speed enhancements',1,2),
(28926,2000027,4,100,'Inflicts 342 - 571 melee damage on target',0,3),
(28927,2000027,4,100,'Must be flanking or behind',0,4),
(28928,2000027,5,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(28929,2000027,5,100,'Grants stealth to caster',1,1),
(28930,2000027,5,100,'Suspends caster''s movement speed enhancements',1,2),
(28931,2000027,5,100,'Inflicts 498 - 831 melee damage on target',0,3),
(28932,2000027,5,100,'Must be flanking or behind',0,4),
(28933,2000027,6,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(28934,2000027,6,100,'Grants stealth to caster',1,1),
(28935,2000027,6,100,'Suspends caster''s movement speed enhancements',1,2),
(28936,2000027,6,100,'Inflicts 540 - 900 melee damage on target',0,3),
(28937,2000027,6,100,'Must be flanking or behind',0,4),
(28938,2000027,7,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(28939,2000027,7,100,'Grants stealth to caster',1,1),
(28940,2000027,7,100,'Suspends caster''s movement speed enhancements',1,2),
(28941,2000027,7,100,'Inflicts 480 - 800 melee damage on target',0,3),
(28942,2000027,7,100,'Must be flanking or behind',0,4),
(28943,2000027,8,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(28944,2000027,8,100,'Grants stealth to caster',1,1),
(28945,2000027,8,100,'Suspends caster''s movement speed enhancements',1,2),
(28946,2000027,8,100,'Inflicts 483 - 805 melee damage on target',0,3),
(28947,2000027,8,100,'Must be flanking or behind',0,4),
(28948,2000027,9,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(28949,2000027,9,100,'Grants stealth to caster',1,1),
(28950,2000027,9,100,'Suspends caster''s movement speed enhancements',1,2),
(28951,2000027,9,100,'Inflicts 498 - 831 melee damage on target',0,3),
(28952,2000027,9,100,'Must be flanking or behind',0,4),
(28953,2000027,10,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(28954,2000027,10,100,'Grants stealth to caster',1,1),
(28955,2000027,10,100,'Suspends caster''s movement speed enhancements',1,2),
(28956,2000027,10,100,'Inflicts 698 - 1163 melee damage on target',0,3),
(28957,2000027,10,100,'Must be flanking or behind',0,4),
(28958,2000028,1,100,'Prevents AOE (except when direct) ',0,0),
(28959,2000028,1,100,'Allows caster to block all melee attacks.',0,1),
(28960,2000028,1,100,'Makes caster immune to strikethrough attacks.',0,2),
(28961,2000028,1,100,'Dispelled when target successfully blocks an attack',0,3),
(28962,2000028,1,100,'Dispelled when target casts a combat art',0,4),
(28963,2000028,1,100,'If Shield equipped in Secondary',0,5),
(28992,40034,1,100,'When damaged with a melee weapon this spell has a 33% chance to cast Adrenal Flow on caster.  ',0,0),
(28993,40034,1,100,'Heals caster for 45 - 68',1,1),
(28994,40034,1,100,'This effect cannot be critically applied.',2,2),
(28995,40034,2,100,'When damaged with a melee weapon this spell has a 33% chance to cast Adrenal Flow on caster.  ',0,0),
(28996,40034,2,100,'Heals caster for 48 - 72',1,1),
(28997,40034,2,100,'This effect cannot be critically applied.',2,2),
(28998,40034,3,100,'When damaged with a melee weapon this spell has a 33% chance to cast Adrenal Flow on caster.  ',0,0),
(28999,40034,3,100,'Heals caster for 50 - 76',1,1),
(29000,40034,3,100,'This effect cannot be critically applied.',2,2),
(29001,40034,4,100,'When damaged with a melee weapon this spell has a 33% chance to cast Adrenal Flow on caster.  ',0,0),
(29002,40034,4,100,'Heals caster for 55 - 83',1,1),
(29003,40034,4,100,'This effect cannot be critically applied.',2,2),
(29004,40034,5,100,'When damaged with a melee weapon this spell has a 33% chance to cast Adrenal Flow on caster.  ',0,0),
(29005,40034,5,100,'Heals caster for 60 - 91',1,1),
(29006,40034,5,100,'This effect cannot be critically applied.',2,2),
(29007,40034,7,100,'When damaged with a melee weapon this spell has a 33% chance to cast Adrenal Flow on caster.  ',0,0),
(29008,40034,7,100,'Heals caster for 71 - 106',1,1),
(29009,40034,7,100,'This effect cannot be critically applied.',2,2),
(29010,40034,9,100,'When damaged with a melee weapon this spell has a 33% chance to cast Adrenal Flow on caster.  ',0,0),
(29011,40034,9,100,'Heals caster for 81 - 121',1,1),
(29012,40034,9,100,'This effect cannot be critically applied.',2,2),
(29013,40035,1,100,'When damaged with a melee weapon this spell has a 33% chance to cast Adrenal Flow on caster.  ',0,0),
(29014,40035,1,100,'Heals caster for 69 - 103',1,1),
(29015,40035,1,100,'This effect cannot be critically applied.',2,2),
(29016,40035,2,100,'When damaged with a melee weapon this spell has a 33% chance to cast Adrenal Flow on caster.  ',0,0),
(29017,40035,2,100,'Heals caster for 72 - 109',1,1),
(29018,40035,2,100,'This effect cannot be critically applied.',2,2),
(29019,40035,3,100,'When damaged with a melee weapon this spell has a 33% chance to cast Adrenal Flow on caster.  ',0,0),
(29020,40035,3,100,'Heals caster for 76 - 114',1,1),
(29021,40035,3,100,'This effect cannot be critically applied.',2,2),
(29022,40035,4,100,'When damaged with a melee weapon this spell has a 33% chance to cast Adrenal Flow on caster.  ',0,0),
(29023,40035,4,100,'Heals caster for 84 - 126',1,1),
(29024,40035,4,100,'This effect cannot be critically applied.',2,2),
(29025,40035,5,100,'When damaged with a melee weapon this spell has a 33% chance to cast Adrenal Flow on caster.  ',0,0),
(29026,40035,5,100,'Heals caster for 91 - 137',1,1),
(29027,40035,5,100,'This effect cannot be critically applied.',2,2),
(29028,40035,7,100,'When damaged with a melee weapon this spell has a 33% chance to cast Adrenal Flow on caster.  ',0,0),
(29029,40035,7,100,'Heals caster for 107 - 160',1,1),
(29030,40035,7,100,'This effect cannot be critically applied.',2,2),
(29031,40035,9,100,'When damaged with a melee weapon this spell has a 33% chance to cast Adrenal Flow on caster.  ',0,0),
(29032,40035,9,100,'Heals caster for 122 - 183',1,1),
(29033,40035,9,100,'This effect cannot be critically applied.',2,2),
(29034,40035,10,100,'When damaged with a melee weapon this spell has a 33% chance to cast Adrenal Flow on caster.  ',0,0),
(29035,40035,10,100,'Heals caster for 126 - 189',1,1),
(29036,40035,10,100,'This effect cannot be critically applied.',2,2),
(29037,40036,1,100,'When damaged with a melee weapon this spell has a 33% chance to cast Adrenal Flow on caster.  ',0,0),
(29038,40036,1,100,'Heals caster for 94 - 141',1,1),
(29039,40036,1,100,'This effect cannot be critically applied.',2,2),
(29040,40036,2,100,'When damaged with a melee weapon this spell has a 33% chance to cast Adrenal Flow on caster.  ',0,0),
(29041,40036,2,100,'Heals caster for 99 - 148',1,1),
(29042,40036,2,100,'This effect cannot be critically applied.',2,2),
(29043,40036,3,100,'When damaged with a melee weapon this spell has a 33% chance to cast Adrenal Flow on caster.  ',0,0),
(29044,40036,3,100,'Heals caster for 104 - 156',1,1),
(29045,40036,3,100,'This effect cannot be critically applied.',2,2),
(29046,40036,4,100,'When damaged with a melee weapon this spell has a 33% chance to cast Adrenal Flow on caster.  ',0,0),
(29047,40036,4,100,'Heals caster for 115 - 172',1,1),
(29048,40036,4,100,'This effect cannot be critically applied.',2,2),
(29049,40036,5,100,'When damaged with a melee weapon this spell has a 33% chance to cast Adrenal Flow on caster.  ',0,0),
(29050,40036,5,100,'Heals caster for 125 - 187',1,1),
(29051,40036,5,100,'This effect cannot be critically applied.',2,2),
(29052,40036,7,100,'When damaged with a melee weapon this spell has a 33% chance to cast Adrenal Flow on caster.  ',0,0),
(29053,40036,7,100,'Heals caster for 146 - 219',1,1),
(29054,40036,7,100,'This effect cannot be critically applied.',2,2),
(29055,40036,9,100,'When damaged with a melee weapon this spell has a 33% chance to cast Adrenal Flow on caster.  ',0,0),
(29056,40036,9,100,'Heals caster for 167 - 250',1,1),
(29057,40036,9,100,'This effect cannot be critically applied.',2,2),
(29058,40037,1,100,'When damaged with a melee weapon this spell has a 33% chance to cast Adrenal Flow on caster.  ',0,0),
(29059,40037,1,100,'Heals caster for 125 - 187',1,1),
(29060,40037,1,100,'This effect cannot be critically applied.',2,2),
(29061,40037,2,100,'When damaged with a melee weapon this spell has a 33% chance to cast Adrenal Flow on caster.  ',0,0),
(29062,40037,2,100,'Heals caster for 132 - 197',1,1),
(29063,40037,2,100,'This effect cannot be critically applied.',2,2),
(29064,40037,3,100,'When damaged with a melee weapon this spell has a 33% chance to cast Adrenal Flow on caster.  ',0,0),
(29065,40037,3,100,'Heals caster for 139 - 208',1,1),
(29066,40037,3,100,'This effect cannot be critically applied.',2,2),
(29067,40037,4,100,'When damaged with a melee weapon this spell has a 33% chance to cast Adrenal Flow on caster.  ',0,0),
(29068,40037,4,100,'Heals caster for 152 - 229',1,1),
(29069,40037,4,100,'This effect cannot be critically applied.',2,2),
(29070,40037,5,100,'When damaged with a melee weapon this spell has a 33% chance to cast Adrenal Flow on caster.  ',0,0),
(29071,40037,5,100,'Heals caster for 166 - 249',1,1),
(29072,40037,5,100,'This effect cannot be critically applied.',2,2),
(29073,40037,7,100,'When damaged with a melee weapon this spell has a 33% chance to cast Adrenal Flow on caster.  ',0,0),
(29074,40037,7,100,'Heals caster for 194 - 291',1,1),
(29075,40037,7,100,'This effect cannot be critically applied.',2,2),
(29076,40037,9,100,'When damaged with a melee weapon this spell has a 33% chance to cast Adrenal Flow on caster.  ',0,0),
(29077,40037,9,100,'Heals caster for 222 - 333',1,1),
(29078,40037,9,100,'This effect cannot be critically applied.',2,2),
(29079,40038,1,100,'When damaged with a melee weapon this spell has a 33% chance to cast Adrenal Flow on caster.  ',0,0),
(29080,40038,1,100,'Heals caster for 157 - 235',1,1),
(29081,40038,1,100,'This effect cannot be critically applied.',2,2),
(29082,40038,4,100,'When damaged with a melee weapon this spell has a 33% chance to cast Adrenal Flow on caster.  ',0,0),
(29083,40038,4,100,'Heals caster for 192 - 288',1,1),
(29084,40038,4,100,'This effect cannot be critically applied.',2,2),
(29085,40038,5,100,'When damaged with a melee weapon this spell has a 33% chance to cast Adrenal Flow on caster.  ',0,0),
(29086,40038,5,100,'Heals caster for 209 - 314',1,1),
(29087,40038,5,100,'This effect cannot be critically applied.',2,2),
(29088,40038,7,100,'When damaged with a melee weapon this spell has a 33% chance to cast Adrenal Flow on caster.  ',0,0),
(29089,40038,7,100,'Heals caster for 244 - 366',1,1),
(29090,40038,7,100,'This effect cannot be critically applied.',2,2),
(29091,40038,9,100,'When damaged with a melee weapon this spell has a 33% chance to cast Adrenal Flow on caster.  ',0,0),
(29092,40038,9,100,'Heals caster for 279 - 418',1,1),
(29093,40038,9,100,'This effect cannot be critically applied.',2,2),
(29094,40038,10,100,'When damaged with a melee weapon this spell has a 33% chance to cast Adrenal Flow on caster.  ',0,0),
(29095,40038,10,100,'Heals caster for 288 - 432',1,1),
(29096,40038,10,100,'This effect cannot be critically applied.',2,2),
(29097,40039,1,100,'When damaged with a melee weapon this spell has a 33% chance to cast Adrenal Flow on caster.  ',0,0),
(29098,40039,1,100,'Heals caster for 175 - 262',1,1),
(29099,40039,1,100,'This effect cannot be critically applied.',2,2),
(29100,40039,4,100,'When damaged with a melee weapon this spell has a 33% chance to cast Adrenal Flow on caster.  ',0,0),
(29101,40039,4,100,'Heals caster for 214 - 321',1,1),
(29102,40039,4,100,'This effect cannot be critically applied.',2,2),
(29103,40039,5,100,'When damaged with a melee weapon this spell has a 33% chance to cast Adrenal Flow on caster.  ',0,0),
(29104,40039,5,100,'Heals caster for 233 - 350',1,1),
(29105,40039,5,100,'This effect cannot be critically applied.',2,2),
(29106,40039,7,100,'When damaged with a melee weapon this spell has a 33% chance to cast Adrenal Flow on caster.  ',0,0),
(29107,40039,7,100,'Heals caster for 272 - 408',1,1),
(29108,40039,7,100,'This effect cannot be critically applied.',2,2),
(29109,40039,9,100,'When damaged with a melee weapon this spell has a 33% chance to cast Adrenal Flow on caster.  ',0,0),
(29110,40039,9,100,'Heals caster for 311 - 466',1,1),
(29111,40039,9,100,'This effect cannot be critically applied.',2,2),
(29112,40040,1,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(29113,40040,1,100,'Throws target back',1,1),
(29114,40040,1,100,'Blurs vision of target',1,2),
(29115,40040,1,100,'Stuns target',1,3),
(29116,40040,1,100,'Does not affect Epic targets',1,4),
(29117,40040,1,100,'Inflicts 17 - 51 melee damage on targets in Area of Effect',0,5),
(29118,40040,2,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(29119,40040,2,100,'Throws target back',1,1),
(29120,40040,2,100,'Blurs vision of target',1,2),
(29121,40040,2,100,'Stuns target',1,3),
(29122,40040,2,100,'Does not affect Epic targets',1,4),
(29123,40040,2,100,'Inflicts 18 - 54 melee damage on targets in Area of Effect',0,5),
(29124,40040,3,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(29125,40040,3,100,'Throws target back',1,1),
(29126,40040,3,100,'Blurs vision of target',1,2),
(29127,40040,3,100,'Stuns target',1,3),
(29128,40040,3,100,'Does not affect Epic targets',1,4),
(29129,40040,3,100,'Inflicts 19 - 57 melee damage on targets in Area of Effect',0,5),
(29130,40040,4,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(29131,40040,4,100,'Throws target back',1,1),
(29132,40040,4,100,'Blurs vision of target',1,2),
(29133,40040,4,100,'Stuns target',1,3),
(29134,40040,4,100,'Does not affect Epic targets',1,4),
(29135,40040,4,100,'Inflicts 21 - 63 melee damage on targets in Area of Effect',0,5),
(29136,40040,5,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(29137,40040,5,100,'Throws target back',1,1),
(29138,40040,5,100,'Blurs vision of target',1,2),
(29139,40040,5,100,'Stuns target',1,3),
(29140,40040,5,100,'Does not affect Epic targets',1,4),
(29141,40040,5,100,'Inflicts 23 - 69 melee damage on targets in Area of Effect',0,5),
(29142,40040,7,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(29143,40040,7,100,'Throws target back',1,1),
(29144,40040,7,100,'Blurs vision of target',1,2),
(29145,40040,7,100,'Stuns target',1,3),
(29146,40040,7,100,'Does not affect Epic targets',1,4),
(29147,40040,7,100,'Inflicts 29 - 88 melee damage on targets in Area of Effect',0,5),
(29148,40040,9,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(29149,40040,9,100,'Throws target back',1,1),
(29150,40040,9,100,'Blurs vision of target',1,2),
(29151,40040,9,100,'Stuns target',1,3),
(29152,40040,9,100,'Does not affect Epic targets',1,4),
(29153,40040,9,100,'Inflicts 30 - 92 melee damage on targets in Area of Effect',0,5),
(29159,40041,1,100,'Inflicts 50 - 151 melee damage on targets in Area of Effect',0,0),
(29165,40041,2,100,'Inflicts 53 - 160 melee damage on targets in Area of Effect',0,0),
(29171,40041,3,100,'Inflicts 56 - 168 melee damage on targets in Area of Effect',0,0),
(29177,40041,4,100,'Inflicts 61 - 185 melee damage on targets in Area of Effect',0,0),
(29183,40041,5,100,'Inflicts 67 - 202 melee damage on targets in Area of Effect',0,0),
(29189,40041,7,100,'Inflicts 86 - 259 melee damage on targets in Area of Effect',0,0),
(29195,40041,9,100,'Inflicts 89 - 269 melee damage on targets in Area of Effect',0,0),
(29196,40042,1,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(29197,40042,1,100,'Throws target back',1,1),
(29198,40042,1,100,'Blurs vision of target',1,2),
(29199,40042,1,100,'Stuns target',1,3),
(29200,40042,1,100,'Does not affect Epic targets',1,4),
(29201,40042,1,100,'Inflicts 89 - 269 melee damage on targets in Area of Effect',0,5),
(29202,40042,2,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(29203,40042,2,100,'Throws target back',1,1),
(29204,40042,2,100,'Blurs vision of target',1,2),
(29205,40042,2,100,'Stuns target',1,3),
(29206,40042,2,100,'Does not affect Epic targets',1,4),
(29207,40042,2,100,'Inflicts 94 - 284 melee damage on targets in Area of Effect',0,5),
(29208,40042,3,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(29209,40042,3,100,'Throws target back',1,1),
(29210,40042,3,100,'Blurs vision of target',1,2),
(29211,40042,3,100,'Stuns target',1,3),
(29212,40042,3,100,'Does not affect Epic targets',1,4),
(29213,40042,3,100,'Inflicts 99 - 299 melee damage on targets in Area of Effect',0,5),
(29214,40042,4,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(29215,40042,4,100,'Throws target back',1,1),
(29216,40042,4,100,'Blurs vision of target',1,2),
(29217,40042,4,100,'Stuns target',1,3),
(29218,40042,4,100,'Does not affect Epic targets',1,4),
(29219,40042,4,100,'Inflicts 109 - 329 melee damage on targets in Area of Effect',0,5),
(29220,40042,5,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(29221,40042,5,100,'Throws target back',1,1),
(29222,40042,5,100,'Blurs vision of target',1,2),
(29223,40042,5,100,'Stuns target',1,3),
(29224,40042,5,100,'Does not affect Epic targets',1,4),
(29225,40042,5,100,'Inflicts 119 - 359 melee damage on targets in Area of Effect',0,5),
(29226,40042,7,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(29227,40042,7,100,'Throws target back',1,1),
(29228,40042,7,100,'Blurs vision of target',1,2),
(29229,40042,7,100,'Stuns target',1,3),
(29230,40042,7,100,'Does not affect Epic targets',1,4),
(29231,40042,7,100,'Inflicts 153 - 461 melee damage on targets in Area of Effect',0,5),
(29232,40042,9,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(29233,40042,9,100,'Throws target back',1,1),
(29234,40042,9,100,'Blurs vision of target',1,2),
(29235,40042,9,100,'Stuns target',1,3),
(29236,40042,9,100,'Does not affect Epic targets',1,4),
(29237,40042,9,100,'Inflicts 159 - 479 melee damage on targets in Area of Effect',0,5),
(29238,40043,1,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(29239,40043,1,100,'Throws target back',1,1),
(29240,40043,1,100,'Blurs vision of target',1,2),
(29241,40043,1,100,'Stuns target',1,3),
(29242,40043,1,100,'Does not affect Epic targets',1,4),
(29243,40043,1,100,'Inflicts 135 - 407 melee damage on targets in Area of Effect',0,5),
(29244,40043,2,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(29245,40043,2,100,'Throws target back',1,1),
(29246,40043,2,100,'Blurs vision of target',1,2),
(29247,40043,2,100,'Stuns target',1,3),
(29248,40043,2,100,'Does not affect Epic targets',1,4),
(29249,40043,2,100,'Inflicts 143 - 429 melee damage on targets in Area of Effect',0,5),
(29250,40043,3,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(29251,40043,3,100,'Throws target back',1,1),
(29252,40043,3,100,'Blurs vision of target',1,2),
(29253,40043,3,100,'Stuns target',1,3),
(29254,40043,3,100,'Does not affect Epic targets',1,4),
(29255,40043,3,100,'Inflicts 150 - 452 melee damage on targets in Area of Effect',0,5),
(29256,40043,4,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(29257,40043,4,100,'Throws target back',1,1),
(29258,40043,4,100,'Blurs vision of target',1,2),
(29259,40043,4,100,'Stuns target',1,3),
(29260,40043,4,100,'Does not affect Epic targets',1,4),
(29261,40043,4,100,'Inflicts 165 - 497 melee damage on targets in Area of Effect',0,5),
(29262,40043,5,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(29263,40043,5,100,'Throws target back',1,1),
(29264,40043,5,100,'Blurs vision of target',1,2),
(29265,40043,5,100,'Stuns target',1,3),
(29266,40043,5,100,'Does not affect Epic targets',1,4),
(29267,40043,5,100,'Inflicts 180 - 542 melee damage on targets in Area of Effect',0,5),
(29268,40043,7,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(29269,40043,7,100,'Throws target back',1,1),
(29270,40043,7,100,'Blurs vision of target',1,2),
(29271,40043,7,100,'Stuns target',1,3),
(29272,40043,7,100,'Does not affect Epic targets',1,4),
(29273,40043,7,100,'Inflicts 232 - 696 melee damage on targets in Area of Effect',0,5),
(29274,40043,9,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(29275,40043,9,100,'Throws target back',1,1),
(29276,40043,9,100,'Blurs vision of target',1,2),
(29277,40043,9,100,'Stuns target',1,3),
(29278,40043,9,100,'Does not affect Epic targets',1,4),
(29279,40043,9,100,'Inflicts 241 - 723 melee damage on targets in Area of Effect',0,5),
(29280,40044,1,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(29281,40044,1,100,'Throws target back',1,1),
(29282,40044,1,100,'Blurs vision of target',1,2),
(29283,40044,1,100,'Stuns target',1,3),
(29284,40044,1,100,'Does not affect Epic targets',1,4),
(29285,40044,1,100,'Inflicts 184 - 554 melee damage on targets in Area of Effect',0,5),
(29286,40044,2,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(29287,40044,2,100,'Throws target back',1,1),
(29288,40044,2,100,'Blurs vision of target',1,2),
(29289,40044,2,100,'Stuns target',1,3),
(29290,40044,2,100,'Does not affect Epic targets',1,4),
(29291,40044,2,100,'Inflicts 195 - 585 melee damage on targets in Area of Effect',0,5),
(29292,40044,3,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(29293,40044,3,100,'Throws target back',1,1),
(29294,40044,3,100,'Blurs vision of target',1,2),
(29295,40044,3,100,'Stuns target',1,3),
(29296,40044,3,100,'Does not affect Epic targets',1,4),
(29297,40044,3,100,'Inflicts 205 - 616 melee damage on targets in Area of Effect',0,5),
(29298,40044,4,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(29299,40044,4,100,'Throws target back',1,1),
(29300,40044,4,100,'Blurs vision of target',1,2),
(29301,40044,4,100,'Stuns target',1,3),
(29302,40044,4,100,'Does not affect Epic targets',1,4),
(29303,40044,4,100,'Inflicts 225 - 677 melee damage on targets in Area of Effect',0,5),
(29304,40044,5,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(29305,40044,5,100,'Throws target back',1,1),
(29306,40044,5,100,'Blurs vision of target',1,2),
(29307,40044,5,100,'Stuns target',1,3),
(29308,40044,5,100,'Does not affect Epic targets',1,4),
(29309,40044,5,100,'Inflicts 246 - 739 melee damage on targets in Area of Effect',0,5),
(29310,40044,7,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(29311,40044,7,100,'Throws target back',1,1),
(29312,40044,7,100,'Blurs vision of target',1,2),
(29313,40044,7,100,'Stuns target',1,3),
(29314,40044,7,100,'Does not affect Epic targets',1,4),
(29315,40044,7,100,'Inflicts 316 - 949 melee damage on targets in Area of Effect',0,5),
(29316,40044,9,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(29317,40044,9,100,'Throws target back',1,1),
(29318,40044,9,100,'Blurs vision of target',1,2),
(29319,40044,9,100,'Stuns target',1,3),
(29320,40044,9,100,'Does not affect Epic targets',1,4),
(29321,40044,9,100,'Inflicts 328 - 986 melee damage on targets in Area of Effect',0,5),
(29322,40044,10,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(29323,40044,10,100,'Throws target back',1,1),
(29324,40044,10,100,'Blurs vision of target',1,2),
(29325,40044,10,100,'Stuns target',1,3),
(29326,40044,10,100,'Does not affect Epic targets',1,4),
(29327,40044,10,100,'Inflicts 345 - 1035 melee damage on targets in Area of Effect',0,5),
(29328,40045,1,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(29329,40045,1,100,'Throws target back',1,1),
(29330,40045,1,100,'Blurs vision of target',1,2),
(29331,40045,1,100,'Stuns target',1,3),
(29332,40045,1,100,'Does not affect Epic targets',1,4),
(29333,40045,1,100,'Inflicts 231 - 695 melee damage on targets in Area of Effect',0,5),
(29334,40045,2,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(29335,40045,2,100,'Throws target back',1,1),
(29336,40045,2,100,'Blurs vision of target',1,2),
(29337,40045,2,100,'Stuns target',1,3),
(29338,40045,2,100,'Does not affect Epic targets',1,4),
(29339,40045,2,100,'Inflicts 244 - 733 melee damage on targets in Area of Effect',0,5),
(29340,40045,3,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(29341,40045,3,100,'Throws target back',1,1),
(29342,40045,3,100,'Blurs vision of target',1,2),
(29343,40045,3,100,'Stuns target',1,3),
(29344,40045,3,100,'Does not affect Epic targets',1,4),
(29345,40045,3,100,'Inflicts 257 - 772 melee damage on targets in Area of Effect',0,5),
(29346,40045,4,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(29347,40045,4,100,'Throws target back',1,1),
(29348,40045,4,100,'Blurs vision of target',1,2),
(29349,40045,4,100,'Stuns target',1,3),
(29350,40045,4,100,'Does not affect Epic targets',1,4),
(29351,40045,4,100,'Inflicts 283 - 849 melee damage on targets in Area of Effect',0,5),
(29352,40045,5,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(29353,40045,5,100,'Throws target back',1,1),
(29354,40045,5,100,'Blurs vision of target',1,2),
(29355,40045,5,100,'Stuns target',1,3),
(29356,40045,5,100,'Does not affect Epic targets',1,4),
(29357,40045,5,100,'Inflicts 309 - 927 melee damage on targets in Area of Effect',0,5),
(29358,40045,7,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(29359,40045,7,100,'Throws target back',1,1),
(29360,40045,7,100,'Blurs vision of target',1,2),
(29361,40045,7,100,'Stuns target',1,3),
(29362,40045,7,100,'Does not affect Epic targets',1,4),
(29363,40045,7,100,'Inflicts 396 - 1189 melee damage on targets in Area of Effect',0,5),
(29364,40045,9,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(29365,40045,9,100,'Throws target back',1,1),
(29366,40045,9,100,'Blurs vision of target',1,2),
(29367,40045,9,100,'Stuns target',1,3),
(29368,40045,9,100,'Does not affect Epic targets',1,4),
(29369,40045,9,100,'Inflicts 412 - 1236 melee damage on targets in Area of Effect',0,5),
(29370,40045,10,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(29371,40045,10,100,'Throws target back',1,1),
(29372,40045,10,100,'Blurs vision of target',1,2),
(29373,40045,10,100,'Stuns target',1,3),
(29374,40045,10,100,'Does not affect Epic targets',1,4),
(29375,40045,10,100,'Inflicts 432 - 1297 melee damage on targets in Area of Effect',0,5),
(29376,40046,1,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(29377,40046,1,100,'Throws target back',1,1),
(29378,40046,1,100,'Blurs vision of target',1,2),
(29379,40046,1,100,'Stuns target',1,3),
(29380,40046,1,100,'Does not affect Epic targets',1,4),
(29381,40046,1,100,'Inflicts 279 - 839 melee damage on targets in Area of Effect',0,5),
(29382,40046,4,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(29383,40046,4,100,'Throws target back',1,1),
(29384,40046,4,100,'Blurs vision of target',1,2),
(29385,40046,4,100,'Stuns target',1,3),
(29386,40046,4,100,'Does not affect Epic targets',1,4),
(29387,40046,4,100,'Inflicts 341 - 1025 melee damage on targets in Area of Effect',0,5),
(29388,40046,5,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(29389,40046,5,100,'Throws target back',1,1),
(29390,40046,5,100,'Blurs vision of target',1,2),
(29391,40046,5,100,'Stuns target',1,3),
(29392,40046,5,100,'Does not affect Epic targets',1,4),
(29393,40046,5,100,'Inflicts 373 - 1119 melee damage on targets in Area of Effect',0,5),
(29394,40046,7,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(29395,40046,7,100,'Throws target back',1,1),
(29396,40046,7,100,'Blurs vision of target',1,2),
(29397,40046,7,100,'Stuns target',1,3),
(29398,40046,7,100,'Does not affect Epic targets',1,4),
(29399,40046,7,100,'Inflicts 478 - 1436 melee damage on targets in Area of Effect',0,5),
(29400,40046,9,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(29401,40046,9,100,'Throws target back',1,1),
(29402,40046,9,100,'Blurs vision of target',1,2),
(29403,40046,9,100,'Stuns target',1,3),
(29404,40046,9,100,'Does not affect Epic targets',1,4),
(29405,40046,9,100,'Inflicts 497 - 1492 melee damage on targets in Area of Effect',0,5),
(29412,40047,1,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(29413,40047,1,100,'Throws target back',1,1),
(29414,40047,1,100,'Blurs vision of target',1,2),
(29415,40047,1,100,'Stuns target',1,3),
(29416,40047,1,100,'Does not affect Epic targets',1,4),
(29417,40047,1,100,'Inflicts 314 - 944 melee damage on targets in Area of Effect',0,5),
(29418,40047,4,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(29419,40047,4,100,'Throws target back',1,1),
(29420,40047,4,100,'Blurs vision of target',1,2),
(29421,40047,4,100,'Stuns target',1,3),
(29422,40047,4,100,'Does not affect Epic targets',1,4),
(29423,40047,4,100,'Inflicts 384 - 1154 melee damage on targets in Area of Effect',0,5),
(29424,40047,5,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(29425,40047,5,100,'Throws target back',1,1),
(29426,40047,5,100,'Blurs vision of target',1,2),
(29427,40047,5,100,'Stuns target',1,3),
(29428,40047,5,100,'Does not affect Epic targets',1,4),
(29429,40047,5,100,'Inflicts 419 - 1259 melee damage on targets in Area of Effect',0,5),
(29430,40047,7,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(29431,40047,7,100,'Throws target back',1,1),
(29432,40047,7,100,'Blurs vision of target',1,2),
(29433,40047,7,100,'Stuns target',1,3),
(29434,40047,7,100,'Does not affect Epic targets',1,4),
(29435,40047,7,100,'Inflicts 538 - 1616 melee damage on targets in Area of Effect',0,5),
(29436,40047,9,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(29437,40047,9,100,'Throws target back',1,1),
(29438,40047,9,100,'Blurs vision of target',1,2),
(29439,40047,9,100,'Stuns target',1,3),
(29440,40047,9,100,'Does not affect Epic targets',1,4),
(29441,40047,9,100,'Inflicts 559 - 1679 melee damage on targets in Area of Effect',0,5),
(29448,2000029,1,100,'Inflicts 568 - 1056 melee damage on target',0,0),
(29449,2000029,1,100,'Inflicts 568 - 1056 melee damage on target',0,1),
(29450,2000029,1,100,'Inflicts 568 - 1056 melee damage on target',0,2),
(29451,2000029,1,100,'Inflicts 568 - 1056 melee damage on target',0,3),
(29452,2000029,1,100,'Inflicts 568 - 1056 melee damage on target',0,4),
(29453,2000029,1,100,'Inflicts damage for each increment of Carnage on the target, up to 5.',0,5),
(29454,40048,1,100,'Increases STR and AGI of group members (AE) by 11.6',0,0),
(29455,40048,2,100,'Increases STR and AGI of group members (AE) by 12.3',0,0),
(29456,40048,3,100,'Increases STR and AGI of group members (AE) by 12.9',0,0),
(29457,40048,4,100,'Increases STR and AGI of group members (AE) by 14.2',0,0),
(29458,40048,5,100,'Increases STR and AGI of group members (AE) by 15.5',0,0),
(29459,40048,7,100,'Increases STR and AGI of group members (AE) by 19.9',0,0),
(29460,40048,9,100,'Increases STR and AGI of group members (AE) by 20.6',0,0),
(29461,40049,1,100,'Increases STR of group members (AE) by 24.4',0,0),
(29469,40050,1,100,'Increases STR and AGI of group members (AE) by 38.6',0,0),
(29470,40050,2,100,'Increases STR and AGI of group members (AE) by 40.8',0,0),
(29471,40050,3,100,'Increases STR and AGI of group members (AE) by 42.9',0,0),
(29472,40050,4,100,'Increases STR and AGI of group members (AE) by 47.2',0,0),
(29473,40050,5,100,'Increases STR and AGI of group members (AE) by 51.5',0,0),
(29474,40050,7,100,'Increases STR and AGI of group members (AE) by 66.1',0,0),
(29475,40050,9,100,'Increases STR and AGI of group members (AE) by 68.6',0,0),
(29476,40051,1,100,'Increases STR and AGI of group members (AE) by 53.7',0,0),
(29477,40051,2,100,'Increases STR and AGI of group members (AE) by 56.7',0,0),
(29478,40051,3,100,'Increases STR and AGI of group members (AE) by 59.7',0,0),
(29479,40051,4,100,'Increases STR and AGI of group members (AE) by 65.7',0,0),
(29480,40051,5,100,'Increases STR and AGI of group members (AE) by 71.6',0,0),
(29481,40051,7,100,'Increases STR and AGI of group members (AE) by 91.9',0,0),
(29482,40051,9,100,'Increases STR and AGI of group members (AE) by 95.5',0,0),
(29483,40052,1,100,'Increases STR and AGI of group members (AE) by 68.8',0,0),
(29484,40052,2,100,'Increases STR and AGI of group members (AE) by 72.7',0,0),
(29485,40052,3,100,'Increases STR and AGI of group members (AE) by 76.5',0,0),
(29486,40052,4,100,'Increases STR and AGI of group members (AE) by 84.2',0,0),
(29487,40052,5,100,'Increases STR and AGI of group members (AE) by 91.8',0,0),
(29488,40052,7,100,'Increases STR and AGI of group members (AE) by 117.8',0,0),
(29489,40052,9,100,'Increases STR and AGI of group members (AE) by 122.4',0,0),
(29490,40053,1,100,'Increases STR and AGI of group members (AE) by 83.2',0,0),
(29491,40053,2,100,'Increases STR and AGI of group members (AE) by 87.8',0,0),
(29492,40053,3,100,'Increases STR and AGI of group members (AE) by 92.4',0,0),
(29493,40053,4,100,'Increases STR and AGI of group members (AE) by 101.6',0,0),
(29494,40053,5,100,'Increases STR and AGI of group members (AE) by 110.9',0,0),
(29495,40053,7,100,'Increases STR and AGI of group members (AE) by 142.3',0,0),
(29496,40053,9,100,'Increases STR and AGI of group members (AE) by 147.8',0,0),
(29497,40054,1,100,'Increases STR and AGI of group members (AE) by 98.0',0,0),
(29498,40054,4,100,'Increases STR and AGI of group members (AE) by 119.8',0,0),
(29499,40054,5,100,'Increases STR and AGI of group members (AE) by 130.7',0,0),
(29500,40054,7,100,'Increases STR and AGI of group members (AE) by 167.7',0,0),
(29501,40054,9,100,'Increases STR and AGI of group members (AE) by 174.2',0,0),
(29507,390013,1,100,'Inflicts 6 - 10 melee damage on target',0,0),
(29508,390013,1,100,'Inflicts 17 piercing damage on target instantly and every 2.6 seconds',0,1),
(29509,390013,2,100,'Inflicts 6 - 11 melee damage on target',0,0),
(29510,390013,2,100,'Inflicts 18 piercing damage on target instantly and every 2.6 seconds',0,1),
(29511,390013,3,100,'Inflicts 6 - 11 melee damage on target',0,0),
(29512,390013,3,100,'Inflicts 19 piercing damage on target instantly and every 2.6 seconds',0,1),
(29513,390013,4,100,'Inflicts 7 - 12 melee damage on target',0,0),
(29514,390013,4,100,'Inflicts 20 piercing damage on target instantly and every 2.6 seconds',0,1),
(29515,390013,5,100,'Inflicts 8 - 13 melee damage on target',0,0),
(29516,390013,5,100,'Inflicts 22 piercing damage on target instantly and every 2.6 seconds',0,1),
(29517,390013,7,100,'Inflicts 10 - 17 melee damage on target',0,0),
(29518,390013,7,100,'Inflicts 29 piercing damage on target instantly and every 2.6 seconds',0,1),
(29519,390013,9,100,'Inflicts 11 - 18 melee damage on target',0,0),
(29520,390013,9,100,'Inflicts 30 piercing damage on target instantly and every 2.6 seconds',0,1),
(29521,390013,10,100,'Inflicts 11 - 19 melee damage on target',0,0),
(29522,390013,10,100,'Inflicts 31 piercing damage on target instantly and every 2.6 seconds',0,1),
(29523,390014,1,100,'Inflicts 13 - 23 melee damage on target',0,0),
(29524,390014,1,100,'Inflicts 37 piercing damage on target instantly and every 2.6 seconds',0,1),
(29525,390014,2,100,'Inflicts 14 - 24 melee damage on target',0,0),
(29526,390014,2,100,'Inflicts 39 piercing damage on target instantly and every 2.6 seconds',0,1),
(29527,390014,3,100,'Inflicts 15 - 25 melee damage on target',0,0),
(29528,390014,3,100,'Inflicts 41 piercing damage on target instantly and every 2.6 seconds',0,1),
(29529,390014,4,100,'Inflicts 17 - 28 melee damage on target',0,0),
(29530,390014,4,100,'Inflicts 46 piercing damage on target instantly and every 2.6 seconds',0,1),
(29531,390014,5,100,'Inflicts 18 - 31 melee damage on target',0,0),
(29532,390014,5,100,'Inflicts 50 piercing damage on target instantly and every 2.6 seconds',0,1),
(29533,390014,7,100,'Inflicts 23 - 39 melee damage on target',0,0),
(29534,390014,7,100,'Inflicts 64 piercing damage on target instantly and every 2.6 seconds',0,1),
(29535,390014,9,100,'Inflicts 24 - 41 melee damage on target',0,0),
(29536,390014,9,100,'Inflicts 66 piercing damage on target instantly and every 2.6 seconds',0,1),
(29537,390015,1,100,'Inflicts 22 - 37 melee damage on target',0,0),
(29538,390015,1,100,'Inflicts 60 piercing damage on target instantly and every 2.6 seconds',0,1),
(29539,390015,2,100,'Inflicts 23 - 39 melee damage on target',0,0),
(29540,390015,2,100,'Inflicts 63 piercing damage on target instantly and every 2.6 seconds',0,1),
(29541,390015,3,100,'Inflicts 25 - 41 melee damage on target',0,0),
(29542,390015,3,100,'Inflicts 67 piercing damage on target instantly and every 2.6 seconds',0,1),
(29543,390015,4,100,'Inflicts 27 - 45 melee damage on target',0,0),
(29544,390015,4,100,'Inflicts 73 piercing damage on target instantly and every 2.6 seconds',0,1),
(29545,390015,5,100,'Inflicts 30 - 50 melee damage on target',0,0),
(29546,390015,5,100,'Inflicts 80 piercing damage on target instantly and every 2.6 seconds',0,1),
(29547,390015,7,100,'Inflicts 38 - 64 melee damage on target',0,0),
(29548,390015,7,100,'Inflicts 103 piercing damage on target instantly and every 2.6 seconds',0,1),
(29549,390015,9,100,'Inflicts 40 - 66 melee damage on target',0,0),
(29550,390015,9,100,'Inflicts 107 piercing damage on target instantly and every 2.6 seconds',0,1),
(29551,390016,1,100,'Inflicts 33 - 55 melee damage on target',0,0),
(29552,390016,1,100,'Inflicts 88 piercing damage on target instantly and every 2.6 seconds',0,1),
(29553,390016,2,100,'Inflicts 34 - 58 melee damage on target',0,0),
(29554,390016,2,100,'Inflicts 93 piercing damage on target instantly and every 2.6 seconds',0,1),
(29555,390016,3,100,'Inflicts 36 - 61 melee damage on target',0,0),
(29556,390016,3,100,'Inflicts 98 piercing damage on target instantly and every 2.6 seconds',0,1),
(29557,390016,4,100,'Inflicts 40 - 67 melee damage on target',0,0),
(29558,390016,4,100,'Inflicts 108 piercing damage on target instantly and every 2.6 seconds',0,1),
(29559,390016,5,100,'Inflicts 44 - 73 melee damage on target',0,0),
(29560,390016,5,100,'Inflicts 118 piercing damage on target instantly and every 2.6 seconds',0,1),
(29561,390016,7,100,'Inflicts 56 - 94 melee damage on target',0,0),
(29562,390016,7,100,'Inflicts 151 piercing damage on target instantly and every 2.6 seconds',0,1),
(29563,390016,9,100,'Inflicts 58 - 98 melee damage on target',0,0),
(29564,390016,9,100,'Inflicts 157 piercing damage on target instantly and every 2.6 seconds',0,1),
(29565,390016,10,100,'Inflicts 61 - 103 melee damage on target',0,0),
(29566,390016,10,100,'Inflicts 165 piercing damage on target instantly and every 2.6 seconds',0,1),
(29567,390017,1,100,'Inflicts 43 - 73 melee damage on target',0,0),
(29568,390017,1,100,'Inflicts 117 piercing damage on target instantly and every 2.6 seconds',0,1),
(29569,390017,2,100,'Inflicts 46 - 77 melee damage on target',0,0),
(29570,390017,2,100,'Inflicts 123 piercing damage on target instantly and every 2.6 seconds',0,1),
(29571,390017,3,100,'Inflicts 48 - 81 melee damage on target',0,0),
(29572,390017,3,100,'Inflicts 130 piercing damage on target instantly and every 2.6 seconds',0,1),
(29573,390017,4,100,'Inflicts 53 - 89 melee damage on target',0,0),
(29574,390017,4,100,'Inflicts 143 piercing damage on target instantly and every 2.6 seconds',0,1),
(29575,390017,5,100,'Inflicts 58 - 97 melee damage on target',0,0),
(29576,390017,5,100,'Inflicts 156 piercing damage on target instantly and every 2.6 seconds',0,1),
(29577,390017,7,100,'Inflicts 74 - 124 melee damage on target',0,0),
(29578,390017,7,100,'Inflicts 200 piercing damage on target instantly and every 2.6 seconds',0,1),
(29579,390017,9,100,'Inflicts 77 - 129 melee damage on target',0,0),
(29580,390017,9,100,'Inflicts 208 piercing damage on target instantly and every 2.6 seconds',0,1),
(29581,390018,1,100,'Inflicts 53 - 88 melee damage on target',0,0),
(29582,390018,1,100,'Inflicts 141 piercing damage on target instantly and every 2.6 seconds',0,1),
(29583,390018,2,100,'Inflicts 55 - 93 melee damage on target',0,0),
(29584,390018,2,100,'Inflicts 149 piercing damage on target instantly and every 2.6 seconds',0,1),
(29585,390018,3,100,'Inflicts 58 - 98 melee damage on target',0,0),
(29586,390018,3,100,'Inflicts 157 piercing damage on target instantly and every 2.6 seconds',0,1),
(29587,390018,4,100,'Inflicts 64 - 108 melee damage on target',0,0),
(29588,390018,4,100,'Inflicts 173 piercing damage on target instantly and every 2.6 seconds',0,1),
(29589,390018,5,100,'Inflicts 70 - 117 melee damage on target',0,0),
(29590,390018,5,100,'Inflicts 189 piercing damage on target instantly and every 2.6 seconds',0,1),
(29591,390018,7,100,'Inflicts 90 - 151 melee damage on target',0,0),
(29592,390018,7,100,'Inflicts 242 piercing damage on target instantly and every 2.6 seconds',0,1),
(29593,390018,9,100,'Inflicts 94 - 157 melee damage on target',0,0),
(29594,390018,9,100,'Inflicts 251 piercing damage on target instantly and every 2.6 seconds',0,1),
(29595,390019,1,100,'Inflicts 63 - 106 melee damage on target',0,0),
(29596,390019,1,100,'Inflicts 170 piercing damage on target instantly and every 2.6 seconds',0,1),
(29597,390019,4,100,'Inflicts 78 - 130 melee damage on target',0,0),
(29598,390019,4,100,'Inflicts 208 piercing damage on target instantly and every 2.6 seconds',0,1),
(29599,390019,5,100,'Inflicts 85 - 141 melee damage on target',0,0),
(29600,390019,5,100,'Inflicts 227 piercing damage on target instantly and every 2.6 seconds',0,1),
(29601,390019,7,100,'Inflicts 109 - 182 melee damage on target',0,0),
(29602,390019,7,100,'Inflicts 291 piercing damage on target instantly and every 2.6 seconds',0,1),
(29603,390019,9,100,'Inflicts 113 - 189 melee damage on target',0,0),
(29604,390019,9,100,'Inflicts 303 piercing damage on target instantly and every 2.6 seconds',0,1),
(29605,390020,1,100,'Inflicts 69 - 115 melee damage on target',0,0),
(29606,390020,1,100,'Inflicts 185 piercing damage on target instantly and every 2.6 seconds',0,1),
(29607,390020,4,100,'Inflicts 84 - 141 melee damage on target',0,0),
(29608,390020,4,100,'Inflicts 226 piercing damage on target instantly and every 2.6 seconds',0,1),
(29609,390020,5,100,'Inflicts 92 - 154 melee damage on target',0,0),
(29610,390020,5,100,'Inflicts 247 piercing damage on target instantly and every 2.6 seconds',0,1),
(29611,390020,7,100,'Inflicts 118 - 197 melee damage on target',0,0),
(29612,390020,7,100,'Inflicts 316 piercing damage on target instantly and every 2.6 seconds',0,1),
(29613,390020,9,100,'Inflicts 123 - 205 melee damage on target',0,0),
(29614,390020,9,100,'Inflicts 329 piercing damage on target instantly and every 2.6 seconds',0,1),
(29615,320001,1,100,'Inflicts 27 - 46 crushing damage on target',0,0),
(29616,320001,1,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,1),
(29617,320001,2,100,'Inflicts 29 - 48 crushing damage on target',0,0),
(29618,320001,2,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,1),
(29619,320001,3,100,'Inflicts 30 - 51 crushing damage on target',0,0),
(29620,320001,3,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,1),
(29621,320001,4,100,'Inflicts 33 - 56 crushing damage on target',0,0),
(29622,320001,4,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,1),
(29623,320001,5,100,'Inflicts 36 - 61 crushing damage on target',0,0),
(29624,320001,5,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,1),
(29625,320001,7,100,'Inflicts 47 - 79 crushing damage on target',0,0),
(29626,320001,7,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,1),
(29627,320001,9,100,'Inflicts 49 - 82 crushing damage on target',0,0),
(29628,320001,9,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,1),
(29629,2000030,1,100,'Caster will Dodge 100.0% of incoming attacks',0,0),
(29630,2000030,1,100,'Makes caster immune to strikethrough attacks.',0,1),
(29631,70024,1,100,'Increases STR of caster by 9.4',0,0),
(29632,70024,1,100,'Adds 2.5% to base avoidance.',0,1),
(29633,70024,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 168',0,2),
(29634,70024,2,100,'Increases STR of caster by 9.9',0,0),
(29635,70024,2,100,'Adds 2.7% to base avoidance.',0,1),
(29636,70024,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 178',0,2),
(29637,70024,3,100,'Increases STR of caster by 10.4',0,0),
(29638,70024,3,100,'Adds 2.8% to base avoidance.',0,1),
(29639,70024,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 187',0,2),
(29640,70024,4,100,'Increases STR of caster by 11.4',0,0),
(29641,70024,4,100,'Adds 3.1% to base avoidance.',0,1),
(29642,70024,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 206',0,2),
(29643,70024,5,100,'Increases STR of caster by 12.5',0,0),
(29644,70024,5,100,'Adds 3.4% to base avoidance.',0,1),
(29645,70024,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 225',0,2),
(29646,70024,7,100,'Increases STR of caster by 16.0',0,0),
(29647,70024,7,100,'Adds 4.3% to base avoidance.',0,1),
(29648,70024,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 288',0,2),
(29649,70024,9,100,'Increases STR of caster by 16.6',0,0),
(29650,70024,9,100,'Adds 4.5% to base avoidance.',0,1),
(29651,70024,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 300',0,2),
(29652,70024,10,100,'Increases STR of caster by 17.5',0,0),
(29653,70024,10,100,'Adds 4.7% to base avoidance.',0,1),
(29654,70024,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 314',0,2),
(29676,70026,1,100,'Increases STR of caster by 27.9',0,0),
(29677,70026,1,100,'Adds 2.5% to base avoidance.',0,1),
(29678,70026,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 562',0,2),
(29679,70026,2,100,'Increases STR of caster by 29.4',0,0),
(29680,70026,2,100,'Adds 2.7% to base avoidance.',0,1),
(29681,70026,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 593',0,2),
(29682,70026,3,100,'Increases STR of caster by 31.0',0,0),
(29683,70026,3,100,'Adds 2.8% to base avoidance.',0,1),
(29684,70026,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 624',0,2),
(29685,70026,4,100,'Increases STR of caster by 34.1',0,0),
(29686,70026,4,100,'Adds 3.1% to base avoidance.',0,1),
(29687,70026,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 686',0,2),
(29688,70026,5,100,'Increases STR of caster by 37.2',0,0),
(29689,70026,5,100,'Adds 3.4% to base avoidance.',0,1),
(29690,70026,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 749',0,2),
(29691,70026,7,100,'Increases STR of caster by 47.7',0,0),
(29692,70026,7,100,'Adds 4.3% to base avoidance.',0,1),
(29693,70026,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 961',0,2),
(29694,70026,9,100,'Increases STR of caster by 49.6',0,0),
(29695,70026,9,100,'Adds 4.5% to base avoidance.',0,1),
(29696,70026,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 998',0,2),
(29697,70026,10,100,'Increases STR of caster by 52.1',0,0),
(29698,70026,10,100,'Adds 4.7% to base avoidance.',0,1),
(29699,70026,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1048',0,2),
(29700,70027,1,100,'Increases STR of caster by 38.0',0,0),
(29701,70027,1,100,'Adds 2.5% to base avoidance.',0,1),
(29702,70027,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 758',0,2),
(29703,70027,2,100,'Increases STR of caster by 40.1',0,0),
(29704,70027,2,100,'Adds 2.7% to base avoidance.',0,1),
(29705,70027,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 800',0,2),
(29706,70027,3,100,'Increases STR of caster by 42.2',0,0),
(29707,70027,3,100,'Adds 2.8% to base avoidance.',0,1),
(29708,70027,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 842',0,2),
(29709,70027,4,100,'Increases STR of caster by 46.4',0,0),
(29710,70027,4,100,'Adds 3.1% to base avoidance.',0,1),
(29711,70027,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 927',0,2),
(29712,70027,5,100,'Increases STR of caster by 50.6',0,0),
(29713,70027,5,100,'Adds 3.4% to base avoidance.',0,1),
(29714,70027,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1011',0,2),
(29715,70027,7,100,'Increases STR of caster by 65.0',0,0),
(29716,70027,7,100,'Adds 4.3% to base avoidance.',0,1),
(29717,70027,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1297',0,2),
(29718,70027,9,100,'Increases STR of caster by 67.5',0,0),
(29719,70027,9,100,'Adds 4.5% to base avoidance.',0,1),
(29720,70027,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1348',0,2),
(29721,70027,10,100,'Increases STR of caster by 70.9',0,0),
(29722,70027,10,100,'Adds 4.7% to base avoidance.',0,1),
(29723,70027,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1415',0,2),
(29724,70028,1,100,'Increases STR of caster by 48.1',0,0),
(29725,70028,1,100,'Adds 2.5% to base avoidance.',0,1),
(29726,70028,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 955',0,2),
(29727,70028,2,100,'Increases STR of caster by 50.7',0,0),
(29728,70028,2,100,'Adds 2.7% to base avoidance.',0,1),
(29729,70028,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1008',0,2),
(29730,70028,3,100,'Increases STR of caster by 53.4',0,0),
(29731,70028,3,100,'Adds 2.8% to base avoidance.',0,1),
(29732,70028,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1061',0,2),
(29733,70028,4,100,'Increases STR of caster by 58.7',0,0),
(29734,70028,4,100,'Adds 3.1% to base avoidance.',0,1),
(29735,70028,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1167',0,2),
(29736,70028,5,100,'Increases STR of caster by 64.1',0,0),
(29737,70028,5,100,'Adds 3.4% to base avoidance.',0,1),
(29738,70028,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1273',0,2),
(29739,70028,7,100,'Increases STR of caster by 82.2',0,0),
(29740,70028,7,100,'Adds 4.3% to base avoidance.',0,1),
(29741,70028,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1634',0,2),
(29742,70028,9,100,'Increases STR of caster by 85.4',0,0),
(29743,70028,9,100,'Adds 4.5% to base avoidance.',0,1),
(29744,70028,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1697',0,2),
(29745,70029,1,100,'Increases STR of caster by 58.4',0,0),
(29746,70029,1,100,'Adds 2.5% to base avoidance.',0,1),
(29747,70029,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1109',0,2),
(29748,70029,2,100,'Increases STR of caster by 61.7',0,0),
(29749,70029,2,100,'Adds 2.7% to base avoidance.',0,1),
(29750,70029,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1171',0,2),
(29751,70029,3,100,'Increases STR of caster by 64.9',0,0),
(29752,70029,3,100,'Adds 2.8% to base avoidance.',0,1),
(29753,70029,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1232',0,2),
(29754,70029,4,100,'Increases STR of caster by 71.4',0,0),
(29755,70029,4,100,'Adds 3.1% to base avoidance.',0,1),
(29756,70029,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1356',0,2),
(29757,70029,5,100,'Increases STR of caster by 77.9',0,0),
(29758,70029,5,100,'Adds 3.4% to base avoidance.',0,1),
(29759,70029,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1479',0,2),
(29760,70029,7,100,'Increases STR of caster by 99.9',0,0),
(29761,70029,7,100,'Adds 4.3% to base avoidance.',0,1),
(29762,70029,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1898',0,2),
(29763,70029,9,100,'Increases STR of caster by 103.8',0,0),
(29764,70029,9,100,'Adds 4.5% to base avoidance.',0,1),
(29765,70029,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1972',0,2),
(29766,70030,1,100,'Increases STR of caster by 68.3',0,0),
(29767,70030,1,100,'Adds 2.5% to base avoidance.',0,1),
(29768,70030,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1250',0,2),
(29769,70030,4,100,'Increases STR of caster by 83.5',0,0),
(29770,70030,4,100,'Adds 3.1% to base avoidance.',0,1),
(29771,70030,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1527',0,2),
(29772,70030,5,100,'Increases STR of caster by 91.1',0,0),
(29773,70030,5,100,'Adds 3.4% to base avoidance.',0,1),
(29774,70030,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1666',0,2),
(29775,70030,7,100,'Increases STR of caster by 116.9',0,0),
(29776,70030,7,100,'Adds 4.3% to base avoidance.',0,1),
(29777,70030,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2138',0,2),
(29778,70030,9,100,'Increases STR of caster by 121.4',0,0),
(29779,70030,9,100,'Adds 4.5% to base avoidance.',0,1),
(29780,70030,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2221',0,2),
(29781,70031,1,100,'Increases STR of caster by 78.2',0,0),
(29782,70031,1,100,'Adds 2.9% to base avoidance.',0,1),
(29783,70031,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1598',0,2),
(29784,70031,4,100,'Increases STR of caster by 95.6',0,0),
(29785,70031,4,100,'Adds 3.5% to base avoidance.',0,1),
(29786,70031,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1954',0,2),
(29787,70031,5,100,'Increases STR of caster by 104.3',0,0),
(29788,70031,5,100,'Adds 3.9% to base avoidance.',0,1),
(29789,70031,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2131',0,2),
(29790,70031,7,100,'Increases STR of caster by 133.8',0,0),
(29791,70031,7,100,'Adds 5.0% to base avoidance.',0,1),
(29792,70031,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2735',0,2),
(29793,70031,9,100,'Increases STR of caster by 139.0',0,0),
(29794,70031,9,100,'Adds 5.2% to base avoidance.',0,1),
(29795,70031,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2842',0,2),
(29796,40056,1,100,'Throws target back',0,0),
(29797,40056,1,100,'If Target is not Epic',1,1),
(29798,40056,1,100,'Inflicts 2 - 8 crushing damage on target',0,2),
(29799,40056,1,100,'Stuns target',0,3),
(29800,40056,1,100,'If Target is not Epic',1,4),
(29801,40056,1,100,'Resistibility increases against targets higher than level 29.',0,5),
(29802,40056,2,100,'Throws target back',0,0),
(29803,40056,2,100,'If Target is not Epic',1,1),
(29804,40056,2,100,'Inflicts 2 - 8 crushing damage on target',0,2),
(29805,40056,2,100,'Stuns target',0,3),
(29806,40056,2,100,'If Target is not Epic',1,4),
(29807,40056,2,100,'Resistibility increases against targets higher than level 29.',0,5),
(29808,40056,3,100,'Throws target back',0,0),
(29809,40056,3,100,'If Target is not Epic',1,1),
(29810,40056,3,100,'Inflicts 2 - 8 crushing damage on target',0,2),
(29811,40056,3,100,'Stuns target',0,3),
(29812,40056,3,100,'If Target is not Epic',1,4),
(29813,40056,3,100,'Resistibility increases against targets higher than level 29.',0,5),
(29814,40056,4,100,'Throws target back',0,0),
(29815,40056,4,100,'If Target is not Epic',1,1),
(29816,40056,4,100,'Inflicts 3 - 9 crushing damage on target',0,2),
(29817,40056,4,100,'Stuns target',0,3),
(29818,40056,4,100,'If Target is not Epic',1,4),
(29819,40056,4,100,'Resistibility increases against targets higher than level 29.',0,5),
(29820,40056,5,100,'Throws target back',0,0),
(29821,40056,5,100,'If Target is not Epic',1,1),
(29822,40056,5,100,'Inflicts 3 - 10 crushing damage on target',0,2),
(29823,40056,5,100,'Stuns target',0,3),
(29824,40056,5,100,'If Target is not Epic',1,4),
(29825,40056,5,100,'Resistibility increases against targets higher than level 29.',0,5),
(29826,40056,7,100,'Throws target back',0,0),
(29827,40056,7,100,'If Target is not Epic',1,1),
(29828,40056,7,100,'Inflicts 4 - 13 crushing damage on target',0,2),
(29829,40056,7,100,'Stuns target',0,3),
(29830,40056,7,100,'If Target is not Epic',1,4),
(29831,40056,7,100,'Resistibility increases against targets higher than level 29.',0,5),
(29832,40056,9,100,'Throws target back',0,0),
(29833,40056,9,100,'If Target is not Epic',1,1),
(29834,40056,9,100,'Inflicts 4 - 14 crushing damage on target',0,2),
(29835,40056,9,100,'Stuns target',0,3),
(29836,40056,9,100,'If Target is not Epic',1,4),
(29837,40056,9,100,'Resistibility increases against targets higher than level 29.',0,5),
(29838,40057,1,100,'Throws target back',0,0),
(29839,40057,1,100,'If Target is not Epic',1,1),
(29840,40057,1,100,'Inflicts 9 - 28 crushing damage on target',0,2),
(29841,40057,1,100,'Stuns target',0,3),
(29842,40057,1,100,'If Target is not Epic',1,4),
(29843,40057,1,100,'Resistibility increases against targets higher than level 29.',0,5),
(29844,40057,2,100,'Throws target back',0,0),
(29845,40057,2,100,'If Target is not Epic',1,1),
(29846,40057,2,100,'Inflicts 9 - 29 crushing damage on target',0,2),
(29847,40057,2,100,'Stuns target',0,3),
(29848,40057,2,100,'If Target is not Epic',1,4),
(29849,40057,2,100,'Resistibility increases against targets higher than level 29.',0,5),
(29850,40057,3,100,'Throws target back',0,0),
(29851,40057,3,100,'If Target is not Epic',1,1),
(29852,40057,3,100,'Inflicts 10 - 31 crushing damage on target',0,2),
(29853,40057,3,100,'Stuns target',0,3),
(29854,40057,3,100,'If Target is not Epic',1,4),
(29855,40057,3,100,'Resistibility increases against targets higher than level 29.',0,5),
(29856,40057,4,100,'Throws target back',0,0),
(29857,40057,4,100,'If Target is not Epic',1,1),
(29858,40057,4,100,'Inflicts 11 - 34 crushing damage on target',0,2),
(29859,40057,4,100,'Stuns target',0,3),
(29860,40057,4,100,'If Target is not Epic',1,4),
(29861,40057,4,100,'Resistibility increases against targets higher than level 29.',0,5),
(29862,40057,5,100,'Throws target back',0,0),
(29863,40057,5,100,'If Target is not Epic',1,1),
(29864,40057,5,100,'Inflicts 12 - 37 crushing damage on target',0,2),
(29865,40057,5,100,'Stuns target',0,3),
(29866,40057,5,100,'If Target is not Epic',1,4),
(29867,40057,5,100,'Resistibility increases against targets higher than level 29.',0,5),
(29868,40057,7,100,'Throws target back',0,0),
(29869,40057,7,100,'If Target is not Epic',1,1),
(29870,40057,7,100,'Inflicts 16 - 48 crushing damage on target',0,2),
(29871,40057,7,100,'Stuns target',0,3),
(29872,40057,7,100,'If Target is not Epic',1,4),
(29873,40057,7,100,'Resistibility increases against targets higher than level 29.',0,5),
(29874,40057,9,100,'Throws target back',0,0),
(29875,40057,9,100,'If Target is not Epic',1,1),
(29876,40057,9,100,'Inflicts 16 - 50 crushing damage on target',0,2),
(29877,40057,9,100,'Stuns target',0,3),
(29878,40057,9,100,'If Target is not Epic',1,4),
(29879,40057,9,100,'Resistibility increases against targets higher than level 29.',0,5),
(29880,40057,10,100,'Throws target back',0,0),
(29881,40057,10,100,'If Target is not Epic',1,1),
(29882,40057,10,100,'Inflicts 17 - 52 crushing damage on target',0,2),
(29883,40057,10,100,'Stuns target',0,3),
(29884,40057,10,100,'If Target is not Epic',1,4),
(29885,40057,10,100,'Resistibility increases against targets higher than level 29.',0,5),
(29886,40058,1,100,'Throws target back',0,0),
(29887,40058,1,100,'If Target is not Epic',1,1),
(29888,40058,1,100,'Inflicts 32 - 97 crushing damage on target',0,2),
(29889,40058,1,100,'Stuns target',0,3),
(29890,40058,1,100,'If Target is not Epic',1,4),
(29891,40058,1,100,'Resistibility increases against targets higher than level 29.',0,5),
(29892,40058,2,100,'Throws target back',0,0),
(29893,40058,2,100,'If Target is not Epic',1,1),
(29894,40058,2,100,'Inflicts 34 - 102 crushing damage on target',0,2),
(29895,40058,2,100,'Stuns target',0,3),
(29896,40058,2,100,'If Target is not Epic',1,4),
(29897,40058,2,100,'Resistibility increases against targets higher than level 29.',0,5),
(29898,40058,3,100,'Throws target back',0,0),
(29899,40058,3,100,'If Target is not Epic',1,1),
(29900,40058,3,100,'Inflicts 36 - 108 crushing damage on target',0,2),
(29901,40058,3,100,'Stuns target',0,3),
(29902,40058,3,100,'If Target is not Epic',1,4),
(29903,40058,3,100,'Resistibility increases against targets higher than level 29.',0,5),
(29904,40058,4,100,'Throws target back',0,0),
(29905,40058,4,100,'If Target is not Epic',1,1),
(29906,40058,4,100,'Inflicts 39 - 118 crushing damage on target',0,2),
(29907,40058,4,100,'Stuns target',0,3),
(29908,40058,4,100,'If Target is not Epic',1,4),
(29909,40058,4,100,'Resistibility increases against targets higher than level 29.',0,5),
(29910,40058,5,100,'Throws target back',0,0),
(29911,40058,5,100,'If Target is not Epic',1,1),
(29912,40058,5,100,'Inflicts 43 - 129 crushing damage on target',0,2),
(29913,40058,5,100,'Stuns target',0,3),
(29914,40058,5,100,'If Target is not Epic',1,4),
(29915,40058,5,100,'Resistibility increases against targets higher than level 29.',0,5),
(29916,40058,7,100,'Throws target back',0,0),
(29917,40058,7,100,'If Target is not Epic',1,1),
(29918,40058,7,100,'Inflicts 55 - 166 crushing damage on target',0,2),
(29919,40058,7,100,'Stuns target',0,3),
(29920,40058,7,100,'If Target is not Epic',1,4),
(29921,40058,7,100,'Resistibility increases against targets higher than level 29.',0,5),
(29922,40058,9,100,'Throws target back',0,0),
(29923,40058,9,100,'If Target is not Epic',1,1),
(29924,40058,9,100,'Inflicts 57 - 172 crushing damage on target',0,2),
(29925,40058,9,100,'Stuns target',0,3),
(29926,40058,9,100,'If Target is not Epic',1,4),
(29927,40058,9,100,'Resistibility increases against targets higher than level 29.',0,5),
(29928,40059,1,100,'Throws target back',0,0),
(29929,40059,1,100,'If Target is not Epic',1,1),
(29930,40059,1,100,'Inflicts 51 - 155 crushing damage on target',0,2),
(29931,40059,1,100,'Stuns target',0,3),
(29932,40059,1,100,'If Target is not Epic',1,4),
(29933,40059,1,100,'Resistibility increases against targets higher than level 29.',0,5),
(29934,40059,2,100,'Throws target back',0,0),
(29935,40059,2,100,'If Target is not Epic',1,1),
(29936,40059,2,100,'Inflicts 54 - 163 crushing damage on target',0,2),
(29937,40059,2,100,'Stuns target',0,3),
(29938,40059,2,100,'If Target is not Epic',1,4),
(29939,40059,2,100,'Resistibility increases against targets higher than level 29.',0,5),
(29940,40059,3,100,'Throws target back',0,0),
(29941,40059,3,100,'If Target is not Epic',1,1),
(29942,40059,3,100,'Inflicts 57 - 172 crushing damage on target',0,2),
(29943,40059,3,100,'Stuns target',0,3),
(29944,40059,3,100,'If Target is not Epic',1,4),
(29945,40059,3,100,'Resistibility increases against targets higher than level 29.',0,5),
(29946,40059,4,100,'Throws target back',0,0),
(29947,40059,4,100,'If Target is not Epic',1,1),
(29948,40059,4,100,'Inflicts 63 - 189 crushing damage on target',0,2),
(29949,40059,4,100,'Stuns target',0,3),
(29950,40059,4,100,'If Target is not Epic',1,4),
(29951,40059,4,100,'Resistibility increases against targets higher than level 29.',0,5),
(29952,40059,5,100,'Throws target back',0,0),
(29953,40059,5,100,'If Target is not Epic',1,1),
(29954,40059,5,100,'Inflicts 68 - 206 crushing damage on target',0,2),
(29955,40059,5,100,'Stuns target',0,3),
(29956,40059,5,100,'If Target is not Epic',1,4),
(29957,40059,5,100,'Resistibility increases against targets higher than level 29.',0,5),
(29958,40059,7,100,'Throws target back',0,0),
(29959,40059,7,100,'If Target is not Epic',1,1),
(29960,40059,7,100,'Inflicts 88 - 265 crushing damage on target',0,2),
(29961,40059,7,100,'Stuns target',0,3),
(29962,40059,7,100,'If Target is not Epic',1,4),
(29963,40059,7,100,'Resistibility increases against targets higher than level 29.',0,5),
(29964,40059,9,100,'Throws target back',0,0),
(29965,40059,9,100,'If Target is not Epic',1,1),
(29966,40059,9,100,'Inflicts 91 - 275 crushing damage on target',0,2),
(29967,40059,9,100,'Stuns target',0,3),
(29968,40059,9,100,'If Target is not Epic',1,4),
(29969,40059,9,100,'Resistibility increases against targets higher than level 29.',0,5),
(29970,40060,1,100,'Throws target back',0,0),
(29971,40060,1,100,'If Target is not Epic',1,1),
(29972,40060,1,100,'Inflicts 154 - 464 crushing damage on target',0,2),
(29973,40060,1,100,'Stuns target',0,3),
(29974,40060,1,100,'If Target is not Epic',1,4),
(29975,40060,1,100,'Resistibility increases against targets higher than level 29.',0,5),
(29976,40060,4,100,'Throws target back',0,0),
(29977,40060,4,100,'If Target is not Epic',1,1),
(29978,40060,4,100,'Inflicts 189 - 568 crushing damage on target',0,2),
(29979,40060,4,100,'Stuns target',0,3),
(29980,40060,4,100,'If Target is not Epic',1,4),
(29981,40060,4,100,'Resistibility increases against targets higher than level 29.',0,5),
(29982,40060,5,100,'Throws target back',0,0),
(29983,40060,5,100,'If Target is not Epic',1,1),
(29984,40060,5,100,'Inflicts 206 - 619 crushing damage on target',0,2),
(29985,40060,5,100,'Stuns target',0,3),
(29986,40060,5,100,'If Target is not Epic',1,4),
(29987,40060,5,100,'Resistibility increases against targets higher than level 29.',0,5),
(29988,40060,7,100,'Throws target back',0,0),
(29989,40060,7,100,'If Target is not Epic',1,1),
(29990,40060,7,100,'Inflicts 265 - 795 crushing damage on target',0,2),
(29991,40060,7,100,'Stuns target',0,3),
(29992,40060,7,100,'If Target is not Epic',1,4),
(29993,40060,7,100,'Resistibility increases against targets higher than level 29.',0,5),
(29994,40060,9,100,'Throws target back',0,0),
(29995,40060,9,100,'If Target is not Epic',1,1),
(29996,40060,9,100,'Inflicts 275 - 826 crushing damage on target',0,2),
(29997,40060,9,100,'Stuns target',0,3),
(29998,40060,9,100,'If Target is not Epic',1,4),
(29999,40060,9,100,'Resistibility increases against targets higher than level 29.',0,5),
(30000,40061,1,100,'Throws target back',0,0),
(30001,40061,1,100,'If Target is not Epic',1,1),
(30002,40061,1,100,'Inflicts 75 - 226 crushing damage on target',0,2),
(30003,40061,1,100,'Stuns target',0,3),
(30004,40061,1,100,'If Target is not Epic',1,4),
(30005,40061,1,100,'Resistibility increases against targets higher than level 29.',0,5),
(30006,40061,2,100,'Throws target back',0,0),
(30007,40061,2,100,'If Target is not Epic',1,1),
(30008,40061,2,100,'Inflicts 79 - 238 crushing damage on target',0,2),
(30009,40061,2,100,'Stuns target',0,3),
(30010,40061,2,100,'If Target is not Epic',1,4),
(30011,40061,2,100,'Resistibility increases against targets higher than level 29.',0,5),
(30012,40061,3,100,'Throws target back',0,0),
(30013,40061,3,100,'If Target is not Epic',1,1),
(30014,40061,3,100,'Inflicts 83 - 251 crushing damage on target',0,2),
(30015,40061,3,100,'Stuns target',0,3),
(30016,40061,3,100,'If Target is not Epic',1,4),
(30017,40061,3,100,'Resistibility increases against targets higher than level 29.',0,5),
(30018,40061,4,100,'Throws target back',0,0),
(30019,40061,4,100,'If Target is not Epic',1,1),
(30020,40061,4,100,'Inflicts 92 - 276 crushing damage on target',0,2),
(30021,40061,4,100,'Stuns target',0,3),
(30022,40061,4,100,'If Target is not Epic',1,4),
(30023,40061,4,100,'Resistibility increases against targets higher than level 29.',0,5),
(30024,40061,5,100,'Throws target back',0,0),
(30025,40061,5,100,'If Target is not Epic',1,1),
(30026,40061,5,100,'Inflicts 100 - 301 crushing damage on target',0,2),
(30027,40061,5,100,'Stuns target',0,3),
(30028,40061,5,100,'If Target is not Epic',1,4),
(30029,40061,5,100,'Resistibility increases against targets higher than level 29.',0,5),
(30030,40061,7,100,'Throws target back',0,0),
(30031,40061,7,100,'If Target is not Epic',1,1),
(30032,40061,7,100,'Inflicts 128 - 386 crushing damage on target',0,2),
(30033,40061,7,100,'Stuns target',0,3),
(30034,40061,7,100,'If Target is not Epic',1,4),
(30035,40061,7,100,'Resistibility increases against targets higher than level 29.',0,5),
(30036,40061,9,100,'Throws target back',0,0),
(30037,40061,9,100,'If Target is not Epic',1,1),
(30038,40061,9,100,'Inflicts 133 - 401 crushing damage on target',0,2),
(30039,40061,9,100,'Stuns target',0,3),
(30040,40061,9,100,'If Target is not Epic',1,4),
(30041,40061,9,100,'Resistibility increases against targets higher than level 29.',0,5),
(30042,40062,1,100,'Throws target back',0,0),
(30043,40062,1,100,'If Target is not Epic',1,1),
(30044,40062,1,100,'Inflicts 99 - 297 crushing damage on target',0,2),
(30045,40062,1,100,'Stuns target',0,3),
(30046,40062,1,100,'If Target is not Epic',1,4),
(30047,40062,1,100,'Resistibility increases against targets higher than level 29.',0,5),
(30048,40062,2,100,'Throws target back',0,0),
(30049,40062,2,100,'If Target is not Epic',1,1),
(30050,40062,2,100,'Inflicts 104 - 313 crushing damage on target',0,2),
(30051,40062,2,100,'Stuns target',0,3),
(30052,40062,2,100,'If Target is not Epic',1,4),
(30053,40062,2,100,'Resistibility increases against targets higher than level 29.',0,5),
(30054,40062,3,100,'Throws target back',0,0),
(30055,40062,3,100,'If Target is not Epic',1,1),
(30056,40062,3,100,'Inflicts 110 - 330 crushing damage on target',0,2),
(30057,40062,3,100,'Stuns target',0,3),
(30058,40062,3,100,'If Target is not Epic',1,4),
(30059,40062,3,100,'Resistibility increases against targets higher than level 29.',0,5),
(30060,40062,4,100,'Throws target back',0,0),
(30061,40062,4,100,'If Target is not Epic',1,1),
(30062,40062,4,100,'Inflicts 121 - 363 crushing damage on target',0,2),
(30063,40062,4,100,'Stuns target',0,3),
(30064,40062,4,100,'If Target is not Epic',1,4),
(30065,40062,4,100,'Resistibility increases against targets higher than level 29.',0,5),
(30066,40062,5,100,'Throws target back',0,0),
(30067,40062,5,100,'If Target is not Epic',1,1),
(30068,40062,5,100,'Inflicts 132 - 396 crushing damage on target',0,2),
(30069,40062,5,100,'Stuns target',0,3),
(30070,40062,5,100,'If Target is not Epic',1,4),
(30071,40062,5,100,'Resistibility increases against targets higher than level 29.',0,5),
(30072,40062,7,100,'Throws target back',0,0),
(30073,40062,7,100,'If Target is not Epic',1,1),
(30074,40062,7,100,'Inflicts 169 - 508 crushing damage on target',0,2),
(30075,40062,7,100,'Stuns target',0,3),
(30076,40062,7,100,'If Target is not Epic',1,4),
(30077,40062,7,100,'Resistibility increases against targets higher than level 29.',0,5),
(30078,40062,9,100,'Throws target back',0,0),
(30079,40062,9,100,'If Target is not Epic',1,1),
(30080,40062,9,100,'Inflicts 176 - 528 crushing damage on target',0,2),
(30081,40062,9,100,'Stuns target',0,3),
(30082,40062,9,100,'If Target is not Epic',1,4),
(30083,40062,9,100,'Resistibility increases against targets higher than level 29.',0,5),
(30084,40063,1,100,'Throws target back',0,0),
(30085,40063,1,100,'If Target is not Epic',1,1),
(30086,40063,1,100,'Inflicts 119 - 359 crushing damage on target',0,2),
(30087,40063,1,100,'Stuns target',0,3),
(30088,40063,1,100,'If Target is not Epic',1,4),
(30089,40063,1,100,'Resistibility increases against targets higher than level 29.',0,5),
(30090,40063,2,100,'Throws target back',0,0),
(30091,40063,2,100,'If Target is not Epic',1,1),
(30092,40063,2,100,'Inflicts 126 - 379 crushing damage on target',0,2),
(30093,40063,2,100,'Stuns target',0,3),
(30094,40063,2,100,'If Target is not Epic',1,4),
(30095,40063,2,100,'Resistibility increases against targets higher than level 29.',0,5),
(30096,40063,3,100,'Throws target back',0,0),
(30097,40063,3,100,'If Target is not Epic',1,1),
(30098,40063,3,100,'Inflicts 133 - 399 crushing damage on target',0,2),
(30099,40063,3,100,'Stuns target',0,3),
(30100,40063,3,100,'If Target is not Epic',1,4),
(30101,40063,3,100,'Resistibility increases against targets higher than level 29.',0,5),
(30102,40063,4,100,'Throws target back',0,0),
(30103,40063,4,100,'If Target is not Epic',1,1),
(30104,40063,4,100,'Inflicts 146 - 439 crushing damage on target',0,2),
(30105,40063,4,100,'Stuns target',0,3),
(30106,40063,4,100,'If Target is not Epic',1,4),
(30107,40063,4,100,'Resistibility increases against targets higher than level 29.',0,5),
(30108,40063,5,100,'Throws target back',0,0),
(30109,40063,5,100,'If Target is not Epic',1,1),
(30110,40063,5,100,'Inflicts 159 - 479 crushing damage on target',0,2),
(30111,40063,5,100,'Stuns target',0,3),
(30112,40063,5,100,'If Target is not Epic',1,4),
(30113,40063,5,100,'Resistibility increases against targets higher than level 29.',0,5),
(30114,40063,7,100,'Throws target back',0,0),
(30115,40063,7,100,'If Target is not Epic',1,1),
(30116,40063,7,100,'Inflicts 205 - 615 crushing damage on target',0,2),
(30117,40063,7,100,'Stuns target',0,3),
(30118,40063,7,100,'If Target is not Epic',1,4),
(30119,40063,7,100,'Resistibility increases against targets higher than level 29.',0,5),
(30120,40063,9,100,'Throws target back',0,0),
(30121,40063,9,100,'If Target is not Epic',1,1),
(30122,40063,9,100,'Inflicts 213 - 639 crushing damage on target',0,2),
(30123,40063,9,100,'Stuns target',0,3),
(30124,40063,9,100,'If Target is not Epic',1,4),
(30125,40063,9,100,'Resistibility increases against targets higher than level 29.',0,5),
(30126,40064,1,100,'Throws target back',0,0),
(30127,40064,1,100,'If Target is not Epic',1,1),
(30128,40064,1,100,'Inflicts 144 - 433 crushing damage on target',0,2),
(30129,40064,1,100,'Stuns target',0,3),
(30130,40064,1,100,'If Target is not Epic',1,4),
(30131,40064,1,100,'Resistibility increases against targets higher than level 29.',0,5),
(30132,40064,4,100,'Throws target back',0,0),
(30133,40064,4,100,'If Target is not Epic',1,1),
(30134,40064,4,100,'Inflicts 176 - 529 crushing damage on target',0,2),
(30135,40064,4,100,'Stuns target',0,3),
(30136,40064,4,100,'If Target is not Epic',1,4),
(30137,40064,4,100,'Resistibility increases against targets higher than level 29.',0,5),
(30138,40064,5,100,'Throws target back',0,0),
(30139,40064,5,100,'If Target is not Epic',1,1),
(30140,40064,5,100,'Inflicts 192 - 577 crushing damage on target',0,2),
(30141,40064,5,100,'Stuns target',0,3),
(30142,40064,5,100,'If Target is not Epic',1,4),
(30143,40064,5,100,'Resistibility increases against targets higher than level 29.',0,5),
(30144,40064,7,100,'Throws target back',0,0),
(30145,40064,7,100,'If Target is not Epic',1,1),
(30146,40064,7,100,'Inflicts 247 - 741 crushing damage on target',0,2),
(30147,40064,7,100,'Stuns target',0,3),
(30148,40064,7,100,'If Target is not Epic',1,4),
(30149,40064,7,100,'Resistibility increases against targets higher than level 29.',0,5),
(30150,40064,9,100,'Throws target back',0,0),
(30151,40064,9,100,'If Target is not Epic',1,1),
(30152,40064,9,100,'Inflicts 256 - 770 crushing damage on target',0,2),
(30153,40064,9,100,'Stuns target',0,3),
(30154,40064,9,100,'If Target is not Epic',1,4),
(30155,40064,9,100,'Resistibility increases against targets higher than level 29.',0,5),
(30156,60011,1,100,'Increases Mitigation of caster vs physical damage by 117',0,0),
(30157,60011,1,100,'Roots caster',0,1),
(30158,60011,2,100,'Increases Mitigation of caster vs physical damage by 124',0,0),
(30159,60011,2,100,'Roots caster',0,1),
(30160,60011,3,100,'Increases Mitigation of caster vs physical damage by 130',0,0),
(30161,60011,3,100,'Roots caster',0,1),
(30162,60011,4,100,'Increases Mitigation of caster vs physical damage by 143',0,0),
(30163,60011,4,100,'Roots caster',0,1),
(30164,60011,5,100,'Increases Mitigation of caster vs physical damage by 156',0,0),
(30165,60011,5,100,'Roots caster',0,1),
(30166,60011,7,100,'Increases Mitigation of caster vs physical damage by 200',0,0),
(30167,60011,7,100,'Roots caster',0,1),
(30168,60011,9,100,'Increases Mitigation of caster vs physical damage by 208',0,0),
(30169,60011,9,100,'Roots caster',0,1),
(30170,60012,1,100,'Increases Mitigation of caster vs physical damage by 180',0,0),
(30171,60012,1,100,'Roots caster',0,1),
(30172,60012,2,100,'Increases Mitigation of caster vs physical damage by 190',0,0),
(30173,60012,2,100,'Roots caster',0,1),
(30174,60012,3,100,'Increases Mitigation of caster vs physical damage by 200',0,0),
(30175,60012,3,100,'Roots caster',0,1),
(30176,60012,4,100,'Increases Mitigation of caster vs physical damage by 220',0,0),
(30177,60012,4,100,'Roots caster',0,1),
(30178,60012,5,100,'Increases Mitigation of caster vs physical damage by 240',0,0),
(30179,60012,5,100,'Roots caster',0,1),
(30180,60012,7,100,'Increases Mitigation of caster vs physical damage by 308',0,0),
(30181,60012,7,100,'Roots caster',0,1),
(30182,60012,9,100,'Increases Mitigation of caster vs physical damage by 320',0,0),
(30183,60012,9,100,'Roots caster',0,1),
(30184,60013,1,100,'Increases Mitigation of caster vs physical damage by 243',0,0),
(30185,60013,1,100,'Roots caster',0,1),
(30186,60013,2,100,'Increases Mitigation of caster vs physical damage by 257',0,0),
(30187,60013,2,100,'Roots caster',0,1),
(30188,60013,3,100,'Increases Mitigation of caster vs physical damage by 270',0,0),
(30189,60013,3,100,'Roots caster',0,1),
(30190,60013,4,100,'Increases Mitigation of caster vs physical damage by 297',0,0),
(30191,60013,4,100,'Roots caster',0,1),
(30192,60013,5,100,'Increases Mitigation of caster vs physical damage by 324',0,0),
(30193,60013,5,100,'Roots caster',0,1),
(30194,60013,7,100,'Increases Mitigation of caster vs physical damage by 416',0,0),
(30195,60013,7,100,'Roots caster',0,1),
(30196,60013,9,100,'Increases Mitigation of caster vs physical damage by 432',0,0),
(30197,60013,9,100,'Roots caster',0,1),
(30198,60014,1,100,'Increases Mitigation of caster vs physical damage by 306',0,0),
(30199,60014,1,100,'Roots caster',0,1),
(30200,60014,2,100,'Increases Mitigation of caster vs physical damage by 323',0,0),
(30201,60014,2,100,'Roots caster',0,1),
(30202,60014,3,100,'Increases Mitigation of caster vs physical damage by 340',0,0),
(30203,60014,3,100,'Roots caster',0,1),
(30204,60014,4,100,'Increases Mitigation of caster vs physical damage by 374',0,0),
(30205,60014,4,100,'Roots caster',0,1),
(30206,60014,5,100,'Increases Mitigation of caster vs physical damage by 408',0,0),
(30207,60014,5,100,'Roots caster',0,1),
(30208,60014,7,100,'Increases Mitigation of caster vs physical damage by 524',0,0),
(30209,60014,7,100,'Roots caster',0,1),
(30210,60014,9,100,'Increases Mitigation of caster vs physical damage by 544',0,0),
(30211,60014,9,100,'Roots caster',0,1),
(30212,60015,1,100,'Increases Mitigation of caster vs physical damage by 369',0,0),
(30213,60015,1,100,'Roots caster',0,1),
(30214,60015,2,100,'Increases Mitigation of caster vs physical damage by 389',0,0),
(30215,60015,2,100,'Roots caster',0,1),
(30216,60015,3,100,'Increases Mitigation of caster vs physical damage by 410',0,0),
(30217,60015,3,100,'Roots caster',0,1),
(30218,60015,4,100,'Increases Mitigation of caster vs physical damage by 450',0,0),
(30219,60015,4,100,'Roots caster',0,1),
(30220,60015,5,100,'Increases Mitigation of caster vs physical damage by 491',0,0),
(30221,60015,5,100,'Roots caster',0,1),
(30222,60015,7,100,'Increases Mitigation of caster vs physical damage by 631',0,0),
(30223,60015,7,100,'Roots caster',0,1),
(30224,60015,9,100,'Increases Mitigation of caster vs physical damage by 655',0,0),
(30225,60015,9,100,'Roots caster',0,1),
(30226,60016,1,100,'Increases Mitigation of caster vs physical damage by 432',0,0),
(30227,60016,1,100,'Roots caster',0,1),
(30228,60016,4,100,'Increases Mitigation of caster vs physical damage by 528',0,0),
(30229,60016,4,100,'Roots caster',0,1),
(30230,60016,5,100,'Increases Mitigation of caster vs physical damage by 576',0,0),
(30231,60016,5,100,'Roots caster',0,1),
(30232,60016,7,100,'Increases Mitigation of caster vs physical damage by 739',0,0),
(30233,60016,7,100,'Roots caster',0,1),
(30234,60016,9,100,'Increases Mitigation of caster vs physical damage by 767',0,0),
(30235,60016,9,100,'Roots caster',0,1),
(30236,60017,1,100,'Increases Mitigation of caster vs physical damage by 485',0,0),
(30237,60017,1,100,'Roots caster',0,1),
(30238,60017,4,100,'Increases Mitigation of caster vs physical damage by 593',0,0),
(30239,60017,4,100,'Roots caster',0,1),
(30240,60017,5,100,'Increases Mitigation of caster vs physical damage by 647',0,0),
(30241,60017,5,100,'Roots caster',0,1),
(30242,60017,7,100,'Increases Mitigation of caster vs physical damage by 830',0,0),
(30243,60017,7,100,'Roots caster',0,1),
(30244,60017,9,100,'Increases Mitigation of caster vs physical damage by 862',0,0),
(30245,60017,9,100,'Roots caster',0,1),
(30246,70032,1,100,'Reduces physical damage done to caster by 5%',0,0),
(30247,70032,1,100,'Adds 1.3% to base avoidance.',0,1),
(30248,70032,1,100,'Caster will deflect 9.0% of incoming attacks.',0,2),
(30249,70032,1,100,'Increases Parry of caster by 1.6',0,3),
(30250,70032,1,100,'Decreases Slashing, Piercing and Crushing of caster by 1.8',0,4),
(30251,70032,1,100,'Increases Aggression of caster by 1.2',0,5),
(30252,70032,1,100,'Increases Defense and Deflection of caster by 1.6',0,6),
(30253,70032,1,100,'Increases Mitigation of caster vs noxious damage by 138',0,7),
(30254,70032,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(30255,70032,2,100,'Reduces physical damage done to caster by 5%',0,0),
(30256,70032,2,100,'Adds 1.4% to base avoidance.',0,1),
(30257,70032,2,100,'Caster will deflect 9.5% of incoming attacks.',0,2),
(30258,70032,2,100,'Increases Parry of caster by 1.7',0,3),
(30259,70032,2,100,'Decreases Slashing, Piercing and Crushing of caster by 1.8',0,4),
(30260,70032,2,100,'Increases Aggression of caster by 1.3',0,5),
(30261,70032,2,100,'Increases Defense and Deflection of caster by 1.7',0,6),
(30262,70032,2,100,'Increases Mitigation of caster vs noxious damage by 146',0,7),
(30263,70032,2,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(30264,70032,3,100,'Reduces physical damage done to caster by 5%',0,0),
(30265,70032,3,100,'Adds 1.5% to base avoidance.',0,1),
(30266,70032,3,100,'Caster will deflect 10.0% of incoming attacks.',0,2),
(30267,70032,3,100,'Increases Parry of caster by 1.8',0,3),
(30268,70032,3,100,'Decreases Slashing, Piercing and Crushing of caster by 1.8',0,4),
(30269,70032,3,100,'Increases Aggression of caster by 1.4',0,5),
(30270,70032,3,100,'Increases Defense and Deflection of caster by 1.8',0,6),
(30271,70032,3,100,'Increases Mitigation of caster vs noxious damage by 154',0,7),
(30272,70032,3,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(30273,70032,4,100,'Reduces physical damage done to caster by 5%',0,0),
(30274,70032,4,100,'Adds 1.7% to base avoidance.',0,1),
(30275,70032,4,100,'Caster will deflect 11.0% of incoming attacks.',0,2),
(30276,70032,4,100,'Increases Parry of caster by 2.0',0,3),
(30277,70032,4,100,'Decreases Slashing, Piercing and Crushing of caster by 1.8',0,4),
(30278,70032,4,100,'Increases Aggression of caster by 1.5',0,5),
(30279,70032,4,100,'Increases Defense and Deflection of caster by 2.0',0,6),
(30280,70032,4,100,'Increases Mitigation of caster vs noxious damage by 169',0,7),
(30281,70032,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(30282,70032,5,100,'Reduces physical damage done to caster by 5%',0,0),
(30283,70032,5,100,'Adds 1.8% to base avoidance.',0,1),
(30284,70032,5,100,'Caster will deflect 12.0% of incoming attacks.',0,2),
(30285,70032,5,100,'Increases Parry of caster by 2.2',0,3),
(30286,70032,5,100,'Decreases Slashing, Piercing and Crushing of caster by 1.8',0,4),
(30287,70032,5,100,'Increases Aggression of caster by 1.6',0,5),
(30288,70032,5,100,'Increases Defense and Deflection of caster by 2.2',0,6),
(30289,70032,5,100,'Increases Mitigation of caster vs noxious damage by 184',0,7),
(30290,70032,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(30291,70032,7,100,'Reduces physical damage done to caster by 5%',0,0),
(30292,70032,7,100,'Adds 2.3% to base avoidance.',0,1),
(30293,70032,7,100,'Caster will deflect 15.4% of incoming attacks.',0,2),
(30294,70032,7,100,'Increases Parry of caster by 2.8',0,3),
(30295,70032,7,100,'Decreases Slashing, Piercing and Crushing of caster by 1.8',0,4),
(30296,70032,7,100,'Increases Aggression of caster by 2.1',0,5),
(30297,70032,7,100,'Increases Defense and Deflection of caster by 2.8',0,6),
(30298,70032,7,100,'Increases Mitigation of caster vs noxious damage by 237',0,7),
(30299,70032,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(30300,70032,9,100,'Reduces physical damage done to caster by 5%',0,0),
(30301,70032,9,100,'Adds 2.4% to base avoidance.',0,1),
(30302,70032,9,100,'Caster will deflect 16.0% of incoming attacks.',0,2),
(30303,70032,9,100,'Increases Parry of caster by 2.9',0,3),
(30304,70032,9,100,'Decreases Slashing, Piercing and Crushing of caster by 1.8',0,4),
(30305,70032,9,100,'Increases Aggression of caster by 2.2',0,5),
(30306,70032,9,100,'Increases Defense and Deflection of caster by 2.9',0,6),
(30307,70032,9,100,'Increases Mitigation of caster vs noxious damage by 246',0,7),
(30308,70032,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(30309,70033,1,100,'Reduces physical damage done to caster by 5%',0,0),
(30310,70033,1,100,'Adds 1.3% to base avoidance.',0,1),
(30311,70033,1,100,'Caster will deflect 9.0% of incoming attacks.',0,2),
(30312,70033,1,100,'Increases Parry of caster by 4.3',0,3),
(30313,70033,1,100,'Decreases Slashing, Piercing and Crushing of caster by 4.8',0,4),
(30314,70033,1,100,'Increases Aggression of caster by 3.2',0,5),
(30315,70033,1,100,'Increases Defense and Deflection of caster by 4.3',0,6),
(30316,70033,1,100,'Increases Mitigation of caster vs noxious damage by 311',0,7),
(30317,70033,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(30318,70033,2,100,'Reduces physical damage done to caster by 5%',0,0),
(30319,70033,2,100,'Adds 1.4% to base avoidance.',0,1),
(30320,70033,2,100,'Caster will deflect 9.5% of incoming attacks.',0,2),
(30321,70033,2,100,'Increases Parry of caster by 4.6',0,3),
(30322,70033,2,100,'Decreases Slashing, Piercing and Crushing of caster by 4.8',0,4),
(30323,70033,2,100,'Increases Aggression of caster by 3.4',0,5),
(30324,70033,2,100,'Increases Defense and Deflection of caster by 4.6',0,6),
(30325,70033,2,100,'Increases Mitigation of caster vs noxious damage by 328',0,7),
(30326,70033,2,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(30327,70033,3,100,'Reduces physical damage done to caster by 5%',0,0),
(30328,70033,3,100,'Adds 1.5% to base avoidance.',0,1),
(30329,70033,3,100,'Caster will deflect 10.0% of incoming attacks.',0,2),
(30330,70033,3,100,'Increases Parry of caster by 4.8',0,3),
(30331,70033,3,100,'Decreases Slashing, Piercing and Crushing of caster by 4.8',0,4),
(30332,70033,3,100,'Increases Aggression of caster by 3.6',0,5),
(30333,70033,3,100,'Increases Defense and Deflection of caster by 4.8',0,6),
(30334,70033,3,100,'Increases Mitigation of caster vs noxious damage by 346',0,7),
(30335,70033,3,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(30336,70033,4,100,'Reduces physical damage done to caster by 5%',0,0),
(30337,70033,4,100,'Adds 1.7% to base avoidance.',0,1),
(30338,70033,4,100,'Caster will deflect 11.0% of incoming attacks.',0,2),
(30339,70033,4,100,'Increases Parry of caster by 5.3',0,3),
(30340,70033,4,100,'Decreases Slashing, Piercing and Crushing of caster by 4.8',0,4),
(30341,70033,4,100,'Increases Aggression of caster by 4.0',0,5),
(30342,70033,4,100,'Increases Defense and Deflection of caster by 5.3',0,6),
(30343,70033,4,100,'Increases Mitigation of caster vs noxious damage by 380',0,7),
(30344,70033,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(30345,70033,5,100,'Reduces physical damage done to caster by 5%',0,0),
(30346,70033,5,100,'Adds 1.8% to base avoidance.',0,1),
(30347,70033,5,100,'Caster will deflect 12.0% of incoming attacks.',0,2),
(30348,70033,5,100,'Increases Parry of caster by 5.8',0,3),
(30349,70033,5,100,'Decreases Slashing, Piercing and Crushing of caster by 4.8',0,4),
(30350,70033,5,100,'Increases Aggression of caster by 4.3',0,5),
(30351,70033,5,100,'Increases Defense and Deflection of caster by 5.8',0,6),
(30352,70033,5,100,'Increases Mitigation of caster vs noxious damage by 415',0,7),
(30353,70033,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(30354,70033,7,100,'Reduces physical damage done to caster by 5%',0,0),
(30355,70033,7,100,'Adds 2.3% to base avoidance.',0,1),
(30356,70033,7,100,'Caster will deflect 15.4% of incoming attacks.',0,2),
(30357,70033,7,100,'Increases Parry of caster by 7.4',0,3),
(30358,70033,7,100,'Decreases Slashing, Piercing and Crushing of caster by 4.8',0,4),
(30359,70033,7,100,'Increases Aggression of caster by 5.5',0,5),
(30360,70033,7,100,'Increases Defense and Deflection of caster by 7.4',0,6),
(30361,70033,7,100,'Increases Mitigation of caster vs noxious damage by 532',0,7),
(30362,70033,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(30363,70033,9,100,'Reduces physical damage done to caster by 5%',0,0),
(30364,70033,9,100,'Adds 2.4% to base avoidance.',0,1),
(30365,70033,9,100,'Caster will deflect 16.0% of incoming attacks.',0,2),
(30366,70033,9,100,'Increases Parry of caster by 7.7',0,3),
(30367,70033,9,100,'Decreases Slashing, Piercing and Crushing of caster by 4.8',0,4),
(30368,70033,9,100,'Increases Aggression of caster by 5.8',0,5),
(30369,70033,9,100,'Increases Defense and Deflection of caster by 7.7',0,6),
(30370,70033,9,100,'Increases Mitigation of caster vs noxious damage by 553',0,7),
(30371,70033,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(30376,70034,1,100,'Decreases Slashing, Piercing and Crushing of caster by 9.0',0,1),
(30378,70034,1,100,'Increases Defense, Deflection, Parry, and Physicality of caster by \r\n8.1',0,0),
(30385,70034,2,100,'Decreases Slashing, Piercing and Crushing of caster by 9.0',0,1),
(30387,70034,2,100,'Increases Defense, Deflection, Parry, and Physicality of caster by \r\n8.6',0,0),
(30390,70034,3,100,'Increases Defense, Deflection, Parry, and Physicality of caster by \r\n9.1',0,0),
(30391,70034,3,100,'Decreases Slashing, Piercing and Crushing of caster by 9.0',0,1),
(30399,70034,4,100,'Increases Defense, Deflection, Parry, and Physicality of caster by \r\n9.8',0,0),
(30400,70034,4,100,'Decreases Slashing, Piercing and Crushing of caster by 9.0',0,1),
(30408,70034,5,100,'Decreases Slashing, Piercing and Crushing of caster by 9.0',0,1),
(30414,70034,5,100,'Increases Defense, Deflection, Parry, and Physicality of caster by \r\n10.8',0,0),
(30421,70034,7,100,'Decreases Slashing, Piercing and Crushing of caster by 9.0',0,1),
(30423,70034,7,100,'Increases Defense, Deflection, Parry, and Physicality of caster by \r\n13.9',0,0),
(30430,70034,9,100,'Decreases Slashing, Piercing and Crushing of caster by 9.0',0,1),
(30432,70034,9,100,'Increases Defense, Deflection, Parry, and Physicality of caster by \r\n14.4',0,0),
(30435,70035,1,100,'Reduces physical damage done to caster by 5%',0,0),
(30436,70035,1,100,'Adds 1.3% to base avoidance.',0,1),
(30437,70035,1,100,'Caster will deflect 9.0% of incoming attacks.',0,2),
(30438,70035,1,100,'Increases Parry of caster by 11.9',0,3),
(30439,70035,1,100,'Decreases Slashing, Piercing and Crushing of caster by 13.2',0,4),
(30440,70035,1,100,'Increases Aggression of caster by 8.9',0,5),
(30441,70035,1,100,'Increases Defense and Deflection of caster by 11.9',0,6),
(30442,70035,1,100,'Increases Mitigation of caster vs noxious damage by 792',0,7),
(30443,70035,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(30444,70035,2,100,'Reduces physical damage done to caster by 5%',0,0),
(30445,70035,2,100,'Adds 1.4% to base avoidance.',0,1),
(30446,70035,2,100,'Caster will deflect 9.5% of incoming attacks.',0,2),
(30447,70035,2,100,'Increases Parry of caster by 12.5',0,3),
(30448,70035,2,100,'Decreases Slashing, Piercing and Crushing of caster by 13.2',0,4),
(30449,70035,2,100,'Increases Aggression of caster by 9.4',0,5),
(30450,70035,2,100,'Increases Defense and Deflection of caster by 12.5',0,6),
(30451,70035,2,100,'Increases Mitigation of caster vs noxious damage by 836',0,7),
(30452,70035,2,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(30453,70035,3,100,'Reduces physical damage done to caster by 5%',0,0),
(30454,70035,3,100,'Adds 1.5% to base avoidance.',0,1),
(30455,70035,3,100,'Caster will deflect 10.0% of incoming attacks.',0,2),
(30456,70035,3,100,'Increases Parry of caster by 13.2',0,3),
(30457,70035,3,100,'Decreases Slashing, Piercing and Crushing of caster by 13.2',0,4),
(30458,70035,3,100,'Increases Aggression of caster by 9.9',0,5),
(30459,70035,3,100,'Increases Defense and Deflection of caster by 13.2',0,6),
(30460,70035,3,100,'Increases Mitigation of caster vs noxious damage by 880',0,7),
(30461,70035,3,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(30462,70035,4,100,'Reduces physical damage done to caster by 5%',0,0),
(30463,70035,4,100,'Adds 1.7% to base avoidance.',0,1),
(30464,70035,4,100,'Caster will deflect 11.0% of incoming attacks.',0,2),
(30465,70035,4,100,'Increases Parry of caster by 14.5',0,3),
(30466,70035,4,100,'Decreases Slashing, Piercing and Crushing of caster by 13.2',0,4),
(30467,70035,4,100,'Increases Aggression of caster by 10.9',0,5),
(30468,70035,4,100,'Increases Defense and Deflection of caster by 14.5',0,6),
(30469,70035,4,100,'Increases Mitigation of caster vs noxious damage by 968',0,7),
(30470,70035,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(30471,70035,5,100,'Reduces physical damage done to caster by 5%',0,0),
(30472,70035,5,100,'Adds 1.8% to base avoidance.',0,1),
(30473,70035,5,100,'Caster will deflect 12.0% of incoming attacks.',0,2),
(30474,70035,5,100,'Increases Parry of caster by 15.8',0,3),
(30475,70035,5,100,'Decreases Slashing, Piercing and Crushing of caster by 13.2',0,4),
(30476,70035,5,100,'Increases Aggression of caster by 11.9',0,5),
(30477,70035,5,100,'Increases Defense and Deflection of caster by 15.8',0,6),
(30478,70035,5,100,'Increases Mitigation of caster vs noxious damage by 1056',0,7),
(30479,70035,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(30480,70035,7,100,'Reduces physical damage done to caster by 5%',0,0),
(30481,70035,7,100,'Adds 2.3% to base avoidance.',0,1),
(30482,70035,7,100,'Caster will deflect 15.4% of incoming attacks.',0,2),
(30483,70035,7,100,'Increases Parry of caster by 20.3',0,3),
(30484,70035,7,100,'Decreases Slashing, Piercing and Crushing of caster by 13.2',0,4),
(30485,70035,7,100,'Increases Aggression of caster by 15.2',0,5),
(30486,70035,7,100,'Increases Defense and Deflection of caster by 20.3',0,6),
(30487,70035,7,100,'Increases Mitigation of caster vs noxious damage by 1355',0,7),
(30488,70035,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(30489,70035,9,100,'Reduces physical damage done to caster by 5%',0,0),
(30490,70035,9,100,'Adds 2.4% to base avoidance.',0,1),
(30491,70035,9,100,'Caster will deflect 16.0% of incoming attacks.',0,2),
(30492,70035,9,100,'Increases Parry of caster by 21.1',0,3),
(30493,70035,9,100,'Decreases Slashing, Piercing and Crushing of caster by 13.2',0,4),
(30494,70035,9,100,'Increases Aggression of caster by 15.8',0,5),
(30495,70035,9,100,'Increases Defense and Deflection of caster by 21.1',0,6),
(30496,70035,9,100,'Increases Mitigation of caster vs noxious damage by 1408',0,7),
(30497,70035,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(30498,70036,1,100,'Reduces physical damage done to caster by 5%',0,0),
(30499,70036,1,100,'Adds 1.3% to base avoidance.',0,1),
(30500,70036,1,100,'Caster will deflect 9.0% of incoming attacks.',0,2),
(30501,70036,1,100,'Increases Parry of caster by 15.7',0,3),
(30502,70036,1,100,'Decreases Slashing, Piercing and Crushing of caster by 17.4',0,4),
(30503,70036,1,100,'Increases Aggression of caster by 11.7',0,5),
(30504,70036,1,100,'Increases Defense and Deflection of caster by 15.7',0,6),
(30505,70036,1,100,'Increases Mitigation of caster vs noxious damage by 1044',0,7),
(30506,70036,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(30507,70036,2,100,'Reduces physical damage done to caster by 5%',0,0),
(30508,70036,2,100,'Adds 1.4% to base avoidance.',0,1),
(30509,70036,2,100,'Caster will deflect 9.5% of incoming attacks.',0,2),
(30510,70036,2,100,'Increases Parry of caster by 16.5',0,3),
(30511,70036,2,100,'Decreases Slashing, Piercing and Crushing of caster by 17.4',0,4),
(30512,70036,2,100,'Increases Aggression of caster by 12.4',0,5),
(30513,70036,2,100,'Increases Defense and Deflection of caster by 16.5',0,6),
(30514,70036,2,100,'Increases Mitigation of caster vs noxious damage by 1102',0,7),
(30515,70036,2,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(30516,70036,3,100,'Reduces physical damage done to caster by 5%',0,0),
(30517,70036,3,100,'Adds 1.5% to base avoidance.',0,1),
(30518,70036,3,100,'Caster will deflect 10.0% of incoming attacks.',0,2),
(30519,70036,3,100,'Increases Parry of caster by 17.4',0,3),
(30520,70036,3,100,'Decreases Slashing, Piercing and Crushing of caster by 17.4',0,4),
(30521,70036,3,100,'Increases Aggression of caster by 13.1',0,5),
(30522,70036,3,100,'Increases Defense and Deflection of caster by 17.4',0,6),
(30523,70036,3,100,'Increases Mitigation of caster vs noxious damage by 1160',0,7),
(30524,70036,3,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(30525,70036,4,100,'Reduces physical damage done to caster by 5%',0,0),
(30526,70036,4,100,'Adds 1.7% to base avoidance.',0,1),
(30527,70036,4,100,'Caster will deflect 11.0% of incoming attacks.',0,2),
(30528,70036,4,100,'Increases Parry of caster by 19.1',0,3),
(30529,70036,4,100,'Decreases Slashing, Piercing and Crushing of caster by 17.4',0,4),
(30530,70036,4,100,'Increases Aggression of caster by 14.4',0,5),
(30531,70036,4,100,'Increases Defense and Deflection of caster by 19.1',0,6),
(30532,70036,4,100,'Increases Mitigation of caster vs noxious damage by 1276',0,7),
(30533,70036,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(30534,70036,5,100,'Reduces physical damage done to caster by 5%',0,0),
(30535,70036,5,100,'Adds 1.8% to base avoidance.',0,1),
(30536,70036,5,100,'Caster will deflect 12.0% of incoming attacks.',0,2),
(30537,70036,5,100,'Increases Parry of caster by 20.9',0,3),
(30538,70036,5,100,'Decreases Slashing, Piercing and Crushing of caster by 17.4',0,4),
(30539,70036,5,100,'Increases Aggression of caster by 15.7',0,5),
(30540,70036,5,100,'Increases Defense and Deflection of caster by 20.9',0,6),
(30541,70036,5,100,'Increases Mitigation of caster vs noxious damage by 1392',0,7),
(30542,70036,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(30543,70036,7,100,'Reduces physical damage done to caster by 5%',0,0),
(30544,70036,7,100,'Adds 2.3% to base avoidance.',0,1),
(30545,70036,7,100,'Caster will deflect 15.4% of incoming attacks.',0,2),
(30546,70036,7,100,'Increases Parry of caster by 26.8',0,3),
(30547,70036,7,100,'Decreases Slashing, Piercing and Crushing of caster by 17.4',0,4),
(30548,70036,7,100,'Increases Aggression of caster by 20.1',0,5),
(30549,70036,7,100,'Increases Defense and Deflection of caster by 26.8',0,6),
(30550,70036,7,100,'Increases Mitigation of caster vs noxious damage by 1786',0,7),
(30551,70036,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(30552,70036,9,100,'Reduces physical damage done to caster by 5%',0,0),
(30553,70036,9,100,'Adds 2.4% to base avoidance.',0,1),
(30554,70036,9,100,'Caster will deflect 16.0% of incoming attacks.',0,2),
(30555,70036,9,100,'Increases Parry of caster by 27.8',0,3),
(30556,70036,9,100,'Decreases Slashing, Piercing and Crushing of caster by 17.4',0,4),
(30557,70036,9,100,'Increases Aggression of caster by 20.9',0,5),
(30558,70036,9,100,'Increases Defense and Deflection of caster by 27.8',0,6),
(30559,70036,9,100,'Increases Mitigation of caster vs noxious damage by 1856',0,7),
(30560,70036,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(30561,70037,1,100,'Reduces physical damage done to caster by 5%',0,0),
(30562,70037,1,100,'Adds 1.3% to base avoidance.',0,1),
(30563,70037,1,100,'Caster will deflect 9.0% of incoming attacks.',0,2),
(30564,70037,1,100,'Increases Parry of caster by 19.6',0,3),
(30565,70037,1,100,'Decreases Slashing, Piercing and Crushing of caster by 21.8',0,4),
(30566,70037,1,100,'Increases Aggression of caster by 14.7',0,5),
(30567,70037,1,100,'Increases Defense and Deflection of caster by 19.6',0,6),
(30568,70037,1,100,'Increases Mitigation of caster vs noxious damage by 1361',0,7),
(30569,70037,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(30570,70037,2,100,'Reduces physical damage done to caster by 5%',0,0),
(30571,70037,2,100,'Adds 1.4% to base avoidance.',0,1),
(30572,70037,2,100,'Caster will deflect 9.5% of incoming attacks.',0,2),
(30573,70037,2,100,'Increases Parry of caster by 20.7',0,3),
(30574,70037,2,100,'Decreases Slashing, Piercing and Crushing of caster by 21.8',0,4),
(30575,70037,2,100,'Increases Aggression of caster by 15.5',0,5),
(30576,70037,2,100,'Increases Defense and Deflection of caster by 20.7',0,6),
(30577,70037,2,100,'Increases Mitigation of caster vs noxious damage by 1436',0,7),
(30578,70037,2,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(30579,70037,3,100,'Reduces physical damage done to caster by 5%',0,0),
(30580,70037,3,100,'Adds 1.5% to base avoidance.',0,1),
(30581,70037,3,100,'Caster will deflect 10.0% of incoming attacks.',0,2),
(30582,70037,3,100,'Increases Parry of caster by 21.8',0,3),
(30583,70037,3,100,'Decreases Slashing, Piercing and Crushing of caster by 21.8',0,4),
(30584,70037,3,100,'Increases Aggression of caster by 16.4',0,5),
(30585,70037,3,100,'Increases Defense and Deflection of caster by 21.8',0,6),
(30586,70037,3,100,'Increases Mitigation of caster vs noxious damage by 1512',0,7),
(30587,70037,3,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(30588,70037,4,100,'Reduces physical damage done to caster by 5%',0,0),
(30589,70037,4,100,'Adds 1.7% to base avoidance.',0,1),
(30590,70037,4,100,'Caster will deflect 11.0% of incoming attacks.',0,2),
(30591,70037,4,100,'Increases Parry of caster by 24.0',0,3),
(30592,70037,4,100,'Decreases Slashing, Piercing and Crushing of caster by 21.8',0,4),
(30593,70037,4,100,'Increases Aggression of caster by 18.0',0,5),
(30594,70037,4,100,'Increases Defense and Deflection of caster by 24.0',0,6),
(30595,70037,4,100,'Increases Mitigation of caster vs noxious damage by 1663',0,7),
(30596,70037,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(30597,70037,5,100,'Reduces physical damage done to caster by 5%',0,0),
(30598,70037,5,100,'Adds 1.8% to base avoidance.',0,1),
(30599,70037,5,100,'Caster will deflect 12.0% of incoming attacks.',0,2),
(30600,70037,5,100,'Increases Parry of caster by 26.2',0,3),
(30601,70037,5,100,'Decreases Slashing, Piercing and Crushing of caster by 21.8',0,4),
(30602,70037,5,100,'Increases Aggression of caster by 19.6',0,5),
(30603,70037,5,100,'Increases Defense and Deflection of caster by 26.2',0,6),
(30604,70037,5,100,'Increases Mitigation of caster vs noxious damage by 1814',0,7),
(30605,70037,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(30606,70037,7,100,'Reduces physical damage done to caster by 5%',0,0),
(30607,70037,7,100,'Adds 2.3% to base avoidance.',0,1),
(30608,70037,7,100,'Caster will deflect 15.4% of incoming attacks.',0,2),
(30609,70037,7,100,'Increases Parry of caster by 33.6',0,3),
(30610,70037,7,100,'Decreases Slashing, Piercing and Crushing of caster by 21.8',0,4),
(30611,70037,7,100,'Increases Aggression of caster by 25.2',0,5),
(30612,70037,7,100,'Increases Defense and Deflection of caster by 33.6',0,6),
(30613,70037,7,100,'Increases Mitigation of caster vs noxious damage by 2328',0,7),
(30614,70037,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(30615,70037,9,100,'Reduces physical damage done to caster by 5%',0,0),
(30616,70037,9,100,'Adds 2.4% to base avoidance.',0,1),
(30617,70037,9,100,'Caster will deflect 16.0% of incoming attacks.',0,2),
(30618,70037,9,100,'Increases Parry of caster by 34.9',0,3),
(30619,70037,9,100,'Decreases Slashing, Piercing and Crushing of caster by 21.8',0,4),
(30620,70037,9,100,'Increases Aggression of caster by 26.2',0,5),
(30621,70037,9,100,'Increases Defense and Deflection of caster by 34.9',0,6),
(30622,70037,9,100,'Increases Mitigation of caster vs noxious damage by 2419',0,7),
(30623,70037,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(30624,70038,1,100,'Reduces physical damage done to caster by 5%',0,0),
(30625,70038,1,100,'Adds 1.3% to base avoidance.',0,1),
(30626,70038,1,100,'Caster will deflect 9.0% of incoming attacks.',0,2),
(30627,70038,1,100,'Increases Parry of caster by 23.4',0,3),
(30628,70038,1,100,'Decreases Slashing, Piercing and Crushing of caster by 25.8',0,4),
(30629,70038,1,100,'Increases Aggression of caster by 17.5',0,5),
(30630,70038,1,100,'Increases Defense and Deflection of caster by 23.4',0,6),
(30631,70038,1,100,'Increases Mitigation of caster vs noxious damage by 1565',0,7),
(30632,70038,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(30633,70038,4,100,'Reduces physical damage done to caster by 5%',0,0),
(30634,70038,4,100,'Adds 1.7% to base avoidance.',0,1),
(30635,70038,4,100,'Caster will deflect 11.0% of incoming attacks.',0,2),
(30636,70038,4,100,'Increases Parry of caster by 28.6',0,3),
(30637,70038,4,100,'Decreases Slashing, Piercing and Crushing of caster by 25.8',0,4),
(30638,70038,4,100,'Increases Aggression of caster by 21.5',0,5),
(30639,70038,4,100,'Increases Defense and Deflection of caster by 28.6',0,6),
(30640,70038,4,100,'Increases Mitigation of caster vs noxious damage by 1912',0,7),
(30641,70038,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(30642,70038,5,100,'Reduces physical damage done to caster by 5%',0,0),
(30643,70038,5,100,'Adds 1.8% to base avoidance.',0,1),
(30644,70038,5,100,'Caster will deflect 12.0% of incoming attacks.',0,2),
(30645,70038,5,100,'Increases Parry of caster by 31.2',0,3),
(30646,70038,5,100,'Decreases Slashing, Piercing and Crushing of caster by 25.8',0,4),
(30647,70038,5,100,'Increases Aggression of caster by 23.4',0,5),
(30648,70038,5,100,'Increases Defense and Deflection of caster by 31.2',0,6),
(30649,70038,5,100,'Increases Mitigation of caster vs noxious damage by 2086',0,7),
(30650,70038,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(30651,70038,7,100,'Reduces physical damage done to caster by 5%',0,0),
(30652,70038,7,100,'Adds 2.3% to base avoidance.',0,1),
(30653,70038,7,100,'Caster will deflect 15.4% of incoming attacks.',0,2),
(30654,70038,7,100,'Increases Parry of caster by 40.0',0,3),
(30655,70038,7,100,'Decreases Slashing, Piercing and Crushing of caster by 25.8',0,4),
(30656,70038,7,100,'Increases Aggression of caster by 30.0',0,5),
(30657,70038,7,100,'Increases Defense and Deflection of caster by 40.0',0,6),
(30658,70038,7,100,'Increases Mitigation of caster vs noxious damage by 2677',0,7),
(30659,70038,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(30660,70038,9,100,'Reduces physical damage done to caster by 5%',0,0),
(30661,70038,9,100,'Adds 2.4% to base avoidance.',0,1),
(30662,70038,9,100,'Caster will deflect 16.0% of incoming attacks.',0,2),
(30663,70038,9,100,'Increases Parry of caster by 41.6',0,3),
(30664,70038,9,100,'Decreases Slashing, Piercing and Crushing of caster by 25.8',0,4),
(30665,70038,9,100,'Increases Aggression of caster by 31.2',0,5),
(30666,70038,9,100,'Increases Defense and Deflection of caster by 41.6',0,6),
(30667,70038,9,100,'Increases Mitigation of caster vs noxious damage by 2781',0,7),
(30668,70038,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(30669,70039,1,100,'Reduces physical damage done to caster by 5%',0,0),
(30670,70039,1,100,'Adds 1.3% to base avoidance.',0,1),
(30671,70039,1,100,'Caster will deflect 9.0% of incoming attacks.',0,2),
(30672,70039,1,100,'Increases Parry of caster by 27.9',0,3),
(30673,70039,1,100,'Decreases Slashing, Piercing and Crushing of caster by 29.8',0,4),
(30674,70039,1,100,'Increases Aggression of caster by 20.9',0,5),
(30675,70039,1,100,'Increases Defense and Deflection of caster by 27.9',0,6),
(30676,70039,1,100,'Increases Mitigation of caster vs noxious damage by 1822',0,7),
(30677,70039,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(30678,70039,4,100,'Reduces physical damage done to caster by 5%',0,0),
(30679,70039,4,100,'Adds 1.7% to base avoidance.',0,1),
(30680,70039,4,100,'Caster will deflect 11.0% of incoming attacks.',0,2),
(30681,70039,4,100,'Increases Parry of caster by 34.1',0,3),
(30682,70039,4,100,'Decreases Slashing, Piercing and Crushing of caster by 29.8',0,4),
(30683,70039,4,100,'Increases Aggression of caster by 25.6',0,5),
(30684,70039,4,100,'Increases Defense and Deflection of caster by 34.1',0,6),
(30685,70039,4,100,'Increases Mitigation of caster vs noxious damage by 2226',0,7),
(30686,70039,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(30687,70039,5,100,'Reduces physical damage done to caster by 5%',0,0),
(30688,70039,5,100,'Adds 1.8% to base avoidance.',0,1),
(30689,70039,5,100,'Caster will deflect 12.0% of incoming attacks.',0,2),
(30690,70039,5,100,'Increases Parry of caster by 37.2',0,3),
(30691,70039,5,100,'Decreases Slashing, Piercing and Crushing of caster by 29.8',0,4),
(30692,70039,5,100,'Increases Aggression of caster by 27.9',0,5),
(30693,70039,5,100,'Increases Defense and Deflection of caster by 37.2',0,6),
(30694,70039,5,100,'Increases Mitigation of caster vs noxious damage by 2429',0,7),
(30695,70039,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(30696,70039,7,100,'Reduces physical damage done to caster by 5%',0,0),
(30697,70039,7,100,'Adds 2.3% to base avoidance.',0,1),
(30698,70039,7,100,'Caster will deflect 15.4% of incoming attacks.',0,2),
(30699,70039,7,100,'Increases Parry of caster by 47.7',0,3),
(30700,70039,7,100,'Decreases Slashing, Piercing and Crushing of caster by 29.8',0,4),
(30701,70039,7,100,'Increases Aggression of caster by 35.8',0,5),
(30702,70039,7,100,'Increases Defense and Deflection of caster by 47.7',0,6),
(30703,70039,7,100,'Increases Mitigation of caster vs noxious damage by 3117',0,7),
(30704,70039,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(30705,70039,9,100,'Reduces physical damage done to caster by 5%',0,0),
(30706,70039,9,100,'Adds 2.4% to base avoidance.',0,1),
(30707,70039,9,100,'Caster will deflect 16.0% of incoming attacks.',0,2),
(30708,70039,9,100,'Increases Parry of caster by 49.6',0,3),
(30709,70039,9,100,'Decreases Slashing, Piercing and Crushing of caster by 29.8',0,4),
(30710,70039,9,100,'Increases Aggression of caster by 37.2',0,5),
(30711,70039,9,100,'Increases Defense and Deflection of caster by 49.6',0,6),
(30712,70039,9,100,'Increases Mitigation of caster vs noxious damage by 3238',0,7),
(30713,70039,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(30714,2000031,1,100,'Inflicts 720 - 1080 cold damage on target',0,0),
(30715,2000031,1,100,'Decreases Multi Attack Chance of target by 7.5',0,1),
(30716,2000032,1,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(30717,2000032,1,100,'Grants stealth to caster',1,1),
(30718,2000032,1,100,'Suspends caster''s movement speed enhancements',1,2),
(30719,2000032,1,100,'Inflicts 273 - 455 melee damage on target',0,3),
(30720,2000032,1,100,'Must be flanking or behind',0,4),
(30721,2000032,2,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(30722,2000032,2,100,'Grants stealth to caster',1,1),
(30723,2000032,2,100,'Suspends caster''s movement speed enhancements',1,2),
(30724,2000032,2,100,'Inflicts 384 - 641 melee damage on target',0,3),
(30725,2000032,2,100,'Must be flanking or behind',0,4),
(30726,2000032,3,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(30727,2000032,3,100,'Grants stealth to caster',1,1),
(30728,2000032,3,100,'Suspends caster''s movement speed enhancements',1,2),
(30729,2000032,3,100,'Inflicts 303 - 506 melee damage on target',0,3),
(30730,2000032,3,100,'Must be flanking or behind',0,4),
(30731,2000032,4,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(30732,2000032,4,100,'Grants stealth to caster',1,1),
(30733,2000032,4,100,'Suspends caster''s movement speed enhancements',1,2),
(30734,2000032,4,100,'Inflicts 334 - 557 melee damage on target',0,3),
(30735,2000032,4,100,'Must be flanking or behind',0,4),
(30736,2000032,5,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(30737,2000032,5,100,'Grants stealth to caster',1,1),
(30738,2000032,5,100,'Suspends caster''s movement speed enhancements',1,2),
(30739,2000032,5,100,'Inflicts 486 - 810 melee damage on target',0,3),
(30740,2000032,5,100,'Must be flanking or behind',0,4),
(30741,2000032,6,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(30742,2000032,6,100,'Grants stealth to caster',1,1),
(30743,2000032,6,100,'Suspends caster''s movement speed enhancements',1,2),
(30744,2000032,6,100,'Inflicts 395 - 658 melee damage on target',0,3),
(30745,2000032,6,100,'Must be flanking or behind',0,4),
(30746,2000032,7,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(30747,2000032,7,100,'Grants stealth to caster',1,1),
(30748,2000032,7,100,'Suspends caster''s movement speed enhancements',1,2),
(30749,2000032,7,100,'Inflicts 468 - 780 melee damage on target',0,3),
(30750,2000032,7,100,'Must be flanking or behind',0,4),
(30751,2000032,8,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(30752,2000032,8,100,'Grants stealth to caster',1,1),
(30753,2000032,8,100,'Suspends caster''s movement speed enhancements',1,2),
(30754,2000032,8,100,'Inflicts 471 - 785 melee damage on target',0,3),
(30755,2000032,8,100,'Must be flanking or behind',0,4),
(30756,2000032,9,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(30757,2000032,9,100,'Grants stealth to caster',1,1),
(30758,2000032,9,100,'Suspends caster''s movement speed enhancements',1,2),
(30759,2000032,9,100,'Inflicts 648 - 1080 melee damage on target',0,3),
(30760,2000032,9,100,'Must be flanking or behind',0,4),
(30761,2000032,10,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(30762,2000032,10,100,'Grants stealth to caster',1,1),
(30763,2000032,10,100,'Suspends caster''s movement speed enhancements',1,2),
(30764,2000032,10,100,'Inflicts 680 - 1134 melee damage on target',0,3),
(30765,2000032,10,100,'Must be flanking or behind',0,4),
(30766,2000033,1,100,'On death this spell will cast Collect Bounty on target.  ',0,0),
(30767,2000033,1,100,'Steals an item from target with 100% success.',1,1),
(30768,2000033,1,100,'Grants a total of 1 trigger of the spell.',1,2),
(30769,2000033,2,100,'On death this spell will cast Collect Bounty on target.  ',0,0),
(30770,2000033,2,100,'Steals an item from target with 100% success.',1,1),
(30771,2000033,2,100,'Grants a total of 1 trigger of the spell.',1,2),
(30772,2000033,3,100,'On death this spell will cast Collect Bounty on target.  ',0,0),
(30773,2000033,3,100,'Steals an item from target with 100% success.',1,1),
(30774,2000033,3,100,'Grants a total of 1 trigger of the spell.',1,2),
(30775,2000033,4,100,'On death this spell will cast Collect Bounty on target.  ',0,0),
(30776,2000033,4,100,'Steals an item from target with 100% success.',1,1),
(30777,2000033,4,100,'Grants a total of 1 trigger of the spell.',1,2),
(30778,2000033,5,100,'On death this spell will cast Collect Bounty on target.  ',0,0),
(30779,2000033,5,100,'Steals an item from target with 100% success.',1,1),
(30780,2000033,5,100,'Grants a total of 1 trigger of the spell.',1,2),
(30781,2000033,6,100,'On death this spell will cast Collect Bounty on target.  ',0,0),
(30782,2000033,6,100,'Steals an item from target with 100% success.',1,1),
(30783,2000033,6,100,'Grants a total of 1 trigger of the spell.',1,2),
(30784,2000033,7,100,'On death this spell will cast Collect Bounty on target.  ',0,0),
(30785,2000033,7,100,'Steals an item from target with 100% success.',1,1),
(30786,2000033,7,100,'Grants a total of 1 trigger of the spell.',1,2),
(30787,2000033,8,100,'On death this spell will cast Collect Bounty on target.  ',0,0),
(30788,2000033,8,100,'Steals an item from target with 100% success.',1,1),
(30789,2000033,8,100,'Grants a total of 1 trigger of the spell.',1,2),
(30790,2000033,9,100,'On death this spell will cast Collect Bounty on target.  ',0,0),
(30791,2000033,9,100,'Steals an item from target with 100% success.',1,1),
(30792,2000033,9,100,'Grants a total of 1 trigger of the spell.',1,2),
(30793,2000033,10,100,'On death this spell will cast Collect Bounty on target.  ',0,0),
(30794,2000033,10,100,'Steals an item from target with 100% success.',1,1),
(30795,2000033,10,100,'Grants a total of 1 trigger of the spell.',1,2),
(30796,2000034,1,100,'On death this spell will cast Tenacity on target.  ',0,0),
(30797,2000034,1,100,'Heals target for 34.7 - 42.5% of max health',1,1),
(30798,2000034,1,100,'This effect cannot be critically applied.',2,2),
(30799,2000034,1,100,'Grants a total of 1 trigger of the spell.',1,3),
(30800,2000034,2,100,'On death this spell will cast Tenacity on target.  ',0,0),
(30801,2000034,2,100,'Heals target for 34.7 - 42.5% of max health',1,1),
(30802,2000034,2,100,'This effect cannot be critically applied.',2,2),
(30803,2000034,2,100,'Grants a total of 2 triggers of the spell.',1,3),
(30804,70040,1,100,'Caster will deflect 4.5% of incoming attacks.',0,0),
(30805,70040,1,100,'Increases Parry of caster by 5.9',0,1),
(30806,70040,1,100,'Increases Deflection, Slashing, Piercing, Crushing and Ranged of caster by 5.9',0,2),
(30807,70040,1,100,'Increases Mitigation of caster vs noxious damage by 396',0,3),
(30808,70040,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 13%',0,4),
(30809,70040,1,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 1.0 times per minute. ',0,5),
(30810,70040,1,100,'Inflicts 155 - 258 heat damage on target',1,6),
(30811,70040,2,100,'Caster will deflect 4.7% of incoming attacks.',0,0),
(30812,70040,2,100,'Increases Parry of caster by 6.3',0,1),
(30813,70040,2,100,'Increases Deflection, Slashing, Piercing, Crushing and Ranged of caster by 6.3',0,2),
(30814,70040,2,100,'Increases Mitigation of caster vs noxious damage by 418',0,3),
(30815,70040,2,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 13%',0,4),
(30816,70040,2,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 1.0 times per minute. ',0,5),
(30817,70040,2,100,'Inflicts 163 - 272 heat damage on target',1,6),
(30818,70040,3,100,'Caster will deflect 5.0% of incoming attacks.',0,0),
(30819,70040,3,100,'Increases Parry of caster by 6.6',0,1),
(30820,70040,3,100,'Increases Deflection, Slashing, Piercing, Crushing and Ranged of caster by 6.6',0,2),
(30821,70040,3,100,'Increases Mitigation of caster vs noxious damage by 440',0,3),
(30822,70040,3,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 13%',0,4),
(30823,70040,3,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 1.0 times per minute. ',0,5),
(30824,70040,3,100,'Inflicts 172 - 286 heat damage on target',1,6),
(30825,70040,4,100,'Caster will deflect 5.5% of incoming attacks.',0,0),
(30826,70040,4,100,'Increases Parry of caster by 7.3',0,1),
(30827,70040,4,100,'Increases Deflection, Slashing, Piercing, Crushing and Ranged of caster by 7.3',0,2),
(30828,70040,4,100,'Increases Mitigation of caster vs noxious damage by 484',0,3),
(30829,70040,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 13%',0,4),
(30830,70040,4,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 1.0 times per minute. ',0,5),
(30831,70040,4,100,'Inflicts 189 - 315 heat damage on target',1,6),
(30832,70040,5,100,'Caster will deflect 6.0% of incoming attacks.',0,0),
(30833,70040,5,100,'Increases Parry of caster by 7.9',0,1),
(30834,70040,5,100,'Increases Deflection, Slashing, Piercing, Crushing and Ranged of caster by 7.9',0,2),
(30835,70040,5,100,'Increases Mitigation of caster vs noxious damage by 528',0,3),
(30836,70040,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 13%',0,4),
(30837,70040,5,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 1.0 times per minute. ',0,5),
(30838,70040,5,100,'Inflicts 206 - 343 heat damage on target',1,6),
(30839,70040,7,100,'Caster will deflect 7.0% of incoming attacks.',0,0),
(30840,70040,7,100,'Increases Parry of caster by 9.2',0,1),
(30841,70040,7,100,'Increases Deflection, Slashing, Piercing, Crushing and Ranged of caster by 9.2',0,2),
(30842,70040,7,100,'Increases Mitigation of caster vs noxious damage by 616',0,3),
(30843,70040,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 13%',0,4),
(30844,70040,7,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 1.0 times per minute. ',0,5),
(30845,70040,7,100,'Inflicts 240 - 401 heat damage on target',1,6),
(30846,70040,9,100,'Caster will deflect 8.0% of incoming attacks.',0,0),
(30847,70040,9,100,'Increases Parry of caster by 10.6',0,1),
(30848,70040,9,100,'Increases Deflection, Slashing, Piercing, Crushing and Ranged of caster by 10.6',0,2),
(30849,70040,9,100,'Increases Mitigation of caster vs noxious damage by 704',0,3),
(30850,70040,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 13%',0,4),
(30851,70040,9,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 1.0 times per minute. ',0,5),
(30852,70040,9,100,'Inflicts 275 - 458 heat damage on target',1,6),
(30853,70041,1,100,'Caster will deflect 4.5% of incoming attacks.',0,0),
(30854,70041,1,100,'Increases Parry of caster by 7.8',0,1),
(30855,70041,1,100,'Increases Deflection, Slashing, Piercing, Crushing and Ranged of caster by 7.8',0,2),
(30856,70041,1,100,'Increases Mitigation of caster vs noxious damage by 522',0,3),
(30857,70041,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 13%',0,4),
(30858,70041,1,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 1.0 times per minute. ',0,5),
(30859,70041,1,100,'Inflicts 214 - 356 heat damage on target',1,6),
(30860,70041,2,100,'Caster will deflect 4.7% of incoming attacks.',0,0),
(30861,70041,2,100,'Increases Parry of caster by 8.3',0,1),
(30862,70041,2,100,'Increases Deflection, Slashing, Piercing, Crushing and Ranged of caster by 8.3',0,2),
(30863,70041,2,100,'Increases Mitigation of caster vs noxious damage by 551',0,3),
(30864,70041,2,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 13%',0,4),
(30865,70041,2,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 1.0 times per minute. ',0,5),
(30866,70041,2,100,'Inflicts 225 - 376 heat damage on target',1,6),
(30867,70041,3,100,'Caster will deflect 5.0% of incoming attacks.',0,0),
(30868,70041,3,100,'Increases Parry of caster by 8.7',0,1),
(30869,70041,3,100,'Increases Deflection, Slashing, Piercing, Crushing and Ranged of caster by 8.7',0,2),
(30870,70041,3,100,'Increases Mitigation of caster vs noxious damage by 580',0,3),
(30871,70041,3,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 13%',0,4),
(30872,70041,3,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 1.0 times per minute. ',0,5),
(30873,70041,3,100,'Inflicts 237 - 396 heat damage on target',1,6),
(30874,70041,4,100,'Caster will deflect 5.5% of incoming attacks.',0,0),
(30875,70041,4,100,'Increases Parry of caster by 9.6',0,1),
(30876,70041,4,100,'Increases Deflection, Slashing, Piercing, Crushing and Ranged of caster by 9.6',0,2),
(30877,70041,4,100,'Increases Mitigation of caster vs noxious damage by 638',0,3),
(30878,70041,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 13%',0,4),
(30879,70041,4,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 1.0 times per minute. ',0,5),
(30880,70041,4,100,'Inflicts 261 - 435 heat damage on target',1,6),
(30881,70041,5,100,'Caster will deflect 6.0% of incoming attacks.',0,0),
(30882,70041,5,100,'Increases Parry of caster by 10.4',0,1),
(30883,70041,5,100,'Increases Deflection, Slashing, Piercing, Crushing and Ranged of caster by 10.4',0,2),
(30884,70041,5,100,'Increases Mitigation of caster vs noxious damage by 696',0,3),
(30885,70041,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 13%',0,4),
(30886,70041,5,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 1.0 times per minute. ',0,5),
(30887,70041,5,100,'Inflicts 285 - 475 heat damage on target',1,6),
(30888,70041,7,100,'Caster will deflect 7.0% of incoming attacks.',0,0),
(30889,70041,7,100,'Increases Parry of caster by 12.2',0,1),
(30890,70041,7,100,'Increases Deflection, Slashing, Piercing, Crushing and Ranged of caster by 12.2',0,2),
(30891,70041,7,100,'Increases Mitigation of caster vs noxious damage by 812',0,3),
(30892,70041,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 13%',0,4),
(30893,70041,7,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 1.0 times per minute. ',0,5),
(30894,70041,7,100,'Inflicts 332 - 554 heat damage on target',1,6),
(30895,70041,9,100,'Caster will deflect 8.0% of incoming attacks.',0,0),
(30896,70041,9,100,'Increases Parry of caster by 13.9',0,1),
(30897,70041,9,100,'Increases Deflection, Slashing, Piercing, Crushing and Ranged of caster by 13.9',0,2),
(30898,70041,9,100,'Increases Mitigation of caster vs noxious damage by 928',0,3),
(30899,70041,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 13%',0,4),
(30900,70041,9,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 1.0 times per minute. ',0,5),
(30901,70041,9,100,'Inflicts 380 - 633 heat damage on target',1,6),
(30902,70042,1,100,'Caster will deflect 4.5% of incoming attacks.',0,0),
(30903,70042,1,100,'Increases Parry of caster by 9.6',0,1),
(30904,70042,1,100,'Increases Deflection, Slashing, Piercing, Crushing and Ranged of caster by 9.6',0,2),
(30905,70042,1,100,'Increases Mitigation of caster vs noxious damage by 671',0,3),
(30906,70042,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 13%',0,4),
(30907,70042,1,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 1.0 times per minute. ',0,5),
(30908,70042,1,100,'Inflicts 273 - 456 heat damage on target',1,6),
(30909,70042,2,100,'Caster will deflect 4.7% of incoming attacks.',0,0),
(30910,70042,2,100,'Increases Parry of caster by 10.2',0,1),
(30911,70042,2,100,'Increases Deflection, Slashing, Piercing, Crushing and Ranged of caster by 10.2',0,2),
(30912,70042,2,100,'Increases Mitigation of caster vs noxious damage by 708',0,3),
(30913,70042,2,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 13%',0,4),
(30914,70042,2,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 1.0 times per minute. ',0,5),
(30915,70042,2,100,'Inflicts 289 - 481 heat damage on target',1,6),
(30916,70042,3,100,'Caster will deflect 5.0% of incoming attacks.',0,0),
(30917,70042,3,100,'Increases Parry of caster by 10.7',0,1),
(30918,70042,3,100,'Increases Deflection, Slashing, Piercing, Crushing and Ranged of caster by 10.7',0,2),
(30919,70042,3,100,'Increases Mitigation of caster vs noxious damage by 746',0,3),
(30920,70042,3,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 13%',0,4),
(30921,70042,3,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 1.0 times per minute. ',0,5),
(30922,70042,3,100,'Inflicts 304 - 506 heat damage on target',1,6),
(30923,70042,4,100,'Caster will deflect 5.5% of incoming attacks.',0,0),
(30924,70042,4,100,'Increases Parry of caster by 11.8',0,1),
(30925,70042,4,100,'Increases Deflection, Slashing, Piercing, Crushing and Ranged of caster by 11.8',0,2),
(30926,70042,4,100,'Increases Mitigation of caster vs noxious damage by 820',0,3),
(30927,70042,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 13%',0,4),
(30928,70042,4,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 1.0 times per minute. ',0,5),
(30929,70042,4,100,'Inflicts 334 - 557 heat damage on target',1,6),
(30930,70042,5,100,'Caster will deflect 6.0% of incoming attacks.',0,0),
(30931,70042,5,100,'Increases Parry of caster by 12.8',0,1),
(30932,70042,5,100,'Increases Deflection, Slashing, Piercing, Crushing and Ranged of caster by 12.8',0,2),
(30933,70042,5,100,'Increases Mitigation of caster vs noxious damage by 895',0,3),
(30934,70042,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 13%',0,4),
(30935,70042,5,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 1.0 times per minute. ',0,5),
(30936,70042,5,100,'Inflicts 365 - 608 heat damage on target',1,6),
(30937,70042,7,100,'Caster will deflect 7.0% of incoming attacks.',0,0),
(30938,70042,7,100,'Increases Parry of caster by 15.0',0,1),
(30939,70042,7,100,'Increases Deflection, Slashing, Piercing, Crushing and Ranged of caster by 15.0',0,2),
(30940,70042,7,100,'Increases Mitigation of caster vs noxious damage by 1044',0,3),
(30941,70042,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 13%',0,4),
(30942,70042,7,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 1.0 times per minute. ',0,5),
(30943,70042,7,100,'Inflicts 425 - 709 heat damage on target',1,6),
(30944,70042,9,100,'Caster will deflect 8.0% of incoming attacks.',0,0),
(30945,70042,9,100,'Increases Parry of caster by 17.1',0,1),
(30946,70042,9,100,'Increases Deflection, Slashing, Piercing, Crushing and Ranged of caster by 17.1',0,2),
(30947,70042,9,100,'Increases Mitigation of caster vs noxious damage by 1193',0,3),
(30948,70042,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 13%',0,4),
(30949,70042,9,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 1.0 times per minute. ',0,5),
(30950,70042,9,100,'Inflicts 486 - 810 heat damage on target',1,6),
(30951,70043,1,100,'Caster will deflect 4.5% of incoming attacks.',0,0),
(30952,70043,1,100,'Increases Parry of caster by 11.5',0,1),
(30953,70043,1,100,'Increases Deflection, Slashing, Piercing, Crushing and Ranged of caster by 11.5',0,2),
(30954,70043,1,100,'Increases Mitigation of caster vs noxious damage by 769',0,3),
(30955,70043,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 13%',0,4),
(30956,70043,1,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 1.0 times per minute. ',0,5),
(30957,70043,1,100,'Inflicts 332 - 553 heat damage on target',1,6),
(30958,70043,4,100,'Caster will deflect 5.5% of incoming attacks.',0,0),
(30959,70043,4,100,'Increases Parry of caster by 14.0',0,1),
(30960,70043,4,100,'Increases Deflection, Slashing, Piercing, Crushing and Ranged of caster by 14.0',0,2),
(30961,70043,4,100,'Increases Mitigation of caster vs noxious damage by 940',0,3),
(30962,70043,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 13%',0,4),
(30963,70043,4,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 1.0 times per minute. ',0,5),
(30964,70043,4,100,'Inflicts 405 - 675 heat damage on target',1,6),
(30965,70043,5,100,'Caster will deflect 6.0% of incoming attacks.',0,0),
(30966,70043,5,100,'Increases Parry of caster by 15.3',0,1),
(30967,70043,5,100,'Increases Deflection, Slashing, Piercing, Crushing and Ranged of caster by 15.3',0,2),
(30968,70043,5,100,'Increases Mitigation of caster vs noxious damage by 1025',0,3),
(30969,70043,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 13%',0,4),
(30970,70043,5,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 1.0 times per minute. ',0,5),
(30971,70043,5,100,'Inflicts 442 - 737 heat damage on target',1,6),
(30972,70043,7,100,'Caster will deflect 7.0% of incoming attacks.',0,0),
(30973,70043,7,100,'Increases Parry of caster by 17.9',0,1),
(30974,70043,7,100,'Increases Deflection, Slashing, Piercing, Crushing and Ranged of caster by 17.9',0,2),
(30975,70043,7,100,'Increases Mitigation of caster vs noxious damage by 1196',0,3),
(30976,70043,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 13%',0,4),
(30977,70043,7,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 1.0 times per minute. ',0,5),
(30978,70043,7,100,'Inflicts 516 - 859 heat damage on target',1,6),
(30979,70043,9,100,'Caster will deflect 8.0% of incoming attacks.',0,0),
(30980,70043,9,100,'Increases Parry of caster by 20.4',0,1),
(30981,70043,9,100,'Increases Deflection, Slashing, Piercing, Crushing and Ranged of caster by 20.4',0,2),
(30982,70043,9,100,'Increases Mitigation of caster vs noxious damage by 1367',0,3),
(30983,70043,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 13%',0,4),
(30984,70043,9,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 1.0 times per minute. ',0,5),
(30985,70043,9,100,'Inflicts 589 - 982 heat damage on target',1,6),
(30986,70044,1,100,'Increases Mitigation of caster vs physical damage by 1000',0,0),
(30987,70044,2,100,'Increases Mitigation of caster vs physical damage by 1025',0,0),
(30988,70044,3,100,'Increases Mitigation of caster vs physical damage by 1060',0,0),
(30989,70044,4,100,'Increases Mitigation of caster vs physical damage by 1085',0,0),
(30990,70044,5,100,'Increases Mitigation of caster vs physical damage by 1095',0,0),
(30991,70044,7,100,'Increases Mitigation of caster vs physical damage by 1115',0,0),
(30992,70044,9,100,'Increases Mitigation of caster vs physical damage by 1130',0,0),
(30993,70045,1,100,'Increases Mitigation of caster vs physical damage by 252',0,0),
(30994,70045,2,100,'Increases Mitigation of caster vs physical damage by 266',0,0),
(30995,70045,3,100,'Increases Mitigation of caster vs physical damage by 280',0,0),
(30996,70045,4,100,'Increases Mitigation of caster vs physical damage by 308',0,0),
(30997,70045,5,100,'Increases Mitigation of caster vs physical damage by 336',0,0),
(30998,70045,7,100,'Increases Mitigation of caster vs physical damage by 431',0,0),
(30999,70045,9,100,'Increases Mitigation of caster vs physical damage by 448',0,0),
(31000,70046,1,100,'Increases Mitigation of caster vs physical damage by 340',0,0),
(31001,70046,2,100,'Increases Mitigation of caster vs physical damage by 359',0,0),
(31002,70046,3,100,'Increases Mitigation of caster vs physical damage by 378',0,0),
(31003,70046,4,100,'Increases Mitigation of caster vs physical damage by 416',0,0),
(31004,70046,5,100,'Increases Mitigation of caster vs physical damage by 454',0,0),
(31005,70046,7,100,'Increases Mitigation of caster vs physical damage by 582',0,0),
(31006,70046,9,100,'Increases Mitigation of caster vs physical damage by 605',0,0),
(31007,70047,1,100,'Increases Mitigation of caster vs physical damage by 428',0,0),
(31008,70047,2,100,'Increases Mitigation of caster vs physical damage by 452',0,0),
(31009,70047,3,100,'Increases Mitigation of caster vs physical damage by 476',0,0),
(31010,70047,4,100,'Increases Mitigation of caster vs physical damage by 524',0,0),
(31011,70047,5,100,'Increases Mitigation of caster vs physical damage by 571',0,0),
(31012,70047,7,100,'Increases Mitigation of caster vs physical damage by 733',0,0),
(31013,70047,9,100,'Increases Mitigation of caster vs physical damage by 762',0,0),
(31014,70048,1,100,'Increases Mitigation of caster vs physical damage by 516',0,0),
(31015,70048,2,100,'Increases Mitigation of caster vs physical damage by 545',0,0),
(31016,70048,3,100,'Increases Mitigation of caster vs physical damage by 573',0,0),
(31017,70048,4,100,'Increases Mitigation of caster vs physical damage by 631',0,0),
(31018,70048,5,100,'Increases Mitigation of caster vs physical damage by 688',0,0),
(31019,70048,7,100,'Increases Mitigation of caster vs physical damage by 883',0,0),
(31020,70048,9,100,'Increases Mitigation of caster vs physical damage by 917',0,0),
(31021,70049,1,100,'Increases Mitigation of caster vs physical damage by 604',0,0),
(31022,70049,4,100,'Increases Mitigation of caster vs physical damage by 739',0,0),
(31023,70049,5,100,'Increases Mitigation of caster vs physical damage by 806',0,0),
(31024,70049,7,100,'Increases Mitigation of caster vs physical damage by 1034',0,0),
(31025,70049,9,100,'Increases Mitigation of caster vs physical damage by 1074',0,0),
(31026,70050,1,100,'Increases Mitigation of caster vs physical damage by 679',0,0),
(31027,70050,4,100,'Increases Mitigation of caster vs physical damage by 830',0,0),
(31028,70050,5,100,'Increases Mitigation of caster vs physical damage by 906',0,0),
(31029,70050,7,100,'Increases Mitigation of caster vs physical damage by 1162',0,0),
(31030,70050,9,100,'Increases Mitigation of caster vs physical damage by 1207',0,0),
(31031,50000,1,100,'Inflicts 52 - 88 melee damage on target',0,0),
(31032,50000,1,100,'If facing target',0,1),
(31033,50000,2,100,'Inflicts 55 - 93 melee damage on target',0,0),
(31034,50000,2,100,'If facing target',0,1),
(31035,50000,3,100,'Inflicts 58 - 97 melee damage on target',0,0),
(31036,50000,3,100,'If facing target',0,1),
(31037,50000,4,100,'Inflicts 64 - 107 melee damage on target',0,0),
(31038,50000,4,100,'If facing target',0,1),
(31039,50000,5,100,'Inflicts 70 - 117 melee damage on target',0,0),
(31040,50000,5,100,'If facing target',0,1),
(31041,50000,7,100,'Inflicts 90 - 150 melee damage on target',0,0),
(31042,50000,7,100,'If facing target',0,1),
(31043,50000,9,100,'Inflicts 94 - 156 melee damage on target',0,0),
(31044,50000,9,100,'If facing target',0,1),
(31045,70051,1,100,'Caster will deflect 4.5% of incoming attacks.',0,0),
(31046,70051,1,100,'Increases Parry of caster by 13.7',0,1),
(31047,70051,1,100,'Increases Deflection, Slashing, Piercing, Crushing and Ranged of caster by 13.7',0,2),
(31048,70051,1,100,'Increases Mitigation of caster vs noxious damage by 901',0,3),
(31049,70051,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 13%',0,4),
(31050,70051,1,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 1.0 times per minute. ',0,5),
(31051,70051,1,100,'Inflicts 393 - 656 heat damage on target',1,6),
(31052,70051,4,100,'Caster will deflect 5.5% of incoming attacks.',0,0),
(31053,70051,4,100,'Increases Parry of caster by 16.8',0,1),
(31054,70051,4,100,'Increases Deflection, Slashing, Piercing, Crushing and Ranged of caster by 16.8',0,2),
(31055,70051,4,100,'Increases Mitigation of caster vs noxious damage by 1101',0,3),
(31056,70051,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 13%',0,4),
(31057,70051,4,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 1.0 times per minute. ',0,5),
(31058,70051,4,100,'Inflicts 481 - 802 heat damage on target',1,6),
(31059,70051,5,100,'Caster will deflect 6.0% of incoming attacks.',0,0),
(31060,70051,5,100,'Increases Parry of caster by 18.3',0,1),
(31061,70051,5,100,'Increases Deflection, Slashing, Piercing, Crushing and Ranged of caster by 18.3',0,2),
(31062,70051,5,100,'Increases Mitigation of caster vs noxious damage by 1201',0,3),
(31063,70051,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 13%',0,4),
(31064,70051,5,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 1.0 times per minute. ',0,5),
(31065,70051,5,100,'Inflicts 525 - 874 heat damage on target',1,6),
(31066,70051,7,100,'Caster will deflect 7.0% of incoming attacks.',0,0),
(31067,70051,7,100,'Increases Parry of caster by 21.4',0,1),
(31068,70051,7,100,'Increases Deflection, Slashing, Piercing, Crushing and Ranged of caster by 21.4',0,2),
(31069,70051,7,100,'Increases Mitigation of caster vs noxious damage by 1401',0,3),
(31070,70051,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 13%',0,4),
(31071,70051,7,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 1.0 times per minute. ',0,5),
(31072,70051,7,100,'Inflicts 612 - 1020 heat damage on target',1,6),
(31073,70051,9,100,'Caster will deflect 8.0% of incoming attacks.',0,0),
(31074,70051,9,100,'Increases Parry of caster by 24.4',0,1),
(31075,70051,9,100,'Increases Deflection, Slashing, Piercing, Crushing and Ranged of caster by 24.4',0,2),
(31076,70051,9,100,'Increases Mitigation of caster vs noxious damage by 1602',0,3),
(31077,70051,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 13%',0,4),
(31078,70051,9,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 1.0 times per minute. ',0,5),
(31079,70051,9,100,'Inflicts 700 - 1166 heat damage on target',1,6),
(31080,420005,9,100,'Inflicts 827 - 1378 crushing damage on target',0,0),
(31081,420005,9,100,'The effect of this ability grows based on Feral Rampage level.',0,1),
(31082,420005,9,100,'You must have Tame Exotic Warder to use this Primal.',0,2),
(31083,420005,9,100,'You must have your warder active to use this ability.',0,3),
(31084,2000035,1,100,'Makes target immune to Root effects',0,0),
(31085,2000035,1,100,'Makes target immune to Stun effects',0,1),
(31086,2000035,1,100,'Makes target immune to Stifle effects',0,2),
(31087,2000035,1,100,'Makes target immune to Fear effects',0,3),
(31088,2000035,1,100,'Makes target immune to Daze effects',0,4),
(31089,2000035,1,100,'Makes target immune to Mesmerize effects',0,5),
(31090,70052,1,100,'Increases STR and AGI of raid and group members (AE) by 5.4',0,0),
(31091,70052,1,100,'Adds 0.9% to base avoidance.',0,1),
(31092,70052,1,100,'Improves the base amount of taunts by 9%.',0,2),
(31093,70052,1,100,'Improves the base amount of spells by 0.85%.',0,3),
(31094,70052,2,100,'Increases STR and AGI of raid and group members (AE) by 5.7',0,0),
(31095,70052,2,100,'Adds 0.9% to base avoidance.',0,1),
(31096,70052,2,100,'Improves the base amount of taunts by 9.5%.',0,2),
(31097,70052,2,100,'Improves the base amount of spells by 0.9%.',0,3),
(31098,70052,3,100,'Increases STR and AGI of raid and group members (AE) by 6.0',0,0),
(31099,70052,3,100,'Adds 1.0% to base avoidance.',0,1),
(31100,70052,3,100,'Improves the base amount of taunts by 10%.',0,2),
(31101,70052,3,100,'Improves the base amount of spells by 0.95%.',0,3),
(31102,70052,4,100,'Increases STR and AGI of raid and group members (AE) by 6.6',0,0),
(31103,70052,4,100,'Adds 1.1% to base avoidance.',0,1),
(31104,70052,4,100,'Improves the base amount of taunts by 11%.',0,2),
(31105,70052,4,100,'Improves the base amount of spells by 1.04%.',0,3),
(31106,70052,5,100,'Increases STR and AGI of raid and group members (AE) by 7.2',0,0),
(31107,70052,5,100,'Adds 1.2% to base avoidance.',0,1),
(31108,70052,5,100,'Improves the base amount of taunts by 12%.',0,2),
(31109,70052,5,100,'Improves the base amount of spells by 1.14%.',0,3),
(31110,70052,7,100,'Increases STR and AGI of raid and group members (AE) by 9.3',0,0),
(31111,70052,7,100,'Adds 1.5% to base avoidance.',0,1),
(31112,70052,7,100,'Improves the base amount of taunts by 15.4%.',0,2),
(31113,70052,7,100,'Improves the base amount of spells by 1.46%.',0,3),
(31114,70052,9,100,'Increases STR and AGI of raid and group members (AE) by 9.6',0,0),
(31115,70052,9,100,'Adds 1.6% to base avoidance.',0,1),
(31116,70052,9,100,'Improves the base amount of taunts by 16%.',0,2),
(31117,70052,9,100,'Improves the base amount of spells by 1.52%.',0,3),
(31146,70054,1,100,'Increases STR and AGI of raid and group members (AE) by 18.0',0,0),
(31147,70054,1,100,'Adds 0.9% to base avoidance.',0,1),
(31148,70054,1,100,'Improves the base amount of taunts by 9%.',0,2),
(31149,70054,1,100,'Improves the base amount of spells by 0.85%.',0,3),
(31150,70054,2,100,'Increases STR and AGI of raid and group members (AE) by 19.0',0,0),
(31151,70054,2,100,'Adds 0.9% to base avoidance.',0,1),
(31152,70054,2,100,'Improves the base amount of taunts by 9.5%.',0,2),
(31153,70054,2,100,'Improves the base amount of spells by 0.9%.',0,3),
(31154,70054,3,100,'Increases STR and AGI of raid and group members (AE) by 20.0',0,0),
(31155,70054,3,100,'Adds 1.0% to base avoidance.',0,1),
(31156,70054,3,100,'Improves the base amount of taunts by 10%.',0,2),
(31157,70054,3,100,'Improves the base amount of spells by 0.95%.',0,3),
(31158,70054,4,100,'Increases STR and AGI of raid and group members (AE) by 22.0',0,0),
(31159,70054,4,100,'Adds 1.1% to base avoidance.',0,1),
(31160,70054,4,100,'Improves the base amount of taunts by 11%.',0,2),
(31161,70054,4,100,'Improves the base amount of spells by 1.04%.',0,3),
(31162,70054,5,100,'Increases STR and AGI of raid and group members (AE) by 24.0',0,0),
(31163,70054,5,100,'Adds 1.2% to base avoidance.',0,1),
(31164,70054,5,100,'Improves the base amount of taunts by 12%.',0,2),
(31165,70054,5,100,'Improves the base amount of spells by 1.14%.',0,3),
(31166,70054,7,100,'Increases STR and AGI of raid and group members (AE) by 30.8',0,0),
(31167,70054,7,100,'Adds 1.5% to base avoidance.',0,1),
(31168,70054,7,100,'Improves the base amount of taunts by 15.4%.',0,2),
(31169,70054,7,100,'Improves the base amount of spells by 1.46%.',0,3),
(31170,70054,9,100,'Increases STR and AGI of raid and group members (AE) by 32.0',0,0),
(31171,70054,9,100,'Adds 1.6% to base avoidance.',0,1),
(31172,70054,9,100,'Improves the base amount of taunts by 16%.',0,2),
(31173,70054,9,100,'Improves the base amount of spells by 1.52%.',0,3),
(31174,70055,1,100,'Increases STR and AGI of raid and group members (AE) by 25.1',0,0),
(31175,70055,1,100,'Adds 0.9% to base avoidance.',0,1),
(31176,70055,1,100,'Improves the base amount of taunts by 9%.',0,2),
(31177,70055,1,100,'Improves the base amount of spells by 0.85%.',0,3),
(31178,70055,2,100,'Increases STR and AGI of raid and group members (AE) by 26.5',0,0),
(31179,70055,2,100,'Adds 0.9% to base avoidance.',0,1),
(31180,70055,2,100,'Improves the base amount of taunts by 9.5%.',0,2),
(31181,70055,2,100,'Improves the base amount of spells by 0.9%.',0,3),
(31182,70055,3,100,'Increases STR and AGI of raid and group members (AE) by 27.9',0,0),
(31183,70055,3,100,'Adds 1.0% to base avoidance.',0,1),
(31184,70055,3,100,'Improves the base amount of taunts by 10%.',0,2),
(31185,70055,3,100,'Improves the base amount of spells by 0.95%.',0,3),
(31186,70055,4,100,'Increases STR and AGI of raid and group members (AE) by 30.6',0,0),
(31187,70055,4,100,'Adds 1.1% to base avoidance.',0,1),
(31188,70055,4,100,'Improves the base amount of taunts by 11%.',0,2),
(31189,70055,4,100,'Improves the base amount of spells by 1.04%.',0,3),
(31190,70055,5,100,'Increases STR and AGI of raid and group members (AE) by 33.4',0,0),
(31191,70055,5,100,'Adds 1.2% to base avoidance.',0,1),
(31192,70055,5,100,'Improves the base amount of taunts by 12%.',0,2),
(31193,70055,5,100,'Improves the base amount of spells by 1.14%.',0,3),
(31194,70055,7,100,'Increases STR and AGI of raid and group members (AE) by 42.9',0,0),
(31195,70055,7,100,'Adds 1.5% to base avoidance.',0,1),
(31196,70055,7,100,'Improves the base amount of taunts by 15.4%.',0,2),
(31197,70055,7,100,'Improves the base amount of spells by 1.46%.',0,3),
(31198,70055,9,100,'Increases STR and AGI of raid and group members (AE) by 44.6',0,0),
(31199,70055,9,100,'Adds 1.6% to base avoidance.',0,1),
(31200,70055,9,100,'Improves the base amount of taunts by 16%.',0,2),
(31201,70055,9,100,'Improves the base amount of spells by 1.52%.',0,3),
(31202,70056,1,100,'Increases STR and AGI of raid and group members (AE) by 32.1',0,0),
(31203,70056,1,100,'Adds 0.9% to base avoidance.',0,1),
(31204,70056,1,100,'Improves the base amount of taunts by 9%.',0,2),
(31205,70056,1,100,'Improves the base amount of spells by 0.85%.',0,3),
(31206,70056,2,100,'Increases STR and AGI of raid and group members (AE) by 33.9',0,0),
(31207,70056,2,100,'Adds 0.9% to base avoidance.',0,1),
(31208,70056,2,100,'Improves the base amount of taunts by 9.5%.',0,2),
(31209,70056,2,100,'Improves the base amount of spells by 0.9%.',0,3),
(31210,70056,3,100,'Increases STR and AGI of raid and group members (AE) by 35.7',0,0),
(31211,70056,3,100,'Adds 1.0% to base avoidance.',0,1),
(31212,70056,3,100,'Improves the base amount of taunts by 10%.',0,2),
(31213,70056,3,100,'Improves the base amount of spells by 0.95%.',0,3),
(31214,70056,4,100,'Increases STR and AGI of raid and group members (AE) by 39.3',0,0),
(31215,70056,4,100,'Adds 1.1% to base avoidance.',0,1),
(31216,70056,4,100,'Improves the base amount of taunts by 11%.',0,2),
(31217,70056,4,100,'Improves the base amount of spells by 1.04%.',0,3),
(31218,70056,5,100,'Increases STR and AGI of raid and group members (AE) by 42.8',0,0),
(31219,70056,5,100,'Adds 1.2% to base avoidance.',0,1),
(31220,70056,5,100,'Improves the base amount of taunts by 12%.',0,2),
(31221,70056,5,100,'Improves the base amount of spells by 1.14%.',0,3),
(31222,70056,7,100,'Increases STR and AGI of raid and group members (AE) by 55.0',0,0),
(31223,70056,7,100,'Adds 1.5% to base avoidance.',0,1),
(31224,70056,7,100,'Improves the base amount of taunts by 15.4%.',0,2),
(31225,70056,7,100,'Improves the base amount of spells by 1.46%.',0,3),
(31226,70056,9,100,'Increases STR and AGI of raid and group members (AE) by 57.1',0,0),
(31227,70056,9,100,'Adds 1.6% to base avoidance.',0,1),
(31228,70056,9,100,'Improves the base amount of taunts by 16%.',0,2),
(31229,70056,9,100,'Improves the base amount of spells by 1.52%.',0,3),
(31230,70057,1,100,'Increases STR and AGI of raid and group members (AE) by 38.8',0,0),
(31231,70057,1,100,'Adds 0.9% to base avoidance.',0,1),
(31232,70057,1,100,'Improves the base amount of taunts by 9%.',0,2),
(31233,70057,1,100,'Improves the base amount of spells by 0.85%.',0,3),
(31234,70057,2,100,'Increases STR and AGI of raid and group members (AE) by 41.0',0,0),
(31235,70057,2,100,'Adds 0.9% to base avoidance.',0,1),
(31236,70057,2,100,'Improves the base amount of taunts by 9.5%.',0,2),
(31237,70057,2,100,'Improves the base amount of spells by 0.9%.',0,3),
(31238,70057,3,100,'Increases STR and AGI of raid and group members (AE) by 43.1',0,0),
(31239,70057,3,100,'Adds 1.0% to base avoidance.',0,1),
(31240,70057,3,100,'Improves the base amount of taunts by 10%.',0,2),
(31241,70057,3,100,'Improves the base amount of spells by 0.95%.',0,3),
(31242,70057,4,100,'Increases STR and AGI of raid and group members (AE) by 47.4',0,0),
(31243,70057,4,100,'Adds 1.1% to base avoidance.',0,1),
(31244,70057,4,100,'Improves the base amount of taunts by 11%.',0,2),
(31245,70057,4,100,'Improves the base amount of spells by 1.04%.',0,3),
(31246,70057,5,100,'Increases STR and AGI of raid and group members (AE) by 51.7',0,0),
(31247,70057,5,100,'Adds 1.2% to base avoidance.',0,1),
(31248,70057,5,100,'Improves the base amount of taunts by 12%.',0,2),
(31249,70057,5,100,'Improves the base amount of spells by 1.14%.',0,3),
(31250,70057,7,100,'Increases STR and AGI of raid and group members (AE) by 66.4',0,0),
(31251,70057,7,100,'Adds 1.5% to base avoidance.',0,1),
(31252,70057,7,100,'Improves the base amount of taunts by 15.4%.',0,2),
(31253,70057,7,100,'Improves the base amount of spells by 1.46%.',0,3),
(31254,70057,9,100,'Increases STR and AGI of raid and group members (AE) by 69.0',0,0),
(31255,70057,9,100,'Adds 1.6% to base avoidance.',0,1),
(31256,70057,9,100,'Improves the base amount of taunts by 16%.',0,2),
(31257,70057,9,100,'Improves the base amount of spells by 1.52%.',0,3),
(31258,70058,1,100,'Increases STR and AGI of raid and group members (AE) by 45.7',0,0),
(31259,70058,1,100,'Adds 0.9% to base avoidance.',0,1),
(31260,70058,1,100,'Improves the base amount of taunts by 9%.',0,2),
(31261,70058,1,100,'Improves the base amount of spells by 0.85%.',0,3),
(31262,70058,4,100,'Increases STR and AGI of raid and group members (AE) by 55.9',0,0),
(31263,70058,4,100,'Adds 1.1% to base avoidance.',0,1),
(31264,70058,4,100,'Improves the base amount of taunts by 11%.',0,2),
(31265,70058,4,100,'Improves the base amount of spells by 1.04%.',0,3),
(31266,70058,5,100,'Increases STR and AGI of raid and group members (AE) by 61.0',0,0),
(31267,70058,5,100,'Adds 1.2% to base avoidance.',0,1),
(31268,70058,5,100,'Improves the base amount of taunts by 12%.',0,2),
(31269,70058,5,100,'Improves the base amount of spells by 1.14%.',0,3),
(31270,70058,7,100,'Increases STR and AGI of raid and group members (AE) by 78.3',0,0),
(31271,70058,7,100,'Adds 1.5% to base avoidance.',0,1),
(31272,70058,7,100,'Improves the base amount of taunts by 15.4%.',0,2),
(31273,70058,7,100,'Improves the base amount of spells by 1.46%.',0,3),
(31274,70058,9,100,'Increases STR and AGI of raid and group members (AE) by 81.3',0,0),
(31275,70058,9,100,'Adds 1.6% to base avoidance.',0,1),
(31276,70058,9,100,'Improves the base amount of taunts by 16%.',0,2),
(31277,70058,9,100,'Improves the base amount of spells by 1.52%.',0,3),
(31278,70059,1,100,'Increases STR and AGI of raid and group members (AE) by 52.7',0,0),
(31279,70059,1,100,'Adds 1.0% to base avoidance.',0,1),
(31280,70059,1,100,'Improves the base amount of taunts by 9%.',0,2),
(31281,70059,1,100,'Improves the base amount of spells by 0.85%.',0,3),
(31282,70059,4,100,'Increases STR and AGI of raid and group members (AE) by 64.4',0,0),
(31283,70059,4,100,'Adds 1.3% to base avoidance.',0,1),
(31284,70059,4,100,'Improves the base amount of taunts by 11%.',0,2),
(31285,70059,4,100,'Improves the base amount of spells by 1.04%.',0,3),
(31286,70059,5,100,'Increases STR and AGI of raid and group members (AE) by 70.2',0,0),
(31287,70059,5,100,'Adds 1.4% to base avoidance.',0,1),
(31288,70059,5,100,'Improves the base amount of taunts by 12%.',0,2),
(31289,70059,5,100,'Improves the base amount of spells by 1.14%.',0,3),
(31290,70059,7,100,'Increases STR and AGI of raid and group members (AE) by 90.1',0,0),
(31291,70059,7,100,'Adds 1.8% to base avoidance.',0,1),
(31292,70059,7,100,'Improves the base amount of taunts by 15.4%.',0,2),
(31293,70059,7,100,'Improves the base amount of spells by 1.46%.',0,3),
(31294,70059,9,100,'Increases STR and AGI of raid and group members (AE) by 93.6',0,0),
(31295,70059,9,100,'Adds 1.8% to base avoidance.',0,1),
(31296,70059,9,100,'Improves the base amount of taunts by 16%.',0,2),
(31297,70059,9,100,'Improves the base amount of spells by 1.52%.',0,3),
(31298,340056,1,100,'Interrupts target',0,0),
(31299,340056,1,100,'Inflicts 14 - 24 melee damage on target',0,1),
(31300,340056,1,100,'Must be flanking or behind',0,2),
(31301,340056,2,100,'Interrupts target',0,0),
(31302,340056,2,100,'Inflicts 15 - 25 melee damage on target',0,1),
(31303,340056,2,100,'Must be flanking or behind',0,2),
(31304,340056,3,100,'Interrupts target',0,0),
(31305,340056,3,100,'Inflicts 16 - 26 melee damage on target',0,1),
(31306,340056,3,100,'Must be flanking or behind',0,2),
(31307,340056,4,100,'Interrupts target',0,0),
(31308,340056,4,100,'Inflicts 17 - 29 melee damage on target',0,1),
(31309,340056,4,100,'Must be flanking or behind',0,2),
(31310,340056,5,100,'Interrupts target',0,0),
(31311,340056,5,100,'Inflicts 19 - 32 melee damage on target',0,1),
(31312,340056,5,100,'Must be flanking or behind',0,2),
(31313,340056,7,100,'Interrupts target',0,0),
(31314,340056,7,100,'Inflicts 24 - 41 melee damage on target',0,1),
(31315,340056,7,100,'Must be flanking or behind',0,2),
(31316,340056,9,100,'Interrupts target',0,0),
(31317,340056,9,100,'Inflicts 25 - 43 melee damage on target',0,1),
(31318,340056,9,100,'Must be flanking or behind',0,2),
(31319,340057,1,100,'Interrupts target',0,0),
(31320,340057,1,100,'Inflicts 52 - 87 melee damage on target',0,1),
(31321,340057,1,100,'Must be flanking or behind',0,2),
(31322,340057,2,100,'Interrupts target',0,0),
(31323,340057,2,100,'Inflicts 55 - 92 melee damage on target',0,1),
(31324,340057,2,100,'Must be flanking or behind',0,2),
(31325,340057,3,100,'Interrupts target',0,0),
(31326,340057,3,100,'Inflicts 58 - 97 melee damage on target',0,1),
(31327,340057,3,100,'Must be flanking or behind',0,2),
(31328,340057,4,100,'Interrupts target',0,0),
(31329,340057,4,100,'Inflicts 64 - 106 melee damage on target',0,1),
(31330,340057,4,100,'Must be flanking or behind',0,2),
(31331,340057,5,100,'Interrupts target',0,0),
(31332,340057,5,100,'Inflicts 69 - 116 melee damage on target',0,1),
(31333,340057,5,100,'Must be flanking or behind',0,2),
(31334,340057,7,100,'Interrupts target',0,0),
(31335,340057,7,100,'Inflicts 89 - 149 melee damage on target',0,1),
(31336,340057,7,100,'Must be flanking or behind',0,2),
(31337,340057,9,100,'Interrupts target',0,0),
(31338,340057,9,100,'Inflicts 93 - 155 melee damage on target',0,1),
(31339,340057,9,100,'Must be flanking or behind',0,2),
(31340,340058,1,100,'Interrupts target',0,0),
(31341,340058,1,100,'Inflicts 97 - 162 melee damage on target',0,1),
(31342,340058,1,100,'Must be flanking or behind',0,2),
(31343,340058,2,100,'Interrupts target',0,0),
(31344,340058,2,100,'Inflicts 102 - 171 melee damage on target',0,1),
(31345,340058,2,100,'Must be flanking or behind',0,2),
(31346,340058,3,100,'Interrupts target',0,0),
(31347,340058,3,100,'Inflicts 108 - 180 melee damage on target',0,1),
(31348,340058,3,100,'Must be flanking or behind',0,2),
(31349,340058,4,100,'Interrupts target',0,0),
(31350,340058,4,100,'Inflicts 118 - 198 melee damage on target',0,1),
(31351,340058,4,100,'Must be flanking or behind',0,2),
(31352,340058,5,100,'Interrupts target',0,0),
(31353,340058,5,100,'Inflicts 129 - 216 melee damage on target',0,1),
(31354,340058,5,100,'Must be flanking or behind',0,2),
(31355,340058,7,100,'Interrupts target',0,0),
(31356,340058,7,100,'Inflicts 166 - 277 melee damage on target',0,1),
(31357,340058,7,100,'Must be flanking or behind',0,2),
(31358,340058,9,100,'Interrupts target',0,0),
(31359,340058,9,100,'Inflicts 173 - 288 melee damage on target',0,1),
(31360,340058,9,100,'Must be flanking or behind',0,2),
(31361,340058,10,100,'Interrupts target',0,0),
(31362,340058,10,100,'Inflicts 181 - 302 melee damage on target',0,1),
(31363,340058,10,100,'Must be flanking or behind',0,2),
(31364,340059,1,100,'Interrupts target',0,0),
(31365,340059,1,100,'Inflicts 148 - 247 melee damage on target',0,1),
(31366,340059,1,100,'Must be flanking or behind',0,2),
(31367,340059,2,100,'Interrupts target',0,0),
(31368,340059,2,100,'Inflicts 156 - 261 melee damage on target',0,1),
(31369,340059,2,100,'Must be flanking or behind',0,2),
(31370,340059,3,100,'Interrupts target',0,0),
(31371,340059,3,100,'Inflicts 164 - 274 melee damage on target',0,1),
(31372,340059,3,100,'Must be flanking or behind',0,2),
(31373,340059,4,100,'Interrupts target',0,0),
(31374,340059,4,100,'Inflicts 181 - 302 melee damage on target',0,1),
(31375,340059,4,100,'Must be flanking or behind',0,2),
(31376,340059,5,100,'Interrupts target',0,0),
(31377,340059,5,100,'Inflicts 197 - 329 melee damage on target',0,1),
(31378,340059,5,100,'Must be flanking or behind',0,2),
(31379,340059,7,100,'Interrupts target',0,0),
(31380,340059,7,100,'Inflicts 253 - 423 melee damage on target',0,1),
(31381,340059,7,100,'Must be flanking or behind',0,2),
(31382,340059,9,100,'Interrupts target',0,0),
(31383,340059,9,100,'Inflicts 263 - 439 melee damage on target',0,1),
(31384,340059,9,100,'Must be flanking or behind',0,2),
(31385,340060,1,100,'Interrupts target',0,0),
(31386,340060,1,100,'Inflicts 205 - 342 melee damage on target',0,1),
(31387,340060,1,100,'Must be flanking or behind',0,2),
(31388,340060,2,100,'Interrupts target',0,0),
(31389,340060,2,100,'Inflicts 216 - 361 melee damage on target',0,1),
(31390,340060,2,100,'Must be flanking or behind',0,2),
(31391,340060,3,100,'Interrupts target',0,0),
(31392,340060,3,100,'Inflicts 228 - 380 melee damage on target',0,1),
(31393,340060,3,100,'Must be flanking or behind',0,2),
(31394,340060,4,100,'Interrupts target',0,0),
(31395,340060,4,100,'Inflicts 250 - 418 melee damage on target',0,1),
(31396,340060,4,100,'Must be flanking or behind',0,2),
(31397,340060,5,100,'Interrupts target',0,0),
(31398,340060,5,100,'Inflicts 273 - 456 melee damage on target',0,1),
(31399,340060,5,100,'Must be flanking or behind',0,2),
(31400,340060,7,100,'Interrupts target',0,0),
(31401,340060,7,100,'Inflicts 351 - 585 melee damage on target',0,1),
(31402,340060,7,100,'Must be flanking or behind',0,2),
(31403,340060,9,100,'Interrupts target',0,0),
(31404,340060,9,100,'Inflicts 364 - 608 melee damage on target',0,1),
(31405,340060,9,100,'Must be flanking or behind',0,2),
(31406,340060,10,100,'Interrupts target',0,0),
(31407,340060,10,100,'Inflicts 383 - 638 melee damage on target',0,1),
(31408,340060,10,100,'Must be flanking or behind',0,2),
(31409,340061,1,100,'Interrupts target',0,0),
(31410,340061,1,100,'Inflicts 262 - 437 melee damage on target',0,1),
(31411,340061,1,100,'Must be flanking or behind',0,2),
(31412,340061,2,100,'Interrupts target',0,0),
(31413,340061,2,100,'Inflicts 276 - 461 melee damage on target',0,1),
(31414,340061,2,100,'Must be flanking or behind',0,2),
(31415,340061,3,100,'Interrupts target',0,0),
(31416,340061,3,100,'Inflicts 291 - 485 melee damage on target',0,1),
(31417,340061,3,100,'Must be flanking or behind',0,2),
(31418,340061,4,100,'Interrupts target',0,0),
(31419,340061,4,100,'Inflicts 320 - 534 melee damage on target',0,1),
(31420,340061,4,100,'Must be flanking or behind',0,2),
(31421,340061,5,100,'Interrupts target',0,0),
(31422,340061,5,100,'Inflicts 349 - 582 melee damage on target',0,1),
(31423,340061,5,100,'Must be flanking or behind',0,2),
(31424,340061,7,100,'Interrupts target',0,0),
(31425,340061,7,100,'Inflicts 448 - 747 melee damage on target',0,1),
(31426,340061,7,100,'Must be flanking or behind',0,2),
(31427,340061,9,100,'Interrupts target',0,0),
(31428,340061,9,100,'Inflicts 466 - 777 melee damage on target',0,1),
(31429,340061,9,100,'Must be flanking or behind',0,2),
(31430,340061,10,100,'Interrupts target',0,0),
(31431,340061,10,100,'Inflicts 489 - 815 melee damage on target',0,1),
(31432,340061,10,100,'Must be flanking or behind',0,2),
(31433,340062,1,100,'Interrupts target',0,0),
(31434,340062,1,100,'Inflicts 316 - 528 melee damage on target',0,1),
(31435,340062,1,100,'Must be flanking or behind',0,2),
(31436,340062,4,100,'Interrupts target',0,0),
(31437,340062,4,100,'Inflicts 387 - 645 melee damage on target',0,1),
(31438,340062,4,100,'Must be flanking or behind',0,2),
(31439,340062,5,100,'Interrupts target',0,0),
(31440,340062,5,100,'Inflicts 422 - 704 melee damage on target',0,1),
(31441,340062,5,100,'Must be flanking or behind',0,2),
(31442,340062,7,100,'Interrupts target',0,0),
(31443,340062,7,100,'Inflicts 542 - 903 melee damage on target',0,1),
(31444,340062,7,100,'Must be flanking or behind',0,2),
(31445,340062,9,100,'Interrupts target',0,0),
(31446,340062,9,100,'Inflicts 563 - 938 melee damage on target',0,1),
(31447,340062,9,100,'Must be flanking or behind',0,2),
(31448,340063,1,100,'Interrupts target',0,0),
(31449,340063,1,100,'Inflicts 361 - 602 melee damage on target',0,1),
(31450,340063,1,100,'Must be flanking or behind',0,2),
(31451,340063,4,100,'Interrupts target',0,0),
(31452,340063,4,100,'Inflicts 441 - 735 melee damage on target',0,1),
(31453,340063,4,100,'Must be flanking or behind',0,2),
(31454,340063,5,100,'Interrupts target',0,0),
(31455,340063,5,100,'Inflicts 481 - 802 melee damage on target',0,1),
(31456,340063,5,100,'Must be flanking or behind',0,2),
(31457,340063,7,100,'Interrupts target',0,0),
(31458,340063,7,100,'Inflicts 618 - 1030 melee damage on target',0,1),
(31459,340063,7,100,'Must be flanking or behind',0,2),
(31460,340063,9,100,'Interrupts target',0,0),
(31461,340063,9,100,'Inflicts 642 - 1070 melee damage on target',0,1),
(31462,340063,9,100,'Must be flanking or behind',0,2),
(31463,2000036,1,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(31464,2000036,1,100,'Grants stealth to caster',1,1),
(31465,2000036,1,100,'Suspends caster''s movement speed enhancements',1,2),
(31466,2000036,1,100,'Inflicts 280 - 467 melee damage on target',0,3),
(31467,2000036,1,100,'Steals an item from target with 30% success.',0,4),
(31468,2000036,1,100,'If target is humanoid',1,5),
(31469,2000036,1,100,'Must be flanking or behind',0,6),
(31470,2000036,2,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(31471,2000036,2,100,'Grants stealth to caster',1,1),
(31472,2000036,2,100,'Suspends caster''s movement speed enhancements',1,2),
(31473,2000036,2,100,'Inflicts 296 - 493 melee damage on target',0,3),
(31474,2000036,2,100,'Steals an item from target with 40% success.',0,4),
(31475,2000036,2,100,'If target is humanoid',1,5),
(31476,2000036,2,100,'Must be flanking or behind',0,6),
(31477,2000036,3,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(31478,2000036,3,100,'Grants stealth to caster',1,1),
(31479,2000036,3,100,'Suspends caster''s movement speed enhancements',1,2),
(31480,2000036,3,100,'Inflicts 415 - 692 melee damage on target',0,3),
(31481,2000036,3,100,'Steals an item from target with 50% success.',0,4),
(31482,2000036,3,100,'If target is humanoid',1,5),
(31483,2000036,3,100,'Must be flanking or behind',0,6),
(31484,2000036,4,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(31485,2000036,4,100,'Grants stealth to caster',1,1),
(31486,2000036,4,100,'Suspends caster''s movement speed enhancements',1,2),
(31487,2000036,4,100,'Inflicts 457 - 761 melee damage on target',0,3),
(31488,2000036,4,100,'Steals an item from target with 60% success.',0,4),
(31489,2000036,4,100,'If target is humanoid',1,5),
(31490,2000036,4,100,'Must be flanking or behind',0,6),
(31491,2000036,5,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(31492,2000036,5,100,'Grants stealth to caster',1,1),
(31493,2000036,5,100,'Suspends caster''s movement speed enhancements',1,2),
(31494,2000036,5,100,'Inflicts 498 - 831 melee damage on target',0,3),
(31495,2000036,5,100,'Steals an item from target with 70% success.',0,4),
(31496,2000036,5,100,'If target is humanoid',1,5),
(31497,2000036,5,100,'Must be flanking or behind',0,6),
(31498,2000036,6,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(31499,2000036,6,100,'Grants stealth to caster',1,1),
(31500,2000036,6,100,'Suspends caster''s movement speed enhancements',1,2),
(31501,2000036,6,100,'Inflicts 405 - 675 melee damage on target',0,3),
(31502,2000036,6,100,'Steals an item from target with 80% success.',0,4),
(31503,2000036,6,100,'If target is humanoid',1,5),
(31504,2000036,6,100,'Must be flanking or behind',0,6),
(31505,2000036,7,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(31506,2000036,7,100,'Grants stealth to caster',1,1),
(31507,2000036,7,100,'Suspends caster''s movement speed enhancements',1,2),
(31508,2000036,7,100,'Inflicts 480 - 800 melee damage on target',0,3),
(31509,2000036,7,100,'Steals an item from target with 90% success.',0,4),
(31510,2000036,7,100,'If target is humanoid',1,5),
(31511,2000036,7,100,'Must be flanking or behind',0,6),
(31512,2000036,8,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(31513,2000036,8,100,'Grants stealth to caster',1,1),
(31514,2000036,8,100,'Suspends caster''s movement speed enhancements',1,2),
(31515,2000036,8,100,'Inflicts 644 - 1073 melee damage on target',0,3),
(31516,2000036,8,100,'Steals an item from target with 100% success.',0,4),
(31517,2000036,8,100,'If target is humanoid',1,5),
(31518,2000036,8,100,'Must be flanking or behind',0,6),
(31519,2000036,9,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(31520,2000036,9,100,'Grants stealth to caster',1,1),
(31521,2000036,9,100,'Suspends caster''s movement speed enhancements',1,2),
(31522,2000036,9,100,'Inflicts 664 - 1108 melee damage on target',0,3),
(31523,2000036,9,100,'Steals an item from target with 100% success.',0,4),
(31524,2000036,9,100,'If target is humanoid',1,5),
(31525,2000036,9,100,'Must be flanking or behind',0,6),
(31526,2000036,10,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(31527,2000036,10,100,'Grants stealth to caster',1,1),
(31528,2000036,10,100,'Suspends caster''s movement speed enhancements',1,2),
(31529,2000036,10,100,'Inflicts 523 - 872 melee damage on target',0,3),
(31530,2000036,10,100,'Steals an item from target with 100% success.',0,4),
(31531,2000036,10,100,'If target is humanoid',1,5),
(31532,2000036,10,100,'Must be flanking or behind',0,6),
(31533,420006,3,100,'Teleports target to caster',0,0),
(31535,30040,1,100,'Increases Defense of raid and group members (AE) by 4.9',0,0),
(31537,30040,2,100,'Increases Defense of raid and group members (AE) by 5.1',0,0),
(31539,30040,3,100,'Increases Defense of raid and group members (AE) by 5.4',0,0),
(31541,30040,4,100,'Increases Defense of raid and group members (AE) by 5.9',0,0),
(31543,30040,5,100,'Increases Defense of raid and group members (AE) by 6.5',0,0),
(31545,30040,7,100,'Increases Defense of raid and group members (AE) by 8.3',0,0),
(31547,30040,9,100,'Increases Defense of raid and group members (AE) by 8.6',0,0),
(31548,30041,1,100,'Increases STA of raid and group members (AE) by 20.7',0,0),
(31549,30041,1,100,'Increases Defense of raid and group members (AE) by 7.7',0,1),
(31550,30041,2,100,'Increases STA of raid and group members (AE) by 21.9',0,0),
(31551,30041,2,100,'Increases Defense of raid and group members (AE) by 8.1',0,1),
(31552,30041,3,100,'Increases STA of raid and group members (AE) by 23.0',0,0),
(31553,30041,3,100,'Increases Defense of raid and group members (AE) by 8.6',0,1),
(31554,30041,4,100,'Increases STA of raid and group members (AE) by 25.4',0,0),
(31555,30041,4,100,'Increases Defense of raid and group members (AE) by 9.4',0,1),
(31556,30041,5,100,'Increases STA of raid and group members (AE) by 27.7',0,0),
(31557,30041,5,100,'Increases Defense of raid and group members (AE) by 10.3',0,1),
(31558,30041,7,100,'Increases STA of raid and group members (AE) by 35.5',0,0),
(31559,30041,7,100,'Increases Defense of raid and group members (AE) by 13.2',0,1),
(31560,30041,9,100,'Increases STA of raid and group members (AE) by 36.9',0,0),
(31561,30041,9,100,'Increases Defense of raid and group members (AE) by 13.7',0,1),
(31562,30042,1,100,'Increases STA of raid and group members (AE) by 30.7',0,0),
(31563,30042,1,100,'Increases Defense of raid and group members (AE) by 10.5',0,1),
(31564,30042,2,100,'Increases STA of raid and group members (AE) by 32.4',0,0),
(31565,30042,2,100,'Increases Defense of raid and group members (AE) by 11.1',0,1),
(31566,30042,3,100,'Increases STA of raid and group members (AE) by 34.1',0,0),
(31567,30042,3,100,'Increases Defense of raid and group members (AE) by 11.7',0,1),
(31568,30042,4,100,'Increases STA of raid and group members (AE) by 37.5',0,0),
(31569,30042,4,100,'Increases Defense of raid and group members (AE) by 12.9',0,1),
(31570,30042,5,100,'Increases STA of raid and group members (AE) by 40.9',0,0),
(31571,30042,5,100,'Increases Defense of raid and group members (AE) by 14.0',0,1),
(31572,30042,7,100,'Increases STA of raid and group members (AE) by 52.6',0,0),
(31573,30042,7,100,'Increases Defense of raid and group members (AE) by 18.0',0,1),
(31574,30042,9,100,'Increases STA of raid and group members (AE) by 54.6',0,0),
(31575,30042,9,100,'Increases Defense of raid and group members (AE) by 18.7',0,1),
(31576,30042,10,100,'Increases STA of raid and group members (AE) by 57.3',0,0),
(31577,30042,10,100,'Increases Defense of raid and group members (AE) by 19.7',0,1),
(31578,30043,1,100,'Increases STA of raid and group members (AE) by 39.2',0,0),
(31579,30043,1,100,'Increases Defense of raid and group members (AE) by 13.4',0,1),
(31580,30043,2,100,'Increases STA of raid and group members (AE) by 41.4',0,0),
(31581,30043,2,100,'Increases Defense of raid and group members (AE) by 14.1',0,1),
(31582,30043,3,100,'Increases STA of raid and group members (AE) by 43.6',0,0),
(31583,30043,3,100,'Increases Defense of raid and group members (AE) by 14.9',0,1),
(31584,30043,4,100,'Increases STA of raid and group members (AE) by 47.9',0,0),
(31585,30043,4,100,'Increases Defense of raid and group members (AE) by 16.3',0,1),
(31586,30043,5,100,'Increases STA of raid and group members (AE) by 52.3',0,0),
(31587,30043,5,100,'Increases Defense of raid and group members (AE) by 17.8',0,1),
(31588,30043,7,100,'Increases STA of raid and group members (AE) by 67.1',0,0),
(31589,30043,7,100,'Increases Defense of raid and group members (AE) by 22.9',0,1),
(31590,30043,9,100,'Increases STA of raid and group members (AE) by 69.7',0,0),
(31591,30043,9,100,'Increases Defense of raid and group members (AE) by 23.8',0,1),
(31592,30044,1,100,'Increases STA of raid and group members (AE) by 47.6',0,0),
(31593,30044,1,100,'Increases Defense of raid and group members (AE) by 16.1',0,1),
(31594,30044,2,100,'Increases STA of raid and group members (AE) by 50.3',0,0),
(31595,30044,2,100,'Increases Defense of raid and group members (AE) by 17.0',0,1),
(31596,30044,3,100,'Increases STA of raid and group members (AE) by 52.9',0,0),
(31597,30044,3,100,'Increases Defense of raid and group members (AE) by 17.9',0,1),
(31598,30044,4,100,'Increases STA of raid and group members (AE) by 58.2',0,0),
(31599,30044,4,100,'Increases Defense of raid and group members (AE) by 19.6',0,1),
(31600,30044,5,100,'Increases STA of raid and group members (AE) by 63.5',0,0),
(31601,30044,5,100,'Increases Defense of raid and group members (AE) by 21.4',0,1),
(31602,30044,7,100,'Increases STA of raid and group members (AE) by 81.5',0,0),
(31603,30044,7,100,'Increases Defense of raid and group members (AE) by 27.5',0,1),
(31604,30044,9,100,'Increases STA of raid and group members (AE) by 84.7',0,0),
(31605,30044,9,100,'Increases Defense of raid and group members (AE) by 28.6',0,1),
(31606,30045,1,100,'Increases STA of raid and group members (AE) by 56.2',0,0),
(31607,30045,1,100,'Increases Defense of raid and group members (AE) by 19.2',0,1),
(31608,30045,4,100,'Increases STA of raid and group members (AE) by 68.7',0,0),
(31609,30045,4,100,'Increases Defense of raid and group members (AE) by 23.5',0,1),
(31610,30045,5,100,'Increases STA of raid and group members (AE) by 74.9',0,0),
(31611,30045,5,100,'Increases Defense of raid and group members (AE) by 25.7',0,1),
(31612,30045,7,100,'Increases STA of raid and group members (AE) by 96.1',0,0),
(31613,30045,7,100,'Increases Defense of raid and group members (AE) by 32.9',0,1),
(31614,30045,9,100,'Increases STA of raid and group members (AE) by 99.9',0,0),
(31615,30045,9,100,'Increases Defense of raid and group members (AE) by 34.2',0,1),
(31616,30046,1,100,'Increases STA of raid and group members (AE) by 64.7',0,0),
(31617,30046,1,100,'Increases Defense of raid and group members (AE) by 22.6',0,1),
(31618,30046,4,100,'Increases STA of raid and group members (AE) by 79.1',0,0),
(31619,30046,4,100,'Increases Defense of raid and group members (AE) by 27.6',0,1),
(31620,30046,5,100,'Increases STA of raid and group members (AE) by 86.3',0,0),
(31621,30046,5,100,'Increases Defense of raid and group members (AE) by 30.2',0,1),
(31622,30046,7,100,'Increases STA of raid and group members (AE) by 110.7',0,0),
(31623,30046,7,100,'Increases Defense of raid and group members (AE) by 38.7',0,1),
(31624,30046,9,100,'Increases STA of raid and group members (AE) by 115.1',0,0),
(31625,30046,9,100,'Increases Defense of raid and group members (AE) by 40.2',0,1),
(31626,10000,1,100,'Increases Crushing, Piercing and Slashing of group members (AE) by 1.9',0,0),
(31627,30047,1,100,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 1.9',0,0),
(31628,30047,2,100,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 2.0',0,0),
(31629,10000,2,100,'Increases Crushing, Piercing and Slashing of group members (AE) by 2.0',0,0),
(31630,10000,3,100,'Increases Crushing, Piercing and Slashing of group members (AE) by 2.1',0,0),
(31631,30047,3,100,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 2.1',0,0),
(31632,10000,4,100,'Increases Crushing, Piercing and Slashing of group members (AE) by 2.3',0,0),
(31633,30047,4,100,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 2.3',0,0),
(31634,10000,5,100,'Increases Crushing, Piercing and Slashing of group members (AE) by 2.5',0,0),
(31635,30047,5,100,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 2.5',0,0),
(31636,10000,7,100,'Increases Crushing, Piercing and Slashing of group members (AE) by 3.2',0,0),
(31637,30047,7,100,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 3.2',0,0),
(31638,30047,9,100,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 3.4',0,0),
(31639,10000,9,100,'Increases Crushing, Piercing and Slashing of group members (AE) by 3.4',0,0),
(31640,30048,1,100,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 4.7',0,0),
(31641,30048,2,100,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 4.9',0,0),
(31642,30048,3,100,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 5.2',0,0),
(31643,30048,4,100,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 5.7',0,0),
(31644,30048,5,100,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 6.2',0,0),
(31645,30048,7,100,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 8.0',0,0),
(31646,30048,9,100,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 8.3',0,0),
(31647,30048,10,100,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 8.7',0,0),
(31648,30049,1,100,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 7.5',0,0),
(31649,30049,2,100,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 7.9',0,0),
(31650,30049,3,100,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 8.3',0,0),
(31651,30049,4,100,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 9.2',0,0),
(31652,30049,5,100,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 10.0',0,0),
(31653,30049,7,100,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 12.8',0,0),
(31654,30049,9,100,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 13.3',0,0),
(31655,30050,1,100,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 10.3',0,0),
(31656,30050,2,100,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 10.9',0,0),
(31657,30050,3,100,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 11.5',0,0),
(31658,30050,4,100,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 12.6',0,0),
(31659,30050,5,100,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 13.8',0,0),
(31660,30050,7,100,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 17.7',0,0),
(31661,30050,9,100,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 18.4',0,0),
(31662,30051,1,100,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 13.2',0,0),
(31663,30051,2,100,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 13.9',0,0),
(31664,30051,3,100,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 14.6',0,0),
(31665,30051,4,100,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 16.1',0,0),
(31666,30051,5,100,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 17.6',0,0),
(31667,30051,7,100,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 22.5',0,0),
(31668,30051,9,100,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 23.4',0,0),
(31669,30052,1,100,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 15.8',0,0),
(31670,30052,2,100,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 16.7',0,0),
(31671,30052,3,100,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 17.5',0,0),
(31672,30052,4,100,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 19.3',0,0),
(31673,30052,5,100,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 21.1',0,0),
(31674,30052,7,100,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 27.0',0,0),
(31675,30052,9,100,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 28.1',0,0),
(31676,30053,1,100,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 18.9',0,0),
(31677,30053,4,100,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 23.1',0,0),
(31678,30053,5,100,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 25.2',0,0),
(31679,30053,7,100,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 32.3',0,0),
(31680,30053,9,100,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 33.6',0,0),
(31681,30054,1,100,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 22.3',0,0),
(31682,30054,4,100,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 27.2',0,0),
(31683,30054,5,100,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 29.7',0,0),
(31684,30054,7,100,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 38.1',0,0),
(31685,30054,9,100,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 39.6',0,0),
(31686,420007,1,100,'Increases savagery of caster by 20.0',0,0),
(31687,420007,1,100,'This effect cannot be critically applied.',1,1),
(31688,420007,1,100,'Caster has a 10.0% chance of having one of their weapons'' auto-attack strike the target multiple times.',0,2),
(31689,60018,1,100,'Increases Ability Casting Speed of raid and group members (AE) by 2.4%',0,0),
(31690,60018,1,100,'Increases Haste of raid and group members (AE) by 6.0',0,1),
(31691,60018,2,100,'Increases Ability Casting Speed of raid and group members (AE) by 2.5%',0,0),
(31692,60018,2,100,'Increases Haste of raid and group members (AE) by 6.3',0,1),
(31693,60018,3,100,'Increases Ability Casting Speed of raid and group members (AE) by 2.7%',0,0),
(31694,60018,3,100,'Increases Haste of raid and group members (AE) by 6.6',0,1),
(31695,60018,4,100,'Increases Ability Casting Speed of raid and group members (AE) by 2.9%',0,0),
(31696,60018,4,100,'Increases Haste of raid and group members (AE) by 7.3',0,1),
(31697,60018,5,100,'Increases Ability Casting Speed of raid and group members (AE) by 3.2%',0,0),
(31698,60018,5,100,'Increases Haste of raid and group members (AE) by 8.0',0,1),
(31699,60018,7,100,'Increases Ability Casting Speed of raid and group members (AE) by 4.1%',0,0),
(31700,60018,7,100,'Increases Attack Speed of raid and group members (AE) by 10.2',0,1),
(31701,60018,9,100,'Increases Ability Casting Speed of raid and group members (AE) by 4.2%',0,0),
(31702,60018,9,100,'Increases Haste of raid and group members (AE) by 10.6',0,1),
(31719,60020,1,100,'Increases Ability Casting Speed of raid and group members (AE) by 3.6%',0,0),
(31720,60020,1,100,'Increases Haste of raid and group members (AE) by 9.1',0,1),
(31721,60020,2,100,'Increases Ability Casting Speed of raid and group members (AE) by 3.8%',0,0),
(31722,60020,2,100,'Increases Haste of raid and group members (AE) by 9.6',0,1),
(31723,60020,3,100,'Increases Ability Casting Speed of raid and group members (AE) by 4.0%',0,0),
(31724,60020,3,100,'Increases Haste of raid and group members (AE) by 10.1',0,1),
(31725,60020,4,100,'Increases Ability Casting Speed of raid and group members (AE) by 4.5%',0,0),
(31726,60020,4,100,'Increases Haste of raid and group members (AE) by 11.1',0,1),
(31727,60020,5,100,'Increases Ability Casting Speed of raid and group members (AE) by 4.9%',0,0),
(31728,60020,5,100,'Increases Haste of raid and group members (AE) by 12.1',0,1),
(31729,60020,7,100,'Increases Ability Casting Speed of raid and group members (AE) by 6.2%',0,0),
(31730,60020,7,100,'Increases Haste of raid and group members (AE) by 15.6',0,1),
(31731,60020,9,100,'Increases Ability Casting Speed of raid and group members (AE) by 6.5%',0,0),
(31732,60020,9,100,'Increases Haste of raid and group members (AE) by 16.2',0,1),
(31733,60021,1,100,'Increases Ability Casting Speed of raid and group members (AE) by 4.3%',0,0),
(31734,60021,1,100,'Increases Haste of raid and group members (AE) by 10.7',0,1),
(31735,60021,2,100,'Increases Ability Casting Speed of raid and group members (AE) by 4.5%',0,0),
(31736,60021,2,100,'Increases Haste of raid and group members (AE) by 11.3',0,1),
(31737,60021,3,100,'Increases Ability Casting Speed of raid and group members (AE) by 4.7%',0,0),
(31738,60021,3,100,'Increases Haste of raid and group members (AE) by 11.9',0,1),
(31739,60021,4,100,'Increases Ability Casting Speed of raid and group members (AE) by 5.2%',0,0),
(31740,60021,4,100,'Increases Haste of raid and group members (AE) by 13.0',0,1),
(31741,60021,5,100,'Increases Ability Casting Speed of raid and group members (AE) by 5.7%',0,0),
(31742,60021,5,100,'Increases Haste of raid and group members (AE) by 14.2',0,1),
(31743,60021,7,100,'Increases Ability Casting Speed of raid and group members (AE) by 7.3%',0,0),
(31744,60021,7,100,'Increases Haste of raid and group members (AE) by 18.3',0,1),
(31745,60021,9,100,'Increases Ability Casting Speed of raid and group members (AE) by 7.6%',0,0),
(31746,60021,9,100,'Increases Haste of raid and group members (AE) by 19.0',0,1),
(31747,60021,10,100,'Increases Ability Casting Speed of raid and group members (AE) by 8.0%',0,0),
(31748,60021,10,100,'Increases Haste of raid and group members (AE) by 19.9',0,1),
(31749,60022,1,100,'Increases Ability Casting Speed of raid and group members (AE) by 4.9%',0,0),
(31750,60022,1,100,'Increases Haste of raid and group members (AE) by 12.2',0,1),
(31751,60022,2,100,'Increases Ability Casting Speed of raid and group members (AE) by 5.2%',0,0),
(31752,60022,2,100,'Increases Haste of raid and group members (AE) by 12.9',0,1),
(31753,60022,3,100,'Increases Ability Casting Speed of raid and group members (AE) by 5.4%',0,0),
(31754,60022,3,100,'Increases Haste of raid and group members (AE) by 13.6',0,1),
(31755,60022,4,100,'Increases Ability Casting Speed of raid and group members (AE) by 6.0%',0,0),
(31756,60022,4,100,'Increases Haste of raid and group members (AE) by 14.9',0,1),
(31757,60022,5,100,'Increases Ability Casting Speed of raid and group members (AE) by 6.5%',0,0),
(31758,60022,5,100,'Increases Attack Speed of raid and group members (AE) by 16.3',0,1),
(31759,60022,7,100,'Increases Ability Casting Speed of raid and group members (AE) by 8.4%',0,0),
(31760,60022,7,100,'Increases Haste of raid and group members (AE) by 20.9',0,1),
(31761,60022,9,100,'Increases Ability Casting Speed of raid and group members (AE) by 8.7%',0,0),
(31762,60022,9,100,'Increases Attack Speed of raid and group members (AE) by 21.7',0,1),
(31763,60023,1,100,'Increases Ability Casting Speed of raid and group members (AE) by 5.4%',0,0),
(31764,60023,1,100,'Increases Haste of raid and group members (AE) by 13.4',0,1),
(31765,60023,2,100,'Increases Ability Casting Speed of raid and group members (AE) by 5.7%',0,0),
(31766,60023,2,100,'Increases Haste of raid and group members (AE) by 14.2',0,1),
(31767,60023,3,100,'Increases Ability Casting Speed of raid and group members (AE) by 6.0%',0,0),
(31768,60023,3,100,'Increases Haste of raid and group members (AE) by 14.9',0,1),
(31769,60023,4,100,'Increases Ability Casting Speed of raid and group members (AE) by 6.6%',0,0),
(31770,60023,4,100,'Increases Haste of raid and group members (AE) by 16.4',0,1),
(31771,60023,5,100,'Increases Ability Casting Speed of raid and group members (AE) by 7.2%',0,0),
(31772,60023,5,100,'Increases Haste of raid and group members (AE) by 17.9',0,1),
(31773,60023,7,100,'Increases Ability Casting Speed of raid and group members (AE) by 9.2%',0,0),
(31774,60023,7,100,'Increases Haste of raid and group members (AE) by 22.9',0,1),
(31775,60023,9,100,'Increases Ability Casting Speed of raid and group members (AE) by 9.5%',0,0),
(31776,60023,9,100,'Increases Haste of raid and group members (AE) by 23.8',0,1),
(31777,60024,1,100,'Increases Ability Casting Speed of raid and group members (AE) by 6.0%',0,0),
(31778,60024,1,100,'Increases Haste of raid and group members (AE) by 15.1',0,1),
(31779,60024,4,100,'Increases Ability Casting Speed of raid and group members (AE) by 7.4%',0,0),
(31780,60024,4,100,'Increases Attack Speed of raid and group members (AE) by 18.4',0,1),
(31781,60024,5,100,'Increases Ability Casting Speed of raid and group members (AE) by 8.0%',0,0),
(31782,60024,5,100,'Increases Haste of raid and group members (AE) by 20.1',0,1),
(31783,60024,7,100,'Increases Ability Casting Speed of raid and group members (AE) by 10.3%',0,0),
(31784,60024,7,100,'Increases Haste of raid and group members (AE) by 25.8',0,1),
(31785,60024,9,100,'Increases Ability Casting Speed of raid and group members (AE) by 10.7%',0,0),
(31786,60024,9,100,'Increases Haste of raid and group members (AE) by 26.8',0,1),
(31787,60025,1,100,'Increases Ability Casting Speed of raid and group members (AE) by 6.6%',0,0),
(31788,60025,1,100,'Increases Haste of raid and group members (AE) by 16.5',0,1),
(31789,60025,4,100,'Increases Ability Casting Speed of raid and group members (AE) by 8.1%',0,0),
(31790,60025,4,100,'Increases Haste of raid and group members (AE) by 20.1',0,1),
(31791,60025,5,100,'Increases Ability Casting Speed of raid and group members (AE) by 8.8%',0,0),
(31792,60025,5,100,'Increases Haste of raid and group members (AE) by 22.0',0,1),
(31793,60025,7,100,'Increases Ability Casting Speed of raid and group members (AE) by 11.3%',0,0),
(31794,60025,7,100,'Increases Haste of raid and group members (AE) by 28.2',0,1),
(31795,60025,9,100,'Increases Ability Casting Speed of raid and group members (AE) by 11.7%',0,0),
(31796,60025,9,100,'Increases Haste of raid and group members (AE) by 29.3',0,1),
(31797,400019,1,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(31798,400019,1,100,'Slows target by 28.3%',1,1),
(31799,400019,1,100,'5% chance to dispel when target receives hostile action',1,2),
(31800,400019,1,100,'5% chance to dispel when target takes damage',1,3),
(31801,400019,1,100,'Decreases Mitigation of target vs noxious damage by 197',0,4),
(31802,400019,2,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(31803,400019,2,100,'Slows target by 29.8%',1,1),
(31804,400019,2,100,'5% chance to dispel when target receives hostile action',1,2),
(31805,400019,2,100,'5% chance to dispel when target takes damage',1,3),
(31806,400019,2,100,'Decreases Mitigation of target vs noxious damage by 207',0,4),
(31807,400019,3,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(31808,400019,3,100,'Slows target by 31.4%',1,1),
(31809,400019,3,100,'5% chance to dispel when target receives hostile action',1,2),
(31810,400019,3,100,'5% chance to dispel when target takes damage',1,3),
(31811,400019,3,100,'Decreases Mitigation of target vs noxious damage by 218',0,4),
(31812,400019,4,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(31813,400019,4,100,'Slows target by 34.5%',1,1),
(31814,400019,4,100,'5% chance to dispel when target receives hostile action',1,2),
(31815,400019,4,100,'5% chance to dispel when target takes damage',1,3),
(31816,400019,4,100,'Decreases Mitigation of target vs noxious damage by 240',0,4),
(31817,400019,5,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(31818,400019,5,100,'Slows target by 37.7%',1,1),
(31819,400019,5,100,'5% chance to dispel when target receives hostile action',1,2),
(31820,400019,5,100,'5% chance to dispel when target takes damage',1,3),
(31821,400019,5,100,'Decreases Mitigation of target vs noxious damage by 262',0,4),
(31822,400019,7,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(31823,400019,7,100,'Slows target by 48.4%',1,1),
(31824,400019,7,100,'5% chance to dispel when target receives hostile action',1,2),
(31825,400019,7,100,'5% chance to dispel when target takes damage',1,3),
(31826,400019,7,100,'Decreases Mitigation of target vs noxious damage by 336',0,4),
(31827,400019,9,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(31828,400019,9,100,'Slows target by 50.2%',1,1),
(31829,400019,9,100,'5% chance to dispel when target receives hostile action',1,2),
(31830,400019,9,100,'5% chance to dispel when target takes damage',1,3),
(31831,400019,9,100,'Decreases Mitigation of target vs noxious damage by 349',0,4),
(31832,400020,1,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(31833,400020,1,100,'Slows target by 31.1%',1,1),
(31834,400020,1,100,'5% chance to dispel when target receives hostile action',1,2),
(31835,400020,1,100,'5% chance to dispel when target takes damage',1,3),
(31836,400020,1,100,'Decreases Mitigation of target vs noxious damage by 414',0,4),
(31837,400020,2,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(31838,400020,2,100,'Slows target by 32.9%',1,1),
(31839,400020,2,100,'5% chance to dispel when target receives hostile action',1,2),
(31840,400020,2,100,'5% chance to dispel when target takes damage',1,3),
(31841,400020,2,100,'Decreases Mitigation of target vs noxious damage by 437',0,4),
(31842,400020,3,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(31843,400020,3,100,'Slows target by 34.6%',1,1),
(31844,400020,3,100,'5% chance to dispel when target receives hostile action',1,2),
(31845,400020,3,100,'5% chance to dispel when target takes damage',1,3),
(31846,400020,3,100,'Decreases Mitigation of target vs noxious damage by 460',0,4),
(31847,400020,4,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(31848,400020,4,100,'Slows target by 38.1%',1,1),
(31849,400020,4,100,'5% chance to dispel when target receives hostile action',1,2),
(31850,400020,4,100,'5% chance to dispel when target takes damage',1,3),
(31851,400020,4,100,'Decreases Mitigation of target vs noxious damage by 506',0,4),
(31852,400020,5,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(31853,400020,5,100,'Slows target by 41.5%',1,1),
(31854,400020,5,100,'5% chance to dispel when target receives hostile action',1,2),
(31855,400020,5,100,'5% chance to dispel when target takes damage',1,3),
(31856,400020,5,100,'Decreases Mitigation of target vs noxious damage by 552',0,4),
(31857,400020,7,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(31858,400020,7,100,'Slows target by 53.3%',1,1),
(31859,400020,7,100,'5% chance to dispel when target receives hostile action',1,2),
(31860,400020,7,100,'5% chance to dispel when target takes damage',1,3),
(31861,400020,7,100,'Decreases Mitigation of target vs noxious damage by 708',0,4),
(31862,400020,9,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(31863,400020,9,100,'Slows target by 55.4%',1,1),
(31864,400020,9,100,'5% chance to dispel when target receives hostile action',1,2),
(31865,400020,9,100,'5% chance to dispel when target takes damage',1,3),
(31866,400020,9,100,'Decreases Mitigation of target vs noxious damage by 736',0,4),
(31867,400021,1,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(31868,400021,1,100,'Slows target by 33.7%',1,1),
(31869,400021,1,100,'5% chance to dispel when target receives hostile action',1,2),
(31870,400021,1,100,'5% chance to dispel when target takes damage',1,3),
(31871,400021,1,100,'Decreases Mitigation of target vs noxious damage by 666',0,4),
(31872,400021,2,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(31873,400021,2,100,'Slows target by 35.5%',1,1),
(31874,400021,2,100,'5% chance to dispel when target receives hostile action',1,2),
(31875,400021,2,100,'5% chance to dispel when target takes damage',1,3),
(31876,400021,2,100,'Decreases Mitigation of target vs noxious damage by 703',0,4),
(31877,400021,3,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(31878,400021,3,100,'Slows target by 37.4%',1,1),
(31879,400021,3,100,'5% chance to dispel when target receives hostile action',1,2),
(31880,400021,3,100,'5% chance to dispel when target takes damage',1,3),
(31881,400021,3,100,'Decreases Mitigation of target vs noxious damage by 740',0,4),
(31882,400021,4,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(31883,400021,4,100,'Slows target by 41.1%',1,1),
(31884,400021,4,100,'5% chance to dispel when target receives hostile action',1,2),
(31885,400021,4,100,'5% chance to dispel when target takes damage',1,3),
(31886,400021,4,100,'Decreases Mitigation of target vs noxious damage by 814',0,4),
(31887,400021,5,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(31888,400021,5,100,'Slows target by 44.9%',1,1),
(31889,400021,5,100,'5% chance to dispel when target receives hostile action',1,2),
(31890,400021,5,100,'5% chance to dispel when target takes damage',1,3),
(31891,400021,5,100,'Decreases Mitigation of target vs noxious damage by 888',0,4),
(31892,400021,7,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(31893,400021,7,100,'Slows target by 57.6%',1,1),
(31894,400021,7,100,'5% chance to dispel when target receives hostile action',1,2),
(31895,400021,7,100,'5% chance to dispel when target takes damage',1,3),
(31896,400021,7,100,'Decreases Mitigation of target vs noxious damage by 1140',0,4),
(31897,400021,9,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(31898,400021,9,100,'Slows target by 59.8%',1,1),
(31899,400021,9,100,'5% chance to dispel when target receives hostile action',1,2),
(31900,400021,9,100,'5% chance to dispel when target takes damage',1,3),
(31901,400021,9,100,'Decreases Mitigation of target vs noxious damage by 1184',0,4),
(31902,400022,1,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(31903,400022,1,100,'Slows target by 36.0%',1,1),
(31904,400022,1,100,'5% chance to dispel when target receives hostile action',1,2),
(31905,400022,1,100,'5% chance to dispel when target takes damage',1,3),
(31906,400022,1,100,'Decreases Mitigation of target vs noxious damage by 918',0,4),
(31907,400022,2,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(31908,400022,2,100,'Slows target by 38.0%',1,1),
(31909,400022,2,100,'5% chance to dispel when target receives hostile action',1,2),
(31910,400022,2,100,'5% chance to dispel when target takes damage',1,3),
(31911,400022,2,100,'Decreases Mitigation of target vs noxious damage by 969',0,4),
(31912,400022,3,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(31913,400022,3,100,'Slows target by 40.0%',1,1),
(31914,400022,3,100,'5% chance to dispel when target receives hostile action',1,2),
(31915,400022,3,100,'5% chance to dispel when target takes damage',1,3),
(31916,400022,3,100,'Decreases Mitigation of target vs noxious damage by 1020',0,4),
(31917,400022,4,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(31918,400022,4,100,'Slows target by 44.0%',1,1),
(31919,400022,4,100,'5% chance to dispel when target receives hostile action',1,2),
(31920,400022,4,100,'5% chance to dispel when target takes damage',1,3),
(31921,400022,4,100,'Decreases Mitigation of target vs noxious damage by 1122',0,4),
(31922,400022,5,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(31923,400022,5,100,'Slows target by 48.0%',1,1),
(31924,400022,5,100,'5% chance to dispel when target receives hostile action',1,2),
(31925,400022,5,100,'5% chance to dispel when target takes damage',1,3),
(31926,400022,5,100,'Decreases Mitigation of target vs noxious damage by 1224',0,4),
(31927,400022,7,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(31928,400022,7,100,'Slows target by 61.7%',1,1),
(31929,400022,7,100,'5% chance to dispel when target receives hostile action',1,2),
(31930,400022,7,100,'5% chance to dispel when target takes damage',1,3),
(31931,400022,7,100,'Decreases Mitigation of target vs noxious damage by 1571',0,4),
(31932,400022,9,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(31933,400022,9,100,'Slows target by 64.1%',1,1),
(31934,400022,9,100,'5% chance to dispel when target receives hostile action',1,2),
(31935,400022,9,100,'5% chance to dispel when target takes damage',1,3),
(31936,400022,9,100,'Decreases Mitigation of target vs noxious damage by 1632',0,4),
(31937,400023,1,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(31938,400023,1,100,'Slows target by 36.5%',1,1),
(31939,400023,1,100,'5% chance to dispel when target receives hostile action',1,2),
(31940,400023,1,100,'5% chance to dispel when target takes damage',1,3),
(31941,400023,1,100,'Decreases Mitigation of target vs noxious damage by 1170',0,4),
(31942,400023,2,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(31943,400023,2,100,'Slows target by 38.6%',1,1),
(31944,400023,2,100,'5% chance to dispel when target receives hostile action',1,2),
(31945,400023,2,100,'5% chance to dispel when target takes damage',1,3),
(31946,400023,2,100,'Decreases Mitigation of target vs noxious damage by 1235',0,4),
(31947,400023,3,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(31948,400023,3,100,'Slows target by 40.6%',1,1),
(31949,400023,3,100,'5% chance to dispel when target receives hostile action',1,2),
(31950,400023,3,100,'5% chance to dispel when target takes damage',1,3),
(31951,400023,3,100,'Decreases Mitigation of target vs noxious damage by 1300',0,4),
(31952,400023,4,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(31953,400023,4,100,'Slows target by 44.7%',1,1),
(31954,400023,4,100,'5% chance to dispel when target receives hostile action',1,2),
(31955,400023,4,100,'5% chance to dispel when target takes damage',1,3),
(31956,400023,4,100,'Decreases Mitigation of target vs noxious damage by 1430',0,4),
(31957,400023,5,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(31958,400023,5,100,'Slows target by 48.7%',1,1),
(31959,400023,5,100,'5% chance to dispel when target receives hostile action',1,2),
(31960,400023,5,100,'5% chance to dispel when target takes damage',1,3),
(31961,400023,5,100,'Decreases Mitigation of target vs noxious damage by 1560',0,4),
(31962,400023,7,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(31963,400023,7,100,'Slows target by 62.5%',1,1),
(31964,400023,7,100,'5% chance to dispel when target receives hostile action',1,2),
(31965,400023,7,100,'5% chance to dispel when target takes damage',1,3),
(31966,400023,7,100,'Decreases Mitigation of target vs noxious damage by 2002',0,4),
(31967,400023,9,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(31968,400023,9,100,'Slows target by 65.0%',1,1),
(31969,400023,9,100,'5% chance to dispel when target receives hostile action',1,2),
(31970,400023,9,100,'5% chance to dispel when target takes damage',1,3),
(31971,400023,9,100,'Decreases Mitigation of target vs noxious damage by 2080',0,4),
(31972,400024,1,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(31973,400024,1,100,'Slows target by 36.9%',1,1),
(31974,400024,1,100,'5% chance to dispel when target receives hostile action',1,2),
(31975,400024,1,100,'5% chance to dispel when target takes damage',1,3),
(31976,400024,1,100,'Decreases Mitigation of target vs noxious damage by 1485',0,4),
(31977,400024,2,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(31978,400024,2,100,'Slows target by 39.0%',1,1),
(31979,400024,2,100,'5% chance to dispel when target receives hostile action',1,2),
(31980,400024,2,100,'5% chance to dispel when target takes damage',1,3),
(31981,400024,2,100,'Decreases Mitigation of target vs noxious damage by 1568',0,4),
(31982,400024,3,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(31983,400024,3,100,'Slows target by 41.0%',1,1),
(31984,400024,3,100,'5% chance to dispel when target receives hostile action',1,2),
(31985,400024,3,100,'5% chance to dispel when target takes damage',1,3),
(31986,400024,3,100,'Decreases Mitigation of target vs noxious damage by 1650',0,4),
(31987,400024,4,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(31988,400024,4,100,'Slows target by 45.1%',1,1),
(31989,400024,4,100,'5% chance to dispel when target receives hostile action',1,2),
(31990,400024,4,100,'5% chance to dispel when target takes damage',1,3),
(31991,400024,4,100,'Decreases Mitigation of target vs noxious damage by 1815',0,4),
(31992,400024,5,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(31993,400024,5,100,'Slows target by 49.2%',1,1),
(31994,400024,5,100,'5% chance to dispel when target receives hostile action',1,2),
(31995,400024,5,100,'5% chance to dispel when target takes damage',1,3),
(31996,400024,5,100,'Decreases Mitigation of target vs noxious damage by 1980',0,4),
(31997,400024,7,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(31998,400024,7,100,'Slows target by 63.2%',1,1),
(31999,400024,7,100,'5% chance to dispel when target receives hostile action',1,2),
(32000,400024,7,100,'5% chance to dispel when target takes damage',1,3),
(32001,400024,7,100,'Decreases Mitigation of target vs noxious damage by 2541',0,4),
(32002,400024,9,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(32003,400024,9,100,'Slows target by 65.7%',1,1),
(32004,400024,9,100,'5% chance to dispel when target receives hostile action',1,2),
(32005,400024,9,100,'5% chance to dispel when target takes damage',1,3),
(32006,400024,9,100,'Decreases Mitigation of target vs noxious damage by 2640',0,4),
(32007,400025,1,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(32008,400025,1,100,'Slows target by 37.3%',1,1),
(32009,400025,1,100,'5% chance to dispel when target receives hostile action',1,2),
(32010,400025,1,100,'5% chance to dispel when target takes damage',1,3),
(32011,400025,1,100,'Decreases Mitigation of target vs noxious damage by 1858',0,4),
(32012,400025,4,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(32013,400025,4,100,'Slows target by 45.6%',1,1),
(32014,400025,4,100,'5% chance to dispel when target receives hostile action',1,2),
(32015,400025,4,100,'5% chance to dispel when target takes damage',1,3),
(32016,400025,4,100,'Decreases Mitigation of target vs noxious damage by 2270',0,4),
(32017,400025,5,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(32018,400025,5,100,'Slows target by 49.7%',1,1),
(32019,400025,5,100,'5% chance to dispel when target receives hostile action',1,2),
(32020,400025,5,100,'5% chance to dispel when target takes damage',1,3),
(32021,400025,5,100,'Decreases Mitigation of target vs noxious damage by 2477',0,4),
(32022,400025,7,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(32023,400025,7,100,'Slows target by 63.8%',1,1),
(32024,400025,7,100,'5% chance to dispel when target receives hostile action',1,2),
(32025,400025,7,100,'5% chance to dispel when target takes damage',1,3),
(32026,400025,7,100,'Decreases Mitigation of target vs noxious damage by 3179',0,4),
(32027,400025,9,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(32028,400025,9,100,'Slows target by 66.3%',1,1),
(32029,400025,9,100,'5% chance to dispel when target receives hostile action',1,2),
(32030,400025,9,100,'5% chance to dispel when target takes damage',1,3),
(32031,400025,9,100,'Decreases Mitigation of target vs noxious damage by 3302',0,4),
(32032,400026,1,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(32033,400026,1,100,'Slows target by 37.7%',1,1),
(32034,400026,1,100,'5% chance to dispel when target receives hostile action',1,2),
(32035,400026,1,100,'5% chance to dispel when target takes damage',1,3),
(32036,400026,1,100,'Decreases Mitigation of target vs noxious damage by 2074',0,4),
(32037,400026,4,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(32038,400026,4,100,'Slows target by 46.0%',1,1),
(32039,400026,4,100,'5% chance to dispel when target receives hostile action',1,2),
(32040,400026,4,100,'5% chance to dispel when target takes damage',1,3),
(32041,400026,4,100,'Decreases Mitigation of target vs noxious damage by 2534',0,4),
(32042,400026,5,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(32043,400026,5,100,'Slows target by 50.2%',1,1),
(32044,400026,5,100,'5% chance to dispel when target receives hostile action',1,2),
(32045,400026,5,100,'5% chance to dispel when target takes damage',1,3),
(32046,400026,5,100,'Decreases Mitigation of target vs noxious damage by 2765',0,4),
(32047,400026,7,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(32048,400026,7,100,'Slows target by 64.4%',1,1),
(32049,400026,7,100,'5% chance to dispel when target receives hostile action',1,2),
(32050,400026,7,100,'5% chance to dispel when target takes damage',1,3),
(32051,400026,7,100,'Decreases Mitigation of target vs noxious damage by 3548',0,4),
(32052,400026,9,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(32053,400026,9,100,'Slows target by 66.9%',1,1),
(32054,400026,9,100,'5% chance to dispel when target receives hostile action',1,2),
(32055,400026,9,100,'5% chance to dispel when target takes damage',1,3),
(32056,400026,9,100,'Decreases Mitigation of target vs noxious damage by 3686',0,4),
(32057,2000037,1,100,'When a combat art is used this spell has a 25% chance to cast Carnage on target of combat art.  Lasts for 16.0 seconds.  ',0,0),
(32058,2000037,1,100,'Inflicts 15 - 24 piercing damage on target',1,1),
(32059,2000037,1,100,'Inflicts 2 - 4 piercing damage on target every 4 seconds',1,2),
(32060,2000037,1,100,'This effect can only trigger from bleeding attacks.',1,3),
(32061,2000037,2,100,'When a combat art is used this spell has a 50% chance to cast Carnage on target of combat art.  Lasts for 16.0 seconds.  ',0,0),
(32062,2000037,2,100,'Inflicts 997 - 1662 piercing damage on target',1,1),
(32063,2000037,2,100,'Inflicts 166 - 277 piercing damage on target every 4 seconds',1,2),
(32064,2000037,2,100,'This effect can only trigger from bleeding attacks.',1,3),
(32065,2000037,3,100,'When a combat art is used this spell has a 75% chance to cast Carnage on target of combat art.  Lasts for 16.0 seconds.  ',0,0),
(32066,2000037,3,100,'Inflicts 748 - 1247 piercing damage on target',1,1),
(32067,2000037,3,100,'Inflicts 125 - 208 piercing damage on target every 4 seconds',1,2),
(32068,2000037,3,100,'This effect can only trigger from bleeding attacks.',1,3),
(32069,2000038,1,100,'On a ranged hit this spell may cast Cat-Like Reflexes on target of attack.  Triggers about 2.0 times per minute. ',0,0),
(32070,2000038,1,100,'Decreases Threat to caster by 1,737 ',1,1),
(32071,2000038,2,100,'On a ranged hit this spell may cast Cat-Like Reflexes on target of attack.  Triggers about 2.0 times per minute. ',0,0),
(32072,2000038,2,100,'Decreases Threat to caster by 3,474 ',1,1),
(32073,2000038,3,100,'On a ranged hit this spell may cast Cat-Like Reflexes on target of attack.  Triggers about 2.0 times per minute. ',0,0),
(32074,2000038,3,100,'Decreases Threat to caster by 5,224 ',1,1),
(32075,2000038,4,100,'On a ranged hit this spell may cast Cat-Like Reflexes on target of attack.  Triggers about 2.0 times per minute. ',0,0),
(32076,2000038,4,100,'Decreases Threat to caster by 6,948 ',1,1),
(32077,2000038,5,100,'On a ranged hit this spell may cast Cat-Like Reflexes on target of attack.  Triggers about 2.0 times per minute. ',0,0),
(32078,2000038,5,100,'Decreases Threat to caster by 8,685 ',1,1),
(32079,360000,1,100,'Inflicts 18 - 31 mental damage on target',0,0),
(32080,360000,1,100,'Inflicts 18 - 31 mental damage on target',0,1),
(32081,360000,2,100,'Inflicts 19 - 32 mental damage on target',0,0),
(32082,360000,2,100,'Inflicts 19 - 32 mental damage on target',0,1),
(32083,360000,3,100,'Inflicts 20 - 34 mental damage on target',0,0),
(32084,360000,3,100,'Inflicts 20 - 34 mental damage on target',0,1),
(32085,360000,4,100,'Inflicts 22 - 37 mental damage on target',0,0),
(32086,360000,4,100,'Inflicts 22 - 37 mental damage on target',0,1),
(32087,360000,5,100,'Inflicts 24 - 41 mental damage on target',0,0),
(32088,360000,5,100,'Inflicts 24 - 41 mental damage on target',0,1),
(32089,360000,7,100,'Inflicts 31 - 53 mental damage on target',0,0),
(32090,360000,7,100,'Inflicts 31 - 53 mental damage on target',0,1),
(32091,360000,9,100,'Inflicts 33 - 55 mental damage on target',0,0),
(32092,360000,9,100,'Inflicts 33 - 55 mental damage on target',0,1),
(32093,360001,1,100,'Inflicts 43 - 71 mental damage on target',0,0),
(32094,360001,1,100,'Inflicts 43 - 71 mental damage on target',0,1),
(32095,360001,2,100,'Inflicts 45 - 75 mental damage on target',0,0),
(32096,360001,2,100,'Inflicts 45 - 75 mental damage on target',0,1),
(32097,360001,3,100,'Inflicts 47 - 79 mental damage on target',0,0),
(32098,360001,3,100,'Inflicts 47 - 79 mental damage on target',0,1),
(32099,360001,4,100,'Inflicts 52 - 87 mental damage on target',0,0),
(32100,360001,4,100,'Inflicts 52 - 87 mental damage on target',0,1),
(32101,360001,5,100,'Inflicts 57 - 95 mental damage on target',0,0),
(32102,360001,5,100,'Inflicts 57 - 95 mental damage on target',0,1),
(32103,360001,7,100,'Inflicts 73 - 123 mental damage on target',0,0),
(32104,360001,7,100,'Inflicts 73 - 123 mental damage on target',0,1),
(32105,360001,9,100,'Inflicts 76 - 127 mental damage on target',0,0),
(32106,360001,9,100,'Inflicts 76 - 127 mental damage on target',0,1),
(32107,360002,1,100,'Inflicts 70 - 117 mental damage on target',0,0),
(32108,360002,1,100,'Inflicts 70 - 117 mental damage on target',0,1),
(32109,360002,2,100,'Inflicts 74 - 124 mental damage on target',0,0),
(32110,360002,2,100,'Inflicts 74 - 124 mental damage on target',0,1),
(32111,360002,3,100,'Inflicts 78 - 130 mental damage on target',0,0),
(32112,360002,3,100,'Inflicts 78 - 130 mental damage on target',0,1),
(32113,360002,4,100,'Inflicts 86 - 143 mental damage on target',0,0),
(32114,360002,4,100,'Inflicts 86 - 143 mental damage on target',0,1),
(32115,360002,5,100,'Inflicts 94 - 156 mental damage on target',0,0),
(32116,360002,5,100,'Inflicts 94 - 156 mental damage on target',0,1),
(32117,360002,7,100,'Inflicts 120 - 201 mental damage on target',0,0),
(32118,360002,7,100,'Inflicts 120 - 201 mental damage on target',0,1),
(32119,360002,9,100,'Inflicts 125 - 209 mental damage on target',0,0),
(32120,360002,9,100,'Inflicts 125 - 209 mental damage on target',0,1),
(32121,360003,1,100,'Inflicts 104 - 174 mental damage on target',0,0),
(32122,360003,1,100,'Inflicts 104 - 174 mental damage on target',0,1),
(32123,360003,2,100,'Inflicts 110 - 183 mental damage on target',0,0),
(32124,360003,2,100,'Inflicts 110 - 183 mental damage on target',0,1),
(32125,360003,3,100,'Inflicts 116 - 193 mental damage on target',0,0),
(32126,360003,3,100,'Inflicts 116 - 193 mental damage on target',0,1),
(32127,360003,4,100,'Inflicts 127 - 212 mental damage on target',0,0),
(32128,360003,4,100,'Inflicts 127 - 212 mental damage on target',0,1),
(32129,360003,5,100,'Inflicts 139 - 232 mental damage on target',0,0),
(32130,360003,5,100,'Inflicts 139 - 232 mental damage on target',0,1),
(32131,360003,7,100,'Inflicts 178 - 298 mental damage on target',0,0),
(32132,360003,7,100,'Inflicts 178 - 298 mental damage on target',0,1),
(32133,360003,9,100,'Inflicts 185 - 309 mental damage on target',0,0),
(32134,360003,9,100,'Inflicts 185 - 309 mental damage on target',0,1),
(32135,360004,1,100,'Inflicts 138 - 231 mental damage on target',0,0),
(32136,360004,1,100,'Inflicts 138 - 231 mental damage on target',0,1),
(32137,360004,2,100,'Inflicts 146 - 244 mental damage on target',0,0),
(32138,360004,2,100,'Inflicts 146 - 244 mental damage on target',0,1),
(32139,360004,3,100,'Inflicts 154 - 257 mental damage on target',0,0),
(32140,360004,3,100,'Inflicts 154 - 257 mental damage on target',0,1),
(32141,360004,4,100,'Inflicts 169 - 282 mental damage on target',0,0),
(32142,360004,4,100,'Inflicts 169 - 282 mental damage on target',0,1),
(32143,360004,5,100,'Inflicts 185 - 308 mental damage on target',0,0),
(32144,360004,5,100,'Inflicts 185 - 308 mental damage on target',0,1),
(32145,360004,7,100,'Inflicts 237 - 396 mental damage on target',0,0),
(32146,360004,7,100,'Inflicts 237 - 396 mental damage on target',0,1),
(32147,360004,9,100,'Inflicts 246 - 411 mental damage on target',0,0),
(32148,360004,9,100,'Inflicts 246 - 411 mental damage on target',0,1),
(32149,360005,1,100,'Inflicts 164 - 274 mental damage on target',0,0),
(32150,360005,1,100,'Inflicts 164 - 274 mental damage on target',0,1),
(32151,360005,2,100,'Inflicts 174 - 290 mental damage on target',0,0),
(32152,360005,2,100,'Inflicts 174 - 290 mental damage on target',0,1),
(32153,360005,3,100,'Inflicts 183 - 305 mental damage on target',0,0),
(32154,360005,3,100,'Inflicts 183 - 305 mental damage on target',0,1),
(32155,360005,4,100,'Inflicts 201 - 335 mental damage on target',0,0),
(32156,360005,4,100,'Inflicts 201 - 335 mental damage on target',0,1),
(32157,360005,5,100,'Inflicts 219 - 366 mental damage on target',0,0),
(32158,360005,5,100,'Inflicts 219 - 366 mental damage on target',0,1),
(32159,360005,7,100,'Inflicts 282 - 470 mental damage on target',0,0),
(32160,360005,7,100,'Inflicts 282 - 470 mental damage on target',0,1),
(32161,360005,9,100,'Inflicts 293 - 488 mental damage on target',0,0),
(32162,360005,9,100,'Inflicts 293 - 488 mental damage on target',0,1),
(32163,360006,1,100,'Inflicts 198 - 331 mental damage on target',0,0),
(32164,360006,1,100,'Inflicts 198 - 331 mental damage on target',0,1),
(32165,360006,4,100,'Inflicts 243 - 405 mental damage on target',0,0),
(32166,360006,4,100,'Inflicts 243 - 405 mental damage on target',0,1),
(32167,360006,5,100,'Inflicts 265 - 442 mental damage on target',0,0),
(32168,360006,5,100,'Inflicts 265 - 442 mental damage on target',0,1),
(32169,360006,7,100,'Inflicts 340 - 567 mental damage on target',0,0),
(32170,360006,7,100,'Inflicts 340 - 567 mental damage on target',0,1),
(32171,360006,9,100,'Inflicts 353 - 589 mental damage on target',0,0),
(32172,360006,9,100,'Inflicts 353 - 589 mental damage on target',0,1),
(32173,360007,1,100,'Inflicts 221 - 368 mental damage on target',0,0),
(32174,360007,1,100,'Inflicts 221 - 368 mental damage on target',0,1),
(32175,360007,4,100,'Inflicts 270 - 450 mental damage on target',0,0),
(32176,360007,4,100,'Inflicts 270 - 450 mental damage on target',0,1),
(32177,360007,5,100,'Inflicts 294 - 491 mental damage on target',0,0),
(32178,360007,5,100,'Inflicts 294 - 491 mental damage on target',0,1),
(32179,360007,7,100,'Inflicts 378 - 630 mental damage on target',0,0),
(32180,360007,7,100,'Inflicts 378 - 630 mental damage on target',0,1),
(32181,360007,9,100,'Inflicts 393 - 655 mental damage on target',0,0),
(32182,360007,9,100,'Inflicts 393 - 655 mental damage on target',0,1),
(32183,60026,2,100,'Interrupts target encounter',0,0),
(32184,60026,2,100,'Increases Threat to target encounter by 369 - 451 ',0,1),
(32185,60026,3,100,'Interrupts target encounter',0,0),
(32186,60026,3,100,'Increases Threat to target encounter by 388 - 475 ',0,1),
(32187,60026,4,100,'Interrupts target encounter',0,0),
(32188,60026,4,100,'Increases Threat to target encounter by 427 - 522 ',0,1),
(32189,60026,5,100,'Interrupts target encounter',0,0),
(32190,60026,5,100,'Increases Threat to target encounter by 466 - 570 ',0,1),
(32191,60026,7,100,'Interrupts target encounter',0,0),
(32192,60026,7,100,'Increases Threat to target encounter by 598 - 731 ',0,1),
(32193,60026,9,100,'Interrupts target encounter',0,0),
(32194,60026,9,100,'Increases Threat to target encounter by 622 - 760 ',0,1),
(32195,60027,1,100,'Interrupts target encounter',0,0),
(32196,60027,1,100,'Increases Threat to target encounter by 967 - 1,182 ',0,1),
(32197,60027,2,100,'Interrupts target encounter',0,0),
(32198,60027,2,100,'Increases Threat to target encounter by 1,021 - 1,248 ',0,1),
(32199,60027,3,100,'Interrupts target encounter',0,0),
(32200,60027,3,100,'Increases Threat to target encounter by 1,075 - 1,296 ',0,1),
(32201,60027,4,100,'Interrupts target encounter',0,0),
(32202,60027,4,100,'Increases Threat to target encounter by 1,182 - 1,372 ',0,1),
(32203,60027,5,100,'Interrupts target encounter',0,0),
(32204,60027,5,100,'Increases Threat to target encounter by 1,283 - 1,448 ',0,1),
(32205,60027,7,100,'Interrupts target encounter',0,0),
(32206,60027,7,100,'Increases Threat to target encounter by 1,493 - 1,705 ',0,1),
(32207,60027,9,100,'Interrupts target encounter',0,0),
(32208,60027,9,100,'Increases Threat to target encounter by 1,530 - 1,751 ',0,1),
(32209,60027,10,100,'Interrupts target encounter',0,0),
(32210,60027,10,100,'Increases Threat to target encounter by 1,580 - 1,811 ',0,1),
(32211,60028,1,100,'Interrupts target encounter',0,0),
(32212,60028,1,100,'Increases Threat to target encounter by 1,535 - 1,757 ',0,1),
(32213,60028,2,100,'Interrupts target encounter',0,0),
(32214,60028,2,100,'Increases Threat to target encounter by 1,591 - 1,824 ',0,1),
(32215,60028,3,100,'Interrupts target encounter',0,0),
(32216,60028,3,100,'Increases Threat to target encounter by 1,646 - 1,892 ',0,1),
(32217,60028,4,100,'Interrupts target encounter',0,0),
(32218,60028,4,100,'Increases Threat to target encounter by 1,757 - 2,027 ',0,1),
(32219,60028,5,100,'Interrupts target encounter',0,0),
(32220,60028,5,100,'Increases Threat to target encounter by 1,867 - 2,162 ',0,1),
(32221,60028,7,100,'Interrupts target encounter',0,0),
(32222,60028,7,100,'Increases Threat to target encounter by 2,244 - 2,622 ',0,1),
(32223,60028,9,100,'Interrupts target encounter',0,0),
(32224,60028,9,100,'Increases Threat to target encounter by 2,310 - 2,703 ',0,1),
(32225,60029,1,100,'Interrupts target encounter',0,0),
(32226,60029,1,100,'Increases Threat to target encounter by 2,071 - 2,411 ',0,1),
(32227,60029,2,100,'Interrupts target encounter',0,0),
(32228,60029,2,100,'Increases Threat to target encounter by 2,156 - 2,515 ',0,1),
(32229,60029,3,100,'Interrupts target encounter',0,0),
(32230,60029,3,100,'Increases Threat to target encounter by 2,241 - 2,619 ',0,1),
(32231,60029,4,100,'Interrupts target encounter',0,0),
(32232,60029,4,100,'Increases Threat to target encounter by 2,411 - 2,827 ',0,1),
(32233,60029,5,100,'Interrupts target encounter',0,0),
(32234,60029,5,100,'Increases Threat to target encounter by 2,581 - 3,035 ',0,1),
(32235,60029,7,100,'Interrupts target encounter',0,0),
(32236,60029,7,100,'Increases Threat to target encounter by 3,160 - 3,742 ',0,1),
(32237,60029,9,100,'Interrupts target encounter',0,0),
(32238,60029,9,100,'Increases Threat to target encounter by 3,262 - 3,867 ',0,1),
(32239,60029,10,100,'Interrupts target encounter',0,0),
(32240,60029,10,100,'Increases Threat to target encounter by 3,398 - 4,033 ',0,1),
(32241,60030,1,100,'Interrupts target encounter',0,0),
(32242,60030,1,100,'Increases Threat to target encounter by 2,672 - 3,146 ',0,1),
(32243,60030,2,100,'Interrupts target encounter',0,0),
(32244,60030,2,100,'Increases Threat to target encounter by 2,791 - 3,291 ',0,1),
(32245,60030,3,100,'Interrupts target encounter',0,0),
(32246,60030,3,100,'Increases Threat to target encounter by 2,909 - 3,436 ',0,1),
(32247,60030,4,100,'Interrupts target encounter',0,0),
(32248,60030,4,100,'Increases Threat to target encounter by 3,146 - 3,725 ',0,1),
(32249,60030,5,100,'Interrupts target encounter',0,0),
(32250,60030,5,100,'Increases Threat to target encounter by 3,383 - 4,015 ',0,1),
(32251,60030,7,100,'Interrupts target encounter',0,0),
(32252,60030,7,100,'Increases Threat to target encounter by 4,189 - 4,999 ',0,1),
(32253,60030,9,100,'Interrupts target encounter',0,0),
(32254,60030,9,100,'Increases Threat to target encounter by 4,331 - 5,173 ',0,1),
(32255,60030,10,100,'Interrupts target encounter',0,0),
(32256,60030,10,100,'Increases Threat to target encounter by 4,520 - 5,405 ',0,1),
(32257,60031,1,100,'Interrupts target encounter',0,0),
(32258,60031,1,100,'Increases Threat to target encounter by 3,300 - 3,914 ',0,1),
(32259,60031,2,100,'Interrupts target encounter',0,0),
(32260,60031,2,100,'Increases Threat to target encounter by 3,454 - 4,101 ',0,1),
(32261,60031,3,100,'Interrupts target encounter',0,0),
(32262,60031,3,100,'Increases Threat to target encounter by 3,607 - 4,289 ',0,1),
(32263,60031,4,100,'Interrupts target encounter',0,0),
(32264,60031,4,100,'Increases Threat to target encounter by 3,914 - 4,664 ',0,1),
(32265,60031,5,100,'Interrupts target encounter',0,0),
(32266,60031,5,100,'Increases Threat to target encounter by 4,220 - 5,038 ',0,1),
(32267,60031,7,100,'Interrupts target encounter',0,0),
(32268,60031,7,100,'Increases Threat to target encounter by 5,263 - 6,313 ',0,1),
(32269,60031,9,100,'Interrupts target encounter',0,0),
(32270,60031,9,100,'Increases Threat to target encounter by 5,447 - 6,538 ',0,1),
(32271,60032,1,100,'Interrupts target encounter',0,0),
(32272,60032,1,100,'Increases Threat to target encounter by 3,909 - 4,658 ',0,1),
(32273,60032,4,100,'Interrupts target encounter',0,0),
(32274,60032,4,100,'Increases Threat to target encounter by 4,658 - 5,573 ',0,1),
(32275,60032,5,100,'Interrupts target encounter',0,0),
(32276,60032,5,100,'Increases Threat to target encounter by 5,032 - 6,030 ',0,1),
(32277,60032,7,100,'Interrupts target encounter',0,0),
(32278,60032,7,100,'Increases Threat to target encounter by 6,305 - 7,586 ',0,1),
(32279,60032,9,100,'Interrupts target encounter',0,0),
(32280,60032,9,100,'Increases Threat to target encounter by 6,530 - 7,861 ',0,1),
(32281,60033,1,100,'Interrupts target encounter',0,0),
(32282,60033,1,100,'Increases Threat to target encounter by 4,517 - 5,401 ',0,1),
(32283,60033,4,100,'Interrupts target encounter',0,0),
(32284,60033,4,100,'Increases Threat to target encounter by 5,401 - 6,482 ',0,1),
(32285,60033,5,100,'Interrupts target encounter',0,0),
(32286,60033,5,100,'Increases Threat to target encounter by 5,843 - 7,022 ',0,1),
(32287,60033,7,100,'Interrupts target encounter',0,0),
(32288,60033,7,100,'Increases Threat to target encounter by 7,346 - 8,859 ',0,1),
(32289,60033,9,100,'Interrupts target encounter',0,0),
(32290,60033,9,100,'Increases Threat to target encounter by 7,611 - 9,183 ',0,1),
(32291,2000039,1,100,'Applies Champion''s Interception.  Lasts for 12.0 seconds.',0,0),
(32292,2000039,1,100,'Reduces damage to group members by 1% per increment',1,1),
(32293,2000039,1,100,'If not fighter',2,2),
(32294,2000039,1,100,'Increments up to 50 times',1,3),
(32295,2000039,1,100,'In PVP, this is limited to 25 triggers of Damage Reduction per group member.',1,4),
(32296,2000039,1,100,'Cannot be modified except by direct means',1,5),
(32297,2000039,1,100,'If toggled off early, returns up to 50% of the increments of Champion''s Sight used',0,6),
(32298,2000039,1,100,'You must have Champion''s Sight active to use Champion''s Interception',0,7),
(32299,2000039,1,100,'Cannot be modified except by direct means',0,8),
(32300,2000039,2,100,'Applies Champion''s Interception.  Lasts for 12.0 seconds.',0,0),
(32301,2000039,2,100,'Reduces damage to group members by 1% per increment',1,1),
(32302,2000039,2,100,'If not fighter',2,2),
(32303,2000039,2,100,'Increments up to 50 times',1,3),
(32304,2000039,2,100,'In PVP, this is limited to 25 triggers of Damage Reduction per group member.',1,4),
(32305,2000039,2,100,'Cannot be modified except by direct means',1,5),
(32306,2000039,2,100,'If toggled off early, returns up to 50% of the increments of Champion''s Sight used',0,6),
(32307,2000039,2,100,'You must have Champion''s Sight active to use Champion''s Interception',0,7),
(32308,2000039,2,100,'Cannot be modified except by direct means',0,8),
(32309,2000039,3,100,'Applies Champion''s Interception.  Lasts for 12.0 seconds.',0,0),
(32310,2000039,3,100,'Reduces damage to group members by 1% per increment',1,1),
(32311,2000039,3,100,'If not fighter',2,2),
(32312,2000039,3,100,'Increments up to 50 times',1,3),
(32313,2000039,3,100,'In PVP, this is limited to 25 triggers of Damage Reduction per group member.',1,4),
(32314,2000039,3,100,'Cannot be modified except by direct means',1,5),
(32315,2000039,3,100,'If toggled off early, returns up to 50% of the increments of Champion''s Sight used',0,6),
(32316,2000039,3,100,'You must have Champion''s Sight active to use Champion''s Interception',0,7),
(32317,2000039,3,100,'Cannot be modified except by direct means',0,8),
(32318,2000040,1,100,'Reduces all damage done to raid and group members (AE) by 10%',0,0),
(32319,2000040,1,100,'If priest',1,1),
(32320,2000041,1,100,'When any damage is received this spell will cast Champion''s Sight on target.  Lasts for 1 hour.  ',0,0),
(32321,2000041,1,100,'Allows the use of Champion''s Interception.',1,1),
(32322,2000041,1,100,'Cannot be modified except by direct means',1,2),
(32323,2000041,1,100,'If not fighter',1,3),
(32324,2000041,2,100,'When any damage is received this spell will cast Champion''s Sight on target.  Lasts for 1 hour.  ',0,0),
(32325,2000041,2,100,'Allows the use of Champion''s Interception.',1,1),
(32326,2000041,2,100,'Cannot be modified except by direct means',1,2),
(32327,2000041,2,100,'If not fighter',1,3),
(32328,2000041,3,100,'When any damage is received this spell will cast Champion''s Sight on target.  Lasts for 1 hour.  ',0,0),
(32329,2000041,3,100,'Allows the use of Champion''s Interception.',1,1),
(32330,2000041,3,100,'Cannot be modified except by direct means',1,2),
(32331,2000041,3,100,'If not fighter',1,3),
(32332,2000042,1,100,'Applies Distracting Disarm.  Lasts for 45.0 seconds.',0,0),
(32333,2000042,1,100,'Decreases AGI, STR, WIS and INT of target by 308.0',1,1),
(32334,2000042,1,100,'Must be in front of',1,2),
(32335,2000042,1,100,'Applies Swift Puncture on termination.  Lasts for 45.0 seconds.',0,3),
(32336,2000042,1,100,'Decreases Max Health of target by 5.2%',1,4),
(32337,2000042,1,100,'Must be flanking or behind',1,5),
(32338,2000042,1,100,'Inflicts 945 - 1756 melee damage on target',0,6),
(32339,440010,1,100,'Shows the channeler what targets can have their essences taken',0,0),
(32340,40065,1,100,'Increases Mitigation of group members (AE) vs physical damage by 94',0,0),
(32341,40065,2,100,'Increases Mitigation of group members (AE) vs physical damage by 99',0,0),
(32342,40065,3,100,'Increases Mitigation of group members (AE) vs physical damage by 104',0,0),
(32343,40065,4,100,'Increases Mitigation of group members (AE) vs physical damage by 115',0,0),
(32344,40065,5,100,'Increases Mitigation of group members (AE) vs physical damage by 125',0,0),
(32345,40065,7,100,'Increases Mitigation of group members (AE) vs physical damage by 161',0,0),
(32346,40065,9,100,'Increases Mitigation of group members (AE) vs physical damage by 167',0,0),
(32347,40066,1,100,'Increases Mitigation of group members (AE) vs physical damage by 176',0,0),
(32348,40066,2,100,'Increases Mitigation of group members (AE) vs physical damage by 185',0,0),
(32349,40066,3,100,'Increases Mitigation of group members (AE) vs physical damage by 195',0,0),
(32350,40066,4,100,'Increases Mitigation of group members (AE) vs physical damage by 215',0,0),
(32351,40066,5,100,'Increases Mitigation of group members (AE) vs physical damage by 234',0,0),
(32352,40066,7,100,'Increases Mitigation of group members (AE) vs physical damage by 300',0,0),
(32353,40066,9,100,'Increases Mitigation of group members (AE) vs physical damage by 312',0,0),
(32354,40067,1,100,'Increases Mitigation of group members (AE) vs physical damage by 270',0,0),
(32355,40067,2,100,'Increases Mitigation of group members (AE) vs physical damage by 285',0,0),
(32356,40067,3,100,'Increases Mitigation of group members (AE) vs physical damage by 300',0,0),
(32357,40067,4,100,'Increases Mitigation of group members (AE) vs physical damage by 330',0,0),
(32358,40067,5,100,'Increases Mitigation of group members (AE) vs physical damage by 360',0,0),
(32359,40067,7,100,'Increases Mitigation of group members (AE) vs physical damage by 462',0,0),
(32360,40067,9,100,'Increases Mitigation of group members (AE) vs physical damage by 480',0,0),
(32361,40068,1,100,'Increases Mitigation of group members (AE) vs physical damage by 365',0,0),
(32362,40068,2,100,'Increases Mitigation of group members (AE) vs physical damage by 385',0,0),
(32363,40068,3,100,'Increases Mitigation of group members (AE) vs physical damage by 405',0,0),
(32364,40068,4,100,'Increases Mitigation of group members (AE) vs physical damage by 446',0,0),
(32365,40068,5,100,'Increases Mitigation of group members (AE) vs physical damage by 486',0,0),
(32366,40068,7,100,'Increases Mitigation of group members (AE) vs physical damage by 624',0,0),
(32367,40068,9,100,'Increases Mitigation of group members (AE) vs physical damage by 648',0,0),
(32368,40068,10,100,'Increases Mitigation of group members (AE) vs physical damage by 680',0,0),
(32369,40069,1,100,'Increases Mitigation of group members (AE) vs physical damage by 459',0,0),
(32370,40069,2,100,'Increases Mitigation of group members (AE) vs physical damage by 485',0,0),
(32371,40069,3,100,'Increases Mitigation of group members (AE) vs physical damage by 510',0,0),
(32372,40069,4,100,'Increases Mitigation of group members (AE) vs physical damage by 561',0,0),
(32373,40069,5,100,'Increases Mitigation of group members (AE) vs physical damage by 612',0,0),
(32374,40069,7,100,'Increases Mitigation of group members (AE) vs physical damage by 785',0,0),
(32375,40069,9,100,'Increases Mitigation of group members (AE) vs physical damage by 816',0,0),
(32376,40070,1,100,'Increases Mitigation of group members (AE) vs physical damage by 560',0,0),
(32377,40070,2,100,'Increases Mitigation of group members (AE) vs physical damage by 591',0,0),
(32378,40070,3,100,'Increases Mitigation of group members (AE) vs physical damage by 622',0,0),
(32379,40070,4,100,'Increases Mitigation of group members (AE) vs physical damage by 684',0,0),
(32380,40070,5,100,'Increases Mitigation of group members (AE) vs physical damage by 747',0,0),
(32381,40070,7,100,'Increases Mitigation of group members (AE) vs physical damage by 958',0,0),
(32382,40070,9,100,'Increases Mitigation of group members (AE) vs physical damage by 995',0,0),
(32383,40071,1,100,'Increases Mitigation of group members (AE) vs physical damage by 658',0,0),
(32384,40071,4,100,'Increases Mitigation of group members (AE) vs physical damage by 804',0,0),
(32385,40071,5,100,'Increases Mitigation of group members (AE) vs physical damage by 877',0,0),
(32386,40071,7,100,'Increases Mitigation of group members (AE) vs physical damage by 1126',0,0),
(32387,40071,9,100,'Increases Mitigation of group members (AE) vs physical damage by 1169',0,0),
(32388,40072,1,100,'Increases Mitigation of group members (AE) vs physical damage by 735',0,0),
(32389,40072,4,100,'Increases Mitigation of group members (AE) vs physical damage by 898',0,0),
(32390,40072,5,100,'Increases Mitigation of group members (AE) vs physical damage by 980',0,0),
(32391,40072,7,100,'Increases Mitigation of group members (AE) vs physical damage by 1258',0,0),
(32392,40072,9,100,'Increases Mitigation of group members (AE) vs physical damage by 1307',0,0),
(32393,2000043,1,100,'Applies Chaos Siphon.  Lasts for 0.1 seconds.',0,0),
(32394,2000043,1,100,'Heals caster for 5.0% of max health every 0.1 seconds',1,1),
(32395,2000043,1,100,'This effect cannot be critically applied.',2,2),
(32396,2000043,1,100,'Cannot be modified except by direct means',1,3),
(32397,2000043,1,100,'Inflicts 3047 - 5078 disease damage on target',0,4),
(32398,2000043,2,100,'Applies Chaos Siphon.  Lasts for 0.1 seconds.',0,0),
(32399,2000043,2,100,'Heals caster for 5.0% of max health every 0.1 seconds',1,1),
(32400,2000043,2,100,'This effect cannot be critically applied.',2,2),
(32401,2000043,2,100,'Cannot be modified except by direct means',1,3),
(32402,2000043,2,100,'Inflicts 3047 - 5078 disease damage on target',0,4),
(32403,2000043,3,100,'Applies Chaos Siphon.  Lasts for 0.1 seconds.',0,0),
(32404,2000043,3,100,'Heals caster for 4.5 - 5.5% of max health every 0.1 seconds',1,1),
(32405,2000043,3,100,'This effect cannot be critically applied.',2,2),
(32406,2000043,3,100,'Cannot be modified except by direct means',1,3),
(32407,2000043,3,100,'Inflicts 2286 - 3810 disease damage on target',0,4),
(32408,80001,1,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(32409,80001,1,100,'Throws target back',1,1),
(32410,80001,1,100,'Blurs vision of target',1,2),
(32411,80001,1,100,'Stuns target',1,3),
(32412,80001,1,100,'Does not affect Epic targets',1,4),
(32413,80001,1,100,'Inflicts 26 - 43 crushing damage on target',0,5),
(32414,80001,2,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(32415,80001,2,100,'Throws target back',1,1),
(32416,80001,2,100,'Blurs vision of target',1,2),
(32417,80001,2,100,'Stuns target',1,3),
(32418,80001,2,100,'Does not affect Epic targets',1,4),
(32419,80001,2,100,'Inflicts 27 - 46 crushing damage on target',0,5),
(32420,80001,3,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(32421,80001,3,100,'Throws target back',1,1),
(32422,80001,3,100,'Blurs vision of target',1,2),
(32423,80001,3,100,'Stuns target',1,3),
(32424,80001,3,100,'Does not affect Epic targets',1,4),
(32425,80001,3,100,'Inflicts 29 - 48 crushing damage on target',0,5),
(32426,80001,4,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(32427,80001,4,100,'Throws target back',1,1),
(32428,80001,4,100,'Blurs vision of target',1,2),
(32429,80001,4,100,'Stuns target',1,3),
(32430,80001,4,100,'Does not affect Epic targets',1,4),
(32431,80001,4,100,'Inflicts 32 - 53 crushing damage on target',0,5),
(32432,80001,5,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(32433,80001,5,100,'Throws target back',1,1),
(32434,80001,5,100,'Blurs vision of target',1,2),
(32435,80001,5,100,'Stuns target',1,3),
(32436,80001,5,100,'Does not affect Epic targets',1,4),
(32437,80001,5,100,'Inflicts 34 - 58 crushing damage on target',0,5),
(32438,80001,7,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(32439,80001,7,100,'Throws target back',1,1),
(32440,80001,7,100,'Blurs vision of target',1,2),
(32441,80001,7,100,'Stuns target',1,3),
(32442,80001,7,100,'Does not affect Epic targets',1,4),
(32443,80001,7,100,'Inflicts 44 - 74 crushing damage on target',0,5),
(32444,80001,9,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(32445,80001,9,100,'Throws target back',1,1),
(32446,80001,9,100,'Blurs vision of target',1,2),
(32447,80001,9,100,'Stuns target',1,3),
(32448,80001,9,100,'Does not affect Epic targets',1,4),
(32449,80001,9,100,'Inflicts 46 - 77 crushing damage on target',0,5),
(32450,2000044,3,100,'Inflicts 3 - 5 piercing damage on target',0,0),
(32451,2000044,4,100,'Inflicts 3 - 5 piercing damage on target',0,0),
(32452,2000044,5,100,'Inflicts 3 - 6 piercing damage on target',0,0),
(32453,2000044,7,100,'Inflicts 4 - 7 piercing damage on target',0,0),
(32454,2000044,9,100,'Inflicts 4 - 8 piercing damage on target',0,0),
(32455,2000044,10,100,'Inflicts 5 - 8 piercing damage on target',0,0),
(32456,60034,1,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(32457,60034,1,100,'Throws target back',1,1),
(32458,60034,1,100,'Blurs vision of target',1,2),
(32459,60034,1,100,'Stuns target',1,3),
(32460,60034,1,100,'Does not affect Epic targets',1,4),
(32461,60034,1,100,'Inflicts 20 - 33 melee damage on target',0,5),
(32462,60034,2,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(32463,60034,2,100,'Throws target back',1,1),
(32464,60034,2,100,'Blurs vision of target',1,2),
(32465,60034,2,100,'Stuns target',1,3),
(32466,60034,2,100,'Does not affect Epic targets',1,4),
(32467,60034,2,100,'Inflicts 21 - 35 melee damage on target',0,5),
(32468,60034,3,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(32469,60034,3,100,'Throws target back',1,1),
(32470,60034,3,100,'Blurs vision of target',1,2),
(32471,60034,3,100,'Stuns target',1,3),
(32472,60034,3,100,'Does not affect Epic targets',1,4),
(32473,60034,3,100,'Inflicts 22 - 37 melee damage on target',0,5),
(32474,60034,4,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(32475,60034,4,100,'Throws target back',1,1),
(32476,60034,4,100,'Blurs vision of target',1,2),
(32477,60034,4,100,'Stuns target',1,3),
(32478,60034,4,100,'Does not affect Epic targets',1,4),
(32479,60034,4,100,'Inflicts 24 - 41 melee damage on target',0,5),
(32480,60034,5,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(32481,60034,5,100,'Throws target back',1,1),
(32482,60034,5,100,'Blurs vision of target',1,2),
(32483,60034,5,100,'Stuns target',1,3),
(32484,60034,5,100,'Does not affect Epic targets',1,4),
(32485,60034,5,100,'Inflicts 27 - 45 melee damage on target',0,5),
(32486,60034,7,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(32487,60034,7,100,'Throws target back',1,1),
(32488,60034,7,100,'Blurs vision of target',1,2),
(32489,60034,7,100,'Stuns target',1,3),
(32490,60034,7,100,'Does not affect Epic targets',1,4),
(32491,60034,7,100,'Inflicts 34 - 58 melee damage on target',0,5),
(32492,60034,9,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(32493,60034,9,100,'Throws target back',1,1),
(32494,60034,9,100,'Blurs vision of target',1,2),
(32495,60034,9,100,'Stuns target',1,3),
(32496,60034,9,100,'Does not affect Epic targets',1,4),
(32497,60034,9,100,'Inflicts 36 - 60 melee damage on target',0,5),
(32498,60034,10,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(32499,60034,10,100,'Throws target back',1,1),
(32500,60034,10,100,'Blurs vision of target',1,2),
(32501,60034,10,100,'Stuns target',1,3),
(32502,60034,10,100,'Does not affect Epic targets',1,4),
(32503,60034,10,100,'Inflicts 38 - 63 melee damage on target',0,5),
(32509,60035,1,100,'Inflicts 43 - 72 melee damage on target',0,0),
(32546,60036,1,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(32547,60036,1,100,'Throws target back',1,1),
(32548,60036,1,100,'Blurs vision of target',1,2),
(32549,60036,1,100,'Stuns target',1,3),
(32550,60036,1,100,'Does not affect Epic targets',1,4),
(32551,60036,1,100,'Inflicts 69 - 116 melee damage on target',0,5),
(32552,60036,2,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(32553,60036,2,100,'Throws target back',1,1),
(32554,60036,2,100,'Blurs vision of target',1,2),
(32555,60036,2,100,'Stuns target',1,3),
(32556,60036,2,100,'Does not affect Epic targets',1,4),
(32557,60036,2,100,'Inflicts 73 - 122 melee damage on target',0,5),
(32558,60036,3,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(32559,60036,3,100,'Throws target back',1,1),
(32560,60036,3,100,'Blurs vision of target',1,2),
(32561,60036,3,100,'Stuns target',1,3),
(32562,60036,3,100,'Does not affect Epic targets',1,4),
(32563,60036,3,100,'Inflicts 77 - 129 melee damage on target',0,5),
(32564,60036,4,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(32565,60036,4,100,'Throws target back',1,1),
(32566,60036,4,100,'Blurs vision of target',1,2),
(32567,60036,4,100,'Stuns target',1,3),
(32568,60036,4,100,'Does not affect Epic targets',1,4),
(32569,60036,4,100,'Inflicts 85 - 142 melee damage on target',0,5),
(32570,60036,5,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(32571,60036,5,100,'Throws target back',1,1),
(32572,60036,5,100,'Blurs vision of target',1,2),
(32573,60036,5,100,'Stuns target',1,3),
(32574,60036,5,100,'Does not affect Epic targets',1,4),
(32575,60036,5,100,'Inflicts 93 - 155 melee damage on target',0,5),
(32576,60036,7,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(32577,60036,7,100,'Throws target back',1,1),
(32578,60036,7,100,'Blurs vision of target',1,2),
(32579,60036,7,100,'Stuns target',1,3),
(32580,60036,7,100,'Does not affect Epic targets',1,4),
(32581,60036,7,100,'Inflicts 119 - 199 melee damage on target',0,5),
(32582,60036,9,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(32583,60036,9,100,'Throws target back',1,1),
(32584,60036,9,100,'Blurs vision of target',1,2),
(32585,60036,9,100,'Stuns target',1,3),
(32586,60036,9,100,'Does not affect Epic targets',1,4),
(32587,60036,9,100,'Inflicts 124 - 206 melee damage on target',0,5),
(32588,60037,1,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(32589,60037,1,100,'Throws target back',1,1),
(32590,60037,1,100,'Blurs vision of target',1,2),
(32591,60037,1,100,'Stuns target',1,3),
(32592,60037,1,100,'Does not affect Epic targets',1,4),
(32593,60037,1,100,'Inflicts 101 - 169 melee damage on target',0,5),
(32594,60037,2,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(32595,60037,2,100,'Throws target back',1,1),
(32596,60037,2,100,'Blurs vision of target',1,2),
(32597,60037,2,100,'Stuns target',1,3),
(32598,60037,2,100,'Does not affect Epic targets',1,4),
(32599,60037,2,100,'Inflicts 107 - 179 melee damage on target',0,5),
(32600,60037,3,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(32601,60037,3,100,'Throws target back',1,1),
(32602,60037,3,100,'Blurs vision of target',1,2),
(32603,60037,3,100,'Stuns target',1,3),
(32604,60037,3,100,'Does not affect Epic targets',1,4),
(32605,60037,3,100,'Inflicts 113 - 188 melee damage on target',0,5),
(32606,60037,4,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(32607,60037,4,100,'Throws target back',1,1),
(32608,60037,4,100,'Blurs vision of target',1,2),
(32609,60037,4,100,'Stuns target',1,3),
(32610,60037,4,100,'Does not affect Epic targets',1,4),
(32611,60037,4,100,'Inflicts 124 - 207 melee damage on target',0,5),
(32612,60037,5,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(32613,60037,5,100,'Throws target back',1,1),
(32614,60037,5,100,'Blurs vision of target',1,2),
(32615,60037,5,100,'Stuns target',1,3),
(32616,60037,5,100,'Does not affect Epic targets',1,4),
(32617,60037,5,100,'Inflicts 135 - 226 melee damage on target',0,5),
(32618,60037,7,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(32619,60037,7,100,'Throws target back',1,1),
(32620,60037,7,100,'Blurs vision of target',1,2),
(32621,60037,7,100,'Stuns target',1,3),
(32622,60037,7,100,'Does not affect Epic targets',1,4),
(32623,60037,7,100,'Inflicts 174 - 290 melee damage on target',0,5),
(32624,60037,9,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(32625,60037,9,100,'Throws target back',1,1),
(32626,60037,9,100,'Blurs vision of target',1,2),
(32627,60037,9,100,'Stuns target',1,3),
(32628,60037,9,100,'Does not affect Epic targets',1,4),
(32629,60037,9,100,'Inflicts 180 - 301 melee damage on target',0,5),
(32630,60038,1,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(32631,60038,1,100,'Throws target back',1,1),
(32632,60038,1,100,'Blurs vision of target',1,2),
(32633,60038,1,100,'Stuns target',1,3),
(32634,60038,1,100,'Does not affect Epic targets',1,4),
(32635,60038,1,100,'Inflicts 133 - 222 melee damage on target',0,5),
(32636,60038,2,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(32637,60038,2,100,'Throws target back',1,1),
(32638,60038,2,100,'Blurs vision of target',1,2),
(32639,60038,2,100,'Stuns target',1,3),
(32640,60038,2,100,'Does not affect Epic targets',1,4),
(32641,60038,2,100,'Inflicts 141 - 235 melee damage on target',0,5),
(32642,60038,3,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(32643,60038,3,100,'Throws target back',1,1),
(32644,60038,3,100,'Blurs vision of target',1,2),
(32645,60038,3,100,'Stuns target',1,3),
(32646,60038,3,100,'Does not affect Epic targets',1,4),
(32647,60038,3,100,'Inflicts 148 - 247 melee damage on target',0,5),
(32648,60038,4,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(32649,60038,4,100,'Throws target back',1,1),
(32650,60038,4,100,'Blurs vision of target',1,2),
(32651,60038,4,100,'Stuns target',1,3),
(32652,60038,4,100,'Does not affect Epic targets',1,4),
(32653,60038,4,100,'Inflicts 163 - 272 melee damage on target',0,5),
(32654,60038,5,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(32655,60038,5,100,'Throws target back',1,1),
(32656,60038,5,100,'Blurs vision of target',1,2),
(32657,60038,5,100,'Stuns target',1,3),
(32658,60038,5,100,'Does not affect Epic targets',1,4),
(32659,60038,5,100,'Inflicts 178 - 297 melee damage on target',0,5),
(32660,60038,7,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(32661,60038,7,100,'Throws target back',1,1),
(32662,60038,7,100,'Blurs vision of target',1,2),
(32663,60038,7,100,'Stuns target',1,3),
(32664,60038,7,100,'Does not affect Epic targets',1,4),
(32665,60038,7,100,'Inflicts 228 - 381 melee damage on target',0,5),
(32666,60038,9,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(32667,60038,9,100,'Throws target back',1,1),
(32668,60038,9,100,'Blurs vision of target',1,2),
(32669,60038,9,100,'Stuns target',1,3),
(32670,60038,9,100,'Does not affect Epic targets',1,4),
(32671,60038,9,100,'Inflicts 237 - 396 melee damage on target',0,5),
(32672,60039,1,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(32673,60039,1,100,'Throws target back',1,1),
(32674,60039,1,100,'Blurs vision of target',1,2),
(32675,60039,1,100,'Stuns target',1,3),
(32676,60039,1,100,'Does not affect Epic targets',1,4),
(32677,60039,1,100,'Inflicts 161 - 269 melee damage on target',0,5),
(32678,60039,2,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(32679,60039,2,100,'Throws target back',1,1),
(32680,60039,2,100,'Blurs vision of target',1,2),
(32681,60039,2,100,'Stuns target',1,3),
(32682,60039,2,100,'Does not affect Epic targets',1,4),
(32683,60039,2,100,'Inflicts 170 - 284 melee damage on target',0,5),
(32684,60039,3,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(32685,60039,3,100,'Throws target back',1,1),
(32686,60039,3,100,'Blurs vision of target',1,2),
(32687,60039,3,100,'Stuns target',1,3),
(32688,60039,3,100,'Does not affect Epic targets',1,4),
(32689,60039,3,100,'Inflicts 179 - 299 melee damage on target',0,5),
(32690,60039,4,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(32691,60039,4,100,'Throws target back',1,1),
(32692,60039,4,100,'Blurs vision of target',1,2),
(32693,60039,4,100,'Stuns target',1,3),
(32694,60039,4,100,'Does not affect Epic targets',1,4),
(32695,60039,4,100,'Inflicts 197 - 329 melee damage on target',0,5),
(32696,60039,5,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(32697,60039,5,100,'Throws target back',1,1),
(32698,60039,5,100,'Blurs vision of target',1,2),
(32699,60039,5,100,'Stuns target',1,3),
(32700,60039,5,100,'Does not affect Epic targets',1,4),
(32701,60039,5,100,'Inflicts 215 - 359 melee damage on target',0,5),
(32702,60039,7,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(32703,60039,7,100,'Throws target back',1,1),
(32704,60039,7,100,'Blurs vision of target',1,2),
(32705,60039,7,100,'Stuns target',1,3),
(32706,60039,7,100,'Does not affect Epic targets',1,4),
(32707,60039,7,100,'Inflicts 277 - 461 melee damage on target',0,5),
(32708,60039,9,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(32709,60039,9,100,'Throws target back',1,1),
(32710,60039,9,100,'Blurs vision of target',1,2),
(32711,60039,9,100,'Stuns target',1,3),
(32712,60039,9,100,'Does not affect Epic targets',1,4),
(32713,60039,9,100,'Inflicts 287 - 479 melee damage on target',0,5),
(32714,60040,1,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(32715,60040,1,100,'Throws target back',1,1),
(32716,60040,1,100,'Blurs vision of target',1,2),
(32717,60040,1,100,'Stuns target',1,3),
(32718,60040,1,100,'Does not affect Epic targets',1,4),
(32719,60040,1,100,'Inflicts 194 - 324 melee damage on target',0,5),
(32720,60040,4,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(32721,60040,4,100,'Throws target back',1,1),
(32722,60040,4,100,'Blurs vision of target',1,2),
(32723,60040,4,100,'Stuns target',1,3),
(32724,60040,4,100,'Does not affect Epic targets',1,4),
(32725,60040,4,100,'Inflicts 238 - 397 melee damage on target',0,5),
(32726,60040,5,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(32727,60040,5,100,'Throws target back',1,1),
(32728,60040,5,100,'Blurs vision of target',1,2),
(32729,60040,5,100,'Stuns target',1,3),
(32730,60040,5,100,'Does not affect Epic targets',1,4),
(32731,60040,5,100,'Inflicts 259 - 433 melee damage on target',0,5),
(32732,60040,7,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(32733,60040,7,100,'Throws target back',1,1),
(32734,60040,7,100,'Blurs vision of target',1,2),
(32735,60040,7,100,'Stuns target',1,3),
(32736,60040,7,100,'Does not affect Epic targets',1,4),
(32737,60040,7,100,'Inflicts 333 - 556 melee damage on target',0,5),
(32738,60040,9,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(32739,60040,9,100,'Throws target back',1,1),
(32740,60040,9,100,'Blurs vision of target',1,2),
(32741,60040,9,100,'Stuns target',1,3),
(32742,60040,9,100,'Does not affect Epic targets',1,4),
(32743,60040,9,100,'Inflicts 346 - 577 melee damage on target',0,5),
(32744,60041,1,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(32745,60041,1,100,'Throws target back',1,1),
(32746,60041,1,100,'Blurs vision of target',1,2),
(32747,60041,1,100,'Stuns target',1,3),
(32748,60041,1,100,'Does not affect Epic targets',1,4),
(32749,60041,1,100,'Inflicts 209 - 348 melee damage on target',0,5),
(32750,60041,4,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(32751,60041,4,100,'Throws target back',1,1),
(32752,60041,4,100,'Blurs vision of target',1,2),
(32753,60041,4,100,'Stuns target',1,3),
(32754,60041,4,100,'Does not affect Epic targets',1,4),
(32755,60041,4,100,'Inflicts 255 - 426 melee damage on target',0,5),
(32756,60041,5,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(32757,60041,5,100,'Throws target back',1,1),
(32758,60041,5,100,'Blurs vision of target',1,2),
(32759,60041,5,100,'Stuns target',1,3),
(32760,60041,5,100,'Does not affect Epic targets',1,4),
(32761,60041,5,100,'Inflicts 278 - 464 melee damage on target',0,5),
(32762,60041,7,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(32763,60041,7,100,'Throws target back',1,1),
(32764,60041,7,100,'Blurs vision of target',1,2),
(32765,60041,7,100,'Stuns target',1,3),
(32766,60041,7,100,'Does not affect Epic targets',1,4),
(32767,60041,7,100,'Inflicts 358 - 596 melee damage on target',0,5),
(32768,60041,9,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(32769,60041,9,100,'Throws target back',1,1),
(32770,60041,9,100,'Blurs vision of target',1,2),
(32771,60041,9,100,'Stuns target',1,3),
(32772,60041,9,100,'Does not affect Epic targets',1,4),
(32773,60041,9,100,'Inflicts 371 - 619 melee damage on target',0,5),
(32774,310002,1,100,'Stuns target',0,0),
(32775,310002,1,100,'Does not affect Epic targets',0,1),
(32776,310002,1,100,'Stuns target',1,2),
(32777,310002,1,100,'Does not affect Heroic or Epic targets.',1,3),
(32778,310002,1,100,'Does not affect Epic targets',0,4),
(32779,2000045,1,100,'Increases Attack Speed of caster by 50.0',0,0),
(32780,2000045,1,100,'Increases Multi Attack Chance of caster by 50.0',0,1),
(32781,2000045,1,100,'Increases Ability Reuse Speed of caster by 50.0%',0,2),
(32782,2000045,1,100,'Increases Ability Recovery Speed of caster by 100.0%',0,3),
(32783,2000045,1,100,'Increases Ability Casting Speed of caster by 100.0%',0,4),
(32784,420008,1,100,'Wards group members (AE) against 15 points of all damage',0,0),
(32785,420008,1,100,'The effect of this ability grows based on Savagery and Spirituality level.',0,1),
(32786,420008,1,100,'You must have your warder active to use this ability.',0,2),
(32787,2000046,1,100,'Reduces all damage done to caster by 50%',0,0),
(32788,420009,1,100,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(32789,420009,1,100,'Inflicts 49 - 59 cold damage on target',1,1),
(32790,420009,4,100,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(32791,420009,4,100,'Inflicts 59 - 73 cold damage on target',1,1),
(32792,420009,5,100,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(32793,420009,5,100,'Inflicts 65 - 79 cold damage on target',1,1),
(32794,420009,7,100,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(32795,420009,7,100,'Inflicts 83 - 102 cold damage on target',1,1),
(32796,420009,9,100,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(32797,420009,9,100,'Inflicts 86 - 106 cold damage on target',1,1),
(32798,420009,10,100,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(32799,420009,10,100,'Inflicts 91 - 111 cold damage on target',1,1),
(32800,420010,1,100,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(32801,420010,1,100,'Inflicts 68 - 83 cold damage on target',1,1),
(32802,420010,4,100,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(32803,420010,4,100,'Inflicts 83 - 102 cold damage on target',1,1),
(32804,420010,5,100,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(32805,420010,5,100,'Inflicts 91 - 111 cold damage on target',1,1),
(32806,420010,7,100,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(32807,420010,7,100,'Inflicts 117 - 142 cold damage on target',1,1),
(32808,420010,9,100,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(32809,420010,9,100,'Inflicts 121 - 148 cold damage on target',1,1),
(32810,420010,10,100,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(32811,420010,10,100,'Inflicts 127 - 155 cold damage on target',1,1),
(32812,420011,1,100,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(32813,420011,1,100,'Inflicts 91 - 112 cold damage on target',1,1),
(32814,420011,4,100,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(32815,420011,4,100,'Inflicts 112 - 137 cold damage on target',1,1),
(32816,420011,5,100,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(32817,420011,5,100,'Inflicts 122 - 149 cold damage on target',1,1),
(32818,420011,7,100,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(32819,420011,7,100,'Inflicts 157 - 191 cold damage on target',1,1),
(32820,420011,9,100,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(32821,420011,9,100,'Inflicts 163 - 199 cold damage on target',1,1),
(32822,420012,1,100,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(32823,420012,1,100,'Inflicts 116 - 142 cold damage on target',1,1),
(32824,420012,4,100,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(32825,420012,4,100,'Inflicts 142 - 173 cold damage on target',1,1),
(32826,420012,5,100,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(32827,420012,5,100,'Inflicts 154 - 189 cold damage on target',1,1),
(32828,420012,7,100,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(32829,420012,7,100,'Inflicts 198 - 242 cold damage on target',1,1),
(32830,420012,9,100,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(32831,420012,9,100,'Inflicts 206 - 252 cold damage on target',1,1),
(32832,420012,10,100,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(32833,420012,10,100,'Inflicts 216 - 264 cold damage on target',1,1),
(32834,420013,1,100,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(32835,420013,1,100,'Inflicts 140 - 171 cold damage on target',1,1),
(32836,420013,4,100,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(32837,420013,4,100,'Inflicts 171 - 209 cold damage on target',1,1),
(32838,420013,5,100,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(32839,420013,5,100,'Inflicts 187 - 228 cold damage on target',1,1),
(32840,420013,7,100,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(32841,420013,7,100,'Inflicts 240 - 293 cold damage on target',1,1),
(32842,420013,9,100,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(32843,420013,9,100,'Inflicts 249 - 305 cold damage on target',1,1),
(32844,420013,10,100,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(32845,420013,10,100,'Inflicts 262 - 320 cold damage on target',1,1),
(32846,420014,1,100,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(32847,420014,1,100,'Inflicts 170 - 207 cold damage on target',1,1),
(32848,420014,4,100,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(32849,420014,4,100,'Inflicts 207 - 253 cold damage on target',1,1),
(32850,420014,5,100,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(32851,420014,5,100,'Inflicts 226 - 277 cold damage on target',1,1),
(32852,420014,7,100,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(32853,420014,7,100,'Inflicts 290 - 355 cold damage on target',1,1),
(32854,420014,9,100,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(32855,420014,9,100,'Inflicts 302 - 369 cold damage on target',1,1),
(32856,420015,1,100,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(32857,420015,1,100,'Inflicts 204 - 250 cold damage on target',1,1),
(32858,420015,4,100,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(32859,420015,4,100,'Inflicts 250 - 305 cold damage on target',1,1),
(32860,420015,5,100,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(32861,420015,5,100,'Inflicts 273 - 333 cold damage on target',1,1),
(32862,420015,7,100,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(32863,420015,7,100,'Inflicts 350 - 428 cold damage on target',1,1),
(32864,420015,9,100,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(32865,420015,9,100,'Inflicts 363 - 444 cold damage on target',1,1),
(32866,420016,1,100,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(32867,420016,1,100,'Inflicts 222 - 271 cold damage on target',1,1),
(32868,420016,4,100,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(32869,420016,4,100,'Inflicts 271 - 331 cold damage on target',1,1),
(32870,420016,5,100,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(32871,420016,5,100,'Inflicts 296 - 362 cold damage on target',1,1),
(32872,420016,7,100,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(32873,420016,7,100,'Inflicts 380 - 464 cold damage on target',1,1),
(32874,420016,9,100,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(32875,420016,9,100,'Inflicts 394 - 482 cold damage on target',1,1),
(32876,2000047,1,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(32877,2000047,1,100,'Slows target by 30.2%',1,1),
(32878,2000047,1,100,'5% chance to dispel when target receives hostile action',1,2),
(32879,2000047,1,100,'5% chance to dispel when target takes damage',1,3),
(32880,2000047,1,100,'Inflicts 3 - 4 cold damage on target',0,4),
(32881,2000047,2,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(32882,2000047,2,100,'Slows target by 42.8%',1,1),
(32883,2000047,2,100,'5% chance to dispel when target receives hostile action',1,2),
(32884,2000047,2,100,'5% chance to dispel when target takes damage',1,3),
(32885,2000047,2,100,'Inflicts 631 - 771 cold damage on target',0,4),
(32886,2000047,3,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(32887,2000047,3,100,'Slows target by 42.8%',1,1),
(32888,2000047,3,100,'5% chance to dispel when target receives hostile action',1,2),
(32889,2000047,3,100,'5% chance to dispel when target takes damage',1,3),
(32890,2000047,3,100,'Inflicts 664 - 812 cold damage on target',0,4),
(32891,2000047,4,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(32892,2000047,4,100,'Slows target by 42.8%',1,1),
(32893,2000047,4,100,'5% chance to dispel when target receives hostile action',1,2),
(32894,2000047,4,100,'5% chance to dispel when target takes damage',1,3),
(32895,2000047,4,100,'Inflicts 731 - 893 cold damage on target',0,4),
(32896,2000047,5,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(32897,2000047,5,100,'Slows target by 42.8%',1,1),
(32898,2000047,5,100,'5% chance to dispel when target receives hostile action',1,2),
(32899,2000047,5,100,'5% chance to dispel when target takes damage',1,3),
(32900,2000047,5,100,'Inflicts 797 - 975 cold damage on target',0,4),
(32901,2000048,1,100,'Inflicts 673 - 823 disease damage on targets in Area of Effect',0,0),
(32902,2000048,2,100,'Inflicts 710 - 868 disease damage on targets in Area of Effect',0,0),
(32903,2000048,3,100,'Inflicts 997 - 1218 disease damage on targets in Area of Effect',0,0),
(32904,2000048,4,100,'Inflicts 823 - 1005 disease damage on targets in Area of Effect',0,0),
(32905,2000048,5,100,'Inflicts 897 - 1097 disease damage on targets in Area of Effect',0,0),
(32906,320002,1,100,'Interrupts targets in Area of Effect',0,0),
(32907,320002,1,100,'Inflicts 8 - 12 melee damage on targets in Area of Effect',0,1),
(32908,320002,2,100,'Interrupts targets in Area of Effect',0,0),
(32909,320002,2,100,'Inflicts 9 - 13 melee damage on targets in Area of Effect',0,1),
(32910,320002,3,100,'Interrupts targets in Area of Effect',0,0),
(32911,320002,3,100,'Inflicts 9 - 14 melee damage on targets in Area of Effect',0,1),
(32912,320002,4,100,'Interrupts targets in Area of Effect',0,0),
(32913,320002,4,100,'Inflicts 10 - 15 melee damage on targets in Area of Effect',0,1),
(32914,320002,5,100,'Interrupts targets in Area of Effect',0,0),
(32915,320002,5,100,'Inflicts 11 - 16 melee damage on targets in Area of Effect',0,1),
(32916,320002,7,100,'Interrupts targets in Area of Effect',0,0),
(32917,320002,7,100,'Inflicts 13 - 19 melee damage on targets in Area of Effect',0,1),
(32918,320002,9,100,'Interrupts targets in Area of Effect',0,0),
(32919,320002,9,100,'Inflicts 15 - 21 melee damage on targets in Area of Effect',0,1),
(32920,100008,4,100,'Increases Threat to target by 124 - 152  instantly and by 24 - 29  every 2 seconds thereafter',0,0),
(32921,100008,5,100,'Increases Threat to target by 135 - 166  instantly and by 26 - 32  every 2 seconds thereafter',0,0),
(32922,100008,7,100,'Increases Threat to target by 174 - 213  instantly and by 32 - 40  every 2 seconds thereafter',0,0),
(32923,100008,9,100,'Increases Threat to target by 181 - 221  instantly and by 33 - 41  every 2 seconds thereafter',0,0),
(32924,100009,2,100,'Increases Threat to target by 414 - 506  instantly and by 82 - 101  every 2 seconds thereafter',0,0),
(32925,100009,3,100,'Increases Threat to target by 436 - 533  instantly and by 87 - 106  every 2 seconds thereafter',0,0),
(32926,100009,4,100,'Increases Threat to target by 479 - 586  instantly and by 95 - 117  every 2 seconds thereafter',0,0),
(32927,100009,5,100,'Increases Threat to target by 523 - 639  instantly and by 104 - 127  every 2 seconds thereafter',0,0),
(32928,100009,7,100,'Increases Threat to target by 671 - 820  instantly and by 133 - 162  every 2 seconds thereafter',0,0),
(32929,100009,9,100,'Increases Threat to target by 697 - 852  instantly and by 138 - 168  every 2 seconds thereafter',0,0),
(32931,100010,1,100,'Increases Threat to target by 732 - 895  instantly and by 146 - 179  every 2 seconds thereafter',0,0),
(32932,100010,2,100,'Increases Threat to target by 773 - 945  instantly and by 154 - 189  every 2 seconds thereafter',0,0),
(32933,100010,3,100,'Increases Threat to target by 814 - 995  instantly and by 162 - 199  every 2 seconds thereafter',0,0),
(32934,100010,4,100,'Increases Threat to target by 895 - 1,094  instantly and by 178 - 218  every 2 seconds thereafter',0,0),
(32935,100010,5,100,'Increases Threat to target by 977 - 1,194  instantly and by 194 - 238  every 2 seconds thereafter',0,0),
(32936,100010,7,100,'Increases Threat to target by 1,253 - 1,424  instantly and by 249 - 305  every 2 seconds thereafter',0,0),
(32937,100010,9,100,'Increases Threat to target by 1,292 - 1,459  instantly and by 259 - 316  every 2 seconds thereafter',0,0),
(32938,100011,1,100,'Increases Threat to target by 1,375 - 1,560  instantly and by 290 - 355  every 2 seconds thereafter',0,0),
(32939,100011,2,100,'Increases Threat to target by 1,421 - 1,617  instantly and by 306 - 375  every 2 seconds thereafter',0,0),
(32940,100011,3,100,'Increases Threat to target by 1,467 - 1,674  instantly and by 322 - 394  every 2 seconds thereafter',0,0),
(32941,100011,4,100,'Increases Threat to target by 1,560 - 1,787  instantly and by 355 - 433  every 2 seconds thereafter',0,0),
(32942,100011,5,100,'Increases Threat to target by 1,653 - 1,900  instantly and by 387 - 473  every 2 seconds thereafter',0,0),
(32943,100011,7,100,'Increases Threat to target by 1,969 - 2,286  instantly and by 496 - 606  every 2 seconds thereafter',0,0),
(32944,100011,9,100,'Increases Threat to target by 2,024 - 2,354  instantly and by 515 - 629  every 2 seconds thereafter',0,0),
(32946,100012,1,100,'Increases Threat to target by 4,274 - 5,104  instantly and by 1,287 - 1,453  every 2 seconds thereafter',0,0),
(32947,100012,4,100,'Increases Threat to target by 5,104 - 6,118  instantly and by 1,452 - 1,655  every 2 seconds thereafter',0,0),
(32948,100012,5,100,'Increases Threat to target by 5,519 - 6,625  instantly and by 1,535 - 1,756  every 2 seconds thereafter',0,0),
(32949,100012,7,100,'Increases Threat to target by 6,930 - 8,350  instantly and by 1,816 - 2,099  every 2 seconds thereafter',0,0),
(32950,100012,9,100,'Increases Threat to target by 7,179 - 8,654  instantly and by 1,865 - 2,160  every 2 seconds thereafter',0,0),
(32952,100013,1,100,'Increases Threat to target by 1,867 - 2,162  instantly and by 463 - 566  every 2 seconds thereafter',0,0),
(32953,100013,2,100,'Increases Threat to target by 1,941 - 2,253  instantly and by 488 - 597  every 2 seconds thereafter',0,0),
(32954,100013,3,100,'Increases Threat to target by 2,015 - 2,343  instantly and by 514 - 628  every 2 seconds thereafter',0,0),
(32955,100013,4,100,'Increases Threat to target by 2,162 - 2,523  instantly and by 565 - 691  every 2 seconds thereafter',0,0),
(32956,100013,5,100,'Increases Threat to target by 2,310 - 2,703  instantly and by 616 - 753  every 2 seconds thereafter',0,0),
(32957,100013,7,100,'Increases Threat to target by 2,812 - 3,316  instantly and by 790 - 966  every 2 seconds thereafter',0,0),
(32958,100013,9,100,'Increases Threat to target by 2,900 - 3,425  instantly and by 821 - 1,003  every 2 seconds thereafter',0,0),
(32959,100014,1,100,'Increases Threat to target by 2,454 - 2,880  instantly and by 668 - 817  every 2 seconds thereafter',0,0),
(32960,100014,2,100,'Increases Threat to target by 2,561 - 3,010  instantly and by 705 - 862  every 2 seconds thereafter',0,0),
(32961,100014,3,100,'Increases Threat to target by 2,667 - 3,140  instantly and by 742 - 907  every 2 seconds thereafter',0,0),
(32962,100014,4,100,'Increases Threat to target by 2,880 - 3,400  instantly and by 816 - 997  every 2 seconds thereafter',0,0),
(32963,100014,5,100,'Increases Threat to target by 3,092 - 3,660  instantly and by 890 - 1,088  every 2 seconds thereafter',0,0),
(32964,100014,7,100,'Increases Threat to target by 3,816 - 4,544  instantly and by 1,141 - 1,338  every 2 seconds thereafter',0,0),
(32965,100014,9,100,'Increases Threat to target by 3,943 - 4,700  instantly and by 1,186 - 1,369  every 2 seconds thereafter',0,0),
(32966,100015,1,100,'Increases Threat to target by 3,057 - 3,616  instantly and by 879 - 1,074  every 2 seconds thereafter',0,0),
(32967,100015,2,100,'Increases Threat to target by 3,197 - 3,787  instantly and by 927 - 1,134  every 2 seconds thereafter',0,0),
(32968,100015,3,100,'Increases Threat to target by 3,336 - 3,958  instantly and by 976 - 1,193  every 2 seconds thereafter',0,0),
(32969,100015,4,100,'Increases Threat to target by 3,616 - 4,300  instantly and by 1,073 - 1,291  every 2 seconds thereafter',0,0),
(32970,100015,5,100,'Increases Threat to target by 3,896 - 4,642  instantly and by 1,171 - 1,359  every 2 seconds thereafter',0,0),
(32971,100015,7,100,'Increases Threat to target by 4,847 - 5,804  instantly and by 1,399 - 1,590  every 2 seconds thereafter',0,0),
(32972,100015,9,100,'Increases Threat to target by 5,014 - 6,009  instantly and by 1,433 - 1,631  every 2 seconds thereafter',0,0),
(32974,100016,1,100,'Increases Threat to target by 3,665 - 4,360  instantly and by 1,092 - 1,304  every 2 seconds thereafter',0,0),
(32975,100016,4,100,'Increases Threat to target by 4,360 - 5,209  instantly and by 1,303 - 1,473  every 2 seconds thereafter',0,0),
(32976,100016,5,100,'Increases Threat to target by 4,707 - 5,634  instantly and by 1,372 - 1,557  every 2 seconds thereafter',0,0),
(32977,100016,7,100,'Increases Threat to target by 5,888 - 7,077  instantly and by 1,607 - 1,845  every 2 seconds thereafter',0,0),
(32978,100016,9,100,'Increases Threat to target by 6,097 - 7,332  instantly and by 1,649 - 1,895  every 2 seconds thereafter',0,0),
(32980,420017,1,100,'Inflicts 459 - 765 melee damage on target',0,0),
(32981,420017,1,100,'The effect of this ability grows based on Savagery and Feral Rampage level.',0,1),
(32982,420017,1,100,'You must have your warder active to use this ability.',0,2),
(32983,90008,1,100,'Inflicts 36 - 60 disease damage on target',0,0),
(32984,90008,1,100,'Decreases WIS of target by 16.2',0,1),
(32985,90008,2,100,'Inflicts 38 - 64 disease damage on target',0,0),
(32986,90008,2,100,'Decreases WIS of target by 17.1',0,1),
(32987,90008,3,100,'Inflicts 40 - 67 disease damage on target',0,0),
(32988,90008,3,100,'Decreases WIS of target by 18.0',0,1),
(32989,90008,4,100,'Inflicts 44 - 74 disease damage on target',0,0),
(32990,90008,4,100,'Decreases WIS of target by 19.8',0,1),
(32991,90008,5,100,'Inflicts 48 - 80 disease damage on target',0,0),
(32992,90008,5,100,'Decreases WIS of target by 21.6',0,1),
(32993,90008,7,100,'Inflicts 62 - 103 disease damage on target',0,0),
(32994,90008,7,100,'Decreases WIS of target by 27.7',0,1),
(32995,90008,9,100,'Inflicts 64 - 107 disease damage on target',0,0),
(32996,90008,9,100,'Decreases WIS of target by 28.8',0,1),
(32997,90009,1,100,'Inflicts 73 - 122 disease damage on target',0,0),
(32998,90009,1,100,'Decreases WIS of target by 30.1',0,1),
(32999,90009,2,100,'Inflicts 77 - 129 disease damage on target',0,0),
(33000,90009,2,100,'Decreases WIS of target by 31.8',0,1),
(33001,90009,3,100,'Inflicts 81 - 136 disease damage on target',0,0),
(33002,90009,3,100,'Decreases WIS of target by 33.5',0,1),
(33003,90009,4,100,'Inflicts 90 - 150 disease damage on target',0,0),
(33004,90009,4,100,'Decreases WIS of target by 36.8',0,1),
(33005,90009,5,100,'Inflicts 98 - 163 disease damage on target',0,0),
(33006,90009,5,100,'Decreases WIS of target by 40.1',0,1),
(33007,90009,7,100,'Inflicts 126 - 210 disease damage on target',0,0),
(33008,90009,7,100,'Decreases WIS of target by 51.5',0,1),
(33009,90009,9,100,'Inflicts 131 - 218 disease damage on target',0,0),
(33010,90009,9,100,'Decreases WIS of target by 53.5',0,1),
(33011,90010,1,100,'Inflicts 115 - 192 disease damage on target',0,0),
(33012,90010,1,100,'Decreases WIS of target by 45.1',0,1),
(33013,90010,2,100,'Inflicts 122 - 203 disease damage on target',0,0),
(33014,90010,2,100,'Decreases WIS of target by 47.6',0,1),
(33015,90010,3,100,'Inflicts 128 - 214 disease damage on target',0,0),
(33016,90010,3,100,'Decreases WIS of target by 50.1',0,1),
(33017,90010,4,100,'Inflicts 141 - 235 disease damage on target',0,0),
(33018,90010,4,100,'Decreases WIS of target by 55.1',0,1),
(33019,90010,5,100,'Inflicts 154 - 257 disease damage on target',0,0),
(33020,90010,5,100,'Decreases WIS of target by 60.1',0,1),
(33021,90010,7,100,'Inflicts 197 - 329 disease damage on target',0,0),
(33022,90010,7,100,'Decreases WIS of target by 77.2',0,1),
(33023,90010,9,100,'Inflicts 205 - 342 disease damage on target',0,0),
(33024,90010,9,100,'Decreases WIS of target by 80.2',0,1),
(33025,90011,1,100,'Inflicts 165 - 275 disease damage on target',0,0),
(33026,90011,1,100,'Decreases WIS of target by 60.2',0,1),
(33027,90011,2,100,'Inflicts 174 - 290 disease damage on target',0,0),
(33028,90011,2,100,'Decreases WIS of target by 63.6',0,1),
(33029,90011,3,100,'Inflicts 183 - 306 disease damage on target',0,0),
(33030,90011,3,100,'Decreases WIS of target by 66.9',0,1),
(33031,90011,4,100,'Inflicts 202 - 336 disease damage on target',0,0),
(33032,90011,4,100,'Decreases WIS of target by 73.6',0,1),
(33033,90011,5,100,'Inflicts 220 - 367 disease damage on target',0,0),
(33034,90011,5,100,'Decreases WIS of target by 80.3',0,1),
(33035,90011,7,100,'Inflicts 282 - 471 disease damage on target',0,0),
(33036,90011,7,100,'Decreases WIS of target by 103.0',0,1),
(33037,90011,9,100,'Inflicts 294 - 490 disease damage on target',0,0),
(33038,90011,9,100,'Decreases WIS of target by 107.0',0,1),
(33039,90012,1,100,'Inflicts 215 - 359 disease damage on target',0,0),
(33040,90012,1,100,'Decreases WIS of target by 75.7',0,1),
(33041,90012,2,100,'Inflicts 227 - 379 disease damage on target',0,0),
(33042,90012,2,100,'Decreases WIS of target by 79.9',0,1),
(33043,90012,3,100,'Inflicts 239 - 399 disease damage on target',0,0),
(33044,90012,3,100,'Decreases WIS of target by 84.2',0,1),
(33045,90012,4,100,'Inflicts 263 - 439 disease damage on target',0,0),
(33046,90012,4,100,'Decreases WIS of target by 92.6',0,1),
(33047,90012,5,100,'Inflicts 287 - 479 disease damage on target',0,0),
(33048,90012,5,100,'Decreases WIS of target by 101.0',0,1),
(33049,90012,7,100,'Inflicts 369 - 615 disease damage on target',0,0),
(33050,90012,7,100,'Decreases WIS of target by 129.6',0,1),
(33051,90012,9,100,'Inflicts 383 - 639 disease damage on target',0,0),
(33052,90012,9,100,'Decreases WIS of target by 134.6',0,1),
(33053,90013,1,100,'Inflicts 261 - 436 disease damage on target',0,0),
(33054,90013,1,100,'Decreases WIS of target by 90.6',0,1),
(33055,90013,4,100,'Inflicts 319 - 533 disease damage on target',0,0),
(33056,90013,4,100,'Decreases WIS of target by 110.7',0,1),
(33057,90013,5,100,'Inflicts 348 - 581 disease damage on target',0,0),
(33058,90013,5,100,'Decreases WIS of target by 120.8',0,1),
(33059,90013,7,100,'Inflicts 447 - 746 disease damage on target',0,0),
(33060,90013,7,100,'Decreases WIS of target by 155.0',0,1),
(33061,90013,9,100,'Inflicts 465 - 775 disease damage on target',0,0),
(33062,90013,9,100,'Decreases WIS of target by 161.0',0,1),
(33063,90014,1,100,'Inflicts 356 - 594 disease damage on target',0,0),
(33064,90014,1,100,'Decreases WIS of target by 105.4',0,1),
(33065,90014,4,100,'Inflicts 436 - 727 disease damage on target',0,0),
(33066,90014,4,100,'Decreases WIS of target by 128.9',0,1),
(33067,90014,5,100,'Inflicts 475 - 793 disease damage on target',0,0),
(33068,90014,5,100,'Decreases WIS of target by 140.6',0,1),
(33069,90014,7,100,'Inflicts 610 - 1018 disease damage on target',0,0),
(33070,90014,7,100,'Decreases WIS of target by 180.4',0,1),
(33071,90014,9,100,'Inflicts 634 - 1057 disease damage on target',0,0),
(33072,90014,9,100,'Decreases WIS of target by 187.4',0,1),
(33073,70060,1,100,'Makes caster immune to Root effects',0,0),
(33074,70060,1,100,'Makes caster immune to Stun effects',0,1),
(33075,70060,1,100,'Makes caster immune to Stifle effects',0,2),
(33076,70060,1,100,'Makes caster immune to Fear effects',0,3),
(33077,70060,1,100,'Makes caster immune to Daze effects',0,4),
(33078,70060,1,100,'Makes caster immune to Mesmerize effects',0,5),
(33079,70060,2,100,'Makes caster immune to Root effects',0,0),
(33080,70060,2,100,'Makes caster immune to Stun effects',0,1),
(33081,70060,2,100,'Makes caster immune to Stifle effects',0,2),
(33082,70060,2,100,'Makes caster immune to Fear effects',0,3),
(33083,70060,2,100,'Makes caster immune to Daze effects',0,4),
(33084,70060,2,100,'Makes caster immune to Mesmerize effects',0,5),
(33085,70060,3,100,'Makes caster immune to Root effects',0,0),
(33086,70060,3,100,'Makes caster immune to Stun effects',0,1),
(33087,70060,3,100,'Makes caster immune to Stifle effects',0,2),
(33088,70060,3,100,'Makes caster immune to Fear effects',0,3),
(33089,70060,3,100,'Makes caster immune to Daze effects',0,4),
(33090,70060,3,100,'Makes caster immune to Mesmerize effects',0,5),
(33091,70060,4,100,'Makes caster immune to Root effects',0,0),
(33092,70060,4,100,'Makes caster immune to Stun effects',0,1),
(33093,70060,4,100,'Makes caster immune to Stifle effects',0,2),
(33094,70060,4,100,'Makes caster immune to Fear effects',0,3),
(33095,70060,4,100,'Makes caster immune to Daze effects',0,4),
(33096,70060,4,100,'Makes caster immune to Mesmerize effects',0,5),
(33097,70060,5,100,'Makes caster immune to Root effects',0,0),
(33098,70060,5,100,'Makes caster immune to Stun effects',0,1),
(33099,70060,5,100,'Makes caster immune to Stifle effects',0,2),
(33100,70060,5,100,'Makes caster immune to Fear effects',0,3),
(33101,70060,5,100,'Makes caster immune to Daze effects',0,4),
(33102,70060,5,100,'Makes caster immune to Mesmerize effects',0,5),
(33103,70060,7,100,'Makes caster immune to Root effects',0,0),
(33104,70060,7,100,'Makes caster immune to Stun effects',0,1),
(33105,70060,7,100,'Makes caster immune to Stifle effects',0,2),
(33106,70060,7,100,'Makes caster immune to Fear effects',0,3),
(33107,70060,7,100,'Makes caster immune to Daze effects',0,4),
(33108,70060,7,100,'Makes caster immune to Mesmerize effects',0,5),
(33109,70060,9,100,'Makes caster immune to Root effects',0,0),
(33110,70060,9,100,'Makes caster immune to Stun effects',0,1),
(33111,70060,9,100,'Makes caster immune to Stifle effects',0,2),
(33112,70060,9,100,'Makes caster immune to Fear effects',0,3),
(33113,70060,9,100,'Makes caster immune to Daze effects',0,4),
(33114,70060,9,100,'Makes caster immune to Mesmerize effects',0,5),
(33115,2000049,1,100,'On any combat or spell hit this spell will cast Fierce Combat on target of attack.  ',0,0),
(33116,2000049,1,100,'Inflicts 187 - 312 slashing damage on target',1,1),
(33117,2000049,1,100,'Grants a total of 1 trigger of the spell.',1,2),
(33118,2000049,2,100,'On any combat or spell hit this spell will cast Fierce Combat on target of attack.  ',0,0),
(33119,2000049,2,100,'Inflicts 148 - 247 slashing damage on target',1,1),
(33120,2000049,2,100,'Grants a total of 1 trigger of the spell.',1,2),
(33121,2000049,3,100,'On any combat or spell hit this spell will cast Fierce Combat on target of attack.  ',0,0),
(33122,2000049,3,100,'Inflicts 156 - 260 slashing damage on target',1,1),
(33123,2000049,3,100,'Grants a total of 1 trigger of the spell.',1,2),
(33124,2000049,4,100,'On any combat or spell hit this spell will cast Fierce Combat on target of attack.  ',0,0),
(33125,2000049,4,100,'Inflicts 171 - 286 slashing damage on target',1,1),
(33126,2000049,4,100,'Grants a total of 1 trigger of the spell.',1,2),
(33127,2000049,5,100,'On any combat or spell hit this spell will cast Fierce Combat on target of attack.  ',0,0),
(33128,2000049,5,100,'Inflicts 249 - 416 slashing damage on target',1,1),
(33129,2000049,5,100,'Grants a total of 1 trigger of the spell.',1,2),
(33130,2000049,6,100,'On any combat or spell hit this spell will cast Fierce Combat on target of attack.  ',0,0),
(33131,2000049,6,100,'Inflicts 203 - 338 slashing damage on target',1,1),
(33132,2000049,6,100,'Grants a total of 1 trigger of the spell.',1,2),
(33133,2000049,7,100,'On any combat or spell hit this spell will cast Fierce Combat on target of attack.  ',0,0),
(33134,2000049,7,100,'Inflicts 240 - 400 slashing damage on target',1,1),
(33135,2000049,7,100,'Grants a total of 1 trigger of the spell.',1,2),
(33136,2000049,8,100,'On any combat or spell hit this spell will cast Fierce Combat on target of attack.  ',0,0),
(33137,2000049,8,100,'Inflicts 242 - 403 slashing damage on target',1,1),
(33138,2000049,8,100,'Grants a total of 1 trigger of the spell.',1,2),
(33139,2000049,9,100,'On any combat or spell hit this spell will cast Fierce Combat on target of attack.  ',0,0),
(33140,2000049,9,100,'Inflicts 249 - 416 slashing damage on target',1,1),
(33141,2000049,9,100,'Grants a total of 1 trigger of the spell.',1,2),
(33142,2000049,10,100,'On any combat or spell hit this spell will cast Fierce Combat on target of attack.  ',0,0),
(33143,2000049,10,100,'Inflicts 262 - 436 slashing damage on target',1,1),
(33144,2000049,10,100,'Grants a total of 1 trigger of the spell.',1,2),
(33145,2000050,1,100,'Allows group members (AE) to hit all melee based attacks for maximum damage.',0,0),
(33146,400027,1,100,'Decreases Hate Gain of caster by 22.5%',0,0),
(33147,400027,1,100,'On a combat hit this spell will cast Combat Stealth on target.  Lasts for 0.1 seconds.  ',0,1),
(33148,400027,1,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',1,2),
(33149,400027,1,100,'Grants stealth to caster',2,3),
(33150,400027,1,100,'Suspends caster''s movement speed enhancements',2,4),
(33151,400027,2,100,'Decreases Hate Gain of caster by 23.8%',0,0),
(33152,400027,2,100,'On a combat hit this spell will cast Combat Stealth on target.  Lasts for 0.1 seconds.  ',0,1),
(33153,400027,2,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',1,2),
(33154,400027,2,100,'Grants stealth to caster',2,3),
(33155,400027,2,100,'Suspends caster''s movement speed enhancements',2,4),
(33156,400027,3,100,'Decreases Hate Gain of caster by 25.0%',0,0),
(33157,400027,3,100,'On a combat hit this spell will cast Combat Stealth on target.  Lasts for 0.1 seconds.  ',0,1),
(33158,400027,3,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',1,2),
(33159,400027,3,100,'Grants stealth to caster',2,3),
(33160,400027,3,100,'Suspends caster''s movement speed enhancements',2,4),
(33161,400027,4,100,'Decreases Hate Gain of caster by 27.5%',0,0),
(33162,400027,4,100,'On a combat hit this spell will cast Combat Stealth on target.  Lasts for 0.1 seconds.  ',0,1),
(33163,400027,4,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',1,2),
(33164,400027,4,100,'Grants stealth to caster',2,3),
(33165,400027,4,100,'Suspends caster''s movement speed enhancements',2,4),
(33166,400027,5,100,'Decreases Hate Gain of caster by 30.0%',0,0),
(33167,400027,5,100,'On a combat hit this spell will cast Combat Stealth on target.  Lasts for 0.1 seconds.  ',0,1),
(33168,400027,5,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',1,2),
(33169,400027,5,100,'Grants stealth to caster',2,3),
(33170,400027,5,100,'Suspends caster''s movement speed enhancements',2,4),
(33171,400027,7,100,'Decreases Hate Gain of caster by 38.5%',0,0),
(33172,400027,7,100,'On a combat hit this spell will cast Combat Stealth on target.  Lasts for 0.1 seconds.  ',0,1),
(33173,400027,7,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',1,2),
(33174,400027,7,100,'Grants stealth to caster',2,3),
(33175,400027,7,100,'Suspends caster''s movement speed enhancements',2,4),
(33176,400027,9,100,'Decreases Hate Gain of caster by 40.0%',0,0),
(33177,400027,9,100,'On a combat hit this spell will cast Combat Stealth on target.  Lasts for 0.1 seconds.  ',0,1),
(33178,400027,9,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',1,2),
(33179,400027,9,100,'Grants stealth to caster',2,3),
(33180,400027,9,100,'Suspends caster''s movement speed enhancements',2,4),
(33181,30055,1,100,'Inflicts 28 - 47 crushing damage on target',0,0),
(33182,30055,1,100,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 4.6',0,1),
(33183,20003,1,100,'Inflicts 23 - 39 crushing damage on target',0,0),
(33184,20003,1,100,'Decreases power of target by 23 - 38',0,1),
(33185,30055,2,100,'Inflicts 29 - 49 crushing damage on target',0,0),
(33186,30055,2,100,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 4.8',0,1),
(33187,20003,2,100,'Inflicts 24 - 41 crushing damage on target',0,0),
(33188,20003,2,100,'Decreases power of target by 24 - 40',0,1),
(33189,30055,3,100,'Inflicts 31 - 52 crushing damage on target',0,0),
(33190,30055,3,100,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 5.1',0,1),
(33191,20003,3,100,'Inflicts 26 - 43 crushing damage on target',0,0),
(33192,20003,3,100,'Decreases power of target by 26 - 43',0,1),
(33193,30055,4,100,'Inflicts 34 - 57 crushing damage on target',0,0),
(33194,30055,4,100,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 5.6',0,1),
(33195,20003,4,100,'Inflicts 28 - 47 crushing damage on target',0,0),
(33196,20003,4,100,'Decreases power of target by 28 - 47',0,1),
(33197,30055,5,100,'Inflicts 37 - 62 crushing damage on target',0,0),
(33198,30055,5,100,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 6.1',0,1),
(33199,20003,5,100,'Inflicts 31 - 52 crushing damage on target',0,0),
(33200,20003,5,100,'Decreases power of target by 31 - 51',0,1),
(33201,30055,7,100,'Inflicts 48 - 80 crushing damage on target',0,0),
(33202,30055,7,100,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 7.9',0,1),
(33203,20003,7,100,'Inflicts 40 - 67 crushing damage on target',0,0),
(33204,20003,7,100,'Decreases power of target by 39 - 65',0,1),
(33205,30055,9,100,'Inflicts 50 - 83 crushing damage on target',0,0),
(33206,30055,9,100,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 8.2',0,1),
(33207,20003,9,100,'Inflicts 41 - 69 crushing damage on target',0,0),
(33208,20003,9,100,'Decreases power of target by 41 - 68',0,1),
(33209,30056,1,100,'Inflicts 54 - 90 crushing damage on target',0,0),
(33210,30056,1,100,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 8.4',0,1),
(33211,30056,2,100,'Inflicts 57 - 95 crushing damage on target',0,0),
(33212,30056,2,100,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 8.8',0,1),
(33213,30056,3,100,'Inflicts 60 - 100 crushing damage on target',0,0),
(33214,30056,3,100,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 9.3',0,1),
(33215,30056,4,100,'Inflicts 66 - 111 crushing damage on target',0,0),
(33216,30056,4,100,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 10.2',0,1),
(33217,30056,5,100,'Inflicts 72 - 121 crushing damage on target',0,0),
(33218,30056,5,100,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 11.2',0,1),
(33219,30056,7,100,'Inflicts 93 - 155 crushing damage on target',0,0),
(33220,30056,7,100,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 14.3',0,1),
(33221,30056,9,100,'Inflicts 96 - 161 crushing damage on target',0,0),
(33222,30056,9,100,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 14.9',0,1),
(33223,30057,1,100,'Inflicts 84 - 140 crushing damage on target',0,0),
(33224,30057,1,100,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 12.1',0,1),
(33225,30057,2,100,'Inflicts 88 - 148 crushing damage on target',0,0),
(33226,30057,2,100,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 12.8',0,1),
(33227,30057,3,100,'Inflicts 93 - 155 crushing damage on target',0,0),
(33228,30057,3,100,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 13.5',0,1),
(33229,30057,4,100,'Inflicts 102 - 171 crushing damage on target',0,0),
(33230,30057,4,100,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 14.9',0,1),
(33231,30057,5,100,'Inflicts 112 - 187 crushing damage on target',0,0),
(33232,30057,5,100,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 16.2',0,1),
(33233,30057,7,100,'Inflicts 144 - 240 crushing damage on target',0,0),
(33234,30057,7,100,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 20.8',0,1),
(33235,30057,9,100,'Inflicts 149 - 249 crushing damage on target',0,0),
(33236,30057,9,100,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 21.6',0,1),
(33237,30058,1,100,'Inflicts 118 - 197 crushing damage on target',0,0),
(33238,30058,1,100,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 15.9',0,1),
(33239,30058,2,100,'Inflicts 124 - 208 crushing damage on target',0,0),
(33240,30058,2,100,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 16.8',0,1),
(33241,30058,3,100,'Inflicts 131 - 219 crushing damage on target',0,0),
(33242,30058,3,100,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 17.7',0,1),
(33243,30058,4,100,'Inflicts 144 - 240 crushing damage on target',0,0),
(33244,30058,4,100,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 19.5',0,1),
(33245,30058,5,100,'Inflicts 157 - 262 crushing damage on target',0,0),
(33246,30058,5,100,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 21.2',0,1),
(33247,30058,7,100,'Inflicts 202 - 337 crushing damage on target',0,0),
(33248,30058,7,100,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 27.3',0,1),
(33249,30058,9,100,'Inflicts 210 - 350 crushing damage on target',0,0),
(33250,30058,9,100,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 28.3',0,1),
(33251,30059,1,100,'Inflicts 154 - 257 crushing damage on target',0,0),
(33252,30059,1,100,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 19.7',0,1),
(33253,30059,2,100,'Inflicts 162 - 271 crushing damage on target',0,0),
(33254,30059,2,100,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 20.8',0,1),
(33255,30059,3,100,'Inflicts 171 - 285 crushing damage on target',0,0),
(33256,30059,3,100,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 21.9',0,1),
(33257,30059,4,100,'Inflicts 188 - 314 crushing damage on target',0,0),
(33258,30059,4,100,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 24.1',0,1),
(33259,30059,5,100,'Inflicts 205 - 342 crushing damage on target',0,0),
(33260,30059,5,100,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 26.3',0,1),
(33261,30059,7,100,'Inflicts 263 - 439 crushing damage on target',0,0),
(33262,30059,7,100,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 33.7',0,1),
(33263,30059,9,100,'Inflicts 274 - 457 crushing damage on target',0,0),
(33264,30059,9,100,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 35.0',0,1),
(33265,30059,10,100,'Inflicts 287 - 479 crushing damage on target',0,0),
(33266,30059,10,100,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 36.8',0,1),
(33267,30060,1,100,'Inflicts 186 - 310 crushing damage on target',0,0),
(33268,30060,1,100,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 22.4',0,1),
(33269,30060,4,100,'Inflicts 228 - 380 crushing damage on target',0,0),
(33270,30060,4,100,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 27.4',0,1),
(33271,30060,5,100,'Inflicts 248 - 414 crushing damage on target',0,0),
(33272,30060,5,100,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 29.9',0,1),
(33273,30060,7,100,'Inflicts 319 - 532 crushing damage on target',0,0),
(33274,30060,7,100,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 38.3',0,1),
(33275,30060,9,100,'Inflicts 331 - 552 crushing damage on target',0,0),
(33276,30060,9,100,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 39.8',0,1),
(33277,30061,1,100,'Inflicts 215 - 359 crushing damage on target',0,0),
(33278,30061,1,100,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 25.1',0,1),
(33279,30061,4,100,'Inflicts 263 - 438 crushing damage on target',0,0),
(33280,30061,4,100,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 30.7',0,1),
(33281,30061,5,100,'Inflicts 287 - 478 crushing damage on target',0,0),
(33282,30061,5,100,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 33.5',0,1),
(33283,30061,7,100,'Inflicts 368 - 614 crushing damage on target',0,0),
(33284,30061,7,100,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 43.0',0,1),
(33285,30061,9,100,'Inflicts 382 - 638 crushing damage on target',0,0),
(33286,30061,9,100,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 44.6',0,1),
(33287,440011,1,100,'Applies Construct''s Sacrifice.  Lasts for 20.0 seconds.',0,0),
(33288,440011,1,100,'On any combat or spell hit this spell will cast Construct''s Sacrifice on target of attack.  ',1,1),
(33289,440011,1,100,'Inflicts 31 - 52 poison damage on target',2,2),
(33290,440011,1,100,'Grants a total of 5 triggers of the spell.',2,3),
(33291,440011,1,100,'Requires and consumes 25% of the construct''s maximum health. This spell will fail if the construct''s health is too low!',0,4),
(33292,440011,4,100,'Applies Construct''s Sacrifice.  Lasts for 20.0 seconds.',0,0),
(33293,440011,4,100,'On any combat or spell hit this spell will cast Construct''s Sacrifice on target of attack.  ',1,1),
(33294,440011,4,100,'Inflicts 38 - 64 poison damage on target',2,2),
(33295,440011,4,100,'Grants a total of 5 triggers of the spell.',2,3),
(33296,440011,4,100,'Requires and consumes 25% of the construct''s maximum health. This spell will fail if the construct''s health is too low!',0,4),
(33297,440011,5,100,'Applies Construct''s Sacrifice.  Lasts for 20.0 seconds.',0,0),
(33298,440011,5,100,'On any combat or spell hit this spell will cast Construct''s Sacrifice on target of attack.  ',1,1),
(33299,440011,5,100,'Inflicts 42 - 69 poison damage on target',2,2),
(33300,440011,5,100,'Grants a total of 5 triggers of the spell.',2,3),
(33301,440011,5,100,'Requires and consumes 25% of the construct''s maximum health. This spell will fail if the construct''s health is too low!',0,4),
(33302,440011,7,100,'Applies Construct''s Sacrifice.  Lasts for 20.0 seconds.',0,0),
(33303,440011,7,100,'On any combat or spell hit this spell will cast Construct''s Sacrifice on target of attack.  ',1,1),
(33304,440011,7,100,'Inflicts 53 - 89 poison damage on target',2,2),
(33305,440011,7,100,'Grants a total of 5 triggers of the spell.',2,3),
(33306,440011,7,100,'Requires and consumes 25% of the construct''s maximum health. This spell will fail if the construct''s health is too low!',0,4),
(33307,440011,9,100,'Applies Construct''s Sacrifice.  Lasts for 20.0 seconds.',0,0),
(33308,440011,9,100,'On any combat or spell hit this spell will cast Construct''s Sacrifice on target of attack.  ',1,1),
(33309,440011,9,100,'Inflicts 55 - 92 poison damage on target',2,2),
(33310,440011,9,100,'Grants a total of 5 triggers of the spell.',2,3),
(33311,440011,9,100,'Requires and consumes 25% of the construct''s maximum health. This spell will fail if the construct''s health is too low!',0,4),
(33312,440012,1,100,'Applies Construct''s Sacrifice.  Lasts for 20.0 seconds.',0,0),
(33313,440012,1,100,'On any combat or spell hit this spell will cast Construct''s Sacrifice on target of attack.  ',1,1),
(33314,440012,1,100,'Inflicts 63 - 105 poison damage on target',2,2),
(33315,440012,1,100,'Grants a total of 5 triggers of the spell.',2,3),
(33316,440012,1,100,'Requires and consumes 25% of the construct''s maximum health. This spell will fail if the construct''s health is too low!',0,4),
(33317,440012,4,100,'Applies Construct''s Sacrifice.  Lasts for 20.0 seconds.',0,0),
(33318,440012,4,100,'On any combat or spell hit this spell will cast Construct''s Sacrifice on target of attack.  ',1,1),
(33319,440012,4,100,'Inflicts 77 - 129 poison damage on target',2,2),
(33320,440012,4,100,'Grants a total of 5 triggers of the spell.',2,3),
(33321,440012,4,100,'Requires and consumes 25% of the construct''s maximum health. This spell will fail if the construct''s health is too low!',0,4),
(33322,440012,5,100,'Applies Construct''s Sacrifice.  Lasts for 20.0 seconds.',0,0),
(33323,440012,5,100,'On any combat or spell hit this spell will cast Construct''s Sacrifice on target of attack.  ',1,1),
(33324,440012,5,100,'Inflicts 84 - 141 poison damage on target',2,2),
(33325,440012,5,100,'Grants a total of 5 triggers of the spell.',2,3),
(33326,440012,5,100,'Requires and consumes 25% of the construct''s maximum health. This spell will fail if the construct''s health is too low!',0,4),
(33327,440012,7,100,'Applies Construct''s Sacrifice.  Lasts for 20.0 seconds.',0,0),
(33328,440012,7,100,'On any combat or spell hit this spell will cast Construct''s Sacrifice on target of attack.  ',1,1),
(33329,440012,7,100,'Inflicts 108 - 180 poison damage on target',2,2),
(33330,440012,7,100,'Grants a total of 5 triggers of the spell.',2,3),
(33331,440012,7,100,'Requires and consumes 25% of the construct''s maximum health. This spell will fail if the construct''s health is too low!',0,4),
(33332,440012,9,100,'Applies Construct''s Sacrifice.  Lasts for 20.0 seconds.',0,0),
(33333,440012,9,100,'On any combat or spell hit this spell will cast Construct''s Sacrifice on target of attack.  ',1,1),
(33334,440012,9,100,'Inflicts 112 - 187 poison damage on target',2,2),
(33335,440012,9,100,'Grants a total of 5 triggers of the spell.',2,3),
(33336,440012,9,100,'Requires and consumes 25% of the construct''s maximum health. This spell will fail if the construct''s health is too low!',0,4),
(33337,440012,10,100,'Applies Construct''s Sacrifice.  Lasts for 20.0 seconds.',0,0),
(33338,440012,10,100,'On any combat or spell hit this spell will cast Construct''s Sacrifice on target of attack.  ',1,1),
(33339,440012,10,100,'Inflicts 118 - 197 poison damage on target',2,2),
(33340,440012,10,100,'Grants a total of 5 triggers of the spell.',2,3),
(33341,440012,10,100,'Requires and consumes 25% of the construct''s maximum health. This spell will fail if the construct''s health is too low!',0,4),
(33342,440013,1,100,'Applies Construct''s Sacrifice.  Lasts for 20.0 seconds.',0,0),
(33343,440013,1,100,'On any combat or spell hit this spell will cast Construct''s Sacrifice on target of attack.  ',1,1),
(33344,440013,1,100,'Inflicts 88 - 146 poison damage on target',2,2),
(33345,440013,1,100,'Grants a total of 5 triggers of the spell.',2,3),
(33346,440013,1,100,'Requires and consumes 25% of the construct''s maximum health. This spell will fail if the construct''s health is too low!',0,4),
(33347,440013,4,100,'Applies Construct''s Sacrifice.  Lasts for 20.0 seconds.',0,0),
(33348,440013,4,100,'On any combat or spell hit this spell will cast Construct''s Sacrifice on target of attack.  ',1,1),
(33349,440013,4,100,'Inflicts 107 - 178 poison damage on target',2,2),
(33350,440013,4,100,'Grants a total of 5 triggers of the spell.',2,3),
(33351,440013,4,100,'Requires and consumes 25% of the construct''s maximum health. This spell will fail if the construct''s health is too low!',0,4),
(33352,440013,5,100,'Applies Construct''s Sacrifice.  Lasts for 20.0 seconds.',0,0),
(33353,440013,5,100,'On any combat or spell hit this spell will cast Construct''s Sacrifice on target of attack.  ',1,1),
(33354,440013,5,100,'Inflicts 117 - 195 poison damage on target',2,2),
(33355,440013,5,100,'Grants a total of 5 triggers of the spell.',2,3),
(33356,440013,5,100,'Requires and consumes 25% of the construct''s maximum health. This spell will fail if the construct''s health is too low!',0,4),
(33357,440013,7,100,'Applies Construct''s Sacrifice.  Lasts for 20.0 seconds.',0,0),
(33358,440013,7,100,'On any combat or spell hit this spell will cast Construct''s Sacrifice on target of attack.  ',1,1),
(33359,440013,7,100,'Inflicts 150 - 250 poison damage on target',2,2),
(33360,440013,7,100,'Grants a total of 5 triggers of the spell.',2,3),
(33361,440013,7,100,'Requires and consumes 25% of the construct''s maximum health. This spell will fail if the construct''s health is too low!',0,4),
(33362,440013,9,100,'Applies Construct''s Sacrifice.  Lasts for 20.0 seconds.',0,0),
(33363,440013,9,100,'On any combat or spell hit this spell will cast Construct''s Sacrifice on target of attack.  ',1,1),
(33364,440013,9,100,'Inflicts 156 - 259 poison damage on target',2,2),
(33365,440013,9,100,'Grants a total of 5 triggers of the spell.',2,3),
(33366,440013,9,100,'Requires and consumes 25% of the construct''s maximum health. This spell will fail if the construct''s health is too low!',0,4),
(33367,440013,10,100,'Applies Construct''s Sacrifice.  Lasts for 20.0 seconds.',0,0),
(33368,440013,10,100,'On any combat or spell hit this spell will cast Construct''s Sacrifice on target of attack.  ',1,1),
(33369,440013,10,100,'Inflicts 163 - 272 poison damage on target',2,2),
(33370,440013,10,100,'Grants a total of 5 triggers of the spell.',2,3),
(33371,440013,10,100,'Requires and consumes 25% of the construct''s maximum health. This spell will fail if the construct''s health is too low!',0,4),
(33372,440014,1,100,'Applies Construct''s Sacrifice.  Lasts for 20.0 seconds.',0,0),
(33373,440014,1,100,'On any combat or spell hit this spell will cast Construct''s Sacrifice on target of attack.  ',1,1),
(33374,440014,1,100,'Inflicts 117 - 196 poison damage on target',2,2),
(33375,440014,1,100,'Grants a total of 5 triggers of the spell.',2,3),
(33376,440014,1,100,'Requires and consumes 25% of the construct''s maximum health. This spell will fail if the construct''s health is too low!',0,4),
(33377,440014,4,100,'Applies Construct''s Sacrifice.  Lasts for 20.0 seconds.',0,0),
(33378,440014,4,100,'On any combat or spell hit this spell will cast Construct''s Sacrifice on target of attack.  ',1,1),
(33379,440014,4,100,'Inflicts 144 - 239 poison damage on target',2,2),
(33380,440014,4,100,'Grants a total of 5 triggers of the spell.',2,3),
(33381,440014,4,100,'Requires and consumes 25% of the construct''s maximum health. This spell will fail if the construct''s health is too low!',0,4),
(33382,440014,5,100,'Applies Construct''s Sacrifice.  Lasts for 20.0 seconds.',0,0),
(33383,440014,5,100,'On any combat or spell hit this spell will cast Construct''s Sacrifice on target of attack.  ',1,1),
(33384,440014,5,100,'Inflicts 157 - 261 poison damage on target',2,2),
(33385,440014,5,100,'Grants a total of 5 triggers of the spell.',2,3),
(33386,440014,5,100,'Requires and consumes 25% of the construct''s maximum health. This spell will fail if the construct''s health is too low!',0,4),
(33387,440014,7,100,'Applies Construct''s Sacrifice.  Lasts for 20.0 seconds.',0,0),
(33388,440014,7,100,'On any combat or spell hit this spell will cast Construct''s Sacrifice on target of attack.  ',1,1),
(33389,440014,7,100,'Inflicts 201 - 335 poison damage on target',2,2),
(33390,440014,7,100,'Grants a total of 5 triggers of the spell.',2,3),
(33391,440014,7,100,'Requires and consumes 25% of the construct''s maximum health. This spell will fail if the construct''s health is too low!',0,4),
(33392,440014,9,100,'Applies Construct''s Sacrifice.  Lasts for 20.0 seconds.',0,0),
(33393,440014,9,100,'On any combat or spell hit this spell will cast Construct''s Sacrifice on target of attack.  ',1,1),
(33394,440014,9,100,'Inflicts 209 - 348 poison damage on target',2,2),
(33395,440014,9,100,'Grants a total of 5 triggers of the spell.',2,3),
(33396,440014,9,100,'Requires and consumes 25% of the construct''s maximum health. This spell will fail if the construct''s health is too low!',0,4),
(33397,440014,10,100,'Applies Construct''s Sacrifice.  Lasts for 20.0 seconds.',0,0),
(33398,440014,10,100,'On any combat or spell hit this spell will cast Construct''s Sacrifice on target of attack.  ',1,1),
(33399,440014,10,100,'Inflicts 219 - 365 poison damage on target',2,2),
(33400,440014,10,100,'Grants a total of 5 triggers of the spell.',2,3),
(33401,440014,10,100,'Requires and consumes 25% of the construct''s maximum health. This spell will fail if the construct''s health is too low!',0,4),
(33402,440015,1,100,'Applies Construct''s Sacrifice.  Lasts for 20.0 seconds.',0,0),
(33403,440015,1,100,'On any combat or spell hit this spell will cast Construct''s Sacrifice on target of attack.  ',1,1),
(33404,440015,1,100,'Inflicts 279 - 465 poison damage on target',2,2),
(33405,440015,1,100,'Grants a total of 5 triggers of the spell.',2,3),
(33406,440015,1,100,'Requires and consumes 25% of the construct''s maximum health. This spell will fail if the construct''s health is too low!',0,4),
(33407,440015,4,100,'Applies Construct''s Sacrifice.  Lasts for 20.0 seconds.',0,0),
(33408,440015,4,100,'On any combat or spell hit this spell will cast Construct''s Sacrifice on target of attack.  ',1,1),
(33409,440015,4,100,'Inflicts 341 - 568 poison damage on target',2,2),
(33410,440015,4,100,'Grants a total of 5 triggers of the spell.',2,3),
(33411,440015,4,100,'Requires and consumes 25% of the construct''s maximum health. This spell will fail if the construct''s health is too low!',0,4),
(33412,440015,5,100,'Applies Construct''s Sacrifice.  Lasts for 20.0 seconds.',0,0),
(33413,440015,5,100,'On any combat or spell hit this spell will cast Construct''s Sacrifice on target of attack.  ',1,1),
(33414,440015,5,100,'Inflicts 372 - 620 poison damage on target',2,2),
(33415,440015,5,100,'Grants a total of 5 triggers of the spell.',2,3),
(33416,440015,5,100,'Requires and consumes 25% of the construct''s maximum health. This spell will fail if the construct''s health is too low!',0,4),
(33417,440015,7,100,'Applies Construct''s Sacrifice.  Lasts for 20.0 seconds.',0,0),
(33418,440015,7,100,'On any combat or spell hit this spell will cast Construct''s Sacrifice on target of attack.  ',1,1),
(33419,440015,7,100,'Inflicts 477 - 796 poison damage on target',2,2),
(33420,440015,7,100,'Grants a total of 5 triggers of the spell.',2,3),
(33421,440015,7,100,'Requires and consumes 25% of the construct''s maximum health. This spell will fail if the construct''s health is too low!',0,4),
(33422,440015,9,100,'Applies Construct''s Sacrifice.  Lasts for 20.0 seconds.',0,0),
(33423,440015,9,100,'On any combat or spell hit this spell will cast Construct''s Sacrifice on target of attack.  ',1,1),
(33424,440015,9,100,'Inflicts 496 - 827 poison damage on target',2,2),
(33425,440015,9,100,'Grants a total of 5 triggers of the spell.',2,3),
(33426,440015,9,100,'Requires and consumes 25% of the construct''s maximum health. This spell will fail if the construct''s health is too low!',0,4),
(33427,440016,1,100,'Applies Construct''s Sacrifice.  Lasts for 20.0 seconds.',0,0),
(33428,440016,1,100,'On any combat or spell hit this spell will cast Construct''s Sacrifice on target of attack.  ',1,1),
(33429,440016,1,100,'Inflicts 148 - 246 poison damage on target',2,2),
(33430,440016,1,100,'Grants a total of 5 triggers of the spell.',2,3),
(33431,440016,1,100,'Requires and consumes 25% of the construct''s maximum health. This spell will fail if the construct''s health is too low!',0,4),
(33432,440016,4,100,'Applies Construct''s Sacrifice.  Lasts for 20.0 seconds.',0,0),
(33433,440016,4,100,'On any combat or spell hit this spell will cast Construct''s Sacrifice on target of attack.  ',1,1),
(33434,440016,4,100,'Inflicts 181 - 301 poison damage on target',2,2),
(33435,440016,4,100,'Grants a total of 5 triggers of the spell.',2,3),
(33436,440016,4,100,'Requires and consumes 25% of the construct''s maximum health. This spell will fail if the construct''s health is too low!',0,4),
(33437,440016,5,100,'Applies Construct''s Sacrifice.  Lasts for 20.0 seconds.',0,0),
(33438,440016,5,100,'On any combat or spell hit this spell will cast Construct''s Sacrifice on target of attack.  ',1,1),
(33439,440016,5,100,'Inflicts 197 - 329 poison damage on target',2,2),
(33440,440016,5,100,'Grants a total of 5 triggers of the spell.',2,3),
(33441,440016,5,100,'Requires and consumes 25% of the construct''s maximum health. This spell will fail if the construct''s health is too low!',0,4),
(33442,440016,7,100,'Applies Construct''s Sacrifice.  Lasts for 20.0 seconds.',0,0),
(33443,440016,7,100,'On any combat or spell hit this spell will cast Construct''s Sacrifice on target of attack.  ',1,1),
(33444,440016,7,100,'Inflicts 253 - 422 poison damage on target',2,2),
(33445,440016,7,100,'Grants a total of 5 triggers of the spell.',2,3),
(33446,440016,7,100,'Requires and consumes 25% of the construct''s maximum health. This spell will fail if the construct''s health is too low!',0,4),
(33447,440016,9,100,'Applies Construct''s Sacrifice.  Lasts for 20.0 seconds.',0,0),
(33448,440016,9,100,'On any combat or spell hit this spell will cast Construct''s Sacrifice on target of attack.  ',1,1),
(33449,440016,9,100,'Inflicts 263 - 438 poison damage on target',2,2),
(33450,440016,9,100,'Grants a total of 5 triggers of the spell.',2,3),
(33451,440016,9,100,'Requires and consumes 25% of the construct''s maximum health. This spell will fail if the construct''s health is too low!',0,4),
(33452,440017,1,100,'Applies Construct''s Sacrifice.  Lasts for 20.0 seconds.',0,0),
(33453,440017,1,100,'On any combat or spell hit this spell will cast Construct''s Sacrifice on target of attack.  ',1,1),
(33454,440017,1,100,'Inflicts 178 - 297 poison damage on target',2,2),
(33455,440017,1,100,'Grants a total of 5 triggers of the spell.',2,3),
(33456,440017,1,100,'Requires and consumes 25% of the construct''s maximum health. This spell will fail if the construct''s health is too low!',0,4),
(33457,440017,4,100,'Applies Construct''s Sacrifice.  Lasts for 20.0 seconds.',0,0),
(33458,440017,4,100,'On any combat or spell hit this spell will cast Construct''s Sacrifice on target of attack.  ',1,1),
(33459,440017,4,100,'Inflicts 218 - 363 poison damage on target',2,2),
(33460,440017,4,100,'Grants a total of 5 triggers of the spell.',2,3),
(33461,440017,4,100,'Requires and consumes 25% of the construct''s maximum health. This spell will fail if the construct''s health is too low!',0,4),
(33462,440017,5,100,'Applies Construct''s Sacrifice.  Lasts for 20.0 seconds.',0,0),
(33463,440017,5,100,'On any combat or spell hit this spell will cast Construct''s Sacrifice on target of attack.  ',1,1),
(33464,440017,5,100,'Inflicts 238 - 396 poison damage on target',2,2),
(33465,440017,5,100,'Grants a total of 5 triggers of the spell.',2,3),
(33466,440017,5,100,'Requires and consumes 25% of the construct''s maximum health. This spell will fail if the construct''s health is too low!',0,4),
(33467,440017,7,100,'Applies Construct''s Sacrifice.  Lasts for 20.0 seconds.',0,0),
(33468,440017,7,100,'On any combat or spell hit this spell will cast Construct''s Sacrifice on target of attack.  ',1,1),
(33469,440017,7,100,'Inflicts 305 - 508 poison damage on target',2,2),
(33470,440017,7,100,'Grants a total of 5 triggers of the spell.',2,3),
(33471,440017,7,100,'Requires and consumes 25% of the construct''s maximum health. This spell will fail if the construct''s health is too low!',0,4),
(33472,440017,9,100,'Applies Construct''s Sacrifice.  Lasts for 20.0 seconds.',0,0),
(33473,440017,9,100,'On any combat or spell hit this spell will cast Construct''s Sacrifice on target of attack.  ',1,1),
(33474,440017,9,100,'Inflicts 317 - 528 poison damage on target',2,2),
(33475,440017,9,100,'Grants a total of 5 triggers of the spell.',2,3),
(33476,440017,9,100,'Requires and consumes 25% of the construct''s maximum health. This spell will fail if the construct''s health is too low!',0,4),
(33477,440018,1,100,'Applies Construct''s Sacrifice.  Lasts for 20.0 seconds.',0,0),
(33478,440018,1,100,'On any combat or spell hit this spell will cast Construct''s Sacrifice on target of attack.  ',1,1),
(33479,440018,1,100,'Inflicts 216 - 360 poison damage on target',2,2),
(33480,440018,1,100,'Grants a total of 5 triggers of the spell.',2,3),
(33481,440018,1,100,'Requires and consumes 25% of the construct''s maximum health. This spell will fail if the construct''s health is too low!',0,4),
(33482,440018,4,100,'Applies Construct''s Sacrifice.  Lasts for 20.0 seconds.',0,0),
(33483,440018,4,100,'On any combat or spell hit this spell will cast Construct''s Sacrifice on target of attack.  ',1,1),
(33484,440018,4,100,'Inflicts 264 - 440 poison damage on target',2,2),
(33485,440018,4,100,'Grants a total of 5 triggers of the spell.',2,3),
(33486,440018,4,100,'Requires and consumes 25% of the construct''s maximum health. This spell will fail if the construct''s health is too low!',0,4),
(33487,440018,5,100,'Applies Construct''s Sacrifice.  Lasts for 20.0 seconds.',0,0),
(33488,440018,5,100,'On any combat or spell hit this spell will cast Construct''s Sacrifice on target of attack.  ',1,1),
(33489,440018,5,100,'Inflicts 288 - 480 poison damage on target',2,2),
(33490,440018,5,100,'Grants a total of 5 triggers of the spell.',2,3),
(33491,440018,5,100,'Requires and consumes 25% of the construct''s maximum health. This spell will fail if the construct''s health is too low!',0,4),
(33492,440018,7,100,'Applies Construct''s Sacrifice.  Lasts for 20.0 seconds.',0,0),
(33493,440018,7,100,'On any combat or spell hit this spell will cast Construct''s Sacrifice on target of attack.  ',1,1),
(33494,440018,7,100,'Inflicts 370 - 616 poison damage on target',2,2),
(33495,440018,7,100,'Grants a total of 5 triggers of the spell.',2,3),
(33496,440018,7,100,'Requires and consumes 25% of the construct''s maximum health. This spell will fail if the construct''s health is too low!',0,4),
(33497,440018,9,100,'Applies Construct''s Sacrifice.  Lasts for 20.0 seconds.',0,0),
(33498,440018,9,100,'On any combat or spell hit this spell will cast Construct''s Sacrifice on target of attack.  ',1,1),
(33499,440018,9,100,'Inflicts 384 - 640 poison damage on target',2,2),
(33500,440018,9,100,'Grants a total of 5 triggers of the spell.',2,3),
(33501,440018,9,100,'Requires and consumes 25% of the construct''s maximum health. This spell will fail if the construct''s health is too low!',0,4),
(33502,440019,1,100,'Applies Construct''s Sacrifice.  Lasts for 20.0 seconds.',0,0),
(33503,440019,1,100,'On any combat or spell hit this spell will cast Construct''s Sacrifice on target of attack.  ',1,1),
(33504,440019,1,100,'Inflicts 260 - 433 poison damage on target',2,2),
(33505,440019,1,100,'Grants a total of 5 triggers of the spell.',2,3),
(33506,440019,1,100,'Requires and consumes 25% of the construct''s maximum health. This spell will fail if the construct''s health is too low!',0,4),
(33507,440019,4,100,'Applies Construct''s Sacrifice.  Lasts for 20.0 seconds.',0,0),
(33508,440019,4,100,'On any combat or spell hit this spell will cast Construct''s Sacrifice on target of attack.  ',1,1),
(33509,440019,4,100,'Inflicts 318 - 530 poison damage on target',2,2),
(33510,440019,4,100,'Grants a total of 5 triggers of the spell.',2,3),
(33511,440019,4,100,'Requires and consumes 25% of the construct''s maximum health. This spell will fail if the construct''s health is too low!',0,4),
(33512,440019,5,100,'Applies Construct''s Sacrifice.  Lasts for 20.0 seconds.',0,0),
(33513,440019,5,100,'On any combat or spell hit this spell will cast Construct''s Sacrifice on target of attack.  ',1,1),
(33514,440019,5,100,'Inflicts 347 - 578 poison damage on target',2,2),
(33515,440019,5,100,'Grants a total of 5 triggers of the spell.',2,3),
(33516,440019,5,100,'Requires and consumes 25% of the construct''s maximum health. This spell will fail if the construct''s health is too low!',0,4),
(33517,440019,7,100,'Applies Construct''s Sacrifice.  Lasts for 20.0 seconds.',0,0),
(33518,440019,7,100,'On any combat or spell hit this spell will cast Construct''s Sacrifice on target of attack.  ',1,1),
(33519,440019,7,100,'Inflicts 445 - 741 poison damage on target',2,2),
(33520,440019,7,100,'Grants a total of 5 triggers of the spell.',2,3),
(33521,440019,7,100,'Requires and consumes 25% of the construct''s maximum health. This spell will fail if the construct''s health is too low!',0,4),
(33522,440019,9,100,'Applies Construct''s Sacrifice.  Lasts for 20.0 seconds.',0,0),
(33523,440019,9,100,'On any combat or spell hit this spell will cast Construct''s Sacrifice on target of attack.  ',1,1),
(33524,440019,9,100,'Inflicts 462 - 770 poison damage on target',2,2),
(33525,440019,9,100,'Grants a total of 5 triggers of the spell.',2,3),
(33526,440019,9,100,'Requires and consumes 25% of the construct''s maximum health. This spell will fail if the construct''s health is too low!',0,4),
(33527,2000051,3,100,'Inflicts 2 - 3 piercing damage on target',0,0),
(33528,2000051,3,100,'Inflicts 3 - 5 piercing damage on target',0,1),
(33529,2000051,4,100,'Inflicts 2 - 4 piercing damage on target',0,0),
(33530,2000051,4,100,'Inflicts 3 - 6 piercing damage on target',0,1),
(33531,2000051,5,100,'Inflicts 2 - 4 piercing damage on target',0,0),
(33532,2000051,5,100,'Inflicts 4 - 6 piercing damage on target',0,1),
(33533,2000051,7,100,'Inflicts 3 - 5 piercing damage on target',0,0),
(33534,2000051,7,100,'Inflicts 4 - 7 piercing damage on target',0,1),
(33535,2000051,9,100,'Inflicts 3 - 6 piercing damage on target',0,0),
(33536,2000051,9,100,'Inflicts 5 - 8 piercing damage on target',0,1),
(33537,2000051,10,100,'Inflicts 3 - 6 piercing damage on target',0,0),
(33538,2000051,10,100,'Inflicts 5 - 9 piercing damage on target',0,1),
(33539,2000052,1,100,'Decreases threat priority of target by 1 position',0,0),
(33540,2000052,1,100,'Increases threat priority of target by 1 position',0,1),
(33542,40073,1,100,'Decreases Haste of caster by 12.6',0,0),
(33544,40073,1,100,'Increases Parry of caster by 7.0',0,1),
(33545,40073,1,100,'Increases Defense of caster by 7.0',0,2),
(33547,40073,2,100,'Decreases Haste of caster by 12.6',0,0),
(33549,40073,2,100,'Increases Parry of caster by 7.4',0,1),
(33550,40073,2,100,'Increases Defense of caster by 7.4',0,2),
(33552,40073,3,100,'Decreases Haste of caster by 12.6',0,0),
(33554,40073,3,100,'Increases Parry of caster by 7.8',0,1),
(33555,40073,3,100,'Increases Defense of caster by 7.8',0,2),
(33557,40073,4,100,'Decreases Haste of caster by 12.6',0,0),
(33559,40073,4,100,'Increases Parry of caster by 8.6',0,1),
(33560,40073,4,100,'Increases Defense of caster by 8.6',0,2),
(33562,40073,5,100,'Decreases Haste of caster by 12.6',0,0),
(33564,40073,5,100,'Increases Parry of caster by 9.4',0,1),
(33565,40073,5,100,'Increases Defense of caster by 9.4',0,2),
(33567,40073,7,100,'Decreases Haste of caster by 12.6',0,0),
(33569,40073,7,100,'Increases Parry of caster by 12.0',0,1),
(33570,40073,7,100,'Increases Defense of caster by 12.0',0,2),
(33572,40073,9,100,'Decreases Haste of caster by 12.6',0,0),
(33574,40073,9,100,'Increases Parry of caster by 12.5',0,1),
(33575,40073,9,100,'Increases Defense of caster by 12.5',0,2),
(33576,40074,1,100,'Increases caster''s chance to block by 10.0%',0,0),
(33577,40074,1,100,'Decreases Haste of caster by 14.0',0,1),
(33578,40074,1,100,'Decreases Multi Attack of caster by 14.0',0,2),
(33579,40074,1,100,'Increases Parry of caster by 10.8',0,3),
(33580,40074,1,100,'Increases Defense of caster by 10.8',0,4),
(33581,40074,2,100,'Increases caster''s chance to block by 10.0%',0,0),
(33582,40074,2,100,'Decreases Haste of caster by 14.0',0,1),
(33583,40074,2,100,'Decreases Multi Attack of caster by 14.0',0,2),
(33584,40074,2,100,'Increases Parry of caster by 11.4',0,3),
(33585,40074,2,100,'Increases Defense of caster by 11.4',0,4),
(33586,40074,3,100,'Increases caster''s chance to block by 10.0%',0,0),
(33587,40074,3,100,'Decreases Haste of caster by 14.0',0,1),
(33588,40074,3,100,'Decreases Multi Attack of caster by 14.0',0,2),
(33589,40074,3,100,'Increases Parry of caster by 12.0',0,3),
(33590,40074,3,100,'Increases Defense of caster by 12.0',0,4),
(33591,40074,4,100,'Increases caster''s chance to block by 10.0%',0,0),
(33592,40074,4,100,'Decreases Haste of caster by 14.0',0,1),
(33593,40074,4,100,'Decreases Multi Attack of caster by 14.0',0,2),
(33594,40074,4,100,'Increases Parry of caster by 13.2',0,3),
(33595,40074,4,100,'Increases Defense of caster by 13.2',0,4),
(33596,40074,5,100,'Increases caster''s chance to block by 10.0%',0,0),
(33597,40074,5,100,'Decreases Haste of caster by 14.0',0,1),
(33598,40074,5,100,'Decreases Multi Attack of caster by 14.0',0,2),
(33599,40074,5,100,'Increases Parry of caster by 14.4',0,3),
(33600,40074,5,100,'Increases Defense of caster by 14.4',0,4),
(33601,40074,7,100,'Increases caster''s chance to block by 10.0%',0,0),
(33602,40074,7,100,'Decreases Haste of caster by 14.0',0,1),
(33603,40074,7,100,'Decreases Multi Attack of caster by 14.0',0,2),
(33604,40074,7,100,'Increases Parry of caster by 18.5',0,3),
(33605,40074,7,100,'Increases Defense of caster by 18.5',0,4),
(33606,40074,9,100,'Increases caster''s chance to block by 10.0%',0,0),
(33607,40074,9,100,'Decreases Haste of caster by 14.0',0,1),
(33608,40074,9,100,'Decreases Multi Attack of caster by 14.0',0,2),
(33609,40074,9,100,'Increases Parry of caster by 19.2',0,3),
(33610,40074,9,100,'Increases Defense of caster by 19.2',0,4),
(33611,40075,1,100,'Increases caster''s chance to block by 10.0%',0,0),
(33612,40075,1,100,'Decreases Haste of caster by 15.4',0,1),
(33613,40075,1,100,'Decreases Multi Attack of caster by 15.4',0,2),
(33614,40075,1,100,'Increases Parry of caster by 14.6',0,3),
(33615,40075,1,100,'Increases Defense of caster by 14.6',0,4),
(33616,40075,2,100,'Increases caster''s chance to block by 10.0%',0,0),
(33617,40075,2,100,'Decreases Haste of caster by 15.4',0,1),
(33618,40075,2,100,'Decreases Multi Attack of caster by 15.4',0,2),
(33619,40075,2,100,'Increases Parry of caster by 15.4',0,3),
(33620,40075,2,100,'Increases Defense of caster by 15.4',0,4),
(33621,40075,3,100,'Increases caster''s chance to block by 10.0%',0,0),
(33622,40075,3,100,'Decreases Haste of caster by 15.4',0,1),
(33623,40075,3,100,'Decreases Multi Attack of caster by 15.4',0,2),
(33624,40075,3,100,'Increases Parry of caster by 16.2',0,3),
(33625,40075,3,100,'Increases Defense of caster by 16.2',0,4),
(33626,40075,4,100,'Increases caster''s chance to block by 10.0%',0,0),
(33627,40075,4,100,'Decreases Haste of caster by 15.4',0,1),
(33628,40075,4,100,'Decreases Multi Attack of caster by 15.4',0,2),
(33629,40075,4,100,'Increases Parry of caster by 17.8',0,3),
(33630,40075,4,100,'Increases Defense of caster by 17.8',0,4),
(33631,40075,5,100,'Increases caster''s chance to block by 10.0%',0,0),
(33632,40075,5,100,'Decreases Haste of caster by 15.4',0,1),
(33633,40075,5,100,'Decreases Multi Attack of caster by 15.4',0,2),
(33634,40075,5,100,'Increases Parry of caster by 19.4',0,3),
(33635,40075,5,100,'Increases Defense of caster by 19.4',0,4),
(33636,40075,7,100,'Increases caster''s chance to block by 10.0%',0,0),
(33637,40075,7,100,'Decreases Haste of caster by 15.4',0,1),
(33638,40075,7,100,'Decreases Multi Attack of caster by 15.4',0,2),
(33639,40075,7,100,'Increases Parry of caster by 24.9',0,3),
(33640,40075,7,100,'Increases Defense of caster by 24.9',0,4),
(33641,40075,9,100,'Increases caster''s chance to block by 10.0%',0,0),
(33642,40075,9,100,'Decreases Haste of caster by 15.4',0,1),
(33643,40075,9,100,'Decreases Multi Attack of caster by 15.4',0,2),
(33644,40075,9,100,'Increases Parry of caster by 25.9',0,3),
(33645,40075,9,100,'Increases Defense of caster by 25.9',0,4),
(33646,40076,1,100,'Increases caster''s chance to block by 10.0%',0,0),
(33647,40076,1,100,'Decreases Haste of caster by 16.8',0,1),
(33648,40076,1,100,'Decreases Multi Attack of caster by 16.8',0,2),
(33649,40076,1,100,'Increases Parry of caster by 18.4',0,3),
(33650,40076,1,100,'Increases Defense of caster by 18.4',0,4),
(33651,40076,2,100,'Increases caster''s chance to block by 10.0%',0,0),
(33652,40076,2,100,'Decreases Haste of caster by 16.8',0,1),
(33653,40076,2,100,'Decreases Multi Attack of caster by 16.8',0,2),
(33654,40076,2,100,'Increases Parry of caster by 19.4',0,3),
(33655,40076,2,100,'Increases Defense of caster by 19.4',0,4),
(33656,40076,3,100,'Increases caster''s chance to block by 10.0%',0,0),
(33657,40076,3,100,'Decreases Haste of caster by 16.8',0,1),
(33658,40076,3,100,'Decreases Multi Attack of caster by 16.8',0,2),
(33659,40076,3,100,'Increases Parry of caster by 20.4',0,3),
(33660,40076,3,100,'Increases Defense of caster by 20.4',0,4),
(33661,40076,4,100,'Increases caster''s chance to block by 10.0%',0,0),
(33662,40076,4,100,'Decreases Haste of caster by 16.8',0,1),
(33663,40076,4,100,'Decreases Multi Attack of caster by 16.8',0,2),
(33664,40076,4,100,'Increases Parry of caster by 22.4',0,3),
(33665,40076,4,100,'Increases Defense of caster by 22.4',0,4),
(33666,40076,5,100,'Increases caster''s chance to block by 10.0%',0,0),
(33667,40076,5,100,'Decreases Haste of caster by 16.8',0,1),
(33668,40076,5,100,'Decreases Multi Attack of caster by 16.8',0,2),
(33669,40076,5,100,'Increases Parry of caster by 24.5',0,3),
(33670,40076,5,100,'Increases Defense of caster by 24.5',0,4),
(33671,40076,7,100,'Increases caster''s chance to block by 10.0%',0,0),
(33672,40076,7,100,'Decreases Haste of caster by 16.8',0,1),
(33673,40076,7,100,'Decreases Multi Attack of caster by 16.8',0,2),
(33674,40076,7,100,'Increases Parry of caster by 31.4',0,3),
(33675,40076,7,100,'Increases Defense of caster by 31.4',0,4),
(33676,40076,9,100,'Increases caster''s chance to block by 10.0%',0,0),
(33677,40076,9,100,'Decreases Haste of caster by 16.8',0,1),
(33678,40076,9,100,'Decreases Multi Attack of caster by 16.8',0,2),
(33679,40076,9,100,'Increases Parry of caster by 32.6',0,3),
(33680,40076,9,100,'Increases Defense of caster by 32.6',0,4),
(33681,40077,1,100,'Increases caster''s chance to block by 10.0%',0,0),
(33682,40077,1,100,'Decreases Haste of caster by 17.8',0,1),
(33683,40077,1,100,'Decreases Multi Attack of caster by 17.8',0,2),
(33684,40077,1,100,'Increases Parry of caster by 21.8',0,3),
(33685,40077,1,100,'Increases Defense of caster by 21.8',0,4),
(33686,40077,2,100,'Increases caster''s chance to block by 10.0%',0,0),
(33687,40077,2,100,'Decreases Haste of caster by 17.8',0,1),
(33688,40077,2,100,'Decreases Multi Attack of caster by 17.8',0,2),
(33689,40077,2,100,'Increases Parry of caster by 23.0',0,3),
(33690,40077,2,100,'Increases Defense of caster by 23.0',0,4),
(33691,40077,3,100,'Increases caster''s chance to block by 10.0%',0,0),
(33692,40077,3,100,'Decreases Haste of caster by 17.8',0,1),
(33693,40077,3,100,'Decreases Multi Attack of caster by 17.8',0,2),
(33694,40077,3,100,'Increases Parry of caster by 24.2',0,3),
(33695,40077,3,100,'Increases Defense of caster by 24.2',0,4),
(33696,40077,4,100,'Increases caster''s chance to block by 10.0%',0,0),
(33697,40077,4,100,'Decreases Haste of caster by 17.8',0,1),
(33698,40077,4,100,'Decreases Multi Attack of caster by 17.8',0,2),
(33699,40077,4,100,'Increases Parry of caster by 26.6',0,3),
(33700,40077,4,100,'Increases Defense of caster by 26.6',0,4),
(33701,40077,5,100,'Increases caster''s chance to block by 10.0%',0,0),
(33702,40077,5,100,'Decreases Haste of caster by 17.8',0,1),
(33703,40077,5,100,'Decreases Multi Attack of caster by 17.8',0,2),
(33704,40077,5,100,'Increases Parry of caster by 29.0',0,3),
(33705,40077,5,100,'Increases Defense of caster by 29.0',0,4),
(33706,40077,7,100,'Increases caster''s chance to block by 10.0%',0,0),
(33707,40077,7,100,'Decreases Haste of caster by 17.8',0,1),
(33708,40077,7,100,'Decreases Multi Attack of caster by 17.8',0,2),
(33709,40077,7,100,'Increases Parry of caster by 37.3',0,3),
(33710,40077,7,100,'Increases Defense of caster by 37.3',0,4),
(33711,40077,9,100,'Increases caster''s chance to block by 10.0%',0,0),
(33712,40077,9,100,'Decreases Haste of caster by 17.8',0,1),
(33713,40077,9,100,'Decreases Multi Attack of caster by 17.8',0,2),
(33714,40077,9,100,'Increases Parry of caster by 38.7',0,3),
(33715,40077,9,100,'Increases Defense of caster by 38.7',0,4),
(33716,40078,1,100,'Increases caster''s chance to block by 10.0%',0,0),
(33717,40078,1,100,'Decreases Haste of caster by 18.8',0,1),
(33718,40078,1,100,'Decreases Multi Attack of caster by 18.8',0,2),
(33719,40078,1,100,'Increases Parry of caster by 26.1',0,3),
(33720,40078,1,100,'Increases Defense of caster by 26.1',0,4),
(33721,40078,4,100,'Increases caster''s chance to block by 10.0%',0,0),
(33722,40078,4,100,'Decreases Haste of caster by 18.8',0,1),
(33723,40078,4,100,'Decreases Multi Attack of caster by 18.8',0,2),
(33724,40078,4,100,'Increases Parry of caster by 31.9',0,3),
(33725,40078,4,100,'Increases Defense of caster by 31.9',0,4),
(33726,40078,5,100,'Increases caster''s chance to block by 10.0%',0,0),
(33727,40078,5,100,'Decreases Haste of caster by 18.8',0,1),
(33728,40078,5,100,'Decreases Multi Attack of caster by 18.8',0,2),
(33729,40078,5,100,'Increases Parry of caster by 34.8',0,3),
(33730,40078,5,100,'Increases Defense of caster by 34.8',0,4),
(33731,40078,7,100,'Increases caster''s chance to block by 10.0%',0,0),
(33732,40078,7,100,'Decreases Haste of caster by 18.8',0,1),
(33733,40078,7,100,'Decreases Multi Attack of caster by 18.8',0,2),
(33734,40078,7,100,'Increases Parry of caster by 44.7',0,3),
(33735,40078,7,100,'Increases Defense of caster by 44.7',0,4),
(33736,40078,9,100,'Increases caster''s chance to block by 10.0%',0,0),
(33737,40078,9,100,'Decreases Haste of caster by 18.8',0,1),
(33738,40078,9,100,'Decreases Multi Attack of caster by 18.8',0,2),
(33739,40078,9,100,'Increases Parry of caster by 46.4',0,3),
(33740,40078,9,100,'Increases Defense of caster by 46.4',0,4),
(33741,40079,1,100,'Increases caster''s chance to block by 10.0%',0,0),
(33742,40079,1,100,'Decreases Haste of caster by 19.8',0,1),
(33743,40079,1,100,'Decreases Multi Attack of caster by 19.8',0,2),
(33744,40079,1,100,'Increases Parry of caster by 30.6',0,3),
(33745,40079,1,100,'Increases Defense of caster by 30.6',0,4),
(33746,40079,4,100,'Increases caster''s chance to block by 10.0%',0,0),
(33747,40079,4,100,'Decreases Haste of caster by 19.8',0,1),
(33748,40079,4,100,'Decreases Multi Attack of caster by 19.8',0,2),
(33749,40079,4,100,'Increases Parry of caster by 37.4',0,3),
(33750,40079,4,100,'Increases Defense of caster by 37.4',0,4),
(33751,40079,5,100,'Increases caster''s chance to block by 10.0%',0,0),
(33752,40079,5,100,'Decreases Haste of caster by 19.8',0,1),
(33753,40079,5,100,'Decreases Multi Attack of caster by 19.8',0,2),
(33754,40079,5,100,'Increases Parry of caster by 40.8',0,3),
(33755,40079,5,100,'Increases Defense of caster by 40.8',0,4),
(33756,40079,7,100,'Increases caster''s chance to block by 10.0%',0,0),
(33757,40079,7,100,'Decreases Haste of caster by 19.8',0,1),
(33758,40079,7,100,'Decreases Multi Attack of caster by 19.8',0,2),
(33759,40079,7,100,'Increases Parry of caster by 52.4',0,3),
(33760,40079,7,100,'Increases Defense of caster by 52.4',0,4),
(33761,40079,9,100,'Increases caster''s chance to block by 10.0%',0,0),
(33762,40079,9,100,'Decreases Haste of caster by 19.8',0,1),
(33763,40079,9,100,'Decreases Multi Attack of caster by 19.8',0,2),
(33764,40079,9,100,'Increases Parry of caster by 54.4',0,3),
(33765,40079,9,100,'Increases Defense of caster by 54.4',0,4),
(33766,2000053,1,100,'Inflicts 2161 - 3602 melee damage on targets in Area of Effect',0,0),
(33767,2000053,1,100,'Decreases Mitigation of targets in Area of Effect vs all damage by 3600',0,1),
(33768,2000053,1,100,'Increases Mitigation of targets in Area of Effect vs noxious damage by 0',0,2),
(33769,10001,6,100,'Inflicts 65 - 109 melee damage on target',0,0),
(33770,10001,6,100,'Decreases AGI and STR of target by 35.1',0,1),
(33771,2000054,1,100,'Inflicts 1080 - 1800 melee damage on target',0,0),
(33772,2000054,1,100,'Target will have their chance to hit with a weapon lowered by 30.0%',0,1),
(33773,2000054,1,100,'Decreases Weapon Damage of target by 5.0',0,2),
(33774,2000054,1,100,'Must be in front of or flanking',0,3),
(33775,2000055,1,100,'Provides a 100% chance to counter the effects of spells 1 time. Applies to Profession and NPC racial spells only.',0,0),
(33776,2000055,1,100,'Inflicts 1339 - 2232 melee damage on target',0,1),
(33777,420018,9,100,'Inflicts 273 - 456 melee damage on target encounter',0,0),
(33778,420018,9,100,'Increases Armor Mitigation of group members (AE) by 10-22%',0,1),
(33779,420018,9,100,'The effect of this ability grows based on Savagery and Spirituality level.',0,2),
(33780,420018,9,100,'You must have your warder active to use this ability.',0,3),
(33781,390021,1,100,'Increases damage of your next stealth attack by 18%',0,0),
(33782,390021,1,100,'Grants stealth to caster',0,1),
(33783,390021,1,100,'Suspends caster''s movement speed enhancements',0,2),
(33784,390021,1,100,'You must execute certain combat arts before you can use this ability.',0,3),
(33785,390021,2,100,'Increases damage of your next stealth attack by 19%',0,0),
(33786,390021,2,100,'Grants stealth to caster',0,1),
(33787,390021,2,100,'Suspends caster''s movement speed enhancements',0,2),
(33788,390021,2,100,'You must execute certain combat arts before you can use this ability.',0,3),
(33789,390021,3,100,'Increases damage of your next stealth attack by 20%',0,0),
(33790,390021,3,100,'Grants stealth to caster',0,1),
(33791,390021,3,100,'Suspends caster''s movement speed enhancements',0,2),
(33792,390021,3,100,'You must execute certain combat arts before you can use this ability.',0,3),
(33793,390021,4,100,'Increases damage of your next stealth attack by 22%',0,0),
(33794,390021,4,100,'Grants stealth to caster',0,1),
(33795,390021,4,100,'Suspends caster''s movement speed enhancements',0,2),
(33796,390021,4,100,'You must execute certain combat arts before you can use this ability.',0,3),
(33797,390021,5,100,'Increases damage of your next stealth attack by 24%',0,0),
(33798,390021,5,100,'Grants stealth to caster',0,1),
(33799,390021,5,100,'Suspends caster''s movement speed enhancements',0,2),
(33800,390021,5,100,'You must execute certain combat arts before you can use this ability.',0,3),
(33801,390021,7,100,'Increases damage of your next stealth attack by 30.8%',0,0),
(33802,390021,7,100,'Grants stealth to caster',0,1),
(33803,390021,7,100,'Suspends caster''s movement speed enhancements',0,2),
(33804,390021,7,100,'You must execute certain combat arts before you can use this ability.',0,3),
(33805,390021,9,100,'Increases damage of your next stealth attack by 32%',0,0),
(33806,390021,9,100,'Grants stealth to caster',0,1),
(33807,390021,9,100,'Suspends caster''s movement speed enhancements',0,2),
(33808,390021,9,100,'You must execute certain combat arts before you can use this ability.',0,3),
(33809,2000056,1,100,'Caster has a 100.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(33810,2000056,1,100,'Increases Damage Per Second of caster by 100.0',0,1),
(33811,2000057,1,100,'Applies Knockdown.  Lasts for 1.8 seconds.',0,0),
(33812,2000057,1,100,'Throws target back',1,1),
(33813,2000057,1,100,'Blurs vision of target',1,2),
(33814,2000057,1,100,'Stuns target',1,3),
(33815,2000057,1,100,'Does not affect Epic targets',1,4),
(33816,2000057,1,100,'Inflicts 186 - 311 melee damage on targets in Area of Effect',0,5),
(33817,2000057,2,100,'Applies Knockdown.  Lasts for 1.9 seconds.',0,0),
(33818,2000057,2,100,'Throws target back',1,1),
(33819,2000057,2,100,'Blurs vision of target',1,2),
(33820,2000057,2,100,'Stuns target',1,3),
(33821,2000057,2,100,'Does not affect Epic targets',1,4),
(33822,2000057,2,100,'Inflicts 148 - 246 melee damage on targets in Area of Effect',0,5),
(33823,2000057,3,100,'Applies Knockdown.  Lasts for 2.0 seconds.',0,0),
(33824,2000057,3,100,'Throws target back',1,1),
(33825,2000057,3,100,'Blurs vision of target',1,2),
(33826,2000057,3,100,'Stuns target',1,3),
(33827,2000057,3,100,'Does not affect Epic targets',1,4),
(33828,2000057,3,100,'Inflicts 207 - 346 melee damage on targets in Area of Effect',0,5),
(33829,2000057,4,100,'Applies Knockdown.  Lasts for 2.2 seconds.',0,0),
(33830,2000057,4,100,'Throws target back',1,1),
(33831,2000057,4,100,'Blurs vision of target',1,2),
(33832,2000057,4,100,'Stuns target',1,3),
(33833,2000057,4,100,'Does not affect Epic targets',1,4),
(33834,2000057,4,100,'Inflicts 171 - 285 melee damage on targets in Area of Effect',0,5),
(33835,2000057,5,100,'Applies Knockdown.  Lasts for 2.4 seconds.',0,0),
(33836,2000057,5,100,'Throws target back',1,1),
(33837,2000057,5,100,'Blurs vision of target',1,2),
(33838,2000057,5,100,'Stuns target',1,3),
(33839,2000057,5,100,'Does not affect Epic targets',1,4),
(33840,2000057,5,100,'Inflicts 187 - 311 melee damage on targets in Area of Effect',0,5),
(33841,2000057,6,100,'Applies Knockdown.  Lasts for 2.6 seconds.',0,0),
(33842,2000057,6,100,'Throws target back',1,1),
(33843,2000057,6,100,'Blurs vision of target',1,2),
(33844,2000057,6,100,'Stuns target',1,3),
(33845,2000057,6,100,'Does not affect Epic targets',1,4),
(33846,2000057,6,100,'Inflicts 270 - 450 melee damage on targets in Area of Effect',0,5),
(33847,2000057,7,100,'Applies Knockdown.  Lasts for 2.8 seconds.',0,0),
(33848,2000057,7,100,'Throws target back',1,1),
(33849,2000057,7,100,'Blurs vision of target',1,2),
(33850,2000057,7,100,'Stuns target',1,3),
(33851,2000057,7,100,'Does not affect Epic targets',1,4),
(33852,2000057,7,100,'Inflicts 240 - 400 melee damage on targets in Area of Effect',0,5),
(33853,2000057,8,100,'Applies Knockdown.  Lasts for 3.0 seconds.',0,0),
(33854,2000057,8,100,'Throws target back',1,1),
(33855,2000057,8,100,'Blurs vision of target',1,2),
(33856,2000057,8,100,'Stuns target',1,3),
(33857,2000057,8,100,'Does not affect Epic targets',1,4),
(33858,2000057,8,100,'Inflicts 322 - 536 melee damage on targets in Area of Effect',0,5),
(33859,2000057,9,100,'Applies Knockdown.  Lasts for 3.2 seconds.',0,0),
(33860,2000057,9,100,'Throws target back',1,1),
(33861,2000057,9,100,'Blurs vision of target',1,2),
(33862,2000057,9,100,'Stuns target',1,3),
(33863,2000057,9,100,'Does not affect Epic targets',1,4),
(33864,2000057,9,100,'Inflicts 332 - 554 melee damage on targets in Area of Effect',0,5),
(33865,2000057,10,100,'Applies Knockdown.  Lasts for 3.3 seconds.',0,0),
(33866,2000057,10,100,'Throws target back',1,1),
(33867,2000057,10,100,'Blurs vision of target',1,2),
(33868,2000057,10,100,'Stuns target',1,3),
(33869,2000057,10,100,'Does not affect Epic targets',1,4),
(33870,2000057,10,100,'Inflicts 261 - 436 melee damage on targets in Area of Effect',0,5),
(33871,2000058,1,100,'Caster has a 2.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(33872,2000058,1,100,'On a melee hit this spell has a 2% chance to cast Crane Twirl on target of attack.  ',0,1),
(33873,2000058,1,100,'Inflicts 212 - 353 crushing damage on targets in Area of Effect',1,2),
(33874,2000058,2,100,'Caster has a 4.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(33875,2000058,2,100,'On a melee hit this spell has a 4% chance to cast Crane Twirl on target of attack.  ',0,1),
(33876,2000058,2,100,'Inflicts 224 - 373 crushing damage on targets in Area of Effect',1,2),
(33877,2000058,3,100,'Caster has a 6.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(33878,2000058,3,100,'On a melee hit this spell has a 6% chance to cast Crane Twirl on target of attack.  ',0,1),
(33879,2000058,3,100,'Inflicts 177 - 294 crushing damage on targets in Area of Effect',1,2),
(33880,2000058,4,100,'Caster has a 8.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(33881,2000058,4,100,'On a melee hit this spell has a 8% chance to cast Crane Twirl on target of attack.  ',0,1),
(33882,2000058,4,100,'Inflicts 259 - 432 crushing damage on targets in Area of Effect',1,2),
(33883,2000058,5,100,'Caster has a 10.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(33884,2000058,5,100,'On a melee hit this spell has a 10% chance to cast Crane Twirl on target of attack.  ',0,1),
(33885,2000058,5,100,'Inflicts 283 - 471 crushing damage on targets in Area of Effect',1,2),
(33886,2000058,6,100,'Caster has a 12.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(33887,2000058,6,100,'On a melee hit this spell has a 12% chance to cast Crane Twirl on target of attack.  ',0,1),
(33888,2000058,6,100,'Inflicts 230 - 383 crushing damage on targets in Area of Effect',1,2),
(33889,2000058,7,100,'Caster has a 14.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(33890,2000058,7,100,'On a melee hit this spell has a 14% chance to cast Crane Twirl on target of attack.  ',0,1),
(33891,2000058,7,100,'Inflicts 363 - 604 crushing damage on targets in Area of Effect',1,2),
(33892,2000058,8,100,'Caster has a 16.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(33893,2000058,8,100,'On a melee hit this spell has a 16% chance to cast Crane Twirl on target of attack.  ',0,1),
(33894,2000058,8,100,'Inflicts 274 - 456 crushing damage on targets in Area of Effect',1,2),
(33895,2000058,9,100,'Caster has a 18.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(33896,2000058,9,100,'On a melee hit this spell has a 18% chance to cast Crane Twirl on target of attack.  ',0,1),
(33897,2000058,9,100,'Inflicts 283 - 471 crushing damage on targets in Area of Effect',1,2),
(33898,2000058,10,100,'Caster has a 20.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(33899,2000058,10,100,'On a melee hit this spell has a 20% chance to cast Crane Twirl on target of attack.  ',0,1),
(33900,2000058,10,100,'Inflicts 396 - 659 crushing damage on targets in Area of Effect',1,2),
(33901,2000059,3,100,'Inflicts 4 - 7 mental damage on target',0,0),
(33902,2000059,4,100,'Inflicts 4 - 8 mental damage on target',0,0),
(33903,2000059,5,100,'Inflicts 5 - 9 mental damage on target',0,0),
(33904,2000059,7,100,'Inflicts 6 - 11 mental damage on target',0,0),
(33905,2000059,9,100,'Inflicts 7 - 12 mental damage on target',0,0),
(33906,2000059,10,100,'Inflicts 7 - 12 mental damage on target',0,0),
(33907,60042,1,100,'Inflicts 18 - 30 magic damage on targets in Area of Effect',0,0),
(33908,60042,2,100,'Inflicts 19 - 32 magic damage on targets in Area of Effect',0,0),
(33909,60042,3,100,'Inflicts 20 - 33 magic damage on targets in Area of Effect',0,0),
(33910,60042,4,100,'Inflicts 22 - 37 magic damage on targets in Area of Effect',0,0),
(33911,60042,5,100,'Inflicts 24 - 40 magic damage on targets in Area of Effect',0,0),
(33912,60042,7,100,'Inflicts 31 - 52 magic damage on targets in Area of Effect',0,0),
(33913,60042,9,100,'Inflicts 32 - 54 magic damage on targets in Area of Effect',0,0),
(33914,60043,1,100,'Inflicts 53 - 89 magic damage on targets in Area of Effect',0,0),
(33915,60043,2,100,'Inflicts 56 - 94 magic damage on targets in Area of Effect',0,0),
(33916,60043,3,100,'Inflicts 59 - 99 magic damage on targets in Area of Effect',0,0),
(33917,60043,4,100,'Inflicts 65 - 109 magic damage on targets in Area of Effect',0,0),
(33918,60043,5,100,'Inflicts 71 - 118 magic damage on targets in Area of Effect',0,0),
(33919,60043,7,100,'Inflicts 91 - 152 magic damage on targets in Area of Effect',0,0),
(33920,60043,9,100,'Inflicts 95 - 158 magic damage on targets in Area of Effect',0,0),
(33921,60043,10,100,'Inflicts 99 - 166 magic damage on targets in Area of Effect',0,0),
(33922,60044,1,100,'Inflicts 95 - 158 magic damage on targets in Area of Effect',0,0),
(33923,60044,2,100,'Inflicts 100 - 167 magic damage on targets in Area of Effect',0,0),
(33924,60044,3,100,'Inflicts 105 - 176 magic damage on targets in Area of Effect',0,0),
(33925,60044,4,100,'Inflicts 116 - 194 magic damage on targets in Area of Effect',0,0),
(33926,60044,5,100,'Inflicts 126 - 211 magic damage on targets in Area of Effect',0,0),
(33927,60044,7,100,'Inflicts 162 - 271 magic damage on targets in Area of Effect',0,0),
(33928,60044,9,100,'Inflicts 169 - 282 magic damage on targets in Area of Effect',0,0),
(33929,60045,1,100,'Inflicts 143 - 239 magic damage on targets in Area of Effect',0,0),
(33930,60045,2,100,'Inflicts 151 - 252 magic damage on targets in Area of Effect',0,0),
(33931,60045,3,100,'Inflicts 159 - 265 magic damage on targets in Area of Effect',0,0),
(33932,60045,4,100,'Inflicts 175 - 292 magic damage on targets in Area of Effect',0,0),
(33933,60045,5,100,'Inflicts 191 - 319 magic damage on targets in Area of Effect',0,0),
(33934,60045,7,100,'Inflicts 245 - 409 magic damage on targets in Area of Effect',0,0),
(33935,60045,9,100,'Inflicts 255 - 425 magic damage on targets in Area of Effect',0,0),
(33936,60046,1,100,'Inflicts 195 - 326 magic damage on targets in Area of Effect',0,0),
(33937,60046,2,100,'Inflicts 206 - 344 magic damage on targets in Area of Effect',0,0),
(33938,60046,3,100,'Inflicts 217 - 362 magic damage on targets in Area of Effect',0,0),
(33939,60046,4,100,'Inflicts 239 - 398 magic damage on targets in Area of Effect',0,0),
(33940,60046,5,100,'Inflicts 260 - 434 magic damage on targets in Area of Effect',0,0),
(33941,60046,7,100,'Inflicts 334 - 558 magic damage on targets in Area of Effect',0,0),
(33942,60046,9,100,'Inflicts 347 - 579 magic damage on targets in Area of Effect',0,0),
(33943,60046,10,100,'Inflicts 365 - 608 magic damage on targets in Area of Effect',0,0),
(33944,60047,1,100,'Inflicts 245 - 408 magic damage on targets in Area of Effect',0,0),
(33945,60047,2,100,'Inflicts 258 - 431 magic damage on targets in Area of Effect',0,0),
(33946,60047,3,100,'Inflicts 272 - 454 magic damage on targets in Area of Effect',0,0),
(33947,60047,4,100,'Inflicts 299 - 499 magic damage on targets in Area of Effect',0,0),
(33948,60047,5,100,'Inflicts 327 - 545 magic damage on targets in Area of Effect',0,0),
(33949,60047,7,100,'Inflicts 419 - 699 magic damage on targets in Area of Effect',0,0),
(33950,60047,9,100,'Inflicts 436 - 726 magic damage on targets in Area of Effect',0,0),
(33951,60047,10,100,'Inflicts 457 - 763 magic damage on targets in Area of Effect',0,0),
(33952,60048,1,100,'Inflicts 296 - 493 magic damage on targets in Area of Effect',0,0),
(33953,60048,4,100,'Inflicts 362 - 603 magic damage on targets in Area of Effect',0,0),
(33954,60048,5,100,'Inflicts 394 - 658 magic damage on targets in Area of Effect',0,0),
(33955,60048,7,100,'Inflicts 506 - 844 magic damage on targets in Area of Effect',0,0),
(33956,60048,9,100,'Inflicts 526 - 877 magic damage on targets in Area of Effect',0,0),
(33958,60049,1,100,'Inflicts 333 - 555 magic damage on targets in Area of Effect',0,0),
(33959,60049,4,100,'Inflicts 407 - 679 magic damage on targets in Area of Effect',0,0),
(33960,60049,5,100,'Inflicts 444 - 740 magic damage on targets in Area of Effect',0,0),
(33961,60049,7,100,'Inflicts 570 - 950 magic damage on targets in Area of Effect',0,0),
(33962,60049,9,100,'Inflicts 592 - 987 magic damage on targets in Area of Effect',0,0),
(33964,390022,1,100,'Inflicts 100 - 166 ranged damage on target',0,0),
(33965,390022,1,100,'Decreases Deflection and Parry of target by 10.8',0,1),
(33966,390022,1,100,'Requires bow or aim',0,2),
(33967,390022,2,100,'Inflicts 105 - 176 ranged damage on target',0,0),
(33968,390022,2,100,'Decreases Deflection and Parry of target by 11.4',0,1),
(33969,390022,2,100,'Requires bow or aim',0,2),
(33970,390022,3,100,'Inflicts 111 - 185 ranged damage on target',0,0),
(33971,390022,3,100,'Decreases Deflection and Parry of target by 12.0',0,1),
(33972,390022,3,100,'Requires bow or aim',0,2),
(33973,390022,4,100,'Inflicts 122 - 204 ranged damage on target',0,0),
(33974,390022,4,100,'Decreases Deflection and Parry of target by 13.2',0,1),
(33975,390022,4,100,'Requires bow or aim',0,2),
(33976,390022,5,100,'Inflicts 133 - 222 ranged damage on target',0,0),
(33977,390022,5,100,'Decreases Deflection and Parry of target by 14.4',0,1),
(33978,390022,5,100,'Requires bow or aim',0,2),
(33979,390022,7,100,'Inflicts 171 - 285 ranged damage on target',0,0),
(33980,390022,7,100,'Decreases Deflection and Parry of target by 18.5',0,1),
(33981,390022,7,100,'Requires bow or aim',0,2),
(33982,390022,9,100,'Inflicts 178 - 296 ranged damage on target',0,0),
(33983,390022,9,100,'Decreases Deflection and Parry of target by 19.2',0,1),
(33984,390022,9,100,'Requires bow or aim',0,2),
(33985,390022,10,100,'Inflicts 186 - 311 ranged damage on target',0,0),
(33986,390022,10,100,'Decreases Deflection and Parry of target by 20.2',0,1),
(33987,390022,10,100,'Requires bow or aim',0,2),
(33988,390023,1,100,'Inflicts 182 - 304 ranged damage on target',0,0),
(33989,390023,1,100,'Decreases Deflection and Parry of target by 18.4',0,1),
(33990,390023,1,100,'Requires bow or aim',0,2),
(33991,390023,2,100,'Inflicts 192 - 321 ranged damage on target',0,0),
(33992,390023,2,100,'Decreases Deflection and Parry of target by 19.4',0,1),
(33993,390023,2,100,'Requires bow or aim',0,2),
(33994,390023,3,100,'Inflicts 203 - 338 ranged damage on target',0,0),
(33995,390023,3,100,'Decreases Deflection and Parry of target by 20.4',0,1),
(33996,390023,3,100,'Requires bow or aim',0,2),
(33997,390023,4,100,'Inflicts 223 - 372 ranged damage on target',0,0),
(33998,390023,4,100,'Decreases Deflection and Parry of target by 22.4',0,1),
(33999,390023,4,100,'Requires bow or aim',0,2),
(34000,390023,5,100,'Inflicts 243 - 406 ranged damage on target',0,0),
(34001,390023,5,100,'Decreases Deflection and Parry of target by 24.5',0,1),
(34002,390023,5,100,'Requires bow or aim',0,2),
(34003,390023,7,100,'Inflicts 312 - 521 ranged damage on target',0,0),
(34004,390023,7,100,'Decreases Deflection and Parry of target by 31.4',0,1),
(34005,390023,7,100,'Requires bow or aim',0,2),
(34006,390023,9,100,'Inflicts 324 - 541 ranged damage on target',0,0),
(34007,390023,9,100,'Decreases Deflection and Parry of target by 32.6',0,1),
(34008,390023,9,100,'Requires bow or aim',0,2),
(34009,390023,10,100,'Inflicts 341 - 568 ranged damage on target',0,0),
(34010,390023,10,100,'Decreases Deflection and Parry of target by 34.3',0,1),
(34011,390023,10,100,'Requires bow or aim',0,2),
(34012,390024,1,100,'Inflicts 277 - 461 ranged damage on target',0,0),
(34013,390024,1,100,'Decreases Deflection and Parry of target by 25.9',0,1),
(34014,390024,1,100,'Requires bow or aim',0,2),
(34015,390024,2,100,'Inflicts 292 - 487 ranged damage on target',0,0),
(34016,390024,2,100,'Decreases Deflection and Parry of target by 27.4',0,1),
(34017,390024,2,100,'Requires bow or aim',0,2),
(34018,390024,3,100,'Inflicts 307 - 513 ranged damage on target',0,0),
(34019,390024,3,100,'Decreases Deflection and Parry of target by 28.8',0,1),
(34020,390024,3,100,'Requires bow or aim',0,2),
(34021,390024,4,100,'Inflicts 338 - 564 ranged damage on target',0,0),
(34022,390024,4,100,'Decreases Deflection and Parry of target by 31.7',0,1),
(34023,390024,4,100,'Requires bow or aim',0,2),
(34024,390024,5,100,'Inflicts 369 - 615 ranged damage on target',0,0),
(34025,390024,5,100,'Decreases Deflection and Parry of target by 34.6',0,1),
(34026,390024,5,100,'Requires bow or aim',0,2),
(34027,390024,7,100,'Inflicts 474 - 790 ranged damage on target',0,0),
(34028,390024,7,100,'Decreases Deflection and Parry of target by 44.4',0,1),
(34029,390024,7,100,'Requires bow or aim',0,2),
(34030,390024,9,100,'Inflicts 492 - 821 ranged damage on target',0,0),
(34031,390024,9,100,'Decreases Deflection and Parry of target by 46.1',0,1),
(34032,390024,9,100,'Requires bow or aim',0,2),
(34033,390025,1,100,'Inflicts 380 - 633 ranged damage on target',0,0),
(34034,390025,1,100,'Decreases Deflection and Parry of target by 33.5',0,1),
(34035,390025,1,100,'Requires bow or aim',0,2),
(34036,390025,2,100,'Inflicts 401 - 669 ranged damage on target',0,0),
(34037,390025,2,100,'Decreases Deflection and Parry of target by 35.3',0,1),
(34038,390025,2,100,'Requires bow or aim',0,2),
(34039,390025,3,100,'Inflicts 422 - 704 ranged damage on target',0,0),
(34040,390025,3,100,'Decreases Deflection and Parry of target by 37.2',0,1),
(34041,390025,3,100,'Requires bow or aim',0,2),
(34042,390025,4,100,'Inflicts 464 - 774 ranged damage on target',0,0),
(34043,390025,4,100,'Decreases Deflection and Parry of target by 40.9',0,1),
(34044,390025,4,100,'Requires bow or aim',0,2),
(34045,390025,5,100,'Inflicts 507 - 845 ranged damage on target',0,0),
(34046,390025,5,100,'Decreases Deflection and Parry of target by 44.6',0,1),
(34047,390025,5,100,'Requires bow or aim',0,2),
(34048,390025,7,100,'Inflicts 650 - 1084 ranged damage on target',0,0),
(34049,390025,7,100,'Decreases Deflection and Parry of target by 57.3',0,1),
(34050,390025,7,100,'Requires bow or aim',0,2),
(34051,390025,9,100,'Inflicts 676 - 1126 ranged damage on target',0,0),
(34052,390025,9,100,'Decreases Deflection and Parry of target by 59.5',0,1),
(34053,390025,9,100,'Requires bow or aim',0,2),
(34054,390025,10,100,'Inflicts 710 - 1183 ranged damage on target',0,0),
(34055,390025,10,100,'Decreases Deflection and Parry of target by 62.5',0,1),
(34056,390025,10,100,'Requires bow or aim',0,2),
(34057,390026,1,100,'Inflicts 476 - 794 ranged damage on target',0,0),
(34058,390026,1,100,'Decreases Deflection and Parry of target by 40.7',0,1),
(34059,390026,1,100,'Requires bow or aim',0,2),
(34060,390026,2,100,'Inflicts 503 - 838 ranged damage on target',0,0),
(34061,390026,2,100,'Decreases Deflection and Parry of target by 42.9',0,1),
(34062,390026,2,100,'Requires bow or aim',0,2),
(34063,390026,3,100,'Inflicts 529 - 882 ranged damage on target',0,0),
(34064,390026,3,100,'Decreases Deflection and Parry of target by 45.2',0,1),
(34065,390026,3,100,'Requires bow or aim',0,2),
(34066,390026,4,100,'Inflicts 582 - 970 ranged damage on target',0,0),
(34067,390026,4,100,'Decreases Deflection and Parry of target by 49.7',0,1),
(34068,390026,4,100,'Requires bow or aim',0,2),
(34069,390026,5,100,'Inflicts 635 - 1059 ranged damage on target',0,0),
(34070,390026,5,100,'Decreases Deflection and Parry of target by 54.2',0,1),
(34071,390026,5,100,'Requires bow or aim',0,2),
(34072,390026,7,100,'Inflicts 815 - 1359 ranged damage on target',0,0),
(34073,390026,7,100,'Decreases Deflection and Parry of target by 69.6',0,1),
(34074,390026,7,100,'Requires bow or aim',0,2),
(34075,390026,9,100,'Inflicts 847 - 1412 ranged damage on target',0,0),
(34076,390026,9,100,'Decreases Deflection and Parry of target by 72.3',0,1),
(34077,390026,9,100,'Requires bow or aim',0,2),
(34078,390026,10,100,'Inflicts 889 - 1482 ranged damage on target',0,0),
(34079,390026,10,100,'Decreases Deflection and Parry of target by 75.9',0,1),
(34080,390026,10,100,'Requires bow or aim',0,2),
(34081,390027,1,100,'Inflicts 575 - 959 ranged damage on target',0,0),
(34082,390027,1,100,'Decreases Deflection and Parry of target by 47.9',0,1),
(34083,390027,1,100,'Requires bow or aim',0,2),
(34084,390027,4,100,'Inflicts 703 - 1173 ranged damage on target',0,0),
(34085,390027,4,100,'Decreases Deflection and Parry of target by 58.5',0,1),
(34086,390027,4,100,'Requires bow or aim',0,2),
(34087,390027,5,100,'Inflicts 767 - 1279 ranged damage on target',0,0),
(34088,390027,5,100,'Decreases Deflection and Parry of target by 63.8',0,1),
(34089,390027,5,100,'Requires bow or aim',0,2),
(34090,390027,7,100,'Inflicts 985 - 1642 ranged damage on target',0,0),
(34091,390027,7,100,'Decreases Deflection and Parry of target by 81.9',0,1),
(34092,390027,7,100,'Requires bow or aim',0,2),
(34093,390027,9,100,'Inflicts 1023 - 1706 ranged damage on target',0,0),
(34094,390027,9,100,'Decreases Deflection and Parry of target by 85.1',0,1),
(34095,390027,9,100,'Requires bow or aim',0,2),
(34096,390027,10,100,'Inflicts 1075 - 1791 ranged damage on target',0,0),
(34097,390027,10,100,'Decreases Deflection and Parry of target by 89.4',0,1),
(34098,390027,10,100,'Requires bow or aim',0,2),
(34099,390028,1,100,'Inflicts 656 - 1094 ranged damage on target',0,0),
(34100,390028,1,100,'Decreases Deflection and Parry of target by 55.1',0,1),
(34101,390028,1,100,'Requires bow or aim',0,2),
(34102,390028,4,100,'Inflicts 802 - 1337 ranged damage on target',0,0),
(34103,390028,4,100,'Decreases Deflection and Parry of target by 67.3',0,1),
(34104,390028,4,100,'Requires bow or aim',0,2),
(34105,390028,5,100,'Inflicts 875 - 1458 ranged damage on target',0,0),
(34106,390028,5,100,'Decreases Deflection and Parry of target by 73.4',0,1),
(34107,390028,5,100,'Requires bow or aim',0,2),
(34108,390028,7,100,'Inflicts 1123 - 1872 ranged damage on target',0,0),
(34109,390028,7,100,'Decreases Deflection and Parry of target by 94.2',0,1),
(34110,390028,7,100,'Requires bow or aim',0,2),
(34111,390028,9,100,'Inflicts 1167 - 1945 ranged damage on target',0,0),
(34112,390028,9,100,'Decreases Deflection and Parry of target by 97.9',0,1),
(34113,390028,9,100,'Requires bow or aim',0,2),
(34114,390028,10,100,'Inflicts 1225 - 2042 ranged damage on target',0,0),
(34115,390028,10,100,'Decreases Deflection and Parry of target by 102.8',0,1),
(34116,390028,10,100,'Requires bow or aim',0,2),
(34117,400028,1,100,'Inflicts 272 - 454 melee damage on target',0,0),
(34118,400028,1,100,'Decreases Defense of target by 17.8',0,1),
(34119,400028,1,100,'Must be flanking or behind',0,2),
(34120,400028,2,100,'Inflicts 287 - 479 melee damage on target',0,0),
(34121,400028,2,100,'Decreases Defense of target by 18.8',0,1),
(34122,400028,2,100,'Must be flanking or behind',0,2),
(34123,400028,3,100,'Inflicts 302 - 504 melee damage on target',0,0),
(34124,400028,3,100,'Decreases Defense of target by 19.8',0,1),
(34125,400028,3,100,'Must be flanking or behind',0,2),
(34126,400028,4,100,'Inflicts 333 - 555 melee damage on target',0,0),
(34127,400028,4,100,'Decreases Defense of target by 21.8',0,1),
(34128,400028,4,100,'Must be flanking or behind',0,2),
(34129,400028,5,100,'Inflicts 363 - 605 melee damage on target',0,0),
(34130,400028,5,100,'Decreases Defense of target by 23.8',0,1),
(34131,400028,5,100,'Must be flanking or behind',0,2),
(34132,400028,7,100,'Inflicts 466 - 777 melee damage on target',0,0),
(34133,400028,7,100,'Decreases Defense of target by 30.5',0,1),
(34134,400028,7,100,'Must be flanking or behind',0,2),
(34135,400028,9,100,'Inflicts 484 - 807 melee damage on target',0,0),
(34136,400028,9,100,'Decreases Defense of target by 31.7',0,1),
(34137,400028,9,100,'Must be flanking or behind',0,2),
(34138,400029,1,100,'Inflicts 386 - 643 melee damage on target',0,0),
(34139,400029,1,100,'Decreases Defense of target by 23.5',0,1),
(34140,400029,1,100,'Must be flanking or behind',0,2),
(34141,400029,2,100,'Inflicts 407 - 679 melee damage on target',0,0),
(34142,400029,2,100,'Decreases Defense of target by 24.8',0,1),
(34143,400029,2,100,'Must be flanking or behind',0,2),
(34144,400029,3,100,'Inflicts 429 - 715 melee damage on target',0,0),
(34145,400029,3,100,'Decreases Defense of target by 26.1',0,1),
(34146,400029,3,100,'Must be flanking or behind',0,2),
(34147,400029,4,100,'Inflicts 471 - 786 melee damage on target',0,0),
(34148,400029,4,100,'Decreases Defense of target by 28.7',0,1),
(34149,400029,4,100,'Must be flanking or behind',0,2),
(34150,400029,5,100,'Inflicts 514 - 858 melee damage on target',0,0),
(34151,400029,5,100,'Decreases Defense of target by 31.3',0,1),
(34152,400029,5,100,'Must be flanking or behind',0,2),
(34153,400029,7,100,'Inflicts 660 - 1101 melee damage on target',0,0),
(34154,400029,7,100,'Decreases Defense of target by 40.2',0,1),
(34155,400029,7,100,'Must be flanking or behind',0,2),
(34156,400029,9,100,'Inflicts 686 - 1144 melee damage on target',0,0),
(34157,400029,9,100,'Decreases Defense of target by 41.8',0,1),
(34158,400029,9,100,'Must be flanking or behind',0,2),
(34159,400030,1,100,'Inflicts 503 - 839 melee damage on target',0,0),
(34160,400030,1,100,'Decreases Defense of target by 29.4',0,1),
(34161,400030,1,100,'Must be flanking or behind',0,2),
(34162,400030,2,100,'Inflicts 531 - 886 melee damage on target',0,0),
(34163,400030,2,100,'Decreases Defense of target by 31.1',0,1),
(34164,400030,2,100,'Must be flanking or behind',0,2),
(34165,400030,3,100,'Inflicts 559 - 933 melee damage on target',0,0),
(34166,400030,3,100,'Decreases Defense of target by 32.7',0,1),
(34167,400030,3,100,'Must be flanking or behind',0,2),
(34168,400030,4,100,'Inflicts 615 - 1026 melee damage on target',0,0),
(34169,400030,4,100,'Decreases Defense of target by 36.0',0,1),
(34170,400030,4,100,'Must be flanking or behind',0,2),
(34171,400030,5,100,'Inflicts 671 - 1119 melee damage on target',0,0),
(34172,400030,5,100,'Decreases Defense of target by 39.2',0,1),
(34173,400030,5,100,'Must be flanking or behind',0,2),
(34174,400030,7,100,'Inflicts 862 - 1437 melee damage on target',0,0),
(34175,400030,7,100,'Decreases Defense of target by 50.4',0,1),
(34176,400030,7,100,'Must be flanking or behind',0,2),
(34177,400030,9,100,'Inflicts 895 - 1493 melee damage on target',0,0),
(34178,400030,9,100,'Decreases Defense of target by 52.3',0,1),
(34179,400030,9,100,'Must be flanking or behind',0,2),
(34180,400031,1,100,'Inflicts 610 - 1016 melee damage on target',0,0),
(34181,400031,1,100,'Decreases Defense of target by 34.8',0,1),
(34182,400031,1,100,'Must be flanking or behind',0,2),
(34183,400031,4,100,'Inflicts 745 - 1242 melee damage on target',0,0),
(34184,400031,4,100,'Decreases Defense of target by 42.6',0,1),
(34185,400031,4,100,'Must be flanking or behind',0,2),
(34186,400031,5,100,'Inflicts 813 - 1355 melee damage on target',0,0),
(34187,400031,5,100,'Decreases Defense of target by 46.4',0,1),
(34188,400031,5,100,'Must be flanking or behind',0,2),
(34189,400031,7,100,'Inflicts 1043 - 1739 melee damage on target',0,0),
(34190,400031,7,100,'Decreases Defense of target by 59.6',0,1),
(34191,400031,7,100,'Must be flanking or behind',0,2),
(34192,400031,9,100,'Inflicts 1084 - 1807 melee damage on target',0,0),
(34193,400031,9,100,'Decreases Defense of target by 61.9',0,1),
(34194,400031,9,100,'Must be flanking or behind',0,2),
(34195,400032,1,100,'Inflicts 713 - 1189 melee damage on target',0,0),
(34196,400032,1,100,'Decreases Defense of target by 40.2',0,1),
(34197,400032,1,100,'Must be flanking or behind',0,2),
(34198,400032,4,100,'Inflicts 872 - 1454 melee damage on target',0,0),
(34199,400032,4,100,'Decreases Defense of target by 49.2',0,1),
(34200,400032,4,100,'Must be flanking or behind',0,2),
(34201,400032,5,100,'Inflicts 951 - 1586 melee damage on target',0,0),
(34202,400032,5,100,'Decreases Defense of target by 53.6',0,1),
(34203,400032,5,100,'Must be flanking or behind',0,2),
(34204,400032,7,100,'Inflicts 1221 - 2035 melee damage on target',0,0),
(34205,400032,7,100,'Decreases Defense of target by 68.8',0,1),
(34206,400032,7,100,'Must be flanking or behind',0,2),
(34207,400032,9,100,'Inflicts 1269 - 2115 melee damage on target',0,0),
(34208,400032,9,100,'Decreases Defense of target by 71.5',0,1),
(34209,400032,9,100,'Must be flanking or behind',0,2),
(34210,60050,1,100,'Reduces physical damage done to caster by 5%',0,0),
(34211,60050,1,100,'Adds 1.3% to base avoidance.',0,1),
(34212,60050,1,100,'Caster will deflect 9.0% of incoming attacks.',0,2),
(34213,60050,1,100,'Increases Parry of caster by 1.6',0,3),
(34214,60050,1,100,'Decreases Slashing, Piercing and Crushing of caster by 1.8',0,4),
(34215,60050,1,100,'Increases Aggression of caster by 1.0',0,5),
(34216,60050,1,100,'Increases Defense and Deflection of caster by 1.6',0,6),
(34217,60050,1,100,'Increases Mitigation of caster vs arcane damage by 138',0,7),
(34218,60050,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(34219,60050,2,100,'Reduces physical damage done to caster by 5%',0,0),
(34220,60050,2,100,'Adds 1.4% to base avoidance.',0,1),
(34221,60050,2,100,'Caster will deflect 9.5% of incoming attacks.',0,2),
(34222,60050,2,100,'Increases Parry of caster by 1.7',0,3),
(34223,60050,2,100,'Decreases Slashing, Piercing and Crushing of caster by 1.8',0,4),
(34224,60050,2,100,'Increases Aggression of caster by 1.0',0,5),
(34225,60050,2,100,'Increases Defense and Deflection of caster by 1.7',0,6),
(34226,60050,2,100,'Increases Mitigation of caster vs arcane damage by 146',0,7),
(34227,60050,2,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(34228,60050,3,100,'Reduces physical damage done to caster by 5%',0,0),
(34229,60050,3,100,'Adds 1.5% to base avoidance.',0,1),
(34230,60050,3,100,'Caster will deflect 10.0% of incoming attacks.',0,2),
(34231,60050,3,100,'Increases Parry of caster by 1.8',0,3),
(34232,60050,3,100,'Decreases Slashing, Piercing and Crushing of caster by 1.8',0,4),
(34233,60050,3,100,'Increases Aggression of caster by 1.1',0,5),
(34234,60050,3,100,'Increases Defense and Deflection of caster by 1.8',0,6),
(34235,60050,3,100,'Increases Mitigation of caster vs arcane damage by 154',0,7),
(34236,60050,3,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(34237,60050,4,100,'Reduces physical damage done to caster by 5%',0,0),
(34238,60050,4,100,'Adds 1.7% to base avoidance.',0,1),
(34239,60050,4,100,'Caster will deflect 11.0% of incoming attacks.',0,2),
(34240,60050,4,100,'Increases Parry of caster by 2.0',0,3),
(34241,60050,4,100,'Decreases Slashing, Piercing and Crushing of caster by 1.8',0,4),
(34242,60050,4,100,'Increases Aggression of caster by 1.2',0,5),
(34243,60050,4,100,'Increases Defense and Deflection of caster by 2.0',0,6),
(34244,60050,4,100,'Increases Mitigation of caster vs arcane damage by 169',0,7),
(34245,60050,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(34246,60050,5,100,'Reduces physical damage done to caster by 5%',0,0),
(34247,60050,5,100,'Adds 1.8% to base avoidance.',0,1),
(34248,60050,5,100,'Caster will deflect 12.0% of incoming attacks.',0,2),
(34249,60050,5,100,'Increases Parry of caster by 2.2',0,3),
(34250,60050,5,100,'Decreases Slashing, Piercing and Crushing of caster by 1.8',0,4),
(34251,60050,5,100,'Increases Aggression of caster by 1.3',0,5),
(34252,60050,5,100,'Increases Defense and Deflection of caster by 2.2',0,6),
(34253,60050,5,100,'Increases Mitigation of caster vs arcane damage by 184',0,7),
(34254,60050,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(34255,60050,7,100,'Reduces physical damage done to caster by 5%',0,0),
(34256,60050,7,100,'Adds 2.3% to base avoidance.',0,1),
(34257,60050,7,100,'Caster will deflect 15.4% of incoming attacks.',0,2),
(34258,60050,7,100,'Increases Parry of caster by 2.8',0,3),
(34259,60050,7,100,'Decreases Slashing, Piercing and Crushing of caster by 1.8',0,4),
(34260,60050,7,100,'Increases Aggression of caster by 1.7',0,5),
(34261,60050,7,100,'Increases Defense and Deflection of caster by 2.8',0,6),
(34262,60050,7,100,'Increases Mitigation of caster vs arcane damage by 237',0,7),
(34263,60050,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(34264,60050,9,100,'Reduces physical damage done to caster by 5%',0,0),
(34265,60050,9,100,'Adds 2.4% to base avoidance.',0,1),
(34266,60050,9,100,'Caster will deflect 16.0% of incoming attacks.',0,2),
(34267,60050,9,100,'Increases Parry of caster by 2.9',0,3),
(34268,60050,9,100,'Decreases Slashing, Piercing and Crushing of caster by 1.8',0,4),
(34269,60050,9,100,'Increases Aggression of caster by 1.7',0,5),
(34270,60050,9,100,'Increases Defense and Deflection of caster by 2.9',0,6),
(34271,60050,9,100,'Increases Mitigation of caster vs arcane damage by 246',0,7),
(34272,60050,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(34273,60051,1,100,'Reduces physical damage done to caster by 5%',0,0),
(34274,60051,1,100,'Adds 1.3% to base avoidance.',0,1),
(34275,60051,1,100,'Caster will deflect 9.0% of incoming attacks.',0,2),
(34276,60051,1,100,'Increases Parry of caster by 4.3',0,3),
(34277,60051,1,100,'Decreases Slashing, Piercing and Crushing of caster by 4.8',0,4),
(34278,60051,1,100,'Increases Aggression of caster by 2.6',0,5),
(34279,60051,1,100,'Increases Defense and Deflection of caster by 4.3',0,6),
(34280,60051,1,100,'Increases Mitigation of caster vs arcane damage by 311',0,7),
(34281,60051,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(34282,60051,2,100,'Reduces physical damage done to caster by 5%',0,0),
(34283,60051,2,100,'Adds 1.4% to base avoidance.',0,1),
(34284,60051,2,100,'Caster will deflect 9.5% of incoming attacks.',0,2),
(34285,60051,2,100,'Increases Parry of caster by 4.6',0,3),
(34286,60051,2,100,'Decreases Slashing, Piercing and Crushing of caster by 4.8',0,4),
(34287,60051,2,100,'Increases Aggression of caster by 2.7',0,5),
(34288,60051,2,100,'Increases Defense and Deflection of caster by 4.6',0,6),
(34289,60051,2,100,'Increases Mitigation of caster vs arcane damage by 328',0,7),
(34290,60051,2,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(34291,60051,3,100,'Reduces physical damage done to caster by 5%',0,0),
(34292,60051,3,100,'Adds 1.5% to base avoidance.',0,1),
(34293,60051,3,100,'Caster will deflect 10.0% of incoming attacks.',0,2),
(34294,60051,3,100,'Increases Parry of caster by 4.8',0,3),
(34295,60051,3,100,'Decreases Slashing, Piercing and Crushing of caster by 4.8',0,4),
(34296,60051,3,100,'Increases Aggression of caster by 2.9',0,5),
(34297,60051,3,100,'Increases Defense and Deflection of caster by 4.8',0,6),
(34298,60051,3,100,'Increases Mitigation of caster vs arcane damage by 346',0,7),
(34299,60051,3,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(34300,60051,4,100,'Reduces physical damage done to caster by 5%',0,0),
(34301,60051,4,100,'Adds 1.7% to base avoidance.',0,1),
(34302,60051,4,100,'Caster will deflect 11.0% of incoming attacks.',0,2),
(34303,60051,4,100,'Increases Parry of caster by 5.3',0,3),
(34304,60051,4,100,'Decreases Slashing, Piercing and Crushing of caster by 4.8',0,4),
(34305,60051,4,100,'Increases Aggression of caster by 3.2',0,5),
(34306,60051,4,100,'Increases Defense and Deflection of caster by 5.3',0,6),
(34307,60051,4,100,'Increases Mitigation of caster vs arcane damage by 380',0,7),
(34308,60051,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(34309,60051,5,100,'Reduces physical damage done to caster by 5%',0,0),
(34310,60051,5,100,'Adds 1.8% to base avoidance.',0,1),
(34311,60051,5,100,'Caster will deflect 12.0% of incoming attacks.',0,2),
(34312,60051,5,100,'Increases Parry of caster by 5.8',0,3),
(34313,60051,5,100,'Decreases Slashing, Piercing and Crushing of caster by 4.8',0,4),
(34314,60051,5,100,'Increases Aggression of caster by 3.5',0,5),
(34315,60051,5,100,'Increases Defense and Deflection of caster by 5.8',0,6),
(34316,60051,5,100,'Increases Mitigation of caster vs arcane damage by 415',0,7),
(34317,60051,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(34318,60051,7,100,'Reduces physical damage done to caster by 5%',0,0),
(34319,60051,7,100,'Adds 2.3% to base avoidance.',0,1),
(34320,60051,7,100,'Caster will deflect 15.4% of incoming attacks.',0,2),
(34321,60051,7,100,'Increases Parry of caster by 7.4',0,3),
(34322,60051,7,100,'Decreases Slashing, Piercing and Crushing of caster by 4.8',0,4),
(34323,60051,7,100,'Increases Aggression of caster by 4.4',0,5),
(34324,60051,7,100,'Increases Defense and Deflection of caster by 7.4',0,6),
(34325,60051,7,100,'Increases Mitigation of caster vs arcane damage by 532',0,7),
(34326,60051,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(34327,60051,9,100,'Reduces physical damage done to caster by 5%',0,0),
(34328,60051,9,100,'Adds 2.4% to base avoidance.',0,1),
(34329,60051,9,100,'Caster will deflect 16.0% of incoming attacks.',0,2),
(34330,60051,9,100,'Increases Parry of caster by 7.7',0,3),
(34331,60051,9,100,'Decreases Slashing, Piercing and Crushing of caster by 4.8',0,4),
(34332,60051,9,100,'Increases Aggression of caster by 4.6',0,5),
(34333,60051,9,100,'Increases Defense and Deflection of caster by 7.7',0,6),
(34334,60051,9,100,'Increases Mitigation of caster vs arcane damage by 553',0,7),
(34335,60051,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(34399,60053,1,100,'Reduces physical damage done to caster by 5%',0,0),
(34400,60053,1,100,'Adds 1.3% to base avoidance.',0,1),
(34401,60053,1,100,'Caster will deflect 9.0% of incoming attacks.',0,2),
(34402,60053,1,100,'Increases Parry of caster by 11.9',0,3),
(34403,60053,1,100,'Decreases Slashing, Piercing and Crushing of caster by 13.2',0,4),
(34404,60053,1,100,'Increases Aggression of caster by 7.1',0,5),
(34405,60053,1,100,'Increases Defense and Deflection of caster by 11.9',0,6),
(34406,60053,1,100,'Increases Mitigation of caster vs arcane damage by 792',0,7),
(34407,60053,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(34408,60053,2,100,'Reduces physical damage done to caster by 5%',0,0),
(34409,60053,2,100,'Adds 1.4% to base avoidance.',0,1),
(34410,60053,2,100,'Caster will deflect 9.5% of incoming attacks.',0,2),
(34411,60053,2,100,'Increases Parry of caster by 12.5',0,3),
(34412,60053,2,100,'Decreases Slashing, Piercing and Crushing of caster by 13.2',0,4),
(34413,60053,2,100,'Increases Aggression of caster by 7.5',0,5),
(34414,60053,2,100,'Increases Defense and Deflection of caster by 12.5',0,6),
(34415,60053,2,100,'Increases Mitigation of caster vs arcane damage by 836',0,7),
(34416,60053,2,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(34417,60053,3,100,'Reduces physical damage done to caster by 5%',0,0),
(34418,60053,3,100,'Adds 1.5% to base avoidance.',0,1),
(34419,60053,3,100,'Caster will deflect 10.0% of incoming attacks.',0,2),
(34420,60053,3,100,'Increases Parry of caster by 13.2',0,3),
(34421,60053,3,100,'Decreases Slashing, Piercing and Crushing of caster by 13.2',0,4),
(34422,60053,3,100,'Increases Aggression of caster by 7.9',0,5),
(34423,60053,3,100,'Increases Defense and Deflection of caster by 13.2',0,6),
(34424,60053,3,100,'Increases Mitigation of caster vs arcane damage by 880',0,7),
(34425,60053,3,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(34426,60053,4,100,'Reduces physical damage done to caster by 5%',0,0),
(34427,60053,4,100,'Adds 1.7% to base avoidance.',0,1),
(34428,60053,4,100,'Caster will deflect 11.0% of incoming attacks.',0,2),
(34429,60053,4,100,'Increases Parry of caster by 14.5',0,3),
(34430,60053,4,100,'Decreases Slashing, Piercing and Crushing of caster by 13.2',0,4),
(34431,60053,4,100,'Increases Aggression of caster by 8.7',0,5),
(34432,60053,4,100,'Increases Defense and Deflection of caster by 14.5',0,6),
(34433,60053,4,100,'Increases Mitigation of caster vs arcane damage by 968',0,7),
(34434,60053,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(34435,60053,5,100,'Reduces physical damage done to caster by 5%',0,0),
(34436,60053,5,100,'Adds 1.8% to base avoidance.',0,1),
(34437,60053,5,100,'Caster will deflect 12.0% of incoming attacks.',0,2),
(34438,60053,5,100,'Increases Parry of caster by 15.8',0,3),
(34439,60053,5,100,'Decreases Slashing, Piercing and Crushing of caster by 13.2',0,4),
(34440,60053,5,100,'Increases Aggression of caster by 9.5',0,5),
(34441,60053,5,100,'Increases Defense and Deflection of caster by 15.8',0,6),
(34442,60053,5,100,'Increases Mitigation of caster vs arcane damage by 1056',0,7),
(34443,60053,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(34444,60053,7,100,'Reduces physical damage done to caster by 5%',0,0),
(34445,60053,7,100,'Adds 2.3% to base avoidance.',0,1),
(34446,60053,7,100,'Caster will deflect 15.4% of incoming attacks.',0,2),
(34447,60053,7,100,'Increases Parry of caster by 20.3',0,3),
(34448,60053,7,100,'Decreases Slashing, Piercing and Crushing of caster by 13.2',0,4),
(34449,60053,7,100,'Increases Aggression of caster by 12.2',0,5),
(34450,60053,7,100,'Increases Defense and Deflection of caster by 20.3',0,6),
(34451,60053,7,100,'Increases Mitigation of caster vs arcane damage by 1355',0,7),
(34452,60053,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(34453,60053,9,100,'Reduces physical damage done to caster by 5%',0,0),
(34454,60053,9,100,'Adds 2.4% to base avoidance.',0,1),
(34455,60053,9,100,'Caster will deflect 16.0% of incoming attacks.',0,2),
(34456,60053,9,100,'Increases Parry of caster by 21.1',0,3),
(34457,60053,9,100,'Decreases Slashing, Piercing and Crushing of caster by 13.2',0,4),
(34458,60053,9,100,'Increases Aggression of caster by 12.7',0,5),
(34459,60053,9,100,'Increases Defense and Deflection of caster by 21.1',0,6),
(34460,60053,9,100,'Increases Mitigation of caster vs arcane damage by 1408',0,7),
(34461,60053,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(34462,60054,1,100,'Reduces physical damage done to caster by 5%',0,0),
(34463,60054,1,100,'Adds 1.3% to base avoidance.',0,1),
(34464,60054,1,100,'Caster will deflect 9.0% of incoming attacks.',0,2),
(34465,60054,1,100,'Increases Parry of caster by 15.7',0,3),
(34466,60054,1,100,'Decreases Slashing, Piercing and Crushing of caster by 17.4',0,4),
(34467,60054,1,100,'Increases Aggression of caster by 9.4',0,5),
(34468,60054,1,100,'Increases Defense and Deflection of caster by 15.7',0,6),
(34469,60054,1,100,'Increases Mitigation of caster vs arcane damage by 1044',0,7),
(34470,60054,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(34471,60054,2,100,'Reduces physical damage done to caster by 5%',0,0),
(34472,60054,2,100,'Adds 1.4% to base avoidance.',0,1),
(34473,60054,2,100,'Caster will deflect 9.5% of incoming attacks.',0,2),
(34474,60054,2,100,'Increases Parry of caster by 16.5',0,3),
(34475,60054,2,100,'Decreases Slashing, Piercing and Crushing of caster by 17.4',0,4),
(34476,60054,2,100,'Increases Aggression of caster by 9.9',0,5),
(34477,60054,2,100,'Increases Defense and Deflection of caster by 16.5',0,6),
(34478,60054,2,100,'Increases Mitigation of caster vs arcane damage by 1102',0,7),
(34479,60054,2,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(34480,60054,3,100,'Reduces physical damage done to caster by 5%',0,0),
(34481,60054,3,100,'Adds 1.5% to base avoidance.',0,1),
(34482,60054,3,100,'Caster will deflect 10.0% of incoming attacks.',0,2),
(34483,60054,3,100,'Increases Parry of caster by 17.4',0,3),
(34484,60054,3,100,'Decreases Slashing, Piercing and Crushing of caster by 17.4',0,4),
(34485,60054,3,100,'Increases Aggression of caster by 10.4',0,5),
(34486,60054,3,100,'Increases Defense and Deflection of caster by 17.4',0,6),
(34487,60054,3,100,'Increases Mitigation of caster vs arcane damage by 1160',0,7),
(34488,60054,3,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(34489,60054,4,100,'Reduces physical damage done to caster by 5%',0,0),
(34490,60054,4,100,'Adds 1.7% to base avoidance.',0,1),
(34491,60054,4,100,'Caster will deflect 11.0% of incoming attacks.',0,2),
(34492,60054,4,100,'Increases Parry of caster by 19.1',0,3),
(34493,60054,4,100,'Decreases Slashing, Piercing and Crushing of caster by 17.4',0,4),
(34494,60054,4,100,'Increases Aggression of caster by 11.5',0,5),
(34495,60054,4,100,'Increases Defense and Deflection of caster by 19.1',0,6),
(34496,60054,4,100,'Increases Mitigation of caster vs arcane damage by 1276',0,7),
(34497,60054,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(34498,60054,5,100,'Reduces physical damage done to caster by 5%',0,0),
(34499,60054,5,100,'Adds 1.8% to base avoidance.',0,1),
(34500,60054,5,100,'Caster will deflect 12.0% of incoming attacks.',0,2),
(34501,60054,5,100,'Increases Parry of caster by 20.9',0,3),
(34502,60054,5,100,'Decreases Slashing, Piercing and Crushing of caster by 17.4',0,4),
(34503,60054,5,100,'Increases Aggression of caster by 12.5',0,5),
(34504,60054,5,100,'Increases Defense and Deflection of caster by 20.9',0,6),
(34505,60054,5,100,'Increases Mitigation of caster vs arcane damage by 1392',0,7),
(34506,60054,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(34507,60054,7,100,'Reduces physical damage done to caster by 5%',0,0),
(34508,60054,7,100,'Adds 2.3% to base avoidance.',0,1),
(34509,60054,7,100,'Caster will deflect 15.4% of incoming attacks.',0,2),
(34510,60054,7,100,'Increases Parry of caster by 26.8',0,3),
(34511,60054,7,100,'Decreases Slashing, Piercing and Crushing of caster by 17.4',0,4),
(34512,60054,7,100,'Increases Aggression of caster by 16.1',0,5),
(34513,60054,7,100,'Increases Defense and Deflection of caster by 26.8',0,6),
(34514,60054,7,100,'Increases Mitigation of caster vs arcane damage by 1786',0,7),
(34515,60054,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(34516,60054,9,100,'Reduces physical damage done to caster by 5%',0,0),
(34517,60054,9,100,'Adds 2.4% to base avoidance.',0,1),
(34518,60054,9,100,'Caster will deflect 16.0% of incoming attacks.',0,2),
(34519,60054,9,100,'Increases Parry of caster by 27.8',0,3),
(34520,60054,9,100,'Decreases Slashing, Piercing and Crushing of caster by 17.4',0,4),
(34521,60054,9,100,'Increases Aggression of caster by 16.7',0,5),
(34522,60054,9,100,'Increases Defense and Deflection of caster by 27.8',0,6),
(34523,60054,9,100,'Increases Mitigation of caster vs arcane damage by 1856',0,7),
(34524,60054,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(34525,60055,1,100,'Reduces physical damage done to caster by 5%',0,0),
(34526,60055,1,100,'Adds 1.3% to base avoidance.',0,1),
(34527,60055,1,100,'Caster will deflect 9.0% of incoming attacks.',0,2),
(34528,60055,1,100,'Increases Parry of caster by 19.6',0,3),
(34529,60055,1,100,'Decreases Slashing, Piercing and Crushing of caster by 21.8',0,4),
(34530,60055,1,100,'Increases Aggression of caster by 11.8',0,5),
(34531,60055,1,100,'Increases Defense and Deflection of caster by 19.6',0,6),
(34532,60055,1,100,'Increases Mitigation of caster vs arcane damage by 1361',0,7),
(34533,60055,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(34534,60055,2,100,'Reduces physical damage done to caster by 5%',0,0),
(34535,60055,2,100,'Adds 1.4% to base avoidance.',0,1),
(34536,60055,2,100,'Caster will deflect 9.5% of incoming attacks.',0,2),
(34537,60055,2,100,'Increases Parry of caster by 20.7',0,3),
(34538,60055,2,100,'Decreases Slashing, Piercing and Crushing of caster by 21.8',0,4),
(34539,60055,2,100,'Increases Aggression of caster by 12.4',0,5),
(34540,60055,2,100,'Increases Defense and Deflection of caster by 20.7',0,6),
(34541,60055,2,100,'Increases Mitigation of caster vs arcane damage by 1436',0,7),
(34542,60055,2,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(34543,60055,3,100,'Reduces physical damage done to caster by 5%',0,0),
(34544,60055,3,100,'Adds 1.5% to base avoidance.',0,1),
(34545,60055,3,100,'Caster will deflect 10.0% of incoming attacks.',0,2),
(34546,60055,3,100,'Increases Parry of caster by 21.8',0,3),
(34547,60055,3,100,'Decreases Slashing, Piercing and Crushing of caster by 21.8',0,4),
(34548,60055,3,100,'Increases Aggression of caster by 13.1',0,5),
(34549,60055,3,100,'Increases Defense and Deflection of caster by 21.8',0,6),
(34550,60055,3,100,'Increases Mitigation of caster vs arcane damage by 1512',0,7),
(34551,60055,3,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(34552,60055,4,100,'Reduces physical damage done to caster by 5%',0,0),
(34553,60055,4,100,'Adds 1.7% to base avoidance.',0,1),
(34554,60055,4,100,'Caster will deflect 11.0% of incoming attacks.',0,2),
(34555,60055,4,100,'Increases Parry of caster by 24.0',0,3),
(34556,60055,4,100,'Decreases Slashing, Piercing and Crushing of caster by 21.8',0,4),
(34557,60055,4,100,'Increases Aggression of caster by 14.4',0,5),
(34558,60055,4,100,'Increases Defense and Deflection of caster by 24.0',0,6),
(34559,60055,4,100,'Increases Mitigation of caster vs arcane damage by 1663',0,7),
(34560,60055,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(34561,60055,5,100,'Reduces physical damage done to caster by 5%',0,0),
(34562,60055,5,100,'Adds 1.8% to base avoidance.',0,1),
(34563,60055,5,100,'Caster will deflect 12.0% of incoming attacks.',0,2),
(34564,60055,5,100,'Increases Parry of caster by 26.2',0,3),
(34565,60055,5,100,'Decreases Slashing, Piercing and Crushing of caster by 21.8',0,4),
(34566,60055,5,100,'Increases Aggression of caster by 15.7',0,5),
(34567,60055,5,100,'Increases Defense and Deflection of caster by 26.2',0,6),
(34568,60055,5,100,'Increases Mitigation of caster vs arcane damage by 1814',0,7),
(34569,60055,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(34570,60055,7,100,'Reduces physical damage done to caster by 5%',0,0),
(34571,60055,7,100,'Adds 2.3% to base avoidance.',0,1),
(34572,60055,7,100,'Caster will deflect 15.4% of incoming attacks.',0,2),
(34573,60055,7,100,'Increases Parry of caster by 33.6',0,3),
(34574,60055,7,100,'Decreases Slashing, Piercing and Crushing of caster by 21.8',0,4),
(34575,60055,7,100,'Increases Aggression of caster by 20.1',0,5),
(34576,60055,7,100,'Increases Defense and Deflection of caster by 33.6',0,6),
(34577,60055,7,100,'Increases Mitigation of caster vs arcane damage by 2328',0,7),
(34578,60055,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(34579,60055,9,100,'Reduces physical damage done to caster by 5%',0,0),
(34580,60055,9,100,'Adds 2.4% to base avoidance.',0,1),
(34581,60055,9,100,'Caster will deflect 16.0% of incoming attacks.',0,2),
(34582,60055,9,100,'Increases Parry of caster by 34.9',0,3),
(34583,60055,9,100,'Decreases Slashing, Piercing and Crushing of caster by 21.8',0,4),
(34584,60055,9,100,'Increases Aggression of caster by 20.9',0,5),
(34585,60055,9,100,'Increases Defense and Deflection of caster by 34.9',0,6),
(34586,60055,9,100,'Increases Mitigation of caster vs arcane damage by 2419',0,7),
(34587,60055,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(34588,60056,1,100,'Reduces physical damage done to caster by 5%',0,0),
(34589,60056,1,100,'Adds 1.3% to base avoidance.',0,1),
(34590,60056,1,100,'Caster will deflect 9.0% of incoming attacks.',0,2),
(34591,60056,1,100,'Increases Parry of caster by 23.4',0,3),
(34592,60056,1,100,'Decreases Slashing, Piercing and Crushing of caster by 25.8',0,4),
(34593,60056,1,100,'Increases Aggression of caster by 14.0',0,5),
(34594,60056,1,100,'Increases Defense and Deflection of caster by 23.4',0,6),
(34595,60056,1,100,'Increases Mitigation of caster vs arcane damage by 1565',0,7),
(34596,60056,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(34597,60056,4,100,'Reduces physical damage done to caster by 5%',0,0),
(34598,60056,4,100,'Adds 1.7% to base avoidance.',0,1),
(34599,60056,4,100,'Caster will deflect 11.0% of incoming attacks.',0,2),
(34600,60056,4,100,'Increases Parry of caster by 28.6',0,3),
(34601,60056,4,100,'Decreases Slashing, Piercing and Crushing of caster by 25.8',0,4),
(34602,60056,4,100,'Increases Aggression of caster by 17.2',0,5),
(34603,60056,4,100,'Increases Defense and Deflection of caster by 28.6',0,6),
(34604,60056,4,100,'Increases Mitigation of caster vs arcane damage by 1912',0,7),
(34605,60056,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(34606,60056,5,100,'Reduces physical damage done to caster by 5%',0,0),
(34607,60056,5,100,'Adds 1.8% to base avoidance.',0,1),
(34608,60056,5,100,'Caster will deflect 12.0% of incoming attacks.',0,2),
(34609,60056,5,100,'Increases Parry of caster by 31.2',0,3),
(34610,60056,5,100,'Decreases Slashing, Piercing and Crushing of caster by 25.8',0,4),
(34611,60056,5,100,'Increases Aggression of caster by 18.7',0,5),
(34612,60056,5,100,'Increases Defense and Deflection of caster by 31.2',0,6),
(34613,60056,5,100,'Increases Mitigation of caster vs arcane damage by 2086',0,7),
(34614,60056,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(34615,60056,7,100,'Reduces physical damage done to caster by 5%',0,0),
(34616,60056,7,100,'Adds 2.3% to base avoidance.',0,1),
(34617,60056,7,100,'Caster will deflect 15.4% of incoming attacks.',0,2),
(34618,60056,7,100,'Increases Parry of caster by 40.0',0,3),
(34619,60056,7,100,'Decreases Slashing, Piercing and Crushing of caster by 25.8',0,4),
(34620,60056,7,100,'Increases Aggression of caster by 24.0',0,5),
(34621,60056,7,100,'Increases Defense and Deflection of caster by 40.0',0,6),
(34622,60056,7,100,'Increases Mitigation of caster vs arcane damage by 2677',0,7),
(34623,60056,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(34624,60056,9,100,'Reduces physical damage done to caster by 5%',0,0),
(34625,60056,9,100,'Adds 2.4% to base avoidance.',0,1),
(34626,60056,9,100,'Caster will deflect 16.0% of incoming attacks.',0,2),
(34627,60056,9,100,'Increases Parry of caster by 41.6',0,3),
(34628,60056,9,100,'Decreases Slashing, Piercing and Crushing of caster by 25.8',0,4),
(34629,60056,9,100,'Increases Aggression of caster by 25.0',0,5),
(34630,60056,9,100,'Increases Defense and Deflection of caster by 41.6',0,6),
(34631,60056,9,100,'Increases Mitigation of caster vs arcane damage by 2781',0,7),
(34632,60056,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(34633,60057,1,100,'Reduces physical damage done to caster by 5%',0,0),
(34634,60057,1,100,'Adds 1.3% to base avoidance.',0,1),
(34635,60057,1,100,'Caster will deflect 9.0% of incoming attacks.',0,2),
(34636,60057,1,100,'Increases Parry of caster by 27.9',0,3),
(34637,60057,1,100,'Decreases Slashing, Piercing and Crushing of caster by 29.8',0,4),
(34638,60057,1,100,'Increases Aggression of caster by 16.7',0,5),
(34639,60057,1,100,'Increases Defense and Deflection of caster by 27.9',0,6),
(34640,60057,1,100,'Increases Mitigation of caster vs arcane damage by 1822',0,7),
(34641,60057,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(34642,60057,4,100,'Reduces physical damage done to caster by 5%',0,0),
(34643,60057,4,100,'Adds 1.7% to base avoidance.',0,1),
(34644,60057,4,100,'Caster will deflect 11.0% of incoming attacks.',0,2),
(34645,60057,4,100,'Increases Parry of caster by 34.1',0,3),
(34646,60057,4,100,'Decreases Slashing, Piercing and Crushing of caster by 29.8',0,4),
(34647,60057,4,100,'Increases Aggression of caster by 20.5',0,5),
(34648,60057,4,100,'Increases Defense and Deflection of caster by 34.1',0,6),
(34649,60057,4,100,'Increases Mitigation of caster vs arcane damage by 2226',0,7),
(34650,60057,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(34651,60057,5,100,'Reduces physical damage done to caster by 5%',0,0),
(34652,60057,5,100,'Adds 1.8% to base avoidance.',0,1),
(34653,60057,5,100,'Caster will deflect 12.0% of incoming attacks.',0,2),
(34654,60057,5,100,'Increases Parry of caster by 37.2',0,3),
(34655,60057,5,100,'Decreases Slashing, Piercing and Crushing of caster by 29.8',0,4),
(34656,60057,5,100,'Increases Aggression of caster by 22.3',0,5),
(34657,60057,5,100,'Increases Defense and Deflection of caster by 37.2',0,6),
(34658,60057,5,100,'Increases Mitigation of caster vs arcane damage by 2429',0,7),
(34659,60057,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(34660,60057,7,100,'Reduces physical damage done to caster by 5%',0,0),
(34661,60057,7,100,'Adds 2.3% to base avoidance.',0,1),
(34662,60057,7,100,'Caster will deflect 15.4% of incoming attacks.',0,2),
(34663,60057,7,100,'Increases Parry of caster by 47.7',0,3),
(34664,60057,7,100,'Decreases Slashing, Piercing and Crushing of caster by 29.8',0,4),
(34665,60057,7,100,'Increases Aggression of caster by 28.6',0,5),
(34666,60057,7,100,'Increases Defense and Deflection of caster by 47.7',0,6),
(34667,60057,7,100,'Increases Mitigation of caster vs arcane damage by 3117',0,7),
(34668,60057,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(34669,60057,9,100,'Reduces physical damage done to caster by 5%',0,0),
(34670,60057,9,100,'Adds 2.4% to base avoidance.',0,1),
(34671,60057,9,100,'Caster will deflect 16.0% of incoming attacks.',0,2),
(34672,60057,9,100,'Increases Parry of caster by 49.6',0,3),
(34673,60057,9,100,'Decreases Slashing, Piercing and Crushing of caster by 29.8',0,4),
(34674,60057,9,100,'Increases Aggression of caster by 29.8',0,5),
(34675,60057,9,100,'Increases Defense and Deflection of caster by 49.6',0,6),
(34676,60057,9,100,'Increases Mitigation of caster vs arcane damage by 3238',0,7),
(34677,60057,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(34678,2000060,3,100,'Inflicts 1 - 2 crushing damage on target encounter',0,0),
(34679,2000060,3,100,'Inflicts 1 crushing damage on target encounter every 3 seconds',0,1),
(34680,2000060,4,100,'Inflicts 1 - 3 crushing damage on target encounter',0,0),
(34681,2000060,4,100,'Inflicts 1 crushing damage on target encounter every 3 seconds',0,1),
(34682,2000060,5,100,'Inflicts 2 - 3 crushing damage on target encounter',0,0),
(34683,2000060,5,100,'Inflicts 1 - 2 crushing damage on target encounter every 3 seconds',0,1),
(34684,2000060,7,100,'Inflicts 2 - 4 crushing damage on target encounter',0,0),
(34685,2000060,7,100,'Inflicts 1 - 2 crushing damage on target encounter every 3 seconds',0,1),
(34686,2000060,9,100,'Inflicts 2 - 4 crushing damage on target encounter',0,0),
(34687,2000060,9,100,'Inflicts 1 - 2 crushing damage on target encounter every 3 seconds',0,1),
(34688,2000060,10,100,'Inflicts 2 - 4 crushing damage on target encounter',0,0),
(34689,2000060,10,100,'Inflicts 1 - 2 crushing damage on target encounter every 3 seconds',0,1),
(34690,2000061,3,100,'Inflicts 5 - 8 crushing damage on target',0,0),
(34691,2000061,3,100,'Inflicts 1 crushing damage on target every 3 seconds',0,1),
(34692,2000061,4,100,'Inflicts 5 - 9 crushing damage on target',0,0),
(34693,2000061,4,100,'Inflicts 1 crushing damage on target every 3 seconds',0,1),
(34694,2000061,5,100,'Inflicts 6 - 10 crushing damage on target',0,0),
(34695,2000061,5,100,'Inflicts 1 - 2 crushing damage on target every 3 seconds',0,1),
(34696,2000061,7,100,'Inflicts 7 - 13 crushing damage on target',0,0),
(34697,2000061,7,100,'Inflicts 1 - 2 crushing damage on target every 3 seconds',0,1),
(34698,2000061,9,100,'Inflicts 8 - 13 crushing damage on target',0,0),
(34699,2000061,9,100,'Inflicts 1 - 2 crushing damage on target every 3 seconds',0,1),
(34700,2000061,10,100,'Inflicts 8 - 14 crushing damage on target',0,0),
(34701,2000061,10,100,'Inflicts 1 - 2 crushing damage on target every 3 seconds',0,1),
(34702,2000062,3,100,'Inflicts 3 - 5 crushing damage on target',0,0),
(34703,2000062,3,100,'Increases Mitigation of target vs physical damage by 0',0,1),
(34704,2000062,4,100,'Inflicts 3 - 6 crushing damage on target',0,0),
(34705,2000062,4,100,'Increases Mitigation of target vs physical damage by 0',0,1),
(34706,2000062,5,100,'Inflicts 4 - 6 crushing damage on target',0,0),
(34707,2000062,5,100,'Increases Mitigation of target vs physical damage by 0',0,1),
(34708,2000062,7,100,'Inflicts 5 - 8 crushing damage on target',0,0),
(34709,2000062,7,100,'Increases Mitigation of target vs physical damage by 0',0,1),
(34710,2000062,9,100,'Inflicts 5 - 9 crushing damage on target',0,0),
(34711,2000062,9,100,'Increases Mitigation of target vs physical damage by 0',0,1),
(34712,2000062,10,100,'Inflicts 5 - 9 crushing damage on target',0,0),
(34713,2000062,10,100,'Increases Mitigation of target vs physical damage by 0',0,1),
(34714,2000063,3,100,'Inflicts 5 - 8 crushing damage on target',0,0),
(34715,2000063,3,100,'Inflicts 1 crushing damage on target every 3 seconds',0,1),
(34716,2000063,4,100,'Inflicts 5 - 9 crushing damage on target',0,0),
(34717,2000063,4,100,'Inflicts 1 crushing damage on target every 3 seconds',0,1),
(34718,2000063,5,100,'Inflicts 6 - 10 crushing damage on target',0,0),
(34719,2000063,5,100,'Inflicts 1 - 2 crushing damage on target every 3 seconds',0,1),
(34720,2000063,7,100,'Inflicts 7 - 13 crushing damage on target',0,0),
(34721,2000063,7,100,'Inflicts 1 - 2 crushing damage on target every 3 seconds',0,1),
(34722,2000063,9,100,'Inflicts 8 - 13 crushing damage on target',0,0),
(34723,2000063,9,100,'Inflicts 1 - 2 crushing damage on target every 3 seconds',0,1),
(34724,2000063,10,100,'Inflicts 8 - 14 crushing damage on target',0,0),
(34725,2000063,10,100,'Inflicts 1 - 2 crushing damage on target every 3 seconds',0,1),
(34726,2000064,1,100,'Forces target to change their selected target to caster.',0,0),
(34727,2000064,1,100,'Increases threat priority of target by 2 positions',0,1),
(34728,2000064,1,100,'Prevents target from changing targets',0,2),
(34729,2000065,1,100,'Clears the reuse of most modifiable abilities in the scout''s spellbook.',0,0),
(34730,2000065,1,100,'This effect cannot be cast during combat',0,1),
(34731,2000065,1,100,'Cannot be modified except by direct means',0,2),
(34732,400033,1,100,'Increases AGI of caster by 13.1',0,0),
(34733,400033,1,100,'Adds 1.4% to base avoidance.',0,1),
(34734,400033,1,100,'Decreases Slashing and Piercing of caster by 13.8',0,2),
(34735,400033,1,100,'Increases Parry of caster by 7.3',0,3),
(34736,400033,1,100,'Increases Defense of caster by 9.7',0,4),
(34737,400033,2,100,'Increases AGI of caster by 13.9',0,0),
(34738,400033,2,100,'Adds 1.5% to base avoidance.',0,1),
(34739,400033,2,100,'Decreases Slashing and Piercing of caster by 13.8',0,2),
(34740,400033,2,100,'Increases Parry of caster by 7.7',0,3),
(34741,400033,2,100,'Increases Defense of caster by 10.3',0,4),
(34742,400033,3,100,'Increases AGI of caster by 14.6',0,0),
(34743,400033,3,100,'Adds 1.5% to base avoidance.',0,1),
(34744,400033,3,100,'Decreases Slashing and Piercing of caster by 13.8',0,2),
(34745,400033,3,100,'Increases Parry of caster by 8.1',0,3),
(34746,400033,3,100,'Increases Defense of caster by 10.8',0,4),
(34747,400033,4,100,'Increases AGI of caster by 16.1',0,0),
(34748,400033,4,100,'Adds 1.7% to base avoidance.',0,1),
(34749,400033,4,100,'Decreases Slashing and Piercing of caster by 13.8',0,2),
(34750,400033,4,100,'Increases Parry of caster by 8.9',0,3),
(34751,400033,4,100,'Increases Defense of caster by 11.9',0,4),
(34752,400033,5,100,'Increases AGI of caster by 17.5',0,0),
(34753,400033,5,100,'Adds 1.9% to base avoidance.',0,1),
(34754,400033,5,100,'Decreases Slashing and Piercing of caster by 13.8',0,2),
(34755,400033,5,100,'Increases Parry of caster by 9.7',0,3),
(34756,400033,5,100,'Increases Defense of caster by 13.0',0,4),
(34757,400033,7,100,'Increases AGI of caster by 22.5',0,0),
(34758,400033,7,100,'Adds 2.4% to base avoidance.',0,1),
(34759,400033,7,100,'Decreases Slashing and Piercing of caster by 13.8',0,2),
(34760,400033,7,100,'Increases Parry of caster by 12.5',0,3),
(34761,400033,7,100,'Increases Defense of caster by 16.6',0,4),
(34762,400033,9,100,'Increases AGI of caster by 23.4',0,0),
(34763,400033,9,100,'Adds 2.5% to base avoidance.',0,1),
(34764,400033,9,100,'Decreases Slashing and Piercing of caster by 13.8',0,2),
(34765,400033,9,100,'Increases Parry of caster by 13.0',0,3),
(34766,400033,9,100,'Increases Defense of caster by 17.3',0,4),
(34767,400034,1,100,'Increases AGI of caster by 22.1',0,0),
(34768,400034,1,100,'Adds 1.4% to base avoidance.',0,1),
(34769,400034,1,100,'Decreases Slashing and Piercing of caster by 16.3',0,2),
(34770,400034,1,100,'Increases Parry of caster by 13.0',0,3),
(34771,400034,1,100,'Increases Defense of caster by 17.3',0,4),
(34772,400034,2,100,'Increases AGI of caster by 23.4',0,0),
(34773,400034,2,100,'Adds 1.5% to base avoidance.',0,1),
(34774,400034,2,100,'Decreases Slashing and Piercing of caster by 16.3',0,2),
(34775,400034,2,100,'Increases Parry of caster by 13.7',0,3),
(34776,400034,2,100,'Increases Defense of caster by 18.2',0,4),
(34777,400034,3,100,'Increases AGI of caster by 24.6',0,0),
(34778,400034,3,100,'Adds 1.5% to base avoidance.',0,1),
(34779,400034,3,100,'Decreases Slashing and Piercing of caster by 16.3',0,2),
(34780,400034,3,100,'Increases Parry of caster by 14.4',0,3),
(34781,400034,3,100,'Increases Defense of caster by 19.2',0,4),
(34782,400034,4,100,'Increases AGI of caster by 27.1',0,0),
(34783,400034,4,100,'Adds 1.7% to base avoidance.',0,1),
(34784,400034,4,100,'Decreases Slashing and Piercing of caster by 16.3',0,2),
(34785,400034,4,100,'Increases Parry of caster by 15.8',0,3),
(34786,400034,4,100,'Increases Defense of caster by 21.1',0,4),
(34787,400034,5,100,'Increases AGI of caster by 29.5',0,0),
(34788,400034,5,100,'Adds 1.9% to base avoidance.',0,1),
(34789,400034,5,100,'Decreases Slashing and Piercing of caster by 16.3',0,2),
(34790,400034,5,100,'Increases Parry of caster by 17.3',0,3),
(34791,400034,5,100,'Increases Defense of caster by 23.0',0,4),
(34792,400034,7,100,'Increases AGI of caster by 37.9',0,0),
(34793,400034,7,100,'Adds 2.4% to base avoidance.',0,1),
(34794,400034,7,100,'Decreases Slashing and Piercing of caster by 16.3',0,2),
(34795,400034,7,100,'Increases Parry of caster by 22.2',0,3),
(34796,400034,7,100,'Increases Defense of caster by 29.6',0,4),
(34797,400034,9,100,'Increases AGI of caster by 39.4',0,0),
(34798,400034,9,100,'Adds 2.5% to base avoidance.',0,1),
(34799,400034,9,100,'Decreases Slashing and Piercing of caster by 16.3',0,2),
(34800,400034,9,100,'Increases Parry of caster by 23.0',0,3),
(34801,400034,9,100,'Increases Defense of caster by 30.7',0,4),
(34802,400035,1,100,'Increases AGI of caster by 32.2',0,0),
(34803,400035,1,100,'Adds 1.4% to base avoidance.',0,1),
(34804,400035,1,100,'Decreases Slashing and Piercing of caster by 19.3',0,2),
(34805,400035,1,100,'Increases Parry of caster by 18.6',0,3),
(34806,400035,1,100,'Increases Defense of caster by 24.8',0,4),
(34807,400035,2,100,'Increases AGI of caster by 34.0',0,0),
(34808,400035,2,100,'Adds 1.5% to base avoidance.',0,1),
(34809,400035,2,100,'Decreases Slashing and Piercing of caster by 19.3',0,2),
(34810,400035,2,100,'Increases Parry of caster by 19.7',0,3),
(34811,400035,2,100,'Increases Defense of caster by 26.2',0,4),
(34812,400035,3,100,'Increases AGI of caster by 35.8',0,0),
(34813,400035,3,100,'Adds 1.5% to base avoidance.',0,1),
(34814,400035,3,100,'Decreases Slashing and Piercing of caster by 19.3',0,2),
(34815,400035,3,100,'Increases Parry of caster by 20.7',0,3),
(34816,400035,3,100,'Increases Defense of caster by 27.6',0,4),
(34817,400035,4,100,'Increases AGI of caster by 39.4',0,0),
(34818,400035,4,100,'Adds 1.7% to base avoidance.',0,1),
(34819,400035,4,100,'Decreases Slashing and Piercing of caster by 19.3',0,2),
(34820,400035,4,100,'Increases Parry of caster by 22.8',0,3),
(34821,400035,4,100,'Increases Defense of caster by 30.4',0,4),
(34822,400035,5,100,'Increases AGI of caster by 43.0',0,0),
(34823,400035,5,100,'Adds 1.9% to base avoidance.',0,1),
(34824,400035,5,100,'Decreases Slashing and Piercing of caster by 19.3',0,2),
(34825,400035,5,100,'Increases Parry of caster by 24.8',0,3),
(34826,400035,5,100,'Increases Defense of caster by 33.1',0,4),
(34827,400035,7,100,'Increases AGI of caster by 55.1',0,0),
(34828,400035,7,100,'Adds 2.4% to base avoidance.',0,1),
(34829,400035,7,100,'Decreases Slashing and Piercing of caster by 19.3',0,2),
(34830,400035,7,100,'Increases Parry of caster by 31.9',0,3),
(34831,400035,7,100,'Increases Defense of caster by 42.5',0,4),
(34832,400035,9,100,'Increases AGI of caster by 57.3',0,0),
(34833,400035,9,100,'Adds 2.5% to base avoidance.',0,1),
(34834,400035,9,100,'Decreases Slashing and Piercing of caster by 19.3',0,2),
(34835,400035,9,100,'Increases Parry of caster by 33.1',0,3),
(34836,400035,9,100,'Increases Defense of caster by 44.2',0,4),
(34837,400036,1,100,'Increases AGI of caster by 42.3',0,0),
(34838,400036,1,100,'Adds 1.4% to base avoidance.',0,1),
(34839,400036,1,100,'Decreases Slashing and Piercing of caster by 22.6',0,2),
(34840,400036,1,100,'Increases Parry of caster by 24.3',0,3),
(34841,400036,1,100,'Increases Defense of caster by 32.4',0,4),
(34842,400036,2,100,'Increases AGI of caster by 44.6',0,0),
(34843,400036,2,100,'Adds 1.5% to base avoidance.',0,1),
(34844,400036,2,100,'Decreases Slashing and Piercing of caster by 22.6',0,2),
(34845,400036,2,100,'Increases Parry of caster by 25.6',0,3),
(34846,400036,2,100,'Increases Defense of caster by 34.2',0,4),
(34847,400036,3,100,'Increases AGI of caster by 47.0',0,0),
(34848,400036,3,100,'Adds 1.5% to base avoidance.',0,1),
(34849,400036,3,100,'Decreases Slashing and Piercing of caster by 22.6',0,2),
(34850,400036,3,100,'Increases Parry of caster by 27.0',0,3),
(34851,400036,3,100,'Increases Defense of caster by 36.0',0,4),
(34852,400036,4,100,'Increases AGI of caster by 51.7',0,0),
(34853,400036,4,100,'Adds 1.7% to base avoidance.',0,1),
(34854,400036,4,100,'Decreases Slashing and Piercing of caster by 22.6',0,2),
(34855,400036,4,100,'Increases Parry of caster by 29.7',0,3),
(34856,400036,4,100,'Increases Defense of caster by 39.6',0,4),
(34857,400036,5,100,'Increases AGI of caster by 56.4',0,0),
(34858,400036,5,100,'Adds 1.9% to base avoidance.',0,1),
(34859,400036,5,100,'Decreases Slashing and Piercing of caster by 22.6',0,2),
(34860,400036,5,100,'Increases Parry of caster by 32.4',0,3),
(34861,400036,5,100,'Increases Defense of caster by 43.2',0,4),
(34862,400036,7,100,'Increases AGI of caster by 72.4',0,0),
(34863,400036,7,100,'Adds 2.4% to base avoidance.',0,1),
(34864,400036,7,100,'Decreases Slashing and Piercing of caster by 22.6',0,2),
(34865,400036,7,100,'Increases Parry of caster by 41.6',0,3),
(34866,400036,7,100,'Increases Defense of caster by 55.4',0,4),
(34867,400036,9,100,'Increases AGI of caster by 75.2',0,0),
(34868,400036,9,100,'Adds 2.5% to base avoidance.',0,1),
(34869,400036,9,100,'Decreases Slashing and Piercing of caster by 22.6',0,2),
(34870,400036,9,100,'Increases Parry of caster by 43.2',0,3),
(34871,400036,9,100,'Increases Defense of caster by 57.6',0,4),
(34872,400037,1,100,'Increases AGI of caster by 52.5',0,0),
(34873,400037,1,100,'Adds 1.4% to base avoidance.',0,1),
(34874,400037,1,100,'Decreases Slashing and Piercing of caster by 25.9',0,2),
(34875,400037,1,100,'Increases Parry of caster by 30.0',0,3),
(34876,400037,1,100,'Increases Defense of caster by 40.0',0,4),
(34877,400037,2,100,'Increases AGI of caster by 55.4',0,0),
(34878,400037,2,100,'Adds 1.5% to base avoidance.',0,1),
(34879,400037,2,100,'Decreases Slashing and Piercing of caster by 25.9',0,2),
(34880,400037,2,100,'Increases Parry of caster by 31.6',0,3),
(34881,400037,2,100,'Increases Defense of caster by 42.2',0,4),
(34882,400037,3,100,'Increases AGI of caster by 58.3',0,0),
(34883,400037,3,100,'Adds 1.5% to base avoidance.',0,1),
(34884,400037,3,100,'Decreases Slashing and Piercing of caster by 25.9',0,2),
(34885,400037,3,100,'Increases Parry of caster by 33.3',0,3),
(34886,400037,3,100,'Increases Defense of caster by 44.4',0,4),
(34887,400037,4,100,'Increases AGI of caster by 64.1',0,0),
(34888,400037,4,100,'Adds 1.7% to base avoidance.',0,1),
(34889,400037,4,100,'Decreases Slashing and Piercing of caster by 25.9',0,2),
(34890,400037,4,100,'Increases Parry of caster by 36.6',0,3),
(34891,400037,4,100,'Increases Defense of caster by 48.8',0,4),
(34892,400037,5,100,'Increases AGI of caster by 70.0',0,0),
(34893,400037,5,100,'Adds 1.9% to base avoidance.',0,1),
(34894,400037,5,100,'Decreases Slashing and Piercing of caster by 25.9',0,2),
(34895,400037,5,100,'Increases Parry of caster by 40.0',0,3),
(34896,400037,5,100,'Increases Defense of caster by 53.3',0,4),
(34897,400037,7,100,'Increases AGI of caster by 89.8',0,0),
(34898,400037,7,100,'Adds 2.4% to base avoidance.',0,1),
(34899,400037,7,100,'Decreases Slashing and Piercing of caster by 25.9',0,2),
(34900,400037,7,100,'Increases Parry of caster by 51.3',0,3),
(34901,400037,7,100,'Increases Defense of caster by 68.4',0,4),
(34902,400037,9,100,'Increases AGI of caster by 93.3',0,0),
(34903,400037,9,100,'Adds 2.5% to base avoidance.',0,1),
(34904,400037,9,100,'Decreases Slashing and Piercing of caster by 25.9',0,2),
(34905,400037,9,100,'Increases Parry of caster by 53.3',0,3),
(34906,400037,9,100,'Increases Defense of caster by 71.0',0,4),
(34907,400038,1,100,'Increases AGI of caster by 62.4',0,0),
(34908,400038,1,100,'Adds 1.4% to base avoidance.',0,1),
(34909,400038,1,100,'Decreases Slashing and Piercing of caster by 29.2',0,2),
(34910,400038,1,100,'Increases Parry of caster by 35.8',0,3),
(34911,400038,1,100,'Increases Defense of caster by 47.7',0,4),
(34912,400038,4,100,'Increases AGI of caster by 76.2',0,0),
(34913,400038,4,100,'Adds 1.7% to base avoidance.',0,1),
(34914,400038,4,100,'Decreases Slashing and Piercing of caster by 29.2',0,2),
(34915,400038,4,100,'Increases Parry of caster by 43.7',0,3),
(34916,400038,4,100,'Increases Defense of caster by 58.3',0,4),
(34917,400038,5,100,'Increases AGI of caster by 83.2',0,0),
(34918,400038,5,100,'Adds 1.9% to base avoidance.',0,1),
(34919,400038,5,100,'Decreases Slashing and Piercing of caster by 29.2',0,2),
(34920,400038,5,100,'Increases Parry of caster by 47.7',0,3),
(34921,400038,5,100,'Increases Defense of caster by 63.6',0,4),
(34922,400038,7,100,'Increases AGI of caster by 106.7',0,0),
(34923,400038,7,100,'Adds 2.4% to base avoidance.',0,1),
(34924,400038,7,100,'Decreases Slashing and Piercing of caster by 29.2',0,2),
(34925,400038,7,100,'Increases Parry of caster by 61.2',0,3),
(34926,400038,7,100,'Increases Defense of caster by 81.6',0,4),
(34927,400038,9,100,'Increases AGI of caster by 110.9',0,0),
(34928,400038,9,100,'Adds 2.5% to base avoidance.',0,1),
(34929,400038,9,100,'Decreases Slashing and Piercing of caster by 29.2',0,2),
(34930,400038,9,100,'Increases Parry of caster by 63.6',0,3),
(34931,400038,9,100,'Increases Defense of caster by 84.8',0,4),
(34932,400039,1,100,'Increases AGI of caster by 72.3',0,0),
(34933,400039,1,100,'Adds 1.8% to base avoidance.',0,1),
(34934,400039,1,100,'Decreases Slashing and Piercing of caster by 32.5',0,2),
(34935,400039,1,100,'Increases Parry of caster by 42.5',0,3),
(34936,400039,1,100,'Increases Defense of caster by 56.7',0,4),
(34937,400039,4,100,'Increases AGI of caster by 88.3',0,0),
(34938,400039,4,100,'Adds 2.2% to base avoidance.',0,1),
(34939,400039,4,100,'Decreases Slashing and Piercing of caster by 32.5',0,2),
(34940,400039,4,100,'Increases Parry of caster by 52.0',0,3),
(34941,400039,4,100,'Increases Defense of caster by 69.3',0,4),
(34942,400039,5,100,'Increases AGI of caster by 96.4',0,0),
(34943,400039,5,100,'Adds 2.4% to base avoidance.',0,1),
(34944,400039,5,100,'Decreases Slashing and Piercing of caster by 32.5',0,2),
(34945,400039,5,100,'Increases Parry of caster by 56.7',0,3),
(34946,400039,5,100,'Increases Defense of caster by 75.6',0,4),
(34947,400039,7,100,'Increases AGI of caster by 123.7',0,0),
(34948,400039,7,100,'Adds 3.1% to base avoidance.',0,1),
(34949,400039,7,100,'Decreases Slashing and Piercing of caster by 32.5',0,2),
(34950,400039,7,100,'Increases Parry of caster by 72.8',0,3),
(34951,400039,7,100,'Increases Defense of caster by 97.0',0,4),
(34952,400039,9,100,'Increases AGI of caster by 128.5',0,0),
(34953,400039,9,100,'Adds 3.2% to base avoidance.',0,1),
(34954,400039,9,100,'Decreases Slashing and Piercing of caster by 32.5',0,2),
(34955,400039,9,100,'Increases Parry of caster by 75.6',0,3),
(34956,400039,9,100,'Increases Defense of caster by 100.8',0,4),
(34957,340064,1,100,'Dispels 38 levels of arcane beneficial effects on target',0,0),
(34958,340064,1,100,'Interrupts target',0,1),
(34959,340064,1,100,'Increases Threat to target by 1,456 ',0,2),
(34960,340064,2,100,'Dispels 40 levels of arcane beneficial effects on target',0,0),
(34961,340064,2,100,'Interrupts target',0,1),
(34962,340064,2,100,'Increases Threat to target by 1,507 ',0,2),
(34963,340064,3,100,'Dispels 43 levels of arcane beneficial effects on target',0,0),
(34964,340064,3,100,'Interrupts target',0,1),
(34965,340064,3,100,'Increases Threat to target by 1,558 ',0,2),
(34966,340064,4,100,'Dispels 47 levels of arcane beneficial effects on target',0,0),
(34967,340064,4,100,'Interrupts target',0,1),
(34968,340064,4,100,'Increases Threat to target by 1,660 ',0,2),
(34969,340064,5,100,'Dispels 51 levels of arcane beneficial effects on target',0,0),
(34970,340064,5,100,'Interrupts target',0,1),
(34971,340064,5,100,'Increases Threat to target by 1,762 ',0,2),
(34972,340064,7,100,'Dispels 66 levels of arcane beneficial effects on target',0,0),
(34973,340064,7,100,'Interrupts target',0,1),
(34974,340064,7,100,'Increases Threat to target by 2,108 ',0,2),
(34975,340064,9,100,'Dispels 68 levels of arcane beneficial effects on target',0,0),
(34976,340064,9,100,'Interrupts target',0,1),
(34977,340064,9,100,'Increases Threat to target by 2,169 ',0,2),
(34978,340065,1,100,'Dispels 58 levels of arcane beneficial effects on target',0,0),
(34979,340065,1,100,'Interrupts target',0,1),
(34980,340065,1,100,'Increases Threat to target by 2,110 ',0,2),
(34981,340065,2,100,'Dispels 61 levels of arcane beneficial effects on target',0,0),
(34982,340065,2,100,'Interrupts target',0,1),
(34983,340065,2,100,'Increases Threat to target by 2,197 ',0,2),
(34984,340065,3,100,'Dispels 65 levels of arcane beneficial effects on target',0,0),
(34985,340065,3,100,'Interrupts target',0,1),
(34986,340065,3,100,'Increases Threat to target by 2,285 ',0,2),
(34987,340065,4,100,'Dispels 71 levels of arcane beneficial effects on target',0,0),
(34988,340065,4,100,'Interrupts target',0,1),
(34989,340065,4,100,'Increases Threat to target by 2,459 ',0,2),
(34990,340065,5,100,'Dispels 77 levels of arcane beneficial effects on target',0,0),
(34991,340065,5,100,'Interrupts target',0,1),
(34992,340065,5,100,'Increases Threat to target by 2,634 ',0,2),
(34993,340065,7,100,'Dispels 99 levels of arcane beneficial effects on target',0,0),
(34994,340065,7,100,'Interrupts target',0,1),
(34995,340065,7,100,'Increases Threat to target by 3,227 ',0,2),
(34996,340065,9,100,'Dispels 103 levels of arcane beneficial effects on target',0,0),
(34997,340065,9,100,'Interrupts target',0,1),
(34998,340065,9,100,'Increases Threat to target by 3,332 ',0,2),
(34999,340066,1,100,'Dispels 79 levels of arcane beneficial effects on target',0,0),
(35000,340066,1,100,'Interrupts target',0,1),
(35001,340066,1,100,'Increases Threat to target by 2,934 ',0,2),
(35002,340066,2,100,'Dispels 83 levels of arcane beneficial effects on target',0,0),
(35003,340066,2,100,'Interrupts target',0,1),
(35004,340066,2,100,'Increases Threat to target by 3,067 ',0,2),
(35005,340066,3,100,'Dispels 87 levels of arcane beneficial effects on target',0,0),
(35006,340066,3,100,'Interrupts target',0,1),
(35007,340066,3,100,'Increases Threat to target by 3,200 ',0,2),
(35008,340066,4,100,'Dispels 96 levels of arcane beneficial effects on target',0,0),
(35009,340066,4,100,'Interrupts target',0,1),
(35010,340066,4,100,'Increases Threat to target by 3,466 ',0,2),
(35011,340066,5,100,'Dispels 105 levels of arcane beneficial effects on target',0,0),
(35012,340066,5,100,'Interrupts target',0,1),
(35013,340066,5,100,'Increases Threat to target by 3,733 ',0,2),
(35014,340066,7,100,'Dispels 134 levels of arcane beneficial effects on target',0,0),
(35015,340066,7,100,'Interrupts target',0,1),
(35016,340066,7,100,'Increases Threat to target by 4,637 ',0,2),
(35017,340066,9,100,'Dispels 140 levels of arcane beneficial effects on target',0,0),
(35018,340066,9,100,'Interrupts target',0,1),
(35019,340066,9,100,'Increases Threat to target by 4,797 ',0,2),
(35020,340067,1,100,'Dispels 99 levels of arcane beneficial effects on target',0,0),
(35021,340067,1,100,'Interrupts target',0,1),
(35022,340067,1,100,'Increases Threat to target by 3,829 ',0,2),
(35023,340067,2,100,'Dispels 104 levels of arcane beneficial effects on target',0,0),
(35024,340067,2,100,'Interrupts target',0,1),
(35025,340067,2,100,'Increases Threat to target by 4,011 ',0,2),
(35026,340067,3,100,'Dispels 110 levels of arcane beneficial effects on target',0,0),
(35027,340067,3,100,'Interrupts target',0,1),
(35028,340067,3,100,'Increases Threat to target by 4,194 ',0,2),
(35029,340067,4,100,'Dispels 121 levels of arcane beneficial effects on target',0,0),
(35030,340067,4,100,'Interrupts target',0,1),
(35031,340067,4,100,'Increases Threat to target by 4,560 ',0,2),
(35032,340067,5,100,'Dispels 132 levels of arcane beneficial effects on target',0,0),
(35033,340067,5,100,'Interrupts target',0,1),
(35034,340067,5,100,'Increases Threat to target by 4,925 ',0,2),
(35035,340067,7,100,'Dispels 169 levels of arcane beneficial effects on target',0,0),
(35036,340067,7,100,'Interrupts target',0,1),
(35037,340067,7,100,'Increases Threat to target by 6,168 ',0,2),
(35038,340067,9,100,'Dispels 176 levels of arcane beneficial effects on target',0,0),
(35039,340067,9,100,'Interrupts target',0,1),
(35040,340067,9,100,'Increases Threat to target by 6,387 ',0,2),
(35041,340068,1,100,'Dispels 115 levels of arcane beneficial effects on target',0,0),
(35042,340068,1,100,'Interrupts target',0,1),
(35043,340068,1,100,'Increases Threat to target by 4,720 ',0,2),
(35044,340068,2,100,'Dispels 121 levels of arcane beneficial effects on target',0,0),
(35045,340068,2,100,'Interrupts target',0,1),
(35046,340068,2,100,'Increases Threat to target by 4,952 ',0,2),
(35047,340068,3,100,'Dispels 128 levels of arcane beneficial effects on target',0,0),
(35048,340068,3,100,'Interrupts target',0,1),
(35049,340068,3,100,'Increases Threat to target by 5,184 ',0,2),
(35050,340068,4,100,'Dispels 141 levels of arcane beneficial effects on target',0,0),
(35051,340068,4,100,'Interrupts target',0,1),
(35052,340068,4,100,'Increases Threat to target by 5,649 ',0,2),
(35053,340068,5,100,'Dispels 153 levels of arcane beneficial effects on target',0,0),
(35054,340068,5,100,'Interrupts target',0,1),
(35055,340068,5,100,'Increases Threat to target by 6,113 ',0,2),
(35056,340068,7,100,'Dispels 197 levels of arcane beneficial effects on target',0,0),
(35057,340068,7,100,'Interrupts target',0,1),
(35058,340068,7,100,'Increases Threat to target by 7,692 ',0,2),
(35059,340068,9,100,'Dispels 204 levels of arcane beneficial effects on target',0,0),
(35060,340068,9,100,'Interrupts target',0,1),
(35061,340068,9,100,'Increases Threat to target by 7,971 ',0,2),
(35062,340069,1,100,'Dispels 130 levels of arcane beneficial effects on target',0,0),
(35063,340069,1,100,'Interrupts target',0,1),
(35064,340069,1,100,'Increases Threat to target by 5,621 ',0,2),
(35065,340069,4,100,'Dispels 158 levels of arcane beneficial effects on target',0,0),
(35066,340069,4,100,'Interrupts target',0,1),
(35067,340069,4,100,'Increases Threat to target by 6,751 ',0,2),
(35068,340069,5,100,'Dispels 173 levels of arcane beneficial effects on target',0,0),
(35069,340069,5,100,'Interrupts target',0,1),
(35070,340069,5,100,'Increases Threat to target by 7,315 ',0,2),
(35071,340069,7,100,'Dispels 222 levels of arcane beneficial effects on target',0,0),
(35072,340069,7,100,'Interrupts target',0,1),
(35073,340069,7,100,'Increases Threat to target by 9,235 ',0,2),
(35074,340069,9,100,'Dispels 230 levels of arcane beneficial effects on target',0,0),
(35075,340069,9,100,'Interrupts target',0,1),
(35076,340069,9,100,'Increases Threat to target by 9,574 ',0,2),
(35077,340070,1,100,'Dispels 144 levels of arcane beneficial effects on target',0,0),
(35078,340070,1,100,'Interrupts target',0,1),
(35079,340070,1,100,'Increases Threat to target by 6,523 ',0,2),
(35080,340070,4,100,'Dispels 176 levels of arcane beneficial effects on target',0,0),
(35081,340070,4,100,'Interrupts target',0,1),
(35082,340070,4,100,'Increases Threat to target by 7,852 ',0,2),
(35083,340070,5,100,'Dispels 192 levels of arcane beneficial effects on target',0,0),
(35084,340070,5,100,'Interrupts target',0,1),
(35085,340070,5,100,'Increases Threat to target by 8,517 ',0,2),
(35086,340070,7,100,'Dispels 247 levels of arcane beneficial effects on target',0,0),
(35087,340070,7,100,'Interrupts target',0,1),
(35088,340070,7,100,'Increases Threat to target by 10,777 ',0,2),
(35089,340070,9,100,'Dispels 256 levels of arcane beneficial effects on target',0,0),
(35090,340070,9,100,'Interrupts target',0,1),
(35091,340070,9,100,'Increases Threat to target by 11,176 ',0,2),
(35092,360008,1,100,'Increases AGI of caster by 25.0',0,0),
(35093,360008,1,100,'Increases Fervor of caster by 2.0',0,1),
(35094,360008,1,100,'Adds 14.0% to base avoidance.',0,2),
(35095,360008,1,100,'Increases Mitigation of caster vs physical damage by 140',0,3),
(35096,360008,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 183',0,4),
(35097,360008,1,100,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,5),
(35098,360008,1,100,'Inflicts 18 - 30 mental damage on target',1,6),
(35099,360008,1,100,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,7),
(35100,360008,2,100,'Increases AGI of caster by 26.4',0,0),
(35101,360008,2,100,'Increases Fervor of caster by 2.0',0,1),
(35102,360008,2,100,'Adds 14.8% to base avoidance.',0,2),
(35103,360008,2,100,'Increases Mitigation of caster vs physical damage by 148',0,3),
(35104,360008,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 193',0,4),
(35105,360008,2,100,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,5),
(35106,360008,2,100,'Inflicts 19 - 32 mental damage on target',1,6),
(35107,360008,2,100,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,7),
(35108,360008,3,100,'Increases AGI of caster by 27.8',0,0),
(35109,360008,3,100,'Increases Fervor of caster by 2.0',0,1),
(35110,360008,3,100,'Adds 15.6% to base avoidance.',0,2),
(35111,360008,3,100,'Increases Mitigation of caster vs physical damage by 156',0,3),
(35112,360008,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 203',0,4),
(35113,360008,3,100,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,5),
(35114,360008,3,100,'Inflicts 20 - 34 mental damage on target',1,6),
(35115,360008,3,100,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,7),
(35116,360008,4,100,'Increases AGI of caster by 30.5',0,0),
(35117,360008,4,100,'Increases Fervor of caster by 2.0',0,1),
(35118,360008,4,100,'Adds 17.2% to base avoidance.',0,2),
(35119,360008,4,100,'Increases Mitigation of caster vs physical damage by 172',0,3),
(35120,360008,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 223',0,4),
(35121,360008,4,100,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,5),
(35122,360008,4,100,'Inflicts 22 - 37 mental damage on target',1,6),
(35123,360008,4,100,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,7),
(35124,360008,5,100,'Increases AGI of caster by 33.3',0,0),
(35125,360008,5,100,'Increases Fervor of caster by 2.0',0,1),
(35126,360008,5,100,'Adds 18.7% to base avoidance.',0,2),
(35127,360008,5,100,'Increases Mitigation of caster vs physical damage by 187',0,3),
(35128,360008,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 243',0,4),
(35129,360008,5,100,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,5),
(35130,360008,5,100,'Inflicts 24 - 40 mental damage on target',1,6),
(35131,360008,5,100,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,7),
(35132,360008,7,100,'Increases AGI of caster by 42.7',0,0),
(35133,360008,7,100,'Increases Fervor of caster by 2.0',0,1),
(35134,360008,7,100,'Adds 24.0% to base avoidance.',0,2),
(35135,360008,7,100,'Increases Mitigation of caster vs physical damage by 240',0,3),
(35136,360008,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 312',0,4),
(35137,360008,7,100,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,5),
(35138,360008,7,100,'Inflicts 31 - 52 mental damage on target',1,6),
(35139,360008,7,100,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,7),
(35140,360008,9,100,'Increases AGI of caster by 44.4',0,0),
(35141,360008,9,100,'Increases Fervor of caster by 2.0',0,1),
(35142,360008,9,100,'Adds 25.0% to base avoidance.',0,2),
(35143,360008,9,100,'Increases Mitigation of caster vs physical damage by 250',0,3),
(35144,360008,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 324',0,4),
(35145,360008,9,100,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,5),
(35146,360008,9,100,'Inflicts 32 - 54 mental damage on target',1,6),
(35147,360008,9,100,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,7),
(35148,360009,1,100,'Increases AGI of caster by 47.0',0,0),
(35149,360009,1,100,'Increases Fervor of caster by 2.0',0,1),
(35150,360009,1,100,'Adds 14.0% to base avoidance.',0,2),
(35151,360009,1,100,'Increases Mitigation of caster vs physical damage by 292',0,3),
(35152,360009,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 379',0,4),
(35153,360009,1,100,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,5),
(35154,360009,1,100,'Inflicts 39 - 65 mental damage on target',1,6),
(35155,360009,1,100,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,7),
(35156,360009,2,100,'Increases AGI of caster by 49.6',0,0),
(35157,360009,2,100,'Increases Fervor of caster by 2.0',0,1),
(35158,360009,2,100,'Adds 14.8% to base avoidance.',0,2),
(35159,360009,2,100,'Increases Mitigation of caster vs physical damage by 308',0,3),
(35160,360009,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 400',0,4),
(35161,360009,2,100,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,5),
(35162,360009,2,100,'Inflicts 41 - 68 mental damage on target',1,6),
(35163,360009,2,100,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,7),
(35164,360009,3,100,'Increases AGI of caster by 52.2',0,0),
(35165,360009,3,100,'Increases Fervor of caster by 2.0',0,1),
(35166,360009,3,100,'Adds 15.6% to base avoidance.',0,2),
(35167,360009,3,100,'Increases Mitigation of caster vs physical damage by 324',0,3),
(35168,360009,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 421',0,4),
(35169,360009,3,100,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,5),
(35170,360009,3,100,'Inflicts 43 - 72 mental damage on target',1,6),
(35171,360009,3,100,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,7),
(35172,360009,4,100,'Increases AGI of caster by 57.5',0,0),
(35173,360009,4,100,'Increases Fervor of caster by 2.0',0,1),
(35174,360009,4,100,'Adds 17.2% to base avoidance.',0,2),
(35175,360009,4,100,'Increases Mitigation of caster vs physical damage by 356',0,3),
(35176,360009,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 463',0,4),
(35177,360009,4,100,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,5),
(35178,360009,4,100,'Inflicts 48 - 79 mental damage on target',1,6),
(35179,360009,4,100,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,7),
(35180,360009,5,100,'Increases AGI of caster by 62.7',0,0),
(35181,360009,5,100,'Increases Fervor of caster by 2.0',0,1),
(35182,360009,5,100,'Adds 18.7% to base avoidance.',0,2),
(35183,360009,5,100,'Increases Mitigation of caster vs physical damage by 389',0,3),
(35184,360009,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 505',0,4),
(35185,360009,5,100,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,5),
(35186,360009,5,100,'Inflicts 52 - 86 mental damage on target',1,6),
(35187,360009,5,100,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,7),
(35188,360009,7,100,'Increases AGI of caster by 80.5',0,0),
(35189,360009,7,100,'Increases Fervor of caster by 2.0',0,1),
(35190,360009,7,100,'Adds 24.0% to base avoidance.',0,2),
(35191,360009,7,100,'Increases Mitigation of caster vs physical damage by 499',0,3),
(35192,360009,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 649',0,4),
(35193,360009,7,100,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,5),
(35194,360009,7,100,'Inflicts 67 - 111 mental damage on target',1,6),
(35195,360009,7,100,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,7),
(35196,360009,9,100,'Increases AGI of caster by 83.6',0,0),
(35197,360009,9,100,'Increases Fervor of caster by 2.0',0,1),
(35198,360009,9,100,'Adds 25.0% to base avoidance.',0,2),
(35199,360009,9,100,'Increases Mitigation of caster vs physical damage by 518',0,3),
(35200,360009,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 674',0,4),
(35201,360009,9,100,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,5),
(35202,360009,9,100,'Inflicts 69 - 115 mental damage on target',1,6),
(35203,360009,9,100,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,7),
(35204,360010,1,100,'Increases AGI of caster by 71.5',0,0),
(35205,360010,1,100,'Increases Fervor of caster by 2.0',0,1),
(35206,360010,1,100,'Adds 14.0% to base avoidance.',0,2),
(35207,360010,1,100,'Increases Mitigation of caster vs physical damage by 443',0,3),
(35208,360010,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 576',0,4),
(35209,360010,1,100,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,5),
(35210,360010,1,100,'Inflicts 62 - 103 mental damage on target',1,6),
(35211,360010,1,100,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,7),
(35212,360010,2,100,'Increases AGI of caster by 75.5',0,0),
(35213,360010,2,100,'Increases Fervor of caster by 2.0',0,1),
(35214,360010,2,100,'Adds 14.8% to base avoidance.',0,2),
(35215,360010,2,100,'Increases Mitigation of caster vs physical damage by 467',0,3),
(35216,360010,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 608',0,4),
(35217,360010,2,100,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,5),
(35218,360010,2,100,'Inflicts 65 - 109 mental damage on target',1,6),
(35219,360010,2,100,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,7),
(35220,360010,3,100,'Increases AGI of caster by 79.5',0,0),
(35221,360010,3,100,'Increases Fervor of caster by 2.0',0,1),
(35222,360010,3,100,'Adds 15.6% to base avoidance.',0,2),
(35223,360010,3,100,'Increases Mitigation of caster vs physical damage by 492',0,3),
(35224,360010,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 640',0,4),
(35225,360010,3,100,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,5),
(35226,360010,3,100,'Inflicts 69 - 115 mental damage on target',1,6),
(35227,360010,3,100,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,7),
(35228,360010,4,100,'Increases AGI of caster by 87.5',0,0),
(35229,360010,4,100,'Increases Fervor of caster by 2.0',0,1),
(35230,360010,4,100,'Adds 17.2% to base avoidance.',0,2),
(35231,360010,4,100,'Increases Mitigation of caster vs physical damage by 541',0,3),
(35232,360010,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 704',0,4),
(35233,360010,4,100,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,5),
(35234,360010,4,100,'Inflicts 76 - 126 mental damage on target',1,6),
(35235,360010,4,100,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,7),
(35236,360010,5,100,'Increases AGI of caster by 95.4',0,0),
(35237,360010,5,100,'Increases Fervor of caster by 2.0',0,1),
(35238,360010,5,100,'Adds 18.7% to base avoidance.',0,2),
(35239,360010,5,100,'Increases Mitigation of caster vs physical damage by 590',0,3),
(35240,360010,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 768',0,4),
(35241,360010,5,100,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,5),
(35242,360010,5,100,'Inflicts 83 - 138 mental damage on target',1,6),
(35243,360010,5,100,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,7),
(35244,360010,7,100,'Increases AGI of caster by 122.4',0,0),
(35245,360010,7,100,'Increases Fervor of caster by 2.0',0,1),
(35246,360010,7,100,'Adds 24.0% to base avoidance.',0,2),
(35247,360010,7,100,'Increases Mitigation of caster vs physical damage by 758',0,3),
(35248,360010,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 985',0,4),
(35249,360010,7,100,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,5),
(35250,360010,7,100,'Inflicts 106 - 177 mental damage on target',1,6),
(35251,360010,7,100,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,7),
(35252,360010,9,100,'Increases AGI of caster by 127.2',0,0),
(35253,360010,9,100,'Increases Fervor of caster by 2.0',0,1),
(35254,360010,9,100,'Adds 25.0% to base avoidance.',0,2),
(35255,360010,9,100,'Increases Mitigation of caster vs physical damage by 787',0,3),
(35256,360010,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1023',0,4),
(35257,360010,9,100,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,5),
(35258,360010,9,100,'Inflicts 110 - 184 mental damage on target',1,6),
(35259,360010,9,100,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,7),
(35260,360011,1,100,'Increases AGI of caster by 96.7',0,0),
(35261,360011,1,100,'Increases Fervor of caster by 2.0',0,1),
(35262,360011,1,100,'Adds 14.0% to base avoidance.',0,2),
(35263,360011,1,100,'Increases Mitigation of caster vs physical damage by 594',0,3),
(35264,360011,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 772',0,4),
(35265,360011,1,100,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,5),
(35266,360011,1,100,'Inflicts 90 - 151 mental damage on target',1,6),
(35267,360011,1,100,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,7),
(35268,360011,2,100,'Increases AGI of caster by 102.1',0,0),
(35269,360011,2,100,'Increases Fervor of caster by 2.0',0,1),
(35270,360011,2,100,'Adds 14.8% to base avoidance.',0,2),
(35271,360011,2,100,'Increases Mitigation of caster vs physical damage by 627',0,3),
(35272,360011,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 815',0,4),
(35273,360011,2,100,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,5),
(35274,360011,2,100,'Inflicts 95 - 159 mental damage on target',1,6),
(35275,360011,2,100,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,7),
(35276,360011,3,100,'Increases AGI of caster by 107.5',0,0),
(35277,360011,3,100,'Increases Fervor of caster by 2.0',0,1),
(35278,360011,3,100,'Adds 15.6% to base avoidance.',0,2),
(35279,360011,3,100,'Increases Mitigation of caster vs physical damage by 660',0,3),
(35280,360011,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 858',0,4),
(35281,360011,3,100,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,5),
(35282,360011,3,100,'Inflicts 100 - 167 mental damage on target',1,6),
(35283,360011,3,100,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,7),
(35284,360011,4,100,'Increases AGI of caster by 118.2',0,0),
(35285,360011,4,100,'Increases Fervor of caster by 2.0',0,1),
(35286,360011,4,100,'Adds 17.2% to base avoidance.',0,2),
(35287,360011,4,100,'Increases Mitigation of caster vs physical damage by 726',0,3),
(35288,360011,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 944',0,4),
(35289,360011,4,100,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,5),
(35290,360011,4,100,'Inflicts 111 - 184 mental damage on target',1,6),
(35291,360011,4,100,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,7),
(35292,360011,5,100,'Increases AGI of caster by 129.0',0,0),
(35293,360011,5,100,'Increases Fervor of caster by 2.0',0,1),
(35294,360011,5,100,'Adds 18.7% to base avoidance.',0,2),
(35295,360011,5,100,'Increases Mitigation of caster vs physical damage by 792',0,3),
(35296,360011,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1030',0,4),
(35297,360011,5,100,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,5),
(35298,360011,5,100,'Inflicts 121 - 201 mental damage on target',1,6),
(35299,360011,5,100,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,7),
(35300,360011,7,100,'Increases AGI of caster by 165.6',0,0),
(35301,360011,7,100,'Increases Fervor of caster by 2.0',0,1),
(35302,360011,7,100,'Adds 24.0% to base avoidance.',0,2),
(35303,360011,7,100,'Increases Mitigation of caster vs physical damage by 1016',0,3),
(35304,360011,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1321',0,4),
(35305,360011,7,100,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,5),
(35306,360011,7,100,'Inflicts 155 - 258 mental damage on target',1,6),
(35307,360011,7,100,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,7),
(35308,360011,9,100,'Increases AGI of caster by 172.0',0,0),
(35309,360011,9,100,'Increases Fervor of caster by 2.0',0,1),
(35310,360011,9,100,'Adds 25.0% to base avoidance.',0,2),
(35311,360011,9,100,'Increases Mitigation of caster vs physical damage by 1056',0,3),
(35312,360011,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1373',0,4),
(35313,360011,9,100,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,5),
(35314,360011,9,100,'Inflicts 161 - 268 mental damage on target',1,6),
(35315,360011,9,100,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,7),
(35316,360012,1,100,'Increases AGI of caster by 121.9',0,0),
(35317,360012,1,100,'Increases Fervor of caster by 2.0',0,1),
(35318,360012,1,100,'Adds 14.0% to base avoidance.',0,2),
(35319,360012,1,100,'Increases Mitigation of caster vs physical damage by 745',0,3),
(35320,360012,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 969',0,4),
(35321,360012,1,100,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,5),
(35322,360012,1,100,'Inflicts 119 - 198 mental damage on target',1,6),
(35323,360012,1,100,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,7),
(35324,360012,2,100,'Increases AGI of caster by 128.7',0,0),
(35325,360012,2,100,'Increases Fervor of caster by 2.0',0,1),
(35326,360012,2,100,'Adds 14.8% to base avoidance.',0,2),
(35327,360012,2,100,'Increases Mitigation of caster vs physical damage by 787',0,3),
(35328,360012,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1023',0,4),
(35329,360012,2,100,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,5),
(35330,360012,2,100,'Inflicts 125 - 209 mental damage on target',1,6),
(35331,360012,2,100,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,7),
(35332,360012,3,100,'Increases AGI of caster by 135.5',0,0),
(35333,360012,3,100,'Increases Fervor of caster by 2.0',0,1),
(35334,360012,3,100,'Adds 15.6% to base avoidance.',0,2),
(35335,360012,3,100,'Increases Mitigation of caster vs physical damage by 828',0,3),
(35336,360012,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1076',0,4),
(35337,360012,3,100,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,5),
(35338,360012,3,100,'Inflicts 132 - 220 mental damage on target',1,6),
(35339,360012,3,100,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,7),
(35340,360012,4,100,'Increases AGI of caster by 149.1',0,0),
(35341,360012,4,100,'Increases Fervor of caster by 2.0',0,1),
(35342,360012,4,100,'Adds 17.2% to base avoidance.',0,2),
(35343,360012,4,100,'Increases Mitigation of caster vs physical damage by 911',0,3),
(35344,360012,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1184',0,4),
(35345,360012,4,100,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,5),
(35346,360012,4,100,'Inflicts 145 - 242 mental damage on target',1,6),
(35347,360012,4,100,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,7),
(35348,360012,5,100,'Increases AGI of caster by 162.6',0,0),
(35349,360012,5,100,'Increases Fervor of caster by 2.0',0,1),
(35350,360012,5,100,'Adds 18.7% to base avoidance.',0,2),
(35351,360012,5,100,'Increases Mitigation of caster vs physical damage by 994',0,3),
(35352,360012,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1292',0,4),
(35353,360012,5,100,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,5),
(35354,360012,5,100,'Inflicts 158 - 264 mental damage on target',1,6),
(35355,360012,5,100,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,7),
(35356,360012,7,100,'Increases AGI of caster by 208.7',0,0),
(35357,360012,7,100,'Increases Fervor of caster by 2.0',0,1),
(35358,360012,7,100,'Adds 24.0% to base avoidance.',0,2),
(35359,360012,7,100,'Increases Mitigation of caster vs physical damage by 1275',0,3),
(35360,360012,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1658',0,4),
(35361,360012,7,100,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,5),
(35362,360012,7,100,'Inflicts 203 - 339 mental damage on target',1,6),
(35363,360012,7,100,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,7),
(35364,360012,9,100,'Increases AGI of caster by 216.8',0,0),
(35365,360012,9,100,'Increases Fervor of caster by 2.0',0,1),
(35366,360012,9,100,'Adds 25.0% to base avoidance.',0,2),
(35367,360012,9,100,'Increases Mitigation of caster vs physical damage by 1325',0,3),
(35368,360012,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1722',0,4),
(35369,360012,9,100,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,5),
(35370,360012,9,100,'Inflicts 211 - 352 mental damage on target',1,6),
(35371,360012,9,100,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,7),
(35372,360013,1,100,'Increases AGI of caster by 146.0',0,0),
(35373,360013,1,100,'Increases Fervor of caster by 2.0',0,1),
(35374,360013,1,100,'Adds 14.0% to base avoidance.',0,2),
(35375,360013,1,100,'Increases Mitigation of caster vs physical damage by 853',0,3),
(35376,360013,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1109',0,4),
(35377,360013,1,100,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,5),
(35378,360013,1,100,'Inflicts 144 - 240 mental damage on target',1,6),
(35379,360013,1,100,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,7),
(35380,360013,2,100,'Increases AGI of caster by 154.1',0,0),
(35381,360013,2,100,'Increases Fervor of caster by 2.0',0,1),
(35382,360013,2,100,'Adds 14.8% to base avoidance.',0,2),
(35383,360013,2,100,'Increases Mitigation of caster vs physical damage by 901',0,3),
(35384,360013,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1171',0,4),
(35385,360013,2,100,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,5),
(35386,360013,2,100,'Inflicts 152 - 253 mental damage on target',1,6),
(35387,360013,2,100,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,7),
(35388,360013,3,100,'Increases AGI of caster by 162.3',0,0),
(35389,360013,3,100,'Increases Fervor of caster by 2.0',0,1),
(35390,360013,3,100,'Adds 15.6% to base avoidance.',0,2),
(35391,360013,3,100,'Increases Mitigation of caster vs physical damage by 948',0,3),
(35392,360013,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1232',0,4),
(35393,360013,3,100,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,5),
(35394,360013,3,100,'Inflicts 160 - 267 mental damage on target',1,6),
(35395,360013,3,100,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,7),
(35396,360013,4,100,'Increases AGI of caster by 178.5',0,0),
(35397,360013,4,100,'Increases Fervor of caster by 2.0',0,1),
(35398,360013,4,100,'Adds 17.2% to base avoidance.',0,2),
(35399,360013,4,100,'Increases Mitigation of caster vs physical damage by 1043',0,3),
(35400,360013,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1356',0,4),
(35401,360013,4,100,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,5),
(35402,360013,4,100,'Inflicts 176 - 293 mental damage on target',1,6),
(35403,360013,4,100,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,7),
(35404,360013,5,100,'Increases AGI of caster by 194.7',0,0),
(35405,360013,5,100,'Increases Fervor of caster by 2.0',0,1),
(35406,360013,5,100,'Adds 18.7% to base avoidance.',0,2),
(35407,360013,5,100,'Increases Mitigation of caster vs physical damage by 1138',0,3),
(35408,360013,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1479',0,4),
(35409,360013,5,100,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,5),
(35410,360013,5,100,'Inflicts 192 - 320 mental damage on target',1,6),
(35411,360013,5,100,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,7),
(35412,360013,7,100,'Increases AGI of caster by 249.9',0,0),
(35413,360013,7,100,'Increases Fervor of caster by 2.0',0,1),
(35414,360013,7,100,'Adds 24.0% to base avoidance.',0,2),
(35415,360013,7,100,'Increases Mitigation of caster vs physical damage by 1460',0,3),
(35416,360013,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1898',0,4),
(35417,360013,7,100,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,5),
(35418,360013,7,100,'Inflicts 246 - 411 mental damage on target',1,6),
(35419,360013,7,100,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,7),
(35420,360013,9,100,'Increases AGI of caster by 259.6',0,0),
(35421,360013,9,100,'Increases Fervor of caster by 2.0',0,1),
(35422,360013,9,100,'Adds 25.0% to base avoidance.',0,2),
(35423,360013,9,100,'Increases Mitigation of caster vs physical damage by 1517',0,3),
(35424,360013,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1972',0,4),
(35425,360013,9,100,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,5),
(35426,360013,9,100,'Inflicts 256 - 427 mental damage on target',1,6),
(35427,360013,9,100,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,7),
(35428,360014,1,100,'Increases AGI of caster by 170.8',0,0),
(35429,360014,1,100,'Increases Fervor of caster by 2.0',0,1),
(35430,360014,1,100,'Adds 14.0% to base avoidance.',0,2),
(35431,360014,1,100,'Increases Mitigation of caster vs physical damage by 961',0,3),
(35432,360014,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1250',0,4),
(35433,360014,1,100,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,5),
(35434,360014,1,100,'Inflicts 173 - 289 mental damage on target',1,6),
(35435,360014,1,100,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,7),
(35436,360014,4,100,'Increases AGI of caster by 208.7',0,0),
(35437,360014,4,100,'Increases Fervor of caster by 2.0',0,1),
(35438,360014,4,100,'Adds 17.2% to base avoidance.',0,2),
(35439,360014,4,100,'Increases Mitigation of caster vs physical damage by 1175',0,3),
(35440,360014,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1527',0,4),
(35441,360014,4,100,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,5),
(35442,360014,4,100,'Inflicts 212 - 353 mental damage on target',1,6),
(35443,360014,4,100,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,7),
(35444,360014,5,100,'Increases AGI of caster by 227.7',0,0),
(35445,360014,5,100,'Increases Fervor of caster by 2.0',0,1),
(35446,360014,5,100,'Adds 18.7% to base avoidance.',0,2),
(35447,360014,5,100,'Increases Mitigation of caster vs physical damage by 1282',0,3),
(35448,360014,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1666',0,4),
(35449,360014,5,100,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,5),
(35450,360014,5,100,'Inflicts 231 - 385 mental damage on target',1,6),
(35451,360014,5,100,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,7),
(35452,360014,7,100,'Increases AGI of caster by 292.2',0,0),
(35453,360014,7,100,'Increases Fervor of caster by 2.0',0,1),
(35454,360014,7,100,'Adds 24.0% to base avoidance.',0,2),
(35455,360014,7,100,'Increases Mitigation of caster vs physical damage by 1645',0,3),
(35456,360014,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2138',0,4),
(35457,360014,7,100,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,5),
(35458,360014,7,100,'Inflicts 297 - 494 mental damage on target',1,6),
(35459,360014,7,100,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,7),
(35460,360014,9,100,'Increases AGI of caster by 303.6',0,0),
(35461,360014,9,100,'Increases Fervor of caster by 2.0',0,1),
(35462,360014,9,100,'Adds 25.0% to base avoidance.',0,2),
(35463,360014,9,100,'Increases Mitigation of caster vs physical damage by 1709',0,3),
(35464,360014,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2221',0,4),
(35465,360014,9,100,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,5),
(35466,360014,9,100,'Inflicts 308 - 514 mental damage on target',1,6),
(35467,360014,9,100,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,7),
(35468,360015,1,100,'Increases AGI of caster by 195.5',0,0),
(35469,360015,1,100,'Increases Fervor of caster by 2.0',0,1),
(35470,360015,1,100,'Adds 18.3% to base avoidance.',0,2),
(35471,360015,1,100,'Increases Mitigation of caster vs physical damage by 1390',0,3),
(35472,360015,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1807',0,4),
(35473,360015,1,100,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,5),
(35474,360015,1,100,'Inflicts 186 - 310 mental damage on target',1,6),
(35475,360015,1,100,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,7),
(35476,360015,4,100,'Increases AGI of caster by 239.0',0,0),
(35477,360015,4,100,'Increases Fervor of caster by 2.0',0,1),
(35478,360015,4,100,'Adds 22.3% to base avoidance.',0,2),
(35479,360015,4,100,'Increases Mitigation of caster vs physical damage by 1699',0,3),
(35480,360015,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2208',0,4),
(35481,360015,4,100,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,5),
(35482,360015,4,100,'Inflicts 227 - 379 mental damage on target',1,6),
(35483,360015,4,100,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,7),
(35484,360015,5,100,'Increases AGI of caster by 260.7',0,0),
(35485,360015,5,100,'Increases Fervor of caster by 2.0',0,1),
(35486,360015,5,100,'Adds 24.3% to base avoidance.',0,2),
(35487,360015,5,100,'Increases Mitigation of caster vs physical damage by 1853',0,3),
(35488,360015,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2409',0,4),
(35489,360015,5,100,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,5),
(35490,360015,5,100,'Inflicts 248 - 413 mental damage on target',1,6),
(35491,360015,5,100,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,7),
(35492,360015,7,100,'Increases AGI of caster by 334.6',0,0),
(35493,360015,7,100,'Increases Fervor of caster by 2.0',0,1),
(35494,360015,7,100,'Adds 31.2% to base avoidance.',0,2),
(35495,360015,7,100,'Increases Mitigation of caster vs physical damage by 2378',0,3),
(35496,360015,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 3092',0,4),
(35497,360015,7,100,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,5),
(35498,360015,7,100,'Inflicts 318 - 530 mental damage on target',1,6),
(35499,360015,7,100,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,7),
(35500,360015,9,100,'Increases AGI of caster by 347.6',0,0),
(35501,360015,9,100,'Increases Fervor of caster by 2.0',0,1),
(35502,360015,9,100,'Adds 32.4% to base avoidance.',0,2),
(35503,360015,9,100,'Increases Mitigation of caster vs physical damage by 2471',0,3),
(35504,360015,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 3212',0,4),
(35505,360015,9,100,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,5),
(35506,360015,9,100,'Inflicts 331 - 551 mental damage on target',1,6),
(35507,360015,9,100,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,7),
(35508,2000066,1,100,'The rogue gains additional damage with each combat art up to 8 triggers.',0,0),
(35509,2000066,2,100,'The rogue gains additional damage with each combat art up to 8 triggers.',0,0),
(35510,360016,1,100,'Inflicts 14 - 24 melee damage on target',0,0),
(35511,360016,1,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 53',0,1),
(35512,360016,1,100,'Must be flanking or behind',0,2),
(35513,360016,2,100,'Inflicts 15 - 25 melee damage on target',0,0),
(35514,360016,2,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 56',0,1),
(35515,360016,2,100,'Must be flanking or behind',0,2),
(35516,360016,3,100,'Inflicts 16 - 26 melee damage on target',0,0),
(35517,360016,3,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 59',0,1),
(35518,360016,3,100,'Must be flanking or behind',0,2),
(35519,360016,4,100,'Inflicts 17 - 29 melee damage on target',0,0),
(35520,360016,4,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 64',0,1),
(35521,360016,4,100,'Must be flanking or behind',0,2),
(35522,360016,4,100,'Must be flanking or behind',0,3),
(35523,360016,5,100,'Inflicts 19 - 32 melee damage on target',0,0),
(35524,360016,5,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 70',0,1),
(35525,360016,5,100,'Must be flanking or behind',0,2),
(35526,360016,7,100,'Inflicts 24 - 41 melee damage on target',0,0),
(35527,360016,7,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 90',0,1),
(35528,360016,7,100,'Must be flanking or behind',0,2),
(35529,360016,9,100,'Inflicts 25 - 43 melee damage on target',0,0),
(35530,360016,9,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 94',0,1),
(35531,360016,9,100,'Must be flanking or behind',0,2),
(35532,360017,1,100,'Inflicts 52 - 87 melee damage on target',0,0),
(35533,360017,1,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 113',0,1),
(35534,360017,1,100,'Must be flanking or behind',0,2),
(35535,360017,2,100,'Inflicts 55 - 92 melee damage on target',0,0),
(35536,360017,2,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 120',0,1),
(35537,360017,2,100,'Must be flanking or behind',0,2),
(35538,360017,2,100,'Must be flanking or behind',0,3),
(35539,360017,3,100,'Inflicts 58 - 97 melee damage on target',0,0),
(35540,360017,3,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 126',0,1),
(35541,360017,3,100,'Must be flanking or behind',0,2),
(35542,360017,3,100,'Must be flanking or behind',0,3),
(35543,360017,4,100,'Inflicts 64 - 106 melee damage on target',0,0),
(35544,360017,4,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 139',0,1),
(35545,360017,4,100,'Must be flanking or behind',0,2),
(35546,360017,5,100,'Inflicts 69 - 116 melee damage on target',0,0),
(35547,360017,5,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 151',0,1),
(35548,360017,5,100,'Must be flanking or behind',0,2),
(35549,360017,7,100,'Inflicts 89 - 149 melee damage on target',0,0),
(35550,360017,7,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 194',0,1),
(35551,360017,7,100,'Must be flanking or behind',0,2),
(35552,360017,7,100,'Must be flanking or behind',0,3),
(35553,360017,9,100,'Inflicts 93 - 155 melee damage on target',0,0),
(35554,360017,9,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 202',0,1),
(35555,360017,9,100,'Must be flanking or behind',0,2),
(35556,360017,9,100,'Must be flanking or behind',0,3),
(35557,360018,1,100,'Inflicts 97 - 162 melee damage on target',0,0),
(35558,360018,1,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 193',0,1),
(35559,360018,1,100,'Must be flanking or behind',0,2),
(35560,360018,2,100,'Inflicts 102 - 171 melee damage on target',0,0),
(35561,360018,2,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 204',0,1),
(35562,360018,2,100,'Must be flanking or behind',0,2),
(35563,360018,3,100,'Inflicts 108 - 180 melee damage on target',0,0),
(35564,360018,3,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 214',0,1),
(35565,360018,3,100,'Must be flanking or behind',0,2),
(35566,360018,3,100,'Must be flanking or behind',0,3),
(35567,360018,4,100,'Inflicts 118 - 198 melee damage on target',0,0),
(35568,360018,4,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 236',0,1),
(35569,360018,4,100,'Must be flanking or behind',0,2),
(35570,360018,5,100,'Inflicts 129 - 216 melee damage on target',0,0),
(35571,360018,5,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 257',0,1),
(35572,360018,5,100,'Must be flanking or behind',0,2),
(35573,360018,5,100,'Must be flanking or behind',0,3),
(35574,360018,7,100,'Inflicts 166 - 277 melee damage on target',0,0),
(35575,360018,7,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 330',0,1),
(35576,360018,7,100,'Must be flanking or behind',0,2),
(35577,360018,7,100,'Must be flanking or behind',0,3),
(35578,360018,9,100,'Inflicts 173 - 288 melee damage on target',0,0),
(35579,360018,9,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 343',0,1),
(35580,360018,9,100,'Must be flanking or behind',0,2),
(35581,360018,10,100,'Inflicts 181 - 302 melee damage on target',0,0),
(35582,360018,10,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 360',0,1),
(35583,360018,10,100,'Must be flanking or behind',0,2),
(35584,360019,1,100,'Inflicts 148 - 247 melee damage on target',0,0),
(35585,360019,1,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 275',0,1),
(35586,360019,1,100,'Must be flanking or behind',0,2),
(35587,360019,2,100,'Inflicts 156 - 261 melee damage on target',0,0),
(35588,360019,2,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 290',0,1),
(35589,360019,2,100,'Must be flanking or behind',0,2),
(35590,360019,3,100,'Inflicts 164 - 274 melee damage on target',0,0),
(35591,360019,3,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 306',0,1),
(35592,360019,3,100,'Must be flanking or behind',0,2),
(35593,360019,3,100,'Must be flanking or behind',0,3),
(35594,360019,4,100,'Inflicts 181 - 302 melee damage on target',0,0),
(35595,360019,4,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 336',0,1),
(35596,360019,4,100,'Must be flanking or behind',0,2),
(35597,360019,4,100,'Must be flanking or behind',0,3),
(35598,360019,5,100,'Inflicts 197 - 329 melee damage on target',0,0),
(35599,360019,5,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 367',0,1),
(35600,360019,5,100,'Must be flanking or behind',0,2),
(35601,360019,7,100,'Inflicts 253 - 423 melee damage on target',0,0),
(35602,360019,7,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 470',0,1),
(35603,360019,7,100,'Must be flanking or behind',0,2),
(35604,360019,9,100,'Inflicts 263 - 439 melee damage on target',0,0),
(35605,360019,9,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 489',0,1),
(35606,360019,9,100,'Must be flanking or behind',0,2),
(35607,360019,9,100,'Must be flanking or behind',0,3),
(35608,360020,1,100,'Inflicts 205 - 342 melee damage on target',0,0),
(35609,360020,1,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 357',0,1),
(35610,360020,1,100,'Must be flanking or behind',0,2),
(35611,360020,2,100,'Inflicts 216 - 361 melee damage on target',0,0),
(35612,360020,2,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 377',0,1),
(35613,360020,2,100,'Must be flanking or behind',0,2),
(35614,360020,3,100,'Inflicts 228 - 380 melee damage on target',0,0),
(35615,360020,3,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 397',0,1),
(35616,360020,3,100,'Must be flanking or behind',0,2),
(35617,360020,3,100,'Must be flanking or behind',0,3),
(35618,360020,4,100,'Inflicts 250 - 418 melee damage on target',0,0),
(35619,360020,4,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 436',0,1),
(35620,360020,4,100,'Must be flanking or behind',0,2),
(35621,360020,5,100,'Inflicts 273 - 456 melee damage on target',0,0),
(35622,360020,5,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 476',0,1),
(35623,360020,5,100,'Must be flanking or behind',0,2),
(35624,360020,7,100,'Inflicts 351 - 585 melee damage on target',0,0),
(35625,360020,7,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 611',0,1),
(35626,360020,7,100,'Must be flanking or behind',0,2),
(35627,360020,7,100,'Must be flanking or behind',0,3),
(35628,360020,9,100,'Inflicts 364 - 608 melee damage on target',0,0),
(35629,360020,9,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 634',0,1),
(35630,360020,9,100,'Must be flanking or behind',0,2),
(35631,360020,9,100,'Must be flanking or behind',0,3),
(35632,360020,10,100,'Inflicts 383 - 638 melee damage on target',0,0),
(35633,360020,10,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 666',0,1),
(35634,360020,10,100,'Must be flanking or behind',0,2),
(35635,360021,1,100,'Inflicts 262 - 437 melee damage on target',0,0),
(35636,360021,1,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 458',0,1),
(35637,360021,1,100,'Must be flanking or behind',0,2),
(35638,360021,2,100,'Inflicts 276 - 461 melee damage on target',0,0),
(35639,360021,2,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 483',0,1),
(35640,360021,2,100,'Must be flanking or behind',0,2),
(35641,360021,3,100,'Inflicts 291 - 485 melee damage on target',0,0),
(35642,360021,3,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 508',0,1),
(35643,360021,3,100,'Must be flanking or behind',0,2),
(35644,360021,4,100,'Inflicts 320 - 534 melee damage on target',0,0),
(35645,360021,4,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 559',0,1),
(35646,360021,4,100,'Must be flanking or behind',0,2),
(35647,360021,4,100,'Must be flanking or behind',0,3),
(35648,360021,5,100,'Inflicts 349 - 582 melee damage on target',0,0),
(35649,360021,5,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 610',0,1),
(35650,360021,5,100,'Must be flanking or behind',0,2),
(35651,360021,7,100,'Inflicts 448 - 747 melee damage on target',0,0),
(35652,360021,7,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 783',0,1),
(35653,360021,7,100,'Must be flanking or behind',0,2),
(35654,360021,9,100,'Inflicts 466 - 777 melee damage on target',0,0),
(35655,360021,9,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 814',0,1),
(35656,360021,9,100,'Must be flanking or behind',0,2),
(35657,360021,10,100,'Inflicts 489 - 815 melee damage on target',0,0),
(35658,360021,10,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 854',0,1),
(35659,360021,10,100,'Must be flanking or behind',0,2),
(35660,360022,1,100,'Inflicts 316 - 528 melee damage on target',0,0),
(35661,360022,1,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 590',0,1),
(35662,360022,1,100,'Must be flanking or behind',0,2),
(35663,360022,4,100,'Inflicts 387 - 645 melee damage on target',0,0),
(35664,360022,4,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 721',0,1),
(35665,360022,4,100,'Must be flanking or behind',0,2),
(35666,360022,4,100,'Must be flanking or behind',0,3),
(35667,360022,5,100,'Inflicts 422 - 704 melee damage on target',0,0),
(35668,360022,5,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 786',0,1),
(35669,360022,5,100,'Must be flanking or behind',0,2),
(35670,360022,7,100,'Inflicts 542 - 903 melee damage on target',0,0),
(35671,360022,7,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1009',0,1),
(35672,360022,7,100,'Must be flanking or behind',0,2),
(35673,360022,9,100,'Inflicts 563 - 938 melee damage on target',0,0),
(35674,360022,9,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1048',0,1),
(35675,360022,9,100,'Must be flanking or behind',0,2),
(35676,360022,10,100,'Inflicts 591 - 985 melee damage on target',0,0),
(35677,360022,10,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1101',0,1),
(35678,360022,10,100,'Must be flanking or behind',0,2),
(35679,360023,1,100,'Inflicts 361 - 602 melee damage on target',0,0),
(35680,360023,1,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 660',0,1),
(35681,360023,1,100,'Must be flanking or behind',0,2),
(35682,360023,4,100,'Inflicts 441 - 735 melee damage on target',0,0),
(35683,360023,4,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 807',0,1),
(35684,360023,4,100,'Must be flanking or behind',0,2),
(35685,360023,4,100,'Must be flanking or behind',0,3),
(35686,360023,5,100,'Inflicts 481 - 802 melee damage on target',0,0),
(35687,360023,5,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 880',0,1),
(35688,360023,5,100,'Must be flanking or behind',0,2),
(35689,360023,5,100,'Must be flanking or behind',0,3),
(35690,360023,7,100,'Inflicts 618 - 1030 melee damage on target',0,0),
(35691,360023,7,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1129',0,1),
(35692,360023,7,100,'Must be flanking or behind',0,2),
(35693,360023,7,100,'Must be flanking or behind',0,3),
(35694,360023,9,100,'Inflicts 642 - 1070 melee damage on target',0,0),
(35695,360023,9,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1173',0,1),
(35696,360023,9,100,'Must be flanking or behind',0,2),
(35697,360023,10,100,'Inflicts 674 - 1123 melee damage on target',0,0),
(35698,360023,10,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1232',0,1),
(35699,360023,10,100,'Must be flanking or behind',0,2),
(35700,320003,1,100,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(35704,320003,1,100,'Interrupts target',1,4),
(35705,320003,1,100,'Inflicts 53 melee damage on target',1,5),
(35706,320003,2,100,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(35709,320003,2,100,'On a hostile ability cast this spell will cast Interrupt on target of spell.  ',0,3),
(35710,320003,2,100,'Interrupts target',1,4),
(35711,320003,2,100,'Inflicts 56 melee damage on target',1,5),
(35712,320003,3,100,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(35716,320003,3,100,'Interrupts target',1,4),
(35717,320003,3,100,'Inflicts 58 melee damage on target',1,5),
(35718,320003,4,100,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(35722,320003,4,100,'Interrupts target',1,4),
(35723,320003,4,100,'Inflicts 64 melee damage on target',1,5),
(35724,320003,5,100,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(35725,320003,5,100,'Interrupts target',1,1),
(35728,320003,5,100,'Interrupts target',1,4),
(35729,320003,5,100,'Inflicts 70 melee damage on target',1,5),
(35730,320003,7,100,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(35734,320003,7,100,'Interrupts target',1,4),
(35735,320003,7,100,'Inflicts 90 melee damage on target',1,5),
(35736,320003,9,100,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(35740,320003,9,100,'Interrupts target',1,4),
(35741,320003,9,100,'Inflicts 94 melee damage on target',1,5),
(35742,320004,1,100,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(35743,320004,1,100,'Interrupts target',1,1),
(35744,320004,1,100,'Inflicts 23 melee damage on target',1,2),
(35745,320004,1,100,'On a hostile ability cast this spell will cast Interrupt on target of spell.  ',0,3),
(35746,320004,1,100,'Interrupts target',1,4),
(35747,320004,1,100,'Inflicts 114 melee damage on target',1,5),
(35748,320004,2,100,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(35749,320004,2,100,'Interrupts target',1,1),
(35750,320004,2,100,'Inflicts 24 melee damage on target',1,2),
(35751,320004,2,100,'On a hostile ability cast this spell will cast Interrupt on target of spell.  ',0,3),
(35752,320004,2,100,'Interrupts target',1,4),
(35753,320004,2,100,'Inflicts 120 melee damage on target',1,5),
(35754,320004,3,100,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(35755,320004,3,100,'Interrupts target',1,1),
(35756,320004,3,100,'Inflicts 25 melee damage on target',1,2),
(35757,320004,3,100,'On a hostile ability cast this spell will cast Interrupt on target of spell.  ',0,3),
(35758,320004,3,100,'Interrupts target',1,4),
(35759,320004,3,100,'Inflicts 126 melee damage on target',1,5),
(35760,320004,4,100,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(35761,320004,4,100,'Interrupts target',1,1),
(35762,320004,4,100,'Inflicts 28 melee damage on target',1,2),
(35763,320004,4,100,'On a hostile ability cast this spell will cast Interrupt on target of spell.  ',0,3),
(35764,320004,4,100,'Interrupts target',1,4),
(35765,320004,4,100,'Inflicts 139 melee damage on target',1,5),
(35766,320004,5,100,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(35767,320004,5,100,'Interrupts target',1,1),
(35768,320004,5,100,'Inflicts 31 melee damage on target',1,2),
(35769,320004,5,100,'On a hostile ability cast this spell will cast Interrupt on target of spell.  ',0,3),
(35770,320004,5,100,'Interrupts target',1,4),
(35771,320004,5,100,'Inflicts 152 melee damage on target',1,5),
(35772,320004,7,100,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(35773,320004,7,100,'Interrupts target',1,1),
(35774,320004,7,100,'Inflicts 39 melee damage on target',1,2),
(35775,320004,7,100,'On a hostile ability cast this spell will cast Interrupt on target of spell.  ',0,3),
(35776,320004,7,100,'Interrupts target',1,4),
(35777,320004,7,100,'Inflicts 195 melee damage on target',1,5),
(35778,320004,9,100,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(35779,320004,9,100,'Interrupts target',1,1),
(35780,320004,9,100,'Inflicts 41 melee damage on target',1,2),
(35781,320004,9,100,'On a hostile ability cast this spell will cast Interrupt on target of spell.  ',0,3),
(35782,320004,9,100,'Interrupts target',1,4),
(35783,320004,9,100,'Inflicts 202 melee damage on target',1,5),
(35784,320005,1,100,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(35785,320005,1,100,'Interrupts target',1,1),
(35786,320005,1,100,'Inflicts 37 melee damage on target',1,2),
(35787,320005,1,100,'On a hostile ability cast this spell will cast Interrupt on target of spell.  ',0,3),
(35788,320005,1,100,'Interrupts target',1,4),
(35789,320005,1,100,'Inflicts 181 melee damage on target',1,5),
(35790,320005,2,100,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(35791,320005,2,100,'Interrupts target',1,1),
(35792,320005,2,100,'Inflicts 39 melee damage on target',1,2),
(35793,320005,2,100,'On a hostile ability cast this spell will cast Interrupt on target of spell.  ',0,3),
(35794,320005,2,100,'Interrupts target',1,4),
(35795,320005,2,100,'Inflicts 192 melee damage on target',1,5),
(35796,320005,3,100,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(35797,320005,3,100,'Interrupts target',1,1),
(35798,320005,3,100,'Inflicts 41 melee damage on target',1,2),
(35799,320005,3,100,'On a hostile ability cast this spell will cast Interrupt on target of spell.  ',0,3),
(35800,320005,3,100,'Interrupts target',1,4),
(35801,320005,3,100,'Inflicts 202 melee damage on target',1,5),
(35802,320005,4,100,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(35803,320005,4,100,'Interrupts target',1,1),
(35804,320005,4,100,'Inflicts 45 melee damage on target',1,2),
(35805,320005,4,100,'On a hostile ability cast this spell will cast Interrupt on target of spell.  ',0,3),
(35806,320005,4,100,'Interrupts target',1,4),
(35807,320005,4,100,'Inflicts 222 melee damage on target',1,5),
(35808,320005,5,100,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(35809,320005,5,100,'Interrupts target',1,1),
(35810,320005,5,100,'Inflicts 49 melee damage on target',1,2),
(35811,320005,5,100,'On a hostile ability cast this spell will cast Interrupt on target of spell.  ',0,3),
(35812,320005,5,100,'Interrupts target',1,4),
(35813,320005,5,100,'Inflicts 242 melee damage on target',1,5),
(35814,320005,7,100,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(35815,320005,7,100,'Interrupts target',1,1),
(35816,320005,7,100,'Inflicts 63 melee damage on target',1,2),
(35817,320005,7,100,'On a hostile ability cast this spell will cast Interrupt on target of spell.  ',0,3),
(35818,320005,7,100,'Interrupts target',1,4),
(35819,320005,7,100,'Inflicts 311 melee damage on target',1,5),
(35820,320005,9,100,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(35821,320005,9,100,'Interrupts target',1,1),
(35822,320005,9,100,'Inflicts 66 melee damage on target',1,2),
(35823,320005,9,100,'On a hostile ability cast this spell will cast Interrupt on target of spell.  ',0,3),
(35824,320005,9,100,'Interrupts target',1,4),
(35825,320005,9,100,'Inflicts 323 melee damage on target',1,5),
(35826,320006,1,100,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(35827,320006,1,100,'Interrupts target',1,1),
(35828,320006,1,100,'Inflicts 54 melee damage on target',1,2),
(35829,320006,1,100,'On a hostile ability cast this spell will cast Interrupt on target of spell.  ',0,3),
(35830,320006,1,100,'Interrupts target',1,4),
(35831,320006,1,100,'Inflicts 265 melee damage on target',1,5),
(35832,320006,2,100,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(35833,320006,2,100,'Interrupts target',1,1),
(35834,320006,2,100,'Inflicts 57 melee damage on target',1,2),
(35835,320006,2,100,'On a hostile ability cast this spell will cast Interrupt on target of spell.  ',0,3),
(35836,320006,2,100,'Interrupts target',1,4),
(35837,320006,2,100,'Inflicts 280 melee damage on target',1,5),
(35838,320006,3,100,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(35839,320006,3,100,'Interrupts target',1,1),
(35840,320006,3,100,'Inflicts 60 melee damage on target',1,2),
(35841,320006,3,100,'On a hostile ability cast this spell will cast Interrupt on target of spell.  ',0,3),
(35842,320006,3,100,'Interrupts target',1,4),
(35843,320006,3,100,'Inflicts 294 melee damage on target',1,5),
(35844,320006,4,100,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(35845,320006,4,100,'Interrupts target',1,1),
(35846,320006,4,100,'Inflicts 66 melee damage on target',1,2),
(35847,320006,4,100,'On a hostile ability cast this spell will cast Interrupt on target of spell.  ',0,3),
(35848,320006,4,100,'Interrupts target',1,4),
(35849,320006,4,100,'Inflicts 324 melee damage on target',1,5),
(35850,320006,5,100,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(35851,320006,5,100,'Interrupts target',1,1),
(35852,320006,5,100,'Inflicts 72 melee damage on target',1,2),
(35853,320006,5,100,'On a hostile ability cast this spell will cast Interrupt on target of spell.  ',0,3),
(35854,320006,5,100,'Interrupts target',1,4),
(35855,320006,5,100,'Inflicts 353 melee damage on target',1,5),
(35856,320006,7,100,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(35857,320006,7,100,'Interrupts target',1,1),
(35858,320006,7,100,'Inflicts 92 melee damage on target',1,2),
(35859,320006,7,100,'On a hostile ability cast this spell will cast Interrupt on target of spell.  ',0,3),
(35860,320006,7,100,'Interrupts target',1,4),
(35861,320006,7,100,'Inflicts 453 melee damage on target',1,5),
(35862,320006,9,100,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(35863,320006,9,100,'Interrupts target',1,1),
(35864,320006,9,100,'Inflicts 96 melee damage on target',1,2),
(35865,320006,9,100,'On a hostile ability cast this spell will cast Interrupt on target of spell.  ',0,3),
(35866,320006,9,100,'Interrupts target',1,4),
(35867,320006,9,100,'Inflicts 471 melee damage on target',1,5),
(35868,320007,1,100,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(35869,320007,1,100,'Interrupts target',1,1),
(35870,320007,1,100,'Inflicts 71 melee damage on target',1,2),
(35871,320007,1,100,'On a hostile ability cast this spell will cast Interrupt on target of spell.  ',0,3),
(35872,320007,1,100,'Interrupts target',1,4),
(35873,320007,1,100,'Inflicts 348 melee damage on target',1,5),
(35874,320007,2,100,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(35875,320007,2,100,'Interrupts target',1,1),
(35876,320007,2,100,'Inflicts 75 melee damage on target',1,2),
(35877,320007,2,100,'On a hostile ability cast this spell will cast Interrupt on target of spell.  ',0,3),
(35878,320007,2,100,'Interrupts target',1,4),
(35879,320007,2,100,'Inflicts 367 melee damage on target',1,5),
(35880,320007,3,100,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(35881,320007,3,100,'Interrupts target',1,1),
(35882,320007,3,100,'Inflicts 79 melee damage on target',1,2),
(35883,320007,3,100,'On a hostile ability cast this spell will cast Interrupt on target of spell.  ',0,3),
(35884,320007,3,100,'Interrupts target',1,4),
(35885,320007,3,100,'Inflicts 387 melee damage on target',1,5),
(35886,320007,4,100,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(35887,320007,4,100,'Interrupts target',1,1),
(35888,320007,4,100,'Inflicts 87 melee damage on target',1,2),
(35889,320007,4,100,'On a hostile ability cast this spell will cast Interrupt on target of spell.  ',0,3),
(35890,320007,4,100,'Interrupts target',1,4),
(35891,320007,4,100,'Inflicts 426 melee damage on target',1,5),
(35892,320007,5,100,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(35893,320007,5,100,'Interrupts target',1,1),
(35894,320007,5,100,'Inflicts 95 melee damage on target',1,2),
(35895,320007,5,100,'On a hostile ability cast this spell will cast Interrupt on target of spell.  ',0,3),
(35896,320007,5,100,'Interrupts target',1,4),
(35897,320007,5,100,'Inflicts 464 melee damage on target',1,5),
(35898,320007,7,100,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(35899,320007,7,100,'Interrupts target',1,1),
(35900,320007,7,100,'Inflicts 121 melee damage on target',1,2),
(35901,320007,7,100,'On a hostile ability cast this spell will cast Interrupt on target of spell.  ',0,3),
(35902,320007,7,100,'Interrupts target',1,4),
(35903,320007,7,100,'Inflicts 596 melee damage on target',1,5),
(35904,320007,9,100,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(35905,320007,9,100,'Interrupts target',1,1),
(35906,320007,9,100,'Inflicts 126 melee damage on target',1,2),
(35907,320007,9,100,'On a hostile ability cast this spell will cast Interrupt on target of spell.  ',0,3),
(35908,320007,9,100,'Interrupts target',1,4),
(35909,320007,9,100,'Inflicts 619 melee damage on target',1,5),
(35910,320008,1,100,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(35911,320008,1,100,'Interrupts target',1,1),
(35912,320008,1,100,'Inflicts 86 melee damage on target',1,2),
(35913,320008,1,100,'On a hostile ability cast this spell will cast Interrupt on target of spell.  ',0,3),
(35914,320008,1,100,'Interrupts target',1,4),
(35915,320008,1,100,'Inflicts 422 melee damage on target',1,5),
(35916,320008,2,100,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(35917,320008,2,100,'Interrupts target',1,1),
(35918,320008,2,100,'Inflicts 91 melee damage on target',1,2),
(35919,320008,2,100,'On a hostile ability cast this spell will cast Interrupt on target of spell.  ',0,3),
(35920,320008,2,100,'Interrupts target',1,4),
(35921,320008,2,100,'Inflicts 445 melee damage on target',1,5),
(35922,320008,3,100,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(35923,320008,3,100,'Interrupts target',1,1),
(35924,320008,3,100,'Inflicts 95 melee damage on target',1,2),
(35925,320008,3,100,'On a hostile ability cast this spell will cast Interrupt on target of spell.  ',0,3),
(35926,320008,3,100,'Interrupts target',1,4),
(35927,320008,3,100,'Inflicts 469 melee damage on target',1,5),
(35928,320008,4,100,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(35929,320008,4,100,'Interrupts target',1,1),
(35930,320008,4,100,'Inflicts 105 melee damage on target',1,2),
(35931,320008,4,100,'On a hostile ability cast this spell will cast Interrupt on target of spell.  ',0,3),
(35932,320008,4,100,'Interrupts target',1,4),
(35933,320008,4,100,'Inflicts 516 melee damage on target',1,5),
(35934,320008,5,100,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(35935,320008,5,100,'Interrupts target',1,1),
(35936,320008,5,100,'Inflicts 115 melee damage on target',1,2),
(35937,320008,5,100,'On a hostile ability cast this spell will cast Interrupt on target of spell.  ',0,3),
(35938,320008,5,100,'Interrupts target',1,4),
(35939,320008,5,100,'Inflicts 563 melee damage on target',1,5),
(35940,320008,7,100,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(35941,320008,7,100,'Interrupts target',1,1),
(35942,320008,7,100,'Inflicts 147 melee damage on target',1,2),
(35943,320008,7,100,'On a hostile ability cast this spell will cast Interrupt on target of spell.  ',0,3),
(35944,320008,7,100,'Interrupts target',1,4),
(35945,320008,7,100,'Inflicts 722 melee damage on target',1,5),
(35946,320008,9,100,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(35947,320008,9,100,'Interrupts target',1,1),
(35948,320008,9,100,'Inflicts 153 melee damage on target',1,2),
(35949,320008,9,100,'On a hostile ability cast this spell will cast Interrupt on target of spell.  ',0,3),
(35950,320008,9,100,'Interrupts target',1,4),
(35951,320008,9,100,'Inflicts 750 melee damage on target',1,5),
(35952,320009,1,100,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(35953,320009,1,100,'Interrupts target',1,1),
(35954,320009,1,100,'Inflicts 103 melee damage on target',1,2),
(35955,320009,1,100,'On a hostile ability cast this spell will cast Interrupt on target of spell.  ',0,3),
(35956,320009,1,100,'Interrupts target',1,4),
(35957,320009,1,100,'Inflicts 508 melee damage on target',1,5),
(35958,320009,4,100,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(35959,320009,4,100,'Interrupts target',1,1),
(35960,320009,4,100,'Inflicts 127 melee damage on target',1,2),
(35961,320009,4,100,'On a hostile ability cast this spell will cast Interrupt on target of spell.  ',0,3),
(35962,320009,4,100,'Interrupts target',1,4),
(35963,320009,4,100,'Inflicts 621 melee damage on target',1,5),
(35964,320009,5,100,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(35965,320009,5,100,'Interrupts target',1,1),
(35966,320009,5,100,'Inflicts 138 melee damage on target',1,2),
(35967,320009,5,100,'On a hostile ability cast this spell will cast Interrupt on target of spell.  ',0,3),
(35968,320009,5,100,'Interrupts target',1,4),
(35969,320009,5,100,'Inflicts 677 melee damage on target',1,5),
(35970,320009,7,100,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(35971,320009,7,100,'Interrupts target',1,1),
(35972,320009,7,100,'Inflicts 177 melee damage on target',1,2),
(35973,320009,7,100,'On a hostile ability cast this spell will cast Interrupt on target of spell.  ',0,3),
(35974,320009,7,100,'Interrupts target',1,4),
(35975,320009,7,100,'Inflicts 869 melee damage on target',1,5),
(35976,320009,9,100,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(35977,320009,9,100,'Interrupts target',1,1),
(35978,320009,9,100,'Inflicts 184 melee damage on target',1,2),
(35979,320009,9,100,'On a hostile ability cast this spell will cast Interrupt on target of spell.  ',0,3),
(35980,320009,9,100,'Interrupts target',1,4),
(35981,320009,9,100,'Inflicts 903 melee damage on target',1,5),
(35982,320010,1,100,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(35983,320010,1,100,'Interrupts target',1,1),
(35984,320010,1,100,'Inflicts 145 melee damage on target',1,2),
(35985,320010,1,100,'On a hostile ability cast this spell will cast Interrupt on target of spell.  ',0,3),
(35986,320010,1,100,'Interrupts target',1,4),
(35987,320010,1,100,'Inflicts 709 melee damage on target',1,5),
(35988,320010,4,100,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(35989,320010,4,100,'Interrupts target',1,1),
(35990,320010,4,100,'Inflicts 177 melee damage on target',1,2),
(35991,320010,4,100,'On a hostile ability cast this spell will cast Interrupt on target of spell.  ',0,3),
(35992,320010,4,100,'Interrupts target',1,4),
(35993,320010,4,100,'Inflicts 866 melee damage on target',1,5),
(35994,320010,5,100,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(35995,320010,5,100,'Interrupts target',1,1),
(35996,320010,5,100,'Inflicts 193 melee damage on target',1,2),
(35997,320010,5,100,'On a hostile ability cast this spell will cast Interrupt on target of spell.  ',0,3),
(35998,320010,5,100,'Interrupts target',1,4),
(35999,320010,5,100,'Inflicts 945 melee damage on target',1,5),
(36000,320010,7,100,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(36001,320010,7,100,'Interrupts target',1,1),
(36002,320010,7,100,'Inflicts 248 melee damage on target',1,2),
(36003,320010,7,100,'On a hostile ability cast this spell will cast Interrupt on target of spell.  ',0,3),
(36004,320010,7,100,'Interrupts target',1,4),
(36005,320010,7,100,'Inflicts 1213 melee damage on target',1,5),
(36006,320010,9,100,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(36007,320010,9,100,'Interrupts target',1,1),
(36008,320010,9,100,'Inflicts 257 melee damage on target',1,2),
(36009,320010,9,100,'On a hostile ability cast this spell will cast Interrupt on target of spell.  ',0,3),
(36010,320010,9,100,'Interrupts target',1,4),
(36011,320010,9,100,'Inflicts 1260 melee damage on target',1,5),
(36012,90015,1,100,'Increases STR of caster by 17.8',0,0),
(36013,90015,1,100,'Decreases Defense of caster by 1.8',0,1),
(36014,90015,1,100,'Increases Slashing, Piercing, Crushing and Disruption of caster by 2.4',0,2),
(36015,90015,2,100,'Increases STR of caster by 18.8',0,0),
(36016,90015,2,100,'Decreases Defense of caster by 1.8',0,1),
(36017,90015,2,100,'Increases Slashing, Piercing, Crushing and Disruption of caster by 2.6',0,2),
(36018,90015,3,100,'Increases STR of caster by 19.8',0,0),
(36019,90015,3,100,'Decreases Defense of caster by 1.8',0,1),
(36020,90015,3,100,'Increases Slashing, Piercing, Crushing and Disruption of caster by 2.7',0,2),
(36021,90015,4,100,'Increases STR of caster by 21.8',0,0),
(36022,90015,4,100,'Decreases Defense of caster by 1.8',0,1),
(36023,90015,4,100,'Increases Slashing, Piercing, Crushing and Disruption of caster by 3.0',0,2),
(36024,90015,5,100,'Increases STR of caster by 23.8',0,0),
(36025,90015,5,100,'Decreases Defense of caster by 1.8',0,1),
(36026,90015,5,100,'Increases Slashing, Piercing, Crushing and Disruption of caster by 3.2',0,2),
(36027,90015,7,100,'Increases STR of caster by 30.5',0,0),
(36028,90015,7,100,'Decreases Defense of caster by 1.8',0,1),
(36029,90015,7,100,'Increases Slashing, Piercing, Crushing and Disruption of caster by 4.2',0,2),
(36030,90015,9,100,'Increases STR of caster by 31.7',0,0),
(36031,90015,9,100,'Decreases Defense of caster by 1.8',0,1),
(36032,90015,9,100,'Increases Slashing, Piercing, Crushing and Disruption of caster by 4.3',0,2),
(36033,90016,1,100,'Increases STR of caster by 35.6',0,0),
(36034,90016,1,100,'Decreases Defense of caster by 4.8',0,1),
(36035,90016,1,100,'Increases Slashing, Piercing, Crushing and Disruption of caster by 6.5',0,2),
(36036,90016,2,100,'Increases STR of caster by 37.6',0,0),
(36037,90016,2,100,'Decreases Defense of caster by 4.8',0,1),
(36038,90016,2,100,'Increases Slashing, Piercing, Crushing and Disruption of caster by 6.8',0,2),
(36039,90016,3,100,'Increases STR of caster by 39.6',0,0),
(36040,90016,3,100,'Decreases Defense of caster by 4.8',0,1),
(36041,90016,3,100,'Increases Slashing, Piercing, Crushing and Disruption of caster by 7.2',0,2),
(36042,90016,4,100,'Increases STR of caster by 43.6',0,0),
(36043,90016,4,100,'Decreases Defense of caster by 4.8',0,1),
(36044,90016,4,100,'Increases Slashing, Piercing, Crushing and Disruption of caster by 7.9',0,2),
(36045,90016,5,100,'Increases STR of caster by 47.5',0,0),
(36046,90016,5,100,'Decreases Defense of caster by 4.8',0,1),
(36047,90016,5,100,'Increases Slashing, Piercing, Crushing and Disruption of caster by 8.6',0,2),
(36048,90016,7,100,'Increases STR of caster by 61.0',0,0),
(36049,90016,7,100,'Decreases Defense of caster by 4.8',0,1),
(36050,90016,7,100,'Increases Slashing, Piercing, Crushing and Disruption of caster by 11.1',0,2),
(36051,90016,9,100,'Increases STR of caster by 63.4',0,0),
(36052,90016,9,100,'Decreases Defense of caster by 4.8',0,1),
(36053,90016,9,100,'Increases Slashing, Piercing, Crushing and Disruption of caster by 11.5',0,2),
(36054,90017,1,100,'Increases STR of caster by 66.4',0,0),
(36055,90017,1,100,'Decreases Defense of caster by 9.6',0,1),
(36056,90017,1,100,'Increases Slashing, Piercing, Crushing and Disruption of caster by 13.0',0,2),
(36057,90017,2,100,'Increases STR of caster by 70.1',0,0),
(36058,90017,2,100,'Decreases Defense of caster by 9.6',0,1),
(36059,90017,2,100,'Increases Slashing, Piercing, Crushing and Disruption of caster by 13.7',0,2),
(36060,90017,3,100,'Increases STR of caster by 73.8',0,0),
(36061,90017,3,100,'Decreases Defense of caster by 9.6',0,1),
(36062,90017,3,100,'Increases Slashing, Piercing, Crushing and Disruption of caster by 14.4',0,2),
(36063,90017,4,100,'Increases STR of caster by 81.2',0,0),
(36064,90017,4,100,'Decreases Defense of caster by 9.6',0,1),
(36065,90017,4,100,'Increases Slashing, Piercing, Crushing and Disruption of caster by 15.8',0,2),
(36066,90017,5,100,'Increases STR of caster by 88.6',0,0),
(36067,90017,5,100,'Decreases Defense of caster by 9.6',0,1),
(36068,90017,5,100,'Increases Slashing, Piercing, Crushing and Disruption of caster by 17.3',0,2),
(36069,90017,7,100,'Increases STR of caster by 113.7',0,0),
(36070,90017,7,100,'Decreases Defense of caster by 9.6',0,1),
(36071,90017,7,100,'Increases Slashing, Piercing, Crushing and Disruption of caster by 22.2',0,2),
(36072,90017,9,100,'Increases STR of caster by 118.1',0,0),
(36073,90017,9,100,'Decreases Defense of caster by 9.6',0,1),
(36074,90017,9,100,'Increases Slashing, Piercing, Crushing and Disruption of caster by 23.0',0,2),
(36075,90018,1,100,'Increases STR of caster by 96.7',0,0),
(36076,90018,1,100,'Decreases Defense of caster by 13.8',0,1),
(36077,90018,1,100,'Increases Slashing, Piercing, Crushing and Disruption of caster by 18.6',0,2),
(36078,90018,2,100,'Increases STR of caster by 102.0',0,0),
(36079,90018,2,100,'Decreases Defense of caster by 13.8',0,1),
(36080,90018,2,100,'Increases Slashing, Piercing, Crushing and Disruption of caster by 19.7',0,2),
(36081,90018,3,100,'Increases STR of caster by 107.4',0,0),
(36082,90018,3,100,'Decreases Defense of caster by 13.8',0,1),
(36083,90018,3,100,'Increases Slashing, Piercing, Crushing and Disruption of caster by 20.7',0,2),
(36084,90018,4,100,'Increases STR of caster by 118.1',0,0),
(36085,90018,4,100,'Decreases Defense of caster by 13.8',0,1),
(36086,90018,4,100,'Increases Slashing, Piercing, Crushing and Disruption of caster by 22.8',0,2),
(36087,90018,5,100,'Increases STR of caster by 128.9',0,0),
(36088,90018,5,100,'Decreases Defense of caster by 13.8',0,1),
(36089,90018,5,100,'Increases Slashing, Piercing, Crushing and Disruption of caster by 24.8',0,2),
(36090,90018,7,100,'Increases STR of caster by 165.4',0,0),
(36091,90018,7,100,'Decreases Defense of caster by 13.8',0,1),
(36092,90018,7,100,'Increases Slashing, Piercing, Crushing and Disruption of caster by 31.9',0,2),
(36093,90018,9,100,'Increases STR of caster by 171.8',0,0),
(36094,90018,9,100,'Decreases Defense of caster by 13.8',0,1),
(36095,90018,9,100,'Increases Slashing, Piercing, Crushing and Disruption of caster by 33.1',0,2),
(36096,90019,1,100,'Increases STR of caster by 126.9',0,0),
(36097,90019,1,100,'Decreases Defense of caster by 18.0',0,1),
(36098,90019,1,100,'Increases Slashing, Piercing, Crushing and Disruption of caster by 24.3',0,2),
(36099,90019,2,100,'Increases STR of caster by 133.9',0,0),
(36100,90019,2,100,'Decreases Defense of caster by 18.0',0,1),
(36101,90019,2,100,'Increases Slashing, Piercing, Crushing and Disruption of caster by 25.6',0,2),
(36102,90019,3,100,'Increases STR of caster by 141.0',0,0),
(36103,90019,3,100,'Decreases Defense of caster by 18.0',0,1),
(36104,90019,3,100,'Increases Slashing, Piercing, Crushing and Disruption of caster by 27.0',0,2),
(36105,90019,4,100,'Increases STR of caster by 155.1',0,0),
(36106,90019,4,100,'Decreases Defense of caster by 18.0',0,1),
(36107,90019,4,100,'Increases Slashing, Piercing, Crushing and Disruption of caster by 29.7',0,2),
(36108,90019,5,100,'Increases STR of caster by 169.2',0,0),
(36109,90019,5,100,'Decreases Defense of caster by 18.0',0,1),
(36110,90019,5,100,'Increases Slashing, Piercing, Crushing and Disruption of caster by 32.4',0,2),
(36111,90019,7,100,'Increases STR of caster by 217.1',0,0),
(36112,90019,7,100,'Decreases Defense of caster by 18.0',0,1),
(36113,90019,7,100,'Increases Slashing, Piercing, Crushing and Disruption of caster by 41.6',0,2),
(36114,90019,9,100,'Increases STR of caster by 225.6',0,0),
(36115,90019,9,100,'Decreases Defense of caster by 18.0',0,1),
(36116,90019,9,100,'Increases Slashing, Piercing, Crushing and Disruption of caster by 43.2',0,2),
(36117,90020,1,100,'Increases STR of caster by 157.4',0,0),
(36118,90020,1,100,'Decreases Defense of caster by 22.2',0,1),
(36119,90020,1,100,'Increases Slashing, Piercing, Crushing and Disruption of caster by 30.0',0,2),
(36120,90020,2,100,'Increases STR of caster by 166.2',0,0),
(36121,90020,2,100,'Decreases Defense of caster by 22.2',0,1),
(36122,90020,2,100,'Increases Slashing, Piercing, Crushing and Disruption of caster by 31.6',0,2),
(36123,90020,3,100,'Increases STR of caster by 174.9',0,0),
(36124,90020,3,100,'Decreases Defense of caster by 22.2',0,1),
(36125,90020,3,100,'Increases Slashing, Piercing, Crushing and Disruption of caster by 33.3',0,2),
(36126,90020,4,100,'Increases STR of caster by 192.4',0,0),
(36127,90020,4,100,'Decreases Defense of caster by 22.2',0,1),
(36128,90020,4,100,'Increases Slashing, Piercing, Crushing and Disruption of caster by 36.6',0,2),
(36129,90020,5,100,'Increases STR of caster by 209.9',0,0),
(36130,90020,5,100,'Decreases Defense of caster by 22.2',0,1),
(36131,90020,5,100,'Increases Slashing, Piercing, Crushing and Disruption of caster by 40.0',0,2),
(36132,90020,7,100,'Increases STR of caster by 269.3',0,0),
(36133,90020,7,100,'Decreases Defense of caster by 22.2',0,1),
(36134,90020,7,100,'Increases Slashing, Piercing, Crushing and Disruption of caster by 51.3',0,2),
(36135,90020,9,100,'Increases STR of caster by 279.8',0,0),
(36136,90020,9,100,'Decreases Defense of caster by 22.2',0,1),
(36137,90020,9,100,'Increases Slashing, Piercing, Crushing and Disruption of caster by 53.3',0,2),
(36138,90021,1,100,'Increases STR of caster by 187.1',0,0),
(36139,90021,1,100,'Decreases Defense of caster by 26.2',0,1),
(36140,90021,1,100,'Increases Slashing, Piercing, Crushing and Disruption of caster by 35.8',0,2),
(36141,90021,4,100,'Increases STR of caster by 228.7',0,0),
(36142,90021,4,100,'Decreases Defense of caster by 26.2',0,1),
(36143,90021,4,100,'Increases Slashing, Piercing, Crushing and Disruption of caster by 43.7',0,2),
(36144,90021,5,100,'Increases STR of caster by 249.5',0,0),
(36145,90021,5,100,'Decreases Defense of caster by 26.2',0,1),
(36146,90021,5,100,'Increases Slashing, Piercing, Crushing and Disruption of caster by 47.7',0,2),
(36147,90021,7,100,'Increases STR of caster by 320.2',0,0),
(36148,90021,7,100,'Decreases Defense of caster by 26.2',0,1),
(36149,90021,7,100,'Increases Slashing, Piercing, Crushing and Disruption of caster by 61.2',0,2),
(36150,90021,9,100,'Increases STR of caster by 332.6',0,0),
(36151,90021,9,100,'Decreases Defense of caster by 26.2',0,1),
(36152,90021,9,100,'Increases Slashing, Piercing, Crushing and Disruption of caster by 63.6',0,2),
(36153,90022,1,100,'Increases STR of caster by 216.8',0,0),
(36154,90022,1,100,'Increases Potency of caster by 1.4%',0,1),
(36155,90022,1,100,'Decreases Defense of caster by 30.2',0,2),
(36156,90022,4,100,'Increases STR of caster by 265.0',0,0),
(36157,90022,4,100,'Increases Potency of caster by 1.8%',0,1),
(36158,90022,4,100,'Decreases Defense of caster by 30.2',0,2),
(36159,90022,5,100,'Increases STR of caster by 289.1',0,0),
(36160,90022,5,100,'Increases Potency of caster by 1.9%',0,1),
(36161,90022,5,100,'Decreases Defense of caster by 30.2',0,2),
(36162,90022,7,100,'Increases STR of caster by 371.0',0,0),
(36163,90022,7,100,'Increases Potency of caster by 2.5%',0,1),
(36164,90022,7,100,'Decreases Defense of caster by 30.2',0,2),
(36165,90022,9,100,'Increases STR of caster by 385.4',0,0),
(36166,90022,9,100,'Increases Potency of caster by 2.6%',0,1),
(36167,90022,9,100,'Decreases Defense of caster by 30.2',0,2),
(36168,370000,1,100,'Inflicts 14 - 23 disease damage on target',0,0),
(36169,370000,1,100,'Inflicts 14 - 23 disease damage on target',0,1),
(36170,370000,1,100,'Inflicts 6 disease damage on target instantly and every 6 seconds',0,2),
(36171,370000,2,100,'Inflicts 15 - 25 disease damage on target',0,0),
(36172,370000,2,100,'Inflicts 7 disease damage on target instantly and every 6 seconds',0,2),
(36173,370000,2,100,'Inflicts 15 - 25 disease damage on target',0,1),
(36174,370000,3,100,'Inflicts 15 - 26 disease damage on target',0,0),
(36175,370000,3,100,'Inflicts 7 disease damage on target instantly and every 6 seconds',0,2),
(36176,370000,3,100,'Inflicts 15 - 26 disease damage on target',0,1),
(36177,370000,4,100,'Inflicts 17 - 29 disease damage on target',0,0),
(36178,370000,4,100,'Inflicts 8 disease damage on target instantly and every 6 seconds',0,2),
(36179,370000,4,100,'Inflicts 17 - 29 disease damage on target',0,1),
(36180,370000,5,100,'Inflicts 18 - 31 disease damage on target',0,0),
(36181,370000,5,100,'Inflicts 8 disease damage on target instantly and every 6 seconds',0,2),
(36182,370000,5,100,'Inflicts 18 - 31 disease damage on target',0,1),
(36183,370000,7,100,'Inflicts 24 - 40 disease damage on target',0,0),
(36184,370000,7,100,'Inflicts 11 disease damage on target instantly and every 6 seconds',0,2),
(36185,370000,7,100,'Inflicts 24 - 40 disease damage on target',0,1),
(36186,370000,9,100,'Inflicts 25 - 42 disease damage on target',0,0),
(36187,370000,9,100,'Inflicts 11 disease damage on target instantly and every 6 seconds',0,2),
(36188,370000,9,100,'Inflicts 25 - 42 disease damage on target',0,1),
(36189,370001,1,100,'Inflicts 32 - 54 disease damage on target',0,0),
(36190,370001,1,100,'Inflicts 32 - 54 disease damage on target',0,1),
(36191,370001,1,100,'Inflicts 14 disease damage on target instantly and every 6 seconds',0,2),
(36192,370001,2,100,'Inflicts 34 - 58 disease damage on target',0,0),
(36193,370001,2,100,'Inflicts 34 - 58 disease damage on target',0,1),
(36194,370001,2,100,'Inflicts 15 disease damage on target instantly and every 6 seconds',0,2),
(36195,370001,3,100,'Inflicts 36 - 61 disease damage on target',0,0),
(36196,370001,3,100,'Inflicts 36 - 61 disease damage on target',0,1),
(36197,370001,3,100,'Inflicts 16 disease damage on target instantly and every 6 seconds',0,2),
(36198,370001,4,100,'Inflicts 40 - 67 disease damage on target',0,0),
(36199,370001,4,100,'Inflicts 40 - 67 disease damage on target',0,1),
(36200,370001,4,100,'Inflicts 17 disease damage on target instantly and every 6 seconds',0,2),
(36201,370001,5,100,'Inflicts 43 - 73 disease damage on target',0,0),
(36202,370001,5,100,'Inflicts 43 - 73 disease damage on target',0,1),
(36203,370001,5,100,'Inflicts 19 disease damage on target instantly and every 6 seconds',0,2),
(36204,370001,7,100,'Inflicts 56 - 94 disease damage on target',0,0),
(36205,370001,7,100,'Inflicts 56 - 94 disease damage on target',0,1),
(36206,370001,7,100,'Inflicts 24 disease damage on target instantly and every 6 seconds',0,2),
(36207,370001,9,100,'Inflicts 58 - 97 disease damage on target',0,0),
(36208,370001,9,100,'Inflicts 58 - 97 disease damage on target',0,1),
(36209,370001,9,100,'Inflicts 25 disease damage on target instantly and every 6 seconds',0,2),
(36210,370002,1,100,'Inflicts 54 - 90 disease damage on target',0,0),
(36211,370002,1,100,'Inflicts 54 - 90 disease damage on target',0,1),
(36212,370002,1,100,'Inflicts 23 disease damage on target instantly and every 6 seconds',0,2),
(36213,370002,2,100,'Inflicts 57 - 95 disease damage on target',0,0),
(36214,370002,2,100,'Inflicts 57 - 95 disease damage on target',0,1),
(36215,370002,2,100,'Inflicts 25 disease damage on target instantly and every 6 seconds',0,2),
(36216,370002,3,100,'Inflicts 60 - 100 disease damage on target',0,0),
(36217,370002,3,100,'Inflicts 60 - 100 disease damage on target',0,1),
(36218,370002,3,100,'Inflicts 26 disease damage on target instantly and every 6 seconds',0,2),
(36219,370002,4,100,'Inflicts 66 - 110 disease damage on target',0,0),
(36220,370002,4,100,'Inflicts 66 - 110 disease damage on target',0,1),
(36221,370002,4,100,'Inflicts 29 disease damage on target instantly and every 6 seconds',0,2),
(36222,370002,5,100,'Inflicts 72 - 120 disease damage on target',0,0),
(36223,370002,5,100,'Inflicts 72 - 120 disease damage on target',0,1),
(36224,370002,5,100,'Inflicts 31 disease damage on target instantly and every 6 seconds',0,2),
(36225,370002,7,100,'Inflicts 92 - 154 disease damage on target',0,0),
(36226,370002,7,100,'Inflicts 92 - 154 disease damage on target',0,1),
(36227,370002,7,100,'Inflicts 40 disease damage on target instantly and every 6 seconds',0,2),
(36228,370002,9,100,'Inflicts 96 - 160 disease damage on target',0,0),
(36229,370002,9,100,'Inflicts 96 - 160 disease damage on target',0,1),
(36230,370002,9,100,'Inflicts 42 disease damage on target instantly and every 6 seconds',0,2),
(36231,370003,1,100,'Inflicts 79 - 133 disease damage on target',0,0),
(36232,370003,1,100,'Inflicts 79 - 133 disease damage on target',0,1),
(36233,370003,1,100,'Inflicts 35 disease damage on target instantly and every 6 seconds',0,2),
(36234,370003,2,100,'Inflicts 84 - 140 disease damage on target',0,0),
(36235,370003,2,100,'Inflicts 84 - 140 disease damage on target',0,1),
(36236,370003,2,100,'Inflicts 36 disease damage on target instantly and every 6 seconds',0,2),
(36237,370003,3,100,'Inflicts 88 - 147 disease damage on target',0,0),
(36238,370003,3,100,'Inflicts 88 - 147 disease damage on target',0,1),
(36239,370003,3,100,'Inflicts 38 disease damage on target instantly and every 6 seconds',0,2),
(36240,370003,4,100,'Inflicts 97 - 162 disease damage on target',0,0),
(36241,370003,4,100,'Inflicts 97 - 162 disease damage on target',0,1),
(36242,370003,4,100,'Inflicts 42 disease damage on target instantly and every 6 seconds',0,2),
(36243,370003,5,100,'Inflicts 106 - 177 disease damage on target',0,0),
(36244,370003,5,100,'Inflicts 106 - 177 disease damage on target',0,1),
(36245,370003,5,100,'Inflicts 46 disease damage on target instantly and every 6 seconds',0,2),
(36246,370003,7,100,'Inflicts 136 - 227 disease damage on target',0,0),
(36247,370003,7,100,'Inflicts 136 - 227 disease damage on target',0,1),
(36248,370003,7,100,'Inflicts 59 disease damage on target instantly and every 6 seconds',0,2),
(36249,370003,9,100,'Inflicts 142 - 236 disease damage on target',0,0),
(36250,370003,9,100,'Inflicts 142 - 236 disease damage on target',0,1),
(36251,370003,9,100,'Inflicts 61 disease damage on target instantly and every 6 seconds',0,2),
(36252,370004,1,100,'Inflicts 106 - 176 disease damage on target',0,0),
(36253,370004,1,100,'Inflicts 106 - 176 disease damage on target',0,1),
(36254,370004,1,100,'Inflicts 46 disease damage on target instantly and every 6 seconds',0,2),
(36255,370004,2,100,'Inflicts 112 - 186 disease damage on target',0,0),
(36256,370004,2,100,'Inflicts 112 - 186 disease damage on target',0,1),
(36257,370004,2,100,'Inflicts 48 disease damage on target instantly and every 6 seconds',0,2),
(36258,370004,3,100,'Inflicts 117 - 196 disease damage on target',0,0),
(36259,370004,3,100,'Inflicts 117 - 196 disease damage on target',0,1),
(36260,370004,3,100,'Inflicts 51 disease damage on target instantly and every 6 seconds',0,2),
(36261,370004,4,100,'Inflicts 129 - 216 disease damage on target',0,0),
(36262,370004,4,100,'Inflicts 129 - 216 disease damage on target',0,1),
(36263,370004,4,100,'Inflicts 56 disease damage on target instantly and every 6 seconds',0,2),
(36264,370004,5,100,'Inflicts 141 - 235 disease damage on target',0,0),
(36265,370004,5,100,'Inflicts 141 - 235 disease damage on target',0,1),
(36266,370004,5,100,'Inflicts 61 disease damage on target instantly and every 6 seconds',0,2),
(36267,370004,7,100,'Inflicts 181 - 302 disease damage on target',0,0),
(36268,370004,7,100,'Inflicts 181 - 302 disease damage on target',0,1),
(36269,370004,7,100,'Inflicts 79 disease damage on target instantly and every 6 seconds',0,2),
(36270,370004,9,100,'Inflicts 188 - 314 disease damage on target',0,0),
(36271,370004,9,100,'Inflicts 188 - 314 disease damage on target',0,1),
(36272,370004,9,100,'Inflicts 82 disease damage on target instantly and every 6 seconds',0,2),
(36273,370005,1,100,'Inflicts 126 - 210 disease damage on target',0,0),
(36274,370005,1,100,'Inflicts 126 - 210 disease damage on target',0,1),
(36275,370005,1,100,'Inflicts 55 disease damage on target instantly and every 6 seconds',0,2),
(36276,370005,2,100,'Inflicts 133 - 221 disease damage on target',0,0),
(36277,370005,2,100,'Inflicts 133 - 221 disease damage on target',0,1),
(36278,370005,2,100,'Inflicts 58 disease damage on target instantly and every 6 seconds',0,2),
(36279,370005,3,100,'Inflicts 140 - 233 disease damage on target',0,0),
(36280,370005,3,100,'Inflicts 140 - 233 disease damage on target',0,1),
(36281,370005,3,100,'Inflicts 61 disease damage on target instantly and every 6 seconds',0,2),
(36282,370005,4,100,'Inflicts 154 - 256 disease damage on target',0,0),
(36283,370005,4,100,'Inflicts 154 - 256 disease damage on target',0,1),
(36284,370005,4,100,'Inflicts 67 disease damage on target instantly and every 6 seconds',0,2),
(36285,370005,5,100,'Inflicts 168 - 280 disease damage on target',0,0),
(36286,370005,5,100,'Inflicts 168 - 280 disease damage on target',0,1),
(36287,370005,5,100,'Inflicts 73 disease damage on target instantly and every 6 seconds',0,2),
(36288,370005,7,100,'Inflicts 215 - 359 disease damage on target',0,0),
(36289,370005,7,100,'Inflicts 215 - 359 disease damage on target',0,1),
(36290,370005,7,100,'Inflicts 93 disease damage on target instantly and every 6 seconds',0,2),
(36291,370005,9,100,'Inflicts 224 - 373 disease damage on target',0,0),
(36292,370005,9,100,'Inflicts 224 - 373 disease damage on target',0,1),
(36293,370005,9,100,'Inflicts 97 disease damage on target instantly and every 6 seconds',0,2),
(36294,370006,1,100,'Inflicts 152 - 253 disease damage on target',0,0),
(36295,370006,1,100,'Inflicts 152 - 253 disease damage on target',0,1),
(36296,370006,1,100,'Inflicts 66 disease damage on target instantly and every 6 seconds',0,2),
(36297,370006,4,100,'Inflicts 185 - 309 disease damage on target',0,0),
(36298,370006,4,100,'Inflicts 185 - 309 disease damage on target',0,1),
(36299,370006,4,100,'Inflicts 80 disease damage on target instantly and every 6 seconds',0,2),
(36300,370006,5,100,'Inflicts 202 - 337 disease damage on target',0,0),
(36301,370006,5,100,'Inflicts 202 - 337 disease damage on target',0,1),
(36302,370006,5,100,'Inflicts 88 disease damage on target instantly and every 6 seconds',0,2),
(36303,370006,7,100,'Inflicts 260 - 433 disease damage on target',0,0),
(36304,370006,7,100,'Inflicts 260 - 433 disease damage on target',0,1),
(36305,370006,7,100,'Inflicts 113 disease damage on target instantly and every 6 seconds',0,2),
(36306,370006,9,100,'Inflicts 270 - 450 disease damage on target',0,0),
(36307,370006,9,100,'Inflicts 270 - 450 disease damage on target',0,1),
(36308,370006,9,100,'Inflicts 117 disease damage on target instantly and every 6 seconds',0,2),
(36309,370007,1,100,'Inflicts 169 - 281 disease damage on target',0,0),
(36310,370007,1,100,'Inflicts 169 - 281 disease damage on target',0,1),
(36311,370007,1,100,'Inflicts 73 disease damage on target instantly and every 6 seconds',0,2),
(36312,370007,4,100,'Inflicts 206 - 344 disease damage on target',0,0),
(36313,370007,4,100,'Inflicts 206 - 344 disease damage on target',0,1),
(36314,370007,4,100,'Inflicts 89 disease damage on target instantly and every 6 seconds',0,2),
(36315,370007,5,100,'Inflicts 225 - 375 disease damage on target',0,0),
(36316,370007,5,100,'Inflicts 225 - 375 disease damage on target',0,1),
(36317,370007,5,100,'Inflicts 97 disease damage on target instantly and every 6 seconds',0,2),
(36318,370007,7,100,'Inflicts 289 - 482 disease damage on target',0,0),
(36319,370007,7,100,'Inflicts 289 - 482 disease damage on target',0,1),
(36320,370007,7,100,'Inflicts 125 disease damage on target instantly and every 6 seconds',0,2),
(36321,370007,9,100,'Inflicts 300 - 500 disease damage on target',0,0),
(36322,370007,9,100,'Inflicts 300 - 500 disease damage on target',0,1),
(36323,370007,9,100,'Inflicts 130 disease damage on target instantly and every 6 seconds',0,2),
(36324,2000067,1,100,'Inflicts 537 - 895 disease damage on targets in Area of Effect',0,0),
(36325,2000067,1,100,'Inflicts 537 - 895 disease damage on targets in Area of Effect',0,1),
(36326,2000067,1,100,'Inflicts 266 disease damage on targets in Area of Effect instantly and every 6 seconds',0,2),
(36327,370008,1,100,'Inflicts 14 - 24 melee damage on target',0,0),
(36328,370008,1,100,'Decreases DPS of target by 10.9',0,1),
(36329,370008,1,100,'Must be flanking or behind',0,2),
(36330,370008,2,100,'Inflicts 15 - 25 melee damage on target',0,0),
(36331,370008,2,100,'Decreases DPS of target by 11.5',0,1),
(36332,370008,2,100,'Must be flanking or behind',0,2),
(36333,370008,3,100,'Inflicts 16 - 26 melee damage on target',0,0),
(36334,370008,3,100,'Decreases DPS of target by 12.1',0,1),
(36335,370008,3,100,'Must be flanking or behind',0,2),
(36336,370008,4,100,'Inflicts 17 - 29 melee damage on target',0,0),
(36337,370008,4,100,'Decreases DPS of target by 13.3',0,1),
(36338,370008,4,100,'Must be flanking or behind',0,2),
(36339,370008,5,100,'Inflicts 19 - 32 melee damage on target',0,0),
(36340,370008,5,100,'Decreases DPS of target by 14.5',0,1),
(36341,370008,5,100,'Must be flanking or behind',0,2),
(36342,370008,7,100,'Inflicts 24 - 41 melee damage on target',0,0),
(36343,370008,7,100,'Decreases DPS of target by 18.6',0,1),
(36344,370008,7,100,'Must be flanking or behind',0,2),
(36345,370008,9,100,'Inflicts 25 - 43 melee damage on target',0,0),
(36346,370008,9,100,'Decreases DPS of target by 19.3',0,1),
(36347,370008,9,100,'Must be flanking or behind',0,2),
(36348,370009,1,100,'Inflicts 52 - 87 melee damage on target',0,0),
(36349,370009,1,100,'Decreases DPS of target by 12.6',0,1),
(36350,370009,1,100,'Must be flanking or behind',0,2),
(36351,370009,2,100,'Inflicts 55 - 92 melee damage on target',0,0),
(36352,370009,2,100,'Decreases DPS of target by 13.3',0,1),
(36353,370009,2,100,'Must be flanking or behind',0,2),
(36354,370009,3,100,'Inflicts 58 - 97 melee damage on target',0,0),
(36355,370009,3,100,'Decreases DPS of target by 14.0',0,1),
(36356,370009,3,100,'Must be flanking or behind',0,2),
(36357,370009,4,100,'Inflicts 64 - 106 melee damage on target',0,0),
(36358,370009,4,100,'Decreases DPS of target by 15.4',0,1),
(36359,370009,4,100,'Must be flanking or behind',0,2),
(36360,370009,5,100,'Inflicts 69 - 116 melee damage on target',0,0),
(36361,370009,5,100,'Decreases DPS of target by 16.7',0,1),
(36362,370009,5,100,'Must be flanking or behind',0,2),
(36363,370009,7,100,'Inflicts 89 - 149 melee damage on target',0,0),
(36364,370009,7,100,'Decreases DPS of target by 21.5',0,1),
(36365,370009,7,100,'Must be flanking or behind',0,2),
(36366,370009,9,100,'Inflicts 93 - 155 melee damage on target',0,0),
(36367,370009,9,100,'Decreases DPS of target by 22.3',0,1),
(36368,370009,9,100,'Must be flanking or behind',0,2),
(36369,370010,1,100,'Inflicts 97 - 162 melee damage on target',0,0),
(36370,370010,1,100,'Decreases DPS of target by 14.8',0,1),
(36371,370010,1,100,'Must be flanking or behind',0,2),
(36372,370010,2,100,'Inflicts 102 - 171 melee damage on target',0,0),
(36373,370010,2,100,'Decreases DPS of target by 15.6',0,1),
(36374,370010,2,100,'Must be flanking or behind',0,2),
(36375,370010,3,100,'Inflicts 108 - 180 melee damage on target',0,0),
(36376,370010,3,100,'Decreases DPS of target by 16.5',0,1),
(36377,370010,3,100,'Must be flanking or behind',0,2),
(36378,370010,4,100,'Inflicts 118 - 198 melee damage on target',0,0),
(36379,370010,4,100,'Decreases DPS of target by 18.1',0,1),
(36380,370010,4,100,'Must be flanking or behind',0,2),
(36381,370010,5,100,'Inflicts 129 - 216 melee damage on target',0,0),
(36382,370010,5,100,'Decreases DPS of target by 19.8',0,1),
(36383,370010,5,100,'Must be flanking or behind',0,2),
(36384,370010,7,100,'Inflicts 166 - 277 melee damage on target',0,0),
(36385,370010,7,100,'Decreases DPS of target by 25.4',0,1),
(36386,370010,7,100,'Must be flanking or behind',0,2),
(36387,370010,9,100,'Inflicts 173 - 288 melee damage on target',0,0),
(36388,370010,9,100,'Decreases DPS of target by 26.3',0,1),
(36389,370010,9,100,'Must be flanking or behind',0,2),
(36390,370010,10,100,'Inflicts 181 - 302 melee damage on target',0,0),
(36391,370010,10,100,'Decreases DPS of target by 27.7',0,1),
(36392,370010,10,100,'Must be flanking or behind',0,2),
(36393,370011,1,100,'Inflicts 148 - 247 melee damage on target',0,0),
(36394,370011,1,100,'Decreases DPS of target by 17.6',0,1),
(36395,370011,1,100,'Must be flanking or behind',0,2),
(36396,370011,2,100,'Inflicts 156 - 261 melee damage on target',0,0),
(36397,370011,2,100,'Decreases DPS of target by 18.6',0,1),
(36398,370011,2,100,'Must be flanking or behind',0,2),
(36399,370011,3,100,'Inflicts 164 - 274 melee damage on target',0,0),
(36400,370011,3,100,'Decreases DPS of target by 19.5',0,1),
(36401,370011,3,100,'Must be flanking or behind',0,2),
(36402,370011,4,100,'Inflicts 181 - 302 melee damage on target',0,0),
(36403,370011,4,100,'Decreases Damage Per Second of target by 21.5',0,1),
(36404,370011,4,100,'Must be flanking or behind',0,2),
(36405,370011,5,100,'Inflicts 197 - 329 melee damage on target',0,0),
(36406,370011,5,100,'Decreases DPS of target by 23.5',0,1),
(36407,370011,5,100,'Must be flanking or behind',0,2),
(36408,370011,7,100,'Inflicts 253 - 423 melee damage on target',0,0),
(36409,370011,7,100,'Decreases Damage Per Second of target by 30.1',0,1),
(36410,370011,7,100,'Must be flanking or behind',0,2),
(36411,370011,9,100,'Inflicts 263 - 439 melee damage on target',0,0),
(36412,370011,9,100,'Decreases DPS of target by 31.3',0,1),
(36413,370011,9,100,'Must be flanking or behind',0,2),
(36414,370012,1,100,'Inflicts 205 - 342 melee damage on target',0,0),
(36415,370012,1,100,'Decreases DPS of target by 20.6',0,1),
(36416,370012,1,100,'Must be flanking or behind',0,2),
(36417,370012,2,100,'Inflicts 216 - 361 melee damage on target',0,0),
(36418,370012,2,100,'Decreases DPS of target by 21.7',0,1),
(36419,370012,2,100,'Must be flanking or behind',0,2),
(36420,370012,3,100,'Inflicts 228 - 380 melee damage on target',0,0),
(36421,370012,3,100,'Decreases DPS of target by 22.8',0,1),
(36422,370012,3,100,'Must be flanking or behind',0,2),
(36423,370012,4,100,'Inflicts 250 - 418 melee damage on target',0,0),
(36424,370012,4,100,'Decreases DPS of target by 25.1',0,1),
(36425,370012,4,100,'Must be flanking or behind',0,2),
(36426,370012,5,100,'Inflicts 273 - 456 melee damage on target',0,0),
(36427,370012,5,100,'Decreases DPS of target by 27.4',0,1),
(36428,370012,5,100,'Must be flanking or behind',0,2),
(36429,370012,7,100,'Inflicts 351 - 585 melee damage on target',0,0),
(36430,370012,7,100,'Decreases DPS of target by 35.2',0,1),
(36431,370012,7,100,'Must be flanking or behind',0,2),
(36432,370012,9,100,'Inflicts 364 - 608 melee damage on target',0,0),
(36433,370012,9,100,'Decreases DPS of target by 36.5',0,1),
(36434,370012,9,100,'Must be flanking or behind',0,2),
(36435,370013,1,100,'Inflicts 262 - 437 melee damage on target',0,0),
(36436,370013,1,100,'Decreases DPS of target by 23.6',0,1),
(36437,370013,1,100,'Must be flanking or behind',0,2),
(36438,370013,2,100,'Inflicts 276 - 461 melee damage on target',0,0),
(36439,370013,2,100,'Decreases DPS of target by 25.0',0,1),
(36440,370013,2,100,'Must be flanking or behind',0,2),
(36441,370013,3,100,'Inflicts 291 - 485 melee damage on target',0,0),
(36442,370013,3,100,'Decreases DPS of target by 26.3',0,1),
(36443,370013,3,100,'Must be flanking or behind',0,2),
(36444,370013,4,100,'Inflicts 320 - 534 melee damage on target',0,0),
(36445,370013,4,100,'Decreases DPS of target by 28.9',0,1),
(36446,370013,4,100,'Must be flanking or behind',0,2),
(36447,370013,5,100,'Inflicts 349 - 582 melee damage on target',0,0),
(36448,370013,5,100,'Decreases DPS of target by 31.5',0,1),
(36449,370013,5,100,'Must be flanking or behind',0,2),
(36450,370013,7,100,'Inflicts 448 - 747 melee damage on target',0,0),
(36451,370013,7,100,'Decreases DPS of target by 40.5',0,1),
(36452,370013,7,100,'Must be flanking or behind',0,2),
(36453,370013,9,100,'Inflicts 466 - 777 melee damage on target',0,0),
(36454,370013,9,100,'Decreases DPS of target by 42.0',0,1),
(36455,370013,9,100,'Must be flanking or behind',0,2),
(36456,370013,10,100,'Inflicts 489 - 815 melee damage on target',0,0),
(36457,370013,10,100,'Decreases DPS of target by 44.1',0,1),
(36458,370013,10,100,'Must be flanking or behind',0,2),
(36459,370014,1,100,'Inflicts 316 - 528 melee damage on target',0,0),
(36460,370014,1,100,'Decreases DPS of target by 26.6',0,1),
(36461,370014,1,100,'Must be flanking or behind',0,2),
(36462,370014,4,100,'Inflicts 387 - 645 melee damage on target',0,0),
(36463,370014,4,100,'Decreases DPS of target by 32.5',0,1),
(36464,370014,4,100,'Must be flanking or behind',0,2),
(36465,370014,5,100,'Inflicts 422 - 704 melee damage on target',0,0),
(36466,370014,5,100,'Decreases DPS of target by 35.5',0,1),
(36467,370014,5,100,'Must be flanking or behind',0,2),
(36468,370014,7,100,'Inflicts 542 - 903 melee damage on target',0,0),
(36469,370014,7,100,'Decreases DPS of target by 45.5',0,1),
(36470,370014,7,100,'Must be flanking or behind',0,2),
(36471,370014,9,100,'Inflicts 563 - 938 melee damage on target',0,0),
(36472,370014,9,100,'Decreases Damage Per Second of target by 47.3',0,1),
(36473,370014,9,100,'Must be flanking or behind',0,2),
(36474,370015,1,100,'Inflicts 361 - 602 melee damage on target',0,0),
(36475,370015,1,100,'Decreases DPS of target by 29.6',0,1),
(36476,370015,1,100,'Must be flanking or behind',0,2),
(36477,370015,4,100,'Inflicts 441 - 735 melee damage on target',0,0),
(36478,370015,4,100,'Decreases DPS of target by 36.1',0,1),
(36479,370015,4,100,'Must be flanking or behind',0,2),
(36480,370015,5,100,'Inflicts 481 - 802 melee damage on target',0,0),
(36481,370015,5,100,'Decreases DPS of target by 39.4',0,1),
(36482,370015,5,100,'Must be flanking or behind',0,2),
(36483,370015,7,100,'Inflicts 618 - 1030 melee damage on target',0,0),
(36484,370015,7,100,'Decreases DPS of target by 50.6',0,1),
(36485,370015,7,100,'Must be flanking or behind',0,2),
(36486,370015,9,100,'Inflicts 642 - 1070 melee damage on target',0,0),
(36487,370015,9,100,'Decreases DPS of target by 52.6',0,1),
(36488,370015,9,100,'Must be flanking or behind',0,2),
(36489,2000068,1,100,'Inflicts 257 - 477 melee damage on targets in Area of Effect',0,0),
(36490,2000068,1,100,'Decreases Weapon Damage Bonus of targets in Area of Effect by 7.5',0,1),
(36491,2000068,2,100,'Inflicts 257 - 477 melee damage on targets in Area of Effect',0,0),
(36492,2000068,2,100,'Decreases Weapon Damage Bonus of targets in Area of Effect by 7.5',0,1),
(36493,2000068,3,100,'Inflicts 342 - 636 melee damage on targets in Area of Effect',0,0),
(36494,2000068,3,100,'Decreases Weapon Damage of targets in Area of Effect by 7.5',0,1),
(36500,330022,1,100,'Inflicts 90 - 151 melee damage on targets in Area of Effect',0,0),
(36506,330022,2,100,'Inflicts 95 - 159 melee damage on targets in Area of Effect',0,0),
(36512,330022,3,100,'Inflicts 101 - 168 melee damage on targets in Area of Effect',0,0),
(36518,330022,4,100,'Inflicts 111 - 185 melee damage on targets in Area of Effect',0,0),
(36524,330022,5,100,'Inflicts 121 - 202 melee damage on targets in Area of Effect',0,0),
(36530,330022,7,100,'Inflicts 155 - 259 melee damage on targets in Area of Effect',0,0),
(36536,330022,9,100,'Inflicts 161 - 269 melee damage on targets in Area of Effect',0,0),
(36542,330022,10,100,'Inflicts 169 - 282 melee damage on targets in Area of Effect',0,0),
(36543,330023,1,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(36544,330023,1,100,'Throws target back',1,1),
(36545,330023,1,100,'Blurs vision of target',1,2),
(36546,330023,1,100,'Stuns target',1,3),
(36547,330023,1,100,'Does not affect Epic targets',1,4),
(36548,330023,1,100,'Inflicts 165 - 276 melee damage on targets in Area of Effect',0,5),
(36549,330023,2,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(36550,330023,2,100,'Throws target back',1,1),
(36551,330023,2,100,'Blurs vision of target',1,2),
(36552,330023,2,100,'Stuns target',1,3),
(36553,330023,2,100,'Does not affect Epic targets',1,4),
(36554,330023,2,100,'Inflicts 175 - 291 melee damage on targets in Area of Effect',0,5),
(36555,330023,3,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(36556,330023,3,100,'Throws target back',1,1),
(36557,330023,3,100,'Blurs vision of target',1,2),
(36558,330023,3,100,'Stuns target',1,3),
(36559,330023,3,100,'Does not affect Epic targets',1,4),
(36560,330023,3,100,'Inflicts 184 - 307 melee damage on targets in Area of Effect',0,5),
(36561,330023,4,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(36562,330023,4,100,'Throws target back',1,1),
(36563,330023,4,100,'Blurs vision of target',1,2),
(36564,330023,4,100,'Stuns target',1,3),
(36565,330023,4,100,'Does not affect Epic targets',1,4),
(36566,330023,4,100,'Inflicts 202 - 337 melee damage on targets in Area of Effect',0,5),
(36567,330023,5,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(36568,330023,5,100,'Throws target back',1,1),
(36569,330023,5,100,'Blurs vision of target',1,2),
(36570,330023,5,100,'Stuns target',1,3),
(36571,330023,5,100,'Does not affect Epic targets',1,4),
(36572,330023,5,100,'Inflicts 221 - 368 melee damage on targets in Area of Effect',0,5),
(36573,330023,7,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(36574,330023,7,100,'Throws target back',1,1),
(36575,330023,7,100,'Blurs vision of target',1,2),
(36576,330023,7,100,'Stuns target',1,3),
(36577,330023,7,100,'Does not affect Epic targets',1,4),
(36578,330023,7,100,'Inflicts 283 - 473 melee damage on targets in Area of Effect',0,5),
(36579,330023,9,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(36580,330023,9,100,'Throws target back',1,1),
(36581,330023,9,100,'Blurs vision of target',1,2),
(36582,330023,9,100,'Stuns target',1,3),
(36583,330023,9,100,'Does not affect Epic targets',1,4),
(36584,330023,9,100,'Inflicts 294 - 491 melee damage on targets in Area of Effect',0,5),
(36585,330023,10,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(36586,330023,10,100,'Throws target back',1,1),
(36587,330023,10,100,'Blurs vision of target',1,2),
(36588,330023,10,100,'Stuns target',1,3),
(36589,330023,10,100,'Does not affect Epic targets',1,4),
(36590,330023,10,100,'Inflicts 309 - 516 melee damage on targets in Area of Effect',0,5),
(36591,330024,1,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(36592,330024,1,100,'Throws target back',1,1),
(36593,330024,1,100,'Blurs vision of target',1,2),
(36594,330024,1,100,'Stuns target',1,3),
(36595,330024,1,100,'Does not affect Epic targets',1,4),
(36596,330024,1,100,'Inflicts 251 - 419 melee damage on targets in Area of Effect',0,5),
(36597,330024,2,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(36598,330024,2,100,'Throws target back',1,1),
(36599,330024,2,100,'Blurs vision of target',1,2),
(36600,330024,2,100,'Stuns target',1,3),
(36601,330024,2,100,'Does not affect Epic targets',1,4),
(36602,330024,2,100,'Inflicts 265 - 442 melee damage on targets in Area of Effect',0,5),
(36603,330024,3,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(36604,330024,3,100,'Throws target back',1,1),
(36605,330024,3,100,'Blurs vision of target',1,2),
(36606,330024,3,100,'Stuns target',1,3),
(36607,330024,3,100,'Does not affect Epic targets',1,4),
(36608,330024,3,100,'Inflicts 279 - 465 melee damage on targets in Area of Effect',0,5),
(36609,330024,4,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(36610,330024,4,100,'Throws target back',1,1),
(36611,330024,4,100,'Blurs vision of target',1,2),
(36612,330024,4,100,'Stuns target',1,3),
(36613,330024,4,100,'Does not affect Epic targets',1,4),
(36614,330024,4,100,'Inflicts 307 - 512 melee damage on targets in Area of Effect',0,5),
(36615,330024,5,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(36616,330024,5,100,'Throws target back',1,1),
(36617,330024,5,100,'Blurs vision of target',1,2),
(36618,330024,5,100,'Stuns target',1,3),
(36619,330024,5,100,'Does not affect Epic targets',1,4),
(36620,330024,5,100,'Inflicts 335 - 559 melee damage on targets in Area of Effect',0,5),
(36621,330024,7,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(36622,330024,7,100,'Throws target back',1,1),
(36623,330024,7,100,'Blurs vision of target',1,2),
(36624,330024,7,100,'Stuns target',1,3),
(36625,330024,7,100,'Does not affect Epic targets',1,4),
(36626,330024,7,100,'Inflicts 430 - 717 melee damage on targets in Area of Effect',0,5),
(36627,330024,9,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(36628,330024,9,100,'Throws target back',1,1),
(36629,330024,9,100,'Blurs vision of target',1,2),
(36630,330024,9,100,'Stuns target',1,3),
(36631,330024,9,100,'Does not affect Epic targets',1,4),
(36632,330024,9,100,'Inflicts 447 - 745 melee damage on targets in Area of Effect',0,5),
(36633,330024,10,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(36634,330024,10,100,'Throws target back',1,1),
(36635,330024,10,100,'Blurs vision of target',1,2),
(36636,330024,10,100,'Stuns target',1,3),
(36637,330024,10,100,'Does not affect Epic targets',1,4),
(36638,330024,10,100,'Inflicts 469 - 782 melee damage on targets in Area of Effect',0,5),
(36639,330025,1,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(36640,330025,1,100,'Throws target back',1,1),
(36641,330025,1,100,'Blurs vision of target',1,2),
(36642,330025,1,100,'Stuns target',1,3),
(36643,330025,1,100,'Does not affect Epic targets',1,4),
(36644,330025,1,100,'Inflicts 345 - 575 melee damage on targets in Area of Effect',0,5),
(36645,330025,2,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(36646,330025,2,100,'Throws target back',1,1),
(36647,330025,2,100,'Blurs vision of target',1,2),
(36648,330025,2,100,'Stuns target',1,3),
(36649,330025,2,100,'Does not affect Epic targets',1,4),
(36650,330025,2,100,'Inflicts 364 - 607 melee damage on targets in Area of Effect',0,5),
(36651,330025,3,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(36652,330025,3,100,'Throws target back',1,1),
(36653,330025,3,100,'Blurs vision of target',1,2),
(36654,330025,3,100,'Stuns target',1,3),
(36655,330025,3,100,'Does not affect Epic targets',1,4),
(36656,330025,3,100,'Inflicts 383 - 639 melee damage on targets in Area of Effect',0,5),
(36657,330025,4,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(36658,330025,4,100,'Throws target back',1,1),
(36659,330025,4,100,'Blurs vision of target',1,2),
(36660,330025,4,100,'Stuns target',1,3),
(36661,330025,4,100,'Does not affect Epic targets',1,4),
(36662,330025,4,100,'Inflicts 422 - 703 melee damage on targets in Area of Effect',0,5),
(36663,330025,5,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(36664,330025,5,100,'Throws target back',1,1),
(36665,330025,5,100,'Blurs vision of target',1,2),
(36666,330025,5,100,'Stuns target',1,3),
(36667,330025,5,100,'Does not affect Epic targets',1,4),
(36668,330025,5,100,'Inflicts 460 - 767 melee damage on targets in Area of Effect',0,5),
(36669,330025,7,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(36670,330025,7,100,'Throws target back',1,1),
(36671,330025,7,100,'Blurs vision of target',1,2),
(36672,330025,7,100,'Stuns target',1,3),
(36673,330025,7,100,'Does not affect Epic targets',1,4),
(36674,330025,7,100,'Inflicts 590 - 984 melee damage on targets in Area of Effect',0,5),
(36675,330025,9,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(36676,330025,9,100,'Throws target back',1,1),
(36677,330025,9,100,'Blurs vision of target',1,2),
(36678,330025,9,100,'Stuns target',1,3),
(36679,330025,9,100,'Does not affect Epic targets',1,4),
(36680,330025,9,100,'Inflicts 613 - 1023 melee damage on targets in Area of Effect',0,5),
(36681,330025,10,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(36682,330025,10,100,'Throws target back',1,1),
(36683,330025,10,100,'Blurs vision of target',1,2),
(36684,330025,10,100,'Stuns target',1,3),
(36685,330025,10,100,'Does not affect Epic targets',1,4),
(36686,330025,10,100,'Inflicts 644 - 1074 melee damage on targets in Area of Effect',0,5),
(36687,330026,1,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(36688,330026,1,100,'Throws target back',1,1),
(36689,330026,1,100,'Blurs vision of target',1,2),
(36690,330026,1,100,'Stuns target',1,3),
(36691,330026,1,100,'Does not affect Epic targets',1,4),
(36692,330026,1,100,'Inflicts 432 - 721 melee damage on targets in Area of Effect',0,5),
(36693,330026,2,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(36694,330026,2,100,'Throws target back',1,1),
(36695,330026,2,100,'Blurs vision of target',1,2),
(36696,330026,2,100,'Stuns target',1,3),
(36697,330026,2,100,'Does not affect Epic targets',1,4),
(36698,330026,2,100,'Inflicts 456 - 761 melee damage on targets in Area of Effect',0,5),
(36699,330026,3,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(36700,330026,3,100,'Throws target back',1,1),
(36701,330026,3,100,'Blurs vision of target',1,2),
(36702,330026,3,100,'Stuns target',1,3),
(36703,330026,3,100,'Does not affect Epic targets',1,4),
(36704,330026,3,100,'Inflicts 480 - 801 melee damage on targets in Area of Effect',0,5),
(36705,330026,4,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(36706,330026,4,100,'Throws target back',1,1),
(36707,330026,4,100,'Blurs vision of target',1,2),
(36708,330026,4,100,'Stuns target',1,3),
(36709,330026,4,100,'Does not affect Epic targets',1,4),
(36710,330026,4,100,'Inflicts 528 - 881 melee damage on targets in Area of Effect',0,5),
(36711,330026,5,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(36712,330026,5,100,'Throws target back',1,1),
(36713,330026,5,100,'Blurs vision of target',1,2),
(36714,330026,5,100,'Stuns target',1,3),
(36715,330026,5,100,'Does not affect Epic targets',1,4),
(36716,330026,5,100,'Inflicts 576 - 961 melee damage on targets in Area of Effect',0,5),
(36717,330026,7,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(36718,330026,7,100,'Throws target back',1,1),
(36719,330026,7,100,'Blurs vision of target',1,2),
(36720,330026,7,100,'Stuns target',1,3),
(36721,330026,7,100,'Does not affect Epic targets',1,4),
(36722,330026,7,100,'Inflicts 740 - 1234 melee damage on targets in Area of Effect',0,5),
(36723,330026,9,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(36724,330026,9,100,'Throws target back',1,1),
(36725,330026,9,100,'Blurs vision of target',1,2),
(36726,330026,9,100,'Stuns target',1,3),
(36727,330026,9,100,'Does not affect Epic targets',1,4),
(36728,330026,9,100,'Inflicts 769 - 1282 melee damage on targets in Area of Effect',0,5),
(36729,330027,1,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(36730,330027,1,100,'Throws target back',1,1),
(36731,330027,1,100,'Blurs vision of target',1,2),
(36732,330027,1,100,'Stuns target',1,3),
(36733,330027,1,100,'Does not affect Epic targets',1,4),
(36734,330027,1,100,'Inflicts 522 - 871 melee damage on targets in Area of Effect',0,5),
(36735,330027,4,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(36736,330027,4,100,'Throws target back',1,1),
(36737,330027,4,100,'Blurs vision of target',1,2),
(36738,330027,4,100,'Stuns target',1,3),
(36739,330027,4,100,'Does not affect Epic targets',1,4),
(36740,330027,4,100,'Inflicts 639 - 1065 melee damage on targets in Area of Effect',0,5),
(36741,330027,5,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(36742,330027,5,100,'Throws target back',1,1),
(36743,330027,5,100,'Blurs vision of target',1,2),
(36744,330027,5,100,'Stuns target',1,3),
(36745,330027,5,100,'Does not affect Epic targets',1,4),
(36746,330027,5,100,'Inflicts 697 - 1161 melee damage on targets in Area of Effect',0,5),
(36747,330027,7,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(36748,330027,7,100,'Throws target back',1,1),
(36749,330027,7,100,'Blurs vision of target',1,2),
(36750,330027,7,100,'Stuns target',1,3),
(36751,330027,7,100,'Does not affect Epic targets',1,4),
(36752,330027,7,100,'Inflicts 894 - 1491 melee damage on targets in Area of Effect',0,5),
(36753,330027,9,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(36754,330027,9,100,'Throws target back',1,1),
(36755,330027,9,100,'Blurs vision of target',1,2),
(36756,330027,9,100,'Stuns target',1,3),
(36757,330027,9,100,'Does not affect Epic targets',1,4),
(36758,330027,9,100,'Inflicts 929 - 1549 melee damage on targets in Area of Effect',0,5),
(36759,330027,10,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(36760,330027,10,100,'Throws target back',1,1),
(36761,330027,10,100,'Blurs vision of target',1,2),
(36762,330027,10,100,'Stuns target',1,3),
(36763,330027,10,100,'Does not affect Epic targets',1,4),
(36764,330027,10,100,'Inflicts 976 - 1626 melee damage on targets in Area of Effect',0,5),
(36765,330028,1,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(36766,330028,1,100,'Throws target back',1,1),
(36767,330028,1,100,'Blurs vision of target',1,2),
(36768,330028,1,100,'Stuns target',1,3),
(36769,330028,1,100,'Does not affect Epic targets',1,4),
(36770,330028,1,100,'Inflicts 774 - 1291 melee damage on targets in Area of Effect',0,5),
(36771,330028,4,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(36772,330028,4,100,'Throws target back',1,1),
(36773,330028,4,100,'Blurs vision of target',1,2),
(36774,330028,4,100,'Stuns target',1,3),
(36775,330028,4,100,'Does not affect Epic targets',1,4),
(36776,330028,4,100,'Inflicts 946 - 1578 melee damage on targets in Area of Effect',0,5),
(36777,330028,5,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(36778,330028,5,100,'Throws target back',1,1),
(36779,330028,5,100,'Blurs vision of target',1,2),
(36780,330028,5,100,'Stuns target',1,3),
(36781,330028,5,100,'Does not affect Epic targets',1,4),
(36782,330028,5,100,'Inflicts 1033 - 1721 melee damage on targets in Area of Effect',0,5),
(36783,330028,7,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(36784,330028,7,100,'Throws target back',1,1),
(36785,330028,7,100,'Blurs vision of target',1,2),
(36786,330028,7,100,'Stuns target',1,3),
(36787,330028,7,100,'Does not affect Epic targets',1,4),
(36788,330028,7,100,'Inflicts 1325 - 2209 melee damage on targets in Area of Effect',0,5),
(36789,330028,9,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(36790,330028,9,100,'Throws target back',1,1),
(36791,330028,9,100,'Blurs vision of target',1,2),
(36792,330028,9,100,'Stuns target',1,3),
(36793,330028,9,100,'Does not affect Epic targets',1,4),
(36794,330028,9,100,'Inflicts 1377 - 2295 melee damage on targets in Area of Effect',0,5),
(36795,330028,10,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(36796,330028,10,100,'Throws target back',1,1),
(36797,330028,10,100,'Blurs vision of target',1,2),
(36798,330028,10,100,'Stuns target',1,3),
(36799,330028,10,100,'Does not affect Epic targets',1,4),
(36800,330028,10,100,'Inflicts 1446 - 2410 melee damage on targets in Area of Effect',0,5),
(36801,2000069,1,100,'Inflicts 1032 - 1261 heat damage on target',0,0),
(36802,2000069,2,100,'Inflicts 1089 - 1331 heat damage on target',0,0),
(36803,2000069,3,100,'Inflicts 1146 - 1401 heat damage on target',0,0),
(36804,2000069,4,100,'Inflicts 946 - 1156 heat damage on target',0,0),
(36805,2000069,5,100,'Inflicts 1032 - 1262 heat damage on target',0,0),
(36806,2000070,1,100,'Inflicts 436 - 727 crushing damage on target',0,0),
(36807,2000070,1,100,'Dazes target',0,1),
(36808,2000070,1,100,'If Target is not Epic',1,2),
(36809,2000070,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(36810,2000070,2,100,'Inflicts 345 - 575 crushing damage on target',0,0),
(36811,2000070,2,100,'Dazes target',0,1),
(36812,2000070,2,100,'If Target is not Epic',1,2),
(36813,2000070,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(36814,2000070,3,100,'Inflicts 484 - 808 crushing damage on target',0,0),
(36815,2000070,3,100,'Dazes target',0,1),
(36816,2000070,3,100,'If Target is not Epic',1,2),
(36817,2000070,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(36818,2000070,4,100,'Inflicts 400 - 666 crushing damage on target',0,0),
(36819,2000070,4,100,'Dazes target',0,1),
(36820,2000070,4,100,'If Target is not Epic',1,2),
(36821,2000070,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(36822,2000070,5,100,'Inflicts 581 - 969 crushing damage on target',0,0),
(36823,2000070,5,100,'Dazes target',0,1),
(36824,2000070,5,100,'If Target is not Epic',1,2),
(36825,2000070,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(36826,2000070,6,100,'Inflicts 472 - 788 crushing damage on target',0,0),
(36827,2000070,6,100,'Dazes target',0,1),
(36828,2000070,6,100,'If Target is not Epic',1,2),
(36829,2000070,6,100,'Resistibility increases against targets higher than level 29.',0,3),
(36830,2000070,7,100,'Inflicts 560 - 933 crushing damage on target',0,0),
(36831,2000070,7,100,'Dazes target',0,1),
(36832,2000070,7,100,'If Target is not Epic',1,2),
(36833,2000070,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(36834,2000070,8,100,'Inflicts 751 - 1252 crushing damage on target',0,0),
(36835,2000070,8,100,'Dazes target',0,1),
(36836,2000070,8,100,'If Target is not Epic',1,2),
(36837,2000070,8,100,'Resistibility increases against targets higher than level 29.',0,3),
(36838,2000070,9,100,'Inflicts 581 - 969 crushing damage on target',0,0),
(36839,2000070,9,100,'Dazes target',0,1),
(36840,2000070,9,100,'If Target is not Epic',1,2),
(36841,2000070,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(36842,2000070,10,100,'Inflicts 814 - 1357 crushing damage on target',0,0),
(36843,2000070,10,100,'Dazes target',0,1),
(36844,2000070,10,100,'If Target is not Epic',1,2),
(36845,2000070,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(36846,400040,1,100,'Caster will have their chance to hit with a weapon increased by 4.5%',0,0),
(36847,400040,1,100,'Increases Multi Attack of caster by 29.0',0,1),
(36848,400040,1,100,'Increases Piercing, Slashing and Crushing of caster by 10.8',0,2),
(36849,400040,2,100,'Caster will have their chance to hit with a weapon increased by 4.7%',0,0),
(36850,400040,2,100,'Increases Multi Attack of caster by 30.6',0,1),
(36851,400040,2,100,'Increases Piercing, Slashing and Crushing of caster by 11.4',0,2),
(36852,400040,3,100,'Caster will have their chance to hit with a weapon increased by 5.0%',0,0),
(36853,400040,3,100,'Increases Multi Attack of caster by 32.2',0,1),
(36854,400040,3,100,'Increases Piercing, Slashing and Crushing of caster by 12.0',0,2),
(36855,400040,4,100,'Caster will have their chance to hit with a weapon increased by 5.5%',0,0),
(36856,400040,4,100,'Increases Multi Attack of caster by 35.4',0,1),
(36857,400040,4,100,'Increases Piercing, Slashing and Crushing of caster by 13.2',0,2),
(36858,400040,5,100,'Caster will have their chance to hit with a weapon increased by 6.0%',0,0),
(36859,400040,5,100,'Increases Multi Attack of caster by 38.6',0,1),
(36860,400040,5,100,'Increases Piercing, Slashing and Crushing of caster by 14.4',0,2),
(36861,400040,7,100,'Caster will have their chance to hit with a weapon increased by 7.7%',0,0),
(36862,400040,7,100,'Increases Multi Attack of caster by 49.6',0,1),
(36863,400040,7,100,'Increases Piercing, Slashing and Crushing of caster by 18.5',0,2),
(36864,400040,9,100,'Caster will have their chance to hit with a weapon increased by 8.0%',0,0),
(36865,400040,9,100,'Increases Multi Attack of caster by 51.5',0,1),
(36866,400040,9,100,'Increases Piercing, Slashing and Crushing of caster by 19.2',0,2),
(36867,400041,1,100,'Caster will have their chance to hit with a weapon increased by 4.5%',0,0),
(36868,400041,1,100,'Increases Multi Attack of caster by 33.8',0,1),
(36869,400041,1,100,'Increases Piercing, Slashing and Crushing of caster by 14.6',0,2),
(36870,400041,2,100,'Caster will have their chance to hit with a weapon increased by 4.7%',0,0),
(36871,400041,2,100,'Increases Multi Attack of caster by 35.7',0,1),
(36872,400041,2,100,'Increases Piercing, Slashing and Crushing of caster by 15.4',0,2),
(36873,400041,3,100,'Caster will have their chance to hit with a weapon increased by 5.0%',0,0),
(36874,400041,3,100,'Increases Multi Attack of caster by 37.6',0,1),
(36875,400041,3,100,'Increases Piercing, Slashing and Crushing of caster by 16.2',0,2),
(36876,400041,4,100,'Caster will have their chance to hit with a weapon increased by 5.5%',0,0),
(36877,400041,4,100,'Increases Multi Attack of caster by 41.4',0,1),
(36878,400041,4,100,'Increases Piercing, Slashing and Crushing of caster by 17.8',0,2),
(36879,400041,5,100,'Caster will have their chance to hit with a weapon increased by 6.0%',0,0),
(36880,400041,5,100,'Increases Multi Attack of caster by 45.1',0,1),
(36881,400041,5,100,'Increases Piercing, Slashing and Crushing of caster by 19.4',0,2),
(36882,400041,7,100,'Caster will have their chance to hit with a weapon increased by 7.7%',0,0),
(36883,400041,7,100,'Increases Multi Attack of caster by 57.9',0,1),
(36884,400041,7,100,'Increases Piercing, Slashing and Crushing of caster by 24.9',0,2),
(36885,400041,9,100,'Caster will have their chance to hit with a weapon increased by 8.0%',0,0),
(36886,400041,9,100,'Increases Multi Attack of caster by 60.2',0,1),
(36887,400041,9,100,'Increases Piercing, Slashing and Crushing of caster by 25.9',0,2),
(36888,400042,1,100,'Caster will have their chance to hit with a weapon increased by 4.5%',0,0),
(36889,400042,1,100,'Increases Multi Attack of caster by 38.5',0,1),
(36890,400042,1,100,'Increases Piercing, Slashing and Crushing of caster by 18.1',0,2),
(36891,400042,2,100,'Caster will have their chance to hit with a weapon increased by 4.7%',0,0),
(36892,400042,2,100,'Increases Multi Attack of caster by 40.7',0,1),
(36893,400042,2,100,'Increases Piercing, Slashing and Crushing of caster by 19.1',0,2),
(36894,400042,3,100,'Caster will have their chance to hit with a weapon increased by 5.0%',0,0),
(36895,400042,3,100,'Increases Multi Attack of caster by 42.8',0,1),
(36896,400042,3,100,'Increases Piercing, Slashing and Crushing of caster by 20.1',0,2),
(36897,400042,4,100,'Caster will have their chance to hit with a weapon increased by 5.5%',0,0),
(36898,400042,4,100,'Increases Multi Attack of caster by 47.1',0,1),
(36899,400042,4,100,'Increases Piercing, Slashing and Crushing of caster by 22.1',0,2),
(36900,400042,5,100,'Caster will have their chance to hit with a weapon increased by 6.0%',0,0),
(36901,400042,5,100,'Increases Multi Attack of caster by 51.4',0,1),
(36902,400042,5,100,'Increases Piercing, Slashing and Crushing of caster by 24.1',0,2),
(36903,400042,7,100,'Caster will have their chance to hit with a weapon increased by 7.7%',0,0),
(36904,400042,7,100,'Increases Multi Attack of caster by 65.9',0,1),
(36905,400042,7,100,'Increases Piercing, Slashing and Crushing of caster by 31.0',0,2),
(36906,400042,9,100,'Caster will have their chance to hit with a weapon increased by 8.0%',0,0),
(36907,400042,9,100,'Increases Multi Attack of caster by 68.5',0,1),
(36908,400042,9,100,'Increases Piercing, Slashing and Crushing of caster by 32.2',0,2),
(36909,400043,1,100,'Caster will have their chance to hit with a weapon increased by 4.5%',0,0),
(36910,400043,1,100,'Increases Multi Attack of caster by 48.5',0,1),
(36911,400043,1,100,'Increases Piercing, Slashing and Crushing of caster by 25.6',0,2),
(36912,400043,4,100,'Caster will have their chance to hit with a weapon increased by 5.5%',0,0),
(36913,400043,4,100,'Increases Multi Attack of caster by 59.3',0,1),
(36914,400043,4,100,'Increases Piercing, Slashing and Crushing of caster by 31.4',0,2),
(36915,400043,5,100,'Caster will have their chance to hit with a weapon increased by 6.0%',0,0),
(36916,400043,5,100,'Increases Multi Attack of caster by 64.7',0,1),
(36917,400043,5,100,'Increases Piercing, Slashing and Crushing of caster by 34.2',0,2),
(36918,400043,7,100,'Caster will have their chance to hit with a weapon increased by 7.7%',0,0),
(36919,400043,7,100,'Increases Multi Attack of caster by 83.0',0,1),
(36920,400043,7,100,'Increases Piercing, Slashing and Crushing of caster by 43.9',0,2),
(36921,400043,9,100,'Caster will have their chance to hit with a weapon increased by 8.0%',0,0),
(36922,400043,9,100,'Increases Multi Attack of caster by 86.2',0,1),
(36923,400043,9,100,'Increases Piercing, Slashing and Crushing of caster by 45.6',0,2),
(36924,400044,1,100,'Caster will have their chance to hit with a weapon increased by 4.5%',0,0),
(36925,400044,1,100,'Increases Multi Attack of caster by 52.9',0,1),
(36926,400044,1,100,'Increases Piercing, Slashing and Crushing of caster by 30.1',0,2),
(36927,400044,4,100,'Caster will have their chance to hit with a weapon increased by 5.5%',0,0),
(36928,400044,4,100,'Increases Multi Attack of caster by 64.7',0,1),
(36929,400044,4,100,'Increases Piercing, Slashing and Crushing of caster by 36.9',0,2),
(36930,400044,5,100,'Caster will have their chance to hit with a weapon increased by 6.0%',0,0),
(36931,400044,5,100,'Increases Multi Attack of caster by 70.6',0,1),
(36932,400044,5,100,'Increases Piercing, Slashing and Crushing of caster by 40.2',0,2),
(36933,400044,7,100,'Caster will have their chance to hit with a weapon increased by 7.7%',0,0),
(36934,400044,7,100,'Increases Multi Attack of caster by 90.6',0,1),
(36935,400044,7,100,'Increases Piercing, Slashing and Crushing of caster by 51.6',0,2),
(36936,400044,9,100,'Caster will have their chance to hit with a weapon increased by 8.0%',0,0),
(36937,400044,9,100,'Increases Multi Attack of caster by 94.1',0,1),
(36938,400044,9,100,'Increases Piercing, Slashing and Crushing of caster by 53.6',0,2),
(36939,400045,1,100,'Inflicts 5 - 8 ranged damage on target',0,0),
(36940,400045,1,100,'Inflicts 5 - 8 ranged damage on target',0,1),
(36941,400045,1,100,'If weapon equipped in Ranged',0,2),
(36942,400045,2,100,'Inflicts 5 - 8 ranged damage on target',0,0),
(36943,400045,2,100,'Inflicts 5 - 8 ranged damage on target',0,1),
(36944,400045,2,100,'If weapon equipped in Ranged',0,2),
(36945,400045,3,100,'Inflicts 5 - 9 ranged damage on target',0,0),
(36946,400045,3,100,'Inflicts 5 - 9 ranged damage on target',0,1),
(36947,400045,3,100,'If weapon equipped in Ranged',0,2),
(36948,400045,4,100,'Inflicts 6 - 10 ranged damage on target',0,0),
(36949,400045,4,100,'Inflicts 6 - 10 ranged damage on target',0,1),
(36950,400045,4,100,'If weapon equipped in Ranged',0,2),
(36951,400045,5,100,'Inflicts 6 - 11 ranged damage on target',0,0),
(36952,400045,5,100,'Inflicts 6 - 11 ranged damage on target',0,1),
(36953,400045,5,100,'If weapon equipped in Ranged',0,2),
(36954,400045,7,100,'Inflicts 8 - 14 ranged damage on target',0,0),
(36955,400045,7,100,'Inflicts 8 - 14 ranged damage on target',0,1),
(36956,400045,7,100,'If weapon equipped in Ranged',0,2),
(36957,400045,9,100,'Inflicts 8 - 14 ranged damage on target',0,0),
(36958,400045,9,100,'Inflicts 8 - 14 ranged damage on target',0,1),
(36959,400045,9,100,'If weapon equipped in Ranged',0,2),
(36960,400046,1,100,'Inflicts 24 - 40 ranged damage on target',0,0),
(36961,400046,1,100,'Inflicts 24 - 40 ranged damage on target',0,1),
(36962,400046,1,100,'If weapon equipped in Ranged',0,2),
(36963,400046,2,100,'Inflicts 25 - 42 ranged damage on target',0,0),
(36964,400046,2,100,'Inflicts 25 - 42 ranged damage on target',0,1),
(36965,400046,2,100,'If weapon equipped in Ranged',0,2),
(36966,400046,3,100,'Inflicts 27 - 45 ranged damage on target',0,0),
(36967,400046,3,100,'Inflicts 27 - 45 ranged damage on target',0,1),
(36968,400046,3,100,'If weapon equipped in Ranged',0,2),
(36969,400046,4,100,'Inflicts 29 - 49 ranged damage on target',0,0),
(36970,400046,4,100,'Inflicts 29 - 49 ranged damage on target',0,1),
(36971,400046,4,100,'If weapon equipped in Ranged',0,2),
(36972,400046,5,100,'Inflicts 32 - 54 ranged damage on target',0,0),
(36973,400046,5,100,'Inflicts 32 - 54 ranged damage on target',0,1),
(36974,400046,5,100,'If weapon equipped in Ranged',0,2),
(36975,400046,7,100,'Inflicts 41 - 69 ranged damage on target',0,0),
(36976,400046,7,100,'Inflicts 41 - 69 ranged damage on target',0,1),
(36977,400046,7,100,'If weapon equipped in Ranged',0,2),
(36978,400046,9,100,'Inflicts 43 - 72 ranged damage on target',0,0),
(36979,400046,9,100,'Inflicts 43 - 72 ranged damage on target',0,1),
(36980,400046,9,100,'If weapon equipped in Ranged',0,2),
(36981,400047,1,100,'Inflicts 48 - 80 ranged damage on target',0,0),
(36982,400047,1,100,'Inflicts 48 - 80 ranged damage on target',0,1),
(36983,400047,1,100,'If weapon equipped in Ranged',0,2),
(36984,400047,2,100,'Inflicts 50 - 84 ranged damage on target',0,0),
(36985,400047,2,100,'Inflicts 50 - 84 ranged damage on target',0,1),
(36986,400047,2,100,'If weapon equipped in Ranged',0,2),
(36987,400047,3,100,'Inflicts 53 - 89 ranged damage on target',0,0),
(36988,400047,3,100,'Inflicts 53 - 89 ranged damage on target',0,1),
(36989,400047,3,100,'If weapon equipped in Ranged',0,2),
(36990,400047,4,100,'Inflicts 58 - 98 ranged damage on target',0,0),
(36991,400047,4,100,'Inflicts 58 - 98 ranged damage on target',0,1),
(36992,400047,4,100,'If weapon equipped in Ranged',0,2),
(36993,400047,5,100,'Inflicts 64 - 107 ranged damage on target',0,0),
(36994,400047,5,100,'Inflicts 64 - 107 ranged damage on target',0,1),
(36995,400047,5,100,'If weapon equipped in Ranged',0,2),
(36996,400047,7,100,'Inflicts 82 - 137 ranged damage on target',0,0),
(36997,400047,7,100,'Inflicts 82 - 137 ranged damage on target',0,1),
(36998,400047,7,100,'If weapon equipped in Ranged',0,2),
(36999,400047,9,100,'Inflicts 85 - 142 ranged damage on target',0,0),
(37000,400047,9,100,'Inflicts 85 - 142 ranged damage on target',0,1),
(37001,400047,9,100,'If weapon equipped in Ranged',0,2),
(37002,400047,10,100,'Inflicts 89 - 149 ranged damage on target',0,0),
(37003,400047,10,100,'Inflicts 89 - 149 ranged damage on target',0,1),
(37004,400047,10,100,'If weapon equipped in Ranged',0,2),
(37005,400048,1,100,'Inflicts 74 - 124 ranged damage on target',0,0),
(37006,400048,1,100,'Inflicts 74 - 124 ranged damage on target',0,1),
(37007,400048,1,100,'If weapon equipped in Ranged',0,2),
(37008,400048,2,100,'Inflicts 79 - 131 ranged damage on target',0,0),
(37009,400048,2,100,'Inflicts 79 - 131 ranged damage on target',0,1),
(37010,400048,2,100,'If weapon equipped in Ranged',0,2),
(37011,400048,3,100,'Inflicts 83 - 138 ranged damage on target',0,0),
(37012,400048,3,100,'Inflicts 83 - 138 ranged damage on target',0,1),
(37013,400048,3,100,'If weapon equipped in Ranged',0,2),
(37014,400048,4,100,'Inflicts 91 - 152 ranged damage on target',0,0),
(37015,400048,4,100,'Inflicts 91 - 152 ranged damage on target',0,1),
(37016,400048,4,100,'If weapon equipped in Ranged',0,2),
(37017,400048,5,100,'Inflicts 99 - 166 ranged damage on target',0,0),
(37018,400048,5,100,'Inflicts 99 - 166 ranged damage on target',0,1),
(37019,400048,5,100,'If weapon equipped in Ranged',0,2),
(37020,400048,7,100,'Inflicts 128 - 213 ranged damage on target',0,0),
(37021,400048,7,100,'Inflicts 128 - 213 ranged damage on target',0,1),
(37022,400048,7,100,'If weapon equipped in Ranged',0,2),
(37023,400048,9,100,'Inflicts 133 - 222 ranged damage on target',0,0),
(37024,400048,9,100,'Inflicts 133 - 222 ranged damage on target',0,1),
(37025,400048,9,100,'If weapon equipped in Ranged',0,2),
(37026,400049,1,100,'Inflicts 106 - 176 ranged damage on target',0,0),
(37027,400049,1,100,'Inflicts 106 - 176 ranged damage on target',0,1),
(37028,400049,1,100,'If weapon equipped in Ranged',0,2),
(37029,400049,2,100,'Inflicts 112 - 186 ranged damage on target',0,0),
(37030,400049,2,100,'Inflicts 112 - 186 ranged damage on target',0,1),
(37031,400049,2,100,'If weapon equipped in Ranged',0,2),
(37032,400049,3,100,'Inflicts 117 - 196 ranged damage on target',0,0),
(37033,400049,3,100,'Inflicts 117 - 196 ranged damage on target',0,1),
(37034,400049,3,100,'If weapon equipped in Ranged',0,2),
(37035,400049,4,100,'Inflicts 129 - 216 ranged damage on target',0,0),
(37036,400049,4,100,'Inflicts 129 - 216 ranged damage on target',0,1),
(37037,400049,4,100,'If weapon equipped in Ranged',0,2),
(37038,400049,5,100,'Inflicts 141 - 235 ranged damage on target',0,0),
(37039,400049,5,100,'Inflicts 141 - 235 ranged damage on target',0,1),
(37040,400049,5,100,'If weapon equipped in Ranged',0,2),
(37041,400049,7,100,'Inflicts 181 - 302 ranged damage on target',0,0),
(37042,400049,7,100,'Inflicts 181 - 302 ranged damage on target',0,1),
(37043,400049,7,100,'If weapon equipped in Ranged',0,2),
(37044,400049,9,100,'Inflicts 188 - 314 ranged damage on target',0,0),
(37045,400049,9,100,'Inflicts 188 - 314 ranged damage on target',0,1),
(37046,400049,9,100,'If weapon equipped in Ranged',0,2),
(37047,400050,1,100,'Inflicts 135 - 226 ranged damage on target',0,0),
(37048,400050,1,100,'Inflicts 135 - 226 ranged damage on target',0,1),
(37049,400050,1,100,'If weapon equipped in Ranged',0,2),
(37050,400050,2,100,'Inflicts 143 - 238 ranged damage on target',0,0),
(37051,400050,2,100,'Inflicts 143 - 238 ranged damage on target',0,1),
(37052,400050,2,100,'If weapon equipped in Ranged',0,2),
(37053,400050,3,100,'Inflicts 150 - 251 ranged damage on target',0,0),
(37054,400050,3,100,'Inflicts 150 - 251 ranged damage on target',0,1),
(37055,400050,3,100,'If weapon equipped in Ranged',0,2),
(37056,400050,4,100,'Inflicts 165 - 276 ranged damage on target',0,0),
(37057,400050,4,100,'Inflicts 165 - 276 ranged damage on target',0,1),
(37058,400050,4,100,'If weapon equipped in Ranged',0,2),
(37059,400050,5,100,'Inflicts 181 - 301 ranged damage on target',0,0),
(37060,400050,5,100,'Inflicts 181 - 301 ranged damage on target',0,1),
(37061,400050,5,100,'If weapon equipped in Ranged',0,2),
(37062,400050,7,100,'Inflicts 232 - 387 ranged damage on target',0,0),
(37063,400050,7,100,'Inflicts 232 - 387 ranged damage on target',0,1),
(37064,400050,7,100,'If weapon equipped in Ranged',0,2),
(37065,400050,9,100,'Inflicts 241 - 402 ranged damage on target',0,0),
(37066,400050,9,100,'Inflicts 241 - 402 ranged damage on target',0,1),
(37067,400050,9,100,'If weapon equipped in Ranged',0,2),
(37068,400051,1,100,'Inflicts 164 - 274 ranged damage on target',0,0),
(37069,400051,1,100,'Inflicts 164 - 274 ranged damage on target',0,1),
(37070,400051,1,100,'If weapon equipped in Ranged',0,2),
(37071,400051,4,100,'Inflicts 201 - 335 ranged damage on target',0,0),
(37072,400051,4,100,'Inflicts 201 - 335 ranged damage on target',0,1),
(37073,400051,4,100,'If weapon equipped in Ranged',0,2),
(37074,400051,5,100,'Inflicts 219 - 365 ranged damage on target',0,0),
(37075,400051,5,100,'Inflicts 219 - 365 ranged damage on target',0,1),
(37076,400051,5,100,'If weapon equipped in Ranged',0,2),
(37077,400051,7,100,'Inflicts 281 - 469 ranged damage on target',0,0),
(37078,400051,7,100,'Inflicts 281 - 469 ranged damage on target',0,1),
(37079,400051,7,100,'If weapon equipped in Ranged',0,2),
(37080,400051,9,100,'Inflicts 292 - 487 ranged damage on target',0,0),
(37081,400051,9,100,'Inflicts 292 - 487 ranged damage on target',0,1),
(37082,400051,9,100,'If weapon equipped in Ranged',0,2),
(37083,400052,1,100,'Inflicts 195 - 325 ranged damage on target',0,0),
(37084,400052,1,100,'Inflicts 195 - 325 ranged damage on target',0,1),
(37085,400052,1,100,'If weapon equipped in Ranged',0,2),
(37086,400052,4,100,'Inflicts 238 - 397 ranged damage on target',0,0),
(37087,400052,4,100,'Inflicts 238 - 397 ranged damage on target',0,1),
(37088,400052,4,100,'If weapon equipped in Ranged',0,2),
(37089,400052,5,100,'Inflicts 260 - 433 ranged damage on target',0,0),
(37090,400052,5,100,'Inflicts 260 - 433 ranged damage on target',0,1),
(37091,400052,5,100,'If weapon equipped in Ranged',0,2),
(37092,400052,7,100,'Inflicts 333 - 556 ranged damage on target',0,0),
(37093,400052,7,100,'Inflicts 333 - 556 ranged damage on target',0,1),
(37094,400052,7,100,'If weapon equipped in Ranged',0,2),
(37095,400052,9,100,'Inflicts 346 - 578 ranged damage on target',0,0),
(37096,400052,9,100,'Inflicts 346 - 578 ranged damage on target',0,1),
(37097,400052,9,100,'If weapon equipped in Ranged',0,2),
(37098,400053,1,100,'Inflicts 361 - 603 melee damage on target',0,0),
(37099,400053,1,100,'If over 33% Health',1,1),
(37100,400053,1,100,'Inflicts 1085 - 1809 melee damage on target',0,2),
(37101,400053,1,100,'If under 33% Health',1,3),
(37102,400053,1,100,'Must be flanking or behind',0,4),
(37103,400053,2,100,'Inflicts 382 - 636 melee damage on target',0,0),
(37104,400053,2,100,'If over 33% Health',1,1),
(37105,400053,2,100,'Inflicts 1146 - 1910 melee damage on target',0,2),
(37106,400053,2,100,'If under 33% Health',1,3),
(37107,400053,2,100,'Must be flanking or behind',0,4),
(37108,400053,3,100,'Inflicts 402 - 670 melee damage on target',0,0),
(37109,400053,3,100,'If over 33% Health',1,1),
(37110,400053,3,100,'Inflicts 1206 - 2011 melee damage on target',0,2),
(37111,400053,3,100,'If under 33% Health',1,3),
(37112,400053,3,100,'Must be flanking or behind',0,4),
(37113,400053,4,100,'Inflicts 442 - 737 melee damage on target',0,0),
(37114,400053,4,100,'If over 33% Health',1,1),
(37115,400053,4,100,'Inflicts 1327 - 2212 melee damage on target',0,2),
(37116,400053,4,100,'If under 33% Health',1,3),
(37117,400053,4,100,'Must be flanking or behind',0,4),
(37118,400053,5,100,'Inflicts 482 - 804 melee damage on target',0,0),
(37119,400053,5,100,'If over 33% Health',1,1),
(37120,400053,5,100,'Inflicts 1447 - 2413 melee damage on target',0,2),
(37121,400053,5,100,'If under 33% Health',1,3),
(37122,400053,5,100,'Must be flanking or behind',0,4),
(37123,400053,7,100,'Inflicts 619 - 1032 melee damage on target',0,0),
(37124,400053,7,100,'If over 33% Health',1,1),
(37125,400053,7,100,'Inflicts 1858 - 3096 melee damage on target',0,2),
(37126,400053,7,100,'If under 33% Health',1,3),
(37127,400053,7,100,'Must be flanking or behind',0,4),
(37128,400053,9,100,'Inflicts 643 - 1072 melee damage on target',0,0),
(37129,400053,9,100,'If over 33% Health',1,1),
(37130,400053,9,100,'Inflicts 1930 - 3217 melee damage on target',0,2),
(37131,400053,9,100,'If under 33% Health',1,3),
(37132,400053,9,100,'Must be flanking or behind',0,4),
(37133,400054,1,100,'Inflicts 511 - 851 melee damage on target',0,0),
(37134,400054,1,100,'If over 33% Health',1,1),
(37135,400054,1,100,'Inflicts 1533 - 2555 melee damage on target',0,2),
(37136,400054,1,100,'If under 33% Health',1,3),
(37137,400054,1,100,'Must be flanking or behind',0,4),
(37138,400054,2,100,'Inflicts 539 - 899 melee damage on target',0,0),
(37139,400054,2,100,'If over 33% Health',1,1),
(37140,400054,2,100,'Inflicts 1618 - 2697 melee damage on target',0,2),
(37141,400054,2,100,'If under 33% Health',1,3),
(37142,400054,2,100,'Must be flanking or behind',0,4),
(37143,400054,3,100,'Inflicts 567 - 946 melee damage on target',0,0),
(37144,400054,3,100,'If over 33% Health',1,1),
(37145,400054,3,100,'Inflicts 1703 - 2839 melee damage on target',0,2),
(37146,400054,3,100,'If under 33% Health',1,3),
(37147,400054,3,100,'Must be flanking or behind',0,4),
(37148,400054,4,100,'Inflicts 624 - 1040 melee damage on target',0,0),
(37149,400054,4,100,'If over 33% Health',1,1),
(37150,400054,4,100,'Inflicts 1873 - 3122 melee damage on target',0,2),
(37151,400054,4,100,'If under 33% Health',1,3),
(37152,400054,4,100,'Must be flanking or behind',0,4),
(37153,400054,5,100,'Inflicts 681 - 1135 melee damage on target',0,0),
(37154,400054,5,100,'If over 33% Health',1,1),
(37155,400054,5,100,'Inflicts 2044 - 3406 melee damage on target',0,2),
(37156,400054,5,100,'If under 33% Health',1,3),
(37157,400054,5,100,'Must be flanking or behind',0,4),
(37158,400054,7,100,'Inflicts 874 - 1457 melee damage on target',0,0),
(37159,400054,7,100,'If over 33% Health',1,1),
(37160,400054,7,100,'Inflicts 2623 - 4372 melee damage on target',0,2),
(37161,400054,7,100,'If under 33% Health',1,3),
(37162,400054,7,100,'Must be flanking or behind',0,4),
(37163,400054,9,100,'Inflicts 908 - 1514 melee damage on target',0,0),
(37164,400054,9,100,'If over 33% Health',1,1),
(37165,400054,9,100,'Inflicts 2725 - 4542 melee damage on target',0,2),
(37166,400054,9,100,'If under 33% Health',1,3),
(37167,400054,9,100,'Must be flanking or behind',0,4),
(37168,400055,1,100,'Inflicts 616 - 1027 melee damage on target',0,0),
(37169,400055,1,100,'If over 33% Health',1,1),
(37170,400055,1,100,'Inflicts 1849 - 3082 melee damage on target',0,2),
(37171,400055,1,100,'If under 33% Health',1,3),
(37172,400055,1,100,'Must be flanking or behind',0,4),
(37173,400055,4,100,'Inflicts 753 - 1255 melee damage on target',0,0),
(37174,400055,4,100,'If over 33% Health',1,1),
(37175,400055,4,100,'Inflicts 2260 - 3767 melee damage on target',0,2),
(37176,400055,4,100,'If under 33% Health',1,3),
(37177,400055,4,100,'Must be flanking or behind',0,4),
(37178,400055,5,100,'Inflicts 822 - 1370 melee damage on target',0,0),
(37179,400055,5,100,'If over 33% Health',1,1),
(37180,400055,5,100,'Inflicts 2466 - 4110 melee damage on target',0,2),
(37181,400055,5,100,'If under 33% Health',1,3),
(37182,400055,5,100,'Must be flanking or behind',0,4),
(37183,400055,7,100,'Inflicts 1054 - 1758 melee damage on target',0,0),
(37184,400055,7,100,'If over 33% Health',1,1),
(37185,400055,7,100,'Inflicts 3164 - 5274 melee damage on target',0,2),
(37186,400055,7,100,'If under 33% Health',1,3),
(37187,400055,7,100,'Must be flanking or behind',0,4),
(37188,400055,9,100,'Inflicts 1096 - 1826 melee damage on target',0,0),
(37189,400055,9,100,'If over 33% Health',1,1),
(37190,400055,9,100,'Inflicts 3288 - 5480 melee damage on target',0,2),
(37191,400055,9,100,'If under 33% Health',1,3),
(37192,400055,9,100,'Must be flanking or behind',0,4),
(37193,400056,1,100,'Inflicts 685 - 1142 melee damage on target',0,0),
(37194,400056,1,100,'If over 33% Health',1,1),
(37195,400056,1,100,'Inflicts 2056 - 3426 melee damage on target',0,2),
(37196,400056,1,100,'If under 33% Health',1,3),
(37197,400056,1,100,'Must be flanking or behind',0,4),
(37198,400056,4,100,'Inflicts 837 - 1396 melee damage on target',0,0),
(37199,400056,4,100,'If over 33% Health',1,1),
(37200,400056,4,100,'Inflicts 2512 - 4188 melee damage on target',0,2),
(37201,400056,4,100,'If under 33% Health',1,3),
(37202,400056,4,100,'Must be flanking or behind',0,4),
(37203,400056,5,100,'Inflicts 913 - 1522 melee damage on target',0,0),
(37204,400056,5,100,'If over 33% Health',1,1),
(37205,400056,5,100,'Inflicts 2741 - 4568 melee damage on target',0,2),
(37206,400056,5,100,'If under 33% Health',1,3),
(37207,400056,5,100,'Must be flanking or behind',0,4),
(37208,400056,7,100,'Inflicts 1172 - 1954 melee damage on target',0,0),
(37209,400056,7,100,'If over 33% Health',1,1),
(37210,400056,7,100,'Inflicts 3518 - 5863 melee damage on target',0,2),
(37211,400056,7,100,'If under 33% Health',1,3),
(37212,400056,7,100,'Must be flanking or behind',0,4),
(37213,400056,9,100,'Inflicts 1218 - 2030 melee damage on target',0,0),
(37214,400056,9,100,'If over 33% Health',1,1),
(37215,400056,9,100,'Inflicts 3655 - 6091 melee damage on target',0,2),
(37216,400056,9,100,'If under 33% Health',1,3),
(37217,400056,9,100,'Must be flanking or behind',0,4),
(37218,90023,1,100,'Applies On the March.  Lasts for 10.0 seconds.',0,0),
(37219,90023,1,100,'Increases INT of group members (AE) by 102.1',1,1),
(37220,90023,1,100,'Increases Ability Casting Speed of group members (AE) by 35.3%',1,2),
(37221,90023,1,100,'Increases Multi Attack of group members (AE) by 35.3',1,3),
(37222,90023,1,100,'Makes group members (AE) immune to Root, Stifle, Stun, Fear and Daze effects',1,4),
(37223,90023,1,100,'On a kill this spell will cast On the March on target.  Lasts for 10.0 seconds.  ',0,5),
(37224,90023,1,100,'Increases INT of group members (AE) by 102.1',1,6),
(37225,90023,1,100,'Increases Ability Casting Speed of group members (AE) by 35.3%',1,7),
(37226,90023,1,100,'Increases Multi Attack of group members (AE) by 35.3',1,8),
(37227,90023,1,100,'Makes group members (AE) immune to Root, Stifle, Stun, Fear and Daze effects',1,9),
(37228,90023,2,100,'Applies On the March.  Lasts for 10.0 seconds.',0,0),
(37229,90023,2,100,'Increases INT of group members (AE) by 107.8',1,1),
(37230,90023,2,100,'Increases Ability Casting Speed of group members (AE) by 37.2%',1,2),
(37231,90023,2,100,'Increases Multi Attack of group members (AE) by 37.2',1,3),
(37232,90023,2,100,'Makes group members (AE) immune to Root, Stifle, Stun, Fear and Daze effects',1,4),
(37233,90023,2,100,'On a kill this spell will cast On the March on target.  Lasts for 10.0 seconds.  ',0,5),
(37234,90023,2,100,'Increases INT of group members (AE) by 107.8',1,6),
(37235,90023,2,100,'Increases Ability Casting Speed of group members (AE) by 37.2%',1,7),
(37236,90023,2,100,'Increases Multi Attack of group members (AE) by 37.2',1,8),
(37237,90023,2,100,'Makes group members (AE) immune to Root, Stifle, Stun, Fear and Daze effects',1,9),
(37238,90023,3,100,'Applies On the March.  Lasts for 10.0 seconds.',0,0),
(37239,90023,3,100,'Increases INT of group members (AE) by 113.5',1,1),
(37240,90023,3,100,'Increases Ability Casting Speed of group members (AE) by 39.2%',1,2),
(37241,90023,3,100,'Increases Multi Attack of group members (AE) by 39.2',1,3),
(37242,90023,3,100,'Makes group members (AE) immune to Root, Stifle, Stun, Fear and Daze effects',1,4),
(37243,90023,3,100,'On a kill this spell will cast On the March on target.  Lasts for 10.0 seconds.  ',0,5),
(37244,90023,3,100,'Increases INT of group members (AE) by 113.5',1,6),
(37245,90023,3,100,'Increases Ability Casting Speed of group members (AE) by 39.2%',1,7),
(37246,90023,3,100,'Increases Multi Attack of group members (AE) by 39.2',1,8),
(37247,90023,3,100,'Makes group members (AE) immune to Root, Stifle, Stun, Fear and Daze effects',1,9),
(37248,90023,4,100,'Applies On the March.  Lasts for 10.0 seconds.',0,0),
(37249,90023,4,100,'Increases INT of group members (AE) by 124.9',1,1),
(37250,90023,4,100,'Increases Ability Casting Speed of group members (AE) by 43.1%',1,2),
(37251,90023,4,100,'Increases Multi Attack of group members (AE) by 43.1',1,3),
(37252,90023,4,100,'Makes group members (AE) immune to Root, Stifle, Stun, Fear and Daze effects',1,4),
(37253,90023,4,100,'On a kill this spell will cast On the March on target.  Lasts for 10.0 seconds.  ',0,5),
(37254,90023,4,100,'Increases INT of group members (AE) by 124.9',1,6),
(37255,90023,4,100,'Increases Ability Casting Speed of group members (AE) by 43.1%',1,7),
(37256,90023,4,100,'Increases Multi Attack of group members (AE) by 43.1',1,8),
(37257,90023,4,100,'Makes group members (AE) immune to Root, Stifle, Stun, Fear and Daze effects',1,9),
(37258,90023,5,100,'Applies On the March.  Lasts for 10.0 seconds.',0,0),
(37259,90023,5,100,'Increases INT of group members (AE) by 136.2',1,1),
(37260,90023,5,100,'Increases Ability Casting Speed of group members (AE) by 47.0%',1,2),
(37261,90023,5,100,'Increases Multi Attack of group members (AE) by 47.0',1,3),
(37262,90023,5,100,'Makes group members (AE) immune to Root, Stifle, Stun, Fear and Daze effects',1,4),
(37263,90023,5,100,'On a kill this spell will cast On the March on target.  Lasts for 10.0 seconds.  ',0,5),
(37264,90023,5,100,'Increases INT of group members (AE) by 136.2',1,6),
(37265,90023,5,100,'Increases Ability Casting Speed of group members (AE) by 47.0%',1,7),
(37266,90023,5,100,'Increases Multi Attack of group members (AE) by 47.0',1,8),
(37267,90023,5,100,'Makes group members (AE) immune to Root, Stifle, Stun, Fear and Daze effects',1,9),
(37268,90023,7,100,'Applies On the March.  Lasts for 10.0 seconds.',0,0),
(37269,90023,7,100,'Increases INT of group members (AE) by 174.8',1,1),
(37270,90023,7,100,'Increases Ability Casting Speed of group members (AE) by 60.4%',1,2),
(37271,90023,7,100,'Increases Multi Attack of group members (AE) by 60.4',1,3),
(37272,90023,7,100,'Makes group members (AE) immune to Root, Stifle, Stun, Fear and Daze effects',1,4),
(37273,90023,7,100,'On a kill this spell will cast On the March on target.  Lasts for 10.0 seconds.  ',0,5),
(37274,90023,7,100,'Increases INT of group members (AE) by 174.8',1,6),
(37275,90023,7,100,'Increases Ability Casting Speed of group members (AE) by 60.4%',1,7),
(37276,90023,7,100,'Increases Multi Attack of group members (AE) by 60.4',1,8),
(37277,90023,7,100,'Makes group members (AE) immune to Root, Stifle, Stun, Fear and Daze effects',1,9),
(37278,90023,9,100,'Applies On the March.  Lasts for 10.0 seconds.',0,0),
(37279,90023,9,100,'Increases INT of group members (AE) by 181.6',1,1),
(37280,90023,9,100,'Increases Ability Casting Speed of group members (AE) by 62.7%',1,2),
(37281,90023,9,100,'Increases Multi Attack of group members (AE) by 62.7',1,3),
(37282,90023,9,100,'Makes group members (AE) immune to Root, Stifle, Stun, Fear and Daze effects',1,4),
(37283,90023,9,100,'On a kill this spell will cast On the March on target.  Lasts for 10.0 seconds.  ',0,5),
(37284,90023,9,100,'Increases INT of group members (AE) by 181.6',1,6),
(37285,90023,9,100,'Increases Ability Casting Speed of group members (AE) by 62.7%',1,7),
(37286,90023,9,100,'Increases Multi Attack of group members (AE) by 62.7',1,8),
(37287,90023,9,100,'Makes group members (AE) immune to Root, Stifle, Stun, Fear and Daze effects',1,9),
(37288,400057,1,100,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',0,0),
(37289,400057,1,100,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',1,1),
(37290,400057,1,100,'Inflicts 45 - 75 piercing damage on target',2,2),
(37291,400057,1,100,'Grants a total of 5 triggers of the spell.',2,3),
(37292,400057,1,100,'Grants a total of 1 trigger of the spell.',1,4),
(37293,400057,2,100,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',0,0),
(37294,400057,2,100,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',1,1),
(37295,400057,2,100,'Inflicts 47 - 79 piercing damage on target',2,2),
(37296,400057,2,100,'Grants a total of 5 triggers of the spell.',2,3),
(37297,400057,2,100,'Grants a total of 1 trigger of the spell.',1,4),
(37298,400057,3,100,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',0,0),
(37299,400057,3,100,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',1,1),
(37300,400057,3,100,'Inflicts 50 - 84 piercing damage on target',2,2),
(37301,400057,3,100,'Grants a total of 5 triggers of the spell.',2,3),
(37302,400057,3,100,'Grants a total of 1 trigger of the spell.',1,4),
(37303,400057,4,100,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',0,0),
(37304,400057,4,100,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',1,1),
(37305,400057,4,100,'Inflicts 55 - 92 piercing damage on target',2,2),
(37306,400057,4,100,'Grants a total of 5 triggers of the spell.',2,3),
(37307,400057,4,100,'Grants a total of 1 trigger of the spell.',1,4),
(37308,400057,5,100,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',0,0),
(37309,400057,5,100,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',1,1),
(37310,400057,5,100,'Inflicts 60 - 101 piercing damage on target',2,2),
(37311,400057,5,100,'Grants a total of 5 triggers of the spell.',2,3),
(37312,400057,5,100,'Grants a total of 1 trigger of the spell.',1,4),
(37313,400057,7,100,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',0,0),
(37314,400057,7,100,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',1,1),
(37315,400057,7,100,'Inflicts 77 - 129 piercing damage on target',2,2),
(37316,400057,7,100,'Grants a total of 5 triggers of the spell.',2,3),
(37317,400057,7,100,'Grants a total of 1 trigger of the spell.',1,4),
(37318,400057,9,100,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',0,0),
(37319,400057,9,100,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',1,1),
(37320,400057,9,100,'Inflicts 80 - 134 piercing damage on target',2,2),
(37321,400057,9,100,'Grants a total of 5 triggers of the spell.',2,3),
(37322,400057,9,100,'Grants a total of 1 trigger of the spell.',1,4),
(37323,400058,1,100,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',0,0),
(37324,400058,1,100,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',1,1),
(37325,400058,1,100,'Inflicts 82 - 138 piercing damage on target',2,2),
(37326,400058,1,100,'Grants a total of 5 triggers of the spell.',2,3),
(37327,400058,1,100,'Grants a total of 1 trigger of the spell.',1,4),
(37328,400058,2,100,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',0,0),
(37329,400058,2,100,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',1,1),
(37330,400058,2,100,'Inflicts 87 - 145 piercing damage on target',2,2),
(37331,400058,2,100,'Grants a total of 5 triggers of the spell.',2,3),
(37332,400058,2,100,'Grants a total of 1 trigger of the spell.',1,4),
(37333,400058,3,100,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',0,0),
(37334,400058,3,100,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',1,1),
(37335,400058,3,100,'Inflicts 92 - 153 piercing damage on target',2,2),
(37336,400058,3,100,'Grants a total of 5 triggers of the spell.',2,3),
(37337,400058,3,100,'Grants a total of 1 trigger of the spell.',1,4),
(37338,400058,4,100,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',0,0),
(37339,400058,4,100,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',1,1),
(37340,400058,4,100,'Inflicts 101 - 168 piercing damage on target',2,2),
(37341,400058,4,100,'Grants a total of 5 triggers of the spell.',2,3),
(37342,400058,4,100,'Grants a total of 1 trigger of the spell.',1,4),
(37343,400058,5,100,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',0,0),
(37344,400058,5,100,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',1,1),
(37345,400058,5,100,'Inflicts 110 - 184 piercing damage on target',2,2),
(37346,400058,5,100,'Grants a total of 5 triggers of the spell.',2,3),
(37347,400058,5,100,'Grants a total of 1 trigger of the spell.',1,4),
(37348,400058,7,100,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',0,0),
(37349,400058,7,100,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',1,1),
(37350,400058,7,100,'Inflicts 141 - 236 piercing damage on target',2,2),
(37351,400058,7,100,'Grants a total of 5 triggers of the spell.',2,3),
(37352,400058,7,100,'Grants a total of 1 trigger of the spell.',1,4),
(37353,400058,9,100,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',0,0),
(37354,400058,9,100,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',1,1),
(37355,400058,9,100,'Inflicts 147 - 245 piercing damage on target',2,2),
(37356,400058,9,100,'Grants a total of 5 triggers of the spell.',2,3),
(37357,400058,9,100,'Grants a total of 1 trigger of the spell.',1,4),
(37358,400059,1,100,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',0,0),
(37359,400059,1,100,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',1,1),
(37360,400059,1,100,'Inflicts 125 - 209 piercing damage on target',2,2),
(37361,400059,1,100,'Grants a total of 5 triggers of the spell.',2,3),
(37362,400059,1,100,'Grants a total of 1 trigger of the spell.',1,4),
(37363,400059,2,100,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',0,0),
(37364,400059,2,100,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',1,1),
(37365,400059,2,100,'Inflicts 132 - 221 piercing damage on target',2,2),
(37366,400059,2,100,'Grants a total of 5 triggers of the spell.',2,3),
(37367,400059,2,100,'Grants a total of 1 trigger of the spell.',1,4),
(37368,400059,3,100,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',0,0),
(37369,400059,3,100,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',1,1),
(37370,400059,3,100,'Inflicts 139 - 232 piercing damage on target',2,2),
(37371,400059,3,100,'Grants a total of 5 triggers of the spell.',2,3),
(37372,400059,3,100,'Grants a total of 1 trigger of the spell.',1,4),
(37373,400059,4,100,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',0,0),
(37374,400059,4,100,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',1,1),
(37375,400059,4,100,'Inflicts 153 - 256 piercing damage on target',2,2),
(37376,400059,4,100,'Grants a total of 5 triggers of the spell.',2,3),
(37377,400059,4,100,'Grants a total of 1 trigger of the spell.',1,4),
(37378,400059,5,100,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',0,0),
(37379,400059,5,100,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',1,1),
(37380,400059,5,100,'Inflicts 167 - 279 piercing damage on target',2,2),
(37381,400059,5,100,'Grants a total of 5 triggers of the spell.',2,3),
(37382,400059,5,100,'Grants a total of 1 trigger of the spell.',1,4),
(37383,400059,7,100,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',0,0),
(37384,400059,7,100,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',1,1),
(37385,400059,7,100,'Inflicts 215 - 358 piercing damage on target',2,2),
(37386,400059,7,100,'Grants a total of 5 triggers of the spell.',2,3),
(37387,400059,7,100,'Grants a total of 1 trigger of the spell.',1,4),
(37388,400059,9,100,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',0,0),
(37389,400059,9,100,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',1,1),
(37390,400059,9,100,'Inflicts 223 - 372 piercing damage on target',2,2),
(37391,400059,9,100,'Grants a total of 5 triggers of the spell.',2,3),
(37392,400059,9,100,'Grants a total of 1 trigger of the spell.',1,4),
(37393,400060,1,100,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',0,0),
(37394,400060,1,100,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',1,1),
(37395,400060,1,100,'Inflicts 172 - 287 piercing damage on target',2,2),
(37396,400060,1,100,'Grants a total of 5 triggers of the spell.',2,3),
(37397,400060,1,100,'Grants a total of 1 trigger of the spell.',1,4),
(37398,400060,2,100,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',0,0),
(37399,400060,2,100,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',1,1),
(37400,400060,2,100,'Inflicts 182 - 303 piercing damage on target',2,2),
(37401,400060,2,100,'Grants a total of 5 triggers of the spell.',2,3),
(37402,400060,2,100,'Grants a total of 1 trigger of the spell.',1,4),
(37403,400060,3,100,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',0,0),
(37404,400060,3,100,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',1,1),
(37405,400060,3,100,'Inflicts 191 - 319 piercing damage on target',2,2),
(37406,400060,3,100,'Grants a total of 5 triggers of the spell.',2,3),
(37407,400060,3,100,'Grants a total of 1 trigger of the spell.',1,4),
(37408,400060,4,100,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',0,0),
(37409,400060,4,100,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',1,1),
(37410,400060,4,100,'Inflicts 211 - 351 piercing damage on target',2,2),
(37411,400060,4,100,'Grants a total of 5 triggers of the spell.',2,3),
(37412,400060,4,100,'Grants a total of 1 trigger of the spell.',1,4),
(37413,400060,5,100,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',0,0),
(37414,400060,5,100,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',1,1),
(37415,400060,5,100,'Inflicts 230 - 383 piercing damage on target',2,2),
(37416,400060,5,100,'Grants a total of 5 triggers of the spell.',2,3),
(37417,400060,5,100,'Grants a total of 1 trigger of the spell.',1,4),
(37418,400060,7,100,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',0,0),
(37419,400060,7,100,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',1,1),
(37420,400060,7,100,'Inflicts 295 - 492 piercing damage on target',2,2),
(37421,400060,7,100,'Grants a total of 5 triggers of the spell.',2,3),
(37422,400060,7,100,'Grants a total of 1 trigger of the spell.',1,4),
(37423,400060,9,100,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',0,0),
(37424,400060,9,100,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',1,1),
(37425,400060,9,100,'Inflicts 306 - 511 piercing damage on target',2,2),
(37426,400060,9,100,'Grants a total of 5 triggers of the spell.',2,3),
(37427,400060,9,100,'Grants a total of 1 trigger of the spell.',1,4),
(37428,400060,10,100,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',0,0),
(37429,400060,10,100,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',1,1),
(37430,400060,10,100,'Inflicts 322 - 537 piercing damage on target',2,2),
(37431,400060,10,100,'Grants a total of 5 triggers of the spell.',2,3),
(37432,400060,10,100,'Grants a total of 1 trigger of the spell.',1,4),
(37433,400061,1,100,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',0,0),
(37434,400061,1,100,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',1,1),
(37435,400061,1,100,'Inflicts 216 - 360 piercing damage on target',2,2),
(37436,400061,1,100,'Grants a total of 5 triggers of the spell.',2,3),
(37437,400061,1,100,'Grants a total of 1 trigger of the spell.',1,4),
(37438,400061,2,100,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',0,0),
(37439,400061,2,100,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',1,1),
(37440,400061,2,100,'Inflicts 228 - 380 piercing damage on target',2,2),
(37441,400061,2,100,'Grants a total of 5 triggers of the spell.',2,3),
(37442,400061,2,100,'Grants a total of 1 trigger of the spell.',1,4),
(37443,400061,3,100,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',0,0),
(37444,400061,3,100,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',1,1),
(37445,400061,3,100,'Inflicts 240 - 400 piercing damage on target',2,2),
(37446,400061,3,100,'Grants a total of 5 triggers of the spell.',2,3),
(37447,400061,3,100,'Grants a total of 1 trigger of the spell.',1,4),
(37448,400061,4,100,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',0,0),
(37449,400061,4,100,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',1,1),
(37450,400061,4,100,'Inflicts 264 - 440 piercing damage on target',2,2),
(37451,400061,4,100,'Grants a total of 5 triggers of the spell.',2,3),
(37452,400061,4,100,'Grants a total of 1 trigger of the spell.',1,4),
(37453,400061,5,100,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',0,0),
(37454,400061,5,100,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',1,1),
(37455,400061,5,100,'Inflicts 288 - 480 piercing damage on target',2,2),
(37456,400061,5,100,'Grants a total of 5 triggers of the spell.',2,3),
(37457,400061,5,100,'Grants a total of 1 trigger of the spell.',1,4),
(37458,400061,7,100,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',0,0),
(37459,400061,7,100,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',1,1),
(37460,400061,7,100,'Inflicts 370 - 617 piercing damage on target',2,2),
(37461,400061,7,100,'Grants a total of 5 triggers of the spell.',2,3),
(37462,400061,7,100,'Grants a total of 1 trigger of the spell.',1,4),
(37463,400061,9,100,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',0,0),
(37464,400061,9,100,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',1,1),
(37465,400061,9,100,'Inflicts 384 - 641 piercing damage on target',2,2),
(37466,400061,9,100,'Grants a total of 5 triggers of the spell.',2,3),
(37467,400061,9,100,'Grants a total of 1 trigger of the spell.',1,4),
(37468,400061,10,100,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',0,0),
(37469,400061,10,100,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',1,1),
(37470,400061,10,100,'Inflicts 403 - 673 piercing damage on target',2,2),
(37471,400061,10,100,'Grants a total of 5 triggers of the spell.',2,3),
(37472,400061,10,100,'Grants a total of 1 trigger of the spell.',1,4),
(37473,400062,1,100,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',0,0),
(37474,400062,1,100,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',1,1),
(37475,400062,1,100,'Inflicts 261 - 435 piercing damage on target',2,2),
(37476,400062,1,100,'Grants a total of 5 triggers of the spell.',2,3),
(37477,400062,1,100,'Grants a total of 1 trigger of the spell.',1,4),
(37478,400062,4,100,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',0,0),
(37479,400062,4,100,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',1,1),
(37480,400062,4,100,'Inflicts 319 - 532 piercing damage on target',2,2),
(37481,400062,4,100,'Grants a total of 5 triggers of the spell.',2,3),
(37482,400062,4,100,'Grants a total of 1 trigger of the spell.',1,4),
(37483,400062,5,100,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',0,0),
(37484,400062,5,100,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',1,1),
(37485,400062,5,100,'Inflicts 348 - 580 piercing damage on target',2,2),
(37486,400062,5,100,'Grants a total of 5 triggers of the spell.',2,3),
(37487,400062,5,100,'Grants a total of 1 trigger of the spell.',1,4),
(37488,400062,7,100,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',0,0),
(37489,400062,7,100,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',1,1),
(37490,400062,7,100,'Inflicts 447 - 745 piercing damage on target',2,2),
(37491,400062,7,100,'Grants a total of 5 triggers of the spell.',2,3),
(37492,400062,7,100,'Grants a total of 1 trigger of the spell.',1,4),
(37493,400062,9,100,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',0,0),
(37494,400062,9,100,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',1,1),
(37495,400062,9,100,'Inflicts 464 - 774 piercing damage on target',2,2),
(37496,400062,9,100,'Grants a total of 5 triggers of the spell.',2,3),
(37497,400062,9,100,'Grants a total of 1 trigger of the spell.',1,4),
(37498,400062,10,100,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',0,0),
(37499,400062,10,100,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',1,1),
(37500,400062,10,100,'Inflicts 488 - 813 piercing damage on target',2,2),
(37501,400062,10,100,'Grants a total of 5 triggers of the spell.',2,3),
(37502,400062,10,100,'Grants a total of 1 trigger of the spell.',1,4),
(37503,400063,1,100,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',0,0),
(37504,400063,1,100,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',1,1),
(37505,400063,1,100,'Inflicts 387 - 645 piercing damage on target',2,2),
(37506,400063,1,100,'Grants a total of 5 triggers of the spell.',2,3),
(37507,400063,1,100,'Grants a total of 1 trigger of the spell.',1,4),
(37508,400063,4,100,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',0,0),
(37509,400063,4,100,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',1,1),
(37510,400063,4,100,'Inflicts 473 - 789 piercing damage on target',2,2),
(37511,400063,4,100,'Grants a total of 5 triggers of the spell.',2,3),
(37512,400063,4,100,'Grants a total of 1 trigger of the spell.',1,4),
(37513,400063,5,100,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',0,0),
(37514,400063,5,100,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',1,1),
(37515,400063,5,100,'Inflicts 516 - 860 piercing damage on target',2,2),
(37516,400063,5,100,'Grants a total of 5 triggers of the spell.',2,3),
(37517,400063,5,100,'Grants a total of 1 trigger of the spell.',1,4),
(37518,400063,7,100,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',0,0),
(37519,400063,7,100,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',1,1),
(37520,400063,7,100,'Inflicts 662 - 1104 piercing damage on target',2,2),
(37521,400063,7,100,'Grants a total of 5 triggers of the spell.',2,3),
(37522,400063,7,100,'Grants a total of 1 trigger of the spell.',1,4),
(37523,400063,9,100,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',0,0),
(37524,400063,9,100,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',1,1),
(37525,400063,9,100,'Inflicts 688 - 1147 piercing damage on target',2,2),
(37526,400063,9,100,'Grants a total of 5 triggers of the spell.',2,3),
(37527,400063,9,100,'Grants a total of 1 trigger of the spell.',1,4),
(37528,400063,10,100,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',0,0),
(37529,400063,10,100,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',1,1),
(37530,400063,10,100,'Inflicts 723 - 1205 piercing damage on target',2,2),
(37531,400063,10,100,'Grants a total of 5 triggers of the spell.',2,3),
(37532,400063,10,100,'Grants a total of 1 trigger of the spell.',1,4),
(37533,340071,1,100,'Inflicts 240 - 401 melee damage on target',0,0),
(37534,340071,1,100,'Decreases Mitigation of target vs physical damage by 900',0,1),
(37535,340071,1,100,'Must be flanking or behind',0,2),
(37536,340071,2,100,'Inflicts 254 - 423 melee damage on target',0,0),
(37537,340071,2,100,'Decreases Mitigation of target vs physical damage by 950',0,1),
(37538,340071,2,100,'Must be flanking or behind',0,2),
(37539,340071,3,100,'Inflicts 267 - 446 melee damage on target',0,0),
(37540,340071,3,100,'Decreases Mitigation of target vs physical damage by 1000',0,1),
(37541,340071,3,100,'Must be flanking or behind',0,2),
(37542,340071,4,100,'Inflicts 294 - 490 melee damage on target',0,0),
(37543,340071,4,100,'Decreases Mitigation of target vs physical damage by 1100',0,1),
(37544,340071,4,100,'Must be flanking or behind',0,2),
(37545,340071,5,100,'Inflicts 321 - 535 melee damage on target',0,0),
(37546,340071,5,100,'Decreases Mitigation of target vs physical damage by 1200',0,1),
(37547,340071,5,100,'Must be flanking or behind',0,2),
(37548,340071,7,100,'Inflicts 412 - 687 melee damage on target',0,0),
(37549,340071,7,100,'Decreases Mitigation of target vs physical damage by 1540',0,1),
(37550,340071,7,100,'Must be flanking or behind',0,2),
(37551,340071,9,100,'Inflicts 428 - 713 melee damage on target',0,0),
(37552,340071,9,100,'Decreases Mitigation of target vs physical damage by 1600',0,1),
(37553,340071,9,100,'Must be flanking or behind',0,2),
(37554,340072,1,100,'Inflicts 362 - 604 melee damage on target',0,0),
(37555,340072,1,100,'Decreases Mitigation of target vs physical damage by 1260',0,1),
(37556,340072,1,100,'Must be flanking or behind',0,2),
(37557,340072,2,100,'Inflicts 382 - 637 melee damage on target',0,0),
(37558,340072,2,100,'Decreases Mitigation of target vs physical damage by 1330',0,1),
(37559,340072,2,100,'Must be flanking or behind',0,2),
(37560,340072,3,100,'Inflicts 402 - 671 melee damage on target',0,0),
(37561,340072,3,100,'Decreases Mitigation of target vs physical damage by 1400',0,1),
(37562,340072,3,100,'Must be flanking or behind',0,2),
(37563,340072,4,100,'Inflicts 443 - 738 melee damage on target',0,0),
(37564,340072,4,100,'Decreases Mitigation of target vs physical damage by 1540',0,1),
(37565,340072,4,100,'Must be flanking or behind',0,2),
(37566,340072,5,100,'Inflicts 483 - 805 melee damage on target',0,0),
(37567,340072,5,100,'Decreases Mitigation of target vs physical damage by 1680',0,1),
(37568,340072,5,100,'Must be flanking or behind',0,2),
(37569,340072,7,100,'Inflicts 620 - 1033 melee damage on target',0,0),
(37570,340072,7,100,'Decreases Mitigation of target vs physical damage by 2156',0,1),
(37571,340072,7,100,'Must be flanking or behind',0,2),
(37572,340072,9,100,'Inflicts 644 - 1074 melee damage on target',0,0),
(37573,340072,9,100,'Decreases Mitigation of target vs physical damage by 2240',0,1),
(37574,340072,9,100,'Must be flanking or behind',0,2),
(37575,340073,1,100,'Inflicts 439 - 732 melee damage on target',0,0),
(37576,340073,1,100,'Decreases Mitigation of target vs physical damage by 1646',0,1),
(37577,340073,1,100,'Must be flanking or behind',0,2),
(37578,340073,2,100,'Inflicts 464 - 773 melee damage on target',0,0),
(37579,340073,2,100,'Decreases Mitigation of target vs physical damage by 1737',0,1),
(37580,340073,2,100,'Must be flanking or behind',0,2),
(37581,340073,3,100,'Inflicts 488 - 814 melee damage on target',0,0),
(37582,340073,3,100,'Decreases Mitigation of target vs physical damage by 1829',0,1),
(37583,340073,3,100,'Must be flanking or behind',0,2),
(37584,340073,4,100,'Inflicts 537 - 895 melee damage on target',0,0),
(37585,340073,4,100,'Decreases Mitigation of target vs physical damage by 2011',0,1),
(37586,340073,4,100,'Must be flanking or behind',0,2),
(37587,340073,5,100,'Inflicts 586 - 976 melee damage on target',0,0),
(37588,340073,5,100,'Decreases Mitigation of target vs physical damage by 2194',0,1),
(37589,340073,5,100,'Must be flanking or behind',0,2),
(37590,340073,7,100,'Inflicts 752 - 1253 melee damage on target',0,0),
(37591,340073,7,100,'Decreases Mitigation of target vs physical damage by 2816',0,1),
(37592,340073,7,100,'Must be flanking or behind',0,2),
(37593,340073,9,100,'Inflicts 781 - 1302 melee damage on target',0,0),
(37594,340073,9,100,'Decreases Mitigation of target vs physical damage by 2926',0,1),
(37595,340073,9,100,'Must be flanking or behind',0,2),
(37596,340074,1,100,'Inflicts 528 - 881 melee damage on target',0,0),
(37597,340074,1,100,'Decreases Mitigation of target vs physical damage by 1944',0,1),
(37598,340074,1,100,'Must be flanking or behind',0,2),
(37599,340074,4,100,'Inflicts 646 - 1077 melee damage on target',0,0),
(37600,340074,4,100,'Decreases Mitigation of target vs physical damage by 2376',0,1),
(37601,340074,4,100,'Must be flanking or behind',0,2),
(37602,340074,5,100,'Inflicts 705 - 1175 melee damage on target',0,0),
(37603,340074,5,100,'Decreases Mitigation of target vs physical damage by 2592',0,1),
(37604,340074,5,100,'Must be flanking or behind',0,2),
(37605,340074,7,100,'Inflicts 905 - 1508 melee damage on target',0,0),
(37606,340074,7,100,'Decreases Mitigation of target vs physical damage by 3326',0,1),
(37607,340074,7,100,'Must be flanking or behind',0,2),
(37608,340074,9,100,'Inflicts 940 - 1567 melee damage on target',0,0),
(37609,340074,9,100,'Decreases Mitigation of target vs physical damage by 3456',0,1),
(37610,340074,9,100,'Must be flanking or behind',0,2),
(37611,340075,1,100,'Inflicts 561 - 935 melee damage on target',0,0),
(37612,340075,1,100,'Decreases Mitigation of target vs physical damage by 2160',0,1),
(37613,340075,1,100,'Must be flanking or behind',0,2),
(37614,340075,4,100,'Inflicts 685 - 1143 melee damage on target',0,0),
(37615,340075,4,100,'Decreases Mitigation of target vs physical damage by 2640',0,1),
(37616,340075,4,100,'Must be flanking or behind',0,2),
(37617,340075,5,100,'Inflicts 748 - 1247 melee damage on target',0,0),
(37618,340075,5,100,'Decreases Mitigation of target vs physical damage by 2880',0,1),
(37619,340075,5,100,'Must be flanking or behind',0,2),
(37620,340075,7,100,'Inflicts 960 - 1600 melee damage on target',0,0),
(37621,340075,7,100,'Decreases Mitigation of target vs physical damage by 3696',0,1),
(37622,340075,7,100,'Must be flanking or behind',0,2),
(37623,340075,9,100,'Inflicts 997 - 1662 melee damage on target',0,0),
(37624,340075,9,100,'Decreases Mitigation of target vs physical damage by 3840',0,1),
(37625,340075,9,100,'Must be flanking or behind',0,2),
(37626,2000071,3,100,'Inflicts 2 - 3 poison damage on target encounter',0,0),
(37627,2000071,3,100,'Increases Mitigation of target encounter vs noxious damage by 0',0,1),
(37628,2000071,4,100,'Inflicts 2 - 4 poison damage on target encounter',0,0),
(37629,2000071,4,100,'Increases Mitigation of target encounter vs noxious damage by 0',0,1),
(37630,2000071,5,100,'Inflicts 2 - 4 poison damage on target encounter',0,0),
(37631,2000071,5,100,'Increases Mitigation of target encounter vs noxious damage by 0',0,1),
(37632,2000071,7,100,'Inflicts 3 - 5 poison damage on target encounter',0,0),
(37633,2000071,7,100,'Increases Mitigation of target encounter vs noxious damage by 0',0,1),
(37634,2000071,9,100,'Inflicts 3 - 6 poison damage on target encounter',0,0),
(37635,2000071,9,100,'Increases Mitigation of target encounter vs noxious damage by 0',0,1),
(37636,2000071,10,100,'Inflicts 3 - 6 poison damage on target encounter',0,0),
(37637,2000071,10,100,'Increases Mitigation of target encounter vs noxious damage by 0',0,1),
(37638,340076,1,100,'Increases Haste of caster by 18.7',0,0),
(37639,340076,1,100,'On a melee hit this spell may cast Knockdown on target of attack.  Lasts for 2.5 seconds.  Triggers about 4.0 times per minute. ',0,1),
(37640,340076,1,100,'Throws target back',1,2),
(37641,340076,1,100,'Blurs vision of target',1,3),
(37642,340076,1,100,'Stuns target',1,4),
(37643,340076,1,100,'Does not affect Epic targets',1,5),
(37644,340076,2,100,'Increases Haste of caster by 19.7',0,0),
(37645,340076,2,100,'On a melee hit this spell may cast Knockdown on target of attack.  Lasts for 2.5 seconds.  Triggers about 4.0 times per minute. ',0,1),
(37646,340076,2,100,'Throws target back',1,2),
(37647,340076,2,100,'Blurs vision of target',1,3),
(37648,340076,2,100,'Stuns target',1,4),
(37649,340076,2,100,'Does not affect Epic targets',1,5),
(37650,340076,3,100,'Increases Haste of caster by 20.7',0,0),
(37651,340076,3,100,'On a melee hit this spell may cast Knockdown on target of attack.  Lasts for 2.5 seconds.  Triggers about 4.0 times per minute. ',0,1),
(37652,340076,3,100,'Throws target back',1,2),
(37653,340076,3,100,'Blurs vision of target',1,3),
(37654,340076,3,100,'Stuns target',1,4),
(37655,340076,3,100,'Does not affect Epic targets',1,5),
(37656,340076,4,100,'Increases Haste of caster by 22.8',0,0),
(37657,340076,4,100,'On a melee hit this spell may cast Knockdown on target of attack.  Lasts for 2.5 seconds.  Triggers about 4.0 times per minute. ',0,1),
(37658,340076,4,100,'Throws target back',1,2),
(37659,340076,4,100,'Blurs vision of target',1,3),
(37660,340076,4,100,'Stuns target',1,4),
(37661,340076,4,100,'Does not affect Epic targets',1,5),
(37662,340076,5,100,'Increases Haste of caster by 24.9',0,0),
(37663,340076,5,100,'On a melee hit this spell may cast Knockdown on target of attack.  Lasts for 2.5 seconds.  Triggers about 4.0 times per minute. ',0,1),
(37664,340076,5,100,'Throws target back',1,2),
(37665,340076,5,100,'Blurs vision of target',1,3),
(37666,340076,5,100,'Stuns target',1,4),
(37667,340076,5,100,'Does not affect Epic targets',1,5),
(37668,340076,7,100,'Increases Haste of caster by 32.0',0,0),
(37669,340076,7,100,'On a melee hit this spell may cast Knockdown on target of attack.  Lasts for 2.5 seconds.  Triggers about 4.0 times per minute. ',0,1),
(37670,340076,7,100,'Throws target back',1,2),
(37671,340076,7,100,'Blurs vision of target',1,3),
(37672,340076,7,100,'Stuns target',1,4),
(37673,340076,7,100,'Does not affect Epic targets',1,5),
(37674,340076,9,100,'Increases Haste of caster by 33.2',0,0),
(37675,340076,9,100,'On a melee hit this spell may cast Knockdown on target of attack.  Lasts for 2.5 seconds.  Triggers about 4.0 times per minute. ',0,1),
(37676,340076,9,100,'Throws target back',1,2),
(37677,340076,9,100,'Blurs vision of target',1,3),
(37678,340076,9,100,'Stuns target',1,4),
(37679,340076,9,100,'Does not affect Epic targets',1,5),
(37680,340077,1,100,'Increases Haste of caster by 21.8',0,0),
(37681,340077,1,100,'On a melee hit this spell may cast Knockdown on target of attack.  Lasts for 2.5 seconds.  Triggers about 4.0 times per minute. ',0,1),
(37682,340077,1,100,'Throws target back',1,2),
(37683,340077,1,100,'Blurs vision of target',1,3),
(37684,340077,1,100,'Stuns target',1,4),
(37685,340077,1,100,'Does not affect Epic targets',1,5),
(37686,340077,2,100,'Increases Haste of caster by 23.0',0,0),
(37687,340077,2,100,'On a melee hit this spell may cast Knockdown on target of attack.  Lasts for 2.5 seconds.  Triggers about 4.0 times per minute. ',0,1),
(37688,340077,2,100,'Throws target back',1,2),
(37689,340077,2,100,'Blurs vision of target',1,3),
(37690,340077,2,100,'Stuns target',1,4),
(37691,340077,2,100,'Does not affect Epic targets',1,5),
(37692,340077,3,100,'Increases Haste of caster by 24.2',0,0),
(37693,340077,3,100,'On a melee hit this spell may cast Knockdown on target of attack.  Lasts for 2.5 seconds.  Triggers about 4.0 times per minute. ',0,1),
(37694,340077,3,100,'Throws target back',1,2),
(37695,340077,3,100,'Blurs vision of target',1,3),
(37696,340077,3,100,'Stuns target',1,4),
(37697,340077,3,100,'Does not affect Epic targets',1,5),
(37698,340077,4,100,'Increases Haste of caster by 26.6',0,0),
(37699,340077,4,100,'On a melee hit this spell may cast Knockdown on target of attack.  Lasts for 2.5 seconds.  Triggers about 4.0 times per minute. ',0,1),
(37700,340077,4,100,'Throws target back',1,2),
(37701,340077,4,100,'Blurs vision of target',1,3),
(37702,340077,4,100,'Stuns target',1,4),
(37703,340077,4,100,'Does not affect Epic targets',1,5),
(37704,340077,5,100,'Increases Haste of caster by 29.0',0,0),
(37705,340077,5,100,'On a melee hit this spell may cast Knockdown on target of attack.  Lasts for 2.5 seconds.  Triggers about 4.0 times per minute. ',0,1),
(37706,340077,5,100,'Throws target back',1,2),
(37707,340077,5,100,'Blurs vision of target',1,3),
(37708,340077,5,100,'Stuns target',1,4),
(37709,340077,5,100,'Does not affect Epic targets',1,5),
(37710,340077,7,100,'Increases Haste of caster by 37.3',0,0),
(37711,340077,7,100,'On a melee hit this spell may cast Knockdown on target of attack.  Lasts for 2.5 seconds.  Triggers about 4.0 times per minute. ',0,1),
(37712,340077,7,100,'Throws target back',1,2),
(37713,340077,7,100,'Blurs vision of target',1,3),
(37714,340077,7,100,'Stuns target',1,4),
(37715,340077,7,100,'Does not affect Epic targets',1,5),
(37716,340077,9,100,'Increases Haste of caster by 38.7',0,0),
(37717,340077,9,100,'On a melee hit this spell may cast Knockdown on target of attack.  Lasts for 2.5 seconds.  Triggers about 4.0 times per minute. ',0,1),
(37718,340077,9,100,'Throws target back',1,2),
(37719,340077,9,100,'Blurs vision of target',1,3),
(37720,340077,9,100,'Stuns target',1,4),
(37721,340077,9,100,'Does not affect Epic targets',1,5),
(37722,340078,1,100,'Increases Haste of caster by 24.8',0,0),
(37723,340078,1,100,'On a melee hit this spell may cast Knockdown on target of attack.  Lasts for 2.5 seconds.  Triggers about 4.0 times per minute. ',0,1),
(37724,340078,1,100,'Throws target back',1,2),
(37725,340078,1,100,'Blurs vision of target',1,3),
(37726,340078,1,100,'Stuns target',1,4),
(37727,340078,1,100,'Does not affect Epic targets',1,5),
(37728,340078,2,100,'Increases Haste of caster by 26.2',0,0),
(37729,340078,2,100,'On a melee hit this spell may cast Knockdown on target of attack.  Lasts for 2.5 seconds.  Triggers about 4.0 times per minute. ',0,1),
(37730,340078,2,100,'Throws target back',1,2),
(37731,340078,2,100,'Blurs vision of target',1,3),
(37732,340078,2,100,'Stuns target',1,4),
(37733,340078,2,100,'Does not affect Epic targets',1,5),
(37734,340078,3,100,'Increases Haste of caster by 27.6',0,0),
(37735,340078,3,100,'On a melee hit this spell may cast Knockdown on target of attack.  Lasts for 2.5 seconds.  Triggers about 4.0 times per minute. ',0,1),
(37736,340078,3,100,'Throws target back',1,2),
(37737,340078,3,100,'Blurs vision of target',1,3),
(37738,340078,3,100,'Stuns target',1,4),
(37739,340078,3,100,'Does not affect Epic targets',1,5),
(37740,340078,4,100,'Increases Haste of caster by 30.4',0,0),
(37741,340078,4,100,'On a melee hit this spell may cast Knockdown on target of attack.  Lasts for 2.5 seconds.  Triggers about 4.0 times per minute. ',0,1),
(37742,340078,4,100,'Throws target back',1,2),
(37743,340078,4,100,'Blurs vision of target',1,3),
(37744,340078,4,100,'Stuns target',1,4),
(37745,340078,4,100,'Does not affect Epic targets',1,5),
(37746,340078,5,100,'Increases Haste of caster by 33.1',0,0),
(37747,340078,5,100,'On a melee hit this spell may cast Knockdown on target of attack.  Lasts for 2.5 seconds.  Triggers about 4.0 times per minute. ',0,1),
(37748,340078,5,100,'Throws target back',1,2),
(37749,340078,5,100,'Blurs vision of target',1,3),
(37750,340078,5,100,'Stuns target',1,4),
(37751,340078,5,100,'Does not affect Epic targets',1,5),
(37752,340078,7,100,'Increases Haste of caster by 42.5',0,0),
(37753,340078,7,100,'On a melee hit this spell may cast Knockdown on target of attack.  Lasts for 2.5 seconds.  Triggers about 4.0 times per minute. ',0,1),
(37754,340078,7,100,'Throws target back',1,2),
(37755,340078,7,100,'Blurs vision of target',1,3),
(37756,340078,7,100,'Stuns target',1,4),
(37757,340078,7,100,'Does not affect Epic targets',1,5),
(37758,340078,9,100,'Increases Haste of caster by 44.2',0,0),
(37759,340078,9,100,'On a melee hit this spell may cast Knockdown on target of attack.  Lasts for 2.5 seconds.  Triggers about 4.0 times per minute. ',0,1),
(37760,340078,9,100,'Throws target back',1,2),
(37761,340078,9,100,'Blurs vision of target',1,3),
(37762,340078,9,100,'Stuns target',1,4),
(37763,340078,9,100,'Does not affect Epic targets',1,5),
(37764,30062,1,100,'Inflicts 332 - 553 melee damage on target',0,0),
(37765,30062,1,100,'Decreases Defense, Parry and Deflection of target by 35.1',0,1),
(37766,30062,2,100,'Inflicts 350 - 584 melee damage on target',0,0),
(37767,30062,2,100,'Decreases Defense, Parry and Deflection of target by 37.0',0,1),
(37768,30062,3,100,'Inflicts 369 - 615 melee damage on target',0,0),
(37769,30062,3,100,'Decreases Defense, Parry and Deflection of target by 39.0',0,1),
(37770,30062,4,100,'Inflicts 405 - 676 melee damage on target',0,0),
(37771,30062,4,100,'Decreases Defense, Parry and Deflection of target by 42.9',0,1),
(37772,30062,5,100,'Inflicts 442 - 738 melee damage on target',0,0),
(37773,30062,5,100,'Decreases Defense, Parry and Deflection of target by 46.8',0,1),
(37774,30062,7,100,'Inflicts 568 - 947 melee damage on target',0,0),
(37775,30062,7,100,'Decreases Defense, Parry and Deflection of target by 60.1',0,1),
(37776,30062,9,100,'Inflicts 590 - 984 melee damage on target',0,0),
(37777,30062,9,100,'Decreases Defense, Parry and Deflection of target by 62.4',0,1),
(37778,30063,1,100,'Inflicts 424 - 707 melee damage on target',0,0),
(37779,30063,1,100,'Decreases Defense, Parry and Deflection of target by 43.6',0,1),
(37780,30063,2,100,'Inflicts 447 - 746 melee damage on target',0,0),
(37781,30063,2,100,'Decreases Defense, Parry and Deflection of target by 46.0',0,1),
(37782,30063,3,100,'Inflicts 471 - 785 melee damage on target',0,0),
(37783,30063,3,100,'Decreases Defense, Parry and Deflection of target by 48.4',0,1),
(37784,30063,4,100,'Inflicts 518 - 864 melee damage on target',0,0),
(37785,30063,4,100,'Decreases Defense, Parry and Deflection of target by 53.2',0,1),
(37786,30063,5,100,'Inflicts 565 - 942 melee damage on target',0,0),
(37787,30063,5,100,'Decreases Defense, Parry and Deflection of target by 58.1',0,1),
(37788,30063,7,100,'Inflicts 725 - 1209 melee damage on target',0,0),
(37789,30063,7,100,'Decreases Defense, Parry and Deflection of target by 74.5',0,1),
(37790,30063,9,100,'Inflicts 754 - 1256 melee damage on target',0,0),
(37791,30063,9,100,'Decreases Defense, Parry and Deflection of target by 77.4',0,1),
(37792,30064,1,100,'Inflicts 511 - 851 melee damage on target',0,0),
(37793,30064,1,100,'Decreases Defense, Parry and Deflection of target by 50.8',0,1),
(37794,30064,4,100,'Inflicts 624 - 1041 melee damage on target',0,0),
(37795,30064,4,100,'Decreases Defense, Parry and Deflection of target by 62.0',0,1),
(37796,30064,5,100,'Inflicts 681 - 1135 melee damage on target',0,0),
(37797,30064,5,100,'Decreases Defense, Parry and Deflection of target by 67.7',0,1),
(37798,30064,7,100,'Inflicts 874 - 1457 melee damage on target',0,0),
(37799,30064,7,100,'Decreases Defense, Parry and Deflection of target by 86.9',0,1),
(37800,30064,9,100,'Inflicts 908 - 1514 melee damage on target',0,0),
(37801,30064,9,100,'Decreases Defense, Parry and Deflection of target by 90.2',0,1),
(37802,30065,1,100,'Inflicts 554 - 924 melee damage on target',0,0),
(37803,30065,1,100,'Decreases Defense, Parry and Deflection of target by 58.0',0,1),
(37804,30065,4,100,'Inflicts 678 - 1130 melee damage on target',0,0),
(37805,30065,4,100,'Decreases Defense, Parry and Deflection of target by 70.8',0,1),
(37806,30065,5,100,'Inflicts 739 - 1232 melee damage on target',0,0),
(37807,30065,5,100,'Decreases Defense, Parry and Deflection of target by 77.3',0,1),
(37808,30065,7,100,'Inflicts 949 - 1582 melee damage on target',0,0),
(37809,30065,7,100,'Decreases Defense, Parry and Deflection of target by 99.2',0,1),
(37810,30065,9,100,'Inflicts 986 - 1643 melee damage on target',0,0),
(37811,30065,9,100,'Decreases Defense, Parry and Deflection of target by 103.0',0,1),
(37812,2000072,3,100,'Inflicts 3 - 5 crushing damage on target',0,0),
(37813,2000072,3,100,'Decreases Attack Speed of target by 10.0',0,1),
(37814,2000072,4,100,'Inflicts 3 - 6 crushing damage on target',0,0),
(37815,2000072,4,100,'Decreases Haste of target by 11.0',0,1),
(37816,2000072,5,100,'Inflicts 4 - 6 crushing damage on target',0,0),
(37817,2000072,5,100,'Decreases Haste of target by 12.0',0,1),
(37818,2000072,7,100,'Inflicts 5 - 8 crushing damage on target',0,0),
(37819,2000072,7,100,'Decreases Haste of target by 15.4',0,1),
(37820,2000072,9,100,'Inflicts 5 - 9 crushing damage on target',0,0),
(37821,2000072,9,100,'Decreases Haste of target by 16.0',0,1),
(37822,2000072,10,100,'Inflicts 5 - 9 crushing damage on target',0,0),
(37823,2000072,10,100,'Decreases Haste of target by 16.8',0,1),
(37824,2000073,1,100,'Applies Protector''s Grit.  Lasts for 30.0 seconds.',0,0),
(37825,2000073,1,100,'When a combat art is used this spell will cast Grit on target of combat art.  Lasts for 10.0 seconds.  ',1,1),
(37826,2000073,1,100,'Reduces all damage done to caster by 3.45%',2,2),
(37827,2000073,1,100,'Inflicts 388 - 720 slashing damage on target',2,3),
(37828,2000073,1,100,'Loses an increment when the guardian takes damage equal to or greater than the amount of damage reduction',2,4),
(37829,2000073,1,100,'Inflicts 258 - 480 melee damage on target',0,5),
(37830,2000073,1,100,'Inflicts six times the damage if the guardian is not tanking the target',0,6),
(37831,2000073,2,100,'Applies Protector''s Grit.  Lasts for 30.0 seconds.',0,0),
(37832,2000073,2,100,'When a combat art is used this spell will cast Grit on target of combat art.  Lasts for 10.0 seconds.  ',1,1),
(37833,2000073,2,100,'Reduces all damage done to caster by 3.45%',2,2),
(37834,2000073,2,100,'Inflicts 388 - 720 slashing damage on target',2,3),
(37835,2000073,2,100,'Loses an increment when the guardian takes damage equal to or greater than the amount of damage reduction',2,4),
(37836,2000073,2,100,'Inflicts 258 - 480 melee damage on target',0,5),
(37837,2000073,2,100,'Inflicts six times the damage if the guardian is not tanking the target',0,6),
(37838,2000073,3,100,'Applies Protector''s Grit.  Lasts for 30.0 seconds.',0,0),
(37839,2000073,3,100,'When a combat art is used this spell will cast Grit on target of combat art.  Lasts for 10.0 seconds.  ',1,1),
(37840,2000073,3,100,'Reduces all damage done to caster by 3.45%',2,2),
(37841,2000073,3,100,'Inflicts 291 - 540 slashing damage on target',2,3),
(37842,2000073,3,100,'Loses an increment when the guardian takes damage equal to or greater than the amount of damage reduction',2,4),
(37843,2000073,3,100,'Inflicts 193 - 360 melee damage on target',0,5),
(37844,2000073,3,100,'Inflicts six times the damage if the guardian is not tanking the target',0,6),
(37845,2000074,1,100,'Caster will Dodge 20.0% of incoming attacks',0,0),
(37846,2000074,1,100,'Increases Ability Reuse Speed of caster by 40.0%',0,1),
(37847,2000074,1,100,'Increases Ability Casting Speed of caster by 40.0%',0,2),
(37848,2000074,1,100,'Makes caster immune to strikethrough attacks.',0,3),
(37849,2000075,1,100,'Inflicts 187 - 311 melee damage on target',0,0),
(37850,2000075,1,100,'Decreases WIS and STR of target by 79.2',0,1),
(37851,2000075,2,100,'Inflicts 263 - 438 melee damage on target',0,0),
(37852,2000075,2,100,'Decreases WIS and STR of target by 84.2',0,1),
(37853,2000075,3,100,'Inflicts 207 - 346 melee damage on target',0,0),
(37854,2000075,3,100,'Decreases WIS and STR of target by 88.0',0,1),
(37855,2000075,4,100,'Inflicts 228 - 381 melee damage on target',0,0),
(37856,2000075,4,100,'Decreases WIS and STR of target by 96.8',0,1),
(37857,2000075,5,100,'Inflicts 332 - 554 melee damage on target',0,0),
(37858,2000075,5,100,'Decreases WIS and STR of target by 106.3',0,1),
(37859,2000075,6,100,'Inflicts 270 - 450 melee damage on target',0,0),
(37860,2000075,6,100,'Decreases WIS and STR of target by 114.4',0,1),
(37861,2000075,7,100,'Inflicts 320 - 533 melee damage on target',0,0),
(37862,2000075,7,100,'Decreases WIS and STR of target by 135.5',0,1),
(37863,2000075,8,100,'Inflicts 322 - 536 melee damage on target',0,0),
(37864,2000075,8,100,'Decreases WIS and STR of target by 136.4',0,1),
(37865,2000075,9,100,'Inflicts 332 - 554 melee damage on target',0,0),
(37866,2000075,9,100,'Decreases WIS and STR of target by 140.8',0,1),
(37867,2000075,10,100,'Inflicts 349 - 581 melee damage on target',0,0),
(37868,2000075,10,100,'Decreases WIS and STR of target by 147.8',0,1),
(37869,40080,1,100,'Inflicts 90 - 270 melee damage on target',0,0),
(37870,40080,1,100,'Stifles target',0,1),
(37871,40080,1,100,'If Target is not Epic',1,2),
(37872,40080,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(37873,40080,2,100,'Inflicts 95 - 285 melee damage on target',0,0),
(37874,40080,2,100,'Stifles target',0,1),
(37875,40080,2,100,'If Target is not Epic',1,2),
(37876,40080,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(37877,40080,3,100,'Inflicts 100 - 300 melee damage on target',0,0),
(37878,40080,3,100,'Stifles target',0,1),
(37879,40080,3,100,'If Target is not Epic',1,2),
(37880,40080,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(37881,40080,4,100,'Inflicts 110 - 330 melee damage on target',0,0),
(37882,40080,4,100,'Stifles target',0,1),
(37883,40080,4,100,'If Target is not Epic',1,2),
(37884,40080,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(37885,40080,5,100,'Inflicts 120 - 360 melee damage on target',0,0),
(37886,40080,5,100,'Stifles target',0,1),
(37887,40080,5,100,'If Target is not Epic',1,2),
(37888,40080,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(37889,40080,7,100,'Inflicts 154 - 462 melee damage on target',0,0),
(37890,40080,7,100,'Stifles target',0,1),
(37891,40080,7,100,'If Target is not Epic',1,2),
(37892,40080,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(37893,40080,9,100,'Inflicts 160 - 480 melee damage on target',0,0),
(37894,40080,9,100,'Stifles target',0,1),
(37895,40080,9,100,'If Target is not Epic',1,2),
(37896,40080,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(37897,40081,1,100,'Inflicts 132 - 397 melee damage on target',0,0),
(37898,40081,1,100,'Stifles target',0,1),
(37899,40081,1,100,'If Target is not Epic',1,2),
(37900,40081,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(37901,40081,2,100,'Inflicts 139 - 419 melee damage on target',0,0),
(37902,40081,2,100,'Stifles target',0,1),
(37903,40081,2,100,'If Target is not Epic',1,2),
(37904,40081,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(37905,40081,3,100,'Inflicts 147 - 442 melee damage on target',0,0),
(37906,40081,3,100,'Stifles target',0,1),
(37907,40081,3,100,'If Target is not Epic',1,2),
(37908,40081,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(37909,40081,4,100,'Inflicts 162 - 486 melee damage on target',0,0),
(37910,40081,4,100,'Stifles target',0,1),
(37911,40081,4,100,'If Target is not Epic',1,2),
(37912,40081,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(37913,40081,5,100,'Inflicts 176 - 530 melee damage on target',0,0),
(37914,40081,5,100,'Stifles target',0,1),
(37915,40081,5,100,'If Target is not Epic',1,2),
(37916,40081,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(37917,40081,7,100,'Inflicts 226 - 680 melee damage on target',0,0),
(37918,40081,7,100,'Stifles target',0,1),
(37919,40081,7,100,'If Target is not Epic',1,2),
(37920,40081,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(37921,40081,9,100,'Inflicts 235 - 707 melee damage on target',0,0),
(37922,40081,9,100,'Stifles target',0,1),
(37923,40081,9,100,'If Target is not Epic',1,2),
(37924,40081,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(37925,40081,10,100,'Inflicts 247 - 742 melee damage on target',0,0),
(37926,40081,10,100,'Stifles target',0,1),
(37927,40081,10,100,'If Target is not Epic',1,2),
(37928,40081,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(37929,40082,1,100,'Inflicts 175 - 525 melee damage on target',0,0),
(37930,40082,1,100,'Stifles target',0,1),
(37931,40082,1,100,'If Target is not Epic',1,2),
(37932,40082,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(37933,40082,2,100,'Inflicts 184 - 554 melee damage on target',0,0),
(37934,40082,2,100,'Stifles target',0,1),
(37935,40082,2,100,'If Target is not Epic',1,2),
(37936,40082,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(37937,40082,3,100,'Inflicts 194 - 584 melee damage on target',0,0),
(37938,40082,3,100,'Stifles target',0,1),
(37939,40082,3,100,'If Target is not Epic',1,2),
(37940,40082,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(37941,40082,4,100,'Inflicts 214 - 642 melee damage on target',0,0),
(37942,40082,4,100,'Stifles target',0,1),
(37943,40082,4,100,'If Target is not Epic',1,2),
(37944,40082,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(37945,40082,5,100,'Inflicts 233 - 700 melee damage on target',0,0),
(37946,40082,5,100,'Stifles target',0,1),
(37947,40082,5,100,'If Target is not Epic',1,2),
(37948,40082,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(37949,40082,7,100,'Inflicts 299 - 899 melee damage on target',0,0),
(37950,40082,7,100,'Stifles target',0,1),
(37951,40082,7,100,'If Target is not Epic',1,2),
(37952,40082,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(37953,40082,9,100,'Inflicts 311 - 934 melee damage on target',0,0),
(37954,40082,9,100,'Stifles target',0,1),
(37955,40082,9,100,'If Target is not Epic',1,2),
(37956,40082,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(37957,40083,1,100,'Inflicts 212 - 636 melee damage on target',0,0),
(37958,40083,1,100,'Stifles target',0,1),
(37959,40083,1,100,'If Target is not Epic',1,2),
(37960,40083,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(37961,40083,2,100,'Inflicts 223 - 671 melee damage on target',0,0),
(37962,40083,2,100,'Stifles target',0,1),
(37963,40083,2,100,'If Target is not Epic',1,2),
(37964,40083,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(37965,40083,3,100,'Inflicts 235 - 707 melee damage on target',0,0),
(37966,40083,3,100,'Stifles target',0,1),
(37967,40083,3,100,'If Target is not Epic',1,2),
(37968,40083,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(37969,40083,4,100,'Inflicts 259 - 777 melee damage on target',0,0),
(37970,40083,4,100,'Stifles target',0,1),
(37971,40083,4,100,'If Target is not Epic',1,2),
(37972,40083,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(37973,40083,5,100,'Inflicts 282 - 848 melee damage on target',0,0),
(37974,40083,5,100,'Stifles target',0,1),
(37975,40083,5,100,'If Target is not Epic',1,2),
(37976,40083,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(37977,40083,7,100,'Inflicts 362 - 1088 melee damage on target',0,0),
(37978,40083,7,100,'Stifles target',0,1),
(37979,40083,7,100,'If Target is not Epic',1,2),
(37980,40083,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(37981,40083,9,100,'Inflicts 377 - 1131 melee damage on target',0,0),
(37982,40083,9,100,'Stifles target',0,1),
(37983,40083,9,100,'If Target is not Epic',1,2),
(37984,40083,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(37985,40084,1,100,'Inflicts 255 - 766 melee damage on target',0,0),
(37986,40084,1,100,'Stifles target',0,1),
(37987,40084,1,100,'If Target is not Epic',1,2),
(37988,40084,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(37989,40084,4,100,'Inflicts 312 - 936 melee damage on target',0,0),
(37990,40084,4,100,'Stifles target',0,1),
(37991,40084,4,100,'If Target is not Epic',1,2),
(37992,40084,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(37993,40084,5,100,'Inflicts 340 - 1022 melee damage on target',0,0),
(37994,40084,5,100,'Stifles target',0,1),
(37995,40084,5,100,'If Target is not Epic',1,2),
(37996,40084,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(37997,40084,7,100,'Inflicts 437 - 1311 melee damage on target',0,0),
(37998,40084,7,100,'Stifles target',0,1),
(37999,40084,7,100,'If Target is not Epic',1,2),
(38000,40084,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(38001,40084,9,100,'Inflicts 454 - 1362 melee damage on target',0,0),
(38002,40084,9,100,'Stifles target',0,1),
(38003,40084,9,100,'If Target is not Epic',1,2),
(38004,40084,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(38005,40085,1,100,'Inflicts 277 - 832 melee damage on target',0,0),
(38006,40085,1,100,'Stifles target',0,1),
(38007,40085,1,100,'If Target is not Epic',1,2),
(38008,40085,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(38009,40085,4,100,'Inflicts 339 - 1017 melee damage on target',0,0),
(38010,40085,4,100,'Stifles target',0,1),
(38011,40085,4,100,'If Target is not Epic',1,2),
(38012,40085,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(38013,40085,5,100,'Inflicts 369 - 1109 melee damage on target',0,0),
(38014,40085,5,100,'Stifles target',0,1),
(38015,40085,5,100,'If Target is not Epic',1,2),
(38016,40085,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(38017,40085,7,100,'Inflicts 474 - 1423 melee damage on target',0,0),
(38018,40085,7,100,'Stifles target',0,1),
(38019,40085,7,100,'If Target is not Epic',1,2),
(38020,40085,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(38021,40085,9,100,'Inflicts 493 - 1479 melee damage on target',0,0),
(38022,40085,9,100,'Stifles target',0,1),
(38023,40085,9,100,'If Target is not Epic',1,2),
(38024,40085,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(38025,2000076,9,100,'Reduces the confidence level of some raid level NPC''s.',0,0),
(38026,2000076,9,100,'Cannot be modified except by direct means',0,1),
(38027,2000077,1,100,'On death this spell will cast Den Mother''s Intervention on target.  Lasts for 10.0 seconds.  ',0,0),
(38028,2000077,1,100,'Reduces all damage done to target by 50%',1,1),
(38029,2000077,1,100,'Heals target for 100.0% of max health',1,2),
(38030,2000077,1,100,'This effect cannot be critically applied.',2,3),
(38031,2000077,1,100,'Cannot be modified except by direct means',1,4),
(38032,340079,1,100,'Inflicts 181 - 302 melee damage on target',0,0),
(38033,340079,1,100,'Decreases Defense of target by 11.9',0,1),
(38034,340079,1,100,'Decreases Defense of caster by 13.2',0,2),
(38035,340079,2,100,'Inflicts 191 - 319 melee damage on target',0,0),
(38036,340079,2,100,'Decreases Defense of target by 12.5',0,1),
(38037,340079,2,100,'Decreases Defense of caster by 13.2',0,2),
(38038,340079,3,100,'Inflicts 201 - 336 melee damage on target',0,0),
(38039,340079,3,100,'Decreases Defense of target by 13.2',0,1),
(38040,340079,3,100,'Decreases Defense of caster by 13.2',0,2),
(38041,340079,4,100,'Inflicts 222 - 370 melee damage on target',0,0),
(38042,340079,4,100,'Decreases Defense of target by 14.5',0,1),
(38043,340079,4,100,'Decreases Defense of caster by 13.2',0,2),
(38044,340079,5,100,'Inflicts 242 - 403 melee damage on target',0,0),
(38045,340079,5,100,'Decreases Defense of target by 15.8',0,1),
(38046,340079,5,100,'Decreases Defense of caster by 13.2',0,2),
(38047,340079,7,100,'Inflicts 310 - 518 melee damage on target',0,0),
(38048,340079,7,100,'Decreases Defense of target by 20.3',0,1),
(38049,340079,7,100,'Decreases Defense of caster by 13.2',0,2),
(38050,340079,9,100,'Inflicts 322 - 538 melee damage on target',0,0),
(38051,340079,9,100,'Decreases Defense of target by 21.1',0,1),
(38052,340079,9,100,'Decreases Defense of caster by 13.2',0,2),
(38053,340080,1,100,'Inflicts 257 - 428 melee damage on target',0,0),
(38054,340080,1,100,'Decreases Defense of target by 15.7',0,1),
(38055,340080,1,100,'Decreases Defense of caster by 17.4',0,2),
(38056,340080,2,100,'Inflicts 271 - 452 melee damage on target',0,0),
(38057,340080,2,100,'Decreases Defense of target by 16.5',0,1),
(38058,340080,2,100,'Decreases Defense of caster by 17.4',0,2),
(38059,340080,3,100,'Inflicts 285 - 476 melee damage on target',0,0),
(38060,340080,3,100,'Decreases Defense of target by 17.4',0,1),
(38061,340080,3,100,'Decreases Defense of caster by 17.4',0,2),
(38062,340080,4,100,'Inflicts 314 - 524 melee damage on target',0,0),
(38063,340080,4,100,'Decreases Defense of target by 19.1',0,1),
(38064,340080,4,100,'Decreases Defense of caster by 17.4',0,2),
(38065,340080,5,100,'Inflicts 343 - 571 melee damage on target',0,0),
(38066,340080,5,100,'Decreases Defense of target by 20.9',0,1),
(38067,340080,5,100,'Decreases Defense of caster by 17.4',0,2),
(38068,340080,7,100,'Inflicts 440 - 734 melee damage on target',0,0),
(38069,340080,7,100,'Decreases Defense of target by 26.8',0,1),
(38070,340080,7,100,'Decreases Defense of caster by 17.4',0,2),
(38071,340080,9,100,'Inflicts 457 - 762 melee damage on target',0,0),
(38072,340080,9,100,'Decreases Defense of target by 27.8',0,1),
(38073,340080,9,100,'Decreases Defense of caster by 17.4',0,2),
(38074,340081,1,100,'Inflicts 335 - 559 melee damage on target',0,0),
(38075,340081,1,100,'Decreases Defense of target by 19.6',0,1),
(38076,340081,1,100,'Decreases Defense of caster by 21.8',0,2),
(38077,340081,2,100,'Inflicts 354 - 591 melee damage on target',0,0),
(38078,340081,2,100,'Decreases Defense of target by 20.7',0,1),
(38079,340081,2,100,'Decreases Defense of caster by 21.8',0,2),
(38080,340081,3,100,'Inflicts 373 - 622 melee damage on target',0,0),
(38081,340081,3,100,'Decreases Defense of target by 21.8',0,1),
(38082,340081,3,100,'Decreases Defense of caster by 21.8',0,2),
(38083,340081,4,100,'Inflicts 410 - 684 melee damage on target',0,0),
(38084,340081,4,100,'Decreases Defense of target by 24.0',0,1),
(38085,340081,4,100,'Decreases Defense of caster by 21.8',0,2),
(38086,340081,5,100,'Inflicts 447 - 746 melee damage on target',0,0),
(38087,340081,5,100,'Decreases Defense of target by 26.2',0,1),
(38088,340081,5,100,'Decreases Defense of caster by 21.8',0,2),
(38089,340081,7,100,'Inflicts 574 - 958 melee damage on target',0,0),
(38090,340081,7,100,'Decreases Defense of target by 33.6',0,1),
(38091,340081,7,100,'Decreases Defense of caster by 21.8',0,2),
(38092,340081,9,100,'Inflicts 597 - 995 melee damage on target',0,0),
(38093,340081,9,100,'Decreases Defense of target by 34.9',0,1),
(38094,340081,9,100,'Decreases Defense of caster by 21.8',0,2),
(38095,340081,10,100,'Inflicts 627 - 1045 melee damage on target',0,0),
(38096,340081,10,100,'Decreases Defense of target by 36.6',0,1),
(38097,340081,10,100,'Decreases Defense of caster by 21.8',0,2),
(38098,340082,1,100,'Inflicts 406 - 677 melee damage on target',0,0),
(38099,340082,1,100,'Decreases Defense of target by 23.2',0,1),
(38100,340082,1,100,'Decreases Defense of caster by 25.8',0,2),
(38101,340082,4,100,'Inflicts 497 - 828 melee damage on target',0,0),
(38102,340082,4,100,'Decreases Defense of target by 28.4',0,1),
(38103,340082,4,100,'Decreases Defense of caster by 25.8',0,2),
(38104,340082,5,100,'Inflicts 542 - 903 melee damage on target',0,0),
(38105,340082,5,100,'Decreases Defense of target by 31.0',0,1),
(38106,340082,5,100,'Decreases Defense of caster by 25.8',0,2),
(38107,340082,7,100,'Inflicts 695 - 1159 melee damage on target',0,0),
(38108,340082,7,100,'Decreases Defense of target by 39.7',0,1),
(38109,340082,7,100,'Decreases Defense of caster by 25.8',0,2),
(38110,340082,9,100,'Inflicts 722 - 1204 melee damage on target',0,0),
(38111,340082,9,100,'Decreases Defense of target by 41.3',0,1),
(38112,340082,9,100,'Decreases Defense of caster by 25.8',0,2),
(38113,340083,1,100,'Inflicts 475 - 793 melee damage on target',0,0),
(38114,340083,1,100,'Decreases Defense of target by 26.8',0,1),
(38115,340083,1,100,'Decreases Defense of caster by 29.8',0,2),
(38116,340083,4,100,'Inflicts 581 - 969 melee damage on target',0,0),
(38117,340083,4,100,'Decreases Defense of target by 32.8',0,1),
(38118,340083,4,100,'Decreases Defense of caster by 29.8',0,2),
(38119,340083,5,100,'Inflicts 634 - 1057 melee damage on target',0,0),
(38120,340083,5,100,'Decreases Defense of target by 35.8',0,1),
(38121,340083,5,100,'Decreases Defense of caster by 29.8',0,2),
(38122,340083,7,100,'Inflicts 814 - 1357 melee damage on target',0,0),
(38123,340083,7,100,'Decreases Defense of target by 45.9',0,1),
(38124,340083,7,100,'Decreases Defense of caster by 29.8',0,2),
(38125,340083,9,100,'Inflicts 845 - 1409 melee damage on target',0,0),
(38126,340083,9,100,'Decreases Defense of target by 47.7',0,1),
(38127,340083,9,100,'Decreases Defense of caster by 29.8',0,2),
(38128,40086,1,100,'Increases DPS of raid and group members (AE) by 3.3',0,0),
(38129,40086,2,100,'Increases DPS of raid and group members (AE) by 3.4',0,0),
(38130,40086,3,100,'Increases DPS of raid and group members (AE) by 3.6',0,0),
(38131,40086,4,100,'Increases DPS of raid and group members (AE) by 4.0',0,0),
(38132,40086,5,100,'Increases DPS of raid and group members (AE) by 4.4',0,0),
(38133,40086,7,100,'Increases DPS of raid and group members (AE) by 5.6',0,0),
(38134,40086,9,100,'Increases DPS of raid and group members (AE) by 5.8',0,0),
(38135,40087,1,100,'Increases DPS of raid and group members (AE) by 4.1',0,0),
(38136,40087,2,100,'Increases DPS of raid and group members (AE) by 4.3',0,0),
(38137,40087,3,100,'Increases DPS of raid and group members (AE) by 4.6',0,0),
(38138,40087,4,100,'Increases DPS of raid and group members (AE) by 5.0',0,0),
(38139,40087,5,100,'Increases DPS of raid and group members (AE) by 5.5',0,0),
(38140,40087,7,100,'Increases DPS of raid and group members (AE) by 7.0',0,0),
(38141,40087,9,100,'Increases DPS of raid and group members (AE) by 7.3',0,0),
(38142,40087,10,100,'Increases DPS of raid and group members (AE) by 7.7',0,0),
(38143,40088,1,100,'Increases DPS of raid and group members (AE) by 5.3',0,0),
(38144,40088,2,100,'Increases DPS of raid and group members (AE) by 5.6',0,0),
(38145,40088,3,100,'Increases DPS of raid and group members (AE) by 5.9',0,0),
(38146,40088,4,100,'Increases DPS of raid and group members (AE) by 6.5',0,0),
(38147,40088,5,100,'Increases DPS of raid and group members (AE) by 7.1',0,0),
(38148,40088,7,100,'Increases DPS of raid and group members (AE) by 9.0',0,0),
(38149,40088,9,100,'Increases DPS of raid and group members (AE) by 9.4',0,0),
(38150,40089,1,100,'Increases DPS of raid and group members (AE) by 6.9',0,0),
(38151,40089,2,100,'Increases DPS of raid and group members (AE) by 7.2',0,0),
(38152,40089,3,100,'Increases DPS of raid and group members (AE) by 7.6',0,0),
(38153,40089,4,100,'Increases DPS of raid and group members (AE) by 8.4',0,0),
(38154,40089,5,100,'Increases DPS of raid and group members (AE) by 9.2',0,0),
(38155,40089,7,100,'Increases DPS of raid and group members (AE) by 11.7',0,0),
(38156,40089,9,100,'Increases DPS of raid and group members (AE) by 12.2',0,0),
(38157,40089,10,100,'Increases DPS of raid and group members (AE) by 12.8',0,0),
(38158,40090,1,100,'Increases DPS of raid and group members (AE) by 9.9',0,0),
(38159,40090,2,100,'Increases DPS of raid and group members (AE) by 10.4',0,0),
(38160,40090,3,100,'Increases DPS of raid and group members (AE) by 11.0',0,0),
(38161,40090,4,100,'Increases DPS of raid and group members (AE) by 12.0',0,0),
(38162,40090,5,100,'Increases DPS of raid and group members (AE) by 13.1',0,0),
(38163,40090,7,100,'Increases DPS of raid and group members (AE) by 16.9',0,0),
(38164,40090,9,100,'Increases DPS of raid and group members (AE) by 17.5',0,0),
(38165,40091,1,100,'Increases DPS of raid and group members (AE) by 11.2',0,0),
(38166,40091,4,100,'Increases DPS of raid and group members (AE) by 13.7',0,0),
(38167,40091,5,100,'Increases DPS of raid and group members (AE) by 14.9',0,0),
(38168,40091,7,100,'Increases DPS of raid and group members (AE) by 19.2',0,0),
(38169,40091,9,100,'Increases DPS of raid and group members (AE) by 19.9',0,0),
(38171,40092,1,100,'Increases DPS of raid and group members (AE) by 13.4',0,0),
(38172,40092,4,100,'Increases DPS of raid and group members (AE) by 16.4',0,0),
(38173,40092,5,100,'Increases DPS of raid and group members (AE) by 17.9',0,0),
(38174,40092,7,100,'Increases DPS of raid and group members (AE) by 22.9',0,0),
(38175,40092,9,100,'Increases DPS of raid and group members (AE) by 23.8',0,0),
(38177,50001,1,100,'Inflicts 519 - 865 melee damage on target',0,0),
(38178,50001,1,100,'Inflicts 100.0% of max health in crushing damage on target',0,1),
(38179,50001,1,100,'If Target is Standard or weaker',1,2),
(38180,50001,2,100,'Inflicts 547 - 913 melee damage on target',0,0),
(38181,50001,2,100,'Inflicts 100.0% of max health in crushing damage on target',0,1),
(38182,50001,2,100,'If Target is Standard or weaker',1,2),
(38183,50001,4,100,'Inflicts 634 - 1057 melee damage on target',0,0),
(38184,50001,4,100,'Inflicts 100.0% of max health in crushing damage on target',0,1),
(38185,50001,4,100,'If Target is Standard or weaker',1,2),
(38186,50001,5,100,'Inflicts 692 - 1153 melee damage on target',0,0),
(38187,50001,5,100,'Inflicts 100.0% of max health in crushing damage on target',0,1),
(38188,50001,5,100,'If Target is Standard or weaker',1,2),
(38189,50001,7,100,'Inflicts 888 - 1480 melee damage on target',0,0),
(38190,50001,7,100,'Inflicts 100.0% of max health in crushing damage on target',0,1),
(38191,50001,7,100,'If Target is Standard or weaker',1,2),
(38192,50001,9,100,'Inflicts 922 - 1537 melee damage on target',0,0),
(38193,50001,9,100,'Inflicts 100.0% of max health in crushing damage on target',0,1),
(38194,50001,9,100,'If Target is Standard or weaker',1,2),
(38195,50002,1,100,'Inflicts 782 - 1304 melee damage on target',0,0),
(38196,50002,1,100,'Inflicts 100.0% of max health in crushing damage on target',0,1),
(38197,50002,1,100,'If Target is Standard or weaker',1,2),
(38198,50002,2,100,'Inflicts 826 - 1377 melee damage on target',0,0),
(38199,50002,2,100,'Inflicts 100.0% of max health in crushing damage on target',0,1),
(38200,50002,2,100,'If Target is Standard or weaker',1,2),
(38201,50002,4,100,'Inflicts 956 - 1594 melee damage on target',0,0),
(38202,50002,4,100,'Inflicts 100.0% of max health in crushing damage on target',0,1),
(38203,50002,4,100,'If Target is Standard or weaker',1,2),
(38204,50002,5,100,'Inflicts 1043 - 1739 melee damage on target',0,0),
(38205,50002,5,100,'Inflicts 100.0% of max health in crushing damage on target',0,1),
(38206,50002,5,100,'If Target is Standard or weaker',1,2),
(38207,50002,7,100,'Inflicts 1339 - 2232 melee damage on target',0,0),
(38208,50002,7,100,'Inflicts 100.0% of max health in crushing damage on target',0,1),
(38209,50002,7,100,'If Target is Standard or weaker',1,2),
(38210,50002,9,100,'Inflicts 1391 - 2319 melee damage on target',0,0),
(38211,50002,9,100,'Inflicts 100.0% of max health in crushing damage on target',0,1),
(38212,50002,9,100,'If Target is Standard or weaker',1,2),
(38213,50003,1,100,'Inflicts 1066 - 1777 melee damage on target',0,0),
(38214,50003,1,100,'Inflicts 100.0% of max health in crushing damage on target',0,1),
(38215,50003,1,100,'If Target is Standard or weaker',1,2),
(38216,50003,2,100,'Inflicts 1125 - 1876 melee damage on target',0,0),
(38217,50003,2,100,'Inflicts 100.0% of max health in crushing damage on target',0,1),
(38218,50003,2,100,'If Target is Standard or weaker',1,2),
(38219,50003,4,100,'Inflicts 1303 - 2172 melee damage on target',0,0),
(38220,50003,4,100,'Inflicts 100.0% of max health in crushing damage on target',0,1),
(38221,50003,4,100,'If Target is Standard or weaker',1,2),
(38222,50003,5,100,'Inflicts 1422 - 2370 melee damage on target',0,0),
(38223,50003,5,100,'Inflicts 100.0% of max health in crushing damage on target',0,1),
(38224,50003,5,100,'If Target is Standard or weaker',1,2),
(38225,50003,7,100,'Inflicts 1825 - 3041 melee damage on target',0,0),
(38226,50003,7,100,'Inflicts 100.0% of max health in crushing damage on target',0,1),
(38227,50003,7,100,'If Target is Standard or weaker',1,2),
(38228,50003,9,100,'Inflicts 1896 - 3160 melee damage on target',0,0),
(38229,50003,9,100,'Inflicts 100.0% of max health in crushing damage on target',0,1),
(38230,50003,9,100,'If Target is Standard or weaker',1,2),
(38231,50004,1,100,'Inflicts 1285 - 2142 melee damage on target',0,0),
(38232,50004,1,100,'Inflicts 100.0% of max health in crushing damage on target',0,1),
(38233,50004,1,100,'If Target is Standard or weaker',1,2),
(38234,50004,2,100,'Inflicts 1357 - 2261 melee damage on target',0,0),
(38235,50004,2,100,'Inflicts 100.0% of max health in crushing damage on target',0,1),
(38236,50004,2,100,'If Target is Standard or weaker',1,2),
(38237,50004,4,100,'Inflicts 1571 - 2618 melee damage on target',0,0),
(38238,50004,4,100,'Inflicts 100.0% of max health in crushing damage on target',0,1),
(38239,50004,4,100,'If Target is Standard or weaker',1,2),
(38240,50004,5,100,'Inflicts 1714 - 2856 melee damage on target',0,0),
(38241,50004,5,100,'Inflicts 100.0% of max health in crushing damage on target',0,1),
(38242,50004,5,100,'If Target is Standard or weaker',1,2),
(38243,50004,7,100,'Inflicts 2199 - 3666 melee damage on target',0,0),
(38244,50004,7,100,'Inflicts 100.0% of max health in crushing damage on target',0,1),
(38245,50004,7,100,'If Target is Standard or weaker',1,2),
(38246,50004,9,100,'Inflicts 2285 - 3809 melee damage on target',0,0),
(38247,50004,9,100,'Inflicts 100.0% of max health in crushing damage on target',0,1),
(38248,50004,9,100,'If Target is Standard or weaker',1,2),
(38249,50005,1,100,'Inflicts 1554 - 2591 melee damage on target',0,0),
(38250,50005,1,100,'Inflicts 100.0% of max health in crushing damage on target',0,1),
(38251,50005,1,100,'If Target is Standard or weaker',1,2),
(38252,50005,4,100,'Inflicts 1900 - 3167 melee damage on target',0,0),
(38253,50005,4,100,'Inflicts 100.0% of max health in crushing damage on target',0,1),
(38254,50005,4,100,'If Target is Standard or weaker',1,2),
(38255,50005,5,100,'Inflicts 2073 - 3455 melee damage on target',0,0),
(38256,50005,5,100,'Inflicts 100.0% of max health in crushing damage on target',0,1),
(38257,50005,5,100,'If Target is Standard or weaker',1,2),
(38258,50005,7,100,'Inflicts 2660 - 4433 melee damage on target',0,0),
(38259,50005,7,100,'Inflicts 100.0% of max health in crushing damage on target',0,1),
(38260,50005,7,100,'If Target is Standard or weaker',1,2),
(38261,50005,9,100,'Inflicts 2764 - 4606 melee damage on target',0,0),
(38262,50005,9,100,'Inflicts 100.0% of max health in crushing damage on target',0,1),
(38263,50005,9,100,'If Target is Standard or weaker',1,2),
(38264,50006,1,100,'Inflicts 1795 - 2992 melee damage on target',0,0),
(38265,50006,1,100,'Inflicts 100.0% of max health in crushing damage on target',0,1),
(38266,50006,1,100,'If Target is Standard or weaker',1,2),
(38267,50006,4,100,'Inflicts 2194 - 3657 melee damage on target',0,0),
(38268,50006,4,100,'Inflicts 100.0% of max health in crushing damage on target',0,1),
(38269,50006,4,100,'If Target is Standard or weaker',1,2),
(38270,50006,5,100,'Inflicts 2393 - 3989 melee damage on target',0,0),
(38271,50006,5,100,'Inflicts 100.0% of max health in crushing damage on target',0,1),
(38272,50006,5,100,'If Target is Standard or weaker',1,2),
(38273,50006,7,100,'Inflicts 3071 - 5119 melee damage on target',0,0),
(38274,50006,7,100,'Inflicts 100.0% of max health in crushing damage on target',0,1),
(38275,50006,7,100,'If Target is Standard or weaker',1,2),
(38276,50006,9,100,'Inflicts 3191 - 5319 melee damage on target',0,0),
(38277,50006,9,100,'Inflicts 100.0% of max health in crushing damage on target',0,1),
(38278,50006,9,100,'If Target is Standard or weaker',1,2),
(38279,330029,1,100,'Inflicts 127 - 155 melee damage on target',0,0),
(38280,330029,1,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(38281,330029,1,100,'Increases Hate Gain of target by 30.0%',1,2),
(38282,330029,1,100,'Grants a total of 1 trigger of the spell.',1,3),
(38283,330029,2,100,'Inflicts 134 - 164 melee damage on target',0,0),
(38284,330029,2,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(38285,330029,2,100,'Increases Hate Gain of target by 30.0%',1,2),
(38286,330029,2,100,'Grants a total of 1 trigger of the spell.',1,3),
(38287,330029,3,100,'Inflicts 141 - 173 melee damage on target',0,0),
(38288,330029,3,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(38289,330029,3,100,'Increases Hate Gain of target by 30.0%',1,2),
(38290,330029,3,100,'Grants a total of 1 trigger of the spell.',1,3),
(38291,330029,4,100,'Inflicts 155 - 190 melee damage on target',0,0),
(38292,330029,4,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(38293,330029,4,100,'Increases Hate Gain of target by 30.0%',1,2),
(38294,330029,4,100,'Grants a total of 1 trigger of the spell.',1,3),
(38295,330029,5,100,'Inflicts 169 - 207 melee damage on target',0,0),
(38296,330029,5,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(38297,330029,5,100,'Increases Hate Gain of target by 30.0%',1,2),
(38298,330029,5,100,'Grants a total of 1 trigger of the spell.',1,3),
(38299,330029,7,100,'Inflicts 218 - 266 melee damage on target',0,0),
(38300,330029,7,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(38301,330029,7,100,'Increases Hate Gain of target by 30.0%',1,2),
(38302,330029,7,100,'Grants a total of 1 trigger of the spell.',1,3),
(38303,330029,9,100,'Inflicts 226 - 276 melee damage on target',0,0),
(38304,330029,9,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(38305,330029,9,100,'Increases Hate Gain of target by 30.0%',1,2),
(38306,330029,9,100,'Grants a total of 1 trigger of the spell.',1,3),
(38307,330030,1,100,'Inflicts 198 - 242 melee damage on target',0,0),
(38308,330030,1,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(38309,330030,1,100,'Increases Hate Gain of target by 30.0%',1,2),
(38310,330030,1,100,'Grants a total of 1 trigger of the spell.',1,3),
(38311,330030,2,100,'Inflicts 209 - 255 melee damage on target',0,0),
(38312,330030,2,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(38313,330030,2,100,'Increases Hate Gain of target by 30.0%',1,2),
(38314,330030,2,100,'Grants a total of 1 trigger of the spell.',1,3),
(38315,330030,3,100,'Inflicts 220 - 269 melee damage on target',0,0),
(38316,330030,3,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(38317,330030,3,100,'Increases Hate Gain of target by 30.0%',1,2),
(38318,330030,3,100,'Grants a total of 1 trigger of the spell.',1,3),
(38319,330030,4,100,'Inflicts 242 - 296 melee damage on target',0,0),
(38320,330030,4,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(38321,330030,4,100,'Increases Hate Gain of target by 30.0%',1,2),
(38322,330030,4,100,'Grants a total of 1 trigger of the spell.',1,3),
(38323,330030,5,100,'Inflicts 264 - 323 melee damage on target',0,0),
(38324,330030,5,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(38325,330030,5,100,'Increases Hate Gain of target by 30.0%',1,2),
(38326,330030,5,100,'Grants a total of 1 trigger of the spell.',1,3),
(38327,330030,7,100,'Inflicts 339 - 414 melee damage on target',0,0),
(38328,330030,7,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(38329,330030,7,100,'Increases Hate Gain of target by 30.0%',1,2),
(38330,330030,7,100,'Grants a total of 1 trigger of the spell.',1,3),
(38331,330030,9,100,'Inflicts 352 - 430 melee damage on target',0,0),
(38332,330030,9,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(38333,330030,9,100,'Increases Hate Gain of target by 30.0%',1,2),
(38334,330030,9,100,'Grants a total of 1 trigger of the spell.',1,3),
(38335,330031,1,100,'Inflicts 280 - 343 melee damage on target',0,0),
(38336,330031,1,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(38337,330031,1,100,'Increases Hate Gain of target by 30.0%',1,2),
(38338,330031,1,100,'Grants a total of 1 trigger of the spell.',1,3),
(38339,330031,2,100,'Inflicts 296 - 362 melee damage on target',0,0),
(38340,330031,2,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(38341,330031,2,100,'Increases Hate Gain of target by 30.0%',1,2),
(38342,330031,2,100,'Grants a total of 1 trigger of the spell.',1,3),
(38343,330031,3,100,'Inflicts 312 - 381 melee damage on target',0,0),
(38344,330031,3,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(38345,330031,3,100,'Increases Hate Gain of target by 30.0%',1,2),
(38346,330031,3,100,'Grants a total of 1 trigger of the spell.',1,3),
(38347,330031,4,100,'Inflicts 343 - 419 melee damage on target',0,0),
(38348,330031,4,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(38349,330031,4,100,'Increases Hate Gain of target by 30.0%',1,2),
(38350,330031,4,100,'Grants a total of 1 trigger of the spell.',1,3),
(38351,330031,5,100,'Inflicts 374 - 457 melee damage on target',0,0),
(38352,330031,5,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(38353,330031,5,100,'Increases Hate Gain of target by 30.0%',1,2),
(38354,330031,5,100,'Grants a total of 1 trigger of the spell.',1,3),
(38355,330031,7,100,'Inflicts 480 - 587 melee damage on target',0,0),
(38356,330031,7,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(38357,330031,7,100,'Increases Hate Gain of target by 30.0%',1,2),
(38358,330031,7,100,'Grants a total of 1 trigger of the spell.',1,3),
(38359,330031,9,100,'Inflicts 499 - 610 melee damage on target',0,0),
(38360,330031,9,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(38361,330031,9,100,'Increases Hate Gain of target by 30.0%',1,2),
(38362,330031,9,100,'Grants a total of 1 trigger of the spell.',1,3),
(38363,330032,1,100,'Inflicts 366 - 448 melee damage on target',0,0),
(38364,330032,1,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(38365,330032,1,100,'Increases Hate Gain of target by 30.0%',1,2),
(38366,330032,1,100,'Grants a total of 1 trigger of the spell.',1,3),
(38367,330032,2,100,'Inflicts 387 - 473 melee damage on target',0,0),
(38368,330032,2,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(38369,330032,2,100,'Increases Hate Gain of target by 30.0%',1,2),
(38370,330032,2,100,'Grants a total of 1 trigger of the spell.',1,3),
(38371,330032,3,100,'Inflicts 407 - 497 melee damage on target',0,0),
(38372,330032,3,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(38373,330032,3,100,'Increases Hate Gain of target by 30.0%',1,2),
(38374,330032,3,100,'Grants a total of 1 trigger of the spell.',1,3),
(38375,330032,4,100,'Inflicts 448 - 547 melee damage on target',0,0),
(38376,330032,4,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(38377,330032,4,100,'Increases Hate Gain of target by 30.0%',1,2),
(38378,330032,4,100,'Grants a total of 1 trigger of the spell.',1,3),
(38379,330032,5,100,'Inflicts 488 - 597 melee damage on target',0,0),
(38380,330032,5,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(38381,330032,5,100,'Increases Hate Gain of target by 30.0%',1,2),
(38382,330032,5,100,'Grants a total of 1 trigger of the spell.',1,3),
(38383,330032,7,100,'Inflicts 627 - 766 melee damage on target',0,0),
(38384,330032,7,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(38385,330032,7,100,'Increases Hate Gain of target by 30.0%',1,2),
(38386,330032,7,100,'Grants a total of 1 trigger of the spell.',1,3),
(38387,330032,9,100,'Inflicts 651 - 796 melee damage on target',0,0),
(38388,330032,9,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(38389,330032,9,100,'Increases Hate Gain of target by 30.0%',1,2),
(38390,330032,9,100,'Grants a total of 1 trigger of the spell.',1,3),
(38391,330032,10,100,'Inflicts 684 - 836 melee damage on target',0,0),
(38392,330032,10,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(38393,330032,10,100,'Increases Hate Gain of target by 30.0%',1,2),
(38394,330032,10,100,'Grants a total of 1 trigger of the spell.',1,3),
(38395,330033,1,100,'Inflicts 443 - 542 melee damage on target',0,0),
(38396,330033,1,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(38397,330033,1,100,'Increases Hate Gain of target by 30.0%',1,2),
(38398,330033,1,100,'Grants a total of 1 trigger of the spell.',1,3),
(38399,330033,4,100,'Inflicts 542 - 662 melee damage on target',0,0),
(38400,330033,4,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(38401,330033,4,100,'Increases Hate Gain of target by 30.0%',1,2),
(38402,330033,4,100,'Grants a total of 1 trigger of the spell.',1,3),
(38403,330033,5,100,'Inflicts 591 - 723 melee damage on target',0,0),
(38404,330033,5,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(38405,330033,5,100,'Increases Hate Gain of target by 30.0%',1,2),
(38406,330033,5,100,'Grants a total of 1 trigger of the spell.',1,3),
(38407,330033,7,100,'Inflicts 759 - 928 melee damage on target',0,0),
(38408,330033,7,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(38409,330033,7,100,'Increases Hate Gain of target by 30.0%',1,2),
(38410,330033,7,100,'Grants a total of 1 trigger of the spell.',1,3),
(38411,330033,9,100,'Inflicts 788 - 964 melee damage on target',0,0),
(38412,330033,9,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(38413,330033,9,100,'Increases Hate Gain of target by 30.0%',1,2),
(38414,330033,9,100,'Grants a total of 1 trigger of the spell.',1,3),
(38415,330034,1,100,'Inflicts 519 - 634 melee damage on target',0,0),
(38416,330034,1,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(38417,330034,1,100,'Increases Hate Gain of target by 30.0%',1,2),
(38418,330034,1,100,'Grants a total of 1 trigger of the spell.',1,3),
(38419,330034,4,100,'Inflicts 634 - 775 melee damage on target',0,0),
(38420,330034,4,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(38421,330034,4,100,'Increases Hate Gain of target by 30.0%',1,2),
(38422,330034,4,100,'Grants a total of 1 trigger of the spell.',1,3),
(38423,330034,5,100,'Inflicts 692 - 846 melee damage on target',0,0),
(38424,330034,5,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(38425,330034,5,100,'Increases Hate Gain of target by 30.0%',1,2),
(38426,330034,5,100,'Grants a total of 1 trigger of the spell.',1,3),
(38427,330034,7,100,'Inflicts 888 - 1086 melee damage on target',0,0),
(38428,330034,7,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(38429,330034,7,100,'Increases Hate Gain of target by 30.0%',1,2),
(38430,330034,7,100,'Grants a total of 1 trigger of the spell.',1,3),
(38431,330034,9,100,'Inflicts 923 - 1128 melee damage on target',0,0),
(38432,330034,9,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(38433,330034,9,100,'Increases Hate Gain of target by 30.0%',1,2),
(38434,330034,9,100,'Grants a total of 1 trigger of the spell.',1,3),
(38435,90024,1,100,'Grants target a 13% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(38436,90024,1,100,'Increases Parry of caster by 2.8',0,1),
(38437,90024,2,100,'Grants target a 14% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(38438,90024,2,100,'Increases Parry of caster by 3.0',0,1),
(38439,90024,3,100,'Grants target a 15% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(38440,90024,3,100,'Increases Parry of caster by 3.2',0,1),
(38441,90024,4,100,'Grants target a 17% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(38442,90024,4,100,'Increases Parry of caster by 3.5',0,1),
(38443,90024,5,100,'Grants target a 18% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(38444,90024,5,100,'Increases Parry of caster by 3.8',0,1),
(38445,90024,7,100,'Grants target a 23% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(38446,90024,7,100,'Increases Parry of caster by 4.9',0,1),
(38447,90024,9,100,'Grants target a 24% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(38448,90024,9,100,'Increases Parry of caster by 5.0',0,1),
(38449,90025,1,100,'Grants target a 18% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(38450,90025,1,100,'Increases Parry of caster by 4.3',0,1),
(38451,90025,2,100,'Grants target a 19% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(38452,90025,2,100,'Increases Parry of caster by 4.6',0,1),
(38453,90025,3,100,'Grants target a 21% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(38454,90025,3,100,'Increases Parry of caster by 4.8',0,1),
(38455,90025,4,100,'Grants target a 23% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(38456,90025,4,100,'Increases Parry of caster by 5.3',0,1),
(38457,90025,5,100,'Grants target a 25% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(38458,90025,5,100,'Increases Parry of caster by 5.8',0,1),
(38459,90025,7,100,'Grants target a 32% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(38460,90025,7,100,'Increases Parry of caster by 7.4',0,1),
(38461,90025,9,100,'Grants target a 33% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(38462,90025,9,100,'Increases Parry of caster by 7.7',0,1),
(38463,90025,10,100,'Grants target a 35% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(38464,90025,10,100,'Increases Parry of caster by 8.1',0,1),
(38465,90026,1,100,'Grants target a 25% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(38466,90026,1,100,'Increases Parry of caster by 6.2',0,1),
(38467,90026,2,100,'Grants target a 26% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(38468,90026,2,100,'Increases Parry of caster by 6.6',0,1),
(38469,90026,3,100,'Grants target a 28% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(38470,90026,3,100,'Increases Parry of caster by 6.9',0,1),
(38471,90026,4,100,'Grants target a 30% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(38472,90026,4,100,'Increases Parry of caster by 7.6',0,1),
(38473,90026,5,100,'Grants target a 33% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(38474,90026,5,100,'Increases Parry of caster by 8.3',0,1),
(38475,90026,7,100,'Grants target a 43% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(38476,90026,7,100,'Increases Parry of caster by 10.6',0,1),
(38477,90026,9,100,'Grants target a 44% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(38478,90026,9,100,'Increases Parry of caster by 11.0',0,1),
(38479,90027,1,100,'Grants target a 30% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(38480,90027,1,100,'Increases Parry of caster by 8.1',0,1),
(38481,90027,2,100,'Grants target a 32% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(38482,90027,2,100,'Increases Parry of caster by 8.6',0,1),
(38483,90027,3,100,'Grants target a 34% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(38484,90027,3,100,'Increases Parry of caster by 9.0',0,1),
(38485,90027,4,100,'Grants target a 37% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(38486,90027,4,100,'Increases Parry of caster by 9.9',0,1),
(38487,90027,5,100,'Grants target a 40% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(38488,90027,5,100,'Increases Parry of caster by 10.8',0,1),
(38489,90027,7,100,'Grants target a 52% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(38490,90027,7,100,'Increases Parry of caster by 13.9',0,1),
(38491,90027,9,100,'Grants target a 54% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(38492,90027,9,100,'Increases Parry of caster by 14.4',0,1),
(38493,2000078,3,100,'Inflicts 2 - 3 crushing damage on target',0,0),
(38494,2000078,3,100,'Inflicts 3 - 5 crushing damage on target',0,1),
(38495,2000078,4,100,'Inflicts 2 - 4 crushing damage on target',0,0),
(38496,2000078,4,100,'Heals caster for 1 - 2',0,1),
(38497,2000078,5,100,'Inflicts 2 - 4 crushing damage on target',0,0),
(38498,2000078,5,100,'Heals caster for 1 - 2',0,1),
(38499,2000078,7,100,'Inflicts 3 - 5 crushing damage on target',0,0),
(38500,2000078,7,100,'Heals caster for 2 - 3',0,1),
(38501,2000078,9,100,'Inflicts 3 - 6 crushing damage on target',0,0),
(38502,2000078,9,100,'Heals caster for 2 - 3',0,1),
(38503,2000078,10,100,'Inflicts 3 - 6 crushing damage on target',0,0),
(38504,2000078,10,100,'Heals caster for 2 - 3',0,1),
(38505,310003,1,100,'Decreases Defense of target by 2.3',0,0),
(38506,310003,1,100,'If facing target',0,1),
(38507,310003,2,100,'Decreases Defense of target by 2.5',0,0),
(38508,310003,2,100,'If facing target',0,1),
(38509,310003,3,100,'Decreases Defense of target by 2.6',0,0),
(38510,310003,3,100,'If facing target',0,1),
(38511,310003,4,100,'Decreases Defense of target by 2.9',0,0),
(38512,310003,4,100,'If facing target',0,1),
(38513,310003,5,100,'Decreases Defense of target by 3.1',0,0),
(38514,310003,5,100,'If facing target',0,1),
(38515,310003,7,100,'Decreases Defense of target by 4.0',0,0),
(38516,310003,7,100,'If facing target',0,1),
(38517,310003,9,100,'Decreases Defense of target by 4.2',0,0),
(38518,310003,9,100,'If facing target',0,1),
(38519,330035,1,100,'Mesmerizes target',0,0),
(38520,330035,1,100,'Prevents AOE (except when direct) ',0,1),
(38521,330035,1,100,'Dispelled when target takes damage',0,2),
(38522,330035,1,100,'Does not affect Epic targets',0,3),
(38523,330035,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(38524,330035,2,100,'Mesmerizes target',0,0),
(38525,330035,2,100,'Prevents AOE (except when direct) ',0,1),
(38526,330035,2,100,'Dispelled when target takes damage',0,2),
(38527,330035,2,100,'Does not affect Epic targets',0,3),
(38528,330035,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(38529,330035,3,100,'Mesmerizes target',0,0),
(38530,330035,3,100,'Prevents AOE (except when direct) ',0,1),
(38531,330035,3,100,'Dispelled when target takes damage',0,2),
(38532,330035,3,100,'Does not affect Epic targets',0,3),
(38533,330035,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(38534,330035,4,100,'Mesmerizes target',0,0),
(38535,330035,4,100,'Prevents AOE (except when direct) ',0,1),
(38536,330035,4,100,'Dispelled when target takes damage',0,2),
(38537,330035,4,100,'Does not affect Epic targets',0,3),
(38538,330035,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(38539,330035,5,100,'Mesmerizes target',0,0),
(38540,330035,5,100,'Prevents AOE (except when direct) ',0,1),
(38541,330035,5,100,'Dispelled when target takes damage',0,2),
(38542,330035,5,100,'Does not affect Epic targets',0,3),
(38543,330035,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(38544,330035,7,100,'Mesmerizes target',0,0),
(38545,330035,7,100,'Prevents AOE (except when direct) ',0,1),
(38546,330035,7,100,'Dispelled when target takes damage',0,2),
(38547,330035,7,100,'Does not affect Epic targets',0,3),
(38548,330035,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(38549,330035,9,100,'Mesmerizes target',0,0),
(38550,330035,9,100,'Prevents AOE (except when direct) ',0,1),
(38551,330035,9,100,'Dispelled when target takes damage',0,2),
(38552,330035,9,100,'Does not affect Epic targets',0,3),
(38553,330035,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(38554,330036,1,100,'Mesmerizes target',0,0),
(38555,330036,1,100,'Prevents AOE (except when direct) ',0,1),
(38556,330036,1,100,'Dispelled when target takes damage',0,2),
(38557,330036,1,100,'Does not affect Epic targets',0,3),
(38558,330036,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(38559,330036,2,100,'Mesmerizes target',0,0),
(38560,330036,2,100,'Prevents AOE (except when direct) ',0,1),
(38561,330036,2,100,'Dispelled when target takes damage',0,2),
(38562,330036,2,100,'Does not affect Epic targets',0,3),
(38563,330036,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(38564,330036,3,100,'Mesmerizes target',0,0),
(38565,330036,3,100,'Prevents AOE (except when direct) ',0,1),
(38566,330036,3,100,'Dispelled when target takes damage',0,2),
(38567,330036,3,100,'Does not affect Epic targets',0,3),
(38568,330036,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(38569,330036,4,100,'Mesmerizes target',0,0),
(38570,330036,4,100,'Prevents AOE (except when direct) ',0,1),
(38571,330036,4,100,'Dispelled when target takes damage',0,2),
(38572,330036,4,100,'Does not affect Epic targets',0,3),
(38573,330036,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(38574,330036,5,100,'Mesmerizes target',0,0),
(38575,330036,5,100,'Prevents AOE (except when direct) ',0,1),
(38576,330036,5,100,'Dispelled when target takes damage',0,2),
(38577,330036,5,100,'Does not affect Epic targets',0,3),
(38578,330036,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(38579,330036,7,100,'Mesmerizes target',0,0),
(38580,330036,7,100,'Prevents AOE (except when direct) ',0,1),
(38581,330036,7,100,'Dispelled when target takes damage',0,2),
(38582,330036,7,100,'Does not affect Epic targets',0,3),
(38583,330036,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(38584,330036,9,100,'Mesmerizes target',0,0),
(38585,330036,9,100,'Prevents AOE (except when direct) ',0,1),
(38586,330036,9,100,'Dispelled when target takes damage',0,2),
(38587,330036,9,100,'Does not affect Epic targets',0,3),
(38588,330036,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(38589,330036,10,100,'Mesmerizes target',0,0),
(38590,330036,10,100,'Prevents AOE (except when direct) ',0,1),
(38591,330036,10,100,'Dispelled when target takes damage',0,2),
(38592,330036,10,100,'Does not affect Epic targets',0,3),
(38593,330036,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(38594,330037,1,100,'Mesmerizes target',0,0),
(38595,330037,1,100,'Prevents AOE (except when direct) ',0,1),
(38596,330037,1,100,'Dispelled when target takes damage',0,2),
(38597,330037,1,100,'Does not affect Epic targets',0,3),
(38598,330037,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(38599,330037,2,100,'Mesmerizes target',0,0),
(38600,330037,2,100,'Prevents AOE (except when direct) ',0,1),
(38601,330037,2,100,'Dispelled when target takes damage',0,2),
(38602,330037,2,100,'Does not affect Epic targets',0,3),
(38603,330037,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(38604,330037,3,100,'Mesmerizes target',0,0),
(38605,330037,3,100,'Prevents AOE (except when direct) ',0,1),
(38606,330037,3,100,'Dispelled when target takes damage',0,2),
(38607,330037,3,100,'Does not affect Epic targets',0,3),
(38608,330037,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(38609,330037,4,100,'Mesmerizes target',0,0),
(38610,330037,4,100,'Prevents AOE (except when direct) ',0,1),
(38611,330037,4,100,'Dispelled when target takes damage',0,2),
(38612,330037,4,100,'Does not affect Epic targets',0,3),
(38613,330037,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(38614,330037,5,100,'Mesmerizes target',0,0),
(38615,330037,5,100,'Prevents AOE (except when direct) ',0,1),
(38616,330037,5,100,'Dispelled when target takes damage',0,2),
(38617,330037,5,100,'Does not affect Epic targets',0,3),
(38618,330037,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(38619,330037,7,100,'Mesmerizes target',0,0),
(38620,330037,7,100,'Prevents AOE (except when direct) ',0,1),
(38621,330037,7,100,'Dispelled when target takes damage',0,2),
(38622,330037,7,100,'Does not affect Epic targets',0,3),
(38623,330037,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(38624,330037,9,100,'Mesmerizes target',0,0),
(38625,330037,9,100,'Prevents AOE (except when direct) ',0,1),
(38626,330037,9,100,'Dispelled when target takes damage',0,2),
(38627,330037,9,100,'Does not affect Epic targets',0,3),
(38628,330037,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(38629,330038,1,100,'Mesmerizes target',0,0),
(38630,330038,1,100,'Prevents AOE (except when direct) ',0,1),
(38631,330038,1,100,'Dispelled when target takes damage',0,2),
(38632,330038,1,100,'Does not affect Epic targets',0,3),
(38633,330038,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(38634,330038,2,100,'Mesmerizes target',0,0),
(38635,330038,2,100,'Prevents AOE (except when direct) ',0,1),
(38636,330038,2,100,'Dispelled when target takes damage',0,2),
(38637,330038,2,100,'Does not affect Epic targets',0,3),
(38638,330038,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(38639,330038,3,100,'Mesmerizes target',0,0),
(38640,330038,3,100,'Prevents AOE (except when direct) ',0,1),
(38641,330038,3,100,'Dispelled when target takes damage',0,2),
(38642,330038,3,100,'Does not affect Epic targets',0,3),
(38643,330038,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(38644,330038,4,100,'Mesmerizes target',0,0),
(38645,330038,4,100,'Prevents AOE (except when direct) ',0,1),
(38646,330038,4,100,'Dispelled when target takes damage',0,2),
(38647,330038,4,100,'Does not affect Epic targets',0,3),
(38648,330038,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(38649,330038,5,100,'Mesmerizes target',0,0),
(38650,330038,5,100,'Prevents AOE (except when direct) ',0,1),
(38651,330038,5,100,'Dispelled when target takes damage',0,2),
(38652,330038,5,100,'Does not affect Epic targets',0,3),
(38653,330038,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(38654,330038,7,100,'Mesmerizes target',0,0),
(38655,330038,7,100,'Prevents AOE (except when direct) ',0,1),
(38656,330038,7,100,'Dispelled when target takes damage',0,2),
(38657,330038,7,100,'Does not affect Epic targets',0,3),
(38658,330038,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(38659,330038,9,100,'Mesmerizes target',0,0),
(38660,330038,9,100,'Prevents AOE (except when direct) ',0,1),
(38661,330038,9,100,'Dispelled when target takes damage',0,2),
(38662,330038,9,100,'Does not affect Epic targets',0,3),
(38663,330038,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(38664,330039,1,100,'Mesmerizes target',0,0),
(38665,330039,1,100,'Prevents AOE (except when direct) ',0,1),
(38666,330039,1,100,'Dispelled when target takes damage',0,2),
(38667,330039,1,100,'Does not affect Epic targets',0,3),
(38668,330039,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(38669,330039,2,100,'Mesmerizes target',0,0),
(38670,330039,2,100,'Prevents AOE (except when direct) ',0,1),
(38671,330039,2,100,'Dispelled when target takes damage',0,2),
(38672,330039,2,100,'Does not affect Epic targets',0,3),
(38673,330039,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(38674,330039,3,100,'Mesmerizes target',0,0),
(38675,330039,3,100,'Prevents AOE (except when direct) ',0,1),
(38676,330039,3,100,'Dispelled when target takes damage',0,2),
(38677,330039,3,100,'Does not affect Epic targets',0,3),
(38678,330039,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(38679,330039,4,100,'Mesmerizes target',0,0),
(38680,330039,4,100,'Prevents AOE (except when direct) ',0,1),
(38681,330039,4,100,'Dispelled when target takes damage',0,2),
(38682,330039,4,100,'Does not affect Epic targets',0,3),
(38683,330039,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(38684,330039,5,100,'Mesmerizes target',0,0),
(38685,330039,5,100,'Prevents AOE (except when direct) ',0,1),
(38686,330039,5,100,'Dispelled when target takes damage',0,2),
(38687,330039,5,100,'Does not affect Epic targets',0,3),
(38688,330039,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(38689,330039,7,100,'Mesmerizes target',0,0),
(38690,330039,7,100,'Prevents AOE (except when direct) ',0,1),
(38691,330039,7,100,'Dispelled when target takes damage',0,2),
(38692,330039,7,100,'Does not affect Epic targets',0,3),
(38693,330039,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(38694,330039,9,100,'Mesmerizes target',0,0),
(38695,330039,9,100,'Prevents AOE (except when direct) ',0,1),
(38696,330039,9,100,'Dispelled when target takes damage',0,2),
(38697,330039,9,100,'Does not affect Epic targets',0,3),
(38698,330039,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(38699,330040,1,100,'Mesmerizes target',0,0),
(38700,330040,1,100,'Prevents AOE (except when direct) ',0,1),
(38701,330040,1,100,'Dispelled when target takes damage',0,2),
(38702,330040,1,100,'Does not affect Epic targets',0,3),
(38703,330040,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(38704,330040,4,100,'Mesmerizes target',0,0),
(38705,330040,4,100,'Prevents AOE (except when direct) ',0,1),
(38706,330040,4,100,'Dispelled when target takes damage',0,2),
(38707,330040,4,100,'Does not affect Epic targets',0,3),
(38708,330040,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(38709,330040,5,100,'Mesmerizes target',0,0),
(38710,330040,5,100,'Prevents AOE (except when direct) ',0,1),
(38711,330040,5,100,'Dispelled when target takes damage',0,2),
(38712,330040,5,100,'Does not affect Epic targets',0,3),
(38713,330040,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(38714,330040,7,100,'Mesmerizes target',0,0),
(38715,330040,7,100,'Prevents AOE (except when direct) ',0,1),
(38716,330040,7,100,'Dispelled when target takes damage',0,2),
(38717,330040,7,100,'Does not affect Epic targets',0,3),
(38718,330040,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(38719,330040,9,100,'Mesmerizes target',0,0),
(38720,330040,9,100,'Prevents AOE (except when direct) ',0,1),
(38721,330040,9,100,'Dispelled when target takes damage',0,2),
(38722,330040,9,100,'Does not affect Epic targets',0,3),
(38723,330040,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(38724,340084,1,100,'Inflicts 271 - 452 melee damage on target',0,0),
(38725,340084,1,100,'Decreases Mitigation of target vs physical damage by 1980',0,1),
(38726,340084,1,100,'Decreases Mitigation of target vs elemental damage by 1980',0,2),
(38727,340084,1,100,'Decreases Mitigation of target vs noxious damage by 1980',0,3),
(38728,340084,2,100,'Inflicts 286 - 477 melee damage on target',0,0),
(38729,340084,2,100,'Decreases Mitigation of target vs physical damage by 2090',0,1),
(38730,340084,2,100,'Decreases Mitigation of target vs elemental damage by 2090',0,2),
(38731,340084,2,100,'Decreases Mitigation of target vs noxious damage by 2090',0,3),
(38732,340084,3,100,'Inflicts 301 - 502 melee damage on target',0,0),
(38733,340084,3,100,'Decreases Mitigation of target vs physical damage by 2200',0,1),
(38734,340084,3,100,'Decreases Mitigation of target vs elemental damage by 2200',0,2),
(38735,340084,3,100,'Decreases Mitigation of target vs noxious damage by 2200',0,3),
(38736,340084,4,100,'Inflicts 331 - 552 melee damage on target',0,0),
(38737,340084,4,100,'Decreases Mitigation of target vs physical damage by 2420',0,1),
(38738,340084,4,100,'Decreases Mitigation of target vs elemental damage by 2420',0,2),
(38739,340084,4,100,'Decreases Mitigation of target vs noxious damage by 2420',0,3),
(38740,340084,5,100,'Inflicts 361 - 602 melee damage on target',0,0),
(38741,340084,5,100,'Decreases Mitigation of target vs physical damage by 2640',0,1),
(38742,340084,5,100,'Decreases Mitigation of target vs elemental damage by 2640',0,2),
(38743,340084,5,100,'Decreases Mitigation of target vs noxious damage by 2640',0,3),
(38744,340084,7,100,'Inflicts 464 - 773 melee damage on target',0,0),
(38745,340084,7,100,'Decreases Mitigation of target vs physical damage by 3388',0,1),
(38746,340084,7,100,'Decreases Mitigation of target vs elemental damage by 3388',0,2),
(38747,340084,7,100,'Decreases Mitigation of target vs noxious damage by 3388',0,3),
(38748,340084,9,100,'Inflicts 482 - 803 melee damage on target',0,0),
(38749,340084,9,100,'Decreases Mitigation of target vs physical damage by 3520',0,1),
(38750,340084,9,100,'Decreases Mitigation of target vs elemental damage by 3520',0,2),
(38751,340084,9,100,'Decreases Mitigation of target vs noxious damage by 3520',0,3),
(38752,340085,1,100,'Inflicts 393 - 655 melee damage on target',0,0),
(38753,340085,1,100,'Decreases Mitigation of target vs physical damage by 2816',0,1),
(38754,340085,1,100,'Decreases Mitigation of target vs elemental damage by 2816',0,2),
(38755,340085,1,100,'Decreases Mitigation of target vs noxious damage by 2816',0,3),
(38756,340085,2,100,'Inflicts 415 - 692 melee damage on target',0,0),
(38757,340085,2,100,'Decreases Mitigation of target vs physical damage by 2973',0,1),
(38758,340085,2,100,'Decreases Mitigation of target vs elemental damage by 2973',0,2),
(38759,340085,2,100,'Decreases Mitigation of target vs noxious damage by 2973',0,3),
(38760,340085,3,100,'Inflicts 437 - 728 melee damage on target',0,0),
(38761,340085,3,100,'Decreases Mitigation of target vs physical damage by 3129',0,1),
(38762,340085,3,100,'Decreases Mitigation of target vs elemental damage by 3129',0,2),
(38763,340085,3,100,'Decreases Mitigation of target vs noxious damage by 3129',0,3),
(38764,340085,4,100,'Inflicts 480 - 801 melee damage on target',0,0),
(38765,340085,4,100,'Decreases Mitigation of target vs physical damage by 3442',0,1),
(38766,340085,4,100,'Decreases Mitigation of target vs elemental damage by 3442',0,2),
(38767,340085,4,100,'Decreases Mitigation of target vs noxious damage by 3442',0,3),
(38768,340085,5,100,'Inflicts 524 - 874 melee damage on target',0,0),
(38769,340085,5,100,'Decreases Mitigation of target vs physical damage by 3755',0,1),
(38770,340085,5,100,'Decreases Mitigation of target vs elemental damage by 3755',0,2),
(38771,340085,5,100,'Decreases Mitigation of target vs noxious damage by 3755',0,3),
(38772,340085,7,100,'Inflicts 673 - 1121 melee damage on target',0,0),
(38773,340085,7,100,'Decreases Mitigation of target vs physical damage by 4819',0,1),
(38774,340085,7,100,'Decreases Mitigation of target vs elemental damage by 4819',0,2),
(38775,340085,7,100,'Decreases Mitigation of target vs noxious damage by 4819',0,3),
(38776,340085,9,100,'Inflicts 699 - 1165 melee damage on target',0,0),
(38777,340085,9,100,'Decreases Mitigation of target vs physical damage by 5007',0,1),
(38778,340085,9,100,'Decreases Mitigation of target vs elemental damage by 5007',0,2),
(38779,340085,9,100,'Decreases Mitigation of target vs noxious damage by 5007',0,3),
(38780,340086,1,100,'Inflicts 475 - 792 melee damage on target',0,0),
(38781,340086,1,100,'Decreases Mitigation of target vs physical damage by 3629',0,1),
(38782,340086,1,100,'Decreases Mitigation of target vs elemental damage by 3629',0,2),
(38783,340086,1,100,'Decreases Mitigation of target vs noxious damage by 3629',0,3),
(38784,340086,4,100,'Inflicts 580 - 968 melee damage on target',0,0),
(38785,340086,4,100,'Decreases Mitigation of target vs physical damage by 4435',0,1),
(38786,340086,4,100,'Decreases Mitigation of target vs elemental damage by 4435',0,2),
(38787,340086,4,100,'Decreases Mitigation of target vs noxious damage by 4435',0,3),
(38788,340086,5,100,'Inflicts 633 - 1056 melee damage on target',0,0),
(38789,340086,5,100,'Decreases Mitigation of target vs physical damage by 4838',0,1),
(38790,340086,5,100,'Decreases Mitigation of target vs elemental damage by 4838',0,2),
(38791,340086,5,100,'Decreases Mitigation of target vs noxious damage by 4838',0,3),
(38792,340086,7,100,'Inflicts 813 - 1355 melee damage on target',0,0),
(38793,340086,7,100,'Decreases Mitigation of target vs physical damage by 6209',0,1),
(38794,340086,7,100,'Decreases Mitigation of target vs elemental damage by 6209',0,2),
(38795,340086,7,100,'Decreases Mitigation of target vs noxious damage by 6209',0,3),
(38796,340086,9,100,'Inflicts 845 - 1408 melee damage on target',0,0),
(38797,340086,9,100,'Decreases Mitigation of target vs physical damage by 6451',0,1),
(38798,340086,9,100,'Decreases Mitigation of target vs elemental damage by 6451',0,2),
(38799,340086,9,100,'Decreases Mitigation of target vs noxious damage by 6451',0,3),
(38800,340087,1,100,'Inflicts 541 - 903 melee damage on target',0,0),
(38801,340087,1,100,'Decreases Mitigation of target vs physical damage by 4061',0,1),
(38802,340087,1,100,'Decreases Mitigation of target vs elemental damage by 4061',0,2),
(38803,340087,1,100,'Decreases Mitigation of target vs noxious damage by 4061',0,3),
(38804,340087,4,100,'Inflicts 662 - 1103 melee damage on target',0,0),
(38805,340087,4,100,'Decreases Mitigation of target vs physical damage by 4963',0,1),
(38806,340087,4,100,'Decreases Mitigation of target vs elemental damage by 4963',0,2),
(38807,340087,4,100,'Decreases Mitigation of target vs noxious damage by 4963',0,3),
(38808,340087,5,100,'Inflicts 722 - 1204 melee damage on target',0,0),
(38809,340087,5,100,'Decreases Mitigation of target vs physical damage by 5414',0,1),
(38810,340087,5,100,'Decreases Mitigation of target vs elemental damage by 5414',0,2),
(38811,340087,5,100,'Decreases Mitigation of target vs noxious damage by 5414',0,3),
(38812,340087,7,100,'Inflicts 927 - 1545 melee damage on target',0,0),
(38813,340087,7,100,'Decreases Mitigation of target vs physical damage by 6948',0,1),
(38814,340087,7,100,'Decreases Mitigation of target vs elemental damage by 6948',0,2),
(38815,340087,7,100,'Decreases Mitigation of target vs noxious damage by 6948',0,3),
(38816,340087,9,100,'Inflicts 963 - 1605 melee damage on target',0,0),
(38817,340087,9,100,'Decreases Mitigation of target vs physical damage by 7219',0,1),
(38818,340087,9,100,'Decreases Mitigation of target vs elemental damage by 7219',0,2),
(38819,340087,9,100,'Decreases Mitigation of target vs noxious damage by 7219',0,3),
(38820,2000079,1,100,'Decreases dissonance of caster by 3,000.0',0,0),
(38821,2000079,1,100,'The healing of this spell cannot be modified except by direct means',0,1),
(38822,2000079,2,100,'Decreases dissonance of caster by 3,000.0',0,0),
(38823,2000079,2,100,'The healing of this spell cannot be modified except by direct means',0,1),
(38824,2000079,3,100,'Decreases dissonance of caster by 3,000.0',0,0),
(38825,2000079,3,100,'The healing of this spell cannot be modified except by direct means',0,1),
(38826,2000079,4,100,'Decreases dissonance of caster by 3,000.0',0,0),
(38827,2000079,4,100,'The healing of this spell cannot be modified except by direct means',0,1),
(38828,2000079,5,100,'Decreases dissonance of caster by 3,000.0',0,0),
(38829,2000079,5,100,'The healing of this spell cannot be modified except by direct means',0,1),
(38830,2000079,6,100,'Decreases dissonance of caster by 3,000.0',0,0),
(38831,2000079,6,100,'The healing of this spell cannot be modified except by direct means',0,1),
(38832,2000079,7,100,'Decreases dissonance of caster by 3,000.0',0,0),
(38833,2000079,7,100,'The healing of this spell cannot be modified except by direct means',0,1),
(38834,2000079,8,100,'Decreases dissonance of caster by 3,000.0',0,0),
(38835,2000079,8,100,'The healing of this spell cannot be modified except by direct means',0,1),
(38836,2000079,9,100,'Decreases dissonance of caster by 3,000.0',0,0),
(38837,2000079,9,100,'The healing of this spell cannot be modified except by direct means',0,1),
(38838,2000079,10,100,'Decreases dissonance of caster by 3,000.0',0,0),
(38839,2000079,10,100,'The healing of this spell cannot be modified except by direct means',0,1),
(38840,320011,1,100,'Interrupts target',0,0),
(38841,320011,1,100,'Inflicts 52 - 87 melee damage on target',0,1),
(38842,320011,1,100,'Must be flanking or behind',0,2),
(38843,320011,2,100,'Interrupts target',0,0),
(38844,320011,2,100,'Inflicts 55 - 92 melee damage on target',0,1),
(38845,320011,2,100,'Must be flanking or behind',0,2),
(38846,320011,3,100,'Interrupts target',0,0),
(38847,320011,3,100,'Inflicts 58 - 97 melee damage on target',0,1),
(38848,320011,3,100,'Must be flanking or behind',0,2),
(38849,320011,4,100,'Interrupts target',0,0),
(38850,320011,4,100,'Inflicts 64 - 106 melee damage on target',0,1),
(38851,320011,4,100,'Must be flanking or behind',0,2),
(38852,320011,5,100,'Interrupts target',0,0),
(38853,320011,5,100,'Inflicts 69 - 116 melee damage on target',0,1),
(38854,320011,5,100,'Must be flanking or behind',0,2),
(38855,320011,7,100,'Interrupts target',0,0),
(38856,320011,7,100,'Inflicts 89 - 149 melee damage on target',0,1),
(38857,320011,7,100,'Must be flanking or behind',0,2),
(38858,320011,9,100,'Interrupts target',0,0),
(38859,320011,9,100,'Inflicts 93 - 155 melee damage on target',0,1),
(38860,320011,9,100,'Must be flanking or behind',0,2),
(38861,70061,1,100,'Increases threat priority of target encounter by 2 positions',0,0),
(38862,70061,1,100,'Increases Threat to target encounter by 75 - 113 ',0,1),
(38863,70061,1,100,'Forces half of the target encounter to target and attack you. Upgrades to this spell increase the duration the target must target you from a range of 4 to 8 seconds.',0,2),
(38864,70061,2,100,'Increases threat priority of target encounter by 2 positions',0,0),
(38865,70061,2,100,'Increases Threat to target encounter by 80 - 120 ',0,1),
(38866,70061,2,100,'Forces half of the target encounter to target and attack you. Upgrades to this spell increase the duration the target must target you from a range of 4 to 8 seconds.',0,2),
(38867,70061,3,100,'Increases threat priority of target encounter by 2 positions',0,0),
(38868,70061,3,100,'Increases Threat to target encounter by 84 - 126 ',0,1),
(38869,70061,3,100,'Forces half of the target encounter to target and attack you. Upgrades to this spell increase the duration the target must target you from a range of 4 to 8 seconds.',0,2),
(38870,70061,4,100,'Increases threat priority of target encounter by 2 positions',0,0),
(38871,70061,4,100,'Increases Threat to target encounter by 92 - 139 ',0,1),
(38872,70061,4,100,'Forces half of the target encounter to target and attack you. Upgrades to this spell increase the duration the target must target you from a range of 4 to 8 seconds.',0,2),
(38873,70061,5,100,'Increases threat priority of target encounter by 2 positions',0,0),
(38874,70061,5,100,'Increases Threat to target encounter by 101 - 151 ',0,1),
(38875,70061,5,100,'Forces half of the target encounter to target and attack you. Upgrades to this spell increase the duration the target must target you from a range of 4 to 8 seconds.',0,2),
(38876,70061,7,100,'Increases threat priority of target encounter by 2 positions',0,0),
(38877,70061,7,100,'Increases Threat to target encounter by 129 - 194 ',0,1),
(38878,70061,7,100,'Forces half of the target encounter to target and attack you. Upgrades to this spell increase the duration the target must target you from a range of 4 to 8 seconds.',0,2),
(38879,70061,9,100,'Increases threat priority of target encounter by 2 positions',0,0),
(38880,70061,9,100,'Increases Threat to target encounter by 134 - 202 ',0,1),
(38881,70061,9,100,'Forces half of the target encounter to target and attack you. Upgrades to this spell increase the duration the target must target you from a range of 4 to 8 seconds.',0,2),
(38882,70062,1,100,'Increases threat priority of target encounter by 2 positions',0,0),
(38883,70062,1,100,'Increases Threat to target encounter by 75 - 113 ',0,1),
(38884,70062,1,100,'Forces half of the target encounter to target and attack you. Upgrades to this spell increase the duration the target must target you from a range of 4 to 8 seconds.',0,2),
(38885,70062,4,100,'Increases threat priority of target encounter by 2 positions',0,0),
(38886,70062,4,100,'Increases Threat to target encounter by 92 - 138 ',0,1),
(38887,70062,4,100,'Forces half of the target encounter to target and attack you. Upgrades to this spell increase the duration the target must target you from a range of 4 to 8 seconds.',0,2),
(38888,70062,5,100,'Increases threat priority of target encounter by 2 positions',0,0),
(38889,70062,5,100,'Increases Threat to target encounter by 101 - 151 ',0,1),
(38890,70062,5,100,'Forces half of the target encounter to target and attack you. Upgrades to this spell increase the duration the target must target you from a range of 4 to 8 seconds.',0,2),
(38891,70062,7,100,'Increases threat priority of target encounter by 2 positions',0,0),
(38892,70062,7,100,'Increases Threat to target encounter by 129 - 194 ',0,1),
(38893,70062,7,100,'Forces half of the target encounter to target and attack you. Upgrades to this spell increase the duration the target must target you from a range of 4 to 8 seconds.',0,2),
(38894,70062,9,100,'Increases threat priority of target encounter by 2 positions',0,0),
(38895,70062,9,100,'Increases Threat to target encounter by 134 - 202 ',0,1),
(38896,70062,9,100,'Forces half of the target encounter to target and attack you. Upgrades to this spell increase the duration the target must target you from a range of 4 to 8 seconds.',0,2),
(38897,70063,1,100,'Increases threat priority of target encounter by 2 positions',0,0),
(38898,70063,1,100,'Increases Threat to target encounter by 75 - 113 ',0,1),
(38899,70063,1,100,'Forces half of the target encounter to target and attack you. Upgrades to this spell increase the duration the target must target you from a range of 4 to 8 seconds.',0,2),
(38900,70063,4,100,'Increases threat priority of target encounter by 2 positions',0,0),
(38901,70063,4,100,'Increases Threat to target encounter by 92 - 138 ',0,1),
(38902,70063,4,100,'Forces half of the target encounter to target and attack you. Upgrades to this spell increase the duration the target must target you from a range of 4 to 8 seconds.',0,2),
(38903,70063,5,100,'Increases threat priority of target encounter by 2 positions',0,0),
(38904,70063,5,100,'Increases Threat to target encounter by 101 - 151 ',0,1),
(38905,70063,5,100,'Forces half of the target encounter to target and attack you. Upgrades to this spell increase the duration the target must target you from a range of 4 to 8 seconds.',0,2),
(38906,70063,7,100,'Increases threat priority of target encounter by 2 positions',0,0),
(38907,70063,7,100,'Increases Threat to target encounter by 129 - 194 ',0,1),
(38908,70063,7,100,'Forces half of the target encounter to target and attack you. Upgrades to this spell increase the duration the target must target you from a range of 4 to 8 seconds.',0,2),
(38909,70063,9,100,'Increases threat priority of target encounter by 2 positions',0,0),
(38910,70063,9,100,'Increases Threat to target encounter by 134 - 202 ',0,1),
(38911,70063,9,100,'Forces half of the target encounter to target and attack you. Upgrades to this spell increase the duration the target must target you from a range of 4 to 8 seconds.',0,2),
(38912,100017,1,100,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(38913,100017,1,100,'Inflicts 10 - 16 divine damage on target',1,1),
(38914,100017,1,100,'Inflicts 10 - 16 divine damage on target',1,2),
(38915,100017,1,100,'If target is undead',2,3),
(38916,100017,2,100,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(38917,100017,2,100,'Inflicts 10 - 17 divine damage on target',1,1),
(38918,100017,2,100,'Inflicts 10 - 17 divine damage on target',1,2),
(38919,100017,2,100,'If target is undead',2,3),
(38920,100017,3,100,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(38921,100017,3,100,'Inflicts 11 - 18 divine damage on target',1,1),
(38922,100017,3,100,'Inflicts 11 - 18 divine damage on target',1,2),
(38923,100017,3,100,'If target is undead',2,3),
(38924,100017,4,100,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(38925,100017,4,100,'Inflicts 12 - 19 divine damage on target',1,1),
(38926,100017,4,100,'Inflicts 12 - 19 divine damage on target',1,2),
(38927,100017,4,100,'If target is undead',2,3),
(38928,100017,5,100,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(38929,100017,5,100,'Inflicts 13 - 21 divine damage on target',1,1),
(38930,100017,5,100,'Inflicts 13 - 21 divine damage on target',1,2),
(38931,100017,5,100,'If target is undead',2,3),
(38932,100017,7,100,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(38933,100017,7,100,'Inflicts 16 - 27 divine damage on target',1,1),
(38934,100017,7,100,'Inflicts 16 - 27 divine damage on target',1,2),
(38935,100017,7,100,'If target is undead',2,3),
(38936,100017,9,100,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(38937,100017,9,100,'Inflicts 17 - 28 divine damage on target',1,1),
(38938,100017,9,100,'Inflicts 17 - 28 divine damage on target',1,2),
(38939,100017,9,100,'If target is undead',2,3),
(38940,100018,1,100,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(38941,100018,1,100,'Inflicts 24 - 41 divine damage on target',1,1),
(38942,100018,1,100,'Inflicts 24 - 41 divine damage on target',1,2),
(38943,100018,1,100,'If target is undead',2,3),
(38944,100018,2,100,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(38945,100018,2,100,'Inflicts 26 - 43 divine damage on target',1,1),
(38946,100018,2,100,'Inflicts 26 - 43 divine damage on target',1,2),
(38947,100018,2,100,'If target is undead',2,3),
(38948,100018,3,100,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(38949,100018,3,100,'Inflicts 27 - 45 divine damage on target',1,1),
(38950,100018,3,100,'Inflicts 27 - 45 divine damage on target',1,2),
(38951,100018,3,100,'If target is undead',2,3),
(38952,100018,4,100,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(38953,100018,4,100,'Inflicts 30 - 50 divine damage on target',1,1),
(38954,100018,4,100,'Inflicts 30 - 50 divine damage on target',1,2),
(38955,100018,4,100,'If target is undead',2,3),
(38956,100018,5,100,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(38957,100018,5,100,'Inflicts 32 - 54 divine damage on target',1,1),
(38958,100018,5,100,'Inflicts 32 - 54 divine damage on target',1,2),
(38959,100018,5,100,'If target is undead',2,3),
(38960,100018,7,100,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(38961,100018,7,100,'Inflicts 42 - 69 divine damage on target',1,1),
(38962,100018,7,100,'Inflicts 42 - 69 divine damage on target',1,2),
(38963,100018,7,100,'If target is undead',2,3),
(38964,100018,9,100,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(38965,100018,9,100,'Inflicts 43 - 72 divine damage on target',1,1),
(38966,100018,9,100,'Inflicts 43 - 72 divine damage on target',1,2),
(38967,100018,9,100,'If target is undead',2,3),
(38968,100019,1,100,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(38969,100019,1,100,'Inflicts 41 - 69 divine damage on target',1,1),
(38970,100019,1,100,'Inflicts 41 - 69 divine damage on target',1,2),
(38971,100019,1,100,'If target is undead',2,3),
(38972,100019,2,100,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(38973,100019,2,100,'Inflicts 44 - 73 divine damage on target',1,1),
(38974,100019,2,100,'Inflicts 44 - 73 divine damage on target',1,2),
(38975,100019,2,100,'If target is undead',2,3),
(38976,100019,3,100,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(38977,100019,3,100,'Inflicts 46 - 77 divine damage on target',1,1),
(38978,100019,3,100,'Inflicts 46 - 77 divine damage on target',1,2),
(38979,100019,3,100,'If target is undead',2,3),
(38980,100019,4,100,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(38981,100019,4,100,'Inflicts 51 - 84 divine damage on target',1,1),
(38982,100019,4,100,'Inflicts 51 - 84 divine damage on target',1,2),
(38983,100019,4,100,'If target is undead',2,3),
(38984,100019,5,100,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(38985,100019,5,100,'Inflicts 55 - 92 divine damage on target',1,1),
(38986,100019,5,100,'Inflicts 55 - 92 divine damage on target',1,2),
(38987,100019,5,100,'If target is undead',2,3),
(38988,100019,7,100,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(38989,100019,7,100,'Inflicts 71 - 118 divine damage on target',1,1),
(38990,100019,7,100,'Inflicts 71 - 118 divine damage on target',1,2),
(38991,100019,7,100,'If target is undead',2,3),
(38992,100019,9,100,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(38993,100019,9,100,'Inflicts 74 - 123 divine damage on target',1,1),
(38994,100019,9,100,'Inflicts 74 - 123 divine damage on target',1,2),
(38995,100019,9,100,'If target is undead',2,3),
(38996,100020,1,100,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(38997,100020,1,100,'Inflicts 62 - 103 divine damage on target',1,1),
(38998,100020,1,100,'Inflicts 62 - 103 divine damage on target',1,2),
(38999,100020,1,100,'If target is undead',2,3),
(39000,100020,2,100,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(39001,100020,2,100,'Inflicts 65 - 109 divine damage on target',1,1),
(39002,100020,2,100,'Inflicts 65 - 109 divine damage on target',1,2),
(39003,100020,2,100,'If target is undead',2,3),
(39004,100020,3,100,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(39005,100020,3,100,'Inflicts 69 - 114 divine damage on target',1,1),
(39006,100020,3,100,'Inflicts 69 - 114 divine damage on target',1,2),
(39007,100020,3,100,'If target is undead',2,3),
(39008,100020,4,100,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(39009,100020,4,100,'Inflicts 75 - 126 divine damage on target',1,1),
(39010,100020,4,100,'Inflicts 75 - 126 divine damage on target',1,2),
(39011,100020,4,100,'If target is undead',2,3),
(39012,100020,5,100,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(39013,100020,5,100,'Inflicts 82 - 137 divine damage on target',1,1),
(39014,100020,5,100,'Inflicts 82 - 137 divine damage on target',1,2),
(39015,100020,5,100,'If target is undead',2,3),
(39016,100020,7,100,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(39017,100020,7,100,'Inflicts 106 - 176 divine damage on target',1,1),
(39018,100020,7,100,'Inflicts 106 - 176 divine damage on target',1,2),
(39019,100020,7,100,'If target is undead',2,3),
(39020,100020,9,100,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(39021,100020,9,100,'Inflicts 110 - 183 divine damage on target',1,1),
(39022,100020,9,100,'Inflicts 110 - 183 divine damage on target',1,2),
(39023,100020,9,100,'If target is undead',2,3),
(39024,100021,1,100,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(39025,100021,1,100,'Inflicts 83 - 138 divine damage on target',1,1),
(39026,100021,1,100,'Inflicts 83 - 138 divine damage on target',1,2),
(39027,100021,1,100,'If target is undead',2,3),
(39028,100021,2,100,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(39029,100021,2,100,'Inflicts 88 - 146 divine damage on target',1,1),
(39030,100021,2,100,'Inflicts 88 - 146 divine damage on target',1,2),
(39031,100021,2,100,'If target is undead',2,3),
(39032,100021,3,100,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(39033,100021,3,100,'Inflicts 92 - 154 divine damage on target',1,1),
(39034,100021,3,100,'Inflicts 92 - 154 divine damage on target',1,2),
(39035,100021,3,100,'If target is undead',2,3),
(39036,100021,4,100,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(39037,100021,4,100,'Inflicts 101 - 169 divine damage on target',1,1),
(39038,100021,4,100,'Inflicts 101 - 169 divine damage on target',1,2),
(39039,100021,4,100,'If target is undead',2,3),
(39040,100021,5,100,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(39041,100021,5,100,'Inflicts 111 - 185 divine damage on target',1,1),
(39042,100021,5,100,'Inflicts 111 - 185 divine damage on target',1,2),
(39043,100021,5,100,'If target is undead',2,3),
(39044,100021,7,100,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(39045,100021,7,100,'Inflicts 142 - 237 divine damage on target',1,1),
(39046,100021,7,100,'Inflicts 142 - 237 divine damage on target',1,2),
(39047,100021,7,100,'If target is undead',2,3),
(39048,100021,9,100,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(39049,100021,9,100,'Inflicts 148 - 246 divine damage on target',1,1),
(39050,100021,9,100,'Inflicts 148 - 246 divine damage on target',1,2),
(39051,100021,9,100,'If target is undead',2,3),
(39052,100022,1,100,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(39053,100022,1,100,'Inflicts 102 - 170 divine damage on target',1,1),
(39054,100022,1,100,'Inflicts 102 - 170 divine damage on target',1,2),
(39055,100022,1,100,'If target is undead',2,3),
(39056,100022,2,100,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(39057,100022,2,100,'Inflicts 108 - 180 divine damage on target',1,1),
(39058,100022,2,100,'Inflicts 108 - 180 divine damage on target',1,2),
(39059,100022,2,100,'If target is undead',2,3),
(39060,100022,3,100,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(39061,100022,3,100,'Inflicts 114 - 189 divine damage on target',1,1),
(39062,100022,3,100,'Inflicts 114 - 189 divine damage on target',1,2),
(39063,100022,3,100,'If target is undead',2,3),
(39064,100022,4,100,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(39065,100022,4,100,'Inflicts 125 - 208 divine damage on target',1,1),
(39066,100022,4,100,'Inflicts 125 - 208 divine damage on target',1,2),
(39067,100022,4,100,'If target is undead',2,3),
(39068,100022,5,100,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(39069,100022,5,100,'Inflicts 136 - 227 divine damage on target',1,1),
(39070,100022,5,100,'Inflicts 136 - 227 divine damage on target',1,2),
(39071,100022,5,100,'If target is undead',2,3),
(39072,100022,7,100,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(39073,100022,7,100,'Inflicts 175 - 291 divine damage on target',1,1),
(39074,100022,7,100,'Inflicts 175 - 291 divine damage on target',1,2),
(39075,100022,7,100,'If target is undead',2,3),
(39076,100022,9,100,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(39077,100022,9,100,'Inflicts 182 - 303 divine damage on target',1,1),
(39078,100022,9,100,'Inflicts 182 - 303 divine damage on target',1,2),
(39079,100022,9,100,'If target is undead',2,3),
(39080,100023,1,100,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(39081,100023,1,100,'Inflicts 123 - 206 divine damage on target',1,1),
(39082,100023,1,100,'Inflicts 123 - 206 divine damage on target',1,2),
(39083,100023,1,100,'If target is undead',2,3),
(39084,100023,4,100,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(39085,100023,4,100,'Inflicts 151 - 251 divine damage on target',1,1),
(39086,100023,4,100,'Inflicts 151 - 251 divine damage on target',1,2),
(39087,100023,4,100,'If target is undead',2,3),
(39088,100023,5,100,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(39089,100023,5,100,'Inflicts 164 - 274 divine damage on target',1,1),
(39090,100023,5,100,'Inflicts 164 - 274 divine damage on target',1,2),
(39091,100023,5,100,'If target is undead',2,3),
(39092,100023,7,100,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(39093,100023,7,100,'Inflicts 211 - 352 divine damage on target',1,1),
(39094,100023,7,100,'Inflicts 211 - 352 divine damage on target',1,2),
(39095,100023,7,100,'If target is undead',2,3),
(39096,100023,9,100,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(39097,100023,9,100,'Inflicts 219 - 365 divine damage on target',1,1),
(39098,100023,9,100,'Inflicts 219 - 365 divine damage on target',1,2),
(39099,100023,9,100,'If target is undead',2,3),
(39100,100024,1,100,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(39101,100024,1,100,'Inflicts 137 - 228 divine damage on target',1,1),
(39102,100024,1,100,'Inflicts 137 - 228 divine damage on target',1,2),
(39103,100024,1,100,'If target is undead',2,3),
(39104,100024,4,100,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(39105,100024,4,100,'Inflicts 168 - 279 divine damage on target',1,1),
(39106,100024,4,100,'Inflicts 168 - 279 divine damage on target',1,2),
(39107,100024,4,100,'If target is undead',2,3),
(39108,100024,5,100,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(39109,100024,5,100,'Inflicts 183 - 305 divine damage on target',1,1),
(39110,100024,5,100,'Inflicts 183 - 305 divine damage on target',1,2),
(39111,100024,5,100,'If target is undead',2,3),
(39112,100024,7,100,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(39113,100024,7,100,'Inflicts 235 - 391 divine damage on target',1,1),
(39114,100024,7,100,'Inflicts 235 - 391 divine damage on target',1,2),
(39115,100024,7,100,'If target is undead',2,3),
(39116,100024,9,100,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(39117,100024,9,100,'Inflicts 244 - 406 divine damage on target',1,1),
(39118,100024,9,100,'Inflicts 244 - 406 divine damage on target',1,2),
(39119,100024,9,100,'If target is undead',2,3),
(39120,2000080,1,100,'Applies True Territory.  Lasts for 30.0 seconds.',0,0),
(39121,2000080,1,100,'Increases Multi Attack of caster by 2.3',1,1),
(39122,2000080,1,100,'Increases Haste of caster by 2.3',1,2),
(39123,2000080,1,100,'Inflicts 69 - 115 divine damage on targets in Area of Effect',0,3),
(39124,2000080,1,100,'Inflicts up to 40 times the listed damage, based on the amount of increments of Divine Justice the paladin has active. Consumes all Divine Justice charges when used.',0,4),
(39125,2000080,1,100,'You must have Divine Justice to use Divine Territory!',0,5),
(39126,2000080,2,100,'Applies True Territory.  Lasts for 30.0 seconds.',0,0),
(39127,2000080,2,100,'Increases Multi Attack of caster by 4.6',1,1),
(39128,2000080,2,100,'Increases Haste of caster by 4.6',1,2),
(39129,2000080,2,100,'Inflicts 69 - 115 divine damage on targets in Area of Effect',0,3),
(39130,2000080,2,100,'Inflicts up to 40 times the listed damage, based on the amount of increments of Divine Justice the paladin has active. Consumes all Divine Justice charges when used.',0,4),
(39131,2000080,2,100,'You must have Divine Justice to use Divine Territory!',0,5),
(39132,2000080,3,100,'Applies True Territory.  Lasts for 30.0 seconds.',0,0),
(39133,2000080,3,100,'Increases Multi Attack Chance of caster by 6.9',1,1),
(39134,2000080,3,100,'Increases Attack Speed of caster by 6.9',1,2),
(39135,2000080,3,100,'Inflicts 51 - 86 divine damage on targets in Area of Effect',0,3),
(39136,2000080,3,100,'Inflicts up to 40 times the listed damage, based on the amount of increments of Divine Justice the paladin has active. Consumes all Divine Justice charges when used.',0,4),
(39137,2000080,3,100,'You must have Divine Justice to use Divine Territory!',0,5),
(39138,2000081,1,100,'Applies Dodge and Cover on termination.  Lasts for 15.0 seconds.',0,0),
(39139,2000081,1,100,'Caster will Dodge 100.0% of incoming attacks',1,1),
(39140,2000081,1,100,'Dispelled when target successfully dodges an attack',1,2),
(39141,80002,1,100,'Dispels 11 levels of noxious and arcane beneficial effects on targets in Area of Effect',0,0),
(39142,80002,1,100,'Inflicts 194 - 324 melee damage on targets in Area of Effect',0,1),
(39143,80002,2,100,'Dispels 11 levels of noxious and arcane beneficial effects on targets in Area of Effect',0,0),
(39144,80002,2,100,'Inflicts 205 - 342 melee damage on targets in Area of Effect',0,1),
(39145,80002,3,100,'Dispels 12 levels of noxious and arcane beneficial effects on targets in Area of Effect',0,0),
(39146,80002,3,100,'Inflicts 216 - 360 melee damage on targets in Area of Effect',0,1),
(39147,80002,4,100,'Dispels 13 levels of noxious and arcane beneficial effects on targets in Area of Effect',0,0),
(39148,80002,4,100,'Inflicts 237 - 396 melee damage on targets in Area of Effect',0,1),
(39149,80002,5,100,'Dispels 14 levels of noxious and arcane beneficial effects on targets in Area of Effect',0,0),
(39150,80002,5,100,'Inflicts 259 - 432 melee damage on targets in Area of Effect',0,1),
(39151,80002,7,100,'Dispels 18 levels of noxious and arcane beneficial effects on targets in Area of Effect',0,0),
(39152,80002,7,100,'Inflicts 333 - 555 melee damage on targets in Area of Effect',0,1),
(39153,80002,9,100,'Dispels 19 levels of noxious and arcane beneficial effects on targets in Area of Effect',0,0),
(39154,80002,9,100,'Inflicts 346 - 576 melee damage on targets in Area of Effect',0,1),
(39155,80003,1,100,'Dispels 11 levels of noxious and arcane beneficial effects on targets in Area of Effect',0,0),
(39156,80003,1,100,'Inflicts 323 - 539 melee damage on targets in Area of Effect',0,1),
(39157,80003,2,100,'Dispels 11 levels of noxious and arcane beneficial effects on targets in Area of Effect',0,0),
(39158,80003,2,100,'Inflicts 341 - 569 melee damage on targets in Area of Effect',0,1),
(39159,80003,3,100,'Dispels 12 levels of noxious and arcane beneficial effects on targets in Area of Effect',0,0),
(39160,80003,3,100,'Inflicts 359 - 599 melee damage on targets in Area of Effect',0,1),
(39161,80003,4,100,'Dispels 13 levels of noxious and arcane beneficial effects on targets in Area of Effect',0,0),
(39162,80003,4,100,'Inflicts 395 - 659 melee damage on targets in Area of Effect',0,1),
(39163,80003,5,100,'Dispels 14 levels of noxious and arcane beneficial effects on targets in Area of Effect',0,0),
(39164,80003,5,100,'Inflicts 431 - 719 melee damage on targets in Area of Effect',0,1),
(39165,80003,7,100,'Dispels 18 levels of noxious and arcane beneficial effects on targets in Area of Effect',0,0),
(39166,80003,7,100,'Inflicts 554 - 923 melee damage on targets in Area of Effect',0,1),
(39167,80003,9,100,'Dispels 19 levels of noxious and arcane beneficial effects on targets in Area of Effect',0,0),
(39168,80003,9,100,'Inflicts 575 - 959 melee damage on targets in Area of Effect',0,1),
(39169,80004,1,100,'Dispels 11 levels of noxious and arcane beneficial effects on targets in Area of Effect',0,0),
(39170,80004,1,100,'Inflicts 462 - 771 melee damage on targets in Area of Effect',0,1),
(39171,80004,2,100,'Dispels 11 levels of noxious and arcane beneficial effects on targets in Area of Effect',0,0),
(39172,80004,2,100,'Inflicts 488 - 814 melee damage on targets in Area of Effect',0,1),
(39173,80004,3,100,'Dispels 12 levels of noxious and arcane beneficial effects on targets in Area of Effect',0,0),
(39174,80004,3,100,'Inflicts 514 - 857 melee damage on targets in Area of Effect',0,1),
(39175,80004,4,100,'Dispels 13 levels of noxious and arcane beneficial effects on targets in Area of Effect',0,0),
(39176,80004,4,100,'Inflicts 565 - 942 melee damage on targets in Area of Effect',0,1),
(39177,80004,5,100,'Dispels 14 levels of noxious and arcane beneficial effects on targets in Area of Effect',0,0),
(39178,80004,5,100,'Inflicts 617 - 1028 melee damage on targets in Area of Effect',0,1),
(39179,80004,7,100,'Dispels 18 levels of noxious and arcane beneficial effects on targets in Area of Effect',0,0),
(39180,80004,7,100,'Inflicts 791 - 1319 melee damage on targets in Area of Effect',0,1),
(39181,80004,9,100,'Dispels 19 levels of noxious and arcane beneficial effects on targets in Area of Effect',0,0),
(39182,80004,9,100,'Inflicts 822 - 1371 melee damage on targets in Area of Effect',0,1),
(39183,80005,1,100,'Dispels 11 levels of noxious and arcane beneficial effects on targets in Area of Effect',0,0),
(39184,80005,1,100,'Inflicts 560 - 934 melee damage on targets in Area of Effect',0,1),
(39185,80005,4,100,'Dispels 13 levels of noxious and arcane beneficial effects on targets in Area of Effect',0,0),
(39186,80005,4,100,'Inflicts 685 - 1142 melee damage on targets in Area of Effect',0,1),
(39187,80005,5,100,'Dispels 14 levels of noxious and arcane beneficial effects on targets in Area of Effect',0,0),
(39188,80005,5,100,'Inflicts 747 - 1246 melee damage on targets in Area of Effect',0,1),
(39189,80005,7,100,'Dispels 18 levels of noxious and arcane beneficial effects on targets in Area of Effect',0,0),
(39190,80005,7,100,'Inflicts 959 - 1599 melee damage on targets in Area of Effect',0,1),
(39191,80005,9,100,'Dispels 19 levels of noxious and arcane beneficial effects on targets in Area of Effect',0,0),
(39192,80005,9,100,'Inflicts 996 - 1661 melee damage on targets in Area of Effect',0,1),
(39193,80006,1,100,'Dispels 11 levels of noxious and arcane beneficial effects on targets in Area of Effect',0,0),
(39194,80006,1,100,'Inflicts 764 - 1274 melee damage on targets in Area of Effect',0,1),
(39195,80006,4,100,'Dispels 13 levels of noxious and arcane beneficial effects on targets in Area of Effect',0,0),
(39196,80006,4,100,'Inflicts 934 - 1558 melee damage on targets in Area of Effect',0,1),
(39197,80006,5,100,'Dispels 14 levels of noxious and arcane beneficial effects on targets in Area of Effect',0,0),
(39198,80006,5,100,'Inflicts 1019 - 1699 melee damage on targets in Area of Effect',0,1),
(39199,80006,7,100,'Dispels 18 levels of noxious and arcane beneficial effects on targets in Area of Effect',0,0),
(39200,80006,7,100,'Inflicts 1308 - 2181 melee damage on targets in Area of Effect',0,1),
(39201,80006,9,100,'Dispels 19 levels of noxious and arcane beneficial effects on targets in Area of Effect',0,0),
(39202,80006,9,100,'Inflicts 1359 - 2266 melee damage on targets in Area of Effect',0,1),
(39203,340088,1,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(39204,340088,1,100,'Throws target back',1,1),
(39205,340088,1,100,'Blurs vision of target',1,2),
(39206,340088,1,100,'Stuns target',1,3),
(39207,340088,1,100,'Does not affect Epic targets',1,4),
(39208,340088,1,100,'Inflicts 32 - 53 ranged damage on target',0,5),
(39209,340088,1,100,'Inflicts 32 - 53 ranged damage on target',0,6),
(39210,340088,1,100,'If weapon equipped in Ranged',0,7),
(39211,340088,2,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(39212,340088,2,100,'Throws target back',1,1),
(39213,340088,2,100,'Blurs vision of target',1,2),
(39214,340088,2,100,'Stuns target',1,3),
(39215,340088,2,100,'Does not affect Epic targets',1,4),
(39216,340088,2,100,'Inflicts 33 - 56 ranged damage on target',0,5),
(39217,340088,2,100,'Inflicts 33 - 56 ranged damage on target',0,6),
(39218,340088,2,100,'If weapon equipped in Ranged',0,7),
(39219,340088,3,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(39220,340088,3,100,'Throws target back',1,1),
(39221,340088,3,100,'Blurs vision of target',1,2),
(39222,340088,3,100,'Stuns target',1,3),
(39223,340088,3,100,'Does not affect Epic targets',1,4),
(39224,340088,3,100,'Inflicts 35 - 59 ranged damage on target',0,5),
(39225,340088,3,100,'Inflicts 35 - 59 ranged damage on target',0,6),
(39226,340088,3,100,'If weapon equipped in Ranged',0,7),
(39227,340088,4,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(39228,340088,4,100,'Throws target back',1,1),
(39229,340088,4,100,'Blurs vision of target',1,2),
(39230,340088,4,100,'Stuns target',1,3),
(39231,340088,4,100,'Does not affect Epic targets',1,4),
(39232,340088,4,100,'Inflicts 39 - 65 ranged damage on target',0,5),
(39233,340088,4,100,'Inflicts 39 - 65 ranged damage on target',0,6),
(39234,340088,4,100,'If weapon equipped in Ranged',0,7),
(39235,340088,5,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(39236,340088,5,100,'Throws target back',1,1),
(39237,340088,5,100,'Blurs vision of target',1,2),
(39238,340088,5,100,'Stuns target',1,3),
(39239,340088,5,100,'Does not affect Epic targets',1,4),
(39240,340088,5,100,'Inflicts 42 - 71 ranged damage on target',0,5),
(39241,340088,5,100,'Inflicts 42 - 71 ranged damage on target',0,6),
(39242,340088,5,100,'If weapon equipped in Ranged',0,7),
(39243,340088,7,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(39244,340088,7,100,'Throws target back',1,1),
(39245,340088,7,100,'Blurs vision of target',1,2),
(39246,340088,7,100,'Stuns target',1,3),
(39247,340088,7,100,'Does not affect Epic targets',1,4),
(39248,340088,7,100,'Inflicts 54 - 91 ranged damage on target',0,5),
(39249,340088,7,100,'Inflicts 54 - 91 ranged damage on target',0,6),
(39250,340088,7,100,'If weapon equipped in Ranged',0,7),
(39251,340088,9,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(39252,340088,9,100,'Throws target back',1,1),
(39253,340088,9,100,'Blurs vision of target',1,2),
(39254,340088,9,100,'Stuns target',1,3),
(39255,340088,9,100,'Does not affect Epic targets',1,4),
(39256,340088,9,100,'Inflicts 57 - 95 ranged damage on target',0,5),
(39257,340088,9,100,'Inflicts 57 - 95 ranged damage on target',0,6),
(39258,340088,9,100,'If weapon equipped in Ranged',0,7),
(39259,340089,1,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(39260,340089,1,100,'Throws target back',1,1),
(39261,340089,1,100,'Blurs vision of target',1,2),
(39262,340089,1,100,'Stuns target',1,3),
(39263,340089,1,100,'Does not affect Epic targets',1,4),
(39264,340089,1,100,'Inflicts 63 - 105 ranged damage on target',0,5),
(39265,340089,1,100,'Inflicts 63 - 105 ranged damage on target',0,6),
(39266,340089,1,100,'If weapon equipped in Ranged',0,7),
(39267,340089,2,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(39268,340089,2,100,'Throws target back',1,1),
(39269,340089,2,100,'Blurs vision of target',1,2),
(39270,340089,2,100,'Stuns target',1,3),
(39271,340089,2,100,'Does not affect Epic targets',1,4),
(39272,340089,2,100,'Inflicts 67 - 111 ranged damage on target',0,5),
(39273,340089,2,100,'Inflicts 67 - 111 ranged damage on target',0,6),
(39274,340089,2,100,'If weapon equipped in Ranged',0,7),
(39275,340089,3,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(39276,340089,3,100,'Throws target back',1,1),
(39277,340089,3,100,'Blurs vision of target',1,2),
(39278,340089,3,100,'Stuns target',1,3),
(39279,340089,3,100,'Does not affect Epic targets',1,4),
(39280,340089,3,100,'Inflicts 70 - 117 ranged damage on target',0,5),
(39281,340089,3,100,'Inflicts 70 - 117 ranged damage on target',0,6),
(39282,340089,3,100,'If weapon equipped in Ranged',0,7),
(39283,340089,4,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(39284,340089,4,100,'Throws target back',1,1),
(39285,340089,4,100,'Blurs vision of target',1,2),
(39286,340089,4,100,'Stuns target',1,3),
(39287,340089,4,100,'Does not affect Epic targets',1,4),
(39288,340089,4,100,'Inflicts 77 - 129 ranged damage on target',0,5),
(39289,340089,4,100,'Inflicts 77 - 129 ranged damage on target',0,6),
(39290,340089,4,100,'If weapon equipped in Ranged',0,7),
(39291,340089,5,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(39292,340089,5,100,'Throws target back',1,1),
(39293,340089,5,100,'Blurs vision of target',1,2),
(39294,340089,5,100,'Stuns target',1,3),
(39295,340089,5,100,'Does not affect Epic targets',1,4),
(39296,340089,5,100,'Inflicts 84 - 141 ranged damage on target',0,5),
(39297,340089,5,100,'Inflicts 84 - 141 ranged damage on target',0,6),
(39298,340089,5,100,'If weapon equipped in Ranged',0,7),
(39299,340089,7,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(39300,340089,7,100,'Throws target back',1,1),
(39301,340089,7,100,'Blurs vision of target',1,2),
(39302,340089,7,100,'Stuns target',1,3),
(39303,340089,7,100,'Does not affect Epic targets',1,4),
(39304,340089,7,100,'Inflicts 108 - 181 ranged damage on target',0,5),
(39305,340089,7,100,'Inflicts 108 - 181 ranged damage on target',0,6),
(39306,340089,7,100,'If weapon equipped in Ranged',0,7),
(39307,340089,9,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(39308,340089,9,100,'Throws target back',1,1),
(39309,340089,9,100,'Blurs vision of target',1,2),
(39310,340089,9,100,'Stuns target',1,3),
(39311,340089,9,100,'Does not affect Epic targets',1,4),
(39312,340089,9,100,'Inflicts 112 - 188 ranged damage on target',0,5),
(39313,340089,9,100,'Inflicts 112 - 188 ranged damage on target',0,6),
(39314,340089,9,100,'If weapon equipped in Ranged',0,7),
(39315,340090,1,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(39316,340090,1,100,'Throws target back',1,1),
(39317,340090,1,100,'Blurs vision of target',1,2),
(39318,340090,1,100,'Stuns target',1,3),
(39319,340090,1,100,'Does not affect Epic targets',1,4),
(39320,340090,1,100,'Inflicts 98 - 164 ranged damage on target',0,5),
(39321,340090,1,100,'Inflicts 98 - 164 ranged damage on target',0,6),
(39322,340090,1,100,'If weapon equipped in Ranged',0,7),
(39323,340090,2,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(39324,340090,2,100,'Throws target back',1,1),
(39325,340090,2,100,'Blurs vision of target',1,2),
(39326,340090,2,100,'Stuns target',1,3),
(39327,340090,2,100,'Does not affect Epic targets',1,4),
(39328,340090,2,100,'Inflicts 104 - 173 ranged damage on target',0,5),
(39329,340090,2,100,'Inflicts 104 - 173 ranged damage on target',0,6),
(39330,340090,2,100,'If weapon equipped in Ranged',0,7),
(39331,340090,3,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(39332,340090,3,100,'Throws target back',1,1),
(39333,340090,3,100,'Blurs vision of target',1,2),
(39334,340090,3,100,'Stuns target',1,3),
(39335,340090,3,100,'Does not affect Epic targets',1,4),
(39336,340090,3,100,'Inflicts 109 - 182 ranged damage on target',0,5),
(39337,340090,3,100,'Inflicts 109 - 182 ranged damage on target',0,6),
(39338,340090,3,100,'If weapon equipped in Ranged',0,7),
(39339,340090,4,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(39340,340090,4,100,'Throws target back',1,1),
(39341,340090,4,100,'Blurs vision of target',1,2),
(39342,340090,4,100,'Stuns target',1,3),
(39343,340090,4,100,'Does not affect Epic targets',1,4),
(39344,340090,4,100,'Inflicts 120 - 201 ranged damage on target',0,5),
(39345,340090,4,100,'Inflicts 120 - 201 ranged damage on target',0,6),
(39346,340090,4,100,'If weapon equipped in Ranged',0,7),
(39347,340090,5,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(39348,340090,5,100,'Throws target back',1,1),
(39349,340090,5,100,'Blurs vision of target',1,2),
(39350,340090,5,100,'Stuns target',1,3),
(39351,340090,5,100,'Does not affect Epic targets',1,4),
(39352,340090,5,100,'Inflicts 131 - 219 ranged damage on target',0,5),
(39353,340090,5,100,'Inflicts 131 - 219 ranged damage on target',0,6),
(39354,340090,5,100,'If weapon equipped in Ranged',0,7),
(39355,340090,7,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(39356,340090,7,100,'Throws target back',1,1),
(39357,340090,7,100,'Blurs vision of target',1,2),
(39358,340090,7,100,'Stuns target',1,3),
(39359,340090,7,100,'Does not affect Epic targets',1,4),
(39360,340090,7,100,'Inflicts 169 - 281 ranged damage on target',0,5),
(39361,340090,7,100,'Inflicts 169 - 281 ranged damage on target',0,6),
(39362,340090,7,100,'If weapon equipped in Ranged',0,7),
(39363,340090,9,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(39364,340090,9,100,'Throws target back',1,1),
(39365,340090,9,100,'Blurs vision of target',1,2),
(39366,340090,9,100,'Stuns target',1,3),
(39367,340090,9,100,'Does not affect Epic targets',1,4),
(39368,340090,9,100,'Inflicts 175 - 292 ranged damage on target',0,5),
(39369,340090,9,100,'Inflicts 175 - 292 ranged damage on target',0,6),
(39370,340090,9,100,'If weapon equipped in Ranged',0,7),
(39371,340091,1,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(39372,340091,1,100,'Throws target back',1,1),
(39373,340091,1,100,'Blurs vision of target',1,2),
(39374,340091,1,100,'Stuns target',1,3),
(39375,340091,1,100,'Does not affect Epic targets',1,4),
(39376,340091,1,100,'Inflicts 139 - 233 ranged damage on target',0,5),
(39377,340091,1,100,'Inflicts 139 - 233 ranged damage on target',0,6),
(39378,340091,1,100,'If weapon equipped in Ranged',0,7),
(39379,340091,2,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(39380,340091,2,100,'Throws target back',1,1),
(39381,340091,2,100,'Blurs vision of target',1,2),
(39382,340091,2,100,'Stuns target',1,3),
(39383,340091,2,100,'Does not affect Epic targets',1,4),
(39384,340091,2,100,'Inflicts 147 - 246 ranged damage on target',0,5),
(39385,340091,2,100,'Inflicts 147 - 246 ranged damage on target',0,6),
(39386,340091,2,100,'If weapon equipped in Ranged',0,7),
(39387,340091,3,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(39388,340091,3,100,'Throws target back',1,1),
(39389,340091,3,100,'Blurs vision of target',1,2),
(39390,340091,3,100,'Stuns target',1,3),
(39391,340091,3,100,'Does not affect Epic targets',1,4),
(39392,340091,3,100,'Inflicts 155 - 259 ranged damage on target',0,5),
(39393,340091,3,100,'Inflicts 155 - 259 ranged damage on target',0,6),
(39394,340091,3,100,'If weapon equipped in Ranged',0,7),
(39395,340091,4,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(39396,340091,4,100,'Throws target back',1,1),
(39397,340091,4,100,'Blurs vision of target',1,2),
(39398,340091,4,100,'Stuns target',1,3),
(39399,340091,4,100,'Does not affect Epic targets',1,4),
(39400,340091,4,100,'Inflicts 171 - 285 ranged damage on target',0,5),
(39401,340091,4,100,'Inflicts 171 - 285 ranged damage on target',0,6),
(39402,340091,4,100,'If weapon equipped in Ranged',0,7),
(39403,340091,5,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(39404,340091,5,100,'Throws target back',1,1),
(39405,340091,5,100,'Blurs vision of target',1,2),
(39406,340091,5,100,'Stuns target',1,3),
(39407,340091,5,100,'Does not affect Epic targets',1,4),
(39408,340091,5,100,'Inflicts 186 - 311 ranged damage on target',0,5),
(39409,340091,5,100,'Inflicts 186 - 311 ranged damage on target',0,6),
(39410,340091,5,100,'If weapon equipped in Ranged',0,7),
(39411,340091,7,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(39412,340091,7,100,'Throws target back',1,1),
(39413,340091,7,100,'Blurs vision of target',1,2),
(39414,340091,7,100,'Stuns target',1,3),
(39415,340091,7,100,'Does not affect Epic targets',1,4),
(39416,340091,7,100,'Inflicts 239 - 399 ranged damage on target',0,5),
(39417,340091,7,100,'Inflicts 239 - 399 ranged damage on target',0,6),
(39418,340091,7,100,'If weapon equipped in Ranged',0,7),
(39419,340091,9,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(39420,340091,9,100,'Throws target back',1,1),
(39421,340091,9,100,'Blurs vision of target',1,2),
(39422,340091,9,100,'Stuns target',1,3),
(39423,340091,9,100,'Does not affect Epic targets',1,4),
(39424,340091,9,100,'Inflicts 248 - 414 ranged damage on target',0,5),
(39425,340091,9,100,'Inflicts 248 - 414 ranged damage on target',0,6),
(39426,340091,9,100,'If weapon equipped in Ranged',0,7),
(39427,340092,1,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(39428,340092,1,100,'Throws target back',1,1),
(39429,340092,1,100,'Blurs vision of target',1,2),
(39430,340092,1,100,'Stuns target',1,3),
(39431,340092,1,100,'Does not affect Epic targets',1,4),
(39432,340092,1,100,'Inflicts 178 - 298 ranged damage on target',0,5),
(39433,340092,1,100,'Inflicts 178 - 298 ranged damage on target',0,6),
(39434,340092,1,100,'If weapon equipped in Ranged',0,7),
(39435,340092,2,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(39436,340092,2,100,'Throws target back',1,1),
(39437,340092,2,100,'Blurs vision of target',1,2),
(39438,340092,2,100,'Stuns target',1,3),
(39439,340092,2,100,'Does not affect Epic targets',1,4),
(39440,340092,2,100,'Inflicts 188 - 314 ranged damage on target',0,5),
(39441,340092,2,100,'Inflicts 188 - 314 ranged damage on target',0,6),
(39442,340092,2,100,'If weapon equipped in Ranged',0,7),
(39443,340092,3,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(39444,340092,3,100,'Throws target back',1,1),
(39445,340092,3,100,'Blurs vision of target',1,2),
(39446,340092,3,100,'Stuns target',1,3),
(39447,340092,3,100,'Does not affect Epic targets',1,4),
(39448,340092,3,100,'Inflicts 198 - 331 ranged damage on target',0,5),
(39449,340092,3,100,'Inflicts 198 - 331 ranged damage on target',0,6),
(39450,340092,3,100,'If weapon equipped in Ranged',0,7),
(39451,340092,4,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(39452,340092,4,100,'Throws target back',1,1),
(39453,340092,4,100,'Blurs vision of target',1,2),
(39454,340092,4,100,'Stuns target',1,3),
(39455,340092,4,100,'Does not affect Epic targets',1,4),
(39456,340092,4,100,'Inflicts 218 - 364 ranged damage on target',0,5),
(39457,340092,4,100,'Inflicts 218 - 364 ranged damage on target',0,6),
(39458,340092,4,100,'If weapon equipped in Ranged',0,7),
(39459,340092,5,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(39460,340092,5,100,'Throws target back',1,1),
(39461,340092,5,100,'Blurs vision of target',1,2),
(39462,340092,5,100,'Stuns target',1,3),
(39463,340092,5,100,'Does not affect Epic targets',1,4),
(39464,340092,5,100,'Inflicts 238 - 397 ranged damage on target',0,5),
(39465,340092,5,100,'Inflicts 238 - 397 ranged damage on target',0,6),
(39466,340092,5,100,'If weapon equipped in Ranged',0,7),
(39467,340092,7,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(39468,340092,7,100,'Throws target back',1,1),
(39469,340092,7,100,'Blurs vision of target',1,2),
(39470,340092,7,100,'Stuns target',1,3),
(39471,340092,7,100,'Does not affect Epic targets',1,4),
(39472,340092,7,100,'Inflicts 306 - 510 ranged damage on target',0,5),
(39473,340092,7,100,'Inflicts 306 - 510 ranged damage on target',0,6),
(39474,340092,7,100,'If weapon equipped in Ranged',0,7),
(39475,340092,9,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(39476,340092,9,100,'Throws target back',1,1),
(39477,340092,9,100,'Blurs vision of target',1,2),
(39478,340092,9,100,'Stuns target',1,3),
(39479,340092,9,100,'Does not affect Epic targets',1,4),
(39480,340092,9,100,'Inflicts 318 - 530 ranged damage on target',0,5),
(39481,340092,9,100,'Inflicts 318 - 530 ranged damage on target',0,6),
(39482,340092,9,100,'If weapon equipped in Ranged',0,7),
(39483,340093,1,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(39484,340093,1,100,'Throws target back',1,1),
(39485,340093,1,100,'Blurs vision of target',1,2),
(39486,340093,1,100,'Stuns target',1,3),
(39487,340093,1,100,'Does not affect Epic targets',1,4),
(39488,340093,1,100,'Inflicts 216 - 361 ranged damage on target',0,5),
(39489,340093,1,100,'Inflicts 216 - 361 ranged damage on target',0,6),
(39490,340093,1,100,'If weapon equipped in Ranged',0,7),
(39491,340093,4,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(39492,340093,4,100,'Throws target back',1,1),
(39493,340093,4,100,'Blurs vision of target',1,2),
(39494,340093,4,100,'Stuns target',1,3),
(39495,340093,4,100,'Does not affect Epic targets',1,4),
(39496,340093,4,100,'Inflicts 264 - 441 ranged damage on target',0,5),
(39497,340093,4,100,'Inflicts 264 - 441 ranged damage on target',0,6),
(39498,340093,4,100,'If weapon equipped in Ranged',0,7),
(39499,340093,5,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(39500,340093,5,100,'Throws target back',1,1),
(39501,340093,5,100,'Blurs vision of target',1,2),
(39502,340093,5,100,'Stuns target',1,3),
(39503,340093,5,100,'Does not affect Epic targets',1,4),
(39504,340093,5,100,'Inflicts 289 - 481 ranged damage on target',0,5),
(39505,340093,5,100,'Inflicts 289 - 481 ranged damage on target',0,6),
(39506,340093,5,100,'If weapon equipped in Ranged',0,7),
(39507,340093,7,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(39508,340093,7,100,'Throws target back',1,1),
(39509,340093,7,100,'Blurs vision of target',1,2),
(39510,340093,7,100,'Stuns target',1,3),
(39511,340093,7,100,'Does not affect Epic targets',1,4),
(39512,340093,7,100,'Inflicts 370 - 618 ranged damage on target',0,5),
(39513,340093,7,100,'Inflicts 370 - 618 ranged damage on target',0,6),
(39514,340093,7,100,'If weapon equipped in Ranged',0,7),
(39515,340093,9,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(39516,340093,9,100,'Throws target back',1,1),
(39517,340093,9,100,'Blurs vision of target',1,2),
(39518,340093,9,100,'Stuns target',1,3),
(39519,340093,9,100,'Does not affect Epic targets',1,4),
(39520,340093,9,100,'Inflicts 385 - 642 ranged damage on target',0,5),
(39521,340093,9,100,'Inflicts 385 - 642 ranged damage on target',0,6),
(39522,340093,9,100,'If weapon equipped in Ranged',0,7),
(39523,340094,1,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(39524,340094,1,100,'Throws target back',1,1),
(39525,340094,1,100,'Blurs vision of target',1,2),
(39526,340094,1,100,'Stuns target',1,3),
(39527,340094,1,100,'Does not affect Epic targets',1,4),
(39528,340094,1,100,'Inflicts 257 - 428 ranged damage on target',0,5),
(39529,340094,1,100,'Inflicts 257 - 428 ranged damage on target',0,6),
(39530,340094,1,100,'If weapon equipped in Ranged',0,7),
(39531,340094,4,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(39532,340094,4,100,'Throws target back',1,1),
(39533,340094,4,100,'Blurs vision of target',1,2),
(39534,340094,4,100,'Stuns target',1,3),
(39535,340094,4,100,'Does not affect Epic targets',1,4),
(39536,340094,4,100,'Inflicts 314 - 523 ranged damage on target',0,5),
(39537,340094,4,100,'Inflicts 314 - 523 ranged damage on target',0,6),
(39538,340094,4,100,'If weapon equipped in Ranged',0,7),
(39539,340094,5,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(39540,340094,5,100,'Throws target back',1,1),
(39541,340094,5,100,'Blurs vision of target',1,2),
(39542,340094,5,100,'Stuns target',1,3),
(39543,340094,5,100,'Does not affect Epic targets',1,4),
(39544,340094,5,100,'Inflicts 342 - 571 ranged damage on target',0,5),
(39545,340094,5,100,'Inflicts 342 - 571 ranged damage on target',0,6),
(39546,340094,5,100,'If weapon equipped in Ranged',0,7),
(39547,340094,7,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(39548,340094,7,100,'Throws target back',1,1),
(39549,340094,7,100,'Blurs vision of target',1,2),
(39550,340094,7,100,'Stuns target',1,3),
(39551,340094,7,100,'Does not affect Epic targets',1,4),
(39552,340094,7,100,'Inflicts 440 - 733 ranged damage on target',0,5),
(39553,340094,7,100,'Inflicts 440 - 733 ranged damage on target',0,6),
(39554,340094,7,100,'If weapon equipped in Ranged',0,7),
(39555,340094,9,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(39556,340094,9,100,'Throws target back',1,1),
(39557,340094,9,100,'Blurs vision of target',1,2),
(39558,340094,9,100,'Stuns target',1,3),
(39559,340094,9,100,'Does not affect Epic targets',1,4),
(39560,340094,9,100,'Inflicts 457 - 762 ranged damage on target',0,5),
(39561,340094,9,100,'Inflicts 457 - 762 ranged damage on target',0,6),
(39562,340094,9,100,'If weapon equipped in Ranged',0,7),
(39563,340095,1,100,'Instantly recasts any offensive Combat Art the brigand uses.',0,0),
(39564,340095,2,100,'Instantly recasts any offensive Combat Art the brigand uses.',0,0),
(39565,340095,3,100,'Instantly recasts any offensive Combat Art the brigand uses.',0,0),
(39566,340095,4,100,'Instantly recasts any offensive Combat Art the brigand uses.',0,0),
(39567,340095,5,100,'Instantly recasts any offensive Combat Art the brigand uses.',0,0),
(39568,340095,7,100,'Instantly recasts any offensive Combat Art the brigand uses.',0,0),
(39569,340095,9,100,'Instantly recasts any offensive Combat Art the brigand uses.',0,0),
(39570,330041,1,100,'Increases elemental damage done to target by up to 1.61.',0,0),
(39571,330041,1,100,'Decreases WIS of target by 6.1',0,1),
(39572,330041,2,100,'Increases elemental damage done to target by up to 1.69.',0,0),
(39573,330041,2,100,'Decreases WIS of target by 6.5',0,1),
(39574,330041,3,100,'Increases elemental damage done to target by up to 1.78.',0,0),
(39575,330041,3,100,'Decreases WIS of target by 6.8',0,1),
(39576,330041,4,100,'Increases elemental damage done to target by up to 1.96.',0,0),
(39577,330041,4,100,'Decreases WIS of target by 7.5',0,1),
(39578,330041,5,100,'Increases elemental damage done to target by up to 2.14.',0,0),
(39579,330041,5,100,'Decreases WIS of target by 8.2',0,1),
(39580,330041,7,100,'Increases elemental damage done to target by up to 2.75.',0,0),
(39581,330041,7,100,'Decreases WIS of target by 10.5',0,1),
(39582,330041,9,100,'Increases elemental damage done to target by up to 2.85.',0,0),
(39583,330041,9,100,'Decreases WIS of target by 10.9',0,1),
(39584,330042,1,100,'Increases elemental damage done to target by up to 1.61.',0,0),
(39585,330042,1,100,'Decreases WIS of target by 15.7',0,1),
(39586,330042,2,100,'Increases elemental damage done to target by up to 1.69.',0,0),
(39587,330042,2,100,'Decreases WIS of target by 16.5',0,1),
(39588,330042,3,100,'Increases elemental damage done to target by up to 1.78.',0,0),
(39589,330042,3,100,'Decreases WIS of target by 17.4',0,1),
(39590,330042,4,100,'Increases elemental damage done to target by up to 1.96.',0,0),
(39591,330042,4,100,'Decreases WIS of target by 19.1',0,1),
(39592,330042,5,100,'Increases elemental damage done to target by up to 2.14.',0,0),
(39593,330042,5,100,'Decreases WIS of target by 20.9',0,1),
(39594,330042,7,100,'Increases elemental damage done to target by up to 2.75.',0,0),
(39595,330042,7,100,'Decreases WIS of target by 26.8',0,1),
(39596,330042,9,100,'Increases elemental damage done to target by up to 2.85.',0,0),
(39597,330042,9,100,'Decreases WIS of target by 27.8',0,1),
(39598,330043,1,100,'Increases elemental damage done to target by up to 1.61.',0,0),
(39599,330043,1,100,'Decreases WIS of target by 25.0',0,1),
(39600,330043,2,100,'Increases elemental damage done to target by up to 1.69.',0,0),
(39601,330043,2,100,'Decreases WIS of target by 26.4',0,1),
(39602,330043,3,100,'Increases elemental damage done to target by up to 1.78.',0,0),
(39603,330043,3,100,'Decreases WIS of target by 27.8',0,1),
(39604,330043,4,100,'Increases elemental damage done to target by up to 1.96.',0,0),
(39605,330043,4,100,'Decreases WIS of target by 30.6',0,1),
(39606,330043,5,100,'Increases elemental damage done to target by up to 2.14.',0,0),
(39607,330043,5,100,'Decreases WIS of target by 33.4',0,1),
(39608,330043,7,100,'Increases elemental damage done to target by up to 2.75.',0,0),
(39609,330043,7,100,'Decreases WIS of target by 42.8',0,1),
(39610,330043,9,100,'Increases elemental damage done to target by up to 2.85.',0,0),
(39611,330043,9,100,'Decreases WIS of target by 44.5',0,1),
(39612,330044,1,100,'Increases elemental damage done to target by up to 1.61.',0,0),
(39613,330044,1,100,'Decreases WIS of target by 35.1',0,1),
(39614,330044,2,100,'Increases elemental damage done to target by up to 1.69.',0,0),
(39615,330044,2,100,'Decreases WIS of target by 37.0',0,1),
(39616,330044,3,100,'Increases elemental damage done to target by up to 1.78.',0,0),
(39617,330044,3,100,'Decreases WIS of target by 39.0',0,1),
(39618,330044,4,100,'Increases elemental damage done to target by up to 1.96.',0,0),
(39619,330044,4,100,'Decreases WIS of target by 42.9',0,1),
(39620,330044,5,100,'Increases elemental damage done to target by up to 2.14.',0,0),
(39621,330044,5,100,'Decreases WIS of target by 46.8',0,1),
(39622,330044,7,100,'Increases elemental damage done to target by up to 2.75.',0,0),
(39623,330044,7,100,'Decreases WIS of target by 60.1',0,1),
(39624,330044,9,100,'Increases elemental damage done to target by up to 2.85.',0,0),
(39625,330044,9,100,'Decreases WIS of target by 62.4',0,1),
(39626,330045,1,100,'Increases elemental damage done to target by up to 1.61.',0,0),
(39627,330045,1,100,'Decreases WIS of target by 45.2',0,1),
(39628,330045,2,100,'Increases elemental damage done to target by up to 1.69.',0,0),
(39629,330045,2,100,'Decreases WIS of target by 47.7',0,1),
(39630,330045,3,100,'Increases elemental damage done to target by up to 1.78.',0,0),
(39631,330045,3,100,'Decreases WIS of target by 50.2',0,1),
(39632,330045,4,100,'Increases elemental damage done to target by up to 1.96.',0,0),
(39633,330045,4,100,'Decreases WIS of target by 55.2',0,1),
(39634,330045,5,100,'Increases elemental damage done to target by up to 2.14.',0,0),
(39635,330045,5,100,'Decreases WIS of target by 60.2',0,1),
(39636,330045,7,100,'Increases elemental damage done to target by up to 2.75.',0,0),
(39637,330045,7,100,'Decreases WIS of target by 77.3',0,1),
(39638,330045,9,100,'Increases elemental damage done to target by up to 2.85.',0,0),
(39639,330045,9,100,'Decreases WIS of target by 80.3',0,1),
(39640,330046,1,100,'Increases elemental damage done to target by up to 1.61.',0,0),
(39641,330046,1,100,'Decreases WIS of target by 54.4',0,1),
(39642,330046,2,100,'Increases elemental damage done to target by up to 1.69.',0,0),
(39643,330046,2,100,'Decreases WIS of target by 57.5',0,1),
(39644,330046,3,100,'Increases elemental damage done to target by up to 1.78.',0,0),
(39645,330046,3,100,'Decreases WIS of target by 60.5',0,1),
(39646,330046,4,100,'Increases elemental damage done to target by up to 1.96.',0,0),
(39647,330046,4,100,'Decreases WIS of target by 66.6',0,1),
(39648,330046,5,100,'Increases elemental damage done to target by up to 2.14.',0,0),
(39649,330046,5,100,'Decreases WIS of target by 72.6',0,1),
(39650,330046,7,100,'Increases elemental damage done to target by up to 2.75.',0,0),
(39651,330046,7,100,'Decreases WIS of target by 93.2',0,1),
(39652,330046,9,100,'Increases elemental damage done to target by up to 2.85.',0,0),
(39653,330046,9,100,'Decreases WIS of target by 96.8',0,1),
(39654,330047,1,100,'Increases elemental damage done to target by up to 1.61.',0,0),
(39655,330047,1,100,'Decreases WIS of target by 64.3',0,1),
(39656,330047,4,100,'Increases elemental damage done to target by up to 1.96.',0,0),
(39657,330047,4,100,'Decreases WIS of target by 78.7',0,1),
(39658,330047,5,100,'Increases elemental damage done to target by up to 2.14.',0,0),
(39659,330047,5,100,'Decreases WIS of target by 85.8',0,1),
(39660,330047,7,100,'Increases elemental damage done to target by up to 2.75.',0,0),
(39661,330047,7,100,'Decreases WIS of target by 110.1',0,1),
(39662,330047,9,100,'Increases elemental damage done to target by up to 2.85.',0,0),
(39663,330047,9,100,'Decreases WIS of target by 114.4',0,1),
(39664,330048,1,100,'Increases elemental damage done to target by up to 1.61.',0,0),
(39665,330048,1,100,'Decreases WIS of target by 74.2',0,1),
(39666,330048,4,100,'Increases elemental damage done to target by up to 1.96.',0,0),
(39667,330048,4,100,'Decreases WIS of target by 90.7',0,1),
(39668,330048,5,100,'Increases elemental damage done to target by up to 2.14.',0,0),
(39669,330048,5,100,'Decreases WIS of target by 99.0',0,1),
(39670,330048,7,100,'Increases elemental damage done to target by up to 2.75.',0,0),
(39671,330048,7,100,'Decreases WIS of target by 127.0',0,1),
(39672,330048,9,100,'Increases elemental damage done to target by up to 2.85.',0,0),
(39673,330048,9,100,'Decreases WIS of target by 132.0',0,1),
(39674,2000082,1,100,'Inflicts 969 - 1616 ranged damage on targets in Area of Effect',0,0),
(39675,2000082,1,100,'Requires bow or aim',0,1),
(39676,2000083,1,100,'Wards caster against 0 points of all damage',0,0),
(39677,2000083,1,100,'Regenerates 33% of the ward every 3 seconds',0,1),
(39678,2000083,2,100,'Wards caster against 0 points of all damage',0,0),
(39679,2000083,2,100,'Regenerates 33% of the ward every 3 seconds',0,1),
(39680,2000083,3,100,'Wards caster against 0 points of all damage',0,0),
(39681,2000083,3,100,'Regenerates 33% of the ward every 3 seconds',0,1),
(39682,2000083,4,100,'Wards caster against 1 points of all damage',0,0),
(39683,2000083,4,100,'Regenerates 33% of the ward every 3 seconds',0,1),
(39684,2000083,5,100,'Wards caster against 1 points of all damage',0,0),
(39685,2000083,5,100,'Regenerates 33% of the ward every 3 seconds',0,1),
(39686,2000083,6,100,'Wards caster against 1 points of all damage',0,0),
(39687,2000083,6,100,'Regenerates 33% of the ward every 3 seconds',0,1),
(39688,2000083,7,100,'Wards caster against 2 points of all damage',0,0),
(39689,2000083,7,100,'Regenerates 33% of the ward every 3 seconds',0,1),
(39690,2000083,8,100,'Wards caster against 2 points of all damage',0,0),
(39691,2000083,8,100,'Regenerates 33% of the ward every 3 seconds',0,1),
(39692,2000083,9,100,'Wards caster against 2 points of all damage',0,0),
(39693,2000083,9,100,'Regenerates 33% of the ward every 3 seconds',0,1),
(39694,2000083,10,100,'Wards caster against 3 points of all damage',0,0),
(39695,2000083,10,100,'Regenerates 33% of the ward every 3 seconds',0,1),
(39696,2000084,3,100,'Increases Multi Attack of group members (AE) by 15.0',0,0),
(39697,2000084,4,100,'Increases Multi Attack Chance of group members (AE) by 16.5',0,0),
(39698,2000084,5,100,'Increases Multi Attack of group members (AE) by 18.0',0,0),
(39699,2000084,7,100,'Increases Multi Attack of group members (AE) by 23.1',0,0),
(39700,2000084,9,100,'Increases Multi Attack of group members (AE) by 24.0',0,0),
(39701,2000084,10,100,'Increases Multi Attack of group members (AE) by 25.2',0,0),
(39702,420019,9,100,'Inflicts 778 - 1297 heat damage on targets in Area of Effect',0,0),
(39703,420019,9,100,'The effect of this ability grows based on Feral Rampage level.',0,1),
(39704,420019,9,100,'You must have Tame Exotic Warder to use this Primal.',0,2),
(39705,420019,9,100,'You must have your warder active to use this ability.',0,3),
(39706,2000085,3,100,'Inflicts 2 - 3 heat damage on target encounter',0,0),
(39707,2000085,3,100,'Increases Mitigation of target encounter vs elemental damage by 0',0,1),
(39708,2000085,4,100,'Inflicts 2 - 4 heat damage on target encounter',0,0),
(39709,2000085,4,100,'Increases Mitigation of target encounter vs elemental damage by 0',0,1),
(39710,2000085,5,100,'Inflicts 2 - 4 heat damage on target encounter',0,0),
(39711,2000085,5,100,'Increases Mitigation of target encounter vs elemental damage by 0',0,1),
(39712,2000085,7,100,'Inflicts 3 - 5 heat damage on target encounter',0,0),
(39713,2000085,7,100,'Increases Mitigation of target encounter vs elemental damage by 0',0,1),
(39714,2000085,9,100,'Inflicts 3 - 6 heat damage on target encounter',0,0),
(39715,2000085,9,100,'Increases Mitigation of target encounter vs elemental damage by 0',0,1),
(39716,2000085,10,100,'Inflicts 3 - 6 heat damage on target encounter',0,0),
(39717,2000085,10,100,'Increases Mitigation of target encounter vs elemental damage by 0',0,1),
(39718,2000086,1,100,'Heals caster for 19.9 - 24.3% of max health',0,0),
(39719,2000086,1,100,'This effect cannot be critically applied.',1,1),
(39720,2000086,1,100,'Increases Max Health of caster by 25.0%',0,2),
(39721,2000086,1,100,'The healing of this spell cannot be modified except by direct means',0,3),
(39722,2000087,1,100,'You can drag target enemy around for a short duration. That enemy is forced to target you while Drag is active.',0,0),
(39723,2000088,1,100,'Increases potency by 25% of the caster''s base potency',0,0),
(39738,60059,1,100,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',0,0),
(39739,60059,1,100,'Increases Threat to target by 1,879 ',1,1),
(39740,60059,2,100,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',0,0),
(39741,60059,2,100,'Increases Threat to target by 1,954 ',1,1),
(39742,60059,3,100,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',0,0),
(39743,60059,3,100,'Increases Threat to target by 2,028 ',1,1),
(39744,60059,4,100,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',0,0),
(39745,60059,4,100,'Increases Threat to target by 2,177 ',1,1),
(39746,60059,5,100,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',0,0),
(39747,60059,5,100,'Increases Threat to target by 2,326 ',1,1),
(39748,60059,7,100,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',0,0),
(39749,60059,7,100,'Increases Threat to target by 2,832 ',1,1),
(39750,60059,9,100,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',0,0),
(39751,60059,9,100,'Increases Threat to target by 2,921 ',1,1),
(39752,60059,10,100,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',0,0),
(39753,60059,10,100,'Increases Threat to target by 3,040 ',1,1),
(39754,60060,1,100,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',0,0),
(39755,60060,1,100,'Increases Threat to target by 2,525 ',1,1),
(39756,60060,2,100,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',0,0),
(39757,60060,2,100,'Increases Threat to target by 2,635 ',1,1),
(39758,60060,3,100,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',0,0),
(39759,60060,3,100,'Increases Threat to target by 2,746 ',1,1),
(39760,60060,4,100,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',0,0),
(39761,60060,4,100,'Increases Threat to target by 2,966 ',1,1),
(39762,60060,5,100,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',0,0),
(39763,60060,5,100,'Increases Threat to target by 3,187 ',1,1),
(39764,60060,7,100,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',0,0),
(39765,60060,7,100,'Increases Threat to target by 3,937 ',1,1),
(39766,60060,9,100,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',0,0),
(39767,60060,9,100,'Increases Threat to target by 4,069 ',1,1),
(39768,60061,1,100,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',0,0),
(39769,60061,1,100,'Increases Threat to target by 3,201 ',1,1),
(39770,60061,2,100,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',0,0),
(39771,60061,2,100,'Increases Threat to target by 3,349 ',1,1),
(39772,60061,3,100,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',0,0),
(39773,60061,3,100,'Increases Threat to target by 3,497 ',1,1),
(39774,60061,4,100,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',0,0),
(39775,60061,4,100,'Increases Threat to target by 3,792 ',1,1),
(39776,60061,5,100,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',0,0),
(39777,60061,5,100,'Increases Threat to target by 4,088 ',1,1),
(39778,60061,7,100,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',0,0),
(39779,60061,7,100,'Increases Threat to target by 5,094 ',1,1),
(39780,60061,9,100,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',0,0),
(39781,60061,9,100,'Increases Threat to target by 5,271 ',1,1),
(39782,60062,1,100,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',0,0),
(39783,60062,1,100,'Increases Threat to target by 3,878 ',1,1),
(39784,60062,2,100,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',0,0),
(39785,60062,2,100,'Increases Threat to target by 4,063 ',1,1),
(39786,60062,3,100,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',0,0),
(39787,60062,3,100,'Increases Threat to target by 4,248 ',1,1),
(39788,60062,4,100,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',0,0),
(39789,60062,4,100,'Increases Threat to target by 4,619 ',1,1),
(39790,60062,5,100,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',0,0),
(39791,60062,5,100,'Increases Threat to target by 4,990 ',1,1),
(39792,60062,7,100,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',0,0),
(39793,60062,7,100,'Increases Threat to target by 6,251 ',1,1),
(39794,60062,9,100,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',0,0),
(39795,60062,9,100,'Increases Threat to target by 6,474 ',1,1),
(39796,60063,1,100,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',0,0),
(39797,60063,1,100,'Increases Threat to target by 4,554 ',1,1),
(39798,60063,4,100,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',0,0),
(39799,60063,4,100,'Increases Threat to target by 5,446 ',1,1),
(39800,60063,5,100,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',0,0),
(39801,60063,5,100,'Increases Threat to target by 5,892 ',1,1),
(39802,60063,7,100,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',0,0),
(39803,60063,7,100,'Increases Threat to target by 7,408 ',1,1),
(39804,60063,9,100,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',0,0),
(39805,60063,9,100,'Increases Threat to target by 7,676 ',1,1),
(39806,60064,1,100,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',0,0),
(39807,60064,1,100,'Increases Threat to target by 5,230 ',1,1),
(39808,60064,4,100,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',0,0),
(39809,60064,4,100,'Increases Threat to target by 6,272 ',1,1),
(39810,60064,5,100,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',0,0),
(39811,60064,5,100,'Increases Threat to target by 6,793 ',1,1),
(39812,60064,7,100,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',0,0),
(39813,60064,7,100,'Increases Threat to target by 8,565 ',1,1),
(39814,60064,9,100,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',0,0),
(39815,60064,9,100,'Increases Threat to target by 8,878 ',1,1),
(39816,60065,1,100,'Inflicts 1 heat damage on targets in Area of Effect instantly and every second',0,0),
(39817,60065,1,100,'Decreases Ability Casting Speed of targets in Area of Effect by 27.0%',0,1),
(39818,60065,2,100,'Inflicts 1 heat damage on targets in Area of Effect instantly and every second',0,0),
(39819,60065,2,100,'Decreases Ability Casting Speed of targets in Area of Effect by 28.5%',0,1),
(39820,60065,3,100,'Inflicts 1 heat damage on targets in Area of Effect instantly and every second',0,0),
(39821,60065,3,100,'Decreases Ability Casting Speed of targets in Area of Effect by 30.0%',0,1),
(39822,60065,4,100,'Inflicts 1 heat damage on targets in Area of Effect instantly and every second',0,0),
(39823,60065,4,100,'Decreases Ability Casting Speed of targets in Area of Effect by 33.0%',0,1),
(39824,60065,5,100,'Inflicts 1 heat damage on targets in Area of Effect instantly and every second',0,0),
(39825,60065,5,100,'Decreases Ability Casting Speed of targets in Area of Effect by 36.0%',0,1),
(39826,60065,7,100,'Inflicts 1 - 2 heat damage on targets in Area of Effect instantly and every second',0,0),
(39827,60065,7,100,'Decreases Ability Casting Speed of targets in Area of Effect by 46.2%',0,1),
(39828,60065,9,100,'Inflicts 1 - 2 heat damage on targets in Area of Effect instantly and every second',0,0),
(39829,60065,9,100,'Decreases Ability Casting Speed of targets in Area of Effect by 48.0%',0,1),
(39830,60066,1,100,'Inflicts 1 heat damage on targets in Area of Effect instantly and every second',0,0),
(39831,60066,1,100,'Decreases Ability Casting Speed of targets in Area of Effect by 27.0%',0,1),
(39832,60066,2,100,'Inflicts 1 heat damage on targets in Area of Effect instantly and every second',0,0),
(39833,60066,2,100,'Decreases Ability Casting Speed of targets in Area of Effect by 28.5%',0,1),
(39834,60066,3,100,'Inflicts 1 heat damage on targets in Area of Effect instantly and every second',0,0),
(39835,60066,3,100,'Decreases Ability Casting Speed of targets in Area of Effect by 30.0%',0,1),
(39836,60066,4,100,'Inflicts 1 heat damage on targets in Area of Effect instantly and every second',0,0),
(39837,60066,4,100,'Decreases Ability Casting Speed of targets in Area of Effect by 33.0%',0,1),
(39838,60066,5,100,'Inflicts 1 heat damage on targets in Area of Effect instantly and every second',0,0),
(39839,60066,5,100,'Decreases Ability Casting Speed of targets in Area of Effect by 36.0%',0,1),
(39840,60066,7,100,'Inflicts 1 - 2 heat damage on targets in Area of Effect instantly and every second',0,0),
(39841,60066,7,100,'Decreases Ability Casting Speed of targets in Area of Effect by 46.2%',0,1),
(39842,60066,9,100,'Inflicts 1 - 2 heat damage on targets in Area of Effect instantly and every second',0,0),
(39843,60066,9,100,'Decreases Ability Casting Speed of targets in Area of Effect by 48.0%',0,1),
(39844,60067,1,100,'Inflicts 1 heat damage on targets in Area of Effect instantly and every second',0,0),
(39845,60067,1,100,'Decreases Ability Casting Speed of targets in Area of Effect by 27.0%',0,1),
(39846,60067,4,100,'Inflicts 1 heat damage on targets in Area of Effect instantly and every second',0,0),
(39847,60067,4,100,'Decreases Ability Casting Speed of targets in Area of Effect by 33.0%',0,1),
(39848,60067,5,100,'Inflicts 1 heat damage on targets in Area of Effect instantly and every second',0,0),
(39849,60067,5,100,'Decreases Ability Casting Speed of targets in Area of Effect by 36.0%',0,1),
(39850,60067,7,100,'Inflicts 1 - 2 heat damage on targets in Area of Effect instantly and every second',0,0),
(39851,60067,7,100,'Decreases Ability Casting Speed of targets in Area of Effect by 46.2%',0,1),
(39852,60067,9,100,'Inflicts 1 - 2 heat damage on targets in Area of Effect instantly and every second',0,0),
(39853,60067,9,100,'Decreases Ability Casting Speed of targets in Area of Effect by 48.0%',0,1),
(39854,60068,1,100,'Inflicts 1 heat damage on targets in Area of Effect instantly and every second',0,0),
(39855,60068,1,100,'Decreases Ability Casting Speed of targets in Area of Effect by 27.0%',0,1),
(39856,60068,4,100,'Inflicts 1 heat damage on targets in Area of Effect instantly and every second',0,0),
(39857,60068,4,100,'Decreases Ability Casting Speed of targets in Area of Effect by 33.0%',0,1),
(39858,60068,5,100,'Inflicts 1 heat damage on targets in Area of Effect instantly and every second',0,0),
(39859,60068,5,100,'Decreases Ability Casting Speed of targets in Area of Effect by 36.0%',0,1),
(39860,60068,7,100,'Inflicts 1 - 2 heat damage on targets in Area of Effect instantly and every second',0,0),
(39861,60068,7,100,'Decreases Ability Casting Speed of targets in Area of Effect by 46.2%',0,1),
(39862,60068,9,100,'Inflicts 1 - 2 heat damage on targets in Area of Effect instantly and every second',0,0),
(39863,60068,9,100,'Decreases Ability Casting Speed of targets in Area of Effect by 48.0%',0,1),
(39864,2000089,1,100,'Inflicts 1260 - 2341 melee damage on target',0,0),
(39865,2000089,1,100,'Stuns target',0,1),
(39866,2000089,1,100,'If Target is not Epic',1,2),
(39867,2000089,1,100,'Teleports the scout directly to their target if they are outside of 10 meters.',0,3),
(39868,2000090,1,100,'Inflicts 394 - 657 melee damage on targets in Area of Effect',0,0),
(39869,2000090,2,100,'Inflicts 416 - 693 melee damage on targets in Area of Effect',0,0),
(39870,2000090,3,100,'Inflicts 328 - 547 melee damage on targets in Area of Effect',0,0),
(39871,2000090,4,100,'Inflicts 361 - 602 melee damage on targets in Area of Effect',0,0),
(39872,2000090,5,100,'Inflicts 525 - 876 melee damage on targets in Area of Effect',0,0),
(39873,2000090,6,100,'Inflicts 427 - 712 melee damage on targets in Area of Effect',0,0),
(39874,2000090,7,100,'Inflicts 506 - 843 melee damage on targets in Area of Effect',0,0),
(39875,2000090,8,100,'Inflicts 678 - 1131 melee damage on targets in Area of Effect',0,0),
(39876,2000090,9,100,'Inflicts 525 - 876 melee damage on targets in Area of Effect',0,0),
(39877,2000090,10,100,'Inflicts 552 - 920 melee damage on targets in Area of Effect',0,0),
(39878,2000091,1,100,'Caster will Parry 100.0% of incoming attacks',0,0),
(39879,2000091,1,100,'Prevents AOE (except when direct) ',0,1),
(39880,2000091,1,100,'Makes caster immune to strikethrough attacks.',0,2),
(39881,2000091,1,100,'Dispelled when target casts a combat art',0,3),
(39882,310004,6,100,'Inflicts 74 - 124 melee damage on target',0,0),
(39883,310004,6,100,'Stuns target',0,1),
(39884,310004,6,100,'Epic targets gain an immunity to Stun effects of 10.0 seconds and duration is reduced to 1.1 seconds.',0,2),
(39885,310004,6,100,'Resistibility increases against targets higher than level 29.',0,3),
(39886,2000092,1,100,'Inflicts 1 - 2 melee damage on target',0,0),
(39887,2000092,1,100,'Forces target to face the same direction as the caster.',0,1),
(39888,2000092,1,100,'Prevents target from changing direction while active.',0,2),
(39889,2000092,1,100,'If Target is not Epic',1,3),
(39890,2000092,1,100,'Roots target',0,4),
(39891,2000092,1,100,'If Target is not Epic',1,5),
(39892,2000092,2,100,'Inflicts 263 - 438 melee damage on target',0,0),
(39893,2000092,2,100,'Forces target to face the same direction as the caster.',0,1),
(39894,2000092,2,100,'Prevents target from changing direction while active.',0,2),
(39895,2000092,2,100,'If Target is not Epic',1,3),
(39896,2000092,2,100,'Roots target',0,4),
(39897,2000092,2,100,'If Target is not Epic',1,5),
(39898,2000092,3,100,'Inflicts 277 - 461 melee damage on target',0,0),
(39899,2000092,3,100,'Forces target to face the same direction as the caster.',0,1),
(39900,2000092,3,100,'Prevents target from changing direction while active.',0,2),
(39901,2000092,3,100,'If Target is not Epic',1,3),
(39902,2000092,3,100,'Roots target',0,4),
(39903,2000092,3,100,'If Target is not Epic',1,5),
(39904,2000092,4,100,'Inflicts 304 - 507 melee damage on target',0,0),
(39905,2000092,4,100,'Forces target to face the same direction as the caster.',0,1),
(39906,2000092,4,100,'Prevents target from changing direction while active.',0,2),
(39907,2000092,4,100,'If Target is not Epic',1,3),
(39908,2000092,4,100,'Roots target',0,4),
(39909,2000092,4,100,'If Target is not Epic',1,5),
(39910,2000092,5,100,'Inflicts 249 - 415 melee damage on target',0,0),
(39911,2000092,5,100,'Forces target to face the same direction as the caster.',0,1),
(39912,2000092,5,100,'Prevents target from changing direction while active.',0,2),
(39913,2000092,5,100,'If Target is not Epic',1,3),
(39914,2000092,5,100,'Roots target',0,4),
(39915,2000092,5,100,'If Target is not Epic',1,5),
(39916,2000092,6,100,'Inflicts 360 - 600 melee damage on target',0,0),
(39917,2000092,6,100,'Forces target to face the same direction as the caster.',0,1),
(39918,2000092,6,100,'Prevents target from changing direction while active.',0,2),
(39919,2000092,6,100,'If Target is not Epic',1,3),
(39920,2000092,6,100,'Roots target',0,4),
(39921,2000092,6,100,'If Target is not Epic',1,5),
(39922,2000092,7,100,'Inflicts 426 - 711 melee damage on target',0,0),
(39923,2000092,7,100,'Forces target to face the same direction as the caster.',0,1),
(39924,2000092,7,100,'Prevents target from changing direction while active.',0,2),
(39925,2000092,7,100,'If Target is not Epic',1,3),
(39926,2000092,7,100,'Roots target',0,4),
(39927,2000092,7,100,'If Target is not Epic',1,5),
(39928,2000092,8,100,'Inflicts 322 - 536 melee damage on target',0,0),
(39929,2000092,8,100,'Forces target to face the same direction as the caster.',0,1),
(39930,2000092,8,100,'Prevents target from changing direction while active.',0,2),
(39931,2000092,8,100,'If Target is not Epic',1,3),
(39932,2000092,8,100,'Roots target',0,4),
(39933,2000092,8,100,'If Target is not Epic',1,5),
(39934,2000092,9,100,'Inflicts 443 - 738 melee damage on target',0,0),
(39935,2000092,9,100,'Forces target to face the same direction as the caster.',0,1),
(39936,2000092,9,100,'Prevents target from changing direction while active.',0,2),
(39937,2000092,9,100,'If Target is not Epic',1,3),
(39938,2000092,9,100,'Roots target',0,4),
(39939,2000092,9,100,'If Target is not Epic',1,5),
(39940,2000092,10,100,'Inflicts 349 - 581 melee damage on target',0,0),
(39941,2000092,10,100,'Forces target to face the same direction as the caster.',0,1),
(39942,2000092,10,100,'Prevents target from changing direction while active.',0,2),
(39943,2000092,10,100,'If Target is not Epic',1,3),
(39944,2000092,10,100,'Roots target',0,4),
(39945,2000092,10,100,'If Target is not Epic',1,5),
(39946,2000093,1,100,'Applies Stoneskin Reaction on termination.  Lasts for 1.0 seconds.',0,0),
(39947,2000093,1,100,'Reduces all damage done to target by 100%',1,1),
(39948,2000093,1,100,'Triggers when a Stoneskin is consumed. Suspends all other stoneskins that match the damage types of this effect.',1,2),
(39949,2000093,1,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',0,3),
(39950,2000093,1,100,'If under 10% Health',1,4),
(39951,2000093,1,100,'Will absorb all damage when the amount is greater than 10% of the target''s maximum health. This spell will absorb a total of 1 attack.',0,5),
(39952,2000093,1,100,'If between 11% and 50% health',1,6),
(39953,2000093,1,100,'Eagle Shriek must be active to use Eagle''s Patience.',0,7),
(39954,2000093,2,100,'Applies Stoneskin Reaction on termination.  Lasts for 1.0 seconds.',0,0),
(39955,2000093,2,100,'Reduces all damage done to target by 100%',1,1),
(39956,2000093,2,100,'Triggers when a Stoneskin is consumed. Suspends all other stoneskins that match the damage types of this effect.',1,2),
(39957,2000093,2,100,'Will absorb all damage.  This spell will absorb a total of 2 attacks.',0,3),
(39958,2000093,2,100,'If under 10% Health',1,4),
(39959,2000093,2,100,'Will absorb all damage when the amount is greater than 10% of the target''s maximum health. This spell will absorb a total of 2 attacks.',0,5),
(39960,2000093,2,100,'If between 11% and 50% health',1,6),
(39961,2000093,2,100,'Eagle Shriek must be active to use Eagle''s Patience.',0,7),
(39962,390029,12,100,'Improves base auto-attack multiplier of caster by 0.200. Does not apply to spell weapons.',0,0),
(39963,390029,12,100,'Improves the combat art damage of the ranger by 10%',0,1),
(39964,390029,12,100,'On a ranged hit this spell may cast Talon Strike on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.4 times per minute. ',0,2),
(39965,390029,12,100,'Gives caster a 60.0% chance to not use ammunition on an attack',1,3),
(39966,390029,12,100,'Inflicts 454 - 680 slashing damage on target',1,4),
(39967,390029,12,100,'Adds normalized combat art damage based on 20% of your current agility.',1,5),
(39968,390029,12,100,'Cannot be modified except by direct means',1,6),
(39969,390029,12,100,'Cannot be modified except by direct means',0,7),
(39970,2000094,1,100,'Inflicts 3 - 5 melee damage on target',0,0),
(39971,2000094,2,100,'Inflicts 444 - 740 melee damage on target',0,0),
(39972,2000094,3,100,'Inflicts 467 - 779 melee damage on target',0,0),
(39973,2000094,4,100,'Inflicts 685 - 1142 melee damage on target',0,0),
(39974,2000094,5,100,'Inflicts 561 - 935 melee damage on target',0,0),
(39975,2000094,6,100,'Inflicts 607 - 1013 melee damage on target',0,0),
(39976,2000094,7,100,'Inflicts 959 - 1599 melee damage on target',0,0),
(39977,2000094,8,100,'Inflicts 966 - 1610 melee damage on target',0,0),
(39978,2000094,9,100,'Inflicts 997 - 1662 melee damage on target',0,0),
(39979,2000094,10,100,'Inflicts 785 - 1309 melee damage on target',0,0),
(39980,390030,1,100,'Inflicts 9 - 15 heat damage on target',0,0),
(39981,390030,1,100,'You must be sneaking to use this ability.',0,1),
(39982,390030,2,100,'Inflicts 9 - 16 heat damage on target',0,0),
(39983,390030,2,100,'You must be sneaking to use this ability.',0,1),
(39984,390030,3,100,'Inflicts 10 - 17 heat damage on target',0,0),
(39985,390030,3,100,'You must be sneaking to use this ability.',0,1),
(39986,390030,4,100,'Inflicts 11 - 18 heat damage on target',0,0),
(39987,390030,4,100,'You must be sneaking to use this ability.',0,1),
(39988,390030,5,100,'Inflicts 12 - 20 heat damage on target',0,0),
(39989,390030,5,100,'You must be sneaking to use this ability.',0,1),
(39990,390030,7,100,'Inflicts 15 - 26 heat damage on target',0,0),
(39991,390030,7,100,'You must be sneaking to use this ability.',0,1),
(39992,390030,9,100,'Inflicts 16 - 27 heat damage on target',0,0),
(39993,390030,9,100,'You must be sneaking to use this ability.',0,1),
(39994,390031,1,100,'Inflicts 36 - 61 heat damage on target',0,0),
(39995,390031,1,100,'You must be sneaking to use this ability.',0,1),
(39996,390031,2,100,'Inflicts 38 - 64 heat damage on target',0,0),
(39997,390031,2,100,'You must be sneaking to use this ability.',0,1),
(39998,390031,3,100,'Inflicts 40 - 68 heat damage on target',0,0),
(39999,390031,3,100,'You must be sneaking to use this ability.',0,1),
(40000,390031,4,100,'Inflicts 45 - 75 heat damage on target',0,0),
(40001,390031,4,100,'You must be sneaking to use this ability.',0,1),
(40002,390031,5,100,'Inflicts 49 - 81 heat damage on target',0,0),
(40003,390031,5,100,'You must be sneaking to use this ability.',0,1),
(40004,390031,7,100,'Inflicts 63 - 105 heat damage on target',0,0),
(40005,390031,7,100,'You must be sneaking to use this ability.',0,1),
(40006,390031,9,100,'Inflicts 65 - 109 heat damage on target',0,0),
(40007,390031,9,100,'You must be sneaking to use this ability.',0,1),
(40008,390032,1,100,'Inflicts 84 - 141 heat damage on target',0,0),
(40009,390032,1,100,'You must be sneaking to use this ability.',0,1),
(40010,390032,2,100,'Inflicts 89 - 148 heat damage on target',0,0),
(40011,390032,2,100,'You must be sneaking to use this ability.',0,1),
(40012,390032,3,100,'Inflicts 94 - 156 heat damage on target',0,0),
(40013,390032,3,100,'You must be sneaking to use this ability.',0,1),
(40014,390032,4,100,'Inflicts 103 - 172 heat damage on target',0,0),
(40015,390032,4,100,'You must be sneaking to use this ability.',0,1),
(40016,390032,5,100,'Inflicts 112 - 188 heat damage on target',0,0),
(40017,390032,5,100,'You must be sneaking to use this ability.',0,1),
(40018,390032,7,100,'Inflicts 144 - 241 heat damage on target',0,0),
(40019,390032,7,100,'You must be sneaking to use this ability.',0,1),
(40020,390032,9,100,'Inflicts 150 - 250 heat damage on target',0,0),
(40021,390032,9,100,'You must be sneaking to use this ability.',0,1),
(40022,390032,10,100,'Inflicts 157 - 263 heat damage on target',0,0),
(40023,390032,10,100,'You must be sneaking to use this ability.',0,1),
(40024,390033,1,100,'Inflicts 150 - 250 heat damage on target',0,0),
(40025,390033,1,100,'You must be sneaking to use this ability.',0,1),
(40026,390033,2,100,'Inflicts 158 - 264 heat damage on target',0,0),
(40027,390033,2,100,'You must be sneaking to use this ability.',0,1),
(40028,390033,3,100,'Inflicts 167 - 278 heat damage on target',0,0),
(40029,390033,3,100,'You must be sneaking to use this ability.',0,1),
(40030,390033,4,100,'Inflicts 183 - 306 heat damage on target',0,0),
(40031,390033,4,100,'You must be sneaking to use this ability.',0,1),
(40032,390033,5,100,'Inflicts 200 - 334 heat damage on target',0,0),
(40033,390033,5,100,'You must be sneaking to use this ability.',0,1),
(40034,390033,7,100,'Inflicts 257 - 429 heat damage on target',0,0),
(40035,390033,7,100,'You must be sneaking to use this ability.',0,1),
(40036,390033,9,100,'Inflicts 267 - 445 heat damage on target',0,0),
(40037,390033,9,100,'You must be sneaking to use this ability.',0,1),
(40038,390034,1,100,'Inflicts 526 - 878 heat damage on target',0,0),
(40039,390034,1,100,'You must be sneaking to use this ability.',0,1),
(40040,390034,4,100,'Inflicts 643 - 1073 heat damage on target',0,0),
(40041,390034,4,100,'You must be sneaking to use this ability.',0,1),
(40042,390034,5,100,'Inflicts 702 - 1170 heat damage on target',0,0),
(40043,390034,5,100,'You must be sneaking to use this ability.',0,1),
(40044,390034,7,100,'Inflicts 901 - 1502 heat damage on target',0,0),
(40045,390034,7,100,'You must be sneaking to use this ability.',0,1),
(40046,390034,9,100,'Inflicts 936 - 1561 heat damage on target',0,0),
(40047,390034,9,100,'You must be sneaking to use this ability.',0,1),
(40048,390034,10,100,'Inflicts 983 - 1639 heat damage on target',0,0),
(40049,390034,10,100,'You must be sneaking to use this ability.',0,1),
(40050,390035,1,100,'Inflicts 226 - 378 heat damage on target',0,0),
(40051,390035,1,100,'You must be sneaking to use this ability.',0,1),
(40052,390035,2,100,'Inflicts 239 - 399 heat damage on target',0,0),
(40053,390035,2,100,'You must be sneaking to use this ability.',0,1),
(40054,390035,3,100,'Inflicts 252 - 420 heat damage on target',0,0),
(40055,390035,3,100,'You must be sneaking to use this ability.',0,1),
(40056,390035,4,100,'Inflicts 277 - 462 heat damage on target',0,0),
(40057,390035,4,100,'You must be sneaking to use this ability.',0,1),
(40058,390035,5,100,'Inflicts 302 - 504 heat damage on target',0,0),
(40059,390035,5,100,'You must be sneaking to use this ability.',0,1),
(40060,390035,7,100,'Inflicts 388 - 647 heat damage on target',0,0),
(40061,390035,7,100,'You must be sneaking to use this ability.',0,1),
(40062,390035,9,100,'Inflicts 403 - 672 heat damage on target',0,0),
(40063,390035,9,100,'You must be sneaking to use this ability.',0,1),
(40064,390036,1,100,'Inflicts 309 - 515 heat damage on target',0,0),
(40065,390036,1,100,'You must be sneaking to use this ability.',0,1),
(40066,390036,2,100,'Inflicts 326 - 544 heat damage on target',0,0),
(40067,390036,2,100,'You must be sneaking to use this ability.',0,1),
(40068,390036,3,100,'Inflicts 343 - 572 heat damage on target',0,0),
(40069,390036,3,100,'You must be sneaking to use this ability.',0,1),
(40070,390036,4,100,'Inflicts 378 - 630 heat damage on target',0,0),
(40071,390036,4,100,'You must be sneaking to use this ability.',0,1),
(40072,390036,5,100,'Inflicts 412 - 687 heat damage on target',0,0),
(40073,390036,5,100,'You must be sneaking to use this ability.',0,1),
(40074,390036,7,100,'Inflicts 529 - 882 heat damage on target',0,0),
(40075,390036,7,100,'You must be sneaking to use this ability.',0,1),
(40076,390036,9,100,'Inflicts 549 - 916 heat damage on target',0,0),
(40077,390036,9,100,'You must be sneaking to use this ability.',0,1),
(40078,390037,1,100,'Inflicts 387 - 646 heat damage on target',0,0),
(40079,390037,1,100,'You must be sneaking to use this ability.',0,1),
(40080,390037,2,100,'Inflicts 409 - 682 heat damage on target',0,0),
(40081,390037,2,100,'You must be sneaking to use this ability.',0,1),
(40082,390037,3,100,'Inflicts 430 - 718 heat damage on target',0,0),
(40083,390037,3,100,'You must be sneaking to use this ability.',0,1),
(40084,390037,4,100,'Inflicts 473 - 789 heat damage on target',0,0),
(40085,390037,4,100,'You must be sneaking to use this ability.',0,1),
(40086,390037,5,100,'Inflicts 516 - 861 heat damage on target',0,0),
(40087,390037,5,100,'You must be sneaking to use this ability.',0,1),
(40088,390037,7,100,'Inflicts 663 - 1105 heat damage on target',0,0),
(40089,390037,7,100,'You must be sneaking to use this ability.',0,1),
(40090,390037,9,100,'Inflicts 689 - 1148 heat damage on target',0,0),
(40091,390037,9,100,'You must be sneaking to use this ability.',0,1),
(40092,390038,1,100,'Inflicts 468 - 780 heat damage on target',0,0),
(40093,390038,1,100,'You must be sneaking to use this ability.',0,1),
(40094,390038,4,100,'Inflicts 572 - 953 heat damage on target',0,0),
(40095,390038,4,100,'You must be sneaking to use this ability.',0,1),
(40096,390038,5,100,'Inflicts 624 - 1040 heat damage on target',0,0),
(40097,390038,5,100,'You must be sneaking to use this ability.',0,1),
(40098,390038,7,100,'Inflicts 801 - 1335 heat damage on target',0,0),
(40099,390038,7,100,'You must be sneaking to use this ability.',0,1),
(40100,390038,9,100,'Inflicts 832 - 1387 heat damage on target',0,0),
(40101,390038,9,100,'You must be sneaking to use this ability.',0,1),
(40102,390038,10,100,'Inflicts 873 - 1456 heat damage on target',0,0),
(40103,390038,10,100,'You must be sneaking to use this ability.',0,1),
(40104,330049,1,100,'When a combat art is used this spell has a 15% chance to cast Counterattack on target of combat art.  ',0,0),
(40105,330049,1,100,'Inflicts 166 - 276 melee damage on target',1,1),
(40106,330049,1,100,'When blocked this spell will cast Counterattack on target''s victim.  ',0,2),
(40107,330049,1,100,'Inflicts 166 - 276 melee damage on target',1,3),
(40108,330049,1,100,'When parried this spell will cast Counterattack on target''s victim.  ',0,4),
(40109,330049,1,100,'Inflicts 166 - 276 melee damage on target',1,5),
(40110,330049,1,100,'When deflected this spell will cast Counterattack on target''s victim.  ',0,6),
(40111,330049,1,100,'Inflicts 166 - 276 melee damage on target',1,7),
(40112,330049,1,100,'When riposted this spell will cast Counterattack on target''s victim.  ',0,8),
(40113,330049,1,100,'Inflicts 166 - 276 melee damage on target',1,9),
(40114,330049,1,100,'On a block this spell will cast Counterattack on target''s victim.  ',0,10),
(40115,330049,1,100,'Inflicts 166 - 276 melee damage on target',1,11),
(40116,330049,1,100,'On a riposte this spell will cast Counterattack on target''s victim.  ',0,12),
(40117,330049,1,100,'Inflicts 166 - 276 melee damage on target',1,13),
(40118,330049,1,100,'On a parry this spell will cast Counterattack on target''s victim.  ',0,14),
(40119,330049,1,100,'Inflicts 166 - 276 melee damage on target',1,15),
(40120,330049,2,100,'When a combat art is used this spell has a 15% chance to cast Counterattack on target of combat art.  ',0,0),
(40121,330049,2,100,'Inflicts 175 - 292 melee damage on target',1,1),
(40122,330049,2,100,'When blocked this spell will cast Counterattack on target''s victim.  ',0,2),
(40123,330049,2,100,'Inflicts 175 - 292 melee damage on target',1,3),
(40124,330049,2,100,'When parried this spell will cast Counterattack on target''s victim.  ',0,4),
(40125,330049,2,100,'Inflicts 175 - 292 melee damage on target',1,5),
(40126,330049,2,100,'When deflected this spell will cast Counterattack on target''s victim.  ',0,6),
(40127,330049,2,100,'Inflicts 175 - 292 melee damage on target',1,7),
(40128,330049,2,100,'When riposted this spell will cast Counterattack on target''s victim.  ',0,8),
(40129,330049,2,100,'Inflicts 175 - 292 melee damage on target',1,9),
(40130,330049,2,100,'On a block this spell will cast Counterattack on target''s victim.  ',0,10),
(40131,330049,2,100,'Inflicts 175 - 292 melee damage on target',1,11),
(40132,330049,2,100,'On a riposte this spell will cast Counterattack on target''s victim.  ',0,12),
(40133,330049,2,100,'Inflicts 175 - 292 melee damage on target',1,13),
(40134,330049,2,100,'On a parry this spell will cast Counterattack on target''s victim.  ',0,14),
(40135,330049,2,100,'Inflicts 175 - 292 melee damage on target',1,15),
(40136,330049,3,100,'When a combat art is used this spell has a 15% chance to cast Counterattack on target of combat art.  ',0,0),
(40137,330049,3,100,'Inflicts 184 - 307 melee damage on target',1,1),
(40138,330049,3,100,'When blocked this spell will cast Counterattack on target''s victim.  ',0,2),
(40139,330049,3,100,'Inflicts 184 - 307 melee damage on target',1,3),
(40140,330049,3,100,'When parried this spell will cast Counterattack on target''s victim.  ',0,4),
(40141,330049,3,100,'Inflicts 184 - 307 melee damage on target',1,5),
(40142,330049,3,100,'When deflected this spell will cast Counterattack on target''s victim.  ',0,6),
(40143,330049,3,100,'Inflicts 184 - 307 melee damage on target',1,7),
(40144,330049,3,100,'When riposted this spell will cast Counterattack on target''s victim.  ',0,8),
(40145,330049,3,100,'Inflicts 184 - 307 melee damage on target',1,9),
(40146,330049,3,100,'On a block this spell will cast Counterattack on target''s victim.  ',0,10),
(40147,330049,3,100,'Inflicts 184 - 307 melee damage on target',1,11),
(40148,330049,3,100,'On a riposte this spell will cast Counterattack on target''s victim.  ',0,12),
(40149,330049,3,100,'Inflicts 184 - 307 melee damage on target',1,13),
(40150,330049,3,100,'On a parry this spell will cast Counterattack on target''s victim.  ',0,14),
(40151,330049,3,100,'Inflicts 184 - 307 melee damage on target',1,15),
(40152,330049,4,100,'When a combat art is used this spell has a 15% chance to cast Counterattack on target of combat art.  ',0,0),
(40153,330049,4,100,'Inflicts 202 - 338 melee damage on target',1,1),
(40154,330049,4,100,'When blocked this spell will cast Counterattack on target''s victim.  ',0,2),
(40155,330049,4,100,'Inflicts 202 - 338 melee damage on target',1,3),
(40156,330049,4,100,'When parried this spell will cast Counterattack on target''s victim.  ',0,4),
(40157,330049,4,100,'Inflicts 202 - 338 melee damage on target',1,5),
(40158,330049,4,100,'When deflected this spell will cast Counterattack on target''s victim.  ',0,6),
(40159,330049,4,100,'Inflicts 202 - 338 melee damage on target',1,7),
(40160,330049,4,100,'When riposted this spell will cast Counterattack on target''s victim.  ',0,8),
(40161,330049,4,100,'Inflicts 202 - 338 melee damage on target',1,9),
(40162,330049,4,100,'On a block this spell will cast Counterattack on target''s victim.  ',0,10),
(40163,330049,4,100,'Inflicts 202 - 338 melee damage on target',1,11),
(40164,330049,4,100,'On a riposte this spell will cast Counterattack on target''s victim.  ',0,12),
(40165,330049,4,100,'Inflicts 202 - 338 melee damage on target',1,13),
(40166,330049,4,100,'On a parry this spell will cast Counterattack on target''s victim.  ',0,14),
(40167,330049,4,100,'Inflicts 202 - 338 melee damage on target',1,15),
(40168,330049,5,100,'When a combat art is used this spell has a 15% chance to cast Counterattack on target of combat art.  ',0,0),
(40169,330049,5,100,'Inflicts 221 - 369 melee damage on target',1,1),
(40170,330049,5,100,'When blocked this spell will cast Counterattack on target''s victim.  ',0,2),
(40171,330049,5,100,'Inflicts 221 - 369 melee damage on target',1,3),
(40172,330049,5,100,'When parried this spell will cast Counterattack on target''s victim.  ',0,4),
(40173,330049,5,100,'Inflicts 221 - 369 melee damage on target',1,5),
(40174,330049,5,100,'When deflected this spell will cast Counterattack on target''s victim.  ',0,6),
(40175,330049,5,100,'Inflicts 221 - 369 melee damage on target',1,7),
(40176,330049,5,100,'When riposted this spell will cast Counterattack on target''s victim.  ',0,8),
(40177,330049,5,100,'Inflicts 221 - 369 melee damage on target',1,9),
(40178,330049,5,100,'On a block this spell will cast Counterattack on target''s victim.  ',0,10),
(40179,330049,5,100,'Inflicts 221 - 369 melee damage on target',1,11),
(40180,330049,5,100,'On a riposte this spell will cast Counterattack on target''s victim.  ',0,12),
(40181,330049,5,100,'Inflicts 221 - 369 melee damage on target',1,13),
(40182,330049,5,100,'On a parry this spell will cast Counterattack on target''s victim.  ',0,14),
(40183,330049,5,100,'Inflicts 221 - 369 melee damage on target',1,15),
(40184,330049,7,100,'When a combat art is used this spell has a 15% chance to cast Counterattack on target of combat art.  ',0,0),
(40185,330049,7,100,'Inflicts 284 - 473 melee damage on target',1,1),
(40186,330049,7,100,'When blocked this spell will cast Counterattack on target''s victim.  ',0,2),
(40187,330049,7,100,'Inflicts 284 - 473 melee damage on target',1,3),
(40188,330049,7,100,'When parried this spell will cast Counterattack on target''s victim.  ',0,4),
(40189,330049,7,100,'Inflicts 284 - 473 melee damage on target',1,5),
(40190,330049,7,100,'When deflected this spell will cast Counterattack on target''s victim.  ',0,6),
(40191,330049,7,100,'Inflicts 284 - 473 melee damage on target',1,7),
(40192,330049,7,100,'When riposted this spell will cast Counterattack on target''s victim.  ',0,8),
(40193,330049,7,100,'Inflicts 284 - 473 melee damage on target',1,9),
(40194,330049,7,100,'On a block this spell will cast Counterattack on target''s victim.  ',0,10),
(40195,330049,7,100,'Inflicts 284 - 473 melee damage on target',1,11),
(40196,330049,7,100,'On a riposte this spell will cast Counterattack on target''s victim.  ',0,12),
(40197,330049,7,100,'Inflicts 284 - 473 melee damage on target',1,13),
(40198,330049,7,100,'On a parry this spell will cast Counterattack on target''s victim.  ',0,14),
(40199,330049,7,100,'Inflicts 284 - 473 melee damage on target',1,15),
(40200,330049,9,100,'When a combat art is used this spell has a 15% chance to cast Counterattack on target of combat art.  ',0,0),
(40201,330049,9,100,'Inflicts 295 - 492 melee damage on target',1,1),
(40202,330049,9,100,'When blocked this spell will cast Counterattack on target''s victim.  ',0,2),
(40203,330049,9,100,'Inflicts 295 - 492 melee damage on target',1,3),
(40204,330049,9,100,'When parried this spell will cast Counterattack on target''s victim.  ',0,4),
(40205,330049,9,100,'Inflicts 295 - 492 melee damage on target',1,5),
(40206,330049,9,100,'When deflected this spell will cast Counterattack on target''s victim.  ',0,6),
(40207,330049,9,100,'Inflicts 295 - 492 melee damage on target',1,7),
(40208,330049,9,100,'When riposted this spell will cast Counterattack on target''s victim.  ',0,8),
(40209,330049,9,100,'Inflicts 295 - 492 melee damage on target',1,9),
(40210,330049,9,100,'On a block this spell will cast Counterattack on target''s victim.  ',0,10),
(40211,330049,9,100,'Inflicts 295 - 492 melee damage on target',1,11),
(40212,330049,9,100,'On a riposte this spell will cast Counterattack on target''s victim.  ',0,12),
(40213,330049,9,100,'Inflicts 295 - 492 melee damage on target',1,13),
(40214,330049,9,100,'On a parry this spell will cast Counterattack on target''s victim.  ',0,14),
(40215,330049,9,100,'Inflicts 295 - 492 melee damage on target',1,15),
(40216,330050,1,100,'When a combat art is used this spell has a 15% chance to cast Counterattack on target of combat art.  ',0,0),
(40217,330050,1,100,'Inflicts 212 - 353 melee damage on target',1,1),
(40218,330050,1,100,'When blocked this spell will cast Counterattack on target''s victim.  ',0,2),
(40219,330050,1,100,'Inflicts 212 - 353 melee damage on target',1,3),
(40220,330050,1,100,'When parried this spell will cast Counterattack on target''s victim.  ',0,4),
(40221,330050,1,100,'Inflicts 212 - 353 melee damage on target',1,5),
(40222,330050,1,100,'When deflected this spell will cast Counterattack on target''s victim.  ',0,6),
(40223,330050,1,100,'Inflicts 212 - 353 melee damage on target',1,7),
(40224,330050,1,100,'When riposted this spell will cast Counterattack on target''s victim.  ',0,8),
(40225,330050,1,100,'Inflicts 212 - 353 melee damage on target',1,9),
(40226,330050,1,100,'On a block this spell will cast Counterattack on target''s victim.  ',0,10),
(40227,330050,1,100,'Inflicts 212 - 353 melee damage on target',1,11),
(40228,330050,1,100,'On a riposte this spell will cast Counterattack on target''s victim.  ',0,12),
(40229,330050,1,100,'Inflicts 212 - 353 melee damage on target',1,13),
(40230,330050,1,100,'On a parry this spell will cast Counterattack on target''s victim.  ',0,14),
(40231,330050,1,100,'Inflicts 212 - 353 melee damage on target',1,15),
(40232,330050,2,100,'When a combat art is used this spell has a 15% chance to cast Counterattack on target of combat art.  ',0,0),
(40233,330050,2,100,'Inflicts 223 - 373 melee damage on target',1,1),
(40234,330050,2,100,'When blocked this spell will cast Counterattack on target''s victim.  ',0,2),
(40235,330050,2,100,'Inflicts 223 - 373 melee damage on target',1,3),
(40236,330050,2,100,'When parried this spell will cast Counterattack on target''s victim.  ',0,4),
(40237,330050,2,100,'Inflicts 223 - 373 melee damage on target',1,5),
(40238,330050,2,100,'When deflected this spell will cast Counterattack on target''s victim.  ',0,6),
(40239,330050,2,100,'Inflicts 223 - 373 melee damage on target',1,7),
(40240,330050,2,100,'When riposted this spell will cast Counterattack on target''s victim.  ',0,8),
(40241,330050,2,100,'Inflicts 223 - 373 melee damage on target',1,9),
(40242,330050,2,100,'On a block this spell will cast Counterattack on target''s victim.  ',0,10),
(40243,330050,2,100,'Inflicts 223 - 373 melee damage on target',1,11),
(40244,330050,2,100,'On a riposte this spell will cast Counterattack on target''s victim.  ',0,12),
(40245,330050,2,100,'Inflicts 223 - 373 melee damage on target',1,13),
(40246,330050,2,100,'On a parry this spell will cast Counterattack on target''s victim.  ',0,14),
(40247,330050,2,100,'Inflicts 223 - 373 melee damage on target',1,15),
(40248,330050,3,100,'When a combat art is used this spell has a 15% chance to cast Counterattack on target of combat art.  ',0,0),
(40249,330050,3,100,'Inflicts 235 - 392 melee damage on target',1,1),
(40250,330050,3,100,'When blocked this spell will cast Counterattack on target''s victim.  ',0,2),
(40251,330050,3,100,'Inflicts 235 - 392 melee damage on target',1,3),
(40252,330050,3,100,'When parried this spell will cast Counterattack on target''s victim.  ',0,4),
(40253,330050,3,100,'Inflicts 235 - 392 melee damage on target',1,5),
(40254,330050,3,100,'When deflected this spell will cast Counterattack on target''s victim.  ',0,6),
(40255,330050,3,100,'Inflicts 235 - 392 melee damage on target',1,7),
(40256,330050,3,100,'When riposted this spell will cast Counterattack on target''s victim.  ',0,8),
(40257,330050,3,100,'Inflicts 235 - 392 melee damage on target',1,9),
(40258,330050,3,100,'On a block this spell will cast Counterattack on target''s victim.  ',0,10),
(40259,330050,3,100,'Inflicts 235 - 392 melee damage on target',1,11),
(40260,330050,3,100,'On a riposte this spell will cast Counterattack on target''s victim.  ',0,12),
(40261,330050,3,100,'Inflicts 235 - 392 melee damage on target',1,13),
(40262,330050,3,100,'On a parry this spell will cast Counterattack on target''s victim.  ',0,14),
(40263,330050,3,100,'Inflicts 235 - 392 melee damage on target',1,15),
(40264,330050,4,100,'When a combat art is used this spell has a 15% chance to cast Counterattack on target of combat art.  ',0,0),
(40265,330050,4,100,'Inflicts 259 - 432 melee damage on target',1,1),
(40266,330050,4,100,'When blocked this spell will cast Counterattack on target''s victim.  ',0,2),
(40267,330050,4,100,'Inflicts 259 - 432 melee damage on target',1,3),
(40268,330050,4,100,'When parried this spell will cast Counterattack on target''s victim.  ',0,4),
(40269,330050,4,100,'Inflicts 259 - 432 melee damage on target',1,5),
(40270,330050,4,100,'When deflected this spell will cast Counterattack on target''s victim.  ',0,6),
(40271,330050,4,100,'Inflicts 259 - 432 melee damage on target',1,7),
(40272,330050,4,100,'When riposted this spell will cast Counterattack on target''s victim.  ',0,8),
(40273,330050,4,100,'Inflicts 259 - 432 melee damage on target',1,9),
(40274,330050,4,100,'On a block this spell will cast Counterattack on target''s victim.  ',0,10),
(40275,330050,4,100,'Inflicts 259 - 432 melee damage on target',1,11),
(40276,330050,4,100,'On a riposte this spell will cast Counterattack on target''s victim.  ',0,12),
(40277,330050,4,100,'Inflicts 259 - 432 melee damage on target',1,13),
(40278,330050,4,100,'On a parry this spell will cast Counterattack on target''s victim.  ',0,14),
(40279,330050,4,100,'Inflicts 259 - 432 melee damage on target',1,15),
(40280,330050,5,100,'When a combat art is used this spell has a 15% chance to cast Counterattack on target of combat art.  ',0,0),
(40281,330050,5,100,'Inflicts 282 - 471 melee damage on target',1,1),
(40282,330050,5,100,'When blocked this spell will cast Counterattack on target''s victim.  ',0,2),
(40283,330050,5,100,'Inflicts 282 - 471 melee damage on target',1,3),
(40284,330050,5,100,'When parried this spell will cast Counterattack on target''s victim.  ',0,4),
(40285,330050,5,100,'Inflicts 282 - 471 melee damage on target',1,5),
(40286,330050,5,100,'When deflected this spell will cast Counterattack on target''s victim.  ',0,6),
(40287,330050,5,100,'Inflicts 282 - 471 melee damage on target',1,7),
(40288,330050,5,100,'When riposted this spell will cast Counterattack on target''s victim.  ',0,8),
(40289,330050,5,100,'Inflicts 282 - 471 melee damage on target',1,9),
(40290,330050,5,100,'On a block this spell will cast Counterattack on target''s victim.  ',0,10),
(40291,330050,5,100,'Inflicts 282 - 471 melee damage on target',1,11),
(40292,330050,5,100,'On a riposte this spell will cast Counterattack on target''s victim.  ',0,12),
(40293,330050,5,100,'Inflicts 282 - 471 melee damage on target',1,13),
(40294,330050,5,100,'On a parry this spell will cast Counterattack on target''s victim.  ',0,14),
(40295,330050,5,100,'Inflicts 282 - 471 melee damage on target',1,15),
(40296,330050,7,100,'When a combat art is used this spell has a 15% chance to cast Counterattack on target of combat art.  ',0,0),
(40297,330050,7,100,'Inflicts 362 - 604 melee damage on target',1,1),
(40298,330050,7,100,'When blocked this spell will cast Counterattack on target''s victim.  ',0,2),
(40299,330050,7,100,'Inflicts 362 - 604 melee damage on target',1,3),
(40300,330050,7,100,'When parried this spell will cast Counterattack on target''s victim.  ',0,4),
(40301,330050,7,100,'Inflicts 362 - 604 melee damage on target',1,5),
(40302,330050,7,100,'When deflected this spell will cast Counterattack on target''s victim.  ',0,6),
(40303,330050,7,100,'Inflicts 362 - 604 melee damage on target',1,7),
(40304,330050,7,100,'When riposted this spell will cast Counterattack on target''s victim.  ',0,8),
(40305,330050,7,100,'Inflicts 362 - 604 melee damage on target',1,9),
(40306,330050,7,100,'On a block this spell will cast Counterattack on target''s victim.  ',0,10),
(40307,330050,7,100,'Inflicts 362 - 604 melee damage on target',1,11),
(40308,330050,7,100,'On a riposte this spell will cast Counterattack on target''s victim.  ',0,12),
(40309,330050,7,100,'Inflicts 362 - 604 melee damage on target',1,13),
(40310,330050,7,100,'On a parry this spell will cast Counterattack on target''s victim.  ',0,14),
(40311,330050,7,100,'Inflicts 362 - 604 melee damage on target',1,15),
(40312,330050,9,100,'When a combat art is used this spell has a 15% chance to cast Counterattack on target of combat art.  ',0,0),
(40313,330050,9,100,'Inflicts 377 - 628 melee damage on target',1,1),
(40314,330050,9,100,'When blocked this spell will cast Counterattack on target''s victim.  ',0,2),
(40315,330050,9,100,'Inflicts 377 - 628 melee damage on target',1,3),
(40316,330050,9,100,'When parried this spell will cast Counterattack on target''s victim.  ',0,4),
(40317,330050,9,100,'Inflicts 377 - 628 melee damage on target',1,5),
(40318,330050,9,100,'When deflected this spell will cast Counterattack on target''s victim.  ',0,6),
(40319,330050,9,100,'Inflicts 377 - 628 melee damage on target',1,7),
(40320,330050,9,100,'When riposted this spell will cast Counterattack on target''s victim.  ',0,8),
(40321,330050,9,100,'Inflicts 377 - 628 melee damage on target',1,9),
(40322,330050,9,100,'On a block this spell will cast Counterattack on target''s victim.  ',0,10),
(40323,330050,9,100,'Inflicts 377 - 628 melee damage on target',1,11),
(40324,330050,9,100,'On a riposte this spell will cast Counterattack on target''s victim.  ',0,12),
(40325,330050,9,100,'Inflicts 377 - 628 melee damage on target',1,13),
(40326,330050,9,100,'On a parry this spell will cast Counterattack on target''s victim.  ',0,14),
(40327,330050,9,100,'Inflicts 377 - 628 melee damage on target',1,15),
(40328,330051,1,100,'When a combat art is used this spell has a 15% chance to cast Counterattack on target of combat art.  ',0,0),
(40329,330051,1,100,'Inflicts 255 - 425 melee damage on target',1,1),
(40330,330051,1,100,'When blocked this spell will cast Counterattack on target''s victim.  ',0,2),
(40331,330051,1,100,'Inflicts 255 - 425 melee damage on target',1,3),
(40332,330051,1,100,'When parried this spell will cast Counterattack on target''s victim.  ',0,4),
(40333,330051,1,100,'Inflicts 255 - 425 melee damage on target',1,5),
(40334,330051,1,100,'When deflected this spell will cast Counterattack on target''s victim.  ',0,6),
(40335,330051,1,100,'Inflicts 255 - 425 melee damage on target',1,7),
(40336,330051,1,100,'When riposted this spell will cast Counterattack on target''s victim.  ',0,8),
(40337,330051,1,100,'Inflicts 255 - 425 melee damage on target',1,9),
(40338,330051,1,100,'On a block this spell will cast Counterattack on target''s victim.  ',0,10),
(40339,330051,1,100,'Inflicts 255 - 425 melee damage on target',1,11),
(40340,330051,1,100,'On a riposte this spell will cast Counterattack on target''s victim.  ',0,12),
(40341,330051,1,100,'Inflicts 255 - 425 melee damage on target',1,13),
(40342,330051,1,100,'On a parry this spell will cast Counterattack on target''s victim.  ',0,14),
(40343,330051,1,100,'Inflicts 255 - 425 melee damage on target',1,15),
(40344,330051,4,100,'When a combat art is used this spell has a 15% chance to cast Counterattack on target of combat art.  ',0,0),
(40345,330051,4,100,'Inflicts 312 - 520 melee damage on target',1,1),
(40346,330051,4,100,'When blocked this spell will cast Counterattack on target''s victim.  ',0,2),
(40347,330051,4,100,'Inflicts 312 - 520 melee damage on target',1,3),
(40348,330051,4,100,'When parried this spell will cast Counterattack on target''s victim.  ',0,4),
(40349,330051,4,100,'Inflicts 312 - 520 melee damage on target',1,5),
(40350,330051,4,100,'When deflected this spell will cast Counterattack on target''s victim.  ',0,6),
(40351,330051,4,100,'Inflicts 312 - 520 melee damage on target',1,7),
(40352,330051,4,100,'When riposted this spell will cast Counterattack on target''s victim.  ',0,8),
(40353,330051,4,100,'Inflicts 312 - 520 melee damage on target',1,9),
(40354,330051,4,100,'On a block this spell will cast Counterattack on target''s victim.  ',0,10),
(40355,330051,4,100,'Inflicts 312 - 520 melee damage on target',1,11),
(40356,330051,4,100,'On a riposte this spell will cast Counterattack on target''s victim.  ',0,12),
(40357,330051,4,100,'Inflicts 312 - 520 melee damage on target',1,13),
(40358,330051,4,100,'On a parry this spell will cast Counterattack on target''s victim.  ',0,14),
(40359,330051,4,100,'Inflicts 312 - 520 melee damage on target',1,15),
(40360,330051,5,100,'When a combat art is used this spell has a 15% chance to cast Counterattack on target of combat art.  ',0,0),
(40361,330051,5,100,'Inflicts 340 - 567 melee damage on target',1,1),
(40362,330051,5,100,'When blocked this spell will cast Counterattack on target''s victim.  ',0,2),
(40363,330051,5,100,'Inflicts 340 - 567 melee damage on target',1,3),
(40364,330051,5,100,'When parried this spell will cast Counterattack on target''s victim.  ',0,4),
(40365,330051,5,100,'Inflicts 340 - 567 melee damage on target',1,5),
(40366,330051,5,100,'When deflected this spell will cast Counterattack on target''s victim.  ',0,6),
(40367,330051,5,100,'Inflicts 340 - 567 melee damage on target',1,7),
(40368,330051,5,100,'When riposted this spell will cast Counterattack on target''s victim.  ',0,8),
(40369,330051,5,100,'Inflicts 340 - 567 melee damage on target',1,9),
(40370,330051,5,100,'On a block this spell will cast Counterattack on target''s victim.  ',0,10),
(40371,330051,5,100,'Inflicts 340 - 567 melee damage on target',1,11),
(40372,330051,5,100,'On a riposte this spell will cast Counterattack on target''s victim.  ',0,12),
(40373,330051,5,100,'Inflicts 340 - 567 melee damage on target',1,13),
(40374,330051,5,100,'On a parry this spell will cast Counterattack on target''s victim.  ',0,14),
(40375,330051,5,100,'Inflicts 340 - 567 melee damage on target',1,15),
(40376,330051,7,100,'When a combat art is used this spell has a 15% chance to cast Counterattack on target of combat art.  ',0,0),
(40377,330051,7,100,'Inflicts 437 - 728 melee damage on target',1,1),
(40378,330051,7,100,'When blocked this spell will cast Counterattack on target''s victim.  ',0,2),
(40379,330051,7,100,'Inflicts 437 - 728 melee damage on target',1,3),
(40380,330051,7,100,'When parried this spell will cast Counterattack on target''s victim.  ',0,4),
(40381,330051,7,100,'Inflicts 437 - 728 melee damage on target',1,5),
(40382,330051,7,100,'When deflected this spell will cast Counterattack on target''s victim.  ',0,6),
(40383,330051,7,100,'Inflicts 437 - 728 melee damage on target',1,7),
(40384,330051,7,100,'When riposted this spell will cast Counterattack on target''s victim.  ',0,8),
(40385,330051,7,100,'Inflicts 437 - 728 melee damage on target',1,9),
(40386,330051,7,100,'On a block this spell will cast Counterattack on target''s victim.  ',0,10),
(40387,330051,7,100,'Inflicts 437 - 728 melee damage on target',1,11),
(40388,330051,7,100,'On a riposte this spell will cast Counterattack on target''s victim.  ',0,12),
(40389,330051,7,100,'Inflicts 437 - 728 melee damage on target',1,13),
(40390,330051,7,100,'On a parry this spell will cast Counterattack on target''s victim.  ',0,14),
(40391,330051,7,100,'Inflicts 437 - 728 melee damage on target',1,15),
(40392,330051,9,100,'When a combat art is used this spell has a 15% chance to cast Counterattack on target of combat art.  ',0,0),
(40393,330051,9,100,'Inflicts 454 - 757 melee damage on target',1,1),
(40394,330051,9,100,'When blocked this spell will cast Counterattack on target''s victim.  ',0,2),
(40395,330051,9,100,'Inflicts 454 - 757 melee damage on target',1,3),
(40396,330051,9,100,'When parried this spell will cast Counterattack on target''s victim.  ',0,4),
(40397,330051,9,100,'Inflicts 454 - 757 melee damage on target',1,5),
(40398,330051,9,100,'When deflected this spell will cast Counterattack on target''s victim.  ',0,6),
(40399,330051,9,100,'Inflicts 454 - 757 melee damage on target',1,7),
(40400,330051,9,100,'When riposted this spell will cast Counterattack on target''s victim.  ',0,8),
(40401,330051,9,100,'Inflicts 454 - 757 melee damage on target',1,9),
(40402,330051,9,100,'On a block this spell will cast Counterattack on target''s victim.  ',0,10),
(40403,330051,9,100,'Inflicts 454 - 757 melee damage on target',1,11),
(40404,330051,9,100,'On a riposte this spell will cast Counterattack on target''s victim.  ',0,12),
(40405,330051,9,100,'Inflicts 454 - 757 melee damage on target',1,13),
(40406,330051,9,100,'On a parry this spell will cast Counterattack on target''s victim.  ',0,14),
(40407,330051,9,100,'Inflicts 454 - 757 melee damage on target',1,15),
(40408,330052,1,100,'When a combat art is used this spell has a 15% chance to cast Counterattack on target of combat art.  ',0,0),
(40409,330052,1,100,'Inflicts 360 - 600 melee damage on target',1,1),
(40410,330052,1,100,'When blocked this spell will cast Counterattack on target''s victim.  ',0,2),
(40411,330052,1,100,'Inflicts 360 - 600 melee damage on target',1,3),
(40412,330052,1,100,'When parried this spell will cast Counterattack on target''s victim.  ',0,4),
(40413,330052,1,100,'Inflicts 360 - 600 melee damage on target',1,5),
(40414,330052,1,100,'When deflected this spell will cast Counterattack on target''s victim.  ',0,6),
(40415,330052,1,100,'Inflicts 360 - 600 melee damage on target',1,7),
(40416,330052,1,100,'When riposted this spell will cast Counterattack on target''s victim.  ',0,8),
(40417,330052,1,100,'Inflicts 360 - 600 melee damage on target',1,9),
(40418,330052,1,100,'On a block this spell will cast Counterattack on target''s victim.  ',0,10),
(40419,330052,1,100,'Inflicts 360 - 600 melee damage on target',1,11),
(40420,330052,1,100,'On a riposte this spell will cast Counterattack on target''s victim.  ',0,12),
(40421,330052,1,100,'Inflicts 360 - 600 melee damage on target',1,13),
(40422,330052,1,100,'On a parry this spell will cast Counterattack on target''s victim.  ',0,14),
(40423,330052,1,100,'Inflicts 360 - 600 melee damage on target',1,15),
(40424,330052,4,100,'When a combat art is used this spell has a 15% chance to cast Counterattack on target of combat art.  ',0,0),
(40425,330052,4,100,'Inflicts 440 - 734 melee damage on target',1,1),
(40426,330052,4,100,'When blocked this spell will cast Counterattack on target''s victim.  ',0,2),
(40427,330052,4,100,'Inflicts 440 - 734 melee damage on target',1,3),
(40428,330052,4,100,'When parried this spell will cast Counterattack on target''s victim.  ',0,4),
(40429,330052,4,100,'Inflicts 440 - 734 melee damage on target',1,5),
(40430,330052,4,100,'When deflected this spell will cast Counterattack on target''s victim.  ',0,6),
(40431,330052,4,100,'Inflicts 440 - 734 melee damage on target',1,7),
(40432,330052,4,100,'When riposted this spell will cast Counterattack on target''s victim.  ',0,8),
(40433,330052,4,100,'Inflicts 440 - 734 melee damage on target',1,9),
(40434,330052,4,100,'On a block this spell will cast Counterattack on target''s victim.  ',0,10),
(40435,330052,4,100,'Inflicts 440 - 734 melee damage on target',1,11),
(40436,330052,4,100,'On a riposte this spell will cast Counterattack on target''s victim.  ',0,12),
(40437,330052,4,100,'Inflicts 440 - 734 melee damage on target',1,13),
(40438,330052,4,100,'On a parry this spell will cast Counterattack on target''s victim.  ',0,14),
(40439,330052,4,100,'Inflicts 440 - 734 melee damage on target',1,15),
(40440,330052,5,100,'When a combat art is used this spell has a 15% chance to cast Counterattack on target of combat art.  ',0,0),
(40441,330052,5,100,'Inflicts 480 - 801 melee damage on target',1,1),
(40442,330052,5,100,'When blocked this spell will cast Counterattack on target''s victim.  ',0,2),
(40443,330052,5,100,'Inflicts 480 - 801 melee damage on target',1,3),
(40444,330052,5,100,'When parried this spell will cast Counterattack on target''s victim.  ',0,4),
(40445,330052,5,100,'Inflicts 480 - 801 melee damage on target',1,5),
(40446,330052,5,100,'When deflected this spell will cast Counterattack on target''s victim.  ',0,6),
(40447,330052,5,100,'Inflicts 480 - 801 melee damage on target',1,7),
(40448,330052,5,100,'When riposted this spell will cast Counterattack on target''s victim.  ',0,8),
(40449,330052,5,100,'Inflicts 480 - 801 melee damage on target',1,9),
(40450,330052,5,100,'On a block this spell will cast Counterattack on target''s victim.  ',0,10),
(40451,330052,5,100,'Inflicts 480 - 801 melee damage on target',1,11),
(40452,330052,5,100,'On a riposte this spell will cast Counterattack on target''s victim.  ',0,12),
(40453,330052,5,100,'Inflicts 480 - 801 melee damage on target',1,13),
(40454,330052,5,100,'On a parry this spell will cast Counterattack on target''s victim.  ',0,14),
(40455,330052,5,100,'Inflicts 480 - 801 melee damage on target',1,15),
(40456,330052,7,100,'When a combat art is used this spell has a 15% chance to cast Counterattack on target of combat art.  ',0,0),
(40457,330052,7,100,'Inflicts 616 - 1028 melee damage on target',1,1),
(40458,330052,7,100,'When blocked this spell will cast Counterattack on target''s victim.  ',0,2),
(40459,330052,7,100,'Inflicts 616 - 1028 melee damage on target',1,3),
(40460,330052,7,100,'When parried this spell will cast Counterattack on target''s victim.  ',0,4),
(40461,330052,7,100,'Inflicts 616 - 1028 melee damage on target',1,5),
(40462,330052,7,100,'When deflected this spell will cast Counterattack on target''s victim.  ',0,6),
(40463,330052,7,100,'Inflicts 616 - 1028 melee damage on target',1,7),
(40464,330052,7,100,'When riposted this spell will cast Counterattack on target''s victim.  ',0,8),
(40465,330052,7,100,'Inflicts 616 - 1028 melee damage on target',1,9),
(40466,330052,7,100,'On a block this spell will cast Counterattack on target''s victim.  ',0,10),
(40467,330052,7,100,'Inflicts 616 - 1028 melee damage on target',1,11),
(40468,330052,7,100,'On a riposte this spell will cast Counterattack on target''s victim.  ',0,12),
(40469,330052,7,100,'Inflicts 616 - 1028 melee damage on target',1,13),
(40470,330052,7,100,'On a parry this spell will cast Counterattack on target''s victim.  ',0,14),
(40471,330052,7,100,'Inflicts 616 - 1028 melee damage on target',1,15),
(40472,330052,9,100,'When a combat art is used this spell has a 15% chance to cast Counterattack on target of combat art.  ',0,0),
(40473,330052,9,100,'Inflicts 641 - 1068 melee damage on target',1,1),
(40474,330052,9,100,'When blocked this spell will cast Counterattack on target''s victim.  ',0,2),
(40475,330052,9,100,'Inflicts 641 - 1068 melee damage on target',1,3),
(40476,330052,9,100,'When parried this spell will cast Counterattack on target''s victim.  ',0,4),
(40477,330052,9,100,'Inflicts 641 - 1068 melee damage on target',1,5),
(40478,330052,9,100,'When deflected this spell will cast Counterattack on target''s victim.  ',0,6),
(40479,330052,9,100,'Inflicts 641 - 1068 melee damage on target',1,7),
(40480,330052,9,100,'When riposted this spell will cast Counterattack on target''s victim.  ',0,8),
(40481,330052,9,100,'Inflicts 641 - 1068 melee damage on target',1,9),
(40482,330052,9,100,'On a block this spell will cast Counterattack on target''s victim.  ',0,10),
(40483,330052,9,100,'Inflicts 641 - 1068 melee damage on target',1,11),
(40484,330052,9,100,'On a riposte this spell will cast Counterattack on target''s victim.  ',0,12),
(40485,330052,9,100,'Inflicts 641 - 1068 melee damage on target',1,13),
(40486,330052,9,100,'On a parry this spell will cast Counterattack on target''s victim.  ',0,14),
(40487,330052,9,100,'Inflicts 641 - 1068 melee damage on target',1,15),
(40488,420020,9,100,'Reduces all damage done to group members (AE) by 10%',0,0),
(40489,420020,9,100,'Increases power of group members (AE) by 2 - 4',0,1),
(40490,420020,9,100,'The effect of this ability grows based on Spirituality level.',0,2),
(40491,420020,9,100,'You must have Tame Exotic Warder to use this Primal.',0,3),
(40492,420020,9,100,'You must have your warder active to use this ability.',0,4),
(40493,2000095,3,100,'Inflicts 2 - 3 magic damage on target',0,0),
(40494,2000095,3,100,'Heals caster for 1 - 2',0,1),
(40495,2000095,4,100,'Inflicts 2 - 4 magic damage on target',0,0),
(40496,2000095,4,100,'Heals caster for 1 - 2',0,1),
(40497,2000095,5,100,'Inflicts 2 - 4 magic damage on target',0,0),
(40498,2000095,5,100,'Inflicts 4 - 6 magic damage on target',0,1),
(40499,2000095,7,100,'Inflicts 3 - 5 magic damage on target',0,0),
(40500,2000095,7,100,'Inflicts 4 - 7 magic damage on target',0,1),
(40501,2000095,9,100,'Inflicts 3 - 6 magic damage on target',0,0),
(40502,2000095,9,100,'Inflicts 5 - 8 magic damage on target',0,1),
(40503,2000095,10,100,'Inflicts 3 - 6 magic damage on target',0,0),
(40504,2000095,10,100,'Inflicts 5 - 9 magic damage on target',0,1),
(40505,420021,9,100,'Inflicts 218 - 364 melee damage on target encounter',0,0),
(40506,420021,9,100,'Increases power of group members (AE) by 4 - 6',0,1),
(40507,420021,9,100,'The effect of this ability grows based on Savagery and Spirituality level.',0,2),
(40508,420021,9,100,'You must have your warder active to use this ability.',0,3),
(40509,2000096,1,100,'Inflicts 7 - 13 melee damage on targets in Area of Effect',0,0),
(40510,2000096,1,100,'Decreases STR and INT of targets in Area of Effect by 5.0',0,1),
(40511,40093,2,100,'Increases Threat to target encounter by 369 - 451 ',0,0),
(40512,40093,3,100,'Increases Threat to target encounter by 388 - 475 ',0,0),
(40513,40093,4,100,'Increases Threat to target encounter by 427 - 522 ',0,0),
(40514,40093,5,100,'Increases Threat to target encounter by 466 - 570 ',0,0),
(40515,40093,7,100,'Increases Threat to target encounter by 598 - 731 ',0,0),
(40516,40093,9,100,'Increases Threat to target encounter by 622 - 760 ',0,0),
(40518,40094,1,100,'Increases Threat to target encounter by 967 - 1,182 ',0,0),
(40519,40094,2,100,'Increases Threat to target encounter by 1,021 - 1,248 ',0,0),
(40520,40094,3,100,'Increases Threat to target encounter by 1,075 - 1,296 ',0,0),
(40521,40094,4,100,'Increases Threat to target encounter by 1,182 - 1,372 ',0,0),
(40522,40094,5,100,'Increases Threat to target encounter by 1,283 - 1,448 ',0,0),
(40523,40094,7,100,'Increases Threat to target encounter by 1,493 - 1,705 ',0,0),
(40524,40094,9,100,'Increases Threat to target encounter by 1,530 - 1,751 ',0,0),
(40526,40095,1,100,'Increases Threat to target encounter by 1,535 - 1,757 ',0,0),
(40527,40095,2,100,'Increases Threat to target encounter by 1,591 - 1,824 ',0,0),
(40528,40095,3,100,'Increases Threat to target encounter by 1,646 - 1,892 ',0,0),
(40529,40095,4,100,'Increases Threat to target encounter by 1,757 - 2,027 ',0,0),
(40530,40095,5,100,'Increases Threat to target encounter by 1,867 - 2,162 ',0,0),
(40531,40095,7,100,'Increases Threat to target encounter by 2,244 - 2,622 ',0,0),
(40532,40095,9,100,'Increases Threat to target encounter by 2,310 - 2,703 ',0,0),
(40533,40096,1,100,'Increases Threat to target encounter by 2,071 - 2,411 ',0,0),
(40534,40096,2,100,'Increases Threat to target encounter by 2,156 - 2,515 ',0,0),
(40535,40096,3,100,'Increases Threat to target encounter by 2,241 - 2,619 ',0,0),
(40536,40096,4,100,'Increases Threat to target encounter by 2,411 - 2,827 ',0,0),
(40537,40096,5,100,'Increases Threat to target encounter by 2,581 - 3,035 ',0,0),
(40538,40096,7,100,'Increases Threat to target encounter by 3,160 - 3,742 ',0,0),
(40539,40096,9,100,'Increases Threat to target encounter by 3,262 - 3,867 ',0,0),
(40540,40096,10,100,'Increases Threat to target encounter by 3,398 - 4,033 ',0,0),
(40541,40097,1,100,'Increases Threat to target encounter by 2,672 - 3,146 ',0,0),
(40542,40097,2,100,'Increases Threat to target encounter by 2,791 - 3,291 ',0,0),
(40543,40097,3,100,'Increases Threat to target encounter by 2,909 - 3,436 ',0,0),
(40544,40097,4,100,'Increases Threat to target encounter by 3,146 - 3,725 ',0,0),
(40545,40097,5,100,'Increases Threat to target encounter by 3,383 - 4,015 ',0,0),
(40546,40097,7,100,'Increases Threat to target encounter by 4,189 - 4,999 ',0,0),
(40547,40097,9,100,'Increases Threat to target encounter by 4,331 - 5,173 ',0,0),
(40548,40097,10,100,'Increases Threat to target encounter by 4,520 - 5,405 ',0,0),
(40549,40098,1,100,'Increases Threat to target encounter by 3,300 - 3,914 ',0,0),
(40550,40098,2,100,'Increases Threat to target encounter by 3,454 - 4,101 ',0,0),
(40551,40098,3,100,'Increases Threat to target encounter by 3,607 - 4,289 ',0,0),
(40552,40098,4,100,'Increases Threat to target encounter by 3,914 - 4,664 ',0,0),
(40553,40098,5,100,'Increases Threat to target encounter by 4,220 - 5,038 ',0,0),
(40554,40098,7,100,'Increases Threat to target encounter by 5,263 - 6,313 ',0,0),
(40555,40098,9,100,'Increases Threat to target encounter by 5,447 - 6,538 ',0,0),
(40556,40099,1,100,'Increases Threat to target encounter by 3,909 - 4,658 ',0,0),
(40557,40099,4,100,'Increases Threat to target encounter by 4,658 - 5,573 ',0,0),
(40558,40099,5,100,'Increases Threat to target encounter by 5,032 - 6,030 ',0,0),
(40559,40099,7,100,'Increases Threat to target encounter by 6,305 - 7,586 ',0,0),
(40560,40099,9,100,'Increases Threat to target encounter by 6,530 - 7,861 ',0,0),
(40561,40100,1,100,'Increases Threat to target encounter by 4,517 - 5,401 ',0,0),
(40562,40100,4,100,'Increases Threat to target encounter by 5,401 - 6,482 ',0,0),
(40563,40100,5,100,'Increases Threat to target encounter by 5,843 - 7,022 ',0,0),
(40564,40100,7,100,'Increases Threat to target encounter by 7,346 - 8,859 ',0,0),
(40565,40100,9,100,'Increases Threat to target encounter by 7,611 - 9,183 ',0,0),
(40566,390039,1,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(40567,390039,1,100,'Slows target by 28.3%',1,1),
(40568,390039,1,100,'5% chance to dispel when target receives hostile action',1,2),
(40569,390039,1,100,'5% chance to dispel when target takes damage',1,3),
(40570,390039,1,100,'Decreases Mitigation of target vs elemental damage by 197',0,4),
(40571,310005,1,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(40572,310005,1,100,'Slows target by 28.6%',1,1),
(40573,310005,1,100,'5% chance to dispel when target receives hostile action',1,2),
(40574,310005,1,100,'5% chance to dispel when target takes damage',1,3),
(40576,390039,2,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(40577,390039,2,100,'Slows target by 29.8%',1,1),
(40578,390039,2,100,'5% chance to dispel when target receives hostile action',1,2),
(40579,390039,2,100,'5% chance to dispel when target takes damage',1,3),
(40580,390039,2,100,'Decreases Mitigation of target vs elemental damage by 207',0,4),
(40581,310005,2,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(40582,310005,2,100,'Slows target by 30.2%',1,1),
(40583,310005,2,100,'5% chance to dispel when target receives hostile action',1,2),
(40584,310005,2,100,'5% chance to dispel when target takes damage',1,3),
(40586,390039,3,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(40587,390039,3,100,'Slows target by 31.4%',1,1),
(40588,390039,3,100,'5% chance to dispel when target receives hostile action',1,2),
(40589,390039,3,100,'5% chance to dispel when target takes damage',1,3),
(40590,390039,3,100,'Decreases Mitigation of target vs elemental damage by 218',0,4),
(40591,310005,3,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(40592,310005,3,100,'Slows target by 31.8%',1,1),
(40593,310005,3,100,'5% chance to dispel when target receives hostile action',1,2),
(40594,310005,3,100,'5% chance to dispel when target takes damage',1,3),
(40596,390039,4,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(40597,390039,4,100,'Slows target by 34.5%',1,1),
(40598,390039,4,100,'5% chance to dispel when target receives hostile action',1,2),
(40599,390039,4,100,'5% chance to dispel when target takes damage',1,3),
(40600,390039,4,100,'Decreases Mitigation of target vs elemental damage by 240',0,4),
(40601,310005,4,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(40602,310005,4,100,'Slows target by 35.0%',1,1),
(40603,310005,4,100,'5% chance to dispel when target receives hostile action',1,2),
(40604,310005,4,100,'5% chance to dispel when target takes damage',1,3),
(40606,390039,5,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(40607,390039,5,100,'Slows target by 37.7%',1,1),
(40608,390039,5,100,'5% chance to dispel when target receives hostile action',1,2),
(40609,390039,5,100,'5% chance to dispel when target takes damage',1,3),
(40610,390039,5,100,'Decreases Mitigation of target vs elemental damage by 262',0,4),
(40611,310005,5,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(40612,310005,5,100,'Slows target by 38.2%',1,1),
(40613,310005,5,100,'5% chance to dispel when target receives hostile action',1,2),
(40614,310005,5,100,'5% chance to dispel when target takes damage',1,3),
(40616,390039,7,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(40617,390039,7,100,'Slows target by 48.4%',1,1),
(40618,390039,7,100,'5% chance to dispel when target receives hostile action',1,2),
(40619,390039,7,100,'5% chance to dispel when target takes damage',1,3),
(40620,390039,7,100,'Decreases Mitigation of target vs elemental damage by 336',0,4),
(40621,310005,7,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(40622,310005,7,100,'Slows target by 49.0%',1,1),
(40623,310005,7,100,'5% chance to dispel when target receives hostile action',1,2),
(40624,310005,7,100,'5% chance to dispel when target takes damage',1,3),
(40626,310005,9,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(40627,310005,9,100,'Slows target by 50.9%',1,1),
(40628,310005,9,100,'5% chance to dispel when target receives hostile action',1,2),
(40629,310005,9,100,'5% chance to dispel when target takes damage',1,3),
(40631,390039,9,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(40632,390039,9,100,'Slows target by 50.2%',1,1),
(40633,390039,9,100,'5% chance to dispel when target receives hostile action',1,2),
(40634,390039,9,100,'5% chance to dispel when target takes damage',1,3),
(40635,390039,9,100,'Decreases Mitigation of target vs elemental damage by 349',0,4),
(40636,390040,1,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(40637,390040,1,100,'Slows target by 31.1%',1,1),
(40638,390040,1,100,'5% chance to dispel when target receives hostile action',1,2),
(40639,390040,1,100,'5% chance to dispel when target takes damage',1,3),
(40640,390040,1,100,'Decreases Mitigation of target vs elemental damage by 414',0,4),
(40641,390040,2,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(40642,390040,2,100,'Slows target by 32.9%',1,1),
(40643,390040,2,100,'5% chance to dispel when target receives hostile action',1,2),
(40644,390040,2,100,'5% chance to dispel when target takes damage',1,3),
(40645,390040,2,100,'Decreases Mitigation of target vs elemental damage by 437',0,4),
(40646,390040,3,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(40647,390040,3,100,'Slows target by 34.6%',1,1),
(40648,390040,3,100,'5% chance to dispel when target receives hostile action',1,2),
(40649,390040,3,100,'5% chance to dispel when target takes damage',1,3),
(40650,390040,3,100,'Decreases Mitigation of target vs elemental damage by 460',0,4),
(40651,390040,4,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(40652,390040,4,100,'Slows target by 38.1%',1,1),
(40653,390040,4,100,'5% chance to dispel when target receives hostile action',1,2),
(40654,390040,4,100,'5% chance to dispel when target takes damage',1,3),
(40655,390040,4,100,'Decreases Mitigation of target vs elemental damage by 506',0,4),
(40656,390040,5,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(40657,390040,5,100,'Slows target by 41.5%',1,1),
(40658,390040,5,100,'5% chance to dispel when target receives hostile action',1,2),
(40659,390040,5,100,'5% chance to dispel when target takes damage',1,3),
(40660,390040,5,100,'Decreases Mitigation of target vs elemental damage by 552',0,4),
(40661,390040,7,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(40662,390040,7,100,'Slows target by 53.3%',1,1),
(40663,390040,7,100,'5% chance to dispel when target receives hostile action',1,2),
(40664,390040,7,100,'5% chance to dispel when target takes damage',1,3),
(40665,390040,7,100,'Decreases Mitigation of target vs elemental damage by 708',0,4),
(40666,390040,9,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(40667,390040,9,100,'Slows target by 55.4%',1,1),
(40668,390040,9,100,'5% chance to dispel when target receives hostile action',1,2),
(40669,390040,9,100,'5% chance to dispel when target takes damage',1,3),
(40670,390040,9,100,'Decreases Mitigation of target vs elemental damage by 736',0,4),
(40671,390041,1,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(40672,390041,1,100,'Slows target by 33.7%',1,1),
(40673,390041,1,100,'5% chance to dispel when target receives hostile action',1,2),
(40674,390041,1,100,'5% chance to dispel when target takes damage',1,3),
(40675,390041,1,100,'Decreases Mitigation of target vs elemental damage by 666',0,4),
(40676,390041,2,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(40677,390041,2,100,'Slows target by 35.5%',1,1),
(40678,390041,2,100,'5% chance to dispel when target receives hostile action',1,2),
(40679,390041,2,100,'5% chance to dispel when target takes damage',1,3),
(40680,390041,2,100,'Decreases Mitigation of target vs elemental damage by 703',0,4),
(40681,390041,3,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(40682,390041,3,100,'Slows target by 37.4%',1,1),
(40683,390041,3,100,'5% chance to dispel when target receives hostile action',1,2),
(40684,390041,3,100,'5% chance to dispel when target takes damage',1,3),
(40685,390041,3,100,'Decreases Mitigation of target vs elemental damage by 740',0,4),
(40686,390041,4,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(40687,390041,4,100,'Slows target by 41.1%',1,1),
(40688,390041,4,100,'5% chance to dispel when target receives hostile action',1,2),
(40689,390041,4,100,'5% chance to dispel when target takes damage',1,3),
(40690,390041,4,100,'Decreases Mitigation of target vs elemental damage by 814',0,4),
(40691,390041,5,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(40692,390041,5,100,'Slows target by 44.9%',1,1),
(40693,390041,5,100,'5% chance to dispel when target receives hostile action',1,2),
(40694,390041,5,100,'5% chance to dispel when target takes damage',1,3),
(40695,390041,5,100,'Decreases Mitigation of target vs elemental damage by 888',0,4),
(40696,390041,7,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(40697,390041,7,100,'Slows target by 57.6%',1,1),
(40698,390041,7,100,'5% chance to dispel when target receives hostile action',1,2),
(40699,390041,7,100,'5% chance to dispel when target takes damage',1,3),
(40700,390041,7,100,'Decreases Mitigation of target vs elemental damage by 1140',0,4),
(40701,390041,9,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(40702,390041,9,100,'Slows target by 59.8%',1,1),
(40703,390041,9,100,'5% chance to dispel when target receives hostile action',1,2),
(40704,390041,9,100,'5% chance to dispel when target takes damage',1,3),
(40705,390041,9,100,'Decreases Mitigation of target vs elemental damage by 1184',0,4),
(40706,390042,1,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(40707,390042,1,100,'Slows target by 36.0%',1,1),
(40708,390042,1,100,'5% chance to dispel when target receives hostile action',1,2),
(40709,390042,1,100,'5% chance to dispel when target takes damage',1,3),
(40710,390042,1,100,'Decreases Mitigation of target vs elemental damage by 918',0,4),
(40711,390042,2,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(40712,390042,2,100,'Slows target by 38.0%',1,1),
(40713,390042,2,100,'5% chance to dispel when target receives hostile action',1,2),
(40714,390042,2,100,'5% chance to dispel when target takes damage',1,3),
(40715,390042,2,100,'Decreases Mitigation of target vs elemental damage by 969',0,4),
(40716,390042,3,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(40717,390042,3,100,'Slows target by 40.0%',1,1),
(40718,390042,3,100,'5% chance to dispel when target receives hostile action',1,2),
(40719,390042,3,100,'5% chance to dispel when target takes damage',1,3),
(40720,390042,3,100,'Decreases Mitigation of target vs elemental damage by 1020',0,4),
(40721,390042,4,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(40722,390042,4,100,'Slows target by 44.0%',1,1),
(40723,390042,4,100,'5% chance to dispel when target receives hostile action',1,2),
(40724,390042,4,100,'5% chance to dispel when target takes damage',1,3),
(40725,390042,4,100,'Decreases Mitigation of target vs elemental damage by 1122',0,4),
(40726,390042,5,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(40727,390042,5,100,'Slows target by 48.0%',1,1),
(40728,390042,5,100,'5% chance to dispel when target receives hostile action',1,2),
(40729,390042,5,100,'5% chance to dispel when target takes damage',1,3),
(40730,390042,5,100,'Decreases Mitigation of target vs elemental damage by 1224',0,4),
(40731,390042,7,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(40732,390042,7,100,'Slows target by 61.7%',1,1),
(40733,390042,7,100,'5% chance to dispel when target receives hostile action',1,2),
(40734,390042,7,100,'5% chance to dispel when target takes damage',1,3),
(40735,390042,7,100,'Decreases Mitigation of target vs elemental damage by 1571',0,4),
(40736,390042,9,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(40737,390042,9,100,'Slows target by 64.1%',1,1);
INSERT INTO `spell_display_effects` VALUES
(40738,390042,9,100,'5% chance to dispel when target receives hostile action',1,2),
(40739,390042,9,100,'5% chance to dispel when target takes damage',1,3),
(40740,390042,9,100,'Decreases Mitigation of target vs elemental damage by 1632',0,4),
(40741,390043,1,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(40742,390043,1,100,'Slows target by 36.5%',1,1),
(40743,390043,1,100,'5% chance to dispel when target receives hostile action',1,2),
(40744,390043,1,100,'5% chance to dispel when target takes damage',1,3),
(40745,390043,1,100,'Decreases Mitigation of target vs elemental damage by 1170',0,4),
(40746,390043,2,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(40747,390043,2,100,'Slows target by 38.6%',1,1),
(40748,390043,2,100,'5% chance to dispel when target receives hostile action',1,2),
(40749,390043,2,100,'5% chance to dispel when target takes damage',1,3),
(40750,390043,2,100,'Decreases Mitigation of target vs elemental damage by 1235',0,4),
(40751,390043,3,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(40752,390043,3,100,'Slows target by 40.6%',1,1),
(40753,390043,3,100,'5% chance to dispel when target receives hostile action',1,2),
(40754,390043,3,100,'5% chance to dispel when target takes damage',1,3),
(40755,390043,3,100,'Decreases Mitigation of target vs elemental damage by 1300',0,4),
(40756,390043,4,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(40757,390043,4,100,'Slows target by 44.7%',1,1),
(40758,390043,4,100,'5% chance to dispel when target receives hostile action',1,2),
(40759,390043,4,100,'5% chance to dispel when target takes damage',1,3),
(40760,390043,4,100,'Decreases Mitigation of target vs elemental damage by 1430',0,4),
(40761,390043,5,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(40762,390043,5,100,'Slows target by 48.7%',1,1),
(40763,390043,5,100,'5% chance to dispel when target receives hostile action',1,2),
(40764,390043,5,100,'5% chance to dispel when target takes damage',1,3),
(40765,390043,5,100,'Decreases Mitigation of target vs elemental damage by 1560',0,4),
(40766,390043,7,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(40767,390043,7,100,'Slows target by 62.5%',1,1),
(40768,390043,7,100,'5% chance to dispel when target receives hostile action',1,2),
(40769,390043,7,100,'5% chance to dispel when target takes damage',1,3),
(40770,390043,7,100,'Decreases Mitigation of target vs elemental damage by 2002',0,4),
(40771,390043,9,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(40772,390043,9,100,'Slows target by 65.0%',1,1),
(40773,390043,9,100,'5% chance to dispel when target receives hostile action',1,2),
(40774,390043,9,100,'5% chance to dispel when target takes damage',1,3),
(40775,390043,9,100,'Decreases Mitigation of target vs elemental damage by 2080',0,4),
(40776,390044,1,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(40777,390044,1,100,'Slows target by 36.9%',1,1),
(40778,390044,1,100,'5% chance to dispel when target receives hostile action',1,2),
(40779,390044,1,100,'5% chance to dispel when target takes damage',1,3),
(40780,390044,1,100,'Decreases Mitigation of target vs elemental damage by 1485',0,4),
(40781,390044,2,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(40782,390044,2,100,'Slows target by 39.0%',1,1),
(40783,390044,2,100,'5% chance to dispel when target receives hostile action',1,2),
(40784,390044,2,100,'5% chance to dispel when target takes damage',1,3),
(40785,390044,2,100,'Decreases Mitigation of target vs elemental damage by 1568',0,4),
(40786,390044,3,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(40787,390044,3,100,'Slows target by 41.0%',1,1),
(40788,390044,3,100,'5% chance to dispel when target receives hostile action',1,2),
(40789,390044,3,100,'5% chance to dispel when target takes damage',1,3),
(40790,390044,3,100,'Decreases Mitigation of target vs elemental damage by 1650',0,4),
(40791,390044,4,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(40792,390044,4,100,'Slows target by 45.1%',1,1),
(40793,390044,4,100,'5% chance to dispel when target receives hostile action',1,2),
(40794,390044,4,100,'5% chance to dispel when target takes damage',1,3),
(40795,390044,4,100,'Decreases Mitigation of target vs elemental damage by 1815',0,4),
(40796,390044,5,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(40797,390044,5,100,'Slows target by 49.2%',1,1),
(40798,390044,5,100,'5% chance to dispel when target receives hostile action',1,2),
(40799,390044,5,100,'5% chance to dispel when target takes damage',1,3),
(40800,390044,5,100,'Decreases Mitigation of target vs elemental damage by 1980',0,4),
(40801,390044,7,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(40802,390044,7,100,'Slows target by 63.2%',1,1),
(40803,390044,7,100,'5% chance to dispel when target receives hostile action',1,2),
(40804,390044,7,100,'5% chance to dispel when target takes damage',1,3),
(40805,390044,7,100,'Decreases Mitigation of target vs elemental damage by 2541',0,4),
(40806,390044,9,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(40807,390044,9,100,'Slows target by 65.7%',1,1),
(40808,390044,9,100,'5% chance to dispel when target receives hostile action',1,2),
(40809,390044,9,100,'5% chance to dispel when target takes damage',1,3),
(40810,390044,9,100,'Decreases Mitigation of target vs elemental damage by 2640',0,4),
(40811,390045,1,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(40812,390045,1,100,'Slows target by 37.3%',1,1),
(40813,390045,1,100,'5% chance to dispel when target receives hostile action',1,2),
(40814,390045,1,100,'5% chance to dispel when target takes damage',1,3),
(40815,390045,1,100,'Decreases Mitigation of target vs elemental damage by 1858',0,4),
(40816,390045,4,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(40817,390045,4,100,'Slows target by 45.6%',1,1),
(40818,390045,4,100,'5% chance to dispel when target receives hostile action',1,2),
(40819,390045,4,100,'5% chance to dispel when target takes damage',1,3),
(40820,390045,4,100,'Decreases Mitigation of target vs elemental damage by 2270',0,4),
(40821,390045,5,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(40822,390045,5,100,'Slows target by 49.7%',1,1),
(40823,390045,5,100,'5% chance to dispel when target receives hostile action',1,2),
(40824,390045,5,100,'5% chance to dispel when target takes damage',1,3),
(40825,390045,5,100,'Decreases Mitigation of target vs elemental damage by 2477',0,4),
(40826,390045,7,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(40827,390045,7,100,'Slows target by 63.8%',1,1),
(40828,390045,7,100,'5% chance to dispel when target receives hostile action',1,2),
(40829,390045,7,100,'5% chance to dispel when target takes damage',1,3),
(40830,390045,7,100,'Decreases Mitigation of target vs elemental damage by 3179',0,4),
(40831,390045,9,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(40832,390045,9,100,'Slows target by 66.3%',1,1),
(40833,390045,9,100,'5% chance to dispel when target receives hostile action',1,2),
(40834,390045,9,100,'5% chance to dispel when target takes damage',1,3),
(40835,390045,9,100,'Decreases Mitigation of target vs elemental damage by 3302',0,4),
(40836,390046,1,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(40837,390046,1,100,'Slows target by 37.7%',1,1),
(40838,390046,1,100,'5% chance to dispel when target receives hostile action',1,2),
(40839,390046,1,100,'5% chance to dispel when target takes damage',1,3),
(40840,390046,1,100,'Decreases Mitigation of target vs elemental damage by 2074',0,4),
(40841,390046,4,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(40842,390046,4,100,'Slows target by 46.0%',1,1),
(40843,390046,4,100,'5% chance to dispel when target receives hostile action',1,2),
(40844,390046,4,100,'5% chance to dispel when target takes damage',1,3),
(40845,390046,4,100,'Decreases Mitigation of target vs elemental damage by 2534',0,4),
(40846,390046,5,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(40847,390046,5,100,'Slows target by 50.2%',1,1),
(40848,390046,5,100,'5% chance to dispel when target receives hostile action',1,2),
(40849,390046,5,100,'5% chance to dispel when target takes damage',1,3),
(40850,390046,5,100,'Decreases Mitigation of target vs elemental damage by 2765',0,4),
(40851,390046,7,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(40852,390046,7,100,'Slows target by 64.4%',1,1),
(40853,390046,7,100,'5% chance to dispel when target receives hostile action',1,2),
(40854,390046,7,100,'5% chance to dispel when target takes damage',1,3),
(40855,390046,7,100,'Decreases Mitigation of target vs elemental damage by 3548',0,4),
(40856,390046,9,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(40857,390046,9,100,'Slows target by 66.9%',1,1),
(40858,390046,9,100,'5% chance to dispel when target receives hostile action',1,2),
(40859,390046,9,100,'5% chance to dispel when target takes damage',1,3),
(40860,390046,9,100,'Decreases Mitigation of target vs elemental damage by 3686',0,4),
(40861,340096,1,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(40862,340096,1,100,'Slows target by 32.0%',1,1),
(40863,340096,1,100,'5% chance to dispel when target receives hostile action',1,2),
(40864,340096,1,100,'5% chance to dispel when target takes damage',1,3),
(40865,340096,1,100,'Slows target encounter by 38.4%',0,4),
(40866,340096,1,100,'5% chance to dispel when target takes damage',0,5),
(40867,340096,2,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(40868,340096,2,100,'Slows target by 33.8%',1,1),
(40869,340096,2,100,'5% chance to dispel when target receives hostile action',1,2),
(40870,340096,2,100,'5% chance to dispel when target takes damage',1,3),
(40871,340096,2,100,'Slows target encounter by 40.6%',0,4),
(40872,340096,2,100,'5% chance to dispel when target takes damage',0,5),
(40873,340096,3,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(40874,340096,3,100,'Slows target by 35.6%',1,1),
(40875,340096,3,100,'5% chance to dispel when target receives hostile action',1,2),
(40876,340096,3,100,'5% chance to dispel when target takes damage',1,3),
(40877,340096,3,100,'Slows target encounter by 42.7%',0,4),
(40878,340096,3,100,'5% chance to dispel when target takes damage',0,5),
(40879,340096,4,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(40880,340096,4,100,'Slows target by 39.2%',1,1),
(40881,340096,4,100,'5% chance to dispel when target receives hostile action',1,2),
(40882,340096,4,100,'5% chance to dispel when target takes damage',1,3),
(40883,340096,4,100,'Slows target encounter by 47.0%',0,4),
(40884,340096,4,100,'5% chance to dispel when target takes damage',0,5),
(40885,340096,5,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(40886,340096,5,100,'Slows target by 42.7%',1,1),
(40887,340096,5,100,'5% chance to dispel when target receives hostile action',1,2),
(40888,340096,5,100,'5% chance to dispel when target takes damage',1,3),
(40889,340096,5,100,'Slows target encounter by 51.3%',0,4),
(40890,340096,5,100,'5% chance to dispel when target takes damage',0,5),
(40891,340096,7,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(40892,340096,7,100,'Slows target by 54.8%',1,1),
(40893,340096,7,100,'5% chance to dispel when target receives hostile action',1,2),
(40894,340096,7,100,'5% chance to dispel when target takes damage',1,3),
(40895,340096,7,100,'Slows target encounter by 65.8%',0,4),
(40896,340096,7,100,'5% chance to dispel when target takes damage',0,5),
(40897,340096,9,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(40898,340096,9,100,'Slows target by 57.0%',1,1),
(40899,340096,9,100,'5% chance to dispel when target receives hostile action',1,2),
(40900,340096,9,100,'5% chance to dispel when target takes damage',1,3),
(40901,340096,9,100,'Slows target encounter by 68.4%',0,4),
(40902,340096,9,100,'5% chance to dispel when target takes damage',0,5),
(40903,340097,1,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(40904,340097,1,100,'Slows target by 34.6%',1,1),
(40905,340097,1,100,'5% chance to dispel when target receives hostile action',1,2),
(40906,340097,1,100,'5% chance to dispel when target takes damage',1,3),
(40907,340097,1,100,'Slows target encounter by 41.5%',0,4),
(40908,340097,1,100,'5% chance to dispel when target takes damage',0,5),
(40909,340097,2,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(40910,340097,2,100,'Slows target by 36.5%',1,1),
(40911,340097,2,100,'5% chance to dispel when target receives hostile action',1,2),
(40912,340097,2,100,'5% chance to dispel when target takes damage',1,3),
(40913,340097,2,100,'Slows target encounter by 43.8%',0,4),
(40914,340097,2,100,'5% chance to dispel when target takes damage',0,5),
(40915,340097,3,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(40916,340097,3,100,'Slows target by 38.4%',1,1),
(40917,340097,3,100,'5% chance to dispel when target receives hostile action',1,2),
(40918,340097,3,100,'5% chance to dispel when target takes damage',1,3),
(40919,340097,3,100,'Slows target encounter by 46.1%',0,4),
(40920,340097,3,100,'5% chance to dispel when target takes damage',0,5),
(40921,340097,4,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(40922,340097,4,100,'Slows target by 42.2%',1,1),
(40923,340097,4,100,'5% chance to dispel when target receives hostile action',1,2),
(40924,340097,4,100,'5% chance to dispel when target takes damage',1,3),
(40925,340097,4,100,'Slows target encounter by 50.7%',0,4),
(40926,340097,4,100,'5% chance to dispel when target takes damage',0,5),
(40927,340097,5,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(40928,340097,5,100,'Slows target by 46.1%',1,1),
(40929,340097,5,100,'5% chance to dispel when target receives hostile action',1,2),
(40930,340097,5,100,'5% chance to dispel when target takes damage',1,3),
(40931,340097,5,100,'Slows target encounter by 55.3%',0,4),
(40932,340097,5,100,'5% chance to dispel when target takes damage',0,5),
(40933,340097,7,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(40934,340097,7,100,'Slows target by 59.1%',1,1),
(40935,340097,7,100,'5% chance to dispel when target receives hostile action',1,2),
(40936,340097,7,100,'5% chance to dispel when target takes damage',1,3),
(40937,340097,7,100,'Slows target encounter by 71.0%',0,4),
(40938,340097,7,100,'5% chance to dispel when target takes damage',0,5),
(40939,340097,9,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(40940,340097,9,100,'Slows target by 61.4%',1,1),
(40941,340097,9,100,'5% chance to dispel when target receives hostile action',1,2),
(40942,340097,9,100,'5% chance to dispel when target takes damage',1,3),
(40943,340097,9,100,'Slows target encounter by 73.7%',0,4),
(40944,340097,9,100,'5% chance to dispel when target takes damage',0,5),
(40945,340098,1,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(40946,340098,1,100,'Slows target by 36.2%',1,1),
(40947,340098,1,100,'5% chance to dispel when target receives hostile action',1,2),
(40948,340098,1,100,'5% chance to dispel when target takes damage',1,3),
(40949,340098,1,100,'Slows target encounter by 43.5%',0,4),
(40950,340098,1,100,'5% chance to dispel when target takes damage',0,5),
(40951,340098,2,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(40952,340098,2,100,'Slows target by 38.2%',1,1),
(40953,340098,2,100,'5% chance to dispel when target receives hostile action',1,2),
(40954,340098,2,100,'5% chance to dispel when target takes damage',1,3),
(40955,340098,2,100,'Slows target encounter by 45.9%',0,4),
(40956,340098,2,100,'5% chance to dispel when target takes damage',0,5),
(40957,340098,3,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(40958,340098,3,100,'Slows target by 40.2%',1,1),
(40959,340098,3,100,'5% chance to dispel when target receives hostile action',1,2),
(40960,340098,3,100,'5% chance to dispel when target takes damage',1,3),
(40961,340098,3,100,'Slows target encounter by 48.3%',0,4),
(40962,340098,3,100,'5% chance to dispel when target takes damage',0,5),
(40963,340098,4,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(40964,340098,4,100,'Slows target by 44.3%',1,1),
(40965,340098,4,100,'5% chance to dispel when target receives hostile action',1,2),
(40966,340098,4,100,'5% chance to dispel when target takes damage',1,3),
(40967,340098,4,100,'Slows target encounter by 53.1%',0,4),
(40968,340098,4,100,'5% chance to dispel when target takes damage',0,5),
(40969,340098,5,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(40970,340098,5,100,'Slows target by 48.3%',1,1),
(40971,340098,5,100,'5% chance to dispel when target receives hostile action',1,2),
(40972,340098,5,100,'5% chance to dispel when target takes damage',1,3),
(40973,340098,5,100,'Slows target encounter by 57.9%',0,4),
(40974,340098,5,100,'5% chance to dispel when target takes damage',0,5),
(40975,340098,7,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(40976,340098,7,100,'Slows target by 62.0%',1,1),
(40977,340098,7,100,'5% chance to dispel when target receives hostile action',1,2),
(40978,340098,7,100,'5% chance to dispel when target takes damage',1,3),
(40979,340098,7,100,'Slows target encounter by 74.4%',0,4),
(40980,340098,7,100,'5% chance to dispel when target takes damage',0,5),
(40981,340098,9,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(40982,340098,9,100,'Slows target by 64.4%',1,1),
(40983,340098,9,100,'5% chance to dispel when target receives hostile action',1,2),
(40984,340098,9,100,'5% chance to dispel when target takes damage',1,3),
(40985,340098,9,100,'Slows target encounter by 77.3%',0,4),
(40986,340098,9,100,'5% chance to dispel when target takes damage',0,5),
(40987,340099,1,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(40988,340099,1,100,'Slows target by 36.7%',1,1),
(40989,340099,1,100,'5% chance to dispel when target receives hostile action',1,2),
(40990,340099,1,100,'5% chance to dispel when target takes damage',1,3),
(40991,340099,1,100,'Slows target encounter by 44.1%',0,4),
(40992,340099,1,100,'5% chance to dispel when target takes damage',0,5),
(40993,340099,2,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(40994,340099,2,100,'Slows target by 38.8%',1,1),
(40995,340099,2,100,'5% chance to dispel when target receives hostile action',1,2),
(40996,340099,2,100,'5% chance to dispel when target takes damage',1,3),
(40997,340099,2,100,'Slows target encounter by 46.5%',0,4),
(40998,340099,2,100,'5% chance to dispel when target takes damage',0,5),
(40999,340099,3,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(41000,340099,3,100,'Slows target by 40.8%',1,1),
(41001,340099,3,100,'5% chance to dispel when target receives hostile action',1,2),
(41002,340099,3,100,'5% chance to dispel when target takes damage',1,3),
(41003,340099,3,100,'Slows target encounter by 49.0%',0,4),
(41004,340099,3,100,'5% chance to dispel when target takes damage',0,5),
(41005,340099,4,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(41006,340099,4,100,'Slows target by 44.9%',1,1),
(41007,340099,4,100,'5% chance to dispel when target receives hostile action',1,2),
(41008,340099,4,100,'5% chance to dispel when target takes damage',1,3),
(41009,340099,4,100,'Slows target encounter by 53.9%',0,4),
(41010,340099,4,100,'5% chance to dispel when target takes damage',0,5),
(41011,340099,5,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(41012,340099,5,100,'Slows target by 49.0%',1,1),
(41013,340099,5,100,'5% chance to dispel when target receives hostile action',1,2),
(41014,340099,5,100,'5% chance to dispel when target takes damage',1,3),
(41015,340099,5,100,'Slows target encounter by 58.8%',0,4),
(41016,340099,5,100,'5% chance to dispel when target takes damage',0,5),
(41017,340099,7,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(41018,340099,7,100,'Slows target by 62.8%',1,1),
(41019,340099,7,100,'5% chance to dispel when target receives hostile action',1,2),
(41020,340099,7,100,'5% chance to dispel when target takes damage',1,3),
(41021,340099,7,100,'Slows target encounter by 75.4%',0,4),
(41022,340099,7,100,'5% chance to dispel when target takes damage',0,5),
(41023,340099,9,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(41024,340099,9,100,'Slows target by 65.3%',1,1),
(41025,340099,9,100,'5% chance to dispel when target receives hostile action',1,2),
(41026,340099,9,100,'5% chance to dispel when target takes damage',1,3),
(41027,340099,9,100,'Slows target encounter by 78.3%',0,4),
(41028,340099,9,100,'5% chance to dispel when target takes damage',0,5),
(41029,310006,1,100,'Teleports caster and caster''s group within the zone',0,0),
(41030,310007,1,100,'Decreases Threat to target by 172 - 288 ',0,0),
(41031,310007,2,100,'Decreases Threat to target by 182 - 304 ',0,0),
(41032,310007,3,100,'Decreases Threat to target by 192 - 320 ',0,0),
(41033,310007,4,100,'Decreases Threat to target by 211 - 352 ',0,0),
(41034,310007,5,100,'Decreases Threat to target by 230 - 384 ',0,0),
(41035,310007,7,100,'Decreases Threat to target by 295 - 492 ',0,0),
(41036,310007,9,100,'Decreases Threat to target by 307 - 512 ',0,0),
(41037,310008,1,100,'Decreases Threat to target by 497 - 828 ',0,0),
(41038,310008,2,100,'Decreases Threat to target by 524 - 874 ',0,0),
(41039,310008,3,100,'Decreases Threat to target by 552 - 920 ',0,0),
(41040,310008,4,100,'Decreases Threat to target by 607 - 1,012 ',0,0),
(41041,310008,5,100,'Decreases Threat to target by 662 - 1,104 ',0,0),
(41042,310008,7,100,'Decreases Threat to target by 850 - 1,417 ',0,0),
(41043,310008,9,100,'Decreases Threat to target by 883 - 1,472 ',0,0),
(41044,310009,1,100,'Decreases Threat to target by 963 - 1,606 ',0,0),
(41045,310009,2,100,'Decreases Threat to target by 1,017 - 1,695 ',0,0),
(41046,310009,3,100,'Decreases Threat to target by 1,070 - 1,784 ',0,0),
(41047,310009,4,100,'Decreases Threat to target by 1,177 - 1,963 ',0,0),
(41048,310009,5,100,'Decreases Threat to target by 1,284 - 2,141 ',0,0),
(41049,310009,7,100,'Decreases Threat to target by 1,648 - 2,748 ',0,0),
(41050,310009,9,100,'Decreases Threat to target by 1,713 - 2,855 ',0,0),
(41051,310010,1,100,'Decreases Threat to target by 1,520 - 2,534 ',0,0),
(41052,310010,2,100,'Decreases Threat to target by 1,605 - 2,675 ',0,0),
(41053,310010,3,100,'Decreases Threat to target by 1,689 - 2,815 ',0,0),
(41054,310010,4,100,'Decreases Threat to target by 1,858 - 3,097 ',0,0),
(41055,310010,5,100,'Decreases Threat to target by 2,027 - 3,379 ',0,0),
(41056,310010,7,100,'Decreases Threat to target by 2,601 - 4,336 ',0,0),
(41057,310010,9,100,'Decreases Threat to target by 2,703 - 4,505 ',0,0),
(41058,310011,1,100,'Decreases Threat to target by 2,174 - 3,624 ',0,0),
(41059,310011,2,100,'Decreases Threat to target by 2,295 - 3,826 ',0,0),
(41060,310011,3,100,'Decreases Threat to target by 2,416 - 4,027 ',0,0),
(41061,310011,4,100,'Decreases Threat to target by 2,658 - 4,430 ',0,0),
(41062,310011,5,100,'Decreases Threat to target by 2,899 - 4,832 ',0,0),
(41063,310011,7,100,'Decreases Threat to target by 3,721 - 6,202 ',0,0),
(41064,310011,9,100,'Decreases Threat to target by 3,866 - 6,443 ',0,0),
(41065,310012,1,100,'Decreases Threat to target by 2,864 - 4,774 ',0,0),
(41066,310012,2,100,'Decreases Threat to target by 3,023 - 5,039 ',0,0),
(41067,310012,3,100,'Decreases Threat to target by 3,182 - 5,304 ',0,0),
(41068,310012,4,100,'Decreases Threat to target by 3,501 - 5,835 ',0,0),
(41069,310012,5,100,'Decreases Threat to target by 3,819 - 6,365 ',0,0),
(41070,310012,7,100,'Decreases Threat to target by 4,901 - 8,169 ',0,0),
(41071,310012,9,100,'Decreases Threat to target by 5,092 - 8,487 ',0,0),
(41072,310013,1,100,'Decreases Threat to target by 3,540 - 5,901 ',0,0),
(41073,310013,4,100,'Decreases Threat to target by 4,327 - 7,213 ',0,0),
(41074,310013,5,100,'Decreases Threat to target by 4,721 - 7,868 ',0,0),
(41075,310013,7,100,'Decreases Threat to target by 6,058 - 10,098 ',0,0),
(41076,310013,9,100,'Decreases Threat to target by 6,295 - 10,491 ',0,0),
(41077,310014,1,100,'Decreases Threat to target by 4,217 - 7,028 ',0,0),
(41078,310014,4,100,'Decreases Threat to target by 5,154 - 8,590 ',0,0),
(41079,310014,5,100,'Decreases Threat to target by 5,622 - 9,371 ',0,0),
(41080,310014,7,100,'Decreases Threat to target by 7,215 - 12,026 ',0,0),
(41081,310014,9,100,'Decreases Threat to target by 7,496 - 12,494 ',0,0),
(41082,2000097,1,100,'Decreases threat priority of target by 1 position',0,0),
(41083,2000098,1,100,'Inflicts 1824 - 2737 melee damage on target',0,0),
(41084,2000098,1,100,'Decreases threat priority of target by 1 position',0,1),
(41085,2000099,1,100,'Decreases Hate Gain of caster by 1.5%',0,0),
(41086,2000099,1,100,'Improves hate reduction of Evade by 5%',0,1),
(41087,2000099,2,100,'Decreases Hate Gain of caster by 3.0%',0,0),
(41088,2000099,2,100,'Improves hate reduction of Evade by 10%',0,1),
(41089,2000099,3,100,'Decreases Hate Gain of caster by 4.5%',0,0),
(41090,2000099,3,100,'Improves hate reduction of Evade by 15%',0,1),
(41091,2000099,4,100,'Decreases Hate Gain of caster by 6.0%',0,0),
(41092,2000099,4,100,'Improves hate reduction of Evade by 20%',0,1),
(41093,2000099,5,100,'Decreases Hate Gain of caster by 7.5%',0,0),
(41094,2000099,5,100,'Improves hate reduction of Evade by 25%',0,1),
(41095,2000099,6,100,'Decreases Hate Gain of caster by 9.0%',0,0),
(41096,2000099,6,100,'Improves hate reduction of Evade by 30%',0,1),
(41097,2000099,7,100,'Decreases Hate Gain of caster by 10.5%',0,0),
(41098,2000099,7,100,'Improves hate reduction of Evade by 35%',0,1),
(41099,2000099,8,100,'Decreases Hate Gain of caster by 12.0%',0,0),
(41100,2000099,8,100,'Improves hate reduction of Evade by 40%',0,1),
(41101,2000099,9,100,'Decreases Hate Gain of caster by 13.5%',0,0),
(41102,2000099,9,100,'Improves hate reduction of Evade by 45%',0,1),
(41103,2000099,10,100,'Decreases Hate Gain of caster by 15.0%',0,0),
(41104,2000099,10,100,'Improves hate reduction of Evade by 50%',0,1),
(41105,60069,1,100,'Increases Haste of caster by 17.1',0,0),
(41106,60069,2,100,'Increases Haste of caster by 18.0',0,0),
(41107,60069,3,100,'Increases Haste of caster by 19.0',0,0),
(41108,60069,4,100,'Increases Haste of caster by 20.9',0,0),
(41109,60069,5,100,'Increases Haste of caster by 22.8',0,0),
(41110,60069,7,100,'Increases Haste of caster by 29.3',0,0),
(41111,60069,9,100,'Increases Haste of caster by 30.4',0,0),
(41112,60069,10,100,'Increases Haste of caster by 31.9',0,0),
(41113,60070,1,100,'Increases Haste of caster by 20.2',0,0),
(41114,60070,2,100,'Increases Haste of caster by 21.4',0,0),
(41115,60070,3,100,'Increases Haste of caster by 22.5',0,0),
(41116,60070,4,100,'Increases Haste of caster by 24.7',0,0),
(41117,60070,5,100,'Increases Haste of caster by 27.0',0,0),
(41118,60070,7,100,'Increases Haste of caster by 34.6',0,0),
(41119,60070,9,100,'Increases Haste of caster by 36.0',0,0),
(41120,60071,1,100,'Increases Haste of caster by 23.3',0,0),
(41121,60071,2,100,'Increases Haste of caster by 24.6',0,0),
(41122,60071,3,100,'Increases Haste of caster by 25.9',0,0),
(41123,60071,4,100,'Increases Haste of caster by 28.5',0,0),
(41124,60071,5,100,'Increases Haste of caster by 31.1',0,0),
(41125,60071,7,100,'Increases Haste of caster by 39.9',0,0),
(41126,60071,9,100,'Increases Haste of caster by 41.4',0,0),
(41127,60072,1,100,'Increases Haste of caster by 26.2',0,0),
(41128,60072,2,100,'Increases Haste of caster by 27.6',0,0),
(41129,60072,3,100,'Increases Haste of caster by 29.1',0,0),
(41130,60072,4,100,'Increases Haste of caster by 32.0',0,0),
(41131,60072,5,100,'Increases Attack Speed of caster by 34.9',0,0),
(41132,60072,7,100,'Increases Haste of caster by 44.8',0,0),
(41133,60072,9,100,'Increases Haste of caster by 46.5',0,0),
(41134,400064,1,100,'Inflicts 82 - 137 melee damage on target',0,0),
(41135,400064,1,100,'You must be sneaking to use this ability.',0,1),
(41136,400064,1,100,'Must be flanking or behind',0,2),
(41137,400064,2,100,'Inflicts 87 - 145 melee damage on target',0,0),
(41138,400064,2,100,'You must be sneaking to use this ability.',0,1),
(41139,400064,2,100,'Must be flanking or behind',0,2),
(41140,400064,3,100,'Inflicts 91 - 152 melee damage on target',0,0),
(41141,400064,3,100,'You must be sneaking to use this ability.',0,1),
(41142,400064,3,100,'Must be flanking or behind',0,2),
(41143,400064,4,100,'Inflicts 100 - 168 melee damage on target',0,0),
(41144,400064,4,100,'You must be sneaking to use this ability.',0,1),
(41145,400064,4,100,'Must be flanking or behind',0,2),
(41146,400064,5,100,'Inflicts 110 - 183 melee damage on target',0,0),
(41147,400064,5,100,'You must be sneaking to use this ability.',0,1),
(41148,400064,5,100,'Must be flanking or behind',0,2),
(41149,400064,7,100,'Inflicts 141 - 235 melee damage on target',0,0),
(41150,400064,7,100,'You must be sneaking to use this ability.',0,1),
(41151,400064,7,100,'Must be flanking or behind',0,2),
(41152,400064,9,100,'Inflicts 146 - 244 melee damage on target',0,0),
(41153,400064,9,100,'You must be sneaking to use this ability.',0,1),
(41154,400064,9,100,'Must be flanking or behind',0,2),
(41155,400064,10,100,'Inflicts 154 - 256 melee damage on target',0,0),
(41156,400064,10,100,'You must be sneaking to use this ability.',0,1),
(41157,400064,10,100,'Must be flanking or behind',0,2),
(41158,400065,1,100,'Inflicts 200 - 333 melee damage on target',0,0),
(41159,400065,1,100,'You must be sneaking to use this ability.',0,1),
(41160,400065,1,100,'Must be flanking or behind',0,2),
(41161,400065,2,100,'Inflicts 211 - 351 melee damage on target',0,0),
(41162,400065,2,100,'You must be sneaking to use this ability.',0,1),
(41163,400065,2,100,'Must be flanking or behind',0,2),
(41164,400065,3,100,'Inflicts 222 - 370 melee damage on target',0,0),
(41165,400065,3,100,'You must be sneaking to use this ability.',0,1),
(41166,400065,3,100,'Must be flanking or behind',0,2),
(41167,400065,4,100,'Inflicts 244 - 407 melee damage on target',0,0),
(41168,400065,4,100,'You must be sneaking to use this ability.',0,1),
(41169,400065,4,100,'Must be flanking or behind',0,2),
(41170,400065,5,100,'Inflicts 266 - 444 melee damage on target',0,0),
(41171,400065,5,100,'You must be sneaking to use this ability.',0,1),
(41172,400065,5,100,'Must be flanking or behind',0,2),
(41173,400065,7,100,'Inflicts 342 - 570 melee damage on target',0,0),
(41174,400065,7,100,'You must be sneaking to use this ability.',0,1),
(41175,400065,7,100,'Must be flanking or behind',0,2),
(41176,400065,9,100,'Inflicts 355 - 592 melee damage on target',0,0),
(41177,400065,9,100,'You must be sneaking to use this ability.',0,1),
(41178,400065,9,100,'Must be flanking or behind',0,2),
(41179,400065,10,100,'Inflicts 373 - 622 melee damage on target',0,0),
(41180,400065,10,100,'You must be sneaking to use this ability.',0,1),
(41181,400065,10,100,'Must be flanking or behind',0,2),
(41182,400066,1,100,'Inflicts 333 - 555 melee damage on target',0,0),
(41183,400066,1,100,'You must be sneaking to use this ability.',0,1),
(41184,400066,1,100,'Must be flanking or behind',0,2),
(41185,400066,2,100,'Inflicts 352 - 586 melee damage on target',0,0),
(41186,400066,2,100,'You must be sneaking to use this ability.',0,1),
(41187,400066,2,100,'Must be flanking or behind',0,2),
(41188,400066,3,100,'Inflicts 370 - 617 melee damage on target',0,0),
(41189,400066,3,100,'You must be sneaking to use this ability.',0,1),
(41190,400066,3,100,'Must be flanking or behind',0,2),
(41191,400066,4,100,'Inflicts 407 - 679 melee damage on target',0,0),
(41192,400066,4,100,'You must be sneaking to use this ability.',0,1),
(41193,400066,4,100,'Must be flanking or behind',0,2),
(41194,400066,5,100,'Inflicts 444 - 741 melee damage on target',0,0),
(41195,400066,5,100,'You must be sneaking to use this ability.',0,1),
(41196,400066,5,100,'Must be flanking or behind',0,2),
(41197,400066,7,100,'Inflicts 570 - 951 melee damage on target',0,0),
(41198,400066,7,100,'You must be sneaking to use this ability.',0,1),
(41199,400066,7,100,'Must be flanking or behind',0,2),
(41200,400066,9,100,'Inflicts 592 - 988 melee damage on target',0,0),
(41201,400066,9,100,'You must be sneaking to use this ability.',0,1),
(41202,400066,9,100,'Must be flanking or behind',0,2),
(41203,400067,1,100,'Inflicts 495 - 826 melee damage on target',0,0),
(41204,400067,1,100,'You must be sneaking to use this ability.',0,1),
(41205,400067,1,100,'Must be flanking or behind',0,2),
(41206,400067,2,100,'Inflicts 523 - 871 melee damage on target',0,0),
(41207,400067,2,100,'You must be sneaking to use this ability.',0,1),
(41208,400067,2,100,'Must be flanking or behind',0,2),
(41209,400067,3,100,'Inflicts 550 - 917 melee damage on target',0,0),
(41210,400067,3,100,'You must be sneaking to use this ability.',0,1),
(41211,400067,3,100,'Must be flanking or behind',0,2),
(41212,400067,4,100,'Inflicts 605 - 1009 melee damage on target',0,0),
(41213,400067,4,100,'You must be sneaking to use this ability.',0,1),
(41214,400067,4,100,'Must be flanking or behind',0,2),
(41215,400067,5,100,'Inflicts 660 - 1101 melee damage on target',0,0),
(41216,400067,5,100,'You must be sneaking to use this ability.',0,1),
(41217,400067,5,100,'Must be flanking or behind',0,2),
(41218,400067,7,100,'Inflicts 848 - 1413 melee damage on target',0,0),
(41219,400067,7,100,'You must be sneaking to use this ability.',0,1),
(41220,400067,7,100,'Must be flanking or behind',0,2),
(41221,400067,9,100,'Inflicts 881 - 1468 melee damage on target',0,0),
(41222,400067,9,100,'You must be sneaking to use this ability.',0,1),
(41223,400067,9,100,'Must be flanking or behind',0,2),
(41224,400067,10,100,'Inflicts 925 - 1541 melee damage on target',0,0),
(41225,400067,10,100,'You must be sneaking to use this ability.',0,1),
(41226,400067,10,100,'Must be flanking or behind',0,2),
(41227,400068,1,100,'Inflicts 662 - 1103 melee damage on target',0,0),
(41228,400068,1,100,'You must be sneaking to use this ability.',0,1),
(41229,400068,1,100,'Must be flanking or behind',0,2),
(41230,400068,2,100,'Inflicts 699 - 1165 melee damage on target',0,0),
(41231,400068,2,100,'You must be sneaking to use this ability.',0,1),
(41232,400068,2,100,'Must be flanking or behind',0,2),
(41233,400068,3,100,'Inflicts 735 - 1226 melee damage on target',0,0),
(41234,400068,3,100,'You must be sneaking to use this ability.',0,1),
(41235,400068,3,100,'Must be flanking or behind',0,2),
(41236,400068,4,100,'Inflicts 809 - 1349 melee damage on target',0,0),
(41237,400068,4,100,'You must be sneaking to use this ability.',0,1),
(41238,400068,4,100,'Must be flanking or behind',0,2),
(41239,400068,5,100,'Inflicts 883 - 1471 melee damage on target',0,0),
(41240,400068,5,100,'You must be sneaking to use this ability.',0,1),
(41241,400068,5,100,'Must be flanking or behind',0,2),
(41242,400068,7,100,'Inflicts 1133 - 1889 melee damage on target',0,0),
(41243,400068,7,100,'You must be sneaking to use this ability.',0,1),
(41244,400068,7,100,'Must be flanking or behind',0,2),
(41245,400068,9,100,'Inflicts 1177 - 1962 melee damage on target',0,0),
(41246,400068,9,100,'You must be sneaking to use this ability.',0,1),
(41247,400068,9,100,'Must be flanking or behind',0,2),
(41248,400069,1,100,'Inflicts 815 - 1359 melee damage on target',0,0),
(41249,400069,1,100,'You must be sneaking to use this ability.',0,1),
(41250,400069,1,100,'Must be flanking or behind',0,2),
(41251,400069,2,100,'Inflicts 861 - 1435 melee damage on target',0,0),
(41252,400069,2,100,'You must be sneaking to use this ability.',0,1),
(41253,400069,2,100,'Must be flanking or behind',0,2),
(41254,400069,3,100,'Inflicts 906 - 1510 melee damage on target',0,0),
(41255,400069,3,100,'You must be sneaking to use this ability.',0,1),
(41256,400069,3,100,'Must be flanking or behind',0,2),
(41257,400069,4,100,'Inflicts 996 - 1661 melee damage on target',0,0),
(41258,400069,4,100,'You must be sneaking to use this ability.',0,1),
(41259,400069,4,100,'Must be flanking or behind',0,2),
(41260,400069,5,100,'Inflicts 1087 - 1812 melee damage on target',0,0),
(41261,400069,5,100,'You must be sneaking to use this ability.',0,1),
(41262,400069,5,100,'Must be flanking or behind',0,2),
(41263,400069,7,100,'Inflicts 1395 - 2326 melee damage on target',0,0),
(41264,400069,7,100,'You must be sneaking to use this ability.',0,1),
(41265,400069,7,100,'Must be flanking or behind',0,2),
(41266,400069,9,100,'Inflicts 1450 - 2416 melee damage on target',0,0),
(41267,400069,9,100,'You must be sneaking to use this ability.',0,1),
(41268,400069,9,100,'Must be flanking or behind',0,2),
(41269,400070,1,100,'Inflicts 983 - 1638 melee damage on target',0,0),
(41270,400070,1,100,'You must be sneaking to use this ability.',0,1),
(41271,400070,1,100,'Must be flanking or behind',0,2),
(41272,400070,4,100,'Inflicts 1201 - 2003 melee damage on target',0,0),
(41273,400070,4,100,'You must be sneaking to use this ability.',0,1),
(41274,400070,4,100,'Must be flanking or behind',0,2),
(41275,400070,5,100,'Inflicts 1311 - 2185 melee damage on target',0,0),
(41276,400070,5,100,'You must be sneaking to use this ability.',0,1),
(41277,400070,5,100,'Must be flanking or behind',0,2),
(41278,400070,7,100,'Inflicts 1682 - 2804 melee damage on target',0,0),
(41279,400070,7,100,'You must be sneaking to use this ability.',0,1),
(41280,400070,7,100,'Must be flanking or behind',0,2),
(41281,400070,9,100,'Inflicts 1748 - 2913 melee damage on target',0,0),
(41282,400070,9,100,'You must be sneaking to use this ability.',0,1),
(41283,400070,9,100,'Must be flanking or behind',0,2),
(41284,400071,1,100,'Inflicts 1080 - 1800 melee damage on target',0,0),
(41285,400071,1,100,'You must be sneaking to use this ability.',0,1),
(41286,400071,1,100,'Must be flanking or behind',0,2),
(41287,400071,4,100,'Inflicts 1320 - 2200 melee damage on target',0,0),
(41288,400071,4,100,'You must be sneaking to use this ability.',0,1),
(41289,400071,4,100,'Must be flanking or behind',0,2),
(41290,400071,5,100,'Inflicts 1440 - 2400 melee damage on target',0,0),
(41291,400071,5,100,'You must be sneaking to use this ability.',0,1),
(41292,400071,5,100,'Must be flanking or behind',0,2),
(41293,400071,7,100,'Inflicts 1848 - 3080 melee damage on target',0,0),
(41294,400071,7,100,'You must be sneaking to use this ability.',0,1),
(41295,400071,7,100,'Must be flanking or behind',0,2),
(41296,400071,9,100,'Inflicts 1920 - 3200 melee damage on target',0,0),
(41297,400071,9,100,'You must be sneaking to use this ability.',0,1),
(41298,400071,9,100,'Must be flanking or behind',0,2),
(41299,400072,1,100,'All attack-based combat arts with a reuse timer of under 1 minute will deal 30% more melee damage and have their reuse timers lowered.',0,0),
(41300,400072,2,100,'All attack-based combat arts with a reuse timer of under 1 minute will deal 30% more melee damage and have their reuse timers lowered.',0,0),
(41301,400072,3,100,'All attack-based combat arts with a reuse timer of under 1 minute will deal 30% more melee damage and have their reuse timers lowered.',0,0),
(41302,400072,4,100,'All attack-based combat arts with a reuse timer of under 1 minute will deal 30% more melee damage and have their reuse timers lowered.',0,0),
(41303,400072,5,100,'All attack-based combat arts with a reuse timer of under 1 minute will deal 30% more melee damage and have their reuse timers lowered.',0,0),
(41304,400072,7,100,'All attack-based combat arts with a reuse timer of under 1 minute will deal 30% more melee damage and have their reuse timers lowered.',0,0),
(41305,400072,9,100,'All attack-based combat arts with a reuse timer of under 1 minute will deal 30% more melee damage and have their reuse timers lowered.',0,0),
(41306,2000100,1,100,'On any combat or spell hit this spell may cast Exacting Venom on target.  Lasts for 15 minutes.  Triggers about 0.2 times per minute. ',0,0),
(41307,2000100,1,100,'Dispelled when a group member dies.',1,1),
(41308,2000100,1,100,'On any combat or spell hit this spell has a 1.3% chance to cast Exacting Venom on target of attack.  Lasts for 1.5 seconds.  ',1,2),
(41309,2000100,1,100,'Inflicts 249 - 305 poison damage on target instantly and every 0.5 seconds',2,3),
(41310,2000100,1,100,'The trigger chance is multiplied by the increment count.',2,4),
(41311,2000100,1,100,'On a death blow this spell will cast Exacting Venom on target.  Lasts for 15 minutes.  ',0,5),
(41312,2000100,1,100,'Dispelled when a group member dies.',1,6),
(41313,2000100,1,100,'On any combat or spell hit this spell has a 1.3% chance to cast Exacting Venom on target of attack.  Lasts for 1.5 seconds.  ',1,7),
(41314,2000100,1,100,'Inflicts 249 - 305 poison damage on target instantly and every 0.5 seconds',2,8),
(41315,2000100,1,100,'The trigger chance is multiplied by the increment count.',2,9),
(41316,2000101,1,100,'Applies Executioner''s Wrath.  Lasts for 10.0 seconds.',0,0),
(41317,2000101,1,100,'Increases Crit Chance of caster by 60.0',1,1),
(41318,2000101,1,100,'Inflicts 2 - 3 melee damage on target',0,2),
(41319,2000101,2,100,'Applies Executioner''s Wrath.  Lasts for 10.0 seconds.',0,0),
(41320,2000101,2,100,'Increases Crit Chance of caster by 63.3',1,1),
(41321,2000101,2,100,'Inflicts 271 - 452 melee damage on target',0,2),
(41322,2000101,3,100,'Applies Executioner''s Wrath.  Lasts for 10.0 seconds.',0,0),
(41323,2000101,3,100,'Increases Crit Chance of caster by 66.7',1,1),
(41324,2000101,3,100,'Inflicts 285 - 476 melee damage on target',0,2),
(41325,2000101,4,100,'Applies Executioner''s Wrath.  Lasts for 10.0 seconds.',0,0),
(41326,2000101,4,100,'Increases Crit Chance of caster by 73.3',1,1),
(41327,2000101,4,100,'Inflicts 314 - 523 melee damage on target',0,2),
(41328,2000101,5,100,'Applies Executioner''s Wrath.  Lasts for 10.0 seconds.',0,0),
(41329,2000101,5,100,'Increases Crit Chance of caster by 80.0',1,1),
(41330,2000101,5,100,'Inflicts 457 - 761 melee damage on target',0,2),
(41331,2000101,6,100,'Applies Executioner''s Wrath.  Lasts for 10.0 seconds.',0,0),
(41332,2000101,6,100,'Increases Crit Chance of caster by 86.7',1,1),
(41333,2000101,6,100,'Inflicts 495 - 825 melee damage on target',0,2),
(41334,2000101,7,100,'Applies Executioner''s Wrath.  Lasts for 10.0 seconds.',0,0),
(41335,2000101,7,100,'Increases Crit Chance of caster by 102.7',1,1),
(41336,2000101,7,100,'Inflicts 440 - 733 melee damage on target',0,2),
(41337,2000101,8,100,'Applies Executioner''s Wrath.  Lasts for 10.0 seconds.',0,0),
(41338,2000101,8,100,'Increases Crit Chance of caster by 103.3',1,1),
(41339,2000101,8,100,'Inflicts 590 - 984 melee damage on target',0,2),
(41340,2000101,9,100,'Applies Executioner''s Wrath.  Lasts for 10.0 seconds.',0,0),
(41341,2000101,9,100,'Increases Crit Chance of caster by 106.7',1,1),
(41342,2000101,9,100,'Inflicts 457 - 762 melee damage on target',0,2),
(41343,2000101,10,100,'Applies Executioner''s Wrath.  Lasts for 10.0 seconds.',0,0),
(41344,2000101,10,100,'Increases Crit Chance of caster by 112.0',1,1),
(41345,2000101,10,100,'Inflicts 639 - 1066 melee damage on target',0,2),
(41346,2000102,1,100,'Gives caster a 75.0% chance to strikethrough a successful avoidance check',0,0),
(41347,2000102,2,100,'Gives caster a 75.0% chance to strikethrough a successful avoidance check',0,0),
(41348,2000102,2,100,'On a combat hit this spell will cast Insight on target of attack.  ',0,1),
(41349,2000102,2,100,'Increases Threat to target by 9,380 - 11,344 ',1,2),
(41353,2000104,1,100,'Applies Exploding  Arrow on termination.',0,0),
(41354,2000104,1,100,'Inflicts 864 - 1296 heat damage on targets in Area of Effect',1,1),
(41355,2000104,1,100,'Inflicts 3241 - 3961 heat damage on target',0,2),
(41356,70064,1,100,'Inflicts 60 - 182 piercing damage on target',0,0),
(41357,70064,1,100,'Decreases Slashing, Crushing, Piercing and Ranged of target by 11.3',0,1),
(41358,70064,2,100,'Inflicts 64 - 192 piercing damage on target',0,0),
(41359,70064,2,100,'Decreases Slashing, Crushing, Piercing and Ranged of target by 12.0',0,1),
(41360,70064,3,100,'Inflicts 67 - 202 piercing damage on target',0,0),
(41361,70064,3,100,'Decreases Slashing, Crushing, Piercing and Ranged of target by 12.6',0,1),
(41362,70064,4,100,'Inflicts 74 - 222 piercing damage on target',0,0),
(41363,70064,4,100,'Decreases Slashing, Crushing, Piercing and Ranged of target by 13.9',0,1),
(41364,70064,5,100,'Inflicts 81 - 243 piercing damage on target',0,0),
(41365,70064,5,100,'Decreases Slashing, Crushing, Piercing and Ranged of target by 15.1',0,1),
(41366,70064,7,100,'Inflicts 104 - 312 piercing damage on target',0,0),
(41367,70064,7,100,'Decreases Slashing, Crushing, Piercing and Ranged of target by 19.4',0,1),
(41368,70064,9,100,'Inflicts 108 - 324 piercing damage on target',0,0),
(41369,70064,9,100,'Decreases Slashing, Crushing, Piercing and Ranged of target by 20.2',0,1),
(41370,70065,1,100,'Inflicts 96 - 288 piercing damage on target',0,0),
(41371,70065,1,100,'Decreases Slashing, Crushing, Piercing and Ranged of target by 17.0',0,1),
(41372,70065,2,100,'Inflicts 101 - 304 piercing damage on target',0,0),
(41373,70065,2,100,'Decreases Slashing, Crushing, Piercing and Ranged of target by 18.0',0,1),
(41374,70065,3,100,'Inflicts 106 - 320 piercing damage on target',0,0),
(41375,70065,3,100,'Decreases Slashing, Crushing, Piercing and Ranged of target by 18.9',0,1),
(41376,70065,4,100,'Inflicts 117 - 352 piercing damage on target',0,0),
(41377,70065,4,100,'Decreases Slashing, Crushing, Piercing and Ranged of target by 20.8',0,1),
(41378,70065,5,100,'Inflicts 128 - 384 piercing damage on target',0,0),
(41379,70065,5,100,'Decreases Slashing, Crushing, Piercing and Ranged of target by 22.7',0,1),
(41380,70065,7,100,'Inflicts 164 - 493 piercing damage on target',0,0),
(41381,70065,7,100,'Decreases Slashing, Crushing, Piercing and Ranged of target by 29.1',0,1),
(41382,70065,9,100,'Inflicts 170 - 512 piercing damage on target',0,0),
(41383,70065,9,100,'Decreases Slashing, Crushing, Piercing and Ranged of target by 30.2',0,1),
(41384,70066,1,100,'Inflicts 138 - 416 piercing damage on target',0,0),
(41385,70066,1,100,'Decreases Slashing, Crushing, Piercing and Ranged of target by 22.7',0,1),
(41386,70066,2,100,'Inflicts 146 - 439 piercing damage on target',0,0),
(41387,70066,2,100,'Decreases Slashing, Crushing, Piercing and Ranged of target by 23.9',0,1),
(41388,70066,3,100,'Inflicts 154 - 462 piercing damage on target',0,0),
(41389,70066,3,100,'Decreases Slashing, Crushing, Piercing and Ranged of target by 25.2',0,1),
(41390,70066,4,100,'Inflicts 169 - 508 piercing damage on target',0,0),
(41391,70066,4,100,'Decreases Slashing, Crushing, Piercing and Ranged of target by 27.7',0,1),
(41392,70066,5,100,'Inflicts 184 - 554 piercing damage on target',0,0),
(41393,70066,5,100,'Decreases Slashing, Crushing, Piercing and Ranged of target by 30.2',0,1),
(41394,70066,7,100,'Inflicts 237 - 712 piercing damage on target',0,0),
(41395,70066,7,100,'Decreases Slashing, Crushing, Piercing and Ranged of target by 38.8',0,1),
(41396,70066,9,100,'Inflicts 246 - 739 piercing damage on target',0,0),
(41397,70066,9,100,'Decreases Slashing, Crushing, Piercing and Ranged of target by 40.3',0,1),
(41398,70067,1,100,'Inflicts 181 - 543 piercing damage on target',0,0),
(41399,70067,1,100,'Decreases Slashing, Crushing, Piercing and Ranged of target by 28.3',0,1),
(41400,70067,2,100,'Inflicts 191 - 574 piercing damage on target',0,0),
(41401,70067,2,100,'Decreases Slashing, Crushing, Piercing and Ranged of target by 29.9',0,1),
(41402,70067,3,100,'Inflicts 201 - 604 piercing damage on target',0,0),
(41403,70067,3,100,'Decreases Slashing, Crushing, Piercing and Ranged of target by 31.5',0,1),
(41404,70067,4,100,'Inflicts 221 - 664 piercing damage on target',0,0),
(41405,70067,4,100,'Decreases Slashing, Crushing, Piercing and Ranged of target by 34.7',0,1),
(41406,70067,5,100,'Inflicts 241 - 725 piercing damage on target',0,0),
(41407,70067,5,100,'Decreases Slashing, Crushing, Piercing and Ranged of target by 37.8',0,1),
(41408,70067,7,100,'Inflicts 310 - 930 piercing damage on target',0,0),
(41409,70067,7,100,'Decreases Slashing, Crushing, Piercing and Ranged of target by 48.5',0,1),
(41410,70067,9,100,'Inflicts 322 - 966 piercing damage on target',0,0),
(41411,70067,9,100,'Decreases Slashing, Crushing, Piercing and Ranged of target by 50.4',0,1),
(41412,70068,1,100,'Inflicts 219 - 659 piercing damage on target',0,0),
(41413,70068,1,100,'Decreases Slashing, Crushing, Piercing and Ranged of target by 33.7',0,1),
(41414,70068,2,100,'Inflicts 232 - 696 piercing damage on target',0,0),
(41415,70068,2,100,'Decreases Slashing, Crushing, Piercing and Ranged of target by 35.6',0,1),
(41416,70068,3,100,'Inflicts 244 - 732 piercing damage on target',0,0),
(41417,70068,3,100,'Decreases Slashing, Crushing, Piercing and Ranged of target by 37.5',0,1),
(41418,70068,4,100,'Inflicts 268 - 806 piercing damage on target',0,0),
(41419,70068,4,100,'Decreases Slashing, Crushing, Piercing and Ranged of target by 41.2',0,1),
(41420,70068,5,100,'Inflicts 293 - 879 piercing damage on target',0,0),
(41421,70068,5,100,'Decreases Slashing, Crushing, Piercing and Ranged of target by 45.0',0,1),
(41422,70068,7,100,'Inflicts 376 - 1128 piercing damage on target',0,0),
(41423,70068,7,100,'Decreases Slashing, Crushing, Piercing and Ranged of target by 57.7',0,1),
(41424,70068,9,100,'Inflicts 390 - 1172 piercing damage on target',0,0),
(41425,70068,9,100,'Decreases Slashing, Crushing, Piercing and Ranged of target by 60.0',0,1),
(41426,70069,1,100,'Inflicts 304 - 912 piercing damage on target',0,0),
(41427,70069,1,100,'Decreases Slashing, Crushing, Piercing and Ranged of target by 39.1',0,1),
(41428,70069,4,100,'Inflicts 371 - 1115 piercing damage on target',0,0),
(41429,70069,4,100,'Decreases Slashing, Crushing, Piercing and Ranged of target by 47.9',0,1),
(41430,70069,5,100,'Inflicts 405 - 1216 piercing damage on target',0,0),
(41431,70069,5,100,'Decreases Slashing, Crushing, Piercing and Ranged of target by 52.2',0,1),
(41432,70069,7,100,'Inflicts 520 - 1561 piercing damage on target',0,0),
(41433,70069,7,100,'Decreases Slashing, Crushing, Piercing and Ranged of target by 67.0',0,1),
(41434,70069,9,100,'Inflicts 540 - 1621 piercing damage on target',0,0),
(41435,70069,9,100,'Decreases Slashing, Crushing, Piercing and Ranged of target by 69.6',0,1),
(41436,70070,1,100,'Inflicts 322 - 968 piercing damage on target',0,0),
(41437,70070,1,100,'Decreases Slashing, Crushing, Piercing and Ranged of target by 44.5',0,1),
(41438,70070,4,100,'Inflicts 394 - 1183 piercing damage on target',0,0),
(41439,70070,4,100,'Decreases Slashing, Crushing, Piercing and Ranged of target by 54.5',0,1),
(41440,70070,5,100,'Inflicts 430 - 1290 piercing damage on target',0,0),
(41441,70070,5,100,'Decreases Slashing, Crushing, Piercing and Ranged of target by 59.4',0,1),
(41442,70070,7,100,'Inflicts 552 - 1656 piercing damage on target',0,0),
(41443,70070,7,100,'Decreases Slashing, Crushing, Piercing and Ranged of target by 76.2',0,1),
(41444,70070,9,100,'Inflicts 573 - 1721 piercing damage on target',0,0),
(41445,70070,9,100,'Decreases Slashing, Crushing, Piercing and Ranged of target by 79.2',0,1),
(41446,440020,1,100,'Inflicts 364 - 608 ranged damage on target',0,0),
(41447,440020,1,100,'Grants a very high chance to force the target to miss their attacks. Each time the target misses, an increment of this effect is removed.',0,1),
(41448,440020,1,100,'Does not generate threat',0,2),
(41449,440020,1,100,'Requires bow or aim',0,3),
(41450,440020,4,100,'Inflicts 445 - 743 ranged damage on target',0,0),
(41451,440020,4,100,'Grants a very high chance to force the target to miss their attacks. Each time the target misses, an increment of this effect is removed.',0,1),
(41452,440020,4,100,'Does not generate threat',0,2),
(41453,440020,4,100,'Requires bow or aim',0,3),
(41454,440020,5,100,'Inflicts 486 - 810 ranged damage on target',0,0),
(41455,440020,5,100,'Grants a very high chance to force the target to miss their attacks. Each time the target misses, an increment of this effect is removed.',0,1),
(41456,440020,5,100,'Does not generate threat',0,2),
(41457,440020,5,100,'Requires bow or aim',0,3),
(41458,440020,7,100,'Inflicts 624 - 1040 ranged damage on target',0,0),
(41459,440020,7,100,'Grants a very high chance to force the target to miss their attacks. Each time the target misses, an increment of this effect is removed.',0,1),
(41460,440020,7,100,'Does not generate threat',0,2),
(41461,440020,7,100,'Requires bow or aim',0,3),
(41462,440020,9,100,'Inflicts 648 - 1081 ranged damage on target',0,0),
(41463,440020,9,100,'Grants a very high chance to force the target to miss their attacks. Each time the target misses, an increment of this effect is removed.',0,1),
(41464,440020,9,100,'Does not generate threat',0,2),
(41465,440020,9,100,'Requires bow or aim',0,3),
(41466,440021,1,100,'Inflicts 510 - 851 ranged damage on target',0,0),
(41467,440021,1,100,'Grants a very high chance to force the target to miss their attacks. Each time the target misses, an increment of this effect is removed.',0,1),
(41468,440021,1,100,'Does not generate threat',0,2),
(41469,440021,1,100,'Requires bow or aim',0,3),
(41470,440021,4,100,'Inflicts 624 - 1040 ranged damage on target',0,0),
(41471,440021,4,100,'Grants a very high chance to force the target to miss their attacks. Each time the target misses, an increment of this effect is removed.',0,1),
(41472,440021,4,100,'Does not generate threat',0,2),
(41473,440021,4,100,'Requires bow or aim',0,3),
(41474,440021,5,100,'Inflicts 681 - 1135 ranged damage on target',0,0),
(41475,440021,5,100,'Grants a very high chance to force the target to miss their attacks. Each time the target misses, an increment of this effect is removed.',0,1),
(41476,440021,5,100,'Does not generate threat',0,2),
(41477,440021,5,100,'Requires bow or aim',0,3),
(41478,440021,7,100,'Inflicts 874 - 1456 ranged damage on target',0,0),
(41479,440021,7,100,'Grants a very high chance to force the target to miss their attacks. Each time the target misses, an increment of this effect is removed.',0,1),
(41480,440021,7,100,'Does not generate threat',0,2),
(41481,440021,7,100,'Requires bow or aim',0,3),
(41482,440021,9,100,'Inflicts 908 - 1513 ranged damage on target',0,0),
(41483,440021,9,100,'Grants a very high chance to force the target to miss their attacks. Each time the target misses, an increment of this effect is removed.',0,1),
(41484,440021,9,100,'Does not generate threat',0,2),
(41485,440021,9,100,'Requires bow or aim',0,3),
(41486,440021,10,100,'Inflicts 953 - 1589 ranged damage on target',0,0),
(41487,440021,10,100,'Grants a very high chance to force the target to miss their attacks. Each time the target misses, an increment of this effect is removed.',0,1),
(41488,440021,10,100,'Does not generate threat',0,2),
(41489,440021,10,100,'Requires bow or aim',0,3),
(41490,440022,1,100,'Inflicts 686 - 1143 ranged damage on target',0,0),
(41491,440022,1,100,'Grants a very high chance to force the target to miss their attacks. Each time the target misses, an increment of this effect is removed.',0,1),
(41492,440022,1,100,'Does not generate threat',0,2),
(41493,440022,1,100,'Requires bow or aim',0,3),
(41494,440022,4,100,'Inflicts 838 - 1397 ranged damage on target',0,0),
(41495,440022,4,100,'Grants a very high chance to force the target to miss their attacks. Each time the target misses, an increment of this effect is removed.',0,1),
(41496,440022,4,100,'Does not generate threat',0,2),
(41497,440022,4,100,'Requires bow or aim',0,3),
(41498,440022,5,100,'Inflicts 914 - 1524 ranged damage on target',0,0),
(41499,440022,5,100,'Grants a very high chance to force the target to miss their attacks. Each time the target misses, an increment of this effect is removed.',0,1),
(41500,440022,5,100,'Does not generate threat',0,2),
(41501,440022,5,100,'Requires bow or aim',0,3),
(41502,440022,7,100,'Inflicts 1174 - 1956 ranged damage on target',0,0),
(41503,440022,7,100,'Grants a very high chance to force the target to miss their attacks. Each time the target misses, an increment of this effect is removed.',0,1),
(41504,440022,7,100,'Does not generate threat',0,2),
(41505,440022,7,100,'Requires bow or aim',0,3),
(41506,440022,9,100,'Inflicts 1219 - 2033 ranged damage on target',0,0),
(41507,440022,9,100,'Grants a very high chance to force the target to miss their attacks. Each time the target misses, an increment of this effect is removed.',0,1),
(41508,440022,9,100,'Does not generate threat',0,2),
(41509,440022,9,100,'Requires bow or aim',0,3),
(41510,440023,1,100,'Inflicts 868 - 1447 ranged damage on target',0,0),
(41511,440023,1,100,'Grants a very high chance to force the target to miss their attacks. Each time the target misses, an increment of this effect is removed.',0,1),
(41512,440023,1,100,'Does not generate threat',0,2),
(41513,440023,1,100,'Requires bow or aim',0,3),
(41514,440023,4,100,'Inflicts 1061 - 1769 ranged damage on target',0,0),
(41515,440023,4,100,'Grants a very high chance to force the target to miss their attacks. Each time the target misses, an increment of this effect is removed.',0,1),
(41516,440023,4,100,'Does not generate threat',0,2),
(41517,440023,4,100,'Requires bow or aim',0,3),
(41518,440023,5,100,'Inflicts 1158 - 1930 ranged damage on target',0,0),
(41519,440023,5,100,'Grants a very high chance to force the target to miss their attacks. Each time the target misses, an increment of this effect is removed.',0,1),
(41520,440023,5,100,'Does not generate threat',0,2),
(41521,440023,5,100,'Requires bow or aim',0,3),
(41522,440023,7,100,'Inflicts 1486 - 2477 ranged damage on target',0,0),
(41523,440023,7,100,'Grants a very high chance to force the target to miss their attacks. Each time the target misses, an increment of this effect is removed.',0,1),
(41524,440023,7,100,'Does not generate threat',0,2),
(41525,440023,7,100,'Requires bow or aim',0,3),
(41526,440023,9,100,'Inflicts 1544 - 2574 ranged damage on target',0,0),
(41527,440023,9,100,'Grants a very high chance to force the target to miss their attacks. Each time the target misses, an increment of this effect is removed.',0,1),
(41528,440023,9,100,'Does not generate threat',0,2),
(41529,440023,9,100,'Requires bow or aim',0,3),
(41530,440023,10,100,'Inflicts 1621 - 2702 ranged damage on target',0,0),
(41531,440023,10,100,'Grants a very high chance to force the target to miss their attacks. Each time the target misses, an increment of this effect is removed.',0,1),
(41532,440023,10,100,'Does not generate threat',0,2),
(41533,440023,10,100,'Requires bow or aim',0,3),
(41534,440024,1,100,'Inflicts 1051 - 1752 ranged damage on target',0,0),
(41535,440024,1,100,'Grants a very high chance to force the target to miss their attacks. Each time the target misses, an increment of this effect is removed.',0,1),
(41536,440024,1,100,'Does not generate threat',0,2),
(41537,440024,1,100,'Requires bow or aim',0,3),
(41538,440024,4,100,'Inflicts 1284 - 2141 ranged damage on target',0,0),
(41539,440024,4,100,'Grants a very high chance to force the target to miss their attacks. Each time the target misses, an increment of this effect is removed.',0,1),
(41540,440024,4,100,'Does not generate threat',0,2),
(41541,440024,4,100,'Requires bow or aim',0,3),
(41542,440024,5,100,'Inflicts 1401 - 2336 ranged damage on target',0,0),
(41543,440024,5,100,'Grants a very high chance to force the target to miss their attacks. Each time the target misses, an increment of this effect is removed.',0,1),
(41544,440024,5,100,'Does not generate threat',0,2),
(41545,440024,5,100,'Requires bow or aim',0,3),
(41546,440024,7,100,'Inflicts 1798 - 2997 ranged damage on target',0,0),
(41547,440024,7,100,'Grants a very high chance to force the target to miss their attacks. Each time the target misses, an increment of this effect is removed.',0,1),
(41548,440024,7,100,'Does not generate threat',0,2),
(41549,440024,7,100,'Requires bow or aim',0,3),
(41550,440024,9,100,'Inflicts 1868 - 3114 ranged damage on target',0,0),
(41551,440024,9,100,'Grants a very high chance to force the target to miss their attacks. Each time the target misses, an increment of this effect is removed.',0,1),
(41552,440024,9,100,'Does not generate threat',0,2),
(41553,440024,9,100,'Requires bow or aim',0,3),
(41554,440025,1,100,'Inflicts 1272 - 2121 ranged damage on target',0,0),
(41555,440025,1,100,'Grants a very high chance to force the target to miss their attacks. Each time the target misses, an increment of this effect is removed.',0,1),
(41556,440025,1,100,'Does not generate threat',0,2),
(41557,440025,1,100,'Requires bow or aim',0,3),
(41558,440025,4,100,'Inflicts 1555 - 2592 ranged damage on target',0,0),
(41559,440025,4,100,'Grants a very high chance to force the target to miss their attacks. Each time the target misses, an increment of this effect is removed.',0,1),
(41560,440025,4,100,'Does not generate threat',0,2),
(41561,440025,4,100,'Requires bow or aim',0,3),
(41562,440025,5,100,'Inflicts 1696 - 2828 ranged damage on target',0,0),
(41563,440025,5,100,'Grants a very high chance to force the target to miss their attacks. Each time the target misses, an increment of this effect is removed.',0,1),
(41564,440025,5,100,'Does not generate threat',0,2),
(41565,440025,5,100,'Requires bow or aim',0,3),
(41566,440025,7,100,'Inflicts 2177 - 3629 ranged damage on target',0,0),
(41567,440025,7,100,'Grants a very high chance to force the target to miss their attacks. Each time the target misses, an increment of this effect is removed.',0,1),
(41568,440025,7,100,'Does not generate threat',0,2),
(41569,440025,7,100,'Requires bow or aim',0,3),
(41570,440025,9,100,'Inflicts 2262 - 3770 ranged damage on target',0,0),
(41571,440025,9,100,'Grants a very high chance to force the target to miss their attacks. Each time the target misses, an increment of this effect is removed.',0,1),
(41572,440025,9,100,'Does not generate threat',0,2),
(41573,440025,9,100,'Requires bow or aim',0,3),
(41574,440026,1,100,'Inflicts 1533 - 2555 ranged damage on target',0,0),
(41575,440026,1,100,'Grants a very high chance to force the target to miss their attacks. Each time the target misses, an increment of this effect is removed.',0,1),
(41576,440026,1,100,'Does not generate threat',0,2),
(41577,440026,1,100,'Requires bow or aim',0,3),
(41578,440026,4,100,'Inflicts 1873 - 3123 ranged damage on target',0,0),
(41579,440026,4,100,'Grants a very high chance to force the target to miss their attacks. Each time the target misses, an increment of this effect is removed.',0,1),
(41580,440026,4,100,'Does not generate threat',0,2),
(41581,440026,4,100,'Requires bow or aim',0,3),
(41582,440026,5,100,'Inflicts 2044 - 3407 ranged damage on target',0,0),
(41583,440026,5,100,'Grants a very high chance to force the target to miss their attacks. Each time the target misses, an increment of this effect is removed.',0,1),
(41584,440026,5,100,'Does not generate threat',0,2),
(41585,440026,5,100,'Requires bow or aim',0,3),
(41586,440026,7,100,'Inflicts 2623 - 4372 ranged damage on target',0,0),
(41587,440026,7,100,'Grants a very high chance to force the target to miss their attacks. Each time the target misses, an increment of this effect is removed.',0,1),
(41588,440026,7,100,'Does not generate threat',0,2),
(41589,440026,7,100,'Requires bow or aim',0,3),
(41590,440026,9,100,'Inflicts 2725 - 4542 ranged damage on target',0,0),
(41591,440026,9,100,'Grants a very high chance to force the target to miss their attacks. Each time the target misses, an increment of this effect is removed.',0,1),
(41592,440026,9,100,'Does not generate threat',0,2),
(41593,440026,9,100,'Requires bow or aim',0,3),
(41594,440027,1,100,'Inflicts 1664 - 2773 ranged damage on target',0,0),
(41595,440027,1,100,'Grants a very high chance to force the target to miss their attacks. Each time the target misses, an increment of this effect is removed.',0,1),
(41596,440027,1,100,'Does not generate threat',0,2),
(41597,440027,1,100,'Requires bow or aim',0,3),
(41598,440027,4,100,'Inflicts 2034 - 3390 ranged damage on target',0,0),
(41599,440027,4,100,'Grants a very high chance to force the target to miss their attacks. Each time the target misses, an increment of this effect is removed.',0,1),
(41600,440027,4,100,'Does not generate threat',0,2),
(41601,440027,4,100,'Requires bow or aim',0,3),
(41602,440027,5,100,'Inflicts 2218 - 3698 ranged damage on target',0,0),
(41603,440027,5,100,'Grants a very high chance to force the target to miss their attacks. Each time the target misses, an increment of this effect is removed.',0,1),
(41604,440027,5,100,'Does not generate threat',0,2),
(41605,440027,5,100,'Requires bow or aim',0,3),
(41606,440027,7,100,'Inflicts 2847 - 4746 ranged damage on target',0,0),
(41607,440027,7,100,'Grants a very high chance to force the target to miss their attacks. Each time the target misses, an increment of this effect is removed.',0,1),
(41608,440027,7,100,'Does not generate threat',0,2),
(41609,440027,7,100,'Requires bow or aim',0,3),
(41610,440027,9,100,'Inflicts 2958 - 4930 ranged damage on target',0,0),
(41611,440027,9,100,'Grants a very high chance to force the target to miss their attacks. Each time the target misses, an increment of this effect is removed.',0,1),
(41612,440027,9,100,'Does not generate threat',0,2),
(41613,440027,9,100,'Requires bow or aim',0,3),
(41614,100025,1,100,'Inflicts 3 - 6 divine damage on target',0,0),
(41615,100025,1,100,'Heals caster for 1.2 - 1.5% of max health',0,1),
(41616,100025,1,100,'This effect cannot be critically applied.',1,2),
(41617,100025,1,100,'The healing of this spell cannot be modified except by direct means',0,3),
(41618,100025,2,100,'Inflicts 4 - 7 divine damage on target',0,0),
(41619,100025,2,100,'Heals caster for 2',0,1),
(41620,100025,2,100,'This effect cannot be critically applied.',1,2),
(41621,100025,2,100,'The healing of this spell cannot be modified except by direct means',0,3),
(41622,100025,3,100,'Inflicts 4 - 7 divine damage on target',0,0),
(41623,100025,3,100,'Heals caster for 2',0,1),
(41624,100025,3,100,'This effect cannot be critically applied.',1,2),
(41625,100025,3,100,'The healing of this spell cannot be modified except by direct means',0,3),
(41626,100025,4,100,'Inflicts 4 - 8 divine damage on target',0,0),
(41627,100025,4,100,'Heals caster for 2',0,1),
(41628,100025,4,100,'This effect cannot be critically applied.',1,2),
(41629,100025,4,100,'The healing of this spell cannot be modified except by direct means',0,3),
(41630,100025,5,100,'Inflicts 5 - 8 divine damage on target',0,0),
(41631,100025,5,100,'Heals caster for 2',0,1),
(41632,100025,5,100,'This effect cannot be critically applied.',1,2),
(41633,100025,5,100,'The healing of this spell cannot be modified except by direct means',0,3),
(41634,100025,7,100,'Inflicts 6 - 11 divine damage on target',0,0),
(41635,100025,7,100,'Heals caster for 3',0,1),
(41636,100025,7,100,'This effect cannot be critically applied.',1,2),
(41637,100025,7,100,'The healing of this spell cannot be modified except by direct means',0,3),
(41638,100025,9,100,'Inflicts 7 - 11 divine damage on target',0,0),
(41639,100025,9,100,'Heals caster for 3',0,1),
(41640,100025,9,100,'This effect cannot be critically applied.',1,2),
(41641,100025,9,100,'The healing of this spell cannot be modified except by direct means',0,3),
(41642,100026,1,100,'Inflicts 9 - 15 divine damage on target',0,0),
(41643,100026,1,100,'Heals caster for 1.2 - 1.5% of max health',0,1),
(41644,100026,1,100,'This effect cannot be critically applied.',1,2),
(41645,100026,1,100,'The healing of this spell cannot be modified except by direct means',0,3),
(41646,100026,2,100,'Inflicts 10 - 16 divine damage on target',0,0),
(41647,100026,2,100,'Heals caster for 6',0,1),
(41648,100026,2,100,'This effect cannot be critically applied.',1,2),
(41649,100026,2,100,'The healing of this spell cannot be modified except by direct means',0,3),
(41650,100026,3,100,'Inflicts 10 - 17 divine damage on target',0,0),
(41651,100026,3,100,'Heals caster for 6',0,1),
(41652,100026,3,100,'This effect cannot be critically applied.',1,2),
(41653,100026,3,100,'The healing of this spell cannot be modified except by direct means',0,3),
(41654,100026,4,100,'Inflicts 11 - 19 divine damage on target',0,0),
(41655,100026,4,100,'Heals caster for 7',0,1),
(41656,100026,4,100,'This effect cannot be critically applied.',1,2),
(41657,100026,4,100,'The healing of this spell cannot be modified except by direct means',0,3),
(41658,100026,5,100,'Inflicts 12 - 21 divine damage on target',0,0),
(41659,100026,5,100,'Heals caster for 7',0,1),
(41660,100026,5,100,'This effect cannot be critically applied.',1,2),
(41661,100026,5,100,'The healing of this spell cannot be modified except by direct means',0,3),
(41662,100026,7,100,'Inflicts 16 - 27 divine damage on target',0,0),
(41663,100026,7,100,'Heals caster for 8',0,1),
(41664,100026,7,100,'This effect cannot be critically applied.',1,2),
(41665,100026,7,100,'The healing of this spell cannot be modified except by direct means',0,3),
(41666,100026,9,100,'Inflicts 16 - 28 divine damage on target',0,0),
(41667,100026,9,100,'Heals caster for 9',0,1),
(41668,100026,9,100,'This effect cannot be critically applied.',1,2),
(41669,100026,9,100,'The healing of this spell cannot be modified except by direct means',0,3),
(41670,100027,1,100,'Inflicts 46 - 77 divine damage on target',0,0),
(41671,100027,1,100,'Heals caster for 1.2 - 1.5% of max health',0,1),
(41672,100027,1,100,'This effect cannot be critically applied.',1,2),
(41673,100027,1,100,'The healing of this spell cannot be modified except by direct means',0,3),
(41674,100027,2,100,'Inflicts 48 - 81 divine damage on target',0,0),
(41675,100027,2,100,'Heals caster for 1.3 - 1.6% of max health',0,1),
(41676,100027,2,100,'This effect cannot be critically applied.',1,2),
(41677,100027,2,100,'The healing of this spell cannot be modified except by direct means',0,3),
(41678,100027,3,100,'Inflicts 51 - 85 divine damage on target',0,0),
(41679,100027,3,100,'Heals caster for 1.4 - 1.7% of max health',0,1),
(41680,100027,3,100,'This effect cannot be critically applied.',1,2),
(41681,100027,3,100,'The healing of this spell cannot be modified except by direct means',0,3),
(41682,100027,4,100,'Inflicts 56 - 94 divine damage on target',0,0),
(41683,100027,4,100,'Heals caster for 1.5 - 1.9% of max health',0,1),
(41684,100027,4,100,'This effect cannot be critically applied.',1,2),
(41685,100027,4,100,'The healing of this spell cannot be modified except by direct means',0,3),
(41686,100027,5,100,'Inflicts 61 - 103 divine damage on target',0,0),
(41687,100027,5,100,'Heals caster for 1.7 - 2.0% of max health',0,1),
(41688,100027,5,100,'This effect cannot be critically applied.',1,2),
(41689,100027,5,100,'The healing of this spell cannot be modified except by direct means',0,3),
(41690,100027,7,100,'Inflicts 79 - 132 divine damage on target',0,0),
(41691,100027,7,100,'Heals caster for 2.1 - 2.6% of max health',0,1),
(41692,100027,7,100,'This effect cannot be critically applied.',1,2),
(41693,100027,7,100,'The healing of this spell cannot be modified except by direct means',0,3),
(41694,100027,9,100,'Inflicts 82 - 137 divine damage on target',0,0),
(41695,100027,9,100,'Heals caster for 2.2 - 2.7% of max health',0,1),
(41696,100027,9,100,'This effect cannot be critically applied.',1,2),
(41697,100027,9,100,'The healing of this spell cannot be modified except by direct means',0,3),
(41698,100028,1,100,'Inflicts 72 - 121 divine damage on target',0,0),
(41699,100028,1,100,'Heals caster for 1.3 - 1.6% of max health',0,1),
(41700,100028,1,100,'This effect cannot be critically applied.',1,2),
(41701,100028,1,100,'The healing of this spell cannot be modified except by direct means',0,3),
(41702,100028,2,100,'Inflicts 76 - 127 divine damage on target',0,0),
(41703,100028,2,100,'Heals caster for 1.3 - 1.6% of max health',0,1),
(41704,100028,2,100,'This effect cannot be critically applied.',1,2),
(41705,100028,2,100,'The healing of this spell cannot be modified except by direct means',0,3),
(41706,100028,3,100,'Inflicts 80 - 134 divine damage on target',0,0),
(41707,100028,3,100,'Heals caster for 1.4 - 1.7% of max health',0,1),
(41708,100028,3,100,'This effect cannot be critically applied.',1,2),
(41709,100028,3,100,'The healing of this spell cannot be modified except by direct means',0,3),
(41710,100028,4,100,'Inflicts 88 - 148 divine damage on target',0,0),
(41711,100028,4,100,'Heals caster for 1.6 - 1.9% of max health',0,1),
(41712,100028,4,100,'This effect cannot be critically applied.',1,2),
(41713,100028,4,100,'The healing of this spell cannot be modified except by direct means',0,3),
(41714,100028,5,100,'Inflicts 96 - 161 divine damage on target',0,0),
(41715,100028,5,100,'Heals caster for 1.7 - 2.1% of max health',0,1),
(41716,100028,5,100,'This effect cannot be critically applied.',1,2),
(41717,100028,5,100,'The healing of this spell cannot be modified except by direct means',0,3),
(41718,100028,7,100,'Inflicts 124 - 207 divine damage on target',0,0),
(41719,100028,7,100,'Heals caster for 2.2 - 2.7% of max health',0,1),
(41720,100028,7,100,'This effect cannot be critically applied.',1,2),
(41721,100028,7,100,'The healing of this spell cannot be modified except by direct means',0,3),
(41722,100028,9,100,'Inflicts 129 - 215 divine damage on target',0,0),
(41723,100028,9,100,'Heals caster for 2.3 - 2.8% of max health',0,1),
(41724,100028,9,100,'This effect cannot be critically applied.',1,2),
(41725,100028,9,100,'The healing of this spell cannot be modified except by direct means',0,3),
(41726,100029,1,100,'Inflicts 103 - 173 divine damage on target',0,0),
(41727,100029,1,100,'Heals caster for 1.3 - 1.6% of max health',0,1),
(41728,100029,1,100,'This effect cannot be critically applied.',1,2),
(41729,100029,1,100,'The healing of this spell cannot be modified except by direct means',0,3),
(41730,100029,2,100,'Inflicts 109 - 182 divine damage on target',0,0),
(41731,100029,2,100,'Heals caster for 1.4 - 1.7% of max health',0,1),
(41732,100029,2,100,'This effect cannot be critically applied.',1,2),
(41733,100029,2,100,'The healing of this spell cannot be modified except by direct means',0,3),
(41734,100029,3,100,'Inflicts 115 - 192 divine damage on target',0,0),
(41735,100029,3,100,'Heals caster for 1.4 - 1.8% of max health',0,1),
(41736,100029,3,100,'This effect cannot be critically applied.',1,2),
(41737,100029,3,100,'The healing of this spell cannot be modified except by direct means',0,3),
(41738,100029,4,100,'Inflicts 127 - 211 divine damage on target',0,0),
(41739,100029,4,100,'Heals caster for 1.6 - 1.9% of max health',0,1),
(41740,100029,4,100,'This effect cannot be critically applied.',1,2),
(41741,100029,4,100,'The healing of this spell cannot be modified except by direct means',0,3),
(41742,100029,5,100,'Inflicts 138 - 231 divine damage on target',0,0),
(41743,100029,5,100,'Heals caster for 1.7 - 2.1% of max health',0,1),
(41744,100029,5,100,'This effect cannot be critically applied.',1,2),
(41745,100029,5,100,'The healing of this spell cannot be modified except by direct means',0,3),
(41746,100029,7,100,'Inflicts 177 - 296 divine damage on target',0,0),
(41747,100029,7,100,'Heals caster for 2.2 - 2.7% of max health',0,1),
(41748,100029,7,100,'This effect cannot be critically applied.',1,2),
(41749,100029,7,100,'The healing of this spell cannot be modified except by direct means',0,3),
(41750,100029,9,100,'Inflicts 184 - 308 divine damage on target',0,0),
(41751,100029,9,100,'Heals caster for 2.3 - 2.8% of max health',0,1),
(41752,100029,9,100,'This effect cannot be critically applied.',1,2),
(41753,100029,9,100,'The healing of this spell cannot be modified except by direct means',0,3),
(41754,100030,1,100,'Inflicts 135 - 226 divine damage on target',0,0),
(41755,100030,1,100,'Heals caster for 1.3 - 1.6% of max health',0,1),
(41756,100030,1,100,'This effect cannot be critically applied.',1,2),
(41757,100030,1,100,'The healing of this spell cannot be modified except by direct means',0,3),
(41758,100030,2,100,'Inflicts 143 - 238 divine damage on target',0,0),
(41759,100030,2,100,'Heals caster for 1.4 - 1.7% of max health',0,1),
(41760,100030,2,100,'This effect cannot be critically applied.',1,2),
(41761,100030,2,100,'The healing of this spell cannot be modified except by direct means',0,3),
(41762,100030,3,100,'Inflicts 150 - 251 divine damage on target',0,0),
(41763,100030,3,100,'Heals caster for 1.5 - 1.8% of max health',0,1),
(41764,100030,3,100,'This effect cannot be critically applied.',1,2),
(41765,100030,3,100,'The healing of this spell cannot be modified except by direct means',0,3),
(41766,100030,4,100,'Inflicts 165 - 276 divine damage on target',0,0),
(41767,100030,4,100,'Heals caster for 1.6 - 2.0% of max health',0,1),
(41768,100030,4,100,'This effect cannot be critically applied.',1,2),
(41769,100030,4,100,'The healing of this spell cannot be modified except by direct means',0,3),
(41770,100030,5,100,'Inflicts 181 - 301 divine damage on target',0,0),
(41771,100030,5,100,'Heals caster for 1.8 - 2.2% of max health',0,1),
(41772,100030,5,100,'This effect cannot be critically applied.',1,2),
(41773,100030,5,100,'The healing of this spell cannot be modified except by direct means',0,3),
(41774,100030,7,100,'Inflicts 232 - 387 divine damage on target',0,0),
(41775,100030,7,100,'Heals caster for 2.3 - 2.8% of max health',0,1),
(41776,100030,7,100,'This effect cannot be critically applied.',1,2),
(41777,100030,7,100,'The healing of this spell cannot be modified except by direct means',0,3),
(41778,100030,9,100,'Inflicts 241 - 402 divine damage on target',0,0),
(41779,100030,9,100,'Heals caster for 2.4 - 2.9% of max health',0,1),
(41780,100030,9,100,'This effect cannot be critically applied.',1,2),
(41781,100030,9,100,'The healing of this spell cannot be modified except by direct means',0,3),
(41782,100030,10,100,'Inflicts 253 - 422 divine damage on target',0,0),
(41783,100030,10,100,'Heals caster for 2.5 - 3.0% of max health',0,1),
(41784,100030,10,100,'This effect cannot be critically applied.',1,2),
(41785,100030,10,100,'The healing of this spell cannot be modified except by direct means',0,3),
(41786,100031,1,100,'Inflicts 164 - 274 divine damage on target',0,0),
(41787,100031,1,100,'Heals caster for 1.4 - 1.7% of max health',0,1),
(41788,100031,1,100,'This effect cannot be critically applied.',1,2),
(41789,100031,1,100,'The healing of this spell cannot be modified except by direct means',0,3),
(41790,100031,4,100,'Inflicts 201 - 335 divine damage on target',0,0),
(41791,100031,4,100,'Heals caster for 1.7 - 2.0% of max health',0,1),
(41792,100031,4,100,'This effect cannot be critically applied.',1,2),
(41793,100031,4,100,'The healing of this spell cannot be modified except by direct means',0,3),
(41794,100031,5,100,'Inflicts 219 - 365 divine damage on target',0,0),
(41795,100031,5,100,'Heals caster for 1.8 - 2.2% of max health',0,1),
(41796,100031,5,100,'This effect cannot be critically applied.',1,2),
(41797,100031,5,100,'The healing of this spell cannot be modified except by direct means',0,3),
(41798,100031,7,100,'Inflicts 281 - 469 divine damage on target',0,0),
(41799,100031,7,100,'Heals caster for 2.3 - 2.8% of max health',0,1),
(41800,100031,7,100,'This effect cannot be critically applied.',1,2),
(41801,100031,7,100,'The healing of this spell cannot be modified except by direct means',0,3),
(41802,100031,9,100,'Inflicts 292 - 487 divine damage on target',0,0),
(41803,100031,9,100,'Heals caster for 2.4 - 2.9% of max health',0,1),
(41804,100031,9,100,'This effect cannot be critically applied.',1,2),
(41805,100031,9,100,'The healing of this spell cannot be modified except by direct means',0,3),
(41806,100032,1,100,'Inflicts 195 - 325 divine damage on target',0,0),
(41807,100032,1,100,'Heals caster for 1.4 - 1.7% of max health',0,1),
(41808,100032,1,100,'This effect cannot be critically applied.',1,2),
(41809,100032,1,100,'The healing of this spell cannot be modified except by direct means',0,3),
(41810,100032,4,100,'Inflicts 238 - 397 divine damage on target',0,0),
(41811,100032,4,100,'Heals caster for 1.7 - 2.1% of max health',0,1),
(41812,100032,4,100,'This effect cannot be critically applied.',1,2),
(41813,100032,4,100,'The healing of this spell cannot be modified except by direct means',0,3),
(41814,100032,5,100,'Inflicts 260 - 433 divine damage on target',0,0),
(41815,100032,5,100,'Heals caster for 1.8 - 2.2% of max health',0,1),
(41816,100032,5,100,'This effect cannot be critically applied.',1,2),
(41817,100032,5,100,'The healing of this spell cannot be modified except by direct means',0,3),
(41818,100032,7,100,'Inflicts 333 - 556 divine damage on target',0,0),
(41819,100032,7,100,'Heals caster for 2.4 - 2.9% of max health',0,1),
(41820,100032,7,100,'This effect cannot be critically applied.',1,2),
(41821,100032,7,100,'The healing of this spell cannot be modified except by direct means',0,3),
(41822,100032,9,100,'Inflicts 346 - 578 divine damage on target',0,0),
(41823,100032,9,100,'Heals caster for 2.5 - 3.0% of max health',0,1),
(41824,100032,9,100,'This effect cannot be critically applied.',1,2),
(41825,100032,9,100,'The healing of this spell cannot be modified except by direct means',0,3),
(41826,2000105,1,100,'Inflicts 1434 - 1752 melee damage on target',0,0),
(41827,2000105,1,100,'Increases Threat to target by 8,807 - 10,655  instantly and every 4 seconds thereafter',0,1),
(41828,2000105,1,100,'Inflicts 561 - 686 divine damage on target instantly and every 4 seconds',0,2),
(41829,2000105,1,100,'Heals caster for 4.5 - 5.5% of max health',0,3),
(41830,2000105,1,100,'Heals caster for 4.3 - 5.3% of max health every 4 seconds',0,4),
(41831,2000105,1,100,'This effect cannot be critically applied.',1,5),
(41832,80007,1,100,'Inflicts 20 - 34 melee damage on target',0,0),
(41833,80007,1,100,'Heals caster for 1.2 - 1.5% of max health',0,1),
(41834,80007,2,100,'Inflicts 21 - 36 melee damage on target',0,0),
(41835,80007,2,100,'Heals caster for 1.3 - 1.6% of max health',0,1),
(41836,80007,3,100,'Inflicts 23 - 38 melee damage on target',0,0),
(41837,80007,3,100,'Heals caster for 1.4 - 1.7% of max health',0,1),
(41838,80007,4,100,'Inflicts 25 - 42 melee damage on target',0,0),
(41839,80007,4,100,'Heals caster for 1.5 - 1.8% of max health',0,1),
(41840,80007,5,100,'Inflicts 27 - 46 melee damage on target',0,0),
(41841,80007,5,100,'Heals caster for 1.6 - 2.0% of max health',0,1),
(41842,80007,7,100,'Inflicts 35 - 59 melee damage on target',0,0),
(41843,80007,7,100,'Heals caster for 2.1 - 2.6% of max health',0,1),
(41844,80007,9,100,'Inflicts 36 - 61 melee damage on target',0,0),
(41845,80007,9,100,'Heals caster for 2.2 - 2.7% of max health',0,1),
(41846,60073,1,100,'Feigns Death with 74% chance of success',0,0),
(41847,60073,2,100,'Feigns Death with 76% chance of success',0,0),
(41848,60073,3,100,'Feigns Death with 78% chance of success',0,0),
(41849,60073,4,100,'Feigns Death with 80% chance of success',0,0),
(41850,60073,5,100,'Feigns Death with 82% chance of success',0,0),
(41851,60073,7,100,'Feigns Death with 86% chance of success',0,0),
(41852,60073,9,100,'Feigns Death with 90% chance of success',0,0),
(41853,330053,1,100,'Decreases Slashing, Piercing and Crushing of caster by 13.8',0,0),
(41854,330053,1,100,'Increases Aggression of caster by 2.4',0,1),
(41855,330053,1,100,'Increases Defense and Parry of caster by 4.9',0,2),
(41856,330053,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(41858,320012,1,100,'Increases Parry of caster by 4.9',0,0),
(41860,330053,2,100,'Decreases Slashing, Piercing and Crushing of caster by 13.8',0,0),
(41861,330053,2,100,'Increases Aggression of caster by 2.6',0,1),
(41862,330053,2,100,'Increases Defense and Parry of caster by 5.1',0,2),
(41863,330053,2,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(41865,320012,2,100,'Increases Parry of caster by 5.1',0,0),
(41867,330053,3,100,'Decreases Slashing, Piercing and Crushing of caster by 13.8',0,0),
(41868,330053,3,100,'Increases Aggression of caster by 2.7',0,1),
(41869,330053,3,100,'Increases Defense and Parry of caster by 5.4',0,2),
(41870,330053,3,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(41872,320012,3,100,'Increases Parry of caster by 5.4',0,0),
(41875,320012,4,100,'Increases Parry of caster by 5.9',0,0),
(41877,330053,4,100,'Decreases Slashing, Piercing and Crushing of caster by 13.8',0,0),
(41878,330053,4,100,'Increases Aggression of caster by 3.0',0,1),
(41879,330053,4,100,'Increases Defense and Parry of caster by 5.9',0,2),
(41880,330053,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(41881,330053,5,100,'Decreases Slashing, Piercing and Crushing of caster by 13.8',0,0),
(41882,330053,5,100,'Increases Aggression of caster by 3.2',0,1),
(41883,330053,5,100,'Increases Defense and Parry of caster by 6.5',0,2),
(41884,330053,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(41886,320012,5,100,'Increases Parry of caster by 6.5',0,0),
(41888,330053,7,100,'Decreases Slashing, Piercing and Crushing of caster by 13.8',0,0),
(41889,330053,7,100,'Increases Aggression of caster by 4.2',0,1),
(41890,330053,7,100,'Increases Defense and Parry of caster by 8.3',0,2),
(41891,330053,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(41893,320012,7,100,'Increases Parry of caster by 8.3',0,0),
(41895,330053,9,100,'Decreases Slashing, Piercing and Crushing of caster by 13.8',0,0),
(41896,330053,9,100,'Increases Aggression of caster by 4.3',0,1),
(41897,330053,9,100,'Increases Defense and Parry of caster by 8.6',0,2),
(41898,330053,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(41900,320012,9,100,'Increases Parry of caster by 8.6',0,0),
(41902,330054,1,100,'Decreases Slashing, Piercing and Crushing of caster by 16.3',0,0),
(41903,330054,1,100,'Increases Aggression of caster by 4.3',0,1),
(41904,330054,1,100,'Increases Defense and Parry of caster by 8.6',0,2),
(41905,330054,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(41906,330054,2,100,'Decreases Slashing, Piercing and Crushing of caster by 16.3',0,0),
(41907,330054,2,100,'Increases Aggression of caster by 4.6',0,1),
(41908,330054,2,100,'Increases Defense and Parry of caster by 9.1',0,2),
(41909,330054,2,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(41910,330054,3,100,'Decreases Slashing, Piercing and Crushing of caster by 16.3',0,0),
(41911,330054,3,100,'Increases Aggression of caster by 4.8',0,1),
(41912,330054,3,100,'Increases Defense and Parry of caster by 9.6',0,2),
(41913,330054,3,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(41914,330054,4,100,'Decreases Slashing, Piercing and Crushing of caster by 16.3',0,0),
(41915,330054,4,100,'Increases Aggression of caster by 5.3',0,1),
(41916,330054,4,100,'Increases Defense and Parry of caster by 10.6',0,2),
(41917,330054,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(41918,330054,5,100,'Decreases Slashing, Piercing and Crushing of caster by 16.3',0,0),
(41919,330054,5,100,'Increases Aggression of caster by 5.8',0,1),
(41920,330054,5,100,'Increases Defense and Parry of caster by 11.5',0,2),
(41921,330054,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(41922,330054,7,100,'Decreases Slashing, Piercing and Crushing of caster by 16.3',0,0),
(41923,330054,7,100,'Increases Aggression of caster by 7.4',0,1),
(41924,330054,7,100,'Increases Defense and Parry of caster by 14.8',0,2),
(41925,330054,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(41926,330054,9,100,'Decreases Slashing, Piercing and Crushing of caster by 16.3',0,0),
(41927,330054,9,100,'Increases Aggression of caster by 7.7',0,1),
(41928,330054,9,100,'Increases Defense and Parry of caster by 15.4',0,2),
(41929,330054,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(41930,330055,1,100,'Decreases Slashing, Piercing and Crushing of caster by 19.3',0,0),
(41931,330055,1,100,'Increases Aggression of caster by 6.2',0,1),
(41932,330055,1,100,'Increases Defense and Parry of caster by 12.4',0,2),
(41933,330055,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(41934,330055,2,100,'Decreases Slashing, Piercing and Crushing of caster by 19.3',0,0),
(41935,330055,2,100,'Increases Aggression of caster by 6.6',0,1),
(41936,330055,2,100,'Increases Defense and Parry of caster by 13.1',0,2),
(41937,330055,2,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(41938,330055,3,100,'Decreases Slashing, Piercing and Crushing of caster by 19.3',0,0),
(41939,330055,3,100,'Increases Aggression of caster by 6.9',0,1),
(41940,330055,3,100,'Increases Defense and Parry of caster by 13.8',0,2),
(41941,330055,3,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(41942,330055,4,100,'Decreases Slashing, Piercing and Crushing of caster by 19.3',0,0),
(41943,330055,4,100,'Increases Aggression of caster by 7.6',0,1),
(41944,330055,4,100,'Increases Defense and Parry of caster by 15.2',0,2),
(41945,330055,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(41946,330055,5,100,'Decreases Slashing, Piercing and Crushing of caster by 19.3',0,0),
(41947,330055,5,100,'Increases Aggression of caster by 8.3',0,1),
(41948,330055,5,100,'Increases Defense and Parry of caster by 16.6',0,2),
(41949,330055,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(41950,330055,7,100,'Decreases Slashing, Piercing and Crushing of caster by 19.3',0,0),
(41951,330055,7,100,'Increases Aggression of caster by 10.6',0,1),
(41952,330055,7,100,'Increases Defense and Parry of caster by 21.3',0,2),
(41953,330055,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(41954,330055,9,100,'Decreases Slashing, Piercing and Crushing of caster by 19.3',0,0),
(41955,330055,9,100,'Increases Aggression of caster by 11.0',0,1),
(41956,330055,9,100,'Increases Defense and Parry of caster by 22.1',0,2),
(41957,330055,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(41958,330056,1,100,'Decreases Slashing, Piercing and Crushing of caster by 22.6',0,0),
(41959,330056,1,100,'Increases Aggression of caster by 8.1',0,1),
(41960,330056,1,100,'Increases Defense and Parry of caster by 16.2',0,2),
(41961,330056,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(41962,330056,2,100,'Decreases Slashing, Piercing and Crushing of caster by 22.6',0,0),
(41963,330056,2,100,'Increases Aggression of caster by 8.6',0,1),
(41964,330056,2,100,'Increases Defense and Parry of caster by 17.1',0,2),
(41965,330056,2,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(41966,330056,3,100,'Decreases Slashing, Piercing and Crushing of caster by 22.6',0,0),
(41967,330056,3,100,'Increases Aggression of caster by 9.0',0,1),
(41968,330056,3,100,'Increases Defense and Parry of caster by 18.0',0,2),
(41969,330056,3,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(41970,330056,4,100,'Decreases Slashing, Piercing and Crushing of caster by 22.6',0,0),
(41971,330056,4,100,'Increases Aggression of caster by 9.9',0,1),
(41972,330056,4,100,'Increases Defense and Parry of caster by 19.8',0,2),
(41973,330056,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(41974,330056,5,100,'Decreases Slashing, Piercing and Crushing of caster by 22.6',0,0),
(41975,330056,5,100,'Increases Aggression of caster by 10.8',0,1),
(41976,330056,5,100,'Increases Defense and Parry of caster by 21.6',0,2),
(41977,330056,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(41978,330056,7,100,'Decreases Slashing, Piercing and Crushing of caster by 22.6',0,0),
(41979,330056,7,100,'Increases Aggression of caster by 13.9',0,1),
(41980,330056,7,100,'Increases Defense and Parry of caster by 27.7',0,2),
(41981,330056,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(41982,330056,9,100,'Decreases Slashing, Piercing and Crushing of caster by 22.6',0,0),
(41983,330056,9,100,'Increases Aggression of caster by 14.4',0,1),
(41984,330056,9,100,'Increases Defense and Parry of caster by 28.8',0,2),
(41985,330056,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(41986,330057,1,100,'Decreases Slashing, Piercing and Crushing of caster by 25.9',0,0),
(41987,330057,1,100,'Increases Aggression of caster by 10.0',0,1),
(41988,330057,1,100,'Increases Defense and Parry of caster by 20.0',0,2),
(41989,330057,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(41990,330057,2,100,'Decreases Slashing, Piercing and Crushing of caster by 25.9',0,0),
(41991,330057,2,100,'Increases Aggression of caster by 10.5',0,1),
(41992,330057,2,100,'Increases Defense and Parry of caster by 21.1',0,2),
(41993,330057,2,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(41994,330057,3,100,'Decreases Slashing, Piercing and Crushing of caster by 25.9',0,0),
(41995,330057,3,100,'Increases Aggression of caster by 11.1',0,1),
(41996,330057,3,100,'Increases Defense and Parry of caster by 22.2',0,2),
(41997,330057,3,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(41998,330057,4,100,'Decreases Slashing, Piercing and Crushing of caster by 25.9',0,0),
(41999,330057,4,100,'Increases Aggression of caster by 12.2',0,1),
(42000,330057,4,100,'Increases Defense and Parry of caster by 24.4',0,2),
(42001,330057,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(42002,330057,5,100,'Decreases Slashing, Piercing and Crushing of caster by 25.9',0,0),
(42003,330057,5,100,'Increases Aggression of caster by 13.3',0,1),
(42004,330057,5,100,'Increases Defense and Parry of caster by 26.6',0,2),
(42005,330057,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(42006,330057,7,100,'Decreases Slashing, Piercing and Crushing of caster by 25.9',0,0),
(42007,330057,7,100,'Increases Aggression of caster by 17.1',0,1),
(42008,330057,7,100,'Increases Defense and Parry of caster by 34.2',0,2),
(42009,330057,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(42010,330057,9,100,'Decreases Slashing, Piercing and Crushing of caster by 25.9',0,0),
(42011,330057,9,100,'Increases Aggression of caster by 17.8',0,1),
(42012,330057,9,100,'Increases Defense and Parry of caster by 35.5',0,2),
(42013,330057,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(42014,330058,1,100,'Decreases Slashing, Piercing and Crushing of caster by 29.2',0,0),
(42015,330058,1,100,'Increases Aggression of caster by 11.9',0,1),
(42016,330058,1,100,'Increases Defense and Parry of caster by 23.8',0,2),
(42017,330058,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(42018,330058,4,100,'Decreases Slashing, Piercing and Crushing of caster by 29.2',0,0),
(42019,330058,4,100,'Increases Aggression of caster by 14.6',0,1),
(42020,330058,4,100,'Increases Defense and Parry of caster by 29.2',0,2),
(42021,330058,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(42022,330058,5,100,'Decreases Slashing, Piercing and Crushing of caster by 29.2',0,0),
(42023,330058,5,100,'Increases Aggression of caster by 15.9',0,1),
(42024,330058,5,100,'Increases Defense and Parry of caster by 31.8',0,2),
(42025,330058,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(42026,330058,7,100,'Decreases Slashing, Piercing and Crushing of caster by 29.2',0,0),
(42027,330058,7,100,'Increases Aggression of caster by 20.4',0,1),
(42028,330058,7,100,'Increases Defense and Parry of caster by 40.8',0,2),
(42029,330058,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(42030,330058,9,100,'Decreases Slashing, Piercing and Crushing of caster by 29.2',0,0),
(42031,330058,9,100,'Increases Aggression of caster by 21.2',0,1),
(42032,330058,9,100,'Increases Defense and Parry of caster by 42.4',0,2),
(42033,330058,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(42034,330059,1,100,'Decreases Slashing, Piercing and Crushing of caster by 32.5',0,0),
(42035,330059,1,100,'Increases Aggression of caster by 14.2',0,1),
(42036,330059,1,100,'Increases Defense and Parry of caster by 28.3',0,2),
(42037,330059,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(42038,330059,4,100,'Decreases Slashing, Piercing and Crushing of caster by 32.5',0,0),
(42039,330059,4,100,'Increases Aggression of caster by 17.3',0,1),
(42040,330059,4,100,'Increases Defense and Parry of caster by 34.7',0,2),
(42041,330059,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(42042,330059,5,100,'Decreases Slashing, Piercing and Crushing of caster by 32.5',0,0),
(42043,330059,5,100,'Increases Aggression of caster by 18.9',0,1),
(42044,330059,5,100,'Increases Defense and Parry of caster by 37.8',0,2),
(42045,330059,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(42046,330059,7,100,'Decreases Slashing, Piercing and Crushing of caster by 32.5',0,0),
(42047,330059,7,100,'Increases Aggression of caster by 24.3',0,1),
(42048,330059,7,100,'Increases Defense and Parry of caster by 48.5',0,2),
(42049,330059,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(42050,330059,9,100,'Decreases Slashing, Piercing and Crushing of caster by 32.5',0,0),
(42051,330059,9,100,'Increases Aggression of caster by 25.2',0,1),
(42052,330059,9,100,'Increases Defense and Parry of caster by 50.4',0,2),
(42053,330059,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(42054,310015,1,100,'Inflicts 16 - 28 melee damage on target',0,0),
(42055,310015,2,100,'Inflicts 17 - 29 melee damage on target',0,0),
(42056,310015,3,100,'Inflicts 18 - 31 melee damage on target',0,0),
(42057,310015,4,100,'Inflicts 20 - 34 melee damage on target',0,0),
(42058,310015,5,100,'Inflicts 22 - 37 melee damage on target',0,0),
(42059,310015,7,100,'Inflicts 28 - 48 melee damage on target',0,0),
(42060,310015,9,100,'Inflicts 30 - 50 melee damage on target',0,0),
(42061,400073,1,100,'Inflicts 439 - 537 melee damage on target',0,0),
(42062,400073,1,100,'You must execute certain stealthed combat arts before you can use this ability.',0,1),
(42063,400073,2,100,'Inflicts 464 - 567 melee damage on target',0,0),
(42064,400073,2,100,'You must execute certain stealthed combat arts before you can use this ability.',0,1),
(42065,400073,3,100,'Inflicts 488 - 597 melee damage on target',0,0),
(42066,400073,3,100,'You must execute certain stealthed combat arts before you can use this ability.',0,1),
(42067,400073,4,100,'Inflicts 537 - 656 melee damage on target',0,0),
(42068,400073,4,100,'You must execute certain stealthed combat arts before you can use this ability.',0,1),
(42069,400073,5,100,'Inflicts 586 - 716 melee damage on target',0,0),
(42070,400073,5,100,'You must execute certain stealthed combat arts before you can use this ability.',0,1),
(42071,400073,7,100,'Inflicts 752 - 919 melee damage on target',0,0),
(42072,400073,7,100,'You must execute certain stealthed combat arts before you can use this ability.',0,1),
(42073,400073,9,100,'Inflicts 781 - 955 melee damage on target',0,0),
(42074,400073,9,100,'You must execute certain stealthed combat arts before you can use this ability.',0,1),
(42075,400074,1,100,'Inflicts 608 - 743 melee damage on target',0,0),
(42076,400074,1,100,'You must execute certain stealthed combat arts before you can use this ability.',0,1),
(42077,400074,4,100,'Inflicts 743 - 908 melee damage on target',0,0),
(42078,400074,4,100,'You must execute certain stealthed combat arts before you can use this ability.',0,1),
(42079,400074,5,100,'Inflicts 810 - 991 melee damage on target',0,0),
(42080,400074,5,100,'You must execute certain stealthed combat arts before you can use this ability.',0,1),
(42081,400074,7,100,'Inflicts 1040 - 1272 melee damage on target',0,0),
(42082,400074,7,100,'You must execute certain stealthed combat arts before you can use this ability.',0,1),
(42083,400074,9,100,'Inflicts 1081 - 1321 melee damage on target',0,0),
(42084,400074,9,100,'You must execute certain stealthed combat arts before you can use this ability.',0,1),
(42085,400075,1,100,'Inflicts 743 - 908 melee damage on target',0,0),
(42086,400075,1,100,'You must execute certain stealthed combat arts before you can use this ability.',0,1),
(42087,400075,4,100,'Inflicts 908 - 1109 melee damage on target',0,0),
(42088,400075,4,100,'You must execute certain stealthed combat arts before you can use this ability.',0,1),
(42089,400075,5,100,'Inflicts 990 - 1210 melee damage on target',0,0),
(42090,400075,5,100,'You must execute certain stealthed combat arts before you can use this ability.',0,1),
(42091,400075,7,100,'Inflicts 1271 - 1553 melee damage on target',0,0),
(42092,400075,7,100,'You must execute certain stealthed combat arts before you can use this ability.',0,1),
(42093,400075,9,100,'Inflicts 1320 - 1614 melee damage on target',0,0),
(42094,400075,9,100,'You must execute certain stealthed combat arts before you can use this ability.',0,1),
(42095,2000106,3,100,'Inflicts 2 - 3 piercing damage on target',0,0),
(42096,2000106,3,100,'Heals caster for 1 - 2',0,1),
(42097,2000106,4,100,'Inflicts 2 - 4 piercing damage on target',0,0),
(42098,2000106,4,100,'Heals caster for 1 - 2',0,1),
(42099,2000106,5,100,'Inflicts 2 - 4 piercing damage on target',0,0),
(42100,2000106,5,100,'Heals caster for 1 - 2',0,1),
(42101,2000106,7,100,'Inflicts 3 - 5 piercing damage on target',0,0),
(42102,2000106,7,100,'Heals caster for 2 - 3',0,1),
(42103,2000106,9,100,'Inflicts 3 - 6 piercing damage on target',0,0),
(42104,2000106,9,100,'Heals caster for 2 - 3',0,1),
(42105,2000106,10,100,'Inflicts 3 - 6 piercing damage on target',0,0),
(42106,2000106,10,100,'Heals caster for 2 - 3',0,1),
(42107,2000107,1,100,'Feigns Death with 100% chance of success',0,0),
(42108,2000107,1,100,'Prevents AOE (except when direct) ',0,1),
(42109,50007,1,100,'Feigns Death with 58% chance of success',0,0),
(42110,50007,2,100,'Feigns Death with 59% chance of success',0,0),
(42111,50007,3,100,'Feigns Death with 60% chance of success',0,0),
(42112,50007,4,100,'Feigns Death with 61% chance of success',0,0),
(42113,50007,5,100,'Feigns Death with 62% chance of success',0,0),
(42114,50007,7,100,'Feigns Death with 64% chance of success',0,0),
(42115,50007,9,100,'Feigns Death with 66% chance of success',0,0),
(42116,50008,1,100,'Feigns Death with 68% chance of success',0,0),
(42117,50008,2,100,'Feigns Death with 69% chance of success',0,0),
(42118,50008,3,100,'Feigns Death with 70% chance of success',0,0),
(42119,50008,4,100,'Feigns Death with 71% chance of success',0,0),
(42120,50008,5,100,'Feigns Death with 72% chance of success',0,0),
(42121,50008,7,100,'Feigns Death with 74% chance of success',0,0),
(42122,50008,9,100,'Feigns Death with 76% chance of success',0,0),
(42123,50009,1,100,'Feigns Death with 78% chance of success',0,0),
(42124,50009,2,100,'Feigns Death with 79% chance of success',0,0),
(42125,50009,3,100,'Feigns Death with 80% chance of success',0,0),
(42126,50009,4,100,'Feigns Death with 81% chance of success',0,0),
(42127,50009,5,100,'Feigns Death with 82% chance of success',0,0),
(42128,50009,7,100,'Feigns Death with 84% chance of success',0,0),
(42129,50009,9,100,'Feigns Death with 86% chance of success',0,0),
(42130,50010,1,100,'Feigns Death with 88% chance of success',0,0),
(42131,50010,2,100,'Feigns Death with 89% chance of success',0,0),
(42132,50010,3,100,'Feigns Death with 90% chance of success',0,0),
(42133,50010,4,100,'Feigns Death with 91% chance of success',0,0),
(42134,50010,5,100,'Feigns Death with 92% chance of success',0,0),
(42135,50010,7,100,'Feigns Death with 94% chance of success',0,0),
(42136,50010,9,100,'Feigns Death with 96% chance of success',0,0),
(42137,50011,1,100,'Feigns Death with 91% chance of success',0,0),
(42138,50011,2,100,'Feigns Death with 92% chance of success',0,0),
(42139,50011,3,100,'Feigns Death with 93% chance of success',0,0),
(42140,50011,4,100,'Feigns Death with 94% chance of success',0,0),
(42141,50011,5,100,'Feigns Death with 95% chance of success',0,0),
(42142,50011,7,100,'Feigns Death with 96% chance of success',0,0),
(42143,50011,9,100,'Feigns Death with 97% chance of success',0,0),
(42144,2000108,3,100,'Heals group members (AE) for 2 - 4',0,0),
(42145,2000108,4,100,'Heals group members (AE) for 3 - 4',0,0),
(42146,2000108,5,100,'Heals group members (AE) for 3 - 5',0,0),
(42147,2000108,7,100,'Heals group members (AE) for 3 - 5',0,0),
(42148,2000108,9,100,'Heals group members (AE) for 4 - 6',0,0),
(42149,2000108,10,100,'Heals group members (AE) for 4 - 6',0,0),
(42150,2000109,3,100,'Inflicts 2 - 3 piercing damage on target',0,0),
(42151,2000109,3,100,'Heals caster for 1 - 2',0,1),
(42152,2000109,4,100,'Inflicts 2 - 4 piercing damage on target',0,0),
(42153,2000109,4,100,'Heals caster for 1 - 2',0,1),
(42154,2000109,5,100,'Inflicts 2 - 4 piercing damage on target',0,0),
(42155,2000109,5,100,'Heals caster for 1 - 2',0,1),
(42156,2000109,7,100,'Inflicts 3 - 5 piercing damage on target',0,0),
(42157,2000109,7,100,'Heals caster for 2 - 3',0,1),
(42158,2000109,9,100,'Inflicts 3 - 6 piercing damage on target',0,0),
(42159,2000109,9,100,'Heals caster for 2 - 3',0,1),
(42160,2000109,10,100,'Inflicts 3 - 6 piercing damage on target',0,0),
(42161,2000109,10,100,'Heals caster for 2 - 3',0,1),
(42162,2000110,1,100,'Applies Feral Fangs.  Lasts for 30.0 seconds.',0,0),
(42163,2000110,1,100,'When using a Primal ability. this spell will cast Feral Fangs on target of spell cast.  ',1,1),
(42164,2000110,1,100,'Inflicts 1358 - 2522 slashing damage on target',2,2),
(42165,2000110,1,100,'Inflicts 2521 - 4683 slashing damage on target',0,3),
(42166,2000110,2,100,'Applies Feral Fangs.  Lasts for 30.0 seconds.',0,0),
(42167,2000110,2,100,'When using a Primal ability. this spell will cast Feral Fangs on target of spell cast.  ',1,1),
(42168,2000110,2,100,'Inflicts 1358 - 2522 slashing damage on target',2,2),
(42169,2000110,2,100,'Inflicts 2521 - 4683 slashing damage on target',0,3),
(42170,2000110,3,100,'Applies Feral Fangs.  Lasts for 30.0 seconds.',0,0),
(42171,2000110,3,100,'When using a Primal ability. this spell will cast Feral Fangs on target of spell cast.  ',1,1),
(42172,2000110,3,100,'Inflicts 1810 - 3361 slashing damage on target',2,2),
(42173,2000110,3,100,'Inflicts 3361 - 6242 slashing damage on target',0,3),
(42174,420022,1,100,'Inflicts 428 - 714 melee damage on target encounter',0,0),
(42175,420022,1,100,'Increases savagery of caster by 20.0',0,1),
(42176,420022,1,100,'This effect cannot be critically applied.',1,2),
(42177,420022,1,100,'You must be in stealth.',0,3),
(42178,420023,1,100,'Inflicts 620 - 1033 melee damage on target',0,0),
(42179,420023,1,100,'Increases savagery of caster by 20.0',0,1),
(42180,420023,1,100,'This effect cannot be critically applied.',1,2),
(42181,420023,1,100,'Must be flanking or behind',0,3),
(42182,420024,1,100,'Increases Fervor of caster by 8.0',0,0),
(42183,420024,1,100,'Increases Multi Attack of caster by 17.0',0,1),
(42184,420024,1,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 9.9',0,2),
(42185,420024,4,100,'Using a Primal will activate Feral Rampage on the Beastlord',0,0),
(42186,420024,4,100,'Increases Multi Attack Chance of caster by 17.0',0,1),
(42187,420024,4,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 9.9',0,2),
(42188,420024,5,100,'Using a Primal will activate Feral Rampage on the Beastlord',0,0),
(42189,420024,5,100,'Increases Multi Attack Chance of caster by 17.0',0,1),
(42190,420024,5,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 9.9',0,2),
(42191,420024,7,100,'Using a Primal will activate Feral Rampage on the Beastlord',0,0),
(42192,420024,7,100,'Increases Multi Attack Chance of caster by 17.0',0,1),
(42193,420024,7,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 9.9',0,2),
(42194,420024,9,100,'Using a Primal will activate Feral Rampage on the Beastlord',0,0),
(42195,420024,9,100,'Increases Multi Attack Chance of caster by 17.0',0,1),
(42196,420024,9,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 9.9',0,2),
(42197,420025,4,100,'Using a Primal will activate Feral Rampage on the Beastlord',0,0),
(42198,420025,4,100,'Increases Multi Attack Chance of caster by 19.8',0,1),
(42199,420025,4,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 16.5',0,2),
(42200,420025,4,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,3),
(42201,420025,4,100,'Increases savagery of caster by 14.0',1,4),
(42202,420025,4,100,'This effect cannot be critically applied.',2,5),
(42203,420025,4,100,'Cannot be modified except by direct means',1,6),
(42204,420025,5,100,'Using a Primal will activate Feral Rampage on the Beastlord',0,0),
(42205,420025,5,100,'Increases Multi Attack Chance of caster by 19.8',0,1),
(42206,420025,5,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 16.5',0,2),
(42207,420025,5,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,3),
(42208,420025,5,100,'Increases savagery of caster by 14.0',1,4),
(42209,420025,5,100,'This effect cannot be critically applied.',2,5),
(42210,420025,5,100,'Cannot be modified except by direct means',1,6),
(42211,420025,7,100,'Using a Primal will activate Feral Rampage on the Beastlord',0,0),
(42212,420025,7,100,'Increases Multi Attack Chance of caster by 19.8',0,1),
(42213,420025,7,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 16.5',0,2),
(42214,420025,7,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,3),
(42215,420025,7,100,'Increases savagery of caster by 14.0',1,4),
(42216,420025,7,100,'This effect cannot be critically applied.',2,5),
(42217,420025,7,100,'Cannot be modified except by direct means',1,6),
(42218,420025,9,100,'Using a Primal will activate Feral Rampage on the Beastlord',0,0),
(42219,420025,9,100,'Increases Multi Attack Chance of caster by 19.8',0,1),
(42220,420025,9,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 16.5',0,2),
(42221,420025,9,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,3),
(42222,420025,9,100,'Increases savagery of caster by 14.0',1,4),
(42223,420025,9,100,'This effect cannot be critically applied.',2,5),
(42224,420025,9,100,'Cannot be modified except by direct means',1,6),
(42225,420026,4,100,'Using a Primal will activate Feral Rampage on the Beastlord',0,0),
(42226,420026,4,100,'Increases Multi Attack Chance of caster by 22.7',0,1),
(42227,420026,4,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 23.1',0,2),
(42228,420026,4,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,3),
(42229,420026,4,100,'Increases savagery of caster by 14.0',1,4),
(42230,420026,4,100,'This effect cannot be critically applied.',2,5),
(42231,420026,4,100,'Cannot be modified except by direct means',1,6),
(42232,420026,5,100,'Using a Primal will activate Feral Rampage on the Beastlord',0,0),
(42233,420026,5,100,'Increases Multi Attack Chance of caster by 22.7',0,1),
(42234,420026,5,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 23.1',0,2),
(42235,420026,5,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,3),
(42236,420026,5,100,'Increases savagery of caster by 14.0',1,4),
(42237,420026,5,100,'This effect cannot be critically applied.',2,5),
(42238,420026,5,100,'Cannot be modified except by direct means',1,6),
(42239,420026,7,100,'Using a Primal will activate Feral Rampage on the Beastlord',0,0),
(42240,420026,7,100,'Increases Multi Attack Chance of caster by 22.7',0,1),
(42241,420026,7,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 23.1',0,2),
(42242,420026,7,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,3),
(42243,420026,7,100,'Increases savagery of caster by 14.0',1,4),
(42244,420026,7,100,'This effect cannot be critically applied.',2,5),
(42245,420026,7,100,'Cannot be modified except by direct means',1,6),
(42246,420026,9,100,'Using a Primal will activate Feral Rampage on the Beastlord',0,0),
(42247,420026,9,100,'Increases Multi Attack Chance of caster by 22.7',0,1),
(42248,420026,9,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 23.1',0,2),
(42249,420026,9,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,3),
(42250,420026,9,100,'Increases savagery of caster by 14.0',1,4),
(42251,420026,9,100,'This effect cannot be critically applied.',2,5),
(42252,420026,9,100,'Cannot be modified except by direct means',1,6),
(42253,420027,4,100,'Using a Primal will activate Feral Rampage on the Beastlord',0,0),
(42254,420027,4,100,'Increases Multi Attack Chance of caster by 25.6',0,1),
(42255,420027,4,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 29.7',0,2),
(42256,420027,4,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,3),
(42257,420027,4,100,'Increases savagery of caster by 14.0',1,4),
(42258,420027,4,100,'This effect cannot be critically applied.',2,5),
(42259,420027,4,100,'Cannot be modified except by direct means',1,6),
(42260,420027,5,100,'Using a Primal will activate Feral Rampage on the Beastlord',0,0),
(42261,420027,5,100,'Increases Multi Attack Chance of caster by 25.6',0,1),
(42262,420027,5,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 29.7',0,2),
(42263,420027,5,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,3),
(42264,420027,5,100,'Increases savagery of caster by 14.0',1,4),
(42265,420027,5,100,'This effect cannot be critically applied.',2,5),
(42266,420027,5,100,'Cannot be modified except by direct means',1,6),
(42267,420027,7,100,'Using a Primal will activate Feral Rampage on the Beastlord',0,0),
(42268,420027,7,100,'Increases Multi Attack Chance of caster by 25.6',0,1),
(42269,420027,7,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 29.7',0,2),
(42270,420027,7,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,3),
(42271,420027,7,100,'Increases savagery of caster by 14.0',1,4),
(42272,420027,7,100,'This effect cannot be critically applied.',2,5),
(42273,420027,7,100,'Cannot be modified except by direct means',1,6),
(42274,420027,9,100,'Using a Primal will activate Feral Rampage on the Beastlord',0,0),
(42275,420027,9,100,'Increases Multi Attack Chance of caster by 25.6',0,1),
(42276,420027,9,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 29.7',0,2),
(42277,420027,9,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,3),
(42278,420027,9,100,'Increases savagery of caster by 14.0',1,4),
(42279,420027,9,100,'This effect cannot be critically applied.',2,5),
(42280,420027,9,100,'Cannot be modified except by direct means',1,6),
(42281,420028,1,100,'Increases Damage Per Second of caster by 43.5',0,0),
(42282,420028,1,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 71.5',0,1),
(42283,420028,1,100,'Using a Primal will activate Feral Rampage on the Beastlord',0,2),
(42284,420028,1,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,3),
(42285,420028,1,100,'Increases savagery of caster by 14.0',1,4),
(42286,420028,1,100,'This effect cannot be critically applied.',2,5),
(42287,420028,1,100,'Cannot be modified except by direct means',1,6),
(42288,420028,4,100,'Using a Primal will activate Feral Rampage on the Beastlord',0,0),
(42289,420028,4,100,'Increases Multi Attack Chance of caster by 43.5',0,1),
(42290,420028,4,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 71.5',0,2),
(42291,420028,4,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,3),
(42292,420028,4,100,'Increases savagery of caster by 14.0',1,4),
(42293,420028,4,100,'This effect cannot be critically applied.',2,5),
(42294,420028,4,100,'Cannot be modified except by direct means',1,6),
(42295,420028,5,100,'Using a Primal will activate Feral Rampage on the Beastlord',0,0),
(42296,420028,5,100,'Increases Multi Attack Chance of caster by 43.5',0,1),
(42297,420028,5,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 71.5',0,2),
(42298,420028,5,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,3),
(42299,420028,5,100,'Increases savagery of caster by 14.0',1,4),
(42300,420028,5,100,'This effect cannot be critically applied.',2,5),
(42301,420028,5,100,'Cannot be modified except by direct means',1,6),
(42302,420028,7,100,'Using a Primal will activate Feral Rampage on the Beastlord',0,0),
(42303,420028,7,100,'Increases Multi Attack Chance of caster by 43.5',0,1),
(42304,420028,7,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 71.5',0,2),
(42305,420028,7,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,3),
(42306,420028,7,100,'Increases savagery of caster by 14.0',1,4),
(42307,420028,7,100,'This effect cannot be critically applied.',2,5),
(42308,420028,7,100,'Cannot be modified except by direct means',1,6),
(42309,420028,9,100,'Using a Primal will activate Feral Rampage on the Beastlord',0,0),
(42310,420028,9,100,'Increases Multi Attack Chance of caster by 43.5',0,1),
(42311,420028,9,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 71.5',0,2),
(42312,420028,9,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,3),
(42313,420028,9,100,'Increases savagery of caster by 14.0',1,4),
(42314,420028,9,100,'This effect cannot be critically applied.',2,5),
(42315,420028,9,100,'Cannot be modified except by direct means',1,6),
(42316,420029,4,100,'Using a Primal will activate Feral Rampage on the Beastlord',0,0),
(42317,420029,4,100,'Increases Multi Attack Chance of caster by 28.5',0,1),
(42318,420029,4,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 36.3',0,2),
(42319,420029,4,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,3),
(42320,420029,4,100,'Increases savagery of caster by 14.0',1,4),
(42321,420029,4,100,'This effect cannot be critically applied.',2,5),
(42322,420029,4,100,'Cannot be modified except by direct means',1,6),
(42323,420029,5,100,'Using a Primal will activate Feral Rampage on the Beastlord',0,0),
(42324,420029,5,100,'Increases Multi Attack Chance of caster by 28.5',0,1),
(42325,420029,5,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 36.3',0,2),
(42326,420029,5,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,3),
(42327,420029,5,100,'Increases savagery of caster by 14.0',1,4),
(42328,420029,5,100,'This effect cannot be critically applied.',2,5),
(42329,420029,5,100,'Cannot be modified except by direct means',1,6),
(42330,420029,7,100,'Using a Primal will activate Feral Rampage on the Beastlord',0,0),
(42331,420029,7,100,'Increases Multi Attack Chance of caster by 28.5',0,1),
(42332,420029,7,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 36.3',0,2),
(42333,420029,7,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,3),
(42334,420029,7,100,'Increases savagery of caster by 14.0',1,4),
(42335,420029,7,100,'This effect cannot be critically applied.',2,5),
(42336,420029,7,100,'Cannot be modified except by direct means',1,6),
(42337,420029,9,100,'Using a Primal will activate Feral Rampage on the Beastlord',0,0),
(42338,420029,9,100,'Increases Multi Attack Chance of caster by 28.5',0,1),
(42339,420029,9,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 36.3',0,2),
(42340,420029,9,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,3),
(42341,420029,9,100,'Increases savagery of caster by 14.0',1,4),
(42342,420029,9,100,'This effect cannot be critically applied.',2,5),
(42343,420029,9,100,'Cannot be modified except by direct means',1,6),
(42344,420030,4,100,'Using a Primal will activate Feral Rampage on the Beastlord',0,0),
(42345,420030,4,100,'Increases Multi Attack Chance of caster by 31.5',0,1),
(42346,420030,4,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 42.9',0,2),
(42347,420030,4,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,3),
(42348,420030,4,100,'Increases savagery of caster by 14.0',1,4),
(42349,420030,4,100,'This effect cannot be critically applied.',2,5),
(42350,420030,4,100,'Cannot be modified except by direct means',1,6),
(42351,420030,5,100,'Using a Primal will activate Feral Rampage on the Beastlord',0,0),
(42352,420030,5,100,'Increases Multi Attack Chance of caster by 31.5',0,1),
(42353,420030,5,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 42.9',0,2),
(42354,420030,5,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,3),
(42355,420030,5,100,'Increases savagery of caster by 14.0',1,4),
(42356,420030,5,100,'This effect cannot be critically applied.',2,5),
(42357,420030,5,100,'Cannot be modified except by direct means',1,6),
(42358,420030,7,100,'Using a Primal will activate Feral Rampage on the Beastlord',0,0),
(42359,420030,7,100,'Increases Multi Attack Chance of caster by 31.5',0,1),
(42360,420030,7,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 42.9',0,2),
(42361,420030,7,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,3),
(42362,420030,7,100,'Increases savagery of caster by 14.0',1,4),
(42363,420030,7,100,'This effect cannot be critically applied.',2,5),
(42364,420030,7,100,'Cannot be modified except by direct means',1,6),
(42365,420030,9,100,'Using a Primal will activate Feral Rampage on the Beastlord',0,0),
(42366,420030,9,100,'Increases Multi Attack Chance of caster by 31.5',0,1),
(42367,420030,9,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 42.9',0,2),
(42368,420030,9,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,3),
(42369,420030,9,100,'Increases savagery of caster by 14.0',1,4),
(42370,420030,9,100,'This effect cannot be critically applied.',2,5),
(42371,420030,9,100,'Cannot be modified except by direct means',1,6),
(42372,420031,4,100,'Using a Primal will activate Feral Rampage on the Beastlord',0,0),
(42373,420031,4,100,'Increases Multi Attack Chance of caster by 34.9',0,1),
(42374,420031,4,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 50.6',0,2),
(42375,420031,4,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,3),
(42376,420031,4,100,'Increases savagery of caster by 14.0',1,4),
(42377,420031,4,100,'This effect cannot be critically applied.',2,5),
(42378,420031,4,100,'Cannot be modified except by direct means',1,6),
(42379,420031,5,100,'Using a Primal will activate Feral Rampage on the Beastlord',0,0),
(42380,420031,5,100,'Increases Multi Attack Chance of caster by 34.9',0,1),
(42381,420031,5,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 50.6',0,2),
(42382,420031,5,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,3),
(42383,420031,5,100,'Increases savagery of caster by 14.0',1,4),
(42384,420031,5,100,'This effect cannot be critically applied.',2,5),
(42385,420031,5,100,'Cannot be modified except by direct means',1,6),
(42386,420031,7,100,'Using a Primal will activate Feral Rampage on the Beastlord',0,0),
(42387,420031,7,100,'Increases Multi Attack Chance of caster by 34.9',0,1),
(42388,420031,7,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 50.6',0,2),
(42389,420031,7,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,3),
(42390,420031,7,100,'Increases savagery of caster by 14.0',1,4),
(42391,420031,7,100,'This effect cannot be critically applied.',2,5),
(42392,420031,7,100,'Cannot be modified except by direct means',1,6),
(42393,420031,9,100,'Using a Primal will activate Feral Rampage on the Beastlord',0,0),
(42394,420031,9,100,'Increases Multi Attack Chance of caster by 34.9',0,1),
(42395,420031,9,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 50.6',0,2),
(42396,420031,9,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,3),
(42397,420031,9,100,'Increases savagery of caster by 14.0',1,4),
(42398,420031,9,100,'This effect cannot be critically applied.',2,5),
(42399,420031,9,100,'Cannot be modified except by direct means',1,6),
(42400,420032,4,100,'Using a Primal will activate Feral Rampage on the Beastlord',0,0),
(42401,420032,4,100,'Increases Multi Attack Chance of caster by 39.4',0,1),
(42402,420032,4,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 60.5',0,2),
(42403,420032,4,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,3),
(42404,420032,4,100,'Increases savagery of caster by 14.0',1,4),
(42405,420032,4,100,'This effect cannot be critically applied.',2,5),
(42406,420032,4,100,'Cannot be modified except by direct means',1,6),
(42407,420032,5,100,'Using a Primal will activate Feral Rampage on the Beastlord',0,0),
(42408,420032,5,100,'Increases Multi Attack Chance of caster by 39.4',0,1),
(42409,420032,5,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 60.5',0,2),
(42410,420032,5,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,3),
(42411,420032,5,100,'Increases savagery of caster by 14.0',1,4),
(42412,420032,5,100,'This effect cannot be critically applied.',2,5),
(42413,420032,5,100,'Cannot be modified except by direct means',1,6),
(42414,420032,7,100,'Using a Primal will activate Feral Rampage on the Beastlord',0,0),
(42415,420032,7,100,'Increases Multi Attack Chance of caster by 39.4',0,1),
(42416,420032,7,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 60.5',0,2),
(42417,420032,7,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,3),
(42418,420032,7,100,'Increases savagery of caster by 14.0',1,4),
(42419,420032,7,100,'This effect cannot be critically applied.',2,5),
(42420,420032,7,100,'Cannot be modified except by direct means',1,6),
(42421,420032,9,100,'Using a Primal will activate Feral Rampage on the Beastlord',0,0),
(42422,420032,9,100,'Increases Multi Attack Chance of caster by 39.4',0,1),
(42423,420032,9,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 60.5',0,2),
(42424,420032,9,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,3),
(42425,420032,9,100,'Increases savagery of caster by 14.0',1,4),
(42426,420032,9,100,'This effect cannot be critically applied.',2,5),
(42427,420032,9,100,'Cannot be modified except by direct means',1,6),
(42428,420033,9,100,'Increases Weapon Damage Bonus of group members (AE) by 10-22%',0,0),
(42429,420033,9,100,'The effect of this ability grows based on Savagery and Spirituality level.',0,1),
(42430,420033,9,100,'You must have your warder active to use this ability.',0,2),
(42431,2000111,3,100,'Increases Mitigation of group members (AE) vs physical damage by 0',0,0),
(42432,2000111,4,100,'Increases Mitigation of group members (AE) vs physical damage by 0',0,0),
(42433,2000111,5,100,'Increases Mitigation of group members (AE) vs physical damage by 0',0,0),
(42434,2000111,7,100,'Increases Mitigation of group members (AE) vs physical damage by 0',0,0),
(42435,2000111,9,100,'Increases Mitigation of group members (AE) vs physical damage by 0',0,0),
(42436,2000111,10,100,'Increases Mitigation of group members (AE) vs physical damage by 0',0,0),
(42437,10002,1,100,'Begins a Heroic Opportunity',0,0),
(42438,10002,1,100,'Must be engaged in combat',0,1),
(42439,2000112,3,100,'Inflicts 1 - 2 heat damage on target encounter',0,0),
(42440,2000112,3,100,'Inflicts 1 heat damage on target encounter every 3 seconds',0,1),
(42441,2000112,4,100,'Inflicts 1 - 3 heat damage on target encounter',0,0),
(42442,2000112,4,100,'Inflicts 1 heat damage on target encounter every 3 seconds',0,1),
(42443,2000112,5,100,'Inflicts 2 - 3 heat damage on target encounter',0,0),
(42444,2000112,5,100,'Inflicts 1 - 2 heat damage on target encounter every 3 seconds',0,1),
(42445,2000112,7,100,'Inflicts 2 - 4 heat damage on target encounter',0,0),
(42446,2000112,7,100,'Inflicts 1 - 2 heat damage on target encounter every 3 seconds',0,1),
(42447,2000112,9,100,'Inflicts 2 - 4 heat damage on target encounter',0,0),
(42448,2000112,9,100,'Inflicts 1 - 2 heat damage on target encounter every 3 seconds',0,1),
(42449,2000112,10,100,'Inflicts 2 - 4 heat damage on target encounter',0,0),
(42450,2000112,10,100,'Inflicts 1 - 2 heat damage on target encounter every 3 seconds',0,1),
(42451,70071,12,100,'On a combat hit this spell may cast Strike of Anger on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(42452,70071,12,100,'Inflicts 626 - 940 crushing damage on target',1,1),
(42453,70071,12,100,'Increases Crit Chance of caster by 12.0',1,2),
(42454,70071,12,100,'Cannot be modified except by direct means',1,3),
(42455,70071,12,100,'Attacker must be behind or flanking',1,4),
(42456,70071,12,100,'Caster will deflect 5.0% of incoming attacks.',0,5),
(42457,70071,12,100,'Reduces physical damage done to caster by 10%',0,6),
(42458,70071,12,100,'On a combat hit this spell may cast Strike of Anger on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.4 times per minute. ',0,7),
(42459,70071,12,100,'Increases Threat to target by 3,648 ',1,8),
(42460,70071,12,100,'Increases Crit Chance of caster by 12.0',1,9),
(42461,70071,12,100,'Inflicts 562 - 842 crushing damage on target',1,10),
(42462,70071,12,100,'Cannot be modified except by direct means',1,11),
(42463,70071,12,100,'Attacker must be in front of',1,12),
(42464,70071,12,100,'Cannot be modified except by direct means',0,13),
(42465,60074,1,100,'Inflicts 19 - 32 melee damage on target',0,0),
(42466,60074,1,100,'Inflicts 19 - 32 melee damage on target',0,1),
(42467,60074,1,100,'Inflicts 19 - 32 melee damage on target',0,2),
(42468,60074,1,100,'Inflicts 19 - 32 melee damage on target',0,3),
(42469,60074,1,100,'Inflicts 19 - 32 melee damage on target',0,4),
(42470,60074,2,100,'Inflicts 20 - 34 melee damage on target',0,0),
(42471,60074,2,100,'Inflicts 20 - 34 melee damage on target',0,1),
(42472,60074,2,100,'Inflicts 20 - 34 melee damage on target',0,2),
(42473,60074,2,100,'Inflicts 20 - 34 melee damage on target',0,3),
(42474,60074,2,100,'Inflicts 20 - 34 melee damage on target',0,4),
(42475,60074,3,100,'Inflicts 21 - 36 melee damage on target',0,0),
(42476,60074,3,100,'Inflicts 21 - 36 melee damage on target',0,1),
(42477,60074,3,100,'Inflicts 21 - 36 melee damage on target',0,2),
(42478,60074,3,100,'Inflicts 21 - 36 melee damage on target',0,3),
(42479,60074,3,100,'Inflicts 21 - 36 melee damage on target',0,4),
(42480,60074,4,100,'Inflicts 24 - 40 melee damage on target',0,0),
(42481,60074,4,100,'Inflicts 24 - 40 melee damage on target',0,1),
(42482,60074,4,100,'Inflicts 24 - 40 melee damage on target',0,2),
(42483,60074,4,100,'Inflicts 24 - 40 melee damage on target',0,3),
(42484,60074,4,100,'Inflicts 24 - 40 melee damage on target',0,4),
(42485,60074,5,100,'Inflicts 26 - 43 melee damage on target',0,0),
(42486,60074,5,100,'Inflicts 26 - 43 melee damage on target',0,1),
(42487,60074,5,100,'Inflicts 26 - 43 melee damage on target',0,2),
(42488,60074,5,100,'Inflicts 26 - 43 melee damage on target',0,3),
(42489,60074,5,100,'Inflicts 26 - 43 melee damage on target',0,4),
(42490,60074,7,100,'Inflicts 33 - 56 melee damage on target',0,0),
(42491,60074,7,100,'Inflicts 33 - 56 melee damage on target',0,1),
(42492,60074,7,100,'Inflicts 33 - 56 melee damage on target',0,2),
(42493,60074,7,100,'Inflicts 33 - 56 melee damage on target',0,3),
(42494,60074,7,100,'Inflicts 33 - 56 melee damage on target',0,4),
(42495,60074,9,100,'Inflicts 34 - 58 melee damage on target',0,0),
(42496,60074,9,100,'Inflicts 34 - 58 melee damage on target',0,1),
(42497,60074,9,100,'Inflicts 34 - 58 melee damage on target',0,2),
(42498,60074,9,100,'Inflicts 34 - 58 melee damage on target',0,3),
(42499,60074,9,100,'Inflicts 34 - 58 melee damage on target',0,4),
(42500,60075,1,100,'Inflicts 36 - 60 melee damage on target',0,0),
(42501,60075,1,100,'Inflicts 36 - 60 melee damage on target',0,1),
(42502,60075,1,100,'Inflicts 36 - 60 melee damage on target',0,2),
(42503,60075,1,100,'Inflicts 36 - 60 melee damage on target',0,3),
(42504,60075,1,100,'Inflicts 36 - 60 melee damage on target',0,4),
(42505,60075,2,100,'Inflicts 38 - 64 melee damage on target',0,0),
(42506,60075,2,100,'Inflicts 38 - 64 melee damage on target',0,1),
(42507,60075,2,100,'Inflicts 38 - 64 melee damage on target',0,2),
(42508,60075,2,100,'Inflicts 38 - 64 melee damage on target',0,3),
(42509,60075,2,100,'Inflicts 38 - 64 melee damage on target',0,4),
(42510,60075,3,100,'Inflicts 40 - 67 melee damage on target',0,0),
(42511,60075,3,100,'Inflicts 40 - 67 melee damage on target',0,1),
(42512,60075,3,100,'Inflicts 40 - 67 melee damage on target',0,2),
(42513,60075,3,100,'Inflicts 40 - 67 melee damage on target',0,3),
(42514,60075,3,100,'Inflicts 40 - 67 melee damage on target',0,4),
(42515,60075,4,100,'Inflicts 44 - 74 melee damage on target',0,0),
(42516,60075,4,100,'Inflicts 44 - 74 melee damage on target',0,1),
(42517,60075,4,100,'Inflicts 44 - 74 melee damage on target',0,2),
(42518,60075,4,100,'Inflicts 44 - 74 melee damage on target',0,3),
(42519,60075,4,100,'Inflicts 44 - 74 melee damage on target',0,4),
(42520,60075,5,100,'Inflicts 48 - 81 melee damage on target',0,0),
(42521,60075,5,100,'Inflicts 48 - 81 melee damage on target',0,1),
(42522,60075,5,100,'Inflicts 48 - 81 melee damage on target',0,2),
(42523,60075,5,100,'Inflicts 48 - 81 melee damage on target',0,3),
(42524,60075,5,100,'Inflicts 48 - 81 melee damage on target',0,4),
(42525,60075,7,100,'Inflicts 62 - 104 melee damage on target',0,0),
(42526,60075,7,100,'Inflicts 62 - 104 melee damage on target',0,1),
(42527,60075,7,100,'Inflicts 62 - 104 melee damage on target',0,2),
(42528,60075,7,100,'Inflicts 62 - 104 melee damage on target',0,3),
(42529,60075,7,100,'Inflicts 62 - 104 melee damage on target',0,4),
(42530,60075,9,100,'Inflicts 64 - 108 melee damage on target',0,0),
(42531,60075,9,100,'Inflicts 64 - 108 melee damage on target',0,1),
(42532,60075,9,100,'Inflicts 64 - 108 melee damage on target',0,2),
(42533,60075,9,100,'Inflicts 64 - 108 melee damage on target',0,3),
(42534,60075,9,100,'Inflicts 64 - 108 melee damage on target',0,4),
(42540,60076,1,100,'Inflicts 55 - 92 melee damage on target',0,0),
(42541,60076,1,100,'Inflicts 55 - 92 melee damage on target',0,1),
(42542,60076,1,100,'Inflicts 55 - 92 melee damage on target',0,2),
(42543,60076,1,100,'Inflicts 55 - 92 melee damage on target',0,3),
(42544,60076,1,100,'Inflicts 55 - 92 melee damage on target',0,4),
(42545,60076,2,100,'Inflicts 58 - 97 melee damage on target',0,0),
(42546,60076,2,100,'Inflicts 58 - 97 melee damage on target',0,1),
(42547,60076,2,100,'Inflicts 58 - 97 melee damage on target',0,2),
(42548,60076,2,100,'Inflicts 58 - 97 melee damage on target',0,3),
(42549,60076,2,100,'Inflicts 58 - 97 melee damage on target',0,4),
(42550,60076,3,100,'Inflicts 61 - 103 melee damage on target',0,0),
(42551,60076,3,100,'Inflicts 61 - 103 melee damage on target',0,1),
(42552,60076,3,100,'Inflicts 61 - 103 melee damage on target',0,2),
(42553,60076,3,100,'Inflicts 61 - 103 melee damage on target',0,3),
(42554,60076,3,100,'Inflicts 61 - 103 melee damage on target',0,4),
(42555,60076,4,100,'Inflicts 68 - 113 melee damage on target',0,0),
(42556,60076,4,100,'Inflicts 68 - 113 melee damage on target',0,1),
(42557,60076,4,100,'Inflicts 68 - 113 melee damage on target',0,2),
(42558,60076,4,100,'Inflicts 68 - 113 melee damage on target',0,3),
(42559,60076,4,100,'Inflicts 68 - 113 melee damage on target',0,4),
(42560,60076,5,100,'Inflicts 74 - 123 melee damage on target',0,0),
(42561,60076,5,100,'Inflicts 74 - 123 melee damage on target',0,1),
(42562,60076,5,100,'Inflicts 74 - 123 melee damage on target',0,2),
(42563,60076,5,100,'Inflicts 74 - 123 melee damage on target',0,3),
(42564,60076,5,100,'Inflicts 74 - 123 melee damage on target',0,4),
(42565,60076,7,100,'Inflicts 95 - 158 melee damage on target',0,0),
(42566,60076,7,100,'Inflicts 95 - 158 melee damage on target',0,1),
(42567,60076,7,100,'Inflicts 95 - 158 melee damage on target',0,2),
(42568,60076,7,100,'Inflicts 95 - 158 melee damage on target',0,3),
(42569,60076,7,100,'Inflicts 95 - 158 melee damage on target',0,4),
(42570,60076,9,100,'Inflicts 98 - 164 melee damage on target',0,0),
(42571,60076,9,100,'Inflicts 98 - 164 melee damage on target',0,1),
(42572,60076,9,100,'Inflicts 98 - 164 melee damage on target',0,2),
(42573,60076,9,100,'Inflicts 98 - 164 melee damage on target',0,3),
(42574,60076,9,100,'Inflicts 98 - 164 melee damage on target',0,4),
(42575,60077,1,100,'Inflicts 78 - 130 melee damage on target',0,0),
(42576,60077,1,100,'Inflicts 78 - 130 melee damage on target',0,1),
(42577,60077,1,100,'Inflicts 78 - 130 melee damage on target',0,2),
(42578,60077,1,100,'Inflicts 78 - 130 melee damage on target',0,3),
(42579,60077,1,100,'Inflicts 78 - 130 melee damage on target',0,4),
(42580,60077,2,100,'Inflicts 82 - 138 melee damage on target',0,0),
(42581,60077,2,100,'Inflicts 82 - 138 melee damage on target',0,1),
(42582,60077,2,100,'Inflicts 82 - 138 melee damage on target',0,2),
(42583,60077,2,100,'Inflicts 82 - 138 melee damage on target',0,3),
(42584,60077,2,100,'Inflicts 82 - 138 melee damage on target',0,4),
(42585,60077,3,100,'Inflicts 87 - 145 melee damage on target',0,0),
(42586,60077,3,100,'Inflicts 87 - 145 melee damage on target',0,1),
(42587,60077,3,100,'Inflicts 87 - 145 melee damage on target',0,2),
(42588,60077,3,100,'Inflicts 87 - 145 melee damage on target',0,3),
(42589,60077,3,100,'Inflicts 87 - 145 melee damage on target',0,4),
(42590,60077,4,100,'Inflicts 95 - 159 melee damage on target',0,0),
(42591,60077,4,100,'Inflicts 95 - 159 melee damage on target',0,1),
(42592,60077,4,100,'Inflicts 95 - 159 melee damage on target',0,2),
(42593,60077,4,100,'Inflicts 95 - 159 melee damage on target',0,3),
(42594,60077,4,100,'Inflicts 95 - 159 melee damage on target',0,4),
(42595,60077,5,100,'Inflicts 104 - 174 melee damage on target',0,0),
(42596,60077,5,100,'Inflicts 104 - 174 melee damage on target',0,1),
(42597,60077,5,100,'Inflicts 104 - 174 melee damage on target',0,2),
(42598,60077,5,100,'Inflicts 104 - 174 melee damage on target',0,3),
(42599,60077,5,100,'Inflicts 104 - 174 melee damage on target',0,4),
(42600,60077,7,100,'Inflicts 134 - 223 melee damage on target',0,0),
(42601,60077,7,100,'Inflicts 134 - 223 melee damage on target',0,1),
(42602,60077,7,100,'Inflicts 134 - 223 melee damage on target',0,2),
(42603,60077,7,100,'Inflicts 134 - 223 melee damage on target',0,3),
(42604,60077,7,100,'Inflicts 134 - 223 melee damage on target',0,4),
(42605,60077,9,100,'Inflicts 139 - 232 melee damage on target',0,0),
(42606,60077,9,100,'Inflicts 139 - 232 melee damage on target',0,1),
(42607,60077,9,100,'Inflicts 139 - 232 melee damage on target',0,2),
(42608,60077,9,100,'Inflicts 139 - 232 melee damage on target',0,3),
(42609,60077,9,100,'Inflicts 139 - 232 melee damage on target',0,4),
(42615,60078,1,100,'Inflicts 98 - 163 melee damage on target',0,0),
(42616,60078,1,100,'Inflicts 98 - 163 melee damage on target',0,1),
(42617,60078,1,100,'Inflicts 98 - 163 melee damage on target',0,2),
(42618,60078,1,100,'Inflicts 98 - 163 melee damage on target',0,3),
(42619,60078,1,100,'Inflicts 98 - 163 melee damage on target',0,4),
(42620,60078,2,100,'Inflicts 103 - 173 melee damage on target',0,0),
(42621,60078,2,100,'Inflicts 103 - 173 melee damage on target',0,1),
(42622,60078,2,100,'Inflicts 103 - 173 melee damage on target',0,2),
(42623,60078,2,100,'Inflicts 103 - 173 melee damage on target',0,3),
(42624,60078,2,100,'Inflicts 103 - 173 melee damage on target',0,4),
(42625,60078,3,100,'Inflicts 109 - 182 melee damage on target',0,0),
(42626,60078,3,100,'Inflicts 109 - 182 melee damage on target',0,1),
(42627,60078,3,100,'Inflicts 109 - 182 melee damage on target',0,2),
(42628,60078,3,100,'Inflicts 109 - 182 melee damage on target',0,3),
(42629,60078,3,100,'Inflicts 109 - 182 melee damage on target',0,4),
(42630,60078,4,100,'Inflicts 120 - 200 melee damage on target',0,0),
(42631,60078,4,100,'Inflicts 120 - 200 melee damage on target',0,1),
(42632,60078,4,100,'Inflicts 120 - 200 melee damage on target',0,2),
(42633,60078,4,100,'Inflicts 120 - 200 melee damage on target',0,3),
(42634,60078,4,100,'Inflicts 120 - 200 melee damage on target',0,4),
(42635,60078,5,100,'Inflicts 131 - 218 melee damage on target',0,0),
(42636,60078,5,100,'Inflicts 131 - 218 melee damage on target',0,1),
(42637,60078,5,100,'Inflicts 131 - 218 melee damage on target',0,2),
(42638,60078,5,100,'Inflicts 131 - 218 melee damage on target',0,3),
(42639,60078,5,100,'Inflicts 131 - 218 melee damage on target',0,4),
(42640,60078,7,100,'Inflicts 168 - 280 melee damage on target',0,0),
(42641,60078,7,100,'Inflicts 168 - 280 melee damage on target',0,1),
(42642,60078,7,100,'Inflicts 168 - 280 melee damage on target',0,2),
(42643,60078,7,100,'Inflicts 168 - 280 melee damage on target',0,3),
(42644,60078,7,100,'Inflicts 168 - 280 melee damage on target',0,4),
(42645,60078,9,100,'Inflicts 174 - 291 melee damage on target',0,0),
(42646,60078,9,100,'Inflicts 174 - 291 melee damage on target',0,1),
(42647,60078,9,100,'Inflicts 174 - 291 melee damage on target',0,2),
(42648,60078,9,100,'Inflicts 174 - 291 melee damage on target',0,3),
(42649,60078,9,100,'Inflicts 174 - 291 melee damage on target',0,4),
(42655,60079,1,100,'Inflicts 118 - 198 melee damage on target',0,0),
(42656,60079,1,100,'Inflicts 118 - 198 melee damage on target',0,1),
(42657,60079,1,100,'Inflicts 118 - 198 melee damage on target',0,2),
(42658,60079,1,100,'Inflicts 118 - 198 melee damage on target',0,3),
(42659,60079,1,100,'Inflicts 118 - 198 melee damage on target',0,4),
(42660,60079,4,100,'Inflicts 145 - 242 melee damage on target',0,0),
(42661,60079,4,100,'Inflicts 145 - 242 melee damage on target',0,1),
(42662,60079,4,100,'Inflicts 145 - 242 melee damage on target',0,2),
(42663,60079,4,100,'Inflicts 145 - 242 melee damage on target',0,3),
(42664,60079,4,100,'Inflicts 145 - 242 melee damage on target',0,4),
(42665,60079,5,100,'Inflicts 158 - 264 melee damage on target',0,0),
(42666,60079,5,100,'Inflicts 158 - 264 melee damage on target',0,1),
(42667,60079,5,100,'Inflicts 158 - 264 melee damage on target',0,2),
(42668,60079,5,100,'Inflicts 158 - 264 melee damage on target',0,3),
(42669,60079,5,100,'Inflicts 158 - 264 melee damage on target',0,4),
(42670,60079,7,100,'Inflicts 203 - 338 melee damage on target',0,0),
(42671,60079,7,100,'Inflicts 203 - 338 melee damage on target',0,1),
(42672,60079,7,100,'Inflicts 203 - 338 melee damage on target',0,2),
(42673,60079,7,100,'Inflicts 203 - 338 melee damage on target',0,3),
(42674,60079,7,100,'Inflicts 203 - 338 melee damage on target',0,4),
(42675,60079,9,100,'Inflicts 211 - 352 melee damage on target',0,0),
(42676,60079,9,100,'Inflicts 211 - 352 melee damage on target',0,1),
(42677,60079,9,100,'Inflicts 211 - 352 melee damage on target',0,2),
(42678,60079,9,100,'Inflicts 211 - 352 melee damage on target',0,3),
(42679,60079,9,100,'Inflicts 211 - 352 melee damage on target',0,4),
(42680,60080,1,100,'Inflicts 135 - 225 melee damage on target',0,0),
(42681,60080,1,100,'Inflicts 135 - 225 melee damage on target',0,1),
(42682,60080,1,100,'Inflicts 135 - 225 melee damage on target',0,2),
(42683,60080,1,100,'Inflicts 135 - 225 melee damage on target',0,3),
(42684,60080,1,100,'Inflicts 135 - 225 melee damage on target',0,4),
(42685,60080,4,100,'Inflicts 165 - 275 melee damage on target',0,0),
(42686,60080,4,100,'Inflicts 165 - 275 melee damage on target',0,1),
(42687,60080,4,100,'Inflicts 165 - 275 melee damage on target',0,2),
(42688,60080,4,100,'Inflicts 165 - 275 melee damage on target',0,3),
(42689,60080,4,100,'Inflicts 165 - 275 melee damage on target',0,4),
(42690,60080,5,100,'Inflicts 180 - 301 melee damage on target',0,0),
(42691,60080,5,100,'Inflicts 180 - 301 melee damage on target',0,1),
(42692,60080,5,100,'Inflicts 180 - 301 melee damage on target',0,2),
(42693,60080,5,100,'Inflicts 180 - 301 melee damage on target',0,3),
(42694,60080,5,100,'Inflicts 180 - 301 melee damage on target',0,4),
(42695,60080,7,100,'Inflicts 231 - 386 melee damage on target',0,0),
(42696,60080,7,100,'Inflicts 231 - 386 melee damage on target',0,1),
(42697,60080,7,100,'Inflicts 231 - 386 melee damage on target',0,2),
(42698,60080,7,100,'Inflicts 231 - 386 melee damage on target',0,3),
(42699,60080,7,100,'Inflicts 231 - 386 melee damage on target',0,4),
(42700,60080,9,100,'Inflicts 240 - 401 melee damage on target',0,0),
(42701,60080,9,100,'Inflicts 240 - 401 melee damage on target',0,1),
(42702,60080,9,100,'Inflicts 240 - 401 melee damage on target',0,2),
(42703,60080,9,100,'Inflicts 240 - 401 melee damage on target',0,3),
(42704,60080,9,100,'Inflicts 240 - 401 melee damage on target',0,4),
(42705,330060,1,100,'Inflicts 102 - 170 melee damage on target',0,0),
(42706,330060,1,100,'Decreases INT of target by 61.6',0,1),
(42707,330060,2,100,'Inflicts 107 - 179 melee damage on target',0,0),
(42708,330060,2,100,'Decreases INT of target by 65.0',0,1),
(42709,330060,3,100,'Inflicts 113 - 189 melee damage on target',0,0),
(42710,330060,3,100,'Decreases INT of target by 68.4',0,1),
(42711,330060,4,100,'Inflicts 124 - 208 melee damage on target',0,0),
(42712,330060,4,100,'Decreases INT of target by 75.2',0,1),
(42713,330060,5,100,'Inflicts 136 - 227 melee damage on target',0,0),
(42714,330060,5,100,'Decreases INT of target by 82.1',0,1),
(42715,330060,7,100,'Inflicts 174 - 291 melee damage on target',0,0),
(42716,330060,7,100,'Decreases INT of target by 105.3',0,1),
(42717,330060,9,100,'Inflicts 181 - 302 melee damage on target',0,0),
(42718,330060,9,100,'Decreases INT of target by 109.4',0,1),
(42719,330061,1,100,'Inflicts 144 - 241 melee damage on target',0,0),
(42720,330061,1,100,'Decreases INT of target by 81.7',0,1),
(42721,330061,2,100,'Inflicts 152 - 254 melee damage on target',0,0),
(42722,330061,2,100,'Decreases INT of target by 86.3',0,1),
(42723,330061,3,100,'Inflicts 160 - 268 melee damage on target',0,0),
(42724,330061,3,100,'Decreases INT of target by 90.8',0,1),
(42725,330061,4,100,'Inflicts 176 - 294 melee damage on target',0,0),
(42726,330061,4,100,'Decreases INT of target by 99.9',0,1),
(42727,330061,5,100,'Inflicts 193 - 321 melee damage on target',0,0),
(42728,330061,5,100,'Decreases INT of target by 109.0',0,1),
(42729,330061,7,100,'Inflicts 247 - 412 melee damage on target',0,0),
(42730,330061,7,100,'Decreases INT of target by 139.8',0,1),
(42731,330061,9,100,'Inflicts 257 - 429 melee damage on target',0,0),
(42732,330061,9,100,'Decreases INT of target by 145.3',0,1),
(42733,330062,1,100,'Inflicts 188 - 314 melee damage on target',0,0),
(42734,330062,1,100,'Decreases INT of target by 103.0',0,1),
(42735,330062,2,100,'Inflicts 199 - 332 melee damage on target',0,0),
(42736,330062,2,100,'Decreases INT of target by 108.7',0,1),
(42737,330062,3,100,'Inflicts 209 - 349 melee damage on target',0,0),
(42738,330062,3,100,'Decreases INT of target by 114.4',0,1),
(42739,330062,4,100,'Inflicts 230 - 384 melee damage on target',0,0),
(42740,330062,4,100,'Decreases INT of target by 125.8',0,1),
(42741,330062,5,100,'Inflicts 251 - 419 melee damage on target',0,0),
(42742,330062,5,100,'Decreases INT of target by 137.3',0,1),
(42743,330062,7,100,'Inflicts 323 - 538 melee damage on target',0,0),
(42744,330062,7,100,'Decreases INT of target by 176.2',0,1),
(42745,330062,9,100,'Inflicts 335 - 559 melee damage on target',0,0),
(42746,330062,9,100,'Decreases INT of target by 183.0',0,1),
(42747,330063,1,100,'Inflicts 228 - 381 melee damage on target',0,0),
(42748,330063,1,100,'Decreases INT of target by 122.8',0,1),
(42749,330063,4,100,'Inflicts 279 - 465 melee damage on target',0,0),
(42750,330063,4,100,'Decreases INT of target by 150.0',0,1),
(42751,330063,5,100,'Inflicts 305 - 508 melee damage on target',0,0),
(42752,330063,5,100,'Decreases INT of target by 163.7',0,1),
(42753,330063,7,100,'Inflicts 391 - 652 melee damage on target',0,0),
(42754,330063,7,100,'Decreases INT of target by 210.1',0,1),
(42755,330063,9,100,'Inflicts 406 - 677 melee damage on target',0,0),
(42756,330063,9,100,'Decreases INT of target by 218.2',0,1),
(42757,330063,10,100,'Inflicts 427 - 711 melee damage on target',0,0),
(42758,330063,10,100,'Decreases INT of target by 229.2',0,1),
(42759,330064,1,100,'Inflicts 267 - 446 melee damage on target',0,0),
(42760,330064,1,100,'Decreases INT of target by 142.6',0,1),
(42761,330064,4,100,'Inflicts 327 - 545 melee damage on target',0,0),
(42762,330064,4,100,'Decreases INT of target by 174.2',0,1),
(42763,330064,5,100,'Inflicts 356 - 594 melee damage on target',0,0),
(42764,330064,5,100,'Decreases INT of target by 190.1',0,1),
(42765,330064,7,100,'Inflicts 458 - 763 melee damage on target',0,0),
(42766,330064,7,100,'Decreases INT of target by 243.9',0,1),
(42767,330064,9,100,'Inflicts 475 - 793 melee damage on target',0,0),
(42768,330064,9,100,'Decreases INT of target by 253.4',0,1),
(42769,330064,10,100,'Inflicts 499 - 832 melee damage on target',0,0),
(42770,330064,10,100,'Decreases INT of target by 266.1',0,1),
(42771,330065,1,100,'Inflicts 5 - 7 melee damage on target',0,0),
(42772,330065,1,100,'Decreases DPS of target by 10.5',0,1),
(42773,330065,2,100,'Inflicts 6 - 7 melee damage on target',0,0),
(42774,330065,2,100,'Decreases DPS of target by 11.0',0,1),
(42775,330065,3,100,'Inflicts 6 - 7 melee damage on target',0,0),
(42776,330065,3,100,'Decreases DPS of target by 11.6',0,1),
(42777,330065,4,100,'Inflicts 7 - 8 melee damage on target',0,0),
(42778,330065,4,100,'Decreases DPS of target by 12.8',0,1),
(42779,330065,5,100,'Inflicts 7 - 9 melee damage on target',0,0),
(42780,330065,5,100,'Decreases DPS of target by 13.9',0,1),
(42781,330065,7,100,'Inflicts 9 - 12 melee damage on target',0,0),
(42782,330065,7,100,'Decreases DPS of target by 17.9',0,1),
(42783,330065,9,100,'Inflicts 10 - 12 melee damage on target',0,0),
(42784,330065,9,100,'Decreases DPS of target by 18.6',0,1),
(42785,330066,1,100,'Inflicts 18 - 22 melee damage on target',0,0),
(42786,330066,1,100,'Decreases DPS of target by 11.2',0,1),
(42787,330066,2,100,'Inflicts 19 - 23 melee damage on target',0,0),
(42788,330066,2,100,'Decreases DPS of target by 11.8',0,1),
(42789,330066,3,100,'Inflicts 20 - 24 melee damage on target',0,0),
(42790,330066,3,100,'Decreases DPS of target by 12.4',0,1),
(42791,330066,4,100,'Inflicts 22 - 27 melee damage on target',0,0),
(42792,330066,4,100,'Decreases DPS of target by 13.7',0,1),
(42793,330066,5,100,'Inflicts 24 - 29 melee damage on target',0,0),
(42794,330066,5,100,'Decreases DPS of target by 14.9',0,1),
(42795,330066,7,100,'Inflicts 31 - 38 melee damage on target',0,0),
(42796,330066,7,100,'Decreases DPS of target by 19.1',0,1),
(42797,330066,9,100,'Inflicts 32 - 39 melee damage on target',0,0),
(42798,330066,9,100,'Decreases DPS of target by 19.9',0,1),
(42799,330067,1,100,'Inflicts 33 - 40 melee damage on target',0,0),
(42800,330067,1,100,'Decreases DPS of target by 12.0',0,1),
(42801,330067,2,100,'Inflicts 35 - 42 melee damage on target',0,0),
(42802,330067,2,100,'Decreases DPS of target by 12.7',0,1),
(42803,330067,3,100,'Inflicts 37 - 45 melee damage on target',0,0),
(42804,330067,3,100,'Decreases DPS of target by 13.4',0,1),
(42805,330067,4,100,'Inflicts 40 - 49 melee damage on target',0,0),
(42806,330067,4,100,'Decreases Damage Per Second of target by 14.7',0,1),
(42807,330067,5,100,'Inflicts 44 - 54 melee damage on target',0,0),
(42808,330067,5,100,'Decreases Damage Per Second of target by 16.1',0,1),
(42809,330067,7,100,'Inflicts 57 - 69 melee damage on target',0,0),
(42810,330067,7,100,'Decreases DPS of target by 20.6',0,1),
(42811,330067,9,100,'Inflicts 59 - 72 melee damage on target',0,0),
(42812,330067,9,100,'Decreases DPS of target by 21.4',0,1),
(42813,330068,1,100,'Inflicts 67 - 82 melee damage on target',0,0),
(42814,330068,1,100,'Decreases DPS of target by 14.1',0,1),
(42815,330068,2,100,'Inflicts 71 - 87 melee damage on target',0,0),
(42816,330068,2,100,'Decreases DPS of target by 14.9',0,1),
(42817,330068,3,100,'Inflicts 75 - 91 melee damage on target',0,0),
(42818,330068,3,100,'Decreases DPS of target by 15.7',0,1),
(42819,330068,4,100,'Inflicts 82 - 100 melee damage on target',0,0),
(42820,330068,4,100,'Decreases DPS of target by 17.2',0,1),
(42821,330068,5,100,'Inflicts 90 - 110 melee damage on target',0,0),
(42822,330068,5,100,'Decreases DPS of target by 18.8',0,1),
(42823,330068,7,100,'Inflicts 115 - 141 melee damage on target',0,0),
(42824,330068,7,100,'Decreases DPS of target by 24.1',0,1),
(42825,330068,9,100,'Inflicts 120 - 146 melee damage on target',0,0),
(42826,330068,9,100,'Decreases DPS of target by 25.1',0,1),
(42827,330069,1,100,'Inflicts 284 - 347 melee damage on target',0,0),
(42828,330069,1,100,'Decreases DPS of target by 28.7',0,1),
(42829,330069,4,100,'Inflicts 347 - 424 melee damage on target',0,0),
(42830,330069,4,100,'Decreases DPS of target by 35.0',0,1),
(42831,330069,5,100,'Inflicts 378 - 463 melee damage on target',0,0),
(42832,330069,5,100,'Decreases DPS of target by 38.2',0,1),
(42833,330069,7,100,'Inflicts 486 - 594 melee damage on target',0,0),
(42834,330069,7,100,'Decreases DPS of target by 49.1',0,1),
(42835,330069,9,100,'Inflicts 505 - 617 melee damage on target',0,0),
(42836,330069,9,100,'Decreases DPS of target by 51.0',0,1),
(42837,330070,1,100,'Inflicts 105 - 129 melee damage on target',0,0),
(42838,330070,1,100,'Decreases DPS of target by 16.7',0,1),
(42839,330070,2,100,'Inflicts 111 - 136 melee damage on target',0,0),
(42840,330070,2,100,'Decreases DPS of target by 17.7',0,1),
(42841,330070,3,100,'Inflicts 117 - 143 melee damage on target',0,0),
(42842,330070,3,100,'Decreases DPS of target by 18.6',0,1),
(42843,330070,4,100,'Inflicts 129 - 158 melee damage on target',0,0),
(42844,330070,4,100,'Decreases DPS of target by 20.5',0,1),
(42845,330070,5,100,'Inflicts 141 - 172 melee damage on target',0,0),
(42846,330070,5,100,'Decreases DPS of target by 22.3',0,1),
(42847,330070,7,100,'Inflicts 181 - 221 melee damage on target',0,0),
(42848,330070,7,100,'Decreases DPS of target by 28.7',0,1),
(42849,330070,9,100,'Inflicts 188 - 230 melee damage on target',0,0),
(42850,330070,9,100,'Decreases DPS of target by 29.8',0,1),
(42851,330070,10,100,'Inflicts 197 - 241 melee damage on target',0,0),
(42852,330070,10,100,'Decreases DPS of target by 31.3',0,1),
(42853,330071,1,100,'Inflicts 151 - 185 melee damage on target',0,0),
(42854,330071,1,100,'Decreases DPS of target by 19.7',0,1),
(42855,330071,2,100,'Inflicts 159 - 195 melee damage on target',0,0),
(42856,330071,2,100,'Decreases DPS of target by 20.8',0,1),
(42857,330071,3,100,'Inflicts 168 - 205 melee damage on target',0,0),
(42858,330071,3,100,'Decreases DPS of target by 21.9',0,1),
(42859,330071,4,100,'Inflicts 185 - 226 melee damage on target',0,0),
(42860,330071,4,100,'Decreases DPS of target by 24.1',0,1),
(42861,330071,5,100,'Inflicts 201 - 246 melee damage on target',0,0),
(42862,330071,5,100,'Decreases Damage Per Second of target by 26.3',0,1),
(42863,330071,7,100,'Inflicts 259 - 316 melee damage on target',0,0),
(42864,330071,7,100,'Decreases DPS of target by 33.7',0,1),
(42865,330071,9,100,'Inflicts 269 - 328 melee damage on target',0,0),
(42866,330071,9,100,'Decreases DPS of target by 35.0',0,1),
(42867,330072,1,100,'Inflicts 197 - 241 melee damage on target',0,0),
(42868,330072,1,100,'Decreases DPS of target by 22.8',0,1),
(42869,330072,2,100,'Inflicts 208 - 255 melee damage on target',0,0),
(42870,330072,2,100,'Decreases Damage Per Second of target by 24.0',0,1),
(42871,330072,3,100,'Inflicts 219 - 268 melee damage on target',0,0),
(42872,330072,3,100,'Decreases Damage Per Second of target by 25.3',0,1),
(42873,330072,4,100,'Inflicts 241 - 295 melee damage on target',0,0),
(42874,330072,4,100,'Decreases DPS of target by 27.8',0,1),
(42875,330072,5,100,'Inflicts 263 - 322 melee damage on target',0,0),
(42876,330072,5,100,'Decreases DPS of target by 30.3',0,1),
(42877,330072,7,100,'Inflicts 338 - 413 melee damage on target',0,0),
(42878,330072,7,100,'Decreases DPS of target by 38.9',0,1),
(42879,330072,9,100,'Inflicts 351 - 429 melee damage on target',0,0),
(42880,330072,9,100,'Decreases DPS of target by 40.4',0,1),
(42881,330072,10,100,'Inflicts 369 - 451 melee damage on target',0,0),
(42882,330072,10,100,'Decreases DPS of target by 42.5',0,1),
(42883,330073,1,100,'Inflicts 239 - 292 melee damage on target',0,0),
(42884,330073,1,100,'Decreases DPS of target by 25.7',0,1),
(42885,330073,4,100,'Inflicts 292 - 357 melee damage on target',0,0),
(42886,330073,4,100,'Decreases DPS of target by 31.4',0,1),
(42887,330073,5,100,'Inflicts 319 - 390 melee damage on target',0,0),
(42888,330073,5,100,'Decreases DPS of target by 34.3',0,1),
(42889,330073,7,100,'Inflicts 409 - 500 melee damage on target',0,0),
(42890,330073,7,100,'Decreases DPS of target by 44.0',0,1),
(42891,330073,9,100,'Inflicts 425 - 520 melee damage on target',0,0),
(42892,330073,9,100,'Decreases DPS of target by 45.7',0,1),
(42893,60081,1,100,'Increases Haste of caster by 10.9',0,0),
(42894,60081,1,100,'Decreases Defense of caster by 1.8',0,1),
(42895,60081,1,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 2.4',0,2),
(42896,60081,2,100,'Increases Haste of caster by 11.5',0,0),
(42897,60081,2,100,'Decreases Defense of caster by 1.8',0,1),
(42898,60081,2,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 2.6',0,2),
(42899,60081,3,100,'Increases Haste of caster by 12.1',0,0),
(42900,60081,3,100,'Decreases Defense of caster by 1.8',0,1),
(42901,60081,3,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 2.7',0,2),
(42902,60081,4,100,'Increases Haste of caster by 13.4',0,0),
(42903,60081,4,100,'Decreases Defense of caster by 1.8',0,1),
(42904,60081,4,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 3.0',0,2),
(42905,60081,5,100,'Increases Haste of caster by 14.6',0,0),
(42906,60081,5,100,'Decreases Defense of caster by 1.8',0,1),
(42907,60081,5,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 3.2',0,2),
(42908,60081,7,100,'Increases Haste of caster by 18.7',0,0),
(42909,60081,7,100,'Decreases Defense of caster by 1.8',0,1),
(42910,60081,7,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 4.2',0,2),
(42911,60081,9,100,'Increases Haste of caster by 19.4',0,0),
(42912,60081,9,100,'Decreases Defense of caster by 1.8',0,1),
(42913,60081,9,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 4.3',0,2),
(42914,60082,1,100,'Increases Haste of caster by 13.5',0,0),
(42915,60082,1,100,'Decreases Defense of caster by 4.8',0,1),
(42916,60082,1,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 6.5',0,2),
(42917,60082,2,100,'Increases Haste of caster by 14.2',0,0),
(42918,60082,2,100,'Decreases Defense of caster by 4.8',0,1),
(42919,60082,2,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 6.8',0,2),
(42920,60082,3,100,'Increases Haste of caster by 15.0',0,0),
(42921,60082,3,100,'Decreases Defense of caster by 4.8',0,1),
(42922,60082,3,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 7.2',0,2),
(42923,60082,4,100,'Increases Haste of caster by 16.5',0,0),
(42924,60082,4,100,'Decreases Defense of caster by 4.8',0,1),
(42925,60082,4,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 7.9',0,2),
(42926,60082,5,100,'Increases Haste of caster by 18.0',0,0),
(42927,60082,5,100,'Decreases Defense of caster by 4.8',0,1),
(42928,60082,5,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 8.6',0,2),
(42929,60082,7,100,'Increases Haste of caster by 23.1',0,0),
(42930,60082,7,100,'Decreases Defense of caster by 4.8',0,1),
(42931,60082,7,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 11.1',0,2),
(42932,60082,9,100,'Increases Haste of caster by 24.0',0,0),
(42933,60082,9,100,'Decreases Defense of caster by 4.8',0,1),
(42934,60082,9,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 11.5',0,2),
(42935,60083,1,100,'Increases Haste of caster by 17.8',0,0),
(42936,60083,1,100,'Decreases Defense of caster by 10.5',0,1),
(42937,60083,1,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 14.2',0,2),
(42938,60083,2,100,'Increases Haste of caster by 18.8',0,0),
(42939,60083,2,100,'Decreases Defense of caster by 10.5',0,1),
(42940,60083,2,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 15.0',0,2),
(42941,60083,3,100,'Increases Haste of caster by 19.7',0,0),
(42942,60083,3,100,'Decreases Defense of caster by 10.5',0,1),
(42943,60083,3,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 15.8',0,2),
(42944,60083,4,100,'Increases Haste of caster by 21.7',0,0),
(42945,60083,4,100,'Decreases Defense of caster by 10.5',0,1),
(42946,60083,4,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 17.3',0,2),
(42947,60083,5,100,'Increases Haste of caster by 23.7',0,0),
(42948,60083,5,100,'Decreases Defense of caster by 10.5',0,1),
(42949,60083,5,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 18.9',0,2),
(42950,60083,7,100,'Increases Haste of caster by 30.4',0,0),
(42951,60083,7,100,'Decreases Defense of caster by 10.5',0,1),
(42952,60083,7,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 24.3',0,2),
(42953,60083,9,100,'Increases Haste of caster by 31.6',0,0),
(42954,60083,9,100,'Decreases Defense of caster by 10.5',0,1),
(42955,60083,9,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 25.2',0,2),
(42956,60084,1,100,'Increases Haste of caster by 20.9',0,0),
(42957,60084,1,100,'Decreases Defense of caster by 14.7',0,1),
(42958,60084,1,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 19.8',0,2),
(42959,60084,2,100,'Increases Haste of caster by 22.1',0,0),
(42960,60084,2,100,'Decreases Defense of caster by 14.7',0,1),
(42961,60084,2,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 20.9',0,2),
(42962,60084,3,100,'Increases Haste of caster by 23.2',0,0),
(42963,60084,3,100,'Decreases Defense of caster by 14.7',0,1),
(42964,60084,3,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 22.0',0,2),
(42965,60084,4,100,'Increases Haste of caster by 25.6',0,0),
(42966,60084,4,100,'Decreases Defense of caster by 14.7',0,1),
(42967,60084,4,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 24.3',0,2),
(42968,60084,5,100,'Increases Haste of caster by 27.9',0,0),
(42969,60084,5,100,'Decreases Defense of caster by 14.7',0,1),
(42970,60084,5,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 26.5',0,2),
(42971,60084,7,100,'Increases Haste of caster by 35.8',0,0),
(42972,60084,7,100,'Decreases Defense of caster by 14.7',0,1),
(42973,60084,7,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 34.0',0,2),
(42974,60084,9,100,'Increases Haste of caster by 37.2',0,0),
(42975,60084,9,100,'Decreases Defense of caster by 14.7',0,1),
(42976,60084,9,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 35.3',0,2),
(42977,60085,1,100,'Increases Haste of caster by 24.0',0,0),
(42978,60085,1,100,'Decreases Defense of caster by 18.9',0,1),
(42979,60085,1,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 25.5',0,2),
(42980,60085,2,100,'Increases Haste of caster by 25.3',0,0),
(42981,60085,2,100,'Decreases Defense of caster by 18.9',0,1),
(42982,60085,2,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 26.9',0,2),
(42983,60085,3,100,'Increases Haste of caster by 26.6',0,0),
(42984,60085,3,100,'Decreases Defense of caster by 18.9',0,1),
(42985,60085,3,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 28.4',0,2),
(42986,60085,4,100,'Increases Haste of caster by 29.3',0,0),
(42987,60085,4,100,'Decreases Defense of caster by 18.9',0,1),
(42988,60085,4,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 31.2',0,2),
(42989,60085,5,100,'Increases Haste of caster by 32.0',0,0),
(42990,60085,5,100,'Decreases Defense of caster by 18.9',0,1),
(42991,60085,5,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 34.0',0,2),
(42992,60085,7,100,'Increases Attack Speed of caster by 41.0',0,0),
(42993,60085,7,100,'Decreases Defense of caster by 18.9',0,1),
(42994,60085,7,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 43.7',0,2),
(42995,60085,9,100,'Increases Haste of caster by 42.6',0,0),
(42996,60085,9,100,'Decreases Defense of caster by 18.9',0,1),
(42997,60085,9,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 45.4',0,2),
(42998,60086,1,100,'Increases Haste of caster by 26.6',0,0),
(42999,60086,1,100,'Decreases Defense of caster by 23.0',0,1),
(43000,60086,1,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 31.0',0,2),
(43001,60086,2,100,'Increases Attack Speed of caster by 28.1',0,0),
(43002,60086,2,100,'Decreases Defense of caster by 23.0',0,1),
(43003,60086,2,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 32.8',0,2),
(43004,60086,3,100,'Increases Haste of caster by 29.5',0,0),
(43005,60086,3,100,'Decreases Defense of caster by 23.0',0,1),
(43006,60086,3,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 34.5',0,2),
(43007,60086,4,100,'Increases Haste of caster by 32.5',0,0),
(43008,60086,4,100,'Decreases Defense of caster by 23.0',0,1),
(43009,60086,4,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 38.0',0,2),
(43010,60086,5,100,'Increases Haste of caster by 35.5',0,0),
(43011,60086,5,100,'Decreases Defense of caster by 23.0',0,1),
(43012,60086,5,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 41.4',0,2),
(43013,60086,7,100,'Increases Haste of caster by 45.5',0,0),
(43014,60086,7,100,'Decreases Defense of caster by 23.0',0,1),
(43015,60086,7,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 53.1',0,2),
(43016,60086,9,100,'Increases Haste of caster by 47.3',0,0),
(43017,60086,9,100,'Decreases Defense of caster by 23.0',0,1),
(43018,60086,9,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 55.2',0,2),
(43019,60087,1,100,'Increases Haste of caster by 29.7',0,0),
(43020,60087,1,100,'Decreases Defense of caster by 27.0',0,1),
(43021,60087,1,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 37.1',0,2),
(43022,60087,4,100,'Increases Attack Speed of caster by 36.3',0,0),
(43023,60087,4,100,'Decreases Defense of caster by 27.0',0,1),
(43024,60087,4,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 45.4',0,2),
(43025,60087,5,100,'Increases Haste of caster by 39.6',0,0),
(43026,60087,5,100,'Decreases Defense of caster by 27.0',0,1),
(43027,60087,5,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 49.5',0,2),
(43028,60087,7,100,'Increases Haste of caster by 50.8',0,0),
(43029,60087,7,100,'Decreases Defense of caster by 27.0',0,1),
(43030,60087,7,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 63.5',0,2),
(43031,60087,9,100,'Increases Haste of caster by 52.8',0,0),
(43032,60087,9,100,'Decreases Defense of caster by 27.0',0,1),
(43033,60087,9,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 66.0',0,2),
(43034,60088,1,100,'Increases Potency of caster by 1.4%',0,0),
(43035,60088,1,100,'Increases Haste of caster by 32.7',0,1),
(43036,60088,1,100,'Decreases Defense of caster by 31.0',0,2),
(43037,60088,4,100,'Increases Potency of caster by 1.8%',0,0),
(43038,60088,4,100,'Increases Haste of caster by 40.0',0,1),
(43039,60088,4,100,'Decreases Defense of caster by 31.0',0,2),
(43040,60088,5,100,'Increases Potency of caster by 1.9%',0,0),
(43041,60088,5,100,'Increases Haste of caster by 43.7',0,1),
(43042,60088,5,100,'Decreases Defense of caster by 31.0',0,2),
(43043,60088,7,100,'Increases Potency of caster by 2.5%',0,0),
(43044,60088,7,100,'Increases Haste of caster by 56.0',0,1),
(43045,60088,7,100,'Decreases Defense of caster by 31.0',0,2),
(43046,60088,9,100,'Increases Potency of caster by 2.6%',0,0),
(43047,60088,9,100,'Increases Attack Speed of caster by 58.2',0,1),
(43048,60088,9,100,'Decreases Defense of caster by 31.0',0,2),
(43049,2000113,1,100,'Inflicts 148 - 276 cold damage on target',0,0),
(43050,2000113,1,100,'Inflicts 148 - 276 cold damage on target',0,1),
(43051,2000113,1,100,'Inflicts 148 - 276 cold damage on target',0,2),
(43052,2000113,1,100,'Inflicts 148 - 276 cold damage on target',0,3),
(43053,2000113,1,100,'Inflicts 148 - 276 cold damage on target',0,4),
(43054,2000113,1,100,'Stifles target',0,5),
(43055,2000113,1,100,'If Target is not Epic',1,6),
(43056,2000113,1,100,'Your target must be inflicted with Waveform.',0,7),
(43057,2000113,1,100,'Resistibility increases against targets higher than level 29.',0,8),
(43058,330074,1,100,'Inflicts 40 - 67 melee damage on target',0,0),
(43059,330074,1,100,'Inflicts 40 - 67 melee damage on target',0,1),
(43060,330074,1,100,'Inflicts 40 - 67 melee damage on target',0,2),
(43061,330074,1,100,'Decreases Mitigation of target vs physical damage by 189',0,3),
(43062,330074,2,100,'Inflicts 42 - 71 melee damage on target',0,0),
(43063,330074,2,100,'Inflicts 42 - 71 melee damage on target',0,1),
(43064,330074,2,100,'Inflicts 42 - 71 melee damage on target',0,2),
(43065,330074,2,100,'Decreases Mitigation of target vs physical damage by 200',0,3),
(43066,330074,3,100,'Inflicts 45 - 75 melee damage on target',0,0),
(43067,330074,3,100,'Inflicts 45 - 75 melee damage on target',0,1),
(43068,330074,3,100,'Inflicts 45 - 75 melee damage on target',0,2),
(43069,330074,3,100,'Decreases Mitigation of target vs physical damage by 210',0,3),
(43070,330074,4,100,'Inflicts 49 - 82 melee damage on target',0,0),
(43071,330074,4,100,'Inflicts 49 - 82 melee damage on target',0,1),
(43072,330074,4,100,'Inflicts 49 - 82 melee damage on target',0,2),
(43073,330074,4,100,'Decreases Mitigation of target vs physical damage by 231',0,3),
(43074,330074,5,100,'Inflicts 54 - 90 melee damage on target',0,0),
(43075,330074,5,100,'Inflicts 54 - 90 melee damage on target',0,1),
(43076,330074,5,100,'Inflicts 54 - 90 melee damage on target',0,2),
(43077,330074,5,100,'Decreases Mitigation of target vs physical damage by 252',0,3),
(43078,330074,7,100,'Inflicts 69 - 115 melee damage on target',0,0),
(43079,330074,7,100,'Inflicts 69 - 115 melee damage on target',0,1),
(43080,330074,7,100,'Inflicts 69 - 115 melee damage on target',0,2),
(43081,330074,7,100,'Decreases Mitigation of target vs physical damage by 323',0,3),
(43082,330074,9,100,'Inflicts 72 - 120 melee damage on target',0,0),
(43083,330074,9,100,'Inflicts 72 - 120 melee damage on target',0,1),
(43084,330074,9,100,'Inflicts 72 - 120 melee damage on target',0,2),
(43085,330074,9,100,'Decreases Mitigation of target vs physical damage by 336',0,3),
(43086,330075,1,100,'Inflicts 64 - 106 melee damage on target',0,0),
(43087,330075,1,100,'Inflicts 64 - 106 melee damage on target',0,1),
(43088,330075,1,100,'Inflicts 64 - 106 melee damage on target',0,2),
(43089,330075,1,100,'Decreases Mitigation of target vs physical damage by 284',0,3),
(43090,330075,2,100,'Inflicts 67 - 112 melee damage on target',0,0),
(43091,330075,2,100,'Inflicts 67 - 112 melee damage on target',0,1),
(43092,330075,2,100,'Inflicts 67 - 112 melee damage on target',0,2),
(43093,330075,2,100,'Decreases Mitigation of target vs physical damage by 299',0,3),
(43094,330075,3,100,'Inflicts 71 - 118 melee damage on target',0,0),
(43095,330075,3,100,'Inflicts 71 - 118 melee damage on target',0,1),
(43096,330075,3,100,'Inflicts 71 - 118 melee damage on target',0,2),
(43097,330075,3,100,'Decreases Mitigation of target vs physical damage by 315',0,3),
(43098,330075,4,100,'Inflicts 78 - 130 melee damage on target',0,0),
(43099,330075,4,100,'Inflicts 78 - 130 melee damage on target',0,1),
(43100,330075,4,100,'Inflicts 78 - 130 melee damage on target',0,2),
(43101,330075,4,100,'Decreases Mitigation of target vs physical damage by 347',0,3),
(43102,330075,5,100,'Inflicts 85 - 142 melee damage on target',0,0),
(43103,330075,5,100,'Inflicts 85 - 142 melee damage on target',0,1),
(43104,330075,5,100,'Inflicts 85 - 142 melee damage on target',0,2),
(43105,330075,5,100,'Decreases Mitigation of target vs physical damage by 378',0,3),
(43106,330075,7,100,'Inflicts 109 - 182 melee damage on target',0,0),
(43107,330075,7,100,'Inflicts 109 - 182 melee damage on target',0,1),
(43108,330075,7,100,'Inflicts 109 - 182 melee damage on target',0,2),
(43109,330075,7,100,'Decreases Mitigation of target vs physical damage by 485',0,3),
(43110,330075,9,100,'Inflicts 113 - 189 melee damage on target',0,0),
(43111,330075,9,100,'Inflicts 113 - 189 melee damage on target',0,1),
(43112,330075,9,100,'Inflicts 113 - 189 melee damage on target',0,2),
(43113,330075,9,100,'Decreases Mitigation of target vs physical damage by 504',0,3),
(43114,330076,1,100,'Inflicts 92 - 154 melee damage on target',0,0),
(43115,330076,1,100,'Inflicts 92 - 154 melee damage on target',0,1),
(43116,330076,1,100,'Inflicts 92 - 154 melee damage on target',0,2),
(43117,330076,1,100,'Decreases Mitigation of target vs physical damage by 378',0,3),
(43118,330076,2,100,'Inflicts 97 - 162 melee damage on target',0,0),
(43119,330076,2,100,'Inflicts 97 - 162 melee damage on target',0,1),
(43120,330076,2,100,'Inflicts 97 - 162 melee damage on target',0,2),
(43121,330076,2,100,'Decreases Mitigation of target vs physical damage by 399',0,3),
(43122,330076,3,100,'Inflicts 102 - 171 melee damage on target',0,0),
(43123,330076,3,100,'Inflicts 102 - 171 melee damage on target',0,1),
(43124,330076,3,100,'Inflicts 102 - 171 melee damage on target',0,2),
(43125,330076,3,100,'Decreases Mitigation of target vs physical damage by 420',0,3),
(43126,330076,4,100,'Inflicts 113 - 188 melee damage on target',0,0),
(43127,330076,4,100,'Inflicts 113 - 188 melee damage on target',0,1),
(43128,330076,4,100,'Inflicts 113 - 188 melee damage on target',0,2),
(43129,330076,4,100,'Decreases Mitigation of target vs physical damage by 462',0,3),
(43130,330076,5,100,'Inflicts 123 - 205 melee damage on target',0,0),
(43131,330076,5,100,'Inflicts 123 - 205 melee damage on target',0,1),
(43132,330076,5,100,'Inflicts 123 - 205 melee damage on target',0,2),
(43133,330076,5,100,'Decreases Mitigation of target vs physical damage by 504',0,3),
(43134,330076,7,100,'Inflicts 158 - 263 melee damage on target',0,0),
(43135,330076,7,100,'Inflicts 158 - 263 melee damage on target',0,1),
(43136,330076,7,100,'Inflicts 158 - 263 melee damage on target',0,2),
(43137,330076,7,100,'Decreases Mitigation of target vs physical damage by 647',0,3),
(43138,330076,9,100,'Inflicts 164 - 273 melee damage on target',0,0),
(43139,330076,9,100,'Inflicts 164 - 273 melee damage on target',0,1),
(43140,330076,9,100,'Inflicts 164 - 273 melee damage on target',0,2),
(43141,330076,9,100,'Decreases Mitigation of target vs physical damage by 672',0,3),
(43142,330077,1,100,'Inflicts 120 - 201 melee damage on target',0,0),
(43143,330077,1,100,'Inflicts 120 - 201 melee damage on target',0,1),
(43144,330077,1,100,'Inflicts 120 - 201 melee damage on target',0,2),
(43145,330077,1,100,'Decreases Mitigation of target vs physical damage by 473',0,3),
(43146,330077,2,100,'Inflicts 127 - 212 melee damage on target',0,0),
(43147,330077,2,100,'Inflicts 127 - 212 melee damage on target',0,1),
(43148,330077,2,100,'Inflicts 127 - 212 melee damage on target',0,2),
(43149,330077,2,100,'Decreases Mitigation of target vs physical damage by 499',0,3),
(43150,330077,3,100,'Inflicts 134 - 223 melee damage on target',0,0),
(43151,330077,3,100,'Inflicts 134 - 223 melee damage on target',0,1),
(43152,330077,3,100,'Inflicts 134 - 223 melee damage on target',0,2),
(43153,330077,3,100,'Decreases Mitigation of target vs physical damage by 525',0,3),
(43154,330077,4,100,'Inflicts 147 - 246 melee damage on target',0,0),
(43155,330077,4,100,'Inflicts 147 - 246 melee damage on target',0,1),
(43156,330077,4,100,'Inflicts 147 - 246 melee damage on target',0,2),
(43157,330077,4,100,'Decreases Mitigation of target vs physical damage by 578',0,3),
(43158,330077,5,100,'Inflicts 161 - 268 melee damage on target',0,0),
(43159,330077,5,100,'Inflicts 161 - 268 melee damage on target',0,1),
(43160,330077,5,100,'Inflicts 161 - 268 melee damage on target',0,2),
(43161,330077,5,100,'Decreases Mitigation of target vs physical damage by 630',0,3),
(43162,330077,7,100,'Inflicts 206 - 344 melee damage on target',0,0),
(43163,330077,7,100,'Inflicts 206 - 344 melee damage on target',0,1),
(43164,330077,7,100,'Inflicts 206 - 344 melee damage on target',0,2),
(43165,330077,7,100,'Decreases Mitigation of target vs physical damage by 809',0,3),
(43166,330077,9,100,'Inflicts 214 - 358 melee damage on target',0,0),
(43167,330077,9,100,'Inflicts 214 - 358 melee damage on target',0,1),
(43168,330077,9,100,'Inflicts 214 - 358 melee damage on target',0,2),
(43169,330077,9,100,'Decreases Mitigation of target vs physical damage by 840',0,3),
(43170,330078,1,100,'Inflicts 146 - 244 melee damage on target',0,0),
(43171,330078,1,100,'Inflicts 146 - 244 melee damage on target',0,1),
(43172,330078,1,100,'Inflicts 146 - 244 melee damage on target',0,2),
(43173,330078,1,100,'Decreases Mitigation of target vs physical damage by 617',0,3),
(43174,330078,2,100,'Inflicts 154 - 257 melee damage on target',0,0),
(43175,330078,2,100,'Inflicts 154 - 257 melee damage on target',0,1),
(43176,330078,2,100,'Inflicts 154 - 257 melee damage on target',0,2),
(43177,330078,2,100,'Decreases Mitigation of target vs physical damage by 651',0,3),
(43178,330078,3,100,'Inflicts 162 - 271 melee damage on target',0,0),
(43179,330078,3,100,'Inflicts 162 - 271 melee damage on target',0,1),
(43180,330078,3,100,'Inflicts 162 - 271 melee damage on target',0,2),
(43181,330078,3,100,'Decreases Mitigation of target vs physical damage by 686',0,3),
(43182,330078,4,100,'Inflicts 179 - 298 melee damage on target',0,0),
(43183,330078,4,100,'Inflicts 179 - 298 melee damage on target',0,1),
(43184,330078,4,100,'Inflicts 179 - 298 melee damage on target',0,2),
(43185,330078,4,100,'Decreases Mitigation of target vs physical damage by 754',0,3),
(43186,330078,5,100,'Inflicts 195 - 325 melee damage on target',0,0),
(43187,330078,5,100,'Inflicts 195 - 325 melee damage on target',0,1),
(43188,330078,5,100,'Inflicts 195 - 325 melee damage on target',0,2),
(43189,330078,5,100,'Decreases Mitigation of target vs physical damage by 823',0,3),
(43190,330078,7,100,'Inflicts 250 - 417 melee damage on target',0,0),
(43191,330078,7,100,'Inflicts 250 - 417 melee damage on target',0,1),
(43192,330078,7,100,'Inflicts 250 - 417 melee damage on target',0,2),
(43193,330078,7,100,'Decreases Mitigation of target vs physical damage by 1056',0,3),
(43194,330078,9,100,'Inflicts 260 - 434 melee damage on target',0,0),
(43195,330078,9,100,'Inflicts 260 - 434 melee damage on target',0,1),
(43196,330078,9,100,'Inflicts 260 - 434 melee damage on target',0,2),
(43197,330078,9,100,'Decreases Mitigation of target vs physical damage by 1097',0,3),
(43198,330079,1,100,'Inflicts 176 - 293 melee damage on target',0,0),
(43199,330079,1,100,'Inflicts 176 - 293 melee damage on target',0,1),
(43200,330079,1,100,'Inflicts 229 - 381 melee damage on target',0,2),
(43201,330079,1,100,'Decreases Mitigation of target vs physical damage by 729',0,3),
(43202,330079,4,100,'Inflicts 215 - 359 melee damage on target',0,0),
(43203,330079,4,100,'Inflicts 215 - 359 melee damage on target',0,1),
(43204,330079,4,100,'Inflicts 280 - 466 melee damage on target',0,2),
(43205,330079,4,100,'Decreases Mitigation of target vs physical damage by 891',0,3),
(43206,330079,5,100,'Inflicts 235 - 391 melee damage on target',0,0),
(43207,330079,5,100,'Inflicts 235 - 391 melee damage on target',0,1),
(43208,330079,5,100,'Inflicts 305 - 509 melee damage on target',0,2),
(43209,330079,5,100,'Decreases Mitigation of target vs physical damage by 972',0,3),
(43210,330079,7,100,'Inflicts 301 - 502 melee damage on target',0,0),
(43211,330079,7,100,'Inflicts 301 - 502 melee damage on target',0,1),
(43212,330079,7,100,'Inflicts 392 - 653 melee damage on target',0,2),
(43213,330079,7,100,'Decreases Mitigation of target vs physical damage by 1247',0,3),
(43214,330079,9,100,'Inflicts 313 - 522 melee damage on target',0,0),
(43215,330079,9,100,'Inflicts 313 - 522 melee damage on target',0,1),
(43216,330079,9,100,'Inflicts 407 - 679 melee damage on target',0,2),
(43217,330079,9,100,'Decreases Mitigation of target vs physical damage by 1296',0,3),
(43218,330080,1,100,'Inflicts 187 - 311 melee damage on target',0,0),
(43219,330080,1,100,'Inflicts 187 - 311 melee damage on target',0,1),
(43220,330080,1,100,'Inflicts 243 - 405 melee damage on target',0,2),
(43221,330080,1,100,'Decreases Mitigation of target vs physical damage by 810',0,3),
(43222,330080,4,100,'Inflicts 228 - 381 melee damage on target',0,0),
(43223,330080,4,100,'Inflicts 228 - 381 melee damage on target',0,1),
(43224,330080,4,100,'Inflicts 297 - 495 melee damage on target',0,2),
(43225,330080,4,100,'Decreases Mitigation of target vs physical damage by 990',0,3),
(43226,330080,5,100,'Inflicts 249 - 415 melee damage on target',0,0),
(43227,330080,5,100,'Inflicts 249 - 415 melee damage on target',0,1),
(43228,330080,5,100,'Inflicts 324 - 540 melee damage on target',0,2),
(43229,330080,5,100,'Decreases Mitigation of target vs physical damage by 1080',0,3),
(43230,330080,7,100,'Inflicts 320 - 533 melee damage on target',0,0),
(43231,330080,7,100,'Inflicts 320 - 533 melee damage on target',0,1),
(43232,330080,7,100,'Inflicts 416 - 693 melee damage on target',0,2),
(43233,330080,7,100,'Decreases Mitigation of target vs physical damage by 1386',0,3),
(43234,330080,9,100,'Inflicts 332 - 554 melee damage on target',0,0),
(43235,330080,9,100,'Inflicts 332 - 554 melee damage on target',0,1),
(43236,330080,9,100,'Inflicts 432 - 720 melee damage on target',0,2),
(43237,330080,9,100,'Decreases Mitigation of target vs physical damage by 1440',0,3),
(43238,420034,1,100,'Inflicts 69 - 115 melee damage on target',0,0),
(43239,420034,1,100,'Inflicts 69 - 115 melee damage on target',0,1),
(43240,420034,1,100,'Inflicts 69 - 115 melee damage on target',0,2),
(43241,420034,1,100,'Increases savagery of caster by 20.0',0,3),
(43242,420034,1,100,'This effect cannot be critically applied.',1,4),
(43243,50012,1,100,'Inflicts 30 - 50 crushing damage on target',0,0),
(43244,50012,2,100,'Inflicts 31 - 53 crushing damage on target',0,0),
(43245,50012,3,100,'Inflicts 33 - 55 crushing damage on target',0,0),
(43246,50012,4,100,'Inflicts 36 - 61 crushing damage on target',0,0),
(43247,50012,5,100,'Inflicts 40 - 66 crushing damage on target',0,0),
(43248,50012,7,100,'Inflicts 51 - 85 crushing damage on target',0,0),
(43249,50012,9,100,'Inflicts 53 - 89 crushing damage on target',0,0),
(43250,390047,1,100,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',0,0),
(43251,390047,1,100,'Group members (AE) will have their chance to hit with a weapon increased by 13.5%',1,1),
(43252,390047,1,100,'Increases Crushing of group members (AE) by 23.8',1,2),
(43253,390047,1,100,'Increases Piercing of group members (AE) by 23.8',1,3),
(43254,390047,1,100,'If profession other than Ranger',2,4),
(43255,390047,1,100,'Increases Slashing of group members (AE) by 23.8',1,5),
(43256,390047,1,100,'If profession other than Ranger',2,6),
(43257,390047,1,100,'Caster will have their chance to hit with a weapon increased by 4.5%',0,7),
(43258,390047,1,100,'Increases Haste of caster by 29.7',0,8),
(43259,390047,1,100,'Increases Multi Attack of caster by 34.1',0,9),
(43260,390047,1,100,'Decreases Slashing and Piercing of caster by 66.0',0,10),
(43261,390047,1,100,'Increases Ranged of caster by 23.8',0,11),
(43262,390047,2,100,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',0,0),
(43263,390047,2,100,'Group members (AE) will have their chance to hit with a weapon increased by 14.3%',1,1),
(43264,390047,2,100,'Increases Crushing of group members (AE) by 25.1',1,2),
(43265,390047,2,100,'Increases Piercing of group members (AE) by 25.1',1,3),
(43266,390047,2,100,'If profession other than Ranger',2,4),
(43267,390047,2,100,'Increases Slashing of group members (AE) by 25.1',1,5),
(43268,390047,2,100,'If profession other than Ranger',2,6),
(43269,390047,2,100,'Caster will have their chance to hit with a weapon increased by 4.7%',0,7),
(43270,390047,2,100,'Increases Haste of caster by 31.3',0,8),
(43271,390047,2,100,'Increases Multi Attack of caster by 36.0',0,9),
(43272,390047,2,100,'Decreases Slashing and Piercing of caster by 66.0',0,10),
(43273,390047,2,100,'Increases Ranged of caster by 25.1',0,11),
(43274,390047,3,100,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',0,0),
(43275,390047,3,100,'Group members (AE) will have their chance to hit with a weapon increased by 15.0%',1,1),
(43276,390047,3,100,'Increases Crushing of group members (AE) by 26.4',1,2),
(43277,390047,3,100,'Increases Piercing of group members (AE) by 26.4',1,3),
(43278,390047,3,100,'If profession other than Ranger',2,4),
(43279,390047,3,100,'Increases Slashing of group members (AE) by 26.4',1,5),
(43280,390047,3,100,'If profession other than Ranger',2,6),
(43281,390047,3,100,'Caster will have their chance to hit with a weapon increased by 5.0%',0,7),
(43282,390047,3,100,'Increases Haste of caster by 33.0',0,8),
(43283,390047,3,100,'Increases Multi Attack of caster by 37.9',0,9),
(43284,390047,3,100,'Decreases Slashing and Piercing of caster by 66.0',0,10),
(43285,390047,3,100,'Increases Ranged of caster by 26.4',0,11),
(43286,390047,4,100,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',0,0),
(43287,390047,4,100,'Group members (AE) will have their chance to hit with a weapon increased by 16.5%',1,1),
(43288,390047,4,100,'Increases Crushing of group members (AE) by 29.0',1,2),
(43289,390047,4,100,'Increases Piercing of group members (AE) by 29.0',1,3),
(43290,390047,4,100,'If profession other than Ranger',2,4),
(43291,390047,4,100,'Increases Slashing of group members (AE) by 29.0',1,5),
(43292,390047,4,100,'If profession other than Ranger',2,6),
(43293,390047,4,100,'Caster will have their chance to hit with a weapon increased by 5.5%',0,7),
(43294,390047,4,100,'Increases Haste of caster by 36.3',0,8),
(43295,390047,4,100,'Increases Multi Attack of caster by 41.7',0,9),
(43296,390047,4,100,'Decreases Slashing and Piercing of caster by 66.0',0,10),
(43297,390047,4,100,'Increases Ranged of caster by 29.0',0,11),
(43298,390047,5,100,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',0,0),
(43299,390047,5,100,'Group members (AE) will have their chance to hit with a weapon increased by 18.0%',1,1),
(43300,390047,5,100,'Increases Crushing of group members (AE) by 31.7',1,2),
(43301,390047,5,100,'Increases Piercing of group members (AE) by 31.7',1,3),
(43302,390047,5,100,'If profession other than Ranger',2,4),
(43303,390047,5,100,'Increases Slashing of group members (AE) by 31.7',1,5),
(43304,390047,5,100,'If profession other than Ranger',2,6),
(43305,390047,5,100,'Caster will have their chance to hit with a weapon increased by 6.0%',0,7),
(43306,390047,5,100,'Increases Haste of caster by 39.5',0,8),
(43307,390047,5,100,'Increases Multi Attack of caster by 45.5',0,9),
(43308,390047,5,100,'Decreases Slashing and Piercing of caster by 66.0',0,10),
(43309,390047,5,100,'Increases Ranged of caster by 31.7',0,11),
(43310,390047,7,100,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',0,0),
(43311,390047,7,100,'Group members (AE) will have their chance to hit with a weapon increased by 23.1%',1,1),
(43312,390047,7,100,'Increases Crushing of group members (AE) by 40.7',1,2),
(43313,390047,7,100,'Increases Piercing of group members (AE) by 40.7',1,3),
(43314,390047,7,100,'If profession other than Ranger',2,4),
(43315,390047,7,100,'Increases Slashing of group members (AE) by 40.7',1,5),
(43316,390047,7,100,'If profession other than Ranger',2,6),
(43317,390047,7,100,'Caster will have their chance to hit with a weapon increased by 7.7%',0,7),
(43318,390047,7,100,'Increases Haste of caster by 50.8',0,8),
(43319,390047,7,100,'Increases Multi Attack of caster by 58.4',0,9),
(43320,390047,7,100,'Decreases Slashing and Piercing of caster by 66.0',0,10),
(43321,390047,7,100,'Increases Ranged of caster by 40.7',0,11),
(43322,390047,9,100,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',0,0),
(43323,390047,9,100,'Group members (AE) will have their chance to hit with a weapon increased by 24.0%',1,1),
(43324,390047,9,100,'Increases Crushing of group members (AE) by 42.2',1,2),
(43325,390047,9,100,'Increases Piercing of group members (AE) by 42.2',1,3),
(43326,390047,9,100,'If profession other than Ranger',2,4),
(43327,390047,9,100,'Increases Slashing of group members (AE) by 42.2',1,5),
(43328,390047,9,100,'If profession other than Ranger',2,6),
(43329,390047,9,100,'Caster will have their chance to hit with a weapon increased by 8.0%',0,7),
(43330,390047,9,100,'Increases Haste of caster by 52.7',0,8),
(43331,390047,9,100,'Increases Multi Attack of caster by 60.7',0,9),
(43332,390047,9,100,'Decreases Slashing and Piercing of caster by 66.0',0,10),
(43333,390047,9,100,'Increases Ranged of caster by 42.2',0,11),
(43334,390048,1,100,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',0,0),
(43335,390048,1,100,'Group members (AE) will have their chance to hit with a weapon increased by 13.5%',1,1),
(43336,390048,1,100,'Increases Crushing of group members (AE) by 38.9',1,2),
(43337,390048,1,100,'Increases Piercing of group members (AE) by 38.9',1,3),
(43338,390048,1,100,'If profession other than Ranger',2,4),
(43339,390048,1,100,'Increases Slashing of group members (AE) by 38.9',1,5),
(43340,390048,1,100,'If profession other than Ranger',2,6),
(43341,390048,1,100,'Caster will have their chance to hit with a weapon increased by 4.5%',0,7),
(43342,390048,1,100,'Increases Haste of caster by 36.0',0,8),
(43343,390048,1,100,'Increases Multi Attack of caster by 41.4',0,9),
(43344,390048,1,100,'Decreases Slashing and Piercing of caster by 108.0',0,10),
(43345,390048,1,100,'Increases Ranged of caster by 38.9',0,11),
(43346,390048,2,100,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',0,0),
(43347,390048,2,100,'Group members (AE) will have their chance to hit with a weapon increased by 14.3%',1,1),
(43348,390048,2,100,'Increases Crushing of group members (AE) by 41.0',1,2),
(43349,390048,2,100,'Increases Piercing of group members (AE) by 41.0',1,3),
(43350,390048,2,100,'If profession other than Ranger',2,4),
(43351,390048,2,100,'Increases Slashing of group members (AE) by 41.0',1,5),
(43352,390048,2,100,'If profession other than Ranger',2,6),
(43353,390048,2,100,'Caster will have their chance to hit with a weapon increased by 4.7%',0,7),
(43354,390048,2,100,'Increases Haste of caster by 38.0',0,8),
(43355,390048,2,100,'Increases Multi Attack of caster by 43.7',0,9),
(43356,390048,2,100,'Decreases Slashing and Piercing of caster by 108.0',0,10),
(43357,390048,2,100,'Increases Ranged of caster by 41.0',0,11),
(43358,390048,3,100,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',0,0),
(43359,390048,3,100,'Group members (AE) will have their chance to hit with a weapon increased by 15.0%',1,1),
(43360,390048,3,100,'Increases Crushing of group members (AE) by 43.2',1,2),
(43361,390048,3,100,'Increases Piercing of group members (AE) by 43.2',1,3),
(43362,390048,3,100,'If profession other than Ranger',2,4),
(43363,390048,3,100,'Increases Slashing of group members (AE) by 43.2',1,5),
(43364,390048,3,100,'If profession other than Ranger',2,6),
(43365,390048,3,100,'Caster will have their chance to hit with a weapon increased by 5.0%',0,7),
(43366,390048,3,100,'Increases Haste of caster by 40.0',0,8),
(43367,390048,3,100,'Increases Multi Attack of caster by 46.0',0,9),
(43368,390048,3,100,'Decreases Slashing and Piercing of caster by 108.0',0,10),
(43369,390048,3,100,'Increases Ranged of caster by 43.2',0,11),
(43370,390048,4,100,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',0,0),
(43371,390048,4,100,'Group members (AE) will have their chance to hit with a weapon increased by 16.5%',1,1),
(43372,390048,4,100,'Increases Crushing of group members (AE) by 47.5',1,2),
(43373,390048,4,100,'Increases Piercing of group members (AE) by 47.5',1,3),
(43374,390048,4,100,'If profession other than Ranger',2,4),
(43375,390048,4,100,'Increases Slashing of group members (AE) by 47.5',1,5),
(43376,390048,4,100,'If profession other than Ranger',2,6),
(43377,390048,4,100,'Caster will have their chance to hit with a weapon increased by 5.5%',0,7),
(43378,390048,4,100,'Increases Haste of caster by 44.0',0,8),
(43379,390048,4,100,'Increases Multi Attack of caster by 50.6',0,9),
(43380,390048,4,100,'Decreases Slashing and Piercing of caster by 108.0',0,10),
(43381,390048,4,100,'Increases Ranged of caster by 47.5',0,11),
(43382,390048,5,100,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',0,0),
(43383,390048,5,100,'Group members (AE) will have their chance to hit with a weapon increased by 18.0%',1,1),
(43384,390048,5,100,'Increases Crushing of group members (AE) by 51.8',1,2),
(43385,390048,5,100,'Increases Piercing of group members (AE) by 51.8',1,3),
(43386,390048,5,100,'If profession other than Ranger',2,4),
(43387,390048,5,100,'Increases Slashing of group members (AE) by 51.8',1,5),
(43388,390048,5,100,'If profession other than Ranger',2,6),
(43389,390048,5,100,'Caster will have their chance to hit with a weapon increased by 6.0%',0,7),
(43390,390048,5,100,'Increases Haste of caster by 48.0',0,8),
(43391,390048,5,100,'Increases Multi Attack of caster by 55.2',0,9),
(43392,390048,5,100,'Decreases Slashing and Piercing of caster by 108.0',0,10),
(43393,390048,5,100,'Increases Ranged of caster by 51.8',0,11),
(43394,390048,7,100,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',0,0),
(43395,390048,7,100,'Group members (AE) will have their chance to hit with a weapon increased by 23.1%',1,1),
(43396,390048,7,100,'Increases Crushing of group members (AE) by 66.5',1,2),
(43397,390048,7,100,'Increases Piercing of group members (AE) by 66.5',1,3),
(43398,390048,7,100,'If profession other than Ranger',2,4),
(43399,390048,7,100,'Increases Slashing of group members (AE) by 66.5',1,5),
(43400,390048,7,100,'If profession other than Ranger',2,6),
(43401,390048,7,100,'Caster will have their chance to hit with a weapon increased by 7.7%',0,7),
(43402,390048,7,100,'Increases Haste of caster by 61.6',0,8),
(43403,390048,7,100,'Increases Multi Attack of caster by 70.8',0,9),
(43404,390048,7,100,'Decreases Slashing and Piercing of caster by 108.0',0,10),
(43405,390048,7,100,'Increases Ranged of caster by 66.5',0,11),
(43406,390048,9,100,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',0,0),
(43407,390048,9,100,'Group members (AE) will have their chance to hit with a weapon increased by 24.0%',1,1),
(43408,390048,9,100,'Increases Crushing of group members (AE) by 69.1',1,2),
(43409,390048,9,100,'Increases Piercing of group members (AE) by 69.1',1,3),
(43410,390048,9,100,'If profession other than Ranger',2,4),
(43411,390048,9,100,'Increases Slashing of group members (AE) by 69.1',1,5),
(43412,390048,9,100,'If profession other than Ranger',2,6),
(43413,390048,9,100,'Caster will have their chance to hit with a weapon increased by 8.0%',0,7),
(43414,390048,9,100,'Increases Haste of caster by 64.0',0,8),
(43415,390048,9,100,'Increases Multi Attack of caster by 73.6',0,9),
(43416,390048,9,100,'Decreases Slashing and Piercing of caster by 108.0',0,10),
(43417,390048,9,100,'Increases Ranged of caster by 69.1',0,11),
(43418,390049,1,100,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',0,0),
(43419,390049,1,100,'Group members (AE) will have their chance to hit with a weapon increased by 13.5%',1,1),
(43420,390049,1,100,'Increases Crushing of group members (AE) by 54.0',1,2),
(43421,390049,1,100,'Increases Piercing of group members (AE) by 54.0',1,3),
(43422,390049,1,100,'If profession other than Ranger',2,4),
(43423,390049,1,100,'Increases Slashing of group members (AE) by 54.0',1,5),
(43424,390049,1,100,'If profession other than Ranger',2,6),
(43425,390049,1,100,'Caster will have their chance to hit with a weapon increased by 4.5%',0,7),
(43426,390049,1,100,'Increases Haste of caster by 42.3',0,8),
(43427,390049,1,100,'Increases Multi Attack of caster by 48.6',0,9),
(43428,390049,1,100,'Decreases Slashing and Piercing of caster by 150.0',0,10),
(43429,390049,1,100,'Increases Ranged of caster by 54.0',0,11),
(43430,390049,2,100,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',0,0),
(43431,390049,2,100,'Group members (AE) will have their chance to hit with a weapon increased by 14.3%',1,1),
(43432,390049,2,100,'Increases Crushing of group members (AE) by 57.0',1,2),
(43433,390049,2,100,'Increases Piercing of group members (AE) by 57.0',1,3),
(43434,390049,2,100,'If profession other than Ranger',2,4),
(43435,390049,2,100,'Increases Slashing of group members (AE) by 57.0',1,5),
(43436,390049,2,100,'If profession other than Ranger',2,6),
(43437,390049,2,100,'Caster will have their chance to hit with a weapon increased by 4.7%',0,7),
(43438,390049,2,100,'Increases Haste of caster by 44.6',0,8),
(43439,390049,2,100,'Increases Multi Attack of caster by 51.3',0,9),
(43440,390049,2,100,'Decreases Slashing and Piercing of caster by 150.0',0,10),
(43441,390049,2,100,'Increases Ranged of caster by 57.0',0,11),
(43442,390049,3,100,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',0,0),
(43443,390049,3,100,'Group members (AE) will have their chance to hit with a weapon increased by 15.0%',1,1),
(43444,390049,3,100,'Increases Crushing of group members (AE) by 60.0',1,2),
(43445,390049,3,100,'Increases Piercing of group members (AE) by 60.0',1,3),
(43446,390049,3,100,'If profession other than Ranger',2,4),
(43447,390049,3,100,'Increases Slashing of group members (AE) by 60.0',1,5),
(43448,390049,3,100,'If profession other than Ranger',2,6),
(43449,390049,3,100,'Caster will have their chance to hit with a weapon increased by 5.0%',0,7),
(43450,390049,3,100,'Increases Haste of caster by 46.9',0,8),
(43451,390049,3,100,'Increases Multi Attack of caster by 54.0',0,9),
(43452,390049,3,100,'Decreases Slashing and Piercing of caster by 150.0',0,10),
(43453,390049,3,100,'Increases Ranged of caster by 60.0',0,11),
(43454,390049,4,100,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',0,0),
(43455,390049,4,100,'Group members (AE) will have their chance to hit with a weapon increased by 16.5%',1,1),
(43456,390049,4,100,'Increases Crushing of group members (AE) by 66.0',1,2),
(43457,390049,4,100,'Increases Piercing of group members (AE) by 66.0',1,3),
(43458,390049,4,100,'If profession other than Ranger',2,4),
(43459,390049,4,100,'Increases Slashing of group members (AE) by 66.0',1,5),
(43460,390049,4,100,'If profession other than Ranger',2,6),
(43461,390049,4,100,'Caster will have their chance to hit with a weapon increased by 5.5%',0,7),
(43462,390049,4,100,'Increases Haste of caster by 51.6',0,8),
(43463,390049,4,100,'Increases Multi Attack of caster by 59.4',0,9),
(43464,390049,4,100,'Decreases Slashing and Piercing of caster by 150.0',0,10),
(43465,390049,4,100,'Increases Ranged of caster by 66.0',0,11),
(43466,390049,5,100,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',0,0),
(43467,390049,5,100,'Group members (AE) will have their chance to hit with a weapon increased by 18.0%',1,1),
(43468,390049,5,100,'Increases Crushing of group members (AE) by 72.0',1,2),
(43469,390049,5,100,'Increases Piercing of group members (AE) by 72.0',1,3),
(43470,390049,5,100,'If profession other than Ranger',2,4),
(43471,390049,5,100,'Increases Slashing of group members (AE) by 72.0',1,5),
(43472,390049,5,100,'If profession other than Ranger',2,6),
(43473,390049,5,100,'Caster will have their chance to hit with a weapon increased by 6.0%',0,7),
(43474,390049,5,100,'Increases Haste of caster by 56.3',0,8),
(43475,390049,5,100,'Increases Multi Attack of caster by 64.8',0,9),
(43476,390049,5,100,'Decreases Slashing and Piercing of caster by 150.0',0,10),
(43477,390049,5,100,'Increases Ranged of caster by 72.0',0,11),
(43478,390049,7,100,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',0,0),
(43479,390049,7,100,'Group members (AE) will have their chance to hit with a weapon increased by 23.1%',1,1),
(43480,390049,7,100,'Increases Crushing of group members (AE) by 92.4',1,2),
(43481,390049,7,100,'Increases Piercing of group members (AE) by 92.4',1,3),
(43482,390049,7,100,'If profession other than Ranger',2,4),
(43483,390049,7,100,'Increases Slashing of group members (AE) by 92.4',1,5),
(43484,390049,7,100,'If profession other than Ranger',2,6),
(43485,390049,7,100,'Caster will have their chance to hit with a weapon increased by 7.7%',0,7),
(43486,390049,7,100,'Increases Haste of caster by 72.3',0,8),
(43487,390049,7,100,'Increases Multi Attack of caster by 83.2',0,9),
(43488,390049,7,100,'Decreases Slashing and Piercing of caster by 150.0',0,10),
(43489,390049,7,100,'Increases Ranged of caster by 92.4',0,11),
(43490,390049,9,100,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',0,0),
(43491,390049,9,100,'Group members (AE) will have their chance to hit with a weapon increased by 24.0%',1,1),
(43492,390049,9,100,'Increases Crushing of group members (AE) by 96.0',1,2),
(43493,390049,9,100,'Increases Piercing of group members (AE) by 96.0',1,3),
(43494,390049,9,100,'If profession other than Ranger',2,4),
(43495,390049,9,100,'Increases Slashing of group members (AE) by 96.0',1,5),
(43496,390049,9,100,'If profession other than Ranger',2,6),
(43497,390049,9,100,'Caster will have their chance to hit with a weapon increased by 8.0%',0,7),
(43498,390049,9,100,'Increases Haste of caster by 75.1',0,8),
(43499,390049,9,100,'Increases Multi Attack of caster by 86.4',0,9),
(43500,390049,9,100,'Decreases Slashing and Piercing of caster by 150.0',0,10),
(43501,390049,9,100,'Increases Ranged of caster by 96.0',0,11),
(43502,390050,1,100,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',0,0),
(43503,390050,1,100,'Group members (AE) will have their chance to hit with a weapon increased by 13.5%',1,1),
(43504,390050,1,100,'Increases Crushing of group members (AE) by 69.1',1,2),
(43505,390050,1,100,'Increases Piercing of group members (AE) by 69.1',1,3),
(43506,390050,1,100,'If profession other than Ranger',2,4),
(43507,390050,1,100,'Increases Slashing of group members (AE) by 69.1',1,5),
(43508,390050,1,100,'If profession other than Ranger',2,6),
(43509,390050,1,100,'Caster will have their chance to hit with a weapon increased by 4.5%',0,7),
(43510,390050,1,100,'Increases Haste of caster by 48.4',0,8),
(43511,390050,1,100,'Increases Multi Attack of caster by 56.2',0,9),
(43512,390050,1,100,'Decreases Slashing and Piercing of caster by 192.0',0,10),
(43513,390050,1,100,'Increases Ranged of caster by 69.1',0,11),
(43514,390050,2,100,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',0,0),
(43515,390050,2,100,'Group members (AE) will have their chance to hit with a weapon increased by 14.3%',1,1),
(43516,390050,2,100,'Increases Crushing of group members (AE) by 73.0',1,2),
(43517,390050,2,100,'Increases Piercing of group members (AE) by 73.0',1,3),
(43518,390050,2,100,'If profession other than Ranger',2,4),
(43519,390050,2,100,'Increases Slashing of group members (AE) by 73.0',1,5),
(43520,390050,2,100,'If profession other than Ranger',2,6),
(43521,390050,2,100,'Caster will have their chance to hit with a weapon increased by 4.7%',0,7),
(43522,390050,2,100,'Increases Haste of caster by 51.1',0,8),
(43523,390050,2,100,'Increases Multi Attack of caster by 59.3',0,9),
(43524,390050,2,100,'Decreases Slashing and Piercing of caster by 192.0',0,10),
(43525,390050,2,100,'Increases Ranged of caster by 73.0',0,11),
(43526,390050,3,100,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',0,0),
(43527,390050,3,100,'Group members (AE) will have their chance to hit with a weapon increased by 15.0%',1,1),
(43528,390050,3,100,'Increases Crushing of group members (AE) by 76.8',1,2),
(43529,390050,3,100,'Increases Piercing of group members (AE) by 76.8',1,3),
(43530,390050,3,100,'If profession other than Ranger',2,4),
(43531,390050,3,100,'Increases Slashing of group members (AE) by 76.8',1,5),
(43532,390050,3,100,'If profession other than Ranger',2,6),
(43533,390050,3,100,'Caster will have their chance to hit with a weapon increased by 5.0%',0,7),
(43534,390050,3,100,'Increases Haste of caster by 53.8',0,8),
(43535,390050,3,100,'Increases Multi Attack of caster by 62.4',0,9),
(43536,390050,3,100,'Decreases Slashing and Piercing of caster by 192.0',0,10),
(43537,390050,3,100,'Increases Ranged of caster by 76.8',0,11),
(43538,390050,4,100,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',0,0),
(43539,390050,4,100,'Group members (AE) will have their chance to hit with a weapon increased by 16.5%',1,1),
(43540,390050,4,100,'Increases Crushing of group members (AE) by 84.5',1,2),
(43541,390050,4,100,'Increases Piercing of group members (AE) by 84.5',1,3),
(43542,390050,4,100,'If profession other than Ranger',2,4),
(43543,390050,4,100,'Increases Slashing of group members (AE) by 84.5',1,5),
(43544,390050,4,100,'If profession other than Ranger',2,6),
(43545,390050,4,100,'Caster will have their chance to hit with a weapon increased by 5.5%',0,7),
(43546,390050,4,100,'Increases Haste of caster by 59.1',0,8),
(43547,390050,4,100,'Increases Multi Attack of caster by 68.6',0,9),
(43548,390050,4,100,'Decreases Slashing and Piercing of caster by 192.0',0,10),
(43549,390050,4,100,'Increases Ranged of caster by 84.5',0,11),
(43550,390050,5,100,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',0,0),
(43551,390050,5,100,'Group members (AE) will have their chance to hit with a weapon increased by 18.0%',1,1),
(43552,390050,5,100,'Increases Crushing of group members (AE) by 92.2',1,2),
(43553,390050,5,100,'Increases Piercing of group members (AE) by 92.2',1,3),
(43554,390050,5,100,'If profession other than Ranger',2,4),
(43555,390050,5,100,'Increases Slashing of group members (AE) by 92.2',1,5),
(43556,390050,5,100,'If profession other than Ranger',2,6),
(43557,390050,5,100,'Caster will have their chance to hit with a weapon increased by 6.0%',0,7),
(43558,390050,5,100,'Increases Haste of caster by 64.5',0,8),
(43559,390050,5,100,'Increases Multi Attack of caster by 74.9',0,9),
(43560,390050,5,100,'Decreases Slashing and Piercing of caster by 192.0',0,10),
(43561,390050,5,100,'Increases Ranged of caster by 92.2',0,11),
(43562,390050,7,100,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',0,0),
(43563,390050,7,100,'Group members (AE) will have their chance to hit with a weapon increased by 23.1%',1,1),
(43564,390050,7,100,'Increases Crushing of group members (AE) by 118.3',1,2),
(43565,390050,7,100,'Increases Piercing of group members (AE) by 118.3',1,3),
(43566,390050,7,100,'If profession other than Ranger',2,4),
(43567,390050,7,100,'Increases Slashing of group members (AE) by 118.3',1,5),
(43568,390050,7,100,'If profession other than Ranger',2,6),
(43569,390050,7,100,'Caster will have their chance to hit with a weapon increased by 7.7%',0,7),
(43570,390050,7,100,'Increases Haste of caster by 82.8',0,8),
(43571,390050,7,100,'Increases Multi Attack of caster by 96.1',0,9),
(43572,390050,7,100,'Decreases Slashing and Piercing of caster by 192.0',0,10),
(43573,390050,7,100,'Increases Ranged of caster by 118.3',0,11),
(43574,390050,9,100,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',0,0),
(43575,390050,9,100,'Group members (AE) will have their chance to hit with a weapon increased by 24.0%',1,1),
(43576,390050,9,100,'Increases Crushing of group members (AE) by 122.9',1,2),
(43577,390050,9,100,'Increases Piercing of group members (AE) by 122.9',1,3),
(43578,390050,9,100,'If profession other than Ranger',2,4),
(43579,390050,9,100,'Increases Slashing of group members (AE) by 122.9',1,5),
(43580,390050,9,100,'If profession other than Ranger',2,6),
(43581,390050,9,100,'Caster will have their chance to hit with a weapon increased by 8.0%',0,7),
(43582,390050,9,100,'Increases Haste of caster by 86.0',0,8),
(43583,390050,9,100,'Increases Multi Attack of caster by 99.8',0,9),
(43584,390050,9,100,'Decreases Slashing and Piercing of caster by 192.0',0,10),
(43585,390050,9,100,'Increases Ranged of caster by 122.9',0,11),
(43586,390050,10,100,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',0,0),
(43587,390050,10,100,'Group members (AE) will have their chance to hit with a weapon increased by 25.2%',1,1),
(43588,390050,10,100,'Increases Crushing of group members (AE) by 129.0',1,2),
(43589,390050,10,100,'Increases Piercing of group members (AE) by 129.0',1,3),
(43590,390050,10,100,'If profession other than Ranger',2,4),
(43591,390050,10,100,'Increases Slashing of group members (AE) by 129.0',1,5),
(43592,390050,10,100,'If profession other than Ranger',2,6),
(43593,390050,10,100,'Caster will have their chance to hit with a weapon increased by 8.4%',0,7),
(43594,390050,10,100,'Increases Haste of caster by 90.3',0,8),
(43595,390050,10,100,'Increases Multi Attack of caster by 104.8',0,9),
(43596,390050,10,100,'Decreases Slashing and Piercing of caster by 192.0',0,10),
(43597,390050,10,100,'Increases Ranged of caster by 129.0',0,11),
(43598,2000114,1,100,'Increases the potency of Healing Arrow and Healing Barrage''s damage by 500%',0,0),
(43599,2000114,1,100,'Reduces the potency of Healing Arrow and Healing Barrage''s heal by 100%',0,1),
(43600,30066,10,100,'Grants a 50% chance to instantly recast any single target offensive Combat Art the guardian uses.',0,0),
(43601,30066,10,100,'Improves base auto-attack multiplier of caster by 0.15. Does not apply to spell weapons.',0,1),
(43602,30066,10,100,'Disables the caster''s ability to AE Auto Attack',0,2),
(43603,30066,10,100,'Converts the caster''s AE Auto Attack Chance to Flurry',0,3),
(43604,50013,1,100,'Inflicts 25 - 42 melee damage on target',0,0),
(43605,50013,2,100,'Inflicts 26 - 44 melee damage on target',0,0),
(43606,50013,3,100,'Inflicts 28 - 46 melee damage on target',0,0),
(43607,50013,4,100,'Inflicts 31 - 51 melee damage on target',0,0),
(43608,50013,5,100,'Inflicts 33 - 56 melee damage on target',0,0),
(43609,50013,7,100,'Inflicts 43 - 72 melee damage on target',0,0),
(43610,50013,9,100,'Inflicts 45 - 75 melee damage on target',0,0),
(43611,20004,1,100,'Inflicts 22 - 38 melee damage on target',0,0),
(43612,20004,2,100,'Inflicts 24 - 40 melee damage on target',0,0),
(43613,20004,3,100,'Inflicts 25 - 42 melee damage on target',0,0),
(43614,20004,4,100,'Inflicts 27 - 46 melee damage on target',0,0),
(43615,20004,5,100,'Inflicts 30 - 50 melee damage on target',0,0),
(43616,20004,7,100,'Inflicts 39 - 65 melee damage on target',0,0),
(43617,20004,9,100,'Inflicts 40 - 67 melee damage on target',0,0),
(43618,30067,1,100,'Increases STR of caster by 11.9',0,0),
(43619,30067,1,100,'Decreases Defense of caster by 1.8',0,1),
(43620,30067,1,100,'Increases Slashing, Piercing and Crushing of caster by 2.4',0,2),
(43621,30067,2,100,'Increases STR of caster by 12.5',0,0),
(43622,30067,2,100,'Decreases Defense of caster by 1.8',0,1),
(43623,30067,2,100,'Increases Slashing, Piercing and Crushing of caster by 2.6',0,2),
(43624,30067,3,100,'Increases STR of caster by 13.2',0,0),
(43625,30067,3,100,'Decreases Defense of caster by 1.8',0,1),
(43626,30067,3,100,'Increases Slashing, Piercing and Crushing of caster by 2.7',0,2),
(43627,30067,4,100,'Increases STR of caster by 14.5',0,0),
(43628,30067,4,100,'Decreases Defense of caster by 1.8',0,1),
(43629,30067,4,100,'Increases Slashing, Piercing and Crushing of caster by 3.0',0,2),
(43630,30067,5,100,'Increases STR of caster by 15.8',0,0),
(43631,30067,5,100,'Decreases Defense of caster by 1.8',0,1),
(43632,30067,5,100,'Increases Slashing, Piercing and Crushing of caster by 3.2',0,2),
(43633,30067,7,100,'Increases STR of caster by 20.3',0,0),
(43634,30067,7,100,'Decreases Defense of caster by 1.8',0,1),
(43635,30067,7,100,'Increases Slashing, Piercing and Crushing of caster by 4.2',0,2),
(43636,30067,9,100,'Increases STR of caster by 21.1',0,0),
(43637,30067,9,100,'Decreases Defense of caster by 1.8',0,1),
(43638,30067,9,100,'Increases Slashing, Piercing and Crushing of caster by 4.3',0,2),
(43639,30068,1,100,'Increases STR of caster by 23.8',0,0),
(43640,30068,1,100,'Decreases Defense of caster by 4.8',0,1),
(43641,30068,1,100,'Increases Slashing, Piercing and Crushing of caster by 6.5',0,2),
(43642,30068,2,100,'Increases STR of caster by 25.1',0,0),
(43643,30068,2,100,'Decreases Defense of caster by 4.8',0,1),
(43644,30068,2,100,'Increases Slashing, Piercing and Crushing of caster by 6.8',0,2),
(43645,30068,3,100,'Increases STR of caster by 26.4',0,0),
(43646,30068,3,100,'Decreases Defense of caster by 4.8',0,1),
(43647,30068,3,100,'Increases Slashing, Piercing and Crushing of caster by 7.2',0,2),
(43649,30068,4,100,'Decreases Defense of caster by 4.8',0,1),
(43650,30068,4,100,'Increases Slashing, Piercing and Crushing of caster by 7.9',0,2),
(43651,30068,5,100,'Increases STR of caster by 31.7',0,0),
(43652,30068,5,100,'Decreases Defense of caster by 4.8',0,1),
(43653,30068,5,100,'Increases Slashing, Piercing and Crushing of caster by 8.6',0,2),
(43654,30068,7,100,'Increases STR of caster by 40.7',0,0),
(43655,30068,7,100,'Decreases Defense of caster by 4.8',0,1),
(43656,30068,7,100,'Increases Slashing, Piercing and Crushing of caster by 11.1',0,2),
(43657,30068,9,100,'Increases STR of caster by 42.2',0,0),
(43658,30068,9,100,'Decreases Defense of caster by 4.8',0,1),
(43659,30068,9,100,'Increases Slashing, Piercing and Crushing of caster by 11.5',0,2),
(43660,30069,1,100,'Increases STR of caster by 41.4',0,0),
(43661,30069,1,100,'Decreases Defense of caster by 9.0',0,1),
(43662,30069,1,100,'Increases Slashing, Piercing and Crushing of caster by 12.1',0,2),
(43663,30069,2,100,'Increases STR of caster by 43.7',0,0),
(43664,30069,2,100,'Decreases Defense of caster by 9.0',0,1),
(43665,30069,2,100,'Increases Slashing, Piercing and Crushing of caster by 12.8',0,2),
(43666,30069,3,100,'Increases STR of caster by 46.0',0,0),
(43667,30069,3,100,'Decreases Defense of caster by 9.0',0,1),
(43668,30069,3,100,'Increases Slashing, Piercing and Crushing of caster by 13.5',0,2),
(43669,30069,4,100,'Increases STR of caster by 50.6',0,0),
(43670,30069,4,100,'Decreases Defense of caster by 9.0',0,1),
(43671,30069,4,100,'Increases Slashing, Piercing and Crushing of caster by 14.9',0,2),
(43672,30069,5,100,'Increases STR of caster by 55.2',0,0),
(43673,30069,5,100,'Decreases Defense of caster by 9.0',0,1),
(43674,30069,5,100,'Increases Slashing, Piercing and Crushing of caster by 16.2',0,2),
(43675,30069,7,100,'Increases STR of caster by 70.8',0,0),
(43676,30069,7,100,'Decreases Defense of caster by 9.0',0,1),
(43677,30069,7,100,'Increases Slashing, Piercing and Crushing of caster by 20.8',0,2),
(43678,30069,9,100,'Increases STR of caster by 73.6',0,0),
(43679,30069,9,100,'Decreases Defense of caster by 9.0',0,1),
(43680,30069,9,100,'Increases Slashing, Piercing and Crushing of caster by 21.6',0,2),
(43681,30070,1,100,'Increases STR of caster by 61.6',0,0),
(43682,30070,1,100,'Decreases Defense of caster by 13.2',0,1),
(43683,30070,1,100,'Increases Slashing, Piercing and Crushing of caster by 17.8',0,2),
(43684,30070,2,100,'Increases STR of caster by 65.0',0,0),
(43685,30070,2,100,'Decreases Defense of caster by 13.2',0,1),
(43686,30070,2,100,'Increases Slashing, Piercing and Crushing of caster by 18.8',0,2),
(43687,30070,3,100,'Increases STR of caster by 68.4',0,0),
(43688,30070,3,100,'Decreases Defense of caster by 13.2',0,1),
(43689,30070,3,100,'Increases Slashing, Piercing and Crushing of caster by 19.8',0,2),
(43690,30070,4,100,'Increases STR of caster by 75.2',0,0),
(43691,30070,4,100,'Decreases Defense of caster by 13.2',0,1),
(43692,30070,4,100,'Increases Slashing, Piercing and Crushing of caster by 21.8',0,2),
(43693,30070,5,100,'Increases STR of caster by 82.1',0,0),
(43694,30070,5,100,'Decreases Defense of caster by 13.2',0,1),
(43695,30070,5,100,'Increases Slashing, Piercing and Crushing of caster by 23.8',0,2),
(43696,30070,7,100,'Increases STR of caster by 105.3',0,0),
(43697,30070,7,100,'Decreases Defense of caster by 13.2',0,1),
(43698,30070,7,100,'Increases Slashing, Piercing and Crushing of caster by 30.5',0,2),
(43699,30070,9,100,'Increases STR of caster by 109.4',0,0),
(43700,30070,9,100,'Decreases Defense of caster by 13.2',0,1),
(43701,30070,9,100,'Increases Slashing, Piercing and Crushing of caster by 31.7',0,2),
(43702,30071,1,100,'Increases STR of caster by 81.7',0,0),
(43703,30071,1,100,'Decreases Defense of caster by 17.4',0,1),
(43704,30071,1,100,'Increases Slashing, Piercing and Crushing of caster by 23.5',0,2),
(43705,30071,2,100,'Increases STR of caster by 86.3',0,0),
(43706,30071,2,100,'Decreases Defense of caster by 17.4',0,1),
(43707,30071,2,100,'Increases Slashing, Piercing and Crushing of caster by 24.8',0,2),
(43708,30071,3,100,'Increases STR of caster by 90.8',0,0),
(43709,30071,3,100,'Decreases Defense of caster by 17.4',0,1),
(43710,30071,3,100,'Increases Slashing, Piercing and Crushing of caster by 26.1',0,2),
(43711,30071,4,100,'Increases STR of caster by 99.9',0,0),
(43712,30071,4,100,'Decreases Defense of caster by 17.4',0,1),
(43713,30071,4,100,'Increases Slashing, Piercing and Crushing of caster by 28.7',0,2),
(43714,30071,5,100,'Increases STR of caster by 109.0',0,0),
(43715,30071,5,100,'Decreases Defense of caster by 17.4',0,1),
(43716,30071,5,100,'Increases Slashing, Piercing and Crushing of caster by 31.3',0,2),
(43717,30071,7,100,'Increases STR of caster by 139.8',0,0),
(43718,30071,7,100,'Decreases Defense of caster by 17.4',0,1),
(43719,30071,7,100,'Increases Slashing, Piercing and Crushing of caster by 40.2',0,2),
(43720,30071,9,100,'Increases STR of caster by 145.3',0,0),
(43721,30071,9,100,'Decreases Defense of caster by 17.4',0,1),
(43722,30071,9,100,'Increases Slashing, Piercing and Crushing of caster by 41.8',0,2),
(43723,30072,1,100,'Increases STR of caster by 103.0',0,0),
(43724,30072,1,100,'Decreases Defense of caster by 21.8',0,1),
(43725,30072,1,100,'Increases Slashing, Piercing and Crushing of caster by 29.4',0,2),
(43726,30072,2,100,'Increases STR of caster by 108.7',0,0),
(43727,30072,2,100,'Decreases Defense of caster by 21.8',0,1),
(43728,30072,2,100,'Increases Slashing, Piercing and Crushing of caster by 31.1',0,2),
(43729,30072,3,100,'Increases STR of caster by 114.4',0,0),
(43730,30072,3,100,'Decreases Defense of caster by 21.8',0,1),
(43731,30072,3,100,'Increases Slashing, Piercing and Crushing of caster by 32.7',0,2),
(43732,30072,4,100,'Increases STR of caster by 125.8',0,0),
(43733,30072,4,100,'Decreases Defense of caster by 21.8',0,1),
(43734,30072,4,100,'Increases Slashing, Piercing and Crushing of caster by 36.0',0,2),
(43735,30072,5,100,'Increases STR of caster by 137.3',0,0),
(43736,30072,5,100,'Decreases Defense of caster by 21.8',0,1),
(43737,30072,5,100,'Increases Slashing, Piercing and Crushing of caster by 39.2',0,2),
(43738,30072,7,100,'Increases STR of caster by 176.2',0,0),
(43739,30072,7,100,'Decreases Defense of caster by 21.8',0,1),
(43740,30072,7,100,'Increases Slashing, Piercing and Crushing of caster by 50.4',0,2),
(43741,30072,9,100,'Increases STR of caster by 183.0',0,0),
(43742,30072,9,100,'Decreases Defense of caster by 21.8',0,1),
(43743,30072,9,100,'Increases Slashing, Piercing and Crushing of caster by 52.3',0,2),
(43744,30073,1,100,'Increases STR of caster by 122.8',0,0),
(43745,30073,1,100,'Decreases Defense of caster by 25.8',0,1),
(43746,30073,1,100,'Increases Slashing, Piercing and Crushing of caster by 35.1',0,2),
(43747,30073,4,100,'Increases STR of caster by 150.0',0,0),
(43748,30073,4,100,'Decreases Defense of caster by 25.8',0,1),
(43749,30073,4,100,'Increases Slashing, Piercing and Crushing of caster by 42.9',0,2),
(43750,30073,5,100,'Increases STR of caster by 163.7',0,0),
(43751,30073,5,100,'Decreases Defense of caster by 25.8',0,1),
(43752,30073,5,100,'Increases Slashing, Piercing and Crushing of caster by 46.8',0,2),
(43753,30073,7,100,'Increases STR of caster by 210.1',0,0),
(43754,30073,7,100,'Decreases Defense of caster by 25.8',0,1),
(43755,30073,7,100,'Increases Slashing, Piercing and Crushing of caster by 60.1',0,2),
(43756,30073,9,100,'Increases STR of caster by 218.2',0,0),
(43757,30073,9,100,'Decreases Defense of caster by 25.8',0,1),
(43758,30073,9,100,'Increases Slashing, Piercing and Crushing of caster by 62.4',0,2),
(43759,30074,1,100,'Increases STR of caster by 142.6',0,0),
(43760,30074,1,100,'Increases Potency of caster by 1.4%',0,1),
(43761,30074,1,100,'Decreases Defense of caster by 29.8',0,2),
(43762,30074,4,100,'Increases STR of caster by 174.2',0,0),
(43763,30074,4,100,'Increases Potency of caster by 1.8%',0,1),
(43764,30074,4,100,'Decreases Defense of caster by 29.8',0,2),
(43765,30074,5,100,'Increases STR of caster by 190.1',0,0),
(43766,30074,5,100,'Increases Potency of caster by 1.9%',0,1),
(43767,30074,5,100,'Decreases Defense of caster by 29.8',0,2),
(43768,30074,7,100,'Increases STR of caster by 243.9',0,0),
(43769,30074,7,100,'Increases Potency of caster by 2.5%',0,1),
(43770,30074,7,100,'Decreases Defense of caster by 29.8',0,2),
(43771,30074,9,100,'Increases STR of caster by 253.4',0,0),
(43772,30074,9,100,'Increases Potency of caster by 2.6%',0,1),
(43773,30074,9,100,'Decreases Defense of caster by 29.8',0,2),
(43774,2000115,3,100,'Heals group members (AE) for 5 - 8',0,0),
(43775,2000115,4,100,'Heals group members (AE) for 5 - 8',0,0),
(43776,2000115,5,100,'Heals group members (AE) for 5 - 9',0,0),
(43777,2000115,7,100,'Heals group members (AE) for 6 - 11',0,0),
(43778,2000115,9,100,'Heals group members (AE) for 7 - 12',0,0),
(43779,2000115,10,100,'Heals group members (AE) for 8 - 13',0,0),
(43780,40101,1,100,'Inflicts 45 - 136 melee damage on target',0,0),
(43781,40101,1,100,'Inflicts 56 - 170 melee damage on target',0,1),
(43782,40101,1,100,'Inflicts 68 - 204 melee damage on target',0,2),
(43783,40101,2,100,'Inflicts 47 - 143 melee damage on target',0,0),
(43784,40101,2,100,'Inflicts 59 - 179 melee damage on target',0,1),
(43785,40101,2,100,'Inflicts 71 - 215 melee damage on target',0,2),
(43786,40101,3,100,'Inflicts 50 - 151 melee damage on target',0,0),
(43787,40101,3,100,'Inflicts 63 - 189 melee damage on target',0,1),
(43788,40101,3,100,'Inflicts 75 - 227 melee damage on target',0,2),
(43789,40101,4,100,'Inflicts 55 - 166 melee damage on target',0,0),
(43790,40101,4,100,'Inflicts 69 - 208 melee damage on target',0,1),
(43791,40101,4,100,'Inflicts 83 - 249 melee damage on target',0,2),
(43792,40101,5,100,'Inflicts 60 - 181 melee damage on target',0,0),
(43793,40101,5,100,'Inflicts 75 - 227 melee damage on target',0,1),
(43794,40101,5,100,'Inflicts 90 - 272 melee damage on target',0,2),
(43795,40101,7,100,'Inflicts 77 - 233 melee damage on target',0,0),
(43796,40101,7,100,'Inflicts 97 - 291 melee damage on target',0,1),
(43797,40101,7,100,'Inflicts 116 - 349 melee damage on target',0,2),
(43798,40101,9,100,'Inflicts 80 - 242 melee damage on target',0,0),
(43799,40101,9,100,'Inflicts 100 - 302 melee damage on target',0,1),
(43800,40101,9,100,'Inflicts 121 - 363 melee damage on target',0,2),
(43801,40101,10,100,'Inflicts 84 - 254 melee damage on target',0,0),
(43802,40101,10,100,'Inflicts 105 - 317 melee damage on target',0,1),
(43803,40101,10,100,'Inflicts 127 - 381 melee damage on target',0,2),
(43804,40102,1,100,'Inflicts 64 - 193 melee damage on target',0,0),
(43805,40102,1,100,'Inflicts 80 - 241 melee damage on target',0,1),
(43806,40102,1,100,'Inflicts 96 - 289 melee damage on target',0,2),
(43807,40102,2,100,'Inflicts 67 - 203 melee damage on target',0,0),
(43808,40102,2,100,'Inflicts 84 - 254 melee damage on target',0,1),
(43809,40102,2,100,'Inflicts 101 - 305 melee damage on target',0,2),
(43810,40102,3,100,'Inflicts 71 - 214 melee damage on target',0,0),
(43811,40102,3,100,'Inflicts 89 - 268 melee damage on target',0,1),
(43812,40102,3,100,'Inflicts 107 - 321 melee damage on target',0,2),
(43813,40102,4,100,'Inflicts 78 - 235 melee damage on target',0,0),
(43814,40102,4,100,'Inflicts 98 - 294 melee damage on target',0,1),
(43815,40102,4,100,'Inflicts 117 - 353 melee damage on target',0,2),
(43816,40102,5,100,'Inflicts 85 - 257 melee damage on target',0,0),
(43817,40102,5,100,'Inflicts 107 - 321 melee damage on target',0,1),
(43818,40102,5,100,'Inflicts 128 - 386 melee damage on target',0,2),
(43819,40102,7,100,'Inflicts 110 - 330 melee damage on target',0,0),
(43820,40102,7,100,'Inflicts 137 - 412 melee damage on target',0,1),
(43821,40102,7,100,'Inflicts 165 - 495 melee damage on target',0,2),
(43822,40102,9,100,'Inflicts 114 - 343 melee damage on target',0,0),
(43823,40102,9,100,'Inflicts 143 - 429 melee damage on target',0,1),
(43824,40102,9,100,'Inflicts 171 - 514 melee damage on target',0,2),
(43825,40103,1,100,'Inflicts 82 - 246 melee damage on target',0,0),
(43826,40103,1,100,'Inflicts 102 - 308 melee damage on target',0,1),
(43827,40103,1,100,'Inflicts 123 - 370 melee damage on target',0,2),
(43828,40103,2,100,'Inflicts 86 - 260 melee damage on target',0,0),
(43829,40103,2,100,'Inflicts 108 - 325 melee damage on target',0,1),
(43830,40103,2,100,'Inflicts 130 - 390 melee damage on target',0,2),
(43831,40103,3,100,'Inflicts 91 - 274 melee damage on target',0,0),
(43832,40103,3,100,'Inflicts 114 - 342 melee damage on target',0,1),
(43833,40103,3,100,'Inflicts 137 - 411 melee damage on target',0,2),
(43834,40103,4,100,'Inflicts 100 - 301 melee damage on target',0,0),
(43835,40103,4,100,'Inflicts 125 - 377 melee damage on target',0,1),
(43836,40103,4,100,'Inflicts 150 - 452 melee damage on target',0,2),
(43837,40103,5,100,'Inflicts 109 - 329 melee damage on target',0,0),
(43838,40103,5,100,'Inflicts 137 - 411 melee damage on target',0,1),
(43839,40103,5,100,'Inflicts 164 - 493 melee damage on target',0,2),
(43840,40103,7,100,'Inflicts 140 - 422 melee damage on target',0,0),
(43841,40103,7,100,'Inflicts 175 - 527 melee damage on target',0,1),
(43842,40103,7,100,'Inflicts 211 - 633 melee damage on target',0,2),
(43843,40103,9,100,'Inflicts 146 - 438 melee damage on target',0,0),
(43844,40103,9,100,'Inflicts 182 - 548 melee damage on target',0,1),
(43845,40103,9,100,'Inflicts 219 - 658 melee damage on target',0,2),
(43846,40103,10,100,'Inflicts 153 - 460 melee damage on target',0,0),
(43847,40103,10,100,'Inflicts 191 - 575 melee damage on target',0,1),
(43848,40103,10,100,'Inflicts 230 - 691 melee damage on target',0,2),
(43849,40104,1,100,'Inflicts 99 - 299 melee damage on target',0,0),
(43850,40104,1,100,'Inflicts 124 - 373 melee damage on target',0,1),
(43851,40104,1,100,'Inflicts 149 - 448 melee damage on target',0,2),
(43852,40104,4,100,'Inflicts 121 - 365 melee damage on target',0,0),
(43853,40104,4,100,'Inflicts 152 - 456 melee damage on target',0,1),
(43854,40104,4,100,'Inflicts 182 - 548 melee damage on target',0,2),
(43855,40104,5,100,'Inflicts 132 - 398 melee damage on target',0,0),
(43856,40104,5,100,'Inflicts 166 - 498 melee damage on target',0,1),
(43857,40104,5,100,'Inflicts 199 - 598 melee damage on target',0,2),
(43858,40104,7,100,'Inflicts 170 - 511 melee damage on target',0,0),
(43859,40104,7,100,'Inflicts 213 - 639 melee damage on target',0,1),
(43860,40104,7,100,'Inflicts 255 - 767 melee damage on target',0,2),
(43861,40104,9,100,'Inflicts 177 - 531 melee damage on target',0,0),
(43862,40104,9,100,'Inflicts 221 - 664 melee damage on target',0,1),
(43863,40104,9,100,'Inflicts 265 - 797 melee damage on target',0,2),
(43864,40105,1,100,'Inflicts 118 - 354 melee damage on target',0,0),
(43865,40105,1,100,'Inflicts 147 - 443 melee damage on target',0,1),
(43866,40105,1,100,'Inflicts 177 - 532 melee damage on target',0,2),
(43867,40105,4,100,'Inflicts 144 - 433 melee damage on target',0,0),
(43868,40105,4,100,'Inflicts 180 - 541 melee damage on target',0,1),
(43869,40105,4,100,'Inflicts 216 - 650 melee damage on target',0,2),
(43870,40105,5,100,'Inflicts 157 - 473 melee damage on target',0,0),
(43871,40105,5,100,'Inflicts 197 - 591 melee damage on target',0,1),
(43872,40105,5,100,'Inflicts 236 - 709 melee damage on target',0,2),
(43873,40105,7,100,'Inflicts 202 - 607 melee damage on target',0,0),
(43874,40105,7,100,'Inflicts 252 - 758 melee damage on target',0,1),
(43875,40105,7,100,'Inflicts 303 - 910 melee damage on target',0,2),
(43876,40105,9,100,'Inflicts 210 - 630 melee damage on target',0,0),
(43877,40105,9,100,'Inflicts 262 - 788 melee damage on target',0,1),
(43878,40105,9,100,'Inflicts 315 - 946 melee damage on target',0,2),
(43879,420035,1,100,'Wards group members (AE) against 5 points of all damage',0,0),
(43880,420035,1,100,'Increases savagery of caster by 20.0',0,1),
(43881,420035,1,100,'This effect cannot be critically applied.',1,2),
(43882,2000116,1,100,'Any crafted poison types that are triggered deal additional poison damage.',0,0),
(43883,2000116,1,100,'Doubles all trigger percentages',0,1),
(43884,2000117,1,100,'Inflicts 2 - 3 cold damage on target',0,0),
(43885,2000117,1,100,'Inflicts 2 cold damage on target every 4 seconds',0,1),
(43886,2000117,1,100,'Inflicts 1 cold damage on target every 4 seconds',0,2),
(43887,2000117,1,100,'Increases Mitigation of target vs elemental damage by 0',0,3),
(43888,2000117,2,100,'Inflicts 390 - 477 cold damage on target',0,0),
(43889,2000117,2,100,'Inflicts 2 - 3 cold damage on target every 4 seconds',0,1),
(43890,2000117,2,100,'Inflicts 1 cold damage on target every 4 seconds',0,2),
(43891,2000117,2,100,'Decreases Mitigation of target vs elemental damage by 2280',0,3),
(43892,2000117,3,100,'Inflicts 411 - 502 cold damage on target',0,0),
(43893,2000117,3,100,'Inflicts 2 - 3 cold damage on target every 4 seconds',0,1),
(43894,2000117,3,100,'Inflicts 1 cold damage on target every 4 seconds',0,2),
(43895,2000117,3,100,'Decreases Mitigation of target vs elemental damage by 2400',0,3),
(43896,2000117,4,100,'Inflicts 452 - 553 cold damage on target',0,0),
(43897,2000117,4,100,'Inflicts 2 - 3 cold damage on target every 4 seconds',0,1),
(43898,2000117,4,100,'Inflicts 1 - 2 cold damage on target every 4 seconds',0,2),
(43899,2000117,4,100,'Decreases Mitigation of target vs elemental damage by 2640',0,3),
(43900,2000117,5,100,'Inflicts 493 - 603 cold damage on target',0,0),
(43901,2000117,5,100,'Inflicts 3 cold damage on target every 4 seconds',0,1),
(43902,2000117,5,100,'Inflicts 1 - 2 cold damage on target every 4 seconds',0,2),
(43903,2000117,5,100,'Decreases Mitigation of target vs elemental damage by 2880',0,3),
(43904,2000118,1,100,'Reduces all damage done to target by 75%',0,0),
(43905,60089,1,100,'Inflicts 7 - 12 cold damage on target',0,0),
(43906,60089,2,100,'Inflicts 7 - 12 cold damage on target',0,0),
(43907,60089,3,100,'Inflicts 8 - 13 cold damage on target',0,0),
(43908,60089,4,100,'Inflicts 8 - 14 cold damage on target',0,0),
(43909,60089,5,100,'Inflicts 9 - 16 cold damage on target',0,0),
(43910,60089,7,100,'Inflicts 12 - 20 cold damage on target',0,0),
(43911,60089,9,100,'Inflicts 12 - 21 cold damage on target',0,0),
(43912,60090,1,100,'Inflicts 52 - 88 cold damage on target',0,0),
(43913,60090,2,100,'Inflicts 55 - 93 cold damage on target',0,0),
(43914,60090,3,100,'Inflicts 58 - 97 cold damage on target',0,0),
(43915,60090,4,100,'Inflicts 64 - 107 cold damage on target',0,0),
(43916,60090,5,100,'Inflicts 70 - 117 cold damage on target',0,0),
(43917,60090,7,100,'Inflicts 90 - 150 cold damage on target',0,0),
(43918,60090,9,100,'Inflicts 94 - 156 cold damage on target',0,0),
(43919,60091,1,100,'Inflicts 102 - 170 cold damage on target',0,0),
(43920,60091,2,100,'Inflicts 107 - 179 cold damage on target',0,0),
(43921,60091,3,100,'Inflicts 113 - 189 cold damage on target',0,0),
(43922,60091,4,100,'Inflicts 124 - 208 cold damage on target',0,0),
(43923,60091,5,100,'Inflicts 136 - 227 cold damage on target',0,0),
(43924,60091,7,100,'Inflicts 174 - 291 cold damage on target',0,0),
(43925,60091,9,100,'Inflicts 181 - 302 cold damage on target',0,0),
(43926,60092,1,100,'Inflicts 157 - 263 cold damage on target',0,0),
(43927,60092,2,100,'Inflicts 166 - 277 cold damage on target',0,0),
(43928,60092,3,100,'Inflicts 175 - 292 cold damage on target',0,0),
(43929,60092,4,100,'Inflicts 192 - 321 cold damage on target',0,0),
(43930,60092,5,100,'Inflicts 210 - 350 cold damage on target',0,0),
(43931,60092,7,100,'Inflicts 270 - 450 cold damage on target',0,0),
(43932,60092,9,100,'Inflicts 280 - 467 cold damage on target',0,0),
(43933,60093,1,100,'Inflicts 221 - 369 cold damage on target',0,0),
(43934,60093,2,100,'Inflicts 234 - 390 cold damage on target',0,0),
(43935,60093,3,100,'Inflicts 246 - 410 cold damage on target',0,0),
(43936,60093,4,100,'Inflicts 271 - 451 cold damage on target',0,0),
(43937,60093,5,100,'Inflicts 295 - 492 cold damage on target',0,0),
(43938,60093,7,100,'Inflicts 379 - 632 cold damage on target',0,0),
(43939,60093,9,100,'Inflicts 394 - 657 cold damage on target',0,0),
(43940,60094,1,100,'Inflicts 289 - 482 cold damage on target',0,0),
(43941,60094,2,100,'Inflicts 305 - 508 cold damage on target',0,0),
(43942,60094,3,100,'Inflicts 321 - 535 cold damage on target',0,0),
(43943,60094,4,100,'Inflicts 353 - 589 cold damage on target',0,0),
(43944,60094,5,100,'Inflicts 385 - 642 cold damage on target',0,0),
(43945,60094,7,100,'Inflicts 494 - 824 cold damage on target',0,0),
(43946,60094,9,100,'Inflicts 514 - 857 cold damage on target',0,0),
(43948,60095,1,100,'Inflicts 349 - 583 cold damage on target',0,0),
(43949,60095,4,100,'Inflicts 427 - 712 cold damage on target',0,0),
(43950,60095,5,100,'Inflicts 466 - 777 cold damage on target',0,0),
(43951,60095,7,100,'Inflicts 598 - 997 cold damage on target',0,0),
(43952,60095,9,100,'Inflicts 621 - 1036 cold damage on target',0,0),
(43953,60096,1,100,'Inflicts 403 - 673 cold damage on target',0,0),
(43954,60096,4,100,'Inflicts 493 - 822 cold damage on target',0,0),
(43955,60096,5,100,'Inflicts 538 - 897 cold damage on target',0,0),
(43956,60096,7,100,'Inflicts 691 - 1151 cold damage on target',0,0),
(43957,60096,9,100,'Inflicts 718 - 1196 cold damage on target',0,0),
(43958,2000119,3,100,'Inflicts 5 - 8 slashing damage on target',0,0),
(43959,2000119,3,100,'Inflicts 1 slashing damage on target every 3 seconds',0,1),
(43960,2000119,4,100,'Inflicts 5 - 9 slashing damage on target',0,0),
(43961,2000119,4,100,'Inflicts 1 slashing damage on target every 3 seconds',0,1),
(43962,2000119,5,100,'Inflicts 6 - 10 slashing damage on target',0,0),
(43963,2000119,5,100,'Inflicts 1 - 2 slashing damage on target every 3 seconds',0,1),
(43964,2000119,7,100,'Inflicts 7 - 13 slashing damage on target',0,0),
(43965,2000119,7,100,'Inflicts 1 - 2 slashing damage on target every 3 seconds',0,1),
(43966,2000119,9,100,'Inflicts 8 - 13 slashing damage on target',0,0),
(43967,2000119,9,100,'Inflicts 1 - 2 slashing damage on target every 3 seconds',0,1),
(43968,2000119,10,100,'Inflicts 8 - 14 slashing damage on target',0,0),
(43969,2000119,10,100,'Inflicts 1 - 2 slashing damage on target every 3 seconds',0,1),
(43970,2000120,1,100,'Applies Getaway Speed on termination.  Lasts for 10.0 seconds.',0,0),
(43971,2000120,1,100,'Increases in-combat movement speed of caster by 50.0%',1,1),
(43972,2000120,1,100,'Prevents AOE (except when direct) ',0,2),
(43973,2000120,1,100,'Grants stealth to caster',0,3),
(43974,2000120,1,100,'Suspends caster''s movement speed enhancements',0,4),
(43975,2000120,1,100,'Dispelled when target takes damage',0,5),
(43976,420036,1,100,'Inflicts 9 - 16 cold damage on target',0,0),
(43977,420036,1,100,'If weapon equipped in Ranged',0,1),
(43978,420036,4,100,'Inflicts 11 - 19 cold damage on target',0,0),
(43979,420036,4,100,'If weapon equipped in Ranged',0,1),
(43980,420036,5,100,'Inflicts 12 - 21 cold damage on target',0,0),
(43981,420036,5,100,'If weapon equipped in Ranged',0,1),
(43982,420036,7,100,'Inflicts 16 - 27 cold damage on target',0,0),
(43983,420036,7,100,'If weapon equipped in Ranged',0,1),
(43984,420036,9,100,'Inflicts 17 - 28 cold damage on target',0,0),
(43985,420036,9,100,'If weapon equipped in Ranged',0,1),
(43986,420037,1,100,'Inflicts 26 - 44 cold damage on target',0,0),
(43987,420037,1,100,'If weapon equipped in Ranged',0,1),
(43988,420037,4,100,'Inflicts 32 - 54 cold damage on target',0,0),
(43989,420037,4,100,'If weapon equipped in Ranged',0,1),
(43990,420037,5,100,'Inflicts 35 - 59 cold damage on target',0,0),
(43991,420037,5,100,'If weapon equipped in Ranged',0,1),
(43992,420037,7,100,'Inflicts 45 - 76 cold damage on target',0,0),
(43993,420037,7,100,'If weapon equipped in Ranged',0,1),
(43994,420037,9,100,'Inflicts 47 - 78 cold damage on target',0,0),
(43995,420037,9,100,'If weapon equipped in Ranged',0,1),
(43996,420038,1,100,'Inflicts 40 - 68 cold damage on target',0,0),
(43997,420038,1,100,'If weapon equipped in Ranged',0,1),
(43998,420038,4,100,'Inflicts 49 - 83 cold damage on target',0,0),
(43999,420038,4,100,'If weapon equipped in Ranged',0,1),
(44000,420038,5,100,'Inflicts 54 - 90 cold damage on target',0,0),
(44001,420038,5,100,'If weapon equipped in Ranged',0,1),
(44002,420038,7,100,'Inflicts 69 - 116 cold damage on target',0,0),
(44003,420038,7,100,'If weapon equipped in Ranged',0,1),
(44004,420038,9,100,'Inflicts 72 - 121 cold damage on target',0,0),
(44005,420038,9,100,'If weapon equipped in Ranged',0,1),
(44006,420038,10,100,'Inflicts 76 - 127 cold damage on target',0,0),
(44007,420038,10,100,'If weapon equipped in Ranged',0,1),
(44008,420039,1,100,'Inflicts 71 - 119 cold damage on target',0,0),
(44009,420039,1,100,'If weapon equipped in Ranged',0,1),
(44010,420039,4,100,'Inflicts 87 - 145 cold damage on target',0,0),
(44011,420039,4,100,'If weapon equipped in Ranged',0,1),
(44012,420039,5,100,'Inflicts 95 - 158 cold damage on target',0,0),
(44013,420039,5,100,'If weapon equipped in Ranged',0,1),
(44014,420039,7,100,'Inflicts 122 - 203 cold damage on target',0,0),
(44015,420039,7,100,'If weapon equipped in Ranged',0,1),
(44016,420039,9,100,'Inflicts 127 - 211 cold damage on target',0,0),
(44017,420039,9,100,'If weapon equipped in Ranged',0,1),
(44018,420039,10,100,'Inflicts 133 - 222 cold damage on target',0,0),
(44019,420039,10,100,'If weapon equipped in Ranged',0,1),
(44020,420040,1,100,'Inflicts 275 - 458 cold damage on target',0,0),
(44021,420040,1,100,'If weapon equipped in Ranged',0,1),
(44022,420040,4,100,'Inflicts 336 - 560 cold damage on target',0,0),
(44023,420040,4,100,'If weapon equipped in Ranged',0,1),
(44024,420040,5,100,'Inflicts 367 - 611 cold damage on target',0,0),
(44025,420040,5,100,'If weapon equipped in Ranged',0,1),
(44026,420040,7,100,'Inflicts 471 - 785 cold damage on target',0,0),
(44027,420040,7,100,'If weapon equipped in Ranged',0,1),
(44028,420040,9,100,'Inflicts 489 - 815 cold damage on target',0,0),
(44029,420040,9,100,'If weapon equipped in Ranged',0,1),
(44030,420040,10,100,'Inflicts 514 - 856 cold damage on target',0,0),
(44031,420040,10,100,'If weapon equipped in Ranged',0,1),
(44032,420041,1,100,'Inflicts 105 - 175 cold damage on target',0,0),
(44033,420041,1,100,'If weapon equipped in Ranged',0,1),
(44034,420041,4,100,'Inflicts 129 - 215 cold damage on target',0,0),
(44035,420041,4,100,'If weapon equipped in Ranged',0,1),
(44036,420041,5,100,'Inflicts 140 - 234 cold damage on target',0,0),
(44037,420041,5,100,'If weapon equipped in Ranged',0,1),
(44038,420041,7,100,'Inflicts 180 - 301 cold damage on target',0,0),
(44039,420041,7,100,'If weapon equipped in Ranged',0,1),
(44040,420041,9,100,'Inflicts 187 - 312 cold damage on target',0,0),
(44041,420041,9,100,'If weapon equipped in Ranged',0,1),
(44042,420042,1,100,'Inflicts 143 - 238 cold damage on target',0,0),
(44043,420042,1,100,'If weapon equipped in Ranged',0,1),
(44044,420042,4,100,'Inflicts 174 - 291 cold damage on target',0,0),
(44045,420042,4,100,'If weapon equipped in Ranged',0,1),
(44046,420042,5,100,'Inflicts 190 - 317 cold damage on target',0,0),
(44047,420042,5,100,'If weapon equipped in Ranged',0,1),
(44048,420042,7,100,'Inflicts 244 - 408 cold damage on target',0,0),
(44049,420042,7,100,'If weapon equipped in Ranged',0,1),
(44050,420042,9,100,'Inflicts 254 - 423 cold damage on target',0,0),
(44051,420042,9,100,'If weapon equipped in Ranged',0,1),
(44052,420043,1,100,'Inflicts 185 - 309 cold damage on target',0,0),
(44053,420043,1,100,'If weapon equipped in Ranged',0,1),
(44054,420043,4,100,'Inflicts 226 - 378 cold damage on target',0,0),
(44055,420043,4,100,'If weapon equipped in Ranged',0,1),
(44056,420043,5,100,'Inflicts 247 - 412 cold damage on target',0,0),
(44057,420043,5,100,'If weapon equipped in Ranged',0,1),
(44058,420043,7,100,'Inflicts 317 - 529 cold damage on target',0,0),
(44059,420043,7,100,'If weapon equipped in Ranged',0,1),
(44060,420043,9,100,'Inflicts 330 - 550 cold damage on target',0,0),
(44061,420043,9,100,'If weapon equipped in Ranged',0,1),
(44062,420043,10,100,'Inflicts 346 - 577 cold damage on target',0,0),
(44063,420043,10,100,'If weapon equipped in Ranged',0,1),
(44064,420044,1,100,'Inflicts 228 - 380 cold damage on target',0,0),
(44065,420044,1,100,'If weapon equipped in Ranged',0,1),
(44066,420044,4,100,'Inflicts 278 - 464 cold damage on target',0,0),
(44067,420044,4,100,'If weapon equipped in Ranged',0,1),
(44068,420044,5,100,'Inflicts 304 - 507 cold damage on target',0,0),
(44069,420044,5,100,'If weapon equipped in Ranged',0,1),
(44070,420044,7,100,'Inflicts 390 - 650 cold damage on target',0,0),
(44071,420044,7,100,'If weapon equipped in Ranged',0,1),
(44072,420044,9,100,'Inflicts 405 - 676 cold damage on target',0,0),
(44073,420044,9,100,'If weapon equipped in Ranged',0,1),
(44074,420044,10,100,'Inflicts 426 - 710 cold damage on target',0,0),
(44075,420044,10,100,'If weapon equipped in Ranged',0,1),
(44076,420045,1,100,'Inflicts 332 - 554 cold damage on target',0,0),
(44077,420045,1,100,'If weapon equipped in Ranged',0,1),
(44078,420045,4,100,'Inflicts 406 - 677 cold damage on target',0,0),
(44079,420045,4,100,'If weapon equipped in Ranged',0,1),
(44080,420045,5,100,'Inflicts 443 - 739 cold damage on target',0,0),
(44081,420045,5,100,'If weapon equipped in Ranged',0,1),
(44082,420045,7,100,'Inflicts 569 - 948 cold damage on target',0,0),
(44083,420045,7,100,'If weapon equipped in Ranged',0,1),
(44084,420045,9,100,'Inflicts 591 - 985 cold damage on target',0,0),
(44085,420045,9,100,'If weapon equipped in Ranged',0,1),
(44086,420045,10,100,'Inflicts 621 - 1035 cold damage on target',0,0),
(44087,420045,10,100,'If weapon equipped in Ranged',0,1),
(44088,420046,1,100,'Inflicts 379 - 632 cold damage on target',0,0),
(44089,420046,1,100,'If weapon equipped in Ranged',0,1),
(44090,420046,4,100,'Inflicts 463 - 772 cold damage on target',0,0),
(44091,420046,4,100,'If weapon equipped in Ranged',0,1),
(44092,420046,5,100,'Inflicts 505 - 842 cold damage on target',0,0),
(44093,420046,5,100,'If weapon equipped in Ranged',0,1),
(44094,420046,7,100,'Inflicts 648 - 1081 cold damage on target',0,0),
(44095,420046,7,100,'If weapon equipped in Ranged',0,1),
(44096,420046,9,100,'Inflicts 674 - 1123 cold damage on target',0,0),
(44097,420046,9,100,'If weapon equipped in Ranged',0,1),
(44098,420046,10,100,'Inflicts 707 - 1179 cold damage on target',0,0),
(44099,420046,10,100,'If weapon equipped in Ranged',0,1),
(44100,420047,1,100,'Inflicts 89 - 149 cold damage on target encounter',0,0),
(44101,420047,1,100,'Increases savagery of caster by 20.0',0,1),
(44102,420047,1,100,'This effect cannot be critically applied.',1,2),
(44103,2000121,1,100,'Inflicts 336 - 411 melee damage on target',0,0),
(44104,2000121,1,100,'Inflicts 2 cold damage on target every 4 seconds',0,1),
(44105,2000121,2,100,'Inflicts 473 - 578 melee damage on target',0,0),
(44106,2000121,2,100,'Inflicts 2 cold damage on target every 4 seconds',0,1),
(44107,2000121,3,100,'Inflicts 374 - 457 melee damage on target',0,0),
(44108,2000121,3,100,'Inflicts 2 cold damage on target every 4 seconds',0,1),
(44109,2000121,4,100,'Inflicts 411 - 502 melee damage on target',0,0),
(44110,2000121,4,100,'Inflicts 2 cold damage on target every 4 seconds',0,1),
(44111,2000121,5,100,'Inflicts 448 - 548 melee damage on target',0,0),
(44112,2000121,5,100,'Inflicts 2 - 3 cold damage on target every 4 seconds',0,1),
(44113,10003,4,100,'10% chance to apply Goading Gesture on termination.',0,0),
(44114,10003,4,100,'Increases Threat to target by 1,348 - 1,527 ',1,1),
(44115,10003,4,100,'Increases Threat to target by 1,348 - 1,527 ',0,2),
(44116,2000122,1,100,'Protects nearby fighters from opponents'' Area Effect abilities, as long as they are not direct target.',0,0),
(44117,320013,1,100,'Inflicts 55 - 92 melee damage on target',0,0),
(44118,320013,1,100,'Decreases Parry of target by 12.1',0,1),
(44119,320013,1,100,'Must be in front of or flanking',0,2),
(44120,340100,1,100,'Inflicts 55 - 92 melee damage on target',0,0),
(44121,340100,1,100,'Decreases Parry of target by 8.1',0,1),
(44122,340100,1,100,'Must be in front of or flanking',0,2),
(44123,340100,2,100,'Inflicts 58 - 97 melee damage on target',0,0),
(44124,340100,2,100,'Decreases Parry of target by 8.6',0,1),
(44125,340100,2,100,'Must be in front of or flanking',0,2),
(44126,320013,2,100,'Inflicts 58 - 97 melee damage on target',0,0),
(44127,320013,2,100,'Decreases Parry of target by 12.8',0,1),
(44128,320013,2,100,'Must be in front of or flanking',0,2),
(44129,340100,3,100,'Inflicts 61 - 102 melee damage on target',0,0),
(44130,340100,3,100,'Decreases Parry of target by 9.0',0,1),
(44131,340100,3,100,'Must be in front of or flanking',0,2),
(44132,320013,3,100,'Inflicts 61 - 102 melee damage on target',0,0),
(44133,320013,3,100,'Decreases Parry of target by 13.5',0,1),
(44134,320013,3,100,'Must be in front of or flanking',0,2),
(44135,340100,4,100,'Inflicts 67 - 112 melee damage on target',0,0),
(44136,340100,4,100,'Decreases Parry of target by 9.9',0,1),
(44137,340100,4,100,'Must be in front of or flanking',0,2),
(44138,320013,4,100,'Inflicts 67 - 112 melee damage on target',0,0),
(44139,320013,4,100,'Decreases Parry of target by 14.9',0,1),
(44140,320013,4,100,'Must be in front of or flanking',0,2),
(44141,340100,5,100,'Inflicts 73 - 123 melee damage on target',0,0),
(44142,340100,5,100,'Decreases Parry of target by 10.8',0,1),
(44143,340100,5,100,'Must be in front of or flanking',0,2),
(44144,320013,5,100,'Inflicts 73 - 123 melee damage on target',0,0),
(44145,320013,5,100,'Decreases Parry of target by 16.2',0,1),
(44146,320013,5,100,'Must be in front of or flanking',0,2),
(44147,340100,7,100,'Inflicts 94 - 158 melee damage on target',0,0),
(44148,340100,7,100,'Decreases Parry of target by 13.9',0,1),
(44149,340100,7,100,'Must be in front of or flanking',0,2),
(44150,320013,7,100,'Inflicts 94 - 158 melee damage on target',0,0),
(44151,320013,7,100,'Decreases Parry of target by 20.8',0,1),
(44152,320013,7,100,'Must be in front of or flanking',0,2),
(44153,340100,9,100,'Inflicts 98 - 164 melee damage on target',0,0),
(44154,340100,9,100,'Decreases Parry of target by 14.4',0,1),
(44155,340100,9,100,'Must be in front of or flanking',0,2),
(44156,320013,9,100,'Inflicts 98 - 164 melee damage on target',0,0),
(44157,320013,9,100,'Decreases Parry of target by 21.6',0,1),
(44158,320013,9,100,'Must be in front of or flanking',0,2),
(44159,340101,1,100,'Inflicts 112 - 187 melee damage on target',0,0),
(44160,340101,1,100,'Decreases Parry of target by 15.7',0,1),
(44161,340101,1,100,'Must be in front of or flanking',0,2),
(44162,340101,2,100,'Inflicts 118 - 197 melee damage on target',0,0),
(44163,340101,2,100,'Decreases Parry of target by 16.5',0,1),
(44164,340101,2,100,'Must be in front of or flanking',0,2),
(44165,340101,3,100,'Inflicts 124 - 208 melee damage on target',0,0),
(44166,340101,3,100,'Decreases Parry of target by 17.4',0,1),
(44167,340101,3,100,'Must be in front of or flanking',0,2),
(44168,340101,4,100,'Inflicts 137 - 228 melee damage on target',0,0),
(44169,340101,4,100,'Decreases Parry of target by 19.1',0,1),
(44170,340101,4,100,'Must be in front of or flanking',0,2),
(44171,340101,5,100,'Inflicts 149 - 249 melee damage on target',0,0),
(44172,340101,5,100,'Decreases Parry of target by 20.9',0,1),
(44173,340101,5,100,'Must be in front of or flanking',0,2),
(44174,340101,7,100,'Inflicts 192 - 320 melee damage on target',0,0),
(44175,340101,7,100,'Decreases Parry of target by 26.8',0,1),
(44176,340101,7,100,'Must be in front of or flanking',0,2),
(44177,340101,9,100,'Inflicts 199 - 332 melee damage on target',0,0),
(44178,340101,9,100,'Decreases Parry of target by 27.8',0,1),
(44179,340101,9,100,'Must be in front of or flanking',0,2),
(44180,340102,1,100,'Inflicts 176 - 293 melee damage on target',0,0),
(44181,340102,1,100,'Decreases Parry of target by 23.2',0,1),
(44182,340102,1,100,'Must be in front of or flanking',0,2),
(44183,340102,2,100,'Inflicts 185 - 309 melee damage on target',0,0),
(44184,340102,2,100,'Decreases Parry of target by 24.5',0,1),
(44185,340102,2,100,'Must be in front of or flanking',0,2),
(44186,340102,3,100,'Inflicts 195 - 326 melee damage on target',0,0),
(44187,340102,3,100,'Decreases Parry of target by 25.8',0,1),
(44188,340102,3,100,'Must be in front of or flanking',0,2),
(44189,340102,4,100,'Inflicts 215 - 358 melee damage on target',0,0),
(44190,340102,4,100,'Decreases Parry of target by 28.4',0,1),
(44191,340102,4,100,'Must be in front of or flanking',0,2),
(44192,340102,5,100,'Inflicts 234 - 391 melee damage on target',0,0),
(44193,340102,5,100,'Decreases Parry of target by 31.0',0,1),
(44194,340102,5,100,'Must be in front of or flanking',0,2),
(44195,340102,7,100,'Inflicts 301 - 502 melee damage on target',0,0),
(44196,340102,7,100,'Decreases Parry of target by 39.7',0,1),
(44197,340102,7,100,'Must be in front of or flanking',0,2),
(44198,340102,9,100,'Inflicts 313 - 521 melee damage on target',0,0),
(44199,340102,9,100,'Decreases Parry of target by 41.3',0,1),
(44200,340102,9,100,'Must be in front of or flanking',0,2),
(44201,340102,10,100,'Inflicts 328 - 548 melee damage on target',0,0),
(44202,340102,10,100,'Decreases Parry of target by 43.3',0,1),
(44203,340102,10,100,'Must be in front of or flanking',0,2),
(44204,340103,1,100,'Inflicts 251 - 419 melee damage on target',0,0),
(44205,340103,1,100,'Decreases Parry of target by 30.8',0,1),
(44206,340103,1,100,'Must be in front of or flanking',0,2),
(44207,340103,2,100,'Inflicts 265 - 443 melee damage on target',0,0),
(44208,340103,2,100,'Decreases Parry of target by 32.5',0,1),
(44209,340103,2,100,'Must be in front of or flanking',0,2),
(44210,340103,3,100,'Inflicts 279 - 466 melee damage on target',0,0),
(44211,340103,3,100,'Decreases Parry of target by 34.2',0,1),
(44212,340103,3,100,'Must be in front of or flanking',0,2),
(44213,340103,4,100,'Inflicts 307 - 513 melee damage on target',0,0),
(44214,340103,4,100,'Decreases Parry of target by 37.6',0,1),
(44215,340103,4,100,'Must be in front of or flanking',0,2),
(44216,340103,5,100,'Inflicts 335 - 559 melee damage on target',0,0),
(44217,340103,5,100,'Decreases Parry of target by 41.0',0,1),
(44218,340103,5,100,'Must be in front of or flanking',0,2),
(44219,340103,7,100,'Inflicts 430 - 718 melee damage on target',0,0),
(44220,340103,7,100,'Decreases Parry of target by 52.7',0,1),
(44221,340103,7,100,'Must be in front of or flanking',0,2),
(44222,340103,9,100,'Inflicts 447 - 746 melee damage on target',0,0),
(44223,340103,9,100,'Decreases Parry of target by 54.7',0,1),
(44224,340103,9,100,'Must be in front of or flanking',0,2),
(44225,340104,1,100,'Inflicts 328 - 548 melee damage on target',0,0),
(44226,340104,1,100,'Decreases Parry of target by 38.5',0,1),
(44227,340104,1,100,'Must be in front of or flanking',0,2),
(44228,340104,2,100,'Inflicts 347 - 578 melee damage on target',0,0),
(44229,340104,2,100,'Decreases Parry of target by 40.7',0,1),
(44230,340104,2,100,'Must be in front of or flanking',0,2),
(44231,340104,3,100,'Inflicts 365 - 609 melee damage on target',0,0),
(44232,340104,3,100,'Decreases Parry of target by 42.8',0,1),
(44233,340104,3,100,'Must be in front of or flanking',0,2),
(44234,340104,4,100,'Inflicts 402 - 670 melee damage on target',0,0),
(44235,340104,4,100,'Decreases Parry of target by 47.1',0,1),
(44236,340104,4,100,'Must be in front of or flanking',0,2),
(44237,340104,5,100,'Inflicts 438 - 730 melee damage on target',0,0),
(44238,340104,5,100,'Decreases Parry of target by 51.4',0,1),
(44239,340104,5,100,'Must be in front of or flanking',0,2),
(44240,340104,7,100,'Inflicts 562 - 938 melee damage on target',0,0),
(44241,340104,7,100,'Decreases Parry of target by 65.9',0,1),
(44242,340104,7,100,'Must be in front of or flanking',0,2),
(44243,340104,9,100,'Inflicts 584 - 974 melee damage on target',0,0),
(44244,340104,9,100,'Decreases Parry of target by 68.5',0,1),
(44245,340104,9,100,'Must be in front of or flanking',0,2),
(44246,340105,1,100,'Inflicts 398 - 664 melee damage on target',0,0),
(44247,340105,1,100,'Decreases Parry of target by 45.7',0,1),
(44248,340105,1,100,'Must be in front of or flanking',0,2),
(44249,340105,4,100,'Inflicts 487 - 811 melee damage on target',0,0),
(44250,340105,4,100,'Decreases Parry of target by 55.9',0,1),
(44251,340105,4,100,'Must be in front of or flanking',0,2),
(44252,340105,5,100,'Inflicts 531 - 885 melee damage on target',0,0),
(44253,340105,5,100,'Decreases Parry of target by 61.0',0,1),
(44254,340105,5,100,'Must be in front of or flanking',0,2),
(44255,340105,7,100,'Inflicts 681 - 1136 melee damage on target',0,0),
(44256,340105,7,100,'Decreases Parry of target by 78.2',0,1),
(44257,340105,7,100,'Must be in front of or flanking',0,2),
(44258,340105,9,100,'Inflicts 708 - 1180 melee damage on target',0,0),
(44259,340105,9,100,'Decreases Parry of target by 81.3',0,1),
(44260,340105,9,100,'Must be in front of or flanking',0,2),
(44261,340105,10,100,'Inflicts 743 - 1239 melee damage on target',0,0),
(44262,340105,10,100,'Decreases Parry of target by 85.3',0,1),
(44263,340105,10,100,'Must be in front of or flanking',0,2),
(44264,340106,1,100,'Inflicts 472 - 787 melee damage on target',0,0),
(44265,340106,1,100,'Decreases Parry of target by 52.9',0,1),
(44266,340106,1,100,'Must be in front of or flanking',0,2),
(44267,340106,4,100,'Inflicts 577 - 962 melee damage on target',0,0),
(44268,340106,4,100,'Decreases Parry of target by 64.7',0,1),
(44269,340106,4,100,'Must be in front of or flanking',0,2),
(44270,340106,5,100,'Inflicts 630 - 1050 melee damage on target',0,0),
(44271,340106,5,100,'Decreases Parry of target by 70.6',0,1),
(44272,340106,5,100,'Must be in front of or flanking',0,2),
(44273,340106,7,100,'Inflicts 808 - 1348 melee damage on target',0,0),
(44274,340106,7,100,'Decreases Parry of target by 90.6',0,1),
(44275,340106,7,100,'Must be in front of or flanking',0,2),
(44276,340106,9,100,'Inflicts 840 - 1400 melee damage on target',0,0),
(44277,340106,9,100,'Decreases Parry of target by 94.1',0,1),
(44278,340106,9,100,'Must be in front of or flanking',0,2),
(44279,340106,10,100,'Inflicts 882 - 1470 melee damage on target',0,0),
(44280,340106,10,100,'Decreases Parry of target by 98.8',0,1),
(44281,340106,10,100,'Must be in front of or flanking',0,2),
(44282,420048,9,100,'Inflicts 218 - 364 melee damage on target encounter',0,0),
(44283,420048,9,100,'Reduces the power cost of the group''s abilities by 30%.',0,1),
(44284,420048,9,100,'The effect of this ability grows based on Savagery and Spirituality level.',0,2),
(44285,420048,9,100,'You must have your warder active to use this ability.',0,3),
(44286,30075,1,100,'When damaged this spell has a 15% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,0),
(44287,30075,1,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,1),
(44288,30075,1,100,'When damaged this spell has a 30% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,2),
(44289,30075,1,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,3),
(44290,30075,1,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,4),
(44291,30075,1,100,'If not fighter',1,5),
(44292,30075,2,100,'When damaged this spell has a 15% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,0),
(44293,30075,2,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,1),
(44294,30075,2,100,'When damaged this spell has a 30% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,2),
(44295,30075,2,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,3),
(44296,30075,2,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,4),
(44297,30075,2,100,'If not fighter',1,5),
(44298,30075,3,100,'When damaged this spell has a 15% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,0),
(44299,30075,3,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,1),
(44300,30075,3,100,'When damaged this spell has a 30% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,2),
(44301,30075,3,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,3),
(44302,30075,3,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,4),
(44303,30075,3,100,'If not fighter',1,5),
(44304,30075,4,100,'When damaged this spell has a 18% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,0),
(44305,30075,4,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,1),
(44306,30075,4,100,'When damaged this spell has a 36% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,2),
(44307,30075,4,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,3),
(44308,30075,4,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,4),
(44309,30075,4,100,'If not fighter',1,5),
(44310,30075,5,100,'When damaged this spell has a 20% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,0),
(44311,30075,5,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,1),
(44312,30075,5,100,'When damaged this spell has a 40% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,2),
(44313,30075,5,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,3),
(44314,30075,5,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,4),
(44315,30075,5,100,'If not fighter',1,5),
(44316,30075,7,100,'When damaged this spell has a 22% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,0),
(44317,30075,7,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,1),
(44318,30075,7,100,'When damaged this spell has a 44% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,2),
(44319,30075,7,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,3),
(44320,30075,7,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,4),
(44321,30075,7,100,'If not fighter',1,5),
(44322,30075,9,100,'When damaged this spell has a 25% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,0),
(44323,30075,9,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,1),
(44324,30075,9,100,'When damaged this spell has a 50% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,2),
(44325,30075,9,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,3),
(44326,30075,9,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,4),
(44327,30075,9,100,'If not fighter',1,5),
(44328,30076,1,100,'When damaged this spell has a 15% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,0),
(44329,30076,1,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,1),
(44330,30076,1,100,'When damaged this spell has a 30% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,2),
(44331,30076,1,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,3),
(44332,30076,1,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,4),
(44333,30076,1,100,'If not fighter',1,5),
(44334,30076,2,100,'When damaged this spell has a 15% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,0),
(44335,30076,2,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,1),
(44336,30076,2,100,'When damaged this spell has a 30% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,2),
(44337,30076,2,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,3),
(44338,30076,2,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,4),
(44339,30076,2,100,'If not fighter',1,5),
(44340,30076,3,100,'When damaged this spell has a 15% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,0),
(44341,30076,3,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,1),
(44342,30076,3,100,'When damaged this spell has a 30% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,2),
(44343,30076,3,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,3),
(44344,30076,3,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,4),
(44345,30076,3,100,'If not fighter',1,5),
(44346,30076,4,100,'When damaged this spell has a 18% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,0),
(44347,30076,4,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,1),
(44348,30076,4,100,'When damaged this spell has a 36% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,2),
(44349,30076,4,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,3),
(44350,30076,4,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,4),
(44351,30076,4,100,'If not fighter',1,5),
(44352,30076,5,100,'When damaged this spell has a 20% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,0),
(44353,30076,5,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,1),
(44354,30076,5,100,'When damaged this spell has a 40% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,2),
(44355,30076,5,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,3),
(44356,30076,5,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,4),
(44357,30076,5,100,'If not fighter',1,5),
(44358,30076,7,100,'When damaged this spell has a 22% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,0),
(44359,30076,7,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,1),
(44360,30076,7,100,'When damaged this spell has a 44% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,2),
(44361,30076,7,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,3),
(44362,30076,7,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,4),
(44363,30076,7,100,'If not fighter',1,5),
(44364,30076,9,100,'When damaged this spell has a 25% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,0),
(44365,30076,9,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,1),
(44366,30076,9,100,'When damaged this spell has a 50% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,2),
(44367,30076,9,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,3),
(44368,30076,9,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,4),
(44369,30076,9,100,'If not fighter',1,5),
(44370,30077,1,100,'When damaged this spell has a 15% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,0),
(44371,30077,1,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,1),
(44372,30077,1,100,'When damaged this spell has a 30% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,2),
(44373,30077,1,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,3),
(44374,30077,1,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,4),
(44375,30077,1,100,'If not fighter',1,5),
(44376,30077,2,100,'When damaged this spell has a 15% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,0),
(44377,30077,2,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,1),
(44378,30077,2,100,'When damaged this spell has a 30% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,2),
(44379,30077,2,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,3),
(44380,30077,2,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,4),
(44381,30077,2,100,'If not fighter',1,5),
(44382,30077,3,100,'When damaged this spell has a 15% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,0),
(44383,30077,3,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,1),
(44384,30077,3,100,'When damaged this spell has a 30% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,2),
(44385,30077,3,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,3),
(44386,30077,3,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,4),
(44387,30077,3,100,'If not fighter',1,5),
(44388,30077,4,100,'When damaged this spell has a 18% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,0),
(44389,30077,4,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,1),
(44390,30077,4,100,'When damaged this spell has a 36% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,2),
(44391,30077,4,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,3),
(44392,30077,4,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,4),
(44393,30077,4,100,'If not fighter',1,5),
(44394,30077,5,100,'When damaged this spell has a 20% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,0),
(44395,30077,5,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,1),
(44396,30077,5,100,'When damaged this spell has a 40% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,2),
(44397,30077,5,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,3),
(44398,30077,5,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,4),
(44399,30077,5,100,'If not fighter',1,5),
(44400,30077,7,100,'When damaged this spell has a 22% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,0),
(44401,30077,7,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,1),
(44402,30077,7,100,'When damaged this spell has a 44% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,2),
(44403,30077,7,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,3),
(44404,30077,7,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,4),
(44405,30077,7,100,'If not fighter',1,5),
(44406,30077,9,100,'When damaged this spell has a 25% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,0),
(44407,30077,9,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,1),
(44408,30077,9,100,'When damaged this spell has a 50% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,2),
(44409,30077,9,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,3),
(44410,30077,9,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,4),
(44411,30077,9,100,'If not fighter',1,5),
(44412,400076,1,100,'Applies Untreated Bleeding on termination.',0,0),
(44413,400076,1,100,'Inflicts 6 - 9 piercing damage on target',1,1),
(44414,400076,1,100,'Inflicts 0 - 1 melee damage on target',0,2),
(44415,400076,1,100,'Inflicts 1 - 2 piercing damage on target instantly and every 4 seconds',0,3),
(44416,400076,2,100,'Applies Untreated Bleeding on termination.',0,0),
(44417,400076,2,100,'Inflicts 6 - 10 piercing damage on target',1,1),
(44418,400076,2,100,'Inflicts 0 - 1 melee damage on target',0,2),
(44419,400076,2,100,'Inflicts 1 - 2 piercing damage on target instantly and every 4 seconds',0,3),
(44420,400076,3,100,'Applies Untreated Bleeding on termination.',0,0),
(44421,400076,3,100,'Inflicts 6 - 10 piercing damage on target',1,1),
(44422,400076,3,100,'Inflicts 0 - 1 melee damage on target',0,2),
(44423,400076,3,100,'Inflicts 1 - 2 piercing damage on target instantly and every 4 seconds',0,3),
(44424,400076,4,100,'Applies Untreated Bleeding on termination.',0,0),
(44425,400076,4,100,'Inflicts 7 - 11 piercing damage on target',1,1),
(44426,400076,4,100,'Inflicts 0 - 1 melee damage on target',0,2),
(44427,400076,4,100,'Inflicts 1 - 2 piercing damage on target instantly and every 4 seconds',0,3),
(44428,400076,5,100,'Applies Untreated Bleeding on termination.',0,0),
(44429,400076,5,100,'Inflicts 7 - 12 piercing damage on target',1,1),
(44430,400076,5,100,'Inflicts 1 melee damage on target',0,2),
(44431,400076,5,100,'Inflicts 2 - 3 piercing damage on target instantly and every 4 seconds',0,3),
(44432,400076,7,100,'Applies Untreated Bleeding on termination.',0,0),
(44433,400076,7,100,'Inflicts 10 - 16 piercing damage on target',1,1),
(44434,400076,7,100,'Inflicts 1 - 2 melee damage on target',0,2),
(44435,400076,7,100,'Inflicts 2 - 3 piercing damage on target instantly and every 4 seconds',0,3),
(44436,400076,9,100,'Applies Untreated Bleeding on termination.',0,0),
(44437,400076,9,100,'Inflicts 10 - 17 piercing damage on target',1,1),
(44438,400076,9,100,'Inflicts 1 - 2 melee damage on target',0,2),
(44439,400076,9,100,'Inflicts 2 - 4 piercing damage on target instantly and every 4 seconds',0,3),
(44440,400077,1,100,'Applies Untreated Bleeding on termination.',0,0),
(44441,400077,1,100,'Inflicts 29 - 49 piercing damage on target',1,1),
(44442,400077,1,100,'Inflicts 4 - 6 melee damage on target',0,2),
(44443,400077,1,100,'Inflicts 6 - 10 piercing damage on target instantly and every 4 seconds',0,3),
(44444,400077,2,100,'Applies Untreated Bleeding on termination.',0,0),
(44445,400077,2,100,'Inflicts 31 - 52 piercing damage on target',1,1),
(44446,400077,2,100,'Inflicts 4 - 7 melee damage on target',0,2),
(44447,400077,2,100,'Inflicts 7 - 11 piercing damage on target instantly and every 4 seconds',0,3),
(44448,400077,3,100,'Applies Untreated Bleeding on termination.',0,0),
(44449,400077,3,100,'Inflicts 33 - 54 piercing damage on target',1,1),
(44450,400077,3,100,'Inflicts 4 - 7 melee damage on target',0,2),
(44451,400077,3,100,'Inflicts 7 - 12 piercing damage on target instantly and every 4 seconds',0,3),
(44452,400077,4,100,'Applies Untreated Bleeding on termination.',0,0),
(44453,400077,4,100,'Inflicts 36 - 60 piercing damage on target',1,1),
(44454,400077,4,100,'Inflicts 5 - 8 melee damage on target',0,2),
(44455,400077,4,100,'Inflicts 8 - 13 piercing damage on target instantly and every 4 seconds',0,3),
(44456,400077,5,100,'Applies Untreated Bleeding on termination.',0,0),
(44457,400077,5,100,'Inflicts 39 - 65 piercing damage on target',1,1),
(44458,400077,5,100,'Inflicts 5 - 9 melee damage on target',0,2),
(44459,400077,5,100,'Inflicts 8 - 14 piercing damage on target instantly and every 4 seconds',0,3),
(44460,400077,7,100,'Applies Untreated Bleeding on termination.',0,0),
(44461,400077,7,100,'Inflicts 50 - 84 piercing damage on target',1,1),
(44462,400077,7,100,'Inflicts 7 - 11 melee damage on target',0,2),
(44463,400077,7,100,'Inflicts 11 - 18 piercing damage on target instantly and every 4 seconds',0,3),
(44464,400077,9,100,'Applies Untreated Bleeding on termination.',0,0),
(44465,400077,9,100,'Inflicts 52 - 87 piercing damage on target',1,1),
(44466,400077,9,100,'Inflicts 7 - 12 melee damage on target',0,2),
(44467,400077,9,100,'Inflicts 11 - 19 piercing damage on target instantly and every 4 seconds',0,3),
(44468,400077,10,100,'Applies Untreated Bleeding on termination.',0,0),
(44469,400077,10,100,'Inflicts 55 - 91 piercing damage on target',1,1),
(44470,400077,10,100,'Inflicts 7 - 13 melee damage on target',0,2),
(44471,400077,10,100,'Inflicts 12 - 20 piercing damage on target instantly and every 4 seconds',0,3),
(44472,400078,1,100,'Applies Untreated Bleeding on termination.',0,0),
(44473,400078,1,100,'Inflicts 65 - 109 piercing damage on target',1,1),
(44474,400078,1,100,'Inflicts 9 - 15 melee damage on target',0,2),
(44475,400078,1,100,'Inflicts 14 - 23 piercing damage on target instantly and every 4 seconds',0,3),
(44476,400078,2,100,'Applies Untreated Bleeding on termination.',0,0),
(44477,400078,2,100,'Inflicts 69 - 115 piercing damage on target',1,1),
(44478,400078,2,100,'Inflicts 9 - 16 melee damage on target',0,2),
(44479,400078,2,100,'Inflicts 15 - 25 piercing damage on target instantly and every 4 seconds',0,3),
(44480,400078,3,100,'Applies Untreated Bleeding on termination.',0,0),
(44481,400078,3,100,'Inflicts 73 - 121 piercing damage on target',1,1),
(44482,400078,3,100,'Inflicts 10 - 17 melee damage on target',0,2),
(44483,400078,3,100,'Inflicts 16 - 26 piercing damage on target instantly and every 4 seconds',0,3),
(44484,400078,4,100,'Applies Untreated Bleeding on termination.',0,0),
(44485,400078,4,100,'Inflicts 80 - 133 piercing damage on target',1,1),
(44486,400078,4,100,'Inflicts 11 - 18 melee damage on target',0,2),
(44487,400078,4,100,'Inflicts 17 - 28 piercing damage on target instantly and every 4 seconds',0,3),
(44488,400078,5,100,'Applies Untreated Bleeding on termination.',0,0),
(44489,400078,5,100,'Inflicts 87 - 145 piercing damage on target',1,1),
(44490,400078,5,100,'Inflicts 12 - 20 melee damage on target',0,2),
(44491,400078,5,100,'Inflicts 19 - 31 piercing damage on target instantly and every 4 seconds',0,3),
(44492,400078,7,100,'Applies Untreated Bleeding on termination.',0,0),
(44493,400078,7,100,'Inflicts 112 - 186 piercing damage on target',1,1),
(44494,400078,7,100,'Inflicts 15 - 26 melee damage on target',0,2),
(44495,400078,7,100,'Inflicts 24 - 40 piercing damage on target instantly and every 4 seconds',0,3),
(44496,400078,9,100,'Applies Untreated Bleeding on termination.',0,0),
(44497,400078,9,100,'Inflicts 116 - 193 piercing damage on target',1,1),
(44498,400078,9,100,'Inflicts 16 - 27 melee damage on target',0,2),
(44499,400078,9,100,'Inflicts 25 - 41 piercing damage on target instantly and every 4 seconds',0,3),
(44500,400079,1,100,'Applies Untreated Bleeding on termination.',0,0),
(44501,400079,1,100,'Inflicts 105 - 175 piercing damage on target',1,1),
(44502,400079,1,100,'Inflicts 15 - 25 melee damage on target',0,2),
(44503,400079,1,100,'Inflicts 23 - 38 piercing damage on target instantly and every 4 seconds',0,3),
(44504,400079,2,100,'Applies Untreated Bleeding on termination.',0,0),
(44505,400079,2,100,'Inflicts 111 - 185 piercing damage on target',1,1),
(44506,400079,2,100,'Inflicts 15 - 26 melee damage on target',0,2),
(44507,400079,2,100,'Inflicts 24 - 40 piercing damage on target instantly and every 4 seconds',0,3),
(44508,400079,3,100,'Applies Untreated Bleeding on termination.',0,0),
(44509,400079,3,100,'Inflicts 117 - 194 piercing damage on target',1,1),
(44510,400079,3,100,'Inflicts 16 - 27 melee damage on target',0,2),
(44511,400079,3,100,'Inflicts 25 - 42 piercing damage on target instantly and every 4 seconds',0,3),
(44512,400079,4,100,'Applies Untreated Bleeding on termination.',0,0),
(44513,400079,4,100,'Inflicts 128 - 214 piercing damage on target',1,1),
(44514,400079,4,100,'Inflicts 18 - 30 melee damage on target',0,2),
(44515,400079,4,100,'Inflicts 28 - 46 piercing damage on target instantly and every 4 seconds',0,3),
(44516,400079,5,100,'Applies Untreated Bleeding on termination.',0,0),
(44517,400079,5,100,'Inflicts 140 - 233 piercing damage on target',1,1),
(44518,400079,5,100,'Inflicts 20 - 33 melee damage on target',0,2),
(44519,400079,5,100,'Inflicts 30 - 50 piercing damage on target instantly and every 4 seconds',0,3),
(44520,400079,7,100,'Applies Untreated Bleeding on termination.',0,0),
(44521,400079,7,100,'Inflicts 180 - 299 piercing damage on target',1,1),
(44522,400079,7,100,'Inflicts 25 - 42 melee damage on target',0,2),
(44523,400079,7,100,'Inflicts 39 - 64 piercing damage on target instantly and every 4 seconds',0,3),
(44524,400079,9,100,'Applies Untreated Bleeding on termination.',0,0),
(44525,400079,9,100,'Inflicts 187 - 311 piercing damage on target',1,1),
(44526,400079,9,100,'Inflicts 26 - 44 melee damage on target',0,2),
(44527,400079,9,100,'Inflicts 40 - 67 piercing damage on target instantly and every 4 seconds',0,3),
(44528,400080,1,100,'Applies Untreated Bleeding on termination.',0,0),
(44529,400080,1,100,'Inflicts 324 - 539 piercing damage on target',1,1),
(44530,400080,1,100,'Inflicts 46 - 77 melee damage on target',0,2),
(44531,400080,1,100,'Inflicts 69 - 116 piercing damage on target instantly and every 4 seconds',0,3),
(44532,400080,4,100,'Applies Untreated Bleeding on termination.',0,0),
(44533,400080,4,100,'Inflicts 396 - 659 piercing damage on target',1,1),
(44534,400080,4,100,'Inflicts 56 - 94 melee damage on target',0,2),
(44535,400080,4,100,'Inflicts 85 - 141 piercing damage on target instantly and every 4 seconds',0,3),
(44536,400080,5,100,'Applies Untreated Bleeding on termination.',0,0),
(44537,400080,5,100,'Inflicts 431 - 719 piercing damage on target',1,1),
(44538,400080,5,100,'Inflicts 61 - 102 melee damage on target',0,2),
(44539,400080,5,100,'Inflicts 92 - 154 piercing damage on target instantly and every 4 seconds',0,3),
(44540,400080,7,100,'Applies Untreated Bleeding on termination.',0,0),
(44541,400080,7,100,'Inflicts 554 - 923 piercing damage on target',1,1),
(44542,400080,7,100,'Inflicts 79 - 131 melee damage on target',0,2),
(44543,400080,7,100,'Inflicts 119 - 198 piercing damage on target instantly and every 4 seconds',0,3),
(44544,400080,9,100,'Applies Untreated Bleeding on termination.',0,0),
(44545,400080,9,100,'Inflicts 575 - 959 piercing damage on target',1,1),
(44546,400080,9,100,'Inflicts 82 - 136 melee damage on target',0,2),
(44547,400080,9,100,'Inflicts 123 - 205 piercing damage on target instantly and every 4 seconds',0,3),
(44548,400081,1,100,'Applies Untreated Bleeding on termination.',0,0),
(44549,400081,1,100,'Inflicts 155 - 258 piercing damage on target',1,1),
(44550,400081,1,100,'Inflicts 22 - 36 melee damage on target',0,2),
(44551,400081,1,100,'Inflicts 33 - 55 piercing damage on target instantly and every 4 seconds',0,3),
(44552,400081,2,100,'Applies Untreated Bleeding on termination.',0,0),
(44553,400081,2,100,'Inflicts 163 - 272 piercing damage on target',1,1),
(44554,400081,2,100,'Inflicts 23 - 38 melee damage on target',0,2),
(44555,400081,2,100,'Inflicts 35 - 58 piercing damage on target instantly and every 4 seconds',0,3),
(44556,400081,3,100,'Applies Untreated Bleeding on termination.',0,0),
(44557,400081,3,100,'Inflicts 172 - 287 piercing damage on target',1,1),
(44558,400081,3,100,'Inflicts 24 - 40 melee damage on target',0,2),
(44559,400081,3,100,'Inflicts 37 - 61 piercing damage on target instantly and every 4 seconds',0,3),
(44560,400081,4,100,'Applies Untreated Bleeding on termination.',0,0),
(44561,400081,4,100,'Inflicts 189 - 315 piercing damage on target',1,1),
(44562,400081,4,100,'Inflicts 27 - 45 melee damage on target',0,2),
(44563,400081,4,100,'Inflicts 41 - 68 piercing damage on target instantly and every 4 seconds',0,3),
(44564,400081,5,100,'Applies Untreated Bleeding on termination.',0,0),
(44565,400081,5,100,'Inflicts 206 - 344 piercing damage on target',1,1),
(44566,400081,5,100,'Inflicts 29 - 49 melee damage on target',0,2),
(44567,400081,5,100,'Inflicts 44 - 74 piercing damage on target instantly and every 4 seconds',0,3),
(44568,400081,7,100,'Applies Untreated Bleeding on termination.',0,0),
(44569,400081,7,100,'Inflicts 265 - 441 piercing damage on target',1,1),
(44570,400081,7,100,'Inflicts 37 - 63 melee damage on target',0,2),
(44571,400081,7,100,'Inflicts 57 - 95 piercing damage on target instantly and every 4 seconds',0,3),
(44572,400081,9,100,'Applies Untreated Bleeding on termination.',0,0),
(44573,400081,9,100,'Inflicts 275 - 458 piercing damage on target',1,1),
(44574,400081,9,100,'Inflicts 39 - 65 melee damage on target',0,2),
(44575,400081,9,100,'Inflicts 59 - 98 piercing damage on target instantly and every 4 seconds',0,3),
(44576,400081,10,100,'Applies Untreated Bleeding on termination.',0,0),
(44577,400081,10,100,'Inflicts 289 - 481 piercing damage on target',1,1),
(44578,400081,10,100,'Inflicts 41 - 68 melee damage on target',0,2),
(44579,400081,10,100,'Inflicts 62 - 103 piercing damage on target instantly and every 4 seconds',0,3),
(44580,400082,1,100,'Applies Untreated Bleeding on termination.',0,0),
(44581,400082,1,100,'Inflicts 204 - 341 piercing damage on target',1,1),
(44582,400082,1,100,'Inflicts 29 - 48 melee damage on target',0,2),
(44583,400082,1,100,'Inflicts 44 - 73 piercing damage on target instantly and every 4 seconds',0,3),
(44584,400082,2,100,'Applies Untreated Bleeding on termination.',0,0),
(44585,400082,2,100,'Inflicts 216 - 360 piercing damage on target',1,1),
(44586,400082,2,100,'Inflicts 30 - 51 melee damage on target',0,2),
(44587,400082,2,100,'Inflicts 46 - 77 piercing damage on target instantly and every 4 seconds',0,3),
(44588,400082,3,100,'Applies Untreated Bleeding on termination.',0,0),
(44589,400082,3,100,'Inflicts 227 - 379 piercing damage on target',1,1),
(44590,400082,3,100,'Inflicts 32 - 54 melee damage on target',0,2),
(44591,400082,3,100,'Inflicts 49 - 81 piercing damage on target instantly and every 4 seconds',0,3),
(44592,400082,4,100,'Applies Untreated Bleeding on termination.',0,0),
(44593,400082,4,100,'Inflicts 250 - 416 piercing damage on target',1,1),
(44594,400082,4,100,'Inflicts 35 - 59 melee damage on target',0,2),
(44595,400082,4,100,'Inflicts 54 - 89 piercing damage on target instantly and every 4 seconds',0,3),
(44596,400082,5,100,'Applies Untreated Bleeding on termination.',0,0),
(44597,400082,5,100,'Inflicts 273 - 454 piercing damage on target',1,1),
(44598,400082,5,100,'Inflicts 38 - 64 melee damage on target',0,2),
(44599,400082,5,100,'Inflicts 58 - 97 piercing damage on target instantly and every 4 seconds',0,3),
(44600,400082,7,100,'Applies Untreated Bleeding on termination.',0,0),
(44601,400082,7,100,'Inflicts 350 - 583 piercing damage on target',1,1),
(44602,400082,7,100,'Inflicts 49 - 83 melee damage on target',0,2),
(44603,400082,7,100,'Inflicts 75 - 125 piercing damage on target instantly and every 4 seconds',0,3),
(44604,400082,9,100,'Applies Untreated Bleeding on termination.',0,0),
(44605,400082,9,100,'Inflicts 363 - 606 piercing damage on target',1,1),
(44606,400082,9,100,'Inflicts 51 - 86 melee damage on target',0,2),
(44607,400082,9,100,'Inflicts 78 - 130 piercing damage on target instantly and every 4 seconds',0,3),
(44608,400083,1,100,'Applies Untreated Bleeding on termination.',0,0),
(44609,400083,1,100,'Inflicts 247 - 412 piercing damage on target',1,1),
(44610,400083,1,100,'Inflicts 35 - 58 melee damage on target',0,2),
(44611,400083,1,100,'Inflicts 53 - 88 piercing damage on target instantly and every 4 seconds',0,3),
(44612,400083,2,100,'Applies Untreated Bleeding on termination.',0,0),
(44613,400083,2,100,'Inflicts 261 - 435 piercing damage on target',1,1),
(44614,400083,2,100,'Inflicts 37 - 62 melee damage on target',0,2),
(44615,400083,2,100,'Inflicts 56 - 93 piercing damage on target instantly and every 4 seconds',0,3),
(44616,400083,3,100,'Applies Untreated Bleeding on termination.',0,0),
(44617,400083,3,100,'Inflicts 275 - 458 piercing damage on target',1,1),
(44618,400083,3,100,'Inflicts 39 - 65 melee damage on target',0,2),
(44619,400083,3,100,'Inflicts 59 - 98 piercing damage on target instantly and every 4 seconds',0,3),
(44620,400083,4,100,'Applies Untreated Bleeding on termination.',0,0),
(44621,400083,4,100,'Inflicts 302 - 504 piercing damage on target',1,1),
(44622,400083,4,100,'Inflicts 43 - 72 melee damage on target',0,2),
(44623,400083,4,100,'Inflicts 65 - 108 piercing damage on target instantly and every 4 seconds',0,3),
(44624,400083,5,100,'Applies Untreated Bleeding on termination.',0,0),
(44625,400083,5,100,'Inflicts 330 - 550 piercing damage on target',1,1),
(44626,400083,5,100,'Inflicts 47 - 78 melee damage on target',0,2),
(44627,400083,5,100,'Inflicts 71 - 118 piercing damage on target instantly and every 4 seconds',0,3),
(44628,400083,7,100,'Applies Untreated Bleeding on termination.',0,0),
(44629,400083,7,100,'Inflicts 423 - 706 piercing damage on target',1,1),
(44630,400083,7,100,'Inflicts 60 - 100 melee damage on target',0,2),
(44631,400083,7,100,'Inflicts 91 - 151 piercing damage on target instantly and every 4 seconds',0,3),
(44632,400083,9,100,'Applies Untreated Bleeding on termination.',0,0),
(44633,400083,9,100,'Inflicts 440 - 733 piercing damage on target',1,1),
(44634,400083,9,100,'Inflicts 62 - 104 melee damage on target',0,2),
(44635,400083,9,100,'Inflicts 94 - 157 piercing damage on target instantly and every 4 seconds',0,3),
(44636,400084,1,100,'Applies Untreated Bleeding on termination.',0,0),
(44637,400084,1,100,'Inflicts 298 - 497 piercing damage on target',1,1),
(44638,400084,1,100,'Inflicts 42 - 70 melee damage on target',0,2),
(44639,400084,1,100,'Inflicts 64 - 106 piercing damage on target instantly and every 4 seconds',0,3),
(44640,400084,4,100,'Applies Untreated Bleeding on termination.',0,0),
(44641,400084,4,100,'Inflicts 364 - 607 piercing damage on target',1,1),
(44642,400084,4,100,'Inflicts 52 - 86 melee damage on target',0,2),
(44643,400084,4,100,'Inflicts 78 - 130 piercing damage on target instantly and every 4 seconds',0,3),
(44644,400084,5,100,'Applies Untreated Bleeding on termination.',0,0),
(44645,400084,5,100,'Inflicts 397 - 662 piercing damage on target',1,1),
(44646,400084,5,100,'Inflicts 56 - 94 melee damage on target',0,2),
(44647,400084,5,100,'Inflicts 85 - 142 piercing damage on target instantly and every 4 seconds',0,3),
(44648,400084,7,100,'Applies Untreated Bleeding on termination.',0,0),
(44649,400084,7,100,'Inflicts 510 - 850 piercing damage on target',1,1),
(44650,400084,7,100,'Inflicts 72 - 121 melee damage on target',0,2),
(44651,400084,7,100,'Inflicts 109 - 182 piercing damage on target instantly and every 4 seconds',0,3),
(44652,400084,9,100,'Applies Untreated Bleeding on termination.',0,0),
(44653,400084,9,100,'Inflicts 530 - 883 piercing damage on target',1,1),
(44654,400084,9,100,'Inflicts 75 - 126 melee damage on target',0,2),
(44655,400084,9,100,'Inflicts 114 - 189 piercing damage on target instantly and every 4 seconds',0,3),
(44656,30078,1,100,'Interrupts target',0,0),
(44657,30078,1,100,'Inflicts 8 - 13 crushing damage on target',0,1),
(44658,30078,4,100,'Interrupts target',0,0),
(44659,30078,4,100,'Inflicts 9 - 16 crushing damage on target',0,1),
(44660,30078,5,100,'Interrupts target',0,0),
(44661,30078,5,100,'Inflicts 10 - 17 crushing damage on target',0,1),
(44662,30078,7,100,'Interrupts target',0,0),
(44663,30078,7,100,'Inflicts 13 - 22 crushing damage on target',0,1),
(44664,30078,9,100,'Interrupts target',0,0),
(44665,30078,9,100,'Inflicts 14 - 23 crushing damage on target',0,1),
(44666,30079,1,100,'Interrupts target',0,0),
(44667,30079,1,100,'Inflicts 28 - 48 crushing damage on target',0,1),
(44668,30079,2,100,'Interrupts target',0,0),
(44669,30079,2,100,'Inflicts 30 - 50 crushing damage on target',0,1),
(44670,30079,3,100,'Interrupts target',0,0),
(44671,30079,3,100,'Inflicts 32 - 53 crushing damage on target',0,1),
(44672,30079,4,100,'Interrupts target',0,0),
(44673,30079,4,100,'Inflicts 35 - 58 crushing damage on target',0,1),
(44674,30079,5,100,'Interrupts target',0,0),
(44675,30079,5,100,'Inflicts 38 - 64 crushing damage on target',0,1),
(44676,30079,7,100,'Interrupts target',0,0),
(44677,30079,7,100,'Inflicts 49 - 82 crushing damage on target',0,1),
(44678,30079,9,100,'Interrupts target',0,0),
(44679,30079,9,100,'Inflicts 51 - 85 crushing damage on target',0,1),
(44680,30080,1,100,'Interrupts target',0,0),
(44681,30080,1,100,'Inflicts 53 - 89 crushing damage on target',0,1),
(44682,30080,2,100,'Interrupts target',0,0),
(44683,30080,2,100,'Inflicts 56 - 94 crushing damage on target',0,1),
(44684,30080,3,100,'Interrupts target',0,0),
(44685,30080,3,100,'Inflicts 59 - 99 crushing damage on target',0,1),
(44686,30080,4,100,'Interrupts target',0,0),
(44687,30080,4,100,'Inflicts 65 - 109 crushing damage on target',0,1),
(44688,30080,5,100,'Interrupts target',0,0),
(44689,30080,5,100,'Inflicts 71 - 118 crushing damage on target',0,1),
(44690,30080,7,100,'Interrupts target',0,0),
(44691,30080,7,100,'Inflicts 91 - 152 crushing damage on target',0,1),
(44692,30080,9,100,'Interrupts target',0,0),
(44693,30080,9,100,'Inflicts 95 - 158 crushing damage on target',0,1),
(44694,30081,1,100,'Interrupts target',0,0),
(44695,30081,1,100,'Inflicts 81 - 136 crushing damage on target',0,1),
(44696,30081,2,100,'Interrupts target',0,0),
(44697,30081,2,100,'Inflicts 86 - 143 crushing damage on target',0,1),
(44698,30081,3,100,'Interrupts target',0,0),
(44699,30081,3,100,'Inflicts 90 - 151 crushing damage on target',0,1),
(44700,30081,4,100,'Interrupts target',0,0),
(44701,30081,4,100,'Inflicts 99 - 166 crushing damage on target',0,1),
(44702,30081,5,100,'Interrupts target',0,0),
(44703,30081,5,100,'Inflicts 108 - 181 crushing damage on target',0,1),
(44704,30081,7,100,'Interrupts target',0,0),
(44705,30081,7,100,'Inflicts 139 - 232 crushing damage on target',0,1),
(44706,30081,9,100,'Interrupts target',0,0),
(44707,30081,9,100,'Inflicts 145 - 241 crushing damage on target',0,1),
(44708,30082,1,100,'Interrupts target',0,0),
(44709,30082,1,100,'Inflicts 112 - 188 crushing damage on target',0,1),
(44710,30082,2,100,'Interrupts target',0,0),
(44711,30082,2,100,'Inflicts 119 - 198 crushing damage on target',0,1),
(44712,30082,3,100,'Interrupts target',0,0),
(44713,30082,3,100,'Inflicts 125 - 209 crushing damage on target',0,1),
(44714,30082,4,100,'Interrupts target',0,0),
(44715,30082,4,100,'Inflicts 137 - 229 crushing damage on target',0,1),
(44716,30082,5,100,'Interrupts target',0,0),
(44717,30082,5,100,'Inflicts 150 - 250 crushing damage on target',0,1),
(44718,30082,7,100,'Interrupts target',0,0),
(44719,30082,7,100,'Inflicts 193 - 321 crushing damage on target',0,1),
(44720,30082,9,100,'Interrupts target',0,0),
(44721,30082,9,100,'Inflicts 200 - 334 crushing damage on target',0,1),
(44722,30083,1,100,'Interrupts target',0,0),
(44723,30083,1,100,'Inflicts 144 - 240 crushing damage on target',0,1),
(44724,30083,2,100,'Interrupts target',0,0),
(44725,30083,2,100,'Inflicts 152 - 253 crushing damage on target',0,1),
(44726,30083,3,100,'Interrupts target',0,0),
(44727,30083,3,100,'Inflicts 160 - 267 crushing damage on target',0,1),
(44728,30083,4,100,'Interrupts target',0,0),
(44729,30083,4,100,'Inflicts 176 - 293 crushing damage on target',0,1),
(44730,30083,5,100,'Interrupts target',0,0),
(44731,30083,5,100,'Inflicts 192 - 320 crushing damage on target',0,1),
(44732,30083,7,100,'Interrupts target',0,0),
(44733,30083,7,100,'Inflicts 246 - 411 crushing damage on target',0,1),
(44734,30083,9,100,'Interrupts target',0,0),
(44735,30083,9,100,'Inflicts 256 - 427 crushing damage on target',0,1),
(44736,30084,1,100,'Interrupts target',0,0),
(44737,30084,1,100,'Inflicts 174 - 290 crushing damage on target',0,1),
(44738,30084,4,100,'Interrupts target',0,0),
(44739,30084,4,100,'Inflicts 213 - 355 crushing damage on target',0,1),
(44740,30084,5,100,'Interrupts target',0,0),
(44741,30084,5,100,'Inflicts 232 - 387 crushing damage on target',0,1),
(44742,30084,7,100,'Interrupts target',0,0),
(44743,30084,7,100,'Inflicts 298 - 497 crushing damage on target',0,1),
(44744,30084,9,100,'Interrupts target',0,0),
(44745,30084,9,100,'Inflicts 309 - 516 crushing damage on target',0,1),
(44746,30085,1,100,'Interrupts target',0,0),
(44747,30085,1,100,'Inflicts 198 - 331 crushing damage on target',0,1),
(44748,30085,4,100,'Interrupts target',0,0),
(44749,30085,4,100,'Inflicts 242 - 404 crushing damage on target',0,1),
(44750,30085,5,100,'Interrupts target',0,0),
(44751,30085,5,100,'Inflicts 264 - 441 crushing damage on target',0,1),
(44752,30085,7,100,'Interrupts target',0,0),
(44753,30085,7,100,'Inflicts 339 - 566 crushing damage on target',0,1),
(44754,30085,9,100,'Interrupts target',0,0),
(44755,30085,9,100,'Inflicts 353 - 588 crushing damage on target',0,1),
(44756,2000123,1,100,'Will absorb physical damage. ',0,0),
(44757,2000124,1,100,'Applies Knockdown.  Lasts for 1.8 seconds.',0,0),
(44758,2000124,1,100,'Throws target back',1,1),
(44759,2000124,1,100,'Blurs vision of target',1,2),
(44760,2000124,1,100,'Stuns target',1,3),
(44761,2000124,1,100,'Does not affect Epic targets',1,4),
(44762,2000124,1,100,'Inflicts 257 - 428 divine damage on target',0,5),
(44763,2000124,2,100,'Applies Knockdown.  Lasts for 1.9 seconds.',0,0),
(44764,2000124,2,100,'Throws target back',1,1),
(44765,2000124,2,100,'Blurs vision of target',1,2),
(44766,2000124,2,100,'Stuns target',1,3),
(44767,2000124,2,100,'Does not affect Epic targets',1,4),
(44768,2000124,2,100,'Inflicts 361 - 603 divine damage on target',0,5),
(44769,2000124,3,100,'Applies Knockdown.  Lasts for 2.0 seconds.',0,0),
(44770,2000124,3,100,'Throws target back',1,1),
(44771,2000124,3,100,'Blurs vision of target',1,2),
(44772,2000124,3,100,'Stuns target',1,3),
(44773,2000124,3,100,'Does not affect Epic targets',1,4),
(44774,2000124,3,100,'Inflicts 285 - 476 divine damage on target',0,5),
(44775,2000124,4,100,'Applies Knockdown.  Lasts for 2.2 seconds.',0,0),
(44776,2000124,4,100,'Throws target back',1,1),
(44777,2000124,4,100,'Blurs vision of target',1,2),
(44778,2000124,4,100,'Stuns target',1,3),
(44779,2000124,4,100,'Does not affect Epic targets',1,4),
(44780,2000124,4,100,'Inflicts 419 - 698 divine damage on target',0,5),
(44781,2000124,5,100,'Applies Knockdown.  Lasts for 2.4 seconds.',0,0),
(44782,2000124,5,100,'Throws target back',1,1),
(44783,2000124,5,100,'Blurs vision of target',1,2),
(44784,2000124,5,100,'Stuns target',1,3),
(44785,2000124,5,100,'Does not affect Epic targets',1,4),
(44786,2000124,5,100,'Inflicts 342 - 571 divine damage on target',0,5),
(44787,2000124,6,100,'Applies Knockdown.  Lasts for 2.6 seconds.',0,0),
(44788,2000124,6,100,'Throws target back',1,1),
(44789,2000124,6,100,'Blurs vision of target',1,2),
(44790,2000124,6,100,'Stuns target',1,3),
(44791,2000124,6,100,'Does not affect Epic targets',1,4),
(44792,2000124,6,100,'Inflicts 495 - 825 divine damage on target',0,5),
(44793,2000124,7,100,'Applies Knockdown.  Lasts for 2.8 seconds.',0,0),
(44794,2000124,7,100,'Throws target back',1,1),
(44795,2000124,7,100,'Blurs vision of target',1,2),
(44796,2000124,7,100,'Stuns target',1,3),
(44797,2000124,7,100,'Does not affect Epic targets',1,4),
(44798,2000124,7,100,'Inflicts 440 - 733 divine damage on target',0,5),
(44799,2000124,8,100,'Applies Knockdown.  Lasts for 3.0 seconds.',0,0),
(44800,2000124,8,100,'Throws target back',1,1),
(44801,2000124,8,100,'Blurs vision of target',1,2),
(44802,2000124,8,100,'Stuns target',1,3),
(44803,2000124,8,100,'Does not affect Epic targets',1,4),
(44804,2000124,8,100,'Inflicts 442 - 738 divine damage on target',0,5),
(44805,2000124,9,100,'Applies Knockdown.  Lasts for 3.2 seconds.',0,0),
(44806,2000124,9,100,'Throws target back',1,1),
(44807,2000124,9,100,'Blurs vision of target',1,2),
(44808,2000124,9,100,'Stuns target',1,3),
(44809,2000124,9,100,'Does not affect Epic targets',1,4),
(44810,2000124,9,100,'Inflicts 457 - 762 divine damage on target',0,5),
(44811,2000124,10,100,'Applies Knockdown.  Lasts for 3.3 seconds.',0,0),
(44812,2000124,10,100,'Throws target back',1,1),
(44813,2000124,10,100,'Blurs vision of target',1,2),
(44814,2000124,10,100,'Stuns target',1,3),
(44815,2000124,10,100,'Does not affect Epic targets',1,4),
(44816,2000124,10,100,'Inflicts 480 - 800 divine damage on target',0,5),
(44817,2000125,1,100,'Applies Knockdown.  Lasts for 1.8 seconds.',0,0),
(44818,2000125,1,100,'Throws target back',1,1),
(44819,2000125,1,100,'Blurs vision of target',1,2),
(44820,2000125,1,100,'Stuns target',1,3),
(44821,2000125,1,100,'Does not affect Epic targets',1,4),
(44822,2000125,1,100,'Inflicts 140 - 233 melee damage on targets in Area of Effect',0,5),
(44823,2000125,2,100,'Applies Knockdown.  Lasts for 1.9 seconds.',0,0),
(44824,2000125,2,100,'Throws target back',1,1),
(44825,2000125,2,100,'Blurs vision of target',1,2),
(44826,2000125,2,100,'Stuns target',1,3),
(44827,2000125,2,100,'Does not affect Epic targets',1,4),
(44828,2000125,2,100,'Inflicts 197 - 328 melee damage on targets in Area of Effect',0,5),
(44829,2000125,3,100,'Applies Knockdown.  Lasts for 2.0 seconds.',0,0),
(44830,2000125,3,100,'Throws target back',1,1),
(44831,2000125,3,100,'Blurs vision of target',1,2),
(44832,2000125,3,100,'Stuns target',1,3),
(44833,2000125,3,100,'Does not affect Epic targets',1,4),
(44834,2000125,3,100,'Inflicts 155 - 259 melee damage on targets in Area of Effect',0,5),
(44835,2000125,4,100,'Applies Knockdown.  Lasts for 2.2 seconds.',0,0),
(44836,2000125,4,100,'Throws target back',1,1),
(44837,2000125,4,100,'Blurs vision of target',1,2),
(44838,2000125,4,100,'Stuns target',1,3),
(44839,2000125,4,100,'Does not affect Epic targets',1,4),
(44840,2000125,4,100,'Inflicts 228 - 380 melee damage on targets in Area of Effect',0,5),
(44841,2000125,5,100,'Applies Knockdown.  Lasts for 2.4 seconds.',0,0),
(44842,2000125,5,100,'Throws target back',1,1),
(44843,2000125,5,100,'Blurs vision of target',1,2),
(44844,2000125,5,100,'Stuns target',1,3),
(44845,2000125,5,100,'Does not affect Epic targets',1,4),
(44846,2000125,5,100,'Inflicts 249 - 415 melee damage on targets in Area of Effect',0,5),
(44847,2000125,6,100,'Applies Knockdown.  Lasts for 2.6 seconds.',0,0),
(44848,2000125,6,100,'Throws target back',1,1),
(44849,2000125,6,100,'Blurs vision of target',1,2),
(44850,2000125,6,100,'Stuns target',1,3),
(44851,2000125,6,100,'Does not affect Epic targets',1,4),
(44852,2000125,6,100,'Inflicts 202 - 337 melee damage on targets in Area of Effect',0,5),
(44853,2000125,7,100,'Applies Knockdown.  Lasts for 2.8 seconds.',0,0),
(44854,2000125,7,100,'Throws target back',1,1),
(44855,2000125,7,100,'Blurs vision of target',1,2),
(44856,2000125,7,100,'Stuns target',1,3),
(44857,2000125,7,100,'Does not affect Epic targets',1,4),
(44858,2000125,7,100,'Inflicts 319 - 533 melee damage on targets in Area of Effect',0,5),
(44859,2000125,8,100,'Applies Knockdown.  Lasts for 3.0 seconds.',0,0),
(44860,2000125,8,100,'Throws target back',1,1),
(44861,2000125,8,100,'Blurs vision of target',1,2),
(44862,2000125,8,100,'Stuns target',1,3),
(44863,2000125,8,100,'Does not affect Epic targets',1,4),
(44864,2000125,8,100,'Inflicts 241 - 402 melee damage on targets in Area of Effect',0,5),
(44865,2000125,9,100,'Applies Knockdown.  Lasts for 3.2 seconds.',0,0),
(44866,2000125,9,100,'Throws target back',1,1),
(44867,2000125,9,100,'Blurs vision of target',1,2),
(44868,2000125,9,100,'Stuns target',1,3),
(44869,2000125,9,100,'Does not affect Epic targets',1,4),
(44870,2000125,9,100,'Inflicts 332 - 554 melee damage on targets in Area of Effect',0,5),
(44871,2000125,10,100,'Applies Knockdown.  Lasts for 3.3 seconds.',0,0),
(44872,2000125,10,100,'Throws target back',1,1),
(44873,2000125,10,100,'Blurs vision of target',1,2),
(44874,2000125,10,100,'Stuns target',1,3),
(44875,2000125,10,100,'Does not affect Epic targets',1,4),
(44876,2000125,10,100,'Inflicts 349 - 581 melee damage on targets in Area of Effect',0,5),
(44877,330081,1,100,'Inflicts 35 - 59 melee damage on target',0,0),
(44878,330081,1,100,'Slows target by 31.0%',0,1),
(44879,330081,1,100,'5% chance to dispel when target receives hostile action',0,2),
(44880,330081,1,100,'5% chance to dispel when target takes damage',0,3),
(44881,330081,2,100,'Inflicts 37 - 63 melee damage on target',0,0),
(44882,330081,2,100,'Slows target by 32.7%',0,1),
(44883,330081,2,100,'5% chance to dispel when target receives hostile action',0,2),
(44884,330081,2,100,'5% chance to dispel when target takes damage',0,3),
(44885,330081,3,100,'Inflicts 39 - 66 melee damage on target',0,0),
(44886,330081,3,100,'Slows target by 34.4%',0,1),
(44887,330081,3,100,'5% chance to dispel when target receives hostile action',0,2),
(44888,330081,3,100,'5% chance to dispel when target takes damage',0,3),
(44889,330081,4,100,'Inflicts 43 - 73 melee damage on target',0,0),
(44890,330081,4,100,'Slows target by 37.8%',0,1),
(44891,330081,4,100,'5% chance to dispel when target receives hostile action',0,2),
(44892,330081,4,100,'5% chance to dispel when target takes damage',0,3),
(44893,330081,5,100,'Inflicts 47 - 79 melee damage on target',0,0),
(44894,330081,5,100,'Slows target by 41.3%',0,1),
(44895,330081,5,100,'5% chance to dispel when target receives hostile action',0,2),
(44896,330081,5,100,'5% chance to dispel when target takes damage',0,3),
(44897,330081,7,100,'Inflicts 61 - 102 melee damage on target',0,0),
(44898,330081,7,100,'Slows target by 53.0%',0,1),
(44899,330081,7,100,'5% chance to dispel when target receives hostile action',0,2),
(44900,330081,7,100,'5% chance to dispel when target takes damage',0,3),
(44901,330081,9,100,'Inflicts 63 - 106 melee damage on target',0,0),
(44902,330081,9,100,'Slows target by 55.0%',0,1),
(44903,330081,9,100,'5% chance to dispel when target receives hostile action',0,2),
(44904,330081,9,100,'5% chance to dispel when target takes damage',0,3),
(44905,330081,10,100,'Inflicts 66 - 111 melee damage on target',0,0),
(44906,330081,10,100,'Slows target by 57.8%',0,1),
(44907,330081,10,100,'5% chance to dispel when target receives hostile action',0,2),
(44908,330081,10,100,'5% chance to dispel when target takes damage',0,3),
(44909,330082,1,100,'Inflicts 62 - 103 melee damage on target',0,0),
(44910,330082,1,100,'Slows target by 33.5%',0,1),
(44911,330082,1,100,'5% chance to dispel when target receives hostile action',0,2),
(44912,330082,1,100,'5% chance to dispel when target takes damage',0,3),
(44913,330082,2,100,'Inflicts 65 - 109 melee damage on target',0,0),
(44914,330082,2,100,'Slows target by 35.3%',0,1),
(44915,330082,2,100,'5% chance to dispel when target receives hostile action',0,2),
(44916,330082,2,100,'5% chance to dispel when target takes damage',0,3),
(44917,330082,3,100,'Inflicts 69 - 115 melee damage on target',0,0),
(44918,330082,3,100,'Slows target by 37.2%',0,1),
(44919,330082,3,100,'5% chance to dispel when target receives hostile action',0,2),
(44920,330082,3,100,'5% chance to dispel when target takes damage',0,3),
(44921,330082,4,100,'Inflicts 76 - 127 melee damage on target',0,0),
(44922,330082,4,100,'Slows target by 40.9%',0,1),
(44923,330082,4,100,'5% chance to dispel when target receives hostile action',0,2),
(44924,330082,4,100,'5% chance to dispel when target takes damage',0,3),
(44925,330082,5,100,'Inflicts 83 - 138 melee damage on target',0,0),
(44926,330082,5,100,'Slows target by 44.6%',0,1),
(44927,330082,5,100,'5% chance to dispel when target receives hostile action',0,2),
(44928,330082,5,100,'5% chance to dispel when target takes damage',0,3),
(44929,330082,7,100,'Inflicts 106 - 177 melee damage on target',0,0),
(44930,330082,7,100,'Slows target by 57.3%',0,1),
(44931,330082,7,100,'5% chance to dispel when target receives hostile action',0,2),
(44932,330082,7,100,'5% chance to dispel when target takes damage',0,3),
(44933,330082,9,100,'Inflicts 110 - 184 melee damage on target',0,0),
(44934,330082,9,100,'Slows target by 59.5%',0,1),
(44935,330082,9,100,'5% chance to dispel when target receives hostile action',0,2),
(44936,330082,9,100,'5% chance to dispel when target takes damage',0,3),
(44937,330083,1,100,'Inflicts 93 - 155 melee damage on target',0,0),
(44938,330083,1,100,'Slows target by 36.0%',0,1),
(44939,330083,1,100,'5% chance to dispel when target receives hostile action',0,2),
(44940,330083,1,100,'5% chance to dispel when target takes damage',0,3),
(44941,330083,2,100,'Inflicts 98 - 164 melee damage on target',0,0),
(44942,330083,2,100,'Slows target by 38.0%',0,1),
(44943,330083,2,100,'5% chance to dispel when target receives hostile action',0,2),
(44944,330083,2,100,'5% chance to dispel when target takes damage',0,3),
(44945,330083,3,100,'Inflicts 103 - 173 melee damage on target',0,0),
(44946,330083,3,100,'Slows target by 40.0%',0,1),
(44947,330083,3,100,'5% chance to dispel when target receives hostile action',0,2),
(44948,330083,3,100,'5% chance to dispel when target takes damage',0,3),
(44949,330083,4,100,'Inflicts 114 - 190 melee damage on target',0,0),
(44950,330083,4,100,'Slows target by 44.0%',0,1),
(44951,330083,4,100,'5% chance to dispel when target receives hostile action',0,2),
(44952,330083,4,100,'5% chance to dispel when target takes damage',0,3),
(44953,330083,5,100,'Inflicts 124 - 207 melee damage on target',0,0),
(44954,330083,5,100,'Slows target by 48.0%',0,1),
(44955,330083,5,100,'5% chance to dispel when target receives hostile action',0,2),
(44956,330083,5,100,'5% chance to dispel when target takes damage',0,3),
(44957,330083,7,100,'Inflicts 160 - 266 melee damage on target',0,0),
(44958,330083,7,100,'Slows target by 61.6%',0,1),
(44959,330083,7,100,'5% chance to dispel when target receives hostile action',0,2),
(44960,330083,7,100,'5% chance to dispel when target takes damage',0,3),
(44961,330083,9,100,'Inflicts 166 - 277 melee damage on target',0,0),
(44962,330083,9,100,'Slows target by 64.0%',0,1),
(44963,330083,9,100,'5% chance to dispel when target receives hostile action',0,2),
(44964,330083,9,100,'5% chance to dispel when target takes damage',0,3),
(44965,330083,10,100,'Inflicts 174 - 291 melee damage on target',0,0),
(44966,330083,10,100,'Slows target by 67.2%',0,1),
(44967,330083,10,100,'5% chance to dispel when target receives hostile action',0,2),
(44968,330083,10,100,'5% chance to dispel when target takes damage',0,3),
(44969,330084,1,100,'Inflicts 126 - 211 melee damage on target',0,0),
(44970,330084,1,100,'Slows target by 36.5%',0,1),
(44971,330084,1,100,'5% chance to dispel when target receives hostile action',0,2),
(44972,330084,1,100,'5% chance to dispel when target takes damage',0,3),
(44973,330084,2,100,'Inflicts 133 - 222 melee damage on target',0,0),
(44974,330084,2,100,'Slows target by 38.5%',0,1),
(44975,330084,2,100,'5% chance to dispel when target receives hostile action',0,2),
(44976,330084,2,100,'5% chance to dispel when target takes damage',0,3),
(44977,330084,3,100,'Inflicts 140 - 234 melee damage on target',0,0),
(44978,330084,3,100,'Slows target by 40.6%',0,1),
(44979,330084,3,100,'5% chance to dispel when target receives hostile action',0,2),
(44980,330084,3,100,'5% chance to dispel when target takes damage',0,3),
(44981,330084,4,100,'Inflicts 154 - 257 melee damage on target',0,0),
(44982,330084,4,100,'Slows target by 44.6%',0,1),
(44983,330084,4,100,'5% chance to dispel when target receives hostile action',0,2),
(44984,330084,4,100,'5% chance to dispel when target takes damage',0,3),
(44985,330084,5,100,'Inflicts 168 - 281 melee damage on target',0,0),
(44986,330084,5,100,'Slows target by 48.7%',0,1),
(44987,330084,5,100,'5% chance to dispel when target receives hostile action',0,2),
(44988,330084,5,100,'5% chance to dispel when target takes damage',0,3),
(44989,330084,7,100,'Inflicts 216 - 361 melee damage on target',0,0),
(44990,330084,7,100,'Slows target by 62.5%',0,1),
(44991,330084,7,100,'5% chance to dispel when target receives hostile action',0,2),
(44992,330084,7,100,'5% chance to dispel when target takes damage',0,3),
(44993,330084,9,100,'Inflicts 225 - 375 melee damage on target',0,0),
(44994,330084,9,100,'Slows target by 64.9%',0,1),
(44995,330084,9,100,'5% chance to dispel when target receives hostile action',0,2),
(44996,330084,9,100,'5% chance to dispel when target takes damage',0,3),
(44997,330084,10,100,'Inflicts 236 - 393 melee damage on target',0,0),
(44998,330084,10,100,'Slows target by 68.1%',0,1),
(44999,330084,10,100,'5% chance to dispel when target receives hostile action',0,2),
(45000,330084,10,100,'5% chance to dispel when target takes damage',0,3),
(45001,330085,1,100,'Inflicts 155 - 259 melee damage on target',0,0),
(45002,330085,1,100,'Slows target by 36.9%',0,1),
(45003,330085,1,100,'5% chance to dispel when target receives hostile action',0,2),
(45004,330085,1,100,'5% chance to dispel when target takes damage',0,3),
(45005,330085,2,100,'Inflicts 164 - 274 melee damage on target',0,0),
(45006,330085,2,100,'Slows target by 39.0%',0,1),
(45007,330085,2,100,'5% chance to dispel when target receives hostile action',0,2),
(45008,330085,2,100,'5% chance to dispel when target takes damage',0,3),
(45009,330085,3,100,'Inflicts 173 - 288 melee damage on target',0,0),
(45010,330085,3,100,'Slows target by 41.0%',0,1),
(45011,330085,3,100,'5% chance to dispel when target receives hostile action',0,2),
(45012,330085,3,100,'5% chance to dispel when target takes damage',0,3),
(45013,330085,4,100,'Inflicts 190 - 317 melee damage on target',0,0),
(45014,330085,4,100,'Slows target by 45.1%',0,1),
(45015,330085,4,100,'5% chance to dispel when target receives hostile action',0,2),
(45016,330085,4,100,'5% chance to dispel when target takes damage',0,3),
(45017,330085,5,100,'Inflicts 207 - 346 melee damage on target',0,0),
(45018,330085,5,100,'Slows target by 49.2%',0,1),
(45019,330085,5,100,'5% chance to dispel when target receives hostile action',0,2),
(45020,330085,5,100,'5% chance to dispel when target takes damage',0,3),
(45021,330085,7,100,'Inflicts 266 - 444 melee damage on target',0,0),
(45022,330085,7,100,'Slows target by 63.1%',0,1),
(45023,330085,7,100,'5% chance to dispel when target receives hostile action',0,2),
(45024,330085,7,100,'5% chance to dispel when target takes damage',0,3),
(45025,330085,9,100,'Inflicts 276 - 461 melee damage on target',0,0),
(45026,330085,9,100,'Slows target by 65.6%',0,1),
(45027,330085,9,100,'5% chance to dispel when target receives hostile action',0,2),
(45028,330085,9,100,'5% chance to dispel when target takes damage',0,3),
(45029,330086,1,100,'Inflicts 188 - 313 melee damage on target',0,0),
(45030,330086,1,100,'Slows target by 37.3%',0,1),
(45031,330086,1,100,'5% chance to dispel when target receives hostile action',0,2),
(45032,330086,1,100,'5% chance to dispel when target takes damage',0,3),
(45033,330086,4,100,'Inflicts 229 - 383 melee damage on target',0,0),
(45034,330086,4,100,'Slows target by 45.5%',0,1),
(45035,330086,4,100,'5% chance to dispel when target receives hostile action',0,2),
(45036,330086,4,100,'5% chance to dispel when target takes damage',0,3),
(45037,330086,5,100,'Inflicts 250 - 417 melee damage on target',0,0),
(45038,330086,5,100,'Slows target by 49.7%',0,1),
(45039,330086,5,100,'5% chance to dispel when target receives hostile action',0,2),
(45040,330086,5,100,'5% chance to dispel when target takes damage',0,3),
(45041,330086,7,100,'Inflicts 321 - 536 melee damage on target',0,0),
(45042,330086,7,100,'Slows target by 63.8%',0,1),
(45043,330086,7,100,'5% chance to dispel when target receives hostile action',0,2),
(45044,330086,7,100,'5% chance to dispel when target takes damage',0,3),
(45045,330086,9,100,'Inflicts 334 - 557 melee damage on target',0,0),
(45046,330086,9,100,'Slows target by 66.2%',0,1),
(45047,330086,9,100,'5% chance to dispel when target receives hostile action',0,2),
(45048,330086,9,100,'5% chance to dispel when target takes damage',0,3),
(45049,330087,1,100,'Inflicts 211 - 352 melee damage on target',0,0),
(45050,330087,1,100,'Slows target by 37.6%',0,1),
(45051,330087,1,100,'5% chance to dispel when target receives hostile action',0,2),
(45052,330087,1,100,'5% chance to dispel when target takes damage',0,3),
(45053,330087,4,100,'Inflicts 258 - 431 melee damage on target',0,0),
(45054,330087,4,100,'Slows target by 46.0%',0,1),
(45055,330087,4,100,'5% chance to dispel when target receives hostile action',0,2),
(45056,330087,4,100,'5% chance to dispel when target takes damage',0,3),
(45057,330087,5,100,'Inflicts 282 - 470 melee damage on target',0,0),
(45058,330087,5,100,'Slows target by 50.2%',0,1),
(45059,330087,5,100,'5% chance to dispel when target receives hostile action',0,2),
(45060,330087,5,100,'5% chance to dispel when target takes damage',0,3),
(45061,330087,7,100,'Inflicts 362 - 603 melee damage on target',0,0),
(45062,330087,7,100,'Slows target by 64.4%',0,1),
(45063,330087,7,100,'5% chance to dispel when target receives hostile action',0,2),
(45064,330087,7,100,'5% chance to dispel when target takes damage',0,3),
(45065,330087,9,100,'Inflicts 376 - 627 melee damage on target',0,0),
(45066,330087,9,100,'Slows target by 66.9%',0,1),
(45067,330087,9,100,'5% chance to dispel when target receives hostile action',0,2),
(45068,330087,9,100,'5% chance to dispel when target takes damage',0,3),
(45069,330088,1,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(45070,330088,1,100,'Slows target by 28.3%',1,1),
(45071,330088,1,100,'5% chance to dispel when target receives hostile action',1,2),
(45072,330088,1,100,'5% chance to dispel when target takes damage',1,3),
(45073,330088,1,100,'Decreases Combat Mitigation of target by 151.65',0,4),
(45074,330088,2,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(45075,330088,2,100,'Slows target by 29.8%',1,1),
(45076,330088,2,100,'5% chance to dispel when target receives hostile action',1,2),
(45077,330088,2,100,'5% chance to dispel when target takes damage',1,3),
(45078,330088,2,100,'Decreases Combat Mitigation of target by 160.07',0,4),
(45079,330088,3,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(45080,330088,3,100,'Slows target by 31.4%',1,1),
(45081,330088,3,100,'5% chance to dispel when target receives hostile action',1,2),
(45082,330088,3,100,'5% chance to dispel when target takes damage',1,3),
(45083,330088,3,100,'Decreases Combat Mitigation of target by 168.5',0,4),
(45084,330088,4,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(45085,330088,4,100,'Slows target by 34.5%',1,1),
(45086,330088,4,100,'5% chance to dispel when target receives hostile action',1,2),
(45087,330088,4,100,'5% chance to dispel when target takes damage',1,3),
(45088,330088,4,100,'Decreases Combat Mitigation of target by 185.35',0,4),
(45089,330088,5,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(45090,330088,5,100,'Slows target by 37.7%',1,1),
(45091,330088,5,100,'5% chance to dispel when target receives hostile action',1,2),
(45092,330088,5,100,'5% chance to dispel when target takes damage',1,3),
(45093,330088,5,100,'Decreases Combat Mitigation of target by 202.2',0,4),
(45094,330088,7,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(45095,330088,7,100,'Slows target by 48.4%',1,1),
(45096,330088,7,100,'5% chance to dispel when target receives hostile action',1,2),
(45097,330088,7,100,'5% chance to dispel when target takes damage',1,3),
(45098,330088,7,100,'Decreases Combat Mitigation of target by 259.49',0,4),
(45099,330088,9,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(45100,330088,9,100,'Slows target by 50.2%',1,1),
(45101,330088,9,100,'5% chance to dispel when target receives hostile action',1,2),
(45102,330088,9,100,'5% chance to dispel when target takes damage',1,3),
(45103,330088,9,100,'Decreases Combat Mitigation of target by 269.6',0,4),
(45104,330089,1,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(45105,330089,1,100,'Slows target by 31.1%',1,1),
(45106,330089,1,100,'5% chance to dispel when target receives hostile action',1,2),
(45107,330089,1,100,'5% chance to dispel when target takes damage',1,3),
(45108,330089,1,100,'Decreases Combat Mitigation of target by 151.65',0,4),
(45109,330089,2,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(45110,330089,2,100,'Slows target by 32.9%',1,1),
(45111,330089,2,100,'5% chance to dispel when target receives hostile action',1,2),
(45112,330089,2,100,'5% chance to dispel when target takes damage',1,3),
(45113,330089,2,100,'Decreases Combat Mitigation of target by 160.07',0,4),
(45114,330089,3,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(45115,330089,3,100,'Slows target by 34.6%',1,1),
(45116,330089,3,100,'5% chance to dispel when target receives hostile action',1,2),
(45117,330089,3,100,'5% chance to dispel when target takes damage',1,3),
(45118,330089,3,100,'Decreases Combat Mitigation of target by 168.5',0,4),
(45119,330089,4,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(45120,330089,4,100,'Slows target by 38.1%',1,1),
(45121,330089,4,100,'5% chance to dispel when target receives hostile action',1,2),
(45122,330089,4,100,'5% chance to dispel when target takes damage',1,3),
(45123,330089,4,100,'Decreases Combat Mitigation of target by 185.35',0,4),
(45124,330089,5,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(45125,330089,5,100,'Slows target by 41.5%',1,1),
(45126,330089,5,100,'5% chance to dispel when target receives hostile action',1,2),
(45127,330089,5,100,'5% chance to dispel when target takes damage',1,3),
(45128,330089,5,100,'Decreases Combat Mitigation of target by 202.2',0,4),
(45129,330089,7,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(45130,330089,7,100,'Slows target by 53.3%',1,1),
(45131,330089,7,100,'5% chance to dispel when target receives hostile action',1,2),
(45132,330089,7,100,'5% chance to dispel when target takes damage',1,3),
(45133,330089,7,100,'Decreases Combat Mitigation of target by 259.49',0,4),
(45134,330089,9,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(45135,330089,9,100,'Slows target by 55.4%',1,1),
(45136,330089,9,100,'5% chance to dispel when target receives hostile action',1,2),
(45137,330089,9,100,'5% chance to dispel when target takes damage',1,3),
(45138,330089,9,100,'Decreases Combat Mitigation of target by 269.6',0,4),
(45139,330090,1,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(45140,330090,1,100,'Slows target by 33.7%',1,1),
(45141,330090,1,100,'5% chance to dispel when target receives hostile action',1,2),
(45142,330090,1,100,'5% chance to dispel when target takes damage',1,3),
(45143,330090,1,100,'Decreases Combat Mitigation of target by 151.65',0,4),
(45144,330090,2,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(45145,330090,2,100,'Slows target by 35.5%',1,1),
(45146,330090,2,100,'5% chance to dispel when target receives hostile action',1,2),
(45147,330090,2,100,'5% chance to dispel when target takes damage',1,3),
(45148,330090,2,100,'Decreases Combat Mitigation of target by 160.07',0,4),
(45149,330090,3,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(45150,330090,3,100,'Slows target by 37.4%',1,1),
(45151,330090,3,100,'5% chance to dispel when target receives hostile action',1,2),
(45152,330090,3,100,'5% chance to dispel when target takes damage',1,3),
(45153,330090,3,100,'Decreases Combat Mitigation of target by 168.5',0,4),
(45154,330090,4,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(45155,330090,4,100,'Slows target by 41.1%',1,1),
(45156,330090,4,100,'5% chance to dispel when target receives hostile action',1,2),
(45157,330090,4,100,'5% chance to dispel when target takes damage',1,3),
(45158,330090,4,100,'Decreases Combat Mitigation of target by 185.35',0,4),
(45159,330090,5,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(45160,330090,5,100,'Slows target by 44.9%',1,1),
(45161,330090,5,100,'5% chance to dispel when target receives hostile action',1,2),
(45162,330090,5,100,'5% chance to dispel when target takes damage',1,3),
(45163,330090,5,100,'Decreases Combat Mitigation of target by 202.2',0,4),
(45164,330090,7,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(45165,330090,7,100,'Slows target by 57.6%',1,1),
(45166,330090,7,100,'5% chance to dispel when target receives hostile action',1,2),
(45167,330090,7,100,'5% chance to dispel when target takes damage',1,3),
(45168,330090,7,100,'Decreases Combat Mitigation of target by 259.49',0,4),
(45169,330090,9,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(45170,330090,9,100,'Slows target by 59.8%',1,1),
(45171,330090,9,100,'5% chance to dispel when target receives hostile action',1,2),
(45172,330090,9,100,'5% chance to dispel when target takes damage',1,3),
(45173,330090,9,100,'Decreases Combat Mitigation of target by 269.6',0,4),
(45174,330091,1,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(45175,330091,1,100,'Slows target by 36.0%',1,1),
(45176,330091,1,100,'5% chance to dispel when target receives hostile action',1,2),
(45177,330091,1,100,'5% chance to dispel when target takes damage',1,3),
(45178,330091,1,100,'Decreases Combat Mitigation of target by 151.65',0,4),
(45179,330091,2,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(45180,330091,2,100,'Slows target by 38.0%',1,1),
(45181,330091,2,100,'5% chance to dispel when target receives hostile action',1,2),
(45182,330091,2,100,'5% chance to dispel when target takes damage',1,3),
(45183,330091,2,100,'Decreases Combat Mitigation of target by 160.07',0,4),
(45184,330091,3,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(45185,330091,3,100,'Slows target by 40.0%',1,1),
(45186,330091,3,100,'5% chance to dispel when target receives hostile action',1,2),
(45187,330091,3,100,'5% chance to dispel when target takes damage',1,3),
(45188,330091,3,100,'Decreases Combat Mitigation of target by 168.5',0,4),
(45189,330091,4,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(45190,330091,4,100,'Slows target by 44.0%',1,1),
(45191,330091,4,100,'5% chance to dispel when target receives hostile action',1,2),
(45192,330091,4,100,'5% chance to dispel when target takes damage',1,3),
(45193,330091,4,100,'Decreases Combat Mitigation of target by 185.35',0,4),
(45194,330091,5,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(45195,330091,5,100,'Slows target by 48.0%',1,1),
(45196,330091,5,100,'5% chance to dispel when target receives hostile action',1,2),
(45197,330091,5,100,'5% chance to dispel when target takes damage',1,3),
(45198,330091,5,100,'Decreases Combat Mitigation of target by 202.2',0,4),
(45199,330091,7,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(45200,330091,7,100,'Slows target by 61.7%',1,1),
(45201,330091,7,100,'5% chance to dispel when target receives hostile action',1,2),
(45202,330091,7,100,'5% chance to dispel when target takes damage',1,3),
(45203,330091,7,100,'Decreases Combat Mitigation of target by 259.49',0,4),
(45204,330091,9,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(45205,330091,9,100,'Slows target by 64.1%',1,1),
(45206,330091,9,100,'5% chance to dispel when target receives hostile action',1,2),
(45207,330091,9,100,'5% chance to dispel when target takes damage',1,3),
(45208,330091,9,100,'Decreases Combat Mitigation of target by 269.6',0,4),
(45209,330092,1,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(45210,330092,1,100,'Slows target by 36.5%',1,1),
(45211,330092,1,100,'5% chance to dispel when target receives hostile action',1,2),
(45212,330092,1,100,'5% chance to dispel when target takes damage',1,3),
(45213,330092,1,100,'Decreases Combat Mitigation of target by 151.65',0,4),
(45214,330092,2,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(45215,330092,2,100,'Slows target by 38.6%',1,1),
(45216,330092,2,100,'5% chance to dispel when target receives hostile action',1,2),
(45217,330092,2,100,'5% chance to dispel when target takes damage',1,3),
(45218,330092,2,100,'Decreases Combat Mitigation of target by 160.07',0,4),
(45219,330092,3,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(45220,330092,3,100,'Slows target by 40.6%',1,1),
(45221,330092,3,100,'5% chance to dispel when target receives hostile action',1,2),
(45222,330092,3,100,'5% chance to dispel when target takes damage',1,3),
(45223,330092,3,100,'Decreases Combat Mitigation of target by 168.5',0,4),
(45224,330092,4,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(45225,330092,4,100,'Slows target by 44.7%',1,1),
(45226,330092,4,100,'5% chance to dispel when target receives hostile action',1,2),
(45227,330092,4,100,'5% chance to dispel when target takes damage',1,3),
(45228,330092,4,100,'Decreases Combat Mitigation of target by 185.35',0,4),
(45229,330092,5,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(45230,330092,5,100,'Slows target by 48.7%',1,1),
(45231,330092,5,100,'5% chance to dispel when target receives hostile action',1,2),
(45232,330092,5,100,'5% chance to dispel when target takes damage',1,3),
(45233,330092,5,100,'Decreases Combat Mitigation of target by 202.2',0,4),
(45234,330092,7,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(45235,330092,7,100,'Slows target by 62.5%',1,1),
(45236,330092,7,100,'5% chance to dispel when target receives hostile action',1,2),
(45237,330092,7,100,'5% chance to dispel when target takes damage',1,3),
(45238,330092,7,100,'Decreases Combat Mitigation of target by 259.49',0,4),
(45239,330092,9,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(45240,330092,9,100,'Slows target by 65.0%',1,1),
(45241,330092,9,100,'5% chance to dispel when target receives hostile action',1,2),
(45242,330092,9,100,'5% chance to dispel when target takes damage',1,3),
(45243,330092,9,100,'Decreases Combat Mitigation of target by 269.6',0,4),
(45244,330093,1,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(45245,330093,1,100,'Slows target by 36.9%',1,1),
(45246,330093,1,100,'5% chance to dispel when target receives hostile action',1,2),
(45247,330093,1,100,'5% chance to dispel when target takes damage',1,3),
(45248,330093,1,100,'Decreases Combat Mitigation of target by 151.65',0,4),
(45249,330093,2,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(45250,330093,2,100,'Slows target by 39.0%',1,1),
(45251,330093,2,100,'5% chance to dispel when target receives hostile action',1,2),
(45252,330093,2,100,'5% chance to dispel when target takes damage',1,3),
(45253,330093,2,100,'Decreases Combat Mitigation of target by 160.07',0,4),
(45254,330093,3,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(45255,330093,3,100,'Slows target by 41.0%',1,1),
(45256,330093,3,100,'5% chance to dispel when target receives hostile action',1,2),
(45257,330093,3,100,'5% chance to dispel when target takes damage',1,3),
(45258,330093,3,100,'Decreases Combat Mitigation of target by 168.5',0,4),
(45259,330093,4,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(45260,330093,4,100,'Slows target by 45.1%',1,1),
(45261,330093,4,100,'5% chance to dispel when target receives hostile action',1,2),
(45262,330093,4,100,'5% chance to dispel when target takes damage',1,3),
(45263,330093,4,100,'Decreases Combat Mitigation of target by 185.35',0,4),
(45264,330093,5,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(45265,330093,5,100,'Slows target by 49.2%',1,1),
(45266,330093,5,100,'5% chance to dispel when target receives hostile action',1,2),
(45267,330093,5,100,'5% chance to dispel when target takes damage',1,3),
(45268,330093,5,100,'Decreases Combat Mitigation of target by 202.2',0,4),
(45269,330093,7,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(45270,330093,7,100,'Slows target by 63.2%',1,1),
(45271,330093,7,100,'5% chance to dispel when target receives hostile action',1,2),
(45272,330093,7,100,'5% chance to dispel when target takes damage',1,3),
(45273,330093,7,100,'Decreases Combat Mitigation of target by 259.49',0,4),
(45274,330093,9,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(45275,330093,9,100,'Slows target by 65.7%',1,1),
(45276,330093,9,100,'5% chance to dispel when target receives hostile action',1,2),
(45277,330093,9,100,'5% chance to dispel when target takes damage',1,3),
(45278,330093,9,100,'Decreases Combat Mitigation of target by 269.6',0,4),
(45279,330094,1,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(45280,330094,1,100,'Slows target by 37.3%',1,1),
(45281,330094,1,100,'5% chance to dispel when target receives hostile action',1,2),
(45282,330094,1,100,'5% chance to dispel when target takes damage',1,3),
(45283,330094,1,100,'Decreases Combat Mitigation of target by 151.65',0,4),
(45284,330094,4,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(45285,330094,4,100,'Slows target by 45.6%',1,1),
(45286,330094,4,100,'5% chance to dispel when target receives hostile action',1,2),
(45287,330094,4,100,'5% chance to dispel when target takes damage',1,3),
(45288,330094,4,100,'Decreases Combat Mitigation of target by 185.35',0,4),
(45289,330094,5,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(45290,330094,5,100,'Slows target by 49.7%',1,1),
(45291,330094,5,100,'5% chance to dispel when target receives hostile action',1,2),
(45292,330094,5,100,'5% chance to dispel when target takes damage',1,3),
(45293,330094,5,100,'Decreases Combat Mitigation of target by 202.2',0,4),
(45294,330094,7,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(45295,330094,7,100,'Slows target by 63.8%',1,1),
(45296,330094,7,100,'5% chance to dispel when target receives hostile action',1,2),
(45297,330094,7,100,'5% chance to dispel when target takes damage',1,3),
(45298,330094,7,100,'Decreases Combat Mitigation of target by 259.49',0,4),
(45299,330094,9,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(45300,330094,9,100,'Slows target by 66.3%',1,1),
(45301,330094,9,100,'5% chance to dispel when target receives hostile action',1,2),
(45302,330094,9,100,'5% chance to dispel when target takes damage',1,3),
(45303,330094,9,100,'Decreases Combat Mitigation of target by 269.6',0,4),
(45304,330095,1,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(45305,330095,1,100,'Slows target by 37.7%',1,1),
(45306,330095,1,100,'5% chance to dispel when target receives hostile action',1,2),
(45307,330095,1,100,'5% chance to dispel when target takes damage',1,3),
(45308,330095,1,100,'Decreases Combat Mitigation of target by 151.65',0,4),
(45309,330095,4,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(45310,330095,4,100,'Slows target by 46.0%',1,1),
(45311,330095,4,100,'5% chance to dispel when target receives hostile action',1,2),
(45312,330095,4,100,'5% chance to dispel when target takes damage',1,3),
(45313,330095,4,100,'Decreases Combat Mitigation of target by 185.35',0,4),
(45314,330095,5,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(45315,330095,5,100,'Slows target by 50.2%',1,1),
(45316,330095,5,100,'5% chance to dispel when target receives hostile action',1,2),
(45317,330095,5,100,'5% chance to dispel when target takes damage',1,3),
(45318,330095,5,100,'Decreases Combat Mitigation of target by 202.2',0,4),
(45319,330095,7,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(45320,330095,7,100,'Slows target by 64.4%',1,1),
(45321,330095,7,100,'5% chance to dispel when target receives hostile action',1,2),
(45322,330095,7,100,'5% chance to dispel when target takes damage',1,3),
(45323,330095,7,100,'Decreases Combat Mitigation of target by 259.49',0,4),
(45324,330095,9,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(45325,330095,9,100,'Slows target by 66.9%',1,1),
(45326,330095,9,100,'5% chance to dispel when target receives hostile action',1,2),
(45327,330095,9,100,'5% chance to dispel when target takes damage',1,3),
(45328,330095,9,100,'Decreases Combat Mitigation of target by 269.6',0,4),
(45329,2000126,1,100,'Applies True Territory.  Lasts for 30.0 seconds.',0,0),
(45330,2000126,1,100,'Increases Multi Attack Chance of caster by 6.9',1,1),
(45331,2000126,1,100,'Increases Attack Speed of caster by 6.9',1,2),
(45332,2000126,1,100,'Inflicts 121 - 201 divine damage on target',0,3),
(45333,2000126,1,100,'Inflicts up to 40 times the listed damage, based on the amount of increments of Divine Justice the paladin has active. Consumes all Divine Justice charges when used.',0,4),
(45334,2000126,1,100,'You must have Divine Justice to use Harbinger of Justice!',0,5),
(45335,90028,1,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(45336,90028,1,100,'Throws target back',1,1),
(45337,90028,1,100,'Blurs vision of target',1,2),
(45338,90028,1,100,'Stuns target',1,3),
(45339,90028,1,100,'Does not affect Epic targets',1,4),
(45340,90028,1,100,'Inflicts 13 - 22 disease damage on target',0,5),
(45341,90028,1,100,'Increases Threat to target by 500  instantly and by 208  every 3 seconds thereafter',0,6),
(45342,90028,2,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(45343,90028,2,100,'Throws target back',1,1),
(45344,90028,2,100,'Blurs vision of target',1,2),
(45345,90028,2,100,'Stuns target',1,3),
(45346,90028,2,100,'Does not affect Epic targets',1,4),
(45347,90028,2,100,'Inflicts 14 - 23 disease damage on target',0,5),
(45348,90028,2,100,'Increases Threat to target by 527  instantly and by 220  every 3 seconds thereafter',0,6),
(45349,90028,3,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(45350,90028,3,100,'Throws target back',1,1),
(45351,90028,3,100,'Blurs vision of target',1,2),
(45352,90028,3,100,'Stuns target',1,3),
(45353,90028,3,100,'Does not affect Epic targets',1,4),
(45354,90028,3,100,'Inflicts 15 - 25 disease damage on target',0,5),
(45355,90028,3,100,'Increases Threat to target by 555  instantly and by 231  every 3 seconds thereafter',0,6),
(45356,90028,4,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(45357,90028,4,100,'Throws target back',1,1),
(45358,90028,4,100,'Blurs vision of target',1,2),
(45359,90028,4,100,'Stuns target',1,3),
(45360,90028,4,100,'Does not affect Epic targets',1,4),
(45361,90028,4,100,'Inflicts 16 - 27 disease damage on target',0,5),
(45362,90028,4,100,'Increases Threat to target by 611  instantly and by 254  every 3 seconds thereafter',0,6),
(45363,90028,5,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(45364,90028,5,100,'Throws target back',1,1),
(45365,90028,5,100,'Blurs vision of target',1,2),
(45366,90028,5,100,'Stuns target',1,3),
(45367,90028,5,100,'Does not affect Epic targets',1,4),
(45368,90028,5,100,'Inflicts 18 - 30 disease damage on target',0,5),
(45369,90028,5,100,'Increases Threat to target by 666  instantly and by 277  every 3 seconds thereafter',0,6),
(45370,90028,7,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(45371,90028,7,100,'Throws target back',1,1),
(45372,90028,7,100,'Blurs vision of target',1,2),
(45373,90028,7,100,'Stuns target',1,3),
(45374,90028,7,100,'Does not affect Epic targets',1,4),
(45375,90028,7,100,'Inflicts 23 - 38 disease damage on target',0,5),
(45376,90028,7,100,'Increases Threat to target by 855  instantly and by 354  every 3 seconds thereafter',0,6),
(45377,90028,9,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(45378,90028,9,100,'Throws target back',1,1),
(45379,90028,9,100,'Blurs vision of target',1,2),
(45380,90028,9,100,'Stuns target',1,3),
(45381,90028,9,100,'Does not affect Epic targets',1,4),
(45382,90028,9,100,'Inflicts 24 - 40 disease damage on target',0,5),
(45383,90028,9,100,'Increases Threat to target by 889  instantly and by 368  every 3 seconds thereafter',0,6),
(45384,90029,1,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(45385,90029,1,100,'Throws target back',1,1),
(45386,90029,1,100,'Blurs vision of target',1,2),
(45387,90029,1,100,'Stuns target',1,3),
(45388,90029,1,100,'Does not affect Epic targets',1,4),
(45389,90029,1,100,'Inflicts 29 - 48 disease damage on target',0,5),
(45390,90029,1,100,'Increases Threat to target by 1,098  instantly and by 458  every 3 seconds thereafter',0,6),
(45391,90029,2,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(45392,90029,2,100,'Throws target back',1,1),
(45393,90029,2,100,'Blurs vision of target',1,2),
(45394,90029,2,100,'Stuns target',1,3),
(45395,90029,2,100,'Does not affect Epic targets',1,4),
(45396,90029,2,100,'Inflicts 30 - 51 disease damage on target',0,5),
(45397,90029,2,100,'Increases Threat to target by 1,159  instantly and by 483  every 3 seconds thereafter',0,6),
(45398,90029,3,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(45399,90029,3,100,'Throws target back',1,1),
(45400,90029,3,100,'Blurs vision of target',1,2),
(45401,90029,3,100,'Stuns target',1,3),
(45402,90029,3,100,'Does not affect Epic targets',1,4),
(45403,90029,3,100,'Inflicts 32 - 54 disease damage on target',0,5),
(45404,90029,3,100,'Increases Threat to target by 1,220  instantly and by 508  every 3 seconds thereafter',0,6),
(45405,90029,4,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(45406,90029,4,100,'Throws target back',1,1),
(45407,90029,4,100,'Blurs vision of target',1,2),
(45408,90029,4,100,'Stuns target',1,3),
(45409,90029,4,100,'Does not affect Epic targets',1,4),
(45410,90029,4,100,'Inflicts 35 - 59 disease damage on target',0,5),
(45411,90029,4,100,'Increases Threat to target by 1,312  instantly and by 559  every 3 seconds thereafter',0,6),
(45412,90029,5,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(45413,90029,5,100,'Throws target back',1,1),
(45414,90029,5,100,'Blurs vision of target',1,2),
(45415,90029,5,100,'Stuns target',1,3),
(45416,90029,5,100,'Does not affect Epic targets',1,4),
(45417,90029,5,100,'Inflicts 38 - 64 disease damage on target',0,5),
(45418,90029,5,100,'Increases Threat to target by 1,382  instantly and by 609  every 3 seconds thereafter',0,6),
(45419,90029,7,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(45420,90029,7,100,'Throws target back',1,1),
(45421,90029,7,100,'Blurs vision of target',1,2),
(45422,90029,7,100,'Stuns target',1,3),
(45423,90029,7,100,'Does not affect Epic targets',1,4),
(45424,90029,7,100,'Inflicts 49 - 83 disease damage on target',0,5),
(45425,90029,7,100,'Increases Threat to target by 1,621  instantly and by 781  every 3 seconds thereafter',0,6),
(45426,90029,9,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(45427,90029,9,100,'Throws target back',1,1),
(45428,90029,9,100,'Blurs vision of target',1,2),
(45429,90029,9,100,'Stuns target',1,3),
(45430,90029,9,100,'Does not affect Epic targets',1,4),
(45431,90029,9,100,'Inflicts 51 - 86 disease damage on target',0,5),
(45432,90029,9,100,'Increases Threat to target by 1,663  instantly and by 811  every 3 seconds thereafter',0,6),
(45433,90030,1,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(45434,90030,1,100,'Throws target back',1,1),
(45435,90030,1,100,'Blurs vision of target',1,2),
(45436,90030,1,100,'Stuns target',1,3),
(45437,90030,1,100,'Does not affect Epic targets',1,4),
(45438,90030,1,100,'Inflicts 46 - 77 disease damage on target',0,5),
(45439,90030,1,100,'Increases Threat to target by 1,575  instantly and by 752  every 3 seconds thereafter',0,6),
(45440,90030,2,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(45441,90030,2,100,'Throws target back',1,1),
(45442,90030,2,100,'Blurs vision of target',1,2),
(45443,90030,2,100,'Stuns target',1,3),
(45444,90030,2,100,'Does not affect Epic targets',1,4),
(45445,90030,2,100,'Inflicts 49 - 81 disease damage on target',0,5),
(45446,90030,2,100,'Increases Threat to target by 1,633  instantly and by 793  every 3 seconds thereafter',0,6),
(45447,90030,3,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(45448,90030,3,100,'Throws target back',1,1),
(45449,90030,3,100,'Blurs vision of target',1,2),
(45450,90030,3,100,'Stuns target',1,3),
(45451,90030,3,100,'Does not affect Epic targets',1,4),
(45452,90030,3,100,'Inflicts 51 - 86 disease damage on target',0,5),
(45453,90030,3,100,'Increases Threat to target by 1,690  instantly and by 835  every 3 seconds thereafter',0,6),
(45454,90030,4,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(45455,90030,4,100,'Throws target back',1,1),
(45456,90030,4,100,'Blurs vision of target',1,2),
(45457,90030,4,100,'Stuns target',1,3),
(45458,90030,4,100,'Does not affect Epic targets',1,4),
(45459,90030,4,100,'Inflicts 56 - 94 disease damage on target',0,5),
(45460,90030,4,100,'Increases Threat to target by 1,805  instantly and by 918  every 3 seconds thereafter',0,6),
(45461,90030,5,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(45462,90030,5,100,'Throws target back',1,1),
(45463,90030,5,100,'Blurs vision of target',1,2),
(45464,90030,5,100,'Stuns target',1,3),
(45465,90030,5,100,'Does not affect Epic targets',1,4),
(45466,90030,5,100,'Inflicts 62 - 103 disease damage on target',0,5),
(45467,90030,5,100,'Increases Threat to target by 1,920  instantly and by 1,001  every 3 seconds thereafter',0,6),
(45468,90030,7,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(45469,90030,7,100,'Throws target back',1,1),
(45470,90030,7,100,'Blurs vision of target',1,2),
(45471,90030,7,100,'Stuns target',1,3),
(45472,90030,7,100,'Does not affect Epic targets',1,4),
(45473,90030,7,100,'Inflicts 79 - 132 disease damage on target',0,5),
(45474,90030,7,100,'Increases Threat to target by 2,312  instantly and by 1,275  every 3 seconds thereafter',0,6),
(45475,90030,9,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(45476,90030,9,100,'Throws target back',1,1),
(45477,90030,9,100,'Blurs vision of target',1,2),
(45478,90030,9,100,'Stuns target',1,3),
(45479,90030,9,100,'Does not affect Epic targets',1,4),
(45480,90030,9,100,'Inflicts 82 - 137 disease damage on target',0,5),
(45481,90030,9,100,'Increases Threat to target by 2,381  instantly and by 1,304  every 3 seconds thereafter',0,6),
(45482,90031,1,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(45483,90031,1,100,'Throws target back',1,1),
(45484,90031,1,100,'Blurs vision of target',1,2),
(45485,90031,1,100,'Stuns target',1,3),
(45486,90031,1,100,'Does not affect Epic targets',1,4),
(45487,90031,1,100,'Inflicts 67 - 113 disease damage on target',0,5),
(45488,90031,1,100,'Increases Threat to target by 2,090  instantly and by 1,127  every 3 seconds thereafter',0,6),
(45489,90031,2,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(45490,90031,2,100,'Throws target back',1,1),
(45491,90031,2,100,'Blurs vision of target',1,2),
(45492,90031,2,100,'Stuns target',1,3),
(45493,90031,2,100,'Does not affect Epic targets',1,4),
(45494,90031,2,100,'Inflicts 71 - 119 disease damage on target',0,5),
(45495,90031,2,100,'Increases Threat to target by 2,176  instantly and by 1,189  every 3 seconds thereafter',0,6),
(45496,90031,3,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(45497,90031,3,100,'Throws target back',1,1),
(45498,90031,3,100,'Blurs vision of target',1,2),
(45499,90031,3,100,'Stuns target',1,3),
(45500,90031,3,100,'Does not affect Epic targets',1,4),
(45501,90031,3,100,'Inflicts 75 - 125 disease damage on target',0,5),
(45502,90031,3,100,'Increases Threat to target by 2,262  instantly and by 1,252  every 3 seconds thereafter',0,6),
(45503,90031,4,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(45504,90031,4,100,'Throws target back',1,1),
(45505,90031,4,100,'Blurs vision of target',1,2),
(45506,90031,4,100,'Stuns target',1,3),
(45507,90031,4,100,'Does not affect Epic targets',1,4),
(45508,90031,4,100,'Inflicts 82 - 138 disease damage on target',0,5),
(45509,90031,4,100,'Increases Threat to target by 2,435  instantly and by 1,329  every 3 seconds thereafter',0,6),
(45510,90031,5,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(45511,90031,5,100,'Throws target back',1,1),
(45512,90031,5,100,'Blurs vision of target',1,2),
(45513,90031,5,100,'Stuns target',1,3),
(45514,90031,5,100,'Does not affect Epic targets',1,4),
(45515,90031,5,100,'Inflicts 90 - 150 disease damage on target',0,5),
(45516,90031,5,100,'Increases Threat to target by 2,607  instantly and by 1,400  every 3 seconds thereafter',0,6),
(45517,90031,7,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(45518,90031,7,100,'Throws target back',1,1),
(45519,90031,7,100,'Blurs vision of target',1,2),
(45520,90031,7,100,'Stuns target',1,3),
(45521,90031,7,100,'Does not affect Epic targets',1,4),
(45522,90031,7,100,'Inflicts 116 - 193 disease damage on target',0,5),
(45523,90031,7,100,'Increases Threat to target by 3,193  instantly and by 1,642  every 3 seconds thereafter',0,6),
(45524,90031,9,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(45525,90031,9,100,'Throws target back',1,1),
(45526,90031,9,100,'Blurs vision of target',1,2),
(45527,90031,9,100,'Stuns target',1,3),
(45528,90031,9,100,'Does not affect Epic targets',1,4),
(45529,90031,9,100,'Inflicts 120 - 200 disease damage on target',0,5),
(45530,90031,9,100,'Increases Threat to target by 3,296  instantly and by 1,685  every 3 seconds thereafter',0,6),
(45531,90032,1,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(45532,90032,1,100,'Throws target back',1,1),
(45533,90032,1,100,'Blurs vision of target',1,2),
(45534,90032,1,100,'Stuns target',1,3),
(45535,90032,1,100,'Does not affect Epic targets',1,4),
(45536,90032,1,100,'Inflicts 89 - 148 disease damage on target',0,5),
(45537,90032,1,100,'Increases Threat to target by 2,630  instantly and by 1,411  every 3 seconds thereafter',0,6),
(45538,90032,2,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(45539,90032,2,100,'Throws target back',1,1),
(45540,90032,2,100,'Blurs vision of target',1,2),
(45541,90032,2,100,'Stuns target',1,3),
(45542,90032,2,100,'Does not affect Epic targets',1,4),
(45543,90032,2,100,'Inflicts 94 - 156 disease damage on target',0,5),
(45544,90032,2,100,'Increases Threat to target by 2,746  instantly and by 1,459  every 3 seconds thereafter',0,6),
(45545,90032,3,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(45546,90032,3,100,'Throws target back',1,1),
(45547,90032,3,100,'Blurs vision of target',1,2),
(45548,90032,3,100,'Stuns target',1,3),
(45549,90032,3,100,'Does not affect Epic targets',1,4),
(45550,90032,3,100,'Inflicts 99 - 165 disease damage on target',0,5),
(45551,90032,3,100,'Increases Threat to target by 2,862  instantly and by 1,507  every 3 seconds thereafter',0,6),
(45552,90032,4,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(45553,90032,4,100,'Throws target back',1,1),
(45554,90032,4,100,'Blurs vision of target',1,2),
(45555,90032,4,100,'Stuns target',1,3),
(45556,90032,4,100,'Does not affect Epic targets',1,4),
(45557,90032,4,100,'Inflicts 108 - 181 disease damage on target',0,5),
(45558,90032,4,100,'Increases Threat to target by 3,094  instantly and by 1,603  every 3 seconds thereafter',0,6),
(45559,90032,5,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(45560,90032,5,100,'Throws target back',1,1),
(45561,90032,5,100,'Blurs vision of target',1,2),
(45562,90032,5,100,'Stuns target',1,3),
(45563,90032,5,100,'Does not affect Epic targets',1,4),
(45564,90032,5,100,'Inflicts 118 - 198 disease damage on target',0,5),
(45565,90032,5,100,'Increases Threat to target by 3,327  instantly and by 1,700  every 3 seconds thereafter',0,6),
(45566,90032,7,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(45567,90032,7,100,'Throws target back',1,1),
(45568,90032,7,100,'Blurs vision of target',1,2),
(45569,90032,7,100,'Stuns target',1,3),
(45570,90032,7,100,'Does not affect Epic targets',1,4),
(45571,90032,7,100,'Inflicts 152 - 254 disease damage on target',0,5),
(45572,90032,7,100,'Increases Threat to target by 4,116  instantly and by 2,027  every 3 seconds thereafter',0,6),
(45573,90032,9,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(45574,90032,9,100,'Throws target back',1,1),
(45575,90032,9,100,'Blurs vision of target',1,2),
(45576,90032,9,100,'Stuns target',1,3),
(45577,90032,9,100,'Does not affect Epic targets',1,4),
(45578,90032,9,100,'Inflicts 158 - 264 disease damage on target',0,5),
(45579,90032,9,100,'Increases Threat to target by 4,256  instantly and by 2,084  every 3 seconds thereafter',0,6),
(45580,90033,1,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(45581,90033,1,100,'Throws target back',1,1),
(45582,90033,1,100,'Blurs vision of target',1,2),
(45583,90033,1,100,'Stuns target',1,3),
(45584,90033,1,100,'Does not affect Epic targets',1,4),
(45585,90033,1,100,'Inflicts 107 - 179 disease damage on target',0,5),
(45586,90033,1,100,'Increases Threat to target by 3,156  instantly and by 1,630  every 3 seconds thereafter',0,6),
(45587,90033,2,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(45588,90033,2,100,'Throws target back',1,1),
(45589,90033,2,100,'Blurs vision of target',1,2),
(45590,90033,2,100,'Stuns target',1,3),
(45591,90033,2,100,'Does not affect Epic targets',1,4),
(45592,90033,2,100,'Inflicts 113 - 189 disease damage on target',0,5),
(45593,90033,2,100,'Increases Threat to target by 3,301  instantly and by 1,691  every 3 seconds thereafter',0,6),
(45594,90033,3,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(45595,90033,3,100,'Throws target back',1,1),
(45596,90033,3,100,'Blurs vision of target',1,2),
(45597,90033,3,100,'Stuns target',1,3),
(45598,90033,3,100,'Does not affect Epic targets',1,4),
(45599,90033,3,100,'Inflicts 119 - 199 disease damage on target',0,5),
(45600,90033,3,100,'Increases Threat to target by 3,447  instantly and by 1,751  every 3 seconds thereafter',0,6),
(45601,90033,4,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(45602,90033,4,100,'Throws target back',1,1),
(45603,90033,4,100,'Blurs vision of target',1,2),
(45604,90033,4,100,'Stuns target',1,3),
(45605,90033,4,100,'Does not affect Epic targets',1,4),
(45606,90033,4,100,'Inflicts 131 - 219 disease damage on target',0,5),
(45607,90033,4,100,'Increases Threat to target by 3,737  instantly and by 1,871  every 3 seconds thereafter',0,6),
(45608,90033,5,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(45609,90033,5,100,'Throws target back',1,1),
(45610,90033,5,100,'Blurs vision of target',1,2),
(45611,90033,5,100,'Stuns target',1,3),
(45612,90033,5,100,'Does not affect Epic targets',1,4),
(45613,90033,5,100,'Inflicts 143 - 239 disease damage on target',0,5),
(45614,90033,5,100,'Increases Threat to target by 4,028  instantly and by 1,992  every 3 seconds thereafter',0,6),
(45615,90033,7,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(45616,90033,7,100,'Throws target back',1,1),
(45617,90033,7,100,'Blurs vision of target',1,2),
(45618,90033,7,100,'Stuns target',1,3),
(45619,90033,7,100,'Does not affect Epic targets',1,4),
(45620,90033,7,100,'Inflicts 184 - 307 disease damage on target',0,5),
(45621,90033,7,100,'Increases Threat to target by 5,016  instantly and by 2,401  every 3 seconds thereafter',0,6),
(45622,90033,9,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(45623,90033,9,100,'Throws target back',1,1),
(45624,90033,9,100,'Blurs vision of target',1,2),
(45625,90033,9,100,'Stuns target',1,3),
(45626,90033,9,100,'Does not affect Epic targets',1,4),
(45627,90033,9,100,'Inflicts 191 - 319 disease damage on target',0,5),
(45628,90033,9,100,'Increases Threat to target by 5,191  instantly and by 2,474  every 3 seconds thereafter',0,6),
(45629,90034,1,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(45630,90034,1,100,'Throws target back',1,1),
(45631,90034,1,100,'Blurs vision of target',1,2),
(45632,90034,1,100,'Stuns target',1,3),
(45633,90034,1,100,'Does not affect Epic targets',1,4),
(45634,90034,1,100,'Inflicts 129 - 216 disease damage on target',0,5),
(45635,90034,1,100,'Increases Threat to target by 3,697  instantly and by 1,856  every 3 seconds thereafter',0,6),
(45636,90034,4,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(45637,90034,4,100,'Throws target back',1,1),
(45638,90034,4,100,'Blurs vision of target',1,2),
(45639,90034,4,100,'Stuns target',1,3),
(45640,90034,4,100,'Does not affect Epic targets',1,4),
(45641,90034,4,100,'Inflicts 158 - 264 disease damage on target',0,5),
(45642,90034,4,100,'Increases Threat to target by 4,398  instantly and by 2,147  every 3 seconds thereafter',0,6),
(45643,90034,5,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(45644,90034,5,100,'Throws target back',1,1),
(45645,90034,5,100,'Blurs vision of target',1,2),
(45646,90034,5,100,'Stuns target',1,3),
(45647,90034,5,100,'Does not affect Epic targets',1,4),
(45648,90034,5,100,'Inflicts 173 - 288 disease damage on target',0,5),
(45649,90034,5,100,'Increases Threat to target by 4,749  instantly and by 2,292  every 3 seconds thereafter',0,6),
(45650,90034,7,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(45651,90034,7,100,'Throws target back',1,1),
(45652,90034,7,100,'Blurs vision of target',1,2),
(45653,90034,7,100,'Stuns target',1,3),
(45654,90034,7,100,'Does not affect Epic targets',1,4),
(45655,90034,7,100,'Inflicts 222 - 370 disease damage on target',0,5),
(45656,90034,7,100,'Increases Threat to target by 5,942  instantly and by 2,787  every 3 seconds thereafter',0,6),
(45657,90034,9,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(45658,90034,9,100,'Throws target back',1,1),
(45659,90034,9,100,'Blurs vision of target',1,2),
(45660,90034,9,100,'Stuns target',1,3),
(45661,90034,9,100,'Does not affect Epic targets',1,4),
(45662,90034,9,100,'Inflicts 231 - 385 disease damage on target',0,5),
(45663,90034,9,100,'Increases Threat to target by 6,152  instantly and by 2,874  every 3 seconds thereafter',0,6),
(45664,90035,1,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(45665,90035,1,100,'Throws target back',1,1),
(45666,90035,1,100,'Blurs vision of target',1,2),
(45667,90035,1,100,'Stuns target',1,3),
(45668,90035,1,100,'Does not affect Epic targets',1,4),
(45669,90035,1,100,'Inflicts 139 - 232 disease damage on target',0,5),
(45670,90035,1,100,'Increases Threat to target by 4,238  instantly and by 2,081  every 3 seconds thereafter',0,6),
(45671,90035,4,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(45672,90035,4,100,'Throws target back',1,1),
(45673,90035,4,100,'Blurs vision of target',1,2),
(45674,90035,4,100,'Stuns target',1,3),
(45675,90035,4,100,'Does not affect Epic targets',1,4),
(45676,90035,4,100,'Inflicts 170 - 284 disease damage on target',0,5),
(45677,90035,4,100,'Increases Threat to target by 5,059  instantly and by 2,422  every 3 seconds thereafter',0,6),
(45678,90035,5,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(45679,90035,5,100,'Throws target back',1,1),
(45680,90035,5,100,'Blurs vision of target',1,2),
(45681,90035,5,100,'Stuns target',1,3),
(45682,90035,5,100,'Does not affect Epic targets',1,4),
(45683,90035,5,100,'Inflicts 185 - 309 disease damage on target',0,5),
(45684,90035,5,100,'Increases Threat to target by 5,470  instantly and by 2,593  every 3 seconds thereafter',0,6),
(45685,90035,7,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(45686,90035,7,100,'Throws target back',1,1),
(45687,90035,7,100,'Blurs vision of target',1,2),
(45688,90035,7,100,'Stuns target',1,3),
(45689,90035,7,100,'Does not affect Epic targets',1,4),
(45690,90035,7,100,'Inflicts 238 - 397 disease damage on target',0,5),
(45691,90035,7,100,'Increases Threat to target by 6,867  instantly and by 3,172  every 3 seconds thereafter',0,6),
(45692,90035,9,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(45693,90035,9,100,'Throws target back',1,1),
(45694,90035,9,100,'Blurs vision of target',1,2),
(45695,90035,9,100,'Stuns target',1,3),
(45696,90035,9,100,'Does not affect Epic targets',1,4),
(45697,90035,9,100,'Inflicts 247 - 413 disease damage on target',0,5),
(45698,90035,9,100,'Increases Threat to target by 7,114  instantly and by 3,275  every 3 seconds thereafter',0,6),
(45699,340107,12,100,'Improves the Brigand''s profession debuffs by 10%.',0,0),
(45700,340107,12,100,'On a combat hit this spell may cast Havoc''s Treachery on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.4 times per minute. ',0,1),
(45701,340107,12,100,'Inflicts 605 - 907 piercing damage on target',1,2),
(45702,340107,12,100,'Increases Damage Per Second of caster by 15.0',1,3),
(45703,340107,12,100,'Cannot be modified except by direct means',1,4),
(45704,340107,12,100,'Improves the damage of Murderous Rake, Dispatch, Debilitate and Backstab by 30%',0,5),
(45705,340107,12,100,'Cannot be modified except by direct means',0,6),
(45706,390051,1,100,'Summons a pet attack hawk',0,0),
(45707,390051,2,100,'Summons a pet attack hawk',0,0),
(45708,390051,3,100,'Summons a pet attack hawk',0,0),
(45709,390051,4,100,'Summons a pet attack hawk',0,0),
(45710,390051,5,100,'Summons a pet attack hawk',0,0),
(45711,390051,7,100,'Summons a pet attack hawk',0,0),
(45712,390051,9,100,'Summons a pet attack hawk',0,0),
(45713,390052,1,100,'Summons a pet attack hawk',0,0),
(45714,390052,2,100,'Summons a pet attack hawk',0,0),
(45715,390052,3,100,'Summons a pet attack hawk',0,0),
(45716,390052,4,100,'Summons a pet attack hawk',0,0),
(45717,390052,5,100,'Summons a pet attack hawk',0,0),
(45718,390052,7,100,'Summons a pet attack hawk',0,0),
(45719,390052,9,100,'Summons a pet attack hawk',0,0),
(45720,390053,1,100,'Summons a pet attack hawk',0,0),
(45721,390053,4,100,'Summons a pet attack hawk',0,0),
(45722,390053,5,100,'Summons a pet attack hawk',0,0),
(45723,390053,7,100,'Summons a pet attack hawk',0,0),
(45724,390053,9,100,'Summons a pet attack hawk',0,0),
(45725,390054,1,100,'Summons a pet attack hawk',0,0),
(45726,390054,4,100,'Summons a pet attack hawk',0,0),
(45727,390054,5,100,'Summons a pet attack hawk',0,0),
(45728,390054,7,100,'Summons a pet attack hawk',0,0),
(45729,390054,9,100,'Summons a pet attack hawk',0,0),
(45730,420049,1,100,'Increases savagery of caster by 20.0',0,0),
(45731,420049,1,100,'This effect cannot be critically applied.',1,1),
(45732,420049,1,100,'Increases Crit Bonus of caster by 15.0%',0,2),
(45733,40106,1,100,'Interrupts target',0,0),
(45734,40106,1,100,'Inflicts 23 - 70 crushing damage on target',0,1),
(45735,40106,1,100,'Decreases Focus of target by 6.9',0,2),
(45736,40106,2,100,'Interrupts target',0,0),
(45737,40106,2,100,'Inflicts 24 - 74 crushing damage on target',0,1),
(45738,40106,2,100,'Decreases Focus of target by 7.3',0,2),
(45739,40106,3,100,'Interrupts target',0,0),
(45740,40106,3,100,'Inflicts 26 - 78 crushing damage on target',0,1),
(45741,40106,3,100,'Decreases Focus of target by 7.7',0,2),
(45742,40106,4,100,'Interrupts target',0,0),
(45743,40106,4,100,'Inflicts 28 - 86 crushing damage on target',0,1),
(45744,40106,4,100,'Decreases Focus of target by 8.4',0,2),
(45745,40106,5,100,'Interrupts target',0,0),
(45746,40106,5,100,'Inflicts 31 - 94 crushing damage on target',0,1),
(45747,40106,5,100,'Decreases Focus of target by 9.2',0,2),
(45748,40106,7,100,'Interrupts target',0,0),
(45749,40106,7,100,'Inflicts 40 - 120 crushing damage on target',0,1),
(45750,40106,7,100,'Decreases Focus of target by 11.8',0,2),
(45751,40106,9,100,'Interrupts target',0,0),
(45752,40106,9,100,'Inflicts 41 - 125 crushing damage on target',0,1),
(45753,40106,9,100,'Decreases Focus of target by 12.2',0,2),
(45754,40107,1,100,'Interrupts target',0,0),
(45755,40107,1,100,'Inflicts 45 - 136 crushing damage on target',0,1),
(45756,40107,1,100,'Decreases Focus of target by 12.6',0,2),
(45757,40107,2,100,'Interrupts target',0,0),
(45758,40107,2,100,'Inflicts 47 - 143 crushing damage on target',0,1),
(45759,40107,2,100,'Decreases Focus of target by 13.3',0,2),
(45760,40107,3,100,'Interrupts target',0,0),
(45761,40107,3,100,'Inflicts 50 - 151 crushing damage on target',0,1),
(45762,40107,3,100,'Decreases Focus of target by 13.9',0,2),
(45763,40107,4,100,'Interrupts target',0,0),
(45764,40107,4,100,'Inflicts 55 - 166 crushing damage on target',0,1),
(45765,40107,4,100,'Decreases Focus of target by 15.3',0,2),
(45766,40107,5,100,'Interrupts target',0,0),
(45767,40107,5,100,'Inflicts 60 - 181 crushing damage on target',0,1),
(45768,40107,5,100,'Decreases Focus of target by 16.7',0,2),
(45769,40107,7,100,'Interrupts target',0,0),
(45770,40107,7,100,'Inflicts 77 - 233 crushing damage on target',0,1),
(45771,40107,7,100,'Decreases Focus of target by 21.5',0,2),
(45772,40107,9,100,'Interrupts target',0,0),
(45773,40107,9,100,'Inflicts 80 - 242 crushing damage on target',0,1),
(45774,40107,9,100,'Decreases Focus of target by 22.3',0,2),
(45775,40108,1,100,'Interrupts target',0,0),
(45776,40108,1,100,'Inflicts 70 - 210 crushing damage on target',0,1),
(45777,40108,1,100,'Decreases Focus of target by 18.2',0,2),
(45778,40108,2,100,'Interrupts target',0,0),
(45779,40108,2,100,'Inflicts 74 - 222 crushing damage on target',0,1),
(45780,40108,2,100,'Decreases Focus of target by 19.2',0,2),
(45781,40108,3,100,'Interrupts target',0,0),
(45782,40108,3,100,'Inflicts 77 - 233 crushing damage on target',0,1),
(45783,40108,3,100,'Decreases Focus of target by 20.3',0,2),
(45784,40108,4,100,'Interrupts target',0,0),
(45785,40108,4,100,'Inflicts 85 - 257 crushing damage on target',0,1),
(45786,40108,4,100,'Decreases Focus of target by 22.3',0,2),
(45787,40108,5,100,'Interrupts target',0,0),
(45788,40108,5,100,'Inflicts 93 - 280 crushing damage on target',0,1),
(45789,40108,5,100,'Decreases Focus of target by 24.3',0,2),
(45790,40108,7,100,'Interrupts target',0,0),
(45791,40108,7,100,'Inflicts 120 - 360 crushing damage on target',0,1),
(45792,40108,7,100,'Decreases Focus of target by 31.2',0,2),
(45793,40108,9,100,'Interrupts target',0,0),
(45794,40108,9,100,'Inflicts 124 - 374 crushing damage on target',0,1),
(45795,40108,9,100,'Decreases Focus of target by 32.4',0,2),
(45796,40109,1,100,'Interrupts target',0,0),
(45797,40109,1,100,'Inflicts 98 - 295 crushing damage on target',0,1),
(45798,40109,1,100,'Decreases Focus of target by 23.9',0,2),
(45799,40109,2,100,'Interrupts target',0,0),
(45800,40109,2,100,'Inflicts 104 - 312 crushing damage on target',0,1),
(45801,40109,2,100,'Decreases Focus of target by 25.2',0,2),
(45802,40109,3,100,'Interrupts target',0,0),
(45803,40109,3,100,'Inflicts 109 - 328 crushing damage on target',0,1),
(45804,40109,3,100,'Decreases Focus of target by 26.5',0,2),
(45805,40109,4,100,'Interrupts target',0,0),
(45806,40109,4,100,'Inflicts 120 - 361 crushing damage on target',0,1),
(45807,40109,4,100,'Decreases Focus of target by 29.2',0,2),
(45808,40109,5,100,'Interrupts target',0,0),
(45809,40109,5,100,'Inflicts 131 - 394 crushing damage on target',0,1),
(45810,40109,5,100,'Decreases Focus of target by 31.9',0,2),
(45811,40109,7,100,'Interrupts target',0,0),
(45812,40109,7,100,'Inflicts 168 - 505 crushing damage on target',0,1),
(45813,40109,7,100,'Decreases Focus of target by 40.9',0,2),
(45814,40109,9,100,'Interrupts target',0,0),
(45815,40109,9,100,'Inflicts 175 - 525 crushing damage on target',0,1),
(45816,40109,9,100,'Decreases Focus of target by 42.5',0,2),
(45817,40110,1,100,'Interrupts target',0,0),
(45818,40110,1,100,'Inflicts 128 - 385 crushing damage on target',0,1),
(45819,40110,1,100,'Decreases Focus of target by 30.0',0,2),
(45820,40110,2,100,'Interrupts target',0,0),
(45821,40110,2,100,'Inflicts 135 - 407 crushing damage on target',0,1),
(45822,40110,2,100,'Decreases Focus of target by 31.6',0,2),
(45823,40110,3,100,'Interrupts target',0,0),
(45824,40110,3,100,'Inflicts 142 - 428 crushing damage on target',0,1),
(45825,40110,3,100,'Decreases Focus of target by 33.3',0,2),
(45826,40110,4,100,'Interrupts target',0,0),
(45827,40110,4,100,'Inflicts 157 - 471 crushing damage on target',0,1),
(45828,40110,4,100,'Decreases Focus of target by 36.6',0,2),
(45829,40110,5,100,'Interrupts target',0,0),
(45830,40110,5,100,'Inflicts 171 - 514 crushing damage on target',0,1),
(45831,40110,5,100,'Decreases Focus of target by 40.0',0,2),
(45832,40110,7,100,'Interrupts target',0,0),
(45833,40110,7,100,'Inflicts 219 - 659 crushing damage on target',0,1),
(45834,40110,7,100,'Decreases Focus of target by 51.3',0,2),
(45835,40110,9,100,'Interrupts target',0,0),
(45836,40110,9,100,'Inflicts 228 - 685 crushing damage on target',0,1),
(45837,40110,9,100,'Decreases Focus of target by 53.3',0,2),
(45838,40111,1,100,'Interrupts target',0,0),
(45839,40111,1,100,'Inflicts 155 - 466 crushing damage on target',0,1),
(45840,40111,1,100,'Decreases Focus of target by 35.4',0,2),
(45841,40111,4,100,'Interrupts target',0,0),
(45842,40111,4,100,'Inflicts 190 - 570 crushing damage on target',0,1),
(45843,40111,4,100,'Decreases Focus of target by 43.2',0,2),
(45844,40111,5,100,'Interrupts target',0,0),
(45845,40111,5,100,'Inflicts 207 - 621 crushing damage on target',0,1),
(45846,40111,5,100,'Decreases Focus of target by 47.2',0,2),
(45847,40111,7,100,'Interrupts target',0,0),
(45848,40111,7,100,'Inflicts 266 - 798 crushing damage on target',0,1),
(45849,40111,7,100,'Decreases Focus of target by 60.5',0,2),
(45850,40111,9,100,'Interrupts target',0,0),
(45851,40111,9,100,'Inflicts 276 - 829 crushing damage on target',0,1),
(45852,40111,9,100,'Decreases Focus of target by 62.9',0,2),
(45853,40112,1,100,'Interrupts target',0,0),
(45854,40112,1,100,'Inflicts 179 - 538 crushing damage on target',0,1),
(45855,40112,1,100,'Decreases Focus of target by 40.8',0,2),
(45856,40112,4,100,'Interrupts target',0,0),
(45857,40112,4,100,'Inflicts 219 - 658 crushing damage on target',0,1),
(45858,40112,4,100,'Decreases Focus of target by 49.8',0,2),
(45859,40112,5,100,'Interrupts target',0,0),
(45860,40112,5,100,'Inflicts 239 - 718 crushing damage on target',0,1),
(45861,40112,5,100,'Decreases Focus of target by 54.4',0,2),
(45862,40112,7,100,'Interrupts target',0,0),
(45863,40112,7,100,'Inflicts 307 - 921 crushing damage on target',0,1),
(45864,40112,7,100,'Decreases Focus of target by 69.8',0,2),
(45865,40112,9,100,'Interrupts target',0,0),
(45866,40112,9,100,'Inflicts 319 - 957 crushing damage on target',0,1),
(45867,40112,9,100,'Decreases Focus of target by 72.5',0,2),
(45868,400085,1,100,'Inflicts 191 - 318 ranged damage on target',0,0),
(45869,400085,1,100,'If weapon equipped in Ranged',0,1),
(45870,400085,1,100,'Must be flanking or behind',0,2),
(45871,400085,2,100,'Inflicts 201 - 336 ranged damage on target',0,0),
(45872,400085,2,100,'If weapon equipped in Ranged',0,1),
(45873,400085,2,100,'Must be flanking or behind',0,2),
(45874,400085,3,100,'Inflicts 212 - 354 ranged damage on target',0,0),
(45875,400085,3,100,'If weapon equipped in Ranged',0,1),
(45876,400085,3,100,'Must be flanking or behind',0,2),
(45877,400085,4,100,'Inflicts 233 - 389 ranged damage on target',0,0),
(45878,400085,4,100,'If weapon equipped in Ranged',0,1),
(45879,400085,4,100,'Must be flanking or behind',0,2),
(45880,400085,5,100,'Inflicts 255 - 425 ranged damage on target',0,0),
(45881,400085,5,100,'If weapon equipped in Ranged',0,1),
(45882,400085,5,100,'Must be flanking or behind',0,2),
(45883,400085,7,100,'Inflicts 327 - 545 ranged damage on target',0,0),
(45884,400085,7,100,'If weapon equipped in Ranged',0,1),
(45885,400085,7,100,'Must be flanking or behind',0,2),
(45886,400085,9,100,'Inflicts 340 - 566 ranged damage on target',0,0),
(45887,400085,9,100,'If weapon equipped in Ranged',0,1),
(45888,400085,9,100,'Must be flanking or behind',0,2),
(45889,400086,1,100,'Inflicts 307 - 513 ranged damage on target',0,0),
(45890,400086,1,100,'If weapon equipped in Ranged',0,1),
(45891,400086,1,100,'Must be flanking or behind',0,2),
(45892,400086,2,100,'Inflicts 324 - 541 ranged damage on target',0,0),
(45893,400086,2,100,'If weapon equipped in Ranged',0,1),
(45894,400086,2,100,'Must be flanking or behind',0,2),
(45895,400086,3,100,'Inflicts 342 - 570 ranged damage on target',0,0),
(45896,400086,3,100,'If weapon equipped in Ranged',0,1),
(45897,400086,3,100,'Must be flanking or behind',0,2),
(45898,400086,4,100,'Inflicts 376 - 627 ranged damage on target',0,0),
(45899,400086,4,100,'If weapon equipped in Ranged',0,1),
(45900,400086,4,100,'Must be flanking or behind',0,2),
(45901,400086,5,100,'Inflicts 410 - 684 ranged damage on target',0,0),
(45902,400086,5,100,'If weapon equipped in Ranged',0,1),
(45903,400086,5,100,'Must be flanking or behind',0,2),
(45904,400086,7,100,'Inflicts 526 - 877 ranged damage on target',0,0),
(45905,400086,7,100,'If weapon equipped in Ranged',0,1),
(45906,400086,7,100,'Must be flanking or behind',0,2),
(45907,400086,9,100,'Inflicts 547 - 912 ranged damage on target',0,0),
(45908,400086,9,100,'If weapon equipped in Ranged',0,1),
(45909,400086,9,100,'Must be flanking or behind',0,2),
(45910,400086,10,100,'Inflicts 574 - 957 ranged damage on target',0,0),
(45911,400086,10,100,'If weapon equipped in Ranged',0,1),
(45912,400086,10,100,'Must be flanking or behind',0,2),
(45913,400087,1,100,'Inflicts 453 - 755 ranged damage on target',0,0),
(45914,400087,1,100,'If weapon equipped in Ranged',0,1),
(45915,400087,1,100,'Must be flanking or behind',0,2),
(45916,400087,2,100,'Inflicts 478 - 797 ranged damage on target',0,0),
(45917,400087,2,100,'If weapon equipped in Ranged',0,1),
(45918,400087,2,100,'Must be flanking or behind',0,2),
(45919,400087,3,100,'Inflicts 503 - 839 ranged damage on target',0,0),
(45920,400087,3,100,'If weapon equipped in Ranged',0,1),
(45921,400087,3,100,'Must be flanking or behind',0,2),
(45922,400087,4,100,'Inflicts 554 - 923 ranged damage on target',0,0),
(45923,400087,4,100,'If weapon equipped in Ranged',0,1),
(45924,400087,4,100,'Must be flanking or behind',0,2),
(45925,400087,5,100,'Inflicts 604 - 1007 ranged damage on target',0,0),
(45926,400087,5,100,'If weapon equipped in Ranged',0,1),
(45927,400087,5,100,'Must be flanking or behind',0,2),
(45928,400087,7,100,'Inflicts 776 - 1293 ranged damage on target',0,0),
(45929,400087,7,100,'If weapon equipped in Ranged',0,1),
(45930,400087,7,100,'Must be flanking or behind',0,2),
(45931,400087,9,100,'Inflicts 806 - 1343 ranged damage on target',0,0),
(45932,400087,9,100,'If weapon equipped in Ranged',0,1),
(45933,400087,9,100,'Must be flanking or behind',0,2),
(45934,400088,1,100,'Inflicts 599 - 998 ranged damage on target',0,0),
(45935,400088,1,100,'If weapon equipped in Ranged',0,1),
(45936,400088,1,100,'Must be flanking or behind',0,2),
(45937,400088,2,100,'Inflicts 632 - 1054 ranged damage on target',0,0),
(45938,400088,2,100,'If weapon equipped in Ranged',0,1),
(45939,400088,2,100,'Must be flanking or behind',0,2),
(45940,400088,3,100,'Inflicts 665 - 1109 ranged damage on target',0,0),
(45941,400088,3,100,'If weapon equipped in Ranged',0,1),
(45942,400088,3,100,'Must be flanking or behind',0,2),
(45943,400088,4,100,'Inflicts 732 - 1220 ranged damage on target',0,0),
(45944,400088,4,100,'If weapon equipped in Ranged',0,1),
(45945,400088,4,100,'Must be flanking or behind',0,2),
(45946,400088,5,100,'Inflicts 798 - 1331 ranged damage on target',0,0),
(45947,400088,5,100,'If weapon equipped in Ranged',0,1),
(45948,400088,5,100,'Must be flanking or behind',0,2),
(45949,400088,7,100,'Inflicts 1025 - 1708 ranged damage on target',0,0),
(45950,400088,7,100,'If weapon equipped in Ranged',0,1),
(45951,400088,7,100,'Must be flanking or behind',0,2),
(45952,400088,9,100,'Inflicts 1065 - 1775 ranged damage on target',0,0),
(45953,400088,9,100,'If weapon equipped in Ranged',0,1),
(45954,400088,9,100,'Must be flanking or behind',0,2),
(45955,400089,1,100,'Inflicts 725 - 1209 ranged damage on target',0,0),
(45956,400089,1,100,'If weapon equipped in Ranged',0,1),
(45957,400089,1,100,'Must be flanking or behind',0,2),
(45958,400089,2,100,'Inflicts 765 - 1276 ranged damage on target',0,0),
(45959,400089,2,100,'If weapon equipped in Ranged',0,1),
(45960,400089,2,100,'Must be flanking or behind',0,2),
(45961,400089,3,100,'Inflicts 806 - 1343 ranged damage on target',0,0),
(45962,400089,3,100,'If weapon equipped in Ranged',0,1),
(45963,400089,3,100,'Must be flanking or behind',0,2),
(45964,400089,4,100,'Inflicts 886 - 1477 ranged damage on target',0,0),
(45965,400089,4,100,'If weapon equipped in Ranged',0,1),
(45966,400089,4,100,'Must be flanking or behind',0,2),
(45967,400089,5,100,'Inflicts 967 - 1612 ranged damage on target',0,0),
(45968,400089,5,100,'If weapon equipped in Ranged',0,1),
(45969,400089,5,100,'Must be flanking or behind',0,2),
(45970,400089,7,100,'Inflicts 1241 - 2068 ranged damage on target',0,0),
(45971,400089,7,100,'If weapon equipped in Ranged',0,1),
(45972,400089,7,100,'Must be flanking or behind',0,2),
(45973,400089,9,100,'Inflicts 1289 - 2149 ranged damage on target',0,0),
(45974,400089,9,100,'If weapon equipped in Ranged',0,1),
(45975,400089,9,100,'Must be flanking or behind',0,2),
(45976,400090,1,100,'Inflicts 873 - 1456 ranged damage on target',0,0),
(45977,400090,1,100,'If weapon equipped in Ranged',0,1),
(45978,400090,1,100,'Must be flanking or behind',0,2),
(45979,400090,4,100,'Inflicts 1068 - 1780 ranged damage on target',0,0),
(45980,400090,4,100,'If weapon equipped in Ranged',0,1),
(45981,400090,4,100,'Must be flanking or behind',0,2),
(45982,400090,5,100,'Inflicts 1165 - 1942 ranged damage on target',0,0),
(45983,400090,5,100,'If weapon equipped in Ranged',0,1),
(45984,400090,5,100,'Must be flanking or behind',0,2),
(45985,400090,7,100,'Inflicts 1495 - 2492 ranged damage on target',0,0),
(45986,400090,7,100,'If weapon equipped in Ranged',0,1),
(45987,400090,7,100,'Must be flanking or behind',0,2),
(45988,400090,9,100,'Inflicts 1553 - 2589 ranged damage on target',0,0),
(45989,400090,9,100,'If weapon equipped in Ranged',0,1),
(45990,400090,9,100,'Must be flanking or behind',0,2),
(45991,400091,1,100,'Inflicts 948 - 1580 ranged damage on target',0,0),
(45992,400091,1,100,'If weapon equipped in Ranged',0,1),
(45993,400091,1,100,'Must be flanking or behind',0,2),
(45994,400091,4,100,'Inflicts 1159 - 1932 ranged damage on target',0,0),
(45995,400091,4,100,'If weapon equipped in Ranged',0,1),
(45996,400091,4,100,'Must be flanking or behind',0,2),
(45997,400091,5,100,'Inflicts 1264 - 2107 ranged damage on target',0,0),
(45998,400091,5,100,'If weapon equipped in Ranged',0,1),
(45999,400091,5,100,'Must be flanking or behind',0,2),
(46000,400091,7,100,'Inflicts 1623 - 2705 ranged damage on target',0,0),
(46001,400091,7,100,'If weapon equipped in Ranged',0,1),
(46002,400091,7,100,'Must be flanking or behind',0,2),
(46003,400091,9,100,'Inflicts 1686 - 2810 ranged damage on target',0,0),
(46004,400091,9,100,'If weapon equipped in Ranged',0,1),
(46005,400091,9,100,'Must be flanking or behind',0,2),
(46006,440028,1,100,'Applies Healing Arrow.  Lasts for 8.0 seconds.',0,0),
(46007,440028,1,100,'Heals targets in Area of Effect for 19 - 23',1,1),
(46008,440028,1,100,'Applies to the enemy''s target if they are in the same group or raid as the channeler and within 50 meters of them. Otherwise, applies to the channeler.',1,2),
(46009,440028,1,100,'Inflicts 1 - 2 ranged damage on target',0,3),
(46010,440028,1,100,'Requires bow or aim',0,4),
(46011,440028,4,100,'Applies Healing Arrow.  Lasts for 8.0 seconds.',0,0),
(46012,440028,4,100,'Heals targets in Area of Effect for 23 - 29',1,1),
(46013,440028,4,100,'Applies to the enemy''s target if they are in the same group or raid as the channeler and within 50 meters of them. Otherwise, applies to the channeler.',1,2),
(46014,440028,4,100,'Inflicts 1 - 3 ranged damage on target',0,3),
(46015,440028,4,100,'Requires bow or aim',0,4),
(46016,440028,5,100,'Applies Healing Arrow.  Lasts for 8.0 seconds.',0,0),
(46017,440028,5,100,'Heals targets in Area of Effect for 25 - 31',1,1),
(46018,440028,5,100,'Applies to the enemy''s target if they are in the same group or raid as the channeler and within 50 meters of them. Otherwise, applies to the channeler.',1,2),
(46019,440028,5,100,'Inflicts 2 - 3 ranged damage on target',0,3),
(46020,440028,5,100,'Requires bow or aim',0,4),
(46021,440028,7,100,'Applies Healing Arrow.  Lasts for 8.0 seconds.',0,0),
(46022,440028,7,100,'Heals targets in Area of Effect for 33 - 40',1,1),
(46023,440028,7,100,'Applies to the enemy''s target if they are in the same group or raid as the channeler and within 50 meters of them. Otherwise, applies to the channeler.',1,2),
(46024,440028,7,100,'Inflicts 2 - 4 ranged damage on target',0,3),
(46025,440028,7,100,'Requires bow or aim',0,4),
(46026,440028,9,100,'Applies Healing Arrow.  Lasts for 8.0 seconds.',0,0),
(46027,440028,9,100,'Heals targets in Area of Effect for 34 - 42',1,1),
(46028,440028,9,100,'Applies to the enemy''s target if they are in the same group or raid as the channeler and within 50 meters of them. Otherwise, applies to the channeler.',1,2),
(46029,440028,9,100,'Inflicts 2 - 4 ranged damage on target',0,3),
(46030,440028,9,100,'Requires bow or aim',0,4),
(46031,440029,1,100,'Applies Healing Arrow.  Lasts for 8.0 seconds.',0,0),
(46032,440029,1,100,'Heals targets in Area of Effect for 105 - 129',1,1),
(46033,440029,1,100,'Applies to the enemy''s target if they are in the same group or raid as the channeler and within 50 meters of them. Otherwise, applies to the channeler.',1,2),
(46034,440029,1,100,'Inflicts 7 - 12 ranged damage on target',0,3),
(46035,440029,1,100,'Requires bow or aim',0,4),
(46036,440029,4,100,'Applies Healing Arrow.  Lasts for 8.0 seconds.',0,0),
(46037,440029,4,100,'Heals targets in Area of Effect for 129 - 157',1,1),
(46038,440029,4,100,'Applies to the enemy''s target if they are in the same group or raid as the channeler and within 50 meters of them. Otherwise, applies to the channeler.',1,2),
(46039,440029,4,100,'Inflicts 9 - 15 ranged damage on target',0,3),
(46040,440029,4,100,'Requires bow or aim',0,4),
(46041,440029,5,100,'Applies Healing Arrow.  Lasts for 8.0 seconds.',0,0),
(46042,440029,5,100,'Heals targets in Area of Effect for 140 - 171',1,1),
(46043,440029,5,100,'Applies to the enemy''s target if they are in the same group or raid as the channeler and within 50 meters of them. Otherwise, applies to the channeler.',1,2),
(46044,440029,5,100,'Inflicts 10 - 17 ranged damage on target',0,3),
(46045,440029,5,100,'Requires bow or aim',0,4),
(46046,440029,7,100,'Applies Healing Arrow.  Lasts for 8.0 seconds.',0,0),
(46047,440029,7,100,'Heals targets in Area of Effect for 180 - 220',1,1),
(46048,440029,7,100,'Applies to the enemy''s target if they are in the same group or raid as the channeler and within 50 meters of them. Otherwise, applies to the channeler.',1,2),
(46049,440029,7,100,'Inflicts 13 - 21 ranged damage on target',0,3),
(46050,440029,7,100,'Requires bow or aim',0,4),
(46051,440029,9,100,'Applies Healing Arrow.  Lasts for 8.0 seconds.',0,0),
(46052,440029,9,100,'Heals targets in Area of Effect for 187 - 228',1,1),
(46053,440029,9,100,'Applies to the enemy''s target if they are in the same group or raid as the channeler and within 50 meters of them. Otherwise, applies to the channeler.',1,2),
(46054,440029,9,100,'Inflicts 13 - 22 ranged damage on target',0,3),
(46055,440029,9,100,'Requires bow or aim',0,4),
(46056,440029,10,100,'Applies Healing Arrow.  Lasts for 8.0 seconds.',0,0),
(46057,440029,10,100,'Heals targets in Area of Effect for 196 - 240',1,1),
(46058,440029,10,100,'Applies to the enemy''s target if they are in the same group or raid as the channeler and within 50 meters of them. Otherwise, applies to the channeler.',1,2),
(46059,440029,10,100,'Inflicts 14 - 23 ranged damage on target',0,3),
(46060,440029,10,100,'Requires bow or aim',0,4),
(46061,440030,1,100,'Applies Healing Arrow.  Lasts for 8.0 seconds.',0,0),
(46062,440030,1,100,'Heals targets in Area of Effect for 203 - 248',1,1),
(46063,440030,1,100,'Applies to the enemy''s target if they are in the same group or raid as the channeler and within 50 meters of them. Otherwise, applies to the channeler.',1,2),
(46064,440030,1,100,'Inflicts 14 - 24 ranged damage on target',0,3),
(46065,440030,1,100,'Requires bow or aim',0,4),
(46066,440030,4,100,'Applies Healing Arrow.  Lasts for 8.0 seconds.',0,0),
(46067,440030,4,100,'Heals targets in Area of Effect for 248 - 303',1,1),
(46068,440030,4,100,'Applies to the enemy''s target if they are in the same group or raid as the channeler and within 50 meters of them. Otherwise, applies to the channeler.',1,2),
(46069,440030,4,100,'Inflicts 17 - 29 ranged damage on target',0,3),
(46070,440030,4,100,'Requires bow or aim',0,4),
(46071,440030,5,100,'Applies Healing Arrow.  Lasts for 8.0 seconds.',0,0),
(46072,440030,5,100,'Heals targets in Area of Effect for 270 - 330',1,1),
(46073,440030,5,100,'Applies to the enemy''s target if they are in the same group or raid as the channeler and within 50 meters of them. Otherwise, applies to the channeler.',1,2),
(46074,440030,5,100,'Inflicts 19 - 32 ranged damage on target',0,3),
(46075,440030,5,100,'Requires bow or aim',0,4),
(46076,440030,7,100,'Applies Healing Arrow.  Lasts for 8.0 seconds.',0,0),
(46077,440030,7,100,'Heals targets in Area of Effect for 347 - 424',1,1),
(46078,440030,7,100,'Applies to the enemy''s target if they are in the same group or raid as the channeler and within 50 meters of them. Otherwise, applies to the channeler.',1,2),
(46079,440030,7,100,'Inflicts 24 - 41 ranged damage on target',0,3),
(46080,440030,7,100,'Requires bow or aim',0,4),
(46081,440030,9,100,'Applies Healing Arrow.  Lasts for 8.0 seconds.',0,0),
(46082,440030,9,100,'Heals targets in Area of Effect for 360 - 440',1,1),
(46083,440030,9,100,'Applies to the enemy''s target if they are in the same group or raid as the channeler and within 50 meters of them. Otherwise, applies to the channeler.',1,2),
(46084,440030,9,100,'Inflicts 25 - 43 ranged damage on target',0,3),
(46085,440030,9,100,'Requires bow or aim',0,4),
(46086,440030,10,100,'Applies Healing Arrow.  Lasts for 8.0 seconds.',0,0),
(46087,440030,10,100,'Heals targets in Area of Effect for 378 - 462',1,1),
(46088,440030,10,100,'Applies to the enemy''s target if they are in the same group or raid as the channeler and within 50 meters of them. Otherwise, applies to the channeler.',1,2),
(46089,440030,10,100,'Inflicts 27 - 45 ranged damage on target',0,3),
(46090,440030,10,100,'Requires bow or aim',0,4),
(46091,440031,1,100,'Applies Healing Arrow.  Lasts for 8.0 seconds.',0,0),
(46092,440031,1,100,'Heals targets in Area of Effect for 317 - 388',1,1),
(46093,440031,1,100,'Applies to the enemy''s target if they are in the same group or raid as the channeler and within 50 meters of them. Otherwise, applies to the channeler.',1,2),
(46094,440031,1,100,'Inflicts 22 - 37 ranged damage on target',0,3),
(46095,440031,1,100,'Requires bow or aim',0,4),
(46096,440031,4,100,'Applies Healing Arrow.  Lasts for 8.0 seconds.',0,0),
(46097,440031,4,100,'Heals targets in Area of Effect for 388 - 474',1,1),
(46098,440031,4,100,'Applies to the enemy''s target if they are in the same group or raid as the channeler and within 50 meters of them. Otherwise, applies to the channeler.',1,2),
(46099,440031,4,100,'Inflicts 27 - 46 ranged damage on target',0,3),
(46100,440031,4,100,'Requires bow or aim',0,4),
(46101,440031,5,100,'Applies Healing Arrow.  Lasts for 8.0 seconds.',0,0),
(46102,440031,5,100,'Heals targets in Area of Effect for 423 - 517',1,1),
(46103,440031,5,100,'Applies to the enemy''s target if they are in the same group or raid as the channeler and within 50 meters of them. Otherwise, applies to the channeler.',1,2),
(46104,440031,5,100,'Inflicts 30 - 50 ranged damage on target',0,3),
(46105,440031,5,100,'Requires bow or aim',0,4),
(46106,440031,7,100,'Applies Healing Arrow.  Lasts for 8.0 seconds.',0,0),
(46107,440031,7,100,'Heals targets in Area of Effect for 543 - 664',1,1),
(46108,440031,7,100,'Applies to the enemy''s target if they are in the same group or raid as the channeler and within 50 meters of them. Otherwise, applies to the channeler.',1,2),
(46109,440031,7,100,'Inflicts 38 - 64 ranged damage on target',0,3),
(46110,440031,7,100,'Requires bow or aim',0,4),
(46111,440031,9,100,'Applies Healing Arrow.  Lasts for 8.0 seconds.',0,0),
(46112,440031,9,100,'Heals targets in Area of Effect for 564 - 689',1,1),
(46113,440031,9,100,'Applies to the enemy''s target if they are in the same group or raid as the channeler and within 50 meters of them. Otherwise, applies to the channeler.',1,2),
(46114,440031,9,100,'Inflicts 40 - 67 ranged damage on target',0,3),
(46115,440031,9,100,'Requires bow or aim',0,4),
(46116,440032,1,100,'Applies Healing Arrow.  Lasts for 8.0 seconds.',0,0),
(46117,440032,1,100,'Heals targets in Area of Effect for 1169 - 1429',1,1),
(46118,440032,1,100,'Applies to the enemy''s target if they are in the same group or raid as the channeler and within 50 meters of them. Otherwise, applies to the channeler.',1,2),
(46119,440032,1,100,'Inflicts 74 - 124 ranged damage on target',0,3),
(46120,440032,1,100,'Requires bow or aim',0,4),
(46121,440032,4,100,'Applies Healing Arrow.  Lasts for 8.0 seconds.',0,0),
(46122,440032,4,100,'Heals targets in Area of Effect for 1429 - 1746',1,1),
(46123,440032,4,100,'Applies to the enemy''s target if they are in the same group or raid as the channeler and within 50 meters of them. Otherwise, applies to the channeler.',1,2),
(46124,440032,4,100,'Inflicts 91 - 152 ranged damage on target',0,3),
(46125,440032,4,100,'Requires bow or aim',0,4),
(46126,440032,5,100,'Applies Healing Arrow.  Lasts for 8.0 seconds.',0,0),
(46127,440032,5,100,'Heals targets in Area of Effect for 1559 - 1905',1,1),
(46128,440032,5,100,'Applies to the enemy''s target if they are in the same group or raid as the channeler and within 50 meters of them. Otherwise, applies to the channeler.',1,2),
(46129,440032,5,100,'Inflicts 99 - 166 ranged damage on target',0,3),
(46130,440032,5,100,'Requires bow or aim',0,4),
(46131,440032,7,100,'Applies Healing Arrow.  Lasts for 8.0 seconds.',0,0),
(46132,440032,7,100,'Heals targets in Area of Effect for 2000 - 2445',1,1),
(46133,440032,7,100,'Applies to the enemy''s target if they are in the same group or raid as the channeler and within 50 meters of them. Otherwise, applies to the channeler.',1,2),
(46134,440032,7,100,'Inflicts 127 - 213 ranged damage on target',0,3),
(46135,440032,7,100,'Requires bow or aim',0,4),
(46136,440032,9,100,'Applies Healing Arrow.  Lasts for 8.0 seconds.',0,0),
(46137,440032,9,100,'Heals targets in Area of Effect for 2078 - 2540',1,1),
(46138,440032,9,100,'Applies to the enemy''s target if they are in the same group or raid as the channeler and within 50 meters of them. Otherwise, applies to the channeler.',1,2),
(46139,440032,9,100,'Inflicts 132 - 221 ranged damage on target',0,3),
(46140,440032,9,100,'Requires bow or aim',0,4),
(46141,440032,10,100,'Applies Healing Arrow.  Lasts for 8.0 seconds.',0,0),
(46142,440032,10,100,'Heals targets in Area of Effect for 2182 - 2667',1,1),
(46143,440032,10,100,'Applies to the enemy''s target if they are in the same group or raid as the channeler and within 50 meters of them. Otherwise, applies to the channeler.',1,2),
(46144,440032,10,100,'Inflicts 139 - 232 ranged damage on target',0,3),
(46145,440032,10,100,'Requires bow or aim',0,4),
(46146,440033,1,100,'Applies Healing Arrow.  Lasts for 8.0 seconds.',0,0),
(46147,440033,1,100,'Heals targets in Area of Effect for 435 - 532',1,1),
(46148,440033,1,100,'Applies to the enemy''s target if they are in the same group or raid as the channeler and within 50 meters of them. Otherwise, applies to the channeler.',1,2),
(46149,440033,1,100,'Inflicts 31 - 51 ranged damage on target',0,3),
(46150,440033,1,100,'Requires bow or aim',0,4),
(46151,440033,4,100,'Applies Healing Arrow.  Lasts for 8.0 seconds.',0,0),
(46152,440033,4,100,'Heals targets in Area of Effect for 532 - 650',1,1),
(46153,440033,4,100,'Applies to the enemy''s target if they are in the same group or raid as the channeler and within 50 meters of them. Otherwise, applies to the channeler.',1,2),
(46154,440033,4,100,'Inflicts 37 - 63 ranged damage on target',0,3),
(46155,440033,4,100,'Requires bow or aim',0,4),
(46156,440033,5,100,'Applies Healing Arrow.  Lasts for 8.0 seconds.',0,0),
(46157,440033,5,100,'Heals targets in Area of Effect for 580 - 709',1,1),
(46158,440033,5,100,'Applies to the enemy''s target if they are in the same group or raid as the channeler and within 50 meters of them. Otherwise, applies to the channeler.',1,2),
(46159,440033,5,100,'Inflicts 41 - 68 ranged damage on target',0,3),
(46160,440033,5,100,'Requires bow or aim',0,4),
(46161,440033,7,100,'Applies Healing Arrow.  Lasts for 8.0 seconds.',0,0),
(46162,440033,7,100,'Heals targets in Area of Effect for 744 - 910',1,1),
(46163,440033,7,100,'Applies to the enemy''s target if they are in the same group or raid as the channeler and within 50 meters of them. Otherwise, applies to the channeler.',1,2),
(46164,440033,7,100,'Inflicts 53 - 88 ranged damage on target',0,3),
(46165,440033,7,100,'Requires bow or aim',0,4),
(46166,440033,9,100,'Applies Healing Arrow.  Lasts for 8.0 seconds.',0,0),
(46167,440033,9,100,'Heals targets in Area of Effect for 773 - 945',1,1),
(46168,440033,9,100,'Applies to the enemy''s target if they are in the same group or raid as the channeler and within 50 meters of them. Otherwise, applies to the channeler.',1,2),
(46169,440033,9,100,'Inflicts 55 - 91 ranged damage on target',0,3),
(46170,440033,9,100,'Requires bow or aim',0,4),
(46171,440034,1,100,'Applies Healing Arrow.  Lasts for 8.0 seconds.',0,0),
(46172,440034,1,100,'Heals targets in Area of Effect for 578 - 707',1,1),
(46173,440034,1,100,'Applies to the enemy''s target if they are in the same group or raid as the channeler and within 50 meters of them. Otherwise, applies to the channeler.',1,2),
(46174,440034,1,100,'Inflicts 41 - 68 ranged damage on target',0,3),
(46175,440034,1,100,'Requires bow or aim',0,4),
(46176,440034,4,100,'Applies Healing Arrow.  Lasts for 8.0 seconds.',0,0),
(46177,440034,4,100,'Heals targets in Area of Effect for 707 - 864',1,1),
(46178,440034,4,100,'Applies to the enemy''s target if they are in the same group or raid as the channeler and within 50 meters of them. Otherwise, applies to the channeler.',1,2),
(46179,440034,4,100,'Inflicts 50 - 83 ranged damage on target',0,3),
(46180,440034,4,100,'Requires bow or aim',0,4),
(46181,440034,5,100,'Applies Healing Arrow.  Lasts for 8.0 seconds.',0,0),
(46182,440034,5,100,'Heals targets in Area of Effect for 771 - 942',1,1),
(46183,440034,5,100,'Applies to the enemy''s target if they are in the same group or raid as the channeler and within 50 meters of them. Otherwise, applies to the channeler.',1,2),
(46184,440034,5,100,'Inflicts 54 - 91 ranged damage on target',0,3),
(46185,440034,5,100,'Requires bow or aim',0,4),
(46186,440034,7,100,'Applies Healing Arrow.  Lasts for 8.0 seconds.',0,0),
(46187,440034,7,100,'Heals targets in Area of Effect for 989 - 1209',1,1),
(46188,440034,7,100,'Applies to the enemy''s target if they are in the same group or raid as the channeler and within 50 meters of them. Otherwise, applies to the channeler.',1,2),
(46189,440034,7,100,'Inflicts 70 - 117 ranged damage on target',0,3),
(46190,440034,7,100,'Requires bow or aim',0,4),
(46191,440034,9,100,'Applies Healing Arrow.  Lasts for 8.0 seconds.',0,0),
(46192,440034,9,100,'Heals targets in Area of Effect for 1028 - 1256',1,1),
(46193,440034,9,100,'Applies to the enemy''s target if they are in the same group or raid as the channeler and within 50 meters of them. Otherwise, applies to the channeler.',1,2),
(46194,440034,9,100,'Inflicts 73 - 121 ranged damage on target',0,3),
(46195,440034,9,100,'Requires bow or aim',0,4),
(46196,440035,1,100,'Applies Healing Arrow.  Lasts for 8.0 seconds.',0,0),
(46197,440035,1,100,'Heals targets in Area of Effect for 722 - 882',1,1),
(46198,440035,1,100,'Applies to the enemy''s target if they are in the same group or raid as the channeler and within 50 meters of them. Otherwise, applies to the channeler.',1,2),
(46199,440035,1,100,'Inflicts 51 - 85 ranged damage on target',0,3),
(46200,440035,1,100,'Requires bow or aim',0,4),
(46201,440035,4,100,'Applies Healing Arrow.  Lasts for 8.0 seconds.',0,0),
(46202,440035,4,100,'Heals targets in Area of Effect for 882 - 1078',1,1),
(46203,440035,4,100,'Applies to the enemy''s target if they are in the same group or raid as the channeler and within 50 meters of them. Otherwise, applies to the channeler.',1,2),
(46204,440035,4,100,'Inflicts 62 - 104 ranged damage on target',0,3),
(46205,440035,4,100,'Requires bow or aim',0,4),
(46206,440035,5,100,'Applies Healing Arrow.  Lasts for 8.0 seconds.',0,0),
(46207,440035,5,100,'Heals targets in Area of Effect for 962 - 1176',1,1),
(46208,440035,5,100,'Applies to the enemy''s target if they are in the same group or raid as the channeler and within 50 meters of them. Otherwise, applies to the channeler.',1,2),
(46209,440035,5,100,'Inflicts 68 - 114 ranged damage on target',0,3),
(46210,440035,5,100,'Requires bow or aim',0,4),
(46211,440035,7,100,'Applies Healing Arrow.  Lasts for 8.0 seconds.',0,0),
(46212,440035,7,100,'Heals targets in Area of Effect for 1235 - 1509',1,1),
(46213,440035,7,100,'Applies to the enemy''s target if they are in the same group or raid as the channeler and within 50 meters of them. Otherwise, applies to the channeler.',1,2),
(46214,440035,7,100,'Inflicts 87 - 146 ranged damage on target',0,3),
(46215,440035,7,100,'Requires bow or aim',0,4),
(46216,440035,9,100,'Applies Healing Arrow.  Lasts for 8.0 seconds.',0,0),
(46217,440035,9,100,'Heals targets in Area of Effect for 1283 - 1568',1,1),
(46218,440035,9,100,'Applies to the enemy''s target if they are in the same group or raid as the channeler and within 50 meters of them. Otherwise, applies to the channeler.',1,2),
(46219,440035,9,100,'Inflicts 91 - 152 ranged damage on target',0,3),
(46220,440035,9,100,'Requires bow or aim',0,4),
(46221,440036,1,100,'Applies Healing Arrow.  Lasts for 8.0 seconds.',0,0),
(46222,440036,1,100,'Heals targets in Area of Effect for 880 - 1076',1,1),
(46223,440036,1,100,'Applies to the enemy''s target if they are in the same group or raid as the channeler and within 50 meters of them. Otherwise, applies to the channeler.',1,2),
(46224,440036,1,100,'Inflicts 61 - 102 ranged damage on target',0,3),
(46225,440036,1,100,'Requires bow or aim',0,4),
(46226,440036,4,100,'Applies Healing Arrow.  Lasts for 8.0 seconds.',0,0),
(46227,440036,4,100,'Heals targets in Area of Effect for 1076 - 1315',1,1),
(46228,440036,4,100,'Applies to the enemy''s target if they are in the same group or raid as the channeler and within 50 meters of them. Otherwise, applies to the channeler.',1,2),
(46229,440036,4,100,'Inflicts 75 - 125 ranged damage on target',0,3),
(46230,440036,4,100,'Requires bow or aim',0,4),
(46231,440036,5,100,'Applies Healing Arrow.  Lasts for 8.0 seconds.',0,0),
(46232,440036,5,100,'Heals targets in Area of Effect for 1174 - 1435',1,1),
(46233,440036,5,100,'Applies to the enemy''s target if they are in the same group or raid as the channeler and within 50 meters of them. Otherwise, applies to the channeler.',1,2),
(46234,440036,5,100,'Inflicts 82 - 137 ranged damage on target',0,3),
(46235,440036,5,100,'Requires bow or aim',0,4),
(46236,440036,7,100,'Applies Healing Arrow.  Lasts for 8.0 seconds.',0,0),
(46237,440036,7,100,'Heals targets in Area of Effect for 1506 - 1841',1,1),
(46238,440036,7,100,'Applies to the enemy''s target if they are in the same group or raid as the channeler and within 50 meters of them. Otherwise, applies to the channeler.',1,2),
(46239,440036,7,100,'Inflicts 105 - 175 ranged damage on target',0,3),
(46240,440036,7,100,'Requires bow or aim',0,4),
(46241,440036,9,100,'Applies Healing Arrow.  Lasts for 8.0 seconds.',0,0),
(46242,440036,9,100,'Heals targets in Area of Effect for 1565 - 1913',1,1),
(46243,440036,9,100,'Applies to the enemy''s target if they are in the same group or raid as the channeler and within 50 meters of them. Otherwise, applies to the channeler.',1,2),
(46244,440036,9,100,'Inflicts 109 - 182 ranged damage on target',0,3),
(46245,440036,9,100,'Requires bow or aim',0,4),
(46246,440036,10,100,'Applies Healing Arrow.  Lasts for 8.0 seconds.',0,0),
(46247,440036,10,100,'Heals targets in Area of Effect for 1643 - 2008',1,1),
(46248,440036,10,100,'Applies to the enemy''s target if they are in the same group or raid as the channeler and within 50 meters of them. Otherwise, applies to the channeler.',1,2),
(46249,440036,10,100,'Inflicts 115 - 191 ranged damage on target',0,3),
(46250,440036,10,100,'Requires bow or aim',0,4),
(46251,440037,1,100,'Applies Healing Arrow.  Lasts for 8.0 seconds.',0,0),
(46252,440037,1,100,'Heals targets in Area of Effect for 1373 - 1679',1,1),
(46253,440037,1,100,'Applies to the enemy''s target if they are in the same group or raid as the channeler and within 50 meters of them. Otherwise, applies to the channeler.',1,2),
(46254,440037,1,100,'Inflicts 88 - 147 ranged damage on target',0,3),
(46255,440037,1,100,'Requires bow or aim',0,4),
(46256,440037,4,100,'Applies Healing Arrow.  Lasts for 8.0 seconds.',0,0),
(46257,440037,4,100,'Heals targets in Area of Effect for 1679 - 2052',1,1),
(46258,440037,4,100,'Applies to the enemy''s target if they are in the same group or raid as the channeler and within 50 meters of them. Otherwise, applies to the channeler.',1,2),
(46259,440037,4,100,'Inflicts 108 - 180 ranged damage on target',0,3),
(46260,440037,4,100,'Requires bow or aim',0,4),
(46261,440037,5,100,'Applies Healing Arrow.  Lasts for 8.0 seconds.',0,0),
(46262,440037,5,100,'Heals targets in Area of Effect for 1831 - 2238',1,1),
(46263,440037,5,100,'Applies to the enemy''s target if they are in the same group or raid as the channeler and within 50 meters of them. Otherwise, applies to the channeler.',1,2),
(46264,440037,5,100,'Inflicts 118 - 197 ranged damage on target',0,3),
(46265,440037,5,100,'Requires bow or aim',0,4),
(46266,440037,7,100,'Applies Healing Arrow.  Lasts for 8.0 seconds.',0,0),
(46267,440037,7,100,'Heals targets in Area of Effect for 2350 - 2872',1,1),
(46268,440037,7,100,'Applies to the enemy''s target if they are in the same group or raid as the channeler and within 50 meters of them. Otherwise, applies to the channeler.',1,2),
(46269,440037,7,100,'Inflicts 151 - 252 ranged damage on target',0,3),
(46270,440037,7,100,'Requires bow or aim',0,4),
(46271,440037,9,100,'Applies Healing Arrow.  Lasts for 8.0 seconds.',0,0),
(46272,440037,9,100,'Heals targets in Area of Effect for 2442 - 2984',1,1),
(46273,440037,9,100,'Applies to the enemy''s target if they are in the same group or raid as the channeler and within 50 meters of them. Otherwise, applies to the channeler.',1,2),
(46274,440037,9,100,'Inflicts 157 - 262 ranged damage on target',0,3),
(46275,440037,9,100,'Requires bow or aim',0,4),
(46276,440037,10,100,'Applies Healing Arrow.  Lasts for 8.0 seconds.',0,0),
(46277,440037,10,100,'Heals targets in Area of Effect for 2564 - 3134',1,1),
(46278,440037,10,100,'Applies to the enemy''s target if they are in the same group or raid as the channeler and within 50 meters of them. Otherwise, applies to the channeler.',1,2),
(46279,440037,10,100,'Inflicts 165 - 275 ranged damage on target',0,3),
(46280,440037,10,100,'Requires bow or aim',0,4),
(46281,2000127,1,100,'Applies Healing Barrage.  Lasts for 8.0 seconds.',0,0),
(46282,2000127,1,100,'Heals targets in Area of Effect for 2612 - 3193',1,1),
(46283,2000127,1,100,'Applies to the enemy''s target if they are in the same group or raid as the channeler and within 50 meters of them. Otherwise, applies to the channeler.',1,2),
(46284,2000127,1,100,'Inflicts 207 - 346 ranged damage on targets in Area of Effect',0,3),
(46285,2000127,1,100,'Requires bow',0,4),
(46286,100033,1,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(46287,100033,1,100,'Throws target back',1,1),
(46288,100033,1,100,'Blurs vision of target',1,2),
(46289,100033,1,100,'Stuns target',1,3),
(46290,100033,1,100,'Does not affect Epic targets',1,4),
(46291,100033,1,100,'Inflicts 11 - 18 divine damage on target',0,5),
(46292,100033,1,100,'Increases Threat to target by 833 ',0,6),
(46293,100033,2,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(46294,100033,2,100,'Throws target back',1,1),
(46295,100033,2,100,'Blurs vision of target',1,2),
(46296,100033,2,100,'Stuns target',1,3),
(46297,100033,2,100,'Does not affect Epic targets',1,4),
(46298,100033,2,100,'Inflicts 11 - 19 divine damage on target',0,5),
(46299,100033,2,100,'Increases Threat to target by 879 ',0,6),
(46300,100033,3,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(46301,100033,3,100,'Throws target back',1,1),
(46302,100033,3,100,'Blurs vision of target',1,2),
(46303,100033,3,100,'Stuns target',1,3),
(46304,100033,3,100,'Does not affect Epic targets',1,4),
(46305,100033,3,100,'Inflicts 12 - 20 divine damage on target',0,5),
(46306,100033,3,100,'Increases Threat to target by 926 ',0,6),
(46307,100033,4,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(46308,100033,4,100,'Throws target back',1,1),
(46309,100033,4,100,'Blurs vision of target',1,2),
(46310,100033,4,100,'Stuns target',1,3),
(46311,100033,4,100,'Does not affect Epic targets',1,4),
(46312,100033,4,100,'Inflicts 13 - 23 divine damage on target',0,5),
(46313,100033,4,100,'Increases Threat to target by 1,018 ',0,6),
(46314,100033,5,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(46315,100033,5,100,'Throws target back',1,1),
(46316,100033,5,100,'Blurs vision of target',1,2),
(46317,100033,5,100,'Stuns target',1,3),
(46318,100033,5,100,'Does not affect Epic targets',1,4),
(46319,100033,5,100,'Inflicts 15 - 25 divine damage on target',0,5),
(46320,100033,5,100,'Increases Threat to target by 1,111 ',0,6),
(46321,100033,7,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(46322,100033,7,100,'Throws target back',1,1),
(46323,100033,7,100,'Blurs vision of target',1,2),
(46324,100033,7,100,'Stuns target',1,3),
(46325,100033,7,100,'Does not affect Epic targets',1,4),
(46326,100033,7,100,'Inflicts 19 - 32 divine damage on target',0,5),
(46327,100033,7,100,'Increases Threat to target by 1,365 ',0,6),
(46328,100033,9,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(46329,100033,9,100,'Throws target back',1,1),
(46330,100033,9,100,'Blurs vision of target',1,2),
(46331,100033,9,100,'Stuns target',1,3),
(46332,100033,9,100,'Does not affect Epic targets',1,4),
(46333,100033,9,100,'Inflicts 20 - 33 divine damage on target',0,5),
(46334,100033,9,100,'Increases Threat to target by 1,398 ',0,6),
(46335,100034,1,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(46336,100034,1,100,'Throws target back',1,1),
(46337,100034,1,100,'Blurs vision of target',1,2),
(46338,100034,1,100,'Stuns target',1,3),
(46339,100034,1,100,'Does not affect Epic targets',1,4),
(46340,100034,1,100,'Inflicts 24 - 40 divine damage on target',0,5),
(46341,100034,1,100,'Increases Threat to target by 1,593 ',0,6),
(46342,100034,2,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(46343,100034,2,100,'Throws target back',1,1),
(46344,100034,2,100,'Blurs vision of target',1,2),
(46345,100034,2,100,'Stuns target',1,3),
(46346,100034,2,100,'Does not affect Epic targets',1,4),
(46347,100034,2,100,'Inflicts 25 - 42 divine damage on target',0,5),
(46348,100034,2,100,'Increases Threat to target by 1,651 ',0,6),
(46349,100034,3,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(46350,100034,3,100,'Throws target back',1,1),
(46351,100034,3,100,'Blurs vision of target',1,2),
(46352,100034,3,100,'Stuns target',1,3),
(46353,100034,3,100,'Does not affect Epic targets',1,4),
(46354,100034,3,100,'Inflicts 27 - 45 divine damage on target',0,5),
(46355,100034,3,100,'Increases Threat to target by 1,710 ',0,6),
(46356,100034,4,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(46357,100034,4,100,'Throws target back',1,1),
(46358,100034,4,100,'Blurs vision of target',1,2),
(46359,100034,4,100,'Stuns target',1,3),
(46360,100034,4,100,'Does not affect Epic targets',1,4),
(46361,100034,4,100,'Inflicts 29 - 49 divine damage on target',0,5),
(46362,100034,4,100,'Increases Threat to target by 1,827 ',0,6),
(46363,100034,5,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(46364,100034,5,100,'Throws target back',1,1),
(46365,100034,5,100,'Blurs vision of target',1,2),
(46366,100034,5,100,'Stuns target',1,3),
(46367,100034,5,100,'Does not affect Epic targets',1,4),
(46368,100034,5,100,'Inflicts 32 - 54 divine damage on target',0,5),
(46369,100034,5,100,'Increases Threat to target by 1,944 ',0,6),
(46370,100034,7,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(46371,100034,7,100,'Throws target back',1,1),
(46372,100034,7,100,'Blurs vision of target',1,2),
(46373,100034,7,100,'Stuns target',1,3),
(46374,100034,7,100,'Does not affect Epic targets',1,4),
(46375,100034,7,100,'Inflicts 41 - 69 divine damage on target',0,5),
(46376,100034,7,100,'Increases Threat to target by 2,342 ',0,6),
(46377,100034,9,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(46378,100034,9,100,'Throws target back',1,1),
(46379,100034,9,100,'Blurs vision of target',1,2),
(46380,100034,9,100,'Stuns target',1,3),
(46381,100034,9,100,'Does not affect Epic targets',1,4),
(46382,100034,9,100,'Inflicts 43 - 72 divine damage on target',0,5),
(46383,100034,9,100,'Increases Threat to target by 2,412 ',0,6),
(46384,100035,1,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(46385,100035,1,100,'Throws target back',1,1),
(46386,100035,1,100,'Blurs vision of target',1,2),
(46387,100035,1,100,'Stuns target',1,3),
(46388,100035,1,100,'Does not affect Epic targets',1,4),
(46389,100035,1,100,'Inflicts 38 - 64 divine damage on target',0,5),
(46390,100035,1,100,'Increases Threat to target by 2,266 ',0,6),
(46391,100035,2,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(46392,100035,2,100,'Throws target back',1,1),
(46393,100035,2,100,'Blurs vision of target',1,2),
(46394,100035,2,100,'Stuns target',1,3),
(46395,100035,2,100,'Does not affect Epic targets',1,4),
(46396,100035,2,100,'Inflicts 40 - 68 divine damage on target',0,5),
(46397,100035,2,100,'Increases Threat to target by 2,361 ',0,6),
(46398,100035,3,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(46399,100035,3,100,'Throws target back',1,1),
(46400,100035,3,100,'Blurs vision of target',1,2),
(46401,100035,3,100,'Stuns target',1,3),
(46402,100035,3,100,'Does not affect Epic targets',1,4),
(46403,100035,3,100,'Inflicts 43 - 71 divine damage on target',0,5),
(46404,100035,3,100,'Increases Threat to target by 2,457 ',0,6),
(46405,100035,4,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(46406,100035,4,100,'Throws target back',1,1),
(46407,100035,4,100,'Blurs vision of target',1,2),
(46408,100035,4,100,'Stuns target',1,3),
(46409,100035,4,100,'Does not affect Epic targets',1,4),
(46410,100035,4,100,'Inflicts 47 - 78 divine damage on target',0,5),
(46411,100035,4,100,'Increases Threat to target by 2,649 ',0,6),
(46412,100035,5,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(46413,100035,5,100,'Throws target back',1,1),
(46414,100035,5,100,'Blurs vision of target',1,2),
(46415,100035,5,100,'Stuns target',1,3),
(46416,100035,5,100,'Does not affect Epic targets',1,4),
(46417,100035,5,100,'Inflicts 51 - 86 divine damage on target',0,5),
(46418,100035,5,100,'Increases Threat to target by 2,841 ',0,6),
(46419,100035,7,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(46420,100035,7,100,'Throws target back',1,1),
(46421,100035,7,100,'Blurs vision of target',1,2),
(46422,100035,7,100,'Stuns target',1,3),
(46423,100035,7,100,'Does not affect Epic targets',1,4),
(46424,100035,7,100,'Inflicts 66 - 110 divine damage on target',0,5),
(46425,100035,7,100,'Increases Threat to target by 3,493 ',0,6),
(46426,100035,9,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(46427,100035,9,100,'Throws target back',1,1),
(46428,100035,9,100,'Blurs vision of target',1,2),
(46429,100035,9,100,'Stuns target',1,3),
(46430,100035,9,100,'Does not affect Epic targets',1,4),
(46431,100035,9,100,'Inflicts 68 - 114 divine damage on target',0,5),
(46432,100035,9,100,'Increases Threat to target by 3,608 ',0,6),
(46433,100036,1,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(46434,100036,1,100,'Throws target back',1,1),
(46435,100036,1,100,'Blurs vision of target',1,2),
(46436,100036,1,100,'Stuns target',1,3),
(46437,100036,1,100,'Does not affect Epic targets',1,4),
(46438,100036,1,100,'Inflicts 56 - 94 divine damage on target',0,5),
(46439,100036,1,100,'Increases Threat to target by 3,124 ',0,6),
(46440,100036,2,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(46441,100036,2,100,'Throws target back',1,1),
(46442,100036,2,100,'Blurs vision of target',1,2),
(46443,100036,2,100,'Stuns target',1,3),
(46444,100036,2,100,'Does not affect Epic targets',1,4),
(46445,100036,2,100,'Inflicts 59 - 99 divine damage on target',0,5),
(46446,100036,2,100,'Increases Threat to target by 3,267 ',0,6),
(46447,100036,3,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(46448,100036,3,100,'Throws target back',1,1),
(46449,100036,3,100,'Blurs vision of target',1,2),
(46450,100036,3,100,'Stuns target',1,3),
(46451,100036,3,100,'Does not affect Epic targets',1,4),
(46452,100036,3,100,'Inflicts 62 - 104 divine damage on target',0,5),
(46453,100036,3,100,'Increases Threat to target by 3,411 ',0,6),
(46454,100036,4,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(46455,100036,4,100,'Throws target back',1,1),
(46456,100036,4,100,'Blurs vision of target',1,2),
(46457,100036,4,100,'Stuns target',1,3),
(46458,100036,4,100,'Does not affect Epic targets',1,4),
(46459,100036,4,100,'Inflicts 69 - 115 divine damage on target',0,5),
(46460,100036,4,100,'Increases Threat to target by 3,698 ',0,6),
(46461,100036,5,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(46462,100036,5,100,'Throws target back',1,1),
(46463,100036,5,100,'Blurs vision of target',1,2),
(46464,100036,5,100,'Stuns target',1,3),
(46465,100036,5,100,'Does not affect Epic targets',1,4),
(46466,100036,5,100,'Inflicts 75 - 125 divine damage on target',0,5),
(46467,100036,5,100,'Increases Threat to target by 3,985 ',0,6),
(46468,100036,7,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(46469,100036,7,100,'Throws target back',1,1),
(46470,100036,7,100,'Blurs vision of target',1,2),
(46471,100036,7,100,'Stuns target',1,3),
(46472,100036,7,100,'Does not affect Epic targets',1,4),
(46473,100036,7,100,'Inflicts 96 - 161 divine damage on target',0,5),
(46474,100036,7,100,'Increases Threat to target by 4,961 ',0,6),
(46475,100036,9,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(46476,100036,9,100,'Throws target back',1,1),
(46477,100036,9,100,'Blurs vision of target',1,2),
(46478,100036,9,100,'Stuns target',1,3),
(46479,100036,9,100,'Does not affect Epic targets',1,4),
(46480,100036,9,100,'Inflicts 100 - 167 divine damage on target',0,5),
(46481,100036,9,100,'Increases Threat to target by 5,134 ',0,6),
(46482,100037,1,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(46483,100037,1,100,'Throws target back',1,1),
(46484,100037,1,100,'Blurs vision of target',1,2),
(46485,100037,1,100,'Stuns target',1,3),
(46486,100037,1,100,'Does not affect Epic targets',1,4),
(46487,100037,1,100,'Inflicts 74 - 123 divine damage on target',0,5),
(46488,100037,1,100,'Increases Threat to target by 4,023 ',0,6),
(46489,100037,2,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(46490,100037,2,100,'Throws target back',1,1),
(46491,100037,2,100,'Blurs vision of target',1,2),
(46492,100037,2,100,'Stuns target',1,3),
(46493,100037,2,100,'Does not affect Epic targets',1,4),
(46494,100037,2,100,'Inflicts 78 - 130 divine damage on target',0,5),
(46495,100037,2,100,'Increases Threat to target by 4,217 ',0,6),
(46496,100037,3,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(46497,100037,3,100,'Throws target back',1,1),
(46498,100037,3,100,'Blurs vision of target',1,2),
(46499,100037,3,100,'Stuns target',1,3),
(46500,100037,3,100,'Does not affect Epic targets',1,4),
(46501,100037,3,100,'Inflicts 82 - 137 divine damage on target',0,5),
(46502,100037,3,100,'Increases Threat to target by 4,410 ',0,6),
(46503,100037,4,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(46504,100037,4,100,'Throws target back',1,1),
(46505,100037,4,100,'Blurs vision of target',1,2),
(46506,100037,4,100,'Stuns target',1,3),
(46507,100037,4,100,'Does not affect Epic targets',1,4),
(46508,100037,4,100,'Inflicts 90 - 151 divine damage on target',0,5),
(46509,100037,4,100,'Increases Threat to target by 4,797 ',0,6),
(46510,100037,5,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(46511,100037,5,100,'Throws target back',1,1),
(46512,100037,5,100,'Blurs vision of target',1,2),
(46513,100037,5,100,'Stuns target',1,3),
(46514,100037,5,100,'Does not affect Epic targets',1,4),
(46515,100037,5,100,'Inflicts 99 - 165 divine damage on target',0,5),
(46516,100037,5,100,'Increases Threat to target by 5,185 ',0,6),
(46517,100037,7,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(46518,100037,7,100,'Throws target back',1,1),
(46519,100037,7,100,'Blurs vision of target',1,2),
(46520,100037,7,100,'Stuns target',1,3),
(46521,100037,7,100,'Does not affect Epic targets',1,4),
(46522,100037,7,100,'Inflicts 127 - 211 divine damage on target',0,5),
(46523,100037,7,100,'Increases Threat to target by 6,501 ',0,6),
(46524,100037,9,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(46525,100037,9,100,'Throws target back',1,1),
(46526,100037,9,100,'Blurs vision of target',1,2),
(46527,100037,9,100,'Stuns target',1,3),
(46528,100037,9,100,'Does not affect Epic targets',1,4),
(46529,100037,9,100,'Inflicts 132 - 220 divine damage on target',0,5),
(46530,100037,9,100,'Increases Threat to target by 6,733 ',0,6),
(46531,100038,1,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(46532,100038,1,100,'Throws target back',1,1),
(46533,100038,1,100,'Blurs vision of target',1,2),
(46534,100038,1,100,'Stuns target',1,3),
(46535,100038,1,100,'Does not affect Epic targets',1,4),
(46536,100038,1,100,'Inflicts 89 - 149 divine damage on target',0,5),
(46537,100038,1,100,'Increases Threat to target by 4,900 ',0,6),
(46538,100038,2,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(46539,100038,2,100,'Throws target back',1,1),
(46540,100038,2,100,'Blurs vision of target',1,2),
(46541,100038,2,100,'Stuns target',1,3),
(46542,100038,2,100,'Does not affect Epic targets',1,4),
(46543,100038,2,100,'Inflicts 94 - 158 divine damage on target',0,5),
(46544,100038,2,100,'Increases Threat to target by 5,142 ',0,6),
(46545,100038,3,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(46546,100038,3,100,'Throws target back',1,1),
(46547,100038,3,100,'Blurs vision of target',1,2),
(46548,100038,3,100,'Stuns target',1,3),
(46549,100038,3,100,'Does not affect Epic targets',1,4),
(46550,100038,3,100,'Inflicts 99 - 166 divine damage on target',0,5),
(46551,100038,3,100,'Increases Threat to target by 5,385 ',0,6),
(46552,100038,4,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(46553,100038,4,100,'Throws target back',1,1),
(46554,100038,4,100,'Blurs vision of target',1,2),
(46555,100038,4,100,'Stuns target',1,3),
(46556,100038,4,100,'Does not affect Epic targets',1,4),
(46557,100038,4,100,'Inflicts 109 - 183 divine damage on target',0,5),
(46558,100038,4,100,'Increases Threat to target by 5,869 ',0,6),
(46559,100038,5,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(46560,100038,5,100,'Throws target back',1,1),
(46561,100038,5,100,'Blurs vision of target',1,2),
(46562,100038,5,100,'Stuns target',1,3),
(46563,100038,5,100,'Does not affect Epic targets',1,4),
(46564,100038,5,100,'Inflicts 119 - 199 divine damage on target',0,5),
(46565,100038,5,100,'Increases Threat to target by 6,354 ',0,6),
(46566,100038,7,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(46567,100038,7,100,'Throws target back',1,1),
(46568,100038,7,100,'Blurs vision of target',1,2),
(46569,100038,7,100,'Stuns target',1,3),
(46570,100038,7,100,'Does not affect Epic targets',1,4),
(46571,100038,7,100,'Inflicts 153 - 256 divine damage on target',0,5),
(46572,100038,7,100,'Increases Threat to target by 8,001 ',0,6),
(46573,100038,9,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(46574,100038,9,100,'Throws target back',1,1),
(46575,100038,9,100,'Blurs vision of target',1,2),
(46576,100038,9,100,'Stuns target',1,3),
(46577,100038,9,100,'Does not affect Epic targets',1,4),
(46578,100038,9,100,'Inflicts 159 - 266 divine damage on target',0,5),
(46579,100038,9,100,'Increases Threat to target by 8,292 ',0,6),
(46580,100039,1,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(46581,100039,1,100,'Throws target back',1,1),
(46582,100039,1,100,'Blurs vision of target',1,2),
(46583,100039,1,100,'Stuns target',1,3),
(46584,100039,1,100,'Does not affect Epic targets',1,4),
(46585,100039,1,100,'Inflicts 108 - 180 divine damage on target',0,5),
(46586,100039,1,100,'Increases Threat to target by 5,802 ',0,6),
(46587,100039,4,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(46588,100039,4,100,'Throws target back',1,1),
(46589,100039,4,100,'Blurs vision of target',1,2),
(46590,100039,4,100,'Stuns target',1,3),
(46591,100039,4,100,'Does not affect Epic targets',1,4),
(46592,100039,4,100,'Inflicts 132 - 220 divine damage on target',0,5),
(46593,100039,4,100,'Increases Threat to target by 6,971 ',0,6),
(46594,100039,5,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(46595,100039,5,100,'Throws target back',1,1),
(46596,100039,5,100,'Blurs vision of target',1,2),
(46597,100039,5,100,'Stuns target',1,3),
(46598,100039,5,100,'Does not affect Epic targets',1,4),
(46599,100039,5,100,'Inflicts 144 - 240 divine damage on target',0,5),
(46600,100039,5,100,'Increases Threat to target by 7,556 ',0,6),
(46601,100039,7,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(46602,100039,7,100,'Throws target back',1,1),
(46603,100039,7,100,'Blurs vision of target',1,2),
(46604,100039,7,100,'Stuns target',1,3),
(46605,100039,7,100,'Does not affect Epic targets',1,4),
(46606,100039,7,100,'Inflicts 185 - 308 divine damage on target',0,5),
(46607,100039,7,100,'Increases Threat to target by 9,544 ',0,6),
(46608,100039,9,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(46609,100039,9,100,'Throws target back',1,1),
(46610,100039,9,100,'Blurs vision of target',1,2),
(46611,100039,9,100,'Stuns target',1,3),
(46612,100039,9,100,'Does not affect Epic targets',1,4),
(46613,100039,9,100,'Inflicts 192 - 320 divine damage on target',0,5),
(46614,100039,9,100,'Increases Threat to target by 9,894 ',0,6),
(46615,100040,1,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(46616,100040,1,100,'Throws target back',1,1),
(46617,100040,1,100,'Blurs vision of target',1,2),
(46618,100040,1,100,'Stuns target',1,3),
(46619,100040,1,100,'Does not affect Epic targets',1,4),
(46620,100040,1,100,'Inflicts 116 - 193 divine damage on target',0,5),
(46621,100040,1,100,'Increases Threat to target by 6,703 ',0,6),
(46622,100040,4,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(46623,100040,4,100,'Throws target back',1,1),
(46624,100040,4,100,'Blurs vision of target',1,2),
(46625,100040,4,100,'Stuns target',1,3),
(46626,100040,4,100,'Does not affect Epic targets',1,4),
(46627,100040,4,100,'Inflicts 142 - 236 divine damage on target',0,5),
(46628,100040,4,100,'Increases Threat to target by 8,073 ',0,6),
(46629,100040,5,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(46630,100040,5,100,'Throws target back',1,1),
(46631,100040,5,100,'Blurs vision of target',1,2),
(46632,100040,5,100,'Stuns target',1,3),
(46633,100040,5,100,'Does not affect Epic targets',1,4),
(46634,100040,5,100,'Inflicts 154 - 258 divine damage on target',0,5),
(46635,100040,5,100,'Increases Threat to target by 8,757 ',0,6),
(46636,100040,7,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(46637,100040,7,100,'Throws target back',1,1),
(46638,100040,7,100,'Blurs vision of target',1,2),
(46639,100040,7,100,'Stuns target',1,3),
(46640,100040,7,100,'Does not affect Epic targets',1,4),
(46641,100040,7,100,'Inflicts 198 - 331 divine damage on target',0,5),
(46642,100040,7,100,'Increases Threat to target by 11,086 ',0,6),
(46643,100040,9,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(46644,100040,9,100,'Throws target back',1,1),
(46645,100040,9,100,'Blurs vision of target',1,2),
(46646,100040,9,100,'Stuns target',1,3),
(46647,100040,9,100,'Does not affect Epic targets',1,4),
(46648,100040,9,100,'Inflicts 206 - 344 divine damage on target',0,5),
(46649,100040,9,100,'Increases Threat to target by 11,497 ',0,6),
(46650,2000128,3,100,'Heals group members (AE) for 2 - 4',0,0),
(46651,2000128,4,100,'Heals group members (AE) for 3 - 4',0,0),
(46652,2000128,5,100,'Heals group members (AE) for 3 - 5',0,0),
(46653,2000128,7,100,'Heals group members (AE) for 3 - 5',0,0),
(46654,2000128,9,100,'Heals group members (AE) for 4 - 6',0,0),
(46655,2000128,10,100,'Heals group members (AE) for 4 - 6',0,0),
(46656,2000129,1,100,'Inflicts 2805 - 4676 ranged damage on target encounter',0,0),
(46657,2000129,1,100,'I need to be stealthed!',0,1),
(46658,2000129,1,100,'Requires bow',0,2),
(46659,2000130,1,100,'Inflicts 1274 - 1912 melee damage on target',0,0),
(46660,2000130,1,100,'Increases threat priority of target by 6 positions',0,1),
(46661,390055,1,100,'Inflicts 298 - 497 ranged damage on target',0,0),
(46662,390055,1,100,'I need to be stealthed!',0,1),
(46663,390055,1,100,'Requires bow or aim',0,2),
(46664,390055,2,100,'Inflicts 314 - 524 ranged damage on target',0,0),
(46665,390055,2,100,'I need to be stealthed!',0,1),
(46666,390055,2,100,'Requires bow or aim',0,2),
(46667,390055,3,100,'Inflicts 331 - 552 ranged damage on target',0,0),
(46668,390055,3,100,'I need to be stealthed!',0,1),
(46669,390055,3,100,'Requires bow or aim',0,2),
(46670,390055,4,100,'Inflicts 364 - 607 ranged damage on target',0,0),
(46671,390055,4,100,'I need to be stealthed!',0,1),
(46672,390055,4,100,'Requires bow or aim',0,2),
(46673,390055,5,100,'Inflicts 397 - 663 ranged damage on target',0,0),
(46674,390055,5,100,'I need to be stealthed!',0,1),
(46675,390055,5,100,'Requires bow or aim',0,2),
(46676,390055,7,100,'Inflicts 510 - 850 ranged damage on target',0,0),
(46677,390055,7,100,'I need to be stealthed!',0,1),
(46678,390055,7,100,'Requires bow or aim',0,2),
(46679,390055,9,100,'Inflicts 530 - 884 ranged damage on target',0,0),
(46680,390055,9,100,'I need to be stealthed!',0,1),
(46681,390055,9,100,'Requires bow or aim',0,2),
(46682,390056,1,100,'Inflicts 480 - 800 ranged damage on target',0,0),
(46683,390056,1,100,'I need to be stealthed!',0,1),
(46684,390056,1,100,'Requires bow or aim',0,2),
(46685,390056,2,100,'Inflicts 506 - 844 ranged damage on target',0,0),
(46686,390056,2,100,'I need to be stealthed!',0,1),
(46687,390056,2,100,'Requires bow or aim',0,2),
(46688,390056,3,100,'Inflicts 533 - 889 ranged damage on target',0,0),
(46689,390056,3,100,'I need to be stealthed!',0,1),
(46690,390056,3,100,'Requires bow or aim',0,2),
(46691,390056,4,100,'Inflicts 586 - 977 ranged damage on target',0,0),
(46692,390056,4,100,'I need to be stealthed!',0,1),
(46693,390056,4,100,'Requires bow or aim',0,2),
(46694,390056,5,100,'Inflicts 640 - 1066 ranged damage on target',0,0),
(46695,390056,5,100,'I need to be stealthed!',0,1),
(46696,390056,5,100,'Requires bow or aim',0,2),
(46697,390056,7,100,'Inflicts 821 - 1369 ranged damage on target',0,0),
(46698,390056,7,100,'I need to be stealthed!',0,1),
(46699,390056,7,100,'Requires bow or aim',0,2),
(46700,390056,9,100,'Inflicts 853 - 1422 ranged damage on target',0,0),
(46701,390056,9,100,'I need to be stealthed!',0,1),
(46702,390056,9,100,'Requires bow or aim',0,2),
(46703,390056,10,100,'Inflicts 896 - 1493 ranged damage on target',0,0),
(46704,390056,10,100,'I need to be stealthed!',0,1),
(46705,390056,10,100,'Requires bow or aim',0,2),
(46706,390057,1,100,'Inflicts 707 - 1178 ranged damage on target',0,0),
(46707,390057,1,100,'I need to be stealthed!',0,1),
(46708,390057,1,100,'Requires bow or aim',0,2),
(46709,390057,2,100,'Inflicts 746 - 1244 ranged damage on target',0,0),
(46710,390057,2,100,'I need to be stealthed!',0,1),
(46711,390057,2,100,'Requires bow or aim',0,2),
(46712,390057,3,100,'Inflicts 785 - 1309 ranged damage on target',0,0),
(46713,390057,3,100,'I need to be stealthed!',0,1),
(46714,390057,3,100,'Requires bow or aim',0,2),
(46715,390057,4,100,'Inflicts 864 - 1440 ranged damage on target',0,0),
(46716,390057,4,100,'I need to be stealthed!',0,1),
(46717,390057,4,100,'Requires bow or aim',0,2),
(46718,390057,5,100,'Inflicts 943 - 1571 ranged damage on target',0,0),
(46719,390057,5,100,'I need to be stealthed!',0,1),
(46720,390057,5,100,'Requires bow or aim',0,2),
(46721,390057,7,100,'Inflicts 1210 - 2017 ranged damage on target',0,0),
(46722,390057,7,100,'I need to be stealthed!',0,1),
(46723,390057,7,100,'Requires bow or aim',0,2),
(46724,390057,9,100,'Inflicts 1257 - 2095 ranged damage on target',0,0),
(46725,390057,9,100,'I need to be stealthed!',0,1),
(46726,390057,9,100,'Requires bow or aim',0,2),
(46727,390057,10,100,'Inflicts 1320 - 2200 ranged damage on target',0,0),
(46728,390057,10,100,'I need to be stealthed!',0,1),
(46729,390057,10,100,'Requires bow or aim',0,2),
(46730,390058,1,100,'Inflicts 934 - 1557 ranged damage on target',0,0),
(46731,390058,1,100,'I need to be stealthed!',0,1),
(46732,390058,1,100,'Requires bow or aim',0,2),
(46733,390058,2,100,'Inflicts 986 - 1643 ranged damage on target',0,0),
(46734,390058,2,100,'I need to be stealthed!',0,1),
(46735,390058,2,100,'Requires bow or aim',0,2),
(46736,390058,3,100,'Inflicts 1038 - 1730 ranged damage on target',0,0),
(46737,390058,3,100,'I need to be stealthed!',0,1),
(46738,390058,3,100,'Requires bow or aim',0,2),
(46739,390058,4,100,'Inflicts 1142 - 1903 ranged damage on target',0,0),
(46740,390058,4,100,'I need to be stealthed!',0,1),
(46741,390058,4,100,'Requires bow or aim',0,2),
(46742,390058,5,100,'Inflicts 1245 - 2076 ranged damage on target',0,0),
(46743,390058,5,100,'I need to be stealthed!',0,1),
(46744,390058,5,100,'Requires bow or aim',0,2),
(46745,390058,7,100,'Inflicts 1598 - 2664 ranged damage on target',0,0),
(46746,390058,7,100,'I need to be stealthed!',0,1),
(46747,390058,7,100,'Requires bow or aim',0,2),
(46748,390058,9,100,'Inflicts 1661 - 2768 ranged damage on target',0,0),
(46749,390058,9,100,'I need to be stealthed!',0,1),
(46750,390058,9,100,'Requires bow or aim',0,2),
(46751,390059,1,100,'Inflicts 1131 - 1885 ranged damage on target',0,0),
(46752,390059,1,100,'I need to be stealthed!',0,1),
(46753,390059,1,100,'Requires bow or aim',0,2),
(46754,390059,2,100,'Inflicts 1194 - 1990 ranged damage on target',0,0),
(46755,390059,2,100,'I need to be stealthed!',0,1),
(46756,390059,2,100,'Requires bow or aim',0,2),
(46757,390059,3,100,'Inflicts 1256 - 2094 ranged damage on target',0,0),
(46758,390059,3,100,'I need to be stealthed!',0,1),
(46759,390059,3,100,'Requires bow or aim',0,2),
(46760,390059,4,100,'Inflicts 1382 - 2304 ranged damage on target',0,0),
(46761,390059,4,100,'I need to be stealthed!',0,1),
(46762,390059,4,100,'Requires bow or aim',0,2),
(46763,390059,5,100,'Inflicts 1508 - 2513 ranged damage on target',0,0),
(46764,390059,5,100,'I need to be stealthed!',0,1),
(46765,390059,5,100,'Requires bow or aim',0,2),
(46766,390059,7,100,'Inflicts 1935 - 3226 ranged damage on target',0,0),
(46767,390059,7,100,'I need to be stealthed!',0,1),
(46768,390059,7,100,'Requires bow or aim',0,2),
(46769,390059,9,100,'Inflicts 2011 - 3351 ranged damage on target',0,0),
(46770,390059,9,100,'I need to be stealthed!',0,1),
(46771,390059,9,100,'Requires bow or aim',0,2),
(46772,390060,1,100,'Inflicts 1362 - 2271 ranged damage on target',0,0),
(46773,390060,1,100,'I need to be stealthed!',0,1),
(46774,390060,1,100,'Requires bow or aim',0,2),
(46775,390060,4,100,'Inflicts 1665 - 2776 ranged damage on target',0,0),
(46776,390060,4,100,'I need to be stealthed!',0,1),
(46777,390060,4,100,'Requires bow or aim',0,2),
(46778,390060,5,100,'Inflicts 1817 - 3028 ranged damage on target',0,0),
(46779,390060,5,100,'I need to be stealthed!',0,1),
(46780,390060,5,100,'Requires bow or aim',0,2),
(46781,390060,7,100,'Inflicts 2331 - 3886 ranged damage on target',0,0),
(46782,390060,7,100,'I need to be stealthed!',0,1),
(46783,390060,7,100,'Requires bow or aim',0,2),
(46784,390060,9,100,'Inflicts 2422 - 4037 ranged damage on target',0,0),
(46785,390060,9,100,'I need to be stealthed!',0,1),
(46786,390060,9,100,'Requires bow or aim',0,2),
(46787,390061,1,100,'Inflicts 1479 - 2465 ranged damage on target',0,0),
(46788,390061,1,100,'I need to be stealthed!',0,1),
(46789,390061,1,100,'Requires bow or aim',0,2),
(46790,390061,4,100,'Inflicts 1808 - 3013 ranged damage on target',0,0),
(46791,390061,4,100,'I need to be stealthed!',0,1),
(46792,390061,4,100,'Requires bow or aim',0,2),
(46793,390061,5,100,'Inflicts 1972 - 3287 ranged damage on target',0,0),
(46794,390061,5,100,'I need to be stealthed!',0,1),
(46795,390061,5,100,'Requires bow or aim',0,2),
(46796,390061,7,100,'Inflicts 2531 - 4218 ranged damage on target',0,0),
(46797,390061,7,100,'I need to be stealthed!',0,1),
(46798,390061,7,100,'Requires bow or aim',0,2),
(46799,390061,9,100,'Inflicts 2629 - 4383 ranged damage on target',0,0),
(46800,390061,9,100,'I need to be stealthed!',0,1),
(46801,390061,9,100,'Requires bow or aim',0,2),
(46802,2000131,1,100,'Applies Hierophant Breakaway.',0,0),
(46803,2000131,1,100,'Dispels 97 levels of hostile Root effects on caster',1,1),
(46804,2000131,1,100,'Inflicts 280 - 467 melee damage on targets in Area of Effect',0,2),
(46805,2000131,1,100,'Roots targets in Area of Effect',0,3),
(46806,2000131,1,100,'If Target is not Epic',1,4),
(46807,2000131,1,100,'10% chance to dispel when target takes damage',0,5),
(46808,2000131,1,100,'Resistibility increases against targets higher than level 29.',0,6),
(46809,2000131,2,100,'Applies Hierophant Breakaway.',0,0),
(46810,2000131,2,100,'Dispels 94 levels of hostile Root effects on caster',1,1),
(46811,2000131,2,100,'Inflicts 222 - 370 melee damage on targets in Area of Effect',0,2),
(46812,2000131,2,100,'Roots targets in Area of Effect',0,3),
(46813,2000131,2,100,'If Target is not Epic',1,4),
(46814,2000131,2,100,'10% chance to dispel when target takes damage',0,5),
(46815,2000131,2,100,'Resistibility increases against targets higher than level 29.',0,6),
(46816,2000131,3,100,'Applies Hierophant Breakaway.',0,0),
(46817,2000131,3,100,'Dispels 108 levels of hostile Root effects on caster',1,1),
(46818,2000131,3,100,'Inflicts 311 - 519 melee damage on targets in Area of Effect',0,2),
(46819,2000131,3,100,'Roots targets in Area of Effect',0,3),
(46820,2000131,3,100,'If Target is not Epic',1,4),
(46821,2000131,3,100,'10% chance to dispel when target takes damage',0,5),
(46822,2000131,3,100,'Resistibility increases against targets higher than level 29.',0,6),
(46823,2000131,4,100,'Applies Hierophant Breakaway.',0,0),
(46824,2000131,4,100,'Dispels 119 levels of hostile Root effects on caster',1,1),
(46825,2000131,4,100,'Inflicts 342 - 571 melee damage on targets in Area of Effect',0,2),
(46826,2000131,4,100,'Roots targets in Area of Effect',0,3),
(46827,2000131,4,100,'If Target is not Epic',1,4),
(46828,2000131,4,100,'10% chance to dispel when target takes damage',0,5),
(46829,2000131,4,100,'Resistibility increases against targets higher than level 29.',0,6),
(46830,2000131,5,100,'Applies Hierophant Breakaway.',0,0),
(46831,2000131,5,100,'Dispels 130 levels of hostile Root effects on caster',1,1),
(46832,2000131,5,100,'Inflicts 373 - 623 melee damage on targets in Area of Effect',0,2),
(46833,2000131,5,100,'Roots targets in Area of Effect',0,3),
(46834,2000131,5,100,'If Target is not Epic',1,4),
(46835,2000131,5,100,'10% chance to dispel when target takes damage',0,5),
(46836,2000131,5,100,'Resistibility increases against targets higher than level 29.',0,6),
(46837,2000131,6,100,'Applies Hierophant Breakaway.',0,0),
(46838,2000131,6,100,'Dispels 140 levels of hostile Root effects on caster',1,1),
(46839,2000131,6,100,'Inflicts 405 - 675 melee damage on targets in Area of Effect',0,2),
(46840,2000131,6,100,'Roots targets in Area of Effect',0,3),
(46841,2000131,6,100,'If Target is not Epic',1,4),
(46842,2000131,6,100,'10% chance to dispel when target takes damage',0,5),
(46843,2000131,6,100,'Resistibility increases against targets higher than level 29.',0,6),
(46844,2000131,7,100,'Applies Hierophant Breakaway.',0,0),
(46845,2000131,7,100,'Dispels 166 levels of hostile Root effects on caster',1,1),
(46846,2000131,7,100,'Inflicts 479 - 799 melee damage on targets in Area of Effect',0,2),
(46847,2000131,7,100,'Roots targets in Area of Effect',0,3),
(46848,2000131,7,100,'If Target is not Epic',1,4),
(46849,2000131,7,100,'10% chance to dispel when target takes damage',0,5),
(46850,2000131,7,100,'Resistibility increases against targets higher than level 29.',0,6),
(46851,2000131,8,100,'Applies Hierophant Breakaway.',0,0),
(46852,2000131,8,100,'Dispels 167 levels of hostile Root effects on caster',1,1),
(46853,2000131,8,100,'Inflicts 483 - 805 melee damage on targets in Area of Effect',0,2),
(46854,2000131,8,100,'Roots targets in Area of Effect',0,3),
(46855,2000131,8,100,'If Target is not Epic',1,4),
(46856,2000131,8,100,'10% chance to dispel when target takes damage',0,5),
(46857,2000131,8,100,'Resistibility increases against targets higher than level 29.',0,6),
(46858,2000131,9,100,'Applies Hierophant Breakaway.',0,0),
(46859,2000131,9,100,'Dispels 173 levels of hostile Root effects on caster',1,1),
(46860,2000131,9,100,'Inflicts 498 - 831 melee damage on targets in Area of Effect',0,2),
(46861,2000131,9,100,'Roots targets in Area of Effect',0,3),
(46862,2000131,9,100,'If Target is not Epic',1,4),
(46863,2000131,9,100,'10% chance to dispel when target takes damage',0,5),
(46864,2000131,9,100,'Resistibility increases against targets higher than level 29.',0,6),
(46865,2000131,10,100,'Applies Hierophant Breakaway.',0,0),
(46866,2000131,10,100,'Dispels 166 levels of hostile Root effects on caster',1,1),
(46867,2000131,10,100,'Inflicts 392 - 654 melee damage on targets in Area of Effect',0,2),
(46868,2000131,10,100,'Roots targets in Area of Effect',0,3),
(46869,2000131,10,100,'If Target is not Epic',1,4),
(46870,2000131,10,100,'10% chance to dispel when target takes damage',0,5),
(46871,2000131,10,100,'Resistibility increases against targets higher than level 29.',0,6),
(46872,310016,3,100,'Interrupts target',0,0),
(46873,310016,3,100,'Inflicts 17 - 21 crushing damage on target',0,1),
(46874,310016,3,100,'Stuns target',0,2),
(46875,310016,3,100,'If Target is not Epic',1,3),
(46876,20005,1,100,'Slows caster by 75.0%',0,0),
(46877,20005,1,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,1),
(46878,20005,1,100,'Increases Threat to target by 95 ',1,2),
(46879,30086,1,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,0),
(46880,30086,1,100,'Increases Threat to target by 20 ',1,1),
(46881,30086,1,100,'On a block this spell will cast Holding the Line on target''s victim.  ',0,2),
(46882,30086,1,100,'Increases Threat to target by 20 ',1,3),
(46883,30086,2,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,0),
(46884,30086,2,100,'Increases Threat to target by 21 ',1,1),
(46885,30086,2,100,'On a block this spell will cast Holding the Line on target''s victim.  ',0,2),
(46886,30086,2,100,'Increases Threat to target by 21 ',1,3),
(46887,30086,3,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,0),
(46888,30086,3,100,'Increases Threat to target by 22 ',1,1),
(46889,30086,3,100,'On a block this spell will cast Holding the Line on target''s victim.  ',0,2),
(46890,30086,3,100,'Increases Threat to target by 22 ',1,3),
(46891,30086,4,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,0),
(46892,30086,4,100,'Increases Threat to target by 24 ',1,1),
(46893,30086,4,100,'On a block this spell will cast Holding the Line on target''s victim.  ',0,2),
(46894,30086,4,100,'Increases Threat to target by 24 ',1,3),
(46895,30086,5,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,0),
(46896,30086,5,100,'Increases Threat to target by 27 ',1,1),
(46897,30086,5,100,'On a block this spell will cast Holding the Line on target''s victim.  ',0,2),
(46898,30086,5,100,'Increases Threat to target by 27 ',1,3),
(46899,20005,5,100,'Slows caster by 75.0%',0,0),
(46900,20005,5,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,1),
(46901,20005,5,100,'Increases Threat to target by 127 ',1,2),
(46902,30086,7,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,0),
(46903,30086,7,100,'Increases Threat to target by 34 ',1,1),
(46904,30086,7,100,'On a block this spell will cast Holding the Line on target''s victim.  ',0,2),
(46905,30086,7,100,'Increases Threat to target by 34 ',1,3),
(46906,30086,9,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,0),
(46907,30086,9,100,'Increases Threat to target by 36 ',1,1),
(46908,30086,9,100,'On a block this spell will cast Holding the Line on target''s victim.  ',0,2),
(46909,30086,9,100,'Increases Threat to target by 36 ',1,3),
(46910,30087,1,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,0),
(46911,30087,1,100,'Increases Threat to target by 95 ',1,1),
(46912,30087,1,100,'On a block this spell will cast Holding the Line on target''s victim.  ',0,2),
(46913,30087,1,100,'Increases Threat to target by 95 ',1,3),
(46914,30087,2,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,0),
(46915,30087,2,100,'Increases Threat to target by 101 ',1,1),
(46916,30087,2,100,'On a block this spell will cast Holding the Line on target''s victim.  ',0,2),
(46917,30087,2,100,'Increases Threat to target by 101 ',1,3),
(46918,30087,3,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,0),
(46919,30087,3,100,'Increases Threat to target by 106 ',1,1),
(46920,30087,3,100,'On a block this spell will cast Holding the Line on target''s victim.  ',0,2),
(46921,30087,3,100,'Increases Threat to target by 106 ',1,3),
(46922,30087,4,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,0),
(46923,30087,4,100,'Increases Threat to target by 117 ',1,1),
(46924,30087,4,100,'On a block this spell will cast Holding the Line on target''s victim.  ',0,2),
(46925,30087,4,100,'Increases Threat to target by 117 ',1,3),
(46926,30087,5,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,0),
(46927,30087,5,100,'Increases Threat to target by 127 ',1,1),
(46928,30087,5,100,'On a block this spell will cast Holding the Line on target''s victim.  ',0,2),
(46929,30087,5,100,'Increases Threat to target by 127 ',1,3),
(46930,30087,7,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,0),
(46931,30087,7,100,'Increases Threat to target by 164 ',1,1),
(46932,30087,7,100,'On a block this spell will cast Holding the Line on target''s victim.  ',0,2),
(46933,30087,7,100,'Increases Threat to target by 164 ',1,3),
(46934,30087,9,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,0),
(46935,30087,9,100,'Increases Threat to target by 170 ',1,1),
(46936,30087,9,100,'On a block this spell will cast Holding the Line on target''s victim.  ',0,2),
(46937,30087,9,100,'Increases Threat to target by 170 ',1,3),
(46938,30088,1,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,0),
(46939,30088,1,100,'Increases Threat to target by 199 ',1,1),
(46940,30088,1,100,'On a block this spell will cast Holding the Line on target''s victim.  ',0,2),
(46941,30088,1,100,'Increases Threat to target by 199 ',1,3),
(46942,30088,2,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,0),
(46943,30088,2,100,'Increases Threat to target by 210 ',1,1),
(46944,30088,2,100,'On a block this spell will cast Holding the Line on target''s victim.  ',0,2),
(46945,30088,2,100,'Increases Threat to target by 210 ',1,3),
(46946,30088,3,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,0),
(46947,30088,3,100,'Increases Threat to target by 221 ',1,1),
(46948,30088,3,100,'On a block this spell will cast Holding the Line on target''s victim.  ',0,2),
(46949,30088,3,100,'Increases Threat to target by 221 ',1,3),
(46950,30088,4,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,0),
(46951,30088,4,100,'Increases Threat to target by 243 ',1,1),
(46952,30088,4,100,'On a block this spell will cast Holding the Line on target''s victim.  ',0,2),
(46953,30088,4,100,'Increases Threat to target by 243 ',1,3),
(46954,30088,5,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,0),
(46955,30088,5,100,'Increases Threat to target by 265 ',1,1),
(46956,30088,5,100,'On a block this spell will cast Holding the Line on target''s victim.  ',0,2),
(46957,30088,5,100,'Increases Threat to target by 265 ',1,3),
(46958,30088,7,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,0),
(46959,30088,7,100,'Increases Threat to target by 340 ',1,1),
(46960,30088,7,100,'On a block this spell will cast Holding the Line on target''s victim.  ',0,2),
(46961,30088,7,100,'Increases Threat to target by 340 ',1,3),
(46962,30088,9,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,0),
(46963,30088,9,100,'Increases Threat to target by 353 ',1,1),
(46964,30088,9,100,'On a block this spell will cast Holding the Line on target''s victim.  ',0,2),
(46965,30088,9,100,'Increases Threat to target by 353 ',1,3),
(46966,30089,1,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,0),
(46967,30089,1,100,'Increases Threat to target by 321 ',1,1),
(46968,30089,1,100,'On a block this spell will cast Holding the Line on target''s victim.  ',0,2),
(46969,30089,1,100,'Increases Threat to target by 321 ',1,3),
(46970,30089,2,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,0),
(46971,30089,2,100,'Increases Threat to target by 339 ',1,1),
(46972,30089,2,100,'On a block this spell will cast Holding the Line on target''s victim.  ',0,2),
(46973,30089,2,100,'Increases Threat to target by 339 ',1,3),
(46974,30089,3,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,0),
(46975,30089,3,100,'Increases Threat to target by 357 ',1,1),
(46976,30089,3,100,'On a block this spell will cast Holding the Line on target''s victim.  ',0,2),
(46977,30089,3,100,'Increases Threat to target by 357 ',1,3),
(46978,30089,4,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,0),
(46979,30089,4,100,'Increases Threat to target by 393 ',1,1),
(46980,30089,4,100,'On a block this spell will cast Holding the Line on target''s victim.  ',0,2),
(46981,30089,4,100,'Increases Threat to target by 393 ',1,3),
(46982,30089,5,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,0),
(46983,30089,5,100,'Increases Threat to target by 429 ',1,1),
(46984,30089,5,100,'On a block this spell will cast Holding the Line on target''s victim.  ',0,2),
(46985,30089,5,100,'Increases Threat to target by 429 ',1,3),
(46986,30089,7,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,0),
(46987,30089,7,100,'Increases Threat to target by 550 ',1,1),
(46988,30089,7,100,'On a block this spell will cast Holding the Line on target''s victim.  ',0,2),
(46989,30089,7,100,'Increases Threat to target by 550 ',1,3),
(46990,30089,9,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,0),
(46991,30089,9,100,'Increases Threat to target by 572 ',1,1),
(46992,30089,9,100,'On a block this spell will cast Holding the Line on target''s victim.  ',0,2),
(46993,30089,9,100,'Increases Threat to target by 572 ',1,3),
(46994,30089,10,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,0),
(46995,30089,10,100,'Increases Threat to target by 600 ',1,1),
(46996,30089,10,100,'On a block this spell will cast Holding the Line on target''s victim.  ',0,2),
(46997,30089,10,100,'Increases Threat to target by 600 ',1,3),
(46998,30090,1,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,0),
(46999,30090,1,100,'Increases Threat to target by 472 ',1,1),
(47000,30090,1,100,'On a block this spell will cast Holding the Line on target''s victim.  ',0,2),
(47001,30090,1,100,'Increases Threat to target by 472 ',1,3),
(47002,30090,2,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,0),
(47003,30090,2,100,'Increases Threat to target by 499 ',1,1),
(47004,30090,2,100,'On a block this spell will cast Holding the Line on target''s victim.  ',0,2),
(47005,30090,2,100,'Increases Threat to target by 499 ',1,3),
(47006,30090,3,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,0),
(47007,30090,3,100,'Increases Threat to target by 525 ',1,1),
(47008,30090,3,100,'On a block this spell will cast Holding the Line on target''s victim.  ',0,2),
(47009,30090,3,100,'Increases Threat to target by 525 ',1,3),
(47010,30090,4,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,0),
(47011,30090,4,100,'Increases Threat to target by 577 ',1,1),
(47012,30090,4,100,'On a block this spell will cast Holding the Line on target''s victim.  ',0,2),
(47013,30090,4,100,'Increases Threat to target by 577 ',1,3),
(47014,30090,5,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,0),
(47015,30090,5,100,'Increases Threat to target by 630 ',1,1),
(47016,30090,5,100,'On a block this spell will cast Holding the Line on target''s victim.  ',0,2),
(47017,30090,5,100,'Increases Threat to target by 630 ',1,3),
(47018,30090,7,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,0),
(47019,30090,7,100,'Increases Threat to target by 809 ',1,1),
(47020,30090,7,100,'On a block this spell will cast Holding the Line on target''s victim.  ',0,2),
(47021,30090,7,100,'Increases Threat to target by 809 ',1,3),
(47022,30090,9,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,0),
(47023,30090,9,100,'Increases Threat to target by 840 ',1,1),
(47024,30090,9,100,'On a block this spell will cast Holding the Line on target''s victim.  ',0,2),
(47025,30090,9,100,'Increases Threat to target by 840 ',1,3),
(47026,30091,1,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,0),
(47027,30091,1,100,'Increases Threat to target by 635 ',1,1),
(47028,30091,1,100,'On a block this spell will cast Holding the Line on target''s victim.  ',0,2),
(47029,30091,1,100,'Increases Threat to target by 635 ',1,3),
(47030,30091,2,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,0),
(47031,30091,2,100,'Increases Threat to target by 670 ',1,1),
(47032,30091,2,100,'On a block this spell will cast Holding the Line on target''s victim.  ',0,2),
(47033,30091,2,100,'Increases Threat to target by 670 ',1,3),
(47034,30091,3,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,0),
(47035,30091,3,100,'Increases Threat to target by 705 ',1,1),
(47036,30091,3,100,'On a block this spell will cast Holding the Line on target''s victim.  ',0,2),
(47037,30091,3,100,'Increases Threat to target by 705 ',1,3),
(47038,30091,4,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,0),
(47039,30091,4,100,'Increases Threat to target by 776 ',1,1),
(47040,30091,4,100,'On a block this spell will cast Holding the Line on target''s victim.  ',0,2),
(47041,30091,4,100,'Increases Threat to target by 776 ',1,3),
(47042,30091,5,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,0),
(47043,30091,5,100,'Increases Threat to target by 846 ',1,1),
(47044,30091,5,100,'On a block this spell will cast Holding the Line on target''s victim.  ',0,2),
(47045,30091,5,100,'Increases Threat to target by 846 ',1,3),
(47046,30091,7,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,0),
(47047,30091,7,100,'Increases Threat to target by 1,086 ',1,1),
(47048,30091,7,100,'On a block this spell will cast Holding the Line on target''s victim.  ',0,2),
(47049,30091,7,100,'Increases Threat to target by 1,086 ',1,3),
(47050,30091,9,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,0),
(47051,30091,9,100,'Increases Threat to target by 1,129 ',1,1),
(47052,30091,9,100,'On a block this spell will cast Holding the Line on target''s victim.  ',0,2),
(47053,30091,9,100,'Increases Threat to target by 1,129 ',1,3),
(47054,30092,1,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,0),
(47055,30092,1,100,'Increases Threat to target by 792 ',1,1),
(47056,30092,1,100,'On a block this spell will cast Holding the Line on target''s victim.  ',0,2),
(47057,30092,1,100,'Increases Threat to target by 792 ',1,3),
(47058,30092,4,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,0),
(47059,30092,4,100,'Increases Threat to target by 969 ',1,1),
(47060,30092,4,100,'On a block this spell will cast Holding the Line on target''s victim.  ',0,2),
(47061,30092,4,100,'Increases Threat to target by 969 ',1,3),
(47062,30092,5,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,0),
(47063,30092,5,100,'Increases Threat to target by 1,057 ',1,1),
(47064,30092,5,100,'On a block this spell will cast Holding the Line on target''s victim.  ',0,2),
(47065,30092,5,100,'Increases Threat to target by 1,057 ',1,3),
(47066,30092,7,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,0),
(47067,30092,7,100,'Increases Threat to target by 1,317 ',1,1),
(47068,30092,7,100,'On a block this spell will cast Holding the Line on target''s victim.  ',0,2),
(47069,30092,7,100,'Increases Threat to target by 1,317 ',1,3),
(47070,30092,9,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,0),
(47071,30092,9,100,'Increases Threat to target by 1,347 ',1,1),
(47072,30092,9,100,'On a block this spell will cast Holding the Line on target''s victim.  ',0,2),
(47073,30092,9,100,'Increases Threat to target by 1,347 ',1,3),
(47074,30092,10,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,0),
(47075,30092,10,100,'Increases Threat to target by 1,387 ',1,1),
(47076,30092,10,100,'On a block this spell will cast Holding the Line on target''s victim.  ',0,2),
(47077,30092,10,100,'Increases Threat to target by 1,387 ',1,3),
(47078,30093,1,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,0),
(47079,30093,1,100,'Increases Threat to target by 950 ',1,1),
(47080,30093,1,100,'On a block this spell will cast Holding the Line on target''s victim.  ',0,2),
(47081,30093,1,100,'Increases Threat to target by 950 ',1,3),
(47082,30093,4,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,0),
(47083,30093,4,100,'Increases Threat to target by 1,161 ',1,1),
(47084,30093,4,100,'On a block this spell will cast Holding the Line on target''s victim.  ',0,2),
(47085,30093,4,100,'Increases Threat to target by 1,161 ',1,3),
(47086,30093,5,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,0),
(47087,30093,5,100,'Increases Threat to target by 1,265 ',1,1),
(47088,30093,5,100,'On a block this spell will cast Holding the Line on target''s victim.  ',0,2),
(47089,30093,5,100,'Increases Threat to target by 1,265 ',1,3),
(47090,30093,7,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,0),
(47091,30093,7,100,'Increases Threat to target by 1,471 ',1,1),
(47092,30093,7,100,'On a block this spell will cast Holding the Line on target''s victim.  ',0,2),
(47093,30093,7,100,'Increases Threat to target by 1,471 ',1,3),
(47094,30093,9,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,0),
(47095,30093,9,100,'Increases Threat to target by 1,507 ',1,1),
(47096,30093,9,100,'On a block this spell will cast Holding the Line on target''s victim.  ',0,2),
(47097,30093,9,100,'Increases Threat to target by 1,507 ',1,3),
(47098,30093,10,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,0),
(47099,30093,10,100,'Increases Threat to target by 1,555 ',1,1),
(47100,30093,10,100,'On a block this spell will cast Holding the Line on target''s victim.  ',0,2),
(47101,30093,10,100,'Increases Threat to target by 1,555 ',1,3),
(47102,340108,1,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(47103,340108,1,100,'Slows target by 28.3%',1,1),
(47104,340108,1,100,'5% chance to dispel when target receives hostile action',1,2),
(47105,340108,1,100,'5% chance to dispel when target takes damage',1,3),
(47106,340108,1,100,'Decreases Mitigation of target vs elemental damage by 197',0,4),
(47107,340108,2,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(47108,340108,2,100,'Slows target by 29.8%',1,1),
(47109,340108,2,100,'5% chance to dispel when target receives hostile action',1,2),
(47110,340108,2,100,'5% chance to dispel when target takes damage',1,3),
(47111,340108,2,100,'Decreases Mitigation of target vs elemental damage by 207',0,4),
(47112,340108,3,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(47113,340108,3,100,'Slows target by 31.4%',1,1),
(47114,340108,3,100,'5% chance to dispel when target receives hostile action',1,2),
(47115,340108,3,100,'5% chance to dispel when target takes damage',1,3),
(47116,340108,3,100,'Decreases Mitigation of target vs elemental damage by 218',0,4),
(47117,340108,4,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(47118,340108,4,100,'Slows target by 34.5%',1,1),
(47119,340108,4,100,'5% chance to dispel when target receives hostile action',1,2),
(47120,340108,4,100,'5% chance to dispel when target takes damage',1,3),
(47121,340108,4,100,'Decreases Mitigation of target vs elemental damage by 240',0,4),
(47122,340108,5,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(47123,340108,5,100,'Slows target by 37.7%',1,1),
(47124,340108,5,100,'5% chance to dispel when target receives hostile action',1,2),
(47125,340108,5,100,'5% chance to dispel when target takes damage',1,3),
(47126,340108,5,100,'Decreases Mitigation of target vs elemental damage by 262',0,4),
(47127,340108,7,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(47128,340108,7,100,'Slows target by 48.4%',1,1),
(47129,340108,7,100,'5% chance to dispel when target receives hostile action',1,2),
(47130,340108,7,100,'5% chance to dispel when target takes damage',1,3),
(47131,340108,7,100,'Decreases Mitigation of target vs elemental damage by 336',0,4),
(47132,340108,9,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(47133,340108,9,100,'Slows target by 50.2%',1,1),
(47134,340108,9,100,'5% chance to dispel when target receives hostile action',1,2),
(47135,340108,9,100,'5% chance to dispel when target takes damage',1,3),
(47136,340108,9,100,'Decreases Mitigation of target vs elemental damage by 349',0,4),
(47137,340109,1,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(47138,340109,1,100,'Slows target by 31.1%',1,1),
(47139,340109,1,100,'5% chance to dispel when target receives hostile action',1,2),
(47140,340109,1,100,'5% chance to dispel when target takes damage',1,3),
(47141,340109,1,100,'Decreases Mitigation of target vs elemental damage by 414',0,4),
(47142,340109,2,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(47143,340109,2,100,'Slows target by 32.9%',1,1),
(47144,340109,2,100,'5% chance to dispel when target receives hostile action',1,2),
(47145,340109,2,100,'5% chance to dispel when target takes damage',1,3),
(47146,340109,2,100,'Decreases Mitigation of target vs elemental damage by 437',0,4),
(47147,340109,3,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(47148,340109,3,100,'Slows target by 34.6%',1,1),
(47149,340109,3,100,'5% chance to dispel when target receives hostile action',1,2),
(47150,340109,3,100,'5% chance to dispel when target takes damage',1,3),
(47151,340109,3,100,'Decreases Mitigation of target vs elemental damage by 460',0,4),
(47152,340109,4,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(47153,340109,4,100,'Slows target by 38.1%',1,1),
(47154,340109,4,100,'5% chance to dispel when target receives hostile action',1,2),
(47155,340109,4,100,'5% chance to dispel when target takes damage',1,3),
(47156,340109,4,100,'Decreases Mitigation of target vs elemental damage by 506',0,4),
(47157,340109,5,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(47158,340109,5,100,'Slows target by 41.5%',1,1),
(47159,340109,5,100,'5% chance to dispel when target receives hostile action',1,2),
(47160,340109,5,100,'5% chance to dispel when target takes damage',1,3),
(47161,340109,5,100,'Decreases Mitigation of target vs elemental damage by 552',0,4),
(47162,340109,7,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(47163,340109,7,100,'Slows target by 53.3%',1,1),
(47164,340109,7,100,'5% chance to dispel when target receives hostile action',1,2),
(47165,340109,7,100,'5% chance to dispel when target takes damage',1,3),
(47166,340109,7,100,'Decreases Mitigation of target vs elemental damage by 708',0,4),
(47167,340109,9,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(47168,340109,9,100,'Slows target by 55.4%',1,1),
(47169,340109,9,100,'5% chance to dispel when target receives hostile action',1,2),
(47170,340109,9,100,'5% chance to dispel when target takes damage',1,3),
(47171,340109,9,100,'Decreases Mitigation of target vs elemental damage by 736',0,4),
(47172,340110,1,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(47173,340110,1,100,'Slows target by 33.7%',1,1),
(47174,340110,1,100,'5% chance to dispel when target receives hostile action',1,2),
(47175,340110,1,100,'5% chance to dispel when target takes damage',1,3),
(47176,340110,1,100,'Decreases Mitigation of target vs elemental damage by 666',0,4),
(47177,340110,2,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(47178,340110,2,100,'Slows target by 35.5%',1,1),
(47179,340110,2,100,'5% chance to dispel when target receives hostile action',1,2),
(47180,340110,2,100,'5% chance to dispel when target takes damage',1,3),
(47181,340110,2,100,'Decreases Mitigation of target vs elemental damage by 703',0,4),
(47182,340110,3,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(47183,340110,3,100,'Slows target by 37.4%',1,1),
(47184,340110,3,100,'5% chance to dispel when target receives hostile action',1,2),
(47185,340110,3,100,'5% chance to dispel when target takes damage',1,3),
(47186,340110,3,100,'Decreases Mitigation of target vs elemental damage by 740',0,4),
(47187,340110,4,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(47188,340110,4,100,'Slows target by 41.1%',1,1),
(47189,340110,4,100,'5% chance to dispel when target receives hostile action',1,2),
(47190,340110,4,100,'5% chance to dispel when target takes damage',1,3),
(47191,340110,4,100,'Decreases Mitigation of target vs elemental damage by 814',0,4),
(47192,340110,5,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(47193,340110,5,100,'Slows target by 44.9%',1,1),
(47194,340110,5,100,'5% chance to dispel when target receives hostile action',1,2),
(47195,340110,5,100,'5% chance to dispel when target takes damage',1,3),
(47196,340110,5,100,'Decreases Mitigation of target vs elemental damage by 888',0,4),
(47197,340110,7,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(47198,340110,7,100,'Slows target by 57.6%',1,1),
(47199,340110,7,100,'5% chance to dispel when target receives hostile action',1,2),
(47200,340110,7,100,'5% chance to dispel when target takes damage',1,3),
(47201,340110,7,100,'Decreases Mitigation of target vs elemental damage by 1140',0,4),
(47202,340110,9,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(47203,340110,9,100,'Slows target by 59.8%',1,1),
(47204,340110,9,100,'5% chance to dispel when target receives hostile action',1,2),
(47205,340110,9,100,'5% chance to dispel when target takes damage',1,3),
(47206,340110,9,100,'Decreases Mitigation of target vs elemental damage by 1184',0,4),
(47207,340111,1,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(47208,340111,1,100,'Slows target by 36.0%',1,1),
(47209,340111,1,100,'5% chance to dispel when target receives hostile action',1,2),
(47210,340111,1,100,'5% chance to dispel when target takes damage',1,3),
(47211,340111,1,100,'Decreases Mitigation of target vs elemental damage by 918',0,4),
(47212,340111,2,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(47213,340111,2,100,'Slows target by 38.0%',1,1),
(47214,340111,2,100,'5% chance to dispel when target receives hostile action',1,2),
(47215,340111,2,100,'5% chance to dispel when target takes damage',1,3),
(47216,340111,2,100,'Decreases Mitigation of target vs elemental damage by 969',0,4),
(47217,340111,3,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(47218,340111,3,100,'Slows target by 40.0%',1,1),
(47219,340111,3,100,'5% chance to dispel when target receives hostile action',1,2),
(47220,340111,3,100,'5% chance to dispel when target takes damage',1,3),
(47221,340111,3,100,'Decreases Mitigation of target vs elemental damage by 1020',0,4),
(47222,340111,4,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(47223,340111,4,100,'Slows target by 44.0%',1,1),
(47224,340111,4,100,'5% chance to dispel when target receives hostile action',1,2),
(47225,340111,4,100,'5% chance to dispel when target takes damage',1,3),
(47226,340111,4,100,'Decreases Mitigation of target vs elemental damage by 1122',0,4),
(47227,340111,5,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(47228,340111,5,100,'Slows target by 48.0%',1,1),
(47229,340111,5,100,'5% chance to dispel when target receives hostile action',1,2),
(47230,340111,5,100,'5% chance to dispel when target takes damage',1,3),
(47231,340111,5,100,'Decreases Mitigation of target vs elemental damage by 1224',0,4),
(47232,340111,7,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(47233,340111,7,100,'Slows target by 61.7%',1,1),
(47234,340111,7,100,'5% chance to dispel when target receives hostile action',1,2),
(47235,340111,7,100,'5% chance to dispel when target takes damage',1,3),
(47236,340111,7,100,'Decreases Mitigation of target vs elemental damage by 1571',0,4),
(47237,340111,9,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(47238,340111,9,100,'Slows target by 64.1%',1,1),
(47239,340111,9,100,'5% chance to dispel when target receives hostile action',1,2),
(47240,340111,9,100,'5% chance to dispel when target takes damage',1,3),
(47241,340111,9,100,'Decreases Mitigation of target vs elemental damage by 1632',0,4),
(47242,340112,1,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(47243,340112,1,100,'Slows target by 36.5%',1,1),
(47244,340112,1,100,'5% chance to dispel when target receives hostile action',1,2),
(47245,340112,1,100,'5% chance to dispel when target takes damage',1,3),
(47246,340112,1,100,'Decreases Mitigation of target vs elemental damage by 1170',0,4),
(47247,340112,2,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(47248,340112,2,100,'Slows target by 38.6%',1,1),
(47249,340112,2,100,'5% chance to dispel when target receives hostile action',1,2),
(47250,340112,2,100,'5% chance to dispel when target takes damage',1,3),
(47251,340112,2,100,'Decreases Mitigation of target vs elemental damage by 1235',0,4),
(47252,340112,3,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(47253,340112,3,100,'Slows target by 40.6%',1,1),
(47254,340112,3,100,'5% chance to dispel when target receives hostile action',1,2),
(47255,340112,3,100,'5% chance to dispel when target takes damage',1,3),
(47256,340112,3,100,'Decreases Mitigation of target vs elemental damage by 1300',0,4),
(47257,340112,4,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(47258,340112,4,100,'Slows target by 44.7%',1,1),
(47259,340112,4,100,'5% chance to dispel when target receives hostile action',1,2),
(47260,340112,4,100,'5% chance to dispel when target takes damage',1,3),
(47261,340112,4,100,'Decreases Mitigation of target vs elemental damage by 1430',0,4),
(47262,340112,5,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(47263,340112,5,100,'Slows target by 48.7%',1,1),
(47264,340112,5,100,'5% chance to dispel when target receives hostile action',1,2),
(47265,340112,5,100,'5% chance to dispel when target takes damage',1,3),
(47266,340112,5,100,'Decreases Mitigation of target vs elemental damage by 1560',0,4),
(47267,340112,7,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(47268,340112,7,100,'Slows target by 62.5%',1,1),
(47269,340112,7,100,'5% chance to dispel when target receives hostile action',1,2),
(47270,340112,7,100,'5% chance to dispel when target takes damage',1,3),
(47271,340112,7,100,'Decreases Mitigation of target vs elemental damage by 2002',0,4),
(47272,340112,9,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(47273,340112,9,100,'Slows target by 65.0%',1,1),
(47274,340112,9,100,'5% chance to dispel when target receives hostile action',1,2),
(47275,340112,9,100,'5% chance to dispel when target takes damage',1,3),
(47276,340112,9,100,'Decreases Mitigation of target vs elemental damage by 2080',0,4),
(47277,340113,1,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(47278,340113,1,100,'Slows target by 36.9%',1,1),
(47279,340113,1,100,'5% chance to dispel when target receives hostile action',1,2),
(47280,340113,1,100,'5% chance to dispel when target takes damage',1,3),
(47281,340113,1,100,'Decreases Mitigation of target vs elemental damage by 1485',0,4),
(47282,340113,2,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(47283,340113,2,100,'Slows target by 39.0%',1,1),
(47284,340113,2,100,'5% chance to dispel when target receives hostile action',1,2),
(47285,340113,2,100,'5% chance to dispel when target takes damage',1,3),
(47286,340113,2,100,'Decreases Mitigation of target vs elemental damage by 1568',0,4),
(47287,340113,3,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(47288,340113,3,100,'Slows target by 41.0%',1,1),
(47289,340113,3,100,'5% chance to dispel when target receives hostile action',1,2),
(47290,340113,3,100,'5% chance to dispel when target takes damage',1,3),
(47291,340113,3,100,'Decreases Mitigation of target vs elemental damage by 1650',0,4),
(47292,340113,4,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(47293,340113,4,100,'Slows target by 45.1%',1,1),
(47294,340113,4,100,'5% chance to dispel when target receives hostile action',1,2),
(47295,340113,4,100,'5% chance to dispel when target takes damage',1,3),
(47296,340113,4,100,'Decreases Mitigation of target vs elemental damage by 1815',0,4),
(47297,340113,5,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(47298,340113,5,100,'Slows target by 49.2%',1,1),
(47299,340113,5,100,'5% chance to dispel when target receives hostile action',1,2),
(47300,340113,5,100,'5% chance to dispel when target takes damage',1,3),
(47301,340113,5,100,'Decreases Mitigation of target vs elemental damage by 1980',0,4),
(47302,340113,7,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(47303,340113,7,100,'Slows target by 63.2%',1,1),
(47304,340113,7,100,'5% chance to dispel when target receives hostile action',1,2),
(47305,340113,7,100,'5% chance to dispel when target takes damage',1,3),
(47306,340113,7,100,'Decreases Mitigation of target vs elemental damage by 2541',0,4),
(47307,340113,9,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(47308,340113,9,100,'Slows target by 65.7%',1,1),
(47309,340113,9,100,'5% chance to dispel when target receives hostile action',1,2),
(47310,340113,9,100,'5% chance to dispel when target takes damage',1,3),
(47311,340113,9,100,'Decreases Mitigation of target vs elemental damage by 2640',0,4),
(47312,340114,1,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(47313,340114,1,100,'Slows target by 37.3%',1,1),
(47314,340114,1,100,'5% chance to dispel when target receives hostile action',1,2),
(47315,340114,1,100,'5% chance to dispel when target takes damage',1,3),
(47316,340114,1,100,'Decreases Mitigation of target vs elemental damage by 1858',0,4),
(47317,340114,4,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(47318,340114,4,100,'Slows target by 45.6%',1,1),
(47319,340114,4,100,'5% chance to dispel when target receives hostile action',1,2),
(47320,340114,4,100,'5% chance to dispel when target takes damage',1,3),
(47321,340114,4,100,'Decreases Mitigation of target vs elemental damage by 2270',0,4),
(47322,340114,5,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(47323,340114,5,100,'Slows target by 49.7%',1,1),
(47324,340114,5,100,'5% chance to dispel when target receives hostile action',1,2),
(47325,340114,5,100,'5% chance to dispel when target takes damage',1,3),
(47326,340114,5,100,'Decreases Mitigation of target vs elemental damage by 2477',0,4),
(47327,340114,7,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(47328,340114,7,100,'Slows target by 63.8%',1,1),
(47329,340114,7,100,'5% chance to dispel when target receives hostile action',1,2),
(47330,340114,7,100,'5% chance to dispel when target takes damage',1,3),
(47331,340114,7,100,'Decreases Mitigation of target vs elemental damage by 3179',0,4),
(47332,340114,9,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(47333,340114,9,100,'Slows target by 66.3%',1,1),
(47334,340114,9,100,'5% chance to dispel when target receives hostile action',1,2),
(47335,340114,9,100,'5% chance to dispel when target takes damage',1,3),
(47336,340114,9,100,'Decreases Mitigation of target vs elemental damage by 3302',0,4),
(47337,340115,1,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(47338,340115,1,100,'Slows target by 37.7%',1,1),
(47339,340115,1,100,'5% chance to dispel when target receives hostile action',1,2),
(47340,340115,1,100,'5% chance to dispel when target takes damage',1,3),
(47341,340115,1,100,'Decreases Mitigation of target vs elemental damage by 2074',0,4),
(47342,340115,4,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(47343,340115,4,100,'Slows target by 46.0%',1,1),
(47344,340115,4,100,'5% chance to dispel when target receives hostile action',1,2),
(47345,340115,4,100,'5% chance to dispel when target takes damage',1,3),
(47346,340115,4,100,'Decreases Mitigation of target vs elemental damage by 2534',0,4),
(47347,340115,5,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(47348,340115,5,100,'Slows target by 50.2%',1,1),
(47349,340115,5,100,'5% chance to dispel when target receives hostile action',1,2),
(47350,340115,5,100,'5% chance to dispel when target takes damage',1,3),
(47351,340115,5,100,'Decreases Mitigation of target vs elemental damage by 2765',0,4),
(47352,340115,7,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(47353,340115,7,100,'Slows target by 64.4%',1,1),
(47354,340115,7,100,'5% chance to dispel when target receives hostile action',1,2),
(47355,340115,7,100,'5% chance to dispel when target takes damage',1,3),
(47356,340115,7,100,'Decreases Mitigation of target vs elemental damage by 3548',0,4),
(47357,340115,9,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(47358,340115,9,100,'Slows target by 66.9%',1,1),
(47359,340115,9,100,'5% chance to dispel when target receives hostile action',1,2),
(47360,340115,9,100,'5% chance to dispel when target takes damage',1,3),
(47361,340115,9,100,'Decreases Mitigation of target vs elemental damage by 3686',0,4),
(47362,100041,1,100,'Inflicts 14 - 24 divine damage on targets in Area of Effect',0,0),
(47363,100041,1,100,'Heals group members (AE) for 1.6 - 2.0% of max health',0,1),
(47364,100041,1,100,'This effect cannot be critically applied.',1,2),
(47365,100041,1,100,'The healing of this spell cannot be modified except by direct means',0,3),
(47366,100041,2,100,'Inflicts 15 - 26 divine damage on targets in Area of Effect',0,0),
(47367,100041,2,100,'Heals group members (AE) for 1.7 - 2.1% of max health',0,1),
(47368,100041,2,100,'This effect cannot be critically applied.',1,2),
(47369,100041,2,100,'The healing of this spell cannot be modified except by direct means',0,3),
(47370,100041,3,100,'Inflicts 16 - 27 divine damage on targets in Area of Effect',0,0),
(47371,100041,3,100,'Heals group members (AE) for 1.8 - 2.2% of max health',0,1),
(47372,100041,3,100,'This effect cannot be critically applied.',1,2),
(47373,100041,3,100,'The healing of this spell cannot be modified except by direct means',0,3),
(47374,100041,4,100,'Inflicts 18 - 30 divine damage on targets in Area of Effect',0,0),
(47375,100041,4,100,'Heals group members (AE) for 2.0 - 2.4% of max health',0,1),
(47376,100041,4,100,'This effect cannot be critically applied.',1,2),
(47377,100041,4,100,'The healing of this spell cannot be modified except by direct means',0,3),
(47378,100041,5,100,'Inflicts 19 - 33 divine damage on targets in Area of Effect',0,0),
(47379,100041,5,100,'Heals group members (AE) for 2.1 - 2.6% of max health',0,1),
(47380,100041,5,100,'This effect cannot be critically applied.',1,2),
(47381,100041,5,100,'The healing of this spell cannot be modified except by direct means',0,3),
(47382,100041,7,100,'Inflicts 25 - 42 divine damage on targets in Area of Effect',0,0),
(47383,100041,7,100,'Heals group members (AE) for 2.8 - 3.4% of max health',0,1),
(47384,100041,7,100,'This effect cannot be critically applied.',1,2),
(47385,100041,7,100,'The healing of this spell cannot be modified except by direct means',0,3),
(47386,100041,9,100,'Inflicts 26 - 44 divine damage on targets in Area of Effect',0,0),
(47387,100041,9,100,'Heals group members (AE) for 2.9 - 3.5% of max health',0,1),
(47388,100041,9,100,'This effect cannot be critically applied.',1,2),
(47389,100041,9,100,'The healing of this spell cannot be modified except by direct means',0,3),
(47390,100042,1,100,'Inflicts 43 - 72 divine damage on targets in Area of Effect',0,0),
(47391,100042,1,100,'Heals group members (AE) for 1.7 - 2.0% of max health',0,1),
(47392,100042,1,100,'This effect cannot be critically applied.',1,2),
(47393,100042,1,100,'The healing of this spell cannot be modified except by direct means',0,3),
(47394,100042,2,100,'Inflicts 46 - 76 divine damage on targets in Area of Effect',0,0),
(47395,100042,2,100,'Heals group members (AE) for 1.8 - 2.2% of max health',0,1),
(47396,100042,2,100,'This effect cannot be critically applied.',1,2),
(47397,100042,2,100,'The healing of this spell cannot be modified except by direct means',0,3),
(47398,100042,3,100,'Inflicts 48 - 81 divine damage on targets in Area of Effect',0,0),
(47399,100042,3,100,'Heals group members (AE) for 1.9 - 2.3% of max health',0,1),
(47400,100042,3,100,'This effect cannot be critically applied.',1,2),
(47401,100042,3,100,'The healing of this spell cannot be modified except by direct means',0,3),
(47402,100042,4,100,'Inflicts 53 - 89 divine damage on targets in Area of Effect',0,0),
(47403,100042,4,100,'Heals group members (AE) for 2.0 - 2.5% of max health',0,1),
(47404,100042,4,100,'This effect cannot be critically applied.',1,2),
(47405,100042,4,100,'The healing of this spell cannot be modified except by direct means',0,3),
(47406,100042,5,100,'Inflicts 58 - 97 divine damage on targets in Area of Effect',0,0),
(47407,100042,5,100,'Heals group members (AE) for 2.2 - 2.7% of max health',0,1),
(47408,100042,5,100,'This effect cannot be critically applied.',1,2),
(47409,100042,5,100,'The healing of this spell cannot be modified except by direct means',0,3),
(47410,100042,7,100,'Inflicts 74 - 124 divine damage on targets in Area of Effect',0,0),
(47411,100042,7,100,'Heals group members (AE) for 2.9 - 3.5% of max health',0,1),
(47412,100042,7,100,'This effect cannot be critically applied.',1,2),
(47413,100042,7,100,'The healing of this spell cannot be modified except by direct means',0,3),
(47414,100042,9,100,'Inflicts 77 - 129 divine damage on targets in Area of Effect',0,0),
(47415,100042,9,100,'Heals group members (AE) for 3.0 - 3.6% of max health',0,1),
(47416,100042,9,100,'This effect cannot be critically applied.',1,2),
(47417,100042,9,100,'The healing of this spell cannot be modified except by direct means',0,3),
(47418,100043,1,100,'Inflicts 77 - 129 divine damage on targets in Area of Effect',0,0),
(47419,100043,1,100,'Heals group members (AE) for 1.7 - 2.1% of max health',0,1),
(47420,100043,1,100,'This effect cannot be critically applied.',1,2),
(47421,100043,1,100,'The healing of this spell cannot be modified except by direct means',0,3),
(47422,100043,2,100,'Inflicts 82 - 136 divine damage on targets in Area of Effect',0,0),
(47423,100043,2,100,'Heals group members (AE) for 1.8 - 2.2% of max health',0,1),
(47424,100043,2,100,'This effect cannot be critically applied.',1,2),
(47425,100043,2,100,'The healing of this spell cannot be modified except by direct means',0,3),
(47426,100043,3,100,'Inflicts 86 - 144 divine damage on targets in Area of Effect',0,0),
(47427,100043,3,100,'Heals group members (AE) for 1.9 - 2.3% of max health',0,1),
(47428,100043,3,100,'This effect cannot be critically applied.',1,2),
(47429,100043,3,100,'The healing of this spell cannot be modified except by direct means',0,3),
(47430,100043,4,100,'Inflicts 95 - 158 divine damage on targets in Area of Effect',0,0),
(47431,100043,4,100,'Heals group members (AE) for 2.1 - 2.6% of max health',0,1),
(47432,100043,4,100,'This effect cannot be critically applied.',1,2),
(47433,100043,4,100,'The healing of this spell cannot be modified except by direct means',0,3),
(47434,100043,5,100,'Inflicts 103 - 173 divine damage on targets in Area of Effect',0,0),
(47435,100043,5,100,'Heals group members (AE) for 2.3 - 2.8% of max health',0,1),
(47436,100043,5,100,'This effect cannot be critically applied.',1,2),
(47437,100043,5,100,'The healing of this spell cannot be modified except by direct means',0,3),
(47438,100043,7,100,'Inflicts 133 - 222 divine damage on targets in Area of Effect',0,0),
(47439,100043,7,100,'Heals group members (AE) for 2.9 - 3.6% of max health',0,1),
(47440,100043,7,100,'This effect cannot be critically applied.',1,2),
(47441,100043,7,100,'The healing of this spell cannot be modified except by direct means',0,3),
(47442,100043,9,100,'Inflicts 138 - 230 divine damage on targets in Area of Effect',0,0),
(47443,100043,9,100,'Heals group members (AE) for 3.0 - 3.7% of max health',0,1),
(47444,100043,9,100,'This effect cannot be critically applied.',1,2),
(47445,100043,9,100,'The healing of this spell cannot be modified except by direct means',0,3),
(47446,100044,1,100,'Inflicts 117 - 195 divine damage on targets in Area of Effect',0,0),
(47447,100044,1,100,'Heals group members (AE) for 1.7 - 2.1% of max health',0,1),
(47448,100044,1,100,'This effect cannot be critically applied.',1,2),
(47449,100044,1,100,'The healing of this spell cannot be modified except by direct means',0,3),
(47450,100044,2,100,'Inflicts 123 - 206 divine damage on targets in Area of Effect',0,0),
(47451,100044,2,100,'Heals group members (AE) for 1.8 - 2.3% of max health',0,1),
(47452,100044,2,100,'This effect cannot be critically applied.',1,2),
(47453,100044,2,100,'The healing of this spell cannot be modified except by direct means',0,3),
(47454,100044,3,100,'Inflicts 130 - 217 divine damage on targets in Area of Effect',0,0),
(47455,100044,3,100,'Heals group members (AE) for 1.9 - 2.4% of max health',0,1),
(47456,100044,3,100,'This effect cannot be critically applied.',1,2),
(47457,100044,3,100,'The healing of this spell cannot be modified except by direct means',0,3),
(47458,100044,4,100,'Inflicts 143 - 239 divine damage on targets in Area of Effect',0,0),
(47459,100044,4,100,'Heals group members (AE) for 2.1 - 2.6% of max health',0,1),
(47460,100044,4,100,'This effect cannot be critically applied.',1,2),
(47461,100044,4,100,'The healing of this spell cannot be modified except by direct means',0,3),
(47462,100044,5,100,'Inflicts 156 - 260 divine damage on targets in Area of Effect',0,0),
(47463,100044,5,100,'Heals group members (AE) for 2.3 - 2.8% of max health',0,1),
(47464,100044,5,100,'This effect cannot be critically applied.',1,2),
(47465,100044,5,100,'The healing of this spell cannot be modified except by direct means',0,3),
(47466,100044,7,100,'Inflicts 200 - 334 divine damage on targets in Area of Effect',0,0),
(47467,100044,7,100,'Heals group members (AE) for 3.0 - 3.7% of max health',0,1),
(47468,100044,7,100,'This effect cannot be critically applied.',1,2),
(47469,100044,7,100,'The healing of this spell cannot be modified except by direct means',0,3),
(47470,100044,9,100,'Inflicts 208 - 347 divine damage on targets in Area of Effect',0,0),
(47471,100044,9,100,'Heals group members (AE) for 3.1 - 3.8% of max health',0,1),
(47472,100044,9,100,'This effect cannot be critically applied.',1,2),
(47473,100044,9,100,'The healing of this spell cannot be modified except by direct means',0,3),
(47474,100045,1,100,'Inflicts 159 - 266 divine damage on targets in Area of Effect',0,0),
(47475,100045,1,100,'Heals group members (AE) for 1.8 - 2.2% of max health',0,1),
(47476,100045,1,100,'This effect cannot be critically applied.',1,2),
(47477,100045,1,100,'The healing of this spell cannot be modified except by direct means',0,3),
(47478,100045,2,100,'Inflicts 168 - 281 divine damage on targets in Area of Effect',0,0),
(47479,100045,2,100,'Heals group members (AE) for 1.9 - 2.3% of max health',0,1),
(47480,100045,2,100,'This effect cannot be critically applied.',1,2),
(47481,100045,2,100,'The healing of this spell cannot be modified except by direct means',0,3),
(47482,100045,3,100,'Inflicts 177 - 296 divine damage on targets in Area of Effect',0,0),
(47483,100045,3,100,'Heals group members (AE) for 2.0 - 2.5% of max health',0,1),
(47484,100045,3,100,'This effect cannot be critically applied.',1,2),
(47485,100045,3,100,'The healing of this spell cannot be modified except by direct means',0,3),
(47486,100045,4,100,'Inflicts 195 - 325 divine damage on targets in Area of Effect',0,0),
(47487,100045,4,100,'Heals group members (AE) for 2.2 - 2.7% of max health',0,1),
(47488,100045,4,100,'This effect cannot be critically applied.',1,2),
(47489,100045,4,100,'The healing of this spell cannot be modified except by direct means',0,3),
(47490,100045,5,100,'Inflicts 213 - 355 divine damage on targets in Area of Effect',0,0),
(47491,100045,5,100,'Heals group members (AE) for 2.4 - 3.0% of max health',0,1),
(47492,100045,5,100,'This effect cannot be critically applied.',1,2),
(47493,100045,5,100,'The healing of this spell cannot be modified except by direct means',0,3),
(47494,100045,7,100,'Inflicts 273 - 456 divine damage on targets in Area of Effect',0,0),
(47495,100045,7,100,'Heals group members (AE) for 3.1 - 3.8% of max health',0,1),
(47496,100045,7,100,'This effect cannot be critically applied.',1,2),
(47497,100045,7,100,'The healing of this spell cannot be modified except by direct means',0,3),
(47498,100045,9,100,'Inflicts 284 - 474 divine damage on targets in Area of Effect',0,0),
(47499,100045,9,100,'Heals group members (AE) for 3.2 - 4.0% of max health',0,1),
(47500,100045,9,100,'This effect cannot be critically applied.',1,2),
(47501,100045,9,100,'The healing of this spell cannot be modified except by direct means',0,3),
(47502,100045,10,100,'Inflicts 298 - 497 divine damage on targets in Area of Effect',0,0),
(47503,100045,10,100,'Heals group members (AE) for 3.4 - 4.2% of max health',0,1),
(47504,100045,10,100,'This effect cannot be critically applied.',1,2),
(47505,100045,10,100,'The healing of this spell cannot be modified except by direct means',0,3),
(47506,100046,1,100,'Inflicts 200 - 334 divine damage on targets in Area of Effect',0,0),
(47507,100046,1,100,'Heals group members (AE) for 1.9 - 2.3% of max health',0,1),
(47508,100046,1,100,'This effect cannot be critically applied.',1,2),
(47509,100046,1,100,'The healing of this spell cannot be modified except by direct means',0,3),
(47510,100046,2,100,'Inflicts 211 - 352 divine damage on targets in Area of Effect',0,0),
(47511,100046,2,100,'Heals group members (AE) for 2.0 - 2.4% of max health',0,1),
(47512,100046,2,100,'This effect cannot be critically applied.',1,2),
(47513,100046,2,100,'The healing of this spell cannot be modified except by direct means',0,3),
(47514,100046,3,100,'Inflicts 222 - 371 divine damage on targets in Area of Effect',0,0),
(47515,100046,3,100,'Heals group members (AE) for 2.1 - 2.5% of max health',0,1),
(47516,100046,3,100,'This effect cannot be critically applied.',1,2),
(47517,100046,3,100,'The healing of this spell cannot be modified except by direct means',0,3),
(47518,100046,4,100,'Inflicts 245 - 408 divine damage on targets in Area of Effect',0,0),
(47519,100046,4,100,'Heals group members (AE) for 2.3 - 2.8% of max health',0,1),
(47520,100046,4,100,'This effect cannot be critically applied.',1,2),
(47521,100046,4,100,'The healing of this spell cannot be modified except by direct means',0,3),
(47522,100046,5,100,'Inflicts 267 - 445 divine damage on targets in Area of Effect',0,0),
(47523,100046,5,100,'Heals group members (AE) for 2.5 - 3.0% of max health',0,1),
(47524,100046,5,100,'This effect cannot be critically applied.',1,2),
(47525,100046,5,100,'The healing of this spell cannot be modified except by direct means',0,3),
(47526,100046,7,100,'Inflicts 343 - 571 divine damage on targets in Area of Effect',0,0),
(47527,100046,7,100,'Heals group members (AE) for 3.2 - 3.9% of max health',0,1),
(47528,100046,7,100,'This effect cannot be critically applied.',1,2),
(47529,100046,7,100,'The healing of this spell cannot be modified except by direct means',0,3),
(47530,100046,9,100,'Inflicts 356 - 594 divine damage on targets in Area of Effect',0,0),
(47531,100046,9,100,'Heals group members (AE) for 3.3 - 4.0% of max health',0,1),
(47532,100046,9,100,'This effect cannot be critically applied.',1,2),
(47533,100046,9,100,'The healing of this spell cannot be modified except by direct means',0,3),
(47534,100046,10,100,'Inflicts 374 - 623 divine damage on targets in Area of Effect',0,0),
(47535,100046,10,100,'Heals group members (AE) for 3.5 - 4.2% of max health',0,1),
(47536,100046,10,100,'This effect cannot be critically applied.',1,2),
(47537,100046,10,100,'The healing of this spell cannot be modified except by direct means',0,3),
(47538,100047,1,100,'Inflicts 242 - 403 divine damage on targets in Area of Effect',0,0),
(47539,100047,1,100,'Heals group members (AE) for 1.9 - 2.3% of max health',0,1),
(47540,100047,1,100,'This effect cannot be critically applied.',1,2),
(47541,100047,1,100,'The healing of this spell cannot be modified except by direct means',0,3),
(47542,100047,4,100,'Inflicts 295 - 493 divine damage on targets in Area of Effect',0,0),
(47543,100047,4,100,'Heals group members (AE) for 2.3 - 2.8% of max health',0,1),
(47544,100047,4,100,'This effect cannot be critically applied.',1,2),
(47545,100047,4,100,'The healing of this spell cannot be modified except by direct means',0,3),
(47546,100047,5,100,'Inflicts 322 - 538 divine damage on targets in Area of Effect',0,0),
(47547,100047,5,100,'Heals group members (AE) for 2.5 - 3.1% of max health',0,1),
(47548,100047,5,100,'This effect cannot be critically applied.',1,2),
(47549,100047,5,100,'The healing of this spell cannot be modified except by direct means',0,3),
(47550,100047,7,100,'Inflicts 414 - 690 divine damage on targets in Area of Effect',0,0),
(47551,100047,7,100,'Heals group members (AE) for 3.3 - 4.0% of max health',0,1),
(47552,100047,7,100,'This effect cannot be critically applied.',1,2),
(47553,100047,7,100,'The healing of this spell cannot be modified except by direct means',0,3),
(47554,100047,9,100,'Inflicts 430 - 717 divine damage on targets in Area of Effect',0,0),
(47555,100047,9,100,'Heals group members (AE) for 3.4 - 4.1% of max health',0,1),
(47556,100047,9,100,'This effect cannot be critically applied.',1,2),
(47557,100047,9,100,'The healing of this spell cannot be modified except by direct means',0,3),
(47558,100048,1,100,'Inflicts 272 - 454 divine damage on targets in Area of Effect',0,0),
(47559,100048,1,100,'Heals group members (AE) for 1.9 - 2.4% of max health',0,1),
(47560,100048,1,100,'This effect cannot be critically applied.',1,2),
(47561,100048,1,100,'The healing of this spell cannot be modified except by direct means',0,3),
(47562,100048,4,100,'Inflicts 333 - 555 divine damage on targets in Area of Effect',0,0),
(47563,100048,4,100,'Heals group members (AE) for 2.4 - 2.9% of max health',0,1),
(47564,100048,4,100,'This effect cannot be critically applied.',1,2),
(47565,100048,4,100,'The healing of this spell cannot be modified except by direct means',0,3),
(47566,100048,5,100,'Inflicts 363 - 605 divine damage on targets in Area of Effect',0,0),
(47567,100048,5,100,'Heals group members (AE) for 2.6 - 3.2% of max health',0,1),
(47568,100048,5,100,'This effect cannot be critically applied.',1,2),
(47569,100048,5,100,'The healing of this spell cannot be modified except by direct means',0,3),
(47570,100048,7,100,'Inflicts 466 - 777 divine damage on targets in Area of Effect',0,0),
(47571,100048,7,100,'Heals group members (AE) for 3.3 - 4.1% of max health',0,1),
(47572,100048,7,100,'This effect cannot be critically applied.',1,2),
(47573,100048,7,100,'The healing of this spell cannot be modified except by direct means',0,3),
(47574,100048,9,100,'Inflicts 484 - 807 divine damage on targets in Area of Effect',0,0),
(47575,100048,9,100,'Heals group members (AE) for 3.5 - 4.2% of max health',0,1),
(47576,100048,9,100,'This effect cannot be critically applied.',1,2),
(47577,100048,9,100,'The healing of this spell cannot be modified except by direct means',0,3),
(47578,100049,1,100,'Inflicts 70 - 118 divine damage on target',0,0),
(47579,100049,1,100,'Inflicts 28 - 47 divine damage on target every 4 seconds',0,1),
(47580,100049,2,100,'Inflicts 74 - 124 divine damage on target',0,0),
(47581,100049,2,100,'Inflicts 30 - 50 divine damage on target every 4 seconds',0,1),
(47582,100049,3,100,'Inflicts 78 - 131 divine damage on target',0,0),
(47583,100049,3,100,'Inflicts 32 - 53 divine damage on target every 4 seconds',0,1),
(47584,100049,4,100,'Inflicts 86 - 144 divine damage on target',0,0),
(47585,100049,4,100,'Inflicts 35 - 58 divine damage on target every 4 seconds',0,1),
(47586,100049,5,100,'Inflicts 94 - 157 divine damage on target',0,0),
(47587,100049,5,100,'Inflicts 38 - 63 divine damage on target every 4 seconds',0,1),
(47588,100049,7,100,'Inflicts 121 - 202 divine damage on target',0,0),
(47589,100049,7,100,'Inflicts 49 - 81 divine damage on target every 4 seconds',0,1),
(47590,100049,9,100,'Inflicts 126 - 210 divine damage on target',0,0),
(47591,100049,9,100,'Inflicts 50 - 84 divine damage on target every 4 seconds',0,1),
(47592,100050,1,100,'Inflicts 112 - 186 divine damage on target',0,0),
(47593,100050,1,100,'Inflicts 45 - 75 divine damage on target every 4 seconds',0,1),
(47594,100050,2,100,'Inflicts 118 - 197 divine damage on target',0,0),
(47595,100050,2,100,'Inflicts 47 - 79 divine damage on target every 4 seconds',0,1),
(47596,100050,3,100,'Inflicts 124 - 207 divine damage on target',0,0),
(47597,100050,3,100,'Inflicts 50 - 83 divine damage on target every 4 seconds',0,1),
(47598,100050,4,100,'Inflicts 137 - 228 divine damage on target',0,0),
(47599,100050,4,100,'Inflicts 55 - 91 divine damage on target every 4 seconds',0,1),
(47600,100050,5,100,'Inflicts 149 - 249 divine damage on target',0,0),
(47601,100050,5,100,'Inflicts 60 - 100 divine damage on target every 4 seconds',0,1),
(47602,100050,7,100,'Inflicts 191 - 319 divine damage on target',0,0),
(47603,100050,7,100,'Inflicts 77 - 128 divine damage on target every 4 seconds',0,1),
(47604,100050,9,100,'Inflicts 199 - 332 divine damage on target',0,0),
(47605,100050,9,100,'Inflicts 80 - 133 divine damage on target every 4 seconds',0,1),
(47606,100050,10,100,'Inflicts 209 - 348 divine damage on target',0,0),
(47607,100050,10,100,'Inflicts 84 - 140 divine damage on target every 4 seconds',0,1),
(47608,100051,1,100,'Inflicts 161 - 269 divine damage on target',0,0),
(47609,100051,1,100,'Inflicts 65 - 108 divine damage on target every 4 seconds',0,1),
(47610,100051,2,100,'Inflicts 170 - 284 divine damage on target',0,0),
(47611,100051,2,100,'Inflicts 68 - 114 divine damage on target every 4 seconds',0,1),
(47612,100051,3,100,'Inflicts 179 - 299 divine damage on target',0,0),
(47613,100051,3,100,'Inflicts 72 - 120 divine damage on target every 4 seconds',0,1),
(47614,100051,4,100,'Inflicts 197 - 329 divine damage on target',0,0),
(47615,100051,4,100,'Inflicts 79 - 132 divine damage on target every 4 seconds',0,1),
(47616,100051,5,100,'Inflicts 215 - 359 divine damage on target',0,0),
(47617,100051,5,100,'Inflicts 86 - 144 divine damage on target every 4 seconds',0,1),
(47618,100051,7,100,'Inflicts 276 - 461 divine damage on target',0,0),
(47619,100051,7,100,'Inflicts 111 - 185 divine damage on target every 4 seconds',0,1),
(47620,100051,9,100,'Inflicts 287 - 479 divine damage on target',0,0),
(47621,100051,9,100,'Inflicts 115 - 192 divine damage on target every 4 seconds',0,1),
(47622,100052,1,100,'Inflicts 211 - 352 divine damage on target',0,0),
(47623,100052,1,100,'Inflicts 85 - 141 divine damage on target every 4 seconds',0,1),
(47624,100052,2,100,'Inflicts 223 - 372 divine damage on target',0,0),
(47625,100052,2,100,'Inflicts 89 - 149 divine damage on target every 4 seconds',0,1),
(47626,100052,3,100,'Inflicts 234 - 391 divine damage on target',0,0),
(47627,100052,3,100,'Inflicts 94 - 157 divine damage on target every 4 seconds',0,1),
(47628,100052,4,100,'Inflicts 258 - 430 divine damage on target',0,0),
(47629,100052,4,100,'Inflicts 103 - 172 divine damage on target every 4 seconds',0,1),
(47630,100052,5,100,'Inflicts 281 - 469 divine damage on target',0,0),
(47631,100052,5,100,'Inflicts 113 - 188 divine damage on target every 4 seconds',0,1),
(47632,100052,7,100,'Inflicts 361 - 603 divine damage on target',0,0),
(47633,100052,7,100,'Inflicts 145 - 241 divine damage on target every 4 seconds',0,1),
(47634,100052,9,100,'Inflicts 375 - 626 divine damage on target',0,0),
(47635,100052,9,100,'Inflicts 150 - 251 divine damage on target every 4 seconds',0,1),
(47636,100053,1,100,'Inflicts 256 - 427 divine damage on target',0,0),
(47637,100053,1,100,'Inflicts 103 - 171 divine damage on target every 4 seconds',0,1),
(47638,100053,2,100,'Inflicts 270 - 451 divine damage on target',0,0),
(47639,100053,2,100,'Inflicts 108 - 180 divine damage on target every 4 seconds',0,1),
(47640,100053,3,100,'Inflicts 284 - 474 divine damage on target',0,0),
(47641,100053,3,100,'Inflicts 114 - 190 divine damage on target every 4 seconds',0,1),
(47642,100053,4,100,'Inflicts 313 - 522 divine damage on target',0,0),
(47643,100053,4,100,'Inflicts 125 - 209 divine damage on target every 4 seconds',0,1),
(47644,100053,5,100,'Inflicts 341 - 569 divine damage on target',0,0),
(47645,100053,5,100,'Inflicts 137 - 228 divine damage on target every 4 seconds',0,1),
(47646,100053,7,100,'Inflicts 438 - 731 divine damage on target',0,0),
(47647,100053,7,100,'Inflicts 176 - 293 divine damage on target every 4 seconds',0,1),
(47648,100053,9,100,'Inflicts 455 - 759 divine damage on target',0,0),
(47649,100053,9,100,'Inflicts 182 - 304 divine damage on target every 4 seconds',0,1),
(47650,100054,1,100,'Inflicts 308 - 514 divine damage on target',0,0),
(47651,100054,1,100,'Inflicts 123 - 206 divine damage on target every 4 seconds',0,1),
(47652,100054,4,100,'Inflicts 377 - 628 divine damage on target',0,0),
(47653,100054,4,100,'Inflicts 151 - 251 divine damage on target every 4 seconds',0,1),
(47654,100054,5,100,'Inflicts 411 - 685 divine damage on target',0,0),
(47655,100054,5,100,'Inflicts 165 - 274 divine damage on target every 4 seconds',0,1),
(47656,100054,7,100,'Inflicts 527 - 879 divine damage on target',0,0),
(47657,100054,7,100,'Inflicts 211 - 352 divine damage on target every 4 seconds',0,1),
(47658,100054,9,100,'Inflicts 548 - 914 divine damage on target',0,0),
(47659,100054,9,100,'Inflicts 219 - 366 divine damage on target every 4 seconds',0,1),
(47660,100055,1,100,'Inflicts 327 - 545 divine damage on target',0,0),
(47661,100055,1,100,'Inflicts 131 - 218 divine damage on target every 4 seconds',0,1),
(47662,100055,4,100,'Inflicts 400 - 666 divine damage on target',0,0),
(47663,100055,4,100,'Inflicts 160 - 267 divine damage on target every 4 seconds',0,1),
(47664,100055,5,100,'Inflicts 436 - 727 divine damage on target',0,0),
(47665,100055,5,100,'Inflicts 175 - 291 divine damage on target every 4 seconds',0,1),
(47666,100055,7,100,'Inflicts 560 - 933 divine damage on target',0,0),
(47667,100055,7,100,'Inflicts 224 - 373 divine damage on target every 4 seconds',0,1),
(47668,100055,9,100,'Inflicts 581 - 969 divine damage on target',0,0),
(47669,100055,9,100,'Inflicts 233 - 388 divine damage on target every 4 seconds',0,1),
(47670,380003,1,100,'Increases Haste of caster by 23.7',0,0),
(47671,380003,2,100,'Increases Haste of caster by 25.0',0,0),
(47672,380003,3,100,'Increases Attack Speed of caster by 26.3',0,0),
(47673,380003,4,100,'Increases Haste of caster by 29.0',0,0),
(47674,380003,5,100,'Increases Haste of caster by 31.6',0,0),
(47675,380003,7,100,'Increases Haste of caster by 40.5',0,0),
(47676,380003,9,100,'Increases Haste of caster by 42.1',0,0),
(47677,2000132,1,100,'100% chance to intercept all damage on target.On a successful intercept caster takes 50% of attack damage, target takes 50% of attack damage.Spell ends after 1 successful intercept.',0,0),
(47678,2000132,1,100,'Half of damage is prevented.  Original, full damage adds power instead.',0,1),
(47679,2000132,1,100,'Dispelled when target takes damage',0,2),
(47680,2000133,1,100,'An arrow attack that summons your target to you. Your next melee attack will critical strike.',0,0),
(47681,2000134,1,100,'On any combat or spell hit this spell may cast Hostility on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(47682,2000134,1,100,'Increases Threat to target encounter by 764 - 934 ',1,1),
(47683,2000134,2,100,'On any combat or spell hit this spell may cast Hostility on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(47684,2000134,2,100,'Increases Threat to target encounter by 1,424 - 1,620 ',1,1),
(47685,2000134,3,100,'On any combat or spell hit this spell may cast Hostility on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(47686,2000134,3,100,'Increases Threat to target encounter by 1,803 - 2,095 ',1,1),
(47687,2000134,4,100,'On any combat or spell hit this spell may cast Hostility on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(47688,2000134,4,100,'Increases Threat to target encounter by 2,241 - 2,630 ',1,1),
(47689,2000134,5,100,'On any combat or spell hit this spell may cast Hostility on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(47690,2000134,5,100,'Increases Threat to target encounter by 2,750 - 3,241 ',1,1),
(47691,2000134,6,100,'On any combat or spell hit this spell may cast Hostility on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(47692,2000134,6,100,'Increases Threat to target encounter by 3,116 - 3,700 ',1,1),
(47693,2000134,7,100,'On any combat or spell hit this spell may cast Hostility on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(47694,2000134,7,100,'Increases Threat to target encounter by 3,554 - 4,235 ',1,1),
(47695,2000134,8,100,'On any combat or spell hit this spell may cast Hostility on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(47696,2000134,8,100,'Increases Threat to target encounter by 3,992 - 4,770 ',1,1),
(47697,2000134,9,100,'On any combat or spell hit this spell may cast Hostility on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(47698,2000134,9,100,'Increases Threat to target encounter by 4,518 - 5,402 ',1,1),
(47699,2000134,10,100,'On any combat or spell hit this spell may cast Hostility on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(47700,2000134,10,100,'Increases Threat to target encounter by 4,960 - 5,942 ',1,1),
(47701,20006,1,100,'Decreases Haste of caster by 11.3',0,0),
(47702,20006,1,100,'Slows caster by 32.6%',0,1),
(47703,20006,1,100,'Increases Mitigation of caster vs physical damage by 133',0,2),
(47704,20006,1,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,3),
(47705,20006,1,100,'Slows targets in Area of Effect by 29.3%',1,4),
(47706,20006,1,100,'5% chance to dispel when target receives hostile action',1,5),
(47707,20006,1,100,'5% chance to dispel when target takes damage',1,6),
(47708,30094,1,100,'Decreases Haste of caster by 11.3',0,0),
(47709,30094,1,100,'Increases Mitigation of caster vs physical damage by 133',0,1),
(47710,30094,1,100,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(47711,30094,1,100,'Roots target',1,3),
(47712,30094,1,100,'5% chance to dispel when target takes damage',1,4),
(47713,30094,1,100,'5% chance to dispel when target receives hostile action',1,5),
(47714,30094,1,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,6),
(47715,20006,2,100,'Decreases Haste of caster by 11.3',0,0),
(47716,20006,2,100,'Slows caster by 32.6%',0,1),
(47717,20006,2,100,'Increases Mitigation of caster vs physical damage by 141',0,2),
(47718,20006,2,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,3),
(47719,20006,2,100,'Slows targets in Area of Effect by 31.0%',1,4),
(47720,20006,2,100,'5% chance to dispel when target receives hostile action',1,5),
(47721,20006,2,100,'5% chance to dispel when target takes damage',1,6),
(47722,30094,2,100,'Decreases Haste of caster by 11.3',0,0),
(47723,30094,2,100,'Increases Mitigation of caster vs physical damage by 141',0,1),
(47724,30094,2,100,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(47725,30094,2,100,'Roots target',1,3),
(47726,30094,2,100,'5% chance to dispel when target takes damage',1,4),
(47727,30094,2,100,'5% chance to dispel when target receives hostile action',1,5),
(47728,30094,2,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,6),
(47729,30094,3,100,'Decreases Haste of caster by 11.3',0,0),
(47730,30094,3,100,'Increases Mitigation of caster vs physical damage by 148',0,1),
(47731,30094,3,100,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(47732,30094,3,100,'Roots target',1,3),
(47733,30094,3,100,'5% chance to dispel when target takes damage',1,4),
(47734,30094,3,100,'5% chance to dispel when target receives hostile action',1,5),
(47735,30094,3,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,6),
(47736,20006,3,100,'Decreases Haste of caster by 11.3',0,0),
(47737,20006,3,100,'Slows caster by 32.6%',0,1),
(47738,20006,3,100,'Increases Mitigation of caster vs physical damage by 148',0,2),
(47739,20006,3,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,3),
(47740,20006,3,100,'Slows targets in Area of Effect by 32.6%',1,4),
(47741,20006,3,100,'5% chance to dispel when target receives hostile action',1,5),
(47742,20006,3,100,'5% chance to dispel when target takes damage',1,6),
(47743,30094,4,100,'Decreases Attack Speed of caster by 11.3',0,0),
(47744,30094,4,100,'Increases Mitigation of caster vs physical damage by 163',0,1),
(47745,30094,4,100,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(47746,30094,4,100,'Roots target',1,3),
(47747,30094,4,100,'5% chance to dispel when target takes damage',1,4),
(47748,30094,4,100,'5% chance to dispel when target receives hostile action',1,5),
(47749,30094,4,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,6),
(47750,20006,4,100,'Decreases Haste of caster by 11.3',0,0),
(47751,20006,4,100,'Slows caster by 32.6%',0,1),
(47752,20006,4,100,'Increases Mitigation of caster vs physical damage by 163',0,2),
(47753,20006,4,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,3),
(47754,20006,4,100,'Slows targets in Area of Effect by 35.9%',1,4),
(47755,20006,4,100,'5% chance to dispel when target receives hostile action',1,5),
(47756,20006,4,100,'5% chance to dispel when target takes damage',1,6),
(47757,30094,5,100,'Decreases Haste of caster by 11.3',0,0),
(47758,30094,5,100,'Increases Mitigation of caster vs physical damage by 178',0,1),
(47759,30094,5,100,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(47760,30094,5,100,'Roots target',1,3),
(47761,30094,5,100,'5% chance to dispel when target takes damage',1,4),
(47762,30094,5,100,'5% chance to dispel when target receives hostile action',1,5),
(47763,30094,5,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,6),
(47764,20006,5,100,'Decreases Haste of caster by 11.3',0,0),
(47765,20006,5,100,'Slows caster by 32.6%',0,1),
(47766,20006,5,100,'Increases Mitigation of caster vs physical damage by 178',0,2),
(47767,20006,5,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,3),
(47768,20006,5,100,'Slows targets in Area of Effect by 39.1%',1,4),
(47769,20006,5,100,'5% chance to dispel when target receives hostile action',1,5),
(47770,20006,5,100,'5% chance to dispel when target takes damage',1,6),
(47771,30094,7,100,'Decreases Haste of caster by 11.3',0,0),
(47772,30094,7,100,'Increases Mitigation of caster vs physical damage by 228',0,1),
(47773,30094,7,100,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(47774,30094,7,100,'Roots target',1,3),
(47775,30094,7,100,'5% chance to dispel when target takes damage',1,4),
(47776,30094,7,100,'5% chance to dispel when target receives hostile action',1,5),
(47777,30094,7,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,6),
(47778,20006,7,100,'Decreases Haste of caster by 11.3',0,0),
(47779,20006,7,100,'Slows caster by 32.6%',0,1),
(47780,20006,7,100,'Increases Mitigation of caster vs physical damage by 228',0,2),
(47781,20006,7,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,3),
(47782,20006,7,100,'Slows targets in Area of Effect by 50.2%',1,4),
(47783,20006,7,100,'5% chance to dispel when target receives hostile action',1,5),
(47784,20006,7,100,'5% chance to dispel when target takes damage',1,6),
(47785,30094,9,100,'Decreases Attack Speed of caster by 11.3',0,0),
(47786,30094,9,100,'Increases Mitigation of caster vs physical damage by 237',0,1),
(47787,30094,9,100,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(47788,30094,9,100,'Roots target',1,3),
(47789,30094,9,100,'5% chance to dispel when target takes damage',1,4),
(47790,30094,9,100,'5% chance to dispel when target receives hostile action',1,5),
(47791,30094,9,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,6),
(47792,20006,9,100,'Decreases Haste of caster by 11.3',0,0),
(47793,20006,9,100,'Slows caster by 32.6%',0,1),
(47794,20006,9,100,'Increases Mitigation of caster vs physical damage by 237',0,2),
(47795,20006,9,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,3),
(47796,20006,9,100,'Slows targets in Area of Effect by 52.2%',1,4),
(47797,20006,9,100,'5% chance to dispel when target receives hostile action',1,5),
(47798,20006,9,100,'5% chance to dispel when target takes damage',1,6),
(47799,30095,1,100,'Decreases Haste of caster by 12.7',0,0),
(47800,30095,1,100,'Increases Mitigation of caster vs physical damage by 243',0,1),
(47801,30095,1,100,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(47802,30095,1,100,'Roots target',1,3),
(47803,30095,1,100,'5% chance to dispel when target takes damage',1,4),
(47804,30095,1,100,'5% chance to dispel when target receives hostile action',1,5),
(47805,30095,1,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,6),
(47806,30095,2,100,'Decreases Haste of caster by 12.7',0,0),
(47807,30095,2,100,'Increases Mitigation of caster vs physical damage by 257',0,1),
(47808,30095,2,100,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(47809,30095,2,100,'Roots target',1,3),
(47810,30095,2,100,'5% chance to dispel when target takes damage',1,4),
(47811,30095,2,100,'5% chance to dispel when target receives hostile action',1,5),
(47812,30095,2,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,6),
(47813,30095,3,100,'Decreases Haste of caster by 12.7',0,0),
(47814,30095,3,100,'Increases Mitigation of caster vs physical damage by 270',0,1),
(47815,30095,3,100,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(47816,30095,3,100,'Roots target',1,3),
(47817,30095,3,100,'5% chance to dispel when target takes damage',1,4),
(47818,30095,3,100,'5% chance to dispel when target receives hostile action',1,5),
(47819,30095,3,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,6),
(47820,30095,4,100,'Decreases Haste of caster by 12.7',0,0),
(47821,30095,4,100,'Increases Mitigation of caster vs physical damage by 297',0,1),
(47822,30095,4,100,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(47823,30095,4,100,'Roots target',1,3),
(47824,30095,4,100,'5% chance to dispel when target takes damage',1,4),
(47825,30095,4,100,'5% chance to dispel when target receives hostile action',1,5),
(47826,30095,4,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,6),
(47827,30095,5,100,'Decreases Attack Speed of caster by 12.7',0,0),
(47828,30095,5,100,'Increases Mitigation of caster vs physical damage by 324',0,1),
(47829,30095,5,100,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(47830,30095,5,100,'Roots target',1,3),
(47831,30095,5,100,'5% chance to dispel when target takes damage',1,4),
(47832,30095,5,100,'5% chance to dispel when target receives hostile action',1,5),
(47833,30095,5,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,6),
(47834,30095,7,100,'Decreases Haste of caster by 12.7',0,0),
(47835,30095,7,100,'Increases Mitigation of caster vs physical damage by 416',0,1),
(47836,30095,7,100,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(47837,30095,7,100,'Roots target',1,3),
(47838,30095,7,100,'5% chance to dispel when target takes damage',1,4),
(47839,30095,7,100,'5% chance to dispel when target receives hostile action',1,5),
(47840,30095,7,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,6),
(47841,30095,9,100,'Decreases Haste of caster by 12.7',0,0),
(47842,30095,9,100,'Increases Mitigation of caster vs physical damage by 432',0,1),
(47843,30095,9,100,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(47844,30095,9,100,'Roots target',1,3),
(47845,30095,9,100,'5% chance to dispel when target takes damage',1,4),
(47846,30095,9,100,'5% chance to dispel when target receives hostile action',1,5),
(47847,30095,9,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,6),
(47848,30096,1,100,'Decreases Haste of caster by 14.1',0,0),
(47849,30096,1,100,'Increases Mitigation of caster vs physical damage by 369',0,1),
(47850,30096,1,100,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(47851,30096,1,100,'Roots target',1,3),
(47852,30096,1,100,'5% chance to dispel when target takes damage',1,4),
(47853,30096,1,100,'5% chance to dispel when target receives hostile action',1,5),
(47854,30096,1,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,6),
(47855,30096,2,100,'Decreases Haste of caster by 14.1',0,0),
(47856,30096,2,100,'Increases Mitigation of caster vs physical damage by 390',0,1),
(47857,30096,2,100,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(47858,30096,2,100,'Roots target',1,3),
(47859,30096,2,100,'5% chance to dispel when target takes damage',1,4),
(47860,30096,2,100,'5% chance to dispel when target receives hostile action',1,5),
(47861,30096,2,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,6),
(47862,30096,3,100,'Decreases Haste of caster by 14.1',0,0),
(47863,30096,3,100,'Increases Mitigation of caster vs physical damage by 410',0,1),
(47864,30096,3,100,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(47865,30096,3,100,'Roots target',1,3),
(47866,30096,3,100,'5% chance to dispel when target takes damage',1,4),
(47867,30096,3,100,'5% chance to dispel when target receives hostile action',1,5),
(47868,30096,3,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,6),
(47869,30096,4,100,'Decreases Haste of caster by 14.1',0,0),
(47870,30096,4,100,'Increases Mitigation of caster vs physical damage by 451',0,1),
(47871,30096,4,100,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(47872,30096,4,100,'Roots target',1,3),
(47873,30096,4,100,'5% chance to dispel when target takes damage',1,4),
(47874,30096,4,100,'5% chance to dispel when target receives hostile action',1,5),
(47875,30096,4,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,6),
(47876,30096,5,100,'Decreases Haste of caster by 14.1',0,0),
(47877,30096,5,100,'Increases Mitigation of caster vs physical damage by 492',0,1),
(47878,30096,5,100,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(47879,30096,5,100,'Roots target',1,3),
(47880,30096,5,100,'5% chance to dispel when target takes damage',1,4),
(47881,30096,5,100,'5% chance to dispel when target receives hostile action',1,5),
(47882,30096,5,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,6),
(47883,30096,7,100,'Decreases Haste of caster by 14.1',0,0),
(47884,30096,7,100,'Increases Mitigation of caster vs physical damage by 631',0,1),
(47885,30096,7,100,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(47886,30096,7,100,'Roots target',1,3),
(47887,30096,7,100,'5% chance to dispel when target takes damage',1,4),
(47888,30096,7,100,'5% chance to dispel when target receives hostile action',1,5),
(47889,30096,7,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,6),
(47890,30096,9,100,'Decreases Haste of caster by 14.1',0,0),
(47891,30096,9,100,'Increases Mitigation of caster vs physical damage by 656',0,1),
(47892,30096,9,100,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(47893,30096,9,100,'Roots target',1,3),
(47894,30096,9,100,'5% chance to dispel when target takes damage',1,4),
(47895,30096,9,100,'5% chance to dispel when target receives hostile action',1,5),
(47896,30096,9,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,6),
(47897,30097,1,100,'Decreases Haste of caster by 15.5',0,0),
(47898,30097,1,100,'Increases Mitigation of caster vs physical damage by 495',0,1),
(47899,30097,1,100,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(47900,30097,1,100,'Roots target',1,3),
(47901,30097,1,100,'5% chance to dispel when target takes damage',1,4),
(47902,30097,1,100,'5% chance to dispel when target receives hostile action',1,5),
(47903,30097,1,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,6),
(47904,30097,2,100,'Decreases Haste of caster by 15.5',0,0),
(47905,30097,2,100,'Increases Mitigation of caster vs physical damage by 523',0,1),
(47906,30097,2,100,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(47907,30097,2,100,'Roots target',1,3),
(47908,30097,2,100,'5% chance to dispel when target takes damage',1,4),
(47909,30097,2,100,'5% chance to dispel when target receives hostile action',1,5),
(47910,30097,2,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,6),
(47911,30097,3,100,'Decreases Haste of caster by 15.5',0,0),
(47912,30097,3,100,'Increases Mitigation of caster vs physical damage by 550',0,1),
(47913,30097,3,100,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(47914,30097,3,100,'Roots target',1,3),
(47915,30097,3,100,'5% chance to dispel when target takes damage',1,4),
(47916,30097,3,100,'5% chance to dispel when target receives hostile action',1,5),
(47917,30097,3,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,6),
(47918,30097,4,100,'Decreases Haste of caster by 15.5',0,0),
(47919,30097,4,100,'Increases Mitigation of caster vs physical damage by 605',0,1),
(47920,30097,4,100,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(47921,30097,4,100,'Roots target',1,3),
(47922,30097,4,100,'5% chance to dispel when target takes damage',1,4),
(47923,30097,4,100,'5% chance to dispel when target receives hostile action',1,5),
(47924,30097,4,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,6),
(47925,30097,5,100,'Decreases Haste of caster by 15.5',0,0),
(47926,30097,5,100,'Increases Mitigation of caster vs physical damage by 660',0,1),
(47927,30097,5,100,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(47928,30097,5,100,'Roots target',1,3),
(47929,30097,5,100,'5% chance to dispel when target takes damage',1,4),
(47930,30097,5,100,'5% chance to dispel when target receives hostile action',1,5),
(47931,30097,5,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,6),
(47932,30097,7,100,'Decreases Haste of caster by 15.5',0,0),
(47933,30097,7,100,'Increases Mitigation of caster vs physical damage by 847',0,1),
(47934,30097,7,100,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(47935,30097,7,100,'Roots target',1,3),
(47936,30097,7,100,'5% chance to dispel when target takes damage',1,4),
(47937,30097,7,100,'5% chance to dispel when target receives hostile action',1,5),
(47938,30097,7,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,6),
(47939,30097,9,100,'Decreases Haste of caster by 15.5',0,0),
(47940,30097,9,100,'Increases Mitigation of caster vs physical damage by 880',0,1),
(47941,30097,9,100,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(47942,30097,9,100,'Roots target',1,3),
(47943,30097,9,100,'5% chance to dispel when target takes damage',1,4),
(47944,30097,9,100,'5% chance to dispel when target receives hostile action',1,5),
(47945,30097,9,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,6),
(47946,30098,1,100,'Decreases Haste of caster by 16.9',0,0),
(47947,30098,1,100,'Increases Mitigation of caster vs physical damage by 621',0,1),
(47948,30098,1,100,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(47949,30098,1,100,'Roots target',1,3),
(47950,30098,1,100,'5% chance to dispel when target takes damage',1,4),
(47951,30098,1,100,'5% chance to dispel when target receives hostile action',1,5),
(47952,30098,1,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,6),
(47953,30098,2,100,'Decreases Haste of caster by 16.9',0,0),
(47954,30098,2,100,'Increases Mitigation of caster vs physical damage by 656',0,1),
(47955,30098,2,100,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(47956,30098,2,100,'Roots target',1,3),
(47957,30098,2,100,'5% chance to dispel when target takes damage',1,4),
(47958,30098,2,100,'5% chance to dispel when target receives hostile action',1,5),
(47959,30098,2,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,6),
(47960,30098,3,100,'Decreases Haste of caster by 16.9',0,0),
(47961,30098,3,100,'Increases Mitigation of caster vs physical damage by 690',0,1),
(47962,30098,3,100,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(47963,30098,3,100,'Roots target',1,3),
(47964,30098,3,100,'5% chance to dispel when target takes damage',1,4),
(47965,30098,3,100,'5% chance to dispel when target receives hostile action',1,5),
(47966,30098,3,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,6),
(47967,30098,4,100,'Decreases Haste of caster by 16.9',0,0),
(47968,30098,4,100,'Increases Mitigation of caster vs physical damage by 759',0,1),
(47969,30098,4,100,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(47970,30098,4,100,'Roots target',1,3),
(47971,30098,4,100,'5% chance to dispel when target takes damage',1,4),
(47972,30098,4,100,'5% chance to dispel when target receives hostile action',1,5),
(47973,30098,4,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,6),
(47974,30098,5,100,'Decreases Haste of caster by 16.9',0,0),
(47975,30098,5,100,'Increases Mitigation of caster vs physical damage by 828',0,1),
(47976,30098,5,100,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(47977,30098,5,100,'Roots target',1,3),
(47978,30098,5,100,'5% chance to dispel when target takes damage',1,4),
(47979,30098,5,100,'5% chance to dispel when target receives hostile action',1,5),
(47980,30098,5,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,6),
(47981,30098,7,100,'Decreases Haste of caster by 16.9',0,0),
(47982,30098,7,100,'Increases Mitigation of caster vs physical damage by 1063',0,1),
(47983,30098,7,100,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(47984,30098,7,100,'Roots target',1,3),
(47985,30098,7,100,'5% chance to dispel when target takes damage',1,4),
(47986,30098,7,100,'5% chance to dispel when target receives hostile action',1,5),
(47987,30098,7,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,6),
(47988,30098,9,100,'Decreases Haste of caster by 16.9',0,0),
(47989,30098,9,100,'Increases Mitigation of caster vs physical damage by 1104',0,1),
(47990,30098,9,100,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(47991,30098,9,100,'Roots target',1,3),
(47992,30098,9,100,'5% chance to dispel when target takes damage',1,4),
(47993,30098,9,100,'5% chance to dispel when target receives hostile action',1,5),
(47994,30098,9,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,6),
(47995,30099,1,100,'Decreases Haste of caster by 17.9',0,0),
(47996,30099,1,100,'Increases Mitigation of caster vs physical damage by 747',0,1),
(47997,30099,1,100,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(47998,30099,1,100,'Roots target',1,3),
(47999,30099,1,100,'5% chance to dispel when target takes damage',1,4),
(48000,30099,1,100,'5% chance to dispel when target receives hostile action',1,5),
(48001,30099,1,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,6),
(48002,30099,2,100,'Decreases Haste of caster by 17.9',0,0),
(48003,30099,2,100,'Increases Mitigation of caster vs physical damage by 788',0,1),
(48004,30099,2,100,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(48005,30099,2,100,'Roots target',1,3),
(48006,30099,2,100,'5% chance to dispel when target takes damage',1,4),
(48007,30099,2,100,'5% chance to dispel when target receives hostile action',1,5),
(48008,30099,2,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,6),
(48009,30099,3,100,'Decreases Haste of caster by 17.9',0,0),
(48010,30099,3,100,'Increases Mitigation of caster vs physical damage by 830',0,1),
(48011,30099,3,100,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(48012,30099,3,100,'Roots target',1,3),
(48013,30099,3,100,'5% chance to dispel when target takes damage',1,4),
(48014,30099,3,100,'5% chance to dispel when target receives hostile action',1,5),
(48015,30099,3,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,6),
(48016,30099,4,100,'Decreases Haste of caster by 17.9',0,0),
(48017,30099,4,100,'Increases Mitigation of caster vs physical damage by 912',0,1),
(48018,30099,4,100,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(48019,30099,4,100,'Roots target',1,3),
(48020,30099,4,100,'5% chance to dispel when target takes damage',1,4),
(48021,30099,4,100,'5% chance to dispel when target receives hostile action',1,5),
(48022,30099,4,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,6),
(48023,30099,5,100,'Decreases Haste of caster by 17.9',0,0),
(48024,30099,5,100,'Increases Mitigation of caster vs physical damage by 995',0,1),
(48025,30099,5,100,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(48026,30099,5,100,'Roots target',1,3),
(48027,30099,5,100,'5% chance to dispel when target takes damage',1,4),
(48028,30099,5,100,'5% chance to dispel when target receives hostile action',1,5),
(48029,30099,5,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,6),
(48030,30099,7,100,'Decreases Haste of caster by 17.9',0,0),
(48031,30099,7,100,'Increases Mitigation of caster vs physical damage by 1277',0,1),
(48032,30099,7,100,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(48033,30099,7,100,'Roots target',1,3),
(48034,30099,7,100,'5% chance to dispel when target takes damage',1,4),
(48035,30099,7,100,'5% chance to dispel when target receives hostile action',1,5),
(48036,30099,7,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,6),
(48037,30099,9,100,'Decreases Haste of caster by 17.9',0,0),
(48038,30099,9,100,'Increases Mitigation of caster vs physical damage by 1327',0,1),
(48039,30099,9,100,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(48040,30099,9,100,'Roots target',1,3),
(48041,30099,9,100,'5% chance to dispel when target takes damage',1,4),
(48042,30099,9,100,'5% chance to dispel when target receives hostile action',1,5),
(48043,30099,9,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,6),
(48044,30100,1,100,'Decreases Haste of caster by 18.9',0,0),
(48045,30100,1,100,'Increases Mitigation of caster vs physical damage by 877',0,1),
(48046,30100,1,100,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(48047,30100,1,100,'Roots target',1,3),
(48048,30100,1,100,'5% chance to dispel when target takes damage',1,4),
(48049,30100,1,100,'5% chance to dispel when target receives hostile action',1,5),
(48050,30100,1,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,6),
(48051,30100,4,100,'Decreases Attack Speed of caster by 18.9',0,0),
(48052,30100,4,100,'Increases Mitigation of caster vs physical damage by 1072',0,1),
(48053,30100,4,100,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(48054,30100,4,100,'Roots target',1,3),
(48055,30100,4,100,'5% chance to dispel when target takes damage',1,4),
(48056,30100,4,100,'5% chance to dispel when target receives hostile action',1,5),
(48057,30100,4,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,6),
(48058,30100,5,100,'Decreases Haste of caster by 18.9',0,0),
(48059,30100,5,100,'Increases Mitigation of caster vs physical damage by 1169',0,1),
(48060,30100,5,100,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(48061,30100,5,100,'Roots target',1,3),
(48062,30100,5,100,'5% chance to dispel when target takes damage',1,4),
(48063,30100,5,100,'5% chance to dispel when target receives hostile action',1,5),
(48064,30100,5,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,6),
(48065,30100,7,100,'Decreases Haste of caster by 18.9',0,0),
(48066,30100,7,100,'Increases Mitigation of caster vs physical damage by 1501',0,1),
(48067,30100,7,100,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(48068,30100,7,100,'Roots target',1,3),
(48069,30100,7,100,'5% chance to dispel when target takes damage',1,4),
(48070,30100,7,100,'5% chance to dispel when target receives hostile action',1,5),
(48071,30100,7,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,6),
(48072,30100,9,100,'Decreases Haste of caster by 18.9',0,0),
(48073,30100,9,100,'Increases Mitigation of caster vs physical damage by 1559',0,1),
(48074,30100,9,100,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(48075,30100,9,100,'Roots target',1,3),
(48076,30100,9,100,'5% chance to dispel when target takes damage',1,4),
(48077,30100,9,100,'5% chance to dispel when target receives hostile action',1,5),
(48078,30100,9,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,6),
(48079,30101,1,100,'Decreases Haste of caster by 19.9',0,0),
(48080,30101,1,100,'Increases Mitigation of caster vs physical damage by 980',0,1),
(48081,30101,1,100,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(48082,30101,1,100,'Roots target',1,3),
(48083,30101,1,100,'5% chance to dispel when target takes damage',1,4),
(48084,30101,1,100,'5% chance to dispel when target receives hostile action',1,5),
(48085,30101,1,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,6),
(48086,30101,4,100,'Decreases Haste of caster by 19.9',0,0),
(48087,30101,4,100,'Increases Mitigation of caster vs physical damage by 1198',0,1),
(48088,30101,4,100,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(48089,30101,4,100,'Roots target',1,3),
(48090,30101,4,100,'5% chance to dispel when target takes damage',1,4),
(48091,30101,4,100,'5% chance to dispel when target receives hostile action',1,5),
(48092,30101,4,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,6),
(48093,30101,5,100,'Decreases Haste of caster by 19.9',0,0),
(48094,30101,5,100,'Increases Mitigation of caster vs physical damage by 1307',0,1),
(48095,30101,5,100,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(48096,30101,5,100,'Roots target',1,3),
(48097,30101,5,100,'5% chance to dispel when target takes damage',1,4),
(48098,30101,5,100,'5% chance to dispel when target receives hostile action',1,5),
(48099,30101,5,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,6),
(48100,30101,7,100,'Decreases Haste of caster by 19.9',0,0),
(48101,30101,7,100,'Increases Mitigation of caster vs physical damage by 1677',0,1),
(48102,30101,7,100,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(48103,30101,7,100,'Roots target',1,3),
(48104,30101,7,100,'5% chance to dispel when target takes damage',1,4),
(48105,30101,7,100,'5% chance to dispel when target receives hostile action',1,5),
(48106,30101,7,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,6),
(48107,30101,9,100,'Decreases Haste of caster by 19.9',0,0),
(48108,30101,9,100,'Increases Mitigation of caster vs physical damage by 1742',0,1),
(48109,30101,9,100,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(48110,30101,9,100,'Roots target',1,3),
(48111,30101,9,100,'5% chance to dispel when target takes damage',1,4),
(48112,30101,9,100,'5% chance to dispel when target receives hostile action',1,5),
(48113,30101,9,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,6),
(48114,390062,1,100,'Increases AGI of caster by 8.7',0,0),
(48115,390062,1,100,'Increases Haste of caster by 12.4',0,1),
(48116,390062,1,100,'Increases in-combat movement speed of caster by 4.5%',0,2),
(48117,390062,1,100,'Adds 14.0% to base avoidance.',0,3),
(48118,390062,1,100,'Increases Mitigation of caster vs physical damage by 119',0,4),
(48119,390062,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 154',0,5),
(48120,380004,1,100,'Increases AGI of caster by 8.7',0,0),
(48122,380004,2,100,'Increases AGI of caster by 9.2',0,0),
(48124,390062,2,100,'Increases AGI of caster by 9.2',0,0),
(48125,390062,2,100,'Increases Haste of caster by 13.1',0,1),
(48126,390062,2,100,'Increases in-combat movement speed of caster by 4.7%',0,2),
(48127,390062,2,100,'Adds 14.8% to base avoidance.',0,3),
(48128,390062,2,100,'Increases Mitigation of caster vs physical damage by 125',0,4),
(48129,390062,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 163',0,5),
(48130,390062,3,100,'Increases AGI of caster by 9.7',0,0),
(48131,390062,3,100,'Increases Haste of caster by 13.7',0,1),
(48132,390062,3,100,'Increases in-combat movement speed of caster by 5.0%',0,2),
(48133,390062,3,100,'Adds 15.6% to base avoidance.',0,3),
(48134,390062,3,100,'Increases Mitigation of caster vs physical damage by 132',0,4),
(48135,390062,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 172',0,5),
(48136,380004,3,100,'Increases AGI of caster by 9.7',0,0),
(48138,380004,4,100,'Increases AGI of caster by 10.7',0,0),
(48140,390062,4,100,'Increases AGI of caster by 10.7',0,0),
(48141,390062,4,100,'Increases Haste of caster by 15.1',0,1),
(48142,390062,4,100,'Increases in-combat movement speed of caster by 5.5%',0,2),
(48143,390062,4,100,'Adds 17.2% to base avoidance.',0,3),
(48144,390062,4,100,'Increases Mitigation of caster vs physical damage by 145',0,4),
(48145,390062,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 189',0,5),
(48146,390062,5,100,'Increases AGI of caster by 11.6',0,0),
(48147,390062,5,100,'Increases Haste of caster by 16.5',0,1),
(48148,390062,5,100,'Increases in-combat movement speed of caster by 6.0%',0,2),
(48149,390062,5,100,'Adds 18.7% to base avoidance.',0,3),
(48150,390062,5,100,'Increases Mitigation of caster vs physical damage by 158',0,4),
(48151,390062,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 206',0,5),
(48152,380004,5,100,'Increases AGI of caster by 11.6',0,0),
(48154,390062,7,100,'Increases AGI of caster by 14.9',0,0),
(48155,390062,7,100,'Increases Haste of caster by 21.2',0,1),
(48156,390062,7,100,'Increases in-combat movement speed of caster by 7.7%',0,2),
(48157,390062,7,100,'Adds 24.0% to base avoidance.',0,3),
(48158,390062,7,100,'Increases Mitigation of caster vs physical damage by 203',0,4),
(48159,390062,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 264',0,5),
(48160,380004,7,100,'Increases AGI of caster by 14.9',0,0),
(48162,390062,9,100,'Increases AGI of caster by 15.5',0,0),
(48163,390062,9,100,'Increases Attack Speed of caster by 22.0',0,1),
(48164,390062,9,100,'Increases in-combat movement speed of caster by 8.0%',0,2),
(48165,390062,9,100,'Adds 25.0% to base avoidance.',0,3),
(48166,390062,9,100,'Increases Mitigation of caster vs physical damage by 211',0,4),
(48167,390062,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 275',0,5),
(48168,380004,9,100,'Increases AGI of caster by 15.5',0,0),
(48170,390062,10,100,'Increases AGI of caster by 16.3',0,0),
(48171,390062,10,100,'Increases Haste of caster by 23.1',0,1),
(48172,390062,10,100,'Increases in-combat movement speed of caster by 8.4%',0,2),
(48173,390062,10,100,'Adds 26.2% to base avoidance.',0,3),
(48174,390062,10,100,'Increases Mitigation of caster vs physical damage by 222',0,4),
(48175,390062,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 288',0,5),
(48176,390063,1,100,'Increases AGI of caster by 18.8',0,0),
(48177,390063,1,100,'Increases Haste of caster by 16.0',0,1),
(48178,390063,1,100,'Increases in-combat movement speed of caster by 4.5%',0,2),
(48179,390063,1,100,'Adds 14.0% to base avoidance.',0,3),
(48180,390063,1,100,'Increases Mitigation of caster vs physical damage by 292',0,4),
(48181,390063,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 379',0,5),
(48182,390063,2,100,'Increases AGI of caster by 19.9',0,0),
(48183,390063,2,100,'Increases Haste of caster by 16.9',0,1),
(48184,390063,2,100,'Increases in-combat movement speed of caster by 4.7%',0,2),
(48185,390063,2,100,'Adds 14.8% to base avoidance.',0,3),
(48186,390063,2,100,'Increases Mitigation of caster vs physical damage by 308',0,4),
(48187,390063,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 400',0,5),
(48188,390063,3,100,'Increases AGI of caster by 20.9',0,0),
(48189,390063,3,100,'Increases Haste of caster by 17.7',0,1),
(48190,390063,3,100,'Increases in-combat movement speed of caster by 5.0%',0,2),
(48191,390063,3,100,'Adds 15.6% to base avoidance.',0,3),
(48192,390063,3,100,'Increases Mitigation of caster vs physical damage by 324',0,4),
(48193,390063,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 421',0,5),
(48194,390063,4,100,'Increases AGI of caster by 23.0',0,0),
(48195,390063,4,100,'Increases Haste of caster by 19.5',0,1),
(48196,390063,4,100,'Increases in-combat movement speed of caster by 5.5%',0,2),
(48197,390063,4,100,'Adds 17.2% to base avoidance.',0,3),
(48198,390063,4,100,'Increases Mitigation of caster vs physical damage by 356',0,4),
(48199,390063,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 463',0,5),
(48200,390063,5,100,'Increases AGI of caster by 25.1',0,0),
(48201,390063,5,100,'Increases Haste of caster by 21.3',0,1),
(48202,390063,5,100,'Increases in-combat movement speed of caster by 6.0%',0,2),
(48203,390063,5,100,'Adds 18.7% to base avoidance.',0,3),
(48204,390063,5,100,'Increases Mitigation of caster vs physical damage by 389',0,4),
(48205,390063,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 505',0,5),
(48206,390063,7,100,'Increases AGI of caster by 32.2',0,0),
(48207,390063,7,100,'Increases Haste of caster by 27.3',0,1),
(48208,390063,7,100,'Increases in-combat movement speed of caster by 7.7%',0,2),
(48209,390063,7,100,'Adds 24.0% to base avoidance.',0,3),
(48210,390063,7,100,'Increases Mitigation of caster vs physical damage by 499',0,4),
(48211,390063,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 649',0,5),
(48212,390063,9,100,'Increases AGI of caster by 33.4',0,0),
(48213,390063,9,100,'Increases Haste of caster by 28.4',0,1),
(48214,390063,9,100,'Increases in-combat movement speed of caster by 8.0%',0,2),
(48215,390063,9,100,'Adds 25.0% to base avoidance.',0,3),
(48216,390063,9,100,'Increases Mitigation of caster vs physical damage by 518',0,4),
(48217,390063,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 674',0,5),
(48218,390064,1,100,'Increases AGI of caster by 28.6',0,0),
(48219,390064,1,100,'Increases Haste of caster by 19.1',0,1),
(48220,390064,1,100,'Increases in-combat movement speed of caster by 4.5%',0,2),
(48221,390064,1,100,'Adds 14.0% to base avoidance.',0,3),
(48222,390064,1,100,'Increases Mitigation of caster vs physical damage by 443',0,4),
(48223,390064,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 576',0,5),
(48224,390064,2,100,'Increases AGI of caster by 30.2',0,0),
(48225,390064,2,100,'Increases Haste of caster by 20.2',0,1),
(48226,390064,2,100,'Increases in-combat movement speed of caster by 4.7%',0,2),
(48227,390064,2,100,'Adds 14.8% to base avoidance.',0,3),
(48228,390064,2,100,'Increases Mitigation of caster vs physical damage by 467',0,4),
(48229,390064,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 608',0,5),
(48230,390064,3,100,'Increases AGI of caster by 31.8',0,0),
(48231,390064,3,100,'Increases Attack Speed of caster by 21.2',0,1),
(48232,390064,3,100,'Increases in-combat movement speed of caster by 5.0%',0,2),
(48233,390064,3,100,'Adds 15.6% to base avoidance.',0,3),
(48234,390064,3,100,'Increases Mitigation of caster vs physical damage by 492',0,4),
(48235,390064,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 640',0,5),
(48236,390064,4,100,'Increases AGI of caster by 35.0',0,0),
(48237,390064,4,100,'Increases Haste of caster by 23.4',0,1),
(48238,390064,4,100,'Increases in-combat movement speed of caster by 5.5%',0,2),
(48239,390064,4,100,'Adds 17.2% to base avoidance.',0,3),
(48240,390064,4,100,'Increases Mitigation of caster vs physical damage by 541',0,4),
(48241,390064,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 704',0,5),
(48242,390064,5,100,'Increases AGI of caster by 38.2',0,0),
(48243,390064,5,100,'Increases Haste of caster by 25.5',0,1),
(48244,390064,5,100,'Increases in-combat movement speed of caster by 6.0%',0,2),
(48245,390064,5,100,'Adds 18.7% to base avoidance.',0,3),
(48246,390064,5,100,'Increases Mitigation of caster vs physical damage by 590',0,4),
(48247,390064,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 768',0,5),
(48248,390064,7,100,'Increases AGI of caster by 49.0',0,0),
(48249,390064,7,100,'Increases Haste of caster by 32.7',0,1),
(48250,390064,7,100,'Increases in-combat movement speed of caster by 7.7%',0,2),
(48251,390064,7,100,'Adds 24.0% to base avoidance.',0,3),
(48252,390064,7,100,'Increases Mitigation of caster vs physical damage by 758',0,4),
(48253,390064,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 985',0,5),
(48254,390064,9,100,'Increases AGI of caster by 50.9',0,0),
(48255,390064,9,100,'Increases Haste of caster by 34.0',0,1),
(48256,390064,9,100,'Increases in-combat movement speed of caster by 8.0%',0,2),
(48257,390064,9,100,'Adds 25.0% to base avoidance.',0,3),
(48258,390064,9,100,'Increases Mitigation of caster vs physical damage by 787',0,4),
(48259,390064,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1023',0,5),
(48260,390065,1,100,'Increases AGI of caster by 38.7',0,0),
(48261,390065,1,100,'Increases Haste of caster by 22.2',0,1),
(48262,390065,1,100,'Increases in-combat movement speed of caster by 4.5%',0,2),
(48263,390065,1,100,'Adds 14.0% to base avoidance.',0,3),
(48264,390065,1,100,'Increases Mitigation of caster vs physical damage by 594',0,4),
(48265,390065,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 772',0,5),
(48266,390065,2,100,'Increases AGI of caster by 40.8',0,0),
(48267,390065,2,100,'Increases Haste of caster by 23.5',0,1),
(48268,390065,2,100,'Increases in-combat movement speed of caster by 4.7%',0,2),
(48269,390065,2,100,'Adds 14.8% to base avoidance.',0,3),
(48270,390065,2,100,'Increases Mitigation of caster vs physical damage by 627',0,4),
(48271,390065,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 815',0,5),
(48272,390065,3,100,'Increases AGI of caster by 43.0',0,0),
(48273,390065,3,100,'Increases Haste of caster by 24.7',0,1),
(48274,390065,3,100,'Increases in-combat movement speed of caster by 5.0%',0,2),
(48275,390065,3,100,'Adds 15.6% to base avoidance.',0,3),
(48276,390065,3,100,'Increases Mitigation of caster vs physical damage by 660',0,4),
(48277,390065,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 858',0,5),
(48278,390065,4,100,'Increases AGI of caster by 47.3',0,0),
(48279,390065,4,100,'Increases Haste of caster by 27.2',0,1),
(48280,390065,4,100,'Increases in-combat movement speed of caster by 5.5%',0,2),
(48281,390065,4,100,'Adds 17.2% to base avoidance.',0,3),
(48282,390065,4,100,'Increases Mitigation of caster vs physical damage by 726',0,4),
(48283,390065,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 944',0,5),
(48284,390065,5,100,'Increases AGI of caster by 51.6',0,0),
(48285,390065,5,100,'Increases Haste of caster by 29.6',0,1),
(48286,390065,5,100,'Increases in-combat movement speed of caster by 6.0%',0,2),
(48287,390065,5,100,'Adds 18.7% to base avoidance.',0,3),
(48288,390065,5,100,'Increases Mitigation of caster vs physical damage by 792',0,4),
(48289,390065,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1030',0,5),
(48290,390065,7,100,'Increases AGI of caster by 66.2',0,0),
(48291,390065,7,100,'Increases Haste of caster by 38.0',0,1),
(48292,390065,7,100,'Increases in-combat movement speed of caster by 7.7%',0,2),
(48293,390065,7,100,'Adds 24.0% to base avoidance.',0,3),
(48294,390065,7,100,'Increases Mitigation of caster vs physical damage by 1016',0,4),
(48295,390065,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1321',0,5),
(48296,390065,9,100,'Increases AGI of caster by 68.8',0,0),
(48297,390065,9,100,'Increases Haste of caster by 39.5',0,1),
(48298,390065,9,100,'Increases in-combat movement speed of caster by 8.0%',0,2),
(48299,390065,9,100,'Adds 25.0% to base avoidance.',0,3),
(48300,390065,9,100,'Increases Mitigation of caster vs physical damage by 1056',0,4),
(48301,390065,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1373',0,5),
(48302,390066,1,100,'Increases AGI of caster by 48.8',0,0),
(48303,390066,1,100,'Increases Haste of caster by 25.3',0,1),
(48304,390066,1,100,'Increases in-combat movement speed of caster by 4.5%',0,2),
(48305,390066,1,100,'Adds 14.0% to base avoidance.',0,3),
(48306,390066,1,100,'Increases Mitigation of caster vs physical damage by 745',0,4),
(48307,390066,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 969',0,5),
(48308,390066,2,100,'Increases AGI of caster by 51.5',0,0),
(48309,390066,2,100,'Increases Haste of caster by 26.7',0,1),
(48310,390066,2,100,'Increases in-combat movement speed of caster by 4.7%',0,2),
(48311,390066,2,100,'Adds 14.8% to base avoidance.',0,3),
(48312,390066,2,100,'Increases Mitigation of caster vs physical damage by 787',0,4),
(48313,390066,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1023',0,5),
(48314,390066,3,100,'Increases AGI of caster by 54.2',0,0),
(48315,390066,3,100,'Increases Haste of caster by 28.1',0,1),
(48316,390066,3,100,'Increases in-combat movement speed of caster by 5.0%',0,2),
(48317,390066,3,100,'Adds 15.6% to base avoidance.',0,3),
(48318,390066,3,100,'Increases Mitigation of caster vs physical damage by 828',0,4),
(48319,390066,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1076',0,5),
(48320,390066,4,100,'Increases AGI of caster by 59.6',0,0),
(48321,390066,4,100,'Increases Haste of caster by 30.9',0,1),
(48322,390066,4,100,'Increases in-combat movement speed of caster by 5.5%',0,2),
(48323,390066,4,100,'Adds 17.2% to base avoidance.',0,3),
(48324,390066,4,100,'Increases Mitigation of caster vs physical damage by 911',0,4),
(48325,390066,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1184',0,5),
(48326,390066,5,100,'Increases AGI of caster by 65.0',0,0),
(48327,390066,5,100,'Increases Haste of caster by 33.7',0,1),
(48328,390066,5,100,'Increases in-combat movement speed of caster by 6.0%',0,2),
(48329,390066,5,100,'Adds 18.7% to base avoidance.',0,3),
(48330,390066,5,100,'Increases Mitigation of caster vs physical damage by 994',0,4),
(48331,390066,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1292',0,5),
(48332,390066,7,100,'Increases AGI of caster by 83.5',0,0),
(48333,390066,7,100,'Increases Haste of caster by 43.3',0,1),
(48334,390066,7,100,'Increases in-combat movement speed of caster by 7.7%',0,2),
(48335,390066,7,100,'Adds 24.0% to base avoidance.',0,3),
(48336,390066,7,100,'Increases Mitigation of caster vs physical damage by 1275',0,4),
(48337,390066,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1658',0,5),
(48338,390066,9,100,'Increases AGI of caster by 86.7',0,0),
(48339,390066,9,100,'Increases Haste of caster by 44.9',0,1),
(48340,390066,9,100,'Increases in-combat movement speed of caster by 8.0%',0,2),
(48341,390066,9,100,'Adds 25.0% to base avoidance.',0,3),
(48342,390066,9,100,'Increases Mitigation of caster vs physical damage by 1325',0,4),
(48343,390066,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1722',0,5),
(48344,390067,1,100,'Increases AGI of caster by 58.4',0,0),
(48345,390067,1,100,'Increases Haste of caster by 27.5',0,1),
(48346,390067,1,100,'Increases in-combat movement speed of caster by 4.5%',0,2),
(48347,390067,1,100,'Adds 14.0% to base avoidance.',0,3),
(48348,390067,1,100,'Increases Mitigation of caster vs physical damage by 853',0,4),
(48349,390067,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1109',0,5),
(48350,390067,2,100,'Increases AGI of caster by 61.7',0,0),
(48351,390067,2,100,'Increases Haste of caster by 29.0',0,1),
(48352,390067,2,100,'Increases in-combat movement speed of caster by 4.7%',0,2),
(48353,390067,2,100,'Adds 14.8% to base avoidance.',0,3),
(48354,390067,2,100,'Increases Mitigation of caster vs physical damage by 901',0,4),
(48355,390067,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1171',0,5),
(48356,390067,3,100,'Increases AGI of caster by 64.9',0,0),
(48357,390067,3,100,'Increases Haste of caster by 30.5',0,1),
(48358,390067,3,100,'Increases in-combat movement speed of caster by 5.0%',0,2),
(48359,390067,3,100,'Adds 15.6% to base avoidance.',0,3),
(48360,390067,3,100,'Increases Mitigation of caster vs physical damage by 948',0,4),
(48361,390067,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1232',0,5),
(48362,390067,4,100,'Increases AGI of caster by 71.4',0,0),
(48363,390067,4,100,'Increases Haste of caster by 33.6',0,1),
(48364,390067,4,100,'Increases in-combat movement speed of caster by 5.5%',0,2),
(48365,390067,4,100,'Adds 17.2% to base avoidance.',0,3),
(48366,390067,4,100,'Increases Mitigation of caster vs physical damage by 1043',0,4),
(48367,390067,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1356',0,5),
(48368,390067,5,100,'Increases AGI of caster by 77.9',0,0),
(48369,390067,5,100,'Increases Haste of caster by 36.6',0,1),
(48370,390067,5,100,'Increases in-combat movement speed of caster by 6.0%',0,2),
(48371,390067,5,100,'Adds 18.7% to base avoidance.',0,3),
(48372,390067,5,100,'Increases Mitigation of caster vs physical damage by 1138',0,4),
(48373,390067,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1479',0,5),
(48374,390067,7,100,'Increases AGI of caster by 99.9',0,0),
(48375,390067,7,100,'Increases Haste of caster by 47.0',0,1),
(48376,390067,7,100,'Increases in-combat movement speed of caster by 7.7%',0,2),
(48377,390067,7,100,'Adds 24.0% to base avoidance.',0,3),
(48378,390067,7,100,'Increases Mitigation of caster vs physical damage by 1460',0,4),
(48379,390067,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1898',0,5),
(48380,390067,9,100,'Increases AGI of caster by 103.8',0,0),
(48381,390067,9,100,'Increases Haste of caster by 48.8',0,1),
(48382,390067,9,100,'Increases in-combat movement speed of caster by 8.0%',0,2),
(48383,390067,9,100,'Adds 25.0% to base avoidance.',0,3),
(48384,390067,9,100,'Increases Mitigation of caster vs physical damage by 1517',0,4),
(48385,390067,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1972',0,5),
(48386,390068,1,100,'Increases AGI of caster by 68.3',0,0),
(48387,390068,1,100,'Increases Haste of caster by 31.3',0,1),
(48388,390068,1,100,'Increases in-combat movement speed of caster by 4.5%',0,2),
(48389,390068,1,100,'Adds 14.0% to base avoidance.',0,3),
(48390,390068,1,100,'Increases Mitigation of caster vs physical damage by 961',0,4),
(48391,390068,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1250',0,5),
(48392,390068,4,100,'Increases AGI of caster by 83.5',0,0),
(48393,390068,4,100,'Increases Haste of caster by 38.3',0,1),
(48394,390068,4,100,'Increases in-combat movement speed of caster by 5.5%',0,2),
(48395,390068,4,100,'Adds 17.2% to base avoidance.',0,3),
(48396,390068,4,100,'Increases Mitigation of caster vs physical damage by 1175',0,4),
(48397,390068,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1527',0,5),
(48398,390068,5,100,'Increases AGI of caster by 91.1',0,0),
(48399,390068,5,100,'Increases Haste of caster by 41.8',0,1),
(48400,390068,5,100,'Increases in-combat movement speed of caster by 6.0%',0,2),
(48401,390068,5,100,'Adds 18.7% to base avoidance.',0,3),
(48402,390068,5,100,'Increases Mitigation of caster vs physical damage by 1282',0,4),
(48403,390068,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1666',0,5),
(48404,390068,7,100,'Increases AGI of caster by 116.9',0,0),
(48405,390068,7,100,'Increases Haste of caster by 53.6',0,1),
(48406,390068,7,100,'Increases in-combat movement speed of caster by 7.7%',0,2),
(48407,390068,7,100,'Adds 24.0% to base avoidance.',0,3),
(48408,390068,7,100,'Increases Mitigation of caster vs physical damage by 1645',0,4),
(48409,390068,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2138',0,5),
(48410,390068,9,100,'Increases AGI of caster by 121.4',0,0),
(48411,390068,9,100,'Increases Haste of caster by 55.7',0,1),
(48412,390068,9,100,'Increases in-combat movement speed of caster by 8.0%',0,2),
(48413,390068,9,100,'Adds 25.0% to base avoidance.',0,3),
(48414,390068,9,100,'Increases Mitigation of caster vs physical damage by 1709',0,4),
(48415,390068,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2221',0,5),
(48416,390069,1,100,'Increases AGI of caster by 78.2',0,0),
(48417,390069,1,100,'Increases Haste of caster by 33.5',0,1),
(48418,390069,1,100,'Increases in-combat movement speed of caster by 4.5%',0,2),
(48419,390069,1,100,'Adds 18.3% to base avoidance.',0,3),
(48420,390069,1,100,'Increases Mitigation of caster vs physical damage by 1390',0,4),
(48421,390069,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1807',0,5),
(48422,390069,4,100,'Increases AGI of caster by 95.6',0,0),
(48423,390069,4,100,'Increases Haste of caster by 41.0',0,1),
(48424,390069,4,100,'Increases in-combat movement speed of caster by 5.5%',0,2),
(48425,390069,4,100,'Adds 22.3% to base avoidance.',0,3),
(48426,390069,4,100,'Increases Mitigation of caster vs physical damage by 1699',0,4),
(48427,390069,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2208',0,5),
(48428,390069,5,100,'Increases AGI of caster by 104.3',0,0),
(48429,390069,5,100,'Increases Haste of caster by 44.7',0,1),
(48430,390069,5,100,'Increases in-combat movement speed of caster by 6.0%',0,2),
(48431,390069,5,100,'Adds 24.3% to base avoidance.',0,3),
(48432,390069,5,100,'Increases Mitigation of caster vs physical damage by 1853',0,4),
(48433,390069,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2409',0,5),
(48434,390069,7,100,'Increases AGI of caster by 133.8',0,0),
(48435,390069,7,100,'Increases Haste of caster by 57.4',0,1),
(48436,390069,7,100,'Increases in-combat movement speed of caster by 7.7%',0,2),
(48437,390069,7,100,'Adds 31.2% to base avoidance.',0,3),
(48438,390069,7,100,'Increases Mitigation of caster vs physical damage by 2378',0,4),
(48439,390069,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 3092',0,5),
(48440,390069,9,100,'Increases AGI of caster by 139.0',0,0),
(48441,390069,9,100,'Increases Attack Speed of caster by 59.6',0,1),
(48442,390069,9,100,'Increases in-combat movement speed of caster by 8.0%',0,2),
(48443,390069,9,100,'Adds 32.4% to base avoidance.',0,3),
(48444,390069,9,100,'Increases Mitigation of caster vs physical damage by 2471',0,4),
(48445,390069,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 3212',0,5),
(48446,330096,1,100,'Caster has a 28.1% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(48447,330096,2,100,'Caster has a 29.7% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(48448,330096,3,100,'Caster has a 31.3% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(48449,330096,4,100,'Caster has a 34.4% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(48450,330096,5,100,'Caster has a 37.5% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(48451,330096,7,100,'Caster has a 48.1% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(48452,330096,9,100,'Caster has a 50.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(48453,2000135,1,100,'Inflicts 9 - 11 cold damage on target',0,0),
(48454,2000135,1,100,'Inflicts 9 - 11 cold damage on target',0,1),
(48455,2000135,1,100,'If target is elemental',1,2),
(48456,2000135,2,100,'Inflicts 1618 - 1978 cold damage on target',0,0),
(48457,2000135,2,100,'Inflicts 1618 - 1978 cold damage on target',0,1),
(48458,2000135,2,100,'If target is elemental',1,2),
(48459,2000135,3,100,'Inflicts 1703 - 2082 cold damage on target',0,0),
(48460,2000135,3,100,'Inflicts 1703 - 2082 cold damage on target',0,1),
(48461,2000135,3,100,'If target is elemental',1,2),
(48462,2000135,4,100,'Inflicts 1874 - 2290 cold damage on target',0,0),
(48463,2000135,4,100,'Inflicts 1874 - 2290 cold damage on target',0,1),
(48464,2000135,4,100,'If target is elemental',1,2),
(48465,2000135,5,100,'Inflicts 2044 - 2498 cold damage on target',0,0),
(48466,2000135,5,100,'Inflicts 2044 - 2498 cold damage on target',0,1),
(48467,2000135,5,100,'If target is elemental',1,2),
(48468,70072,1,100,'Heals caster for 8 - 10',0,0),
(48469,70072,1,100,'This effect cannot be critically applied.',1,1),
(48470,70072,1,100,'The healing of this spell cannot be modified except by direct means',0,2),
(48471,70072,2,100,'Heals caster for 8 - 10',0,0),
(48472,70072,2,100,'This effect cannot be critically applied.',1,1),
(48473,70072,2,100,'The healing of this spell cannot be modified except by direct means',0,2),
(48474,70072,3,100,'Heals caster for 9 - 11',0,0),
(48475,70072,3,100,'This effect cannot be critically applied.',1,1),
(48476,70072,3,100,'The healing of this spell cannot be modified except by direct means',0,2),
(48477,70072,4,100,'Heals caster for 10 - 12',0,0),
(48478,70072,4,100,'This effect cannot be critically applied.',1,1),
(48479,70072,4,100,'The healing of this spell cannot be modified except by direct means',0,2),
(48480,70072,5,100,'Heals caster for 10 - 13',0,0),
(48481,70072,5,100,'This effect cannot be critically applied.',1,1),
(48482,70072,5,100,'The healing of this spell cannot be modified except by direct means',0,2),
(48483,70072,7,100,'Heals caster for 13 - 16',0,0),
(48484,70072,7,100,'This effect cannot be critically applied.',1,1),
(48485,70072,7,100,'The healing of this spell cannot be modified except by direct means',0,2),
(48486,70072,9,100,'Heals caster for 14 - 17',0,0),
(48487,70072,9,100,'This effect cannot be critically applied.',1,1),
(48488,70072,9,100,'The healing of this spell cannot be modified except by direct means',0,2),
(48489,70073,1,100,'Heals caster for 6 - 7',0,0),
(48490,70073,1,100,'This effect cannot be critically applied.',1,1),
(48491,70073,1,100,'The healing of this spell cannot be modified except by direct means',0,2),
(48492,70073,2,100,'Heals caster for 6 - 8',0,0),
(48493,70073,2,100,'This effect cannot be critically applied.',1,1),
(48494,70073,2,100,'The healing of this spell cannot be modified except by direct means',0,2),
(48495,70073,3,100,'Heals caster for 6 - 8',0,0),
(48496,70073,3,100,'This effect cannot be critically applied.',1,1),
(48497,70073,3,100,'The healing of this spell cannot be modified except by direct means',0,2),
(48498,70073,4,100,'Heals caster for 7 - 9',0,0),
(48499,70073,4,100,'This effect cannot be critically applied.',1,1),
(48500,70073,4,100,'The healing of this spell cannot be modified except by direct means',0,2),
(48501,70073,5,100,'Heals caster for 8 - 10',0,0),
(48502,70073,5,100,'This effect cannot be critically applied.',1,1),
(48503,70073,5,100,'The healing of this spell cannot be modified except by direct means',0,2),
(48504,70073,7,100,'Heals caster for 10 - 12',0,0),
(48505,70073,7,100,'This effect cannot be critically applied.',1,1),
(48506,70073,7,100,'The healing of this spell cannot be modified except by direct means',0,2),
(48507,70073,9,100,'Heals caster for 10 - 13',0,0),
(48508,70073,9,100,'This effect cannot be critically applied.',1,1),
(48509,70073,9,100,'The healing of this spell cannot be modified except by direct means',0,2),
(48510,70074,1,100,'Heals caster for 9.7 - 11.9% of max health',0,0),
(48511,70074,1,100,'This effect cannot be critically applied.',1,1),
(48512,70074,1,100,'The healing of this spell cannot be modified except by direct means',0,2),
(48513,70074,2,100,'Heals caster for 10.3 - 12.5% of max health',0,0),
(48514,70074,2,100,'This effect cannot be critically applied.',1,1),
(48515,70074,2,100,'The healing of this spell cannot be modified except by direct means',0,2),
(48516,70074,3,100,'Heals caster for 10.8 - 13.2% of max health',0,0),
(48517,70074,3,100,'This effect cannot be critically applied.',1,1),
(48518,70074,3,100,'The healing of this spell cannot be modified except by direct means',0,2),
(48519,70074,4,100,'Heals caster for 11.9 - 14.5% of max health',0,0),
(48520,70074,4,100,'This effect cannot be critically applied.',1,1),
(48521,70074,4,100,'The healing of this spell cannot be modified except by direct means',0,2),
(48522,70074,5,100,'Heals caster for 13.0 - 15.8% of max health',0,0),
(48523,70074,5,100,'This effect cannot be critically applied.',1,1),
(48524,70074,5,100,'The healing of this spell cannot be modified except by direct means',0,2),
(48525,70074,7,100,'Heals caster for 16.6 - 20.3% of max health',0,0),
(48526,70074,7,100,'This effect cannot be critically applied.',1,1),
(48527,70074,7,100,'The healing of this spell cannot be modified except by direct means',0,2),
(48528,70074,9,100,'Heals caster for 17.3 - 21.1% of max health',0,0),
(48529,70074,9,100,'This effect cannot be critically applied.',1,1),
(48530,70074,9,100,'The healing of this spell cannot be modified except by direct means',0,2),
(48531,70075,1,100,'Heals caster for 14.6 - 17.8% of max health',0,0),
(48532,70075,1,100,'This effect cannot be critically applied.',1,1),
(48533,70075,1,100,'The healing of this spell cannot be modified except by direct means',0,2),
(48534,70075,2,100,'Heals caster for 15.4 - 18.8% of max health',0,0),
(48535,70075,2,100,'This effect cannot be critically applied.',1,1),
(48536,70075,2,100,'The healing of this spell cannot be modified except by direct means',0,2),
(48537,70075,3,100,'Heals caster for 16.2 - 19.8% of max health',0,0),
(48538,70075,3,100,'This effect cannot be critically applied.',1,1),
(48539,70075,3,100,'The healing of this spell cannot be modified except by direct means',0,2),
(48540,70075,4,100,'Heals caster for 17.8 - 21.8% of max health',0,0),
(48541,70075,4,100,'This effect cannot be critically applied.',1,1),
(48542,70075,4,100,'The healing of this spell cannot be modified except by direct means',0,2),
(48543,70075,5,100,'Heals caster for 19.4 - 23.8% of max health',0,0),
(48544,70075,5,100,'This effect cannot be critically applied.',1,1),
(48545,70075,5,100,'The healing of this spell cannot be modified except by direct means',0,2),
(48546,70075,7,100,'Heals caster for 24.9 - 30.5% of max health',0,0),
(48547,70075,7,100,'This effect cannot be critically applied.',1,1),
(48548,70075,7,100,'The healing of this spell cannot be modified except by direct means',0,2),
(48549,70075,9,100,'Heals caster for 25.9 - 31.7% of max health',0,0),
(48550,70075,9,100,'This effect cannot be critically applied.',1,1),
(48551,70075,9,100,'The healing of this spell cannot be modified except by direct means',0,2),
(48552,70076,1,100,'Heals caster for 19.4 - 23.8% of max health',0,0),
(48553,70076,1,100,'This effect cannot be critically applied.',1,1),
(48554,70076,1,100,'The healing of this spell cannot be modified except by direct means',0,2),
(48555,70076,2,100,'Heals caster for 20.5 - 25.1% of max health',0,0),
(48556,70076,2,100,'This effect cannot be critically applied.',1,1),
(48557,70076,2,100,'The healing of this spell cannot be modified except by direct means',0,2),
(48558,70076,3,100,'Heals caster for 21.6 - 26.4% of max health',0,0),
(48559,70076,3,100,'This effect cannot be critically applied.',1,1),
(48560,70076,3,100,'The healing of this spell cannot be modified except by direct means',0,2),
(48561,70076,4,100,'Heals caster for 23.8 - 29.0% of max health',0,0),
(48562,70076,4,100,'This effect cannot be critically applied.',1,1),
(48563,70076,4,100,'The healing of this spell cannot be modified except by direct means',0,2),
(48564,70076,5,100,'Heals caster for 25.9 - 31.7% of max health',0,0),
(48565,70076,5,100,'This effect cannot be critically applied.',1,1),
(48566,70076,5,100,'The healing of this spell cannot be modified except by direct means',0,2),
(48567,70076,7,100,'Heals caster for 33.3 - 40.7% of max health',0,0),
(48568,70076,7,100,'This effect cannot be critically applied.',1,1),
(48569,70076,7,100,'The healing of this spell cannot be modified except by direct means',0,2),
(48570,70076,9,100,'Heals caster for 34.6 - 42.2% of max health',0,0),
(48571,70076,9,100,'This effect cannot be critically applied.',1,1),
(48572,70076,9,100,'The healing of this spell cannot be modified except by direct means',0,2),
(48573,390070,1,100,'Inflicts 33 - 55 melee damage on target',0,0),
(48574,390070,1,100,'Roots target',0,1),
(48575,390070,1,100,'If Target is not Epic',1,2),
(48576,390070,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(48577,390070,2,100,'Inflicts 34 - 58 melee damage on target',0,0),
(48578,390070,2,100,'Roots target',0,1),
(48579,390070,2,100,'If Target is not Epic',1,2),
(48580,390070,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(48581,390070,3,100,'Inflicts 36 - 61 melee damage on target',0,0),
(48582,390070,3,100,'Roots target',0,1),
(48583,390070,3,100,'If Target is not Epic',1,2),
(48584,390070,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(48585,390070,4,100,'Inflicts 40 - 67 melee damage on target',0,0),
(48586,390070,4,100,'Roots target',0,1),
(48587,390070,4,100,'If Target is not Epic',1,2),
(48588,390070,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(48589,390070,5,100,'Inflicts 44 - 73 melee damage on target',0,0),
(48590,390070,5,100,'Roots target',0,1),
(48591,390070,5,100,'If Target is not Epic',1,2),
(48592,390070,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(48593,390070,7,100,'Inflicts 56 - 94 melee damage on target',0,0),
(48594,390070,7,100,'Roots target',0,1),
(48595,390070,7,100,'If Target is not Epic',1,2),
(48596,390070,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(48597,390070,9,100,'Inflicts 58 - 98 melee damage on target',0,0),
(48598,390070,9,100,'Roots target',0,1),
(48599,390070,9,100,'If Target is not Epic',1,2),
(48600,390070,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(48601,390070,10,100,'Inflicts 61 - 103 melee damage on target',0,0),
(48602,390070,10,100,'Roots target',0,1),
(48603,390070,10,100,'If Target is not Epic',1,2),
(48604,390070,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(48605,390071,1,100,'Inflicts 71 - 118 melee damage on target',0,0),
(48606,390071,1,100,'Roots target',0,1),
(48607,390071,1,100,'If Target is not Epic',1,2),
(48608,390071,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(48609,390071,2,100,'Inflicts 75 - 125 melee damage on target',0,0),
(48610,390071,2,100,'Roots target',0,1),
(48611,390071,2,100,'If Target is not Epic',1,2),
(48612,390071,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(48613,390071,3,100,'Inflicts 79 - 131 melee damage on target',0,0),
(48614,390071,3,100,'Roots target',0,1),
(48615,390071,3,100,'If Target is not Epic',1,2),
(48616,390071,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(48617,390071,4,100,'Inflicts 87 - 145 melee damage on target',0,0),
(48618,390071,4,100,'Roots target',0,1),
(48619,390071,4,100,'If Target is not Epic',1,2),
(48620,390071,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(48621,390071,5,100,'Inflicts 94 - 158 melee damage on target',0,0),
(48622,390071,5,100,'Roots target',0,1),
(48623,390071,5,100,'If Target is not Epic',1,2),
(48624,390071,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(48625,390071,7,100,'Inflicts 121 - 203 melee damage on target',0,0),
(48626,390071,7,100,'Roots target',0,1),
(48627,390071,7,100,'If Target is not Epic',1,2),
(48628,390071,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(48629,390071,9,100,'Inflicts 126 - 211 melee damage on target',0,0),
(48630,390071,9,100,'Roots target',0,1),
(48631,390071,9,100,'If Target is not Epic',1,2),
(48632,390071,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(48633,390072,1,100,'Inflicts 113 - 189 melee damage on target',0,0),
(48634,390072,1,100,'Roots target',0,1),
(48635,390072,1,100,'If Target is not Epic',1,2),
(48636,390072,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(48637,390072,2,100,'Inflicts 119 - 199 melee damage on target',0,0),
(48638,390072,2,100,'Roots target',0,1),
(48639,390072,2,100,'If Target is not Epic',1,2),
(48640,390072,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(48641,390072,3,100,'Inflicts 126 - 210 melee damage on target',0,0),
(48642,390072,3,100,'Roots target',0,1),
(48643,390072,3,100,'If Target is not Epic',1,2),
(48644,390072,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(48645,390072,4,100,'Inflicts 138 - 231 melee damage on target',0,0),
(48646,390072,4,100,'Roots target',0,1),
(48647,390072,4,100,'If Target is not Epic',1,2),
(48648,390072,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(48649,390072,5,100,'Inflicts 151 - 252 melee damage on target',0,0),
(48650,390072,5,100,'Roots target',0,1),
(48651,390072,5,100,'If Target is not Epic',1,2),
(48652,390072,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(48653,390072,7,100,'Inflicts 194 - 323 melee damage on target',0,0),
(48654,390072,7,100,'Roots target',0,1),
(48655,390072,7,100,'If Target is not Epic',1,2),
(48656,390072,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(48657,390072,9,100,'Inflicts 201 - 336 melee damage on target',0,0),
(48658,390072,9,100,'Roots target',0,1),
(48659,390072,9,100,'If Target is not Epic',1,2),
(48660,390072,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(48661,390073,1,100,'Inflicts 165 - 275 melee damage on target',0,0),
(48662,390073,1,100,'Roots target',0,1),
(48663,390073,1,100,'If Target is not Epic',1,2),
(48664,390073,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(48665,390073,2,100,'Inflicts 174 - 291 melee damage on target',0,0),
(48666,390073,2,100,'Roots target',0,1),
(48667,390073,2,100,'If Target is not Epic',1,2),
(48668,390073,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(48669,390073,3,100,'Inflicts 183 - 306 melee damage on target',0,0),
(48670,390073,3,100,'Roots target',0,1),
(48671,390073,3,100,'If Target is not Epic',1,2),
(48672,390073,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(48673,390073,4,100,'Inflicts 202 - 337 melee damage on target',0,0),
(48674,390073,4,100,'Roots target',0,1),
(48675,390073,4,100,'If Target is not Epic',1,2),
(48676,390073,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(48677,390073,5,100,'Inflicts 220 - 367 melee damage on target',0,0),
(48678,390073,5,100,'Roots target',0,1),
(48679,390073,5,100,'If Target is not Epic',1,2),
(48680,390073,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(48681,390073,7,100,'Inflicts 283 - 472 melee damage on target',0,0),
(48682,390073,7,100,'Roots target',0,1),
(48683,390073,7,100,'If Target is not Epic',1,2),
(48684,390073,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(48685,390073,9,100,'Inflicts 294 - 490 melee damage on target',0,0),
(48686,390073,9,100,'Roots target',0,1),
(48687,390073,9,100,'If Target is not Epic',1,2),
(48688,390073,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(48689,390074,1,100,'Inflicts 217 - 362 melee damage on target',0,0),
(48690,390074,1,100,'Roots target',0,1),
(48691,390074,1,100,'If Target is not Epic',1,2),
(48692,390074,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(48693,390074,2,100,'Inflicts 229 - 382 melee damage on target',0,0),
(48694,390074,2,100,'Roots target',0,1),
(48695,390074,2,100,'If Target is not Epic',1,2),
(48696,390074,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(48697,390074,3,100,'Inflicts 241 - 402 melee damage on target',0,0),
(48698,390074,3,100,'Roots target',0,1),
(48699,390074,3,100,'If Target is not Epic',1,2),
(48700,390074,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(48701,390074,4,100,'Inflicts 265 - 442 melee damage on target',0,0),
(48702,390074,4,100,'Roots target',0,1),
(48703,390074,4,100,'If Target is not Epic',1,2),
(48704,390074,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(48705,390074,5,100,'Inflicts 289 - 483 melee damage on target',0,0),
(48706,390074,5,100,'Roots target',0,1),
(48707,390074,5,100,'If Target is not Epic',1,2),
(48708,390074,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(48709,390074,7,100,'Inflicts 372 - 620 melee damage on target',0,0),
(48710,390074,7,100,'Roots target',0,1),
(48711,390074,7,100,'If Target is not Epic',1,2),
(48712,390074,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(48713,390074,9,100,'Inflicts 386 - 644 melee damage on target',0,0),
(48714,390074,9,100,'Roots target',0,1),
(48715,390074,9,100,'If Target is not Epic',1,2),
(48716,390074,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(48717,390075,1,100,'Inflicts 263 - 439 melee damage on target',0,0),
(48718,390075,1,100,'Roots target',0,1),
(48719,390075,1,100,'If Target is not Epic',1,2),
(48720,390075,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(48721,390075,2,100,'Inflicts 278 - 463 melee damage on target',0,0),
(48722,390075,2,100,'Roots target',0,1),
(48723,390075,2,100,'If Target is not Epic',1,2),
(48724,390075,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(48725,390075,3,100,'Inflicts 292 - 487 melee damage on target',0,0),
(48726,390075,3,100,'Roots target',0,1),
(48727,390075,3,100,'If Target is not Epic',1,2),
(48728,390075,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(48729,390075,4,100,'Inflicts 322 - 536 melee damage on target',0,0),
(48730,390075,4,100,'Roots target',0,1),
(48731,390075,4,100,'If Target is not Epic',1,2),
(48732,390075,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(48733,390075,5,100,'Inflicts 351 - 585 melee damage on target',0,0),
(48734,390075,5,100,'Roots target',0,1),
(48735,390075,5,100,'If Target is not Epic',1,2),
(48736,390075,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(48737,390075,7,100,'Inflicts 450 - 751 melee damage on target',0,0),
(48738,390075,7,100,'Roots target',0,1),
(48739,390075,7,100,'If Target is not Epic',1,2),
(48740,390075,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(48741,390075,9,100,'Inflicts 468 - 780 melee damage on target',0,0),
(48742,390075,9,100,'Roots target',0,1),
(48743,390075,9,100,'If Target is not Epic',1,2),
(48744,390075,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(48745,390076,1,100,'Inflicts 317 - 528 melee damage on target',0,0),
(48746,390076,1,100,'Roots target',0,1),
(48747,390076,1,100,'If Target is not Epic',1,2),
(48748,390076,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(48749,390076,4,100,'Inflicts 387 - 646 melee damage on target',0,0),
(48750,390076,4,100,'Roots target',0,1),
(48751,390076,4,100,'If Target is not Epic',1,2),
(48752,390076,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(48753,390076,5,100,'Inflicts 422 - 704 melee damage on target',0,0),
(48754,390076,5,100,'Roots target',0,1),
(48755,390076,5,100,'If Target is not Epic',1,2),
(48756,390076,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(48757,390076,7,100,'Inflicts 542 - 904 melee damage on target',0,0),
(48758,390076,7,100,'Roots target',0,1),
(48759,390076,7,100,'If Target is not Epic',1,2),
(48760,390076,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(48761,390076,9,100,'Inflicts 563 - 939 melee damage on target',0,0),
(48762,390076,9,100,'Roots target',0,1),
(48763,390076,9,100,'If Target is not Epic',1,2),
(48764,390076,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(48765,390077,1,100,'Inflicts 340 - 567 melee damage on target',0,0),
(48766,390077,1,100,'Roots target',0,1),
(48767,390077,1,100,'If Target is not Epic',1,2),
(48768,390077,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(48769,390077,4,100,'Inflicts 415 - 693 melee damage on target',0,0),
(48770,390077,4,100,'Roots target',0,1),
(48771,390077,4,100,'If Target is not Epic',1,2),
(48772,390077,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(48773,390077,5,100,'Inflicts 453 - 756 melee damage on target',0,0),
(48774,390077,5,100,'Roots target',0,1),
(48775,390077,5,100,'If Target is not Epic',1,2),
(48776,390077,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(48777,390077,7,100,'Inflicts 582 - 970 melee damage on target',0,0),
(48778,390077,7,100,'Roots target',0,1),
(48779,390077,7,100,'If Target is not Epic',1,2),
(48780,390077,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(48781,390077,9,100,'Inflicts 605 - 1008 melee damage on target',0,0),
(48782,390077,9,100,'Roots target',0,1),
(48783,390077,9,100,'If Target is not Epic',1,2),
(48784,390077,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(48785,380005,1,100,'Inflicts 19 - 33 piercing damage on target',0,0),
(48786,380005,1,100,'Inflicts 5 - 9 piercing damage on target instantly and every 4 seconds',0,1),
(48787,380005,1,100,'If facing target',0,2),
(48788,400092,1,100,'Inflicts 19 - 33 piercing damage on target',0,0),
(48789,400092,1,100,'Inflicts 5 - 9 piercing damage on target instantly and every 4 seconds',0,1),
(48790,380005,2,100,'Inflicts 21 - 35 piercing damage on target',0,0),
(48791,380005,2,100,'Inflicts 6 - 10 piercing damage on target instantly and every 4 seconds',0,1),
(48792,380005,2,100,'If facing target',0,2),
(48793,400092,2,100,'Inflicts 21 - 35 piercing damage on target',0,0),
(48794,400092,2,100,'Inflicts 6 - 10 piercing damage on target instantly and every 4 seconds',0,1),
(48795,400092,3,100,'Inflicts 22 - 36 piercing damage on target',0,0),
(48796,400092,3,100,'Inflicts 6 - 10 piercing damage on target instantly and every 4 seconds',0,1),
(48797,380005,3,100,'Inflicts 22 - 36 piercing damage on target',0,0),
(48798,380005,3,100,'Inflicts 6 - 10 piercing damage on target instantly and every 4 seconds',0,1),
(48799,380005,3,100,'If facing target',0,2),
(48800,400092,4,100,'Inflicts 24 - 40 piercing damage on target',0,0),
(48801,400092,4,100,'Inflicts 7 - 11 piercing damage on target instantly and every 4 seconds',0,1),
(48802,380005,4,100,'Inflicts 24 - 40 piercing damage on target',0,0),
(48803,380005,4,100,'Inflicts 7 - 11 piercing damage on target instantly and every 4 seconds',0,1),
(48804,380005,4,100,'If facing target',0,2),
(48805,400092,5,100,'Inflicts 26 - 44 piercing damage on target',0,0),
(48806,400092,5,100,'Inflicts 7 - 12 piercing damage on target instantly and every 4 seconds',0,1),
(48807,380005,5,100,'Inflicts 26 - 44 piercing damage on target',0,0),
(48808,380005,5,100,'Inflicts 7 - 12 piercing damage on target instantly and every 4 seconds',0,1),
(48809,380005,5,100,'If facing target',0,2),
(48810,400092,7,100,'Inflicts 34 - 56 piercing damage on target',0,0),
(48811,400092,7,100,'Inflicts 9 - 15 piercing damage on target instantly and every 4 seconds',0,1),
(48812,380005,7,100,'Inflicts 34 - 56 piercing damage on target',0,0),
(48813,380005,7,100,'Inflicts 9 - 15 piercing damage on target instantly and every 4 seconds',0,1),
(48814,380005,7,100,'If facing target',0,2),
(48815,400092,9,100,'Inflicts 35 - 58 piercing damage on target',0,0),
(48816,400092,9,100,'Inflicts 10 - 16 piercing damage on target instantly and every 4 seconds',0,1),
(48817,380005,9,100,'Inflicts 35 - 58 piercing damage on target',0,0),
(48818,380005,9,100,'Inflicts 10 - 16 piercing damage on target instantly and every 4 seconds',0,1),
(48819,380005,9,100,'If facing target',0,2),
(48820,400092,10,100,'Inflicts 37 - 61 piercing damage on target',0,0),
(48821,400092,10,100,'Inflicts 10 - 17 piercing damage on target instantly and every 4 seconds',0,1),
(48822,400093,1,100,'Inflicts 42 - 71 piercing damage on target',0,0),
(48823,400093,1,100,'Inflicts 12 - 19 piercing damage on target instantly and every 4 seconds',0,1),
(48824,400093,2,100,'Inflicts 45 - 75 piercing damage on target',0,0),
(48825,400093,2,100,'Inflicts 12 - 21 piercing damage on target instantly and every 4 seconds',0,1),
(48826,400093,3,100,'Inflicts 47 - 79 piercing damage on target',0,0),
(48827,400093,3,100,'Inflicts 13 - 22 piercing damage on target instantly and every 4 seconds',0,1),
(48828,400093,4,100,'Inflicts 52 - 87 piercing damage on target',0,0),
(48829,400093,4,100,'Inflicts 14 - 24 piercing damage on target instantly and every 4 seconds',0,1),
(48830,400093,5,100,'Inflicts 57 - 95 piercing damage on target',0,0),
(48831,400093,5,100,'Inflicts 16 - 26 piercing damage on target instantly and every 4 seconds',0,1),
(48832,400093,7,100,'Inflicts 73 - 122 piercing damage on target',0,0),
(48833,400093,7,100,'Inflicts 20 - 33 piercing damage on target instantly and every 4 seconds',0,1),
(48834,400093,9,100,'Inflicts 76 - 126 piercing damage on target',0,0),
(48835,400093,9,100,'Inflicts 21 - 35 piercing damage on target instantly and every 4 seconds',0,1),
(48836,400094,1,100,'Inflicts 68 - 113 piercing damage on target',0,0),
(48837,400094,1,100,'Inflicts 19 - 31 piercing damage on target instantly and every 4 seconds',0,1),
(48838,400094,2,100,'Inflicts 72 - 120 piercing damage on target',0,0),
(48839,400094,2,100,'Inflicts 20 - 33 piercing damage on target instantly and every 4 seconds',0,1),
(48840,400094,3,100,'Inflicts 75 - 126 piercing damage on target',0,0),
(48841,400094,3,100,'Inflicts 21 - 34 piercing damage on target instantly and every 4 seconds',0,1),
(48842,400094,4,100,'Inflicts 83 - 139 piercing damage on target',0,0),
(48843,400094,4,100,'Inflicts 23 - 38 piercing damage on target instantly and every 4 seconds',0,1),
(48844,400094,5,100,'Inflicts 90 - 151 piercing damage on target',0,0),
(48845,400094,5,100,'Inflicts 25 - 41 piercing damage on target instantly and every 4 seconds',0,1),
(48846,400094,7,100,'Inflicts 116 - 194 piercing damage on target',0,0),
(48847,400094,7,100,'Inflicts 32 - 53 piercing damage on target instantly and every 4 seconds',0,1),
(48848,400094,9,100,'Inflicts 121 - 202 piercing damage on target',0,0),
(48849,400094,9,100,'Inflicts 33 - 55 piercing damage on target instantly and every 4 seconds',0,1),
(48850,400094,10,100,'Inflicts 127 - 212 piercing damage on target',0,0),
(48851,400094,10,100,'Inflicts 35 - 58 piercing damage on target instantly and every 4 seconds',0,1),
(48852,400095,1,100,'Inflicts 99 - 165 piercing damage on target',0,0),
(48853,400095,1,100,'Inflicts 27 - 45 piercing damage on target instantly and every 4 seconds',0,1),
(48854,400095,2,100,'Inflicts 105 - 175 piercing damage on target',0,0),
(48855,400095,2,100,'Inflicts 29 - 48 piercing damage on target instantly and every 4 seconds',0,1),
(48856,400095,3,100,'Inflicts 110 - 184 piercing damage on target',0,0),
(48857,400095,3,100,'Inflicts 30 - 50 piercing damage on target instantly and every 4 seconds',0,1),
(48858,400095,4,100,'Inflicts 121 - 202 piercing damage on target',0,0),
(48859,400095,4,100,'Inflicts 33 - 55 piercing damage on target instantly and every 4 seconds',0,1),
(48860,400095,5,100,'Inflicts 132 - 221 piercing damage on target',0,0),
(48861,400095,5,100,'Inflicts 36 - 60 piercing damage on target instantly and every 4 seconds',0,1),
(48862,400095,7,100,'Inflicts 170 - 283 piercing damage on target',0,0),
(48863,400095,7,100,'Inflicts 46 - 77 piercing damage on target instantly and every 4 seconds',0,1),
(48864,400095,9,100,'Inflicts 176 - 294 piercing damage on target',0,0),
(48865,400095,9,100,'Inflicts 48 - 80 piercing damage on target instantly and every 4 seconds',0,1),
(48866,400096,1,100,'Inflicts 130 - 217 piercing damage on target',0,0),
(48867,400096,1,100,'Inflicts 36 - 59 piercing damage on target instantly and every 4 seconds',0,1),
(48868,400096,2,100,'Inflicts 137 - 229 piercing damage on target',0,0),
(48869,400096,2,100,'Inflicts 38 - 63 piercing damage on target instantly and every 4 seconds',0,1),
(48870,400096,3,100,'Inflicts 145 - 242 piercing damage on target',0,0),
(48871,400096,3,100,'Inflicts 40 - 66 piercing damage on target instantly and every 4 seconds',0,1),
(48872,400096,4,100,'Inflicts 159 - 266 piercing damage on target',0,0),
(48873,400096,4,100,'Inflicts 44 - 73 piercing damage on target instantly and every 4 seconds',0,1),
(48874,400096,5,100,'Inflicts 174 - 290 piercing damage on target',0,0),
(48875,400096,5,100,'Inflicts 48 - 79 piercing damage on target instantly and every 4 seconds',0,1),
(48876,400096,7,100,'Inflicts 223 - 372 piercing damage on target',0,0),
(48877,400096,7,100,'Inflicts 61 - 102 piercing damage on target instantly and every 4 seconds',0,1),
(48878,400096,9,100,'Inflicts 232 - 387 piercing damage on target',0,0),
(48879,400096,9,100,'Inflicts 63 - 106 piercing damage on target instantly and every 4 seconds',0,1),
(48880,400097,1,100,'Inflicts 158 - 263 piercing damage on target',0,0),
(48881,400097,1,100,'Inflicts 43 - 72 piercing damage on target instantly and every 4 seconds',0,1),
(48882,400097,2,100,'Inflicts 167 - 278 piercing damage on target',0,0),
(48883,400097,2,100,'Inflicts 46 - 76 piercing damage on target instantly and every 4 seconds',0,1),
(48884,400097,3,100,'Inflicts 175 - 293 piercing damage on target',0,0),
(48885,400097,3,100,'Inflicts 48 - 80 piercing damage on target instantly and every 4 seconds',0,1),
(48886,400097,4,100,'Inflicts 193 - 322 piercing damage on target',0,0),
(48887,400097,4,100,'Inflicts 53 - 88 piercing damage on target instantly and every 4 seconds',0,1),
(48888,400097,5,100,'Inflicts 211 - 351 piercing damage on target',0,0),
(48889,400097,5,100,'Inflicts 58 - 96 piercing damage on target instantly and every 4 seconds',0,1),
(48890,400097,7,100,'Inflicts 271 - 451 piercing damage on target',0,0),
(48891,400097,7,100,'Inflicts 74 - 123 piercing damage on target instantly and every 4 seconds',0,1),
(48892,400097,9,100,'Inflicts 281 - 469 piercing damage on target',0,0),
(48893,400097,9,100,'Inflicts 77 - 128 piercing damage on target instantly and every 4 seconds',0,1),
(48894,400098,1,100,'Inflicts 190 - 317 piercing damage on target',0,0),
(48895,400098,1,100,'Inflicts 52 - 87 piercing damage on target instantly and every 4 seconds',0,1),
(48896,400098,4,100,'Inflicts 233 - 388 piercing damage on target',0,0),
(48897,400098,4,100,'Inflicts 64 - 106 piercing damage on target instantly and every 4 seconds',0,1),
(48898,400098,5,100,'Inflicts 254 - 423 piercing damage on target',0,0),
(48899,400098,5,100,'Inflicts 69 - 116 piercing damage on target instantly and every 4 seconds',0,1),
(48900,400098,7,100,'Inflicts 326 - 543 piercing damage on target',0,0),
(48901,400098,7,100,'Inflicts 89 - 148 piercing damage on target instantly and every 4 seconds',0,1),
(48902,400098,9,100,'Inflicts 338 - 564 piercing damage on target',0,0),
(48903,400098,9,100,'Inflicts 92 - 154 piercing damage on target instantly and every 4 seconds',0,1),
(48904,400099,1,100,'Inflicts 204 - 340 piercing damage on target',0,0),
(48905,400099,1,100,'Inflicts 56 - 93 piercing damage on target instantly and every 4 seconds',0,1),
(48906,400099,4,100,'Inflicts 250 - 416 piercing damage on target',0,0),
(48907,400099,4,100,'Inflicts 68 - 114 piercing damage on target instantly and every 4 seconds',0,1),
(48908,400099,5,100,'Inflicts 272 - 454 piercing damage on target',0,0),
(48909,400099,5,100,'Inflicts 74 - 124 piercing damage on target instantly and every 4 seconds',0,1),
(48910,400099,7,100,'Inflicts 350 - 583 piercing damage on target',0,0),
(48911,400099,7,100,'Inflicts 95 - 159 piercing damage on target instantly and every 4 seconds',0,1),
(48912,400099,9,100,'Inflicts 363 - 606 piercing damage on target',0,0),
(48913,400099,9,100,'Inflicts 99 - 165 piercing damage on target instantly and every 4 seconds',0,1),
(48914,2000136,1,100,'Caster will Parry 100.0% of incoming attacks',0,0),
(48915,2000136,1,100,'Prevents AOE (except when direct) ',0,1),
(48916,2000137,3,100,'Increases Parry, Defense and Deflection of group members (AE) by 1.0',0,0),
(48917,2000137,4,100,'Increases Parry, Defense and Deflection of group members (AE) by 1.1',0,0),
(48918,2000137,5,100,'Increases Parry, Defense and Deflection of group members (AE) by 1.2',0,0),
(48919,2000137,7,100,'Increases Parry, Defense and Deflection of group members (AE) by 1.5',0,0),
(48920,2000137,9,100,'Increases Parry, Defense and Deflection of group members (AE) by 1.6',0,0),
(48921,2000137,10,100,'Increases Parry, Defense and Deflection of group members (AE) by 1.7',0,0),
(48922,2000138,1,100,'Caster will Parry 100.0% of incoming attacks',0,0),
(48923,2000138,1,100,'Increases the value of taunts by 100%',0,1),
(48924,2000138,1,100,'Makes caster immune to strikethrough attacks.',0,2),
(48925,2000138,1,100,'Caster will Parry 100.0% of incoming attacks',0,3),
(48926,2000139,1,100,'Increases Hate Gain of caster by 1.0%',0,0),
(48927,2000139,1,100,'Decreases Hate Gain of group members (AE) by 5.0%',0,1),
(48928,2000139,1,100,'If not fighter',1,2),
(48929,2000139,2,100,'Increases Hate Gain of caster by 2.0%',0,0),
(48930,2000139,2,100,'Decreases Hate Gain of group members (AE) by 10.0%',0,1),
(48931,2000139,2,100,'If not fighter',1,2),
(48932,2000139,3,100,'Increases Hate Gain of caster by 3.0%',0,0),
(48933,2000139,3,100,'Decreases Hate Gain of group members (AE) by 15.0%',0,1),
(48934,2000139,3,100,'If not fighter',1,2),
(48935,2000139,4,100,'Increases Hate Gain of caster by 4.0%',0,0),
(48936,2000139,4,100,'Decreases Hate Gain of group members (AE) by 20.0%',0,1),
(48937,2000139,4,100,'If not fighter',1,2),
(48938,2000139,5,100,'Increases Hate Gain of caster by 5.0%',0,0),
(48939,2000139,5,100,'Decreases Hate Gain of group members (AE) by 25.0%',0,1),
(48940,2000139,5,100,'If not fighter',1,2),
(48941,400100,1,100,'Inflicts 98 - 164 piercing damage on target',0,0),
(48942,400100,2,100,'Inflicts 104 - 173 piercing damage on target',0,0),
(48943,400100,3,100,'Inflicts 109 - 182 piercing damage on target',0,0),
(48944,400100,4,100,'Inflicts 120 - 200 piercing damage on target',0,0),
(48945,400100,5,100,'Inflicts 131 - 218 piercing damage on target',0,0),
(48946,400100,7,100,'Inflicts 168 - 280 piercing damage on target',0,0),
(48947,400100,9,100,'Inflicts 175 - 291 piercing damage on target',0,0),
(48948,400101,1,100,'Inflicts 153 - 255 piercing damage on target',0,0),
(48949,400101,2,100,'Inflicts 161 - 269 piercing damage on target',0,0),
(48950,400101,3,100,'Inflicts 170 - 283 piercing damage on target',0,0),
(48951,400101,4,100,'Inflicts 187 - 312 piercing damage on target',0,0),
(48952,400101,5,100,'Inflicts 204 - 340 piercing damage on target',0,0),
(48953,400101,7,100,'Inflicts 262 - 437 piercing damage on target',0,0),
(48954,400101,9,100,'Inflicts 272 - 454 piercing damage on target',0,0),
(48955,400101,10,100,'Inflicts 286 - 476 piercing damage on target',0,0),
(48956,400102,1,100,'Inflicts 217 - 361 piercing damage on target',0,0),
(48957,400102,2,100,'Inflicts 229 - 382 piercing damage on target',0,0),
(48958,400102,3,100,'Inflicts 241 - 402 piercing damage on target',0,0),
(48959,400102,4,100,'Inflicts 265 - 442 piercing damage on target',0,0),
(48960,400102,5,100,'Inflicts 289 - 482 piercing damage on target',0,0),
(48961,400102,7,100,'Inflicts 371 - 619 piercing damage on target',0,0),
(48962,400102,9,100,'Inflicts 386 - 643 piercing damage on target',0,0),
(48963,400103,1,100,'Inflicts 283 - 472 piercing damage on target',0,0),
(48964,400103,2,100,'Inflicts 299 - 498 piercing damage on target',0,0),
(48965,400103,3,100,'Inflicts 314 - 524 piercing damage on target',0,0),
(48966,400103,4,100,'Inflicts 346 - 577 piercing damage on target',0,0),
(48967,400103,5,100,'Inflicts 377 - 629 piercing damage on target',0,0),
(48968,400103,7,100,'Inflicts 485 - 808 piercing damage on target',0,0),
(48969,400103,9,100,'Inflicts 503 - 839 piercing damage on target',0,0),
(48970,400104,1,100,'Inflicts 343 - 571 piercing damage on target',0,0),
(48971,400104,4,100,'Inflicts 419 - 698 piercing damage on target',0,0),
(48972,400104,5,100,'Inflicts 457 - 762 piercing damage on target',0,0),
(48973,400104,7,100,'Inflicts 587 - 978 piercing damage on target',0,0),
(48974,400104,9,100,'Inflicts 610 - 1016 piercing damage on target',0,0),
(48975,400105,1,100,'Inflicts 401 - 669 piercing damage on target',0,0),
(48976,400105,4,100,'Inflicts 490 - 817 piercing damage on target',0,0),
(48977,400105,5,100,'Inflicts 535 - 892 piercing damage on target',0,0),
(48978,400105,7,100,'Inflicts 687 - 1145 piercing damage on target',0,0),
(48979,400105,9,100,'Inflicts 713 - 1189 piercing damage on target',0,0),
(48980,2000140,1,100,'Inflicts 3 - 5 ranged damage on target',0,0),
(48981,2000140,1,100,'Slows target by 27.0%',0,1),
(48982,2000140,1,100,'Requires bow or aim',0,2),
(48983,2000140,2,100,'Inflicts 394 - 658 ranged damage on target',0,0),
(48984,2000140,2,100,'Slows target by 28.5%',0,1),
(48985,2000140,2,100,'Requires bow',0,2),
(48986,2000140,3,100,'Inflicts 554 - 923 ranged damage on target',0,0),
(48987,2000140,3,100,'Slows target by 30.0%',0,1),
(48988,2000140,3,100,'Requires bow or aim',0,2),
(48989,2000140,4,100,'Inflicts 609 - 1015 ranged damage on target',0,0),
(48990,2000140,4,100,'Slows target by 33.0%',0,1),
(48991,2000140,4,100,'Requires bow or aim',0,2),
(48992,2000140,5,100,'Inflicts 664 - 1108 ranged damage on target',0,0),
(48993,2000140,5,100,'Slows target by 36.0%',0,1),
(48994,2000140,5,100,'Requires bow or aim',0,2),
(48995,2000140,6,100,'Inflicts 720 - 1200 ranged damage on target',0,0),
(48996,2000140,6,100,'Slows target by 39.0%',0,1),
(48997,2000140,6,100,'Requires bow or aim',0,2),
(48998,2000140,7,100,'Inflicts 853 - 1422 ranged damage on target',0,0),
(48999,2000140,7,100,'Slows target by 46.2%',0,1),
(49000,2000140,7,100,'Requires bow or aim',0,2),
(49001,2000140,8,100,'Inflicts 644 - 1073 ranged damage on target',0,0),
(49002,2000140,8,100,'Slows target by 46.5%',0,1),
(49003,2000140,8,100,'Requires bow',0,2),
(49004,2000140,9,100,'Inflicts 886 - 1477 ranged damage on target',0,0),
(49005,2000140,9,100,'Slows target by 48.0%',0,1),
(49006,2000140,9,100,'Requires bow or aim',0,2),
(49007,2000140,10,100,'Inflicts 698 - 1163 ranged damage on target',0,0),
(49008,2000140,10,100,'Slows target by 50.4%',0,1),
(49009,2000140,10,100,'Requires bow',0,2),
(49010,2000141,1,100,'Decreases Hate Gain of caster by 42.0%',0,0),
(49011,2000141,1,100,'The assassin can use stealth strikes when not in stealth.',0,1),
(49012,2000141,1,100,'When a combat art is used this spell will cast Direct Assault on target of combat art.  ',0,2),
(49013,2000141,1,100,'Inflicts 416 - 693 piercing damage on target',1,3),
(49014,70077,1,100,'Dispels 15 levels of physical and arcane hostile effects on caster',0,0),
(49015,50014,1,100,'Dispels 15 levels arcane hostile effects on caster',0,0),
(49016,70077,2,100,'Dispels 15 levels of physical and arcane hostile effects on caster',0,0),
(49017,50014,2,100,'Dispels 16 levels arcane hostile effects on caster',0,0),
(49018,70077,3,100,'Dispels 16 levels of physical and arcane hostile effects on caster',0,0),
(49019,50014,3,100,'Dispels 17 levels arcane hostile effects on caster',0,0),
(49020,70077,4,100,'Dispels 18 levels of physical and arcane hostile effects on caster',0,0),
(49021,50014,4,100,'Dispels 18 levels arcane hostile effects on caster',0,0),
(49022,50014,5,100,'Dispels 20 levels arcane hostile effects on caster',0,0),
(49023,70077,5,100,'Dispels 20 levels of physical and arcane hostile effects on caster',0,0),
(49024,70077,7,100,'Dispels 25 levels of physical and arcane hostile effects on caster',0,0),
(49025,50014,7,100,'Dispels 25 levels arcane hostile effects on caster',0,0),
(49026,50014,9,100,'Dispels 26 levels of arcane hostile effects on caster',0,0),
(49027,70077,9,100,'Dispels 26 levels of physical and arcane hostile effects on caster',0,0),
(49028,70078,1,100,'Dispels 29 levels of physical and arcane hostile effects on caster',0,0),
(49029,70078,2,100,'Dispels 30 levels of physical and arcane hostile effects on caster',0,0),
(49030,70078,3,100,'Dispels 32 levels of physical and arcane hostile effects on caster',0,0),
(49031,70078,4,100,'Dispels 35 levels of physical and arcane hostile effects on caster',0,0),
(49032,70078,5,100,'Dispels 38 levels of physical and arcane hostile effects on caster',0,0),
(49033,70078,7,100,'Dispels 49 levels of physical and arcane hostile effects on caster',0,0),
(49034,70078,9,100,'Dispels 51 levels of physical and arcane hostile effects on caster',0,0),
(49035,70079,1,100,'Dispels 41 levels of physical and arcane hostile effects on caster',0,0),
(49036,70079,2,100,'Dispels 44 levels of physical and arcane hostile effects on caster',0,0),
(49037,70079,3,100,'Dispels 46 levels of physical and arcane hostile effects on caster',0,0),
(49038,70079,4,100,'Dispels 51 levels of physical and arcane hostile effects on caster',0,0),
(49039,70079,5,100,'Dispels 55 levels of physical and arcane hostile effects on caster',0,0),
(49040,70079,7,100,'Dispels 71 levels of physical and arcane hostile effects on caster',0,0),
(49041,70079,9,100,'Dispels 74 levels of physical and arcane hostile effects on caster',0,0),
(49042,70079,10,100,'Dispels 77 levels of physical and arcane hostile effects on caster',0,0),
(49043,70080,1,100,'Dispels 55 levels of physical and arcane hostile effects on caster',0,0),
(49044,70080,2,100,'Dispels 58 levels of physical and arcane hostile effects on caster',0,0),
(49045,70080,3,100,'Dispels 61 levels of physical and arcane hostile effects on caster',0,0),
(49046,70080,4,100,'Dispels 68 levels of physical and arcane hostile effects on caster',0,0),
(49047,70080,5,100,'Dispels 74 levels of physical and arcane hostile effects on caster',0,0),
(49048,70080,7,100,'Dispels 95 levels of physical and arcane hostile effects on caster',0,0),
(49049,70080,9,100,'Dispels 98 levels of physical and arcane hostile effects on caster',0,0),
(49050,70081,1,100,'Dispels 69 levels of physical and arcane hostile effects on caster',0,0),
(49051,70081,2,100,'Dispels 73 levels of physical and arcane hostile effects on caster',0,0),
(49052,70081,3,100,'Dispels 77 levels of physical and arcane hostile effects on caster',0,0),
(49053,70081,4,100,'Dispels 84 levels of physical and arcane hostile effects on caster',0,0),
(49054,70081,5,100,'Dispels 92 levels of physical and arcane hostile effects on caster',0,0),
(49055,70081,7,100,'Dispels 118 levels of physical and arcane hostile effects on caster',0,0),
(49056,70081,9,100,'Dispels 122 levels of physical and arcane hostile effects on caster',0,0),
(49057,70082,1,100,'Dispels 79 levels of physical and arcane hostile effects on caster',0,0),
(49058,70082,2,100,'Dispels 83 levels of physical and arcane hostile effects on caster',0,0),
(49059,70082,3,100,'Dispels 87 levels of physical and arcane hostile effects on caster',0,0),
(49060,70082,4,100,'Dispels 96 levels of physical and arcane hostile effects on caster',0,0),
(49061,70082,5,100,'Dispels 105 levels of physical and arcane hostile effects on caster',0,0),
(49062,70082,7,100,'Dispels 134 levels of physical and arcane hostile effects on caster',0,0),
(49063,70082,9,100,'Dispels 140 levels of physical and arcane hostile effects on caster',0,0),
(49064,70083,1,100,'Dispels 88 levels of physical and arcane hostile effects on caster',0,0),
(49065,70083,4,100,'Dispels 108 levels of physical and arcane hostile effects on caster',0,0),
(49066,70083,5,100,'Dispels 118 levels of physical and arcane hostile effects on caster',0,0),
(49067,70083,7,100,'Dispels 151 levels of physical and arcane hostile effects on caster',0,0),
(49068,70083,9,100,'Dispels 157 levels of physical and arcane hostile effects on caster',0,0),
(49069,70084,1,100,'Dispels 98 levels of physical and arcane hostile effects on caster',0,0),
(49070,70084,4,100,'Dispels 120 levels of physical and arcane hostile effects on caster',0,0),
(49071,70084,5,100,'Dispels 131 levels of physical and arcane hostile effects on caster',0,0),
(49072,70084,7,100,'Dispels 168 levels of physical and arcane hostile effects on caster',0,0),
(49073,70084,9,100,'Dispels 174 levels of physical and arcane hostile effects on caster',0,0),
(49074,2000142,3,100,'Inflicts 1 - 2 poison damage on target encounter',0,0),
(49075,2000142,3,100,'Inflicts 1 piercing damage on target encounter every 3 seconds',0,1),
(49076,2000142,4,100,'Inflicts 1 - 3 poison damage on target encounter',0,0),
(49077,2000142,4,100,'Inflicts 1 piercing damage on target encounter every 3 seconds',0,1),
(49078,2000142,5,100,'Inflicts 2 - 3 poison damage on target encounter',0,0),
(49079,2000142,5,100,'Inflicts 1 - 2 piercing damage on target encounter every 3 seconds',0,1),
(49080,2000142,7,100,'Inflicts 2 - 4 poison damage on target encounter',0,0),
(49081,2000142,7,100,'Inflicts 1 - 2 piercing damage on target encounter every 3 seconds',0,1),
(49082,2000142,9,100,'Inflicts 2 - 4 poison damage on target encounter',0,0),
(49083,2000142,9,100,'Inflicts 1 - 2 piercing damage on target encounter every 3 seconds',0,1),
(49084,2000142,10,100,'Inflicts 2 - 4 poison damage on target encounter',0,0),
(49085,2000142,10,100,'Inflicts 1 - 2 piercing damage on target encounter every 3 seconds',0,1),
(49086,80008,1,100,'Increases Threat to target by 651 - 977  instantly and by 130 - 195  every 3 seconds thereafter',0,0),
(49087,80008,2,100,'Increases Threat to target by 687 - 1,031  instantly and by 137 - 206  every 3 seconds thereafter',0,0),
(49088,80008,3,100,'Increases Threat to target by 723 - 1,085  instantly and by 144 - 217  every 3 seconds thereafter',0,0),
(49089,80008,4,100,'Increases Threat to target by 796 - 1,194  instantly and by 159 - 238  every 3 seconds thereafter',0,0),
(49090,80008,5,100,'Increases Threat to target by 868 - 1,292  instantly and by 173 - 259  every 3 seconds thereafter',0,0),
(49091,80008,7,100,'Increases Threat to target by 1,114 - 1,505  instantly and by 221 - 332  every 3 seconds thereafter',0,0),
(49092,80008,9,100,'Increases Threat to target by 1,158 - 1,542  instantly and by 230 - 345  every 3 seconds thereafter',0,0),
(49093,60097,1,100,'Increases STR of caster by 9.4',0,0),
(49094,60097,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 211',0,1),
(49095,60097,2,100,'Increases STR of caster by 9.9',0,0),
(49096,60097,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 222',0,1),
(49097,60097,3,100,'Increases STR of caster by 10.4',0,0),
(49098,60097,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 234',0,1),
(49099,60097,4,100,'Increases STR of caster by 11.4',0,0),
(49100,60097,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 257',0,1),
(49101,60097,5,100,'Increases STR of caster by 12.5',0,0),
(49102,60097,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 281',0,1),
(49103,60097,7,100,'Increases STR of caster by 16.0',0,0),
(49104,60097,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 360',0,1),
(49105,60097,9,100,'Increases STR of caster by 16.6',0,0),
(49106,60097,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 374',0,1),
(49107,60097,10,100,'Increases STR of caster by 17.5',0,0),
(49108,60097,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 393',0,1),
(49123,60099,1,100,'Increases STR of caster by 27.9',0,0),
(49124,60099,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 702',0,1),
(49125,60099,2,100,'Increases STR of caster by 29.4',0,0),
(49126,60099,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 741',0,1),
(49127,60099,3,100,'Increases STR of caster by 31.0',0,0),
(49128,60099,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 780',0,1),
(49129,60099,4,100,'Increases STR of caster by 34.1',0,0),
(49130,60099,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 858',0,1),
(49131,60099,5,100,'Increases STR of caster by 37.2',0,0),
(49132,60099,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 936',0,1),
(49133,60099,7,100,'Increases STR of caster by 47.7',0,0),
(49134,60099,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1201',0,1),
(49135,60099,9,100,'Increases STR of caster by 49.6',0,0),
(49136,60099,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1248',0,1),
(49137,60100,1,100,'Increases STR of caster by 38.0',0,0),
(49138,60100,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 948',0,1),
(49139,60100,2,100,'Increases STR of caster by 40.1',0,0),
(49140,60100,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1000',0,1),
(49141,60100,3,100,'Increases STR of caster by 42.2',0,0),
(49142,60100,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1053',0,1),
(49143,60100,4,100,'Increases STR of caster by 46.4',0,0),
(49144,60100,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1158',0,1),
(49145,60100,5,100,'Increases STR of caster by 50.6',0,0),
(49146,60100,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1264',0,1),
(49147,60100,7,100,'Increases STR of caster by 65.0',0,0),
(49148,60100,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1622',0,1),
(49149,60100,9,100,'Increases STR of caster by 67.5',0,0),
(49150,60100,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1685',0,1),
(49151,60100,10,100,'Increases STR of caster by 70.9',0,0),
(49152,60100,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1769',0,1),
(49153,60101,1,100,'Increases STR of caster by 48.1',0,0),
(49154,60101,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1193',0,1),
(49155,60101,2,100,'Increases STR of caster by 50.7',0,0),
(49156,60101,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1260',0,1),
(49157,60101,3,100,'Increases STR of caster by 53.4',0,0),
(49158,60101,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1326',0,1),
(49159,60101,4,100,'Increases STR of caster by 58.7',0,0),
(49160,60101,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1459',0,1),
(49161,60101,5,100,'Increases STR of caster by 64.1',0,0),
(49162,60101,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1591',0,1),
(49163,60101,7,100,'Increases STR of caster by 82.2',0,0),
(49164,60101,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2042',0,1),
(49165,60101,9,100,'Increases STR of caster by 85.4',0,0),
(49166,60101,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2122',0,1),
(49167,60102,1,100,'Increases STR of caster by 58.4',0,0),
(49168,60102,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1386',0,1),
(49169,60102,2,100,'Increases STR of caster by 61.7',0,0),
(49170,60102,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1463',0,1),
(49171,60102,3,100,'Increases STR of caster by 64.9',0,0),
(49172,60102,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1541',0,1),
(49173,60102,4,100,'Increases STR of caster by 71.4',0,0),
(49174,60102,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1695',0,1),
(49175,60102,5,100,'Increases STR of caster by 77.9',0,0),
(49176,60102,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1849',0,1),
(49177,60102,7,100,'Increases STR of caster by 99.9',0,0),
(49178,60102,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2372',0,1),
(49179,60102,9,100,'Increases STR of caster by 103.8',0,0),
(49180,60102,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2465',0,1),
(49181,60103,1,100,'Increases STR of caster by 68.3',0,0),
(49182,60103,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1562',0,1),
(49183,60103,4,100,'Increases STR of caster by 83.5',0,0),
(49184,60103,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1909',0,1),
(49185,60103,5,100,'Increases STR of caster by 91.1',0,0),
(49186,60103,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2083',0,1),
(49187,60103,7,100,'Increases STR of caster by 116.9',0,0),
(49188,60103,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2673',0,1),
(49189,60103,9,100,'Increases STR of caster by 121.4',0,0),
(49190,60103,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2777',0,1),
(49191,60104,1,100,'Increases STR of caster by 78.2',0,0),
(49192,60104,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1737',0,1),
(49193,60104,4,100,'Increases STR of caster by 95.6',0,0),
(49194,60104,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2124',0,1),
(49195,60104,5,100,'Increases STR of caster by 104.3',0,0),
(49196,60104,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2317',0,1),
(49197,60104,7,100,'Increases STR of caster by 133.8',0,0),
(49198,60104,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2973',0,1),
(49199,60104,9,100,'Increases STR of caster by 139.0',0,0),
(49200,60104,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 3089',0,1),
(49201,2000143,1,100,'Applies Stoneskin Reaction on termination.  Lasts for 1.0 seconds.',0,0),
(49202,2000143,1,100,'Reduces physical damage done to target by 100%',1,1),
(49203,2000143,1,100,'Triggers when a Stoneskin is consumed. Suspends all other stoneskins that match the damage types of this effect.',1,2),
(49204,2000143,1,100,'Will absorb physical damage when the amount is greater than 25% of the target''s maximum health. This spell will absorb a total of 2 attacks.',0,3),
(49205,2000144,3,100,'Increases Crit Bonus of group members (AE) by 5.0%',0,0),
(49206,2000144,4,100,'Increases Crit Bonus of group members (AE) by 5.5%',0,0),
(49207,2000144,5,100,'Increases Crit Bonus of group members (AE) by 6.0%',0,0),
(49208,2000144,7,100,'Increases Crit Bonus of group members (AE) by 7.7%',0,0),
(49209,2000144,9,100,'Increases Crit Bonus of group members (AE) by 8.0%',0,0),
(49210,2000144,10,100,'Increases Crit Bonus of group members (AE) by 8.4%',0,0),
(49211,40113,1,100,'Applies Insolent Assault.',0,0),
(49212,40113,1,100,'Inflicts 404 - 607 melee damage on targets in Area of Effect',1,1),
(49213,40113,1,100,'Applies Insolent Gibe.',0,2),
(49214,40113,1,100,'Increases Threat to targets in Area of Effect by 3,413 - 4,850 ',1,3),
(49215,40113,1,100,'When any damage is received this spell has a 50% chance to cast Insolent Gibe on target''s attacker.  ',0,4),
(49216,40113,1,100,'Increases Threat to target encounter by 1,617 - 1,857 ',1,5),
(49217,40113,2,100,'Applies Insolent Assault.',0,0),
(49218,40113,2,100,'Inflicts 427 - 641 melee damage on targets in Area of Effect',1,1),
(49219,40113,2,100,'Applies Insolent Gibe.',0,2),
(49220,40113,2,100,'Increases Threat to targets in Area of Effect by 3,573 - 5,090 ',1,3),
(49221,40113,2,100,'When any damage is received this spell has a 50% chance to cast Insolent Gibe on target''s attacker.  ',0,4),
(49222,40113,2,100,'Increases Threat to target encounter by 1,677 - 1,930 ',1,5),
(49223,40113,3,100,'Applies Insolent Assault.',0,0),
(49224,40113,3,100,'Inflicts 449 - 674 melee damage on targets in Area of Effect',1,1),
(49225,40113,3,100,'Applies Insolent Gibe.',0,2),
(49226,40113,3,100,'Increases Threat to targets in Area of Effect by 3,733 - 5,329 ',1,3),
(49227,40113,3,100,'When any damage is received this spell has a 50% chance to cast Insolent Gibe on target''s attacker.  ',0,4),
(49228,40113,3,100,'Increases Threat to target encounter by 1,737 - 2,003 ',1,5),
(49229,40113,4,100,'Applies Insolent Assault.',0,0),
(49230,40113,4,100,'Inflicts 494 - 742 melee damage on targets in Area of Effect',1,1),
(49231,40113,4,100,'Applies Insolent Gibe.',0,2),
(49232,40113,4,100,'Increases Threat to targets in Area of Effect by 4,052 - 5,808 ',1,3),
(49233,40113,4,100,'When any damage is received this spell has a 50% chance to cast Insolent Gibe on target''s attacker.  ',0,4),
(49234,40113,4,100,'Increases Threat to target encounter by 1,857 - 2,149 ',1,5),
(49235,40113,5,100,'Applies Insolent Assault.',0,0),
(49236,40113,5,100,'Inflicts 539 - 809 melee damage on targets in Area of Effect',1,1),
(49237,40113,5,100,'Applies Insolent Gibe.',0,2),
(49238,40113,5,100,'Increases Threat to targets in Area of Effect by 4,371 - 6,287 ',1,3),
(49239,40113,5,100,'When any damage is received this spell has a 50% chance to cast Insolent Gibe on target''s attacker.  ',0,4),
(49240,40113,5,100,'Increases Threat to target encounter by 1,976 - 2,296 ',1,5),
(49241,40113,7,100,'Applies Insolent Assault.',0,0),
(49242,40113,7,100,'Inflicts 692 - 1039 melee damage on targets in Area of Effect',1,1),
(49243,40113,7,100,'Applies Insolent Gibe.',0,2),
(49244,40113,7,100,'Increases Threat to targets in Area of Effect by 5,457 - 7,915 ',1,3),
(49245,40113,7,100,'When any damage is received this spell has a 50% chance to cast Insolent Gibe on target''s attacker.  ',0,4),
(49246,40113,7,100,'Increases Threat to target encounter by 2,383 - 2,793 ',1,5),
(49247,40113,9,100,'Applies Insolent Assault.',0,0),
(49248,40113,9,100,'Inflicts 719 - 1079 melee damage on targets in Area of Effect',1,1),
(49249,40113,9,100,'Applies Insolent Gibe.',0,2),
(49250,40113,9,100,'Increases Threat to targets in Area of Effect by 5,648 - 8,203 ',1,3),
(49251,40113,9,100,'When any damage is received this spell has a 50% chance to cast Insolent Gibe on target''s attacker.  ',0,4),
(49252,40113,9,100,'Increases Threat to target encounter by 2,455 - 2,881 ',1,5),
(49253,40114,1,100,'Applies Insolent Assault.',0,0),
(49254,40114,1,100,'Inflicts 604 - 907 melee damage on targets in Area of Effect',1,1),
(49255,40114,1,100,'Applies Insolent Gibe.',0,2),
(49256,40114,1,100,'Increases Threat to targets in Area of Effect by 5,014 - 7,252 ',1,3),
(49257,40114,1,100,'When any damage is received this spell has a 50% chance to cast Insolent Gibe on target''s attacker.  ',0,4),
(49258,40114,1,100,'Increases Threat to target encounter by 2,218 - 2,591 ',1,5),
(49259,40114,2,100,'Applies Insolent Assault.',0,0),
(49260,40114,2,100,'Inflicts 638 - 957 melee damage on targets in Area of Effect',1,1),
(49261,40114,2,100,'Applies Insolent Gibe.',0,2),
(49262,40114,2,100,'Increases Threat to targets in Area of Effect by 5,263 - 7,625 ',1,3),
(49263,40114,2,100,'When any damage is received this spell has a 50% chance to cast Insolent Gibe on target''s attacker.  ',0,4),
(49264,40114,2,100,'Increases Threat to target encounter by 2,311 - 2,704 ',1,5),
(49265,40114,3,100,'Applies Insolent Assault.',0,0),
(49266,40114,3,100,'Inflicts 671 - 1007 melee damage on targets in Area of Effect',1,1),
(49267,40114,3,100,'Applies Insolent Gibe.',0,2),
(49268,40114,3,100,'Increases Threat to targets in Area of Effect by 5,512 - 7,998 ',1,3),
(49269,40114,3,100,'When any damage is received this spell has a 50% chance to cast Insolent Gibe on target''s attacker.  ',0,4),
(49270,40114,3,100,'Increases Threat to target encounter by 2,404 - 2,818 ',1,5),
(49271,40114,4,100,'Applies Insolent Assault.',0,0),
(49272,40114,4,100,'Inflicts 739 - 1108 melee damage on targets in Area of Effect',1,1),
(49273,40114,4,100,'Applies Insolent Gibe.',0,2),
(49274,40114,4,100,'Increases Threat to targets in Area of Effect by 6,009 - 8,744 ',1,3),
(49275,40114,4,100,'When any damage is received this spell has a 50% chance to cast Insolent Gibe on target''s attacker.  ',0,4),
(49276,40114,4,100,'Increases Threat to target encounter by 2,591 - 3,046 ',1,5),
(49277,40114,5,100,'Applies Insolent Assault.',0,0),
(49278,40114,5,100,'Inflicts 806 - 1209 melee damage on targets in Area of Effect',1,1),
(49279,40114,5,100,'Applies Insolent Gibe.',0,2),
(49280,40114,5,100,'Increases Threat to targets in Area of Effect by 6,506 - 9,489 ',1,3),
(49281,40114,5,100,'When any damage is received this spell has a 50% chance to cast Insolent Gibe on target''s attacker.  ',0,4),
(49282,40114,5,100,'Increases Threat to target encounter by 2,777 - 3,274 ',1,5),
(49283,40114,7,100,'Applies Insolent Assault.',0,0),
(49284,40114,7,100,'Inflicts 1034 - 1552 melee damage on targets in Area of Effect',1,1),
(49285,40114,7,100,'Applies Insolent Gibe.',0,2),
(49286,40114,7,100,'Increases Threat to targets in Area of Effect by 8,197 - 12,025 ',1,3),
(49287,40114,7,100,'When any damage is received this spell has a 50% chance to cast Insolent Gibe on target''s attacker.  ',0,4),
(49288,40114,7,100,'Increases Threat to target encounter by 3,411 - 4,049 ',1,5),
(49289,40114,9,100,'Applies Insolent Assault.',0,0),
(49290,40114,9,100,'Inflicts 1075 - 1612 melee damage on targets in Area of Effect',1,1),
(49291,40114,9,100,'Applies Insolent Gibe.',0,2),
(49292,40114,9,100,'Increases Threat to targets in Area of Effect by 8,495 - 12,473 ',1,3),
(49293,40114,9,100,'When any damage is received this spell has a 50% chance to cast Insolent Gibe on target''s attacker.  ',0,4),
(49294,40114,9,100,'Increases Threat to target encounter by 3,523 - 4,186 ',1,5),
(49295,40115,1,100,'Applies Insolent Assault.',0,0),
(49296,40115,1,100,'Inflicts 732 - 1098 melee damage on targets in Area of Effect',1,1),
(49297,40115,1,100,'Applies Insolent Gibe.',0,2),
(49298,40115,1,100,'Increases Threat to targets in Area of Effect by 6,097 - 8,875 ',1,3),
(49299,40115,1,100,'When any damage is received this spell has a 50% chance to cast Insolent Gibe on target''s attacker.  ',0,4),
(49300,40115,1,100,'Increases Threat to target encounter by 2,623 - 3,087 ',1,5),
(49301,40115,4,100,'Applies Insolent Assault.',0,0),
(49302,40115,4,100,'Inflicts 894 - 1342 melee damage on targets in Area of Effect',1,1),
(49303,40115,4,100,'Applies Insolent Gibe.',0,2),
(49304,40115,4,100,'Increases Threat to targets in Area of Effect by 7,332 - 10,728 ',1,3),
(49305,40115,4,100,'When any damage is received this spell has a 50% chance to cast Insolent Gibe on target''s attacker.  ',0,4),
(49306,40115,4,100,'Increases Threat to target encounter by 3,087 - 3,653 ',1,5),
(49307,40115,5,100,'Applies Insolent Assault.',0,0),
(49308,40115,5,100,'Inflicts 976 - 1464 melee damage on targets in Area of Effect',1,1),
(49309,40115,5,100,'Applies Insolent Gibe.',0,2),
(49310,40115,5,100,'Increases Threat to targets in Area of Effect by 7,949 - 11,654 ',1,3),
(49311,40115,5,100,'When any damage is received this spell has a 50% chance to cast Insolent Gibe on target''s attacker.  ',0,4),
(49312,40115,5,100,'Increases Threat to target encounter by 3,318 - 3,936 ',1,5),
(49313,40115,7,100,'Applies Insolent Assault.',0,0),
(49314,40115,7,100,'Inflicts 1252 - 1878 melee damage on targets in Area of Effect',1,1),
(49315,40115,7,100,'Applies Insolent Gibe.',0,2),
(49316,40115,7,100,'Increases Threat to targets in Area of Effect by 10,049 - 14,803 ',1,3),
(49317,40115,7,100,'When any damage is received this spell has a 50% chance to cast Insolent Gibe on target''s attacker.  ',0,4),
(49318,40115,7,100,'Increases Threat to target encounter by 4,105 - 4,898 ',1,5),
(49319,40115,9,100,'Applies Insolent Assault.',0,0),
(49320,40115,9,100,'Inflicts 1301 - 1952 melee damage on targets in Area of Effect',1,1),
(49321,40115,9,100,'Applies Insolent Gibe.',0,2),
(49322,40115,9,100,'Increases Threat to targets in Area of Effect by 10,419 - 15,359 ',1,3),
(49323,40115,9,100,'When any damage is received this spell has a 50% chance to cast Insolent Gibe on target''s attacker.  ',0,4),
(49324,40115,9,100,'Increases Threat to target encounter by 4,244 - 5,068 ',1,5),
(49325,40116,1,100,'Applies Insolent Assault.',0,0),
(49326,40116,1,100,'Inflicts 985 - 1477 melee damage on targets in Area of Effect',1,1),
(49327,40116,1,100,'Applies Insolent Gibe.',0,2),
(49328,40116,1,100,'Increases Threat to targets in Area of Effect by 7,179 - 10,498 ',1,3),
(49329,40116,1,100,'When any damage is received this spell has a 50% chance to cast Insolent Gibe on target''s attacker.  ',0,4),
(49330,40116,1,100,'Increases Threat to target encounter by 3,029 - 3,582 ',1,5),
(49331,40116,4,100,'Applies Insolent Assault.',0,0),
(49332,40116,4,100,'Inflicts 1203 - 1805 melee damage on targets in Area of Effect',1,1),
(49333,40116,4,100,'Applies Insolent Gibe.',0,2),
(49334,40116,4,100,'Increases Threat to targets in Area of Effect by 8,654 - 12,711 ',1,3),
(49335,40116,4,100,'When any damage is received this spell has a 50% chance to cast Insolent Gibe on target''s attacker.  ',0,4),
(49336,40116,4,100,'Increases Threat to target encounter by 3,582 - 4,259 ',1,5),
(49337,40116,5,100,'Applies Insolent Assault.',0,0),
(49338,40116,5,100,'Inflicts 1313 - 1970 melee damage on targets in Area of Effect',1,1),
(49339,40116,5,100,'Applies Insolent Gibe.',0,2),
(49340,40116,5,100,'Increases Threat to targets in Area of Effect by 9,392 - 13,818 ',1,3),
(49341,40116,5,100,'When any damage is received this spell has a 50% chance to cast Insolent Gibe on target''s attacker.  ',0,4),
(49342,40116,5,100,'Increases Threat to target encounter by 3,859 - 4,597 ',1,5),
(49343,40116,7,100,'Applies Insolent Assault.',0,0),
(49344,40116,7,100,'Inflicts 1685 - 2528 melee damage on targets in Area of Effect',1,1),
(49345,40116,7,100,'Applies Insolent Gibe.',0,2),
(49346,40116,7,100,'Increases Threat to targets in Area of Effect by 11,900 - 17,580 ',1,3),
(49347,40116,7,100,'When any damage is received this spell has a 50% chance to cast Insolent Gibe on target''s attacker.  ',0,4),
(49348,40116,7,100,'Increases Threat to target encounter by 4,800 - 5,746 ',1,5),
(49349,40116,9,100,'Applies Insolent Assault.',0,0),
(49350,40116,9,100,'Inflicts 1751 - 2626 melee damage on targets in Area of Effect',1,1),
(49351,40116,9,100,'Applies Insolent Gibe.',0,2),
(49352,40116,9,100,'Increases Threat to targets in Area of Effect by 12,342 - 18,244 ',1,3),
(49353,40116,9,100,'When any damage is received this spell has a 50% chance to cast Insolent Gibe on target''s attacker.  ',0,4),
(49354,40116,9,100,'Increases Threat to target encounter by 4,966 - 5,949 ',1,5),
(49355,330097,1,100,'On a melee hit this spell will cast Daring Attack on target of attack.  ',0,0),
(49356,330097,1,100,'Inflicts 80 - 133 piercing damage on target',1,1),
(49357,330097,2,100,'On a melee hit this spell will cast Daring Attack on target of attack.  ',0,0),
(49358,330097,2,100,'Inflicts 84 - 141 piercing damage on target',1,1),
(49359,330097,3,100,'On a melee hit this spell will cast Daring Attack on target of attack.  ',0,0),
(49360,330097,3,100,'Inflicts 89 - 148 piercing damage on target',1,1),
(49361,330097,4,100,'On a melee hit this spell will cast Daring Attack on target of attack.  ',0,0),
(49362,330097,4,100,'Inflicts 98 - 163 piercing damage on target',1,1),
(49363,330097,5,100,'On a melee hit this spell will cast Daring Attack on target of attack.  ',0,0),
(49364,330097,5,100,'Inflicts 107 - 178 piercing damage on target',1,1),
(49365,330097,7,100,'On a melee hit this spell will cast Daring Attack on target of attack.  ',0,0),
(49366,330097,7,100,'Inflicts 137 - 229 piercing damage on target',1,1),
(49367,330097,9,100,'On a melee hit this spell will cast Daring Attack on target of attack.  ',0,0),
(49368,330097,9,100,'Inflicts 142 - 237 piercing damage on target',1,1),
(49369,330098,1,100,'On a melee hit this spell will cast Daring Attack on target of attack.  ',0,0),
(49370,330098,1,100,'Inflicts 120 - 201 piercing damage on target',1,1),
(49371,330098,2,100,'On a melee hit this spell will cast Daring Attack on target of attack.  ',0,0),
(49372,330098,2,100,'Inflicts 127 - 212 piercing damage on target',1,1),
(49373,330098,3,100,'On a melee hit this spell will cast Daring Attack on target of attack.  ',0,0),
(49374,330098,3,100,'Inflicts 134 - 223 piercing damage on target',1,1),
(49375,330098,4,100,'On a melee hit this spell will cast Daring Attack on target of attack.  ',0,0),
(49376,330098,4,100,'Inflicts 147 - 246 piercing damage on target',1,1),
(49377,330098,5,100,'On a melee hit this spell will cast Daring Attack on target of attack.  ',0,0),
(49378,330098,5,100,'Inflicts 161 - 268 piercing damage on target',1,1),
(49379,330098,7,100,'On a melee hit this spell will cast Daring Attack on target of attack.  ',0,0),
(49380,330098,7,100,'Inflicts 206 - 344 piercing damage on target',1,1),
(49381,330098,9,100,'On a melee hit this spell will cast Daring Attack on target of attack.  ',0,0),
(49382,330098,9,100,'Inflicts 214 - 358 piercing damage on target',1,1),
(49383,330099,1,100,'On a melee hit this spell will cast Daring Attack on target of attack.  ',0,0),
(49384,330099,1,100,'Inflicts 146 - 244 piercing damage on target',1,1),
(49385,330099,2,100,'On a melee hit this spell will cast Daring Attack on target of attack.  ',0,0),
(49386,330099,2,100,'Inflicts 154 - 257 piercing damage on target',1,1),
(49387,330099,3,100,'On a melee hit this spell will cast Daring Attack on target of attack.  ',0,0),
(49388,330099,3,100,'Inflicts 162 - 271 piercing damage on target',1,1),
(49389,330099,4,100,'On a melee hit this spell will cast Daring Attack on target of attack.  ',0,0),
(49390,330099,4,100,'Inflicts 179 - 298 piercing damage on target',1,1),
(49391,330099,5,100,'On a melee hit this spell will cast Daring Attack on target of attack.  ',0,0),
(49392,330099,5,100,'Inflicts 195 - 325 piercing damage on target',1,1),
(49393,330099,7,100,'On a melee hit this spell will cast Daring Attack on target of attack.  ',0,0),
(49394,330099,7,100,'Inflicts 250 - 417 piercing damage on target',1,1),
(49395,330099,9,100,'On a melee hit this spell will cast Daring Attack on target of attack.  ',0,0),
(49396,330099,9,100,'Inflicts 260 - 434 piercing damage on target',1,1),
(49397,330100,1,100,'On a melee hit this spell will cast Daring Attack on target of attack.  ',0,0),
(49398,330100,1,100,'Inflicts 229 - 381 piercing damage on target',1,1),
(49399,330100,4,100,'On a melee hit this spell will cast Daring Attack on target of attack.  ',0,0),
(49400,330100,4,100,'Inflicts 280 - 466 piercing damage on target',1,1),
(49401,330100,5,100,'On a melee hit this spell will cast Daring Attack on target of attack.  ',0,0),
(49402,330100,5,100,'Inflicts 305 - 509 piercing damage on target',1,1),
(49403,330100,7,100,'On a melee hit this spell will cast Daring Attack on target of attack.  ',0,0),
(49404,330100,7,100,'Inflicts 392 - 653 piercing damage on target',1,1),
(49405,330100,9,100,'On a melee hit this spell will cast Daring Attack on target of attack.  ',0,0),
(49406,330100,9,100,'Inflicts 407 - 679 piercing damage on target',1,1),
(49407,330101,1,100,'On a melee hit this spell will cast Daring Attack on target of attack.  ',0,0),
(49408,330101,1,100,'Inflicts 243 - 405 piercing damage on target',1,1),
(49409,330101,4,100,'On a melee hit this spell will cast Daring Attack on target of attack.  ',0,0),
(49410,330101,4,100,'Inflicts 297 - 495 piercing damage on target',1,1),
(49411,330101,5,100,'On a melee hit this spell will cast Daring Attack on target of attack.  ',0,0),
(49412,330101,5,100,'Inflicts 324 - 540 piercing damage on target',1,1),
(49413,330101,7,100,'On a melee hit this spell will cast Daring Attack on target of attack.  ',0,0),
(49414,330101,7,100,'Inflicts 416 - 693 piercing damage on target',1,1),
(49415,330101,9,100,'On a melee hit this spell will cast Daring Attack on target of attack.  ',0,0),
(49416,330101,9,100,'Inflicts 432 - 720 piercing damage on target',1,1),
(49417,50015,1,100,'Makes target afraid',0,0),
(49418,50015,1,100,'30% chance to dispel when target takes damage',0,1),
(49419,50015,1,100,'Does not affect Epic targets',0,2),
(49420,50015,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(49421,50015,2,100,'Makes target afraid',0,0),
(49422,50015,2,100,'30% chance to dispel when target takes damage',0,1),
(49423,50015,2,100,'Does not affect Epic targets',0,2),
(49424,50015,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(49425,50015,3,100,'Makes target afraid',0,0),
(49426,50015,3,100,'30% chance to dispel when target takes damage',0,1),
(49427,50015,3,100,'Does not affect Epic targets',0,2),
(49428,50015,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(49429,50015,4,100,'Makes target afraid',0,0),
(49430,50015,4,100,'30% chance to dispel when target takes damage',0,1),
(49431,50015,4,100,'Does not affect Epic targets',0,2),
(49432,50015,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(49433,50015,5,100,'Makes target afraid',0,0),
(49434,50015,5,100,'30% chance to dispel when target takes damage',0,1),
(49435,50015,5,100,'Does not affect Epic targets',0,2),
(49436,50015,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(49437,50015,7,100,'Makes target afraid',0,0),
(49438,50015,7,100,'30% chance to dispel when target takes damage',0,1),
(49439,50015,7,100,'Does not affect Epic targets',0,2),
(49440,50015,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(49441,50015,9,100,'Makes target afraid',0,0),
(49442,50015,9,100,'30% chance to dispel when target takes damage',0,1),
(49443,50015,9,100,'Does not affect Epic targets',0,2),
(49444,50015,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(49445,50016,1,100,'Makes target afraid',0,0),
(49446,50016,1,100,'30% chance to dispel when target takes damage',0,1),
(49447,50016,1,100,'Does not affect Epic targets',0,2),
(49448,50016,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(49449,50016,2,100,'Makes target afraid',0,0),
(49450,50016,2,100,'30% chance to dispel when target takes damage',0,1),
(49451,50016,2,100,'Does not affect Epic targets',0,2),
(49452,50016,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(49453,50016,3,100,'Makes target afraid',0,0),
(49454,50016,3,100,'30% chance to dispel when target takes damage',0,1),
(49455,50016,3,100,'Does not affect Epic targets',0,2),
(49456,50016,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(49457,50016,4,100,'Makes target afraid',0,0),
(49458,50016,4,100,'30% chance to dispel when target takes damage',0,1),
(49459,50016,4,100,'Does not affect Epic targets',0,2),
(49460,50016,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(49461,50016,5,100,'Makes target afraid',0,0),
(49462,50016,5,100,'30% chance to dispel when target takes damage',0,1),
(49463,50016,5,100,'Does not affect Epic targets',0,2),
(49464,50016,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(49465,50016,7,100,'Makes target afraid',0,0),
(49466,50016,7,100,'30% chance to dispel when target takes damage',0,1),
(49467,50016,7,100,'Does not affect Epic targets',0,2),
(49468,50016,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(49469,50016,9,100,'Makes target afraid',0,0),
(49470,50016,9,100,'30% chance to dispel when target takes damage',0,1),
(49471,50016,9,100,'Does not affect Epic targets',0,2),
(49472,50016,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(49473,10004,1,100,'100% chance to intercept all damage on target.On a successful intercept caster takes 50% of attack damage, target takes 75% of attack damage.Spell ends after 1 successful intercept.',0,0),
(49474,10004,1,100,'If over 50% Health',1,1),
(49475,10004,1,100,'100% chance to intercept all damage on target.On a successful intercept caster takes 50% of attack damage, target takes 75% of attack damage.Spell ends after 2 successful intercepts.',0,2),
(49476,10004,1,100,'If at 50% Health or less',1,3),
(49477,10004,2,100,'100% chance to intercept all damage on target.On a successful intercept caster takes 50% of attack damage, target takes 72% of attack damage.Spell ends after 1 successful intercept.',0,0),
(49478,10004,2,100,'If over 50% Health',1,1),
(49479,10004,2,100,'100% chance to intercept all damage on target.On a successful intercept caster takes 50% of attack damage, target takes 72% of attack damage.Spell ends after 2 successful intercepts.',0,2),
(49480,10004,2,100,'If at 50% Health or less',1,3),
(49481,10004,3,100,'100% chance to intercept all damage on target.On a successful intercept caster takes 50% of attack damage, target takes 69% of attack damage.Spell ends after 1 successful intercept.',0,0),
(49482,10004,3,100,'If over 50% Health',1,1),
(49483,10004,3,100,'100% chance to intercept all damage on target.On a successful intercept caster takes 50% of attack damage, target takes 69% of attack damage.Spell ends after 2 successful intercepts.',0,2),
(49484,10004,3,100,'If at 50% Health or less',1,3),
(49485,10004,4,100,'100% chance to intercept all damage on target.On a successful intercept caster takes 50% of attack damage, target takes 66% of attack damage.Spell ends after 1 successful intercept.',0,0),
(49486,10004,4,100,'If over 50% Health',1,1),
(49487,10004,4,100,'100% chance to intercept all damage on target.On a successful intercept caster takes 50% of attack damage, target takes 66% of attack damage.Spell ends after 2 successful intercepts.',0,2),
(49488,10004,4,100,'If at 50% Health or less',1,3),
(49489,10004,5,100,'100% chance to intercept all damage on target.On a successful intercept caster takes 50% of attack damage, target takes 63% of attack damage.Spell ends after 2 successful intercepts.',0,0),
(49490,10004,5,100,'If at 50% Health or less',1,1),
(49491,10004,5,100,'100% chance to intercept all damage on target.On a successful intercept caster takes 50% of attack damage, target takes 63% of attack damage.Spell ends after 1 successful intercept.',0,2),
(49492,10004,5,100,'If over 50% Health',1,3),
(49493,10004,7,100,'100% chance to intercept all damage on target.On a successful intercept caster takes 50% of attack damage, target takes 56% of attack damage.Spell ends after 2 successful intercepts.',0,0),
(49494,10004,7,100,'If at 50% Health or less',1,1),
(49495,10004,7,100,'100% chance to intercept all damage on target.On a successful intercept caster takes 50% of attack damage, target takes 56% of attack damage.Spell ends after 1 successful intercept.',0,2),
(49496,10004,7,100,'If over 50% Health',1,3),
(49497,10004,9,100,'100% chance to intercept all damage on target.On a successful intercept caster takes 50% of attack damage, target takes 50% of attack damage.Spell ends after 2 successful intercepts.',0,0),
(49498,10004,9,100,'If at 50% Health or less',1,1),
(49499,10004,9,100,'100% chance to intercept all damage on target.On a successful intercept caster takes 50% of attack damage, target takes 50% of attack damage.Spell ends after 1 successful intercept.',0,2),
(49500,10004,9,100,'If over 50% Health',1,3),
(49501,10005,1,100,'100% chance to intercept all damage on target.On a successful intercept caster takes 75% of attack damage, target takes 50% of attack damage.Spell ends after 2 successful intercepts.',0,0),
(49502,10005,1,100,'If at 50% Health or less',1,1),
(49503,10005,1,100,'100% chance to intercept all damage on target.On a successful intercept caster takes 75% of attack damage, target takes 50% of attack damage.Spell ends after 1 successful intercept.',0,2),
(49504,10005,1,100,'If over 50% Health',1,3),
(49505,10005,2,100,'100% chance to intercept all damage on target.On a successful intercept caster takes 75% of attack damage, target takes 47% of attack damage.Spell ends after 2 successful intercepts.',0,0),
(49506,10005,2,100,'If at 50% Health or less',1,1),
(49507,10005,2,100,'100% chance to intercept all damage on target.On a successful intercept caster takes 75% of attack damage, target takes 47% of attack damage.Spell ends after 1 successful intercept.',0,2),
(49508,10005,2,100,'If over 50% Health',1,3),
(49509,10005,3,100,'100% chance to intercept all damage on target.On a successful intercept caster takes 75% of attack damage, target takes 44% of attack damage.Spell ends after 2 successful intercepts.',0,0),
(49510,10005,3,100,'If at 50% Health or less',1,1),
(49511,10005,3,100,'100% chance to intercept all damage on target.On a successful intercept caster takes 75% of attack damage, target takes 44% of attack damage.Spell ends after 1 successful intercept.',0,2),
(49512,10005,3,100,'If over 50% Health',1,3),
(49513,10005,4,100,'100% chance to intercept all damage on target.On a successful intercept caster takes 75% of attack damage, target takes 41% of attack damage.Spell ends after 2 successful intercepts.',0,0),
(49514,10005,4,100,'If at 50% Health or less',1,1),
(49515,10005,4,100,'100% chance to intercept all damage on target.On a successful intercept caster takes 75% of attack damage, target takes 41% of attack damage.Spell ends after 1 successful intercept.',0,2),
(49516,10005,4,100,'If over 50% Health',1,3),
(49517,10005,5,100,'100% chance to intercept all damage on target.On a successful intercept caster takes 75% of attack damage, target takes 37% of attack damage.Spell ends after 2 successful intercepts.',0,0),
(49518,10005,5,100,'If at 50% Health or less',1,1),
(49519,10005,5,100,'100% chance to intercept all damage on target.On a successful intercept caster takes 75% of attack damage, target takes 37% of attack damage.Spell ends after 1 successful intercept.',0,2),
(49520,10005,5,100,'If over 50% Health',1,3),
(49521,10005,7,100,'100% chance to intercept all damage on target.On a successful intercept caster takes 75% of attack damage, target takes 31% of attack damage.Spell ends after 2 successful intercepts.',0,0),
(49522,10005,7,100,'If at 50% Health or less',1,1),
(49523,10005,7,100,'100% chance to intercept all damage on target.On a successful intercept caster takes 75% of attack damage, target takes 31% of attack damage.Spell ends after 1 successful intercept.',0,2),
(49524,10005,7,100,'If over 50% Health',1,3),
(49525,10005,9,100,'100% chance to intercept all damage on target.On a successful intercept caster takes 75% of attack damage, target takes 25% of attack damage.Spell ends after 2 successful intercepts.',0,0),
(49526,10005,9,100,'If at 50% Health or less',1,1),
(49527,10005,9,100,'100% chance to intercept all damage on target.On a successful intercept caster takes 75% of attack damage, target takes 25% of attack damage.Spell ends after 1 successful intercept.',0,2),
(49528,10005,9,100,'If over 50% Health',1,3),
(49529,10006,1,100,'100% chance to intercept all damage on target.On a successful intercept caster takes 100% of attack damage, target takes 25% of attack damage.Spell ends after 2 successful intercepts.',0,0),
(49530,10006,1,100,'If at 50% Health or less',1,1),
(49531,10006,1,100,'100% chance to intercept all damage on target.On a successful intercept caster takes 100% of attack damage, target takes 25% of attack damage.Spell ends after 1 successful intercept.',0,2),
(49532,10006,1,100,'If over 50% Health',1,3),
(49533,10006,2,100,'100% chance to intercept all damage on target.On a successful intercept caster takes 100% of attack damage, target takes 22% of attack damage.Spell ends after 1 successful intercept.',0,0),
(49534,10006,2,100,'If over 50% Health',1,1),
(49535,10006,2,100,'100% chance to intercept all damage on target.On a successful intercept caster takes 100% of attack damage, target takes 22% of attack damage.Spell ends after 2 successful intercepts.',0,2),
(49536,10006,2,100,'If at 50% Health or less',1,3),
(49537,10006,3,100,'100% chance to intercept all damage on target.On a successful intercept caster takes 100% of attack damage, target takes 19% of attack damage.Spell ends after 1 successful intercept.',0,0),
(49538,10006,3,100,'If over 50% Health',1,1),
(49539,10006,3,100,'100% chance to intercept all damage on target.On a successful intercept caster takes 100% of attack damage, target takes 19% of attack damage.Spell ends after 2 successful intercepts.',0,2),
(49540,10006,3,100,'If at 50% Health or less',1,3),
(49541,10006,4,100,'100% chance to intercept all damage on target.On a successful intercept caster takes 100% of attack damage, target takes 16% of attack damage.Spell ends after 2 successful intercepts.',0,0),
(49542,10006,4,100,'If at 50% Health or less',1,1),
(49543,10006,4,100,'100% chance to intercept all damage on target.On a successful intercept caster takes 100% of attack damage, target takes 16% of attack damage.Spell ends after 1 successful intercept.',0,2),
(49544,10006,4,100,'If over 50% Health',1,3),
(49545,10006,5,100,'100% chance to intercept all damage on target.On a successful intercept caster takes 100% of attack damage, target takes 12% of attack damage.Spell ends after 2 successful intercepts.',0,0),
(49546,10006,5,100,'If at 50% Health or less',1,1),
(49547,10006,5,100,'100% chance to intercept all damage on target.On a successful intercept caster takes 100% of attack damage, target takes 12% of attack damage.Spell ends after 1 successful intercept.',0,2),
(49548,10006,5,100,'If over 50% Health',1,3),
(49549,10006,7,100,'100% chance to intercept all damage on target.On a successful intercept caster takes 100% of attack damage, target takes 6% of attack damage.Spell ends after 1 successful intercept.',0,0),
(49550,10006,7,100,'If over 50% Health',1,1),
(49551,10006,7,100,'100% chance to intercept all damage on target.On a successful intercept caster takes 100% of attack damage, target takes 6% of attack damage.Spell ends after 2 successful intercepts.',0,2),
(49552,10006,7,100,'If at 50% Health or less',1,3),
(49553,10006,9,100,'100% chance to intercept all damage on target.On a successful intercept caster takes 100% of attack damage, target takes 0% of attack damage.Spell ends after 2 successful intercepts.',0,0),
(49554,10006,9,100,'If at 50% Health or less',1,1),
(49555,10006,9,100,'100% chance to intercept all damage on target.On a successful intercept caster takes 100% of attack damage, target takes 0% of attack damage.Spell ends after 1 successful intercept.',0,2),
(49556,10006,9,100,'If over 50% Health',1,3),
(49557,2000145,1,100,'Inflicts 18 - 22 melee damage on target',0,0),
(49558,2000145,1,100,'If the inquisitor is over 10 meters away, they charge to the target.',0,1),
(49559,2000145,2,100,'Inflicts 3365 - 4113 melee damage on target',0,0),
(49560,2000145,2,100,'If the inquisitor is over 10 meters away, they charge to the target.',0,1),
(49561,2000145,3,100,'Inflicts 2525 - 3086 melee damage on target',0,0),
(49562,2000145,3,100,'If the inquisitor is over 10 meters away, they charge to the target.',0,1),
(49563,70085,1,100,'Mesmerizes target',0,0),
(49565,70085,1,100,'Dispelled when target takes damage',0,2),
(49566,70085,1,100,'Does not affect Epic targets',0,3),
(49567,70085,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(49573,70085,3,100,'Mesmerizes target',0,0),
(49575,70085,3,100,'Dispelled when target takes damage',0,2),
(49576,70085,3,100,'Does not affect Epic targets',0,3),
(49577,70085,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(49578,70085,4,100,'Mesmerizes target',0,0),
(49580,70085,4,100,'Dispelled when target takes damage',0,2),
(49581,70085,4,100,'Does not affect Epic targets',0,3),
(49582,70085,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(49583,70085,5,100,'Mesmerizes target',0,0),
(49585,70085,5,100,'Dispelled when target takes damage',0,2),
(49586,70085,5,100,'Does not affect Epic targets',0,3),
(49587,70085,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(49588,70085,7,100,'Mesmerizes target',0,0),
(49590,70085,7,100,'Dispelled when target takes damage',0,2),
(49591,70085,7,100,'Does not affect Epic targets',0,3),
(49592,70085,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(49593,70085,9,100,'Mesmerizes target',0,0),
(49595,70085,9,100,'Dispelled when target takes damage',0,2),
(49596,70085,9,100,'Does not affect Epic targets',0,3),
(49597,70085,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(49598,70086,1,100,'Mesmerizes target',0,0),
(49599,70086,1,100,'Prevents AOE (except when direct) ',0,1),
(49600,70086,1,100,'Dispelled when target takes damage',0,2),
(49601,70086,1,100,'Does not affect Epic targets',0,3),
(49602,70086,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(49603,70086,2,100,'Mesmerizes target',0,0),
(49604,70086,2,100,'Prevents AOE (except when direct) ',0,1),
(49605,70086,2,100,'Dispelled when target takes damage',0,2),
(49606,70086,2,100,'Does not affect Epic targets',0,3),
(49607,70086,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(49608,70086,3,100,'Mesmerizes target',0,0),
(49609,70086,3,100,'Prevents AOE (except when direct) ',0,1),
(49610,70086,3,100,'Dispelled when target takes damage',0,2),
(49611,70086,3,100,'Does not affect Epic targets',0,3),
(49612,70086,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(49613,70086,4,100,'Mesmerizes target',0,0),
(49614,70086,4,100,'Prevents AOE (except when direct) ',0,1),
(49615,70086,4,100,'Dispelled when target takes damage',0,2),
(49616,70086,4,100,'Does not affect Epic targets',0,3),
(49617,70086,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(49618,70086,5,100,'Mesmerizes target',0,0),
(49619,70086,5,100,'Prevents AOE (except when direct) ',0,1),
(49620,70086,5,100,'Dispelled when target takes damage',0,2),
(49621,70086,5,100,'Does not affect Epic targets',0,3),
(49622,70086,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(49623,70086,7,100,'Mesmerizes target',0,0),
(49624,70086,7,100,'Prevents AOE (except when direct) ',0,1),
(49625,70086,7,100,'Dispelled when target takes damage',0,2),
(49626,70086,7,100,'Does not affect Epic targets',0,3),
(49627,70086,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(49628,70086,9,100,'Mesmerizes target',0,0),
(49629,70086,9,100,'Prevents AOE (except when direct) ',0,1),
(49630,70086,9,100,'Dispelled when target takes damage',0,2),
(49631,70086,9,100,'Does not affect Epic targets',0,3),
(49632,70086,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(49633,70087,1,100,'Mesmerizes target',0,0),
(49634,70087,1,100,'Prevents AOE (except when direct) ',0,1),
(49635,70087,1,100,'Dispelled when target takes damage',0,2),
(49636,70087,1,100,'Does not affect Epic targets',0,3),
(49637,70087,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(49638,70087,2,100,'Mesmerizes target',0,0),
(49639,70087,2,100,'Prevents AOE (except when direct) ',0,1),
(49640,70087,2,100,'Dispelled when target takes damage',0,2),
(49641,70087,2,100,'Does not affect Epic targets',0,3),
(49642,70087,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(49643,70087,3,100,'Mesmerizes target',0,0),
(49644,70087,3,100,'Prevents AOE (except when direct) ',0,1),
(49645,70087,3,100,'Dispelled when target takes damage',0,2),
(49646,70087,3,100,'Does not affect Epic targets',0,3),
(49647,70087,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(49648,70087,4,100,'Mesmerizes target',0,0),
(49649,70087,4,100,'Prevents AOE (except when direct) ',0,1),
(49650,70087,4,100,'Dispelled when target takes damage',0,2),
(49651,70087,4,100,'Does not affect Epic targets',0,3),
(49652,70087,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(49653,70087,5,100,'Mesmerizes target',0,0),
(49654,70087,5,100,'Prevents AOE (except when direct) ',0,1),
(49655,70087,5,100,'Dispelled when target takes damage',0,2),
(49656,70087,5,100,'Does not affect Epic targets',0,3),
(49657,70087,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(49658,70087,7,100,'Mesmerizes target',0,0),
(49659,70087,7,100,'Prevents AOE (except when direct) ',0,1),
(49660,70087,7,100,'Dispelled when target takes damage',0,2),
(49661,70087,7,100,'Does not affect Epic targets',0,3),
(49662,70087,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(49663,70087,9,100,'Mesmerizes target',0,0),
(49664,70087,9,100,'Prevents AOE (except when direct) ',0,1),
(49665,70087,9,100,'Dispelled when target takes damage',0,2),
(49666,70087,9,100,'Does not affect Epic targets',0,3),
(49667,70087,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(49668,70088,1,100,'Mesmerizes target',0,0),
(49669,70088,1,100,'Prevents AOE (except when direct) ',0,1),
(49670,70088,1,100,'Dispelled when target takes damage',0,2),
(49671,70088,1,100,'Does not affect Epic targets',0,3),
(49672,70088,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(49673,70088,2,100,'Mesmerizes target',0,0),
(49674,70088,2,100,'Prevents AOE (except when direct) ',0,1),
(49675,70088,2,100,'Dispelled when target takes damage',0,2),
(49676,70088,2,100,'Does not affect Epic targets',0,3),
(49677,70088,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(49678,70088,3,100,'Mesmerizes target',0,0),
(49679,70088,3,100,'Prevents AOE (except when direct) ',0,1),
(49680,70088,3,100,'Dispelled when target takes damage',0,2),
(49681,70088,3,100,'Does not affect Epic targets',0,3),
(49682,70088,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(49683,70088,4,100,'Mesmerizes target',0,0),
(49684,70088,4,100,'Prevents AOE (except when direct) ',0,1),
(49685,70088,4,100,'Dispelled when target takes damage',0,2),
(49686,70088,4,100,'Does not affect Epic targets',0,3),
(49687,70088,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(49688,70088,5,100,'Mesmerizes target',0,0),
(49689,70088,5,100,'Prevents AOE (except when direct) ',0,1),
(49690,70088,5,100,'Dispelled when target takes damage',0,2),
(49691,70088,5,100,'Does not affect Epic targets',0,3),
(49692,70088,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(49693,70088,7,100,'Mesmerizes target',0,0),
(49694,70088,7,100,'Prevents AOE (except when direct) ',0,1),
(49695,70088,7,100,'Dispelled when target takes damage',0,2),
(49696,70088,7,100,'Does not affect Epic targets',0,3),
(49697,70088,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(49698,70088,9,100,'Mesmerizes target',0,0),
(49699,70088,9,100,'Prevents AOE (except when direct) ',0,1),
(49700,70088,9,100,'Dispelled when target takes damage',0,2),
(49701,70088,9,100,'Does not affect Epic targets',0,3),
(49702,70088,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(49703,70089,1,100,'Mesmerizes target',0,0),
(49704,70089,1,100,'Prevents AOE (except when direct) ',0,1),
(49705,70089,1,100,'Dispelled when target takes damage',0,2),
(49706,70089,1,100,'Does not affect Epic targets',0,3),
(49707,70089,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(49708,70089,2,100,'Mesmerizes target',0,0),
(49709,70089,2,100,'Prevents AOE (except when direct) ',0,1),
(49710,70089,2,100,'Dispelled when target takes damage',0,2),
(49711,70089,2,100,'Does not affect Epic targets',0,3),
(49712,70089,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(49713,70089,3,100,'Mesmerizes target',0,0),
(49714,70089,3,100,'Prevents AOE (except when direct) ',0,1),
(49715,70089,3,100,'Dispelled when target takes damage',0,2),
(49716,70089,3,100,'Does not affect Epic targets',0,3),
(49717,70089,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(49718,70089,4,100,'Mesmerizes target',0,0),
(49719,70089,4,100,'Prevents AOE (except when direct) ',0,1),
(49720,70089,4,100,'Dispelled when target takes damage',0,2),
(49721,70089,4,100,'Does not affect Epic targets',0,3),
(49722,70089,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(49723,70089,5,100,'Mesmerizes target',0,0),
(49724,70089,5,100,'Prevents AOE (except when direct) ',0,1),
(49725,70089,5,100,'Dispelled when target takes damage',0,2),
(49726,70089,5,100,'Does not affect Epic targets',0,3),
(49727,70089,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(49728,70089,7,100,'Mesmerizes target',0,0),
(49729,70089,7,100,'Prevents AOE (except when direct) ',0,1),
(49730,70089,7,100,'Dispelled when target takes damage',0,2),
(49731,70089,7,100,'Does not affect Epic targets',0,3),
(49732,70089,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(49733,70089,9,100,'Mesmerizes target',0,0),
(49734,70089,9,100,'Prevents AOE (except when direct) ',0,1),
(49735,70089,9,100,'Dispelled when target takes damage',0,2),
(49736,70089,9,100,'Does not affect Epic targets',0,3),
(49737,70089,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(49738,70090,1,100,'Mesmerizes target',0,0),
(49739,70090,1,100,'Prevents AOE (except when direct) ',0,1),
(49740,70090,1,100,'Dispelled when target takes damage',0,2),
(49741,70090,1,100,'Does not affect Epic targets',0,3),
(49742,70090,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(49743,70090,4,100,'Mesmerizes target',0,0),
(49744,70090,4,100,'Prevents AOE (except when direct) ',0,1),
(49745,70090,4,100,'Dispelled when target takes damage',0,2),
(49746,70090,4,100,'Does not affect Epic targets',0,3),
(49747,70090,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(49748,70090,5,100,'Mesmerizes target',0,0),
(49749,70090,5,100,'Prevents AOE (except when direct) ',0,1),
(49750,70090,5,100,'Dispelled when target takes damage',0,2),
(49751,70090,5,100,'Does not affect Epic targets',0,3),
(49752,70090,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(49753,70090,7,100,'Mesmerizes target',0,0),
(49754,70090,7,100,'Prevents AOE (except when direct) ',0,1),
(49755,70090,7,100,'Dispelled when target takes damage',0,2),
(49756,70090,7,100,'Does not affect Epic targets',0,3),
(49757,70090,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(49758,70090,9,100,'Mesmerizes target',0,0),
(49759,70090,9,100,'Prevents AOE (except when direct) ',0,1),
(49760,70090,9,100,'Dispelled when target takes damage',0,2),
(49761,70090,9,100,'Does not affect Epic targets',0,3),
(49762,70090,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(49763,70091,1,100,'Mesmerizes target',0,0),
(49764,70091,1,100,'Prevents AOE (except when direct) ',0,1),
(49765,70091,1,100,'Dispelled when target takes damage',0,2),
(49766,70091,1,100,'Does not affect Epic targets',0,3),
(49767,70091,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(49768,70091,4,100,'Mesmerizes target',0,0),
(49769,70091,4,100,'Prevents AOE (except when direct) ',0,1),
(49770,70091,4,100,'Dispelled when target takes damage',0,2),
(49771,70091,4,100,'Does not affect Epic targets',0,3),
(49772,70091,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(49773,70091,5,100,'Mesmerizes target',0,0),
(49774,70091,5,100,'Prevents AOE (except when direct) ',0,1),
(49775,70091,5,100,'Dispelled when target takes damage',0,2),
(49776,70091,5,100,'Does not affect Epic targets',0,3),
(49777,70091,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(49778,70091,7,100,'Mesmerizes target',0,0),
(49779,70091,7,100,'Prevents AOE (except when direct) ',0,1),
(49780,70091,7,100,'Dispelled when target takes damage',0,2),
(49781,70091,7,100,'Does not affect Epic targets',0,3),
(49782,70091,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(49783,70091,9,100,'Mesmerizes target',0,0),
(49784,70091,9,100,'Prevents AOE (except when direct) ',0,1),
(49785,70091,9,100,'Dispelled when target takes damage',0,2),
(49786,70091,9,100,'Does not affect Epic targets',0,3),
(49787,70091,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(49788,2000146,1,100,'On a hit this spell will cast Noxious Venom on target of attack.  Lasts for 48.0 seconds.  ',0,0),
(49789,2000146,1,100,'Inflicts 416 - 693 poison damage on target instantly and every 6 seconds',1,1),
(49790,2000146,1,100,'Blurs vision of target',1,2),
(49791,2000146,1,100,'Decreases Crushing, Piercing, Slashing, Ministration, Ordination, Disruption, Subjugation and Focus of target by 33.0',1,3),
(49792,2000146,1,100,'Grants a total of 1 trigger of the spell.',1,4),
(49793,2000147,1,100,'Interrupts target',0,0),
(49794,2000147,1,100,'Inflicts 4 - 5 divine damage on target',0,1),
(49795,2000147,2,100,'Interrupts target',0,0),
(49796,2000147,2,100,'Inflicts 731 - 893 divine damage on target',0,1),
(49797,2000147,3,100,'Interrupts target',0,0),
(49798,2000147,3,100,'Inflicts 769 - 940 divine damage on target',0,1),
(49799,2000147,4,100,'Interrupts target',0,0),
(49800,2000147,4,100,'Inflicts 846 - 1034 divine damage on target',0,1),
(49801,2000147,5,100,'Interrupts target',0,0),
(49802,2000147,5,100,'Inflicts 923 - 1128 divine damage on target',0,1),
(49803,30102,1,100,'Increases STA of caster by 14.6',0,0),
(49806,30102,2,100,'Increases STA of caster by 15.4',0,0),
(49809,30102,3,100,'Increases STA of caster by 16.2',0,0),
(49812,30102,4,100,'Increases STA of caster by 17.8',0,0),
(49815,30102,5,100,'Increases STA of caster by 19.4',0,0),
(49818,30102,7,100,'Increases STA of caster by 24.9',0,0),
(49821,30102,9,100,'Increases STA of caster by 25.9',0,0),
(49824,30103,1,100,'Increases STA of caster by 22.0',0,0),
(49825,30103,1,100,'Reduces slow effects on caster by 8.1%',0,1),
(49826,30103,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 583',0,2),
(49827,30103,2,100,'Increases STA of caster by 23.2',0,0),
(49828,30103,2,100,'Reduces slow effects on caster by 8.6%',0,1),
(49829,30103,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 615',0,2),
(49830,30103,3,100,'Increases STA of caster by 24.5',0,0),
(49831,30103,3,100,'Reduces slow effects on caster by 9.0%',0,1),
(49832,30103,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 648',0,2),
(49833,30103,4,100,'Increases STA of caster by 26.9',0,0),
(49834,30103,4,100,'Reduces slow effects on caster by 9.9%',0,1),
(49835,30103,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 713',0,2),
(49836,30103,5,100,'Increases STA of caster by 29.3',0,0),
(49837,30103,5,100,'Reduces slow effects on caster by 10.8%',0,1),
(49838,30103,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 777',0,2),
(49839,30103,7,100,'Increases STA of caster by 37.7',0,0),
(49840,30103,7,100,'Reduces slow effects on caster by 13.9%',0,1),
(49841,30103,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 998',0,2),
(49842,30103,9,100,'Increases STA of caster by 39.1',0,0),
(49843,30103,9,100,'Reduces slow effects on caster by 14.4%',0,1),
(49844,30103,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1037',0,2),
(49845,30103,10,100,'Increases STA of caster by 41.1',0,0),
(49846,30103,10,100,'Reduces slow effects on caster by 15.1%',0,1),
(49847,30103,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1088',0,2),
(49848,30104,1,100,'Increases STA of caster by 29.6',0,0),
(49849,30104,1,100,'Reduces slow effects on caster by 10.3%',0,1),
(49850,30104,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 777',0,2),
(49851,30104,2,100,'Increases STA of caster by 31.2',0,0),
(49852,30104,2,100,'Reduces slow effects on caster by 10.9%',0,1),
(49853,30104,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 821',0,2),
(49854,30104,3,100,'Increases STA of caster by 32.8',0,0),
(49855,30104,3,100,'Reduces slow effects on caster by 11.5%',0,1),
(49856,30104,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 864',0,2),
(49857,30104,4,100,'Increases STA of caster by 36.1',0,0),
(49858,30104,4,100,'Reduces slow effects on caster by 12.7%',0,1),
(49859,30104,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 950',0,2),
(49860,30104,5,100,'Increases STA of caster by 39.4',0,0),
(49861,30104,5,100,'Reduces slow effects on caster by 13.8%',0,1),
(49862,30104,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1037',0,2),
(49863,30104,7,100,'Increases STA of caster by 50.6',0,0),
(49864,30104,7,100,'Reduces slow effects on caster by 17.7%',0,1),
(49865,30104,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1330',0,2),
(49866,30104,9,100,'Increases STA of caster by 52.6',0,0),
(49867,30104,9,100,'Reduces slow effects on caster by 18.4%',0,1),
(49868,30104,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1382',0,2),
(49869,30105,1,100,'Increases STA of caster by 37.1',0,0),
(49870,30105,1,100,'Reduces slow effects on caster by 13.5%',0,1),
(49871,30105,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 972',0,2),
(49872,30105,2,100,'Increases STA of caster by 39.2',0,0),
(49873,30105,2,100,'Reduces slow effects on caster by 14.3%',0,1),
(49874,30105,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1026',0,2),
(49875,30105,3,100,'Increases STA of caster by 41.2',0,0),
(49876,30105,3,100,'Reduces slow effects on caster by 15.0%',0,1),
(49877,30105,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1080',0,2),
(49878,30105,4,100,'Increases STA of caster by 45.4',0,0),
(49879,30105,4,100,'Reduces slow effects on caster by 16.5%',0,1),
(49880,30105,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1188',0,2),
(49881,30105,5,100,'Increases STA of caster by 49.5',0,0),
(49882,30105,5,100,'Reduces slow effects on caster by 18.0%',0,1),
(49883,30105,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1296',0,2),
(49884,30105,7,100,'Increases STA of caster by 63.5',0,0),
(49885,30105,7,100,'Reduces slow effects on caster by 23.1%',0,1),
(49886,30105,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1663',0,2),
(49887,30105,9,100,'Increases STA of caster by 66.0',0,0),
(49888,30105,9,100,'Reduces slow effects on caster by 24.0%',0,1),
(49889,30105,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1728',0,2),
(49890,30106,1,100,'Increases STA of caster by 44.5',0,0),
(49891,30106,1,100,'Reduces slow effects on caster by 18.0%',0,1),
(49892,30106,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1111',0,2),
(49893,30106,2,100,'Increases STA of caster by 47.0',0,0),
(49894,30106,2,100,'Reduces slow effects on caster by 19.0%',0,1),
(49895,30106,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1172',0,2),
(49896,30106,3,100,'Increases STA of caster by 49.5',0,0),
(49897,30106,3,100,'Reduces slow effects on caster by 20.0%',0,1),
(49898,30106,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1234',0,2),
(49899,30106,4,100,'Increases STA of caster by 54.5',0,0),
(49900,30106,4,100,'Reduces slow effects on caster by 22.0%',0,1),
(49901,30106,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1357',0,2),
(49902,30106,5,100,'Increases STA of caster by 59.4',0,0),
(49903,30106,5,100,'Reduces slow effects on caster by 24.0%',0,1),
(49904,30106,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1481',0,2),
(49905,30106,7,100,'Increases STA of caster by 76.2',0,0),
(49906,30106,7,100,'Reduces slow effects on caster by 30.8%',0,1),
(49907,30106,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1900',0,2),
(49908,30106,9,100,'Increases STA of caster by 79.2',0,0),
(49909,30106,9,100,'Reduces slow effects on caster by 32.0%',0,1),
(49910,30106,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1974',0,2),
(49911,30107,1,100,'Increases STA of caster by 52.0',0,0),
(49912,30107,1,100,'Reduces slow effects on caster by 20.3%',0,1),
(49913,30107,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1437',0,2),
(49914,30107,4,100,'Increases STA of caster by 63.5',0,0),
(49915,30107,4,100,'Reduces slow effects on caster by 24.8%',0,1),
(49916,30107,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1756',0,2),
(49917,30107,5,100,'Increases STA of caster by 69.3',0,0),
(49918,30107,5,100,'Reduces slow effects on caster by 27.0%',0,1),
(49919,30107,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1916',0,2),
(49920,30107,7,100,'Increases STA of caster by 88.9',0,0),
(49921,30107,7,100,'Reduces slow effects on caster by 34.6%',0,1),
(49922,30107,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2459',0,2),
(49923,30107,9,100,'Increases STA of caster by 92.4',0,0),
(49924,30107,9,100,'Reduces slow effects on caster by 36.0%',0,1),
(49925,30107,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2554',0,2),
(49926,30108,1,100,'Increases STA of caster by 59.4',0,0),
(49927,30108,1,100,'Reduces slow effects on caster by 22.5%',0,1),
(49928,30108,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1596',0,2),
(49929,30108,4,100,'Increases STA of caster by 72.6',0,0),
(49930,30108,4,100,'Reduces slow effects on caster by 27.5%',0,1),
(49931,30108,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1951',0,2),
(49932,30108,5,100,'Increases STA of caster by 79.2',0,0),
(49933,30108,5,100,'Reduces slow effects on caster by 30.0%',0,1),
(49934,30108,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2129',0,2),
(49935,30108,7,100,'Increases STA of caster by 101.6',0,0),
(49936,30108,7,100,'Reduces slow effects on caster by 38.5%',0,1),
(49937,30108,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2732',0,2),
(49938,30108,9,100,'Increases STA of caster by 105.6',0,0),
(49939,30108,9,100,'Reduces slow effects on caster by 40.0%',0,1),
(49940,30108,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2838',0,2),
(49941,370016,1,100,'Inflicts 24 - 41 disease damage on target',0,0),
(49942,370016,1,100,'Inflicts 24 - 41 disease damage on target',0,1),
(49943,370016,1,100,'Roots target',0,2),
(49944,370016,1,100,'If Target is not Epic',1,3),
(49945,370016,1,100,'If weapon equipped in Ranged',0,4),
(49946,370016,1,100,'Resistibility increases against targets higher than level 29.',0,5),
(49947,370016,2,100,'Inflicts 26 - 43 disease damage on target',0,0),
(49948,370016,2,100,'Inflicts 26 - 43 disease damage on target',0,1),
(49949,370016,2,100,'Roots target',0,2),
(49950,370016,2,100,'If Target is not Epic',1,3),
(49951,370016,2,100,'If weapon equipped in Ranged',0,4),
(49952,370016,2,100,'Resistibility increases against targets higher than level 29.',0,5),
(49953,370016,3,100,'Inflicts 27 - 46 disease damage on target',0,0),
(49954,370016,3,100,'Inflicts 27 - 46 disease damage on target',0,1),
(49955,370016,3,100,'Roots target',0,2),
(49956,370016,3,100,'If Target is not Epic',1,3),
(49957,370016,3,100,'If weapon equipped in Ranged',0,4),
(49958,370016,3,100,'Resistibility increases against targets higher than level 29.',0,5),
(49959,370016,4,100,'Inflicts 30 - 50 disease damage on target',0,0),
(49960,370016,4,100,'Inflicts 30 - 50 disease damage on target',0,1),
(49961,370016,4,100,'Roots target',0,2),
(49962,370016,4,100,'If Target is not Epic',1,3),
(49963,370016,4,100,'If weapon equipped in Ranged',0,4),
(49964,370016,4,100,'Resistibility increases against targets higher than level 29.',0,5),
(49965,370016,5,100,'Inflicts 33 - 55 disease damage on target',0,0),
(49966,370016,5,100,'Inflicts 33 - 55 disease damage on target',0,1),
(49967,370016,5,100,'Roots target',0,2),
(49968,370016,5,100,'If Target is not Epic',1,3),
(49969,370016,5,100,'If weapon equipped in Ranged',0,4),
(49970,370016,5,100,'Resistibility increases against targets higher than level 29.',0,5),
(49971,370016,7,100,'Inflicts 42 - 71 disease damage on target',0,0),
(49972,370016,7,100,'Inflicts 42 - 71 disease damage on target',0,1),
(49973,370016,7,100,'Roots target',0,2),
(49974,370016,7,100,'If Target is not Epic',1,3),
(49975,370016,7,100,'If weapon equipped in Ranged',0,4),
(49976,370016,7,100,'Resistibility increases against targets higher than level 29.',0,5),
(49977,370016,9,100,'Inflicts 44 - 73 disease damage on target',0,0),
(49978,370016,9,100,'Inflicts 44 - 73 disease damage on target',0,1),
(49979,370016,9,100,'Roots target',0,2),
(49980,370016,9,100,'If Target is not Epic',1,3),
(49981,370016,9,100,'If weapon equipped in Ranged',0,4),
(49982,370016,9,100,'Resistibility increases against targets higher than level 29.',0,5),
(49983,370017,1,100,'Inflicts 49 - 82 disease damage on target',0,0),
(49984,370017,1,100,'Inflicts 49 - 82 disease damage on target',0,1),
(49985,370017,1,100,'Roots target',0,2),
(49986,370017,1,100,'If Target is not Epic',1,3),
(49987,370017,1,100,'If weapon equipped in Ranged',0,4),
(49988,370017,1,100,'Resistibility increases against targets higher than level 29.',0,5),
(49989,370017,2,100,'Inflicts 52 - 86 disease damage on target',0,0),
(49990,370017,2,100,'Inflicts 52 - 86 disease damage on target',0,1),
(49991,370017,2,100,'Roots target',0,2),
(49992,370017,2,100,'If Target is not Epic',1,3),
(49993,370017,2,100,'If weapon equipped in Ranged',0,4),
(49994,370017,2,100,'Resistibility increases against targets higher than level 29.',0,5),
(49995,370017,3,100,'Inflicts 54 - 91 disease damage on target',0,0),
(49996,370017,3,100,'Inflicts 54 - 91 disease damage on target',0,1),
(49997,370017,3,100,'Roots target',0,2),
(49998,370017,3,100,'If Target is not Epic',1,3),
(49999,370017,3,100,'If weapon equipped in Ranged',0,4),
(50000,370017,3,100,'Resistibility increases against targets higher than level 29.',0,5),
(50001,370017,4,100,'Inflicts 60 - 100 disease damage on target',0,0),
(50002,370017,4,100,'Inflicts 60 - 100 disease damage on target',0,1),
(50003,370017,4,100,'Roots target',0,2),
(50004,370017,4,100,'If Target is not Epic',1,3),
(50005,370017,4,100,'If weapon equipped in Ranged',0,4),
(50006,370017,4,100,'Resistibility increases against targets higher than level 29.',0,5),
(50007,370017,5,100,'Inflicts 65 - 109 disease damage on target',0,0),
(50008,370017,5,100,'Inflicts 65 - 109 disease damage on target',0,1),
(50009,370017,5,100,'Roots target',0,2),
(50010,370017,5,100,'If Target is not Epic',1,3),
(50011,370017,5,100,'If weapon equipped in Ranged',0,4),
(50012,370017,5,100,'Resistibility increases against targets higher than level 29.',0,5),
(50013,370017,7,100,'Inflicts 84 - 140 disease damage on target',0,0),
(50014,370017,7,100,'Inflicts 84 - 140 disease damage on target',0,1),
(50015,370017,7,100,'Roots target',0,2),
(50016,370017,7,100,'If Target is not Epic',1,3),
(50017,370017,7,100,'If weapon equipped in Ranged',0,4),
(50018,370017,7,100,'Resistibility increases against targets higher than level 29.',0,5),
(50019,370017,9,100,'Inflicts 87 - 145 disease damage on target',0,0),
(50020,370017,9,100,'Inflicts 87 - 145 disease damage on target',0,1),
(50021,370017,9,100,'Roots target',0,2),
(50022,370017,9,100,'If Target is not Epic',1,3),
(50023,370017,9,100,'If weapon equipped in Ranged',0,4),
(50024,370017,9,100,'Resistibility increases against targets higher than level 29.',0,5),
(50025,370018,1,100,'Inflicts 76 - 127 disease damage on target',0,0),
(50026,370018,1,100,'Inflicts 76 - 127 disease damage on target',0,1),
(50027,370018,1,100,'Roots target',0,2),
(50028,370018,1,100,'If Target is not Epic',1,3),
(50029,370018,1,100,'If weapon equipped in Ranged',0,4),
(50030,370018,1,100,'Resistibility increases against targets higher than level 29.',0,5),
(50031,370018,2,100,'Inflicts 80 - 134 disease damage on target',0,0),
(50032,370018,2,100,'Inflicts 80 - 134 disease damage on target',0,1),
(50033,370018,2,100,'Roots target',0,2),
(50034,370018,2,100,'If Target is not Epic',1,3),
(50035,370018,2,100,'If weapon equipped in Ranged',0,4),
(50036,370018,2,100,'Resistibility increases against targets higher than level 29.',0,5),
(50037,370018,3,100,'Inflicts 85 - 141 disease damage on target',0,0),
(50038,370018,3,100,'Inflicts 85 - 141 disease damage on target',0,1),
(50039,370018,3,100,'Roots target',0,2),
(50040,370018,3,100,'If Target is not Epic',1,3),
(50041,370018,3,100,'If weapon equipped in Ranged',0,4),
(50042,370018,3,100,'Resistibility increases against targets higher than level 29.',0,5),
(50043,370018,4,100,'Inflicts 93 - 156 disease damage on target',0,0),
(50044,370018,4,100,'Inflicts 93 - 156 disease damage on target',0,1),
(50045,370018,4,100,'Roots target',0,2),
(50046,370018,4,100,'If Target is not Epic',1,3),
(50047,370018,4,100,'If weapon equipped in Ranged',0,4),
(50048,370018,4,100,'Resistibility increases against targets higher than level 29.',0,5),
(50049,370018,5,100,'Inflicts 102 - 170 disease damage on target',0,0),
(50050,370018,5,100,'Inflicts 102 - 170 disease damage on target',0,1),
(50051,370018,5,100,'Roots target',0,2),
(50052,370018,5,100,'If Target is not Epic',1,3),
(50053,370018,5,100,'If weapon equipped in Ranged',0,4),
(50054,370018,5,100,'Resistibility increases against targets higher than level 29.',0,5),
(50055,370018,7,100,'Inflicts 131 - 218 disease damage on target',0,0),
(50056,370018,7,100,'Inflicts 131 - 218 disease damage on target',0,1),
(50057,370018,7,100,'Roots target',0,2),
(50058,370018,7,100,'If Target is not Epic',1,3),
(50059,370018,7,100,'If weapon equipped in Ranged',0,4),
(50060,370018,7,100,'Resistibility increases against targets higher than level 29.',0,5),
(50061,370018,9,100,'Inflicts 136 - 227 disease damage on target',0,0),
(50062,370018,9,100,'Inflicts 136 - 227 disease damage on target',0,1),
(50063,370018,9,100,'Roots target',0,2),
(50064,370018,9,100,'If Target is not Epic',1,3),
(50065,370018,9,100,'If weapon equipped in Ranged',0,4),
(50066,370018,9,100,'Resistibility increases against targets higher than level 29.',0,5),
(50067,370019,1,100,'Inflicts 108 - 180 disease damage on target',0,0),
(50068,370019,1,100,'Inflicts 108 - 180 disease damage on target',0,1),
(50069,370019,1,100,'Roots target',0,2),
(50070,370019,1,100,'If Target is not Epic',1,3),
(50071,370019,1,100,'If weapon equipped in Ranged',0,4),
(50072,370019,1,100,'Resistibility increases against targets higher than level 29.',0,5),
(50073,370019,2,100,'Inflicts 114 - 191 disease damage on target',0,0),
(50074,370019,2,100,'Inflicts 114 - 191 disease damage on target',0,1),
(50075,370019,2,100,'Roots target',0,2),
(50076,370019,2,100,'If Target is not Epic',1,3),
(50077,370019,2,100,'If weapon equipped in Ranged',0,4),
(50078,370019,2,100,'Resistibility increases against targets higher than level 29.',0,5),
(50079,370019,3,100,'Inflicts 120 - 201 disease damage on target',0,0),
(50080,370019,3,100,'Inflicts 120 - 201 disease damage on target',0,1),
(50081,370019,3,100,'Roots target',0,2),
(50082,370019,3,100,'If Target is not Epic',1,3),
(50083,370019,3,100,'If weapon equipped in Ranged',0,4),
(50084,370019,3,100,'Resistibility increases against targets higher than level 29.',0,5),
(50085,370019,4,100,'Inflicts 132 - 221 disease damage on target',0,0),
(50086,370019,4,100,'Inflicts 132 - 221 disease damage on target',0,1),
(50087,370019,4,100,'Roots target',0,2),
(50088,370019,4,100,'If Target is not Epic',1,3),
(50089,370019,4,100,'If weapon equipped in Ranged',0,4),
(50090,370019,4,100,'Resistibility increases against targets higher than level 29.',0,5),
(50091,370019,5,100,'Inflicts 144 - 241 disease damage on target',0,0),
(50092,370019,5,100,'Inflicts 144 - 241 disease damage on target',0,1),
(50093,370019,5,100,'Roots target',0,2),
(50094,370019,5,100,'If Target is not Epic',1,3),
(50095,370019,5,100,'If weapon equipped in Ranged',0,4),
(50096,370019,5,100,'Resistibility increases against targets higher than level 29.',0,5),
(50097,370019,7,100,'Inflicts 185 - 309 disease damage on target',0,0),
(50098,370019,7,100,'Inflicts 185 - 309 disease damage on target',0,1),
(50099,370019,7,100,'Roots target',0,2),
(50100,370019,7,100,'If Target is not Epic',1,3),
(50101,370019,7,100,'If weapon equipped in Ranged',0,4),
(50102,370019,7,100,'Resistibility increases against targets higher than level 29.',0,5),
(50103,370019,9,100,'Inflicts 193 - 321 disease damage on target',0,0),
(50104,370019,9,100,'Inflicts 193 - 321 disease damage on target',0,1),
(50105,370019,9,100,'Roots target',0,2),
(50106,370019,9,100,'If Target is not Epic',1,3),
(50107,370019,9,100,'If weapon equipped in Ranged',0,4),
(50108,370019,9,100,'Resistibility increases against targets higher than level 29.',0,5),
(50109,370020,1,100,'Inflicts 138 - 231 disease damage on target',0,0),
(50110,370020,1,100,'Inflicts 138 - 231 disease damage on target',0,1),
(50111,370020,1,100,'Roots target',0,2),
(50112,370020,1,100,'If Target is not Epic',1,3),
(50113,370020,1,100,'If weapon equipped in Ranged',0,4),
(50114,370020,1,100,'Resistibility increases against targets higher than level 29.',0,5),
(50115,370020,2,100,'Inflicts 146 - 244 disease damage on target',0,0),
(50116,370020,2,100,'Inflicts 146 - 244 disease damage on target',0,1),
(50117,370020,2,100,'Roots target',0,2),
(50118,370020,2,100,'If Target is not Epic',1,3),
(50119,370020,2,100,'If weapon equipped in Ranged',0,4),
(50120,370020,2,100,'Resistibility increases against targets higher than level 29.',0,5),
(50121,370020,3,100,'Inflicts 154 - 257 disease damage on target',0,0),
(50122,370020,3,100,'Inflicts 154 - 257 disease damage on target',0,1),
(50123,370020,3,100,'Roots target',0,2),
(50124,370020,3,100,'If Target is not Epic',1,3),
(50125,370020,3,100,'If weapon equipped in Ranged',0,4),
(50126,370020,3,100,'Resistibility increases against targets higher than level 29.',0,5),
(50127,370020,4,100,'Inflicts 169 - 282 disease damage on target',0,0),
(50128,370020,4,100,'Inflicts 169 - 282 disease damage on target',0,1),
(50129,370020,4,100,'Roots target',0,2),
(50130,370020,4,100,'If Target is not Epic',1,3),
(50131,370020,4,100,'If weapon equipped in Ranged',0,4),
(50132,370020,4,100,'Resistibility increases against targets higher than level 29.',0,5),
(50133,370020,5,100,'Inflicts 185 - 308 disease damage on target',0,0),
(50134,370020,5,100,'Inflicts 185 - 308 disease damage on target',0,1),
(50135,370020,5,100,'Roots target',0,2),
(50136,370020,5,100,'If Target is not Epic',1,3),
(50137,370020,5,100,'If weapon equipped in Ranged',0,4),
(50138,370020,5,100,'Resistibility increases against targets higher than level 29.',0,5),
(50139,370020,7,100,'Inflicts 237 - 395 disease damage on target',0,0),
(50140,370020,7,100,'Inflicts 237 - 395 disease damage on target',0,1),
(50141,370020,7,100,'Roots target',0,2),
(50142,370020,7,100,'If Target is not Epic',1,3),
(50143,370020,7,100,'If weapon equipped in Ranged',0,4),
(50144,370020,7,100,'Resistibility increases against targets higher than level 29.',0,5),
(50145,370020,9,100,'Inflicts 246 - 411 disease damage on target',0,0),
(50146,370020,9,100,'Inflicts 246 - 411 disease damage on target',0,1),
(50147,370020,9,100,'Roots target',0,2),
(50148,370020,9,100,'If Target is not Epic',1,3),
(50149,370020,9,100,'If weapon equipped in Ranged',0,4),
(50150,370020,9,100,'Resistibility increases against targets higher than level 29.',0,5),
(50151,370021,1,100,'Inflicts 168 - 280 disease damage on target',0,0),
(50152,370021,1,100,'Inflicts 168 - 280 disease damage on target',0,1),
(50153,370021,1,100,'Roots target',0,2),
(50154,370021,1,100,'If Target is not Epic',1,3),
(50155,370021,1,100,'If weapon equipped in Ranged',0,4),
(50156,370021,1,100,'Resistibility increases against targets higher than level 29.',0,5),
(50157,370021,4,100,'Inflicts 205 - 342 disease damage on target',0,0),
(50158,370021,4,100,'Inflicts 205 - 342 disease damage on target',0,1),
(50159,370021,4,100,'Roots target',0,2),
(50160,370021,4,100,'If Target is not Epic',1,3),
(50161,370021,4,100,'If weapon equipped in Ranged',0,4),
(50162,370021,4,100,'Resistibility increases against targets higher than level 29.',0,5),
(50163,370021,5,100,'Inflicts 224 - 373 disease damage on target',0,0),
(50164,370021,5,100,'Inflicts 224 - 373 disease damage on target',0,1),
(50165,370021,5,100,'Roots target',0,2),
(50166,370021,5,100,'If Target is not Epic',1,3),
(50167,370021,5,100,'If weapon equipped in Ranged',0,4),
(50168,370021,5,100,'Resistibility increases against targets higher than level 29.',0,5),
(50169,370021,7,100,'Inflicts 287 - 479 disease damage on target',0,0),
(50170,370021,7,100,'Inflicts 287 - 479 disease damage on target',0,1),
(50171,370021,7,100,'Roots target',0,2),
(50172,370021,7,100,'If Target is not Epic',1,3),
(50173,370021,7,100,'If weapon equipped in Ranged',0,4),
(50174,370021,7,100,'Resistibility increases against targets higher than level 29.',0,5),
(50175,370021,9,100,'Inflicts 299 - 498 disease damage on target',0,0),
(50176,370021,9,100,'Inflicts 299 - 498 disease damage on target',0,1),
(50177,370021,9,100,'Roots target',0,2),
(50178,370021,9,100,'If Target is not Epic',1,3),
(50179,370021,9,100,'If weapon equipped in Ranged',0,4),
(50180,370021,9,100,'Resistibility increases against targets higher than level 29.',0,5),
(50181,370022,1,100,'Inflicts 199 - 332 disease damage on target',0,0),
(50182,370022,1,100,'Inflicts 199 - 332 disease damage on target',0,1),
(50183,370022,1,100,'Roots target',0,2),
(50184,370022,1,100,'If Target is not Epic',1,3),
(50185,370022,1,100,'If weapon equipped in Ranged',0,4),
(50186,370022,1,100,'Resistibility increases against targets higher than level 29.',0,5),
(50187,370022,4,100,'Inflicts 243 - 406 disease damage on target',0,0),
(50188,370022,4,100,'Inflicts 243 - 406 disease damage on target',0,1),
(50189,370022,4,100,'Roots target',0,2),
(50190,370022,4,100,'If Target is not Epic',1,3),
(50191,370022,4,100,'If weapon equipped in Ranged',0,4),
(50192,370022,4,100,'Resistibility increases against targets higher than level 29.',0,5),
(50193,370022,5,100,'Inflicts 266 - 443 disease damage on target',0,0),
(50194,370022,5,100,'Inflicts 266 - 443 disease damage on target',0,1),
(50195,370022,5,100,'Roots target',0,2),
(50196,370022,5,100,'If Target is not Epic',1,3),
(50197,370022,5,100,'If weapon equipped in Ranged',0,4),
(50198,370022,5,100,'Resistibility increases against targets higher than level 29.',0,5),
(50199,370022,7,100,'Inflicts 341 - 569 disease damage on target',0,0),
(50200,370022,7,100,'Inflicts 341 - 569 disease damage on target',0,1),
(50201,370022,7,100,'Roots target',0,2),
(50202,370022,7,100,'If Target is not Epic',1,3),
(50203,370022,7,100,'If weapon equipped in Ranged',0,4),
(50204,370022,7,100,'Resistibility increases against targets higher than level 29.',0,5),
(50205,370022,9,100,'Inflicts 354 - 591 disease damage on target',0,0),
(50206,370022,9,100,'Inflicts 354 - 591 disease damage on target',0,1),
(50207,370022,9,100,'Roots target',0,2),
(50208,370022,9,100,'If Target is not Epic',1,3),
(50209,370022,9,100,'If weapon equipped in Ranged',0,4),
(50210,370022,9,100,'Resistibility increases against targets higher than level 29.',0,5),
(50211,2000148,1,100,'Inflicts 637 - 956 melee damage on targets in Area of Effect',0,0),
(50212,2000148,1,100,'Increases threat priority of targets in Area of Effect by 3 positions',0,1),
(50213,2000149,1,100,'Inflicts 611 - 917 melee damage on target',0,0),
(50214,2000149,2,100,'Inflicts 484 - 726 melee damage on target',0,0),
(50215,2000149,3,100,'Inflicts 679 - 1019 melee damage on target',0,0),
(50216,2000149,4,100,'Inflicts 560 - 841 melee damage on target',0,0),
(50217,2000149,5,100,'Inflicts 815 - 1223 melee damage on target',0,0),
(50218,2000149,6,100,'Inflicts 883 - 1325 melee damage on target',0,0),
(50219,2000149,7,100,'Inflicts 785 - 1177 melee damage on target',0,0),
(50220,2000149,8,100,'Inflicts 790 - 1185 melee damage on target',0,0),
(50221,2000149,9,100,'Inflicts 815 - 1223 melee damage on target',0,0),
(50222,2000149,10,100,'Inflicts 1141 - 1712 melee damage on target',0,0),
(50223,40117,1,100,'Increases Crit Bonus of caster by 15.3%',0,0),
(50224,40117,1,100,'Decreases Defense and Parry of caster by 2.2',0,1),
(50225,40117,1,100,'Decreases Mitigation of caster vs all damage by 3467',0,2),
(50226,40117,1,100,'All combat arts have their damage increased by 17%',0,3),
(50227,40117,1,100,'If any of the following are true:',0,4),
(50228,40117,1,100,'This ability can only be used while berserk!',1,5),
(50229,40117,1,100,'This ability can only be used while berserk!',0,6),
(50230,40117,2,100,'Increases Crit Bonus of caster by 16.1%',0,0),
(50231,40117,2,100,'Decreases Defense and Parry of caster by 2.1',0,1),
(50232,40117,2,100,'Decreases Mitigation of caster vs all damage by 3284',0,2),
(50233,40117,2,100,'All combat arts have their damage increased by 17%',0,3),
(50234,40117,2,100,'If any of the following are true:',0,4),
(50235,40117,2,100,'This ability can only be used while berserk!',1,5),
(50236,40117,2,100,'This ability can only be used while berserk!',0,6),
(50237,40117,3,100,'Increases Crit Bonus of caster by 17.0%',0,0),
(50238,40117,3,100,'Decreases Defense and Parry of caster by 2.0',0,1),
(50239,40117,3,100,'Decreases Mitigation of caster vs all damage by 3120',0,2),
(50240,40117,3,100,'All combat arts have their damage increased by 17%',0,3),
(50241,40117,3,100,'If any of the following are true:',0,4),
(50242,40117,3,100,'This ability can only be used while berserk!',1,5),
(50243,40117,3,100,'This ability can only be used while berserk!',0,6),
(50244,40117,4,100,'Increases Crit Bonus of caster by 18.7%',0,0),
(50245,40117,4,100,'Decreases Defense and Parry of caster by 1.8',0,1),
(50246,40117,4,100,'Decreases Mitigation of caster vs all damage by 2836',0,2),
(50247,40117,4,100,'All combat arts have their damage increased by 17%',0,3),
(50248,40117,4,100,'If any of the following are true:',0,4),
(50249,40117,4,100,'This ability can only be used while berserk!',1,5),
(50250,40117,4,100,'This ability can only be used while berserk!',0,6),
(50251,40117,5,100,'Increases Crit Bonus of caster by 20.4%',0,0),
(50252,40117,5,100,'Decreases Defense and Parry of caster by 1.7',0,1),
(50253,40117,5,100,'Decreases Mitigation of caster vs all damage by 2600',0,2),
(50254,40117,5,100,'All combat arts have their damage increased by 17%',0,3),
(50255,40117,5,100,'If any of the following are true:',0,4),
(50256,40117,5,100,'This ability can only be used while berserk!',1,5),
(50257,40117,5,100,'This ability can only be used while berserk!',0,6),
(50258,40117,7,100,'Increases Crit Bonus of caster by 26.2%',0,0),
(50259,40117,7,100,'Decreases Defense and Parry of caster by 1.3',0,1),
(50260,40117,7,100,'Decreases Mitigation of caster vs all damage by 2026',0,2),
(50261,40117,7,100,'All combat arts have their damage increased by 17%',0,3),
(50262,40117,7,100,'If any of the following are true:',0,4),
(50263,40117,7,100,'This ability can only be used while berserk!',1,5),
(50264,40117,7,100,'This ability can only be used while berserk!',0,6),
(50265,40117,9,100,'Increases Crit Bonus of caster by 27.2%',0,0),
(50266,40117,9,100,'Decreases Defense and Parry of caster by 1.3',0,1),
(50267,40117,9,100,'Decreases Mitigation of caster vs all damage by 1950',0,2),
(50268,40117,9,100,'All combat arts have their damage increased by 17%',0,3),
(50269,40117,9,100,'If any of the following are true:',0,4),
(50270,40117,9,100,'This ability can only be used while berserk!',1,5),
(50271,40117,9,100,'This ability can only be used while berserk!',0,6),
(50272,400106,1,100,'Inflicts 123 - 206 slashing damage on target',0,0),
(50273,400106,1,100,'Stifles target',0,1),
(50274,400106,1,100,'If Target is not Epic',1,2),
(50275,400106,1,100,'You must be in stealth.',0,3),
(50276,400106,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(50277,400106,2,100,'Inflicts 130 - 218 slashing damage on target',0,0),
(50278,400106,2,100,'Stifles target',0,1),
(50279,400106,2,100,'If Target is not Epic',1,2),
(50280,400106,2,100,'You must be in stealth.',0,3),
(50281,400106,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(50282,400106,3,100,'Inflicts 137 - 229 slashing damage on target',0,0),
(50283,400106,3,100,'Stifles target',0,1),
(50284,400106,3,100,'If Target is not Epic',1,2),
(50285,400106,3,100,'You must be in stealth.',0,3),
(50286,400106,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(50287,400106,4,100,'Inflicts 151 - 252 slashing damage on target',0,0),
(50288,400106,4,100,'Stifles target',0,1),
(50289,400106,4,100,'If Target is not Epic',1,2),
(50290,400106,4,100,'You must be in stealth.',0,3),
(50291,400106,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(50292,400106,5,100,'Inflicts 165 - 275 slashing damage on target',0,0),
(50293,400106,5,100,'Stifles target',0,1),
(50294,400106,5,100,'If Target is not Epic',1,2),
(50295,400106,5,100,'You must be in stealth.',0,3),
(50296,400106,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(50297,400106,7,100,'Inflicts 212 - 353 slashing damage on target',0,0),
(50298,400106,7,100,'Stifles target',0,1),
(50299,400106,7,100,'If Target is not Epic',1,2),
(50300,400106,7,100,'You must be in stealth.',0,3),
(50301,400106,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(50302,400106,9,100,'Inflicts 220 - 367 slashing damage on target',0,0),
(50303,400106,9,100,'Stifles target',0,1),
(50304,400106,9,100,'If Target is not Epic',1,2),
(50305,400106,9,100,'You must be in stealth.',0,3),
(50306,400106,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(50307,400106,10,100,'Inflicts 231 - 385 slashing damage on target',0,0),
(50308,400106,10,100,'Stifles target',0,1),
(50309,400106,10,100,'If Target is not Epic',1,2),
(50310,400106,10,100,'You must be in stealth.',0,3),
(50311,400106,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(50312,400107,1,100,'Inflicts 226 - 377 slashing damage on target',0,0),
(50313,400107,1,100,'Stifles target',0,1),
(50314,400107,1,100,'If Target is not Epic',1,2),
(50315,400107,1,100,'You must be in stealth.',0,3),
(50316,400107,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(50317,400107,2,100,'Inflicts 238 - 398 slashing damage on target',0,0),
(50318,400107,2,100,'Stifles target',0,1),
(50319,400107,2,100,'If Target is not Epic',1,2),
(50320,400107,2,100,'You must be in stealth.',0,3),
(50321,400107,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(50322,400107,3,100,'Inflicts 251 - 418 slashing damage on target',0,0),
(50323,400107,3,100,'Stifles target',0,1),
(50324,400107,3,100,'If Target is not Epic',1,2),
(50325,400107,3,100,'You must be in stealth.',0,3),
(50326,400107,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(50327,400107,4,100,'Inflicts 276 - 460 slashing damage on target',0,0),
(50328,400107,4,100,'Stifles target',0,1),
(50329,400107,4,100,'If Target is not Epic',1,2),
(50330,400107,4,100,'You must be in stealth.',0,3),
(50331,400107,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(50332,400107,5,100,'Inflicts 301 - 502 slashing damage on target',0,0),
(50333,400107,5,100,'Stifles target',0,1),
(50334,400107,5,100,'If Target is not Epic',1,2),
(50335,400107,5,100,'You must be in stealth.',0,3),
(50336,400107,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(50337,400107,7,100,'Inflicts 387 - 645 slashing damage on target',0,0),
(50338,400107,7,100,'Stifles target',0,1),
(50339,400107,7,100,'If Target is not Epic',1,2),
(50340,400107,7,100,'You must be in stealth.',0,3),
(50341,400107,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(50342,400107,9,100,'Inflicts 402 - 670 slashing damage on target',0,0),
(50343,400107,9,100,'Stifles target',0,1),
(50344,400107,9,100,'If Target is not Epic',1,2),
(50345,400107,9,100,'You must be in stealth.',0,3),
(50346,400107,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(50347,400107,10,100,'Inflicts 422 - 703 slashing damage on target',0,0),
(50348,400107,10,100,'Stifles target',0,1),
(50349,400107,10,100,'If Target is not Epic',1,2),
(50350,400107,10,100,'You must be in stealth.',0,3),
(50351,400107,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(50352,400108,1,100,'Inflicts 343 - 571 slashing damage on target',0,0),
(50353,400108,1,100,'Stifles target',0,1),
(50354,400108,1,100,'If Target is not Epic',1,2),
(50355,400108,1,100,'You must be in stealth.',0,3),
(50356,400108,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(50357,400108,2,100,'Inflicts 362 - 603 slashing damage on target',0,0),
(50358,400108,2,100,'Stifles target',0,1),
(50359,400108,2,100,'If Target is not Epic',1,2),
(50360,400108,2,100,'You must be in stealth.',0,3),
(50361,400108,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(50362,400108,3,100,'Inflicts 381 - 635 slashing damage on target',0,0),
(50363,400108,3,100,'Stifles target',0,1),
(50364,400108,3,100,'If Target is not Epic',1,2),
(50365,400108,3,100,'You must be in stealth.',0,3),
(50366,400108,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(50367,400108,4,100,'Inflicts 419 - 698 slashing damage on target',0,0),
(50368,400108,4,100,'Stifles target',0,1),
(50369,400108,4,100,'If Target is not Epic',1,2),
(50370,400108,4,100,'You must be in stealth.',0,3),
(50371,400108,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(50372,400108,5,100,'Inflicts 457 - 762 slashing damage on target',0,0),
(50373,400108,5,100,'Stifles target',0,1),
(50374,400108,5,100,'If Target is not Epic',1,2),
(50375,400108,5,100,'You must be in stealth.',0,3),
(50376,400108,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(50377,400108,7,100,'Inflicts 587 - 978 slashing damage on target',0,0),
(50378,400108,7,100,'Stifles target',0,1),
(50379,400108,7,100,'If Target is not Epic',1,2),
(50380,400108,7,100,'You must be in stealth.',0,3),
(50381,400108,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(50382,400108,9,100,'Inflicts 609 - 1016 slashing damage on target',0,0),
(50383,400108,9,100,'Stifles target',0,1),
(50384,400108,9,100,'If Target is not Epic',1,2),
(50385,400108,9,100,'You must be in stealth.',0,3),
(50386,400108,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(50387,400109,1,100,'Inflicts 470 - 784 slashing damage on target',0,0),
(50388,400109,1,100,'Stifles target',0,1),
(50389,400109,1,100,'If Target is not Epic',1,2),
(50390,400109,1,100,'You must be in stealth.',0,3),
(50391,400109,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(50392,400109,2,100,'Inflicts 497 - 828 slashing damage on target',0,0),
(50393,400109,2,100,'Stifles target',0,1),
(50394,400109,2,100,'If Target is not Epic',1,2),
(50395,400109,2,100,'You must be in stealth.',0,3),
(50396,400109,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(50397,400109,3,100,'Inflicts 523 - 871 slashing damage on target',0,0),
(50398,400109,3,100,'Stifles target',0,1),
(50399,400109,3,100,'If Target is not Epic',1,2),
(50400,400109,3,100,'You must be in stealth.',0,3),
(50401,400109,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(50402,400109,4,100,'Inflicts 575 - 959 slashing damage on target',0,0),
(50403,400109,4,100,'Stifles target',0,1),
(50404,400109,4,100,'If Target is not Epic',1,2),
(50405,400109,4,100,'You must be in stealth.',0,3),
(50406,400109,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(50407,400109,5,100,'Inflicts 627 - 1046 slashing damage on target',0,0),
(50408,400109,5,100,'Stifles target',0,1),
(50409,400109,5,100,'If Target is not Epic',1,2),
(50410,400109,5,100,'You must be in stealth.',0,3),
(50411,400109,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(50412,400109,7,100,'Inflicts 805 - 1342 slashing damage on target',0,0),
(50413,400109,7,100,'Stifles target',0,1),
(50414,400109,7,100,'If Target is not Epic',1,2),
(50415,400109,7,100,'You must be in stealth.',0,3),
(50416,400109,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(50417,400109,9,100,'Inflicts 837 - 1395 slashing damage on target',0,0),
(50418,400109,9,100,'Stifles target',0,1),
(50419,400109,9,100,'If Target is not Epic',1,2),
(50420,400109,9,100,'You must be in stealth.',0,3),
(50421,400109,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(50422,400109,10,100,'Inflicts 878 - 1464 slashing damage on target',0,0),
(50423,400109,10,100,'Stifles target',0,1),
(50424,400109,10,100,'If Target is not Epic',1,2),
(50425,400109,10,100,'You must be in stealth.',0,3),
(50426,400109,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(50427,400110,1,100,'Inflicts 590 - 983 slashing damage on target',0,0),
(50428,400110,1,100,'Stifles target',0,1),
(50429,400110,1,100,'If Target is not Epic',1,2),
(50430,400110,1,100,'You must be in stealth.',0,3),
(50431,400110,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(50432,400110,2,100,'Inflicts 622 - 1038 slashing damage on target',0,0),
(50433,400110,2,100,'Stifles target',0,1),
(50434,400110,2,100,'If Target is not Epic',1,2),
(50435,400110,2,100,'You must be in stealth.',0,3),
(50436,400110,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(50437,400110,3,100,'Inflicts 655 - 1092 slashing damage on target',0,0),
(50438,400110,3,100,'Stifles target',0,1),
(50439,400110,3,100,'If Target is not Epic',1,2),
(50440,400110,3,100,'You must be in stealth.',0,3),
(50441,400110,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(50442,400110,4,100,'Inflicts 721 - 1202 slashing damage on target',0,0),
(50443,400110,4,100,'Stifles target',0,1),
(50444,400110,4,100,'If Target is not Epic',1,2),
(50445,400110,4,100,'You must be in stealth.',0,3),
(50446,400110,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(50447,400110,5,100,'Inflicts 786 - 1311 slashing damage on target',0,0),
(50448,400110,5,100,'Stifles target',0,1),
(50449,400110,5,100,'If Target is not Epic',1,2),
(50450,400110,5,100,'You must be in stealth.',0,3),
(50451,400110,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(50452,400110,7,100,'Inflicts 1009 - 1682 slashing damage on target',0,0),
(50453,400110,7,100,'Stifles target',0,1),
(50454,400110,7,100,'If Target is not Epic',1,2),
(50455,400110,7,100,'You must be in stealth.',0,3),
(50456,400110,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(50457,400110,9,100,'Inflicts 1049 - 1748 slashing damage on target',0,0),
(50458,400110,9,100,'Stifles target',0,1),
(50459,400110,9,100,'If Target is not Epic',1,2),
(50460,400110,9,100,'You must be in stealth.',0,3),
(50461,400110,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(50462,400111,1,100,'Inflicts 713 - 1188 slashing damage on target',0,0),
(50463,400111,1,100,'Stifles target',0,1),
(50464,400111,1,100,'If Target is not Epic',1,2),
(50465,400111,1,100,'You must be in stealth.',0,3),
(50466,400111,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(50467,400111,4,100,'Inflicts 871 - 1452 slashing damage on target',0,0),
(50468,400111,4,100,'Stifles target',0,1),
(50469,400111,4,100,'If Target is not Epic',1,2),
(50470,400111,4,100,'You must be in stealth.',0,3),
(50471,400111,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(50472,400111,5,100,'Inflicts 950 - 1584 slashing damage on target',0,0),
(50473,400111,5,100,'Stifles target',0,1),
(50474,400111,5,100,'If Target is not Epic',1,2),
(50475,400111,5,100,'You must be in stealth.',0,3),
(50476,400111,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(50477,400111,7,100,'Inflicts 1220 - 2033 slashing damage on target',0,0),
(50478,400111,7,100,'Stifles target',0,1),
(50479,400111,7,100,'If Target is not Epic',1,2),
(50480,400111,7,100,'You must be in stealth.',0,3),
(50481,400111,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(50482,400111,9,100,'Inflicts 1267 - 2112 slashing damage on target',0,0),
(50483,400111,9,100,'Stifles target',0,1),
(50484,400111,9,100,'If Target is not Epic',1,2),
(50485,400111,9,100,'You must be in stealth.',0,3),
(50486,400111,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(50487,400111,10,100,'Inflicts 1330 - 2218 slashing damage on target',0,0),
(50488,400111,10,100,'Stifles target',0,1),
(50489,400111,10,100,'If Target is not Epic',1,2),
(50490,400111,10,100,'You must be in stealth.',0,3),
(50491,400111,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(50492,400112,1,100,'Inflicts 812 - 1354 slashing damage on target',0,0),
(50493,400112,1,100,'Stifles target',0,1),
(50494,400112,1,100,'If Target is not Epic',1,2),
(50495,400112,1,100,'You must be in stealth.',0,3),
(50496,400112,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(50497,400112,4,100,'Inflicts 993 - 1655 slashing damage on target',0,0),
(50498,400112,4,100,'Stifles target',0,1),
(50499,400112,4,100,'If Target is not Epic',1,2),
(50500,400112,4,100,'You must be in stealth.',0,3),
(50501,400112,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(50502,400112,5,100,'Inflicts 1083 - 1806 slashing damage on target',0,0),
(50503,400112,5,100,'Stifles target',0,1),
(50504,400112,5,100,'If Target is not Epic',1,2),
(50505,400112,5,100,'You must be in stealth.',0,3),
(50506,400112,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(50507,400112,7,100,'Inflicts 1390 - 2317 slashing damage on target',0,0),
(50508,400112,7,100,'Stifles target',0,1),
(50509,400112,7,100,'If Target is not Epic',1,2),
(50510,400112,7,100,'You must be in stealth.',0,3),
(50511,400112,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(50512,400112,9,100,'Inflicts 1444 - 2408 slashing damage on target',0,0),
(50513,400112,9,100,'Stifles target',0,1),
(50514,400112,9,100,'If Target is not Epic',1,2),
(50515,400112,9,100,'You must be in stealth.',0,3),
(50516,400112,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(50517,400112,10,100,'Inflicts 1517 - 2528 slashing damage on target',0,0),
(50518,400112,10,100,'Stifles target',0,1),
(50519,400112,10,100,'If Target is not Epic',1,2),
(50520,400112,10,100,'You must be in stealth.',0,3),
(50521,400112,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(50522,2000150,1,100,'Inflicts 11 - 18 piercing damage on target',0,0),
(50523,2000150,1,100,'Inflicts 4 - 6 piercing damage on target every 6 seconds',0,1),
(50524,420050,1,100,'Inflicts 259 - 432 melee damage on target encounter',0,0),
(50525,420050,1,100,'The effect of this ability grows based on Savagery and Spirituality level.',0,1),
(50526,420050,1,100,'Increases Potency of group members (AE) by 20-44%',0,2),
(50527,420050,1,100,'You must have your warder active to use this ability.',0,3),
(50528,10007,1,100,'Inflicts 7 - 12 crushing damage on target',0,0),
(50529,10007,2,100,'Inflicts 7 - 12 crushing damage on target',0,0),
(50530,10007,3,100,'Inflicts 8 - 13 crushing damage on target',0,0),
(50531,10007,4,100,'Inflicts 8 - 14 crushing damage on target',0,0),
(50532,10007,5,100,'Inflicts 9 - 16 crushing damage on target',0,0),
(50533,10007,7,100,'Inflicts 12 - 20 crushing damage on target',0,0),
(50534,10007,9,100,'Inflicts 12 - 21 crushing damage on target',0,0),
(50535,330102,1,100,'Inflicts 17 - 21 melee damage on target',0,0),
(50536,330102,1,100,'Decreases Mitigation of target vs physical damage by 54',0,1),
(50537,330102,1,100,'Must be flanking or behind',0,2),
(50538,330102,2,100,'Inflicts 18 - 22 melee damage on target',0,0),
(50539,330102,2,100,'Decreases Mitigation of target vs physical damage by 57',0,1),
(50540,330102,2,100,'Must be flanking or behind',0,2),
(50541,330102,3,100,'Inflicts 19 - 23 melee damage on target',0,0),
(50542,330102,3,100,'Decreases Mitigation of target vs physical damage by 60',0,1),
(50543,330102,3,100,'Must be flanking or behind',0,2),
(50544,330102,4,100,'Inflicts 21 - 26 melee damage on target',0,0),
(50545,330102,4,100,'Decreases Mitigation of target vs physical damage by 66',0,1),
(50546,330102,4,100,'Must be flanking or behind',0,2),
(50547,330102,5,100,'Inflicts 23 - 28 melee damage on target',0,0),
(50548,330102,5,100,'Decreases Mitigation of target vs physical damage by 72',0,1),
(50549,330102,5,100,'Must be flanking or behind',0,2),
(50550,330102,7,100,'Inflicts 29 - 36 melee damage on target',0,0),
(50551,330102,7,100,'Decreases Mitigation of target vs physical damage by 92',0,1),
(50552,330102,7,100,'Must be flanking or behind',0,2),
(50553,330102,9,100,'Inflicts 31 - 38 melee damage on target',0,0),
(50554,330102,9,100,'Decreases Mitigation of target vs physical damage by 96',0,1),
(50555,330102,9,100,'Must be flanking or behind',0,2),
(50556,330103,1,100,'Inflicts 62 - 76 melee damage on target',0,0),
(50557,330103,1,100,'Decreases Mitigation of target vs physical damage by 205',0,1),
(50558,330103,1,100,'Must be flanking or behind',0,2),
(50559,330103,2,100,'Inflicts 66 - 81 melee damage on target',0,0),
(50560,330103,2,100,'Decreases Mitigation of target vs physical damage by 217',0,1),
(50561,330103,2,100,'Must be flanking or behind',0,2),
(50562,330103,3,100,'Inflicts 69 - 85 melee damage on target',0,0),
(50563,330103,3,100,'Decreases Mitigation of target vs physical damage by 228',0,1),
(50564,330103,3,100,'Must be flanking or behind',0,2),
(50565,330103,4,100,'Inflicts 76 - 93 melee damage on target',0,0),
(50566,330103,4,100,'Decreases Mitigation of target vs physical damage by 251',0,1),
(50567,330103,4,100,'Must be flanking or behind',0,2),
(50568,330103,5,100,'Inflicts 83 - 102 melee damage on target',0,0),
(50569,330103,5,100,'Decreases Mitigation of target vs physical damage by 274',0,1),
(50570,330103,5,100,'Must be flanking or behind',0,2),
(50571,330103,7,100,'Inflicts 107 - 131 melee damage on target',0,0),
(50572,330103,7,100,'Decreases Mitigation of target vs physical damage by 351',0,1),
(50573,330103,7,100,'Must be flanking or behind',0,2),
(50574,330103,9,100,'Inflicts 111 - 136 melee damage on target',0,0),
(50575,330103,9,100,'Decreases Mitigation of target vs physical damage by 365',0,1),
(50576,330103,9,100,'Must be flanking or behind',0,2),
(50577,330104,1,100,'Inflicts 116 - 142 melee damage on target',0,0),
(50578,330104,1,100,'Decreases Mitigation of target vs physical damage by 356',0,1),
(50579,330104,1,100,'Must be flanking or behind',0,2),
(50580,330104,2,100,'Inflicts 123 - 150 melee damage on target',0,0),
(50581,330104,2,100,'Decreases Mitigation of target vs physical damage by 376',0,1),
(50582,330104,2,100,'Must be flanking or behind',0,2),
(50583,330104,3,100,'Inflicts 129 - 158 melee damage on target',0,0),
(50584,330104,3,100,'Decreases Mitigation of target vs physical damage by 396',0,1),
(50585,330104,3,100,'Must be flanking or behind',0,2),
(50586,330104,4,100,'Inflicts 142 - 174 melee damage on target',0,0),
(50587,330104,4,100,'Decreases Mitigation of target vs physical damage by 436',0,1),
(50588,330104,4,100,'Must be flanking or behind',0,2),
(50589,330104,5,100,'Inflicts 155 - 190 melee damage on target',0,0),
(50590,330104,5,100,'Decreases Mitigation of target vs physical damage by 475',0,1),
(50591,330104,5,100,'Must be flanking or behind',0,2),
(50592,330104,7,100,'Inflicts 199 - 244 melee damage on target',0,0),
(50593,330104,7,100,'Decreases Mitigation of target vs physical damage by 610',0,1),
(50594,330104,7,100,'Must be flanking or behind',0,2),
(50595,330104,9,100,'Inflicts 207 - 253 melee damage on target',0,0),
(50596,330104,9,100,'Decreases Mitigation of target vs physical damage by 634',0,1),
(50597,330104,9,100,'Must be flanking or behind',0,2),
(50598,330104,10,100,'Inflicts 217 - 266 melee damage on target',0,0),
(50599,330104,10,100,'Decreases Mitigation of target vs physical damage by 665',0,1),
(50600,330104,10,100,'Must be flanking or behind',0,2),
(50601,330105,1,100,'Inflicts 178 - 217 melee damage on target',0,0),
(50602,330105,1,100,'Decreases Mitigation of target vs physical damage by 508',0,1),
(50603,330105,1,100,'Must be flanking or behind',0,2),
(50604,330105,2,100,'Inflicts 188 - 229 melee damage on target',0,0),
(50605,330105,2,100,'Decreases Mitigation of target vs physical damage by 536',0,1),
(50606,330105,2,100,'Must be flanking or behind',0,2),
(50607,330105,3,100,'Inflicts 197 - 241 melee damage on target',0,0),
(50608,330105,3,100,'Decreases Mitigation of target vs physical damage by 564',0,1),
(50609,330105,3,100,'Must be flanking or behind',0,2),
(50610,330105,4,100,'Inflicts 217 - 266 melee damage on target',0,0),
(50611,330105,4,100,'Decreases Mitigation of target vs physical damage by 620',0,1),
(50612,330105,4,100,'Must be flanking or behind',0,2),
(50613,330105,5,100,'Inflicts 237 - 290 melee damage on target',0,0),
(50614,330105,5,100,'Decreases Mitigation of target vs physical damage by 677',0,1),
(50615,330105,5,100,'Must be flanking or behind',0,2),
(50616,330105,7,100,'Inflicts 304 - 372 melee damage on target',0,0),
(50617,330105,7,100,'Decreases Mitigation of target vs physical damage by 869',0,1),
(50618,330105,7,100,'Must be flanking or behind',0,2),
(50619,330105,9,100,'Inflicts 316 - 387 melee damage on target',0,0),
(50620,330105,9,100,'Decreases Mitigation of target vs physical damage by 902',0,1),
(50621,330105,9,100,'Must be flanking or behind',0,2),
(50622,330106,1,100,'Inflicts 246 - 300 melee damage on target',0,0),
(50623,330106,1,100,'Decreases Mitigation of target vs physical damage by 659',0,1),
(50624,330106,1,100,'Must be flanking or behind',0,2),
(50625,330106,2,100,'Inflicts 259 - 317 melee damage on target',0,0),
(50626,330106,2,100,'Decreases Mitigation of target vs physical damage by 695',0,1),
(50627,330106,2,100,'Must be flanking or behind',0,2),
(50628,330106,3,100,'Inflicts 273 - 334 melee damage on target',0,0),
(50629,330106,3,100,'Decreases Mitigation of target vs physical damage by 732',0,1),
(50630,330106,3,100,'Must be flanking or behind',0,2),
(50631,330106,4,100,'Inflicts 300 - 367 melee damage on target',0,0),
(50632,330106,4,100,'Decreases Mitigation of target vs physical damage by 805',0,1),
(50633,330106,4,100,'Must be flanking or behind',0,2),
(50634,330106,5,100,'Inflicts 328 - 401 melee damage on target',0,0),
(50635,330106,5,100,'Decreases Mitigation of target vs physical damage by 878',0,1),
(50636,330106,5,100,'Must be flanking or behind',0,2),
(50637,330106,7,100,'Inflicts 421 - 515 melee damage on target',0,0),
(50638,330106,7,100,'Decreases Mitigation of target vs physical damage by 1127',0,1),
(50639,330106,7,100,'Must be flanking or behind',0,2),
(50640,330106,9,100,'Inflicts 437 - 535 melee damage on target',0,0),
(50641,330106,9,100,'Decreases Mitigation of target vs physical damage by 1171',0,1),
(50642,330106,9,100,'Must be flanking or behind',0,2),
(50643,330106,10,100,'Inflicts 459 - 561 melee damage on target',0,0),
(50644,330106,10,100,'Decreases Mitigation of target vs physical damage by 1230',0,1),
(50645,330106,10,100,'Must be flanking or behind',0,2),
(50646,330107,1,100,'Inflicts 314 - 384 melee damage on target',0,0),
(50647,330107,1,100,'Decreases Mitigation of target vs physical damage by 799',0,1),
(50648,330107,1,100,'Must be flanking or behind',0,2),
(50649,330107,2,100,'Inflicts 332 - 406 melee damage on target',0,0),
(50650,330107,2,100,'Decreases Mitigation of target vs physical damage by 844',0,1),
(50651,330107,2,100,'Must be flanking or behind',0,2),
(50652,330107,3,100,'Inflicts 349 - 427 melee damage on target',0,0),
(50653,330107,3,100,'Decreases Mitigation of target vs physical damage by 888',0,1),
(50654,330107,3,100,'Must be flanking or behind',0,2),
(50655,330107,4,100,'Inflicts 384 - 470 melee damage on target',0,0),
(50656,330107,4,100,'Decreases Mitigation of target vs physical damage by 977',0,1),
(50657,330107,4,100,'Must be flanking or behind',0,2),
(50658,330107,5,100,'Inflicts 419 - 512 melee damage on target',0,0),
(50659,330107,5,100,'Decreases Mitigation of target vs physical damage by 1066',0,1),
(50660,330107,5,100,'Must be flanking or behind',0,2),
(50661,330107,7,100,'Inflicts 538 - 658 melee damage on target',0,0),
(50662,330107,7,100,'Decreases Mitigation of target vs physical damage by 1368',0,1),
(50663,330107,7,100,'Must be flanking or behind',0,2),
(50664,330107,9,100,'Inflicts 559 - 683 melee damage on target',0,0),
(50665,330107,9,100,'Decreases Mitigation of target vs physical damage by 1421',0,1),
(50666,330107,9,100,'Must be flanking or behind',0,2),
(50667,330107,10,100,'Inflicts 587 - 718 melee damage on target',0,0),
(50668,330107,10,100,'Decreases Mitigation of target vs physical damage by 1492',0,1),
(50669,330107,10,100,'Must be flanking or behind',0,2),
(50670,330108,1,100,'Inflicts 380 - 464 melee damage on target',0,0),
(50671,330108,1,100,'Decreases Mitigation of target vs physical damage by 907',0,1),
(50672,330108,1,100,'Must be flanking or behind',0,2),
(50673,330108,4,100,'Inflicts 464 - 568 melee damage on target',0,0),
(50674,330108,4,100,'Decreases Mitigation of target vs physical damage by 1109',0,1),
(50675,330108,4,100,'Must be flanking or behind',0,2),
(50676,330108,5,100,'Inflicts 507 - 619 melee damage on target',0,0),
(50677,330108,5,100,'Decreases Mitigation of target vs physical damage by 1210',0,1),
(50678,330108,5,100,'Must be flanking or behind',0,2),
(50679,330108,7,100,'Inflicts 650 - 795 melee damage on target',0,0),
(50680,330108,7,100,'Decreases Mitigation of target vs physical damage by 1552',0,1),
(50681,330108,7,100,'Must be flanking or behind',0,2),
(50682,330108,9,100,'Inflicts 676 - 826 melee damage on target',0,0),
(50683,330108,9,100,'Decreases Mitigation of target vs physical damage by 1613',0,1),
(50684,330108,9,100,'Must be flanking or behind',0,2),
(50685,330109,1,100,'Inflicts 433 - 529 melee damage on target',0,0),
(50686,330109,1,100,'Decreases Mitigation of target vs physical damage by 1015',0,1),
(50687,330109,1,100,'Must be flanking or behind',0,2),
(50688,330109,4,100,'Inflicts 529 - 647 melee damage on target',0,0),
(50689,330109,4,100,'Decreases Mitigation of target vs physical damage by 1241',0,1),
(50690,330109,4,100,'Must be flanking or behind',0,2),
(50691,330109,5,100,'Inflicts 577 - 706 melee damage on target',0,0),
(50692,330109,5,100,'Decreases Mitigation of target vs physical damage by 1354',0,1),
(50693,330109,5,100,'Must be flanking or behind',0,2),
(50694,330109,7,100,'Inflicts 741 - 906 melee damage on target',0,0),
(50695,330109,7,100,'Decreases Mitigation of target vs physical damage by 1737',0,1),
(50696,330109,7,100,'Must be flanking or behind',0,2),
(50697,330109,9,100,'Inflicts 770 - 941 melee damage on target',0,0),
(50698,330109,9,100,'Decreases Mitigation of target vs physical damage by 1805',0,1),
(50699,330109,9,100,'Must be flanking or behind',0,2),
(50700,390078,1,100,'Increases Multi Attack of caster by 43.5',0,0),
(50701,390078,1,100,'Increases Ranged of caster by 16.2',0,1),
(50702,390078,2,100,'Increases Multi Attack of caster by 45.9',0,0),
(50703,390078,2,100,'Increases Ranged of caster by 17.1',0,1),
(50704,390078,3,100,'Increases Multi Attack of caster by 48.3',0,0),
(50705,390078,3,100,'Increases Ranged of caster by 18.0',0,1),
(50706,390078,4,100,'Increases Multi Attack of caster by 53.1',0,0),
(50707,390078,4,100,'Increases Ranged of caster by 19.8',0,1),
(50708,390078,5,100,'Increases Multi Attack of caster by 57.9',0,0),
(50709,390078,5,100,'Increases Ranged of caster by 21.6',0,1),
(50710,390078,7,100,'Increases Multi Attack of caster by 74.4',0,0),
(50711,390078,7,100,'Increases Ranged of caster by 27.7',0,1),
(50712,390078,9,100,'Increases Multi Attack of caster by 77.3',0,0),
(50713,390078,9,100,'Increases Ranged of caster by 28.8',0,1),
(50714,390079,1,100,'Increases Multi Attack of caster by 50.8',0,0),
(50715,390079,1,100,'Increases Ranged of caster by 21.9',0,1),
(50716,390079,2,100,'Increases Multi Attack of caster by 53.6',0,0),
(50717,390079,2,100,'Increases Ranged of caster by 23.1',0,1),
(50718,390079,3,100,'Increases Multi Attack of caster by 56.4',0,0),
(50719,390079,3,100,'Increases Ranged of caster by 24.3',0,1),
(50720,390079,4,100,'Increases Multi Attack of caster by 62.0',0,0),
(50721,390079,4,100,'Increases Ranged of caster by 26.7',0,1),
(50722,390079,5,100,'Increases Multi Attack of caster by 67.7',0,0),
(50723,390079,5,100,'Increases Ranged of caster by 29.2',0,1),
(50724,390079,7,100,'Increases Multi Attack of caster by 86.9',0,0),
(50725,390079,7,100,'Increases Ranged of caster by 37.4',0,1),
(50726,390079,9,100,'Increases Multi Attack of caster by 90.2',0,0),
(50727,390079,9,100,'Increases Ranged of caster by 38.9',0,1),
(50728,390080,1,100,'Increases Multi Attack of caster by 57.8',0,0),
(50729,390080,1,100,'Increases Ranged of caster by 27.1',0,1),
(50730,390080,2,100,'Increases Multi Attack of caster by 61.0',0,0),
(50731,390080,2,100,'Increases Ranged of caster by 28.6',0,1),
(50732,390080,3,100,'Increases Multi Attack of caster by 64.2',0,0),
(50733,390080,3,100,'Increases Ranged of caster by 30.1',0,1),
(50734,390080,4,100,'Increases Multi Attack of caster by 70.6',0,0),
(50735,390080,4,100,'Increases Ranged of caster by 33.2',0,1),
(50736,390080,5,100,'Increases Multi Attack of caster by 77.0',0,0),
(50737,390080,5,100,'Increases Ranged of caster by 36.2',0,1),
(50738,390080,7,100,'Increases Multi Attack of caster by 98.9',0,0),
(50739,390080,7,100,'Increases Ranged of caster by 46.4',0,1),
(50740,390080,9,100,'Increases Multi Attack of caster by 102.7',0,0),
(50741,390080,9,100,'Increases Ranged of caster by 48.2',0,1),
(50742,40118,1,100,'Inflicts 4 - 14 crushing damage on target',0,0),
(50743,40118,4,100,'Inflicts 5 - 17 crushing damage on target',0,0),
(50744,40118,5,100,'Inflicts 6 - 19 crushing damage on target',0,0),
(50745,40118,7,100,'Inflicts 8 - 24 crushing damage on target',0,0),
(50746,40118,9,100,'Inflicts 8 - 25 crushing damage on target',0,0),
(50747,40119,1,100,'Inflicts 17 - 52 crushing damage on target',0,0),
(50748,40119,2,100,'Inflicts 18 - 55 crushing damage on target',0,0),
(50749,40119,3,100,'Inflicts 19 - 58 crushing damage on target',0,0),
(50750,40119,4,100,'Inflicts 21 - 64 crushing damage on target',0,0),
(50751,40119,5,100,'Inflicts 23 - 69 crushing damage on target',0,0),
(50752,40119,7,100,'Inflicts 29 - 89 crushing damage on target',0,0),
(50753,40119,9,100,'Inflicts 31 - 93 crushing damage on target',0,0),
(50754,40120,1,100,'Inflicts 32 - 97 crushing damage on target',0,0),
(50755,40120,2,100,'Inflicts 34 - 102 crushing damage on target',0,0),
(50756,40120,3,100,'Inflicts 36 - 108 crushing damage on target',0,0),
(50757,40120,4,100,'Inflicts 39 - 118 crushing damage on target',0,0),
(50758,40120,5,100,'Inflicts 43 - 129 crushing damage on target',0,0),
(50759,40120,7,100,'Inflicts 55 - 166 crushing damage on target',0,0),
(50760,40120,9,100,'Inflicts 57 - 173 crushing damage on target',0,0),
(50761,40121,1,100,'Inflicts 49 - 148 crushing damage on target',0,0),
(50762,40121,2,100,'Inflicts 52 - 156 crushing damage on target',0,0),
(50763,40121,3,100,'Inflicts 54 - 164 crushing damage on target',0,0),
(50764,40121,4,100,'Inflicts 60 - 181 crushing damage on target',0,0),
(50765,40121,5,100,'Inflicts 65 - 197 crushing damage on target',0,0),
(50766,40121,7,100,'Inflicts 84 - 253 crushing damage on target',0,0),
(50767,40121,9,100,'Inflicts 87 - 263 crushing damage on target',0,0),
(50768,40122,1,100,'Inflicts 68 - 205 crushing damage on target',0,0),
(50769,40122,2,100,'Inflicts 72 - 216 crushing damage on target',0,0),
(50770,40122,3,100,'Inflicts 76 - 228 crushing damage on target',0,0),
(50771,40122,4,100,'Inflicts 83 - 250 crushing damage on target',0,0),
(50772,40122,5,100,'Inflicts 91 - 273 crushing damage on target',0,0),
(50773,40122,7,100,'Inflicts 117 - 351 crushing damage on target',0,0),
(50774,40122,9,100,'Inflicts 121 - 364 crushing damage on target',0,0),
(50775,40123,1,100,'Inflicts 87 - 262 crushing damage on target',0,0),
(50776,40123,2,100,'Inflicts 92 - 276 crushing damage on target',0,0),
(50777,40123,3,100,'Inflicts 97 - 291 crushing damage on target',0,0),
(50778,40123,4,100,'Inflicts 106 - 320 crushing damage on target',0,0),
(50779,40123,5,100,'Inflicts 116 - 349 crushing damage on target',0,0),
(50780,40123,7,100,'Inflicts 149 - 448 crushing damage on target',0,0),
(50781,40123,9,100,'Inflicts 155 - 466 crushing damage on target',0,0),
(50782,40124,1,100,'Inflicts 105 - 316 crushing damage on target',0,0),
(50783,40124,4,100,'Inflicts 129 - 387 crushing damage on target',0,0),
(50784,40124,5,100,'Inflicts 140 - 422 crushing damage on target',0,0),
(50785,40124,7,100,'Inflicts 180 - 542 crushing damage on target',0,0),
(50786,40124,9,100,'Inflicts 187 - 563 crushing damage on target',0,0),
(50787,40125,1,100,'Inflicts 120 - 361 crushing damage on target',0,0),
(50788,40125,4,100,'Inflicts 147 - 441 crushing damage on target',0,0),
(50789,40125,5,100,'Inflicts 160 - 481 crushing damage on target',0,0),
(50790,40125,7,100,'Inflicts 206 - 618 crushing damage on target',0,0),
(50791,40125,9,100,'Inflicts 214 - 642 crushing damage on target',0,0),
(50792,20007,1,100,'Inflicts 26 - 43 crushing damage on target',0,0),
(50793,20007,2,100,'Inflicts 27 - 46 crushing damage on target',0,0),
(50794,20007,3,100,'Inflicts 29 - 48 crushing damage on target',0,0),
(50795,20007,4,100,'Inflicts 32 - 53 crushing damage on target',0,0),
(50796,20007,5,100,'Inflicts 34 - 58 crushing damage on target',0,0),
(50797,20007,7,100,'Inflicts 44 - 74 crushing damage on target',0,0),
(50798,20007,9,100,'Inflicts 46 - 77 crushing damage on target',0,0),
(50799,100056,1,100,'Reduces physical damage done to caster by 5%',0,0),
(50800,100056,1,100,'Increases STA of caster by 11.9',0,1),
(50801,100056,1,100,'Adds 2.8% to base avoidance.',0,2),
(50802,100056,1,100,'Decreases Slashing, Piercing and Crushing of caster by 1.4',0,3),
(50803,100056,1,100,'Increases Defense and Aggression of caster by 1.6',0,4),
(50804,100056,1,100,'Increases Mitigation of caster vs arcane damage by 138',0,5),
(50805,100056,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(50806,100056,2,100,'Reduces physical damage done to caster by 5%',0,0),
(50807,100056,2,100,'Increases STA of caster by 12.5',0,1),
(50808,100056,2,100,'Adds 2.9% to base avoidance.',0,2),
(50809,100056,2,100,'Decreases Slashing, Piercing and Crushing of caster by 1.4',0,3),
(50810,100056,2,100,'Increases Defense and Aggression of caster by 1.7',0,4),
(50811,100056,2,100,'Increases Mitigation of caster vs arcane damage by 146',0,5),
(50812,100056,2,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(50813,100056,3,100,'Reduces physical damage done to caster by 5%',0,0),
(50814,100056,3,100,'Increases STA of caster by 13.2',0,1),
(50815,100056,3,100,'Adds 3.1% to base avoidance.',0,2),
(50816,100056,3,100,'Decreases Slashing, Piercing and Crushing of caster by 1.4',0,3),
(50817,100056,3,100,'Increases Defense and Aggression of caster by 1.8',0,4),
(50818,100056,3,100,'Increases Mitigation of caster vs arcane damage by 154',0,5),
(50819,100056,3,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(50820,100056,4,100,'Reduces physical damage done to caster by 5%',0,0),
(50821,100056,4,100,'Increases STA of caster by 14.5',0,1),
(50822,100056,4,100,'Adds 3.4% to base avoidance.',0,2),
(50823,100056,4,100,'Decreases Slashing, Piercing and Crushing of caster by 1.4',0,3),
(50824,100056,4,100,'Increases Defense and Aggression of caster by 2.0',0,4),
(50825,100056,4,100,'Increases Mitigation of caster vs arcane damage by 169',0,5),
(50826,100056,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(50827,100056,5,100,'Reduces physical damage done to caster by 5%',0,0),
(50828,100056,5,100,'Increases STA of caster by 15.8',0,1),
(50829,100056,5,100,'Adds 3.7% to base avoidance.',0,2),
(50830,100056,5,100,'Decreases Slashing, Piercing and Crushing of caster by 1.4',0,3),
(50831,100056,5,100,'Increases Defense and Aggression of caster by 2.2',0,4),
(50832,100056,5,100,'Increases Mitigation of caster vs arcane damage by 184',0,5),
(50833,100056,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(50834,100056,7,100,'Reduces physical damage done to caster by 5%',0,0),
(50835,100056,7,100,'Increases STA of caster by 20.3',0,1),
(50836,100056,7,100,'Adds 4.8% to base avoidance.',0,2),
(50837,100056,7,100,'Decreases Slashing, Piercing and Crushing of caster by 1.4',0,3),
(50838,100056,7,100,'Increases Defense and Aggression of caster by 2.8',0,4),
(50839,100056,7,100,'Increases Mitigation of caster vs arcane damage by 237',0,5),
(50840,100056,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(50841,100056,9,100,'Reduces physical damage done to caster by 5%',0,0),
(50842,100056,9,100,'Increases STA of caster by 21.1',0,1),
(50843,100056,9,100,'Adds 5.0% to base avoidance.',0,2),
(50844,100056,9,100,'Decreases Slashing, Piercing and Crushing of caster by 1.4',0,3),
(50845,100056,9,100,'Increases Defense and Aggression of caster by 2.9',0,4),
(50846,100056,9,100,'Increases Mitigation of caster vs arcane damage by 246',0,5),
(50847,100056,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(50848,100057,1,100,'Reduces physical damage done to caster by 5%',0,0),
(50849,100057,1,100,'Increases STA of caster by 23.8',0,1),
(50850,100057,1,100,'Adds 2.8% to base avoidance.',0,2),
(50851,100057,1,100,'Decreases Slashing, Piercing and Crushing of caster by 3.6',0,3),
(50852,100057,1,100,'Increases Defense and Aggression of caster by 4.3',0,4),
(50853,100057,1,100,'Increases Mitigation of caster vs arcane damage by 311',0,5),
(50854,100057,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(50855,100057,2,100,'Reduces physical damage done to caster by 5%',0,0),
(50856,100057,2,100,'Increases STA of caster by 25.1',0,1),
(50857,100057,2,100,'Adds 2.9% to base avoidance.',0,2),
(50858,100057,2,100,'Decreases Slashing, Piercing and Crushing of caster by 3.6',0,3),
(50859,100057,2,100,'Increases Defense and Aggression of caster by 4.6',0,4),
(50860,100057,2,100,'Increases Mitigation of caster vs arcane damage by 328',0,5),
(50861,100057,2,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(50862,100057,3,100,'Reduces physical damage done to caster by 5%',0,0),
(50863,100057,3,100,'Increases STA of caster by 26.4',0,1),
(50864,100057,3,100,'Adds 3.1% to base avoidance.',0,2),
(50865,100057,3,100,'Decreases Slashing, Piercing and Crushing of caster by 3.6',0,3),
(50866,100057,3,100,'Increases Defense and Aggression of caster by 4.8',0,4),
(50867,100057,3,100,'Increases Mitigation of caster vs arcane damage by 346',0,5),
(50868,100057,3,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(50869,100057,4,100,'Reduces physical damage done to caster by 5%',0,0),
(50870,100057,4,100,'Increases STA of caster by 29.0',0,1),
(50871,100057,4,100,'Adds 3.4% to base avoidance.',0,2),
(50872,100057,4,100,'Decreases Slashing, Piercing and Crushing of caster by 3.6',0,3),
(50873,100057,4,100,'Increases Defense and Aggression of caster by 5.3',0,4),
(50874,100057,4,100,'Increases Mitigation of caster vs arcane damage by 380',0,5),
(50875,100057,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(50876,100057,5,100,'Reduces physical damage done to caster by 5%',0,0),
(50877,100057,5,100,'Increases STA of caster by 31.7',0,1),
(50878,100057,5,100,'Adds 3.7% to base avoidance.',0,2),
(50879,100057,5,100,'Decreases Slashing, Piercing and Crushing of caster by 3.6',0,3),
(50880,100057,5,100,'Increases Defense and Aggression of caster by 5.8',0,4),
(50881,100057,5,100,'Increases Mitigation of caster vs arcane damage by 415',0,5),
(50882,100057,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(50883,100057,7,100,'Reduces physical damage done to caster by 5%',0,0),
(50884,100057,7,100,'Increases STA of caster by 40.7',0,1),
(50885,100057,7,100,'Adds 4.8% to base avoidance.',0,2),
(50886,100057,7,100,'Decreases Slashing, Piercing and Crushing of caster by 3.6',0,3),
(50887,100057,7,100,'Increases Defense and Aggression of caster by 7.4',0,4),
(50888,100057,7,100,'Increases Mitigation of caster vs arcane damage by 532',0,5),
(50889,100057,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(50890,100057,9,100,'Reduces physical damage done to caster by 5%',0,0),
(50891,100057,9,100,'Increases STA of caster by 42.2',0,1),
(50892,100057,9,100,'Adds 5.0% to base avoidance.',0,2),
(50893,100057,9,100,'Decreases Slashing, Piercing and Crushing of caster by 3.6',0,3),
(50894,100057,9,100,'Increases Defense and Aggression of caster by 7.7',0,4),
(50895,100057,9,100,'Increases Mitigation of caster vs arcane damage by 553',0,5),
(50896,100057,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(50897,100058,1,100,'Reduces physical damage done to caster by 5%',0,0),
(50898,100058,1,100,'Increases STA of caster by 41.4',0,1),
(50899,100058,1,100,'Adds 2.8% to base avoidance.',0,2),
(50900,100058,1,100,'Decreases Slashing, Piercing and Crushing of caster by 6.7',0,3),
(50901,100058,1,100,'Increases Defense and Aggression of caster by 8.1',0,4),
(50902,100058,1,100,'Increases Mitigation of caster vs arcane damage by 540',0,5),
(50903,100058,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(50904,100058,2,100,'Reduces physical damage done to caster by 5%',0,0),
(50905,100058,2,100,'Increases STA of caster by 43.7',0,1),
(50906,100058,2,100,'Adds 2.9% to base avoidance.',0,2),
(50907,100058,2,100,'Decreases Slashing, Piercing and Crushing of caster by 6.7',0,3),
(50908,100058,2,100,'Increases Defense and Aggression of caster by 8.6',0,4),
(50909,100058,2,100,'Increases Mitigation of caster vs arcane damage by 570',0,5),
(50910,100058,2,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(50911,100058,3,100,'Reduces physical damage done to caster by 5%',0,0),
(50912,100058,3,100,'Increases STA of caster by 46.0',0,1),
(50913,100058,3,100,'Adds 3.1% to base avoidance.',0,2),
(50914,100058,3,100,'Decreases Slashing, Piercing and Crushing of caster by 6.7',0,3),
(50915,100058,3,100,'Increases Defense and Aggression of caster by 9.0',0,4),
(50916,100058,3,100,'Increases Mitigation of caster vs arcane damage by 600',0,5),
(50917,100058,3,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(50918,100058,4,100,'Reduces physical damage done to caster by 5%',0,0),
(50919,100058,4,100,'Increases STA of caster by 50.6',0,1),
(50920,100058,4,100,'Adds 3.4% to base avoidance.',0,2),
(50921,100058,4,100,'Decreases Slashing, Piercing and Crushing of caster by 6.7',0,3),
(50922,100058,4,100,'Increases Defense and Aggression of caster by 9.9',0,4),
(50923,100058,4,100,'Increases Mitigation of caster vs arcane damage by 660',0,5),
(50924,100058,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(50925,100058,5,100,'Reduces physical damage done to caster by 5%',0,0),
(50926,100058,5,100,'Increases STA of caster by 55.2',0,1),
(50927,100058,5,100,'Adds 3.7% to base avoidance.',0,2),
(50928,100058,5,100,'Decreases Slashing, Piercing and Crushing of caster by 6.7',0,3),
(50929,100058,5,100,'Increases Defense and Aggression of caster by 10.8',0,4),
(50930,100058,5,100,'Increases Mitigation of caster vs arcane damage by 720',0,5),
(50931,100058,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(50932,100058,7,100,'Reduces physical damage done to caster by 5%',0,0),
(50933,100058,7,100,'Increases STA of caster by 70.8',0,1),
(50934,100058,7,100,'Adds 4.8% to base avoidance.',0,2),
(50935,100058,7,100,'Decreases Slashing, Piercing and Crushing of caster by 6.7',0,3),
(50936,100058,7,100,'Increases Defense and Aggression of caster by 13.9',0,4),
(50937,100058,7,100,'Increases Mitigation of caster vs arcane damage by 924',0,5),
(50938,100058,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(50939,100058,9,100,'Reduces physical damage done to caster by 5%',0,0),
(50940,100058,9,100,'Increases STA of caster by 73.6',0,1),
(50941,100058,9,100,'Adds 5.0% to base avoidance.',0,2),
(50942,100058,9,100,'Decreases Slashing, Piercing and Crushing of caster by 6.7',0,3),
(50943,100058,9,100,'Increases Defense and Aggression of caster by 14.4',0,4),
(50944,100058,9,100,'Increases Mitigation of caster vs arcane damage by 960',0,5),
(50945,100058,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(50946,100059,1,100,'Reduces physical damage done to caster by 5%',0,0),
(50947,100059,1,100,'Increases STA of caster by 61.6',0,1),
(50948,100059,1,100,'Adds 2.8% to base avoidance.',0,2),
(50949,100059,1,100,'Decreases Slashing, Piercing and Crushing of caster by 9.9',0,3),
(50950,100059,1,100,'Increases Defense and Aggression of caster by 11.9',0,4),
(50951,100059,1,100,'Increases Mitigation of caster vs arcane damage by 792',0,5),
(50952,100059,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(50953,100059,2,100,'Reduces physical damage done to caster by 5%',0,0),
(50954,100059,2,100,'Increases STA of caster by 65.0',0,1),
(50955,100059,2,100,'Adds 2.9% to base avoidance.',0,2),
(50956,100059,2,100,'Decreases Slashing, Piercing and Crushing of caster by 9.9',0,3),
(50957,100059,2,100,'Increases Defense and Aggression of caster by 12.5',0,4),
(50958,100059,2,100,'Increases Mitigation of caster vs arcane damage by 836',0,5),
(50959,100059,2,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(50960,100059,3,100,'Reduces physical damage done to caster by 5%',0,0),
(50961,100059,3,100,'Increases STA of caster by 68.4',0,1),
(50962,100059,3,100,'Adds 3.1% to base avoidance.',0,2),
(50963,100059,3,100,'Decreases Slashing, Piercing and Crushing of caster by 9.9',0,3),
(50964,100059,3,100,'Increases Defense and Aggression of caster by 13.2',0,4),
(50965,100059,3,100,'Increases Mitigation of caster vs arcane damage by 880',0,5),
(50966,100059,3,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(50967,100059,4,100,'Reduces physical damage done to caster by 5%',0,0),
(50968,100059,4,100,'Increases STA of caster by 75.2',0,1),
(50969,100059,4,100,'Adds 3.4% to base avoidance.',0,2),
(50970,100059,4,100,'Decreases Slashing, Piercing and Crushing of caster by 9.9',0,3),
(50971,100059,4,100,'Increases Defense and Aggression of caster by 14.5',0,4),
(50972,100059,4,100,'Increases Mitigation of caster vs arcane damage by 968',0,5),
(50973,100059,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(50974,100059,5,100,'Reduces physical damage done to caster by 5%',0,0),
(50975,100059,5,100,'Increases STA of caster by 82.1',0,1),
(50976,100059,5,100,'Adds 3.7% to base avoidance.',0,2),
(50977,100059,5,100,'Decreases Slashing, Piercing and Crushing of caster by 9.9',0,3),
(50978,100059,5,100,'Increases Defense and Aggression of caster by 15.8',0,4),
(50979,100059,5,100,'Increases Mitigation of caster vs arcane damage by 1056',0,5),
(50980,100059,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(50981,100059,7,100,'Reduces physical damage done to caster by 5%',0,0),
(50982,100059,7,100,'Increases STA of caster by 105.3',0,1),
(50983,100059,7,100,'Adds 4.8% to base avoidance.',0,2),
(50984,100059,7,100,'Decreases Slashing, Piercing and Crushing of caster by 9.9',0,3),
(50985,100059,7,100,'Increases Defense and Aggression of caster by 20.3',0,4),
(50986,100059,7,100,'Increases Mitigation of caster vs arcane damage by 1355',0,5),
(50987,100059,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(50988,100059,9,100,'Reduces physical damage done to caster by 5%',0,0),
(50989,100059,9,100,'Increases STA of caster by 109.4',0,1),
(50990,100059,9,100,'Adds 5.0% to base avoidance.',0,2),
(50991,100059,9,100,'Decreases Slashing, Piercing and Crushing of caster by 9.9',0,3),
(50992,100059,9,100,'Increases Defense and Aggression of caster by 21.1',0,4),
(50993,100059,9,100,'Increases Mitigation of caster vs arcane damage by 1408',0,5),
(50994,100059,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(50995,100060,1,100,'Reduces physical damage done to caster by 5%',0,0),
(50996,100060,1,100,'Increases STA of caster by 81.7',0,1),
(50997,100060,1,100,'Adds 2.8% to base avoidance.',0,2),
(50998,100060,1,100,'Decreases Slashing, Piercing and Crushing of caster by 13.1',0,3),
(50999,100060,1,100,'Increases Defense and Aggression of caster by 15.7',0,4),
(51000,100060,1,100,'Increases Mitigation of caster vs arcane damage by 1044',0,5),
(51001,100060,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51002,100060,2,100,'Reduces physical damage done to caster by 5%',0,0),
(51003,100060,2,100,'Increases STA of caster by 86.3',0,1),
(51004,100060,2,100,'Adds 2.9% to base avoidance.',0,2),
(51005,100060,2,100,'Decreases Slashing, Piercing and Crushing of caster by 13.1',0,3),
(51006,100060,2,100,'Increases Defense and Aggression of caster by 16.5',0,4),
(51007,100060,2,100,'Increases Mitigation of caster vs arcane damage by 1102',0,5),
(51008,100060,2,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51009,100060,3,100,'Reduces physical damage done to caster by 5%',0,0),
(51010,100060,3,100,'Increases STA of caster by 90.8',0,1),
(51011,100060,3,100,'Adds 3.1% to base avoidance.',0,2),
(51012,100060,3,100,'Decreases Slashing, Piercing and Crushing of caster by 13.1',0,3),
(51013,100060,3,100,'Increases Defense and Aggression of caster by 17.4',0,4),
(51014,100060,3,100,'Increases Mitigation of caster vs arcane damage by 1160',0,5),
(51015,100060,3,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51016,100060,4,100,'Reduces physical damage done to caster by 5%',0,0),
(51017,100060,4,100,'Increases STA of caster by 99.9',0,1),
(51018,100060,4,100,'Adds 3.4% to base avoidance.',0,2),
(51019,100060,4,100,'Decreases Slashing, Piercing and Crushing of caster by 13.1',0,3),
(51020,100060,4,100,'Increases Defense and Aggression of caster by 19.1',0,4),
(51021,100060,4,100,'Increases Mitigation of caster vs arcane damage by 1276',0,5),
(51022,100060,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51023,100060,5,100,'Reduces physical damage done to caster by 5%',0,0),
(51024,100060,5,100,'Increases STA of caster by 109.0',0,1),
(51025,100060,5,100,'Adds 3.7% to base avoidance.',0,2),
(51026,100060,5,100,'Decreases Slashing, Piercing and Crushing of caster by 13.1',0,3),
(51027,100060,5,100,'Increases Defense and Aggression of caster by 20.9',0,4),
(51028,100060,5,100,'Increases Mitigation of caster vs arcane damage by 1392',0,5),
(51029,100060,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51030,100060,7,100,'Reduces physical damage done to caster by 5%',0,0),
(51031,100060,7,100,'Increases STA of caster by 139.8',0,1),
(51032,100060,7,100,'Adds 4.8% to base avoidance.',0,2),
(51033,100060,7,100,'Decreases Slashing, Piercing and Crushing of caster by 13.1',0,3),
(51034,100060,7,100,'Increases Defense and Aggression of caster by 26.8',0,4),
(51035,100060,7,100,'Increases Mitigation of caster vs arcane damage by 1786',0,5),
(51036,100060,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51037,100060,9,100,'Reduces physical damage done to caster by 5%',0,0),
(51038,100060,9,100,'Increases STA of caster by 145.3',0,1),
(51039,100060,9,100,'Adds 5.0% to base avoidance.',0,2),
(51040,100060,9,100,'Decreases Slashing, Piercing and Crushing of caster by 13.1',0,3),
(51041,100060,9,100,'Increases Defense and Aggression of caster by 27.8',0,4),
(51042,100060,9,100,'Increases Mitigation of caster vs arcane damage by 1856',0,5),
(51043,100060,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51044,100061,1,100,'Reduces physical damage done to caster by 5%',0,0),
(51045,100061,1,100,'Increases STA of caster by 103.0',0,1),
(51046,100061,1,100,'Adds 2.8% to base avoidance.',0,2),
(51047,100061,1,100,'Decreases Slashing, Piercing and Crushing of caster by 16.4',0,3),
(51048,100061,1,100,'Increases Defense and Aggression of caster by 19.6',0,4),
(51049,100061,1,100,'Increases Mitigation of caster vs arcane damage by 1361',0,5),
(51050,100061,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51051,100061,2,100,'Reduces physical damage done to caster by 5%',0,0),
(51052,100061,2,100,'Increases STA of caster by 108.7',0,1),
(51053,100061,2,100,'Adds 2.9% to base avoidance.',0,2),
(51054,100061,2,100,'Decreases Slashing, Piercing and Crushing of caster by 16.4',0,3),
(51055,100061,2,100,'Increases Defense and Aggression of caster by 20.7',0,4),
(51056,100061,2,100,'Increases Mitigation of caster vs arcane damage by 1436',0,5),
(51057,100061,2,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51058,100061,3,100,'Reduces physical damage done to caster by 5%',0,0),
(51059,100061,3,100,'Increases STA of caster by 114.4',0,1),
(51060,100061,3,100,'Adds 3.1% to base avoidance.',0,2),
(51061,100061,3,100,'Decreases Slashing, Piercing and Crushing of caster by 16.4',0,3),
(51062,100061,3,100,'Increases Defense and Aggression of caster by 21.8',0,4),
(51063,100061,3,100,'Increases Mitigation of caster vs arcane damage by 1512',0,5),
(51064,100061,3,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51065,100061,4,100,'Reduces physical damage done to caster by 5%',0,0),
(51066,100061,4,100,'Increases STA of caster by 125.8',0,1),
(51067,100061,4,100,'Adds 3.4% to base avoidance.',0,2),
(51068,100061,4,100,'Decreases Slashing, Piercing and Crushing of caster by 16.4',0,3),
(51069,100061,4,100,'Increases Defense and Aggression of caster by 24.0',0,4),
(51070,100061,4,100,'Increases Mitigation of caster vs arcane damage by 1663',0,5),
(51071,100061,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51072,100061,5,100,'Reduces physical damage done to caster by 5%',0,0),
(51073,100061,5,100,'Increases STA of caster by 137.3',0,1),
(51074,100061,5,100,'Adds 3.7% to base avoidance.',0,2),
(51075,100061,5,100,'Decreases Slashing, Piercing and Crushing of caster by 16.4',0,3),
(51076,100061,5,100,'Increases Defense and Aggression of caster by 26.2',0,4),
(51077,100061,5,100,'Increases Mitigation of caster vs arcane damage by 1814',0,5),
(51078,100061,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51079,100061,7,100,'Reduces physical damage done to caster by 5%',0,0),
(51080,100061,7,100,'Increases STA of caster by 176.2',0,1),
(51081,100061,7,100,'Adds 4.8% to base avoidance.',0,2),
(51082,100061,7,100,'Decreases Slashing, Piercing and Crushing of caster by 16.4',0,3),
(51083,100061,7,100,'Increases Defense and Aggression of caster by 33.6',0,4),
(51084,100061,7,100,'Increases Mitigation of caster vs arcane damage by 2328',0,5),
(51085,100061,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51086,100061,9,100,'Reduces physical damage done to caster by 5%',0,0),
(51087,100061,9,100,'Increases STA of caster by 183.0',0,1),
(51088,100061,9,100,'Adds 5.0% to base avoidance.',0,2),
(51089,100061,9,100,'Decreases Slashing, Piercing and Crushing of caster by 16.4',0,3),
(51090,100061,9,100,'Increases Defense and Aggression of caster by 34.9',0,4),
(51091,100061,9,100,'Increases Mitigation of caster vs arcane damage by 2419',0,5),
(51092,100061,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51093,100062,1,100,'Reduces physical damage done to caster by 5%',0,0),
(51094,100062,1,100,'Increases STA of caster by 122.8',0,1),
(51095,100062,1,100,'Adds 2.8% to base avoidance.',0,2),
(51096,100062,1,100,'Decreases Slashing, Piercing and Crushing of caster by 19.4',0,3),
(51097,100062,1,100,'Increases Defense and Aggression of caster by 23.4',0,4),
(51098,100062,1,100,'Increases Mitigation of caster vs arcane damage by 1565',0,5),
(51099,100062,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51100,100062,4,100,'Reduces physical damage done to caster by 5%',0,0),
(51101,100062,4,100,'Increases STA of caster by 150.0',0,1),
(51102,100062,4,100,'Adds 3.4% to base avoidance.',0,2),
(51103,100062,4,100,'Decreases Slashing, Piercing and Crushing of caster by 19.4',0,3),
(51104,100062,4,100,'Increases Defense and Aggression of caster by 28.6',0,4),
(51105,100062,4,100,'Increases Mitigation of caster vs arcane damage by 1912',0,5),
(51106,100062,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51107,100062,5,100,'Reduces physical damage done to caster by 5%',0,0),
(51108,100062,5,100,'Increases STA of caster by 163.7',0,1),
(51109,100062,5,100,'Adds 3.7% to base avoidance.',0,2),
(51110,100062,5,100,'Decreases Slashing, Piercing and Crushing of caster by 19.4',0,3),
(51111,100062,5,100,'Increases Defense and Aggression of caster by 31.2',0,4),
(51112,100062,5,100,'Increases Mitigation of caster vs arcane damage by 2086',0,5),
(51113,100062,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51114,100062,7,100,'Reduces physical damage done to caster by 5%',0,0),
(51115,100062,7,100,'Increases STA of caster by 210.1',0,1),
(51116,100062,7,100,'Adds 4.8% to base avoidance.',0,2),
(51117,100062,7,100,'Decreases Slashing, Piercing and Crushing of caster by 19.4',0,3),
(51118,100062,7,100,'Increases Defense and Aggression of caster by 40.0',0,4),
(51119,100062,7,100,'Increases Mitigation of caster vs arcane damage by 2677',0,5),
(51120,100062,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51121,100062,9,100,'Reduces physical damage done to caster by 5%',0,0),
(51122,100062,9,100,'Increases STA of caster by 218.2',0,1),
(51123,100062,9,100,'Adds 5.0% to base avoidance.',0,2),
(51124,100062,9,100,'Decreases Slashing, Piercing and Crushing of caster by 19.4',0,3),
(51125,100062,9,100,'Increases Defense and Aggression of caster by 41.6',0,4),
(51126,100062,9,100,'Increases Mitigation of caster vs arcane damage by 2781',0,5),
(51127,100062,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51128,100063,1,100,'Reduces physical damage done to caster by 5%',0,0),
(51129,100063,1,100,'Increases STA of caster by 142.6',0,1),
(51130,100063,1,100,'Adds 2.8% to base avoidance.',0,2),
(51131,100063,1,100,'Decreases Slashing, Piercing and Crushing of caster by 22.4',0,3),
(51132,100063,1,100,'Increases Defense and Aggression of caster by 27.9',0,4),
(51133,100063,1,100,'Increases Mitigation of caster vs arcane damage by 1822',0,5),
(51134,100063,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51135,100063,4,100,'Reduces physical damage done to caster by 5%',0,0),
(51136,100063,4,100,'Increases STA of caster by 174.2',0,1),
(51137,100063,4,100,'Adds 3.4% to base avoidance.',0,2),
(51138,100063,4,100,'Decreases Slashing, Piercing and Crushing of caster by 22.4',0,3),
(51139,100063,4,100,'Increases Defense and Aggression of caster by 34.1',0,4),
(51140,100063,4,100,'Increases Mitigation of caster vs arcane damage by 2226',0,5),
(51141,100063,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51142,100063,5,100,'Reduces physical damage done to caster by 5%',0,0),
(51143,100063,5,100,'Increases STA of caster by 190.1',0,1),
(51144,100063,5,100,'Adds 3.7% to base avoidance.',0,2),
(51145,100063,5,100,'Decreases Slashing, Piercing and Crushing of caster by 22.4',0,3),
(51146,100063,5,100,'Increases Defense and Aggression of caster by 37.2',0,4),
(51147,100063,5,100,'Increases Mitigation of caster vs arcane damage by 2429',0,5),
(51148,100063,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51149,100063,7,100,'Reduces physical damage done to caster by 5%',0,0),
(51150,100063,7,100,'Increases STA of caster by 243.9',0,1),
(51151,100063,7,100,'Adds 4.8% to base avoidance.',0,2),
(51152,100063,7,100,'Decreases Slashing, Piercing and Crushing of caster by 22.4',0,3),
(51153,100063,7,100,'Increases Defense and Aggression of caster by 47.7',0,4),
(51154,100063,7,100,'Increases Mitigation of caster vs arcane damage by 3117',0,5),
(51155,100063,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51156,100063,9,100,'Reduces physical damage done to caster by 5%',0,0),
(51157,100063,9,100,'Increases STA of caster by 253.4',0,1),
(51158,100063,9,100,'Adds 5.0% to base avoidance.',0,2),
(51159,100063,9,100,'Decreases Slashing, Piercing and Crushing of caster by 22.4',0,3),
(51160,100063,9,100,'Increases Defense and Aggression of caster by 49.6',0,4),
(51161,100063,9,100,'Increases Mitigation of caster vs arcane damage by 3238',0,5),
(51162,100063,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51163,70092,1,100,'When a combat art is used this spell will cast Shove on target of combat art.  Lasts for 1.0 second.  ',0,0),
(51164,70092,1,100,'Inflicts 73 - 221 melee damage on target',1,1),
(51165,70092,1,100,'Stuns target',1,2),
(51166,70092,1,100,'If Target is not Epic',2,3),
(51167,70092,1,100,'Resistibility increases against targets higher than level 94.',1,4),
(51168,70092,2,100,'When a combat art is used this spell will cast Shove on target of combat art.  Lasts for 1.0 second.  ',0,0),
(51169,70092,2,100,'Inflicts 77 - 233 melee damage on target',1,1),
(51170,70092,2,100,'Stuns target',1,2),
(51171,70092,2,100,'If Target is not Epic',2,3),
(51172,70092,2,100,'Resistibility increases against targets higher than level 94.',1,4),
(51173,70092,3,100,'When a combat art is used this spell will cast Shove on target of combat art.  Lasts for 1.0 second.  ',0,0),
(51174,70092,3,100,'Inflicts 82 - 246 melee damage on target',1,1),
(51175,70092,3,100,'Stuns target',1,2),
(51176,70092,3,100,'If Target is not Epic',2,3),
(51177,70092,3,100,'Resistibility increases against targets higher than level 94.',1,4),
(51178,70092,4,100,'When a combat art is used this spell will cast Shove on target of combat art.  Lasts for 1.0 second.  ',0,0),
(51179,70092,4,100,'Inflicts 90 - 270 melee damage on target',1,1),
(51180,70092,4,100,'Stuns target',1,2),
(51181,70092,4,100,'If Target is not Epic',2,3),
(51182,70092,4,100,'Resistibility increases against targets higher than level 94.',1,4),
(51183,70092,5,100,'When a combat art is used this spell will cast Shove on target of combat art.  Lasts for 1.0 second.  ',0,0),
(51184,70092,5,100,'Inflicts 98 - 295 melee damage on target',1,1),
(51185,70092,5,100,'Stuns target',1,2),
(51186,70092,5,100,'If Target is not Epic',2,3),
(51187,70092,5,100,'Resistibility increases against targets higher than level 94.',1,4),
(51188,70092,7,100,'When a combat art is used this spell will cast Shove on target of combat art.  Lasts for 1.0 second.  ',0,0),
(51189,70092,7,100,'Inflicts 126 - 378 melee damage on target',1,1),
(51190,70092,7,100,'Stuns target',1,2),
(51191,70092,7,100,'If Target is not Epic',2,3),
(51192,70092,7,100,'Resistibility increases against targets higher than level 94.',1,4),
(51193,70092,9,100,'When a combat art is used this spell will cast Shove on target of combat art.  Lasts for 1.0 second.  ',0,0),
(51194,70092,9,100,'Inflicts 131 - 393 melee damage on target',1,1),
(51195,70092,9,100,'Stuns target',1,2),
(51196,70092,9,100,'If Target is not Epic',2,3),
(51197,70092,9,100,'Resistibility increases against targets higher than level 94.',1,4),
(51198,70093,1,100,'When a combat art is used this spell will cast Shove on target of combat art.  Lasts for 1.0 second.  ',0,0),
(51199,70093,1,100,'Inflicts 94 - 282 melee damage on target',1,1),
(51200,70093,1,100,'Stuns target',1,2),
(51201,70093,1,100,'If Target is not Epic',2,3),
(51202,70093,1,100,'Resistibility increases against targets higher than level 107.',1,4),
(51203,70093,2,100,'When a combat art is used this spell will cast Shove on target of combat art.  Lasts for 1.0 second.  ',0,0),
(51204,70093,2,100,'Inflicts 99 - 298 melee damage on target',1,1),
(51205,70093,2,100,'Stuns target',1,2),
(51206,70093,2,100,'If Target is not Epic',2,3),
(51207,70093,2,100,'Resistibility increases against targets higher than level 107.',1,4),
(51208,70093,3,100,'When a combat art is used this spell will cast Shove on target of combat art.  Lasts for 1.0 second.  ',0,0),
(51209,70093,3,100,'Inflicts 104 - 314 melee damage on target',1,1),
(51210,70093,3,100,'Stuns target',1,2),
(51211,70093,3,100,'If Target is not Epic',2,3),
(51212,70093,3,100,'Resistibility increases against targets higher than level 107.',1,4),
(51213,70093,4,100,'When a combat art is used this spell will cast Shove on target of combat art.  Lasts for 1.0 second.  ',0,0),
(51214,70093,4,100,'Inflicts 115 - 345 melee damage on target',1,1),
(51215,70093,4,100,'Stuns target',1,2),
(51216,70093,4,100,'If Target is not Epic',2,3),
(51217,70093,4,100,'Resistibility increases against targets higher than level 107.',1,4),
(51218,70093,5,100,'When a combat art is used this spell will cast Shove on target of combat art.  Lasts for 1.0 second.  ',0,0),
(51219,70093,5,100,'Inflicts 125 - 377 melee damage on target',1,1),
(51220,70093,5,100,'Stuns target',1,2),
(51221,70093,5,100,'If Target is not Epic',2,3),
(51222,70093,5,100,'Resistibility increases against targets higher than level 107.',1,4),
(51223,70093,7,100,'When a combat art is used this spell will cast Shove on target of combat art.  Lasts for 1.0 second.  ',0,0),
(51224,70093,7,100,'Inflicts 161 - 483 melee damage on target',1,1),
(51225,70093,7,100,'Stuns target',1,2),
(51226,70093,7,100,'If Target is not Epic',2,3),
(51227,70093,7,100,'Resistibility increases against targets higher than level 107.',1,4),
(51228,70093,9,100,'When a combat art is used this spell will cast Shove on target of combat art.  Lasts for 1.0 second.  ',0,0),
(51229,70093,9,100,'Inflicts 167 - 502 melee damage on target',1,1),
(51230,70093,9,100,'Stuns target',1,2),
(51231,70093,9,100,'If Target is not Epic',2,3),
(51232,70093,9,100,'Resistibility increases against targets higher than level 107.',1,4),
(51233,70094,1,100,'When a combat art is used this spell will cast Shove on target of combat art.  Lasts for 1.0 second.  ',0,0),
(51234,70094,1,100,'Inflicts 113 - 340 melee damage on target',1,1),
(51235,70094,1,100,'Stuns target',1,2),
(51236,70094,1,100,'If Target is not Epic',2,3),
(51237,70094,1,100,'Resistibility increases against targets higher than level 117.',1,4),
(51238,70094,4,100,'When a combat art is used this spell will cast Shove on target of combat art.  Lasts for 1.0 second.  ',0,0),
(51239,70094,4,100,'Inflicts 138 - 416 melee damage on target',1,1),
(51240,70094,4,100,'Stuns target',1,2),
(51241,70094,4,100,'If Target is not Epic',2,3),
(51242,70094,4,100,'Resistibility increases against targets higher than level 117.',1,4),
(51243,70094,5,100,'When a combat art is used this spell will cast Shove on target of combat art.  Lasts for 1.0 second.  ',0,0),
(51244,70094,5,100,'Inflicts 151 - 454 melee damage on target',1,1),
(51245,70094,5,100,'Stuns target',1,2),
(51246,70094,5,100,'If Target is not Epic',2,3),
(51247,70094,5,100,'Resistibility increases against targets higher than level 117.',1,4),
(51248,70094,7,100,'When a combat art is used this spell will cast Shove on target of combat art.  Lasts for 1.0 second.  ',0,0),
(51249,70094,7,100,'Inflicts 194 - 582 melee damage on target',1,1),
(51250,70094,7,100,'Stuns target',1,2),
(51251,70094,7,100,'If Target is not Epic',2,3),
(51252,70094,7,100,'Resistibility increases against targets higher than level 117.',1,4),
(51253,70094,9,100,'When a combat art is used this spell will cast Shove on target of combat art.  Lasts for 1.0 second.  ',0,0),
(51254,70094,9,100,'Inflicts 201 - 605 melee damage on target',1,1),
(51255,70094,9,100,'Stuns target',1,2),
(51256,70094,9,100,'If Target is not Epic',2,3),
(51257,70094,9,100,'Resistibility increases against targets higher than level 117.',1,4),
(51258,70095,1,100,'When a combat art is used this spell will cast Shove on target of combat art.  Lasts for 1.0 second.  ',0,0),
(51259,70095,1,100,'Inflicts 141 - 425 melee damage on target',1,1),
(51260,70095,1,100,'Stuns target',1,2),
(51261,70095,1,100,'If Target is not Epic',2,3),
(51262,70095,1,100,'Resistibility increases against targets higher than level 127.',1,4),
(51263,70095,4,100,'When a combat art is used this spell will cast Shove on target of combat art.  Lasts for 1.0 second.  ',0,0),
(51264,70095,4,100,'Inflicts 173 - 519 melee damage on target',1,1),
(51265,70095,4,100,'Stuns target',1,2),
(51266,70095,4,100,'If Target is not Epic',2,3),
(51267,70095,4,100,'Resistibility increases against targets higher than level 127.',1,4),
(51268,70095,5,100,'When a combat art is used this spell will cast Shove on target of combat art.  Lasts for 1.0 second.  ',0,0),
(51269,70095,5,100,'Inflicts 189 - 567 melee damage on target',1,1),
(51270,70095,5,100,'Stuns target',1,2),
(51271,70095,5,100,'If Target is not Epic',2,3),
(51272,70095,5,100,'Resistibility increases against targets higher than level 127.',1,4),
(51273,70095,7,100,'When a combat art is used this spell will cast Shove on target of combat art.  Lasts for 1.0 second.  ',0,0),
(51274,70095,7,100,'Inflicts 242 - 727 melee damage on target',1,1),
(51275,70095,7,100,'Stuns target',1,2),
(51276,70095,7,100,'If Target is not Epic',2,3),
(51277,70095,7,100,'Resistibility increases against targets higher than level 127.',1,4),
(51278,70095,9,100,'When a combat art is used this spell will cast Shove on target of combat art.  Lasts for 1.0 second.  ',0,0),
(51279,70095,9,100,'Inflicts 252 - 756 melee damage on target',1,1),
(51280,70095,9,100,'Stuns target',1,2),
(51281,70095,9,100,'If Target is not Epic',2,3),
(51282,70095,9,100,'Resistibility increases against targets higher than level 127.',1,4),
(51283,2000151,1,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(51284,2000151,1,100,'Slows target by 37.8%',1,1),
(51285,2000151,1,100,'5% chance to dispel when target receives hostile action',1,2),
(51286,2000151,1,100,'5% chance to dispel when target takes damage',1,3),
(51287,2000151,1,100,'If Target is not Epic',1,4),
(51288,2000151,1,100,'Inflicts 836 - 1394 melee damage on targets in Area of Effect',0,5),
(51289,2000151,1,100,'Inflicts 177 - 266 piercing damage on targets in Area of Effect every 4 seconds',0,6),
(51290,2000152,1,100,'Applies Stoneskin Reaction.  Lasts for 1.0 seconds.',0,0),
(51291,2000152,1,100,'Reduces all damage done to target by 100%',1,1),
(51292,2000152,1,100,'Triggers when a Stoneskin is consumed. Suspends all other stoneskins that match the damage types of this effect.',1,2),
(51293,2000152,1,100,'Will absorb all damage when the amount is greater than 5% of the target''s maximum health. This spell will absorb a total of 7 attacks.',0,3),
(51294,30109,1,100,'Inflicts 810 - 1350 melee damage on target',0,0),
(51295,30109,2,100,'Inflicts 855 - 1425 melee damage on target',0,0),
(51296,30109,3,100,'Inflicts 900 - 1500 melee damage on target',0,0),
(51297,30109,4,100,'Inflicts 743 - 1238 melee damage on target',0,0),
(51298,30109,5,100,'Inflicts 810 - 1351 melee damage on target',0,0),
(51299,2000153,3,100,'Inflicts 4 - 7 crushing damage on target',0,0),
(51300,2000153,4,100,'Inflicts 4 - 8 crushing damage on target',0,0),
(51301,2000153,5,100,'Inflicts 5 - 9 crushing damage on target',0,0),
(51302,2000153,7,100,'Inflicts 6 - 11 crushing damage on target',0,0),
(51303,2000153,9,100,'Inflicts 7 - 12 crushing damage on target',0,0),
(51304,2000153,10,100,'Inflicts 7 - 12 crushing damage on target',0,0),
(51305,2000154,1,100,'Increases target''s chance to block by 100.0%',0,0),
(51306,70096,1,100,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',0,0),
(51307,70096,1,100,'Inflicts 14 magic damage on target',1,1),
(51308,70096,1,100,'Grants a total of 5 triggers of the spell.',1,2),
(51309,70096,2,100,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',0,0),
(51310,70096,2,100,'Inflicts 15 magic damage on target',1,1),
(51311,70096,2,100,'Grants a total of 5 triggers of the spell.',1,2),
(51312,70096,3,100,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',0,0),
(51313,70096,3,100,'Inflicts 15 magic damage on target',1,1),
(51314,70096,3,100,'Grants a total of 5 triggers of the spell.',1,2),
(51315,70096,4,100,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',0,0),
(51316,70096,4,100,'Inflicts 17 magic damage on target',1,1),
(51317,70096,4,100,'Grants a total of 5 triggers of the spell.',1,2),
(51318,70096,5,100,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',0,0),
(51319,70096,5,100,'Inflicts 18 magic damage on target',1,1),
(51320,70096,5,100,'Grants a total of 5 triggers of the spell.',1,2),
(51321,70096,7,100,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',0,0),
(51322,70096,7,100,'Inflicts 24 magic damage on target',1,1),
(51323,70096,7,100,'Grants a total of 5 triggers of the spell.',1,2),
(51324,70096,9,100,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',0,0),
(51325,70096,9,100,'Inflicts 25 magic damage on target',1,1),
(51326,70096,9,100,'Grants a total of 5 triggers of the spell.',1,2),
(51327,70097,1,100,'On a melee hit this spell has a chance to cast Fiery Fist on target \r\nof attack.  ',0,0),
(51328,70097,1,100,'Inflicts 9 - 15 fire damage on target',1,1),
(51330,70097,2,100,'On a melee hit this spell has a chance to cast Fiery Fist on target \r\nof attack.',0,0),
(51331,70097,2,100,'Inflicts 12 - 17 fire damage on target',1,1),
(51333,70097,3,100,'On a melee hit this spell has a chance to cast Fiery Fist on target \r\nof attack.',0,0),
(51334,70097,3,100,'Inflicts 15 - 20 fire damage on target',1,1),
(51336,70097,4,100,'On a melee hit this spell has a chance to cast Fiery Fist on target \r\nof attack.',0,0),
(51337,70097,4,100,'Inflicts 18 - 22 fire damage on target',1,1),
(51339,70097,5,100,'On a melee hit this spell has a chance to cast Fiery Fist on target \r\nof attack.',0,0),
(51340,70097,5,100,'Inflicts 20 - 25 fire damage on target',1,1),
(51342,70097,7,100,'On a melee hit this spell has a chance to cast Fiery Fist on target \r\nof attack.',0,0),
(51343,70097,7,100,'Inflicts 26 - 31 fire damage on target',1,1),
(51345,70097,9,100,'On a melee hit this spell has a chance to cast Fiery Fist on target \r\nof attack.',0,0),
(51346,70097,9,100,'Inflicts 32 - 37 fire damage on target',1,1),
(51348,70098,1,100,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',0,0),
(51349,70098,1,100,'Inflicts 44 magic damage on target',1,1),
(51350,70098,1,100,'Grants a total of 5 triggers of the spell.',1,2),
(51351,70098,2,100,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',0,0),
(51352,70098,2,100,'Inflicts 47 magic damage on target',1,1),
(51353,70098,2,100,'Grants a total of 5 triggers of the spell.',1,2),
(51354,70098,3,100,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',0,0),
(51355,70098,3,100,'Inflicts 49 magic damage on target',1,1),
(51356,70098,3,100,'Grants a total of 5 triggers of the spell.',1,2),
(51357,70098,4,100,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',0,0),
(51358,70098,4,100,'Inflicts 54 magic damage on target',1,1),
(51359,70098,4,100,'Grants a total of 5 triggers of the spell.',1,2),
(51360,70098,5,100,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',0,0),
(51361,70098,5,100,'Inflicts 59 magic damage on target',1,1),
(51362,70098,5,100,'Grants a total of 5 triggers of the spell.',1,2),
(51363,70098,7,100,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',0,0),
(51364,70098,7,100,'Inflicts 75 magic damage on target',1,1),
(51365,70098,7,100,'Grants a total of 5 triggers of the spell.',1,2),
(51366,70098,9,100,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',0,0),
(51367,70098,9,100,'Inflicts 78 magic damage on target',1,1),
(51368,70098,9,100,'Grants a total of 5 triggers of the spell.',1,2),
(51369,70098,10,100,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',0,0),
(51370,70098,10,100,'Inflicts 82 magic damage on target',1,1),
(51371,70098,10,100,'Grants a total of 5 triggers of the spell.',1,2),
(51372,70099,1,100,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',0,0),
(51373,70099,1,100,'Inflicts 63 magic damage on target',1,1),
(51374,70099,1,100,'Grants a total of 5 triggers of the spell.',1,2),
(51375,70099,2,100,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',0,0),
(51376,70099,2,100,'Inflicts 67 magic damage on target',1,1),
(51377,70099,2,100,'Grants a total of 5 triggers of the spell.',1,2),
(51378,70099,3,100,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',0,0),
(51379,70099,3,100,'Inflicts 70 magic damage on target',1,1),
(51380,70099,3,100,'Grants a total of 5 triggers of the spell.',1,2),
(51381,70099,4,100,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',0,0),
(51382,70099,4,100,'Inflicts 77 magic damage on target',1,1),
(51383,70099,4,100,'Grants a total of 5 triggers of the spell.',1,2),
(51384,70099,5,100,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',0,0),
(51385,70099,5,100,'Inflicts 84 magic damage on target',1,1),
(51386,70099,5,100,'Grants a total of 5 triggers of the spell.',1,2),
(51387,70099,7,100,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',0,0),
(51388,70099,7,100,'Inflicts 108 magic damage on target',1,1),
(51389,70099,7,100,'Grants a total of 5 triggers of the spell.',1,2),
(51390,70099,9,100,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',0,0),
(51391,70099,9,100,'Inflicts 112 magic damage on target',1,1),
(51392,70099,9,100,'Grants a total of 5 triggers of the spell.',1,2),
(51393,70100,1,100,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',0,0),
(51394,70100,1,100,'Inflicts 82 magic damage on target',1,1),
(51395,70100,1,100,'Grants a total of 5 triggers of the spell.',1,2),
(51396,70100,2,100,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',0,0),
(51397,70100,2,100,'Inflicts 87 magic damage on target',1,1),
(51398,70100,2,100,'Grants a total of 5 triggers of the spell.',1,2),
(51399,70100,3,100,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',0,0),
(51400,70100,3,100,'Inflicts 91 magic damage on target',1,1),
(51401,70100,3,100,'Grants a total of 5 triggers of the spell.',1,2),
(51402,70100,4,100,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',0,0),
(51403,70100,4,100,'Inflicts 101 magic damage on target',1,1),
(51404,70100,4,100,'Grants a total of 5 triggers of the spell.',1,2),
(51405,70100,5,100,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',0,0),
(51406,70100,5,100,'Inflicts 110 magic damage on target',1,1),
(51407,70100,5,100,'Grants a total of 5 triggers of the spell.',1,2),
(51408,70100,7,100,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',0,0),
(51409,70100,7,100,'Inflicts 141 magic damage on target',1,1),
(51410,70100,7,100,'Grants a total of 5 triggers of the spell.',1,2),
(51411,70100,9,100,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',0,0),
(51412,70100,9,100,'Inflicts 146 magic damage on target',1,1),
(51413,70100,9,100,'Grants a total of 5 triggers of the spell.',1,2),
(51414,70101,1,100,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',0,0),
(51415,70101,1,100,'Inflicts 100 magic damage on target',1,1),
(51416,70101,1,100,'Grants a total of 5 triggers of the spell.',1,2),
(51417,70101,4,100,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',0,0),
(51418,70101,4,100,'Inflicts 122 magic damage on target',1,1),
(51419,70101,4,100,'Grants a total of 5 triggers of the spell.',1,2),
(51420,70101,5,100,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',0,0),
(51421,70101,5,100,'Inflicts 133 magic damage on target',1,1),
(51422,70101,5,100,'Grants a total of 5 triggers of the spell.',1,2),
(51423,70101,7,100,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',0,0),
(51424,70101,7,100,'Inflicts 171 magic damage on target',1,1),
(51425,70101,7,100,'Grants a total of 5 triggers of the spell.',1,2),
(51426,70101,9,100,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',0,0),
(51427,70101,9,100,'Inflicts 177 magic damage on target',1,1),
(51428,70101,9,100,'Grants a total of 5 triggers of the spell.',1,2),
(51429,70102,1,100,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',0,0),
(51430,70102,1,100,'Inflicts 118 magic damage on target',1,1),
(51431,70102,1,100,'Grants a total of 5 triggers of the spell.',1,2),
(51432,70102,4,100,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',0,0),
(51433,70102,4,100,'Inflicts 145 magic damage on target',1,1),
(51434,70102,4,100,'Grants a total of 5 triggers of the spell.',1,2),
(51435,70102,5,100,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',0,0),
(51436,70102,5,100,'Inflicts 158 magic damage on target',1,1),
(51437,70102,5,100,'Grants a total of 5 triggers of the spell.',1,2),
(51438,70102,7,100,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',0,0),
(51439,70102,7,100,'Inflicts 202 magic damage on target',1,1),
(51440,70102,7,100,'Grants a total of 5 triggers of the spell.',1,2),
(51441,70102,9,100,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',0,0),
(51442,70102,9,100,'Inflicts 210 magic damage on target',1,1),
(51443,70102,9,100,'Grants a total of 5 triggers of the spell.',1,2),
(51444,60105,1,100,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',0,0),
(51445,60105,1,100,'Inflicts 7 - 12 magic damage on target',1,1),
(51446,60105,1,100,'Grants a total of 8 triggers of the spell.',1,2),
(51447,60105,2,100,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',0,0),
(51448,60105,2,100,'Inflicts 8 - 13 magic damage on target',1,1),
(51449,60105,2,100,'Grants a total of 8 triggers of the spell.',1,2),
(51450,60105,3,100,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',0,0),
(51451,60105,3,100,'Inflicts 8 - 13 magic damage on target',1,1),
(51452,60105,3,100,'Grants a total of 8 triggers of the spell.',1,2),
(51453,60105,4,100,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',0,0),
(51454,60105,4,100,'Inflicts 9 - 15 magic damage on target',1,1),
(51455,60105,4,100,'Grants a total of 8 triggers of the spell.',1,2),
(51456,60105,5,100,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',0,0),
(51457,60105,5,100,'Inflicts 10 - 16 magic damage on target',1,1),
(51458,60105,5,100,'Grants a total of 8 triggers of the spell.',1,2),
(51459,60105,7,100,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',0,0),
(51460,60105,7,100,'Inflicts 12 - 21 magic damage on target',1,1),
(51461,60105,7,100,'Grants a total of 8 triggers of the spell.',1,2),
(51462,60105,9,100,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',0,0),
(51463,60105,9,100,'Inflicts 13 - 22 magic damage on target',1,1),
(51464,60105,9,100,'Grants a total of 8 triggers of the spell.',1,2),
(51465,60106,1,100,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',0,0),
(51466,60106,1,100,'Inflicts 15 - 25 magic damage on target',1,1),
(51467,60106,1,100,'Grants a total of 8 triggers of the spell.',1,2),
(51468,60106,2,100,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',0,0),
(51469,60106,2,100,'Inflicts 16 - 26 magic damage on target',1,1),
(51470,60106,2,100,'Grants a total of 8 triggers of the spell.',1,2),
(51471,60106,3,100,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',0,0),
(51472,60106,3,100,'Inflicts 16 - 27 magic damage on target',1,1),
(51473,60106,3,100,'Grants a total of 8 triggers of the spell.',1,2),
(51474,60106,4,100,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',0,0),
(51475,60106,4,100,'Inflicts 18 - 30 magic damage on target',1,1),
(51476,60106,4,100,'Grants a total of 8 triggers of the spell.',1,2),
(51477,60106,5,100,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',0,0),
(51478,60106,5,100,'Inflicts 20 - 33 magic damage on target',1,1),
(51479,60106,5,100,'Grants a total of 8 triggers of the spell.',1,2),
(51480,60106,7,100,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',0,0),
(51481,60106,7,100,'Inflicts 25 - 42 magic damage on target',1,1),
(51482,60106,7,100,'Grants a total of 8 triggers of the spell.',1,2),
(51483,60106,9,100,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',0,0),
(51484,60106,9,100,'Inflicts 26 - 44 magic damage on target',1,1),
(51485,60106,9,100,'Grants a total of 8 triggers of the spell.',1,2),
(51486,60107,1,100,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',0,0),
(51487,60107,1,100,'Inflicts 23 - 39 magic damage on target',1,1),
(51488,60107,1,100,'Grants a total of 8 triggers of the spell.',1,2),
(51489,60107,2,100,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',0,0),
(51490,60107,2,100,'Inflicts 24 - 41 magic damage on target',1,1),
(51491,60107,2,100,'Grants a total of 8 triggers of the spell.',1,2),
(51492,60107,3,100,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',0,0),
(51493,60107,3,100,'Inflicts 26 - 43 magic damage on target',1,1),
(51494,60107,3,100,'Grants a total of 8 triggers of the spell.',1,2),
(51495,60107,4,100,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',0,0),
(51496,60107,4,100,'Inflicts 28 - 47 magic damage on target',1,1),
(51497,60107,4,100,'Grants a total of 8 triggers of the spell.',1,2),
(51498,60107,5,100,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',0,0),
(51499,60107,5,100,'Inflicts 31 - 51 magic damage on target',1,1),
(51500,60107,5,100,'Grants a total of 8 triggers of the spell.',1,2),
(51501,60107,7,100,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',0,0),
(51502,60107,7,100,'Inflicts 40 - 66 magic damage on target',1,1),
(51503,60107,7,100,'Grants a total of 8 triggers of the spell.',1,2),
(51504,60107,9,100,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',0,0),
(51505,60107,9,100,'Inflicts 41 - 69 magic damage on target',1,1),
(51506,60107,9,100,'Grants a total of 8 triggers of the spell.',1,2),
(51507,60107,10,100,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',0,0),
(51508,60107,10,100,'Inflicts 43 - 72 magic damage on target',1,1),
(51509,60107,10,100,'Grants a total of 8 triggers of the spell.',1,2),
(51510,60108,1,100,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',0,0),
(51511,60108,1,100,'Inflicts 33 - 55 magic damage on target',1,1),
(51512,60108,1,100,'Grants a total of 8 triggers of the spell.',1,2),
(51513,60108,2,100,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',0,0),
(51514,60108,2,100,'Inflicts 35 - 58 magic damage on target',1,1),
(51515,60108,2,100,'Grants a total of 8 triggers of the spell.',1,2),
(51516,60108,3,100,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',0,0),
(51517,60108,3,100,'Inflicts 37 - 61 magic damage on target',1,1),
(51518,60108,3,100,'Grants a total of 8 triggers of the spell.',1,2),
(51519,60108,4,100,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',0,0),
(51520,60108,4,100,'Inflicts 40 - 67 magic damage on target',1,1),
(51521,60108,4,100,'Grants a total of 8 triggers of the spell.',1,2),
(51522,60108,5,100,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',0,0),
(51523,60108,5,100,'Inflicts 44 - 74 magic damage on target',1,1),
(51524,60108,5,100,'Grants a total of 8 triggers of the spell.',1,2),
(51525,60108,7,100,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',0,0),
(51526,60108,7,100,'Inflicts 57 - 94 magic damage on target',1,1),
(51527,60108,7,100,'Grants a total of 8 triggers of the spell.',1,2),
(51528,60108,9,100,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',0,0),
(51529,60108,9,100,'Inflicts 59 - 98 magic damage on target',1,1),
(51530,60108,9,100,'Grants a total of 8 triggers of the spell.',1,2),
(51531,60109,1,100,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',0,0),
(51532,60109,1,100,'Inflicts 43 - 72 magic damage on target',1,1),
(51533,60109,1,100,'Grants a total of 8 triggers of the spell.',1,2),
(51534,60109,2,100,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',0,0),
(51535,60109,2,100,'Inflicts 46 - 76 magic damage on target',1,1),
(51536,60109,2,100,'Grants a total of 8 triggers of the spell.',1,2),
(51537,60109,3,100,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',0,0),
(51538,60109,3,100,'Inflicts 48 - 80 magic damage on target',1,1),
(51539,60109,3,100,'Grants a total of 8 triggers of the spell.',1,2),
(51540,60109,4,100,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',0,0),
(51541,60109,4,100,'Inflicts 53 - 88 magic damage on target',1,1),
(51542,60109,4,100,'Grants a total of 8 triggers of the spell.',1,2),
(51543,60109,5,100,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',0,0),
(51544,60109,5,100,'Inflicts 58 - 96 magic damage on target',1,1),
(51545,60109,5,100,'Grants a total of 8 triggers of the spell.',1,2),
(51546,60109,7,100,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',0,0),
(51547,60109,7,100,'Inflicts 74 - 123 magic damage on target',1,1),
(51548,60109,7,100,'Grants a total of 8 triggers of the spell.',1,2),
(51549,60109,9,100,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',0,0),
(51550,60109,9,100,'Inflicts 77 - 128 magic damage on target',1,1),
(51551,60109,9,100,'Grants a total of 8 triggers of the spell.',1,2),
(51552,60110,1,100,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',0,0),
(51553,60110,1,100,'Inflicts 52 - 87 magic damage on target',1,1),
(51554,60110,1,100,'Grants a total of 8 triggers of the spell.',1,2),
(51555,60110,4,100,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',0,0),
(51556,60110,4,100,'Inflicts 64 - 107 magic damage on target',1,1),
(51557,60110,4,100,'Grants a total of 8 triggers of the spell.',1,2),
(51558,60110,5,100,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',0,0),
(51559,60110,5,100,'Inflicts 70 - 116 magic damage on target',1,1),
(51560,60110,5,100,'Grants a total of 8 triggers of the spell.',1,2),
(51561,60110,7,100,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',0,0),
(51562,60110,7,100,'Inflicts 90 - 149 magic damage on target',1,1),
(51563,60110,7,100,'Grants a total of 8 triggers of the spell.',1,2),
(51564,60110,9,100,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',0,0),
(51565,60110,9,100,'Inflicts 93 - 155 magic damage on target',1,1),
(51566,60110,9,100,'Grants a total of 8 triggers of the spell.',1,2),
(51567,60111,1,100,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',0,0),
(51568,60111,1,100,'Inflicts 62 - 103 magic damage on target',1,1),
(51569,60111,1,100,'Grants a total of 8 triggers of the spell.',1,2),
(51570,60111,4,100,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',0,0),
(51571,60111,4,100,'Inflicts 76 - 126 magic damage on target',1,1),
(51572,60111,4,100,'Grants a total of 8 triggers of the spell.',1,2),
(51573,60111,5,100,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',0,0),
(51574,60111,5,100,'Inflicts 83 - 138 magic damage on target',1,1),
(51575,60111,5,100,'Grants a total of 8 triggers of the spell.',1,2),
(51576,60111,7,100,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',0,0),
(51577,60111,7,100,'Inflicts 106 - 177 magic damage on target',1,1),
(51578,60111,7,100,'Grants a total of 8 triggers of the spell.',1,2),
(51579,60111,9,100,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',0,0),
(51580,60111,9,100,'Inflicts 110 - 184 magic damage on target',1,1),
(51581,60111,9,100,'Grants a total of 8 triggers of the spell.',1,2),
(51582,390081,1,100,'Inflicts 5 - 9 heat damage on target',0,0),
(51583,390081,2,100,'Inflicts 6 - 10 heat damage on target',0,0),
(51584,390081,3,100,'Inflicts 6 - 11 heat damage on target',0,0),
(51585,390081,4,100,'Inflicts 7 - 12 heat damage on target',0,0),
(51586,390081,5,100,'Inflicts 7 - 13 heat damage on target',0,0),
(51587,390081,7,100,'Inflicts 10 - 17 heat damage on target',0,0),
(51588,390081,9,100,'Inflicts 10 - 17 heat damage on target',0,0),
(51589,390082,1,100,'Inflicts 18 - 31 heat damage on target',0,0),
(51590,390082,2,100,'Inflicts 19 - 32 heat damage on target',0,0),
(51591,390082,3,100,'Inflicts 20 - 34 heat damage on target',0,0),
(51592,390082,4,100,'Inflicts 22 - 38 heat damage on target',0,0),
(51593,390082,5,100,'Inflicts 24 - 41 heat damage on target',0,0),
(51594,390082,7,100,'Inflicts 32 - 53 heat damage on target',0,0),
(51595,390082,9,100,'Inflicts 33 - 55 heat damage on target',0,0),
(51596,390083,1,100,'Inflicts 34 - 57 heat damage on target',0,0),
(51597,390083,2,100,'Inflicts 36 - 60 heat damage on target',0,0),
(51598,390083,3,100,'Inflicts 38 - 63 heat damage on target',0,0),
(51599,390083,4,100,'Inflicts 41 - 69 heat damage on target',0,0),
(51600,390083,5,100,'Inflicts 45 - 76 heat damage on target',0,0),
(51601,390083,7,100,'Inflicts 58 - 97 heat damage on target',0,0),
(51602,390083,9,100,'Inflicts 61 - 101 heat damage on target',0,0),
(51603,390084,1,100,'Inflicts 69 - 115 heat damage on target',0,0),
(51604,390084,2,100,'Inflicts 73 - 122 heat damage on target',0,0),
(51605,390084,3,100,'Inflicts 77 - 128 heat damage on target',0,0),
(51606,390084,4,100,'Inflicts 85 - 141 heat damage on target',0,0),
(51607,390084,5,100,'Inflicts 92 - 154 heat damage on target',0,0),
(51608,390084,7,100,'Inflicts 119 - 198 heat damage on target',0,0),
(51609,390084,9,100,'Inflicts 123 - 206 heat damage on target',0,0),
(51610,390085,1,100,'Inflicts 292 - 487 heat damage on target',0,0),
(51611,390085,4,100,'Inflicts 357 - 596 heat damage on target',0,0),
(51612,390085,5,100,'Inflicts 390 - 650 heat damage on target',0,0),
(51613,390085,7,100,'Inflicts 500 - 834 heat damage on target',0,0),
(51614,390085,9,100,'Inflicts 520 - 867 heat damage on target',0,0),
(51615,390086,1,100,'Inflicts 109 - 181 heat damage on target',0,0),
(51616,390086,2,100,'Inflicts 115 - 191 heat damage on target',0,0),
(51617,390086,3,100,'Inflicts 121 - 201 heat damage on target',0,0),
(51618,390086,4,100,'Inflicts 133 - 222 heat damage on target',0,0),
(51619,390086,5,100,'Inflicts 145 - 242 heat damage on target',0,0),
(51620,390086,7,100,'Inflicts 186 - 311 heat damage on target',0,0),
(51621,390086,9,100,'Inflicts 193 - 323 heat damage on target',0,0),
(51622,390086,10,100,'Inflicts 203 - 339 heat damage on target',0,0),
(51623,390087,1,100,'Inflicts 155 - 259 heat damage on target',0,0),
(51624,390087,2,100,'Inflicts 164 - 274 heat damage on target',0,0),
(51625,390087,3,100,'Inflicts 173 - 288 heat damage on target',0,0),
(51626,390087,4,100,'Inflicts 190 - 317 heat damage on target',0,0),
(51627,390087,5,100,'Inflicts 207 - 346 heat damage on target',0,0),
(51628,390087,7,100,'Inflicts 266 - 444 heat damage on target',0,0),
(51629,390087,9,100,'Inflicts 277 - 462 heat damage on target',0,0),
(51630,390088,1,100,'Inflicts 203 - 339 heat damage on target',0,0),
(51631,390088,2,100,'Inflicts 214 - 358 heat damage on target',0,0),
(51632,390088,3,100,'Inflicts 226 - 377 heat damage on target',0,0),
(51633,390088,4,100,'Inflicts 248 - 414 heat damage on target',0,0),
(51634,390088,5,100,'Inflicts 271 - 452 heat damage on target',0,0),
(51635,390088,7,100,'Inflicts 348 - 580 heat damage on target',0,0),
(51636,390088,9,100,'Inflicts 362 - 603 heat damage on target',0,0),
(51637,390089,1,100,'Inflicts 246 - 411 heat damage on target',0,0),
(51638,390089,4,100,'Inflicts 301 - 502 heat damage on target',0,0),
(51639,390089,5,100,'Inflicts 328 - 548 heat damage on target',0,0),
(51640,390089,7,100,'Inflicts 422 - 703 heat damage on target',0,0),
(51641,390089,9,100,'Inflicts 438 - 731 heat damage on target',0,0),
(51642,2000155,1,100,'Interrupts targets in Area of Effect',0,0),
(51643,2000155,1,100,'Inflicts 897 - 1097 melee damage on targets in Area of Effect',0,1),
(51644,2000155,2,100,'Interrupts targets in Area of Effect',0,0),
(51645,2000155,2,100,'Inflicts 710 - 868 melee damage on targets in Area of Effect',0,1),
(51646,2000155,3,100,'Interrupts targets in Area of Effect',0,0),
(51647,2000155,3,100,'Inflicts 997 - 1218 melee damage on targets in Area of Effect',0,1),
(51648,2000155,4,100,'Interrupts targets in Area of Effect',0,0),
(51649,2000155,4,100,'Inflicts 1097 - 1340 melee damage on targets in Area of Effect',0,1),
(51650,2000155,5,100,'Interrupts targets in Area of Effect',0,0),
(51651,2000155,5,100,'Inflicts 1196 - 1462 melee damage on targets in Area of Effect',0,1),
(51652,90036,1,100,'Reduces physical damage done to caster by 5%',0,0),
(51653,90036,1,100,'Increases STA of caster by 11.9',0,1),
(51654,90036,1,100,'Adds 2.8% to base avoidance.',0,2),
(51655,90036,1,100,'Decreases Slashing, Piercing and Crushing of caster by 1.4',0,3),
(51656,90036,1,100,'Increases Defense and Aggression of caster by 1.6',0,4),
(51657,90036,1,100,'Increases Mitigation of caster vs noxious damage by 138',0,5),
(51658,90036,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51659,90036,2,100,'Reduces physical damage done to caster by 5%',0,0),
(51660,90036,2,100,'Increases STA of caster by 12.5',0,1),
(51661,90036,2,100,'Adds 2.9% to base avoidance.',0,2),
(51662,90036,2,100,'Decreases Slashing, Piercing and Crushing of caster by 1.4',0,3),
(51663,90036,2,100,'Increases Defense and Aggression of caster by 1.7',0,4),
(51664,90036,2,100,'Increases Mitigation of caster vs noxious damage by 146',0,5),
(51665,90036,2,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51666,90036,3,100,'Reduces physical damage done to caster by 5%',0,0),
(51667,90036,3,100,'Increases STA of caster by 13.2',0,1),
(51668,90036,3,100,'Adds 3.1% to base avoidance.',0,2),
(51669,90036,3,100,'Decreases Slashing, Piercing and Crushing of caster by 1.4',0,3),
(51670,90036,3,100,'Increases Defense and Aggression of caster by 1.8',0,4),
(51671,90036,3,100,'Increases Mitigation of caster vs noxious damage by 154',0,5),
(51672,90036,3,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51673,90036,4,100,'Reduces physical damage done to caster by 5%',0,0),
(51674,90036,4,100,'Increases STA of caster by 14.5',0,1),
(51675,90036,4,100,'Adds 3.4% to base avoidance.',0,2),
(51676,90036,4,100,'Decreases Slashing, Piercing and Crushing of caster by 1.4',0,3),
(51677,90036,4,100,'Increases Defense and Aggression of caster by 2.0',0,4),
(51678,90036,4,100,'Increases Mitigation of caster vs noxious damage by 169',0,5),
(51679,90036,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51680,90036,5,100,'Reduces physical damage done to caster by 5%',0,0),
(51681,90036,5,100,'Increases STA of caster by 15.8',0,1),
(51682,90036,5,100,'Adds 3.7% to base avoidance.',0,2),
(51683,90036,5,100,'Decreases Slashing, Piercing and Crushing of caster by 1.4',0,3),
(51684,90036,5,100,'Increases Defense and Aggression of caster by 2.2',0,4),
(51685,90036,5,100,'Increases Mitigation of caster vs noxious damage by 184',0,5),
(51686,90036,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51687,90036,7,100,'Reduces physical damage done to caster by 5%',0,0),
(51688,90036,7,100,'Increases STA of caster by 20.3',0,1),
(51689,90036,7,100,'Adds 4.8% to base avoidance.',0,2),
(51690,90036,7,100,'Decreases Slashing, Piercing and Crushing of caster by 1.4',0,3),
(51691,90036,7,100,'Increases Defense and Aggression of caster by 2.8',0,4),
(51692,90036,7,100,'Increases Mitigation of caster vs noxious damage by 237',0,5),
(51693,90036,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51694,90036,9,100,'Reduces physical damage done to caster by 5%',0,0),
(51695,90036,9,100,'Increases STA of caster by 21.1',0,1),
(51696,90036,9,100,'Adds 5.0% to base avoidance.',0,2),
(51697,90036,9,100,'Decreases Slashing, Piercing and Crushing of caster by 1.4',0,3),
(51698,90036,9,100,'Increases Defense and Aggression of caster by 2.9',0,4),
(51699,90036,9,100,'Increases Mitigation of caster vs noxious damage by 246',0,5),
(51700,90036,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51701,90037,1,100,'Reduces physical damage done to caster by 5%',0,0),
(51702,90037,1,100,'Increases STA of caster by 23.8',0,1),
(51703,90037,1,100,'Adds 2.8% to base avoidance.',0,2),
(51704,90037,1,100,'Decreases Slashing, Piercing and Crushing of caster by 3.6',0,3),
(51705,90037,1,100,'Increases Defense and Aggression of caster by 4.3',0,4),
(51706,90037,1,100,'Increases Mitigation of caster vs noxious damage by 311',0,5),
(51707,90037,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51708,90037,2,100,'Reduces physical damage done to caster by 5%',0,0),
(51709,90037,2,100,'Increases STA of caster by 25.1',0,1),
(51710,90037,2,100,'Adds 2.9% to base avoidance.',0,2),
(51711,90037,2,100,'Decreases Slashing, Piercing and Crushing of caster by 3.6',0,3),
(51712,90037,2,100,'Increases Defense and Aggression of caster by 4.6',0,4),
(51713,90037,2,100,'Increases Mitigation of caster vs noxious damage by 328',0,5),
(51714,90037,2,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51715,90037,3,100,'Reduces physical damage done to caster by 5%',0,0),
(51716,90037,3,100,'Increases STA of caster by 26.4',0,1),
(51717,90037,3,100,'Adds 3.1% to base avoidance.',0,2),
(51718,90037,3,100,'Decreases Slashing, Piercing and Crushing of caster by 3.6',0,3),
(51719,90037,3,100,'Increases Defense and Aggression of caster by 4.8',0,4),
(51720,90037,3,100,'Increases Mitigation of caster vs noxious damage by 346',0,5),
(51721,90037,3,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51722,90037,4,100,'Reduces physical damage done to caster by 5%',0,0),
(51723,90037,4,100,'Increases STA of caster by 29.0',0,1),
(51724,90037,4,100,'Adds 3.4% to base avoidance.',0,2),
(51725,90037,4,100,'Decreases Slashing, Piercing and Crushing of caster by 3.6',0,3),
(51726,90037,4,100,'Increases Defense and Aggression of caster by 5.3',0,4),
(51727,90037,4,100,'Increases Mitigation of caster vs noxious damage by 380',0,5),
(51728,90037,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51729,90037,5,100,'Reduces physical damage done to caster by 5%',0,0),
(51730,90037,5,100,'Increases STA of caster by 31.7',0,1),
(51731,90037,5,100,'Adds 3.7% to base avoidance.',0,2),
(51732,90037,5,100,'Decreases Slashing, Piercing and Crushing of caster by 3.6',0,3),
(51733,90037,5,100,'Increases Defense and Aggression of caster by 5.8',0,4),
(51734,90037,5,100,'Increases Mitigation of caster vs noxious damage by 415',0,5),
(51735,90037,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51736,90037,7,100,'Reduces physical damage done to caster by 5%',0,0),
(51737,90037,7,100,'Increases STA of caster by 40.7',0,1),
(51738,90037,7,100,'Adds 4.8% to base avoidance.',0,2),
(51739,90037,7,100,'Decreases Slashing, Piercing and Crushing of caster by 3.6',0,3),
(51740,90037,7,100,'Increases Defense and Aggression of caster by 7.4',0,4),
(51741,90037,7,100,'Increases Mitigation of caster vs noxious damage by 532',0,5),
(51742,90037,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51743,90037,9,100,'Reduces physical damage done to caster by 5%',0,0),
(51744,90037,9,100,'Increases STA of caster by 42.2',0,1),
(51745,90037,9,100,'Adds 5.0% to base avoidance.',0,2),
(51746,90037,9,100,'Decreases Slashing, Piercing and Crushing of caster by 3.6',0,3),
(51747,90037,9,100,'Increases Defense and Aggression of caster by 7.7',0,4),
(51748,90037,9,100,'Increases Mitigation of caster vs noxious damage by 553',0,5),
(51749,90037,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51750,90038,1,100,'Reduces physical damage done to caster by 5%',0,0),
(51751,90038,1,100,'Increases STA of caster by 41.4',0,1),
(51752,90038,1,100,'Adds 2.8% to base avoidance.',0,2),
(51753,90038,1,100,'Decreases Slashing, Piercing and Crushing of caster by 6.7',0,3),
(51754,90038,1,100,'Increases Defense and Aggression of caster by 8.1',0,4),
(51755,90038,1,100,'Increases Mitigation of caster vs noxious damage by 540',0,5),
(51756,90038,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51757,90038,2,100,'Reduces physical damage done to caster by 5%',0,0),
(51758,90038,2,100,'Increases STA of caster by 43.7',0,1),
(51759,90038,2,100,'Adds 2.9% to base avoidance.',0,2),
(51760,90038,2,100,'Decreases Slashing, Piercing and Crushing of caster by 6.7',0,3),
(51761,90038,2,100,'Increases Defense and Aggression of caster by 8.6',0,4),
(51762,90038,2,100,'Increases Mitigation of caster vs noxious damage by 570',0,5),
(51763,90038,2,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51764,90038,3,100,'Reduces physical damage done to caster by 5%',0,0),
(51765,90038,3,100,'Increases STA of caster by 46.0',0,1),
(51766,90038,3,100,'Adds 3.1% to base avoidance.',0,2),
(51767,90038,3,100,'Decreases Slashing, Piercing and Crushing of caster by 6.7',0,3),
(51768,90038,3,100,'Increases Defense and Aggression of caster by 9.0',0,4),
(51769,90038,3,100,'Increases Mitigation of caster vs noxious damage by 600',0,5),
(51770,90038,3,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51771,90038,4,100,'Reduces physical damage done to caster by 5%',0,0),
(51772,90038,4,100,'Increases STA of caster by 50.6',0,1),
(51773,90038,4,100,'Adds 3.4% to base avoidance.',0,2),
(51774,90038,4,100,'Decreases Slashing, Piercing and Crushing of caster by 6.7',0,3),
(51775,90038,4,100,'Increases Defense and Aggression of caster by 9.9',0,4),
(51776,90038,4,100,'Increases Mitigation of caster vs noxious damage by 660',0,5),
(51777,90038,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51778,90038,5,100,'Reduces physical damage done to caster by 5%',0,0),
(51779,90038,5,100,'Increases STA of caster by 55.2',0,1),
(51780,90038,5,100,'Adds 3.7% to base avoidance.',0,2),
(51781,90038,5,100,'Decreases Slashing, Piercing and Crushing of caster by 6.7',0,3),
(51782,90038,5,100,'Increases Defense and Aggression of caster by 10.8',0,4),
(51783,90038,5,100,'Increases Mitigation of caster vs noxious damage by 720',0,5),
(51784,90038,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51785,90038,7,100,'Reduces physical damage done to caster by 5%',0,0),
(51786,90038,7,100,'Increases STA of caster by 70.8',0,1),
(51787,90038,7,100,'Adds 4.8% to base avoidance.',0,2),
(51788,90038,7,100,'Decreases Slashing, Piercing and Crushing of caster by 6.7',0,3),
(51789,90038,7,100,'Increases Defense and Aggression of caster by 13.9',0,4),
(51790,90038,7,100,'Increases Mitigation of caster vs noxious damage by 924',0,5),
(51791,90038,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51792,90038,9,100,'Reduces physical damage done to caster by 5%',0,0),
(51793,90038,9,100,'Increases STA of caster by 73.6',0,1),
(51794,90038,9,100,'Adds 5.0% to base avoidance.',0,2),
(51795,90038,9,100,'Decreases Slashing, Piercing and Crushing of caster by 6.7',0,3),
(51796,90038,9,100,'Increases Defense and Aggression of caster by 14.4',0,4),
(51797,90038,9,100,'Increases Mitigation of caster vs noxious damage by 960',0,5),
(51798,90038,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51799,90039,1,100,'Reduces physical damage done to caster by 5%',0,0),
(51800,90039,1,100,'Increases STA of caster by 61.6',0,1),
(51801,90039,1,100,'Adds 2.8% to base avoidance.',0,2),
(51802,90039,1,100,'Decreases Slashing, Piercing and Crushing of caster by 9.9',0,3),
(51803,90039,1,100,'Increases Defense and Aggression of caster by 11.9',0,4),
(51804,90039,1,100,'Increases Mitigation of caster vs noxious damage by 792',0,5),
(51805,90039,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51806,90039,2,100,'Reduces physical damage done to caster by 5%',0,0),
(51807,90039,2,100,'Increases STA of caster by 65.0',0,1),
(51808,90039,2,100,'Adds 2.9% to base avoidance.',0,2),
(51809,90039,2,100,'Decreases Slashing, Piercing and Crushing of caster by 9.9',0,3),
(51810,90039,2,100,'Increases Defense and Aggression of caster by 12.5',0,4),
(51811,90039,2,100,'Increases Mitigation of caster vs noxious damage by 836',0,5),
(51812,90039,2,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51813,90039,3,100,'Reduces physical damage done to caster by 5%',0,0),
(51814,90039,3,100,'Increases STA of caster by 68.4',0,1),
(51815,90039,3,100,'Adds 3.1% to base avoidance.',0,2),
(51816,90039,3,100,'Decreases Slashing, Piercing and Crushing of caster by 9.9',0,3),
(51817,90039,3,100,'Increases Defense and Aggression of caster by 13.2',0,4),
(51818,90039,3,100,'Increases Mitigation of caster vs noxious damage by 880',0,5),
(51819,90039,3,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51820,90039,4,100,'Reduces physical damage done to caster by 5%',0,0),
(51821,90039,4,100,'Increases STA of caster by 75.2',0,1),
(51822,90039,4,100,'Adds 3.4% to base avoidance.',0,2),
(51823,90039,4,100,'Decreases Slashing, Piercing and Crushing of caster by 9.9',0,3),
(51824,90039,4,100,'Increases Defense and Aggression of caster by 14.5',0,4),
(51825,90039,4,100,'Increases Mitigation of caster vs noxious damage by 968',0,5),
(51826,90039,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51827,90039,5,100,'Reduces physical damage done to caster by 5%',0,0),
(51828,90039,5,100,'Increases STA of caster by 82.1',0,1),
(51829,90039,5,100,'Adds 3.7% to base avoidance.',0,2),
(51830,90039,5,100,'Decreases Slashing, Piercing and Crushing of caster by 9.9',0,3),
(51831,90039,5,100,'Increases Defense and Aggression of caster by 15.8',0,4),
(51832,90039,5,100,'Increases Mitigation of caster vs noxious damage by 1056',0,5),
(51833,90039,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51834,90039,7,100,'Reduces physical damage done to caster by 5%',0,0),
(51835,90039,7,100,'Increases STA of caster by 105.3',0,1),
(51836,90039,7,100,'Adds 4.8% to base avoidance.',0,2),
(51837,90039,7,100,'Decreases Slashing, Piercing and Crushing of caster by 9.9',0,3),
(51838,90039,7,100,'Increases Defense and Aggression of caster by 20.3',0,4),
(51839,90039,7,100,'Increases Mitigation of caster vs noxious damage by 1355',0,5),
(51840,90039,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51841,90039,9,100,'Reduces physical damage done to caster by 5%',0,0),
(51842,90039,9,100,'Increases STA of caster by 109.4',0,1),
(51843,90039,9,100,'Adds 5.0% to base avoidance.',0,2),
(51844,90039,9,100,'Decreases Slashing, Piercing and Crushing of caster by 9.9',0,3),
(51845,90039,9,100,'Increases Defense and Aggression of caster by 21.1',0,4),
(51846,90039,9,100,'Increases Mitigation of caster vs noxious damage by 1408',0,5),
(51847,90039,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51848,90040,1,100,'Reduces physical damage done to caster by 5%',0,0),
(51849,90040,1,100,'Increases STA of caster by 81.7',0,1),
(51850,90040,1,100,'Adds 2.8% to base avoidance.',0,2),
(51851,90040,1,100,'Decreases Slashing, Piercing and Crushing of caster by 13.1',0,3),
(51852,90040,1,100,'Increases Defense and Aggression of caster by 15.7',0,4),
(51853,90040,1,100,'Increases Mitigation of caster vs noxious damage by 1044',0,5),
(51854,90040,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51855,90040,2,100,'Reduces physical damage done to caster by 5%',0,0),
(51856,90040,2,100,'Increases STA of caster by 86.3',0,1),
(51857,90040,2,100,'Adds 2.9% to base avoidance.',0,2),
(51858,90040,2,100,'Decreases Slashing, Piercing and Crushing of caster by 13.1',0,3),
(51859,90040,2,100,'Increases Defense and Aggression of caster by 16.5',0,4),
(51860,90040,2,100,'Increases Mitigation of caster vs noxious damage by 1102',0,5),
(51861,90040,2,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51862,90040,3,100,'Reduces physical damage done to caster by 5%',0,0),
(51863,90040,3,100,'Increases STA of caster by 90.8',0,1),
(51864,90040,3,100,'Adds 3.1% to base avoidance.',0,2),
(51865,90040,3,100,'Decreases Slashing, Piercing and Crushing of caster by 13.1',0,3),
(51866,90040,3,100,'Increases Defense and Aggression of caster by 17.4',0,4),
(51867,90040,3,100,'Increases Mitigation of caster vs noxious damage by 1160',0,5),
(51868,90040,3,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51869,90040,4,100,'Reduces physical damage done to caster by 5%',0,0),
(51870,90040,4,100,'Increases STA of caster by 99.9',0,1),
(51871,90040,4,100,'Adds 3.4% to base avoidance.',0,2),
(51872,90040,4,100,'Decreases Slashing, Piercing and Crushing of caster by 13.1',0,3),
(51873,90040,4,100,'Increases Defense and Aggression of caster by 19.1',0,4),
(51874,90040,4,100,'Increases Mitigation of caster vs noxious damage by 1276',0,5),
(51875,90040,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51876,90040,5,100,'Reduces physical damage done to caster by 5%',0,0),
(51877,90040,5,100,'Increases STA of caster by 109.0',0,1),
(51878,90040,5,100,'Adds 3.7% to base avoidance.',0,2),
(51879,90040,5,100,'Decreases Slashing, Piercing and Crushing of caster by 13.1',0,3),
(51880,90040,5,100,'Increases Defense and Aggression of caster by 20.9',0,4),
(51881,90040,5,100,'Increases Mitigation of caster vs noxious damage by 1392',0,5),
(51882,90040,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51883,90040,7,100,'Reduces physical damage done to caster by 5%',0,0),
(51884,90040,7,100,'Increases STA of caster by 139.8',0,1),
(51885,90040,7,100,'Adds 4.8% to base avoidance.',0,2),
(51886,90040,7,100,'Decreases Slashing, Piercing and Crushing of caster by 13.1',0,3),
(51887,90040,7,100,'Increases Defense and Aggression of caster by 26.8',0,4),
(51888,90040,7,100,'Increases Mitigation of caster vs noxious damage by 1786',0,5),
(51889,90040,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51890,90040,9,100,'Reduces physical damage done to caster by 5%',0,0),
(51891,90040,9,100,'Increases STA of caster by 145.3',0,1),
(51892,90040,9,100,'Adds 5.0% to base avoidance.',0,2),
(51893,90040,9,100,'Decreases Slashing, Piercing and Crushing of caster by 13.1',0,3),
(51894,90040,9,100,'Increases Defense and Aggression of caster by 27.8',0,4),
(51895,90040,9,100,'Increases Mitigation of caster vs noxious damage by 1856',0,5),
(51896,90040,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51897,90041,1,100,'Reduces physical damage done to caster by 5%',0,0),
(51898,90041,1,100,'Increases STA of caster by 103.0',0,1),
(51899,90041,1,100,'Adds 2.8% to base avoidance.',0,2),
(51900,90041,1,100,'Decreases Slashing, Piercing and Crushing of caster by 16.4',0,3),
(51901,90041,1,100,'Increases Defense and Aggression of caster by 19.6',0,4),
(51902,90041,1,100,'Increases Mitigation of caster vs noxious damage by 1361',0,5),
(51903,90041,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51904,90041,2,100,'Reduces physical damage done to caster by 5%',0,0),
(51905,90041,2,100,'Increases STA of caster by 108.7',0,1),
(51906,90041,2,100,'Adds 2.9% to base avoidance.',0,2),
(51907,90041,2,100,'Decreases Slashing, Piercing and Crushing of caster by 16.4',0,3),
(51908,90041,2,100,'Increases Defense and Aggression of caster by 20.7',0,4),
(51909,90041,2,100,'Increases Mitigation of caster vs noxious damage by 1436',0,5),
(51910,90041,2,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51911,90041,3,100,'Reduces physical damage done to caster by 5%',0,0),
(51912,90041,3,100,'Increases STA of caster by 114.4',0,1),
(51913,90041,3,100,'Adds 3.1% to base avoidance.',0,2),
(51914,90041,3,100,'Decreases Slashing, Piercing and Crushing of caster by 16.4',0,3),
(51915,90041,3,100,'Increases Defense and Aggression of caster by 21.8',0,4),
(51916,90041,3,100,'Increases Mitigation of caster vs noxious damage by 1512',0,5),
(51917,90041,3,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51918,90041,4,100,'Reduces physical damage done to caster by 5%',0,0),
(51919,90041,4,100,'Increases STA of caster by 125.8',0,1),
(51920,90041,4,100,'Adds 3.4% to base avoidance.',0,2),
(51921,90041,4,100,'Decreases Slashing, Piercing and Crushing of caster by 16.4',0,3),
(51922,90041,4,100,'Increases Defense and Aggression of caster by 24.0',0,4),
(51923,90041,4,100,'Increases Mitigation of caster vs noxious damage by 1663',0,5),
(51924,90041,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51925,90041,5,100,'Reduces physical damage done to caster by 5%',0,0),
(51926,90041,5,100,'Increases STA of caster by 137.3',0,1),
(51927,90041,5,100,'Adds 3.7% to base avoidance.',0,2),
(51928,90041,5,100,'Decreases Slashing, Piercing and Crushing of caster by 16.4',0,3),
(51929,90041,5,100,'Increases Defense and Aggression of caster by 26.2',0,4),
(51930,90041,5,100,'Increases Mitigation of caster vs noxious damage by 1814',0,5),
(51931,90041,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51932,90041,7,100,'Reduces physical damage done to caster by 5%',0,0),
(51933,90041,7,100,'Increases STA of caster by 176.2',0,1),
(51934,90041,7,100,'Adds 4.8% to base avoidance.',0,2),
(51935,90041,7,100,'Decreases Slashing, Piercing and Crushing of caster by 16.4',0,3),
(51936,90041,7,100,'Increases Defense and Aggression of caster by 33.6',0,4),
(51937,90041,7,100,'Increases Mitigation of caster vs noxious damage by 2328',0,5),
(51938,90041,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51939,90041,9,100,'Reduces physical damage done to caster by 5%',0,0),
(51940,90041,9,100,'Increases STA of caster by 183.0',0,1),
(51941,90041,9,100,'Adds 5.0% to base avoidance.',0,2),
(51942,90041,9,100,'Decreases Slashing, Piercing and Crushing of caster by 16.4',0,3),
(51943,90041,9,100,'Increases Defense and Aggression of caster by 34.9',0,4),
(51944,90041,9,100,'Increases Mitigation of caster vs noxious damage by 2419',0,5),
(51945,90041,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51946,90042,1,100,'Reduces physical damage done to caster by 5%',0,0),
(51947,90042,1,100,'Increases STA of caster by 122.8',0,1),
(51948,90042,1,100,'Adds 2.8% to base avoidance.',0,2),
(51949,90042,1,100,'Decreases Slashing, Piercing and Crushing of caster by 19.4',0,3),
(51950,90042,1,100,'Increases Defense and Aggression of caster by 23.4',0,4),
(51951,90042,1,100,'Increases Mitigation of caster vs noxious damage by 1565',0,5),
(51952,90042,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51953,90042,4,100,'Reduces physical damage done to caster by 5%',0,0),
(51954,90042,4,100,'Increases STA of caster by 150.0',0,1),
(51955,90042,4,100,'Adds 3.4% to base avoidance.',0,2),
(51956,90042,4,100,'Decreases Slashing, Piercing and Crushing of caster by 19.4',0,3),
(51957,90042,4,100,'Increases Defense and Aggression of caster by 28.6',0,4),
(51958,90042,4,100,'Increases Mitigation of caster vs noxious damage by 1912',0,5),
(51959,90042,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51960,90042,5,100,'Reduces physical damage done to caster by 5%',0,0),
(51961,90042,5,100,'Increases STA of caster by 163.7',0,1),
(51962,90042,5,100,'Adds 3.7% to base avoidance.',0,2),
(51963,90042,5,100,'Decreases Slashing, Piercing and Crushing of caster by 19.4',0,3),
(51964,90042,5,100,'Increases Defense and Aggression of caster by 31.2',0,4),
(51965,90042,5,100,'Increases Mitigation of caster vs noxious damage by 2086',0,5),
(51966,90042,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51967,90042,7,100,'Reduces physical damage done to caster by 5%',0,0),
(51968,90042,7,100,'Increases STA of caster by 210.1',0,1),
(51969,90042,7,100,'Adds 4.8% to base avoidance.',0,2),
(51970,90042,7,100,'Decreases Slashing, Piercing and Crushing of caster by 19.4',0,3),
(51971,90042,7,100,'Increases Defense and Aggression of caster by 40.0',0,4),
(51972,90042,7,100,'Increases Mitigation of caster vs noxious damage by 2677',0,5),
(51973,90042,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51974,90042,9,100,'Reduces physical damage done to caster by 5%',0,0),
(51975,90042,9,100,'Increases STA of caster by 218.2',0,1),
(51976,90042,9,100,'Adds 5.0% to base avoidance.',0,2),
(51977,90042,9,100,'Decreases Slashing, Piercing and Crushing of caster by 19.4',0,3),
(51978,90042,9,100,'Increases Defense and Aggression of caster by 41.6',0,4),
(51979,90042,9,100,'Increases Mitigation of caster vs noxious damage by 2781',0,5),
(51980,90042,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51981,90043,1,100,'Reduces physical damage done to caster by 5%',0,0),
(51982,90043,1,100,'Increases STA of caster by 142.6',0,1),
(51983,90043,1,100,'Adds 2.8% to base avoidance.',0,2),
(51984,90043,1,100,'Decreases Slashing, Piercing and Crushing of caster by 22.4',0,3),
(51985,90043,1,100,'Increases Defense and Aggression of caster by 27.9',0,4),
(51986,90043,1,100,'Increases Mitigation of caster vs noxious damage by 1822',0,5),
(51987,90043,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51988,90043,4,100,'Reduces physical damage done to caster by 5%',0,0),
(51989,90043,4,100,'Increases STA of caster by 174.2',0,1),
(51990,90043,4,100,'Adds 3.4% to base avoidance.',0,2),
(51991,90043,4,100,'Decreases Slashing, Piercing and Crushing of caster by 22.4',0,3),
(51992,90043,4,100,'Increases Defense and Aggression of caster by 34.1',0,4),
(51993,90043,4,100,'Increases Mitigation of caster vs noxious damage by 2226',0,5),
(51994,90043,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(51995,90043,5,100,'Reduces physical damage done to caster by 5%',0,0),
(51996,90043,5,100,'Increases STA of caster by 190.1',0,1),
(51997,90043,5,100,'Adds 3.7% to base avoidance.',0,2),
(51998,90043,5,100,'Decreases Slashing, Piercing and Crushing of caster by 22.4',0,3),
(51999,90043,5,100,'Increases Defense and Aggression of caster by 37.2',0,4),
(52000,90043,5,100,'Increases Mitigation of caster vs noxious damage by 2429',0,5),
(52001,90043,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(52002,90043,7,100,'Reduces physical damage done to caster by 5%',0,0),
(52003,90043,7,100,'Increases STA of caster by 243.9',0,1),
(52004,90043,7,100,'Adds 4.8% to base avoidance.',0,2),
(52005,90043,7,100,'Decreases Slashing, Piercing and Crushing of caster by 22.4',0,3),
(52006,90043,7,100,'Increases Defense and Aggression of caster by 47.7',0,4),
(52007,90043,7,100,'Increases Mitigation of caster vs noxious damage by 3117',0,5),
(52008,90043,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(52009,90043,9,100,'Reduces physical damage done to caster by 5%',0,0),
(52010,90043,9,100,'Increases STA of caster by 253.4',0,1),
(52011,90043,9,100,'Adds 5.0% to base avoidance.',0,2),
(52012,90043,9,100,'Decreases Slashing, Piercing and Crushing of caster by 22.4',0,3),
(52013,90043,9,100,'Increases Defense and Aggression of caster by 49.6',0,4),
(52014,90043,9,100,'Increases Mitigation of caster vs noxious damage by 3238',0,5),
(52015,90043,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(52016,310017,1,100,'Begins a Heroic Opportunity',0,0),
(52017,310017,1,100,'Must be engaged in combat',0,1),
(52018,330110,1,100,'Inflicts 10 - 16 melee damage on targets in Area of Effect',0,0),
(52019,330110,2,100,'Inflicts 10 - 17 melee damage on targets in Area of Effect',0,0),
(52020,330110,3,100,'Inflicts 11 - 18 melee damage on targets in Area of Effect',0,0),
(52021,330110,4,100,'Inflicts 12 - 20 melee damage on targets in Area of Effect',0,0),
(52022,330110,5,100,'Inflicts 13 - 22 melee damage on targets in Area of Effect',0,0),
(52023,330110,7,100,'Inflicts 17 - 28 melee damage on targets in Area of Effect',0,0),
(52024,330110,9,100,'Inflicts 17 - 29 melee damage on targets in Area of Effect',0,0),
(52025,330111,1,100,'Inflicts 42 - 71 melee damage on targets in Area of Effect',0,0),
(52026,330111,2,100,'Inflicts 45 - 75 melee damage on targets in Area of Effect',0,0),
(52027,330111,3,100,'Inflicts 47 - 79 melee damage on targets in Area of Effect',0,0),
(52028,330111,4,100,'Inflicts 52 - 87 melee damage on targets in Area of Effect',0,0),
(52029,330111,5,100,'Inflicts 57 - 95 melee damage on targets in Area of Effect',0,0),
(52030,330111,7,100,'Inflicts 73 - 122 melee damage on targets in Area of Effect',0,0),
(52031,330111,9,100,'Inflicts 76 - 126 melee damage on targets in Area of Effect',0,0),
(52032,330111,10,100,'Inflicts 79 - 133 melee damage on targets in Area of Effect',0,0),
(52033,330112,1,100,'Inflicts 89 - 148 melee damage on targets in Area of Effect',0,0),
(52034,330112,2,100,'Inflicts 94 - 156 melee damage on targets in Area of Effect',0,0),
(52035,330112,3,100,'Inflicts 99 - 165 melee damage on targets in Area of Effect',0,0),
(52036,330112,4,100,'Inflicts 109 - 181 melee damage on targets in Area of Effect',0,0),
(52037,330112,5,100,'Inflicts 118 - 198 melee damage on targets in Area of Effect',0,0),
(52038,330112,7,100,'Inflicts 152 - 254 melee damage on targets in Area of Effect',0,0),
(52039,330112,9,100,'Inflicts 158 - 264 melee damage on targets in Area of Effect',0,0),
(52040,330113,1,100,'Inflicts 140 - 234 melee damage on targets in Area of Effect',0,0),
(52041,330113,2,100,'Inflicts 148 - 247 melee damage on targets in Area of Effect',0,0),
(52042,330113,3,100,'Inflicts 156 - 261 melee damage on targets in Area of Effect',0,0),
(52043,330113,4,100,'Inflicts 172 - 287 melee damage on targets in Area of Effect',0,0),
(52044,330113,5,100,'Inflicts 187 - 313 melee damage on targets in Area of Effect',0,0),
(52045,330113,7,100,'Inflicts 241 - 401 melee damage on targets in Area of Effect',0,0),
(52046,330113,9,100,'Inflicts 250 - 417 melee damage on targets in Area of Effect',0,0),
(52047,330114,1,100,'Inflicts 411 - 685 melee damage on targets in Area of Effect',0,0),
(52048,330114,4,100,'Inflicts 502 - 838 melee damage on targets in Area of Effect',0,0),
(52049,330114,5,100,'Inflicts 548 - 914 melee damage on targets in Area of Effect',0,0),
(52050,330114,7,100,'Inflicts 704 - 1173 melee damage on targets in Area of Effect',0,0),
(52051,330114,9,100,'Inflicts 731 - 1219 melee damage on targets in Area of Effect',0,0),
(52052,330115,1,100,'Inflicts 203 - 339 melee damage on targets in Area of Effect',0,0),
(52053,330115,2,100,'Inflicts 214 - 357 melee damage on targets in Area of Effect',0,0),
(52054,330115,3,100,'Inflicts 226 - 376 melee damage on targets in Area of Effect',0,0),
(52055,330115,4,100,'Inflicts 248 - 414 melee damage on targets in Area of Effect',0,0),
(52056,330115,5,100,'Inflicts 271 - 452 melee damage on targets in Area of Effect',0,0),
(52057,330115,7,100,'Inflicts 348 - 580 melee damage on targets in Area of Effect',0,0),
(52058,330115,9,100,'Inflicts 361 - 602 melee damage on targets in Area of Effect',0,0),
(52059,330116,1,100,'Inflicts 265 - 443 melee damage on targets in Area of Effect',0,0),
(52060,330116,2,100,'Inflicts 280 - 467 melee damage on targets in Area of Effect',0,0),
(52061,330116,3,100,'Inflicts 295 - 492 melee damage on targets in Area of Effect',0,0),
(52062,330116,4,100,'Inflicts 324 - 541 melee damage on targets in Area of Effect',0,0),
(52063,330116,5,100,'Inflicts 354 - 590 melee damage on targets in Area of Effect',0,0),
(52064,330116,7,100,'Inflicts 454 - 758 melee damage on targets in Area of Effect',0,0),
(52065,330116,9,100,'Inflicts 472 - 787 melee damage on targets in Area of Effect',0,0),
(52066,330117,1,100,'Inflicts 322 - 537 melee damage on targets in Area of Effect',0,0),
(52067,330117,2,100,'Inflicts 340 - 567 melee damage on targets in Area of Effect',0,0),
(52068,330117,3,100,'Inflicts 358 - 597 melee damage on targets in Area of Effect',0,0),
(52069,330117,4,100,'Inflicts 394 - 656 melee damage on targets in Area of Effect',0,0),
(52070,330117,5,100,'Inflicts 429 - 716 melee damage on targets in Area of Effect',0,0),
(52071,330117,7,100,'Inflicts 551 - 919 melee damage on targets in Area of Effect',0,0),
(52072,330117,9,100,'Inflicts 573 - 955 melee damage on targets in Area of Effect',0,0),
(52073,330118,1,100,'Inflicts 387 - 646 melee damage on targets in Area of Effect',0,0),
(52074,330118,4,100,'Inflicts 474 - 790 melee damage on targets in Area of Effect',0,0),
(52075,330118,5,100,'Inflicts 517 - 861 melee damage on targets in Area of Effect',0,0),
(52076,330118,7,100,'Inflicts 663 - 1106 melee damage on targets in Area of Effect',0,0),
(52077,330118,9,100,'Inflicts 689 - 1149 melee damage on targets in Area of Effect',0,0),
(52078,420051,1,100,'Inflicts 495 - 825 cold damage on targets in Area of Effect',0,0),
(52079,420051,1,100,'The effect of this ability grows based on Savagery and Feral Rampage level.',0,1),
(52080,420051,1,100,'You must have your warder active to use this ability.',0,2),
(52081,330119,1,100,'Inflicts 193 - 321 melee damage on target',0,0),
(52082,330119,1,100,'Decreases strikethrough chance of target by 4.5%.',0,1),
(52083,330119,1,100,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation and Ordination of target by 31.3',0,2),
(52084,330119,1,100,'Must be flanking or behind',0,3),
(52085,330119,1,100,'Must be flanking or behind',0,4),
(52086,330119,2,100,'Inflicts 203 - 339 melee damage on target',0,0),
(52087,330119,2,100,'Decreases strikethrough chance of target by 4.7%.',0,1),
(52088,330119,2,100,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation and Ordination of target by 33.1',0,2),
(52089,330119,2,100,'Must be flanking or behind',0,3),
(52090,330119,2,100,'Must be flanking or behind',0,4),
(52091,330119,3,100,'Inflicts 214 - 357 melee damage on target',0,0),
(52092,330119,3,100,'Decreases strikethrough chance of target by 5.0%.',0,1),
(52093,330119,3,100,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation and Ordination of target by 34.8',0,2),
(52094,330119,3,100,'Must be flanking or behind',0,3),
(52095,330119,3,100,'Must be flanking or behind',0,4),
(52096,330119,4,100,'Inflicts 235 - 393 melee damage on target',0,0),
(52097,330119,4,100,'Decreases strikethrough chance of target by 5.5%.',0,1),
(52098,330119,4,100,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation and Ordination of target by 38.3',0,2),
(52099,330119,4,100,'Must be flanking or behind',0,3),
(52100,330119,4,100,'Must be flanking or behind',0,4),
(52101,330119,5,100,'Inflicts 257 - 429 melee damage on target',0,0),
(52102,330119,5,100,'Decreases strikethrough chance of target by 6.0%.',0,1),
(52103,330119,5,100,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation and Ordination of target by 41.8',0,2),
(52104,330119,5,100,'Must be flanking or behind',0,3),
(52105,330119,5,100,'Must be flanking or behind',0,4),
(52106,330119,7,100,'Inflicts 330 - 550 melee damage on target',0,0),
(52107,330119,7,100,'Decreases strikethrough chance of target by 7.7%.',0,1),
(52108,330119,7,100,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation and Ordination of target by 53.6',0,2),
(52109,330119,7,100,'Must be flanking or behind',0,3),
(52110,330119,7,100,'Must be flanking or behind',0,4),
(52111,330119,9,100,'Inflicts 343 - 572 melee damage on target',0,0),
(52112,330119,9,100,'Decreases strikethrough chance of target by 8.0%.',0,1),
(52113,330119,9,100,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation and Ordination of target by 55.7',0,2),
(52114,330119,9,100,'Must be flanking or behind',0,3),
(52115,330119,9,100,'Must be flanking or behind',0,4),
(52116,330120,1,100,'Inflicts 272 - 454 melee damage on target',0,0),
(52117,330120,1,100,'Decreases strikethrough chance of target by 4.5%.',0,1),
(52118,330120,1,100,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation and Ordination of target by 42.1',0,2),
(52119,330120,1,100,'Must be flanking or behind',0,3),
(52120,330120,1,100,'Must be flanking or behind',0,4),
(52121,330120,2,100,'Inflicts 287 - 479 melee damage on target',0,0),
(52122,330120,2,100,'Decreases strikethrough chance of target by 4.7%.',0,1),
(52123,330120,2,100,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation and Ordination of target by 44.5',0,2),
(52124,330120,2,100,'Must be flanking or behind',0,3),
(52125,330120,2,100,'Must be flanking or behind',0,4),
(52126,330120,3,100,'Inflicts 302 - 504 melee damage on target',0,0),
(52127,330120,3,100,'Decreases strikethrough chance of target by 5.0%.',0,1),
(52128,330120,3,100,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation and Ordination of target by 46.8',0,2),
(52129,330120,3,100,'Must be flanking or behind',0,3),
(52130,330120,3,100,'Must be flanking or behind',0,4),
(52131,330120,4,100,'Inflicts 333 - 555 melee damage on target',0,0),
(52132,330120,4,100,'Decreases strikethrough chance of target by 5.5%.',0,1),
(52133,330120,4,100,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation and Ordination of target by 51.5',0,2),
(52134,330120,4,100,'Must be flanking or behind',0,3),
(52135,330120,4,100,'Must be flanking or behind',0,4),
(52136,330120,5,100,'Inflicts 363 - 605 melee damage on target',0,0),
(52137,330120,5,100,'Decreases strikethrough chance of target by 6.0%.',0,1),
(52138,330120,5,100,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation and Ordination of target by 56.2',0,2),
(52139,330120,5,100,'Must be flanking or behind',0,3),
(52140,330120,5,100,'Must be flanking or behind',0,4),
(52141,330120,7,100,'Inflicts 466 - 777 melee damage on target',0,0),
(52142,330120,7,100,'Decreases strikethrough chance of target by 7.7%.',0,1),
(52143,330120,7,100,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation and Ordination of target by 72.1',0,2),
(52144,330120,7,100,'Must be flanking or behind',0,3),
(52145,330120,7,100,'Must be flanking or behind',0,4),
(52146,330120,9,100,'Inflicts 484 - 807 melee damage on target',0,0),
(52147,330120,9,100,'Decreases strikethrough chance of target by 8.0%.',0,1),
(52148,330120,9,100,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation and Ordination of target by 74.9',0,2),
(52149,330120,9,100,'Must be flanking or behind',0,3),
(52150,330120,9,100,'Must be flanking or behind',0,4),
(52151,330121,1,100,'Inflicts 328 - 548 melee damage on target',0,0),
(52152,330121,1,100,'Decreases strikethrough chance of target by 4.5%.',0,1),
(52153,330121,1,100,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation and Ordination of target by 49.3',0,2),
(52154,330121,1,100,'Must be flanking or behind',0,3),
(52155,330121,1,100,'Must be flanking or behind',0,4),
(52156,330121,4,100,'Inflicts 401 - 669 melee damage on target',0,0),
(52157,330121,4,100,'Decreases strikethrough chance of target by 5.5%.',0,1),
(52158,330121,4,100,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation and Ordination of target by 60.3',0,2),
(52159,330121,4,100,'Must be flanking or behind',0,3),
(52160,330121,4,100,'Must be flanking or behind',0,4),
(52161,330121,5,100,'Inflicts 438 - 730 melee damage on target',0,0),
(52162,330121,5,100,'Decreases strikethrough chance of target by 6.0%.',0,1),
(52163,330121,5,100,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation and Ordination of target by 65.8',0,2),
(52164,330121,5,100,'Must be flanking or behind',0,3),
(52165,330121,5,100,'Must be flanking or behind',0,4),
(52166,330121,7,100,'Inflicts 562 - 937 melee damage on target',0,0),
(52167,330121,7,100,'Decreases strikethrough chance of target by 7.7%.',0,1),
(52168,330121,7,100,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation and Ordination of target by 84.4',0,2),
(52169,330121,7,100,'Must be flanking or behind',0,3),
(52170,330121,7,100,'Must be flanking or behind',0,4),
(52171,330121,9,100,'Inflicts 584 - 974 melee damage on target',0,0),
(52172,330121,9,100,'Decreases strikethrough chance of target by 8.0%.',0,1),
(52173,330121,9,100,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation and Ordination of target by 87.7',0,2),
(52174,330121,9,100,'Must be flanking or behind',0,3),
(52175,330121,9,100,'Must be flanking or behind',0,4),
(52176,330122,1,100,'Inflicts 365 - 609 melee damage on target',0,0),
(52177,330122,1,100,'Decreases strikethrough chance of target by 5.8%.',0,1),
(52178,330122,1,100,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation and Ordination of target by 56.5',0,2),
(52179,330122,1,100,'Must be flanking or behind',0,3),
(52180,330122,1,100,'Must be flanking or behind',0,4),
(52181,330122,4,100,'Inflicts 446 - 744 melee damage on target',0,0),
(52182,330122,4,100,'Decreases strikethrough chance of target by 7.2%.',0,1),
(52183,330122,4,100,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation and Ordination of target by 69.1',0,2),
(52184,330122,4,100,'Must be flanking or behind',0,3),
(52185,330122,4,100,'Must be flanking or behind',0,4),
(52186,330122,5,100,'Inflicts 487 - 812 melee damage on target',0,0),
(52187,330122,5,100,'Decreases strikethrough chance of target by 7.8%.',0,1),
(52188,330122,5,100,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation and Ordination of target by 75.4',0,2),
(52189,330122,5,100,'Must be flanking or behind',0,3),
(52190,330122,5,100,'Must be flanking or behind',0,4),
(52191,330122,7,100,'Inflicts 625 - 1042 melee damage on target',0,0),
(52192,330122,7,100,'Decreases strikethrough chance of target by 10.0%.',0,1),
(52193,330122,7,100,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation and Ordination of target by 96.7',0,2),
(52194,330122,7,100,'Must be flanking or behind',0,3),
(52195,330122,9,100,'Inflicts 649 - 1083 melee damage on target',0,0),
(52196,330122,9,100,'Decreases strikethrough chance of target by 10.4%.',0,1),
(52197,330122,9,100,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation and Ordination of target by 100.5',0,2),
(52198,330122,9,100,'Must be flanking or behind',0,3),
(52199,330122,9,100,'Must be flanking or behind',0,4),
(52200,2000156,1,100,'Applies Lunge Reversal.  Lasts for 30.0 seconds.',0,0),
(52201,2000156,1,100,'When parried this spell will cast Lunge Reversal on target''s victim.  ',1,1),
(52202,2000156,1,100,'Inflicts 364 - 607 melee damage on target',2,2),
(52203,2000156,1,100,'Grants a total of 1 trigger of the spell.',2,3),
(52204,2000156,1,100,'When riposted this spell will cast Lunge Reversal on target''s victim.  ',1,4),
(52205,2000156,1,100,'Inflicts 364 - 607 melee damage on target',2,5),
(52206,2000156,1,100,'Grants a total of 1 trigger of the spell.',2,6),
(52207,2000156,1,100,'When blocked this spell will cast Lunge Reversal on target''s victim.  ',1,7),
(52208,2000156,1,100,'Inflicts 364 - 607 melee damage on target',2,8),
(52209,2000156,1,100,'Grants a total of 1 trigger of the spell.',2,9),
(52210,2000156,1,100,'When deflected this spell will cast Lunge Reversal on target''s victim.  ',1,10),
(52211,2000156,1,100,'Inflicts 364 - 607 melee damage on target',2,11),
(52212,2000156,1,100,'Grants a total of 1 trigger of the spell.',2,12),
(52213,2000156,1,100,'On a parry this spell will cast Lunge Reversal on target''s victim.  ',1,13),
(52214,2000156,1,100,'Inflicts 364 - 607 melee damage on target',2,14),
(52215,2000156,1,100,'Grants a total of 1 trigger of the spell.',2,15),
(52216,2000156,1,100,'On a riposte this spell will cast Lunge Reversal on target''s victim.  ',1,16),
(52217,2000156,1,100,'Inflicts 364 - 607 melee damage on target',2,17),
(52218,2000156,1,100,'Grants a total of 1 trigger of the spell.',2,18),
(52219,2000156,2,100,'Applies Lunge Reversal.  Lasts for 30.0 seconds.',0,0),
(52220,2000156,2,100,'When parried this spell will cast Lunge Reversal on target''s victim.  ',1,1),
(52221,2000156,2,100,'Inflicts 513 - 855 melee damage on target',2,2),
(52222,2000156,2,100,'Grants a total of 1 trigger of the spell.',2,3),
(52223,2000156,2,100,'When riposted this spell will cast Lunge Reversal on target''s victim.  ',1,4),
(52224,2000156,2,100,'Inflicts 513 - 855 melee damage on target',2,5),
(52225,2000156,2,100,'Grants a total of 1 trigger of the spell.',2,6),
(52226,2000156,2,100,'When blocked this spell will cast Lunge Reversal on target''s victim.  ',1,7),
(52227,2000156,2,100,'Inflicts 513 - 855 melee damage on target',2,8),
(52228,2000156,2,100,'Grants a total of 1 trigger of the spell.',2,9),
(52229,2000156,2,100,'When deflected this spell will cast Lunge Reversal on target''s victim.  ',1,10),
(52230,2000156,2,100,'Inflicts 513 - 855 melee damage on target',2,11),
(52231,2000156,2,100,'Grants a total of 1 trigger of the spell.',2,12),
(52232,2000156,2,100,'On a parry this spell will cast Lunge Reversal on target''s victim.  ',1,13),
(52233,2000156,2,100,'Inflicts 513 - 855 melee damage on target',2,14),
(52234,2000156,2,100,'Grants a total of 1 trigger of the spell.',2,15),
(52235,2000156,2,100,'On a riposte this spell will cast Lunge Reversal on target''s victim.  ',1,16),
(52236,2000156,2,100,'Inflicts 513 - 855 melee damage on target',2,17),
(52237,2000156,2,100,'Grants a total of 1 trigger of the spell.',2,18),
(52238,2000156,3,100,'Applies Lunge Reversal.  Lasts for 30.0 seconds.',0,0),
(52239,2000156,3,100,'When parried this spell will cast Lunge Reversal on target''s victim.  ',1,1),
(52240,2000156,3,100,'Inflicts 405 - 675 melee damage on target',2,2),
(52241,2000156,3,100,'Grants a total of 1 trigger of the spell.',2,3),
(52242,2000156,3,100,'When riposted this spell will cast Lunge Reversal on target''s victim.  ',1,4),
(52243,2000156,3,100,'Inflicts 405 - 675 melee damage on target',2,5),
(52244,2000156,3,100,'Grants a total of 1 trigger of the spell.',2,6),
(52245,2000156,3,100,'When blocked this spell will cast Lunge Reversal on target''s victim.  ',1,7),
(52246,2000156,3,100,'Inflicts 405 - 675 melee damage on target',2,8),
(52247,2000156,3,100,'Grants a total of 1 trigger of the spell.',2,9),
(52248,2000156,3,100,'When deflected this spell will cast Lunge Reversal on target''s victim.  ',1,10),
(52249,2000156,3,100,'Inflicts 405 - 675 melee damage on target',2,11),
(52250,2000156,3,100,'Grants a total of 1 trigger of the spell.',2,12),
(52251,2000156,3,100,'On a parry this spell will cast Lunge Reversal on target''s victim.  ',1,13),
(52252,2000156,3,100,'Inflicts 405 - 675 melee damage on target',2,14),
(52253,2000156,3,100,'Grants a total of 1 trigger of the spell.',2,15),
(52254,2000156,3,100,'On a riposte this spell will cast Lunge Reversal on target''s victim.  ',1,16),
(52255,2000156,3,100,'Inflicts 405 - 675 melee damage on target',2,17),
(52256,2000156,3,100,'Grants a total of 1 trigger of the spell.',2,18),
(52257,2000156,4,100,'Applies Lunge Reversal.  Lasts for 30.0 seconds.',0,0),
(52258,2000156,4,100,'When parried this spell will cast Lunge Reversal on target''s victim.  ',1,1),
(52259,2000156,4,100,'Inflicts 594 - 990 melee damage on target',2,2),
(52260,2000156,4,100,'Grants a total of 1 trigger of the spell.',2,3),
(52261,2000156,4,100,'When riposted this spell will cast Lunge Reversal on target''s victim.  ',1,4),
(52262,2000156,4,100,'Inflicts 594 - 990 melee damage on target',2,5),
(52263,2000156,4,100,'Grants a total of 1 trigger of the spell.',2,6),
(52264,2000156,4,100,'When blocked this spell will cast Lunge Reversal on target''s victim.  ',1,7),
(52265,2000156,4,100,'Inflicts 594 - 990 melee damage on target',2,8),
(52266,2000156,4,100,'Grants a total of 1 trigger of the spell.',2,9),
(52267,2000156,4,100,'When deflected this spell will cast Lunge Reversal on target''s victim.  ',1,10),
(52268,2000156,4,100,'Inflicts 594 - 990 melee damage on target',2,11),
(52269,2000156,4,100,'Grants a total of 1 trigger of the spell.',2,12),
(52270,2000156,4,100,'On a parry this spell will cast Lunge Reversal on target''s victim.  ',1,13),
(52271,2000156,4,100,'Inflicts 594 - 990 melee damage on target',2,14),
(52272,2000156,4,100,'Grants a total of 1 trigger of the spell.',2,15),
(52273,2000156,4,100,'On a riposte this spell will cast Lunge Reversal on target''s victim.  ',1,16),
(52274,2000156,4,100,'Inflicts 594 - 990 melee damage on target',2,17),
(52275,2000156,4,100,'Grants a total of 1 trigger of the spell.',2,18),
(52276,2000156,5,100,'Applies Lunge Reversal.  Lasts for 30.0 seconds.',0,0),
(52277,2000156,5,100,'When parried this spell will cast Lunge Reversal on target''s victim.  ',1,1),
(52278,2000156,5,100,'Inflicts 486 - 810 melee damage on target',2,2),
(52279,2000156,5,100,'Grants a total of 1 trigger of the spell.',2,3),
(52280,2000156,5,100,'When riposted this spell will cast Lunge Reversal on target''s victim.  ',1,4),
(52281,2000156,5,100,'Inflicts 486 - 810 melee damage on target',2,5),
(52282,2000156,5,100,'Grants a total of 1 trigger of the spell.',2,6),
(52283,2000156,5,100,'When blocked this spell will cast Lunge Reversal on target''s victim.  ',1,7),
(52284,2000156,5,100,'Inflicts 486 - 810 melee damage on target',2,8),
(52285,2000156,5,100,'Grants a total of 1 trigger of the spell.',2,9),
(52286,2000156,5,100,'When deflected this spell will cast Lunge Reversal on target''s victim.  ',1,10),
(52287,2000156,5,100,'Inflicts 486 - 810 melee damage on target',2,11),
(52288,2000156,5,100,'Grants a total of 1 trigger of the spell.',2,12),
(52289,2000156,5,100,'On a parry this spell will cast Lunge Reversal on target''s victim.  ',1,13),
(52290,2000156,5,100,'Inflicts 486 - 810 melee damage on target',2,14),
(52291,2000156,5,100,'Grants a total of 1 trigger of the spell.',2,15),
(52292,2000156,5,100,'On a riposte this spell will cast Lunge Reversal on target''s victim.  ',1,16),
(52293,2000156,5,100,'Inflicts 486 - 810 melee damage on target',2,17),
(52294,2000156,5,100,'Grants a total of 1 trigger of the spell.',2,18),
(52295,2000156,6,100,'Applies Lunge Reversal.  Lasts for 30.0 seconds.',0,0),
(52296,2000156,6,100,'When parried this spell will cast Lunge Reversal on target''s victim.  ',1,1),
(52297,2000156,6,100,'Inflicts 702 - 1170 melee damage on target',2,2),
(52298,2000156,6,100,'Grants a total of 1 trigger of the spell.',2,3),
(52299,2000156,6,100,'When riposted this spell will cast Lunge Reversal on target''s victim.  ',1,4),
(52300,2000156,6,100,'Inflicts 702 - 1170 melee damage on target',2,5),
(52301,2000156,6,100,'Grants a total of 1 trigger of the spell.',2,6),
(52302,2000156,6,100,'When blocked this spell will cast Lunge Reversal on target''s victim.  ',1,7),
(52303,2000156,6,100,'Inflicts 702 - 1170 melee damage on target',2,8),
(52304,2000156,6,100,'Grants a total of 1 trigger of the spell.',2,9),
(52305,2000156,6,100,'When deflected this spell will cast Lunge Reversal on target''s victim.  ',1,10),
(52306,2000156,6,100,'Inflicts 702 - 1170 melee damage on target',2,11),
(52307,2000156,6,100,'Grants a total of 1 trigger of the spell.',2,12),
(52308,2000156,6,100,'On a parry this spell will cast Lunge Reversal on target''s victim.  ',1,13),
(52309,2000156,6,100,'Inflicts 702 - 1170 melee damage on target',2,14),
(52310,2000156,6,100,'Grants a total of 1 trigger of the spell.',2,15),
(52311,2000156,6,100,'On a riposte this spell will cast Lunge Reversal on target''s victim.  ',1,16),
(52312,2000156,6,100,'Inflicts 702 - 1170 melee damage on target',2,17),
(52313,2000156,6,100,'Grants a total of 1 trigger of the spell.',2,18),
(52314,2000156,7,100,'Applies Lunge Reversal.  Lasts for 30.0 seconds.',0,0),
(52315,2000156,7,100,'When parried this spell will cast Lunge Reversal on target''s victim.  ',1,1),
(52316,2000156,7,100,'Inflicts 624 - 1040 melee damage on target',2,2),
(52317,2000156,7,100,'Grants a total of 1 trigger of the spell.',2,3),
(52318,2000156,7,100,'When riposted this spell will cast Lunge Reversal on target''s victim.  ',1,4),
(52319,2000156,7,100,'Inflicts 624 - 1040 melee damage on target',2,5),
(52320,2000156,7,100,'Grants a total of 1 trigger of the spell.',2,6),
(52321,2000156,7,100,'When blocked this spell will cast Lunge Reversal on target''s victim.  ',1,7),
(52322,2000156,7,100,'Inflicts 624 - 1040 melee damage on target',2,8),
(52323,2000156,7,100,'Grants a total of 1 trigger of the spell.',2,9),
(52324,2000156,7,100,'When deflected this spell will cast Lunge Reversal on target''s victim.  ',1,10),
(52325,2000156,7,100,'Inflicts 624 - 1040 melee damage on target',2,11),
(52326,2000156,7,100,'Grants a total of 1 trigger of the spell.',2,12),
(52327,2000156,7,100,'On a parry this spell will cast Lunge Reversal on target''s victim.  ',1,13),
(52328,2000156,7,100,'Inflicts 624 - 1040 melee damage on target',2,14),
(52329,2000156,7,100,'Grants a total of 1 trigger of the spell.',2,15),
(52330,2000156,7,100,'On a riposte this spell will cast Lunge Reversal on target''s victim.  ',1,16),
(52331,2000156,7,100,'Inflicts 624 - 1040 melee damage on target',2,17),
(52332,2000156,7,100,'Grants a total of 1 trigger of the spell.',2,18),
(52333,2000156,8,100,'Applies Lunge Reversal.  Lasts for 30.0 seconds.',0,0),
(52334,2000156,8,100,'When parried this spell will cast Lunge Reversal on target''s victim.  ',1,1),
(52335,2000156,8,100,'Inflicts 628 - 1047 melee damage on target',2,2),
(52336,2000156,8,100,'Grants a total of 1 trigger of the spell.',2,3),
(52337,2000156,8,100,'When riposted this spell will cast Lunge Reversal on target''s victim.  ',1,4),
(52338,2000156,8,100,'Inflicts 628 - 1047 melee damage on target',2,5),
(52339,2000156,8,100,'Grants a total of 1 trigger of the spell.',2,6),
(52340,2000156,8,100,'When blocked this spell will cast Lunge Reversal on target''s victim.  ',1,7),
(52341,2000156,8,100,'Inflicts 628 - 1047 melee damage on target',2,8),
(52342,2000156,8,100,'Grants a total of 1 trigger of the spell.',2,9),
(52343,2000156,8,100,'When deflected this spell will cast Lunge Reversal on target''s victim.  ',1,10),
(52344,2000156,8,100,'Inflicts 628 - 1047 melee damage on target',2,11),
(52345,2000156,8,100,'Grants a total of 1 trigger of the spell.',2,12),
(52346,2000156,8,100,'On a parry this spell will cast Lunge Reversal on target''s victim.  ',1,13),
(52347,2000156,8,100,'Inflicts 628 - 1047 melee damage on target',2,14),
(52348,2000156,8,100,'Grants a total of 1 trigger of the spell.',2,15),
(52349,2000156,8,100,'On a riposte this spell will cast Lunge Reversal on target''s victim.  ',1,16),
(52350,2000156,8,100,'Inflicts 628 - 1047 melee damage on target',2,17),
(52351,2000156,8,100,'Grants a total of 1 trigger of the spell.',2,18),
(52352,2000156,9,100,'Applies Lunge Reversal.  Lasts for 30.0 seconds.',0,0),
(52353,2000156,9,100,'When parried this spell will cast Lunge Reversal on target''s victim.  ',1,1),
(52354,2000156,9,100,'Inflicts 864 - 1440 melee damage on target',2,2),
(52355,2000156,9,100,'Grants a total of 1 trigger of the spell.',2,3),
(52356,2000156,9,100,'When riposted this spell will cast Lunge Reversal on target''s victim.  ',1,4),
(52357,2000156,9,100,'Inflicts 864 - 1440 melee damage on target',2,5),
(52358,2000156,9,100,'Grants a total of 1 trigger of the spell.',2,6),
(52359,2000156,9,100,'When blocked this spell will cast Lunge Reversal on target''s victim.  ',1,7),
(52360,2000156,9,100,'Inflicts 864 - 1440 melee damage on target',2,8),
(52361,2000156,9,100,'Grants a total of 1 trigger of the spell.',2,9),
(52362,2000156,9,100,'When deflected this spell will cast Lunge Reversal on target''s victim.  ',1,10),
(52363,2000156,9,100,'Inflicts 864 - 1440 melee damage on target',2,11),
(52364,2000156,9,100,'Grants a total of 1 trigger of the spell.',2,12),
(52365,2000156,9,100,'On a parry this spell will cast Lunge Reversal on target''s victim.  ',1,13),
(52366,2000156,9,100,'Inflicts 864 - 1440 melee damage on target',2,14),
(52367,2000156,9,100,'Grants a total of 1 trigger of the spell.',2,15),
(52368,2000156,9,100,'On a riposte this spell will cast Lunge Reversal on target''s victim.  ',1,16),
(52369,2000156,9,100,'Inflicts 864 - 1440 melee damage on target',2,17),
(52370,2000156,9,100,'Grants a total of 1 trigger of the spell.',2,18),
(52371,2000156,10,100,'Applies Lunge Reversal.  Lasts for 30.0 seconds.',0,0),
(52372,2000156,10,100,'When parried this spell will cast Lunge Reversal on target''s victim.  ',1,1),
(52373,2000156,10,100,'Inflicts 680 - 1134 melee damage on target',2,2),
(52374,2000156,10,100,'Grants a total of 1 trigger of the spell.',2,3),
(52375,2000156,10,100,'When riposted this spell will cast Lunge Reversal on target''s victim.  ',1,4),
(52376,2000156,10,100,'Inflicts 680 - 1134 melee damage on target',2,5),
(52377,2000156,10,100,'Grants a total of 1 trigger of the spell.',2,6),
(52378,2000156,10,100,'When blocked this spell will cast Lunge Reversal on target''s victim.  ',1,7),
(52379,2000156,10,100,'Inflicts 680 - 1134 melee damage on target',2,8),
(52380,2000156,10,100,'Grants a total of 1 trigger of the spell.',2,9),
(52381,2000156,10,100,'When deflected this spell will cast Lunge Reversal on target''s victim.  ',1,10),
(52382,2000156,10,100,'Inflicts 680 - 1134 melee damage on target',2,11),
(52383,2000156,10,100,'Grants a total of 1 trigger of the spell.',2,12),
(52384,2000156,10,100,'On a parry this spell will cast Lunge Reversal on target''s victim.  ',1,13),
(52385,2000156,10,100,'Inflicts 680 - 1134 melee damage on target',2,14),
(52386,2000156,10,100,'Grants a total of 1 trigger of the spell.',2,15),
(52387,2000156,10,100,'On a riposte this spell will cast Lunge Reversal on target''s victim.  ',1,16),
(52388,2000156,10,100,'Inflicts 680 - 1134 melee damage on target',2,17),
(52389,2000156,10,100,'Grants a total of 1 trigger of the spell.',2,18),
(52390,2000157,3,100,'Inflicts 3 - 5 magic damage on target',0,0),
(52391,2000157,3,100,'Increases Mitigation of target vs arcane damage by 0',0,1),
(52392,2000157,4,100,'Inflicts 3 - 6 magic damage on target',0,0),
(52393,2000157,4,100,'Increases Mitigation of target vs arcane damage by 0',0,1),
(52394,2000157,5,100,'Inflicts 4 - 6 magic damage on target',0,0),
(52395,2000157,5,100,'Increases Mitigation of target vs arcane damage by 0',0,1),
(52396,2000157,7,100,'Inflicts 5 - 8 magic damage on target',0,0),
(52397,2000157,7,100,'Increases Mitigation of target vs arcane damage by 0',0,1),
(52398,2000157,9,100,'Inflicts 5 - 9 magic damage on target',0,0),
(52399,2000157,9,100,'Increases Mitigation of target vs arcane damage by 0',0,1),
(52400,2000157,10,100,'Inflicts 5 - 9 magic damage on target',0,0),
(52401,2000157,10,100,'Increases Mitigation of target vs arcane damage by 0',0,1),
(52402,390090,1,100,'On a ranged hit this spell may cast Makeshift Arrow on target of attack.  Triggers about 14.4 times per minute. ',0,0),
(52403,390090,1,100,'Inflicts 37 piercing damage on target',1,1),
(52404,390090,1,100,'This effect can only trigger once every 0.1 seconds.',1,2),
(52405,390090,2,100,'On a ranged hit this spell may cast Makeshift Arrow on target of attack.  Triggers about 14.4 times per minute. ',0,0),
(52406,390090,2,100,'Inflicts 39 piercing damage on target',1,1),
(52407,390090,2,100,'This effect can only trigger once every 0.1 seconds.',1,2),
(52408,390090,3,100,'On a ranged hit this spell may cast Makeshift Arrow on target of attack.  Triggers about 14.4 times per minute. ',0,0),
(52409,390090,3,100,'Inflicts 41 piercing damage on target',1,1),
(52410,390090,3,100,'This effect can only trigger once every 0.1 seconds.',1,2),
(52411,390090,4,100,'On a ranged hit this spell may cast Makeshift Arrow on target of attack.  Triggers about 14.4 times per minute. ',0,0),
(52412,390090,4,100,'Inflicts 45 piercing damage on target',1,1),
(52413,390090,4,100,'This effect can only trigger once every 0.1 seconds.',1,2),
(52414,390090,5,100,'On a ranged hit this spell may cast Makeshift Arrow on target of attack.  Triggers about 14.4 times per minute. ',0,0),
(52415,390090,5,100,'Inflicts 49 piercing damage on target',1,1),
(52416,390090,5,100,'This effect can only trigger once every 0.1 seconds.',1,2),
(52417,390090,7,100,'On a ranged hit this spell may cast Makeshift Arrow on target of attack.  Triggers about 14.4 times per minute. ',0,0),
(52418,390090,7,100,'Inflicts 63 piercing damage on target',1,1),
(52419,390090,7,100,'This effect can only trigger once every 0.1 seconds.',1,2),
(52420,390090,9,100,'On a ranged hit this spell may cast Makeshift Arrow on target of attack.  Triggers about 14.4 times per minute. ',0,0),
(52421,390090,9,100,'Inflicts 65 piercing damage on target',1,1),
(52422,390090,9,100,'This effect can only trigger once every 0.1 seconds.',1,2),
(52423,390090,10,100,'On a ranged hit this spell may cast Makeshift Arrow on target of attack.  Triggers about 14.4 times per minute. ',0,0),
(52424,390090,10,100,'Inflicts 69 piercing damage on target',1,1),
(52425,390090,10,100,'This effect can only trigger once every 0.1 seconds.',1,2),
(52426,390091,1,100,'On a ranged hit this spell may cast Makeshift Arrow on target of attack.  Triggers about 14.4 times per minute. ',0,0),
(52427,390091,1,100,'Inflicts 67 piercing damage on target',1,1),
(52428,390091,1,100,'This effect can only trigger once every 0.1 seconds.',1,2),
(52429,390091,2,100,'On a ranged hit this spell may cast Makeshift Arrow on target of attack.  Triggers about 14.4 times per minute. ',0,0),
(52430,390091,2,100,'Inflicts 71 piercing damage on target',1,1),
(52431,390091,2,100,'This effect can only trigger once every 0.1 seconds.',1,2),
(52432,390091,3,100,'On a ranged hit this spell may cast Makeshift Arrow on target of attack.  Triggers about 14.4 times per minute. ',0,0),
(52433,390091,3,100,'Inflicts 74 piercing damage on target',1,1),
(52434,390091,3,100,'This effect can only trigger once every 0.1 seconds.',1,2),
(52435,390091,4,100,'On a ranged hit this spell may cast Makeshift Arrow on target of attack.  Triggers about 14.4 times per minute. ',0,0),
(52436,390091,4,100,'Inflicts 82 piercing damage on target',1,1),
(52437,390091,4,100,'This effect can only trigger once every 0.1 seconds.',1,2),
(52438,390091,5,100,'On a ranged hit this spell may cast Makeshift Arrow on target of attack.  Triggers about 14.4 times per minute. ',0,0),
(52439,390091,5,100,'Inflicts 89 piercing damage on target',1,1),
(52440,390091,5,100,'This effect can only trigger once every 0.1 seconds.',1,2),
(52441,390091,7,100,'On a ranged hit this spell may cast Makeshift Arrow on target of attack.  Triggers about 14.4 times per minute. ',0,0),
(52442,390091,7,100,'Inflicts 115 piercing damage on target',1,1),
(52443,390091,7,100,'This effect can only trigger once every 0.1 seconds.',1,2),
(52444,390091,9,100,'On a ranged hit this spell may cast Makeshift Arrow on target of attack.  Triggers about 14.4 times per minute. ',0,0),
(52445,390091,9,100,'Inflicts 119 piercing damage on target',1,1),
(52446,390091,9,100,'This effect can only trigger once every 0.1 seconds.',1,2),
(52447,390091,10,100,'On a ranged hit this spell may cast Makeshift Arrow on target of attack.  Triggers about 14.4 times per minute. ',0,0),
(52448,390091,10,100,'Inflicts 125 piercing damage on target',1,1),
(52449,390091,10,100,'This effect can only trigger once every 0.1 seconds.',1,2),
(52450,390092,1,100,'On a ranged hit this spell may cast Makeshift Arrow on target of attack.  Triggers about 14.4 times per minute. ',0,0),
(52451,390092,1,100,'Inflicts 102 piercing damage on target',1,1),
(52452,390092,1,100,'This effect can only trigger once every 0.1 seconds.',1,2),
(52453,390092,2,100,'On a ranged hit this spell may cast Makeshift Arrow on target of attack.  Triggers about 14.4 times per minute. ',0,0),
(52454,390092,2,100,'Inflicts 107 piercing damage on target',1,1),
(52455,390092,2,100,'This effect can only trigger once every 0.1 seconds.',1,2),
(52456,390092,3,100,'On a ranged hit this spell may cast Makeshift Arrow on target of attack.  Triggers about 14.4 times per minute. ',0,0),
(52457,390092,3,100,'Inflicts 113 piercing damage on target',1,1),
(52458,390092,3,100,'This effect can only trigger once every 0.1 seconds.',1,2),
(52459,390092,4,100,'On a ranged hit this spell may cast Makeshift Arrow on target of attack.  Triggers about 14.4 times per minute. ',0,0),
(52460,390092,4,100,'Inflicts 124 piercing damage on target',1,1),
(52461,390092,4,100,'This effect can only trigger once every 0.1 seconds.',1,2),
(52462,390092,5,100,'On a ranged hit this spell may cast Makeshift Arrow on target of attack.  Triggers about 14.4 times per minute. ',0,0),
(52463,390092,5,100,'Inflicts 136 piercing damage on target',1,1),
(52464,390092,5,100,'This effect can only trigger once every 0.1 seconds.',1,2),
(52465,390092,7,100,'On a ranged hit this spell may cast Makeshift Arrow on target of attack.  Triggers about 14.4 times per minute. ',0,0),
(52466,390092,7,100,'Inflicts 174 piercing damage on target',1,1),
(52467,390092,7,100,'This effect can only trigger once every 0.1 seconds.',1,2),
(52468,390092,9,100,'On a ranged hit this spell may cast Makeshift Arrow on target of attack.  Triggers about 14.4 times per minute. ',0,0),
(52469,390092,9,100,'Inflicts 181 piercing damage on target',1,1),
(52470,390092,9,100,'This effect can only trigger once every 0.1 seconds.',1,2),
(52471,390092,10,100,'On a ranged hit this spell may cast Makeshift Arrow on target of attack.  Triggers about 14.4 times per minute. ',0,0),
(52472,390092,10,100,'Inflicts 190 piercing damage on target',1,1),
(52473,390092,10,100,'This effect can only trigger once every 0.1 seconds.',1,2),
(52474,390093,1,100,'On a ranged hit this spell may cast Makeshift Arrow on target of attack.  Triggers about 14.4 times per minute. ',0,0),
(52475,390093,1,100,'Inflicts 140 piercing damage on target',1,1),
(52476,390093,1,100,'This effect can only trigger once every 0.1 seconds.',1,2),
(52477,390093,2,100,'On a ranged hit this spell may cast Makeshift Arrow on target of attack.  Triggers about 14.4 times per minute. ',0,0),
(52478,390093,2,100,'Inflicts 147 piercing damage on target',1,1),
(52479,390093,2,100,'This effect can only trigger once every 0.1 seconds.',1,2),
(52480,390093,3,100,'On a ranged hit this spell may cast Makeshift Arrow on target of attack.  Triggers about 14.4 times per minute. ',0,0),
(52481,390093,3,100,'Inflicts 155 piercing damage on target',1,1),
(52482,390093,3,100,'This effect can only trigger once every 0.1 seconds.',1,2),
(52483,390093,4,100,'On a ranged hit this spell may cast Makeshift Arrow on target of attack.  Triggers about 14.4 times per minute. ',0,0),
(52484,390093,4,100,'Inflicts 171 piercing damage on target',1,1),
(52485,390093,4,100,'This effect can only trigger once every 0.1 seconds.',1,2),
(52486,390093,5,100,'On a ranged hit this spell may cast Makeshift Arrow on target of attack.  Triggers about 14.4 times per minute. ',0,0),
(52487,390093,5,100,'Inflicts 186 piercing damage on target',1,1),
(52488,390093,5,100,'This effect can only trigger once every 0.1 seconds.',1,2),
(52489,390093,7,100,'On a ranged hit this spell may cast Makeshift Arrow on target of attack.  Triggers about 14.4 times per minute. ',0,0),
(52490,390093,7,100,'Inflicts 239 piercing damage on target',1,1),
(52491,390093,7,100,'This effect can only trigger once every 0.1 seconds.',1,2),
(52492,390093,9,100,'On a ranged hit this spell may cast Makeshift Arrow on target of attack.  Triggers about 14.4 times per minute. ',0,0),
(52493,390093,9,100,'Inflicts 248 piercing damage on target',1,1),
(52494,390093,9,100,'This effect can only trigger once every 0.1 seconds.',1,2),
(52495,390094,1,100,'On a ranged hit this spell may cast Makeshift Arrow on target of attack.  Triggers about 14.4 times per minute. ',0,0),
(52496,390094,1,100,'Inflicts 175 piercing damage on target',1,1),
(52497,390094,1,100,'This effect can only trigger once every 0.1 seconds.',1,2),
(52498,390094,2,100,'On a ranged hit this spell may cast Makeshift Arrow on target of attack.  Triggers about 14.4 times per minute. ',0,0),
(52499,390094,2,100,'Inflicts 185 piercing damage on target',1,1),
(52500,390094,2,100,'This effect can only trigger once every 0.1 seconds.',1,2),
(52501,390094,3,100,'On a ranged hit this spell may cast Makeshift Arrow on target of attack.  Triggers about 14.4 times per minute. ',0,0),
(52502,390094,3,100,'Inflicts 194 piercing damage on target',1,1),
(52503,390094,3,100,'This effect can only trigger once every 0.1 seconds.',1,2),
(52504,390094,4,100,'On a ranged hit this spell may cast Makeshift Arrow on target of attack.  Triggers about 14.4 times per minute. ',0,0),
(52505,390094,4,100,'Inflicts 214 piercing damage on target',1,1),
(52506,390094,4,100,'This effect can only trigger once every 0.1 seconds.',1,2),
(52507,390094,5,100,'On a ranged hit this spell may cast Makeshift Arrow on target of attack.  Triggers about 14.4 times per minute. ',0,0),
(52508,390094,5,100,'Inflicts 233 piercing damage on target',1,1),
(52509,390094,5,100,'This effect can only trigger once every 0.1 seconds.',1,2),
(52510,390094,7,100,'On a ranged hit this spell may cast Makeshift Arrow on target of attack.  Triggers about 14.4 times per minute. ',0,0),
(52511,390094,7,100,'Inflicts 299 piercing damage on target',1,1),
(52512,390094,7,100,'This effect can only trigger once every 0.1 seconds.',1,2),
(52513,390094,9,100,'On a ranged hit this spell may cast Makeshift Arrow on target of attack.  Triggers about 14.4 times per minute. ',0,0),
(52514,390094,9,100,'Inflicts 311 piercing damage on target',1,1),
(52515,390094,9,100,'This effect can only trigger once every 0.1 seconds.',1,2),
(52516,390095,1,100,'On a ranged hit this spell may cast Makeshift Arrow on target of attack.  Triggers about 14.4 times per minute. ',0,0),
(52517,390095,1,100,'Inflicts 199 piercing damage on target',1,1),
(52518,390095,1,100,'This effect can only trigger once every 0.1 seconds.',1,2),
(52519,390095,4,100,'On a ranged hit this spell may cast Makeshift Arrow on target of attack.  Triggers about 14.4 times per minute. ',0,0),
(52520,390095,4,100,'Inflicts 244 piercing damage on target',1,1),
(52521,390095,4,100,'This effect can only trigger once every 0.1 seconds.',1,2),
(52522,390095,5,100,'On a ranged hit this spell may cast Makeshift Arrow on target of attack.  Triggers about 14.4 times per minute. ',0,0),
(52523,390095,5,100,'Inflicts 266 piercing damage on target',1,1),
(52524,390095,5,100,'This effect can only trigger once every 0.1 seconds.',1,2),
(52525,390095,7,100,'On a ranged hit this spell may cast Makeshift Arrow on target of attack.  Triggers about 14.4 times per minute. ',0,0),
(52526,390095,7,100,'Inflicts 341 piercing damage on target',1,1),
(52527,390095,7,100,'This effect can only trigger once every 0.1 seconds.',1,2),
(52528,390095,9,100,'On a ranged hit this spell may cast Makeshift Arrow on target of attack.  Triggers about 14.4 times per minute. ',0,0),
(52529,390095,9,100,'Inflicts 354 piercing damage on target',1,1),
(52530,390095,9,100,'This effect can only trigger once every 0.1 seconds.',1,2),
(52531,390096,1,100,'On a ranged hit this spell may cast Makeshift Arrow on target of attack.  Triggers about 14.4 times per minute. ',0,0),
(52532,390096,1,100,'Inflicts 237 piercing damage on target',1,1),
(52533,390096,1,100,'This effect can only trigger once every 0.1 seconds.',1,2),
(52534,390096,4,100,'On a ranged hit this spell may cast Makeshift Arrow on target of attack.  Triggers about 14.4 times per minute. ',0,0),
(52535,390096,4,100,'Inflicts 289 piercing damage on target',1,1),
(52536,390096,4,100,'This effect can only trigger once every 0.1 seconds.',1,2),
(52537,390096,5,100,'On a ranged hit this spell may cast Makeshift Arrow on target of attack.  Triggers about 14.4 times per minute. ',0,0),
(52538,390096,5,100,'Inflicts 315 piercing damage on target',1,1),
(52539,390096,5,100,'This effect can only trigger once every 0.1 seconds.',1,2),
(52540,390096,7,100,'On a ranged hit this spell may cast Makeshift Arrow on target of attack.  Triggers about 14.4 times per minute. ',0,0),
(52541,390096,7,100,'Inflicts 405 piercing damage on target',1,1),
(52542,390096,7,100,'This effect can only trigger once every 0.1 seconds.',1,2),
(52543,390096,9,100,'On a ranged hit this spell may cast Makeshift Arrow on target of attack.  Triggers about 14.4 times per minute. ',0,0),
(52544,390096,9,100,'Inflicts 420 piercing damage on target',1,1),
(52545,390096,9,100,'This effect can only trigger once every 0.1 seconds.',1,2),
(52546,20008,1,100,'Inflicts 21 - 35 slashing damage on target',0,0),
(52547,20008,1,100,'Decreases Slashing, Crushing and Piercing of target by 1.5',0,1),
(52548,20008,2,100,'Inflicts 22 - 37 slashing damage on target',0,0),
(52549,20008,2,100,'Decreases Slashing, Crushing and Piercing of target by 1.6',0,1),
(52550,20008,3,100,'Inflicts 23 - 39 slashing damage on target',0,0),
(52551,20008,3,100,'Decreases Slashing, Crushing and Piercing of target by 1.6',0,1),
(52552,20008,4,100,'Inflicts 26 - 43 slashing damage on target',0,0),
(52553,20008,4,100,'Decreases Slashing, Crushing and Piercing of target by 1.8',0,1),
(52554,20008,5,100,'Inflicts 28 - 47 slashing damage on target',0,0),
(52555,20008,5,100,'Decreases Slashing, Crushing and Piercing of target by 2.0',0,1),
(52556,20008,7,100,'Inflicts 36 - 61 slashing damage on target',0,0),
(52557,20008,7,100,'Decreases Slashing, Crushing and Piercing of target by 2.5',0,1),
(52558,20008,9,100,'Inflicts 38 - 63 slashing damage on target',0,0),
(52559,20008,9,100,'Decreases Slashing, Crushing and Piercing of target by 2.6',0,1),
(52584,70104,1,100,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',0,0),
(52585,70104,1,100,'Inflicts 21 - 35 melee damage on target',1,1),
(52586,70104,1,100,'Increases Threat to target by 770 ',1,2),
(52587,70104,2,100,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',0,0),
(52588,70104,2,100,'Inflicts 22 - 37 melee damage on target',1,1),
(52589,70104,2,100,'Increases Threat to target by 813 ',1,2),
(52590,70104,3,100,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',0,0),
(52591,70104,3,100,'Inflicts 23 - 39 melee damage on target',1,1),
(52592,70104,3,100,'Increases Threat to target by 856 ',1,2),
(52593,70104,4,100,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',0,0),
(52594,70104,4,100,'Inflicts 26 - 43 melee damage on target',1,1),
(52595,70104,4,100,'Increases Threat to target by 942 ',1,2),
(52596,70104,5,100,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',0,0),
(52597,70104,5,100,'Inflicts 28 - 47 melee damage on target',1,1),
(52598,70104,5,100,'Increases Threat to target by 1,027 ',1,2),
(52599,70104,7,100,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',0,0),
(52600,70104,7,100,'Inflicts 36 - 61 melee damage on target',1,1),
(52601,70104,7,100,'Increases Threat to target by 1,297 ',1,2),
(52602,70104,9,100,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',0,0),
(52603,70104,9,100,'Inflicts 38 - 63 melee damage on target',1,1),
(52604,70104,9,100,'Increases Threat to target by 1,326 ',1,2),
(52605,70105,1,100,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',0,0),
(52606,70105,1,100,'Inflicts 32 - 53 melee damage on target',1,1),
(52607,70105,1,100,'Increases Threat to target by 1,186 ',1,2),
(52608,70105,2,100,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',0,0),
(52609,70105,2,100,'Inflicts 33 - 56 melee damage on target',1,1),
(52610,70105,2,100,'Increases Threat to target by 1,252 ',1,2),
(52611,70105,3,100,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',0,0),
(52612,70105,3,100,'Inflicts 35 - 59 melee damage on target',1,1),
(52613,70105,3,100,'Increases Threat to target by 1,296 ',1,2),
(52614,70105,4,100,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',0,0),
(52615,70105,4,100,'Inflicts 39 - 65 melee damage on target',1,1),
(52616,70105,4,100,'Increases Threat to target by 1,371 ',1,2),
(52617,70105,5,100,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',0,0),
(52618,70105,5,100,'Inflicts 42 - 71 melee damage on target',1,1),
(52619,70105,5,100,'Increases Threat to target by 1,447 ',1,2),
(52620,70105,7,100,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',0,0),
(52621,70105,7,100,'Inflicts 54 - 91 melee damage on target',1,1),
(52622,70105,7,100,'Increases Threat to target by 1,704 ',1,2),
(52623,70105,9,100,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',0,0),
(52624,70105,9,100,'Inflicts 57 - 95 melee damage on target',1,1),
(52625,70105,9,100,'Increases Threat to target by 1,749 ',1,2),
(52626,70105,10,100,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',0,0),
(52627,70105,10,100,'Inflicts 59 - 99 melee damage on target',1,1),
(52628,70105,10,100,'Increases Threat to target by 1,810 ',1,2),
(52629,70106,1,100,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',0,0),
(52630,70106,1,100,'Inflicts 43 - 72 melee damage on target',1,1),
(52631,70106,1,100,'Increases Threat to target by 1,487 ',1,2),
(52632,70106,2,100,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',0,0),
(52633,70106,2,100,'Inflicts 45 - 76 melee damage on target',1,1),
(52634,70106,2,100,'Increases Threat to target by 1,540 ',1,2),
(52635,70106,3,100,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',0,0),
(52636,70106,3,100,'Inflicts 48 - 80 melee damage on target',1,1),
(52637,70106,3,100,'Increases Threat to target by 1,593 ',1,2),
(52638,70106,4,100,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',0,0),
(52639,70106,4,100,'Inflicts 53 - 88 melee damage on target',1,1),
(52640,70106,4,100,'Increases Threat to target by 1,698 ',1,2),
(52641,70106,5,100,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',0,0),
(52642,70106,5,100,'Inflicts 57 - 96 melee damage on target',1,1),
(52643,70106,5,100,'Increases Threat to target by 1,803 ',1,2),
(52644,70106,7,100,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',0,0),
(52645,70106,7,100,'Inflicts 74 - 123 melee damage on target',1,1),
(52646,70106,7,100,'Increases Threat to target by 2,161 ',1,2),
(52647,70106,9,100,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',0,0),
(52648,70106,9,100,'Inflicts 77 - 128 melee damage on target',1,1),
(52649,70106,9,100,'Increases Threat to target by 2,224 ',1,2),
(52650,70106,10,100,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',0,0),
(52651,70106,10,100,'Inflicts 81 - 135 melee damage on target',1,1),
(52652,70106,10,100,'Increases Threat to target by 2,309 ',1,2),
(52653,70107,1,100,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',0,0),
(52654,70107,1,100,'Inflicts 54 - 90 melee damage on target',1,1),
(52655,70107,1,100,'Increases Threat to target by 1,766 ',1,2),
(52656,70107,2,100,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',0,0),
(52657,70107,2,100,'Inflicts 57 - 95 melee damage on target',1,1),
(52658,70107,2,100,'Increases Threat to target by 1,835 ',1,2),
(52659,70107,3,100,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',0,0),
(52660,70107,3,100,'Inflicts 60 - 100 melee damage on target',1,1),
(52661,70107,3,100,'Increases Threat to target by 1,903 ',1,2),
(52662,70107,4,100,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',0,0),
(52663,70107,4,100,'Inflicts 66 - 111 melee damage on target',1,1),
(52664,70107,4,100,'Increases Threat to target by 2,039 ',1,2),
(52665,70107,5,100,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',0,0),
(52666,70107,5,100,'Inflicts 72 - 121 melee damage on target',1,1),
(52667,70107,5,100,'Increases Threat to target by 2,175 ',1,2),
(52668,70107,7,100,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',0,0),
(52669,70107,7,100,'Inflicts 93 - 155 melee damage on target',1,1),
(52670,70107,7,100,'Increases Threat to target by 2,639 ',1,2),
(52671,70107,9,100,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',0,0),
(52672,70107,9,100,'Inflicts 96 - 161 melee damage on target',1,1),
(52673,70107,9,100,'Increases Threat to target by 2,721 ',1,2),
(52674,70108,1,100,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',0,0),
(52675,70108,1,100,'Inflicts 65 - 109 melee damage on target',1,1),
(52676,70108,1,100,'Increases Threat to target by 2,037 ',1,2),
(52677,70108,4,100,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',0,0),
(52678,70108,4,100,'Inflicts 80 - 133 melee damage on target',1,1),
(52679,70108,4,100,'Increases Threat to target by 2,370 ',1,2),
(52680,70108,5,100,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',0,0),
(52681,70108,5,100,'Inflicts 87 - 146 melee damage on target',1,1),
(52682,70108,5,100,'Increases Threat to target by 2,536 ',1,2),
(52683,70108,7,100,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',0,0),
(52684,70108,7,100,'Inflicts 112 - 187 melee damage on target',1,1),
(52685,70108,7,100,'Increases Threat to target by 3,102 ',1,2),
(52686,70108,9,100,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',0,0),
(52687,70108,9,100,'Inflicts 116 - 194 melee damage on target',1,1),
(52688,70108,9,100,'Increases Threat to target by 3,202 ',1,2),
(52689,70109,1,100,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',0,0),
(52690,70109,1,100,'Inflicts 84 - 140 melee damage on target',1,1),
(52691,70109,1,100,'Increases Threat to target by 2,307 ',1,2),
(52692,70109,4,100,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',0,0),
(52693,70109,4,100,'Inflicts 102 - 171 melee damage on target',1,1),
(52694,70109,4,100,'Increases Threat to target by 2,700 ',1,2),
(52695,70109,5,100,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',0,0),
(52696,70109,5,100,'Inflicts 112 - 186 melee damage on target',1,1),
(52697,70109,5,100,'Increases Threat to target by 2,897 ',1,2),
(52698,70109,7,100,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',0,0),
(52699,70109,7,100,'Inflicts 143 - 239 melee damage on target',1,1),
(52700,70109,7,100,'Increases Threat to target by 3,565 ',1,2),
(52701,70109,9,100,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',0,0),
(52702,70109,9,100,'Inflicts 149 - 249 melee damage on target',1,1),
(52703,70109,9,100,'Increases Threat to target by 3,682 ',1,2),
(52704,2000158,1,100,'Instantly teleport to your target.',0,0),
(52705,2000158,1,100,'On a melee hit this spell will cast Mantis Aggression on target of attack.  ',0,1),
(52706,2000158,1,100,'Increases threat priority of target by 1 position',1,2),
(52707,2000158,1,100,'Increases Threat to target by 41 ',1,3),
(52708,2000159,1,100,'Increases all damage done to target by 0.33%',0,0),
(52709,2000159,1,100,'Inflicts 124 - 207 ranged damage on target',0,1),
(52710,2000159,1,100,'Decreases AGI and STR of target by 159.5',0,2),
(52711,2000159,1,100,'If Aim or Thrown Weapon equipped in Ranged',0,3),
(52712,2000159,2,100,'Increases all damage done to target by 0.66%',0,0),
(52713,2000159,2,100,'Inflicts 131 - 219 ranged damage on target',0,1),
(52714,2000159,2,100,'Decreases AGI and STR of target by 168.3',0,2),
(52715,2000159,2,100,'If Aim or Thrown Weapon equipped in Ranged',0,3),
(52716,2000159,2,100,'If Thrown Weapon equipped in Ranged',0,4),
(52717,2000159,3,100,'Increases all damage done to target by 0.99%',0,0),
(52718,2000159,3,100,'Inflicts 138 - 230 ranged damage on target',0,1),
(52719,2000159,3,100,'Decreases AGI and STR of target by 177.2',0,2),
(52720,2000159,3,100,'If Aim or Thrown Weapon equipped in Ranged',0,3),
(52721,2000159,4,100,'Increases all damage done to target by 1.32%',0,0),
(52722,2000159,4,100,'Inflicts 152 - 253 ranged damage on target',0,1),
(52723,2000159,4,100,'Decreases AGI and STR of target by 194.9',0,2),
(52724,2000159,4,100,'If Aim or Thrown Weapon equipped in Ranged',0,3),
(52725,2000159,5,100,'Increases all damage done to target by 1.65%',0,0),
(52726,2000159,5,100,'Inflicts 166 - 277 ranged damage on target',0,1),
(52727,2000159,5,100,'Decreases AGI and STR of target by 212.6',0,2),
(52728,2000159,5,100,'If Aim or Thrown Weapon equipped in Ranged',0,3),
(52729,2000159,6,100,'Increases all damage done to target by 1.98%',0,0),
(52730,2000159,6,100,'Inflicts 180 - 300 ranged damage on target',0,1),
(52731,2000159,6,100,'Decreases AGI and STR of target by 230.4',0,2),
(52732,2000159,6,100,'If Aim or Thrown Weapon equipped in Ranged',0,3),
(52733,2000159,7,100,'Increases all damage done to target by 2.31%',0,0),
(52734,2000159,7,100,'Inflicts 213 - 355 ranged damage on target',0,1),
(52735,2000159,7,100,'Decreases AGI and STR of target by 272.9',0,2),
(52736,2000159,7,100,'If Aim or Thrown Weapon equipped in Ranged',0,3),
(52737,2000159,8,100,'Inflicts 161 - 268 ranged damage on target',0,0),
(52738,2000159,8,100,'Decreases AGI and STR of target by 272.8',0,1),
(52739,2000159,8,100,'Decreases Max Health of target by 2.6%',0,2),
(52740,2000159,8,100,'If Thrown Weapon equipped in Ranged',0,3),
(52741,2000159,9,100,'Increases all damage done to target by 2.97%',0,0),
(52742,2000159,9,100,'Inflicts 221 - 369 ranged damage on target',0,1),
(52743,2000159,9,100,'Decreases AGI and STR of target by 283.5',0,2),
(52744,2000159,9,100,'If Aim or Thrown Weapon equipped in Ranged',0,3),
(52745,2000159,10,100,'Increases all damage done to target by 3.3%',0,0),
(52746,2000159,10,100,'Inflicts 232 - 387 ranged damage on target',0,1),
(52747,2000159,10,100,'Decreases AGI and STR of target by 297.7',0,2),
(52748,2000159,10,100,'If Aim or Thrown Weapon equipped in Ranged',0,3),
(52749,2000160,1,100,'Dispels 6 levels of any hostile effects on target',0,0),
(52750,2000160,1,100,'Heals target for 6 - 7',0,1),
(52751,2000160,2,100,'Dispels 117 levels of any hostile effects on target',0,0),
(52752,2000160,2,100,'Heals target for 962 - 1176',0,1),
(52753,2000160,3,100,'Dispels 138 levels of any hostile effects on target',0,0),
(52754,2000160,3,100,'Heals target for 1013 - 1238',0,1),
(52755,2000160,4,100,'Dispels 117 levels of any hostile effects on target',0,0),
(52756,2000160,4,100,'Heals target for 1114 - 1361',0,1),
(52757,2000160,5,100,'Dispels 117 levels of any hostile effects on target',0,0),
(52758,2000160,5,100,'Heals target for 1215 - 1485',0,1),
(52759,2000160,6,100,'Dispels 117 levels of any hostile effects on target',0,0),
(52760,2000160,6,100,'Heals target for 1316 - 1609',0,1),
(52761,2000160,7,100,'Dispels 117 levels of any hostile effects on target',0,0),
(52762,2000160,7,100,'Heals target for 1559 - 1906',0,1),
(52763,2000160,8,100,'Dispels 138 levels of any hostile effects on target',0,0),
(52764,2000160,8,100,'Heals target for 1569 - 1918',0,1),
(52765,2000160,9,100,'Dispels 117 levels of any hostile effects on target',0,0),
(52766,2000160,9,100,'Heals target for 1620 - 1980',0,1),
(52767,2000160,10,100,'Dispels 138 levels of any hostile effects on target',0,0),
(52768,2000160,10,100,'Heals target for 1701 - 2079',0,1),
(52769,50017,1,100,'Increases deflection and parry of caster by 6.5',0,0),
(52770,2000161,1,100,'Reduces the threat position of all non-fighters within 10 meters of the target by 1 with all targets in the area.  In PVP combat, this makes all non-fighter allies close to the target invalid targets for enemy attacks for 0.5 seconds. ',0,0),
(52771,2000161,1,100,'100% chance to intercept all damage on target.On a successful intercept caster takes 25% of attack damage, target takes 25% of attack damage.',0,1),
(52772,2000161,1,100,'If not fighter',1,2),
(52773,2000161,1,100,'Instantly teleport to your target if you''re 10 meters away',0,3),
(52774,2000161,2,100,'Instantly teleport to your target if you''re 10 meters away',0,0),
(52775,2000161,2,100,'Reduces the threat position of all non-fighters within 10 meters of the target by 1 with all targets in the area.',0,1),
(52776,2000161,2,100,'100% chance to intercept all damage on target.On a successful intercept caster takes 25% of attack damage, target takes 25% of attack damage.',0,2),
(52777,2000161,2,100,'If not fighter',0,3),
(52778,2000161,3,100,'Instantly teleport to your target if you''re 10 meters away',0,0),
(52779,2000161,3,100,'Reduces the threat position of all non-fighters within 10 meters of the target by 1 with all targets in the area.',0,1),
(52780,2000161,3,100,'100% chance to intercept all damage on target.On a successful intercept caster takes 25% of attack damage, target takes 25% of attack damage.',0,2),
(52781,2000161,3,100,'If not fighter',0,3),
(52782,400113,1,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(52783,400113,1,100,'Grants stealth to caster',1,1),
(52784,400113,1,100,'Suspends caster''s movement speed enhancements',1,2),
(52785,400113,1,100,'Inflicts 14 - 24 melee damage on target',0,3),
(52786,400113,1,100,'Must be flanking or behind',0,4),
(52787,400113,2,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(52788,400113,2,100,'Grants stealth to caster',1,1),
(52789,400113,2,100,'Suspends caster''s movement speed enhancements',1,2),
(52790,400113,2,100,'Inflicts 15 - 25 melee damage on target',0,3),
(52791,400113,2,100,'Must be flanking or behind',0,4),
(52792,400113,3,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(52793,400113,3,100,'Grants stealth to caster',1,1),
(52794,400113,3,100,'Suspends caster''s movement speed enhancements',1,2),
(52795,400113,3,100,'Inflicts 16 - 26 melee damage on target',0,3),
(52796,400113,3,100,'Must be flanking or behind',0,4),
(52797,400113,4,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(52798,400113,4,100,'Grants stealth to caster',1,1),
(52799,400113,4,100,'Suspends caster''s movement speed enhancements',1,2),
(52800,400113,4,100,'Inflicts 17 - 29 melee damage on target',0,3),
(52801,400113,4,100,'Must be flanking or behind',0,4),
(52802,400113,5,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(52803,400113,5,100,'Grants stealth to caster',1,1),
(52804,400113,5,100,'Suspends caster''s movement speed enhancements',1,2),
(52805,400113,5,100,'Inflicts 19 - 32 melee damage on target',0,3),
(52806,400113,5,100,'Must be flanking or behind',0,4),
(52807,400113,7,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(52808,400113,7,100,'Grants stealth to caster',1,1),
(52809,400113,7,100,'Suspends caster''s movement speed enhancements',1,2),
(52810,400113,7,100,'Inflicts 24 - 41 melee damage on target',0,3),
(52811,400113,7,100,'Must be flanking or behind',0,4),
(52812,400113,9,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(52813,400113,9,100,'Grants stealth to caster',1,1),
(52814,400113,9,100,'Suspends caster''s movement speed enhancements',1,2),
(52815,400113,9,100,'Inflicts 25 - 43 melee damage on target',0,3),
(52816,400113,9,100,'Must be flanking or behind',0,4),
(52817,400114,1,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(52818,400114,1,100,'Grants stealth to caster',1,1),
(52819,400114,1,100,'Suspends caster''s movement speed enhancements',1,2),
(52820,400114,1,100,'Inflicts 52 - 87 melee damage on target',0,3),
(52821,400114,1,100,'Must be flanking or behind',0,4),
(52822,400114,2,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(52823,400114,2,100,'Grants stealth to caster',1,1),
(52824,400114,2,100,'Suspends caster''s movement speed enhancements',1,2),
(52825,400114,2,100,'Inflicts 55 - 92 melee damage on target',0,3),
(52826,400114,2,100,'Must be flanking or behind',0,4),
(52827,400114,3,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(52828,400114,3,100,'Grants stealth to caster',1,1),
(52829,400114,3,100,'Suspends caster''s movement speed enhancements',1,2),
(52830,400114,3,100,'Inflicts 58 - 97 melee damage on target',0,3),
(52831,400114,3,100,'Must be flanking or behind',0,4),
(52832,400114,4,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(52833,400114,4,100,'Grants stealth to caster',1,1),
(52834,400114,4,100,'Suspends caster''s movement speed enhancements',1,2),
(52835,400114,4,100,'Inflicts 64 - 106 melee damage on target',0,3),
(52836,400114,4,100,'Must be flanking or behind',0,4),
(52837,400114,5,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(52838,400114,5,100,'Grants stealth to caster',1,1),
(52839,400114,5,100,'Suspends caster''s movement speed enhancements',1,2),
(52840,400114,5,100,'Inflicts 69 - 116 melee damage on target',0,3),
(52841,400114,5,100,'Must be flanking or behind',0,4),
(52842,400114,7,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(52843,400114,7,100,'Grants stealth to caster',1,1),
(52844,400114,7,100,'Suspends caster''s movement speed enhancements',1,2),
(52845,400114,7,100,'Inflicts 89 - 149 melee damage on target',0,3),
(52846,400114,7,100,'Must be flanking or behind',0,4),
(52847,400114,9,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(52848,400114,9,100,'Grants stealth to caster',1,1),
(52849,400114,9,100,'Suspends caster''s movement speed enhancements',1,2),
(52850,400114,9,100,'Inflicts 93 - 155 melee damage on target',0,3),
(52851,400114,9,100,'Must be flanking or behind',0,4),
(52852,400115,1,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(52853,400115,1,100,'Grants stealth to caster',1,1),
(52854,400115,1,100,'Suspends caster''s movement speed enhancements',1,2),
(52855,400115,1,100,'Inflicts 97 - 162 melee damage on target',0,3),
(52856,400115,1,100,'Must be flanking or behind',0,4),
(52857,400115,2,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(52858,400115,2,100,'Grants stealth to caster',1,1),
(52859,400115,2,100,'Suspends caster''s movement speed enhancements',1,2),
(52860,400115,2,100,'Inflicts 102 - 171 melee damage on target',0,3),
(52861,400115,2,100,'Must be flanking or behind',0,4),
(52862,400115,3,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(52863,400115,3,100,'Grants stealth to caster',1,1),
(52864,400115,3,100,'Suspends caster''s movement speed enhancements',1,2),
(52865,400115,3,100,'Inflicts 108 - 180 melee damage on target',0,3),
(52866,400115,3,100,'Must be flanking or behind',0,4),
(52867,400115,4,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(52868,400115,4,100,'Grants stealth to caster',1,1),
(52869,400115,4,100,'Suspends caster''s movement speed enhancements',1,2),
(52870,400115,4,100,'Inflicts 118 - 198 melee damage on target',0,3),
(52871,400115,4,100,'Must be flanking or behind',0,4),
(52872,400115,5,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(52873,400115,5,100,'Grants stealth to caster',1,1),
(52874,400115,5,100,'Suspends caster''s movement speed enhancements',1,2),
(52875,400115,5,100,'Inflicts 129 - 216 melee damage on target',0,3),
(52876,400115,5,100,'Must be flanking or behind',0,4),
(52877,400115,7,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(52878,400115,7,100,'Grants stealth to caster',1,1),
(52879,400115,7,100,'Suspends caster''s movement speed enhancements',1,2),
(52880,400115,7,100,'Inflicts 166 - 277 melee damage on target',0,3),
(52881,400115,7,100,'Must be flanking or behind',0,4),
(52882,400115,9,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(52883,400115,9,100,'Grants stealth to caster',1,1),
(52884,400115,9,100,'Suspends caster''s movement speed enhancements',1,2),
(52885,400115,9,100,'Inflicts 173 - 288 melee damage on target',0,3),
(52886,400115,9,100,'Must be flanking or behind',0,4),
(52887,400115,10,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(52888,400115,10,100,'Grants stealth to caster',1,1),
(52889,400115,10,100,'Suspends caster''s movement speed enhancements',1,2),
(52890,400115,10,100,'Inflicts 181 - 302 melee damage on target',0,3),
(52891,400115,10,100,'Must be flanking or behind',0,4),
(52892,400116,1,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(52893,400116,1,100,'Grants stealth to caster',1,1),
(52894,400116,1,100,'Suspends caster''s movement speed enhancements',1,2),
(52895,400116,1,100,'Inflicts 148 - 247 melee damage on target',0,3),
(52896,400116,1,100,'Must be flanking or behind',0,4),
(52897,400116,2,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(52898,400116,2,100,'Grants stealth to caster',1,1),
(52899,400116,2,100,'Suspends caster''s movement speed enhancements',1,2),
(52900,400116,2,100,'Inflicts 156 - 261 melee damage on target',0,3),
(52901,400116,2,100,'Must be flanking or behind',0,4),
(52902,400116,3,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(52903,400116,3,100,'Grants stealth to caster',1,1),
(52904,400116,3,100,'Suspends caster''s movement speed enhancements',1,2),
(52905,400116,3,100,'Inflicts 164 - 274 melee damage on target',0,3),
(52906,400116,3,100,'Must be flanking or behind',0,4),
(52907,400116,4,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(52908,400116,4,100,'Grants stealth to caster',1,1),
(52909,400116,4,100,'Suspends caster''s movement speed enhancements',1,2),
(52910,400116,4,100,'Inflicts 181 - 302 melee damage on target',0,3),
(52911,400116,4,100,'Must be flanking or behind',0,4),
(52912,400116,5,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(52913,400116,5,100,'Grants stealth to caster',1,1),
(52914,400116,5,100,'Suspends caster''s movement speed enhancements',1,2),
(52915,400116,5,100,'Inflicts 197 - 329 melee damage on target',0,3),
(52916,400116,5,100,'Must be flanking or behind',0,4),
(52917,400116,7,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(52918,400116,7,100,'Grants stealth to caster',1,1),
(52919,400116,7,100,'Suspends caster''s movement speed enhancements',1,2),
(52920,400116,7,100,'Inflicts 253 - 423 melee damage on target',0,3),
(52921,400116,7,100,'Must be flanking or behind',0,4),
(52922,400116,9,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(52923,400116,9,100,'Grants stealth to caster',1,1),
(52924,400116,9,100,'Suspends caster''s movement speed enhancements',1,2),
(52925,400116,9,100,'Inflicts 263 - 439 melee damage on target',0,3),
(52926,400116,9,100,'Must be flanking or behind',0,4),
(52927,400117,1,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(52928,400117,1,100,'Grants stealth to caster',1,1),
(52929,400117,1,100,'Suspends caster''s movement speed enhancements',1,2),
(52930,400117,1,100,'Inflicts 205 - 342 melee damage on target',0,3),
(52931,400117,1,100,'Must be flanking or behind',0,4),
(52932,400117,2,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(52933,400117,2,100,'Grants stealth to caster',1,1),
(52934,400117,2,100,'Suspends caster''s movement speed enhancements',1,2),
(52935,400117,2,100,'Inflicts 216 - 361 melee damage on target',0,3),
(52936,400117,2,100,'Must be flanking or behind',0,4),
(52937,400117,3,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(52938,400117,3,100,'Grants stealth to caster',1,1),
(52939,400117,3,100,'Suspends caster''s movement speed enhancements',1,2),
(52940,400117,3,100,'Inflicts 228 - 380 melee damage on target',0,3),
(52941,400117,3,100,'Must be flanking or behind',0,4),
(52942,400117,4,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(52943,400117,4,100,'Grants stealth to caster',1,1),
(52944,400117,4,100,'Suspends caster''s movement speed enhancements',1,2),
(52945,400117,4,100,'Inflicts 250 - 418 melee damage on target',0,3),
(52946,400117,4,100,'Must be flanking or behind',0,4),
(52947,400117,5,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(52948,400117,5,100,'Grants stealth to caster',1,1),
(52949,400117,5,100,'Suspends caster''s movement speed enhancements',1,2),
(52950,400117,5,100,'Inflicts 273 - 456 melee damage on target',0,3),
(52951,400117,5,100,'Must be flanking or behind',0,4),
(52952,400117,7,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(52953,400117,7,100,'Grants stealth to caster',1,1),
(52954,400117,7,100,'Suspends caster''s movement speed enhancements',1,2),
(52955,400117,7,100,'Inflicts 351 - 585 melee damage on target',0,3),
(52956,400117,7,100,'Must be flanking or behind',0,4),
(52957,400117,9,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(52958,400117,9,100,'Grants stealth to caster',1,1),
(52959,400117,9,100,'Suspends caster''s movement speed enhancements',1,2),
(52960,400117,9,100,'Inflicts 364 - 608 melee damage on target',0,3),
(52961,400117,9,100,'Must be flanking or behind',0,4),
(52962,400117,10,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(52963,400117,10,100,'Grants stealth to caster',1,1),
(52964,400117,10,100,'Suspends caster''s movement speed enhancements',1,2),
(52965,400117,10,100,'Inflicts 383 - 638 melee damage on target',0,3),
(52966,400117,10,100,'Must be flanking or behind',0,4),
(52967,400118,1,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(52968,400118,1,100,'Grants stealth to caster',1,1),
(52969,400118,1,100,'Suspends caster''s movement speed enhancements',1,2),
(52970,400118,1,100,'Inflicts 262 - 437 melee damage on target',0,3),
(52971,400118,1,100,'Must be flanking or behind',0,4),
(52972,400118,2,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(52973,400118,2,100,'Grants stealth to caster',1,1),
(52974,400118,2,100,'Suspends caster''s movement speed enhancements',1,2),
(52975,400118,2,100,'Inflicts 276 - 461 melee damage on target',0,3),
(52976,400118,2,100,'Must be flanking or behind',0,4),
(52977,400118,3,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(52978,400118,3,100,'Grants stealth to caster',1,1),
(52979,400118,3,100,'Suspends caster''s movement speed enhancements',1,2),
(52980,400118,3,100,'Inflicts 291 - 485 melee damage on target',0,3),
(52981,400118,3,100,'Must be flanking or behind',0,4),
(52982,400118,4,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(52983,400118,4,100,'Grants stealth to caster',1,1),
(52984,400118,4,100,'Suspends caster''s movement speed enhancements',1,2),
(52985,400118,4,100,'Inflicts 320 - 534 melee damage on target',0,3),
(52986,400118,4,100,'Must be flanking or behind',0,4),
(52987,400118,5,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(52988,400118,5,100,'Grants stealth to caster',1,1),
(52989,400118,5,100,'Suspends caster''s movement speed enhancements',1,2),
(52990,400118,5,100,'Inflicts 349 - 582 melee damage on target',0,3),
(52991,400118,5,100,'Must be flanking or behind',0,4),
(52992,400118,7,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(52993,400118,7,100,'Grants stealth to caster',1,1),
(52994,400118,7,100,'Suspends caster''s movement speed enhancements',1,2),
(52995,400118,7,100,'Inflicts 448 - 747 melee damage on target',0,3),
(52996,400118,7,100,'Must be flanking or behind',0,4),
(52997,400118,9,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(52998,400118,9,100,'Grants stealth to caster',1,1),
(52999,400118,9,100,'Suspends caster''s movement speed enhancements',1,2),
(53000,400118,9,100,'Inflicts 466 - 777 melee damage on target',0,3),
(53001,400118,9,100,'Must be flanking or behind',0,4),
(53002,400119,1,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(53003,400119,1,100,'Grants stealth to caster',1,1),
(53004,400119,1,100,'Suspends caster''s movement speed enhancements',1,2),
(53005,400119,1,100,'Inflicts 316 - 528 melee damage on target',0,3),
(53006,400119,1,100,'Must be flanking or behind',0,4),
(53007,400119,4,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(53008,400119,4,100,'Grants stealth to caster',1,1),
(53009,400119,4,100,'Suspends caster''s movement speed enhancements',1,2),
(53010,400119,4,100,'Inflicts 387 - 645 melee damage on target',0,3),
(53011,400119,4,100,'Must be flanking or behind',0,4),
(53012,400119,5,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(53013,400119,5,100,'Grants stealth to caster',1,1),
(53014,400119,5,100,'Suspends caster''s movement speed enhancements',1,2),
(53015,400119,5,100,'Inflicts 422 - 704 melee damage on target',0,3),
(53016,400119,5,100,'Must be flanking or behind',0,4),
(53017,400119,7,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(53018,400119,7,100,'Grants stealth to caster',1,1),
(53019,400119,7,100,'Suspends caster''s movement speed enhancements',1,2),
(53020,400119,7,100,'Inflicts 542 - 903 melee damage on target',0,3),
(53021,400119,7,100,'Must be flanking or behind',0,4),
(53022,400119,9,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(53023,400119,9,100,'Grants stealth to caster',1,1),
(53024,400119,9,100,'Suspends caster''s movement speed enhancements',1,2),
(53025,400119,9,100,'Inflicts 563 - 938 melee damage on target',0,3),
(53026,400119,9,100,'Must be flanking or behind',0,4),
(53027,400119,10,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(53028,400119,10,100,'Grants stealth to caster',1,1),
(53029,400119,10,100,'Suspends caster''s movement speed enhancements',1,2),
(53030,400119,10,100,'Inflicts 591 - 985 melee damage on target',0,3),
(53031,400119,10,100,'Must be flanking or behind',0,4),
(53032,400120,1,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(53033,400120,1,100,'Grants stealth to caster',1,1),
(53034,400120,1,100,'Suspends caster''s movement speed enhancements',1,2),
(53035,400120,1,100,'Inflicts 361 - 602 melee damage on target',0,3),
(53036,400120,1,100,'Must be flanking or behind',0,4),
(53037,400120,4,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(53038,400120,4,100,'Grants stealth to caster',1,1),
(53039,400120,4,100,'Suspends caster''s movement speed enhancements',1,2),
(53040,400120,4,100,'Inflicts 441 - 735 melee damage on target',0,3),
(53041,400120,4,100,'Must be flanking or behind',0,4),
(53042,400120,5,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(53043,400120,5,100,'Grants stealth to caster',1,1),
(53044,400120,5,100,'Suspends caster''s movement speed enhancements',1,2),
(53045,400120,5,100,'Inflicts 481 - 802 melee damage on target',0,3),
(53046,400120,5,100,'Must be flanking or behind',0,4),
(53047,400120,7,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(53048,400120,7,100,'Grants stealth to caster',1,1),
(53049,400120,7,100,'Suspends caster''s movement speed enhancements',1,2),
(53050,400120,7,100,'Inflicts 618 - 1030 melee damage on target',0,3),
(53051,400120,7,100,'Must be flanking or behind',0,4),
(53052,400120,9,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(53053,400120,9,100,'Grants stealth to caster',1,1),
(53054,400120,9,100,'Suspends caster''s movement speed enhancements',1,2),
(53055,400120,9,100,'Inflicts 642 - 1070 melee damage on target',0,3),
(53056,400120,9,100,'Must be flanking or behind',0,4),
(53057,400120,10,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(53058,400120,10,100,'Grants stealth to caster',1,1),
(53059,400120,10,100,'Suspends caster''s movement speed enhancements',1,2),
(53060,400120,10,100,'Inflicts 674 - 1123 melee damage on target',0,3),
(53061,400120,10,100,'Must be flanking or behind',0,4),
(53062,400121,1,100,'Inflicts 115 - 192 melee damage on targets in Area of Effect',0,0),
(53063,400121,1,100,'You must be in stealth to use this!',0,1),
(53064,400121,2,100,'Inflicts 121 - 202 melee damage on targets in Area of Effect',0,0),
(53065,400121,2,100,'You must be in stealth to use this!',0,1),
(53066,400121,3,100,'Inflicts 128 - 213 melee damage on targets in Area of Effect',0,0),
(53067,400121,3,100,'You must be in stealth to use this!',0,1),
(53068,400121,4,100,'Inflicts 140 - 234 melee damage on targets in Area of Effect',0,0),
(53069,400121,4,100,'You must be in stealth to use this!',0,1),
(53070,400121,5,100,'Inflicts 153 - 256 melee damage on targets in Area of Effect',0,0),
(53071,400121,5,100,'You must be in stealth to use this!',0,1),
(53072,400121,7,100,'Inflicts 197 - 328 melee damage on targets in Area of Effect',0,0),
(53073,400121,7,100,'You must be in stealth to use this!',0,1),
(53074,400121,9,100,'Inflicts 204 - 341 melee damage on targets in Area of Effect',0,0),
(53075,400121,9,100,'You must be in stealth to use this!',0,1),
(53076,400122,1,100,'Inflicts 214 - 356 melee damage on targets in Area of Effect',0,0),
(53077,400122,1,100,'You must be in stealth to use this!',0,1),
(53078,400122,2,100,'Inflicts 225 - 376 melee damage on targets in Area of Effect',0,0),
(53079,400122,2,100,'You must be in stealth to use this!',0,1),
(53080,400122,3,100,'Inflicts 237 - 396 melee damage on targets in Area of Effect',0,0),
(53081,400122,3,100,'You must be in stealth to use this!',0,1),
(53082,400122,4,100,'Inflicts 261 - 436 melee damage on targets in Area of Effect',0,0),
(53083,400122,4,100,'You must be in stealth to use this!',0,1),
(53084,400122,5,100,'Inflicts 285 - 475 melee damage on targets in Area of Effect',0,0),
(53085,400122,5,100,'You must be in stealth to use this!',0,1),
(53086,400122,7,100,'Inflicts 366 - 610 melee damage on targets in Area of Effect',0,0),
(53087,400122,7,100,'You must be in stealth to use this!',0,1),
(53088,400122,9,100,'Inflicts 380 - 634 melee damage on targets in Area of Effect',0,0),
(53089,400122,9,100,'You must be in stealth to use this!',0,1),
(53090,400123,1,100,'Inflicts 326 - 544 melee damage on targets in Area of Effect',0,0),
(53091,400123,1,100,'You must be in stealth to use this!',0,1),
(53092,400123,2,100,'Inflicts 344 - 574 melee damage on targets in Area of Effect',0,0),
(53093,400123,2,100,'You must be in stealth to use this!',0,1),
(53094,400123,3,100,'Inflicts 362 - 604 melee damage on targets in Area of Effect',0,0),
(53095,400123,3,100,'You must be in stealth to use this!',0,1),
(53096,400123,4,100,'Inflicts 399 - 665 melee damage on targets in Area of Effect',0,0),
(53097,400123,4,100,'You must be in stealth to use this!',0,1),
(53098,400123,5,100,'Inflicts 435 - 725 melee damage on targets in Area of Effect',0,0),
(53099,400123,5,100,'You must be in stealth to use this!',0,1),
(53100,400123,7,100,'Inflicts 558 - 931 melee damage on targets in Area of Effect',0,0),
(53101,400123,7,100,'You must be in stealth to use this!',0,1),
(53102,400123,9,100,'Inflicts 580 - 967 melee damage on targets in Area of Effect',0,0),
(53103,400123,9,100,'You must be in stealth to use this!',0,1),
(53104,400124,1,100,'Inflicts 451 - 752 melee damage on targets in Area of Effect',0,0),
(53105,400124,1,100,'You must be in stealth to use this!',0,1),
(53106,400124,2,100,'Inflicts 476 - 794 melee damage on targets in Area of Effect',0,0),
(53107,400124,2,100,'You must be in stealth to use this!',0,1),
(53108,400124,3,100,'Inflicts 501 - 836 melee damage on targets in Area of Effect',0,0),
(53109,400124,3,100,'You must be in stealth to use this!',0,1),
(53110,400124,4,100,'Inflicts 551 - 919 melee damage on targets in Area of Effect',0,0),
(53111,400124,4,100,'You must be in stealth to use this!',0,1),
(53112,400124,5,100,'Inflicts 601 - 1003 melee damage on targets in Area of Effect',0,0),
(53113,400124,5,100,'You must be in stealth to use this!',0,1),
(53114,400124,7,100,'Inflicts 772 - 1287 melee damage on targets in Area of Effect',0,0),
(53115,400124,7,100,'You must be in stealth to use this!',0,1),
(53116,400124,9,100,'Inflicts 802 - 1337 melee damage on targets in Area of Effect',0,0),
(53117,400124,9,100,'You must be in stealth to use this!',0,1),
(53118,400124,10,100,'Inflicts 842 - 1404 melee damage on targets in Area of Effect',0,0),
(53119,400124,10,100,'You must be in stealth to use this!',0,1),
(53120,400125,1,100,'Inflicts 565 - 942 melee damage on targets in Area of Effect',0,0),
(53121,400125,1,100,'You must be in stealth to use this!',0,1),
(53122,400125,2,100,'Inflicts 597 - 995 melee damage on targets in Area of Effect',0,0),
(53123,400125,2,100,'You must be in stealth to use this!',0,1),
(53124,400125,3,100,'Inflicts 628 - 1047 melee damage on targets in Area of Effect',0,0),
(53125,400125,3,100,'You must be in stealth to use this!',0,1),
(53126,400125,4,100,'Inflicts 691 - 1152 melee damage on targets in Area of Effect',0,0),
(53127,400125,4,100,'You must be in stealth to use this!',0,1),
(53128,400125,5,100,'Inflicts 754 - 1257 melee damage on targets in Area of Effect',0,0),
(53129,400125,5,100,'You must be in stealth to use this!',0,1),
(53130,400125,7,100,'Inflicts 967 - 1613 melee damage on targets in Area of Effect',0,0),
(53131,400125,7,100,'You must be in stealth to use this!',0,1),
(53132,400125,9,100,'Inflicts 1005 - 1676 melee damage on targets in Area of Effect',0,0),
(53133,400125,9,100,'You must be in stealth to use this!',0,1),
(53134,400125,10,100,'Inflicts 1055 - 1759 melee damage on targets in Area of Effect',0,0),
(53135,400125,10,100,'You must be in stealth to use this!',0,1),
(53136,400126,1,100,'Inflicts 684 - 1140 melee damage on targets in Area of Effect',0,0),
(53137,400126,1,100,'You must be in stealth to use this!',0,1),
(53138,400126,4,100,'Inflicts 836 - 1393 melee damage on targets in Area of Effect',0,0),
(53139,400126,4,100,'You must be in stealth to use this!',0,1),
(53140,400126,5,100,'Inflicts 912 - 1520 melee damage on targets in Area of Effect',0,0),
(53141,400126,5,100,'You must be in stealth to use this!',0,1),
(53142,400126,7,100,'Inflicts 1170 - 1950 melee damage on targets in Area of Effect',0,0),
(53143,400126,7,100,'You must be in stealth to use this!',0,1),
(53144,400126,9,100,'Inflicts 1216 - 2026 melee damage on targets in Area of Effect',0,0),
(53145,400126,9,100,'You must be in stealth to use this!',0,1),
(53146,400127,1,100,'Inflicts 789 - 1316 melee damage on targets in Area of Effect',0,0),
(53147,400127,1,100,'You must be in stealth to use this!',0,1),
(53148,400127,4,100,'Inflicts 965 - 1609 melee damage on targets in Area of Effect',0,0),
(53149,400127,4,100,'You must be in stealth to use this!',0,1),
(53150,400127,5,100,'Inflicts 1053 - 1755 melee damage on targets in Area of Effect',0,0),
(53151,400127,5,100,'You must be in stealth to use this!',0,1),
(53152,400127,7,100,'Inflicts 1351 - 2252 melee damage on targets in Area of Effect',0,0),
(53153,400127,7,100,'You must be in stealth to use this!',0,1),
(53154,400127,9,100,'Inflicts 1404 - 2340 melee damage on targets in Area of Effect',0,0),
(53155,400127,9,100,'You must be in stealth to use this!',0,1),
(53156,420052,12,100,'On any combat or spell hit this spell may cast Primal Rage on caster.  Lasts for 12.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(53157,420052,12,100,'Prevents AOE on pet (except when direct)',1,1),
(53158,420052,12,100,'Increases Crit Bonus of pet by 20.0%',1,2),
(53159,420052,12,100,'Cannot be modified except by direct means',1,3),
(53160,420052,12,100,'Reduces the cost of Feral Rampage and Spirituality by 15%',0,4),
(53161,420052,12,100,'Increases the damage, ward or heal amount of Primals by 20%.',0,5),
(53162,420052,12,100,'Cannot be modified except by direct means',0,6),
(53163,10008,9,100,'Inflicts 21 - 35 melee damage on target',0,0),
(53164,10008,9,100,'Decreases Deflection of target by 1.6',0,1),
(53165,10008,9,100,'Decreases Parry of target by 1.6',0,2),
(53166,10008,9,100,'Decreases Defense of target by 1.6',0,3),
(53167,10008,9,100,'If any of the following are true:',0,4),
(53168,40126,1,100,'Inflicts 32 - 53 melee damage on target',0,0),
(53169,40126,1,100,'Decreases Slashing, Crushing and Piercing of target by 1.5',0,1),
(53170,40126,2,100,'Inflicts 34 - 56 melee damage on target',0,0),
(53171,40126,2,100,'Decreases Slashing, Crushing and Piercing of target by 1.6',0,1),
(53172,2000162,3,100,'Inflicts 2 - 4 crushing damage on target encounter',0,0),
(53173,40126,3,100,'Inflicts 35 - 59 melee damage on target',0,0),
(53174,40126,3,100,'Decreases Slashing, Crushing and Piercing of target by 1.6',0,1),
(53175,2000162,4,100,'Inflicts 3 - 5 crushing damage on target encounter',0,0),
(53176,40126,4,100,'Inflicts 39 - 65 melee damage on target',0,0),
(53177,40126,4,100,'Decreases Slashing, Crushing and Piercing of target by 1.8',0,1),
(53178,2000162,5,100,'Inflicts 3 - 5 crushing damage on target encounter',0,0),
(53179,40126,5,100,'Inflicts 43 - 71 melee damage on target',0,0),
(53180,40126,5,100,'Decreases Slashing, Crushing and Piercing of target by 2.0',0,1),
(53181,40126,7,100,'Inflicts 55 - 92 melee damage on target',0,0),
(53182,40126,7,100,'Decreases Slashing, Crushing and Piercing of target by 2.5',0,1),
(53183,2000162,7,100,'Inflicts 4 - 7 crushing damage on target encounter',0,0),
(53184,2000162,9,100,'Inflicts 4 - 7 crushing damage on target encounter',0,0),
(53185,40126,9,100,'Inflicts 57 - 95 melee damage on target',0,0),
(53186,40126,9,100,'Decreases Slashing, Crushing and Piercing of target by 2.6',0,1),
(53187,2000162,10,100,'Inflicts 4 - 7 crushing damage on target encounter',0,0),
(53188,40127,1,100,'Inflicts 74 - 124 melee damage on target',0,0),
(53189,40127,1,100,'Decreases Slashing, Crushing and Piercing of target by 3.4',0,1),
(53202,40128,1,100,'Inflicts 122 - 204 melee damage on target',0,0),
(53203,40128,1,100,'Decreases Slashing, Crushing and Piercing of target by 5.3',0,1),
(53204,40128,2,100,'Inflicts 129 - 215 melee damage on target',0,0),
(53205,40128,2,100,'Decreases Slashing, Crushing and Piercing of target by 5.6',0,1),
(53206,40128,3,100,'Inflicts 136 - 227 melee damage on target',0,0),
(53207,40128,3,100,'Decreases Slashing, Crushing and Piercing of target by 5.8',0,1),
(53208,40128,4,100,'Inflicts 149 - 249 melee damage on target',0,0),
(53209,40128,4,100,'Decreases Slashing, Crushing and Piercing of target by 6.4',0,1),
(53210,40128,5,100,'Inflicts 163 - 272 melee damage on target',0,0),
(53211,40128,5,100,'Decreases Slashing, Crushing and Piercing of target by 7.0',0,1),
(53212,40128,7,100,'Inflicts 209 - 349 melee damage on target',0,0),
(53213,40128,7,100,'Decreases Slashing, Crushing and Piercing of target by 9.0',0,1),
(53214,40128,9,100,'Inflicts 217 - 363 melee damage on target',0,0),
(53215,40128,9,100,'Decreases Slashing, Crushing and Piercing of target by 9.4',0,1),
(53216,40129,1,100,'Inflicts 181 - 302 melee damage on target',0,0),
(53217,40129,1,100,'Decreases Slashing, Crushing and Piercing of target by 7.2',0,1),
(53218,40129,2,100,'Inflicts 191 - 319 melee damage on target',0,0),
(53219,40129,2,100,'Decreases Slashing, Crushing and Piercing of target by 7.6',0,1),
(53220,40129,3,100,'Inflicts 201 - 335 melee damage on target',0,0),
(53221,40129,3,100,'Decreases Slashing, Crushing and Piercing of target by 7.9',0,1),
(53222,40129,4,100,'Inflicts 221 - 369 melee damage on target',0,0),
(53223,40129,4,100,'Decreases Slashing, Crushing and Piercing of target by 8.7',0,1),
(53224,40129,5,100,'Inflicts 241 - 403 melee damage on target',0,0),
(53225,40129,5,100,'Decreases Slashing, Crushing and Piercing of target by 9.5',0,1),
(53226,40129,7,100,'Inflicts 310 - 517 melee damage on target',0,0),
(53227,40129,7,100,'Decreases Slashing, Crushing and Piercing of target by 12.2',0,1),
(53228,40129,9,100,'Inflicts 322 - 537 melee damage on target',0,0),
(53229,40129,9,100,'Decreases Slashing, Crushing and Piercing of target by 12.7',0,1),
(53230,40130,1,100,'Inflicts 241 - 401 melee damage on target',0,0),
(53231,40130,1,100,'Decreases Slashing, Crushing and Piercing of target by 9.0',0,1),
(53232,40130,2,100,'Inflicts 254 - 424 melee damage on target',0,0),
(53233,40130,2,100,'Decreases Slashing, Crushing and Piercing of target by 9.5',0,1),
(53234,40130,3,100,'Inflicts 267 - 446 melee damage on target',0,0),
(53235,40130,3,100,'Decreases Slashing, Crushing and Piercing of target by 10.1',0,1),
(53236,40130,4,100,'Inflicts 294 - 490 melee damage on target',0,0),
(53237,40130,4,100,'Decreases Slashing, Crushing and Piercing of target by 11.1',0,1),
(53238,40130,5,100,'Inflicts 321 - 535 melee damage on target',0,0),
(53239,40130,5,100,'Decreases Slashing, Crushing and Piercing of target by 12.1',0,1),
(53240,40130,7,100,'Inflicts 412 - 687 melee damage on target',0,0),
(53241,40130,7,100,'Decreases Slashing, Crushing and Piercing of target by 15.5',0,1),
(53242,40130,9,100,'Inflicts 428 - 714 melee damage on target',0,0),
(53243,40130,9,100,'Decreases Slashing, Crushing and Piercing of target by 16.1',0,1),
(53244,40131,1,100,'Inflicts 291 - 485 melee damage on target',0,0),
(53245,40131,1,100,'Decreases Slashing, Crushing and Piercing of target by 10.7',0,1),
(53246,40131,2,100,'Inflicts 307 - 512 melee damage on target',0,0),
(53247,40131,2,100,'Decreases Slashing, Crushing and Piercing of target by 11.3',0,1),
(53248,40131,3,100,'Inflicts 323 - 539 melee damage on target',0,0),
(53249,40131,3,100,'Decreases Slashing, Crushing and Piercing of target by 11.9',0,1),
(53250,40131,4,100,'Inflicts 356 - 593 melee damage on target',0,0),
(53251,40131,4,100,'Decreases Slashing, Crushing and Piercing of target by 13.1',0,1),
(53252,40131,5,100,'Inflicts 388 - 647 melee damage on target',0,0),
(53253,40131,5,100,'Decreases Slashing, Crushing and Piercing of target by 14.3',0,1),
(53254,40131,7,100,'Inflicts 498 - 831 melee damage on target',0,0),
(53255,40131,7,100,'Decreases Slashing, Crushing and Piercing of target by 18.3',0,1),
(53256,40131,9,100,'Inflicts 518 - 863 melee damage on target',0,0),
(53257,40131,9,100,'Decreases Slashing, Crushing and Piercing of target by 19.0',0,1),
(53258,40132,1,100,'Inflicts 351 - 585 melee damage on target',0,0),
(53259,40132,1,100,'Decreases Slashing, Crushing and Piercing of target by 12.5',0,1),
(53260,40132,4,100,'Inflicts 429 - 716 melee damage on target',0,0),
(53261,40132,4,100,'Decreases Slashing, Crushing and Piercing of target by 15.3',0,1),
(53262,40132,5,100,'Inflicts 468 - 781 melee damage on target',0,0),
(53263,40132,5,100,'Decreases Slashing, Crushing and Piercing of target by 16.7',0,1),
(53264,40132,7,100,'Inflicts 601 - 1002 melee damage on target',0,0),
(53265,40132,7,100,'Decreases Slashing, Crushing and Piercing of target by 21.4',0,1),
(53266,40132,9,100,'Inflicts 624 - 1041 melee damage on target',0,0),
(53267,40132,9,100,'Decreases Slashing, Crushing and Piercing of target by 22.2',0,1),
(53268,40133,1,100,'Inflicts 386 - 643 melee damage on target',0,0),
(53269,40133,1,100,'Decreases Slashing, Crushing and Piercing of target by 14.3',0,1),
(53270,40133,4,100,'Inflicts 471 - 786 melee damage on target',0,0),
(53271,40133,4,100,'Decreases Slashing, Crushing and Piercing of target by 17.5',0,1),
(53272,40133,5,100,'Inflicts 514 - 857 melee damage on target',0,0),
(53273,40133,5,100,'Decreases Slashing, Crushing and Piercing of target by 19.1',0,1),
(53274,40133,7,100,'Inflicts 660 - 1100 melee damage on target',0,0),
(53275,40133,7,100,'Decreases Slashing, Crushing and Piercing of target by 24.5',0,1),
(53276,40133,9,100,'Inflicts 686 - 1143 melee damage on target',0,0),
(53277,40133,9,100,'Decreases Slashing, Crushing and Piercing of target by 25.4',0,1),
(53278,60112,1,100,'Dispels 7 levels of noxious hostile effects on target',0,0),
(53279,60112,1,100,'Heals target for 6 - 8',0,1),
(53280,60112,1,100,'This effect cannot be critically applied.',1,2),
(53281,60112,1,100,'The healing of this spell cannot be modified except by direct means',0,3),
(53282,60112,2,100,'Dispels 8 levels of noxious hostile effects on target',0,0),
(53283,60112,2,100,'Heals target for 7 - 8',0,1),
(53284,60112,2,100,'This effect cannot be critically applied.',1,2),
(53285,60112,2,100,'The healing of this spell cannot be modified except by direct means',0,3),
(53286,60112,3,100,'Dispels 8 levels of noxious hostile effects on target',0,0),
(53287,60112,3,100,'Heals target for 7 - 9',0,1),
(53288,60112,3,100,'This effect cannot be critically applied.',1,2),
(53289,60112,3,100,'The healing of this spell cannot be modified except by direct means',0,3),
(53290,60112,4,100,'Dispels 9 levels of noxious hostile effects on target',0,0),
(53291,60112,4,100,'Heals target for 8 - 10',0,1),
(53292,60112,4,100,'This effect cannot be critically applied.',1,2),
(53293,60112,4,100,'The healing of this spell cannot be modified except by direct means',0,3),
(53294,60112,5,100,'Dispels 10 levels of noxious hostile effects on target',0,0),
(53295,60112,5,100,'Heals target for 9 - 11',0,1),
(53296,60112,5,100,'This effect cannot be critically applied.',1,2),
(53297,60112,5,100,'The healing of this spell cannot be modified except by direct means',0,3),
(53298,60112,7,100,'Dispels 12 levels of noxious hostile effects on target',0,0),
(53299,60112,7,100,'Heals target for 11 - 14',0,1),
(53300,60112,7,100,'This effect cannot be critically applied.',1,2),
(53301,60112,7,100,'The healing of this spell cannot be modified except by direct means',0,3),
(53302,60112,9,100,'Dispels 13 levels of noxious hostile effects on target',0,0),
(53303,60112,9,100,'Heals target for 12 - 14',0,1),
(53304,60112,9,100,'This effect cannot be critically applied.',1,2),
(53305,60112,9,100,'The healing of this spell cannot be modified except by direct means',0,3),
(53306,60113,1,100,'Dispels 12 levels of noxious hostile effects on target',0,0),
(53307,60113,1,100,'Heals target for 155-182',0,1),
(53308,60113,1,100,'This effect cannot be critically applied.',1,2),
(53309,60113,1,100,'The healing of this spell cannot be modified except by direct means',0,3),
(53310,60113,2,100,'Dispels 12 levels of noxious hostile effects on target',0,0),
(53311,60113,2,100,'Heals target for 155-182',0,1),
(53312,60113,2,100,'This effect cannot be critically applied.',1,2),
(53313,60113,2,100,'The healing of this spell cannot be modified except by direct means',0,3),
(53314,60113,3,100,'Dispels 13 levels of noxious hostile effects on target',0,0),
(53315,60113,3,100,'Heals target for 155-182',0,1),
(53316,60113,3,100,'This effect cannot be critically applied.',1,2),
(53317,60113,3,100,'The healing of this spell cannot be modified except by direct means',0,3),
(53318,60113,4,100,'Dispels 14 levels of noxious hostile effects on target',0,0),
(53319,60113,4,100,'Heals target for 182-216',0,1),
(53320,60113,4,100,'This effect cannot be critically applied.',1,2),
(53321,60113,4,100,'The healing of this spell cannot be modified except by direct means',0,3),
(53322,60113,5,100,'Dispels 16 levels of noxious hostile effects on target',0,0),
(53323,60113,5,100,'Heals target for 196-233',0,1),
(53324,60113,5,100,'This effect cannot be critically applied.',1,2),
(53325,60113,5,100,'The healing of this spell cannot be modified except by direct means',0,3),
(53326,60113,7,100,'Dispels 20 levels of noxious hostile effects on target',0,0),
(53327,60113,7,100,'Heals target for 196-233',0,1),
(53328,60113,7,100,'This effect cannot be critically applied.',1,2),
(53329,60113,7,100,'The healing of this spell cannot be modified except by direct means',0,3),
(53330,60113,9,100,'Dispels 21 levels of noxious hostile effects on target',0,0),
(53331,60113,9,100,'Heals target for 240-260',0,1),
(53332,60113,9,100,'This effect cannot be critically applied.',1,2),
(53333,60113,9,100,'The healing of this spell cannot be modified except by direct means',0,3),
(53335,60114,1,100,'Heals target for 8.1 - 9.9% of max health',0,0),
(53336,60114,1,100,'This effect cannot be critically applied.',1,1),
(53337,60114,1,100,'The healing of this spell cannot be modified except by direct means',0,2),
(53339,60114,2,100,'Heals target for 8.6 - 10.4% of max health',0,0),
(53340,60114,2,100,'This effect cannot be critically applied.',1,1),
(53341,60114,2,100,'The healing of this spell cannot be modified except by direct means',0,2),
(53343,60114,3,100,'Heals target for 9.0 - 11.0% of max health',0,0),
(53344,60114,3,100,'This effect cannot be critically applied.',1,1),
(53345,60114,3,100,'The healing of this spell cannot be modified except by direct means',0,2),
(53347,60114,4,100,'Heals target for 9.9 - 12.1% of max health',0,0),
(53348,60114,4,100,'This effect cannot be critically applied.',1,1),
(53349,60114,4,100,'The healing of this spell cannot be modified except by direct means',0,2),
(53351,60114,5,100,'Heals target for 10.8 - 13.2% of max health',0,0),
(53352,60114,5,100,'This effect cannot be critically applied.',1,1),
(53353,60114,5,100,'The healing of this spell cannot be modified except by direct means',0,2),
(53355,60114,7,100,'Heals target for 13.9 - 16.9% of max health',0,0),
(53356,60114,7,100,'This effect cannot be critically applied.',1,1),
(53357,60114,7,100,'The healing of this spell cannot be modified except by direct means',0,2),
(53359,60114,9,100,'Heals target for 14.4 - 17.6% of max health',0,0),
(53360,60114,9,100,'This effect cannot be critically applied.',1,1),
(53361,60114,9,100,'The healing of this spell cannot be modified except by direct means',0,2),
(53362,60115,1,100,'Dispels 35 levels of noxious hostile effects on target',0,0),
(53363,60115,1,100,'Heals target for 12.1 - 14.8% of max health',0,1),
(53364,60115,1,100,'This effect cannot be critically applied.',1,2),
(53365,60115,1,100,'The healing of this spell cannot be modified except by direct means',0,3),
(53366,60115,2,100,'Dispels 37 levels of noxious hostile effects on target',0,0),
(53367,60115,2,100,'Heals target for 12.8 - 15.7% of max health',0,1),
(53368,60115,2,100,'This effect cannot be critically applied.',1,2),
(53369,60115,2,100,'The healing of this spell cannot be modified except by direct means',0,3),
(53370,60115,3,100,'Dispels 39 levels of noxious hostile effects on target',0,0),
(53371,60115,3,100,'Heals target for 13.5 - 16.5% of max health',0,1),
(53372,60115,3,100,'This effect cannot be critically applied.',1,2),
(53373,60115,3,100,'The healing of this spell cannot be modified except by direct means',0,3),
(53374,60115,4,100,'Dispels 43 levels of noxious hostile effects on target',0,0),
(53375,60115,4,100,'Heals target for 14.9 - 18.1% of max health',0,1),
(53376,60115,4,100,'This effect cannot be critically applied.',1,2),
(53377,60115,4,100,'The healing of this spell cannot be modified except by direct means',0,3),
(53378,60115,5,100,'Dispels 47 levels of noxious hostile effects on target',0,0),
(53379,60115,5,100,'Heals target for 16.2 - 19.8% of max health',0,1),
(53380,60115,5,100,'This effect cannot be critically applied.',1,2),
(53381,60115,5,100,'The healing of this spell cannot be modified except by direct means',0,3),
(53382,60115,7,100,'Dispels 60 levels of noxious hostile effects on target',0,0),
(53383,60115,7,100,'Heals target for 20.8 - 25.4% of max health',0,1),
(53384,60115,7,100,'This effect cannot be critically applied.',1,2),
(53385,60115,7,100,'The healing of this spell cannot be modified except by direct means',0,3),
(53386,60115,9,100,'Dispels 62 levels of noxious hostile effects on target',0,0),
(53387,60115,9,100,'Heals target for 21.6 - 26.4% of max health',0,1),
(53388,60115,9,100,'This effect cannot be critically applied.',1,2),
(53389,60115,9,100,'The healing of this spell cannot be modified except by direct means',0,3),
(53390,60116,1,100,'Dispels 48 levels of noxious hostile effects on target',0,0),
(53391,60116,1,100,'Heals target for 16.2 - 19.8% of max health',0,1),
(53392,60116,1,100,'This effect cannot be critically applied.',1,2),
(53393,60116,1,100,'The healing of this spell cannot be modified except by direct means',0,3),
(53394,60116,2,100,'Dispels 51 levels of noxious hostile effects on target',0,0),
(53395,60116,2,100,'Heals target for 17.1 - 20.9% of max health',0,1),
(53396,60116,2,100,'This effect cannot be critically applied.',1,2),
(53397,60116,2,100,'The healing of this spell cannot be modified except by direct means',0,3),
(53398,60116,3,100,'Dispels 54 levels of noxious hostile effects on target',0,0),
(53399,60116,3,100,'Heals target for 18.0 - 22.0% of max health',0,1),
(53400,60116,3,100,'This effect cannot be critically applied.',1,2),
(53401,60116,3,100,'The healing of this spell cannot be modified except by direct means',0,3),
(53402,60116,4,100,'Dispels 59 levels of noxious hostile effects on target',0,0),
(53403,60116,4,100,'Heals target for 19.8 - 24.2% of max health',0,1),
(53404,60116,4,100,'This effect cannot be critically applied.',1,2),
(53405,60116,4,100,'The healing of this spell cannot be modified except by direct means',0,3),
(53406,60116,5,100,'Dispels 65 levels of noxious hostile effects on target',0,0),
(53407,60116,5,100,'Heals target for 21.6 - 26.4% of max health',0,1),
(53408,60116,5,100,'This effect cannot be critically applied.',1,2),
(53409,60116,5,100,'The healing of this spell cannot be modified except by direct means',0,3),
(53410,60116,7,100,'Dispels 83 levels of noxious hostile effects on target',0,0),
(53411,60116,7,100,'Heals target for 27.7 - 33.9% of max health',0,1),
(53412,60116,7,100,'This effect cannot be critically applied.',1,2),
(53413,60116,7,100,'The healing of this spell cannot be modified except by direct means',0,3),
(53414,60116,9,100,'Dispels 86 levels of noxious hostile effects on target',0,0),
(53415,60116,9,100,'Heals target for 28.8 - 35.2% of max health',0,1),
(53416,60116,9,100,'This effect cannot be critically applied.',1,2),
(53417,60116,9,100,'The healing of this spell cannot be modified except by direct means',0,3),
(53418,2000163,3,100,'Inflicts 3 - 5 mental damage on target',0,0),
(53419,2000163,4,100,'Inflicts 3 - 5 mental damage on target',0,0),
(53420,2000163,5,100,'Inflicts 3 - 6 mental damage on target',0,0),
(53421,2000163,7,100,'Inflicts 4 - 7 mental damage on target',0,0),
(53422,2000163,9,100,'Inflicts 4 - 8 mental damage on target',0,0),
(53423,2000163,10,100,'Inflicts 5 - 8 mental damage on target',0,0),
(53424,2000164,3,100,'Inflicts 2 - 3 mental damage on target encounter',0,0),
(53425,2000164,3,100,'Decreases Damage Per Second of target encounter by 20.0',0,1),
(53426,2000164,4,100,'Inflicts 2 - 4 mental damage on target encounter',0,0),
(53427,2000164,4,100,'Decreases DPS of target encounter by 22.0',0,1),
(53428,2000164,5,100,'Inflicts 2 - 4 mental damage on target encounter',0,0),
(53429,2000164,5,100,'Decreases DPS of target encounter by 24.0',0,1),
(53430,2000164,7,100,'Inflicts 3 - 5 mental damage on target encounter',0,0),
(53431,2000164,7,100,'Decreases DPS of target encounter by 30.8',0,1),
(53432,2000164,9,100,'Inflicts 3 - 6 mental damage on target encounter',0,0),
(53433,2000164,9,100,'Decreases DPS of target encounter by 32.0',0,1),
(53434,2000164,10,100,'Inflicts 3 - 6 mental damage on target encounter',0,0),
(53435,2000164,10,100,'Decreases DPS of target encounter by 33.6',0,1),
(53436,70110,1,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(53437,70110,1,100,'Throws target back',1,1),
(53438,70110,1,100,'Blurs vision of target',1,2),
(53439,70110,1,100,'Stuns target',1,3),
(53440,70110,1,100,'Does not affect Epic targets',1,4),
(53441,70110,1,100,'Inflicts 28 - 46 crushing damage on target',0,5),
(53442,70110,2,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(53443,70110,2,100,'Throws target back',1,1),
(53444,70110,2,100,'Blurs vision of target',1,2),
(53445,70110,2,100,'Stuns target',1,3),
(53446,70110,2,100,'Does not affect Epic targets',1,4),
(53447,70110,2,100,'Inflicts 29 - 49 crushing damage on target',0,5),
(53448,70110,3,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(53449,70110,3,100,'Throws target back',1,1),
(53450,70110,3,100,'Blurs vision of target',1,2),
(53451,70110,3,100,'Stuns target',1,3),
(53452,70110,3,100,'Does not affect Epic targets',1,4),
(53453,70110,3,100,'Inflicts 31 - 52 crushing damage on target',0,5),
(53454,70110,4,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(53455,70110,4,100,'Throws target back',1,1),
(53456,70110,4,100,'Blurs vision of target',1,2),
(53457,70110,4,100,'Stuns target',1,3),
(53458,70110,4,100,'Does not affect Epic targets',1,4),
(53459,70110,4,100,'Inflicts 34 - 57 crushing damage on target',0,5),
(53460,70110,5,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(53461,70110,5,100,'Throws target back',1,1),
(53462,70110,5,100,'Blurs vision of target',1,2),
(53463,70110,5,100,'Stuns target',1,3),
(53464,70110,5,100,'Does not affect Epic targets',1,4),
(53465,70110,5,100,'Inflicts 37 - 62 crushing damage on target',0,5),
(53466,70110,7,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(53467,70110,7,100,'Throws target back',1,1),
(53468,70110,7,100,'Blurs vision of target',1,2),
(53469,70110,7,100,'Stuns target',1,3),
(53470,70110,7,100,'Does not affect Epic targets',1,4),
(53471,70110,7,100,'Inflicts 48 - 80 crushing damage on target',0,5),
(53472,70110,9,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(53473,70110,9,100,'Throws target back',1,1),
(53474,70110,9,100,'Blurs vision of target',1,2),
(53475,70110,9,100,'Stuns target',1,3),
(53476,70110,9,100,'Does not affect Epic targets',1,4),
(53477,70110,9,100,'Inflicts 49 - 83 crushing damage on target',0,5),
(53478,70111,1,100,'Interrupts target',0,0),
(53482,70111,1,100,'Does not affect Epic targets',1,4),
(53483,70111,1,100,'Inflicts 68 - 113 crushing damage on target',0,5),
(53484,70111,2,100,'Interrupts target',0,0),
(53488,70111,2,100,'Does not affect Epic targets',1,4),
(53489,70111,2,100,'Inflicts 71 - 119 crushing damage on target',0,5),
(53490,70111,3,100,'Interrupts target',0,0),
(53495,70111,3,100,'Inflicts 75 - 126 crushing damage on target',0,5),
(53496,70111,4,100,'Interrupts target',0,0),
(53501,70111,4,100,'Inflicts 83 - 138 crushing damage on target',0,5),
(53502,70111,5,100,'Interrupts target',0,0),
(53507,70111,5,100,'Inflicts 90 - 151 crushing damage on target',0,5),
(53508,70111,7,100,'Interrupts target',0,0),
(53513,70111,7,100,'Inflicts 116 - 194 crushing damage on target',0,5),
(53514,70111,9,100,'Interrupts target',0,0),
(53519,70111,9,100,'Inflicts 121 - 201 crushing damage on target',0,5),
(53526,70112,1,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(53527,70112,1,100,'Throws target back',1,1),
(53528,70112,1,100,'Blurs vision of target',1,2),
(53529,70112,1,100,'Stuns target',1,3),
(53530,70112,1,100,'Does not affect Epic targets',1,4),
(53531,70112,1,100,'Inflicts 113 - 189 crushing damage on target',0,5),
(53532,70112,2,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(53533,70112,2,100,'Throws target back',1,1),
(53534,70112,2,100,'Blurs vision of target',1,2),
(53535,70112,2,100,'Stuns target',1,3),
(53536,70112,2,100,'Does not affect Epic targets',1,4),
(53537,70112,2,100,'Inflicts 119 - 199 crushing damage on target',0,5),
(53538,70112,3,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(53539,70112,3,100,'Throws target back',1,1),
(53540,70112,3,100,'Blurs vision of target',1,2),
(53541,70112,3,100,'Stuns target',1,3),
(53542,70112,3,100,'Does not affect Epic targets',1,4),
(53543,70112,3,100,'Inflicts 126 - 210 crushing damage on target',0,5),
(53544,70112,4,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(53545,70112,4,100,'Throws target back',1,1),
(53546,70112,4,100,'Blurs vision of target',1,2),
(53547,70112,4,100,'Stuns target',1,3),
(53548,70112,4,100,'Does not affect Epic targets',1,4),
(53549,70112,4,100,'Inflicts 138 - 231 crushing damage on target',0,5),
(53550,70112,5,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(53551,70112,5,100,'Throws target back',1,1),
(53552,70112,5,100,'Blurs vision of target',1,2),
(53553,70112,5,100,'Stuns target',1,3),
(53554,70112,5,100,'Does not affect Epic targets',1,4),
(53555,70112,5,100,'Inflicts 151 - 252 crushing damage on target',0,5),
(53556,70112,7,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(53557,70112,7,100,'Throws target back',1,1),
(53558,70112,7,100,'Blurs vision of target',1,2),
(53559,70112,7,100,'Stuns target',1,3),
(53560,70112,7,100,'Does not affect Epic targets',1,4),
(53561,70112,7,100,'Inflicts 194 - 323 crushing damage on target',0,5),
(53562,70112,9,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(53563,70112,9,100,'Throws target back',1,1),
(53564,70112,9,100,'Blurs vision of target',1,2),
(53565,70112,9,100,'Stuns target',1,3),
(53566,70112,9,100,'Does not affect Epic targets',1,4),
(53567,70112,9,100,'Inflicts 201 - 336 crushing damage on target',0,5),
(53568,70113,1,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(53569,70113,1,100,'Throws target back',1,1),
(53570,70113,1,100,'Blurs vision of target',1,2),
(53571,70113,1,100,'Stuns target',1,3),
(53572,70113,1,100,'Does not affect Epic targets',1,4),
(53573,70113,1,100,'Inflicts 168 - 281 crushing damage on target',0,5),
(53574,70113,2,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(53575,70113,2,100,'Throws target back',1,1),
(53576,70113,2,100,'Blurs vision of target',1,2),
(53577,70113,2,100,'Stuns target',1,3),
(53578,70113,2,100,'Does not affect Epic targets',1,4),
(53579,70113,2,100,'Inflicts 178 - 296 crushing damage on target',0,5),
(53580,70113,3,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(53581,70113,3,100,'Throws target back',1,1),
(53582,70113,3,100,'Blurs vision of target',1,2),
(53583,70113,3,100,'Stuns target',1,3),
(53584,70113,3,100,'Does not affect Epic targets',1,4),
(53585,70113,3,100,'Inflicts 187 - 312 crushing damage on target',0,5),
(53586,70113,4,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(53587,70113,4,100,'Throws target back',1,1),
(53588,70113,4,100,'Blurs vision of target',1,2),
(53589,70113,4,100,'Stuns target',1,3),
(53590,70113,4,100,'Does not affect Epic targets',1,4),
(53591,70113,4,100,'Inflicts 206 - 343 crushing damage on target',0,5),
(53592,70113,5,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(53593,70113,5,100,'Throws target back',1,1),
(53594,70113,5,100,'Blurs vision of target',1,2),
(53595,70113,5,100,'Stuns target',1,3),
(53596,70113,5,100,'Does not affect Epic targets',1,4),
(53597,70113,5,100,'Inflicts 224 - 374 crushing damage on target',0,5),
(53598,70113,7,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(53599,70113,7,100,'Throws target back',1,1),
(53600,70113,7,100,'Blurs vision of target',1,2),
(53601,70113,7,100,'Stuns target',1,3),
(53602,70113,7,100,'Does not affect Epic targets',1,4),
(53603,70113,7,100,'Inflicts 288 - 481 crushing damage on target',0,5),
(53604,70113,9,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(53605,70113,9,100,'Throws target back',1,1),
(53606,70113,9,100,'Blurs vision of target',1,2),
(53607,70113,9,100,'Stuns target',1,3),
(53608,70113,9,100,'Does not affect Epic targets',1,4),
(53609,70113,9,100,'Inflicts 299 - 499 crushing damage on target',0,5),
(53610,70114,1,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(53611,70114,1,100,'Throws target back',1,1),
(53612,70114,1,100,'Blurs vision of target',1,2),
(53613,70114,1,100,'Stuns target',1,3),
(53614,70114,1,100,'Does not affect Epic targets',1,4),
(53615,70114,1,100,'Inflicts 225 - 375 crushing damage on target',0,5),
(53616,70114,2,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(53617,70114,2,100,'Throws target back',1,1),
(53618,70114,2,100,'Blurs vision of target',1,2),
(53619,70114,2,100,'Stuns target',1,3),
(53620,70114,2,100,'Does not affect Epic targets',1,4),
(53621,70114,2,100,'Inflicts 238 - 396 crushing damage on target',0,5),
(53622,70114,3,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(53623,70114,3,100,'Throws target back',1,1),
(53624,70114,3,100,'Blurs vision of target',1,2),
(53625,70114,3,100,'Stuns target',1,3),
(53626,70114,3,100,'Does not affect Epic targets',1,4),
(53627,70114,3,100,'Inflicts 250 - 417 crushing damage on target',0,5),
(53628,70114,4,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(53629,70114,4,100,'Throws target back',1,1),
(53630,70114,4,100,'Blurs vision of target',1,2),
(53631,70114,4,100,'Stuns target',1,3),
(53632,70114,4,100,'Does not affect Epic targets',1,4),
(53633,70114,4,100,'Inflicts 275 - 459 crushing damage on target',0,5),
(53634,70114,5,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(53635,70114,5,100,'Throws target back',1,1),
(53636,70114,5,100,'Blurs vision of target',1,2),
(53637,70114,5,100,'Stuns target',1,3),
(53638,70114,5,100,'Does not affect Epic targets',1,4),
(53639,70114,5,100,'Inflicts 300 - 501 crushing damage on target',0,5),
(53640,70114,7,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(53641,70114,7,100,'Throws target back',1,1),
(53642,70114,7,100,'Blurs vision of target',1,2),
(53643,70114,7,100,'Stuns target',1,3),
(53644,70114,7,100,'Does not affect Epic targets',1,4),
(53645,70114,7,100,'Inflicts 385 - 643 crushing damage on target',0,5),
(53646,70114,9,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(53647,70114,9,100,'Throws target back',1,1),
(53648,70114,9,100,'Blurs vision of target',1,2),
(53649,70114,9,100,'Stuns target',1,3),
(53650,70114,9,100,'Does not affect Epic targets',1,4),
(53651,70114,9,100,'Inflicts 400 - 668 crushing damage on target',0,5),
(53652,70115,1,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(53653,70115,1,100,'Throws target back',1,1),
(53654,70115,1,100,'Blurs vision of target',1,2),
(53655,70115,1,100,'Stuns target',1,3),
(53656,70115,1,100,'Does not affect Epic targets',1,4),
(53657,70115,1,100,'Inflicts 277 - 462 crushing damage on target',0,5),
(53658,70115,2,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(53659,70115,2,100,'Throws target back',1,1),
(53660,70115,2,100,'Blurs vision of target',1,2),
(53661,70115,2,100,'Stuns target',1,3),
(53662,70115,2,100,'Does not affect Epic targets',1,4),
(53663,70115,2,100,'Inflicts 293 - 488 crushing damage on target',0,5),
(53664,70115,3,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(53665,70115,3,100,'Throws target back',1,1),
(53666,70115,3,100,'Blurs vision of target',1,2),
(53667,70115,3,100,'Stuns target',1,3),
(53668,70115,3,100,'Does not affect Epic targets',1,4),
(53669,70115,3,100,'Inflicts 308 - 514 crushing damage on target',0,5),
(53670,70115,4,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(53671,70115,4,100,'Throws target back',1,1),
(53672,70115,4,100,'Blurs vision of target',1,2),
(53673,70115,4,100,'Stuns target',1,3),
(53674,70115,4,100,'Does not affect Epic targets',1,4),
(53675,70115,4,100,'Inflicts 339 - 565 crushing damage on target',0,5),
(53676,70115,5,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(53677,70115,5,100,'Throws target back',1,1),
(53678,70115,5,100,'Blurs vision of target',1,2),
(53679,70115,5,100,'Stuns target',1,3),
(53680,70115,5,100,'Does not affect Epic targets',1,4),
(53681,70115,5,100,'Inflicts 370 - 617 crushing damage on target',0,5),
(53682,70115,7,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(53683,70115,7,100,'Throws target back',1,1),
(53684,70115,7,100,'Blurs vision of target',1,2),
(53685,70115,7,100,'Stuns target',1,3),
(53686,70115,7,100,'Does not affect Epic targets',1,4),
(53687,70115,7,100,'Inflicts 475 - 791 crushing damage on target',0,5),
(53688,70115,9,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(53689,70115,9,100,'Throws target back',1,1),
(53690,70115,9,100,'Blurs vision of target',1,2),
(53691,70115,9,100,'Stuns target',1,3),
(53692,70115,9,100,'Does not affect Epic targets',1,4),
(53693,70115,9,100,'Inflicts 493 - 822 crushing damage on target',0,5),
(53694,70116,1,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(53695,70116,1,100,'Throws target back',1,1),
(53696,70116,1,100,'Blurs vision of target',1,2),
(53697,70116,1,100,'Stuns target',1,3),
(53698,70116,1,100,'Does not affect Epic targets',1,4),
(53699,70116,1,100,'Inflicts 334 - 557 crushing damage on target',0,5),
(53700,70116,4,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(53701,70116,4,100,'Throws target back',1,1),
(53702,70116,4,100,'Blurs vision of target',1,2),
(53703,70116,4,100,'Stuns target',1,3),
(53704,70116,4,100,'Does not affect Epic targets',1,4),
(53705,70116,4,100,'Inflicts 409 - 681 crushing damage on target',0,5),
(53706,70116,5,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(53707,70116,5,100,'Throws target back',1,1),
(53708,70116,5,100,'Blurs vision of target',1,2),
(53709,70116,5,100,'Stuns target',1,3),
(53710,70116,5,100,'Does not affect Epic targets',1,4),
(53711,70116,5,100,'Inflicts 446 - 743 crushing damage on target',0,5),
(53712,70116,7,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(53713,70116,7,100,'Throws target back',1,1),
(53714,70116,7,100,'Blurs vision of target',1,2),
(53715,70116,7,100,'Stuns target',1,3),
(53716,70116,7,100,'Does not affect Epic targets',1,4),
(53717,70116,7,100,'Inflicts 572 - 954 crushing damage on target',0,5),
(53718,70116,9,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(53719,70116,9,100,'Throws target back',1,1),
(53720,70116,9,100,'Blurs vision of target',1,2),
(53721,70116,9,100,'Stuns target',1,3),
(53722,70116,9,100,'Does not affect Epic targets',1,4),
(53723,70116,9,100,'Inflicts 595 - 991 crushing damage on target',0,5),
(53724,70117,1,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(53725,70117,1,100,'Throws target back',1,1),
(53726,70117,1,100,'Blurs vision of target',1,2),
(53727,70117,1,100,'Stuns target',1,3),
(53728,70117,1,100,'Does not affect Epic targets',1,4),
(53729,70117,1,100,'Inflicts 367 - 612 crushing damage on target',0,5),
(53730,70117,4,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(53731,70117,4,100,'Throws target back',1,1),
(53732,70117,4,100,'Blurs vision of target',1,2),
(53733,70117,4,100,'Stuns target',1,3),
(53734,70117,4,100,'Does not affect Epic targets',1,4),
(53735,70117,4,100,'Inflicts 449 - 748 crushing damage on target',0,5),
(53736,70117,5,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(53737,70117,5,100,'Throws target back',1,1),
(53738,70117,5,100,'Blurs vision of target',1,2),
(53739,70117,5,100,'Stuns target',1,3),
(53740,70117,5,100,'Does not affect Epic targets',1,4),
(53741,70117,5,100,'Inflicts 490 - 817 crushing damage on target',0,5),
(53742,70117,7,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(53743,70117,7,100,'Throws target back',1,1),
(53744,70117,7,100,'Blurs vision of target',1,2),
(53745,70117,7,100,'Stuns target',1,3),
(53746,70117,7,100,'Does not affect Epic targets',1,4),
(53747,70117,7,100,'Inflicts 629 - 1048 crushing damage on target',0,5),
(53748,70117,9,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(53749,70117,9,100,'Throws target back',1,1),
(53750,70117,9,100,'Blurs vision of target',1,2),
(53751,70117,9,100,'Stuns target',1,3),
(53752,70117,9,100,'Does not affect Epic targets',1,4),
(53753,70117,9,100,'Inflicts 653 - 1089 crushing damage on target',0,5),
(53754,2000165,1,100,'Reduces all damage done to target by 61% This spell will absorb a total of 3 attacks.',0,0),
(53755,2000165,1,100,'If profession other than Fighter',1,1),
(53756,2000165,1,100,'Causes 65% Threat to transfer to target when in combat',0,2),
(53757,2000165,1,100,'If Fighter',1,3),
(53758,2000165,1,100,'When damaged this spell will cast Beg on target''s attacker.  ',0,4),
(53759,2000165,1,100,'Decreases threat priority of target encounter by 1 position',1,5),
(53760,2000165,1,100,'Decreases Threat to target encounter by 7,643 ',1,6),
(53761,2000165,1,100,'Grants a total of 3 triggers of the spell.',1,7),
(53762,2000165,1,100,'If profession other than Fighter',1,8),
(53763,2000166,1,100,'Applies Infuriated.',0,0),
(53764,2000166,1,100,'Increases Threat to target by 10,011 ',1,1),
(53765,2000166,1,100,'Must be engaged in combat',1,2),
(53766,2000166,1,100,'Inflicts 249 - 415 ranged damage on target',0,3),
(53767,2000166,1,100,'If Aim or Bow equipped in Ranged',0,4),
(53768,2000166,2,100,'Applies Infuriated.',0,0),
(53769,2000166,2,100,'Increases Threat to target by 10,391 ',1,1),
(53770,2000166,2,100,'Must be engaged in combat',1,2),
(53771,2000166,2,100,'Inflicts 197 - 329 ranged damage on target',0,3),
(53772,2000166,2,100,'If Bow equipped in Ranged',0,4),
(53773,2000166,3,100,'Applies Infuriated.',0,0),
(53774,2000166,3,100,'Increases Threat to target by 11,064 ',1,1),
(53775,2000166,3,100,'Must be engaged in combat',1,2),
(53776,2000166,3,100,'Inflicts 277 - 461 ranged damage on target',0,3),
(53777,2000166,3,100,'If Aim or Bow equipped in Ranged',0,4),
(53778,2000166,4,100,'Applies Infuriated.',0,0),
(53779,2000166,4,100,'Increases Threat to target by 11,954 ',1,1),
(53780,2000166,4,100,'Must be engaged in combat',1,2),
(53781,2000166,4,100,'Inflicts 228 - 381 ranged damage on target',0,3),
(53782,2000166,4,100,'If Bow equipped in Ranged',0,4),
(53783,2000166,5,100,'Applies Infuriated.',0,0),
(53784,2000166,5,100,'Increases Threat to target by 13,169 ',1,1),
(53785,2000166,5,100,'Must be engaged in combat',1,2),
(53786,2000166,5,100,'Inflicts 332 - 554 ranged damage on target',0,3),
(53787,2000166,5,100,'If Aim or Bow equipped in Ranged',0,4),
(53788,2000166,6,100,'Applies Infuriated.',0,0),
(53789,2000166,6,100,'Increases Threat to target by 14,039 ',1,1),
(53790,2000166,6,100,'Must be engaged in combat',1,2),
(53791,2000166,6,100,'Inflicts 270 - 450 ranged damage on target',0,3),
(53792,2000166,6,100,'If Bow equipped in Ranged',0,4),
(53793,2000166,7,100,'Applies Infuriated.',0,0),
(53794,2000166,7,100,'Increases Threat to target by 16,747 ',1,1),
(53795,2000166,7,100,'Must be engaged in combat',1,2),
(53796,2000166,7,100,'Inflicts 426 - 711 ranged damage on target',0,3),
(53797,2000166,7,100,'If Aim or Bow equipped in Ranged',0,4),
(53798,2000166,8,100,'Applies Infuriated.',0,0),
(53799,2000166,8,100,'Increases Threat to target by 16,645 ',1,1),
(53800,2000166,8,100,'Must be engaged in combat',1,2),
(53801,2000166,8,100,'Inflicts 322 - 536 ranged damage on target',0,3),
(53802,2000166,8,100,'If Bow equipped in Ranged',0,4),
(53803,2000166,9,100,'Applies Infuriated.',0,0),
(53804,2000166,9,100,'Increases Threat to target by 17,378 ',1,1),
(53805,2000166,9,100,'Must be engaged in combat',1,2),
(53806,2000166,9,100,'Inflicts 443 - 738 ranged damage on target',0,3),
(53807,2000166,9,100,'If Aim or Bow equipped in Ranged',0,4),
(53808,2000166,10,100,'Applies Infuriated.',0,0),
(53809,2000166,10,100,'Increases Threat to target by 18,220 ',1,1),
(53810,2000166,10,100,'Must be engaged in combat',1,2),
(53811,2000166,10,100,'Inflicts 465 - 775 ranged damage on target',0,3),
(53812,2000166,10,100,'If Aim or Bow equipped in Ranged',0,4),
(53813,70118,1,100,'Inflicts 8 - 14 heat damage on target',0,0),
(53814,70118,2,100,'Inflicts 9 - 15 heat damage on target',0,0),
(53815,70118,3,100,'Inflicts 9 - 16 heat damage on target',0,0),
(53816,70118,4,100,'Inflicts 10 - 17 heat damage on target',0,0),
(53817,70118,5,100,'Inflicts 11 - 19 heat damage on target',0,0),
(53818,70118,7,100,'Inflicts 15 - 25 heat damage on target',0,0),
(53819,70118,9,100,'Inflicts 15 - 26 heat damage on target',0,0),
(53820,70119,1,100,'Inflicts 64 - 107 heat damage on target',0,0),
(53821,70119,2,100,'Inflicts 68 - 113 heat damage on target',0,0),
(53822,70119,3,100,'Inflicts 71 - 119 heat damage on target',0,0),
(53823,70119,4,100,'Inflicts 78 - 131 heat damage on target',0,0),
(53824,70119,5,100,'Inflicts 86 - 143 heat damage on target',0,0),
(53825,70119,7,100,'Inflicts 110 - 184 heat damage on target',0,0),
(53826,70119,9,100,'Inflicts 114 - 191 heat damage on target',0,0),
(53827,70120,1,100,'Inflicts 124 - 208 heat damage on target',0,0),
(53828,70120,2,100,'Inflicts 131 - 219 heat damage on target',0,0),
(53829,70120,3,100,'Inflicts 138 - 231 heat damage on target',0,0),
(53830,70120,4,100,'Inflicts 152 - 254 heat damage on target',0,0),
(53831,70120,5,100,'Inflicts 166 - 277 heat damage on target',0,0),
(53832,70120,7,100,'Inflicts 213 - 356 heat damage on target',0,0),
(53833,70120,9,100,'Inflicts 222 - 370 heat damage on target',0,0),
(53834,70121,1,100,'Inflicts 192 - 321 heat damage on target',0,0),
(53835,70121,2,100,'Inflicts 203 - 339 heat damage on target',0,0),
(53836,70121,3,100,'Inflicts 214 - 357 heat damage on target',0,0),
(53837,70121,4,100,'Inflicts 235 - 393 heat damage on target',0,0),
(53838,70121,5,100,'Inflicts 257 - 428 heat damage on target',0,0),
(53839,70121,7,100,'Inflicts 330 - 550 heat damage on target',0,0),
(53840,70121,9,100,'Inflicts 342 - 571 heat damage on target',0,0),
(53841,70122,1,100,'Inflicts 271 - 451 heat damage on target',0,0),
(53842,70122,2,100,'Inflicts 286 - 476 heat damage on target',0,0),
(53843,70122,3,100,'Inflicts 301 - 501 heat damage on target',0,0),
(53844,70122,4,100,'Inflicts 331 - 552 heat damage on target',0,0),
(53845,70122,5,100,'Inflicts 361 - 602 heat damage on target',0,0),
(53846,70122,7,100,'Inflicts 463 - 772 heat damage on target',0,0),
(53847,70122,9,100,'Inflicts 481 - 803 heat damage on target',0,0),
(53848,70123,1,100,'Inflicts 353 - 589 heat damage on target',0,0),
(53849,70123,2,100,'Inflicts 373 - 621 heat damage on target',0,0),
(53850,70123,3,100,'Inflicts 392 - 654 heat damage on target',0,0),
(53851,70123,4,100,'Inflicts 432 - 720 heat damage on target',0,0),
(53852,70123,5,100,'Inflicts 471 - 785 heat damage on target',0,0),
(53853,70123,7,100,'Inflicts 604 - 1008 heat damage on target',0,0),
(53854,70123,9,100,'Inflicts 628 - 1047 heat damage on target',0,0),
(53855,70124,1,100,'Inflicts 427 - 712 heat damage on target',0,0),
(53856,70124,4,100,'Inflicts 522 - 870 heat damage on target',0,0),
(53857,70124,5,100,'Inflicts 570 - 950 heat damage on target',0,0),
(53858,70124,7,100,'Inflicts 731 - 1219 heat damage on target',0,0),
(53859,70124,9,100,'Inflicts 760 - 1266 heat damage on target',0,0),
(53860,70125,1,100,'Inflicts 493 - 822 heat damage on target',0,0),
(53861,70125,4,100,'Inflicts 603 - 1005 heat damage on target',0,0),
(53862,70125,5,100,'Inflicts 658 - 1097 heat damage on target',0,0),
(53863,70125,7,100,'Inflicts 844 - 1407 heat damage on target',0,0),
(53864,70125,9,100,'Inflicts 877 - 1462 heat damage on target',0,0),
(53865,390097,1,100,'Inflicts 170 - 284 ranged damage on target',0,0),
(53866,390097,1,100,'Requires you to currently have line of sight or to have acquired the target with line of sight',0,1),
(53867,390097,1,100,'Requires bow or aim',0,2),
(53868,390097,2,100,'Inflicts 179 - 299 ranged damage on target',0,0),
(53869,390097,2,100,'Requires you to currently have line of sight or to have acquired the target with line of sight',0,1),
(53870,390097,2,100,'Requires bow or aim',0,2),
(53871,390097,3,100,'Inflicts 189 - 315 ranged damage on target',0,0),
(53872,390097,3,100,'Requires you to currently have line of sight or to have acquired the target with line of sight',0,1),
(53873,390097,3,100,'Requires bow or aim',0,2),
(53874,390097,4,100,'Inflicts 208 - 347 ranged damage on target',0,0),
(53875,390097,4,100,'Requires you to currently have line of sight or to have acquired the target with line of sight',0,1),
(53876,390097,4,100,'Requires bow or aim',0,2),
(53877,390097,5,100,'Inflicts 227 - 378 ranged damage on target',0,0),
(53878,390097,5,100,'Requires you to currently have line of sight or to have acquired the target with line of sight',0,1),
(53879,390097,5,100,'Requires bow or aim',0,2),
(53880,390097,7,100,'Inflicts 291 - 486 ranged damage on target',0,0),
(53881,390097,7,100,'Requires you to currently have line of sight or to have acquired the target with line of sight',0,1),
(53882,390097,7,100,'Requires bow or aim',0,2),
(53883,390097,9,100,'Inflicts 303 - 505 ranged damage on target',0,0),
(53884,390097,9,100,'Requires you to currently have line of sight or to have acquired the target with line of sight',0,1),
(53885,390097,9,100,'Requires bow or aim',0,2),
(53886,390097,10,100,'Inflicts 318 - 530 ranged damage on target',0,0),
(53887,390097,10,100,'Requires you to currently have line of sight or to have acquired the target with line of sight',0,1),
(53888,390097,10,100,'Requires bow or aim',0,2),
(53889,390098,1,100,'Inflicts 261 - 436 ranged damage on target',0,0),
(53890,390098,1,100,'Requires you to currently have line of sight or to have acquired the target with line of sight',0,1),
(53891,390098,1,100,'Requires bow or aim',0,2),
(53892,390098,2,100,'Inflicts 276 - 460 ranged damage on target',0,0),
(53893,390098,2,100,'Requires you to currently have line of sight or to have acquired the target with line of sight',0,1),
(53894,390098,2,100,'Requires bow or aim',0,2),
(53895,390098,3,100,'Inflicts 290 - 484 ranged damage on target',0,0),
(53896,390098,3,100,'Requires you to currently have line of sight or to have acquired the target with line of sight',0,1),
(53897,390098,3,100,'Requires bow or aim',0,2),
(53898,390098,4,100,'Inflicts 319 - 533 ranged damage on target',0,0),
(53899,390098,4,100,'Requires you to currently have line of sight or to have acquired the target with line of sight',0,1),
(53900,390098,4,100,'Requires bow or aim',0,2),
(53901,390098,5,100,'Inflicts 348 - 581 ranged damage on target',0,0),
(53902,390098,5,100,'Requires you to currently have line of sight or to have acquired the target with line of sight',0,1),
(53903,390098,5,100,'Requires bow or aim',0,2),
(53904,390098,7,100,'Inflicts 447 - 746 ranged damage on target',0,0),
(53905,390098,7,100,'Requires you to currently have line of sight or to have acquired the target with line of sight',0,1),
(53906,390098,7,100,'Requires bow or aim',0,2),
(53907,390098,9,100,'Inflicts 465 - 775 ranged damage on target',0,0),
(53908,390098,9,100,'Requires you to currently have line of sight or to have acquired the target with line of sight',0,1),
(53909,390098,9,100,'Requires bow or aim',0,2),
(53910,390099,1,100,'Inflicts 364 - 607 ranged damage on target',0,0),
(53911,390099,1,100,'Requires you to currently have line of sight or to have acquired the target with line of sight',0,1),
(53912,390099,1,100,'Requires bow or aim',0,2),
(53913,390099,2,100,'Inflicts 384 - 641 ranged damage on target',0,0),
(53914,390099,2,100,'Requires you to currently have line of sight or to have acquired the target with line of sight',0,1),
(53915,390099,2,100,'Requires bow or aim',0,2),
(53916,390099,3,100,'Inflicts 405 - 675 ranged damage on target',0,0),
(53917,390099,3,100,'Requires you to currently have line of sight or to have acquired the target with line of sight',0,1),
(53918,390099,3,100,'Requires bow or aim',0,2),
(53919,390099,4,100,'Inflicts 445 - 742 ranged damage on target',0,0),
(53920,390099,4,100,'Requires you to currently have line of sight or to have acquired the target with line of sight',0,1),
(53921,390099,4,100,'Requires bow or aim',0,2),
(53922,390099,5,100,'Inflicts 486 - 810 ranged damage on target',0,0),
(53923,390099,5,100,'Requires you to currently have line of sight or to have acquired the target with line of sight',0,1),
(53924,390099,5,100,'Requires bow or aim',0,2),
(53925,390099,7,100,'Inflicts 623 - 1039 ranged damage on target',0,0),
(53926,390099,7,100,'Requires you to currently have line of sight or to have acquired the target with line of sight',0,1),
(53927,390099,7,100,'Requires bow or aim',0,2),
(53928,390099,9,100,'Inflicts 648 - 1080 ranged damage on target',0,0),
(53929,390099,9,100,'Requires you to currently have line of sight or to have acquired the target with line of sight',0,1),
(53930,390099,9,100,'Requires bow or aim',0,2),
(53931,390100,1,100,'Inflicts 466 - 776 ranged damage on target',0,0),
(53932,390100,1,100,'Requires you to currently have line of sight or to have acquired the target with line of sight',0,1),
(53933,390100,1,100,'Requires bow or aim',0,2),
(53934,390100,2,100,'Inflicts 491 - 819 ranged damage on target',0,0),
(53935,390100,2,100,'Requires you to currently have line of sight or to have acquired the target with line of sight',0,1),
(53936,390100,2,100,'Requires bow or aim',0,2),
(53937,390100,3,100,'Inflicts 517 - 863 ranged damage on target',0,0),
(53938,390100,3,100,'Requires you to currently have line of sight or to have acquired the target with line of sight',0,1),
(53939,390100,3,100,'Requires bow or aim',0,2),
(53940,390100,4,100,'Inflicts 569 - 949 ranged damage on target',0,0),
(53941,390100,4,100,'Requires you to currently have line of sight or to have acquired the target with line of sight',0,1),
(53942,390100,4,100,'Requires bow or aim',0,2),
(53943,390100,5,100,'Inflicts 621 - 1035 ranged damage on target',0,0),
(53944,390100,5,100,'Requires you to currently have line of sight or to have acquired the target with line of sight',0,1),
(53945,390100,5,100,'Requires bow or aim',0,2),
(53946,390100,7,100,'Inflicts 797 - 1329 ranged damage on target',0,0),
(53947,390100,7,100,'Requires you to currently have line of sight or to have acquired the target with line of sight',0,1),
(53948,390100,7,100,'Requires bow or aim',0,2),
(53949,390100,9,100,'Inflicts 828 - 1380 ranged damage on target',0,0),
(53950,390100,9,100,'Requires you to currently have line of sight or to have acquired the target with line of sight',0,1),
(53951,390100,9,100,'Requires bow or aim',0,2),
(53952,390101,1,100,'Inflicts 563 - 939 ranged damage on target',0,0),
(53953,390101,1,100,'Requires you to currently have line of sight or to have acquired the target with line of sight',0,1),
(53954,390101,1,100,'Requires bow or aim',0,2),
(53955,390101,4,100,'Inflicts 688 - 1148 ranged damage on target',0,0),
(53956,390101,4,100,'Requires you to currently have line of sight or to have acquired the target with line of sight',0,1),
(53957,390101,4,100,'Requires bow or aim',0,2),
(53958,390101,5,100,'Inflicts 751 - 1252 ranged damage on target',0,0),
(53959,390101,5,100,'Requires you to currently have line of sight or to have acquired the target with line of sight',0,1),
(53960,390101,5,100,'Requires bow or aim',0,2),
(53961,390101,7,100,'Inflicts 964 - 1607 ranged damage on target',0,0),
(53962,390101,7,100,'Requires you to currently have line of sight or to have acquired the target with line of sight',0,1),
(53963,390101,7,100,'Requires bow or aim',0,2),
(53964,390101,9,100,'Inflicts 1001 - 1669 ranged damage on target',0,0),
(53965,390101,9,100,'Requires you to currently have line of sight or to have acquired the target with line of sight',0,1),
(53966,390101,9,100,'Requires bow or aim',0,2),
(53967,390101,10,100,'Inflicts 1052 - 1753 ranged damage on target',0,0),
(53968,390101,10,100,'Requires you to currently have line of sight or to have acquired the target with line of sight',0,1),
(53969,390101,10,100,'Requires bow or aim',0,2),
(53970,390102,1,100,'Inflicts 650 - 1084 ranged damage on target',0,0),
(53971,390102,1,100,'Requires you to currently have line of sight or to have acquired the target with line of sight',0,1),
(53972,390102,1,100,'Requires bow or aim',0,2),
(53973,390102,4,100,'Inflicts 795 - 1325 ranged damage on target',0,0),
(53974,390102,4,100,'Requires you to currently have line of sight or to have acquired the target with line of sight',0,1),
(53975,390102,4,100,'Requires bow or aim',0,2),
(53976,390102,5,100,'Inflicts 867 - 1446 ranged damage on target',0,0),
(53977,390102,5,100,'Requires you to currently have line of sight or to have acquired the target with line of sight',0,1),
(53978,390102,5,100,'Requires bow or aim',0,2),
(53979,390102,7,100,'Inflicts 1113 - 1855 ranged damage on target',0,0),
(53980,390102,7,100,'Requires you to currently have line of sight or to have acquired the target with line of sight',0,1),
(53981,390102,7,100,'Requires bow or aim',0,2),
(53982,390102,9,100,'Inflicts 1156 - 1928 ranged damage on target',0,0),
(53983,390102,9,100,'Requires you to currently have line of sight or to have acquired the target with line of sight',0,1),
(53984,390102,9,100,'Requires bow or aim',0,2),
(53985,390102,10,100,'Inflicts 1214 - 2024 ranged damage on target',0,0),
(53986,390102,10,100,'Requires you to currently have line of sight or to have acquired the target with line of sight',0,1),
(53987,390102,10,100,'Requires bow or aim',0,2),
(53988,370023,1,100,'Inflicts 11 - 19 melee damage on target',0,0),
(53989,370023,1,100,'Decreases WIS of target by 5.0',0,1),
(53990,370023,1,100,'You must be sneaking to use this ability.',0,2),
(53991,370023,2,100,'Inflicts 12 - 20 melee damage on target',0,0),
(53992,370023,2,100,'Decreases WIS of target by 5.3',0,1),
(53993,370023,2,100,'You must be sneaking to use this ability.',0,2),
(53994,370023,3,100,'Inflicts 13 - 21 melee damage on target',0,0),
(53995,370023,3,100,'Decreases WIS of target by 5.6',0,1),
(53996,370023,3,100,'You must be sneaking to use this ability.',0,2),
(53997,370023,4,100,'Inflicts 14 - 23 melee damage on target',0,0),
(53998,370023,4,100,'Decreases WIS of target by 6.2',0,1),
(53999,370023,4,100,'You must be sneaking to use this ability.',0,2),
(54000,370023,5,100,'Inflicts 15 - 26 melee damage on target',0,0),
(54001,370023,5,100,'Decreases WIS of target by 6.7',0,1),
(54002,370023,5,100,'You must be sneaking to use this ability.',0,2),
(54003,370023,7,100,'Inflicts 20 - 33 melee damage on target',0,0),
(54004,370023,7,100,'Decreases WIS of target by 8.6',0,1),
(54005,370023,7,100,'You must be sneaking to use this ability.',0,2),
(54006,370023,9,100,'Inflicts 20 - 34 melee damage on target',0,0),
(54007,370023,9,100,'Decreases WIS of target by 9.0',0,1),
(54008,370023,9,100,'You must be sneaking to use this ability.',0,2),
(54009,370024,1,100,'Inflicts 46 - 77 melee damage on target',0,0),
(54010,370024,1,100,'Decreases WIS of target by 6.9',0,1),
(54011,370024,1,100,'You must be sneaking to use this ability.',0,2),
(54012,370024,2,100,'Inflicts 49 - 81 melee damage on target',0,0),
(54013,370024,2,100,'Decreases WIS of target by 7.3',0,1),
(54014,370024,2,100,'You must be sneaking to use this ability.',0,2),
(54015,370024,3,100,'Inflicts 51 - 86 melee damage on target',0,0),
(54016,370024,3,100,'Decreases WIS of target by 7.7',0,1),
(54017,370024,3,100,'You must be sneaking to use this ability.',0,2),
(54018,370024,4,100,'Inflicts 56 - 94 melee damage on target',0,0),
(54019,370024,4,100,'Decreases WIS of target by 8.5',0,1),
(54020,370024,4,100,'You must be sneaking to use this ability.',0,2),
(54021,370024,5,100,'Inflicts 62 - 103 melee damage on target',0,0),
(54022,370024,5,100,'Decreases WIS of target by 9.2',0,1),
(54023,370024,5,100,'You must be sneaking to use this ability.',0,2),
(54024,370024,7,100,'Inflicts 79 - 132 melee damage on target',0,0),
(54025,370024,7,100,'Decreases WIS of target by 11.9',0,1),
(54026,370024,7,100,'You must be sneaking to use this ability.',0,2),
(54027,370024,9,100,'Inflicts 82 - 137 melee damage on target',0,0),
(54028,370024,9,100,'Decreases WIS of target by 12.3',0,1),
(54029,370024,9,100,'You must be sneaking to use this ability.',0,2),
(54030,370025,1,100,'Inflicts 106 - 178 melee damage on target',0,0),
(54031,370025,1,100,'Decreases WIS of target by 15.0',0,1),
(54032,370025,1,100,'You must be sneaking to use this ability.',0,2),
(54033,370025,2,100,'Inflicts 112 - 188 melee damage on target',0,0),
(54034,370025,2,100,'Decreases WIS of target by 15.9',0,1),
(54035,370025,2,100,'You must be sneaking to use this ability.',0,2),
(54036,370025,3,100,'Inflicts 118 - 198 melee damage on target',0,0),
(54037,370025,3,100,'Decreases WIS of target by 16.7',0,1),
(54038,370025,3,100,'You must be sneaking to use this ability.',0,2),
(54039,370025,4,100,'Inflicts 130 - 217 melee damage on target',0,0),
(54040,370025,4,100,'Decreases WIS of target by 18.4',0,1),
(54041,370025,4,100,'You must be sneaking to use this ability.',0,2),
(54042,370025,5,100,'Inflicts 142 - 237 melee damage on target',0,0),
(54043,370025,5,100,'Decreases WIS of target by 20.0',0,1),
(54044,370025,5,100,'You must be sneaking to use this ability.',0,2),
(54045,370025,7,100,'Inflicts 182 - 304 melee damage on target',0,0),
(54046,370025,7,100,'Decreases WIS of target by 25.7',0,1),
(54047,370025,7,100,'You must be sneaking to use this ability.',0,2),
(54048,370025,9,100,'Inflicts 190 - 316 melee damage on target',0,0),
(54049,370025,9,100,'Decreases WIS of target by 26.7',0,1),
(54050,370025,9,100,'You must be sneaking to use this ability.',0,2),
(54051,370026,1,100,'Inflicts 190 - 317 melee damage on target',0,0),
(54052,370026,1,100,'Decreases WIS of target by 24.3',0,1),
(54053,370026,1,100,'You must be sneaking to use this ability.',0,2),
(54054,370026,2,100,'Inflicts 200 - 334 melee damage on target',0,0),
(54055,370026,2,100,'Decreases WIS of target by 25.6',0,1),
(54056,370026,2,100,'You must be sneaking to use this ability.',0,2),
(54057,370026,3,100,'Inflicts 211 - 352 melee damage on target',0,0),
(54058,370026,3,100,'Decreases WIS of target by 27.0',0,1),
(54059,370026,3,100,'You must be sneaking to use this ability.',0,2),
(54060,370026,4,100,'Inflicts 232 - 387 melee damage on target',0,0),
(54061,370026,4,100,'Decreases WIS of target by 29.7',0,1),
(54062,370026,4,100,'You must be sneaking to use this ability.',0,2),
(54063,370026,5,100,'Inflicts 253 - 422 melee damage on target',0,0),
(54064,370026,5,100,'Decreases WIS of target by 32.4',0,1),
(54065,370026,5,100,'You must be sneaking to use this ability.',0,2),
(54066,370026,7,100,'Inflicts 325 - 542 melee damage on target',0,0),
(54067,370026,7,100,'Decreases WIS of target by 41.6',0,1),
(54068,370026,7,100,'You must be sneaking to use this ability.',0,2),
(54069,370026,9,100,'Inflicts 338 - 563 melee damage on target',0,0),
(54070,370026,9,100,'Decreases WIS of target by 43.2',0,1),
(54071,370026,9,100,'You must be sneaking to use this ability.',0,2),
(54072,370027,1,100,'Inflicts 665 - 1109 melee damage on target',0,0),
(54073,370027,1,100,'Decreases WIS of target by 74.2',0,1),
(54074,370027,1,100,'You must be sneaking to use this ability.',0,2),
(54075,370027,4,100,'Inflicts 813 - 1356 melee damage on target',0,0),
(54076,370027,4,100,'Decreases WIS of target by 90.7',0,1),
(54077,370027,4,100,'You must be sneaking to use this ability.',0,2),
(54078,370027,5,100,'Inflicts 887 - 1479 melee damage on target',0,0),
(54079,370027,5,100,'Decreases WIS of target by 99.0',0,1),
(54080,370027,5,100,'You must be sneaking to use this ability.',0,2),
(54081,370027,7,100,'Inflicts 1139 - 1898 melee damage on target',0,0),
(54082,370027,7,100,'Decreases WIS of target by 127.0',0,1),
(54083,370027,7,100,'You must be sneaking to use this ability.',0,2),
(54084,370027,9,100,'Inflicts 1183 - 1972 melee damage on target',0,0),
(54085,370027,9,100,'Decreases WIS of target by 132.0',0,1),
(54086,370027,9,100,'You must be sneaking to use this ability.',0,2),
(54087,370028,1,100,'Inflicts 286 - 478 melee damage on target',0,0),
(54088,370028,1,100,'Decreases WIS of target by 34.4',0,1),
(54089,370028,1,100,'You must be sneaking to use this ability.',0,2),
(54090,370028,2,100,'Inflicts 302 - 504 melee damage on target',0,0),
(54091,370028,2,100,'Decreases WIS of target by 36.3',0,1),
(54092,370028,2,100,'You must be sneaking to use this ability.',0,2),
(54093,370028,3,100,'Inflicts 318 - 531 melee damage on target',0,0),
(54094,370028,3,100,'Decreases WIS of target by 38.2',0,1),
(54095,370028,3,100,'You must be sneaking to use this ability.',0,2),
(54096,370028,4,100,'Inflicts 350 - 584 melee damage on target',0,0),
(54097,370028,4,100,'Decreases WIS of target by 42.0',0,1),
(54098,370028,4,100,'You must be sneaking to use this ability.',0,2),
(54099,370028,5,100,'Inflicts 382 - 637 melee damage on target',0,0),
(54100,370028,5,100,'Decreases WIS of target by 45.8',0,1),
(54101,370028,5,100,'You must be sneaking to use this ability.',0,2),
(54102,370028,7,100,'Inflicts 490 - 818 melee damage on target',0,0),
(54103,370028,7,100,'Decreases WIS of target by 58.8',0,1),
(54104,370028,7,100,'You must be sneaking to use this ability.',0,2),
(54105,370028,9,100,'Inflicts 510 - 850 melee damage on target',0,0),
(54106,370028,9,100,'Decreases WIS of target by 61.1',0,1),
(54107,370028,9,100,'You must be sneaking to use this ability.',0,2),
(54108,370029,1,100,'Inflicts 390 - 651 melee damage on target',0,0),
(54109,370029,1,100,'Decreases WIS of target by 44.5',0,1),
(54110,370029,1,100,'You must be sneaking to use this ability.',0,2),
(54111,370029,2,100,'Inflicts 412 - 687 melee damage on target',0,0),
(54112,370029,2,100,'Decreases WIS of target by 46.9',0,1),
(54113,370029,2,100,'You must be sneaking to use this ability.',0,2),
(54114,370029,3,100,'Inflicts 434 - 723 melee damage on target',0,0),
(54115,370029,3,100,'Decreases WIS of target by 49.4',0,1),
(54116,370029,3,100,'You must be sneaking to use this ability.',0,2),
(54117,370029,4,100,'Inflicts 477 - 796 melee damage on target',0,0),
(54118,370029,4,100,'Decreases WIS of target by 54.3',0,1),
(54119,370029,4,100,'You must be sneaking to use this ability.',0,2),
(54120,370029,5,100,'Inflicts 521 - 868 melee damage on target',0,0),
(54121,370029,5,100,'Decreases WIS of target by 59.3',0,1),
(54122,370029,5,100,'You must be sneaking to use this ability.',0,2),
(54123,370029,7,100,'Inflicts 668 - 1114 melee damage on target',0,0),
(54124,370029,7,100,'Decreases WIS of target by 76.1',0,1),
(54125,370029,7,100,'You must be sneaking to use this ability.',0,2),
(54126,370029,9,100,'Inflicts 694 - 1158 melee damage on target',0,0),
(54127,370029,9,100,'Decreases WIS of target by 79.0',0,1),
(54128,370029,9,100,'You must be sneaking to use this ability.',0,2),
(54129,370030,1,100,'Inflicts 490 - 816 melee damage on target',0,0),
(54130,370030,1,100,'Decreases WIS of target by 54.4',0,1),
(54131,370030,1,100,'You must be sneaking to use this ability.',0,2),
(54132,370030,2,100,'Inflicts 517 - 862 melee damage on target',0,0),
(54133,370030,2,100,'Decreases WIS of target by 57.5',0,1),
(54134,370030,2,100,'You must be sneaking to use this ability.',0,2),
(54135,370030,3,100,'Inflicts 544 - 907 melee damage on target',0,0),
(54136,370030,3,100,'Decreases WIS of target by 60.5',0,1),
(54137,370030,3,100,'You must be sneaking to use this ability.',0,2),
(54138,370030,4,100,'Inflicts 598 - 998 melee damage on target',0,0),
(54139,370030,4,100,'Decreases WIS of target by 66.6',0,1),
(54140,370030,4,100,'You must be sneaking to use this ability.',0,2),
(54141,370030,5,100,'Inflicts 653 - 1088 melee damage on target',0,0),
(54142,370030,5,100,'Decreases WIS of target by 72.6',0,1),
(54143,370030,5,100,'You must be sneaking to use this ability.',0,2),
(54144,370030,7,100,'Inflicts 838 - 1397 melee damage on target',0,0),
(54145,370030,7,100,'Decreases WIS of target by 93.2',0,1),
(54146,370030,7,100,'You must be sneaking to use this ability.',0,2),
(54147,370030,9,100,'Inflicts 871 - 1451 melee damage on target',0,0),
(54148,370030,9,100,'Decreases WIS of target by 96.8',0,1),
(54149,370030,9,100,'You must be sneaking to use this ability.',0,2),
(54150,370031,1,100,'Inflicts 591 - 986 melee damage on target',0,0),
(54151,370031,1,100,'Decreases WIS of target by 64.3',0,1),
(54152,370031,1,100,'You must be sneaking to use this ability.',0,2),
(54153,370031,4,100,'Inflicts 723 - 1205 melee damage on target',0,0),
(54154,370031,4,100,'Decreases WIS of target by 78.7',0,1),
(54155,370031,4,100,'You must be sneaking to use this ability.',0,2),
(54156,370031,5,100,'Inflicts 788 - 1314 melee damage on target',0,0),
(54157,370031,5,100,'Decreases WIS of target by 85.8',0,1),
(54158,370031,5,100,'You must be sneaking to use this ability.',0,2),
(54159,370031,7,100,'Inflicts 1012 - 1687 melee damage on target',0,0),
(54160,370031,7,100,'Decreases WIS of target by 110.1',0,1),
(54161,370031,7,100,'You must be sneaking to use this ability.',0,2),
(54162,370031,9,100,'Inflicts 1051 - 1752 melee damage on target',0,0),
(54163,370031,9,100,'Decreases WIS of target by 114.4',0,1),
(54164,370031,9,100,'You must be sneaking to use this ability.',0,2),
(54165,40134,4,100,'Interrupts target',0,0),
(54166,40134,4,100,'Increases Threat to target by 166 - 202 ',0,1),
(54167,40134,5,100,'Interrupts target',0,0),
(54168,40134,5,100,'Increases Threat to target by 181 - 221 ',0,1),
(54169,40134,7,100,'Interrupts target',0,0),
(54170,40134,7,100,'Increases Threat to target by 232 - 284 ',0,1),
(54171,40134,9,100,'Interrupts target',0,0),
(54172,40134,9,100,'Increases Threat to target by 241 - 295 ',0,1),
(54173,40135,2,100,'Interrupts target',0,0),
(54174,40135,2,100,'Increases Threat to target by 552 - 675 ',0,1),
(54175,40135,3,100,'Interrupts target',0,0),
(54176,40135,3,100,'Increases Threat to target by 581 - 710 ',0,1),
(54177,40135,4,100,'Interrupts target',0,0),
(54178,40135,4,100,'Increases Threat to target by 639 - 781 ',0,1),
(54179,40135,5,100,'Interrupts target',0,0),
(54180,40135,5,100,'Increases Threat to target by 697 - 852 ',0,1),
(54181,40135,7,100,'Interrupts target',0,0),
(54182,40135,7,100,'Increases Threat to target by 895 - 1,094 ',0,1),
(54183,40135,9,100,'Interrupts target',0,0),
(54184,40135,9,100,'Increases Threat to target by 930 - 1,137 ',0,1),
(54185,40136,1,100,'Interrupts target',0,0),
(54186,40136,1,100,'Increases Threat to target by 977 - 1,194 ',0,1),
(54187,40136,2,100,'Interrupts target',0,0),
(54188,40136,2,100,'Increases Threat to target by 1,031 - 1,260 ',0,1),
(54189,40136,3,100,'Interrupts target',0,0),
(54190,40136,3,100,'Increases Threat to target by 1,085 - 1,305 ',0,1),
(54191,40136,4,100,'Interrupts target',0,0),
(54192,40136,4,100,'Increases Threat to target by 1,194 - 1,382 ',0,1),
(54193,40136,5,100,'Interrupts target',0,0),
(54194,40136,5,100,'Increases Threat to target by 1,292 - 1,459 ',0,1),
(54195,40136,7,100,'Interrupts target',0,0),
(54196,40136,7,100,'Increases Threat to target by 1505 - 1719 ',0,1),
(54197,40136,9,100,'Interrupts target',0,0),
(54198,40136,9,100,'Increases Threat to target by 1,542 - 1,765 ',0,1),
(54199,40137,1,100,'Interrupts target',0,0),
(54200,40137,1,100,'Increases Threat to target by 1,653 - 1,900 ',0,1),
(54201,40137,2,100,'Interrupts target',0,0),
(54202,40137,2,100,'Increases Threat to target by 1,715 - 1,976 ',0,1),
(54203,40137,3,100,'Interrupts target',0,0),
(54204,40137,3,100,'Increases Threat to target by 1,777 - 2,052 ',0,1),
(54205,40137,4,100,'Interrupts target',0,0),
(54206,40137,4,100,'Increases Threat to target by 1,900 - 2,203 ',0,1),
(54207,40137,5,100,'Interrupts target',0,0),
(54208,40137,5,100,'Increases Threat to target by 2,024 - 2,354 ',0,1),
(54209,40137,7,100,'Interrupts target',0,0),
(54210,40137,7,100,'Increases Threat to target by 2,445 - 2,868 ',0,1),
(54211,40137,9,100,'Interrupts target',0,0),
(54212,40137,9,100,'Increases Threat to target by 2,519 - 2,959 ',0,1),
(54213,40137,10,100,'Interrupts target',0,0),
(54214,40137,10,100,'Increases Threat to target by 2,618 - 3,080 ',0,1),
(54215,40138,1,100,'Interrupts target',0,0),
(54216,40138,1,100,'Increases Threat to target by 5,519 - 6,625 ',0,1),
(54217,40138,4,100,'Interrupts target',0,0),
(54218,40138,4,100,'Increases Threat to target by 6,625 - 7,978 ',0,1),
(54219,40138,5,100,'Interrupts target',0,0),
(54220,40138,5,100,'Increases Threat to target by 7,179 - 8,654 ',0,1),
(54221,40138,7,100,'Interrupts target',0,0),
(54222,40138,7,100,'Increases Threat to target by 9,060 - 10,953 ',0,1),
(54223,40138,9,100,'Interrupts target',0,0),
(54224,40138,9,100,'Increases Threat to target by 9,392 - 11,359 ',0,1),
(54227,40139,1,100,'Interrupts target',0,0),
(54228,40139,1,100,'Increases Threat to target by 2,310 - 2,703 ',0,1),
(54229,40139,2,100,'Interrupts target',0,0),
(54230,40139,2,100,'Increases Threat to target by 2,408 - 2,824 ',0,1),
(54231,40139,3,100,'Interrupts target',0,0),
(54232,40139,3,100,'Increases Threat to target by 2,507 - 2,944 ',0,1),
(54233,40139,4,100,'Interrupts target',0,0),
(54234,40139,4,100,'Increases Threat to target by 2,703 - 3,184 ',0,1),
(54235,40139,5,100,'Interrupts target',0,0),
(54236,40139,5,100,'Increases Threat to target by 2,900 - 3,425 ',0,1),
(54237,40139,7,100,'Interrupts target',0,0),
(54238,40139,7,100,'Increases Threat to target by 3,569 - 4,242 ',0,1),
(54239,40139,9,100,'Interrupts target',0,0),
(54240,40139,9,100,'Increases Threat to target by 3,687 - 4,386 ',0,1),
(54241,40140,1,100,'Interrupts target',0,0),
(54242,40140,1,100,'Increases Threat to target by 3,092 - 3,660 ',0,1),
(54243,40140,2,100,'Interrupts target',0,0),
(54244,40140,2,100,'Increases Threat to target by 3,234 - 3,833 ',0,1),
(54245,40140,3,100,'Interrupts target',0,0),
(54246,40140,3,100,'Increases Threat to target by 3,376 - 4,006 ',0,1),
(54247,40140,4,100,'Interrupts target',0,0),
(54248,40140,4,100,'Increases Threat to target by 3,660 - 4,353 ',0,1),
(54249,40140,5,100,'Interrupts target',0,0),
(54250,40140,5,100,'Increases Threat to target by 3,943 - 4,700 ',0,1),
(54251,40140,7,100,'Interrupts target',0,0),
(54252,40140,7,100,'Increases Threat to target by 4,908 - 5,879 ',0,1),
(54253,40140,9,100,'Interrupts target',0,0),
(54254,40140,9,100,'Increases Threat to target by 5,078 - 6,087 ',0,1),
(54255,40141,1,100,'Interrupts target',0,0),
(54256,40141,1,100,'Increases Threat to target by 3,896 - 4,642 ',0,1),
(54257,40141,2,100,'Interrupts target',0,0),
(54258,40141,2,100,'Increases Threat to target by 4,082 - 4,869 ',0,1),
(54259,40141,3,100,'Interrupts target',0,0),
(54260,40141,3,100,'Increases Threat to target by 4,269 - 5,097 ',0,1),
(54261,40141,4,100,'Interrupts target',0,0),
(54262,40141,4,100,'Increases Threat to target by 4,642 - 5,553 ',0,1),
(54263,40141,5,100,'Interrupts target',0,0),
(54264,40141,5,100,'Increases Threat to target by 5,014 - 6,009 ',0,1),
(54265,40141,7,100,'Interrupts target',0,0),
(54266,40141,7,100,'Increases Threat to target by 6,282 - 7,559 ',0,1),
(54267,40141,9,100,'Interrupts target',0,0),
(54268,40141,9,100,'Increases Threat to target by 6,506 - 7,832 ',0,1),
(54269,40141,10,100,'Interrupts target',0,0),
(54270,40141,10,100,'Increases Threat to target by 6,804 - 8,197 ',0,1),
(54271,40142,1,100,'Interrupts target',0,0),
(54272,40142,1,100,'Increases Threat to target by 4,707 - 5,634 ',0,1),
(54273,40142,4,100,'Interrupts target',0,0),
(54274,40142,4,100,'Increases Threat to target by 5,634 - 6,766 ',0,1),
(54275,40142,5,100,'Interrupts target',0,0),
(54276,40142,5,100,'Increases Threat to target by 6,097 - 7,332 ',0,1),
(54277,40142,7,100,'Interrupts target',0,0),
(54278,40142,7,100,'Increases Threat to target by 7,671 - 9,256 ',0,1),
(54279,40142,9,100,'Interrupts target',0,0),
(54280,40142,9,100,'Increases Threat to target by 7,949 - 9,596 ',0,1),
(54283,30110,1,100,'Grants target a 13% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(54284,30110,1,100,'Decreases Hate Gain of target by 6.0%',0,1),
(54285,30110,2,100,'Grants target a 14% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(54286,30110,2,100,'Decreases Hate Gain of target by 6.3%',0,1),
(54287,30110,3,100,'Grants target a 15% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(54288,30110,3,100,'Decreases Hate Gain of target by 6.7%',0,1),
(54289,30110,4,100,'Grants target a 17% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(54290,30110,4,100,'Decreases Hate Gain of target by 7.3%',0,1),
(54291,30110,5,100,'Grants target a 18% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(54292,30110,5,100,'Decreases Hate Gain of target by 8.0%',0,1),
(54293,30110,7,100,'Grants target a 23% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(54294,30110,7,100,'Decreases Hate Gain of target by 10.3%',0,1),
(54295,30110,9,100,'Grants target a 24% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(54296,30110,9,100,'Decreases Hate Gain of target by 10.7%',0,1),
(54297,30111,1,100,'Grants target a 20% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(54298,30111,1,100,'Decreases Hate Gain of target by 6.0%',0,1),
(54299,30111,2,100,'Grants target a 21% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(54300,30111,2,100,'Decreases Hate Gain of target by 6.3%',0,1),
(54301,30111,3,100,'Grants target a 22% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(54302,30111,3,100,'Decreases Hate Gain of target by 6.7%',0,1),
(54303,30111,4,100,'Grants target a 24% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(54304,30111,4,100,'Decreases Hate Gain of target by 7.3%',0,1),
(54305,30111,5,100,'Grants target a 27% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(54306,30111,5,100,'Decreases Hate Gain of target by 8.0%',0,1),
(54307,30111,7,100,'Grants target a 34% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(54308,30111,7,100,'Decreases Hate Gain of target by 10.3%',0,1),
(54309,30111,9,100,'Grants target a 36% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(54310,30111,9,100,'Decreases Hate Gain of target by 10.7%',0,1),
(54311,30112,1,100,'Grants target a 26% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(54312,30112,1,100,'Decreases Hate Gain of target by 6.0%',0,1),
(54313,30112,2,100,'Grants target a 28% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(54314,30112,2,100,'Decreases Hate Gain of target by 6.3%',0,1),
(54315,30112,3,100,'Grants target a 29% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(54316,30112,3,100,'Decreases Hate Gain of target by 6.7%',0,1),
(54317,30112,4,100,'Grants target a 32% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(54318,30112,4,100,'Decreases Hate Gain of target by 7.3%',0,1),
(54319,30112,5,100,'Grants target a 35% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(54320,30112,5,100,'Decreases Hate Gain of target by 8.0%',0,1),
(54321,30112,7,100,'Grants target a 45% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(54322,30112,7,100,'Decreases Hate Gain of target by 10.3%',0,1),
(54323,30112,9,100,'Grants target a 47% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(54324,30112,9,100,'Decreases Hate Gain of target by 10.7%',0,1),
(54325,30113,1,100,'Grants target a 31% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(54326,30113,1,100,'Decreases Hate Gain of target by 6.0%',0,1),
(54327,30113,2,100,'Grants target a 33% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(54328,30113,2,100,'Decreases Hate Gain of target by 6.3%',0,1),
(54329,30113,3,100,'Grants target a 34% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(54330,30113,3,100,'Decreases Hate Gain of target by 6.7%',0,1),
(54331,30113,4,100,'Grants target a 38% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(54332,30113,4,100,'Decreases Hate Gain of target by 7.3%',0,1),
(54333,30113,5,100,'Grants target a 41% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(54334,30113,5,100,'Decreases Hate Gain of target by 8.0%',0,1),
(54335,30113,7,100,'Grants target a 53% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(54336,30113,7,100,'Decreases Hate Gain of target by 10.3%',0,1),
(54337,30113,9,100,'Grants target a 55% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(54338,30113,9,100,'Decreases Hate Gain of target by 10.7%',0,1),
(54339,2000167,3,100,'Inflicts 2 - 3 piercing damage on target encounter',0,0),
(54340,2000167,3,100,'Slows target encounter by 20.0%',0,1),
(54341,2000167,4,100,'Inflicts 2 - 4 piercing damage on target encounter',0,0),
(54342,2000167,4,100,'Slows target encounter by 22.0%',0,1),
(54343,2000167,5,100,'Inflicts 2 - 4 piercing damage on target encounter',0,0),
(54344,2000167,5,100,'Slows target encounter by 24.0%',0,1),
(54345,2000167,7,100,'Inflicts 3 - 5 piercing damage on target encounter',0,0),
(54346,2000167,7,100,'Slows target encounter by 30.8%',0,1),
(54347,2000167,9,100,'Inflicts 3 - 6 piercing damage on target encounter',0,0),
(54348,2000167,9,100,'Slows target encounter by 32.0%',0,1),
(54349,2000167,10,100,'Inflicts 3 - 6 piercing damage on target encounter',0,0),
(54350,2000167,10,100,'Slows target encounter by 33.6%',0,1),
(54351,2000168,3,100,'Inflicts 4 - 7 piercing damage on target',0,0),
(54352,2000168,4,100,'Inflicts 4 - 8 piercing damage on target',0,0),
(54353,2000168,5,100,'Inflicts 5 - 9 piercing damage on target',0,0),
(54354,2000168,7,100,'Inflicts 6 - 11 piercing damage on target',0,0),
(54355,2000168,9,100,'Inflicts 7 - 12 piercing damage on target',0,0),
(54356,2000168,10,100,'Inflicts 7 - 12 piercing damage on target',0,0),
(54357,400128,1,100,'Inflicts 400 - 666 melee damage on target',0,0),
(54358,400128,1,100,'You must be in stealth.',0,1),
(54359,400128,2,100,'Inflicts 422 - 703 melee damage on target',0,0),
(54360,400128,2,100,'You must be in stealth.',0,1),
(54361,400128,3,100,'Inflicts 444 - 740 melee damage on target',0,0),
(54362,400128,3,100,'You must be in stealth.',0,1),
(54363,400128,4,100,'Inflicts 489 - 815 melee damage on target',0,0),
(54364,400128,4,100,'You must be in stealth.',0,1),
(54365,400128,5,100,'Inflicts 533 - 889 melee damage on target',0,0),
(54366,400128,5,100,'You must be in stealth.',0,1),
(54367,400128,7,100,'Inflicts 684 - 1141 melee damage on target',0,0),
(54368,400128,7,100,'You must be in stealth.',0,1),
(54369,400128,9,100,'Inflicts 711 - 1185 melee damage on target',0,0),
(54370,400128,9,100,'You must be in stealth.',0,1),
(54371,400128,10,100,'Inflicts 746 - 1244 melee damage on target',0,0),
(54372,400128,10,100,'You must be in stealth.',0,1),
(54373,400129,1,100,'Inflicts 666 - 1111 melee damage on target',0,0),
(54374,400129,1,100,'You must be in stealth.',0,1),
(54375,400129,2,100,'Inflicts 704 - 1173 melee damage on target',0,0),
(54376,400129,2,100,'You must be in stealth.',0,1),
(54377,400129,3,100,'Inflicts 741 - 1235 melee damage on target',0,0),
(54378,400129,3,100,'You must be in stealth.',0,1),
(54379,400129,4,100,'Inflicts 815 - 1358 melee damage on target',0,0),
(54380,400129,4,100,'You must be in stealth.',0,1),
(54381,400129,5,100,'Inflicts 889 - 1482 melee damage on target',0,0),
(54382,400129,5,100,'You must be in stealth.',0,1),
(54383,400129,7,100,'Inflicts 1141 - 1902 melee damage on target',0,0),
(54384,400129,7,100,'You must be in stealth.',0,1),
(54385,400129,9,100,'Inflicts 1185 - 1976 melee damage on target',0,0),
(54386,400129,9,100,'You must be in stealth.',0,1),
(54387,400130,1,100,'Inflicts 991 - 1652 melee damage on target',0,0),
(54388,400130,1,100,'You must be in stealth.',0,1),
(54389,400130,2,100,'Inflicts 1046 - 1743 melee damage on target',0,0),
(54390,400130,2,100,'You must be in stealth.',0,1),
(54391,400130,3,100,'Inflicts 1101 - 1835 melee damage on target',0,0),
(54392,400130,3,100,'You must be in stealth.',0,1),
(54393,400130,4,100,'Inflicts 1211 - 2019 melee damage on target',0,0),
(54394,400130,4,100,'You must be in stealth.',0,1),
(54395,400130,5,100,'Inflicts 1321 - 2202 melee damage on target',0,0),
(54396,400130,5,100,'You must be in stealth.',0,1),
(54397,400130,7,100,'Inflicts 1696 - 2826 melee damage on target',0,0),
(54398,400130,7,100,'You must be in stealth.',0,1),
(54399,400130,9,100,'Inflicts 1762 - 2936 melee damage on target',0,0),
(54400,400130,9,100,'You must be in stealth.',0,1),
(54401,400130,10,100,'Inflicts 1850 - 3083 melee damage on target',0,0),
(54402,400130,10,100,'You must be in stealth.',0,1),
(54403,400131,1,100,'Inflicts 1324 - 2207 melee damage on target',0,0),
(54404,400131,1,100,'You must be in stealth.',0,1),
(54405,400131,2,100,'Inflicts 1398 - 2330 melee damage on target',0,0),
(54406,400131,2,100,'You must be in stealth.',0,1),
(54407,400131,3,100,'Inflicts 1471 - 2453 melee damage on target',0,0),
(54408,400131,3,100,'You must be in stealth.',0,1),
(54409,400131,4,100,'Inflicts 1619 - 2698 melee damage on target',0,0),
(54410,400131,4,100,'You must be in stealth.',0,1),
(54411,400131,5,100,'Inflicts 1766 - 2943 melee damage on target',0,0),
(54412,400131,5,100,'You must be in stealth.',0,1),
(54413,400131,7,100,'Inflicts 2266 - 3778 melee damage on target',0,0),
(54414,400131,7,100,'You must be in stealth.',0,1),
(54415,400131,9,100,'Inflicts 2355 - 3925 melee damage on target',0,0),
(54416,400131,9,100,'You must be in stealth.',0,1),
(54417,400132,1,100,'Inflicts 1631 - 2718 melee damage on target',0,0),
(54418,400132,1,100,'You must be in stealth.',0,1),
(54419,400132,2,100,'Inflicts 1722 - 2870 melee damage on target',0,0),
(54420,400132,2,100,'You must be in stealth.',0,1),
(54421,400132,3,100,'Inflicts 1812 - 3021 melee damage on target',0,0),
(54422,400132,3,100,'You must be in stealth.',0,1),
(54423,400132,4,100,'Inflicts 1993 - 3323 melee damage on target',0,0),
(54424,400132,4,100,'You must be in stealth.',0,1),
(54425,400132,5,100,'Inflicts 2175 - 3625 melee damage on target',0,0),
(54426,400132,5,100,'You must be in stealth.',0,1),
(54427,400132,7,100,'Inflicts 2791 - 4652 melee damage on target',0,0),
(54428,400132,7,100,'You must be in stealth.',0,1),
(54429,400132,9,100,'Inflicts 2900 - 4833 melee damage on target',0,0),
(54430,400132,9,100,'You must be in stealth.',0,1),
(54431,400133,1,100,'Inflicts 1966 - 3277 melee damage on target',0,0),
(54432,400133,1,100,'You must be in stealth.',0,1),
(54433,400133,4,100,'Inflicts 2403 - 4006 melee damage on target',0,0),
(54434,400133,4,100,'You must be in stealth.',0,1),
(54435,400133,5,100,'Inflicts 2622 - 4370 melee damage on target',0,0),
(54436,400133,5,100,'You must be in stealth.',0,1),
(54437,400133,7,100,'Inflicts 3365 - 5608 melee damage on target',0,0),
(54438,400133,7,100,'You must be in stealth.',0,1),
(54439,400133,9,100,'Inflicts 3496 - 5827 melee damage on target',0,0),
(54440,400133,9,100,'You must be in stealth.',0,1),
(54441,400134,1,100,'Inflicts 2160 - 3600 melee damage on target',0,0),
(54442,400134,1,100,'You must be in stealth.',0,1),
(54443,400134,4,100,'Inflicts 2640 - 4400 melee damage on target',0,0),
(54444,400134,4,100,'You must be in stealth.',0,1),
(54445,400134,5,100,'Inflicts 2880 - 4800 melee damage on target',0,0),
(54446,400134,5,100,'You must be in stealth.',0,1),
(54447,400134,7,100,'Inflicts 3696 - 6160 melee damage on target',0,0),
(54448,400134,7,100,'You must be in stealth.',0,1),
(54449,400134,9,100,'Inflicts 3840 - 6400 melee damage on target',0,0),
(54450,400134,9,100,'You must be in stealth.',0,1),
(54451,60117,1,100,'Increases Mitigation of caster vs physical damage by 720',0,0),
(54452,60117,1,100,'Dazes caster',0,1),
(54453,60117,1,100,'Roots caster',0,2),
(54454,60117,2,100,'Increases Mitigation of caster vs physical damage by 760',0,0),
(54455,60117,2,100,'Dazes caster',0,1),
(54456,60117,2,100,'Roots caster',0,2),
(54457,60117,3,100,'Increases Mitigation of caster vs physical damage by 800',0,0),
(54458,60117,3,100,'Dazes caster',0,1),
(54459,60117,3,100,'Roots caster',0,2),
(54460,60117,4,100,'Increases Mitigation of caster vs physical damage by 880',0,0),
(54461,60117,4,100,'Dazes caster',0,1),
(54462,60117,4,100,'Roots caster',0,2),
(54463,60117,5,100,'Increases Mitigation of caster vs physical damage by 960',0,0),
(54464,60117,5,100,'Dazes caster',0,1),
(54465,60117,5,100,'Roots caster',0,2),
(54466,60117,7,100,'Increases Mitigation of caster vs physical damage by 1232',0,0),
(54467,60117,7,100,'Dazes caster',0,1),
(54468,60117,7,100,'Roots caster',0,2),
(54469,60117,9,100,'Increases Mitigation of caster vs physical damage by 1280',0,0),
(54470,60117,9,100,'Dazes caster',0,1),
(54471,60117,9,100,'Roots caster',0,2),
(54472,60118,1,100,'Increases Mitigation of caster vs physical damage by 972',0,0),
(54473,60118,1,100,'Dazes caster',0,1),
(54474,60118,1,100,'Roots caster',0,2),
(54475,60118,2,100,'Increases Mitigation of caster vs physical damage by 1026',0,0),
(54476,60118,2,100,'Dazes caster',0,1),
(54477,60118,2,100,'Roots caster',0,2),
(54478,60118,3,100,'Increases Mitigation of caster vs physical damage by 1080',0,0),
(54479,60118,3,100,'Dazes caster',0,1),
(54480,60118,3,100,'Roots caster',0,2),
(54481,60118,4,100,'Increases Mitigation of caster vs physical damage by 1188',0,0),
(54482,60118,4,100,'Dazes caster',0,1),
(54483,60118,4,100,'Roots caster',0,2),
(54484,60118,5,100,'Increases Mitigation of caster vs physical damage by 1296',0,0),
(54485,60118,5,100,'Dazes caster',0,1),
(54486,60118,5,100,'Roots caster',0,2),
(54487,60118,7,100,'Increases Mitigation of caster vs physical damage by 1663',0,0),
(54488,60118,7,100,'Dazes caster',0,1),
(54489,60118,7,100,'Roots caster',0,2),
(54490,60118,9,100,'Increases Mitigation of caster vs physical damage by 1728',0,0),
(54491,60118,9,100,'Dazes caster',0,1),
(54492,60118,9,100,'Roots caster',0,2),
(54493,60119,1,100,'Increases Mitigation of caster vs physical damage by 1224',0,0),
(54494,60119,1,100,'Dazes caster',0,1),
(54495,60119,1,100,'Roots caster',0,2),
(54496,60119,2,100,'Increases Mitigation of caster vs physical damage by 1292',0,0),
(54497,60119,2,100,'Dazes caster',0,1),
(54498,60119,2,100,'Roots caster',0,2),
(54499,60119,3,100,'Increases Mitigation of caster vs physical damage by 1360',0,0),
(54500,60119,3,100,'Dazes caster',0,1),
(54501,60119,3,100,'Roots caster',0,2),
(54502,60119,4,100,'Increases Mitigation of caster vs physical damage by 1496',0,0),
(54503,60119,4,100,'Dazes caster',0,1),
(54504,60119,4,100,'Roots caster',0,2),
(54505,60119,5,100,'Increases Mitigation of caster vs physical damage by 1632',0,0),
(54506,60119,5,100,'Dazes caster',0,1),
(54507,60119,5,100,'Roots caster',0,2),
(54508,60119,7,100,'Increases Mitigation of caster vs physical damage by 2094',0,0),
(54509,60119,7,100,'Dazes caster',0,1),
(54510,60119,7,100,'Roots caster',0,2),
(54511,60119,9,100,'Increases Mitigation of caster vs physical damage by 2176',0,0),
(54512,60119,9,100,'Dazes caster',0,1),
(54513,60119,9,100,'Roots caster',0,2),
(54514,60120,1,100,'Increases Mitigation of caster vs physical damage by 1474',0,0),
(54515,60120,1,100,'Dazes caster',0,1),
(54516,60120,1,100,'Roots caster',0,2),
(54517,60120,2,100,'Increases Mitigation of caster vs physical damage by 1556',0,0),
(54518,60120,2,100,'Dazes caster',0,1),
(54519,60120,2,100,'Roots caster',0,2),
(54520,60120,3,100,'Increases Mitigation of caster vs physical damage by 1638',0,0),
(54521,60120,3,100,'Dazes caster',0,1),
(54522,60120,3,100,'Roots caster',0,2),
(54523,60120,4,100,'Increases Mitigation of caster vs physical damage by 1802',0,0),
(54524,60120,4,100,'Dazes caster',0,1),
(54525,60120,4,100,'Roots caster',0,2),
(54526,60120,5,100,'Increases Mitigation of caster vs physical damage by 1966',0,0),
(54527,60120,5,100,'Dazes caster',0,1),
(54528,60120,5,100,'Roots caster',0,2),
(54529,60120,7,100,'Increases Mitigation of caster vs physical damage by 2523',0,0),
(54530,60120,7,100,'Dazes caster',0,1),
(54531,60120,7,100,'Roots caster',0,2),
(54532,60120,9,100,'Increases Mitigation of caster vs physical damage by 2621',0,0),
(54533,60120,9,100,'Dazes caster',0,1),
(54534,60120,9,100,'Roots caster',0,2),
(54535,60121,1,100,'Increases Mitigation of caster vs physical damage by 1727',0,0),
(54536,60121,1,100,'Dazes caster',0,1),
(54537,60121,1,100,'Roots caster',0,2),
(54538,60121,4,100,'Increases Mitigation of caster vs physical damage by 2110',0,0),
(54539,60121,4,100,'Dazes caster',0,1),
(54540,60121,4,100,'Roots caster',0,2),
(54541,60121,5,100,'Increases Mitigation of caster vs physical damage by 2302',0,0),
(54542,60121,5,100,'Dazes caster',0,1),
(54543,60121,5,100,'Roots caster',0,2),
(54544,60121,7,100,'Increases Mitigation of caster vs physical damage by 2954',0,0),
(54545,60121,7,100,'Dazes caster',0,1),
(54546,60121,7,100,'Roots caster',0,2),
(54547,60121,9,100,'Increases Mitigation of caster vs physical damage by 3069',0,0),
(54548,60121,9,100,'Dazes caster',0,1),
(54549,60121,9,100,'Roots caster',0,2),
(54550,60122,1,100,'Increases Mitigation of caster vs physical damage by 1940',0,0),
(54551,60122,1,100,'Dazes caster',0,1),
(54552,60122,1,100,'Roots caster',0,2),
(54553,60122,4,100,'Increases Mitigation of caster vs physical damage by 2372',0,0),
(54554,60122,4,100,'Dazes caster',0,1),
(54555,60122,4,100,'Roots caster',0,2),
(54556,60122,5,100,'Increases Mitigation of caster vs physical damage by 2587',0,0),
(54557,60122,5,100,'Dazes caster',0,1),
(54558,60122,5,100,'Roots caster',0,2),
(54559,60122,7,100,'Increases Mitigation of caster vs physical damage by 3320',0,0),
(54560,60122,7,100,'Dazes caster',0,1),
(54561,60122,7,100,'Roots caster',0,2),
(54562,60122,9,100,'Increases Mitigation of caster vs physical damage by 3450',0,0),
(54563,60122,9,100,'Dazes caster',0,1),
(54564,60122,9,100,'Roots caster',0,2),
(54565,340116,1,100,'Decreases AGI of target by 6.1',0,0),
(54566,340116,1,100,'Decreases Defense of target by 2.0',0,1),
(54567,340116,2,100,'Decreases AGI of target by 6.5',0,0),
(54568,340116,2,100,'Decreases Defense of target by 2.1',0,1),
(54569,340116,3,100,'Decreases AGI of target by 6.8',0,0),
(54570,340116,3,100,'Decreases Defense of target by 2.2',0,1),
(54571,340116,4,100,'Decreases AGI of target by 7.5',0,0),
(54572,340116,4,100,'Decreases Defense of target by 2.4',0,1),
(54573,340116,5,100,'Decreases AGI of target by 8.2',0,0),
(54574,340116,5,100,'Decreases Defense of target by 2.6',0,1),
(54575,340116,7,100,'Decreases AGI of target by 10.5',0,0),
(54576,340116,7,100,'Decreases Defense of target by 3.4',0,1),
(54577,340116,9,100,'Decreases AGI of target by 10.9',0,0),
(54578,340116,9,100,'Decreases Defense of target by 3.5',0,1),
(54579,340117,1,100,'Decreases AGI of target by 15.7',0,0),
(54580,340117,1,100,'Decreases Defense of target by 5.9',0,1),
(54581,340117,2,100,'Decreases AGI of target by 16.5',0,0),
(54582,340117,2,100,'Decreases Defense of target by 6.3',0,1),
(54583,340117,3,100,'Decreases AGI of target by 17.4',0,0),
(54584,340117,3,100,'Decreases Defense of target by 6.6',0,1),
(54585,340117,4,100,'Decreases AGI of target by 19.1',0,0),
(54586,340117,4,100,'Decreases Defense of target by 7.3',0,1),
(54587,340117,5,100,'Decreases AGI of target by 20.9',0,0),
(54588,340117,5,100,'Decreases Defense of target by 7.9',0,1),
(54589,340117,7,100,'Decreases AGI of target by 26.8',0,0),
(54590,340117,7,100,'Decreases Defense of target by 10.2',0,1),
(54591,340117,9,100,'Decreases AGI of target by 27.8',0,0),
(54592,340117,9,100,'Decreases Defense of target by 10.6',0,1),
(54593,340118,1,100,'Decreases AGI of target by 25.0',0,0),
(54594,340118,1,100,'Decreases Defense of target by 9.7',0,1),
(54595,340118,2,100,'Decreases AGI of target by 26.4',0,0),
(54596,340118,2,100,'Decreases Defense of target by 10.3',0,1),
(54597,340118,3,100,'Decreases AGI of target by 27.8',0,0),
(54598,340118,3,100,'Decreases Defense of target by 10.8',0,1),
(54599,340118,4,100,'Decreases AGI of target by 30.6',0,0),
(54600,340118,4,100,'Decreases Defense of target by 11.9',0,1),
(54601,340118,5,100,'Decreases AGI of target by 33.4',0,0),
(54602,340118,5,100,'Decreases Defense of target by 13.0',0,1),
(54603,340118,7,100,'Decreases AGI of target by 42.8',0,0),
(54604,340118,7,100,'Decreases Defense of target by 16.6',0,1),
(54605,340118,9,100,'Decreases AGI of target by 44.5',0,0),
(54606,340118,9,100,'Decreases Defense of target by 17.3',0,1),
(54607,340119,1,100,'Decreases AGI of target by 35.1',0,0),
(54608,340119,1,100,'Decreases Defense of target by 13.5',0,1),
(54609,340119,2,100,'Decreases AGI of target by 37.0',0,0),
(54610,340119,2,100,'Decreases Defense of target by 14.3',0,1),
(54611,340119,3,100,'Decreases AGI of target by 39.0',0,0),
(54612,340119,3,100,'Decreases Defense of target by 15.0',0,1),
(54613,340119,4,100,'Decreases AGI of target by 42.9',0,0),
(54614,340119,4,100,'Decreases Defense of target by 16.5',0,1),
(54615,340119,5,100,'Decreases AGI of target by 46.8',0,0),
(54616,340119,5,100,'Decreases Defense of target by 18.0',0,1),
(54617,340119,7,100,'Decreases AGI of target by 60.1',0,0),
(54618,340119,7,100,'Decreases Defense of target by 23.1',0,1),
(54619,340119,9,100,'Decreases AGI of target by 62.4',0,0),
(54620,340119,9,100,'Decreases Defense of target by 24.0',0,1),
(54621,340120,1,100,'Decreases AGI of target by 45.2',0,0),
(54622,340120,1,100,'Decreases Defense of target by 17.3',0,1),
(54623,340120,2,100,'Decreases AGI of target by 47.7',0,0),
(54624,340120,2,100,'Decreases Defense of target by 18.2',0,1),
(54625,340120,3,100,'Decreases AGI of target by 50.2',0,0),
(54626,340120,3,100,'Decreases Defense of target by 19.2',0,1),
(54627,340120,4,100,'Decreases AGI of target by 55.2',0,0),
(54628,340120,4,100,'Decreases Defense of target by 21.1',0,1),
(54629,340120,5,100,'Decreases AGI of target by 60.2',0,0),
(54630,340120,5,100,'Decreases Defense of target by 23.0',0,1),
(54631,340120,7,100,'Decreases AGI of target by 77.3',0,0),
(54632,340120,7,100,'Decreases Defense of target by 29.6',0,1),
(54633,340120,9,100,'Decreases AGI of target by 80.3',0,0),
(54634,340120,9,100,'Decreases Defense of target by 30.7',0,1),
(54635,340121,1,100,'Decreases AGI of target by 54.4',0,0),
(54636,340121,1,100,'Decreases Defense of target by 20.7',0,1),
(54637,340121,2,100,'Decreases AGI of target by 57.5',0,0),
(54638,340121,2,100,'Decreases Defense of target by 21.9',0,1),
(54639,340121,3,100,'Decreases AGI of target by 60.5',0,0),
(54640,340121,3,100,'Decreases Defense of target by 23.0',0,1),
(54641,340121,4,100,'Decreases AGI of target by 66.6',0,0),
(54642,340121,4,100,'Decreases Defense of target by 25.3',0,1),
(54643,340121,5,100,'Decreases AGI of target by 72.6',0,0),
(54644,340121,5,100,'Decreases Defense of target by 27.6',0,1),
(54645,340121,7,100,'Decreases AGI of target by 93.2',0,0),
(54646,340121,7,100,'Decreases Defense of target by 35.4',0,1),
(54647,340121,9,100,'Decreases AGI of target by 96.8',0,0),
(54648,340121,9,100,'Decreases Defense of target by 36.8',0,1),
(54649,340122,1,100,'Decreases AGI of target by 64.3',0,0),
(54650,340122,1,100,'Decreases Defense of target by 24.3',0,1),
(54651,340122,4,100,'Decreases AGI of target by 78.7',0,0),
(54652,340122,4,100,'Decreases Defense of target by 29.7',0,1),
(54653,340122,5,100,'Decreases AGI of target by 85.8',0,0),
(54654,340122,5,100,'Decreases Defense of target by 32.4',0,1),
(54655,340122,7,100,'Decreases AGI of target by 110.1',0,0),
(54656,340122,7,100,'Decreases Defense of target by 41.6',0,1),
(54657,340122,9,100,'Decreases AGI of target by 114.4',0,0),
(54658,340122,9,100,'Decreases Defense of target by 43.2',0,1),
(54659,340123,1,100,'Decreases AGI of target by 74.2',0,0),
(54660,340123,1,100,'Decreases Defense of target by 27.9',0,1),
(54661,340123,4,100,'Decreases AGI of target by 90.7',0,0),
(54662,340123,4,100,'Decreases Defense of target by 34.1',0,1),
(54663,340123,5,100,'Decreases AGI of target by 99.0',0,0),
(54664,340123,5,100,'Decreases Defense of target by 37.2',0,1),
(54665,340123,7,100,'Decreases AGI of target by 127.0',0,0),
(54666,340123,7,100,'Decreases Defense of target by 47.7',0,1),
(54667,340123,9,100,'Decreases AGI of target by 132.0',0,0),
(54668,340123,9,100,'Decreases Defense of target by 49.6',0,1),
(54669,400135,2,100,'Causes 5% Threat to transfer to target when in combat',0,0),
(54670,400135,3,100,'Causes 6% Threat to transfer to target when in combat',0,0),
(54671,400135,4,100,'Causes 6% Threat to transfer to target when in combat',0,0),
(54672,400135,5,100,'Causes 7% Threat to transfer to target when in combat',0,0),
(54673,400135,7,100,'Causes 9% Threat to transfer to target when in combat',0,0),
(54674,400135,9,100,'Causes 9% Threat to transfer to target when in combat',0,0),
(54675,400136,1,100,'Causes 7% Threat to transfer to target when in combat',0,0),
(54676,400136,2,100,'Causes 7% Threat to transfer to target when in combat',0,0),
(54677,400136,3,100,'Causes 8% Threat to transfer to target when in combat',0,0),
(54678,400136,4,100,'Causes 8% Threat to transfer to target when in combat',0,0),
(54679,400136,5,100,'Causes 9% Threat to transfer to target when in combat',0,0),
(54680,400136,7,100,'Causes 12% Threat to transfer to target when in combat',0,0),
(54681,400136,9,100,'Causes 12% Threat to transfer to target when in combat',0,0),
(54682,400137,1,100,'Causes 9% Threat to transfer to target when in combat',0,0),
(54683,400137,2,100,'Causes 9% Threat to transfer to target when in combat',0,0),
(54684,400137,3,100,'Causes 10% Threat to transfer to target when in combat',0,0),
(54685,400137,4,100,'Causes 11% Threat to transfer to target when in combat',0,0),
(54686,400137,5,100,'Causes 12% Threat to transfer to target when in combat',0,0),
(54687,400137,7,100,'Causes 15% Threat to transfer to target when in combat',0,0),
(54688,400137,9,100,'Causes 15% Threat to transfer to target when in combat',0,0),
(54689,400138,1,100,'Causes 10% Threat to transfer to target when in combat',0,0),
(54690,400138,2,100,'Causes 11% Threat to transfer to target when in combat',0,0),
(54691,400138,3,100,'Causes 12% Threat to transfer to target when in combat',0,0),
(54692,400138,4,100,'Causes 13% Threat to transfer to target when in combat',0,0),
(54693,400138,5,100,'Causes 14% Threat to transfer to target when in combat',0,0),
(54694,400138,7,100,'Causes 18% Threat to transfer to target when in combat',0,0),
(54695,400138,9,100,'Causes 19% Threat to transfer to target when in combat',0,0),
(54696,340124,1,100,'Inflicts 82 - 137 melee damage on target',0,0),
(54697,340124,1,100,'Decreases Combat Mitigation of target by 11.16',0,1),
(54698,340124,1,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 360',0,2),
(54699,340124,1,100,'Must be flanking or behind',0,3),
(54700,340124,2,100,'Inflicts 87 - 145 melee damage on target',0,0),
(54701,340124,2,100,'Decreases Combat Mitigation of target by 11.78',0,1),
(54702,340124,2,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 380',0,2),
(54703,340124,2,100,'Must be flanking or behind',0,3),
(54704,340124,3,100,'Inflicts 91 - 153 melee damage on target',0,0),
(54705,340124,3,100,'Decreases Combat Mitigation of target by 12.4',0,1),
(54706,340124,3,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 400',0,2),
(54707,340124,3,100,'Must be flanking or behind',0,3),
(54708,340124,4,100,'Inflicts 101 - 168 melee damage on target',0,0),
(54709,340124,4,100,'Decreases Combat Mitigation of target by 13.64',0,1),
(54710,340124,4,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 440',0,2),
(54711,340124,4,100,'Must be flanking or behind',0,3),
(54712,340124,5,100,'Inflicts 110 - 183 melee damage on target',0,0),
(54713,340124,5,100,'Decreases Combat Mitigation of target by 14.88',0,1),
(54714,340124,5,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 480',0,2),
(54715,340124,5,100,'Must be flanking or behind',0,3),
(54716,340124,7,100,'Inflicts 141 - 235 melee damage on target',0,0),
(54717,340124,7,100,'Decreases Combat Mitigation of target by 19.1',0,1),
(54718,340124,7,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 616',0,2),
(54719,340124,7,100,'Must be flanking or behind',0,3),
(54720,340124,9,100,'Inflicts 146 - 244 melee damage on target',0,0),
(54721,340124,9,100,'Decreases Combat Mitigation of target by 19.84',0,1),
(54722,340124,9,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 640',0,2),
(54723,340124,9,100,'Must be flanking or behind',0,3),
(54724,340124,10,100,'Inflicts 154 - 257 melee damage on target',0,0),
(54725,340124,10,100,'Decreases Combat Mitigation of target by 20.83',0,1),
(54726,340124,10,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 672',0,2),
(54727,340124,10,100,'Must be flanking or behind',0,3),
(54728,340125,1,100,'Inflicts 150 - 251 melee damage on target',0,0),
(54729,340125,1,100,'Decreases Combat Mitigation of target by 11.16',0,1),
(54730,340125,1,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 612',0,2),
(54731,340125,1,100,'Must be flanking or behind',0,3),
(54732,340125,2,100,'Inflicts 159 - 265 melee damage on target',0,0),
(54733,340125,2,100,'Decreases Combat Mitigation of target by 11.78',0,1),
(54734,340125,2,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 646',0,2),
(54735,340125,2,100,'Must be flanking or behind',0,3),
(54736,340125,3,100,'Inflicts 167 - 279 melee damage on target',0,0),
(54737,340125,3,100,'Decreases Combat Mitigation of target by 12.4',0,1),
(54738,340125,3,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 680',0,2),
(54739,340125,3,100,'Must be flanking or behind',0,3),
(54740,340125,4,100,'Inflicts 184 - 307 melee damage on target',0,0),
(54741,340125,4,100,'Decreases Combat Mitigation of target by 13.64',0,1),
(54742,340125,4,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 748',0,2),
(54743,340125,4,100,'Must be flanking or behind',0,3),
(54744,340125,5,100,'Inflicts 201 - 335 melee damage on target',0,0),
(54745,340125,5,100,'Decreases Combat Mitigation of target by 14.88',0,1),
(54746,340125,5,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 816',0,2),
(54747,340125,5,100,'Must be flanking or behind',0,3),
(54748,340125,7,100,'Inflicts 258 - 430 melee damage on target',0,0),
(54749,340125,7,100,'Decreases Combat Mitigation of target by 19.1',0,1),
(54750,340125,7,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1047',0,2),
(54751,340125,7,100,'Must be flanking or behind',0,3),
(54752,340125,9,100,'Inflicts 268 - 446 melee damage on target',0,0),
(54753,340125,9,100,'Decreases Combat Mitigation of target by 19.84',0,1),
(54754,340125,9,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1088',0,2),
(54755,340125,9,100,'Must be flanking or behind',0,3),
(54756,340125,10,100,'Inflicts 281 - 469 melee damage on target',0,0),
(54757,340125,10,100,'Decreases Combat Mitigation of target by 20.83',0,1),
(54758,340125,10,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1142',0,2),
(54759,340125,10,100,'Must be flanking or behind',0,3),
(54760,340126,1,100,'Inflicts 228 - 381 melee damage on target',0,0),
(54761,340126,1,100,'Decreases Combat Mitigation of target by 11.16',0,1),
(54762,340126,1,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 864',0,2),
(54763,340126,1,100,'Must be flanking or behind',0,3),
(54764,340126,2,100,'Inflicts 241 - 402 melee damage on target',0,0),
(54765,340126,2,100,'Decreases Combat Mitigation of target by 11.78',0,1),
(54766,340126,2,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 912',0,2),
(54767,340126,2,100,'Must be flanking or behind',0,3),
(54768,340126,3,100,'Inflicts 254 - 423 melee damage on target',0,0),
(54769,340126,3,100,'Decreases Combat Mitigation of target by 12.4',0,1),
(54770,340126,3,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 960',0,2),
(54771,340126,3,100,'Must be flanking or behind',0,3),
(54772,340126,4,100,'Inflicts 279 - 465 melee damage on target',0,0),
(54773,340126,4,100,'Decreases Combat Mitigation of target by 13.64',0,1),
(54774,340126,4,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1056',0,2),
(54775,340126,4,100,'Must be flanking or behind',0,3),
(54776,340126,5,100,'Inflicts 304 - 508 melee damage on target',0,0),
(54777,340126,5,100,'Decreases Combat Mitigation of target by 14.88',0,1),
(54778,340126,5,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1152',0,2),
(54779,340126,5,100,'Must be flanking or behind',0,3),
(54780,340126,7,100,'Inflicts 391 - 652 melee damage on target',0,0),
(54781,340126,7,100,'Decreases Combat Mitigation of target by 19.1',0,1),
(54782,340126,7,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1478',0,2),
(54783,340126,7,100,'Must be flanking or behind',0,3),
(54784,340126,9,100,'Inflicts 406 - 677 melee damage on target',0,0),
(54785,340126,9,100,'Decreases Combat Mitigation of target by 19.84',0,1),
(54786,340126,9,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1536',0,2),
(54787,340126,9,100,'Must be flanking or behind',0,3),
(54788,340126,10,100,'Inflicts 426 - 711 melee damage on target',0,0),
(54789,340126,10,100,'Decreases Combat Mitigation of target by 20.83',0,1),
(54790,340126,10,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1613',0,2),
(54791,340126,10,100,'Must be flanking or behind',0,3),
(54792,340127,1,100,'Inflicts 313 - 523 melee damage on target',0,0),
(54793,340127,1,100,'Decreases Combat Mitigation of target by 11.16',0,1),
(54794,340127,1,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1116',0,2),
(54795,340127,1,100,'Must be flanking or behind',0,3),
(54796,340127,2,100,'Inflicts 331 - 552 melee damage on target',0,0),
(54797,340127,2,100,'Decreases Combat Mitigation of target by 11.78',0,1),
(54798,340127,2,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1178',0,2),
(54799,340127,2,100,'Must be flanking or behind',0,3),
(54800,340127,3,100,'Inflicts 348 - 581 melee damage on target',0,0),
(54801,340127,3,100,'Decreases Combat Mitigation of target by 12.4',0,1),
(54802,340127,3,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1240',0,2),
(54803,340127,3,100,'Must be flanking or behind',0,3),
(54804,340127,4,100,'Inflicts 383 - 639 melee damage on target',0,0),
(54805,340127,4,100,'Decreases Combat Mitigation of target by 13.64',0,1),
(54806,340127,4,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1364',0,2),
(54807,340127,4,100,'Must be flanking or behind',0,3),
(54808,340127,5,100,'Inflicts 418 - 697 melee damage on target',0,0),
(54809,340127,5,100,'Decreases Combat Mitigation of target by 14.88',0,1),
(54810,340127,5,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1488',0,2),
(54811,340127,5,100,'Must be flanking or behind',0,3),
(54812,340127,7,100,'Inflicts 537 - 895 melee damage on target',0,0),
(54813,340127,7,100,'Decreases Combat Mitigation of target by 19.1',0,1),
(54814,340127,7,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1910',0,2),
(54815,340127,7,100,'Must be flanking or behind',0,3),
(54816,340127,9,100,'Inflicts 558 - 930 melee damage on target',0,0),
(54817,340127,9,100,'Decreases Combat Mitigation of target by 19.84',0,1),
(54818,340127,9,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1984',0,2),
(54819,340127,9,100,'Must be flanking or behind',0,3),
(54820,340127,10,100,'Inflicts 585 - 976 melee damage on target',0,0),
(54821,340127,10,100,'Decreases Combat Mitigation of target by 20.83',0,1),
(54822,340127,10,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 2083',0,2),
(54823,340127,10,100,'Must be flanking or behind',0,3),
(54824,340128,1,100,'Inflicts 393 - 655 melee damage on target',0,0),
(54825,340128,1,100,'Decreases Combat Mitigation of target by 11.16',0,1),
(54826,340128,1,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1408',0,2),
(54827,340128,1,100,'Must be flanking or behind',0,3),
(54828,340128,2,100,'Inflicts 415 - 692 melee damage on target',0,0),
(54829,340128,2,100,'Decreases Combat Mitigation of target by 11.78',0,1),
(54830,340128,2,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1486',0,2),
(54831,340128,2,100,'Must be flanking or behind',0,3),
(54832,340128,3,100,'Inflicts 437 - 728 melee damage on target',0,0),
(54833,340128,3,100,'Decreases Combat Mitigation of target by 12.4',0,1),
(54834,340128,3,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1565',0,2),
(54835,340128,3,100,'Must be flanking or behind',0,3),
(54836,340128,4,100,'Inflicts 480 - 801 melee damage on target',0,0),
(54837,340128,4,100,'Decreases Combat Mitigation of target by 13.64',0,1),
(54838,340128,4,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1721',0,2),
(54839,340128,4,100,'Must be flanking or behind',0,3),
(54840,340128,5,100,'Inflicts 524 - 874 melee damage on target',0,0),
(54841,340128,5,100,'Decreases Combat Mitigation of target by 14.88',0,1),
(54842,340128,5,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1877',0,2),
(54843,340128,5,100,'Must be flanking or behind',0,3),
(54844,340128,7,100,'Inflicts 673 - 1121 melee damage on target',0,0),
(54845,340128,7,100,'Decreases Combat Mitigation of target by 19.1',0,1),
(54846,340128,7,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 2409',0,2),
(54847,340128,7,100,'Must be flanking or behind',0,3),
(54848,340128,9,100,'Inflicts 699 - 1165 melee damage on target',0,0),
(54849,340128,9,100,'Decreases Combat Mitigation of target by 19.84',0,1),
(54850,340128,9,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 2503',0,2),
(54851,340128,9,100,'Must be flanking or behind',0,3),
(54852,340129,1,100,'Inflicts 475 - 792 melee damage on target',0,0),
(54853,340129,1,100,'Decreases Combat Mitigation of target by 11.16',0,1),
(54854,340129,1,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1814',0,2),
(54855,340129,1,100,'Must be flanking or behind',0,3),
(54856,340129,4,100,'Inflicts 580 - 968 melee damage on target',0,0),
(54857,340129,4,100,'Decreases Combat Mitigation of target by 13.64',0,1),
(54858,340129,4,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 2218',0,2),
(54859,340129,4,100,'Must be flanking or behind',0,3),
(54860,340129,5,100,'Inflicts 633 - 1056 melee damage on target',0,0),
(54861,340129,5,100,'Decreases Combat Mitigation of target by 14.88',0,1),
(54862,340129,5,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 2419',0,2),
(54863,340129,5,100,'Must be flanking or behind',0,3),
(54864,340129,7,100,'Inflicts 813 - 1355 melee damage on target',0,0),
(54865,340129,7,100,'Decreases Combat Mitigation of target by 19.1',0,1),
(54866,340129,7,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 3105',0,2),
(54867,340129,7,100,'Must be flanking or behind',0,3),
(54868,340129,9,100,'Inflicts 845 - 1408 melee damage on target',0,0),
(54869,340129,9,100,'Decreases Combat Mitigation of target by 19.84',0,1),
(54870,340129,9,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 3226',0,2),
(54871,340129,9,100,'Must be flanking or behind',0,3),
(54872,340129,10,100,'Inflicts 887 - 1478 melee damage on target',0,0),
(54873,340129,10,100,'Decreases Combat Mitigation of target by 20.83',0,1),
(54874,340129,10,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 3387',0,2),
(54875,340129,10,100,'Must be flanking or behind',0,3),
(54876,340130,1,100,'Inflicts 541 - 903 melee damage on target',0,0),
(54877,340130,1,100,'Decreases Combat Mitigation of target by 11.16',0,1),
(54878,340130,1,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 2030',0,2),
(54879,340130,1,100,'Must be flanking or behind',0,3),
(54880,340130,4,100,'Inflicts 662 - 1103 melee damage on target',0,0),
(54881,340130,4,100,'Decreases Combat Mitigation of target by 13.64',0,1),
(54882,340130,4,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 2482',0,2),
(54883,340130,4,100,'Must be flanking or behind',0,3),
(54884,340130,5,100,'Inflicts 722 - 1204 melee damage on target',0,0),
(54885,340130,5,100,'Decreases Combat Mitigation of target by 14.88',0,1),
(54886,340130,5,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 2707',0,2),
(54887,340130,5,100,'Must be flanking or behind',0,3),
(54888,340130,7,100,'Inflicts 927 - 1545 melee damage on target',0,0),
(54889,340130,7,100,'Decreases Combat Mitigation of target by 19.1',0,1),
(54890,340130,7,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 3474',0,2),
(54891,340130,7,100,'Must be flanking or behind',0,3),
(54892,340130,9,100,'Inflicts 963 - 1605 melee damage on target',0,0),
(54893,340130,9,100,'Decreases Combat Mitigation of target by 19.84',0,1),
(54894,340130,9,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 3610',0,2),
(54895,340130,9,100,'Must be flanking or behind',0,3),
(54896,340130,10,100,'Inflicts 1011 - 1685 melee damage on target',0,0),
(54897,340130,10,100,'Decreases Combat Mitigation of target by 20.83',0,1),
(54898,340130,10,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 3790',0,2),
(54899,340130,10,100,'Must be flanking or behind',0,3),
(54900,40143,1,100,'Inflicts 4 - 14 slashing damage on target',0,0),
(54901,40143,1,100,'Inflicts 10 slashing damage on target instantly and every 4 seconds',0,1),
(54902,40143,1,100,'Decreases Haste of target by 5.1',0,2),
(54903,40143,2,100,'Inflicts 5 - 15 slashing damage on target',0,0),
(54904,40143,2,100,'Inflicts 10 slashing damage on target instantly and every 4 seconds',0,1),
(54905,40143,2,100,'Decreases Haste of target by 5.4',0,2),
(54906,40143,3,100,'Inflicts 5 - 16 slashing damage on target',0,0),
(54907,40143,3,100,'Inflicts 11 slashing damage on target instantly and every 4 seconds',0,1),
(54908,40143,3,100,'Decreases Haste of target by 5.7',0,2),
(54909,40143,4,100,'Inflicts 5 - 17 slashing damage on target',0,0),
(54910,40143,4,100,'Inflicts 12 slashing damage on target instantly and every 4 seconds',0,1),
(54911,40143,4,100,'Decreases Haste of target by 6.3',0,2),
(54912,40143,5,100,'Inflicts 6 - 19 slashing damage on target',0,0),
(54913,40143,5,100,'Inflicts 13 slashing damage on target instantly and every 4 seconds',0,1),
(54914,40143,5,100,'Decreases Haste of target by 6.8',0,2),
(54915,40143,7,100,'Inflicts 8 - 24 slashing damage on target',0,0),
(54916,40143,7,100,'Inflicts 17 slashing damage on target instantly and every 4 seconds',0,1),
(54917,40143,7,100,'Decreases Haste of target by 8.8',0,2),
(54918,40143,9,100,'Inflicts 8 - 25 slashing damage on target',0,0),
(54919,40143,9,100,'Inflicts 17 slashing damage on target instantly and every 4 seconds',0,1),
(54920,40143,9,100,'Decreases Haste of target by 9.1',0,2),
(54921,40143,10,100,'Inflicts 9 - 27 slashing damage on target',0,0),
(54922,40143,10,100,'Inflicts 18 slashing damage on target instantly and every 4 seconds',0,1),
(54923,40143,10,100,'Decreases Haste of target by 9.6',0,2),
(54924,40144,1,100,'Inflicts 10 - 30 slashing damage on target',0,0),
(54925,40144,1,100,'Inflicts 20 slashing damage on target instantly and every 4 seconds',0,1),
(54926,40144,1,100,'Has a chance to go berserk',0,2),
(54927,40144,2,100,'Inflicts 10 - 32 slashing damage on target',0,0),
(54928,40144,2,100,'Inflicts 21 slashing damage on target instantly and every 4 seconds',0,1),
(54929,40144,2,100,'Has a chance to go berserk',0,2),
(54930,40144,3,100,'Inflicts 11 - 33 slashing damage on target',0,0),
(54931,40144,3,100,'Inflicts 23 slashing damage on target instantly and every 4 seconds',0,1),
(54932,40144,3,100,'Has a chance to go berserk',0,2),
(54933,40144,4,100,'Inflicts 12 - 37 slashing damage on target',0,0),
(54934,40144,4,100,'Inflicts 25 slashing damage on target instantly and every 4 seconds',0,1),
(54935,40144,4,100,'Has a chance to go berserk',0,2),
(54936,40144,5,100,'Inflicts 13 - 40 slashing damage on target',0,0),
(54937,40144,5,100,'Inflicts 27 slashing damage on target instantly and every 4 seconds',0,1),
(54938,40144,5,100,'Has a chance to go berserk',0,2),
(54939,40144,7,100,'Inflicts 17 - 52 slashing damage on target',0,0),
(54940,40144,7,100,'Inflicts 35 slashing damage on target instantly and every 4 seconds',0,1),
(54941,40144,7,100,'Has a chance to go berserk',0,2),
(54942,40144,9,100,'Inflicts 18 - 54 slashing damage on target',0,0),
(54943,40144,9,100,'Inflicts 36 slashing damage on target instantly and every 4 seconds',0,1),
(54944,40144,9,100,'Has a chance to go berserk',0,2),
(54945,40145,1,100,'Inflicts 16 - 48 slashing damage on target',0,0),
(54946,40145,1,100,'Inflicts 32 slashing damage on target instantly and every 4 seconds',0,1),
(54947,40145,1,100,'Decreases Haste of target by 6.4',0,2),
(54948,40145,2,100,'Inflicts 16 - 50 slashing damage on target',0,0),
(54949,40145,2,100,'Inflicts 34 slashing damage on target instantly and every 4 seconds',0,1),
(54950,40145,2,100,'Decreases Haste of target by 6.7',0,2),
(54951,40145,3,100,'Inflicts 17 - 53 slashing damage on target',0,0),
(54952,40145,3,100,'Inflicts 36 slashing damage on target instantly and every 4 seconds',0,1),
(54953,40145,3,100,'Decreases Haste of target by 7.1',0,2),
(54954,40145,4,100,'Inflicts 19 - 58 slashing damage on target',0,0),
(54955,40145,4,100,'Inflicts 39 slashing damage on target instantly and every 4 seconds',0,1),
(54956,40145,4,100,'Decreases Haste of target by 7.8',0,2),
(54957,40145,5,100,'Inflicts 21 - 64 slashing damage on target',0,0),
(54958,40145,5,100,'Inflicts 43 slashing damage on target instantly and every 4 seconds',0,1),
(54959,40145,5,100,'Decreases Haste of target by 8.5',0,2),
(54960,40145,7,100,'Inflicts 27 - 82 slashing damage on target',0,0),
(54961,40145,7,100,'Inflicts 55 slashing damage on target instantly and every 4 seconds',0,1),
(54962,40145,7,100,'Decreases Haste of target by 10.9',0,2),
(54963,40145,9,100,'Inflicts 28 - 85 slashing damage on target',0,0),
(54964,40145,9,100,'Inflicts 57 slashing damage on target instantly and every 4 seconds',0,1),
(54965,40145,9,100,'Decreases Haste of target by 11.4',0,2),
(54966,40146,1,100,'Inflicts 23 - 69 slashing damage on target',0,0),
(54967,40146,1,100,'Inflicts 46 slashing damage on target instantly and every 4 seconds',0,1),
(54968,40146,1,100,'Decreases Haste of target by 7.0',0,2),
(54969,40146,2,100,'Inflicts 24 - 73 slashing damage on target',0,0),
(54970,40146,2,100,'Inflicts 49 slashing damage on target instantly and every 4 seconds',0,1),
(54971,40146,2,100,'Decreases Haste of target by 7.4',0,2),
(54972,40146,3,100,'Inflicts 25 - 77 slashing damage on target',0,0),
(54973,40146,3,100,'Inflicts 51 slashing damage on target instantly and every 4 seconds',0,1),
(54974,40146,3,100,'Decreases Haste of target by 7.8',0,2),
(54975,40146,4,100,'Inflicts 28 - 84 slashing damage on target',0,0),
(54976,40146,4,100,'Inflicts 57 slashing damage on target instantly and every 4 seconds',0,1),
(54977,40146,4,100,'Decreases Haste of target by 8.6',0,2),
(54978,40146,5,100,'Inflicts 30 - 92 slashing damage on target',0,0),
(54979,40146,5,100,'Inflicts 62 slashing damage on target instantly and every 4 seconds',0,1),
(54980,40146,5,100,'Decreases Haste of target by 9.4',0,2),
(54981,40146,7,100,'Inflicts 39 - 118 slashing damage on target',0,0),
(54982,40146,7,100,'Inflicts 79 slashing damage on target instantly and every 4 seconds',0,1),
(54983,40146,7,100,'Decreases Haste of target by 12.0',0,2),
(54984,40146,9,100,'Inflicts 41 - 123 slashing damage on target',0,0),
(54985,40146,9,100,'Inflicts 82 slashing damage on target instantly and every 4 seconds',0,1),
(54986,40146,9,100,'Decreases Haste of target by 12.5',0,2),
(54987,40147,1,100,'Inflicts 30 - 90 slashing damage on target',0,0),
(54988,40147,1,100,'Inflicts 60 slashing damage on target instantly and every 4 seconds',0,1),
(54989,40147,1,100,'Decreases Haste of target by 7.6',0,2),
(54990,40147,2,100,'Inflicts 31 - 95 slashing damage on target',0,0),
(54991,40147,2,100,'Inflicts 64 slashing damage on target instantly and every 4 seconds',0,1),
(54992,40147,2,100,'Decreases Haste of target by 8.1',0,2),
(54993,40147,3,100,'Inflicts 33 - 100 slashing damage on target',0,0),
(54994,40147,3,100,'Inflicts 67 slashing damage on target instantly and every 4 seconds',0,1),
(54995,40147,3,100,'Decreases Haste of target by 8.5',0,2),
(54996,40147,4,100,'Inflicts 36 - 110 slashing damage on target',0,0),
(54997,40147,4,100,'Inflicts 74 slashing damage on target instantly and every 4 seconds',0,1),
(54998,40147,4,100,'Decreases Haste of target by 9.4',0,2),
(54999,40147,5,100,'Inflicts 40 - 120 slashing damage on target',0,0),
(55000,40147,5,100,'Inflicts 81 slashing damage on target instantly and every 4 seconds',0,1),
(55001,40147,5,100,'Decreases Haste of target by 10.2',0,2),
(55002,40147,7,100,'Inflicts 51 - 155 slashing damage on target',0,0),
(55003,40147,7,100,'Inflicts 103 slashing damage on target instantly and every 4 seconds',0,1),
(55004,40147,7,100,'Decreases Haste of target by 13.1',0,2),
(55005,40147,9,100,'Inflicts 53 - 161 slashing damage on target',0,0),
(55006,40147,9,100,'Inflicts 107 slashing damage on target instantly and every 4 seconds',0,1),
(55007,40147,9,100,'Decreases Haste of target by 13.6',0,2),
(55008,40148,1,100,'Inflicts 36 - 109 slashing damage on target',0,0),
(55009,40148,1,100,'Inflicts 73 slashing damage on target instantly and every 4 seconds',0,1),
(55010,40148,1,100,'Decreases Haste of target by 8.1',0,2),
(55011,40148,2,100,'Inflicts 38 - 116 slashing damage on target',0,0),
(55012,40148,2,100,'Inflicts 77 slashing damage on target instantly and every 4 seconds',0,1),
(55013,40148,2,100,'Decreases Haste of target by 8.6',0,2),
(55014,40148,3,100,'Inflicts 40 - 122 slashing damage on target',0,0),
(55015,40148,3,100,'Inflicts 81 slashing damage on target instantly and every 4 seconds',0,1),
(55016,40148,3,100,'Decreases Haste of target by 9.0',0,2),
(55017,40148,4,100,'Inflicts 44 - 134 slashing damage on target',0,0),
(55018,40148,4,100,'Inflicts 90 slashing damage on target instantly and every 4 seconds',0,1),
(55019,40148,4,100,'Decreases Haste of target by 9.9',0,2),
(55020,40148,5,100,'Inflicts 48 - 146 slashing damage on target',0,0),
(55021,40148,5,100,'Inflicts 98 slashing damage on target instantly and every 4 seconds',0,1),
(55022,40148,5,100,'Decreases Haste of target by 10.8',0,2),
(55023,40148,7,100,'Inflicts 62 - 188 slashing damage on target',0,0),
(55024,40148,7,100,'Inflicts 125 slashing damage on target instantly and every 4 seconds',0,1),
(55025,40148,7,100,'Decreases Haste of target by 13.9',0,2),
(55026,40148,9,100,'Inflicts 65 - 195 slashing damage on target',0,0),
(55027,40148,9,100,'Inflicts 130 slashing damage on target instantly and every 4 seconds',0,1),
(55028,40148,9,100,'Decreases Haste of target by 14.4',0,2),
(55029,40149,1,100,'Inflicts 44 - 132 slashing damage on target',0,0),
(55030,40149,1,100,'Inflicts 88 slashing damage on target instantly and every 4 seconds',0,1),
(55031,40149,1,100,'Decreases Haste of target by 8.6',0,2),
(55032,40149,4,100,'Inflicts 53 - 161 slashing damage on target',0,0),
(55033,40149,4,100,'Inflicts 108 slashing damage on target instantly and every 4 seconds',0,1),
(55034,40149,4,100,'Decreases Haste of target by 10.4',0,2),
(55035,40149,5,100,'Inflicts 58 - 176 slashing damage on target',0,0),
(55036,40149,5,100,'Inflicts 118 slashing damage on target instantly and every 4 seconds',0,1),
(55037,40149,5,100,'Decreases Haste of target by 11.4',0,2),
(55038,40149,7,100,'Inflicts 75 - 226 slashing damage on target',0,0),
(55039,40149,7,100,'Inflicts 151 slashing damage on target instantly and every 4 seconds',0,1),
(55040,40149,7,100,'Decreases Haste of target by 14.6',0,2),
(55041,40149,9,100,'Inflicts 78 - 235 slashing damage on target',0,0),
(55042,40149,9,100,'Inflicts 157 slashing damage on target instantly and every 4 seconds',0,1),
(55043,40149,9,100,'Decreases Haste of target by 15.2',0,2),
(55044,40150,1,100,'Inflicts 46 - 140 slashing damage on target',0,0),
(55045,40150,1,100,'Inflicts 94 slashing damage on target instantly and every 4 seconds',0,1),
(55046,40150,1,100,'Decreases Haste of target by 9.0',0,2),
(55047,40150,4,100,'Inflicts 57 - 171 slashing damage on target',0,0),
(55048,40150,4,100,'Inflicts 114 slashing damage on target instantly and every 4 seconds',0,1),
(55049,40150,4,100,'Decreases Haste of target by 11.0',0,2),
(55050,40150,5,100,'Inflicts 62 - 187 slashing damage on target',0,0),
(55051,40150,5,100,'Inflicts 125 slashing damage on target instantly and every 4 seconds',0,1),
(55052,40150,5,100,'Decreases Haste of target by 12.0',0,2),
(55053,40150,7,100,'Inflicts 80 - 240 slashing damage on target',0,0),
(55054,40150,7,100,'Inflicts 160 slashing damage on target instantly and every 4 seconds',0,1);
INSERT INTO `spell_display_effects` VALUES
(55055,40150,7,100,'Decreases Haste of target by 15.4',0,2),
(55056,40150,9,100,'Inflicts 83 - 249 slashing damage on target',0,0),
(55057,40150,9,100,'Inflicts 166 slashing damage on target instantly and every 4 seconds',0,1),
(55058,40150,9,100,'Decreases Haste of target by 16.0',0,2),
(55059,2000169,3,100,'Inflicts 9 - 15 magic damage on target',0,0),
(55060,2000169,4,100,'Inflicts 9 - 16 magic damage on target',0,0),
(55061,2000169,5,100,'Inflicts 10 - 18 magic damage on target',0,0),
(55062,2000169,7,100,'Inflicts 13 - 23 magic damage on target',0,0),
(55063,2000169,9,100,'Inflicts 14 - 24 magic damage on target',0,0),
(55064,2000169,10,100,'Inflicts 15 - 25 magic damage on target',0,0),
(55065,390103,1,100,'Inflicts 104 - 174 ranged damage on targets in Area of Effect',0,0),
(55066,390103,1,100,'You must be in stealth to use this!',0,1),
(55067,390103,1,100,'Requires bow or aim',0,2),
(55068,390103,2,100,'Inflicts 110 - 184 ranged damage on targets in Area of Effect',0,0),
(55069,390103,2,100,'You must be in stealth to use this!',0,1),
(55070,390103,2,100,'Requires bow or aim',0,2),
(55071,390103,3,100,'Inflicts 116 - 194 ranged damage on targets in Area of Effect',0,0),
(55072,390103,3,100,'You must be in stealth to use this!',0,1),
(55073,390103,3,100,'Requires bow or aim',0,2),
(55074,390103,4,100,'Inflicts 128 - 213 ranged damage on targets in Area of Effect',0,0),
(55075,390103,4,100,'You must be in stealth to use this!',0,1),
(55076,390103,4,100,'Requires bow or aim',0,2),
(55077,390103,5,100,'Inflicts 139 - 232 ranged damage on targets in Area of Effect',0,0),
(55078,390103,5,100,'You must be in stealth to use this!',0,1),
(55079,390103,5,100,'Requires bow or aim',0,2),
(55080,390103,7,100,'Inflicts 179 - 298 ranged damage on targets in Area of Effect',0,0),
(55081,390103,7,100,'You must be in stealth to use this!',0,1),
(55082,390103,7,100,'Requires bow or aim',0,2),
(55083,390103,9,100,'Inflicts 186 - 310 ranged damage on targets in Area of Effect',0,0),
(55084,390103,9,100,'You must be in stealth to use this!',0,1),
(55085,390103,9,100,'Requires bow or aim',0,2),
(55086,390104,1,100,'Inflicts 194 - 324 ranged damage on targets in Area of Effect',0,0),
(55087,390104,1,100,'You must be in stealth to use this!',0,1),
(55088,390104,1,100,'Requires bow or aim',0,2),
(55089,390104,2,100,'Inflicts 205 - 342 ranged damage on targets in Area of Effect',0,0),
(55090,390104,2,100,'You must be in stealth to use this!',0,1),
(55091,390104,2,100,'Requires bow or aim',0,2),
(55092,390104,3,100,'Inflicts 216 - 360 ranged damage on targets in Area of Effect',0,0),
(55093,390104,3,100,'You must be in stealth to use this!',0,1),
(55094,390104,3,100,'Requires bow or aim',0,2),
(55095,390104,4,100,'Inflicts 237 - 396 ranged damage on targets in Area of Effect',0,0),
(55096,390104,4,100,'You must be in stealth to use this!',0,1),
(55097,390104,4,100,'Requires bow or aim',0,2),
(55098,390104,5,100,'Inflicts 259 - 432 ranged damage on targets in Area of Effect',0,0),
(55099,390104,5,100,'You must be in stealth to use this!',0,1),
(55100,390104,5,100,'Requires bow or aim',0,2),
(55101,390104,7,100,'Inflicts 333 - 555 ranged damage on targets in Area of Effect',0,0),
(55102,390104,7,100,'You must be in stealth to use this!',0,1),
(55103,390104,7,100,'Requires bow or aim',0,2),
(55104,390104,9,100,'Inflicts 346 - 576 ranged damage on targets in Area of Effect',0,0),
(55105,390104,9,100,'You must be in stealth to use this!',0,1),
(55106,390104,9,100,'Requires bow or aim',0,2),
(55107,390105,1,100,'Inflicts 296 - 494 ranged damage on targets in Area of Effect',0,0),
(55108,390105,1,100,'You must be in stealth to use this!',0,1),
(55109,390105,1,100,'Requires bow or aim',0,2),
(55110,390105,2,100,'Inflicts 313 - 522 ranged damage on targets in Area of Effect',0,0),
(55111,390105,2,100,'You must be in stealth to use this!',0,1),
(55112,390105,2,100,'Requires bow or aim',0,2),
(55113,390105,3,100,'Inflicts 329 - 549 ranged damage on targets in Area of Effect',0,0),
(55114,390105,3,100,'You must be in stealth to use this!',0,1),
(55115,390105,3,100,'Requires bow or aim',0,2),
(55116,390105,4,100,'Inflicts 362 - 604 ranged damage on targets in Area of Effect',0,0),
(55117,390105,4,100,'You must be in stealth to use this!',0,1),
(55118,390105,4,100,'Requires bow or aim',0,2),
(55119,390105,5,100,'Inflicts 395 - 659 ranged damage on targets in Area of Effect',0,0),
(55120,390105,5,100,'You must be in stealth to use this!',0,1),
(55121,390105,5,100,'Requires bow or aim',0,2),
(55122,390105,7,100,'Inflicts 507 - 846 ranged damage on targets in Area of Effect',0,0),
(55123,390105,7,100,'You must be in stealth to use this!',0,1),
(55124,390105,7,100,'Requires bow or aim',0,2),
(55125,390105,9,100,'Inflicts 527 - 879 ranged damage on targets in Area of Effect',0,0),
(55126,390105,9,100,'You must be in stealth to use this!',0,1),
(55127,390105,9,100,'Requires bow or aim',0,2),
(55128,390106,1,100,'Inflicts 410 - 684 ranged damage on targets in Area of Effect',0,0),
(55129,390106,1,100,'You must be in stealth to use this!',0,1),
(55130,390106,1,100,'Requires bow or aim',0,2),
(55131,390106,2,100,'Inflicts 433 - 722 ranged damage on targets in Area of Effect',0,0),
(55132,390106,2,100,'You must be in stealth to use this!',0,1),
(55133,390106,2,100,'Requires bow or aim',0,2),
(55134,390106,3,100,'Inflicts 456 - 760 ranged damage on targets in Area of Effect',0,0),
(55135,390106,3,100,'You must be in stealth to use this!',0,1),
(55136,390106,3,100,'Requires bow or aim',0,2),
(55137,390106,4,100,'Inflicts 501 - 836 ranged damage on targets in Area of Effect',0,0),
(55138,390106,4,100,'You must be in stealth to use this!',0,1),
(55139,390106,4,100,'Requires bow or aim',0,2),
(55140,390106,5,100,'Inflicts 547 - 912 ranged damage on targets in Area of Effect',0,0),
(55141,390106,5,100,'You must be in stealth to use this!',0,1),
(55142,390106,5,100,'Requires bow or aim',0,2),
(55143,390106,7,100,'Inflicts 702 - 1170 ranged damage on targets in Area of Effect',0,0),
(55144,390106,7,100,'You must be in stealth to use this!',0,1),
(55145,390106,7,100,'Requires bow or aim',0,2),
(55146,390106,9,100,'Inflicts 729 - 1216 ranged damage on targets in Area of Effect',0,0),
(55147,390106,9,100,'You must be in stealth to use this!',0,1),
(55148,390106,9,100,'Requires bow or aim',0,2),
(55149,390106,10,100,'Inflicts 766 - 1276 ranged damage on targets in Area of Effect',0,0),
(55150,390106,10,100,'You must be in stealth to use this!',0,1),
(55151,390106,10,100,'Requires bow or aim',0,2),
(55152,390107,1,100,'Inflicts 514 - 857 ranged damage on targets in Area of Effect',0,0),
(55153,390107,1,100,'You must be in stealth to use this!',0,1),
(55154,390107,1,100,'Requires bow or aim',0,2),
(55155,390107,2,100,'Inflicts 542 - 904 ranged damage on targets in Area of Effect',0,0),
(55156,390107,2,100,'You must be in stealth to use this!',0,1),
(55157,390107,2,100,'Requires bow or aim',0,2),
(55158,390107,3,100,'Inflicts 571 - 952 ranged damage on targets in Area of Effect',0,0),
(55159,390107,3,100,'You must be in stealth to use this!',0,1),
(55160,390107,3,100,'Requires bow or aim',0,2),
(55161,390107,4,100,'Inflicts 628 - 1047 ranged damage on targets in Area of Effect',0,0),
(55162,390107,4,100,'You must be in stealth to use this!',0,1),
(55163,390107,4,100,'Requires bow or aim',0,2),
(55164,390107,5,100,'Inflicts 685 - 1142 ranged damage on targets in Area of Effect',0,0),
(55165,390107,5,100,'You must be in stealth to use this!',0,1),
(55166,390107,5,100,'Requires bow or aim',0,2),
(55167,390107,7,100,'Inflicts 879 - 1466 ranged damage on targets in Area of Effect',0,0),
(55168,390107,7,100,'You must be in stealth to use this!',0,1),
(55169,390107,7,100,'Requires bow or aim',0,2),
(55170,390107,9,100,'Inflicts 914 - 1523 ranged damage on targets in Area of Effect',0,0),
(55171,390107,9,100,'You must be in stealth to use this!',0,1),
(55172,390107,9,100,'Requires bow or aim',0,2),
(55173,390108,1,100,'Inflicts 621 - 1036 ranged damage on targets in Area of Effect',0,0),
(55174,390108,1,100,'You must be in stealth to use this!',0,1),
(55175,390108,1,100,'Requires bow or aim',0,2),
(55176,390108,4,100,'Inflicts 760 - 1266 ranged damage on targets in Area of Effect',0,0),
(55177,390108,4,100,'You must be in stealth to use this!',0,1),
(55178,390108,4,100,'Requires bow or aim',0,2),
(55179,390108,5,100,'Inflicts 829 - 1382 ranged damage on targets in Area of Effect',0,0),
(55180,390108,5,100,'You must be in stealth to use this!',0,1),
(55181,390108,5,100,'Requires bow or aim',0,2),
(55182,390108,7,100,'Inflicts 1064 - 1773 ranged damage on targets in Area of Effect',0,0),
(55183,390108,7,100,'You must be in stealth to use this!',0,1),
(55184,390108,7,100,'Requires bow or aim',0,2),
(55185,390108,9,100,'Inflicts 1105 - 1842 ranged damage on targets in Area of Effect',0,0),
(55186,390108,9,100,'You must be in stealth to use this!',0,1),
(55187,390108,9,100,'Requires bow or aim',0,2),
(55188,390108,10,100,'Inflicts 1160 - 1934 ranged damage on targets in Area of Effect',0,0),
(55189,390108,10,100,'You must be in stealth to use this!',0,1),
(55190,390108,10,100,'Requires bow or aim',0,2),
(55191,390109,1,100,'Inflicts 718 - 1196 ranged damage on targets in Area of Effect',0,0),
(55192,390109,1,100,'I need to be stealthed!',0,1),
(55193,390109,1,100,'Requires bow or aim',0,2),
(55194,390109,4,100,'Inflicts 877 - 1462 ranged damage on targets in Area of Effect',0,0),
(55195,390109,4,100,'I need to be stealthed!',0,1),
(55196,390109,4,100,'Requires bow or aim',0,2),
(55197,390109,5,100,'Inflicts 957 - 1595 ranged damage on targets in Area of Effect',0,0),
(55198,390109,5,100,'I need to be stealthed!',0,1),
(55199,390109,5,100,'Requires bow or aim',0,2),
(55200,390109,7,100,'Inflicts 1228 - 2047 ranged damage on targets in Area of Effect',0,0),
(55201,390109,7,100,'I need to be stealthed!',0,1),
(55202,390109,7,100,'Requires bow or aim',0,2),
(55203,390109,9,100,'Inflicts 1276 - 2127 ranged damage on targets in Area of Effect',0,0),
(55204,390109,9,100,'I need to be stealthed!',0,1),
(55205,390109,9,100,'Requires bow or aim',0,2),
(55206,390109,10,100,'Inflicts 1340 - 2234 ranged damage on targets in Area of Effect',0,0),
(55207,390109,10,100,'I need to be stealthed!',0,1),
(55208,390109,10,100,'Requires bow or aim',0,2),
(55209,2000170,1,100,'Inflicts 2 - 3 melee damage on target',0,0),
(55210,2000170,1,100,'Increases Haste of caster by 22.5',0,1),
(55211,2000170,2,100,'Inflicts 271 - 452 melee damage on target',0,0),
(55212,2000170,2,100,'Increases Attack Speed of caster by 23.8',0,1),
(55213,2000170,3,100,'Inflicts 285 - 476 melee damage on target',0,0),
(55214,2000170,3,100,'Increases Attack Speed of caster by 25.0',0,1),
(55215,2000170,4,100,'Inflicts 419 - 698 melee damage on target',0,0),
(55216,2000170,4,100,'Increases Haste of caster by 27.5',0,1),
(55217,2000170,5,100,'Inflicts 342 - 571 melee damage on target',0,0),
(55218,2000170,5,100,'Increases Attack Speed of caster by 30.0',0,1),
(55219,2000170,6,100,'Inflicts 371 - 619 melee damage on target',0,0),
(55220,2000170,6,100,'Increases Attack Speed of caster by 32.5',0,1),
(55221,2000170,7,100,'Inflicts 586 - 977 melee damage on target',0,0),
(55222,2000170,7,100,'Increases Haste of caster by 38.5',0,1),
(55223,2000170,8,100,'Inflicts 590 - 984 melee damage on target',0,0),
(55224,2000170,8,100,'Increases Haste of caster by 38.7',0,1),
(55225,2000170,9,100,'Inflicts 609 - 1015 melee damage on target',0,0),
(55226,2000170,9,100,'Increases Haste of caster by 40.0',0,1),
(55227,2000170,10,100,'Inflicts 480 - 800 melee damage on target',0,0),
(55228,2000170,10,100,'Increases Attack Speed of caster by 42.0',0,1),
(55229,2000171,1,100,'Inflicts 0 - 1 melee damage on target',0,0),
(55230,2000172,3,100,'Inflicts 2 - 3 poison damage on target encounter',0,0),
(55231,2000172,3,100,'Increases Mitigation of target encounter vs noxious damage by 0',0,1),
(55232,2000172,4,100,'Inflicts 2 - 4 poison damage on target encounter',0,0),
(55233,2000172,4,100,'Increases Mitigation of target encounter vs noxious damage by 0',0,1),
(55234,2000172,5,100,'Inflicts 2 - 4 poison damage on target encounter',0,0),
(55235,2000172,5,100,'Increases Mitigation of target encounter vs noxious damage by 0',0,1),
(55236,2000172,7,100,'Inflicts 3 - 5 poison damage on target encounter',0,0),
(55237,2000172,7,100,'Increases Mitigation of target encounter vs noxious damage by 0',0,1),
(55238,2000172,9,100,'Inflicts 3 - 6 poison damage on target encounter',0,0),
(55239,2000172,9,100,'Increases Mitigation of target encounter vs noxious damage by 0',0,1),
(55240,2000172,10,100,'Inflicts 3 - 6 poison damage on target encounter',0,0),
(55241,2000172,10,100,'Increases Mitigation of target encounter vs noxious damage by 0',0,1),
(55242,2000173,1,100,'When damaged with a melee weapon this spell will cast Neurotoxin on target''s attacker.  Lasts for 10.0 seconds.  ',0,0),
(55243,2000173,1,100,'Decreases Disruption, Focus, Ministration, Ordination, Ranged and Subjugation of target by 10.1',1,1),
(55244,2000173,1,100,'Decreases Crushing, Piercing and Slashing of target by 6.7',1,2),
(55245,2000173,2,100,'When damaged with a melee weapon this spell will cast Neurotoxin on target''s attacker.  Lasts for 10.0 seconds.  ',0,0),
(55246,2000173,2,100,'Decreases Disruption, Focus, Ministration, Ordination, Ranged and Subjugation of target by 19.8',1,1),
(55247,2000173,2,100,'Decreases Crushing, Piercing and Slashing of target by 13.2',1,2),
(55248,2000173,3,100,'When damaged with a melee weapon this spell will cast Neurotoxin on target''s attacker.  Lasts for 10.0 seconds.  ',0,0),
(55249,2000173,3,100,'Decreases Disruption, Focus, Ministration, Ordination, Ranged and Subjugation of target by 30.2',1,1),
(55250,2000173,3,100,'Decreases Crushing, Piercing and Slashing of target by 20.1',1,2),
(55251,2000173,4,100,'When damaged with a melee weapon this spell will cast Neurotoxin on target''s attacker.  Lasts for 10.0 seconds.  ',0,0),
(55252,2000173,4,100,'Decreases Disruption, Focus, Ministration, Ordination, Ranged and Subjugation of target by 39.6',1,1),
(55253,2000173,4,100,'Decreases Crushing, Piercing and Slashing of target by 26.4',1,2),
(55254,2000173,5,100,'When damaged with a melee weapon this spell will cast Neurotoxin on target''s attacker.  Lasts for 10.0 seconds.  ',0,0),
(55255,2000173,5,100,'Decreases Disruption, Focus, Ministration, Ordination, Ranged and Subjugation of target by 50.3',1,1),
(55256,2000173,5,100,'Decreases Crushing, Piercing and Slashing of target by 33.5',1,2),
(55257,2000173,6,100,'When damaged with a melee weapon this spell will cast Neurotoxin on target''s attacker.  Lasts for 10.0 seconds.  ',0,0),
(55258,2000173,6,100,'Decreases Disruption, Focus, Ministration, Ordination, Ranged and Subjugation of target by 60.3',1,1),
(55259,2000173,6,100,'Decreases Crushing, Piercing and Slashing of target by 40.2',1,2),
(55260,2000173,7,100,'When damaged with a melee weapon this spell will cast Neurotoxin on target''s attacker.  Lasts for 10.0 seconds.  ',0,0),
(55261,2000173,7,100,'Decreases Disruption, Focus, Ministration, Ordination, Ranged and Subjugation of target by 69.3',1,1),
(55262,2000173,7,100,'Decreases Crushing, Piercing and Slashing of target by 46.2',1,2),
(55263,2000173,8,100,'When damaged with a melee weapon this spell will cast Neurotoxin on target''s attacker.  Lasts for 10.0 seconds.  ',0,0),
(55264,2000173,8,100,'Decreases Disruption, Focus, Ministration, Ordination, Ranged and Subjugation of target by 80.4',1,1),
(55265,2000173,8,100,'Decreases Crushing, Piercing and Slashing of target by 53.6',1,2),
(55266,2000173,9,100,'When damaged with a melee weapon this spell will cast Neurotoxin on target''s attacker.  Lasts for 10.0 seconds.  ',0,0),
(55267,2000173,9,100,'Decreases Disruption, Focus, Ministration, Ordination, Ranged and Subjugation of target by 89.1',1,1),
(55268,2000173,9,100,'Decreases Crushing, Piercing and Slashing of target by 59.4',1,2),
(55269,2000173,10,100,'When damaged with a melee weapon this spell will cast Neurotoxin on target''s attacker.  Lasts for 10.0 seconds.  ',0,0),
(55270,2000173,10,100,'Decreases Disruption, Focus, Ministration, Ordination, Ranged and Subjugation of target by 100.5',1,1),
(55271,2000173,10,100,'Decreases Crushing, Piercing and Slashing of target by 67.0',1,2),
(55272,420053,1,100,'Inflicts 399 - 665 poison damage on target',0,0),
(55273,420053,1,100,'Inflicts 2 - 4 poison damage on target every 2 seconds',0,1),
(55274,420053,1,100,'Increases savagery of caster by 20.0',0,2),
(55275,420053,1,100,'This effect cannot be critically applied.',1,3),
(55276,420053,1,100,'Must be flanking or behind',0,4),
(55277,30114,1,100,'Grants target a 13% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(55278,30114,1,100,'Increases Parry of caster by 2.8',0,1),
(55279,30114,2,100,'Grants target a 14% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(55280,30114,2,100,'Increases Parry of caster by 3.0',0,1),
(55281,30114,3,100,'Grants target a 15% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(55282,30114,3,100,'Increases Parry of caster by 3.2',0,1),
(55283,30114,4,100,'Grants target a 17% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(55284,30114,4,100,'Increases Parry of caster by 3.5',0,1),
(55285,30114,5,100,'Grants target a 18% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(55286,30114,5,100,'Increases Parry of caster by 3.8',0,1),
(55287,30114,7,100,'Grants target a 23% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(55288,30114,7,100,'Increases Parry of caster by 4.9',0,1),
(55289,30114,9,100,'Grants target a 24% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(55290,30114,9,100,'Increases Parry of caster by 5.0',0,1),
(55291,30115,1,100,'Grants target a 18% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(55292,30115,1,100,'Increases Parry of caster by 4.3',0,1),
(55293,30115,2,100,'Grants target a 19% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(55294,30115,2,100,'Increases Parry of caster by 4.6',0,1),
(55295,30115,3,100,'Grants target a 21% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(55296,30115,3,100,'Increases Parry of caster by 4.8',0,1),
(55297,30115,4,100,'Grants target a 23% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(55298,30115,4,100,'Increases Parry of caster by 5.3',0,1),
(55299,30115,5,100,'Grants target a 25% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(55300,30115,5,100,'Increases Parry of caster by 5.8',0,1),
(55301,30115,7,100,'Grants target a 32% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(55302,30115,7,100,'Increases Parry of caster by 7.4',0,1),
(55303,30115,9,100,'Grants target a 33% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(55304,30115,9,100,'Increases Parry of caster by 7.7',0,1),
(55305,30115,10,100,'Grants target a 35% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(55306,30115,10,100,'Increases Parry of caster by 8.1',0,1),
(55307,30116,1,100,'Grants target a 25% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(55308,30116,1,100,'Increases Parry of caster by 6.2',0,1),
(55309,30116,2,100,'Grants target a 26% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(55310,30116,2,100,'Increases Parry of caster by 6.6',0,1),
(55311,30116,3,100,'Grants target a 28% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(55312,30116,3,100,'Increases Parry of caster by 6.9',0,1),
(55313,30116,4,100,'Grants target a 30% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(55314,30116,4,100,'Increases Parry of caster by 7.6',0,1),
(55315,30116,5,100,'Grants target a 33% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(55316,30116,5,100,'Increases Parry of caster by 8.3',0,1),
(55317,30116,7,100,'Grants target a 43% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(55318,30116,7,100,'Increases Parry of caster by 10.6',0,1),
(55319,30116,9,100,'Grants target a 44% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(55320,30116,9,100,'Increases Parry of caster by 11.0',0,1),
(55321,30117,1,100,'Grants target a 30% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(55322,30117,1,100,'Increases Parry of caster by 8.1',0,1),
(55323,30117,2,100,'Grants target a 32% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(55324,30117,2,100,'Increases Parry of caster by 8.6',0,1),
(55325,30117,3,100,'Grants target a 34% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(55326,30117,3,100,'Increases Parry of caster by 9.0',0,1),
(55327,30117,4,100,'Grants target a 37% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(55328,30117,4,100,'Increases Parry of caster by 9.9',0,1),
(55329,30117,5,100,'Grants target a 40% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(55330,30117,5,100,'Increases Parry of caster by 10.8',0,1),
(55331,30117,7,100,'Grants target a 52% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(55332,30117,7,100,'Increases Parry of caster by 13.9',0,1),
(55333,30117,9,100,'Grants target a 54% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(55334,30117,9,100,'Increases Parry of caster by 14.4',0,1),
(55335,360024,1,100,'Inflicts 11 - 19 melee damage on target',0,0),
(55336,360024,1,100,'Decreases INT of target by 7.6',0,1),
(55337,360024,1,100,'You must be sneaking to use this ability.',0,2),
(55338,360024,2,100,'Inflicts 12 - 20 melee damage on target',0,0),
(55339,360024,2,100,'Decreases INT of target by 8.0',0,1),
(55340,360024,2,100,'You must be sneaking to use this ability.',0,2),
(55341,360024,3,100,'Inflicts 13 - 21 melee damage on target',0,0),
(55342,360024,3,100,'Decreases INT of target by 8.4',0,1),
(55343,360024,3,100,'You must be sneaking to use this ability.',0,2),
(55344,360024,4,100,'Inflicts 14 - 23 melee damage on target',0,0),
(55345,360024,4,100,'Decreases INT of target by 9.2',0,1),
(55346,360024,4,100,'You must be sneaking to use this ability.',0,2),
(55347,360024,5,100,'Inflicts 15 - 26 melee damage on target',0,0),
(55348,360024,5,100,'Decreases INT of target by 10.1',0,1),
(55349,360024,5,100,'You must be sneaking to use this ability.',0,2),
(55350,360024,7,100,'Inflicts 20 - 33 melee damage on target',0,0),
(55351,360024,7,100,'Decreases INT of target by 12.9',0,1),
(55352,360024,7,100,'You must be sneaking to use this ability.',0,2),
(55353,360024,9,100,'Inflicts 20 - 34 melee damage on target',0,0),
(55354,360024,9,100,'Decreases INT of target by 13.4',0,1),
(55355,360024,9,100,'You must be sneaking to use this ability.',0,2),
(55356,360025,1,100,'Inflicts 46 - 77 melee damage on target',0,0),
(55357,360025,1,100,'Decreases INT of target by 10.4',0,1),
(55358,360025,1,100,'You must be sneaking to use this ability.',0,2),
(55359,360025,2,100,'Inflicts 49 - 81 melee damage on target',0,0),
(55360,360025,2,100,'Decreases INT of target by 11.0',0,1),
(55361,360025,2,100,'You must be sneaking to use this ability.',0,2),
(55362,360025,3,100,'Inflicts 51 - 86 melee damage on target',0,0),
(55363,360025,3,100,'Decreases INT of target by 11.6',0,1),
(55364,360025,3,100,'You must be sneaking to use this ability.',0,2),
(55365,360025,4,100,'Inflicts 56 - 94 melee damage on target',0,0),
(55366,360025,4,100,'Decreases INT of target by 12.7',0,1),
(55367,360025,4,100,'You must be sneaking to use this ability.',0,2),
(55368,360025,5,100,'Inflicts 62 - 103 melee damage on target',0,0),
(55369,360025,5,100,'Decreases INT of target by 13.9',0,1),
(55370,360025,5,100,'You must be sneaking to use this ability.',0,2),
(55371,360025,7,100,'Inflicts 79 - 132 melee damage on target',0,0),
(55372,360025,7,100,'Decreases INT of target by 17.8',0,1),
(55373,360025,7,100,'You must be sneaking to use this ability.',0,2),
(55374,360025,9,100,'Inflicts 82 - 137 melee damage on target',0,0),
(55375,360025,9,100,'Decreases INT of target by 18.5',0,1),
(55376,360025,9,100,'You must be sneaking to use this ability.',0,2),
(55377,360026,1,100,'Inflicts 106 - 178 melee damage on target',0,0),
(55378,360026,1,100,'Decreases INT of target by 22.5',0,1),
(55379,360026,1,100,'You must be sneaking to use this ability.',0,2),
(55380,360026,2,100,'Inflicts 112 - 188 melee damage on target',0,0),
(55381,360026,2,100,'Decreases INT of target by 23.8',0,1),
(55382,360026,2,100,'You must be sneaking to use this ability.',0,2),
(55383,360026,3,100,'Inflicts 118 - 198 melee damage on target',0,0),
(55384,360026,3,100,'Decreases INT of target by 25.0',0,1),
(55385,360026,3,100,'You must be sneaking to use this ability.',0,2),
(55386,360026,4,100,'Inflicts 130 - 217 melee damage on target',0,0),
(55387,360026,4,100,'Decreases INT of target by 27.6',0,1),
(55388,360026,4,100,'You must be sneaking to use this ability.',0,2),
(55389,360026,5,100,'Inflicts 142 - 237 melee damage on target',0,0),
(55390,360026,5,100,'Decreases INT of target by 30.1',0,1),
(55391,360026,5,100,'You must be sneaking to use this ability.',0,2),
(55392,360026,7,100,'Inflicts 182 - 304 melee damage on target',0,0),
(55393,360026,7,100,'Decreases INT of target by 38.6',0,1),
(55394,360026,7,100,'You must be sneaking to use this ability.',0,2),
(55395,360026,9,100,'Inflicts 190 - 316 melee damage on target',0,0),
(55396,360026,9,100,'Decreases INT of target by 40.1',0,1),
(55397,360026,9,100,'You must be sneaking to use this ability.',0,2),
(55398,360026,10,100,'Inflicts 199 - 332 melee damage on target',0,0),
(55399,360026,10,100,'Decreases INT of target by 42.1',0,1),
(55400,360026,10,100,'You must be sneaking to use this ability.',0,2),
(55401,360027,1,100,'Inflicts 190 - 317 melee damage on target',0,0),
(55402,360027,1,100,'Decreases INT of target by 36.5',0,1),
(55403,360027,1,100,'You must be sneaking to use this ability.',0,2),
(55404,360027,2,100,'Inflicts 200 - 334 melee damage on target',0,0),
(55405,360027,2,100,'Decreases INT of target by 38.5',0,1),
(55406,360027,2,100,'You must be sneaking to use this ability.',0,2),
(55407,360027,3,100,'Inflicts 211 - 352 melee damage on target',0,0),
(55408,360027,3,100,'Decreases INT of target by 40.5',0,1),
(55409,360027,3,100,'You must be sneaking to use this ability.',0,2),
(55410,360027,4,100,'Inflicts 232 - 387 melee damage on target',0,0),
(55411,360027,4,100,'Decreases INT of target by 44.5',0,1),
(55412,360027,4,100,'You must be sneaking to use this ability.',0,2),
(55413,360027,5,100,'Inflicts 253 - 422 melee damage on target',0,0),
(55414,360027,5,100,'Decreases INT of target by 48.6',0,1),
(55415,360027,5,100,'You must be sneaking to use this ability.',0,2),
(55416,360027,7,100,'Inflicts 325 - 542 melee damage on target',0,0),
(55417,360027,7,100,'Decreases INT of target by 62.4',0,1),
(55418,360027,7,100,'You must be sneaking to use this ability.',0,2),
(55419,360027,9,100,'Inflicts 338 - 563 melee damage on target',0,0),
(55420,360027,9,100,'Decreases INT of target by 64.8',0,1),
(55421,360027,9,100,'You must be sneaking to use this ability.',0,2),
(55422,360028,1,100,'Inflicts 665 - 1109 melee damage on target',0,0),
(55423,360028,1,100,'Decreases INT of target by 111.4',0,1),
(55424,360028,1,100,'You must be sneaking to use this ability.',0,2),
(55425,360028,4,100,'Inflicts 813 - 1356 melee damage on target',0,0),
(55426,360028,4,100,'Decreases INT of target by 136.1',0,1),
(55427,360028,4,100,'You must be sneaking to use this ability.',0,2),
(55428,360028,5,100,'Inflicts 887 - 1479 melee damage on target',0,0),
(55429,360028,5,100,'Decreases INT of target by 148.5',0,1),
(55430,360028,5,100,'You must be sneaking to use this ability.',0,2),
(55431,360028,7,100,'Inflicts 1139 - 1898 melee damage on target',0,0),
(55432,360028,7,100,'Decreases INT of target by 190.6',0,1),
(55433,360028,7,100,'You must be sneaking to use this ability.',0,2),
(55434,360028,9,100,'Inflicts 1183 - 1972 melee damage on target',0,0),
(55435,360028,9,100,'Decreases INT of target by 198.0',0,1),
(55436,360028,9,100,'You must be sneaking to use this ability.',0,2),
(55437,360028,10,100,'Inflicts 1242 - 2071 melee damage on target',0,0),
(55438,360028,10,100,'Decreases INT of target by 207.9',0,1),
(55439,360028,10,100,'You must be sneaking to use this ability.',0,2),
(55440,360029,1,100,'Inflicts 286 - 478 melee damage on target',0,0),
(55441,360029,1,100,'Decreases INT of target by 51.6',0,1),
(55442,360029,1,100,'You must be sneaking to use this ability.',0,2),
(55443,360029,2,100,'Inflicts 302 - 504 melee damage on target',0,0),
(55444,360029,2,100,'Decreases INT of target by 54.4',0,1),
(55445,360029,2,100,'You must be sneaking to use this ability.',0,2),
(55446,360029,3,100,'Inflicts 318 - 531 melee damage on target',0,0),
(55447,360029,3,100,'Decreases INT of target by 57.3',0,1),
(55448,360029,3,100,'You must be sneaking to use this ability.',0,2),
(55449,360029,4,100,'Inflicts 350 - 584 melee damage on target',0,0),
(55450,360029,4,100,'Decreases INT of target by 63.0',0,1),
(55451,360029,4,100,'You must be sneaking to use this ability.',0,2),
(55452,360029,5,100,'Inflicts 382 - 637 melee damage on target',0,0),
(55453,360029,5,100,'Decreases INT of target by 68.8',0,1),
(55454,360029,5,100,'You must be sneaking to use this ability.',0,2),
(55455,360029,7,100,'Inflicts 490 - 818 melee damage on target',0,0),
(55456,360029,7,100,'Decreases INT of target by 88.2',0,1),
(55457,360029,7,100,'You must be sneaking to use this ability.',0,2),
(55458,360029,9,100,'Inflicts 510 - 850 melee damage on target',0,0),
(55459,360029,9,100,'Decreases INT of target by 91.7',0,1),
(55460,360029,9,100,'You must be sneaking to use this ability.',0,2),
(55461,360030,1,100,'Inflicts 390 - 651 melee damage on target',0,0),
(55462,360030,1,100,'Decreases INT of target by 66.7',0,1),
(55463,360030,1,100,'You must be sneaking to use this ability.',0,2),
(55464,360030,2,100,'Inflicts 412 - 687 melee damage on target',0,0),
(55465,360030,2,100,'Decreases INT of target by 70.4',0,1),
(55466,360030,2,100,'You must be sneaking to use this ability.',0,2),
(55467,360030,3,100,'Inflicts 434 - 723 melee damage on target',0,0),
(55468,360030,3,100,'Decreases INT of target by 74.1',0,1),
(55469,360030,3,100,'You must be sneaking to use this ability.',0,2),
(55470,360030,4,100,'Inflicts 477 - 796 melee damage on target',0,0),
(55471,360030,4,100,'Decreases INT of target by 81.5',0,1),
(55472,360030,4,100,'You must be sneaking to use this ability.',0,2),
(55473,360030,5,100,'Inflicts 521 - 868 melee damage on target',0,0),
(55474,360030,5,100,'Decreases INT of target by 88.9',0,1),
(55475,360030,5,100,'You must be sneaking to use this ability.',0,2),
(55476,360030,7,100,'Inflicts 668 - 1114 melee damage on target',0,0),
(55477,360030,7,100,'Decreases INT of target by 114.1',0,1),
(55478,360030,7,100,'You must be sneaking to use this ability.',0,2),
(55479,360030,9,100,'Inflicts 694 - 1158 melee damage on target',0,0),
(55480,360030,9,100,'Decreases INT of target by 118.6',0,1),
(55481,360030,9,100,'You must be sneaking to use this ability.',0,2),
(55482,360031,1,100,'Inflicts 490 - 816 melee damage on target',0,0),
(55483,360031,1,100,'Decreases INT of target by 81.7',0,1),
(55484,360031,1,100,'You must be sneaking to use this ability.',0,2),
(55485,360031,2,100,'Inflicts 517 - 862 melee damage on target',0,0),
(55486,360031,2,100,'Decreases INT of target by 86.2',0,1),
(55487,360031,2,100,'You must be sneaking to use this ability.',0,2),
(55488,360031,3,100,'Inflicts 544 - 907 melee damage on target',0,0),
(55489,360031,3,100,'Decreases INT of target by 90.7',0,1),
(55490,360031,3,100,'You must be sneaking to use this ability.',0,2),
(55491,360031,4,100,'Inflicts 598 - 998 melee damage on target',0,0),
(55492,360031,4,100,'Decreases INT of target by 99.8',0,1),
(55493,360031,4,100,'You must be sneaking to use this ability.',0,2),
(55494,360031,5,100,'Inflicts 653 - 1088 melee damage on target',0,0),
(55495,360031,5,100,'Decreases INT of target by 108.9',0,1),
(55496,360031,5,100,'You must be sneaking to use this ability.',0,2),
(55497,360031,7,100,'Inflicts 838 - 1397 melee damage on target',0,0),
(55498,360031,7,100,'Decreases INT of target by 139.8',0,1),
(55499,360031,7,100,'You must be sneaking to use this ability.',0,2),
(55500,360031,9,100,'Inflicts 871 - 1451 melee damage on target',0,0),
(55501,360031,9,100,'Decreases INT of target by 145.2',0,1),
(55502,360031,9,100,'You must be sneaking to use this ability.',0,2),
(55503,360032,1,100,'Inflicts 591 - 986 melee damage on target',0,0),
(55504,360032,1,100,'Decreases INT of target by 96.5',0,1),
(55505,360032,1,100,'You must be sneaking to use this ability.',0,2),
(55506,360032,4,100,'Inflicts 723 - 1205 melee damage on target',0,0),
(55507,360032,4,100,'Decreases INT of target by 118.0',0,1),
(55508,360032,4,100,'You must be sneaking to use this ability.',0,2),
(55509,360032,5,100,'Inflicts 788 - 1314 melee damage on target',0,0),
(55510,360032,5,100,'Decreases INT of target by 128.7',0,1),
(55511,360032,5,100,'You must be sneaking to use this ability.',0,2),
(55512,360032,7,100,'Inflicts 1012 - 1687 melee damage on target',0,0),
(55513,360032,7,100,'Decreases INT of target by 165.2',0,1),
(55514,360032,7,100,'You must be sneaking to use this ability.',0,2),
(55515,360032,9,100,'Inflicts 1051 - 1752 melee damage on target',0,0),
(55516,360032,9,100,'Decreases INT of target by 171.6',0,1),
(55517,360032,9,100,'You must be sneaking to use this ability.',0,2),
(55518,360032,10,100,'Inflicts 1104 - 1840 melee damage on target',0,0),
(55519,360032,10,100,'Decreases INT of target by 180.2',0,1),
(55520,360032,10,100,'You must be sneaking to use this ability.',0,2),
(55521,2000174,1,100,'Applies Acid Blades.  Lasts for 30.0 seconds.',0,0),
(55522,2000174,1,100,'When a combat art is used this spell will cast Acid Blades on target of combat art.  ',1,1),
(55523,2000174,1,100,'Inflicts 582 - 1081 poison damage on target',2,2),
(55524,2000174,1,100,'This effect can only trigger when using stealth attacks.',1,3),
(55525,2000174,1,100,'Inflicts 1513 - 2810 poison damage on target',0,4),
(55526,2000174,1,100,'Must be flanking or behind',0,5),
(55527,2000174,2,100,'Applies Acid Blades.  Lasts for 30.0 seconds.',0,0),
(55528,2000174,2,100,'When a combat art is used this spell will cast Acid Blades on target of combat art.  ',1,1),
(55529,2000174,2,100,'Inflicts 582 - 1081 poison damage on target',2,2),
(55530,2000174,2,100,'This effect can only trigger when using stealth attacks.',1,3),
(55531,2000174,2,100,'Inflicts 1513 - 2810 poison damage on target',0,4),
(55532,2000174,2,100,'Must be flanking or behind',0,5),
(55533,2000174,3,100,'Applies Acid Blades.  Lasts for 30.0 seconds.',0,0),
(55534,2000174,3,100,'When a combat art is used this spell will cast Acid Blades on target of combat art.  ',1,1),
(55535,2000174,3,100,'Inflicts 776 - 1441 poison damage on target',2,2),
(55536,2000174,3,100,'This effect can only trigger when using stealth attacks.',1,3),
(55537,2000174,3,100,'Inflicts 2016 - 3745 poison damage on target',0,4),
(55538,2000174,3,100,'Must be flanking or behind',0,5),
(55539,2000175,1,100,'Will absorb all damage on the Animalist and their Warder. Their power will increase by about 3% of the absorbed damage.',0,0),
(55540,420054,1,100,'Inflicts 154 - 257 poison damage on target encounter',0,0),
(55541,420054,1,100,'Increases savagery of caster by 20.0',0,1),
(55542,420054,1,100,'This effect cannot be critically applied.',1,2),
(55543,420054,1,100,'Increases Crit Bonus of group members (AE) by 10.0%',0,3),
(55544,2000176,3,100,'Inflicts 2 - 3 poison damage on target encounter',0,0),
(55545,2000176,3,100,'Decreases Defense, Parry and Deflection of target encounter by 1.0',0,1),
(55546,2000176,3,100,'Decreases Deflection of target encounter by 1.0',0,2),
(55547,2000176,4,100,'Inflicts 2 - 4 poison damage on target encounter',0,0),
(55548,2000176,4,100,'Decreases Defense, Parry and Deflection of target encounter by 1.1',0,1),
(55549,2000176,4,100,'Decreases Deflection of target encounter by 1.1',0,2),
(55550,2000176,5,100,'Inflicts 2 - 4 poison damage on target encounter',0,0),
(55551,2000176,5,100,'Decreases Defense, Parry and Deflection of target encounter by 1.2',0,1),
(55552,2000176,5,100,'Decreases Deflection of target encounter by 1.2',0,2),
(55553,2000176,7,100,'Inflicts 3 - 5 poison damage on target encounter',0,0),
(55554,2000176,7,100,'Decreases Defense, Parry and Deflection of target encounter by 1.5',0,1),
(55555,2000176,7,100,'Decreases Deflection of target encounter by 1.4',0,2),
(55556,2000176,9,100,'Inflicts 3 - 6 poison damage on target encounter',0,0),
(55557,2000176,9,100,'Decreases Defense, Parry and Deflection of target encounter by 1.6',0,1),
(55558,2000176,9,100,'Decreases Deflection of target encounter by 1.6',0,2),
(55559,2000176,10,100,'Inflicts 3 - 6 poison damage on target encounter',0,0),
(55560,2000176,10,100,'Decreases Defense, Parry and Deflection of target encounter by 1.7',0,1),
(55561,2000176,10,100,'Decreases Deflection of target encounter by 1.6',0,2),
(55562,2000177,1,100,'Inflicts 720 - 1080 poison damage on target',0,0),
(55563,2000177,1,100,'Decreases AGI, STR, INT and WIS of target by 7.0',0,1),
(55564,2000177,1,100,'Decreases Crit Chance of target by 10.0',0,2),
(55565,2000177,1,100,'Decreases Crit Chance of target by 10.0',0,3),
(55566,420055,9,100,'Inflicts 729 - 1216 poison damage on target',0,0),
(55567,420055,9,100,'The effect of this ability grows based on Savagery and Feral Rampage level.',0,1),
(55568,420055,9,100,'Teleports your target in front of you.',0,2),
(55569,420055,9,100,'If Target is not Epic',1,3),
(55570,420055,9,100,'This target cannot be moved.',1,4),
(55571,2000178,1,100,'Inflicts 311 - 519 melee damage on target',0,0),
(55572,2000178,1,100,'Decreases Combat Mitigation of target by 4.4.',0,1),
(55573,2000178,2,100,'Inflicts 328 - 548 melee damage on target',0,0),
(55574,2000178,2,100,'Decreases Combat Mitigation of target by 8.8.',0,1),
(55575,2000178,3,100,'Inflicts 259 - 433 melee damage on target',0,0),
(55576,2000178,3,100,'Decreases Combat Mitigation of target by 13.2.',0,1),
(55577,2000178,4,100,'Inflicts 285 - 476 melee damage on target',0,0),
(55578,2000178,4,100,'Decreases Combat Mitigation of target by 17.6.',0,1),
(55579,2000178,5,100,'Inflicts 415 - 692 melee damage on target',0,0),
(55580,2000178,5,100,'Decreases Combat Mitigation of target by 22.',0,1),
(55581,2000178,6,100,'Inflicts 450 - 750 melee damage on target',0,0),
(55582,2000178,6,100,'Decreases Combat Mitigation of target by 26.4.',0,1),
(55583,2000178,7,100,'Inflicts 533 - 888 melee damage on target',0,0),
(55584,2000178,7,100,'Decreases Combat Mitigation of target by 30.8.',0,1),
(55585,2000178,8,100,'Inflicts 402 - 671 melee damage on target',0,0),
(55586,2000178,8,100,'Decreases Combat Mitigation of target by 35.2.',0,1),
(55587,2000178,9,100,'Inflicts 415 - 692 melee damage on target',0,0),
(55588,2000178,9,100,'Decreases Combat Mitigation of target by 39.6.',0,1),
(55589,2000178,10,100,'Inflicts 581 - 969 melee damage on target',0,0),
(55590,2000178,10,100,'Decreases Combat Mitigation of target by 44.',0,1),
(55591,2000179,3,100,'Increases healing received by 5.00%',0,0),
(55592,2000179,4,100,'Increases healing received by 5.50%',0,0),
(55593,2000179,5,100,'Increases healing received by 6.00%',0,0),
(55594,2000179,7,100,'Increases healing received by 7.70%',0,0),
(55595,2000179,9,100,'Increases healing received by 8.00%',0,0),
(55596,2000179,10,100,'Increases healing received by 8.40%',0,0),
(55597,70126,1,100,'Inflicts 8 - 24 melee damage on target',0,0),
(55598,70126,1,100,'Inflicts 8 - 24 melee damage on target',0,1),
(55599,70126,1,100,'Inflicts 8 - 24 melee damage on target',0,2),
(55600,70126,1,100,'Inflicts 8 - 24 melee damage on target',0,3),
(55601,70126,1,100,'Inflicts 8 - 24 melee damage on target',0,4),
(55602,70126,1,100,'Inflicts 8 - 24 melee damage on target',0,5),
(55603,70126,1,100,'Inflicts 8 - 24 melee damage on target',0,6),
(55604,70126,1,100,'Inflicts 8 - 24 melee damage on target',0,7),
(55605,70126,2,100,'Inflicts 8 - 25 melee damage on target',0,0),
(55606,70126,2,100,'Inflicts 8 - 25 melee damage on target',0,1),
(55607,70126,2,100,'Inflicts 8 - 25 melee damage on target',0,2),
(55608,70126,2,100,'Inflicts 8 - 25 melee damage on target',0,3),
(55609,70126,2,100,'Inflicts 8 - 25 melee damage on target',0,4),
(55610,70126,2,100,'Inflicts 8 - 25 melee damage on target',0,5),
(55611,70126,2,100,'Inflicts 8 - 25 melee damage on target',0,6),
(55612,70126,2,100,'Inflicts 8 - 25 melee damage on target',0,7),
(55613,70126,3,100,'Inflicts 9 - 27 melee damage on target',0,0),
(55614,70126,3,100,'Inflicts 9 - 27 melee damage on target',0,1),
(55615,70126,3,100,'Inflicts 9 - 27 melee damage on target',0,2),
(55616,70126,3,100,'Inflicts 9 - 27 melee damage on target',0,3),
(55617,70126,3,100,'Inflicts 9 - 27 melee damage on target',0,4),
(55618,70126,3,100,'Inflicts 9 - 27 melee damage on target',0,5),
(55619,70126,3,100,'Inflicts 9 - 27 melee damage on target',0,6),
(55620,70126,3,100,'Inflicts 9 - 27 melee damage on target',0,7),
(55621,70126,4,100,'Inflicts 10 - 30 melee damage on target',0,0),
(55622,70126,4,100,'Inflicts 10 - 30 melee damage on target',0,1),
(55623,70126,4,100,'Inflicts 10 - 30 melee damage on target',0,2),
(55624,70126,4,100,'Inflicts 10 - 30 melee damage on target',0,3),
(55625,70126,4,100,'Inflicts 10 - 30 melee damage on target',0,4),
(55626,70126,4,100,'Inflicts 10 - 30 melee damage on target',0,5),
(55627,70126,4,100,'Inflicts 10 - 30 melee damage on target',0,6),
(55628,70126,4,100,'Inflicts 10 - 30 melee damage on target',0,7),
(55629,70126,5,100,'Inflicts 10 - 32 melee damage on target',0,0),
(55630,70126,5,100,'Inflicts 10 - 32 melee damage on target',0,1),
(55631,70126,5,100,'Inflicts 10 - 32 melee damage on target',0,2),
(55632,70126,5,100,'Inflicts 10 - 32 melee damage on target',0,3),
(55633,70126,5,100,'Inflicts 10 - 32 melee damage on target',0,4),
(55634,70126,5,100,'Inflicts 10 - 32 melee damage on target',0,5),
(55635,70126,5,100,'Inflicts 10 - 32 melee damage on target',0,6),
(55636,70126,5,100,'Inflicts 10 - 32 melee damage on target',0,7),
(55637,70126,7,100,'Inflicts 14 - 42 melee damage on target',0,0),
(55638,70126,7,100,'Inflicts 14 - 42 melee damage on target',0,1),
(55639,70126,7,100,'Inflicts 14 - 42 melee damage on target',0,2),
(55640,70126,7,100,'Inflicts 14 - 42 melee damage on target',0,3),
(55641,70126,7,100,'Inflicts 14 - 42 melee damage on target',0,4),
(55642,70126,7,100,'Inflicts 14 - 42 melee damage on target',0,5),
(55643,70126,7,100,'Inflicts 14 - 42 melee damage on target',0,6),
(55644,70126,7,100,'Inflicts 14 - 42 melee damage on target',0,7),
(55645,70126,9,100,'Inflicts 14 - 43 melee damage on target',0,0),
(55646,70126,9,100,'Inflicts 14 - 43 melee damage on target',0,1),
(55647,70126,9,100,'Inflicts 14 - 43 melee damage on target',0,2),
(55648,70126,9,100,'Inflicts 14 - 43 melee damage on target',0,3),
(55649,70126,9,100,'Inflicts 14 - 43 melee damage on target',0,4),
(55650,70126,9,100,'Inflicts 14 - 43 melee damage on target',0,5),
(55651,70126,9,100,'Inflicts 14 - 43 melee damage on target',0,6),
(55652,70126,9,100,'Inflicts 14 - 43 melee damage on target',0,7),
(55653,70127,1,100,'Inflicts 15 - 45 melee damage on target',0,0),
(55654,70127,1,100,'Inflicts 15 - 45 melee damage on target',0,1),
(55655,70127,1,100,'Inflicts 15 - 45 melee damage on target',0,2),
(55656,70127,1,100,'Inflicts 15 - 45 melee damage on target',0,3),
(55657,70127,1,100,'Inflicts 15 - 45 melee damage on target',0,4),
(55658,70127,1,100,'Inflicts 15 - 45 melee damage on target',0,5),
(55659,70127,1,100,'Inflicts 15 - 45 melee damage on target',0,6),
(55660,70127,1,100,'Inflicts 15 - 45 melee damage on target',0,7),
(55661,70127,2,100,'Inflicts 16 - 48 melee damage on target',0,0),
(55662,70127,2,100,'Inflicts 16 - 48 melee damage on target',0,1),
(55663,70127,2,100,'Inflicts 16 - 48 melee damage on target',0,2),
(55664,70127,2,100,'Inflicts 16 - 48 melee damage on target',0,3),
(55665,70127,2,100,'Inflicts 16 - 48 melee damage on target',0,4),
(55666,70127,2,100,'Inflicts 16 - 48 melee damage on target',0,5),
(55667,70127,2,100,'Inflicts 16 - 48 melee damage on target',0,6),
(55668,70127,2,100,'Inflicts 16 - 48 melee damage on target',0,7),
(55669,70127,3,100,'Inflicts 16 - 50 melee damage on target',0,0),
(55670,70127,3,100,'Inflicts 16 - 50 melee damage on target',0,1),
(55671,70127,3,100,'Inflicts 16 - 50 melee damage on target',0,2),
(55672,70127,3,100,'Inflicts 16 - 50 melee damage on target',0,3),
(55673,70127,3,100,'Inflicts 16 - 50 melee damage on target',0,4),
(55674,70127,3,100,'Inflicts 16 - 50 melee damage on target',0,5),
(55675,70127,3,100,'Inflicts 16 - 50 melee damage on target',0,6),
(55676,70127,3,100,'Inflicts 16 - 50 melee damage on target',0,7),
(55677,70127,4,100,'Inflicts 18 - 55 melee damage on target',0,0),
(55678,70127,4,100,'Inflicts 18 - 55 melee damage on target',0,1),
(55679,70127,4,100,'Inflicts 18 - 55 melee damage on target',0,2),
(55680,70127,4,100,'Inflicts 18 - 55 melee damage on target',0,3),
(55681,70127,4,100,'Inflicts 18 - 55 melee damage on target',0,4),
(55682,70127,4,100,'Inflicts 18 - 55 melee damage on target',0,5),
(55683,70127,4,100,'Inflicts 18 - 55 melee damage on target',0,6),
(55684,70127,4,100,'Inflicts 18 - 55 melee damage on target',0,7),
(55685,70127,5,100,'Inflicts 20 - 60 melee damage on target',0,0),
(55686,70127,5,100,'Inflicts 20 - 60 melee damage on target',0,1),
(55687,70127,5,100,'Inflicts 20 - 60 melee damage on target',0,2),
(55688,70127,5,100,'Inflicts 20 - 60 melee damage on target',0,3),
(55689,70127,5,100,'Inflicts 20 - 60 melee damage on target',0,4),
(55690,70127,5,100,'Inflicts 20 - 60 melee damage on target',0,5),
(55691,70127,5,100,'Inflicts 20 - 60 melee damage on target',0,6),
(55692,70127,5,100,'Inflicts 20 - 60 melee damage on target',0,7),
(55693,70127,7,100,'Inflicts 26 - 78 melee damage on target',0,0),
(55694,70127,7,100,'Inflicts 26 - 78 melee damage on target',0,1),
(55695,70127,7,100,'Inflicts 26 - 78 melee damage on target',0,2),
(55696,70127,7,100,'Inflicts 26 - 78 melee damage on target',0,3),
(55697,70127,7,100,'Inflicts 26 - 78 melee damage on target',0,4),
(55698,70127,7,100,'Inflicts 26 - 78 melee damage on target',0,5),
(55699,70127,7,100,'Inflicts 26 - 78 melee damage on target',0,6),
(55700,70127,7,100,'Inflicts 26 - 78 melee damage on target',0,7),
(55701,70127,9,100,'Inflicts 27 - 81 melee damage on target',0,0),
(55702,70127,9,100,'Inflicts 27 - 81 melee damage on target',0,1),
(55703,70127,9,100,'Inflicts 27 - 81 melee damage on target',0,2),
(55704,70127,9,100,'Inflicts 27 - 81 melee damage on target',0,3),
(55705,70127,9,100,'Inflicts 27 - 81 melee damage on target',0,4),
(55706,70127,9,100,'Inflicts 27 - 81 melee damage on target',0,5),
(55707,70127,9,100,'Inflicts 27 - 81 melee damage on target',0,6),
(55708,70127,9,100,'Inflicts 27 - 81 melee damage on target',0,7),
(55709,70127,10,100,'Inflicts 28 - 85 melee damage on target',0,0),
(55710,70127,10,100,'Inflicts 28 - 85 melee damage on target',0,1),
(55711,70127,10,100,'Inflicts 28 - 85 melee damage on target',0,2),
(55712,70127,10,100,'Inflicts 28 - 85 melee damage on target',0,3),
(55713,70127,10,100,'Inflicts 28 - 85 melee damage on target',0,4),
(55714,70127,10,100,'Inflicts 28 - 85 melee damage on target',0,5),
(55715,70127,10,100,'Inflicts 28 - 85 melee damage on target',0,6),
(55716,70127,10,100,'Inflicts 28 - 85 melee damage on target',0,7),
(55717,70128,1,100,'Inflicts 23 - 69 melee damage on target',0,0),
(55718,70128,1,100,'Inflicts 23 - 69 melee damage on target',0,1),
(55719,70128,1,100,'Inflicts 23 - 69 melee damage on target',0,2),
(55720,70128,1,100,'Inflicts 23 - 69 melee damage on target',0,3),
(55721,70128,1,100,'Inflicts 23 - 69 melee damage on target',0,4),
(55722,70128,1,100,'Inflicts 23 - 69 melee damage on target',0,5),
(55723,70128,1,100,'Inflicts 23 - 69 melee damage on target',0,6),
(55724,70128,1,100,'Inflicts 23 - 69 melee damage on target',0,7),
(55725,70128,2,100,'Inflicts 24 - 73 melee damage on target',0,0),
(55726,70128,2,100,'Inflicts 24 - 73 melee damage on target',0,1),
(55727,70128,2,100,'Inflicts 24 - 73 melee damage on target',0,2),
(55728,70128,2,100,'Inflicts 24 - 73 melee damage on target',0,3),
(55729,70128,2,100,'Inflicts 24 - 73 melee damage on target',0,4),
(55730,70128,2,100,'Inflicts 24 - 73 melee damage on target',0,5),
(55731,70128,2,100,'Inflicts 24 - 73 melee damage on target',0,6),
(55732,70128,2,100,'Inflicts 24 - 73 melee damage on target',0,7),
(55733,70128,3,100,'Inflicts 25 - 77 melee damage on target',0,0),
(55734,70128,3,100,'Inflicts 25 - 77 melee damage on target',0,1),
(55735,70128,3,100,'Inflicts 25 - 77 melee damage on target',0,2),
(55736,70128,3,100,'Inflicts 25 - 77 melee damage on target',0,3),
(55737,70128,3,100,'Inflicts 25 - 77 melee damage on target',0,4),
(55738,70128,3,100,'Inflicts 25 - 77 melee damage on target',0,5),
(55739,70128,3,100,'Inflicts 25 - 77 melee damage on target',0,6),
(55740,70128,3,100,'Inflicts 25 - 77 melee damage on target',0,7),
(55741,70128,4,100,'Inflicts 28 - 85 melee damage on target',0,0),
(55742,70128,4,100,'Inflicts 28 - 85 melee damage on target',0,1),
(55743,70128,4,100,'Inflicts 28 - 85 melee damage on target',0,2),
(55744,70128,4,100,'Inflicts 28 - 85 melee damage on target',0,3),
(55745,70128,4,100,'Inflicts 28 - 85 melee damage on target',0,4),
(55746,70128,4,100,'Inflicts 28 - 85 melee damage on target',0,5),
(55747,70128,4,100,'Inflicts 28 - 85 melee damage on target',0,6),
(55748,70128,4,100,'Inflicts 28 - 85 melee damage on target',0,7),
(55749,70128,5,100,'Inflicts 31 - 93 melee damage on target',0,0),
(55750,70128,5,100,'Inflicts 31 - 93 melee damage on target',0,1),
(55751,70128,5,100,'Inflicts 31 - 93 melee damage on target',0,2),
(55752,70128,5,100,'Inflicts 31 - 93 melee damage on target',0,3),
(55753,70128,5,100,'Inflicts 31 - 93 melee damage on target',0,4),
(55754,70128,5,100,'Inflicts 31 - 93 melee damage on target',0,5),
(55755,70128,5,100,'Inflicts 31 - 93 melee damage on target',0,6),
(55756,70128,5,100,'Inflicts 31 - 93 melee damage on target',0,7),
(55757,70128,7,100,'Inflicts 39 - 119 melee damage on target',0,0),
(55758,70128,7,100,'Inflicts 39 - 119 melee damage on target',0,1),
(55759,70128,7,100,'Inflicts 39 - 119 melee damage on target',0,2),
(55760,70128,7,100,'Inflicts 39 - 119 melee damage on target',0,3),
(55761,70128,7,100,'Inflicts 39 - 119 melee damage on target',0,4),
(55762,70128,7,100,'Inflicts 39 - 119 melee damage on target',0,5),
(55763,70128,7,100,'Inflicts 39 - 119 melee damage on target',0,6),
(55764,70128,7,100,'Inflicts 39 - 119 melee damage on target',0,7),
(55765,70128,9,100,'Inflicts 41 - 124 melee damage on target',0,0),
(55766,70128,9,100,'Inflicts 41 - 124 melee damage on target',0,1),
(55767,70128,9,100,'Inflicts 41 - 124 melee damage on target',0,2),
(55768,70128,9,100,'Inflicts 41 - 124 melee damage on target',0,3),
(55769,70128,9,100,'Inflicts 41 - 124 melee damage on target',0,4),
(55770,70128,9,100,'Inflicts 41 - 124 melee damage on target',0,5),
(55771,70128,9,100,'Inflicts 41 - 124 melee damage on target',0,6),
(55772,70128,9,100,'Inflicts 41 - 124 melee damage on target',0,7),
(55773,70129,1,100,'Inflicts 32 - 98 melee damage on target',0,0),
(55774,70129,1,100,'Inflicts 32 - 98 melee damage on target',0,1),
(55775,70129,1,100,'Inflicts 32 - 98 melee damage on target',0,2),
(55776,70129,1,100,'Inflicts 32 - 98 melee damage on target',0,3),
(55777,70129,1,100,'Inflicts 32 - 98 melee damage on target',0,4),
(55778,70129,1,100,'Inflicts 32 - 98 melee damage on target',0,5),
(55779,70129,1,100,'Inflicts 32 - 98 melee damage on target',0,6),
(55780,70129,1,100,'Inflicts 32 - 98 melee damage on target',0,7),
(55781,70129,2,100,'Inflicts 34 - 103 melee damage on target',0,0),
(55782,70129,2,100,'Inflicts 34 - 103 melee damage on target',0,1),
(55783,70129,2,100,'Inflicts 34 - 103 melee damage on target',0,2),
(55784,70129,2,100,'Inflicts 34 - 103 melee damage on target',0,3),
(55785,70129,2,100,'Inflicts 34 - 103 melee damage on target',0,4),
(55786,70129,2,100,'Inflicts 34 - 103 melee damage on target',0,5),
(55787,70129,2,100,'Inflicts 34 - 103 melee damage on target',0,6),
(55788,70129,2,100,'Inflicts 34 - 103 melee damage on target',0,7),
(55789,70129,3,100,'Inflicts 36 - 109 melee damage on target',0,0),
(55790,70129,3,100,'Inflicts 36 - 109 melee damage on target',0,1),
(55791,70129,3,100,'Inflicts 36 - 109 melee damage on target',0,2),
(55792,70129,3,100,'Inflicts 36 - 109 melee damage on target',0,3),
(55793,70129,3,100,'Inflicts 36 - 109 melee damage on target',0,4),
(55794,70129,3,100,'Inflicts 36 - 109 melee damage on target',0,5),
(55795,70129,3,100,'Inflicts 36 - 109 melee damage on target',0,6),
(55796,70129,3,100,'Inflicts 36 - 109 melee damage on target',0,7),
(55797,70129,4,100,'Inflicts 40 - 120 melee damage on target',0,0),
(55798,70129,4,100,'Inflicts 40 - 120 melee damage on target',0,1),
(55799,70129,4,100,'Inflicts 40 - 120 melee damage on target',0,2),
(55800,70129,4,100,'Inflicts 40 - 120 melee damage on target',0,3),
(55801,70129,4,100,'Inflicts 40 - 120 melee damage on target',0,4),
(55802,70129,4,100,'Inflicts 40 - 120 melee damage on target',0,5),
(55803,70129,4,100,'Inflicts 40 - 120 melee damage on target',0,6),
(55804,70129,4,100,'Inflicts 40 - 120 melee damage on target',0,7),
(55805,70129,5,100,'Inflicts 43 - 131 melee damage on target',0,0),
(55806,70129,5,100,'Inflicts 43 - 131 melee damage on target',0,1),
(55807,70129,5,100,'Inflicts 43 - 131 melee damage on target',0,2),
(55808,70129,5,100,'Inflicts 43 - 131 melee damage on target',0,3),
(55809,70129,5,100,'Inflicts 43 - 131 melee damage on target',0,4),
(55810,70129,5,100,'Inflicts 43 - 131 melee damage on target',0,5),
(55811,70129,5,100,'Inflicts 43 - 131 melee damage on target',0,6),
(55812,70129,5,100,'Inflicts 43 - 131 melee damage on target',0,7),
(55813,70129,7,100,'Inflicts 56 - 168 melee damage on target',0,0),
(55814,70129,7,100,'Inflicts 56 - 168 melee damage on target',0,1),
(55815,70129,7,100,'Inflicts 56 - 168 melee damage on target',0,2),
(55816,70129,7,100,'Inflicts 56 - 168 melee damage on target',0,3),
(55817,70129,7,100,'Inflicts 56 - 168 melee damage on target',0,4),
(55818,70129,7,100,'Inflicts 56 - 168 melee damage on target',0,5),
(55819,70129,7,100,'Inflicts 56 - 168 melee damage on target',0,6),
(55820,70129,7,100,'Inflicts 56 - 168 melee damage on target',0,7),
(55821,70129,9,100,'Inflicts 58 - 174 melee damage on target',0,0),
(55822,70129,9,100,'Inflicts 58 - 174 melee damage on target',0,1),
(55823,70129,9,100,'Inflicts 58 - 174 melee damage on target',0,2),
(55824,70129,9,100,'Inflicts 58 - 174 melee damage on target',0,3),
(55825,70129,9,100,'Inflicts 58 - 174 melee damage on target',0,4),
(55826,70129,9,100,'Inflicts 58 - 174 melee damage on target',0,5),
(55827,70129,9,100,'Inflicts 58 - 174 melee damage on target',0,6),
(55828,70129,9,100,'Inflicts 58 - 174 melee damage on target',0,7),
(55829,70129,10,100,'Inflicts 61 - 183 melee damage on target',0,0),
(55830,70129,10,100,'Inflicts 61 - 183 melee damage on target',0,1),
(55831,70129,10,100,'Inflicts 61 - 183 melee damage on target',0,2),
(55832,70129,10,100,'Inflicts 61 - 183 melee damage on target',0,3),
(55833,70129,10,100,'Inflicts 61 - 183 melee damage on target',0,4),
(55834,70129,10,100,'Inflicts 61 - 183 melee damage on target',0,5),
(55835,70129,10,100,'Inflicts 61 - 183 melee damage on target',0,6),
(55836,70129,10,100,'Inflicts 61 - 183 melee damage on target',0,7),
(55837,70130,1,100,'Inflicts 41 - 123 melee damage on target',0,0),
(55838,70130,1,100,'Inflicts 41 - 123 melee damage on target',0,1),
(55839,70130,1,100,'Inflicts 41 - 123 melee damage on target',0,2),
(55840,70130,1,100,'Inflicts 41 - 123 melee damage on target',0,3),
(55841,70130,1,100,'Inflicts 41 - 123 melee damage on target',0,4),
(55842,70130,1,100,'Inflicts 41 - 123 melee damage on target',0,5),
(55843,70130,1,100,'Inflicts 41 - 123 melee damage on target',0,6),
(55844,70130,1,100,'Inflicts 41 - 123 melee damage on target',0,7),
(55845,70130,2,100,'Inflicts 43 - 130 melee damage on target',0,0),
(55846,70130,2,100,'Inflicts 43 - 130 melee damage on target',0,1),
(55847,70130,2,100,'Inflicts 43 - 130 melee damage on target',0,2),
(55848,70130,2,100,'Inflicts 43 - 130 melee damage on target',0,3),
(55849,70130,2,100,'Inflicts 43 - 130 melee damage on target',0,4),
(55850,70130,2,100,'Inflicts 43 - 130 melee damage on target',0,5),
(55851,70130,2,100,'Inflicts 43 - 130 melee damage on target',0,6),
(55852,70130,2,100,'Inflicts 43 - 130 melee damage on target',0,7),
(55853,70130,3,100,'Inflicts 45 - 136 melee damage on target',0,0),
(55854,70130,3,100,'Inflicts 45 - 136 melee damage on target',0,1),
(55855,70130,3,100,'Inflicts 45 - 136 melee damage on target',0,2),
(55856,70130,3,100,'Inflicts 45 - 136 melee damage on target',0,3),
(55857,70130,3,100,'Inflicts 45 - 136 melee damage on target',0,4),
(55858,70130,3,100,'Inflicts 45 - 136 melee damage on target',0,5),
(55859,70130,3,100,'Inflicts 45 - 136 melee damage on target',0,6),
(55860,70130,3,100,'Inflicts 45 - 136 melee damage on target',0,7),
(55861,70130,4,100,'Inflicts 50 - 150 melee damage on target',0,0),
(55862,70130,4,100,'Inflicts 50 - 150 melee damage on target',0,1),
(55863,70130,4,100,'Inflicts 50 - 150 melee damage on target',0,2),
(55864,70130,4,100,'Inflicts 50 - 150 melee damage on target',0,3),
(55865,70130,4,100,'Inflicts 50 - 150 melee damage on target',0,4),
(55866,70130,4,100,'Inflicts 50 - 150 melee damage on target',0,5),
(55867,70130,4,100,'Inflicts 50 - 150 melee damage on target',0,6),
(55868,70130,4,100,'Inflicts 50 - 150 melee damage on target',0,7),
(55869,70130,5,100,'Inflicts 54 - 164 melee damage on target',0,0),
(55870,70130,5,100,'Inflicts 54 - 164 melee damage on target',0,1),
(55871,70130,5,100,'Inflicts 54 - 164 melee damage on target',0,2),
(55872,70130,5,100,'Inflicts 54 - 164 melee damage on target',0,3),
(55873,70130,5,100,'Inflicts 54 - 164 melee damage on target',0,4),
(55874,70130,5,100,'Inflicts 54 - 164 melee damage on target',0,5),
(55875,70130,5,100,'Inflicts 54 - 164 melee damage on target',0,6),
(55876,70130,5,100,'Inflicts 54 - 164 melee damage on target',0,7),
(55877,70130,7,100,'Inflicts 70 - 210 melee damage on target',0,0),
(55878,70130,7,100,'Inflicts 70 - 210 melee damage on target',0,1),
(55879,70130,7,100,'Inflicts 70 - 210 melee damage on target',0,2),
(55880,70130,7,100,'Inflicts 70 - 210 melee damage on target',0,3),
(55881,70130,7,100,'Inflicts 70 - 210 melee damage on target',0,4),
(55882,70130,7,100,'Inflicts 70 - 210 melee damage on target',0,5),
(55883,70130,7,100,'Inflicts 70 - 210 melee damage on target',0,6),
(55884,70130,7,100,'Inflicts 70 - 210 melee damage on target',0,7),
(55885,70130,9,100,'Inflicts 73 - 219 melee damage on target',0,0),
(55886,70130,9,100,'Inflicts 73 - 219 melee damage on target',0,1),
(55887,70130,9,100,'Inflicts 73 - 219 melee damage on target',0,2),
(55888,70130,9,100,'Inflicts 73 - 219 melee damage on target',0,3),
(55889,70130,9,100,'Inflicts 73 - 219 melee damage on target',0,4),
(55890,70130,9,100,'Inflicts 73 - 219 melee damage on target',0,5),
(55891,70130,9,100,'Inflicts 73 - 219 melee damage on target',0,6),
(55892,70130,9,100,'Inflicts 73 - 219 melee damage on target',0,7),
(55893,70131,1,100,'Inflicts 49 - 148 melee damage on target',0,0),
(55894,70131,1,100,'Inflicts 49 - 148 melee damage on target',0,1),
(55895,70131,1,100,'Inflicts 49 - 148 melee damage on target',0,2),
(55896,70131,1,100,'Inflicts 49 - 148 melee damage on target',0,3),
(55897,70131,1,100,'Inflicts 49 - 148 melee damage on target',0,4),
(55898,70131,1,100,'Inflicts 49 - 148 melee damage on target',0,5),
(55899,70131,1,100,'Inflicts 49 - 148 melee damage on target',0,6),
(55900,70131,1,100,'Inflicts 49 - 148 melee damage on target',0,7),
(55901,70131,4,100,'Inflicts 60 - 182 melee damage on target',0,0),
(55902,70131,4,100,'Inflicts 60 - 182 melee damage on target',0,1),
(55903,70131,4,100,'Inflicts 60 - 182 melee damage on target',0,2),
(55904,70131,4,100,'Inflicts 60 - 182 melee damage on target',0,3),
(55905,70131,4,100,'Inflicts 60 - 182 melee damage on target',0,4),
(55906,70131,4,100,'Inflicts 60 - 182 melee damage on target',0,5),
(55907,70131,4,100,'Inflicts 60 - 182 melee damage on target',0,6),
(55908,70131,4,100,'Inflicts 60 - 182 melee damage on target',0,7),
(55909,70131,5,100,'Inflicts 66 - 198 melee damage on target',0,0),
(55910,70131,5,100,'Inflicts 66 - 198 melee damage on target',0,1),
(55911,70131,5,100,'Inflicts 66 - 198 melee damage on target',0,2),
(55912,70131,5,100,'Inflicts 66 - 198 melee damage on target',0,3),
(55913,70131,5,100,'Inflicts 66 - 198 melee damage on target',0,4),
(55914,70131,5,100,'Inflicts 66 - 198 melee damage on target',0,5),
(55915,70131,5,100,'Inflicts 66 - 198 melee damage on target',0,6),
(55916,70131,5,100,'Inflicts 66 - 198 melee damage on target',0,7),
(55917,70131,7,100,'Inflicts 84 - 254 melee damage on target',0,0),
(55918,70131,7,100,'Inflicts 84 - 254 melee damage on target',0,1),
(55919,70131,7,100,'Inflicts 84 - 254 melee damage on target',0,2),
(55920,70131,7,100,'Inflicts 84 - 254 melee damage on target',0,3),
(55921,70131,7,100,'Inflicts 84 - 254 melee damage on target',0,4),
(55922,70131,7,100,'Inflicts 84 - 254 melee damage on target',0,5),
(55923,70131,7,100,'Inflicts 84 - 254 melee damage on target',0,6),
(55924,70131,7,100,'Inflicts 84 - 254 melee damage on target',0,7),
(55925,70131,9,100,'Inflicts 88 - 264 melee damage on target',0,0),
(55926,70131,9,100,'Inflicts 88 - 264 melee damage on target',0,1),
(55927,70131,9,100,'Inflicts 88 - 264 melee damage on target',0,2),
(55928,70131,9,100,'Inflicts 88 - 264 melee damage on target',0,3),
(55929,70131,9,100,'Inflicts 88 - 264 melee damage on target',0,4),
(55930,70131,9,100,'Inflicts 88 - 264 melee damage on target',0,5),
(55931,70131,9,100,'Inflicts 88 - 264 melee damage on target',0,6),
(55932,70131,9,100,'Inflicts 88 - 264 melee damage on target',0,7),
(55933,70132,1,100,'Inflicts 56 - 169 melee damage on target',0,0),
(55934,70132,1,100,'Inflicts 56 - 169 melee damage on target',0,1),
(55935,70132,1,100,'Inflicts 56 - 169 melee damage on target',0,2),
(55936,70132,1,100,'Inflicts 56 - 169 melee damage on target',0,3),
(55937,70132,1,100,'Inflicts 56 - 169 melee damage on target',0,4),
(55938,70132,1,100,'Inflicts 56 - 169 melee damage on target',0,5),
(55939,70132,1,100,'Inflicts 56 - 169 melee damage on target',0,6),
(55940,70132,1,100,'Inflicts 56 - 169 melee damage on target',0,7),
(55941,70132,4,100,'Inflicts 69 - 207 melee damage on target',0,0),
(55942,70132,4,100,'Inflicts 69 - 207 melee damage on target',0,1),
(55943,70132,4,100,'Inflicts 69 - 207 melee damage on target',0,2),
(55944,70132,4,100,'Inflicts 69 - 207 melee damage on target',0,3),
(55945,70132,4,100,'Inflicts 69 - 207 melee damage on target',0,4),
(55946,70132,4,100,'Inflicts 69 - 207 melee damage on target',0,5),
(55947,70132,4,100,'Inflicts 69 - 207 melee damage on target',0,6),
(55948,70132,4,100,'Inflicts 69 - 207 melee damage on target',0,7),
(55949,70132,5,100,'Inflicts 75 - 226 melee damage on target',0,0),
(55950,70132,5,100,'Inflicts 75 - 226 melee damage on target',0,1),
(55951,70132,5,100,'Inflicts 75 - 226 melee damage on target',0,2),
(55952,70132,5,100,'Inflicts 75 - 226 melee damage on target',0,3),
(55953,70132,5,100,'Inflicts 75 - 226 melee damage on target',0,4),
(55954,70132,5,100,'Inflicts 75 - 226 melee damage on target',0,5),
(55955,70132,5,100,'Inflicts 75 - 226 melee damage on target',0,6),
(55956,70132,5,100,'Inflicts 75 - 226 melee damage on target',0,7),
(55957,70132,7,100,'Inflicts 96 - 290 melee damage on target',0,0),
(55958,70132,7,100,'Inflicts 96 - 290 melee damage on target',0,1),
(55959,70132,7,100,'Inflicts 96 - 290 melee damage on target',0,2),
(55960,70132,7,100,'Inflicts 96 - 290 melee damage on target',0,3),
(55961,70132,7,100,'Inflicts 96 - 290 melee damage on target',0,4),
(55962,70132,7,100,'Inflicts 96 - 290 melee damage on target',0,5),
(55963,70132,7,100,'Inflicts 96 - 290 melee damage on target',0,6),
(55964,70132,7,100,'Inflicts 96 - 290 melee damage on target',0,7),
(55965,70132,9,100,'Inflicts 100 - 301 melee damage on target',0,0),
(55966,70132,9,100,'Inflicts 100 - 301 melee damage on target',0,1),
(55967,70132,9,100,'Inflicts 100 - 301 melee damage on target',0,2),
(55968,70132,9,100,'Inflicts 100 - 301 melee damage on target',0,3),
(55969,70132,9,100,'Inflicts 100 - 301 melee damage on target',0,4),
(55970,70132,9,100,'Inflicts 100 - 301 melee damage on target',0,5),
(55971,70132,9,100,'Inflicts 100 - 301 melee damage on target',0,6),
(55972,70132,9,100,'Inflicts 100 - 301 melee damage on target',0,7),
(55973,380006,1,100,'Inflicts 24 - 40 ranged damage on target',0,0),
(55974,380006,1,100,'Inflicts 24 - 40 ranged damage on target',0,1),
(55975,380006,1,100,'If weapon equipped in Ranged',0,2),
(55976,380006,2,100,'Inflicts 25 - 42 ranged damage on target',0,0),
(55977,380006,2,100,'Inflicts 25 - 42 ranged damage on target',0,1),
(55978,380006,2,100,'If weapon equipped in Ranged',0,2),
(55979,380006,3,100,'Inflicts 27 - 45 ranged damage on target',0,0),
(55980,380006,3,100,'Inflicts 27 - 45 ranged damage on target',0,1),
(55981,380006,3,100,'If weapon equipped in Ranged',0,2),
(55982,380006,4,100,'Inflicts 29 - 49 ranged damage on target',0,0),
(55983,380006,4,100,'Inflicts 29 - 49 ranged damage on target',0,1),
(55984,380006,4,100,'If weapon equipped in Ranged',0,2),
(55985,380006,5,100,'Inflicts 32 - 54 ranged damage on target',0,0),
(55986,380006,5,100,'Inflicts 32 - 54 ranged damage on target',0,1),
(55987,380006,5,100,'If weapon equipped in Ranged',0,2),
(55988,380006,7,100,'Inflicts 41 - 69 ranged damage on target',0,0),
(55989,380006,7,100,'Inflicts 41 - 69 ranged damage on target',0,1),
(55990,380006,7,100,'If weapon equipped in Ranged',0,2),
(55991,380006,9,100,'Inflicts 43 - 72 ranged damage on target',0,0),
(55992,380006,9,100,'Inflicts 43 - 72 ranged damage on target',0,1),
(55993,380006,9,100,'If weapon equipped in Ranged',0,2),
(55994,40151,1,100,'Applies Open Wounds.',0,0),
(55995,40151,1,100,'Inflicts 68 - 125 slashing damage on targets in Area of Effect',1,1),
(55996,40151,1,100,'Increases Haste of caster by 30.6',0,2),
(55997,40151,1,100,'Caster has a 100.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,3),
(55998,40151,2,100,'Applies Open Wounds.',0,0),
(55999,40151,2,100,'Inflicts 71 - 132 slashing damage on targets in Area of Effect',1,1),
(56000,40151,2,100,'Increases Haste of caster by 32.3',0,2),
(56001,40151,2,100,'Caster has a 100.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,3),
(56002,40151,3,100,'Applies Open Wounds.',0,0),
(56003,40151,3,100,'Inflicts 75 - 139 slashing damage on targets in Area of Effect',1,1),
(56004,40151,3,100,'Increases Haste of caster by 34.0',0,2),
(56005,40151,3,100,'Caster has a 100.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,3),
(56006,40151,4,100,'Applies Open Wounds.',0,0),
(56007,40151,4,100,'Inflicts 83 - 153 slashing damage on targets in Area of Effect',1,1),
(56008,40151,4,100,'Increases Haste of caster by 37.4',0,2),
(56009,40151,4,100,'Caster has a 100.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,3),
(56010,40151,5,100,'Applies Open Wounds.',0,0),
(56011,40151,5,100,'Inflicts 90 - 167 slashing damage on targets in Area of Effect',1,1),
(56012,40151,5,100,'Increases Haste of caster by 40.8',0,2),
(56013,40151,5,100,'Caster has a 100.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,3),
(56014,40151,7,100,'Applies Open Wounds.',0,0),
(56015,40151,7,100,'Inflicts 116 - 215 slashing damage on targets in Area of Effect',1,1),
(56016,40151,7,100,'Increases Haste of caster by 52.4',0,2),
(56017,40151,7,100,'Caster has a 100.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,3),
(56018,40151,9,100,'Applies Open Wounds.',0,0),
(56019,40151,9,100,'Inflicts 120 - 223 slashing damage on targets in Area of Effect',1,1),
(56020,40151,9,100,'Increases Haste of caster by 54.4',0,2),
(56021,40151,9,100,'Caster has a 100.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,3),
(56022,60123,1,100,'Wards caster against 2789 points of elemental, noxious and arcane damage',0,0),
(56023,60123,2,100,'Wards caster against 2944 points of elemental, noxious and arcane damage',0,0),
(56024,60123,3,100,'Wards caster against 3100 points of elemental, noxious and arcane damage',0,0),
(56025,60123,4,100,'Wards caster against 3410 points of elemental, noxious and arcane damage',0,0),
(56026,60123,5,100,'Wards caster against 3720 points of elemental, noxious and arcane damage',0,0),
(56027,60123,7,100,'Wards caster against 4773 points of elemental, noxious and arcane damage',0,0),
(56028,60123,9,100,'Wards caster against 4960 points of elemental, noxious and arcane damage',0,0),
(56029,60124,1,100,'Wards caster against 4139 points of elemental, noxious and arcane damage',0,0),
(56030,60124,2,100,'Wards caster against 4369 points of elemental, noxious and arcane damage',0,0),
(56031,60124,3,100,'Wards caster against 4600 points of elemental, noxious and arcane damage',0,0),
(56032,60124,4,100,'Wards caster against 5060 points of elemental, noxious and arcane damage',0,0),
(56033,60124,5,100,'Wards caster against 5520 points of elemental, noxious and arcane damage',0,0),
(56034,60124,7,100,'Wards caster against 7083 points of elemental, noxious and arcane damage',0,0),
(56035,60124,9,100,'Wards caster against 7360 points of elemental, noxious and arcane damage',0,0),
(56036,60125,1,100,'Wards caster against 4877 points of elemental, noxious and arcane damage',0,0),
(56037,60125,4,100,'Wards caster against 5962 points of elemental, noxious and arcane damage',0,0),
(56038,60125,5,100,'Wards caster against 6504 points of elemental, noxious and arcane damage',0,0),
(56039,60125,7,100,'Wards caster against 8346 points of elemental, noxious and arcane damage',0,0),
(56040,60125,9,100,'Wards caster against 8672 points of elemental, noxious and arcane damage',0,0),
(56041,60125,10,100,'Wards caster against 9105 points of elemental, noxious and arcane damage',0,0),
(56042,60126,1,100,'Wards caster against 5741 points of elemental, noxious and arcane damage',0,0),
(56043,60126,4,100,'Wards caster against 7018 points of elemental, noxious and arcane damage',0,0),
(56044,60126,5,100,'Wards caster against 7656 points of elemental, noxious and arcane damage',0,0),
(56045,60126,7,100,'Wards caster against 9825 points of elemental, noxious and arcane damage',0,0),
(56046,60126,9,100,'Wards caster against 10208 points of elemental, noxious and arcane damage',0,0),
(56047,60126,10,100,'Wards caster against 10718 points of elemental, noxious and arcane damage',0,0),
(56048,30118,1,100,'Inflicts 3 - 6 melee damage on target',0,0),
(56049,30118,2,100,'Inflicts 4 - 7 melee damage on target',0,0),
(56050,30118,3,100,'Inflicts 4 - 7 melee damage on target',0,0),
(56051,30118,4,100,'Inflicts 4 - 8 melee damage on target',0,0),
(56052,30118,5,100,'Inflicts 5 - 8 melee damage on target',0,0),
(56053,30118,7,100,'Inflicts 6 - 11 melee damage on target',0,0),
(56054,30118,9,100,'Inflicts 7 - 11 melee damage on target',0,0),
(56055,30119,1,100,'Inflicts 9 - 15 melee damage on target',0,0),
(56056,30119,2,100,'Inflicts 10 - 16 melee damage on target',0,0),
(56057,30119,3,100,'Inflicts 10 - 17 melee damage on target',0,0),
(56058,30119,4,100,'Inflicts 11 - 19 melee damage on target',0,0),
(56059,30119,5,100,'Inflicts 12 - 21 melee damage on target',0,0),
(56060,30119,7,100,'Inflicts 16 - 27 melee damage on target',0,0),
(56061,30119,9,100,'Inflicts 16 - 28 melee damage on target',0,0),
(56062,30120,1,100,'Inflicts 46 - 77 melee damage on target',0,0),
(56063,30120,2,100,'Inflicts 48 - 81 melee damage on target',0,0),
(56064,30120,3,100,'Inflicts 51 - 85 melee damage on target',0,0),
(56065,30120,4,100,'Inflicts 56 - 94 melee damage on target',0,0),
(56066,30120,5,100,'Inflicts 61 - 103 melee damage on target',0,0),
(56067,30120,7,100,'Inflicts 79 - 132 melee damage on target',0,0),
(56068,30120,9,100,'Inflicts 82 - 137 melee damage on target',0,0),
(56069,30121,1,100,'Inflicts 72 - 121 melee damage on target',0,0),
(56070,30121,2,100,'Inflicts 76 - 127 melee damage on target',0,0),
(56071,30121,3,100,'Inflicts 80 - 134 melee damage on target',0,0),
(56072,30121,4,100,'Inflicts 88 - 148 melee damage on target',0,0),
(56073,30121,5,100,'Inflicts 96 - 161 melee damage on target',0,0),
(56074,30121,7,100,'Inflicts 124 - 207 melee damage on target',0,0),
(56075,30121,9,100,'Inflicts 129 - 215 melee damage on target',0,0),
(56076,30122,1,100,'Inflicts 103 - 173 melee damage on target',0,0),
(56077,30122,2,100,'Inflicts 109 - 182 melee damage on target',0,0),
(56078,30122,3,100,'Inflicts 115 - 192 melee damage on target',0,0),
(56079,30122,4,100,'Inflicts 127 - 211 melee damage on target',0,0),
(56080,30122,5,100,'Inflicts 138 - 231 melee damage on target',0,0),
(56081,30122,7,100,'Inflicts 177 - 296 melee damage on target',0,0),
(56082,30122,9,100,'Inflicts 184 - 308 melee damage on target',0,0),
(56083,30123,1,100,'Inflicts 135 - 226 melee damage on target',0,0),
(56084,30123,2,100,'Inflicts 143 - 238 melee damage on target',0,0),
(56085,30123,3,100,'Inflicts 150 - 251 melee damage on target',0,0),
(56086,30123,4,100,'Inflicts 165 - 276 melee damage on target',0,0),
(56087,30123,5,100,'Inflicts 181 - 301 melee damage on target',0,0),
(56088,30123,7,100,'Inflicts 232 - 387 melee damage on target',0,0),
(56089,30123,9,100,'Inflicts 241 - 402 melee damage on target',0,0),
(56090,30124,1,100,'Inflicts 164 - 274 melee damage on target',0,0),
(56091,30124,4,100,'Inflicts 201 - 335 melee damage on target',0,0),
(56092,30124,5,100,'Inflicts 219 - 365 melee damage on target',0,0),
(56093,30124,7,100,'Inflicts 281 - 469 melee damage on target',0,0),
(56094,30124,9,100,'Inflicts 292 - 487 melee damage on target',0,0),
(56095,30125,1,100,'Inflicts 195 - 325 melee damage on target',0,0),
(56096,30125,4,100,'Inflicts 238 - 397 melee damage on target',0,0),
(56097,30125,5,100,'Inflicts 260 - 433 melee damage on target',0,0),
(56098,30125,7,100,'Inflicts 333 - 556 melee damage on target',0,0),
(56099,30125,9,100,'Inflicts 346 - 578 melee damage on target',0,0),
(56100,90044,1,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,0),
(56101,90044,1,100,'Heals caster for 2 instantly and every 3 seconds',1,1),
(56102,90044,1,100,'This effect cannot be critically applied.',2,2),
(56103,90044,1,100,'Inflicts 3 - 5 melee damage on target',0,3),
(56104,90044,1,100,'Inflicts 1 disease damage on target every 3 seconds',0,4),
(56106,90044,1,100,'The healing of this spell cannot be modified except by direct means',0,5),
(56107,90044,2,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,0),
(56108,90044,2,100,'Heals caster for 2 instantly and every 3 seconds',1,1),
(56109,90044,2,100,'This effect cannot be critically applied.',2,2),
(56110,90044,2,100,'Inflicts 3 - 5 melee damage on target',0,3),
(56111,90044,2,100,'Inflicts 1 disease damage on target every 3 seconds',0,4),
(56113,90044,2,100,'The healing of this spell cannot be modified except by direct means',0,5),
(56114,90044,3,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,0),
(56115,90044,3,100,'Heals caster for 2 instantly and every 3 seconds',1,1),
(56116,90044,3,100,'This effect cannot be critically applied.',2,2),
(56117,90044,3,100,'Inflicts 3 - 5 melee damage on target',0,3),
(56118,90044,3,100,'Inflicts 1 disease damage on target every 3 seconds',0,4),
(56120,90044,3,100,'The healing of this spell cannot be modified except by direct means',0,5),
(56121,90044,4,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,0),
(56122,90044,4,100,'Heals caster for 3 instantly and every 3 seconds',1,1),
(56123,90044,4,100,'This effect cannot be critically applied.',2,2),
(56124,90044,4,100,'Inflicts 3 - 6 melee damage on target',0,3),
(56125,90044,4,100,'Inflicts 1 disease damage on target every 3 seconds',0,4),
(56127,90044,4,100,'The healing of this spell cannot be modified except by direct means',0,5),
(56128,90044,5,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,0),
(56129,90044,5,100,'Heals caster for 3 instantly and every 3 seconds',1,1),
(56130,90044,5,100,'This effect cannot be critically applied.',2,2),
(56131,90044,5,100,'Inflicts 4 - 7 melee damage on target',0,3),
(56132,90044,5,100,'Inflicts 1 disease damage on target every 3 seconds',0,4),
(56134,90044,5,100,'The healing of this spell cannot be modified except by direct means',0,5),
(56135,90044,7,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,0),
(56136,90044,7,100,'Heals caster for 4 instantly and every 3 seconds',1,1),
(56137,90044,7,100,'This effect cannot be critically applied.',2,2),
(56138,90044,7,100,'Inflicts 5 - 9 melee damage on target',0,3),
(56139,90044,7,100,'Inflicts 1 disease damage on target every 3 seconds',0,4),
(56141,90044,7,100,'The healing of this spell cannot be modified except by direct means',0,5),
(56142,90044,9,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,0),
(56143,90044,9,100,'Heals caster for 4 instantly and every 3 seconds',1,1),
(56144,90044,9,100,'This effect cannot be critically applied.',2,2),
(56145,90044,9,100,'Inflicts 5 - 9 melee damage on target',0,3),
(56146,90044,9,100,'Inflicts 2 disease damage on target every 3 seconds',0,4),
(56148,90044,9,100,'The healing of this spell cannot be modified except by direct means',0,5),
(56149,90045,1,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,0),
(56150,90045,1,100,'Heals caster for 6 instantly and every 3 seconds',1,1),
(56151,90045,1,100,'This effect cannot be critically applied.',2,2),
(56152,90045,1,100,'Inflicts 7 - 12 melee damage on target',0,3),
(56153,90045,1,100,'Inflicts 2 disease damage on target every 3 seconds',0,4),
(56155,90045,1,100,'The healing of this spell cannot be modified except by direct means',0,5),
(56156,90045,2,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,0),
(56157,90045,2,100,'Heals caster for 7 instantly and every 3 seconds',1,1),
(56158,90045,2,100,'This effect cannot be critically applied.',2,2),
(56159,90045,2,100,'Inflicts 7 - 13 melee damage on target',0,3),
(56160,90045,2,100,'Inflicts 2 disease damage on target every 3 seconds',0,4),
(56162,90045,2,100,'The healing of this spell cannot be modified except by direct means',0,5),
(56163,90045,3,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,0),
(56164,90045,3,100,'Heals caster for 7 instantly and every 3 seconds',1,1),
(56165,90045,3,100,'This effect cannot be critically applied.',2,2),
(56166,90045,3,100,'Inflicts 8 - 14 melee damage on target',0,3),
(56167,90045,3,100,'Inflicts 2 disease damage on target every 3 seconds',0,4),
(56169,90045,3,100,'The healing of this spell cannot be modified except by direct means',0,5),
(56170,90045,4,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,0),
(56171,90045,4,100,'Heals caster for 8 instantly and every 3 seconds',1,1),
(56172,90045,4,100,'This effect cannot be critically applied.',2,2),
(56173,90045,4,100,'Inflicts 9 - 15 melee damage on target',0,3),
(56174,90045,4,100,'Inflicts 2 disease damage on target every 3 seconds',0,4),
(56176,90045,4,100,'The healing of this spell cannot be modified except by direct means',0,5),
(56177,90045,5,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,0),
(56178,90045,5,100,'Heals caster for 8 instantly and every 3 seconds',1,1),
(56179,90045,5,100,'This effect cannot be critically applied.',2,2),
(56180,90045,5,100,'Inflicts 10 - 16 melee damage on target',0,3),
(56181,90045,5,100,'Inflicts 3 disease damage on target every 3 seconds',0,4),
(56183,90045,5,100,'The healing of this spell cannot be modified except by direct means',0,5),
(56184,90045,7,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,0),
(56185,90045,7,100,'Heals caster for 11 instantly and every 3 seconds',1,1),
(56186,90045,7,100,'This effect cannot be critically applied.',2,2),
(56187,90045,7,100,'Inflicts 12 - 21 melee damage on target',0,3),
(56188,90045,7,100,'Inflicts 3 disease damage on target every 3 seconds',0,4),
(56190,90045,7,100,'The healing of this spell cannot be modified except by direct means',0,5),
(56191,90045,9,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,0),
(56192,90045,9,100,'Heals caster for 11 instantly and every 3 seconds',1,1),
(56193,90045,9,100,'This effect cannot be critically applied.',2,2),
(56194,90045,9,100,'Inflicts 13 - 22 melee damage on target',0,3),
(56195,90045,9,100,'Inflicts 4 disease damage on target every 3 seconds',0,4),
(56197,90045,9,100,'The healing of this spell cannot be modified except by direct means',0,5),
(56198,90046,1,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,0),
(56199,90046,1,100,'Heals caster for 1.1% of max health instantly and every 3 seconds',1,1),
(56200,90046,1,100,'This effect cannot be critically applied.',2,2),
(56201,90046,1,100,'Inflicts 36 - 61 melee damage on target',0,3),
(56202,90046,1,100,'Inflicts 10 disease damage on target every 3 seconds',0,4),
(56203,90046,1,100,'Inflicts 16 disease damage on target every 3 seconds',0,5),
(56204,90046,1,100,'The healing of this spell cannot be modified except by direct means',0,6),
(56205,90046,2,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,0),
(56206,90046,2,100,'Heals caster for 1.1% of max health instantly and every 3 seconds',1,1),
(56207,90046,2,100,'This effect cannot be critically applied.',2,2),
(56208,90046,2,100,'Inflicts 38 - 64 melee damage on target',0,3),
(56209,90046,2,100,'Inflicts 10 disease damage on target every 3 seconds',0,4),
(56210,90046,2,100,'Inflicts 17 disease damage on target every 3 seconds',0,5),
(56211,90046,2,100,'The healing of this spell cannot be modified except by direct means',0,6),
(56212,90046,3,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,0),
(56213,90046,3,100,'Heals caster for 1.2% of max health instantly and every 3 seconds',1,1),
(56214,90046,3,100,'This effect cannot be critically applied.',2,2),
(56215,90046,3,100,'Inflicts 40 - 68 melee damage on target',0,3),
(56216,90046,3,100,'Inflicts 11 disease damage on target every 3 seconds',0,4),
(56217,90046,3,100,'Inflicts 18 disease damage on target every 3 seconds',0,5),
(56218,90046,3,100,'The healing of this spell cannot be modified except by direct means',0,6),
(56219,90046,4,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,0),
(56220,90046,4,100,'Heals caster for 1.3% of max health instantly and every 3 seconds',1,1),
(56221,90046,4,100,'This effect cannot be critically applied.',2,2),
(56222,90046,4,100,'Inflicts 45 - 75 melee damage on target',0,3),
(56223,90046,4,100,'Inflicts 12 disease damage on target every 3 seconds',0,4),
(56224,90046,4,100,'Inflicts 20 disease damage on target every 3 seconds',0,5),
(56225,90046,4,100,'The healing of this spell cannot be modified except by direct means',0,6),
(56226,90046,5,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,0),
(56227,90046,5,100,'Heals caster for 1.4% of max health instantly and every 3 seconds',1,1),
(56228,90046,5,100,'This effect cannot be critically applied.',2,2),
(56229,90046,5,100,'Inflicts 49 - 81 melee damage on target',0,3),
(56230,90046,5,100,'Inflicts 13 disease damage on target every 3 seconds',0,4),
(56231,90046,5,100,'Inflicts 22 disease damage on target every 3 seconds',0,5),
(56232,90046,5,100,'The healing of this spell cannot be modified except by direct means',0,6),
(56233,90046,7,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,0),
(56234,90046,7,100,'Heals caster for 0.9 - 1.1% of max health',1,1),
(56235,90046,7,100,'Heals caster for 0.9 - 1.1% of max health every 3 seconds',1,2),
(56236,90046,7,100,'This effect cannot be critically applied.',2,3),
(56237,90046,7,100,'Inflicts 63 - 105 melee damage on target',0,4),
(56238,90046,7,100,'Inflicts 17 disease damage on target every 3 seconds',0,5),
(56239,90046,7,100,'The healing of this spell cannot be modified except by direct means',0,6),
(56240,90046,9,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,0),
(56241,90046,9,100,'Heals caster for 0.9 - 1.1% of max health',1,1),
(56242,90046,9,100,'Heals caster for 1.0 - 1.2% of max health every 3 seconds',1,2),
(56243,90046,9,100,'This effect cannot be critically applied.',2,3),
(56244,90046,9,100,'Inflicts 65 - 109 melee damage on target',0,4),
(56245,90046,9,100,'Inflicts 17 disease damage on target every 3 seconds',0,5),
(56246,90046,9,100,'The healing of this spell cannot be modified except by direct means',0,6),
(56247,90047,1,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,0),
(56248,90047,1,100,'Heals caster for 1.1% of max health instantly and every 3 seconds',1,1),
(56249,90047,1,100,'This effect cannot be critically applied.',2,2),
(56250,90047,1,100,'Inflicts 57 - 96 melee damage on target',0,3),
(56251,90047,1,100,'Inflicts 15 disease damage on target every 3 seconds',0,4),
(56252,90047,1,100,'Inflicts 23 disease damage on target every 3 seconds',0,5),
(56253,90047,1,100,'The healing of this spell cannot be modified except by direct means',0,6),
(56254,90047,2,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,0),
(56255,90047,2,100,'Heals caster for 1.1% of max health instantly and every 3 seconds',1,1),
(56256,90047,2,100,'This effect cannot be critically applied.',2,2),
(56257,90047,2,100,'Inflicts 61 - 101 melee damage on target',0,3),
(56258,90047,2,100,'Inflicts 16 disease damage on target every 3 seconds',0,4),
(56259,90047,2,100,'Inflicts 25 disease damage on target every 3 seconds',0,5),
(56260,90047,2,100,'The healing of this spell cannot be modified except by direct means',0,6),
(56261,90047,3,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,0),
(56262,90047,3,100,'Heals caster for 0.6 - 0.8% of max health',1,1),
(56263,90047,3,100,'Heals caster for 0.6 - 0.8% of max health every 3 seconds',1,2),
(56264,90047,3,100,'This effect cannot be critically applied.',2,3),
(56265,90047,3,100,'Inflicts 64 - 107 melee damage on target',0,4),
(56266,90047,3,100,'Inflicts 17 disease damage on target every 3 seconds',0,5),
(56267,90047,3,100,'The healing of this spell cannot be modified except by direct means',0,6),
(56268,90047,4,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,0),
(56269,90047,4,100,'Heals caster for 1.3% of max health instantly and every 3 seconds',1,1),
(56270,90047,4,100,'This effect cannot be critically applied.',2,2),
(56271,90047,4,100,'Inflicts 70 - 117 melee damage on target',0,3),
(56272,90047,4,100,'Inflicts 19 disease damage on target every 3 seconds',0,4),
(56273,90047,4,100,'Inflicts 29 disease damage on target every 3 seconds',0,5),
(56274,90047,4,100,'The healing of this spell cannot be modified except by direct means',0,6),
(56275,90047,5,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,0),
(56276,90047,5,100,'Heals caster for 1.4% of max health instantly and every 3 seconds',1,1),
(56277,90047,5,100,'This effect cannot be critically applied.',2,2),
(56278,90047,5,100,'Inflicts 77 - 128 melee damage on target',0,3),
(56279,90047,5,100,'Inflicts 21 disease damage on target every 3 seconds',0,4),
(56280,90047,5,100,'Inflicts 31 disease damage on target every 3 seconds',0,5),
(56281,90047,5,100,'The healing of this spell cannot be modified except by direct means',0,6),
(56282,90047,7,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,0),
(56283,90047,7,100,'Heals caster for 1.8% of max health instantly and every 3 seconds',1,1),
(56284,90047,7,100,'This effect cannot be critically applied.',2,2),
(56285,90047,7,100,'Inflicts 98 - 164 melee damage on target',0,3),
(56286,90047,7,100,'Inflicts 26 disease damage on target every 3 seconds',0,4),
(56287,90047,7,100,'Inflicts 36 disease damage on target every 3 seconds',0,5),
(56288,90047,7,100,'The healing of this spell cannot be modified except by direct means',0,6),
(56289,90047,9,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,0),
(56290,90047,9,100,'Heals caster for 1.9% of max health instantly and every 3 seconds',1,1),
(56291,90047,9,100,'This effect cannot be critically applied.',2,2),
(56292,90047,9,100,'Inflicts 102 - 171 melee damage on target',0,3),
(56293,90047,9,100,'Inflicts 27 disease damage on target every 3 seconds',0,4),
(56294,90047,9,100,'Inflicts 42 disease damage on target every 3 seconds',0,5),
(56295,90047,9,100,'The healing of this spell cannot be modified except by direct means',0,6),
(56296,90048,1,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,0),
(56297,90048,1,100,'Heals caster for 1.1% of max health instantly and every 3 seconds',1,1),
(56298,90048,1,100,'This effect cannot be critically applied.',2,2),
(56299,90048,1,100,'Inflicts 82 - 137 melee damage on target',0,3),
(56300,90048,1,100,'Inflicts 22 disease damage on target every 3 seconds',0,4),
(56301,90048,1,100,'Inflicts 33 disease damage on target every 3 seconds',0,5),
(56302,90048,1,100,'The healing of this spell cannot be modified except by direct means',0,6),
(56303,90048,2,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,0),
(56304,90048,2,100,'Heals caster for 1.1% of max health instantly and every 3 seconds',1,1),
(56305,90048,2,100,'This effect cannot be critically applied.',2,2),
(56306,90048,2,100,'Inflicts 87 - 145 melee damage on target',0,3),
(56307,90048,2,100,'Inflicts 23 disease damage on target every 3 seconds',0,4),
(56308,90048,2,100,'Inflicts 34 disease damage on target every 3 seconds',0,5),
(56309,90048,2,100,'The healing of this spell cannot be modified except by direct means',0,6),
(56310,90048,3,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,0),
(56311,90048,3,100,'Heals caster for 0.6 - 0.8% of max health',1,1),
(56312,90048,3,100,'Heals caster for 0.7 - 0.8% of max health every 3 seconds',1,2),
(56313,90048,3,100,'This effect cannot be critically applied.',2,3),
(56314,90048,3,100,'Inflicts 91 - 153 melee damage on target',0,4),
(56315,90048,3,100,'Inflicts 25 disease damage on target every 3 seconds',0,5),
(56316,90048,3,100,'The healing of this spell cannot be modified except by direct means',0,6),
(56317,90048,4,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,0),
(56318,90048,4,100,'Heals caster for 1.3% of max health instantly and every 3 seconds',1,1),
(56319,90048,4,100,'This effect cannot be critically applied.',2,2),
(56320,90048,4,100,'Inflicts 101 - 168 melee damage on target',0,3),
(56321,90048,4,100,'Inflicts 27 disease damage on target every 3 seconds',0,4),
(56322,90048,4,100,'Inflicts 40 disease damage on target every 3 seconds',0,5),
(56323,90048,4,100,'The healing of this spell cannot be modified except by direct means',0,6),
(56324,90048,5,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,0),
(56325,90048,5,100,'Heals caster for 1.4% of max health instantly and every 3 seconds',1,1),
(56326,90048,5,100,'This effect cannot be critically applied.',2,2),
(56327,90048,5,100,'Inflicts 110 - 183 melee damage on target',0,3),
(56328,90048,5,100,'Inflicts 29 disease damage on target every 3 seconds',0,4),
(56329,90048,5,100,'Inflicts 43 disease damage on target every 3 seconds',0,5),
(56330,90048,5,100,'The healing of this spell cannot be modified except by direct means',0,6),
(56331,90048,7,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,0),
(56332,90048,7,100,'Heals caster for 1.0 - 1.2% of max health',1,1),
(56333,90048,7,100,'Heals caster for 1.0 - 1.3% of max health every 3 seconds',1,2),
(56334,90048,7,100,'This effect cannot be critically applied.',2,3),
(56335,90048,7,100,'Inflicts 141 - 235 melee damage on target',0,4),
(56336,90048,7,100,'Inflicts 38 disease damage on target every 3 seconds',0,5),
(56337,90048,7,100,'The healing of this spell cannot be modified except by direct means',0,6),
(56338,90048,9,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,0),
(56339,90048,9,100,'Heals caster for 1.0 - 1.3% of max health',1,1),
(56340,90048,9,100,'Heals caster for 1.1 - 1.3% of max health every 3 seconds',1,2),
(56341,90048,9,100,'This effect cannot be critically applied.',2,3),
(56342,90048,9,100,'Inflicts 147 - 245 melee damage on target',0,4),
(56343,90048,9,100,'Inflicts 39 disease damage on target every 3 seconds',0,5),
(56344,90048,9,100,'The healing of this spell cannot be modified except by direct means',0,6),
(56345,90049,1,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,0),
(56346,90049,1,100,'Heals caster for 1.1% of max health instantly and every 3 seconds',1,1),
(56347,90049,1,100,'This effect cannot be critically applied.',2,2),
(56348,90049,1,100,'Inflicts 107 - 179 melee damage on target',0,3),
(56349,90049,1,100,'Inflicts 29 disease damage on target every 3 seconds',0,4),
(56350,90049,1,100,'Inflicts 43 disease damage on target every 3 seconds',0,5),
(56351,90049,1,100,'The healing of this spell cannot be modified except by direct means',0,6),
(56352,90049,2,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,0),
(56353,90049,2,100,'Heals caster for 1.1% of max health instantly and every 3 seconds',1,1),
(56354,90049,2,100,'This effect cannot be critically applied.',2,2),
(56355,90049,2,100,'Inflicts 113 - 189 melee damage on target',0,3),
(56356,90049,2,100,'Inflicts 30 disease damage on target every 3 seconds',0,4),
(56357,90049,2,100,'Inflicts 45 disease damage on target every 3 seconds',0,5),
(56358,90049,2,100,'The healing of this spell cannot be modified except by direct means',0,6),
(56359,90049,3,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,0),
(56360,90049,3,100,'Heals caster for 1.2% of max health instantly and every 3 seconds',1,1),
(56361,90049,3,100,'This effect cannot be critically applied.',2,2),
(56362,90049,3,100,'Inflicts 119 - 199 melee damage on target',0,3),
(56363,90049,3,100,'Inflicts 32 disease damage on target every 3 seconds',0,4),
(56364,90049,3,100,'Inflicts 47 disease damage on target every 3 seconds',0,5),
(56365,90049,3,100,'The healing of this spell cannot be modified except by direct means',0,6),
(56366,90049,4,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,0),
(56367,90049,4,100,'Heals caster for 1.3% of max health instantly and every 3 seconds',1,1),
(56368,90049,4,100,'This effect cannot be critically applied.',2,2),
(56369,90049,4,100,'Inflicts 131 - 219 melee damage on target',0,3),
(56370,90049,4,100,'Inflicts 35 disease damage on target every 3 seconds',0,4),
(56371,90049,4,100,'Inflicts 52 disease damage on target every 3 seconds',0,5),
(56372,90049,4,100,'The healing of this spell cannot be modified except by direct means',0,6),
(56373,90049,5,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,0),
(56374,90049,5,100,'Heals caster for 0.8 - 1.0% of max health',1,1),
(56375,90049,5,100,'Heals caster for 0.9 - 1.1% of max health every 3 seconds',1,2),
(56376,90049,5,100,'This effect cannot be critically applied.',2,3),
(56377,90049,5,100,'Inflicts 143 - 239 melee damage on target',0,4),
(56378,90049,5,100,'Inflicts 38 disease damage on target every 3 seconds',0,5),
(56379,90049,5,100,'The healing of this spell cannot be modified except by direct means',0,6),
(56380,90049,7,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,0),
(56381,90049,7,100,'Heals caster for 1.8% of max health instantly and every 3 seconds',1,1),
(56382,90049,7,100,'This effect cannot be critically applied.',2,2),
(56383,90049,7,100,'Inflicts 184 - 307 melee damage on target',0,3),
(56384,90049,7,100,'Inflicts 49 disease damage on target every 3 seconds',0,4),
(56385,90049,7,100,'Inflicts 66 disease damage on target every 3 seconds',0,5),
(56386,90049,7,100,'The healing of this spell cannot be modified except by direct means',0,6),
(56387,90049,9,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,0),
(56388,90049,9,100,'Heals caster for 1.9% of max health instantly and every 3 seconds',1,1),
(56389,90049,9,100,'This effect cannot be critically applied.',2,2),
(56390,90049,9,100,'Inflicts 191 - 319 melee damage on target',0,3),
(56391,90049,9,100,'Inflicts 51 disease damage on target every 3 seconds',0,4),
(56392,90049,9,100,'Inflicts 76 disease damage on target every 3 seconds',0,5),
(56393,90049,9,100,'The healing of this spell cannot be modified except by direct means',0,6),
(56401,90050,1,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,0),
(56402,90050,1,100,'Heals caster for 1.1% of max health instantly and every 3 seconds',1,1),
(56403,90050,1,100,'This effect cannot be critically applied.',2,2),
(56404,90050,1,100,'Inflicts 130 - 218 melee damage on target',0,3),
(56405,90050,1,100,'Inflicts 35 disease damage on target every 3 seconds',0,4),
(56406,90050,1,100,'Inflicts 52 disease damage on target every 3 seconds',0,5),
(56407,90050,1,100,'The healing of this spell cannot be modified except by direct means',0,6),
(56408,90050,4,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,0),
(56409,90050,4,100,'Heals caster for 1.3% of max health instantly and every 3 seconds',1,1),
(56410,90050,4,100,'This effect cannot be critically applied.',2,2),
(56411,90050,4,100,'Inflicts 159 - 266 melee damage on target',0,3),
(56412,90050,4,100,'Inflicts 43 disease damage on target every 3 seconds',0,4),
(56413,90050,4,100,'Inflicts 63 disease damage on target every 3 seconds',0,5),
(56414,90050,4,100,'The healing of this spell cannot be modified except by direct means',0,6),
(56415,90050,5,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,0),
(56416,90050,5,100,'Heals caster for 1.4% of max health instantly and every 3 seconds',1,1),
(56417,90050,5,100,'This effect cannot be critically applied.',2,2),
(56418,90050,5,100,'Inflicts 174 - 290 melee damage on target',0,3),
(56419,90050,5,100,'Inflicts 47 disease damage on target every 3 seconds',0,4),
(56420,90050,5,100,'Inflicts 69 disease damage on target every 3 seconds',0,5),
(56421,90050,5,100,'The healing of this spell cannot be modified except by direct means',0,6),
(56422,90050,7,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,0),
(56423,90050,7,100,'Heals caster for 1.8% of max health instantly and every 3 seconds',1,1),
(56424,90050,7,100,'This effect cannot be critically applied.',2,2),
(56425,90050,7,100,'Inflicts 223 - 373 melee damage on target',0,3),
(56426,90050,7,100,'Inflicts 60 disease damage on target every 3 seconds',0,4),
(56427,90050,7,100,'Inflicts 80 disease damage on target every 3 seconds',0,5),
(56428,90050,7,100,'The healing of this spell cannot be modified except by direct means',0,6),
(56429,90050,9,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,0),
(56430,90050,9,100,'Heals caster for 1.9% of max health instantly and every 3 seconds',1,1),
(56431,90050,9,100,'This effect cannot be critically applied.',2,2),
(56432,90050,9,100,'Inflicts 232 - 387 melee damage on target',0,3),
(56433,90050,9,100,'Inflicts 62 disease damage on target every 3 seconds',0,4),
(56434,90050,9,100,'Inflicts 92 disease damage on target every 3 seconds',0,5),
(56435,90050,9,100,'The healing of this spell cannot be modified except by direct means',0,6),
(56436,90051,1,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,0),
(56437,90051,1,100,'Heals caster for 1.1% of max health instantly and every 3 seconds',1,1),
(56438,90051,1,100,'This effect cannot be critically applied.',2,2),
(56439,90051,1,100,'Inflicts 155 - 258 melee damage on target',0,3),
(56440,90051,1,100,'Inflicts 41 disease damage on target every 3 seconds',0,4),
(56441,90051,1,100,'Inflicts 61 disease damage on target every 3 seconds',0,5),
(56442,90051,1,100,'The healing of this spell cannot be modified except by direct means',0,6),
(56443,90051,4,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,0),
(56444,90051,4,100,'Heals caster for 1.3% of max health instantly and every 3 seconds',1,1),
(56445,90051,4,100,'This effect cannot be critically applied.',2,2),
(56446,90051,4,100,'Inflicts 189 - 316 melee damage on target',0,3),
(56447,90051,4,100,'Inflicts 51 disease damage on target every 3 seconds',0,4),
(56448,90051,4,100,'Inflicts 75 disease damage on target every 3 seconds',0,5),
(56449,90051,4,100,'The healing of this spell cannot be modified except by direct means',0,6),
(56450,90051,5,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,0),
(56451,90051,5,100,'Heals caster for 1.4% of max health instantly and every 3 seconds',1,1),
(56452,90051,5,100,'This effect cannot be critically applied.',2,2),
(56453,90051,5,100,'Inflicts 206 - 344 melee damage on target',0,3),
(56454,90051,5,100,'Inflicts 55 disease damage on target every 3 seconds',0,4),
(56455,90051,5,100,'Inflicts 82 disease damage on target every 3 seconds',0,5),
(56456,90051,5,100,'The healing of this spell cannot be modified except by direct means',0,6),
(56457,90051,7,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,0),
(56458,90051,7,100,'Heals caster for 1.8% of max health instantly and every 3 seconds',1,1),
(56459,90051,7,100,'This effect cannot be critically applied.',2,2),
(56460,90051,7,100,'Inflicts 265 - 442 melee damage on target',0,3),
(56461,90051,7,100,'Inflicts 71 disease damage on target every 3 seconds',0,4),
(56462,90051,7,100,'Inflicts 95 disease damage on target every 3 seconds',0,5),
(56463,90051,7,100,'The healing of this spell cannot be modified except by direct means',0,6),
(56464,90051,9,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,0),
(56465,90051,9,100,'Heals caster for 1.9% of max health instantly and every 3 seconds',1,1),
(56466,90051,9,100,'This effect cannot be critically applied.',2,2),
(56467,90051,9,100,'Inflicts 275 - 459 melee damage on target',0,3),
(56468,90051,9,100,'Inflicts 74 disease damage on target every 3 seconds',0,4),
(56469,90051,9,100,'Inflicts 109 disease damage on target every 3 seconds',0,5),
(56470,90051,9,100,'The healing of this spell cannot be modified except by direct means',0,6),
(56471,400139,1,100,'Inflicts 188 - 313 melee damage on target',0,0),
(56472,400139,1,100,'Roots target',0,1),
(56473,400139,1,100,'If Target is not Epic',1,2),
(56474,400139,1,100,'5% chance to dispel when target takes damage',0,3),
(56475,400139,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(56476,400139,2,100,'Inflicts 198 - 330 melee damage on target',0,0),
(56477,400139,2,100,'Roots target',0,1),
(56478,400139,2,100,'If Target is not Epic',1,2),
(56479,400139,2,100,'5% chance to dispel when target takes damage',0,3),
(56480,400139,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(56481,400139,3,100,'Inflicts 209 - 348 melee damage on target',0,0),
(56482,400139,3,100,'Roots target',0,1),
(56483,400139,3,100,'If Target is not Epic',1,2),
(56484,400139,3,100,'5% chance to dispel when target takes damage',0,3),
(56485,400139,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(56486,400139,4,100,'Inflicts 229 - 383 melee damage on target',0,0),
(56487,400139,4,100,'Roots target',0,1),
(56488,400139,4,100,'If Target is not Epic',1,2),
(56489,400139,4,100,'5% chance to dispel when target takes damage',0,3),
(56490,400139,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(56491,400139,5,100,'Inflicts 250 - 418 melee damage on target',0,0),
(56492,400139,5,100,'Roots target',0,1),
(56493,400139,5,100,'If Target is not Epic',1,2),
(56494,400139,5,100,'5% chance to dispel when target takes damage',0,3),
(56495,400139,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(56496,400139,7,100,'Inflicts 321 - 536 melee damage on target',0,0),
(56497,400139,7,100,'Roots target',0,1),
(56498,400139,7,100,'If Target is not Epic',1,2),
(56499,400139,7,100,'5% chance to dispel when target takes damage',0,3),
(56500,400139,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(56501,400139,9,100,'Inflicts 334 - 557 melee damage on target',0,0),
(56502,400139,9,100,'Roots target',0,1),
(56503,400139,9,100,'If Target is not Epic',1,2),
(56504,400139,9,100,'5% chance to dispel when target takes damage',0,3),
(56505,400139,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(56506,400139,10,100,'Inflicts 351 - 585 melee damage on target',0,0),
(56507,400139,10,100,'Roots target',0,1),
(56508,400139,10,100,'If Target is not Epic',1,2),
(56509,400139,10,100,'5% chance to dispel when target takes damage',0,3),
(56510,400139,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(56511,400140,1,100,'Inflicts 288 - 481 melee damage on target',0,0),
(56512,400140,1,100,'Roots target',0,1),
(56513,400140,1,100,'If Target is not Epic',1,2),
(56514,400140,1,100,'5% chance to dispel when target takes damage',0,3),
(56515,400140,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(56516,400140,2,100,'Inflicts 304 - 507 melee damage on target',0,0),
(56517,400140,2,100,'Roots target',0,1),
(56518,400140,2,100,'If Target is not Epic',1,2),
(56519,400140,2,100,'5% chance to dispel when target takes damage',0,3),
(56520,400140,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(56521,400140,3,100,'Inflicts 320 - 534 melee damage on target',0,0),
(56522,400140,3,100,'Roots target',0,1),
(56523,400140,3,100,'If Target is not Epic',1,2),
(56524,400140,3,100,'5% chance to dispel when target takes damage',0,3),
(56525,400140,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(56526,400140,4,100,'Inflicts 352 - 588 melee damage on target',0,0),
(56527,400140,4,100,'Roots target',0,1),
(56528,400140,4,100,'If Target is not Epic',1,2),
(56529,400140,4,100,'5% chance to dispel when target takes damage',0,3),
(56530,400140,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(56531,400140,5,100,'Inflicts 385 - 641 melee damage on target',0,0),
(56532,400140,5,100,'Roots target',0,1),
(56533,400140,5,100,'If Target is not Epic',1,2),
(56534,400140,5,100,'5% chance to dispel when target takes damage',0,3),
(56535,400140,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(56536,400140,7,100,'Inflicts 494 - 823 melee damage on target',0,0),
(56537,400140,7,100,'Roots target',0,1),
(56538,400140,7,100,'If Target is not Epic',1,2),
(56539,400140,7,100,'5% chance to dispel when target takes damage',0,3),
(56540,400140,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(56541,400140,9,100,'Inflicts 513 - 855 melee damage on target',0,0),
(56542,400140,9,100,'Roots target',0,1),
(56543,400140,9,100,'If Target is not Epic',1,2),
(56544,400140,9,100,'5% chance to dispel when target takes damage',0,3),
(56545,400140,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(56546,400141,1,100,'Inflicts 402 - 670 melee damage on target',0,0),
(56547,400141,1,100,'Roots target',0,1),
(56548,400141,1,100,'If Target is not Epic',1,2),
(56549,400141,1,100,'5% chance to dispel when target takes damage',0,3),
(56550,400141,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(56551,400141,2,100,'Inflicts 424 - 707 melee damage on target',0,0),
(56552,400141,2,100,'Roots target',0,1),
(56553,400141,2,100,'If Target is not Epic',1,2),
(56554,400141,2,100,'5% chance to dispel when target takes damage',0,3),
(56555,400141,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(56556,400141,3,100,'Inflicts 447 - 745 melee damage on target',0,0),
(56557,400141,3,100,'Roots target',0,1),
(56558,400141,3,100,'If Target is not Epic',1,2),
(56559,400141,3,100,'5% chance to dispel when target takes damage',0,3),
(56560,400141,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(56561,400141,4,100,'Inflicts 491 - 819 melee damage on target',0,0),
(56562,400141,4,100,'Roots target',0,1),
(56563,400141,4,100,'If Target is not Epic',1,2),
(56564,400141,4,100,'5% chance to dispel when target takes damage',0,3),
(56565,400141,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(56566,400141,5,100,'Inflicts 536 - 894 melee damage on target',0,0),
(56567,400141,5,100,'Roots target',0,1),
(56568,400141,5,100,'If Target is not Epic',1,2),
(56569,400141,5,100,'5% chance to dispel when target takes damage',0,3),
(56570,400141,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(56571,400141,7,100,'Inflicts 688 - 1147 melee damage on target',0,0),
(56572,400141,7,100,'Roots target',0,1),
(56573,400141,7,100,'If Target is not Epic',1,2),
(56574,400141,7,100,'5% chance to dispel when target takes damage',0,3),
(56575,400141,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(56576,400141,9,100,'Inflicts 715 - 1192 melee damage on target',0,0),
(56577,400141,9,100,'Roots target',0,1),
(56578,400141,9,100,'If Target is not Epic',1,2),
(56579,400141,9,100,'5% chance to dispel when target takes damage',0,3),
(56580,400141,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(56581,400142,1,100,'Inflicts 514 - 857 melee damage on target',0,0),
(56582,400142,1,100,'Roots target',0,1),
(56583,400142,1,100,'If Target is not Epic',1,2),
(56584,400142,1,100,'5% chance to dispel when target takes damage',0,3),
(56585,400142,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(56586,400142,2,100,'Inflicts 542 - 904 melee damage on target',0,0),
(56587,400142,2,100,'Roots target',0,1),
(56588,400142,2,100,'If Target is not Epic',1,2),
(56589,400142,2,100,'5% chance to dispel when target takes damage',0,3),
(56590,400142,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(56591,400142,3,100,'Inflicts 571 - 952 melee damage on target',0,0),
(56592,400142,3,100,'Roots target',0,1),
(56593,400142,3,100,'If Target is not Epic',1,2),
(56594,400142,3,100,'5% chance to dispel when target takes damage',0,3),
(56595,400142,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(56596,400142,4,100,'Inflicts 628 - 1047 melee damage on target',0,0),
(56597,400142,4,100,'Roots target',0,1),
(56598,400142,4,100,'If Target is not Epic',1,2),
(56599,400142,4,100,'5% chance to dispel when target takes damage',0,3),
(56600,400142,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(56601,400142,5,100,'Inflicts 685 - 1142 melee damage on target',0,0),
(56602,400142,5,100,'Roots target',0,1),
(56603,400142,5,100,'If Target is not Epic',1,2),
(56604,400142,5,100,'5% chance to dispel when target takes damage',0,3),
(56605,400142,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(56606,400142,7,100,'Inflicts 879 - 1466 melee damage on target',0,0),
(56607,400142,7,100,'Roots target',0,1),
(56608,400142,7,100,'If Target is not Epic',1,2),
(56609,400142,7,100,'5% chance to dispel when target takes damage',0,3),
(56610,400142,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(56611,400142,9,100,'Inflicts 914 - 1523 melee damage on target',0,0),
(56612,400142,9,100,'Roots target',0,1),
(56613,400142,9,100,'If Target is not Epic',1,2),
(56614,400142,9,100,'5% chance to dispel when target takes damage',0,3),
(56615,400142,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(56616,400143,1,100,'Inflicts 621 - 1036 melee damage on target',0,0),
(56617,400143,1,100,'Roots target',0,1),
(56618,400143,1,100,'If Target is not Epic',1,2),
(56619,400143,1,100,'5% chance to dispel when target takes damage',0,3),
(56620,400143,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(56621,400143,4,100,'Inflicts 760 - 1266 melee damage on target',0,0),
(56622,400143,4,100,'Roots target',0,1),
(56623,400143,4,100,'If Target is not Epic',1,2),
(56624,400143,4,100,'5% chance to dispel when target takes damage',0,3),
(56625,400143,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(56626,400143,5,100,'Inflicts 829 - 1382 melee damage on target',0,0),
(56627,400143,5,100,'Roots target',0,1),
(56628,400143,5,100,'If Target is not Epic',1,2),
(56629,400143,5,100,'5% chance to dispel when target takes damage',0,3),
(56630,400143,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(56631,400143,7,100,'Inflicts 1064 - 1773 melee damage on target',0,0),
(56632,400143,7,100,'Roots target',0,1),
(56633,400143,7,100,'If Target is not Epic',1,2),
(56634,400143,7,100,'5% chance to dispel when target takes damage',0,3),
(56635,400143,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(56636,400143,9,100,'Inflicts 1105 - 1842 melee damage on target',0,0),
(56637,400143,9,100,'Roots target',0,1),
(56638,400143,9,100,'If Target is not Epic',1,2),
(56639,400143,9,100,'5% chance to dispel when target takes damage',0,3),
(56640,400143,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(56641,400143,10,100,'Inflicts 1160 - 1934 melee damage on target',0,0),
(56642,400143,10,100,'Roots target',0,1),
(56643,400143,10,100,'If Target is not Epic',1,2),
(56644,400143,10,100,'5% chance to dispel when target takes damage',0,3),
(56645,400143,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(56646,400144,1,100,'Inflicts 718 - 1196 melee damage on target',0,0),
(56647,400144,1,100,'Roots target',0,1),
(56648,400144,1,100,'If Target is not Epic',1,2),
(56649,400144,1,100,'5% chance to dispel when target takes damage',0,3),
(56650,400144,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(56651,400144,4,100,'Inflicts 877 - 1462 melee damage on target',0,0),
(56652,400144,4,100,'Roots target',0,1),
(56653,400144,4,100,'If Target is not Epic',1,2),
(56654,400144,4,100,'5% chance to dispel when target takes damage',0,3),
(56655,400144,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(56656,400144,5,100,'Inflicts 957 - 1595 melee damage on target',0,0),
(56657,400144,5,100,'Roots target',0,1),
(56658,400144,5,100,'If Target is not Epic',1,2),
(56659,400144,5,100,'5% chance to dispel when target takes damage',0,3),
(56660,400144,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(56661,400144,7,100,'Inflicts 1228 - 2047 melee damage on target',0,0),
(56662,400144,7,100,'Roots target',0,1),
(56663,400144,7,100,'If Target is not Epic',1,2),
(56664,400144,7,100,'5% chance to dispel when target takes damage',0,3),
(56665,400144,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(56666,400144,9,100,'Inflicts 1276 - 2127 melee damage on target',0,0),
(56667,400144,9,100,'Roots target',0,1),
(56668,400144,9,100,'If Target is not Epic',1,2),
(56669,400144,9,100,'5% chance to dispel when target takes damage',0,3),
(56670,400144,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(56671,400144,10,100,'Inflicts 1340 - 2234 melee damage on target',0,0),
(56672,400144,10,100,'Roots target',0,1),
(56673,400144,10,100,'If Target is not Epic',1,2),
(56674,400144,10,100,'5% chance to dispel when target takes damage',0,3),
(56675,400144,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(56676,2000180,1,100,'Applies Partisan''s Glory.  Lasts for 1 minute.',0,0),
(56677,2000180,1,100,'Reduces all damage done to caster by 1.15%',1,1),
(56678,2000180,1,100,'Increases Crit Bonus of caster by 2.3%',1,2),
(56679,2000180,1,100,'Inflicts 2585 - 4801 melee damage on targets in Area of Effect',0,3),
(56680,60127,1,100,'Applies Wane on termination.  Lasts for 20.0 seconds.',0,0),
(56681,60127,1,100,'Increases Threat to target by 4,946 - 5,925  instantly and by 3,345 - 3,969  every 4 seconds thereafter',1,1),
(56682,60127,1,100,'Forces target to change their selected target to caster instantly and every 2 seconds.',0,2),
(56683,60127,1,100,'Increases threat priority of target by 4 positions',0,3),
(56684,60127,1,100,'Increases Threat to target by 227 - 278  instantly and by 142 - 173  every 2 seconds thereafter',0,4),
(56685,60127,1,100,'Prevents target from changing targets',0,5),
(56686,60127,1,100,'Must be not at the top of the hate list of your current target.',0,6),
(56687,60127,2,100,'Applies Wane on termination.  Lasts for 20.0 seconds.',0,0),
(56688,60127,2,100,'Increases Threat to target by 5,191 - 6,224  instantly and by 3,500 - 4,158  every 4 seconds thereafter',1,1),
(56689,60127,2,100,'Forces target to change their selected target to caster instantly and every 2 seconds.',0,2),
(56690,60127,2,100,'Increases threat priority of target by 4 positions',0,3),
(56691,60127,2,100,'Increases Threat to target by 240 - 293  instantly and by 150 - 183  every 2 seconds thereafter',0,4),
(56692,60127,2,100,'Prevents target from changing targets',0,5),
(56693,60127,2,100,'Must be not at the top of the hate list of your current target.',0,6),
(56694,60127,3,100,'Applies Wane on termination.  Lasts for 20.0 seconds.',0,0),
(56695,60127,3,100,'Increases Threat to target by 5,435 - 6,523  instantly and by 3,655 - 4,347  every 4 seconds thereafter',1,1),
(56696,60127,3,100,'Forces target to change their selected target to caster instantly and every 2 seconds.',0,2),
(56697,60127,3,100,'Increases threat priority of target by 4 positions',0,3),
(56698,60127,3,100,'Increases Threat to target by 252 - 308  instantly and by 157 - 193  every 2 seconds thereafter',0,4),
(56699,60127,3,100,'Prevents target from changing targets',0,5),
(56700,60127,3,100,'Must be not at the top of the hate list of your current target.',0,6),
(56701,60127,4,100,'Applies Wane on termination.  Lasts for 20.0 seconds.',0,0),
(56702,60127,4,100,'Increases Threat to target by 5,925 - 7,122  instantly and by 3,965 - 4,726  every 4 seconds thereafter',1,1),
(56703,60127,4,100,'Forces target to change their selected target to caster instantly and every 2 seconds.',0,2),
(56704,60127,4,100,'Increases threat priority of target by 4 positions',0,3),
(56705,60127,4,100,'Increases Threat to target by 278 - 339  instantly and by 173 - 212  every 2 seconds thereafter',0,4),
(56706,60127,4,100,'Prevents target from changing targets',0,5),
(56707,60127,4,100,'Must be not at the top of the hate list of your current target.',0,6),
(56708,60127,5,100,'Applies Wane on termination.  Lasts for 20.0 seconds.',0,0),
(56709,60127,5,100,'Increases Threat to target by 6,414 - 7,720  instantly and by 4,275 - 5,105  every 4 seconds thereafter',1,1),
(56710,60127,5,100,'Forces target to change their selected target to caster instantly and every 2 seconds.',0,2),
(56711,60127,5,100,'Increases threat priority of target by 4 positions',0,3),
(56712,60127,5,100,'Increases Threat to target by 303 - 370  instantly and by 189 - 231  every 2 seconds thereafter',0,4),
(56713,60127,5,100,'Prevents target from changing targets',0,5),
(56714,60127,5,100,'Must be not at the top of the hate list of your current target.',0,6),
(56715,60127,7,100,'Applies Wane on termination.  Lasts for 20.0 seconds.',0,0),
(56716,60127,7,100,'Increases Threat to target by 8,079 - 9,755  instantly and by 5,329 - 6,393  every 4 seconds thereafter',1,1),
(56717,60127,7,100,'Forces target to change their selected target to caster instantly and every 2 seconds.',0,2),
(56718,60127,7,100,'Increases threat priority of target by 4 positions',0,3),
(56719,60127,7,100,'Increases Threat to target by 389 - 475  instantly and by 243 - 297  every 2 seconds thereafter',0,4),
(56720,60127,7,100,'Prevents target from changing targets',0,5),
(56721,60127,7,100,'Must be not at the top of the hate list of your current target.',0,6),
(56722,60127,9,100,'Applies Wane on termination.  Lasts for 20.0 seconds.',0,0),
(56723,60127,9,100,'Increases Threat to target by 8,373 - 10,114  instantly and by 5,515 - 6,620  every 4 seconds thereafter',1,1),
(56724,60127,9,100,'Forces target to change their selected target to caster instantly and every 2 seconds.',0,2),
(56725,60127,9,100,'Increases threat priority of target by 4 positions',0,3),
(56726,60127,9,100,'Increases Threat to target by 404 - 494  instantly and by 252 - 308  every 2 seconds thereafter',0,4),
(56727,60127,9,100,'Prevents target from changing targets',0,5),
(56728,60127,9,100,'Must be not at the top of the hate list of your current target.',0,6),
(56729,60128,1,100,'Applies Wane on termination.  Lasts for 20.0 seconds.',0,0),
(56730,60128,1,100,'Increases Threat to target by 5,838 - 7,016  instantly and by 3,913 - 4,663  every 4 seconds thereafter',1,1),
(56731,60128,1,100,'Forces target to change their selected target to caster instantly and every 2 seconds.',0,2),
(56732,60128,1,100,'Increases threat priority of target by 4 positions',0,3),
(56733,60128,1,100,'Increases Threat to target by 227 - 277  instantly and by 142 - 173  every 2 seconds thereafter',0,4),
(56734,60128,1,100,'Prevents target from changing targets',0,5),
(56735,60128,1,100,'Must be not at the top of the hate list of your current target.',0,6),
(56736,60128,4,100,'Applies Wane on termination.  Lasts for 20.0 seconds.',0,0),
(56737,60128,4,100,'Increases Threat to target by 7,016 - 8,455  instantly and by 4,659 - 5,575  every 4 seconds thereafter',1,1),
(56738,60128,4,100,'Forces target to change their selected target to caster instantly and every 2 seconds.',0,2),
(56739,60128,4,100,'Increases threat priority of target by 4 positions',0,3),
(56740,60128,4,100,'Increases Threat to target by 277 - 339  instantly and by 173 - 212  every 2 seconds thereafter',0,4),
(56741,60128,4,100,'Prevents target from changing targets',0,5),
(56742,60128,4,100,'Must be not at the top of the hate list of your current target.',0,6),
(56743,60128,5,100,'Applies Wane on termination.  Lasts for 20.0 seconds.',0,0),
(56744,60128,5,100,'Increases Threat to target by 7,605 - 9,175  instantly and by 5,032 - 6,030  every 4 seconds thereafter',1,1),
(56745,60128,5,100,'Forces target to change their selected target to caster instantly and every 2 seconds.',0,2),
(56746,60128,5,100,'Increases threat priority of target by 4 positions',0,3),
(56747,60128,5,100,'Increases Threat to target by 303 - 370  instantly and by 189 - 231  every 2 seconds thereafter',0,4),
(56748,60128,5,100,'Prevents target from changing targets',0,5),
(56749,60128,5,100,'Must be not at the top of the hate list of your current target.',0,6),
(56750,60128,7,100,'Applies Wane on termination.  Lasts for 20.0 seconds.',0,0),
(56751,60128,7,100,'Increases Threat to target by 9,606 - 11,621  instantly and by 6,300 - 7,580  every 4 seconds thereafter',1,1),
(56752,60128,7,100,'Forces target to change their selected target to caster instantly and every 2 seconds.',0,2),
(56753,60128,7,100,'Increases threat priority of target by 4 positions',0,3),
(56754,60128,7,100,'Increases Threat to target by 389 - 475  instantly and by 242 - 296  every 2 seconds thereafter',0,4),
(56755,60128,7,100,'Prevents target from changing targets',0,5),
(56756,60128,7,100,'Must be not at the top of the hate list of your current target.',0,6),
(56757,60128,9,100,'Applies Wane on termination.  Lasts for 20.0 seconds.',0,0),
(56758,60128,9,100,'Increases Threat to target by 9,960 - 12,053  instantly and by 6,524 - 7,854  every 4 seconds thereafter',1,1),
(56759,60128,9,100,'Forces target to change their selected target to caster instantly and every 2 seconds.',0,2),
(56760,60128,9,100,'Increases threat priority of target by 4 positions',0,3),
(56761,60128,9,100,'Increases Threat to target by 404 - 494  instantly and by 252 - 308  every 2 seconds thereafter',0,4),
(56762,60128,9,100,'Prevents target from changing targets',0,5),
(56763,60128,9,100,'Must be not at the top of the hate list of your current target.',0,6),
(56764,60129,1,100,'Applies Wane on termination.  Lasts for 20.0 seconds.',0,0),
(56765,60129,1,100,'Increases Threat to target by 6,731 - 8,106  instantly and by 4,481 - 5,357  every 4 seconds thereafter',1,1),
(56766,60129,1,100,'Forces target to change their selected target to caster instantly and every 2 seconds.',0,2),
(56767,60129,1,100,'Increases threat priority of target by 4 positions',0,3),
(56768,60129,1,100,'Increases Threat to target by 227 - 277  instantly and by 142 - 173  every 2 seconds thereafter',0,4),
(56769,60129,1,100,'Prevents target from changing targets',0,5),
(56770,60129,1,100,'Must be not at the top of the hate list of your current target.',0,6),
(56771,60129,4,100,'Applies Wane on termination.  Lasts for 20.0 seconds.',0,0),
(56772,60129,4,100,'Increases Threat to target by 8,106 - 9,788  instantly and by 5,353 - 6,423  every 4 seconds thereafter',1,1),
(56773,60129,4,100,'Forces target to change their selected target to caster instantly and every 2 seconds.',0,2),
(56774,60129,4,100,'Increases threat priority of target by 4 positions',0,3),
(56775,60129,4,100,'Increases Threat to target by 277 - 339  instantly and by 173 - 212  every 2 seconds thereafter',0,4),
(56776,60129,4,100,'Prevents target from changing targets',0,5),
(56777,60129,4,100,'Must be not at the top of the hate list of your current target.',0,6),
(56778,60129,5,100,'Applies Wane on termination.  Lasts for 20.0 seconds.',0,0),
(56779,60129,5,100,'Increases Threat to target by 8,794 - 10,629  instantly and by 5,789 - 6,955  every 4 seconds thereafter',1,1),
(56780,60129,5,100,'Forces target to change their selected target to caster instantly and every 2 seconds.',0,2),
(56781,60129,5,100,'Increases threat priority of target by 4 positions',0,3),
(56782,60129,5,100,'Increases Threat to target by 303 - 370  instantly and by 189 - 231  every 2 seconds thereafter',0,4),
(56783,60129,5,100,'Prevents target from changing targets',0,5),
(56784,60129,5,100,'Must be not at the top of the hate list of your current target.',0,6),
(56785,60129,7,100,'Applies Wane on termination.  Lasts for 20.0 seconds.',0,0),
(56786,60129,7,100,'Increases Threat to target by 11,133 - 13,487  instantly and by 7,271 - 8,767  every 4 seconds thereafter',1,1),
(56787,60129,7,100,'Forces target to change their selected target to caster instantly and every 2 seconds.',0,2),
(56788,60129,7,100,'Increases threat priority of target by 4 positions',0,3),
(56789,60129,7,100,'Increases Threat to target by 388 - 475  instantly and by 242 - 296  every 2 seconds thereafter',0,4),
(56790,60129,7,100,'Prevents target from changing targets',0,5),
(56791,60129,7,100,'Must be not at the top of the hate list of your current target.',0,6),
(56792,60129,9,100,'Applies Wane on termination.  Lasts for 20.0 seconds.',0,0),
(56793,60129,9,100,'Increases Threat to target by 11,546 - 13,992  instantly and by 7,533 - 9,087  every 4 seconds thereafter',1,1),
(56794,60129,9,100,'Forces target to change their selected target to caster instantly and every 2 seconds.',0,2),
(56795,60129,9,100,'Increases threat priority of target by 4 positions',0,3),
(56796,60129,9,100,'Increases Threat to target by 404 - 493  instantly and by 252 - 308  every 2 seconds thereafter',0,4),
(56797,60129,9,100,'Prevents target from changing targets',0,5),
(56798,60129,9,100,'Must be not at the top of the hate list of your current target.',0,6),
(56799,100064,1,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(56800,100064,1,100,'Throws target back',1,1),
(56801,100064,1,100,'Blurs vision of target',1,2),
(56802,100064,1,100,'Stuns target',1,3),
(56803,100064,1,100,'Does not affect Epic targets',1,4),
(56804,100064,1,100,'Inflicts 7 - 12 divine damage on target',0,5),
(56805,100064,4,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(56806,100064,4,100,'Throws target back',1,1),
(56807,100064,4,100,'Blurs vision of target',1,2),
(56808,100064,4,100,'Stuns target',1,3),
(56809,100064,4,100,'Does not affect Epic targets',1,4),
(56810,100064,4,100,'Inflicts 8 - 14 divine damage on target',0,5),
(56811,100064,5,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(56812,100064,5,100,'Throws target back',1,1),
(56813,100064,5,100,'Blurs vision of target',1,2),
(56814,100064,5,100,'Stuns target',1,3),
(56815,100064,5,100,'Does not affect Epic targets',1,4),
(56816,100064,5,100,'Inflicts 9 - 16 divine damage on target',0,5),
(56817,100064,7,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(56818,100064,7,100,'Throws target back',1,1),
(56819,100064,7,100,'Blurs vision of target',1,2),
(56820,100064,7,100,'Stuns target',1,3),
(56821,100064,7,100,'Does not affect Epic targets',1,4),
(56822,100064,7,100,'Inflicts 12 - 20 divine damage on target',0,5),
(56823,100064,9,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(56824,100064,9,100,'Throws target back',1,1),
(56825,100064,9,100,'Blurs vision of target',1,2),
(56826,100064,9,100,'Stuns target',1,3),
(56827,100064,9,100,'Does not affect Epic targets',1,4),
(56828,100064,9,100,'Inflicts 12 - 21 divine damage on target',0,5),
(56829,100065,1,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(56830,100065,1,100,'Throws target back',1,1),
(56831,100065,1,100,'Blurs vision of target',1,2),
(56832,100065,1,100,'Stuns target',1,3),
(56833,100065,1,100,'Does not affect Epic targets',1,4),
(56834,100065,1,100,'Inflicts 26 - 43 divine damage on target',0,5),
(56835,100065,2,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(56836,100065,2,100,'Throws target back',1,1),
(56837,100065,2,100,'Blurs vision of target',1,2),
(56838,100065,2,100,'Stuns target',1,3),
(56839,100065,2,100,'Does not affect Epic targets',1,4),
(56840,100065,2,100,'Inflicts 27 - 46 divine damage on target',0,5),
(56841,100065,3,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(56842,100065,3,100,'Throws target back',1,1),
(56843,100065,3,100,'Blurs vision of target',1,2),
(56844,100065,3,100,'Stuns target',1,3),
(56845,100065,3,100,'Does not affect Epic targets',1,4),
(56846,100065,3,100,'Inflicts 29 - 48 divine damage on target',0,5),
(56847,100065,4,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(56848,100065,4,100,'Throws target back',1,1),
(56849,100065,4,100,'Blurs vision of target',1,2),
(56850,100065,4,100,'Stuns target',1,3),
(56851,100065,4,100,'Does not affect Epic targets',1,4),
(56852,100065,4,100,'Inflicts 32 - 53 divine damage on target',0,5),
(56853,100065,5,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(56854,100065,5,100,'Throws target back',1,1),
(56855,100065,5,100,'Blurs vision of target',1,2),
(56856,100065,5,100,'Stuns target',1,3),
(56857,100065,5,100,'Does not affect Epic targets',1,4),
(56858,100065,5,100,'Inflicts 34 - 58 divine damage on target',0,5),
(56859,100065,7,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(56860,100065,7,100,'Throws target back',1,1),
(56861,100065,7,100,'Blurs vision of target',1,2),
(56862,100065,7,100,'Stuns target',1,3),
(56863,100065,7,100,'Does not affect Epic targets',1,4),
(56864,100065,7,100,'Inflicts 44 - 74 divine damage on target',0,5),
(56865,100065,9,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(56866,100065,9,100,'Throws target back',1,1),
(56867,100065,9,100,'Blurs vision of target',1,2),
(56868,100065,9,100,'Stuns target',1,3),
(56869,100065,9,100,'Does not affect Epic targets',1,4),
(56870,100065,9,100,'Inflicts 46 - 77 divine damage on target',0,5),
(56871,100066,1,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(56872,100066,1,100,'Throws target back',1,1),
(56873,100066,1,100,'Blurs vision of target',1,2),
(56874,100066,1,100,'Stuns target',1,3),
(56875,100066,1,100,'Does not affect Epic targets',1,4),
(56876,100066,1,100,'Inflicts 48 - 81 divine damage on target',0,5),
(56877,100066,2,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(56878,100066,2,100,'Throws target back',1,1),
(56879,100066,2,100,'Blurs vision of target',1,2),
(56880,100066,2,100,'Stuns target',1,3),
(56881,100066,2,100,'Does not affect Epic targets',1,4),
(56882,100066,2,100,'Inflicts 51 - 85 divine damage on target',0,5),
(56883,100066,3,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(56884,100066,3,100,'Throws target back',1,1),
(56885,100066,3,100,'Blurs vision of target',1,2),
(56886,100066,3,100,'Stuns target',1,3),
(56887,100066,3,100,'Does not affect Epic targets',1,4),
(56888,100066,3,100,'Inflicts 54 - 90 divine damage on target',0,5),
(56889,100066,4,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(56890,100066,4,100,'Throws target back',1,1),
(56891,100066,4,100,'Blurs vision of target',1,2),
(56892,100066,4,100,'Stuns target',1,3),
(56893,100066,4,100,'Does not affect Epic targets',1,4),
(56894,100066,4,100,'Inflicts 59 - 99 divine damage on target',0,5),
(56895,100066,5,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(56896,100066,5,100,'Throws target back',1,1),
(56897,100066,5,100,'Blurs vision of target',1,2),
(56898,100066,5,100,'Stuns target',1,3),
(56899,100066,5,100,'Does not affect Epic targets',1,4),
(56900,100066,5,100,'Inflicts 64 - 108 divine damage on target',0,5),
(56901,100066,7,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(56902,100066,7,100,'Throws target back',1,1),
(56903,100066,7,100,'Blurs vision of target',1,2),
(56904,100066,7,100,'Stuns target',1,3),
(56905,100066,7,100,'Does not affect Epic targets',1,4),
(56906,100066,7,100,'Inflicts 83 - 138 divine damage on target',0,5),
(56907,100066,9,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(56908,100066,9,100,'Throws target back',1,1),
(56909,100066,9,100,'Blurs vision of target',1,2),
(56910,100066,9,100,'Stuns target',1,3),
(56911,100066,9,100,'Does not affect Epic targets',1,4),
(56912,100066,9,100,'Inflicts 86 - 144 divine damage on target',0,5),
(56913,100067,1,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(56914,100067,1,100,'Throws target back',1,1),
(56915,100067,1,100,'Blurs vision of target',1,2),
(56916,100067,1,100,'Stuns target',1,3),
(56917,100067,1,100,'Does not affect Epic targets',1,4),
(56918,100067,1,100,'Inflicts 74 - 123 divine damage on target',0,5),
(56919,100067,2,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(56920,100067,2,100,'Throws target back',1,1),
(56921,100067,2,100,'Blurs vision of target',1,2),
(56922,100067,2,100,'Stuns target',1,3),
(56923,100067,2,100,'Does not affect Epic targets',1,4),
(56924,100067,2,100,'Inflicts 78 - 130 divine damage on target',0,5),
(56925,100067,3,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(56926,100067,3,100,'Throws target back',1,1),
(56927,100067,3,100,'Blurs vision of target',1,2),
(56928,100067,3,100,'Stuns target',1,3),
(56929,100067,3,100,'Does not affect Epic targets',1,4),
(56930,100067,3,100,'Inflicts 82 - 137 divine damage on target',0,5),
(56931,100067,4,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(56932,100067,4,100,'Throws target back',1,1),
(56933,100067,4,100,'Blurs vision of target',1,2),
(56934,100067,4,100,'Stuns target',1,3),
(56935,100067,4,100,'Does not affect Epic targets',1,4),
(56936,100067,4,100,'Inflicts 90 - 151 divine damage on target',0,5),
(56937,100067,5,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(56938,100067,5,100,'Throws target back',1,1),
(56939,100067,5,100,'Blurs vision of target',1,2),
(56940,100067,5,100,'Stuns target',1,3),
(56941,100067,5,100,'Does not affect Epic targets',1,4),
(56942,100067,5,100,'Inflicts 98 - 164 divine damage on target',0,5),
(56943,100067,7,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(56944,100067,7,100,'Throws target back',1,1),
(56945,100067,7,100,'Blurs vision of target',1,2),
(56946,100067,7,100,'Stuns target',1,3),
(56947,100067,7,100,'Does not affect Epic targets',1,4),
(56948,100067,7,100,'Inflicts 126 - 211 divine damage on target',0,5),
(56949,100067,9,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(56950,100067,9,100,'Throws target back',1,1),
(56951,100067,9,100,'Blurs vision of target',1,2),
(56952,100067,9,100,'Stuns target',1,3),
(56953,100067,9,100,'Does not affect Epic targets',1,4),
(56954,100067,9,100,'Inflicts 131 - 219 divine damage on target',0,5),
(56955,100068,1,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(56956,100068,1,100,'Throws target back',1,1),
(56957,100068,1,100,'Blurs vision of target',1,2),
(56958,100068,1,100,'Stuns target',1,3),
(56959,100068,1,100,'Does not affect Epic targets',1,4),
(56960,100068,1,100,'Inflicts 102 - 171 divine damage on target',0,5),
(56961,100068,2,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(56962,100068,2,100,'Throws target back',1,1),
(56963,100068,2,100,'Blurs vision of target',1,2),
(56964,100068,2,100,'Stuns target',1,3),
(56965,100068,2,100,'Does not affect Epic targets',1,4),
(56966,100068,2,100,'Inflicts 108 - 180 divine damage on target',0,5),
(56967,100068,3,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(56968,100068,3,100,'Throws target back',1,1),
(56969,100068,3,100,'Blurs vision of target',1,2),
(56970,100068,3,100,'Stuns target',1,3),
(56971,100068,3,100,'Does not affect Epic targets',1,4),
(56972,100068,3,100,'Inflicts 114 - 190 divine damage on target',0,5),
(56973,100068,4,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(56974,100068,4,100,'Throws target back',1,1),
(56975,100068,4,100,'Blurs vision of target',1,2),
(56976,100068,4,100,'Stuns target',1,3),
(56977,100068,4,100,'Does not affect Epic targets',1,4),
(56978,100068,4,100,'Inflicts 125 - 209 divine damage on target',0,5),
(56979,100068,5,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(56980,100068,5,100,'Throws target back',1,1),
(56981,100068,5,100,'Blurs vision of target',1,2),
(56982,100068,5,100,'Stuns target',1,3),
(56983,100068,5,100,'Does not affect Epic targets',1,4),
(56984,100068,5,100,'Inflicts 136 - 228 divine damage on target',0,5),
(56985,100068,7,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(56986,100068,7,100,'Throws target back',1,1),
(56987,100068,7,100,'Blurs vision of target',1,2),
(56988,100068,7,100,'Stuns target',1,3),
(56989,100068,7,100,'Does not affect Epic targets',1,4),
(56990,100068,7,100,'Inflicts 175 - 292 divine damage on target',0,5),
(56991,100068,9,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(56992,100068,9,100,'Throws target back',1,1),
(56993,100068,9,100,'Blurs vision of target',1,2),
(56994,100068,9,100,'Stuns target',1,3),
(56995,100068,9,100,'Does not affect Epic targets',1,4),
(56996,100068,9,100,'Inflicts 182 - 304 divine damage on target',0,5),
(56997,100069,1,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(56998,100069,1,100,'Throws target back',1,1),
(56999,100069,1,100,'Blurs vision of target',1,2),
(57000,100069,1,100,'Stuns target',1,3),
(57001,100069,1,100,'Does not affect Epic targets',1,4),
(57002,100069,1,100,'Inflicts 131 - 218 divine damage on target',0,5),
(57003,100069,2,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(57004,100069,2,100,'Throws target back',1,1),
(57005,100069,2,100,'Blurs vision of target',1,2),
(57006,100069,2,100,'Stuns target',1,3),
(57007,100069,2,100,'Does not affect Epic targets',1,4),
(57008,100069,2,100,'Inflicts 138 - 230 divine damage on target',0,5),
(57009,100069,3,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(57010,100069,3,100,'Throws target back',1,1),
(57011,100069,3,100,'Blurs vision of target',1,2),
(57012,100069,3,100,'Stuns target',1,3),
(57013,100069,3,100,'Does not affect Epic targets',1,4),
(57014,100069,3,100,'Inflicts 145 - 242 divine damage on target',0,5),
(57015,100069,4,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(57016,100069,4,100,'Throws target back',1,1),
(57017,100069,4,100,'Blurs vision of target',1,2),
(57018,100069,4,100,'Stuns target',1,3),
(57019,100069,4,100,'Does not affect Epic targets',1,4),
(57020,100069,4,100,'Inflicts 160 - 267 divine damage on target',0,5),
(57021,100069,5,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(57022,100069,5,100,'Throws target back',1,1),
(57023,100069,5,100,'Blurs vision of target',1,2),
(57024,100069,5,100,'Stuns target',1,3),
(57025,100069,5,100,'Does not affect Epic targets',1,4),
(57026,100069,5,100,'Inflicts 174 - 291 divine damage on target',0,5),
(57027,100069,7,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(57028,100069,7,100,'Throws target back',1,1),
(57029,100069,7,100,'Blurs vision of target',1,2),
(57030,100069,7,100,'Stuns target',1,3),
(57031,100069,7,100,'Does not affect Epic targets',1,4),
(57032,100069,7,100,'Inflicts 224 - 373 divine damage on target',0,5),
(57033,100069,9,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(57034,100069,9,100,'Throws target back',1,1),
(57035,100069,9,100,'Blurs vision of target',1,2),
(57036,100069,9,100,'Stuns target',1,3),
(57037,100069,9,100,'Does not affect Epic targets',1,4),
(57038,100069,9,100,'Inflicts 233 - 388 divine damage on target',0,5),
(57039,100070,1,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(57040,100070,1,100,'Throws target back',1,1),
(57041,100070,1,100,'Blurs vision of target',1,2),
(57042,100070,1,100,'Stuns target',1,3),
(57043,100070,1,100,'Does not affect Epic targets',1,4),
(57044,100070,1,100,'Inflicts 158 - 264 divine damage on target',0,5),
(57045,100070,4,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(57046,100070,4,100,'Throws target back',1,1),
(57047,100070,4,100,'Blurs vision of target',1,2),
(57048,100070,4,100,'Stuns target',1,3),
(57049,100070,4,100,'Does not affect Epic targets',1,4),
(57050,100070,4,100,'Inflicts 193 - 322 divine damage on target',0,5),
(57051,100070,5,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(57052,100070,5,100,'Throws target back',1,1),
(57053,100070,5,100,'Blurs vision of target',1,2),
(57054,100070,5,100,'Stuns target',1,3),
(57055,100070,5,100,'Does not affect Epic targets',1,4),
(57056,100070,5,100,'Inflicts 211 - 352 divine damage on target',0,5),
(57057,100070,7,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(57058,100070,7,100,'Throws target back',1,1),
(57059,100070,7,100,'Blurs vision of target',1,2),
(57060,100070,7,100,'Stuns target',1,3),
(57061,100070,7,100,'Does not affect Epic targets',1,4),
(57062,100070,7,100,'Inflicts 271 - 451 divine damage on target',0,5),
(57063,100070,9,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(57064,100070,9,100,'Throws target back',1,1),
(57065,100070,9,100,'Blurs vision of target',1,2),
(57066,100070,9,100,'Stuns target',1,3),
(57067,100070,9,100,'Does not affect Epic targets',1,4),
(57068,100070,9,100,'Inflicts 281 - 469 divine damage on target',0,5),
(57069,100070,10,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(57070,100070,10,100,'Throws target back',1,1),
(57071,100070,10,100,'Blurs vision of target',1,2),
(57072,100070,10,100,'Stuns target',1,3),
(57073,100070,10,100,'Does not affect Epic targets',1,4),
(57074,100070,10,100,'Inflicts 295 - 492 divine damage on target',0,5),
(57075,100071,1,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(57076,100071,1,100,'Throws target back',1,1),
(57077,100071,1,100,'Blurs vision of target',1,2),
(57078,100071,1,100,'Stuns target',1,3),
(57079,100071,1,100,'Does not affect Epic targets',1,4),
(57080,100071,1,100,'Inflicts 180 - 301 divine damage on target',0,5),
(57081,100071,4,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(57082,100071,4,100,'Throws target back',1,1),
(57083,100071,4,100,'Blurs vision of target',1,2),
(57084,100071,4,100,'Stuns target',1,3),
(57085,100071,4,100,'Does not affect Epic targets',1,4),
(57086,100071,4,100,'Inflicts 220 - 367 divine damage on target',0,5),
(57087,100071,5,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(57088,100071,5,100,'Throws target back',1,1),
(57089,100071,5,100,'Blurs vision of target',1,2),
(57090,100071,5,100,'Stuns target',1,3),
(57091,100071,5,100,'Does not affect Epic targets',1,4),
(57092,100071,5,100,'Inflicts 240 - 401 divine damage on target',0,5),
(57093,100071,7,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(57094,100071,7,100,'Throws target back',1,1),
(57095,100071,7,100,'Blurs vision of target',1,2),
(57096,100071,7,100,'Stuns target',1,3),
(57097,100071,7,100,'Does not affect Epic targets',1,4),
(57098,100071,7,100,'Inflicts 309 - 515 divine damage on target',0,5),
(57099,100071,9,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(57100,100071,9,100,'Throws target back',1,1),
(57101,100071,9,100,'Blurs vision of target',1,2),
(57102,100071,9,100,'Stuns target',1,3),
(57103,100071,9,100,'Does not affect Epic targets',1,4),
(57104,100071,9,100,'Inflicts 321 - 535 divine damage on target',0,5),
(57105,100071,10,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(57106,100071,10,100,'Throws target back',1,1),
(57107,100071,10,100,'Blurs vision of target',1,2),
(57108,100071,10,100,'Stuns target',1,3),
(57109,100071,10,100,'Does not affect Epic targets',1,4),
(57110,100071,10,100,'Inflicts 337 - 561 divine damage on target',0,5),
(57111,2000181,1,100,'Applies Perfect Counterattack on termination.  Lasts for 30.0 seconds.',0,0),
(57112,2000181,1,100,'Dispelled when target casts a combat art',1,1),
(57113,2000181,1,100,'Cannot be modified except by direct means',1,2),
(57114,2000181,1,100,'Applies Stoneskin Reaction.  Lasts for 1.0 seconds.',0,3),
(57115,2000181,1,100,'Reduces all damage done to target by 100%',1,4),
(57116,2000181,1,100,'Triggers when a Stoneskin is consumed. Suspends all other stoneskins that match the damage types of this effect.',1,5),
(57117,2000181,1,100,'Will absorb all damage when the amount is greater than 10% of the target''s maximum health. This spell will absorb a total of 3 attacks.',0,6),
(57118,2000181,1,100,'Triggers when a Stoneskin is consumed. Suspends all other stoneskins that match the damage types of this effect.',1,7),
(57119,2000181,1,100,'Reduces all damage done to target by 100%',1,8),
(57120,330123,1,100,'Increases Haste of caster by 18.7',0,0),
(57121,330123,1,100,'Increases Multi Attack of caster by 21.5',0,1),
(57122,330123,2,100,'Increases Haste of caster by 19.7',0,0),
(57123,330123,2,100,'Increases Multi Attack of caster by 22.7',0,1),
(57124,330123,3,100,'Increases Haste of caster by 20.7',0,0),
(57125,330123,3,100,'Increases Multi Attack of caster by 23.9',0,1),
(57126,330123,4,100,'Increases Haste of caster by 22.8',0,0),
(57127,330123,4,100,'Increases Multi Attack of caster by 26.2',0,1),
(57128,330123,5,100,'Increases Haste of caster by 24.9',0,0),
(57129,330123,5,100,'Increases Multi Attack of caster by 28.6',0,1),
(57130,330123,7,100,'Increases Haste of caster by 32.0',0,0),
(57131,330123,7,100,'Increases Multi Attack of caster by 36.7',0,1),
(57132,330123,9,100,'Increases Haste of caster by 33.2',0,0),
(57133,330123,9,100,'Increases Multi Attack of caster by 38.2',0,1),
(57134,330124,1,100,'Increases Haste of caster by 21.8',0,0),
(57135,330124,1,100,'Increases Multi Attack of caster by 25.1',0,1),
(57136,330124,2,100,'Increases Haste of caster by 23.0',0,0),
(57137,330124,2,100,'Increases Multi Attack of caster by 26.5',0,1),
(57138,330124,3,100,'Increases Haste of caster by 24.2',0,0),
(57139,330124,3,100,'Increases Multi Attack of caster by 27.9',0,1),
(57140,330124,4,100,'Increases Haste of caster by 26.6',0,0),
(57141,330124,4,100,'Increases Multi Attack of caster by 30.7',0,1),
(57142,330124,5,100,'Increases Haste of caster by 29.0',0,0),
(57143,330124,5,100,'Increases Multi Attack of caster by 33.5',0,1),
(57144,330124,7,100,'Increases Haste of caster by 37.3',0,0),
(57145,330124,7,100,'Increases Multi Attack of caster by 43.0',0,1),
(57146,330124,9,100,'Increases Haste of caster by 38.7',0,0),
(57147,330124,9,100,'Increases Multi Attack of caster by 44.6',0,1),
(57148,330125,1,100,'Increases Haste of caster by 24.8',0,0),
(57149,330125,1,100,'Increases Multi Attack of caster by 28.9',0,1),
(57150,330125,2,100,'Increases Haste of caster by 26.2',0,0),
(57151,330125,2,100,'Increases Multi Attack of caster by 30.5',0,1),
(57152,330125,3,100,'Increases Haste of caster by 27.6',0,0),
(57153,330125,3,100,'Increases Multi Attack of caster by 32.1',0,1),
(57154,330125,4,100,'Increases Haste of caster by 30.4',0,0),
(57155,330125,4,100,'Increases Multi Attack of caster by 35.3',0,1),
(57156,330125,5,100,'Increases Haste of caster by 33.1',0,0),
(57157,330125,5,100,'Increases Multi Attack of caster by 38.5',0,1),
(57158,330125,7,100,'Increases Haste of caster by 42.5',0,0),
(57159,330125,7,100,'Increases Multi Attack of caster by 49.4',0,1),
(57160,330125,9,100,'Increases Haste of caster by 44.2',0,0),
(57161,330125,9,100,'Increases Multi Attack of caster by 51.4',0,1),
(57162,60130,12,100,'On a melee hit this spell may cast Serene Strike on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(57163,60130,12,100,'Increases Damage Per Second of caster by 15.0',1,1),
(57164,60130,12,100,'Inflicts 586 - 1088 crushing damage on target',1,2),
(57165,60130,12,100,'Cannot be modified except by direct means',1,3),
(57166,60130,12,100,'Gives caster an extra 20.0% mitigation to their worn armor',0,4),
(57167,60130,12,100,'Gives caster a 50.0% chance to strikethrough a successful avoidance check',0,5),
(57168,60130,12,100,'Caster will deflect 5.0% of incoming attacks.',0,6),
(57169,60130,12,100,'Increases caster''s chance to block by 15.0%',0,7),
(57170,60130,12,100,'Cannot be modified except by direct means',0,8),
(57171,2000182,1,100,'When target falls below 50% health this spell will cast Persevere on caster.  Lasts for 15.0 seconds.  ',0,0),
(57172,2000182,1,100,'Heals caster for 15.7 - 19.2% of max health',1,1),
(57173,2000182,1,100,'This effect cannot be critically applied.',2,2),
(57174,2000182,1,100,'When damaged with a melee weapon this spell has a 5% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',1,3),
(57175,2000182,1,100,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',2,4),
(57176,2000182,1,100,'This effect can only trigger once every 1.0 second.',2,5),
(57177,2000182,1,100,'The healing of this spell cannot be modified except by direct means',1,6),
(57178,2000183,1,100,'On death this spell will cast Persistence on target.  ',0,0),
(57179,2000183,1,100,'Heals caster for 100.0% of max health',1,1),
(57180,2000183,1,100,'Grants a total of 1 trigger of the spell.',1,2),
(57181,2000183,1,100,'Does not trigger if a priest death prevention or Equilibrium is active',0,3),
(57182,2000183,1,100,'This effect cannot be cast during combat',0,4),
(57183,2000183,1,100,'Cannot be modified except by direct means',0,5),
(57184,2000184,1,100,'Inflicts 233 - 389 melee damage on target',0,0),
(57185,2000184,1,100,'Roots target',0,1),
(57186,2000184,1,100,'If Target is not Epic',1,2),
(57187,2000184,1,100,'10% chance to dispel when target takes damage',0,3),
(57188,2000184,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(57189,2000184,2,100,'Inflicts 246 - 411 melee damage on target',0,0),
(57190,2000184,2,100,'Roots target',0,1),
(57191,2000184,2,100,'If Target is not Epic',1,2),
(57192,2000184,2,100,'10% chance to dispel when target takes damage',0,3),
(57193,2000184,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(57194,2000184,3,100,'Inflicts 259 - 433 melee damage on target',0,0),
(57195,2000184,3,100,'Roots target',0,1),
(57196,2000184,3,100,'If Target is not Epic',1,2),
(57197,2000184,3,100,'10% chance to dispel when target takes damage',0,3),
(57198,2000184,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(57199,2000184,4,100,'Inflicts 380 - 634 melee damage on target',0,0),
(57200,2000184,4,100,'Roots target',0,1),
(57201,2000184,4,100,'If Target is not Epic',1,2),
(57202,2000184,4,100,'10% chance to dispel when target takes damage',0,3),
(57203,2000184,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(57204,2000184,5,100,'Inflicts 415 - 692 melee damage on target',0,0),
(57205,2000184,5,100,'Roots target',0,1),
(57206,2000184,5,100,'If Target is not Epic',1,2),
(57207,2000184,5,100,'10% chance to dispel when target takes damage',0,3),
(57208,2000184,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(57209,2000184,6,100,'Inflicts 337 - 562 melee damage on target',0,0),
(57210,2000184,6,100,'Roots target',0,1),
(57211,2000184,6,100,'If Target is not Epic',1,2),
(57212,2000184,6,100,'10% chance to dispel when target takes damage',0,3),
(57213,2000184,6,100,'Resistibility increases against targets higher than level 29.',0,4),
(57214,2000184,7,100,'Inflicts 400 - 666 melee damage on target',0,0),
(57215,2000184,7,100,'Roots target',0,1),
(57216,2000184,7,100,'If Target is not Epic',1,2),
(57217,2000184,7,100,'10% chance to dispel when target takes damage',0,3),
(57218,2000184,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(57219,2000184,8,100,'Inflicts 536 - 894 melee damage on target',0,0),
(57220,2000184,8,100,'Roots target',0,1),
(57221,2000184,8,100,'If Target is not Epic',1,2),
(57222,2000184,8,100,'10% chance to dispel when target takes damage',0,3),
(57223,2000184,8,100,'Resistibility increases against targets higher than level 29.',0,4),
(57224,2000184,9,100,'Inflicts 415 - 692 melee damage on target',0,0),
(57225,2000184,9,100,'Roots target',0,1),
(57226,2000184,9,100,'If Target is not Epic',1,2),
(57227,2000184,9,100,'10% chance to dispel when target takes damage',0,3),
(57228,2000184,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(57229,2000184,10,100,'Inflicts 436 - 727 melee damage on target',0,0),
(57230,2000184,10,100,'Roots target',0,1),
(57231,2000184,10,100,'If Target is not Epic',1,2),
(57232,2000184,10,100,'10% chance to dispel when target takes damage',0,3),
(57233,2000184,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(57234,2000185,1,100,'Steals an item from target with 100% success.',0,0),
(57235,2000185,1,100,'Must be flanking or behind',0,1),
(57236,2000185,1,100,'If target is humanoid',0,2),
(57237,2000185,1,100,'Pick Pocket cannot affect someone that already has had their pockets picked.',0,3),
(57238,2000185,2,100,'Steals an item from target with 100% success.',0,0),
(57239,2000185,2,100,'Must be flanking or behind',0,1),
(57240,2000185,2,100,'If target is humanoid',0,2),
(57241,2000185,2,100,'Pick Pocket cannot affect someone that already has had their pockets picked.',0,3),
(57242,2000185,3,100,'Steals an item from target with 100% success.',0,0),
(57243,2000185,3,100,'Must be flanking or behind',0,1),
(57244,2000185,3,100,'If target is humanoid',0,2),
(57245,2000185,3,100,'Pick Pocket cannot affect someone that already has had their pockets picked.',0,3),
(57246,2000185,4,100,'Steals an item from target with 100% success.',0,0),
(57247,2000185,4,100,'Must be flanking or behind',0,1),
(57248,2000185,4,100,'If target is humanoid',0,2),
(57249,2000185,4,100,'Pick Pocket cannot affect someone that already has had their pockets picked.',0,3),
(57250,2000185,5,100,'Steals an item from target with 100% success.',0,0),
(57251,2000185,5,100,'Must be flanking or behind',0,1),
(57252,2000185,5,100,'If target is humanoid',0,2),
(57253,2000185,5,100,'Pick Pocket cannot affect someone that already has had their pockets picked.',0,3),
(57254,2000185,6,100,'Steals an item from target with 100% success.',0,0),
(57255,2000185,6,100,'Must be flanking or behind',0,1),
(57256,2000185,6,100,'If target is humanoid',0,2),
(57257,2000185,6,100,'Pick Pocket cannot affect someone that already has had their pockets picked.',0,3),
(57258,2000185,7,100,'Steals an item from target with 100% success.',0,0),
(57259,2000185,7,100,'Must be flanking or behind',0,1),
(57260,2000185,7,100,'If target is humanoid',0,2),
(57261,2000185,7,100,'Pick Pocket cannot affect someone that already has had their pockets picked.',0,3),
(57262,2000185,8,100,'Steals an item from target with 100% success.',0,0),
(57263,2000185,8,100,'Must be flanking or behind',0,1),
(57264,2000185,8,100,'If target is humanoid',0,2),
(57265,2000185,8,100,'Pick Pocket cannot affect someone that already has had their pockets picked.',0,3),
(57266,2000185,9,100,'Steals an item from target with 100% success.',0,0),
(57267,2000185,9,100,'Must be flanking or behind',0,1),
(57268,2000185,9,100,'If target is humanoid',0,2),
(57269,2000185,9,100,'Pick Pocket cannot affect someone that already has had their pockets picked.',0,3),
(57270,2000185,10,100,'Steals an item from target with 100% success.',0,0),
(57271,2000185,10,100,'Must be flanking or behind',0,1),
(57272,2000185,10,100,'If target is humanoid',0,2),
(57273,2000185,10,100,'Pick Pocket cannot affect someone that already has had their pockets picked.',0,3),
(57274,380007,1,100,'Inflicts 27 - 46 melee damage on target',0,0),
(57276,380007,2,100,'Inflicts 29 - 48 melee damage on target',0,0),
(57278,380007,3,100,'Inflicts 30 - 51 melee damage on target',0,0),
(57280,380007,4,100,'Inflicts 33 - 56 melee damage on target',0,0),
(57282,380007,5,100,'Inflicts 37 - 61 melee damage on target',0,0),
(57284,380007,7,100,'Inflicts 47 - 79 melee damage on target',0,0),
(57286,380007,9,100,'Inflicts 49 - 82 melee damage on target',0,0),
(57288,2000186,3,100,'Inflicts 2 - 3 piercing damage on target encounter',0,0),
(57289,2000186,3,100,'Increases Mitigation of target encounter vs arcane damage by 0',0,1),
(57290,2000186,4,100,'Inflicts 2 - 4 piercing damage on target encounter',0,0),
(57291,2000186,4,100,'Increases Mitigation of target encounter vs arcane damage by 0',0,1),
(57292,2000186,5,100,'Inflicts 2 - 4 piercing damage on target encounter',0,0),
(57293,2000186,5,100,'Increases Mitigation of target encounter vs arcane damage by 0',0,1),
(57294,2000186,7,100,'Inflicts 3 - 5 piercing damage on target encounter',0,0),
(57295,2000186,7,100,'Increases Mitigation of target encounter vs arcane damage by 0',0,1),
(57296,2000186,9,100,'Inflicts 3 - 6 piercing damage on target encounter',0,0),
(57297,2000186,9,100,'Increases Mitigation of target encounter vs arcane damage by 0',0,1),
(57298,2000186,10,100,'Inflicts 3 - 6 piercing damage on target encounter',0,0),
(57299,2000186,10,100,'Increases Mitigation of target encounter vs arcane damage by 0',0,1),
(57300,2000187,1,100,'On any combat or spell hit this spell may cast Pirate''s Perception on target.  Lasts for 15 minutes.  Triggers about 0.2 times per minute. ',0,0),
(57301,2000187,1,100,'Dispelled when a group member dies.',1,1),
(57302,2000187,1,100,'On any combat or spell hit this spell has a 1.3% chance to cast Pirate''s Perception on target of attack.  ',1,2),
(57303,2000187,1,100,'Inflicts 748 - 915 slashing damage on target',2,3),
(57304,2000187,1,100,'The trigger chance is multiplied by the increment count.',2,4),
(57305,2000187,1,100,'On a death blow this spell will cast Pirate''s Perception on target.  Lasts for 15 minutes.  ',0,5),
(57306,2000187,1,100,'Dispelled when a group member dies.',1,6),
(57307,2000187,1,100,'On any combat or spell hit this spell has a 1.3% chance to cast Pirate''s Perception on target of attack.  ',1,7),
(57308,2000187,1,100,'Inflicts 748 - 915 slashing damage on target',2,8),
(57309,2000187,1,100,'The trigger chance is multiplied by the increment count.',2,9),
(57310,2000188,1,100,'Inflicts 2 - 3 melee damage on target',0,0),
(57311,2000188,1,100,'Decreases Threat to target by 107 ',0,1),
(57312,2000188,2,100,'Inflicts 352 - 588 melee damage on target',0,0),
(57313,2000188,2,100,'Decreases Threat to target by 9,860 ',0,1),
(57314,2000188,3,100,'Inflicts 495 - 825 melee damage on target',0,0),
(57315,2000188,3,100,'Decreases Threat to target by 10,410 ',0,1),
(57316,2000188,4,100,'Inflicts 408 - 681 melee damage on target',0,0),
(57317,2000188,4,100,'Decreases Threat to target by 11,418 ',0,1),
(57318,2000188,5,100,'Inflicts 445 - 743 melee damage on target',0,0),
(57319,2000188,5,100,'Decreases Threat to target by 12,456 ',0,1),
(57320,2000188,6,100,'Inflicts 482 - 804 melee damage on target',0,0),
(57321,2000188,6,100,'Decreases Threat to target by 13,493 ',0,1),
(57322,2000188,7,100,'Inflicts 572 - 953 melee damage on target',0,0),
(57323,2000188,7,100,'Decreases Threat to target by 15,985 ',0,1),
(57324,2000188,8,100,'Inflicts 767 - 1279 melee damage on target',0,0),
(57325,2000188,8,100,'Decreases Threat to target by 16,135 ',0,1),
(57326,2000188,9,100,'Inflicts 594 - 990 melee damage on target',0,0),
(57327,2000188,9,100,'Decreases Threat to target by 16,608 ',0,1),
(57328,2000188,10,100,'Inflicts 624 - 1040 melee damage on target',0,0),
(57329,2000188,10,100,'Decreases Threat to target by 17,438 ',0,1),
(57330,2000189,1,100,'Inflicts 299 - 365 disease damage on target',0,0),
(57331,2000189,1,100,'Inflicts 2 disease damage on target every 4 seconds',0,1),
(57332,2000189,1,100,'Inflicts 2 disease damage on target every 4 seconds',0,2),
(57333,2000189,1,100,'If target is shadowed folk',1,3),
(57334,2000189,1,100,'Inflicts 2 disease damage on target every 4 seconds',0,4),
(57335,2000189,1,100,'If target is nightblood',1,5),
(57336,2000189,2,100,'Inflicts 315 - 385 disease damage on target',0,0),
(57337,2000189,2,100,'Inflicts 2 disease damage on target every 4 seconds',0,1),
(57338,2000189,2,100,'Inflicts 2 disease damage on target every 4 seconds',0,2),
(57339,2000189,2,100,'If target is shadowed folk',1,3),
(57340,2000189,2,100,'Inflicts 2 disease damage on target every 4 seconds',0,4),
(57341,2000189,2,100,'If target is nightblood',1,5),
(57342,2000189,3,100,'Inflicts 332 - 406 disease damage on target',0,0),
(57343,2000189,3,100,'Inflicts 2 disease damage on target every 4 seconds',0,1),
(57344,2000189,3,100,'Inflicts 2 disease damage on target every 4 seconds',0,2),
(57345,2000189,3,100,'If target is shadowed folk',1,3),
(57346,2000189,3,100,'Inflicts 2 disease damage on target every 4 seconds',0,4),
(57347,2000189,3,100,'If target is nightblood',1,5),
(57348,2000189,4,100,'Inflicts 274 - 335 disease damage on target',0,0),
(57349,2000189,4,100,'Inflicts 2 disease damage on target every 4 seconds',0,1),
(57350,2000189,4,100,'Inflicts 2 disease damage on target every 4 seconds',0,2),
(57351,2000189,4,100,'If target is nightblood',1,3),
(57352,2000189,4,100,'Inflicts 2 disease damage on target every 4 seconds',0,4),
(57353,2000189,4,100,'If target is shadowed folk',1,5),
(57354,2000189,5,100,'Inflicts 398 - 487 disease damage on target',0,0),
(57355,2000189,5,100,'Inflicts 2 disease damage on target every 4 seconds',0,1),
(57356,2000189,5,100,'Inflicts 2 disease damage on target every 4 seconds',0,2),
(57357,2000189,5,100,'If target is shadowed folk',1,3),
(57358,2000189,5,100,'Inflicts 2 disease damage on target every 4 seconds',0,4),
(57359,2000189,5,100,'If target is nightblood',1,5),
(57360,30126,1,100,'Forces targets in Area of Effect to change their selected target to caster.',0,0),
(57361,30126,1,100,'Increases Threat to targets in Area of Effect by 44 ',0,1),
(57362,30126,1,100,'Prevents targets in Area of Effect from changing targets',0,2),
(57363,30126,2,100,'Forces targets in Area of Effect to change their selected target to caster.',0,0),
(57364,30126,2,100,'Increases Threat to targets in Area of Effect by 46 ',0,1),
(57365,30126,2,100,'Prevents targets in Area of Effect from changing targets',0,2),
(57366,30126,3,100,'Forces targets in Area of Effect to change their selected target to caster.',0,0),
(57367,30126,3,100,'Increases Threat to targets in Area of Effect by 49 ',0,1),
(57368,30126,3,100,'Prevents targets in Area of Effect from changing targets',0,2),
(57369,30126,4,100,'Forces targets in Area of Effect to change their selected target to caster.',0,0),
(57370,30126,4,100,'Increases Threat to targets in Area of Effect by 54 ',0,1),
(57371,30126,4,100,'Prevents targets in Area of Effect from changing targets',0,2),
(57372,30126,5,100,'Forces targets in Area of Effect to change their selected target to caster.',0,0),
(57373,30126,5,100,'Increases Threat to targets in Area of Effect by 59 ',0,1),
(57374,30126,5,100,'Prevents targets in Area of Effect from changing targets',0,2),
(57375,30126,7,100,'Forces targets in Area of Effect to change their selected target to caster.',0,0),
(57376,30126,7,100,'Increases Threat to targets in Area of Effect by 76 ',0,1),
(57377,30126,7,100,'Prevents targets in Area of Effect from changing targets',0,2),
(57378,30126,9,100,'Forces targets in Area of Effect to change their selected target to caster.',0,0),
(57379,30126,9,100,'Increases Threat to targets in Area of Effect by 78 ',0,1),
(57380,30126,9,100,'Prevents targets in Area of Effect from changing targets',0,2),
(57381,30127,1,100,'Forces targets in Area of Effect to change their selected target to caster.',0,0),
(57382,30127,1,100,'Increases Threat to targets in Area of Effect by 44 ',0,1),
(57383,30127,1,100,'Prevents targets in Area of Effect from changing targets',0,2),
(57384,30127,2,100,'Forces targets in Area of Effect to change their selected target to caster.',0,0),
(57385,30127,2,100,'Increases Threat to targets in Area of Effect by 46 ',0,1),
(57386,30127,2,100,'Prevents targets in Area of Effect from changing targets',0,2),
(57387,30127,3,100,'Forces targets in Area of Effect to change their selected target to caster.',0,0),
(57388,30127,3,100,'Increases Threat to targets in Area of Effect by 49 ',0,1),
(57389,30127,3,100,'Prevents targets in Area of Effect from changing targets',0,2),
(57390,30127,4,100,'Forces targets in Area of Effect to change their selected target to caster.',0,0),
(57391,30127,4,100,'Increases Threat to targets in Area of Effect by 54 ',0,1),
(57392,30127,4,100,'Prevents targets in Area of Effect from changing targets',0,2),
(57393,30127,5,100,'Forces targets in Area of Effect to change their selected target to caster.',0,0),
(57394,30127,5,100,'Increases Threat to targets in Area of Effect by 59 ',0,1),
(57395,30127,5,100,'Prevents targets in Area of Effect from changing targets',0,2),
(57396,30127,7,100,'Forces targets in Area of Effect to change their selected target to caster.',0,0),
(57397,30127,7,100,'Increases Threat to targets in Area of Effect by 75 ',0,1),
(57398,30127,7,100,'Prevents targets in Area of Effect from changing targets',0,2),
(57399,30127,9,100,'Forces targets in Area of Effect to change their selected target to caster.',0,0),
(57400,30127,9,100,'Increases Threat to targets in Area of Effect by 78 ',0,1),
(57401,30127,9,100,'Prevents targets in Area of Effect from changing targets',0,2),
(57402,30128,1,100,'Forces targets in Area of Effect to change their selected target to caster.',0,0),
(57403,30128,1,100,'Increases Threat to targets in Area of Effect by 44 ',0,1),
(57404,30128,1,100,'Prevents targets in Area of Effect from changing targets',0,2),
(57405,30128,2,100,'Forces targets in Area of Effect to change their selected target to caster.',0,0),
(57406,30128,2,100,'Increases Threat to targets in Area of Effect by 46 ',0,1),
(57407,30128,2,100,'Prevents targets in Area of Effect from changing targets',0,2),
(57408,30128,3,100,'Forces targets in Area of Effect to change their selected target to caster.',0,0),
(57409,30128,3,100,'Increases Threat to targets in Area of Effect by 49 ',0,1),
(57410,30128,3,100,'Prevents targets in Area of Effect from changing targets',0,2),
(57411,30128,4,100,'Forces targets in Area of Effect to change their selected target to caster.',0,0),
(57412,30128,4,100,'Increases Threat to targets in Area of Effect by 54 ',0,1),
(57413,30128,4,100,'Prevents targets in Area of Effect from changing targets',0,2),
(57414,30128,5,100,'Forces targets in Area of Effect to change their selected target to caster.',0,0),
(57415,30128,5,100,'Increases Threat to targets in Area of Effect by 59 ',0,1),
(57416,30128,5,100,'Prevents targets in Area of Effect from changing targets',0,2),
(57417,30128,7,100,'Forces targets in Area of Effect to change their selected target to caster.',0,0),
(57418,30128,7,100,'Increases Threat to targets in Area of Effect by 75 ',0,1),
(57419,30128,7,100,'Prevents targets in Area of Effect from changing targets',0,2),
(57420,30128,9,100,'Forces targets in Area of Effect to change their selected target to caster.',0,0),
(57421,30128,9,100,'Increases Threat to targets in Area of Effect by 78 ',0,1),
(57422,30128,9,100,'Prevents targets in Area of Effect from changing targets',0,2),
(57423,30129,1,100,'Forces targets in Area of Effect to change their selected target to caster.',0,0),
(57424,30129,1,100,'Increases Threat to targets in Area of Effect by 44 ',0,1),
(57425,30129,1,100,'Prevents targets in Area of Effect from changing targets',0,2),
(57426,30129,2,100,'Forces targets in Area of Effect to change their selected target to caster.',0,0),
(57427,30129,2,100,'Increases Threat to targets in Area of Effect by 46 ',0,1),
(57428,30129,2,100,'Prevents targets in Area of Effect from changing targets',0,2),
(57429,30129,3,100,'Forces targets in Area of Effect to change their selected target to caster.',0,0),
(57430,30129,3,100,'Increases Threat to targets in Area of Effect by 49 ',0,1),
(57431,30129,3,100,'Prevents targets in Area of Effect from changing targets',0,2),
(57432,30129,4,100,'Forces targets in Area of Effect to change their selected target to caster.',0,0),
(57433,30129,4,100,'Increases Threat to targets in Area of Effect by 54 ',0,1),
(57434,30129,4,100,'Prevents targets in Area of Effect from changing targets',0,2),
(57435,30129,5,100,'Forces targets in Area of Effect to change their selected target to caster.',0,0),
(57436,30129,5,100,'Increases Threat to targets in Area of Effect by 58 ',0,1),
(57437,30129,5,100,'Prevents targets in Area of Effect from changing targets',0,2),
(57438,30129,7,100,'Forces targets in Area of Effect to change their selected target to caster.',0,0),
(57439,30129,7,100,'Increases Threat to targets in Area of Effect by 75 ',0,1),
(57440,30129,7,100,'Prevents targets in Area of Effect from changing targets',0,2),
(57441,30129,9,100,'Forces targets in Area of Effect to change their selected target to caster.',0,0),
(57442,30129,9,100,'Increases Threat to targets in Area of Effect by 78 ',0,1),
(57443,30129,9,100,'Prevents targets in Area of Effect from changing targets',0,2),
(57444,30130,1,100,'Forces targets in Area of Effect to change their selected target to caster.',0,0),
(57445,30130,1,100,'Increases Threat to targets in Area of Effect by 44 ',0,1),
(57446,30130,1,100,'Prevents targets in Area of Effect from changing targets',0,2),
(57447,30130,4,100,'Forces targets in Area of Effect to change their selected target to caster.',0,0),
(57448,30130,4,100,'Increases Threat to targets in Area of Effect by 54 ',0,1),
(57449,30130,4,100,'Prevents targets in Area of Effect from changing targets',0,2),
(57450,30130,5,100,'Forces targets in Area of Effect to change their selected target to caster.',0,0),
(57451,30130,5,100,'Increases Threat to targets in Area of Effect by 58 ',0,1),
(57452,30130,5,100,'Prevents targets in Area of Effect from changing targets',0,2),
(57453,30130,7,100,'Forces targets in Area of Effect to change their selected target to caster.',0,0),
(57454,30130,7,100,'Increases Threat to targets in Area of Effect by 75 ',0,1),
(57455,30130,7,100,'Prevents targets in Area of Effect from changing targets',0,2),
(57456,30130,9,100,'Forces targets in Area of Effect to change their selected target to caster.',0,0),
(57457,30130,9,100,'Increases Threat to targets in Area of Effect by 78 ',0,1),
(57458,30130,9,100,'Prevents targets in Area of Effect from changing targets',0,2),
(57459,30131,1,100,'Forces targets in Area of Effect to change their selected target to caster.',0,0),
(57460,30131,1,100,'Increases Threat to targets in Area of Effect by 44 ',0,1),
(57461,30131,1,100,'Prevents targets in Area of Effect from changing targets',0,2),
(57462,30131,4,100,'Forces targets in Area of Effect to change their selected target to caster.',0,0),
(57463,30131,4,100,'Increases Threat to targets in Area of Effect by 54 ',0,1),
(57464,30131,4,100,'Prevents targets in Area of Effect from changing targets',0,2),
(57465,30131,5,100,'Forces targets in Area of Effect to change their selected target to caster.',0,0),
(57466,30131,5,100,'Increases Threat to targets in Area of Effect by 58 ',0,1),
(57467,30131,5,100,'Prevents targets in Area of Effect from changing targets',0,2),
(57468,30131,7,100,'Forces targets in Area of Effect to change their selected target to caster.',0,0),
(57469,30131,7,100,'Increases Threat to targets in Area of Effect by 75 ',0,1),
(57470,30131,7,100,'Prevents targets in Area of Effect from changing targets',0,2),
(57471,30131,9,100,'Forces targets in Area of Effect to change their selected target to caster.',0,0),
(57472,30131,9,100,'Increases Threat to targets in Area of Effect by 78 ',0,1),
(57473,30131,9,100,'Prevents targets in Area of Effect from changing targets',0,2),
(57474,80009,1,100,'Increases Mitigation of target vs physical damage by 73',0,0),
(57475,80009,1,100,'Decreases Mitigation of caster vs physical damage by 162',0,1),
(57476,80009,2,100,'Increases Mitigation of target vs physical damage by 77',0,0),
(57477,80009,2,100,'Decreases Mitigation of caster vs physical damage by 162',0,1),
(57478,80009,3,100,'Increases Mitigation of target vs physical damage by 81',0,0),
(57479,80009,3,100,'Decreases Mitigation of caster vs physical damage by 162',0,1),
(57480,80009,4,100,'Increases Mitigation of target vs physical damage by 89',0,0),
(57481,80009,4,100,'Decreases Mitigation of caster vs physical damage by 162',0,1),
(57482,80009,5,100,'Increases Mitigation of target vs physical damage by 97',0,0),
(57483,80009,5,100,'Decreases Mitigation of caster vs physical damage by 162',0,1),
(57484,80009,7,100,'Increases Mitigation of target vs physical damage by 125',0,0),
(57485,80009,7,100,'Decreases Mitigation of caster vs physical damage by 162',0,1),
(57486,80009,9,100,'Increases Mitigation of target vs physical damage by 130',0,0),
(57487,80009,9,100,'Decreases Mitigation of caster vs physical damage by 162',0,1),
(57488,80010,1,100,'Increases Mitigation of target vs physical damage by 126',0,0),
(57489,80010,1,100,'Decreases Mitigation of caster vs physical damage by 279',0,1),
(57490,80010,2,100,'Increases Mitigation of target vs physical damage by 133',0,0),
(57491,80010,2,100,'Decreases Mitigation of caster vs physical damage by 279',0,1),
(57492,80010,3,100,'Increases Mitigation of target vs physical damage by 140',0,0),
(57493,80010,3,100,'Decreases Mitigation of caster vs physical damage by 279',0,1),
(57494,80010,4,100,'Increases Mitigation of target vs physical damage by 153',0,0),
(57495,80010,4,100,'Decreases Mitigation of caster vs physical damage by 279',0,1),
(57496,80010,5,100,'Increases Mitigation of target vs physical damage by 167',0,0),
(57497,80010,5,100,'Decreases Mitigation of caster vs physical damage by 279',0,1),
(57498,80010,7,100,'Increases Mitigation of target vs physical damage by 215',0,0),
(57499,80010,7,100,'Decreases Mitigation of caster vs physical damage by 279',0,1),
(57500,80010,9,100,'Increases Mitigation of target vs physical damage by 223',0,0),
(57501,80010,9,100,'Decreases Mitigation of caster vs physical damage by 279',0,1),
(57502,80011,1,100,'Increases Mitigation of target vs physical damage by 182',0,0),
(57503,80011,1,100,'Decreases Mitigation of caster vs physical damage by 405',0,1),
(57504,80011,2,100,'Increases Mitigation of target vs physical damage by 192',0,0),
(57505,80011,2,100,'Decreases Mitigation of caster vs physical damage by 405',0,1),
(57506,80011,3,100,'Increases Mitigation of target vs physical damage by 203',0,0),
(57507,80011,3,100,'Decreases Mitigation of caster vs physical damage by 405',0,1),
(57508,80011,4,100,'Increases Mitigation of target vs physical damage by 223',0,0),
(57509,80011,4,100,'Decreases Mitigation of caster vs physical damage by 405',0,1),
(57510,80011,5,100,'Increases Mitigation of target vs physical damage by 243',0,0),
(57511,80011,5,100,'Decreases Mitigation of caster vs physical damage by 405',0,1),
(57512,80011,7,100,'Increases Mitigation of target vs physical damage by 312',0,0),
(57513,80011,7,100,'Decreases Mitigation of caster vs physical damage by 405',0,1),
(57514,80011,9,100,'Increases Mitigation of target vs physical damage by 324',0,0),
(57515,80011,9,100,'Decreases Mitigation of caster vs physical damage by 405',0,1),
(57516,80012,1,100,'Increases Mitigation of target vs physical damage by 239',0,0),
(57517,80012,1,100,'Decreases Mitigation of caster vs physical damage by 531',0,1),
(57518,80012,2,100,'Increases Mitigation of target vs physical damage by 252',0,0),
(57519,80012,2,100,'Decreases Mitigation of caster vs physical damage by 531',0,1),
(57520,80012,3,100,'Increases Mitigation of target vs physical damage by 266',0,0),
(57521,80012,3,100,'Decreases Mitigation of caster vs physical damage by 531',0,1),
(57522,80012,4,100,'Increases Mitigation of target vs physical damage by 292',0,0),
(57523,80012,4,100,'Decreases Mitigation of caster vs physical damage by 531',0,1),
(57524,80012,5,100,'Increases Mitigation of target vs physical damage by 319',0,0),
(57525,80012,5,100,'Decreases Mitigation of caster vs physical damage by 531',0,1),
(57526,80012,7,100,'Increases Mitigation of target vs physical damage by 409',0,0),
(57527,80012,7,100,'Decreases Mitigation of caster vs physical damage by 531',0,1),
(57528,80012,9,100,'Increases Mitigation of target vs physical damage by 425',0,0),
(57529,80012,9,100,'Decreases Mitigation of caster vs physical damage by 531',0,1),
(57530,80013,1,100,'Increases Mitigation of target vs physical damage by 310',0,0),
(57531,80013,1,100,'Decreases Mitigation of caster vs physical damage by 685',0,1),
(57532,80013,2,100,'Increases Mitigation of target vs physical damage by 328',0,0),
(57533,80013,2,100,'Decreases Mitigation of caster vs physical damage by 685',0,1),
(57534,80013,3,100,'Increases Mitigation of target vs physical damage by 345',0,0),
(57535,80013,3,100,'Decreases Mitigation of caster vs physical damage by 685',0,1),
(57536,80013,4,100,'Increases Mitigation of target vs physical damage by 379',0,0),
(57537,80013,4,100,'Decreases Mitigation of caster vs physical damage by 685',0,1),
(57538,80013,5,100,'Increases Mitigation of target vs physical damage by 414',0,0),
(57539,80013,5,100,'Decreases Mitigation of caster vs physical damage by 685',0,1),
(57540,80013,7,100,'Increases Mitigation of target vs physical damage by 531',0,0),
(57541,80013,7,100,'Decreases Mitigation of caster vs physical damage by 685',0,1),
(57542,80013,9,100,'Increases Mitigation of target vs physical damage by 552',0,0),
(57543,80013,9,100,'Decreases Mitigation of caster vs physical damage by 685',0,1),
(57544,80014,1,100,'Increases Mitigation of target vs physical damage by 358',0,0),
(57545,80014,1,100,'Decreases Mitigation of caster vs physical damage by 886',0,1),
(57546,80014,4,100,'Increases Mitigation of target vs physical damage by 438',0,0),
(57547,80014,4,100,'Decreases Mitigation of caster vs physical damage by 886',0,1),
(57548,80014,5,100,'Increases Mitigation of target vs physical damage by 477',0,0),
(57549,80014,5,100,'Decreases Mitigation of caster vs physical damage by 886',0,1),
(57550,80014,7,100,'Increases Mitigation of target vs physical damage by 613',0,0),
(57551,80014,7,100,'Decreases Mitigation of caster vs physical damage by 886',0,1),
(57552,80014,9,100,'Increases Mitigation of target vs physical damage by 636',0,0),
(57553,80014,9,100,'Decreases Mitigation of caster vs physical damage by 886',0,1),
(57554,80015,1,100,'Increases Mitigation of target vs physical damage by 414',0,0),
(57555,80015,1,100,'Decreases Mitigation of caster vs physical damage by 1004',0,1),
(57556,80015,4,100,'Increases Mitigation of target vs physical damage by 506',0,0),
(57557,80015,4,100,'Decreases Mitigation of caster vs physical damage by 1004',0,1),
(57558,80015,5,100,'Increases Mitigation of target vs physical damage by 552',0,0),
(57559,80015,5,100,'Decreases Mitigation of caster vs physical damage by 1004',0,1),
(57560,80015,7,100,'Increases Mitigation of target vs physical damage by 709',0,0),
(57561,80015,7,100,'Decreases Mitigation of caster vs physical damage by 1004',0,1),
(57562,80015,9,100,'Increases Mitigation of target vs physical damage by 737',0,0),
(57563,80015,9,100,'Decreases Mitigation of caster vs physical damage by 1004',0,1),
(57564,2000190,1,100,'Applies Knockdown.  Lasts for 1.8 seconds.',0,0),
(57565,2000190,1,100,'Throws target back',1,1),
(57566,2000190,1,100,'Blurs vision of target',1,2),
(57567,2000190,1,100,'Stuns target',1,3),
(57568,2000190,1,100,'Does not affect Epic targets',1,4),
(57569,2000190,1,100,'Inflicts 2 - 3 ranged damage on target',0,5),
(57570,2000190,1,100,'If Aim or Bow equipped in Ranged',0,6),
(57571,2000190,2,100,'Applies Knockdown.  Lasts for 1.9 seconds.',0,0),
(57572,2000190,2,100,'Throws target back',1,1),
(57573,2000190,2,100,'Blurs vision of target',1,2),
(57574,2000190,2,100,'Stuns target',1,3),
(57575,2000190,2,100,'Does not affect Epic targets',1,4),
(57576,2000190,2,100,'Inflicts 296 - 493 ranged damage on target',0,5),
(57577,2000190,2,100,'If Bow equipped in Ranged',0,6),
(57578,2000190,3,100,'Applies Knockdown.  Lasts for 2.0 seconds.',0,0),
(57579,2000190,3,100,'Throws target back',1,1),
(57580,2000190,3,100,'Blurs vision of target',1,2),
(57581,2000190,3,100,'Stuns target',1,3),
(57582,2000190,3,100,'Does not affect Epic targets',1,4),
(57583,2000190,3,100,'Inflicts 311 - 519 ranged damage on target',0,5),
(57584,2000190,3,100,'If Bow equipped in Ranged',0,6),
(57585,2000190,4,100,'Applies Knockdown.  Lasts for 2.2 seconds.',0,0),
(57586,2000190,4,100,'Throws target back',1,1),
(57587,2000190,4,100,'Blurs vision of target',1,2),
(57588,2000190,4,100,'Stuns target',1,3),
(57589,2000190,4,100,'Does not affect Epic targets',1,4),
(57590,2000190,4,100,'Inflicts 457 - 761 ranged damage on target',0,5),
(57591,2000190,4,100,'If Aim or Bow equipped in Ranged',0,6),
(57592,2000190,5,100,'Applies Knockdown.  Lasts for 2.4 seconds.',0,0),
(57593,2000190,5,100,'Throws target back',1,1),
(57594,2000190,5,100,'Blurs vision of target',1,2),
(57595,2000190,5,100,'Stuns target',1,3),
(57596,2000190,5,100,'Does not affect Epic targets',1,4),
(57597,2000190,5,100,'Inflicts 374 - 623 ranged damage on target',0,5),
(57598,2000190,5,100,'If Bow equipped in Ranged',0,6),
(57599,2000190,6,100,'Applies Knockdown.  Lasts for 2.6 seconds.',0,0),
(57600,2000190,6,100,'Throws target back',1,1),
(57601,2000190,6,100,'Blurs vision of target',1,2),
(57602,2000190,6,100,'Stuns target',1,3),
(57603,2000190,6,100,'Does not affect Epic targets',1,4),
(57604,2000190,6,100,'Inflicts 405 - 675 ranged damage on target',0,5),
(57605,2000190,6,100,'If Bow equipped in Ranged',0,6),
(57606,2000190,7,100,'Applies Knockdown.  Lasts for 2.8 seconds.',0,0),
(57607,2000190,7,100,'Throws target back',1,1),
(57608,2000190,7,100,'Blurs vision of target',1,2),
(57609,2000190,7,100,'Stuns target',1,3),
(57610,2000190,7,100,'Does not affect Epic targets',1,4),
(57611,2000190,7,100,'Inflicts 480 - 800 ranged damage on target',0,5),
(57612,2000190,7,100,'If Bow equipped in Ranged',0,6),
(57613,2000190,8,100,'Applies Knockdown.  Lasts for 3.0 seconds.',0,0),
(57614,2000190,8,100,'Throws target back',1,1),
(57615,2000190,8,100,'Blurs vision of target',1,2),
(57616,2000190,8,100,'Stuns target',1,3),
(57617,2000190,8,100,'Does not affect Epic targets',1,4),
(57618,2000190,8,100,'Inflicts 483 - 805 ranged damage on target',0,5),
(57619,2000190,8,100,'If Bow equipped in Ranged',0,6),
(57620,2000190,9,100,'Applies Knockdown.  Lasts for 3.2 seconds.',0,0),
(57621,2000190,9,100,'Throws target back',1,1),
(57622,2000190,9,100,'Blurs vision of target',1,2),
(57623,2000190,9,100,'Stuns target',1,3),
(57624,2000190,9,100,'Does not affect Epic targets',1,4),
(57625,2000190,9,100,'Inflicts 664 - 1108 ranged damage on target',0,5),
(57626,2000190,9,100,'If Aim or Bow equipped in Ranged',0,6),
(57627,2000190,10,100,'Applies Knockdown.  Lasts for 3.3 seconds.',0,0),
(57628,2000190,10,100,'Throws target back',1,1),
(57629,2000190,10,100,'Blurs vision of target',1,2),
(57630,2000190,10,100,'Stuns target',1,3),
(57631,2000190,10,100,'Does not affect Epic targets',1,4),
(57632,2000190,10,100,'Inflicts 698 - 1163 ranged damage on target',0,5),
(57633,2000190,10,100,'If Aim or Bow equipped in Ranged',0,6),
(57634,2000191,1,100,'Inflicts 187 - 311 melee damage on target',0,0),
(57635,2000191,1,100,'Decreases Mitigation of target vs noxious damage by 2160',0,1),
(57636,2000191,1,100,'Your target must be poisoned to use this ability!',0,2),
(57637,2000191,2,100,'Inflicts 263 - 438 melee damage on target',0,0),
(57638,2000191,2,100,'Decreases Mitigation of target vs noxious damage by 2592',0,1),
(57639,2000191,2,100,'Your target must be poisoned to use this ability!',0,2),
(57640,2000191,3,100,'Inflicts 207 - 346 melee damage on target',0,0),
(57641,2000191,3,100,'Decreases Mitigation of target vs noxious damage by 2400',0,1),
(57642,2000191,3,100,'Your target must be poisoned to use this ability!',0,2),
(57643,2000191,4,100,'Inflicts 304 - 507 melee damage on target',0,0),
(57644,2000191,4,100,'Decreases Mitigation of target vs noxious damage by 3001',0,1),
(57645,2000191,4,100,'Your target must be poisoned to use this ability!',0,2),
(57646,2000191,5,100,'Inflicts 249 - 415 melee damage on target',0,0),
(57647,2000191,5,100,'Decreases Mitigation of target vs noxious damage by 2880',0,1),
(57648,2000191,5,100,'Your target must be poisoned to use this ability!',0,2),
(57649,2000191,6,100,'Inflicts 360 - 600 melee damage on target',0,0),
(57650,2000191,6,100,'Decreases Mitigation of target vs noxious damage by 3546',0,1),
(57651,2000191,6,100,'Your target must be poisoned to use this ability!',0,2),
(57652,2000191,7,100,'Inflicts 320 - 533 melee damage on target',0,0),
(57653,2000191,7,100,'Decreases Mitigation of target vs noxious damage by 3696',0,1),
(57654,2000191,7,100,'Your target must be poisoned to use this ability!',0,2),
(57655,2000191,8,100,'Inflicts 322 - 536 melee damage on target',0,0),
(57656,2000191,8,100,'Decreases Mitigation of target vs noxious damage by 3720',0,1),
(57657,2000191,8,100,'Your target must be poisoned to use this ability!',0,2),
(57658,2000191,9,100,'Inflicts 443 - 738 melee damage on target',0,0),
(57659,2000191,9,100,'Decreases Mitigation of target vs noxious damage by 4365',0,1),
(57660,2000191,9,100,'Your target must be poisoned to use this ability!',0,2),
(57661,2000191,10,100,'Inflicts 349 - 581 melee damage on target',0,0),
(57662,2000191,10,100,'Decreases Mitigation of target vs noxious damage by 4032',0,1),
(57663,2000191,10,100,'Your target must be poisoned to use this ability!',0,2),
(57664,2000192,3,100,'Inflicts 3 - 5 poison damage on target',0,0),
(57665,2000192,3,100,'Increases Mitigation of target vs noxious damage by 0',0,1),
(57666,2000192,4,100,'Inflicts 3 - 6 poison damage on target',0,0),
(57667,2000192,4,100,'Increases Mitigation of target vs noxious damage by 0',0,1),
(57668,2000192,5,100,'Inflicts 4 - 6 poison damage on target',0,0),
(57669,2000192,5,100,'Increases Mitigation of target vs noxious damage by 0',0,1),
(57670,2000192,7,100,'Inflicts 5 - 8 poison damage on target',0,0),
(57671,2000192,7,100,'Increases Mitigation of target vs noxious damage by 0',0,1),
(57672,2000192,9,100,'Inflicts 5 - 9 poison damage on target',0,0),
(57673,2000192,9,100,'Increases Mitigation of target vs noxious damage by 0',0,1),
(57674,2000192,10,100,'Inflicts 5 - 9 poison damage on target',0,0),
(57675,2000192,10,100,'Increases Mitigation of target vs noxious damage by 0',0,1),
(57676,2000193,1,100,'When a combat art is used this spell has a 25% chance to cast Thug''s Poison on target of combat art.  Lasts for 16.0 seconds.  ',0,0),
(57677,2000193,1,100,'Inflicts 13 - 22 poison damage on target',1,1),
(57678,2000193,1,100,'Inflicts 2 - 4 poison damage on target every 4 seconds',1,2),
(57679,2000193,1,100,'Reduces healing received by 5.00%',1,3),
(57680,2000193,1,100,'This effect can only trigger from back or flanking attacks.',1,4),
(57681,2000193,2,100,'When a combat art is used this spell has a 50% chance to cast Thug''s Poison on target of combat art.  Lasts for 16.0 seconds.  ',0,0),
(57682,2000193,2,100,'Inflicts 898 - 1496 poison damage on target',1,1),
(57683,2000193,2,100,'Inflicts 150 - 249 poison damage on target every 4 seconds',1,2),
(57684,2000193,2,100,'Reduces healing received by 6.50%',1,3),
(57685,2000193,2,100,'This effect can only trigger from back or flanking attacks.',1,4),
(57686,2000193,3,100,'When a combat art is used this spell has a 75% chance to cast Thug''s Poison on target of combat art.  Lasts for 16.0 seconds.  ',0,0),
(57687,2000193,3,100,'Inflicts 673 - 1122 poison damage on target',1,1),
(57688,2000193,3,100,'Inflicts 112 - 187 poison damage on target every 4 seconds',1,2),
(57689,2000193,3,100,'Reduces healing received by 6.50%',1,3),
(57690,2000193,3,100,'This effect can only trigger from back or flanking attacks.',1,4),
(57691,2000194,3,100,'Inflicts 1 - 2 poison damage on target encounter',0,0),
(57692,2000194,3,100,'Inflicts 1 poison damage on target encounter every 3 seconds',0,1),
(57693,2000194,4,100,'Inflicts 1 - 3 poison damage on target encounter',0,0),
(57694,2000194,4,100,'Inflicts 1 poison damage on target encounter every 3 seconds',0,1),
(57695,2000194,5,100,'Inflicts 2 - 3 poison damage on target encounter',0,0),
(57696,2000194,5,100,'Inflicts 1 - 2 poison damage on target encounter every 3 seconds',0,1),
(57697,2000194,7,100,'Inflicts 2 - 4 poison damage on target encounter',0,0),
(57698,2000194,7,100,'Inflicts 1 - 2 poison damage on target encounter every 3 seconds',0,1),
(57699,2000194,9,100,'Inflicts 2 - 4 poison damage on target encounter',0,0),
(57700,2000194,9,100,'Inflicts 1 - 2 poison damage on target encounter every 3 seconds',0,1),
(57701,2000194,10,100,'Inflicts 2 - 4 poison damage on target encounter',0,0),
(57702,2000194,10,100,'Inflicts 1 - 2 poison damage on target encounter every 3 seconds',0,1),
(57703,380008,1,100,'Inflicts 115 - 192 melee damage on target encounter',0,0),
(57704,380008,1,100,'You must be in stealth to use this!',0,1),
(57705,380008,2,100,'Inflicts 121 - 202 melee damage on target encounter',0,0),
(57706,380008,2,100,'You must be in stealth to use this!',0,1),
(57707,380008,3,100,'Inflicts 128 - 213 melee damage on target encounter',0,0),
(57708,380008,3,100,'You must be in stealth to use this!',0,1),
(57709,380008,4,100,'Inflicts 140 - 234 melee damage on target encounter',0,0),
(57710,380008,4,100,'You must be in stealth to use this!',0,1),
(57711,380008,5,100,'Inflicts 153 - 256 melee damage on target encounter',0,0),
(57712,380008,5,100,'You must be in stealth to use this!',0,1),
(57713,380008,7,100,'Inflicts 197 - 328 melee damage on target encounter',0,0),
(57714,380008,7,100,'You must be in stealth to use this!',0,1),
(57715,380008,9,100,'Inflicts 204 - 341 melee damage on target encounter',0,0),
(57716,380008,9,100,'You must be in stealth to use this!',0,1),
(57717,80016,1,100,'Inflicts 31 - 51 divine damage on target',0,0),
(57718,80016,1,100,'Decreases Parry of target by 4.0',0,1),
(57719,80016,1,100,'If Two-Handed weapon equipped in Primary',0,2),
(57720,100072,1,100,'Inflicts 24 - 41 divine damage on target',0,0),
(57721,80016,2,100,'Inflicts 32 - 54 divine damage on target',0,0),
(57722,80016,2,100,'Decreases Parry of target by 4.3',0,1),
(57723,80016,2,100,'If Two-Handed weapon equipped in Primary',0,2),
(57724,100072,2,100,'Inflicts 26 - 43 divine damage on target',0,0),
(57725,100072,3,100,'Inflicts 27 - 46 divine damage on target',0,0),
(57726,80016,3,100,'Inflicts 34 - 57 divine damage on target',0,0),
(57727,80016,3,100,'Decreases Parry of target by 4.5',0,1),
(57728,80016,3,100,'If Two-Handed weapon equipped in Primary',0,2),
(57729,80016,4,100,'Inflicts 38 - 63 divine damage on target',0,0),
(57730,80016,4,100,'Decreases Parry of target by 5.0',0,1),
(57731,80016,4,100,'If Two-Handed weapon equipped in Primary',0,2),
(57732,100072,4,100,'Inflicts 30 - 50 divine damage on target',0,0),
(57733,100072,5,100,'Inflicts 33 - 55 divine damage on target',0,0),
(57734,80016,5,100,'Inflicts 41 - 69 divine damage on target',0,0),
(57735,80016,5,100,'Decreases Parry of target by 5.4',0,1),
(57736,80016,5,100,'If Two-Handed weapon equipped in Primary',0,2),
(57737,80016,7,100,'Inflicts 53 - 88 divine damage on target',0,0),
(57738,80016,7,100,'Decreases Parry of target by 6.9',0,1),
(57739,80016,7,100,'If Two-Handed weapon equipped in Primary',0,2),
(57740,100072,7,100,'Inflicts 42 - 71 divine damage on target',0,0),
(57741,100072,9,100,'Inflicts 44 - 73 divine damage on target',0,0),
(57742,80016,9,100,'Inflicts 55 - 92 divine damage on target',0,0),
(57743,80016,9,100,'Decreases Parry of target by 7.2',0,1),
(57744,80016,9,100,'If Two-Handed weapon equipped in Primary',0,2),
(57745,100073,1,100,'Inflicts 50 - 84 divine damage on target',0,0),
(57746,100073,2,100,'Inflicts 53 - 89 divine damage on target',0,0),
(57747,100073,3,100,'Inflicts 56 - 93 divine damage on target',0,0),
(57748,100073,4,100,'Inflicts 61 - 103 divine damage on target',0,0),
(57749,100073,5,100,'Inflicts 67 - 112 divine damage on target',0,0),
(57750,100073,7,100,'Inflicts 86 - 144 divine damage on target',0,0),
(57751,100073,9,100,'Inflicts 89 - 149 divine damage on target',0,0),
(57752,100074,1,100,'Inflicts 79 - 132 divine damage on target',0,0),
(57753,100074,2,100,'Inflicts 83 - 139 divine damage on target',0,0),
(57754,100074,3,100,'Inflicts 88 - 146 divine damage on target',0,0),
(57755,100074,4,100,'Inflicts 96 - 161 divine damage on target',0,0),
(57756,100074,5,100,'Inflicts 105 - 176 divine damage on target',0,0),
(57757,100074,7,100,'Inflicts 135 - 226 divine damage on target',0,0),
(57758,100074,9,100,'Inflicts 141 - 235 divine damage on target',0,0),
(57759,100075,1,100,'Inflicts 113 - 189 divine damage on target',0,0),
(57760,100075,2,100,'Inflicts 119 - 199 divine damage on target',0,0),
(57761,100075,3,100,'Inflicts 126 - 210 divine damage on target',0,0),
(57762,100075,4,100,'Inflicts 138 - 231 divine damage on target',0,0),
(57763,100075,5,100,'Inflicts 151 - 252 divine damage on target',0,0),
(57764,100075,7,100,'Inflicts 194 - 323 divine damage on target',0,0),
(57765,100075,9,100,'Inflicts 201 - 336 divine damage on target',0,0),
(57766,100076,1,100,'Inflicts 148 - 246 divine damage on target',0,0),
(57767,100076,2,100,'Inflicts 156 - 260 divine damage on target',0,0),
(57768,100076,3,100,'Inflicts 164 - 274 divine damage on target',0,0),
(57769,100076,4,100,'Inflicts 181 - 301 divine damage on target',0,0),
(57770,100076,5,100,'Inflicts 197 - 329 divine damage on target',0,0),
(57771,100076,7,100,'Inflicts 253 - 422 divine damage on target',0,0),
(57772,100076,9,100,'Inflicts 263 - 438 divine damage on target',0,0),
(57773,100077,1,100,'Inflicts 179 - 299 divine damage on target',0,0),
(57774,100077,4,100,'Inflicts 219 - 365 divine damage on target',0,0),
(57775,100077,5,100,'Inflicts 239 - 398 divine damage on target',0,0),
(57776,100077,7,100,'Inflicts 307 - 511 divine damage on target',0,0),
(57777,100077,9,100,'Inflicts 318 - 531 divine damage on target',0,0),
(57778,100078,1,100,'Inflicts 212 - 354 divine damage on target',0,0),
(57779,100078,4,100,'Inflicts 260 - 433 divine damage on target',0,0),
(57780,100078,5,100,'Inflicts 283 - 473 divine damage on target',0,0),
(57781,100078,7,100,'Inflicts 364 - 607 divine damage on target',0,0),
(57782,100078,9,100,'Inflicts 378 - 630 divine damage on target',0,0),
(57783,50018,1,100,'Inflicts 28 - 46 melee damage on target',0,0),
(57784,50018,1,100,'Interrupts target',0,1),
(57785,50018,1,100,'If facing target',0,2),
(57786,50018,2,100,'Inflicts 29 - 49 melee damage on target',0,0),
(57787,50018,2,100,'Interrupts target',0,1),
(57788,50018,2,100,'If facing target',0,2),
(57789,50018,3,100,'Inflicts 31 - 52 melee damage on target',0,0),
(57790,50018,3,100,'Interrupts target',0,1),
(57791,50018,3,100,'If facing target',0,2),
(57792,50018,4,100,'Inflicts 34 - 57 melee damage on target',0,0),
(57793,50018,4,100,'Interrupts target',0,1),
(57794,50018,4,100,'If facing target',0,2),
(57795,50018,5,100,'Inflicts 37 - 62 melee damage on target',0,0),
(57796,50018,5,100,'Interrupts target',0,1),
(57797,50018,5,100,'If facing target',0,2),
(57798,50018,7,100,'Inflicts 48 - 80 melee damage on target',0,0),
(57799,50018,7,100,'Interrupts target',0,1),
(57800,50018,7,100,'If facing target',0,2),
(57801,50018,9,100,'Inflicts 49 - 83 melee damage on target',0,0),
(57802,50018,9,100,'Interrupts target',0,1),
(57803,50018,9,100,'If facing target',0,2),
(57804,30132,1,100,'Inflicts 74 - 124 melee damage on target',0,0),
(57805,30132,2,100,'Inflicts 78 - 131 melee damage on target',0,0),
(57806,30132,3,100,'Inflicts 82 - 138 melee damage on target',0,0),
(57807,30132,4,100,'Inflicts 91 - 151 melee damage on target',0,0),
(57808,30132,5,100,'Inflicts 99 - 165 melee damage on target',0,0),
(57809,30132,7,100,'Inflicts 127 - 212 melee damage on target',0,0),
(57810,30132,9,100,'Inflicts 132 - 221 melee damage on target',0,0),
(57811,30133,1,100,'Inflicts 120 - 200 melee damage on target',0,0),
(57812,30133,2,100,'Inflicts 126 - 211 melee damage on target',0,0),
(57813,30133,3,100,'Inflicts 133 - 222 melee damage on target',0,0),
(57814,30133,4,100,'Inflicts 146 - 244 melee damage on target',0,0),
(57815,30133,5,100,'Inflicts 160 - 266 melee damage on target',0,0),
(57816,30133,7,100,'Inflicts 205 - 342 melee damage on target',0,0),
(57817,30133,9,100,'Inflicts 213 - 355 melee damage on target',0,0),
(57818,30134,1,100,'Inflicts 176 - 294 melee damage on target',0,0),
(57819,30134,2,100,'Inflicts 186 - 311 melee damage on target',0,0),
(57820,30134,3,100,'Inflicts 196 - 327 melee damage on target',0,0),
(57821,30134,4,100,'Inflicts 216 - 360 melee damage on target',0,0),
(57822,30134,5,100,'Inflicts 235 - 392 melee damage on target',0,0),
(57823,30134,7,100,'Inflicts 302 - 504 melee damage on target',0,0),
(57824,30134,9,100,'Inflicts 314 - 523 melee damage on target',0,0),
(57825,30135,1,100,'Inflicts 233 - 389 melee damage on target',0,0),
(57826,30135,2,100,'Inflicts 246 - 410 melee damage on target',0,0),
(57827,30135,3,100,'Inflicts 259 - 432 melee damage on target',0,0),
(57828,30135,4,100,'Inflicts 285 - 475 melee damage on target',0,0),
(57829,30135,5,100,'Inflicts 311 - 519 melee damage on target',0,0),
(57830,30135,7,100,'Inflicts 399 - 666 melee damage on target',0,0),
(57831,30135,9,100,'Inflicts 415 - 692 melee damage on target',0,0),
(57832,30136,1,100,'Inflicts 282 - 471 melee damage on target',0,0),
(57833,30136,2,100,'Inflicts 298 - 497 melee damage on target',0,0),
(57834,30136,3,100,'Inflicts 314 - 523 melee damage on target',0,0),
(57835,30136,4,100,'Inflicts 345 - 576 melee damage on target',0,0),
(57836,30136,5,100,'Inflicts 377 - 628 melee damage on target',0,0),
(57837,30136,7,100,'Inflicts 483 - 806 melee damage on target',0,0),
(57838,30136,9,100,'Inflicts 502 - 837 melee damage on target',0,0),
(57839,30137,1,100,'Inflicts 340 - 567 melee damage on target',0,0),
(57840,30137,4,100,'Inflicts 416 - 694 melee damage on target',0,0),
(57841,30137,5,100,'Inflicts 454 - 757 melee damage on target',0,0),
(57842,30137,7,100,'Inflicts 582 - 971 melee damage on target',0,0),
(57843,30137,9,100,'Inflicts 605 - 1009 melee damage on target',0,0),
(57844,30138,1,100,'Inflicts 369 - 616 melee damage on target',0,0),
(57845,30138,4,100,'Inflicts 452 - 753 melee damage on target',0,0),
(57846,30138,5,100,'Inflicts 493 - 821 melee damage on target',0,0),
(57847,30138,7,100,'Inflicts 632 - 1054 melee damage on target',0,0),
(57848,30138,9,100,'Inflicts 657 - 1095 melee damage on target',0,0),
(57849,2000195,1,100,'Increases Potency of caster by 20.0%',0,0),
(57850,2000195,1,100,'Bypasses the Stealth requirement on the Predator''s abilities.',0,1),
(57851,2000195,2,100,'Increases Potency of caster by 40.0%',0,0),
(57852,2000195,2,100,'Bypasses the Stealth requirement on the Predator''s abilities.',0,1),
(57853,2000197,1,100,'Inflicts 0 - 1 melee damage on target',0,0),
(57854,2000197,1,100,'Increases Mitigation of target vs physical damage by 0',0,1),
(57855,2000197,2,100,'Inflicts 126 - 189 melee damage on target',0,0),
(57856,2000197,2,100,'Decreases Mitigation of target vs physical damage by 684',0,1),
(57857,2000197,3,100,'Inflicts 133 - 199 melee damage on target',0,0),
(57858,2000197,3,100,'Decreases Mitigation of target vs physical damage by 720',0,1),
(57859,2000197,4,100,'Inflicts 195 - 292 melee damage on target',0,0),
(57860,2000197,4,100,'Decreases Mitigation of target vs physical damage by 900',0,1),
(57861,2000197,5,100,'Inflicts 159 - 239 melee damage on target',0,0),
(57862,2000197,5,100,'Decreases Mitigation of target vs physical damage by 864',0,1),
(57863,2000197,6,100,'Inflicts 172 - 259 melee damage on target',0,0),
(57864,2000197,6,100,'Decreases Mitigation of target vs physical damage by 936',0,1),
(57865,2000197,7,100,'Inflicts 204 - 307 melee damage on target',0,0),
(57866,2000197,7,100,'Decreases Mitigation of target vs physical damage by 1109',0,1),
(57867,2000197,8,100,'Inflicts 206 - 309 melee damage on target',0,0),
(57868,2000197,8,100,'Decreases Mitigation of target vs physical damage by 1116',0,1),
(57869,2000197,9,100,'Inflicts 283 - 425 melee damage on target',0,0),
(57870,2000197,9,100,'Decreases Mitigation of target vs physical damage by 1309',0,1),
(57871,2000197,10,100,'Inflicts 297 - 446 melee damage on target',0,0),
(57872,2000197,10,100,'Decreases Mitigation of target vs physical damage by 1375',0,1),
(57873,2000198,1,100,'When using a Primal ability. this spell will cast Primal Assault on target of spell cast.  ',0,0),
(57874,2000198,1,100,'Inflicts 1559 - 2598 cold damage on target',1,1),
(57875,2000198,1,100,'If in Feral Stance',1,2),
(57876,2000198,1,100,'When using a Primal ability. this spell will cast Primal Assault on target.  ',0,3),
(57877,2000198,1,100,'Increases power of group members (AE) by 240 - 360',1,4),
(57878,2000198,1,100,'Heals group members (AE) for 840 - 1260',1,5),
(57879,2000198,1,100,'If in Spiritual Stance',1,6),
(57880,2000199,1,100,'Inflicts 11 - 18 cold damage on target',0,0),
(57881,2000199,1,100,'Increases power of caster by 2 - 4',0,1),
(57882,2000199,1,100,'Increases power of pet by 2 - 4',0,2),
(57883,390110,2,100,'Decreases Hate Gain of caster by 7.8%',0,0),
(57884,390110,3,100,'Decreases Hate Gain of caster by 8.2%',0,0),
(57885,390110,4,100,'Decreases Hate Gain of caster by 9.0%',0,0),
(57886,390110,5,100,'Decreases Hate Gain of caster by 9.8%',0,0),
(57887,390110,7,100,'Decreases Hate Gain of caster by 12.6%',0,0),
(57888,390110,9,100,'Decreases Hate Gain of caster by 13.1%',0,0),
(57889,390111,1,100,'Decreases Hate Gain of caster by 9.9%',0,0),
(57890,390111,2,100,'Decreases Hate Gain of caster by 10.4%',0,0),
(57891,390111,3,100,'Decreases Hate Gain of caster by 11.0%',0,0),
(57892,390111,4,100,'Decreases Hate Gain of caster by 12.1%',0,0),
(57893,390111,5,100,'Decreases Hate Gain of caster by 13.2%',0,0),
(57894,390111,7,100,'Decreases Hate Gain of caster by 16.9%',0,0),
(57895,390111,9,100,'Decreases Hate Gain of caster by 17.6%',0,0),
(57896,390112,1,100,'Decreases Hate Gain of caster by 12.4%',0,0),
(57897,390112,2,100,'Decreases Hate Gain of caster by 13.1%',0,0),
(57898,390112,3,100,'Decreases Hate Gain of caster by 13.8%',0,0),
(57899,390112,4,100,'Decreases Hate Gain of caster by 15.2%',0,0),
(57900,390112,5,100,'Decreases Hate Gain of caster by 16.6%',0,0),
(57901,390112,7,100,'Decreases Hate Gain of caster by 21.3%',0,0),
(57902,390112,9,100,'Decreases Hate Gain of caster by 22.1%',0,0),
(57903,390113,1,100,'Decreases Hate Gain of caster by 14.9%',0,0),
(57904,390113,2,100,'Decreases Hate Gain of caster by 15.8%',0,0),
(57905,390113,3,100,'Decreases Hate Gain of caster by 16.6%',0,0),
(57906,390113,4,100,'Decreases Hate Gain of caster by 18.3%',0,0),
(57907,390113,5,100,'Decreases Hate Gain of caster by 19.9%',0,0),
(57908,390113,7,100,'Decreases Hate Gain of caster by 25.6%',0,0),
(57909,390113,9,100,'Decreases Hate Gain of caster by 26.6%',0,0),
(57910,2000200,1,100,'Inflicts 363 - 606 melee damage on target',0,0),
(57911,2000201,1,100,'Inflicts 1773 - 2659 melee damage on target',0,0),
(57912,2000201,1,100,'When a combat art is used this spell will cast Blade Bind on caster.  Lasts for 5.0 seconds.  ',0,1),
(57913,2000201,1,100,'Will absorb all damage when the amount is greater than 10% of the target''s maximum health. This spell will absorb a total of 1 attack.',1,2),
(57914,2000201,1,100,'This effect can only trigger once every 2.0 seconds.',1,3),
(57915,2000202,1,100,'Inflicts 3 poison damage on target',0,0),
(57916,2000202,1,100,'Heals target for 1 - 2 every 3 seconds',0,1),
(57917,2000203,1,100,'When damaged with a melee weapon this spell will cast Protector''s Spirit on target.  Lasts for 10.0 seconds.  ',0,0),
(57918,2000203,1,100,'Increases the guardian''s Crit Bonus by 10% of their base Crit Bonus',1,1),
(57919,2000204,1,100,'Increases threat priority of target by 2 positions',0,0),
(57920,10009,1,100,'Increases Threat to target by 580 - 709 ',0,0),
(57921,10009,2,100,'Increases Threat to target by 612 - 748 ',0,0),
(57922,10009,3,100,'Increases Threat to target by 644 - 787 ',0,0),
(57923,30139,4,100,'Interrupts target',0,0),
(57924,30139,4,100,'Increases Threat to target by 166 - 202 ',0,1),
(57925,10009,4,100,'Increases Threat to target by 709 - 866 ',0,0),
(57926,10009,5,100,'Increases Threat to target by 773 - 945 ',0,0),
(57927,30139,5,100,'Interrupts target',0,0),
(57928,30139,5,100,'Increases Threat to target by 181 - 221 ',0,1),
(57929,10009,7,100,'Increases Threat to target by 992 - 1,213 ',0,0),
(57930,30139,7,100,'Interrupts target',0,0),
(57931,30139,7,100,'Increases Threat to target by 232 - 284 ',0,1),
(57932,30139,9,100,'Interrupts target',0,0),
(57933,30139,9,100,'Increases Threat to target by 241 - 295 ',0,1),
(57934,10009,9,100,'Increases Threat to target by 1,031 - 1,260 ',0,0),
(57935,30140,2,100,'Interrupts target',0,0),
(57936,30140,2,100,'Increases Threat to target by 552 - 675 ',0,1),
(57937,30140,3,100,'Interrupts target',0,0),
(57938,30140,3,100,'Increases Threat to target by 581 - 710 ',0,1),
(57939,30140,4,100,'Interrupts target',0,0),
(57940,30140,4,100,'Increases Threat to target by 639 - 781 ',0,1),
(57941,30140,5,100,'Interrupts target',0,0),
(57942,30140,5,100,'Increases Threat to target by 697 - 852 ',0,1),
(57943,30140,7,100,'Interrupts target',0,0),
(57944,30140,7,100,'Increases Threat to target by 895 - 1,094 ',0,1),
(57945,30140,9,100,'Interrupts target',0,0),
(57946,30140,9,100,'Increases Threat to target by 930 - 1,137 ',0,1),
(57949,30141,1,100,'Interrupts target',0,0),
(57950,30141,1,100,'Increases Threat to target by 977 - 1,194 ',0,1),
(57951,30141,2,100,'Interrupts target',0,0),
(57952,30141,2,100,'Increases Threat to target by 1,031 - 1,260 ',0,1),
(57953,30141,3,100,'Interrupts target',0,0),
(57954,30141,3,100,'Increases Threat to target by 1,085 - 1,305 ',0,1),
(57955,30141,4,100,'Interrupts target',0,0),
(57956,30141,4,100,'Increases Threat to target by 1,194 - 1,382 ',0,1),
(57957,30141,5,100,'Interrupts target',0,0),
(57958,30141,5,100,'Increases Threat to target by 1,292 - 1,459 ',0,1),
(57959,30141,7,100,'Interrupts target',0,0),
(57960,30141,7,100,'Increases Threat to target by 1,505 - 1,719 ',0,1),
(57961,30141,9,100,'Interrupts target',0,0),
(57962,30141,9,100,'Increases Threat to target by 1,542 - 1,765 ',0,1),
(57963,30142,1,100,'Interrupts target',0,0),
(57964,30142,1,100,'Increases Threat to target by 1,653 - 1,900 ',0,1),
(57965,30142,2,100,'Interrupts target',0,0),
(57966,30142,2,100,'Increases Threat to target by 1,715 - 1,976 ',0,1),
(57967,30142,3,100,'Interrupts target',0,0),
(57968,30142,3,100,'Increases Threat to target by 1,777 - 2,052 ',0,1),
(57969,30142,4,100,'Interrupts target',0,0),
(57970,30142,4,100,'Increases Threat to target by 1,900 - 2,203 ',0,1),
(57971,30142,5,100,'Interrupts target',0,0),
(57972,30142,5,100,'Increases Threat to target by 2,024 - 2,354 ',0,1),
(57973,30142,7,100,'Interrupts target',0,0),
(57974,30142,7,100,'Increases Threat to target by 2,445 - 2,868 ',0,1),
(57975,30142,9,100,'Interrupts target',0,0),
(57976,30142,9,100,'Increases Threat to target by 2,519 - 2,959 ',0,1),
(57977,30142,10,100,'Interrupts target',0,0),
(57978,30142,10,100,'Increases Threat to target by 2,618 - 3,080 ',0,1),
(57979,30143,1,100,'Interrupts target',0,0),
(57980,30143,1,100,'Increases Threat to target by 5,519 - 6,625 ',0,1),
(57981,30143,4,100,'Interrupts target',0,0),
(57982,30143,4,100,'Increases Threat to target by 6,625 - 7,978 ',0,1),
(57983,30143,5,100,'Interrupts target',0,0),
(57984,30143,5,100,'Increases Threat to target by 7,179 - 8,654 ',0,1),
(57985,30143,7,100,'Interrupts target',0,0),
(57986,30143,7,100,'Increases Threat to target by 9,060 - 10,953 ',0,1),
(57987,30143,9,100,'Interrupts target',0,0),
(57988,30143,9,100,'Increases Threat to target by 9,392 - 11,359 ',0,1),
(57991,30144,1,100,'Interrupts target',0,0),
(57992,30144,1,100,'Increases Threat to target by 2,310 - 2,703 ',0,1),
(57993,30144,2,100,'Interrupts target',0,0),
(57994,30144,2,100,'Increases Threat to target by 2,408 - 2,824 ',0,1),
(57995,30144,3,100,'Interrupts target',0,0),
(57996,30144,3,100,'Increases Threat to target by 2,507 - 2,944 ',0,1),
(57997,30144,4,100,'Interrupts target',0,0),
(57998,30144,4,100,'Increases Threat to target by 2,703 - 3,184 ',0,1),
(57999,30144,5,100,'Interrupts target',0,0),
(58000,30144,5,100,'Increases Threat to target by 2,900 - 3,425 ',0,1),
(58001,30144,7,100,'Interrupts target',0,0),
(58002,30144,7,100,'Increases Threat to target by 3,569 - 4,242 ',0,1),
(58003,30144,9,100,'Interrupts target',0,0),
(58004,30144,9,100,'Increases Threat to target by 3,687 - 4,386 ',0,1),
(58005,30145,1,100,'Interrupts target',0,0),
(58006,30145,1,100,'Increases Threat to target by 3,092 - 3,660 ',0,1),
(58007,30145,2,100,'Interrupts target',0,0),
(58008,30145,2,100,'Increases Threat to target by 3,234 - 3,833 ',0,1),
(58009,30145,3,100,'Interrupts target',0,0),
(58010,30145,3,100,'Increases Threat to target by 3,376 - 4,006 ',0,1),
(58011,30145,4,100,'Interrupts target',0,0),
(58012,30145,4,100,'Increases Threat to target by 3,660 - 4,353 ',0,1),
(58013,30145,5,100,'Interrupts target',0,0),
(58014,30145,5,100,'Increases Threat to target by 3,943 - 4,700 ',0,1),
(58015,30145,7,100,'Interrupts target',0,0),
(58016,30145,7,100,'Increases Threat to target by 4,908 - 5,879 ',0,1),
(58017,30145,9,100,'Interrupts target',0,0),
(58018,30145,9,100,'Increases Threat to target by 5,078 - 6,087 ',0,1),
(58019,30146,1,100,'Interrupts target',0,0),
(58020,30146,1,100,'Increases Threat to target by 3,896 - 4,642 ',0,1),
(58021,30146,2,100,'Interrupts target',0,0),
(58022,30146,2,100,'Increases Threat to target by 4,082 - 4,869 ',0,1),
(58023,30146,3,100,'Interrupts target',0,0),
(58024,30146,3,100,'Increases Threat to target by 4,269 - 5,097 ',0,1),
(58025,30146,4,100,'Interrupts target',0,0),
(58026,30146,4,100,'Increases Threat to target by 4,642 - 5,553 ',0,1),
(58027,30146,5,100,'Interrupts target',0,0),
(58028,30146,5,100,'Increases Threat to target by 5,014 - 6,009 ',0,1),
(58029,30146,7,100,'Interrupts target',0,0),
(58030,30146,7,100,'Increases Threat to target by 6,282 - 7,559 ',0,1),
(58031,30146,9,100,'Interrupts target',0,0),
(58032,30146,9,100,'Increases Threat to target by 6,506 - 7,832 ',0,1),
(58033,30146,10,100,'Interrupts target',0,0),
(58034,30146,10,100,'Increases Threat to target by 6,804 - 8,197 ',0,1),
(58035,30147,1,100,'Interrupts target',0,0),
(58036,30147,1,100,'Increases Threat to target by 4,707 - 5,634 ',0,1),
(58037,30147,4,100,'Interrupts target',0,0),
(58038,30147,4,100,'Increases Threat to target by 5,634 - 6,766 ',0,1),
(58039,30147,5,100,'Interrupts target',0,0),
(58040,30147,5,100,'Increases Threat to target by 6,097 - 7,332 ',0,1),
(58041,30147,7,100,'Interrupts target',0,0),
(58042,30147,7,100,'Increases Threat to target by 7,671 - 9,256 ',0,1),
(58043,30147,9,100,'Interrupts target',0,0),
(58044,30147,9,100,'Increases Threat to target by 7,949 - 9,596 ',0,1),
(58045,30147,10,100,'Interrupts target',0,0),
(58046,30147,10,100,'Increases Threat to target by 8,320 - 10,049 ',0,1),
(58047,2000205,1,100,'Reduces all damage done to caster by 25%',0,0),
(58048,2000205,1,100,'Adds hate positions to Reprimand, Challenge and Silent Threat.',0,1),
(58049,2000206,3,100,'Inflicts 1 - 2 mental damage on target encounter',0,0),
(58050,2000206,3,100,'Inflicts 1 mental damage on target encounter every 3 seconds',0,1),
(58051,2000206,4,100,'Inflicts 1 - 3 mental damage on target encounter',0,0),
(58052,2000206,4,100,'Inflicts 1 mental damage on target encounter every 3 seconds',0,1),
(58053,2000206,5,100,'Inflicts 2 - 3 mental damage on target encounter',0,0),
(58054,2000206,5,100,'Inflicts 1 - 2 mental damage on target encounter every 3 seconds',0,1),
(58055,2000206,7,100,'Inflicts 2 - 4 mental damage on target encounter',0,0),
(58056,2000206,7,100,'Inflicts 1 - 2 mental damage on target encounter every 3 seconds',0,1),
(58057,2000206,9,100,'Inflicts 2 - 4 mental damage on target encounter',0,0),
(58058,2000206,9,100,'Inflicts 1 - 2 mental damage on target encounter every 3 seconds',0,1),
(58059,2000206,10,100,'Inflicts 2 - 4 mental damage on target encounter',0,0),
(58060,2000206,10,100,'Inflicts 1 - 2 mental damage on target encounter every 3 seconds',0,1),
(58061,2000207,3,100,'Inflicts 3 - 5 mental damage on target',0,0),
(58062,2000207,3,100,'Target will reduce the chance for one of their weapons'' auto-attack to affect multiple targets by 5.0%',0,1),
(58063,2000207,4,100,'Inflicts 3 - 6 mental damage on target',0,0),
(58064,2000207,4,100,'Target will reduce the chance for one of their weapons'' auto-attack to affect multiple targets by 5.5%',0,1),
(58065,2000207,5,100,'Inflicts 4 - 6 mental damage on target',0,0),
(58066,2000207,5,100,'Target will reduce the chance for one of their weapons'' auto-attack to affect multiple targets by 6.0%',0,1),
(58067,2000207,7,100,'Inflicts 5 - 8 mental damage on target',0,0),
(58068,2000207,7,100,'Target will reduce the chance for one of their weapons'' auto-attack to affect multiple targets by 7.7%',0,1),
(58069,2000207,9,100,'Inflicts 5 - 9 mental damage on target',0,0),
(58070,2000207,9,100,'Target will reduce the chance for one of their weapons'' auto-attack to affect multiple targets by 8.0%',0,1),
(58071,2000207,10,100,'Inflicts 5 - 9 mental damage on target',0,0),
(58072,2000207,10,100,'Target will reduce the chance for one of their weapons'' auto-attack to affect multiple targets by 8.4%',0,1),
(58073,2000208,1,100,'When a combat art is used this spell has a 10% chance to cast Pulverize on target of combat art.  Lasts for 16.0 seconds.  ',0,0),
(58074,2000208,1,100,'Inflicts 104 - 173 crushing damage on target encounter',1,1),
(58075,2000208,1,100,'Inflicts 26 - 43 crushing damage on target encounter every 4 seconds',1,2),
(58076,2000208,1,100,'Decreases Defense, Parry and Deflection of target encounter by 24.8',1,3),
(58077,2000208,2,100,'When a combat art is used this spell has a 20% chance to cast Pulverize on target of combat art.  Lasts for 16.0 seconds.  ',0,0),
(58078,2000208,2,100,'Inflicts 104 - 173 crushing damage on target encounter',1,1),
(58079,2000208,2,100,'Inflicts 26 - 43 crushing damage on target encounter every 4 seconds',1,2),
(58080,2000208,2,100,'Decreases Defense, Parry and Deflection of target encounter by 24.8',1,3),
(58081,2000208,3,100,'When a combat art is used this spell has a 30% chance to cast Pulverize on target of combat art.  Lasts for 16.0 seconds.  ',0,0),
(58082,2000208,3,100,'Inflicts 139 - 231 crushing damage on target encounter',1,1),
(58083,2000208,3,100,'Inflicts 35 - 58 crushing damage on target encounter every 4 seconds',1,2),
(58084,2000208,3,100,'Decreases Defense, Parry and Deflection of target encounter by 25.1',1,3),
(58085,70133,1,100,'Inflicts 2 - 8 melee damage on target',0,0),
(58086,70133,2,100,'Inflicts 3 - 9 melee damage on target',0,0),
(58087,70133,3,100,'Inflicts 3 - 9 melee damage on target',0,0),
(58088,70133,4,100,'Inflicts 3 - 10 melee damage on target',0,0),
(58089,70133,5,100,'Inflicts 3 - 11 melee damage on target',0,0),
(58090,70133,7,100,'Inflicts 5 - 15 melee damage on target',0,0),
(58091,70133,9,100,'Inflicts 5 - 15 melee damage on target',0,0),
(58092,70134,1,100,'Inflicts 7 - 21 melee damage on target',0,0),
(58093,70134,2,100,'Inflicts 7 - 22 melee damage on target',0,0),
(58094,70134,3,100,'Inflicts 7 - 23 melee damage on target',0,0),
(58095,70134,4,100,'Inflicts 8 - 25 melee damage on target',0,0),
(58096,70134,5,100,'Inflicts 9 - 28 melee damage on target',0,0),
(58097,70134,7,100,'Inflicts 12 - 36 melee damage on target',0,0),
(58098,70134,9,100,'Inflicts 12 - 37 melee damage on target',0,0),
(58099,70135,1,100,'Inflicts 34 - 102 melee damage on target',0,0),
(58100,70135,2,100,'Inflicts 36 - 108 melee damage on target',0,0),
(58101,70135,3,100,'Inflicts 38 - 114 melee damage on target',0,0),
(58102,70135,4,100,'Inflicts 41 - 125 melee damage on target',0,0),
(58103,70135,5,100,'Inflicts 45 - 137 melee damage on target',0,0),
(58104,70135,7,100,'Inflicts 58 - 176 melee damage on target',0,0),
(58105,70135,9,100,'Inflicts 60 - 182 melee damage on target',0,0),
(58106,70136,1,100,'Inflicts 53 - 161 melee damage on target',0,0),
(58107,70136,2,100,'Inflicts 56 - 170 melee damage on target',0,0),
(58108,70136,3,100,'Inflicts 59 - 179 melee damage on target',0,0),
(58109,70136,4,100,'Inflicts 65 - 197 melee damage on target',0,0),
(58110,70136,5,100,'Inflicts 71 - 215 melee damage on target',0,0),
(58111,70136,7,100,'Inflicts 91 - 275 melee damage on target',0,0),
(58112,70136,9,100,'Inflicts 95 - 286 melee damage on target',0,0),
(58113,70137,1,100,'Inflicts 76 - 230 melee damage on target',0,0),
(58114,70137,2,100,'Inflicts 81 - 243 melee damage on target',0,0),
(58115,70137,3,100,'Inflicts 85 - 256 melee damage on target',0,0),
(58116,70137,4,100,'Inflicts 93 - 281 melee damage on target',0,0),
(58117,70137,5,100,'Inflicts 102 - 307 melee damage on target',0,0),
(58118,70137,7,100,'Inflicts 131 - 394 melee damage on target',0,0),
(58119,70137,9,100,'Inflicts 136 - 409 melee damage on target',0,0),
(58120,70138,1,100,'Inflicts 100 - 301 melee damage on target',0,0),
(58121,70138,2,100,'Inflicts 105 - 317 melee damage on target',0,0),
(58122,70138,3,100,'Inflicts 111 - 334 melee damage on target',0,0),
(58123,70138,4,100,'Inflicts 122 - 368 melee damage on target',0,0),
(58124,70138,5,100,'Inflicts 133 - 401 melee damage on target',0,0),
(58125,70138,7,100,'Inflicts 171 - 515 melee damage on target',0,0),
(58126,70138,9,100,'Inflicts 178 - 535 melee damage on target',0,0),
(58127,70138,10,100,'Inflicts 187 - 562 melee damage on target',0,0),
(58128,70139,1,100,'Inflicts 121 - 364 melee damage on target',0,0),
(58129,70139,4,100,'Inflicts 148 - 445 melee damage on target',0,0),
(58130,70139,5,100,'Inflicts 162 - 486 melee damage on target',0,0),
(58131,70139,7,100,'Inflicts 208 - 624 melee damage on target',0,0),
(58132,70139,9,100,'Inflicts 216 - 648 melee damage on target',0,0),
(58133,70140,1,100,'Inflicts 144 - 432 melee damage on target',0,0),
(58134,70140,4,100,'Inflicts 176 - 528 melee damage on target',0,0),
(58135,70140,5,100,'Inflicts 192 - 577 melee damage on target',0,0),
(58136,70140,7,100,'Inflicts 246 - 740 melee damage on target',0,0),
(58137,70140,9,100,'Inflicts 256 - 769 melee damage on target',0,0),
(58138,340131,1,100,'Inflicts 4 - 8 melee damage on target',0,0),
(58139,340131,1,100,'Decreases Haste of target by 9.1',0,1),
(58140,340131,2,100,'Inflicts 5 - 8 melee damage on target',0,0),
(58141,340131,2,100,'Decreases Haste of target by 9.6',0,1),
(58142,340131,3,100,'Inflicts 5 - 8 melee damage on target',0,0),
(58143,340131,3,100,'Decreases Haste of target by 10.1',0,1),
(58144,340131,4,100,'Inflicts 5 - 9 melee damage on target',0,0),
(58145,340131,4,100,'Decreases Haste of target by 11.1',0,1),
(58146,340131,5,100,'Inflicts 6 - 10 melee damage on target',0,0),
(58147,340131,5,100,'Decreases Haste of target by 12.1',0,1),
(58148,340131,7,100,'Inflicts 8 - 13 melee damage on target',0,0),
(58149,340131,7,100,'Decreases Haste of target by 15.6',0,1),
(58150,340131,9,100,'Inflicts 8 - 14 melee damage on target',0,0),
(58151,340131,9,100,'Decreases Haste of target by 16.2',0,1),
(58152,340132,1,100,'Inflicts 15 - 25 melee damage on target',0,0),
(58153,340132,1,100,'Decreases Haste of target by 9.7',0,1),
(58154,340132,2,100,'Inflicts 15 - 26 melee damage on target',0,0),
(58155,340132,2,100,'Decreases Haste of target by 10.3',0,1),
(58156,340132,3,100,'Inflicts 16 - 28 melee damage on target',0,0),
(58157,340132,3,100,'Decreases Haste of target by 10.8',0,1),
(58158,340132,4,100,'Inflicts 18 - 30 melee damage on target',0,0),
(58159,340132,4,100,'Decreases Haste of target by 11.9',0,1),
(58160,340132,5,100,'Inflicts 20 - 33 melee damage on target',0,0),
(58161,340132,5,100,'Decreases Haste of target by 13.0',0,1),
(58162,340132,7,100,'Inflicts 25 - 43 melee damage on target',0,0),
(58163,340132,7,100,'Decreases Haste of target by 16.6',0,1),
(58164,340132,9,100,'Inflicts 26 - 44 melee damage on target',0,0),
(58165,340132,9,100,'Decreases Haste of target by 17.3',0,1),
(58166,340133,1,100,'Inflicts 27 - 46 melee damage on target',0,0),
(58167,340133,1,100,'Decreases Haste of target by 10.3',0,1),
(58168,340133,2,100,'Inflicts 29 - 48 melee damage on target',0,0),
(58169,340133,2,100,'Decreases Haste of target by 10.9',0,1),
(58170,340133,3,100,'Inflicts 30 - 51 melee damage on target',0,0),
(58171,340133,3,100,'Decreases Haste of target by 11.5',0,1),
(58172,340133,4,100,'Inflicts 33 - 56 melee damage on target',0,0),
(58173,340133,4,100,'Decreases Haste of target by 12.7',0,1),
(58174,340133,5,100,'Inflicts 37 - 61 melee damage on target',0,0),
(58175,340133,5,100,'Decreases Haste of target by 13.8',0,1),
(58176,340133,7,100,'Inflicts 47 - 79 melee damage on target',0,0),
(58177,340133,7,100,'Decreases Haste of target by 17.7',0,1),
(58178,340133,9,100,'Inflicts 49 - 82 melee damage on target',0,0),
(58179,340133,9,100,'Decreases Haste of target by 18.4',0,1),
(58180,340134,1,100,'Inflicts 56 - 93 melee damage on target',0,0),
(58181,340134,1,100,'Decreases Haste of target by 11.6',0,1),
(58182,340134,2,100,'Inflicts 59 - 99 melee damage on target',0,0),
(58183,340134,2,100,'Decreases Haste of target by 12.3',0,1),
(58184,340134,3,100,'Inflicts 62 - 104 melee damage on target',0,0),
(58185,340134,3,100,'Decreases Haste of target by 12.9',0,1),
(58186,340134,4,100,'Inflicts 68 - 114 melee damage on target',0,0),
(58187,340134,4,100,'Decreases Haste of target by 14.2',0,1),
(58188,340134,5,100,'Inflicts 75 - 125 melee damage on target',0,0),
(58189,340134,5,100,'Decreases Haste of target by 15.5',0,1),
(58190,340134,7,100,'Inflicts 96 - 160 melee damage on target',0,0),
(58191,340134,7,100,'Decreases Haste of target by 19.9',0,1),
(58192,340134,9,100,'Inflicts 100 - 166 melee damage on target',0,0),
(58193,340134,9,100,'Decreases Haste of target by 20.6',0,1),
(58194,340135,1,100,'Inflicts 236 - 394 melee damage on target',0,0),
(58195,340135,1,100,'Decreases Haste of target by 17.2',0,1),
(58196,340135,4,100,'Inflicts 289 - 482 melee damage on target',0,0),
(58197,340135,4,100,'Decreases Haste of target by 21.0',0,1),
(58198,340135,5,100,'Inflicts 315 - 526 melee damage on target',0,0),
(58199,340135,5,100,'Decreases Haste of target by 22.9',0,1),
(58200,340135,7,100,'Inflicts 405 - 675 melee damage on target',0,0),
(58201,340135,7,100,'Decreases Haste of target by 29.4',0,1),
(58202,340135,9,100,'Inflicts 420 - 701 melee damage on target',0,0),
(58203,340135,9,100,'Decreases Haste of target by 30.6',0,1),
(58204,340136,1,100,'Inflicts 88 - 147 melee damage on target',0,0),
(58205,340136,1,100,'Decreases Haste of target by 12.9',0,1),
(58206,340136,2,100,'Inflicts 93 - 155 melee damage on target',0,0),
(58207,340136,2,100,'Decreases Haste of target by 13.6',0,1),
(58208,340136,3,100,'Inflicts 98 - 163 melee damage on target',0,0),
(58209,340136,3,100,'Decreases Haste of target by 14.3',0,1),
(58210,340136,4,100,'Inflicts 107 - 179 melee damage on target',0,0),
(58211,340136,4,100,'Decreases Haste of target by 15.7',0,1),
(58212,340136,5,100,'Inflicts 117 - 196 melee damage on target',0,0),
(58213,340136,5,100,'Decreases Haste of target by 17.2',0,1),
(58214,340136,7,100,'Inflicts 150 - 251 melee damage on target',0,0),
(58215,340136,7,100,'Decreases Haste of target by 22.0',0,1),
(58216,340136,9,100,'Inflicts 156 - 261 melee damage on target',0,0),
(58217,340136,9,100,'Decreases Haste of target by 22.9',0,1),
(58218,340136,10,100,'Inflicts 164 - 274 melee damage on target',0,0),
(58219,340136,10,100,'Decreases Haste of target by 24.0',0,1),
(58220,340137,1,100,'Inflicts 126 - 210 melee damage on target',0,0),
(58221,340137,1,100,'Decreases Haste of target by 14.1',0,1),
(58222,340137,2,100,'Inflicts 133 - 221 melee damage on target',0,0),
(58223,340137,2,100,'Decreases Haste of target by 14.9',0,1),
(58224,340137,3,100,'Inflicts 140 - 233 melee damage on target',0,0),
(58225,340137,3,100,'Decreases Haste of target by 15.7',0,1),
(58226,340137,4,100,'Inflicts 154 - 256 melee damage on target',0,0),
(58227,340137,4,100,'Decreases Haste of target by 17.3',0,1),
(58228,340137,5,100,'Inflicts 168 - 280 melee damage on target',0,0),
(58229,340137,5,100,'Decreases Haste of target by 18.8',0,1),
(58230,340137,7,100,'Inflicts 215 - 359 melee damage on target',0,0),
(58231,340137,7,100,'Decreases Haste of target by 24.2',0,1),
(58232,340137,9,100,'Inflicts 224 - 373 melee damage on target',0,0),
(58233,340137,9,100,'Decreases Haste of target by 25.1',0,1),
(58234,340138,1,100,'Inflicts 164 - 274 melee damage on target',0,0),
(58235,340138,1,100,'Decreases Haste of target by 15.4',0,1),
(58236,340138,2,100,'Inflicts 173 - 289 melee damage on target',0,0),
(58237,340138,2,100,'Decreases Haste of target by 16.2',0,1),
(58238,340138,3,100,'Inflicts 183 - 305 melee damage on target',0,0),
(58239,340138,3,100,'Decreases Haste of target by 17.1',0,1),
(58240,340138,4,100,'Inflicts 201 - 335 melee damage on target',0,0),
(58241,340138,4,100,'Decreases Haste of target by 18.8',0,1),
(58242,340138,5,100,'Inflicts 219 - 366 melee damage on target',0,0),
(58243,340138,5,100,'Decreases Haste of target by 20.5',0,1),
(58244,340138,7,100,'Inflicts 281 - 469 melee damage on target',0,0),
(58245,340138,7,100,'Decreases Haste of target by 26.3',0,1),
(58246,340138,9,100,'Inflicts 292 - 488 melee damage on target',0,0),
(58247,340138,9,100,'Decreases Haste of target by 27.4',0,1),
(58248,340138,10,100,'Inflicts 307 - 512 melee damage on target',0,0),
(58249,340138,10,100,'Decreases Haste of target by 28.7',0,1),
(58250,340139,1,100,'Inflicts 199 - 332 melee damage on target',0,0),
(58251,340139,1,100,'Decreases Haste of target by 16.3',0,1),
(58252,340139,4,100,'Inflicts 243 - 406 melee damage on target',0,0),
(58253,340139,4,100,'Decreases Haste of target by 19.9',0,1),
(58254,340139,5,100,'Inflicts 266 - 443 melee damage on target',0,0),
(58255,340139,5,100,'Decreases Haste of target by 21.7',0,1),
(58256,340139,7,100,'Inflicts 341 - 569 melee damage on target',0,0),
(58257,340139,7,100,'Decreases Haste of target by 27.9',0,1),
(58258,340139,9,100,'Inflicts 354 - 591 melee damage on target',0,0),
(58259,340139,9,100,'Decreases Haste of target by 29.0',0,1),
(58260,320014,1,100,'Inflicts 24 - 40 melee damage on target',0,0),
(58261,320014,1,100,'Inflicts 24 - 40 melee damage on target',0,1),
(58262,320014,2,100,'Inflicts 25 - 43 melee damage on target',0,0),
(58263,320014,2,100,'Inflicts 25 - 43 melee damage on target',0,1),
(58264,320014,3,100,'Inflicts 27 - 45 melee damage on target',0,0),
(58265,320014,3,100,'Inflicts 27 - 45 melee damage on target',0,1),
(58266,320014,4,100,'Inflicts 29 - 49 melee damage on target',0,0),
(58267,320014,4,100,'Inflicts 29 - 49 melee damage on target',0,1),
(58268,320014,5,100,'Inflicts 32 - 54 melee damage on target',0,0),
(58269,320014,5,100,'Inflicts 32 - 54 melee damage on target',0,1),
(58270,320014,7,100,'Inflicts 41 - 69 melee damage on target',0,0),
(58271,320014,7,100,'Inflicts 41 - 69 melee damage on target',0,1),
(58272,320014,9,100,'Inflicts 43 - 72 melee damage on target',0,0),
(58273,320014,9,100,'Inflicts 43 - 72 melee damage on target',0,1),
(58274,310018,1,100,'Inflicts 6 - 10 melee damage on target',0,0),
(58275,400145,1,100,'Inflicts 4 - 8 melee damage on target',0,0),
(58276,400145,1,100,'Inflicts 1 slashing damage on target every 4 seconds',0,1),
(58277,400145,2,100,'Inflicts 5 - 8 melee damage on target',0,0),
(58278,400145,2,100,'Inflicts 1 slashing damage on target every 4 seconds',0,1),
(58279,310018,2,100,'Inflicts 6 - 10 melee damage on target',0,0),
(58280,310018,3,100,'Inflicts 6 - 11 melee damage on target',0,0),
(58281,400145,3,100,'Inflicts 5 - 8 melee damage on target',0,0),
(58282,400145,3,100,'Inflicts 1 slashing damage on target every 4 seconds',0,1),
(58283,400145,4,100,'Inflicts 5 - 9 melee damage on target',0,0),
(58284,400145,4,100,'Inflicts 1 slashing damage on target every 4 seconds',0,1),
(58285,310018,4,100,'Inflicts 7 - 12 melee damage on target',0,0),
(58286,400145,5,100,'Inflicts 6 - 10 melee damage on target',0,0),
(58287,400145,5,100,'Inflicts 1 slashing damage on target every 4 seconds',0,1),
(58288,310018,5,100,'Inflicts 8 - 13 melee damage on target',0,0),
(58289,400145,7,100,'Inflicts 8 - 13 melee damage on target',0,0),
(58290,400145,7,100,'Inflicts 2 slashing damage on target every 4 seconds',0,1),
(58291,310018,7,100,'Inflicts 10 - 17 melee damage on target',0,0),
(58292,400145,9,100,'Inflicts 8 - 14 melee damage on target',0,0),
(58293,400145,9,100,'Inflicts 2 slashing damage on target every 4 seconds',0,1),
(58294,310018,9,100,'Inflicts 10 - 18 melee damage on target',0,0),
(58295,400146,1,100,'Inflicts 15 - 25 melee damage on target',0,0),
(58296,400146,1,100,'Inflicts 3 slashing damage on target every 4 seconds',0,1),
(58297,400146,2,100,'Inflicts 15 - 26 melee damage on target',0,0),
(58298,400146,2,100,'Inflicts 3 slashing damage on target every 4 seconds',0,1),
(58299,400146,3,100,'Inflicts 16 - 28 melee damage on target',0,0),
(58300,400146,3,100,'Inflicts 3 slashing damage on target every 4 seconds',0,1),
(58301,400146,4,100,'Inflicts 18 - 30 melee damage on target',0,0),
(58302,400146,4,100,'Inflicts 4 slashing damage on target every 4 seconds',0,1),
(58303,400146,5,100,'Inflicts 20 - 33 melee damage on target',0,0),
(58304,400146,5,100,'Inflicts 4 slashing damage on target every 4 seconds',0,1),
(58305,400146,7,100,'Inflicts 25 - 43 melee damage on target',0,0),
(58306,400146,7,100,'Inflicts 5 slashing damage on target every 4 seconds',0,1),
(58307,400146,9,100,'Inflicts 26 - 44 melee damage on target',0,0),
(58308,400146,9,100,'Inflicts 5 slashing damage on target every 4 seconds',0,1),
(58309,400147,1,100,'Inflicts 27 - 46 melee damage on target',0,0),
(58310,400147,1,100,'Inflicts 6 slashing damage on target every 4 seconds',0,1),
(58311,400147,2,100,'Inflicts 29 - 48 melee damage on target',0,0),
(58312,400147,2,100,'Inflicts 6 slashing damage on target every 4 seconds',0,1),
(58313,400147,3,100,'Inflicts 30 - 51 melee damage on target',0,0),
(58314,400147,3,100,'Inflicts 6 slashing damage on target every 4 seconds',0,1),
(58315,400147,4,100,'Inflicts 33 - 56 melee damage on target',0,0),
(58316,400147,4,100,'Inflicts 7 slashing damage on target every 4 seconds',0,1),
(58317,400147,5,100,'Inflicts 37 - 61 melee damage on target',0,0),
(58318,400147,5,100,'Inflicts 7 slashing damage on target every 4 seconds',0,1),
(58319,400147,7,100,'Inflicts 47 - 79 melee damage on target',0,0),
(58320,400147,7,100,'Inflicts 9 slashing damage on target every 4 seconds',0,1),
(58321,400147,9,100,'Inflicts 49 - 82 melee damage on target',0,0),
(58322,400147,9,100,'Inflicts 10 slashing damage on target every 4 seconds',0,1),
(58323,400148,1,100,'Inflicts 56 - 93 melee damage on target',0,0),
(58324,400148,1,100,'Inflicts 11 slashing damage on target every 4 seconds',0,1),
(58325,400148,2,100,'Inflicts 59 - 99 melee damage on target',0,0),
(58326,400148,2,100,'Inflicts 12 slashing damage on target every 4 seconds',0,1),
(58327,400148,3,100,'Inflicts 62 - 104 melee damage on target',0,0),
(58328,400148,3,100,'Inflicts 12 slashing damage on target every 4 seconds',0,1),
(58329,400148,4,100,'Inflicts 68 - 114 melee damage on target',0,0),
(58330,400148,4,100,'Inflicts 14 slashing damage on target every 4 seconds',0,1),
(58331,400148,5,100,'Inflicts 75 - 125 melee damage on target',0,0),
(58332,400148,5,100,'Inflicts 15 slashing damage on target every 4 seconds',0,1),
(58333,400148,7,100,'Inflicts 96 - 160 melee damage on target',0,0),
(58334,400148,7,100,'Inflicts 19 slashing damage on target every 4 seconds',0,1),
(58335,400148,9,100,'Inflicts 100 - 166 melee damage on target',0,0),
(58336,400148,9,100,'Inflicts 20 slashing damage on target every 4 seconds',0,1),
(58337,400149,1,100,'Inflicts 236 - 394 melee damage on target',0,0),
(58338,400149,1,100,'Inflicts 47 slashing damage on target every 4 seconds',0,1),
(58339,400149,4,100,'Inflicts 289 - 482 melee damage on target',0,0),
(58340,400149,4,100,'Inflicts 58 slashing damage on target every 4 seconds',0,1),
(58341,400149,5,100,'Inflicts 315 - 526 melee damage on target',0,0),
(58342,400149,5,100,'Inflicts 63 slashing damage on target every 4 seconds',0,1),
(58343,400149,7,100,'Inflicts 405 - 675 melee damage on target',0,0),
(58344,400149,7,100,'Inflicts 81 slashing damage on target every 4 seconds',0,1),
(58345,400149,9,100,'Inflicts 420 - 701 melee damage on target',0,0),
(58346,400149,9,100,'Inflicts 84 slashing damage on target every 4 seconds',0,1),
(58347,400150,1,100,'Inflicts 88 - 147 melee damage on target',0,0),
(58348,400150,1,100,'Inflicts 18 slashing damage on target every 4 seconds',0,1),
(58349,400150,2,100,'Inflicts 93 - 155 melee damage on target',0,0),
(58350,400150,2,100,'Inflicts 19 slashing damage on target every 4 seconds',0,1),
(58351,400150,3,100,'Inflicts 98 - 163 melee damage on target',0,0),
(58352,400150,3,100,'Inflicts 20 slashing damage on target every 4 seconds',0,1),
(58353,400150,4,100,'Inflicts 107 - 179 melee damage on target',0,0),
(58354,400150,4,100,'Inflicts 22 slashing damage on target every 4 seconds',0,1),
(58355,400150,5,100,'Inflicts 117 - 196 melee damage on target',0,0),
(58356,400150,5,100,'Inflicts 24 slashing damage on target every 4 seconds',0,1),
(58357,400150,7,100,'Inflicts 150 - 251 melee damage on target',0,0),
(58358,400150,7,100,'Inflicts 30 slashing damage on target every 4 seconds',0,1),
(58359,400150,9,100,'Inflicts 156 - 261 melee damage on target',0,0),
(58360,400150,9,100,'Inflicts 31 slashing damage on target every 4 seconds',0,1),
(58361,400150,10,100,'Inflicts 164 - 274 melee damage on target',0,0),
(58362,400150,10,100,'Inflicts 33 slashing damage on target every 4 seconds',0,1),
(58363,400151,1,100,'Inflicts 126 - 210 melee damage on target',0,0),
(58364,400151,1,100,'Inflicts 25 slashing damage on target every 4 seconds',0,1),
(58365,400151,2,100,'Inflicts 133 - 221 melee damage on target',0,0),
(58366,400151,2,100,'Inflicts 27 slashing damage on target every 4 seconds',0,1),
(58367,400151,3,100,'Inflicts 140 - 233 melee damage on target',0,0),
(58368,400151,3,100,'Inflicts 28 slashing damage on target every 4 seconds',0,1),
(58369,400151,4,100,'Inflicts 154 - 256 melee damage on target',0,0),
(58370,400151,4,100,'Inflicts 31 slashing damage on target every 4 seconds',0,1),
(58371,400151,5,100,'Inflicts 168 - 280 melee damage on target',0,0),
(58372,400151,5,100,'Inflicts 34 slashing damage on target every 4 seconds',0,1),
(58373,400151,7,100,'Inflicts 215 - 359 melee damage on target',0,0),
(58374,400151,7,100,'Inflicts 43 slashing damage on target every 4 seconds',0,1),
(58375,400151,9,100,'Inflicts 224 - 373 melee damage on target',0,0),
(58376,400151,9,100,'Inflicts 45 slashing damage on target every 4 seconds',0,1),
(58377,400152,1,100,'Inflicts 164 - 274 melee damage on target',0,0),
(58378,400152,1,100,'Inflicts 33 slashing damage on target every 4 seconds',0,1),
(58379,400152,2,100,'Inflicts 173 - 289 melee damage on target',0,0),
(58380,400152,2,100,'Inflicts 35 slashing damage on target every 4 seconds',0,1),
(58381,400152,3,100,'Inflicts 183 - 305 melee damage on target',0,0),
(58382,400152,3,100,'Inflicts 37 slashing damage on target every 4 seconds',0,1),
(58383,400152,4,100,'Inflicts 201 - 335 melee damage on target',0,0),
(58384,400152,4,100,'Inflicts 40 slashing damage on target every 4 seconds',0,1),
(58385,400152,5,100,'Inflicts 219 - 366 melee damage on target',0,0),
(58386,400152,5,100,'Inflicts 44 slashing damage on target every 4 seconds',0,1),
(58387,400152,7,100,'Inflicts 281 - 469 melee damage on target',0,0),
(58388,400152,7,100,'Inflicts 56 slashing damage on target every 4 seconds',0,1),
(58389,400152,9,100,'Inflicts 292 - 488 melee damage on target',0,0),
(58390,400152,9,100,'Inflicts 59 slashing damage on target every 4 seconds',0,1),
(58391,400152,10,100,'Inflicts 307 - 512 melee damage on target',0,0),
(58392,400152,10,100,'Inflicts 61 slashing damage on target every 4 seconds',0,1),
(58393,400153,1,100,'Inflicts 199 - 332 melee damage on target',0,0),
(58394,400153,1,100,'Inflicts 40 slashing damage on target every 4 seconds',0,1),
(58395,400153,4,100,'Inflicts 243 - 406 melee damage on target',0,0),
(58396,400153,4,100,'Inflicts 49 slashing damage on target every 4 seconds',0,1),
(58397,400153,5,100,'Inflicts 266 - 443 melee damage on target',0,0),
(58398,400153,5,100,'Inflicts 53 slashing damage on target every 4 seconds',0,1),
(58399,400153,7,100,'Inflicts 341 - 569 melee damage on target',0,0),
(58400,400153,7,100,'Inflicts 68 slashing damage on target every 4 seconds',0,1),
(58401,400153,9,100,'Inflicts 354 - 591 melee damage on target',0,0),
(58402,400153,9,100,'Inflicts 71 slashing damage on target every 4 seconds',0,1),
(58403,420056,1,100,'Inflicts 5 - 9 melee damage on target',0,0),
(58404,420056,1,100,'Decreases DPS of target by 4.2',0,1),
(58405,420056,1,100,'Decreases Haste of target by 3.6',0,2),
(58406,420056,4,100,'Inflicts 7 - 12 melee damage on target',0,0),
(58407,420056,4,100,'Decreases DPS of target by 5.1',0,1),
(58408,420056,4,100,'Decreases Haste of target by 4.4',0,2),
(58409,420056,5,100,'Inflicts 7 - 13 melee damage on target',0,0),
(58410,420056,5,100,'Decreases DPS of target by 5.6',0,1),
(58411,420056,5,100,'Decreases Haste of target by 4.8',0,2),
(58412,420056,7,100,'Inflicts 10 - 16 melee damage on target',0,0),
(58413,420056,7,100,'Decreases DPS of target by 7.2',0,1),
(58414,420056,7,100,'Decreases Haste of target by 6.2',0,2),
(58415,420056,9,100,'Inflicts 10 - 17 melee damage on target',0,0),
(58416,420056,9,100,'Decreases DPS of target by 7.4',0,1),
(58417,420056,9,100,'Decreases Haste of target by 6.5',0,2),
(58418,420057,1,100,'Inflicts 16 - 27 melee damage on target',0,0),
(58419,420057,1,100,'Decreases DPS of target by 4.4',0,1),
(58420,420057,1,100,'Decreases Haste of target by 3.9',0,2),
(58421,420057,4,100,'Inflicts 19 - 33 melee damage on target',0,0),
(58422,420057,4,100,'Decreases DPS of target by 5.4',0,1),
(58423,420057,4,100,'Decreases Haste of target by 4.7',0,2),
(58424,420057,5,100,'Inflicts 21 - 36 melee damage on target',0,0),
(58425,420057,5,100,'Decreases DPS of target by 5.9',0,1),
(58426,420057,5,100,'Decreases Haste of target by 5.1',0,2),
(58427,420057,7,100,'Inflicts 27 - 46 melee damage on target',0,0),
(58428,420057,7,100,'Decreases DPS of target by 7.6',0,1),
(58429,420057,7,100,'Decreases Haste of target by 6.6',0,2),
(58430,420057,9,100,'Inflicts 28 - 48 melee damage on target',0,0),
(58431,420057,9,100,'Decreases DPS of target by 7.9',0,1),
(58432,420057,9,100,'Decreases Haste of target by 6.8',0,2),
(58433,420058,1,100,'Inflicts 27 - 45 melee damage on target',0,0),
(58434,420058,1,100,'Decreases DPS of target by 4.7',0,1),
(58435,420058,1,100,'Decreases Haste of target by 4.0',0,2),
(58436,420058,4,100,'Inflicts 33 - 55 melee damage on target',0,0),
(58437,420058,4,100,'Decreases DPS of target by 5.7',0,1),
(58438,420058,4,100,'Decreases Haste of target by 4.9',0,2),
(58439,420058,5,100,'Inflicts 36 - 60 melee damage on target',0,0),
(58440,420058,5,100,'Decreases DPS of target by 6.2',0,1),
(58441,420058,5,100,'Decreases Haste of target by 5.4',0,2),
(58442,420058,7,100,'Inflicts 46 - 77 melee damage on target',0,0),
(58443,420058,7,100,'Decreases DPS of target by 8.0',0,1),
(58444,420058,7,100,'Decreases Haste of target by 6.9',0,2),
(58445,420058,9,100,'Inflicts 48 - 80 melee damage on target',0,0),
(58446,420058,9,100,'Decreases DPS of target by 8.3',0,1),
(58447,420058,9,100,'Decreases Haste of target by 7.2',0,2),
(58448,420058,10,100,'Inflicts 50 - 84 melee damage on target',0,0),
(58449,420058,10,100,'Decreases DPS of target by 8.7',0,1),
(58450,420058,10,100,'Decreases Haste of target by 7.5',0,2),
(58451,420059,1,100,'Inflicts 50 - 83 melee damage on target',0,0),
(58452,420059,1,100,'Decreases DPS of target by 5.2',0,1),
(58453,420059,1,100,'Decreases Haste of target by 4.4',0,2),
(58454,420059,4,100,'Inflicts 61 - 101 melee damage on target',0,0),
(58455,420059,4,100,'Decreases DPS of target by 6.4',0,1),
(58456,420059,4,100,'Decreases Haste of target by 5.4',0,2),
(58457,420059,5,100,'Inflicts 66 - 111 melee damage on target',0,0),
(58458,420059,5,100,'Decreases DPS of target by 6.9',0,1),
(58459,420059,5,100,'Decreases Haste of target by 5.9',0,2),
(58460,420059,7,100,'Inflicts 85 - 142 melee damage on target',0,0),
(58461,420059,7,100,'Decreases DPS of target by 8.9',0,1),
(58462,420059,7,100,'Decreases Haste of target by 7.5',0,2),
(58463,420059,9,100,'Inflicts 88 - 148 melee damage on target',0,0),
(58464,420059,9,100,'Decreases DPS of target by 9.2',0,1),
(58465,420059,9,100,'Decreases Haste of target by 7.8',0,2),
(58466,420059,10,100,'Inflicts 93 - 155 melee damage on target',0,0),
(58467,420059,10,100,'Decreases DPS of target by 9.7',0,1),
(58468,420059,10,100,'Decreases Haste of target by 8.2',0,2),
(58469,420060,1,100,'Inflicts 204 - 341 melee damage on target',0,0),
(58470,420060,1,100,'Decreases DPS of target by 9.2',0,1),
(58471,420060,1,100,'Decreases Haste of target by 6.2',0,2),
(58472,420060,4,100,'Inflicts 250 - 417 melee damage on target',0,0),
(58473,420060,4,100,'Decreases DPS of target by 11.3',0,1),
(58474,420060,4,100,'Decreases Haste of target by 7.6',0,2),
(58475,420060,5,100,'Inflicts 272 - 454 melee damage on target',0,0),
(58476,420060,5,100,'Decreases DPS of target by 12.3',0,1),
(58477,420060,5,100,'Decreases Haste of target by 8.3',0,2),
(58478,420060,7,100,'Inflicts 350 - 583 melee damage on target',0,0),
(58479,420060,7,100,'Decreases DPS of target by 15.8',0,1),
(58480,420060,7,100,'Decreases Haste of target by 10.6',0,2),
(58481,420060,9,100,'Inflicts 363 - 606 melee damage on target',0,0),
(58482,420060,9,100,'Decreases DPS of target by 16.4',0,1),
(58483,420060,9,100,'Decreases Haste of target by 11.0',0,2),
(58484,420060,10,100,'Inflicts 382 - 636 melee damage on target',0,0),
(58485,420060,10,100,'Decreases DPS of target by 17.2',0,1),
(58486,420060,10,100,'Decreases Haste of target by 11.6',0,2),
(58487,420061,1,100,'Inflicts 76 - 127 melee damage on target',0,0),
(58488,420061,1,100,'Decreases DPS of target by 5.9',0,1),
(58489,420061,1,100,'Decreases Haste of target by 4.8',0,2),
(58490,420061,4,100,'Inflicts 93 - 155 melee damage on target',0,0),
(58491,420061,4,100,'Decreases DPS of target by 7.2',0,1),
(58492,420061,4,100,'Decreases Haste of target by 5.8',0,2),
(58493,420061,5,100,'Inflicts 101 - 169 melee damage on target',0,0),
(58494,420061,5,100,'Decreases DPS of target by 7.8',0,1),
(58495,420061,5,100,'Decreases Haste of target by 6.3',0,2),
(58496,420061,7,100,'Inflicts 130 - 217 melee damage on target',0,0),
(58497,420061,7,100,'Decreases DPS of target by 10.0',0,1),
(58498,420061,7,100,'Decreases Haste of target by 8.1',0,2),
(58499,420061,9,100,'Inflicts 135 - 226 melee damage on target',0,0),
(58500,420061,9,100,'Decreases DPS of target by 10.4',0,1),
(58501,420061,9,100,'Decreases Haste of target by 8.4',0,2),
(58502,420061,10,100,'Inflicts 142 - 237 melee damage on target',0,0),
(58503,420061,10,100,'Decreases DPS of target by 10.9',0,1),
(58504,420061,10,100,'Decreases Haste of target by 8.9',0,2),
(58505,420062,1,100,'Inflicts 104 - 173 melee damage on target',0,0),
(58506,420062,1,100,'Decreases DPS of target by 6.6',0,1),
(58507,420062,1,100,'Decreases Haste of target by 5.1',0,2),
(58508,420062,4,100,'Inflicts 127 - 212 melee damage on target',0,0),
(58509,420062,4,100,'Decreases DPS of target by 8.1',0,1),
(58510,420062,4,100,'Decreases Haste of target by 6.2',0,2),
(58511,420062,5,100,'Inflicts 138 - 231 melee damage on target',0,0),
(58512,420062,5,100,'Decreases DPS of target by 8.8',0,1),
(58513,420062,5,100,'Decreases Haste of target by 6.8',0,2),
(58514,420062,7,100,'Inflicts 178 - 296 melee damage on target',0,0),
(58515,420062,7,100,'Decreases DPS of target by 11.3',0,1),
(58516,420062,7,100,'Decreases Haste of target by 8.7',0,2),
(58517,420062,9,100,'Inflicts 185 - 308 melee damage on target',0,0),
(58518,420062,9,100,'Decreases DPS of target by 11.8',0,1),
(58519,420062,9,100,'Decreases Haste of target by 9.1',0,2),
(58520,420062,10,100,'Inflicts 194 - 323 melee damage on target',0,0),
(58521,420062,10,100,'Decreases DPS of target by 12.3',0,1),
(58522,420062,10,100,'Decreases Haste of target by 9.5',0,2),
(58523,420063,1,100,'Inflicts 137 - 228 melee damage on target',0,0),
(58524,420063,1,100,'Decreases DPS of target by 7.5',0,1),
(58525,420063,1,100,'Decreases Haste of target by 5.5',0,2),
(58526,420063,4,100,'Inflicts 167 - 279 melee damage on target',0,0),
(58527,420063,4,100,'Decreases DPS of target by 9.1',0,1),
(58528,420063,4,100,'Decreases Haste of target by 6.7',0,2),
(58529,420063,5,100,'Inflicts 182 - 304 melee damage on target',0,0),
(58530,420063,5,100,'Decreases DPS of target by 9.9',0,1),
(58531,420063,5,100,'Decreases Haste of target by 7.3',0,2),
(58532,420063,7,100,'Inflicts 234 - 390 melee damage on target',0,0),
(58533,420063,7,100,'Decreases DPS of target by 12.8',0,1),
(58534,420063,7,100,'Decreases Haste of target by 9.4',0,2),
(58535,420063,9,100,'Inflicts 243 - 406 melee damage on target',0,0),
(58536,420063,9,100,'Decreases DPS of target by 13.3',0,1),
(58537,420063,9,100,'Decreases Haste of target by 9.7',0,2),
(58538,420063,10,100,'Inflicts 255 - 426 melee damage on target',0,0),
(58539,420063,10,100,'Decreases DPS of target by 13.9',0,1),
(58540,420063,10,100,'Decreases Haste of target by 10.2',0,2),
(58541,420064,1,100,'Inflicts 170 - 283 melee damage on target',0,0),
(58542,420064,1,100,'Decreases DPS of target by 8.3',0,1),
(58543,420064,1,100,'Decreases Haste of target by 5.8',0,2),
(58544,420064,4,100,'Inflicts 207 - 346 melee damage on target',0,0),
(58545,420064,4,100,'Decreases DPS of target by 10.2',0,1),
(58546,420064,4,100,'Decreases Haste of target by 7.1',0,2),
(58547,420064,5,100,'Inflicts 226 - 377 melee damage on target',0,0),
(58548,420064,5,100,'Decreases DPS of target by 11.1',0,1),
(58549,420064,5,100,'Decreases Haste of target by 7.8',0,2),
(58550,420064,7,100,'Inflicts 290 - 484 melee damage on target',0,0),
(58551,420064,7,100,'Decreases DPS of target by 14.2',0,1),
(58552,420064,7,100,'Decreases Haste of target by 10.0',0,2),
(58553,420064,9,100,'Inflicts 302 - 503 melee damage on target',0,0),
(58554,420064,9,100,'Decreases DPS of target by 14.8',0,1),
(58555,420064,9,100,'Decreases Haste of target by 10.4',0,2),
(58556,420065,1,100,'Inflicts 247 - 413 melee damage on target',0,0),
(58557,420065,1,100,'Decreases DPS of target by 10.4',0,1),
(58558,420065,1,100,'Decreases Haste of target by 6.6',0,2),
(58559,420065,4,100,'Inflicts 302 - 504 melee damage on target',0,0),
(58560,420065,4,100,'Decreases DPS of target by 12.7',0,1),
(58561,420065,4,100,'Decreases Haste of target by 8.0',0,2),
(58562,420065,5,100,'Inflicts 330 - 550 melee damage on target',0,0),
(58563,420065,5,100,'Decreases DPS of target by 13.9',0,1),
(58564,420065,5,100,'Decreases Haste of target by 8.7',0,2),
(58565,420065,7,100,'Inflicts 424 - 706 melee damage on target',0,0),
(58566,420065,7,100,'Decreases DPS of target by 17.8',0,1),
(58567,420065,7,100,'Decreases Haste of target by 11.2',0,2),
(58568,420065,9,100,'Inflicts 440 - 734 melee damage on target',0,0),
(58569,420065,9,100,'Decreases DPS of target by 18.5',0,1),
(58570,420065,9,100,'Decreases Haste of target by 11.6',0,2),
(58571,420065,10,100,'Inflicts 462 - 770 melee damage on target',0,0),
(58572,420065,10,100,'Decreases DPS of target by 19.4',0,1),
(58573,420065,10,100,'Decreases Haste of target by 12.2',0,2),
(58574,420066,1,100,'Inflicts 289 - 483 melee damage on target',0,0),
(58575,420066,1,100,'Decreases DPS of target by 11.6',0,1),
(58576,420066,1,100,'Decreases Haste of target by 6.9',0,2),
(58577,420066,4,100,'Inflicts 354 - 590 melee damage on target',0,0),
(58578,420066,4,100,'Decreases DPS of target by 14.2',0,1),
(58579,420066,4,100,'Decreases Haste of target by 8.4',0,2),
(58580,420066,5,100,'Inflicts 386 - 644 melee damage on target',0,0),
(58581,420066,5,100,'Decreases DPS of target by 15.5',0,1),
(58582,420066,5,100,'Decreases Haste of target by 9.2',0,2),
(58583,420066,7,100,'Inflicts 496 - 827 melee damage on target',0,0),
(58584,420066,7,100,'Decreases DPS of target by 19.8',0,1),
(58585,420066,7,100,'Decreases Haste of target by 11.8',0,2),
(58586,420066,9,100,'Inflicts 515 - 859 melee damage on target',0,0),
(58587,420066,9,100,'Decreases DPS of target by 20.6',0,1),
(58588,420066,9,100,'Decreases Haste of target by 12.3',0,2),
(58589,420066,10,100,'Inflicts 541 - 902 melee damage on target',0,0),
(58590,420066,10,100,'Decreases DPS of target by 21.6',0,1),
(58591,420066,10,100,'Decreases Haste of target by 12.9',0,2),
(58592,2000209,3,100,'Inflicts 9 - 15 piercing damage on target',0,0),
(58593,2000209,4,100,'Inflicts 9 - 16 piercing damage on target',0,0),
(58594,2000209,5,100,'Inflicts 10 - 18 piercing damage on target',0,0),
(58595,2000209,7,100,'Inflicts 13 - 23 piercing damage on target',0,0),
(58596,2000209,9,100,'Inflicts 14 - 24 piercing damage on target',0,0),
(58597,2000209,10,100,'Inflicts 15 - 25 piercing damage on target',0,0),
(58598,2000210,3,100,'Inflicts 5 - 8 disease damage on target',0,0),
(58599,2000210,3,100,'Inflicts 1 disease damage on target every 3 seconds',0,1),
(58600,2000210,4,100,'Inflicts 5 - 9 disease damage on target',0,0),
(58601,2000210,4,100,'Inflicts 1 disease damage on target every 3 seconds',0,1),
(58602,2000210,5,100,'Inflicts 6 - 10 disease damage on target',0,0),
(58603,2000210,5,100,'Inflicts 1 - 2 disease damage on target every 3 seconds',0,1),
(58604,2000210,7,100,'Inflicts 7 - 13 disease damage on target',0,0),
(58605,2000210,7,100,'Inflicts 1 - 2 disease damage on target every 3 seconds',0,1),
(58606,2000210,9,100,'Inflicts 8 - 13 disease damage on target',0,0),
(58607,2000210,9,100,'Inflicts 1 - 2 disease damage on target every 3 seconds',0,1),
(58608,2000210,10,100,'Inflicts 8 - 14 disease damage on target',0,0),
(58609,2000210,10,100,'Inflicts 1 - 2 disease damage on target every 3 seconds',0,1),
(58610,40152,1,100,'Inflicts 2 - 6 melee damage on target',0,0),
(58611,40152,1,100,'Increases Threat to target by 121 ',0,1),
(58612,40152,2,100,'Inflicts 2 - 7 melee damage on target',0,0),
(58613,40152,2,100,'Increases Threat to target by 128 ',0,1),
(58614,40152,3,100,'Inflicts 2 - 7 melee damage on target',0,0),
(58615,40152,3,100,'Increases Threat to target by 135 ',0,1),
(58616,40152,4,100,'Inflicts 2 - 8 melee damage on target',0,0),
(58617,40152,4,100,'Increases Threat to target by 148 ',0,1),
(58618,40152,5,100,'Inflicts 3 - 9 melee damage on target',0,0),
(58619,40152,5,100,'Increases Threat to target by 162 ',0,1),
(58620,40152,7,100,'Inflicts 3 - 11 melee damage on target',0,0),
(58621,40152,7,100,'Increases Threat to target by 208 ',0,1),
(58622,40152,9,100,'Inflicts 4 - 12 melee damage on target',0,0),
(58623,40152,9,100,'Increases Threat to target by 216 ',0,1),
(58624,40153,1,100,'Inflicts 7 - 21 melee damage on target',0,0),
(58625,40153,1,100,'Increases Threat to target by 386 ',0,1),
(58626,40153,2,100,'Inflicts 7 - 22 melee damage on target',0,0),
(58627,40153,2,100,'Increases Threat to target by 408 ',0,1),
(58628,40153,3,100,'Inflicts 7 - 23 melee damage on target',0,0),
(58629,40153,3,100,'Increases Threat to target by 429 ',0,1),
(58630,40153,4,100,'Inflicts 8 - 25 melee damage on target',0,0),
(58631,40153,4,100,'Increases Threat to target by 472 ',0,1),
(58632,40153,5,100,'Inflicts 9 - 28 melee damage on target',0,0),
(58633,40153,5,100,'Increases Threat to target by 515 ',0,1),
(58634,40153,7,100,'Inflicts 12 - 36 melee damage on target',0,0),
(58635,40153,7,100,'Increases Threat to target by 661 ',0,1),
(58636,40153,9,100,'Inflicts 12 - 37 melee damage on target',0,0),
(58637,40153,9,100,'Increases Threat to target by 687 ',0,1),
(58638,40153,10,100,'Inflicts 13 - 39 melee damage on target',0,0),
(58639,40153,10,100,'Increases Threat to target by 721 ',0,1),
(58640,40154,1,100,'Inflicts 17 - 51 melee damage on target',0,0),
(58641,40154,1,100,'Increases Threat to target by 955 ',0,1),
(58656,40155,1,100,'Inflicts 28 - 85 melee damage on target',0,0),
(58657,40155,1,100,'Increases Threat to target by 1,482 ',0,1),
(58658,40155,2,100,'Inflicts 29 - 89 melee damage on target',0,0),
(58659,40155,2,100,'Increases Threat to target by 1,534 ',0,1),
(58660,40155,3,100,'Inflicts 31 - 94 melee damage on target',0,0),
(58661,40155,3,100,'Increases Threat to target by 1,587 ',0,1),
(58662,40155,4,100,'Inflicts 34 - 104 melee damage on target',0,0),
(58663,40155,4,100,'Increases Threat to target by 1,691 ',0,1),
(58664,40155,5,100,'Inflicts 37 - 113 melee damage on target',0,0),
(58665,40155,5,100,'Increases Threat to target by 1,796 ',0,1),
(58666,40155,7,100,'Inflicts 48 - 145 melee damage on target',0,0),
(58667,40155,7,100,'Increases Threat to target by 2,152 ',0,1),
(58668,40155,9,100,'Inflicts 50 - 151 melee damage on target',0,0),
(58669,40155,9,100,'Increases Threat to target by 2,215 ',0,1),
(58670,40156,1,100,'Inflicts 91 - 275 melee damage on target',0,0),
(58671,40156,1,100,'Increases Threat to target by 4,129 ',0,1),
(58672,40156,4,100,'Inflicts 112 - 337 melee damage on target',0,0),
(58673,40156,4,100,'Increases Threat to target by 4,927 ',0,1),
(58674,40156,5,100,'Inflicts 122 - 367 melee damage on target',0,0),
(58675,40156,5,100,'Increases Threat to target by 5,326 ',0,1),
(58676,40156,7,100,'Inflicts 157 - 471 melee damage on target',0,0),
(58677,40156,7,100,'Increases Threat to target by 6,682 ',0,1),
(58678,40156,9,100,'Inflicts 163 - 490 melee damage on target',0,0),
(58679,40156,9,100,'Increases Threat to target by 6,922 ',0,1),
(58680,40157,1,100,'Inflicts 42 - 126 melee damage on target',0,0),
(58681,40157,1,100,'Increases Threat to target by 1,976 ',0,1),
(58682,40157,2,100,'Inflicts 44 - 133 melee damage on target',0,0),
(58683,40157,2,100,'Increases Threat to target by 2,056 ',0,1),
(58684,40157,3,100,'Inflicts 46 - 140 melee damage on target',0,0),
(58685,40157,3,100,'Increases Threat to target by 2,136 ',0,1),
(58686,40157,4,100,'Inflicts 51 - 154 melee damage on target',0,0),
(58687,40157,4,100,'Increases Threat to target by 2,296 ',0,1),
(58688,40157,5,100,'Inflicts 56 - 168 melee damage on target',0,0),
(58689,40157,5,100,'Increases Threat to target by 2,455 ',0,1),
(58690,40157,7,100,'Inflicts 72 - 216 melee damage on target',0,0),
(58691,40157,7,100,'Increases Threat to target by 2,998 ',0,1),
(58692,40157,9,100,'Inflicts 74 - 224 melee damage on target',0,0),
(58693,40157,9,100,'Increases Threat to target by 3,094 ',0,1),
(58694,40158,1,100,'Inflicts 56 - 169 melee damage on target',0,0),
(58695,40158,1,100,'Increases Threat to target by 2,513 ',0,1),
(58696,40158,2,100,'Inflicts 59 - 178 melee damage on target',0,0),
(58697,40158,2,100,'Increases Threat to target by 2,623 ',0,1),
(58698,40158,3,100,'Inflicts 62 - 187 melee damage on target',0,0),
(58699,40158,3,100,'Increases Threat to target by 2,732 ',0,1),
(58700,40158,4,100,'Inflicts 68 - 206 melee damage on target',0,0),
(58701,40158,4,100,'Increases Threat to target by 2,952 ',0,1),
(58702,40158,5,100,'Inflicts 75 - 225 melee damage on target',0,0),
(58703,40158,5,100,'Increases Threat to target by 3,171 ',0,1),
(58704,40158,7,100,'Inflicts 96 - 289 melee damage on target',0,0),
(58705,40158,7,100,'Increases Threat to target by 3,916 ',0,1),
(58706,40158,9,100,'Inflicts 100 - 300 melee damage on target',0,0),
(58707,40158,9,100,'Increases Threat to target by 4,048 ',0,1),
(58708,40159,1,100,'Inflicts 69 - 208 melee damage on target',0,0),
(58709,40159,1,100,'Increases Threat to target by 3,048 ',0,1),
(58710,40159,2,100,'Inflicts 73 - 219 melee damage on target',0,0),
(58711,40159,2,100,'Increases Threat to target by 3,187 ',0,1),
(58712,40159,3,100,'Inflicts 77 - 231 melee damage on target',0,0),
(58713,40159,3,100,'Increases Threat to target by 3,326 ',0,1),
(58714,40159,4,100,'Inflicts 84 - 254 melee damage on target',0,0),
(58715,40159,4,100,'Increases Threat to target by 3,605 ',0,1),
(58716,40159,5,100,'Inflicts 92 - 277 melee damage on target',0,0),
(58717,40159,5,100,'Increases Threat to target by 3,884 ',0,1),
(58718,40159,7,100,'Inflicts 118 - 356 melee damage on target',0,0),
(58719,40159,7,100,'Increases Threat to target by 4,831 ',0,1),
(58720,40159,9,100,'Inflicts 123 - 370 melee damage on target',0,0),
(58721,40159,9,100,'Increases Threat to target by 4,998 ',0,1),
(58722,40160,1,100,'Inflicts 83 - 251 melee damage on target',0,0),
(58723,40160,1,100,'Increases Threat to target by 3,589 ',0,1),
(58724,40160,4,100,'Inflicts 102 - 306 melee damage on target',0,0),
(58725,40160,4,100,'Increases Threat to target by 4,266 ',0,1),
(58726,40160,5,100,'Inflicts 111 - 334 melee damage on target',0,0),
(58727,40160,5,100,'Increases Threat to target by 4,605 ',0,1),
(58728,40160,7,100,'Inflicts 143 - 429 melee damage on target',0,0),
(58729,40160,7,100,'Increases Threat to target by 5,757 ',0,1),
(58730,40160,9,100,'Inflicts 148 - 446 melee damage on target',0,0),
(58731,40160,9,100,'Increases Threat to target by 5,960 ',0,1),
(58732,2000211,1,100,'Increases Mitigation of raid and group members (AE) vs physical damage by 528',0,0),
(58733,2000211,1,100,'If profession other than Fighter',1,1),
(58734,2000211,2,100,'Increases Mitigation of raid and group members (AE) vs physical damage by 960',0,0),
(58735,2000211,2,100,'If profession other than Fighter',1,1),
(58736,2000211,3,100,'Increases Mitigation of raid and group members (AE) vs physical damage by 1584',0,0),
(58737,2000211,3,100,'If profession other than Fighter',1,1),
(58738,2000211,4,100,'Increases Mitigation of raid and group members (AE) vs physical damage by 2112',0,0),
(58739,2000211,4,100,'If profession other than Fighter',1,1),
(58740,2000211,5,100,'Increases Mitigation of raid and group members (AE) vs physical damage by 2640',0,0),
(58741,2000211,5,100,'If profession other than Fighter',1,1),
(58742,2000212,1,100,'When using an Advantage ability. this spell will cast Ralissk''s Insight on target.  ',0,0),
(58743,2000212,1,100,'Increases savagery of caster by 1.0',1,1),
(58744,2000212,1,100,'This effect cannot be critically applied.',2,2),
(58745,2000212,1,100,'Cannot be modified except by direct means',1,3),
(58746,2000212,1,100,'Increases Potency of caster by 2.0%',0,4),
(58747,2000212,2,100,'When using an Advantage ability. this spell will cast Ralissk''s Insight on target.  ',0,0),
(58748,2000212,2,100,'Increases savagery of caster by 2.0',1,1),
(58749,2000212,2,100,'This effect cannot be critically applied.',2,2),
(58750,2000212,2,100,'Cannot be modified except by direct means',1,3),
(58751,2000212,2,100,'Increases Potency of caster by 4.0%',0,4),
(58752,2000212,3,100,'Increases Potency of caster by 6.0%',0,0),
(58753,2000212,3,100,'When using an Advantage ability. this spell will cast Ralissk''s Insight on target.  ',0,1),
(58754,2000212,3,100,'Increases savagery of caster by 3.0',1,2),
(58755,2000212,3,100,'This effect cannot be critically applied.',2,3),
(58756,2000212,3,100,'Cannot be modified except by direct means',1,4),
(58757,2000212,4,100,'When using an Advantage ability. this spell will cast Ralissk''s Insight on target.  ',0,0),
(58758,2000212,4,100,'Increases savagery of caster by 4.0',1,1),
(58759,2000212,4,100,'This effect cannot be critically applied.',2,2),
(58760,2000212,4,100,'Cannot be modified except by direct means',1,3),
(58761,2000212,4,100,'Increases Potency of caster by 8.0%',0,4),
(58762,2000212,5,100,'Increases Potency of caster by 10.0%',0,0),
(58763,2000212,5,100,'When using an Advantage ability. this spell will cast Ralissk''s Insight on target.  ',0,1),
(58764,2000212,5,100,'Increases savagery of caster by 5.0',1,2),
(58765,2000212,5,100,'This effect cannot be critically applied.',2,3),
(58766,2000212,5,100,'Cannot be modified except by direct means',1,4),
(58767,2000212,6,100,'When using an Advantage ability. this spell will cast Ralissk''s Insight on target.  ',0,0),
(58768,2000212,6,100,'Increases savagery of caster by 6.0',1,1),
(58769,2000212,6,100,'This effect cannot be critically applied.',2,2),
(58770,2000212,6,100,'Cannot be modified except by direct means',1,3),
(58771,2000212,6,100,'Increases Potency of caster by 12.0%',0,4),
(58772,2000212,7,100,'Increases Potency of caster by 14.0%',0,0),
(58773,2000212,7,100,'When using an Advantage ability. this spell will cast Ralissk''s Insight on target.  ',0,1),
(58774,2000212,7,100,'Increases savagery of caster by 7.0',1,2),
(58775,2000212,7,100,'This effect cannot be critically applied.',2,3),
(58776,2000212,7,100,'Cannot be modified except by direct means',1,4),
(58777,2000212,8,100,'Increases Potency of caster by 16.0%',0,0),
(58778,2000212,8,100,'When using an Advantage ability. this spell will cast Ralissk''s Insight on target.  ',0,1),
(58779,2000212,8,100,'Increases savagery of caster by 8.0',1,2),
(58780,2000212,8,100,'This effect cannot be critically applied.',2,3),
(58781,2000212,8,100,'Cannot be modified except by direct means',1,4),
(58782,2000212,9,100,'When using an Advantage ability. this spell will cast Ralissk''s Insight on target.  ',0,0),
(58783,2000212,9,100,'Increases savagery of caster by 9.0',1,1),
(58784,2000212,9,100,'This effect cannot be critically applied.',2,2),
(58785,2000212,9,100,'Cannot be modified except by direct means',1,3),
(58786,2000212,9,100,'Increases Potency of caster by 18.0%',0,4),
(58787,2000212,10,100,'When using an Advantage ability. this spell will cast Ralissk''s Insight on target.  ',0,0),
(58788,2000212,10,100,'Increases savagery of caster by 10.0',1,1),
(58789,2000212,10,100,'This effect cannot be critically applied.',2,2),
(58790,2000212,10,100,'Cannot be modified except by direct means',1,3),
(58791,2000212,10,100,'Increases Potency of caster by 20.0%',0,4),
(58792,2000213,1,100,'Applies Ralissk''s Perception.  Lasts for 30.0 seconds.',0,0),
(58793,2000213,1,100,'On any combat or spell hit this spell will cast Ralissk''s Perception on target of attack.  ',1,1),
(58794,2000213,1,100,'Inflicts 1422 - 2641 slashing damage on target',2,2),
(58795,2000213,1,100,'Increases power of group members (AE) by 105 - 195',2,3),
(58796,2000213,1,100,'Heals group members (AE) for 210 - 390',2,4),
(58797,2000213,1,100,'Inflicts 1344 - 2496 slashing damage on target encounter',0,5),
(58798,2000213,2,100,'Applies Ralissk''s Perception.  Lasts for 30.0 seconds.',0,0),
(58799,2000213,2,100,'On any combat or spell hit this spell will cast Ralissk''s Perception on target of attack.  ',1,1),
(58800,2000213,2,100,'Inflicts 1422 - 2641 slashing damage on target',2,2),
(58801,2000213,2,100,'Increases power of group members (AE) by 105 - 195',2,3),
(58802,2000213,2,100,'Heals group members (AE) for 210 - 390',2,4),
(58803,2000213,2,100,'Inflicts 1344 - 2496 slashing damage on target encounter',0,5),
(58804,2000213,3,100,'Applies Ralissk''s Perception.  Lasts for 30.0 seconds.',0,0),
(58805,2000213,3,100,'On any combat or spell hit this spell will cast Ralissk''s Perception on target of attack.  ',1,1),
(58806,2000213,3,100,'Inflicts 1067 - 1982 slashing damage on target',2,2),
(58807,2000213,3,100,'Heals group members (AE) for 210 - 390',2,3),
(58808,2000213,3,100,'Increases power of group members (AE) by 105 - 195',2,4),
(58809,2000213,3,100,'Inflicts 1008 - 1873 slashing damage on target encounter',0,5),
(58810,20009,1,100,'Increases Mitigation of group members (AE) vs physical damage by \r\n501',0,0),
(58811,20009,2,100,'Increases Mitigation of group members (AE) vs physical damage by \r\n528',0,0),
(58812,20009,3,100,'Increases Mitigation of group members (AE) vs physical damage by \r\n556',0,0),
(58813,20009,4,100,'Increases Mitigation of group members (AE) vs physical damage by \r\n612',0,0),
(58814,20009,5,100,'Increases Mitigation of group members (AE) vs physical damage by \r\n668',0,0),
(58815,20009,7,100,'Increases Mitigation of group members (AE) vs physical damage by \r\n779',0,0),
(58816,20009,9,100,'Increases Mitigation of group members (AE) vs physical damage by \r\n890',0,0),
(58817,40161,1,100,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',0,0),
(58818,40161,1,100,'Inflicts 93 - 173 melee damage on targets in Area of Effect',1,1),
(58819,40161,1,100,'Grants a total of 10 triggers of the spell.',1,2),
(58820,40161,2,100,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',0,0),
(58821,40161,2,100,'Inflicts 98 - 183 melee damage on targets in Area of Effect',1,1),
(58822,40161,2,100,'Grants a total of 10 triggers of the spell.',1,2),
(58823,40161,3,100,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',0,0),
(58824,40161,3,100,'Inflicts 104 - 193 melee damage on targets in Area of Effect',1,1),
(58825,40161,3,100,'Grants a total of 10 triggers of the spell.',1,2),
(58826,2000214,3,100,'Inflicts 5 - 8 piercing damage on target',0,0),
(58827,2000214,3,100,'Inflicts 1 piercing damage on target every 3 seconds',0,1),
(58828,40161,4,100,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',0,0),
(58829,40161,4,100,'Inflicts 114 - 212 melee damage on targets in Area of Effect',1,1),
(58830,40161,4,100,'Grants a total of 10 triggers of the spell.',1,2),
(58831,2000214,4,100,'Inflicts 5 - 9 piercing damage on target',0,0),
(58832,2000214,4,100,'Inflicts 1 piercing damage on target every 3 seconds',0,1),
(58833,40161,5,100,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',0,0),
(58834,40161,5,100,'Inflicts 124 - 231 melee damage on targets in Area of Effect',1,1),
(58835,40161,5,100,'Grants a total of 10 triggers of the spell.',1,2),
(58836,2000214,5,100,'Inflicts 6 - 10 piercing damage on target',0,0),
(58837,2000214,5,100,'Inflicts 1 - 2 piercing damage on target every 3 seconds',0,1),
(58838,40161,7,100,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',0,0),
(58839,40161,7,100,'Inflicts 160 - 297 melee damage on targets in Area of Effect',1,1),
(58840,40161,7,100,'Grants a total of 10 triggers of the spell.',1,2),
(58841,2000214,7,100,'Inflicts 7 - 13 piercing damage on target',0,0),
(58842,2000214,7,100,'Inflicts 1 - 2 piercing damage on target every 3 seconds',0,1),
(58843,40161,9,100,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',0,0),
(58844,40161,9,100,'Inflicts 166 - 309 melee damage on targets in Area of Effect',1,1),
(58845,40161,9,100,'Grants a total of 10 triggers of the spell.',1,2),
(58846,2000214,9,100,'Inflicts 8 - 13 piercing damage on target',0,0),
(58847,2000214,9,100,'Inflicts 1 - 2 piercing damage on target every 3 seconds',0,1),
(58848,2000214,10,100,'Inflicts 8 - 14 piercing damage on target',0,0),
(58849,2000214,10,100,'Inflicts 1 - 2 piercing damage on target every 3 seconds',0,1),
(58850,40162,1,100,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',0,0),
(58851,40162,1,100,'Inflicts 140 - 261 melee damage on targets in Area of Effect',1,1),
(58852,40162,1,100,'Grants a total of 10 triggers of the spell.',1,2),
(58853,40162,2,100,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',0,0),
(58854,40162,2,100,'Inflicts 148 - 276 melee damage on targets in Area of Effect',1,1),
(58855,40162,2,100,'Grants a total of 10 triggers of the spell.',1,2),
(58856,40162,3,100,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',0,0),
(58857,40162,3,100,'Inflicts 156 - 290 melee damage on targets in Area of Effect',1,1),
(58858,40162,3,100,'Grants a total of 10 triggers of the spell.',1,2),
(58859,40162,4,100,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',0,0),
(58860,40162,4,100,'Inflicts 172 - 320 melee damage on targets in Area of Effect',1,1),
(58861,40162,4,100,'Grants a total of 10 triggers of the spell.',1,2),
(58862,40162,5,100,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',0,0),
(58863,40162,5,100,'Inflicts 187 - 349 melee damage on targets in Area of Effect',1,1),
(58864,40162,5,100,'Grants a total of 10 triggers of the spell.',1,2),
(58865,40162,7,100,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',0,0),
(58866,40162,7,100,'Inflicts 241 - 448 melee damage on targets in Area of Effect',1,1),
(58867,40162,7,100,'Grants a total of 10 triggers of the spell.',1,2),
(58868,40162,9,100,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',0,0),
(58869,40162,9,100,'Inflicts 250 - 465 melee damage on targets in Area of Effect',1,1),
(58870,40162,9,100,'Grants a total of 10 triggers of the spell.',1,2),
(58871,40163,1,100,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',0,0),
(58872,40163,1,100,'Inflicts 170 - 317 melee damage on targets in Area of Effect',1,1),
(58873,40163,1,100,'Grants a total of 10 triggers of the spell.',1,2),
(58874,40163,2,100,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',0,0),
(58875,40163,2,100,'Inflicts 180 - 335 melee damage on targets in Area of Effect',1,1),
(58876,40163,2,100,'Grants a total of 10 triggers of the spell.',1,2),
(58877,40163,3,100,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',0,0),
(58878,40163,3,100,'Inflicts 189 - 352 melee damage on targets in Area of Effect',1,1),
(58879,40163,3,100,'Grants a total of 10 triggers of the spell.',1,2),
(58880,40163,4,100,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',0,0),
(58881,40163,4,100,'Inflicts 208 - 388 melee damage on targets in Area of Effect',1,1),
(58882,40163,4,100,'Grants a total of 10 triggers of the spell.',1,2),
(58883,40163,5,100,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',0,0),
(58884,40163,5,100,'Inflicts 227 - 423 melee damage on targets in Area of Effect',1,1),
(58885,40163,5,100,'Grants a total of 10 triggers of the spell.',1,2),
(58886,40163,7,100,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',0,0),
(58887,40163,7,100,'Inflicts 292 - 543 melee damage on targets in Area of Effect',1,1),
(58888,40163,7,100,'Grants a total of 10 triggers of the spell.',1,2),
(58889,40163,9,100,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',0,0),
(58890,40163,9,100,'Inflicts 303 - 564 melee damage on targets in Area of Effect',1,1),
(58891,40163,9,100,'Grants a total of 10 triggers of the spell.',1,2),
(58892,40164,1,100,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',0,0),
(58893,40164,1,100,'Inflicts 236 - 439 melee damage on targets in Area of Effect',1,1),
(58894,40164,1,100,'Grants a total of 10 triggers of the spell.',1,2),
(58895,40164,4,100,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',0,0),
(58896,40164,4,100,'Inflicts 289 - 536 melee damage on targets in Area of Effect',1,1),
(58897,40164,4,100,'Grants a total of 10 triggers of the spell.',1,2),
(58898,40164,5,100,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',0,0),
(58899,40164,5,100,'Inflicts 315 - 585 melee damage on targets in Area of Effect',1,1),
(58900,40164,5,100,'Grants a total of 10 triggers of the spell.',1,2),
(58901,40164,7,100,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',0,0),
(58902,40164,7,100,'Inflicts 404 - 751 melee damage on targets in Area of Effect',1,1),
(58903,40164,7,100,'Grants a total of 10 triggers of the spell.',1,2),
(58904,40164,9,100,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',0,0),
(58905,40164,9,100,'Inflicts 420 - 780 melee damage on targets in Area of Effect',1,1),
(58906,40164,9,100,'Grants a total of 10 triggers of the spell.',1,2),
(58907,40165,1,100,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',0,0),
(58908,40165,1,100,'Inflicts 250 - 466 melee damage on targets in Area of Effect',1,1),
(58909,40165,1,100,'Grants a total of 10 triggers of the spell.',1,2),
(58910,40165,4,100,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',0,0),
(58911,40165,4,100,'Inflicts 306 - 569 melee damage on targets in Area of Effect',1,1),
(58912,40165,4,100,'Grants a total of 10 triggers of the spell.',1,2),
(58913,40165,5,100,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',0,0),
(58914,40165,5,100,'Inflicts 334 - 621 melee damage on targets in Area of Effect',1,1),
(58915,40165,5,100,'Grants a total of 10 triggers of the spell.',1,2),
(58916,40165,7,100,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',0,0),
(58917,40165,7,100,'Inflicts 429 - 797 melee damage on targets in Area of Effect',1,1),
(58918,40165,7,100,'Grants a total of 10 triggers of the spell.',1,2),
(58919,40165,9,100,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',0,0),
(58920,40165,9,100,'Inflicts 446 - 828 melee damage on targets in Area of Effect',1,1),
(58921,40165,9,100,'Grants a total of 10 triggers of the spell.',1,2),
(58922,2000215,1,100,'On death this spell will cast Rampager''s Resilience on caster.  Lasts for 45.0 seconds.  ',0,0),
(58923,2000215,1,100,'On termination, this will prevent the berserker from attacking unless the berserker or any member of their group or raid strikes a death blow.',1,1),
(58924,2000215,1,100,'Heals caster for 57.8 - 70.6% of max health',1,2),
(58925,2000215,1,100,'This effect cannot be critically applied.',2,3),
(58926,2000215,1,100,'Vision of Madness takes priority over this spell',1,4),
(58927,2000215,1,100,'Cannot be modified except by direct means',1,5),
(58928,2000215,1,100,'Grants a total of 1 trigger of the spell.',1,6),
(58929,2000215,2,100,'On death this spell will cast Rampager''s Resilience on caster.  Lasts for 45.0 seconds.  ',0,0),
(58930,2000215,2,100,'On termination, this will prevent the berserker from attacking unless the berserker or any member of their group or raid strikes a death blow.',1,1),
(58931,2000215,2,100,'Heals caster for 57.8 - 70.6% of max health',1,2),
(58932,2000215,2,100,'This effect cannot be critically applied.',2,3),
(58933,2000215,2,100,'Vision of Madness takes priority over this spell',1,4),
(58934,2000215,2,100,'Cannot be modified except by direct means',1,5),
(58935,2000215,2,100,'Grants a total of 1 trigger of the spell.',1,6),
(58936,2000215,3,100,'On death this spell will cast Rampager''s Resilience on caster.  Lasts for 45.0 seconds.  ',0,0),
(58937,2000215,3,100,'On termination, this will prevent the berserker from attacking unless the berserker or any member of their group or raid strikes a death blow.',1,1),
(58938,2000215,3,100,'Heals caster for 75.0% of max health',1,2),
(58939,2000215,3,100,'This effect cannot be critically applied.',2,3),
(58940,2000215,3,100,'Vision of Madness takes priority over this spell',1,4),
(58941,2000215,3,100,'Cannot be modified except by direct means',1,5),
(58942,2000215,3,100,'Grants a total of 1 trigger of the spell.',1,6),
(58943,390114,1,100,'Inflicts 87 - 146 melee damage on target',0,0),
(58944,390114,1,100,'You must be sneaking to use this ability.',0,1),
(58945,390114,1,100,'Must be flanking or behind',0,2),
(58946,390114,2,100,'Inflicts 92 - 154 melee damage on target',0,0),
(58947,390114,2,100,'You must be sneaking to use this ability.',0,1),
(58948,390114,2,100,'Must be flanking or behind',0,2),
(58949,390114,3,100,'Inflicts 97 - 162 melee damage on target',0,0),
(58950,390114,3,100,'You must be sneaking to use this ability.',0,1),
(58951,390114,3,100,'Must be flanking or behind',0,2),
(58952,390114,4,100,'Inflicts 107 - 178 melee damage on target',0,0),
(58953,390114,4,100,'You must be sneaking to use this ability.',0,1),
(58954,390114,4,100,'Must be flanking or behind',0,2),
(58955,390114,5,100,'Inflicts 117 - 195 melee damage on target',0,0),
(58956,390114,5,100,'You must be sneaking to use this ability.',0,1),
(58957,390114,5,100,'Must be flanking or behind',0,2),
(58958,390114,7,100,'Inflicts 150 - 250 melee damage on target',0,0),
(58959,390114,7,100,'You must be sneaking to use this ability.',0,1),
(58960,390114,7,100,'Must be flanking or behind',0,2),
(58961,390114,9,100,'Inflicts 156 - 260 melee damage on target',0,0),
(58962,390114,9,100,'You must be sneaking to use this ability.',0,1),
(58963,390114,9,100,'Must be flanking or behind',0,2),
(58964,390114,10,100,'Inflicts 163 - 273 melee damage on target',0,0),
(58965,390114,10,100,'You must be sneaking to use this ability.',0,1),
(58966,390114,10,100,'Must be flanking or behind',0,2),
(58967,390115,1,100,'Inflicts 212 - 354 melee damage on target',0,0),
(58968,390115,1,100,'You must be sneaking to use this ability.',0,1),
(58969,390115,1,100,'Must be flanking or behind',0,2),
(58970,390115,2,100,'Inflicts 224 - 374 melee damage on target',0,0),
(58971,390115,2,100,'You must be sneaking to use this ability.',0,1),
(58972,390115,2,100,'Must be flanking or behind',0,2),
(58973,390115,3,100,'Inflicts 236 - 394 melee damage on target',0,0),
(58974,390115,3,100,'You must be sneaking to use this ability.',0,1),
(58975,390115,3,100,'Must be flanking or behind',0,2),
(58976,390115,4,100,'Inflicts 260 - 433 melee damage on target',0,0),
(58977,390115,4,100,'You must be sneaking to use this ability.',0,1),
(58978,390115,4,100,'Must be flanking or behind',0,2),
(58979,390115,5,100,'Inflicts 283 - 472 melee damage on target',0,0),
(58980,390115,5,100,'You must be sneaking to use this ability.',0,1),
(58981,390115,5,100,'Must be flanking or behind',0,2),
(58982,390115,7,100,'Inflicts 364 - 606 melee damage on target',0,0),
(58983,390115,7,100,'You must be sneaking to use this ability.',0,1),
(58984,390115,7,100,'Must be flanking or behind',0,2),
(58985,390115,9,100,'Inflicts 378 - 630 melee damage on target',0,0),
(58986,390115,9,100,'You must be sneaking to use this ability.',0,1),
(58987,390115,9,100,'Must be flanking or behind',0,2),
(58988,390115,10,100,'Inflicts 397 - 662 melee damage on target',0,0),
(58989,390115,10,100,'You must be sneaking to use this ability.',0,1),
(58990,390115,10,100,'Must be flanking or behind',0,2),
(58991,390116,1,100,'Inflicts 354 - 591 melee damage on target',0,0),
(58992,390116,1,100,'You must be sneaking to use this ability.',0,1),
(58993,390116,1,100,'Must be flanking or behind',0,2),
(58994,390116,2,100,'Inflicts 374 - 624 melee damage on target',0,0),
(58995,390116,2,100,'You must be sneaking to use this ability.',0,1),
(58996,390116,2,100,'Must be flanking or behind',0,2),
(58997,390116,3,100,'Inflicts 394 - 657 melee damage on target',0,0),
(58998,390116,3,100,'You must be sneaking to use this ability.',0,1),
(58999,390116,3,100,'Must be flanking or behind',0,2),
(59000,390116,4,100,'Inflicts 433 - 722 melee damage on target',0,0),
(59001,390116,4,100,'You must be sneaking to use this ability.',0,1),
(59002,390116,4,100,'Must be flanking or behind',0,2),
(59003,390116,5,100,'Inflicts 473 - 788 melee damage on target',0,0),
(59004,390116,5,100,'You must be sneaking to use this ability.',0,1),
(59005,390116,5,100,'Must be flanking or behind',0,2),
(59006,390116,7,100,'Inflicts 607 - 1011 melee damage on target',0,0),
(59007,390116,7,100,'You must be sneaking to use this ability.',0,1),
(59008,390116,7,100,'Must be flanking or behind',0,2),
(59009,390116,9,100,'Inflicts 630 - 1051 melee damage on target',0,0),
(59010,390116,9,100,'You must be sneaking to use this ability.',0,1),
(59011,390116,9,100,'Must be flanking or behind',0,2),
(59012,390117,1,100,'Inflicts 527 - 878 melee damage on target',0,0),
(59013,390117,1,100,'You must be sneaking to use this ability.',0,1),
(59014,390117,1,100,'Must be flanking or behind',0,2),
(59015,390117,2,100,'Inflicts 556 - 927 melee damage on target',0,0),
(59016,390117,2,100,'You must be sneaking to use this ability.',0,1),
(59017,390117,2,100,'Must be flanking or behind',0,2),
(59018,390117,3,100,'Inflicts 585 - 976 melee damage on target',0,0),
(59019,390117,3,100,'You must be sneaking to use this ability.',0,1),
(59020,390117,3,100,'Must be flanking or behind',0,2),
(59021,390117,4,100,'Inflicts 644 - 1074 melee damage on target',0,0),
(59022,390117,4,100,'You must be sneaking to use this ability.',0,1),
(59023,390117,4,100,'Must be flanking or behind',0,2),
(59024,390117,5,100,'Inflicts 703 - 1171 melee damage on target',0,0),
(59025,390117,5,100,'You must be sneaking to use this ability.',0,1),
(59026,390117,5,100,'Must be flanking or behind',0,2),
(59027,390117,7,100,'Inflicts 902 - 1503 melee damage on target',0,0),
(59028,390117,7,100,'You must be sneaking to use this ability.',0,1),
(59029,390117,7,100,'Must be flanking or behind',0,2),
(59030,390117,9,100,'Inflicts 937 - 1562 melee damage on target',0,0),
(59031,390117,9,100,'You must be sneaking to use this ability.',0,1),
(59032,390117,9,100,'Must be flanking or behind',0,2),
(59033,390117,10,100,'Inflicts 984 - 1640 melee damage on target',0,0),
(59034,390117,10,100,'You must be sneaking to use this ability.',0,1),
(59035,390117,10,100,'Must be flanking or behind',0,2),
(59036,390118,1,100,'Inflicts 704 - 1174 melee damage on target',0,0),
(59037,390118,1,100,'You must be sneaking to use this ability.',0,1),
(59038,390118,1,100,'Must be flanking or behind',0,2),
(59039,390118,2,100,'Inflicts 743 - 1239 melee damage on target',0,0),
(59040,390118,2,100,'You must be sneaking to use this ability.',0,1),
(59041,390118,2,100,'Must be flanking or behind',0,2),
(59042,390118,3,100,'Inflicts 782 - 1304 melee damage on target',0,0),
(59043,390118,3,100,'You must be sneaking to use this ability.',0,1),
(59044,390118,3,100,'Must be flanking or behind',0,2),
(59045,390118,4,100,'Inflicts 861 - 1435 melee damage on target',0,0),
(59046,390118,4,100,'You must be sneaking to use this ability.',0,1),
(59047,390118,4,100,'Must be flanking or behind',0,2),
(59048,390118,5,100,'Inflicts 939 - 1565 melee damage on target',0,0),
(59049,390118,5,100,'You must be sneaking to use this ability.',0,1),
(59050,390118,5,100,'Must be flanking or behind',0,2),
(59051,390118,7,100,'Inflicts 1205 - 2009 melee damage on target',0,0),
(59052,390118,7,100,'You must be sneaking to use this ability.',0,1),
(59053,390118,7,100,'Must be flanking or behind',0,2),
(59054,390118,9,100,'Inflicts 1252 - 2087 melee damage on target',0,0),
(59055,390118,9,100,'You must be sneaking to use this ability.',0,1),
(59056,390118,9,100,'Must be flanking or behind',0,2),
(59057,390119,1,100,'Inflicts 867 - 1446 melee damage on target',0,0),
(59058,390119,1,100,'You must be sneaking to use this ability.',0,1),
(59059,390119,1,100,'Must be flanking or behind',0,2),
(59060,390119,2,100,'Inflicts 915 - 1526 melee damage on target',0,0),
(59061,390119,2,100,'You must be sneaking to use this ability.',0,1),
(59062,390119,2,100,'Must be flanking or behind',0,2),
(59063,390119,3,100,'Inflicts 964 - 1606 melee damage on target',0,0),
(59064,390119,3,100,'You must be sneaking to use this ability.',0,1),
(59065,390119,3,100,'Must be flanking or behind',0,2),
(59066,390119,4,100,'Inflicts 1060 - 1767 melee damage on target',0,0),
(59067,390119,4,100,'You must be sneaking to use this ability.',0,1),
(59068,390119,4,100,'Must be flanking or behind',0,2),
(59069,390119,5,100,'Inflicts 1157 - 1928 melee damage on target',0,0),
(59070,390119,5,100,'You must be sneaking to use this ability.',0,1),
(59071,390119,5,100,'Must be flanking or behind',0,2),
(59072,390119,7,100,'Inflicts 1484 - 2474 melee damage on target',0,0),
(59073,390119,7,100,'You must be sneaking to use this ability.',0,1),
(59074,390119,7,100,'Must be flanking or behind',0,2),
(59075,390119,9,100,'Inflicts 1542 - 2571 melee damage on target',0,0),
(59076,390119,9,100,'You must be sneaking to use this ability.',0,1),
(59077,390119,9,100,'Must be flanking or behind',0,2),
(59078,390120,1,100,'Inflicts 1046 - 1743 melee damage on target',0,0),
(59079,390120,1,100,'You must be sneaking to use this ability.',0,1),
(59080,390120,1,100,'Must be flanking or behind',0,2),
(59081,390120,4,100,'Inflicts 1278 - 2130 melee damage on target',0,0),
(59082,390120,4,100,'You must be sneaking to use this ability.',0,1),
(59083,390120,4,100,'Must be flanking or behind',0,2),
(59084,390120,5,100,'Inflicts 1394 - 2324 melee damage on target',0,0),
(59085,390120,5,100,'You must be sneaking to use this ability.',0,1),
(59086,390120,5,100,'Must be flanking or behind',0,2),
(59087,390120,7,100,'Inflicts 1790 - 2983 melee damage on target',0,0),
(59088,390120,7,100,'You must be sneaking to use this ability.',0,1),
(59089,390120,7,100,'Must be flanking or behind',0,2),
(59090,390120,9,100,'Inflicts 1859 - 3099 melee damage on target',0,0),
(59091,390120,9,100,'You must be sneaking to use this ability.',0,1),
(59092,390120,9,100,'Must be flanking or behind',0,2),
(59093,390121,1,100,'Inflicts 1148 - 1914 melee damage on target',0,0),
(59094,390121,1,100,'You must be sneaking to use this ability.',0,1),
(59095,390121,1,100,'Must be flanking or behind',0,2),
(59096,390121,4,100,'Inflicts 1404 - 2340 melee damage on target',0,0),
(59097,390121,4,100,'You must be sneaking to use this ability.',0,1),
(59098,390121,4,100,'Must be flanking or behind',0,2),
(59099,390121,5,100,'Inflicts 1531 - 2553 melee damage on target',0,0),
(59100,390121,5,100,'You must be sneaking to use this ability.',0,1),
(59101,390121,5,100,'Must be flanking or behind',0,2),
(59102,390121,7,100,'Inflicts 1966 - 3276 melee damage on target',0,0),
(59103,390121,7,100,'You must be sneaking to use this ability.',0,1),
(59104,390121,7,100,'Must be flanking or behind',0,2),
(59105,390121,9,100,'Inflicts 2042 - 3404 melee damage on target',0,0),
(59106,390121,9,100,'You must be sneaking to use this ability.',0,1),
(59107,390121,9,100,'Must be flanking or behind',0,2),
(59108,420067,9,100,'Inflicts 218 - 364 melee damage on target encounter',0,0),
(59109,420067,9,100,'Increases attack speed of group members (AE) by 15-33%',0,1),
(59110,420067,9,100,'The effect of this ability grows based on Savagery and Spirituality level.',0,2),
(59111,420067,9,100,'You must have your warder active to use this ability.',0,3),
(59112,2000216,1,100,'Applies Repeated Salvo.  Lasts for 30.0 seconds.',0,0),
(59113,2000216,1,100,'On any combat or spell hit this spell will cast Repeated Salvo on target of attack.  ',1,1),
(59114,2000216,1,100,'Inflicts 582 - 1080 piercing damage on target',2,2),
(59115,2000216,1,100,'Inflicts 1163 - 2160 ranged damage on targets in Area of Effect',0,3),
(59116,2000216,2,100,'Applies Repeated Salvo.  Lasts for 30.0 seconds.',0,0),
(59117,2000216,2,100,'On any combat or spell hit this spell will cast Repeated Salvo on target of attack.  ',1,1),
(59118,2000216,2,100,'Inflicts 582 - 1080 piercing damage on target',2,2),
(59119,2000216,2,100,'Inflicts 1163 - 2160 ranged damage on targets in Area of Effect',0,3),
(59120,2000216,3,100,'Applies Repeated Salvo.  Lasts for 30.0 seconds.',0,0),
(59121,2000216,3,100,'On any combat or spell hit this spell will cast Repeated Salvo on target of attack.  ',1,1),
(59122,2000216,3,100,'Inflicts 436 - 811 piercing damage on target',2,2),
(59123,2000216,3,100,'Inflicts 872 - 1621 ranged damage on targets in Area of Effect',0,3),
(59124,50019,1,100,'Inflicts 19 - 32 melee damage on target',0,0),
(59125,50019,1,100,'Inflicts 19 - 32 melee damage on target',0,1),
(59126,50019,1,100,'Inflicts 19 - 32 melee damage on target',0,2),
(59127,50019,1,100,'Inflicts 19 - 32 melee damage on target',0,3),
(59128,50019,1,100,'If facing target',0,4),
(59129,50019,2,100,'Inflicts 20 - 34 melee damage on target',0,0),
(59130,50019,2,100,'Inflicts 20 - 34 melee damage on target',0,1),
(59131,50019,2,100,'Inflicts 20 - 34 melee damage on target',0,2),
(59132,50019,2,100,'Inflicts 20 - 34 melee damage on target',0,3),
(59133,50019,2,100,'If facing target',0,4),
(59134,50019,3,100,'Inflicts 21 - 36 melee damage on target',0,0),
(59135,50019,3,100,'Inflicts 21 - 36 melee damage on target',0,1),
(59136,50019,3,100,'Inflicts 21 - 36 melee damage on target',0,2),
(59137,50019,3,100,'Inflicts 21 - 36 melee damage on target',0,3),
(59138,50019,3,100,'If facing target',0,4),
(59139,50019,4,100,'Inflicts 24 - 40 melee damage on target',0,0),
(59140,50019,4,100,'Inflicts 24 - 40 melee damage on target',0,1),
(59141,50019,4,100,'Inflicts 24 - 40 melee damage on target',0,2),
(59142,50019,4,100,'Inflicts 24 - 40 melee damage on target',0,3),
(59143,50019,4,100,'If facing target',0,4),
(59144,50019,5,100,'Inflicts 26 - 43 melee damage on target',0,0),
(59145,50019,5,100,'Inflicts 26 - 43 melee damage on target',0,1),
(59146,50019,5,100,'Inflicts 26 - 43 melee damage on target',0,2),
(59147,50019,5,100,'Inflicts 26 - 43 melee damage on target',0,3),
(59148,50019,5,100,'If facing target',0,4),
(59149,50019,7,100,'Inflicts 33 - 56 melee damage on target',0,0),
(59150,50019,7,100,'Inflicts 33 - 56 melee damage on target',0,1),
(59151,50019,7,100,'Inflicts 33 - 56 melee damage on target',0,2),
(59152,50019,7,100,'Inflicts 33 - 56 melee damage on target',0,3),
(59153,50019,7,100,'If facing target',0,4),
(59154,50019,9,100,'Inflicts 34 - 58 melee damage on target',0,0),
(59155,50019,9,100,'Inflicts 34 - 58 melee damage on target',0,1),
(59156,50019,9,100,'Inflicts 34 - 58 melee damage on target',0,2),
(59157,50019,9,100,'Inflicts 34 - 58 melee damage on target',0,3),
(59158,50019,9,100,'If facing target',0,4),
(59159,330126,1,100,'Inflicts 55 - 92 melee damage on target',0,0),
(59160,330126,1,100,'Decreases Parry of target by 8.1',0,1),
(59161,330126,1,100,'Must be in front of or flanking',0,2),
(59162,330126,2,100,'Inflicts 58 - 97 melee damage on target',0,0),
(59163,330126,2,100,'Decreases Parry of target by 8.6',0,1),
(59164,330126,2,100,'Must be in front of or flanking',0,2),
(59165,330126,3,100,'Inflicts 61 - 102 melee damage on target',0,0),
(59166,330126,3,100,'Decreases Parry of target by 9.0',0,1),
(59167,330126,3,100,'Must be in front of or flanking',0,2),
(59168,330126,4,100,'Inflicts 67 - 112 melee damage on target',0,0),
(59169,330126,4,100,'Decreases Parry of target by 9.9',0,1),
(59170,330126,4,100,'Must be in front of or flanking',0,2),
(59171,330126,5,100,'Inflicts 73 - 123 melee damage on target',0,0),
(59172,330126,5,100,'Decreases Parry of target by 10.8',0,1),
(59173,330126,5,100,'Must be in front of or flanking',0,2),
(59174,330126,7,100,'Inflicts 94 - 158 melee damage on target',0,0),
(59175,330126,7,100,'Decreases Parry of target by 13.9',0,1),
(59176,330126,7,100,'Must be in front of or flanking',0,2),
(59177,330126,9,100,'Inflicts 98 - 164 melee damage on target',0,0),
(59178,330126,9,100,'Decreases Parry of target by 14.4',0,1),
(59179,330126,9,100,'Must be in front of or flanking',0,2),
(59180,330127,1,100,'Inflicts 112 - 187 melee damage on target',0,0),
(59181,330127,1,100,'Decreases Parry of target by 15.7',0,1),
(59182,330127,1,100,'Must be in front of or flanking',0,2),
(59183,330127,2,100,'Inflicts 118 - 197 melee damage on target',0,0),
(59184,330127,2,100,'Decreases Parry of target by 16.5',0,1),
(59185,330127,2,100,'Must be in front of or flanking',0,2),
(59186,330127,3,100,'Inflicts 124 - 208 melee damage on target',0,0),
(59187,330127,3,100,'Decreases Parry of target by 17.4',0,1),
(59188,330127,3,100,'Must be in front of or flanking',0,2),
(59189,330127,4,100,'Inflicts 137 - 228 melee damage on target',0,0),
(59190,330127,4,100,'Decreases Parry of target by 19.1',0,1),
(59191,330127,4,100,'Must be in front of or flanking',0,2),
(59192,330127,5,100,'Inflicts 149 - 249 melee damage on target',0,0),
(59193,330127,5,100,'Decreases Parry of target by 20.9',0,1),
(59194,330127,5,100,'Must be in front of or flanking',0,2),
(59195,330127,7,100,'Inflicts 192 - 320 melee damage on target',0,0),
(59196,330127,7,100,'Decreases Parry of target by 26.8',0,1),
(59197,330127,7,100,'Must be in front of or flanking',0,2),
(59198,330127,9,100,'Inflicts 199 - 332 melee damage on target',0,0),
(59199,330127,9,100,'Decreases Parry of target by 27.8',0,1),
(59200,330127,9,100,'Must be in front of or flanking',0,2),
(59201,330127,10,100,'Inflicts 209 - 349 melee damage on target',0,0),
(59202,330127,10,100,'Decreases Parry of target by 29.2',0,1),
(59203,330127,10,100,'Must be in front of or flanking',0,2),
(59204,330128,1,100,'Inflicts 176 - 293 melee damage on target',0,0),
(59205,330128,1,100,'Decreases Parry of target by 23.2',0,1),
(59206,330128,1,100,'Must be in front of or flanking',0,2),
(59207,330128,2,100,'Inflicts 185 - 309 melee damage on target',0,0),
(59208,330128,2,100,'Decreases Parry of target by 24.5',0,1),
(59209,330128,2,100,'Must be in front of or flanking',0,2),
(59210,330128,3,100,'Inflicts 195 - 326 melee damage on target',0,0),
(59211,330128,3,100,'Decreases Parry of target by 25.8',0,1),
(59212,330128,3,100,'Must be in front of or flanking',0,2),
(59213,330128,4,100,'Inflicts 215 - 358 melee damage on target',0,0),
(59214,330128,4,100,'Decreases Parry of target by 28.4',0,1),
(59215,330128,4,100,'Must be in front of or flanking',0,2),
(59216,330128,5,100,'Inflicts 234 - 391 melee damage on target',0,0),
(59217,330128,5,100,'Decreases Parry of target by 31.0',0,1),
(59218,330128,5,100,'Must be in front of or flanking',0,2),
(59219,330128,7,100,'Inflicts 301 - 502 melee damage on target',0,0),
(59220,330128,7,100,'Decreases Parry of target by 39.7',0,1),
(59221,330128,7,100,'Must be in front of or flanking',0,2),
(59222,330128,9,100,'Inflicts 313 - 521 melee damage on target',0,0),
(59223,330128,9,100,'Decreases Parry of target by 41.3',0,1),
(59224,330128,9,100,'Must be in front of or flanking',0,2),
(59225,330128,10,100,'Inflicts 328 - 548 melee damage on target',0,0),
(59226,330128,10,100,'Decreases Parry of target by 43.3',0,1),
(59227,330128,10,100,'Must be in front of or flanking',0,2),
(59228,330129,1,100,'Inflicts 251 - 419 melee damage on target',0,0),
(59229,330129,1,100,'Decreases Parry of target by 30.8',0,1),
(59230,330129,1,100,'Must be in front of or flanking',0,2),
(59231,330129,2,100,'Inflicts 265 - 443 melee damage on target',0,0),
(59232,330129,2,100,'Decreases Parry of target by 32.5',0,1),
(59233,330129,2,100,'Must be in front of or flanking',0,2),
(59234,330129,3,100,'Inflicts 279 - 466 melee damage on target',0,0),
(59235,330129,3,100,'Decreases Parry of target by 34.2',0,1),
(59236,330129,3,100,'Must be in front of or flanking',0,2),
(59237,330129,4,100,'Inflicts 307 - 513 melee damage on target',0,0),
(59238,330129,4,100,'Decreases Parry of target by 37.6',0,1),
(59239,330129,4,100,'Must be in front of or flanking',0,2),
(59240,330129,5,100,'Inflicts 335 - 559 melee damage on target',0,0),
(59241,330129,5,100,'Decreases Parry of target by 41.0',0,1),
(59242,330129,5,100,'Must be in front of or flanking',0,2),
(59243,330129,7,100,'Inflicts 430 - 718 melee damage on target',0,0),
(59244,330129,7,100,'Decreases Parry of target by 52.7',0,1),
(59245,330129,7,100,'Must be in front of or flanking',0,2),
(59246,330129,9,100,'Inflicts 447 - 746 melee damage on target',0,0),
(59247,330129,9,100,'Decreases Parry of target by 54.7',0,1),
(59248,330129,9,100,'Must be in front of or flanking',0,2),
(59249,330130,1,100,'Inflicts 328 - 548 melee damage on target',0,0),
(59250,330130,1,100,'Decreases Parry of target by 38.5',0,1),
(59251,330130,1,100,'Must be in front of or flanking',0,2),
(59252,330130,2,100,'Inflicts 347 - 578 melee damage on target',0,0),
(59253,330130,2,100,'Decreases Parry of target by 40.7',0,1),
(59254,330130,2,100,'Must be in front of or flanking',0,2),
(59255,330130,3,100,'Inflicts 365 - 609 melee damage on target',0,0),
(59256,330130,3,100,'Decreases Parry of target by 42.8',0,1),
(59257,330130,3,100,'Must be in front of or flanking',0,2),
(59258,330130,4,100,'Inflicts 402 - 670 melee damage on target',0,0),
(59259,330130,4,100,'Decreases Parry of target by 47.1',0,1),
(59260,330130,4,100,'Must be in front of or flanking',0,2),
(59261,330130,5,100,'Inflicts 438 - 730 melee damage on target',0,0),
(59262,330130,5,100,'Decreases Parry of target by 51.4',0,1),
(59263,330130,5,100,'Must be in front of or flanking',0,2),
(59264,330130,7,100,'Inflicts 562 - 938 melee damage on target',0,0),
(59265,330130,7,100,'Decreases Parry of target by 65.9',0,1),
(59266,330130,7,100,'Must be in front of or flanking',0,2),
(59267,330130,9,100,'Inflicts 584 - 974 melee damage on target',0,0),
(59268,330130,9,100,'Decreases Parry of target by 68.5',0,1),
(59269,330130,9,100,'Must be in front of or flanking',0,2),
(59270,330131,1,100,'Inflicts 398 - 664 melee damage on target',0,0),
(59271,330131,1,100,'Decreases Parry of target by 45.7',0,1),
(59272,330131,1,100,'Must be in front of or flanking',0,2),
(59273,330131,4,100,'Inflicts 487 - 811 melee damage on target',0,0),
(59274,330131,4,100,'Decreases Parry of target by 55.9',0,1),
(59275,330131,4,100,'Must be in front of or flanking',0,2),
(59276,330131,5,100,'Inflicts 531 - 885 melee damage on target',0,0),
(59277,330131,5,100,'Decreases Parry of target by 61.0',0,1),
(59278,330131,5,100,'Must be in front of or flanking',0,2),
(59279,330131,7,100,'Inflicts 681 - 1136 melee damage on target',0,0),
(59280,330131,7,100,'Decreases Parry of target by 78.2',0,1),
(59281,330131,7,100,'Must be in front of or flanking',0,2),
(59282,330131,9,100,'Inflicts 708 - 1180 melee damage on target',0,0),
(59283,330131,9,100,'Decreases Parry of target by 81.3',0,1),
(59284,330131,9,100,'Must be in front of or flanking',0,2),
(59285,330131,10,100,'Inflicts 743 - 1239 melee damage on target',0,0),
(59286,330131,10,100,'Decreases Parry of target by 85.3',0,1),
(59287,330131,10,100,'Must be in front of or flanking',0,2),
(59288,330132,1,100,'Inflicts 472 - 787 melee damage on target',0,0),
(59289,330132,1,100,'Decreases Parry of target by 52.9',0,1),
(59290,330132,1,100,'Must be in front of or flanking',0,2),
(59291,330132,4,100,'Inflicts 577 - 962 melee damage on target',0,0),
(59292,330132,4,100,'Decreases Parry of target by 64.7',0,1),
(59293,330132,4,100,'Must be in front of or flanking',0,2),
(59294,330132,5,100,'Inflicts 630 - 1050 melee damage on target',0,0),
(59295,330132,5,100,'Decreases Parry of target by 70.6',0,1),
(59296,330132,5,100,'Must be in front of or flanking',0,2),
(59297,330132,7,100,'Inflicts 808 - 1348 melee damage on target',0,0),
(59298,330132,7,100,'Decreases Parry of target by 90.6',0,1),
(59299,330132,7,100,'Must be in front of or flanking',0,2),
(59300,330132,9,100,'Inflicts 840 - 1400 melee damage on target',0,0),
(59301,330132,9,100,'Decreases Parry of target by 94.1',0,1),
(59302,330132,9,100,'Must be in front of or flanking',0,2),
(59303,330132,10,100,'Inflicts 882 - 1470 melee damage on target',0,0),
(59304,330132,10,100,'Decreases Parry of target by 98.8',0,1),
(59305,330132,10,100,'Must be in front of or flanking',0,2),
(59306,390122,1,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(59307,390122,1,100,'Slows target by 27.4%',1,1),
(59308,390122,1,100,'5% chance to dispel when target receives hostile action',1,2),
(59309,390122,1,100,'5% chance to dispel when target takes damage',1,3),
(59310,390122,1,100,'Inflicts 14 - 24 ranged damage on target',0,4),
(59311,390122,1,100,'Must be flanking or behind',0,5),
(59312,390122,1,100,'Requires bow or aim',0,6),
(59313,390122,2,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(59314,390122,2,100,'Slows target by 28.9%',1,1),
(59315,390122,2,100,'5% chance to dispel when target receives hostile action',1,2),
(59316,390122,2,100,'5% chance to dispel when target takes damage',1,3),
(59317,390122,2,100,'Inflicts 15 - 26 ranged damage on target',0,4),
(59318,390122,2,100,'Must be flanking or behind',0,5),
(59319,390122,2,100,'Requires bow or aim',0,6),
(59320,390122,3,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(59321,390122,3,100,'Slows target by 30.4%',1,1),
(59322,390122,3,100,'5% chance to dispel when target receives hostile action',1,2),
(59323,390122,3,100,'5% chance to dispel when target takes damage',1,3),
(59324,390122,3,100,'Inflicts 16 - 27 ranged damage on target',0,4),
(59325,390122,3,100,'Must be flanking or behind',0,5),
(59326,390122,3,100,'Requires bow or aim',0,6),
(59327,390122,4,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(59328,390122,4,100,'Slows target by 33.4%',1,1),
(59329,390122,4,100,'5% chance to dispel when target receives hostile action',1,2),
(59330,390122,4,100,'5% chance to dispel when target takes damage',1,3),
(59331,390122,4,100,'Inflicts 18 - 30 ranged damage on target',0,4),
(59332,390122,4,100,'Must be flanking or behind',0,5),
(59333,390122,4,100,'Requires bow or aim',0,6),
(59334,390122,5,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(59335,390122,5,100,'Slows target by 36.5%',1,1),
(59336,390122,5,100,'5% chance to dispel when target receives hostile action',1,2),
(59337,390122,5,100,'5% chance to dispel when target takes damage',1,3),
(59338,390122,5,100,'Inflicts 19 - 33 ranged damage on target',0,4),
(59339,390122,5,100,'Must be flanking or behind',0,5),
(59340,390122,5,100,'Requires bow or aim',0,6),
(59341,390122,7,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(59342,390122,7,100,'Slows target by 46.8%',1,1),
(59343,390122,7,100,'5% chance to dispel when target receives hostile action',1,2),
(59344,390122,7,100,'5% chance to dispel when target takes damage',1,3),
(59345,390122,7,100,'Inflicts 25 - 42 ranged damage on target',0,4),
(59346,390122,7,100,'Must be flanking or behind',0,5),
(59347,390122,7,100,'Requires bow or aim',0,6),
(59348,390122,9,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(59349,390122,9,100,'Slows target by 48.6%',1,1),
(59350,390122,9,100,'5% chance to dispel when target receives hostile action',1,2),
(59351,390122,9,100,'5% chance to dispel when target takes damage',1,3),
(59352,390122,9,100,'Inflicts 26 - 44 ranged damage on target',0,4),
(59353,390122,9,100,'Must be flanking or behind',0,5),
(59354,390122,9,100,'Requires bow or aim',0,6),
(59355,390123,1,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(59356,390123,1,100,'Slows target by 29.7%',1,1),
(59357,390123,1,100,'5% chance to dispel when target receives hostile action',1,2),
(59358,390123,1,100,'5% chance to dispel when target takes damage',1,3),
(59359,390123,1,100,'Inflicts 97 - 161 ranged damage on target',0,4),
(59360,390123,1,100,'Must be flanking or behind',0,5),
(59361,390123,1,100,'Requires bow or aim',0,6),
(59362,390123,2,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(59363,390123,2,100,'Slows target by 31.4%',1,1),
(59364,390123,2,100,'5% chance to dispel when target receives hostile action',1,2),
(59365,390123,2,100,'5% chance to dispel when target takes damage',1,3),
(59366,390123,2,100,'Inflicts 102 - 170 ranged damage on target',0,4),
(59367,390123,2,100,'Must be flanking or behind',0,5),
(59368,390123,2,100,'Requires bow or aim',0,6),
(59369,390123,3,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(59370,390123,3,100,'Slows target by 33.0%',1,1),
(59371,390123,3,100,'5% chance to dispel when target receives hostile action',1,2),
(59372,390123,3,100,'5% chance to dispel when target takes damage',1,3),
(59373,390123,3,100,'Inflicts 107 - 179 ranged damage on target',0,4),
(59374,390123,3,100,'Must be flanking or behind',0,5),
(59375,390123,3,100,'Requires bow or aim',0,6),
(59376,390123,4,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(59377,390123,4,100,'Slows target by 36.3%',1,1),
(59378,390123,4,100,'5% chance to dispel when target receives hostile action',1,2),
(59379,390123,4,100,'5% chance to dispel when target takes damage',1,3),
(59380,390123,4,100,'Inflicts 118 - 197 ranged damage on target',0,4),
(59381,390123,4,100,'Must be flanking or behind',0,5),
(59382,390123,4,100,'Requires bow or aim',0,6),
(59383,390123,5,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(59384,390123,5,100,'Slows target by 39.6%',1,1),
(59385,390123,5,100,'5% chance to dispel when target receives hostile action',1,2),
(59386,390123,5,100,'5% chance to dispel when target takes damage',1,3),
(59387,390123,5,100,'Inflicts 129 - 215 ranged damage on target',0,4),
(59388,390123,5,100,'Must be flanking or behind',0,5),
(59389,390123,5,100,'Requires bow or aim',0,6),
(59390,390123,7,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(59391,390123,7,100,'Slows target by 50.8%',1,1),
(59392,390123,7,100,'5% chance to dispel when target receives hostile action',1,2),
(59393,390123,7,100,'5% chance to dispel when target takes damage',1,3),
(59394,390123,7,100,'Inflicts 166 - 276 ranged damage on target',0,4),
(59395,390123,7,100,'Must be flanking or behind',0,5),
(59396,390123,7,100,'Requires bow or aim',0,6),
(59397,390123,9,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(59398,390123,9,100,'Slows target by 52.8%',1,1),
(59399,390123,9,100,'5% chance to dispel when target receives hostile action',1,2),
(59400,390123,9,100,'5% chance to dispel when target takes damage',1,3),
(59401,390123,9,100,'Inflicts 172 - 287 ranged damage on target',0,4),
(59402,390123,9,100,'Must be flanking or behind',0,5),
(59403,390123,9,100,'Requires bow or aim',0,6),
(59404,390124,1,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(59405,390124,1,100,'Slows target by 32.2%',1,1),
(59406,390124,1,100,'5% chance to dispel when target receives hostile action',1,2),
(59407,390124,1,100,'5% chance to dispel when target takes damage',1,3),
(59408,390124,1,100,'Inflicts 196 - 327 ranged damage on target',0,4),
(59409,390124,1,100,'Must be flanking or behind',0,5),
(59410,390124,1,100,'Requires bow or aim',0,6),
(59411,390124,2,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(59412,390124,2,100,'Slows target by 34.0%',1,1),
(59413,390124,2,100,'5% chance to dispel when target receives hostile action',1,2),
(59414,390124,2,100,'5% chance to dispel when target takes damage',1,3),
(59415,390124,2,100,'Inflicts 207 - 346 ranged damage on target',0,4),
(59416,390124,2,100,'Must be flanking or behind',0,5),
(59417,390124,2,100,'Requires bow or aim',0,6),
(59418,390124,3,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(59419,390124,3,100,'Slows target by 35.8%',1,1),
(59420,390124,3,100,'5% chance to dispel when target receives hostile action',1,2),
(59421,390124,3,100,'5% chance to dispel when target takes damage',1,3),
(59422,390124,3,100,'Inflicts 218 - 364 ranged damage on target',0,4),
(59423,390124,3,100,'Must be flanking or behind',0,5),
(59424,390124,3,100,'Requires bow or aim',0,6),
(59425,390124,4,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(59426,390124,4,100,'Slows target by 39.4%',1,1),
(59427,390124,4,100,'5% chance to dispel when target receives hostile action',1,2),
(59428,390124,4,100,'5% chance to dispel when target takes damage',1,3),
(59429,390124,4,100,'Inflicts 240 - 400 ranged damage on target',0,4),
(59430,390124,4,100,'Must be flanking or behind',0,5),
(59431,390124,4,100,'Requires bow or aim',0,6),
(59432,390124,5,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(59433,390124,5,100,'Slows target by 43.0%',1,1),
(59434,390124,5,100,'5% chance to dispel when target receives hostile action',1,2),
(59435,390124,5,100,'5% chance to dispel when target takes damage',1,3),
(59436,390124,5,100,'Inflicts 262 - 437 ranged damage on target',0,4),
(59437,390124,5,100,'Must be flanking or behind',0,5),
(59438,390124,5,100,'Requires bow or aim',0,6),
(59439,390124,7,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(59440,390124,7,100,'Slows target by 55.1%',1,1),
(59441,390124,7,100,'5% chance to dispel when target receives hostile action',1,2),
(59442,390124,7,100,'5% chance to dispel when target takes damage',1,3),
(59443,390124,7,100,'Inflicts 336 - 561 ranged damage on target',0,4),
(59444,390124,7,100,'Must be flanking or behind',0,5),
(59445,390124,7,100,'Requires bow or aim',0,6),
(59446,390124,9,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(59447,390124,9,100,'Slows target by 57.3%',1,1),
(59448,390124,9,100,'5% chance to dispel when target receives hostile action',1,2),
(59449,390124,9,100,'5% chance to dispel when target takes damage',1,3),
(59450,390124,9,100,'Inflicts 349 - 583 ranged damage on target',0,4),
(59451,390124,9,100,'Must be flanking or behind',0,5),
(59452,390124,9,100,'Requires bow or aim',0,6),
(59453,390125,1,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(59454,390125,1,100,'Slows target by 34.7%',1,1),
(59455,390125,1,100,'5% chance to dispel when target receives hostile action',1,2),
(59456,390125,1,100,'5% chance to dispel when target takes damage',1,3),
(59457,390125,1,100,'Inflicts 308 - 514 ranged damage on target',0,4),
(59458,390125,1,100,'Must be flanking or behind',0,5),
(59459,390125,1,100,'Requires bow or aim',0,6),
(59460,390125,2,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(59461,390125,2,100,'Slows target by 36.7%',1,1),
(59462,390125,2,100,'5% chance to dispel when target receives hostile action',1,2),
(59463,390125,2,100,'5% chance to dispel when target takes damage',1,3),
(59464,390125,2,100,'Inflicts 325 - 542 ranged damage on target',0,4),
(59465,390125,2,100,'Must be flanking or behind',0,5),
(59466,390125,2,100,'Requires bow or aim',0,6),
(59467,390125,3,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(59468,390125,3,100,'Slows target by 38.6%',1,1),
(59469,390125,3,100,'5% chance to dispel when target receives hostile action',1,2),
(59470,390125,3,100,'5% chance to dispel when target takes damage',1,3),
(59471,390125,3,100,'Inflicts 342 - 571 ranged damage on target',0,4),
(59472,390125,3,100,'Must be flanking or behind',0,5),
(59473,390125,3,100,'Requires bow or aim',0,6),
(59474,390125,4,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(59475,390125,4,100,'Slows target by 42.5%',1,1),
(59476,390125,4,100,'5% chance to dispel when target receives hostile action',1,2),
(59477,390125,4,100,'5% chance to dispel when target takes damage',1,3),
(59478,390125,4,100,'Inflicts 376 - 628 ranged damage on target',0,4),
(59479,390125,4,100,'Must be flanking or behind',0,5),
(59480,390125,4,100,'Requires bow or aim',0,6),
(59481,390125,5,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(59482,390125,5,100,'Slows target by 46.3%',1,1),
(59483,390125,5,100,'5% chance to dispel when target receives hostile action',1,2),
(59484,390125,5,100,'5% chance to dispel when target takes damage',1,3),
(59485,390125,5,100,'Inflicts 411 - 685 ranged damage on target',0,4),
(59486,390125,5,100,'Must be flanking or behind',0,5),
(59487,390125,5,100,'Requires bow or aim',0,6),
(59488,390125,7,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(59489,390125,7,100,'Slows target by 59.4%',1,1),
(59490,390125,7,100,'5% chance to dispel when target receives hostile action',1,2),
(59491,390125,7,100,'5% chance to dispel when target takes damage',1,3),
(59492,390125,7,100,'Inflicts 527 - 879 ranged damage on target',0,4),
(59493,390125,7,100,'Must be flanking or behind',0,5),
(59494,390125,7,100,'Requires bow or aim',0,6),
(59495,390125,9,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(59496,390125,9,100,'Slows target by 61.8%',1,1),
(59497,390125,9,100,'5% chance to dispel when target receives hostile action',1,2),
(59498,390125,9,100,'5% chance to dispel when target takes damage',1,3),
(59499,390125,9,100,'Inflicts 548 - 913 ranged damage on target',0,4),
(59500,390125,9,100,'Must be flanking or behind',0,5),
(59501,390125,9,100,'Requires bow or aim',0,6),
(59502,390126,1,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(59503,390126,1,100,'Slows target by 36.3%',1,1),
(59504,390126,1,100,'5% chance to dispel when target receives hostile action',1,2),
(59505,390126,1,100,'5% chance to dispel when target takes damage',1,3),
(59506,390126,1,100,'Inflicts 440 - 734 ranged damage on target',0,4),
(59507,390126,1,100,'Must be flanking or behind',0,5),
(59508,390126,1,100,'Requires bow or aim',0,6),
(59509,390126,2,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(59510,390126,2,100,'Slows target by 38.3%',1,1),
(59511,390126,2,100,'5% chance to dispel when target receives hostile action',1,2),
(59512,390126,2,100,'5% chance to dispel when target takes damage',1,3),
(59513,390126,2,100,'Inflicts 465 - 775 ranged damage on target',0,4),
(59514,390126,2,100,'Must be flanking or behind',0,5),
(59515,390126,2,100,'Requires bow or aim',0,6),
(59516,390126,3,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(59517,390126,3,100,'Slows target by 40.3%',1,1),
(59518,390126,3,100,'5% chance to dispel when target receives hostile action',1,2),
(59519,390126,3,100,'5% chance to dispel when target takes damage',1,3),
(59520,390126,3,100,'Inflicts 489 - 816 ranged damage on target',0,4),
(59521,390126,3,100,'Must be flanking or behind',0,5),
(59522,390126,3,100,'Requires bow or aim',0,6),
(59523,390126,4,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(59524,390126,4,100,'Slows target by 44.3%',1,1),
(59525,390126,4,100,'5% chance to dispel when target receives hostile action',1,2),
(59526,390126,4,100,'5% chance to dispel when target takes damage',1,3),
(59527,390126,4,100,'Inflicts 538 - 898 ranged damage on target',0,4),
(59528,390126,4,100,'Must be flanking or behind',0,5),
(59529,390126,4,100,'Requires bow or aim',0,6),
(59530,390126,5,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(59531,390126,5,100,'Slows target by 48.3%',1,1),
(59532,390126,5,100,'5% chance to dispel when target receives hostile action',1,2),
(59533,390126,5,100,'5% chance to dispel when target takes damage',1,3),
(59534,390126,5,100,'Inflicts 587 - 979 ranged damage on target',0,4),
(59535,390126,5,100,'Must be flanking or behind',0,5),
(59536,390126,5,100,'Requires bow or aim',0,6),
(59537,390126,7,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(59538,390126,7,100,'Slows target by 62.0%',1,1),
(59539,390126,7,100,'5% chance to dispel when target receives hostile action',1,2),
(59540,390126,7,100,'5% chance to dispel when target takes damage',1,3),
(59541,390126,7,100,'Inflicts 754 - 1257 ranged damage on target',0,4),
(59542,390126,7,100,'Must be flanking or behind',0,5),
(59543,390126,7,100,'Requires bow or aim',0,6),
(59544,390126,9,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(59545,390126,9,100,'Slows target by 64.4%',1,1),
(59546,390126,9,100,'5% chance to dispel when target receives hostile action',1,2),
(59547,390126,9,100,'5% chance to dispel when target takes damage',1,3),
(59548,390126,9,100,'Inflicts 783 - 1306 ranged damage on target',0,4),
(59549,390126,9,100,'Must be flanking or behind',0,5),
(59550,390126,9,100,'Requires bow or aim',0,6),
(59551,390127,1,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(59552,390127,1,100,'Slows target by 36.8%',1,1),
(59553,390127,1,100,'5% chance to dispel when target receives hostile action',1,2),
(59554,390127,1,100,'5% chance to dispel when target takes damage',1,3),
(59555,390127,1,100,'Inflicts 575 - 959 ranged damage on target',0,4),
(59556,390127,1,100,'Must be flanking or behind',0,5),
(59557,390127,1,100,'Requires bow or aim',0,6),
(59558,390127,2,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(59559,390127,2,100,'Slows target by 38.8%',1,1),
(59560,390127,2,100,'5% chance to dispel when target receives hostile action',1,2),
(59561,390127,2,100,'5% chance to dispel when target takes damage',1,3),
(59562,390127,2,100,'Inflicts 607 - 1013 ranged damage on target',0,4),
(59563,390127,2,100,'Must be flanking or behind',0,5),
(59564,390127,2,100,'Requires bow or aim',0,6),
(59565,390127,3,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(59566,390127,3,100,'Slows target by 40.8%',1,1),
(59567,390127,3,100,'5% chance to dispel when target receives hostile action',1,2),
(59568,390127,3,100,'5% chance to dispel when target takes damage',1,3),
(59569,390127,3,100,'Inflicts 639 - 1066 ranged damage on target',0,4),
(59570,390127,3,100,'Must be flanking or behind',0,5),
(59571,390127,3,100,'Requires bow or aim',0,6),
(59572,390127,4,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(59573,390127,4,100,'Slows target by 44.9%',1,1),
(59574,390127,4,100,'5% chance to dispel when target receives hostile action',1,2),
(59575,390127,4,100,'5% chance to dispel when target takes damage',1,3),
(59576,390127,4,100,'Inflicts 703 - 1173 ranged damage on target',0,4),
(59577,390127,4,100,'Must be flanking or behind',0,5),
(59578,390127,4,100,'Requires bow or aim',0,6),
(59579,390127,5,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(59580,390127,5,100,'Slows target by 49.0%',1,1),
(59581,390127,5,100,'5% chance to dispel when target receives hostile action',1,2),
(59582,390127,5,100,'5% chance to dispel when target takes damage',1,3),
(59583,390127,5,100,'Inflicts 767 - 1279 ranged damage on target',0,4),
(59584,390127,5,100,'Must be flanking or behind',0,5),
(59585,390127,5,100,'Requires bow or aim',0,6),
(59586,390127,7,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(59587,390127,7,100,'Slows target by 62.9%',1,1),
(59588,390127,7,100,'5% chance to dispel when target receives hostile action',1,2),
(59589,390127,7,100,'5% chance to dispel when target takes damage',1,3),
(59590,390127,7,100,'Inflicts 985 - 1642 ranged damage on target',0,4),
(59591,390127,7,100,'Must be flanking or behind',0,5),
(59592,390127,7,100,'Requires bow or aim',0,6),
(59593,390127,9,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(59594,390127,9,100,'Slows target by 65.3%',1,1),
(59595,390127,9,100,'5% chance to dispel when target receives hostile action',1,2),
(59596,390127,9,100,'5% chance to dispel when target takes damage',1,3),
(59597,390127,9,100,'Inflicts 1023 - 1706 ranged damage on target',0,4),
(59598,390127,9,100,'Must be flanking or behind',0,5),
(59599,390127,9,100,'Requires bow or aim',0,6),
(59600,390128,1,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(59601,390128,1,100,'Slows target by 37.1%',1,1),
(59602,390128,1,100,'5% chance to dispel when target receives hostile action',1,2),
(59603,390128,1,100,'5% chance to dispel when target takes damage',1,3),
(59604,390128,1,100,'Inflicts 697 - 1162 ranged damage on target',0,4),
(59605,390128,1,100,'Must be flanking or behind',0,5),
(59606,390128,1,100,'Requires bow or aim',0,6),
(59607,390128,4,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(59608,390128,4,100,'Slows target by 45.4%',1,1),
(59609,390128,4,100,'5% chance to dispel when target receives hostile action',1,2),
(59610,390128,4,100,'5% chance to dispel when target takes damage',1,3),
(59611,390128,4,100,'Inflicts 852 - 1421 ranged damage on target',0,4),
(59612,390128,4,100,'Must be flanking or behind',0,5),
(59613,390128,4,100,'Requires bow or aim',0,6),
(59614,390128,5,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(59615,390128,5,100,'Slows target by 49.5%',1,1),
(59616,390128,5,100,'5% chance to dispel when target receives hostile action',1,2),
(59617,390128,5,100,'5% chance to dispel when target takes damage',1,3),
(59618,390128,5,100,'Inflicts 930 - 1550 ranged damage on target',0,4),
(59619,390128,5,100,'Must be flanking or behind',0,5),
(59620,390128,5,100,'Requires bow or aim',0,6),
(59621,390128,7,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(59622,390128,7,100,'Slows target by 63.5%',1,1),
(59623,390128,7,100,'5% chance to dispel when target receives hostile action',1,2),
(59624,390128,7,100,'5% chance to dispel when target takes damage',1,3),
(59625,390128,7,100,'Inflicts 1193 - 1989 ranged damage on target',0,4),
(59626,390128,7,100,'Must be flanking or behind',0,5),
(59627,390128,7,100,'Requires bow or aim',0,6),
(59628,390128,9,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(59629,390128,9,100,'Slows target by 66.0%',1,1),
(59630,390128,9,100,'5% chance to dispel when target receives hostile action',1,2),
(59631,390128,9,100,'5% chance to dispel when target takes damage',1,3),
(59632,390128,9,100,'Inflicts 1240 - 2067 ranged damage on target',0,4),
(59633,390128,9,100,'Must be flanking or behind',0,5),
(59634,390128,9,100,'Requires bow or aim',0,6),
(59635,390129,1,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(59636,390129,1,100,'Slows target by 37.5%',1,1),
(59637,390129,1,100,'5% chance to dispel when target receives hostile action',1,2),
(59638,390129,1,100,'5% chance to dispel when target takes damage',1,3),
(59639,390129,1,100,'Inflicts 827 - 1379 ranged damage on target',0,4),
(59640,390129,1,100,'Must be flanking or behind',0,5),
(59641,390129,1,100,'Requires bow or aim',0,6),
(59642,390129,4,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(59643,390129,4,100,'Slows target by 45.8%',1,1),
(59644,390129,4,100,'5% chance to dispel when target receives hostile action',1,2),
(59645,390129,4,100,'5% chance to dispel when target takes damage',1,3),
(59646,390129,4,100,'Inflicts 1011 - 1686 ranged damage on target',0,4),
(59647,390129,4,100,'Must be flanking or behind',0,5),
(59648,390129,4,100,'Requires bow or aim',0,6),
(59649,390129,5,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(59650,390129,5,100,'Slows target by 50.0%',1,1),
(59651,390129,5,100,'5% chance to dispel when target receives hostile action',1,2),
(59652,390129,5,100,'5% chance to dispel when target takes damage',1,3),
(59653,390129,5,100,'Inflicts 1103 - 1839 ranged damage on target',0,4),
(59654,390129,5,100,'Must be flanking or behind',0,5),
(59655,390129,5,100,'Requires bow or aim',0,6),
(59656,390129,7,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(59657,390129,7,100,'Slows target by 64.1%',1,1),
(59658,390129,7,100,'5% chance to dispel when target receives hostile action',1,2),
(59659,390129,7,100,'5% chance to dispel when target takes damage',1,3),
(59660,390129,7,100,'Inflicts 1416 - 2360 ranged damage on target',0,4),
(59661,390129,7,100,'Must be flanking or behind',0,5),
(59662,390129,7,100,'Requires bow or aim',0,6),
(59663,390129,9,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(59664,390129,9,100,'Slows target by 66.6%',1,1),
(59665,390129,9,100,'5% chance to dispel when target receives hostile action',1,2),
(59666,390129,9,100,'5% chance to dispel when target takes damage',1,3),
(59667,390129,9,100,'Inflicts 1471 - 2452 ranged damage on target',0,4),
(59668,390129,9,100,'Must be flanking or behind',0,5),
(59669,390129,9,100,'Requires bow or aim',0,6),
(59670,30148,1,100,'Reduces the hate position of all non-fighter group members on target encounter.',0,0),
(59671,30148,1,100,'Increases the hate position of all other fighter allies that are hated by every enemy in target encounter.',0,1),
(59672,30148,2,100,'Reduces the hate position of all non-fighter group members on target encounter.',0,0),
(59673,30148,2,100,'Increases the hate position of all other fighter allies that are hated by every enemy in target encounter.',0,1),
(59674,30148,3,100,'Reduces the hate position of all non-fighter group members on target encounter.',0,0),
(59675,30148,3,100,'Increases the hate position of all other fighter allies that are hated by every enemy in target encounter.',0,1),
(59676,30148,4,100,'Reduces the hate position of all non-fighter group members on target encounter.',0,0),
(59677,30148,4,100,'Increases the hate position of all other fighter allies that are hated by every enemy in target encounter.',0,1),
(59678,30148,5,100,'Reduces the hate position of all non-fighter group members on target encounter.',0,0),
(59679,30148,5,100,'Increases the hate position of all other fighter allies that are hated by every enemy in target encounter.',0,1),
(59680,30148,7,100,'Reduces the hate position of all non-fighter group members on target encounter.',0,0),
(59681,30148,7,100,'Increases the hate position of all other fighter allies that are hated by every enemy in target encounter.',0,1),
(59682,30148,9,100,'Reduces the hate position of all non-fighter group members on target encounter.',0,0),
(59683,30148,9,100,'Increases the hate position of all other fighter allies that are hated by every enemy in target encounter.',0,1),
(59684,40166,1,100,'Grants target a 13% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(59685,40166,1,100,'Adds 0.8% to base avoidance.',0,1),
(59686,40166,2,100,'Grants target a 14% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(59687,40166,2,100,'Adds 0.9% to base avoidance.',0,1),
(59688,40166,3,100,'Grants target a 15% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(59689,40166,3,100,'Adds 0.9% to base avoidance.',0,1),
(59690,40166,4,100,'Grants target a 17% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(59691,40166,4,100,'Adds 1.0% to base avoidance.',0,1),
(59692,40166,5,100,'Grants target a 18% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(59693,40166,5,100,'Adds 1.1% to base avoidance.',0,1),
(59694,40166,7,100,'Grants target a 23% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(59695,40166,7,100,'Adds 1.4% to base avoidance.',0,1),
(59696,40166,9,100,'Grants target a 24% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(59697,40166,9,100,'Adds 1.5% to base avoidance.',0,1),
(59698,40167,1,100,'Grants target a 18% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(59699,40167,1,100,'Adds 0.8% to base avoidance.',0,1),
(59700,40167,2,100,'Grants target a 19% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(59701,40167,2,100,'Adds 0.9% to base avoidance.',0,1),
(59702,40167,3,100,'Grants target a 21% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(59703,40167,3,100,'Adds 0.9% to base avoidance.',0,1),
(59704,40167,4,100,'Grants target a 23% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(59705,40167,4,100,'Adds 1.0% to base avoidance.',0,1),
(59706,40167,5,100,'Grants target a 25% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(59707,40167,5,100,'Adds 1.1% to base avoidance.',0,1),
(59708,40167,7,100,'Grants target a 32% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(59709,40167,7,100,'Adds 1.4% to base avoidance.',0,1),
(59710,40167,9,100,'Grants target a 33% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(59711,40167,9,100,'Adds 1.5% to base avoidance.',0,1),
(59712,40167,10,100,'Grants target a 35% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(59713,40167,10,100,'Adds 1.5% to base avoidance.',0,1),
(59714,40168,1,100,'Grants target a 25% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(59715,40168,1,100,'Adds 0.8% to base avoidance.',0,1),
(59716,40168,2,100,'Grants target a 26% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(59717,40168,2,100,'Adds 0.9% to base avoidance.',0,1),
(59718,40168,3,100,'Grants target a 28% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(59719,40168,3,100,'Adds 0.9% to base avoidance.',0,1),
(59720,40168,4,100,'Grants target a 30% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(59721,40168,4,100,'Adds 1.0% to base avoidance.',0,1),
(59722,40168,5,100,'Grants target a 33% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(59723,40168,5,100,'Adds 1.1% to base avoidance.',0,1),
(59724,40168,7,100,'Grants target a 43% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(59725,40168,7,100,'Adds 1.4% to base avoidance.',0,1),
(59726,40168,9,100,'Grants target a 44% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(59727,40168,9,100,'Adds 1.5% to base avoidance.',0,1),
(59728,40169,1,100,'Grants target a 30% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(59729,40169,1,100,'Adds 0.8% to base avoidance.',0,1),
(59730,40169,2,100,'Grants target a 32% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(59731,40169,2,100,'Adds 0.9% to base avoidance.',0,1),
(59732,40169,3,100,'Grants target a 34% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(59733,40169,3,100,'Adds 0.9% to base avoidance.',0,1),
(59734,40169,4,100,'Grants target a 37% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(59735,40169,4,100,'Adds 1.0% to base avoidance.',0,1),
(59736,40169,5,100,'Grants target a 40% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(59737,40169,5,100,'Adds 1.1% to base avoidance.',0,1),
(59738,40169,7,100,'Grants target a 52% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(59739,40169,7,100,'Adds 1.4% to base avoidance.',0,1),
(59740,40169,9,100,'Grants target a 54% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(59741,40169,9,100,'Adds 1.5% to base avoidance.',0,1),
(59742,10010,1,100,'Decreases Hate Gain of caster by 150.0%',0,0),
(59743,10010,1,100,'Removes all threat positions from abilities that inflict damage.',0,1),
(59744,10010,1,100,'Suspends incoming threat transfers while active',0,2),
(59745,10010,1,100,'Cannot be modified except by direct means',0,3),
(59746,10010,1,100,'Doubles the caster''s potency',0,4),
(59747,10010,1,100,'Increases all damage done to caster by 50%',0,5),
(59748,10010,1,100,'Suspends for 15 seconds if the caster is swung at with a melee attack. Does not suspend in PVP Combat.',0,6),
(59749,10010,1,100,'Decreases Hate Gain of caster by 30.0%',0,7),
(59750,10010,1,100,'Increases Potency of caster by 50.0%',0,8),
(59751,10010,1,100,'Cannot be modified except by direct means',0,9),
(59752,380009,1,100,'Decreases Hate Gain of caster by 13.0%',0,0),
(59753,380009,2,100,'Decreases Hate Gain of caster by 13.7%',0,0),
(59754,380009,3,100,'Decreases Hate Gain of caster by 14.4%',0,0),
(59755,380009,4,100,'Decreases Hate Gain of caster by 15.8%',0,0),
(59756,380009,5,100,'Decreases Hate Gain of caster by 17.3%',0,0),
(59757,380009,7,100,'Decreases Hate Gain of caster by 22.2%',0,0),
(59758,380009,9,100,'Decreases Hate Gain of caster by 23.0%',0,0),
(59759,30149,1,100,'On a melee hit this spell will cast Reinforcement on target of attack.  ',0,0),
(59760,30149,1,100,'Increases threat priority of target by 1 position',1,1),
(59761,30149,1,100,'Increases Threat to target by 1,044 ',1,2),
(59762,30149,2,100,'On a melee hit this spell will cast Reinforcement on target of attack.  ',0,0),
(59763,30149,2,100,'Increases threat priority of target by 1 position',1,1),
(59764,30149,2,100,'Increases Threat to target by 1,102 ',1,2),
(59765,30149,3,100,'On a melee hit this spell will cast Reinforcement on target of attack.  ',0,0),
(59766,30149,3,100,'Increases threat priority of target by 1 position',1,1),
(59767,30149,3,100,'Increases Threat to target by 1,160 ',1,2),
(59768,30149,4,100,'On a melee hit this spell will cast Reinforcement on target of attack.  ',0,0),
(59769,30149,4,100,'Increases threat priority of target by 1 position',1,1),
(59770,30149,4,100,'Increases Threat to target by 1,271 ',1,2),
(59771,30149,5,100,'On a melee hit this spell will cast Reinforcement on target of attack.  ',0,0),
(59772,30149,5,100,'Increases threat priority of target by 1 position',1,1),
(59773,30149,5,100,'Increases Threat to target by 1,338 ',1,2),
(59774,30149,7,100,'On a melee hit this spell will cast Reinforcement on target of attack.  ',0,0),
(59775,30149,7,100,'Increases threat priority of target by 1 position',1,1),
(59776,30149,7,100,'Increases Threat to target by 1,564 ',1,2),
(59777,30149,9,100,'On a melee hit this spell will cast Reinforcement on target of attack.  ',0,0),
(59778,30149,9,100,'Increases threat priority of target by 1 position',1,1),
(59779,30149,9,100,'Increases Threat to target by 1,604 ',1,2),
(59780,2000217,1,100,'Increases Threat to target by 22,725 - 33,842 ',0,0),
(59781,2000218,3,100,'Increases Potency of group members (AE) by 10.0%',0,0),
(59782,2000218,4,100,'Increases Potency of group members (AE) by 11.0%',0,0),
(59783,2000218,5,100,'Increases Potency of group members (AE) by 12.0%',0,0),
(59784,2000218,7,100,'Increases Potency of group members (AE) by 15.4%',0,0),
(59785,2000218,9,100,'Increases Potency of group members (AE) by 16.0%',0,0),
(59786,2000218,10,100,'Increases Potency of group members (AE) by 16.8%',0,0),
(59787,10011,1,100,'Increases threat priority of target by 3 positions',0,0),
(59788,10011,1,100,'Increases Threat to target by 3,426 ',0,1),
(59789,10011,2,100,'Increases threat priority of target by 3 positions',0,0),
(59790,10011,2,100,'Increases Threat to target by 3,587 ',0,1),
(59791,10011,3,100,'Increases threat priority of target by 3 positions',0,0),
(59792,10011,3,100,'Increases Threat to target by 3,747 ',0,1),
(59793,10011,4,100,'Increases threat priority of target by 3 positions',0,0),
(59794,10011,4,100,'Increases Threat to target by 4,068 ',0,1),
(59795,10011,5,100,'Increases threat priority of target by 3 positions',0,0),
(59796,10011,5,100,'Increases Threat to target by 4,389 ',0,1),
(59797,10011,7,100,'Increases threat priority of target by 3 positions',0,0),
(59798,10011,7,100,'Increases Threat to target by 5,479 ',0,1),
(59799,10011,9,100,'Increases threat priority of target by 3 positions',0,0),
(59800,10011,9,100,'Increases Threat to target by 5,672 ',0,1),
(59801,100079,1,100,'Grants target a 13% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(59802,100079,1,100,'Increases Defense of caster by 2.8',0,1),
(59803,100079,2,100,'Grants target a 14% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(59804,100079,2,100,'Increases Defense of caster by 3.0',0,1),
(59805,100079,3,100,'Grants target a 15% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(59806,100079,3,100,'Increases Defense of caster by 3.2',0,1),
(59807,100079,4,100,'Grants target a 17% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(59808,100079,4,100,'Increases Defense of caster by 3.5',0,1),
(59809,100079,5,100,'Grants target a 18% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(59810,100079,5,100,'Increases Defense of caster by 3.8',0,1),
(59811,100079,7,100,'Grants target a 23% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(59812,100079,7,100,'Increases Defense of caster by 4.9',0,1),
(59813,100079,9,100,'Grants target a 24% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(59814,100079,9,100,'Increases Defense of caster by 5.0',0,1),
(59815,100080,1,100,'Grants target a 18% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(59816,100080,1,100,'Increases Defense of caster by 4.3',0,1),
(59817,100080,2,100,'Grants target a 19% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(59818,100080,2,100,'Increases Defense of caster by 4.6',0,1),
(59819,100080,3,100,'Grants target a 21% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(59820,100080,3,100,'Increases Defense of caster by 4.8',0,1),
(59821,100080,4,100,'Grants target a 23% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(59822,100080,4,100,'Increases Defense of caster by 5.3',0,1),
(59823,100080,5,100,'Grants target a 25% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(59824,100080,5,100,'Increases Defense of caster by 5.8',0,1),
(59825,100080,7,100,'Grants target a 32% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(59826,100080,7,100,'Increases Defense of caster by 7.4',0,1),
(59827,100080,9,100,'Grants target a 33% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(59828,100080,9,100,'Increases Defense of caster by 7.7',0,1),
(59829,100080,10,100,'Grants target a 35% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(59830,100080,10,100,'Increases Defense of caster by 8.1',0,1),
(59831,100081,1,100,'Grants target a 25% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(59832,100081,1,100,'Increases Defense of caster by 6.2',0,1),
(59833,100081,2,100,'Grants target a 26% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(59834,100081,2,100,'Increases Defense of caster by 6.6',0,1),
(59835,100081,3,100,'Grants target a 28% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(59836,100081,3,100,'Increases Defense of caster by 6.9',0,1),
(59837,100081,4,100,'Grants target a 30% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(59838,100081,4,100,'Increases Defense of caster by 7.6',0,1),
(59839,100081,5,100,'Grants target a 33% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(59840,100081,5,100,'Increases Defense of caster by 8.3',0,1),
(59841,100081,7,100,'Grants target a 43% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(59842,100081,7,100,'Increases Defense of caster by 10.6',0,1),
(59843,100081,9,100,'Grants target a 44% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(59844,100081,9,100,'Increases Defense of caster by 11.0',0,1),
(59845,100082,1,100,'Grants target a 30% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(59846,100082,1,100,'Increases Defense of caster by 8.1',0,1),
(59847,100082,2,100,'Grants target a 32% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(59848,100082,2,100,'Increases Defense of caster by 8.6',0,1),
(59849,100082,3,100,'Grants target a 34% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(59850,100082,3,100,'Increases Defense of caster by 9.0',0,1),
(59851,100082,4,100,'Grants target a 37% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(59852,100082,4,100,'Increases Defense of caster by 9.9',0,1),
(59853,100082,5,100,'Grants target a 40% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(59854,100082,5,100,'Increases Defense of caster by 10.8',0,1),
(59855,100082,7,100,'Grants target a 52% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(59856,100082,7,100,'Increases Defense of caster by 13.9',0,1),
(59857,100082,9,100,'Grants target a 54% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(59858,100082,9,100,'Increases Defense of caster by 14.4',0,1),
(59859,420068,1,100,'Inflicts 218 - 364 melee damage on target encounter',0,0),
(59860,420068,1,100,'Heals group members (AE) for 5 - 8',0,1),
(59861,420068,1,100,'The effect of this ability grows based on Savagery and Spirituality level.',0,2),
(59862,420068,1,100,'You must have your warder active to use this ability.',0,3),
(59863,30150,1,100,'Inflicts 150 - 250 melee damage on target',0,0),
(59864,30150,1,100,'Dazes target',0,1),
(59865,30150,1,100,'If Target is not Epic',1,2),
(59866,30150,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(59867,30150,2,100,'Inflicts 158 - 263 melee damage on target',0,0),
(59868,30150,2,100,'Dazes target',0,1),
(59869,30150,2,100,'If Target is not Epic',1,2),
(59870,30150,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(59871,30150,3,100,'Inflicts 166 - 277 melee damage on target',0,0),
(59872,30150,3,100,'Dazes target',0,1),
(59873,30150,3,100,'If Target is not Epic',1,2),
(59874,30150,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(59875,30150,4,100,'Inflicts 183 - 305 melee damage on target',0,0),
(59876,30150,4,100,'Dazes target',0,1),
(59877,30150,4,100,'If Target is not Epic',1,2),
(59878,30150,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(59879,30150,5,100,'Inflicts 200 - 333 melee damage on target',0,0),
(59880,30150,5,100,'Dazes target',0,1),
(59881,30150,5,100,'If Target is not Epic',1,2),
(59882,30150,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(59883,30150,7,100,'Inflicts 256 - 427 melee damage on target',0,0),
(59884,30150,7,100,'Dazes target',0,1),
(59885,30150,7,100,'If Target is not Epic',1,2),
(59886,30150,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(59887,30150,9,100,'Inflicts 266 - 444 melee damage on target',0,0),
(59888,30150,9,100,'Dazes target',0,1),
(59889,30150,9,100,'If Target is not Epic',1,2),
(59890,30150,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(59891,30150,10,100,'Inflicts 280 - 466 melee damage on target',0,0),
(59892,30150,10,100,'Dazes target',0,1),
(59893,30150,10,100,'If Target is not Epic',1,2),
(59894,30150,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(59895,30151,1,100,'Inflicts 221 - 368 melee damage on target',0,0),
(59896,30151,1,100,'Dazes target',0,1),
(59897,30151,1,100,'If Target is not Epic',1,2),
(59898,30151,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(59899,30151,2,100,'Inflicts 233 - 388 melee damage on target',0,0),
(59900,30151,2,100,'Dazes target',0,1),
(59901,30151,2,100,'If Target is not Epic',1,2),
(59902,30151,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(59903,30151,3,100,'Inflicts 245 - 409 melee damage on target',0,0),
(59904,30151,3,100,'Dazes target',0,1),
(59905,30151,3,100,'If Target is not Epic',1,2),
(59906,30151,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(59907,30151,4,100,'Inflicts 270 - 450 melee damage on target',0,0),
(59908,30151,4,100,'Dazes target',0,1),
(59909,30151,4,100,'If Target is not Epic',1,2),
(59910,30151,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(59911,30151,5,100,'Inflicts 294 - 491 melee damage on target',0,0),
(59912,30151,5,100,'Dazes target',0,1),
(59913,30151,5,100,'If Target is not Epic',1,2),
(59914,30151,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(59915,30151,7,100,'Inflicts 378 - 630 melee damage on target',0,0),
(59916,30151,7,100,'Dazes target',0,1),
(59917,30151,7,100,'If Target is not Epic',1,2),
(59918,30151,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(59919,30151,9,100,'Inflicts 392 - 654 melee damage on target',0,0),
(59920,30151,9,100,'Dazes target',0,1),
(59921,30151,9,100,'If Target is not Epic',1,2),
(59922,30151,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(59923,30151,10,100,'Inflicts 412 - 687 melee damage on target',0,0),
(59924,30151,10,100,'Dazes target',0,1),
(59925,30151,10,100,'If Target is not Epic',1,2),
(59926,30151,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(59927,30152,1,100,'Inflicts 292 - 486 melee damage on target',0,0),
(59928,30152,1,100,'Dazes target',0,1),
(59929,30152,1,100,'If Target is not Epic',1,2),
(59930,30152,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(59931,30152,2,100,'Inflicts 308 - 513 melee damage on target',0,0),
(59932,30152,2,100,'Dazes target',0,1),
(59933,30152,2,100,'If Target is not Epic',1,2),
(59934,30152,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(59935,30152,3,100,'Inflicts 324 - 540 melee damage on target',0,0),
(59936,30152,3,100,'Dazes target',0,1),
(59937,30152,3,100,'If Target is not Epic',1,2),
(59938,30152,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(59939,30152,4,100,'Inflicts 356 - 594 melee damage on target',0,0),
(59940,30152,4,100,'Dazes target',0,1),
(59941,30152,4,100,'If Target is not Epic',1,2),
(59942,30152,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(59943,30152,5,100,'Inflicts 389 - 648 melee damage on target',0,0),
(59944,30152,5,100,'Dazes target',0,1),
(59945,30152,5,100,'If Target is not Epic',1,2),
(59946,30152,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(59947,30152,7,100,'Inflicts 499 - 832 melee damage on target',0,0),
(59948,30152,7,100,'Dazes target',0,1),
(59949,30152,7,100,'If Target is not Epic',1,2),
(59950,30152,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(59951,30152,9,100,'Inflicts 519 - 865 melee damage on target',0,0),
(59952,30152,9,100,'Dazes target',0,1),
(59953,30152,9,100,'If Target is not Epic',1,2),
(59954,30152,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(59955,30153,1,100,'Inflicts 353 - 589 melee damage on target',0,0),
(59956,30153,1,100,'Dazes target',0,1),
(59957,30153,1,100,'If Target is not Epic',1,2),
(59958,30153,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(59959,30153,2,100,'Inflicts 373 - 621 melee damage on target',0,0),
(59960,30153,2,100,'Dazes target',0,1),
(59961,30153,2,100,'If Target is not Epic',1,2),
(59962,30153,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(59963,30153,3,100,'Inflicts 392 - 654 melee damage on target',0,0),
(59964,30153,3,100,'Dazes target',0,1),
(59965,30153,3,100,'If Target is not Epic',1,2),
(59966,30153,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(59967,30153,4,100,'Inflicts 432 - 720 melee damage on target',0,0),
(59968,30153,4,100,'Dazes target',0,1),
(59969,30153,4,100,'If Target is not Epic',1,2),
(59970,30153,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(59971,30153,5,100,'Inflicts 471 - 785 melee damage on target',0,0),
(59972,30153,5,100,'Dazes target',0,1),
(59973,30153,5,100,'If Target is not Epic',1,2),
(59974,30153,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(59975,30153,7,100,'Inflicts 604 - 1008 melee damage on target',0,0),
(59976,30153,7,100,'Dazes target',0,1),
(59977,30153,7,100,'If Target is not Epic',1,2),
(59978,30153,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(59979,30153,9,100,'Inflicts 628 - 1047 melee damage on target',0,0),
(59980,30153,9,100,'Dazes target',0,1),
(59981,30153,9,100,'If Target is not Epic',1,2),
(59982,30153,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(59983,30154,1,100,'Inflicts 425 - 709 melee damage on target',0,0),
(59984,30154,1,100,'Dazes target',0,1),
(59985,30154,1,100,'If Target is not Epic',1,2),
(59986,30154,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(59987,30154,4,100,'Inflicts 520 - 867 melee damage on target',0,0),
(59988,30154,4,100,'Dazes target',0,1),
(59989,30154,4,100,'If Target is not Epic',1,2),
(59990,30154,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(59991,30154,5,100,'Inflicts 567 - 946 melee damage on target',0,0),
(59992,30154,5,100,'Dazes target',0,1),
(59993,30154,5,100,'If Target is not Epic',1,2),
(59994,30154,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(59995,30154,7,100,'Inflicts 728 - 1214 melee damage on target',0,0),
(59996,30154,7,100,'Dazes target',0,1),
(59997,30154,7,100,'If Target is not Epic',1,2),
(59998,30154,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(59999,30154,9,100,'Inflicts 757 - 1261 melee damage on target',0,0),
(60000,30154,9,100,'Dazes target',0,1),
(60001,30154,9,100,'If Target is not Epic',1,2),
(60002,30154,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(60003,30155,1,100,'Inflicts 462 - 770 melee damage on target',0,0),
(60004,30155,1,100,'Dazes target',0,1),
(60005,30155,1,100,'If Target is not Epic',1,2),
(60006,30155,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(60007,30155,4,100,'Inflicts 565 - 941 melee damage on target',0,0),
(60008,30155,4,100,'Dazes target',0,1),
(60009,30155,4,100,'If Target is not Epic',1,2),
(60010,30155,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(60011,30155,5,100,'Inflicts 616 - 1027 melee damage on target',0,0),
(60012,30155,5,100,'Dazes target',0,1),
(60013,30155,5,100,'If Target is not Epic',1,2),
(60014,30155,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(60015,30155,7,100,'Inflicts 791 - 1318 melee damage on target',0,0),
(60016,30155,7,100,'Dazes target',0,1),
(60017,30155,7,100,'If Target is not Epic',1,2),
(60018,30155,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(60019,30155,9,100,'Inflicts 821 - 1369 melee damage on target',0,0),
(60020,30155,9,100,'Dazes target',0,1),
(60021,30155,9,100,'If Target is not Epic',1,2),
(60022,30155,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(60023,2000219,1,100,'Applies Reversal.  Lasts for 30.0 seconds.',0,0),
(60024,2000219,1,100,'When parried this spell will cast Gladiator''s Strike on target''s victim.  ',1,1),
(60025,2000219,1,100,'Inflicts 465 - 776 melee damage on target',2,2),
(60026,2000219,1,100,'Grants a total of 1 trigger of the spell.',2,3),
(60027,2000219,1,100,'When riposted this spell will cast Gladiator''s Strike on target''s victim.  ',1,4),
(60028,2000219,1,100,'Inflicts 465 - 776 melee damage on target',2,5),
(60029,2000219,1,100,'Grants a total of 1 trigger of the spell.',2,6),
(60030,2000219,1,100,'When blocked this spell will cast Gladiator''s Strike on target''s victim.  ',1,7),
(60031,2000219,1,100,'Inflicts 465 - 776 melee damage on target',2,8),
(60032,2000219,1,100,'Grants a total of 1 trigger of the spell.',2,9),
(60033,2000219,1,100,'When deflected this spell will cast Gladiator''s Strike on target''s victim.  ',1,10),
(60034,2000219,1,100,'Inflicts 465 - 776 melee damage on target',2,11),
(60035,2000219,1,100,'Grants a total of 1 trigger of the spell.',2,12),
(60036,2000219,1,100,'On a parry this spell will cast Gladiator''s Strike on target''s victim.  ',1,13),
(60037,2000219,1,100,'Inflicts 465 - 776 melee damage on target',2,14),
(60038,2000219,1,100,'Grants a total of 1 trigger of the spell.',2,15),
(60039,2000219,1,100,'On a riposte this spell will cast Gladiator''s Strike on target''s victim.  ',1,16),
(60040,2000219,1,100,'Inflicts 465 - 776 melee damage on target',2,17),
(60041,2000219,1,100,'Grants a total of 1 trigger of the spell.',2,18),
(60042,2000219,1,100,'If any of the following are true:',0,19),
(60043,2000219,1,100,'If shield equipped in Secondary',1,20),
(60044,2000219,1,100,'If buckler equipped in Secondary',1,21),
(60045,2000219,1,100,'If towershield equipped in Secondary',1,22),
(60046,2000219,1,100,'If kiteshield equipped in Secondary',1,23),
(60047,2000219,1,100,'If roundshield equipped in Secondary',1,24),
(60048,2000219,2,100,'Applies Reversal.  Lasts for 30.0 seconds.',0,0),
(60049,2000219,2,100,'When parried this spell will cast Gladiator''s Strike on target''s victim.  ',1,1),
(60050,2000219,2,100,'Inflicts 491 - 819 melee damage on target',2,2),
(60051,2000219,2,100,'Grants a total of 1 trigger of the spell.',2,3),
(60052,2000219,2,100,'When riposted this spell will cast Gladiator''s Strike on target''s victim.  ',1,4),
(60053,2000219,2,100,'Inflicts 491 - 819 melee damage on target',2,5),
(60054,2000219,2,100,'Grants a total of 1 trigger of the spell.',2,6),
(60055,2000219,2,100,'When blocked this spell will cast Gladiator''s Strike on target''s victim.  ',1,7),
(60056,2000219,2,100,'Inflicts 491 - 819 melee damage on target',2,8),
(60057,2000219,2,100,'Grants a total of 1 trigger of the spell.',2,9),
(60058,2000219,2,100,'When deflected this spell will cast Gladiator''s Strike on target''s victim.  ',1,10),
(60059,2000219,2,100,'Inflicts 491 - 819 melee damage on target',2,11),
(60060,2000219,2,100,'Grants a total of 1 trigger of the spell.',2,12),
(60061,2000219,2,100,'On a parry this spell will cast Gladiator''s Strike on target''s victim.  ',1,13),
(60062,2000219,2,100,'Inflicts 491 - 819 melee damage on target',2,14),
(60063,2000219,2,100,'Grants a total of 1 trigger of the spell.',2,15),
(60064,2000219,2,100,'On a riposte this spell will cast Gladiator''s Strike on target''s victim.  ',1,16),
(60065,2000219,2,100,'Inflicts 491 - 819 melee damage on target',2,17),
(60066,2000219,2,100,'Grants a total of 1 trigger of the spell.',2,18),
(60067,2000219,2,100,'If any of the following are true:',0,19),
(60068,2000219,2,100,'If shield equipped in Secondary',1,20),
(60069,2000219,2,100,'If buckler equipped in Secondary',1,21),
(60070,2000219,2,100,'If towershield equipped in Secondary',1,22),
(60071,2000219,2,100,'If kiteshield equipped in Secondary',1,23),
(60072,2000219,2,100,'If roundshield equipped in Secondary',1,24),
(60073,2000219,3,100,'Applies Reversal.  Lasts for 30.0 seconds.',0,0),
(60074,2000219,3,100,'When parried this spell will cast Gladiator''s Strike on target''s victim.  ',1,1),
(60075,2000219,3,100,'Inflicts 517 - 862 melee damage on target',2,2),
(60076,2000219,3,100,'Grants a total of 1 trigger of the spell.',2,3),
(60077,2000219,3,100,'When riposted this spell will cast Gladiator''s Strike on target''s victim.  ',1,4),
(60078,2000219,3,100,'Inflicts 517 - 862 melee damage on target',2,5),
(60079,2000219,3,100,'Grants a total of 1 trigger of the spell.',2,6),
(60080,2000219,3,100,'When blocked this spell will cast Gladiator''s Strike on target''s victim.  ',1,7),
(60081,2000219,3,100,'Inflicts 517 - 862 melee damage on target',2,8),
(60082,2000219,3,100,'Grants a total of 1 trigger of the spell.',2,9),
(60083,2000219,3,100,'When deflected this spell will cast Gladiator''s Strike on target''s victim.  ',1,10),
(60084,2000219,3,100,'Inflicts 517 - 862 melee damage on target',2,11),
(60085,2000219,3,100,'Grants a total of 1 trigger of the spell.',2,12),
(60086,2000219,3,100,'On a parry this spell will cast Gladiator''s Strike on target''s victim.  ',1,13),
(60087,2000219,3,100,'Inflicts 517 - 862 melee damage on target',2,14),
(60088,2000219,3,100,'Grants a total of 1 trigger of the spell.',2,15),
(60089,2000219,3,100,'On a riposte this spell will cast Gladiator''s Strike on target''s victim.  ',1,16),
(60090,2000219,3,100,'Inflicts 517 - 862 melee damage on target',2,17),
(60091,2000219,3,100,'Grants a total of 1 trigger of the spell.',2,18),
(60092,2000219,3,100,'If any of the following are true:',0,19),
(60093,2000219,3,100,'If shield equipped in Secondary',1,20),
(60094,2000219,3,100,'If buckler equipped in Secondary',1,21),
(60095,2000219,3,100,'If towershield equipped in Secondary',1,22),
(60096,2000219,3,100,'If kiteshield equipped in Secondary',1,23),
(60097,2000219,3,100,'If roundshield equipped in Secondary',1,24),
(60098,2000219,4,100,'Applies Reversal.  Lasts for 30.0 seconds.',0,0),
(60099,2000219,4,100,'When parried this spell will cast Gladiator''s Strike on target''s victim.  ',1,1),
(60100,2000219,4,100,'Inflicts 427 - 712 melee damage on target',2,2),
(60101,2000219,4,100,'Grants a total of 1 trigger of the spell.',2,3),
(60102,2000219,4,100,'When riposted this spell will cast Gladiator''s Strike on target''s victim.  ',1,4),
(60103,2000219,4,100,'Inflicts 427 - 712 melee damage on target',2,5),
(60104,2000219,4,100,'Grants a total of 1 trigger of the spell.',2,6),
(60105,2000219,4,100,'When blocked this spell will cast Gladiator''s Strike on target''s victim.  ',1,7),
(60106,2000219,4,100,'Inflicts 427 - 712 melee damage on target',2,8),
(60107,2000219,4,100,'Grants a total of 1 trigger of the spell.',2,9),
(60108,2000219,4,100,'When deflected this spell will cast Gladiator''s Strike on target''s victim.  ',1,10),
(60109,2000219,4,100,'Inflicts 427 - 712 melee damage on target',2,11),
(60110,2000219,4,100,'Grants a total of 1 trigger of the spell.',2,12),
(60111,2000219,4,100,'On a parry this spell will cast Gladiator''s Strike on target''s victim.  ',1,13),
(60112,2000219,4,100,'Inflicts 427 - 712 melee damage on target',2,14),
(60113,2000219,4,100,'Grants a total of 1 trigger of the spell.',2,15),
(60114,2000219,4,100,'On a riposte this spell will cast Gladiator''s Strike on target''s victim.  ',1,16),
(60115,2000219,4,100,'Inflicts 427 - 712 melee damage on target',2,17),
(60116,2000219,4,100,'Grants a total of 1 trigger of the spell.',2,18),
(60117,2000219,4,100,'If any of the following are true:',0,19),
(60118,2000219,4,100,'If shield equipped in Secondary',1,20),
(60119,2000219,4,100,'If buckler equipped in Secondary',1,21),
(60120,2000219,4,100,'If towershield equipped in Secondary',1,22),
(60121,2000219,4,100,'If kiteshield equipped in Secondary',1,23),
(60122,2000219,4,100,'If roundshield equipped in Secondary',1,24),
(60123,2000219,5,100,'Applies Reversal.  Lasts for 30.0 seconds.',0,0),
(60124,2000219,5,100,'When parried this spell will cast Gladiator''s Strike on target''s victim.  ',1,1),
(60125,2000219,5,100,'Inflicts 621 - 1035 melee damage on target',2,2),
(60126,2000219,5,100,'Grants a total of 1 trigger of the spell.',2,3),
(60127,2000219,5,100,'When riposted this spell will cast Gladiator''s Strike on target''s victim.  ',1,4),
(60128,2000219,5,100,'Inflicts 621 - 1035 melee damage on target',2,5),
(60129,2000219,5,100,'Grants a total of 1 trigger of the spell.',2,6),
(60130,2000219,5,100,'When blocked this spell will cast Gladiator''s Strike on target''s victim.  ',1,7),
(60131,2000219,5,100,'Inflicts 621 - 1035 melee damage on target',2,8),
(60132,2000219,5,100,'Grants a total of 1 trigger of the spell.',2,9),
(60133,2000219,5,100,'When deflected this spell will cast Gladiator''s Strike on target''s victim.  ',1,10),
(60134,2000219,5,100,'Inflicts 621 - 1035 melee damage on target',2,11),
(60135,2000219,5,100,'Grants a total of 1 trigger of the spell.',2,12),
(60136,2000219,5,100,'On a parry this spell will cast Gladiator''s Strike on target''s victim.  ',1,13),
(60137,2000219,5,100,'Inflicts 621 - 1035 melee damage on target',2,14),
(60138,2000219,5,100,'Grants a total of 1 trigger of the spell.',2,15),
(60139,2000219,5,100,'On a riposte this spell will cast Gladiator''s Strike on target''s victim.  ',1,16),
(60140,2000219,5,100,'Inflicts 621 - 1035 melee damage on target',2,17),
(60141,2000219,5,100,'Grants a total of 1 trigger of the spell.',2,18),
(60142,2000219,5,100,'If any of the following are true:',0,19),
(60143,2000219,5,100,'If shield equipped in Secondary',1,20),
(60144,2000219,5,100,'If buckler equipped in Secondary',1,21),
(60145,2000219,5,100,'If towershield equipped in Secondary',1,22),
(60146,2000219,5,100,'If kiteshield equipped in Secondary',1,23),
(60147,2000219,5,100,'If roundshield equipped in Secondary',1,24),
(60148,2000219,6,100,'Applies Reversal.  Lasts for 30.0 seconds.',0,0),
(60149,2000219,6,100,'When parried this spell will cast Gladiator''s Strike on target''s victim.  ',1,1),
(60150,2000219,6,100,'Inflicts 504 - 841 melee damage on target',2,2),
(60151,2000219,6,100,'Grants a total of 1 trigger of the spell.',2,3),
(60152,2000219,6,100,'When riposted this spell will cast Gladiator''s Strike on target''s victim.  ',1,4),
(60153,2000219,6,100,'Inflicts 504 - 841 melee damage on target',2,5),
(60154,2000219,6,100,'Grants a total of 1 trigger of the spell.',2,6),
(60155,2000219,6,100,'When blocked this spell will cast Gladiator''s Strike on target''s victim.  ',1,7),
(60156,2000219,6,100,'Inflicts 504 - 841 melee damage on target',2,8),
(60157,2000219,6,100,'Grants a total of 1 trigger of the spell.',2,9),
(60158,2000219,6,100,'When deflected this spell will cast Gladiator''s Strike on target''s victim.  ',1,10),
(60159,2000219,6,100,'Inflicts 504 - 841 melee damage on target',2,11),
(60160,2000219,6,100,'Grants a total of 1 trigger of the spell.',2,12),
(60161,2000219,6,100,'On a parry this spell will cast Gladiator''s Strike on target''s victim.  ',1,13),
(60162,2000219,6,100,'Inflicts 504 - 841 melee damage on target',2,14),
(60163,2000219,6,100,'Grants a total of 1 trigger of the spell.',2,15),
(60164,2000219,6,100,'On a riposte this spell will cast Gladiator''s Strike on target''s victim.  ',1,16),
(60165,2000219,6,100,'Inflicts 504 - 841 melee damage on target',2,17),
(60166,2000219,6,100,'Grants a total of 1 trigger of the spell.',2,18),
(60167,2000219,6,100,'If any of the following are true:',0,19),
(60168,2000219,6,100,'If shield equipped in Secondary',1,20),
(60169,2000219,6,100,'If buckler equipped in Secondary',1,21),
(60170,2000219,6,100,'If towershield equipped in Secondary',1,22),
(60171,2000219,6,100,'If kiteshield equipped in Secondary',1,23),
(60172,2000219,6,100,'If roundshield equipped in Secondary',1,24),
(60173,2000219,7,100,'Applies Reversal.  Lasts for 30.0 seconds.',0,0),
(60174,2000219,7,100,'When parried this spell will cast Gladiator''s Strike on target''s victim.  ',1,1),
(60175,2000219,7,100,'Inflicts 797 - 1328 melee damage on target',2,2),
(60176,2000219,7,100,'Grants a total of 1 trigger of the spell.',2,3),
(60177,2000219,7,100,'When riposted this spell will cast Gladiator''s Strike on target''s victim.  ',1,4),
(60178,2000219,7,100,'Inflicts 797 - 1328 melee damage on target',2,5),
(60179,2000219,7,100,'Grants a total of 1 trigger of the spell.',2,6),
(60180,2000219,7,100,'When blocked this spell will cast Gladiator''s Strike on target''s victim.  ',1,7),
(60181,2000219,7,100,'Inflicts 797 - 1328 melee damage on target',2,8),
(60182,2000219,7,100,'Grants a total of 1 trigger of the spell.',2,9),
(60183,2000219,7,100,'When deflected this spell will cast Gladiator''s Strike on target''s victim.  ',1,10),
(60184,2000219,7,100,'Inflicts 797 - 1328 melee damage on target',2,11),
(60185,2000219,7,100,'Grants a total of 1 trigger of the spell.',2,12),
(60186,2000219,7,100,'On a parry this spell will cast Gladiator''s Strike on target''s victim.  ',1,13),
(60187,2000219,7,100,'Inflicts 797 - 1328 melee damage on target',2,14),
(60188,2000219,7,100,'Grants a total of 1 trigger of the spell.',2,15),
(60189,2000219,7,100,'On a riposte this spell will cast Gladiator''s Strike on target''s victim.  ',1,16),
(60190,2000219,7,100,'Inflicts 797 - 1328 melee damage on target',2,17),
(60191,2000219,7,100,'Grants a total of 1 trigger of the spell.',2,18),
(60192,2000219,7,100,'If any of the following are true:',0,19),
(60193,2000219,7,100,'If shield equipped in Secondary',1,20),
(60194,2000219,7,100,'If buckler equipped in Secondary',1,21),
(60195,2000219,7,100,'If towershield equipped in Secondary',1,22),
(60196,2000219,7,100,'If kiteshield equipped in Secondary',1,23),
(60197,2000219,7,100,'If roundshield equipped in Secondary',1,24),
(60198,2000219,8,100,'Applies Reversal.  Lasts for 30.0 seconds.',0,0),
(60199,2000219,8,100,'When parried this spell will cast Gladiator''s Strike on target''s victim.  ',1,1),
(60200,2000219,8,100,'Inflicts 802 - 1337 melee damage on target',2,2),
(60201,2000219,8,100,'Grants a total of 1 trigger of the spell.',2,3),
(60202,2000219,8,100,'When riposted this spell will cast Gladiator''s Strike on target''s victim.  ',1,4),
(60203,2000219,8,100,'Inflicts 802 - 1337 melee damage on target',2,5),
(60204,2000219,8,100,'Grants a total of 1 trigger of the spell.',2,6),
(60205,2000219,8,100,'When blocked this spell will cast Gladiator''s Strike on target''s victim.  ',1,7),
(60206,2000219,8,100,'Inflicts 802 - 1337 melee damage on target',2,8),
(60207,2000219,8,100,'Grants a total of 1 trigger of the spell.',2,9),
(60208,2000219,8,100,'When deflected this spell will cast Gladiator''s Strike on target''s victim.  ',1,10),
(60209,2000219,8,100,'Inflicts 802 - 1337 melee damage on target',2,11),
(60210,2000219,8,100,'Grants a total of 1 trigger of the spell.',2,12),
(60211,2000219,8,100,'On a parry this spell will cast Gladiator''s Strike on target''s victim.  ',1,13),
(60212,2000219,8,100,'Inflicts 802 - 1337 melee damage on target',2,14),
(60213,2000219,8,100,'Grants a total of 1 trigger of the spell.',2,15),
(60214,2000219,8,100,'On a riposte this spell will cast Gladiator''s Strike on target''s victim.  ',1,16),
(60215,2000219,8,100,'Inflicts 802 - 1337 melee damage on target',2,17),
(60216,2000219,8,100,'Grants a total of 1 trigger of the spell.',2,18),
(60217,2000219,8,100,'If any of the following are true:',0,19),
(60218,2000219,8,100,'If shield equipped in Secondary',1,20),
(60219,2000219,8,100,'If buckler equipped in Secondary',1,21),
(60220,2000219,8,100,'If towershield equipped in Secondary',1,22),
(60221,2000219,8,100,'If kiteshield equipped in Secondary',1,23),
(60222,2000219,8,100,'If roundshield equipped in Secondary',1,24),
(60223,2000219,9,100,'Applies Reversal.  Lasts for 30.0 seconds.',0,0),
(60224,2000219,9,100,'When parried this spell will cast Gladiator''s Strike on target''s victim.  ',1,1),
(60225,2000219,9,100,'Inflicts 828 - 1380 melee damage on target',2,2),
(60226,2000219,9,100,'Grants a total of 1 trigger of the spell.',2,3),
(60227,2000219,9,100,'When riposted this spell will cast Gladiator''s Strike on target''s victim.  ',1,4),
(60228,2000219,9,100,'Inflicts 828 - 1380 melee damage on target',2,5),
(60229,2000219,9,100,'Grants a total of 1 trigger of the spell.',2,6),
(60230,2000219,9,100,'When blocked this spell will cast Gladiator''s Strike on target''s victim.  ',1,7),
(60231,2000219,9,100,'Inflicts 828 - 1380 melee damage on target',2,8),
(60232,2000219,9,100,'Grants a total of 1 trigger of the spell.',2,9),
(60233,2000219,9,100,'When deflected this spell will cast Gladiator''s Strike on target''s victim.  ',1,10),
(60234,2000219,9,100,'Inflicts 828 - 1380 melee damage on target',2,11),
(60235,2000219,9,100,'Grants a total of 1 trigger of the spell.',2,12),
(60236,2000219,9,100,'On a parry this spell will cast Gladiator''s Strike on target''s victim.  ',1,13),
(60237,2000219,9,100,'Inflicts 828 - 1380 melee damage on target',2,14),
(60238,2000219,9,100,'Grants a total of 1 trigger of the spell.',2,15),
(60239,2000219,9,100,'On a riposte this spell will cast Gladiator''s Strike on target''s victim.  ',1,16),
(60240,2000219,9,100,'Inflicts 828 - 1380 melee damage on target',2,17),
(60241,2000219,9,100,'Grants a total of 1 trigger of the spell.',2,18),
(60242,2000219,9,100,'If any of the following are true:',0,19),
(60243,2000219,9,100,'If shield equipped in Secondary',1,20),
(60244,2000219,9,100,'If buckler equipped in Secondary',1,21),
(60245,2000219,9,100,'If towershield equipped in Secondary',1,22),
(60246,2000219,9,100,'If kiteshield equipped in Secondary',1,23),
(60247,2000219,9,100,'If roundshield equipped in Secondary',1,24),
(60248,2000219,10,100,'Applies Reversal.  Lasts for 30.0 seconds.',0,0),
(60249,2000219,10,100,'When parried this spell will cast Gladiator''s Strike on target''s victim.  ',1,1),
(60250,2000219,10,100,'Inflicts 869 - 1449 melee damage on target',2,2),
(60251,2000219,10,100,'Grants a total of 1 trigger of the spell.',2,3),
(60252,2000219,10,100,'When riposted this spell will cast Gladiator''s Strike on target''s victim.  ',1,4),
(60253,2000219,10,100,'Inflicts 869 - 1449 melee damage on target',2,5),
(60254,2000219,10,100,'Grants a total of 1 trigger of the spell.',2,6),
(60255,2000219,10,100,'When blocked this spell will cast Gladiator''s Strike on target''s victim.  ',1,7),
(60256,2000219,10,100,'Inflicts 869 - 1449 melee damage on target',2,8),
(60257,2000219,10,100,'Grants a total of 1 trigger of the spell.',2,9),
(60258,2000219,10,100,'When deflected this spell will cast Gladiator''s Strike on target''s victim.  ',1,10),
(60259,2000219,10,100,'Inflicts 869 - 1449 melee damage on target',2,11),
(60260,2000219,10,100,'Grants a total of 1 trigger of the spell.',2,12),
(60261,2000219,10,100,'On a parry this spell will cast Gladiator''s Strike on target''s victim.  ',1,13),
(60262,2000219,10,100,'Inflicts 869 - 1449 melee damage on target',2,14),
(60263,2000219,10,100,'Grants a total of 1 trigger of the spell.',2,15),
(60264,2000219,10,100,'On a riposte this spell will cast Gladiator''s Strike on target''s victim.  ',1,16),
(60265,2000219,10,100,'Inflicts 869 - 1449 melee damage on target',2,17),
(60266,2000219,10,100,'Grants a total of 1 trigger of the spell.',2,18),
(60267,2000219,10,100,'If any of the following are true:',0,19),
(60268,2000219,10,100,'If shield equipped in Secondary',1,20),
(60269,2000219,10,100,'If buckler equipped in Secondary',1,21),
(60270,2000219,10,100,'If towershield equipped in Secondary',1,22),
(60271,2000219,10,100,'If kiteshield equipped in Secondary',1,23),
(60272,2000219,10,100,'If roundshield equipped in Secondary',1,24),
(60273,2000220,1,100,'Inflicts 233 - 389 melee damage on target',0,0),
(60274,2000220,1,100,'Increases Focus, Disruption, Ministration, Ordination, Subjugation, Slashing, Piercing and Crushing of caster by 0.9',0,1),
(60275,2000220,2,100,'Inflicts 328 - 548 melee damage on target',0,0),
(60276,2000220,2,100,'Increases Disruption, Ministration, Ordination and Subjugation of caster by 29.4',0,1),
(60277,2000220,3,100,'Inflicts 346 - 577 melee damage on target',0,0),
(60278,2000220,3,100,'Increases Disruption, Ministration, Ordination and Subjugation of caster by 31.0',0,1),
(60279,2000220,4,100,'Inflicts 380 - 634 melee damage on target',0,0),
(60280,2000220,4,100,'Increases Disruption, Ministration, Ordination and Subjugation of caster by 34.1',0,1),
(60281,2000220,5,100,'Inflicts 415 - 692 melee damage on target',0,0),
(60282,2000220,5,100,'Increases Disruption, Ministration, Ordination and Subjugation of caster by 37.2',0,1),
(60283,2000220,6,100,'Inflicts 450 - 750 melee damage on target',0,0),
(60284,2000220,6,100,'Increases Disruption, Ministration, Ordination and Subjugation of caster by 40.3',0,1),
(60285,2000220,7,100,'Inflicts 533 - 888 melee damage on target',0,0),
(60286,2000220,7,100,'Increases Disruption, Ministration, Ordination and Subjugation of caster by 47.7',0,1),
(60287,2000220,8,100,'Inflicts 402 - 671 melee damage on target',0,0),
(60288,2000220,8,100,'Increases Disruption, Ministration, Ordination and Subjugation of caster by 46.5',0,1),
(60289,2000220,9,100,'Inflicts 554 - 923 melee damage on target',0,0),
(60290,2000220,9,100,'Increases Disruption, Ministration, Ordination and Subjugation of caster by 49.6',0,1),
(60291,2000220,10,100,'Inflicts 436 - 727 melee damage on target',0,0),
(60292,2000220,10,100,'Increases Disruption, Ministration, Ordination and Subjugation of caster by 50.4',0,1),
(60293,80017,1,100,'Applies Blessed Strike on termination.',0,0),
(60294,80017,1,100,'Inflicts 23 - 38 divine damage on target',1,1),
(60295,80017,1,100,'Inflicts 9 - 16 divine damage on target',0,2),
(60296,80017,2,100,'Applies Blessed Strike on termination.',0,0),
(60297,80017,2,100,'Inflicts 24 - 41 divine damage on target',1,1),
(60298,80017,2,100,'Inflicts 10 - 16 divine damage on target',0,2),
(60299,80017,3,100,'Applies Blessed Strike on termination.',0,0),
(60300,80017,3,100,'Inflicts 26 - 43 divine damage on target',1,1),
(60301,80017,3,100,'Inflicts 10 - 17 divine damage on target',0,2),
(60302,80017,4,100,'Applies Blessed Strike on termination.',0,0),
(60303,80017,4,100,'Inflicts 28 - 47 divine damage on target',1,1),
(60304,80017,4,100,'Inflicts 11 - 19 divine damage on target',0,2),
(60305,80017,5,100,'Applies Blessed Strike on termination.',0,0),
(60306,80017,5,100,'Inflicts 31 - 51 divine damage on target',1,1),
(60307,80017,5,100,'Inflicts 12 - 21 divine damage on target',0,2),
(60308,80017,7,100,'Applies Blessed Strike on termination.',0,0),
(60309,80017,7,100,'Inflicts 40 - 66 divine damage on target',1,1),
(60310,80017,7,100,'Inflicts 16 - 27 divine damage on target',0,2),
(60311,80017,9,100,'Applies Blessed Strike on termination.',0,0),
(60312,80017,9,100,'Inflicts 41 - 68 divine damage on target',1,1),
(60313,80017,9,100,'Inflicts 17 - 28 divine damage on target',0,2),
(60314,100083,1,100,'Increases Threat to target encounter by 350 - 427 ',0,0),
(60315,100083,1,100,'Decreases Mitigation of target encounter vs arcane damage by 104',0,1),
(60316,100083,2,100,'Increases Threat to target encounter by 369 - 451 ',0,0),
(60317,100083,2,100,'Decreases Mitigation of target encounter vs arcane damage by 109',0,1),
(60318,100083,3,100,'Increases Threat to target encounter by 388 - 475 ',0,0),
(60319,100083,3,100,'Decreases Mitigation of target encounter vs arcane damage by 115',0,1),
(60320,100083,4,100,'Increases Threat to target encounter by 427 - 522 ',0,0),
(60321,100083,4,100,'Decreases Mitigation of target encounter vs arcane damage by 127',0,1),
(60322,100083,5,100,'Increases Threat to target encounter by 466 - 570 ',0,0),
(60323,100083,5,100,'Decreases Mitigation of target encounter vs arcane damage by 138',0,1),
(60324,100083,7,100,'Increases Threat to target encounter by 598 - 731 ',0,0),
(60325,100083,7,100,'Decreases Mitigation of target encounter vs arcane damage by 177',0,1),
(60326,100083,9,100,'Increases Threat to target encounter by 622 - 760 ',0,0),
(60327,100083,9,100,'Decreases Mitigation of target encounter vs arcane damage by 184',0,1),
(60328,100084,1,100,'Increases Threat to target encounter by 967 - 1,182 ',0,0),
(60329,100084,1,100,'Decreases Mitigation of target encounter vs arcane damage by 198',0,1),
(60330,100084,2,100,'Increases Threat to target encounter by 1,021 - 1,248 ',0,0),
(60331,100084,2,100,'Decreases Mitigation of target encounter vs arcane damage by 209',0,1),
(60332,100084,3,100,'Increases Threat to target encounter by 1,075 - 1,296 ',0,0),
(60333,100084,3,100,'Decreases Mitigation of target encounter vs arcane damage by 220',0,1),
(60334,100084,4,100,'Increases Threat to target encounter by 1,182 - 1,372 ',0,0),
(60335,100084,4,100,'Decreases Mitigation of target encounter vs arcane damage by 242',0,1),
(60336,100084,5,100,'Increases Threat to target encounter by 1,283 - 1,448 ',0,0),
(60337,100084,5,100,'Decreases Mitigation of target encounter vs arcane damage by 264',0,1),
(60338,100084,7,100,'Increases Threat to target encounter by 1,493 - 1,705 ',0,0),
(60339,100084,7,100,'Decreases Mitigation of target encounter vs arcane damage by 339',0,1),
(60340,100084,9,100,'Increases Threat to target encounter by 1,530 - 1,751 ',0,0),
(60341,100084,9,100,'Decreases Mitigation of target encounter vs arcane damage by 352',0,1),
(60342,100084,10,100,'Increases Threat to target encounter by 1,580 - 1,811 ',0,0),
(60343,100084,10,100,'Decreases Mitigation of target encounter vs arcane damage by 370',0,1),
(60344,100085,1,100,'Increases Threat to target encounter by 1,535 - 1,757 ',0,0),
(60345,100085,1,100,'Decreases Mitigation of target encounter vs arcane damage by 324',0,1),
(60346,100085,2,100,'Increases Threat to target encounter by 1,591 - 1,824 ',0,0),
(60347,100085,2,100,'Decreases Mitigation of target encounter vs arcane damage by 342',0,1),
(60348,100085,3,100,'Increases Threat to target encounter by 1,646 - 1,892 ',0,0),
(60349,100085,3,100,'Decreases Mitigation of target encounter vs arcane damage by 360',0,1),
(60350,100085,4,100,'Increases Threat to target encounter by 1,757 - 2,027 ',0,0),
(60351,100085,4,100,'Decreases Mitigation of target encounter vs arcane damage by 396',0,1),
(60352,100085,5,100,'Increases Threat to target encounter by 1,867 - 2,162 ',0,0),
(60353,100085,5,100,'Decreases Mitigation of target encounter vs arcane damage by 432',0,1),
(60354,100085,7,100,'Increases Threat to target encounter by 2,244 - 2,622 ',0,0),
(60355,100085,7,100,'Decreases Mitigation of target encounter vs arcane damage by 554',0,1),
(60356,100085,9,100,'Increases Threat to target encounter by 2,310 - 2,703 ',0,0),
(60357,100085,9,100,'Decreases Mitigation of target encounter vs arcane damage by 576',0,1),
(60358,100086,1,100,'Increases Threat to target encounter by 2,071 - 2,411 ',0,0),
(60359,100086,1,100,'Decreases Mitigation of target encounter vs arcane damage by 450',0,1),
(60360,100086,2,100,'Increases Threat to target encounter by 2,156 - 2,515 ',0,0),
(60361,100086,2,100,'Decreases Mitigation of target encounter vs arcane damage by 475',0,1),
(60362,100086,3,100,'Increases Threat to target encounter by 2,241 - 2,619 ',0,0),
(60363,100086,3,100,'Decreases Mitigation of target encounter vs arcane damage by 500',0,1),
(60364,100086,4,100,'Increases Threat to target encounter by 2,411 - 2,827 ',0,0),
(60365,100086,4,100,'Decreases Mitigation of target encounter vs arcane damage by 550',0,1),
(60366,100086,5,100,'Increases Threat to target encounter by 2,581 - 3,035 ',0,0),
(60367,100086,5,100,'Decreases Mitigation of target encounter vs arcane damage by 600',0,1),
(60368,100086,7,100,'Increases Threat to target encounter by 3,160 - 3,742 ',0,0),
(60369,100086,7,100,'Decreases Mitigation of target encounter vs arcane damage by 770',0,1),
(60370,100086,9,100,'Increases Threat to target encounter by 3,262 - 3,867 ',0,0),
(60371,100086,9,100,'Decreases Mitigation of target encounter vs arcane damage by 800',0,1),
(60372,100086,10,100,'Increases Threat to target encounter by 3,398 - 4,033 ',0,0),
(60373,100086,10,100,'Decreases Mitigation of target encounter vs arcane damage by 840',0,1),
(60374,100087,1,100,'Increases Threat to target encounter by 2,672 - 3,146 ',0,0),
(60375,100087,1,100,'Decreases Mitigation of target encounter vs arcane damage by 576',0,1),
(60376,100087,2,100,'Increases Threat to target encounter by 2,791 - 3,291 ',0,0),
(60377,100087,2,100,'Decreases Mitigation of target encounter vs arcane damage by 608',0,1),
(60378,100087,3,100,'Increases Threat to target encounter by 2,909 - 3,436 ',0,0),
(60379,100087,3,100,'Decreases Mitigation of target encounter vs arcane damage by 640',0,1),
(60380,100087,4,100,'Increases Threat to target encounter by 3,146 - 3,725 ',0,0),
(60381,100087,4,100,'Decreases Mitigation of target encounter vs arcane damage by 704',0,1),
(60382,100087,5,100,'Increases Threat to target encounter by 3,383 - 4,015 ',0,0),
(60383,100087,5,100,'Decreases Mitigation of target encounter vs arcane damage by 768',0,1),
(60384,100087,7,100,'Increases Threat to target encounter by 4,189 - 4,999 ',0,0),
(60385,100087,7,100,'Decreases Mitigation of target encounter vs arcane damage by 986',0,1),
(60386,100087,9,100,'Increases Threat to target encounter by 4,331 - 5,173 ',0,0),
(60387,100087,9,100,'Decreases Mitigation of target encounter vs arcane damage by 1024',0,1),
(60388,100087,10,100,'Increases Threat to target encounter by 4,520 - 5,405 ',0,0),
(60389,100087,10,100,'Decreases Mitigation of target encounter vs arcane damage by 1075',0,1),
(60390,100088,1,100,'Increases Threat to target encounter by 3,300 - 3,914 ',0,0),
(60391,100088,1,100,'Decreases Mitigation of target encounter vs arcane damage by 743',0,1),
(60392,100088,2,100,'Increases Threat to target encounter by 3,454 - 4,101 ',0,0),
(60393,100088,2,100,'Decreases Mitigation of target encounter vs arcane damage by 784',0,1),
(60394,100088,3,100,'Increases Threat to target encounter by 3,607 - 4,289 ',0,0),
(60395,100088,3,100,'Decreases Mitigation of target encounter vs arcane damage by 825',0,1),
(60396,100088,4,100,'Increases Threat to target encounter by 3,914 - 4,664 ',0,0),
(60397,100088,4,100,'Decreases Mitigation of target encounter vs arcane damage by 908',0,1),
(60398,100088,5,100,'Increases Threat to target encounter by 4,220 - 5,038 ',0,0),
(60399,100088,5,100,'Decreases Mitigation of target encounter vs arcane damage by 990',0,1),
(60400,100088,7,100,'Increases Threat to target encounter by 5,263 - 6,313 ',0,0),
(60401,100088,7,100,'Decreases Mitigation of target encounter vs arcane damage by 1271',0,1),
(60402,100088,9,100,'Increases Threat to target encounter by 5,447 - 6,538 ',0,0),
(60403,100088,9,100,'Decreases Mitigation of target encounter vs arcane damage by 1320',0,1),
(60404,100089,1,100,'Increases Threat to target encounter by 3,909 - 4,658 ',0,0),
(60405,100089,1,100,'Decreases Mitigation of target encounter vs arcane damage by 929',0,1),
(60406,100089,4,100,'Increases Threat to target encounter by 4,658 - 5,573 ',0,0),
(60407,100089,4,100,'Decreases Mitigation of target encounter vs arcane damage by 1135',0,1),
(60408,100089,5,100,'Increases Threat to target encounter by 5,032 - 6,030 ',0,0),
(60409,100089,5,100,'Decreases Mitigation of target encounter vs arcane damage by 1238',0,1),
(60410,100089,7,100,'Increases Threat to target encounter by 6,305 - 7,586 ',0,0),
(60411,100089,7,100,'Decreases Mitigation of target encounter vs arcane damage by 1589',0,1),
(60412,100089,9,100,'Increases Threat to target encounter by 6,530 - 7,861 ',0,0),
(60413,100089,9,100,'Decreases Mitigation of target encounter vs arcane damage by 1651',0,1),
(60414,100090,1,100,'Increases Threat to target encounter by 4,517 - 5,401 ',0,0),
(60415,100090,1,100,'Decreases Mitigation of target encounter vs arcane damage by 1037',0,1),
(60416,100090,4,100,'Increases Threat to target encounter by 5,401 - 6,482 ',0,0),
(60417,100090,4,100,'Decreases Mitigation of target encounter vs arcane damage by 1267',0,1),
(60418,100090,5,100,'Increases Threat to target encounter by 5,843 - 7,022 ',0,0),
(60419,100090,5,100,'Decreases Mitigation of target encounter vs arcane damage by 1382',0,1),
(60420,100090,7,100,'Increases Threat to target encounter by 7,346 - 8,859 ',0,0),
(60421,100090,7,100,'Decreases Mitigation of target encounter vs arcane damage by 1774',0,1),
(60422,100090,9,100,'Increases Threat to target encounter by 7,611 - 9,183 ',0,0),
(60423,100090,9,100,'Decreases Mitigation of target encounter vs arcane damage by 1843',0,1),
(60424,60131,1,100,'Inflicts 68 - 113 crushing damage on target',0,0),
(60426,60131,2,100,'Inflicts 71 - 119 crushing damage on target',0,0),
(60428,60131,3,100,'Inflicts 75 - 126 crushing damage on target',0,0),
(60430,60131,4,100,'Inflicts 83 - 138 crushing damage on target',0,0),
(60432,60131,5,100,'Inflicts 90 - 151 crushing damage on target',0,0),
(60434,60131,7,100,'Inflicts 116 - 194 crushing damage on target',0,0),
(60436,60131,9,100,'Inflicts 121 - 201 crushing damage on target',0,0),
(60438,60132,1,100,'Inflicts 26 - 44 melee damage on target',0,0),
(60439,60132,1,100,'Inflicts 27 - 45 heat damage on target every 4 seconds',0,1),
(60440,60132,2,100,'Inflicts 28 - 47 melee damage on target',0,0),
(60441,60132,2,100,'Inflicts 28 - 47 heat damage on target every 4 seconds',0,1),
(60442,60132,3,100,'Inflicts 29 - 49 melee damage on target',0,0),
(60443,60132,3,100,'Inflicts 30 - 50 heat damage on target every 4 seconds',0,1),
(60444,60132,4,100,'Inflicts 32 - 54 melee damage on target',0,0),
(60445,60132,4,100,'Inflicts 33 - 55 heat damage on target every 4 seconds',0,1),
(60446,60132,5,100,'Inflicts 35 - 59 melee damage on target',0,0),
(60447,60132,5,100,'Inflicts 36 - 59 heat damage on target every 4 seconds',0,1),
(60448,60132,7,100,'Inflicts 45 - 76 melee damage on target',0,0),
(60449,60132,7,100,'Inflicts 46 - 76 heat damage on target every 4 seconds',0,1),
(60450,60132,9,100,'Inflicts 47 - 79 melee damage on target',0,0),
(60451,60132,9,100,'Inflicts 48 - 79 heat damage on target every 4 seconds',0,1),
(60452,60133,1,100,'Inflicts 40 - 66 melee damage on target',0,0),
(60453,60133,1,100,'Inflicts 40 - 67 heat damage on target every 4 seconds',0,1),
(60454,60133,2,100,'Inflicts 42 - 70 melee damage on target',0,0),
(60455,60133,2,100,'Inflicts 42 - 71 heat damage on target every 4 seconds',0,1),
(60456,60133,3,100,'Inflicts 44 - 74 melee damage on target',0,0),
(60457,60133,3,100,'Inflicts 45 - 74 heat damage on target every 4 seconds',0,1),
(60458,60133,4,100,'Inflicts 49 - 81 melee damage on target',0,0),
(60459,60133,4,100,'Inflicts 49 - 82 heat damage on target every 4 seconds',0,1),
(60460,60133,5,100,'Inflicts 53 - 89 melee damage on target',0,0),
(60461,60133,5,100,'Inflicts 54 - 89 heat damage on target every 4 seconds',0,1),
(60462,60133,7,100,'Inflicts 68 - 114 melee damage on target',0,0),
(60463,60133,7,100,'Inflicts 69 - 115 heat damage on target every 4 seconds',0,1),
(60464,60133,9,100,'Inflicts 71 - 118 melee damage on target',0,0),
(60465,60133,9,100,'Inflicts 71 - 119 heat damage on target every 4 seconds',0,1),
(60466,60134,1,100,'Inflicts 54 - 90 melee damage on target',0,0),
(60467,60134,1,100,'Inflicts 54 - 91 heat damage on target every 4 seconds',0,1),
(60468,60134,2,100,'Inflicts 57 - 95 melee damage on target',0,0),
(60469,60134,2,100,'Inflicts 57 - 96 heat damage on target every 4 seconds',0,1),
(60470,60134,3,100,'Inflicts 60 - 100 melee damage on target',0,0),
(60471,60134,3,100,'Inflicts 60 - 101 heat damage on target every 4 seconds',0,1),
(60472,60134,4,100,'Inflicts 66 - 110 melee damage on target',0,0),
(60473,60134,4,100,'Inflicts 66 - 111 heat damage on target every 4 seconds',0,1),
(60474,60134,5,100,'Inflicts 72 - 120 melee damage on target',0,0),
(60475,60134,5,100,'Inflicts 72 - 121 heat damage on target every 4 seconds',0,1),
(60476,60134,7,100,'Inflicts 92 - 154 melee damage on target',0,0),
(60477,60134,7,100,'Inflicts 93 - 155 heat damage on target every 4 seconds',0,1),
(60478,60134,9,100,'Inflicts 96 - 161 melee damage on target',0,0),
(60479,60134,9,100,'Inflicts 97 - 161 heat damage on target every 4 seconds',0,1),
(60482,60135,1,100,'Inflicts 68 - 113 melee damage on target',0,0),
(60483,60135,1,100,'Inflicts 68 - 114 heat damage on target every 4 seconds',0,1),
(60484,60135,2,100,'Inflicts 71 - 119 melee damage on target',0,0),
(60485,60135,2,100,'Inflicts 72 - 120 heat damage on target every 4 seconds',0,1),
(60486,60135,3,100,'Inflicts 75 - 126 melee damage on target',0,0),
(60487,60135,3,100,'Inflicts 76 - 126 heat damage on target every 4 seconds',0,1),
(60488,60135,4,100,'Inflicts 83 - 138 melee damage on target',0,0),
(60489,60135,4,100,'Inflicts 83 - 139 heat damage on target every 4 seconds',0,1),
(60490,60135,5,100,'Inflicts 90 - 151 melee damage on target',0,0),
(60491,60135,5,100,'Inflicts 91 - 151 heat damage on target every 4 seconds',0,1),
(60492,60135,7,100,'Inflicts 116 - 194 melee damage on target',0,0),
(60493,60135,7,100,'Inflicts 117 - 194 heat damage on target every 4 seconds',0,1),
(60494,60135,9,100,'Inflicts 121 - 201 melee damage on target',0,0),
(60495,60135,9,100,'Inflicts 121 - 202 heat damage on target every 4 seconds',0,1),
(60496,60136,1,100,'Inflicts 82 - 137 melee damage on target',0,0),
(60497,60136,1,100,'Inflicts 82 - 137 heat damage on target every 4 seconds',0,1),
(60498,60136,4,100,'Inflicts 100 - 167 melee damage on target',0,0),
(60499,60136,4,100,'Inflicts 100 - 167 heat damage on target every 4 seconds',0,1),
(60500,60136,5,100,'Inflicts 109 - 182 melee damage on target',0,0),
(60501,60136,5,100,'Inflicts 110 - 183 heat damage on target every 4 seconds',0,1),
(60502,60136,7,100,'Inflicts 140 - 234 melee damage on target',0,0),
(60503,60136,7,100,'Inflicts 141 - 234 heat damage on target every 4 seconds',0,1),
(60504,60136,9,100,'Inflicts 146 - 243 melee damage on target',0,0),
(60505,60136,9,100,'Inflicts 146 - 244 heat damage on target every 4 seconds',0,1),
(60506,60137,1,100,'Inflicts 91 - 152 melee damage on target',0,0),
(60507,60137,1,100,'Inflicts 91 - 152 heat damage on target every 4 seconds',0,1),
(60508,60137,4,100,'Inflicts 111 - 186 melee damage on target',0,0),
(60509,60137,4,100,'Inflicts 112 - 186 heat damage on target every 4 seconds',0,1),
(60510,60137,5,100,'Inflicts 121 - 203 melee damage on target',0,0),
(60511,60137,5,100,'Inflicts 122 - 203 heat damage on target every 4 seconds',0,1),
(60512,60137,7,100,'Inflicts 156 - 260 melee damage on target',0,0),
(60513,60137,7,100,'Inflicts 156 - 261 heat damage on target every 4 seconds',0,1),
(60514,60137,9,100,'Inflicts 162 - 270 melee damage on target',0,0),
(60515,60137,9,100,'Inflicts 162 - 271 heat damage on target every 4 seconds',0,1),
(60516,60138,1,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(60517,60138,1,100,'Throws target back',1,1),
(60518,60138,1,100,'Blurs vision of target',1,2),
(60519,60138,1,100,'Stuns target',1,3),
(60520,60138,1,100,'Does not affect Epic targets',1,4),
(60521,60138,1,100,'Inflicts 30 - 51 melee damage on target',0,5),
(60522,60138,2,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(60523,60138,2,100,'Throws target back',1,1),
(60524,60138,2,100,'Blurs vision of target',1,2),
(60525,60138,2,100,'Stuns target',1,3),
(60526,60138,2,100,'Does not affect Epic targets',1,4),
(60527,60138,2,100,'Inflicts 32 - 54 melee damage on target',0,5),
(60528,60138,3,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(60529,60138,3,100,'Throws target back',1,1),
(60530,60138,3,100,'Blurs vision of target',1,2),
(60531,60138,3,100,'Stuns target',1,3),
(60532,60138,3,100,'Does not affect Epic targets',1,4),
(60533,60138,3,100,'Inflicts 34 - 57 melee damage on target',0,5),
(60534,60138,4,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(60535,60138,4,100,'Throws target back',1,1),
(60536,60138,4,100,'Blurs vision of target',1,2),
(60537,60138,4,100,'Stuns target',1,3),
(60538,60138,4,100,'Does not affect Epic targets',1,4),
(60539,60138,4,100,'Inflicts 37 - 62 melee damage on target',0,5),
(60540,60138,5,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(60541,60138,5,100,'Throws target back',1,1),
(60542,60138,5,100,'Blurs vision of target',1,2),
(60543,60138,5,100,'Stuns target',1,3),
(60544,60138,5,100,'Does not affect Epic targets',1,4),
(60545,60138,5,100,'Inflicts 41 - 68 melee damage on target',0,5),
(60546,60138,7,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(60547,60138,7,100,'Throws target back',1,1),
(60548,60138,7,100,'Blurs vision of target',1,2),
(60549,60138,7,100,'Stuns target',1,3),
(60550,60138,7,100,'Does not affect Epic targets',1,4),
(60551,60138,7,100,'Inflicts 52 - 87 melee damage on target',0,5),
(60552,60138,9,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(60553,60138,9,100,'Throws target back',1,1),
(60554,60138,9,100,'Blurs vision of target',1,2),
(60555,60138,9,100,'Stuns target',1,3),
(60556,60138,9,100,'Does not affect Epic targets',1,4),
(60557,60138,9,100,'Inflicts 54 - 91 melee damage on target',0,5),
(60558,60138,10,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(60559,60138,10,100,'Throws target back',1,1),
(60560,60138,10,100,'Blurs vision of target',1,2),
(60561,60138,10,100,'Stuns target',1,3),
(60562,60138,10,100,'Does not affect Epic targets',1,4),
(60563,60138,10,100,'Inflicts 57 - 95 melee damage on target',0,5),
(60564,60139,1,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(60565,60139,1,100,'Throws target back',1,1),
(60566,60139,1,100,'Blurs vision of target',1,2),
(60567,60139,1,100,'Stuns target',1,3),
(60568,60139,1,100,'Does not affect Epic targets',1,4),
(60569,60139,1,100,'Inflicts 71 - 118 melee damage on target',0,5),
(60570,60139,2,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(60571,60139,2,100,'Throws target back',1,1),
(60572,60139,2,100,'Blurs vision of target',1,2),
(60573,60139,2,100,'Stuns target',1,3),
(60574,60139,2,100,'Does not affect Epic targets',1,4),
(60575,60139,2,100,'Inflicts 75 - 125 melee damage on target',0,5),
(60576,60139,3,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(60577,60139,3,100,'Throws target back',1,1),
(60578,60139,3,100,'Blurs vision of target',1,2),
(60579,60139,3,100,'Stuns target',1,3),
(60580,60139,3,100,'Does not affect Epic targets',1,4),
(60581,60139,3,100,'Inflicts 79 - 132 melee damage on target',0,5),
(60582,60139,4,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(60583,60139,4,100,'Throws target back',1,1),
(60584,60139,4,100,'Blurs vision of target',1,2),
(60585,60139,4,100,'Stuns target',1,3),
(60586,60139,4,100,'Does not affect Epic targets',1,4),
(60587,60139,4,100,'Inflicts 87 - 145 melee damage on target',0,5),
(60588,60139,5,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(60589,60139,5,100,'Throws target back',1,1),
(60590,60139,5,100,'Blurs vision of target',1,2),
(60591,60139,5,100,'Stuns target',1,3),
(60592,60139,5,100,'Does not affect Epic targets',1,4),
(60593,60139,5,100,'Inflicts 95 - 158 melee damage on target',0,5),
(60594,60139,7,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(60595,60139,7,100,'Throws target back',1,1),
(60596,60139,7,100,'Blurs vision of target',1,2),
(60597,60139,7,100,'Stuns target',1,3),
(60598,60139,7,100,'Does not affect Epic targets',1,4),
(60599,60139,7,100,'Inflicts 122 - 203 melee damage on target',0,5),
(60600,60139,9,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(60601,60139,9,100,'Throws target back',1,1),
(60602,60139,9,100,'Blurs vision of target',1,2),
(60603,60139,9,100,'Stuns target',1,3),
(60604,60139,9,100,'Does not affect Epic targets',1,4),
(60605,60139,9,100,'Inflicts 126 - 211 melee damage on target',0,5),
(60606,60140,1,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(60607,60140,1,100,'Throws target back',1,1),
(60608,60140,1,100,'Blurs vision of target',1,2),
(60609,60140,1,100,'Stuns target',1,3),
(60610,60140,1,100,'Does not affect Epic targets',1,4),
(60611,60140,1,100,'Inflicts 116 - 194 melee damage on target',0,5),
(60612,60140,2,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(60613,60140,2,100,'Throws target back',1,1),
(60614,60140,2,100,'Blurs vision of target',1,2),
(60615,60140,2,100,'Stuns target',1,3),
(60616,60140,2,100,'Does not affect Epic targets',1,4),
(60617,60140,2,100,'Inflicts 123 - 205 melee damage on target',0,5),
(60618,60140,3,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(60619,60140,3,100,'Throws target back',1,1),
(60620,60140,3,100,'Blurs vision of target',1,2),
(60621,60140,3,100,'Stuns target',1,3),
(60622,60140,3,100,'Does not affect Epic targets',1,4),
(60623,60140,3,100,'Inflicts 129 - 216 melee damage on target',0,5),
(60624,60140,4,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(60625,60140,4,100,'Throws target back',1,1),
(60626,60140,4,100,'Blurs vision of target',1,2),
(60627,60140,4,100,'Stuns target',1,3),
(60628,60140,4,100,'Does not affect Epic targets',1,4),
(60629,60140,4,100,'Inflicts 142 - 237 melee damage on target',0,5),
(60630,60140,5,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(60631,60140,5,100,'Throws target back',1,1),
(60632,60140,5,100,'Blurs vision of target',1,2),
(60633,60140,5,100,'Stuns target',1,3),
(60634,60140,5,100,'Does not affect Epic targets',1,4),
(60635,60140,5,100,'Inflicts 155 - 259 melee damage on target',0,5),
(60636,60140,7,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(60637,60140,7,100,'Throws target back',1,1),
(60638,60140,7,100,'Blurs vision of target',1,2),
(60639,60140,7,100,'Stuns target',1,3),
(60640,60140,7,100,'Does not affect Epic targets',1,4),
(60641,60140,7,100,'Inflicts 199 - 333 melee damage on target',0,5),
(60642,60140,9,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(60643,60140,9,100,'Throws target back',1,1),
(60644,60140,9,100,'Blurs vision of target',1,2),
(60645,60140,9,100,'Stuns target',1,3),
(60646,60140,9,100,'Does not affect Epic targets',1,4),
(60647,60140,9,100,'Inflicts 207 - 345 melee damage on target',0,5),
(60648,60141,1,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(60649,60141,1,100,'Throws target back',1,1),
(60650,60141,1,100,'Blurs vision of target',1,2),
(60651,60141,1,100,'Stuns target',1,3),
(60652,60141,1,100,'Does not affect Epic targets',1,4),
(60653,60141,1,100,'Inflicts 172 - 287 melee damage on target',0,5),
(60654,60141,2,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(60655,60141,2,100,'Throws target back',1,1),
(60656,60141,2,100,'Blurs vision of target',1,2),
(60657,60141,2,100,'Stuns target',1,3),
(60658,60141,2,100,'Does not affect Epic targets',1,4),
(60659,60141,2,100,'Inflicts 182 - 303 melee damage on target',0,5),
(60660,60141,3,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(60661,60141,3,100,'Throws target back',1,1),
(60662,60141,3,100,'Blurs vision of target',1,2),
(60663,60141,3,100,'Stuns target',1,3),
(60664,60141,3,100,'Does not affect Epic targets',1,4),
(60665,60141,3,100,'Inflicts 191 - 319 melee damage on target',0,5),
(60666,60141,4,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(60667,60141,4,100,'Throws target back',1,1),
(60668,60141,4,100,'Blurs vision of target',1,2),
(60669,60141,4,100,'Stuns target',1,3),
(60670,60141,4,100,'Does not affect Epic targets',1,4),
(60671,60141,4,100,'Inflicts 211 - 351 melee damage on target',0,5),
(60672,60141,5,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(60673,60141,5,100,'Throws target back',1,1),
(60674,60141,5,100,'Blurs vision of target',1,2),
(60675,60141,5,100,'Stuns target',1,3),
(60676,60141,5,100,'Does not affect Epic targets',1,4),
(60677,60141,5,100,'Inflicts 230 - 383 melee damage on target',0,5),
(60678,60141,7,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(60679,60141,7,100,'Throws target back',1,1),
(60680,60141,7,100,'Blurs vision of target',1,2),
(60681,60141,7,100,'Stuns target',1,3),
(60682,60141,7,100,'Does not affect Epic targets',1,4),
(60683,60141,7,100,'Inflicts 295 - 492 melee damage on target',0,5),
(60684,60141,9,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(60685,60141,9,100,'Throws target back',1,1),
(60686,60141,9,100,'Blurs vision of target',1,2),
(60687,60141,9,100,'Stuns target',1,3),
(60688,60141,9,100,'Does not affect Epic targets',1,4),
(60689,60141,9,100,'Inflicts 307 - 511 melee damage on target',0,5),
(60690,60141,10,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(60691,60141,10,100,'Throws target back',1,1),
(60692,60141,10,100,'Blurs vision of target',1,2),
(60693,60141,10,100,'Stuns target',1,3),
(60694,60141,10,100,'Does not affect Epic targets',1,4),
(60695,60141,10,100,'Inflicts 322 - 537 melee damage on target',0,5),
(60696,60142,1,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(60697,60142,1,100,'Throws target back',1,1),
(60698,60142,1,100,'Blurs vision of target',1,2),
(60699,60142,1,100,'Stuns target',1,3),
(60700,60142,1,100,'Does not affect Epic targets',1,4),
(60701,60142,1,100,'Inflicts 229 - 382 melee damage on target',0,5),
(60702,60142,2,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(60703,60142,2,100,'Throws target back',1,1),
(60704,60142,2,100,'Blurs vision of target',1,2),
(60705,60142,2,100,'Stuns target',1,3),
(60706,60142,2,100,'Does not affect Epic targets',1,4),
(60707,60142,2,100,'Inflicts 242 - 403 melee damage on target',0,5),
(60708,60142,3,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(60709,60142,3,100,'Throws target back',1,1),
(60710,60142,3,100,'Blurs vision of target',1,2),
(60711,60142,3,100,'Stuns target',1,3),
(60712,60142,3,100,'Does not affect Epic targets',1,4),
(60713,60142,3,100,'Inflicts 255 - 425 melee damage on target',0,5),
(60714,60142,4,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(60715,60142,4,100,'Throws target back',1,1),
(60716,60142,4,100,'Blurs vision of target',1,2),
(60717,60142,4,100,'Stuns target',1,3),
(60718,60142,4,100,'Does not affect Epic targets',1,4),
(60719,60142,4,100,'Inflicts 280 - 467 melee damage on target',0,5),
(60720,60142,5,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(60721,60142,5,100,'Throws target back',1,1),
(60722,60142,5,100,'Blurs vision of target',1,2),
(60723,60142,5,100,'Stuns target',1,3),
(60724,60142,5,100,'Does not affect Epic targets',1,4),
(60725,60142,5,100,'Inflicts 306 - 510 melee damage on target',0,5),
(60726,60142,7,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(60727,60142,7,100,'Throws target back',1,1),
(60728,60142,7,100,'Blurs vision of target',1,2),
(60729,60142,7,100,'Stuns target',1,3),
(60730,60142,7,100,'Does not affect Epic targets',1,4),
(60731,60142,7,100,'Inflicts 392 - 654 melee damage on target',0,5),
(60732,60142,9,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(60733,60142,9,100,'Throws target back',1,1),
(60734,60142,9,100,'Blurs vision of target',1,2),
(60735,60142,9,100,'Stuns target',1,3),
(60736,60142,9,100,'Does not affect Epic targets',1,4),
(60737,60142,9,100,'Inflicts 408 - 680 melee damage on target',0,5),
(60738,60143,1,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(60739,60143,1,100,'Throws target back',1,1),
(60740,60143,1,100,'Blurs vision of target',1,2),
(60741,60143,1,100,'Stuns target',1,3),
(60742,60143,1,100,'Does not affect Epic targets',1,4),
(60743,60143,1,100,'Inflicts 277 - 462 melee damage on target',0,5),
(60744,60143,2,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(60745,60143,2,100,'Throws target back',1,1),
(60746,60143,2,100,'Blurs vision of target',1,2),
(60747,60143,2,100,'Stuns target',1,3),
(60748,60143,2,100,'Does not affect Epic targets',1,4),
(60749,60143,2,100,'Inflicts 293 - 488 melee damage on target',0,5),
(60750,60143,3,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(60751,60143,3,100,'Throws target back',1,1),
(60752,60143,3,100,'Blurs vision of target',1,2),
(60753,60143,3,100,'Stuns target',1,3),
(60754,60143,3,100,'Does not affect Epic targets',1,4),
(60755,60143,3,100,'Inflicts 308 - 514 melee damage on target',0,5),
(60756,60143,4,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(60757,60143,4,100,'Throws target back',1,1),
(60758,60143,4,100,'Blurs vision of target',1,2),
(60759,60143,4,100,'Stuns target',1,3),
(60760,60143,4,100,'Does not affect Epic targets',1,4),
(60761,60143,4,100,'Inflicts 339 - 565 melee damage on target',0,5),
(60762,60143,5,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(60763,60143,5,100,'Throws target back',1,1),
(60764,60143,5,100,'Blurs vision of target',1,2),
(60765,60143,5,100,'Stuns target',1,3),
(60766,60143,5,100,'Does not affect Epic targets',1,4),
(60767,60143,5,100,'Inflicts 370 - 617 melee damage on target',0,5),
(60768,60143,7,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(60769,60143,7,100,'Throws target back',1,1),
(60770,60143,7,100,'Blurs vision of target',1,2),
(60771,60143,7,100,'Stuns target',1,3),
(60772,60143,7,100,'Does not affect Epic targets',1,4),
(60773,60143,7,100,'Inflicts 475 - 791 melee damage on target',0,5),
(60774,60143,9,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(60775,60143,9,100,'Throws target back',1,1),
(60776,60143,9,100,'Blurs vision of target',1,2),
(60777,60143,9,100,'Stuns target',1,3),
(60778,60143,9,100,'Does not affect Epic targets',1,4),
(60779,60143,9,100,'Inflicts 493 - 822 melee damage on target',0,5),
(60780,60144,1,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(60781,60144,1,100,'Throws target back',1,1),
(60782,60144,1,100,'Blurs vision of target',1,2),
(60783,60144,1,100,'Stuns target',1,3),
(60784,60144,1,100,'Does not affect Epic targets',1,4),
(60785,60144,1,100,'Inflicts 334 - 557 melee damage on target',0,5),
(60786,60144,4,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(60787,60144,4,100,'Throws target back',1,1),
(60788,60144,4,100,'Blurs vision of target',1,2),
(60789,60144,4,100,'Stuns target',1,3),
(60790,60144,4,100,'Does not affect Epic targets',1,4),
(60791,60144,4,100,'Inflicts 409 - 681 melee damage on target',0,5),
(60792,60144,5,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(60793,60144,5,100,'Throws target back',1,1),
(60794,60144,5,100,'Blurs vision of target',1,2),
(60795,60144,5,100,'Stuns target',1,3),
(60796,60144,5,100,'Does not affect Epic targets',1,4),
(60797,60144,5,100,'Inflicts 446 - 743 melee damage on target',0,5),
(60798,60144,7,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(60799,60144,7,100,'Throws target back',1,1),
(60800,60144,7,100,'Blurs vision of target',1,2),
(60801,60144,7,100,'Stuns target',1,3),
(60802,60144,7,100,'Does not affect Epic targets',1,4),
(60803,60144,7,100,'Inflicts 572 - 954 melee damage on target',0,5),
(60804,60144,9,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(60805,60144,9,100,'Throws target back',1,1),
(60806,60144,9,100,'Blurs vision of target',1,2),
(60807,60144,9,100,'Stuns target',1,3),
(60808,60144,9,100,'Does not affect Epic targets',1,4),
(60809,60144,9,100,'Inflicts 595 - 991 melee damage on target',0,5),
(60810,60145,1,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(60811,60145,1,100,'Throws target back',1,1),
(60812,60145,1,100,'Blurs vision of target',1,2),
(60813,60145,1,100,'Stuns target',1,3),
(60814,60145,1,100,'Does not affect Epic targets',1,4),
(60815,60145,1,100,'Inflicts 367 - 612 melee damage on target',0,5),
(60816,60145,4,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(60817,60145,4,100,'Throws target back',1,1),
(60818,60145,4,100,'Blurs vision of target',1,2),
(60819,60145,4,100,'Stuns target',1,3),
(60820,60145,4,100,'Does not affect Epic targets',1,4),
(60821,60145,4,100,'Inflicts 449 - 748 melee damage on target',0,5),
(60822,60145,5,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(60823,60145,5,100,'Throws target back',1,1),
(60824,60145,5,100,'Blurs vision of target',1,2),
(60825,60145,5,100,'Stuns target',1,3),
(60826,60145,5,100,'Does not affect Epic targets',1,4),
(60827,60145,5,100,'Inflicts 490 - 817 melee damage on target',0,5),
(60828,60145,7,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(60829,60145,7,100,'Throws target back',1,1),
(60830,60145,7,100,'Blurs vision of target',1,2),
(60831,60145,7,100,'Stuns target',1,3),
(60832,60145,7,100,'Does not affect Epic targets',1,4),
(60833,60145,7,100,'Inflicts 629 - 1048 melee damage on target',0,5),
(60834,60145,9,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(60835,60145,9,100,'Throws target back',1,1),
(60836,60145,9,100,'Blurs vision of target',1,2),
(60837,60145,9,100,'Stuns target',1,3),
(60838,60145,9,100,'Does not affect Epic targets',1,4),
(60839,60145,9,100,'Inflicts 653 - 1089 melee damage on target',0,5),
(60840,340140,1,100,'Inflicts 8 - 14 melee damage on target',0,0),
(60841,340140,1,100,'Decreases STR of target by 5.0',0,1),
(60842,340140,1,100,'You must be sneaking to use this ability.',0,2),
(60843,340140,2,100,'Inflicts 9 - 15 melee damage on target',0,0),
(60844,340140,2,100,'Decreases STR of target by 5.3',0,1),
(60845,340140,2,100,'You must be sneaking to use this ability.',0,2),
(60846,340140,3,100,'Inflicts 9 - 15 melee damage on target',0,0),
(60847,340140,3,100,'Decreases STR of target by 5.6',0,1),
(60848,340140,3,100,'You must be sneaking to use this ability.',0,2),
(60849,340140,4,100,'Inflicts 10 - 17 melee damage on target',0,0),
(60850,340140,4,100,'Decreases STR of target by 6.2',0,1),
(60851,340140,4,100,'You must be sneaking to use this ability.',0,2),
(60852,340140,5,100,'Inflicts 11 - 19 melee damage on target',0,0),
(60853,340140,5,100,'Decreases STR of target by 6.7',0,1),
(60854,340140,5,100,'You must be sneaking to use this ability.',0,2),
(60855,340140,7,100,'Inflicts 14 - 24 melee damage on target',0,0),
(60856,340140,7,100,'Decreases STR of target by 8.6',0,1),
(60857,340140,7,100,'You must be sneaking to use this ability.',0,2),
(60858,340140,9,100,'Inflicts 15 - 25 melee damage on target',0,0),
(60859,340140,9,100,'Decreases STR of target by 9.0',0,1),
(60860,340140,9,100,'You must be sneaking to use this ability.',0,2),
(60861,340141,1,100,'Inflicts 33 - 56 melee damage on target',0,0),
(60862,340141,1,100,'Decreases STR of target by 6.9',0,1),
(60863,340141,1,100,'You must be sneaking to use this ability.',0,2),
(60864,340141,2,100,'Inflicts 35 - 59 melee damage on target',0,0),
(60865,340141,2,100,'Decreases STR of target by 7.3',0,1),
(60866,340141,2,100,'You must be sneaking to use this ability.',0,2),
(60867,340141,3,100,'Inflicts 37 - 62 melee damage on target',0,0),
(60868,340141,3,100,'Decreases STR of target by 7.7',0,1),
(60869,340141,3,100,'You must be sneaking to use this ability.',0,2),
(60870,340141,4,100,'Inflicts 41 - 68 melee damage on target',0,0),
(60871,340141,4,100,'Decreases STR of target by 8.5',0,1),
(60872,340141,4,100,'You must be sneaking to use this ability.',0,2),
(60873,340141,5,100,'Inflicts 45 - 75 melee damage on target',0,0),
(60874,340141,5,100,'Decreases STR of target by 9.2',0,1),
(60875,340141,5,100,'You must be sneaking to use this ability.',0,2),
(60876,340141,7,100,'Inflicts 57 - 96 melee damage on target',0,0),
(60877,340141,7,100,'Decreases STR of target by 11.9',0,1),
(60878,340141,7,100,'You must be sneaking to use this ability.',0,2),
(60879,340141,9,100,'Inflicts 60 - 100 melee damage on target',0,0),
(60880,340141,9,100,'Decreases STR of target by 12.3',0,1),
(60881,340141,9,100,'You must be sneaking to use this ability.',0,2),
(60882,340142,1,100,'Inflicts 77 - 129 melee damage on target',0,0),
(60883,340142,1,100,'Decreases STR of target by 15.0',0,1),
(60884,340142,1,100,'You must be sneaking to use this ability.',0,2),
(60885,340142,2,100,'Inflicts 82 - 136 melee damage on target',0,0),
(60886,340142,2,100,'Decreases STR of target by 15.9',0,1),
(60887,340142,2,100,'You must be sneaking to use this ability.',0,2),
(60888,340142,3,100,'Inflicts 86 - 143 melee damage on target',0,0),
(60889,340142,3,100,'Decreases STR of target by 16.7',0,1),
(60890,340142,3,100,'You must be sneaking to use this ability.',0,2),
(60891,340142,4,100,'Inflicts 95 - 158 melee damage on target',0,0),
(60892,340142,4,100,'Decreases STR of target by 18.4',0,1),
(60893,340142,4,100,'You must be sneaking to use this ability.',0,2),
(60894,340142,5,100,'Inflicts 103 - 172 melee damage on target',0,0),
(60895,340142,5,100,'Decreases STR of target by 20.0',0,1),
(60896,340142,5,100,'You must be sneaking to use this ability.',0,2),
(60897,340142,7,100,'Inflicts 133 - 221 melee damage on target',0,0),
(60898,340142,7,100,'Decreases STR of target by 25.7',0,1),
(60899,340142,7,100,'You must be sneaking to use this ability.',0,2),
(60900,340142,9,100,'Inflicts 138 - 230 melee damage on target',0,0),
(60901,340142,9,100,'Decreases STR of target by 26.7',0,1),
(60902,340142,9,100,'You must be sneaking to use this ability.',0,2),
(60903,340143,1,100,'Inflicts 138 - 230 melee damage on target',0,0),
(60904,340143,1,100,'Decreases STR of target by 24.3',0,1),
(60905,340143,1,100,'You must be sneaking to use this ability.',0,2),
(60906,340143,2,100,'Inflicts 145 - 243 melee damage on target',0,0),
(60907,340143,2,100,'Decreases STR of target by 25.6',0,1),
(60908,340143,2,100,'You must be sneaking to use this ability.',0,2),
(60909,340143,3,100,'Inflicts 153 - 256 melee damage on target',0,0),
(60910,340143,3,100,'Decreases STR of target by 27.0',0,1),
(60911,340143,3,100,'You must be sneaking to use this ability.',0,2),
(60912,340143,4,100,'Inflicts 169 - 281 melee damage on target',0,0),
(60913,340143,4,100,'Decreases STR of target by 29.7',0,1),
(60914,340143,4,100,'You must be sneaking to use this ability.',0,2),
(60915,340143,5,100,'Inflicts 184 - 307 melee damage on target',0,0),
(60916,340143,5,100,'Decreases STR of target by 32.4',0,1),
(60917,340143,5,100,'You must be sneaking to use this ability.',0,2),
(60918,340143,7,100,'Inflicts 236 - 394 melee damage on target',0,0),
(60919,340143,7,100,'Decreases STR of target by 41.6',0,1),
(60920,340143,7,100,'You must be sneaking to use this ability.',0,2),
(60921,340143,9,100,'Inflicts 245 - 409 melee damage on target',0,0),
(60922,340143,9,100,'Decreases STR of target by 43.2',0,1),
(60923,340143,9,100,'You must be sneaking to use this ability.',0,2),
(60924,340144,1,100,'Inflicts 484 - 806 melee damage on target',0,0),
(60925,340144,1,100,'Decreases STR of target by 74.2',0,1),
(60926,340144,1,100,'You must be sneaking to use this ability.',0,2),
(60927,340144,4,100,'Inflicts 591 - 986 melee damage on target',0,0),
(60928,340144,4,100,'Decreases STR of target by 90.7',0,1),
(60929,340144,4,100,'You must be sneaking to use this ability.',0,2),
(60930,340144,5,100,'Inflicts 645 - 1075 melee damage on target',0,0),
(60931,340144,5,100,'Decreases STR of target by 99.0',0,1),
(60932,340144,5,100,'You must be sneaking to use this ability.',0,2),
(60933,340144,7,100,'Inflicts 828 - 1380 melee damage on target',0,0),
(60934,340144,7,100,'Decreases STR of target by 127.0',0,1),
(60935,340144,7,100,'You must be sneaking to use this ability.',0,2),
(60936,340144,9,100,'Inflicts 860 - 1434 melee damage on target',0,0),
(60937,340144,9,100,'Decreases STR of target by 132.0',0,1),
(60938,340144,9,100,'You must be sneaking to use this ability.',0,2),
(60939,340145,1,100,'Inflicts 208 - 347 melee damage on target',0,0),
(60940,340145,1,100,'Decreases STR of target by 34.4',0,1),
(60941,340145,1,100,'You must be sneaking to use this ability.',0,2),
(60942,340145,2,100,'Inflicts 220 - 366 melee damage on target',0,0),
(60943,340145,2,100,'Decreases STR of target by 36.3',0,1),
(60944,340145,2,100,'You must be sneaking to use this ability.',0,2),
(60945,340145,3,100,'Inflicts 231 - 386 melee damage on target',0,0),
(60946,340145,3,100,'Decreases STR of target by 38.2',0,1),
(60947,340145,3,100,'You must be sneaking to use this ability.',0,2),
(60948,340145,4,100,'Inflicts 254 - 424 melee damage on target',0,0),
(60949,340145,4,100,'Decreases STR of target by 42.0',0,1),
(60950,340145,4,100,'You must be sneaking to use this ability.',0,2),
(60951,340145,5,100,'Inflicts 278 - 463 melee damage on target',0,0),
(60952,340145,5,100,'Decreases STR of target by 45.8',0,1),
(60953,340145,5,100,'You must be sneaking to use this ability.',0,2),
(60954,340145,7,100,'Inflicts 356 - 594 melee damage on target',0,0),
(60955,340145,7,100,'Decreases STR of target by 58.8',0,1),
(60956,340145,7,100,'You must be sneaking to use this ability.',0,2),
(60957,340145,9,100,'Inflicts 370 - 618 melee damage on target',0,0),
(60958,340145,9,100,'Decreases STR of target by 61.1',0,1),
(60959,340145,9,100,'You must be sneaking to use this ability.',0,2),
(60960,340146,1,100,'Inflicts 284 - 473 melee damage on target',0,0),
(60961,340146,1,100,'Decreases STR of target by 44.5',0,1),
(60962,340146,1,100,'You must be sneaking to use this ability.',0,2),
(60963,340146,2,100,'Inflicts 300 - 500 melee damage on target',0,0),
(60964,340146,2,100,'Decreases STR of target by 46.9',0,1),
(60965,340146,2,100,'You must be sneaking to use this ability.',0,2),
(60966,340146,3,100,'Inflicts 315 - 526 melee damage on target',0,0),
(60967,340146,3,100,'Decreases STR of target by 49.4',0,1),
(60968,340146,3,100,'You must be sneaking to use this ability.',0,2),
(60969,340146,4,100,'Inflicts 347 - 579 melee damage on target',0,0),
(60970,340146,4,100,'Decreases STR of target by 54.3',0,1),
(60971,340146,4,100,'You must be sneaking to use this ability.',0,2),
(60972,340146,5,100,'Inflicts 379 - 631 melee damage on target',0,0),
(60973,340146,5,100,'Decreases STR of target by 59.3',0,1),
(60974,340146,5,100,'You must be sneaking to use this ability.',0,2),
(60975,340146,7,100,'Inflicts 486 - 810 melee damage on target',0,0),
(60976,340146,7,100,'Decreases STR of target by 76.1',0,1),
(60977,340146,7,100,'You must be sneaking to use this ability.',0,2),
(60978,340146,9,100,'Inflicts 505 - 842 melee damage on target',0,0),
(60979,340146,9,100,'Decreases STR of target by 79.0',0,1),
(60980,340146,9,100,'You must be sneaking to use this ability.',0,2),
(60981,340147,1,100,'Inflicts 356 - 593 melee damage on target',0,0),
(60982,340147,1,100,'Decreases STR of target by 54.4',0,1),
(60983,340147,1,100,'You must be sneaking to use this ability.',0,2),
(60984,340147,2,100,'Inflicts 376 - 626 melee damage on target',0,0),
(60985,340147,2,100,'Decreases STR of target by 57.5',0,1),
(60986,340147,2,100,'You must be sneaking to use this ability.',0,2),
(60987,340147,3,100,'Inflicts 395 - 659 melee damage on target',0,0),
(60988,340147,3,100,'Decreases STR of target by 60.5',0,1),
(60989,340147,3,100,'You must be sneaking to use this ability.',0,2),
(60990,340147,4,100,'Inflicts 435 - 725 melee damage on target',0,0),
(60991,340147,4,100,'Decreases STR of target by 66.6',0,1),
(60992,340147,4,100,'You must be sneaking to use this ability.',0,2),
(60993,340147,5,100,'Inflicts 475 - 791 melee damage on target',0,0),
(60994,340147,5,100,'Decreases STR of target by 72.6',0,1),
(60995,340147,5,100,'You must be sneaking to use this ability.',0,2),
(60996,340147,7,100,'Inflicts 609 - 1016 melee damage on target',0,0),
(60997,340147,7,100,'Decreases STR of target by 93.2',0,1),
(60998,340147,7,100,'You must be sneaking to use this ability.',0,2),
(60999,340147,9,100,'Inflicts 633 - 1055 melee damage on target',0,0),
(61000,340147,9,100,'Decreases STR of target by 96.8',0,1),
(61001,340147,9,100,'You must be sneaking to use this ability.',0,2),
(61002,340147,10,100,'Inflicts 665 - 1108 melee damage on target',0,0),
(61003,340147,10,100,'Decreases STR of target by 101.6',0,1),
(61004,340147,10,100,'You must be sneaking to use this ability.',0,2),
(61005,340148,1,100,'Inflicts 430 - 717 melee damage on target',0,0),
(61006,340148,1,100,'Decreases STR of target by 64.3',0,1),
(61007,340148,1,100,'You must be sneaking to use this ability.',0,2),
(61008,340148,4,100,'Inflicts 525 - 876 melee damage on target',0,0),
(61009,340148,4,100,'Decreases STR of target by 78.7',0,1),
(61010,340148,4,100,'You must be sneaking to use this ability.',0,2),
(61011,340148,5,100,'Inflicts 573 - 956 melee damage on target',0,0),
(61012,340148,5,100,'Decreases STR of target by 85.8',0,1),
(61013,340148,5,100,'You must be sneaking to use this ability.',0,2),
(61014,340148,7,100,'Inflicts 736 - 1226 melee damage on target',0,0),
(61015,340148,7,100,'Decreases STR of target by 110.1',0,1),
(61016,340148,7,100,'You must be sneaking to use this ability.',0,2),
(61017,340148,9,100,'Inflicts 764 - 1274 melee damage on target',0,0),
(61018,340148,9,100,'Decreases STR of target by 114.4',0,1),
(61019,340148,9,100,'You must be sneaking to use this ability.',0,2),
(61020,70141,1,100,'Decreases Weapon Damage of caster by 50.0',0,0),
(61021,70141,1,100,'Slows caster by 88.9%',0,1),
(61022,70141,1,100,'Increases Mitigation of caster vs physical damage by 720',0,2),
(61023,70141,2,100,'Decreases Weapon Damage of caster by 50.0',0,0),
(61024,70141,2,100,'Slows caster by 84.2%',0,1),
(61025,70141,2,100,'Increases Mitigation of caster vs physical damage by 760',0,2),
(61026,70141,3,100,'Decreases Weapon Damage of caster by 50.0',0,0),
(61027,70141,3,100,'Slows caster by 80.0%',0,1),
(61028,70141,3,100,'Increases Mitigation of caster vs physical damage by 800',0,2),
(61029,70141,4,100,'Decreases Weapon Damage of caster by 50.0',0,0),
(61030,70141,4,100,'Slows caster by 72.7%',0,1),
(61031,70141,4,100,'Increases Mitigation of caster vs physical damage by 880',0,2),
(61032,70141,5,100,'Decreases Weapon Damage of caster by 50.0',0,0),
(61033,70141,5,100,'Slows caster by 66.7%',0,1),
(61034,70141,5,100,'Increases Mitigation of caster vs physical damage by 960',0,2),
(61035,70141,7,100,'Decreases Weapon Damage of caster by 50.0',0,0),
(61036,70141,7,100,'Slows caster by 51.9%',0,1),
(61037,70141,7,100,'Increases Mitigation of caster vs physical damage by 1232',0,2),
(61038,70141,9,100,'Decreases Weapon Damage of caster by 50.0',0,0),
(61039,70141,9,100,'Slows caster by 50.0%',0,1),
(61040,70141,9,100,'Increases Mitigation of caster vs physical damage by 1280',0,2),
(61041,70142,1,100,'Decreases Weapon Damage of caster by 50.0',0,0),
(61042,70142,1,100,'Slows caster by 88.9%',0,1),
(61043,70142,1,100,'Increases Mitigation of caster vs physical damage by 972',0,2),
(61044,70142,2,100,'Decreases Weapon Damage of caster by 50.0',0,0),
(61045,70142,2,100,'Slows caster by 84.2%',0,1),
(61046,70142,2,100,'Increases Mitigation of caster vs physical damage by 1026',0,2),
(61047,70142,3,100,'Decreases Weapon Damage of caster by 50.0',0,0),
(61048,70142,3,100,'Slows caster by 80.0%',0,1),
(61049,70142,3,100,'Increases Mitigation of caster vs physical damage by 1080',0,2),
(61050,70142,4,100,'Decreases Weapon Damage of caster by 50.0',0,0),
(61051,70142,4,100,'Slows caster by 72.7%',0,1),
(61052,70142,4,100,'Increases Mitigation of caster vs physical damage by 1188',0,2),
(61053,70142,5,100,'Decreases Weapon Damage of caster by 50.0',0,0),
(61054,70142,5,100,'Slows caster by 66.7%',0,1),
(61055,70142,5,100,'Increases Mitigation of caster vs physical damage by 1296',0,2),
(61056,70142,7,100,'Decreases Weapon Damage of caster by 50.0',0,0),
(61057,70142,7,100,'Slows caster by 51.9%',0,1),
(61058,70142,7,100,'Increases Mitigation of caster vs physical damage by 1663',0,2),
(61059,70142,9,100,'Decreases Weapon Damage of caster by 50.0',0,0),
(61060,70142,9,100,'Slows caster by 50.0%',0,1),
(61061,70142,9,100,'Increases Mitigation of caster vs physical damage by 1728',0,2),
(61062,70143,1,100,'Decreases Weapon Damage of caster by 50.0',0,0),
(61063,70143,1,100,'Slows caster by 88.9%',0,1),
(61064,70143,1,100,'Increases Mitigation of caster vs physical damage by 1224',0,2),
(61065,70143,2,100,'Decreases Weapon Damage of caster by 50.0',0,0),
(61066,70143,2,100,'Slows caster by 84.2%',0,1),
(61067,70143,2,100,'Increases Mitigation of caster vs physical damage by 1292',0,2),
(61068,70143,3,100,'Decreases Weapon Damage of caster by 50.0',0,0),
(61069,70143,3,100,'Slows caster by 80.0%',0,1),
(61070,70143,3,100,'Increases Mitigation of caster vs physical damage by 1360',0,2),
(61071,70143,4,100,'Decreases Weapon Damage of caster by 50.0',0,0),
(61072,70143,4,100,'Slows caster by 72.7%',0,1),
(61073,70143,4,100,'Increases Mitigation of caster vs physical damage by 1496',0,2),
(61074,70143,5,100,'Decreases Weapon Damage of caster by 50.0',0,0),
(61075,70143,5,100,'Slows caster by 66.7%',0,1),
(61076,70143,5,100,'Increases Mitigation of caster vs physical damage by 1632',0,2),
(61077,70143,7,100,'Decreases Weapon Damage of caster by 50.0',0,0),
(61078,70143,7,100,'Slows caster by 51.9%',0,1),
(61079,70143,7,100,'Increases Mitigation of caster vs physical damage by 2094',0,2),
(61080,70143,9,100,'Decreases Weapon Damage of caster by 50.0',0,0),
(61081,70143,9,100,'Slows caster by 50.0%',0,1),
(61082,70143,9,100,'Increases Mitigation of caster vs physical damage by 2176',0,2),
(61083,70144,1,100,'Decreases Weapon Damage of caster by 50.0',0,0),
(61084,70144,1,100,'Slows caster by 88.9%',0,1),
(61085,70144,1,100,'Increases Mitigation of caster vs physical damage by 1474',0,2),
(61086,70144,2,100,'Decreases Weapon Damage of caster by 50.0',0,0),
(61087,70144,2,100,'Slows caster by 84.2%',0,1),
(61088,70144,2,100,'Increases Mitigation of caster vs physical damage by 1556',0,2),
(61089,70144,3,100,'Decreases Weapon Damage of caster by 50.0',0,0),
(61090,70144,3,100,'Slows caster by 80.0%',0,1),
(61091,70144,3,100,'Increases Mitigation of caster vs physical damage by 1638',0,2),
(61092,70144,4,100,'Decreases Weapon Damage of caster by 50.0',0,0),
(61093,70144,4,100,'Slows caster by 72.7%',0,1),
(61094,70144,4,100,'Increases Mitigation of caster vs physical damage by 1802',0,2),
(61095,70144,5,100,'Decreases Weapon Damage of caster by 50.0',0,0),
(61096,70144,5,100,'Slows caster by 66.7%',0,1),
(61097,70144,5,100,'Increases Mitigation of caster vs physical damage by 1966',0,2),
(61098,70144,7,100,'Decreases Weapon Damage of caster by 50.0',0,0),
(61099,70144,7,100,'Slows caster by 51.9%',0,1),
(61100,70144,7,100,'Increases Mitigation of caster vs physical damage by 2523',0,2),
(61101,70144,9,100,'Decreases Weapon Damage of caster by 50.0',0,0),
(61102,70144,9,100,'Slows caster by 50.0%',0,1),
(61103,70144,9,100,'Increases Mitigation of caster vs physical damage by 2621',0,2),
(61104,70145,1,100,'Decreases Weapon Damage of caster by 50.0',0,0),
(61105,70145,1,100,'Slows caster by 88.9%',0,1),
(61106,70145,1,100,'Increases Mitigation of caster vs physical damage by 1727',0,2),
(61107,70145,4,100,'Decreases Weapon Damage of caster by 50.0',0,0),
(61108,70145,4,100,'Slows caster by 72.7%',0,1),
(61109,70145,4,100,'Increases Mitigation of caster vs physical damage by 2110',0,2),
(61110,70145,5,100,'Decreases Weapon Damage of caster by 50.0',0,0),
(61111,70145,5,100,'Slows caster by 66.7%',0,1),
(61112,70145,5,100,'Increases Mitigation of caster vs physical damage by 2302',0,2),
(61113,70145,7,100,'Decreases Weapon Damage of caster by 50.0',0,0),
(61114,70145,7,100,'Slows caster by 51.9%',0,1),
(61115,70145,7,100,'Increases Mitigation of caster vs physical damage by 2954',0,2),
(61116,70145,9,100,'Decreases Weapon Damage of caster by 50.0',0,0),
(61117,70145,9,100,'Slows caster by 50.0%',0,1),
(61118,70145,9,100,'Increases Mitigation of caster vs physical damage by 3069',0,2),
(61119,70146,1,100,'Decreases Weapon Damage of caster by 50.0',0,0),
(61120,70146,1,100,'Slows caster by 88.9%',0,1),
(61121,70146,1,100,'Increases Mitigation of caster vs physical damage by 1940',0,2),
(61122,70146,4,100,'Decreases Weapon Damage of caster by 50.0',0,0),
(61123,70146,4,100,'Slows caster by 72.7%',0,1),
(61124,70146,4,100,'Increases Mitigation of caster vs physical damage by 2372',0,2),
(61125,70146,5,100,'Decreases Weapon Damage of caster by 50.0',0,0),
(61126,70146,5,100,'Slows caster by 66.7%',0,1),
(61127,70146,5,100,'Increases Mitigation of caster vs physical damage by 2587',0,2),
(61128,70146,7,100,'Decreases Weapon Damage of caster by 50.0',0,0),
(61129,70146,7,100,'Slows caster by 51.9%',0,1),
(61130,70146,7,100,'Increases Mitigation of caster vs physical damage by 3320',0,2),
(61131,70146,9,100,'Decreases Weapon Damage of caster by 50.0',0,0),
(61132,70146,9,100,'Slows caster by 50.0%',0,1),
(61133,70146,9,100,'Increases Mitigation of caster vs physical damage by 3450',0,2),
(61134,2000221,1,100,'Applies Knockdown.  Lasts for 1.8 seconds.',0,0),
(61135,2000221,1,100,'Throws target back',1,1),
(61136,2000221,1,100,'Blurs vision of target',1,2),
(61137,2000221,1,100,'Stuns target',1,3),
(61138,2000221,1,100,'Does not affect Epic targets',1,4),
(61139,2000221,1,100,'Inflicts 327 - 545 crushing damage on target',0,5),
(61140,2000221,2,100,'Applies Knockdown.  Lasts for 1.9 seconds.',0,0),
(61141,2000221,2,100,'Throws target back',1,1),
(61142,2000221,2,100,'Blurs vision of target',1,2),
(61143,2000221,2,100,'Stuns target',1,3),
(61144,2000221,2,100,'Does not affect Epic targets',1,4),
(61145,2000221,2,100,'Inflicts 345 - 575 crushing damage on target',0,5),
(61146,2000221,3,100,'Applies Knockdown.  Lasts for 2.0 seconds.',0,0),
(61147,2000221,3,100,'Throws target back',1,1),
(61148,2000221,3,100,'Blurs vision of target',1,2),
(61149,2000221,3,100,'Stuns target',1,3),
(61150,2000221,3,100,'Does not affect Epic targets',1,4),
(61151,2000221,3,100,'Inflicts 363 - 606 crushing damage on target',0,5),
(61152,2000221,4,100,'Applies Knockdown.  Lasts for 2.2 seconds.',0,0),
(61153,2000221,4,100,'Throws target back',1,1),
(61154,2000221,4,100,'Blurs vision of target',1,2),
(61155,2000221,4,100,'Stuns target',1,3),
(61156,2000221,4,100,'Does not affect Epic targets',1,4),
(61157,2000221,4,100,'Inflicts 533 - 888 crushing damage on target',0,5),
(61158,2000221,5,100,'Applies Knockdown.  Lasts for 2.4 seconds.',0,0),
(61159,2000221,5,100,'Throws target back',1,1),
(61160,2000221,5,100,'Blurs vision of target',1,2),
(61161,2000221,5,100,'Stuns target',1,3),
(61162,2000221,5,100,'Does not affect Epic targets',1,4),
(61163,2000221,5,100,'Inflicts 581 - 969 crushing damage on target',0,5),
(61164,2000221,6,100,'Applies Knockdown.  Lasts for 2.6 seconds.',0,0),
(61165,2000221,6,100,'Throws target back',1,1),
(61166,2000221,6,100,'Blurs vision of target',1,2),
(61167,2000221,6,100,'Stuns target',1,3),
(61168,2000221,6,100,'Does not affect Epic targets',1,4),
(61169,2000221,6,100,'Inflicts 630 - 1050 crushing damage on target',0,5),
(61170,2000221,7,100,'Applies Knockdown.  Lasts for 2.8 seconds.',0,0),
(61171,2000221,7,100,'Throws target back',1,1),
(61172,2000221,7,100,'Blurs vision of target',1,2),
(61173,2000221,7,100,'Stuns target',1,3),
(61174,2000221,7,100,'Does not affect Epic targets',1,4),
(61175,2000221,7,100,'Inflicts 560 - 933 crushing damage on target',0,5),
(61176,2000221,8,100,'Applies Knockdown.  Lasts for 3.0 seconds.',0,0),
(61177,2000221,8,100,'Throws target back',1,1),
(61178,2000221,8,100,'Blurs vision of target',1,2),
(61179,2000221,8,100,'Stuns target',1,3),
(61180,2000221,8,100,'Does not affect Epic targets',1,4),
(61181,2000221,8,100,'Inflicts 751 - 1252 crushing damage on target',0,5),
(61182,2000221,9,100,'Applies Knockdown.  Lasts for 3.2 seconds.',0,0),
(61183,2000221,9,100,'Throws target back',1,1),
(61184,2000221,9,100,'Blurs vision of target',1,2),
(61185,2000221,9,100,'Stuns target',1,3),
(61186,2000221,9,100,'Does not affect Epic targets',1,4),
(61187,2000221,9,100,'Inflicts 581 - 969 crushing damage on target',0,5),
(61188,2000221,10,100,'Applies Knockdown.  Lasts for 3.3 seconds.',0,0),
(61189,2000221,10,100,'Throws target back',1,1),
(61190,2000221,10,100,'Blurs vision of target',1,2),
(61191,2000221,10,100,'Stuns target',1,3),
(61192,2000221,10,100,'Does not affect Epic targets',1,4),
(61193,2000221,10,100,'Inflicts 814 - 1357 crushing damage on target',0,5),
(61194,70147,1,100,'Inflicts 5 - 17 crushing damage on target',0,0),
(61195,70147,4,100,'Inflicts 7 - 21 crushing damage on target',0,0),
(61196,70147,5,100,'Inflicts 7 - 23 crushing damage on target',0,0),
(61197,70147,7,100,'Inflicts 9 - 29 crushing damage on target',0,0),
(61198,70147,9,100,'Inflicts 10 - 31 crushing damage on target',0,0),
(61199,70148,1,100,'Inflicts 20 - 62 crushing damage on target',0,0),
(61200,70148,2,100,'Inflicts 22 - 66 crushing damage on target',0,0),
(61201,70148,3,100,'Inflicts 23 - 69 crushing damage on target',0,0),
(61202,70148,4,100,'Inflicts 25 - 76 crushing damage on target',0,0),
(61203,70148,5,100,'Inflicts 27 - 83 crushing damage on target',0,0),
(61204,70148,7,100,'Inflicts 35 - 107 crushing damage on target',0,0),
(61205,70148,9,100,'Inflicts 37 - 111 crushing damage on target',0,0),
(61206,70149,1,100,'Inflicts 38 - 116 crushing damage on target',0,0),
(61207,70149,2,100,'Inflicts 41 - 123 crushing damage on target',0,0),
(61208,70149,3,100,'Inflicts 43 - 129 crushing damage on target',0,0),
(61209,70149,4,100,'Inflicts 47 - 142 crushing damage on target',0,0),
(61210,70149,5,100,'Inflicts 51 - 155 crushing damage on target',0,0),
(61211,70149,7,100,'Inflicts 66 - 199 crushing damage on target',0,0),
(61212,70149,9,100,'Inflicts 69 - 207 crushing damage on target',0,0),
(61213,70150,1,100,'Inflicts 59 - 178 crushing damage on target',0,0),
(61214,70150,2,100,'Inflicts 62 - 188 crushing damage on target',0,0),
(61215,70150,3,100,'Inflicts 65 - 197 crushing damage on target',0,0),
(61216,70150,4,100,'Inflicts 72 - 217 crushing damage on target',0,0),
(61217,70150,5,100,'Inflicts 79 - 237 crushing damage on target',0,0),
(61218,70150,7,100,'Inflicts 101 - 304 crushing damage on target',0,0),
(61219,70150,9,100,'Inflicts 105 - 316 crushing damage on target',0,0),
(61220,60146,1,100,'Inflicts 8 - 13 slashing damage on target',0,0),
(61221,60146,4,100,'Inflicts 10 - 17 slashing damage on target',0,0),
(61222,60146,5,100,'Inflicts 11 - 18 slashing damage on target',0,0),
(61223,60146,7,100,'Inflicts 14 - 23 slashing damage on target',0,0),
(61224,60146,9,100,'Inflicts 14 - 24 slashing damage on target',0,0),
(61225,60147,1,100,'Inflicts 30 - 50 slashing damage on target',0,0),
(61226,60147,2,100,'Inflicts 31 - 53 slashing damage on target',0,0),
(61227,60147,3,100,'Inflicts 33 - 55 slashing damage on target',0,0),
(61228,60147,4,100,'Inflicts 36 - 61 slashing damage on target',0,0),
(61229,60147,5,100,'Inflicts 40 - 66 slashing damage on target',0,0),
(61230,60147,7,100,'Inflicts 51 - 85 slashing damage on target',0,0),
(61231,60147,9,100,'Inflicts 53 - 89 slashing damage on target',0,0),
(61232,60148,1,100,'Inflicts 55 - 93 slashing damage on target',0,0),
(61233,60148,2,100,'Inflicts 59 - 98 slashing damage on target',0,0),
(61234,60148,3,100,'Inflicts 62 - 103 slashing damage on target',0,0),
(61235,60148,4,100,'Inflicts 68 - 113 slashing damage on target',0,0),
(61236,60148,5,100,'Inflicts 74 - 124 slashing damage on target',0,0),
(61237,60148,7,100,'Inflicts 95 - 159 slashing damage on target',0,0),
(61238,60148,9,100,'Inflicts 99 - 165 slashing damage on target',0,0),
(61239,60149,1,100,'Inflicts 85 - 142 slashing damage on target',0,0),
(61240,60149,2,100,'Inflicts 90 - 150 slashing damage on target',0,0),
(61241,60149,3,100,'Inflicts 94 - 158 slashing damage on target',0,0),
(61242,60149,4,100,'Inflicts 104 - 173 slashing damage on target',0,0),
(61243,60149,5,100,'Inflicts 113 - 189 slashing damage on target',0,0),
(61244,60149,7,100,'Inflicts 146 - 243 slashing damage on target',0,0),
(61245,60149,9,100,'Inflicts 151 - 252 slashing damage on target',0,0),
(61246,60150,1,100,'Inflicts 118 - 196 slashing damage on target',0,0),
(61247,60150,2,100,'Inflicts 124 - 207 slashing damage on target',0,0),
(61248,60150,3,100,'Inflicts 131 - 218 slashing damage on target',0,0),
(61249,60150,4,100,'Inflicts 144 - 240 slashing damage on target',0,0),
(61250,60150,5,100,'Inflicts 157 - 262 slashing damage on target',0,0),
(61251,60150,7,100,'Inflicts 201 - 336 slashing damage on target',0,0),
(61252,60150,9,100,'Inflicts 209 - 349 slashing damage on target',0,0),
(61253,60151,1,100,'Inflicts 150 - 251 slashing damage on target',0,0),
(61254,60151,2,100,'Inflicts 159 - 265 slashing damage on target',0,0),
(61255,60151,3,100,'Inflicts 167 - 279 slashing damage on target',0,0),
(61256,60151,4,100,'Inflicts 184 - 307 slashing damage on target',0,0),
(61257,60151,5,100,'Inflicts 201 - 335 slashing damage on target',0,0),
(61258,60151,7,100,'Inflicts 258 - 430 slashing damage on target',0,0),
(61259,60151,9,100,'Inflicts 268 - 446 slashing damage on target',0,0),
(61260,60152,1,100,'Inflicts 182 - 303 slashing damage on target',0,0),
(61261,60152,4,100,'Inflicts 222 - 371 slashing damage on target',0,0),
(61262,60152,5,100,'Inflicts 242 - 404 slashing damage on target',0,0),
(61263,60152,7,100,'Inflicts 311 - 519 slashing damage on target',0,0),
(61264,60152,9,100,'Inflicts 323 - 539 slashing damage on target',0,0),
(61265,60153,1,100,'Inflicts 207 - 346 slashing damage on target',0,0),
(61266,60153,4,100,'Inflicts 253 - 423 slashing damage on target',0,0),
(61267,60153,5,100,'Inflicts 276 - 461 slashing damage on target',0,0),
(61268,60153,7,100,'Inflicts 355 - 592 slashing damage on target',0,0),
(61269,60153,9,100,'Inflicts 369 - 615 slashing damage on target',0,0),
(61270,70151,1,100,'Inflicts 82 - 246 crushing damage on target',0,0),
(61271,70151,2,100,'Inflicts 86 - 259 crushing damage on target',0,0),
(61272,70151,3,100,'Inflicts 91 - 273 crushing damage on target',0,0),
(61273,70151,4,100,'Inflicts 100 - 300 crushing damage on target',0,0),
(61274,70151,5,100,'Inflicts 109 - 328 crushing damage on target',0,0),
(61275,70151,7,100,'Inflicts 140 - 421 crushing damage on target',0,0),
(61276,70151,9,100,'Inflicts 145 - 437 crushing damage on target',0,0),
(61277,70152,1,100,'Inflicts 104 - 314 crushing damage on target',0,0),
(61278,70152,2,100,'Inflicts 110 - 332 crushing damage on target',0,0),
(61279,70152,3,100,'Inflicts 116 - 349 crushing damage on target',0,0),
(61280,70152,4,100,'Inflicts 128 - 384 crushing damage on target',0,0),
(61281,70152,5,100,'Inflicts 139 - 419 crushing damage on target',0,0),
(61282,70152,7,100,'Inflicts 179 - 538 crushing damage on target',0,0),
(61283,70152,9,100,'Inflicts 186 - 559 crushing damage on target',0,0),
(61284,70153,1,100,'Inflicts 126 - 380 crushing damage on target',0,0),
(61285,70153,4,100,'Inflicts 154 - 464 crushing damage on target',0,0),
(61286,70153,5,100,'Inflicts 169 - 507 crushing damage on target',0,0),
(61287,70153,7,100,'Inflicts 216 - 650 crushing damage on target',0,0),
(61288,70153,9,100,'Inflicts 225 - 676 crushing damage on target',0,0),
(61289,70154,1,100,'Inflicts 144 - 433 crushing damage on target',0,0),
(61290,70154,4,100,'Inflicts 176 - 529 crushing damage on target',0,0),
(61291,70154,5,100,'Inflicts 192 - 577 crushing damage on target',0,0),
(61292,70154,7,100,'Inflicts 247 - 741 crushing damage on target',0,0),
(61293,70154,9,100,'Inflicts 256 - 770 crushing damage on target',0,0),
(61294,30156,1,100,'Inflicts 13 - 22 slashing damage on target',0,0),
(61295,30156,1,100,'Inflicts 6 - 7 slashing damage on target every 5 seconds',0,1),
(61296,30156,1,100,'Decreases Slashing, Crushing and Piercing of target by 1.5',0,2),
(61298,30156,2,100,'Inflicts 14 - 23 slashing damage on target',0,0),
(61299,30156,2,100,'Inflicts 6 - 7 slashing damage on target every 5 seconds',0,1),
(61300,30156,2,100,'Decreases Slashing, Crushing and Piercing of target by 1.6',0,2),
(61302,30156,3,100,'Inflicts 14 - 24 slashing damage on target',0,0),
(61303,30156,3,100,'Inflicts 6 - 8 slashing damage on target every 5 seconds',0,1),
(61304,30156,3,100,'Decreases Slashing, Crushing and Piercing of target by 1.6',0,2),
(61306,30156,4,100,'Inflicts 16 - 27 slashing damage on target',0,0),
(61307,30156,4,100,'Inflicts 7 - 8 slashing damage on target every 5 seconds',0,1),
(61308,30156,4,100,'Decreases Slashing, Crushing and Piercing of target by 1.8',0,2),
(61310,30156,5,100,'Inflicts 17 - 29 slashing damage on target',0,0),
(61311,30156,5,100,'Inflicts 7 - 9 slashing damage on target every 5 seconds',0,1),
(61312,30156,5,100,'Decreases Slashing, Crushing and Piercing of target by 2.0',0,2),
(61314,30156,7,100,'Inflicts 23 - 38 slashing damage on target',0,0),
(61315,30156,7,100,'Inflicts 9 - 12 slashing damage on target every 5 seconds',0,1),
(61316,30156,7,100,'Decreases Slashing, Crushing and Piercing of target by 2.5',0,2),
(61318,30156,9,100,'Inflicts 23 - 39 slashing damage on target',0,0),
(61319,30156,9,100,'Inflicts 10 - 12 slashing damage on target every 5 seconds',0,1),
(61320,30156,9,100,'Decreases Slashing, Crushing and Piercing of target by 2.6',0,2),
(61322,30157,1,100,'Inflicts 31 - 52 slashing damage on target',0,0),
(61323,30157,1,100,'Inflicts 13 - 16 slashing damage on target every 5 seconds',0,1),
(61324,30157,1,100,'Decreases Slashing, Crushing and Piercing of target by 3.4',0,2),
(61326,30157,2,100,'Inflicts 32 - 54 slashing damage on target',0,0),
(61327,30157,2,100,'Inflicts 14 - 17 slashing damage on target every 5 seconds',0,1),
(61328,30157,2,100,'Decreases Slashing, Crushing and Piercing of target by 3.6',0,2),
(61330,30157,3,100,'Inflicts 34 - 57 slashing damage on target',0,0),
(61331,30157,3,100,'Inflicts 14 - 17 slashing damage on target every 5 seconds',0,1),
(61332,30157,3,100,'Decreases Slashing, Crushing and Piercing of target by 3.7',0,2),
(61334,30157,4,100,'Inflicts 38 - 63 slashing damage on target',0,0),
(61335,30157,4,100,'Inflicts 16 - 19 slashing damage on target every 5 seconds',0,1),
(61336,30157,4,100,'Decreases Slashing, Crushing and Piercing of target by 4.1',0,2),
(61338,30157,5,100,'Inflicts 41 - 69 slashing damage on target',0,0),
(61339,30157,5,100,'Inflicts 17 - 21 slashing damage on target every 5 seconds',0,1),
(61340,30157,5,100,'Decreases Slashing, Crushing and Piercing of target by 4.5',0,2),
(61342,30157,7,100,'Inflicts 53 - 89 slashing damage on target',0,0),
(61343,30157,7,100,'Inflicts 22 - 27 slashing damage on target every 5 seconds',0,1),
(61344,30157,7,100,'Decreases Slashing, Crushing and Piercing of target by 5.8',0,2),
(61346,30157,9,100,'Inflicts 55 - 92 slashing damage on target',0,0),
(61347,30157,9,100,'Inflicts 23 - 28 slashing damage on target every 5 seconds',0,1),
(61348,30157,9,100,'Decreases Slashing, Crushing and Piercing of target by 6.0',0,2),
(61350,30158,1,100,'Inflicts 51 - 85 slashing damage on target',0,0),
(61351,30158,1,100,'Inflicts 21 - 26 slashing damage on target every 5 seconds',0,1),
(61352,30158,1,100,'Decreases Slashing, Crushing and Piercing of target by 5.3',0,2),
(61354,30158,2,100,'Inflicts 53 - 89 slashing damage on target',0,0),
(61355,30158,2,100,'Inflicts 22 - 27 slashing damage on target every 5 seconds',0,1),
(61356,30158,2,100,'Decreases Slashing, Crushing and Piercing of target by 5.6',0,2),
(61358,30158,3,100,'Inflicts 56 - 94 slashing damage on target',0,0),
(61359,30158,3,100,'Inflicts 23 - 29 slashing damage on target every 5 seconds',0,1),
(61360,30158,3,100,'Decreases Slashing, Crushing and Piercing of target by 5.8',0,2),
(61362,30158,4,100,'Inflicts 62 - 104 slashing damage on target',0,0),
(61363,30158,4,100,'Inflicts 26 - 31 slashing damage on target every 5 seconds',0,1),
(61364,30158,4,100,'Decreases Slashing, Crushing and Piercing of target by 6.4',0,2),
(61366,30158,5,100,'Inflicts 68 - 113 slashing damage on target',0,0),
(61367,30158,5,100,'Inflicts 28 - 34 slashing damage on target every 5 seconds',0,1),
(61368,30158,5,100,'Decreases Slashing, Crushing and Piercing of target by 7.0',0,2),
(61370,30158,7,100,'Inflicts 87 - 145 slashing damage on target',0,0),
(61371,30158,7,100,'Inflicts 36 - 44 slashing damage on target every 5 seconds',0,1),
(61372,30158,7,100,'Decreases Slashing, Crushing and Piercing of target by 9.0',0,2),
(61374,30158,9,100,'Inflicts 90 - 151 slashing damage on target',0,0),
(61375,30158,9,100,'Inflicts 37 - 46 slashing damage on target every 5 seconds',0,1),
(61376,30158,9,100,'Decreases Slashing, Crushing and Piercing of target by 9.4',0,2),
(61378,30159,1,100,'Inflicts 75 - 125 slashing damage on target',0,0),
(61379,30159,1,100,'Inflicts 31 - 38 slashing damage on target every 5 seconds',0,1),
(61380,30159,1,100,'Decreases Slashing, Crushing and Piercing of target by 7.2',0,2),
(61382,30159,2,100,'Inflicts 79 - 132 slashing damage on target',0,0),
(61383,30159,2,100,'Inflicts 33 - 40 slashing damage on target every 5 seconds',0,1),
(61384,30159,2,100,'Decreases Slashing, Crushing and Piercing of target by 7.6',0,2),
(61386,30159,3,100,'Inflicts 83 - 139 slashing damage on target',0,0),
(61387,30159,3,100,'Inflicts 35 - 42 slashing damage on target every 5 seconds',0,1),
(61388,30159,3,100,'Decreases Slashing, Crushing and Piercing of target by 7.9',0,2),
(61390,30159,4,100,'Inflicts 92 - 153 slashing damage on target',0,0),
(61391,30159,4,100,'Inflicts 38 - 46 slashing damage on target every 5 seconds',0,1),
(61392,30159,4,100,'Decreases Slashing, Crushing and Piercing of target by 8.7',0,2),
(61394,30159,5,100,'Inflicts 100 - 167 slashing damage on target',0,0),
(61395,30159,5,100,'Inflicts 41 - 51 slashing damage on target every 5 seconds',0,1),
(61396,30159,5,100,'Decreases Slashing, Crushing and Piercing of target by 9.5',0,2),
(61398,30159,7,100,'Inflicts 129 - 215 slashing damage on target',0,0),
(61399,30159,7,100,'Inflicts 53 - 65 slashing damage on target every 5 seconds',0,1),
(61400,30159,7,100,'Decreases Slashing, Crushing and Piercing of target by 12.2',0,2),
(61402,30159,9,100,'Inflicts 134 - 223 slashing damage on target',0,0),
(61403,30159,9,100,'Inflicts 55 - 68 slashing damage on target every 5 seconds',0,1),
(61404,30159,9,100,'Decreases Slashing, Crushing and Piercing of target by 12.7',0,2),
(61406,30160,1,100,'Inflicts 100 - 167 slashing damage on target',0,0),
(61407,30160,1,100,'Inflicts 41 - 51 slashing damage on target every 5 seconds',0,1),
(61408,30160,1,100,'Decreases Slashing, Crushing and Piercing of target by 9.0',0,2),
(61410,30160,2,100,'Inflicts 106 - 176 slashing damage on target',0,0),
(61411,30160,2,100,'Inflicts 44 - 53 slashing damage on target every 5 seconds',0,1),
(61412,30160,2,100,'Decreases Slashing, Crushing and Piercing of target by 9.5',0,2),
(61414,30160,3,100,'Inflicts 111 - 185 slashing damage on target',0,0),
(61415,30160,3,100,'Inflicts 46 - 56 slashing damage on target every 5 seconds',0,1),
(61416,30160,3,100,'Decreases Slashing, Crushing and Piercing of target by 10.1',0,2),
(61418,30160,4,100,'Inflicts 122 - 204 slashing damage on target',0,0),
(61419,30160,4,100,'Inflicts 51 - 62 slashing damage on target every 5 seconds',0,1),
(61420,30160,4,100,'Decreases Slashing, Crushing and Piercing of target by 11.1',0,2),
(61422,30160,5,100,'Inflicts 133 - 223 slashing damage on target',0,0),
(61423,30160,5,100,'Inflicts 55 - 67 slashing damage on target every 5 seconds',0,1),
(61424,30160,5,100,'Decreases Slashing, Crushing and Piercing of target by 12.1',0,2),
(61426,30160,7,100,'Inflicts 171 - 286 slashing damage on target',0,0),
(61427,30160,7,100,'Inflicts 71 - 86 slashing damage on target every 5 seconds',0,1),
(61428,30160,7,100,'Decreases Slashing, Crushing and Piercing of target by 15.5',0,2),
(61430,30160,9,100,'Inflicts 178 - 297 slashing damage on target',0,0),
(61431,30160,9,100,'Inflicts 73 - 90 slashing damage on target every 5 seconds',0,1),
(61432,30160,9,100,'Decreases Slashing, Crushing and Piercing of target by 16.1',0,2),
(61434,30161,1,100,'Inflicts 121 - 202 slashing damage on target',0,0),
(61435,30161,1,100,'Inflicts 50 - 61 slashing damage on target every 5 seconds',0,1),
(61436,30161,1,100,'Decreases Slashing, Crushing and Piercing of target by 10.7',0,2),
(61438,30161,2,100,'Inflicts 128 - 213 slashing damage on target',0,0),
(61439,30161,2,100,'Inflicts 53 - 64 slashing damage on target every 5 seconds',0,1),
(61440,30161,2,100,'Decreases Slashing, Crushing and Piercing of target by 11.3',0,2),
(61442,30161,3,100,'Inflicts 134 - 224 slashing damage on target',0,0),
(61443,30161,3,100,'Inflicts 56 - 68 slashing damage on target every 5 seconds',0,1),
(61444,30161,3,100,'Decreases Slashing, Crushing and Piercing of target by 11.9',0,2),
(61446,30161,4,100,'Inflicts 148 - 247 slashing damage on target',0,0),
(61447,30161,4,100,'Inflicts 61 - 75 slashing damage on target every 5 seconds',0,1),
(61448,30161,4,100,'Decreases Slashing, Crushing and Piercing of target by 13.1',0,2),
(61450,30161,5,100,'Inflicts 161 - 269 slashing damage on target',0,0),
(61451,30161,5,100,'Inflicts 67 - 81 slashing damage on target every 5 seconds',0,1),
(61452,30161,5,100,'Decreases Slashing, Crushing and Piercing of target by 14.3',0,2),
(61454,30161,7,100,'Inflicts 207 - 346 slashing damage on target',0,0),
(61455,30161,7,100,'Inflicts 86 - 105 slashing damage on target every 5 seconds',0,1),
(61456,30161,7,100,'Decreases Slashing, Crushing and Piercing of target by 18.3',0,2),
(61458,30161,9,100,'Inflicts 215 - 359 slashing damage on target',0,0),
(61459,30161,9,100,'Inflicts 89 - 109 slashing damage on target every 5 seconds',0,1),
(61460,30161,9,100,'Decreases Slashing, Crushing and Piercing of target by 19.0',0,2),
(61462,30162,1,100,'Inflicts 146 - 244 slashing damage on target',0,0),
(61463,30162,1,100,'Inflicts 60 - 74 slashing damage on target every 5 seconds',0,1),
(61464,30162,1,100,'Decreases Slashing, Crushing and Piercing of target by 12.5',0,2),
(61466,30162,4,100,'Inflicts 179 - 298 slashing damage on target',0,0),
(61467,30162,4,100,'Inflicts 74 - 90 slashing damage on target every 5 seconds',0,1),
(61468,30162,4,100,'Decreases Slashing, Crushing and Piercing of target by 15.3',0,2),
(61470,30162,5,100,'Inflicts 195 - 325 slashing damage on target',0,0),
(61471,30162,5,100,'Inflicts 80 - 98 slashing damage on target every 5 seconds',0,1),
(61472,30162,5,100,'Decreases Slashing, Crushing and Piercing of target by 16.7',0,2),
(61474,30162,7,100,'Inflicts 250 - 417 slashing damage on target',0,0),
(61475,30162,7,100,'Inflicts 103 - 126 slashing damage on target every 5 seconds',0,1),
(61476,30162,7,100,'Decreases Slashing, Crushing and Piercing of target by 21.4',0,2),
(61478,30162,9,100,'Inflicts 260 - 433 slashing damage on target',0,0),
(61479,30162,9,100,'Inflicts 107 - 131 slashing damage on target every 5 seconds',0,1),
(61480,30162,9,100,'Decreases Slashing, Crushing and Piercing of target by 22.2',0,2),
(61482,30163,1,100,'Inflicts 160 - 268 slashing damage on target',0,0),
(61483,30163,1,100,'Inflicts 66 - 81 slashing damage on target every 5 seconds',0,1),
(61484,30163,1,100,'Decreases Slashing, Crushing and Piercing of target by 14.3',0,2),
(61486,30163,4,100,'Inflicts 196 - 327 slashing damage on target',0,0),
(61487,30163,4,100,'Inflicts 81 - 99 slashing damage on target every 5 seconds',0,1),
(61488,30163,4,100,'Decreases Slashing, Crushing and Piercing of target by 17.5',0,2),
(61490,30163,5,100,'Inflicts 214 - 357 slashing damage on target',0,0),
(61491,30163,5,100,'Inflicts 88 - 108 slashing damage on target every 5 seconds',0,1),
(61492,30163,5,100,'Decreases Slashing, Crushing and Piercing of target by 19.1',0,2),
(61494,30163,7,100,'Inflicts 275 - 458 slashing damage on target',0,0),
(61495,30163,7,100,'Inflicts 113 - 138 slashing damage on target every 5 seconds',0,1),
(61496,30163,7,100,'Decreases Slashing, Crushing and Piercing of target by 24.5',0,2),
(61498,30163,9,100,'Inflicts 285 - 476 slashing damage on target',0,0),
(61499,30163,9,100,'Inflicts 118 - 144 slashing damage on target every 5 seconds',0,1),
(61500,30163,9,100,'Decreases Slashing, Crushing and Piercing of target by 25.4',0,2),
(61502,40170,1,100,'Inflicts 2 - 7 melee damage on target',0,0),
(61503,40170,2,100,'Inflicts 2 - 8 melee damage on target',0,0),
(61504,40170,3,100,'Inflicts 2 - 8 melee damage on target',0,0),
(61505,40170,4,100,'Inflicts 3 - 9 melee damage on target',0,0),
(61506,40170,5,100,'Inflicts 3 - 10 melee damage on target',0,0),
(61507,40170,7,100,'Inflicts 4 - 13 melee damage on target',0,0),
(61508,40170,9,100,'Inflicts 4 - 14 melee damage on target',0,0),
(61509,40171,1,100,'Inflicts 6 - 19 melee damage on target',0,0),
(61510,40171,2,100,'Inflicts 6 - 20 melee damage on target',0,0),
(61511,40171,3,100,'Inflicts 7 - 21 melee damage on target',0,0),
(61512,40171,4,100,'Inflicts 7 - 23 melee damage on target',0,0),
(61513,40171,5,100,'Inflicts 8 - 25 melee damage on target',0,0),
(61514,40171,7,100,'Inflicts 10 - 32 melee damage on target',0,0),
(61515,40171,9,100,'Inflicts 11 - 33 melee damage on target',0,0),
(61516,40172,1,100,'Inflicts 30 - 92 melee damage on target',0,0),
(61517,40172,2,100,'Inflicts 32 - 97 melee damage on target',0,0),
(61518,40172,3,100,'Inflicts 34 - 103 melee damage on target',0,0),
(61519,40172,4,100,'Inflicts 37 - 113 melee damage on target',0,0),
(61520,40172,5,100,'Inflicts 41 - 123 melee damage on target',0,0),
(61521,40172,7,100,'Inflicts 52 - 158 melee damage on target',0,0),
(61522,40172,9,100,'Inflicts 54 - 164 melee damage on target',0,0),
(61523,40173,1,100,'Inflicts 48 - 145 melee damage on target',0,0),
(61524,40173,2,100,'Inflicts 51 - 153 melee damage on target',0,0),
(61525,40173,3,100,'Inflicts 53 - 161 melee damage on target',0,0),
(61526,40173,4,100,'Inflicts 59 - 177 melee damage on target',0,0),
(61527,40173,5,100,'Inflicts 64 - 193 melee damage on target',0,0),
(61528,40173,7,100,'Inflicts 82 - 248 melee damage on target',0,0),
(61529,40173,9,100,'Inflicts 86 - 258 melee damage on target',0,0),
(61530,40174,1,100,'Inflicts 69 - 207 melee damage on target',0,0),
(61531,40174,2,100,'Inflicts 73 - 219 melee damage on target',0,0),
(61532,40174,3,100,'Inflicts 77 - 231 melee damage on target',0,0),
(61533,40174,4,100,'Inflicts 84 - 254 melee damage on target',0,0),
(61534,40174,5,100,'Inflicts 92 - 277 melee damage on target',0,0),
(61535,40174,7,100,'Inflicts 118 - 355 melee damage on target',0,0),
(61536,40174,9,100,'Inflicts 123 - 369 melee damage on target',0,0),
(61537,40175,1,100,'Inflicts 90 - 271 melee damage on target',0,0),
(61538,40175,2,100,'Inflicts 95 - 286 melee damage on target',0,0),
(61539,40175,3,100,'Inflicts 100 - 301 melee damage on target',0,0),
(61540,40175,4,100,'Inflicts 110 - 331 melee damage on target',0,0),
(61541,40175,5,100,'Inflicts 120 - 362 melee damage on target',0,0),
(61542,40175,7,100,'Inflicts 154 - 464 melee damage on target',0,0),
(61543,40175,9,100,'Inflicts 160 - 482 melee damage on target',0,0),
(61544,40176,1,100,'Inflicts 109 - 328 melee damage on target',0,0),
(61545,40176,4,100,'Inflicts 134 - 402 melee damage on target',0,0),
(61546,40176,5,100,'Inflicts 146 - 438 melee damage on target',0,0),
(61547,40176,7,100,'Inflicts 187 - 562 melee damage on target',0,0),
(61548,40176,9,100,'Inflicts 194 - 584 melee damage on target',0,0),
(61549,40177,1,100,'Inflicts 130 - 390 melee damage on target',0,0),
(61550,40177,4,100,'Inflicts 158 - 476 melee damage on target',0,0),
(61551,40177,5,100,'Inflicts 173 - 520 melee damage on target',0,0),
(61552,40177,7,100,'Inflicts 222 - 667 melee damage on target',0,0),
(61553,40177,9,100,'Inflicts 231 - 693 melee damage on target',0,0),
(61554,420069,1,100,'Inflicts 3 - 5 melee damage on target',0,0),
(61555,420069,1,100,'Inflicts 3 - 5 melee damage on target',0,1),
(61556,420069,1,100,'Inflicts 3 - 5 melee damage on target',0,2),
(61557,420069,1,100,'Inflicts 3 - 5 melee damage on target',0,3),
(61558,420069,1,100,'Inflicts 3 - 5 melee damage on target',0,4),
(61559,420069,4,100,'Inflicts 4 - 7 melee damage on target',0,0),
(61560,420069,4,100,'Inflicts 4 - 7 melee damage on target',0,1),
(61561,420069,4,100,'Inflicts 4 - 7 melee damage on target',0,2),
(61562,420069,4,100,'Inflicts 4 - 7 melee damage on target',0,3),
(61563,420069,4,100,'Inflicts 4 - 7 melee damage on target',0,4),
(61564,420069,5,100,'Inflicts 4 - 7 melee damage on target',0,0),
(61565,420069,5,100,'Inflicts 4 - 7 melee damage on target',0,1),
(61566,420069,5,100,'Inflicts 4 - 7 melee damage on target',0,2),
(61567,420069,5,100,'Inflicts 4 - 7 melee damage on target',0,3),
(61568,420069,5,100,'Inflicts 4 - 7 melee damage on target',0,4),
(61569,420069,7,100,'Inflicts 6 - 10 melee damage on target',0,0),
(61570,420069,7,100,'Inflicts 6 - 10 melee damage on target',0,1),
(61571,420069,7,100,'Inflicts 6 - 10 melee damage on target',0,2),
(61572,420069,7,100,'Inflicts 6 - 10 melee damage on target',0,3),
(61573,420069,7,100,'Inflicts 6 - 10 melee damage on target',0,4),
(61574,420069,9,100,'Inflicts 6 - 10 melee damage on target',0,0),
(61575,420069,9,100,'Inflicts 6 - 10 melee damage on target',0,1),
(61576,420069,9,100,'Inflicts 6 - 10 melee damage on target',0,2),
(61577,420069,9,100,'Inflicts 6 - 10 melee damage on target',0,3),
(61578,420069,9,100,'Inflicts 6 - 10 melee damage on target',0,4),
(61579,420070,1,100,'Inflicts 12 - 20 melee damage on target',0,0),
(61580,420070,1,100,'Inflicts 12 - 20 melee damage on target',0,1),
(61581,420070,1,100,'Inflicts 12 - 20 melee damage on target',0,2),
(61582,420070,1,100,'Inflicts 12 - 20 melee damage on target',0,3),
(61583,420070,1,100,'Inflicts 12 - 20 melee damage on target',0,4),
(61584,420070,4,100,'Inflicts 15 - 25 melee damage on target',0,0),
(61585,420070,4,100,'Inflicts 15 - 25 melee damage on target',0,1),
(61586,420070,4,100,'Inflicts 15 - 25 melee damage on target',0,2),
(61587,420070,4,100,'Inflicts 15 - 25 melee damage on target',0,3),
(61588,420070,4,100,'Inflicts 15 - 25 melee damage on target',0,4),
(61589,420070,5,100,'Inflicts 16 - 27 melee damage on target',0,0),
(61590,420070,5,100,'Inflicts 16 - 27 melee damage on target',0,1),
(61591,420070,5,100,'Inflicts 16 - 27 melee damage on target',0,2),
(61592,420070,5,100,'Inflicts 16 - 27 melee damage on target',0,3),
(61593,420070,5,100,'Inflicts 16 - 27 melee damage on target',0,4),
(61594,420070,7,100,'Inflicts 21 - 35 melee damage on target',0,0),
(61595,420070,7,100,'Inflicts 21 - 35 melee damage on target',0,1),
(61596,420070,7,100,'Inflicts 21 - 35 melee damage on target',0,2),
(61597,420070,7,100,'Inflicts 21 - 35 melee damage on target',0,3),
(61598,420070,7,100,'Inflicts 21 - 35 melee damage on target',0,4),
(61599,420070,9,100,'Inflicts 22 - 36 melee damage on target',0,0),
(61600,420070,9,100,'Inflicts 22 - 36 melee damage on target',0,1),
(61601,420070,9,100,'Inflicts 22 - 36 melee damage on target',0,2),
(61602,420070,9,100,'Inflicts 22 - 36 melee damage on target',0,3),
(61603,420070,9,100,'Inflicts 22 - 36 melee damage on target',0,4),
(61604,420071,1,100,'Inflicts 19 - 33 melee damage on target',0,0),
(61605,420071,1,100,'Inflicts 19 - 33 melee damage on target',0,1),
(61606,420071,1,100,'Inflicts 19 - 33 melee damage on target',0,2),
(61607,420071,1,100,'Inflicts 19 - 33 melee damage on target',0,3),
(61608,420071,1,100,'Inflicts 19 - 33 melee damage on target',0,4),
(61609,420071,4,100,'Inflicts 24 - 40 melee damage on target',0,0),
(61610,420071,4,100,'Inflicts 24 - 40 melee damage on target',0,1),
(61611,420071,4,100,'Inflicts 24 - 40 melee damage on target',0,2),
(61612,420071,4,100,'Inflicts 24 - 40 melee damage on target',0,3),
(61613,420071,4,100,'Inflicts 24 - 40 melee damage on target',0,4),
(61614,420071,5,100,'Inflicts 26 - 44 melee damage on target',0,0),
(61615,420071,5,100,'Inflicts 26 - 44 melee damage on target',0,1),
(61616,420071,5,100,'Inflicts 26 - 44 melee damage on target',0,2),
(61617,420071,5,100,'Inflicts 26 - 44 melee damage on target',0,3),
(61618,420071,5,100,'Inflicts 26 - 44 melee damage on target',0,4),
(61619,420071,7,100,'Inflicts 34 - 56 melee damage on target',0,0),
(61620,420071,7,100,'Inflicts 34 - 56 melee damage on target',0,1),
(61621,420071,7,100,'Inflicts 34 - 56 melee damage on target',0,2),
(61622,420071,7,100,'Inflicts 34 - 56 melee damage on target',0,3),
(61623,420071,7,100,'Inflicts 34 - 56 melee damage on target',0,4),
(61624,420071,9,100,'Inflicts 35 - 58 melee damage on target',0,0),
(61625,420071,9,100,'Inflicts 35 - 58 melee damage on target',0,1),
(61626,420071,9,100,'Inflicts 35 - 58 melee damage on target',0,2),
(61627,420071,9,100,'Inflicts 35 - 58 melee damage on target',0,3),
(61628,420071,9,100,'Inflicts 35 - 58 melee damage on target',0,4),
(61629,420071,10,100,'Inflicts 37 - 61 melee damage on target',0,0),
(61630,420071,10,100,'Inflicts 37 - 61 melee damage on target',0,1),
(61631,420071,10,100,'Inflicts 37 - 61 melee damage on target',0,2),
(61632,420071,10,100,'Inflicts 37 - 61 melee damage on target',0,3),
(61633,420071,10,100,'Inflicts 37 - 61 melee damage on target',0,4),
(61634,420072,1,100,'Inflicts 35 - 59 melee damage on target',0,0),
(61635,420072,1,100,'Inflicts 35 - 59 melee damage on target',0,1),
(61636,420072,1,100,'Inflicts 35 - 59 melee damage on target',0,2),
(61637,420072,1,100,'Inflicts 35 - 59 melee damage on target',0,3),
(61638,420072,1,100,'Inflicts 35 - 59 melee damage on target',0,4),
(61639,420072,4,100,'Inflicts 43 - 72 melee damage on target',0,0),
(61640,420072,4,100,'Inflicts 43 - 72 melee damage on target',0,1),
(61641,420072,4,100,'Inflicts 43 - 72 melee damage on target',0,2),
(61642,420072,4,100,'Inflicts 43 - 72 melee damage on target',0,3),
(61643,420072,4,100,'Inflicts 43 - 72 melee damage on target',0,4),
(61644,420072,5,100,'Inflicts 47 - 79 melee damage on target',0,0),
(61645,420072,5,100,'Inflicts 47 - 79 melee damage on target',0,1),
(61646,420072,5,100,'Inflicts 47 - 79 melee damage on target',0,2),
(61647,420072,5,100,'Inflicts 47 - 79 melee damage on target',0,3),
(61648,420072,5,100,'Inflicts 47 - 79 melee damage on target',0,4),
(61649,420072,7,100,'Inflicts 61 - 101 melee damage on target',0,0),
(61650,420072,7,100,'Inflicts 61 - 101 melee damage on target',0,1),
(61651,420072,7,100,'Inflicts 61 - 101 melee damage on target',0,2),
(61652,420072,7,100,'Inflicts 61 - 101 melee damage on target',0,3),
(61653,420072,7,100,'Inflicts 61 - 101 melee damage on target',0,4),
(61654,420072,9,100,'Inflicts 63 - 105 melee damage on target',0,0),
(61655,420072,9,100,'Inflicts 63 - 105 melee damage on target',0,1),
(61656,420072,9,100,'Inflicts 63 - 105 melee damage on target',0,2),
(61657,420072,9,100,'Inflicts 63 - 105 melee damage on target',0,3),
(61658,420072,9,100,'Inflicts 63 - 105 melee damage on target',0,4),
(61659,420072,10,100,'Inflicts 66 - 110 melee damage on target',0,0),
(61660,420072,10,100,'Inflicts 66 - 110 melee damage on target',0,1),
(61661,420072,10,100,'Inflicts 66 - 110 melee damage on target',0,2),
(61662,420072,10,100,'Inflicts 66 - 110 melee damage on target',0,3),
(61663,420072,10,100,'Inflicts 66 - 110 melee damage on target',0,4),
(61664,420073,1,100,'Inflicts 141 - 235 melee damage on target',0,0),
(61665,420073,1,100,'Inflicts 141 - 235 melee damage on target',0,1),
(61666,420073,1,100,'Inflicts 141 - 235 melee damage on target',0,2),
(61667,420073,1,100,'Inflicts 141 - 235 melee damage on target',0,3),
(61668,420073,1,100,'Inflicts 141 - 235 melee damage on target',0,4),
(61669,420073,4,100,'Inflicts 172 - 288 melee damage on target',0,0),
(61670,420073,4,100,'Inflicts 172 - 288 melee damage on target',0,1),
(61671,420073,4,100,'Inflicts 172 - 288 melee damage on target',0,2),
(61672,420073,4,100,'Inflicts 172 - 288 melee damage on target',0,3),
(61673,420073,4,100,'Inflicts 172 - 288 melee damage on target',0,4),
(61674,420073,5,100,'Inflicts 188 - 314 melee damage on target',0,0),
(61675,420073,5,100,'Inflicts 188 - 314 melee damage on target',0,1),
(61676,420073,5,100,'Inflicts 188 - 314 melee damage on target',0,2),
(61677,420073,5,100,'Inflicts 188 - 314 melee damage on target',0,3),
(61678,420073,5,100,'Inflicts 188 - 314 melee damage on target',0,4),
(61679,420073,7,100,'Inflicts 241 - 403 melee damage on target',0,0),
(61680,420073,7,100,'Inflicts 241 - 403 melee damage on target',0,1),
(61681,420073,7,100,'Inflicts 241 - 403 melee damage on target',0,2),
(61682,420073,7,100,'Inflicts 241 - 403 melee damage on target',0,3),
(61683,420073,7,100,'Inflicts 241 - 403 melee damage on target',0,4),
(61684,420073,9,100,'Inflicts 251 - 419 melee damage on target',0,0),
(61685,420073,9,100,'Inflicts 251 - 419 melee damage on target',0,1),
(61686,420073,9,100,'Inflicts 251 - 419 melee damage on target',0,2),
(61687,420073,9,100,'Inflicts 251 - 419 melee damage on target',0,3),
(61688,420073,9,100,'Inflicts 251 - 419 melee damage on target',0,4),
(61689,420073,10,100,'Inflicts 263 - 439 melee damage on target',0,0),
(61690,420073,10,100,'Inflicts 263 - 439 melee damage on target',0,1),
(61691,420073,10,100,'Inflicts 263 - 439 melee damage on target',0,2),
(61692,420073,10,100,'Inflicts 263 - 439 melee damage on target',0,3),
(61693,420073,10,100,'Inflicts 263 - 439 melee damage on target',0,4),
(61694,420074,1,100,'Inflicts 53 - 89 melee damage on target',0,0),
(61695,420074,1,100,'Inflicts 53 - 89 melee damage on target',0,1),
(61696,420074,1,100,'Inflicts 53 - 89 melee damage on target',0,2),
(61697,420074,1,100,'Inflicts 53 - 89 melee damage on target',0,3),
(61698,420074,1,100,'Inflicts 53 - 89 melee damage on target',0,4),
(61699,420074,4,100,'Inflicts 65 - 109 melee damage on target',0,0),
(61700,420074,4,100,'Inflicts 65 - 109 melee damage on target',0,1),
(61701,420074,4,100,'Inflicts 65 - 109 melee damage on target',0,2),
(61702,420074,4,100,'Inflicts 65 - 109 melee damage on target',0,3),
(61703,420074,4,100,'Inflicts 65 - 109 melee damage on target',0,4),
(61704,420074,5,100,'Inflicts 71 - 118 melee damage on target',0,0),
(61705,420074,5,100,'Inflicts 71 - 118 melee damage on target',0,1),
(61706,420074,5,100,'Inflicts 71 - 118 melee damage on target',0,2),
(61707,420074,5,100,'Inflicts 71 - 118 melee damage on target',0,3),
(61708,420074,5,100,'Inflicts 71 - 118 melee damage on target',0,4),
(61709,420074,7,100,'Inflicts 91 - 152 melee damage on target',0,0),
(61710,420074,7,100,'Inflicts 91 - 152 melee damage on target',0,1),
(61711,420074,7,100,'Inflicts 91 - 152 melee damage on target',0,2),
(61712,420074,7,100,'Inflicts 91 - 152 melee damage on target',0,3),
(61713,420074,7,100,'Inflicts 91 - 152 melee damage on target',0,4),
(61714,420074,9,100,'Inflicts 95 - 158 melee damage on target',0,0),
(61715,420074,9,100,'Inflicts 95 - 158 melee damage on target',0,1),
(61716,420074,9,100,'Inflicts 95 - 158 melee damage on target',0,2),
(61717,420074,9,100,'Inflicts 95 - 158 melee damage on target',0,3),
(61718,420074,9,100,'Inflicts 95 - 158 melee damage on target',0,4),
(61719,420075,1,100,'Inflicts 72 - 121 melee damage on target',0,0),
(61720,420075,1,100,'Inflicts 72 - 121 melee damage on target',0,1),
(61721,420075,1,100,'Inflicts 72 - 121 melee damage on target',0,2),
(61722,420075,1,100,'Inflicts 72 - 121 melee damage on target',0,3),
(61723,420075,1,100,'Inflicts 72 - 121 melee damage on target',0,4),
(61724,420075,4,100,'Inflicts 88 - 148 melee damage on target',0,0),
(61725,420075,4,100,'Inflicts 88 - 148 melee damage on target',0,1),
(61726,420075,4,100,'Inflicts 88 - 148 melee damage on target',0,2),
(61727,420075,4,100,'Inflicts 88 - 148 melee damage on target',0,3),
(61728,420075,4,100,'Inflicts 88 - 148 melee damage on target',0,4),
(61729,420075,5,100,'Inflicts 96 - 161 melee damage on target',0,0),
(61730,420075,5,100,'Inflicts 96 - 161 melee damage on target',0,1),
(61731,420075,5,100,'Inflicts 96 - 161 melee damage on target',0,2),
(61732,420075,5,100,'Inflicts 96 - 161 melee damage on target',0,3),
(61733,420075,5,100,'Inflicts 96 - 161 melee damage on target',0,4),
(61734,420075,7,100,'Inflicts 124 - 207 melee damage on target',0,0),
(61735,420075,7,100,'Inflicts 124 - 207 melee damage on target',0,1),
(61736,420075,7,100,'Inflicts 124 - 207 melee damage on target',0,2),
(61737,420075,7,100,'Inflicts 124 - 207 melee damage on target',0,3),
(61738,420075,7,100,'Inflicts 124 - 207 melee damage on target',0,4),
(61739,420075,9,100,'Inflicts 129 - 215 melee damage on target',0,0),
(61740,420075,9,100,'Inflicts 129 - 215 melee damage on target',0,1),
(61741,420075,9,100,'Inflicts 129 - 215 melee damage on target',0,2),
(61742,420075,9,100,'Inflicts 129 - 215 melee damage on target',0,3),
(61743,420075,9,100,'Inflicts 129 - 215 melee damage on target',0,4),
(61744,420075,10,100,'Inflicts 135 - 226 melee damage on target',0,0),
(61745,420075,10,100,'Inflicts 135 - 226 melee damage on target',0,1),
(61746,420075,10,100,'Inflicts 135 - 226 melee damage on target',0,2),
(61747,420075,10,100,'Inflicts 135 - 226 melee damage on target',0,3),
(61748,420075,10,100,'Inflicts 135 - 226 melee damage on target',0,4),
(61749,420076,1,100,'Inflicts 95 - 158 melee damage on target',0,0),
(61750,420076,1,100,'Inflicts 95 - 158 melee damage on target',0,1),
(61751,420076,1,100,'Inflicts 95 - 158 melee damage on target',0,2),
(61752,420076,1,100,'Inflicts 95 - 158 melee damage on target',0,3),
(61753,420076,1,100,'Inflicts 95 - 158 melee damage on target',0,4),
(61754,420076,4,100,'Inflicts 116 - 193 melee damage on target',0,0),
(61755,420076,4,100,'Inflicts 116 - 193 melee damage on target',0,1),
(61756,420076,4,100,'Inflicts 116 - 193 melee damage on target',0,2),
(61757,420076,4,100,'Inflicts 116 - 193 melee damage on target',0,3),
(61758,420076,4,100,'Inflicts 116 - 193 melee damage on target',0,4),
(61759,420076,5,100,'Inflicts 126 - 211 melee damage on target',0,0),
(61760,420076,5,100,'Inflicts 126 - 211 melee damage on target',0,1),
(61761,420076,5,100,'Inflicts 126 - 211 melee damage on target',0,2),
(61762,420076,5,100,'Inflicts 126 - 211 melee damage on target',0,3),
(61763,420076,5,100,'Inflicts 126 - 211 melee damage on target',0,4),
(61764,420076,7,100,'Inflicts 162 - 271 melee damage on target',0,0),
(61765,420076,7,100,'Inflicts 162 - 271 melee damage on target',0,1),
(61766,420076,7,100,'Inflicts 162 - 271 melee damage on target',0,2),
(61767,420076,7,100,'Inflicts 162 - 271 melee damage on target',0,3),
(61768,420076,7,100,'Inflicts 162 - 271 melee damage on target',0,4),
(61769,420076,9,100,'Inflicts 168 - 281 melee damage on target',0,0),
(61770,420076,9,100,'Inflicts 168 - 281 melee damage on target',0,1),
(61771,420076,9,100,'Inflicts 168 - 281 melee damage on target',0,2),
(61772,420076,9,100,'Inflicts 168 - 281 melee damage on target',0,3),
(61773,420076,9,100,'Inflicts 168 - 281 melee damage on target',0,4),
(61774,420077,1,100,'Inflicts 117 - 195 melee damage on target',0,0),
(61775,420077,1,100,'Inflicts 117 - 195 melee damage on target',0,1),
(61776,420077,1,100,'Inflicts 117 - 195 melee damage on target',0,2),
(61777,420077,1,100,'Inflicts 117 - 195 melee damage on target',0,3),
(61778,420077,1,100,'Inflicts 117 - 195 melee damage on target',0,4),
(61779,420077,4,100,'Inflicts 143 - 239 melee damage on target',0,0),
(61780,420077,4,100,'Inflicts 143 - 239 melee damage on target',0,1),
(61781,420077,4,100,'Inflicts 143 - 239 melee damage on target',0,2),
(61782,420077,4,100,'Inflicts 143 - 239 melee damage on target',0,3),
(61783,420077,4,100,'Inflicts 143 - 239 melee damage on target',0,4),
(61784,420077,5,100,'Inflicts 156 - 260 melee damage on target',0,0),
(61785,420077,5,100,'Inflicts 156 - 260 melee damage on target',0,1),
(61786,420077,5,100,'Inflicts 156 - 260 melee damage on target',0,2),
(61787,420077,5,100,'Inflicts 156 - 260 melee damage on target',0,3),
(61788,420077,5,100,'Inflicts 156 - 260 melee damage on target',0,4),
(61789,420077,7,100,'Inflicts 200 - 334 melee damage on target',0,0),
(61790,420077,7,100,'Inflicts 200 - 334 melee damage on target',0,1),
(61791,420077,7,100,'Inflicts 200 - 334 melee damage on target',0,2),
(61792,420077,7,100,'Inflicts 200 - 334 melee damage on target',0,3),
(61793,420077,7,100,'Inflicts 200 - 334 melee damage on target',0,4),
(61794,420077,9,100,'Inflicts 208 - 347 melee damage on target',0,0),
(61795,420077,9,100,'Inflicts 208 - 347 melee damage on target',0,1),
(61796,420077,9,100,'Inflicts 208 - 347 melee damage on target',0,2),
(61797,420077,9,100,'Inflicts 208 - 347 melee damage on target',0,3),
(61798,420077,9,100,'Inflicts 208 - 347 melee damage on target',0,4),
(61799,420077,10,100,'Inflicts 219 - 365 melee damage on target',0,0),
(61800,420077,10,100,'Inflicts 219 - 365 melee damage on target',0,1),
(61801,420077,10,100,'Inflicts 219 - 365 melee damage on target',0,2),
(61802,420077,10,100,'Inflicts 219 - 365 melee damage on target',0,3),
(61803,420077,10,100,'Inflicts 219 - 365 melee damage on target',0,4),
(61804,420078,1,100,'Inflicts 171 - 285 melee damage on target',0,0),
(61805,420078,1,100,'Inflicts 171 - 285 melee damage on target',0,1),
(61806,420078,1,100,'Inflicts 171 - 285 melee damage on target',0,2),
(61807,420078,1,100,'Inflicts 171 - 285 melee damage on target',0,3),
(61808,420078,1,100,'Inflicts 171 - 285 melee damage on target',0,4),
(61809,420078,4,100,'Inflicts 209 - 348 melee damage on target',0,0),
(61810,420078,4,100,'Inflicts 209 - 348 melee damage on target',0,1),
(61811,420078,4,100,'Inflicts 209 - 348 melee damage on target',0,2),
(61812,420078,4,100,'Inflicts 209 - 348 melee damage on target',0,3),
(61813,420078,4,100,'Inflicts 209 - 348 melee damage on target',0,4),
(61814,420078,5,100,'Inflicts 228 - 380 melee damage on target',0,0),
(61815,420078,5,100,'Inflicts 228 - 380 melee damage on target',0,1),
(61816,420078,5,100,'Inflicts 228 - 380 melee damage on target',0,2),
(61817,420078,5,100,'Inflicts 228 - 380 melee damage on target',0,3),
(61818,420078,5,100,'Inflicts 228 - 380 melee damage on target',0,4),
(61819,420078,7,100,'Inflicts 292 - 487 melee damage on target',0,0),
(61820,420078,7,100,'Inflicts 292 - 487 melee damage on target',0,1),
(61821,420078,7,100,'Inflicts 292 - 487 melee damage on target',0,2),
(61822,420078,7,100,'Inflicts 292 - 487 melee damage on target',0,3),
(61823,420078,7,100,'Inflicts 292 - 487 melee damage on target',0,4),
(61824,420078,9,100,'Inflicts 304 - 506 melee damage on target',0,0),
(61825,420078,9,100,'Inflicts 304 - 506 melee damage on target',0,1),
(61826,420078,9,100,'Inflicts 304 - 506 melee damage on target',0,2),
(61827,420078,9,100,'Inflicts 304 - 506 melee damage on target',0,3),
(61828,420078,9,100,'Inflicts 304 - 506 melee damage on target',0,4),
(61829,420078,10,100,'Inflicts 319 - 532 melee damage on target',0,0),
(61830,420078,10,100,'Inflicts 319 - 532 melee damage on target',0,1),
(61831,420078,10,100,'Inflicts 319 - 532 melee damage on target',0,2),
(61832,420078,10,100,'Inflicts 319 - 532 melee damage on target',0,3),
(61833,420078,10,100,'Inflicts 319 - 532 melee damage on target',0,4),
(61834,420079,1,100,'Inflicts 197 - 329 melee damage on target',0,0),
(61835,420079,1,100,'Inflicts 197 - 329 melee damage on target',0,1),
(61836,420079,1,100,'Inflicts 197 - 329 melee damage on target',0,2),
(61837,420079,1,100,'Inflicts 197 - 329 melee damage on target',0,3),
(61838,420079,1,100,'Inflicts 197 - 329 melee damage on target',0,4),
(61839,420079,4,100,'Inflicts 241 - 402 melee damage on target',0,0),
(61840,420079,4,100,'Inflicts 241 - 402 melee damage on target',0,1),
(61841,420079,4,100,'Inflicts 241 - 402 melee damage on target',0,2),
(61842,420079,4,100,'Inflicts 241 - 402 melee damage on target',0,3),
(61843,420079,4,100,'Inflicts 241 - 402 melee damage on target',0,4),
(61844,420079,5,100,'Inflicts 263 - 438 melee damage on target',0,0),
(61845,420079,5,100,'Inflicts 263 - 438 melee damage on target',0,1),
(61846,420079,5,100,'Inflicts 263 - 438 melee damage on target',0,2),
(61847,420079,5,100,'Inflicts 263 - 438 melee damage on target',0,3),
(61848,420079,5,100,'Inflicts 263 - 438 melee damage on target',0,4),
(61849,420079,7,100,'Inflicts 337 - 563 melee damage on target',0,0),
(61850,420079,7,100,'Inflicts 337 - 563 melee damage on target',0,1),
(61851,420079,7,100,'Inflicts 337 - 563 melee damage on target',0,2),
(61852,420079,7,100,'Inflicts 337 - 563 melee damage on target',0,3),
(61853,420079,7,100,'Inflicts 337 - 563 melee damage on target',0,4),
(61854,420079,9,100,'Inflicts 351 - 585 melee damage on target',0,0),
(61855,420079,9,100,'Inflicts 351 - 585 melee damage on target',0,1),
(61856,420079,9,100,'Inflicts 351 - 585 melee damage on target',0,2),
(61857,420079,9,100,'Inflicts 351 - 585 melee damage on target',0,3),
(61858,420079,9,100,'Inflicts 351 - 585 melee damage on target',0,4),
(61859,420079,10,100,'Inflicts 368 - 614 melee damage on target',0,0),
(61860,420079,10,100,'Inflicts 368 - 614 melee damage on target',0,1),
(61861,420079,10,100,'Inflicts 368 - 614 melee damage on target',0,2),
(61862,420079,10,100,'Inflicts 368 - 614 melee damage on target',0,3),
(61863,420079,10,100,'Inflicts 368 - 614 melee damage on target',0,4),
(61864,320015,1,100,'Increases Multi Attack of caster by 27.2',0,0),
(61865,320015,2,100,'Increases Multi Attack of caster by 28.8',0,0),
(61866,320015,3,100,'Increases Multi Attack of caster by 30.3',0,0),
(61867,320015,4,100,'Increases Multi Attack of caster by 33.3',0,0),
(61868,320015,5,100,'Increases Multi Attack of caster by 36.3',0,0),
(61869,320015,7,100,'Increases Multi Attack of caster by 46.6',0,0),
(61870,320015,9,100,'Increases Multi Attack of caster by 48.4',0,0),
(61871,2000222,1,100,'Marks target ally or your current location. Cancelling this spell teleports you to your ally or your previous location. You cannot use this in battlegrounds.',0,0),
(61872,2000222,1,100,'On death this spell will cast Safehouse Immunity on target''s attacker.  Lasts for 5 minutes.  ',0,1),
(61873,2000222,1,100,'Decreases threat priority of target by 1 position',1,2),
(61874,2000222,1,100,'Prevents you from recasting Safehouse for 5 minutes.',1,3),
(61875,2000222,1,100,'Grants a total of 1 trigger of the spell.',1,4),
(61876,2000223,1,100,'Applies Saga.  Lasts for 30.0 seconds.',0,0),
(61877,2000223,1,100,'On a melee hit this spell will cast Saga on target of attack.  Lasts for 15.0 seconds.  ',1,1),
(61878,2000223,1,100,'Inflicts 126 - 234 slashing damage on target',2,2),
(61879,2000223,1,100,'Increases Crit Bonus of group members (AE) by 6.9%',2,3),
(61880,2000223,1,100,'Only triggers on auto-attack.',2,4),
(61881,2000223,1,100,'Inflicts 209 - 389 melee damage on targets in Area of Effect',0,5),
(61882,2000223,2,100,'Applies Saga.  Lasts for 30.0 seconds.',0,0),
(61883,2000223,2,100,'On a melee hit this spell will cast Saga on target of attack.  Lasts for 15.0 seconds.  ',1,1),
(61884,2000223,2,100,'Inflicts 126 - 234 slashing damage on target',2,2),
(61885,2000223,2,100,'Increases Crit Bonus of group members (AE) by 6.9%',2,3),
(61886,2000223,2,100,'Only triggers on auto-attack.',2,4),
(61887,2000223,2,100,'Inflicts 209 - 389 melee damage on targets in Area of Effect',0,5),
(61888,2000223,3,100,'Applies Saga.  Lasts for 30.0 seconds.',0,0),
(61889,2000223,3,100,'On a melee hit this spell will cast Saga on target of attack.  Lasts for 15.0 seconds.  ',1,1),
(61890,2000223,3,100,'Inflicts 168 - 312 slashing damage on target',2,2),
(61891,2000223,3,100,'Increases Crit Bonus of group members (AE) by 6.9%',2,3),
(61892,2000223,3,100,'Only triggers on auto-attack.',2,4),
(61893,2000223,3,100,'Inflicts 279 - 519 melee damage on targets in Area of Effect',0,5),
(61894,420080,9,100,'Inflicts 559 - 932 poison damage on target',0,0),
(61895,420080,9,100,'Increases Multi-Attack Chance by 10-22%',0,1),
(61896,420080,9,100,'The effect of this ability grows based on Savagery and Feral Rampage level.',0,2),
(61897,420080,9,100,'Increases attack speed by 10-22%',0,3),
(61898,420080,9,100,'Must be flanking or behind',0,4),
(61899,420080,9,100,'You must have your warder active to use this ability.',0,5),
(61900,440038,1,100,'Increases in-combat movement speed of caster by 100.0%',0,0),
(61901,440038,1,100,'Makes caster immune to Root effects',0,1),
(61902,440038,1,100,'Makes caster immune to Stifle effects',0,2),
(61903,440038,1,100,'Makes caster immune to Stun effects',0,3),
(61904,440038,1,100,'Makes caster immune to Fear effects',0,4),
(61905,440038,1,100,'Makes caster immune to Daze effects',0,5),
(61906,440038,1,100,'Makes caster immune to Mesmerize effects',0,6),
(61907,360033,1,100,'Inflicts 4 - 8 mental damage on target',0,0),
(61908,360033,1,100,'Decreases power of target by 3 - 6',0,1),
(61909,360033,1,100,'Increases power of caster by 2 - 3',0,2),
(61910,360033,2,100,'Inflicts 5 - 8 mental damage on target',0,0),
(61911,360033,2,100,'Decreases power of target by 4 - 6',0,1),
(61912,360033,2,100,'Increases power of caster by 2 - 4',0,2),
(61913,360033,3,100,'Inflicts 5 - 8 mental damage on target',0,0),
(61914,360033,3,100,'Decreases power of target by 4 - 6',0,1),
(61915,360033,3,100,'Increases power of caster by 2 - 4',0,2),
(61916,360033,4,100,'Inflicts 5 - 9 mental damage on target',0,0),
(61917,360033,4,100,'Decreases power of target by 4 - 7',0,1),
(61918,360033,4,100,'Increases power of caster by 2 - 4',0,2),
(61919,360033,5,100,'Inflicts 6 - 10 mental damage on target',0,0),
(61920,360033,5,100,'Decreases power of target by 5 - 8',0,1),
(61921,360033,5,100,'Increases power of caster by 3 - 5',0,2),
(61922,360033,7,100,'Inflicts 8 - 13 mental damage on target',0,0),
(61923,360033,7,100,'Decreases power of target by 6 - 10',0,1),
(61924,360033,7,100,'Increases power of caster by 3 - 6',0,2),
(61925,360033,9,100,'Inflicts 8 - 14 mental damage on target',0,0),
(61926,360033,9,100,'Decreases power of target by 6 - 10',0,1),
(61927,360033,9,100,'Increases power of caster by 4 - 6',0,2),
(61928,360034,1,100,'Inflicts 15 - 25 mental damage on target',0,0),
(61929,360034,1,100,'Decreases power of target by 14 - 23',0,1),
(61930,360034,1,100,'Increases power of caster by 8 - 14',0,2),
(61931,360034,2,100,'Inflicts 15 - 26 mental damage on target',0,0),
(61932,360034,2,100,'Decreases power of target by 14 - 24',0,1),
(61933,360034,2,100,'Increases power of caster by 9 - 14',0,2),
(61934,360034,3,100,'Inflicts 16 - 28 mental damage on target',0,0),
(61935,360034,3,100,'Decreases power of target by 15 - 25',0,1),
(61936,360034,3,100,'Increases power of caster by 9 - 15',0,2),
(61937,360034,4,100,'Inflicts 18 - 30 mental damage on target',0,0),
(61938,360034,4,100,'Decreases power of target by 17 - 28',0,1),
(61939,360034,4,100,'Increases power of caster by 10 - 17',0,2),
(61940,360034,5,100,'Inflicts 20 - 33 mental damage on target',0,0),
(61941,360034,5,100,'Decreases power of target by 18 - 30',0,1),
(61942,360034,5,100,'Increases power of caster by 11 - 18',0,2),
(61943,360034,7,100,'Inflicts 25 - 43 mental damage on target',0,0),
(61944,360034,7,100,'Decreases power of target by 23 - 39',0,1),
(61945,360034,7,100,'Increases power of caster by 14 - 23',0,2),
(61946,360034,9,100,'Inflicts 26 - 44 mental damage on target',0,0),
(61947,360034,9,100,'Decreases power of target by 24 - 40',0,1),
(61948,360034,9,100,'Increases power of caster by 14 - 24',0,2),
(61949,360035,1,100,'Inflicts 27 - 46 mental damage on target',0,0),
(61950,360035,1,100,'Decreases power of target by 25 - 42',0,1),
(61951,360035,1,100,'Increases power of caster by 15 - 25',0,2),
(61952,360035,2,100,'Inflicts 29 - 48 mental damage on target',0,0),
(61953,360035,2,100,'Decreases power of target by 27 - 45',0,1),
(61954,360035,2,100,'Increases power of caster by 16 - 27',0,2),
(61955,360035,3,100,'Inflicts 30 - 51 mental damage on target',0,0),
(61956,360035,3,100,'Decreases power of target by 28 - 47',0,1),
(61957,360035,3,100,'Increases power of caster by 17 - 28',0,2),
(61958,360035,4,100,'Inflicts 33 - 56 mental damage on target',0,0),
(61959,360035,4,100,'Decreases power of target by 31 - 52',0,1),
(61960,360035,4,100,'Increases power of caster by 19 - 31',0,2),
(61961,360035,5,100,'Inflicts 37 - 61 mental damage on target',0,0),
(61962,360035,5,100,'Decreases power of target by 34 - 56',0,1),
(61963,360035,5,100,'Increases power of caster by 20 - 34',0,2),
(61964,360035,7,100,'Inflicts 47 - 79 mental damage on target',0,0),
(61965,360035,7,100,'Decreases power of target by 43 - 72',0,1),
(61966,360035,7,100,'Increases power of caster by 26 - 43',0,2),
(61967,360035,9,100,'Inflicts 49 - 82 mental damage on target',0,0),
(61968,360035,9,100,'Decreases power of target by 45 - 75',0,1),
(61969,360035,9,100,'Increases power of caster by 27 - 45',0,2),
(61970,360036,1,100,'Inflicts 56 - 93 mental damage on target',0,0),
(61971,360036,1,100,'Decreases power of target by 52 - 87',0,1),
(61972,360036,1,100,'Increases power of caster by 31 - 52',0,2),
(61973,360036,2,100,'Inflicts 59 - 99 mental damage on target',0,0),
(61974,360036,2,100,'Decreases power of target by 55 - 91',0,1),
(61975,360036,2,100,'Increases power of caster by 33 - 55',0,2),
(61976,360036,3,100,'Inflicts 62 - 104 mental damage on target',0,0),
(61977,360036,3,100,'Decreases power of target by 58 - 96',0,1),
(61978,360036,3,100,'Increases power of caster by 35 - 58',0,2),
(61979,360036,4,100,'Inflicts 68 - 114 mental damage on target',0,0),
(61980,360036,4,100,'Decreases power of target by 64 - 106',0,1),
(61981,360036,4,100,'Increases power of caster by 38 - 64',0,2),
(61982,360036,5,100,'Inflicts 75 - 125 mental damage on target',0,0),
(61983,360036,5,100,'Decreases power of target by 69 - 116',0,1),
(61984,360036,5,100,'Increases power of caster by 42 - 69',0,2),
(61985,360036,7,100,'Inflicts 96 - 160 mental damage on target',0,0),
(61986,360036,7,100,'Decreases power of target by 89 - 148',0,1),
(61987,360036,7,100,'Increases power of caster by 53 - 89',0,2),
(61988,360036,9,100,'Inflicts 100 - 166 mental damage on target',0,0),
(61989,360036,9,100,'Decreases power of target by 92 - 154',0,1),
(61990,360036,9,100,'Increases power of caster by 55 - 92',0,2),
(61991,360037,1,100,'Inflicts 236 - 394 mental damage on target',0,0),
(61992,360037,1,100,'Decreases power of target by 221 - 368',0,1),
(61993,360037,1,100,'Increases power of caster by 145 - 242',0,2),
(61994,360037,4,100,'Inflicts 289 - 482 mental damage on target',0,0),
(61995,360037,4,100,'Decreases power of target by 270 - 450',0,1),
(61996,360037,4,100,'Increases power of caster by 178 - 296',0,2),
(61997,360037,5,100,'Inflicts 315 - 526 mental damage on target',0,0),
(61998,360037,5,100,'Decreases power of target by 294 - 491',0,1),
(61999,360037,5,100,'Increases power of caster by 194 - 323',0,2),
(62000,360037,7,100,'Inflicts 405 - 675 mental damage on target',0,0),
(62001,360037,7,100,'Decreases power of target by 378 - 629',0,1),
(62002,360037,7,100,'Increases power of caster by 249 - 415',0,2),
(62003,360037,9,100,'Inflicts 420 - 701 mental damage on target',0,0),
(62004,360037,9,100,'Decreases power of target by 392 - 654',0,1),
(62005,360037,9,100,'Increases power of caster by 259 - 431',0,2),
(62006,360038,1,100,'Inflicts 88 - 147 mental damage on target',0,0),
(62007,360038,1,100,'Decreases power of target by 82 - 136',0,1),
(62008,360038,1,100,'Increases power of caster by 49 - 82',0,2),
(62009,360038,2,100,'Inflicts 93 - 155 mental damage on target',0,0),
(62010,360038,2,100,'Decreases power of target by 86 - 144',0,1),
(62011,360038,2,100,'Increases power of caster by 52 - 86',0,2),
(62012,360038,3,100,'Inflicts 98 - 163 mental damage on target',0,0),
(62013,360038,3,100,'Decreases power of target by 91 - 152',0,1),
(62014,360038,3,100,'Increases power of caster by 55 - 91',0,2),
(62015,360038,4,100,'Inflicts 107 - 179 mental damage on target',0,0),
(62016,360038,4,100,'Decreases power of target by 100 - 167',0,1),
(62017,360038,4,100,'Increases power of caster by 60 - 100',0,2),
(62018,360038,5,100,'Inflicts 117 - 196 mental damage on target',0,0),
(62019,360038,5,100,'Decreases power of target by 109 - 182',0,1),
(62020,360038,5,100,'Increases power of caster by 65 - 109',0,2),
(62021,360038,7,100,'Inflicts 150 - 251 mental damage on target',0,0),
(62022,360038,7,100,'Decreases power of target by 140 - 233',0,1),
(62023,360038,7,100,'Increases power of caster by 84 - 140',0,2),
(62024,360038,9,100,'Inflicts 156 - 261 mental damage on target',0,0),
(62025,360038,9,100,'Decreases power of target by 146 - 243',0,1),
(62026,360038,9,100,'Increases power of caster by 87 - 146',0,2),
(62027,360038,10,100,'Inflicts 164 - 274 mental damage on target',0,0),
(62028,360038,10,100,'Decreases power of target by 153 - 255',0,1),
(62029,360038,10,100,'Increases power of caster by 92 - 153',0,2),
(62030,360039,1,100,'Inflicts 126 - 210 mental damage on target',0,0),
(62031,360039,1,100,'Decreases power of target by 117 - 195',0,1),
(62032,360039,1,100,'Increases power of caster by 70 - 117',0,2),
(62033,360039,2,100,'Inflicts 133 - 221 mental damage on target',0,0),
(62034,360039,2,100,'Decreases power of target by 124 - 206',0,1),
(62035,360039,2,100,'Increases power of caster by 74 - 124',0,2),
(62036,360039,3,100,'Inflicts 140 - 233 mental damage on target',0,0),
(62037,360039,3,100,'Decreases power of target by 130 - 217',0,1),
(62038,360039,3,100,'Increases power of caster by 78 - 130',0,2),
(62039,360039,4,100,'Inflicts 154 - 256 mental damage on target',0,0),
(62040,360039,4,100,'Decreases power of target by 143 - 239',0,1),
(62041,360039,4,100,'Increases power of caster by 86 - 143',0,2),
(62042,360039,5,100,'Inflicts 168 - 280 mental damage on target',0,0),
(62043,360039,5,100,'Decreases power of target by 156 - 261',0,1),
(62044,360039,5,100,'Increases power of caster by 94 - 156',0,2),
(62045,360039,7,100,'Inflicts 215 - 359 mental damage on target',0,0),
(62046,360039,7,100,'Decreases power of target by 201 - 334',0,1),
(62047,360039,7,100,'Increases power of caster by 120 - 201',0,2),
(62048,360039,9,100,'Inflicts 224 - 373 mental damage on target',0,0),
(62049,360039,9,100,'Decreases power of target by 209 - 348',0,1),
(62050,360039,9,100,'Increases power of caster by 125 - 209',0,2),
(62051,360040,1,100,'Inflicts 164 - 274 mental damage on target',0,0),
(62052,360040,1,100,'Decreases power of target by 153 - 256',0,1),
(62053,360040,1,100,'Increases power of caster by 93 - 155',0,2),
(62054,360040,2,100,'Inflicts 173 - 289 mental damage on target',0,0),
(62055,360040,2,100,'Decreases power of target by 162 - 270',0,1),
(62056,360040,2,100,'Increases power of caster by 98 - 164',0,2),
(62057,360040,3,100,'Inflicts 183 - 305 mental damage on target',0,0),
(62058,360040,3,100,'Decreases power of target by 170 - 284',0,1),
(62059,360040,3,100,'Increases power of caster by 104 - 173',0,2),
(62060,360040,4,100,'Inflicts 201 - 335 mental damage on target',0,0),
(62061,360040,4,100,'Decreases power of target by 187 - 312',0,1),
(62062,360040,4,100,'Increases power of caster by 114 - 190',0,2),
(62063,360040,5,100,'Inflicts 219 - 366 mental damage on target',0,0),
(62064,360040,5,100,'Decreases power of target by 205 - 341',0,1),
(62065,360040,5,100,'Increases power of caster by 124 - 207',0,2),
(62066,360040,7,100,'Inflicts 281 - 469 mental damage on target',0,0),
(62067,360040,7,100,'Decreases power of target by 262 - 437',0,1),
(62068,360040,7,100,'Increases power of caster by 160 - 266',0,2),
(62069,360040,9,100,'Inflicts 292 - 488 mental damage on target',0,0),
(62070,360040,9,100,'Decreases power of target by 273 - 455',0,1),
(62071,360040,9,100,'Increases power of caster by 166 - 276',0,2),
(62072,360040,10,100,'Inflicts 307 - 512 mental damage on target',0,0),
(62073,360040,10,100,'Decreases power of target by 286 - 477',0,1),
(62074,360040,10,100,'Increases power of caster by 174 - 290',0,2),
(62075,360041,1,100,'Inflicts 199 - 332 mental damage on target',0,0),
(62076,360041,1,100,'Decreases power of target by 186 - 310',0,1),
(62077,360041,1,100,'Increases power of caster by 124 - 206',0,2),
(62078,360041,4,100,'Inflicts 243 - 406 mental damage on target',0,0),
(62079,360041,4,100,'Decreases power of target by 227 - 379',0,1),
(62080,360041,4,100,'Increases power of caster by 151 - 252',0,2),
(62081,360041,5,100,'Inflicts 266 - 443 mental damage on target',0,0),
(62082,360041,5,100,'Decreases power of target by 248 - 413',0,1),
(62083,360041,5,100,'Increases power of caster by 165 - 275',0,2),
(62084,360041,7,100,'Inflicts 341 - 569 mental damage on target',0,0),
(62085,360041,7,100,'Decreases power of target by 318 - 530',0,1),
(62086,360041,7,100,'Increases power of caster by 212 - 353',0,2),
(62087,360041,9,100,'Inflicts 354 - 591 mental damage on target',0,0),
(62088,360041,9,100,'Decreases power of target by 331 - 551',0,1),
(62089,360041,9,100,'Increases power of caster by 220 - 367',0,2),
(62090,70155,1,100,'Inflicts 69 - 208 melee damage on targets in Area of Effect',0,0),
(62091,70155,1,100,'Inflicts 69 - 208 melee damage on targets in Area of Effect',0,1),
(62092,70155,1,100,'Inflicts 69 - 208 melee damage on targets in Area of Effect',0,2),
(62093,70155,1,100,'Inflicts 69 - 208 melee damage on targets in Area of Effect',0,3),
(62094,70155,2,100,'Inflicts 73 - 220 melee damage on targets in Area of Effect',0,0),
(62095,70155,2,100,'Inflicts 73 - 220 melee damage on targets in Area of Effect',0,1),
(62096,70155,2,100,'Inflicts 73 - 220 melee damage on targets in Area of Effect',0,2),
(62097,70155,2,100,'Inflicts 73 - 220 melee damage on targets in Area of Effect',0,3),
(62098,70155,3,100,'Inflicts 77 - 231 melee damage on targets in Area of Effect',0,0),
(62099,70155,3,100,'Inflicts 77 - 231 melee damage on targets in Area of Effect',0,1),
(62100,70155,3,100,'Inflicts 77 - 231 melee damage on targets in Area of Effect',0,2),
(62101,70155,3,100,'Inflicts 77 - 231 melee damage on targets in Area of Effect',0,3),
(62102,70155,4,100,'Inflicts 85 - 255 melee damage on targets in Area of Effect',0,0),
(62103,70155,4,100,'Inflicts 85 - 255 melee damage on targets in Area of Effect',0,1),
(62104,70155,4,100,'Inflicts 85 - 255 melee damage on targets in Area of Effect',0,2),
(62105,70155,4,100,'Inflicts 85 - 255 melee damage on targets in Area of Effect',0,3),
(62106,70155,5,100,'Inflicts 92 - 278 melee damage on targets in Area of Effect',0,0),
(62107,70155,5,100,'Inflicts 92 - 278 melee damage on targets in Area of Effect',0,1),
(62108,70155,5,100,'Inflicts 92 - 278 melee damage on targets in Area of Effect',0,2),
(62109,70155,5,100,'Inflicts 92 - 278 melee damage on targets in Area of Effect',0,3),
(62110,70155,7,100,'Inflicts 119 - 357 melee damage on targets in Area of Effect',0,0),
(62111,70155,7,100,'Inflicts 119 - 357 melee damage on targets in Area of Effect',0,1),
(62112,70155,7,100,'Inflicts 119 - 357 melee damage on targets in Area of Effect',0,2),
(62113,70155,7,100,'Inflicts 119 - 357 melee damage on targets in Area of Effect',0,3),
(62114,70155,9,100,'Inflicts 123 - 371 melee damage on targets in Area of Effect',0,0),
(62115,70155,9,100,'Inflicts 123 - 371 melee damage on targets in Area of Effect',0,1),
(62116,70155,9,100,'Inflicts 123 - 371 melee damage on targets in Area of Effect',0,2),
(62117,70155,9,100,'Inflicts 123 - 371 melee damage on targets in Area of Effect',0,3),
(62118,70156,1,100,'Inflicts 104 - 314 melee damage on targets in Area of Effect',0,0),
(62119,70156,1,100,'Inflicts 104 - 314 melee damage on targets in Area of Effect',0,1),
(62120,70156,1,100,'Inflicts 104 - 314 melee damage on targets in Area of Effect',0,2),
(62121,70156,1,100,'Inflicts 104 - 314 melee damage on targets in Area of Effect',0,3),
(62122,70156,2,100,'Inflicts 110 - 331 melee damage on targets in Area of Effect',0,0),
(62123,70156,2,100,'Inflicts 110 - 331 melee damage on targets in Area of Effect',0,1),
(62124,70156,2,100,'Inflicts 110 - 331 melee damage on targets in Area of Effect',0,2),
(62125,70156,2,100,'Inflicts 110 - 331 melee damage on targets in Area of Effect',0,3),
(62126,70156,3,100,'Inflicts 116 - 349 melee damage on targets in Area of Effect',0,0),
(62127,70156,3,100,'Inflicts 116 - 349 melee damage on targets in Area of Effect',0,1),
(62128,70156,3,100,'Inflicts 116 - 349 melee damage on targets in Area of Effect',0,2),
(62129,70156,3,100,'Inflicts 116 - 349 melee damage on targets in Area of Effect',0,3),
(62130,70156,4,100,'Inflicts 128 - 384 melee damage on targets in Area of Effect',0,0),
(62131,70156,4,100,'Inflicts 128 - 384 melee damage on targets in Area of Effect',0,1),
(62132,70156,4,100,'Inflicts 128 - 384 melee damage on targets in Area of Effect',0,2),
(62133,70156,4,100,'Inflicts 128 - 384 melee damage on targets in Area of Effect',0,3),
(62134,70156,5,100,'Inflicts 139 - 418 melee damage on targets in Area of Effect',0,0),
(62135,70156,5,100,'Inflicts 139 - 418 melee damage on targets in Area of Effect',0,1),
(62136,70156,5,100,'Inflicts 139 - 418 melee damage on targets in Area of Effect',0,2),
(62137,70156,5,100,'Inflicts 139 - 418 melee damage on targets in Area of Effect',0,3),
(62138,70156,7,100,'Inflicts 179 - 537 melee damage on targets in Area of Effect',0,0),
(62139,70156,7,100,'Inflicts 179 - 537 melee damage on targets in Area of Effect',0,1),
(62140,70156,7,100,'Inflicts 179 - 537 melee damage on targets in Area of Effect',0,2),
(62141,70156,7,100,'Inflicts 179 - 537 melee damage on targets in Area of Effect',0,3),
(62142,70156,9,100,'Inflicts 186 - 558 melee damage on targets in Area of Effect',0,0),
(62143,70156,9,100,'Inflicts 186 - 558 melee damage on targets in Area of Effect',0,1),
(62144,70156,9,100,'Inflicts 186 - 558 melee damage on targets in Area of Effect',0,2),
(62145,70156,9,100,'Inflicts 186 - 558 melee damage on targets in Area of Effect',0,3),
(62146,70157,1,100,'Inflicts 127 - 381 melee damage on targets in Area of Effect',0,0),
(62147,70157,1,100,'Inflicts 127 - 381 melee damage on targets in Area of Effect',0,1),
(62148,70157,1,100,'Inflicts 127 - 381 melee damage on targets in Area of Effect',0,2),
(62149,70157,1,100,'Inflicts 127 - 381 melee damage on targets in Area of Effect',0,3),
(62150,70157,2,100,'Inflicts 134 - 402 melee damage on targets in Area of Effect',0,0),
(62151,70157,2,100,'Inflicts 134 - 402 melee damage on targets in Area of Effect',0,1),
(62152,70157,2,100,'Inflicts 134 - 402 melee damage on targets in Area of Effect',0,2),
(62153,70157,2,100,'Inflicts 134 - 402 melee damage on targets in Area of Effect',0,3),
(62154,70157,3,100,'Inflicts 141 - 423 melee damage on targets in Area of Effect',0,0),
(62155,70157,3,100,'Inflicts 141 - 423 melee damage on targets in Area of Effect',0,1),
(62156,70157,3,100,'Inflicts 141 - 423 melee damage on targets in Area of Effect',0,2),
(62157,70157,3,100,'Inflicts 141 - 423 melee damage on targets in Area of Effect',0,3),
(62158,70157,4,100,'Inflicts 155 - 465 melee damage on targets in Area of Effect',0,0),
(62159,70157,4,100,'Inflicts 155 - 465 melee damage on targets in Area of Effect',0,1),
(62160,70157,4,100,'Inflicts 155 - 465 melee damage on targets in Area of Effect',0,2),
(62161,70157,4,100,'Inflicts 155 - 465 melee damage on targets in Area of Effect',0,3),
(62162,70157,5,100,'Inflicts 169 - 508 melee damage on targets in Area of Effect',0,0),
(62163,70157,5,100,'Inflicts 169 - 508 melee damage on targets in Area of Effect',0,1),
(62164,70157,5,100,'Inflicts 169 - 508 melee damage on targets in Area of Effect',0,2),
(62165,70157,5,100,'Inflicts 169 - 508 melee damage on targets in Area of Effect',0,3),
(62166,70157,7,100,'Inflicts 217 - 651 melee damage on targets in Area of Effect',0,0),
(62167,70157,7,100,'Inflicts 217 - 651 melee damage on targets in Area of Effect',0,1),
(62168,70157,7,100,'Inflicts 217 - 651 melee damage on targets in Area of Effect',0,2),
(62169,70157,7,100,'Inflicts 217 - 651 melee damage on targets in Area of Effect',0,3),
(62170,70157,9,100,'Inflicts 225 - 677 melee damage on targets in Area of Effect',0,0),
(62171,70157,9,100,'Inflicts 225 - 677 melee damage on targets in Area of Effect',0,1),
(62172,70157,9,100,'Inflicts 225 - 677 melee damage on targets in Area of Effect',0,2),
(62173,70157,9,100,'Inflicts 225 - 677 melee damage on targets in Area of Effect',0,3),
(62174,70158,1,100,'Inflicts 152 - 458 melee damage on targets in Area of Effect',0,0),
(62175,70158,1,100,'Inflicts 152 - 458 melee damage on targets in Area of Effect',0,1),
(62176,70158,1,100,'Inflicts 152 - 458 melee damage on targets in Area of Effect',0,2),
(62177,70158,1,100,'Inflicts 152 - 458 melee damage on targets in Area of Effect',0,3),
(62178,70158,4,100,'Inflicts 186 - 560 melee damage on targets in Area of Effect',0,0),
(62179,70158,4,100,'Inflicts 186 - 560 melee damage on targets in Area of Effect',0,1),
(62180,70158,4,100,'Inflicts 186 - 560 melee damage on targets in Area of Effect',0,2),
(62181,70158,4,100,'Inflicts 186 - 560 melee damage on targets in Area of Effect',0,3),
(62182,70158,5,100,'Inflicts 203 - 611 melee damage on targets in Area of Effect',0,0),
(62183,70158,5,100,'Inflicts 203 - 611 melee damage on targets in Area of Effect',0,1),
(62184,70158,5,100,'Inflicts 203 - 611 melee damage on targets in Area of Effect',0,2),
(62185,70158,5,100,'Inflicts 203 - 611 melee damage on targets in Area of Effect',0,3),
(62186,70158,7,100,'Inflicts 261 - 784 melee damage on targets in Area of Effect',0,0),
(62187,70158,7,100,'Inflicts 261 - 784 melee damage on targets in Area of Effect',0,1),
(62188,70158,7,100,'Inflicts 261 - 784 melee damage on targets in Area of Effect',0,2),
(62189,70158,7,100,'Inflicts 261 - 784 melee damage on targets in Area of Effect',0,3),
(62190,70158,9,100,'Inflicts 271 - 814 melee damage on targets in Area of Effect',0,0),
(62191,70158,9,100,'Inflicts 271 - 814 melee damage on targets in Area of Effect',0,1),
(62192,70158,9,100,'Inflicts 271 - 814 melee damage on targets in Area of Effect',0,2),
(62193,70158,9,100,'Inflicts 271 - 814 melee damage on targets in Area of Effect',0,3),
(62194,70159,1,100,'Inflicts 162 - 486 melee damage on targets in Area of Effect',0,0),
(62195,70159,1,100,'Inflicts 162 - 486 melee damage on targets in Area of Effect',0,1),
(62196,70159,1,100,'Inflicts 162 - 486 melee damage on targets in Area of Effect',0,2),
(62197,70159,1,100,'Inflicts 162 - 486 melee damage on targets in Area of Effect',0,3),
(62198,70159,4,100,'Inflicts 198 - 594 melee damage on targets in Area of Effect',0,0),
(62199,70159,4,100,'Inflicts 198 - 594 melee damage on targets in Area of Effect',0,1),
(62200,70159,4,100,'Inflicts 198 - 594 melee damage on targets in Area of Effect',0,2),
(62201,70159,4,100,'Inflicts 198 - 594 melee damage on targets in Area of Effect',0,3),
(62202,70159,5,100,'Inflicts 216 - 648 melee damage on targets in Area of Effect',0,0),
(62203,70159,5,100,'Inflicts 216 - 648 melee damage on targets in Area of Effect',0,1),
(62204,70159,5,100,'Inflicts 216 - 648 melee damage on targets in Area of Effect',0,2),
(62205,70159,5,100,'Inflicts 216 - 648 melee damage on targets in Area of Effect',0,3),
(62206,70159,7,100,'Inflicts 277 - 832 melee damage on targets in Area of Effect',0,0),
(62207,70159,7,100,'Inflicts 277 - 832 melee damage on targets in Area of Effect',0,1),
(62208,70159,7,100,'Inflicts 277 - 832 melee damage on targets in Area of Effect',0,2),
(62209,70159,7,100,'Inflicts 277 - 832 melee damage on targets in Area of Effect',0,3),
(62210,70159,9,100,'Inflicts 288 - 864 melee damage on targets in Area of Effect',0,0),
(62211,70159,9,100,'Inflicts 288 - 864 melee damage on targets in Area of Effect',0,1),
(62212,70159,9,100,'Inflicts 288 - 864 melee damage on targets in Area of Effect',0,2),
(62213,70159,9,100,'Inflicts 288 - 864 melee damage on targets in Area of Effect',0,3),
(62214,2000224,1,100,'Increases savagery of caster by 15.0 instantly and every 6 seconds',0,0),
(62215,2000224,1,100,'This effect cannot be critically applied.',1,1),
(62216,2000225,1,100,'Inflicts 3 - 6 melee damage on targets in Area of Effect',0,0),
(62217,2000225,1,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,1),
(62218,2000225,2,100,'Inflicts 692 - 1154 melee damage on targets in Area of Effect',0,0),
(62219,2000225,2,100,'Decreases threat priority of targets in Area of Effect by 2 positions',0,1),
(62220,2000226,3,100,'Inflicts 3 - 5 crushing damage on target',0,0),
(62221,2000226,3,100,'Increases Mitigation of target vs all damage by 0',0,1),
(62222,2000226,3,100,'Increases Mitigation of target vs noxious damage by 0',0,2),
(62223,2000226,4,100,'Inflicts 3 - 6 crushing damage on target',0,0),
(62224,2000226,4,100,'Increases Mitigation of target vs all damage by 0',0,1),
(62225,2000226,4,100,'Increases Mitigation of target vs physical, elemental and arcane damage by 0',0,2),
(62226,2000226,5,100,'Inflicts 4 - 6 crushing damage on target',0,0),
(62227,2000226,5,100,'Increases Mitigation of target vs all damage by 0',0,1),
(62228,2000226,5,100,'Increases Mitigation of target vs elemental damage by 0',0,2),
(62229,2000226,7,100,'Inflicts 5 - 8 crushing damage on target',0,0),
(62230,2000226,7,100,'Increases Mitigation of target vs all damage by 0',0,1),
(62231,2000226,7,100,'Increases Mitigation of target vs elemental damage by 0',0,2),
(62232,2000226,9,100,'Inflicts 5 - 9 crushing damage on target',0,0),
(62233,2000226,9,100,'Increases Mitigation of target vs all damage by 0',0,1),
(62234,2000226,9,100,'Increases Mitigation of target vs elemental damage by 0',0,2),
(62235,2000226,10,100,'Inflicts 5 - 9 crushing damage on target',0,0),
(62236,2000226,10,100,'Increases Mitigation of target vs all damage by 0',0,1),
(62237,2000226,10,100,'Increases Mitigation of target vs elemental damage by 0',0,2),
(62238,420081,9,100,'Inflicts 912 - 1520 piercing damage on target',0,0),
(62239,420081,9,100,'The effect of this ability grows based on Savagery and Feral Rampage level.',0,1),
(62240,420081,9,100,'Must be flanking or behind',0,2),
(62241,420081,9,100,'You must have your warder active to use this ability.',0,3),
(62242,420082,1,100,'Reduces all damage done to group members (AE) by 3%',0,0),
(62243,420082,1,100,'Inflicts 48 - 81 melee damage on target encounter',0,1),
(62244,420082,1,100,'Increases savagery of caster by 20.0',0,2),
(62245,420082,1,100,'This effect cannot be critically applied.',1,3),
(62246,420082,1,100,'Heals group members (AE) for 2 - 3',0,4),
(62247,420082,1,100,'Heals group members (AE) for 1 every 3 seconds',0,5),
(62248,420083,1,100,'Increases Mitigation of caster vs physical damage by 313',0,0),
(62249,420083,1,100,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',0,1),
(62250,420083,1,100,'Inflicts 51 - 62 slashing damage on target',1,2),
(62251,420083,4,100,'Increases Mitigation of caster vs physical damage by 383',0,0),
(62252,420083,4,100,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',0,1),
(62253,420083,4,100,'Inflicts 62 - 76 slashing damage on target',1,2),
(62254,420083,5,100,'Increases Mitigation of caster vs physical damage by 418',0,0),
(62255,420083,5,100,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',0,1),
(62256,420083,5,100,'Inflicts 67 - 82 slashing damage on target',1,2),
(62257,420083,7,100,'Increases Mitigation of caster vs physical damage by 536',0,0),
(62258,420083,7,100,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',0,1),
(62259,420083,7,100,'Inflicts 87 - 106 slashing damage on target',1,2),
(62260,420083,9,100,'Increases Mitigation of caster vs physical damage by 557',0,0),
(62261,420083,9,100,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',0,1),
(62262,420083,9,100,'Inflicts 90 - 110 slashing damage on target',1,2),
(62263,420083,10,100,'Increases Mitigation of caster vs physical damage by 585',0,0),
(62264,420083,10,100,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',0,1),
(62265,420083,10,100,'Inflicts 94 - 115 slashing damage on target',1,2),
(62266,420084,1,100,'Increases Mitigation of caster vs physical damage by 421',0,0),
(62267,420084,1,100,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',0,1),
(62268,420084,1,100,'Inflicts 70 - 86 slashing damage on target',1,2),
(62269,420084,4,100,'Increases Mitigation of caster vs physical damage by 515',0,0),
(62270,420084,4,100,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',0,1),
(62271,420084,4,100,'Inflicts 86 - 105 slashing damage on target',1,2),
(62272,420084,5,100,'Increases Mitigation of caster vs physical damage by 562',0,0),
(62273,420084,5,100,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',0,1),
(62274,420084,5,100,'Inflicts 93 - 114 slashing damage on target',1,2),
(62275,420084,7,100,'Increases Mitigation of caster vs physical damage by 721',0,0),
(62276,420084,7,100,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',0,1),
(62277,420084,7,100,'Inflicts 120 - 147 slashing damage on target',1,2),
(62278,420084,9,100,'Increases Mitigation of caster vs physical damage by 749',0,0),
(62279,420084,9,100,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',0,1),
(62280,420084,9,100,'Inflicts 125 - 152 slashing damage on target',1,2),
(62281,420085,1,100,'Increases Mitigation of caster vs physical damage by 529',0,0),
(62282,420085,1,100,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',0,1),
(62283,420085,1,100,'Inflicts 94 - 115 slashing damage on target',1,2),
(62284,420085,4,100,'Increases Mitigation of caster vs physical damage by 647',0,0),
(62285,420085,4,100,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',0,1),
(62286,420085,4,100,'Inflicts 115 - 140 slashing damage on target',1,2),
(62287,420085,5,100,'Increases Mitigation of caster vs physical damage by 706',0,0),
(62288,420085,5,100,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',0,1),
(62289,420085,5,100,'Inflicts 125 - 153 slashing damage on target',1,2),
(62290,420085,7,100,'Increases Mitigation of caster vs physical damage by 906',0,0),
(62291,420085,7,100,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',0,1),
(62292,420085,7,100,'Inflicts 161 - 196 slashing damage on target',1,2),
(62293,420085,9,100,'Increases Mitigation of caster vs physical damage by 941',0,0),
(62294,420085,9,100,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',0,1),
(62295,420085,9,100,'Inflicts 167 - 204 slashing damage on target',1,2),
(62296,420085,10,100,'Increases Mitigation of caster vs physical damage by 988',0,0),
(62297,420085,10,100,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',0,1),
(62298,420085,10,100,'Inflicts 175 - 214 slashing damage on target',1,2),
(62299,420086,1,100,'Increases Mitigation of caster vs physical damage by 637',0,0),
(62300,420086,1,100,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',0,1),
(62301,420086,1,100,'Inflicts 118 - 145 slashing damage on target',1,2),
(62302,420086,4,100,'Increases Mitigation of caster vs physical damage by 779',0,0),
(62303,420086,4,100,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',0,1),
(62304,420086,4,100,'Inflicts 145 - 177 slashing damage on target',1,2),
(62305,420086,5,100,'Increases Mitigation of caster vs physical damage by 850',0,0),
(62306,420086,5,100,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',0,1),
(62307,420086,5,100,'Inflicts 158 - 193 slashing damage on target',1,2),
(62308,420086,7,100,'Increases Mitigation of caster vs physical damage by 1090',0,0),
(62309,420086,7,100,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',0,1),
(62310,420086,7,100,'Inflicts 202 - 247 slashing damage on target',1,2),
(62311,420086,9,100,'Increases Mitigation of caster vs physical damage by 1133',0,0),
(62312,420086,9,100,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',0,1),
(62313,420086,9,100,'Inflicts 210 - 257 slashing damage on target',1,2),
(62314,420087,1,100,'Increases Mitigation of caster vs physical damage by 745',0,0),
(62315,420087,1,100,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',0,1),
(62316,420087,1,100,'Inflicts 143 - 174 slashing damage on target',1,2),
(62317,420087,4,100,'Increases Mitigation of caster vs physical damage by 911',0,0),
(62318,420087,4,100,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',0,1),
(62319,420087,4,100,'Inflicts 174 - 213 slashing damage on target',1,2),
(62320,420087,5,100,'Increases Mitigation of caster vs physical damage by 994',0,0),
(62321,420087,5,100,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',0,1),
(62322,420087,5,100,'Inflicts 190 - 232 slashing damage on target',1,2),
(62323,420087,7,100,'Increases Mitigation of caster vs physical damage by 1275',0,0),
(62324,420087,7,100,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',0,1),
(62325,420087,7,100,'Inflicts 244 - 298 slashing damage on target',1,2),
(62326,420087,9,100,'Increases Mitigation of caster vs physical damage by 1325',0,0),
(62327,420087,9,100,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',0,1),
(62328,420087,9,100,'Inflicts 254 - 310 slashing damage on target',1,2),
(62329,420088,1,100,'Increases Mitigation of caster vs physical damage by 853',0,0),
(62330,420088,1,100,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',0,1),
(62331,420088,1,100,'Inflicts 173 - 211 slashing damage on target',1,2),
(62332,420088,4,100,'Increases Mitigation of caster vs physical damage by 1043',0,0),
(62333,420088,4,100,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',0,1),
(62334,420088,4,100,'Inflicts 211 - 258 slashing damage on target',1,2),
(62335,420088,5,100,'Increases Mitigation of caster vs physical damage by 1138',0,0),
(62336,420088,5,100,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',0,1),
(62337,420088,5,100,'Inflicts 230 - 282 slashing damage on target',1,2),
(62338,420088,7,100,'Increases Mitigation of caster vs physical damage by 1460',0,0),
(62339,420088,7,100,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',0,1),
(62340,420088,7,100,'Inflicts 296 - 361 slashing damage on target',1,2),
(62341,420088,9,100,'Increases Mitigation of caster vs physical damage by 1517',0,0),
(62342,420088,9,100,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',0,1),
(62343,420088,9,100,'Inflicts 307 - 375 slashing damage on target',1,2),
(62344,420088,10,100,'Increases Mitigation of caster vs physical damage by 1593',0,0),
(62345,420088,10,100,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',0,1),
(62346,420088,10,100,'Inflicts 323 - 394 slashing damage on target',1,2),
(62347,420089,1,100,'Increases Mitigation of caster vs physical damage by 961',0,0),
(62348,420089,1,100,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',0,1),
(62349,420089,1,100,'Inflicts 208 - 254 slashing damage on target',1,2),
(62350,420089,4,100,'Increases Mitigation of caster vs physical damage by 1175',0,0),
(62351,420089,4,100,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',0,1),
(62352,420089,4,100,'Inflicts 254 - 311 slashing damage on target',1,2),
(62353,420089,5,100,'Increases Mitigation of caster vs physical damage by 1282',0,0),
(62354,420089,5,100,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',0,1),
(62355,420089,5,100,'Inflicts 277 - 339 slashing damage on target',1,2),
(62356,420089,7,100,'Increases Mitigation of caster vs physical damage by 1645',0,0),
(62357,420089,7,100,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',0,1),
(62358,420089,7,100,'Inflicts 356 - 435 slashing damage on target',1,2),
(62359,420089,9,100,'Increases Mitigation of caster vs physical damage by 1709',0,0),
(62360,420089,9,100,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',0,1),
(62361,420089,9,100,'Inflicts 370 - 452 slashing damage on target',1,2),
(62362,420089,10,100,'Increases Mitigation of caster vs physical damage by 1794',0,0),
(62363,420089,10,100,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',0,1),
(62364,420089,10,100,'Inflicts 388 - 475 slashing damage on target',1,2),
(62365,420090,1,100,'Increases Mitigation of caster vs physical damage by 1390',0,0),
(62366,420090,1,100,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',0,1),
(62367,420090,1,100,'Inflicts 223 - 273 slashing damage on target',1,2),
(62368,420090,4,100,'Increases Mitigation of caster vs physical damage by 1699',0,0),
(62369,420090,4,100,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',0,1),
(62370,420090,4,100,'Inflicts 273 - 333 slashing damage on target',1,2),
(62371,420090,5,100,'Increases Mitigation of caster vs physical damage by 1853',0,0),
(62372,420090,5,100,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',0,1),
(62373,420090,5,100,'Inflicts 298 - 364 slashing damage on target',1,2),
(62374,420090,7,100,'Increases Mitigation of caster vs physical damage by 2378',0,0),
(62375,420090,7,100,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',0,1),
(62376,420090,7,100,'Inflicts 382 - 467 slashing damage on target',1,2),
(62377,420090,9,100,'Increases Mitigation of caster vs physical damage by 2471',0,0),
(62378,420090,9,100,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',0,1),
(62379,420090,9,100,'Inflicts 397 - 485 slashing damage on target',1,2),
(62380,2000227,1,100,'Caster is immune to effects that would add or subtract savagery.',0,0),
(62381,370032,1,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',0,0),
(62382,370032,1,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',1,1),
(62383,370032,1,100,'Inflicts 136 disease damage on target every 3 seconds',2,2),
(62384,370032,1,100,'Inflicts 90 disease damage on target every 3 seconds',1,3),
(62385,370032,1,100,'Inflicts 226 - 376 melee damage on target',0,4),
(62386,370032,1,100,'Inflicts 45 disease damage on target every 3 seconds',0,5),
(62387,370032,1,100,'You must be sneaking to use this ability.',0,6),
(62388,370032,1,100,'Must be flanking or behind',0,7),
(62389,370032,2,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',0,0),
(62390,370032,2,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',1,1),
(62391,370032,2,100,'Inflicts 143 disease damage on target every 3 seconds',2,2),
(62392,370032,2,100,'Inflicts 95 disease damage on target every 3 seconds',1,3),
(62393,370032,2,100,'Inflicts 238 - 397 melee damage on target',0,4),
(62394,370032,2,100,'Inflicts 48 disease damage on target every 3 seconds',0,5),
(62395,370032,2,100,'You must be sneaking to use this ability.',0,6),
(62396,370032,2,100,'Must be flanking or behind',0,7),
(62397,370032,3,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',0,0),
(62398,370032,3,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',1,1),
(62399,370032,3,100,'Inflicts 151 disease damage on target every 3 seconds',2,2),
(62400,370032,3,100,'Inflicts 100 disease damage on target every 3 seconds',1,3),
(62401,370032,3,100,'Inflicts 251 - 418 melee damage on target',0,4),
(62402,370032,3,100,'Inflicts 50 disease damage on target every 3 seconds',0,5),
(62403,370032,3,100,'You must be sneaking to use this ability.',0,6),
(62404,370032,3,100,'Must be flanking or behind',0,7),
(62405,370032,4,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',0,0),
(62406,370032,4,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',1,1),
(62407,370032,4,100,'Inflicts 166 disease damage on target every 3 seconds',2,2),
(62408,370032,4,100,'Inflicts 111 disease damage on target every 3 seconds',1,3),
(62409,370032,4,100,'Inflicts 276 - 460 melee damage on target',0,4),
(62410,370032,4,100,'Inflicts 55 disease damage on target every 3 seconds',0,5),
(62411,370032,4,100,'You must be sneaking to use this ability.',0,6),
(62412,370032,4,100,'Must be flanking or behind',0,7),
(62413,370032,5,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',0,0),
(62414,370032,5,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',1,1),
(62415,370032,5,100,'Inflicts 181 disease damage on target every 3 seconds',2,2),
(62416,370032,5,100,'Inflicts 121 disease damage on target every 3 seconds',1,3),
(62417,370032,5,100,'Inflicts 301 - 502 melee damage on target',0,4),
(62418,370032,5,100,'Inflicts 60 disease damage on target every 3 seconds',0,5),
(62419,370032,5,100,'You must be sneaking to use this ability.',0,6),
(62420,370032,5,100,'Must be flanking or behind',0,7),
(62421,370032,7,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',0,0),
(62422,370032,7,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',1,1),
(62423,370032,7,100,'Inflicts 232 disease damage on target every 3 seconds',2,2),
(62424,370032,7,100,'Inflicts 155 disease damage on target every 3 seconds',1,3),
(62425,370032,7,100,'Inflicts 386 - 644 melee damage on target',0,4),
(62426,370032,7,100,'Inflicts 77 disease damage on target every 3 seconds',0,5),
(62427,370032,7,100,'You must be sneaking to use this ability.',0,6),
(62428,370032,7,100,'Must be flanking or behind',0,7),
(62429,370032,9,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',0,0),
(62430,370032,9,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',1,1),
(62431,370032,9,100,'Inflicts 241 disease damage on target every 3 seconds',2,2),
(62432,370032,9,100,'Inflicts 161 disease damage on target every 3 seconds',1,3),
(62433,370032,9,100,'Inflicts 401 - 669 melee damage on target',0,4),
(62434,370032,9,100,'Inflicts 80 disease damage on target every 3 seconds',0,5),
(62435,370032,9,100,'You must be sneaking to use this ability.',0,6),
(62436,370032,9,100,'Must be flanking or behind',0,7),
(62437,370033,1,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',0,0),
(62438,370033,1,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',1,1),
(62439,370033,1,100,'Inflicts 197 disease damage on target every 3 seconds',2,2),
(62440,370033,1,100,'Inflicts 131 disease damage on target every 3 seconds',1,3),
(62441,370033,1,100,'Inflicts 327 - 546 melee damage on target',0,4),
(62442,370033,1,100,'Inflicts 66 disease damage on target every 3 seconds',0,5),
(62443,370033,1,100,'You must be sneaking to use this ability.',0,6),
(62444,370033,1,100,'Must be flanking or behind',0,7),
(62445,370033,2,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',0,0),
(62446,370033,2,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',1,1),
(62447,370033,2,100,'Inflicts 208 disease damage on target every 3 seconds',2,2),
(62448,370033,2,100,'Inflicts 138 disease damage on target every 3 seconds',1,3),
(62449,370033,2,100,'Inflicts 346 - 576 melee damage on target',0,4),
(62450,370033,2,100,'Inflicts 69 disease damage on target every 3 seconds',0,5),
(62451,370033,2,100,'You must be sneaking to use this ability.',0,6),
(62452,370033,2,100,'Must be flanking or behind',0,7),
(62453,370033,3,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',0,0),
(62454,370033,3,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',1,1),
(62455,370033,3,100,'Inflicts 219 disease damage on target every 3 seconds',2,2),
(62456,370033,3,100,'Inflicts 146 disease damage on target every 3 seconds',1,3),
(62457,370033,3,100,'Inflicts 364 - 607 melee damage on target',0,4),
(62458,370033,3,100,'Inflicts 73 disease damage on target every 3 seconds',0,5),
(62459,370033,3,100,'You must be sneaking to use this ability.',0,6),
(62460,370033,3,100,'Must be flanking or behind',0,7),
(62461,370033,4,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',0,0),
(62462,370033,4,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',1,1),
(62463,370033,4,100,'Inflicts 240 disease damage on target every 3 seconds',2,2),
(62464,370033,4,100,'Inflicts 160 disease damage on target every 3 seconds',1,3),
(62465,370033,4,100,'Inflicts 400 - 667 melee damage on target',0,4),
(62466,370033,4,100,'Inflicts 80 disease damage on target every 3 seconds',0,5),
(62467,370033,4,100,'You must be sneaking to use this ability.',0,6),
(62468,370033,4,100,'Must be flanking or behind',0,7),
(62469,370033,5,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',0,0),
(62470,370033,5,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',1,1),
(62471,370033,5,100,'Inflicts 262 disease damage on target every 3 seconds',2,2),
(62472,370033,5,100,'Inflicts 175 disease damage on target every 3 seconds',1,3),
(62473,370033,5,100,'Inflicts 437 - 728 melee damage on target',0,4),
(62474,370033,5,100,'Inflicts 87 disease damage on target every 3 seconds',0,5),
(62475,370033,5,100,'You must be sneaking to use this ability.',0,6),
(62476,370033,5,100,'Must be flanking or behind',0,7),
(62477,370033,7,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',0,0),
(62478,370033,7,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',1,1),
(62479,370033,7,100,'Inflicts 337 disease damage on target every 3 seconds',2,2),
(62480,370033,7,100,'Inflicts 224 disease damage on target every 3 seconds',1,3),
(62481,370033,7,100,'Inflicts 560 - 934 melee damage on target',0,4),
(62482,370033,7,100,'Inflicts 112 disease damage on target every 3 seconds',0,5),
(62483,370033,7,100,'You must be sneaking to use this ability.',0,6),
(62484,370033,7,100,'Must be flanking or behind',0,7),
(62485,370033,9,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',0,0),
(62486,370033,9,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',1,1),
(62487,370033,9,100,'Inflicts 350 disease damage on target every 3 seconds',2,2),
(62488,370033,9,100,'Inflicts 233 disease damage on target every 3 seconds',1,3),
(62489,370033,9,100,'Inflicts 582 - 971 melee damage on target',0,4),
(62490,370033,9,100,'Inflicts 117 disease damage on target every 3 seconds',0,5),
(62491,370033,9,100,'You must be sneaking to use this ability.',0,6),
(62492,370033,9,100,'Must be flanking or behind',0,7),
(62493,370034,1,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',0,0),
(62494,370034,1,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',1,1),
(62495,370034,1,100,'Inflicts 238 disease damage on target every 3 seconds',2,2),
(62496,370034,1,100,'Inflicts 158 disease damage on target every 3 seconds',1,3),
(62497,370034,1,100,'Inflicts 396 - 660 melee damage on target',0,4),
(62498,370034,1,100,'Inflicts 79 disease damage on target every 3 seconds',0,5),
(62499,370034,1,100,'You must be sneaking to use this ability.',0,6),
(62500,370034,1,100,'Must be flanking or behind',0,7),
(62501,370034,4,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',0,0),
(62502,370034,4,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',1,1),
(62503,370034,4,100,'Inflicts 290 disease damage on target every 3 seconds',2,2),
(62504,370034,4,100,'Inflicts 194 disease damage on target every 3 seconds',1,3),
(62505,370034,4,100,'Inflicts 484 - 806 melee damage on target',0,4),
(62506,370034,4,100,'Inflicts 97 disease damage on target every 3 seconds',0,5),
(62507,370034,4,100,'You must be sneaking to use this ability.',0,6),
(62508,370034,4,100,'Must be flanking or behind',0,7),
(62509,370034,5,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',0,0),
(62510,370034,5,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',1,1),
(62511,370034,5,100,'Inflicts 317 disease damage on target every 3 seconds',2,2),
(62512,370034,5,100,'Inflicts 211 disease damage on target every 3 seconds',1,3),
(62513,370034,5,100,'Inflicts 528 - 880 melee damage on target',0,4),
(62514,370034,5,100,'Inflicts 106 disease damage on target every 3 seconds',0,5),
(62515,370034,5,100,'You must be sneaking to use this ability.',0,6),
(62516,370034,5,100,'Must be flanking or behind',0,7),
(62517,370034,7,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',0,0),
(62518,370034,7,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',1,1),
(62519,370034,7,100,'Inflicts 407 disease damage on target every 3 seconds',2,2),
(62520,370034,7,100,'Inflicts 271 disease damage on target every 3 seconds',1,3),
(62521,370034,7,100,'Inflicts 677 - 1129 melee damage on target',0,4),
(62522,370034,7,100,'Inflicts 136 disease damage on target every 3 seconds',0,5),
(62523,370034,7,100,'You must be sneaking to use this ability.',0,6),
(62524,370034,7,100,'Must be flanking or behind',0,7),
(62525,370034,9,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',0,0),
(62526,370034,9,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',1,1),
(62527,370034,9,100,'Inflicts 423 disease damage on target every 3 seconds',2,2),
(62528,370034,9,100,'Inflicts 282 disease damage on target every 3 seconds',1,3),
(62529,370034,9,100,'Inflicts 704 - 1173 melee damage on target',0,4),
(62530,370034,9,100,'Inflicts 141 disease damage on target every 3 seconds',0,5),
(62531,370034,9,100,'You must be sneaking to use this ability.',0,6),
(62532,370034,9,100,'Must be flanking or behind',0,7),
(62533,370034,10,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',0,0),
(62534,370034,10,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',1,1),
(62535,370034,10,100,'Inflicts 444 disease damage on target every 3 seconds',2,2),
(62536,370034,10,100,'Inflicts 296 disease damage on target every 3 seconds',1,3),
(62537,370034,10,100,'Inflicts 739 - 1232 melee damage on target',0,4),
(62538,370034,10,100,'Inflicts 148 disease damage on target every 3 seconds',0,5),
(62539,370034,10,100,'You must be sneaking to use this ability.',0,6),
(62540,370034,10,100,'Must be flanking or behind',0,7),
(62541,370035,1,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',0,0),
(62542,370035,1,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',1,1),
(62543,370035,1,100,'Inflicts 271 disease damage on target every 3 seconds',2,2),
(62544,370035,1,100,'Inflicts 181 disease damage on target every 3 seconds',1,3),
(62545,370035,1,100,'Inflicts 451 - 752 melee damage on target',0,4),
(62546,370035,1,100,'Inflicts 90 disease damage on target every 3 seconds',0,5),
(62547,370035,1,100,'You must be sneaking to use this ability.',0,6),
(62548,370035,1,100,'Must be flanking or behind',0,7),
(62549,370035,4,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',0,0),
(62550,370035,4,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',1,1),
(62551,370035,4,100,'Inflicts 331 disease damage on target every 3 seconds',2,2),
(62552,370035,4,100,'Inflicts 221 disease damage on target every 3 seconds',1,3),
(62553,370035,4,100,'Inflicts 551 - 919 melee damage on target',0,4),
(62554,370035,4,100,'Inflicts 110 disease damage on target every 3 seconds',0,5),
(62555,370035,4,100,'You must be sneaking to use this ability.',0,6),
(62556,370035,4,100,'Must be flanking or behind',0,7),
(62557,370035,5,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',0,0),
(62558,370035,5,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',1,1),
(62559,370035,5,100,'Inflicts 361 disease damage on target every 3 seconds',2,2),
(62560,370035,5,100,'Inflicts 241 disease damage on target every 3 seconds',1,3),
(62561,370035,5,100,'Inflicts 602 - 1003 melee damage on target',0,4),
(62562,370035,5,100,'Inflicts 120 disease damage on target every 3 seconds',0,5),
(62563,370035,5,100,'You must be sneaking to use this ability.',0,6),
(62564,370035,5,100,'Must be flanking or behind',0,7),
(62565,370035,7,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',0,0),
(62566,370035,7,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',1,1),
(62567,370035,7,100,'Inflicts 464 disease damage on target every 3 seconds',2,2),
(62568,370035,7,100,'Inflicts 309 disease damage on target every 3 seconds',1,3),
(62569,370035,7,100,'Inflicts 772 - 1287 melee damage on target',0,4),
(62570,370035,7,100,'Inflicts 155 disease damage on target every 3 seconds',0,5),
(62571,370035,7,100,'You must be sneaking to use this ability.',0,6),
(62572,370035,7,100,'Must be flanking or behind',0,7),
(62573,370035,9,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',0,0),
(62574,370035,9,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',1,1),
(62575,370035,9,100,'Inflicts 482 disease damage on target every 3 seconds',2,2),
(62576,370035,9,100,'Inflicts 321 disease damage on target every 3 seconds',1,3),
(62577,370035,9,100,'Inflicts 802 - 1337 melee damage on target',0,4),
(62578,370035,9,100,'Inflicts 161 disease damage on target every 3 seconds',0,5),
(62579,370035,9,100,'You must be sneaking to use this ability.',0,6),
(62580,370035,9,100,'Must be flanking or behind',0,7),
(62581,370035,10,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',0,0),
(62582,370035,10,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',1,1),
(62583,370035,10,100,'Inflicts 506 disease damage on target every 3 seconds',2,2),
(62584,370035,10,100,'Inflicts 337 disease damage on target every 3 seconds',1,3),
(62585,370035,10,100,'Inflicts 842 - 1404 melee damage on target',0,4),
(62586,370035,10,100,'Inflicts 169 disease damage on target every 3 seconds',0,5),
(62587,370035,10,100,'You must be sneaking to use this ability.',0,6),
(62588,370035,10,100,'Must be flanking or behind',0,7),
(62589,2000228,1,100,'Increases physical damage done to target by 15%',0,0),
(62590,2000228,1,100,'If Target is not Epic',1,1),
(62591,2000228,1,100,'Increases physical damage done to target by 5%',0,2),
(62592,2000228,1,100,'If Target is Epic',1,3),
(62593,2000228,1,100,'Inflicts 1108 - 1846 melee damage on target',0,4),
(62594,2000228,2,100,'Increases physical damage done to target by 15%',0,0),
(62595,2000228,2,100,'If Target is not Epic',1,1),
(62596,2000228,2,100,'Increases physical damage done to target by 5%',0,2),
(62597,2000228,2,100,'If Target is Epic',1,3),
(62598,2000228,2,100,'Inflicts 1108 - 1846 melee damage on target',0,4),
(62599,2000228,3,100,'Increases physical damage done to target by 15%',0,0),
(62600,2000228,3,100,'If Target is not Epic',1,1),
(62601,2000228,3,100,'Increases physical damage done to target by 5%',0,2),
(62602,2000228,3,100,'If Target is Epic',1,3),
(62603,2000228,3,100,'Inflicts 831 - 1385 melee damage on target',0,4),
(62604,390130,1,100,'Inflicts 5 - 9 heat damage on target',0,0),
(62605,390130,1,100,'Inflicts 5 - 9 heat damage on target',0,1),
(62606,390130,1,100,'Requires bow or aim',0,2),
(62607,390130,2,100,'Inflicts 6 - 10 heat damage on target',0,0),
(62608,390130,2,100,'Inflicts 6 - 10 heat damage on target',0,1),
(62609,390130,2,100,'Requires bow or aim',0,2),
(62610,390130,3,100,'Inflicts 6 - 11 heat damage on target',0,0),
(62611,390130,3,100,'Inflicts 6 - 11 heat damage on target',0,1),
(62612,390130,3,100,'Requires bow or aim',0,2),
(62613,390130,4,100,'Inflicts 7 - 12 heat damage on target',0,0),
(62614,390130,4,100,'Inflicts 7 - 12 heat damage on target',0,1),
(62615,390130,4,100,'Requires bow or aim',0,2),
(62616,390130,5,100,'Inflicts 7 - 13 heat damage on target',0,0),
(62617,390130,5,100,'Inflicts 7 - 13 heat damage on target',0,1),
(62618,390130,5,100,'Requires bow or aim',0,2),
(62619,390130,7,100,'Inflicts 10 - 16 heat damage on target',0,0),
(62620,390130,7,100,'Inflicts 10 - 16 heat damage on target',0,1),
(62621,390130,7,100,'Requires bow or aim',0,2),
(62622,390130,9,100,'Inflicts 10 - 17 heat damage on target',0,0),
(62623,390130,9,100,'Inflicts 10 - 17 heat damage on target',0,1),
(62624,390130,9,100,'Requires bow or aim',0,2),
(62625,390131,1,100,'Inflicts 28 - 47 heat damage on target',0,0),
(62626,390131,1,100,'Inflicts 28 - 47 heat damage on target',0,1),
(62627,390131,1,100,'Requires bow or aim',0,2),
(62628,390131,2,100,'Inflicts 30 - 50 heat damage on target',0,0),
(62629,390131,2,100,'Inflicts 30 - 50 heat damage on target',0,1),
(62630,390131,2,100,'Requires bow or aim',0,2),
(62631,390131,3,100,'Inflicts 31 - 53 heat damage on target',0,0),
(62632,390131,3,100,'Inflicts 31 - 53 heat damage on target',0,1),
(62633,390131,3,100,'Requires bow or aim',0,2),
(62634,390131,4,100,'Inflicts 35 - 58 heat damage on target',0,0),
(62635,390131,4,100,'Inflicts 35 - 58 heat damage on target',0,1),
(62636,390131,4,100,'Requires bow or aim',0,2),
(62637,390131,5,100,'Inflicts 38 - 63 heat damage on target',0,0),
(62638,390131,5,100,'Inflicts 38 - 63 heat damage on target',0,1),
(62639,390131,5,100,'Requires bow or aim',0,2),
(62640,390131,7,100,'Inflicts 49 - 82 heat damage on target',0,0),
(62641,390131,7,100,'Inflicts 49 - 82 heat damage on target',0,1),
(62642,390131,7,100,'Requires bow or aim',0,2),
(62643,390131,9,100,'Inflicts 51 - 85 heat damage on target',0,0),
(62644,390131,9,100,'Inflicts 51 - 85 heat damage on target',0,1),
(62645,390131,9,100,'Requires bow or aim',0,2),
(62646,390132,1,100,'Inflicts 56 - 94 heat damage on target',0,0),
(62647,390132,1,100,'Inflicts 56 - 94 heat damage on target',0,1),
(62648,390132,1,100,'Requires bow or aim',0,2),
(62649,390132,2,100,'Inflicts 60 - 100 heat damage on target',0,0),
(62650,390132,2,100,'Inflicts 60 - 100 heat damage on target',0,1),
(62651,390132,2,100,'Requires bow or aim',0,2),
(62652,390132,3,100,'Inflicts 63 - 105 heat damage on target',0,0),
(62653,390132,3,100,'Inflicts 63 - 105 heat damage on target',0,1),
(62654,390132,3,100,'Requires bow or aim',0,2),
(62655,390132,4,100,'Inflicts 69 - 115 heat damage on target',0,0),
(62656,390132,4,100,'Inflicts 69 - 115 heat damage on target',0,1),
(62657,390132,4,100,'Requires bow or aim',0,2),
(62658,390132,5,100,'Inflicts 75 - 126 heat damage on target',0,0),
(62659,390132,5,100,'Inflicts 75 - 126 heat damage on target',0,1),
(62660,390132,5,100,'Requires bow or aim',0,2),
(62661,390132,7,100,'Inflicts 97 - 162 heat damage on target',0,0),
(62662,390132,7,100,'Inflicts 97 - 162 heat damage on target',0,1),
(62663,390132,7,100,'Requires bow or aim',0,2),
(62664,390132,9,100,'Inflicts 101 - 168 heat damage on target',0,0),
(62665,390132,9,100,'Inflicts 101 - 168 heat damage on target',0,1),
(62666,390132,9,100,'Requires bow or aim',0,2),
(62667,390133,1,100,'Inflicts 88 - 147 heat damage on target',0,0),
(62668,390133,1,100,'Inflicts 88 - 147 heat damage on target',0,1),
(62669,390133,1,100,'Requires bow or aim',0,2),
(62670,390133,2,100,'Inflicts 93 - 155 heat damage on target',0,0),
(62671,390133,2,100,'Inflicts 93 - 155 heat damage on target',0,1),
(62672,390133,2,100,'Requires bow or aim',0,2),
(62673,390133,3,100,'Inflicts 98 - 164 heat damage on target',0,0),
(62674,390133,3,100,'Inflicts 98 - 164 heat damage on target',0,1),
(62675,390133,3,100,'Requires bow or aim',0,2),
(62676,390133,4,100,'Inflicts 108 - 180 heat damage on target',0,0),
(62677,390133,4,100,'Inflicts 108 - 180 heat damage on target',0,1),
(62678,390133,4,100,'Requires bow or aim',0,2),
(62679,390133,5,100,'Inflicts 118 - 196 heat damage on target',0,0),
(62680,390133,5,100,'Inflicts 118 - 196 heat damage on target',0,1),
(62681,390133,5,100,'Requires bow or aim',0,2),
(62682,390133,7,100,'Inflicts 151 - 252 heat damage on target',0,0),
(62683,390133,7,100,'Inflicts 151 - 252 heat damage on target',0,1),
(62684,390133,7,100,'Requires bow or aim',0,2),
(62685,390133,9,100,'Inflicts 157 - 262 heat damage on target',0,0),
(62686,390133,9,100,'Inflicts 157 - 262 heat damage on target',0,1),
(62687,390133,9,100,'Requires bow or aim',0,2),
(62688,390134,1,100,'Inflicts 125 - 209 heat damage on target',0,0),
(62689,390134,1,100,'Inflicts 125 - 209 heat damage on target',0,1),
(62690,390134,1,100,'Requires bow or aim',0,2),
(62691,390134,2,100,'Inflicts 132 - 220 heat damage on target',0,0),
(62692,390134,2,100,'Inflicts 132 - 220 heat damage on target',0,1),
(62693,390134,2,100,'Requires bow or aim',0,2),
(62694,390134,3,100,'Inflicts 139 - 232 heat damage on target',0,0),
(62695,390134,3,100,'Inflicts 139 - 232 heat damage on target',0,1),
(62696,390134,3,100,'Requires bow or aim',0,2),
(62697,390134,4,100,'Inflicts 153 - 255 heat damage on target',0,0),
(62698,390134,4,100,'Inflicts 153 - 255 heat damage on target',0,1),
(62699,390134,4,100,'Requires bow or aim',0,2),
(62700,390134,5,100,'Inflicts 167 - 278 heat damage on target',0,0),
(62701,390134,5,100,'Inflicts 167 - 278 heat damage on target',0,1),
(62702,390134,5,100,'Requires bow or aim',0,2),
(62703,390134,7,100,'Inflicts 214 - 357 heat damage on target',0,0),
(62704,390134,7,100,'Inflicts 214 - 357 heat damage on target',0,1),
(62705,390134,7,100,'Requires bow or aim',0,2),
(62706,390134,9,100,'Inflicts 223 - 371 heat damage on target',0,0),
(62707,390134,9,100,'Inflicts 223 - 371 heat damage on target',0,1),
(62708,390134,9,100,'Requires bow or aim',0,2),
(62709,390135,1,100,'Inflicts 160 - 267 heat damage on target',0,0),
(62710,390135,1,100,'Inflicts 160 - 267 heat damage on target',0,1),
(62711,390135,1,100,'Requires bow or aim',0,2),
(62712,390135,2,100,'Inflicts 169 - 282 heat damage on target',0,0),
(62713,390135,2,100,'Inflicts 169 - 282 heat damage on target',0,1),
(62714,390135,2,100,'Requires bow or aim',0,2),
(62715,390135,3,100,'Inflicts 178 - 297 heat damage on target',0,0),
(62716,390135,3,100,'Inflicts 178 - 297 heat damage on target',0,1),
(62717,390135,3,100,'Requires bow or aim',0,2),
(62718,390135,4,100,'Inflicts 196 - 326 heat damage on target',0,0),
(62719,390135,4,100,'Inflicts 196 - 326 heat damage on target',0,1),
(62720,390135,4,100,'Requires bow or aim',0,2),
(62721,390135,5,100,'Inflicts 213 - 356 heat damage on target',0,0),
(62722,390135,5,100,'Inflicts 213 - 356 heat damage on target',0,1),
(62723,390135,5,100,'Requires bow or aim',0,2),
(62724,390135,7,100,'Inflicts 274 - 457 heat damage on target',0,0),
(62725,390135,7,100,'Inflicts 274 - 457 heat damage on target',0,1),
(62726,390135,7,100,'Requires bow or aim',0,2),
(62727,390135,9,100,'Inflicts 285 - 475 heat damage on target',0,0),
(62728,390135,9,100,'Inflicts 285 - 475 heat damage on target',0,1),
(62729,390135,9,100,'Requires bow or aim',0,2),
(62730,390135,10,100,'Inflicts 299 - 499 heat damage on target',0,0),
(62731,390135,10,100,'Inflicts 299 - 499 heat damage on target',0,1),
(62732,390135,10,100,'Requires bow or aim',0,2),
(62733,390136,1,100,'Inflicts 194 - 323 heat damage on target',0,0),
(62734,390136,1,100,'Inflicts 194 - 323 heat damage on target',0,1),
(62735,390136,1,100,'Requires bow or aim',0,2),
(62736,390136,4,100,'Inflicts 237 - 395 heat damage on target',0,0),
(62737,390136,4,100,'Inflicts 237 - 395 heat damage on target',0,1),
(62738,390136,4,100,'Requires bow or aim',0,2),
(62739,390136,5,100,'Inflicts 259 - 431 heat damage on target',0,0),
(62740,390136,5,100,'Inflicts 259 - 431 heat damage on target',0,1),
(62741,390136,5,100,'Requires bow or aim',0,2),
(62742,390136,7,100,'Inflicts 332 - 554 heat damage on target',0,0),
(62743,390136,7,100,'Inflicts 332 - 554 heat damage on target',0,1),
(62744,390136,7,100,'Requires bow or aim',0,2),
(62745,390136,9,100,'Inflicts 345 - 575 heat damage on target',0,0),
(62746,390136,9,100,'Inflicts 345 - 575 heat damage on target',0,1),
(62747,390136,9,100,'Requires bow or aim',0,2),
(62748,390137,1,100,'Inflicts 230 - 384 heat damage on target',0,0),
(62749,390137,1,100,'Inflicts 230 - 384 heat damage on target',0,1),
(62750,390137,1,100,'Requires bow or aim',0,2),
(62751,390137,4,100,'Inflicts 281 - 469 heat damage on target',0,0),
(62752,390137,4,100,'Inflicts 281 - 469 heat damage on target',0,1),
(62753,390137,4,100,'Requires bow or aim',0,2),
(62754,390137,5,100,'Inflicts 307 - 512 heat damage on target',0,0),
(62755,390137,5,100,'Inflicts 307 - 512 heat damage on target',0,1),
(62756,390137,5,100,'Requires bow or aim',0,2),
(62757,390137,7,100,'Inflicts 394 - 657 heat damage on target',0,0),
(62758,390137,7,100,'Inflicts 394 - 657 heat damage on target',0,1),
(62759,390137,7,100,'Requires bow or aim',0,2),
(62760,390137,9,100,'Inflicts 409 - 683 heat damage on target',0,0),
(62761,390137,9,100,'Inflicts 409 - 683 heat damage on target',0,1),
(62762,390137,9,100,'Requires bow or aim',0,2),
(62763,2000229,1,100,'Inflicts 1419 - 2366 ranged damage on targets in Area of Effect',0,0),
(62764,2000229,1,100,'Requires bow or aim',0,1),
(62765,2000229,2,100,'Inflicts 1419 - 2366 ranged damage on targets in Area of Effect',0,0),
(62766,2000229,2,100,'Requires bow or aim',0,1),
(62767,2000229,3,100,'Inflicts 1065 - 1775 ranged damage on targets in Area of Effect',0,0),
(62768,2000229,3,100,'Requires bow',0,1),
(62769,320016,1,100,'On any combat or spell hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(62770,320016,1,100,'Decreases Threat to target by 626 ',1,1),
(62771,320016,2,100,'On any combat or spell hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(62772,320016,2,100,'Decreases Threat to target by 661 ',1,1),
(62773,320016,3,100,'On any combat or spell hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(62774,320016,3,100,'Decreases Threat to target by 696 ',1,1),
(62775,320016,4,100,'On any combat or spell hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(62776,320016,4,100,'Decreases Threat to target by 765 ',1,1),
(62777,320016,5,100,'On any combat or spell hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(62778,320016,5,100,'Decreases Threat to target by 835 ',1,1),
(62779,320016,7,100,'On any combat or spell hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(62780,320016,7,100,'Decreases Threat to target by 1,072 ',1,1),
(62781,320016,9,100,'On any combat or spell hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(62782,320016,9,100,'Decreases Threat to target by 1,114 ',1,1),
(62783,30164,1,100,'When damaged this spell has a 5% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,0),
(62784,30164,1,100,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',1,1),
(62785,30164,1,100,'If profession other than Fighter',0,2),
(62786,30164,1,100,'If profession other than Scout',0,3),
(62787,30164,2,100,'If profession other than Fighter',0,0),
(62788,30164,2,100,'If profession other than Scout',0,1),
(62789,30164,3,100,'If profession other than Fighter',0,0),
(62790,30164,3,100,'If profession other than Scout',0,1),
(62791,30164,4,100,'When damaged this spell has a 6% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,0),
(62792,30164,4,100,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',1,1),
(62793,30164,4,100,'If profession other than Fighter',0,2),
(62794,30164,4,100,'If profession other than Scout',0,3),
(62795,30164,5,100,'When damaged this spell has a 7% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,0),
(62796,30164,5,100,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',1,1),
(62797,30164,5,100,'If profession other than Fighter',0,2),
(62798,30164,5,100,'If profession other than Scout',0,3),
(62799,30164,7,100,'When damaged this spell has a 8% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,0),
(62800,30164,7,100,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',1,1),
(62801,30164,7,100,'If profession other than Fighter',0,2),
(62802,30164,7,100,'If profession other than Scout',0,3),
(62803,30164,9,100,'When damaged this spell has a 9% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,0),
(62804,30164,9,100,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',1,1),
(62805,30164,9,100,'If profession other than Fighter',0,2),
(62806,30164,9,100,'If profession other than Scout',0,3),
(62807,30165,1,100,'When damaged this spell has a 7% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,0),
(62808,30165,1,100,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',1,1),
(62809,30165,1,100,'If profession other than Fighter',0,2),
(62810,30165,1,100,'If profession other than Scout',0,3),
(62811,30165,2,100,'If profession other than Fighter',0,0),
(62812,30165,2,100,'If profession other than Scout',0,1),
(62813,30165,3,100,'If profession other than Fighter',0,0),
(62814,30165,3,100,'If profession other than Scout',0,1),
(62815,30165,4,100,'When damaged this spell has a 8% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,0),
(62816,30165,4,100,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',1,1),
(62817,30165,4,100,'If profession other than Fighter',0,2),
(62818,30165,4,100,'If profession other than Scout',0,3),
(62819,30165,5,100,'When damaged this spell has a 9% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,0),
(62820,30165,5,100,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',1,1),
(62821,30165,5,100,'If profession other than Fighter',0,2),
(62822,30165,5,100,'If profession other than Scout',0,3),
(62823,30165,7,100,'When damaged this spell has a 10% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,0),
(62824,30165,7,100,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',1,1),
(62825,30165,7,100,'If profession other than Fighter',0,2),
(62826,30165,7,100,'If profession other than Scout',0,3),
(62827,30165,9,100,'When damaged this spell has a 11% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,0),
(62828,30165,9,100,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',1,1),
(62829,30165,9,100,'If profession other than Fighter',0,2),
(62830,30165,9,100,'If profession other than Scout',0,3),
(62831,30165,10,100,'When damaged this spell has a 12% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,0),
(62832,30165,10,100,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',1,1),
(62833,30165,10,100,'If profession other than Fighter',0,2),
(62834,30165,10,100,'If profession other than Scout',0,3),
(62835,30166,1,100,'When damaged this spell has a 9% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,0),
(62836,30166,1,100,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',1,1),
(62837,30166,1,100,'If profession other than Fighter',0,2),
(62838,30166,1,100,'If profession other than Scout',0,3),
(62839,30166,2,100,'If profession other than Fighter',0,0),
(62840,30166,2,100,'If profession other than Scout',0,1),
(62841,30166,3,100,'If profession other than Fighter',0,0),
(62842,30166,3,100,'If profession other than Scout',0,1),
(62843,30166,4,100,'When damaged this spell has a 10% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,0),
(62844,30166,4,100,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',1,1),
(62845,30166,4,100,'If profession other than Fighter',0,2),
(62846,30166,4,100,'If profession other than Scout',0,3),
(62847,30166,5,100,'When damaged this spell has a 11% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,0),
(62848,30166,5,100,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',1,1),
(62849,30166,5,100,'If profession other than Fighter',0,2),
(62850,30166,5,100,'If profession other than Scout',0,3),
(62851,30166,7,100,'When damaged this spell has a 12% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,0),
(62852,30166,7,100,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',1,1),
(62853,30166,7,100,'If profession other than Fighter',0,2),
(62854,30166,7,100,'If profession other than Scout',0,3),
(62855,30166,9,100,'When damaged this spell has a 13% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,0),
(62856,30166,9,100,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',1,1),
(62857,30166,9,100,'If profession other than Fighter',0,2),
(62858,30166,9,100,'If profession other than Scout',0,3),
(62859,30167,1,100,'When damaged this spell has a 11% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,0),
(62860,30167,1,100,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',1,1),
(62861,30167,1,100,'If profession other than Fighter',0,2),
(62862,30167,1,100,'If profession other than Scout',0,3),
(62863,30167,2,100,'If profession other than Fighter',0,0),
(62864,30167,2,100,'If profession other than Scout',0,1),
(62865,30167,3,100,'If profession other than Fighter',0,0),
(62866,30167,3,100,'If profession other than Scout',0,1),
(62867,30167,4,100,'When damaged this spell has a 12% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,0),
(62868,30167,4,100,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',1,1),
(62869,30167,4,100,'If profession other than Fighter',0,2),
(62870,30167,4,100,'If profession other than Scout',0,3),
(62871,30167,5,100,'When damaged this spell has a 13% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,0),
(62872,30167,5,100,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',1,1),
(62873,30167,5,100,'If profession other than Fighter',0,2),
(62874,30167,5,100,'If profession other than Scout',0,3),
(62875,30167,7,100,'When damaged this spell has a 14% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,0),
(62876,30167,7,100,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',1,1),
(62877,30167,7,100,'If profession other than Fighter',0,2),
(62878,30167,7,100,'If profession other than Scout',0,3),
(62879,30167,9,100,'When damaged this spell has a 15% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,0),
(62880,30167,9,100,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',1,1),
(62881,30167,9,100,'If profession other than Fighter',0,2),
(62882,30167,9,100,'If profession other than Scout',0,3),
(62883,30167,10,100,'When damaged this spell has a 16% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,0),
(62884,30167,10,100,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',1,1),
(62885,30167,10,100,'If profession other than Fighter',0,2),
(62886,30167,10,100,'If profession other than Scout',0,3),
(62887,2000230,1,100,'Inflicts 6 - 9 melee damage on target',0,0),
(62888,2000230,1,100,'Increases Threat to target by 202 - 303  instantly and by 50 - 75  every 4 seconds thereafter',0,1),
(62889,2000230,1,100,'Inflicts 2 - 3 crushing damage on target every 4 seconds',0,2),
(62890,30168,1,100,'On death this spell will cast Sentry Watch Guard on target.  Lasts for 15.0 seconds.  ',0,0),
(62891,30168,1,100,'Reduces all damage done to target by 45% This spell will absorb a total of 1 attack.',1,1),
(62892,30168,1,100,'Heals target for 3.0% of max health',1,2),
(62893,30168,1,100,'This effect cannot be critically applied.',2,3),
(62894,30168,1,100,'When damaged this spell will cast Reinforcement on target''s attacker.  ',1,4),
(62895,30168,1,100,'Increases threat priority of target by 1 position',2,5),
(62896,30168,1,100,'Increases Threat to target by 1,126 ',2,6),
(62897,30168,1,100,'The healing of this spell cannot be modified except by direct means',1,7),
(62898,30168,1,100,'Grants a total of 1 trigger of the spell.',1,8),
(62899,30168,2,100,'On death this spell will cast Sentry Watch Guard on target.  Lasts for 15.0 seconds.  ',0,0),
(62900,30168,2,100,'Reduces all damage done to target by 47.5% This spell will absorb a total of 1 attack.',1,1),
(62901,30168,2,100,'Heals target for 6.0% of max health',1,2),
(62902,30168,2,100,'This effect cannot be critically applied.',2,3),
(62903,30168,2,100,'When damaged this spell will cast Reinforcement on target''s attacker.  ',1,4),
(62904,30168,2,100,'Increases threat priority of target by 1 position',2,5),
(62905,30168,2,100,'Increases Threat to target by 1,189 ',2,6),
(62906,30168,2,100,'The healing of this spell cannot be modified except by direct means',1,7),
(62907,30168,2,100,'Grants a total of 1 trigger of the spell.',1,8),
(62908,30168,3,100,'On death this spell will cast Sentry Watch Guard on target.  Lasts for 15.0 seconds.  ',0,0),
(62909,30168,3,100,'Reduces all damage done to target by 50% This spell will absorb a total of 1 attack.',1,1),
(62910,30168,3,100,'Heals target for 9.0% of max health',1,2),
(62911,30168,3,100,'This effect cannot be critically applied.',2,3),
(62912,30168,3,100,'When damaged this spell will cast Reinforcement on target''s attacker.  ',1,4),
(62913,30168,3,100,'Increases threat priority of target by 1 position',2,5),
(62914,30168,3,100,'Increases Threat to target by 1,252 ',2,6),
(62915,30168,3,100,'The healing of this spell cannot be modified except by direct means',1,7),
(62916,30168,3,100,'Grants a total of 1 trigger of the spell.',1,8),
(62917,30168,4,100,'On death this spell will cast Sentry Watch Guard on target.  Lasts for 15.0 seconds.  ',0,0),
(62918,30168,4,100,'Reduces all damage done to target by 55% This spell will absorb a total of 1 attack.',1,1),
(62919,30168,4,100,'Heals target for 4.0 - 4.8% of max health',1,2),
(62920,30168,4,100,'This effect cannot be critically applied.',2,3),
(62921,30168,4,100,'When damaged this spell will cast Reinforcement on target''s attacker.  ',1,4),
(62922,30168,4,100,'Increases threat priority of target by 1 position',2,5),
(62923,30168,4,100,'Increases Threat to target by 1,329 ',2,6),
(62924,30168,4,100,'The healing of this spell cannot be modified except by direct means',1,7),
(62925,30168,4,100,'Grants a total of 1 trigger of the spell.',1,8),
(62926,30168,5,100,'On death this spell will cast Sentry Watch Guard on target.  Lasts for 15.0 seconds.  ',0,0),
(62927,30168,5,100,'Reduces all damage done to target by 60% This spell will absorb a total of 1 attack.',1,1),
(62928,30168,5,100,'Heals target for 15.0% of max health',1,2),
(62929,30168,5,100,'This effect cannot be critically applied.',2,3),
(62930,30168,5,100,'When damaged this spell will cast Reinforcement on target''s attacker.  ',1,4),
(62931,30168,5,100,'Increases threat priority of target by 1 position',2,5),
(62932,30168,5,100,'Increases Threat to target by 1,401 ',2,6),
(62933,30168,5,100,'The healing of this spell cannot be modified except by direct means',1,7),
(62934,30168,5,100,'Grants a total of 1 trigger of the spell.',1,8),
(62935,30168,7,100,'On death this spell will cast Sentry Watch Guard on target.  Lasts for 15.0 seconds.  ',0,0),
(62936,30168,7,100,'Reduces all damage done to target by 77% This spell will absorb a total of 1 attack.',1,1),
(62937,30168,7,100,'Heals target for 21.0% of max health',1,2),
(62938,30168,7,100,'This effect cannot be critically applied.',2,3),
(62939,30168,7,100,'When damaged this spell will cast Reinforcement on target''s attacker.  ',1,4),
(62940,30168,7,100,'Increases threat priority of target by 1 position',2,5),
(62941,30168,7,100,'Increases Threat to target by 1,645 ',2,6),
(62942,30168,7,100,'The healing of this spell cannot be modified except by direct means',1,7),
(62943,30168,7,100,'Grants a total of 1 trigger of the spell.',1,8),
(62944,30168,9,100,'On death this spell will cast Sentry Watch Guard on target.  Lasts for 15.0 seconds.  ',0,0),
(62945,30168,9,100,'Reduces all damage done to target by 80% This spell will absorb a total of 1 attack.',1,1),
(62946,30168,9,100,'Heals target for 27.0% of max health',1,2),
(62947,30168,9,100,'This effect cannot be critically applied.',2,3),
(62948,30168,9,100,'When damaged this spell will cast Reinforcement on target''s attacker.  ',1,4),
(62949,30168,9,100,'Increases threat priority of target by 1 position',2,5),
(62950,30168,9,100,'Increases Threat to target by 1,688 ',2,6),
(62951,30168,9,100,'The healing of this spell cannot be modified except by direct means',1,7),
(62952,30168,9,100,'Grants a total of 1 trigger of the spell.',1,8),
(62953,30169,1,100,'Inflicts 7 - 12 slashing damage on target',0,0),
(62954,30169,1,100,'Inflicts 10 slashing damage on target instantly and every 4 seconds',0,1),
(62955,30169,1,100,'Decreases DPS of target by 6.0',0,2),
(62956,30169,2,100,'Inflicts 7 - 12 slashing damage on target',0,0),
(62957,30169,2,100,'Inflicts 10 slashing damage on target instantly and every 4 seconds',0,1),
(62958,30169,2,100,'Decreases DPS of target by 6.3',0,2),
(62959,30169,3,100,'Inflicts 8 - 13 slashing damage on target',0,0),
(62960,30169,3,100,'Inflicts 11 slashing damage on target instantly and every 4 seconds',0,1),
(62961,30169,3,100,'Decreases DPS of target by 6.6',0,2),
(62962,30169,4,100,'Inflicts 8 - 14 slashing damage on target',0,0),
(62963,30169,4,100,'Inflicts 12 slashing damage on target instantly and every 4 seconds',0,1),
(62964,30169,4,100,'Decreases DPS of target by 7.3',0,2),
(62965,30169,5,100,'Inflicts 9 - 16 slashing damage on target',0,0),
(62966,30169,5,100,'Inflicts 13 slashing damage on target instantly and every 4 seconds',0,1),
(62967,30169,5,100,'Decreases DPS of target by 7.9',0,2),
(62968,30169,7,100,'Inflicts 12 - 20 slashing damage on target',0,0),
(62969,30169,7,100,'Inflicts 17 slashing damage on target instantly and every 4 seconds',0,1),
(62970,30169,7,100,'Decreases DPS of target by 10.2',0,2),
(62971,30169,9,100,'Inflicts 12 - 21 slashing damage on target',0,0),
(62972,30169,9,100,'Inflicts 17 slashing damage on target instantly and every 4 seconds',0,1),
(62973,30169,9,100,'Decreases DPS of target by 10.6',0,2),
(62974,30169,10,100,'Inflicts 13 - 22 slashing damage on target',0,0),
(62975,30169,10,100,'Inflicts 18 slashing damage on target instantly and every 4 seconds',0,1),
(62976,30169,10,100,'Decreases DPS of target by 11.1',0,2),
(62977,30170,1,100,'Inflicts 15 - 25 slashing damage on target',0,0),
(62978,30170,1,100,'Inflicts 20 slashing damage on target instantly and every 4 seconds',0,1),
(62979,30170,1,100,'Decreases DPS of target by 7.0',0,2),
(62980,30170,2,100,'Inflicts 16 - 26 slashing damage on target',0,0),
(62981,30170,2,100,'Inflicts 21 slashing damage on target instantly and every 4 seconds',0,1),
(62982,30170,2,100,'Decreases DPS of target by 7.4',0,2),
(62983,30170,3,100,'Inflicts 16 - 28 slashing damage on target',0,0),
(62984,30170,3,100,'Inflicts 23 slashing damage on target instantly and every 4 seconds',0,1),
(62985,30170,3,100,'Decreases DPS of target by 7.7',0,2),
(62986,30170,4,100,'Inflicts 18 - 30 slashing damage on target',0,0),
(62987,30170,4,100,'Inflicts 25 slashing damage on target instantly and every 4 seconds',0,1),
(62988,30170,4,100,'Decreases DPS of target by 8.5',0,2),
(62989,30170,5,100,'Inflicts 20 - 33 slashing damage on target',0,0),
(62990,30170,5,100,'Inflicts 27 slashing damage on target instantly and every 4 seconds',0,1),
(62991,30170,5,100,'Decreases DPS of target by 9.3',0,2),
(62992,30170,7,100,'Inflicts 26 - 43 slashing damage on target',0,0),
(62993,30170,7,100,'Inflicts 35 slashing damage on target instantly and every 4 seconds',0,1),
(62994,30170,7,100,'Decreases DPS of target by 11.9',0,2),
(62995,30170,9,100,'Inflicts 27 - 45 slashing damage on target',0,0),
(62996,30170,9,100,'Inflicts 36 slashing damage on target instantly and every 4 seconds',0,1),
(62997,30170,9,100,'Decreases DPS of target by 12.4',0,2),
(62998,30171,1,100,'Inflicts 24 - 40 slashing damage on target',0,0),
(62999,30171,1,100,'Inflicts 32 slashing damage on target instantly and every 4 seconds',0,1),
(63000,30171,1,100,'Decreases DPS of target by 8.3',0,2),
(63001,30171,2,100,'Inflicts 25 - 42 slashing damage on target',0,0),
(63002,30171,2,100,'Inflicts 34 slashing damage on target instantly and every 4 seconds',0,1),
(63003,30171,2,100,'Decreases DPS of target by 8.7',0,2),
(63004,30171,3,100,'Inflicts 26 - 44 slashing damage on target',0,0),
(63005,30171,3,100,'Inflicts 36 slashing damage on target instantly and every 4 seconds',0,1),
(63006,30171,3,100,'Decreases DPS of target by 9.2',0,2),
(63007,30171,4,100,'Inflicts 29 - 48 slashing damage on target',0,0),
(63008,30171,4,100,'Inflicts 39 slashing damage on target instantly and every 4 seconds',0,1),
(63009,30171,4,100,'Decreases DPS of target by 10.1',0,2),
(63010,30171,5,100,'Inflicts 32 - 53 slashing damage on target',0,0),
(63011,30171,5,100,'Inflicts 43 slashing damage on target instantly and every 4 seconds',0,1),
(63012,30171,5,100,'Decreases DPS of target by 11.0',0,2),
(63013,30171,7,100,'Inflicts 41 - 68 slashing damage on target',0,0),
(63014,30171,7,100,'Inflicts 55 slashing damage on target instantly and every 4 seconds',0,1),
(63015,30171,7,100,'Decreases DPS of target by 14.1',0,2),
(63016,30171,9,100,'Inflicts 42 - 71 slashing damage on target',0,0),
(63017,30171,9,100,'Inflicts 57 slashing damage on target instantly and every 4 seconds',0,1),
(63018,30171,9,100,'Decreases DPS of target by 14.7',0,2),
(63019,30172,1,100,'Inflicts 34 - 57 slashing damage on target',0,0),
(63020,30172,1,100,'Inflicts 46 slashing damage on target instantly and every 4 seconds',0,1),
(63021,30172,1,100,'Decreases DPS of target by 9.7',0,2),
(63022,30172,2,100,'Inflicts 36 - 61 slashing damage on target',0,0),
(63023,30172,2,100,'Inflicts 49 slashing damage on target instantly and every 4 seconds',0,1),
(63024,30172,2,100,'Decreases DPS of target by 10.3',0,2),
(63025,30172,3,100,'Inflicts 38 - 64 slashing damage on target',0,0),
(63026,30172,3,100,'Inflicts 51 slashing damage on target instantly and every 4 seconds',0,1),
(63027,30172,3,100,'Decreases DPS of target by 10.8',0,2),
(63028,30172,4,100,'Inflicts 42 - 70 slashing damage on target',0,0),
(63029,30172,4,100,'Inflicts 57 slashing damage on target instantly and every 4 seconds',0,1),
(63030,30172,4,100,'Decreases DPS of target by 11.9',0,2),
(63031,30172,5,100,'Inflicts 46 - 77 slashing damage on target',0,0),
(63032,30172,5,100,'Inflicts 62 slashing damage on target instantly and every 4 seconds',0,1),
(63033,30172,5,100,'Decreases DPS of target by 13.0',0,2),
(63034,30172,7,100,'Inflicts 59 - 98 slashing damage on target',0,0),
(63035,30172,7,100,'Inflicts 79 slashing damage on target instantly and every 4 seconds',0,1),
(63036,30172,7,100,'Decreases DPS of target by 16.7',0,2),
(63037,30172,9,100,'Inflicts 61 - 102 slashing damage on target',0,0),
(63038,30172,9,100,'Inflicts 82 slashing damage on target instantly and every 4 seconds',0,1),
(63039,30172,9,100,'Decreases DPS of target by 17.3',0,2),
(63040,30173,1,100,'Inflicts 45 - 75 slashing damage on target',0,0),
(63041,30173,1,100,'Inflicts 60 slashing damage on target instantly and every 4 seconds',0,1),
(63042,30173,1,100,'Decreases DPS of target by 11.2',0,2),
(63043,30173,2,100,'Inflicts 47 - 79 slashing damage on target',0,0),
(63044,30173,2,100,'Inflicts 64 slashing damage on target instantly and every 4 seconds',0,1),
(63045,30173,2,100,'Decreases DPS of target by 11.9',0,2),
(63046,30173,3,100,'Inflicts 50 - 83 slashing damage on target',0,0),
(63047,30173,3,100,'Inflicts 67 slashing damage on target instantly and every 4 seconds',0,1),
(63048,30173,3,100,'Decreases DPS of target by 12.5',0,2),
(63049,30173,4,100,'Inflicts 55 - 92 slashing damage on target',0,0),
(63050,30173,4,100,'Inflicts 74 slashing damage on target instantly and every 4 seconds',0,1),
(63051,30173,4,100,'Decreases DPS of target by 13.7',0,2),
(63052,30173,5,100,'Inflicts 60 - 100 slashing damage on target',0,0),
(63053,30173,5,100,'Inflicts 81 slashing damage on target instantly and every 4 seconds',0,1),
(63054,30173,5,100,'Decreases DPS of target by 15.0',0,2),
(63055,30173,7,100,'Inflicts 77 - 129 slashing damage on target',0,0),
(63056,30173,7,100,'Inflicts 103 slashing damage on target instantly and every 4 seconds',0,1),
(63057,30173,7,100,'Decreases DPS of target by 19.2',0,2),
(63058,30173,9,100,'Inflicts 80 - 134 slashing damage on target',0,0),
(63059,30173,9,100,'Inflicts 107 slashing damage on target instantly and every 4 seconds',0,1),
(63060,30173,9,100,'Decreases DPS of target by 20.0',0,2),
(63061,30174,1,100,'Inflicts 54 - 91 slashing damage on target',0,0),
(63062,30174,1,100,'Inflicts 73 slashing damage on target instantly and every 4 seconds',0,1),
(63063,30174,1,100,'Decreases DPS of target by 12.7',0,2),
(63064,30174,2,100,'Inflicts 58 - 96 slashing damage on target',0,0),
(63065,30174,2,100,'Inflicts 77 slashing damage on target instantly and every 4 seconds',0,1),
(63066,30174,2,100,'Decreases DPS of target by 13.4',0,2),
(63067,30174,3,100,'Inflicts 61 - 101 slashing damage on target',0,0),
(63068,30174,3,100,'Inflicts 81 slashing damage on target instantly and every 4 seconds',0,1),
(63069,30174,3,100,'Decreases DPS of target by 14.1',0,2),
(63070,30174,4,100,'Inflicts 67 - 111 slashing damage on target',0,0),
(63071,30174,4,100,'Inflicts 90 slashing damage on target instantly and every 4 seconds',0,1),
(63072,30174,4,100,'Decreases DPS of target by 15.5',0,2),
(63073,30174,5,100,'Inflicts 73 - 122 slashing damage on target',0,0),
(63074,30174,5,100,'Inflicts 98 slashing damage on target instantly and every 4 seconds',0,1),
(63075,30174,5,100,'Decreases DPS of target by 17.0',0,2),
(63076,30174,7,100,'Inflicts 94 - 156 slashing damage on target',0,0),
(63077,30174,7,100,'Inflicts 125 slashing damage on target instantly and every 4 seconds',0,1),
(63078,30174,7,100,'Decreases DPS of target by 21.8',0,2),
(63079,30174,9,100,'Inflicts 97 - 162 slashing damage on target',0,0),
(63080,30174,9,100,'Inflicts 130 slashing damage on target instantly and every 4 seconds',0,1),
(63081,30174,9,100,'Decreases Damage Per Second of target by 22.6',0,2),
(63082,30175,1,100,'Inflicts 66 - 110 slashing damage on target',0,0),
(63083,30175,1,100,'Inflicts 88 slashing damage on target instantly and every 4 seconds',0,1),
(63084,30175,1,100,'Decreases DPS of target by 14.2',0,2),
(63085,30175,4,100,'Inflicts 80 - 134 slashing damage on target',0,0),
(63086,30175,4,100,'Inflicts 108 slashing damage on target instantly and every 4 seconds',0,1),
(63087,30175,4,100,'Decreases DPS of target by 17.3',0,2),
(63088,30175,5,100,'Inflicts 88 - 146 slashing damage on target',0,0),
(63089,30175,5,100,'Inflicts 118 slashing damage on target instantly and every 4 seconds',0,1),
(63090,30175,5,100,'Decreases DPS of target by 18.9',0,2),
(63091,30175,7,100,'Inflicts 113 - 188 slashing damage on target',0,0),
(63092,30175,7,100,'Inflicts 151 slashing damage on target instantly and every 4 seconds',0,1),
(63093,30175,7,100,'Decreases DPS of target by 24.3',0,2),
(63094,30175,9,100,'Inflicts 117 - 195 slashing damage on target',0,0),
(63095,30175,9,100,'Inflicts 157 slashing damage on target instantly and every 4 seconds',0,1),
(63096,30175,9,100,'Decreases DPS of target by 25.2',0,2),
(63097,30176,1,100,'Inflicts 70 - 116 slashing damage on target',0,0),
(63098,30176,1,100,'Inflicts 94 slashing damage on target instantly and every 4 seconds',0,1),
(63099,30176,1,100,'Decreases DPS of target by 15.7',0,2),
(63100,30176,4,100,'Inflicts 85 - 142 slashing damage on target',0,0),
(63101,30176,4,100,'Inflicts 114 slashing damage on target instantly and every 4 seconds',0,1),
(63102,30176,4,100,'Decreases DPS of target by 19.2',0,2),
(63103,30176,5,100,'Inflicts 93 - 155 slashing damage on target',0,0),
(63104,30176,5,100,'Inflicts 125 slashing damage on target instantly and every 4 seconds',0,1),
(63105,30176,5,100,'Decreases DPS of target by 20.9',0,2),
(63106,30176,7,100,'Inflicts 120 - 200 slashing damage on target',0,0),
(63107,30176,7,100,'Inflicts 160 slashing damage on target instantly and every 4 seconds',0,1),
(63108,30176,7,100,'Decreases DPS of target by 26.8',0,2),
(63109,30176,9,100,'Inflicts 124 - 207 slashing damage on target',0,0),
(63110,30176,9,100,'Inflicts 166 slashing damage on target instantly and every 4 seconds',0,1),
(63111,30176,9,100,'Decreases DPS of target by 27.9',0,2),
(63112,440039,1,100,'Interrupts targets in Area of Effect',0,0),
(63113,440039,1,100,'Slows targets in Area of Effect by 28.3%',0,1),
(63114,440039,4,100,'Interrupts targets in Area of Effect',0,0),
(63115,440039,4,100,'Slows targets in Area of Effect by 34.5%',0,1),
(63116,440039,5,100,'Interrupts targets in Area of Effect',0,0),
(63117,440039,5,100,'Slows targets in Area of Effect by 37.7%',0,1),
(63118,440039,7,100,'Interrupts targets in Area of Effect',0,0),
(63119,440039,7,100,'Slows targets in Area of Effect by 48.4%',0,1),
(63120,440039,9,100,'Interrupts targets in Area of Effect',0,0),
(63121,440039,9,100,'Slows targets in Area of Effect by 50.2%',0,1),
(63122,440040,1,100,'Interrupts targets in Area of Effect',0,0),
(63123,440040,1,100,'Slows targets in Area of Effect by 30.1%',0,1),
(63124,440040,4,100,'Interrupts targets in Area of Effect',0,0),
(63125,440040,4,100,'Slows targets in Area of Effect by 36.7%',0,1),
(63126,440040,5,100,'Interrupts targets in Area of Effect',0,0),
(63127,440040,5,100,'Slows targets in Area of Effect by 40.1%',0,1),
(63128,440040,7,100,'Interrupts targets in Area of Effect',0,0),
(63129,440040,7,100,'Slows targets in Area of Effect by 51.4%',0,1),
(63130,440040,9,100,'Interrupts targets in Area of Effect',0,0),
(63131,440040,9,100,'Slows targets in Area of Effect by 53.4%',0,1),
(63132,440041,1,100,'Interrupts targets in Area of Effect',0,0),
(63133,440041,1,100,'Slows targets in Area of Effect by 31.9%',0,1),
(63134,440041,4,100,'Interrupts targets in Area of Effect',0,0),
(63135,440041,4,100,'Slows targets in Area of Effect by 38.9%',0,1),
(63136,440041,5,100,'Interrupts targets in Area of Effect',0,0),
(63137,440041,5,100,'Slows targets in Area of Effect by 42.5%',0,1),
(63138,440041,7,100,'Interrupts targets in Area of Effect',0,0),
(63139,440041,7,100,'Slows targets in Area of Effect by 54.5%',0,1),
(63140,440041,9,100,'Interrupts targets in Area of Effect',0,0),
(63141,440041,9,100,'Slows targets in Area of Effect by 56.6%',0,1),
(63142,440041,10,100,'Interrupts targets in Area of Effect',0,0),
(63143,440041,10,100,'Slows targets in Area of Effect by 59.5%',0,1),
(63144,440042,1,100,'Interrupts targets in Area of Effect',0,0),
(63145,440042,1,100,'Slows targets in Area of Effect by 33.7%',0,1),
(63146,440042,4,100,'Interrupts targets in Area of Effect',0,0),
(63147,440042,4,100,'Slows targets in Area of Effect by 41.1%',0,1),
(63148,440042,5,100,'Interrupts targets in Area of Effect',0,0),
(63149,440042,5,100,'Slows targets in Area of Effect by 44.9%',0,1),
(63150,440042,7,100,'Interrupts targets in Area of Effect',0,0),
(63151,440042,7,100,'Slows targets in Area of Effect by 57.6%',0,1),
(63152,440042,9,100,'Interrupts targets in Area of Effect',0,0),
(63153,440042,9,100,'Slows targets in Area of Effect by 59.8%',0,1),
(63154,440042,10,100,'Interrupts targets in Area of Effect',0,0),
(63155,440042,10,100,'Slows targets in Area of Effect by 62.8%',0,1),
(63156,440043,1,100,'Interrupts targets in Area of Effect',0,0),
(63157,440043,1,100,'Slows targets in Area of Effect by 37.3%',0,1),
(63158,440043,4,100,'Interrupts targets in Area of Effect',0,0),
(63159,440043,4,100,'Slows targets in Area of Effect by 45.6%',0,1),
(63160,440043,5,100,'Interrupts targets in Area of Effect',0,0),
(63161,440043,5,100,'Slows targets in Area of Effect by 49.8%',0,1),
(63162,440043,7,100,'Interrupts targets in Area of Effect',0,0),
(63163,440043,7,100,'Slows targets in Area of Effect by 63.9%',0,1),
(63164,440043,9,100,'Interrupts targets in Area of Effect',0,0),
(63165,440043,9,100,'Slows targets in Area of Effect by 66.4%',0,1),
(63166,440044,1,100,'Interrupts targets in Area of Effect',0,0),
(63167,440044,1,100,'Slows targets in Area of Effect by 35.5%',0,1),
(63168,440044,4,100,'Interrupts targets in Area of Effect',0,0),
(63169,440044,4,100,'Slows targets in Area of Effect by 43.3%',0,1),
(63170,440044,5,100,'Interrupts targets in Area of Effect',0,0),
(63171,440044,5,100,'Slows targets in Area of Effect by 47.3%',0,1),
(63172,440044,7,100,'Interrupts targets in Area of Effect',0,0),
(63173,440044,7,100,'Slows targets in Area of Effect by 60.7%',0,1),
(63174,440044,9,100,'Interrupts targets in Area of Effect',0,0),
(63175,440044,9,100,'Slows targets in Area of Effect by 63.0%',0,1),
(63176,440045,1,100,'Interrupts targets in Area of Effect',0,0),
(63177,440045,1,100,'Slows targets in Area of Effect by 36.3%',0,1),
(63178,440045,4,100,'Interrupts targets in Area of Effect',0,0),
(63179,440045,4,100,'Slows targets in Area of Effect by 44.3%',0,1),
(63180,440045,5,100,'Interrupts targets in Area of Effect',0,0),
(63181,440045,5,100,'Slows targets in Area of Effect by 48.3%',0,1),
(63182,440045,7,100,'Interrupts targets in Area of Effect',0,0),
(63183,440045,7,100,'Slows targets in Area of Effect by 62.0%',0,1),
(63184,440045,9,100,'Interrupts targets in Area of Effect',0,0),
(63185,440045,9,100,'Slows targets in Area of Effect by 64.4%',0,1),
(63186,440046,1,100,'Interrupts targets in Area of Effect',0,0),
(63187,440046,1,100,'Slows targets in Area of Effect by 36.6%',0,1),
(63188,440046,4,100,'Interrupts targets in Area of Effect',0,0),
(63189,440046,4,100,'Slows targets in Area of Effect by 44.7%',0,1),
(63190,440046,5,100,'Interrupts targets in Area of Effect',0,0),
(63191,440046,5,100,'Slows targets in Area of Effect by 48.8%',0,1),
(63192,440046,7,100,'Interrupts targets in Area of Effect',0,0),
(63193,440046,7,100,'Slows targets in Area of Effect by 62.6%',0,1),
(63194,440046,9,100,'Interrupts targets in Area of Effect',0,0),
(63195,440046,9,100,'Slows targets in Area of Effect by 65.1%',0,1),
(63196,440046,10,100,'Interrupts targets in Area of Effect',0,0),
(63197,440046,10,100,'Slows targets in Area of Effect by 68.3%',0,1),
(63198,440047,1,100,'Interrupts targets in Area of Effect',0,0),
(63199,440047,1,100,'Slows targets in Area of Effect by 37.0%',0,1),
(63200,440047,4,100,'Interrupts targets in Area of Effect',0,0),
(63201,440047,4,100,'Slows targets in Area of Effect by 45.2%',0,1),
(63202,440047,5,100,'Interrupts targets in Area of Effect',0,0),
(63203,440047,5,100,'Slows targets in Area of Effect by 49.3%',0,1),
(63204,440047,7,100,'Interrupts targets in Area of Effect',0,0),
(63205,440047,7,100,'Slows targets in Area of Effect by 63.3%',0,1),
(63206,440047,9,100,'Interrupts targets in Area of Effect',0,0),
(63207,440047,9,100,'Slows targets in Area of Effect by 65.7%',0,1),
(63208,440048,1,100,'Interrupts targets in Area of Effect',0,0),
(63209,440048,1,100,'Slows targets in Area of Effect by 37.7%',0,1),
(63210,440048,4,100,'Interrupts targets in Area of Effect',0,0),
(63211,440048,4,100,'Slows targets in Area of Effect by 46.1%',0,1),
(63212,440048,5,100,'Interrupts targets in Area of Effect',0,0),
(63213,440048,5,100,'Slows targets in Area of Effect by 50.3%',0,1),
(63214,440048,7,100,'Interrupts targets in Area of Effect',0,0),
(63215,440048,7,100,'Slows targets in Area of Effect by 64.5%',0,1),
(63216,440048,9,100,'Interrupts targets in Area of Effect',0,0),
(63217,440048,9,100,'Slows targets in Area of Effect by 67.0%',0,1),
(63218,380010,1,100,'Inflicts 82 - 137 melee damage on target',0,0),
(63219,380010,1,100,'You must be sneaking to use this ability.',0,1),
(63220,380010,1,100,'Must be flanking or behind',0,2),
(63221,380010,2,100,'Inflicts 87 - 145 melee damage on target',0,0),
(63222,380010,2,100,'You must be sneaking to use this ability.',0,1),
(63223,380010,2,100,'Must be flanking or behind',0,2),
(63224,380010,3,100,'Inflicts 91 - 152 melee damage on target',0,0),
(63225,380010,3,100,'You must be sneaking to use this ability.',0,1),
(63226,380010,3,100,'Must be flanking or behind',0,2),
(63227,380010,4,100,'Inflicts 100 - 168 melee damage on target',0,0),
(63228,380010,4,100,'You must be sneaking to use this ability.',0,1),
(63229,380010,4,100,'Must be flanking or behind',0,2),
(63230,380010,5,100,'Inflicts 110 - 183 melee damage on target',0,0),
(63231,380010,5,100,'You must be sneaking to use this ability.',0,1),
(63232,380010,5,100,'Must be flanking or behind',0,2),
(63233,380010,7,100,'Inflicts 141 - 235 melee damage on target',0,0),
(63234,380010,7,100,'You must be sneaking to use this ability.',0,1),
(63235,380010,7,100,'Must be flanking or behind',0,2),
(63236,380010,9,100,'Inflicts 146 - 244 melee damage on target',0,0),
(63237,380010,9,100,'You must be sneaking to use this ability.',0,1),
(63238,380010,9,100,'Must be flanking or behind',0,2),
(63239,440049,1,100,'Teleports the caster up to 15 meters backwards from their current location. This ability can fail if the ground is uneven or there are objects are behind the caster.',0,0),
(63240,420091,9,100,'Inflicts 912 - 1520 melee damage on target',0,0),
(63241,420091,9,100,'The effect of this ability grows based on Savagery and Feral Rampage level.',0,1),
(63242,420091,9,100,'You must be in stealth.',0,2),
(63243,420091,9,100,'You must have your warder active to use this ability.',0,3),
(63244,320017,1,100,'Applies Lie Low on termination.  Lasts for 12 hours.',0,0),
(63245,320017,1,100,'Grants stealth to caster',1,1),
(63246,320017,1,100,'Suspends caster''s movement speed enhancements',1,2),
(63247,320017,1,100,'Decreases threat priority of target by 1 position',0,3),
(63248,320017,1,100,'Decreases Threat to target by 1,025 ',0,4),
(63249,320017,2,100,'Applies Lie Low on termination.  Lasts for 12 hours.',0,0),
(63250,320017,2,100,'Grants stealth to caster',1,1),
(63251,320017,2,100,'Suspends caster''s movement speed enhancements',1,2),
(63252,320017,2,100,'Decreases threat priority of target by 1 position',0,3),
(63253,320017,2,100,'Decreases Threat to target by 1,082 ',0,4),
(63254,320017,3,100,'Applies Lie Low on termination.  Lasts for 12 hours.',0,0),
(63255,320017,3,100,'Grants stealth to caster',1,1),
(63256,320017,3,100,'Suspends caster''s movement speed enhancements',1,2),
(63257,320017,3,100,'Decreases threat priority of target by 1 position',0,3),
(63258,320017,3,100,'Decreases Threat to target by 1,140 ',0,4),
(63259,320017,4,100,'Applies Lie Low on termination.  Lasts for 12 hours.',0,0),
(63260,320017,4,100,'Grants stealth to caster',1,1),
(63261,320017,4,100,'Suspends caster''s movement speed enhancements',1,2),
(63262,320017,4,100,'Decreases threat priority of target by 1 position',0,3),
(63263,320017,4,100,'Decreases Threat to target by 1,254 ',0,4),
(63264,320017,5,100,'Applies Lie Low on termination.  Lasts for 12 hours.',0,0),
(63265,320017,5,100,'Grants stealth to caster',1,1),
(63266,320017,5,100,'Suspends caster''s movement speed enhancements',1,2),
(63267,320017,5,100,'Decreases threat priority of target by 1 position',0,3),
(63268,320017,5,100,'Decreases Threat to target by 1,368 ',0,4),
(63269,320017,7,100,'Applies Lie Low on termination.  Lasts for 12 hours.',0,0),
(63270,320017,7,100,'Grants stealth to caster',1,1),
(63271,320017,7,100,'Suspends caster''s movement speed enhancements',1,2),
(63272,320017,7,100,'Decreases threat priority of target by 1 position',0,3),
(63273,320017,7,100,'Decreases Threat to target by 1,755 ',0,4),
(63274,320017,9,100,'Applies Lie Low on termination.  Lasts for 12 hours.',0,0),
(63275,320017,9,100,'Grants stealth to caster',1,1),
(63276,320017,9,100,'Suspends caster''s movement speed enhancements',1,2),
(63277,320017,9,100,'Decreases threat priority of target by 1 position',0,3),
(63278,320017,9,100,'Decreases Threat to target by 1,824 ',0,4),
(63279,320018,1,100,'Applies Lie Low on termination.  Lasts for 12 hours.',0,0),
(63280,320018,1,100,'Grants stealth to caster',1,1),
(63281,320018,1,100,'Suspends caster''s movement speed enhancements',1,2),
(63282,320018,1,100,'Decreases threat priority of target by 1 position',0,3),
(63283,320018,1,100,'Decreases Threat to target by 1,974 ',0,4),
(63284,320018,2,100,'Applies Lie Low on termination.  Lasts for 12 hours.',0,0),
(63285,320018,2,100,'Grants stealth to caster',1,1),
(63286,320018,2,100,'Suspends caster''s movement speed enhancements',1,2),
(63287,320018,2,100,'Decreases threat priority of target by 1 position',0,3),
(63288,320018,2,100,'Decreases Threat to target by 2,083 ',0,4),
(63289,320018,3,100,'Applies Lie Low on termination.  Lasts for 12 hours.',0,0),
(63290,320018,3,100,'Grants stealth to caster',1,1),
(63291,320018,3,100,'Suspends caster''s movement speed enhancements',1,2),
(63292,320018,3,100,'Decreases threat priority of target by 1 position',0,3),
(63293,320018,3,100,'Decreases Threat to target by 2,193 ',0,4),
(63294,320018,4,100,'Applies Lie Low on termination.  Lasts for 12 hours.',0,0),
(63295,320018,4,100,'Grants stealth to caster',1,1),
(63296,320018,4,100,'Suspends caster''s movement speed enhancements',1,2),
(63297,320018,4,100,'Decreases threat priority of target by 1 position',0,3),
(63298,320018,4,100,'Decreases Threat to target by 2,412 ',0,4),
(63299,320018,5,100,'Applies Lie Low on termination.  Lasts for 12 hours.',0,0),
(63300,320018,5,100,'Grants stealth to caster',1,1),
(63301,320018,5,100,'Suspends caster''s movement speed enhancements',1,2),
(63302,320018,5,100,'Decreases threat priority of target by 1 position',0,3),
(63303,320018,5,100,'Decreases Threat to target by 2,632 ',0,4),
(63304,320018,7,100,'Applies Lie Low on termination.  Lasts for 12 hours.',0,0),
(63305,320018,7,100,'Grants stealth to caster',1,1),
(63306,320018,7,100,'Suspends caster''s movement speed enhancements',1,2),
(63307,320018,7,100,'Decreases threat priority of target by 1 position',0,3),
(63308,320018,7,100,'Decreases Threat to target by 3,378 ',0,4),
(63309,320018,9,100,'Applies Lie Low on termination.  Lasts for 12 hours.',0,0),
(63310,320018,9,100,'Grants stealth to caster',1,1),
(63311,320018,9,100,'Suspends caster''s movement speed enhancements',1,2),
(63312,320018,9,100,'Decreases threat priority of target by 1 position',0,3),
(63313,320018,9,100,'Decreases Threat to target by 3,509 ',0,4),
(63314,320019,1,100,'Applies Lie Low on termination.  Lasts for 12 hours.',0,0),
(63315,320019,1,100,'Grants stealth to caster',1,1),
(63316,320019,1,100,'Suspends caster''s movement speed enhancements',1,2),
(63317,320019,1,100,'Decreases threat priority of target by 1 position',0,3),
(63318,320019,1,100,'Decreases Threat to target by 3,104 ',0,4),
(63319,320019,2,100,'Applies Lie Low on termination.  Lasts for 12 hours.',0,0),
(63320,320019,2,100,'Grants stealth to caster',1,1),
(63321,320019,2,100,'Suspends caster''s movement speed enhancements',1,2),
(63322,320019,2,100,'Decreases threat priority of target by 1 position',0,3),
(63323,320019,2,100,'Decreases Threat to target by 3,276 ',0,4),
(63324,320019,3,100,'Applies Lie Low on termination.  Lasts for 12 hours.',0,0),
(63325,320019,3,100,'Grants stealth to caster',1,1),
(63326,320019,3,100,'Suspends caster''s movement speed enhancements',1,2),
(63327,320019,3,100,'Decreases threat priority of target by 1 position',0,3),
(63328,320019,3,100,'Decreases Threat to target by 3,449 ',0,4),
(63329,320019,4,100,'Applies Lie Low on termination.  Lasts for 12 hours.',0,0),
(63330,320019,4,100,'Grants stealth to caster',1,1),
(63331,320019,4,100,'Suspends caster''s movement speed enhancements',1,2),
(63332,320019,4,100,'Decreases threat priority of target by 1 position',0,3),
(63333,320019,4,100,'Decreases Threat to target by 3,794 ',0,4),
(63334,320019,5,100,'Applies Lie Low on termination.  Lasts for 12 hours.',0,0),
(63335,320019,5,100,'Grants stealth to caster',1,1),
(63336,320019,5,100,'Suspends caster''s movement speed enhancements',1,2),
(63337,320019,5,100,'Decreases threat priority of target by 1 position',0,3),
(63338,320019,5,100,'Decreases Threat to target by 4,139 ',0,4),
(63339,320019,7,100,'Applies Lie Low on termination.  Lasts for 12 hours.',0,0),
(63340,320019,7,100,'Grants stealth to caster',1,1),
(63341,320019,7,100,'Suspends caster''s movement speed enhancements',1,2),
(63342,320019,7,100,'Decreases threat priority of target by 1 position',0,3),
(63343,320019,7,100,'Decreases Threat to target by 5,312 ',0,4),
(63344,320019,9,100,'Applies Lie Low on termination.  Lasts for 12 hours.',0,0),
(63345,320019,9,100,'Grants stealth to caster',1,1),
(63346,320019,9,100,'Suspends caster''s movement speed enhancements',1,2),
(63347,320019,9,100,'Decreases threat priority of target by 1 position',0,3),
(63348,320019,9,100,'Decreases Threat to target by 5,519 ',0,4),
(63349,320020,1,100,'Applies Lie Low on termination.  Lasts for 12 hours.',0,0),
(63350,320020,1,100,'Grants stealth to caster',1,1),
(63351,320020,1,100,'Suspends caster''s movement speed enhancements',1,2),
(63352,320020,1,100,'Decreases threat priority of target by 1 position',0,3),
(63353,320020,1,100,'Decreases Threat to target by 4,417 ',0,4),
(63354,320020,2,100,'Applies Lie Low on termination.  Lasts for 12 hours.',0,0),
(63355,320020,2,100,'Grants stealth to caster',1,1),
(63356,320020,2,100,'Suspends caster''s movement speed enhancements',1,2),
(63357,320020,2,100,'Decreases threat priority of target by 1 position',0,3),
(63358,320020,2,100,'Decreases Threat to target by 4,662 ',0,4),
(63359,320020,3,100,'Applies Lie Low on termination.  Lasts for 12 hours.',0,0),
(63360,320020,3,100,'Grants stealth to caster',1,1),
(63361,320020,3,100,'Suspends caster''s movement speed enhancements',1,2),
(63362,320020,3,100,'Decreases threat priority of target by 1 position',0,3),
(63363,320020,3,100,'Decreases Threat to target by 4,908 ',0,4),
(63364,320020,4,100,'Applies Lie Low on termination.  Lasts for 12 hours.',0,0),
(63365,320020,4,100,'Grants stealth to caster',1,1),
(63366,320020,4,100,'Suspends caster''s movement speed enhancements',1,2),
(63367,320020,4,100,'Decreases threat priority of target by 1 position',0,3),
(63368,320020,4,100,'Decreases Threat to target by 5,398 ',0,4),
(63369,320020,5,100,'Applies Lie Low on termination.  Lasts for 12 hours.',0,0),
(63370,320020,5,100,'Grants stealth to caster',1,1),
(63371,320020,5,100,'Suspends caster''s movement speed enhancements',1,2),
(63372,320020,5,100,'Decreases threat priority of target by 1 position',0,3),
(63373,320020,5,100,'Decreases Threat to target by 5,889 ',0,4),
(63374,320020,7,100,'Applies Lie Low on termination.  Lasts for 12 hours.',0,0),
(63375,320020,7,100,'Grants stealth to caster',1,1),
(63376,320020,7,100,'Suspends caster''s movement speed enhancements',1,2),
(63377,320020,7,100,'Decreases threat priority of target by 1 position',0,3),
(63378,320020,7,100,'Decreases Threat to target by 7,558 ',0,4),
(63379,320020,9,100,'Applies Lie Low on termination.  Lasts for 12 hours.',0,0),
(63380,320020,9,100,'Grants stealth to caster',1,1),
(63381,320020,9,100,'Suspends caster''s movement speed enhancements',1,2),
(63382,320020,9,100,'Decreases threat priority of target by 1 position',0,3),
(63383,320020,9,100,'Decreases Threat to target by 7,852 ',0,4),
(63384,2000231,1,100,'Inflicts 6304 - 11708 poison damage on target',0,0),
(63385,2000231,1,100,'If the assassin is over 10 meters away, they teleport to the target.',0,1),
(63386,2000232,1,100,'Caster will Riposte 100.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',0,0),
(63387,2000232,1,100,'Improves spell damage by 20%',0,1),
(63388,2000232,1,100,'Prevents caster from being Interrupted',0,2),
(63389,2000232,1,100,'Makes caster immune to strikethrough attacks.',0,3),
(63390,2000232,1,100,'On any combat or spell hit this spell will cast Shadowknight''s Furor on target of attack.  ',0,4),
(63391,2000232,1,100,'Increases Threat to target by 8,828 - 12,997 ',1,5),
(63392,420092,1,100,'Inflicts 306 - 510 melee damage on target',0,0),
(63393,420092,1,100,'The effect of this ability grows based on Savagery and Feral Rampage level.',0,1),
(63394,420092,1,100,'Increases Potency by 20-44%',0,2),
(63395,420092,1,100,'You must have your warder active to use this ability.',0,3),
(63396,330133,1,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63397,330133,1,100,'Throws target back',1,1),
(63398,330133,1,100,'Blurs vision of target',1,2),
(63399,330133,1,100,'Stuns target',1,3),
(63400,330133,1,100,'Does not affect Epic targets',1,4),
(63401,330133,1,100,'Inflicts 8 - 14 melee damage on target',0,5),
(63402,330133,1,100,'You must be sneaking to use this ability.',0,6),
(63403,330133,2,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63404,330133,2,100,'Throws target back',1,1),
(63405,330133,2,100,'Blurs vision of target',1,2),
(63406,330133,2,100,'Stuns target',1,3),
(63407,330133,2,100,'Does not affect Epic targets',1,4),
(63408,330133,2,100,'Inflicts 9 - 15 melee damage on target',0,5),
(63409,330133,2,100,'You must be sneaking to use this ability.',0,6),
(63410,330133,3,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63411,330133,3,100,'Throws target back',1,1),
(63412,330133,3,100,'Blurs vision of target',1,2),
(63413,330133,3,100,'Stuns target',1,3),
(63414,330133,3,100,'Does not affect Epic targets',1,4),
(63415,330133,3,100,'Inflicts 9 - 15 melee damage on target',0,5),
(63416,330133,3,100,'You must be sneaking to use this ability.',0,6),
(63417,330133,4,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63418,330133,4,100,'Throws target back',1,1),
(63419,330133,4,100,'Blurs vision of target',1,2),
(63420,330133,4,100,'Stuns target',1,3),
(63421,330133,4,100,'Does not affect Epic targets',1,4),
(63422,330133,4,100,'Inflicts 10 - 17 melee damage on target',0,5),
(63423,330133,4,100,'You must be sneaking to use this ability.',0,6),
(63424,330133,5,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63425,330133,5,100,'Throws target back',1,1),
(63426,330133,5,100,'Blurs vision of target',1,2),
(63427,330133,5,100,'Stuns target',1,3),
(63428,330133,5,100,'Does not affect Epic targets',1,4),
(63429,330133,5,100,'Inflicts 11 - 19 melee damage on target',0,5),
(63430,330133,5,100,'You must be sneaking to use this ability.',0,6),
(63431,330133,7,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63432,330133,7,100,'Throws target back',1,1),
(63433,330133,7,100,'Blurs vision of target',1,2),
(63434,330133,7,100,'Stuns target',1,3),
(63435,330133,7,100,'Does not affect Epic targets',1,4),
(63436,330133,7,100,'Inflicts 14 - 24 melee damage on target',0,5),
(63437,330133,7,100,'You must be sneaking to use this ability.',0,6),
(63438,330133,9,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63439,330133,9,100,'Throws target back',1,1),
(63440,330133,9,100,'Blurs vision of target',1,2),
(63441,330133,9,100,'Stuns target',1,3),
(63442,330133,9,100,'Does not affect Epic targets',1,4),
(63443,330133,9,100,'Inflicts 15 - 25 melee damage on target',0,5),
(63444,330133,9,100,'You must be sneaking to use this ability.',0,6),
(63445,330134,1,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63446,330134,1,100,'Throws target back',1,1),
(63447,330134,1,100,'Blurs vision of target',1,2),
(63448,330134,1,100,'Stuns target',1,3),
(63449,330134,1,100,'Does not affect Epic targets',1,4),
(63450,330134,1,100,'Inflicts 33 - 56 melee damage on target',0,5),
(63451,330134,1,100,'You must be sneaking to use this ability.',0,6),
(63452,330134,2,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63453,330134,2,100,'Throws target back',1,1),
(63454,330134,2,100,'Blurs vision of target',1,2),
(63455,330134,2,100,'Stuns target',1,3),
(63456,330134,2,100,'Does not affect Epic targets',1,4),
(63457,330134,2,100,'Inflicts 35 - 59 melee damage on target',0,5),
(63458,330134,2,100,'You must be sneaking to use this ability.',0,6),
(63459,330134,3,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63460,330134,3,100,'Throws target back',1,1),
(63461,330134,3,100,'Blurs vision of target',1,2),
(63462,330134,3,100,'Stuns target',1,3),
(63463,330134,3,100,'Does not affect Epic targets',1,4),
(63464,330134,3,100,'Inflicts 37 - 62 melee damage on target',0,5),
(63465,330134,3,100,'You must be sneaking to use this ability.',0,6),
(63466,330134,4,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63467,330134,4,100,'Throws target back',1,1),
(63468,330134,4,100,'Blurs vision of target',1,2),
(63469,330134,4,100,'Stuns target',1,3),
(63470,330134,4,100,'Does not affect Epic targets',1,4),
(63471,330134,4,100,'Inflicts 41 - 68 melee damage on target',0,5),
(63472,330134,4,100,'You must be sneaking to use this ability.',0,6),
(63473,330134,5,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63474,330134,5,100,'Throws target back',1,1),
(63475,330134,5,100,'Blurs vision of target',1,2),
(63476,330134,5,100,'Stuns target',1,3),
(63477,330134,5,100,'Does not affect Epic targets',1,4),
(63478,330134,5,100,'Inflicts 45 - 75 melee damage on target',0,5),
(63479,330134,5,100,'You must be sneaking to use this ability.',0,6),
(63480,330134,7,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63481,330134,7,100,'Throws target back',1,1),
(63482,330134,7,100,'Blurs vision of target',1,2),
(63483,330134,7,100,'Stuns target',1,3),
(63484,330134,7,100,'Does not affect Epic targets',1,4),
(63485,330134,7,100,'Inflicts 57 - 96 melee damage on target',0,5),
(63486,330134,7,100,'You must be sneaking to use this ability.',0,6),
(63487,330134,9,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63488,330134,9,100,'Throws target back',1,1),
(63489,330134,9,100,'Blurs vision of target',1,2),
(63490,330134,9,100,'Stuns target',1,3),
(63491,330134,9,100,'Does not affect Epic targets',1,4),
(63492,330134,9,100,'Inflicts 60 - 100 melee damage on target',0,5),
(63493,330134,9,100,'You must be sneaking to use this ability.',0,6),
(63494,330135,1,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63495,330135,1,100,'Throws target back',1,1),
(63496,330135,1,100,'Blurs vision of target',1,2),
(63497,330135,1,100,'Stuns target',1,3),
(63498,330135,1,100,'Does not affect Epic targets',1,4),
(63499,330135,1,100,'Inflicts 77 - 129 melee damage on target',0,5),
(63500,330135,1,100,'You must be sneaking to use this ability.',0,6),
(63501,330135,2,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63502,330135,2,100,'Throws target back',1,1),
(63503,330135,2,100,'Blurs vision of target',1,2),
(63504,330135,2,100,'Stuns target',1,3),
(63505,330135,2,100,'Does not affect Epic targets',1,4),
(63506,330135,2,100,'Inflicts 82 - 136 melee damage on target',0,5),
(63507,330135,2,100,'You must be sneaking to use this ability.',0,6),
(63508,330135,3,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63509,330135,3,100,'Throws target back',1,1),
(63510,330135,3,100,'Blurs vision of target',1,2),
(63511,330135,3,100,'Stuns target',1,3),
(63512,330135,3,100,'Does not affect Epic targets',1,4),
(63513,330135,3,100,'Inflicts 86 - 143 melee damage on target',0,5),
(63514,330135,3,100,'You must be sneaking to use this ability.',0,6),
(63515,330135,4,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63516,330135,4,100,'Throws target back',1,1),
(63517,330135,4,100,'Blurs vision of target',1,2),
(63518,330135,4,100,'Stuns target',1,3),
(63519,330135,4,100,'Does not affect Epic targets',1,4),
(63520,330135,4,100,'Inflicts 95 - 158 melee damage on target',0,5),
(63521,330135,4,100,'You must be sneaking to use this ability.',0,6),
(63522,330135,5,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63523,330135,5,100,'Throws target back',1,1),
(63524,330135,5,100,'Blurs vision of target',1,2),
(63525,330135,5,100,'Stuns target',1,3),
(63526,330135,5,100,'Does not affect Epic targets',1,4),
(63527,330135,5,100,'Inflicts 103 - 172 melee damage on target',0,5),
(63528,330135,5,100,'You must be sneaking to use this ability.',0,6),
(63529,330135,7,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63530,330135,7,100,'Throws target back',1,1),
(63531,330135,7,100,'Blurs vision of target',1,2),
(63532,330135,7,100,'Stuns target',1,3),
(63533,330135,7,100,'Does not affect Epic targets',1,4),
(63534,330135,7,100,'Inflicts 133 - 221 melee damage on target',0,5),
(63535,330135,7,100,'You must be sneaking to use this ability.',0,6),
(63536,330135,9,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63537,330135,9,100,'Throws target back',1,1),
(63538,330135,9,100,'Blurs vision of target',1,2),
(63539,330135,9,100,'Stuns target',1,3),
(63540,330135,9,100,'Does not affect Epic targets',1,4),
(63541,330135,9,100,'Inflicts 138 - 230 melee damage on target',0,5),
(63542,330135,9,100,'You must be sneaking to use this ability.',0,6),
(63543,330135,10,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63544,330135,10,100,'Throws target back',1,1),
(63545,330135,10,100,'Blurs vision of target',1,2),
(63546,330135,10,100,'Stuns target',1,3),
(63547,330135,10,100,'Does not affect Epic targets',1,4),
(63548,330135,10,100,'Inflicts 145 - 241 melee damage on target',0,5),
(63549,330135,10,100,'You must be sneaking to use this ability.',0,6),
(63550,330136,1,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63551,330136,1,100,'Throws target back',1,1),
(63552,330136,1,100,'Blurs vision of target',1,2),
(63553,330136,1,100,'Stuns target',1,3),
(63554,330136,1,100,'Does not affect Epic targets',1,4),
(63555,330136,1,100,'Inflicts 138 - 230 melee damage on target',0,5),
(63556,330136,1,100,'You must be sneaking to use this ability.',0,6),
(63557,330136,2,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63558,330136,2,100,'Throws target back',1,1),
(63559,330136,2,100,'Blurs vision of target',1,2),
(63560,330136,2,100,'Stuns target',1,3),
(63561,330136,2,100,'Does not affect Epic targets',1,4),
(63562,330136,2,100,'Inflicts 145 - 243 melee damage on target',0,5),
(63563,330136,2,100,'You must be sneaking to use this ability.',0,6),
(63564,330136,3,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63565,330136,3,100,'Throws target back',1,1),
(63566,330136,3,100,'Blurs vision of target',1,2),
(63567,330136,3,100,'Stuns target',1,3),
(63568,330136,3,100,'Does not affect Epic targets',1,4),
(63569,330136,3,100,'Inflicts 153 - 256 melee damage on target',0,5),
(63570,330136,3,100,'You must be sneaking to use this ability.',0,6),
(63571,330136,4,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63572,330136,4,100,'Throws target back',1,1),
(63573,330136,4,100,'Blurs vision of target',1,2),
(63574,330136,4,100,'Stuns target',1,3),
(63575,330136,4,100,'Does not affect Epic targets',1,4),
(63576,330136,4,100,'Inflicts 169 - 281 melee damage on target',0,5),
(63577,330136,4,100,'You must be sneaking to use this ability.',0,6),
(63578,330136,5,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63579,330136,5,100,'Throws target back',1,1),
(63580,330136,5,100,'Blurs vision of target',1,2),
(63581,330136,5,100,'Stuns target',1,3),
(63582,330136,5,100,'Does not affect Epic targets',1,4),
(63583,330136,5,100,'Inflicts 184 - 307 melee damage on target',0,5),
(63584,330136,5,100,'You must be sneaking to use this ability.',0,6),
(63585,330136,7,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63586,330136,7,100,'Throws target back',1,1),
(63587,330136,7,100,'Blurs vision of target',1,2),
(63588,330136,7,100,'Stuns target',1,3),
(63589,330136,7,100,'Does not affect Epic targets',1,4),
(63590,330136,7,100,'Inflicts 236 - 394 melee damage on target',0,5),
(63591,330136,7,100,'You must be sneaking to use this ability.',0,6),
(63592,330136,9,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63593,330136,9,100,'Throws target back',1,1),
(63594,330136,9,100,'Blurs vision of target',1,2),
(63595,330136,9,100,'Stuns target',1,3),
(63596,330136,9,100,'Does not affect Epic targets',1,4),
(63597,330136,9,100,'Inflicts 245 - 409 melee damage on target',0,5),
(63598,330136,9,100,'You must be sneaking to use this ability.',0,6),
(63599,330137,1,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63600,330137,1,100,'Throws target back',1,1),
(63601,330137,1,100,'Blurs vision of target',1,2),
(63602,330137,1,100,'Stuns target',1,3),
(63603,330137,1,100,'Does not affect Epic targets',1,4),
(63604,330137,1,100,'Inflicts 484 - 806 melee damage on target',0,5),
(63605,330137,1,100,'You must be sneaking to use this ability.',0,6),
(63606,330137,4,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63607,330137,4,100,'Throws target back',1,1),
(63608,330137,4,100,'Blurs vision of target',1,2),
(63609,330137,4,100,'Stuns target',1,3),
(63610,330137,4,100,'Does not affect Epic targets',1,4),
(63611,330137,4,100,'Inflicts 591 - 986 melee damage on target',0,5),
(63612,330137,4,100,'You must be sneaking to use this ability.',0,6),
(63613,330137,5,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63614,330137,5,100,'Throws target back',1,1),
(63615,330137,5,100,'Blurs vision of target',1,2),
(63616,330137,5,100,'Stuns target',1,3),
(63617,330137,5,100,'Does not affect Epic targets',1,4),
(63618,330137,5,100,'Inflicts 645 - 1075 melee damage on target',0,5),
(63619,330137,5,100,'You must be sneaking to use this ability.',0,6),
(63620,330137,7,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63621,330137,7,100,'Throws target back',1,1),
(63622,330137,7,100,'Blurs vision of target',1,2),
(63623,330137,7,100,'Stuns target',1,3),
(63624,330137,7,100,'Does not affect Epic targets',1,4),
(63625,330137,7,100,'Inflicts 828 - 1380 melee damage on target',0,5),
(63626,330137,7,100,'You must be sneaking to use this ability.',0,6),
(63627,330137,9,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63628,330137,9,100,'Throws target back',1,1),
(63629,330137,9,100,'Blurs vision of target',1,2),
(63630,330137,9,100,'Stuns target',1,3),
(63631,330137,9,100,'Does not affect Epic targets',1,4),
(63632,330137,9,100,'Inflicts 860 - 1434 melee damage on target',0,5),
(63633,330137,9,100,'You must be sneaking to use this ability.',0,6),
(63634,330137,10,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63635,330137,10,100,'Throws target back',1,1),
(63636,330137,10,100,'Blurs vision of target',1,2),
(63637,330137,10,100,'Stuns target',1,3),
(63638,330137,10,100,'Does not affect Epic targets',1,4),
(63639,330137,10,100,'Inflicts 903 - 1506 melee damage on target',0,5),
(63640,330137,10,100,'You must be sneaking to use this ability.',0,6),
(63641,330138,1,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63642,330138,1,100,'Throws target back',1,1),
(63643,330138,1,100,'Blurs vision of target',1,2),
(63644,330138,1,100,'Stuns target',1,3),
(63645,330138,1,100,'Does not affect Epic targets',1,4),
(63646,330138,1,100,'Inflicts 208 - 347 melee damage on target',0,5),
(63647,330138,1,100,'You must be sneaking to use this ability.',0,6),
(63648,330138,2,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63649,330138,2,100,'Throws target back',1,1),
(63650,330138,2,100,'Blurs vision of target',1,2),
(63651,330138,2,100,'Stuns target',1,3),
(63652,330138,2,100,'Does not affect Epic targets',1,4),
(63653,330138,2,100,'Inflicts 220 - 366 melee damage on target',0,5),
(63654,330138,2,100,'You must be sneaking to use this ability.',0,6),
(63655,330138,3,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63656,330138,3,100,'Throws target back',1,1),
(63657,330138,3,100,'Blurs vision of target',1,2),
(63658,330138,3,100,'Stuns target',1,3),
(63659,330138,3,100,'Does not affect Epic targets',1,4),
(63660,330138,3,100,'Inflicts 231 - 386 melee damage on target',0,5),
(63661,330138,3,100,'You must be sneaking to use this ability.',0,6),
(63662,330138,4,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63663,330138,4,100,'Throws target back',1,1),
(63664,330138,4,100,'Blurs vision of target',1,2),
(63665,330138,4,100,'Stuns target',1,3),
(63666,330138,4,100,'Does not affect Epic targets',1,4),
(63667,330138,4,100,'Inflicts 254 - 424 melee damage on target',0,5),
(63668,330138,4,100,'You must be sneaking to use this ability.',0,6),
(63669,330138,5,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63670,330138,5,100,'Throws target back',1,1),
(63671,330138,5,100,'Blurs vision of target',1,2),
(63672,330138,5,100,'Stuns target',1,3),
(63673,330138,5,100,'Does not affect Epic targets',1,4),
(63674,330138,5,100,'Inflicts 278 - 463 melee damage on target',0,5),
(63675,330138,5,100,'You must be sneaking to use this ability.',0,6),
(63676,330138,7,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63677,330138,7,100,'Throws target back',1,1),
(63678,330138,7,100,'Blurs vision of target',1,2),
(63679,330138,7,100,'Stuns target',1,3),
(63680,330138,7,100,'Does not affect Epic targets',1,4),
(63681,330138,7,100,'Inflicts 356 - 594 melee damage on target',0,5),
(63682,330138,7,100,'You must be sneaking to use this ability.',0,6),
(63683,330138,9,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63684,330138,9,100,'Throws target back',1,1),
(63685,330138,9,100,'Blurs vision of target',1,2),
(63686,330138,9,100,'Stuns target',1,3),
(63687,330138,9,100,'Does not affect Epic targets',1,4),
(63688,330138,9,100,'Inflicts 370 - 618 melee damage on target',0,5),
(63689,330138,9,100,'You must be sneaking to use this ability.',0,6),
(63690,330139,1,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63691,330139,1,100,'Throws target back',1,1),
(63692,330139,1,100,'Blurs vision of target',1,2),
(63693,330139,1,100,'Stuns target',1,3),
(63694,330139,1,100,'Does not affect Epic targets',1,4),
(63695,330139,1,100,'Inflicts 284 - 473 melee damage on target',0,5),
(63696,330139,1,100,'You must be sneaking to use this ability.',0,6),
(63697,330139,2,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63698,330139,2,100,'Throws target back',1,1),
(63699,330139,2,100,'Blurs vision of target',1,2),
(63700,330139,2,100,'Stuns target',1,3),
(63701,330139,2,100,'Does not affect Epic targets',1,4),
(63702,330139,2,100,'Inflicts 300 - 500 melee damage on target',0,5),
(63703,330139,2,100,'You must be sneaking to use this ability.',0,6),
(63704,330139,3,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63705,330139,3,100,'Throws target back',1,1),
(63706,330139,3,100,'Blurs vision of target',1,2),
(63707,330139,3,100,'Stuns target',1,3),
(63708,330139,3,100,'Does not affect Epic targets',1,4),
(63709,330139,3,100,'Inflicts 315 - 526 melee damage on target',0,5),
(63710,330139,3,100,'You must be sneaking to use this ability.',0,6),
(63711,330139,4,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63712,330139,4,100,'Throws target back',1,1),
(63713,330139,4,100,'Blurs vision of target',1,2),
(63714,330139,4,100,'Stuns target',1,3),
(63715,330139,4,100,'Does not affect Epic targets',1,4),
(63716,330139,4,100,'Inflicts 347 - 579 melee damage on target',0,5),
(63717,330139,4,100,'You must be sneaking to use this ability.',0,6),
(63718,330139,5,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63719,330139,5,100,'Throws target back',1,1),
(63720,330139,5,100,'Blurs vision of target',1,2),
(63721,330139,5,100,'Stuns target',1,3),
(63722,330139,5,100,'Does not affect Epic targets',1,4),
(63723,330139,5,100,'Inflicts 379 - 631 melee damage on target',0,5),
(63724,330139,5,100,'You must be sneaking to use this ability.',0,6),
(63725,330139,7,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63726,330139,7,100,'Throws target back',1,1),
(63727,330139,7,100,'Blurs vision of target',1,2),
(63728,330139,7,100,'Stuns target',1,3),
(63729,330139,7,100,'Does not affect Epic targets',1,4),
(63730,330139,7,100,'Inflicts 486 - 810 melee damage on target',0,5),
(63731,330139,7,100,'You must be sneaking to use this ability.',0,6),
(63732,330139,9,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63733,330139,9,100,'Throws target back',1,1),
(63734,330139,9,100,'Blurs vision of target',1,2),
(63735,330139,9,100,'Stuns target',1,3),
(63736,330139,9,100,'Does not affect Epic targets',1,4),
(63737,330139,9,100,'Inflicts 505 - 842 melee damage on target',0,5),
(63738,330139,9,100,'You must be sneaking to use this ability.',0,6),
(63739,330140,1,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63740,330140,1,100,'Throws target back',1,1),
(63741,330140,1,100,'Blurs vision of target',1,2),
(63742,330140,1,100,'Stuns target',1,3),
(63743,330140,1,100,'Does not affect Epic targets',1,4),
(63744,330140,1,100,'Inflicts 356 - 593 melee damage on target',0,5),
(63745,330140,1,100,'You must be sneaking to use this ability.',0,6),
(63746,330140,2,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63747,330140,2,100,'Throws target back',1,1),
(63748,330140,2,100,'Blurs vision of target',1,2),
(63749,330140,2,100,'Stuns target',1,3),
(63750,330140,2,100,'Does not affect Epic targets',1,4),
(63751,330140,2,100,'Inflicts 376 - 626 melee damage on target',0,5),
(63752,330140,2,100,'You must be sneaking to use this ability.',0,6),
(63753,330140,3,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63754,330140,3,100,'Throws target back',1,1),
(63755,330140,3,100,'Blurs vision of target',1,2),
(63756,330140,3,100,'Stuns target',1,3),
(63757,330140,3,100,'Does not affect Epic targets',1,4),
(63758,330140,3,100,'Inflicts 395 - 659 melee damage on target',0,5),
(63759,330140,3,100,'You must be sneaking to use this ability.',0,6),
(63760,330140,4,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63761,330140,4,100,'Throws target back',1,1),
(63762,330140,4,100,'Blurs vision of target',1,2),
(63763,330140,4,100,'Stuns target',1,3),
(63764,330140,4,100,'Does not affect Epic targets',1,4),
(63765,330140,4,100,'Inflicts 435 - 725 melee damage on target',0,5),
(63766,330140,4,100,'You must be sneaking to use this ability.',0,6),
(63767,330140,5,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63768,330140,5,100,'Throws target back',1,1),
(63769,330140,5,100,'Blurs vision of target',1,2),
(63770,330140,5,100,'Stuns target',1,3),
(63771,330140,5,100,'Does not affect Epic targets',1,4),
(63772,330140,5,100,'Inflicts 475 - 791 melee damage on target',0,5),
(63773,330140,5,100,'You must be sneaking to use this ability.',0,6),
(63774,330140,7,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63775,330140,7,100,'Throws target back',1,1),
(63776,330140,7,100,'Blurs vision of target',1,2),
(63777,330140,7,100,'Stuns target',1,3),
(63778,330140,7,100,'Does not affect Epic targets',1,4),
(63779,330140,7,100,'Inflicts 609 - 1016 melee damage on target',0,5),
(63780,330140,7,100,'You must be sneaking to use this ability.',0,6),
(63781,330140,9,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63782,330140,9,100,'Throws target back',1,1),
(63783,330140,9,100,'Blurs vision of target',1,2),
(63784,330140,9,100,'Stuns target',1,3),
(63785,330140,9,100,'Does not affect Epic targets',1,4),
(63786,330140,9,100,'Inflicts 633 - 1055 melee damage on target',0,5),
(63787,330140,9,100,'You must be sneaking to use this ability.',0,6),
(63788,330140,10,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63789,330140,10,100,'Throws target back',1,1),
(63790,330140,10,100,'Blurs vision of target',1,2),
(63791,330140,10,100,'Stuns target',1,3),
(63792,330140,10,100,'Does not affect Epic targets',1,4),
(63793,330140,10,100,'Inflicts 665 - 1108 melee damage on target',0,5),
(63794,330140,10,100,'You must be sneaking to use this ability.',0,6),
(63795,330141,1,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63796,330141,1,100,'Throws target back',1,1),
(63797,330141,1,100,'Blurs vision of target',1,2),
(63798,330141,1,100,'Stuns target',1,3),
(63799,330141,1,100,'Does not affect Epic targets',1,4),
(63800,330141,1,100,'Inflicts 430 - 717 melee damage on target',0,5),
(63801,330141,1,100,'You must be sneaking to use this ability.',0,6),
(63802,330141,4,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63803,330141,4,100,'Throws target back',1,1),
(63804,330141,4,100,'Blurs vision of target',1,2),
(63805,330141,4,100,'Stuns target',1,3),
(63806,330141,4,100,'Does not affect Epic targets',1,4),
(63807,330141,4,100,'Inflicts 525 - 876 melee damage on target',0,5),
(63808,330141,4,100,'You must be sneaking to use this ability.',0,6),
(63809,330141,5,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63810,330141,5,100,'Throws target back',1,1),
(63811,330141,5,100,'Blurs vision of target',1,2),
(63812,330141,5,100,'Stuns target',1,3),
(63813,330141,5,100,'Does not affect Epic targets',1,4),
(63814,330141,5,100,'Inflicts 573 - 956 melee damage on target',0,5),
(63815,330141,5,100,'You must be sneaking to use this ability.',0,6),
(63816,330141,7,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63817,330141,7,100,'Throws target back',1,1),
(63818,330141,7,100,'Blurs vision of target',1,2),
(63819,330141,7,100,'Stuns target',1,3),
(63820,330141,7,100,'Does not affect Epic targets',1,4),
(63821,330141,7,100,'Inflicts 736 - 1226 melee damage on target',0,5),
(63822,330141,7,100,'You must be sneaking to use this ability.',0,6),
(63823,330141,9,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63824,330141,9,100,'Throws target back',1,1),
(63825,330141,9,100,'Blurs vision of target',1,2),
(63826,330141,9,100,'Stuns target',1,3),
(63827,330141,9,100,'Does not affect Epic targets',1,4),
(63828,330141,9,100,'Inflicts 764 - 1274 melee damage on target',0,5),
(63829,330141,9,100,'You must be sneaking to use this ability.',0,6),
(63830,330141,10,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(63831,330141,10,100,'Throws target back',1,1),
(63832,330141,10,100,'Blurs vision of target',1,2),
(63833,330141,10,100,'Stuns target',1,3),
(63834,330141,10,100,'Does not affect Epic targets',1,4),
(63835,330141,10,100,'Inflicts 803 - 1338 melee damage on target',0,5),
(63836,330141,10,100,'You must be sneaking to use this ability.',0,6),
(63837,340149,1,100,'Inflicts 70 - 117 melee damage on target',0,0),
(63838,340149,1,100,'Inflicts 51 piercing damage on target instantly and every 4 seconds',0,1),
(63839,340149,1,100,'Must be flanking or behind',0,2),
(63840,340149,2,100,'Inflicts 74 - 124 melee damage on target',0,0),
(63841,340149,2,100,'Inflicts 54 piercing damage on target instantly and every 4 seconds',0,1),
(63842,340149,2,100,'Must be flanking or behind',0,2),
(63843,340149,3,100,'Inflicts 78 - 130 melee damage on target',0,0),
(63844,340149,3,100,'Inflicts 57 piercing damage on target instantly and every 4 seconds',0,1),
(63845,340149,3,100,'Must be flanking or behind',0,2),
(63846,340149,4,100,'Inflicts 86 - 143 melee damage on target',0,0),
(63847,340149,4,100,'Inflicts 62 piercing damage on target instantly and every 4 seconds',0,1),
(63848,340149,4,100,'Must be flanking or behind',0,2),
(63849,340149,5,100,'Inflicts 94 - 156 melee damage on target',0,0),
(63850,340149,5,100,'Inflicts 68 piercing damage on target instantly and every 4 seconds',0,1),
(63851,340149,5,100,'Must be flanking or behind',0,2),
(63852,340149,7,100,'Inflicts 120 - 201 melee damage on target',0,0),
(63853,340149,7,100,'Inflicts 87 piercing damage on target instantly and every 4 seconds',0,1),
(63854,340149,7,100,'Must be flanking or behind',0,2),
(63855,340149,9,100,'Inflicts 125 - 209 melee damage on target',0,0),
(63856,340149,9,100,'Inflicts 91 piercing damage on target instantly and every 4 seconds',0,1),
(63857,340149,9,100,'Must be flanking or behind',0,2),
(63858,340149,10,100,'Inflicts 131 - 219 melee damage on target',0,0),
(63859,340149,10,100,'Inflicts 95 piercing damage on target instantly and every 4 seconds',0,1),
(63860,340149,10,100,'Must be flanking or behind',0,2),
(63861,340150,1,100,'Inflicts 108 - 180 melee damage on target',0,0),
(63862,340150,1,100,'Inflicts 78 piercing damage on target instantly and every 4 seconds',0,1),
(63863,340150,1,100,'Must be flanking or behind',0,2),
(63864,340150,2,100,'Inflicts 114 - 190 melee damage on target',0,0),
(63865,340150,2,100,'Inflicts 83 piercing damage on target instantly and every 4 seconds',0,1),
(63866,340150,2,100,'Must be flanking or behind',0,2),
(63867,340150,3,100,'Inflicts 120 - 200 melee damage on target',0,0),
(63868,340150,3,100,'Inflicts 87 piercing damage on target instantly and every 4 seconds',0,1),
(63869,340150,3,100,'Must be flanking or behind',0,2),
(63870,340150,4,100,'Inflicts 132 - 220 melee damage on target',0,0),
(63871,340150,4,100,'Inflicts 96 piercing damage on target instantly and every 4 seconds',0,1),
(63872,340150,4,100,'Must be flanking or behind',0,2),
(63873,340150,5,100,'Inflicts 144 - 240 melee damage on target',0,0),
(63874,340150,5,100,'Inflicts 104 piercing damage on target instantly and every 4 seconds',0,1),
(63875,340150,5,100,'Must be flanking or behind',0,2),
(63876,340150,7,100,'Inflicts 185 - 308 melee damage on target',0,0),
(63877,340150,7,100,'Inflicts 134 piercing damage on target instantly and every 4 seconds',0,1),
(63878,340150,7,100,'Must be flanking or behind',0,2),
(63879,340150,9,100,'Inflicts 192 - 320 melee damage on target',0,0),
(63880,340150,9,100,'Inflicts 139 piercing damage on target instantly and every 4 seconds',0,1),
(63881,340150,9,100,'Must be flanking or behind',0,2),
(63882,340151,1,100,'Inflicts 150 - 251 melee damage on target',0,0),
(63883,340151,1,100,'Inflicts 109 piercing damage on target instantly and every 4 seconds',0,1),
(63884,340151,1,100,'Must be flanking or behind',0,2),
(63885,340151,2,100,'Inflicts 159 - 265 melee damage on target',0,0),
(63886,340151,2,100,'Inflicts 115 piercing damage on target instantly and every 4 seconds',0,1),
(63887,340151,2,100,'Must be flanking or behind',0,2),
(63888,340151,3,100,'Inflicts 167 - 279 melee damage on target',0,0),
(63889,340151,3,100,'Inflicts 121 piercing damage on target instantly and every 4 seconds',0,1),
(63890,340151,3,100,'Must be flanking or behind',0,2),
(63891,340151,4,100,'Inflicts 184 - 307 melee damage on target',0,0),
(63892,340151,4,100,'Inflicts 133 piercing damage on target instantly and every 4 seconds',0,1),
(63893,340151,4,100,'Must be flanking or behind',0,2),
(63894,340151,5,100,'Inflicts 201 - 335 melee damage on target',0,0),
(63895,340151,5,100,'Inflicts 145 piercing damage on target instantly and every 4 seconds',0,1),
(63896,340151,5,100,'Must be flanking or behind',0,2),
(63897,340151,7,100,'Inflicts 258 - 430 melee damage on target',0,0),
(63898,340151,7,100,'Inflicts 186 piercing damage on target instantly and every 4 seconds',0,1),
(63899,340151,7,100,'Must be flanking or behind',0,2),
(63900,340151,9,100,'Inflicts 268 - 447 melee damage on target',0,0),
(63901,340151,9,100,'Inflicts 194 piercing damage on target instantly and every 4 seconds',0,1),
(63902,340151,9,100,'Must be flanking or behind',0,2),
(63903,340152,1,100,'Inflicts 192 - 321 melee damage on target',0,0),
(63904,340152,1,100,'Inflicts 139 piercing damage on target instantly and every 4 seconds',0,1),
(63905,340152,1,100,'Must be flanking or behind',0,2),
(63906,340152,2,100,'Inflicts 203 - 339 melee damage on target',0,0),
(63907,340152,2,100,'Inflicts 147 piercing damage on target instantly and every 4 seconds',0,1),
(63908,340152,2,100,'Must be flanking or behind',0,2),
(63909,340152,3,100,'Inflicts 214 - 357 melee damage on target',0,0),
(63910,340152,3,100,'Inflicts 155 piercing damage on target instantly and every 4 seconds',0,1),
(63911,340152,3,100,'Must be flanking or behind',0,2),
(63912,340152,4,100,'Inflicts 235 - 392 melee damage on target',0,0),
(63913,340152,4,100,'Inflicts 170 piercing damage on target instantly and every 4 seconds',0,1),
(63914,340152,4,100,'Must be flanking or behind',0,2),
(63915,340152,5,100,'Inflicts 257 - 428 melee damage on target',0,0),
(63916,340152,5,100,'Inflicts 186 piercing damage on target instantly and every 4 seconds',0,1),
(63917,340152,5,100,'Must be flanking or behind',0,2),
(63918,340152,7,100,'Inflicts 329 - 549 melee damage on target',0,0),
(63919,340152,7,100,'Inflicts 238 piercing damage on target instantly and every 4 seconds',0,1),
(63920,340152,7,100,'Must be flanking or behind',0,2),
(63921,340152,9,100,'Inflicts 342 - 571 melee damage on target',0,0),
(63922,340152,9,100,'Inflicts 248 piercing damage on target instantly and every 4 seconds',0,1),
(63923,340152,9,100,'Must be flanking or behind',0,2),
(63924,340153,1,100,'Inflicts 233 - 388 melee damage on target',0,0),
(63925,340153,1,100,'Inflicts 168 piercing damage on target instantly and every 4 seconds',0,1),
(63926,340153,1,100,'Must be flanking or behind',0,2),
(63927,340153,4,100,'Inflicts 285 - 475 melee damage on target',0,0),
(63928,340153,4,100,'Inflicts 206 piercing damage on target instantly and every 4 seconds',0,1),
(63929,340153,4,100,'Must be flanking or behind',0,2),
(63930,340153,5,100,'Inflicts 310 - 518 melee damage on target',0,0),
(63931,340153,5,100,'Inflicts 225 piercing damage on target instantly and every 4 seconds',0,1),
(63932,340153,5,100,'Must be flanking or behind',0,2),
(63933,340153,7,100,'Inflicts 399 - 665 melee damage on target',0,0),
(63934,340153,7,100,'Inflicts 288 piercing damage on target instantly and every 4 seconds',0,1),
(63935,340153,7,100,'Must be flanking or behind',0,2),
(63936,340153,9,100,'Inflicts 414 - 691 melee damage on target',0,0),
(63937,340153,9,100,'Inflicts 299 piercing damage on target instantly and every 4 seconds',0,1),
(63938,340153,9,100,'Must be flanking or behind',0,2),
(63939,340153,10,100,'Inflicts 435 - 725 melee damage on target',0,0),
(63940,340153,10,100,'Inflicts 314 piercing damage on target instantly and every 4 seconds',0,1),
(63941,340153,10,100,'Must be flanking or behind',0,2),
(63942,340154,1,100,'Inflicts 269 - 448 melee damage on target',0,0),
(63943,340154,1,100,'Inflicts 194 piercing damage on target instantly and every 4 seconds',0,1),
(63944,340154,1,100,'Must be flanking or behind',0,2),
(63945,340154,4,100,'Inflicts 329 - 548 melee damage on target',0,0),
(63946,340154,4,100,'Inflicts 238 piercing damage on target instantly and every 4 seconds',0,1),
(63947,340154,4,100,'Must be flanking or behind',0,2),
(63948,340154,5,100,'Inflicts 359 - 598 melee damage on target',0,0),
(63949,340154,5,100,'Inflicts 259 piercing damage on target instantly and every 4 seconds',0,1),
(63950,340154,5,100,'Must be flanking or behind',0,2),
(63951,340154,7,100,'Inflicts 460 - 767 melee damage on target',0,0),
(63952,340154,7,100,'Inflicts 333 piercing damage on target instantly and every 4 seconds',0,1),
(63953,340154,7,100,'Must be flanking or behind',0,2),
(63954,340154,9,100,'Inflicts 478 - 797 melee damage on target',0,0),
(63955,340154,9,100,'Inflicts 346 piercing damage on target instantly and every 4 seconds',0,1),
(63956,340154,9,100,'Must be flanking or behind',0,2),
(63957,340154,10,100,'Inflicts 502 - 837 melee damage on target',0,0),
(63958,340154,10,100,'Inflicts 363 piercing damage on target instantly and every 4 seconds',0,1),
(63959,340154,10,100,'Must be flanking or behind',0,2),
(63960,2000233,1,100,'On a ranged hit this spell may cast Assassin''s Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',0,0),
(63961,2000233,1,100,'Inflicts 499 poison damage on target instantly and every 4 seconds',1,1),
(63962,2000233,1,100,'On a melee hit this spell may cast Assassin''s Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',0,2),
(63963,2000233,1,100,'Inflicts 499 poison damage on target instantly and every 4 seconds',1,3),
(63964,420093,3,100,'Interrupts target',0,0),
(63965,420093,3,100,'Inflicts 17 - 21 piercing damage on target',0,1),
(63966,420093,3,100,'On any combat or spell hit this spell will cast Sharpened Claws on target of attack.  ',0,2),
(63967,420093,3,100,'Inflicts 14 - 24 piercing damage on target',1,3),
(63968,420093,3,100,'Grants a total of 1 trigger of the spell.',1,4),
(63969,2000234,1,100,'Applies Shattered Arrows on termination.  Lasts for 0.1 seconds.',0,0),
(63970,2000234,1,100,'Inflicts 242 - 404 piercing damage on targets in Area of Effect',1,1),
(63971,2000234,1,100,'Inflicts 969 - 1616 ranged damage on targets in Area of Effect',0,2),
(63972,2000234,1,100,'Requires bow or aim',0,3),
(63973,340155,1,100,'Increases threat priority of target by 2 positions',0,0),
(63974,340155,1,100,'Decreases Defense and Parry of caster by 90.0',0,1),
(63975,340155,1,100,'Stuns caster',0,2),
(63976,340155,1,100,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',0,3),
(63977,340155,1,100,'Inflicts 241 - 401 piercing damage on target',1,4),
(63978,340155,1,100,'Grants a total of 1 trigger of the spell.',1,5),
(63979,340155,2,100,'Increases threat priority of target by 2 positions',0,0),
(63980,340155,2,100,'Decreases Defense and Parry of caster by 90.0',0,1),
(63981,340155,2,100,'Stuns caster',0,2),
(63982,340155,2,100,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',0,3),
(63983,340155,2,100,'Inflicts 254 - 423 piercing damage on target',1,4),
(63984,340155,2,100,'Grants a total of 1 trigger of the spell.',1,5),
(63985,340155,3,100,'Increases threat priority of target by 2 positions',0,0),
(63986,340155,3,100,'Decreases Defense and Parry of caster by 90.0',0,1),
(63987,340155,3,100,'Stuns caster',0,2),
(63988,340155,3,100,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',0,3),
(63989,340155,3,100,'Inflicts 267 - 445 piercing damage on target',1,4),
(63990,340155,3,100,'Grants a total of 1 trigger of the spell.',1,5),
(63991,340155,4,100,'Increases threat priority of target by 2 positions',0,0),
(63992,340155,4,100,'Decreases Defense and Parry of caster by 90.0',0,1),
(63993,340155,4,100,'Stuns caster',0,2),
(63994,340155,4,100,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',0,3),
(63995,340155,4,100,'Inflicts 294 - 490 piercing damage on target',1,4),
(63996,340155,4,100,'Grants a total of 1 trigger of the spell.',1,5),
(63997,340155,5,100,'Increases threat priority of target by 2 positions',0,0),
(63998,340155,5,100,'Decreases Defense and Parry of caster by 90.0',0,1),
(63999,340155,5,100,'Stuns caster',0,2),
(64000,340155,5,100,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',0,3),
(64001,340155,5,100,'Inflicts 321 - 534 piercing damage on target',1,4),
(64002,340155,5,100,'Grants a total of 1 trigger of the spell.',1,5),
(64003,340155,7,100,'Increases threat priority of target by 2 positions',0,0),
(64004,340155,7,100,'Decreases Defense and Parry of caster by 90.0',0,1),
(64005,340155,7,100,'Stuns caster',0,2),
(64006,340155,7,100,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',0,3),
(64007,340155,7,100,'Inflicts 412 - 686 piercing damage on target',1,4),
(64008,340155,7,100,'Grants a total of 1 trigger of the spell.',1,5),
(64009,340155,9,100,'Increases threat priority of target by 2 positions',0,0),
(64010,340155,9,100,'Decreases Defense and Parry of caster by 90.0',0,1),
(64011,340155,9,100,'Stuns caster',0,2),
(64012,340155,9,100,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',0,3),
(64013,340155,9,100,'Inflicts 428 - 713 piercing damage on target',1,4),
(64014,340155,9,100,'Grants a total of 1 trigger of the spell.',1,5),
(64015,340155,10,100,'Increases threat priority of target by 2 positions',0,0),
(64016,340155,10,100,'Decreases Defense and Parry of caster by 90.0',0,1),
(64017,340155,10,100,'Stuns caster',0,2),
(64018,340155,10,100,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',0,3),
(64019,340155,10,100,'Inflicts 449 - 748 piercing damage on target',1,4),
(64020,340155,10,100,'Grants a total of 1 trigger of the spell.',1,5),
(64021,340156,1,100,'Increases threat priority of target by 2 positions',0,0),
(64022,340156,1,100,'Decreases Defense and Parry of caster by 153.0',0,1),
(64023,340156,1,100,'Stuns caster',0,2),
(64024,340156,1,100,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',0,3),
(64025,340156,1,100,'Inflicts 439 - 732 piercing damage on target',1,4),
(64026,340156,1,100,'Grants a total of 1 trigger of the spell.',1,5),
(64027,340156,2,100,'Increases threat priority of target by 2 positions',0,0),
(64028,340156,2,100,'Decreases Defense and Parry of caster by 153.0',0,1),
(64029,340156,2,100,'Stuns caster',0,2),
(64030,340156,2,100,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',0,3),
(64031,340156,2,100,'Inflicts 463 - 772 piercing damage on target',1,4),
(64032,340156,2,100,'Grants a total of 1 trigger of the spell.',1,5),
(64033,340156,3,100,'Increases threat priority of target by 2 positions',0,0),
(64034,340156,3,100,'Decreases Defense and Parry of caster by 153.0',0,1),
(64035,340156,3,100,'Stuns caster',0,2),
(64036,340156,3,100,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',0,3),
(64037,340156,3,100,'Inflicts 488 - 813 piercing damage on target',1,4),
(64038,340156,3,100,'Grants a total of 1 trigger of the spell.',1,5),
(64039,340156,4,100,'Increases threat priority of target by 2 positions',0,0),
(64040,340156,4,100,'Decreases Defense and Parry of caster by 153.0',0,1),
(64041,340156,4,100,'Stuns caster',0,2),
(64042,340156,4,100,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',0,3),
(64043,340156,4,100,'Inflicts 536 - 894 piercing damage on target',1,4),
(64044,340156,4,100,'Grants a total of 1 trigger of the spell.',1,5),
(64045,340156,5,100,'Increases threat priority of target by 2 positions',0,0),
(64046,340156,5,100,'Decreases Defense and Parry of caster by 153.0',0,1),
(64047,340156,5,100,'Stuns caster',0,2),
(64048,340156,5,100,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',0,3),
(64049,340156,5,100,'Inflicts 585 - 975 piercing damage on target',1,4),
(64050,340156,5,100,'Grants a total of 1 trigger of the spell.',1,5),
(64051,340156,7,100,'Increases threat priority of target by 2 positions',0,0),
(64052,340156,7,100,'Decreases Defense and Parry of caster by 153.0',0,1),
(64053,340156,7,100,'Stuns caster',0,2),
(64054,340156,7,100,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',0,3),
(64055,340156,7,100,'Inflicts 751 - 1252 piercing damage on target',1,4),
(64056,340156,7,100,'Grants a total of 1 trigger of the spell.',1,5),
(64057,340156,9,100,'Increases threat priority of target by 2 positions',0,0),
(64058,340156,9,100,'Decreases Defense and Parry of caster by 153.0',0,1),
(64059,340156,9,100,'Stuns caster',0,2),
(64060,340156,9,100,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',0,3),
(64061,340156,9,100,'Inflicts 780 - 1301 piercing damage on target',1,4),
(64062,340156,9,100,'Grants a total of 1 trigger of the spell.',1,5),
(64063,340156,10,100,'Increases threat priority of target by 2 positions',0,0),
(64064,340156,10,100,'Decreases Defense and Parry of caster by 153.0',0,1),
(64065,340156,10,100,'Stuns caster',0,2),
(64066,340156,10,100,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',0,3),
(64067,340156,10,100,'Inflicts 819 - 1366 piercing damage on target',1,4),
(64068,340156,10,100,'Grants a total of 1 trigger of the spell.',1,5),
(64069,340157,1,100,'Increases threat priority of target by 2 positions',0,0),
(64070,340157,1,100,'Decreases Defense and Parry of caster by 216.0',0,1),
(64071,340157,1,100,'Stuns caster',0,2),
(64072,340157,1,100,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',0,3),
(64073,340157,1,100,'Inflicts 666 - 1109 piercing damage on target',1,4),
(64074,340157,1,100,'Grants a total of 1 trigger of the spell.',1,5),
(64075,340157,2,100,'Increases threat priority of target by 2 positions',0,0),
(64076,340157,2,100,'Decreases Defense and Parry of caster by 216.0',0,1),
(64077,340157,2,100,'Stuns caster',0,2),
(64078,340157,2,100,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',0,3),
(64079,340157,2,100,'Inflicts 703 - 1171 piercing damage on target',1,4),
(64080,340157,2,100,'Grants a total of 1 trigger of the spell.',1,5),
(64081,340157,3,100,'Increases threat priority of target by 2 positions',0,0),
(64082,340157,3,100,'Decreases Defense and Parry of caster by 216.0',0,1),
(64083,340157,3,100,'Stuns caster',0,2),
(64084,340157,3,100,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',0,3),
(64085,340157,3,100,'Inflicts 740 - 1233 piercing damage on target',1,4),
(64086,340157,3,100,'Grants a total of 1 trigger of the spell.',1,5),
(64087,340157,4,100,'Increases threat priority of target by 2 positions',0,0),
(64088,340157,4,100,'Decreases Defense and Parry of caster by 216.0',0,1),
(64089,340157,4,100,'Stuns caster',0,2),
(64090,340157,4,100,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',0,3),
(64091,340157,4,100,'Inflicts 814 - 1356 piercing damage on target',1,4),
(64092,340157,4,100,'Grants a total of 1 trigger of the spell.',1,5),
(64093,340157,5,100,'Increases threat priority of target by 2 positions',0,0),
(64094,340157,5,100,'Decreases Defense and Parry of caster by 216.0',0,1),
(64095,340157,5,100,'Stuns caster',0,2),
(64096,340157,5,100,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',0,3),
(64097,340157,5,100,'Inflicts 888 - 1479 piercing damage on target',1,4),
(64098,340157,5,100,'Grants a total of 1 trigger of the spell.',1,5),
(64099,340157,7,100,'Increases threat priority of target by 2 positions',0,0),
(64100,340157,7,100,'Decreases Defense and Parry of caster by 216.0',0,1),
(64101,340157,7,100,'Stuns caster',0,2),
(64102,340157,7,100,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',0,3),
(64103,340157,7,100,'Inflicts 1139 - 1898 piercing damage on target',1,4),
(64104,340157,7,100,'Grants a total of 1 trigger of the spell.',1,5),
(64105,340157,9,100,'Increases threat priority of target by 2 positions',0,0),
(64106,340157,9,100,'Decreases Defense and Parry of caster by 216.0',0,1),
(64107,340157,9,100,'Stuns caster',0,2),
(64108,340157,9,100,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',0,3),
(64109,340157,9,100,'Inflicts 1183 - 1972 piercing damage on target',1,4),
(64110,340157,9,100,'Grants a total of 1 trigger of the spell.',1,5),
(64111,340158,1,100,'Increases threat priority of target by 2 positions',0,0),
(64112,340158,1,100,'Decreases Defense and Parry of caster by 279.0',0,1),
(64113,340158,1,100,'Stuns caster',0,2),
(64114,340158,1,100,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',0,3),
(64115,340158,1,100,'Inflicts 913 - 1522 piercing damage on target',1,4),
(64116,340158,1,100,'Grants a total of 1 trigger of the spell.',1,5),
(64117,340158,2,100,'Increases threat priority of target by 2 positions',0,0),
(64118,340158,2,100,'Decreases Defense and Parry of caster by 279.0',0,1),
(64119,340158,2,100,'Stuns caster',0,2),
(64120,340158,2,100,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',0,3),
(64121,340158,2,100,'Inflicts 964 - 1607 piercing damage on target',1,4),
(64122,340158,2,100,'Grants a total of 1 trigger of the spell.',1,5),
(64123,340158,3,100,'Increases threat priority of target by 2 positions',0,0),
(64124,340158,3,100,'Decreases Defense and Parry of caster by 279.0',0,1),
(64125,340158,3,100,'Stuns caster',0,2),
(64126,340158,3,100,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',0,3),
(64127,340158,3,100,'Inflicts 1015 - 1692 piercing damage on target',1,4),
(64128,340158,3,100,'Grants a total of 1 trigger of the spell.',1,5),
(64129,340158,4,100,'Increases threat priority of target by 2 positions',0,0),
(64130,340158,4,100,'Decreases Defense and Parry of caster by 279.0',0,1),
(64131,340158,4,100,'Stuns caster',0,2),
(64132,340158,4,100,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',0,3),
(64133,340158,4,100,'Inflicts 1116 - 1861 piercing damage on target',1,4),
(64134,340158,4,100,'Grants a total of 1 trigger of the spell.',1,5),
(64135,340158,5,100,'Increases threat priority of target by 2 positions',0,0),
(64136,340158,5,100,'Decreases Defense and Parry of caster by 279.0',0,1),
(64137,340158,5,100,'Stuns caster',0,2),
(64138,340158,5,100,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',0,3),
(64139,340158,5,100,'Inflicts 1218 - 2030 piercing damage on target',1,4),
(64140,340158,5,100,'Grants a total of 1 trigger of the spell.',1,5),
(64141,340158,7,100,'Increases threat priority of target by 2 positions',0,0),
(64142,340158,7,100,'Decreases Defense and Parry of caster by 279.0',0,1),
(64143,340158,7,100,'Stuns caster',0,2),
(64144,340158,7,100,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',0,3),
(64145,340158,7,100,'Inflicts 1563 - 2605 piercing damage on target',1,4),
(64146,340158,7,100,'Grants a total of 1 trigger of the spell.',1,5),
(64147,340158,9,100,'Increases threat priority of target by 2 positions',0,0),
(64148,340158,9,100,'Decreases Defense and Parry of caster by 279.0',0,1),
(64149,340158,9,100,'Stuns caster',0,2),
(64150,340158,9,100,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',0,3),
(64151,340158,9,100,'Inflicts 1624 - 2707 piercing damage on target',1,4),
(64152,340158,9,100,'Grants a total of 1 trigger of the spell.',1,5),
(64153,340158,10,100,'Increases threat priority of target by 2 positions',0,0),
(64154,340158,10,100,'Decreases Defense and Parry of caster by 279.0',0,1),
(64155,340158,10,100,'Stuns caster',0,2),
(64156,340158,10,100,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',0,3),
(64157,340158,10,100,'Inflicts 1705 - 2842 piercing damage on target',1,4),
(64158,340158,10,100,'Grants a total of 1 trigger of the spell.',1,5),
(64159,340159,1,100,'Increases threat priority of target by 2 positions',0,0),
(64160,340159,1,100,'Decreases Defense and Parry of caster by 339.0',0,1),
(64161,340159,1,100,'Stuns caster',0,2),
(64162,340159,1,100,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',0,3),
(64163,340159,1,100,'Inflicts 1145 - 1908 piercing damage on target',1,4),
(64164,340159,1,100,'Grants a total of 1 trigger of the spell.',1,5),
(64165,340159,2,100,'Increases threat priority of target by 2 positions',0,0),
(64166,340159,2,100,'Decreases Defense and Parry of caster by 339.0',0,1),
(64167,340159,2,100,'Stuns caster',0,2),
(64168,340159,2,100,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',0,3),
(64169,340159,2,100,'Inflicts 1208 - 2014 piercing damage on target',1,4),
(64170,340159,2,100,'Grants a total of 1 trigger of the spell.',1,5),
(64171,340159,3,100,'Increases threat priority of target by 2 positions',0,0),
(64172,340159,3,100,'Decreases Defense and Parry of caster by 339.0',0,1),
(64173,340159,3,100,'Stuns caster',0,2),
(64174,340159,3,100,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',0,3),
(64175,340159,3,100,'Inflicts 1272 - 2120 piercing damage on target',1,4),
(64176,340159,3,100,'Grants a total of 1 trigger of the spell.',1,5),
(64177,340159,4,100,'Increases threat priority of target by 2 positions',0,0),
(64178,340159,4,100,'Decreases Defense and Parry of caster by 339.0',0,1),
(64179,340159,4,100,'Stuns caster',0,2),
(64180,340159,4,100,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',0,3),
(64181,340159,4,100,'Inflicts 1399 - 2332 piercing damage on target',1,4),
(64182,340159,4,100,'Grants a total of 1 trigger of the spell.',1,5),
(64183,340159,5,100,'Increases threat priority of target by 2 positions',0,0),
(64184,340159,5,100,'Decreases Defense and Parry of caster by 339.0',0,1),
(64185,340159,5,100,'Stuns caster',0,2),
(64186,340159,5,100,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',0,3),
(64187,340159,5,100,'Inflicts 1526 - 2544 piercing damage on target',1,4),
(64188,340159,5,100,'Grants a total of 1 trigger of the spell.',1,5),
(64189,340159,7,100,'Increases threat priority of target by 2 positions',0,0),
(64190,340159,7,100,'Decreases Defense and Parry of caster by 339.0',0,1),
(64191,340159,7,100,'Stuns caster',0,2),
(64192,340159,7,100,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',0,3),
(64193,340159,7,100,'Inflicts 1959 - 3265 piercing damage on target',1,4),
(64194,340159,7,100,'Grants a total of 1 trigger of the spell.',1,5),
(64195,340159,9,100,'Increases threat priority of target by 2 positions',0,0),
(64196,340159,9,100,'Decreases Defense and Parry of caster by 339.0',0,1),
(64197,340159,9,100,'Stuns caster',0,2),
(64198,340159,9,100,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',0,3),
(64199,340159,9,100,'Inflicts 2035 - 3392 piercing damage on target',1,4),
(64200,340159,9,100,'Grants a total of 1 trigger of the spell.',1,5),
(64201,340160,1,100,'Increases threat priority of target by 2 positions',0,0),
(64202,340160,1,100,'Decreases Defense and Parry of caster by 399.0',0,1),
(64203,340160,1,100,'Stuns caster',0,2),
(64204,340160,1,100,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',0,3),
(64205,340160,1,100,'Inflicts 1383 - 2305 piercing damage on target',1,4),
(64206,340160,1,100,'Grants a total of 1 trigger of the spell.',1,5),
(64207,340160,4,100,'Increases threat priority of target by 2 positions',0,0),
(64208,340160,4,100,'Decreases Defense and Parry of caster by 399.0',0,1),
(64209,340160,4,100,'Stuns caster',0,2),
(64210,340160,4,100,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',0,3),
(64211,340160,4,100,'Inflicts 1691 - 2818 piercing damage on target',1,4),
(64212,340160,4,100,'Grants a total of 1 trigger of the spell.',1,5),
(64213,340160,5,100,'Increases threat priority of target by 2 positions',0,0),
(64214,340160,5,100,'Decreases Defense and Parry of caster by 399.0',0,1),
(64215,340160,5,100,'Stuns caster',0,2),
(64216,340160,5,100,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',0,3),
(64217,340160,5,100,'Inflicts 1844 - 3074 piercing damage on target',1,4),
(64218,340160,5,100,'Grants a total of 1 trigger of the spell.',1,5),
(64219,340160,7,100,'Increases threat priority of target by 2 positions',0,0),
(64220,340160,7,100,'Decreases Defense and Parry of caster by 399.0',0,1),
(64221,340160,7,100,'Stuns caster',0,2),
(64222,340160,7,100,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',0,3),
(64223,340160,7,100,'Inflicts 2367 - 3945 piercing damage on target',1,4),
(64224,340160,7,100,'Grants a total of 1 trigger of the spell.',1,5),
(64225,340160,9,100,'Increases threat priority of target by 2 positions',0,0),
(64226,340160,9,100,'Decreases Defense and Parry of caster by 399.0',0,1),
(64227,340160,9,100,'Stuns caster',0,2),
(64228,340160,9,100,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',0,3),
(64229,340160,9,100,'Inflicts 2459 - 4099 piercing damage on target',1,4),
(64230,340160,9,100,'Grants a total of 1 trigger of the spell.',1,5),
(64231,340161,1,100,'Increases threat priority of target by 2 positions',0,0),
(64232,340161,1,100,'Decreases Defense and Parry of caster by 459.0',0,1),
(64233,340161,1,100,'Stuns caster',0,2),
(64234,340161,1,100,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',0,3),
(64235,340161,1,100,'Inflicts 1577 - 2628 piercing damage on target',1,4),
(64236,340161,1,100,'Grants a total of 1 trigger of the spell.',1,5),
(64237,340161,4,100,'Increases threat priority of target by 2 positions',0,0),
(64238,340161,4,100,'Decreases Defense and Parry of caster by 459.0',0,1),
(64239,340161,4,100,'Stuns caster',0,2),
(64240,340161,4,100,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',0,3),
(64241,340161,4,100,'Inflicts 1927 - 3212 piercing damage on target',1,4),
(64242,340161,4,100,'Grants a total of 1 trigger of the spell.',1,5),
(64243,340161,5,100,'Increases threat priority of target by 2 positions',0,0),
(64244,340161,5,100,'Decreases Defense and Parry of caster by 459.0',0,1),
(64245,340161,5,100,'Stuns caster',0,2),
(64246,340161,5,100,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',0,3),
(64247,340161,5,100,'Inflicts 2102 - 3504 piercing damage on target',1,4),
(64248,340161,5,100,'Grants a total of 1 trigger of the spell.',1,5),
(64249,340161,7,100,'Increases threat priority of target by 2 positions',0,0),
(64250,340161,7,100,'Decreases Defense and Parry of caster by 459.0',0,1),
(64251,340161,7,100,'Stuns caster',0,2),
(64252,340161,7,100,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',0,3),
(64253,340161,7,100,'Inflicts 2698 - 4496 piercing damage on target',1,4),
(64254,340161,7,100,'Grants a total of 1 trigger of the spell.',1,5),
(64255,340161,9,100,'Increases threat priority of target by 2 positions',0,0),
(64256,340161,9,100,'Decreases Defense and Parry of caster by 459.0',0,1),
(64257,340161,9,100,'Stuns caster',0,2),
(64258,340161,9,100,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',0,3),
(64259,340161,9,100,'Inflicts 2803 - 4672 piercing damage on target',1,4),
(64260,340161,9,100,'Grants a total of 1 trigger of the spell.',1,5),
(64261,420094,1,100,'Inflicts 97 - 162 cold damage on target',0,0),
(64262,420094,1,100,'Inflicts 2 - 3 cold damage on target every 2 seconds',0,1),
(64263,420094,1,100,'Increases savagery of caster by 20.0',0,2),
(64264,420094,1,100,'This effect cannot be critically applied.',1,3),
(64268,50020,1,100,'Inflicts 20 - 33 crushing damage on target',0,0),
(64269,50020,1,100,'Stuns target',0,1),
(64270,50020,1,100,'Does not affect Epic targets',1,2),
(64271,70160,1,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(64272,70160,1,100,'Throws target back',1,1),
(64273,70160,1,100,'Blurs vision of target',1,2),
(64274,70160,1,100,'Stuns target',1,3),
(64275,70160,1,100,'Does not affect Epic targets',1,4),
(64276,70160,1,100,'Inflicts 15 - 45 melee damage on target',0,5),
(64280,50020,2,100,'Inflicts 21 - 35 crushing damage on target\r\n',0,0),
(64281,50020,2,100,'Stuns target\r\n',0,1),
(64282,50020,2,100,'Does not affect Epic targets',1,2),
(64283,70160,2,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(64284,70160,2,100,'Throws target back',1,1),
(64285,70160,2,100,'Blurs vision of target',1,2),
(64286,70160,2,100,'Stuns target',1,3),
(64287,70160,2,100,'Does not affect Epic targets',1,4),
(64288,70160,2,100,'Inflicts 15 - 47 melee damage on target',0,5),
(64289,70160,3,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(64290,70160,3,100,'Throws target back',1,1),
(64291,70160,3,100,'Blurs vision of target',1,2),
(64292,70160,3,100,'Stuns target',1,3),
(64293,70160,3,100,'Does not affect Epic targets',1,4),
(64294,70160,3,100,'Inflicts 16 - 50 melee damage on target',0,5),
(64298,50020,3,100,'Inflicts 22 - 37 crushing damage on target',0,0),
(64299,50020,3,100,'Stuns target',0,1),
(64300,50020,3,100,'Does not affect Epic targets',1,2),
(64301,70160,4,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(64302,70160,4,100,'Throws target back',1,1),
(64303,70160,4,100,'Blurs vision of target',1,2),
(64304,70160,4,100,'Stuns target',1,3),
(64305,70160,4,100,'Does not affect Epic targets',1,4),
(64306,70160,4,100,'Inflicts 18 - 55 melee damage on target',0,5),
(64310,50020,4,100,'Inflicts 24 - 41 crushing damage on target',0,0),
(64311,50020,4,100,'Stuns target',0,1),
(64312,50020,4,100,'Does not affect Epic targets',1,2),
(64316,50020,5,100,'Inflicts 27 - 45 crushing damage on target',0,0),
(64317,50020,5,100,'Stuns target',0,1),
(64318,50020,5,100,'Does not affect Epic targets',1,2),
(64319,70160,5,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(64320,70160,5,100,'Throws target back',1,1),
(64321,70160,5,100,'Blurs vision of target',1,2),
(64322,70160,5,100,'Stuns target',1,3),
(64323,70160,5,100,'Does not affect Epic targets',1,4),
(64324,70160,5,100,'Inflicts 20 - 60 melee damage on target',0,5),
(64328,50020,7,100,'Inflicts 34 - 58 crushing damage on target',0,0),
(64329,50020,7,100,'Stuns target',0,1),
(64330,50020,7,100,'Does not affect Epic targets',1,2),
(64331,70160,7,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(64332,70160,7,100,'Throws target back',1,1),
(64333,70160,7,100,'Blurs vision of target',1,2),
(64334,70160,7,100,'Stuns target',1,3),
(64335,70160,7,100,'Does not affect Epic targets',1,4),
(64336,70160,7,100,'Inflicts 25 - 77 melee damage on target',0,5),
(64340,50020,9,100,'Inflicts 36 - 60 crushing damage on target',0,0),
(64341,50020,9,100,'Stuns target',0,1),
(64342,50020,9,100,'Does not affect Epic targets',1,2),
(64343,70160,9,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(64344,70160,9,100,'Throws target back',1,1),
(64345,70160,9,100,'Blurs vision of target',1,2),
(64346,70160,9,100,'Stuns target',1,3),
(64347,70160,9,100,'Does not affect Epic targets',1,4),
(64348,70160,9,100,'Inflicts 26 - 80 melee damage on target',0,5),
(64349,70160,10,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(64350,70160,10,100,'Throws target back',1,1),
(64351,70160,10,100,'Blurs vision of target',1,2),
(64352,70160,10,100,'Stuns target',1,3),
(64353,70160,10,100,'Does not affect Epic targets',1,4),
(64354,70160,10,100,'Inflicts 28 - 84 melee damage on target',0,5),
(64358,70161,1,100,'Stuns target',1,3),
(64359,70161,1,100,'Does not affect Epic targets',1,4),
(64360,70161,1,100,'Inflicts 32 - 97 melee damage on target',0,5),
(64364,70161,2,100,'Stuns target',1,3),
(64365,70161,2,100,'Does not affect Epic targets',1,4),
(64366,70161,2,100,'Inflicts 34 - 102 melee damage on target',0,5),
(64370,70161,3,100,'Stuns target',1,3),
(64371,70161,3,100,'Does not affect Epic targets',1,4),
(64372,70161,3,100,'Inflicts 36 - 108 melee damage on target',0,5),
(64376,70161,4,100,'Stuns target',1,3),
(64377,70161,4,100,'Does not affect Epic targets',1,4),
(64378,70161,4,100,'Inflicts 39 - 118 melee damage on target',0,5),
(64382,70161,5,100,'Stuns target',1,3),
(64383,70161,5,100,'Does not affect Epic targets',1,4),
(64384,70161,5,100,'Inflicts 43 - 129 melee damage on target',0,5),
(64388,70161,7,100,'Stuns target',1,3),
(64389,70161,7,100,'Does not affect Epic targets',1,4),
(64390,70161,7,100,'Inflicts 55 - 166 melee damage on target',0,5),
(64394,70161,9,100,'Stuns target',1,3),
(64395,70161,9,100,'Does not affect Epic targets',1,4),
(64396,70161,9,100,'Inflicts 57 - 172 melee damage on target',0,5),
(64397,70162,1,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(64398,70162,1,100,'Throws target back',1,1),
(64399,70162,1,100,'Blurs vision of target',1,2),
(64400,70162,1,100,'Stuns target',1,3),
(64401,70162,1,100,'Does not affect Epic targets',1,4),
(64402,70162,1,100,'Inflicts 51 - 155 melee damage on target',0,5),
(64403,70162,2,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(64404,70162,2,100,'Throws target back',1,1),
(64405,70162,2,100,'Blurs vision of target',1,2),
(64406,70162,2,100,'Stuns target',1,3),
(64407,70162,2,100,'Does not affect Epic targets',1,4),
(64408,70162,2,100,'Inflicts 54 - 163 melee damage on target',0,5),
(64409,70162,3,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(64410,70162,3,100,'Throws target back',1,1),
(64411,70162,3,100,'Blurs vision of target',1,2),
(64412,70162,3,100,'Stuns target',1,3),
(64413,70162,3,100,'Does not affect Epic targets',1,4),
(64414,70162,3,100,'Inflicts 57 - 172 melee damage on target',0,5),
(64415,70162,4,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(64416,70162,4,100,'Throws target back',1,1),
(64417,70162,4,100,'Blurs vision of target',1,2),
(64418,70162,4,100,'Stuns target',1,3),
(64419,70162,4,100,'Does not affect Epic targets',1,4),
(64420,70162,4,100,'Inflicts 63 - 189 melee damage on target',0,5),
(64421,70162,5,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(64422,70162,5,100,'Throws target back',1,1),
(64423,70162,5,100,'Blurs vision of target',1,2),
(64424,70162,5,100,'Stuns target',1,3),
(64425,70162,5,100,'Does not affect Epic targets',1,4),
(64426,70162,5,100,'Inflicts 68 - 206 melee damage on target',0,5),
(64427,70162,7,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(64428,70162,7,100,'Throws target back',1,1),
(64429,70162,7,100,'Blurs vision of target',1,2),
(64430,70162,7,100,'Stuns target',1,3),
(64431,70162,7,100,'Does not affect Epic targets',1,4),
(64432,70162,7,100,'Inflicts 88 - 265 melee damage on target',0,5),
(64433,70162,9,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(64434,70162,9,100,'Throws target back',1,1),
(64435,70162,9,100,'Blurs vision of target',1,2),
(64436,70162,9,100,'Stuns target',1,3),
(64437,70162,9,100,'Does not affect Epic targets',1,4),
(64438,70162,9,100,'Inflicts 91 - 275 melee damage on target',0,5),
(64439,70163,1,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(64440,70163,1,100,'Throws target back',1,1),
(64441,70163,1,100,'Blurs vision of target',1,2),
(64442,70163,1,100,'Stuns target',1,3),
(64443,70163,1,100,'Does not affect Epic targets',1,4),
(64444,70163,1,100,'Inflicts 75 - 226 melee damage on target',0,5),
(64445,70163,2,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(64446,70163,2,100,'Throws target back',1,1),
(64447,70163,2,100,'Blurs vision of target',1,2),
(64448,70163,2,100,'Stuns target',1,3),
(64449,70163,2,100,'Does not affect Epic targets',1,4),
(64450,70163,2,100,'Inflicts 79 - 238 melee damage on target',0,5),
(64451,70163,3,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(64452,70163,3,100,'Throws target back',1,1),
(64453,70163,3,100,'Blurs vision of target',1,2),
(64454,70163,3,100,'Stuns target',1,3),
(64455,70163,3,100,'Does not affect Epic targets',1,4),
(64456,70163,3,100,'Inflicts 83 - 251 melee damage on target',0,5),
(64457,70163,4,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(64458,70163,4,100,'Throws target back',1,1),
(64459,70163,4,100,'Blurs vision of target',1,2),
(64460,70163,4,100,'Stuns target',1,3),
(64461,70163,4,100,'Does not affect Epic targets',1,4),
(64462,70163,4,100,'Inflicts 92 - 276 melee damage on target',0,5),
(64463,70163,5,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(64464,70163,5,100,'Throws target back',1,1),
(64465,70163,5,100,'Blurs vision of target',1,2),
(64466,70163,5,100,'Stuns target',1,3),
(64467,70163,5,100,'Does not affect Epic targets',1,4),
(64468,70163,5,100,'Inflicts 100 - 301 melee damage on target',0,5),
(64469,70163,7,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(64470,70163,7,100,'Throws target back',1,1),
(64471,70163,7,100,'Blurs vision of target',1,2),
(64472,70163,7,100,'Stuns target',1,3),
(64473,70163,7,100,'Does not affect Epic targets',1,4),
(64474,70163,7,100,'Inflicts 128 - 386 melee damage on target',0,5),
(64475,70163,9,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(64476,70163,9,100,'Throws target back',1,1),
(64477,70163,9,100,'Blurs vision of target',1,2),
(64478,70163,9,100,'Stuns target',1,3),
(64479,70163,9,100,'Does not affect Epic targets',1,4),
(64480,70163,9,100,'Inflicts 133 - 401 melee damage on target',0,5),
(64481,70164,1,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(64482,70164,1,100,'Throws target back',1,1),
(64483,70164,1,100,'Blurs vision of target',1,2),
(64484,70164,1,100,'Stuns target',1,3),
(64485,70164,1,100,'Does not affect Epic targets',1,4),
(64486,70164,1,100,'Inflicts 99 - 297 melee damage on target',0,5),
(64487,70164,2,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(64488,70164,2,100,'Throws target back',1,1),
(64489,70164,2,100,'Blurs vision of target',1,2),
(64490,70164,2,100,'Stuns target',1,3),
(64491,70164,2,100,'Does not affect Epic targets',1,4),
(64492,70164,2,100,'Inflicts 104 - 313 melee damage on target',0,5),
(64493,70164,3,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(64494,70164,3,100,'Throws target back',1,1),
(64495,70164,3,100,'Blurs vision of target',1,2),
(64496,70164,3,100,'Stuns target',1,3),
(64497,70164,3,100,'Does not affect Epic targets',1,4),
(64498,70164,3,100,'Inflicts 110 - 330 melee damage on target',0,5),
(64499,70164,4,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(64500,70164,4,100,'Throws target back',1,1),
(64501,70164,4,100,'Blurs vision of target',1,2),
(64502,70164,4,100,'Stuns target',1,3),
(64503,70164,4,100,'Does not affect Epic targets',1,4),
(64504,70164,4,100,'Inflicts 121 - 363 melee damage on target',0,5),
(64505,70164,5,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(64506,70164,5,100,'Throws target back',1,1),
(64507,70164,5,100,'Blurs vision of target',1,2),
(64508,70164,5,100,'Stuns target',1,3),
(64509,70164,5,100,'Does not affect Epic targets',1,4),
(64510,70164,5,100,'Inflicts 132 - 396 melee damage on target',0,5),
(64511,70164,7,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(64512,70164,7,100,'Throws target back',1,1),
(64513,70164,7,100,'Blurs vision of target',1,2),
(64514,70164,7,100,'Stuns target',1,3),
(64515,70164,7,100,'Does not affect Epic targets',1,4),
(64516,70164,7,100,'Inflicts 169 - 508 melee damage on target',0,5),
(64517,70164,9,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(64518,70164,9,100,'Throws target back',1,1),
(64519,70164,9,100,'Blurs vision of target',1,2),
(64520,70164,9,100,'Stuns target',1,3),
(64521,70164,9,100,'Does not affect Epic targets',1,4),
(64522,70164,9,100,'Inflicts 176 - 528 melee damage on target',0,5),
(64523,70165,1,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(64524,70165,1,100,'Throws target back',1,1),
(64525,70165,1,100,'Blurs vision of target',1,2),
(64526,70165,1,100,'Stuns target',1,3),
(64527,70165,1,100,'Does not affect Epic targets',1,4),
(64528,70165,1,100,'Inflicts 119 - 359 melee damage on target',0,5),
(64529,70165,2,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(64530,70165,2,100,'Throws target back',1,1),
(64531,70165,2,100,'Blurs vision of target',1,2),
(64532,70165,2,100,'Stuns target',1,3),
(64533,70165,2,100,'Does not affect Epic targets',1,4),
(64534,70165,2,100,'Inflicts 126 - 379 melee damage on target',0,5),
(64535,70165,3,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(64536,70165,3,100,'Throws target back',1,1),
(64537,70165,3,100,'Blurs vision of target',1,2),
(64538,70165,3,100,'Stuns target',1,3),
(64539,70165,3,100,'Does not affect Epic targets',1,4),
(64540,70165,3,100,'Inflicts 133 - 399 melee damage on target',0,5),
(64541,70165,4,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(64542,70165,4,100,'Throws target back',1,1),
(64543,70165,4,100,'Blurs vision of target',1,2),
(64544,70165,4,100,'Stuns target',1,3),
(64545,70165,4,100,'Does not affect Epic targets',1,4),
(64546,70165,4,100,'Inflicts 146 - 439 melee damage on target',0,5),
(64547,70165,5,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(64548,70165,5,100,'Throws target back',1,1),
(64549,70165,5,100,'Blurs vision of target',1,2),
(64550,70165,5,100,'Stuns target',1,3),
(64551,70165,5,100,'Does not affect Epic targets',1,4),
(64552,70165,5,100,'Inflicts 159 - 479 melee damage on target',0,5),
(64553,70165,7,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(64554,70165,7,100,'Throws target back',1,1),
(64555,70165,7,100,'Blurs vision of target',1,2),
(64556,70165,7,100,'Stuns target',1,3),
(64557,70165,7,100,'Does not affect Epic targets',1,4),
(64558,70165,7,100,'Inflicts 205 - 615 melee damage on target',0,5),
(64559,70165,9,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(64560,70165,9,100,'Throws target back',1,1),
(64561,70165,9,100,'Blurs vision of target',1,2),
(64562,70165,9,100,'Stuns target',1,3),
(64563,70165,9,100,'Does not affect Epic targets',1,4),
(64564,70165,9,100,'Inflicts 213 - 639 melee damage on target',0,5),
(64565,70166,1,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(64566,70166,1,100,'Throws target back',1,1),
(64567,70166,1,100,'Blurs vision of target',1,2),
(64568,70166,1,100,'Stuns target',1,3),
(64569,70166,1,100,'Does not affect Epic targets',1,4),
(64570,70166,1,100,'Inflicts 144 - 433 melee damage on target',0,5),
(64571,70166,4,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(64572,70166,4,100,'Throws target back',1,1),
(64573,70166,4,100,'Blurs vision of target',1,2),
(64574,70166,4,100,'Stuns target',1,3),
(64575,70166,4,100,'Does not affect Epic targets',1,4),
(64576,70166,4,100,'Inflicts 176 - 529 melee damage on target',0,5),
(64577,70166,5,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(64578,70166,5,100,'Throws target back',1,1),
(64579,70166,5,100,'Blurs vision of target',1,2),
(64580,70166,5,100,'Stuns target',1,3),
(64581,70166,5,100,'Does not affect Epic targets',1,4),
(64582,70166,5,100,'Inflicts 192 - 577 melee damage on target',0,5),
(64583,70166,7,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(64584,70166,7,100,'Throws target back',1,1),
(64585,70166,7,100,'Blurs vision of target',1,2),
(64586,70166,7,100,'Stuns target',1,3),
(64587,70166,7,100,'Does not affect Epic targets',1,4),
(64588,70166,7,100,'Inflicts 247 - 741 melee damage on target',0,5),
(64589,70166,9,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(64590,70166,9,100,'Throws target back',1,1),
(64591,70166,9,100,'Blurs vision of target',1,2),
(64592,70166,9,100,'Stuns target',1,3),
(64593,70166,9,100,'Does not affect Epic targets',1,4),
(64594,70166,9,100,'Inflicts 256 - 770 melee damage on target',0,5),
(64595,70167,1,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(64596,70167,1,100,'Throws target back',1,1),
(64597,70167,1,100,'Blurs vision of target',1,2),
(64598,70167,1,100,'Stuns target',1,3),
(64599,70167,1,100,'Does not affect Epic targets',1,4),
(64600,70167,1,100,'Inflicts 154 - 464 melee damage on target',0,5),
(64601,70167,4,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(64602,70167,4,100,'Throws target back',1,1),
(64603,70167,4,100,'Blurs vision of target',1,2),
(64604,70167,4,100,'Stuns target',1,3),
(64605,70167,4,100,'Does not affect Epic targets',1,4),
(64606,70167,4,100,'Inflicts 189 - 568 melee damage on target',0,5),
(64607,70167,5,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(64608,70167,5,100,'Throws target back',1,1),
(64609,70167,5,100,'Blurs vision of target',1,2),
(64610,70167,5,100,'Stuns target',1,3),
(64611,70167,5,100,'Does not affect Epic targets',1,4),
(64612,70167,5,100,'Inflicts 206 - 619 melee damage on target',0,5),
(64613,70167,7,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(64614,70167,7,100,'Throws target back',1,1),
(64615,70167,7,100,'Blurs vision of target',1,2),
(64616,70167,7,100,'Stuns target',1,3),
(64617,70167,7,100,'Does not affect Epic targets',1,4),
(64618,70167,7,100,'Inflicts 265 - 795 melee damage on target',0,5),
(64619,70167,9,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(64620,70167,9,100,'Throws target back',1,1),
(64621,70167,9,100,'Blurs vision of target',1,2),
(64622,70167,9,100,'Stuns target',1,3),
(64623,70167,9,100,'Does not affect Epic targets',1,4),
(64624,70167,9,100,'Inflicts 275 - 826 melee damage on target',0,5),
(64625,2000235,1,100,'Transfers 15% of target''s current Threat to the caster',0,0),
(64626,10012,1,100,'Increases Threat to target encounter by 350 - 427 ',0,0),
(64627,10012,2,100,'Increases Threat to target encounter by 369 - 451 ',0,0),
(64628,30177,2,100,'Increases Threat to target encounter by 369 - 451 ',0,0),
(64629,10012,3,100,'Increases Threat to target encounter by 388 - 475 ',0,0),
(64630,30177,3,100,'Increases Threat to target encounter by 388 - 475 ',0,0),
(64631,10012,4,100,'Increases Threat to target encounter by 427 - 522 ',0,0),
(64632,30177,4,100,'Increases Threat to target encounter by 427 - 522 ',0,0),
(64633,30177,5,100,'Increases Threat to target encounter by 466 - 570 ',0,0),
(64634,10012,5,100,'Increases Threat to target encounter by 466 - 570 ',0,0),
(64635,10012,7,100,'Increases Threat to target encounter by 598 - 731 ',0,0),
(64636,30177,7,100,'Increases Threat to target encounter by 598 - 731 ',0,0),
(64637,10012,9,100,'Increases Threat to target encounter by 622 - 760 ',0,0),
(64638,30177,9,100,'Increases Threat to target encounter by 622 - 760 ',0,0),
(64640,30178,1,100,'Increases Threat to target encounter by 967 - 1,182 ',0,0),
(64641,30178,2,100,'Increases Threat to target encounter by 1,021 - 1,248 ',0,0),
(64642,30178,3,100,'Increases Threat to target encounter by 1,075 - 1,296 ',0,0),
(64643,30178,4,100,'Increases Threat to target encounter by 1,182 - 1,372 ',0,0),
(64644,30178,5,100,'Increases Threat to target encounter by 1,283 - 1,448 ',0,0),
(64645,30178,7,100,'Increases Threat to target encounter by 1,493 - 1,705 ',0,0),
(64646,30178,9,100,'Increases Threat to target encounter by 1,530 - 1,751 ',0,0),
(64647,30178,10,100,'Increases Threat to target encounter by 1,580 - 1,811 ',0,0),
(64648,30179,1,100,'Increases Threat to target encounter by 1,535 - 1,757 ',0,0),
(64649,30179,2,100,'Increases Threat to target encounter by 1,591 - 1,824 ',0,0),
(64650,30179,3,100,'Increases Threat to target encounter by 1,646 - 1,892 ',0,0),
(64651,30179,4,100,'Increases Threat to target encounter by 1,757 - 2,027 ',0,0),
(64652,30179,5,100,'Increases Threat to target encounter by 1,867 - 2,162 ',0,0),
(64653,30179,7,100,'Increases Threat to target encounter by 2,244 - 2,622 ',0,0),
(64654,30179,9,100,'Increases Threat to target encounter by 2,310 - 2,703 ',0,0),
(64656,30180,2,100,'Increases Threat to target encounter by 2,156 - 2,515 ',0,0),
(64657,30180,3,100,'Increases Threat to target encounter by 2,241 - 2,619 ',0,0),
(64658,30180,4,100,'Increases Threat to target encounter by 2,411 - 2,827 ',0,0),
(64659,30180,5,100,'Increases Threat to target encounter by 2,581 - 3,035 ',0,0),
(64660,30180,7,100,'Increases Threat to target encounter by 3,160 - 3,742 ',0,0),
(64661,30180,9,100,'Increases Threat to target encounter by 3,262 - 3,867 ',0,0),
(64662,30180,10,100,'Increases Threat to target encounter by 3,398 - 4,033 ',0,0),
(64663,30181,1,100,'Increases Threat to target encounter by 2,672 - 3,146 ',0,0),
(64664,30181,2,100,'Increases Threat to target encounter by 2,791 - 3,291 ',0,0),
(64665,30181,3,100,'Increases Threat to target encounter by 2,909 - 3,436 ',0,0),
(64666,30181,4,100,'Increases Threat to target encounter by 3,146 - 3,725 ',0,0),
(64667,30181,5,100,'Increases Threat to target encounter by 3,383 - 4,015 ',0,0),
(64668,30181,7,100,'Increases Threat to target encounter by 4,189 - 4,999 ',0,0),
(64669,30181,9,100,'Increases Threat to target encounter by 4,331 - 5,173 ',0,0),
(64670,30181,10,100,'Increases Threat to target encounter by 4,520 - 5,405 ',0,0),
(64671,30182,1,100,'Increases Threat to target encounter by 3,300 - 3,914 ',0,0),
(64672,30182,2,100,'Increases Threat to target encounter by 3,454 - 4,101 ',0,0),
(64673,30182,3,100,'Increases Threat to target encounter by 3,607 - 4,289 ',0,0),
(64674,30182,4,100,'Increases Threat to target encounter by 3,914 - 4,664 ',0,0),
(64675,30182,5,100,'Increases Threat to target encounter by 4,220 - 5,038 ',0,0),
(64676,30182,7,100,'Increases Threat to target encounter by 5,263 - 6,313 ',0,0),
(64677,30182,9,100,'Increases Threat to target encounter by 5,447 - 6,538 ',0,0),
(64678,30183,1,100,'Increases Threat to target encounter by 3,909 - 4,658 ',0,0),
(64679,30183,4,100,'Increases Threat to target encounter by 4,658 - 5,573 ',0,0),
(64680,30183,5,100,'Increases Threat to target encounter by 5,032 - 6,030 ',0,0),
(64681,30183,7,100,'Increases Threat to target encounter by 6,305 - 7,586 ',0,0),
(64682,30183,9,100,'Increases Threat to target encounter by 6,530 - 7,861 ',0,0),
(64683,30184,1,100,'Increases Threat to target encounter by 4,517 - 5,401 ',0,0),
(64684,30184,4,100,'Increases Threat to target encounter by 5,401 - 6,482 ',0,0),
(64685,30184,5,100,'Increases Threat to target encounter by 5,843 - 7,022 ',0,0),
(64686,30184,7,100,'Increases Threat to target encounter by 7,346 - 8,859 ',0,0),
(64687,30184,9,100,'Increases Threat to target encounter by 7,611 - 9,183 ',0,0),
(64688,2000236,1,100,'Inflicts 2 - 3 melee damage on target',0,0),
(64689,2000236,1,100,'Stuns target',0,1),
(64690,2000236,1,100,'If Target is not Epic',1,2),
(64691,2000236,1,100,'The damage is multiplied by the amount of increments of Thug''s Poison on the target.',0,3),
(64692,2000236,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(64693,420095,3,100,'Applies Shrink Servant to qualifying pets.',0,0),
(64694,420095,3,100,'Shrinks target by 35.0%',1,1),
(64695,350000,1,100,'Grants stealth to caster',0,0),
(64696,350000,1,100,'Suspends caster''s movement speed enhancements',0,1),
(64697,380011,1,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(64698,380011,1,100,'Grants stealth to caster',1,1),
(64699,380011,1,100,'Suspends caster''s movement speed enhancements',1,2),
(64700,380011,1,100,'Inflicts 52 - 87 melee damage on target',0,3),
(64701,380011,1,100,'Must be flanking or behind',0,4),
(64702,380011,2,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(64703,380011,2,100,'Grants stealth to caster',1,1),
(64704,380011,2,100,'Suspends caster''s movement speed enhancements',1,2),
(64705,380011,2,100,'Inflicts 55 - 92 melee damage on target',0,3),
(64706,380011,2,100,'Must be flanking or behind',0,4),
(64707,380011,3,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(64708,380011,3,100,'Grants stealth to caster',1,1),
(64709,380011,3,100,'Suspends caster''s movement speed enhancements',1,2),
(64710,380011,3,100,'Inflicts 58 - 97 melee damage on target',0,3),
(64711,380011,3,100,'Must be flanking or behind',0,4),
(64712,380011,4,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(64713,380011,4,100,'Grants stealth to caster',1,1),
(64714,380011,4,100,'Suspends caster''s movement speed enhancements',1,2),
(64715,380011,4,100,'Inflicts 64 - 106 melee damage on target',0,3),
(64716,380011,4,100,'Must be flanking or behind',0,4),
(64717,380011,5,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(64718,380011,5,100,'Grants stealth to caster',1,1),
(64719,380011,5,100,'Suspends caster''s movement speed enhancements',1,2),
(64720,380011,5,100,'Inflicts 69 - 116 melee damage on target',0,3),
(64721,380011,5,100,'Must be flanking or behind',0,4),
(64722,380011,7,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(64723,380011,7,100,'Grants stealth to caster',1,1),
(64724,380011,7,100,'Suspends caster''s movement speed enhancements',1,2),
(64725,380011,7,100,'Inflicts 89 - 149 melee damage on target',0,3),
(64726,380011,7,100,'Must be flanking or behind',0,4),
(64727,380011,9,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(64728,380011,9,100,'Grants stealth to caster',1,1),
(64729,380011,9,100,'Suspends caster''s movement speed enhancements',1,2),
(64730,380011,9,100,'Inflicts 93 - 155 melee damage on target',0,3),
(64731,380011,9,100,'Must be flanking or behind',0,4),
(64732,70168,1,100,'Grants target a 13% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(64733,70168,1,100,'Adds 0.8% to base avoidance.',0,1),
(64734,70168,2,100,'Grants target a 14% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(64735,70168,2,100,'Adds 0.9% to base avoidance.',0,1),
(64736,70168,3,100,'Grants target a 15% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(64737,70168,3,100,'Adds 0.9% to base avoidance.',0,1),
(64738,70168,4,100,'Grants target a 17% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(64739,70168,4,100,'Adds 1.0% to base avoidance.',0,1),
(64740,70168,5,100,'Grants target a 18% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(64741,70168,5,100,'Adds 1.1% to base avoidance.',0,1),
(64742,70168,7,100,'Grants target a 23% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(64743,70168,7,100,'Adds 1.4% to base avoidance.',0,1),
(64744,70168,9,100,'Grants target a 24% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(64745,70168,9,100,'Adds 1.5% to base avoidance.',0,1),
(64746,70169,1,100,'Grants target a 18% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(64747,70169,1,100,'Adds 0.8% to base avoidance.',0,1),
(64748,70169,2,100,'Grants target a 19% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(64749,70169,2,100,'Adds 0.9% to base avoidance.',0,1),
(64750,70169,3,100,'Grants target a 21% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(64751,70169,3,100,'Adds 0.9% to base avoidance.',0,1),
(64752,70169,4,100,'Grants target a 23% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(64753,70169,4,100,'Adds 1.0% to base avoidance.',0,1),
(64754,70169,5,100,'Grants target a 25% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(64755,70169,5,100,'Adds 1.1% to base avoidance.',0,1),
(64756,70169,7,100,'Grants target a 32% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(64757,70169,7,100,'Adds 1.4% to base avoidance.',0,1),
(64758,70169,9,100,'Grants target a 33% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(64759,70169,9,100,'Adds 1.5% to base avoidance.',0,1),
(64760,70169,10,100,'Grants target a 35% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(64761,70169,10,100,'Adds 1.5% to base avoidance.',0,1),
(64762,70170,1,100,'Grants target a 25% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(64763,70170,1,100,'Adds 0.8% to base avoidance.',0,1),
(64764,70170,2,100,'Grants target a 26% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(64765,70170,2,100,'Adds 0.9% to base avoidance.',0,1),
(64766,70170,3,100,'Grants target a 28% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(64767,70170,3,100,'Adds 0.9% to base avoidance.',0,1),
(64768,70170,4,100,'Grants target a 30% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(64769,70170,4,100,'Adds 1.0% to base avoidance.',0,1),
(64770,70170,5,100,'Grants target a 33% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(64771,70170,5,100,'Adds 1.1% to base avoidance.',0,1),
(64772,70170,7,100,'Grants target a 43% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(64773,70170,7,100,'Adds 1.4% to base avoidance.',0,1),
(64774,70170,9,100,'Grants target a 44% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(64775,70170,9,100,'Adds 1.5% to base avoidance.',0,1),
(64776,70171,1,100,'Grants target a 30% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(64777,70171,1,100,'Adds 0.8% to base avoidance.',0,1),
(64778,70171,2,100,'Grants target a 32% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(64779,70171,2,100,'Adds 0.9% to base avoidance.',0,1),
(64780,70171,3,100,'Grants target a 34% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(64781,70171,3,100,'Adds 0.9% to base avoidance.',0,1),
(64782,70171,4,100,'Grants target a 37% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(64783,70171,4,100,'Adds 1.0% to base avoidance.',0,1),
(64784,70171,5,100,'Grants target a 40% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(64785,70171,5,100,'Adds 1.1% to base avoidance.',0,1),
(64786,70171,7,100,'Grants target a 52% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(64787,70171,7,100,'Adds 1.4% to base avoidance.',0,1),
(64788,70171,9,100,'Grants target a 54% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(64789,70171,9,100,'Adds 1.5% to base avoidance.',0,1),
(64790,100091,1,100,'Transfers 20% of group members (AE)''s current Threat to the caster',0,0),
(64791,100091,2,100,'Transfers 21% of group members (AE)''s current Threat to the caster',0,0),
(64792,100091,3,100,'Transfers 22% of group members (AE)''s current Threat to the caster',0,0),
(64793,100091,4,100,'Transfers 25% of group members (AE)''s current Threat to the caster',0,0),
(64794,100091,5,100,'Transfers 27% of group members (AE)''s current Threat to the caster',0,0),
(64795,100091,7,100,'Transfers 35% of group members (AE)''s current Threat to the caster',0,0),
(64796,100091,9,100,'Transfers 36% of group members (AE)''s current Threat to the caster',0,0),
(64797,60154,1,100,'Inflicts 120 - 200 melee damage on target',0,0),
(64798,60154,1,100,'Stifles target',0,1),
(64799,60154,1,100,'If Target is not Epic',1,2),
(64800,60154,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(64801,60154,2,100,'Inflicts 127 - 211 melee damage on target',0,0),
(64802,60154,2,100,'Stifles target',0,1),
(64803,60154,2,100,'If Target is not Epic',1,2),
(64804,60154,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(64805,60154,3,100,'Inflicts 133 - 223 melee damage on target',0,0),
(64806,60154,3,100,'Stifles target',0,1),
(64807,60154,3,100,'If Target is not Epic',1,2),
(64808,60154,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(64809,60154,4,100,'Inflicts 147 - 245 melee damage on target',0,0),
(64810,60154,4,100,'Stifles target',0,1),
(64811,60154,4,100,'If Target is not Epic',1,2),
(64812,60154,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(64813,60154,5,100,'Inflicts 160 - 267 melee damage on target',0,0),
(64814,60154,5,100,'Stifles target',0,1),
(64815,60154,5,100,'If Target is not Epic',1,2),
(64816,60154,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(64817,60154,7,100,'Inflicts 206 - 343 melee damage on target',0,0),
(64818,60154,7,100,'Stifles target',0,1),
(64819,60154,7,100,'If Target is not Epic',1,2),
(64820,60154,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(64821,60154,9,100,'Inflicts 214 - 356 melee damage on target',0,0),
(64822,60154,9,100,'Stifles target',0,1),
(64823,60154,9,100,'If Target is not Epic',1,2),
(64824,60154,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(64825,60155,1,100,'Inflicts 181 - 302 melee damage on target',0,0),
(64826,60155,1,100,'Stifles target',0,1),
(64827,60155,1,100,'If Target is not Epic',1,2),
(64828,60155,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(64829,60155,2,100,'Inflicts 191 - 318 melee damage on target',0,0),
(64830,60155,2,100,'Stifles target',0,1),
(64831,60155,2,100,'If Target is not Epic',1,2),
(64832,60155,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(64833,60155,3,100,'Inflicts 201 - 335 melee damage on target',0,0),
(64834,60155,3,100,'Stifles target',0,1),
(64835,60155,3,100,'If Target is not Epic',1,2),
(64836,60155,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(64837,60155,4,100,'Inflicts 221 - 369 melee damage on target',0,0),
(64838,60155,4,100,'Stifles target',0,1),
(64839,60155,4,100,'If Target is not Epic',1,2),
(64840,60155,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(64841,60155,5,100,'Inflicts 241 - 402 melee damage on target',0,0),
(64842,60155,5,100,'Stifles target',0,1),
(64843,60155,5,100,'If Target is not Epic',1,2),
(64844,60155,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(64845,60155,7,100,'Inflicts 310 - 516 melee damage on target',0,0),
(64846,60155,7,100,'Stifles target',0,1),
(64847,60155,7,100,'If Target is not Epic',1,2),
(64848,60155,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(64849,60155,9,100,'Inflicts 322 - 537 melee damage on target',0,0),
(64850,60155,9,100,'Stifles target',0,1),
(64851,60155,9,100,'If Target is not Epic',1,2),
(64852,60155,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(64853,60156,1,100,'Inflicts 219 - 366 melee damage on target',0,0),
(64854,60156,1,100,'Stifles target',0,1),
(64855,60156,1,100,'If Target is not Epic',1,2),
(64856,60156,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(64857,60156,2,100,'Inflicts 232 - 386 melee damage on target',0,0),
(64858,60156,2,100,'Stifles target',0,1),
(64859,60156,2,100,'If Target is not Epic',1,2),
(64860,60156,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(64861,60156,4,100,'Inflicts 268 - 447 melee damage on target',0,0),
(64862,60156,4,100,'Stifles target',0,1),
(64863,60156,4,100,'If Target is not Epic',1,2),
(64864,60156,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(64865,60156,5,100,'Inflicts 293 - 488 melee damage on target',0,0),
(64866,60156,5,100,'Stifles target',0,1),
(64867,60156,5,100,'If Target is not Epic',1,2),
(64868,60156,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(64869,60156,7,100,'Inflicts 376 - 626 melee damage on target',0,0),
(64870,60156,7,100,'Stifles target',0,1),
(64871,60156,7,100,'If Target is not Epic',1,2),
(64872,60156,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(64873,60156,9,100,'Inflicts 390 - 651 melee damage on target',0,0),
(64874,60156,9,100,'Stifles target',0,1),
(64875,60156,9,100,'If Target is not Epic',1,2),
(64876,60156,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(64877,60157,1,100,'Inflicts 264 - 440 melee damage on target',0,0),
(64878,60157,1,100,'Stifles target',0,1),
(64879,60157,1,100,'If Target is not Epic',1,2),
(64880,60157,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(64881,60157,4,100,'Inflicts 323 - 538 melee damage on target',0,0),
(64882,60157,4,100,'Stifles target',0,1),
(64883,60157,4,100,'If Target is not Epic',1,2),
(64884,60157,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(64885,60157,5,100,'Inflicts 352 - 587 melee damage on target',0,0),
(64886,60157,5,100,'Stifles target',0,1),
(64887,60157,5,100,'If Target is not Epic',1,2),
(64888,60157,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(64889,60157,7,100,'Inflicts 452 - 754 melee damage on target',0,0),
(64890,60157,7,100,'Stifles target',0,1),
(64891,60157,7,100,'If Target is not Epic',1,2),
(64892,60157,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(64893,60157,9,100,'Inflicts 470 - 783 melee damage on target',0,0),
(64894,60157,9,100,'Stifles target',0,1),
(64895,60157,9,100,'If Target is not Epic',1,2),
(64896,60157,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(64897,60158,1,100,'Inflicts 280 - 467 melee damage on target',0,0),
(64898,60158,1,100,'Stifles target',0,1),
(64899,60158,1,100,'If Target is not Epic',1,2),
(64900,60158,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(64901,60158,4,100,'Inflicts 342 - 571 melee damage on target',0,0),
(64902,60158,4,100,'Stifles target',0,1),
(64903,60158,4,100,'If Target is not Epic',1,2),
(64904,60158,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(64905,60158,5,100,'Inflicts 374 - 623 melee damage on target',0,0),
(64906,60158,5,100,'Stifles target',0,1),
(64907,60158,5,100,'If Target is not Epic',1,2),
(64908,60158,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(64909,60158,7,100,'Inflicts 480 - 800 melee damage on target',0,0),
(64910,60158,7,100,'Stifles target',0,1),
(64911,60158,7,100,'If Target is not Epic',1,2),
(64912,60158,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(64913,60158,9,100,'Inflicts 498 - 831 melee damage on target',0,0),
(64914,60158,9,100,'Stifles target',0,1),
(64915,60158,9,100,'If Target is not Epic',1,2),
(64916,60158,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(64917,60159,4,100,'Increases Threat to target by 166 - 202 ',0,0),
(64918,60159,5,100,'Increases Threat to target by 181 - 221 ',0,0),
(64919,60159,7,100,'Increases Threat to target by 232 - 284 ',0,0),
(64920,60159,9,100,'Increases Threat to target by 241 - 295 ',0,0),
(64921,60160,2,100,'Increases Threat to target by 552 - 675 ',0,0),
(64922,60160,3,100,'Increases Threat to target by 581 - 710 ',0,0),
(64923,60160,4,100,'Increases Threat to target by 639 - 781 ',0,0),
(64924,60160,5,100,'Increases Threat to target by 697 - 852 ',0,0),
(64925,60160,7,100,'Increases Threat to target by 895 - 1,094 ',0,0),
(64926,60160,9,100,'Increases Threat to target by 930 - 1,137 ',0,0),
(64928,60161,1,100,'Increases Threat to target by 977 - 1,194 ',0,0),
(64929,60161,2,100,'Increases Threat to target by 1,031 - 1,260 ',0,0),
(64930,60161,3,100,'Increases Threat to target by 1,085 - 1,305 ',0,0),
(64931,60161,4,100,'Increases Threat to target by 1,194 - 1,382 ',0,0),
(64932,60161,5,100,'Increases Threat to target by 1,292 - 1,459 ',0,0),
(64933,60161,7,100,'Increases Threat to target by 1,505 - 1,719 ',0,0),
(64934,60161,9,100,'Increases Threat to target by 1,542 - 1,765 ',0,0),
(64935,60162,1,100,'Increases Threat to target by 1,653 - 1,900 ',0,0),
(64936,60162,2,100,'Increases Threat to target by 1,715 - 1,976 ',0,0),
(64937,60162,3,100,'Increases Threat to target by 1,777 - 2,052 ',0,0),
(64938,60162,4,100,'Increases Threat to target by 1,900 - 2,203 ',0,0),
(64939,60162,5,100,'Increases Threat to target by 2,024 - 2,354 ',0,0),
(64940,60162,7,100,'Increases Threat to target by 2,445 - 2,868 ',0,0),
(64941,60162,9,100,'Increases Threat to target by 2,519 - 2,959 ',0,0),
(64942,60162,10,100,'Increases Threat to target by 2,618 - 3,080 ',0,0),
(64943,60163,1,100,'Increases Threat to target by 5,519 - 6,625 ',0,0),
(64944,60163,4,100,'Increases Threat to target by 6,625 - 7,978 ',0,0),
(64945,60163,5,100,'Increases Threat to target by 7,179 - 8,654 ',0,0),
(64946,60163,7,100,'Increases Threat to target by 9,060 - 10,953 ',0,0),
(64947,60163,9,100,'Increases Threat to target by 9,392 - 11,359 ',0,0),
(64949,60164,1,100,'Increases Threat to target by 2,310 - 2,703 ',0,0),
(64950,60164,2,100,'Increases Threat to target by 2,408 - 2,824 ',0,0),
(64951,60164,3,100,'Increases Threat to target by 2,507 - 2,944 ',0,0),
(64952,60164,4,100,'Increases Threat to target by 2,703 - 3,184 ',0,0),
(64953,60164,5,100,'Increases Threat to target by 2,900 - 3,425 ',0,0),
(64954,60164,7,100,'Increases Threat to target by 3,569 - 4,242 ',0,0),
(64955,60164,9,100,'Increases Threat to target by 3,687 - 4,386 ',0,0),
(64956,60165,1,100,'Increases Threat to target by 3,092 - 3,660 ',0,0),
(64957,60165,2,100,'Increases Threat to target by 3,234 - 3,833 ',0,0),
(64958,60165,3,100,'Increases Threat to target by 3,376 - 4,006 ',0,0),
(64959,60165,4,100,'Increases Threat to target by 3,660 - 4,353 ',0,0),
(64960,60165,5,100,'Increases Threat to target by 3,943 - 4,700 ',0,0),
(64961,60165,7,100,'Increases Threat to target by 4,908 - 5,879 ',0,0),
(64962,60165,9,100,'Increases Threat to target by 5,078 - 6,087 ',0,0),
(64963,60166,1,100,'Increases Threat to target by 3,896 - 4,642 ',0,0),
(64964,60166,2,100,'Increases Threat to target by 4,082 - 4,869 ',0,0),
(64965,60166,3,100,'Increases Threat to target by 4,269 - 5,097 ',0,0),
(64966,60166,4,100,'Increases Threat to target by 4,642 - 5,553 ',0,0),
(64967,60166,5,100,'Increases Threat to target by 5,014 - 6,009 ',0,0),
(64968,60166,7,100,'Increases Threat to target by 6,282 - 7,559 ',0,0),
(64969,60166,9,100,'Increases Threat to target by 6,506 - 7,832 ',0,0),
(64970,60166,10,100,'Increases Threat to target by 6,804 - 8,197 ',0,0),
(64971,60167,1,100,'Increases Threat to target by 4,707 - 5,634 ',0,0),
(64972,60167,4,100,'Increases Threat to target by 5,634 - 6,766 ',0,0),
(64973,60167,5,100,'Increases Threat to target by 6,097 - 7,332 ',0,0),
(64974,60167,7,100,'Increases Threat to target by 7,671 - 9,256 ',0,0),
(64975,60167,9,100,'Increases Threat to target by 7,949 - 9,596 ',0,0),
(64977,2000237,3,100,'Heals group members (AE) for 2 - 4',0,0),
(64978,2000237,4,100,'Heals group members (AE) for 3 - 4',0,0),
(64979,2000237,5,100,'Heals group members (AE) for 3 - 5',0,0),
(64980,2000237,7,100,'Heals group members (AE) for 3 - 5',0,0),
(64981,2000237,9,100,'Heals group members (AE) for 4 - 6',0,0),
(64982,2000237,10,100,'Heals group members (AE) for 4 - 6',0,0),
(64983,2000238,3,100,'Inflicts 2 - 3 slashing damage on target',0,0),
(64984,2000238,3,100,'Heals caster for 1 - 2',0,1),
(64985,2000238,4,100,'Inflicts 2 - 4 slashing damage on target',0,0),
(64986,2000238,4,100,'Inflicts 3 - 6 slashing damage on target',0,1),
(64987,2000238,5,100,'Inflicts 2 - 4 slashing damage on target',0,0),
(64988,2000238,5,100,'Inflicts 4 - 6 slashing damage on target',0,1),
(64989,2000238,7,100,'Inflicts 3 - 5 slashing damage on target',0,0),
(64990,2000238,7,100,'Inflicts 4 - 7 slashing damage on target',0,1),
(64991,2000238,9,100,'Inflicts 3 - 6 slashing damage on target',0,0),
(64992,2000238,9,100,'Inflicts 5 - 8 slashing damage on target',0,1),
(64993,2000238,10,100,'Inflicts 3 - 6 slashing damage on target',0,0),
(64994,2000238,10,100,'Inflicts 5 - 9 slashing damage on target',0,1),
(64995,350001,1,100,'Inflicts 22 - 36 mental damage on target',0,0),
(64996,350001,1,100,'Inflicts 22 - 36 mental damage on target',0,1),
(64999,350001,1,100,'If weapon equipped in Ranged',0,2),
(65001,360042,1,100,'Inflicts 24 - 41 mental damage on target',0,0),
(65002,360042,1,100,'Inflicts 24 - 41 mental damage on target',0,1),
(65003,360042,1,100,'Stifles target',0,2),
(65004,360042,1,100,'If Target is not Epic',1,3),
(65005,360042,1,100,'If weapon equipped in Ranged',0,4),
(65006,360042,1,100,'Resistibility increases against targets higher than level 29.',0,5),
(65007,350001,2,100,'Inflicts 23 - 38 mental damage on target',0,0),
(65008,350001,2,100,'Inflicts 23 - 38 mental damage on target',0,1),
(65011,350001,2,100,'If weapon equipped in Ranged',0,2),
(65013,360042,2,100,'Inflicts 26 - 43 mental damage on target',0,0),
(65014,360042,2,100,'Inflicts 26 - 43 mental damage on target',0,1),
(65015,360042,2,100,'Stifles target',0,2),
(65016,360042,2,100,'If Target is not Epic',1,3),
(65017,360042,2,100,'If weapon equipped in Ranged',0,4),
(65018,360042,2,100,'Resistibility increases against targets higher than level 29.',0,5),
(65019,350001,3,100,'Inflicts 24 - 41 mental damage on target',0,0),
(65020,350001,3,100,'Inflicts 24 - 41 mental damage on target',0,1),
(65023,350001,3,100,'If weapon equipped in Ranged',0,2),
(65025,360042,3,100,'Inflicts 27 - 46 mental damage on target',0,0),
(65026,360042,3,100,'Inflicts 27 - 46 mental damage on target',0,1),
(65027,360042,3,100,'Stifles target',0,2),
(65028,360042,3,100,'If Target is not Epic',1,3),
(65029,360042,3,100,'If weapon equipped in Ranged',0,4),
(65030,360042,3,100,'Resistibility increases against targets higher than level 29.',0,5),
(65031,350001,4,100,'Inflicts 27 - 45 mental damage on target',0,0),
(65032,350001,4,100,'Inflicts 27 - 45 mental damage on target',0,1),
(65035,350001,4,100,'If weapon equipped in Ranged',0,2),
(65037,360042,4,100,'Inflicts 30 - 50 mental damage on target',0,0),
(65038,360042,4,100,'Inflicts 30 - 50 mental damage on target',0,1),
(65039,360042,4,100,'Stifles target',0,2),
(65040,360042,4,100,'If Target is not Epic',1,3),
(65041,360042,4,100,'If weapon equipped in Ranged',0,4),
(65042,360042,4,100,'Resistibility increases against targets higher than level 29.',0,5),
(65043,360042,5,100,'Inflicts 33 - 55 mental damage on target',0,0),
(65044,360042,5,100,'Inflicts 33 - 55 mental damage on target',0,1),
(65045,360042,5,100,'Stifles target',0,2),
(65046,360042,5,100,'If Target is not Epic',1,3),
(65047,360042,5,100,'If weapon equipped in Ranged',0,4),
(65048,360042,5,100,'Resistibility increases against targets higher than level 29.',0,5),
(65049,350001,5,100,'Inflicts 29 - 49 mental damage on target',0,0),
(65050,350001,5,100,'Inflicts 29 - 49 mental damage on target',0,1),
(65053,350001,5,100,'If weapon equipped in Ranged',0,2),
(65055,350001,7,100,'Inflicts 37 - 63 mental damage on target',0,0),
(65056,350001,7,100,'Inflicts 37 - 63 mental damage on target',0,1),
(65059,350001,7,100,'If weapon equipped in Ranged',0,2),
(65061,360042,7,100,'Inflicts 42 - 71 mental damage on target',0,0),
(65062,360042,7,100,'Inflicts 42 - 71 mental damage on target',0,1),
(65063,360042,7,100,'Stifles target',0,2),
(65064,360042,7,100,'If Target is not Epic',1,3),
(65065,360042,7,100,'If weapon equipped in Ranged',0,4),
(65066,360042,7,100,'Resistibility increases against targets higher than level 29.',0,5),
(65067,350001,9,100,'Inflicts 39 - 65 mental damage on target',0,0),
(65068,350001,9,100,'Inflicts 39 - 65 mental damage on target',0,1),
(65071,350001,9,100,'If weapon equipped in Ranged',0,2),
(65073,360042,9,100,'Inflicts 44 - 73 mental damage on target',0,0),
(65074,360042,9,100,'Inflicts 44 - 73 mental damage on target',0,1),
(65075,360042,9,100,'Stifles target',0,2),
(65076,360042,9,100,'If Target is not Epic',1,3),
(65077,360042,9,100,'If weapon equipped in Ranged',0,4),
(65078,360042,9,100,'Resistibility increases against targets higher than level 29.',0,5),
(65079,360043,1,100,'Inflicts 49 - 82 mental damage on target',0,0),
(65080,360043,1,100,'Inflicts 49 - 82 mental damage on target',0,1),
(65081,360043,1,100,'Stifles target',0,2),
(65082,360043,1,100,'If Target is not Epic',1,3),
(65083,360043,1,100,'If weapon equipped in Ranged',0,4),
(65084,360043,1,100,'Resistibility increases against targets higher than level 29.',0,5),
(65085,360043,2,100,'Inflicts 52 - 86 mental damage on target',0,0),
(65086,360043,2,100,'Inflicts 52 - 86 mental damage on target',0,1),
(65087,360043,2,100,'Stifles target',0,2),
(65088,360043,2,100,'If Target is not Epic',1,3),
(65089,360043,2,100,'If weapon equipped in Ranged',0,4),
(65090,360043,2,100,'Resistibility increases against targets higher than level 29.',0,5),
(65091,360043,3,100,'Inflicts 54 - 91 mental damage on target',0,0),
(65092,360043,3,100,'Inflicts 54 - 91 mental damage on target',0,1),
(65093,360043,3,100,'Stifles target',0,2),
(65094,360043,3,100,'If Target is not Epic',1,3),
(65095,360043,3,100,'If weapon equipped in Ranged',0,4),
(65096,360043,3,100,'Resistibility increases against targets higher than level 29.',0,5),
(65097,360043,4,100,'Inflicts 60 - 100 mental damage on target',0,0),
(65098,360043,4,100,'Inflicts 60 - 100 mental damage on target',0,1),
(65099,360043,4,100,'Stifles target',0,2),
(65100,360043,4,100,'If Target is not Epic',1,3),
(65101,360043,4,100,'If weapon equipped in Ranged',0,4),
(65102,360043,4,100,'Resistibility increases against targets higher than level 29.',0,5),
(65103,360043,5,100,'Inflicts 65 - 109 mental damage on target',0,0),
(65104,360043,5,100,'Inflicts 65 - 109 mental damage on target',0,1),
(65105,360043,5,100,'Stifles target',0,2),
(65106,360043,5,100,'If Target is not Epic',1,3),
(65107,360043,5,100,'If weapon equipped in Ranged',0,4),
(65108,360043,5,100,'Resistibility increases against targets higher than level 29.',0,5),
(65109,360043,7,100,'Inflicts 84 - 140 mental damage on target',0,0),
(65110,360043,7,100,'Inflicts 84 - 140 mental damage on target',0,1),
(65111,360043,7,100,'Stifles target',0,2),
(65112,360043,7,100,'If Target is not Epic',1,3),
(65113,360043,7,100,'If weapon equipped in Ranged',0,4),
(65114,360043,7,100,'Resistibility increases against targets higher than level 29.',0,5),
(65115,360043,9,100,'Inflicts 87 - 145 mental damage on target',0,0),
(65116,360043,9,100,'Inflicts 87 - 145 mental damage on target',0,1),
(65117,360043,9,100,'Stifles target',0,2),
(65118,360043,9,100,'If Target is not Epic',1,3),
(65119,360043,9,100,'If weapon equipped in Ranged',0,4),
(65120,360043,9,100,'Resistibility increases against targets higher than level 29.',0,5),
(65121,360044,1,100,'Inflicts 76 - 127 mental damage on target',0,0),
(65122,360044,1,100,'Inflicts 76 - 127 mental damage on target',0,1),
(65123,360044,1,100,'Stifles target',0,2),
(65124,360044,1,100,'If Target is not Epic',1,3),
(65125,360044,1,100,'If weapon equipped in Ranged',0,4),
(65126,360044,1,100,'Resistibility increases against targets higher than level 29.',0,5),
(65127,360044,2,100,'Inflicts 80 - 134 mental damage on target',0,0),
(65128,360044,2,100,'Inflicts 80 - 134 mental damage on target',0,1),
(65129,360044,2,100,'Stifles target',0,2),
(65130,360044,2,100,'If Target is not Epic',1,3),
(65131,360044,2,100,'If weapon equipped in Ranged',0,4),
(65132,360044,2,100,'Resistibility increases against targets higher than level 29.',0,5),
(65133,360044,3,100,'Inflicts 85 - 141 mental damage on target',0,0),
(65134,360044,3,100,'Inflicts 85 - 141 mental damage on target',0,1),
(65135,360044,3,100,'Stifles target',0,2),
(65136,360044,3,100,'If Target is not Epic',1,3),
(65137,360044,3,100,'If weapon equipped in Ranged',0,4),
(65138,360044,3,100,'Resistibility increases against targets higher than level 29.',0,5),
(65139,360044,4,100,'Inflicts 93 - 156 mental damage on target',0,0),
(65140,360044,4,100,'Inflicts 93 - 156 mental damage on target',0,1),
(65141,360044,4,100,'Stifles target',0,2),
(65142,360044,4,100,'If Target is not Epic',1,3),
(65143,360044,4,100,'If weapon equipped in Ranged',0,4),
(65144,360044,4,100,'Resistibility increases against targets higher than level 29.',0,5),
(65145,360044,5,100,'Inflicts 102 - 170 mental damage on target',0,0),
(65146,360044,5,100,'Inflicts 102 - 170 mental damage on target',0,1),
(65147,360044,5,100,'Stifles target',0,2),
(65148,360044,5,100,'If Target is not Epic',1,3),
(65149,360044,5,100,'If weapon equipped in Ranged',0,4),
(65150,360044,5,100,'Resistibility increases against targets higher than level 29.',0,5),
(65151,360044,7,100,'Inflicts 131 - 218 mental damage on target',0,0),
(65152,360044,7,100,'Inflicts 131 - 218 mental damage on target',0,1),
(65153,360044,7,100,'Stifles target',0,2),
(65154,360044,7,100,'If Target is not Epic',1,3),
(65155,360044,7,100,'If weapon equipped in Ranged',0,4),
(65156,360044,7,100,'Resistibility increases against targets higher than level 29.',0,5),
(65157,360044,9,100,'Inflicts 136 - 227 mental damage on target',0,0),
(65158,360044,9,100,'Inflicts 136 - 227 mental damage on target',0,1),
(65159,360044,9,100,'Stifles target',0,2),
(65160,360044,9,100,'If Target is not Epic',1,3),
(65161,360044,9,100,'If weapon equipped in Ranged',0,4),
(65162,360044,9,100,'Resistibility increases against targets higher than level 29.',0,5),
(65163,360045,1,100,'Inflicts 108 - 180 mental damage on target',0,0),
(65164,360045,1,100,'Inflicts 108 - 180 mental damage on target',0,1),
(65165,360045,1,100,'Stifles target',0,2),
(65166,360045,1,100,'If Target is not Epic',1,3),
(65167,360045,1,100,'If weapon equipped in Ranged',0,4),
(65168,360045,1,100,'Resistibility increases against targets higher than level 29.',0,5),
(65169,360045,2,100,'Inflicts 114 - 191 mental damage on target',0,0),
(65170,360045,2,100,'Inflicts 114 - 191 mental damage on target',0,1),
(65171,360045,2,100,'Stifles target',0,2),
(65172,360045,2,100,'If Target is not Epic',1,3),
(65173,360045,2,100,'If weapon equipped in Ranged',0,4),
(65174,360045,2,100,'Resistibility increases against targets higher than level 29.',0,5),
(65175,360045,3,100,'Inflicts 120 - 201 mental damage on target',0,0),
(65176,360045,3,100,'Inflicts 120 - 201 mental damage on target',0,1),
(65177,360045,3,100,'Stifles target',0,2),
(65178,360045,3,100,'If Target is not Epic',1,3),
(65179,360045,3,100,'If weapon equipped in Ranged',0,4),
(65180,360045,3,100,'Resistibility increases against targets higher than level 29.',0,5),
(65181,360045,4,100,'Inflicts 132 - 221 mental damage on target',0,0),
(65182,360045,4,100,'Inflicts 132 - 221 mental damage on target',0,1),
(65183,360045,4,100,'Stifles target',0,2),
(65184,360045,4,100,'If Target is not Epic',1,3),
(65185,360045,4,100,'If weapon equipped in Ranged',0,4),
(65186,360045,4,100,'Resistibility increases against targets higher than level 29.',0,5),
(65187,360045,5,100,'Inflicts 144 - 241 mental damage on target',0,0),
(65188,360045,5,100,'Inflicts 144 - 241 mental damage on target',0,1),
(65189,360045,5,100,'Stifles target',0,2),
(65190,360045,5,100,'If Target is not Epic',1,3),
(65191,360045,5,100,'If weapon equipped in Ranged',0,4),
(65192,360045,5,100,'Resistibility increases against targets higher than level 29.',0,5),
(65193,360045,7,100,'Inflicts 185 - 309 mental damage on target',0,0),
(65194,360045,7,100,'Inflicts 185 - 309 mental damage on target',0,1),
(65195,360045,7,100,'Stifles target',0,2),
(65196,360045,7,100,'If Target is not Epic',1,3),
(65197,360045,7,100,'If weapon equipped in Ranged',0,4),
(65198,360045,7,100,'Resistibility increases against targets higher than level 29.',0,5),
(65199,360045,9,100,'Inflicts 193 - 321 mental damage on target',0,0),
(65200,360045,9,100,'Inflicts 193 - 321 mental damage on target',0,1),
(65201,360045,9,100,'Stifles target',0,2),
(65202,360045,9,100,'If Target is not Epic',1,3),
(65203,360045,9,100,'If weapon equipped in Ranged',0,4),
(65204,360045,9,100,'Resistibility increases against targets higher than level 29.',0,5),
(65205,360046,1,100,'Inflicts 138 - 231 mental damage on target',0,0),
(65206,360046,1,100,'Inflicts 138 - 231 mental damage on target',0,1),
(65207,360046,1,100,'Stifles target',0,2),
(65208,360046,1,100,'If Target is not Epic',1,3),
(65209,360046,1,100,'If weapon equipped in Ranged',0,4),
(65210,360046,1,100,'Resistibility increases against targets higher than level 29.',0,5),
(65211,360046,2,100,'Inflicts 146 - 244 mental damage on target',0,0),
(65212,360046,2,100,'Inflicts 146 - 244 mental damage on target',0,1),
(65213,360046,2,100,'Stifles target',0,2),
(65214,360046,2,100,'If Target is not Epic',1,3),
(65215,360046,2,100,'If weapon equipped in Ranged',0,4),
(65216,360046,2,100,'Resistibility increases against targets higher than level 29.',0,5),
(65217,360046,3,100,'Inflicts 154 - 257 mental damage on target',0,0),
(65218,360046,3,100,'Inflicts 154 - 257 mental damage on target',0,1),
(65219,360046,3,100,'Stifles target',0,2),
(65220,360046,3,100,'If Target is not Epic',1,3),
(65221,360046,3,100,'If weapon equipped in Ranged',0,4),
(65222,360046,3,100,'Resistibility increases against targets higher than level 29.',0,5),
(65223,360046,4,100,'Inflicts 169 - 282 mental damage on target',0,0),
(65224,360046,4,100,'Inflicts 169 - 282 mental damage on target',0,1),
(65225,360046,4,100,'Stifles target',0,2),
(65226,360046,4,100,'If Target is not Epic',1,3),
(65227,360046,4,100,'If weapon equipped in Ranged',0,4),
(65228,360046,4,100,'Resistibility increases against targets higher than level 29.',0,5),
(65229,360046,5,100,'Inflicts 185 - 308 mental damage on target',0,0),
(65230,360046,5,100,'Inflicts 185 - 308 mental damage on target',0,1),
(65231,360046,5,100,'Stifles target',0,2),
(65232,360046,5,100,'If Target is not Epic',1,3),
(65233,360046,5,100,'If weapon equipped in Ranged',0,4),
(65234,360046,5,100,'Resistibility increases against targets higher than level 29.',0,5),
(65235,360046,7,100,'Inflicts 237 - 395 mental damage on target',0,0),
(65236,360046,7,100,'Inflicts 237 - 395 mental damage on target',0,1),
(65237,360046,7,100,'Stifles target',0,2),
(65238,360046,7,100,'If Target is not Epic',1,3),
(65239,360046,7,100,'If weapon equipped in Ranged',0,4),
(65240,360046,7,100,'Resistibility increases against targets higher than level 29.',0,5),
(65241,360046,9,100,'Inflicts 246 - 411 mental damage on target',0,0),
(65242,360046,9,100,'Inflicts 246 - 411 mental damage on target',0,1),
(65243,360046,9,100,'Stifles target',0,2),
(65244,360046,9,100,'If Target is not Epic',1,3),
(65245,360046,9,100,'If weapon equipped in Ranged',0,4),
(65246,360046,9,100,'Resistibility increases against targets higher than level 29.',0,5),
(65247,360047,1,100,'Inflicts 168 - 280 mental damage on target',0,0),
(65248,360047,1,100,'Inflicts 168 - 280 mental damage on target',0,1),
(65249,360047,1,100,'Stifles target',0,2),
(65250,360047,1,100,'If Target is not Epic',1,3),
(65251,360047,1,100,'If weapon equipped in Ranged',0,4),
(65252,360047,1,100,'Resistibility increases against targets higher than level 29.',0,5),
(65253,360047,4,100,'Inflicts 205 - 342 mental damage on target',0,0),
(65254,360047,4,100,'Inflicts 205 - 342 mental damage on target',0,1),
(65255,360047,4,100,'Stifles target',0,2),
(65256,360047,4,100,'If Target is not Epic',1,3),
(65257,360047,4,100,'If weapon equipped in Ranged',0,4),
(65258,360047,4,100,'Resistibility increases against targets higher than level 29.',0,5),
(65259,360047,5,100,'Inflicts 224 - 373 mental damage on target',0,0),
(65260,360047,5,100,'Inflicts 224 - 373 mental damage on target',0,1),
(65261,360047,5,100,'Stifles target',0,2),
(65262,360047,5,100,'If Target is not Epic',1,3),
(65263,360047,5,100,'If weapon equipped in Ranged',0,4),
(65264,360047,5,100,'Resistibility increases against targets higher than level 29.',0,5),
(65265,360047,7,100,'Inflicts 287 - 479 mental damage on target',0,0),
(65266,360047,7,100,'Inflicts 287 - 479 mental damage on target',0,1),
(65267,360047,7,100,'Stifles target',0,2),
(65268,360047,7,100,'If Target is not Epic',1,3),
(65269,360047,7,100,'If weapon equipped in Ranged',0,4),
(65270,360047,7,100,'Resistibility increases against targets higher than level 29.',0,5),
(65271,360047,9,100,'Inflicts 299 - 498 mental damage on target',0,0),
(65272,360047,9,100,'Inflicts 299 - 498 mental damage on target',0,1),
(65273,360047,9,100,'Stifles target',0,2),
(65274,360047,9,100,'If Target is not Epic',1,3),
(65275,360047,9,100,'If weapon equipped in Ranged',0,4),
(65276,360047,9,100,'Resistibility increases against targets higher than level 29.',0,5),
(65277,360048,1,100,'Inflicts 199 - 332 mental damage on target',0,0),
(65278,360048,1,100,'Inflicts 199 - 332 mental damage on target',0,1),
(65279,360048,1,100,'Stifles target',0,2),
(65280,360048,1,100,'If Target is not Epic',1,3),
(65281,360048,1,100,'If weapon equipped in Ranged',0,4),
(65282,360048,1,100,'Resistibility increases against targets higher than level 29.',0,5),
(65283,360048,4,100,'Inflicts 243 - 406 mental damage on target',0,0),
(65284,360048,4,100,'Inflicts 243 - 406 mental damage on target',0,1),
(65285,360048,4,100,'Stifles target',0,2),
(65286,360048,4,100,'If Target is not Epic',1,3),
(65287,360048,4,100,'If weapon equipped in Ranged',0,4),
(65288,360048,4,100,'Resistibility increases against targets higher than level 29.',0,5),
(65289,360048,5,100,'Inflicts 266 - 443 mental damage on target',0,0),
(65290,360048,5,100,'Inflicts 266 - 443 mental damage on target',0,1),
(65291,360048,5,100,'Stifles target',0,2),
(65292,360048,5,100,'If Target is not Epic',1,3),
(65293,360048,5,100,'If weapon equipped in Ranged',0,4),
(65294,360048,5,100,'Resistibility increases against targets higher than level 29.',0,5),
(65295,360048,7,100,'Inflicts 341 - 569 mental damage on target',0,0),
(65296,360048,7,100,'Inflicts 341 - 569 mental damage on target',0,1),
(65297,360048,7,100,'Stifles target',0,2),
(65298,360048,7,100,'If Target is not Epic',1,3),
(65299,360048,7,100,'If weapon equipped in Ranged',0,4),
(65300,360048,7,100,'Resistibility increases against targets higher than level 29.',0,5),
(65301,360048,9,100,'Inflicts 354 - 591 mental damage on target',0,0),
(65302,360048,9,100,'Inflicts 354 - 591 mental damage on target',0,1),
(65303,360048,9,100,'Stifles target',0,2),
(65304,360048,9,100,'If Target is not Epic',1,3),
(65305,360048,9,100,'If weapon equipped in Ranged',0,4),
(65306,360048,9,100,'Resistibility increases against targets higher than level 29.',0,5),
(65307,310019,9,100,'Inflicts 64 - 107 melee damage on target',0,0),
(65308,310019,9,100,'Decreases Mitigation of target vs physical damage by 90',0,1),
(65309,310019,9,100,'Must be flanking or behind',0,2),
(65310,310019,9,100,'If any of the following are true:',0,3),
(65311,310019,9,100,'If one of the following races:',1,4),
(65312,310019,9,100,'[None]',2,5),
(65313,90052,1,100,'Applies Life Draw on termination.',0,0),
(65314,90052,1,100,'Inflicts 46 - 77 disease damage on target',1,1),
(65315,90052,1,100,'Heals caster for 1.0 - 1.2% of max health',1,2),
(65316,90052,1,100,'This effect cannot be critically applied.',2,3),
(65317,90052,1,100,'Inflicts 13 - 22 disease damage on target',0,4),
(65318,90052,1,100,'The healing of this spell cannot be modified except by direct means',1,5),
(65319,90052,2,100,'Applies Life Draw on termination.',0,0),
(65320,90052,2,100,'Inflicts 49 - 81 disease damage on target',1,1),
(65321,90052,2,100,'Heals caster for 1.0 - 1.3% of max health',1,2),
(65322,90052,2,100,'This effect cannot be critically applied.',2,3),
(65323,90052,2,100,'Inflicts 14 - 23 disease damage on target',0,4),
(65324,90052,2,100,'The healing of this spell cannot be modified except by direct means',1,5),
(65325,90052,3,100,'Applies Life Draw on termination.',0,0),
(65326,90052,3,100,'Inflicts 51 - 86 disease damage on target',1,1),
(65327,90052,3,100,'Heals caster for 1.1 - 1.3% of max health',1,2),
(65328,90052,3,100,'This effect cannot be critically applied.',2,3),
(65329,90052,3,100,'Inflicts 14 - 24 disease damage on target',0,4),
(65330,90052,3,100,'The healing of this spell cannot be modified except by direct means',1,5),
(65331,90052,4,100,'Applies Life Draw on termination.',0,0),
(65332,90052,4,100,'Inflicts 56 - 94 disease damage on target',1,1),
(65333,90052,4,100,'Heals caster for 1.2 - 1.5% of max health',1,2),
(65334,90052,4,100,'This effect cannot be critically applied.',2,3),
(65335,90052,4,100,'Inflicts 16 - 27 disease damage on target',0,4),
(65336,90052,4,100,'The healing of this spell cannot be modified except by direct means',1,5),
(65337,90052,5,100,'Applies Life Draw on termination.',0,0),
(65338,90052,5,100,'Inflicts 62 - 103 disease damage on target',1,1),
(65339,90052,5,100,'Heals caster for 1.3 - 1.6% of max health',1,2),
(65340,90052,5,100,'This effect cannot be critically applied.',2,3),
(65341,90052,5,100,'Inflicts 17 - 29 disease damage on target',0,4),
(65342,90052,5,100,'The healing of this spell cannot be modified except by direct means',1,5),
(65343,90052,7,100,'Applies Life Draw on termination.',0,0),
(65344,90052,7,100,'Inflicts 79 - 132 disease damage on target',1,1),
(65345,90052,7,100,'Heals caster for 1.7 - 2.0% of max health',1,2),
(65346,90052,7,100,'This effect cannot be critically applied.',2,3),
(65347,90052,7,100,'Inflicts 23 - 38 disease damage on target',0,4),
(65348,90052,7,100,'The healing of this spell cannot be modified except by direct means',1,5),
(65349,90052,9,100,'Applies Life Draw on termination.',0,0),
(65350,90052,9,100,'Inflicts 82 - 137 disease damage on target',1,1),
(65351,90052,9,100,'Heals caster for 1.7 - 2.1% of max health',1,2),
(65352,90052,9,100,'This effect cannot be critically applied.',2,3),
(65353,90052,9,100,'Inflicts 23 - 39 disease damage on target',0,4),
(65354,90052,9,100,'The healing of this spell cannot be modified except by direct means',1,5),
(65355,90053,1,100,'Applies Life Draw on termination.',0,0),
(65356,90053,1,100,'Inflicts 107 - 178 disease damage on target',1,1),
(65357,90053,1,100,'Heals caster for 1.0 - 1.2% of max health',1,2),
(65358,90053,1,100,'This effect cannot be critically applied.',2,3),
(65359,90053,1,100,'Inflicts 31 - 52 disease damage on target',0,4),
(65360,90053,1,100,'The healing of this spell cannot be modified except by direct means',1,5),
(65361,90053,2,100,'Applies Life Draw on termination.',0,0),
(65362,90053,2,100,'Inflicts 113 - 188 disease damage on target',1,1),
(65363,90053,2,100,'Heals caster for 1.1 - 1.3% of max health',1,2),
(65364,90053,2,100,'This effect cannot be critically applied.',2,3),
(65365,90053,2,100,'Inflicts 32 - 54 disease damage on target',0,4),
(65366,90053,2,100,'The healing of this spell cannot be modified except by direct means',1,5),
(65367,90053,3,100,'Applies Life Draw on termination.',0,0),
(65368,90053,3,100,'Inflicts 119 - 198 disease damage on target',1,1),
(65369,90053,3,100,'Heals caster for 1.1 - 1.4% of max health',1,2),
(65370,90053,3,100,'This effect cannot be critically applied.',2,3),
(65371,90053,3,100,'Inflicts 34 - 57 disease damage on target',0,4),
(65372,90053,3,100,'The healing of this spell cannot be modified except by direct means',1,5),
(65373,90053,4,100,'Applies Life Draw on termination.',0,0),
(65374,90053,4,100,'Inflicts 131 - 218 disease damage on target',1,1),
(65375,90053,4,100,'Heals caster for 1.2 - 1.5% of max health',1,2),
(65376,90053,4,100,'This effect cannot be critically applied.',2,3),
(65377,90053,4,100,'Inflicts 38 - 63 disease damage on target',0,4),
(65378,90053,4,100,'The healing of this spell cannot be modified except by direct means',1,5),
(65379,90053,5,100,'Applies Life Draw on termination.',0,0),
(65380,90053,5,100,'Inflicts 143 - 238 disease damage on target',1,1),
(65381,90053,5,100,'Heals caster for 1.3 - 1.6% of max health',1,2),
(65382,90053,5,100,'This effect cannot be critically applied.',2,3),
(65383,90053,5,100,'Inflicts 41 - 69 disease damage on target',0,4),
(65384,90053,5,100,'The healing of this spell cannot be modified except by direct means',1,5),
(65385,90053,7,100,'Applies Life Draw on termination.',0,0),
(65386,90053,7,100,'Inflicts 183 - 305 disease damage on target',1,1),
(65387,90053,7,100,'Heals caster for 1.7 - 2.1% of max health',1,2),
(65388,90053,7,100,'This effect cannot be critically applied.',2,3),
(65389,90053,7,100,'Inflicts 53 - 89 disease damage on target',0,4),
(65390,90053,7,100,'The healing of this spell cannot be modified except by direct means',1,5),
(65391,90053,9,100,'Applies Life Draw on termination.',0,0),
(65392,90053,9,100,'Inflicts 190 - 317 disease damage on target',1,1),
(65393,90053,9,100,'Heals caster for 1.8 - 2.2% of max health',1,2),
(65394,90053,9,100,'This effect cannot be critically applied.',2,3),
(65395,90053,9,100,'Inflicts 55 - 92 disease damage on target',0,4),
(65396,90053,9,100,'The healing of this spell cannot be modified except by direct means',1,5),
(65397,90054,1,100,'Applies Life Draw on termination.',0,0),
(65398,90054,1,100,'Inflicts 175 - 292 disease damage on target',1,1),
(65399,90054,1,100,'Heals caster for 1.1 - 1.3% of max health',1,2),
(65400,90054,1,100,'This effect cannot be critically applied.',2,3),
(65401,90054,1,100,'Inflicts 51 - 85 disease damage on target',0,4),
(65402,90054,1,100,'The healing of this spell cannot be modified except by direct means',1,5),
(65403,90054,2,100,'Applies Life Draw on termination.',0,0),
(65404,90054,2,100,'Inflicts 185 - 308 disease damage on target',1,1),
(65405,90054,2,100,'Heals caster for 1.1 - 1.4% of max health',1,2),
(65406,90054,2,100,'This effect cannot be critically applied.',2,3),
(65407,90054,2,100,'Inflicts 53 - 89 disease damage on target',0,4),
(65408,90054,2,100,'The healing of this spell cannot be modified except by direct means',1,5),
(65409,90054,3,100,'Applies Life Draw on termination.',0,0),
(65410,90054,3,100,'Inflicts 195 - 324 disease damage on target',1,1),
(65411,90054,3,100,'Heals caster for 1.2 - 1.4% of max health',1,2),
(65412,90054,3,100,'This effect cannot be critically applied.',2,3),
(65413,90054,3,100,'Inflicts 56 - 94 disease damage on target',0,4),
(65414,90054,3,100,'The healing of this spell cannot be modified except by direct means',1,5),
(65415,90054,4,100,'Applies Life Draw on termination.',0,0),
(65416,90054,4,100,'Inflicts 214 - 357 disease damage on target',1,1),
(65417,90054,4,100,'Heals caster for 1.3 - 1.6% of max health',1,2),
(65418,90054,4,100,'This effect cannot be critically applied.',2,3),
(65419,90054,4,100,'Inflicts 62 - 104 disease damage on target',0,4),
(65420,90054,4,100,'The healing of this spell cannot be modified except by direct means',1,5),
(65421,90054,5,100,'Applies Life Draw on termination.',0,0),
(65422,90054,5,100,'Inflicts 234 - 389 disease damage on target',1,1),
(65423,90054,5,100,'Heals caster for 1.4 - 1.7% of max health',1,2),
(65424,90054,5,100,'This effect cannot be critically applied.',2,3),
(65425,90054,5,100,'Inflicts 68 - 113 disease damage on target',0,4),
(65426,90054,5,100,'The healing of this spell cannot be modified except by direct means',1,5),
(65427,90054,7,100,'Applies Life Draw on termination.',0,0),
(65428,90054,7,100,'Inflicts 300 - 500 disease damage on target',1,1),
(65429,90054,7,100,'Heals caster for 1.8 - 2.2% of max health',1,2),
(65430,90054,7,100,'This effect cannot be critically applied.',2,3),
(65431,90054,7,100,'Inflicts 87 - 145 disease damage on target',0,4),
(65432,90054,7,100,'The healing of this spell cannot be modified except by direct means',1,5),
(65433,90054,9,100,'Applies Life Draw on termination.',0,0),
(65434,90054,9,100,'Inflicts 311 - 519 disease damage on target',1,1),
(65435,90054,9,100,'Heals caster for 1.9 - 2.3% of max health',1,2),
(65436,90054,9,100,'This effect cannot be critically applied.',2,3),
(65437,90054,9,100,'Inflicts 90 - 151 disease damage on target',0,4),
(65438,90054,9,100,'The healing of this spell cannot be modified except by direct means',1,5),
(65439,90055,1,100,'Applies Life Draw on termination.',0,0),
(65440,90055,1,100,'Inflicts 259 - 432 disease damage on target',1,1),
(65441,90055,1,100,'Heals caster for 1.1 - 1.4% of max health',1,2),
(65442,90055,1,100,'This effect cannot be critically applied.',2,3),
(65443,90055,1,100,'Inflicts 75 - 125 disease damage on target',0,4),
(65444,90055,1,100,'The healing of this spell cannot be modified except by direct means',1,5),
(65445,90055,2,100,'Applies Life Draw on termination.',0,0),
(65446,90055,2,100,'Inflicts 274 - 456 disease damage on target',1,1),
(65447,90055,2,100,'Heals caster for 1.2 - 1.5% of max health',1,2),
(65448,90055,2,100,'This effect cannot be critically applied.',2,3),
(65449,90055,2,100,'Inflicts 79 - 132 disease damage on target',0,4),
(65450,90055,2,100,'The healing of this spell cannot be modified except by direct means',1,5),
(65451,90055,3,100,'Applies Life Draw on termination.',0,0),
(65452,90055,3,100,'Inflicts 288 - 480 disease damage on target',1,1),
(65453,90055,3,100,'Heals caster for 1.3 - 1.5% of max health',1,2),
(65454,90055,3,100,'This effect cannot be critically applied.',2,3),
(65455,90055,3,100,'Inflicts 83 - 139 disease damage on target',0,4),
(65456,90055,3,100,'The healing of this spell cannot be modified except by direct means',1,5),
(65457,90055,4,100,'Applies Life Draw on termination.',0,0),
(65458,90055,4,100,'Inflicts 317 - 528 disease damage on target',1,1),
(65459,90055,4,100,'Heals caster for 1.4 - 1.7% of max health',1,2),
(65460,90055,4,100,'This effect cannot be critically applied.',2,3),
(65461,90055,4,100,'Inflicts 92 - 153 disease damage on target',0,4),
(65462,90055,4,100,'The healing of this spell cannot be modified except by direct means',1,5),
(65463,90055,5,100,'Applies Life Draw on termination.',0,0),
(65464,90055,5,100,'Inflicts 346 - 576 disease damage on target',1,1),
(65465,90055,5,100,'Heals caster for 1.5 - 1.8% of max health',1,2),
(65466,90055,5,100,'This effect cannot be critically applied.',2,3),
(65467,90055,5,100,'Inflicts 100 - 167 disease damage on target',0,4),
(65468,90055,5,100,'The healing of this spell cannot be modified except by direct means',1,5),
(65469,90055,7,100,'Applies Life Draw on termination.',0,0),
(65470,90055,7,100,'Inflicts 443 - 739 disease damage on target',1,1),
(65471,90055,7,100,'Heals caster for 1.9 - 2.4% of max health',1,2),
(65472,90055,7,100,'This effect cannot be critically applied.',2,3),
(65473,90055,7,100,'Inflicts 129 - 215 disease damage on target',0,4),
(65474,90055,7,100,'The healing of this spell cannot be modified except by direct means',1,5),
(65475,90055,9,100,'Applies Life Draw on termination.',0,0),
(65476,90055,9,100,'Inflicts 461 - 768 disease damage on target',1,1),
(65477,90055,9,100,'Heals caster for 2.0 - 2.5% of max health',1,2),
(65478,90055,9,100,'This effect cannot be critically applied.',2,3),
(65479,90055,9,100,'Inflicts 134 - 223 disease damage on target',0,4),
(65480,90055,9,100,'The healing of this spell cannot be modified except by direct means',1,5),
(65481,90056,1,100,'Applies Life Draw on termination.',0,0),
(65482,90056,1,100,'Inflicts 344 - 574 disease damage on target',1,1),
(65483,90056,1,100,'Heals caster for 1.2 - 1.4% of max health',1,2),
(65484,90056,1,100,'This effect cannot be critically applied.',2,3),
(65485,90056,1,100,'Inflicts 100 - 167 disease damage on target',0,4),
(65486,90056,1,100,'The healing of this spell cannot be modified except by direct means',1,5),
(65487,90056,2,100,'Applies Life Draw on termination.',0,0),
(65488,90056,2,100,'Inflicts 363 - 606 disease damage on target',1,1),
(65489,90056,2,100,'Heals caster for 1.2 - 1.5% of max health',1,2),
(65490,90056,2,100,'This effect cannot be critically applied.',2,3),
(65491,90056,2,100,'Inflicts 106 - 176 disease damage on target',0,4),
(65492,90056,2,100,'The healing of this spell cannot be modified except by direct means',1,5),
(65493,90056,3,100,'Applies Life Draw on termination.',0,0),
(65494,90056,3,100,'Inflicts 383 - 638 disease damage on target',1,1),
(65495,90056,3,100,'Heals caster for 1.3 - 1.6% of max health',1,2),
(65496,90056,3,100,'This effect cannot be critically applied.',2,3),
(65497,90056,3,100,'Inflicts 111 - 185 disease damage on target',0,4),
(65498,90056,3,100,'The healing of this spell cannot be modified except by direct means',1,5),
(65499,90056,4,100,'Applies Life Draw on termination.',0,0),
(65500,90056,4,100,'Inflicts 421 - 701 disease damage on target',1,1),
(65501,90056,4,100,'Heals caster for 1.4 - 1.8% of max health',1,2),
(65502,90056,4,100,'This effect cannot be critically applied.',2,3),
(65503,90056,4,100,'Inflicts 122 - 204 disease damage on target',0,4),
(65504,90056,4,100,'The healing of this spell cannot be modified except by direct means',1,5),
(65505,90056,5,100,'Applies Life Draw on termination.',0,0),
(65506,90056,5,100,'Inflicts 459 - 765 disease damage on target',1,1),
(65507,90056,5,100,'Heals caster for 1.6 - 1.9% of max health',1,2),
(65508,90056,5,100,'This effect cannot be critically applied.',2,3),
(65509,90056,5,100,'Inflicts 133 - 223 disease damage on target',0,4),
(65510,90056,5,100,'The healing of this spell cannot be modified except by direct means',1,5),
(65511,90056,7,100,'Applies Life Draw on termination.',0,0),
(65512,90056,7,100,'Inflicts 589 - 982 disease damage on target',1,1),
(65513,90056,7,100,'Heals caster for 2.0 - 2.5% of max health',1,2),
(65514,90056,7,100,'This effect cannot be critically applied.',2,3),
(65515,90056,7,100,'Inflicts 171 - 286 disease damage on target',0,4),
(65516,90056,7,100,'The healing of this spell cannot be modified except by direct means',1,5),
(65517,90056,9,100,'Applies Life Draw on termination.',0,0),
(65518,90056,9,100,'Inflicts 612 - 1020 disease damage on target',1,1),
(65519,90056,9,100,'Heals caster for 2.1 - 2.6% of max health',1,2),
(65520,90056,9,100,'This effect cannot be critically applied.',2,3),
(65521,90056,9,100,'Inflicts 178 - 297 disease damage on target',0,4),
(65522,90056,9,100,'The healing of this spell cannot be modified except by direct means',1,5),
(65523,90057,1,100,'Applies Life Draw on termination.',0,0),
(65524,90057,1,100,'Inflicts 417 - 694 disease damage on target',1,1),
(65525,90057,1,100,'Heals caster for 1.2 - 1.5% of max health',1,2),
(65526,90057,1,100,'This effect cannot be critically applied.',2,3),
(65527,90057,1,100,'Inflicts 121 - 202 disease damage on target',0,4),
(65528,90057,1,100,'The healing of this spell cannot be modified except by direct means',1,5),
(65529,90057,2,100,'Applies Life Draw on termination.',0,0),
(65530,90057,2,100,'Inflicts 440 - 733 disease damage on target',1,1),
(65531,90057,2,100,'Heals caster for 1.3 - 1.6% of max health',1,2),
(65532,90057,2,100,'This effect cannot be critically applied.',2,3),
(65533,90057,2,100,'Inflicts 128 - 213 disease damage on target',0,4),
(65534,90057,2,100,'The healing of this spell cannot be modified except by direct means',1,5),
(65535,90057,3,100,'Applies Life Draw on termination.',0,0),
(65536,90057,3,100,'Inflicts 463 - 771 disease damage on target',1,1),
(65537,90057,3,100,'Heals caster for 1.4 - 1.7% of max health',1,2),
(65538,90057,3,100,'This effect cannot be critically applied.',2,3),
(65539,90057,3,100,'Inflicts 134 - 224 disease damage on target',0,4),
(65540,90057,3,100,'The healing of this spell cannot be modified except by direct means',1,5),
(65541,90057,4,100,'Applies Life Draw on termination.',0,0),
(65542,90057,4,100,'Inflicts 509 - 848 disease damage on target',1,1),
(65543,90057,4,100,'Heals caster for 1.5 - 1.8% of max health',1,2),
(65544,90057,4,100,'This effect cannot be critically applied.',2,3),
(65545,90057,4,100,'Inflicts 148 - 247 disease damage on target',0,4),
(65546,90057,4,100,'The healing of this spell cannot be modified except by direct means',1,5),
(65547,90057,5,100,'Applies Life Draw on termination.',0,0),
(65548,90057,5,100,'Inflicts 555 - 926 disease damage on target',1,1),
(65549,90057,5,100,'Heals caster for 1.6 - 2.0% of max health',1,2),
(65550,90057,5,100,'This effect cannot be critically applied.',2,3),
(65551,90057,5,100,'Inflicts 161 - 269 disease damage on target',0,4),
(65552,90057,5,100,'The healing of this spell cannot be modified except by direct means',1,5),
(65553,90057,7,100,'Applies Life Draw on termination.',0,0),
(65554,90057,7,100,'Inflicts 713 - 1188 disease damage on target',1,1),
(65555,90057,7,100,'Heals caster for 2.1 - 2.6% of max health',1,2),
(65556,90057,7,100,'This effect cannot be critically applied.',2,3),
(65557,90057,7,100,'Inflicts 207 - 346 disease damage on target',0,4),
(65558,90057,7,100,'The healing of this spell cannot be modified except by direct means',1,5),
(65559,90057,9,100,'Applies Life Draw on termination.',0,0),
(65560,90057,9,100,'Inflicts 740 - 1234 disease damage on target',1,1),
(65561,90057,9,100,'Heals caster for 2.2 - 2.7% of max health',1,2),
(65562,90057,9,100,'This effect cannot be critically applied.',2,3),
(65563,90057,9,100,'Inflicts 215 - 359 disease damage on target',0,4),
(65564,90057,9,100,'The healing of this spell cannot be modified except by direct means',1,5),
(65565,90058,1,100,'Applies Life Draw on termination.',0,0),
(65566,90058,1,100,'Inflicts 502 - 837 disease damage on target',1,1),
(65567,90058,1,100,'Heals caster for 1.3 - 1.6% of max health',1,2),
(65568,90058,1,100,'This effect cannot be critically applied.',2,3),
(65569,90058,1,100,'Inflicts 146 - 244 disease damage on target',0,4),
(65570,90058,1,100,'The healing of this spell cannot be modified except by direct means',1,5),
(65571,90058,4,100,'Applies Life Draw on termination.',0,0),
(65572,90058,4,100,'Inflicts 614 - 1023 disease damage on target',1,1),
(65573,90058,4,100,'Heals caster for 1.6 - 1.9% of max health',1,2),
(65574,90058,4,100,'This effect cannot be critically applied.',2,3),
(65575,90058,4,100,'Inflicts 179 - 298 disease damage on target',0,4),
(65576,90058,4,100,'The healing of this spell cannot be modified except by direct means',1,5),
(65577,90058,5,100,'Applies Life Draw on termination.',0,0),
(65578,90058,5,100,'Inflicts 670 - 1116 disease damage on target',1,1),
(65579,90058,5,100,'Heals caster for 1.7 - 2.1% of max health',1,2),
(65580,90058,5,100,'This effect cannot be critically applied.',2,3),
(65581,90058,5,100,'Inflicts 195 - 325 disease damage on target',0,4),
(65582,90058,5,100,'The healing of this spell cannot be modified except by direct means',1,5),
(65583,90058,7,100,'Applies Life Draw on termination.',0,0),
(65584,90058,7,100,'Inflicts 859 - 1432 disease damage on target',1,1),
(65585,90058,7,100,'Heals caster for 2.2 - 2.7% of max health',1,2),
(65586,90058,7,100,'This effect cannot be critically applied.',2,3),
(65587,90058,7,100,'Inflicts 250 - 417 disease damage on target',0,4),
(65588,90058,7,100,'The healing of this spell cannot be modified except by direct means',1,5),
(65589,90058,9,100,'Applies Life Draw on termination.',0,0),
(65590,90058,9,100,'Inflicts 893 - 1488 disease damage on target',1,1),
(65591,90058,9,100,'Heals caster for 2.3 - 2.8% of max health',1,2),
(65592,90058,9,100,'This effect cannot be critically applied.',2,3),
(65593,90058,9,100,'Inflicts 260 - 433 disease damage on target',0,4),
(65594,90058,9,100,'The healing of this spell cannot be modified except by direct means',1,5),
(65595,90059,1,100,'Applies Life Draw on termination.',0,0),
(65596,90059,1,100,'Inflicts 552 - 919 disease damage on target',1,1),
(65597,90059,1,100,'Heals caster for 1.3 - 1.6% of max health',1,2),
(65598,90059,1,100,'This effect cannot be critically applied.',2,3),
(65599,90059,1,100,'Inflicts 184 - 308 disease damage on target',0,4),
(65600,90059,1,100,'The healing of this spell cannot be modified except by direct means',1,5),
(65601,90059,4,100,'Applies Life Draw on termination.',0,0),
(65602,90059,4,100,'Inflicts 674 - 1123 disease damage on target',1,1),
(65603,90059,4,100,'Heals caster for 1.6 - 2.0% of max health',1,2),
(65604,90059,4,100,'This effect cannot be critically applied.',2,3),
(65605,90059,4,100,'Inflicts 226 - 376 disease damage on target',0,4),
(65606,90059,4,100,'The healing of this spell cannot be modified except by direct means',1,5),
(65607,90059,5,100,'Applies Life Draw on termination.',0,0),
(65608,90059,5,100,'Inflicts 735 - 1226 disease damage on target',1,1),
(65609,90059,5,100,'Heals caster for 1.8 - 2.2% of max health',1,2),
(65610,90059,5,100,'This effect cannot be critically applied.',2,3),
(65611,90059,5,100,'Inflicts 246 - 411 disease damage on target',0,4),
(65612,90059,5,100,'The healing of this spell cannot be modified except by direct means',1,5),
(65613,90059,7,100,'Applies Life Draw on termination.',0,0),
(65614,90059,7,100,'Inflicts 944 - 1573 disease damage on target',1,1),
(65615,90059,7,100,'Heals caster for 2.3 - 2.8% of max health',1,2),
(65616,90059,7,100,'This effect cannot be critically applied.',2,3),
(65617,90059,7,100,'Inflicts 316 - 527 disease damage on target',0,4),
(65618,90059,7,100,'The healing of this spell cannot be modified except by direct means',1,5),
(65619,90059,9,100,'Applies Life Draw on termination.',0,0),
(65620,90059,9,100,'Inflicts 980 - 1634 disease damage on target',1,1),
(65621,90059,9,100,'Heals caster for 2.4 - 2.9% of max health',1,2),
(65622,90059,9,100,'This effect cannot be critically applied.',2,3),
(65623,90059,9,100,'Inflicts 328 - 548 disease damage on target',0,4),
(65624,90059,9,100,'The healing of this spell cannot be modified except by direct means',1,5),
(65625,2000239,1,100,'Interrupts target',0,0),
(65626,2000239,1,100,'Inflicts 311 - 519 melee damage on target',0,1),
(65627,2000239,1,100,'Decreases Focus, Crushing, Piercing, Slashing, Ministration, Ordination, Disruption and Subjugation of target by 30.1',0,2),
(65628,2000239,1,100,'Decreases Focus and Crushing of target by 0.9',0,3),
(65629,2000239,2,100,'Interrupts target',0,0),
(65630,2000239,2,100,'Inflicts 328 - 548 melee damage on target',0,1),
(65631,2000239,2,100,'Decreases Focus, Crushing, Piercing, Slashing, Ministration, Ordination, Disruption and Subjugation of target by 31.8',0,2),
(65632,2000239,2,100,'Decreases Focus and Crushing of target by 0.9',0,3),
(65633,2000239,3,100,'Interrupts target',0,0),
(65634,2000239,3,100,'Inflicts 259 - 433 melee damage on target',0,1),
(65635,2000239,3,100,'Decreases Focus, Crushing, Piercing, Slashing, Ministration, Ordination, Disruption and Subjugation of target by 33.0',0,2),
(65636,2000239,3,100,'Decreases Focus and Crushing of target by 1.0',0,3),
(65637,2000239,4,100,'Interrupts target',0,0),
(65638,2000239,4,100,'Inflicts 285 - 476 melee damage on target',0,1),
(65639,2000239,4,100,'Decreases Focus, Crushing, Piercing, Slashing, Ministration, Ordination, Disruption and Subjugation of target by 36.3',0,2),
(65640,2000239,4,100,'Decreases Focus and Crushing of target by 1.1',0,3),
(65641,2000239,5,100,'Interrupts target',0,0),
(65642,2000239,5,100,'Inflicts 415 - 692 melee damage on target',0,1),
(65643,2000239,5,100,'Decreases Focus, Crushing, Piercing, Slashing, Ministration, Ordination, Disruption and Subjugation of target by 40.2',0,2),
(65644,2000239,5,100,'Decreases Focus and Crushing of target by 1.2',0,3),
(65645,2000239,6,100,'Interrupts target',0,0),
(65646,2000239,6,100,'Inflicts 450 - 750 melee damage on target',0,1),
(65647,2000239,6,100,'Decreases Focus, Crushing, Piercing, Slashing, Ministration, Ordination, Disruption and Subjugation of target by 43.5',0,2),
(65648,2000239,6,100,'Decreases Focus and Crushing of target by 1.3',0,3),
(65649,2000239,7,100,'Interrupts target',0,0),
(65650,2000239,7,100,'Inflicts 533 - 888 melee damage on target',0,1),
(65651,2000239,7,100,'Decreases Focus, Crushing, Piercing, Slashing, Ministration, Ordination, Disruption and Subjugation of target by 51.6',0,2),
(65652,2000239,7,100,'Decreases Focus and Crushing of target by 1.4',0,3),
(65653,2000239,8,100,'Interrupts target',0,0),
(65654,2000239,8,100,'Inflicts 402 - 671 melee damage on target',0,1),
(65655,2000239,8,100,'Decreases Focus, Crushing, Piercing, Slashing, Ministration, Ordination, Disruption and Subjugation of target by 51.1',0,2),
(65656,2000239,8,100,'Decreases Focus and Crushing of target by 1.5',0,3),
(65657,2000239,9,100,'Interrupts target',0,0),
(65658,2000239,9,100,'Inflicts 415 - 692 melee damage on target',0,1),
(65659,2000239,9,100,'Decreases Focus, Crushing, Piercing, Slashing, Ministration, Ordination, Disruption and Subjugation of target by 52.8',0,2),
(65660,2000239,9,100,'Decreases Focus and Crushing of target by 1.6',0,3),
(65661,2000239,10,100,'Interrupts target',0,0),
(65662,2000239,10,100,'Inflicts 581 - 969 melee damage on target',0,1),
(65663,2000239,10,100,'Decreases Focus, Crushing, Piercing, Slashing, Ministration, Ordination, Disruption and Subjugation of target by 56.3',0,2),
(65664,2000239,10,100,'Decreases Focus and Crushing of target by 1.6',0,3),
(65665,2000240,3,100,'Heals group members (AE) for 2 - 4',0,0),
(65666,2000240,4,100,'Heals group members (AE) for 3 - 4',0,0),
(65667,2000240,5,100,'Heals group members (AE) for 3 - 5',0,0),
(65668,2000240,7,100,'Heals group members (AE) for 3 - 5',0,0),
(65669,2000240,9,100,'Heals group members (AE) for 4 - 6',0,0),
(65670,2000240,10,100,'Heals group members (AE) for 4 - 6',0,0),
(65671,30185,1,100,'Inflicts 107 - 179 crushing damage on target',0,0),
(65672,30185,2,100,'Inflicts 113 - 189 crushing damage on target',0,0),
(65673,30185,3,100,'Inflicts 119 - 199 crushing damage on target',0,0),
(65674,30185,4,100,'Inflicts 131 - 219 crushing damage on target',0,0),
(65675,30185,5,100,'Inflicts 143 - 239 crushing damage on target',0,0),
(65676,30185,7,100,'Inflicts 184 - 307 crushing damage on target',0,0),
(65677,30185,9,100,'Inflicts 191 - 319 crushing damage on target',0,0),
(65678,30185,10,100,'Inflicts 201 - 335 crushing damage on target',0,0),
(65679,30186,1,100,'Inflicts 187 - 312 crushing damage on target',0,0),
(65680,30186,2,100,'Inflicts 197 - 329 crushing damage on target',0,0),
(65681,30186,3,100,'Inflicts 208 - 346 crushing damage on target',0,0),
(65682,30186,4,100,'Inflicts 228 - 381 crushing damage on target',0,0),
(65683,30186,5,100,'Inflicts 249 - 416 crushing damage on target',0,0),
(65684,30186,7,100,'Inflicts 320 - 534 crushing damage on target',0,0),
(65685,30186,9,100,'Inflicts 333 - 555 crushing damage on target',0,0),
(65686,30187,1,100,'Inflicts 281 - 468 crushing damage on target',0,0),
(65687,30187,2,100,'Inflicts 296 - 494 crushing damage on target',0,0),
(65688,30187,3,100,'Inflicts 312 - 520 crushing damage on target',0,0),
(65689,30187,4,100,'Inflicts 343 - 572 crushing damage on target',0,0),
(65690,30187,5,100,'Inflicts 374 - 624 crushing damage on target',0,0),
(65691,30187,7,100,'Inflicts 480 - 801 crushing damage on target',0,0),
(65692,30187,9,100,'Inflicts 499 - 832 crushing damage on target',0,0),
(65693,30188,1,100,'Inflicts 380 - 634 crushing damage on target',0,0),
(65694,30188,2,100,'Inflicts 401 - 669 crushing damage on target',0,0),
(65695,30188,3,100,'Inflicts 422 - 704 crushing damage on target',0,0),
(65696,30188,4,100,'Inflicts 464 - 774 crushing damage on target',0,0),
(65697,30188,5,100,'Inflicts 507 - 845 crushing damage on target',0,0),
(65698,30188,7,100,'Inflicts 650 - 1084 crushing damage on target',0,0),
(65699,30188,9,100,'Inflicts 676 - 1127 crushing damage on target',0,0),
(65700,30188,10,100,'Inflicts 710 - 1183 crushing damage on target',0,0),
(65701,30189,1,100,'Inflicts 476 - 794 crushing damage on target',0,0),
(65702,30189,2,100,'Inflicts 503 - 839 crushing damage on target',0,0),
(65703,30189,3,100,'Inflicts 529 - 883 crushing damage on target',0,0),
(65704,30189,4,100,'Inflicts 582 - 971 crushing damage on target',0,0),
(65705,30189,5,100,'Inflicts 635 - 1059 crushing damage on target',0,0),
(65706,30189,7,100,'Inflicts 816 - 1360 crushing damage on target',0,0),
(65707,30189,9,100,'Inflicts 847 - 1413 crushing damage on target',0,0),
(65708,30190,1,100,'Inflicts 575 - 959 crushing damage on target',0,0),
(65709,30190,4,100,'Inflicts 703 - 1172 crushing damage on target',0,0),
(65710,30190,5,100,'Inflicts 767 - 1278 crushing damage on target',0,0),
(65711,30190,7,100,'Inflicts 984 - 1640 crushing damage on target',0,0),
(65712,30190,9,100,'Inflicts 1022 - 1704 crushing damage on target',0,0),
(65713,30191,1,100,'Inflicts 639 - 1066 crushing damage on target',0,0),
(65714,30191,4,100,'Inflicts 781 - 1303 crushing damage on target',0,0),
(65715,30191,5,100,'Inflicts 852 - 1421 crushing damage on target',0,0),
(65716,30191,7,100,'Inflicts 1094 - 1824 crushing damage on target',0,0),
(65717,30191,9,100,'Inflicts 1137 - 1895 crushing damage on target',0,0),
(65718,330142,1,100,'Applies Sleight of Hand Immunity on termination.  Lasts for 2 minutes.',0,0),
(65719,330142,1,100,'Target of this spell cannot have Sleight of Hand used on them',1,1),
(65720,330142,1,100,'Cannot be modified except by direct means',1,2),
(65721,330142,1,100,'Decreases Threat to target by 1,660 ',0,3),
(65722,330142,1,100,'If profession other than Fighter',1,4),
(65723,330142,1,100,'Increases Threat to target by 2,200 ',0,5),
(65724,330142,1,100,'If Fighter',1,6),
(65725,330142,1,100,'Swaps your current hate position with your target''s hate position.',0,7),
(65726,330142,1,100,'Must be engaged in combat',0,8),
(65727,330142,1,100,'Cannot cast this on a player who has recently had Sleight of Hand used on them.',0,9),
(65728,330142,2,100,'Applies Sleight of Hand Immunity on termination.  Lasts for 2 minutes.',0,0),
(65729,330142,2,100,'Target of this spell cannot have Sleight of Hand used on them',1,1),
(65730,330142,2,100,'Cannot be modified except by direct means',1,2),
(65731,330142,2,100,'Decreases Threat to target by 1,753 ',0,3),
(65732,330142,2,100,'If profession other than Fighter',1,4),
(65733,330142,2,100,'Increases Threat to target by 2,293 ',0,5),
(65734,330142,2,100,'If Fighter',1,6),
(65735,330142,2,100,'Swaps your current hate position with your target''s hate position.',0,7),
(65736,330142,2,100,'Must be engaged in combat',0,8),
(65737,330142,2,100,'Cannot cast this on a player who has recently had Sleight of Hand used on them.',0,9),
(65738,330142,3,100,'Applies Sleight of Hand Immunity on termination.  Lasts for 2 minutes.',0,0),
(65739,330142,3,100,'Target of this spell cannot have Sleight of Hand used on them',1,1),
(65740,330142,3,100,'Cannot be modified except by direct means',1,2),
(65741,330142,3,100,'Decreases Threat to target by 1,845 ',0,3),
(65742,330142,3,100,'If profession other than Fighter',1,4),
(65743,330142,3,100,'Increases Threat to target by 2,385 ',0,5),
(65744,330142,3,100,'If Fighter',1,6),
(65745,330142,3,100,'Swaps your current hate position with your target''s hate position.',0,7),
(65746,330142,3,100,'Must be engaged in combat',0,8),
(65747,330142,3,100,'Cannot cast this on a player who has recently had Sleight of Hand used on them.',0,9),
(65748,330142,4,100,'Applies Sleight of Hand Immunity on termination.  Lasts for 2 minutes.',0,0),
(65749,330142,4,100,'Target of this spell cannot have Sleight of Hand used on them',1,1),
(65750,330142,4,100,'Cannot be modified except by direct means',1,2),
(65751,330142,4,100,'Decreases Threat to target by 2,029 ',0,3),
(65752,330142,4,100,'If profession other than Fighter',1,4),
(65753,330142,4,100,'Increases Threat to target by 2,569 ',0,5),
(65754,330142,4,100,'If Fighter',1,6),
(65755,330142,4,100,'Swaps your current hate position with your target''s hate position.',0,7),
(65756,330142,4,100,'Must be engaged in combat',0,8),
(65757,330142,4,100,'Cannot cast this on a player who has recently had Sleight of Hand used on them.',0,9),
(65758,330142,5,100,'Applies Sleight of Hand Immunity on termination.  Lasts for 2 minutes.',0,0),
(65759,330142,5,100,'Target of this spell cannot have Sleight of Hand used on them',1,1),
(65760,330142,5,100,'Cannot be modified except by direct means',1,2),
(65761,330142,5,100,'Decreases Threat to target by 2,214 ',0,3),
(65762,330142,5,100,'If profession other than Fighter',1,4),
(65763,330142,5,100,'Increases Threat to target by 2,754 ',0,5),
(65764,330142,5,100,'If Fighter',1,6),
(65765,330142,5,100,'Swaps your current hate position with your target''s hate position.',0,7),
(65766,330142,5,100,'Must be engaged in combat',0,8),
(65767,330142,5,100,'Cannot cast this on a player who has recently had Sleight of Hand used on them.',0,9),
(65768,330142,7,100,'Applies Sleight of Hand Immunity on termination.  Lasts for 2 minutes.',0,0),
(65769,330142,7,100,'Target of this spell cannot have Sleight of Hand used on them',1,1),
(65770,330142,7,100,'Cannot be modified except by direct means',1,2),
(65771,330142,7,100,'Decreases Threat to target by 2,841 ',0,3),
(65772,330142,7,100,'If profession other than Fighter',1,4),
(65773,330142,7,100,'Increases Threat to target by 3,381 ',0,5),
(65774,330142,7,100,'If Fighter',1,6),
(65775,330142,7,100,'Swaps your current hate position with your target''s hate position.',0,7),
(65776,330142,7,100,'Must be engaged in combat',0,8),
(65777,330142,7,100,'Cannot cast this on a player who has recently had Sleight of Hand used on them.',0,9),
(65778,330142,9,100,'Applies Sleight of Hand Immunity on termination.  Lasts for 2 minutes.',0,0),
(65779,330142,9,100,'Target of this spell cannot have Sleight of Hand used on them',1,1),
(65780,330142,9,100,'Cannot be modified except by direct means',1,2),
(65781,330142,9,100,'Decreases Threat to target by 2,952 ',0,3),
(65782,330142,9,100,'If profession other than Fighter',1,4),
(65783,330142,9,100,'Increases Threat to target by 3,492 ',0,5),
(65784,330142,9,100,'If Fighter',1,6),
(65785,330142,9,100,'Swaps your current hate position with your target''s hate position.',0,7),
(65786,330142,9,100,'Must be engaged in combat',0,8),
(65787,330142,9,100,'Cannot cast this on a player who has recently had Sleight of Hand used on them.',0,9),
(65788,330143,1,100,'Applies Sleight of Hand Immunity on termination.  Lasts for 2 minutes.',0,0),
(65789,330143,1,100,'Target of this spell cannot have Sleight of Hand used on them',1,1),
(65790,330143,1,100,'Cannot be modified except by direct means',1,2),
(65791,330143,1,100,'Decreases Threat to target by 1,914 ',0,3),
(65792,330143,1,100,'If profession other than Fighter',1,4),
(65793,330143,1,100,'Increases Threat to target by 2,454 ',0,5),
(65794,330143,1,100,'If Fighter',1,6),
(65795,330143,1,100,'Swaps your current hate position with your target''s hate position.',0,7),
(65796,330143,1,100,'Must be engaged in combat',0,8),
(65797,330143,1,100,'Cannot cast this on a player who has recently had Sleight of Hand used on them.',0,9),
(65798,330143,4,100,'Applies Sleight of Hand Immunity on termination.  Lasts for 2 minutes.',0,0),
(65799,330143,4,100,'Target of this spell cannot have Sleight of Hand used on them',1,1),
(65800,330143,4,100,'Cannot be modified except by direct means',1,2),
(65801,330143,4,100,'Decreases Threat to target by 2,340 ',0,3),
(65802,330143,4,100,'If profession other than Fighter',1,4),
(65803,330143,4,100,'Increases Threat to target by 2,880 ',0,5),
(65804,330143,4,100,'If Fighter',1,6),
(65805,330143,4,100,'Swaps your current hate position with your target''s hate position.',0,7),
(65806,330143,4,100,'Must be engaged in combat',0,8),
(65807,330143,4,100,'Cannot cast this on a player who has recently had Sleight of Hand used on them.',0,9),
(65808,330143,5,100,'Applies Sleight of Hand Immunity on termination.  Lasts for 2 minutes.',0,0),
(65809,330143,5,100,'Target of this spell cannot have Sleight of Hand used on them',1,1),
(65810,330143,5,100,'Cannot be modified except by direct means',1,2),
(65811,330143,5,100,'Decreases Threat to target by 2,553 ',0,3),
(65812,330143,5,100,'If profession other than Fighter',1,4),
(65813,330143,5,100,'Increases Threat to target by 3,093 ',0,5),
(65814,330143,5,100,'If Fighter',1,6),
(65815,330143,5,100,'Swaps your current hate position with your target''s hate position.',0,7),
(65816,330143,5,100,'Must be engaged in combat',0,8),
(65817,330143,5,100,'Cannot cast this on a player who has recently had Sleight of Hand used on them.',0,9),
(65818,330143,7,100,'Applies Sleight of Hand Immunity on termination.  Lasts for 2 minutes.',0,0),
(65819,330143,7,100,'Target of this spell cannot have Sleight of Hand used on them',1,1),
(65820,330143,7,100,'Cannot be modified except by direct means',1,2),
(65821,330143,7,100,'Decreases Threat to target by 3,276 ',0,3),
(65822,330143,7,100,'If profession other than Fighter',1,4),
(65823,330143,7,100,'Increases Threat to target by 3,816 ',0,5),
(65824,330143,7,100,'If Fighter',1,6),
(65825,330143,7,100,'Swaps your current hate position with your target''s hate position.',0,7),
(65826,330143,7,100,'Must be engaged in combat',0,8),
(65827,330143,7,100,'Cannot cast this on a player who has recently had Sleight of Hand used on them.',0,9),
(65828,330143,9,100,'Applies Sleight of Hand Immunity on termination.  Lasts for 2 minutes.',0,0),
(65829,330143,9,100,'Target of this spell cannot have Sleight of Hand used on them',1,1),
(65830,330143,9,100,'Cannot be modified except by direct means',1,2),
(65831,330143,9,100,'Decreases Threat to target by 3,404 ',0,3),
(65832,330143,9,100,'If profession other than Fighter',1,4),
(65833,330143,9,100,'Increases Threat to target by 3,944 ',0,5),
(65834,330143,9,100,'If Fighter',1,6),
(65835,330143,9,100,'Swaps your current hate position with your target''s hate position.',0,7),
(65836,330143,9,100,'Must be engaged in combat',0,8),
(65837,330143,9,100,'Cannot cast this on a player who has recently had Sleight of Hand used on them.',0,9),
(65838,330144,1,100,'Applies Sleight of Hand Immunity on termination.  Lasts for 2 minutes.',0,0),
(65839,330144,1,100,'Target of this spell cannot have Sleight of Hand used on them',1,1),
(65840,330144,1,100,'Cannot be modified except by direct means',1,2),
(65841,330144,1,100,'Decreases Threat to target by 2,168 ',0,3),
(65842,330144,1,100,'If profession other than Fighter',1,4),
(65843,330144,1,100,'Increases Threat to target by 2,708 ',0,5),
(65844,330144,1,100,'If Fighter',1,6),
(65845,330144,1,100,'Swaps your current hate position with your target''s hate position.',0,7),
(65846,330144,1,100,'Must be engaged in combat',0,8),
(65847,330144,1,100,'Cannot cast this on a player who has recently had Sleight of Hand used on them.',0,9),
(65848,330144,4,100,'Applies Sleight of Hand Immunity on termination.  Lasts for 2 minutes.',0,0),
(65849,330144,4,100,'Target of this spell cannot have Sleight of Hand used on them',1,1),
(65850,330144,4,100,'Cannot be modified except by direct means',1,2),
(65851,330144,4,100,'Decreases Threat to target by 2,650 ',0,3),
(65852,330144,4,100,'If profession other than Fighter',1,4),
(65853,330144,4,100,'Increases Threat to target by 3,190 ',0,5),
(65854,330144,4,100,'If Fighter',1,6),
(65855,330144,4,100,'Swaps your current hate position with your target''s hate position.',0,7),
(65856,330144,4,100,'Must be engaged in combat',0,8),
(65857,330144,4,100,'Cannot cast this on a player who has recently had Sleight of Hand used on them.',0,9),
(65858,330144,5,100,'Applies Sleight of Hand Immunity on termination.  Lasts for 2 minutes.',0,0),
(65859,330144,5,100,'Target of this spell cannot have Sleight of Hand used on them',1,1),
(65860,330144,5,100,'Cannot be modified except by direct means',1,2),
(65861,330144,5,100,'Decreases Threat to target by 2,891 ',0,3),
(65862,330144,5,100,'If profession other than Fighter',1,4),
(65863,330144,5,100,'Increases Threat to target by 3,431 ',0,5),
(65864,330144,5,100,'If Fighter',1,6),
(65865,330144,5,100,'Swaps your current hate position with your target''s hate position.',0,7),
(65866,330144,5,100,'Must be engaged in combat',0,8),
(65867,330144,5,100,'Cannot cast this on a player who has recently had Sleight of Hand used on them.',0,9),
(65868,330144,7,100,'Applies Sleight of Hand Immunity on termination.  Lasts for 2 minutes.',0,0),
(65869,330144,7,100,'Target of this spell cannot have Sleight of Hand used on them',1,1),
(65870,330144,7,100,'Cannot be modified except by direct means',1,2),
(65871,330144,7,100,'Decreases Threat to target by 3,711 ',0,3),
(65872,330144,7,100,'If profession other than Fighter',1,4),
(65873,330144,7,100,'Increases Threat to target by 4,251 ',0,5),
(65874,330144,7,100,'If Fighter',1,6),
(65875,330144,7,100,'Swaps your current hate position with your target''s hate position.',0,7),
(65876,330144,7,100,'Must be engaged in combat',0,8),
(65877,330144,7,100,'Cannot cast this on a player who has recently had Sleight of Hand used on them.',0,9),
(65878,330144,9,100,'Applies Sleight of Hand Immunity on termination.  Lasts for 2 minutes.',0,0),
(65879,330144,9,100,'Target of this spell cannot have Sleight of Hand used on them',1,1),
(65880,330144,9,100,'Cannot be modified except by direct means',1,2),
(65881,330144,9,100,'Decreases Threat to target by 3,855 ',0,3),
(65882,330144,9,100,'If profession other than Fighter',1,4),
(65883,330144,9,100,'Increases Threat to target by 4,395 ',0,5),
(65884,330144,9,100,'If Fighter',1,6),
(65885,330144,9,100,'Swaps your current hate position with your target''s hate position.',0,7),
(65886,330144,9,100,'Must be engaged in combat',0,8),
(65887,330144,9,100,'Cannot cast this on a player who has recently had Sleight of Hand used on them.',0,9),
(65888,2000241,9,100,'Reduces the confidence level of some raid level NPC''s.',0,0),
(65889,2000241,9,100,'Cannot be modified except by direct means',0,1),
(65890,400154,1,100,'Grants See Invisibility to caster',0,0),
(65891,400154,1,100,'Grants stealth to caster',0,1),
(65892,400154,1,100,'Suspends caster''s movement speed enhancements',0,2),
(65893,400154,1,100,'This effect cancels during combat',0,3),
(65894,70172,4,100,'Increases Threat to target by 166 - 202 ',0,0),
(65895,70172,5,100,'Increases Threat to target by 181 - 221 ',0,0),
(65896,70172,7,100,'Increases Threat to target by 232 - 284 ',0,0),
(65897,70172,9,100,'Increases Threat to target by 241 - 295 ',0,0),
(65898,70173,2,100,'Increases Threat to target by 552 - 675 ',0,0),
(65899,70173,3,100,'Increases Threat to target by 581 - 710 ',0,0),
(65900,70173,4,100,'Increases Threat to target by 639 - 781 ',0,0),
(65901,70173,5,100,'Increases Threat to target by 697 - 852 ',0,0),
(65902,70173,7,100,'Increases Threat to target by 895 - 1,094 ',0,0),
(65903,70173,9,100,'Increases Threat to target by 930 - 1,137 ',0,0),
(65905,70174,1,100,'Increases Threat to target by 977 - 1,194 ',0,0),
(65906,70174,2,100,'Increases Threat to target by 1,031 - 1,260 ',0,0),
(65907,70174,3,100,'Increases Threat to target by 1,085 - 1,305 ',0,0),
(65908,70174,4,100,'Increases Threat to target by 1,194 - 1,382 ',0,0),
(65909,70174,5,100,'Increases Threat to target by 1,292 - 1,459 ',0,0),
(65910,70174,7,100,'Increases Threat to target by 1,505 - 1,719 ',0,0),
(65911,70174,9,100,'Increases Threat to target by 1,542 - 1,765 ',0,0),
(65912,70175,1,100,'Increases Threat to target by 1,653 - 1,900 ',0,0),
(65913,70175,2,100,'Increases Threat to target by 1,715 - 1,976 ',0,0),
(65914,70175,3,100,'Increases Threat to target by 1,777 - 2,052 ',0,0),
(65915,70175,4,100,'Increases Threat to target by 1,900 - 2,203 ',0,0),
(65916,70175,5,100,'Increases Threat to target by 2,024 - 2,354 ',0,0),
(65917,70175,7,100,'Increases Threat to target by 2,445 - 2,868 ',0,0),
(65918,70175,9,100,'Increases Threat to target by 2,519 - 2,959 ',0,0),
(65920,70176,1,100,'Increases Threat to target by 5,519 - 6,625 ',0,0),
(65921,70176,4,100,'Increases Threat to target by 6,625 - 7,978 ',0,0),
(65922,70176,5,100,'Increases Threat to target by 7,179 - 8,654 ',0,0),
(65923,70176,7,100,'Increases Threat to target by 9,060 - 10,953 ',0,0),
(65924,70176,9,100,'Increases Threat to target by 9,392 - 11,359 ',0,0),
(65926,70177,1,100,'Increases Threat to target by 2,310 - 2,703 ',0,0),
(65927,70177,2,100,'Increases Threat to target by 2,408 - 2,824 ',0,0),
(65928,70177,3,100,'Increases Threat to target by 2,507 - 2,944 ',0,0),
(65929,70177,4,100,'Increases Threat to target by 2,703 - 3,184 ',0,0),
(65930,70177,5,100,'Increases Threat to target by 2,900 - 3,425 ',0,0),
(65931,70177,7,100,'Increases Threat to target by 3,569 - 4,242 ',0,0),
(65932,70177,9,100,'Increases Threat to target by 3,687 - 4,386 ',0,0),
(65933,70178,1,100,'Increases Threat to target by 3,092 - 3,660 ',0,0),
(65934,70178,2,100,'Increases Threat to target by 3,234 - 3,833 ',0,0),
(65935,70178,3,100,'Increases Threat to target by 3,376 - 4,006 ',0,0),
(65936,70178,4,100,'Increases Threat to target by 3,660 - 4,353 ',0,0),
(65937,70178,5,100,'Increases Threat to target by 3,943 - 4,700 ',0,0),
(65938,70178,7,100,'Increases Threat to target by 4,908 - 5,879 ',0,0),
(65939,70178,9,100,'Increases Threat to target by 5,078 - 6,087 ',0,0),
(65940,70179,1,100,'Increases Threat to target by 3,896 - 4,642 ',0,0),
(65941,70179,2,100,'Increases Threat to target by 4,082 - 4,869 ',0,0),
(65942,70179,3,100,'Increases Threat to target by 4,269 - 5,097 ',0,0),
(65943,70179,4,100,'Increases Threat to target by 4,642 - 5,553 ',0,0),
(65944,70179,5,100,'Increases Threat to target by 5,014 - 6,009 ',0,0),
(65945,70179,7,100,'Increases Threat to target by 6,282 - 7,559 ',0,0),
(65946,70179,9,100,'Increases Threat to target by 6,506 - 7,832 ',0,0),
(65948,70180,1,100,'Increases Threat to target by 4,707 - 5,634 ',0,0),
(65949,70180,4,100,'Increases Threat to target by 5,634 - 6,766 ',0,0),
(65950,70180,5,100,'Increases Threat to target by 6,097 - 7,332 ',0,0),
(65951,70180,7,100,'Increases Threat to target by 7,671 - 9,256 ',0,0),
(65952,70180,9,100,'Increases Threat to target by 7,949 - 9,596 ',0,0),
(65954,2000242,1,100,'Applies Smoke Stealth.  Lasts for 0.1 seconds.',0,0),
(65955,2000242,1,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',1,1),
(65956,2000242,1,100,'Grants stealth to caster',2,2),
(65957,2000242,1,100,'Suspends caster''s movement speed enhancements',2,3),
(65958,2000242,1,100,'Interrupts targets in Area of Effect',0,4),
(65959,2000242,1,100,'Decreases threat priority of targets in Area of Effect by 2 positions',0,5),
(65960,2000242,1,100,'Inflicts 11 - 20 poison damage on targets in Area of Effect',0,6),
(65961,70181,1,100,'Decreases Defense of caster by 1.8',0,0),
(65962,70181,1,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 2.4',0,1),
(65963,70181,1,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(65964,70181,1,100,'Increases the amount of Potency gained by 20%',0,3),
(65965,70181,2,100,'Decreases Defense of caster by 1.8',0,0),
(65966,70181,2,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 2.6',0,1),
(65967,70181,2,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(65968,70181,2,100,'Increases the amount of Potency gained by 20%',0,3),
(65969,70181,3,100,'Decreases Defense of caster by 1.8',0,0),
(65970,70181,3,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 2.7',0,1),
(65971,70181,3,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(65972,70181,3,100,'Increases the amount of Potency gained by 20%',0,3),
(65973,70181,4,100,'Decreases Defense of caster by 1.8',0,0),
(65974,70181,4,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 3.0',0,1),
(65975,70181,4,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(65976,70181,4,100,'Increases the amount of Potency gained by 20%',0,3),
(65977,70181,5,100,'Decreases Defense of caster by 1.8',0,0),
(65978,70181,5,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 3.2',0,1),
(65979,70181,5,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(65980,70181,5,100,'Increases the amount of Potency gained by 20%',0,3),
(65981,70181,7,100,'Decreases Defense of caster by 1.8',0,0),
(65982,70181,7,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 4.2',0,1),
(65983,70181,7,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(65984,70181,7,100,'Increases the amount of Potency gained by 20%',0,3),
(65985,70181,9,100,'Decreases Defense of caster by 1.8',0,0),
(65986,70181,9,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 4.3',0,1),
(65987,70181,9,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(65988,70181,9,100,'Increases the amount of Potency gained by 20%',0,3),
(65989,70182,1,100,'Decreases Defense of caster by 4.8',0,0),
(65990,70182,1,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 6.5',0,1),
(65991,70182,1,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(65992,70182,1,100,'Increases the amount of Potency gained by 20%',0,3),
(65993,70182,2,100,'Decreases Defense of caster by 4.8',0,0),
(65994,70182,2,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 6.8',0,1),
(65995,70182,2,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(65996,70182,2,100,'Increases the amount of Potency gained by 20%',0,3),
(65997,70182,3,100,'Decreases Defense of caster by 4.8',0,0),
(65998,70182,3,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 7.2',0,1),
(65999,70182,3,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(66000,70182,3,100,'Increases the amount of Potency gained by 20%',0,3),
(66001,70182,4,100,'Decreases Defense of caster by 4.8',0,0),
(66002,70182,4,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 7.9',0,1),
(66003,70182,4,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(66004,70182,4,100,'Increases the amount of Potency gained by 20%',0,3),
(66005,70182,5,100,'Decreases Defense of caster by 4.8',0,0),
(66006,70182,5,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 8.6',0,1),
(66007,70182,5,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(66008,70182,5,100,'Increases the amount of Potency gained by 20%',0,3),
(66009,70182,7,100,'Decreases Defense of caster by 4.8',0,0),
(66010,70182,7,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 11.1',0,1),
(66011,70182,7,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(66012,70182,7,100,'Increases the amount of Potency gained by 20%',0,3),
(66013,70182,9,100,'Decreases Defense of caster by 4.8',0,0),
(66014,70182,9,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 11.5',0,1),
(66015,70182,9,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(66016,70182,9,100,'Increases the amount of Potency gained by 20%',0,3),
(66017,70183,1,100,'Decreases Defense of caster by 10.5',0,0),
(66018,70183,1,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 14.2',0,1),
(66019,70183,1,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(66020,70183,1,100,'Increases the amount of Potency gained by 20%',0,3),
(66021,70183,2,100,'Decreases Defense of caster by 10.5',0,0),
(66022,70183,2,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 15.0',0,1),
(66023,70183,2,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(66024,70183,2,100,'Increases the amount of Potency gained by 20%',0,3),
(66025,70183,3,100,'Decreases Defense of caster by 10.5',0,0),
(66026,70183,3,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 15.8',0,1),
(66027,70183,3,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(66028,70183,3,100,'Increases the amount of Potency gained by 20%',0,3),
(66029,70183,4,100,'Decreases Defense of caster by 10.5',0,0),
(66030,70183,4,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 17.3',0,1),
(66031,70183,4,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(66032,70183,4,100,'Increases the amount of Potency gained by 20%',0,3),
(66033,70183,5,100,'Decreases Defense of caster by 10.5',0,0),
(66034,70183,5,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 18.9',0,1),
(66035,70183,5,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(66036,70183,5,100,'Increases the amount of Potency gained by 20%',0,3),
(66037,70183,7,100,'Decreases Defense of caster by 10.5',0,0),
(66038,70183,7,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 24.3',0,1),
(66039,70183,7,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(66040,70183,7,100,'Increases the amount of Potency gained by 20%',0,3),
(66041,70183,9,100,'Decreases Defense of caster by 10.5',0,0),
(66042,70183,9,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 25.2',0,1),
(66043,70183,9,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(66044,70183,9,100,'Increases the amount of Potency gained by 20%',0,3),
(66045,70184,1,100,'Decreases Defense of caster by 14.7',0,0),
(66046,70184,1,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 19.8',0,1),
(66047,70184,1,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(66048,70184,1,100,'Increases the amount of Potency gained by 20%',0,3),
(66049,70184,2,100,'Decreases Defense of caster by 14.7',0,0),
(66050,70184,2,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 20.9',0,1),
(66051,70184,2,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(66052,70184,2,100,'Increases the amount of Potency gained by 20%',0,3),
(66053,70184,3,100,'Decreases Defense of caster by 14.7',0,0),
(66054,70184,3,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 22.0',0,1),
(66055,70184,3,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(66056,70184,3,100,'Increases the amount of Potency gained by 20%',0,3),
(66057,70184,4,100,'Decreases Defense of caster by 14.7',0,0),
(66058,70184,4,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 24.3',0,1),
(66059,70184,4,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(66060,70184,4,100,'Increases the amount of Potency gained by 20%',0,3),
(66061,70184,5,100,'Decreases Defense of caster by 14.7',0,0),
(66062,70184,5,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 26.5',0,1),
(66063,70184,5,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(66064,70184,5,100,'Increases the amount of Potency gained by 20%',0,3),
(66065,70184,7,100,'Decreases Defense of caster by 14.7',0,0),
(66066,70184,7,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 34.0',0,1),
(66067,70184,7,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(66068,70184,7,100,'Increases the amount of Potency gained by 20%',0,3),
(66069,70184,9,100,'Decreases Defense of caster by 14.7',0,0),
(66070,70184,9,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 35.3',0,1),
(66071,70184,9,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(66072,70184,9,100,'Increases the amount of Potency gained by 20%',0,3),
(66073,70185,1,100,'Decreases Defense of caster by 18.9',0,0),
(66074,70185,1,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 25.5',0,1),
(66075,70185,1,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(66076,70185,1,100,'Increases the amount of Potency gained by 20%',0,3),
(66077,70185,2,100,'Decreases Defense of caster by 18.9',0,0),
(66078,70185,2,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 26.9',0,1),
(66079,70185,2,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(66080,70185,2,100,'Increases the amount of Potency gained by 20%',0,3),
(66081,70185,3,100,'Decreases Defense of caster by 18.9',0,0),
(66082,70185,3,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 28.4',0,1),
(66083,70185,3,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(66084,70185,3,100,'Increases the amount of Potency gained by 20%',0,3),
(66085,70185,4,100,'Decreases Defense of caster by 18.9',0,0),
(66086,70185,4,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 31.2',0,1),
(66087,70185,4,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(66088,70185,4,100,'Increases the amount of Potency gained by 20%',0,3),
(66089,70185,5,100,'Decreases Defense of caster by 18.9',0,0),
(66090,70185,5,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 34.0',0,1),
(66091,70185,5,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(66092,70185,5,100,'Increases the amount of Potency gained by 20%',0,3),
(66093,70185,7,100,'Decreases Defense of caster by 18.9',0,0),
(66094,70185,7,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 43.7',0,1),
(66095,70185,7,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(66096,70185,7,100,'Increases the amount of Potency gained by 20%',0,3),
(66097,70185,9,100,'Decreases Defense of caster by 18.9',0,0),
(66098,70185,9,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 45.4',0,1),
(66099,70185,9,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(66100,70185,9,100,'Increases the amount of Potency gained by 20%',0,3),
(66101,70186,1,100,'Decreases Defense of caster by 23.0',0,0),
(66102,70186,1,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 31.0',0,1),
(66103,70186,1,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(66104,70186,1,100,'Increases the amount of Potency gained by 20%',0,3),
(66105,70186,2,100,'Decreases Defense of caster by 23.0',0,0),
(66106,70186,2,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 32.8',0,1),
(66107,70186,2,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(66108,70186,2,100,'Increases the amount of Potency gained by 20%',0,3),
(66109,70186,3,100,'Decreases Defense of caster by 23.0',0,0),
(66110,70186,3,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 34.5',0,1),
(66111,70186,3,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(66112,70186,3,100,'Increases the amount of Potency gained by 20%',0,3),
(66113,70186,4,100,'Decreases Defense of caster by 23.0',0,0),
(66114,70186,4,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 38.0',0,1),
(66115,70186,4,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(66116,70186,4,100,'Increases the amount of Potency gained by 20%',0,3),
(66117,70186,5,100,'Decreases Defense of caster by 23.0',0,0),
(66118,70186,5,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 41.4',0,1),
(66119,70186,5,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(66120,70186,5,100,'Increases the amount of Potency gained by 20%',0,3),
(66121,70186,7,100,'Decreases Defense of caster by 23.0',0,0),
(66122,70186,7,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 53.1',0,1),
(66123,70186,7,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(66124,70186,7,100,'Increases the amount of Potency gained by 20%',0,3),
(66125,70186,9,100,'Decreases Defense of caster by 23.0',0,0),
(66126,70186,9,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 55.2',0,1),
(66127,70186,9,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(66128,70186,9,100,'Increases the amount of Potency gained by 20%',0,3),
(66129,70187,1,100,'Decreases Defense of caster by 27.0',0,0),
(66130,70187,1,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 37.1',0,1),
(66131,70187,1,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(66132,70187,1,100,'Increases the amount of Potency gained by 20%',0,3),
(66133,70187,4,100,'Decreases Defense of caster by 27.0',0,0),
(66134,70187,4,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 45.4',0,1),
(66135,70187,4,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(66136,70187,4,100,'Increases the amount of Potency gained by 20%',0,3),
(66137,70187,5,100,'Decreases Defense of caster by 27.0',0,0),
(66138,70187,5,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 49.5',0,1),
(66139,70187,5,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(66140,70187,5,100,'Increases the amount of Potency gained by 20%',0,3),
(66141,70187,7,100,'Decreases Defense of caster by 27.0',0,0),
(66142,70187,7,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 63.5',0,1),
(66143,70187,7,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(66144,70187,7,100,'Increases the amount of Potency gained by 20%',0,3),
(66145,70187,9,100,'Decreases Defense of caster by 27.0',0,0),
(66146,70187,9,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 66.0',0,1),
(66147,70187,9,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(66148,70187,9,100,'Increases the amount of Potency gained by 20%',0,3),
(66149,70188,1,100,'Increases Potency of caster by 1.4%',0,0),
(66150,70188,1,100,'Decreases Defense of caster by 31.0',0,1),
(66151,70188,1,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 43.9',0,2),
(66152,70188,1,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(66153,70188,4,100,'Increases Potency of caster by 1.8%',0,0),
(66154,70188,4,100,'Decreases Defense of caster by 31.0',0,1),
(66155,70188,4,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 53.6',0,2),
(66156,70188,4,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(66157,70188,5,100,'Increases Potency of caster by 1.9%',0,0),
(66158,70188,5,100,'Decreases Defense of caster by 31.0',0,1),
(66159,70188,5,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 58.5',0,2),
(66160,70188,5,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(66161,70188,7,100,'Increases Potency of caster by 2.5%',0,0),
(66162,70188,7,100,'Decreases Defense of caster by 31.0',0,1),
(66163,70188,7,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 75.1',0,2),
(66164,70188,7,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(66165,70188,9,100,'Increases Potency of caster by 2.6%',0,0),
(66166,70188,9,100,'Decreases Defense of caster by 31.0',0,1),
(66167,70188,9,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 78.0',0,2),
(66168,70188,9,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(66169,320021,1,100,'Grants stealth to group members (AE)',0,0),
(66170,320021,1,100,'Suspends group members (AE)''s movement speed enhancements',0,1),
(66171,320021,1,100,'This effect cannot be cast during combat',0,2),
(66172,2000243,1,100,'Applies Knockdown.  Lasts for 1.8 seconds.',0,0),
(66173,2000243,1,100,'Throws target back',1,1),
(66174,2000243,1,100,'Blurs vision of target',1,2),
(66175,2000243,1,100,'Stuns target',1,3),
(66176,2000243,1,100,'Does not affect Epic targets',1,4),
(66177,2000243,1,100,'Inflicts 373 - 623 ranged damage on target',0,5),
(66178,2000243,1,100,'If Aim or Bow equipped in Ranged',0,6),
(66179,2000243,2,100,'Applies Knockdown.  Lasts for 1.9 seconds.',0,0),
(66180,2000243,2,100,'Throws target back',1,1),
(66181,2000243,2,100,'Blurs vision of target',1,2),
(66182,2000243,2,100,'Stuns target',1,3),
(66183,2000243,2,100,'Does not affect Epic targets',1,4),
(66184,2000243,2,100,'Inflicts 394 - 657 ranged damage on target',0,5),
(66185,2000243,2,100,'If Aim or Bow equipped in Ranged',0,6),
(66186,2000243,3,100,'Applies Knockdown.  Lasts for 2.0 seconds.',0,0),
(66187,2000243,3,100,'Throws target back',1,1),
(66188,2000243,3,100,'Blurs vision of target',1,2),
(66189,2000243,3,100,'Stuns target',1,3),
(66190,2000243,3,100,'Does not affect Epic targets',1,4),
(66191,2000243,3,100,'Inflicts 415 - 692 ranged damage on target',0,5),
(66192,2000243,3,100,'If Aim or Bow equipped in Ranged',0,6),
(66193,2000243,4,100,'Applies Knockdown.  Lasts for 2.2 seconds.',0,0),
(66194,2000243,4,100,'Throws target back',1,1),
(66195,2000243,4,100,'Blurs vision of target',1,2),
(66196,2000243,4,100,'Stuns target',1,3),
(66197,2000243,4,100,'Does not affect Epic targets',1,4),
(66198,2000243,4,100,'Inflicts 342 - 571 ranged damage on target',0,5),
(66199,2000243,4,100,'If Bow equipped in Ranged',0,6),
(66200,2000243,5,100,'Applies Knockdown.  Lasts for 2.4 seconds.',0,0),
(66201,2000243,5,100,'Throws target back',1,1),
(66202,2000243,5,100,'Blurs vision of target',1,2),
(66203,2000243,5,100,'Stuns target',1,3),
(66204,2000243,5,100,'Does not affect Epic targets',1,4),
(66205,2000243,5,100,'Inflicts 498 - 831 ranged damage on target',0,5),
(66206,2000243,5,100,'If Aim or Bow equipped in Ranged',0,6),
(66207,2000243,6,100,'Applies Knockdown.  Lasts for 2.6 seconds.',0,0),
(66208,2000243,6,100,'Throws target back',1,1),
(66209,2000243,6,100,'Blurs vision of target',1,2),
(66210,2000243,6,100,'Stuns target',1,3),
(66211,2000243,6,100,'Does not affect Epic targets',1,4),
(66212,2000243,6,100,'Inflicts 405 - 675 ranged damage on target',0,5),
(66213,2000243,6,100,'If Bow equipped in Ranged',0,6),
(66214,2000243,7,100,'Applies Knockdown.  Lasts for 2.8 seconds.',0,0),
(66215,2000243,7,100,'Throws target back',1,1),
(66216,2000243,7,100,'Blurs vision of target',1,2),
(66217,2000243,7,100,'Stuns target',1,3),
(66218,2000243,7,100,'Does not affect Epic targets',1,4),
(66219,2000243,7,100,'Inflicts 639 - 1066 ranged damage on target',0,5),
(66220,2000243,7,100,'If Aim or Bow equipped in Ranged',0,6),
(66221,2000243,8,100,'Applies Knockdown.  Lasts for 3.0 seconds.',0,0),
(66222,2000243,8,100,'Throws target back',1,1),
(66223,2000243,8,100,'Blurs vision of target',1,2),
(66224,2000243,8,100,'Stuns target',1,3),
(66225,2000243,8,100,'Does not affect Epic targets',1,4),
(66226,2000243,8,100,'Inflicts 644 - 1073 ranged damage on target',0,5),
(66227,2000243,8,100,'If Aim or Bow equipped in Ranged',0,6),
(66228,2000243,9,100,'Applies Knockdown.  Lasts for 3.2 seconds.',0,0),
(66229,2000243,9,100,'Throws target back',1,1),
(66230,2000243,9,100,'Blurs vision of target',1,2),
(66231,2000243,9,100,'Stuns target',1,3),
(66232,2000243,9,100,'Does not affect Epic targets',1,4),
(66233,2000243,9,100,'Inflicts 664 - 1108 ranged damage on target',0,5),
(66234,2000243,9,100,'If Aim or Bow equipped in Ranged',0,6),
(66235,2000243,10,100,'Applies Knockdown.  Lasts for 3.3 seconds.',0,0),
(66236,2000243,10,100,'Throws target back',1,1),
(66237,2000243,10,100,'Blurs vision of target',1,2),
(66238,2000243,10,100,'Stuns target',1,3),
(66239,2000243,10,100,'Does not affect Epic targets',1,4),
(66240,2000243,10,100,'Inflicts 698 - 1163 ranged damage on target',0,5),
(66241,2000243,10,100,'If Aim or Bow equipped in Ranged',0,6),
(66242,330145,1,100,'Inflicts 24 - 40 melee damage on target',0,0),
(66243,330145,1,100,'Inflicts 24 - 40 melee damage on target',0,1),
(66244,330145,2,100,'Inflicts 25 - 43 melee damage on target',0,0),
(66245,330145,2,100,'Inflicts 25 - 43 melee damage on target',0,1),
(66246,330145,3,100,'Inflicts 27 - 45 melee damage on target',0,0),
(66247,330145,3,100,'Inflicts 27 - 45 melee damage on target',0,1),
(66248,330145,4,100,'Inflicts 29 - 49 melee damage on target',0,0),
(66249,330145,4,100,'Inflicts 29 - 49 melee damage on target',0,1),
(66250,330145,5,100,'Inflicts 32 - 54 melee damage on target',0,0),
(66251,330145,5,100,'Inflicts 32 - 54 melee damage on target',0,1),
(66252,330145,7,100,'Inflicts 41 - 69 melee damage on target',0,0),
(66253,330145,7,100,'Inflicts 41 - 69 melee damage on target',0,1),
(66254,330145,9,100,'Inflicts 43 - 72 melee damage on target',0,0),
(66255,330145,9,100,'Inflicts 43 - 72 melee damage on target',0,1),
(66256,330145,10,100,'Inflicts 45 - 76 melee damage on target',0,0),
(66257,330145,10,100,'Inflicts 45 - 76 melee damage on target',0,1),
(66258,330146,1,100,'Inflicts 54 - 91 melee damage on target',0,0),
(66259,330146,1,100,'Inflicts 54 - 91 melee damage on target',0,1),
(66260,330146,2,100,'Inflicts 57 - 96 melee damage on target',0,0),
(66261,330146,2,100,'Inflicts 57 - 96 melee damage on target',0,1),
(66262,330146,3,100,'Inflicts 60 - 101 melee damage on target',0,0),
(66263,330146,3,100,'Inflicts 60 - 101 melee damage on target',0,1),
(66264,330146,4,100,'Inflicts 66 - 111 melee damage on target',0,0),
(66265,330146,4,100,'Inflicts 66 - 111 melee damage on target',0,1),
(66266,330146,5,100,'Inflicts 72 - 121 melee damage on target',0,0),
(66267,330146,5,100,'Inflicts 72 - 121 melee damage on target',0,1),
(66268,330146,7,100,'Inflicts 93 - 155 melee damage on target',0,0),
(66269,330146,7,100,'Inflicts 93 - 155 melee damage on target',0,1),
(66270,330146,9,100,'Inflicts 97 - 161 melee damage on target',0,0),
(66271,330146,9,100,'Inflicts 97 - 161 melee damage on target',0,1),
(66272,330147,1,100,'Inflicts 87 - 146 melee damage on target',0,0),
(66273,330147,1,100,'Inflicts 87 - 146 melee damage on target',0,1),
(66274,330147,2,100,'Inflicts 92 - 154 melee damage on target',0,0),
(66275,330147,2,100,'Inflicts 92 - 154 melee damage on target',0,1),
(66276,330147,3,100,'Inflicts 97 - 162 melee damage on target',0,0),
(66277,330147,3,100,'Inflicts 97 - 162 melee damage on target',0,1),
(66278,330147,4,100,'Inflicts 107 - 179 melee damage on target',0,0),
(66279,330147,4,100,'Inflicts 107 - 179 melee damage on target',0,1),
(66280,330147,5,100,'Inflicts 117 - 195 melee damage on target',0,0),
(66281,330147,5,100,'Inflicts 117 - 195 melee damage on target',0,1),
(66282,330147,7,100,'Inflicts 150 - 250 melee damage on target',0,0),
(66283,330147,7,100,'Inflicts 150 - 250 melee damage on target',0,1),
(66284,330147,9,100,'Inflicts 156 - 260 melee damage on target',0,0),
(66285,330147,9,100,'Inflicts 156 - 260 melee damage on target',0,1),
(66286,330148,1,100,'Inflicts 129 - 215 melee damage on target',0,0),
(66287,330148,1,100,'Inflicts 129 - 215 melee damage on target',0,1),
(66288,330148,2,100,'Inflicts 136 - 227 melee damage on target',0,0),
(66289,330148,2,100,'Inflicts 136 - 227 melee damage on target',0,1),
(66290,330148,3,100,'Inflicts 143 - 239 melee damage on target',0,0),
(66291,330148,3,100,'Inflicts 143 - 239 melee damage on target',0,1),
(66292,330148,4,100,'Inflicts 158 - 263 melee damage on target',0,0),
(66293,330148,4,100,'Inflicts 158 - 263 melee damage on target',0,1),
(66294,330148,5,100,'Inflicts 172 - 287 melee damage on target',0,0),
(66295,330148,5,100,'Inflicts 172 - 287 melee damage on target',0,1),
(66296,330148,7,100,'Inflicts 221 - 369 melee damage on target',0,0),
(66297,330148,7,100,'Inflicts 221 - 369 melee damage on target',0,1),
(66298,330148,9,100,'Inflicts 230 - 383 melee damage on target',0,0),
(66299,330148,9,100,'Inflicts 230 - 383 melee damage on target',0,1),
(66300,330148,10,100,'Inflicts 241 - 402 melee damage on target',0,0),
(66301,330148,10,100,'Inflicts 241 - 402 melee damage on target',0,1),
(66302,330149,1,100,'Inflicts 171 - 285 melee damage on target',0,0),
(66303,330149,1,100,'Inflicts 171 - 285 melee damage on target',0,1),
(66304,330149,2,100,'Inflicts 180 - 301 melee damage on target',0,0),
(66305,330149,2,100,'Inflicts 180 - 301 melee damage on target',0,1),
(66306,330149,3,100,'Inflicts 190 - 316 melee damage on target',0,0),
(66307,330149,3,100,'Inflicts 190 - 316 melee damage on target',0,1),
(66308,330149,4,100,'Inflicts 209 - 348 melee damage on target',0,0),
(66309,330149,4,100,'Inflicts 209 - 348 melee damage on target',0,1),
(66310,330149,5,100,'Inflicts 228 - 380 melee damage on target',0,0),
(66311,330149,5,100,'Inflicts 228 - 380 melee damage on target',0,1),
(66312,330149,7,100,'Inflicts 292 - 487 melee damage on target',0,0),
(66313,330149,7,100,'Inflicts 292 - 487 melee damage on target',0,1),
(66314,330149,9,100,'Inflicts 304 - 507 melee damage on target',0,0),
(66315,330149,9,100,'Inflicts 304 - 507 melee damage on target',0,1),
(66316,330150,1,100,'Inflicts 207 - 345 melee damage on target',0,0),
(66317,330150,1,100,'Inflicts 207 - 345 melee damage on target',0,1),
(66318,330150,2,100,'Inflicts 218 - 364 melee damage on target',0,0),
(66319,330150,2,100,'Inflicts 218 - 364 melee damage on target',0,1),
(66320,330150,3,100,'Inflicts 230 - 383 melee damage on target',0,0),
(66321,330150,3,100,'Inflicts 230 - 383 melee damage on target',0,1),
(66322,330150,4,100,'Inflicts 253 - 422 melee damage on target',0,0),
(66323,330150,4,100,'Inflicts 253 - 422 melee damage on target',0,1),
(66324,330150,5,100,'Inflicts 276 - 460 melee damage on target',0,0),
(66325,330150,5,100,'Inflicts 276 - 460 melee damage on target',0,1),
(66326,330150,7,100,'Inflicts 354 - 590 melee damage on target',0,0),
(66327,330150,7,100,'Inflicts 354 - 590 melee damage on target',0,1),
(66328,330150,9,100,'Inflicts 368 - 613 melee damage on target',0,0),
(66329,330150,9,100,'Inflicts 368 - 613 melee damage on target',0,1),
(66330,330151,1,100,'Inflicts 249 - 415 melee damage on target',0,0),
(66331,330151,1,100,'Inflicts 249 - 415 melee damage on target',0,1),
(66332,330151,4,100,'Inflicts 305 - 508 melee damage on target',0,0),
(66333,330151,4,100,'Inflicts 305 - 508 melee damage on target',0,1),
(66334,330151,5,100,'Inflicts 332 - 554 melee damage on target',0,0),
(66335,330151,5,100,'Inflicts 332 - 554 melee damage on target',0,1),
(66336,330151,7,100,'Inflicts 427 - 711 melee damage on target',0,0),
(66337,330151,7,100,'Inflicts 427 - 711 melee damage on target',0,1),
(66338,330151,9,100,'Inflicts 443 - 739 melee damage on target',0,0),
(66339,330151,9,100,'Inflicts 443 - 739 melee damage on target',0,1),
(66340,330152,1,100,'Inflicts 270 - 451 melee damage on target',0,0),
(66341,330152,1,100,'Inflicts 270 - 451 melee damage on target',0,1),
(66342,330152,4,100,'Inflicts 331 - 551 melee damage on target',0,0),
(66343,330152,4,100,'Inflicts 331 - 551 melee damage on target',0,1),
(66344,330152,5,100,'Inflicts 361 - 601 melee damage on target',0,0),
(66345,330152,5,100,'Inflicts 361 - 601 melee damage on target',0,1),
(66346,330152,7,100,'Inflicts 463 - 772 melee damage on target',0,0),
(66347,330152,7,100,'Inflicts 463 - 772 melee damage on target',0,1),
(66348,330152,9,100,'Inflicts 481 - 802 melee damage on target',0,0),
(66349,330152,9,100,'Inflicts 481 - 802 melee damage on target',0,1),
(66350,390138,1,100,'Inflicts 98 - 164 ranged damage on target',0,0),
(66351,390138,1,100,'Slows target by 34.9%',0,1),
(66352,390138,1,100,'10% chance to dispel when target receives hostile action',0,2),
(66353,390138,1,100,'Requires bow or aim',0,3),
(66354,390138,2,100,'Inflicts 104 - 173 ranged damage on target',0,0),
(66355,390138,2,100,'Slows target by 36.9%',0,1),
(66356,390138,2,100,'10% chance to dispel when target receives hostile action',0,2),
(66357,390138,2,100,'Requires bow or aim',0,3),
(66358,390138,3,100,'Inflicts 109 - 182 ranged damage on target',0,0),
(66359,390138,3,100,'Slows target by 38.8%',0,1),
(66360,390138,3,100,'10% chance to dispel when target receives hostile action',0,2),
(66361,390138,3,100,'Requires bow or aim',0,3),
(66362,390138,4,100,'Inflicts 120 - 201 ranged damage on target',0,0),
(66363,390138,4,100,'Slows target by 42.7%',0,1),
(66364,390138,4,100,'10% chance to dispel when target receives hostile action',0,2),
(66365,390138,4,100,'Requires bow or aim',0,3),
(66366,390138,5,100,'Inflicts 131 - 219 ranged damage on target',0,0),
(66367,390138,5,100,'Slows target by 46.6%',0,1),
(66368,390138,5,100,'10% chance to dispel when target receives hostile action',0,2),
(66369,390138,5,100,'Requires bow or aim',0,3),
(66370,390138,7,100,'Inflicts 169 - 281 ranged damage on target',0,0),
(66371,390138,7,100,'Slows target by 59.8%',0,1),
(66372,390138,7,100,'10% chance to dispel when target receives hostile action',0,2),
(66373,390138,7,100,'Requires bow or aim',0,3),
(66374,390138,9,100,'Inflicts 175 - 292 ranged damage on target',0,0),
(66375,390138,9,100,'Slows target by 62.1%',0,1),
(66376,390138,9,100,'10% chance to dispel when target receives hostile action',0,2),
(66377,390138,9,100,'Requires bow or aim',0,3),
(66378,390138,10,100,'Inflicts 184 - 307 ranged damage on target',0,0),
(66379,390138,10,100,'Slows target by 65.2%',0,1),
(66380,390138,10,100,'10% chance to dispel when target receives hostile action',0,2),
(66381,390138,10,100,'Requires bow or aim',0,3),
(66382,390139,1,100,'Inflicts 139 - 233 ranged damage on target',0,0),
(66383,390139,1,100,'Slows target by 36.3%',0,1),
(66384,390139,1,100,'10% chance to dispel when target receives hostile action',0,2),
(66385,390139,1,100,'Requires bow or aim',0,3),
(66386,390139,2,100,'Inflicts 147 - 246 ranged damage on target',0,0),
(66387,390139,2,100,'Slows target by 38.3%',0,1),
(66388,390139,2,100,'10% chance to dispel when target receives hostile action',0,2),
(66389,390139,2,100,'Requires bow or aim',0,3),
(66390,390139,3,100,'Inflicts 155 - 259 ranged damage on target',0,0),
(66391,390139,3,100,'Slows target by 40.3%',0,1),
(66392,390139,3,100,'10% chance to dispel when target receives hostile action',0,2),
(66393,390139,3,100,'Requires bow or aim',0,3),
(66394,390139,4,100,'Inflicts 171 - 285 ranged damage on target',0,0),
(66395,390139,4,100,'Slows target by 44.4%',0,1),
(66396,390139,4,100,'10% chance to dispel when target receives hostile action',0,2),
(66397,390139,4,100,'Requires bow or aim',0,3),
(66398,390139,5,100,'Inflicts 186 - 311 ranged damage on target',0,0),
(66399,390139,5,100,'Slows target by 48.4%',0,1),
(66400,390139,5,100,'10% chance to dispel when target receives hostile action',0,2),
(66401,390139,5,100,'Requires bow or aim',0,3),
(66402,390139,7,100,'Inflicts 239 - 399 ranged damage on target',0,0),
(66403,390139,7,100,'Slows target by 62.1%',0,1),
(66404,390139,7,100,'10% chance to dispel when target receives hostile action',0,2),
(66405,390139,7,100,'Requires bow or aim',0,3),
(66406,390139,9,100,'Inflicts 248 - 414 ranged damage on target',0,0),
(66407,390139,9,100,'Slows target by 64.5%',0,1),
(66408,390139,9,100,'10% chance to dispel when target receives hostile action',0,2),
(66409,390139,9,100,'Requires bow or aim',0,3),
(66410,390140,1,100,'Inflicts 182 - 304 ranged damage on target',0,0),
(66411,390140,1,100,'Slows target by 36.8%',0,1),
(66412,390140,1,100,'10% chance to dispel when target receives hostile action',0,2),
(66413,390140,1,100,'Requires bow or aim',0,3),
(66418,390140,3,100,'Inflicts 202 - 338 ranged damage on target',0,0),
(66419,390140,3,100,'Slows target by 40.9%',0,1),
(66420,390140,3,100,'10% chance to dispel when target receives hostile action',0,2),
(66421,390140,3,100,'Requires bow or aim',0,3),
(66422,390140,4,100,'Inflicts 223 - 372 ranged damage on target',0,0),
(66423,390140,4,100,'Slows target by 45.0%',0,1),
(66424,390140,4,100,'10% chance to dispel when target receives hostile action',0,2),
(66425,390140,4,100,'Requires bow or aim',0,3),
(66426,390140,5,100,'Inflicts 243 - 405 ranged damage on target',0,0),
(66427,390140,5,100,'Slows target by 49.1%',0,1),
(66428,390140,5,100,'10% chance to dispel when target receives hostile action',0,2),
(66429,390140,5,100,'Requires bow or aim',0,3),
(66430,390140,7,100,'Inflicts 312 - 521 ranged damage on target',0,0),
(66431,390140,7,100,'Slows target by 63.0%',0,1),
(66432,390140,7,100,'10% chance to dispel when target receives hostile action',0,2),
(66433,390140,7,100,'Requires bow or aim',0,3),
(66434,390140,9,100,'Inflicts 324 - 541 ranged damage on target',0,0),
(66435,390140,9,100,'Slows target by 65.4%',0,1),
(66436,390140,9,100,'10% chance to dispel when target receives hostile action',0,2),
(66437,390140,9,100,'Requires bow or aim',0,3),
(66438,390141,1,100,'Inflicts 221 - 368 ranged damage on target',0,0),
(66439,390141,1,100,'Slows target by 37.2%',0,1),
(66440,390141,1,100,'10% chance to dispel when target receives hostile action',0,2),
(66441,390141,1,100,'Requires bow or aim',0,3),
(66442,390141,4,100,'Inflicts 270 - 450 ranged damage on target',0,0),
(66443,390141,4,100,'Slows target by 45.4%',0,1),
(66444,390141,4,100,'10% chance to dispel when target receives hostile action',0,2),
(66445,390141,4,100,'Requires bow or aim',0,3),
(66446,390141,5,100,'Inflicts 294 - 491 ranged damage on target',0,0),
(66447,390141,5,100,'Slows target by 49.5%',0,1),
(66448,390141,5,100,'10% chance to dispel when target receives hostile action',0,2),
(66449,390141,5,100,'Requires bow or aim',0,3),
(66450,390141,7,100,'Inflicts 378 - 630 ranged damage on target',0,0),
(66451,390141,7,100,'Slows target by 63.6%',0,1),
(66452,390141,7,100,'10% chance to dispel when target receives hostile action',0,2),
(66453,390141,7,100,'Requires bow or aim',0,3),
(66454,390141,9,100,'Inflicts 393 - 655 ranged damage on target',0,0),
(66455,390141,9,100,'Slows target by 66.0%',0,1),
(66456,390141,9,100,'10% chance to dispel when target receives hostile action',0,2),
(66457,390141,9,100,'Requires bow or aim',0,3),
(66458,390142,1,100,'Inflicts 258 - 431 ranged damage on target',0,0),
(66459,390142,1,100,'Slows target by 37.5%',0,1),
(66460,390142,1,100,'10% chance to dispel when target receives hostile action',0,2),
(66461,390142,1,100,'Requires bow or aim',0,3),
(66462,390142,4,100,'Inflicts 316 - 527 ranged damage on target',0,0),
(66463,390142,4,100,'Slows target by 45.8%',0,1),
(66464,390142,4,100,'10% chance to dispel when target receives hostile action',0,2),
(66465,390142,4,100,'Requires bow or aim',0,3),
(66466,390142,5,100,'Inflicts 345 - 575 ranged damage on target',0,0),
(66467,390142,5,100,'Slows target by 50.0%',0,1),
(66468,390142,5,100,'10% chance to dispel when target receives hostile action',0,2),
(66469,390142,5,100,'Requires bow or aim',0,3),
(66470,390142,7,100,'Inflicts 442 - 737 ranged damage on target',0,0),
(66471,390142,7,100,'Slows target by 64.2%',0,1),
(66472,390142,7,100,'10% chance to dispel when target receives hostile action',0,2),
(66473,390142,7,100,'Requires bow or aim',0,3),
(66474,390142,9,100,'Inflicts 460 - 766 ranged damage on target',0,0),
(66475,390142,9,100,'Slows target by 66.7%',0,1),
(66476,390142,9,100,'10% chance to dispel when target receives hostile action',0,2),
(66477,390142,9,100,'Requires bow or aim',0,3),
(66478,320022,1,100,'Grants See Stealth to caster',0,0),
(66479,320022,1,100,'Grants stealth to caster',0,1),
(66480,320022,1,100,'Suspends caster''s movement speed enhancements',0,2),
(66481,310020,1,100,'Inflicts 14 - 24 melee damage on target',0,0),
(66482,310020,1,100,'Must be flanking or behind',0,1),
(66483,390143,1,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(66484,390143,1,100,'Grants stealth to caster',1,1),
(66485,390143,1,100,'Suspends caster''s movement speed enhancements',1,2),
(66486,390143,1,100,'Inflicts 16 - 26 melee damage on target',0,3),
(66487,390143,1,100,'Must be flanking or behind',0,4),
(66488,310020,2,100,'Inflicts 15 - 25 melee damage on target',0,0),
(66489,310020,2,100,'Must be flanking or behind',0,1),
(66490,390143,2,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(66491,390143,2,100,'Grants stealth to caster',1,1),
(66492,390143,2,100,'Suspends caster''s movement speed enhancements',1,2),
(66493,390143,2,100,'Inflicts 16 - 28 melee damage on target',0,3),
(66494,390143,2,100,'Must be flanking or behind',0,4),
(66495,310020,3,100,'Inflicts 16 - 26 melee damage on target',0,0),
(66496,310020,3,100,'Must be flanking or behind',0,1),
(66497,390143,3,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(66498,390143,3,100,'Grants stealth to caster',1,1),
(66499,390143,3,100,'Suspends caster''s movement speed enhancements',1,2),
(66500,390143,3,100,'Inflicts 17 - 29 melee damage on target',0,3),
(66501,390143,3,100,'Must be flanking or behind',0,4),
(66502,310020,4,100,'Inflicts 17 - 29 melee damage on target',0,0),
(66503,310020,4,100,'Must be flanking or behind',0,1),
(66504,390143,4,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(66505,390143,4,100,'Grants stealth to caster',1,1),
(66506,390143,4,100,'Suspends caster''s movement speed enhancements',1,2),
(66507,390143,4,100,'Inflicts 19 - 32 melee damage on target',0,3),
(66508,390143,4,100,'Must be flanking or behind',0,4),
(66509,310020,5,100,'Inflicts 19 - 32 melee damage on target',0,0),
(66510,310020,5,100,'Must be flanking or behind',0,1),
(66511,390143,5,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(66512,390143,5,100,'Grants stealth to caster',1,1),
(66513,390143,5,100,'Suspends caster''s movement speed enhancements',1,2),
(66514,390143,5,100,'Inflicts 21 - 35 melee damage on target',0,3),
(66515,390143,5,100,'Must be flanking or behind',0,4),
(66516,390143,7,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(66517,390143,7,100,'Grants stealth to caster',1,1),
(66518,390143,7,100,'Suspends caster''s movement speed enhancements',1,2),
(66519,390143,7,100,'Inflicts 27 - 45 melee damage on target',0,3),
(66520,390143,7,100,'Must be flanking or behind',0,4),
(66521,310020,7,100,'Inflicts 24 - 41 melee damage on target',0,0),
(66522,310020,7,100,'Must be flanking or behind',0,1),
(66523,310020,9,100,'Inflicts 25 - 43 melee damage on target',0,0),
(66524,310020,9,100,'Must be flanking or behind',0,1),
(66525,390143,9,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(66526,390143,9,100,'Grants stealth to caster',1,1),
(66527,390143,9,100,'Suspends caster''s movement speed enhancements',1,2),
(66528,390143,9,100,'Inflicts 28 - 47 melee damage on target',0,3),
(66529,390143,9,100,'Must be flanking or behind',0,4),
(66530,390144,1,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(66531,390144,1,100,'Grants stealth to caster',1,1),
(66532,390144,1,100,'Suspends caster''s movement speed enhancements',1,2),
(66533,390144,1,100,'Inflicts 57 - 96 melee damage on target',0,3),
(66534,390144,1,100,'Must be flanking or behind',0,4),
(66535,390144,2,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(66536,390144,2,100,'Grants stealth to caster',1,1),
(66537,390144,2,100,'Suspends caster''s movement speed enhancements',1,2),
(66538,390144,2,100,'Inflicts 60 - 101 melee damage on target',0,3),
(66539,390144,2,100,'Must be flanking or behind',0,4),
(66540,390144,3,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(66541,390144,3,100,'Grants stealth to caster',1,1),
(66542,390144,3,100,'Suspends caster''s movement speed enhancements',1,2),
(66543,390144,3,100,'Inflicts 64 - 106 melee damage on target',0,3),
(66544,390144,3,100,'Must be flanking or behind',0,4),
(66545,390144,4,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(66546,390144,4,100,'Grants stealth to caster',1,1),
(66547,390144,4,100,'Suspends caster''s movement speed enhancements',1,2),
(66548,390144,4,100,'Inflicts 70 - 117 melee damage on target',0,3),
(66549,390144,4,100,'Must be flanking or behind',0,4),
(66550,390144,5,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(66551,390144,5,100,'Grants stealth to caster',1,1),
(66552,390144,5,100,'Suspends caster''s movement speed enhancements',1,2),
(66553,390144,5,100,'Inflicts 76 - 128 melee damage on target',0,3),
(66554,390144,5,100,'Must be flanking or behind',0,4),
(66555,390144,7,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(66556,390144,7,100,'Grants stealth to caster',1,1),
(66557,390144,7,100,'Suspends caster''s movement speed enhancements',1,2),
(66558,390144,7,100,'Inflicts 98 - 164 melee damage on target',0,3),
(66559,390144,7,100,'Must be flanking or behind',0,4),
(66560,390144,9,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(66561,390144,9,100,'Grants stealth to caster',1,1),
(66562,390144,9,100,'Suspends caster''s movement speed enhancements',1,2),
(66563,390144,9,100,'Inflicts 102 - 170 melee damage on target',0,3),
(66564,390144,9,100,'Must be flanking or behind',0,4),
(66565,390145,1,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(66566,390145,1,100,'Grants stealth to caster',1,1),
(66567,390145,1,100,'Suspends caster''s movement speed enhancements',1,2),
(66568,390145,1,100,'Inflicts 107 - 178 melee damage on target',0,3),
(66569,390145,1,100,'Must be flanking or behind',0,4),
(66570,390145,2,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(66571,390145,2,100,'Grants stealth to caster',1,1),
(66572,390145,2,100,'Suspends caster''s movement speed enhancements',1,2),
(66573,390145,2,100,'Inflicts 112 - 188 melee damage on target',0,3),
(66574,390145,2,100,'Must be flanking or behind',0,4),
(66575,390145,3,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(66576,390145,3,100,'Grants stealth to caster',1,1),
(66577,390145,3,100,'Suspends caster''s movement speed enhancements',1,2),
(66578,390145,3,100,'Inflicts 118 - 198 melee damage on target',0,3),
(66579,390145,3,100,'Must be flanking or behind',0,4),
(66580,390145,4,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(66581,390145,4,100,'Grants stealth to caster',1,1),
(66582,390145,4,100,'Suspends caster''s movement speed enhancements',1,2),
(66583,390145,4,100,'Inflicts 130 - 218 melee damage on target',0,3),
(66584,390145,4,100,'Must be flanking or behind',0,4),
(66585,390145,5,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(66586,390145,5,100,'Grants stealth to caster',1,1),
(66587,390145,5,100,'Suspends caster''s movement speed enhancements',1,2),
(66588,390145,5,100,'Inflicts 142 - 237 melee damage on target',0,3),
(66589,390145,5,100,'Must be flanking or behind',0,4),
(66590,390145,7,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(66591,390145,7,100,'Grants stealth to caster',1,1),
(66592,390145,7,100,'Suspends caster''s movement speed enhancements',1,2),
(66593,390145,7,100,'Inflicts 183 - 305 melee damage on target',0,3),
(66594,390145,7,100,'Must be flanking or behind',0,4),
(66595,390145,9,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(66596,390145,9,100,'Grants stealth to caster',1,1),
(66597,390145,9,100,'Suspends caster''s movement speed enhancements',1,2),
(66598,390145,9,100,'Inflicts 190 - 317 melee damage on target',0,3),
(66599,390145,9,100,'Must be flanking or behind',0,4),
(66600,390145,10,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(66601,390145,10,100,'Grants stealth to caster',1,1),
(66602,390145,10,100,'Suspends caster''s movement speed enhancements',1,2),
(66603,390145,10,100,'Inflicts 199 - 333 melee damage on target',0,3),
(66604,390145,10,100,'Must be flanking or behind',0,4),
(66605,390146,1,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(66606,390146,1,100,'Grants stealth to caster',1,1),
(66607,390146,1,100,'Suspends caster''s movement speed enhancements',1,2),
(66608,390146,1,100,'Inflicts 163 - 272 melee damage on target',0,3),
(66609,390146,1,100,'Must be flanking or behind',0,4),
(66610,390146,2,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(66611,390146,2,100,'Grants stealth to caster',1,1),
(66612,390146,2,100,'Suspends caster''s movement speed enhancements',1,2),
(66613,390146,2,100,'Inflicts 172 - 287 melee damage on target',0,3),
(66614,390146,2,100,'Must be flanking or behind',0,4),
(66615,390146,3,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(66616,390146,3,100,'Grants stealth to caster',1,1),
(66617,390146,3,100,'Suspends caster''s movement speed enhancements',1,2),
(66618,390146,3,100,'Inflicts 181 - 302 melee damage on target',0,3),
(66619,390146,3,100,'Must be flanking or behind',0,4),
(66620,390146,4,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(66621,390146,4,100,'Grants stealth to caster',1,1),
(66622,390146,4,100,'Suspends caster''s movement speed enhancements',1,2),
(66623,390146,4,100,'Inflicts 199 - 332 melee damage on target',0,3),
(66624,390146,4,100,'Must be flanking or behind',0,4),
(66625,390146,5,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(66626,390146,5,100,'Grants stealth to caster',1,1),
(66627,390146,5,100,'Suspends caster''s movement speed enhancements',1,2),
(66628,390146,5,100,'Inflicts 217 - 362 melee damage on target',0,3),
(66629,390146,5,100,'Must be flanking or behind',0,4),
(66630,390146,7,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(66631,390146,7,100,'Grants stealth to caster',1,1),
(66632,390146,7,100,'Suspends caster''s movement speed enhancements',1,2),
(66633,390146,7,100,'Inflicts 279 - 465 melee damage on target',0,3),
(66634,390146,7,100,'Must be flanking or behind',0,4),
(66635,390146,9,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(66636,390146,9,100,'Grants stealth to caster',1,1),
(66637,390146,9,100,'Suspends caster''s movement speed enhancements',1,2),
(66638,390146,9,100,'Inflicts 290 - 483 melee damage on target',0,3),
(66639,390146,9,100,'Must be flanking or behind',0,4),
(66640,390147,1,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(66641,390147,1,100,'Grants stealth to caster',1,1),
(66642,390147,1,100,'Suspends caster''s movement speed enhancements',1,2),
(66643,390147,1,100,'Inflicts 225 - 376 melee damage on target',0,3),
(66644,390147,1,100,'Must be flanking or behind',0,4),
(66645,390147,2,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(66646,390147,2,100,'Grants stealth to caster',1,1),
(66647,390147,2,100,'Suspends caster''s movement speed enhancements',1,2),
(66648,390147,2,100,'Inflicts 238 - 397 melee damage on target',0,3),
(66649,390147,2,100,'Must be flanking or behind',0,4),
(66650,390147,3,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(66651,390147,3,100,'Grants stealth to caster',1,1),
(66652,390147,3,100,'Suspends caster''s movement speed enhancements',1,2),
(66653,390147,3,100,'Inflicts 250 - 418 melee damage on target',0,3),
(66654,390147,3,100,'Must be flanking or behind',0,4),
(66655,390147,4,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(66656,390147,4,100,'Grants stealth to caster',1,1),
(66657,390147,4,100,'Suspends caster''s movement speed enhancements',1,2),
(66658,390147,4,100,'Inflicts 275 - 459 melee damage on target',0,3),
(66659,390147,4,100,'Must be flanking or behind',0,4),
(66660,390147,5,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(66661,390147,5,100,'Grants stealth to caster',1,1),
(66662,390147,5,100,'Suspends caster''s movement speed enhancements',1,2),
(66663,390147,5,100,'Inflicts 300 - 501 melee damage on target',0,3),
(66664,390147,5,100,'Must be flanking or behind',0,4),
(66665,390147,7,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(66666,390147,7,100,'Grants stealth to caster',1,1),
(66667,390147,7,100,'Suspends caster''s movement speed enhancements',1,2),
(66668,390147,7,100,'Inflicts 386 - 643 melee damage on target',0,3),
(66669,390147,7,100,'Must be flanking or behind',0,4),
(66670,390147,9,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(66671,390147,9,100,'Grants stealth to caster',1,1),
(66672,390147,9,100,'Suspends caster''s movement speed enhancements',1,2),
(66673,390147,9,100,'Inflicts 401 - 668 melee damage on target',0,3),
(66674,390147,9,100,'Must be flanking or behind',0,4),
(66675,390147,10,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(66676,390147,10,100,'Grants stealth to caster',1,1),
(66677,390147,10,100,'Suspends caster''s movement speed enhancements',1,2),
(66678,390147,10,100,'Inflicts 421 - 702 melee damage on target',0,3),
(66679,390147,10,100,'Must be flanking or behind',0,4),
(66680,390148,1,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(66681,390148,1,100,'Grants stealth to caster',1,1),
(66682,390148,1,100,'Suspends caster''s movement speed enhancements',1,2),
(66683,390148,1,100,'Inflicts 288 - 480 melee damage on target',0,3),
(66684,390148,1,100,'Must be flanking or behind',0,4),
(66685,390148,2,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(66686,390148,2,100,'Grants stealth to caster',1,1),
(66687,390148,2,100,'Suspends caster''s movement speed enhancements',1,2),
(66688,390148,2,100,'Inflicts 304 - 507 melee damage on target',0,3),
(66689,390148,2,100,'Must be flanking or behind',0,4),
(66690,390148,3,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(66691,390148,3,100,'Grants stealth to caster',1,1),
(66692,390148,3,100,'Suspends caster''s movement speed enhancements',1,2),
(66693,390148,3,100,'Inflicts 320 - 534 melee damage on target',0,3),
(66694,390148,3,100,'Must be flanking or behind',0,4),
(66695,390148,4,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(66696,390148,4,100,'Grants stealth to caster',1,1),
(66697,390148,4,100,'Suspends caster''s movement speed enhancements',1,2),
(66698,390148,4,100,'Inflicts 352 - 587 melee damage on target',0,3),
(66699,390148,4,100,'Must be flanking or behind',0,4),
(66700,390148,5,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(66701,390148,5,100,'Grants stealth to caster',1,1),
(66702,390148,5,100,'Suspends caster''s movement speed enhancements',1,2),
(66703,390148,5,100,'Inflicts 384 - 641 melee damage on target',0,3),
(66704,390148,5,100,'Must be flanking or behind',0,4),
(66705,390148,7,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(66706,390148,7,100,'Grants stealth to caster',1,1),
(66707,390148,7,100,'Suspends caster''s movement speed enhancements',1,2),
(66708,390148,7,100,'Inflicts 493 - 822 melee damage on target',0,3),
(66709,390148,7,100,'Must be flanking or behind',0,4),
(66710,390148,9,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(66711,390148,9,100,'Grants stealth to caster',1,1),
(66712,390148,9,100,'Suspends caster''s movement speed enhancements',1,2),
(66713,390148,9,100,'Inflicts 512 - 854 melee damage on target',0,3),
(66714,390148,9,100,'Must be flanking or behind',0,4),
(66715,390148,10,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(66716,390148,10,100,'Grants stealth to caster',1,1),
(66717,390148,10,100,'Suspends caster''s movement speed enhancements',1,2),
(66718,390148,10,100,'Inflicts 538 - 897 melee damage on target',0,3),
(66719,390148,10,100,'Must be flanking or behind',0,4),
(66720,390149,1,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(66721,390149,1,100,'Grants stealth to caster',1,1),
(66722,390149,1,100,'Suspends caster''s movement speed enhancements',1,2),
(66723,390149,1,100,'Inflicts 348 - 580 melee damage on target',0,3),
(66724,390149,1,100,'Must be flanking or behind',0,4),
(66725,390149,4,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(66726,390149,4,100,'Grants stealth to caster',1,1),
(66727,390149,4,100,'Suspends caster''s movement speed enhancements',1,2),
(66728,390149,4,100,'Inflicts 426 - 710 melee damage on target',0,3),
(66729,390149,4,100,'Must be flanking or behind',0,4),
(66730,390149,5,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(66731,390149,5,100,'Grants stealth to caster',1,1),
(66732,390149,5,100,'Suspends caster''s movement speed enhancements',1,2),
(66733,390149,5,100,'Inflicts 464 - 774 melee damage on target',0,3),
(66734,390149,5,100,'Must be flanking or behind',0,4),
(66735,390149,7,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(66736,390149,7,100,'Grants stealth to caster',1,1),
(66737,390149,7,100,'Suspends caster''s movement speed enhancements',1,2),
(66738,390149,7,100,'Inflicts 596 - 994 melee damage on target',0,3),
(66739,390149,7,100,'Must be flanking or behind',0,4),
(66740,390149,9,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(66741,390149,9,100,'Grants stealth to caster',1,1),
(66742,390149,9,100,'Suspends caster''s movement speed enhancements',1,2),
(66743,390149,9,100,'Inflicts 619 - 1032 melee damage on target',0,3),
(66744,390149,9,100,'Must be flanking or behind',0,4),
(66745,390150,1,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(66746,390150,1,100,'Grants stealth to caster',1,1),
(66747,390150,1,100,'Suspends caster''s movement speed enhancements',1,2),
(66748,390150,1,100,'Inflicts 397 - 662 melee damage on target',0,3),
(66749,390150,1,100,'Must be flanking or behind',0,4),
(66750,390150,4,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(66751,390150,4,100,'Grants stealth to caster',1,1),
(66752,390150,4,100,'Suspends caster''s movement speed enhancements',1,2),
(66753,390150,4,100,'Inflicts 485 - 809 melee damage on target',0,3),
(66754,390150,4,100,'Must be flanking or behind',0,4),
(66755,390150,5,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(66756,390150,5,100,'Grants stealth to caster',1,1),
(66757,390150,5,100,'Suspends caster''s movement speed enhancements',1,2),
(66758,390150,5,100,'Inflicts 529 - 882 melee damage on target',0,3),
(66759,390150,5,100,'Must be flanking or behind',0,4),
(66760,390150,7,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(66761,390150,7,100,'Grants stealth to caster',1,1),
(66762,390150,7,100,'Suspends caster''s movement speed enhancements',1,2),
(66763,390150,7,100,'Inflicts 679 - 1133 melee damage on target',0,3),
(66764,390150,7,100,'Must be flanking or behind',0,4),
(66765,390150,9,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(66766,390150,9,100,'Grants stealth to caster',1,1),
(66767,390150,9,100,'Suspends caster''s movement speed enhancements',1,2),
(66768,390150,9,100,'Inflicts 706 - 1177 melee damage on target',0,3),
(66769,390150,9,100,'Must be flanking or behind',0,4),
(66770,2000244,1,100,'Inflicts 4 - 6 melee damage on target',0,0),
(66771,2000244,1,100,'Increases threat priority of target by 3 positions',0,1),
(66772,2000244,1,100,'Increases Threat to target by 210 - 350 ',0,2),
(66773,390151,1,100,'Decreases Defense of target by 3.5',0,0),
(66774,390151,2,100,'Decreases Defense of target by 3.7',0,0),
(66775,390151,3,100,'Decreases Defense of target by 3.9',0,0),
(66776,390151,4,100,'Decreases Defense of target by 4.3',0,0),
(66777,390151,5,100,'Decreases Defense of target by 4.7',0,0),
(66778,390151,7,100,'Decreases Defense of target by 6.0',0,0),
(66779,390151,9,100,'Decreases Defense of target by 6.2',0,0),
(66780,390152,1,100,'Decreases Defense of target by 8.9',0,0),
(66781,390152,2,100,'Decreases Defense of target by 9.4',0,0),
(66782,390152,3,100,'Decreases Defense of target by 9.9',0,0),
(66783,390152,4,100,'Decreases Defense of target by 10.9',0,0),
(66784,390152,5,100,'Decreases Defense of target by 11.9',0,0),
(66785,390152,7,100,'Decreases Defense of target by 15.2',0,0),
(66786,390152,9,100,'Decreases Defense of target by 15.8',0,0),
(66787,390153,1,100,'Decreases Defense of target by 14.6',0,0),
(66788,390153,2,100,'Decreases Defense of target by 15.4',0,0),
(66789,390153,3,100,'Decreases Defense of target by 16.2',0,0),
(66790,390153,4,100,'Decreases Defense of target by 17.8',0,0),
(66791,390153,5,100,'Decreases Defense of target by 19.4',0,0),
(66792,390153,7,100,'Decreases Defense of target by 24.9',0,0),
(66793,390153,9,100,'Decreases Defense of target by 25.9',0,0),
(66794,390154,1,100,'Decreases Defense of target by 20.3',0,0),
(66795,390154,2,100,'Decreases Defense of target by 21.4',0,0),
(66796,390154,3,100,'Decreases Defense of target by 22.5',0,0),
(66797,390154,4,100,'Decreases Defense of target by 24.8',0,0),
(66798,390154,5,100,'Decreases Defense of target by 27.0',0,0),
(66799,390154,7,100,'Decreases Defense of target by 34.6',0,0),
(66800,390154,9,100,'Decreases Defense of target by 36.0',0,0),
(66801,390155,1,100,'Decreases Defense of target by 25.9',0,0),
(66802,390155,2,100,'Decreases Defense of target by 27.4',0,0),
(66803,390155,3,100,'Decreases Defense of target by 28.8',0,0),
(66804,390155,4,100,'Decreases Defense of target by 31.7',0,0),
(66805,390155,5,100,'Decreases Defense of target by 34.6',0,0),
(66806,390155,7,100,'Decreases Defense of target by 44.4',0,0),
(66807,390155,9,100,'Decreases Defense of target by 46.1',0,0),
(66808,390156,1,100,'Decreases Defense of target by 31.0',0,0),
(66809,390156,2,100,'Decreases Defense of target by 32.8',0,0),
(66810,390156,3,100,'Decreases Defense of target by 34.5',0,0),
(66811,390156,4,100,'Decreases Defense of target by 38.0',0,0),
(66812,390156,5,100,'Decreases Defense of target by 41.4',0,0),
(66813,390156,7,100,'Decreases Defense of target by 53.1',0,0),
(66814,390156,9,100,'Decreases Defense of target by 55.2',0,0),
(66815,390157,1,100,'Decreases Defense of target by 36.5',0,0),
(66816,390157,4,100,'Decreases Defense of target by 44.5',0,0),
(66817,390157,5,100,'Decreases Defense of target by 48.6',0,0),
(66818,390157,7,100,'Decreases Defense of target by 62.4',0,0),
(66819,390157,9,100,'Decreases Defense of target by 64.8',0,0),
(66820,390158,1,100,'Decreases Defense of target by 41.8',0,0),
(66821,390158,4,100,'Decreases Defense of target by 51.2',0,0),
(66822,390158,5,100,'Decreases Defense of target by 55.8',0,0),
(66823,390158,7,100,'Decreases Defense of target by 71.6',0,0),
(66824,390158,9,100,'Decreases Defense of target by 74.4',0,0),
(66825,390159,1,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(66826,390159,1,100,'Throws target back',1,1),
(66827,390159,1,100,'Blurs vision of target',1,2),
(66828,390159,1,100,'Stuns target',1,3),
(66829,390159,1,100,'Does not affect Epic targets',1,4),
(66830,390159,1,100,'Inflicts 2582 - 4303 ranged damage on target',0,5),
(66831,390159,1,100,'I need to be stealthed!',0,6),
(66832,390159,1,100,'Requires bow or aim',0,7),
(66833,390159,2,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(66834,390159,2,100,'Throws target back',1,1),
(66835,390159,2,100,'Blurs vision of target',1,2),
(66836,390159,2,100,'Stuns target',1,3),
(66837,390159,2,100,'Does not affect Epic targets',1,4),
(66838,390159,2,100,'Inflicts 2725 - 4542 ranged damage on target',0,5),
(66839,390159,2,100,'I need to be stealthed!',0,6),
(66840,390159,2,100,'Requires bow or aim',0,7),
(66841,390159,3,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(66842,390159,3,100,'Throws target back',1,1),
(66843,390159,3,100,'Blurs vision of target',1,2),
(66844,390159,3,100,'Stuns target',1,3),
(66845,390159,3,100,'Does not affect Epic targets',1,4),
(66846,390159,3,100,'Inflicts 2869 - 4781 ranged damage on target',0,5),
(66847,390159,3,100,'I need to be stealthed!',0,6),
(66848,390159,3,100,'Requires bow or aim',0,7),
(66849,390159,4,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(66850,390159,4,100,'Throws target back',1,1),
(66851,390159,4,100,'Blurs vision of target',1,2),
(66852,390159,4,100,'Stuns target',1,3),
(66853,390159,4,100,'Does not affect Epic targets',1,4),
(66854,390159,4,100,'Inflicts 3155 - 5259 ranged damage on target',0,5),
(66855,390159,4,100,'I need to be stealthed!',0,6),
(66856,390159,4,100,'Requires bow or aim',0,7),
(66857,390159,5,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(66858,390159,5,100,'Throws target back',1,1),
(66859,390159,5,100,'Blurs vision of target',1,2),
(66860,390159,5,100,'Stuns target',1,3),
(66861,390159,5,100,'Does not affect Epic targets',1,4),
(66862,390159,5,100,'Inflicts 3442 - 5738 ranged damage on target',0,5),
(66863,390159,5,100,'I need to be stealthed!',0,6),
(66864,390159,5,100,'Requires bow or aim',0,7),
(66865,390159,7,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(66866,390159,7,100,'Throws target back',1,1),
(66867,390159,7,100,'Blurs vision of target',1,2),
(66868,390159,7,100,'Stuns target',1,3),
(66869,390159,7,100,'Does not affect Epic targets',1,4),
(66870,390159,7,100,'Inflicts 4418 - 7363 ranged damage on target',0,5),
(66871,390159,7,100,'I need to be stealthed!',0,6),
(66872,390159,7,100,'Requires bow or aim',0,7),
(66873,390159,9,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(66874,390159,9,100,'Throws target back',1,1),
(66875,390159,9,100,'Blurs vision of target',1,2),
(66876,390159,9,100,'Stuns target',1,3),
(66877,390159,9,100,'Does not affect Epic targets',1,4),
(66878,390159,9,100,'Inflicts 4590 - 7650 ranged damage on target',0,5),
(66879,390159,9,100,'I need to be stealthed!',0,6),
(66880,390159,9,100,'Requires bow or aim',0,7),
(66881,390160,1,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(66882,390160,1,100,'Throws target back',1,1),
(66883,390160,1,100,'Blurs vision of target',1,2),
(66884,390160,1,100,'Stuns target',1,3),
(66885,390160,1,100,'Does not affect Epic targets',1,4),
(66886,390160,1,100,'Inflicts 3645 - 6075 ranged damage on target',0,5),
(66887,390160,1,100,'I need to be stealthed!',0,6),
(66888,390160,1,100,'Requires bow or aim',0,7),
(66889,390160,2,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(66890,390160,2,100,'Throws target back',1,1),
(66891,390160,2,100,'Blurs vision of target',1,2),
(66892,390160,2,100,'Stuns target',1,3),
(66893,390160,2,100,'Does not affect Epic targets',1,4),
(66894,390160,2,100,'Inflicts 3847 - 6413 ranged damage on target',0,5),
(66895,390160,2,100,'I need to be stealthed!',0,6),
(66896,390160,2,100,'Requires bow or aim',0,7),
(66897,390160,3,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(66898,390160,3,100,'Throws target back',1,1),
(66899,390160,3,100,'Blurs vision of target',1,2),
(66900,390160,3,100,'Stuns target',1,3),
(66901,390160,3,100,'Does not affect Epic targets',1,4),
(66902,390160,3,100,'Inflicts 4050 - 6750 ranged damage on target',0,5),
(66903,390160,3,100,'I need to be stealthed!',0,6),
(66904,390160,3,100,'Requires bow or aim',0,7),
(66905,390160,4,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(66906,390160,4,100,'Throws target back',1,1),
(66907,390160,4,100,'Blurs vision of target',1,2),
(66908,390160,4,100,'Stuns target',1,3),
(66909,390160,4,100,'Does not affect Epic targets',1,4),
(66910,390160,4,100,'Inflicts 4455 - 7425 ranged damage on target',0,5),
(66911,390160,4,100,'I need to be stealthed!',0,6),
(66912,390160,4,100,'Requires bow or aim',0,7),
(66913,390160,5,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(66914,390160,5,100,'Throws target back',1,1),
(66915,390160,5,100,'Blurs vision of target',1,2),
(66916,390160,5,100,'Stuns target',1,3),
(66917,390160,5,100,'Does not affect Epic targets',1,4),
(66918,390160,5,100,'Inflicts 4860 - 8100 ranged damage on target',0,5),
(66919,390160,5,100,'I need to be stealthed!',0,6),
(66920,390160,5,100,'Requires bow or aim',0,7),
(66921,390160,7,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(66922,390160,7,100,'Throws target back',1,1),
(66923,390160,7,100,'Blurs vision of target',1,2),
(66924,390160,7,100,'Stuns target',1,3),
(66925,390160,7,100,'Does not affect Epic targets',1,4),
(66926,390160,7,100,'Inflicts 6237 - 10395 ranged damage on target',0,5),
(66927,390160,7,100,'I need to be stealthed!',0,6),
(66928,390160,7,100,'Requires bow or aim',0,7),
(66929,390160,9,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(66930,390160,9,100,'Throws target back',1,1),
(66931,390160,9,100,'Blurs vision of target',1,2),
(66932,390160,9,100,'Stuns target',1,3),
(66933,390160,9,100,'Does not affect Epic targets',1,4),
(66934,390160,9,100,'Inflicts 6480 - 10800 ranged damage on target',0,5),
(66935,390160,9,100,'I need to be stealthed!',0,6),
(66936,390160,9,100,'Requires bow or aim',0,7),
(66937,390161,1,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(66938,390161,1,100,'Throws target back',1,1),
(66939,390161,1,100,'Blurs vision of target',1,2),
(66940,390161,1,100,'Stuns target',1,3),
(66941,390161,1,100,'Does not affect Epic targets',1,4),
(66942,390161,1,100,'Inflicts 4397 - 7329 ranged damage on target',0,5),
(66943,390161,1,100,'I need to be stealthed!',0,6),
(66944,390161,1,100,'Requires bow or aim',0,7),
(66945,390161,4,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(66946,390161,4,100,'Throws target back',1,1),
(66947,390161,4,100,'Blurs vision of target',1,2),
(66948,390161,4,100,'Stuns target',1,3),
(66949,390161,4,100,'Does not affect Epic targets',1,4),
(66950,390161,4,100,'Inflicts 5375 - 8958 ranged damage on target',0,5),
(66951,390161,4,100,'I need to be stealthed!',0,6),
(66952,390161,4,100,'Requires bow or aim',0,7),
(66953,390161,5,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(66954,390161,5,100,'Throws target back',1,1),
(66955,390161,5,100,'Blurs vision of target',1,2),
(66956,390161,5,100,'Stuns target',1,3),
(66957,390161,5,100,'Does not affect Epic targets',1,4),
(66958,390161,5,100,'Inflicts 5863 - 9772 ranged damage on target',0,5),
(66959,390161,5,100,'I need to be stealthed!',0,6),
(66960,390161,5,100,'Requires bow or aim',0,7),
(66961,390161,7,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(66962,390161,7,100,'Throws target back',1,1),
(66963,390161,7,100,'Blurs vision of target',1,2),
(66964,390161,7,100,'Stuns target',1,3),
(66965,390161,7,100,'Does not affect Epic targets',1,4),
(66966,390161,7,100,'Inflicts 7525 - 12541 ranged damage on target',0,5),
(66967,390161,7,100,'I need to be stealthed!',0,6),
(66968,390161,7,100,'Requires bow or aim',0,7),
(66969,390161,9,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(66970,390161,9,100,'Throws target back',1,1),
(66971,390161,9,100,'Blurs vision of target',1,2),
(66972,390161,9,100,'Stuns target',1,3),
(66973,390161,9,100,'Does not affect Epic targets',1,4),
(66974,390161,9,100,'Inflicts 7818 - 13030 ranged damage on target',0,5),
(66975,390161,9,100,'I need to be stealthed!',0,6),
(66976,390161,9,100,'Requires bow or aim',0,7),
(66977,390162,1,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(66978,390162,1,100,'Throws target back',1,1),
(66979,390162,1,100,'Blurs vision of target',1,2),
(66980,390162,1,100,'Stuns target',1,3),
(66981,390162,1,100,'Does not affect Epic targets',1,4),
(66982,390162,1,100,'Inflicts 4888 - 8148 ranged damage on target',0,5),
(66983,390162,1,100,'I need to be stealthed!',0,6),
(66984,390162,1,100,'Requires bow or aim',0,7),
(66985,390162,4,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(66986,390162,4,100,'Throws target back',1,1),
(66987,390162,4,100,'Blurs vision of target',1,2),
(66988,390162,4,100,'Stuns target',1,3),
(66989,390162,4,100,'Does not affect Epic targets',1,4),
(66990,390162,4,100,'Inflicts 5975 - 9958 ranged damage on target',0,5),
(66991,390162,4,100,'I need to be stealthed!',0,6),
(66992,390162,4,100,'Requires bow or aim',0,7),
(66993,390162,5,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(66994,390162,5,100,'Throws target back',1,1),
(66995,390162,5,100,'Blurs vision of target',1,2),
(66996,390162,5,100,'Stuns target',1,3),
(66997,390162,5,100,'Does not affect Epic targets',1,4),
(66998,390162,5,100,'Inflicts 6518 - 10864 ranged damage on target',0,5),
(66999,390162,5,100,'I need to be stealthed!',0,6),
(67000,390162,5,100,'Requires bow or aim',0,7),
(67001,390162,7,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(67002,390162,7,100,'Throws target back',1,1),
(67003,390162,7,100,'Blurs vision of target',1,2),
(67004,390162,7,100,'Stuns target',1,3),
(67005,390162,7,100,'Does not affect Epic targets',1,4),
(67006,390162,7,100,'Inflicts 8365 - 13942 ranged damage on target',0,5),
(67007,390162,7,100,'I need to be stealthed!',0,6),
(67008,390162,7,100,'Requires bow or aim',0,7),
(67009,390162,9,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(67010,390162,9,100,'Throws target back',1,1),
(67011,390162,9,100,'Blurs vision of target',1,2),
(67012,390162,9,100,'Stuns target',1,3),
(67013,390162,9,100,'Does not affect Epic targets',1,4),
(67014,390162,9,100,'Inflicts 8691 - 14485 ranged damage on target',0,5),
(67015,390162,9,100,'I need to be stealthed!',0,6),
(67016,390162,9,100,'Requires bow or aim',0,7),
(67017,2000245,1,100,'Applies Stoneskin Reaction.  Lasts for 1.0 seconds.',0,0),
(67018,2000245,1,100,'Reduces all damage done to target by 100%',1,1),
(67019,2000245,1,100,'Triggers when a Stoneskin is consumed. Suspends all other stoneskins that match the damage types of this effect.',1,2),
(67020,2000245,1,100,'Will absorb all damage when the amount is greater than 10% of the target''s maximum health. This spell will absorb a total of 1 attack.',0,3),
(67021,2000246,3,100,'Increases Crit Bonus of group members (AE) by 5.0%',0,0),
(67022,2000246,4,100,'Increases Crit Bonus of group members (AE) by 5.5%',0,0),
(67023,2000246,5,100,'Increases Crit Bonus of group members (AE) by 6.0%',0,0),
(67024,2000246,7,100,'Increases Crit Bonus of group members (AE) by 7.7%',0,0),
(67025,2000246,9,100,'Increases Crit Bonus of group members (AE) by 8.0%',0,0),
(67026,2000246,10,100,'Increases Crit Bonus of group members (AE) by 8.4%',0,0),
(67027,70189,1,100,'Interrupts target',0,0),
(67028,70189,1,100,'Inflicts 271 - 452 melee damage on target',0,1),
(67029,70189,2,100,'Interrupts target',0,0),
(67030,70189,2,100,'Inflicts 286 - 477 melee damage on target',0,1),
(67031,70189,3,100,'Interrupts target',0,0),
(67032,70189,3,100,'Inflicts 301 - 502 melee damage on target',0,1),
(67033,70189,4,100,'Interrupts target',0,0),
(67034,70189,4,100,'Inflicts 331 - 552 melee damage on target',0,1),
(67035,70189,5,100,'Interrupts target',0,0),
(67036,70189,5,100,'Inflicts 361 - 602 melee damage on target',0,1),
(67037,70189,7,100,'Interrupts target',0,0),
(67038,70189,7,100,'Inflicts 464 - 773 melee damage on target',0,1),
(67039,70189,9,100,'Interrupts target',0,0),
(67040,70189,9,100,'Inflicts 482 - 803 melee damage on target',0,1),
(67041,70190,1,100,'Interrupts target',0,0),
(67042,70190,1,100,'Inflicts 393 - 655 melee damage on target',0,1),
(67043,70190,2,100,'Interrupts target',0,0),
(67044,70190,2,100,'Inflicts 415 - 692 melee damage on target',0,1),
(67045,70190,3,100,'Interrupts target',0,0),
(67046,70190,3,100,'Inflicts 437 - 728 melee damage on target',0,1),
(67047,70190,4,100,'Interrupts target',0,0),
(67048,70190,4,100,'Inflicts 480 - 801 melee damage on target',0,1),
(67049,70190,5,100,'Interrupts target',0,0),
(67050,70190,5,100,'Inflicts 524 - 874 melee damage on target',0,1),
(67051,70190,7,100,'Interrupts target',0,0),
(67052,70190,7,100,'Inflicts 673 - 1121 melee damage on target',0,1),
(67053,70190,9,100,'Interrupts target',0,0),
(67054,70190,9,100,'Inflicts 699 - 1165 melee damage on target',0,1),
(67055,70191,1,100,'Interrupts target',0,0),
(67056,70191,1,100,'Inflicts 475 - 792 melee damage on target',0,1),
(67057,70191,4,100,'Interrupts target',0,0),
(67058,70191,4,100,'Inflicts 580 - 968 melee damage on target',0,1),
(67059,70191,5,100,'Interrupts target',0,0),
(67060,70191,5,100,'Inflicts 633 - 1056 melee damage on target',0,1),
(67061,70191,7,100,'Interrupts target',0,0),
(67062,70191,7,100,'Inflicts 813 - 1355 melee damage on target',0,1),
(67063,70191,9,100,'Interrupts target',0,0),
(67064,70191,9,100,'Inflicts 845 - 1408 melee damage on target',0,1),
(67065,70191,10,100,'Interrupts target',0,0),
(67066,70191,10,100,'Inflicts 887 - 1478 melee damage on target',0,1),
(67067,70192,1,100,'Interrupts target',0,0),
(67068,70192,1,100,'Inflicts 541 - 903 melee damage on target',0,1),
(67069,70192,4,100,'Interrupts target',0,0),
(67070,70192,4,100,'Inflicts 662 - 1103 melee damage on target',0,1),
(67071,70192,5,100,'Interrupts target',0,0),
(67072,70192,5,100,'Inflicts 722 - 1204 melee damage on target',0,1),
(67073,70192,7,100,'Interrupts target',0,0),
(67074,70192,7,100,'Inflicts 927 - 1545 melee damage on target',0,1),
(67075,70192,9,100,'Interrupts target',0,0),
(67076,70192,9,100,'Inflicts 963 - 1605 melee damage on target',0,1),
(67077,70192,10,100,'Interrupts target',0,0),
(67078,70192,10,100,'Inflicts 1011 - 1685 melee damage on target',0,1),
(67079,420097,9,100,'Inflicts 760 - 1267 piercing damage on targets in Area of Effect',0,0),
(67080,420097,9,100,'The effect of this ability grows based on Savagery and Feral Rampage level.',0,1),
(67081,420097,9,100,'You must be in stealth.',0,2),
(67082,420097,9,100,'You must have your warder active to use this ability.',0,3),
(67083,2000247,3,100,'Inflicts 1 - 2 piercing damage on target encounter',0,0),
(67084,2000247,3,100,'Inflicts 1 piercing damage on target encounter every 3 seconds',0,1),
(67085,2000247,4,100,'Inflicts 1 - 3 piercing damage on target encounter',0,0),
(67086,2000247,4,100,'Inflicts 1 piercing damage on target encounter every 3 seconds',0,1),
(67087,2000247,5,100,'Inflicts 2 - 3 piercing damage on target encounter',0,0),
(67088,2000247,5,100,'Inflicts 1 - 2 piercing damage on target encounter every 3 seconds',0,1),
(67089,2000247,7,100,'Inflicts 2 - 4 piercing damage on target encounter',0,0),
(67090,2000247,7,100,'Inflicts 1 - 2 piercing damage on target encounter every 3 seconds',0,1),
(67091,2000247,9,100,'Inflicts 2 - 4 piercing damage on target encounter',0,0),
(67092,2000247,9,100,'Inflicts 1 - 2 piercing damage on target encounter every 3 seconds',0,1),
(67093,2000247,10,100,'Inflicts 2 - 4 piercing damage on target encounter',0,0),
(67094,2000247,10,100,'Inflicts 1 - 2 piercing damage on target encounter every 3 seconds',0,1),
(67095,90060,1,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(67096,90060,1,100,'Throws target back',1,1),
(67097,90060,1,100,'Blurs vision of target',1,2),
(67098,90060,1,100,'Stuns target',1,3),
(67099,90060,1,100,'Does not affect Epic targets',1,4),
(67100,90060,1,100,'Inflicts 7 - 12 piercing damage on target',0,5),
(67101,90060,4,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(67102,90060,4,100,'Throws target back',1,1),
(67103,90060,4,100,'Blurs vision of target',1,2),
(67104,90060,4,100,'Stuns target',1,3),
(67105,90060,4,100,'Does not affect Epic targets',1,4),
(67106,90060,4,100,'Inflicts 8 - 14 piercing damage on target',0,5),
(67107,90060,5,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(67108,90060,5,100,'Throws target back',1,1),
(67109,90060,5,100,'Blurs vision of target',1,2),
(67110,90060,5,100,'Stuns target',1,3),
(67111,90060,5,100,'Does not affect Epic targets',1,4),
(67112,90060,5,100,'Inflicts 9 - 16 piercing damage on target',0,5),
(67113,90060,7,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(67114,90060,7,100,'Throws target back',1,1),
(67115,90060,7,100,'Blurs vision of target',1,2),
(67116,90060,7,100,'Stuns target',1,3),
(67117,90060,7,100,'Does not affect Epic targets',1,4),
(67118,90060,7,100,'Inflicts 12 - 20 piercing damage on target',0,5),
(67119,90060,9,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(67120,90060,9,100,'Throws target back',1,1),
(67121,90060,9,100,'Blurs vision of target',1,2),
(67122,90060,9,100,'Stuns target',1,3),
(67123,90060,9,100,'Does not affect Epic targets',1,4),
(67124,90060,9,100,'Inflicts 12 - 21 piercing damage on target',0,5),
(67125,90061,1,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(67126,90061,1,100,'Throws target back',1,1),
(67127,90061,1,100,'Blurs vision of target',1,2),
(67128,90061,1,100,'Stuns target',1,3),
(67129,90061,1,100,'Does not affect Epic targets',1,4),
(67130,90061,1,100,'Inflicts 26 - 43 piercing damage on target',0,5),
(67131,90061,2,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(67132,90061,2,100,'Throws target back',1,1),
(67133,90061,2,100,'Blurs vision of target',1,2),
(67134,90061,2,100,'Stuns target',1,3),
(67135,90061,2,100,'Does not affect Epic targets',1,4),
(67136,90061,2,100,'Inflicts 27 - 46 piercing damage on target',0,5),
(67137,90061,3,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(67138,90061,3,100,'Throws target back',1,1),
(67139,90061,3,100,'Blurs vision of target',1,2),
(67140,90061,3,100,'Stuns target',1,3),
(67141,90061,3,100,'Does not affect Epic targets',1,4),
(67142,90061,3,100,'Inflicts 29 - 48 piercing damage on target',0,5),
(67143,90061,4,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(67144,90061,4,100,'Throws target back',1,1),
(67145,90061,4,100,'Blurs vision of target',1,2),
(67146,90061,4,100,'Stuns target',1,3),
(67147,90061,4,100,'Does not affect Epic targets',1,4),
(67148,90061,4,100,'Inflicts 32 - 53 piercing damage on target',0,5),
(67149,90061,5,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(67150,90061,5,100,'Throws target back',1,1),
(67151,90061,5,100,'Blurs vision of target',1,2),
(67152,90061,5,100,'Stuns target',1,3),
(67153,90061,5,100,'Does not affect Epic targets',1,4),
(67154,90061,5,100,'Inflicts 34 - 58 piercing damage on target',0,5),
(67155,90061,7,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(67156,90061,7,100,'Throws target back',1,1),
(67157,90061,7,100,'Blurs vision of target',1,2),
(67158,90061,7,100,'Stuns target',1,3),
(67159,90061,7,100,'Does not affect Epic targets',1,4),
(67160,90061,7,100,'Inflicts 44 - 74 piercing damage on target',0,5),
(67161,90061,9,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(67162,90061,9,100,'Throws target back',1,1),
(67163,90061,9,100,'Blurs vision of target',1,2),
(67164,90061,9,100,'Stuns target',1,3),
(67165,90061,9,100,'Does not affect Epic targets',1,4),
(67166,90061,9,100,'Inflicts 46 - 77 piercing damage on target',0,5),
(67167,90062,1,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(67168,90062,1,100,'Throws target back',1,1),
(67169,90062,1,100,'Blurs vision of target',1,2),
(67170,90062,1,100,'Stuns target',1,3),
(67171,90062,1,100,'Does not affect Epic targets',1,4),
(67172,90062,1,100,'Inflicts 48 - 81 piercing damage on target',0,5),
(67173,90062,2,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(67174,90062,2,100,'Throws target back',1,1),
(67175,90062,2,100,'Blurs vision of target',1,2),
(67176,90062,2,100,'Stuns target',1,3),
(67177,90062,2,100,'Does not affect Epic targets',1,4),
(67178,90062,2,100,'Inflicts 51 - 85 piercing damage on target',0,5),
(67179,90062,3,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(67180,90062,3,100,'Throws target back',1,1),
(67181,90062,3,100,'Blurs vision of target',1,2),
(67182,90062,3,100,'Stuns target',1,3),
(67183,90062,3,100,'Does not affect Epic targets',1,4),
(67184,90062,3,100,'Inflicts 54 - 90 piercing damage on target',0,5),
(67185,90062,4,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(67186,90062,4,100,'Throws target back',1,1),
(67187,90062,4,100,'Blurs vision of target',1,2),
(67188,90062,4,100,'Stuns target',1,3),
(67189,90062,4,100,'Does not affect Epic targets',1,4),
(67190,90062,4,100,'Inflicts 59 - 99 piercing damage on target',0,5),
(67191,90062,5,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(67192,90062,5,100,'Throws target back',1,1),
(67193,90062,5,100,'Blurs vision of target',1,2),
(67194,90062,5,100,'Stuns target',1,3),
(67195,90062,5,100,'Does not affect Epic targets',1,4),
(67196,90062,5,100,'Inflicts 64 - 108 piercing damage on target',0,5),
(67197,90062,7,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(67198,90062,7,100,'Throws target back',1,1),
(67199,90062,7,100,'Blurs vision of target',1,2),
(67200,90062,7,100,'Stuns target',1,3),
(67201,90062,7,100,'Does not affect Epic targets',1,4),
(67202,90062,7,100,'Inflicts 83 - 138 piercing damage on target',0,5),
(67203,90062,9,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(67204,90062,9,100,'Throws target back',1,1),
(67205,90062,9,100,'Blurs vision of target',1,2),
(67206,90062,9,100,'Stuns target',1,3),
(67207,90062,9,100,'Does not affect Epic targets',1,4),
(67208,90062,9,100,'Inflicts 86 - 144 piercing damage on target',0,5),
(67209,90063,1,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(67210,90063,1,100,'Throws target back',1,1),
(67211,90063,1,100,'Blurs vision of target',1,2),
(67212,90063,1,100,'Stuns target',1,3),
(67213,90063,1,100,'Does not affect Epic targets',1,4),
(67214,90063,1,100,'Inflicts 74 - 123 piercing damage on target',0,5),
(67215,90063,2,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(67216,90063,2,100,'Throws target back',1,1),
(67217,90063,2,100,'Blurs vision of target',1,2),
(67218,90063,2,100,'Stuns target',1,3),
(67219,90063,2,100,'Does not affect Epic targets',1,4),
(67220,90063,2,100,'Inflicts 78 - 130 piercing damage on target',0,5),
(67221,90063,3,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(67222,90063,3,100,'Throws target back',1,1),
(67223,90063,3,100,'Blurs vision of target',1,2),
(67224,90063,3,100,'Stuns target',1,3),
(67225,90063,3,100,'Does not affect Epic targets',1,4),
(67226,90063,3,100,'Inflicts 82 - 137 piercing damage on target',0,5),
(67227,90063,4,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(67228,90063,4,100,'Throws target back',1,1),
(67229,90063,4,100,'Blurs vision of target',1,2),
(67230,90063,4,100,'Stuns target',1,3),
(67231,90063,4,100,'Does not affect Epic targets',1,4),
(67232,90063,4,100,'Inflicts 90 - 151 piercing damage on target',0,5),
(67233,90063,5,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(67234,90063,5,100,'Throws target back',1,1),
(67235,90063,5,100,'Blurs vision of target',1,2),
(67236,90063,5,100,'Stuns target',1,3),
(67237,90063,5,100,'Does not affect Epic targets',1,4),
(67238,90063,5,100,'Inflicts 98 - 164 piercing damage on target',0,5),
(67239,90063,7,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(67240,90063,7,100,'Throws target back',1,1),
(67241,90063,7,100,'Blurs vision of target',1,2),
(67242,90063,7,100,'Stuns target',1,3),
(67243,90063,7,100,'Does not affect Epic targets',1,4),
(67244,90063,7,100,'Inflicts 126 - 211 piercing damage on target',0,5),
(67245,90063,9,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(67246,90063,9,100,'Throws target back',1,1),
(67247,90063,9,100,'Blurs vision of target',1,2),
(67248,90063,9,100,'Stuns target',1,3),
(67249,90063,9,100,'Does not affect Epic targets',1,4),
(67250,90063,9,100,'Inflicts 131 - 219 piercing damage on target',0,5),
(67251,90064,1,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(67252,90064,1,100,'Throws target back',1,1),
(67253,90064,1,100,'Blurs vision of target',1,2),
(67254,90064,1,100,'Stuns target',1,3),
(67255,90064,1,100,'Does not affect Epic targets',1,4),
(67256,90064,1,100,'Inflicts 102 - 171 piercing damage on target',0,5),
(67257,90064,2,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(67258,90064,2,100,'Throws target back',1,1),
(67259,90064,2,100,'Blurs vision of target',1,2),
(67260,90064,2,100,'Stuns target',1,3),
(67261,90064,2,100,'Does not affect Epic targets',1,4),
(67262,90064,2,100,'Inflicts 108 - 180 piercing damage on target',0,5),
(67263,90064,3,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(67264,90064,3,100,'Throws target back',1,1),
(67265,90064,3,100,'Blurs vision of target',1,2),
(67266,90064,3,100,'Stuns target',1,3),
(67267,90064,3,100,'Does not affect Epic targets',1,4),
(67268,90064,3,100,'Inflicts 114 - 190 piercing damage on target',0,5),
(67269,90064,4,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(67270,90064,4,100,'Throws target back',1,1),
(67271,90064,4,100,'Blurs vision of target',1,2),
(67272,90064,4,100,'Stuns target',1,3),
(67273,90064,4,100,'Does not affect Epic targets',1,4),
(67274,90064,4,100,'Inflicts 125 - 209 piercing damage on target',0,5),
(67275,90064,5,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(67276,90064,5,100,'Throws target back',1,1),
(67277,90064,5,100,'Blurs vision of target',1,2),
(67278,90064,5,100,'Stuns target',1,3),
(67279,90064,5,100,'Does not affect Epic targets',1,4),
(67280,90064,5,100,'Inflicts 136 - 228 piercing damage on target',0,5),
(67281,90064,7,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(67282,90064,7,100,'Throws target back',1,1),
(67283,90064,7,100,'Blurs vision of target',1,2),
(67284,90064,7,100,'Stuns target',1,3),
(67285,90064,7,100,'Does not affect Epic targets',1,4),
(67286,90064,7,100,'Inflicts 175 - 292 piercing damage on target',0,5),
(67287,90064,9,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(67288,90064,9,100,'Throws target back',1,1),
(67289,90064,9,100,'Blurs vision of target',1,2),
(67290,90064,9,100,'Stuns target',1,3),
(67291,90064,9,100,'Does not affect Epic targets',1,4),
(67292,90064,9,100,'Inflicts 182 - 304 piercing damage on target',0,5),
(67293,90065,1,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(67294,90065,1,100,'Throws target back',1,1),
(67295,90065,1,100,'Blurs vision of target',1,2),
(67296,90065,1,100,'Stuns target',1,3),
(67297,90065,1,100,'Does not affect Epic targets',1,4),
(67298,90065,1,100,'Inflicts 131 - 218 piercing damage on target',0,5),
(67299,90065,2,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(67300,90065,2,100,'Throws target back',1,1),
(67301,90065,2,100,'Blurs vision of target',1,2),
(67302,90065,2,100,'Stuns target',1,3),
(67303,90065,2,100,'Does not affect Epic targets',1,4),
(67304,90065,2,100,'Inflicts 138 - 230 piercing damage on target',0,5),
(67305,90065,3,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(67306,90065,3,100,'Throws target back',1,1),
(67307,90065,3,100,'Blurs vision of target',1,2),
(67308,90065,3,100,'Stuns target',1,3),
(67309,90065,3,100,'Does not affect Epic targets',1,4),
(67310,90065,3,100,'Inflicts 145 - 242 piercing damage on target',0,5),
(67311,90065,4,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(67312,90065,4,100,'Throws target back',1,1),
(67313,90065,4,100,'Blurs vision of target',1,2),
(67314,90065,4,100,'Stuns target',1,3),
(67315,90065,4,100,'Does not affect Epic targets',1,4),
(67316,90065,4,100,'Inflicts 160 - 267 piercing damage on target',0,5),
(67317,90065,5,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(67318,90065,5,100,'Throws target back',1,1),
(67319,90065,5,100,'Blurs vision of target',1,2),
(67320,90065,5,100,'Stuns target',1,3),
(67321,90065,5,100,'Does not affect Epic targets',1,4),
(67322,90065,5,100,'Inflicts 174 - 291 piercing damage on target',0,5),
(67323,90065,7,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(67324,90065,7,100,'Throws target back',1,1),
(67325,90065,7,100,'Blurs vision of target',1,2),
(67326,90065,7,100,'Stuns target',1,3),
(67327,90065,7,100,'Does not affect Epic targets',1,4),
(67328,90065,7,100,'Inflicts 224 - 373 piercing damage on target',0,5),
(67329,90065,9,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(67330,90065,9,100,'Throws target back',1,1),
(67331,90065,9,100,'Blurs vision of target',1,2),
(67332,90065,9,100,'Stuns target',1,3),
(67333,90065,9,100,'Does not affect Epic targets',1,4),
(67334,90065,9,100,'Inflicts 233 - 388 piercing damage on target',0,5),
(67335,90066,1,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(67336,90066,1,100,'Throws target back',1,1),
(67337,90066,1,100,'Blurs vision of target',1,2),
(67338,90066,1,100,'Stuns target',1,3),
(67339,90066,1,100,'Does not affect Epic targets',1,4),
(67340,90066,1,100,'Inflicts 158 - 264 piercing damage on target',0,5),
(67341,90066,4,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(67342,90066,4,100,'Throws target back',1,1),
(67343,90066,4,100,'Blurs vision of target',1,2),
(67344,90066,4,100,'Stuns target',1,3),
(67345,90066,4,100,'Does not affect Epic targets',1,4),
(67346,90066,4,100,'Inflicts 193 - 322 piercing damage on target',0,5),
(67347,90066,5,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(67348,90066,5,100,'Throws target back',1,1),
(67349,90066,5,100,'Blurs vision of target',1,2),
(67350,90066,5,100,'Stuns target',1,3),
(67351,90066,5,100,'Does not affect Epic targets',1,4),
(67352,90066,5,100,'Inflicts 211 - 352 piercing damage on target',0,5),
(67353,90066,7,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(67354,90066,7,100,'Throws target back',1,1),
(67355,90066,7,100,'Blurs vision of target',1,2),
(67356,90066,7,100,'Stuns target',1,3),
(67357,90066,7,100,'Does not affect Epic targets',1,4),
(67358,90066,7,100,'Inflicts 271 - 451 piercing damage on target',0,5),
(67359,90066,9,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(67360,90066,9,100,'Throws target back',1,1),
(67361,90066,9,100,'Blurs vision of target',1,2),
(67362,90066,9,100,'Stuns target',1,3),
(67363,90066,9,100,'Does not affect Epic targets',1,4),
(67364,90066,9,100,'Inflicts 281 - 469 piercing damage on target',0,5),
(67371,90067,1,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(67372,90067,1,100,'Throws target back',1,1),
(67373,90067,1,100,'Blurs vision of target',1,2),
(67374,90067,1,100,'Stuns target',1,3),
(67375,90067,1,100,'Does not affect Epic targets',1,4),
(67376,90067,1,100,'Inflicts 180 - 301 piercing damage on target',0,5),
(67377,90067,4,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(67378,90067,4,100,'Throws target back',1,1),
(67379,90067,4,100,'Blurs vision of target',1,2),
(67380,90067,4,100,'Stuns target',1,3),
(67381,90067,4,100,'Does not affect Epic targets',1,4),
(67382,90067,4,100,'Inflicts 220 - 367 piercing damage on target',0,5),
(67383,90067,5,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(67384,90067,5,100,'Throws target back',1,1),
(67385,90067,5,100,'Blurs vision of target',1,2),
(67386,90067,5,100,'Stuns target',1,3),
(67387,90067,5,100,'Does not affect Epic targets',1,4),
(67388,90067,5,100,'Inflicts 240 - 401 piercing damage on target',0,5),
(67389,90067,7,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(67390,90067,7,100,'Throws target back',1,1),
(67391,90067,7,100,'Blurs vision of target',1,2),
(67392,90067,7,100,'Stuns target',1,3),
(67393,90067,7,100,'Does not affect Epic targets',1,4),
(67394,90067,7,100,'Inflicts 309 - 515 piercing damage on target',0,5),
(67395,90067,9,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(67396,90067,9,100,'Throws target back',1,1),
(67397,90067,9,100,'Blurs vision of target',1,2),
(67398,90067,9,100,'Stuns target',1,3),
(67399,90067,9,100,'Does not affect Epic targets',1,4),
(67400,90067,9,100,'Inflicts 321 - 535 piercing damage on target',0,5),
(67407,350002,1,100,'Inflicts 18 - 31 mental damage on target',0,0),
(67408,350002,1,100,'Decreases Mitigation of target vs mental damage by 141',0,1),
(67421,2000248,1,100,'Interrupts target',0,0),
(67422,2000248,1,100,'Inflicts 249 - 415 melee damage on target',0,1),
(67423,2000248,2,100,'Interrupts target',0,0),
(67424,2000248,2,100,'Inflicts 197 - 329 melee damage on target',0,1),
(67425,2000248,3,100,'Interrupts target',0,0),
(67426,2000248,3,100,'Inflicts 277 - 461 melee damage on target',0,1),
(67427,2000248,4,100,'Interrupts target',0,0),
(67428,2000248,4,100,'Inflicts 228 - 381 melee damage on target',0,1),
(67429,2000248,5,100,'Interrupts target',0,0),
(67430,2000248,5,100,'Inflicts 332 - 554 melee damage on target',0,1),
(67431,2000248,6,100,'Interrupts target',0,0),
(67432,2000248,6,100,'Inflicts 270 - 450 melee damage on target',0,1),
(67433,2000248,7,100,'Interrupts target',0,0),
(67434,2000248,7,100,'Inflicts 426 - 711 melee damage on target',0,1),
(67435,2000248,8,100,'Interrupts target',0,0),
(67436,2000248,8,100,'Inflicts 322 - 536 melee damage on target',0,1),
(67437,2000248,9,100,'Interrupts target',0,0),
(67438,2000248,9,100,'Inflicts 443 - 738 melee damage on target',0,1),
(67439,2000248,10,100,'Interrupts target',0,0),
(67440,2000248,10,100,'Inflicts 465 - 775 melee damage on target',0,1),
(67441,400155,1,100,'Inflicts 106 - 178 ranged damage on target',0,0),
(67442,400155,1,100,'If weapon equipped in Ranged',0,1),
(67443,400155,1,100,'Must be flanking or behind',0,2),
(67444,400155,2,100,'Inflicts 112 - 187 ranged damage on target',0,0),
(67445,400155,2,100,'If weapon equipped in Ranged',0,1),
(67446,400155,2,100,'Must be flanking or behind',0,2),
(67447,400155,3,100,'Inflicts 118 - 197 ranged damage on target',0,0),
(67448,400155,3,100,'If weapon equipped in Ranged',0,1),
(67449,400155,3,100,'Must be flanking or behind',0,2),
(67450,400155,4,100,'Inflicts 130 - 217 ranged damage on target',0,0),
(67451,400155,4,100,'If weapon equipped in Ranged',0,1),
(67452,400155,4,100,'Must be flanking or behind',0,2),
(67453,400155,5,100,'Inflicts 142 - 237 ranged damage on target',0,0),
(67454,400155,5,100,'If weapon equipped in Ranged',0,1),
(67455,400155,5,100,'Must be flanking or behind',0,2),
(67456,400155,7,100,'Inflicts 182 - 304 ranged damage on target',0,0),
(67457,400155,7,100,'If weapon equipped in Ranged',0,1),
(67458,400155,7,100,'Must be flanking or behind',0,2),
(67459,400155,9,100,'Inflicts 189 - 316 ranged damage on target',0,0),
(67460,400155,9,100,'If weapon equipped in Ranged',0,1),
(67461,400155,9,100,'Must be flanking or behind',0,2),
(67462,400156,1,100,'Inflicts 216 - 360 ranged damage on target',0,0),
(67463,400156,1,100,'If weapon equipped in Ranged',0,1),
(67464,400156,1,100,'Must be flanking or behind',0,2),
(67465,400156,2,100,'Inflicts 228 - 380 ranged damage on target',0,0),
(67466,400156,2,100,'If weapon equipped in Ranged',0,1),
(67467,400156,2,100,'Must be flanking or behind',0,2),
(67468,400156,3,100,'Inflicts 240 - 400 ranged damage on target',0,0),
(67469,400156,3,100,'If weapon equipped in Ranged',0,1),
(67470,400156,3,100,'Must be flanking or behind',0,2),
(67471,400156,4,100,'Inflicts 264 - 441 ranged damage on target',0,0),
(67472,400156,4,100,'If weapon equipped in Ranged',0,1),
(67473,400156,4,100,'Must be flanking or behind',0,2),
(67474,400156,5,100,'Inflicts 288 - 481 ranged damage on target',0,0),
(67475,400156,5,100,'If weapon equipped in Ranged',0,1),
(67476,400156,5,100,'Must be flanking or behind',0,2),
(67477,400156,7,100,'Inflicts 370 - 617 ranged damage on target',0,0),
(67478,400156,7,100,'If weapon equipped in Ranged',0,1),
(67479,400156,7,100,'Must be flanking or behind',0,2),
(67480,400156,9,100,'Inflicts 384 - 641 ranged damage on target',0,0),
(67481,400156,9,100,'If weapon equipped in Ranged',0,1),
(67482,400156,9,100,'Must be flanking or behind',0,2),
(67483,400157,1,100,'Inflicts 339 - 565 ranged damage on target',0,0),
(67484,400157,1,100,'If weapon equipped in Ranged',0,1),
(67485,400157,1,100,'Must be flanking or behind',0,2),
(67486,400157,2,100,'Inflicts 358 - 597 ranged damage on target',0,0),
(67487,400157,2,100,'If weapon equipped in Ranged',0,1),
(67488,400157,2,100,'Must be flanking or behind',0,2),
(67489,400157,3,100,'Inflicts 377 - 628 ranged damage on target',0,0),
(67490,400157,3,100,'If weapon equipped in Ranged',0,1),
(67491,400157,3,100,'Must be flanking or behind',0,2),
(67492,400157,4,100,'Inflicts 414 - 691 ranged damage on target',0,0),
(67493,400157,4,100,'If weapon equipped in Ranged',0,1),
(67494,400157,4,100,'Must be flanking or behind',0,2),
(67495,400157,5,100,'Inflicts 452 - 754 ranged damage on target',0,0),
(67496,400157,5,100,'If weapon equipped in Ranged',0,1),
(67497,400157,5,100,'Must be flanking or behind',0,2),
(67498,400157,7,100,'Inflicts 580 - 967 ranged damage on target',0,0),
(67499,400157,7,100,'If weapon equipped in Ranged',0,1),
(67500,400157,7,100,'Must be flanking or behind',0,2),
(67501,400157,9,100,'Inflicts 603 - 1005 ranged damage on target',0,0),
(67502,400157,9,100,'If weapon equipped in Ranged',0,1),
(67503,400157,9,100,'Must be flanking or behind',0,2),
(67504,400158,1,100,'Inflicts 485 - 808 ranged damage on target',0,0),
(67505,400158,1,100,'If weapon equipped in Ranged',0,1),
(67506,400158,1,100,'Must be flanking or behind',0,2),
(67507,400158,2,100,'Inflicts 512 - 853 ranged damage on target',0,0),
(67508,400158,2,100,'If weapon equipped in Ranged',0,1),
(67509,400158,2,100,'Must be flanking or behind',0,2),
(67510,400158,3,100,'Inflicts 539 - 898 ranged damage on target',0,0),
(67511,400158,3,100,'If weapon equipped in Ranged',0,1),
(67512,400158,3,100,'Must be flanking or behind',0,2),
(67513,400158,4,100,'Inflicts 593 - 988 ranged damage on target',0,0),
(67514,400158,4,100,'If weapon equipped in Ranged',0,1),
(67515,400158,4,100,'Must be flanking or behind',0,2),
(67516,400158,5,100,'Inflicts 647 - 1078 ranged damage on target',0,0),
(67517,400158,5,100,'If weapon equipped in Ranged',0,1),
(67518,400158,5,100,'Must be flanking or behind',0,2),
(67519,400158,7,100,'Inflicts 830 - 1383 ranged damage on target',0,0),
(67520,400158,7,100,'If weapon equipped in Ranged',0,1),
(67521,400158,7,100,'Must be flanking or behind',0,2),
(67522,400158,9,100,'Inflicts 862 - 1437 ranged damage on target',0,0),
(67523,400158,9,100,'If weapon equipped in Ranged',0,1),
(67524,400158,9,100,'Must be flanking or behind',0,2),
(67525,400159,1,100,'Inflicts 633 - 1056 ranged damage on target',0,0),
(67526,400159,1,100,'If weapon equipped in Ranged',0,1),
(67527,400159,1,100,'Must be flanking or behind',0,2),
(67528,400159,2,100,'Inflicts 668 - 1114 ranged damage on target',0,0),
(67529,400159,2,100,'If weapon equipped in Ranged',0,1),
(67530,400159,2,100,'Must be flanking or behind',0,2),
(67531,400159,3,100,'Inflicts 704 - 1173 ranged damage on target',0,0),
(67532,400159,3,100,'If weapon equipped in Ranged',0,1),
(67533,400159,3,100,'Must be flanking or behind',0,2),
(67534,400159,4,100,'Inflicts 774 - 1291 ranged damage on target',0,0),
(67535,400159,4,100,'If weapon equipped in Ranged',0,1),
(67536,400159,4,100,'Must be flanking or behind',0,2),
(67537,400159,5,100,'Inflicts 845 - 1408 ranged damage on target',0,0),
(67538,400159,5,100,'If weapon equipped in Ranged',0,1),
(67539,400159,5,100,'Must be flanking or behind',0,2),
(67540,400159,7,100,'Inflicts 1084 - 1807 ranged damage on target',0,0),
(67541,400159,7,100,'If weapon equipped in Ranged',0,1),
(67542,400159,7,100,'Must be flanking or behind',0,2),
(67543,400159,9,100,'Inflicts 1126 - 1877 ranged damage on target',0,0),
(67544,400159,9,100,'If weapon equipped in Ranged',0,1),
(67545,400159,9,100,'Must be flanking or behind',0,2),
(67546,400160,1,100,'Inflicts 767 - 1279 ranged damage on target',0,0),
(67547,400160,1,100,'If weapon equipped in Ranged',0,1),
(67548,400160,1,100,'Must be flanking or behind',0,2),
(67549,400160,4,100,'Inflicts 938 - 1564 ranged damage on target',0,0),
(67550,400160,4,100,'If weapon equipped in Ranged',0,1),
(67551,400160,4,100,'Must be flanking or behind',0,2),
(67552,400160,5,100,'Inflicts 1023 - 1706 ranged damage on target',0,0),
(67553,400160,5,100,'If weapon equipped in Ranged',0,1),
(67554,400160,5,100,'Must be flanking or behind',0,2),
(67555,400160,7,100,'Inflicts 1313 - 2189 ranged damage on target',0,0),
(67556,400160,7,100,'If weapon equipped in Ranged',0,1),
(67557,400160,7,100,'Must be flanking or behind',0,2),
(67558,400160,9,100,'Inflicts 1364 - 2274 ranged damage on target',0,0),
(67559,400160,9,100,'If weapon equipped in Ranged',0,1),
(67560,400160,9,100,'Must be flanking or behind',0,2),
(67561,400161,1,100,'Inflicts 910 - 1518 ranged damage on target',0,0),
(67562,400161,1,100,'If weapon equipped in Ranged',0,1),
(67563,400161,1,100,'Must be flanking or behind',0,2),
(67564,400161,4,100,'Inflicts 1113 - 1855 ranged damage on target',0,0),
(67565,400161,4,100,'If weapon equipped in Ranged',0,1),
(67566,400161,4,100,'Must be flanking or behind',0,2),
(67567,400161,5,100,'Inflicts 1214 - 2024 ranged damage on target',0,0),
(67568,400161,5,100,'If weapon equipped in Ranged',0,1),
(67569,400161,5,100,'Must be flanking or behind',0,2),
(67570,400161,7,100,'Inflicts 1558 - 2597 ranged damage on target',0,0),
(67571,400161,7,100,'If weapon equipped in Ranged',0,1),
(67572,400161,7,100,'Must be flanking or behind',0,2),
(67573,400161,9,100,'Inflicts 1619 - 2698 ranged damage on target',0,0),
(67574,400161,9,100,'If weapon equipped in Ranged',0,1),
(67575,400161,9,100,'Must be flanking or behind',0,2),
(67576,420098,1,100,'Inflicts 7 - 12 poison damage on target',0,0),
(67577,420098,1,100,'Inflicts 2 - 3 poison damage on target instantly and every 4 seconds',0,1),
(67578,420098,4,100,'Inflicts 8 - 14 poison damage on target',0,0),
(67579,420098,4,100,'Inflicts 2 - 4 poison damage on target instantly and every 4 seconds',0,1),
(67580,420098,5,100,'Inflicts 9 - 16 poison damage on target',0,0),
(67581,420098,5,100,'Inflicts 2 - 4 poison damage on target instantly and every 4 seconds',0,1),
(67582,420098,7,100,'Inflicts 12 - 20 poison damage on target',0,0),
(67583,420098,7,100,'Inflicts 3 - 5 poison damage on target instantly and every 4 seconds',0,1),
(67584,420098,9,100,'Inflicts 12 - 21 poison damage on target',0,0),
(67585,420098,9,100,'Inflicts 3 - 5 poison damage on target instantly and every 4 seconds',0,1),
(67586,420099,1,100,'Inflicts 15 - 25 poison damage on target',0,0),
(67587,420099,1,100,'Inflicts 4 - 6 poison damage on target instantly and every 4 seconds',0,1),
(67588,420099,4,100,'Inflicts 18 - 31 poison damage on target',0,0),
(67589,420099,4,100,'Inflicts 5 - 8 poison damage on target instantly and every 4 seconds',0,1),
(67590,420099,5,100,'Inflicts 20 - 34 poison damage on target',0,0),
(67591,420099,5,100,'Inflicts 5 - 9 poison damage on target instantly and every 4 seconds',0,1),
(67592,420099,7,100,'Inflicts 26 - 43 poison damage on target',0,0),
(67593,420099,7,100,'Inflicts 7 - 11 poison damage on target instantly and every 4 seconds',0,1),
(67594,420099,9,100,'Inflicts 27 - 45 poison damage on target',0,0),
(67595,420099,9,100,'Inflicts 7 - 11 poison damage on target instantly and every 4 seconds',0,1),
(67596,420099,10,100,'Inflicts 28 - 47 poison damage on target',0,0),
(67597,420099,10,100,'Inflicts 7 - 12 poison damage on target instantly and every 4 seconds',0,1),
(67598,420100,1,100,'Inflicts 23 - 39 poison damage on target',0,0),
(67599,420100,1,100,'Inflicts 6 - 10 poison damage on target instantly and every 4 seconds',0,1),
(67600,420100,4,100,'Inflicts 28 - 47 poison damage on target',0,0),
(67601,420100,4,100,'Inflicts 7 - 12 poison damage on target instantly and every 4 seconds',0,1),
(67602,420100,5,100,'Inflicts 31 - 52 poison damage on target',0,0),
(67603,420100,5,100,'Inflicts 8 - 13 poison damage on target instantly and every 4 seconds',0,1),
(67604,420100,7,100,'Inflicts 40 - 67 poison damage on target',0,0),
(67605,420100,7,100,'Inflicts 10 - 17 poison damage on target instantly and every 4 seconds',0,1),
(67606,420100,9,100,'Inflicts 41 - 69 poison damage on target',0,0),
(67607,420100,9,100,'Inflicts 10 - 17 poison damage on target instantly and every 4 seconds',0,1),
(67608,420101,1,100,'Inflicts 38 - 64 poison damage on target',0,0),
(67609,420101,1,100,'Inflicts 10 - 16 poison damage on target instantly and every 4 seconds',0,1),
(67610,420101,4,100,'Inflicts 47 - 79 poison damage on target',0,0),
(67611,420101,4,100,'Inflicts 12 - 20 poison damage on target instantly and every 4 seconds',0,1),
(67612,420101,5,100,'Inflicts 51 - 86 poison damage on target',0,0),
(67613,420101,5,100,'Inflicts 13 - 22 poison damage on target instantly and every 4 seconds',0,1),
(67614,420101,7,100,'Inflicts 66 - 110 poison damage on target',0,0),
(67615,420101,7,100,'Inflicts 17 - 28 poison damage on target instantly and every 4 seconds',0,1),
(67616,420101,9,100,'Inflicts 69 - 115 poison damage on target',0,0),
(67617,420101,9,100,'Inflicts 17 - 29 poison damage on target instantly and every 4 seconds',0,1),
(67618,420101,10,100,'Inflicts 72 - 121 poison damage on target',0,0),
(67619,420101,10,100,'Inflicts 18 - 30 poison damage on target instantly and every 4 seconds',0,1),
(67620,420102,1,100,'Inflicts 138 - 231 poison damage on target',0,0),
(67621,420102,1,100,'Inflicts 35 - 58 poison damage on target instantly and every 4 seconds',0,1),
(67622,420102,4,100,'Inflicts 169 - 282 poison damage on target',0,0),
(67623,420102,4,100,'Inflicts 42 - 71 poison damage on target instantly and every 4 seconds',0,1),
(67624,420102,5,100,'Inflicts 185 - 308 poison damage on target',0,0),
(67625,420102,5,100,'Inflicts 46 - 77 poison damage on target instantly and every 4 seconds',0,1),
(67626,420102,7,100,'Inflicts 237 - 395 poison damage on target',0,0),
(67627,420102,7,100,'Inflicts 59 - 99 poison damage on target instantly and every 4 seconds',0,1),
(67628,420102,9,100,'Inflicts 246 - 411 poison damage on target',0,0),
(67629,420102,9,100,'Inflicts 62 - 103 poison damage on target instantly and every 4 seconds',0,1),
(67630,420103,1,100,'Inflicts 55 - 91 poison damage on target',0,0),
(67631,420103,1,100,'Inflicts 14 - 23 poison damage on target instantly and every 4 seconds',0,1),
(67632,420103,4,100,'Inflicts 67 - 112 poison damage on target',0,0),
(67633,420103,4,100,'Inflicts 17 - 28 poison damage on target instantly and every 4 seconds',0,1),
(67634,420103,5,100,'Inflicts 73 - 122 poison damage on target',0,0),
(67635,420103,5,100,'Inflicts 18 - 31 poison damage on target instantly and every 4 seconds',0,1),
(67636,420103,7,100,'Inflicts 94 - 157 poison damage on target',0,0),
(67637,420103,7,100,'Inflicts 24 - 39 poison damage on target instantly and every 4 seconds',0,1),
(67638,420103,9,100,'Inflicts 98 - 163 poison damage on target',0,0),
(67639,420103,9,100,'Inflicts 25 - 41 poison damage on target instantly and every 4 seconds',0,1),
(67640,420103,10,100,'Inflicts 102 - 171 poison damage on target',0,0),
(67641,420103,10,100,'Inflicts 26 - 43 poison damage on target instantly and every 4 seconds',0,1),
(67642,420104,1,100,'Inflicts 74 - 123 poison damage on target',0,0),
(67643,420104,1,100,'Inflicts 19 - 31 poison damage on target instantly and every 4 seconds',0,1),
(67644,420104,4,100,'Inflicts 90 - 151 poison damage on target',0,0),
(67645,420104,4,100,'Inflicts 23 - 38 poison damage on target instantly and every 4 seconds',0,1),
(67646,420104,5,100,'Inflicts 98 - 164 poison damage on target',0,0),
(67647,420104,5,100,'Inflicts 25 - 41 poison damage on target instantly and every 4 seconds',0,1),
(67648,420104,7,100,'Inflicts 126 - 211 poison damage on target',0,0),
(67649,420104,7,100,'Inflicts 32 - 53 poison damage on target instantly and every 4 seconds',0,1),
(67650,420104,9,100,'Inflicts 131 - 219 poison damage on target',0,0),
(67651,420104,9,100,'Inflicts 33 - 55 poison damage on target instantly and every 4 seconds',0,1),
(67652,420104,10,100,'Inflicts 138 - 230 poison damage on target',0,0),
(67653,420104,10,100,'Inflicts 35 - 58 poison damage on target instantly and every 4 seconds',0,1),
(67654,420105,1,100,'Inflicts 94 - 157 poison damage on target',0,0),
(67655,420105,1,100,'Inflicts 24 - 39 poison damage on target instantly and every 4 seconds',0,1),
(67656,420105,4,100,'Inflicts 115 - 192 poison damage on target',0,0),
(67657,420105,4,100,'Inflicts 29 - 48 poison damage on target instantly and every 4 seconds',0,1),
(67658,420105,5,100,'Inflicts 126 - 210 poison damage on target',0,0),
(67659,420105,5,100,'Inflicts 32 - 53 poison damage on target instantly and every 4 seconds',0,1),
(67660,420105,7,100,'Inflicts 161 - 269 poison damage on target',0,0),
(67661,420105,7,100,'Inflicts 40 - 67 poison damage on target instantly and every 4 seconds',0,1),
(67662,420105,9,100,'Inflicts 168 - 280 poison damage on target',0,0),
(67663,420105,9,100,'Inflicts 42 - 70 poison damage on target instantly and every 4 seconds',0,1),
(67664,420106,1,100,'Inflicts 114 - 191 poison damage on target',0,0),
(67665,420106,1,100,'Inflicts 29 - 48 poison damage on target instantly and every 4 seconds',0,1),
(67666,420106,4,100,'Inflicts 140 - 233 poison damage on target',0,0),
(67667,420106,4,100,'Inflicts 35 - 58 poison damage on target instantly and every 4 seconds',0,1),
(67668,420106,5,100,'Inflicts 153 - 255 poison damage on target',0,0),
(67669,420106,5,100,'Inflicts 38 - 64 poison damage on target instantly and every 4 seconds',0,1),
(67670,420106,7,100,'Inflicts 196 - 327 poison damage on target',0,0),
(67671,420106,7,100,'Inflicts 49 - 82 poison damage on target instantly and every 4 seconds',0,1),
(67672,420106,9,100,'Inflicts 204 - 340 poison damage on target',0,0),
(67673,420106,9,100,'Inflicts 51 - 85 poison damage on target instantly and every 4 seconds',0,1),
(67674,420107,1,100,'Inflicts 167 - 278 poison damage on target',0,0),
(67675,420107,1,100,'Inflicts 42 - 70 poison damage on target instantly and every 4 seconds',0,1),
(67676,420107,4,100,'Inflicts 204 - 340 poison damage on target',0,0),
(67677,420107,4,100,'Inflicts 51 - 85 poison damage on target instantly and every 4 seconds',0,1),
(67678,420107,5,100,'Inflicts 223 - 371 poison damage on target',0,0),
(67679,420107,5,100,'Inflicts 56 - 93 poison damage on target instantly and every 4 seconds',0,1),
(67680,420107,7,100,'Inflicts 286 - 477 poison damage on target',0,0),
(67681,420107,7,100,'Inflicts 72 - 119 poison damage on target instantly and every 4 seconds',0,1),
(67682,420107,9,100,'Inflicts 297 - 495 poison damage on target',0,0),
(67683,420107,9,100,'Inflicts 74 - 124 poison damage on target instantly and every 4 seconds',0,1),
(67684,420108,1,100,'Inflicts 183 - 306 poison damage on target',0,0),
(67685,420108,1,100,'Inflicts 46 - 77 poison damage on target instantly and every 4 seconds',0,1),
(67686,420108,4,100,'Inflicts 224 - 374 poison damage on target',0,0),
(67687,420108,4,100,'Inflicts 56 - 94 poison damage on target instantly and every 4 seconds',0,1),
(67688,420108,5,100,'Inflicts 245 - 408 poison damage on target',0,0),
(67689,420108,5,100,'Inflicts 61 - 102 poison damage on target instantly and every 4 seconds',0,1),
(67690,420108,7,100,'Inflicts 314 - 524 poison damage on target',0,0),
(67691,420108,7,100,'Inflicts 79 - 131 poison damage on target instantly and every 4 seconds',0,1),
(67692,420108,9,100,'Inflicts 326 - 544 poison damage on target',0,0),
(67693,420108,9,100,'Inflicts 82 - 136 poison damage on target instantly and every 4 seconds',0,1),
(67694,2000249,3,100,'Inflicts 2 - 4 slashing damage on target encounter',0,0),
(67695,2000249,4,100,'Inflicts 3 - 5 slashing damage on target encounter',0,0),
(67696,2000249,5,100,'Inflicts 3 - 5 slashing damage on target encounter',0,0),
(67697,2000249,7,100,'Inflicts 4 - 7 slashing damage on target encounter',0,0),
(67698,2000249,9,100,'Inflicts 4 - 7 slashing damage on target encounter',0,0),
(67699,2000249,10,100,'Inflicts 4 - 7 slashing damage on target encounter',0,0),
(67700,2000250,1,100,'Inflicts 2 - 4 melee damage on targets in Area of Effect',0,0),
(67701,2000250,1,100,'Inflicts 2 - 4 melee damage on targets in Area of Effect',0,1),
(67702,2000250,1,100,'Inflicts 2 - 4 melee damage on targets in Area of Effect',0,2),
(67703,2000250,1,100,'Increases Mitigation of targets in Area of Effect vs physical damage by 0',0,3),
(67704,2000251,1,100,'Inflicts 445 - 742 melee damage on targets in Area of Effect',0,0),
(67705,2000251,2,100,'Inflicts 470 - 784 melee damage on targets in Area of Effect',0,0),
(67706,2000251,3,100,'Inflicts 371 - 619 melee damage on targets in Area of Effect',0,0),
(67707,2000251,4,100,'Inflicts 408 - 681 melee damage on targets in Area of Effect',0,0),
(67708,2000251,5,100,'Inflicts 594 - 990 melee damage on targets in Area of Effect',0,0),
(67709,2000251,6,100,'Inflicts 643 - 1072 melee damage on targets in Area of Effect',0,0),
(67710,2000251,7,100,'Inflicts 762 - 1270 melee damage on targets in Area of Effect',0,0),
(67711,2000251,8,100,'Inflicts 575 - 959 melee damage on targets in Area of Effect',0,0),
(67712,2000251,9,100,'Inflicts 594 - 990 melee damage on targets in Area of Effect',0,0),
(67713,2000251,10,100,'Inflicts 831 - 1386 melee damage on targets in Area of Effect',0,0),
(67714,420109,1,100,'Grants stealth to caster',0,0),
(67715,420109,1,100,'Suspends caster''s movement speed enhancements',0,1),
(67716,420110,1,100,'Inflicts 102 - 171 melee damage on target encounter',0,0),
(67717,420110,1,100,'Increases savagery of caster by 20.0',0,1),
(67718,420110,1,100,'This effect cannot be critically applied.',1,2),
(67719,420110,1,100,'Increases power of group members (AE) by 2 - 3',0,3),
(67720,420111,1,100,'Adds 2.4% to base avoidance.',0,0),
(67721,420111,1,100,'Increases Defense, Parry and Deflection of caster by 19.8',0,1),
(67722,420111,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1080',0,2),
(67723,420111,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,3),
(67724,420111,1,100,'Using a Primal will activate Spirituality on the Beastlord',0,4),
(67725,420111,1,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,5),
(67726,420111,1,100,'Increases savagery of caster by 14.0',1,6),
(67727,420111,1,100,'This effect cannot be critically applied.',2,7),
(67728,420111,1,100,'Cannot be modified except by direct means',1,8),
(67729,420111,4,100,'Using a Primal will activate Spirituality on the Beastlord',0,0),
(67730,420111,4,100,'Adds 2.4% to base avoidance.',0,1),
(67731,420111,4,100,'Increases Defense, Parry and Deflection of caster by 19.8',0,2),
(67732,420111,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1080',0,3),
(67733,420111,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,4),
(67734,420111,4,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,5),
(67735,420111,4,100,'Increases savagery of caster by 14.0',1,6),
(67736,420111,4,100,'This effect cannot be critically applied.',2,7),
(67737,420111,4,100,'Cannot be modified except by direct means',1,8),
(67738,420111,5,100,'Using a Primal will activate Spirituality on the Beastlord',0,0),
(67739,420111,5,100,'Adds 2.4% to base avoidance.',0,1),
(67740,420111,5,100,'Increases Defense, Parry and Deflection of caster by 19.8',0,2),
(67741,420111,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1080',0,3),
(67742,420111,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,4),
(67743,420111,5,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,5),
(67744,420111,5,100,'Increases savagery of caster by 14.0',1,6),
(67745,420111,5,100,'This effect cannot be critically applied.',2,7),
(67746,420111,5,100,'Cannot be modified except by direct means',1,8),
(67747,420111,7,100,'Using a Primal will activate Spirituality on the Beastlord',0,0),
(67748,420111,7,100,'Adds 2.4% to base avoidance.',0,1),
(67749,420111,7,100,'Increases Defense, Parry and Deflection of caster by 19.8',0,2),
(67750,420111,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1080',0,3),
(67751,420111,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,4),
(67752,420111,7,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,5),
(67753,420111,7,100,'Increases savagery of caster by 14.0',1,6),
(67754,420111,7,100,'This effect cannot be critically applied.',2,7),
(67755,420111,7,100,'Cannot be modified except by direct means',1,8),
(67756,420111,9,100,'Using a Primal will activate Spirituality on the Beastlord',0,0),
(67757,420111,9,100,'Adds 2.4% to base avoidance.',0,1),
(67758,420111,9,100,'Increases Defense, Parry and Deflection of caster by 19.8',0,2),
(67759,420111,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1080',0,3),
(67760,420111,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,4),
(67761,420111,9,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,5),
(67762,420111,9,100,'Increases savagery of caster by 14.0',1,6),
(67763,420111,9,100,'This effect cannot be critically applied.',2,7),
(67764,420111,9,100,'Cannot be modified except by direct means',1,8),
(67765,420112,4,100,'Using a Primal will activate Spirituality on the Beastlord',0,0),
(67766,420112,4,100,'Adds 2.4% to base avoidance.',0,1),
(67767,420112,4,100,'Increases Defense, Parry and Deflection of caster by 26.4',0,2),
(67768,420112,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1440',0,3),
(67769,420112,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,4),
(67770,420112,4,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,5),
(67771,420112,4,100,'Increases savagery of caster by 14.0',1,6),
(67772,420112,4,100,'This effect cannot be critically applied.',2,7),
(67773,420112,4,100,'Cannot be modified except by direct means',1,8),
(67774,420112,5,100,'Using a Primal will activate Spirituality on the Beastlord',0,0),
(67775,420112,5,100,'Adds 2.4% to base avoidance.',0,1),
(67776,420112,5,100,'Increases Defense, Parry and Deflection of caster by 26.4',0,2),
(67777,420112,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1440',0,3),
(67778,420112,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,4),
(67779,420112,5,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,5),
(67780,420112,5,100,'Increases savagery of caster by 14.0',1,6),
(67781,420112,5,100,'This effect cannot be critically applied.',2,7),
(67782,420112,5,100,'Cannot be modified except by direct means',1,8),
(67783,420112,7,100,'Using a Primal will activate Spirituality on the Beastlord',0,0),
(67784,420112,7,100,'Adds 2.4% to base avoidance.',0,1),
(67785,420112,7,100,'Increases Defense, Parry and Deflection of caster by 26.4',0,2),
(67786,420112,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1440',0,3),
(67787,420112,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,4),
(67788,420112,7,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,5),
(67789,420112,7,100,'Increases savagery of caster by 14.0',1,6),
(67790,420112,7,100,'This effect cannot be critically applied.',2,7),
(67791,420112,7,100,'Cannot be modified except by direct means',1,8),
(67792,420112,9,100,'Using a Primal will activate Spirituality on the Beastlord',0,0),
(67793,420112,9,100,'Adds 2.4% to base avoidance.',0,1),
(67794,420112,9,100,'Increases Defense, Parry and Deflection of caster by 26.4',0,2),
(67795,420112,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1440',0,3),
(67796,420112,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,4),
(67797,420112,9,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,5),
(67798,420112,9,100,'Increases savagery of caster by 14.0',1,6),
(67799,420112,9,100,'This effect cannot be critically applied.',2,7),
(67800,420112,9,100,'Cannot be modified except by direct means',1,8),
(67801,420113,4,100,'Using a Primal will activate Spirituality on the Beastlord',0,0),
(67802,420113,4,100,'Adds 2.4% to base avoidance.',0,1),
(67803,420113,4,100,'Increases Defense, Parry and Deflection of caster by 33.0',0,2),
(67804,420113,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1800',0,3),
(67805,420113,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,4),
(67806,420113,4,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,5),
(67807,420113,4,100,'Increases savagery of caster by 14.0',1,6),
(67808,420113,4,100,'This effect cannot be critically applied.',2,7),
(67809,420113,4,100,'Cannot be modified except by direct means',1,8),
(67810,420113,5,100,'Using a Primal will activate Spirituality on the Beastlord',0,0),
(67811,420113,5,100,'Adds 2.4% to base avoidance.',0,1),
(67812,420113,5,100,'Increases Defense, Parry and Deflection of caster by 33.0',0,2),
(67813,420113,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1800',0,3),
(67814,420113,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,4),
(67815,420113,5,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,5),
(67816,420113,5,100,'Increases savagery of caster by 14.0',1,6),
(67817,420113,5,100,'This effect cannot be critically applied.',2,7),
(67818,420113,5,100,'Cannot be modified except by direct means',1,8),
(67819,420113,7,100,'Using a Primal will activate Spirituality on the Beastlord',0,0),
(67820,420113,7,100,'Adds 2.4% to base avoidance.',0,1),
(67821,420113,7,100,'Increases Defense, Parry and Deflection of caster by 33.0',0,2),
(67822,420113,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1800',0,3),
(67823,420113,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,4),
(67824,420113,7,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,5),
(67825,420113,7,100,'Increases savagery of caster by 14.0',1,6),
(67826,420113,7,100,'This effect cannot be critically applied.',2,7),
(67827,420113,7,100,'Cannot be modified except by direct means',1,8),
(67828,420113,9,100,'Using a Primal will activate Spirituality on the Beastlord',0,0),
(67829,420113,9,100,'Adds 2.4% to base avoidance.',0,1),
(67830,420113,9,100,'Increases Defense, Parry and Deflection of caster by 33.0',0,2),
(67831,420113,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1800',0,3),
(67832,420113,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,4),
(67833,420113,9,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,5),
(67834,420113,9,100,'Increases savagery of caster by 14.0',1,6),
(67835,420113,9,100,'This effect cannot be critically applied.',2,7),
(67836,420113,9,100,'Cannot be modified except by direct means',1,8),
(67837,420114,4,100,'Using a Primal will activate Spirituality on the Beastlord',0,0),
(67838,420114,4,100,'Adds 2.4% to base avoidance.',0,1),
(67839,420114,4,100,'Increases Defense, Parry and Deflection of caster by 39.6',0,2),
(67840,420114,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2160',0,3),
(67841,420114,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,4),
(67842,420114,4,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,5),
(67843,420114,4,100,'Increases savagery of caster by 14.0',1,6),
(67844,420114,4,100,'This effect cannot be critically applied.',2,7),
(67845,420114,4,100,'Cannot be modified except by direct means',1,8),
(67846,420114,5,100,'Using a Primal will activate Spirituality on the Beastlord',0,0),
(67847,420114,5,100,'Adds 2.4% to base avoidance.',0,1),
(67848,420114,5,100,'Increases Defense, Parry and Deflection of caster by 39.6',0,2),
(67849,420114,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2160',0,3),
(67850,420114,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,4),
(67851,420114,5,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,5),
(67852,420114,5,100,'Increases savagery of caster by 14.0',1,6),
(67853,420114,5,100,'This effect cannot be critically applied.',2,7),
(67854,420114,5,100,'Cannot be modified except by direct means',1,8),
(67855,420114,7,100,'Using a Primal will activate Spirituality on the Beastlord',0,0),
(67856,420114,7,100,'Adds 2.4% to base avoidance.',0,1),
(67857,420114,7,100,'Increases Defense, Parry and Deflection of caster by 39.6',0,2),
(67858,420114,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2160',0,3),
(67859,420114,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,4),
(67860,420114,7,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,5),
(67861,420114,7,100,'Increases savagery of caster by 14.0',1,6),
(67862,420114,7,100,'This effect cannot be critically applied.',2,7),
(67863,420114,7,100,'Cannot be modified except by direct means',1,8),
(67864,420114,9,100,'Using a Primal will activate Spirituality on the Beastlord',0,0),
(67865,420114,9,100,'Adds 2.4% to base avoidance.',0,1),
(67866,420114,9,100,'Increases Defense, Parry and Deflection of caster by 39.6',0,2),
(67867,420114,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2160',0,3),
(67868,420114,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,4),
(67869,420114,9,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,5),
(67870,420114,9,100,'Increases savagery of caster by 14.0',1,6),
(67871,420114,9,100,'This effect cannot be critically applied.',2,7),
(67872,420114,9,100,'Cannot be modified except by direct means',1,8),
(67873,420115,4,100,'Using a Primal will activate Spirituality on the Beastlord',0,0),
(67874,420115,4,100,'Adds 2.4% to base avoidance.',0,1),
(67875,420115,4,100,'Increases Defense, Parry and Deflection of caster by 46.2',0,2),
(67876,420115,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2520',0,3),
(67877,420115,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,4),
(67878,420115,4,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,5),
(67879,420115,4,100,'Increases savagery of caster by 14.0',1,6),
(67880,420115,4,100,'This effect cannot be critically applied.',2,7),
(67881,420115,4,100,'Cannot be modified except by direct means',1,8),
(67882,420115,5,100,'Using a Primal will activate Spirituality on the Beastlord',0,0),
(67883,420115,5,100,'Adds 2.4% to base avoidance.',0,1),
(67884,420115,5,100,'Increases Defense, Parry and Deflection of caster by 46.2',0,2),
(67885,420115,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2520',0,3),
(67886,420115,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,4),
(67887,420115,5,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,5),
(67888,420115,5,100,'Increases savagery of caster by 14.0',1,6),
(67889,420115,5,100,'This effect cannot be critically applied.',2,7),
(67890,420115,5,100,'Cannot be modified except by direct means',1,8),
(67891,420115,7,100,'Using a Primal will activate Spirituality on the Beastlord',0,0),
(67892,420115,7,100,'Adds 2.4% to base avoidance.',0,1),
(67893,420115,7,100,'Increases Defense, Parry and Deflection of caster by 46.2',0,2),
(67894,420115,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2520',0,3),
(67895,420115,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,4),
(67896,420115,7,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,5),
(67897,420115,7,100,'Increases savagery of caster by 14.0',1,6),
(67898,420115,7,100,'This effect cannot be critically applied.',2,7),
(67899,420115,7,100,'Cannot be modified except by direct means',1,8),
(67900,420115,9,100,'Using a Primal will activate Spirituality on the Beastlord',0,0),
(67901,420115,9,100,'Adds 2.4% to base avoidance.',0,1),
(67902,420115,9,100,'Increases Defense, Parry and Deflection of caster by 46.2',0,2),
(67903,420115,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2520',0,3),
(67904,420115,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,4),
(67905,420115,9,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,5),
(67906,420115,9,100,'Increases savagery of caster by 14.0',1,6),
(67907,420115,9,100,'This effect cannot be critically applied.',2,7),
(67908,420115,9,100,'Cannot be modified except by direct means',1,8),
(67909,420116,4,100,'Using a Primal will activate Spirituality on the Beastlord',0,0),
(67910,420116,4,100,'Adds 2.4% to base avoidance.',0,1),
(67911,420116,4,100,'Increases Defense, Parry and Deflection of caster by 55.0',0,2),
(67912,420116,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2880',0,3),
(67913,420116,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,4),
(67914,420116,4,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,5),
(67915,420116,4,100,'Increases savagery of caster by 14.0',1,6),
(67916,420116,4,100,'This effect cannot be critically applied.',2,7),
(67917,420116,4,100,'Cannot be modified except by direct means',1,8),
(67918,420116,5,100,'Using a Primal will activate Spirituality on the Beastlord',0,0),
(67919,420116,5,100,'Adds 2.4% to base avoidance.',0,1),
(67920,420116,5,100,'Increases Defense, Parry and Deflection of caster by 55.0',0,2),
(67921,420116,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2880',0,3),
(67922,420116,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,4),
(67923,420116,5,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,5),
(67924,420116,5,100,'Increases savagery of caster by 14.0',1,6),
(67925,420116,5,100,'This effect cannot be critically applied.',2,7),
(67926,420116,5,100,'Cannot be modified except by direct means',1,8),
(67927,420116,7,100,'Using a Primal will activate Spirituality on the Beastlord',0,0),
(67928,420116,7,100,'Adds 2.4% to base avoidance.',0,1),
(67929,420116,7,100,'Increases Defense, Parry and Deflection of caster by 55.0',0,2),
(67930,420116,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2880',0,3),
(67931,420116,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,4),
(67932,420116,7,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,5),
(67933,420116,7,100,'Increases savagery of caster by 14.0',1,6),
(67934,420116,7,100,'This effect cannot be critically applied.',2,7),
(67935,420116,7,100,'Cannot be modified except by direct means',1,8),
(67936,420116,9,100,'Using a Primal will activate Spirituality on the Beastlord',0,0),
(67937,420116,9,100,'Adds 2.4% to base avoidance.',0,1),
(67938,420116,9,100,'Increases Defense, Parry and Deflection of caster by 55.0',0,2),
(67939,420116,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2880',0,3),
(67940,420116,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,4),
(67941,420116,9,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,5),
(67942,420116,9,100,'Increases savagery of caster by 14.0',1,6),
(67943,420116,9,100,'This effect cannot be critically applied.',2,7),
(67944,420116,9,100,'Cannot be modified except by direct means',1,8),
(67945,420117,4,100,'Using a Primal will activate Spirituality on the Beastlord',0,0),
(67946,420117,4,100,'Adds 2.4% to base avoidance.',0,1),
(67947,420117,4,100,'Increases Defense, Parry and Deflection of caster by 66.0',0,2),
(67948,420117,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 3240',0,3),
(67949,420117,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,4),
(67950,420117,4,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,5),
(67951,420117,4,100,'Increases savagery of caster by 14.0',1,6),
(67952,420117,4,100,'This effect cannot be critically applied.',2,7),
(67953,420117,4,100,'Cannot be modified except by direct means',1,8),
(67954,420117,5,100,'Using a Primal will activate Spirituality on the Beastlord',0,0),
(67955,420117,5,100,'Adds 2.4% to base avoidance.',0,1),
(67956,420117,5,100,'Increases Defense, Parry and Deflection of caster by 66.0',0,2),
(67957,420117,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 3240',0,3),
(67958,420117,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,4),
(67959,420117,5,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,5),
(67960,420117,5,100,'Increases savagery of caster by 14.0',1,6),
(67961,420117,5,100,'This effect cannot be critically applied.',2,7),
(67962,420117,5,100,'Cannot be modified except by direct means',1,8),
(67963,420117,7,100,'Using a Primal will activate Spirituality on the Beastlord',0,0),
(67964,420117,7,100,'Adds 2.4% to base avoidance.',0,1),
(67965,420117,7,100,'Increases Defense, Parry and Deflection of caster by 66.0',0,2),
(67966,420117,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 3240',0,3),
(67967,420117,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,4),
(67968,420117,7,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,5),
(67969,420117,7,100,'Increases savagery of caster by 14.0',1,6),
(67970,420117,7,100,'This effect cannot be critically applied.',2,7),
(67971,420117,7,100,'Cannot be modified except by direct means',1,8),
(67972,420117,9,100,'Using a Primal will activate Spirituality on the Beastlord',0,0),
(67973,420117,9,100,'Adds 2.4% to base avoidance.',0,1),
(67974,420117,9,100,'Increases Defense, Parry and Deflection of caster by 66.0',0,2),
(67975,420117,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 3240',0,3),
(67976,420117,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,4),
(67977,420117,9,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,5),
(67978,420117,9,100,'Increases savagery of caster by 14.0',1,6),
(67979,420117,9,100,'This effect cannot be critically applied.',2,7),
(67980,420117,9,100,'Cannot be modified except by direct means',1,8),
(67981,420118,1,100,'Using a Primal will activate Spirituality on the Beastlord',0,0),
(67982,420118,1,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,1),
(67983,420118,1,100,'Increases savagery of caster by 14.0',1,2),
(67984,420118,1,100,'This effect cannot be critically applied.',2,3),
(67985,420118,1,100,'Cannot be modified except by direct means',1,4),
(67986,420118,1,100,'Adds 2.4% to base avoidance.',0,5),
(67987,420118,1,100,'Increases Defense, Parry and Deflection of caster by 77.0',0,6),
(67988,420118,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 3600',0,7),
(67989,420118,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,8),
(67990,420118,4,100,'Using a Primal will activate Spirituality on the Beastlord',0,0),
(67991,420118,4,100,'Adds 2.4% to base avoidance.',0,1),
(67992,420118,4,100,'Increases Defense, Parry and Deflection of caster by 77.0',0,2),
(67993,420118,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 3600',0,3),
(67994,420118,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,4),
(67995,420118,4,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,5),
(67996,420118,4,100,'Increases savagery of caster by 14.0',1,6),
(67997,420118,4,100,'This effect cannot be critically applied.',2,7),
(67998,420118,4,100,'Cannot be modified except by direct means',1,8),
(67999,420118,5,100,'Using a Primal will activate Spirituality on the Beastlord',0,0),
(68000,420118,5,100,'Adds 2.4% to base avoidance.',0,1),
(68001,420118,5,100,'Increases Defense, Parry and Deflection of caster by 77.0',0,2),
(68002,420118,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 3600',0,3),
(68003,420118,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,4),
(68004,420118,5,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,5),
(68005,420118,5,100,'Increases savagery of caster by 14.0',1,6),
(68006,420118,5,100,'This effect cannot be critically applied.',2,7),
(68007,420118,5,100,'Cannot be modified except by direct means',1,8),
(68008,420118,7,100,'Using a Primal will activate Spirituality on the Beastlord',0,0),
(68009,420118,7,100,'Adds 2.4% to base avoidance.',0,1),
(68010,420118,7,100,'Increases Defense, Parry and Deflection of caster by 77.0',0,2),
(68011,420118,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 3600',0,3),
(68012,420118,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,4),
(68013,420118,7,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,5),
(68014,420118,7,100,'Increases savagery of caster by 14.0',1,6),
(68015,420118,7,100,'This effect cannot be critically applied.',2,7),
(68016,420118,7,100,'Cannot be modified except by direct means',1,8),
(68017,420118,9,100,'Using a Primal will activate Spirituality on the Beastlord',0,0),
(68018,420118,9,100,'Adds 2.4% to base avoidance.',0,1),
(68019,420118,9,100,'Increases Defense, Parry and Deflection of caster by 77.0',0,2),
(68020,420118,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 3600',0,3),
(68021,420118,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,4),
(68022,420118,9,100,'When a combat art is used this spell will cast Savage Spirit on target.  ',0,5),
(68023,420118,9,100,'Increases savagery of caster by 14.0',1,6),
(68024,420118,9,100,'This effect cannot be critically applied.',2,7),
(68025,420118,9,100,'Cannot be modified except by direct means',1,8),
(68026,330153,1,100,'On a melee hit this spell may cast Bravado on caster.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(68027,330153,1,100,'Increases Hate Gain of caster by 5.0%',1,1),
(68028,330153,1,100,'Increases Haste of caster by 28.5',1,2),
(68029,330153,1,100,'Dispelled when target takes damage',1,3),
(68030,330153,2,100,'On a melee hit this spell may cast Bravado on caster.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(68031,330153,2,100,'Increases Hate Gain of caster by 5.0%',1,1),
(68032,330153,2,100,'Increases Haste of caster by 30.1',1,2),
(68033,330153,2,100,'Dispelled when target takes damage',1,3),
(68034,330153,3,100,'On a melee hit this spell may cast Bravado on caster.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(68035,330153,3,100,'Increases Hate Gain of caster by 5.0%',1,1),
(68036,330153,3,100,'Increases Haste of caster by 31.7',1,2),
(68037,330153,3,100,'Dispelled when target takes damage',1,3),
(68038,330153,4,100,'On a melee hit this spell may cast Bravado on caster.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(68039,330153,4,100,'Increases Hate Gain of caster by 5.0%',1,1),
(68040,330153,4,100,'Increases Attack Speed of caster by 34.8',1,2),
(68041,330153,4,100,'Dispelled when target takes damage',1,3),
(68042,330153,5,100,'On a melee hit this spell may cast Bravado on caster.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(68043,330153,5,100,'Increases Hate Gain of caster by 5.0%',1,1),
(68044,330153,5,100,'Increases Haste of caster by 38.0',1,2),
(68045,330153,5,100,'Dispelled when target takes damage',1,3),
(68046,330153,7,100,'On a melee hit this spell may cast Bravado on caster.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(68047,330153,7,100,'Increases Hate Gain of caster by 5.0%',1,1),
(68048,330153,7,100,'Increases Attack Speed of caster by 48.8',1,2),
(68049,330153,7,100,'Dispelled when target takes damage',1,3),
(68050,330153,9,100,'On a melee hit this spell may cast Bravado on caster.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(68051,330153,9,100,'Increases Hate Gain of caster by 5.0%',1,1),
(68052,330153,9,100,'Increases Haste of caster by 50.7',1,2),
(68053,330153,9,100,'Dispelled when target takes damage',1,3),
(68054,330153,10,100,'On a melee hit this spell may cast Bravado on caster.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(68055,330153,10,100,'Increases Hate Gain of caster by 5.0%',1,1),
(68056,330153,10,100,'Increases Haste of caster by 53.2',1,2),
(68057,330153,10,100,'Dispelled when target takes damage',1,3),
(68058,330154,1,100,'On a melee hit this spell may cast Bravado on caster.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(68059,330154,1,100,'Increases Hate Gain of caster by 5.0%',1,1),
(68060,330154,1,100,'Increases Haste of caster by 33.7',1,2),
(68061,330154,1,100,'Dispelled when target takes damage',1,3),
(68062,330154,2,100,'On a melee hit this spell may cast Bravado on caster.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(68063,330154,2,100,'Increases Hate Gain of caster by 5.0%',1,1),
(68064,330154,2,100,'Increases Haste of caster by 35.6',1,2),
(68065,330154,2,100,'Dispelled when target takes damage',1,3),
(68066,330154,3,100,'On a melee hit this spell may cast Bravado on caster.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(68067,330154,3,100,'Increases Hate Gain of caster by 5.0%',1,1),
(68068,330154,3,100,'Increases Haste of caster by 37.5',1,2),
(68069,330154,3,100,'Dispelled when target takes damage',1,3),
(68070,330154,4,100,'On a melee hit this spell may cast Bravado on caster.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(68071,330154,4,100,'Increases Hate Gain of caster by 5.0%',1,1),
(68072,330154,4,100,'Increases Haste of caster by 41.2',1,2),
(68073,330154,4,100,'Dispelled when target takes damage',1,3),
(68074,330154,5,100,'On a melee hit this spell may cast Bravado on caster.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(68075,330154,5,100,'Increases Hate Gain of caster by 5.0%',1,1),
(68076,330154,5,100,'Increases Haste of caster by 45.0',1,2),
(68077,330154,5,100,'Dispelled when target takes damage',1,3),
(68078,330154,7,100,'On a melee hit this spell may cast Bravado on caster.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(68079,330154,7,100,'Increases Hate Gain of caster by 5.0%',1,1),
(68080,330154,7,100,'Increases Haste of caster by 57.7',1,2),
(68081,330154,7,100,'Dispelled when target takes damage',1,3),
(68082,330154,9,100,'On a melee hit this spell may cast Bravado on caster.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(68083,330154,9,100,'Increases Hate Gain of caster by 5.0%',1,1),
(68084,330154,9,100,'Increases Haste of caster by 60.0',1,2),
(68085,330154,9,100,'Dispelled when target takes damage',1,3),
(68086,330155,1,100,'On a melee hit this spell may cast Bravado on caster.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(68087,330155,1,100,'Increases Hate Gain of caster by 5.0%',1,1),
(68088,330155,1,100,'Increases Haste of caster by 38.9',1,2),
(68089,330155,1,100,'Dispelled when target takes damage',1,3),
(68090,330155,2,100,'On a melee hit this spell may cast Bravado on caster.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(68091,330155,2,100,'Increases Hate Gain of caster by 5.0%',1,1),
(68092,330155,2,100,'Increases Haste of caster by 41.0',1,2),
(68093,330155,2,100,'Dispelled when target takes damage',1,3),
(68094,330155,3,100,'On a melee hit this spell may cast Bravado on caster.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(68095,330155,3,100,'Increases Hate Gain of caster by 5.0%',1,1),
(68096,330155,3,100,'Increases Haste of caster by 43.2',1,2),
(68097,330155,3,100,'Dispelled when target takes damage',1,3),
(68098,330155,4,100,'On a melee hit this spell may cast Bravado on caster.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(68099,330155,4,100,'Increases Hate Gain of caster by 5.0%',1,1),
(68100,330155,4,100,'Increases Haste of caster by 47.5',1,2),
(68101,330155,4,100,'Dispelled when target takes damage',1,3),
(68102,330155,5,100,'On a melee hit this spell may cast Bravado on caster.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(68103,330155,5,100,'Increases Hate Gain of caster by 5.0%',1,1),
(68104,330155,5,100,'Increases Haste of caster by 51.8',1,2),
(68105,330155,5,100,'Dispelled when target takes damage',1,3),
(68106,330155,7,100,'On a melee hit this spell may cast Bravado on caster.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(68107,330155,7,100,'Increases Hate Gain of caster by 5.0%',1,1),
(68108,330155,7,100,'Increases Haste of caster by 66.5',1,2),
(68109,330155,7,100,'Dispelled when target takes damage',1,3),
(68110,330155,9,100,'On a melee hit this spell may cast Bravado on caster.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(68111,330155,9,100,'Increases Hate Gain of caster by 5.0%',1,1),
(68112,330155,9,100,'Increases Haste of caster by 69.1',1,2),
(68113,330155,9,100,'Dispelled when target takes damage',1,3),
(68114,2000252,1,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(68115,2000252,1,100,'Throws target back',1,1),
(68116,2000252,1,100,'Blurs vision of target',1,2),
(68117,2000252,1,100,'Stuns target',1,3),
(68118,2000252,1,100,'Does not affect Epic targets',1,4),
(68119,2000252,1,100,'Inflicts 806 - 1344 melee damage on target',0,5),
(68120,2000252,1,100,'Increases threat priority of target by 4 positions',0,6),
(68121,50021,1,100,'Grants target a 12% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(68122,50021,1,100,'Increases Agility of caster by 10.',0,1),
(68123,50021,2,100,'Grants target a 13% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(68124,50021,2,100,'Increases Agility of caster by 11.',0,1),
(68135,380012,1,100,'Decreases Threat to target by 388 - 648 ',0,0),
(68136,380012,1,100,'Grants stealth to caster',0,1),
(68137,380012,1,100,'Suspends caster''s movement speed enhancements',0,2),
(68138,380012,2,100,'Decreases Threat to target by 410 - 684 ',0,0),
(68139,380012,2,100,'Grants stealth to caster',0,1),
(68140,380012,2,100,'Suspends caster''s movement speed enhancements',0,2),
(68141,380012,3,100,'Decreases Threat to target by 432 - 720 ',0,0),
(68142,380012,3,100,'Grants stealth to caster',0,1),
(68143,380012,3,100,'Suspends caster''s movement speed enhancements',0,2),
(68144,380012,4,100,'Decreases Threat to target by 475 - 792 ',0,0),
(68145,380012,4,100,'Grants stealth to caster',0,1),
(68146,380012,4,100,'Suspends caster''s movement speed enhancements',0,2),
(68147,380012,5,100,'Decreases Threat to target by 518 - 864 ',0,0),
(68148,380012,5,100,'Grants stealth to caster',0,1),
(68149,380012,5,100,'Suspends caster''s movement speed enhancements',0,2),
(68150,380012,7,100,'Decreases Threat to target by 665 - 1,109 ',0,0),
(68151,380012,7,100,'Grants stealth to caster',0,1),
(68152,380012,7,100,'Suspends caster''s movement speed enhancements',0,2),
(68153,380012,9,100,'Decreases Threat to target by 691 - 1,152 ',0,0),
(68154,380012,9,100,'Grants stealth to caster',0,1),
(68155,380012,9,100,'Suspends caster''s movement speed enhancements',0,2),
(68156,380013,1,100,'Decreases Threat to target by 824 - 1,373 ',0,0),
(68157,380013,1,100,'Grants stealth to caster',0,1),
(68158,380013,1,100,'Suspends caster''s movement speed enhancements',0,2),
(68159,380013,2,100,'Decreases Threat to target by 869 - 1,449 ',0,0),
(68160,380013,2,100,'Grants stealth to caster',0,1),
(68161,380013,2,100,'Suspends caster''s movement speed enhancements',0,2),
(68162,380013,3,100,'Decreases Threat to target by 915 - 1,525 ',0,0),
(68163,380013,3,100,'Grants stealth to caster',0,1),
(68164,380013,3,100,'Suspends caster''s movement speed enhancements',0,2),
(68165,380013,4,100,'Decreases Threat to target by 1,007 - 1,678 ',0,0),
(68166,380013,4,100,'Grants stealth to caster',0,1),
(68167,380013,4,100,'Suspends caster''s movement speed enhancements',0,2),
(68168,380013,5,100,'Decreases Threat to target by 1,098 - 1,831 ',0,0),
(68169,380013,5,100,'Grants stealth to caster',0,1),
(68170,380013,5,100,'Suspends caster''s movement speed enhancements',0,2),
(68171,380013,7,100,'Decreases Threat to target by 1,410 - 2,350 ',0,0),
(68172,380013,7,100,'Grants stealth to caster',0,1),
(68173,380013,7,100,'Suspends caster''s movement speed enhancements',0,2),
(68174,380013,9,100,'Decreases Threat to target by 1,464 - 2,441 ',0,0),
(68175,380013,9,100,'Grants stealth to caster',0,1),
(68176,380013,9,100,'Suspends caster''s movement speed enhancements',0,2),
(68177,380014,1,100,'Decreases Threat to target by 1,339 - 2,232 ',0,0),
(68178,380014,1,100,'Grants stealth to caster',0,1),
(68179,380014,1,100,'Suspends caster''s movement speed enhancements',0,2),
(68180,380014,2,100,'Decreases Threat to target by 1,414 - 2,356 ',0,0),
(68181,380014,2,100,'Grants stealth to caster',0,1),
(68182,380014,2,100,'Suspends caster''s movement speed enhancements',0,2),
(68183,380014,3,100,'Decreases Threat to target by 1,488 - 2,480 ',0,0),
(68184,380014,3,100,'Grants stealth to caster',0,1),
(68185,380014,3,100,'Suspends caster''s movement speed enhancements',0,2),
(68186,380014,4,100,'Decreases Threat to target by 1,637 - 2,729 ',0,0),
(68187,380014,4,100,'Grants stealth to caster',0,1),
(68188,380014,4,100,'Suspends caster''s movement speed enhancements',0,2),
(68189,380014,5,100,'Decreases Threat to target by 1,786 - 2,977 ',0,0),
(68190,380014,5,100,'Grants stealth to caster',0,1),
(68191,380014,5,100,'Suspends caster''s movement speed enhancements',0,2),
(68192,380014,7,100,'Decreases Threat to target by 2,292 - 3,820 ',0,0),
(68193,380014,7,100,'Grants stealth to caster',0,1),
(68194,380014,7,100,'Suspends caster''s movement speed enhancements',0,2),
(68195,380014,9,100,'Decreases Threat to target by 2,381 - 3,969 ',0,0),
(68196,380014,9,100,'Grants stealth to caster',0,1),
(68197,380014,9,100,'Suspends caster''s movement speed enhancements',0,2),
(68198,380015,1,100,'Decreases Threat to target by 1,985 - 3,309 ',0,0),
(68199,380015,1,100,'Grants stealth to caster',0,1),
(68200,380015,1,100,'Suspends caster''s movement speed enhancements',0,2),
(68201,380015,2,100,'Decreases Threat to target by 2,095 - 3,492 ',0,0),
(68202,380015,2,100,'Grants stealth to caster',0,1),
(68203,380015,2,100,'Suspends caster''s movement speed enhancements',0,2),
(68204,380015,3,100,'Decreases Threat to target by 2,206 - 3,676 ',0,0),
(68205,380015,3,100,'Grants stealth to caster',0,1),
(68206,380015,3,100,'Suspends caster''s movement speed enhancements',0,2),
(68207,380015,4,100,'Decreases Threat to target by 2,426 - 4,044 ',0,0),
(68208,380015,4,100,'Grants stealth to caster',0,1),
(68209,380015,4,100,'Suspends caster''s movement speed enhancements',0,2),
(68210,380015,5,100,'Decreases Threat to target by 2,647 - 4,412 ',0,0),
(68211,380015,5,100,'Grants stealth to caster',0,1),
(68212,380015,5,100,'Suspends caster''s movement speed enhancements',0,2),
(68213,380015,7,100,'Decreases Threat to target by 3,397 - 5,662 ',0,0),
(68214,380015,7,100,'Grants stealth to caster',0,1),
(68215,380015,7,100,'Suspends caster''s movement speed enhancements',0,2),
(68216,380015,9,100,'Decreases Threat to target by 3,529 - 5,882 ',0,0),
(68217,380015,9,100,'Grants stealth to caster',0,1),
(68218,380015,9,100,'Suspends caster''s movement speed enhancements',0,2),
(68219,380016,1,100,'Decreases Threat to target by 2,661 - 4,435 ',0,0),
(68220,380016,1,100,'Grants stealth to caster',0,1),
(68221,380016,1,100,'Suspends caster''s movement speed enhancements',0,2),
(68222,380016,2,100,'Decreases Threat to target by 2,809 - 4,682 ',0,0),
(68223,380016,2,100,'Grants stealth to caster',0,1),
(68224,380016,2,100,'Suspends caster''s movement speed enhancements',0,2),
(68225,380016,3,100,'Decreases Threat to target by 2,957 - 4,928 ',0,0),
(68226,380016,3,100,'Grants stealth to caster',0,1),
(68227,380016,3,100,'Suspends caster''s movement speed enhancements',0,2),
(68228,380016,4,100,'Decreases Threat to target by 3,252 - 5,421 ',0,0),
(68229,380016,4,100,'Grants stealth to caster',0,1),
(68230,380016,4,100,'Suspends caster''s movement speed enhancements',0,2),
(68231,380016,5,100,'Decreases Threat to target by 3,548 - 5,914 ',0,0),
(68232,380016,5,100,'Grants stealth to caster',0,1),
(68233,380016,5,100,'Suspends caster''s movement speed enhancements',0,2),
(68234,380016,7,100,'Decreases Threat to target by 4,554 - 7,590 ',0,0),
(68235,380016,7,100,'Grants stealth to caster',0,1),
(68236,380016,7,100,'Suspends caster''s movement speed enhancements',0,2),
(68237,380016,9,100,'Decreases Threat to target by 4,731 - 7,886 ',0,0),
(68238,380016,9,100,'Grants stealth to caster',0,1),
(68239,380016,9,100,'Suspends caster''s movement speed enhancements',0,2),
(68240,380017,1,100,'Decreases Threat to target by 3,338 - 5,563 ',0,0),
(68241,380017,1,100,'Grants stealth to caster',0,1),
(68242,380017,1,100,'Suspends caster''s movement speed enhancements',0,2),
(68243,380017,2,100,'Decreases Threat to target by 3,523 - 5,872 ',0,0),
(68244,380017,2,100,'Grants stealth to caster',0,1),
(68245,380017,2,100,'Suspends caster''s movement speed enhancements',0,2),
(68246,380017,3,100,'Decreases Threat to target by 3,708 - 6,181 ',0,0),
(68247,380017,3,100,'Grants stealth to caster',0,1),
(68248,380017,3,100,'Suspends caster''s movement speed enhancements',0,2),
(68249,380017,4,100,'Decreases Threat to target by 4,079 - 6,799 ',0,0),
(68250,380017,4,100,'Grants stealth to caster',0,1),
(68251,380017,4,100,'Suspends caster''s movement speed enhancements',0,2),
(68252,380017,5,100,'Decreases Threat to target by 4,450 - 7,417 ',0,0),
(68253,380017,5,100,'Grants stealth to caster',0,1),
(68254,380017,5,100,'Suspends caster''s movement speed enhancements',0,2),
(68255,380017,7,100,'Decreases Threat to target by 5,711 - 9,519 ',0,0),
(68256,380017,7,100,'Grants stealth to caster',0,1),
(68257,380017,7,100,'Suspends caster''s movement speed enhancements',0,2),
(68258,380017,9,100,'Decreases Threat to target by 5,934 - 9,890 ',0,0),
(68259,380017,9,100,'Grants stealth to caster',0,1),
(68260,380017,9,100,'Suspends caster''s movement speed enhancements',0,2),
(68261,380018,1,100,'Decreases Threat to target by 4,014 - 6,690 ',0,0),
(68262,380018,1,100,'Grants stealth to caster',0,1),
(68263,380018,1,100,'Suspends caster''s movement speed enhancements',0,2),
(68264,380018,4,100,'Decreases Threat to target by 4,906 - 8,177 ',0,0),
(68265,380018,4,100,'Grants stealth to caster',0,1),
(68266,380018,4,100,'Suspends caster''s movement speed enhancements',0,2),
(68267,380018,5,100,'Decreases Threat to target by 5,352 - 8,920 ',0,0),
(68268,380018,5,100,'Grants stealth to caster',0,1),
(68269,380018,5,100,'Suspends caster''s movement speed enhancements',0,2),
(68270,380018,7,100,'Decreases Threat to target by 6,868 - 11,448 ',0,0),
(68271,380018,7,100,'Grants stealth to caster',0,1),
(68272,380018,7,100,'Suspends caster''s movement speed enhancements',0,2),
(68273,380018,9,100,'Decreases Threat to target by 7,136 - 11,894 ',0,0),
(68274,380018,9,100,'Grants stealth to caster',0,1),
(68275,380018,9,100,'Suspends caster''s movement speed enhancements',0,2),
(68276,50022,1,100,'Decreases Slashing, Piercing and Crushing of caster by 4.8',0,0),
(68277,50022,1,100,'Increases Defense and Deflection of caster by 4.3',0,1),
(68279,50022,2,100,'Decreases Slashing, Piercing and Crushing of caster by 4.8',0,0),
(68280,50022,2,100,'Increases Defense and Deflection of caster by 4.6',0,1),
(68282,50022,3,100,'Decreases Slashing, Piercing and Crushing of caster by 4.8',0,0),
(68283,50022,3,100,'Increases Defense and Deflection of caster by 4.8',0,1),
(68285,50022,4,100,'Decreases Slashing, Piercing and Crushing of caster by 4.8',0,0),
(68286,50022,4,100,'Increases Defense and Deflection of caster by 5.3',0,1),
(68288,50022,5,100,'Decreases Slashing, Piercing and Crushing of caster by 4.8',0,0),
(68289,50022,5,100,'Increases Defense and Deflection of caster by 5.8',0,1),
(68291,50022,7,100,'Decreases Slashing, Piercing and Crushing of caster by 4.8',0,0),
(68292,50022,7,100,'Increases Defense and Deflection of caster by 7.4',0,1),
(68294,50022,9,100,'Decreases Slashing, Piercing and Crushing of caster by 4.8',0,0),
(68295,50022,9,100,'Increases Defense and Deflection of caster by 7.7',0,1),
(68297,40178,2,100,'Decreases Defense of caster by 10.8',0,0),
(68298,40178,2,100,'Increases Slashing, Piercing and Crushing of caster by 15.4',0,1),
(68299,40178,2,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,2),
(68300,40178,2,100,'Inflicts 56 - 94 melee damage on target encounter',1,3),
(68301,40178,2,100,'Increases Crushing and Slashing of caster by 15.4',0,4),
(68302,40178,3,100,'Decreases Defense of caster by 10.8',0,0),
(68303,40178,3,100,'Increases Slashing, Piercing and Crushing of caster by 16.2',0,1),
(68304,40178,3,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,2),
(68305,40178,3,100,'Inflicts 59 - 99 melee damage on target encounter',1,3),
(68306,40178,3,100,'Increases Crushing and Slashing of caster by 16.2',0,4),
(68307,40178,4,100,'Decreases Defense of caster by 10.8',0,0),
(68308,40178,4,100,'Increases Slashing, Piercing and Crushing of caster by 17.8',0,1),
(68309,40178,4,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,2),
(68310,40178,4,100,'Inflicts 65 - 109 melee damage on target encounter',1,3),
(68311,40178,4,100,'Increases Crushing and Slashing of caster by 17.8',0,4),
(68312,40178,5,100,'Decreases Defense of caster by 10.8',0,0),
(68313,40178,5,100,'Increases Slashing, Piercing and Crushing of caster by 19.4',0,1),
(68314,40178,5,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,2),
(68315,40178,5,100,'Inflicts 71 - 118 melee damage on target encounter',1,3),
(68316,40178,5,100,'Increases Crushing and Slashing of caster by 19.4',0,4),
(68317,40178,7,100,'Decreases Defense of caster by 10.8',0,0),
(68318,40178,7,100,'Increases Slashing, Piercing and Crushing of caster by 24.9',0,1),
(68319,40178,7,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,2),
(68320,40178,7,100,'Inflicts 91 - 152 melee damage on target encounter',1,3),
(68321,40178,7,100,'Increases Crushing and Slashing of caster by 22.7',0,4),
(68322,40178,9,100,'Decreases Defense of caster by 10.8',0,0),
(68323,40178,9,100,'Increases Slashing, Piercing and Crushing of caster by 25.9',0,1),
(68324,40178,9,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,2),
(68325,40178,9,100,'Inflicts 95 - 158 melee damage on target encounter',1,3),
(68326,40178,9,100,'Increases Crushing and Slashing of caster by 25.9',0,4),
(68328,80018,1,100,'Decreases Slashing, Piercing and Crushing of caster by 4.8',0,0),
(68329,80018,1,100,'Increases Defense of caster by 4.3',0,1),
(68332,80018,2,100,'Decreases Slashing, Piercing and Crushing of caster by 4.8',0,0),
(68333,80018,2,100,'Increases Defense of caster by 4.6',0,1),
(68336,80018,3,100,'Decreases Slashing, Piercing and Crushing of caster by 4.8',0,0),
(68337,80018,3,100,'Increases Defense of caster by 4.8',0,1),
(68340,80018,4,100,'Decreases Slashing, Piercing and Crushing of caster by 4.8',0,0),
(68341,80018,4,100,'Increases Defense of caster by 5.3',0,1),
(68344,80018,5,100,'Decreases Slashing, Piercing and Crushing of caster by 4.8',0,0),
(68345,80018,5,100,'Increases Defense of caster by 5.8',0,1),
(68348,80018,7,100,'Decreases Slashing, Piercing and Crushing of caster by 4.8',0,0),
(68349,80018,7,100,'Increases Defense of caster by 7.4',0,1),
(68352,80018,9,100,'Decreases Slashing, Piercing and Crushing of caster by 4.8',0,0),
(68353,80018,9,100,'Increases Defense of caster by 7.7',0,1),
(68355,10013,1,100,'Increases STR of caster by 10.0',0,0),
(68356,10013,1,100,'Decreases Defense of caster by 2.2',0,1),
(68357,10013,1,100,'Increases Slashing, Piercing and Crushing of caster by 4.0',0,2),
(68358,10013,2,100,'Increases STR of caster by 10.5',0,0),
(68359,10013,2,100,'Decreases Defense of caster by 2.2',0,1),
(68360,10013,2,100,'Increases Slashing, Piercing and Crushing of caster by 4.2',0,2),
(68361,10013,3,100,'Increases STR of caster by 11.1',0,0),
(68362,10013,3,100,'Decreases Defense of caster by 2.2',0,1),
(68363,10013,3,100,'Increases Slashing, Piercing and Crushing of caster by 4.4',0,2),
(68364,10013,4,100,'Increases STR of caster by 12.2',0,0),
(68365,10013,4,100,'Decreases Defense of caster by 2.2',0,1),
(68366,10013,4,100,'Increases Slashing, Piercing and Crushing of caster by 4.8',0,2),
(68367,10013,5,100,'Increases STR of caster by 13.3',0,0),
(68368,10013,5,100,'Decreases Defense of caster by 2.2',0,1),
(68369,10013,5,100,'Increases Slashing, Piercing and Crushing of caster by 5.3',0,2),
(68370,10013,7,100,'Increases STR of caster by 17.1',0,0),
(68371,10013,7,100,'Decreases Defense of caster by 2.2',0,1),
(68372,10013,7,100,'Increases Slashing, Piercing and Crushing of caster by 6.8',0,2),
(68373,10013,9,100,'Increases STR of caster by 17.8',0,0),
(68374,10013,9,100,'Decreases Defense of caster by 2.2',0,1),
(68375,10013,9,100,'Increases Slashing, Piercing and Crushing of caster by 7.0',0,2),
(68376,20010,1,100,'Decreases Slashing, Piercing and Crushing of caster by 4.8',0,0),
(68377,20010,1,100,'Increases Defense and Parry of caster by 4.3',0,1),
(68378,20010,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,2),
(68379,20010,2,100,'Decreases Slashing, Piercing and Crushing of caster by 4.8',0,0),
(68380,20010,2,100,'Increases Defense and Parry of caster by 4.6',0,1),
(68381,20010,2,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,2),
(68382,20010,3,100,'Decreases Slashing, Piercing and Crushing of caster by 4.8',0,0),
(68383,20010,3,100,'Increases Defense and Parry of caster by 4.8',0,1),
(68384,20010,3,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,2),
(68385,20010,4,100,'Decreases Slashing, Piercing and Crushing of caster by 4.8',0,0),
(68386,20010,4,100,'Increases Defense and Parry of caster by 5.3',0,1),
(68387,20010,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,2),
(68388,20010,5,100,'Decreases Slashing, Piercing and Crushing of caster by 4.8',0,0),
(68389,20010,5,100,'Increases Defense and Parry of caster by 5.8',0,1),
(68390,20010,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,2),
(68391,20010,7,100,'Decreases Slashing, Piercing and Crushing of caster by 4.8',0,0),
(68392,20010,7,100,'Increases Defense and Parry of caster by 7.4',0,1),
(68393,20010,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,2),
(68394,20010,9,100,'Decreases Slashing, Piercing and Crushing of caster by 4.8',0,0),
(68395,20010,9,100,'Increases Defense and Parry of caster by 7.7',0,1),
(68396,20010,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,2),
(68397,10014,1,100,'Decreases Slashing, Crushing and Piercing of caster by 1.8',0,0),
(68398,10014,1,100,'Increases Defense and Parry of caster by 1.6',0,1),
(68399,10014,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,2),
(68400,10014,2,100,'Decreases Slashing, Crushing and Piercing of caster by 1.8',0,0),
(68401,10014,2,100,'Increases Defense and Parry of caster by 1.7',0,1),
(68402,10014,2,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,2),
(68403,10014,3,100,'Decreases Slashing, Crushing and Piercing of caster by 1.8',0,0),
(68404,10014,3,100,'Increases Defense and Parry of caster by 1.8',0,1),
(68405,10014,3,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,2),
(68406,10014,4,100,'Decreases Slashing, Crushing and Piercing of caster by 1.8',0,0),
(68407,10014,4,100,'Increases Defense and Parry of caster by 2.0',0,1),
(68408,10014,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,2),
(68409,10014,5,100,'Decreases Slashing, Crushing and Piercing of caster by 1.8',0,0),
(68410,10014,5,100,'Increases Defense and Parry of caster by 2.2',0,1),
(68411,10014,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,2),
(68412,10014,7,100,'Decreases Slashing, Crushing and Piercing of caster by 1.8',0,0),
(68413,10014,7,100,'Increases Defense and Parry of caster by 2.8',0,1),
(68414,10014,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,2),
(68415,10014,9,100,'Decreases Slashing, Crushing and Piercing of caster by 1.8',0,0),
(68416,10014,9,100,'Increases Defense and Parry of caster by 2.9',0,1),
(68417,10014,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,2),
(68418,40179,2,100,'Decreases Defense of caster by 15.0',0,0),
(68419,40179,2,100,'Increases Slashing, Piercing and Crushing of caster by 21.4',0,1),
(68420,40179,2,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,2),
(68421,40179,2,100,'Inflicts 84 - 141 melee damage on target encounter',1,3),
(68422,40179,2,100,'Increases Crushing and Slashing of caster by 21.4',0,4),
(68423,40179,3,100,'Decreases Defense of caster by 15.0',0,0),
(68424,40179,3,100,'Increases Slashing, Piercing and Crushing of caster by 22.5',0,1),
(68425,40179,3,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,2),
(68426,40179,3,100,'Inflicts 89 - 148 melee damage on target encounter',1,3),
(68427,40179,3,100,'Increases Crushing and Slashing of caster by 22.5',0,4),
(68428,40179,4,100,'Decreases Defense of caster by 15.0',0,0),
(68429,40179,4,100,'Increases Slashing, Piercing and Crushing of caster by 24.8',0,1),
(68430,40179,4,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,2),
(68431,40179,4,100,'Inflicts 98 - 163 melee damage on target encounter',1,3),
(68432,40179,4,100,'Increases Crushing and Slashing of caster by 24.8',0,4),
(68433,40179,5,100,'Decreases Defense of caster by 15.0',0,0),
(68434,40179,5,100,'Increases Slashing, Piercing and Crushing of caster by 27.0',0,1),
(68435,40179,5,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,2),
(68436,40179,5,100,'Inflicts 107 - 178 melee damage on target encounter',1,3),
(68437,40179,5,100,'Increases Crushing and Slashing of caster by 27.0',0,4),
(68438,40179,7,100,'Decreases Defense of caster by 15.0',0,0),
(68439,40179,7,100,'Increases Slashing, Piercing and Crushing of caster by 34.6',0,1),
(68440,40179,7,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,2),
(68441,40179,7,100,'Inflicts 137 - 229 melee damage on target encounter',1,3),
(68442,40179,7,100,'Increases Crushing and Slashing of caster by 31.5',0,4),
(68443,40179,9,100,'Decreases Defense of caster by 15.0',0,0),
(68444,40179,9,100,'Increases Slashing, Piercing and Crushing of caster by 36.0',0,1),
(68445,40179,9,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,2),
(68446,40179,9,100,'Inflicts 142 - 237 melee damage on target encounter',1,3),
(68447,40179,9,100,'Increases Crushing and Slashing of caster by 36.0',0,4),
(68448,20011,1,100,'Grants target a 12% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(68449,20011,1,100,'Increases Parry of caster by 2.4',0,1),
(68450,20011,2,100,'Grants target a 13% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(68451,20011,2,100,'Increases Parry of caster by 2.6',0,1),
(68452,20011,3,100,'Grants target a 14% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(68453,20011,3,100,'Increases Parry of caster by 2.7',0,1),
(68454,20011,4,100,'Grants target a 15% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(68455,20011,4,100,'Increases Parry of caster by 3.0',0,1),
(68456,20011,5,100,'Grants target a 16% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(68457,20011,5,100,'Increases Parry of caster by 3.2',0,1),
(68458,20011,7,100,'Grants target a 21% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(68459,20011,7,100,'Increases Parry of caster by 4.2',0,1),
(68460,20011,9,100,'Grants target a 22% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(68461,20011,9,100,'Increases Parry of caster by 4.3',0,1),
(68462,420119,3,100,'Stuns target',0,0),
(68463,420119,3,100,'If Target is not Epic',1,1),
(68464,420119,3,100,'Must be engaged in combat',0,2),
(68465,420119,3,100,'If under 50% Health',0,3),
(68466,420119,3,100,'Only affects targets that can be tamed.',0,4),
(68467,420119,3,100,'Does not affect Epic targets',0,5),
(68468,390163,1,100,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',0,0),
(68469,390163,1,100,'Group members (AE) will have their chance to hit with a weapon increased by 17.5%',1,1),
(68470,390163,1,100,'Increases Crushing of group members (AE) by 144.0',1,2),
(68471,390163,1,100,'Increases Slashing of group members (AE) by 144.0',1,3),
(68472,390163,1,100,'If profession other than Ranger',2,4),
(68473,390163,1,100,'Increases Piercing of group members (AE) by 144.0',1,5),
(68474,390163,1,100,'If profession other than Ranger',2,6),
(68475,390163,1,100,'Increases Crit Chance of caster by 33.7',0,7),
(68476,390163,1,100,'Increases Haste of caster by 67.5',0,8),
(68477,390163,1,100,'Increases DPS of caster by 94.5',0,9),
(68478,390163,1,100,'Decreases Slashing and Piercing of caster by 380.0',0,10),
(68479,390163,1,100,'Increases Ranged of caster by 144.0',0,11),
(68480,390163,1,100,'Increases Ranged of caster by 126.0',0,12),
(68481,390163,2,100,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',0,0),
(68482,390163,2,100,'Group members (AE) will have their chance to hit with a weapon increased by 18.5%',1,1),
(68483,390163,2,100,'Increases Crushing of group members (AE) by 152.0',1,2),
(68484,390163,2,100,'Increases Piercing of group members (AE) by 152.0',1,3),
(68485,390163,2,100,'If profession other than Ranger',2,4),
(68486,390163,2,100,'Increases Slashing of group members (AE) by 152.0',1,5),
(68487,390163,2,100,'If profession other than Ranger',2,6),
(68488,390163,2,100,'Increases Crit Chance of caster by 35.6',0,7),
(68489,390163,2,100,'Increases Attack Speed of caster by 71.2',0,8),
(68490,390163,2,100,'Increases Damage Per Second of caster by 99.7',0,9),
(68491,390163,2,100,'Decreases Slashing and Piercing of caster by 380.0',0,10),
(68492,390163,2,100,'Increases Ranged of caster by 152.0',0,11),
(68493,390163,2,100,'Increases Ranged of caster by 133.0',0,12),
(68494,390163,3,100,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',0,0),
(68495,390163,3,100,'Group members (AE) will have their chance to hit with a weapon increased by 19.5%',1,1),
(68496,390163,3,100,'Increases Crushing of group members (AE) by 160.0',1,2),
(68497,390163,3,100,'Increases Slashing of group members (AE) by 160.0',1,3),
(68498,390163,3,100,'If profession other than Ranger',2,4),
(68499,390163,3,100,'Increases Piercing of group members (AE) by 160.0',1,5),
(68500,390163,3,100,'If profession other than Ranger',2,6),
(68501,390163,3,100,'Increases Crit Chance of caster by 37.5',0,7),
(68502,390163,3,100,'Increases Haste of caster by 75.0',0,8),
(68503,390163,3,100,'Increases DPS of caster by 105.0',0,9),
(68504,390163,3,100,'Decreases Slashing and Piercing of caster by 380.0',0,10),
(68505,390163,3,100,'Increases Ranged of caster by 160.0',0,11),
(68506,390163,3,100,'Increases Ranged of caster by 140.0',0,12),
(68507,390163,4,100,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',0,0),
(68508,390163,4,100,'Group members (AE) will have their chance to hit with a weapon increased by 21.4%',1,1),
(68509,390163,4,100,'Increases Crushing of group members (AE) by 176.0',1,2),
(68510,390163,4,100,'Increases Slashing of group members (AE) by 176.0',1,3),
(68511,390163,4,100,'If profession other than Ranger',2,4),
(68512,390163,4,100,'Increases Piercing of group members (AE) by 176.0',1,5),
(68513,390163,4,100,'If profession other than Ranger',2,6),
(68514,390163,4,100,'Increases Crit Chance of caster by 41.2',0,7),
(68515,390163,4,100,'Increases Haste of caster by 82.5',0,8),
(68516,390163,4,100,'Increases DPS of caster by 115.5',0,9),
(68517,390163,4,100,'Decreases Slashing and Piercing of caster by 380.0',0,10),
(68518,390163,4,100,'Increases Ranged of caster by 176.0',0,11),
(68519,390163,4,100,'Increases Ranged of caster by 154.0',0,12),
(68520,390163,5,100,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',0,0),
(68521,390163,5,100,'Group members (AE) will have their chance to hit with a weapon increased by 23.4%',1,1),
(68522,390163,5,100,'Increases Crushing of group members (AE) by 192.0',1,2),
(68523,390163,5,100,'Increases Slashing of group members (AE) by 192.0',1,3),
(68524,390163,5,100,'If profession other than Ranger',2,4),
(68525,390163,5,100,'Increases Piercing of group members (AE) by 192.0',1,5),
(68526,390163,5,100,'If profession other than Ranger',2,6),
(68527,390163,5,100,'Increases Crit Chance of caster by 45.0',0,7),
(68528,390163,5,100,'Increases Haste of caster by 90.0',0,8),
(68529,390163,5,100,'Increases DPS of caster by 126.0',0,9),
(68530,390163,5,100,'Decreases Slashing and Piercing of caster by 380.0',0,10),
(68531,390163,5,100,'Increases Ranged of caster by 192.0',0,11),
(68532,390163,5,100,'Increases Ranged of caster by 168.0',0,12),
(68533,390163,7,100,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',0,0),
(68534,390163,7,100,'Group members (AE) will have their chance to hit with a weapon increased by 30.0%',1,1),
(68535,390163,7,100,'Increases Crushing of group members (AE) by 246.4',1,2),
(68536,390163,7,100,'Increases Slashing of group members (AE) by 246.4',1,3),
(68537,390163,7,100,'If profession other than Ranger',2,4),
(68538,390163,7,100,'Increases Piercing of group members (AE) by 246.4',1,5),
(68539,390163,7,100,'If profession other than Ranger',2,6),
(68540,390163,7,100,'Increases Crit Chance of caster by 57.7',0,7),
(68541,390163,7,100,'Increases Haste of caster by 115.5',0,8),
(68542,390163,7,100,'Increases DPS of caster by 161.7',0,9),
(68543,390163,7,100,'Decreases Slashing and Piercing of caster by 380.0',0,10),
(68544,390163,7,100,'Increases Ranged of caster by 246.4',0,11),
(68545,390163,7,100,'Increases Ranged of caster by 196.0',0,12),
(68546,390163,9,100,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',0,0),
(68547,390163,9,100,'Group members (AE) will have their chance to hit with a weapon increased by 31.2%',1,1),
(68548,390163,9,100,'Increases Crushing of group members (AE) by 256.0',1,2),
(68549,390163,9,100,'Increases Slashing of group members (AE) by 256.0',1,3),
(68550,390163,9,100,'If profession other than Ranger',2,4),
(68551,390163,9,100,'Increases Piercing of group members (AE) by 256.0',1,5),
(68552,390163,9,100,'If profession other than Ranger',2,6),
(68553,390163,9,100,'Increases Crit Chance of caster by 60.0',0,7),
(68554,390163,9,100,'Increases Haste of caster by 120.0',0,8),
(68555,390163,9,100,'Increases DPS of caster by 168.0',0,9),
(68556,390163,9,100,'Decreases Slashing and Piercing of caster by 380.0',0,10),
(68557,390163,9,100,'Increases Ranged of caster by 256.0',0,11),
(68558,390163,9,100,'Increases Ranged of caster by 224.0',0,12),
(68559,380019,1,100,'Grants See Invisibility to caster',0,0),
(68560,380019,1,100,'Grants stealth to caster',0,1),
(68561,380019,1,100,'Suspends caster''s movement speed enhancements',0,2),
(68562,400162,1,100,'Inflicts 89 - 148 melee damage on targets in Area of Effect',0,0),
(68563,400162,1,100,'Inflicts 27 piercing damage on targets in Area of Effect instantly and every 2 seconds',0,1),
(68564,400162,1,100,'You must be in stealth or have Bloody Assault.',0,2),
(68565,400162,2,100,'Inflicts 94 - 156 melee damage on targets in Area of Effect',0,0),
(68566,400162,2,100,'Inflicts 29 piercing damage on targets in Area of Effect instantly and every 2 seconds',0,1),
(68567,400162,2,100,'You must be in stealth or have Bloody Assault.',0,2),
(68568,400162,3,100,'Inflicts 99 - 165 melee damage on targets in Area of Effect',0,0),
(68569,400162,3,100,'Inflicts 30 piercing damage on targets in Area of Effect instantly and every 2 seconds',0,1),
(68570,400162,3,100,'You must be in stealth or have Bloody Assault.',0,2),
(68571,400162,4,100,'Inflicts 109 - 181 melee damage on targets in Area of Effect',0,0),
(68572,400162,4,100,'Inflicts 33 piercing damage on targets in Area of Effect instantly and every 2 seconds',0,1),
(68573,400162,4,100,'You must be in stealth or have Bloody Assault.',0,2),
(68574,400162,5,100,'Inflicts 118 - 198 melee damage on targets in Area of Effect',0,0),
(68575,400162,5,100,'Inflicts 36 piercing damage on targets in Area of Effect instantly and every 2 seconds',0,1),
(68576,400162,5,100,'You must be in stealth or have Bloody Assault.',0,2),
(68577,400162,7,100,'Inflicts 152 - 254 melee damage on targets in Area of Effect',0,0),
(68578,400162,7,100,'Inflicts 46 piercing damage on targets in Area of Effect instantly and every 2 seconds',0,1),
(68579,400162,7,100,'You must be in stealth or have Bloody Assault.',0,2),
(68580,400162,9,100,'Inflicts 158 - 264 melee damage on targets in Area of Effect',0,0),
(68581,400162,9,100,'Inflicts 48 piercing damage on targets in Area of Effect instantly and every 2 seconds',0,1),
(68582,400162,9,100,'You must be in stealth or have Bloody Assault.',0,2),
(68583,400163,1,100,'Inflicts 140 - 234 melee damage on targets in Area of Effect',0,0),
(68584,400163,1,100,'Inflicts 43 piercing damage on targets in Area of Effect instantly and every 2 seconds',0,1),
(68585,400163,1,100,'You must be in stealth or have Bloody Assault.',0,2),
(68586,400163,2,100,'Inflicts 148 - 247 melee damage on targets in Area of Effect',0,0),
(68587,400163,2,100,'Inflicts 45 piercing damage on targets in Area of Effect instantly and every 2 seconds',0,1),
(68588,400163,2,100,'You must be in stealth or have Bloody Assault.',0,2),
(68589,400163,3,100,'Inflicts 156 - 261 melee damage on targets in Area of Effect',0,0),
(68590,400163,3,100,'Inflicts 47 piercing damage on targets in Area of Effect instantly and every 2 seconds',0,1),
(68591,400163,3,100,'You must be in stealth or have Bloody Assault.',0,2),
(68592,400163,4,100,'Inflicts 172 - 287 melee damage on targets in Area of Effect',0,0),
(68593,400163,4,100,'Inflicts 52 piercing damage on targets in Area of Effect instantly and every 2 seconds',0,1),
(68594,400163,4,100,'You must be in stealth or have Bloody Assault.',0,2),
(68595,400163,5,100,'Inflicts 187 - 313 melee damage on targets in Area of Effect',0,0),
(68596,400163,5,100,'Inflicts 57 piercing damage on targets in Area of Effect instantly and every 2 seconds',0,1),
(68597,400163,5,100,'You must be in stealth or have Bloody Assault.',0,2),
(68598,400163,7,100,'Inflicts 241 - 401 melee damage on targets in Area of Effect',0,0),
(68599,400163,7,100,'Inflicts 73 piercing damage on targets in Area of Effect instantly and every 2 seconds',0,1),
(68600,400163,7,100,'You must be in stealth or have Bloody Assault.',0,2),
(68601,400163,9,100,'Inflicts 250 - 417 melee damage on targets in Area of Effect',0,0),
(68602,400163,9,100,'Inflicts 76 piercing damage on targets in Area of Effect instantly and every 2 seconds',0,1),
(68603,400163,9,100,'You must be in stealth or have Bloody Assault.',0,2),
(68604,400164,1,100,'Inflicts 203 - 339 melee damage on targets in Area of Effect',0,0),
(68605,400164,1,100,'Inflicts 62 piercing damage on targets in Area of Effect instantly and every 2 seconds',0,1),
(68606,400164,1,100,'You must be in stealth or have Bloody Assault.',0,2),
(68607,400164,2,100,'Inflicts 214 - 357 melee damage on targets in Area of Effect',0,0),
(68608,400164,2,100,'Inflicts 65 piercing damage on targets in Area of Effect instantly and every 2 seconds',0,1),
(68609,400164,2,100,'You must be in stealth or have Bloody Assault.',0,2),
(68610,400164,3,100,'Inflicts 226 - 376 melee damage on targets in Area of Effect',0,0),
(68611,400164,3,100,'Inflicts 68 piercing damage on targets in Area of Effect instantly and every 2 seconds',0,1),
(68612,400164,3,100,'You must be in stealth or have Bloody Assault.',0,2),
(68613,400164,4,100,'Inflicts 248 - 414 melee damage on targets in Area of Effect',0,0),
(68614,400164,4,100,'Inflicts 75 piercing damage on targets in Area of Effect instantly and every 2 seconds',0,1),
(68615,400164,4,100,'You must be in stealth or have Bloody Assault.',0,2),
(68616,400164,5,100,'Inflicts 271 - 452 melee damage on targets in Area of Effect',0,0),
(68617,400164,5,100,'Inflicts 82 piercing damage on targets in Area of Effect instantly and every 2 seconds',0,1),
(68618,400164,5,100,'You must be in stealth or have Bloody Assault.',0,2),
(68619,400164,7,100,'Inflicts 348 - 580 melee damage on targets in Area of Effect',0,0),
(68620,400164,7,100,'Inflicts 105 piercing damage on targets in Area of Effect instantly and every 2 seconds',0,1),
(68621,400164,7,100,'You must be in stealth or have Bloody Assault.',0,2),
(68622,400164,9,100,'Inflicts 361 - 602 melee damage on targets in Area of Effect',0,0),
(68623,400164,9,100,'Inflicts 110 piercing damage on targets in Area of Effect instantly and every 2 seconds',0,1),
(68624,400164,9,100,'You must be in stealth or have Bloody Assault.',0,2),
(68625,400165,1,100,'Inflicts 265 - 443 melee damage on targets in Area of Effect',0,0),
(68626,400165,1,100,'Inflicts 81 piercing damage on targets in Area of Effect instantly and every 2 seconds',0,1),
(68627,400165,1,100,'You must be in stealth or have Bloody Assault.',0,2),
(68628,400165,2,100,'Inflicts 280 - 467 melee damage on targets in Area of Effect',0,0),
(68629,400165,2,100,'Inflicts 85 piercing damage on targets in Area of Effect instantly and every 2 seconds',0,1),
(68630,400165,2,100,'You must be in stealth or have Bloody Assault.',0,2),
(68631,400165,3,100,'Inflicts 295 - 492 melee damage on targets in Area of Effect',0,0),
(68632,400165,3,100,'Inflicts 90 piercing damage on targets in Area of Effect instantly and every 2 seconds',0,1),
(68633,400165,3,100,'You must be in stealth or have Bloody Assault.',0,2),
(68634,400165,4,100,'Inflicts 324 - 541 melee damage on targets in Area of Effect',0,0),
(68635,400165,4,100,'Inflicts 98 piercing damage on targets in Area of Effect instantly and every 2 seconds',0,1),
(68636,400165,4,100,'You must be in stealth or have Bloody Assault.',0,2),
(68637,400165,5,100,'Inflicts 354 - 590 melee damage on targets in Area of Effect',0,0),
(68638,400165,5,100,'Inflicts 107 piercing damage on targets in Area of Effect instantly and every 2 seconds',0,1),
(68639,400165,5,100,'You must be in stealth or have Bloody Assault.',0,2),
(68640,400165,7,100,'Inflicts 454 - 758 melee damage on targets in Area of Effect',0,0),
(68641,400165,7,100,'Inflicts 138 piercing damage on targets in Area of Effect instantly and every 2 seconds',0,1),
(68642,400165,7,100,'You must be in stealth or have Bloody Assault.',0,2),
(68643,400165,9,100,'Inflicts 472 - 787 melee damage on targets in Area of Effect',0,0),
(68644,400165,9,100,'Inflicts 143 piercing damage on targets in Area of Effect instantly and every 2 seconds',0,1),
(68645,400165,9,100,'You must be in stealth or have Bloody Assault.',0,2),
(68646,400166,1,100,'Inflicts 322 - 537 melee damage on targets in Area of Effect',0,0),
(68647,400166,1,100,'Inflicts 98 piercing damage on targets in Area of Effect instantly and every 2 seconds',0,1),
(68648,400166,1,100,'You must be in stealth or have Bloody Assault.',0,2),
(68649,400166,2,100,'Inflicts 340 - 567 melee damage on targets in Area of Effect',0,0),
(68650,400166,2,100,'Inflicts 103 piercing damage on targets in Area of Effect instantly and every 2 seconds',0,1),
(68651,400166,2,100,'You must be in stealth or have Bloody Assault.',0,2),
(68652,400166,3,100,'Inflicts 358 - 597 melee damage on targets in Area of Effect',0,0),
(68653,400166,3,100,'Inflicts 109 piercing damage on targets in Area of Effect instantly and every 2 seconds',0,1),
(68654,400166,3,100,'You must be in stealth or have Bloody Assault.',0,2),
(68655,400166,4,100,'Inflicts 394 - 656 melee damage on targets in Area of Effect',0,0),
(68656,400166,4,100,'Inflicts 119 piercing damage on targets in Area of Effect instantly and every 2 seconds',0,1),
(68657,400166,4,100,'You must be in stealth or have Bloody Assault.',0,2),
(68658,400166,5,100,'Inflicts 429 - 716 melee damage on targets in Area of Effect',0,0),
(68659,400166,5,100,'Inflicts 130 piercing damage on targets in Area of Effect instantly and every 2 seconds',0,1),
(68660,400166,5,100,'You must be in stealth or have Bloody Assault.',0,2),
(68661,400166,7,100,'Inflicts 551 - 919 melee damage on targets in Area of Effect',0,0),
(68662,400166,7,100,'Inflicts 167 piercing damage on targets in Area of Effect instantly and every 2 seconds',0,1),
(68663,400166,7,100,'You must be in stealth or have Bloody Assault.',0,2),
(68664,400166,9,100,'Inflicts 573 - 955 melee damage on targets in Area of Effect',0,0),
(68665,400166,9,100,'Inflicts 174 piercing damage on targets in Area of Effect instantly and every 2 seconds',0,1),
(68666,400166,9,100,'You must be in stealth or have Bloody Assault.',0,2),
(68667,400167,1,100,'Inflicts 387 - 646 melee damage on targets in Area of Effect',0,0),
(68668,400167,1,100,'Inflicts 118 piercing damage on targets in Area of Effect instantly and every 2 seconds',0,1),
(68669,400167,1,100,'You must be in stealth or have Bloody Assault.',0,2),
(68670,400167,4,100,'Inflicts 474 - 790 melee damage on targets in Area of Effect',0,0),
(68671,400167,4,100,'Inflicts 144 piercing damage on targets in Area of Effect instantly and every 2 seconds',0,1),
(68672,400167,4,100,'You must be in stealth or have Bloody Assault.',0,2),
(68673,400167,5,100,'Inflicts 517 - 861 melee damage on targets in Area of Effect',0,0),
(68674,400167,5,100,'Inflicts 157 piercing damage on targets in Area of Effect instantly and every 2 seconds',0,1),
(68675,400167,5,100,'You must be in stealth or have Bloody Assault.',0,2),
(68676,400167,7,100,'Inflicts 663 - 1106 melee damage on targets in Area of Effect',0,0),
(68677,400167,7,100,'Inflicts 201 piercing damage on targets in Area of Effect instantly and every 2 seconds',0,1),
(68678,400167,7,100,'You must be in stealth or have Bloody Assault.',0,2),
(68679,400167,9,100,'Inflicts 689 - 1149 melee damage on targets in Area of Effect',0,0),
(68680,400167,9,100,'Inflicts 209 piercing damage on targets in Area of Effect instantly and every 2 seconds',0,1),
(68681,400167,9,100,'You must be in stealth or have Bloody Assault.',0,2),
(68682,400168,1,100,'Inflicts 411 - 685 melee damage on targets in Area of Effect',0,0),
(68683,400168,1,100,'Inflicts 125 piercing damage on targets in Area of Effect instantly and every 2 seconds',0,1),
(68684,400168,1,100,'You must be in stealth or have Bloody Assault.',0,2),
(68685,400168,4,100,'Inflicts 502 - 838 melee damage on targets in Area of Effect',0,0),
(68686,400168,4,100,'Inflicts 152 piercing damage on targets in Area of Effect instantly and every 2 seconds',0,1),
(68687,400168,4,100,'You must be in stealth or have Bloody Assault.',0,2),
(68688,400168,5,100,'Inflicts 548 - 914 melee damage on targets in Area of Effect',0,0),
(68689,400168,5,100,'Inflicts 166 piercing damage on targets in Area of Effect instantly and every 2 seconds',0,1),
(68690,400168,5,100,'You must be in stealth or have Bloody Assault.',0,2),
(68691,400168,7,100,'Inflicts 704 - 1173 melee damage on targets in Area of Effect',0,0),
(68692,400168,7,100,'Inflicts 213 piercing damage on targets in Area of Effect instantly and every 2 seconds',0,1),
(68693,400168,7,100,'You must be in stealth or have Bloody Assault.',0,2),
(68694,400168,9,100,'Inflicts 731 - 1219 melee damage on targets in Area of Effect',0,0),
(68695,400168,9,100,'Inflicts 222 piercing damage on targets in Area of Effect instantly and every 2 seconds',0,1),
(68696,400168,9,100,'You must be in stealth or have Bloody Assault.',0,2),
(68697,2000253,1,100,'Reduces all damage done to group members (AE) by 15%',0,0),
(68698,70193,1,100,'Will absorb elemental, noxious and arcane damage when the amount is greater than 30% of the target''s maximum health. This spell will absorb a total of 3 attacks.',0,0),
(68699,70193,2,100,'Will absorb elemental, noxious and arcane damage when the amount is greater than 30% of the target''s maximum health. This spell will absorb a total of 3 attacks.',0,0),
(68700,70193,3,100,'Will absorb elemental, noxious and arcane damage when the amount is greater than 30% of the target''s maximum health. This spell will absorb a total of 3 attacks.',0,0),
(68701,70193,4,100,'Will absorb elemental, noxious and arcane damage when the amount is greater than 30% of the target''s maximum health. This spell will absorb a total of 3 attacks.',0,0),
(68702,70193,5,100,'Will absorb elemental, noxious and arcane damage when the amount is greater than 30% of the target''s maximum health. This spell will absorb a total of 3 attacks.',0,0),
(68703,70193,7,100,'Will absorb elemental, noxious and arcane damage when the amount is greater than 30% of the target''s maximum health. This spell will absorb a total of 3 attacks.',0,0),
(68704,70193,9,100,'Will absorb elemental, noxious and arcane damage when the amount is greater than 30% of the target''s maximum health. This spell will absorb a total of 3 attacks.',0,0),
(68705,2000254,1,100,'Allows caster to block all melee attacks.',0,0),
(68706,2000254,1,100,'Makes caster immune to strikethrough attacks.',0,1),
(68707,2000254,1,100,'If Shield equipped in Secondary',0,2),
(68708,390164,1,100,'Inflicts 602 - 1003 ranged damage on target encounter',0,0),
(68709,390164,1,100,'Requires bow or aim',0,1),
(68710,390164,2,100,'Inflicts 635 - 1059 ranged damage on target encounter',0,0),
(68711,390164,2,100,'Requires bow or aim',0,1),
(68712,390164,3,100,'Inflicts 669 - 1115 ranged damage on target encounter',0,0),
(68713,390164,3,100,'Requires bow or aim',0,1),
(68714,390164,4,100,'Inflicts 736 - 1226 ranged damage on target encounter',0,0),
(68715,390164,4,100,'Requires bow or aim',0,1),
(68716,390164,5,100,'Inflicts 803 - 1338 ranged damage on target encounter',0,0),
(68717,390164,5,100,'Requires bow or aim',0,1),
(68718,390164,7,100,'Inflicts 1030 - 1717 ranged damage on target encounter',0,0),
(68719,390164,7,100,'Requires bow or aim',0,1),
(68720,390164,9,100,'Inflicts 1070 - 1784 ranged damage on target encounter',0,0),
(68721,390164,9,100,'Requires bow or aim',0,1),
(68722,390165,1,100,'Inflicts 906 - 1510 ranged damage on target encounter',0,0),
(68723,390165,1,100,'Requires bow or aim',0,1),
(68724,390165,2,100,'Inflicts 956 - 1594 ranged damage on target encounter',0,0),
(68725,390165,2,100,'Requires bow or aim',0,1),
(68726,390165,3,100,'Inflicts 1007 - 1678 ranged damage on target encounter',0,0),
(68727,390165,3,100,'Requires bow or aim',0,1),
(68728,390165,4,100,'Inflicts 1107 - 1846 ranged damage on target encounter',0,0),
(68729,390165,4,100,'Requires bow or aim',0,1),
(68730,390165,5,100,'Inflicts 1208 - 2014 ranged damage on target encounter',0,0),
(68731,390165,5,100,'Requires bow or aim',0,1),
(68732,390165,7,100,'Inflicts 1550 - 2584 ranged damage on target encounter',0,0),
(68733,390165,7,100,'Requires bow or aim',0,1),
(68734,390165,9,100,'Inflicts 1611 - 2685 ranged damage on target encounter',0,0),
(68735,390165,9,100,'Requires bow or aim',0,1),
(68736,390166,1,100,'Inflicts 1099 - 1831 ranged damage on target encounter',0,0),
(68737,390166,1,100,'Requires bow or aim',0,1),
(68738,390166,2,100,'Inflicts 1160 - 1933 ranged damage on target encounter',0,0),
(68739,390166,2,100,'Requires bow or aim',0,1),
(68740,390166,3,100,'Inflicts 1221 - 2035 ranged damage on target encounter',0,0),
(68741,390166,3,100,'Requires bow or aim',0,1),
(68742,390166,4,100,'Inflicts 1343 - 2238 ranged damage on target encounter',0,0),
(68743,390166,4,100,'Requires bow or aim',0,1),
(68744,390166,5,100,'Inflicts 1465 - 2442 ranged damage on target encounter',0,0),
(68745,390166,5,100,'Requires bow or aim',0,1),
(68746,390166,7,100,'Inflicts 1880 - 3134 ranged damage on target encounter',0,0),
(68747,390166,7,100,'Requires bow or aim',0,1),
(68748,390166,9,100,'Inflicts 1953 - 3256 ranged damage on target encounter',0,0),
(68749,390166,9,100,'Requires bow or aim',0,1),
(68750,390167,1,100,'Inflicts 1718 - 2864 ranged damage on target encounter',0,0),
(68751,390167,1,100,'Requires bow or aim',0,1),
(68752,390167,4,100,'Inflicts 2100 - 3501 ranged damage on target encounter',0,0),
(68753,390167,4,100,'Requires bow or aim',0,1),
(68754,390167,5,100,'Inflicts 2291 - 3819 ranged damage on target encounter',0,0),
(68755,390167,5,100,'Requires bow or aim',0,1),
(68756,390167,7,100,'Inflicts 2941 - 4902 ranged damage on target encounter',0,0),
(68757,390167,7,100,'Requires bow or aim',0,1),
(68758,390167,9,100,'Inflicts 3055 - 5093 ranged damage on target encounter',0,0),
(68759,390167,9,100,'Requires bow or aim',0,1),
(68760,390168,1,100,'Inflicts 1823 - 3039 ranged damage on target encounter',0,0),
(68761,390168,1,100,'Requires bow or aim',0,1),
(68762,390168,4,100,'Inflicts 2229 - 3715 ranged damage on target encounter',0,0),
(68763,390168,4,100,'Requires bow or aim',0,1),
(68764,390168,5,100,'Inflicts 2431 - 4053 ranged damage on target encounter',0,0),
(68765,390168,5,100,'Requires bow or aim',0,1),
(68766,390168,7,100,'Inflicts 3120 - 5201 ranged damage on target encounter',0,0),
(68767,390168,7,100,'Requires bow or aim',0,1),
(68768,390168,9,100,'Inflicts 3242 - 5404 ranged damage on target encounter',0,0),
(68769,390168,9,100,'Requires bow or aim',0,1),
(68770,330156,1,100,'Inflicts 298 - 497 ranged damage on targets in Area of Effect',0,0),
(68771,330156,1,100,'If weapon equipped in Ranged',0,1),
(68772,330156,2,100,'Inflicts 315 - 525 ranged damage on targets in Area of Effect',0,0),
(68773,330156,2,100,'If weapon equipped in Ranged',0,1),
(68774,330156,3,100,'Inflicts 331 - 552 ranged damage on targets in Area of Effect',0,0),
(68775,330156,3,100,'If weapon equipped in Ranged',0,1),
(68776,330156,4,100,'Inflicts 364 - 607 ranged damage on targets in Area of Effect',0,0),
(68777,330156,4,100,'If weapon equipped in Ranged',0,1),
(68778,330156,5,100,'Inflicts 397 - 663 ranged damage on targets in Area of Effect',0,0),
(68779,330156,5,100,'If weapon equipped in Ranged',0,1),
(68780,330156,7,100,'Inflicts 510 - 851 ranged damage on targets in Area of Effect',0,0),
(68781,330156,7,100,'If weapon equipped in Ranged',0,1),
(68782,330156,9,100,'Inflicts 530 - 884 ranged damage on targets in Area of Effect',0,0),
(68783,330156,9,100,'If weapon equipped in Ranged',0,1),
(68784,330157,1,100,'Inflicts 432 - 721 ranged damage on targets in Area of Effect',0,0),
(68785,330157,1,100,'If weapon equipped in Ranged',0,1),
(68786,330157,2,100,'Inflicts 456 - 761 ranged damage on targets in Area of Effect',0,0),
(68787,330157,2,100,'If weapon equipped in Ranged',0,1),
(68788,330157,3,100,'Inflicts 480 - 801 ranged damage on targets in Area of Effect',0,0),
(68789,330157,3,100,'If weapon equipped in Ranged',0,1),
(68790,330157,4,100,'Inflicts 528 - 881 ranged damage on targets in Area of Effect',0,0),
(68791,330157,4,100,'If weapon equipped in Ranged',0,1),
(68792,330157,5,100,'Inflicts 576 - 961 ranged damage on targets in Area of Effect',0,0),
(68793,330157,5,100,'If weapon equipped in Ranged',0,1),
(68794,330157,7,100,'Inflicts 740 - 1234 ranged damage on targets in Area of Effect',0,0),
(68795,330157,7,100,'If weapon equipped in Ranged',0,1),
(68796,330157,9,100,'Inflicts 769 - 1282 ranged damage on targets in Area of Effect',0,0),
(68797,330157,9,100,'If weapon equipped in Ranged',0,1),
(68798,330158,1,100,'Inflicts 522 - 871 ranged damage on targets in Area of Effect',0,0),
(68799,330158,1,100,'If weapon equipped in Ranged',0,1),
(68800,330158,4,100,'Inflicts 639 - 1065 ranged damage on targets in Area of Effect',0,0),
(68801,330158,4,100,'If weapon equipped in Ranged',0,1),
(68802,330158,5,100,'Inflicts 697 - 1161 ranged damage on targets in Area of Effect',0,0),
(68803,330158,5,100,'If weapon equipped in Ranged',0,1),
(68804,330158,7,100,'Inflicts 894 - 1491 ranged damage on targets in Area of Effect',0,0),
(68805,330158,7,100,'If weapon equipped in Ranged',0,1),
(68806,330158,9,100,'Inflicts 929 - 1549 ranged damage on targets in Area of Effect',0,0),
(68807,330158,9,100,'If weapon equipped in Ranged',0,1),
(68808,330159,1,100,'Inflicts 596 - 993 ranged damage on targets in Area of Effect',0,0),
(68809,330159,1,100,'If weapon equipped in Ranged',0,1),
(68810,330159,4,100,'Inflicts 728 - 1214 ranged damage on targets in Area of Effect',0,0),
(68811,330159,4,100,'If weapon equipped in Ranged',0,1),
(68812,330159,5,100,'Inflicts 794 - 1324 ranged damage on targets in Area of Effect',0,0),
(68813,330159,5,100,'If weapon equipped in Ranged',0,1),
(68814,330159,7,100,'Inflicts 1019 - 1699 ranged damage on targets in Area of Effect',0,0),
(68815,330159,7,100,'If weapon equipped in Ranged',0,1),
(68816,330159,9,100,'Inflicts 1059 - 1765 ranged damage on targets in Area of Effect',0,0),
(68817,330159,9,100,'If weapon equipped in Ranged',0,1),
(68822,320023,1,100,'Inflicts 35 - 59 ranged damage on target',0,0),
(68823,320023,1,100,'Inflicts 35 - 59 ranged damage on target',0,1),
(68824,320023,1,100,'If weapon equipped in Ranged',0,3),
(68829,320023,2,100,'Inflicts 37 - 62 ranged damage on target',0,0),
(68830,320023,2,100,'Inflicts 37 - 62 ranged damage on target',0,1),
(68831,320023,2,100,'If weapon equipped in Ranged',0,3),
(68836,320023,3,100,'Inflicts 39 - 65 ranged damage on target',0,0),
(68837,320023,3,100,'Inflicts 39 - 65 ranged damage on target',0,1),
(68838,320023,3,100,'If weapon equipped in Ranged',0,3),
(68843,320023,4,100,'Inflicts 43 - 72 ranged damage on target',0,0),
(68844,320023,4,100,'Inflicts 43 - 72 ranged damage on target',0,1),
(68845,320023,4,100,'If weapon equipped in Ranged',0,3),
(68850,320023,5,100,'Inflicts 47 - 78 ranged damage on target',0,0),
(68851,320023,5,100,'Inflicts 47 - 78 ranged damage on target',0,1),
(68852,320023,5,100,'If weapon equipped in Ranged',0,3),
(68857,320023,7,100,'Inflicts 60 - 101 ranged damage on target',0,0),
(68858,320023,7,100,'Inflicts 60 - 101 ranged damage on target',0,1),
(68859,320023,7,100,'If weapon equipped in Ranged',0,3),
(68864,320023,9,100,'Inflicts 63 - 105 ranged damage on target',0,0),
(68865,320023,9,100,'Inflicts 63 - 105 ranged damage on target',0,1),
(68866,320023,9,100,'If weapon equipped in Ranged',0,3),
(68867,390169,1,100,'Inflicts 814 - 994 ranged damage on targets in Area of Effect',0,0),
(68868,390169,2,100,'Inflicts 859 - 1050 ranged damage on targets in Area of Effect',0,0),
(68869,390169,3,100,'Inflicts 904 - 1105 ranged damage on targets in Area of Effect',0,0),
(68870,390169,4,100,'Inflicts 994 - 1215 ranged damage on targets in Area of Effect',0,0),
(68871,390169,5,100,'Inflicts 1085 - 1326 ranged damage on targets in Area of Effect',0,0),
(68872,390169,7,100,'Inflicts 1392 - 1702 ranged damage on targets in Area of Effect',0,0),
(68873,390169,9,100,'Inflicts 1447 - 1768 ranged damage on targets in Area of Effect',0,0),
(68874,390170,1,100,'Inflicts 1180 - 1442 ranged damage on targets in Area of Effect',0,0),
(68875,390170,2,100,'Inflicts 1245 - 1522 ranged damage on targets in Area of Effect',0,0),
(68876,390170,3,100,'Inflicts 1311 - 1602 ranged damage on targets in Area of Effect',0,0),
(68877,390170,4,100,'Inflicts 1442 - 1763 ranged damage on targets in Area of Effect',0,0),
(68878,390170,5,100,'Inflicts 1573 - 1923 ranged damage on targets in Area of Effect',0,0),
(68879,390170,7,100,'Inflicts 2019 - 2468 ranged damage on targets in Area of Effect',0,0),
(68880,390170,9,100,'Inflicts 2098 - 2564 ranged damage on targets in Area of Effect',0,0),
(68881,390171,1,100,'Inflicts 1426 - 1742 ranged damage on targets in Area of Effect',0,0),
(68882,390171,4,100,'Inflicts 1742 - 2130 ranged damage on targets in Area of Effect',0,0),
(68883,390171,5,100,'Inflicts 1901 - 2323 ranged damage on targets in Area of Effect',0,0),
(68884,390171,7,100,'Inflicts 2440 - 2982 ranged damage on targets in Area of Effect',0,0),
(68885,390171,9,100,'Inflicts 2535 - 3098 ranged damage on targets in Area of Effect',0,0),
(68886,390172,1,100,'Inflicts 2113 - 2582 ranged damage on targets in Area of Effect',0,0),
(68887,390172,4,100,'Inflicts 2582 - 3156 ranged damage on targets in Area of Effect',0,0),
(68888,390172,5,100,'Inflicts 2817 - 3443 ranged damage on targets in Area of Effect',0,0),
(68889,390172,7,100,'Inflicts 3615 - 4419 ranged damage on targets in Area of Effect',0,0),
(68890,390172,9,100,'Inflicts 3756 - 4591 ranged damage on targets in Area of Effect',0,0),
(68891,320024,1,100,'Increases AGI of caster by 10.0',0,0),
(68892,320024,1,100,'Increases STR of caster by 15.0',0,1),
(68893,340162,1,100,'Increases AGI of caster by 15.0',0,0),
(68894,340162,1,100,'Adds 14.0% to base avoidance.',0,1),
(68895,340162,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 183',0,2),
(68896,340162,1,100,'Increases Mitigation of caster vs physical damage by 207',0,3),
(68897,340162,2,100,'Increases AGI of caster by 15.8',0,0),
(68898,340162,2,100,'Adds 14.8% to base avoidance.',0,1),
(68899,340162,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 193',0,2),
(68900,340162,2,100,'Increases Mitigation of caster vs physical damage by 218',0,3),
(68901,320024,2,100,'Increases AGI of caster by 10.5',0,0),
(68902,320024,2,100,'Increases STR of caster by 15.8',0,1),
(68903,340162,3,100,'Increases AGI of caster by 16.6',0,0),
(68904,340162,3,100,'Adds 15.6% to base avoidance.',0,1),
(68905,340162,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 203',0,2),
(68906,340162,3,100,'Increases Mitigation of caster vs physical damage by 230',0,3),
(68907,320024,3,100,'Increases AGI of caster by 11.1',0,0),
(68908,320024,3,100,'Increases STR of caster by 16.6',0,1),
(68909,340162,4,100,'Increases AGI of caster by 18.3',0,0),
(68910,340162,4,100,'Adds 17.2% to base avoidance.',0,1),
(68911,340162,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 223',0,2),
(68912,340162,4,100,'Increases Mitigation of caster vs physical damage by 253',0,3),
(68913,320024,4,100,'Increases AGI of caster by 12.2',0,0),
(68914,320024,4,100,'Increases STR of caster by 18.3',0,1),
(68915,320024,5,100,'Increases AGI of caster by 13.3',0,0),
(68916,320024,5,100,'Increases STR of caster by 20.0',0,1),
(68917,340162,5,100,'Increases AGI of caster by 20.0',0,0),
(68918,340162,5,100,'Adds 18.7% to base avoidance.',0,1),
(68919,340162,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 243',0,2),
(68920,340162,5,100,'Increases Mitigation of caster vs physical damage by 276',0,3),
(68921,320024,7,100,'Increases AGI of caster by 17.1',0,0),
(68922,320024,7,100,'Increases STR of caster by 25.6',0,1),
(68923,340162,7,100,'Increases AGI of caster by 25.6',0,0),
(68924,340162,7,100,'Adds 24.0% to base avoidance.',0,1),
(68925,340162,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 312',0,2),
(68926,340162,7,100,'Increases Mitigation of caster vs physical damage by 354',0,3),
(68927,320024,9,100,'Increases AGI of caster by 17.8',0,0),
(68928,320024,9,100,'Increases STR of caster by 26.6',0,1),
(68929,340162,9,100,'Increases AGI of caster by 26.6',0,0),
(68930,340162,9,100,'Adds 25.0% to base avoidance.',0,1),
(68931,340162,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 324',0,2),
(68932,340162,9,100,'Increases Mitigation of caster vs physical damage by 368',0,3),
(68933,340162,10,100,'Increases AGI of caster by 28.0',0,0),
(68934,340162,10,100,'Adds 26.2% to base avoidance.',0,1),
(68935,340162,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 341',0,2),
(68936,340162,10,100,'Increases Mitigation of caster vs physical damage by 386',0,3),
(68937,340163,1,100,'Increases AGI of caster by 28.2',0,0),
(68938,340163,1,100,'Adds 14.0% to base avoidance.',0,1),
(68939,340163,1,100,'Increases Mitigation of caster vs physical damage by 377',0,2),
(68940,340163,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 379',0,3),
(68941,340163,2,100,'Increases AGI of caster by 29.8',0,0),
(68942,340163,2,100,'Adds 14.8% to base avoidance.',0,1),
(68943,340163,2,100,'Increases Mitigation of caster vs physical damage by 398',0,2),
(68944,340163,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 400',0,3),
(68945,340163,3,100,'Increases AGI of caster by 31.4',0,0),
(68946,340163,3,100,'Adds 15.6% to base avoidance.',0,1),
(68947,340163,3,100,'Increases Mitigation of caster vs physical damage by 419',0,2),
(68948,340163,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 421',0,3),
(68949,340163,4,100,'Increases AGI of caster by 34.5',0,0),
(68950,340163,4,100,'Adds 17.2% to base avoidance.',0,1),
(68951,340163,4,100,'Increases Mitigation of caster vs physical damage by 460',0,2),
(68952,340163,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 463',0,3),
(68953,340163,5,100,'Increases AGI of caster by 37.6',0,0),
(68954,340163,5,100,'Adds 18.7% to base avoidance.',0,1),
(68955,340163,5,100,'Increases Mitigation of caster vs physical damage by 502',0,2),
(68956,340163,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 505',0,3),
(68957,340163,7,100,'Increases AGI of caster by 48.3',0,0),
(68958,340163,7,100,'Adds 24.0% to base avoidance.',0,1),
(68959,340163,7,100,'Increases Mitigation of caster vs physical damage by 644',0,2),
(68960,340163,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 649',0,3),
(68961,340163,9,100,'Increases AGI of caster by 50.2',0,0),
(68962,340163,9,100,'Adds 25.0% to base avoidance.',0,1),
(68963,340163,9,100,'Increases Mitigation of caster vs physical damage by 670',0,2),
(68964,340163,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 674',0,3),
(68965,340164,1,100,'Increases AGI of caster by 42.9',0,0),
(68966,340164,1,100,'Adds 14.0% to base avoidance.',0,1),
(68967,340164,1,100,'Increases Mitigation of caster vs physical damage by 572',0,2),
(68968,340164,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 576',0,3),
(68969,340164,2,100,'Increases AGI of caster by 45.3',0,0),
(68970,340164,2,100,'Adds 14.8% to base avoidance.',0,1),
(68971,340164,2,100,'Increases Mitigation of caster vs physical damage by 604',0,2),
(68972,340164,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 608',0,3),
(68973,340164,3,100,'Increases AGI of caster by 47.7',0,0),
(68974,340164,3,100,'Adds 15.6% to base avoidance.',0,1),
(68975,340164,3,100,'Increases Mitigation of caster vs physical damage by 636',0,2),
(68976,340164,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 640',0,3),
(68977,340164,4,100,'Increases AGI of caster by 52.5',0,0),
(68978,340164,4,100,'Adds 17.2% to base avoidance.',0,1),
(68979,340164,4,100,'Increases Mitigation of caster vs physical damage by 699',0,2),
(68980,340164,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 704',0,3),
(68981,340164,5,100,'Increases AGI of caster by 57.2',0,0),
(68982,340164,5,100,'Adds 18.7% to base avoidance.',0,1),
(68983,340164,5,100,'Increases Mitigation of caster vs physical damage by 763',0,2),
(68984,340164,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 768',0,3),
(68985,340164,7,100,'Increases AGI of caster by 73.5',0,0),
(68986,340164,7,100,'Adds 24.0% to base avoidance.',0,1),
(68987,340164,7,100,'Increases Mitigation of caster vs physical damage by 979',0,2),
(68988,340164,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 985',0,3),
(68989,340164,9,100,'Increases AGI of caster by 76.3',0,0),
(68990,340164,9,100,'Adds 25.0% to base avoidance.',0,1),
(68991,340164,9,100,'Increases Mitigation of caster vs physical damage by 1017',0,2),
(68992,340164,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1023',0,3),
(68993,340164,10,100,'Increases AGI of caster by 80.1',0,0),
(68994,340164,10,100,'Adds 26.2% to base avoidance.',0,1),
(68995,340164,10,100,'Increases Mitigation of caster vs physical damage by 1068',0,2),
(68996,340164,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1075',0,3),
(68997,340165,1,100,'Increases AGI of caster by 58.0',0,0),
(68998,340165,1,100,'Adds 14.0% to base avoidance.',0,1),
(68999,340165,1,100,'Increases Mitigation of caster vs physical damage by 767',0,2),
(69000,340165,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 772',0,3),
(69001,340165,2,100,'Increases AGI of caster by 61.3',0,0),
(69002,340165,2,100,'Adds 14.8% to base avoidance.',0,1),
(69003,340165,2,100,'Increases Mitigation of caster vs physical damage by 810',0,2),
(69004,340165,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 815',0,3),
(69005,340165,3,100,'Increases AGI of caster by 64.5',0,0),
(69006,340165,3,100,'Adds 15.6% to base avoidance.',0,1),
(69007,340165,3,100,'Increases Mitigation of caster vs physical damage by 853',0,2),
(69008,340165,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 858',0,3),
(69009,340165,4,100,'Increases AGI of caster by 71.0',0,0),
(69010,340165,4,100,'Adds 17.2% to base avoidance.',0,1),
(69011,340165,4,100,'Increases Mitigation of caster vs physical damage by 938',0,2),
(69012,340165,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 944',0,3),
(69013,340165,5,100,'Increases AGI of caster by 77.4',0,0),
(69014,340165,5,100,'Adds 18.7% to base avoidance.',0,1),
(69015,340165,5,100,'Increases Mitigation of caster vs physical damage by 1023',0,2),
(69016,340165,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1030',0,3),
(69017,340165,7,100,'Increases AGI of caster by 99.3',0,0),
(69018,340165,7,100,'Adds 24.0% to base avoidance.',0,1),
(69019,340165,7,100,'Increases Mitigation of caster vs physical damage by 1313',0,2),
(69020,340165,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1321',0,3),
(69021,340165,9,100,'Increases AGI of caster by 103.2',0,0),
(69022,340165,9,100,'Adds 25.0% to base avoidance.',0,1),
(69023,340165,9,100,'Increases Mitigation of caster vs physical damage by 1364',0,2),
(69024,340165,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1373',0,3),
(69025,340166,1,100,'Increases AGI of caster by 73.2',0,0),
(69026,340166,1,100,'Adds 14.0% to base avoidance.',0,1),
(69027,340166,1,100,'Increases Mitigation of caster vs physical damage by 963',0,2),
(69028,340166,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 969',0,3),
(69029,340166,2,100,'Increases AGI of caster by 77.2',0,0),
(69030,340166,2,100,'Adds 14.8% to base avoidance.',0,1),
(69031,340166,2,100,'Increases Mitigation of caster vs physical damage by 1016',0,2),
(69032,340166,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1023',0,3),
(69033,340166,3,100,'Increases AGI of caster by 81.3',0,0),
(69034,340166,3,100,'Adds 15.6% to base avoidance.',0,1),
(69035,340166,3,100,'Increases Mitigation of caster vs physical damage by 1070',0,2),
(69036,340166,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1076',0,3),
(69037,340166,4,100,'Increases AGI of caster by 89.4',0,0),
(69038,340166,4,100,'Adds 17.2% to base avoidance.',0,1),
(69039,340166,4,100,'Increases Mitigation of caster vs physical damage by 1176',0,2),
(69040,340166,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1184',0,3),
(69041,340166,5,100,'Increases AGI of caster by 97.6',0,0),
(69042,340166,5,100,'Adds 18.7% to base avoidance.',0,1),
(69043,340166,5,100,'Increases Mitigation of caster vs physical damage by 1283',0,2),
(69044,340166,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1292',0,3),
(69045,340166,7,100,'Increases AGI of caster by 125.2',0,0),
(69046,340166,7,100,'Adds 24.0% to base avoidance.',0,1),
(69047,340166,7,100,'Increases Mitigation of caster vs physical damage by 1647',0,2),
(69048,340166,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1658',0,3),
(69049,340166,9,100,'Increases AGI of caster by 130.1',0,0),
(69050,340166,9,100,'Adds 25.0% to base avoidance.',0,1),
(69051,340166,9,100,'Increases Mitigation of caster vs physical damage by 1711',0,2),
(69052,340166,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1722',0,3),
(69053,340167,1,100,'Increases AGI of caster by 87.6',0,0),
(69054,340167,1,100,'Adds 14.0% to base avoidance.',0,1),
(69055,340167,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1109',0,2),
(69056,340167,1,100,'Increases Mitigation of caster vs physical damage by 1157',0,3),
(69057,340167,2,100,'Increases AGI of caster by 92.5',0,0),
(69058,340167,2,100,'Adds 14.8% to base avoidance.',0,1),
(69059,340167,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1171',0,2),
(69060,340167,2,100,'Increases Mitigation of caster vs physical damage by 1221',0,3),
(69061,340167,3,100,'Increases AGI of caster by 97.3',0,0),
(69062,340167,3,100,'Adds 15.6% to base avoidance.',0,1),
(69063,340167,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1232',0,2),
(69064,340167,3,100,'Increases Mitigation of caster vs physical damage by 1286',0,3),
(69065,340167,4,100,'Increases AGI of caster by 107.1',0,0),
(69066,340167,4,100,'Adds 17.2% to base avoidance.',0,1),
(69067,340167,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1356',0,2),
(69068,340167,4,100,'Increases Mitigation of caster vs physical damage by 1414',0,3),
(69069,340167,5,100,'Increases AGI of caster by 116.8',0,0),
(69070,340167,5,100,'Adds 18.7% to base avoidance.',0,1),
(69071,340167,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1479',0,2),
(69072,340167,5,100,'Increases Mitigation of caster vs physical damage by 1543',0,3),
(69073,340167,7,100,'Increases AGI of caster by 149.9',0,0),
(69074,340167,7,100,'Adds 24.0% to base avoidance.',0,1),
(69075,340167,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1898',0,2),
(69076,340167,7,100,'Increases Mitigation of caster vs physical damage by 1980',0,3),
(69077,340167,9,100,'Increases AGI of caster by 155.8',0,0),
(69078,340167,9,100,'Adds 25.0% to base avoidance.',0,1),
(69079,340167,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1972',0,2),
(69080,340167,9,100,'Increases Mitigation of caster vs physical damage by 2057',0,3),
(69081,340168,1,100,'Increases AGI of caster by 102.5',0,0),
(69082,340168,1,100,'Adds 14.0% to base avoidance.',0,1),
(69083,340168,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1250',0,2),
(69084,340168,1,100,'Increases Mitigation of caster vs physical damage by 1359',0,3),
(69085,340168,4,100,'Increases AGI of caster by 125.2',0,0),
(69086,340168,4,100,'Adds 17.2% to base avoidance.',0,1),
(69087,340168,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1527',0,2),
(69088,340168,4,100,'Increases Mitigation of caster vs physical damage by 1662',0,3),
(69089,340168,5,100,'Increases AGI of caster by 136.6',0,0),
(69090,340168,5,100,'Adds 18.7% to base avoidance.',0,1),
(69091,340168,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1666',0,2),
(69092,340168,5,100,'Increases Mitigation of caster vs physical damage by 1813',0,3),
(69093,340168,7,100,'Increases AGI of caster by 175.3',0,0),
(69094,340168,7,100,'Adds 24.0% to base avoidance.',0,1),
(69095,340168,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2138',0,2),
(69096,340168,7,100,'Increases Mitigation of caster vs physical damage by 2326',0,3),
(69097,340168,9,100,'Increases AGI of caster by 182.2',0,0),
(69098,340168,9,100,'Adds 25.0% to base avoidance.',0,1),
(69099,340168,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2221',0,2),
(69100,340168,9,100,'Increases Mitigation of caster vs physical damage by 2417',0,3),
(69101,340169,1,100,'Increases AGI of caster by 117.3',0,0),
(69102,340169,1,100,'Adds 18.3% to base avoidance.',0,1),
(69103,340169,1,100,'Increases Mitigation of caster vs physical damage by 1519',0,2),
(69104,340169,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1807',0,3),
(69105,340169,4,100,'Increases AGI of caster by 143.4',0,0),
(69106,340169,4,100,'Adds 22.3% to base avoidance.',0,1),
(69107,340169,4,100,'Increases Mitigation of caster vs physical damage by 1857',0,2),
(69108,340169,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2208',0,3),
(69109,340169,5,100,'Increases AGI of caster by 156.4',0,0),
(69110,340169,5,100,'Adds 24.3% to base avoidance.',0,1),
(69111,340169,5,100,'Increases Mitigation of caster vs physical damage by 2026',0,2),
(69112,340169,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2409',0,3),
(69113,340169,7,100,'Increases AGI of caster by 200.7',0,0),
(69114,340169,7,100,'Adds 31.2% to base avoidance.',0,1),
(69115,340169,7,100,'Increases Mitigation of caster vs physical damage by 2599',0,2),
(69116,340169,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 3092',0,3),
(69117,340169,9,100,'Increases AGI of caster by 208.6',0,0),
(69118,340169,9,100,'Adds 32.4% to base avoidance.',0,1),
(69119,340169,9,100,'Increases Mitigation of caster vs physical damage by 2701',0,2),
(69120,340169,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 3212',0,3),
(69121,2000255,1,100,'Inflicts 168 - 205 melee damage on target',0,0),
(69122,2000255,1,100,'Inflicts 1 divine damage on target every 4 seconds',0,1),
(69123,2000255,1,100,'Decreases WIS of target by 4.5',0,2),
(69124,2000255,2,100,'Inflicts 177 - 217 melee damage on target',0,0),
(69125,2000255,2,100,'Inflicts 1 divine damage on target every 4 seconds',0,1),
(69126,2000255,2,100,'Decreases WIS of target by 4.7',0,2),
(69127,2000255,3,100,'Inflicts 249 - 304 melee damage on target',0,0),
(69128,2000255,3,100,'Inflicts 1 - 2 divine damage on target every 4 seconds',0,1),
(69129,2000255,3,100,'Decreases WIS of target by 5.0',0,2),
(69130,2000255,4,100,'Inflicts 205 - 251 melee damage on target',0,0),
(69131,2000255,4,100,'Inflicts 1 - 2 divine damage on target every 4 seconds',0,1),
(69132,2000255,4,100,'Decreases WIS of target by 5.5',0,2),
(69133,2000255,5,100,'Inflicts 224 - 274 melee damage on target',0,0),
(69134,2000255,5,100,'Inflicts 2 divine damage on target every 4 seconds',0,1),
(69135,2000255,5,100,'Decreases WIS of target by 6.0',0,2),
(69136,2000256,1,100,'Inflicts 418 - 511 melee damage on target',0,0),
(69137,2000256,1,100,'Inflicts 2 divine damage on target every 4 seconds',0,1),
(69138,2000256,1,100,'Decreases Mitigation of target vs arcane damage by 2376',0,2),
(69139,2000256,2,100,'Inflicts 331 - 405 melee damage on target',0,0),
(69140,2000256,2,100,'Inflicts 2 divine damage on target every 4 seconds',0,1),
(69141,2000256,2,100,'Decreases Mitigation of target vs arcane damage by 2280',0,2),
(69142,2000256,3,100,'Inflicts 465 - 568 melee damage on target',0,0),
(69143,2000256,3,100,'Inflicts 2 - 3 divine damage on target every 4 seconds',0,1),
(69144,2000256,3,100,'Decreases Mitigation of target vs arcane damage by 2640',0,2),
(69145,2000256,4,100,'Inflicts 511 - 625 melee damage on target',0,0),
(69146,2000256,4,100,'Inflicts 2 - 3 divine damage on target every 4 seconds',0,1),
(69147,2000256,4,100,'Decreases Mitigation of target vs arcane damage by 2904',0,2),
(69148,2000256,5,100,'Inflicts 558 - 682 melee damage on target',0,0),
(69149,2000256,5,100,'Inflicts 3 divine damage on target every 4 seconds',0,1),
(69150,2000256,5,100,'Decreases Mitigation of target vs arcane damage by 3168',0,2),
(69151,60168,1,100,'Inflicts 28 - 46 melee damage on target',0,0),
(69152,60168,1,100,'Decreases Defense of target by 1.3',0,1),
(69153,60168,2,100,'Inflicts 29 - 49 melee damage on target',0,0),
(69154,60168,2,100,'Decreases Defense of target by 1.4',0,1),
(69155,60168,3,100,'Inflicts 31 - 52 melee damage on target',0,0),
(69156,60168,3,100,'Decreases Defense of target by 1.5',0,1),
(69157,60168,4,100,'Inflicts 34 - 57 melee damage on target',0,0),
(69158,60168,4,100,'Decreases Defense of target by 1.7',0,1),
(69159,60168,5,100,'Inflicts 37 - 62 melee damage on target',0,0),
(69160,60168,5,100,'Decreases Defense of target by 1.8',0,1),
(69161,60168,7,100,'Inflicts 48 - 80 melee damage on target',0,0),
(69162,60168,7,100,'Decreases Defense of target by 2.3',0,1),
(69163,60168,9,100,'Inflicts 49 - 83 melee damage on target',0,0),
(69164,60168,9,100,'Decreases Defense of target by 2.4',0,1),
(69165,60169,1,100,'Inflicts 68 - 113 melee damage on target',0,0),
(69167,60169,2,100,'Inflicts 71 - 119 melee damage on target',0,0),
(69168,60169,2,100,'Interrupts target',0,1),
(69169,60169,3,100,'Inflicts 75 - 126 melee damage on target',0,0),
(69170,60169,3,100,'Interrupts target',0,1),
(69171,60169,4,100,'Inflicts 83 - 138 melee damage on target',0,0),
(69172,60169,4,100,'Interrupts target',0,1),
(69173,60169,5,100,'Inflicts 90 - 151 melee damage on target',0,0),
(69174,60169,5,100,'Interrupts target',0,1),
(69175,60169,7,100,'Inflicts 116 - 194 melee damage on target',0,0),
(69176,60169,7,100,'Interrupts target',0,1),
(69177,60169,9,100,'Inflicts 121 - 201 melee damage on target',0,0),
(69178,60169,9,100,'Interrupts target',0,1),
(69179,60169,1,100,'Interrupts target',0,1),
(69181,60170,1,100,'Inflicts 113 - 189 melee damage on target',0,0),
(69182,60170,1,100,'Decreases Defense of target by 5.1',0,1),
(69183,60170,2,100,'Inflicts 119 - 199 melee damage on target',0,0),
(69184,60170,2,100,'Decreases Defense of target by 5.4',0,1),
(69185,60170,3,100,'Inflicts 126 - 210 melee damage on target',0,0),
(69186,60170,3,100,'Decreases Defense of target by 5.7',0,1),
(69187,60170,4,100,'Inflicts 138 - 231 melee damage on target',0,0),
(69188,60170,4,100,'Decreases Defense of target by 6.3',0,1),
(69189,60170,5,100,'Inflicts 151 - 252 melee damage on target',0,0),
(69190,60170,5,100,'Decreases Defense of target by 6.8',0,1),
(69191,60170,7,100,'Inflicts 194 - 323 melee damage on target',0,0),
(69192,60170,7,100,'Decreases Defense of target by 8.8',0,1),
(69193,60170,9,100,'Inflicts 201 - 336 melee damage on target',0,0),
(69194,60170,9,100,'Decreases Defense of target by 9.1',0,1),
(69195,60171,1,100,'Inflicts 168 - 281 melee damage on target',0,0),
(69196,60171,1,100,'Decreases Defense of target by 7.0',0,1),
(69197,60171,2,100,'Inflicts 178 - 296 melee damage on target',0,0),
(69198,60171,2,100,'Decreases Defense of target by 7.4',0,1),
(69199,60171,3,100,'Inflicts 187 - 312 melee damage on target',0,0),
(69200,60171,3,100,'Decreases Defense of target by 7.8',0,1),
(69201,60171,4,100,'Inflicts 206 - 343 melee damage on target',0,0),
(69202,60171,4,100,'Decreases Defense of target by 8.6',0,1),
(69203,60171,5,100,'Inflicts 224 - 374 melee damage on target',0,0),
(69204,60171,5,100,'Decreases Defense of target by 9.4',0,1),
(69205,60171,7,100,'Inflicts 288 - 481 melee damage on target',0,0),
(69206,60171,7,100,'Decreases Defense of target by 12.0',0,1),
(69207,60171,9,100,'Inflicts 299 - 499 melee damage on target',0,0),
(69208,60171,9,100,'Decreases Defense of target by 12.5',0,1),
(69209,60172,1,100,'Inflicts 225 - 375 melee damage on target',0,0),
(69210,60172,1,100,'Decreases Defense of target by 8.9',0,1),
(69211,60172,2,100,'Inflicts 238 - 396 melee damage on target',0,0),
(69212,60172,2,100,'Decreases Defense of target by 9.4',0,1),
(69213,60172,3,100,'Inflicts 250 - 417 melee damage on target',0,0),
(69214,60172,3,100,'Decreases Defense of target by 9.9',0,1),
(69215,60172,4,100,'Inflicts 275 - 459 melee damage on target',0,0),
(69216,60172,4,100,'Decreases Defense of target by 10.9',0,1),
(69217,60172,5,100,'Inflicts 300 - 501 melee damage on target',0,0),
(69218,60172,5,100,'Decreases Defense of target by 11.9',0,1),
(69219,60172,7,100,'Inflicts 385 - 643 melee damage on target',0,0),
(69220,60172,7,100,'Decreases Defense of target by 15.2',0,1),
(69221,60172,9,100,'Inflicts 400 - 668 melee damage on target',0,0),
(69222,60172,9,100,'Decreases Defense of target by 15.8',0,1),
(69223,60173,1,100,'Inflicts 277 - 462 melee damage on target',0,0),
(69224,60173,1,100,'Decreases Defense of target by 10.7',0,1),
(69225,60173,2,100,'Inflicts 293 - 488 melee damage on target',0,0),
(69226,60173,2,100,'Decreases Defense of target by 11.3',0,1),
(69227,60173,3,100,'Inflicts 308 - 514 melee damage on target',0,0),
(69228,60173,3,100,'Decreases Defense of target by 11.9',0,1),
(69229,60173,4,100,'Inflicts 339 - 565 melee damage on target',0,0),
(69230,60173,4,100,'Decreases Defense of target by 13.1',0,1),
(69231,60173,5,100,'Inflicts 370 - 617 melee damage on target',0,0),
(69232,60173,5,100,'Decreases Defense of target by 14.3',0,1),
(69233,60173,7,100,'Inflicts 475 - 791 melee damage on target',0,0),
(69234,60173,7,100,'Decreases Defense of target by 18.3',0,1),
(69235,60173,9,100,'Inflicts 493 - 822 melee damage on target',0,0),
(69236,60173,9,100,'Decreases Defense of target by 19.0',0,1),
(69237,60174,1,100,'Inflicts 334 - 557 melee damage on target',0,0),
(69238,60174,1,100,'Decreases Defense of target by 12.5',0,1),
(69239,60174,4,100,'Inflicts 409 - 681 melee damage on target',0,0),
(69240,60174,4,100,'Decreases Defense of target by 15.3',0,1),
(69241,60174,5,100,'Inflicts 446 - 743 melee damage on target',0,0),
(69242,60174,5,100,'Decreases Defense of target by 16.7',0,1),
(69243,60174,7,100,'Inflicts 572 - 954 melee damage on target',0,0),
(69244,60174,7,100,'Decreases Defense of target by 21.4',0,1),
(69245,60174,9,100,'Inflicts 595 - 991 melee damage on target',0,0),
(69246,60174,9,100,'Decreases Defense of target by 22.2',0,1),
(69247,60175,1,100,'Inflicts 367 - 612 melee damage on target',0,0),
(69248,60175,1,100,'Decreases Defense of target by 14.3',0,1),
(69249,60175,4,100,'Inflicts 449 - 748 melee damage on target',0,0),
(69250,60175,4,100,'Decreases Defense of target by 17.5',0,1),
(69251,60175,5,100,'Inflicts 490 - 817 melee damage on target',0,0),
(69252,60175,5,100,'Decreases Defense of target by 19.1',0,1),
(69253,60175,7,100,'Inflicts 629 - 1048 melee damage on target',0,0),
(69254,60175,7,100,'Decreases Defense of target by 24.5',0,1),
(69255,60175,9,100,'Inflicts 653 - 1089 melee damage on target',0,0),
(69256,60175,9,100,'Decreases Defense of target by 25.4',0,1),
(69257,2000257,1,100,'Inflicts 2961 - 4936 melee damage on target',0,0),
(69258,2000257,1,100,'Increases threat priority of target by 2 positions',0,1),
(69259,2000257,1,100,'If the brigand is in a defensive stance.',1,2),
(69260,340170,1,100,'Inflicts 116 - 194 melee damage on target',0,0),
(69261,340170,1,100,'Stuns target',0,1),
(69262,340170,1,100,'If Target is not Epic',1,2),
(69263,340170,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(69264,340170,2,100,'Inflicts 123 - 205 melee damage on target',0,0),
(69265,340170,2,100,'Stuns target',0,1),
(69266,340170,2,100,'If Target is not Epic',1,2),
(69267,340170,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(69268,340170,3,100,'Inflicts 129 - 216 melee damage on target',0,0),
(69269,340170,3,100,'Stuns target',0,1),
(69270,340170,3,100,'If Target is not Epic',1,2),
(69271,340170,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(69272,340170,4,100,'Inflicts 142 - 237 melee damage on target',0,0),
(69273,340170,4,100,'Stuns target',0,1),
(69274,340170,4,100,'If Target is not Epic',1,2),
(69275,340170,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(69276,340170,5,100,'Inflicts 155 - 259 melee damage on target',0,0),
(69277,340170,5,100,'Stuns target',0,1),
(69278,340170,5,100,'If Target is not Epic',1,2),
(69279,340170,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(69280,340170,7,100,'Inflicts 199 - 332 melee damage on target',0,0),
(69281,340170,7,100,'Stuns target',0,1),
(69282,340170,7,100,'If Target is not Epic',1,2),
(69283,340170,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(69284,340170,9,100,'Inflicts 207 - 345 melee damage on target',0,0),
(69285,340170,9,100,'Stuns target',0,1),
(69286,340170,9,100,'If Target is not Epic',1,2),
(69287,340170,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(69288,340171,1,100,'Inflicts 181 - 302 melee damage on target',0,0),
(69289,340171,1,100,'Stuns target',0,1),
(69290,340171,1,100,'If Target is not Epic',1,2),
(69291,340171,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(69292,340171,2,100,'Inflicts 191 - 319 melee damage on target',0,0),
(69293,340171,2,100,'Stuns target',0,1),
(69294,340171,2,100,'If Target is not Epic',1,2),
(69295,340171,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(69296,340171,3,100,'Inflicts 201 - 336 melee damage on target',0,0),
(69297,340171,3,100,'Stuns target',0,1),
(69298,340171,3,100,'If Target is not Epic',1,2),
(69299,340171,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(69300,340171,4,100,'Inflicts 222 - 370 melee damage on target',0,0),
(69301,340171,4,100,'Stuns target',0,1),
(69302,340171,4,100,'If Target is not Epic',1,2),
(69303,340171,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(69304,340171,5,100,'Inflicts 242 - 403 melee damage on target',0,0),
(69305,340171,5,100,'Stuns target',0,1),
(69306,340171,5,100,'If Target is not Epic',1,2),
(69307,340171,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(69308,340171,7,100,'Inflicts 310 - 518 melee damage on target',0,0),
(69309,340171,7,100,'Stuns target',0,1),
(69310,340171,7,100,'If Target is not Epic',1,2),
(69311,340171,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(69312,340171,9,100,'Inflicts 322 - 538 melee damage on target',0,0),
(69313,340171,9,100,'Stuns target',0,1),
(69314,340171,9,100,'If Target is not Epic',1,2),
(69315,340171,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(69316,340171,10,100,'Inflicts 339 - 565 melee damage on target',0,0),
(69317,340171,10,100,'Stuns target',0,1),
(69318,340171,10,100,'If Target is not Epic',1,2),
(69319,340171,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(69320,340172,1,100,'Inflicts 257 - 428 melee damage on target',0,0),
(69321,340172,1,100,'Stuns target',0,1),
(69322,340172,1,100,'If Target is not Epic',1,2),
(69323,340172,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(69324,340172,2,100,'Inflicts 271 - 452 melee damage on target',0,0),
(69325,340172,2,100,'Stuns target',0,1),
(69326,340172,2,100,'If Target is not Epic',1,2),
(69327,340172,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(69328,340172,3,100,'Inflicts 285 - 476 melee damage on target',0,0),
(69329,340172,3,100,'Stuns target',0,1),
(69330,340172,3,100,'If Target is not Epic',1,2),
(69331,340172,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(69332,340172,4,100,'Inflicts 314 - 524 melee damage on target',0,0),
(69333,340172,4,100,'Stuns target',0,1),
(69334,340172,4,100,'If Target is not Epic',1,2),
(69335,340172,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(69336,340172,5,100,'Inflicts 343 - 571 melee damage on target',0,0),
(69337,340172,5,100,'Stuns target',0,1),
(69338,340172,5,100,'If Target is not Epic',1,2),
(69339,340172,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(69340,340172,7,100,'Inflicts 440 - 734 melee damage on target',0,0),
(69341,340172,7,100,'Stuns target',0,1),
(69342,340172,7,100,'If Target is not Epic',1,2),
(69343,340172,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(69344,340172,9,100,'Inflicts 457 - 762 melee damage on target',0,0),
(69345,340172,9,100,'Stuns target',0,1),
(69346,340172,9,100,'If Target is not Epic',1,2),
(69347,340172,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(69348,340173,1,100,'Inflicts 335 - 559 melee damage on target',0,0),
(69349,340173,1,100,'Stuns target',0,1),
(69350,340173,1,100,'If Target is not Epic',1,2),
(69351,340173,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(69352,340173,2,100,'Inflicts 354 - 591 melee damage on target',0,0),
(69353,340173,2,100,'Stuns target',0,1),
(69354,340173,2,100,'If Target is not Epic',1,2),
(69355,340173,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(69356,340173,3,100,'Inflicts 373 - 622 melee damage on target',0,0),
(69357,340173,3,100,'Stuns target',0,1),
(69358,340173,3,100,'If Target is not Epic',1,2),
(69359,340173,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(69360,340173,4,100,'Inflicts 410 - 684 melee damage on target',0,0),
(69361,340173,4,100,'Stuns target',0,1),
(69362,340173,4,100,'If Target is not Epic',1,2),
(69363,340173,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(69364,340173,5,100,'Inflicts 447 - 746 melee damage on target',0,0),
(69365,340173,5,100,'Stuns target',0,1),
(69366,340173,5,100,'If Target is not Epic',1,2),
(69367,340173,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(69368,340173,7,100,'Inflicts 574 - 958 melee damage on target',0,0),
(69369,340173,7,100,'Stuns target',0,1),
(69370,340173,7,100,'If Target is not Epic',1,2),
(69371,340173,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(69372,340173,9,100,'Inflicts 597 - 995 melee damage on target',0,0),
(69373,340173,9,100,'Stuns target',0,1),
(69374,340173,9,100,'If Target is not Epic',1,2),
(69375,340173,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(69376,340174,1,100,'Inflicts 406 - 677 melee damage on target',0,0),
(69377,340174,1,100,'Stuns target',0,1),
(69378,340174,1,100,'If Target is not Epic',1,2),
(69379,340174,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(69380,340174,4,100,'Inflicts 497 - 828 melee damage on target',0,0),
(69381,340174,4,100,'Stuns target',0,1),
(69382,340174,4,100,'If Target is not Epic',1,2),
(69383,340174,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(69384,340174,5,100,'Inflicts 542 - 903 melee damage on target',0,0),
(69385,340174,5,100,'Stuns target',0,1),
(69386,340174,5,100,'If Target is not Epic',1,2),
(69387,340174,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(69388,340174,7,100,'Inflicts 695 - 1159 melee damage on target',0,0),
(69389,340174,7,100,'Stuns target',0,1),
(69390,340174,7,100,'If Target is not Epic',1,2),
(69391,340174,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(69392,340174,9,100,'Inflicts 722 - 1204 melee damage on target',0,0),
(69393,340174,9,100,'Stuns target',0,1),
(69394,340174,9,100,'If Target is not Epic',1,2),
(69395,340174,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(69396,340174,10,100,'Inflicts 759 - 1265 melee damage on target',0,0),
(69397,340174,10,100,'Stuns target',0,1),
(69398,340174,10,100,'If Target is not Epic',1,2),
(69399,340174,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(69400,340175,1,100,'Inflicts 475 - 793 melee damage on target',0,0),
(69401,340175,1,100,'Stuns target',0,1),
(69402,340175,1,100,'If Target is not Epic',1,2),
(69403,340175,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(69404,340175,4,100,'Inflicts 581 - 969 melee damage on target',0,0),
(69405,340175,4,100,'Stuns target',0,1),
(69406,340175,4,100,'If Target is not Epic',1,2),
(69407,340175,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(69408,340175,5,100,'Inflicts 634 - 1057 melee damage on target',0,0),
(69409,340175,5,100,'Stuns target',0,1),
(69410,340175,5,100,'If Target is not Epic',1,2),
(69411,340175,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(69412,340175,7,100,'Inflicts 814 - 1357 melee damage on target',0,0),
(69413,340175,7,100,'Stuns target',0,1),
(69414,340175,7,100,'If Target is not Epic',1,2),
(69415,340175,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(69416,340175,9,100,'Inflicts 845 - 1409 melee damage on target',0,0),
(69417,340175,9,100,'Stuns target',0,1),
(69418,340175,9,100,'If Target is not Epic',1,2),
(69419,340175,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(69420,340175,10,100,'Inflicts 888 - 1480 melee damage on target',0,0),
(69421,340175,10,100,'Stuns target',0,1),
(69422,340175,10,100,'If Target is not Epic',1,2),
(69423,340175,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(69424,40180,1,100,'Inflicts 94 - 156 melee damage on target encounter',0,0),
(69425,40180,1,100,'Stuns target encounter',0,1),
(69426,40180,1,100,'If Target is not Epic',1,2),
(69427,40180,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(69428,40180,2,100,'Inflicts 99 - 165 melee damage on target encounter',0,0),
(69429,40180,2,100,'Stuns target encounter',0,1),
(69430,40180,2,100,'If Target is not Epic',1,2),
(69431,40180,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(69432,40180,3,100,'Inflicts 104 - 174 melee damage on target encounter',0,0),
(69433,40180,3,100,'Stuns target encounter',0,1),
(69434,40180,3,100,'If Target is not Epic',1,2),
(69435,40180,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(69436,40180,4,100,'Inflicts 114 - 191 melee damage on target encounter',0,0),
(69437,40180,4,100,'Stuns target encounter',0,1),
(69438,40180,4,100,'If Target is not Epic',1,2),
(69439,40180,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(69440,40180,5,100,'Inflicts 125 - 209 melee damage on target encounter',0,0),
(69441,40180,5,100,'Stuns target encounter',0,1),
(69442,40180,5,100,'If Target is not Epic',1,2),
(69443,40180,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(69444,40180,7,100,'Inflicts 160 - 268 melee damage on target encounter',0,0),
(69445,40180,7,100,'Stuns target encounter',0,1),
(69446,40180,7,100,'If Target is not Epic',1,2),
(69447,40180,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(69448,40180,9,100,'Inflicts 167 - 278 melee damage on target encounter',0,0),
(69449,40180,9,100,'Stuns target encounter',0,1),
(69450,40180,9,100,'If Target is not Epic',1,2),
(69451,40180,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(69452,40181,1,100,'Inflicts 144 - 240 melee damage on target encounter',0,0),
(69453,40181,1,100,'Stuns target encounter',0,1),
(69454,40181,1,100,'If Target is not Epic',1,2),
(69455,40181,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(69456,40181,2,100,'Inflicts 152 - 253 melee damage on target encounter',0,0),
(69457,40181,2,100,'Stuns target encounter',0,1),
(69458,40181,2,100,'If Target is not Epic',1,2),
(69459,40181,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(69460,40181,3,100,'Inflicts 160 - 267 melee damage on target encounter',0,0),
(69461,40181,3,100,'Stuns target encounter',0,1),
(69462,40181,3,100,'If Target is not Epic',1,2),
(69463,40181,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(69464,40181,4,100,'Inflicts 176 - 294 melee damage on target encounter',0,0),
(69465,40181,4,100,'Stuns target encounter',0,1),
(69466,40181,4,100,'If Target is not Epic',1,2),
(69467,40181,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(69468,40181,5,100,'Inflicts 192 - 320 melee damage on target encounter',0,0),
(69469,40181,5,100,'Stuns target encounter',0,1),
(69470,40181,5,100,'If Target is not Epic',1,2),
(69471,40181,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(69472,40181,7,100,'Inflicts 247 - 411 melee damage on target encounter',0,0),
(69473,40181,7,100,'Stuns target encounter',0,1),
(69474,40181,7,100,'If Target is not Epic',1,2),
(69475,40181,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(69476,40181,9,100,'Inflicts 256 - 427 melee damage on target encounter',0,0),
(69477,40181,9,100,'Stuns target encounter',0,1),
(69478,40181,9,100,'If Target is not Epic',1,2),
(69479,40181,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(69480,40182,1,100,'Inflicts 201 - 335 melee damage on target encounter',0,0),
(69481,40182,1,100,'Stuns target encounter',0,1),
(69482,40182,1,100,'If Target is not Epic',1,2),
(69483,40182,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(69484,40182,2,100,'Inflicts 212 - 353 melee damage on target encounter',0,0),
(69485,40182,2,100,'Stuns target encounter',0,1),
(69486,40182,2,100,'If Target is not Epic',1,2),
(69487,40182,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(69488,40182,3,100,'Inflicts 223 - 372 melee damage on target encounter',0,0),
(69489,40182,3,100,'Stuns target encounter',0,1),
(69490,40182,3,100,'If Target is not Epic',1,2),
(69491,40182,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(69492,40182,4,100,'Inflicts 245 - 409 melee damage on target encounter',0,0),
(69493,40182,4,100,'Stuns target encounter',0,1),
(69494,40182,4,100,'If Target is not Epic',1,2),
(69495,40182,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(69496,40182,5,100,'Inflicts 268 - 447 melee damage on target encounter',0,0),
(69497,40182,5,100,'Stuns target encounter',0,1),
(69498,40182,5,100,'If Target is not Epic',1,2),
(69499,40182,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(69500,40182,7,100,'Inflicts 344 - 573 melee damage on target encounter',0,0),
(69501,40182,7,100,'Stuns target encounter',0,1),
(69502,40182,7,100,'If Target is not Epic',1,2),
(69503,40182,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(69504,40182,9,100,'Inflicts 357 - 596 melee damage on target encounter',0,0),
(69505,40182,9,100,'Stuns target encounter',0,1),
(69506,40182,9,100,'If Target is not Epic',1,2),
(69507,40182,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(69508,40183,1,100,'Inflicts 257 - 428 melee damage on target encounter',0,0),
(69509,40183,1,100,'Stuns target encounter',0,1),
(69510,40183,1,100,'If Target is not Epic',1,2),
(69511,40183,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(69512,40183,2,100,'Inflicts 271 - 452 melee damage on target encounter',0,0),
(69513,40183,2,100,'Stuns target encounter',0,1),
(69514,40183,2,100,'If Target is not Epic',1,2),
(69515,40183,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(69516,40183,3,100,'Inflicts 285 - 476 melee damage on target encounter',0,0),
(69517,40183,3,100,'Stuns target encounter',0,1),
(69518,40183,3,100,'If Target is not Epic',1,2),
(69519,40183,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(69520,40183,4,100,'Inflicts 314 - 523 melee damage on target encounter',0,0),
(69521,40183,4,100,'Stuns target encounter',0,1),
(69522,40183,4,100,'If Target is not Epic',1,2),
(69523,40183,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(69524,40183,5,100,'Inflicts 342 - 571 melee damage on target encounter',0,0),
(69525,40183,5,100,'Stuns target encounter',0,1),
(69526,40183,5,100,'If Target is not Epic',1,2),
(69527,40183,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(69528,40183,7,100,'Inflicts 439 - 733 melee damage on target encounter',0,0),
(69529,40183,7,100,'Stuns target encounter',0,1),
(69530,40183,7,100,'If Target is not Epic',1,2),
(69531,40183,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(69532,40183,9,100,'Inflicts 457 - 761 melee damage on target encounter',0,0),
(69533,40183,9,100,'Stuns target encounter',0,1),
(69534,40183,9,100,'If Target is not Epic',1,2),
(69535,40183,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(69536,40184,1,100,'Inflicts 310 - 518 melee damage on target encounter',0,0),
(69537,40184,1,100,'Stuns target encounter',0,1),
(69538,40184,1,100,'If Target is not Epic',1,2),
(69539,40184,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(69540,40184,4,100,'Inflicts 380 - 633 melee damage on target encounter',0,0),
(69541,40184,4,100,'Stuns target encounter',0,1),
(69542,40184,4,100,'If Target is not Epic',1,2),
(69543,40184,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(69544,40184,5,100,'Inflicts 414 - 691 melee damage on target encounter',0,0),
(69545,40184,5,100,'Stuns target encounter',0,1),
(69546,40184,5,100,'If Target is not Epic',1,2),
(69547,40184,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(69548,40184,7,100,'Inflicts 532 - 886 melee damage on target encounter',0,0),
(69549,40184,7,100,'Stuns target encounter',0,1),
(69550,40184,7,100,'If Target is not Epic',1,2),
(69551,40184,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(69552,40184,9,100,'Inflicts 552 - 921 melee damage on target encounter',0,0),
(69553,40184,9,100,'Stuns target encounter',0,1),
(69554,40184,9,100,'If Target is not Epic',1,2),
(69555,40184,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(69556,40185,1,100,'Inflicts 359 - 598 melee damage on target encounter',0,0),
(69557,40185,1,100,'Stuns target encounter',0,1),
(69558,40185,1,100,'If Target is not Epic',1,2),
(69559,40185,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(69560,40185,4,100,'Inflicts 438 - 731 melee damage on target encounter',0,0),
(69561,40185,4,100,'Stuns target encounter',0,1),
(69562,40185,4,100,'If Target is not Epic',1,2),
(69563,40185,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(69564,40185,5,100,'Inflicts 478 - 797 melee damage on target encounter',0,0),
(69565,40185,5,100,'Stuns target encounter',0,1),
(69566,40185,5,100,'If Target is not Epic',1,2),
(69567,40185,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(69568,40185,7,100,'Inflicts 614 - 1023 melee damage on target encounter',0,0),
(69569,40185,7,100,'Stuns target encounter',0,1),
(69570,40185,7,100,'If Target is not Epic',1,2),
(69571,40185,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(69572,40185,9,100,'Inflicts 638 - 1063 melee damage on target encounter',0,0),
(69573,40185,9,100,'Stuns target encounter',0,1),
(69574,40185,9,100,'If Target is not Epic',1,2),
(69575,40185,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(69576,70194,1,100,'Inflicts 125 - 376 melee damage on target',0,0),
(69577,70194,1,100,'Dazes target',0,1),
(69578,70194,1,100,'If Target is not Epic',1,2),
(69579,70194,1,100,'Must be flanking or behind',0,3),
(69580,70194,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(69581,70194,2,100,'Inflicts 132 - 397 melee damage on target',0,0),
(69582,70194,2,100,'Dazes target',0,1),
(69583,70194,2,100,'If Target is not Epic',1,2),
(69584,70194,2,100,'Must be flanking or behind',0,3),
(69585,70194,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(69586,70194,3,100,'Inflicts 139 - 418 melee damage on target',0,0),
(69587,70194,3,100,'Dazes target',0,1),
(69588,70194,3,100,'If Target is not Epic',1,2),
(69589,70194,3,100,'Must be flanking or behind',0,3),
(69590,70194,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(69591,70194,4,100,'Inflicts 153 - 459 melee damage on target',0,0),
(69592,70194,4,100,'Dazes target',0,1),
(69593,70194,4,100,'If Target is not Epic',1,2),
(69594,70194,4,100,'Must be flanking or behind',0,3),
(69595,70194,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(69596,70194,5,100,'Inflicts 167 - 501 melee damage on target',0,0),
(69597,70194,5,100,'Dazes target',0,1),
(69598,70194,5,100,'If Target is not Epic',1,2),
(69599,70194,5,100,'Must be flanking or behind',0,3),
(69600,70194,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(69601,70194,7,100,'Inflicts 214 - 643 melee damage on target',0,0),
(69602,70194,7,100,'Dazes target',0,1),
(69603,70194,7,100,'If Target is not Epic',1,2),
(69604,70194,7,100,'Must be flanking or behind',0,3),
(69605,70194,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(69606,70194,9,100,'Inflicts 222 - 668 melee damage on target',0,0),
(69607,70194,9,100,'Dazes target',0,1),
(69608,70194,9,100,'If Target is not Epic',1,2),
(69609,70194,9,100,'Must be flanking or behind',0,3),
(69610,70194,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(69611,70194,10,100,'Inflicts 234 - 702 melee damage on target',0,0),
(69612,70194,10,100,'Dazes target',0,1),
(69613,70194,10,100,'If Target is not Epic',1,2),
(69614,70194,10,100,'Must be flanking or behind',0,3),
(69615,70194,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(69616,70195,1,100,'Inflicts 192 - 577 melee damage on target',0,0),
(69617,70195,1,100,'Dazes target',0,1),
(69618,70195,1,100,'If Target is not Epic',1,2),
(69619,70195,1,100,'Must be flanking or behind',0,3),
(69620,70195,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(69621,70195,2,100,'Inflicts 203 - 609 melee damage on target',0,0),
(69622,70195,2,100,'Dazes target',0,1),
(69623,70195,2,100,'If Target is not Epic',1,2),
(69624,70195,2,100,'Must be flanking or behind',0,3),
(69625,70195,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(69626,70195,3,100,'Inflicts 213 - 641 melee damage on target',0,0),
(69627,70195,3,100,'Dazes target',0,1),
(69628,70195,3,100,'If Target is not Epic',1,2),
(69629,70195,3,100,'Must be flanking or behind',0,3),
(69630,70195,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(69631,70195,4,100,'Inflicts 235 - 705 melee damage on target',0,0),
(69632,70195,4,100,'Dazes target',0,1),
(69633,70195,4,100,'If Target is not Epic',1,2),
(69634,70195,4,100,'Must be flanking or behind',0,3),
(69635,70195,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(69636,70195,5,100,'Inflicts 256 - 770 melee damage on target',0,0),
(69637,70195,5,100,'Dazes target',0,1),
(69638,70195,5,100,'If Target is not Epic',1,2),
(69639,70195,5,100,'Must be flanking or behind',0,3),
(69640,70195,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(69641,70195,7,100,'Inflicts 329 - 988 melee damage on target',0,0),
(69642,70195,7,100,'Dazes target',0,1),
(69643,70195,7,100,'If Target is not Epic',1,2),
(69644,70195,7,100,'Must be flanking or behind',0,3),
(69645,70195,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(69646,70195,9,100,'Inflicts 342 - 1026 melee damage on target',0,0),
(69647,70195,9,100,'Dazes target',0,1),
(69648,70195,9,100,'If Target is not Epic',1,2),
(69649,70195,9,100,'Must be flanking or behind',0,3),
(69650,70195,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(69651,70196,1,100,'Inflicts 268 - 804 melee damage on target',0,0),
(69652,70196,1,100,'Dazes target',0,1),
(69653,70196,1,100,'If Target is not Epic',1,2),
(69654,70196,1,100,'Must be flanking or behind',0,3),
(69655,70196,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(69656,70196,2,100,'Inflicts 283 - 849 melee damage on target',0,0),
(69657,70196,2,100,'Dazes target',0,1),
(69658,70196,2,100,'If Target is not Epic',1,2),
(69659,70196,2,100,'Must be flanking or behind',0,3),
(69660,70196,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(69661,70196,3,100,'Inflicts 298 - 894 melee damage on target',0,0),
(69662,70196,3,100,'Dazes target',0,1),
(69663,70196,3,100,'If Target is not Epic',1,2),
(69664,70196,3,100,'Must be flanking or behind',0,3),
(69665,70196,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(69666,70196,4,100,'Inflicts 327 - 983 melee damage on target',0,0),
(69667,70196,4,100,'Dazes target',0,1),
(69668,70196,4,100,'If Target is not Epic',1,2),
(69669,70196,4,100,'Must be flanking or behind',0,3),
(69670,70196,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(69671,70196,5,100,'Inflicts 357 - 1072 melee damage on target',0,0),
(69672,70196,5,100,'Dazes target',0,1),
(69673,70196,5,100,'If Target is not Epic',1,2),
(69674,70196,5,100,'Must be flanking or behind',0,3),
(69675,70196,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(69676,70196,7,100,'Inflicts 458 - 1376 melee damage on target',0,0),
(69677,70196,7,100,'Dazes target',0,1),
(69678,70196,7,100,'If Target is not Epic',1,2),
(69679,70196,7,100,'Must be flanking or behind',0,3),
(69680,70196,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(69681,70196,9,100,'Inflicts 476 - 1430 melee damage on target',0,0),
(69682,70196,9,100,'Dazes target',0,1),
(69683,70196,9,100,'If Target is not Epic',1,2),
(69684,70196,9,100,'Must be flanking or behind',0,3),
(69685,70196,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(69686,70197,1,100,'Inflicts 342 - 1028 melee damage on target',0,0),
(69687,70197,1,100,'Dazes target',0,1),
(69688,70197,1,100,'If Target is not Epic',1,2),
(69689,70197,1,100,'Must be flanking or behind',0,3),
(69690,70197,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(69691,70197,2,100,'Inflicts 361 - 1085 melee damage on target',0,0),
(69692,70197,2,100,'Dazes target',0,1),
(69693,70197,2,100,'If Target is not Epic',1,2),
(69694,70197,2,100,'Must be flanking or behind',0,3),
(69695,70197,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(69696,70197,3,100,'Inflicts 380 - 1142 melee damage on target',0,0),
(69697,70197,3,100,'Dazes target',0,1),
(69698,70197,3,100,'If Target is not Epic',1,2),
(69699,70197,3,100,'Must be flanking or behind',0,3),
(69700,70197,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(69701,70197,4,100,'Inflicts 419 - 1257 melee damage on target',0,0),
(69702,70197,4,100,'Dazes target',0,1),
(69703,70197,4,100,'If Target is not Epic',1,2),
(69704,70197,4,100,'Must be flanking or behind',0,3),
(69705,70197,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(69706,70197,5,100,'Inflicts 457 - 1371 melee damage on target',0,0),
(69707,70197,5,100,'Dazes target',0,1),
(69708,70197,5,100,'If Target is not Epic',1,2),
(69709,70197,5,100,'Must be flanking or behind',0,3),
(69710,70197,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(69711,70197,7,100,'Inflicts 586 - 1759 melee damage on target',0,0),
(69712,70197,7,100,'Dazes target',0,1),
(69713,70197,7,100,'If Target is not Epic',1,2),
(69714,70197,7,100,'Must be flanking or behind',0,3),
(69715,70197,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(69716,70197,9,100,'Inflicts 609 - 1828 melee damage on target',0,0),
(69717,70197,9,100,'Dazes target',0,1),
(69718,70197,9,100,'If Target is not Epic',1,2),
(69719,70197,9,100,'Must be flanking or behind',0,3),
(69720,70197,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(69721,70198,1,100,'Inflicts 414 - 1243 melee damage on target',0,0),
(69722,70198,1,100,'Dazes target',0,1),
(69723,70198,1,100,'If Target is not Epic',1,2),
(69724,70198,1,100,'Must be flanking or behind',0,3),
(69725,70198,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(69726,70198,4,100,'Inflicts 506 - 1520 melee damage on target',0,0),
(69727,70198,4,100,'Dazes target',0,1),
(69728,70198,4,100,'If Target is not Epic',1,2),
(69729,70198,4,100,'Must be flanking or behind',0,3),
(69730,70198,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(69731,70198,5,100,'Inflicts 552 - 1658 melee damage on target',0,0),
(69732,70198,5,100,'Dazes target',0,1),
(69733,70198,5,100,'If Target is not Epic',1,2),
(69734,70198,5,100,'Must be flanking or behind',0,3),
(69735,70198,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(69736,70198,7,100,'Inflicts 709 - 2128 melee damage on target',0,0),
(69737,70198,7,100,'Dazes target',0,1),
(69738,70198,7,100,'If Target is not Epic',1,2),
(69739,70198,7,100,'Must be flanking or behind',0,3),
(69740,70198,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(69741,70198,9,100,'Inflicts 737 - 2211 melee damage on target',0,0),
(69742,70198,9,100,'Dazes target',0,1),
(69743,70198,9,100,'If Target is not Epic',1,2),
(69744,70198,9,100,'Must be flanking or behind',0,3),
(69745,70198,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(69751,70199,1,100,'Inflicts 478 - 1436 melee damage on target',0,0),
(69752,70199,1,100,'Dazes target',0,1),
(69753,70199,1,100,'If Target is not Epic',1,2),
(69754,70199,1,100,'Must be flanking or behind',0,3),
(69755,70199,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(69756,70199,4,100,'Inflicts 585 - 1755 melee damage on target',0,0),
(69757,70199,4,100,'Dazes target',0,1),
(69758,70199,4,100,'If Target is not Epic',1,2),
(69759,70199,4,100,'Must be flanking or behind',0,3),
(69760,70199,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(69761,70199,5,100,'Inflicts 638 - 1914 melee damage on target',0,0),
(69762,70199,5,100,'Dazes target',0,1),
(69763,70199,5,100,'If Target is not Epic',1,2),
(69764,70199,5,100,'Must be flanking or behind',0,3),
(69765,70199,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(69766,70199,7,100,'Inflicts 819 - 2457 melee damage on target',0,0),
(69767,70199,7,100,'Dazes target',0,1),
(69768,70199,7,100,'If Target is not Epic',1,2),
(69769,70199,7,100,'Must be flanking or behind',0,3),
(69770,70199,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(69771,70199,9,100,'Inflicts 851 - 2553 melee damage on target',0,0),
(69772,70199,9,100,'Dazes target',0,1),
(69773,70199,9,100,'If Target is not Epic',1,2),
(69774,70199,9,100,'Must be flanking or behind',0,3),
(69775,70199,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(69781,420120,4,100,'Summons an amphibian warder',0,0),
(69782,420120,5,100,'Summons an amphibian warder',0,0),
(69783,420120,7,100,'Summons an amphibian warder',0,0),
(69784,420120,9,100,'Summons an amphibian warder',0,0),
(69785,420120,10,100,'Summons an amphibian warder',0,0),
(69786,420121,4,100,'Summons an aquatic warder',0,0),
(69787,420121,5,100,'Summons an aquatic warder',0,0),
(69788,420121,7,100,'Summons an aquatic warder',0,0),
(69789,420121,9,100,'Summons an aquatic warder',0,0),
(69790,420121,10,100,'Summons an aquatic warder',0,0),
(69791,420122,4,100,'Summons an avian warder',0,0),
(69792,420122,5,100,'Summons an avian warder',0,0),
(69793,420122,7,100,'Summons an avian warder',0,0),
(69794,420122,9,100,'Summons an avian warder',0,0),
(69795,420122,10,100,'Summons an avian warder',0,0),
(69796,420123,4,100,'Summons a bat warder',0,0),
(69797,420123,5,100,'Summons a bat warder',0,0),
(69798,420123,7,100,'Summons a bat warder',0,0),
(69799,420123,9,100,'Summons a bat warder',0,0),
(69800,420123,10,100,'Summons a bat warder',0,0),
(69801,420124,4,100,'Summons a bear warder',0,0),
(69802,420124,5,100,'Summons a bear warder',0,0),
(69803,420124,7,100,'Summons a bear warder',0,0),
(69804,420124,9,100,'Summons a bear warder',0,0),
(69805,420124,10,100,'Summons a bear warder',0,0),
(69806,420125,4,100,'Summons a boar warder',0,0),
(69807,420125,5,100,'Summons a boar warder',0,0),
(69808,420125,7,100,'Summons a boar warder',0,0),
(69809,420125,9,100,'Summons a boar warder',0,0),
(69810,420125,10,100,'Summons a boar warder',0,0),
(69811,420126,4,100,'Summons a bovid warder',0,0),
(69812,420126,5,100,'Summons a bovid warder',0,0),
(69813,420126,7,100,'Summons a bovid warder',0,0),
(69814,420126,9,100,'Summons a bovid warder',0,0),
(69815,420126,10,100,'Summons a bovid warder',0,0),
(69816,420127,4,100,'Summons a canine warder',0,0),
(69817,420127,5,100,'Summons a canine warder',0,0),
(69818,420127,7,100,'Summons a canine warder',0,0),
(69819,420127,9,100,'Summons a canine warder',0,0),
(69820,420127,10,100,'Summons a canine warder',0,0),
(69821,420128,4,100,'Summons a dire warder',0,0),
(69822,420128,4,100,'You must have Tame Exotic Warder to summon an Exotic Warder.',0,1),
(69823,420128,5,100,'Summons a dire warder',0,0),
(69824,420128,5,100,'You must have Tame Exotic Warder to summon an Exotic Warder.',0,1),
(69825,420128,7,100,'Summons a dire warder',0,0),
(69826,420128,7,100,'You must have Tame Exotic Warder to summon an Exotic Warder.',0,1),
(69827,420128,9,100,'Summons a dire warder',0,0),
(69828,420128,9,100,'You must have Tame Exotic Warder to summon an Exotic Warder.',0,1),
(69829,420128,10,100,'Summons a dire warder',0,0),
(69830,420128,10,100,'You must have Tame Exotic Warder to summon an Exotic Warder.',0,1),
(69831,420129,4,100,'Summons a drake warder',0,0),
(69832,420129,4,100,'You must have Tame Exotic Warder to summon an Exotic Warder.',0,1),
(69833,420129,5,100,'Summons a drake warder',0,0),
(69834,420129,5,100,'You must have Tame Exotic Warder to summon an Exotic Warder.',0,1),
(69835,420129,7,100,'Summons a drake warder',0,0),
(69836,420129,7,100,'You must have Tame Exotic Warder to summon an Exotic Warder.',0,1),
(69837,420129,9,100,'Summons a drake warder',0,0),
(69838,420129,9,100,'You must have Tame Exotic Warder to summon an Exotic Warder.',0,1),
(69839,420129,10,100,'Summons a drake warder',0,0),
(69840,420129,10,100,'You must have Tame Exotic Warder to summon an Exotic Warder.',0,1),
(69841,420130,4,100,'Summons an enchanted warder',0,0),
(69842,420130,4,100,'You must have Tame Exotic Warder to summon an Exotic Warder.',0,1),
(69843,420130,5,100,'Summons an enchanted warder',0,0),
(69844,420130,5,100,'You must have Tame Exotic Warder to summon an Exotic Warder.',0,1),
(69845,420130,7,100,'Summons an enchanted warder',0,0),
(69846,420130,7,100,'You must have Tame Exotic Warder to summon an Exotic Warder.',0,1),
(69847,420130,9,100,'Summons an enchanted warder',0,0),
(69848,420130,9,100,'You must have Tame Exotic Warder to summon an Exotic Warder.',0,1),
(69849,420130,10,100,'Summons an enchanted warder',0,0),
(69850,420130,10,100,'You must have Tame Exotic Warder to summon an Exotic Warder.',0,1),
(69851,420131,4,100,'Summons a feline warder',0,0),
(69852,420131,5,100,'Summons a feline warder',0,0),
(69853,420131,7,100,'Summons a feline warder',0,0),
(69854,420131,9,100,'Summons a feline warder',0,0),
(69855,420131,10,100,'Summons a feline warder',0,0),
(69856,420132,4,100,'Summons an insect warder',0,0),
(69857,420132,5,100,'Summons an insect warder',0,0),
(69858,420132,7,100,'Summons an insect warder',0,0),
(69859,420132,9,100,'Summons an insect warder',0,0),
(69860,420132,10,100,'Summons an insect warder',0,0),
(69861,420133,4,100,'Summons a mystical warder',0,0),
(69862,420133,4,100,'You must have Tame Exotic Warder to summon an Exotic Warder.',0,1),
(69863,420133,5,100,'Summons a mystical warder',0,0),
(69864,420133,5,100,'You must have Tame Exotic Warder to summon an Exotic Warder.',0,1),
(69865,420133,7,100,'Summons a mystical warder',0,0),
(69866,420133,7,100,'You must have Tame Exotic Warder to summon an Exotic Warder.',0,1),
(69867,420133,9,100,'Summons a mystical warder',0,0),
(69868,420133,9,100,'You must have Tame Exotic Warder to summon an Exotic Warder.',0,1),
(69869,420133,10,100,'Summons a mystical warder',0,0),
(69870,420133,10,100,'You must have Tame Exotic Warder to summon an Exotic Warder.',0,1),
(69871,420134,4,100,'Summons a reptile warder',0,0),
(69872,420134,5,100,'Summons a reptile warder',0,0),
(69873,420134,7,100,'Summons a reptile warder',0,0),
(69874,420134,9,100,'Summons a reptile warder',0,0),
(69875,420134,10,100,'Summons a reptile warder',0,0),
(69876,420135,4,100,'Summons a rodent warder',0,0),
(69877,420135,5,100,'Summons a rodent warder',0,0),
(69878,420135,7,100,'Summons a rodent warder',0,0),
(69879,420135,9,100,'Summons a rodent warder',0,0),
(69880,420135,10,100,'Summons a rodent warder',0,0),
(69881,420136,4,100,'Summons a simian warder',0,0),
(69882,420136,5,100,'Summons a simian warder',0,0),
(69883,420136,7,100,'Summons a simian warder',0,0),
(69884,420136,9,100,'Summons a simian warder',0,0),
(69885,420136,10,100,'Summons a simian warder',0,0),
(69886,420137,4,100,'Summons a war boar warder',0,0),
(69887,420137,5,100,'Summons a war boar warder',0,0),
(69888,420137,7,100,'Summons a war boar warder',0,0),
(69889,420137,9,100,'Summons a war boar warder',0,0),
(69890,420137,10,100,'Summons a war boar warder',0,0),
(69891,2000258,1,100,'Inflicts 1809 - 3361 melee damage on target',0,0),
(69892,2000258,1,100,'When damaged this spell has a 10% chance to cast Sunder on caster.  ',0,1),
(69893,2000258,1,100,'Inflicts 517 - 960 piercing damage on target',1,2),
(69894,2000259,1,100,'Applies Stoneskin Reaction.  Lasts for 1.0 seconds.',0,0),
(69895,2000259,1,100,'Reduces all damage done to target by 100%',1,1),
(69896,2000259,1,100,'Triggers when a Stoneskin is consumed. Suspends all other stoneskins that match the damage types of this effect.',1,2),
(69897,2000259,1,100,'Will absorb all damage when the amount is greater than 35% of the target''s maximum health. This spell will absorb a total of 1 attack.',0,3),
(69898,2000259,1,100,'Dispelled when target casts a combat art',0,4),
(69901,380020,1,100,'Increases Parry of caster by 7.3',0,0),
(69902,380020,1,100,'Increases Defense of caster by 9.7',0,1),
(69903,390173,1,100,'Increases AGI of caster by 13.1',0,0),
(69904,390173,1,100,'Adds 1.4% to base avoidance.',0,1),
(69905,390173,1,100,'Decreases Slashing and Piercing of caster by 13.8',0,2),
(69906,390173,1,100,'Increases Parry of caster by 7.3',0,3),
(69907,390173,1,100,'Increases Defense of caster by 9.7',0,4),
(69910,380020,2,100,'Increases Parry of caster by 7.7',0,0),
(69911,380020,2,100,'Increases Defense of caster by 10.3',0,1),
(69912,390173,2,100,'Increases AGI of caster by 13.9',0,0),
(69913,390173,2,100,'Adds 1.5% to base avoidance.',0,1),
(69914,390173,2,100,'Decreases Slashing and Piercing of caster by 13.8',0,2),
(69915,390173,2,100,'Increases Parry of caster by 7.7',0,3),
(69916,390173,2,100,'Increases Defense of caster by 10.3',0,4);
INSERT INTO `spell_display_effects` VALUES
(69917,390173,3,100,'Increases AGI of caster by 14.6',0,0),
(69918,390173,3,100,'Adds 1.5% to base avoidance.',0,1),
(69919,390173,3,100,'Decreases Slashing and Piercing of caster by 13.8',0,2),
(69920,390173,3,100,'Increases Parry of caster by 8.1',0,3),
(69921,390173,3,100,'Increases Defense of caster by 10.8',0,4),
(69924,380020,3,100,'Increases Parry of caster by 8.1',0,0),
(69925,380020,3,100,'Increases Defense of caster by 10.8',0,1),
(69926,390173,4,100,'Increases AGI of caster by 16.1',0,0),
(69927,390173,4,100,'Adds 1.7% to base avoidance.',0,1),
(69928,390173,4,100,'Decreases Slashing and Piercing of caster by 13.8',0,2),
(69929,390173,4,100,'Increases Parry of caster by 8.9',0,3),
(69930,390173,4,100,'Increases Defense of caster by 11.9',0,4),
(69933,380020,4,100,'Increases Parry of caster by 8.9',0,0),
(69934,380020,4,100,'Increases Defense of caster by 11.9',0,1),
(69937,380020,5,100,'Increases Parry of caster by 9.7',0,0),
(69938,380020,5,100,'Increases Defense of caster by 13.0',0,1),
(69939,390173,5,100,'Increases AGI of caster by 17.5',0,0),
(69940,390173,5,100,'Adds 1.9% to base avoidance.',0,1),
(69941,390173,5,100,'Decreases Slashing and Piercing of caster by 13.8',0,2),
(69942,390173,5,100,'Increases Parry of caster by 9.7',0,3),
(69943,390173,5,100,'Increases Defense of caster by 13.0',0,4),
(69944,390173,7,100,'Increases AGI of caster by 22.5',0,0),
(69945,390173,7,100,'Adds 2.4% to base avoidance.',0,1),
(69946,390173,7,100,'Decreases Slashing and Piercing of caster by 13.8',0,2),
(69947,390173,7,100,'Increases Parry of caster by 12.5',0,3),
(69948,390173,7,100,'Increases Defense of caster by 16.6',0,4),
(69951,380020,7,100,'Increases Parry of caster by 12.5',0,0),
(69952,380020,7,100,'Increases Defense of caster by 16.6',0,1),
(69955,380020,9,100,'Increases Parry of caster by 13.0',0,0),
(69957,390173,9,100,'Increases AGI of caster by 23.4',0,0),
(69958,390173,9,100,'Adds 2.5% to base avoidance.',0,1),
(69959,390173,9,100,'Decreases Slashing and Piercing of caster by 13.8',0,2),
(69960,390173,9,100,'Increases Parry of caster by 13.0',0,3),
(69961,390173,9,100,'Increases Defense of caster by 17.3',0,4),
(69962,390174,1,100,'Increases AGI of caster by 22.1',0,0),
(69963,390174,1,100,'Adds 1.4% to base avoidance.',0,1),
(69964,390174,1,100,'Decreases Slashing and Piercing of caster by 16.3',0,2),
(69965,390174,1,100,'Increases Parry of caster by 13.0',0,3),
(69966,390174,1,100,'Increases Defense of caster by 17.3',0,4),
(69967,390174,2,100,'Increases AGI of caster by 23.4',0,0),
(69968,390174,2,100,'Adds 1.5% to base avoidance.',0,1),
(69969,390174,2,100,'Decreases Slashing and Piercing of caster by 16.3',0,2),
(69970,390174,2,100,'Increases Parry of caster by 13.7',0,3),
(69971,390174,2,100,'Increases Defense of caster by 18.2',0,4),
(69972,390174,3,100,'Increases AGI of caster by 24.6',0,0),
(69973,390174,3,100,'Adds 1.5% to base avoidance.',0,1),
(69974,390174,3,100,'Decreases Slashing and Piercing of caster by 16.3',0,2),
(69975,390174,3,100,'Increases Parry of caster by 14.4',0,3),
(69976,390174,3,100,'Increases Defense of caster by 19.2',0,4),
(69977,390174,4,100,'Increases AGI of caster by 27.1',0,0),
(69978,390174,4,100,'Adds 1.7% to base avoidance.',0,1),
(69979,390174,4,100,'Decreases Slashing and Piercing of caster by 16.3',0,2),
(69980,390174,4,100,'Increases Parry of caster by 15.8',0,3),
(69981,390174,4,100,'Increases Defense of caster by 21.1',0,4),
(69982,390174,5,100,'Increases AGI of caster by 29.5',0,0),
(69983,390174,5,100,'Adds 1.9% to base avoidance.',0,1),
(69984,390174,5,100,'Decreases Slashing and Piercing of caster by 16.3',0,2),
(69985,390174,5,100,'Increases Parry of caster by 17.3',0,3),
(69986,390174,5,100,'Increases Defense of caster by 23.0',0,4),
(69987,390174,7,100,'Increases AGI of caster by 37.9',0,0),
(69988,390174,7,100,'Adds 2.4% to base avoidance.',0,1),
(69989,390174,7,100,'Decreases Slashing and Piercing of caster by 16.3',0,2),
(69990,390174,7,100,'Increases Parry of caster by 22.2',0,3),
(69991,390174,7,100,'Increases Defense of caster by 29.6',0,4),
(69992,390174,9,100,'Increases AGI of caster by 39.4',0,0),
(69993,390174,9,100,'Adds 2.5% to base avoidance.',0,1),
(69994,390174,9,100,'Decreases Slashing and Piercing of caster by 16.3',0,2),
(69995,390174,9,100,'Increases Parry of caster by 23.0',0,3),
(69996,390174,9,100,'Increases Defense of caster by 30.7',0,4),
(69997,390175,1,100,'Increases AGI of caster by 32.2',0,0),
(69998,390175,1,100,'Adds 1.4% to base avoidance.',0,1),
(69999,390175,1,100,'Decreases Slashing and Piercing of caster by 19.3',0,2),
(70000,390175,1,100,'Increases Parry of caster by 18.6',0,3),
(70001,390175,1,100,'Increases Defense of caster by 24.8',0,4),
(70002,390175,2,100,'Increases AGI of caster by 34.0',0,0),
(70003,390175,2,100,'Adds 1.5% to base avoidance.',0,1),
(70004,390175,2,100,'Decreases Slashing and Piercing of caster by 19.3',0,2),
(70005,390175,2,100,'Increases Parry of caster by 19.7',0,3),
(70006,390175,2,100,'Increases Defense of caster by 26.2',0,4),
(70007,390175,3,100,'Increases AGI of caster by 35.8',0,0),
(70008,390175,3,100,'Adds 1.5% to base avoidance.',0,1),
(70009,390175,3,100,'Decreases Slashing and Piercing of caster by 19.3',0,2),
(70010,390175,3,100,'Increases Parry of caster by 20.7',0,3),
(70011,390175,3,100,'Increases Defense of caster by 27.6',0,4),
(70012,390175,4,100,'Increases AGI of caster by 39.4',0,0),
(70013,390175,4,100,'Adds 1.7% to base avoidance.',0,1),
(70014,390175,4,100,'Decreases Slashing and Piercing of caster by 19.3',0,2),
(70015,390175,4,100,'Increases Parry of caster by 22.8',0,3),
(70016,390175,4,100,'Increases Defense of caster by 30.4',0,4),
(70017,390175,5,100,'Increases AGI of caster by 43.0',0,0),
(70018,390175,5,100,'Adds 1.9% to base avoidance.',0,1),
(70019,390175,5,100,'Decreases Slashing and Piercing of caster by 19.3',0,2),
(70020,390175,5,100,'Increases Parry of caster by 24.8',0,3),
(70021,390175,5,100,'Increases Defense of caster by 33.1',0,4),
(70022,390175,7,100,'Increases AGI of caster by 55.1',0,0),
(70023,390175,7,100,'Adds 2.4% to base avoidance.',0,1),
(70024,390175,7,100,'Decreases Slashing and Piercing of caster by 19.3',0,2),
(70025,390175,7,100,'Increases Parry of caster by 31.9',0,3),
(70026,390175,7,100,'Increases Defense of caster by 42.5',0,4),
(70027,390175,9,100,'Increases AGI of caster by 57.3',0,0),
(70028,390175,9,100,'Adds 2.5% to base avoidance.',0,1),
(70029,390175,9,100,'Decreases Slashing and Piercing of caster by 19.3',0,2),
(70030,390175,9,100,'Increases Parry of caster by 33.1',0,3),
(70031,390175,9,100,'Increases Defense of caster by 44.2',0,4),
(70032,390176,1,100,'Increases AGI of caster by 42.3',0,0),
(70033,390176,1,100,'Adds 1.4% to base avoidance.',0,1),
(70034,390176,1,100,'Decreases Slashing and Piercing of caster by 22.6',0,2),
(70035,390176,1,100,'Increases Parry of caster by 24.3',0,3),
(70036,390176,1,100,'Increases Defense of caster by 32.4',0,4),
(70037,390176,2,100,'Increases AGI of caster by 44.6',0,0),
(70038,390176,2,100,'Adds 1.5% to base avoidance.',0,1),
(70039,390176,2,100,'Decreases Slashing and Piercing of caster by 22.6',0,2),
(70040,390176,2,100,'Increases Parry of caster by 25.6',0,3),
(70041,390176,2,100,'Increases Defense of caster by 34.2',0,4),
(70042,390176,3,100,'Increases AGI of caster by 47.0',0,0),
(70043,390176,3,100,'Adds 1.5% to base avoidance.',0,1),
(70044,390176,3,100,'Decreases Slashing and Piercing of caster by 22.6',0,2),
(70045,390176,3,100,'Increases Parry of caster by 27.0',0,3),
(70046,390176,3,100,'Increases Defense of caster by 36.0',0,4),
(70047,390176,4,100,'Increases AGI of caster by 51.7',0,0),
(70048,390176,4,100,'Adds 1.7% to base avoidance.',0,1),
(70049,390176,4,100,'Decreases Slashing and Piercing of caster by 22.6',0,2),
(70050,390176,4,100,'Increases Parry of caster by 29.7',0,3),
(70051,390176,4,100,'Increases Defense of caster by 39.6',0,4),
(70052,390176,5,100,'Increases AGI of caster by 56.4',0,0),
(70053,390176,5,100,'Adds 1.9% to base avoidance.',0,1),
(70054,390176,5,100,'Decreases Slashing and Piercing of caster by 22.6',0,2),
(70055,390176,5,100,'Increases Parry of caster by 32.4',0,3),
(70056,390176,5,100,'Increases Defense of caster by 43.2',0,4),
(70057,390176,7,100,'Increases AGI of caster by 72.4',0,0),
(70058,390176,7,100,'Adds 2.4% to base avoidance.',0,1),
(70059,390176,7,100,'Decreases Slashing and Piercing of caster by 22.6',0,2),
(70060,390176,7,100,'Increases Parry of caster by 41.6',0,3),
(70061,390176,7,100,'Increases Defense of caster by 55.4',0,4),
(70062,390176,9,100,'Increases AGI of caster by 75.2',0,0),
(70063,390176,9,100,'Adds 2.5% to base avoidance.',0,1),
(70064,390176,9,100,'Decreases Slashing and Piercing of caster by 22.6',0,2),
(70065,390176,9,100,'Increases Parry of caster by 43.2',0,3),
(70066,390176,9,100,'Increases Defense of caster by 57.6',0,4),
(70067,390177,1,100,'Increases AGI of caster by 52.5',0,0),
(70068,390177,1,100,'Adds 1.4% to base avoidance.',0,1),
(70069,390177,1,100,'Decreases Slashing and Piercing of caster by 25.9',0,2),
(70070,390177,1,100,'Increases Parry of caster by 30.0',0,3),
(70071,390177,1,100,'Increases Defense of caster by 40.0',0,4),
(70072,390177,2,100,'Increases AGI of caster by 55.4',0,0),
(70073,390177,2,100,'Adds 1.5% to base avoidance.',0,1),
(70074,390177,2,100,'Decreases Slashing and Piercing of caster by 25.9',0,2),
(70075,390177,2,100,'Increases Parry of caster by 31.6',0,3),
(70076,390177,2,100,'Increases Defense of caster by 42.2',0,4),
(70077,390177,3,100,'Increases AGI of caster by 58.3',0,0),
(70078,390177,3,100,'Adds 1.5% to base avoidance.',0,1),
(70079,390177,3,100,'Decreases Slashing and Piercing of caster by 25.9',0,2),
(70080,390177,3,100,'Increases Parry of caster by 33.3',0,3),
(70081,390177,3,100,'Increases Defense of caster by 44.4',0,4),
(70082,390177,4,100,'Increases AGI of caster by 64.1',0,0),
(70083,390177,4,100,'Adds 1.7% to base avoidance.',0,1),
(70084,390177,4,100,'Decreases Slashing and Piercing of caster by 25.9',0,2),
(70085,390177,4,100,'Increases Parry of caster by 36.6',0,3),
(70086,390177,4,100,'Increases Defense of caster by 48.8',0,4),
(70087,390177,5,100,'Increases AGI of caster by 70.0',0,0),
(70088,390177,5,100,'Adds 1.9% to base avoidance.',0,1),
(70089,390177,5,100,'Decreases Slashing and Piercing of caster by 25.9',0,2),
(70090,390177,5,100,'Increases Parry of caster by 40.0',0,3),
(70091,390177,5,100,'Increases Defense of caster by 53.3',0,4),
(70092,390177,7,100,'Increases AGI of caster by 89.8',0,0),
(70093,390177,7,100,'Adds 2.4% to base avoidance.',0,1),
(70094,390177,7,100,'Decreases Slashing and Piercing of caster by 25.9',0,2),
(70095,390177,7,100,'Increases Parry of caster by 51.3',0,3),
(70096,390177,7,100,'Increases Defense of caster by 68.4',0,4),
(70097,390177,9,100,'Increases AGI of caster by 93.3',0,0),
(70098,390177,9,100,'Adds 2.5% to base avoidance.',0,1),
(70099,390177,9,100,'Decreases Slashing and Piercing of caster by 25.9',0,2),
(70100,390177,9,100,'Increases Parry of caster by 53.3',0,3),
(70101,390177,9,100,'Increases Defense of caster by 71.0',0,4),
(70102,390178,1,100,'Increases AGI of caster by 62.4',0,0),
(70103,390178,1,100,'Adds 1.4% to base avoidance.',0,1),
(70104,390178,1,100,'Decreases Slashing and Piercing of caster by 29.2',0,2),
(70105,390178,1,100,'Increases Parry of caster by 35.8',0,3),
(70106,390178,1,100,'Increases Defense of caster by 47.7',0,4),
(70107,390178,4,100,'Increases AGI of caster by 76.2',0,0),
(70108,390178,4,100,'Adds 1.7% to base avoidance.',0,1),
(70109,390178,4,100,'Decreases Slashing and Piercing of caster by 29.2',0,2),
(70110,390178,4,100,'Increases Parry of caster by 43.7',0,3),
(70111,390178,4,100,'Increases Defense of caster by 58.3',0,4),
(70112,390178,5,100,'Increases AGI of caster by 83.2',0,0),
(70113,390178,5,100,'Adds 1.9% to base avoidance.',0,1),
(70114,390178,5,100,'Decreases Slashing and Piercing of caster by 29.2',0,2),
(70115,390178,5,100,'Increases Parry of caster by 47.7',0,3),
(70116,390178,5,100,'Increases Defense of caster by 63.6',0,4),
(70117,390178,7,100,'Increases AGI of caster by 106.7',0,0),
(70118,390178,7,100,'Adds 2.4% to base avoidance.',0,1),
(70119,390178,7,100,'Decreases Slashing and Piercing of caster by 29.2',0,2),
(70120,390178,7,100,'Increases Parry of caster by 61.2',0,3),
(70121,390178,7,100,'Increases Defense of caster by 81.6',0,4),
(70122,390178,9,100,'Increases AGI of caster by 110.9',0,0),
(70123,390178,9,100,'Adds 2.5% to base avoidance.',0,1),
(70124,390178,9,100,'Decreases Slashing and Piercing of caster by 29.2',0,2),
(70125,390178,9,100,'Increases Parry of caster by 63.6',0,3),
(70126,390178,9,100,'Increases Defense of caster by 84.8',0,4),
(70127,390179,1,100,'Increases AGI of caster by 72.3',0,0),
(70128,390179,1,100,'Adds 1.8% to base avoidance.',0,1),
(70129,390179,1,100,'Decreases Slashing and Piercing of caster by 32.5',0,2),
(70130,390179,1,100,'Increases Parry of caster by 42.5',0,3),
(70131,390179,1,100,'Increases Defense of caster by 56.7',0,4),
(70132,390179,4,100,'Increases AGI of caster by 88.3',0,0),
(70133,390179,4,100,'Adds 2.2% to base avoidance.',0,1),
(70134,390179,4,100,'Decreases Slashing and Piercing of caster by 32.5',0,2),
(70135,390179,4,100,'Increases Parry of caster by 52.0',0,3),
(70136,390179,4,100,'Increases Defense of caster by 69.3',0,4),
(70137,390179,5,100,'Increases AGI of caster by 96.4',0,0),
(70138,390179,5,100,'Adds 2.4% to base avoidance.',0,1),
(70139,390179,5,100,'Decreases Slashing and Piercing of caster by 32.5',0,2),
(70140,390179,5,100,'Increases Parry of caster by 56.7',0,3),
(70141,390179,5,100,'Increases Defense of caster by 75.6',0,4),
(70142,390179,7,100,'Increases AGI of caster by 123.7',0,0),
(70143,390179,7,100,'Adds 3.1% to base avoidance.',0,1),
(70144,390179,7,100,'Decreases Slashing and Piercing of caster by 32.5',0,2),
(70145,390179,7,100,'Increases Parry of caster by 72.8',0,3),
(70146,390179,7,100,'Increases Defense of caster by 97.0',0,4),
(70147,390179,9,100,'Increases AGI of caster by 128.5',0,0),
(70148,390179,9,100,'Adds 3.2% to base avoidance.',0,1),
(70149,390179,9,100,'Decreases Slashing and Piercing of caster by 32.5',0,2),
(70150,390179,9,100,'Increases Parry of caster by 75.6',0,3),
(70151,390179,9,100,'Increases Defense of caster by 100.8',0,4),
(70152,2000260,3,100,'Inflicts 2 - 4 piercing damage on target encounter',0,0),
(70153,2000260,4,100,'Inflicts 3 - 5 piercing damage on target encounter',0,0),
(70154,2000260,5,100,'Inflicts 3 - 5 piercing damage on target encounter',0,0),
(70155,2000260,7,100,'Inflicts 4 - 7 piercing damage on target encounter',0,0),
(70156,2000260,9,100,'Inflicts 4 - 7 piercing damage on target encounter',0,0),
(70157,2000260,10,100,'Inflicts 4 - 7 piercing damage on target encounter',0,0),
(70158,330160,1,100,'Causes 6% Threat to transfer to target when in combat',0,0),
(70159,330160,2,100,'Causes 6% Threat to transfer to target when in combat',0,0),
(70160,330160,3,100,'Causes 6% Threat to transfer to target when in combat',0,0),
(70161,330160,4,100,'Causes 7% Threat to transfer to target when in combat',0,0),
(70162,330160,5,100,'Causes 8% Threat to transfer to target when in combat',0,0),
(70163,330160,7,100,'Causes 10% Threat to transfer to target when in combat',0,0),
(70164,330160,9,100,'Causes 10% Threat to transfer to target when in combat',0,0),
(70165,330161,1,100,'Causes 7% Threat to transfer to target when in combat',0,0),
(70166,330161,2,100,'Causes 8% Threat to transfer to target when in combat',0,0),
(70167,330161,3,100,'Causes 8% Threat to transfer to target when in combat',0,0),
(70168,330161,4,100,'Causes 9% Threat to transfer to target when in combat',0,0),
(70169,330161,5,100,'Causes 10% Threat to transfer to target when in combat',0,0),
(70170,330161,7,100,'Causes 12% Threat to transfer to target when in combat',0,0),
(70171,330161,9,100,'Causes 13% Threat to transfer to target when in combat',0,0),
(70172,330162,1,100,'Causes 9% Threat to transfer to target when in combat',0,0),
(70173,330162,2,100,'Causes 9% Threat to transfer to target when in combat',0,0),
(70174,330162,3,100,'Causes 10% Threat to transfer to target when in combat',0,0),
(70175,330162,4,100,'Causes 11% Threat to transfer to target when in combat',0,0),
(70176,330162,5,100,'Causes 12% Threat to transfer to target when in combat',0,0),
(70177,330162,7,100,'Causes 15% Threat to transfer to target when in combat',0,0),
(70178,330162,9,100,'Causes 16% Threat to transfer to target when in combat',0,0),
(70179,330163,1,100,'Causes 10% Threat to transfer to target when in combat',0,0),
(70180,330163,2,100,'Causes 11% Threat to transfer to target when in combat',0,0),
(70181,330163,3,100,'Causes 12% Threat to transfer to target when in combat',0,0),
(70182,330163,4,100,'Causes 13% Threat to transfer to target when in combat',0,0),
(70183,330163,5,100,'Causes 14% Threat to transfer to target when in combat',0,0),
(70184,330163,7,100,'Causes 18% Threat to transfer to target when in combat',0,0),
(70185,330163,9,100,'Causes 18% Threat to transfer to target when in combat',0,0),
(70186,330163,10,100,'Causes 19% Threat to transfer to target when in combat',0,0),
(70187,330164,12,100,'Flamboyant Strike will gain an additional effect that causes the target to reduce their spell damage by 10%',0,0),
(70188,330164,12,100,'Increases Potency of caster by 10.0%',0,1),
(70189,330164,12,100,'On a melee hit this spell may cast Swarthy Chaos on target of attack.  Lasts for 12.0 seconds.  Triggers about 3.0 times per minute. ',0,2),
(70190,330164,12,100,'Adds an additional 8% hate transfer to Swarthy Deception IV',1,3),
(70191,330164,12,100,'Inflicts 475 - 713 piercing damage on target',1,4),
(70192,330164,12,100,'Inflicts 173 - 259 piercing damage on target every 3 seconds',1,5),
(70193,330164,12,100,'Cannot be modified except by direct means',1,6),
(70194,330164,12,100,'Cannot be modified except by direct means',0,7),
(70195,320025,1,100,'Increases Threat to target encounter by 93 - 114 ',0,0),
(70196,320025,2,100,'Increases Threat to target encounter by 5,391 - 6,480 ',0,0),
(70197,320025,3,100,'Increases Threat to target encounter by 5,749 - 6,907 ',0,0),
(70198,320025,4,100,'Increases Threat to target encounter by 6,270 - 7,543 ',0,0),
(70199,320025,5,100,'Increases Threat to target encounter by 6,681 - 8,056 ',0,0),
(70200,320025,6,100,'Increases Threat to target encounter by 7,196 - 8,687 ',0,0),
(70201,320025,7,100,'Increases Threat to target encounter by 8,562 - 10,345 ',0,0),
(70202,320025,8,100,'Increases Threat to target encounter by 8,614 - 10,409 ',0,0),
(70203,320025,9,100,'Increases Threat to target encounter by 8,875 - 10,727 ',0,0),
(70204,320025,10,100,'Increases Threat to target encounter by 9,157 - 11,083 ',0,0),
(70205,2000261,1,100,'Inflicts 342 - 571 melee damage on target',0,0),
(70206,2000261,1,100,'Increases Attack Speed of caster by 18.0',0,1),
(70207,2000261,2,100,'Inflicts 271 - 452 melee damage on target',0,0),
(70208,2000261,2,100,'Increases Attack Speed of caster by 19.0',0,1),
(70209,2000261,3,100,'Inflicts 380 - 634 melee damage on target',0,0),
(70210,2000261,3,100,'Increases Haste of caster by 20.0',0,1),
(70211,2000261,4,100,'Inflicts 314 - 523 melee damage on target',0,0),
(70212,2000261,4,100,'Increases Attack Speed of caster by 22.0',0,1),
(70213,2000261,5,100,'Inflicts 342 - 571 melee damage on target',0,0),
(70214,2000261,5,100,'Increases Attack Speed of caster by 24.0',0,1),
(70215,2000261,6,100,'Inflicts 371 - 619 melee damage on target',0,0),
(70216,2000261,6,100,'Increases Attack Speed of caster by 26.0',0,1),
(70217,2000261,7,100,'Inflicts 586 - 977 melee damage on target',0,0),
(70218,2000261,7,100,'Increases Haste of caster by 30.8',0,1),
(70219,2000261,8,100,'Inflicts 590 - 984 melee damage on target',0,0),
(70220,2000261,8,100,'Increases Haste of caster by 31.0',0,1),
(70221,2000261,9,100,'Inflicts 609 - 1015 melee damage on target',0,0),
(70222,2000261,9,100,'Increases Haste of caster by 32.0',0,1),
(70223,2000261,10,100,'Inflicts 639 - 1066 melee damage on target',0,0),
(70224,2000261,10,100,'Increases Haste of caster by 33.6',0,1),
(70225,350003,1,100,'Inflicts 52 - 87 melee damage on target',0,0),
(70227,350003,1,100,'Must be flanking or behind',0,2),
(70228,350003,2,100,'Inflicts 55 - 92 melee damage on target',0,0),
(70230,350003,2,100,'Must be flanking or behind',0,2),
(70231,350003,3,100,'Inflicts 58 - 97 melee damage on target',0,0),
(70233,350003,3,100,'Must be flanking or behind',0,2),
(70234,350003,4,100,'Inflicts 64 - 106 melee damage on target',0,0),
(70236,350003,4,100,'Must be flanking or behind',0,2),
(70237,350003,5,100,'Inflicts 69 - 116 melee damage on target',0,0),
(70239,350003,5,100,'Must be flanking or behind',0,2),
(70240,350003,7,100,'Inflicts 89 - 149 melee damage on target',0,0),
(70242,350003,7,100,'Must be flanking or behind',0,2),
(70243,350003,9,100,'Inflicts 93 - 155 melee damage on target',0,0),
(70245,350003,9,100,'Must be flanking or behind',0,2),
(70246,2000262,1,100,'The target and brawler gain 100% Extra Dodge Chance for 8 seconds.',0,0),
(70247,2000262,1,100,'If the brawler casts this spell on him or herself, he or she is healed for 50% of his or her max health and gains 100% Extra Dodge Chance for 8 seconds.',0,1),
(70248,420138,2,100,'Allows for the taming for alligators and crocodiles.',0,0),
(70249,420138,2,100,'If target is crocodile',0,1),
(70250,2000263,1,100,'Allows the beastlord to tame exotic creatures.',0,0),
(70251,2000263,1,100,'You cannot tame while you have a warder summoned.',0,1),
(70252,2000263,1,100,'Must be engaged in combat',0,2),
(70253,2000263,1,100,'Certain enemies cannot be tamed.',0,3),
(70254,2000263,1,100,'If any of the following are true:',0,4),
(70255,2000263,1,100,'If under 25% Health',1,5),
(70256,2000263,1,100,'If target is of gray difficulty',1,6),
(70257,2000263,1,100,'Does not affect Epic targets',0,7),
(70258,2000263,1,100,'Cannot be modified except by direct means',0,8),
(70259,420139,5,100,'Allows the beastlord to tame insects.',0,0),
(70260,420139,5,100,'You cannot tame while you have a warder summoned.',0,1),
(70261,420139,5,100,'Must be engaged in combat',0,2),
(70262,420139,5,100,'If any of the following are true:',0,3),
(70263,420139,5,100,'If under 25% Health',1,4),
(70264,420139,5,100,'If target is of gray difficulty',1,5),
(70265,420139,5,100,'Certain enemies cannot be tamed.',0,6),
(70266,420139,5,100,'Does not affect Epic targets',0,7),
(70267,420139,5,100,'Cannot be modified except by direct means',0,8),
(70268,420139,9,100,'Allows the beastlord to tame insects.',0,0),
(70269,420139,9,100,'You cannot tame while you have a warder summoned.',0,1),
(70270,420139,9,100,'Must be engaged in combat',0,2),
(70271,420139,9,100,'If under 25% Health',0,3),
(70272,420139,9,100,'Certain enemies cannot be tamed.',0,4),
(70273,420139,9,100,'Does not affect Epic targets',0,5),
(70274,420139,9,100,'Cannot be modified except by direct means',0,6),
(70275,420140,1,100,'Allows the beastlord to tame specific creatures.',0,0),
(70276,420140,1,100,'You cannot tame while you have a warder summoned.',0,1),
(70277,420140,1,100,'Must be engaged in combat',0,2),
(70278,420140,1,100,'If any of the following are true:',0,3),
(70279,420140,1,100,'If under 50% Health',1,4),
(70280,420140,1,100,'If target is of gray difficulty',1,5),
(70281,420140,1,100,'Certain enemies cannot be tamed.',0,6),
(70282,420140,1,100,'Does not affect Epic targets',0,7),
(70283,420140,1,100,'Cannot be modified except by direct means',0,8),
(70284,10015,1,100,'Increases Threat to target by 182 - 223 ',0,0),
(70285,10016,1,100,'Increases Threat to target by 135 - 166 ',0,0),
(70286,10016,2,100,'Increases Threat to target by 143 - 175 ',0,0),
(70287,10015,2,100,'Increases Threat to target by 192 - 235 ',0,0),
(70288,10015,3,100,'Increases Threat to target by 203 - 248 ',0,0),
(70289,10016,3,100,'Increases Threat to target by 150 - 184 ',0,0),
(70290,10016,4,100,'Increases Threat to target by 166 - 202 ',0,0),
(70291,10015,4,100,'Increases Threat to target by 223 - 272 ',0,0),
(70292,10015,5,100,'Increases Threat to target by 243 - 297 ',0,0),
(70293,10016,5,100,'Increases Threat to target by 181 - 221 ',0,0),
(70294,10016,7,100,'Increases Threat to target by 232 - 284 ',0,0),
(70295,10015,7,100,'Increases Threat to target by 312 - 382 ',0,0),
(70296,10016,9,100,'Increases Threat to target by 241 - 295 ',0,0),
(70297,10015,9,100,'Increases Threat to target by 324 - 397 ',0,0),
(70298,30192,1,100,'Inflicts 68 - 113 melee damage on target encounter',0,0),
(70299,30192,1,100,'Increases Threat to target encounter by 1,956 ',0,1),
(70300,30192,2,100,'Inflicts 71 - 119 melee damage on target encounter',0,0),
(70301,30192,2,100,'Increases Threat to target encounter by 2,035 ',0,1),
(70302,30192,3,100,'Inflicts 75 - 126 melee damage on target encounter',0,0),
(70303,30192,3,100,'Increases Threat to target encounter by 2,114 ',0,1),
(70304,30192,4,100,'Inflicts 83 - 138 melee damage on target encounter',0,0),
(70305,30192,4,100,'Increases Threat to target encounter by 2,271 ',0,1),
(70306,30192,5,100,'Inflicts 90 - 151 melee damage on target encounter',0,0),
(70307,30192,5,100,'Increases Threat to target encounter by 2,429 ',0,1),
(70308,30192,7,100,'Inflicts 116 - 194 melee damage on target encounter',0,0),
(70309,30192,7,100,'Increases Threat to target encounter by 2,964 ',0,1),
(70310,30192,9,100,'Inflicts 121 - 201 melee damage on target encounter',0,0),
(70311,30192,9,100,'Increases Threat to target encounter by 3,059 ',0,1),
(70312,30192,10,100,'Inflicts 127 - 211 melee damage on target encounter',0,0),
(70313,30192,10,100,'Increases Threat to target encounter by 3,184 ',0,1),
(70314,30193,1,100,'Inflicts 96 - 160 melee damage on target encounter',0,0),
(70315,30193,1,100,'Increases Threat to target encounter by 2,605 ',0,1),
(70316,30193,2,100,'Inflicts 101 - 169 melee damage on target encounter',0,0),
(70317,30193,2,100,'Increases Threat to target encounter by 2,720 ',0,1),
(70318,30193,3,100,'Inflicts 107 - 178 melee damage on target encounter',0,0),
(70319,30193,3,100,'Increases Threat to target encounter by 2,835 ',0,1),
(70320,30193,4,100,'Inflicts 117 - 196 melee damage on target encounter',0,0),
(70321,30193,4,100,'Increases Threat to target encounter by 3,064 ',0,1),
(70322,30193,5,100,'Inflicts 128 - 214 melee damage on target encounter',0,0),
(70323,30193,5,100,'Increases Threat to target encounter by 3,294 ',0,1),
(70324,30193,7,100,'Inflicts 165 - 275 melee damage on target encounter',0,0),
(70325,30193,7,100,'Increases Threat to target encounter by 4,074 ',0,1),
(70326,30193,9,100,'Inflicts 171 - 286 melee damage on target encounter',0,0),
(70327,30193,9,100,'Increases Threat to target encounter by 4,212 ',0,1),
(70328,30194,1,100,'Inflicts 123 - 205 melee damage on target encounter',0,0),
(70329,30194,1,100,'Increases Threat to target encounter by 3,253 ',0,1),
(70330,30194,2,100,'Inflicts 130 - 217 melee damage on target encounter',0,0),
(70331,30194,2,100,'Increases Threat to target encounter by 3,404 ',0,1),
(70332,30194,3,100,'Inflicts 137 - 228 melee damage on target encounter',0,0),
(70333,30194,3,100,'Increases Threat to target encounter by 3,555 ',0,1),
(70334,30194,4,100,'Inflicts 150 - 251 melee damage on target encounter',0,0),
(70335,30194,4,100,'Increases Threat to target encounter by 3,856 ',0,1),
(70336,30194,5,100,'Inflicts 164 - 274 melee damage on target encounter',0,0),
(70337,30194,5,100,'Increases Threat to target encounter by 4,158 ',0,1),
(70338,30194,7,100,'Inflicts 211 - 351 melee damage on target encounter',0,0),
(70339,30194,7,100,'Increases Threat to target encounter by 5,183 ',0,1),
(70340,30194,9,100,'Inflicts 219 - 365 melee damage on target encounter',0,0),
(70341,30194,9,100,'Increases Threat to target encounter by 5,364 ',0,1),
(70342,30195,1,100,'Inflicts 149 - 249 melee damage on target encounter',0,0),
(70343,30195,1,100,'Increases Threat to target encounter by 3,928 ',0,1),
(70344,30195,4,100,'Inflicts 182 - 304 melee damage on target encounter',0,0),
(70345,30195,4,100,'Increases Threat to target encounter by 4,681 ',0,1),
(70346,30195,5,100,'Inflicts 199 - 332 melee damage on target encounter',0,0),
(70347,30195,5,100,'Increases Threat to target encounter by 5,058 ',0,1),
(70348,30195,7,100,'Inflicts 255 - 426 melee damage on target encounter',0,0),
(70349,30195,7,100,'Increases Threat to target encounter by 6,338 ',0,1),
(70350,30195,9,100,'Inflicts 265 - 443 melee damage on target encounter',0,0),
(70351,30195,9,100,'Increases Threat to target encounter by 6,564 ',0,1),
(70352,30196,1,100,'Inflicts 177 - 295 melee damage on target encounter',0,0),
(70353,30196,1,100,'Increases Threat to target encounter by 4,603 ',0,1),
(70354,30196,4,100,'Inflicts 216 - 361 melee damage on target encounter',0,0),
(70355,30196,4,100,'Increases Threat to target encounter by 5,506 ',0,1),
(70356,30196,5,100,'Inflicts 236 - 394 melee damage on target encounter',0,0),
(70357,30196,5,100,'Increases Threat to target encounter by 5,958 ',0,1),
(70358,30196,7,100,'Inflicts 303 - 505 melee damage on target encounter',0,0),
(70359,30196,7,100,'Increases Threat to target encounter by 7,493 ',0,1),
(70360,30196,9,100,'Inflicts 315 - 525 melee damage on target encounter',0,0),
(70361,30196,9,100,'Increases Threat to target encounter by 7,764 ',0,1),
(70362,30197,1,100,'Inflicts 2 - 3 melee damage on target',0,0),
(70363,30197,1,100,'Increases Threat to target by 137 - 167 ',0,1),
(70364,20012,1,100,'Inflicts 7 - 11 melee damage on target',0,0),
(70365,20012,1,100,'Increases Threat to target by 435 - 531 ',0,1),
(70366,20012,2,100,'Inflicts 7 - 12 melee damage on target',0,0),
(70367,20012,2,100,'Increases Threat to target by 459 - 561 ',0,1),
(70368,30197,2,100,'Inflicts 2 - 4 melee damage on target',0,0),
(70369,30197,2,100,'Increases Threat to target by 144 - 176 ',0,1),
(70370,30197,3,100,'Inflicts 2 - 4 melee damage on target',0,0),
(70371,30197,3,100,'Increases Threat to target by 152 - 186 ',0,1),
(70372,20012,3,100,'Inflicts 7 - 13 melee damage on target',0,0),
(70373,20012,3,100,'Increases Threat to target by 483 - 590 ',0,1),
(70374,20012,4,100,'Inflicts 8 - 14 melee damage on target',0,0),
(70375,20012,4,100,'Increases Threat to target by 531 - 649 ',0,1),
(70376,30197,4,100,'Inflicts 2 - 4 melee damage on target',0,0),
(70377,30197,4,100,'Increases Threat to target by 167 - 204 ',0,1),
(70378,30197,5,100,'Inflicts 3 - 5 melee damage on target',0,0),
(70379,30197,5,100,'Increases Threat to target by 182 - 223 ',0,1),
(70380,20012,5,100,'Inflicts 9 - 15 melee damage on target',0,0),
(70381,20012,5,100,'Increases Threat to target by 580 - 709',0,1),
(70382,30197,7,100,'Inflicts 3 - 6 melee damage on target',0,0),
(70383,30197,7,100,'Increases Threat to target by 234 - 286 ',0,1),
(70384,20012,7,100,'Inflicts 12 - 20 melee damage on target',0,0),
(70385,20012,7,100,'Increases Threat to target by 744 - 909 ',0,1),
(70386,30197,9,100,'Inflicts 4 - 6 melee damage on target',0,0),
(70387,30197,9,100,'Increases Threat to target by 243 - 297 ',0,1),
(70388,20012,9,100,'Inflicts 12 - 20 melee damage on target',0,0),
(70389,20012,9,100,'Increases Threat to target by 773 - 945 ',0,1),
(70390,30198,1,100,'Inflicts 7 - 11 melee damage on target',0,0),
(70391,30198,1,100,'Increases Threat to target by 435 - 531 ',0,1),
(70392,30198,2,100,'Inflicts 7 - 12 melee damage on target',0,0),
(70393,30198,2,100,'Increases Threat to target by 459 - 561 ',0,1),
(70394,30198,3,100,'Inflicts 7 - 13 melee damage on target',0,0),
(70395,30198,3,100,'Increases Threat to target by 483 - 590 ',0,1),
(70396,30198,4,100,'Inflicts 8 - 14 melee damage on target',0,0),
(70397,30198,4,100,'Increases Threat to target by 531 - 649 ',0,1),
(70398,30198,5,100,'Inflicts 9 - 15 melee damage on target',0,0),
(70399,30198,5,100,'Increases Threat to target by 580 - 709 ',0,1),
(70400,30198,7,100,'Inflicts 12 - 20 melee damage on target',0,0),
(70401,30198,7,100,'Increases Threat to target by 744 - 909 ',0,1),
(70402,30198,9,100,'Inflicts 12 - 20 melee damage on target',0,0),
(70403,30198,9,100,'Increases Threat to target by 773 - 945 ',0,1),
(70404,30199,1,100,'Inflicts 17 - 28 melee damage on target',0,0),
(70405,30199,1,100,'Increases Threat to target by 1,075 - 1,296 ',0,1),
(70406,30199,2,100,'Inflicts 17 - 29 melee damage on target',0,0),
(70407,30199,2,100,'Increases Threat to target by 1,134 - 1,338 ',0,1),
(70408,30199,3,100,'Inflicts 18 - 31 melee damage on target',0,0),
(70409,30199,3,100,'Increases Threat to target by 1,194 - 1,380 ',0,1),
(70410,30199,4,100,'Inflicts 20 - 34 melee damage on target',0,0),
(70411,30199,4,100,'Increases Threat to target by 1,296 - 1,464 ',0,1),
(70412,30199,5,100,'Inflicts 22 - 37 melee damage on target',0,0),
(70413,30199,5,100,'Increases Threat to target by 1,365 - 1,548 ',0,1),
(70414,30199,7,100,'Inflicts 29 - 48 melee damage on target',0,0),
(70415,30199,7,100,'Increases Threat to target by 1,598 - 1,834 ',0,1),
(70416,30199,9,100,'Inflicts 30 - 50 melee damage on target',0,0),
(70417,30199,9,100,'Increases Threat to target by 1,640 - 1,884 ',0,1),
(70418,30199,10,100,'Inflicts 31 - 52 melee damage on target',0,0),
(70419,30199,10,100,'Increases Threat to target by 1,695 - 1,951 ',0,1),
(70420,30200,1,100,'Inflicts 28 - 47 melee damage on target',0,0),
(70421,30200,1,100,'Increases Threat to target by 1,600 - 1,835 ',0,1),
(70422,30200,2,100,'Inflicts 29 - 49 melee damage on target',0,0),
(70423,30200,2,100,'Increases Threat to target by 1,658 - 1,907 ',0,1),
(70424,30200,3,100,'Inflicts 31 - 52 melee damage on target',0,0),
(70425,30200,3,100,'Increases Threat to target by 1,717 - 1,979 ',0,1),
(70426,30200,4,100,'Inflicts 34 - 57 melee damage on target',0,0),
(70427,30200,4,100,'Increases Threat to target by 1,835 - 2,123 ',0,1),
(70428,30200,5,100,'Inflicts 37 - 63 melee damage on target',0,0),
(70429,30200,5,100,'Increases Threat to target by 1,953 - 2,267 ',0,1),
(70430,30200,7,100,'Inflicts 48 - 80 melee damage on target',0,0),
(70431,30200,7,100,'Increases Threat to target by 2,353 - 2,757 ',0,1),
(70432,30200,9,100,'Inflicts 50 - 84 melee damage on target',0,0),
(70433,30200,9,100,'Increases Threat to target by 2,424 - 2,843 ',0,1),
(70434,30201,1,100,'Inflicts 91 - 153 melee damage on target',0,0),
(70435,30201,1,100,'Increases Threat to target by 4,578 - 5,476 ',0,1),
(70436,30201,4,100,'Inflicts 112 - 187 melee damage on target',0,0),
(70437,30201,4,100,'Increases Threat to target by 5,476 - 6,573 ',0,1),
(70438,30201,5,100,'Inflicts 122 - 204 melee damage on target',0,0),
(70439,30201,5,100,'Increases Threat to target by 5,924 - 7,121 ',0,1),
(70440,30201,7,100,'Inflicts 157 - 262 melee damage on target',0,0),
(70441,30201,7,100,'Increases Threat to target by 7,450 - 8,986 ',0,1),
(70442,30201,9,100,'Inflicts 163 - 272 melee damage on target',0,0),
(70443,30201,9,100,'Increases Threat to target by 7,719 - 9,315 ',0,1),
(70444,30202,1,100,'Inflicts 42 - 70 melee damage on target',0,0),
(70445,30202,1,100,'Increases Threat to target by 2,156 - 2,515 ',0,1),
(70446,30202,2,100,'Inflicts 44 - 74 melee damage on target',0,0),
(70447,30202,2,100,'Increases Threat to target by 2,246 - 2,625 ',0,1),
(70448,30202,3,100,'Inflicts 46 - 78 melee damage on target',0,0),
(70449,30202,3,100,'Increases Threat to target by 2,336 - 2,735 ',0,1),
(70450,30202,4,100,'Inflicts 51 - 85 melee damage on target',0,0),
(70451,30202,4,100,'Increases Threat to target by 2,515 - 2,954 ',0,1),
(70452,30202,5,100,'Inflicts 56 - 93 melee damage on target',0,0),
(70453,30202,5,100,'Increases Threat to target by 2,695 - 3,174 ',0,1),
(70454,30202,7,100,'Inflicts 72 - 120 melee damage on target',0,0),
(70455,30202,7,100,'Increases Threat to target by 3,305 - 3,920 ',0,1),
(70456,30202,9,100,'Inflicts 74 - 124 melee damage on target',0,0),
(70457,30202,9,100,'Increases Threat to target by 3,413 - 4,052 ',0,1),
(70458,30203,1,100,'Inflicts 56 - 93 melee damage on target',0,0),
(70459,30203,1,100,'Increases Threat to target by 2,760 - 3,253 ',0,1),
(70460,30203,2,100,'Inflicts 59 - 99 melee damage on target',0,0),
(70461,30203,2,100,'Increases Threat to target by 2,883 - 3,404 ',0,1),
(70462,30203,3,100,'Inflicts 62 - 104 melee damage on target',0,0),
(70463,30203,3,100,'Increases Threat to target by 3,006 - 3,555 ',0,1),
(70464,30203,4,100,'Inflicts 68 - 114 melee damage on target',0,0),
(70465,30203,4,100,'Increases Threat to target by 3,253 - 3,856 ',0,1),
(70466,30203,5,100,'Inflicts 75 - 125 melee damage on target',0,0),
(70467,30203,5,100,'Increases Threat to target by 3,500 - 4,158 ',0,1),
(70468,30203,7,100,'Inflicts 96 - 160 melee damage on target',0,0),
(70469,30203,7,100,'Increases Threat to target by 4,338 - 5,183 ',0,1),
(70470,30203,9,100,'Inflicts 100 - 167 melee damage on target',0,0),
(70471,30203,9,100,'Increases Threat to target by 4,486 - 5,364 ',0,1),
(70472,30204,1,100,'Inflicts 69 - 115 melee damage on target',0,0),
(70473,30204,1,100,'Increases Threat to target by 3,361 - 3,988 ',0,1),
(70474,30204,2,100,'Inflicts 73 - 122 melee damage on target',0,0),
(70475,30204,2,100,'Increases Threat to target by 3,518 - 4,180 ',0,1),
(70476,30204,3,100,'Inflicts 77 - 128 melee damage on target',0,0),
(70477,30204,3,100,'Increases Threat to target by 3,675 - 4,371 ',0,1),
(70478,30204,4,100,'Inflicts 84 - 141 melee damage on target',0,0),
(70479,30204,4,100,'Increases Threat to target by 3,988 - 4,755 ',0,1),
(70480,30204,5,100,'Inflicts 92 - 154 melee damage on target',0,0),
(70481,30204,5,100,'Increases Threat to target by 4,302 - 5,138 ',0,1),
(70482,30204,7,100,'Inflicts 118 - 197 melee damage on target',0,0),
(70483,30204,7,100,'Increases Threat to target by 5,368 - 6,441 ',0,1),
(70484,30204,9,100,'Inflicts 123 - 205 melee damage on target',0,0),
(70485,30204,9,100,'Increases Threat to target by 5,556 - 6,670 ',0,1),
(70486,30205,1,100,'Inflicts 83 - 139 melee damage on target',0,0),
(70487,30205,1,100,'Increases Threat to target by 3,970 - 4,732 ',0,1),
(70488,30205,4,100,'Inflicts 102 - 170 melee damage on target',0,0),
(70489,30205,4,100,'Increases Threat to target by 4,732 - 5,664 ',0,1),
(70490,30205,5,100,'Inflicts 111 - 185 melee damage on target',0,0),
(70491,30205,5,100,'Increases Threat to target by 5,113 - 6,130 ',0,1),
(70492,30205,7,100,'Inflicts 143 - 238 melee damage on target',0,0),
(70493,30205,7,100,'Increases Threat to target by 6,409 - 7,713 ',0,1),
(70494,30205,9,100,'Inflicts 148 - 247 melee damage on target',0,0),
(70495,30205,9,100,'Increases Threat to target by 6,638 - 7,993 ',0,1),
(70496,50023,1,100,'Increases Threat to target by 977 - 1,194 ',0,0),
(70497,50023,2,100,'Increases Threat to target by 1,031 - 1,260 ',0,0),
(70498,50023,3,100,'Increases Threat to target by 1,085 - 1,305 ',0,0),
(70499,50023,4,100,'Increases Threat to target by 1,194 - 1,382 ',0,0),
(70500,50023,5,100,'Increases Threat to target by 1,292 - 1,459 ',0,0),
(70501,50023,7,100,'Increases Threat to target by 1,505 - 1,719 ',0,0),
(70502,50023,9,100,'Increases Threat to target by 1,542 - 1,765 ',0,0),
(70503,330165,1,100,'Dispels 23 levels of arcane beneficial effects on target',0,0),
(70504,330165,1,100,'Interrupts target',0,1),
(70505,330165,1,100,'Increases Threat to target by 1,456 ',0,2),
(70506,330165,2,100,'Dispels 24 levels of arcane beneficial effects on target',0,0),
(70507,330165,2,100,'Interrupts target',0,1),
(70508,330165,2,100,'Increases Threat to target by 1,507 ',0,2),
(70509,330165,3,100,'Dispels 26 levels of arcane beneficial effects on target',0,0),
(70510,330165,3,100,'Interrupts target',0,1),
(70511,330165,3,100,'Increases Threat to target by 1,558 ',0,2),
(70512,330165,4,100,'Dispels 28 levels of arcane beneficial effects on target',0,0),
(70513,330165,4,100,'Interrupts target',0,1),
(70514,330165,4,100,'Increases Threat to target by 1,660 ',0,2),
(70515,330165,5,100,'Dispels 31 levels of arcane beneficial effects on target',0,0),
(70516,330165,5,100,'Interrupts target',0,1),
(70517,330165,5,100,'Increases Threat to target by 1,762 ',0,2),
(70518,330165,7,100,'Dispels 39 levels of arcane beneficial effects on target',0,0),
(70519,330165,7,100,'Interrupts target',0,1),
(70520,330165,7,100,'Increases Threat to target by 2,108 ',0,2),
(70521,330165,9,100,'Dispels 41 levels of arcane beneficial effects on target',0,0),
(70522,330165,9,100,'Interrupts target',0,1),
(70523,330165,9,100,'Increases Threat to target by 2,169 ',0,2),
(70524,330166,1,100,'Dispels 35 levels of arcane beneficial effects on target',0,0),
(70525,330166,1,100,'Interrupts target',0,1),
(70526,330166,1,100,'Increases Threat to target by 2,110 ',0,2),
(70527,330166,2,100,'Dispels 37 levels of arcane beneficial effects on target',0,0),
(70528,330166,2,100,'Interrupts target',0,1),
(70529,330166,2,100,'Increases Threat to target by 2,197 ',0,2),
(70530,330166,3,100,'Dispels 39 levels of arcane beneficial effects on target',0,0),
(70531,330166,3,100,'Interrupts target',0,1),
(70532,330166,3,100,'Increases Threat to target by 2,285 ',0,2),
(70533,330166,4,100,'Dispels 43 levels of arcane beneficial effects on target',0,0),
(70534,330166,4,100,'Interrupts target',0,1),
(70535,330166,4,100,'Increases Threat to target by 2,459 ',0,2),
(70536,330166,5,100,'Dispels 46 levels of arcane beneficial effects on target',0,0),
(70537,330166,5,100,'Interrupts target',0,1),
(70538,330166,5,100,'Increases Threat to target by 2,634 ',0,2),
(70539,330166,7,100,'Dispels 60 levels of arcane beneficial effects on target',0,0),
(70540,330166,7,100,'Interrupts target',0,1),
(70541,330166,7,100,'Increases Threat to target by 3,227 ',0,2),
(70542,330166,9,100,'Dispels 62 levels of arcane beneficial effects on target',0,0),
(70543,330166,9,100,'Interrupts target',0,1),
(70544,330166,9,100,'Increases Threat to target by 3,332 ',0,2),
(70545,330167,1,100,'Dispels 47 levels of arcane beneficial effects on target',0,0),
(70546,330167,1,100,'Interrupts target',0,1),
(70547,330167,1,100,'Increases Threat to target by 2,934 ',0,2),
(70548,330167,2,100,'Dispels 50 levels of arcane beneficial effects on target',0,0),
(70549,330167,2,100,'Interrupts target',0,1),
(70550,330167,2,100,'Increases Threat to target by 3,067 ',0,2),
(70551,330167,3,100,'Dispels 52 levels of arcane beneficial effects on target',0,0),
(70552,330167,3,100,'Interrupts target',0,1),
(70553,330167,3,100,'Increases Threat to target by 3,200 ',0,2),
(70554,330167,4,100,'Dispels 58 levels of arcane beneficial effects on target',0,0),
(70555,330167,4,100,'Interrupts target',0,1),
(70556,330167,4,100,'Increases Threat to target by 3,466 ',0,2),
(70557,330167,5,100,'Dispels 63 levels of arcane beneficial effects on target',0,0),
(70558,330167,5,100,'Interrupts target',0,1),
(70559,330167,5,100,'Increases Threat to target by 3,733 ',0,2),
(70560,330167,7,100,'Dispels 81 levels of arcane beneficial effects on target',0,0),
(70561,330167,7,100,'Interrupts target',0,1),
(70562,330167,7,100,'Increases Threat to target by 4,637 ',0,2),
(70563,330167,9,100,'Dispels 84 levels of arcane beneficial effects on target',0,0),
(70564,330167,9,100,'Interrupts target',0,1),
(70565,330167,9,100,'Increases Threat to target by 4,797 ',0,2),
(70566,330168,1,100,'Dispels 59 levels of arcane beneficial effects on target',0,0),
(70567,330168,1,100,'Interrupts target',0,1),
(70568,330168,1,100,'Increases Threat to target by 3,829 ',0,2),
(70569,330168,2,100,'Dispels 63 levels of arcane beneficial effects on target',0,0),
(70570,330168,2,100,'Interrupts target',0,1),
(70571,330168,2,100,'Increases Threat to target by 4,011 ',0,2),
(70572,330168,3,100,'Dispels 66 levels of arcane beneficial effects on target',0,0),
(70573,330168,3,100,'Interrupts target',0,1),
(70574,330168,3,100,'Increases Threat to target by 4,194 ',0,2),
(70575,330168,4,100,'Dispels 73 levels of arcane beneficial effects on target',0,0),
(70576,330168,4,100,'Interrupts target',0,1),
(70577,330168,4,100,'Increases Threat to target by 4,560 ',0,2),
(70578,330168,5,100,'Dispels 79 levels of arcane beneficial effects on target',0,0),
(70579,330168,5,100,'Interrupts target',0,1),
(70580,330168,5,100,'Increases Threat to target by 4,925 ',0,2),
(70581,330168,7,100,'Dispels 102 levels of arcane beneficial effects on target',0,0),
(70582,330168,7,100,'Interrupts target',0,1),
(70583,330168,7,100,'Increases Threat to target by 6,168 ',0,2),
(70584,330168,9,100,'Dispels 106 levels of arcane beneficial effects on target',0,0),
(70585,330168,9,100,'Interrupts target',0,1),
(70586,330168,9,100,'Increases Threat to target by 6,387 ',0,2),
(70587,330169,1,100,'Dispels 69 levels of arcane beneficial effects on target',0,0),
(70588,330169,1,100,'Interrupts target',0,1),
(70589,330169,1,100,'Increases Threat to target by 4,720 ',0,2),
(70590,330169,2,100,'Dispels 73 levels of arcane beneficial effects on target',0,0),
(70591,330169,2,100,'Interrupts target',0,1),
(70592,330169,2,100,'Increases Threat to target by 4,952 ',0,2),
(70593,330169,3,100,'Dispels 77 levels of arcane beneficial effects on target',0,0),
(70594,330169,3,100,'Interrupts target',0,1),
(70595,330169,3,100,'Increases Threat to target by 5,184 ',0,2),
(70596,330169,4,100,'Dispels 84 levels of arcane beneficial effects on target',0,0),
(70597,330169,4,100,'Interrupts target',0,1),
(70598,330169,4,100,'Increases Threat to target by 5,649 ',0,2),
(70599,330169,5,100,'Dispels 92 levels of arcane beneficial effects on target',0,0),
(70600,330169,5,100,'Interrupts target',0,1),
(70601,330169,5,100,'Increases Threat to target by 6,113 ',0,2),
(70602,330169,7,100,'Dispels 118 levels of arcane beneficial effects on target',0,0),
(70603,330169,7,100,'Interrupts target',0,1),
(70604,330169,7,100,'Increases Threat to target by 7,692 ',0,2),
(70605,330169,9,100,'Dispels 123 levels of arcane beneficial effects on target',0,0),
(70606,330169,9,100,'Interrupts target',0,1),
(70607,330169,9,100,'Increases Threat to target by 7,971 ',0,2),
(70608,330170,1,100,'Dispels 78 levels of arcane beneficial effects on target',0,0),
(70609,330170,1,100,'Interrupts target',0,1),
(70610,330170,1,100,'Increases Threat to target by 5,621 ',0,2),
(70611,330170,4,100,'Dispels 95 levels of arcane beneficial effects on target',0,0),
(70612,330170,4,100,'Interrupts target',0,1),
(70613,330170,4,100,'Increases Threat to target by 6,751 ',0,2),
(70614,330170,5,100,'Dispels 104 levels of arcane beneficial effects on target',0,0),
(70615,330170,5,100,'Interrupts target',0,1),
(70616,330170,5,100,'Increases Threat to target by 7,315 ',0,2),
(70617,330170,7,100,'Dispels 133 levels of arcane beneficial effects on target',0,0),
(70618,330170,7,100,'Interrupts target',0,1),
(70619,330170,7,100,'Increases Threat to target by 9,235 ',0,2),
(70620,330170,9,100,'Dispels 138 levels of arcane beneficial effects on target',0,0),
(70621,330170,9,100,'Interrupts target',0,1),
(70622,330170,9,100,'Increases Threat to target by 9,574 ',0,2),
(70623,330171,1,100,'Dispels 86 levels of arcane beneficial effects on target',0,0),
(70624,330171,1,100,'Interrupts target',0,1),
(70625,330171,1,100,'Increases Threat to target by 6,523 ',0,2),
(70626,330171,4,100,'Dispels 106 levels of arcane beneficial effects on target',0,0),
(70627,330171,4,100,'Interrupts target',0,1),
(70628,330171,4,100,'Increases Threat to target by 7,852 ',0,2),
(70629,330171,5,100,'Dispels 115 levels of arcane beneficial effects on target',0,0),
(70630,330171,5,100,'Interrupts target',0,1),
(70631,330171,5,100,'Increases Threat to target by 8,517 ',0,2),
(70632,330171,7,100,'Dispels 148 levels of arcane beneficial effects on target',0,0),
(70633,330171,7,100,'Interrupts target',0,1),
(70634,330171,7,100,'Increases Threat to target by 10,777 ',0,2),
(70635,330171,9,100,'Dispels 154 levels of arcane beneficial effects on target',0,0),
(70636,330171,9,100,'Interrupts target',0,1),
(70637,330171,9,100,'Increases Threat to target by 11,176 ',0,2),
(70638,2000264,3,100,'Heals group members (AE) for 2 - 4',0,0),
(70639,2000264,4,100,'Heals group members (AE) for 3 - 4',0,0),
(70640,2000264,5,100,'Heals group members (AE) for 3 - 5',0,0),
(70641,2000264,7,100,'Heals group members (AE) for 3 - 5',0,0),
(70642,2000264,9,100,'Heals group members (AE) for 4 - 6',0,0),
(70643,2000264,10,100,'Heals group members (AE) for 4 - 6',0,0),
(70644,420141,2,100,'Increases DPS of caster by 76.0',0,0),
(70645,420142,2,100,'Increases Potency of caster by 1.2%',0,0),
(70646,2000265,1,100,'When damaged this spell has a 4% chance to cast Prowess on target''s attacker.  ',0,0),
(70647,2000265,1,100,'Decreases threat priority of target by 1 position',1,1),
(70648,2000265,2,100,'When damaged this spell has a 8% chance to cast Prowess on target''s attacker.  ',0,0),
(70649,2000265,2,100,'Decreases threat priority of target by 1 position',1,1),
(70650,2000265,3,100,'When damaged this spell has a 12% chance to cast Prowess on target''s attacker.  ',0,0),
(70651,2000265,3,100,'Decreases threat priority of target by 1 position',1,1),
(70652,2000265,4,100,'When damaged this spell has a 16% chance to cast Prowess on target''s attacker.  ',0,0),
(70653,2000265,4,100,'Decreases threat priority of target by 1 position',1,1),
(70654,2000265,5,100,'When damaged this spell has a 20% chance to cast Prowess on target''s attacker.  ',0,0),
(70655,2000265,5,100,'Decreases threat priority of target by 1 position',1,1),
(70656,2000265,6,100,'When damaged this spell has a 24% chance to cast Prowess on target''s attacker.  ',0,0),
(70657,2000265,6,100,'Decreases threat priority of target by 1 position',1,1),
(70658,2000265,7,100,'When damaged this spell has a 28% chance to cast Prowess on target''s attacker.  ',0,0),
(70659,2000265,7,100,'Decreases threat priority of target by 1 position',1,1),
(70660,2000265,8,100,'When damaged this spell has a 32% chance to cast Prowess on target''s attacker.  ',0,0),
(70661,2000265,8,100,'Decreases threat priority of target by 1 position',1,1),
(70662,2000265,9,100,'When damaged this spell has a 36% chance to cast Prowess on target''s attacker.  ',0,0),
(70663,2000265,9,100,'Decreases threat priority of target by 1 position',1,1),
(70664,2000265,10,100,'When damaged this spell has a 40% chance to cast Prowess on target''s attacker.  ',0,0),
(70665,2000265,10,100,'Decreases threat priority of target by 1 position',1,1),
(70666,340176,1,100,'Applies Accomplice: Increases potency of the partner by 1%.',0,0),
(70667,340176,1,100,'If three combat arts are used within five seconds.',1,1),
(70668,340176,1,100,'Applies Partners in Crime: Increases potency of the partner by 1.5%.',0,2),
(70669,340176,1,100,'If five combat arts are used within five seconds.',1,3),
(70670,340176,1,100,'Both Accomplice and Partners in Crime can be active at once.',0,4),
(70671,340176,1,100,'If not brigand',0,5),
(70672,340176,1,100,'Thieves Guild cannot be cast on someone who is in another brigand''s Thieves Guild',0,6),
(70673,340176,2,100,'Applies Accomplice: Increases potency of the partner by 2%.',0,0),
(70674,340176,2,100,'If three combat arts are used within five seconds.',1,1),
(70675,340176,2,100,'Applies Partners in Crime: Increases potency of the partner by 3%.',0,2),
(70676,340176,2,100,'If five combat arts are used within five seconds.',1,3),
(70677,340176,2,100,'Both Accomplice and Partners in Crime can be active at once.',0,4),
(70678,340176,2,100,'If not brigand',0,5),
(70679,340176,2,100,'Thieves Guild cannot be cast on someone who is in another brigand''s Thieves Guild',0,6),
(70680,340176,3,100,'Applies Accomplice: Increases potency of the partner by 3%.',0,0),
(70681,340176,3,100,'If three combat arts are used within five seconds.',1,1),
(70682,340176,3,100,'Applies Partners in Crime: Increases potency of the partner by 4.5%.',0,2),
(70683,340176,3,100,'If five combat arts are used within five seconds.',1,3),
(70684,340176,3,100,'Both Accomplice and Partners in Crime can be active at once.',0,4),
(70685,340176,3,100,'If not brigand',0,5),
(70686,340176,3,100,'Thieves Guild cannot be cast on someone who is in another brigand''s Thieves Guild',0,6),
(70687,340176,4,100,'Applies Accomplice: Increases potency of the partner by 4%.',0,0),
(70688,340176,4,100,'If three combat arts are used within five seconds.',1,1),
(70689,340176,4,100,'Applies Partners in Crime: Increases potency of the partner by 6%.',0,2),
(70690,340176,4,100,'If five combat arts are used within five seconds.',1,3),
(70691,340176,4,100,'Both Accomplice and Partners in Crime can be active at once.',0,4),
(70692,340176,4,100,'If not brigand',0,5),
(70693,340176,4,100,'Thieves Guild cannot be cast on someone who is in another brigand''s Thieves Guild',0,6),
(70694,340176,5,100,'Applies Accomplice: Increases potency of the partner by 5%.',0,0),
(70695,340176,5,100,'If three combat arts are used within five seconds.',1,1),
(70696,340176,5,100,'Applies Partners in Crime: Increases potency of the partner by 7.5%.',0,2),
(70697,340176,5,100,'If five combat arts are used within five seconds.',1,3),
(70698,340176,5,100,'Both Accomplice and Partners in Crime can be active at once.',0,4),
(70699,340176,5,100,'If not brigand',0,5),
(70700,340176,5,100,'Thieves Guild cannot be cast on someone who is in another brigand''s Thieves Guild',0,6),
(70701,340176,7,100,'Applies Accomplice: Increases potency of the partner by 7%.',0,0),
(70702,340176,7,100,'If three combat arts are used within five seconds.',1,1),
(70703,340176,7,100,'Applies Partners in Crime: Increases potency of the partner by 10.5%.',0,2),
(70704,340176,7,100,'If five combat arts are used within five seconds.',1,3),
(70705,340176,7,100,'Both Accomplice and Partners in Crime can be active at once.',0,4),
(70706,340176,7,100,'If not brigand',0,5),
(70707,340176,7,100,'Thieves Guild cannot be cast on someone who is in another brigand''s Thieves Guild',0,6),
(70708,340176,9,100,'Applies Accomplice: Increases potency of the partner by 9%.',0,0),
(70709,340176,9,100,'If three combat arts are used within five seconds.',1,1),
(70710,340176,9,100,'Applies Partners in Crime: Increases potency of the partner by 13.5%.',0,2),
(70711,340176,9,100,'If five combat arts are used within five seconds.',1,3),
(70712,340176,9,100,'Both Accomplice and Partners in Crime can be active at once.',0,4),
(70713,340176,9,100,'If not brigand',0,5),
(70714,340176,9,100,'Thieves Guild cannot be cast on someone who is in another brigand''s Thieves Guild',0,6),
(70715,2000266,1,100,'Applies Essence Drain.  Lasts for 30.0 seconds.',0,0),
(70716,2000266,1,100,'Increases Ability Mod of group members (AE) by 1,525.0',1,1),
(70717,2000266,1,100,'Applies Essence Drain.  Lasts for 30.0 seconds.',0,2),
(70718,2000266,1,100,'Increases Ability Mod of group members (AE) by 152.5',1,3),
(70719,310021,6,100,'On a combat hit this spell has a 10% chance to cast Thirsting Veil on target of attack.  Lasts for 12.0 seconds.  ',0,0),
(70720,310021,6,100,'Inflicts 40 - 67 disease damage on target',1,1),
(70721,310021,6,100,'Heals caster for 40 - 66',1,2),
(70722,390180,1,100,'Sets a trap',0,0),
(70723,390180,2,100,'Sets a trap',0,0),
(70724,390180,3,100,'Sets a trap',0,0),
(70725,390180,4,100,'Sets a trap',0,0),
(70726,390180,5,100,'Sets a trap',0,0),
(70727,390180,7,100,'Sets a trap',0,0),
(70728,390180,9,100,'Sets a trap',0,0),
(70729,390181,1,100,'Sets a trap',0,0),
(70730,390181,2,100,'Sets a trap',0,0),
(70731,390181,3,100,'Sets a trap',0,0),
(70732,390181,4,100,'Sets a trap',0,0),
(70733,390181,5,100,'Sets a trap',0,0),
(70734,390181,7,100,'Sets a trap',0,0),
(70735,390181,9,100,'Sets a trap',0,0),
(70736,390182,1,100,'Sets a trap',0,0),
(70737,390182,4,100,'Sets a trap',0,0),
(70738,390182,5,100,'Sets a trap',0,0),
(70739,390182,7,100,'Sets a trap',0,0),
(70740,390182,9,100,'Sets a trap',0,0),
(70741,2000267,3,100,'Inflicts 5 - 8 piercing damage on target',0,0),
(70742,2000267,3,100,'Inflicts 1 piercing damage on target every 3 seconds',0,1),
(70743,2000267,4,100,'Inflicts 5 - 9 piercing damage on target',0,0),
(70744,2000267,4,100,'Inflicts 1 piercing damage on target every 3 seconds',0,1),
(70745,2000267,5,100,'Inflicts 6 - 10 piercing damage on target',0,0),
(70746,2000267,5,100,'Inflicts 1 - 2 piercing damage on target every 3 seconds',0,1),
(70747,2000267,7,100,'Inflicts 7 - 13 piercing damage on target',0,0),
(70748,2000267,7,100,'Inflicts 1 - 2 piercing damage on target every 3 seconds',0,1),
(70749,2000267,9,100,'Inflicts 8 - 13 piercing damage on target',0,0),
(70750,2000267,9,100,'Inflicts 1 - 2 piercing damage on target every 3 seconds',0,1),
(70751,2000267,10,100,'Inflicts 8 - 14 piercing damage on target',0,0),
(70752,2000267,10,100,'Inflicts 1 - 2 piercing damage on target every 3 seconds',0,1),
(70758,50024,1,100,'Inflicts 30 - 51 crushing damage on target',0,5),
(70759,50024,1,100,'If facing target',0,6),
(70765,50024,2,100,'Inflicts 32 - 54 crushing damage on target',0,5),
(70766,50024,2,100,'If facing target',0,6),
(70772,50024,3,100,'Inflicts 34 - 57 crushing damage on target',0,5),
(70773,50024,3,100,'If facing target',0,6),
(70779,50024,4,100,'Inflicts 37 - 62 crushing damage on target',0,5),
(70780,50024,4,100,'If facing target',0,6),
(70786,50024,5,100,'Inflicts 41 - 68 crushing damage on target',0,5),
(70787,50024,5,100,'If facing target',0,6),
(70793,50024,7,100,'Inflicts 52 - 87 crushing damage on target',0,5),
(70794,50024,7,100,'If facing target',0,6),
(70800,50024,9,100,'Inflicts 54 - 91 crushing damage on target',0,5),
(70801,50024,9,100,'If facing target',0,6),
(70802,50025,1,100,'Grants the brawler a small chance to briefly stun their target with \r\neach melee hit.',0,0),
(70805,50025,2,100,'Grants the brawler a small chance to briefly stun their target with \r\neach melee hit.',0,0),
(70808,50025,3,100,'Grants the brawler a small chance to briefly stun their target with \r\neach melee hit.',0,0),
(70811,50025,4,100,'Grants the brawler a small chance to briefly stun their target with \r\neach melee hit.',0,0),
(70814,50025,5,100,'Grants the brawler a small chance to briefly stun their target with \r\neach melee hit.',0,0),
(70817,50025,7,100,'Grants the brawler a small chance to briefly stun their target with \r\neach melee hit.',0,0),
(70820,50025,9,100,'Grants the brawler a small chance to briefly stun their target with \r\neach melee hit.',0,0),
(70823,2000268,1,100,'Inflicts 93 - 155 melee damage on target',0,0),
(70824,2000268,1,100,'Inflicts 187 - 312 magic damage on target',0,1),
(70825,2000268,2,100,'Inflicts 98 - 164 melee damage on target',0,0),
(70826,2000268,2,100,'Inflicts 197 - 329 magic damage on target',0,1),
(70827,2000268,3,100,'Inflicts 103 - 173 melee damage on target',0,0),
(70828,2000268,3,100,'Inflicts 208 - 346 magic damage on target',0,1),
(70829,2000268,4,100,'Inflicts 152 - 253 melee damage on target',0,0),
(70830,2000268,4,100,'Inflicts 305 - 508 magic damage on target',0,1),
(70831,2000268,5,100,'Inflicts 166 - 277 melee damage on target',0,0),
(70832,2000268,5,100,'Inflicts 332 - 554 magic damage on target',0,1),
(70833,2000268,6,100,'Inflicts 180 - 300 melee damage on target',0,0),
(70834,2000268,6,100,'Inflicts 360 - 600 magic damage on target',0,1),
(70835,2000268,7,100,'Inflicts 160 - 266 melee damage on target',0,0),
(70836,2000268,7,100,'Inflicts 320 - 533 magic damage on target',0,1),
(70837,2000268,8,100,'Inflicts 214 - 357 melee damage on target',0,0),
(70838,2000268,8,100,'Inflicts 429 - 716 magic damage on target',0,1),
(70839,2000268,9,100,'Inflicts 166 - 277 melee damage on target',0,0),
(70840,2000268,9,100,'Inflicts 333 - 554 magic damage on target',0,1),
(70841,2000268,10,100,'Inflicts 232 - 387 melee damage on target',0,0),
(70842,2000268,10,100,'Inflicts 465 - 776 magic damage on target',0,1),
(70843,370036,1,100,'Inflicts 4 - 8 melee damage on target',0,0),
(70844,370036,1,100,'Heals caster for 2',0,1),
(70845,370036,2,100,'Inflicts 5 - 8 melee damage on target',0,0),
(70846,370036,2,100,'Heals caster for 3',0,1),
(70847,370036,3,100,'Inflicts 5 - 8 melee damage on target',0,0),
(70848,370036,3,100,'Heals caster for 3',0,1),
(70849,370036,4,100,'Inflicts 5 - 9 melee damage on target',0,0),
(70850,370036,4,100,'Heals caster for 3',0,1),
(70851,370036,5,100,'Inflicts 6 - 10 melee damage on target',0,0),
(70852,370036,5,100,'Heals caster for 3',0,1),
(70853,370036,7,100,'Inflicts 8 - 13 melee damage on target',0,0),
(70854,370036,7,100,'Heals caster for 4',0,1),
(70855,370036,9,100,'Inflicts 8 - 14 melee damage on target',0,0),
(70856,370036,9,100,'Heals caster for 4',0,1),
(70857,370037,1,100,'Inflicts 15 - 25 melee damage on target',0,0),
(70858,370037,1,100,'Heals caster for 10',0,1),
(70859,370037,2,100,'Inflicts 15 - 26 melee damage on target',0,0),
(70860,370037,2,100,'Heals caster for 10',0,1),
(70861,370037,3,100,'Inflicts 16 - 28 melee damage on target',0,0),
(70862,370037,3,100,'Heals caster for 11',0,1),
(70863,370037,4,100,'Inflicts 18 - 30 melee damage on target',0,0),
(70864,370037,4,100,'Heals caster for 12',0,1),
(70865,370037,5,100,'Inflicts 20 - 33 melee damage on target',0,0),
(70866,370037,5,100,'Heals caster for 13',0,1),
(70867,370037,7,100,'Inflicts 25 - 43 melee damage on target',0,0),
(70868,370037,7,100,'Heals caster for 16',0,1),
(70869,370037,9,100,'Inflicts 26 - 44 melee damage on target',0,0),
(70870,370037,9,100,'Heals caster for 17',0,1),
(70871,370038,1,100,'Inflicts 27 - 46 melee damage on target',0,0),
(70872,370038,1,100,'Heals caster for 18',0,1),
(70873,370038,2,100,'Inflicts 29 - 48 melee damage on target',0,0),
(70874,370038,2,100,'Heals caster for 19',0,1),
(70875,370038,3,100,'Inflicts 30 - 51 melee damage on target',0,0),
(70876,370038,3,100,'Heals caster for 20',0,1),
(70877,370038,4,100,'Inflicts 33 - 56 melee damage on target',0,0),
(70878,370038,4,100,'Heals caster for 22',0,1),
(70879,370038,5,100,'Inflicts 37 - 61 melee damage on target',0,0),
(70880,370038,5,100,'Heals caster for 24',0,1),
(70881,370038,7,100,'Inflicts 47 - 79 melee damage on target',0,0),
(70882,370038,7,100,'Heals caster for 31',0,1),
(70883,370038,9,100,'Inflicts 49 - 82 melee damage on target',0,0),
(70884,370038,9,100,'Heals caster for 32',0,1),
(70885,370039,1,100,'Inflicts 56 - 93 melee damage on target',0,0),
(70886,370039,1,100,'Heals caster for 37',0,1),
(70887,370039,2,100,'Inflicts 59 - 99 melee damage on target',0,0),
(70888,370039,2,100,'Heals caster for 39',0,1),
(70889,370039,3,100,'Inflicts 62 - 104 melee damage on target',0,0),
(70890,370039,3,100,'Heals caster for 41',0,1),
(70891,370039,4,100,'Inflicts 68 - 114 melee damage on target',0,0),
(70892,370039,4,100,'Heals caster for 45',0,1),
(70893,370039,5,100,'Inflicts 75 - 125 melee damage on target',0,0),
(70894,370039,5,100,'Heals caster for 49',0,1),
(70895,370039,7,100,'Inflicts 96 - 160 melee damage on target',0,0),
(70896,370039,7,100,'Heals caster for 63',0,1),
(70897,370039,9,100,'Inflicts 100 - 166 melee damage on target',0,0),
(70898,370039,9,100,'Heals caster for 66',0,1),
(70899,370040,1,100,'Inflicts 236 - 394 melee damage on target',0,0),
(70900,370040,1,100,'Heals caster for 172',0,1),
(70901,370040,4,100,'Inflicts 289 - 482 melee damage on target',0,0),
(70902,370040,4,100,'Heals caster for 210',0,1),
(70903,370040,5,100,'Inflicts 315 - 526 melee damage on target',0,0),
(70904,370040,5,100,'Heals caster for 229',0,1),
(70905,370040,7,100,'Inflicts 405 - 675 melee damage on target',0,0),
(70906,370040,7,100,'Heals caster for 294',0,1),
(70907,370040,9,100,'Inflicts 420 - 701 melee damage on target',0,0),
(70908,370040,9,100,'Heals caster for 306',0,1),
(70909,370041,1,100,'Inflicts 88 - 147 melee damage on target',0,0),
(70910,370041,1,100,'Heals caster for 58',0,1),
(70911,370041,2,100,'Inflicts 93 - 155 melee damage on target',0,0),
(70912,370041,2,100,'Heals caster for 61',0,1),
(70913,370041,3,100,'Inflicts 98 - 163 melee damage on target',0,0),
(70914,370041,3,100,'Heals caster for 65',0,1),
(70915,370041,4,100,'Inflicts 107 - 179 melee damage on target',0,0),
(70916,370041,4,100,'Heals caster for 71',0,1),
(70917,370041,5,100,'Inflicts 117 - 196 melee damage on target',0,0),
(70918,370041,5,100,'Heals caster for 77',0,1),
(70919,370041,7,100,'Inflicts 150 - 251 melee damage on target',0,0),
(70920,370041,7,100,'Heals caster for 99',0,1),
(70921,370041,9,100,'Inflicts 156 - 261 melee damage on target',0,0),
(70922,370041,9,100,'Heals caster for 103',0,1),
(70923,370042,1,100,'Inflicts 126 - 210 melee damage on target',0,0),
(70924,370042,1,100,'Heals caster for 83',0,1),
(70925,370042,2,100,'Inflicts 133 - 221 melee damage on target',0,0),
(70926,370042,2,100,'Heals caster for 88',0,1),
(70927,370042,3,100,'Inflicts 140 - 233 melee damage on target',0,0),
(70928,370042,3,100,'Heals caster for 92',0,1),
(70929,370042,4,100,'Inflicts 154 - 256 melee damage on target',0,0),
(70930,370042,4,100,'Heals caster for 102',0,1),
(70931,370042,5,100,'Inflicts 168 - 280 melee damage on target',0,0),
(70932,370042,5,100,'Heals caster for 111',0,1),
(70933,370042,7,100,'Inflicts 215 - 359 melee damage on target',0,0),
(70934,370042,7,100,'Heals caster for 142',0,1),
(70935,370042,9,100,'Inflicts 224 - 373 melee damage on target',0,0),
(70936,370042,9,100,'Heals caster for 148',0,1),
(70937,370043,1,100,'Inflicts 164 - 274 melee damage on target',0,0),
(70938,370043,1,100,'Heals caster for 110',0,1),
(70939,370043,2,100,'Inflicts 173 - 289 melee damage on target',0,0),
(70940,370043,2,100,'Heals caster for 116',0,1),
(70941,370043,3,100,'Inflicts 183 - 305 melee damage on target',0,0),
(70942,370043,3,100,'Heals caster for 122',0,1),
(70943,370043,4,100,'Inflicts 201 - 335 melee damage on target',0,0),
(70944,370043,4,100,'Heals caster for 135',0,1),
(70945,370043,5,100,'Inflicts 219 - 366 melee damage on target',0,0),
(70946,370043,5,100,'Heals caster for 147',0,1),
(70947,370043,7,100,'Inflicts 281 - 469 melee damage on target',0,0),
(70948,370043,7,100,'Heals caster for 189',0,1),
(70949,370043,9,100,'Inflicts 292 - 488 melee damage on target',0,0),
(70950,370043,9,100,'Heals caster for 196',0,1),
(70951,370043,10,100,'Inflicts 307 - 512 melee damage on target',0,0),
(70952,370043,10,100,'Heals caster for 206',0,1),
(70953,370044,1,100,'Inflicts 199 - 332 melee damage on target',0,0),
(70954,370044,1,100,'Heals caster for 146',0,1),
(70955,370044,4,100,'Inflicts 243 - 406 melee damage on target',0,0),
(70956,370044,4,100,'Heals caster for 179',0,1),
(70957,370044,5,100,'Inflicts 266 - 443 melee damage on target',0,0),
(70958,370044,5,100,'Heals caster for 195',0,1),
(70959,370044,7,100,'Inflicts 341 - 569 melee damage on target',0,0),
(70960,370044,7,100,'Heals caster for 250',0,1),
(70961,370044,9,100,'Inflicts 354 - 591 melee damage on target',0,0),
(70962,370044,9,100,'Heals caster for 260',0,1),
(70963,2000269,1,100,'Inflicts 311 - 519 melee damage on target',0,0),
(70964,2000269,1,100,'Decreases Ability Recovery Speed of target by 45.0%',0,1),
(70965,2000269,1,100,'Decreases Ability Casting Speed of target by 22.5%',0,2),
(70966,2000269,2,100,'Inflicts 328 - 548 melee damage on target',0,0),
(70967,2000269,2,100,'Decreases Ability Recovery Speed of target by 47.5%',0,1),
(70968,2000269,2,100,'Decreases Ability Casting Speed of target by 23.8%',0,2),
(70969,2000269,3,100,'Inflicts 259 - 433 melee damage on target',0,0),
(70970,2000269,3,100,'Decreases Ability Recovery Speed of target by 50.0%',0,1),
(70971,2000269,3,100,'Decreases Ability Casting Speed of target by 25.0%',0,2),
(70972,2000269,4,100,'Inflicts 380 - 634 melee damage on target',0,0),
(70973,2000269,4,100,'Decreases Ability Recovery Speed of target by 55.0%',0,1),
(70974,2000269,4,100,'Decreases Ability Casting Speed of target by 27.5%',0,2),
(70975,2000269,5,100,'Inflicts 311 - 519 melee damage on target',0,0),
(70976,2000269,5,100,'Decreases Ability Recovery Speed of target by 60.0%',0,1),
(70977,2000269,5,100,'Decreases Ability Casting Speed of target by 30.0%',0,2),
(70978,2000269,6,100,'Inflicts 337 - 562 melee damage on target',0,0),
(70979,2000269,6,100,'Decreases Ability Recovery Speed of target by 65.0%',0,1),
(70980,2000269,6,100,'Decreases Ability Casting Speed of target by 32.5%',0,2),
(70981,2000269,7,100,'Inflicts 400 - 666 melee damage on target',0,0),
(70982,2000269,7,100,'Decreases Ability Recovery Speed of target by 77.0%',0,1),
(70983,2000269,7,100,'Decreases Ability Casting Speed of target by 38.5%',0,2),
(70984,2000269,8,100,'Inflicts 536 - 894 melee damage on target',0,0),
(70985,2000269,8,100,'Decreases Ability Recovery Speed of target by 77.5%',0,1),
(70986,2000269,8,100,'Decreases Ability Casting Speed of target by 38.7%',0,2),
(70987,2000269,9,100,'Inflicts 554 - 923 melee damage on target',0,0),
(70988,2000269,9,100,'Decreases Ability Recovery Speed of target by 80.0%',0,1),
(70989,2000269,9,100,'Decreases Ability Casting Speed of target by 40.0%',0,2),
(70990,2000269,10,100,'Inflicts 581 - 969 melee damage on target',0,0),
(70991,2000269,10,100,'Decreases Ability Recovery Speed of target by 84.0%',0,1),
(70992,2000269,10,100,'Decreases Ability Casting Speed of target by 42.0%',0,2),
(70993,400169,1,100,'Decreases Defense of target by 2.3',0,0),
(70994,400169,1,100,'Decreases Mitigation of target vs physical damage by 52',0,1),
(70995,400169,2,100,'Decreases Defense of target by 2.5',0,0),
(70996,400169,2,100,'Decreases Mitigation of target vs physical damage by 55',0,1),
(70997,400169,3,100,'Decreases Defense of target by 2.6',0,0),
(70998,400169,3,100,'Decreases Mitigation of target vs physical damage by 58',0,1),
(70999,400169,4,100,'Decreases Defense of target by 2.9',0,0),
(71000,400169,4,100,'Decreases Mitigation of target vs physical damage by 63',0,1),
(71001,400169,5,100,'Decreases Defense of target by 3.1',0,0),
(71002,400169,5,100,'Decreases Mitigation of target vs physical damage by 69',0,1),
(71003,400169,7,100,'Decreases Defense of target by 4.0',0,0),
(71004,400169,7,100,'Decreases Mitigation of target vs physical damage by 89',0,1),
(71005,400169,9,100,'Decreases Defense of target by 4.2',0,0),
(71006,400169,9,100,'Decreases Mitigation of target vs physical damage by 92',0,1),
(71007,400170,1,100,'Decreases Defense of target by 5.9',0,0),
(71008,400170,1,100,'Decreases Mitigation of target vs physical damage by 99',0,1),
(71009,400170,2,100,'Decreases Defense of target by 6.3',0,0),
(71010,400170,2,100,'Decreases Mitigation of target vs physical damage by 105',0,1),
(71011,400170,3,100,'Decreases Defense of target by 6.6',0,0),
(71012,400170,3,100,'Decreases Mitigation of target vs physical damage by 110',0,1),
(71013,400170,4,100,'Decreases Defense of target by 7.3',0,0),
(71014,400170,4,100,'Decreases Mitigation of target vs physical damage by 121',0,1),
(71015,400170,5,100,'Decreases Defense of target by 7.9',0,0),
(71016,400170,5,100,'Decreases Mitigation of target vs physical damage by 132',0,1),
(71017,400170,7,100,'Decreases Defense of target by 10.2',0,0),
(71018,400170,7,100,'Decreases Mitigation of target vs physical damage by 169',0,1),
(71019,400170,9,100,'Decreases Defense of target by 10.6',0,0),
(71020,400170,9,100,'Decreases Mitigation of target vs physical damage by 176',0,1),
(71021,400171,1,100,'Decreases Defense of target by 9.7',0,0),
(71022,400171,1,100,'Decreases Mitigation of target vs physical damage by 162',0,1),
(71023,400171,2,100,'Decreases Defense of target by 10.3',0,0),
(71024,400171,2,100,'Decreases Mitigation of target vs physical damage by 171',0,1),
(71025,400171,3,100,'Decreases Defense of target by 10.8',0,0),
(71026,400171,3,100,'Decreases Mitigation of target vs physical damage by 180',0,1),
(71027,400171,4,100,'Decreases Defense of target by 11.9',0,0),
(71028,400171,4,100,'Decreases Mitigation of target vs physical damage by 198',0,1),
(71029,400171,5,100,'Decreases Defense of target by 13.0',0,0),
(71030,400171,5,100,'Decreases Mitigation of target vs physical damage by 216',0,1),
(71031,400171,7,100,'Decreases Defense of target by 16.6',0,0),
(71032,400171,7,100,'Decreases Mitigation of target vs physical damage by 277',0,1),
(71033,400171,9,100,'Decreases Defense of target by 17.3',0,0),
(71034,400171,9,100,'Decreases Mitigation of target vs physical damage by 288',0,1),
(71035,400172,1,100,'Decreases Defense of target by 13.5',0,0),
(71036,400172,1,100,'Decreases Mitigation of target vs physical damage by 225',0,1),
(71037,400172,2,100,'Decreases Defense of target by 14.3',0,0),
(71038,400172,2,100,'Decreases Mitigation of target vs physical damage by 238',0,1),
(71039,400172,3,100,'Decreases Defense of target by 15.0',0,0),
(71040,400172,3,100,'Decreases Mitigation of target vs physical damage by 250',0,1),
(71041,400172,4,100,'Decreases Defense of target by 16.5',0,0),
(71042,400172,4,100,'Decreases Mitigation of target vs physical damage by 275',0,1),
(71043,400172,5,100,'Decreases Defense of target by 18.0',0,0),
(71044,400172,5,100,'Decreases Mitigation of target vs physical damage by 300',0,1),
(71045,400172,7,100,'Decreases Defense of target by 23.1',0,0),
(71046,400172,7,100,'Decreases Mitigation of target vs physical damage by 385',0,1),
(71047,400172,9,100,'Decreases Defense of target by 24.0',0,0),
(71048,400172,9,100,'Decreases Mitigation of target vs physical damage by 400',0,1),
(71049,400173,1,100,'Decreases Defense of target by 17.3',0,0),
(71050,400173,1,100,'Decreases Mitigation of target vs physical damage by 288',0,1),
(71051,400173,2,100,'Decreases Defense of target by 18.2',0,0),
(71052,400173,2,100,'Decreases Mitigation of target vs physical damage by 304',0,1),
(71053,400173,3,100,'Decreases Defense of target by 19.2',0,0),
(71054,400173,3,100,'Decreases Mitigation of target vs physical damage by 320',0,1),
(71055,400173,4,100,'Decreases Defense of target by 21.1',0,0),
(71056,400173,4,100,'Decreases Mitigation of target vs physical damage by 352',0,1),
(71057,400173,5,100,'Decreases Defense of target by 23.0',0,0),
(71058,400173,5,100,'Decreases Mitigation of target vs physical damage by 384',0,1),
(71059,400173,7,100,'Decreases Defense of target by 29.6',0,0),
(71060,400173,7,100,'Decreases Mitigation of target vs physical damage by 493',0,1),
(71061,400173,9,100,'Decreases Defense of target by 30.7',0,0),
(71062,400173,9,100,'Decreases Mitigation of target vs physical damage by 512',0,1),
(71063,400174,1,100,'Decreases Defense of target by 20.7',0,0),
(71064,400174,1,100,'Decreases Mitigation of target vs physical damage by 362',0,1),
(71065,400174,2,100,'Decreases Defense of target by 21.9',0,0),
(71066,400174,2,100,'Decreases Mitigation of target vs physical damage by 382',0,1),
(71067,400174,3,100,'Decreases Defense of target by 23.0',0,0),
(71068,400174,3,100,'Decreases Mitigation of target vs physical damage by 402',0,1),
(71069,400174,4,100,'Decreases Defense of target by 25.3',0,0),
(71070,400174,4,100,'Decreases Mitigation of target vs physical damage by 442',0,1),
(71071,400174,5,100,'Decreases Defense of target by 27.6',0,0),
(71072,400174,5,100,'Decreases Mitigation of target vs physical damage by 482',0,1),
(71073,400174,7,100,'Decreases Defense of target by 35.4',0,0),
(71074,400174,7,100,'Decreases Mitigation of target vs physical damage by 619',0,1),
(71075,400174,9,100,'Decreases Defense of target by 36.8',0,0),
(71076,400174,9,100,'Decreases Mitigation of target vs physical damage by 643',0,1),
(71077,400175,1,100,'Decreases Defense of target by 24.3',0,0),
(71078,400175,1,100,'Decreases Mitigation of target vs physical damage by 459',0,1),
(71079,400175,4,100,'Decreases Defense of target by 29.7',0,0),
(71080,400175,4,100,'Decreases Mitigation of target vs physical damage by 561',0,1),
(71081,400175,5,100,'Decreases Defense of target by 32.4',0,0),
(71082,400175,5,100,'Decreases Mitigation of target vs physical damage by 612',0,1),
(71083,400175,7,100,'Decreases Defense of target by 41.6',0,0),
(71084,400175,7,100,'Decreases Mitigation of target vs physical damage by 785',0,1),
(71085,400175,9,100,'Decreases Defense of target by 43.2',0,0),
(71086,400175,9,100,'Decreases Mitigation of target vs physical damage by 816',0,1),
(71087,400176,1,100,'Decreases Defense of target by 27.9',0,0),
(71088,400176,1,100,'Decreases Mitigation of target vs physical damage by 513',0,1),
(71089,400176,4,100,'Decreases Defense of target by 34.1',0,0),
(71090,400176,4,100,'Decreases Mitigation of target vs physical damage by 627',0,1),
(71091,400176,5,100,'Decreases Defense of target by 37.2',0,0),
(71092,400176,5,100,'Decreases Mitigation of target vs physical damage by 684',0,1),
(71093,400176,7,100,'Decreases Defense of target by 47.7',0,0),
(71094,400176,7,100,'Decreases Mitigation of target vs physical damage by 878',0,1),
(71095,400176,9,100,'Decreases Defense of target by 49.6',0,0),
(71096,400176,9,100,'Decreases Mitigation of target vs physical damage by 912',0,1),
(71097,2000270,1,100,'Inflicts 13 - 20 poison damage on target',0,0),
(71098,2000270,1,100,'Heals caster for 12 - 18',0,1),
(71099,2000270,1,100,'Must be flanking or behind',0,2),
(71100,30206,1,100,'Applies Stoneskin Reaction.  Lasts for 1.0 seconds.',0,0),
(71101,30206,1,100,'Reduces all damage done to target by 100%',1,1),
(71102,30206,1,100,'Triggers when a Stoneskin is consumed. Suspends all other stoneskins that match the damage types of this effect.',1,2),
(71103,30206,1,100,'Will absorb all damage when the amount is greater than 10% of the target''s maximum health. This spell will absorb a total of 1 attack.',0,3),
(71104,30206,1,100,'If towershield equipped in Secondary',0,4),
(71105,30206,2,100,'Applies Stoneskin Reaction.  Lasts for 1.0 seconds.',0,0),
(71106,30206,2,100,'Reduces all damage done to target by 100%',1,1),
(71107,30206,2,100,'Triggers when a Stoneskin is consumed. Suspends all other stoneskins that match the damage types of this effect.',1,2),
(71108,30206,2,100,'Will absorb all damage when the amount is greater than 10% of the target''s maximum health. This spell will absorb a total of 1 attack.',0,3),
(71109,30206,2,100,'If towershield equipped in Secondary',0,4),
(71110,30206,3,100,'Applies Stoneskin Reaction.  Lasts for 1.0 seconds.',0,0),
(71111,30206,3,100,'Reduces all damage done to target by 100%',1,1),
(71112,30206,3,100,'Triggers when a Stoneskin is consumed. Suspends all other stoneskins that match the damage types of this effect.',1,2),
(71113,30206,3,100,'Will absorb all damage when the amount is greater than 10% of the target''s maximum health. This spell will absorb a total of 1 attack.',0,3),
(71114,30206,3,100,'If towershield equipped in Secondary',0,4),
(71115,30206,4,100,'Applies Stoneskin Reaction.  Lasts for 1.0 seconds.',0,0),
(71116,30206,4,100,'Reduces all damage done to target by 100%',1,1),
(71117,30206,4,100,'Triggers when a Stoneskin is consumed. Suspends all other stoneskins that match the damage types of this effect.',1,2),
(71118,30206,4,100,'Will absorb all damage when the amount is greater than 10% of the target''s maximum health. This spell will absorb a total of 1 attack.',0,3),
(71119,30206,4,100,'If towershield equipped in Secondary',0,4),
(71120,30206,5,100,'Applies Stoneskin Reaction.  Lasts for 1.0 seconds.',0,0),
(71121,30206,5,100,'Reduces all damage done to target by 100%',1,1),
(71122,30206,5,100,'Triggers when a Stoneskin is consumed. Suspends all other stoneskins that match the damage types of this effect.',1,2),
(71123,30206,5,100,'Will absorb all damage when the amount is greater than 10% of the target''s maximum health. This spell will absorb a total of 2 attacks.',0,3),
(71124,30206,5,100,'If towershield equipped in Secondary',0,4),
(71125,30206,7,100,'Applies Stoneskin Reaction.  Lasts for 1.0 seconds.',0,0),
(71126,30206,7,100,'Reduces all damage done to target by 100%',1,1),
(71127,30206,7,100,'Triggers when a Stoneskin is consumed. Suspends all other stoneskins that match the damage types of this effect.',1,2),
(71128,30206,7,100,'Will absorb all damage when the amount is greater than 10% of the target''s maximum health. This spell will absorb a total of 3 attacks.',0,3),
(71129,30206,7,100,'If towershield equipped in Secondary',0,4),
(71130,30206,9,100,'Applies Stoneskin Reaction.  Lasts for 1.0 seconds.',0,0),
(71131,30206,9,100,'Reduces all damage done to target by 100%',1,1),
(71132,30206,9,100,'Triggers when a Stoneskin is consumed. Suspends all other stoneskins that match the damage types of this effect.',1,2),
(71133,30206,9,100,'Will absorb all damage when the amount is greater than 10% of the target''s maximum health. This spell will absorb a total of 4 attacks.',0,3),
(71134,30206,9,100,'If towershield equipped in Secondary',0,4),
(71135,60176,1,100,'Grants target a 13% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(71136,60176,1,100,'Increases Deflection of caster by 2.8',0,1),
(71137,60176,2,100,'Grants target a 14% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(71138,60176,2,100,'Increases Deflection of caster by 3.0',0,1),
(71139,60176,3,100,'Grants target a 15% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(71140,60176,3,100,'Increases Deflection of caster by 3.2',0,1),
(71141,60176,4,100,'Grants target a 17% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(71142,60176,4,100,'Increases Deflection of caster by 3.5',0,1),
(71143,60176,5,100,'Grants target a 18% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(71144,60176,5,100,'Increases Deflection of caster by 3.8',0,1),
(71145,60176,7,100,'Grants target a 23% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(71146,60176,7,100,'Increases Deflection of caster by 4.9',0,1),
(71147,60176,9,100,'Grants target a 24% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(71148,60176,9,100,'Increases Deflection of caster by 5.0',0,1),
(71149,60177,1,100,'Grants target a 18% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(71150,60177,1,100,'Increases Deflection of caster by 4.3',0,1),
(71151,60177,2,100,'Grants target a 19% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(71152,60177,2,100,'Increases Deflection of caster by 4.6',0,1),
(71153,60177,3,100,'Grants target a 21% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(71154,60177,3,100,'Increases Deflection of caster by 4.8',0,1),
(71155,60177,4,100,'Grants target a 23% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(71156,60177,4,100,'Increases Deflection of caster by 5.3',0,1),
(71157,60177,5,100,'Grants target a 25% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(71158,60177,5,100,'Increases Deflection of caster by 5.8',0,1),
(71159,60177,7,100,'Grants target a 32% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(71160,60177,7,100,'Increases Deflection of caster by 7.4',0,1),
(71161,60177,9,100,'Grants target a 33% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(71162,60177,9,100,'Increases Deflection of caster by 7.7',0,1),
(71163,60177,10,100,'Grants target a 35% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(71164,60177,10,100,'Increases Deflection of caster by 8.1',0,1),
(71165,60178,1,100,'Grants target a 25% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(71166,60178,1,100,'Increases Deflection of caster by 6.2',0,1),
(71167,60178,2,100,'Grants target a 26% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(71168,60178,2,100,'Increases Deflection of caster by 6.6',0,1),
(71169,60178,3,100,'Grants target a 28% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(71170,60178,3,100,'Increases Deflection of caster by 6.9',0,1),
(71171,60178,4,100,'Grants target a 30% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(71172,60178,4,100,'Increases Deflection of caster by 7.6',0,1),
(71173,60178,5,100,'Grants target a 33% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(71174,60178,5,100,'Increases Deflection of caster by 8.3',0,1),
(71175,60178,7,100,'Grants target a 43% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(71176,60178,7,100,'Increases Deflection of caster by 10.6',0,1),
(71177,60178,9,100,'Grants target a 44% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(71178,60178,9,100,'Increases Deflection of caster by 11.0',0,1),
(71179,60179,1,100,'Grants target a 30% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(71180,60179,1,100,'Increases Deflection of caster by 8.1',0,1),
(71181,60179,2,100,'Grants target a 32% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(71182,60179,2,100,'Increases Deflection of caster by 8.6',0,1),
(71183,60179,3,100,'Grants target a 34% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(71184,60179,3,100,'Increases Deflection of caster by 9.0',0,1),
(71185,60179,4,100,'Grants target a 37% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(71186,60179,4,100,'Increases Deflection of caster by 9.9',0,1),
(71187,60179,5,100,'Grants target a 40% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(71188,60179,5,100,'Increases Deflection of caster by 10.8',0,1),
(71189,60179,7,100,'Grants target a 52% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(71190,60179,7,100,'Increases Deflection of caster by 13.9',0,1),
(71191,60179,9,100,'Grants target a 54% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(71192,60179,9,100,'Increases Deflection of caster by 14.4',0,1),
(71193,2000271,1,100,'Inflicts 405 - 675 melee damage on target',0,0),
(71194,2000271,1,100,'Decreases Ability Reuse Speed of target by 50.0%',0,1),
(71195,2000271,1,100,'Decreases Potency of target by 5.0%',0,2),
(71196,390183,1,100,'Inflicts 98 - 164 ranged damage on target',0,0),
(71197,390183,1,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(71198,390183,1,100,'Increases Hate Gain of target by 30.0%',1,2),
(71199,390183,1,100,'Grants a total of 1 trigger of the spell.',1,3),
(71200,390183,1,100,'Requires bow or aim',0,4),
(71201,390183,2,100,'Inflicts 104 - 173 ranged damage on target',0,0),
(71202,390183,2,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(71203,390183,2,100,'Increases Hate Gain of target by 30.0%',1,2),
(71204,390183,2,100,'Grants a total of 1 trigger of the spell.',1,3),
(71205,390183,2,100,'Requires bow or aim',0,4),
(71206,390183,3,100,'Inflicts 109 - 182 ranged damage on target',0,0),
(71207,390183,3,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(71208,390183,3,100,'Increases Hate Gain of target by 30.0%',1,2),
(71209,390183,3,100,'Grants a total of 1 trigger of the spell.',1,3),
(71210,390183,3,100,'Requires bow or aim',0,4),
(71211,390183,4,100,'Inflicts 120 - 201 ranged damage on target',0,0),
(71212,390183,4,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(71213,390183,4,100,'Increases Hate Gain of target by 30.0%',1,2),
(71214,390183,4,100,'Grants a total of 1 trigger of the spell.',1,3),
(71215,390183,4,100,'Requires bow or aim',0,4),
(71216,390183,5,100,'Inflicts 131 - 219 ranged damage on target',0,0),
(71217,390183,5,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(71218,390183,5,100,'Increases Hate Gain of target by 30.0%',1,2),
(71219,390183,5,100,'Grants a total of 1 trigger of the spell.',1,3),
(71220,390183,5,100,'Requires bow or aim',0,4),
(71221,390183,7,100,'Inflicts 168 - 281 ranged damage on target',0,0),
(71222,390183,7,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(71223,390183,7,100,'Increases Hate Gain of target by 30.0%',1,2),
(71224,390183,7,100,'Grants a total of 1 trigger of the spell.',1,3),
(71225,390183,7,100,'Requires bow or aim',0,4),
(71226,390183,9,100,'Inflicts 175 - 292 ranged damage on target',0,0),
(71227,390183,9,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(71228,390183,9,100,'Increases Hate Gain of target by 30.0%',1,2),
(71229,390183,9,100,'Grants a total of 1 trigger of the spell.',1,3),
(71230,390183,9,100,'Requires bow or aim',0,4),
(71231,390184,1,100,'Inflicts 164 - 274 ranged damage on target',0,0),
(71232,390184,1,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(71233,390184,1,100,'Increases Hate Gain of target by 30.0%',1,2),
(71234,390184,1,100,'Grants a total of 1 trigger of the spell.',1,3),
(71235,390184,1,100,'Requires bow or aim',0,4),
(71236,390184,2,100,'Inflicts 173 - 289 ranged damage on target',0,0),
(71237,390184,2,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(71238,390184,2,100,'Increases Hate Gain of target by 30.0%',1,2),
(71239,390184,2,100,'Grants a total of 1 trigger of the spell.',1,3),
(71240,390184,2,100,'Requires bow or aim',0,4),
(71241,390184,3,100,'Inflicts 182 - 304 ranged damage on target',0,0),
(71242,390184,3,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(71243,390184,3,100,'Increases Hate Gain of target by 30.0%',1,2),
(71244,390184,3,100,'Grants a total of 1 trigger of the spell.',1,3),
(71245,390184,3,100,'Requires bow or aim',0,4),
(71246,390184,4,100,'Inflicts 201 - 335 ranged damage on target',0,0),
(71247,390184,4,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(71248,390184,4,100,'Increases Hate Gain of target by 30.0%',1,2),
(71249,390184,4,100,'Grants a total of 1 trigger of the spell.',1,3),
(71250,390184,4,100,'Requires bow or aim',0,4),
(71251,390184,5,100,'Inflicts 219 - 365 ranged damage on target',0,0),
(71252,390184,5,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(71253,390184,5,100,'Increases Hate Gain of target by 30.0%',1,2),
(71254,390184,5,100,'Grants a total of 1 trigger of the spell.',1,3),
(71255,390184,5,100,'Requires bow or aim',0,4),
(71256,390184,7,100,'Inflicts 281 - 469 ranged damage on target',0,0),
(71257,390184,7,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(71258,390184,7,100,'Increases Hate Gain of target by 30.0%',1,2),
(71259,390184,7,100,'Grants a total of 1 trigger of the spell.',1,3),
(71260,390184,7,100,'Requires bow or aim',0,4),
(71261,390184,9,100,'Inflicts 292 - 487 ranged damage on target',0,0),
(71262,390184,9,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(71263,390184,9,100,'Increases Hate Gain of target by 30.0%',1,2),
(71264,390184,9,100,'Grants a total of 1 trigger of the spell.',1,3),
(71265,390184,9,100,'Requires bow or aim',0,4),
(71266,390185,1,100,'Inflicts 244 - 407 ranged damage on target',0,0),
(71267,390185,1,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(71268,390185,1,100,'Increases Hate Gain of target by 30.0%',1,2),
(71269,390185,1,100,'Grants a total of 1 trigger of the spell.',1,3),
(71270,390185,1,100,'Requires bow or aim',0,4),
(71271,390185,2,100,'Inflicts 258 - 430 ranged damage on target',0,0),
(71272,390185,2,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(71273,390185,2,100,'Increases Hate Gain of target by 30.0%',1,2),
(71274,390185,2,100,'Grants a total of 1 trigger of the spell.',1,3),
(71275,390185,2,100,'Requires bow or aim',0,4),
(71276,390185,3,100,'Inflicts 271 - 453 ranged damage on target',0,0),
(71277,390185,3,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(71278,390185,3,100,'Increases Hate Gain of target by 30.0%',1,2),
(71279,390185,3,100,'Grants a total of 1 trigger of the spell.',1,3),
(71280,390185,3,100,'Requires bow or aim',0,4),
(71281,390185,4,100,'Inflicts 299 - 498 ranged damage on target',0,0),
(71282,390185,4,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(71283,390185,4,100,'Increases Hate Gain of target by 30.0%',1,2),
(71284,390185,4,100,'Grants a total of 1 trigger of the spell.',1,3),
(71285,390185,4,100,'Requires bow or aim',0,4),
(71286,390185,5,100,'Inflicts 326 - 543 ranged damage on target',0,0),
(71287,390185,5,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(71288,390185,5,100,'Increases Hate Gain of target by 30.0%',1,2),
(71289,390185,5,100,'Grants a total of 1 trigger of the spell.',1,3),
(71290,390185,5,100,'Requires bow or aim',0,4),
(71291,390185,7,100,'Inflicts 418 - 697 ranged damage on target',0,0),
(71292,390185,7,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(71293,390185,7,100,'Increases Hate Gain of target by 30.0%',1,2),
(71294,390185,7,100,'Grants a total of 1 trigger of the spell.',1,3),
(71295,390185,7,100,'Requires bow or aim',0,4),
(71296,390185,9,100,'Inflicts 434 - 724 ranged damage on target',0,0),
(71297,390185,9,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(71298,390185,9,100,'Increases Hate Gain of target by 30.0%',1,2),
(71299,390185,9,100,'Grants a total of 1 trigger of the spell.',1,3),
(71300,390185,9,100,'Requires bow or aim',0,4),
(71301,390186,1,100,'Inflicts 326 - 544 ranged damage on target',0,0),
(71302,390186,1,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(71303,390186,1,100,'Increases Hate Gain of target by 30.0%',1,2),
(71304,390186,1,100,'Grants a total of 1 trigger of the spell.',1,3),
(71305,390186,1,100,'Requires bow or aim',0,4),
(71306,390186,2,100,'Inflicts 345 - 575 ranged damage on target',0,0),
(71307,390186,2,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(71308,390186,2,100,'Increases Hate Gain of target by 30.0%',1,2),
(71309,390186,2,100,'Grants a total of 1 trigger of the spell.',1,3),
(71310,390186,2,100,'Requires bow or aim',0,4),
(71311,390186,3,100,'Inflicts 363 - 605 ranged damage on target',0,0),
(71312,390186,3,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(71313,390186,3,100,'Increases Hate Gain of target by 30.0%',1,2),
(71314,390186,3,100,'Grants a total of 1 trigger of the spell.',1,3),
(71315,390186,3,100,'Requires bow or aim',0,4),
(71316,390186,4,100,'Inflicts 399 - 666 ranged damage on target',0,0),
(71317,390186,4,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(71318,390186,4,100,'Increases Hate Gain of target by 30.0%',1,2),
(71319,390186,4,100,'Grants a total of 1 trigger of the spell.',1,3),
(71320,390186,4,100,'Requires bow or aim',0,4),
(71321,390186,5,100,'Inflicts 435 - 726 ranged damage on target',0,0),
(71322,390186,5,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(71323,390186,5,100,'Increases Hate Gain of target by 30.0%',1,2),
(71324,390186,5,100,'Grants a total of 1 trigger of the spell.',1,3),
(71325,390186,5,100,'Requires bow or aim',0,4),
(71326,390186,7,100,'Inflicts 559 - 932 ranged damage on target',0,0),
(71327,390186,7,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(71328,390186,7,100,'Increases Hate Gain of target by 30.0%',1,2),
(71329,390186,7,100,'Grants a total of 1 trigger of the spell.',1,3),
(71330,390186,7,100,'Requires bow or aim',0,4),
(71331,390186,9,100,'Inflicts 581 - 968 ranged damage on target',0,0),
(71332,390186,9,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(71333,390186,9,100,'Increases Hate Gain of target by 30.0%',1,2),
(71334,390186,9,100,'Grants a total of 1 trigger of the spell.',1,3),
(71335,390186,9,100,'Requires bow or aim',0,4),
(71336,390187,1,100,'Inflicts 402 - 671 ranged damage on target',0,0),
(71337,390187,1,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(71338,390187,1,100,'Increases Hate Gain of target by 30.0%',1,2),
(71339,390187,1,100,'Grants a total of 1 trigger of the spell.',1,3),
(71340,390187,1,100,'Requires bow or aim',0,4),
(71341,390187,2,100,'Inflicts 425 - 708 ranged damage on target',0,0),
(71342,390187,2,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(71343,390187,2,100,'Increases Hate Gain of target by 30.0%',1,2),
(71344,390187,2,100,'Grants a total of 1 trigger of the spell.',1,3),
(71345,390187,2,100,'Requires bow or aim',0,4),
(71346,390187,3,100,'Inflicts 447 - 745 ranged damage on target',0,0),
(71347,390187,3,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(71348,390187,3,100,'Increases Hate Gain of target by 30.0%',1,2),
(71349,390187,3,100,'Grants a total of 1 trigger of the spell.',1,3),
(71350,390187,3,100,'Requires bow or aim',0,4),
(71351,390187,4,100,'Inflicts 492 - 820 ranged damage on target',0,0),
(71352,390187,4,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(71353,390187,4,100,'Increases Hate Gain of target by 30.0%',1,2),
(71354,390187,4,100,'Grants a total of 1 trigger of the spell.',1,3),
(71355,390187,4,100,'Requires bow or aim',0,4),
(71356,390187,5,100,'Inflicts 536 - 894 ranged damage on target',0,0),
(71357,390187,5,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(71358,390187,5,100,'Increases Hate Gain of target by 30.0%',1,2),
(71359,390187,5,100,'Grants a total of 1 trigger of the spell.',1,3),
(71360,390187,5,100,'Requires bow or aim',0,4),
(71361,390187,7,100,'Inflicts 688 - 1148 ranged damage on target',0,0),
(71362,390187,7,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(71363,390187,7,100,'Increases Hate Gain of target by 30.0%',1,2),
(71364,390187,7,100,'Grants a total of 1 trigger of the spell.',1,3),
(71365,390187,7,100,'Requires bow or aim',0,4),
(71366,390187,9,100,'Inflicts 715 - 1193 ranged damage on target',0,0),
(71367,390187,9,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(71368,390187,9,100,'Increases Hate Gain of target by 30.0%',1,2),
(71369,390187,9,100,'Grants a total of 1 trigger of the spell.',1,3),
(71370,390187,9,100,'Requires bow or aim',0,4),
(71371,390188,1,100,'Inflicts 485 - 808 ranged damage on target',0,0),
(71372,390188,1,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(71373,390188,1,100,'Increases Hate Gain of target by 30.0%',1,2),
(71374,390188,1,100,'Grants a total of 1 trigger of the spell.',1,3),
(71375,390188,1,100,'Requires bow or aim',0,4),
(71376,390188,4,100,'Inflicts 593 - 988 ranged damage on target',0,0),
(71377,390188,4,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(71378,390188,4,100,'Increases Hate Gain of target by 30.0%',1,2),
(71379,390188,4,100,'Grants a total of 1 trigger of the spell.',1,3),
(71380,390188,4,100,'Requires bow or aim',0,4),
(71381,390188,5,100,'Inflicts 647 - 1078 ranged damage on target',0,0),
(71382,390188,5,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(71383,390188,5,100,'Increases Hate Gain of target by 30.0%',1,2),
(71384,390188,5,100,'Grants a total of 1 trigger of the spell.',1,3),
(71385,390188,5,100,'Requires bow or aim',0,4),
(71386,390188,7,100,'Inflicts 830 - 1384 ranged damage on target',0,0),
(71387,390188,7,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(71388,390188,7,100,'Increases Hate Gain of target by 30.0%',1,2),
(71389,390188,7,100,'Grants a total of 1 trigger of the spell.',1,3),
(71390,390188,7,100,'Requires bow or aim',0,4),
(71391,390188,9,100,'Inflicts 862 - 1438 ranged damage on target',0,0),
(71392,390188,9,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(71393,390188,9,100,'Increases Hate Gain of target by 30.0%',1,2),
(71394,390188,9,100,'Grants a total of 1 trigger of the spell.',1,3),
(71395,390188,9,100,'Requires bow or aim',0,4),
(71396,390189,1,100,'Inflicts 533 - 888 ranged damage on target',0,0),
(71397,390189,1,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(71398,390189,1,100,'Increases Hate Gain of target by 30.0%',1,2),
(71399,390189,1,100,'Grants a total of 1 trigger of the spell.',1,3),
(71400,390189,1,100,'Requires bow or aim',0,4),
(71401,390189,4,100,'Inflicts 651 - 1085 ranged damage on target',0,0),
(71402,390189,4,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(71403,390189,4,100,'Increases Hate Gain of target by 30.0%',1,2),
(71404,390189,4,100,'Grants a total of 1 trigger of the spell.',1,3),
(71405,390189,4,100,'Requires bow or aim',0,4),
(71406,390189,5,100,'Inflicts 710 - 1184 ranged damage on target',0,0),
(71407,390189,5,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(71408,390189,5,100,'Increases Hate Gain of target by 30.0%',1,2),
(71409,390189,5,100,'Grants a total of 1 trigger of the spell.',1,3),
(71410,390189,5,100,'Requires bow or aim',0,4),
(71411,390189,7,100,'Inflicts 912 - 1520 ranged damage on target',0,0),
(71412,390189,7,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(71413,390189,7,100,'Increases Hate Gain of target by 30.0%',1,2),
(71414,390189,7,100,'Grants a total of 1 trigger of the spell.',1,3),
(71415,390189,7,100,'Requires bow or aim',0,4),
(71416,390189,9,100,'Inflicts 947 - 1579 ranged damage on target',0,0),
(71417,390189,9,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(71418,390189,9,100,'Increases Hate Gain of target by 30.0%',1,2),
(71419,390189,9,100,'Grants a total of 1 trigger of the spell.',1,3),
(71420,390189,9,100,'Requires bow or aim',0,4),
(71421,310022,4,100,'10% chance to apply Perfect Snare on termination.  Lasts for 15.0 seconds.',0,0),
(71422,310022,4,100,'Roots target',1,1),
(71423,310022,4,100,'10% chance to dispel when target takes damage',1,2),
(71424,310022,4,100,'10% chance to dispel when target receives hostile action',1,3),
(71425,310022,4,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 45.0 seconds and duration is reduced to 5.0 seconds.',1,4),
(71426,310022,4,100,'Applies Snare.  Lasts for 24.0 seconds.',0,5),
(71427,310022,4,100,'Slows target by 37.4%',1,6),
(71428,310022,4,100,'5% chance to dispel when target receives hostile action',1,7),
(71429,310022,4,100,'5% chance to dispel when target takes damage',1,8),
(71430,310022,4,100,'Decreases Mitigation of target vs arcane damage by 330',0,9),
(71431,390190,1,100,'Inflicts 32 - 54 ranged damage on target',0,0),
(71432,390190,1,100,'Inflicts 64 - 108 ranged damage on target',0,1),
(71433,390190,1,100,'Inflicts 97 - 162 ranged damage on target',0,2),
(71434,390190,1,100,'Requires bow or aim',0,3),
(71435,390190,2,100,'Inflicts 34 - 57 ranged damage on target',0,0),
(71436,390190,2,100,'Inflicts 68 - 114 ranged damage on target',0,1),
(71437,390190,2,100,'Inflicts 102 - 171 ranged damage on target',0,2),
(71438,390190,2,100,'Requires bow or aim',0,3),
(71439,390190,3,100,'Inflicts 36 - 60 ranged damage on target',0,0),
(71440,390190,3,100,'Inflicts 72 - 120 ranged damage on target',0,1),
(71441,390190,3,100,'Inflicts 108 - 180 ranged damage on target',0,2),
(71442,390190,3,100,'Requires bow or aim',0,3),
(71443,390190,4,100,'Inflicts 39 - 66 ranged damage on target',0,0),
(71444,390190,4,100,'Inflicts 79 - 132 ranged damage on target',0,1),
(71445,390190,4,100,'Inflicts 118 - 198 ranged damage on target',0,2),
(71446,390190,4,100,'Requires bow or aim',0,3),
(71447,390190,5,100,'Inflicts 43 - 72 ranged damage on target',0,0),
(71448,390190,5,100,'Inflicts 86 - 144 ranged damage on target',0,1),
(71449,390190,5,100,'Inflicts 129 - 216 ranged damage on target',0,2),
(71450,390190,5,100,'Requires bow or aim',0,3),
(71451,390190,7,100,'Inflicts 55 - 92 ranged damage on target',0,0),
(71452,390190,7,100,'Inflicts 111 - 185 ranged damage on target',0,1),
(71453,390190,7,100,'Inflicts 166 - 277 ranged damage on target',0,2),
(71454,390190,7,100,'Requires bow or aim',0,3),
(71455,390190,9,100,'Inflicts 57 - 96 ranged damage on target',0,0),
(71456,390190,9,100,'Inflicts 115 - 192 ranged damage on target',0,1),
(71457,390190,9,100,'Inflicts 172 - 288 ranged damage on target',0,2),
(71458,390190,9,100,'Requires bow or aim',0,3),
(71459,390191,1,100,'Inflicts 51 - 85 ranged damage on target',0,0),
(71460,390191,1,100,'Inflicts 102 - 170 ranged damage on target',0,1),
(71461,390191,1,100,'Inflicts 153 - 256 ranged damage on target',0,2),
(71462,390191,1,100,'Requires bow or aim',0,3),
(71463,390191,2,100,'Inflicts 54 - 90 ranged damage on target',0,0),
(71464,390191,2,100,'Inflicts 108 - 180 ranged damage on target',0,1),
(71465,390191,2,100,'Inflicts 162 - 270 ranged damage on target',0,2),
(71466,390191,2,100,'Requires bow or aim',0,3),
(71467,390191,3,100,'Inflicts 56 - 94 ranged damage on target',0,0),
(71468,390191,3,100,'Inflicts 113 - 189 ranged damage on target',0,1),
(71469,390191,3,100,'Inflicts 170 - 284 ranged damage on target',0,2),
(71470,390191,3,100,'Requires bow or aim',0,3),
(71471,390191,4,100,'Inflicts 62 - 104 ranged damage on target',0,0),
(71472,390191,4,100,'Inflicts 125 - 208 ranged damage on target',0,1),
(71473,390191,4,100,'Inflicts 187 - 313 ranged damage on target',0,2),
(71474,390191,4,100,'Requires bow or aim',0,3),
(71475,390191,5,100,'Inflicts 68 - 113 ranged damage on target',0,0),
(71476,390191,5,100,'Inflicts 136 - 227 ranged damage on target',0,1),
(71477,390191,5,100,'Inflicts 205 - 341 ranged damage on target',0,2),
(71478,390191,5,100,'Requires bow or aim',0,3),
(71479,390191,7,100,'Inflicts 87 - 146 ranged damage on target',0,0),
(71480,390191,7,100,'Inflicts 175 - 292 ranged damage on target',0,1),
(71481,390191,7,100,'Inflicts 263 - 438 ranged damage on target',0,2),
(71482,390191,7,100,'Requires bow or aim',0,3),
(71483,390191,9,100,'Inflicts 91 - 151 ranged damage on target',0,0),
(71484,390191,9,100,'Inflicts 182 - 303 ranged damage on target',0,1),
(71485,390191,9,100,'Inflicts 273 - 455 ranged damage on target',0,2),
(71486,390191,9,100,'Requires bow or aim',0,3),
(71487,390191,10,100,'Inflicts 95 - 159 ranged damage on target',0,0),
(71488,390191,10,100,'Inflicts 191 - 318 ranged damage on target',0,1),
(71489,390191,10,100,'Inflicts 287 - 478 ranged damage on target',0,2),
(71490,390191,10,100,'Requires bow or aim',0,3),
(71491,390192,1,100,'Inflicts 73 - 123 ranged damage on target',0,0),
(71492,390192,1,100,'Inflicts 147 - 246 ranged damage on target',0,1),
(71493,390192,1,100,'Inflicts 221 - 369 ranged damage on target',0,2),
(71494,390192,1,100,'Requires bow or aim',0,3),
(71495,390192,2,100,'Inflicts 78 - 130 ranged damage on target',0,0),
(71496,390192,2,100,'Inflicts 156 - 260 ranged damage on target',0,1),
(71497,390192,2,100,'Inflicts 234 - 390 ranged damage on target',0,2),
(71498,390192,2,100,'Requires bow or aim',0,3),
(71499,390192,3,100,'Inflicts 82 - 136 ranged damage on target',0,0),
(71500,390192,3,100,'Inflicts 164 - 273 ranged damage on target',0,1),
(71501,390192,3,100,'Inflicts 246 - 410 ranged damage on target',0,2),
(71502,390192,3,100,'Requires bow or aim',0,3),
(71503,390192,4,100,'Inflicts 90 - 150 ranged damage on target',0,0),
(71504,390192,4,100,'Inflicts 180 - 301 ranged damage on target',0,1),
(71505,390192,4,100,'Inflicts 271 - 452 ranged damage on target',0,2),
(71506,390192,4,100,'Requires bow or aim',0,3),
(71507,390192,5,100,'Inflicts 98 - 164 ranged damage on target',0,0),
(71508,390192,5,100,'Inflicts 197 - 328 ranged damage on target',0,1),
(71509,390192,5,100,'Inflicts 295 - 493 ranged damage on target',0,2),
(71510,390192,5,100,'Requires bow or aim',0,3),
(71511,390192,7,100,'Inflicts 126 - 210 ranged damage on target',0,0),
(71512,390192,7,100,'Inflicts 253 - 421 ranged damage on target',0,1),
(71513,390192,7,100,'Inflicts 379 - 632 ranged damage on target',0,2),
(71514,390192,7,100,'Requires bow or aim',0,3),
(71515,390192,9,100,'Inflicts 131 - 219 ranged damage on target',0,0),
(71516,390192,9,100,'Inflicts 263 - 438 ranged damage on target',0,1),
(71517,390192,9,100,'Inflicts 394 - 657 ranged damage on target',0,2),
(71518,390192,9,100,'Requires bow or aim',0,3),
(71519,390193,1,100,'Inflicts 96 - 161 ranged damage on target',0,0),
(71520,390193,1,100,'Inflicts 193 - 322 ranged damage on target',0,1),
(71521,390193,1,100,'Inflicts 290 - 483 ranged damage on target',0,2),
(71522,390193,1,100,'Requires bow or aim',0,3),
(71523,390193,2,100,'Inflicts 102 - 170 ranged damage on target',0,0),
(71524,390193,2,100,'Inflicts 204 - 340 ranged damage on target',0,1),
(71525,390193,2,100,'Inflicts 306 - 510 ranged damage on target',0,2),
(71526,390193,2,100,'Requires bow or aim',0,3),
(71527,390193,3,100,'Inflicts 107 - 179 ranged damage on target',0,0),
(71528,390193,3,100,'Inflicts 214 - 358 ranged damage on target',0,1),
(71529,390193,3,100,'Inflicts 322 - 537 ranged damage on target',0,2),
(71530,390193,3,100,'Requires bow or aim',0,3),
(71531,390193,4,100,'Inflicts 118 - 196 ranged damage on target',0,0),
(71532,390193,4,100,'Inflicts 236 - 393 ranged damage on target',0,1),
(71533,390193,4,100,'Inflicts 354 - 590 ranged damage on target',0,2),
(71534,390193,4,100,'Requires bow or aim',0,3),
(71535,390193,5,100,'Inflicts 128 - 214 ranged damage on target',0,0),
(71536,390193,5,100,'Inflicts 257 - 429 ranged damage on target',0,1),
(71537,390193,5,100,'Inflicts 386 - 644 ranged damage on target',0,2),
(71538,390193,5,100,'Requires bow or aim',0,3),
(71539,390193,7,100,'Inflicts 165 - 275 ranged damage on target',0,0),
(71540,390193,7,100,'Inflicts 330 - 551 ranged damage on target',0,1),
(71541,390193,7,100,'Inflicts 496 - 827 ranged damage on target',0,2),
(71542,390193,7,100,'Requires bow or aim',0,3),
(71543,390193,9,100,'Inflicts 171 - 286 ranged damage on target',0,0),
(71544,390193,9,100,'Inflicts 343 - 572 ranged damage on target',0,1),
(71545,390193,9,100,'Inflicts 515 - 859 ranged damage on target',0,2),
(71546,390193,9,100,'Requires bow or aim',0,3),
(71547,390194,1,100,'Inflicts 117 - 195 ranged damage on target',0,0),
(71548,390194,1,100,'Inflicts 234 - 390 ranged damage on target',0,1),
(71549,390194,1,100,'Inflicts 351 - 586 ranged damage on target',0,2),
(71550,390194,1,100,'Requires bow or aim',0,3),
(71551,390194,2,100,'Inflicts 123 - 206 ranged damage on target',0,0),
(71552,390194,2,100,'Inflicts 247 - 412 ranged damage on target',0,1),
(71553,390194,2,100,'Inflicts 371 - 618 ranged damage on target',0,2),
(71554,390194,2,100,'Requires bow or aim',0,3),
(71555,390194,3,100,'Inflicts 130 - 217 ranged damage on target',0,0),
(71556,390194,3,100,'Inflicts 260 - 434 ranged damage on target',0,1),
(71557,390194,3,100,'Inflicts 390 - 651 ranged damage on target',0,2),
(71558,390194,3,100,'Requires bow or aim',0,3),
(71559,390194,4,100,'Inflicts 143 - 238 ranged damage on target',0,0),
(71560,390194,4,100,'Inflicts 286 - 477 ranged damage on target',0,1),
(71561,390194,4,100,'Inflicts 429 - 716 ranged damage on target',0,2),
(71562,390194,4,100,'Requires bow or aim',0,3),
(71563,390194,5,100,'Inflicts 156 - 260 ranged damage on target',0,0),
(71564,390194,5,100,'Inflicts 312 - 521 ranged damage on target',0,1),
(71565,390194,5,100,'Inflicts 468 - 781 ranged damage on target',0,2),
(71566,390194,5,100,'Requires bow or aim',0,3),
(71567,390194,7,100,'Inflicts 200 - 334 ranged damage on target',0,0),
(71568,390194,7,100,'Inflicts 401 - 668 ranged damage on target',0,1),
(71569,390194,7,100,'Inflicts 601 - 1003 ranged damage on target',0,2),
(71570,390194,7,100,'Requires bow or aim',0,3),
(71571,390194,9,100,'Inflicts 208 - 347 ranged damage on target',0,0),
(71572,390194,9,100,'Inflicts 416 - 694 ranged damage on target',0,1),
(71573,390194,9,100,'Inflicts 625 - 1042 ranged damage on target',0,2),
(71574,390194,9,100,'Requires bow or aim',0,3),
(71575,390195,1,100,'Inflicts 141 - 235 ranged damage on target',0,0),
(71576,390195,1,100,'Inflicts 282 - 470 ranged damage on target',0,1),
(71577,390195,1,100,'Inflicts 423 - 705 ranged damage on target',0,2),
(71578,390195,1,100,'Requires bow or aim',0,3),
(71579,390195,4,100,'Inflicts 172 - 287 ranged damage on target',0,0),
(71580,390195,4,100,'Inflicts 344 - 574 ranged damage on target',0,1),
(71581,390195,4,100,'Inflicts 517 - 861 ranged damage on target',0,2),
(71582,390195,4,100,'Requires bow or aim',0,3),
(71583,390195,5,100,'Inflicts 188 - 313 ranged damage on target',0,0),
(71584,390195,5,100,'Inflicts 376 - 626 ranged damage on target',0,1),
(71585,390195,5,100,'Inflicts 564 - 940 ranged damage on target',0,2),
(71586,390195,5,100,'Requires bow or aim',0,3),
(71587,390195,7,100,'Inflicts 241 - 402 ranged damage on target',0,0),
(71588,390195,7,100,'Inflicts 482 - 804 ranged damage on target',0,1),
(71589,390195,7,100,'Inflicts 724 - 1206 ranged damage on target',0,2),
(71590,390195,7,100,'Requires bow or aim',0,3),
(71591,390195,9,100,'Inflicts 250 - 417 ranged damage on target',0,0),
(71592,390195,9,100,'Inflicts 501 - 835 ranged damage on target',0,1),
(71593,390195,9,100,'Inflicts 752 - 1253 ranged damage on target',0,2),
(71594,390195,9,100,'Requires bow or aim',0,3),
(71595,390196,1,100,'Inflicts 149 - 249 ranged damage on target',0,0),
(71596,390196,1,100,'Inflicts 299 - 498 ranged damage on target',0,1),
(71597,390196,1,100,'Inflicts 448 - 748 ranged damage on target',0,2),
(71598,390196,1,100,'Requires bow or aim',0,3),
(71599,390196,4,100,'Inflicts 182 - 304 ranged damage on target',0,0),
(71600,390196,4,100,'Inflicts 365 - 609 ranged damage on target',0,1),
(71601,390196,4,100,'Inflicts 548 - 914 ranged damage on target',0,2),
(71602,390196,4,100,'Requires bow or aim',0,3),
(71603,390196,5,100,'Inflicts 199 - 332 ranged damage on target',0,0),
(71604,390196,5,100,'Inflicts 399 - 665 ranged damage on target',0,1),
(71605,390196,5,100,'Inflicts 598 - 997 ranged damage on target',0,2),
(71606,390196,5,100,'Requires bow or aim',0,3),
(71607,390196,7,100,'Inflicts 256 - 426 ranged damage on target',0,0),
(71608,390196,7,100,'Inflicts 512 - 853 ranged damage on target',0,1),
(71609,390196,7,100,'Inflicts 768 - 1280 ranged damage on target',0,2),
(71610,390196,7,100,'Requires bow or aim',0,3),
(71611,390196,9,100,'Inflicts 266 - 443 ranged damage on target',0,0),
(71612,390196,9,100,'Inflicts 532 - 886 ranged damage on target',0,1),
(71613,390196,9,100,'Inflicts 798 - 1330 ranged damage on target',0,2),
(71614,390196,9,100,'Requires bow or aim',0,3),
(71615,420143,1,100,'Increases savagery of caster by 20.0',0,0),
(71616,420143,1,100,'This effect cannot be critically applied.',1,1),
(71617,420143,1,100,'Increases DPS of group members (AE) by 15.0',0,2),
(71618,420144,1,100,'Inflicts 396 - 660 poison damage on target',0,0),
(71619,420144,1,100,'Inflicts 3 - 5 poison damage on target every 2 seconds',0,1),
(71620,420144,1,100,'The effect of this ability grows based on Savagery and Feral Rampage level.',0,2),
(71621,420144,1,100,'You must have your warder active to use this ability.',0,3),
(71622,60180,1,100,'Caster will Riposte 100.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',0,0),
(71623,60180,1,100,'Makes caster immune to strikethrough attacks.',0,1),
(71624,60180,2,100,'Caster will Riposte 100.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',0,0),
(71625,60180,2,100,'Makes caster immune to strikethrough attacks.',0,1),
(71626,60180,3,100,'Caster will Riposte 100.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',0,0),
(71627,60180,3,100,'Makes caster immune to strikethrough attacks.',0,1),
(71628,60180,4,100,'Caster will Riposte 100.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',0,0),
(71629,60180,4,100,'Makes caster immune to strikethrough attacks.',0,1),
(71630,60180,5,100,'Caster will Riposte 100.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',0,0),
(71631,60180,5,100,'Makes caster immune to strikethrough attacks.',0,1),
(71632,60180,7,100,'Caster will Riposte 100.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',0,0),
(71633,60180,7,100,'Makes caster immune to strikethrough attacks.',0,1),
(71634,60180,9,100,'Caster will Riposte 100.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',0,0),
(71635,60180,9,100,'Makes caster immune to strikethrough attacks.',0,1),
(71636,2000272,1,100,'Inflicts 486 - 810 melee damage on target',0,0),
(71637,2000272,1,100,'Prevents AOE (except when direct) ',0,1),
(71638,2000272,2,100,'Inflicts 513 - 855 melee damage on target',0,0),
(71639,2000272,2,100,'Prevents AOE (except when direct) ',0,1),
(71640,2000272,3,100,'Inflicts 540 - 900 melee damage on target',0,0),
(71641,2000272,3,100,'Prevents AOE (except when direct) ',0,1),
(71642,2000272,4,100,'Inflicts 445 - 743 melee damage on target',0,0),
(71643,2000272,4,100,'Prevents AOE (except when direct) ',0,1),
(71644,2000272,5,100,'Inflicts 648 - 1080 melee damage on target',0,0),
(71645,2000272,5,100,'Prevents AOE (except when direct) ',0,1),
(71646,2000272,6,100,'Inflicts 526 - 878 melee damage on target',0,0),
(71647,2000272,6,100,'Prevents AOE (except when direct) ',0,1),
(71648,2000272,7,100,'Inflicts 831 - 1386 melee damage on target',0,0),
(71649,2000272,7,100,'Prevents AOE (except when direct) ',0,1),
(71650,2000272,8,100,'Inflicts 837 - 1395 melee damage on target',0,0),
(71651,2000272,8,100,'Prevents AOE (except when direct) ',0,1),
(71652,2000272,9,100,'Inflicts 864 - 1440 melee damage on target',0,0),
(71653,2000272,9,100,'Prevents AOE (except when direct) ',0,1),
(71654,2000272,10,100,'Inflicts 907 - 1512 melee damage on target',0,0),
(71655,2000272,10,100,'Prevents AOE (except when direct) ',0,1),
(71656,420145,1,100,'Reduces all damage done to group members (AE) by 4%',0,0),
(71657,420145,1,100,'Heals group members (AE) for 3 - 6',0,1),
(71658,420145,1,100,'Heals group members (AE) for 1 - 2 every 3 seconds',0,2),
(71659,420145,1,100,'The effect of this ability grows based on Savagery and Spirituality level.',0,3),
(71660,420145,1,100,'You must have your warder active to use this ability.',0,4),
(71661,420145,1,100,'You must have your warder active to use this ability.',0,5),
(71662,2000273,1,100,'Inflicts 364 - 607 piercing damage on targets in Area of Effect',0,0),
(71663,2000273,1,100,'Stifles targets in Area of Effect',0,1),
(71664,2000273,1,100,'If Target is not Epic',1,2),
(71665,2000273,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(71666,2000273,2,100,'Inflicts 288 - 481 piercing damage on targets in Area of Effect',0,0),
(71667,2000273,2,100,'Stifles targets in Area of Effect',0,1),
(71668,2000273,2,100,'If Target is not Epic',1,2),
(71669,2000273,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(71670,2000273,3,100,'Inflicts 303 - 506 piercing damage on targets in Area of Effect',0,0),
(71671,2000273,3,100,'Stifles targets in Area of Effect',0,1),
(71672,2000273,3,100,'If Target is not Epic',1,2),
(71673,2000273,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(71674,2000273,4,100,'Inflicts 334 - 557 piercing damage on targets in Area of Effect',0,0),
(71675,2000273,4,100,'Stifles targets in Area of Effect',0,1),
(71676,2000273,4,100,'If Target is not Epic',1,2),
(71677,2000273,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(71678,2000273,5,100,'Inflicts 486 - 810 piercing damage on targets in Area of Effect',0,0),
(71679,2000273,5,100,'Stifles targets in Area of Effect',0,1),
(71680,2000273,5,100,'If Target is not Epic',1,2),
(71681,2000273,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(71682,2000273,6,100,'Inflicts 526 - 877 piercing damage on targets in Area of Effect',0,0),
(71683,2000273,6,100,'Stifles targets in Area of Effect',0,1),
(71684,2000273,6,100,'If Target is not Epic',1,2),
(71685,2000273,6,100,'Resistibility increases against targets higher than level 29.',0,3),
(71686,2000273,7,100,'Inflicts 468 - 780 piercing damage on targets in Area of Effect',0,0),
(71687,2000273,7,100,'Stifles targets in Area of Effect',0,1),
(71688,2000273,7,100,'If Target is not Epic',1,2),
(71689,2000273,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(71690,2000273,8,100,'Inflicts 471 - 785 piercing damage on targets in Area of Effect',0,0),
(71691,2000273,8,100,'Stifles targets in Area of Effect',0,1),
(71692,2000273,8,100,'If Target is not Epic',1,2),
(71693,2000273,8,100,'Resistibility increases against targets higher than level 29.',0,3),
(71694,2000273,9,100,'Inflicts 648 - 1080 piercing damage on targets in Area of Effect',0,0),
(71695,2000273,9,100,'Stifles targets in Area of Effect',0,1),
(71696,2000273,9,100,'If Target is not Epic',1,2),
(71697,2000273,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(71698,2000273,10,100,'Inflicts 680 - 1134 piercing damage on targets in Area of Effect',0,0),
(71699,2000273,10,100,'Stifles targets in Area of Effect',0,1),
(71700,2000273,10,100,'If Target is not Epic',1,2),
(71701,2000273,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(71702,2000274,3,100,'Inflicts 5 - 8 piercing damage on target',0,0),
(71703,2000274,3,100,'Inflicts 1 piercing damage on target every 3 seconds',0,1),
(71704,2000274,4,100,'Inflicts 5 - 9 piercing damage on target',0,0),
(71705,2000274,4,100,'Inflicts 1 piercing damage on target every 3 seconds',0,1),
(71706,2000274,5,100,'Inflicts 6 - 10 piercing damage on target',0,0),
(71707,2000274,5,100,'Inflicts 1 - 2 piercing damage on target every 3 seconds',0,1),
(71708,2000274,7,100,'Inflicts 7 - 13 piercing damage on target',0,0),
(71709,2000274,7,100,'Inflicts 1 - 2 piercing damage on target every 3 seconds',0,1),
(71710,2000274,9,100,'Inflicts 8 - 13 piercing damage on target',0,0),
(71711,2000274,9,100,'Inflicts 1 - 2 piercing damage on target every 3 seconds',0,1),
(71712,2000274,10,100,'Inflicts 8 - 14 piercing damage on target',0,0),
(71713,2000274,10,100,'Inflicts 1 - 2 piercing damage on target every 3 seconds',0,1),
(71714,2000275,1,100,'Applies Unchained.  Lasts for 10.0 seconds.',0,0),
(71715,2000275,1,100,'Dispels when 10 advantages are used',1,1),
(71716,2000275,1,100,'Allows the beastlord to use advantages!',1,2),
(71717,2000275,1,100,'Cannot be modified except by direct means',1,3),
(71718,2000275,1,100,'Removes the casting and recovery times required to summon a warder',0,4),
(71719,2000276,3,100,'Inflicts 2 - 3 crushing damage on target encounter',0,0),
(71720,2000276,3,100,'Increases Mitigation of target encounter vs all damage by 0',0,1),
(71721,2000276,3,100,'Increases Mitigation of target encounter vs arcane damage by 0',0,2),
(71722,2000276,4,100,'Inflicts 2 - 4 crushing damage on target encounter',0,0),
(71723,2000276,4,100,'Increases Mitigation of target encounter vs all damage by 0',0,1),
(71724,2000276,4,100,'Increases Mitigation of target encounter vs arcane damage by 0',0,2),
(71725,2000276,5,100,'Inflicts 2 - 4 crushing damage on target encounter',0,0),
(71726,2000276,5,100,'Increases Mitigation of target encounter vs all damage by 0',0,1),
(71727,2000276,5,100,'Increases Mitigation of target encounter vs arcane damage by 0',0,2),
(71728,2000276,7,100,'Inflicts 3 - 5 crushing damage on target encounter',0,0),
(71729,2000276,7,100,'Increases Mitigation of target encounter vs all damage by 0',0,1),
(71730,2000276,7,100,'Increases Mitigation of target encounter vs arcane damage by 0',0,2),
(71731,2000276,9,100,'Inflicts 3 - 6 crushing damage on target encounter',0,0),
(71732,2000276,9,100,'Increases Mitigation of target encounter vs all damage by 0',0,1),
(71733,2000276,9,100,'Increases Mitigation of target encounter vs arcane damage by 0',0,2),
(71734,2000276,10,100,'Inflicts 3 - 6 crushing damage on target encounter',0,0),
(71735,2000276,10,100,'Increases Mitigation of target encounter vs all damage by 0',0,1),
(71736,2000276,10,100,'Increases Mitigation of target encounter vs physical and arcane damage by 0',0,2),
(71737,40186,1,100,'Reduces physical damage done to caster by 5%',0,0),
(71738,40186,1,100,'Decreases Slashing, Piercing and Crushing of caster by 1.8',0,1),
(71739,40186,1,100,'Increases Aggression of caster by 0.8',0,2),
(71740,40186,1,100,'Increases Defense and Parry of caster by 1.6',0,3),
(71741,40186,1,100,'Increases Mitigation of caster vs elemental damage by 138',0,4),
(71742,40186,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,5),
(71743,40186,2,100,'Reduces physical damage done to caster by 5%',0,0),
(71744,40186,2,100,'Decreases Slashing, Piercing and Crushing of caster by 1.8',0,1),
(71745,40186,2,100,'Increases Aggression of caster by 0.9',0,2),
(71746,40186,2,100,'Increases Defense and Parry of caster by 1.7',0,3),
(71747,40186,2,100,'Increases Mitigation of caster vs elemental damage by 146',0,4),
(71748,40186,2,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,5),
(71749,40186,3,100,'Reduces physical damage done to caster by 5%',0,0),
(71750,40186,3,100,'Decreases Slashing, Piercing and Crushing of caster by 1.8',0,1),
(71751,40186,3,100,'Increases Aggression of caster by 0.9',0,2),
(71752,40186,3,100,'Increases Defense and Parry of caster by 1.8',0,3),
(71753,40186,3,100,'Increases Mitigation of caster vs elemental damage by 154',0,4),
(71754,40186,3,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,5),
(71755,40186,4,100,'Reduces physical damage done to caster by 5%',0,0),
(71756,40186,4,100,'Decreases Slashing, Piercing and Crushing of caster by 1.8',0,1),
(71757,40186,4,100,'Increases Aggression of caster by 1.0',0,2),
(71758,40186,4,100,'Increases Defense and Parry of caster by 2.0',0,3),
(71759,40186,4,100,'Increases Mitigation of caster vs elemental damage by 169',0,4),
(71760,40186,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,5),
(71761,40186,5,100,'Reduces physical damage done to caster by 5%',0,0),
(71762,40186,5,100,'Decreases Slashing, Piercing and Crushing of caster by 1.8',0,1),
(71763,40186,5,100,'Increases Aggression of caster by 1.1',0,2),
(71764,40186,5,100,'Increases Defense and Parry of caster by 2.2',0,3),
(71765,40186,5,100,'Increases Mitigation of caster vs elemental damage by 184',0,4),
(71766,40186,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,5),
(71767,40186,7,100,'Reduces physical damage done to caster by 5%',0,0),
(71768,40186,7,100,'Decreases Slashing, Piercing and Crushing of caster by 1.8',0,1),
(71769,40186,7,100,'Increases Aggression of caster by 1.4',0,2),
(71770,40186,7,100,'Increases Defense and Parry of caster by 2.8',0,3),
(71771,40186,7,100,'Increases Mitigation of caster vs elemental damage by 237',0,4),
(71772,40186,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,5),
(71773,40186,9,100,'Reduces physical damage done to caster by 5%',0,0),
(71774,40186,9,100,'Decreases Slashing, Piercing and Crushing of caster by 1.8',0,1),
(71775,40186,9,100,'Increases Aggression of caster by 1.4',0,2),
(71776,40186,9,100,'Increases Defense and Parry of caster by 2.9',0,3),
(71777,40186,9,100,'Increases Mitigation of caster vs elemental damage by 246',0,4),
(71778,40186,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,5),
(71779,40187,1,100,'Reduces physical damage done to caster by 5%',0,0),
(71780,40187,1,100,'Decreases Slashing, Piercing and Crushing of caster by 4.8',0,1),
(71781,40187,1,100,'Increases Aggression of caster by 2.2',0,2),
(71782,40187,1,100,'Increases Defense and Parry of caster by 4.3',0,3),
(71783,40187,1,100,'Increases Mitigation of caster vs elemental damage by 311',0,4),
(71784,40187,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,5),
(71785,40187,2,100,'Reduces physical damage done to caster by 5%',0,0),
(71786,40187,2,100,'Decreases Slashing, Piercing and Crushing of caster by 4.8',0,1),
(71787,40187,2,100,'Increases Aggression of caster by 2.3',0,2),
(71788,40187,2,100,'Increases Defense and Parry of caster by 4.6',0,3),
(71789,40187,2,100,'Increases Mitigation of caster vs elemental damage by 328',0,4),
(71790,40187,2,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,5),
(71791,40187,3,100,'Reduces physical damage done to caster by 5%',0,0),
(71792,40187,3,100,'Decreases Slashing, Piercing and Crushing of caster by 4.8',0,1),
(71793,40187,3,100,'Increases Aggression of caster by 2.4',0,2),
(71794,40187,3,100,'Increases Defense and Parry of caster by 4.8',0,3),
(71795,40187,3,100,'Increases Mitigation of caster vs elemental damage by 346',0,4),
(71796,40187,3,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,5),
(71797,40187,4,100,'Reduces physical damage done to caster by 5%',0,0),
(71798,40187,4,100,'Decreases Slashing, Piercing and Crushing of caster by 4.8',0,1),
(71799,40187,4,100,'Increases Aggression of caster by 2.6',0,2),
(71800,40187,4,100,'Increases Defense and Parry of caster by 5.3',0,3),
(71801,40187,4,100,'Increases Mitigation of caster vs elemental damage by 380',0,4),
(71802,40187,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,5),
(71803,40187,5,100,'Reduces physical damage done to caster by 5%',0,0),
(71804,40187,5,100,'Decreases Slashing, Piercing and Crushing of caster by 4.8',0,1),
(71805,40187,5,100,'Increases Aggression of caster by 2.9',0,2),
(71806,40187,5,100,'Increases Defense and Parry of caster by 5.8',0,3),
(71807,40187,5,100,'Increases Mitigation of caster vs elemental damage by 415',0,4),
(71808,40187,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,5),
(71809,40187,7,100,'Reduces physical damage done to caster by 5%',0,0),
(71810,40187,7,100,'Decreases Slashing, Piercing and Crushing of caster by 4.8',0,1),
(71811,40187,7,100,'Increases Aggression of caster by 3.7',0,2),
(71812,40187,7,100,'Increases Defense and Parry of caster by 7.4',0,3),
(71813,40187,7,100,'Increases Mitigation of caster vs elemental damage by 532',0,4),
(71814,40187,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,5),
(71815,40187,9,100,'Reduces physical damage done to caster by 5%',0,0),
(71816,40187,9,100,'Decreases Slashing, Piercing and Crushing of caster by 4.8',0,1),
(71817,40187,9,100,'Increases Aggression of caster by 3.8',0,2),
(71818,40187,9,100,'Increases Defense and Parry of caster by 7.7',0,3),
(71819,40187,9,100,'Increases Mitigation of caster vs elemental damage by 553',0,4),
(71820,40187,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,5),
(71822,40188,1,100,'Decreases Slashing, Piercing and Crushing of caster by 9.0',0,0),
(71824,40188,1,100,'Increases Defense and Parry of caster by 8.1',0,1),
(71828,40188,2,100,'Decreases Slashing, Piercing and Crushing of caster by 9.0',0,0),
(71830,40188,2,100,'Increases Defense and Parry of caster by 8.6',0,1),
(71834,40188,3,100,'Decreases Slashing, Piercing and Crushing of caster by 9.0',0,0),
(71836,40188,3,100,'Increases Defense and Parry of caster by 9.0',0,1),
(71840,40188,4,100,'Decreases Slashing, Piercing and Crushing of caster by 9.0',0,0),
(71842,40188,4,100,'Increases Defense and Parry of caster by 9.9',0,1),
(71846,40188,5,100,'Decreases Slashing, Piercing and Crushing of caster by 9.0',0,0),
(71848,40188,5,100,'Increases Defense and Parry of caster by 10.8',0,1),
(71852,40188,7,100,'Decreases Slashing, Piercing and Crushing of caster by 9.0',0,0),
(71855,40188,7,100,'Increases Defense and Parry of caster by 13.9',0,1),
(71858,40188,9,100,'Decreases Slashing, Piercing and Crushing of caster by 9.0',0,0),
(71860,40188,9,100,'Increases Defense and Parry of caster by 14.4',0,1),
(71863,40189,1,100,'Reduces physical damage done to caster by 5%',0,0),
(71864,40189,1,100,'Decreases Slashing, Piercing and Crushing of caster by 13.2',0,1),
(71865,40189,1,100,'Increases Aggression of caster by 5.9',0,2),
(71866,40189,1,100,'Increases Defense and Parry of caster by 11.9',0,3),
(71867,40189,1,100,'Increases Mitigation of caster vs elemental damage by 792',0,4),
(71868,40189,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,5),
(71869,40189,2,100,'Reduces physical damage done to caster by 5%',0,0),
(71870,40189,2,100,'Decreases Slashing, Piercing and Crushing of caster by 13.2',0,1),
(71871,40189,2,100,'Increases Aggression of caster by 6.3',0,2),
(71872,40189,2,100,'Increases Defense and Parry of caster by 12.5',0,3),
(71873,40189,2,100,'Increases Mitigation of caster vs elemental damage by 836',0,4),
(71874,40189,2,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,5),
(71875,40189,3,100,'Reduces physical damage done to caster by 5%',0,0),
(71876,40189,3,100,'Decreases Slashing, Piercing and Crushing of caster by 13.2',0,1),
(71877,40189,3,100,'Increases Aggression of caster by 6.6',0,2),
(71878,40189,3,100,'Increases Defense and Parry of caster by 13.2',0,3),
(71879,40189,3,100,'Increases Mitigation of caster vs elemental damage by 880',0,4),
(71880,40189,3,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,5),
(71881,40189,4,100,'Reduces physical damage done to caster by 5%',0,0),
(71882,40189,4,100,'Decreases Slashing, Piercing and Crushing of caster by 13.2',0,1),
(71883,40189,4,100,'Increases Aggression of caster by 7.3',0,2),
(71884,40189,4,100,'Increases Defense and Parry of caster by 14.5',0,3),
(71885,40189,4,100,'Increases Mitigation of caster vs elemental damage by 968',0,4),
(71886,40189,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,5),
(71887,40189,5,100,'Reduces physical damage done to caster by 5%',0,0),
(71888,40189,5,100,'Decreases Slashing, Piercing and Crushing of caster by 13.2',0,1),
(71889,40189,5,100,'Increases Aggression of caster by 7.9',0,2),
(71890,40189,5,100,'Increases Defense and Parry of caster by 15.8',0,3),
(71891,40189,5,100,'Increases Mitigation of caster vs elemental damage by 1056',0,4),
(71892,40189,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,5),
(71893,40189,7,100,'Reduces physical damage done to caster by 5%',0,0),
(71894,40189,7,100,'Decreases Slashing, Piercing and Crushing of caster by 13.2',0,1),
(71895,40189,7,100,'Increases Aggression of caster by 10.2',0,2),
(71896,40189,7,100,'Increases Defense and Parry of caster by 20.3',0,3),
(71897,40189,7,100,'Increases Mitigation of caster vs elemental damage by 1355',0,4),
(71898,40189,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,5),
(71899,40189,9,100,'Reduces physical damage done to caster by 5%',0,0),
(71900,40189,9,100,'Decreases Slashing, Piercing and Crushing of caster by 13.2',0,1),
(71901,40189,9,100,'Increases Aggression of caster by 10.6',0,2),
(71902,40189,9,100,'Increases Defense and Parry of caster by 21.1',0,3),
(71903,40189,9,100,'Increases Mitigation of caster vs elemental damage by 1408',0,4),
(71904,40189,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,5),
(71905,40190,1,100,'Reduces physical damage done to caster by 5%',0,0),
(71906,40190,1,100,'Decreases Slashing, Piercing and Crushing of caster by 17.4',0,1),
(71907,40190,1,100,'Increases Aggression of caster by 7.8',0,2),
(71908,40190,1,100,'Increases Defense and Parry of caster by 15.7',0,3),
(71909,40190,1,100,'Increases Mitigation of caster vs elemental damage by 1044',0,4),
(71910,40190,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,5),
(71911,40190,2,100,'Reduces physical damage done to caster by 5%',0,0),
(71912,40190,2,100,'Decreases Slashing, Piercing and Crushing of caster by 17.4',0,1),
(71913,40190,2,100,'Increases Aggression of caster by 8.3',0,2),
(71914,40190,2,100,'Increases Defense and Parry of caster by 16.5',0,3),
(71915,40190,2,100,'Increases Mitigation of caster vs elemental damage by 1102',0,4),
(71916,40190,2,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,5),
(71917,40190,3,100,'Reduces physical damage done to caster by 5%',0,0),
(71918,40190,3,100,'Decreases Slashing, Piercing and Crushing of caster by 17.4',0,1),
(71919,40190,3,100,'Increases Aggression of caster by 8.7',0,2),
(71920,40190,3,100,'Increases Defense and Parry of caster by 17.4',0,3),
(71921,40190,3,100,'Increases Mitigation of caster vs elemental damage by 1160',0,4),
(71922,40190,3,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,5),
(71923,40190,4,100,'Reduces physical damage done to caster by 5%',0,0),
(71924,40190,4,100,'Decreases Slashing, Piercing and Crushing of caster by 17.4',0,1),
(71925,40190,4,100,'Increases Aggression of caster by 9.6',0,2),
(71926,40190,4,100,'Increases Defense and Parry of caster by 19.1',0,3),
(71927,40190,4,100,'Increases Mitigation of caster vs elemental damage by 1276',0,4),
(71928,40190,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,5),
(71929,40190,5,100,'Reduces physical damage done to caster by 5%',0,0),
(71930,40190,5,100,'Decreases Slashing, Piercing and Crushing of caster by 17.4',0,1),
(71931,40190,5,100,'Increases Aggression of caster by 10.4',0,2),
(71932,40190,5,100,'Increases Defense and Parry of caster by 20.9',0,3),
(71933,40190,5,100,'Increases Mitigation of caster vs elemental damage by 1392',0,4),
(71934,40190,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,5),
(71935,40190,7,100,'Reduces physical damage done to caster by 5%',0,0),
(71936,40190,7,100,'Decreases Slashing, Piercing and Crushing of caster by 17.4',0,1),
(71937,40190,7,100,'Increases Aggression of caster by 13.4',0,2),
(71938,40190,7,100,'Increases Defense and Parry of caster by 26.8',0,3),
(71939,40190,7,100,'Increases Mitigation of caster vs elemental damage by 1786',0,4),
(71940,40190,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,5),
(71941,40190,9,100,'Reduces physical damage done to caster by 5%',0,0),
(71942,40190,9,100,'Decreases Slashing, Piercing and Crushing of caster by 17.4',0,1),
(71943,40190,9,100,'Increases Aggression of caster by 13.9',0,2),
(71944,40190,9,100,'Increases Defense and Parry of caster by 27.8',0,3),
(71945,40190,9,100,'Increases Mitigation of caster vs elemental damage by 1856',0,4),
(71946,40190,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,5),
(71947,40191,1,100,'Reduces physical damage done to caster by 5%',0,0),
(71948,40191,1,100,'Decreases Slashing, Piercing and Crushing of caster by 21.8',0,1),
(71949,40191,1,100,'Increases Aggression of caster by 9.8',0,2),
(71950,40191,1,100,'Increases Defense and Parry of caster by 19.6',0,3),
(71951,40191,1,100,'Increases Mitigation of caster vs elemental damage by 1361',0,4),
(71952,40191,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,5),
(71953,40191,2,100,'Reduces physical damage done to caster by 5%',0,0),
(71954,40191,2,100,'Decreases Slashing, Piercing and Crushing of caster by 21.8',0,1),
(71955,40191,2,100,'Increases Aggression of caster by 10.4',0,2),
(71956,40191,2,100,'Increases Defense and Parry of caster by 20.7',0,3),
(71957,40191,2,100,'Increases Mitigation of caster vs elemental damage by 1436',0,4),
(71958,40191,2,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,5),
(71959,40191,3,100,'Reduces physical damage done to caster by 5%',0,0),
(71960,40191,3,100,'Decreases Slashing, Piercing and Crushing of caster by 21.8',0,1),
(71961,40191,3,100,'Increases Aggression of caster by 10.9',0,2),
(71962,40191,3,100,'Increases Defense and Parry of caster by 21.8',0,3),
(71963,40191,3,100,'Increases Mitigation of caster vs elemental damage by 1512',0,4),
(71964,40191,3,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,5),
(71965,40191,4,100,'Reduces physical damage done to caster by 5%',0,0),
(71966,40191,4,100,'Decreases Slashing, Piercing and Crushing of caster by 21.8',0,1),
(71967,40191,4,100,'Increases Aggression of caster by 12.0',0,2),
(71968,40191,4,100,'Increases Defense and Parry of caster by 24.0',0,3),
(71969,40191,4,100,'Increases Mitigation of caster vs elemental damage by 1663',0,4),
(71970,40191,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,5),
(71971,40191,5,100,'Reduces physical damage done to caster by 5%',0,0),
(71972,40191,5,100,'Decreases Slashing, Piercing and Crushing of caster by 21.8',0,1),
(71973,40191,5,100,'Increases Aggression of caster by 13.1',0,2),
(71974,40191,5,100,'Increases Defense and Parry of caster by 26.2',0,3),
(71975,40191,5,100,'Increases Mitigation of caster vs elemental damage by 1814',0,4),
(71976,40191,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,5),
(71977,40191,7,100,'Reduces physical damage done to caster by 5%',0,0),
(71978,40191,7,100,'Decreases Slashing, Piercing and Crushing of caster by 21.8',0,1),
(71979,40191,7,100,'Increases Aggression of caster by 16.8',0,2),
(71980,40191,7,100,'Increases Defense and Parry of caster by 33.6',0,3),
(71981,40191,7,100,'Increases Mitigation of caster vs elemental damage by 2328',0,4),
(71982,40191,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,5),
(71983,40191,9,100,'Reduces physical damage done to caster by 5%',0,0),
(71984,40191,9,100,'Decreases Slashing, Piercing and Crushing of caster by 21.8',0,1),
(71985,40191,9,100,'Increases Aggression of caster by 17.4',0,2),
(71986,40191,9,100,'Increases Defense and Parry of caster by 34.9',0,3),
(71987,40191,9,100,'Increases Mitigation of caster vs elemental damage by 2419',0,4),
(71988,40191,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,5),
(71989,40192,1,100,'Reduces physical damage done to caster by 5%',0,0),
(71990,40192,1,100,'Decreases Slashing, Piercing and Crushing of caster by 25.8',0,1),
(71991,40192,1,100,'Increases Aggression of caster by 11.7',0,2),
(71992,40192,1,100,'Increases Defense and Parry of caster by 23.4',0,3),
(71993,40192,1,100,'Increases Mitigation of caster vs elemental damage by 1565',0,4),
(71994,40192,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,5),
(71995,40192,4,100,'Reduces physical damage done to caster by 5%',0,0),
(71996,40192,4,100,'Decreases Slashing, Piercing and Crushing of caster by 25.8',0,1),
(71997,40192,4,100,'Increases Aggression of caster by 14.3',0,2),
(71998,40192,4,100,'Increases Defense and Parry of caster by 28.6',0,3),
(71999,40192,4,100,'Increases Mitigation of caster vs elemental damage by 1912',0,4),
(72000,40192,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,5),
(72001,40192,5,100,'Reduces physical damage done to caster by 5%',0,0),
(72002,40192,5,100,'Decreases Slashing, Piercing and Crushing of caster by 25.8',0,1),
(72003,40192,5,100,'Increases Aggression of caster by 15.6',0,2),
(72004,40192,5,100,'Increases Defense and Parry of caster by 31.2',0,3),
(72005,40192,5,100,'Increases Mitigation of caster vs elemental damage by 2086',0,4),
(72006,40192,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,5),
(72007,40192,7,100,'Reduces physical damage done to caster by 5%',0,0),
(72008,40192,7,100,'Decreases Slashing, Piercing and Crushing of caster by 25.8',0,1),
(72009,40192,7,100,'Increases Aggression of caster by 20.0',0,2),
(72010,40192,7,100,'Increases Defense and Parry of caster by 40.0',0,3),
(72011,40192,7,100,'Increases Mitigation of caster vs elemental damage by 2677',0,4),
(72012,40192,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,5),
(72013,40192,9,100,'Reduces physical damage done to caster by 5%',0,0),
(72014,40192,9,100,'Decreases Slashing, Piercing and Crushing of caster by 25.8',0,1),
(72015,40192,9,100,'Increases Aggression of caster by 20.8',0,2),
(72016,40192,9,100,'Increases Defense and Parry of caster by 41.6',0,3),
(72017,40192,9,100,'Increases Mitigation of caster vs elemental damage by 2781',0,4),
(72018,40192,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,5),
(72019,40193,1,100,'Reduces physical damage done to caster by 5%',0,0),
(72020,40193,1,100,'Decreases Slashing, Piercing and Crushing of caster by 29.8',0,1),
(72021,40193,1,100,'Increases Aggression of caster by 13.9',0,2),
(72022,40193,1,100,'Increases Defense and Parry of caster by 27.9',0,3),
(72023,40193,1,100,'Increases Mitigation of caster vs elemental damage by 1822',0,4),
(72024,40193,1,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,5),
(72025,40193,4,100,'Reduces physical damage done to caster by 5%',0,0),
(72026,40193,4,100,'Decreases Slashing, Piercing and Crushing of caster by 29.8',0,1),
(72027,40193,4,100,'Increases Aggression of caster by 17.1',0,2),
(72028,40193,4,100,'Increases Defense and Parry of caster by 34.1',0,3),
(72029,40193,4,100,'Increases Mitigation of caster vs elemental damage by 2226',0,4),
(72030,40193,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,5),
(72031,40193,5,100,'Reduces physical damage done to caster by 5%',0,0),
(72032,40193,5,100,'Decreases Slashing, Piercing and Crushing of caster by 29.8',0,1),
(72033,40193,5,100,'Increases Aggression of caster by 18.6',0,2),
(72034,40193,5,100,'Increases Defense and Parry of caster by 37.2',0,3),
(72035,40193,5,100,'Increases Mitigation of caster vs elemental damage by 2429',0,4),
(72036,40193,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,5),
(72037,40193,7,100,'Reduces physical damage done to caster by 5%',0,0),
(72038,40193,7,100,'Decreases Slashing, Piercing and Crushing of caster by 29.8',0,1),
(72039,40193,7,100,'Increases Aggression of caster by 23.9',0,2),
(72040,40193,7,100,'Increases Defense and Parry of caster by 47.7',0,3),
(72041,40193,7,100,'Increases Mitigation of caster vs elemental damage by 3117',0,4),
(72042,40193,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,5),
(72043,40193,9,100,'Reduces physical damage done to caster by 5%',0,0),
(72044,40193,9,100,'Decreases Slashing, Piercing and Crushing of caster by 29.8',0,1),
(72045,40193,9,100,'Increases Aggression of caster by 24.8',0,2),
(72046,40193,9,100,'Increases Defense and Parry of caster by 49.6',0,3),
(72047,40193,9,100,'Increases Mitigation of caster vs elemental damage by 3238',0,4),
(72048,40193,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,5),
(72049,90068,1,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(72050,90068,1,100,'Inflicts 11 - 19 disease damage on target',1,1),
(72051,90068,1,100,'Heals caster for 1.2 - 1.5% of max health',1,2),
(72052,90068,1,100,'This effect cannot be critically applied.',2,3),
(72053,90068,1,100,'The healing of this spell cannot be modified except by direct means',1,4),
(72054,90068,2,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(72055,90068,2,100,'Inflicts 12 - 20 disease damage on target',1,1),
(72056,90068,2,100,'Heals caster for 1.3 - 1.6% of max health',1,2),
(72057,90068,2,100,'This effect cannot be critically applied.',2,3),
(72058,90068,2,100,'The healing of this spell cannot be modified except by direct means',1,4),
(72059,90068,3,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(72060,90068,3,100,'Inflicts 12 - 21 disease damage on target',1,1),
(72061,90068,3,100,'Heals caster for 1.3 - 1.6% of max health',1,2),
(72062,90068,3,100,'This effect cannot be critically applied.',2,3),
(72063,90068,3,100,'The healing of this spell cannot be modified except by direct means',1,4),
(72064,90068,4,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(72065,90068,4,100,'Inflicts 14 - 23 disease damage on target',1,1),
(72066,90068,4,100,'Heals caster for 1.5 - 1.8% of max health',1,2),
(72067,90068,4,100,'This effect cannot be critically applied.',2,3),
(72068,90068,4,100,'The healing of this spell cannot be modified except by direct means',1,4),
(72069,90068,5,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(72070,90068,5,100,'Inflicts 15 - 25 disease damage on target',1,1),
(72071,90068,5,100,'Heals caster for 1.6 - 2.0% of max health',1,2),
(72072,90068,5,100,'This effect cannot be critically applied.',2,3),
(72073,90068,5,100,'The healing of this spell cannot be modified except by direct means',1,4),
(72074,90068,7,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(72075,90068,7,100,'Inflicts 19 - 32 disease damage on target',1,1),
(72076,90068,7,100,'Heals caster for 2.1 - 2.5% of max health',1,2),
(72077,90068,7,100,'This effect cannot be critically applied.',2,3),
(72078,90068,7,100,'The healing of this spell cannot be modified except by direct means',1,4),
(72079,90068,9,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(72080,90068,9,100,'Inflicts 20 - 33 disease damage on target',1,1),
(72081,90068,9,100,'Heals caster for 2.2 - 2.6% of max health',1,2),
(72082,90068,9,100,'This effect cannot be critically applied.',2,3),
(72083,90068,9,100,'The healing of this spell cannot be modified except by direct means',1,4),
(72084,90069,1,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(72085,90069,1,100,'Inflicts 28 - 47 disease damage on target',1,1),
(72086,90069,1,100,'Heals caster for 1.2 - 1.5% of max health',1,2),
(72087,90069,1,100,'This effect cannot be critically applied.',2,3),
(72088,90069,1,100,'The healing of this spell cannot be modified except by direct means',1,4),
(72089,90069,2,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(72090,90069,2,100,'Inflicts 30 - 50 disease damage on target',1,1),
(72091,90069,2,100,'Heals caster for 1.3 - 1.6% of max health',1,2),
(72092,90069,2,100,'This effect cannot be critically applied.',2,3),
(72093,90069,2,100,'The healing of this spell cannot be modified except by direct means',1,4),
(72094,90069,3,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(72095,90069,3,100,'Inflicts 32 - 53 disease damage on target',1,1),
(72096,90069,3,100,'Heals caster for 1.4 - 1.7% of max health',1,2),
(72097,90069,3,100,'This effect cannot be critically applied.',2,3),
(72098,90069,3,100,'The healing of this spell cannot be modified except by direct means',1,4),
(72099,90069,4,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(72100,90069,4,100,'Inflicts 35 - 58 disease damage on target',1,1),
(72101,90069,4,100,'Heals caster for 1.5 - 1.9% of max health',1,2),
(72102,90069,4,100,'This effect cannot be critically applied.',2,3),
(72103,90069,4,100,'The healing of this spell cannot be modified except by direct means',1,4),
(72104,90069,5,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(72105,90069,5,100,'Inflicts 38 - 63 disease damage on target',1,1),
(72106,90069,5,100,'Heals caster for 1.7 - 2.0% of max health',1,2),
(72107,90069,5,100,'This effect cannot be critically applied.',2,3),
(72108,90069,5,100,'The healing of this spell cannot be modified except by direct means',1,4),
(72109,90069,7,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(72110,90069,7,100,'Inflicts 49 - 81 disease damage on target',1,1),
(72111,90069,7,100,'Heals caster for 2.1 - 2.6% of max health',1,2),
(72112,90069,7,100,'This effect cannot be critically applied.',2,3),
(72113,90069,7,100,'The healing of this spell cannot be modified except by direct means',1,4),
(72114,90069,9,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(72115,90069,9,100,'Inflicts 50 - 84 disease damage on target',1,1),
(72116,90069,9,100,'Heals caster for 2.2 - 2.7% of max health',1,2),
(72117,90069,9,100,'This effect cannot be critically applied.',2,3),
(72118,90069,9,100,'The healing of this spell cannot be modified except by direct means',1,4),
(72119,90070,1,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(72120,90070,1,100,'Inflicts 48 - 80 disease damage on target',1,1),
(72121,90070,1,100,'Heals caster for 1.3 - 1.5% of max health',1,2),
(72122,90070,1,100,'This effect cannot be critically applied.',2,3),
(72123,90070,1,100,'The healing of this spell cannot be modified except by direct means',1,4),
(72124,90070,2,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(72125,90070,2,100,'Inflicts 51 - 85 disease damage on target',1,1),
(72126,90070,2,100,'Heals caster for 1.3 - 1.6% of max health',1,2),
(72127,90070,2,100,'This effect cannot be critically applied.',2,3),
(72128,90070,2,100,'The healing of this spell cannot be modified except by direct means',1,4),
(72129,90070,3,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(72130,90070,3,100,'Inflicts 54 - 89 disease damage on target',1,1),
(72131,90070,3,100,'Heals caster for 1.4 - 1.7% of max health',1,2),
(72132,90070,3,100,'This effect cannot be critically applied.',2,3),
(72133,90070,3,100,'The healing of this spell cannot be modified except by direct means',1,4),
(72134,90070,4,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(72135,90070,4,100,'Inflicts 59 - 98 disease damage on target',1,1),
(72136,90070,4,100,'Heals caster for 1.5 - 1.9% of max health',1,2),
(72137,90070,4,100,'This effect cannot be critically applied.',2,3),
(72138,90070,4,100,'The healing of this spell cannot be modified except by direct means',1,4),
(72139,90070,5,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(72140,90070,5,100,'Inflicts 64 - 107 disease damage on target',1,1),
(72141,90070,5,100,'Heals caster for 1.7 - 2.1% of max health',1,2),
(72142,90070,5,100,'This effect cannot be critically applied.',2,3),
(72143,90070,5,100,'The healing of this spell cannot be modified except by direct means',1,4),
(72144,90070,7,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(72145,90070,7,100,'Inflicts 83 - 138 disease damage on target',1,1),
(72146,90070,7,100,'Heals caster for 2.2 - 2.6% of max health',1,2),
(72147,90070,7,100,'This effect cannot be critically applied.',2,3),
(72148,90070,7,100,'The healing of this spell cannot be modified except by direct means',1,4),
(72149,90070,9,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(72150,90070,9,100,'Inflicts 86 - 143 disease damage on target',1,1),
(72151,90070,9,100,'Heals caster for 2.2 - 2.7% of max health',1,2),
(72152,90070,9,100,'This effect cannot be critically applied.',2,3),
(72153,90070,9,100,'The healing of this spell cannot be modified except by direct means',1,4),
(72154,90071,1,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(72155,90071,1,100,'Inflicts 72 - 120 disease damage on target',1,1),
(72156,90071,1,100,'Heals caster for 1.3 - 1.6% of max health',1,2),
(72157,90071,1,100,'This effect cannot be critically applied.',2,3),
(72158,90071,1,100,'The healing of this spell cannot be modified except by direct means',1,4),
(72159,90071,2,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(72160,90071,2,100,'Inflicts 76 - 127 disease damage on target',1,1),
(72161,90071,2,100,'Heals caster for 1.4 - 1.7% of max health',1,2),
(72162,90071,2,100,'This effect cannot be critically applied.',2,3),
(72163,90071,2,100,'The healing of this spell cannot be modified except by direct means',1,4),
(72164,90071,3,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(72165,90071,3,100,'Inflicts 80 - 133 disease damage on target',1,1),
(72166,90071,3,100,'Heals caster for 1.4 - 1.8% of max health',1,2),
(72167,90071,3,100,'This effect cannot be critically applied.',2,3),
(72168,90071,3,100,'The healing of this spell cannot be modified except by direct means',1,4),
(72169,90071,4,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(72170,90071,4,100,'Inflicts 88 - 147 disease damage on target',1,1),
(72171,90071,4,100,'Heals caster for 1.6 - 1.9% of max health',1,2),
(72172,90071,4,100,'This effect cannot be critically applied.',2,3),
(72173,90071,4,100,'The healing of this spell cannot be modified except by direct means',1,4),
(72174,90071,5,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(72175,90071,5,100,'Inflicts 96 - 160 disease damage on target',1,1),
(72176,90071,5,100,'Heals caster for 1.7 - 2.1% of max health',1,2),
(72177,90071,5,100,'This effect cannot be critically applied.',2,3),
(72178,90071,5,100,'The healing of this spell cannot be modified except by direct means',1,4),
(72179,90071,7,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(72180,90071,7,100,'Inflicts 123 - 205 disease damage on target',1,1),
(72181,90071,7,100,'Heals caster for 2.2 - 2.7% of max health',1,2),
(72182,90071,7,100,'This effect cannot be critically applied.',2,3),
(72183,90071,7,100,'The healing of this spell cannot be modified except by direct means',1,4),
(72184,90071,9,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(72185,90071,9,100,'Inflicts 128 - 213 disease damage on target',1,1),
(72186,90071,9,100,'Heals caster for 2.3 - 2.8% of max health',1,2),
(72187,90071,9,100,'This effect cannot be critically applied.',2,3),
(72188,90071,9,100,'The healing of this spell cannot be modified except by direct means',1,4),
(72189,90072,1,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(72190,90072,1,100,'Inflicts 97 - 161 disease damage on target',1,1),
(72191,90072,1,100,'Heals caster for 1.3 - 1.6% of max health',1,2),
(72192,90072,1,100,'This effect cannot be critically applied.',2,3),
(72193,90072,1,100,'The healing of this spell cannot be modified except by direct means',1,4),
(72194,90072,2,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(72195,90072,2,100,'Inflicts 102 - 170 disease damage on target',1,1),
(72196,90072,2,100,'Heals caster for 1.4 - 1.7% of max health',1,2),
(72197,90072,2,100,'This effect cannot be critically applied.',2,3),
(72198,90072,2,100,'The healing of this spell cannot be modified except by direct means',1,4),
(72199,90072,3,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(72200,90072,3,100,'Inflicts 108 - 179 disease damage on target',1,1),
(72201,90072,3,100,'Heals caster for 1.5 - 1.8% of max health',1,2),
(72202,90072,3,100,'This effect cannot be critically applied.',2,3),
(72203,90072,3,100,'The healing of this spell cannot be modified except by direct means',1,4),
(72204,90072,4,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(72205,90072,4,100,'Inflicts 118 - 197 disease damage on target',1,1),
(72206,90072,4,100,'Heals caster for 1.6 - 2.0% of max health',1,2),
(72207,90072,4,100,'This effect cannot be critically applied.',2,3),
(72208,90072,4,100,'The healing of this spell cannot be modified except by direct means',1,4),
(72209,90072,5,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(72210,90072,5,100,'Inflicts 129 - 215 disease damage on target',1,1),
(72211,90072,5,100,'Heals caster for 1.8 - 2.1% of max health',1,2),
(72212,90072,5,100,'This effect cannot be critically applied.',2,3),
(72213,90072,5,100,'The healing of this spell cannot be modified except by direct means',1,4),
(72214,90072,7,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(72215,90072,7,100,'Inflicts 166 - 276 disease damage on target',1,1),
(72216,90072,7,100,'Heals caster for 2.3 - 2.8% of max health',1,2),
(72217,90072,7,100,'This effect cannot be critically applied.',2,3),
(72218,90072,7,100,'The healing of this spell cannot be modified except by direct means',1,4),
(72219,90072,9,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(72220,90072,9,100,'Inflicts 172 - 287 disease damage on target',1,1),
(72221,90072,9,100,'Heals caster for 2.3 - 2.9% of max health',1,2),
(72222,90072,9,100,'This effect cannot be critically applied.',2,3),
(72223,90072,9,100,'The healing of this spell cannot be modified except by direct means',1,4),
(72224,90073,1,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(72225,90073,1,100,'Inflicts 119 - 199 disease damage on target',1,1),
(72226,90073,1,100,'Heals caster for 1.3 - 1.6% of max health',1,2),
(72227,90073,1,100,'This effect cannot be critically applied.',2,3),
(72228,90073,1,100,'The healing of this spell cannot be modified except by direct means',1,4),
(72229,90073,2,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(72230,90073,2,100,'Inflicts 126 - 210 disease damage on target',1,1),
(72231,90073,2,100,'Heals caster for 1.4 - 1.7% of max health',1,2),
(72232,90073,2,100,'This effect cannot be critically applied.',2,3),
(72233,90073,2,100,'The healing of this spell cannot be modified except by direct means',1,4),
(72234,90073,3,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(72235,90073,3,100,'Inflicts 132 - 221 disease damage on target',1,1),
(72236,90073,3,100,'Heals caster for 1.5 - 1.8% of max health',1,2),
(72237,90073,3,100,'This effect cannot be critically applied.',2,3),
(72238,90073,3,100,'The healing of this spell cannot be modified except by direct means',1,4),
(72239,90073,4,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(72240,90073,4,100,'Inflicts 146 - 243 disease damage on target',1,1),
(72241,90073,4,100,'Heals caster for 1.6 - 2.0% of max health',1,2),
(72242,90073,4,100,'This effect cannot be critically applied.',2,3),
(72243,90073,4,100,'The healing of this spell cannot be modified except by direct means',1,4),
(72244,90073,5,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(72245,90073,5,100,'Inflicts 159 - 265 disease damage on target',1,1),
(72246,90073,5,100,'Heals caster for 1.8 - 2.2% of max health',1,2),
(72247,90073,5,100,'This effect cannot be critically applied.',2,3),
(72248,90073,5,100,'The healing of this spell cannot be modified except by direct means',1,4),
(72249,90073,7,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(72250,90073,7,100,'Inflicts 204 - 340 disease damage on target',1,1),
(72251,90073,7,100,'Heals caster for 2.3 - 2.8% of max health',1,2),
(72252,90073,7,100,'This effect cannot be critically applied.',2,3),
(72253,90073,7,100,'The healing of this spell cannot be modified except by direct means',1,4),
(72254,90073,9,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(72255,90073,9,100,'Inflicts 212 - 353 disease damage on target',1,1),
(72256,90073,9,100,'Heals caster for 2.4 - 2.9% of max health',1,2),
(72257,90073,9,100,'This effect cannot be critically applied.',2,3),
(72258,90073,9,100,'The healing of this spell cannot be modified except by direct means',1,4),
(72259,90074,1,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(72260,90074,1,100,'Inflicts 144 - 240 disease damage on target',1,1),
(72261,90074,1,100,'Heals caster for 1.4 - 1.7% of max health',1,2),
(72262,90074,1,100,'This effect cannot be critically applied.',2,3),
(72263,90074,1,100,'The healing of this spell cannot be modified except by direct means',1,4),
(72264,90074,4,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(72265,90074,4,100,'Inflicts 176 - 293 disease damage on target',1,1),
(72266,90074,4,100,'Heals caster for 1.7 - 2.0% of max health',1,2),
(72267,90074,4,100,'This effect cannot be critically applied.',2,3),
(72268,90074,4,100,'The healing of this spell cannot be modified except by direct means',1,4),
(72269,90074,5,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(72270,90074,5,100,'Inflicts 192 - 320 disease damage on target',1,1),
(72271,90074,5,100,'Heals caster for 1.8 - 2.2% of max health',1,2),
(72272,90074,5,100,'This effect cannot be critically applied.',2,3),
(72273,90074,5,100,'The healing of this spell cannot be modified except by direct means',1,4),
(72274,90074,7,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(72275,90074,7,100,'Inflicts 246 - 410 disease damage on target',1,1),
(72276,90074,7,100,'Heals caster for 2.3 - 2.8% of max health',1,2),
(72277,90074,7,100,'This effect cannot be critically applied.',2,3),
(72278,90074,7,100,'The healing of this spell cannot be modified except by direct means',1,4),
(72279,90074,9,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(72280,90074,9,100,'Inflicts 256 - 426 disease damage on target',1,1),
(72281,90074,9,100,'Heals caster for 2.4 - 2.9% of max health',1,2),
(72282,90074,9,100,'This effect cannot be critically applied.',2,3),
(72283,90074,9,100,'The healing of this spell cannot be modified except by direct means',1,4),
(72284,90075,1,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(72285,90075,1,100,'Inflicts 160 - 267 disease damage on target',1,1),
(72286,90075,1,100,'Heals caster for 1.4 - 1.7% of max health',1,2),
(72287,90075,1,100,'This effect cannot be critically applied.',2,3),
(72288,90075,1,100,'The healing of this spell cannot be modified except by direct means',1,4),
(72289,90075,4,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(72290,90075,4,100,'Inflicts 195 - 326 disease damage on target',1,1),
(72291,90075,4,100,'Heals caster for 1.7 - 2.1% of max health',1,2),
(72292,90075,4,100,'This effect cannot be critically applied.',2,3),
(72293,90075,4,100,'The healing of this spell cannot be modified except by direct means',1,4),
(72294,90075,5,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(72295,90075,5,100,'Inflicts 213 - 355 disease damage on target',1,1),
(72296,90075,5,100,'Heals caster for 1.8 - 2.2% of max health',1,2),
(72297,90075,5,100,'This effect cannot be critically applied.',2,3),
(72298,90075,5,100,'The healing of this spell cannot be modified except by direct means',1,4),
(72299,90075,7,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(72300,90075,7,100,'Inflicts 274 - 456 disease damage on target',1,1),
(72301,90075,7,100,'Heals caster for 2.4 - 2.9% of max health',1,2),
(72302,90075,7,100,'This effect cannot be critically applied.',2,3),
(72303,90075,7,100,'The healing of this spell cannot be modified except by direct means',1,4),
(72304,90075,9,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(72305,90075,9,100,'Inflicts 284 - 474 disease damage on target',1,1),
(72306,90075,9,100,'Heals caster for 2.5 - 3.0% of max health',1,2),
(72307,90075,9,100,'This effect cannot be critically applied.',2,3),
(72308,90075,9,100,'The healing of this spell cannot be modified except by direct means',1,4),
(72309,2000277,1,100,'Caster will Riposte 20.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',0,0),
(72310,2000277,1,100,'Increases Weapon Damage Bonus of group members (AE) by 10.0',0,1),
(72311,2000277,1,100,'Makes group members (AE) immune to disarm effects',0,2),
(72312,2000277,1,100,'Prevents group members (AE) from being Interrupted',0,3),
(72313,2000277,1,100,'Makes group members (AE) immune to effects that prevent changing targets',0,4),
(72314,2000277,1,100,'Makes Group members (AE) immune to taunt effects.',0,5),
(72315,80019,1,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(72316,80019,1,100,'Throws target back',1,1),
(72317,80019,1,100,'Blurs vision of target',1,2),
(72318,80019,1,100,'Stuns target',1,3),
(72319,80019,1,100,'Does not affect Epic targets',1,4),
(72320,80019,1,100,'Inflicts 11 - 18 crushing damage on target',0,5),
(72321,80019,1,100,'Increases Threat to target by 833 ',0,6),
(72322,80019,1,100,'If Shield equipped in Secondary',0,7),
(72323,80019,2,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(72324,80019,2,100,'Throws target back',1,1),
(72325,80019,2,100,'Blurs vision of target',1,2),
(72326,80019,2,100,'Stuns target',1,3),
(72327,80019,2,100,'Does not affect Epic targets',1,4),
(72328,80019,2,100,'Inflicts 11 - 19 crushing damage on target',0,5),
(72329,80019,2,100,'Increases Threat to target by 879 ',0,6),
(72330,80019,2,100,'If Shield equipped in Secondary',0,7),
(72331,80019,3,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(72332,80019,3,100,'Throws target back',1,1),
(72333,80019,3,100,'Blurs vision of target',1,2),
(72334,80019,3,100,'Stuns target',1,3),
(72335,80019,3,100,'Does not affect Epic targets',1,4),
(72336,80019,3,100,'Inflicts 12 - 20 crushing damage on target',0,5),
(72337,80019,3,100,'Increases Threat to target by 926 ',0,6),
(72338,80019,3,100,'If Shield equipped in Secondary',0,7),
(72339,80019,4,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(72340,80019,4,100,'Throws target back',1,1),
(72341,80019,4,100,'Blurs vision of target',1,2),
(72342,80019,4,100,'Stuns target',1,3),
(72343,80019,4,100,'Does not affect Epic targets',1,4),
(72344,80019,4,100,'Inflicts 13 - 23 crushing damage on target',0,5),
(72345,80019,4,100,'Increases Threat to target by 1,018 ',0,6),
(72346,80019,4,100,'If Shield equipped in Secondary',0,7),
(72347,80019,5,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(72348,80019,5,100,'Throws target back',1,1),
(72349,80019,5,100,'Blurs vision of target',1,2),
(72350,80019,5,100,'Stuns target',1,3),
(72351,80019,5,100,'Does not affect Epic targets',1,4),
(72352,80019,5,100,'Inflicts 15 - 25 crushing damage on target',0,5),
(72353,80019,5,100,'Increases Threat to target by 1,111 ',0,6),
(72354,80019,5,100,'If Shield equipped in Secondary',0,7),
(72355,80019,7,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(72356,80019,7,100,'Throws target back',1,1),
(72357,80019,7,100,'Blurs vision of target',1,2),
(72358,80019,7,100,'Stuns target',1,3),
(72359,80019,7,100,'Does not affect Epic targets',1,4),
(72360,80019,7,100,'Inflicts 19 - 32 crushing damage on target',0,5),
(72361,80019,7,100,'Increases Threat to target by 1,365 ',0,6),
(72362,80019,7,100,'If Shield equipped in Secondary',0,7),
(72363,80019,9,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(72364,80019,9,100,'Throws target back',1,1),
(72365,80019,9,100,'Blurs vision of target',1,2),
(72366,80019,9,100,'Stuns target',1,3),
(72367,80019,9,100,'Does not affect Epic targets',1,4),
(72368,80019,9,100,'Inflicts 20 - 33 crushing damage on target',0,5),
(72369,80019,9,100,'Increases Threat to target by 1,398 ',0,6),
(72370,80019,9,100,'If Shield equipped in Secondary',0,7),
(72371,70200,12,100,'Suspends Recklessness',0,0),
(72372,70200,12,100,'Makes caster immune to strikethrough attacks.',0,1),
(72373,70200,12,100,'Caster will Dodge 100.0% of incoming attacks',0,2),
(72374,70200,12,100,'Heals caster for 10.0% of max health',0,3),
(72375,70200,12,100,'Heals caster for 5.0% of max health every second',0,4),
(72376,70200,12,100,'This effect cannot be critically applied.',1,5),
(72377,70200,12,100,'The healing of this spell cannot be modified except by direct means',0,6),
(72378,20013,1,100,'On death this spell will cast Death''s Door on caster.  Lasts for 36.0 seconds.  ',0,0),
(72379,20013,1,100,'Applies Exploding Heart on termination.',1,1),
(72380,20013,1,100,'Heals caster for 56.2% of max health',1,2),
(72381,20013,1,100,'This effect cannot be critically applied.',2,3),
(72382,20013,1,100,'The healing of this spell cannot be modified except by direct means',1,4),
(72383,20013,1,100,'Grants a total of 1 trigger of the spell.',1,5),
(72384,20013,2,100,'On death this spell will cast Death''s Door on caster.  Lasts for 36.0 seconds.  ',0,0),
(72385,20013,2,100,'Applies Exploding Heart on termination.',1,1),
(72386,20013,2,100,'Heals caster for 59.4% of max health',1,2),
(72387,20013,2,100,'This effect cannot be critically applied.',2,3),
(72388,20013,2,100,'The healing of this spell cannot be modified except by direct means',1,4),
(72389,20013,2,100,'Grants a total of 1 trigger of the spell.',1,5),
(72390,20013,3,100,'On death this spell will cast Death''s Door on caster.  Lasts for 36.0 seconds.  ',0,0),
(72391,20013,3,100,'Applies Exploding Heart on termination.',1,1),
(72392,20013,3,100,'Heals caster for 62.5% of max health',1,2),
(72393,20013,3,100,'This effect cannot be critically applied.',2,3),
(72394,20013,3,100,'The healing of this spell cannot be modified except by direct means',1,4),
(72395,20013,3,100,'Grants a total of 1 trigger of the spell.',1,5),
(72396,20013,4,100,'On death this spell will cast Death''s Door on caster.  Lasts for 36.0 seconds.  ',0,0),
(72397,20013,4,100,'Applies Exploding Heart on termination.',1,1),
(72398,20013,4,100,'Heals caster for 68.7% of max health',1,2),
(72399,20013,4,100,'This effect cannot be critically applied.',2,3),
(72400,20013,4,100,'The healing of this spell cannot be modified except by direct means',1,4),
(72401,20013,4,100,'Grants a total of 1 trigger of the spell.',1,5),
(72402,20013,5,100,'On death this spell will cast Death''s Door on caster.  Lasts for 36.0 seconds.  ',0,0),
(72403,20013,5,100,'Applies Exploding Heart on termination.',1,1),
(72404,20013,5,100,'Heals caster for 75.0% of max health',1,2),
(72405,20013,5,100,'This effect cannot be critically applied.',2,3),
(72406,20013,5,100,'The healing of this spell cannot be modified except by direct means',1,4),
(72407,20013,5,100,'Grants a total of 1 trigger of the spell.',1,5),
(72408,20013,7,100,'On death this spell will cast Death''s Door on caster.  Lasts for 36.0 seconds.  ',0,0),
(72409,20013,7,100,'Applies Exploding Heart on termination.',1,1),
(72410,20013,7,100,'Heals caster for 96.2% of max health',1,2),
(72411,20013,7,100,'This effect cannot be critically applied.',2,3),
(72412,20013,7,100,'The healing of this spell cannot be modified except by direct means',1,4),
(72413,20013,7,100,'Grants a total of 1 trigger of the spell.',1,5),
(72414,20013,9,100,'On death this spell will cast Death''s Door on caster.  Lasts for 36.0 seconds.  ',0,0),
(72415,20013,9,100,'Applies Exploding Heart on termination.',1,1),
(72416,20013,9,100,'Heals caster for 100.0% of max health',1,2),
(72417,20013,9,100,'This effect cannot be critically applied.',2,3),
(72418,20013,9,100,'The healing of this spell cannot be modified except by direct means',1,4),
(72419,20013,9,100,'Grants a total of 1 trigger of the spell.',1,5),
(72420,70201,1,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(72421,70201,1,100,'Throws target back',1,1),
(72422,70201,1,100,'Blurs vision of target',1,2),
(72423,70201,1,100,'Stuns target',1,3),
(72424,70201,1,100,'Does not affect Epic targets',1,4),
(72425,70201,1,100,'Inflicts 72 - 218 melee damage on target',0,5),
(72426,70201,2,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(72427,70201,2,100,'Throws target back',1,1),
(72428,70201,2,100,'Blurs vision of target',1,2),
(72429,70201,2,100,'Stuns target',1,3),
(72430,70201,2,100,'Does not affect Epic targets',1,4),
(72431,70201,2,100,'Inflicts 77 - 231 melee damage on target',0,5),
(72432,70201,3,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(72433,70201,3,100,'Throws target back',1,1),
(72434,70201,3,100,'Blurs vision of target',1,2),
(72435,70201,3,100,'Stuns target',1,3),
(72436,70201,3,100,'Does not affect Epic targets',1,4),
(72437,70201,3,100,'Inflicts 81 - 243 melee damage on target',0,5),
(72438,70201,4,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(72439,70201,4,100,'Throws target back',1,1),
(72440,70201,4,100,'Blurs vision of target',1,2),
(72441,70201,4,100,'Stuns target',1,3),
(72442,70201,4,100,'Does not affect Epic targets',1,4),
(72443,70201,4,100,'Inflicts 89 - 267 melee damage on target',0,5),
(72444,70201,5,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(72445,70201,5,100,'Throws target back',1,1),
(72446,70201,5,100,'Blurs vision of target',1,2),
(72447,70201,5,100,'Stuns target',1,3),
(72448,70201,5,100,'Does not affect Epic targets',1,4),
(72449,70201,5,100,'Inflicts 97 - 291 melee damage on target',0,5),
(72450,70201,7,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(72451,70201,7,100,'Throws target back',1,1),
(72452,70201,7,100,'Blurs vision of target',1,2),
(72453,70201,7,100,'Stuns target',1,3),
(72454,70201,7,100,'Does not affect Epic targets',1,4),
(72455,70201,7,100,'Inflicts 124 - 374 melee damage on target',0,5),
(72456,70201,9,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(72457,70201,9,100,'Throws target back',1,1),
(72458,70201,9,100,'Blurs vision of target',1,2),
(72459,70201,9,100,'Stuns target',1,3),
(72460,70201,9,100,'Does not affect Epic targets',1,4),
(72461,70201,9,100,'Inflicts 129 - 389 melee damage on target',0,5),
(72462,70202,1,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(72463,70202,1,100,'Throws target back',1,1),
(72464,70202,1,100,'Blurs vision of target',1,2),
(72465,70202,1,100,'Stuns target',1,3),
(72466,70202,1,100,'Does not affect Epic targets',1,4),
(72467,70202,1,100,'Inflicts 113 - 340 melee damage on target',0,5),
(72468,70202,2,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(72469,70202,2,100,'Throws target back',1,1),
(72470,70202,2,100,'Blurs vision of target',1,2),
(72471,70202,2,100,'Stuns target',1,3),
(72472,70202,2,100,'Does not affect Epic targets',1,4),
(72473,70202,2,100,'Inflicts 119 - 359 melee damage on target',0,5),
(72474,70202,3,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(72475,70202,3,100,'Throws target back',1,1),
(72476,70202,3,100,'Blurs vision of target',1,2),
(72477,70202,3,100,'Stuns target',1,3),
(72478,70202,3,100,'Does not affect Epic targets',1,4),
(72479,70202,3,100,'Inflicts 126 - 378 melee damage on target',0,5),
(72480,70202,4,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(72481,70202,4,100,'Throws target back',1,1),
(72482,70202,4,100,'Blurs vision of target',1,2),
(72483,70202,4,100,'Stuns target',1,3),
(72484,70202,4,100,'Does not affect Epic targets',1,4),
(72485,70202,4,100,'Inflicts 138 - 416 melee damage on target',0,5),
(72486,70202,5,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(72487,70202,5,100,'Throws target back',1,1),
(72488,70202,5,100,'Blurs vision of target',1,2),
(72489,70202,5,100,'Stuns target',1,3),
(72490,70202,5,100,'Does not affect Epic targets',1,4),
(72491,70202,5,100,'Inflicts 151 - 454 melee damage on target',0,5),
(72492,70202,7,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(72493,70202,7,100,'Throws target back',1,1),
(72494,70202,7,100,'Blurs vision of target',1,2),
(72495,70202,7,100,'Stuns target',1,3),
(72496,70202,7,100,'Does not affect Epic targets',1,4),
(72497,70202,7,100,'Inflicts 194 - 582 melee damage on target',0,5),
(72498,70202,9,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(72499,70202,9,100,'Throws target back',1,1),
(72500,70202,9,100,'Blurs vision of target',1,2),
(72501,70202,9,100,'Stuns target',1,3),
(72502,70202,9,100,'Does not affect Epic targets',1,4),
(72503,70202,9,100,'Inflicts 201 - 605 melee damage on target',0,5),
(72504,70202,10,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(72505,70202,10,100,'Throws target back',1,1),
(72506,70202,10,100,'Blurs vision of target',1,2),
(72507,70202,10,100,'Stuns target',1,3),
(72508,70202,10,100,'Does not affect Epic targets',1,4),
(72509,70202,10,100,'Inflicts 211 - 635 melee damage on target',0,5),
(72510,70203,1,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(72511,70203,1,100,'Throws target back',1,1),
(72512,70203,1,100,'Blurs vision of target',1,2),
(72513,70203,1,100,'Stuns target',1,3),
(72514,70203,1,100,'Does not affect Epic targets',1,4),
(72515,70203,1,100,'Inflicts 160 - 482 melee damage on target',0,5),
(72516,70203,2,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(72517,70203,2,100,'Throws target back',1,1),
(72518,70203,2,100,'Blurs vision of target',1,2),
(72519,70203,2,100,'Stuns target',1,3),
(72520,70203,2,100,'Does not affect Epic targets',1,4),
(72521,70203,2,100,'Inflicts 169 - 509 melee damage on target',0,5),
(72522,70203,3,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(72523,70203,3,100,'Throws target back',1,1),
(72524,70203,3,100,'Blurs vision of target',1,2),
(72525,70203,3,100,'Stuns target',1,3),
(72526,70203,3,100,'Does not affect Epic targets',1,4),
(72527,70203,3,100,'Inflicts 178 - 536 melee damage on target',0,5),
(72528,70203,4,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(72529,70203,4,100,'Throws target back',1,1),
(72530,70203,4,100,'Blurs vision of target',1,2),
(72531,70203,4,100,'Stuns target',1,3),
(72532,70203,4,100,'Does not affect Epic targets',1,4),
(72533,70203,4,100,'Inflicts 196 - 589 melee damage on target',0,5),
(72534,70203,5,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(72535,70203,5,100,'Throws target back',1,1),
(72536,70203,5,100,'Blurs vision of target',1,2),
(72537,70203,5,100,'Stuns target',1,3),
(72538,70203,5,100,'Does not affect Epic targets',1,4),
(72539,70203,5,100,'Inflicts 214 - 643 melee damage on target',0,5),
(72540,70203,7,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(72541,70203,7,100,'Throws target back',1,1),
(72542,70203,7,100,'Blurs vision of target',1,2),
(72543,70203,7,100,'Stuns target',1,3),
(72544,70203,7,100,'Does not affect Epic targets',1,4),
(72545,70203,7,100,'Inflicts 275 - 825 melee damage on target',0,5),
(72546,70203,9,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(72547,70203,9,100,'Throws target back',1,1),
(72548,70203,9,100,'Blurs vision of target',1,2),
(72549,70203,9,100,'Stuns target',1,3),
(72550,70203,9,100,'Does not affect Epic targets',1,4),
(72551,70203,9,100,'Inflicts 286 - 858 melee damage on target',0,5),
(72552,70204,1,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(72553,70204,1,100,'Throws target back',1,1),
(72554,70204,1,100,'Blurs vision of target',1,2),
(72555,70204,1,100,'Stuns target',1,3),
(72556,70204,1,100,'Does not affect Epic targets',1,4),
(72557,70204,1,100,'Inflicts 209 - 629 melee damage on target',0,5),
(72558,70204,2,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(72559,70204,2,100,'Throws target back',1,1),
(72560,70204,2,100,'Blurs vision of target',1,2),
(72561,70204,2,100,'Stuns target',1,3),
(72562,70204,2,100,'Does not affect Epic targets',1,4),
(72563,70204,2,100,'Inflicts 221 - 664 melee damage on target',0,5),
(72564,70204,3,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(72565,70204,3,100,'Throws target back',1,1),
(72566,70204,3,100,'Blurs vision of target',1,2),
(72567,70204,3,100,'Stuns target',1,3),
(72568,70204,3,100,'Does not affect Epic targets',1,4),
(72569,70204,3,100,'Inflicts 233 - 699 melee damage on target',0,5),
(72570,70204,4,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(72571,70204,4,100,'Throws target back',1,1),
(72572,70204,4,100,'Blurs vision of target',1,2),
(72573,70204,4,100,'Stuns target',1,3),
(72574,70204,4,100,'Does not affect Epic targets',1,4),
(72575,70204,4,100,'Inflicts 256 - 769 melee damage on target',0,5),
(72576,70204,5,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(72577,70204,5,100,'Throws target back',1,1),
(72578,70204,5,100,'Blurs vision of target',1,2),
(72579,70204,5,100,'Stuns target',1,3),
(72580,70204,5,100,'Does not affect Epic targets',1,4),
(72581,70204,5,100,'Inflicts 279 - 839 melee damage on target',0,5),
(72582,70204,7,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(72583,70204,7,100,'Throws target back',1,1),
(72584,70204,7,100,'Blurs vision of target',1,2),
(72585,70204,7,100,'Stuns target',1,3),
(72586,70204,7,100,'Does not affect Epic targets',1,4),
(72587,70204,7,100,'Inflicts 359 - 1077 melee damage on target',0,5),
(72588,70204,9,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(72589,70204,9,100,'Throws target back',1,1),
(72590,70204,9,100,'Blurs vision of target',1,2),
(72591,70204,9,100,'Stuns target',1,3),
(72592,70204,9,100,'Does not affect Epic targets',1,4),
(72593,70204,9,100,'Inflicts 373 - 1119 melee damage on target',0,5),
(72594,70204,10,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(72595,70204,10,100,'Throws target back',1,1),
(72596,70204,10,100,'Blurs vision of target',1,2),
(72597,70204,10,100,'Stuns target',1,3),
(72598,70204,10,100,'Does not affect Epic targets',1,4),
(72599,70204,10,100,'Inflicts 391 - 1175 melee damage on target',0,5),
(72600,70205,1,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(72601,70205,1,100,'Throws target back',1,1),
(72602,70205,1,100,'Blurs vision of target',1,2),
(72603,70205,1,100,'Stuns target',1,3),
(72604,70205,1,100,'Does not affect Epic targets',1,4),
(72605,70205,1,100,'Inflicts 254 - 762 melee damage on target',0,5),
(72606,70205,4,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(72607,70205,4,100,'Throws target back',1,1),
(72608,70205,4,100,'Blurs vision of target',1,2),
(72609,70205,4,100,'Stuns target',1,3),
(72610,70205,4,100,'Does not affect Epic targets',1,4),
(72611,70205,4,100,'Inflicts 310 - 931 melee damage on target',0,5),
(72612,70205,5,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(72613,70205,5,100,'Throws target back',1,1),
(72614,70205,5,100,'Blurs vision of target',1,2),
(72615,70205,5,100,'Stuns target',1,3),
(72616,70205,5,100,'Does not affect Epic targets',1,4),
(72617,70205,5,100,'Inflicts 338 - 1016 melee damage on target',0,5),
(72618,70205,7,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(72619,70205,7,100,'Throws target back',1,1),
(72620,70205,7,100,'Blurs vision of target',1,2),
(72621,70205,7,100,'Stuns target',1,3),
(72622,70205,7,100,'Does not affect Epic targets',1,4),
(72623,70205,7,100,'Inflicts 434 - 1304 melee damage on target',0,5),
(72624,70205,9,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(72625,70205,9,100,'Throws target back',1,1),
(72626,70205,9,100,'Blurs vision of target',1,2),
(72627,70205,9,100,'Stuns target',1,3),
(72628,70205,9,100,'Does not affect Epic targets',1,4),
(72629,70205,9,100,'Inflicts 451 - 1355 melee damage on target',0,5),
(72630,70206,1,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(72631,70206,1,100,'Throws target back',1,1),
(72632,70206,1,100,'Blurs vision of target',1,2),
(72633,70206,1,100,'Stuns target',1,3),
(72634,70206,1,100,'Does not affect Epic targets',1,4),
(72635,70206,1,100,'Inflicts 297 - 892 melee damage on target',0,5),
(72636,70206,4,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(72637,70206,4,100,'Throws target back',1,1),
(72638,70206,4,100,'Blurs vision of target',1,2),
(72639,70206,4,100,'Stuns target',1,3),
(72640,70206,4,100,'Does not affect Epic targets',1,4),
(72641,70206,4,100,'Inflicts 363 - 1090 melee damage on target',0,5),
(72642,70206,5,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(72643,70206,5,100,'Throws target back',1,1),
(72644,70206,5,100,'Blurs vision of target',1,2),
(72645,70206,5,100,'Stuns target',1,3),
(72646,70206,5,100,'Does not affect Epic targets',1,4),
(72647,70206,5,100,'Inflicts 396 - 1189 melee damage on target',0,5),
(72648,70206,7,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(72649,70206,7,100,'Throws target back',1,1),
(72650,70206,7,100,'Blurs vision of target',1,2),
(72651,70206,7,100,'Stuns target',1,3),
(72652,70206,7,100,'Does not affect Epic targets',1,4),
(72653,70206,7,100,'Inflicts 508 - 1526 melee damage on target',0,5),
(72654,70206,9,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(72655,70206,9,100,'Throws target back',1,1),
(72656,70206,9,100,'Blurs vision of target',1,2),
(72657,70206,9,100,'Stuns target',1,3),
(72658,70206,9,100,'Does not affect Epic targets',1,4),
(72659,70206,9,100,'Inflicts 528 - 1586 melee damage on target',0,5),
(72660,2000278,1,100,'Inflicts 692 - 2077 melee damage on targets in Area of Effect',0,0),
(72661,2000278,1,100,'Stifles targets in Area of Effect',0,1),
(72662,2000278,1,100,'If Target is not Epic',1,2),
(72663,2000278,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(72664,440050,1,100,'Inflicts 5 - 9 ranged damage on target',0,0),
(72665,440050,1,100,'Requires bow or aim',0,1),
(72666,440050,4,100,'Inflicts 6 - 11 ranged damage on target',0,0),
(72667,440050,4,100,'Requires bow or aim',0,1),
(72668,440050,5,100,'Inflicts 7 - 12 ranged damage on target',0,0),
(72669,440050,5,100,'Requires bow or aim',0,1),
(72670,440050,7,100,'Inflicts 9 - 15 ranged damage on target',0,0),
(72671,440050,7,100,'Requires bow or aim',0,1),
(72672,440050,9,100,'Inflicts 9 - 16 ranged damage on target',0,0),
(72673,440050,9,100,'Requires bow or aim',0,1),
(72674,440051,1,100,'Inflicts 6 - 11 ranged damage on target',0,0),
(72675,440051,1,100,'Requires bow or aim',0,1),
(72676,440051,4,100,'Inflicts 8 - 13 ranged damage on target',0,0),
(72677,440051,4,100,'Requires bow or aim',0,1),
(72678,440051,5,100,'Inflicts 9 - 15 ranged damage on target',0,0),
(72679,440051,5,100,'Requires bow or aim',0,1),
(72680,440051,7,100,'Inflicts 11 - 19 ranged damage on target',0,0),
(72681,440051,7,100,'Requires bow or aim',0,1),
(72682,440051,9,100,'Inflicts 12 - 20 ranged damage on target',0,0),
(72683,440051,9,100,'Requires bow or aim',0,1),
(72684,440052,1,100,'Inflicts 25 - 41 ranged damage on target',0,0),
(72685,440052,1,100,'Requires bow or aim',0,1),
(72686,440052,4,100,'Inflicts 30 - 51 ranged damage on target',0,0),
(72687,440052,4,100,'Requires bow or aim',0,1),
(72688,440052,5,100,'Inflicts 33 - 55 ranged damage on target',0,0),
(72689,440052,5,100,'Requires bow or aim',0,1),
(72690,440052,7,100,'Inflicts 42 - 71 ranged damage on target',0,0),
(72691,440052,7,100,'Requires bow or aim',0,1),
(72692,440052,9,100,'Inflicts 44 - 74 ranged damage on target',0,0),
(72693,440052,9,100,'Requires bow or aim',0,1),
(72694,440052,10,100,'Inflicts 46 - 78 ranged damage on target',0,0),
(72695,440052,10,100,'Requires bow or aim',0,1),
(72696,440053,1,100,'Inflicts 46 - 77 ranged damage on target',0,0),
(72697,440053,1,100,'Requires bow or aim',0,1),
(72698,440053,4,100,'Inflicts 56 - 94 ranged damage on target',0,0),
(72699,440053,4,100,'Requires bow or aim',0,1),
(72700,440053,5,100,'Inflicts 61 - 102 ranged damage on target',0,0),
(72701,440053,5,100,'Requires bow or aim',0,1),
(72702,440053,7,100,'Inflicts 79 - 131 ranged damage on target',0,0),
(72703,440053,7,100,'Requires bow or aim',0,1),
(72704,440053,9,100,'Inflicts 82 - 136 ranged damage on target',0,0),
(72705,440053,9,100,'Requires bow or aim',0,1),
(72706,440053,10,100,'Inflicts 86 - 143 ranged damage on target',0,0),
(72707,440053,10,100,'Requires bow or aim',0,1),
(72708,440054,1,100,'Inflicts 188 - 314 ranged damage on target',0,0),
(72709,440054,1,100,'Requires bow or aim',0,1),
(72710,440054,4,100,'Inflicts 230 - 384 ranged damage on target',0,0),
(72711,440054,4,100,'Requires bow or aim',0,1),
(72712,440054,5,100,'Inflicts 251 - 419 ranged damage on target',0,0),
(72713,440054,5,100,'Requires bow or aim',0,1),
(72714,440054,7,100,'Inflicts 323 - 538 ranged damage on target',0,0),
(72715,440054,7,100,'Requires bow or aim',0,1),
(72716,440054,9,100,'Inflicts 335 - 559 ranged damage on target',0,0),
(72717,440054,9,100,'Requires bow or aim',0,1),
(72718,440054,10,100,'Inflicts 352 - 587 ranged damage on target',0,0),
(72719,440054,10,100,'Requires bow or aim',0,1),
(72720,440055,1,100,'Inflicts 70 - 117 ranged damage on target',0,0),
(72721,440055,1,100,'Requires bow or aim',0,1),
(72722,440055,4,100,'Inflicts 86 - 143 ranged damage on target',0,0),
(72723,440055,4,100,'Requires bow or aim',0,1),
(72724,440055,5,100,'Inflicts 94 - 156 ranged damage on target',0,0),
(72725,440055,5,100,'Requires bow or aim',0,1),
(72726,440055,7,100,'Inflicts 120 - 201 ranged damage on target',0,0),
(72727,440055,7,100,'Requires bow or aim',0,1),
(72728,440055,9,100,'Inflicts 125 - 209 ranged damage on target',0,0),
(72729,440055,9,100,'Requires bow or aim',0,1),
(72730,440056,1,100,'Inflicts 96 - 160 ranged damage on target',0,0),
(72731,440056,1,100,'Requires bow or aim',0,1),
(72732,440056,4,100,'Inflicts 117 - 195 ranged damage on target',0,0),
(72733,440056,4,100,'Requires bow or aim',0,1),
(72734,440056,5,100,'Inflicts 128 - 213 ranged damage on target',0,0),
(72735,440056,5,100,'Requires bow or aim',0,1),
(72736,440056,7,100,'Inflicts 164 - 274 ranged damage on target',0,0),
(72737,440056,7,100,'Requires bow or aim',0,1),
(72738,440056,9,100,'Inflicts 170 - 284 ranged damage on target',0,0),
(72739,440056,9,100,'Requires bow or aim',0,1),
(72740,440056,10,100,'Inflicts 179 - 298 ranged damage on target',0,0),
(72741,440056,10,100,'Requires bow or aim',0,1),
(72742,440057,1,100,'Inflicts 126 - 210 ranged damage on target',0,0),
(72743,440057,1,100,'Requires bow or aim',0,1),
(72744,440057,4,100,'Inflicts 154 - 257 ranged damage on target',0,0),
(72745,440057,4,100,'Requires bow or aim',0,1),
(72746,440057,5,100,'Inflicts 168 - 281 ranged damage on target',0,0),
(72747,440057,5,100,'Requires bow or aim',0,1),
(72748,440057,7,100,'Inflicts 216 - 360 ranged damage on target',0,0),
(72749,440057,7,100,'Requires bow or aim',0,1),
(72750,440057,9,100,'Inflicts 224 - 374 ranged damage on target',0,0),
(72751,440057,9,100,'Requires bow or aim',0,1),
(72752,440057,10,100,'Inflicts 236 - 393 ranged damage on target',0,0),
(72753,440057,10,100,'Requires bow or aim',0,1),
(72754,440058,1,100,'Inflicts 156 - 261 ranged damage on target',0,0),
(72755,440058,1,100,'Requires bow or aim',0,1),
(72756,440058,4,100,'Inflicts 191 - 319 ranged damage on target',0,0),
(72757,440058,4,100,'Requires bow or aim',0,1),
(72758,440058,5,100,'Inflicts 209 - 348 ranged damage on target',0,0),
(72759,440058,5,100,'Requires bow or aim',0,1),
(72760,440058,7,100,'Inflicts 268 - 447 ranged damage on target',0,0),
(72761,440058,7,100,'Requires bow or aim',0,1),
(72762,440058,9,100,'Inflicts 279 - 465 ranged damage on target',0,0),
(72763,440058,9,100,'Requires bow or aim',0,1),
(72764,440058,10,100,'Inflicts 292 - 488 ranged damage on target',0,0),
(72765,440058,10,100,'Requires bow or aim',0,1),
(72766,440059,1,100,'Inflicts 228 - 381 ranged damage on target',0,0),
(72767,440059,1,100,'Requires bow or aim',0,1),
(72768,440059,4,100,'Inflicts 279 - 465 ranged damage on target',0,0),
(72769,440059,4,100,'Requires bow or aim',0,1),
(72770,440059,5,100,'Inflicts 305 - 508 ranged damage on target',0,0),
(72771,440059,5,100,'Requires bow or aim',0,1),
(72772,440059,7,100,'Inflicts 391 - 652 ranged damage on target',0,0),
(72773,440059,7,100,'Requires bow or aim',0,1),
(72774,440059,9,100,'Inflicts 406 - 677 ranged damage on target',0,0),
(72775,440059,9,100,'Requires bow or aim',0,1),
(72776,440059,10,100,'Inflicts 427 - 711 ranged damage on target',0,0),
(72777,440059,10,100,'Requires bow or aim',0,1),
(72778,440060,1,100,'Inflicts 267 - 446 ranged damage on target',0,0),
(72779,440060,1,100,'Requires bow or aim',0,1),
(72780,440060,4,100,'Inflicts 327 - 545 ranged damage on target',0,0),
(72781,440060,4,100,'Requires bow or aim',0,1),
(72782,440060,5,100,'Inflicts 356 - 594 ranged damage on target',0,0),
(72783,440060,5,100,'Requires bow or aim',0,1),
(72784,440060,7,100,'Inflicts 458 - 763 ranged damage on target',0,0),
(72785,440060,7,100,'Requires bow or aim',0,1),
(72786,440060,9,100,'Inflicts 475 - 793 ranged damage on target',0,0),
(72787,440060,9,100,'Requires bow or aim',0,1),
(72788,440060,10,100,'Inflicts 499 - 832 ranged damage on target',0,0),
(72789,440060,10,100,'Requires bow or aim',0,1),
(72790,2000279,1,100,'When a combat art is used this spell has a 25% chance to cast Venom Explosion on target of combat art.  ',0,0),
(72791,2000279,1,100,'Inflicts 10 - 17 poison damage on targets in Area of Effect',1,1),
(72792,2000279,1,100,'This effect can only trigger from back or flanking attacks.',1,2),
(72793,2000279,2,100,'When a combat art is used this spell has a 50% chance to cast Venom Explosion on target of combat art.  ',0,0),
(72794,2000279,2,100,'Inflicts 693 - 1154 poison damage on targets in Area of Effect',1,1),
(72795,2000279,2,100,'This effect can only trigger from back or flanking attacks.',1,2),
(72796,2000279,3,100,'When a combat art is used this spell has a 75% chance to cast Venom Explosion on target of combat art.  ',0,0),
(72797,2000279,3,100,'Inflicts 520 - 866 poison damage on targets in Area of Effect',1,1),
(72798,2000279,3,100,'This effect can only trigger from back or flanking attacks.',1,2),
(72799,420146,9,100,'Inflicts 559 - 932 piercing damage on target',0,0),
(72800,420146,9,100,'The effect of this ability grows based on Savagery and Feral Rampage level.',0,1),
(72801,420146,9,100,'Increases Damage Per Second by 20-44%',0,2),
(72802,420146,9,100,'Must be flanking or behind',0,3),
(72803,420146,9,100,'You must have your warder active to use this ability.',0,4),
(72804,2000280,3,100,'Inflicts 1 - 2 poison damage on target encounter',0,0),
(72805,2000280,4,100,'Inflicts 1 - 2 poison damage on target encounter',0,0),
(72806,2000280,5,100,'Inflicts 1 - 2 poison damage on target encounter',0,0),
(72807,2000280,7,100,'Inflicts 2 - 3 poison damage on target encounter',0,0),
(72808,2000280,9,100,'Inflicts 2 - 3 poison damage on target encounter',0,0),
(72809,2000280,10,100,'Inflicts 2 - 3 poison damage on target encounter',0,0),
(72810,2000281,3,100,'Inflicts 1 - 2 crushing damage on target encounter',0,0),
(72811,2000281,3,100,'Inflicts 1 crushing damage on target encounter every 3 seconds',0,1),
(72812,2000281,4,100,'Inflicts 1 - 3 crushing damage on target encounter',0,0),
(72813,2000281,4,100,'Inflicts 1 crushing damage on target encounter every 3 seconds',0,1),
(72814,2000281,5,100,'Inflicts 2 - 3 crushing damage on target encounter',0,0),
(72815,2000281,5,100,'Inflicts 1 - 2 crushing damage on target encounter every 3 seconds',0,1),
(72816,2000281,7,100,'Inflicts 2 - 4 crushing damage on target encounter',0,0),
(72817,2000281,7,100,'Inflicts 1 - 2 crushing damage on target encounter every 3 seconds',0,1),
(72818,2000281,9,100,'Inflicts 2 - 4 crushing damage on target encounter',0,0),
(72819,2000281,9,100,'Inflicts 1 - 2 crushing damage on target encounter every 3 seconds',0,1),
(72820,2000281,10,100,'Inflicts 2 - 4 crushing damage on target encounter',0,0),
(72821,2000281,10,100,'Inflicts 1 - 2 crushing damage on target encounter every 3 seconds',0,1),
(72822,2000282,1,100,'The base damage of Vicious Combination increases by 10% each time it triggers.',0,0),
(72823,2000282,1,100,'When a combat art is used this spell will cast Vicious Combination on target of combat art.  Lasts for 1.0 second.  ',0,1),
(72824,2000282,1,100,'Inflicts 653 - 1959 melee damage on target',1,2),
(72825,2000282,1,100,'Stuns target',1,3),
(72826,2000282,1,100,'If Target is not Epic',2,4),
(72827,2000282,1,100,'Resistibility increases against targets higher than level 139.',1,5),
(72828,10017,6,100,'Inflicts 46 - 78 disease damage on target',0,0),
(72829,10017,6,100,'Heals caster for 2.1 - 2.6% of max health',0,1),
(72830,2000283,3,100,'Inflicts 2 - 3 piercing damage on target',0,0),
(72831,2000283,3,100,'Heals caster for 1 - 2',0,1),
(72832,2000283,4,100,'Inflicts 2 - 4 piercing damage on target',0,0),
(72833,2000283,4,100,'Heals caster for 1 - 2',0,1),
(72834,2000283,5,100,'Inflicts 2 - 4 piercing damage on target',0,0),
(72835,2000283,5,100,'Heals caster for 1 - 2',0,1),
(72836,2000283,7,100,'Inflicts 3 - 5 piercing damage on target',0,0),
(72837,2000283,7,100,'Heals caster for 2 - 3',0,1),
(72838,2000283,9,100,'Inflicts 3 - 6 piercing damage on target',0,0),
(72839,2000283,9,100,'Heals caster for 2 - 3',0,1),
(72840,2000283,10,100,'Inflicts 3 - 6 piercing damage on target',0,0),
(72841,2000283,10,100,'Heals caster for 2 - 3',0,1),
(72842,2000284,3,100,'Inflicts 1 - 2 piercing damage on target encounter',0,0),
(72843,2000284,3,100,'Inflicts 1 piercing damage on target encounter every 3 seconds',0,1),
(72844,2000284,4,100,'Inflicts 1 - 3 piercing damage on target encounter',0,0),
(72845,2000284,4,100,'Inflicts 1 piercing damage on target encounter every 3 seconds',0,1),
(72846,2000284,5,100,'Inflicts 2 - 3 piercing damage on target encounter',0,0),
(72847,2000284,5,100,'Inflicts 1 - 2 piercing damage on target encounter every 3 seconds',0,1),
(72848,2000284,7,100,'Inflicts 2 - 4 piercing damage on target encounter',0,0),
(72849,2000284,7,100,'Inflicts 1 - 2 piercing damage on target encounter every 3 seconds',0,1),
(72850,2000284,9,100,'Inflicts 2 - 4 piercing damage on target encounter',0,0),
(72851,2000284,9,100,'Inflicts 1 - 2 piercing damage on target encounter every 3 seconds',0,1),
(72852,2000284,10,100,'Inflicts 2 - 4 piercing damage on target encounter',0,0),
(72853,2000284,10,100,'Inflicts 1 - 2 piercing damage on target encounter every 3 seconds',0,1),
(72854,400177,1,100,'Increases AGI of caster by 8.7',0,0),
(72855,400177,1,100,'Adds 14.0% to base avoidance.',0,1),
(72856,400177,1,100,'Increases Multi Attack of caster by 19.0',0,2),
(72857,400177,1,100,'Increases Mitigation of caster vs physical damage by 119',0,3),
(72858,400177,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 154',0,4),
(72859,400177,2,100,'Increases AGI of caster by 9.2',0,0),
(72860,400177,2,100,'Adds 14.8% to base avoidance.',0,1),
(72861,400177,2,100,'Increases Multi Attack of caster by 20.0',0,2),
(72862,400177,2,100,'Increases Mitigation of caster vs physical damage by 125',0,3),
(72863,400177,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 163',0,4),
(72864,400177,3,100,'Increases AGI of caster by 9.7',0,0),
(72865,400177,3,100,'Adds 15.6% to base avoidance.',0,1),
(72866,400177,3,100,'Increases Multi Attack of caster by 21.1',0,2),
(72867,400177,3,100,'Increases Mitigation of caster vs physical damage by 132',0,3),
(72868,400177,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 172',0,4),
(72869,400177,4,100,'Increases AGI of caster by 10.7',0,0),
(72870,400177,4,100,'Adds 17.2% to base avoidance.',0,1),
(72871,400177,4,100,'Increases Multi Attack of caster by 23.2',0,2),
(72872,400177,4,100,'Increases Mitigation of caster vs physical damage by 145',0,3),
(72873,400177,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 189',0,4),
(72874,400177,5,100,'Increases AGI of caster by 11.6',0,0),
(72875,400177,5,100,'Adds 18.7% to base avoidance.',0,1),
(72876,400177,5,100,'Increases Multi Attack of caster by 25.3',0,2),
(72877,400177,5,100,'Increases Mitigation of caster vs physical damage by 158',0,3),
(72878,400177,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 206',0,4),
(72879,400177,7,100,'Increases AGI of caster by 14.9',0,0),
(72880,400177,7,100,'Adds 24.0% to base avoidance.',0,1),
(72881,400177,7,100,'Increases Multi Attack of caster by 32.5',0,2),
(72882,400177,7,100,'Increases Mitigation of caster vs physical damage by 203',0,3),
(72883,400177,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 264',0,4),
(72884,400177,9,100,'Increases AGI of caster by 15.5',0,0),
(72885,400177,9,100,'Adds 25.0% to base avoidance.',0,1),
(72886,400177,9,100,'Increases Multi Attack of caster by 33.7',0,2),
(72887,400177,9,100,'Increases Mitigation of caster vs physical damage by 211',0,3),
(72888,400177,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 275',0,4),
(72889,400177,10,100,'Increases AGI of caster by 16.3',0,0),
(72890,400177,10,100,'Adds 26.2% to base avoidance.',0,1),
(72891,400177,10,100,'Increases Multi Attack of caster by 35.4',0,2),
(72892,400177,10,100,'Increases Mitigation of caster vs physical damage by 222',0,3),
(72893,400177,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 288',0,4),
(72894,400178,1,100,'Increases AGI of caster by 18.8',0,0),
(72895,400178,1,100,'Adds 14.0% to base avoidance.',0,1),
(72896,400178,1,100,'Increases Multi Attack of caster by 24.5',0,2),
(72897,400178,1,100,'Increases Mitigation of caster vs physical damage by 292',0,3),
(72898,400178,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 379',0,4),
(72899,400178,2,100,'Increases AGI of caster by 19.9',0,0),
(72900,400178,2,100,'Adds 14.8% to base avoidance.',0,1),
(72901,400178,2,100,'Increases Multi Attack of caster by 25.8',0,2),
(72902,400178,2,100,'Increases Mitigation of caster vs physical damage by 308',0,3),
(72903,400178,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 400',0,4),
(72904,400178,3,100,'Increases AGI of caster by 20.9',0,0),
(72905,400178,3,100,'Adds 15.6% to base avoidance.',0,1),
(72906,400178,3,100,'Increases Multi Attack of caster by 27.2',0,2),
(72907,400178,3,100,'Increases Mitigation of caster vs physical damage by 324',0,3),
(72908,400178,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 421',0,4),
(72909,400178,4,100,'Increases AGI of caster by 23.0',0,0),
(72910,400178,4,100,'Adds 17.2% to base avoidance.',0,1),
(72911,400178,4,100,'Increases Multi Attack of caster by 29.9',0,2),
(72912,400178,4,100,'Increases Mitigation of caster vs physical damage by 356',0,3),
(72913,400178,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 463',0,4),
(72914,400178,5,100,'Increases AGI of caster by 25.1',0,0),
(72915,400178,5,100,'Adds 18.7% to base avoidance.',0,1),
(72916,400178,5,100,'Increases Multi Attack of caster by 32.6',0,2),
(72917,400178,5,100,'Increases Mitigation of caster vs physical damage by 389',0,3),
(72918,400178,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 505',0,4),
(72919,400178,7,100,'Increases AGI of caster by 32.2',0,0),
(72920,400178,7,100,'Adds 24.0% to base avoidance.',0,1),
(72921,400178,7,100,'Increases Multi Attack of caster by 41.9',0,2),
(72922,400178,7,100,'Increases Mitigation of caster vs physical damage by 499',0,3),
(72923,400178,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 649',0,4),
(72924,400178,9,100,'Increases AGI of caster by 33.4',0,0),
(72925,400178,9,100,'Adds 25.0% to base avoidance.',0,1),
(72926,400178,9,100,'Increases Multi Attack of caster by 43.5',0,2),
(72927,400178,9,100,'Increases Mitigation of caster vs physical damage by 518',0,3),
(72928,400178,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 674',0,4),
(72929,400179,1,100,'Increases AGI of caster by 28.6',0,0),
(72930,400179,1,100,'Adds 14.0% to base avoidance.',0,1),
(72931,400179,1,100,'Increases Multi Attack of caster by 29.3',0,2),
(72932,400179,1,100,'Increases Mitigation of caster vs physical damage by 443',0,3),
(72933,400179,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 576',0,4),
(72934,400179,2,100,'Increases AGI of caster by 30.2',0,0),
(72935,400179,2,100,'Adds 14.8% to base avoidance.',0,1),
(72936,400179,2,100,'Increases Multi Attack of caster by 30.9',0,2),
(72937,400179,2,100,'Increases Mitigation of caster vs physical damage by 467',0,3),
(72938,400179,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 608',0,4),
(72939,400179,3,100,'Increases AGI of caster by 31.8',0,0),
(72940,400179,3,100,'Adds 15.6% to base avoidance.',0,1),
(72941,400179,3,100,'Increases Multi Attack of caster by 32.6',0,2),
(72942,400179,3,100,'Increases Mitigation of caster vs physical damage by 492',0,3),
(72943,400179,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 640',0,4),
(72944,400179,4,100,'Increases AGI of caster by 35.0',0,0),
(72945,400179,4,100,'Adds 17.2% to base avoidance.',0,1),
(72946,400179,4,100,'Increases Multi Attack of caster by 35.8',0,2),
(72947,400179,4,100,'Increases Mitigation of caster vs physical damage by 541',0,3),
(72948,400179,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 704',0,4),
(72949,400179,5,100,'Increases AGI of caster by 38.2',0,0),
(72950,400179,5,100,'Adds 18.7% to base avoidance.',0,1),
(72951,400179,5,100,'Increases Multi Attack of caster by 39.1',0,2),
(72952,400179,5,100,'Increases Mitigation of caster vs physical damage by 590',0,3),
(72953,400179,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 768',0,4),
(72954,400179,7,100,'Increases AGI of caster by 49.0',0,0),
(72955,400179,7,100,'Adds 24.0% to base avoidance.',0,1),
(72956,400179,7,100,'Increases Multi Attack of caster by 50.2',0,2),
(72957,400179,7,100,'Increases Mitigation of caster vs physical damage by 758',0,3),
(72958,400179,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 985',0,4),
(72959,400179,9,100,'Increases AGI of caster by 50.9',0,0),
(72960,400179,9,100,'Adds 25.0% to base avoidance.',0,1),
(72961,400179,9,100,'Increases Multi Attack of caster by 52.1',0,2),
(72962,400179,9,100,'Increases Mitigation of caster vs physical damage by 787',0,3),
(72963,400179,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1023',0,4),
(72964,400180,1,100,'Increases AGI of caster by 38.7',0,0),
(72965,400180,1,100,'Adds 14.0% to base avoidance.',0,1),
(72966,400180,1,100,'Increases Multi Attack of caster by 34.2',0,2),
(72967,400180,1,100,'Increases Mitigation of caster vs physical damage by 594',0,3),
(72968,400180,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 772',0,4),
(72969,400180,2,100,'Increases AGI of caster by 40.8',0,0),
(72970,400180,2,100,'Adds 14.8% to base avoidance.',0,1),
(72971,400180,2,100,'Increases Multi Attack of caster by 36.1',0,2),
(72972,400180,2,100,'Increases Mitigation of caster vs physical damage by 627',0,3),
(72973,400180,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 815',0,4),
(72974,400180,3,100,'Increases AGI of caster by 43.0',0,0),
(72975,400180,3,100,'Adds 15.6% to base avoidance.',0,1),
(72976,400180,3,100,'Increases Multi Attack of caster by 38.0',0,2),
(72977,400180,3,100,'Increases Mitigation of caster vs physical damage by 660',0,3),
(72978,400180,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 858',0,4),
(72979,400180,4,100,'Increases AGI of caster by 47.3',0,0),
(72980,400180,4,100,'Adds 17.2% to base avoidance.',0,1),
(72981,400180,4,100,'Increases Multi Attack of caster by 41.8',0,2),
(72982,400180,4,100,'Increases Mitigation of caster vs physical damage by 726',0,3),
(72983,400180,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 944',0,4),
(72984,400180,5,100,'Increases AGI of caster by 51.6',0,0),
(72985,400180,5,100,'Adds 18.7% to base avoidance.',0,1),
(72986,400180,5,100,'Increases Multi Attack of caster by 45.6',0,2),
(72987,400180,5,100,'Increases Mitigation of caster vs physical damage by 792',0,3),
(72988,400180,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1030',0,4),
(72989,400180,7,100,'Increases AGI of caster by 66.2',0,0),
(72990,400180,7,100,'Adds 24.0% to base avoidance.',0,1),
(72991,400180,7,100,'Increases Multi Attack of caster by 58.5',0,2),
(72992,400180,7,100,'Increases Mitigation of caster vs physical damage by 1016',0,3),
(72993,400180,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1321',0,4),
(72994,400180,9,100,'Increases AGI of caster by 68.8',0,0),
(72995,400180,9,100,'Adds 25.0% to base avoidance.',0,1),
(72996,400180,9,100,'Increases Multi Attack of caster by 60.8',0,2),
(72997,400180,9,100,'Increases Mitigation of caster vs physical damage by 1056',0,3),
(72998,400180,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1373',0,4),
(72999,400181,1,100,'Increases AGI of caster by 48.8',0,0),
(73000,400181,1,100,'Adds 14.0% to base avoidance.',0,1),
(73001,400181,1,100,'Increases Multi Attack of caster by 39.2',0,2),
(73002,400181,1,100,'Increases Mitigation of caster vs physical damage by 745',0,3),
(73003,400181,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 969',0,4),
(73004,400181,2,100,'Increases AGI of caster by 51.5',0,0),
(73005,400181,2,100,'Adds 14.8% to base avoidance.',0,1),
(73006,400181,2,100,'Increases Multi Attack of caster by 41.4',0,2),
(73007,400181,2,100,'Increases Mitigation of caster vs physical damage by 787',0,3),
(73008,400181,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1023',0,4),
(73009,400181,3,100,'Increases AGI of caster by 54.2',0,0),
(73010,400181,3,100,'Adds 15.6% to base avoidance.',0,1),
(73011,400181,3,100,'Increases Multi Attack of caster by 43.6',0,2),
(73012,400181,3,100,'Increases Mitigation of caster vs physical damage by 828',0,3),
(73013,400181,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1076',0,4),
(73014,400181,4,100,'Increases AGI of caster by 59.6',0,0),
(73015,400181,4,100,'Adds 17.2% to base avoidance.',0,1),
(73016,400181,4,100,'Increases Multi Attack of caster by 48.0',0,2),
(73017,400181,4,100,'Increases Mitigation of caster vs physical damage by 911',0,3),
(73018,400181,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1184',0,4),
(73019,400181,5,100,'Increases AGI of caster by 65.0',0,0),
(73020,400181,5,100,'Adds 18.7% to base avoidance.',0,1),
(73021,400181,5,100,'Increases Multi Attack of caster by 52.3',0,2),
(73022,400181,5,100,'Increases Mitigation of caster vs physical damage by 994',0,3),
(73023,400181,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1292',0,4),
(73024,400181,7,100,'Increases AGI of caster by 83.5',0,0),
(73025,400181,7,100,'Adds 24.0% to base avoidance.',0,1),
(73026,400181,7,100,'Increases Multi Attack of caster by 67.1',0,2),
(73027,400181,7,100,'Increases Mitigation of caster vs physical damage by 1275',0,3),
(73028,400181,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1658',0,4),
(73029,400181,9,100,'Increases AGI of caster by 86.7',0,0),
(73030,400181,9,100,'Adds 25.0% to base avoidance.',0,1),
(73031,400181,9,100,'Increases Multi Attack of caster by 69.8',0,2),
(73032,400181,9,100,'Increases Mitigation of caster vs physical damage by 1325',0,3),
(73033,400181,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1722',0,4),
(73034,400182,1,100,'Increases AGI of caster by 58.4',0,0),
(73035,400182,1,100,'Adds 14.0% to base avoidance.',0,1),
(73036,400182,1,100,'Increases Multi Attack of caster by 43.6',0,2),
(73037,400182,1,100,'Increases Mitigation of caster vs physical damage by 853',0,3),
(73038,400182,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1109',0,4),
(73039,400182,2,100,'Increases AGI of caster by 61.7',0,0),
(73040,400182,2,100,'Adds 14.8% to base avoidance.',0,1),
(73041,400182,2,100,'Increases Multi Attack of caster by 46.1',0,2),
(73042,400182,2,100,'Increases Mitigation of caster vs physical damage by 901',0,3),
(73043,400182,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1171',0,4),
(73044,400182,3,100,'Increases AGI of caster by 64.9',0,0),
(73045,400182,3,100,'Adds 15.6% to base avoidance.',0,1),
(73046,400182,3,100,'Increases Multi Attack of caster by 48.5',0,2),
(73047,400182,3,100,'Increases Mitigation of caster vs physical damage by 948',0,3),
(73048,400182,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1232',0,4),
(73049,400182,4,100,'Increases AGI of caster by 71.4',0,0),
(73050,400182,4,100,'Adds 17.2% to base avoidance.',0,1),
(73051,400182,4,100,'Increases Multi Attack of caster by 53.4',0,2),
(73052,400182,4,100,'Increases Mitigation of caster vs physical damage by 1043',0,3),
(73053,400182,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1356',0,4),
(73054,400182,5,100,'Increases AGI of caster by 77.9',0,0),
(73055,400182,5,100,'Adds 18.7% to base avoidance.',0,1),
(73056,400182,5,100,'Increases Multi Attack of caster by 58.2',0,2),
(73057,400182,5,100,'Increases Mitigation of caster vs physical damage by 1138',0,3),
(73058,400182,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1479',0,4),
(73059,400182,7,100,'Increases AGI of caster by 99.9',0,0),
(73060,400182,7,100,'Adds 24.0% to base avoidance.',0,1),
(73061,400182,7,100,'Increases Multi Attack of caster by 74.7',0,2),
(73062,400182,7,100,'Increases Mitigation of caster vs physical damage by 1460',0,3),
(73063,400182,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1898',0,4),
(73064,400182,9,100,'Increases AGI of caster by 103.8',0,0),
(73065,400182,9,100,'Adds 25.0% to base avoidance.',0,1),
(73066,400182,9,100,'Increases Multi Attack of caster by 77.6',0,2),
(73067,400182,9,100,'Increases Mitigation of caster vs physical damage by 1517',0,3),
(73068,400182,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1972',0,4),
(73069,400183,1,100,'Increases AGI of caster by 68.3',0,0),
(73070,400183,1,100,'Adds 14.0% to base avoidance.',0,1),
(73071,400183,1,100,'Increases Multi Attack of caster by 49.8',0,2),
(73072,400183,1,100,'Increases Mitigation of caster vs physical damage by 961',0,3),
(73073,400183,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1250',0,4),
(73074,400183,4,100,'Increases AGI of caster by 83.5',0,0),
(73075,400183,4,100,'Adds 17.2% to base avoidance.',0,1),
(73076,400183,4,100,'Increases Multi Attack of caster by 60.8',0,2),
(73077,400183,4,100,'Increases Mitigation of caster vs physical damage by 1175',0,3),
(73078,400183,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1527',0,4),
(73079,400183,5,100,'Increases AGI of caster by 91.1',0,0),
(73080,400183,5,100,'Adds 18.7% to base avoidance.',0,1),
(73081,400183,5,100,'Increases Multi Attack of caster by 66.4',0,2),
(73082,400183,5,100,'Increases Mitigation of caster vs physical damage by 1282',0,3),
(73083,400183,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1666',0,4),
(73084,400183,7,100,'Increases AGI of caster by 116.9',0,0),
(73085,400183,7,100,'Adds 24.0% to base avoidance.',0,1),
(73086,400183,7,100,'Increases Multi Attack of caster by 85.2',0,2),
(73087,400183,7,100,'Increases Mitigation of caster vs physical damage by 1645',0,3),
(73088,400183,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2138',0,4),
(73089,400183,9,100,'Increases AGI of caster by 121.4',0,0),
(73090,400183,9,100,'Adds 25.0% to base avoidance.',0,1),
(73091,400183,9,100,'Increases Multi Attack of caster by 88.5',0,2),
(73092,400183,9,100,'Increases Mitigation of caster vs physical damage by 1709',0,3),
(73093,400183,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2221',0,4),
(73094,400184,1,100,'Increases AGI of caster by 78.2',0,0),
(73095,400184,1,100,'Adds 18.3% to base avoidance.',0,1),
(73096,400184,1,100,'Increases Multi Attack of caster by 53.6',0,2),
(73097,400184,1,100,'Increases Mitigation of caster vs physical damage by 1390',0,3),
(73098,400184,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1807',0,4),
(73099,400184,4,100,'Increases AGI of caster by 95.6',0,0),
(73100,400184,4,100,'Adds 22.3% to base avoidance.',0,1),
(73101,400184,4,100,'Increases Multi Attack of caster by 65.6',0,2),
(73102,400184,4,100,'Increases Mitigation of caster vs physical damage by 1699',0,3),
(73103,400184,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2208',0,4),
(73104,400184,5,100,'Increases AGI of caster by 104.3',0,0),
(73105,400184,5,100,'Adds 24.3% to base avoidance.',0,1),
(73106,400184,5,100,'Increases Multi Attack of caster by 71.5',0,2),
(73107,400184,5,100,'Increases Mitigation of caster vs physical damage by 1853',0,3),
(73108,400184,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2409',0,4),
(73109,400184,7,100,'Increases AGI of caster by 133.8',0,0),
(73110,400184,7,100,'Adds 31.2% to base avoidance.',0,1),
(73111,400184,7,100,'Increases Multi Attack of caster by 91.8',0,2),
(73112,400184,7,100,'Increases Mitigation of caster vs physical damage by 2378',0,3),
(73113,400184,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 3092',0,4),
(73114,400184,9,100,'Increases AGI of caster by 139.0',0,0),
(73115,400184,9,100,'Adds 32.4% to base avoidance.',0,1),
(73116,400184,9,100,'Increases Multi Attack of caster by 95.4',0,2),
(73117,400184,9,100,'Increases Mitigation of caster vs physical damage by 2471',0,3),
(73118,400184,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 3212',0,4),
(73119,420147,1,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(73120,420147,1,100,'Slows target by 28.1%',1,1),
(73121,420147,1,100,'5% chance to dispel when target receives hostile action',1,2),
(73122,420147,1,100,'5% chance to dispel when target takes damage',1,3),
(73123,420147,1,100,'Decreases Mitigation of target vs elemental and noxious damage by 91',0,4),
(73124,420147,4,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(73125,420147,4,100,'Slows target by 34.3%',1,1),
(73126,420147,4,100,'5% chance to dispel when target receives hostile action',1,2),
(73127,420147,4,100,'5% chance to dispel when target takes damage',1,3),
(73128,420147,4,100,'Decreases Mitigation of target vs elemental and noxious damage by 111',0,4),
(73129,420147,5,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(73130,420147,5,100,'Slows target by 37.4%',1,1),
(73131,420147,5,100,'5% chance to dispel when target receives hostile action',1,2),
(73132,420147,5,100,'5% chance to dispel when target takes damage',1,3),
(73133,420147,5,100,'Decreases Mitigation of target vs elemental and noxious damage by 121',0,4),
(73134,420147,7,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(73135,420147,7,100,'Slows target by 48.0%',1,1),
(73136,420147,7,100,'5% chance to dispel when target receives hostile action',1,2),
(73137,420147,7,100,'5% chance to dispel when target takes damage',1,3),
(73138,420147,7,100,'Decreases Mitigation of target vs elemental and noxious damage by 155',0,4),
(73139,420147,9,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(73140,420147,9,100,'Slows target by 49.9%',1,1),
(73141,420147,9,100,'5% chance to dispel when target receives hostile action',1,2),
(73142,420147,9,100,'5% chance to dispel when target takes damage',1,3),
(73143,420147,9,100,'Decreases Mitigation of target vs elemental and noxious damage by 161',0,4),
(73144,420148,1,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(73145,420148,1,100,'Slows target by 29.9%',1,1),
(73146,420148,1,100,'5% chance to dispel when target receives hostile action',1,2),
(73147,420148,1,100,'5% chance to dispel when target takes damage',1,3),
(73148,420148,1,100,'Decreases Mitigation of target vs elemental and noxious damage by 156',0,4),
(73154,420148,5,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(73155,420148,5,100,'Slows target by 39.8%',1,1),
(73156,420148,5,100,'5% chance to dispel when target receives hostile action',1,2),
(73157,420148,5,100,'5% chance to dispel when target takes damage',1,3),
(73158,420148,5,100,'Decreases Mitigation of target vs elemental and noxious damage by 207',0,4),
(73159,420148,7,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(73160,420148,7,100,'Slows target by 51.1%',1,1),
(73161,420148,7,100,'5% chance to dispel when target receives hostile action',1,2),
(73162,420148,7,100,'5% chance to dispel when target takes damage',1,3),
(73163,420148,7,100,'Decreases Mitigation of target vs elemental and noxious damage by 266',0,4),
(73164,420148,9,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(73165,420148,9,100,'Slows target by 53.1%',1,1),
(73166,420148,9,100,'5% chance to dispel when target receives hostile action',1,2),
(73167,420148,9,100,'5% chance to dispel when target takes damage',1,3),
(73168,420148,9,100,'Decreases Mitigation of target vs elemental and noxious damage by 276',0,4),
(73169,420148,10,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(73170,420148,10,100,'Slows target by 55.8%',1,1),
(73171,420148,10,100,'5% chance to dispel when target receives hostile action',1,2),
(73172,420148,10,100,'5% chance to dispel when target takes damage',1,3),
(73173,420148,10,100,'Decreases Mitigation of target vs elemental and noxious damage by 290',0,4),
(73174,420149,1,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(73175,420149,1,100,'Slows target by 31.7%',1,1),
(73176,420149,1,100,'5% chance to dispel when target receives hostile action',1,2),
(73177,420149,1,100,'5% chance to dispel when target takes damage',1,3),
(73178,420149,1,100,'Decreases Mitigation of target vs elemental and noxious damage by 234',0,4),
(73179,420149,4,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(73180,420149,4,100,'Slows target by 38.7%',1,1),
(73181,420149,4,100,'5% chance to dispel when target receives hostile action',1,2),
(73182,420149,4,100,'5% chance to dispel when target takes damage',1,3),
(73183,420149,4,100,'Decreases Mitigation of target vs elemental and noxious damage by 286',0,4),
(73184,420149,5,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(73185,420149,5,100,'Slows target by 42.2%',1,1),
(73186,420149,5,100,'5% chance to dispel when target receives hostile action',1,2),
(73187,420149,5,100,'5% chance to dispel when target takes damage',1,3),
(73188,420149,5,100,'Decreases Mitigation of target vs elemental and noxious damage by 312',0,4),
(73189,420149,7,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(73190,420149,7,100,'Slows target by 54.2%',1,1),
(73191,420149,7,100,'5% chance to dispel when target receives hostile action',1,2),
(73192,420149,7,100,'5% chance to dispel when target takes damage',1,3),
(73193,420149,7,100,'Decreases Mitigation of target vs elemental and noxious damage by 400',0,4),
(73194,420149,9,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(73195,420149,9,100,'Slows target by 56.3%',1,1),
(73196,420149,9,100,'5% chance to dispel when target receives hostile action',1,2),
(73197,420149,9,100,'5% chance to dispel when target takes damage',1,3),
(73198,420149,9,100,'Decreases Mitigation of target vs elemental and noxious damage by 416',0,4),
(73199,420150,1,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(73200,420150,1,100,'Slows target by 33.5%',1,1),
(73201,420150,1,100,'5% chance to dispel when target receives hostile action',1,2),
(73202,420150,1,100,'5% chance to dispel when target takes damage',1,3),
(73203,420150,1,100,'Decreases Mitigation of target vs elemental and noxious damage by 324',0,4),
(73204,420150,4,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(73205,420150,4,100,'Slows target by 40.9%',1,1),
(73206,420150,4,100,'5% chance to dispel when target receives hostile action',1,2),
(73207,420150,4,100,'5% chance to dispel when target takes damage',1,3),
(73208,420150,4,100,'Decreases Mitigation of target vs elemental and noxious damage by 396',0,4),
(73209,420150,5,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(73210,420150,5,100,'Slows target by 44.6%',1,1),
(73211,420150,5,100,'5% chance to dispel when target receives hostile action',1,2),
(73212,420150,5,100,'5% chance to dispel when target takes damage',1,3),
(73213,420150,5,100,'Decreases Mitigation of target vs elemental and noxious damage by 432',0,4),
(73214,420150,7,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(73215,420150,7,100,'Slows target by 57.3%',1,1),
(73216,420150,7,100,'5% chance to dispel when target receives hostile action',1,2),
(73217,420150,7,100,'5% chance to dispel when target takes damage',1,3),
(73218,420150,7,100,'Decreases Mitigation of target vs elemental and noxious damage by 554',0,4),
(73219,420150,9,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(73220,420150,9,100,'Slows target by 59.5%',1,1),
(73221,420150,9,100,'5% chance to dispel when target receives hostile action',1,2),
(73222,420150,9,100,'5% chance to dispel when target takes damage',1,3),
(73223,420150,9,100,'Decreases Mitigation of target vs elemental and noxious damage by 576',0,4),
(73224,420151,1,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(73225,420151,1,100,'Slows target by 37.3%',1,1),
(73226,420151,1,100,'5% chance to dispel when target receives hostile action',1,2),
(73227,420151,1,100,'5% chance to dispel when target takes damage',1,3),
(73228,420151,1,100,'Decreases Mitigation of target vs elemental and noxious damage by 929',0,4),
(73229,420151,4,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(73230,420151,4,100,'Slows target by 45.6%',1,1),
(73231,420151,4,100,'5% chance to dispel when target receives hostile action',1,2),
(73232,420151,4,100,'5% chance to dispel when target takes damage',1,3),
(73233,420151,4,100,'Decreases Mitigation of target vs elemental and noxious damage by 1135',0,4),
(73234,420151,5,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(73235,420151,5,100,'Slows target by 49.7%',1,1),
(73236,420151,5,100,'5% chance to dispel when target receives hostile action',1,2),
(73237,420151,5,100,'5% chance to dispel when target takes damage',1,3),
(73238,420151,5,100,'Decreases Mitigation of target vs elemental and noxious damage by 1238',0,4),
(73239,420151,7,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(73240,420151,7,100,'Slows target by 63.8%',1,1),
(73241,420151,7,100,'5% chance to dispel when target receives hostile action',1,2),
(73242,420151,7,100,'5% chance to dispel when target takes damage',1,3),
(73243,420151,7,100,'Decreases Mitigation of target vs elemental and noxious damage by 1589',0,4),
(73244,420151,9,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(73245,420151,9,100,'Slows target by 66.3%',1,1),
(73246,420151,9,100,'5% chance to dispel when target receives hostile action',1,2),
(73247,420151,9,100,'5% chance to dispel when target takes damage',1,3),
(73248,420151,9,100,'Decreases Mitigation of target vs elemental and noxious damage by 1651',0,4),
(73249,420152,1,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(73250,420152,1,100,'Slows target by 35.3%',1,1),
(73251,420152,1,100,'5% chance to dispel when target receives hostile action',1,2),
(73252,420152,1,100,'5% chance to dispel when target takes damage',1,3),
(73253,420152,1,100,'Decreases Mitigation of target vs elemental and noxious damage by 414',0,4),
(73254,420152,4,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(73255,420152,4,100,'Slows target by 43.1%',1,1),
(73256,420152,4,100,'5% chance to dispel when target receives hostile action',1,2),
(73257,420152,4,100,'5% chance to dispel when target takes damage',1,3),
(73258,420152,4,100,'Decreases Mitigation of target vs elemental and noxious damage by 506',0,4),
(73259,420152,5,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(73260,420152,5,100,'Slows target by 47.0%',1,1),
(73261,420152,5,100,'5% chance to dispel when target receives hostile action',1,2),
(73262,420152,5,100,'5% chance to dispel when target takes damage',1,3),
(73263,420152,5,100,'Decreases Mitigation of target vs elemental and noxious damage by 552',0,4),
(73264,420152,7,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(73265,420152,7,100,'Slows target by 60.4%',1,1),
(73266,420152,7,100,'5% chance to dispel when target receives hostile action',1,2),
(73267,420152,7,100,'5% chance to dispel when target takes damage',1,3),
(73268,420152,7,100,'Decreases Mitigation of target vs elemental and noxious damage by 708',0,4),
(73269,420152,9,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(73270,420152,9,100,'Slows target by 62.7%',1,1),
(73271,420152,9,100,'5% chance to dispel when target receives hostile action',1,2),
(73272,420152,9,100,'5% chance to dispel when target takes damage',1,3),
(73273,420152,9,100,'Decreases Mitigation of target vs elemental and noxious damage by 736',0,4),
(73274,420153,1,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(73275,420153,1,100,'Slows target by 36.2%',1,1),
(73276,420153,1,100,'5% chance to dispel when target receives hostile action',1,2),
(73277,420153,1,100,'5% chance to dispel when target takes damage',1,3),
(73278,420153,1,100,'Decreases Mitigation of target vs elemental and noxious damage by 504',0,4),
(73279,420153,4,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(73280,420153,4,100,'Slows target by 44.3%',1,1),
(73281,420153,4,100,'5% chance to dispel when target receives hostile action',1,2),
(73282,420153,4,100,'5% chance to dispel when target takes damage',1,3),
(73283,420153,4,100,'Decreases Mitigation of target vs elemental and noxious damage by 616',0,4),
(73284,420153,5,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(73285,420153,5,100,'Slows target by 48.3%',1,1),
(73286,420153,5,100,'5% chance to dispel when target receives hostile action',1,2),
(73287,420153,5,100,'5% chance to dispel when target takes damage',1,3),
(73288,420153,5,100,'Decreases Mitigation of target vs elemental and noxious damage by 672',0,4),
(73289,420153,7,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(73290,420153,7,100,'Slows target by 62.0%',1,1),
(73291,420153,7,100,'5% chance to dispel when target receives hostile action',1,2),
(73292,420153,7,100,'5% chance to dispel when target takes damage',1,3),
(73293,420153,7,100,'Decreases Mitigation of target vs elemental and noxious damage by 862',0,4),
(73294,420153,9,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(73295,420153,9,100,'Slows target by 64.4%',1,1),
(73296,420153,9,100,'5% chance to dispel when target receives hostile action',1,2),
(73297,420153,9,100,'5% chance to dispel when target takes damage',1,3),
(73298,420153,9,100,'Decreases Mitigation of target vs elemental and noxious damage by 896',0,4),
(73299,420153,10,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(73300,420153,10,100,'Slows target by 67.6%',1,1),
(73301,420153,10,100,'5% chance to dispel when target receives hostile action',1,2),
(73302,420153,10,100,'5% chance to dispel when target takes damage',1,3),
(73303,420153,10,100,'Decreases Mitigation of target vs elemental and noxious damage by 941',0,4),
(73304,420154,1,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(73305,420154,1,100,'Slows target by 36.6%',1,1),
(73306,420154,1,100,'5% chance to dispel when target receives hostile action',1,2),
(73307,420154,1,100,'5% chance to dispel when target takes damage',1,3),
(73308,420154,1,100,'Decreases Mitigation of target vs elemental and noxious damage by 594',0,4),
(73309,420154,4,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(73310,420154,4,100,'Slows target by 44.7%',1,1),
(73311,420154,4,100,'5% chance to dispel when target receives hostile action',1,2),
(73312,420154,4,100,'5% chance to dispel when target takes damage',1,3),
(73313,420154,4,100,'Decreases Mitigation of target vs elemental and noxious damage by 726',0,4),
(73314,420154,5,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(73315,420154,5,100,'Slows target by 48.8%',1,1),
(73316,420154,5,100,'5% chance to dispel when target receives hostile action',1,2),
(73317,420154,5,100,'5% chance to dispel when target takes damage',1,3),
(73318,420154,5,100,'Decreases Mitigation of target vs elemental and noxious damage by 792',0,4),
(73319,420154,7,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(73320,420154,7,100,'Slows target by 62.6%',1,1),
(73321,420154,7,100,'5% chance to dispel when target receives hostile action',1,2),
(73322,420154,7,100,'5% chance to dispel when target takes damage',1,3),
(73323,420154,7,100,'Decreases Mitigation of target vs elemental and noxious damage by 1016',0,4),
(73324,420154,9,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(73325,420154,9,100,'Slows target by 65.0%',1,1),
(73326,420154,9,100,'5% chance to dispel when target receives hostile action',1,2),
(73327,420154,9,100,'5% chance to dispel when target takes damage',1,3),
(73328,420154,9,100,'Decreases Mitigation of target vs elemental and noxious damage by 1056',0,4),
(73329,420155,1,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(73330,420155,1,100,'Slows target by 36.9%',1,1),
(73331,420155,1,100,'5% chance to dispel when target receives hostile action',1,2),
(73332,420155,1,100,'5% chance to dispel when target takes damage',1,3),
(73333,420155,1,100,'Decreases Mitigation of target vs elemental and noxious damage by 743',0,4),
(73334,420155,4,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(73335,420155,4,100,'Slows target by 45.1%',1,1),
(73336,420155,4,100,'5% chance to dispel when target receives hostile action',1,2),
(73337,420155,4,100,'5% chance to dispel when target takes damage',1,3),
(73338,420155,4,100,'Decreases Mitigation of target vs elemental and noxious damage by 908',0,4),
(73339,420155,5,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(73340,420155,5,100,'Slows target by 49.2%',1,1),
(73341,420155,5,100,'5% chance to dispel when target receives hostile action',1,2),
(73342,420155,5,100,'5% chance to dispel when target takes damage',1,3),
(73343,420155,5,100,'Decreases Mitigation of target vs elemental and noxious damage by 990',0,4),
(73344,420155,7,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(73345,420155,7,100,'Slows target by 63.2%',1,1),
(73346,420155,7,100,'5% chance to dispel when target receives hostile action',1,2),
(73347,420155,7,100,'5% chance to dispel when target takes damage',1,3),
(73348,420155,7,100,'Decreases Mitigation of target vs elemental and noxious damage by 1271',0,4),
(73349,420155,9,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(73350,420155,9,100,'Slows target by 65.7%',1,1),
(73351,420155,9,100,'5% chance to dispel when target receives hostile action',1,2),
(73352,420155,9,100,'5% chance to dispel when target takes damage',1,3),
(73353,420155,9,100,'Decreases Mitigation of target vs elemental and noxious damage by 1320',0,4),
(73354,420156,1,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(73355,420156,1,100,'Slows target by 37.7%',1,1),
(73356,420156,1,100,'5% chance to dispel when target receives hostile action',1,2),
(73357,420156,1,100,'5% chance to dispel when target takes damage',1,3),
(73358,420156,1,100,'Decreases Mitigation of target vs elemental and noxious damage by 1037',0,4),
(73359,420156,4,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(73360,420156,4,100,'Slows target by 46.0%',1,1),
(73361,420156,4,100,'5% chance to dispel when target receives hostile action',1,2),
(73362,420156,4,100,'5% chance to dispel when target takes damage',1,3),
(73363,420156,4,100,'Decreases Mitigation of target vs elemental and noxious damage by 1267',0,4),
(73364,420156,5,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(73365,420156,5,100,'Slows target by 50.2%',1,1),
(73366,420156,5,100,'5% chance to dispel when target receives hostile action',1,2),
(73367,420156,5,100,'5% chance to dispel when target takes damage',1,3),
(73368,420156,5,100,'Decreases Mitigation of target vs elemental and noxious damage by 1382',0,4),
(73369,420156,7,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(73370,420156,7,100,'Slows target by 64.4%',1,1),
(73371,420156,7,100,'5% chance to dispel when target receives hostile action',1,2),
(73372,420156,7,100,'5% chance to dispel when target takes damage',1,3),
(73373,420156,7,100,'Decreases Mitigation of target vs elemental and noxious damage by 1774',0,4),
(73374,420156,9,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(73375,420156,9,100,'Slows target by 66.9%',1,1),
(73376,420156,9,100,'5% chance to dispel when target receives hostile action',1,2),
(73377,420156,9,100,'5% chance to dispel when target takes damage',1,3),
(73378,420156,9,100,'Decreases Mitigation of target vs elemental and noxious damage by 1843',0,4),
(73379,2000285,3,100,'Inflicts 1 - 2 poison damage on target encounter',0,0),
(73380,2000285,4,100,'Inflicts 1 - 2 poison damage on target encounter',0,0),
(73381,2000285,5,100,'Inflicts 1 - 2 poison damage on target encounter',0,0),
(73382,2000285,7,100,'Inflicts 2 - 3 poison damage on target encounter',0,0),
(73383,2000285,9,100,'Inflicts 2 - 3 poison damage on target encounter',0,0),
(73384,2000285,10,100,'Inflicts 2 - 3 poison damage on target encounter',0,0),
(73385,330172,1,100,'Inflicts 10 - 17 melee damage on target',0,0),
(73386,330172,1,100,'Decreases AGI of target by 5.0',0,1),
(73387,330172,1,100,'Must be flanking or behind',0,2),
(73388,330172,2,100,'Inflicts 11 - 18 melee damage on target',0,0),
(73389,330172,2,100,'Decreases AGI of target by 5.3',0,1),
(73390,330172,2,100,'Must be flanking or behind',0,2),
(73391,330172,3,100,'Inflicts 11 - 19 melee damage on target',0,0),
(73392,330172,3,100,'Decreases AGI of target by 5.6',0,1),
(73393,330172,3,100,'Must be flanking or behind',0,2),
(73394,330172,4,100,'Inflicts 13 - 21 melee damage on target',0,0),
(73395,330172,4,100,'Decreases AGI of target by 6.2',0,1),
(73396,330172,4,100,'Must be flanking or behind',0,2),
(73397,330172,5,100,'Inflicts 14 - 23 melee damage on target',0,0),
(73398,330172,5,100,'Decreases AGI of target by 6.7',0,1),
(73399,330172,5,100,'Must be flanking or behind',0,2),
(73400,330172,7,100,'Inflicts 18 - 30 melee damage on target',0,0),
(73401,330172,7,100,'Decreases AGI of target by 8.6',0,1),
(73402,330172,7,100,'Must be flanking or behind',0,2),
(73403,330172,9,100,'Inflicts 19 - 31 melee damage on target',0,0),
(73404,330172,9,100,'Decreases AGI of target by 9.0',0,1),
(73405,330172,9,100,'Must be flanking or behind',0,2),
(73406,330173,1,100,'Inflicts 46 - 78 melee damage on target',0,0),
(73407,330173,1,100,'Decreases AGI of target by 7.2',0,1),
(73408,330173,1,100,'Must be flanking or behind',0,2),
(73409,330173,2,100,'Inflicts 49 - 82 melee damage on target',0,0),
(73410,330173,2,100,'Decreases AGI of target by 7.6',0,1),
(73411,330173,2,100,'Must be flanking or behind',0,2),
(73412,330173,3,100,'Inflicts 52 - 86 melee damage on target',0,0),
(73413,330173,3,100,'Decreases AGI of target by 8.0',0,1),
(73414,330173,3,100,'Must be flanking or behind',0,2),
(73415,330173,4,100,'Inflicts 57 - 95 melee damage on target',0,0),
(73416,330173,4,100,'Decreases AGI of target by 8.8',0,1),
(73417,330173,4,100,'Must be flanking or behind',0,2),
(73418,330173,5,100,'Inflicts 62 - 104 melee damage on target',0,0),
(73419,330173,5,100,'Decreases AGI of target by 9.6',0,1),
(73420,330173,5,100,'Must be flanking or behind',0,2),
(73421,330173,7,100,'Inflicts 80 - 133 melee damage on target',0,0),
(73422,330173,7,100,'Decreases AGI of target by 12.3',0,1),
(73423,330173,7,100,'Must be flanking or behind',0,2),
(73424,330173,9,100,'Inflicts 83 - 138 melee damage on target',0,0),
(73425,330173,9,100,'Decreases AGI of target by 12.8',0,1),
(73426,330173,9,100,'Must be flanking or behind',0,2),
(73427,330173,10,100,'Inflicts 87 - 145 melee damage on target',0,0),
(73428,330173,10,100,'Decreases AGI of target by 13.4',0,1),
(73429,330173,10,100,'Must be flanking or behind',0,2),
(73430,330174,1,100,'Inflicts 113 - 189 melee damage on target',0,0),
(73431,330174,1,100,'Decreases AGI of target by 16.9',0,1),
(73432,330174,1,100,'Must be flanking or behind',0,2),
(73433,330174,2,100,'Inflicts 119 - 199 melee damage on target',0,0),
(73434,330174,2,100,'Decreases AGI of target by 17.9',0,1),
(73435,330174,2,100,'Must be flanking or behind',0,2),
(73436,330174,3,100,'Inflicts 126 - 210 melee damage on target',0,0),
(73437,330174,3,100,'Decreases AGI of target by 18.8',0,1),
(73438,330174,3,100,'Must be flanking or behind',0,2),
(73439,330174,4,100,'Inflicts 138 - 231 melee damage on target',0,0),
(73440,330174,4,100,'Decreases AGI of target by 20.7',0,1),
(73441,330174,4,100,'Must be flanking or behind',0,2),
(73442,330174,5,100,'Inflicts 151 - 252 melee damage on target',0,0),
(73443,330174,5,100,'Decreases AGI of target by 22.6',0,1),
(73444,330174,5,100,'Must be flanking or behind',0,2),
(73445,330174,7,100,'Inflicts 194 - 323 melee damage on target',0,0),
(73446,330174,7,100,'Decreases AGI of target by 29.0',0,1),
(73447,330174,7,100,'Must be flanking or behind',0,2),
(73448,330174,9,100,'Inflicts 201 - 336 melee damage on target',0,0),
(73449,330174,9,100,'Decreases AGI of target by 30.1',0,1),
(73450,330174,9,100,'Must be flanking or behind',0,2),
(73451,330174,10,100,'Inflicts 211 - 353 melee damage on target',0,0),
(73452,330174,10,100,'Decreases AGI of target by 31.6',0,1),
(73453,330174,10,100,'Must be flanking or behind',0,2),
(73454,330175,1,100,'Inflicts 189 - 315 melee damage on target',0,0),
(73455,330175,1,100,'Decreases AGI of target by 26.5',0,1),
(73456,330175,1,100,'Must be flanking or behind',0,2),
(73457,330175,2,100,'Inflicts 199 - 333 melee damage on target',0,0),
(73458,330175,2,100,'Decreases AGI of target by 27.9',0,1),
(73459,330175,2,100,'Must be flanking or behind',0,2),
(73460,330175,3,100,'Inflicts 210 - 350 melee damage on target',0,0),
(73461,330175,3,100,'Decreases AGI of target by 29.4',0,1),
(73462,330175,3,100,'Must be flanking or behind',0,2),
(73463,330175,4,100,'Inflicts 231 - 385 melee damage on target',0,0),
(73464,330175,4,100,'Decreases AGI of target by 32.3',0,1),
(73465,330175,4,100,'Must be flanking or behind',0,2),
(73466,330175,5,100,'Inflicts 252 - 420 melee damage on target',0,0),
(73467,330175,5,100,'Decreases AGI of target by 35.3',0,1),
(73468,330175,5,100,'Must be flanking or behind',0,2),
(73469,330175,7,100,'Inflicts 323 - 539 melee damage on target',0,0),
(73470,330175,7,100,'Decreases AGI of target by 45.3',0,1),
(73471,330175,7,100,'Must be flanking or behind',0,2),
(73472,330175,9,100,'Inflicts 336 - 560 melee damage on target',0,0),
(73473,330175,9,100,'Decreases AGI of target by 47.0',0,1),
(73474,330175,9,100,'Must be flanking or behind',0,2),
(73475,330176,1,100,'Inflicts 613 - 1021 melee damage on target',0,0),
(73476,330176,1,100,'Decreases AGI of target by 76.2',0,1),
(73477,330176,1,100,'Must be flanking or behind',0,2),
(73478,330176,4,100,'Inflicts 749 - 1248 melee damage on target',0,0),
(73479,330176,4,100,'Decreases AGI of target by 93.2',0,1),
(73480,330176,4,100,'Must be flanking or behind',0,2),
(73481,330176,5,100,'Inflicts 817 - 1362 melee damage on target',0,0),
(73482,330176,5,100,'Decreases AGI of target by 101.6',0,1),
(73483,330176,5,100,'Must be flanking or behind',0,2),
(73484,330176,7,100,'Inflicts 1049 - 1748 melee damage on target',0,0),
(73485,330176,7,100,'Decreases AGI of target by 130.4',0,1),
(73486,330176,7,100,'Must be flanking or behind',0,2),
(73487,330176,9,100,'Inflicts 1089 - 1816 melee damage on target',0,0),
(73488,330176,9,100,'Decreases AGI of target by 135.5',0,1),
(73489,330176,9,100,'Must be flanking or behind',0,2),
(73490,330177,1,100,'Inflicts 281 - 468 melee damage on target',0,0),
(73491,330177,1,100,'Decreases AGI of target by 36.5',0,1),
(73492,330177,1,100,'Must be flanking or behind',0,2),
(73493,330177,2,100,'Inflicts 296 - 494 melee damage on target',0,0),
(73494,330177,2,100,'Decreases AGI of target by 38.6',0,1),
(73495,330177,2,100,'Must be flanking or behind',0,2),
(73496,330177,3,100,'Inflicts 312 - 521 melee damage on target',0,0),
(73497,330177,3,100,'Decreases AGI of target by 40.6',0,1),
(73498,330177,3,100,'Must be flanking or behind',0,2),
(73499,330177,4,100,'Inflicts 343 - 573 melee damage on target',0,0),
(73500,330177,4,100,'Decreases AGI of target by 44.7',0,1),
(73501,330177,4,100,'Must be flanking or behind',0,2),
(73502,330177,5,100,'Inflicts 375 - 625 melee damage on target',0,0),
(73503,330177,5,100,'Decreases AGI of target by 48.7',0,1),
(73504,330177,5,100,'Must be flanking or behind',0,2),
(73505,330177,7,100,'Inflicts 481 - 802 melee damage on target',0,0),
(73506,330177,7,100,'Decreases AGI of target by 62.5',0,1),
(73507,330177,7,100,'Must be flanking or behind',0,2),
(73508,330177,9,100,'Inflicts 500 - 833 melee damage on target',0,0),
(73509,330177,9,100,'Decreases AGI of target by 65.0',0,1),
(73510,330177,9,100,'Must be flanking or behind',0,2),
(73511,330177,10,100,'Inflicts 525 - 875 melee damage on target',0,0),
(73512,330177,10,100,'Decreases AGI of target by 68.2',0,1),
(73513,330177,10,100,'Must be flanking or behind',0,2),
(73514,330178,1,100,'Inflicts 376 - 626 melee damage on target',0,0),
(73515,330178,1,100,'Decreases AGI of target by 46.6',0,1),
(73516,330178,1,100,'Must be flanking or behind',0,2),
(73517,330178,2,100,'Inflicts 396 - 661 melee damage on target',0,0),
(73518,330178,2,100,'Decreases AGI of target by 49.2',0,1),
(73519,330178,2,100,'Must be flanking or behind',0,2),
(73520,330178,3,100,'Inflicts 417 - 696 melee damage on target',0,0),
(73521,330178,3,100,'Decreases AGI of target by 51.8',0,1),
(73522,330178,3,100,'Must be flanking or behind',0,2),
(73523,330178,4,100,'Inflicts 459 - 765 melee damage on target',0,0),
(73524,330178,4,100,'Decreases AGI of target by 57.0',0,1),
(73525,330178,4,100,'Must be flanking or behind',0,2),
(73526,330178,5,100,'Inflicts 501 - 835 melee damage on target',0,0),
(73527,330178,5,100,'Decreases AGI of target by 62.2',0,1),
(73528,330178,5,100,'Must be flanking or behind',0,2),
(73529,330178,7,100,'Inflicts 643 - 1072 melee damage on target',0,0),
(73530,330178,7,100,'Decreases AGI of target by 79.8',0,1),
(73531,330178,7,100,'Must be flanking or behind',0,2),
(73532,330178,9,100,'Inflicts 668 - 1114 melee damage on target',0,0),
(73533,330178,9,100,'Decreases AGI of target by 82.9',0,1),
(73534,330178,9,100,'Must be flanking or behind',0,2),
(73535,330179,1,100,'Inflicts 463 - 771 melee damage on target',0,0),
(73536,330179,1,100,'Decreases AGI of target by 56.4',0,1),
(73537,330179,1,100,'Must be flanking or behind',0,2),
(73538,330179,2,100,'Inflicts 488 - 814 melee damage on target',0,0),
(73539,330179,2,100,'Decreases AGI of target by 59.6',0,1),
(73540,330179,2,100,'Must be flanking or behind',0,2),
(73541,330179,3,100,'Inflicts 514 - 857 melee damage on target',0,0),
(73542,330179,3,100,'Decreases AGI of target by 62.7',0,1),
(73543,330179,3,100,'Must be flanking or behind',0,2),
(73544,330179,4,100,'Inflicts 565 - 943 melee damage on target',0,0),
(73545,330179,4,100,'Decreases AGI of target by 69.0',0,1),
(73546,330179,4,100,'Must be flanking or behind',0,2),
(73547,330179,5,100,'Inflicts 617 - 1028 melee damage on target',0,0),
(73548,330179,5,100,'Decreases AGI of target by 75.2',0,1),
(73549,330179,5,100,'Must be flanking or behind',0,2),
(73550,330179,7,100,'Inflicts 792 - 1320 melee damage on target',0,0),
(73551,330179,7,100,'Decreases AGI of target by 96.6',0,1),
(73552,330179,7,100,'Must be flanking or behind',0,2),
(73553,330179,9,100,'Inflicts 823 - 1371 melee damage on target',0,0),
(73554,330179,9,100,'Decreases AGI of target by 100.3',0,1),
(73555,330179,9,100,'Must be flanking or behind',0,2),
(73556,330180,1,100,'Inflicts 558 - 930 melee damage on target',0,0),
(73557,330180,1,100,'Decreases AGI of target by 66.3',0,1),
(73558,330180,1,100,'Must be flanking or behind',0,2),
(73559,330180,4,100,'Inflicts 682 - 1137 melee damage on target',0,0),
(73560,330180,4,100,'Decreases AGI of target by 81.1',0,1),
(73561,330180,4,100,'Must be flanking or behind',0,2),
(73562,330180,5,100,'Inflicts 744 - 1240 melee damage on target',0,0),
(73563,330180,5,100,'Decreases AGI of target by 88.4',0,1),
(73564,330180,5,100,'Must be flanking or behind',0,2),
(73565,330180,7,100,'Inflicts 955 - 1591 melee damage on target',0,0),
(73566,330180,7,100,'Decreases AGI of target by 113.5',0,1),
(73567,330180,7,100,'Must be flanking or behind',0,2),
(73568,330180,9,100,'Inflicts 992 - 1653 melee damage on target',0,0),
(73569,330180,9,100,'Decreases AGI of target by 117.9',0,1),
(73570,330180,9,100,'Must be flanking or behind',0,2),
(73571,40194,1,100,'On death this spell will cast Madness on caster.  Lasts for 5.0 seconds.  ',0,0),
(73572,40194,1,100,'Heals caster for 2.7% of max health instantly and every second',1,1),
(73573,40194,1,100,'This effect cannot be critically applied.',2,2),
(73574,40194,1,100,'If target is not berserk',2,3),
(73575,40194,1,100,'Heals caster for 13.5% of max health instantly and every second',1,4),
(73576,40194,1,100,'This effect cannot be critically applied.',2,5),
(73577,40194,1,100,'If target is berserk',2,6),
(73578,40194,1,100,'Grants a total of 1 trigger of the spell.',1,7),
(73579,40194,1,100,'Grants a total of 1 trigger of the spell.',1,8),
(73580,40194,2,100,'On death this spell will cast Madness on caster.  Lasts for 5.0 seconds.  ',0,0),
(73581,40194,2,100,'Heals caster for 2.8% of max health instantly and every second',1,1),
(73582,40194,2,100,'This effect cannot be critically applied.',2,2),
(73583,40194,2,100,'If target is not berserk',2,3),
(73584,40194,2,100,'Heals caster for 14.3% of max health instantly and every second',1,4),
(73585,40194,2,100,'This effect cannot be critically applied.',2,5),
(73586,40194,2,100,'If target is berserk',2,6),
(73587,40194,2,100,'Grants a total of 1 trigger of the spell.',1,7),
(73588,40194,2,100,'Grants a total of 1 trigger of the spell.',1,8),
(73589,40194,3,100,'On death this spell will cast Madness on caster.  Lasts for 5.0 seconds.  ',0,0),
(73590,40194,3,100,'Heals caster for 3.0% of max health instantly and every second',1,1),
(73591,40194,3,100,'This effect cannot be critically applied.',2,2),
(73592,40194,3,100,'If target is not berserk',2,3),
(73593,40194,3,100,'Heals caster for 15.0% of max health instantly and every second',1,4),
(73594,40194,3,100,'This effect cannot be critically applied.',2,5),
(73595,40194,3,100,'If target is berserk',2,6),
(73596,40194,3,100,'Grants a total of 1 trigger of the spell.',1,7),
(73597,40194,3,100,'Grants a total of 1 trigger of the spell.',1,8),
(73598,40194,4,100,'On death this spell will cast Madness on caster.  Lasts for 5.0 seconds.  ',0,0),
(73599,40194,4,100,'Heals caster for 3.3% of max health instantly and every second',1,1),
(73600,40194,4,100,'This effect cannot be critically applied.',2,2),
(73601,40194,4,100,'If target is not berserk',2,3),
(73602,40194,4,100,'Heals caster for 16.5% of max health instantly and every second',1,4),
(73603,40194,4,100,'This effect cannot be critically applied.',2,5),
(73604,40194,4,100,'If target is berserk',2,6),
(73605,40194,4,100,'Grants a total of 1 trigger of the spell.',1,7),
(73606,40194,4,100,'Grants a total of 1 trigger of the spell.',1,8),
(73607,40194,5,100,'On death this spell will cast Madness on caster.  Lasts for 5.0 seconds.  ',0,0),
(73608,40194,5,100,'Heals caster for 3.6% of max health instantly and every second',1,1),
(73609,40194,5,100,'This effect cannot be critically applied.',2,2),
(73610,40194,5,100,'If target is not berserk',2,3),
(73611,40194,5,100,'Heals caster for 18.0% of max health instantly and every second',1,4),
(73612,40194,5,100,'This effect cannot be critically applied.',2,5),
(73613,40194,5,100,'If target is berserk',2,6),
(73614,40194,5,100,'Grants a total of 1 trigger of the spell.',1,7),
(73615,40194,5,100,'Grants a total of 1 trigger of the spell.',1,8),
(73616,40194,7,100,'On death this spell will cast Madness on caster.  Lasts for 5.0 seconds.  ',0,0),
(73617,40194,7,100,'Heals caster for 4.6% of max health instantly and every second',1,1),
(73618,40194,7,100,'This effect cannot be critically applied.',2,2),
(73619,40194,7,100,'If target is not berserk',2,3),
(73620,40194,7,100,'Heals caster for 23.1% of max health instantly and every second',1,4),
(73621,40194,7,100,'This effect cannot be critically applied.',2,5),
(73622,40194,7,100,'If target is berserk',2,6),
(73623,40194,7,100,'Grants a total of 1 trigger of the spell.',1,7),
(73624,40194,7,100,'Grants a total of 1 trigger of the spell.',1,8),
(73625,40194,9,100,'On death this spell will cast Madness on caster.  Lasts for 5.0 seconds.  ',0,0),
(73626,40194,9,100,'Heals caster for 4.8% of max health instantly and every second',1,1),
(73627,40194,9,100,'This effect cannot be critically applied.',2,2),
(73628,40194,9,100,'If target is not berserk',2,3),
(73629,40194,9,100,'Heals caster for 24.0% of max health instantly and every second',1,4),
(73630,40194,9,100,'This effect cannot be critically applied.',2,5),
(73631,40194,9,100,'If target is berserk',2,6),
(73632,40194,9,100,'Grants a total of 1 trigger of the spell.',1,7),
(73633,40194,9,100,'Grants a total of 1 trigger of the spell.',1,8),
(73634,60181,1,100,'Inflicts 4 - 6 melee damage on target',0,0),
(73635,60181,2,100,'Inflicts 4 - 7 melee damage on target',0,0),
(73636,60181,3,100,'Inflicts 4 - 7 melee damage on target',0,0),
(73637,60181,4,100,'Inflicts 4 - 8 melee damage on target',0,0),
(73638,60181,5,100,'Inflicts 5 - 8 melee damage on target',0,0),
(73639,60181,7,100,'Inflicts 6 - 11 melee damage on target',0,0),
(73640,60181,9,100,'Inflicts 7 - 11 melee damage on target',0,0),
(73641,60182,1,100,'Inflicts 9 - 15 melee damage on target',0,0),
(73642,60182,2,100,'Inflicts 10 - 16 melee damage on target',0,0),
(73643,60182,3,100,'Inflicts 10 - 17 melee damage on target',0,0),
(73644,60182,4,100,'Inflicts 11 - 19 melee damage on target',0,0),
(73645,60182,5,100,'Inflicts 12 - 21 melee damage on target',0,0),
(73646,60182,7,100,'Inflicts 16 - 27 melee damage on target',0,0),
(73647,60182,9,100,'Inflicts 17 - 28 melee damage on target',0,0),
(73648,60183,1,100,'Inflicts 46 - 78 melee damage on target',0,0),
(73649,60183,2,100,'Inflicts 49 - 82 melee damage on target',0,0),
(73650,60183,3,100,'Inflicts 52 - 86 melee damage on target',0,0),
(73651,60183,4,100,'Inflicts 57 - 95 melee damage on target',0,0),
(73652,60183,5,100,'Inflicts 62 - 104 melee damage on target',0,0),
(73653,60183,7,100,'Inflicts 80 - 133 melee damage on target',0,0),
(73654,60183,9,100,'Inflicts 83 - 138 melee damage on target',0,0),
(73655,60184,1,100,'Inflicts 73 - 122 melee damage on target',0,0),
(73656,60184,2,100,'Inflicts 77 - 129 melee damage on target',0,0),
(73657,60184,3,100,'Inflicts 81 - 135 melee damage on target',0,0),
(73658,60184,4,100,'Inflicts 89 - 149 melee damage on target',0,0),
(73659,60184,5,100,'Inflicts 97 - 163 melee damage on target',0,0),
(73660,60184,7,100,'Inflicts 125 - 209 melee damage on target',0,0),
(73661,60184,9,100,'Inflicts 130 - 217 melee damage on target',0,0),
(73662,60185,1,100,'Inflicts 104 - 174 melee damage on target',0,0),
(73663,60185,2,100,'Inflicts 110 - 184 melee damage on target',0,0),
(73664,60185,3,100,'Inflicts 116 - 194 melee damage on target',0,0),
(73665,60185,4,100,'Inflicts 128 - 213 melee damage on target',0,0),
(73666,60185,5,100,'Inflicts 139 - 233 melee damage on target',0,0),
(73667,60185,7,100,'Inflicts 179 - 299 melee damage on target',0,0),
(73668,60185,9,100,'Inflicts 186 - 310 melee damage on target',0,0),
(73669,60186,1,100,'Inflicts 137 - 228 melee damage on target',0,0),
(73670,60186,2,100,'Inflicts 144 - 241 melee damage on target',0,0),
(73671,60186,3,100,'Inflicts 152 - 253 melee damage on target',0,0),
(73672,60186,4,100,'Inflicts 167 - 279 melee damage on target',0,0),
(73673,60186,5,100,'Inflicts 182 - 304 melee damage on target',0,0),
(73674,60186,7,100,'Inflicts 234 - 390 melee damage on target',0,0),
(73675,60186,9,100,'Inflicts 243 - 405 melee damage on target',0,0),
(73676,60187,1,100,'Inflicts 165 - 276 melee damage on target',0,0),
(73677,60187,4,100,'Inflicts 202 - 338 melee damage on target',0,0),
(73678,60187,5,100,'Inflicts 221 - 368 melee damage on target',0,0),
(73679,60187,7,100,'Inflicts 283 - 473 melee damage on target',0,0),
(73680,60187,9,100,'Inflicts 295 - 491 melee damage on target',0,0),
(73682,60188,1,100,'Inflicts 196 - 328 melee damage on target',0,0),
(73683,60188,4,100,'Inflicts 240 - 401 melee damage on target',0,0),
(73684,60188,5,100,'Inflicts 262 - 437 melee damage on target',0,0),
(73685,60188,7,100,'Inflicts 336 - 561 melee damage on target',0,0),
(73686,60188,9,100,'Inflicts 350 - 583 melee damage on target',0,0),
(73688,2000286,1,100,'Inflicts 1 - 2 melee damage on target',0,0),
(73689,2000286,1,100,'Forces target to face the same direction as the caster.',0,1),
(73690,2000286,1,100,'Prevents target from changing direction while active.',0,2),
(73691,2000286,1,100,'If Target is not Epic',1,3),
(73692,2000286,1,100,'Roots target',0,4),
(73693,2000286,1,100,'If Target is not Epic',1,5),
(73694,2000286,2,100,'Inflicts 197 - 329 melee damage on target',0,0),
(73695,2000286,2,100,'Forces target to face the same direction as the caster.',0,1),
(73696,2000286,2,100,'Prevents target from changing direction while active.',0,2),
(73697,2000286,2,100,'If Target is not Epic',1,3),
(73698,2000286,2,100,'Roots target',0,4),
(73699,2000286,2,100,'If Target is not Epic',1,5),
(73700,2000286,3,100,'Inflicts 277 - 461 melee damage on target',0,0),
(73701,2000286,3,100,'Forces target to face the same direction as the caster.',0,1),
(73702,2000286,3,100,'Prevents target from changing direction while active.',0,2),
(73703,2000286,3,100,'If Target is not Epic',1,3),
(73704,2000286,3,100,'Roots target',0,4),
(73705,2000286,3,100,'If Target is not Epic',1,5),
(73706,2000286,4,100,'Inflicts 304 - 507 melee damage on target',0,0),
(73707,2000286,4,100,'Forces target to face the same direction as the caster.',0,1),
(73708,2000286,4,100,'Prevents target from changing direction while active.',0,2),
(73709,2000286,4,100,'If Target is not Epic',1,3),
(73710,2000286,4,100,'Roots target',0,4),
(73711,2000286,4,100,'If Target is not Epic',1,5),
(73712,2000286,5,100,'Inflicts 249 - 415 melee damage on target',0,0),
(73713,2000286,5,100,'Forces target to face the same direction as the caster.',0,1),
(73714,2000286,5,100,'Prevents target from changing direction while active.',0,2),
(73715,2000286,5,100,'If Target is not Epic',1,3),
(73716,2000286,5,100,'Roots target',0,4),
(73717,2000286,5,100,'If Target is not Epic',1,5),
(73718,2000286,6,100,'Inflicts 270 - 450 melee damage on target',0,0),
(73719,2000286,6,100,'Forces target to face the same direction as the caster.',0,1),
(73720,2000286,6,100,'Prevents target from changing direction while active.',0,2),
(73721,2000286,6,100,'If Target is not Epic',1,3),
(73722,2000286,6,100,'Roots target',0,4),
(73723,2000286,6,100,'If Target is not Epic',1,5),
(73724,2000286,7,100,'Inflicts 320 - 533 melee damage on target',0,0),
(73725,2000286,7,100,'Forces target to face the same direction as the caster.',0,1),
(73726,2000286,7,100,'Prevents target from changing direction while active.',0,2),
(73727,2000286,7,100,'If Target is not Epic',1,3),
(73728,2000286,7,100,'Roots target',0,4),
(73729,2000286,7,100,'If Target is not Epic',1,5),
(73730,2000286,8,100,'Inflicts 429 - 715 melee damage on target',0,0),
(73731,2000286,8,100,'Forces target to face the same direction as the caster.',0,1),
(73732,2000286,8,100,'Prevents target from changing direction while active.',0,2),
(73733,2000286,8,100,'If Target is not Epic',1,3),
(73734,2000286,8,100,'Roots target',0,4),
(73735,2000286,8,100,'If Target is not Epic',1,5),
(73736,2000286,9,100,'Inflicts 332 - 554 melee damage on target',0,0),
(73737,2000286,9,100,'Forces target to face the same direction as the caster.',0,1),
(73738,2000286,9,100,'Prevents target from changing direction while active.',0,2),
(73739,2000286,9,100,'If Target is not Epic',1,3),
(73740,2000286,9,100,'Roots target',0,4),
(73741,2000286,9,100,'If Target is not Epic',1,5),
(73742,2000286,10,100,'Inflicts 349 - 581 melee damage on target',0,0),
(73743,2000286,10,100,'Forces target to face the same direction as the caster.',0,1),
(73744,2000286,10,100,'Prevents target from changing direction while active.',0,2),
(73745,2000286,10,100,'If Target is not Epic',1,3),
(73746,2000286,10,100,'Roots target',0,4),
(73747,2000286,10,100,'If Target is not Epic',1,5),
(73748,2000287,1,100,'Applies Stoneskin Reaction.  Lasts for 1.0 seconds.',0,0),
(73749,2000287,1,100,'Reduces physical damage done to target by 100%',1,1),
(73750,2000287,1,100,'Triggers when a Stoneskin is consumed. Suspends all other stoneskins that match the damage types of this effect.',1,2),
(73751,2000287,1,100,'Will absorb physical damage when the amount is greater than 30% of the target''s maximum health. This spell will absorb a total of 2 attacks.',0,3),
(73752,40195,12,100,'Adds a hate position increase to the initial taunt portion of Insolence.',0,0),
(73753,40195,12,100,'25% of the damage done to the berserker will be added back to the attacker as additional hate.',0,1),
(73754,40195,12,100,'On a melee hit this spell may cast Enrage on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.4 times per minute. ',0,2),
(73755,40195,12,100,'Increases Crit Chance of caster by 15.0',1,3),
(73756,40195,12,100,'Inflicts 562 - 842 heat damage on target encounter',1,4),
(73757,40195,12,100,'Increases Damage Per Second of caster by 10.0',1,5),
(73758,40195,12,100,'Cannot be modified except by direct means',1,6),
(73759,40195,12,100,'Cannot be modified except by direct means',0,7),
(73760,40196,1,100,'Decreases Haste of caster by 11.3',0,0),
(73761,40196,1,100,'Increases Mitigation of caster vs physical damage by 133',0,1),
(73762,40196,1,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(73763,40196,1,100,'Slows targets in Area of Effect by 29.3%',1,3),
(73764,40196,1,100,'5% chance to dispel when target receives hostile action',1,4),
(73765,40196,1,100,'5% chance to dispel when target takes damage',1,5),
(73766,40196,2,100,'Decreases Haste of caster by 11.3',0,0),
(73767,40196,2,100,'Increases Mitigation of caster vs physical damage by 141',0,1),
(73768,40196,2,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(73769,40196,2,100,'Slows targets in Area of Effect by 31.0%',1,3),
(73770,40196,2,100,'5% chance to dispel when target receives hostile action',1,4),
(73771,40196,2,100,'5% chance to dispel when target takes damage',1,5),
(73772,40196,3,100,'Decreases Haste of caster by 11.3',0,0),
(73773,40196,3,100,'Increases Mitigation of caster vs physical damage by 148',0,1),
(73774,40196,3,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(73775,40196,3,100,'Slows targets in Area of Effect by 32.6%',1,3),
(73776,40196,3,100,'5% chance to dispel when target receives hostile action',1,4),
(73777,40196,3,100,'5% chance to dispel when target takes damage',1,5),
(73778,40196,4,100,'Decreases Haste of caster by 11.3',0,0),
(73779,40196,4,100,'Increases Mitigation of caster vs physical damage by 163',0,1),
(73780,40196,4,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(73781,40196,4,100,'Slows targets in Area of Effect by 35.9%',1,3),
(73782,40196,4,100,'5% chance to dispel when target receives hostile action',1,4),
(73783,40196,4,100,'5% chance to dispel when target takes damage',1,5),
(73784,40196,5,100,'Decreases Haste of caster by 11.3',0,0),
(73785,40196,5,100,'Increases Mitigation of caster vs physical damage by 178',0,1),
(73786,40196,5,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(73787,40196,5,100,'Slows targets in Area of Effect by 39.1%',1,3),
(73788,40196,5,100,'5% chance to dispel when target receives hostile action',1,4),
(73789,40196,5,100,'5% chance to dispel when target takes damage',1,5),
(73790,40196,7,100,'Decreases Haste of caster by 11.3',0,0),
(73791,40196,7,100,'Increases Mitigation of caster vs physical damage by 228',0,1),
(73792,40196,7,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(73793,40196,7,100,'Slows targets in Area of Effect by 50.2%',1,3),
(73794,40196,7,100,'5% chance to dispel when target receives hostile action',1,4),
(73795,40196,7,100,'5% chance to dispel when target takes damage',1,5),
(73796,40196,9,100,'Decreases Haste of caster by 11.3',0,0),
(73797,40196,9,100,'Increases Mitigation of caster vs physical damage by 237',0,1),
(73798,40196,9,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(73799,40196,9,100,'Slows targets in Area of Effect by 52.2%',1,3),
(73800,40196,9,100,'5% chance to dispel when target receives hostile action',1,4),
(73801,40196,9,100,'5% chance to dispel when target takes damage',1,5),
(73802,40197,1,100,'Decreases Haste of caster by 12.7',0,0),
(73803,40197,1,100,'Increases Mitigation of caster vs physical damage by 243',0,1),
(73804,40197,1,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(73805,40197,1,100,'Slows targets in Area of Effect by 31.9%',1,3),
(73806,40197,1,100,'5% chance to dispel when target receives hostile action',1,4),
(73807,40197,1,100,'5% chance to dispel when target takes damage',1,5),
(73808,40197,2,100,'Decreases Haste of caster by 12.7',0,0),
(73809,40197,2,100,'Increases Mitigation of caster vs physical damage by 257',0,1),
(73810,40197,2,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(73811,40197,2,100,'Slows targets in Area of Effect by 33.6%',1,3),
(73812,40197,2,100,'5% chance to dispel when target receives hostile action',1,4),
(73813,40197,2,100,'5% chance to dispel when target takes damage',1,5),
(73814,40197,3,100,'Decreases Haste of caster by 12.7',0,0),
(73815,40197,3,100,'Increases Mitigation of caster vs physical damage by 270',0,1),
(73816,40197,3,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(73817,40197,3,100,'Slows targets in Area of Effect by 35.4%',1,3),
(73818,40197,3,100,'5% chance to dispel when target receives hostile action',1,4),
(73819,40197,3,100,'5% chance to dispel when target takes damage',1,5),
(73820,40197,4,100,'Decreases Haste of caster by 12.7',0,0),
(73821,40197,4,100,'Increases Mitigation of caster vs physical damage by 297',0,1),
(73822,40197,4,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(73823,40197,4,100,'Slows targets in Area of Effect by 38.9%',1,3),
(73824,40197,4,100,'5% chance to dispel when target receives hostile action',1,4),
(73825,40197,4,100,'5% chance to dispel when target takes damage',1,5),
(73826,40197,5,100,'Decreases Haste of caster by 12.7',0,0),
(73827,40197,5,100,'Increases Mitigation of caster vs physical damage by 324',0,1),
(73828,40197,5,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(73829,40197,5,100,'Slows targets in Area of Effect by 42.5%',1,3),
(73830,40197,5,100,'5% chance to dispel when target receives hostile action',1,4),
(73831,40197,5,100,'5% chance to dispel when target takes damage',1,5),
(73832,40197,7,100,'Decreases Haste of caster by 12.7',0,0),
(73833,40197,7,100,'Increases Mitigation of caster vs physical damage by 416',0,1),
(73834,40197,7,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(73835,40197,7,100,'Slows targets in Area of Effect by 54.5%',1,3),
(73836,40197,7,100,'5% chance to dispel when target receives hostile action',1,4),
(73837,40197,7,100,'5% chance to dispel when target takes damage',1,5),
(73838,40197,9,100,'Decreases Haste of caster by 12.7',0,0),
(73839,40197,9,100,'Increases Mitigation of caster vs physical damage by 432',0,1),
(73840,40197,9,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(73841,40197,9,100,'Slows targets in Area of Effect by 56.6%',1,3),
(73842,40197,9,100,'5% chance to dispel when target receives hostile action',1,4),
(73843,40197,9,100,'5% chance to dispel when target takes damage',1,5),
(73844,40198,1,100,'Decreases Haste of caster by 14.1',0,0),
(73845,40198,1,100,'Increases Mitigation of caster vs physical damage by 369',0,1),
(73846,40198,1,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(73847,40198,1,100,'Slows targets in Area of Effect by 34.4%',1,3),
(73848,40198,1,100,'5% chance to dispel when target receives hostile action',1,4),
(73849,40198,1,100,'5% chance to dispel when target takes damage',1,5),
(73850,40198,2,100,'Decreases Haste of caster by 14.1',0,0),
(73851,40198,2,100,'Increases Mitigation of caster vs physical damage by 390',0,1),
(73852,40198,2,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(73853,40198,2,100,'Slows targets in Area of Effect by 36.3%',1,3),
(73854,40198,2,100,'5% chance to dispel when target receives hostile action',1,4),
(73855,40198,2,100,'5% chance to dispel when target takes damage',1,5),
(73856,40198,3,100,'Decreases Haste of caster by 14.1',0,0),
(73857,40198,3,100,'Increases Mitigation of caster vs physical damage by 410',0,1),
(73858,40198,3,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(73859,40198,3,100,'Slows targets in Area of Effect by 38.2%',1,3),
(73860,40198,3,100,'5% chance to dispel when target receives hostile action',1,4),
(73861,40198,3,100,'5% chance to dispel when target takes damage',1,5),
(73862,40198,4,100,'Decreases Haste of caster by 14.1',0,0),
(73863,40198,4,100,'Increases Mitigation of caster vs physical damage by 451',0,1),
(73864,40198,4,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(73865,40198,4,100,'Slows targets in Area of Effect by 42.0%',1,3),
(73866,40198,4,100,'5% chance to dispel when target receives hostile action',1,4),
(73867,40198,4,100,'5% chance to dispel when target takes damage',1,5),
(73868,40198,5,100,'Decreases Haste of caster by 14.1',0,0),
(73869,40198,5,100,'Increases Mitigation of caster vs physical damage by 492',0,1),
(73870,40198,5,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(73871,40198,5,100,'Slows targets in Area of Effect by 45.8%',1,3),
(73872,40198,5,100,'5% chance to dispel when target receives hostile action',1,4),
(73873,40198,5,100,'5% chance to dispel when target takes damage',1,5),
(73874,40198,7,100,'Decreases Haste of caster by 14.1',0,0),
(73875,40198,7,100,'Increases Mitigation of caster vs physical damage by 631',0,1),
(73876,40198,7,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(73877,40198,7,100,'Slows targets in Area of Effect by 58.8%',1,3),
(73878,40198,7,100,'5% chance to dispel when target receives hostile action',1,4),
(73879,40198,7,100,'5% chance to dispel when target takes damage',1,5),
(73880,40198,9,100,'Decreases Haste of caster by 14.1',0,0),
(73881,40198,9,100,'Increases Mitigation of caster vs physical damage by 656',0,1),
(73882,40198,9,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(73883,40198,9,100,'Slows targets in Area of Effect by 61.1%',1,3),
(73884,40198,9,100,'5% chance to dispel when target receives hostile action',1,4),
(73885,40198,9,100,'5% chance to dispel when target takes damage',1,5),
(73886,40199,1,100,'Decreases Haste of caster by 15.5',0,0),
(73887,40199,1,100,'Increases Mitigation of caster vs physical damage by 495',0,1),
(73888,40199,1,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(73889,40199,1,100,'Slows targets in Area of Effect by 36.2%',1,3),
(73890,40199,1,100,'5% chance to dispel when target receives hostile action',1,4),
(73891,40199,1,100,'5% chance to dispel when target takes damage',1,5),
(73892,40199,2,100,'Decreases Haste of caster by 15.5',0,0),
(73893,40199,2,100,'Increases Mitigation of caster vs physical damage by 523',0,1),
(73894,40199,2,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(73895,40199,2,100,'Slows targets in Area of Effect by 38.2%',1,3),
(73896,40199,2,100,'5% chance to dispel when target receives hostile action',1,4),
(73897,40199,2,100,'5% chance to dispel when target takes damage',1,5),
(73898,40199,3,100,'Decreases Haste of caster by 15.5',0,0),
(73899,40199,3,100,'Increases Mitigation of caster vs physical damage by 550',0,1),
(73900,40199,3,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(73901,40199,3,100,'Slows targets in Area of Effect by 40.2%',1,3),
(73902,40199,3,100,'5% chance to dispel when target receives hostile action',1,4),
(73903,40199,3,100,'5% chance to dispel when target takes damage',1,5),
(73904,40199,4,100,'Decreases Haste of caster by 15.5',0,0),
(73905,40199,4,100,'Increases Mitigation of caster vs physical damage by 605',0,1),
(73906,40199,4,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(73907,40199,4,100,'Slows targets in Area of Effect by 44.2%',1,3),
(73908,40199,4,100,'5% chance to dispel when target receives hostile action',1,4),
(73909,40199,4,100,'5% chance to dispel when target takes damage',1,5),
(73910,40199,5,100,'Decreases Haste of caster by 15.5',0,0),
(73911,40199,5,100,'Increases Mitigation of caster vs physical damage by 660',0,1),
(73912,40199,5,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(73913,40199,5,100,'Slows targets in Area of Effect by 48.2%',1,3),
(73914,40199,5,100,'5% chance to dispel when target receives hostile action',1,4),
(73915,40199,5,100,'5% chance to dispel when target takes damage',1,5),
(73916,40199,7,100,'Decreases Haste of caster by 15.5',0,0),
(73917,40199,7,100,'Increases Mitigation of caster vs physical damage by 847',0,1),
(73918,40199,7,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(73919,40199,7,100,'Slows targets in Area of Effect by 61.9%',1,3),
(73920,40199,7,100,'5% chance to dispel when target receives hostile action',1,4),
(73921,40199,7,100,'5% chance to dispel when target takes damage',1,5),
(73922,40199,9,100,'Decreases Haste of caster by 15.5',0,0),
(73923,40199,9,100,'Increases Mitigation of caster vs physical damage by 880',0,1),
(73924,40199,9,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(73925,40199,9,100,'Slows targets in Area of Effect by 64.3%',1,3),
(73926,40199,9,100,'5% chance to dispel when target receives hostile action',1,4),
(73927,40199,9,100,'5% chance to dispel when target takes damage',1,5),
(73928,40200,1,100,'Decreases Haste of caster by 16.9',0,0),
(73929,40200,1,100,'Increases Mitigation of caster vs physical damage by 621',0,1),
(73930,40200,1,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(73931,40200,1,100,'Slows targets in Area of Effect by 36.7%',1,3),
(73932,40200,1,100,'5% chance to dispel when target receives hostile action',1,4),
(73933,40200,1,100,'5% chance to dispel when target takes damage',1,5),
(73934,40200,2,100,'Decreases Haste of caster by 16.9',0,0),
(73935,40200,2,100,'Increases Mitigation of caster vs physical damage by 656',0,1),
(73936,40200,2,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(73937,40200,2,100,'Slows targets in Area of Effect by 38.7%',1,3),
(73938,40200,2,100,'5% chance to dispel when target receives hostile action',1,4),
(73939,40200,2,100,'5% chance to dispel when target takes damage',1,5),
(73940,40200,3,100,'Decreases Haste of caster by 16.9',0,0),
(73941,40200,3,100,'Increases Mitigation of caster vs physical damage by 690',0,1),
(73942,40200,3,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(73943,40200,3,100,'Slows targets in Area of Effect by 40.8%',1,3),
(73944,40200,3,100,'5% chance to dispel when target receives hostile action',1,4),
(73945,40200,3,100,'5% chance to dispel when target takes damage',1,5),
(73946,40200,4,100,'Decreases Haste of caster by 16.9',0,0),
(73947,40200,4,100,'Increases Mitigation of caster vs physical damage by 759',0,1),
(73948,40200,4,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(73949,40200,4,100,'Slows targets in Area of Effect by 44.8%',1,3),
(73950,40200,4,100,'5% chance to dispel when target receives hostile action',1,4),
(73951,40200,4,100,'5% chance to dispel when target takes damage',1,5),
(73952,40200,5,100,'Decreases Haste of caster by 16.9',0,0),
(73953,40200,5,100,'Increases Mitigation of caster vs physical damage by 828',0,1),
(73954,40200,5,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(73955,40200,5,100,'Slows targets in Area of Effect by 48.9%',1,3),
(73956,40200,5,100,'5% chance to dispel when target receives hostile action',1,4),
(73957,40200,5,100,'5% chance to dispel when target takes damage',1,5),
(73958,40200,7,100,'Decreases Haste of caster by 16.9',0,0),
(73959,40200,7,100,'Increases Mitigation of caster vs physical damage by 1063',0,1),
(73960,40200,7,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(73961,40200,7,100,'Slows targets in Area of Effect by 62.8%',1,3),
(73962,40200,7,100,'5% chance to dispel when target receives hostile action',1,4),
(73963,40200,7,100,'5% chance to dispel when target takes damage',1,5),
(73964,40200,9,100,'Decreases Haste of caster by 16.9',0,0),
(73965,40200,9,100,'Increases Mitigation of caster vs physical damage by 1104',0,1),
(73966,40200,9,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(73967,40200,9,100,'Slows targets in Area of Effect by 65.2%',1,3),
(73968,40200,9,100,'5% chance to dispel when target receives hostile action',1,4),
(73969,40200,9,100,'5% chance to dispel when target takes damage',1,5),
(73970,40201,1,100,'Decreases Haste of caster by 17.9',0,0),
(73971,40201,1,100,'Increases Mitigation of caster vs physical damage by 747',0,1),
(73972,40201,1,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(73973,40201,1,100,'Slows targets in Area of Effect by 37.0%',1,3),
(73974,40201,1,100,'5% chance to dispel when target receives hostile action',1,4),
(73975,40201,1,100,'5% chance to dispel when target takes damage',1,5),
(73976,40201,2,100,'Decreases Haste of caster by 17.9',0,0),
(73977,40201,2,100,'Increases Mitigation of caster vs physical damage by 788',0,1),
(73978,40201,2,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(73979,40201,2,100,'Slows targets in Area of Effect by 39.1%',1,3),
(73980,40201,2,100,'5% chance to dispel when target receives hostile action',1,4),
(73981,40201,2,100,'5% chance to dispel when target takes damage',1,5),
(73982,40201,3,100,'Decreases Haste of caster by 17.9',0,0),
(73983,40201,3,100,'Increases Mitigation of caster vs physical damage by 830',0,1),
(73984,40201,3,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(73985,40201,3,100,'Slows targets in Area of Effect by 41.2%',1,3),
(73986,40201,3,100,'5% chance to dispel when target receives hostile action',1,4),
(73987,40201,3,100,'5% chance to dispel when target takes damage',1,5),
(73988,40201,4,100,'Decreases Haste of caster by 17.9',0,0),
(73989,40201,4,100,'Increases Mitigation of caster vs physical damage by 912',0,1),
(73990,40201,4,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(73991,40201,4,100,'Slows targets in Area of Effect by 45.3%',1,3),
(73992,40201,4,100,'5% chance to dispel when target receives hostile action',1,4),
(73993,40201,4,100,'5% chance to dispel when target takes damage',1,5),
(73994,40201,5,100,'Decreases Haste of caster by 17.9',0,0),
(73995,40201,5,100,'Increases Mitigation of caster vs physical damage by 995',0,1),
(73996,40201,5,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(73997,40201,5,100,'Slows targets in Area of Effect by 49.4%',1,3),
(73998,40201,5,100,'5% chance to dispel when target receives hostile action',1,4),
(73999,40201,5,100,'5% chance to dispel when target takes damage',1,5),
(74000,40201,7,100,'Decreases Haste of caster by 17.9',0,0),
(74001,40201,7,100,'Increases Mitigation of caster vs physical damage by 1277',0,1),
(74002,40201,7,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(74003,40201,7,100,'Slows targets in Area of Effect by 63.4%',1,3),
(74004,40201,7,100,'5% chance to dispel when target receives hostile action',1,4),
(74005,40201,7,100,'5% chance to dispel when target takes damage',1,5),
(74006,40201,9,100,'Decreases Haste of caster by 17.9',0,0),
(74007,40201,9,100,'Increases Mitigation of caster vs physical damage by 1327',0,1),
(74008,40201,9,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(74009,40201,9,100,'Slows targets in Area of Effect by 65.9%',1,3),
(74010,40201,9,100,'5% chance to dispel when target receives hostile action',1,4),
(74011,40201,9,100,'5% chance to dispel when target takes damage',1,5),
(74012,40202,1,100,'Decreases Haste of caster by 18.9',0,0),
(74013,40202,1,100,'Increases Mitigation of caster vs physical damage by 877',0,1),
(74014,40202,1,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(74015,40202,1,100,'Slows targets in Area of Effect by 37.4%',1,3),
(74016,40202,1,100,'5% chance to dispel when target receives hostile action',1,4),
(74017,40202,1,100,'5% chance to dispel when target takes damage',1,5),
(74018,40202,4,100,'Decreases Haste of caster by 18.9',0,0),
(74019,40202,4,100,'Increases Mitigation of caster vs physical damage by 1072',0,1),
(74020,40202,4,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(74021,40202,4,100,'Slows targets in Area of Effect by 45.7%',1,3),
(74022,40202,4,100,'5% chance to dispel when target receives hostile action',1,4),
(74023,40202,4,100,'5% chance to dispel when target takes damage',1,5),
(74024,40202,5,100,'Decreases Haste of caster by 18.9',0,0),
(74025,40202,5,100,'Increases Mitigation of caster vs physical damage by 1169',0,1),
(74026,40202,5,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(74027,40202,5,100,'Slows targets in Area of Effect by 49.9%',1,3),
(74028,40202,5,100,'5% chance to dispel when target receives hostile action',1,4),
(74029,40202,5,100,'5% chance to dispel when target takes damage',1,5),
(74030,40202,7,100,'Decreases Haste of caster by 18.9',0,0),
(74031,40202,7,100,'Increases Mitigation of caster vs physical damage by 1501',0,1),
(74032,40202,7,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(74033,40202,7,100,'Slows targets in Area of Effect by 64.0%',1,3),
(74034,40202,7,100,'5% chance to dispel when target receives hostile action',1,4),
(74035,40202,7,100,'5% chance to dispel when target takes damage',1,5),
(74036,40202,9,100,'Decreases Haste of caster by 18.9',0,0),
(74037,40202,9,100,'Increases Mitigation of caster vs physical damage by 1559',0,1),
(74038,40202,9,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(74039,40202,9,100,'Slows targets in Area of Effect by 66.5%',1,3),
(74040,40202,9,100,'5% chance to dispel when target receives hostile action',1,4),
(74041,40202,9,100,'5% chance to dispel when target takes damage',1,5),
(74042,40203,1,100,'Decreases Haste of caster by 19.9',0,0),
(74043,40203,1,100,'Increases Mitigation of caster vs physical damage by 980',0,1),
(74044,40203,1,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(74045,40203,1,100,'Slows targets in Area of Effect by 37.8%',1,3),
(74046,40203,1,100,'5% chance to dispel when target receives hostile action',1,4),
(74047,40203,1,100,'5% chance to dispel when target takes damage',1,5),
(74048,40203,4,100,'Decreases Haste of caster by 19.9',0,0),
(74049,40203,4,100,'Increases Mitigation of caster vs physical damage by 1198',0,1),
(74050,40203,4,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(74051,40203,4,100,'Slows targets in Area of Effect by 46.2%',1,3),
(74052,40203,4,100,'5% chance to dispel when target receives hostile action',1,4),
(74053,40203,4,100,'5% chance to dispel when target takes damage',1,5),
(74054,40203,5,100,'Decreases Haste of caster by 19.9',0,0),
(74055,40203,5,100,'Increases Mitigation of caster vs physical damage by 1307',0,1),
(74056,40203,5,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(74057,40203,5,100,'Slows targets in Area of Effect by 50.4%',1,3),
(74058,40203,5,100,'5% chance to dispel when target receives hostile action',1,4),
(74059,40203,5,100,'5% chance to dispel when target takes damage',1,5),
(74060,40203,7,100,'Decreases Haste of caster by 19.9',0,0),
(74061,40203,7,100,'Increases Mitigation of caster vs physical damage by 1677',0,1),
(74062,40203,7,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(74063,40203,7,100,'Slows targets in Area of Effect by 64.6%',1,3),
(74064,40203,7,100,'5% chance to dispel when target receives hostile action',1,4),
(74065,40203,7,100,'5% chance to dispel when target takes damage',1,5),
(74066,40203,9,100,'Decreases Haste of caster by 19.9',0,0),
(74067,40203,9,100,'Increases Mitigation of caster vs physical damage by 1742',0,1),
(74068,40203,9,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(74069,40203,9,100,'Slows targets in Area of Effect by 67.1%',1,3),
(74070,40203,9,100,'5% chance to dispel when target receives hostile action',1,4),
(74071,40203,9,100,'5% chance to dispel when target takes damage',1,5),
(74072,350004,1,100,'Inflicts 27 - 46 mental damage on target',0,0),
(74073,350004,1,100,'Decreases power of target by 10 - 17',0,1),
(74074,350004,2,100,'Inflicts 29 - 48 mental damage on target',0,0),
(74075,350004,2,100,'Decreases power of target by 11 - 18',0,1),
(74076,350004,3,100,'Inflicts 30 - 51 mental damage on target',0,0),
(74077,350004,3,100,'Decreases power of target by 12 - 19',0,1),
(74078,350004,4,100,'Inflicts 33 - 56 mental damage on target',0,0),
(74079,350004,4,100,'Decreases power of target by 13 - 21',0,1),
(74080,350004,5,100,'Inflicts 37 - 61 mental damage on target',0,0),
(74081,350004,5,100,'Decreases power of target by 14 - 23',0,1),
(74082,350004,7,100,'Inflicts 47 - 79 mental damage on target',0,0),
(74083,350004,7,100,'Decreases power of target by 18 - 30',0,1),
(74084,350004,9,100,'Inflicts 49 - 82 mental damage on target',0,0),
(74085,350004,9,100,'Decreases power of target by 18 - 31',0,1),
(74086,40204,1,100,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,0),
(74087,40204,1,100,'Increases DPS and Haste of target by 10.2',1,1),
(74088,40204,1,100,'Decreases Defense, Block, and Parry of target by 10.0',1,2),
(74089,40204,1,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,3),
(74090,40204,1,100,'Increases DPS and Haste of target by 10.2',1,4),
(74091,40204,1,100,'Decreases Defense, Block, and Parry of target by 10.0',1,5),
(74092,40204,1,100,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(74093,40204,1,100,'Increases DPS and Haste of target by 10.2',1,7),
(74094,40204,1,100,'Decreases Defense, Block, and Parry of target by 10.0',1,8),
(74095,40204,2,100,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,0),
(74096,40204,2,100,'Increases DPS and Haste of target by 10.8',1,1),
(74097,40204,2,100,'Decreases Defense, Block, and Parry of target by 10.0',1,2),
(74098,40204,2,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,3),
(74099,40204,2,100,'Increases DPS and Haste of target by 10.8',1,4),
(74100,40204,2,100,'Decreases Defense, Block, and Parry of target by 10.0',1,5),
(74101,40204,2,100,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(74102,40204,2,100,'Increases DPS and Haste of target by 10.8',1,7),
(74103,40204,2,100,'Decreases Defense, Block, and Parry of target by 10.0',1,8),
(74104,40204,3,100,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,0),
(74105,40204,3,100,'Increases DPS and Haste of target by 11.3',1,1),
(74106,40204,3,100,'Decreases Defense, Block, and Parry of target by 10.0',1,2),
(74107,40204,3,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,3),
(74108,40204,3,100,'Increases DPS and Haste of target by 11.3',1,4),
(74109,40204,3,100,'Decreases Defense, Block, and Parry of target by 10.0',1,5),
(74110,40204,3,100,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(74111,40204,3,100,'Increases DPS and Haste of target by 11.3',1,7),
(74112,40204,3,100,'Decreases Defense, Block, and Parry of target by 10.0',1,8),
(74113,40204,4,100,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,0),
(74114,40204,4,100,'Increases DPS and Haste of target by by 12.5',1,1),
(74115,40204,4,100,'Decreases Defense, Block, and Parry of target by 10.0',1,2),
(74116,40204,4,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,3),
(74117,40204,4,100,'Increases DPS and Haste of target by 12.5',1,4),
(74118,40204,4,100,'Decreases Defense, Block, and Parry of target by 10.0',1,5),
(74119,40204,4,100,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(74120,40204,4,100,'Increases DPS and Haste of target by 12.5',1,7),
(74121,40204,4,100,'Decreases Defense, Block, and Parry of target by 10.0',1,8),
(74122,40204,5,100,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,0),
(74123,40204,5,100,'Increases DPS and Haste of target by 13.6',1,1),
(74124,40204,5,100,'Decreases Defense, Block, and Parry of target by 10.0',1,2),
(74125,40204,5,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,3),
(74126,40204,5,100,'Increases DPS and Haste of target by 13.6',1,4),
(74127,40204,5,100,'Decreases Defense, Block, and Parry of target by 10.0',1,5),
(74128,40204,5,100,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(74129,40204,5,100,'Increases DPS and Haste of target by 13.6',1,7),
(74130,40204,5,100,'Decreases Defense, Block, and Parry of target by 10.0',1,8),
(74131,40204,7,100,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,0),
(74132,40204,7,100,'Increases DPS and Haste of target by 17.4',1,1),
(74133,40204,7,100,'Decreases Defense, Block, and Parry of target by 10.0',1,2),
(74134,40204,7,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,3),
(74135,40204,7,100,'Increases DPS and Haste of target by 17.4',1,4),
(74136,40204,7,100,'Decreases Defense, Block, and Parry of target by 10.0',1,5),
(74137,40204,7,100,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(74138,40204,7,100,'Increases DPS and Haste of target by 17.4',1,7),
(74139,40204,7,100,'Decreases Defense, Block, and Parry of target by 10.0',1,8),
(74140,40204,9,100,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,0),
(74141,40204,9,100,'Increases DPS and Haste of target by 18.1',1,1),
(74142,40204,9,100,'Decreases Defense, Block, and Parry of target by 10.0',1,2),
(74143,40204,9,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,3),
(74144,40204,9,100,'Increases DPS and Haste of target by 18.1',1,4),
(74145,40204,9,100,'Decreases Defense, Block, and Parry of target by 10.0',1,5),
(74146,40204,9,100,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(74147,40204,9,100,'Increases DPS and Haste of target by 18.1',1,7),
(74148,40204,9,100,'Decreases Defense, Block, and Parry of target by 10.0',1,8),
(74149,40205,1,100,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,0),
(74150,40205,1,100,'Increases Haste of target by 12.3',1,1),
(74151,40205,1,100,'Increases DPS of target by 12.3',1,2),
(74152,40205,1,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,3),
(74153,40205,1,100,'Increases Haste of target by 12.3',1,4),
(74154,40205,1,100,'Increases DPS of target by 12.3',1,5),
(74155,40205,1,100,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(74156,40205,1,100,'Increases Haste of target by 12.3',1,7),
(74157,40205,1,100,'Increases DPS of target by 12.3',1,8),
(74158,40205,2,100,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,0),
(74159,40205,2,100,'Increases Haste of target by 13.0',1,1),
(74160,40205,2,100,'Increases DPS of target by 13.0',1,2),
(74161,40205,2,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,3),
(74162,40205,2,100,'Increases Haste of target by 13.0',1,4),
(74163,40205,2,100,'Increases DPS of target by 13.0',1,5),
(74164,40205,2,100,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(74165,40205,2,100,'Increases Haste of target by 13.0',1,7),
(74166,40205,2,100,'Increases DPS of target by 13.0',1,8),
(74167,40205,3,100,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,0),
(74168,40205,3,100,'Increases Haste of target by 13.7',1,1),
(74169,40205,3,100,'Increases DPS of target by 13.7',1,2),
(74170,40205,3,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,3),
(74171,40205,3,100,'Increases Haste of target by 13.7',1,4),
(74172,40205,3,100,'Increases DPS of target by 13.7',1,5),
(74173,40205,3,100,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(74174,40205,3,100,'Increases Haste of target by 13.7',1,7),
(74175,40205,3,100,'Increases DPS of target by 13.7',1,8),
(74176,40205,4,100,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,0),
(74177,40205,4,100,'Increases Haste of target by 15.0',1,1),
(74178,40205,4,100,'Increases DPS of target by 15.0',1,2),
(74179,40205,4,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,3),
(74180,40205,4,100,'Increases Haste of target by 15.0',1,4),
(74181,40205,4,100,'Increases DPS of target by 15.0',1,5),
(74182,40205,4,100,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(74183,40205,4,100,'Increases Haste of target by 15.0',1,7),
(74184,40205,4,100,'Increases DPS of target by 15.0',1,8),
(74185,40205,5,100,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,0),
(74186,40205,5,100,'Increases Haste of target by 16.4',1,1),
(74187,40205,5,100,'Increases DPS of target by 16.4',1,2),
(74188,40205,5,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,3),
(74189,40205,5,100,'Increases Haste of target by 16.4',1,4),
(74190,40205,5,100,'Increases DPS of target by 16.4',1,5),
(74191,40205,5,100,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(74192,40205,5,100,'Increases Haste of target by 16.4',1,7),
(74193,40205,5,100,'Increases DPS of target by 16.4',1,8),
(74194,40205,7,100,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,0),
(74195,40205,7,100,'Increases Haste of target by 21.0',1,1),
(74196,40205,7,100,'Increases DPS of target by 21.0',1,2),
(74197,40205,7,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,3),
(74198,40205,7,100,'Increases Haste of target by 21.0',1,4),
(74199,40205,7,100,'Increases DPS of target by 21.0',1,5),
(74200,40205,7,100,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(74201,40205,7,100,'Increases Haste of target by 21.0',1,7),
(74202,40205,7,100,'Increases DPS of target by 21.0',1,8),
(74203,40205,9,100,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,0),
(74204,40205,9,100,'Increases Haste of target by 21.9',1,1),
(74205,40205,9,100,'Increases DPS of target by 21.9',1,2),
(74206,40205,9,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,3),
(74207,40205,9,100,'Increases Haste of target by 21.9',1,4),
(74208,40205,9,100,'Increases DPS of target by 21.9',1,5),
(74209,40205,9,100,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(74210,40205,9,100,'Increases Haste of target by 21.9',1,7),
(74211,40205,9,100,'Increases DPS of target by 21.9',1,8),
(74212,40206,1,100,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,0),
(74213,40206,1,100,'Increases Haste of target by 14.4',1,1),
(74214,40206,1,100,'Increases DPS of target by 14.4',1,2),
(74215,40206,1,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,3),
(74216,40206,1,100,'Increases Haste of target by 14.4',1,4),
(74217,40206,1,100,'Increases DPS of target by 14.4',1,5),
(74218,40206,1,100,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(74219,40206,1,100,'Increases Haste of target by 14.4',1,7),
(74220,40206,1,100,'Increases DPS of target by 14.4',1,8),
(74221,40206,2,100,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,0),
(74222,40206,2,100,'Increases Haste of target by 15.2',1,1),
(74223,40206,2,100,'Increases DPS of target by 15.2',1,2),
(74224,40206,2,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,3),
(74225,40206,2,100,'Increases Haste of target by 15.2',1,4),
(74226,40206,2,100,'Increases DPS of target by 15.2',1,5),
(74227,40206,2,100,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(74228,40206,2,100,'Increases Haste of target by 15.2',1,7),
(74229,40206,2,100,'Increases DPS of target by 15.2',1,8),
(74230,40206,3,100,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,0),
(74231,40206,3,100,'Increases Haste of target by 16.0',1,1),
(74232,40206,3,100,'Increases DPS of target by 16.0',1,2),
(74233,40206,3,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,3),
(74234,40206,3,100,'Increases Haste of target by 16.0',1,4),
(74235,40206,3,100,'Increases DPS of target by 16.0',1,5),
(74236,40206,3,100,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(74237,40206,3,100,'Increases Haste of target by 16.0',1,7),
(74238,40206,3,100,'Increases DPS of target by 16.0',1,8),
(74239,40206,4,100,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,0),
(74240,40206,4,100,'Increases Haste of target by 17.6',1,1),
(74241,40206,4,100,'Increases DPS of target by 17.6',1,2),
(74242,40206,4,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,3),
(74243,40206,4,100,'Increases Haste of target by 17.6',1,4),
(74244,40206,4,100,'Increases DPS of target by 17.6',1,5),
(74245,40206,4,100,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(74246,40206,4,100,'Increases Haste of target by 17.6',1,7),
(74247,40206,4,100,'Increases DPS of target by 17.6',1,8),
(74248,40206,5,100,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,0),
(74249,40206,5,100,'Increases Haste of target by 19.2',1,1),
(74250,40206,5,100,'Increases DPS of target by 19.2',1,2),
(74251,40206,5,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,3),
(74252,40206,5,100,'Increases Haste of target by 19.2',1,4),
(74253,40206,5,100,'Increases DPS of target by 19.2',1,5),
(74254,40206,5,100,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(74255,40206,5,100,'Increases Haste of target by 19.2',1,7),
(74256,40206,5,100,'Increases DPS of target by 19.2',1,8),
(74257,40206,7,100,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,0),
(74258,40206,7,100,'Increases Haste of target by 24.6',1,1),
(74259,40206,7,100,'Increases DPS of target by 24.6',1,2),
(74260,40206,7,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,3),
(74261,40206,7,100,'Increases Haste of target by 24.6',1,4),
(74262,40206,7,100,'Increases DPS of target by 24.6',1,5),
(74263,40206,7,100,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(74264,40206,7,100,'Increases Haste of target by 24.6',1,7),
(74265,40206,7,100,'Increases DPS of target by 24.6',1,8),
(74266,40206,9,100,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,0),
(74267,40206,9,100,'Increases Haste of target by 25.6',1,1),
(74268,40206,9,100,'Increases DPS of target by 25.6',1,2),
(74269,40206,9,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,3),
(74270,40206,9,100,'Increases Haste of target by 25.6',1,4),
(74271,40206,9,100,'Increases DPS of target by 25.6',1,5),
(74272,40206,9,100,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(74273,40206,9,100,'Increases Haste of target by 25.6',1,7),
(74274,40206,9,100,'Increases DPS of target by 25.6',1,8),
(74275,40207,1,100,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,0),
(74276,40207,1,100,'Increases Haste of target by 16.4',1,1),
(74277,40207,1,100,'Increases DPS of target by 16.4',1,2),
(74278,40207,1,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,3),
(74279,40207,1,100,'Increases Haste of target by 16.4',1,4),
(74280,40207,1,100,'Increases DPS of target by 16.4',1,5),
(74281,40207,1,100,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(74282,40207,1,100,'Increases Haste of target by 16.4',1,7),
(74283,40207,1,100,'Increases DPS of target by 16.4',1,8),
(74284,40207,2,100,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,0),
(74285,40207,2,100,'Increases Haste of target by 17.3',1,1),
(74286,40207,2,100,'Increases DPS of target by 17.3',1,2),
(74287,40207,2,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,3),
(74288,40207,2,100,'Increases Haste of target by 17.3',1,4),
(74289,40207,2,100,'Increases DPS of target by 17.3',1,5),
(74290,40207,2,100,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(74291,40207,2,100,'Increases Haste of target by 17.3',1,7),
(74292,40207,2,100,'Increases DPS of target by 17.3',1,8),
(74293,40207,3,100,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,0),
(74294,40207,3,100,'Increases Haste of target by 18.2',1,1),
(74295,40207,3,100,'Increases DPS of target by 18.2',1,2),
(74296,40207,3,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,3),
(74297,40207,3,100,'Increases Haste of target by 18.2',1,4),
(74298,40207,3,100,'Increases DPS of target by 18.2',1,5),
(74299,40207,3,100,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(74300,40207,3,100,'Increases Haste of target by 18.2',1,7),
(74301,40207,3,100,'Increases DPS of target by 18.2',1,8),
(74302,40207,4,100,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,0),
(74303,40207,4,100,'Increases Haste of target by 20.1',1,1),
(74304,40207,4,100,'Increases DPS of target by 20.1',1,2),
(74305,40207,4,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,3),
(74306,40207,4,100,'Increases Haste of target by 20.1',1,4),
(74307,40207,4,100,'Increases DPS of target by 20.1',1,5),
(74308,40207,4,100,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(74309,40207,4,100,'Increases Haste of target by 20.1',1,7),
(74310,40207,4,100,'Increases DPS of target by 20.1',1,8),
(74311,40207,5,100,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,0),
(74312,40207,5,100,'Increases Haste of target by 21.9',1,1),
(74313,40207,5,100,'Increases DPS of target by 21.9',1,2),
(74314,40207,5,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,3),
(74315,40207,5,100,'Increases Haste of target by 21.9',1,4),
(74316,40207,5,100,'Increases DPS of target by 21.9',1,5),
(74317,40207,5,100,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(74318,40207,5,100,'Increases Haste of target by 21.9',1,7),
(74319,40207,5,100,'Increases DPS of target by 21.9',1,8),
(74320,40207,7,100,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,0),
(74321,40207,7,100,'Increases Haste of target by 28.1',1,1),
(74322,40207,7,100,'Increases DPS of target by 28.1',1,2),
(74323,40207,7,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,3),
(74324,40207,7,100,'Increases Haste of target by 28.1',1,4),
(74325,40207,7,100,'Increases DPS of target by 28.1',1,5),
(74326,40207,7,100,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(74327,40207,7,100,'Increases Haste of target by 28.1',1,7),
(74328,40207,7,100,'Increases DPS of target by 28.1',1,8),
(74329,40207,9,100,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,0),
(74330,40207,9,100,'Increases Haste of target by 29.2',1,1),
(74331,40207,9,100,'Increases DPS of target by 29.2',1,2),
(74332,40207,9,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,3),
(74333,40207,9,100,'Increases Haste of target by 29.2',1,4),
(74334,40207,9,100,'Increases DPS of target by 29.2',1,5),
(74335,40207,9,100,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(74336,40207,9,100,'Increases Haste of target by 29.2',1,7),
(74337,40207,9,100,'Increases DPS of target by 29.2',1,8),
(74338,40208,1,100,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,0),
(74339,40208,1,100,'Increases Haste of target by 18.0',1,1),
(74340,40208,1,100,'Increases DPS of target by 18.0',1,2),
(74341,40208,1,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,3),
(74342,40208,1,100,'Increases Haste of target by 18.0',1,4),
(74343,40208,1,100,'Increases DPS of target by 18.0',1,5),
(74344,40208,1,100,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(74345,40208,1,100,'Increases Haste of target by 18.0',1,7),
(74346,40208,1,100,'Increases DPS of target by 18.0',1,8),
(74347,40208,2,100,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,0),
(74348,40208,2,100,'Increases Haste of target by 19.0',1,1),
(74349,40208,2,100,'Increases DPS of target by 19.0',1,2),
(74350,40208,2,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,3),
(74351,40208,2,100,'Increases Haste of target by 19.0',1,4),
(74352,40208,2,100,'Increases DPS of target by 19.0',1,5),
(74353,40208,2,100,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(74354,40208,2,100,'Increases Haste of target by 19.0',1,7),
(74355,40208,2,100,'Increases DPS of target by 19.0',1,8),
(74356,40208,3,100,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,0),
(74357,40208,3,100,'Increases Haste of target by 20.0',1,1),
(74358,40208,3,100,'Increases DPS of target by 20.0',1,2),
(74359,40208,3,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,3),
(74360,40208,3,100,'Increases Haste of target by 20.0',1,4),
(74361,40208,3,100,'Increases DPS of target by 20.0',1,5),
(74362,40208,3,100,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(74363,40208,3,100,'Increases Haste of target by 20.0',1,7),
(74364,40208,3,100,'Increases DPS of target by 20.0',1,8),
(74365,40208,4,100,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,0),
(74366,40208,4,100,'Increases Haste of target by 22.0',1,1),
(74367,40208,4,100,'Increases DPS of target by 22.0',1,2),
(74368,40208,4,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,3),
(74369,40208,4,100,'Increases Haste of target by 22.0',1,4),
(74370,40208,4,100,'Increases DPS of target by 22.0',1,5),
(74371,40208,4,100,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(74372,40208,4,100,'Increases Haste of target by 22.0',1,7),
(74373,40208,4,100,'Increases DPS of target by 22.0',1,8),
(74374,40208,5,100,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,0),
(74375,40208,5,100,'Increases Haste of target by 24.0',1,1),
(74376,40208,5,100,'Increases DPS of target by 24.0',1,2),
(74377,40208,5,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,3),
(74378,40208,5,100,'Increases Haste of target by 24.0',1,4),
(74379,40208,5,100,'Increases DPS of target by 24.0',1,5),
(74380,40208,5,100,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(74381,40208,5,100,'Increases Haste of target by 24.0',1,7),
(74382,40208,5,100,'Increases DPS of target by 24.0',1,8),
(74383,40208,7,100,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,0),
(74384,40208,7,100,'Increases Haste of target by 30.8',1,1),
(74385,40208,7,100,'Increases DPS of target by 30.8',1,2),
(74386,40208,7,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,3),
(74387,40208,7,100,'Increases Haste of target by 30.8',1,4),
(74388,40208,7,100,'Increases DPS of target by 30.8',1,5),
(74389,40208,7,100,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(74390,40208,7,100,'Increases Haste of target by 30.8',1,7),
(74391,40208,7,100,'Increases DPS of target by 30.8',1,8),
(74392,40208,9,100,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,0),
(74393,40208,9,100,'Increases Haste of target by 32.0',1,1),
(74394,40208,9,100,'Increases DPS of target by 32.0',1,2),
(74395,40208,9,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,3),
(74396,40208,9,100,'Increases Haste of target by 32.0',1,4),
(74397,40208,9,100,'Increases DPS of target by 32.0',1,5),
(74398,40208,9,100,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(74399,40208,9,100,'Increases Haste of target by 32.0',1,7),
(74400,40208,9,100,'Increases DPS of target by 32.0',1,8),
(74401,40209,1,100,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,0),
(74402,40209,1,100,'Increases Haste of target by 20.3',1,1),
(74403,40209,1,100,'Increases DPS of target by 20.3',1,2),
(74404,40209,1,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,3),
(74405,40209,1,100,'Increases Haste of target by 20.3',1,4),
(74406,40209,1,100,'Increases DPS of target by 20.3',1,5),
(74407,40209,1,100,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(74408,40209,1,100,'Increases Haste of target by 20.3',1,7),
(74409,40209,1,100,'Increases DPS of target by 20.3',1,8),
(74410,40209,4,100,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,0),
(74411,40209,4,100,'Increases Haste of target by 24.9',1,1),
(74412,40209,4,100,'Increases DPS of target by 24.9',1,2),
(74413,40209,4,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,3),
(74414,40209,4,100,'Increases Haste of target by 24.9',1,4),
(74415,40209,4,100,'Increases DPS of target by 24.9',1,5),
(74416,40209,4,100,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(74417,40209,4,100,'Increases Haste of target by 24.9',1,7),
(74418,40209,4,100,'Increases DPS of target by 24.9',1,8),
(74419,40209,5,100,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,0),
(74420,40209,5,100,'Increases Haste of target by 27.1',1,1),
(74421,40209,5,100,'Increases DPS of target by 27.1',1,2),
(74422,40209,5,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,3),
(74423,40209,5,100,'Increases Haste of target by 27.1',1,4),
(74424,40209,5,100,'Increases DPS of target by 27.1',1,5),
(74425,40209,5,100,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(74426,40209,5,100,'Increases Haste of target by 27.1',1,7),
(74427,40209,5,100,'Increases DPS of target by 27.1',1,8),
(74428,40209,7,100,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,0),
(74429,40209,7,100,'Increases Haste of target by 34.8',1,1),
(74430,40209,7,100,'Increases DPS of target by 34.8',1,2),
(74431,40209,7,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,3),
(74432,40209,7,100,'Increases Haste of target by 34.8',1,4),
(74433,40209,7,100,'Increases DPS of target by 34.8',1,5),
(74434,40209,7,100,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(74435,40209,7,100,'Increases Haste of target by 34.8',1,7),
(74436,40209,7,100,'Increases DPS of target by 34.8',1,8),
(74437,40209,9,100,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,0),
(74438,40209,9,100,'Increases Haste of target by 36.2',1,1),
(74439,40209,9,100,'Increases DPS of target by 36.2',1,2),
(74440,40209,9,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,3),
(74441,40209,9,100,'Increases Haste of target by 36.2',1,4),
(74442,40209,9,100,'Increases DPS of target by 36.2',1,5),
(74443,40209,9,100,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(74444,40209,9,100,'Increases Haste of target by 36.2',1,7),
(74445,40209,9,100,'Increases DPS of target by 36.2',1,8),
(74446,40210,1,100,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,0),
(74447,40210,1,100,'Increases Haste of target by 22.1',1,1),
(74448,40210,1,100,'Increases DPS of target by 22.1',1,2),
(74449,40210,1,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,3),
(74450,40210,1,100,'Increases Haste of target by 22.1',1,4),
(74451,40210,1,100,'Increases DPS of target by 22.1',1,5),
(74452,40210,1,100,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(74453,40210,1,100,'Increases Haste of target by 22.1',1,7),
(74454,40210,1,100,'Increases DPS of target by 22.1',1,8),
(74455,40210,4,100,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,0),
(74456,40210,4,100,'Increases Haste of target by 27.0',1,1),
(74457,40210,4,100,'Increases DPS of target by 27.0',1,2),
(74458,40210,4,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,3),
(74459,40210,4,100,'Increases Haste of target by 27.0',1,4),
(74460,40210,4,100,'Increases DPS of target by 27.0',1,5),
(74461,40210,4,100,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(74462,40210,4,100,'Increases Haste of target by 27.0',1,7),
(74463,40210,4,100,'Increases DPS of target by 27.0',1,8),
(74464,40210,5,100,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,0),
(74465,40210,5,100,'Increases Haste of target by 29.5',1,1),
(74466,40210,5,100,'Increases DPS of target by 29.5',1,2),
(74467,40210,5,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,3),
(74468,40210,5,100,'Increases Haste of target by 29.5',1,4),
(74469,40210,5,100,'Increases DPS of target by 29.5',1,5),
(74470,40210,5,100,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(74471,40210,5,100,'Increases Haste of target by 29.5',1,7),
(74472,40210,5,100,'Increases DPS of target by 29.5',1,8),
(74473,40210,7,100,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,0),
(74474,40210,7,100,'Increases Haste of target by 37.8',1,1),
(74475,40210,7,100,'Increases DPS of target by 37.8',1,2),
(74476,40210,7,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,3),
(74477,40210,7,100,'Increases Haste of target by 37.8',1,4),
(74478,40210,7,100,'Increases DPS of target by 37.8',1,5),
(74479,40210,7,100,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(74480,40210,7,100,'Increases Haste of target by 37.8',1,7),
(74481,40210,7,100,'Increases DPS of target by 37.8',1,8),
(74482,40210,9,100,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,0),
(74483,40210,9,100,'Increases Haste of target by 39.3',1,1),
(74484,40210,9,100,'Increases DPS of target by 39.3',1,2),
(74485,40210,9,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,3),
(74486,40210,9,100,'Increases Haste of target by 39.3',1,4),
(74487,40210,9,100,'Increases DPS of target by 39.3',1,5),
(74488,40210,9,100,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(74489,40210,9,100,'Increases Haste of target by 39.3',1,7),
(74490,40210,9,100,'Increases DPS of target by 39.3',1,8),
(74491,2000288,3,100,'Heals group members (AE) for 5 - 8',0,0),
(74492,2000288,4,100,'Heals group members (AE) for 5 - 8',0,0),
(74493,2000288,5,100,'Heals group members (AE) for 5 - 9',0,0),
(74494,2000288,7,100,'Heals group members (AE) for 6 - 11',0,0),
(74495,2000288,9,100,'Heals group members (AE) for 7 - 12',0,0),
(74496,2000288,10,100,'Heals group members (AE) for 8 - 13',0,0),
(74497,2000289,1,100,'When a combat art is used this spell has a 10% chance to cast Waveform on target of combat art.  Lasts for 16.0 seconds.  ',0,0),
(74498,2000289,1,100,'Inflicts 239 - 398 cold damage on target',1,1),
(74499,2000289,1,100,'Inflicts 94 - 156 cold damage on target every 4 seconds',1,2),
(74500,2000289,1,100,'Decreases Crushing, Slashing and Piercing of target by 33.0',1,3),
(74501,2000289,2,100,'When a combat art is used this spell has a 20% chance to cast Waveform on target of combat art.  Lasts for 16.0 seconds.  ',0,0),
(74502,2000289,2,100,'Inflicts 239 - 398 cold damage on target',1,1),
(74503,2000289,2,100,'Inflicts 94 - 156 cold damage on target every 4 seconds',1,2),
(74504,2000289,2,100,'Decreases Crushing, Slashing and Piercing of target by 33.0',1,3),
(74505,2000289,3,100,'When a combat art is used this spell has a 30% chance to cast Waveform on target of combat art.  Lasts for 16.0 seconds.  ',0,0),
(74506,2000289,3,100,'Inflicts 319 - 531 cold damage on target',1,1),
(74507,2000289,3,100,'Inflicts 125 - 208 cold damage on target every 4 seconds',1,2),
(74508,2000289,3,100,'Decreases Crushing, Slashing and Piercing of target by 33.5',1,3),
(74509,2000290,3,100,'Dispels when an Advantage is used',0,0),
(74510,2000290,3,100,'Allows the beastlord to use advantages!',0,1),
(74511,2000290,4,100,'Dispels when an Advantage is used',0,0),
(74512,2000290,4,100,'Allows the beastlord to use advantages!',0,1),
(74513,2000290,5,100,'Dispels when an Advantage is used',0,0),
(74514,2000290,5,100,'Allows the beastlord to use advantages!',0,1),
(74515,2000290,7,100,'Dispels when an Advantage is used',0,0),
(74516,2000290,7,100,'Allows the beastlord to use advantages!',0,1),
(74517,2000290,9,100,'Dispels when an Advantage is used',0,0),
(74518,2000290,9,100,'Allows the beastlord to use advantages!',0,1),
(74519,2000290,10,100,'Dispels when an Advantage is used',0,0),
(74520,2000290,10,100,'Allows the beastlord to use advantages!',0,1),
(74521,2000291,3,100,'Allows the beastlord to use advantages!',0,0),
(74522,2000291,4,100,'Allows the beastlord to use advantages!',0,0),
(74523,2000291,5,100,'Allows the beastlord to use advantages!',0,0),
(74524,2000291,7,100,'Allows the beastlord to use advantages!',0,0),
(74525,2000291,9,100,'Allows the beastlord to use advantages!',0,0),
(74526,2000291,10,100,'Allows the beastlord to use advantages!',0,0),
(74527,2000292,3,100,'Allows the beastlord to use advantages!',0,0),
(74528,2000292,4,100,'Allows the beastlord to use advantages!',0,0),
(74529,2000292,5,100,'Allows the beastlord to use advantages!',0,0),
(74530,2000292,7,100,'Allows the beastlord to use advantages!',0,0),
(74531,2000292,9,100,'Allows the beastlord to use advantages!',0,0),
(74532,2000292,10,100,'Allows the beastlord to use advantages!',0,0),
(74533,2000293,3,100,'Allows the beastlord to use advantages!',0,0),
(74534,2000293,4,100,'Allows the beastlord to use advantages!',0,0),
(74535,2000293,5,100,'Allows the beastlord to use advantages!',0,0),
(74536,2000293,7,100,'Allows the beastlord to use advantages!',0,0),
(74537,2000293,9,100,'Allows the beastlord to use advantages!',0,0),
(74538,2000293,10,100,'Allows the beastlord to use advantages!',0,0),
(74539,2000294,3,100,'Allows the beastlord to use advantages!',0,0),
(74540,2000294,4,100,'Allows the beastlord to use advantages!',0,0),
(74541,2000294,5,100,'Allows the beastlord to use advantages!',0,0),
(74542,2000294,7,100,'Allows the beastlord to use advantages!',0,0),
(74543,2000294,9,100,'Allows the beastlord to use advantages!',0,0),
(74544,2000294,10,100,'Allows the beastlord to use advantages!',0,0),
(74569,40212,1,100,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',0,0),
(74570,40212,1,100,'Inflicts 68 - 113 melee damage on target',1,1),
(74571,40212,1,100,'Grants a total of 3 triggers of the spell.',1,2),
(74572,40212,2,100,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',0,0),
(74573,40212,2,100,'Inflicts 71 - 119 melee damage on target',1,1),
(74574,40212,2,100,'Grants a total of 3 triggers of the spell.',1,2),
(74575,40212,3,100,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',0,0),
(74576,40212,3,100,'Inflicts 75 - 126 melee damage on target',1,1),
(74577,40212,3,100,'Grants a total of 3 triggers of the spell.',1,2),
(74578,40212,4,100,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',0,0),
(74579,40212,4,100,'Inflicts 83 - 138 melee damage on target',1,1),
(74580,40212,4,100,'Grants a total of 3 triggers of the spell.',1,2),
(74581,40212,5,100,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',0,0),
(74582,40212,5,100,'Inflicts 90 - 151 melee damage on target',1,1),
(74583,40212,5,100,'Grants a total of 3 triggers of the spell.',1,2),
(74584,40212,7,100,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',0,0),
(74585,40212,7,100,'Inflicts 116 - 194 melee damage on target',1,1),
(74586,40212,7,100,'Grants a total of 3 triggers of the spell.',1,2),
(74587,40212,9,100,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',0,0),
(74588,40212,9,100,'Inflicts 121 - 201 melee damage on target',1,1),
(74589,40212,9,100,'Grants a total of 3 triggers of the spell.',1,2),
(74590,40212,10,100,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',0,0),
(74591,40212,10,100,'Inflicts 127 - 211 melee damage on target',1,1),
(74592,40212,10,100,'Grants a total of 3 triggers of the spell.',1,2),
(74593,40213,1,100,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',0,0),
(74594,40213,1,100,'Inflicts 96 - 160 melee damage on target',1,1),
(74595,40213,1,100,'Grants a total of 3 triggers of the spell.',1,2),
(74596,40213,2,100,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',0,0),
(74597,40213,2,100,'Inflicts 101 - 169 melee damage on target',1,1),
(74598,40213,2,100,'Grants a total of 3 triggers of the spell.',1,2),
(74599,40213,3,100,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',0,0),
(74600,40213,3,100,'Inflicts 107 - 178 melee damage on target',1,1),
(74601,40213,3,100,'Grants a total of 3 triggers of the spell.',1,2),
(74602,40213,4,100,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',0,0),
(74603,40213,4,100,'Inflicts 117 - 196 melee damage on target',1,1),
(74604,40213,4,100,'Grants a total of 3 triggers of the spell.',1,2),
(74605,40213,5,100,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',0,0),
(74606,40213,5,100,'Inflicts 128 - 214 melee damage on target',1,1),
(74607,40213,5,100,'Grants a total of 3 triggers of the spell.',1,2),
(74608,40213,7,100,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',0,0),
(74609,40213,7,100,'Inflicts 165 - 275 melee damage on target',1,1),
(74610,40213,7,100,'Grants a total of 3 triggers of the spell.',1,2),
(74611,40213,9,100,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',0,0),
(74612,40213,9,100,'Inflicts 171 - 286 melee damage on target',1,1),
(74613,40213,9,100,'Grants a total of 3 triggers of the spell.',1,2),
(74614,40214,1,100,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',0,0),
(74615,40214,1,100,'Inflicts 125 - 209 melee damage on target',1,1),
(74616,40214,1,100,'Grants a total of 3 triggers of the spell.',1,2),
(74617,40214,2,100,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',0,0),
(74618,40214,2,100,'Inflicts 132 - 221 melee damage on target',1,1),
(74619,40214,2,100,'Grants a total of 3 triggers of the spell.',1,2),
(74620,40214,3,100,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',0,0),
(74621,40214,3,100,'Inflicts 139 - 233 melee damage on target',1,1),
(74622,40214,3,100,'Grants a total of 3 triggers of the spell.',1,2),
(74623,40214,4,100,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',0,0),
(74624,40214,4,100,'Inflicts 153 - 256 melee damage on target',1,1),
(74625,40214,4,100,'Grants a total of 3 triggers of the spell.',1,2),
(74626,40214,5,100,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',0,0),
(74627,40214,5,100,'Inflicts 167 - 279 melee damage on target',1,1),
(74628,40214,5,100,'Grants a total of 3 triggers of the spell.',1,2),
(74629,40214,7,100,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',0,0),
(74630,40214,7,100,'Inflicts 215 - 359 melee damage on target',1,1),
(74631,40214,7,100,'Grants a total of 3 triggers of the spell.',1,2),
(74632,40214,9,100,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',0,0),
(74633,40214,9,100,'Inflicts 223 - 373 melee damage on target',1,1),
(74634,40214,9,100,'Grants a total of 3 triggers of the spell.',1,2),
(74635,40215,1,100,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',0,0),
(74636,40215,1,100,'Inflicts 152 - 254 melee damage on target',1,1),
(74637,40215,1,100,'Grants a total of 3 triggers of the spell.',1,2),
(74638,40215,4,100,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',0,0),
(74639,40215,4,100,'Inflicts 186 - 310 melee damage on target',1,1),
(74640,40215,4,100,'Grants a total of 3 triggers of the spell.',1,2),
(74641,40215,5,100,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',0,0),
(74642,40215,5,100,'Inflicts 203 - 338 melee damage on target',1,1),
(74643,40215,5,100,'Grants a total of 3 triggers of the spell.',1,2),
(74644,40215,7,100,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',0,0),
(74645,40215,7,100,'Inflicts 260 - 434 melee damage on target',1,1),
(74646,40215,7,100,'Grants a total of 3 triggers of the spell.',1,2),
(74647,40215,9,100,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',0,0),
(74648,40215,9,100,'Inflicts 271 - 451 melee damage on target',1,1),
(74649,40215,9,100,'Grants a total of 3 triggers of the spell.',1,2),
(74650,40216,1,100,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',0,0),
(74651,40216,1,100,'Inflicts 205 - 342 melee damage on target',1,1),
(74652,40216,1,100,'Grants a total of 3 triggers of the spell.',1,2),
(74653,40216,4,100,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',0,0),
(74654,40216,4,100,'Inflicts 250 - 418 melee damage on target',1,1),
(74655,40216,4,100,'Grants a total of 3 triggers of the spell.',1,2),
(74656,40216,5,100,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',0,0),
(74657,40216,5,100,'Inflicts 273 - 456 melee damage on target',1,1),
(74658,40216,5,100,'Grants a total of 3 triggers of the spell.',1,2),
(74659,40216,7,100,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',0,0),
(74660,40216,7,100,'Inflicts 351 - 585 melee damage on target',1,1),
(74661,40216,7,100,'Grants a total of 3 triggers of the spell.',1,2),
(74662,40216,9,100,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',0,0),
(74663,40216,9,100,'Inflicts 364 - 608 melee damage on target',1,1),
(74664,40216,9,100,'Grants a total of 3 triggers of the spell.',1,2),
(74665,2000295,3,100,'Inflicts 2 - 4 crushing damage on target encounter',0,0),
(74666,2000295,4,100,'Inflicts 3 - 5 crushing damage on target encounter',0,0),
(74667,2000295,5,100,'Inflicts 3 - 5 crushing damage on target encounter',0,0),
(74668,2000295,7,100,'Inflicts 4 - 7 crushing damage on target encounter',0,0),
(74669,2000295,9,100,'Inflicts 4 - 7 crushing damage on target encounter',0,0),
(74670,2000295,10,100,'Inflicts 4 - 7 crushing damage on target encounter',0,0),
(74671,10018,1,100,'Inflicts 14 - 24 melee damage on targets in Area of Effect',0,0),
(74672,10018,2,100,'Inflicts 15 - 26 melee damage on targets in Area of Effect',0,0),
(74673,10018,3,100,'Inflicts 16 - 27 melee damage on targets in Area of Effect',0,0),
(74674,10018,4,100,'Inflicts 18 - 30 melee damage on targets in Area of Effect',0,0),
(74675,10018,5,100,'Inflicts 19 - 33 melee damage on targets in Area of Effect',0,0),
(74676,10018,7,100,'Inflicts 25 - 42 melee damage on targets in Area of Effect',0,0),
(74677,10018,9,100,'Inflicts 26 - 44 melee damage on targets in Area of Effect',0,0),
(74678,2000296,1,100,'Inflicts 1682 - 2056 cold damage on targets in Area of Effect',0,0),
(74679,2000296,1,100,'Decreases Crushing, Slashing and Piercing of targets in Area of Effect by 0.9',0,1),
(74680,2000296,2,100,'Inflicts 1776 - 2171 cold damage on targets in Area of Effect',0,0),
(74681,2000296,2,100,'Decreases Crushing, Slashing and Piercing of targets in Area of Effect by 0.9',0,1),
(74682,2000296,3,100,'Inflicts 1869 - 2285 cold damage on targets in Area of Effect',0,0),
(74683,2000296,3,100,'Decreases Crushing, Slashing and Piercing of targets in Area of Effect by 1.0',0,1),
(74684,2000296,4,100,'Inflicts 1543 - 1886 cold damage on targets in Area of Effect',0,0),
(74685,2000296,4,100,'Decreases Crushing, Slashing and Piercing of targets in Area of Effect by 1.1',0,1),
(74686,2000296,5,100,'Inflicts 2243 - 2742 cold damage on targets in Area of Effect',0,0),
(74687,2000296,5,100,'Decreases Crushing, Slashing and Piercing of targets in Area of Effect by 1.2',0,1),
(74688,400185,1,100,'Increases Fervor of caster by 5.0',0,0),
(74689,400185,1,100,'Decreases Defense of caster by 5.1',0,1),
(74690,400185,1,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 6.9',0,2),
(74691,400185,1,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,3),
(74692,400185,2,100,'Increases Fervor of caster by 5.0',0,0),
(74693,400185,2,100,'Decreases Defense of caster by 5.1',0,1),
(74694,400185,2,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 7.3',0,2),
(74695,400185,2,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,3),
(74696,400185,3,100,'Increases Fervor of caster by 5.0',0,0),
(74697,400185,3,100,'Decreases Defense of caster by 5.1',0,1),
(74698,400185,3,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 7.7',0,2),
(74699,400185,3,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,3),
(74700,400185,4,100,'Increases Fervor of caster by 5.0',0,0),
(74701,400185,4,100,'Decreases Defense of caster by 5.1',0,1),
(74702,400185,4,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 8.4',0,2),
(74703,400185,4,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,3),
(74704,400185,5,100,'Increases Fervor of caster by 5.0',0,0),
(74705,400185,5,100,'Decreases Defense of caster by 5.1',0,1),
(74706,400185,5,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 9.2',0,2),
(74707,400185,5,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,3),
(74708,400185,7,100,'Increases Fervor of caster by 5.0',0,0),
(74709,400185,7,100,'Decreases Defense of caster by 5.1',0,1),
(74710,400185,7,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 11.8',0,2),
(74711,400185,7,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,3),
(74712,400185,9,100,'Increases Fervor of caster by 5.0',0,0),
(74713,400185,9,100,'Decreases Defense of caster by 5.1',0,1),
(74714,400185,9,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 12.2',0,2),
(74715,400185,9,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,3),
(74716,400186,1,100,'Increases Fervor of caster by 5.0',0,0),
(74717,400186,1,100,'Decreases Defense of caster by 9.3',0,1),
(74718,400186,1,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 12.6',0,2),
(74719,400186,1,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,3),
(74720,400186,2,100,'Increases Fervor of caster by 5.0',0,0),
(74721,400186,2,100,'Decreases Defense of caster by 9.3',0,1),
(74722,400186,2,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 13.3',0,2),
(74723,400186,2,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,3),
(74724,400186,3,100,'Increases Fervor of caster by 5.0',0,0),
(74725,400186,3,100,'Decreases Defense of caster by 9.3',0,1),
(74726,400186,3,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 13.9',0,2),
(74727,400186,3,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,3),
(74728,400186,4,100,'Increases Fervor of caster by 5.0',0,0),
(74729,400186,4,100,'Decreases Defense of caster by 9.3',0,1),
(74730,400186,4,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 15.3',0,2),
(74731,400186,4,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,3),
(74732,400186,5,100,'Increases Fervor of caster by 5.0',0,0),
(74733,400186,5,100,'Decreases Defense of caster by 9.3',0,1),
(74734,400186,5,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 16.7',0,2),
(74735,400186,5,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,3),
(74736,400186,7,100,'Increases Fervor of caster by 5.0',0,0),
(74737,400186,7,100,'Decreases Defense of caster by 9.3',0,1),
(74738,400186,7,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 21.5',0,2),
(74739,400186,7,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,3),
(74740,400186,9,100,'Increases Fervor of caster by 5.0',0,0),
(74741,400186,9,100,'Decreases Defense of caster by 9.3',0,1),
(74742,400186,9,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 22.3',0,2),
(74743,400186,9,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,3),
(74744,400187,1,100,'Increases Fervor of caster by 5.0',0,0),
(74745,400187,1,100,'Decreases Defense of caster by 13.5',0,1),
(74746,400187,1,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 18.2',0,2),
(74747,400187,1,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,3),
(74748,400187,2,100,'Increases Fervor of caster by 5.0',0,0),
(74749,400187,2,100,'Decreases Defense of caster by 13.5',0,1),
(74750,400187,2,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 19.2',0,2),
(74751,400187,2,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,3),
(74752,400187,3,100,'Increases Fervor of caster by 5.0',0,0),
(74753,400187,3,100,'Decreases Defense of caster by 13.5',0,1),
(74754,400187,3,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 20.3',0,2),
(74755,400187,3,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,3),
(74756,400187,4,100,'Increases Fervor of caster by 5.0',0,0),
(74757,400187,4,100,'Decreases Defense of caster by 13.5',0,1),
(74758,400187,4,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 22.3',0,2),
(74759,400187,4,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,3),
(74760,400187,5,100,'Increases Fervor of caster by 5.0',0,0),
(74761,400187,5,100,'Decreases Defense of caster by 13.5',0,1),
(74762,400187,5,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 24.3',0,2),
(74763,400187,5,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,3),
(74764,400187,7,100,'Increases Fervor of caster by 5.0',0,0),
(74765,400187,7,100,'Decreases Defense of caster by 13.5',0,1),
(74766,400187,7,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 31.2',0,2),
(74767,400187,7,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,3),
(74768,400187,9,100,'Increases Fervor of caster by 5.0',0,0),
(74769,400187,9,100,'Decreases Defense of caster by 13.5',0,1),
(74770,400187,9,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 32.4',0,2),
(74771,400187,9,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,3),
(74772,400188,1,100,'Increases Fervor of caster by 5.0',0,0),
(74773,400188,1,100,'Decreases Defense of caster by 17.7',0,1),
(74774,400188,1,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 23.9',0,2),
(74775,400188,1,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,3),
(74776,400188,2,100,'Increases Fervor of caster by 5.0',0,0),
(74777,400188,2,100,'Decreases Defense of caster by 17.7',0,1),
(74778,400188,2,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 25.2',0,2),
(74779,400188,2,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,3),
(74780,400188,3,100,'Increases Fervor of caster by 5.0',0,0),
(74781,400188,3,100,'Decreases Defense of caster by 17.7',0,1),
(74782,400188,3,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 26.5',0,2),
(74783,400188,3,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,3),
(74784,400188,4,100,'Increases Fervor of caster by 5.0',0,0),
(74785,400188,4,100,'Decreases Defense of caster by 17.7',0,1),
(74786,400188,4,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 29.2',0,2),
(74787,400188,4,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,3),
(74788,400188,5,100,'Increases Fervor of caster by 5.0',0,0),
(74789,400188,5,100,'Decreases Defense of caster by 17.7',0,1),
(74790,400188,5,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 31.9',0,2),
(74791,400188,5,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,3),
(74792,400188,7,100,'Increases Fervor of caster by 5.0',0,0),
(74793,400188,7,100,'Decreases Defense of caster by 17.7',0,1),
(74794,400188,7,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 40.9',0,2),
(74795,400188,7,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,3),
(74796,400188,9,100,'Increases Fervor of caster by 5.0',0,0),
(74797,400188,9,100,'Decreases Defense of caster by 17.7',0,1),
(74798,400188,9,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 42.5',0,2),
(74799,400188,9,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,3),
(74800,400189,1,100,'Increases Fervor of caster by 5.0',0,0),
(74801,400189,1,100,'Decreases Defense of caster by 21.8',0,1),
(74802,400189,1,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 29.4',0,2),
(74803,400189,1,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,3),
(74804,400189,2,100,'Increases Fervor of caster by 5.0',0,0),
(74805,400189,2,100,'Decreases Defense of caster by 21.8',0,1),
(74806,400189,2,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 31.1',0,2),
(74807,400189,2,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,3),
(74808,400189,3,100,'Increases Fervor of caster by 5.0',0,0),
(74809,400189,3,100,'Decreases Defense of caster by 21.8',0,1),
(74810,400189,3,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 32.7',0,2),
(74811,400189,3,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,3),
(74812,400189,4,100,'Increases Fervor of caster by 5.0',0,0),
(74813,400189,4,100,'Decreases Defense of caster by 21.8',0,1),
(74814,400189,4,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 36.0',0,2),
(74815,400189,4,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,3),
(74816,400189,5,100,'Increases Fervor of caster by 5.0',0,0),
(74817,400189,5,100,'Decreases Defense of caster by 21.8',0,1),
(74818,400189,5,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 39.2',0,2),
(74819,400189,5,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,3),
(74820,400189,7,100,'Increases Fervor of caster by 5.0',0,0),
(74821,400189,7,100,'Decreases Defense of caster by 21.8',0,1),
(74822,400189,7,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 50.4',0,2),
(74823,400189,7,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,3),
(74824,400189,9,100,'Increases Fervor of caster by 5.0',0,0),
(74825,400189,9,100,'Decreases Defense of caster by 21.8',0,1),
(74826,400189,9,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 52.3',0,2),
(74827,400189,9,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,3),
(74828,400190,1,100,'Increases Fervor of caster by 5.0',0,0),
(74829,400190,1,100,'Decreases Defense of caster by 25.8',0,1),
(74830,400190,1,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 35.1',0,2),
(74831,400190,1,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,3),
(74832,400190,4,100,'Increases Fervor of caster by 5.0',0,0),
(74833,400190,4,100,'Decreases Defense of caster by 25.8',0,1),
(74834,400190,4,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 42.9',0,2),
(74835,400190,4,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,3),
(74836,400190,5,100,'Increases Fervor of caster by 5.0',0,0),
(74837,400190,5,100,'Decreases Defense of caster by 25.8',0,1),
(74838,400190,5,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 46.8',0,2),
(74839,400190,5,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,3),
(74840,400190,7,100,'Increases Fervor of caster by 5.0',0,0),
(74841,400190,7,100,'Decreases Defense of caster by 25.8',0,1),
(74842,400190,7,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 60.1',0,2),
(74843,400190,7,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,3),
(74844,400190,9,100,'Increases Fervor of caster by 5.0',0,0),
(74845,400190,9,100,'Decreases Defense of caster by 25.8',0,1),
(74846,400190,9,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 62.4',0,2),
(74847,400190,9,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,3),
(74848,400191,1,100,'Increases Fervor of caster by 5.0',0,0),
(74849,400191,1,100,'Decreases Defense of caster by 29.8',0,1),
(74850,400191,1,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 41.8',0,2),
(74851,400191,1,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,3),
(74852,400191,4,100,'Increases Fervor of caster by 5.0',0,0),
(74853,400191,4,100,'Decreases Defense of caster by 29.8',0,1),
(74854,400191,4,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 51.2',0,2),
(74855,400191,4,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,3),
(74856,400191,5,100,'Increases Fervor of caster by 5.0',0,0),
(74857,400191,5,100,'Decreases Defense of caster by 29.8',0,1),
(74858,400191,5,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 55.8',0,2),
(74859,400191,5,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,3),
(74860,400191,7,100,'Increases Fervor of caster by 5.0',0,0),
(74861,400191,7,100,'Decreases Defense of caster by 29.8',0,1),
(74862,400191,7,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 71.6',0,2),
(74863,400191,7,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,3),
(74864,400191,9,100,'Increases Fervor of caster by 5.0',0,0),
(74865,400191,9,100,'Decreases Defense of caster by 29.8',0,1),
(74866,400191,9,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 74.4',0,2),
(74867,400191,9,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,3),
(74868,40217,12,100,'Caster has a 100.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(74869,40217,12,100,'Reduces physical damage done to caster by 5%',0,1),
(74870,2000297,1,100,'Inflicts 1098 - 1342 heat damage on targets in Area of Effect',0,0),
(74871,2000297,1,100,'Increases threat priority of targets in Area of Effect by 2 positions',0,1),
(74872,2000298,3,100,'Inflicts 3 - 5 crushing damage on target',0,0),
(74873,2000298,3,100,'Decreases Haste of target by 10.0',0,1),
(74874,2000298,4,100,'Inflicts 3 - 6 crushing damage on target',0,0),
(74875,2000298,4,100,'Decreases Haste of target by 11.0',0,1),
(74876,2000298,5,100,'Inflicts 4 - 6 crushing damage on target',0,0),
(74877,2000298,5,100,'Decreases Haste of target by 12.0',0,1),
(74878,2000298,7,100,'Inflicts 5 - 8 crushing damage on target',0,0),
(74879,2000298,7,100,'Decreases Haste of target by 15.4',0,1),
(74880,2000298,9,100,'Inflicts 5 - 9 crushing damage on target',0,0),
(74881,2000298,9,100,'Decreases Haste of target by 16.0',0,1),
(74882,2000298,10,100,'Inflicts 5 - 9 crushing damage on target',0,0),
(74883,2000298,10,100,'Decreases Haste of target by 16.8',0,1),
(74884,420157,9,100,'Inflicts 273 - 456 melee damage on target encounter',0,0),
(74885,420157,9,100,'Increases Damage Per Second of group members (AE) by 10-22%',0,1),
(74886,420157,9,100,'The effect of this ability grows based on Savagery and Spirituality level.',0,2),
(74887,420157,9,100,'You must have your warder active to use this ability.',0,3),
(74888,2000299,3,100,'Inflicts 2 - 4 crushing damage on target encounter',0,0),
(74889,2000299,4,100,'Inflicts 3 - 5 crushing damage on target encounter',0,0),
(74890,2000299,5,100,'Inflicts 3 - 5 crushing damage on target encounter',0,0),
(74891,2000299,7,100,'Inflicts 4 - 7 crushing damage on target encounter',0,0),
(74892,2000299,9,100,'Inflicts 4 - 7 crushing damage on target encounter',0,0),
(74893,2000299,10,100,'Inflicts 4 - 7 crushing damage on target encounter',0,0),
(74894,10019,1,100,'Inflicts 5 - 8 melee damage on target',0,0),
(74895,10019,1,100,'If facing target',0,1),
(74896,10019,2,100,'Inflicts 5 - 8 melee damage on target',0,0),
(74897,10019,2,100,'If facing target',0,1),
(74898,10019,3,100,'Inflicts 5 - 9 melee damage on target',0,0),
(74899,10019,3,100,'If facing target',0,1),
(74900,10019,4,100,'Inflicts 6 - 10 melee damage on target',0,0),
(74901,10019,4,100,'If facing target',0,1),
(74902,10019,5,100,'Inflicts 6 - 11 melee damage on target',0,0),
(74903,10019,5,100,'If facing target',0,1),
(74904,10019,7,100,'Inflicts 8 - 14 melee damage on target',0,0),
(74905,10019,7,100,'If facing target',0,1),
(74906,10019,9,100,'Inflicts 8 - 14 melee damage on target',0,0),
(74907,10019,9,100,'If facing target',0,1),
(74908,60189,1,100,'Dispels 15 levels of elemental, noxious and arcane hostile effects on caster',0,0),
(74909,60189,2,100,'Dispels 15 levels of elemental, noxious and arcane hostile effects on caster',0,0),
(74910,60189,3,100,'Dispels 16 levels of elemental, noxious and arcane hostile effects on caster',0,0),
(74911,60189,4,100,'Dispels 18 levels of elemental, noxious and arcane hostile effects on caster',0,0),
(74912,60189,5,100,'Dispels 20 levels of elemental, noxious and arcane hostile effects on caster',0,0),
(74913,60189,7,100,'Dispels 25 levels of elemental, noxious and arcane hostile effects on caster',0,0),
(74914,60189,9,100,'Dispels 26 levels of elemental, noxious and arcane hostile effects on caster',0,0),
(74922,60191,1,100,'Dispels 41 levels of elemental, noxious and arcane hostile effects on caster',0,0),
(74923,60191,2,100,'Dispels 44 levels of elemental, noxious and arcane hostile effects on caster',0,0),
(74924,60191,3,100,'Dispels 46 levels of elemental, noxious and arcane hostile effects on caster',0,0),
(74925,60191,4,100,'Dispels 51 levels of elemental, noxious and arcane hostile effects on caster',0,0),
(74926,60191,5,100,'Dispels 55 levels of elemental, noxious and arcane hostile effects on caster',0,0),
(74927,60191,7,100,'Dispels 71 levels of elemental, noxious and arcane hostile effects on caster',0,0),
(74928,60191,9,100,'Dispels 74 levels of elemental, noxious and arcane hostile effects on caster',0,0),
(74929,60191,10,100,'Dispels 77 levels of elemental, noxious and arcane hostile effects on caster',0,0),
(74930,60192,1,100,'Dispels 55 levels of elemental, noxious and arcane hostile effects on caster',0,0),
(74931,60192,2,100,'Dispels 58 levels of elemental, noxious and arcane hostile effects on caster',0,0),
(74932,60192,3,100,'Dispels 61 levels of elemental, noxious and arcane hostile effects on caster',0,0),
(74933,60192,4,100,'Dispels 68 levels of elemental, noxious and arcane hostile effects on caster',0,0),
(74934,60192,5,100,'Dispels 74 levels of elemental, noxious and arcane hostile effects on caster',0,0),
(74935,60192,7,100,'Dispels 95 levels of elemental, noxious and arcane hostile effects on caster',0,0),
(74936,60192,9,100,'Dispels 98 levels of elemental, noxious and arcane hostile effects on caster',0,0),
(74937,60193,1,100,'Dispels 69 levels of elemental, noxious and arcane hostile effects on caster',0,0),
(74938,60193,2,100,'Dispels 73 levels of elemental, noxious and arcane hostile effects on caster',0,0),
(74939,60193,3,100,'Dispels 77 levels of elemental, noxious and arcane hostile effects on caster',0,0),
(74940,60193,4,100,'Dispels 84 levels of elemental, noxious and arcane hostile effects on caster',0,0),
(74941,60193,5,100,'Dispels 92 levels of elemental, noxious and arcane hostile effects on caster',0,0),
(74942,60193,7,100,'Dispels 118 levels of elemental, noxious and arcane hostile effects on caster',0,0),
(74943,60193,9,100,'Dispels 122 levels of elemental, noxious and arcane hostile effects on caster',0,0),
(74944,60194,1,100,'Dispels 79 levels of elemental, noxious and arcane hostile effects on caster',0,0),
(74945,60194,2,100,'Dispels 83 levels of elemental, noxious and arcane hostile effects on caster',0,0),
(74946,60194,3,100,'Dispels 87 levels of elemental, noxious and arcane hostile effects on caster',0,0),
(74947,60194,4,100,'Dispels 96 levels of elemental, noxious and arcane hostile effects on caster',0,0),
(74948,60194,5,100,'Dispels 105 levels of elemental, noxious and arcane hostile effects on caster',0,0),
(74949,60194,7,100,'Dispels 134 levels of elemental, noxious and arcane hostile effects on caster',0,0),
(74950,60194,9,100,'Dispels 140 levels of elemental, noxious and arcane hostile effects on caster',0,0),
(74951,60195,1,100,'Dispels 88 levels of elemental, noxious and arcane hostile effects on caster',0,0),
(74952,60195,4,100,'Dispels 108 levels of elemental, noxious and arcane hostile effects on caster',0,0),
(74953,60195,5,100,'Dispels 118 levels of elemental, noxious and arcane hostile effects on caster',0,0),
(74954,60195,7,100,'Dispels 151 levels of elemental, noxious and arcane hostile effects on caster',0,0),
(74955,60195,9,100,'Dispels 157 levels of elemental, noxious and arcane hostile effects on caster',0,0),
(74956,60196,1,100,'Dispels 98 levels of elemental, noxious and arcane hostile effects on caster',0,0),
(74957,60196,4,100,'Dispels 120 levels of elemental, noxious and arcane hostile effects on caster',0,0),
(74958,60196,5,100,'Dispels 131 levels of elemental, noxious and arcane hostile effects on caster',0,0),
(74959,60196,7,100,'Dispels 168 levels of elemental, noxious and arcane hostile effects on caster',0,0),
(74960,60196,9,100,'Dispels 174 levels of elemental, noxious and arcane hostile effects on caster',0,0),
(74961,2000300,1,100,'Inflicts 1296 - 1945 melee damage on target',0,0),
(74962,2000300,1,100,'Decreases Max Health of target by 3.0%',0,1),
(74963,2000300,1,100,'Must be flanking or behind',0,2),
(74964,60197,1,100,'Grants invisibility to caster',0,0),
(74965,60197,1,100,'Suspends caster''s movement speed enhancements',0,1),
(74966,2000301,1,100,'Removes Winds of Vitality, Winds of Prevention and Winds of Restoration from the caster and prevents them for triggering for the duration of this ability',0,0),
(74967,2000301,1,100,'You must have one of the three triggered effects active to use Winds of Retribution',0,1),
(74968,2000302,1,100,'Reduces all damage done to target by 50%',0,0),
(74969,2000302,1,100,'Prevents AOE (except when direct) ',0,1),
(74970,2000302,1,100,'Instantly teleport your target to you if the target is outside of 10 meters',0,2),
(74971,2000302,2,100,'Prevents AOE (except when direct) ',0,0),
(74972,2000302,2,100,'Reduces all damage done to target by 50%',0,1),
(74973,2000302,2,100,'Instantly teleport your target to you if the target is outside of 10 meters',0,2),
(74974,2000302,3,100,'Prevents AOE (except when direct) ',0,0),
(74975,2000302,3,100,'Reduces all damage done to target by 50%',0,1),
(74976,2000302,3,100,'Instantly teleport your target to you if the target is outside of 10 meters',0,2),
(74977,2000303,3,100,'Inflicts 4 - 7 crushing damage on target',0,0),
(74978,2000303,4,100,'Inflicts 4 - 8 crushing damage on target',0,0),
(74979,2000303,5,100,'Inflicts 5 - 9 crushing damage on target',0,0),
(74980,2000303,7,100,'Inflicts 6 - 11 crushing damage on target',0,0),
(74981,2000303,9,100,'Inflicts 7 - 12 crushing damage on target',0,0),
(74982,2000303,10,100,'Inflicts 7 - 12 crushing damage on target',0,0),
(74983,20014,1,100,'Inflicts 7 - 12 slashing damage on target',0,0),
(74984,20014,1,100,'Inflicts 10 slashing damage on target instantly and every 4 seconds',0,1),
(74985,20014,1,100,'Decreases DPS of target by 6.0',0,2),
(74986,20014,2,100,'Inflicts 7 - 12 slashing damage on target',0,0),
(74987,20014,2,100,'Inflicts 10 slashing damage on target instantly and every 4 seconds',0,1),
(74988,20014,2,100,'Decreases DPS of target by 6.3',0,2),
(74989,20014,3,100,'Inflicts 8 - 13 slashing damage on target',0,0),
(74990,20014,3,100,'Inflicts 11 slashing damage on target instantly and every 4 seconds',0,1),
(74991,20014,3,100,'Decreases DPS of target by 6.6',0,2),
(74992,20014,4,100,'Inflicts 8 - 14 slashing damage on target',0,0),
(74993,20014,4,100,'Inflicts 12 slashing damage on target instantly and every 4 seconds',0,1),
(74994,20014,4,100,'Decreases DPS of target by 7.3',0,2),
(74995,20014,5,100,'Inflicts 9 - 16 slashing damage on target',0,0),
(74996,20014,5,100,'Inflicts 13 slashing damage on target instantly and every 4 seconds',0,1),
(74997,20014,5,100,'Decreases DPS of target by 7.9',0,2),
(74998,20014,7,100,'Inflicts 12 - 20 slashing damage on target',0,0),
(74999,20014,7,100,'Inflicts 15 slashing damage on target instantly and every 4 seconds',0,1),
(75000,20014,7,100,'Decreases DPS of target by 10.2',0,2),
(75001,20014,9,100,'Inflicts 12 - 21 slashing damage on target',0,0),
(75002,20014,9,100,'Inflicts 17 slashing damage on target instantly and every 4 seconds',0,1),
(75003,20014,9,100,'Decreases DPS of target by 10.6',0,2),
(75004,100092,1,100,'Increases STR of caster by 11.9',0,0),
(75005,100092,1,100,'Decreases Defense of caster by 1.8',0,1),
(75006,100092,1,100,'Increases Crushing, Piercing, Slashing and Disruption of caster by 2.4',0,2),
(75007,100092,2,100,'Increases STR of caster by 12.5',0,0),
(75008,100092,2,100,'Decreases Defense of caster by 1.8',0,1),
(75009,100092,2,100,'Increases Crushing, Piercing, Slashing and Disruption of caster by 2.6',0,2),
(75010,100092,3,100,'Increases STR of caster by 13.2',0,0),
(75011,100092,3,100,'Decreases Defense of caster by 1.8',0,1),
(75012,100092,3,100,'Increases Crushing, Piercing, Slashing and Disruption of caster by 2.7',0,2),
(75013,100092,4,100,'Increases STR of caster by 14.5',0,0),
(75014,100092,4,100,'Decreases Defense of caster by 1.8',0,1),
(75015,100092,4,100,'Increases Crushing, Piercing, Slashing and Disruption of caster by 3.0',0,2),
(75016,100092,5,100,'Increases STR of caster by 15.8',0,0),
(75017,100092,5,100,'Decreases Defense of caster by 1.8',0,1),
(75018,100092,5,100,'Increases Crushing, Piercing, Slashing and Disruption of caster by 3.2',0,2),
(75019,100092,7,100,'Increases STR of caster by 20.3',0,0),
(75020,100092,7,100,'Decreases Defense of caster by 1.8',0,1),
(75021,100092,7,100,'Increases Crushing, Piercing, Slashing and Disruption of caster by 4.2',0,2),
(75022,100092,9,100,'Increases STR of caster by 21.1',0,0),
(75023,100092,9,100,'Decreases Defense of caster by 1.8',0,1),
(75024,100092,9,100,'Increases Crushing, Piercing, Slashing and Disruption of caster by 4.3',0,2),
(75025,100093,1,100,'Increases STR of caster by 23.8',0,0),
(75026,100093,1,100,'Decreases Defense of caster by 4.8',0,1),
(75027,100093,1,100,'Increases Crushing, Piercing, Slashing and Disruption of caster by 6.5',0,2),
(75028,100093,2,100,'Increases STR of caster by 25.1',0,0),
(75029,100093,2,100,'Decreases Defense of caster by 4.8',0,1),
(75030,100093,2,100,'Increases Crushing, Piercing, Slashing and Disruption of caster by 6.8',0,2),
(75031,100093,3,100,'Increases STR of caster by 26.4',0,0),
(75032,100093,3,100,'Decreases Defense of caster by 4.8',0,1),
(75033,100093,3,100,'Increases Crushing, Piercing, Slashing and Disruption of caster by 7.2',0,2),
(75034,100093,4,100,'Increases STR of caster by 29.0',0,0),
(75035,100093,4,100,'Decreases Defense of caster by 4.8',0,1),
(75036,100093,4,100,'Increases Crushing, Piercing, Slashing and Disruption of caster by 7.9',0,2),
(75037,100093,5,100,'Increases STR of caster by 31.7',0,0),
(75038,100093,5,100,'Decreases Defense of caster by 4.8',0,1),
(75039,100093,5,100,'Increases Crushing, Piercing, Slashing and Disruption of caster by 8.6',0,2),
(75040,100093,7,100,'Increases STR of caster by 40.7',0,0),
(75041,100093,7,100,'Decreases Defense of caster by 4.8',0,1),
(75042,100093,7,100,'Increases Crushing, Piercing, Slashing and Disruption of caster by 11.1',0,2),
(75043,100093,9,100,'Increases STR of caster by 42.2',0,0),
(75044,100093,9,100,'Decreases Defense of caster by 4.8',0,1),
(75045,100093,9,100,'Increases Crushing, Piercing, Slashing and Disruption of caster by 11.5',0,2),
(75046,100093,10,100,'Increases STR of caster by 44.4',0,0),
(75047,100093,10,100,'Decreases Defense of caster by 4.8',0,1),
(75048,100093,10,100,'Increases Crushing, Piercing, Slashing and Disruption of caster by 12.1',0,2),
(75049,100094,1,100,'Increases STR of caster by 44.3',0,0),
(75050,100094,1,100,'Decreases Defense of caster by 9.6',0,1),
(75051,100094,1,100,'Increases Crushing, Piercing, Slashing and Disruption of caster by 13.0',0,2),
(75052,100094,2,100,'Increases STR of caster by 46.7',0,0),
(75053,100094,2,100,'Decreases Defense of caster by 9.6',0,1),
(75054,100094,2,100,'Increases Crushing, Piercing, Slashing and Disruption of caster by 13.7',0,2),
(75055,100094,3,100,'Increases STR of caster by 49.2',0,0),
(75056,100094,3,100,'Decreases Defense of caster by 9.6',0,1),
(75057,100094,3,100,'Increases Crushing, Piercing, Slashing and Disruption of caster by 14.4',0,2),
(75058,100094,4,100,'Increases STR of caster by 54.1',0,0),
(75059,100094,4,100,'Decreases Defense of caster by 9.6',0,1),
(75060,100094,4,100,'Increases Crushing, Piercing, Slashing and Disruption of caster by 15.8',0,2),
(75061,100094,5,100,'Increases STR of caster by 59.0',0,0),
(75062,100094,5,100,'Decreases Defense of caster by 9.6',0,1),
(75063,100094,5,100,'Increases Crushing, Piercing, Slashing and Disruption of caster by 17.3',0,2),
(75064,100094,7,100,'Increases STR of caster by 75.8',0,0),
(75065,100094,7,100,'Decreases Defense of caster by 9.6',0,1),
(75066,100094,7,100,'Increases Crushing, Piercing, Slashing and Disruption of caster by 22.2',0,2),
(75067,100094,9,100,'Increases STR of caster by 78.7',0,0),
(75068,100094,9,100,'Decreases Defense of caster by 9.6',0,1),
(75069,100094,9,100,'Increases Crushing, Piercing, Slashing and Disruption of caster by 23.0',0,2),
(75070,100095,1,100,'Increases STR of caster by 64.4',0,0),
(75071,100095,1,100,'Decreases Defense of caster by 13.8',0,1),
(75072,100095,1,100,'Increases Crushing, Piercing, Slashing and Disruption of caster by 18.6',0,2),
(75073,100095,2,100,'Increases STR of caster by 68.0',0,0),
(75074,100095,2,100,'Decreases Defense of caster by 13.8',0,1),
(75075,100095,2,100,'Increases Crushing, Piercing, Slashing and Disruption of caster by 19.7',0,2),
(75076,100095,3,100,'Increases STR of caster by 71.6',0,0),
(75077,100095,3,100,'Decreases Defense of caster by 13.8',0,1),
(75078,100095,3,100,'Increases Crushing, Piercing, Slashing and Disruption of caster by 20.7',0,2),
(75079,100095,4,100,'Increases STR of caster by 78.8',0,0),
(75080,100095,4,100,'Decreases Defense of caster by 13.8',0,1),
(75081,100095,4,100,'Increases Crushing, Piercing, Slashing and Disruption of caster by 22.8',0,2),
(75082,100095,5,100,'Increases STR of caster by 85.9',0,0),
(75083,100095,5,100,'Decreases Defense of caster by 13.8',0,1),
(75084,100095,5,100,'Increases Crushing, Piercing, Slashing and Disruption of caster by 24.8',0,2),
(75085,100095,7,100,'Increases STR of caster by 110.3',0,0),
(75086,100095,7,100,'Decreases Defense of caster by 13.8',0,1),
(75087,100095,7,100,'Increases Crushing, Piercing, Slashing and Disruption of caster by 31.9',0,2),
(75088,100095,9,100,'Increases STR of caster by 114.6',0,0),
(75089,100095,9,100,'Decreases Defense of caster by 13.8',0,1),
(75090,100095,9,100,'Increases Crushing, Piercing, Slashing and Disruption of caster by 33.1',0,2),
(75091,100096,1,100,'Increases STR of caster by 84.6',0,0),
(75092,100096,1,100,'Decreases Defense of caster by 18.0',0,1),
(75093,100096,1,100,'Increases Crushing, Piercing, Slashing and Disruption of caster by 24.3',0,2),
(75094,100096,2,100,'Increases STR of caster by 89.3',0,0),
(75095,100096,2,100,'Decreases Defense of caster by 18.0',0,1),
(75096,100096,2,100,'Increases Crushing, Piercing, Slashing and Disruption of caster by 25.6',0,2),
(75097,100096,3,100,'Increases STR of caster by 94.0',0,0),
(75098,100096,3,100,'Decreases Defense of caster by 18.0',0,1),
(75099,100096,3,100,'Increases Crushing, Piercing, Slashing and Disruption of caster by 27.0',0,2),
(75100,100096,4,100,'Increases STR of caster by 103.4',0,0),
(75101,100096,4,100,'Decreases Defense of caster by 18.0',0,1),
(75102,100096,4,100,'Increases Crushing, Piercing, Slashing and Disruption of caster by 29.7',0,2),
(75103,100096,5,100,'Increases STR of caster by 112.8',0,0),
(75104,100096,5,100,'Decreases Defense of caster by 18.0',0,1),
(75105,100096,5,100,'Increases Crushing, Piercing, Slashing and Disruption of caster by 32.4',0,2),
(75106,100096,7,100,'Increases STR of caster by 144.8',0,0),
(75107,100096,7,100,'Decreases Defense of caster by 18.0',0,1),
(75108,100096,7,100,'Increases Crushing, Piercing, Slashing and Disruption of caster by 41.6',0,2),
(75109,100096,9,100,'Increases STR of caster by 150.4',0,0),
(75110,100096,9,100,'Decreases Defense of caster by 18.0',0,1),
(75111,100096,9,100,'Increases Crushing, Piercing, Slashing and Disruption of caster by 43.2',0,2),
(75112,100097,1,100,'Increases STR of caster by 104.9',0,0),
(75113,100097,1,100,'Decreases Defense of caster by 22.2',0,1),
(75114,100097,1,100,'Increases Crushing, Piercing, Slashing and Disruption of caster by 30.0',0,2),
(75115,100097,2,100,'Increases STR of caster by 110.8',0,0),
(75116,100097,2,100,'Decreases Defense of caster by 22.2',0,1),
(75117,100097,2,100,'Increases Crushing, Piercing, Slashing and Disruption of caster by 31.6',0,2),
(75118,100097,3,100,'Increases STR of caster by 116.6',0,0),
(75119,100097,3,100,'Decreases Defense of caster by 22.2',0,1),
(75120,100097,3,100,'Increases Crushing, Piercing, Slashing and Disruption of caster by 33.3',0,2),
(75121,100097,4,100,'Increases STR of caster by 128.3',0,0),
(75122,100097,4,100,'Decreases Defense of caster by 22.2',0,1),
(75123,100097,4,100,'Increases Crushing, Piercing, Slashing and Disruption of caster by 36.6',0,2),
(75124,100097,5,100,'Increases STR of caster by 139.9',0,0),
(75125,100097,5,100,'Decreases Defense of caster by 22.2',0,1),
(75126,100097,5,100,'Increases Crushing, Piercing, Slashing and Disruption of caster by 40.0',0,2),
(75127,100097,7,100,'Increases STR of caster by 179.6',0,0),
(75128,100097,7,100,'Decreases Defense of caster by 22.2',0,1),
(75129,100097,7,100,'Increases Crushing, Piercing, Slashing and Disruption of caster by 51.3',0,2),
(75130,100097,9,100,'Increases STR of caster by 186.6',0,0),
(75131,100097,9,100,'Decreases Defense of caster by 22.2',0,1),
(75132,100097,9,100,'Increases Crushing, Piercing, Slashing and Disruption of caster by 53.3',0,2),
(75133,100098,1,100,'Increases STR of caster by 124.7',0,0),
(75134,100098,1,100,'Decreases Defense of caster by 26.2',0,1),
(75135,100098,1,100,'Increases Crushing, Piercing, Slashing and Disruption of caster by 35.8',0,2),
(75136,100098,4,100,'Increases STR of caster by 152.5',0,0),
(75137,100098,4,100,'Decreases Defense of caster by 26.2',0,1),
(75138,100098,4,100,'Increases Crushing, Piercing, Slashing and Disruption of caster by 43.7',0,2),
(75139,100098,5,100,'Increases STR of caster by 166.3',0,0),
(75140,100098,5,100,'Decreases Defense of caster by 26.2',0,1),
(75141,100098,5,100,'Increases Crushing, Piercing, Slashing and Disruption of caster by 47.7',0,2),
(75142,100098,7,100,'Increases STR of caster by 213.4',0,0),
(75143,100098,7,100,'Decreases Defense of caster by 26.2',0,1),
(75144,100098,7,100,'Increases Crushing, Piercing, Slashing and Disruption of caster by 61.2',0,2),
(75145,100098,9,100,'Increases STR of caster by 221.8',0,0),
(75146,100098,9,100,'Decreases Defense of caster by 26.2',0,1),
(75147,100098,9,100,'Increases Crushing, Piercing, Slashing and Disruption of caster by 63.6',0,2),
(75148,100099,1,100,'Increases STR of caster by 144.5',0,0),
(75149,100099,1,100,'Increases Potency of caster by 1.4%',0,1),
(75150,100099,1,100,'Decreases Defense of caster by 30.2',0,2),
(75151,100099,4,100,'Increases STR of caster by 176.7',0,0),
(75152,100099,4,100,'Increases Potency of caster by 1.8%',0,1),
(75153,100099,4,100,'Decreases Defense of caster by 30.2',0,2),
(75154,100099,5,100,'Increases STR of caster by 192.7',0,0),
(75155,100099,5,100,'Increases Potency of caster by 1.9%',0,1),
(75156,100099,5,100,'Decreases Defense of caster by 30.2',0,2),
(75157,100099,7,100,'Increases STR of caster by 247.3',0,0),
(75158,100099,7,100,'Increases Potency of caster by 2.5%',0,1),
(75159,100099,7,100,'Decreases Defense of caster by 30.2',0,2),
(75160,100099,9,100,'Increases STR of caster by 257.0',0,0),
(75161,100099,9,100,'Increases Potency of caster by 2.6%',0,1),
(75162,100099,9,100,'Decreases Defense of caster by 30.2',0,2),
(75163,30207,12,100,'Caster is immune to riposte damage.',0,0),
(75164,30207,12,100,'On a melee hit this spell may cast Shielding of Vel`Arek on caster.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',0,1),
(75165,30207,12,100,'Makes caster immune to Root effects',1,2),
(75166,30207,12,100,'Makes caster immune to Daze effects',1,3),
(75167,30207,12,100,'Makes caster immune to Fear effects',1,4),
(75168,30207,12,100,'Makes caster immune to Stifle effects',1,5),
(75169,30207,12,100,'Makes caster immune to Stun effects',1,6),
(75170,30207,12,100,'Cannot be modified except by direct means',1,7),
(75171,30207,12,100,'On a melee hit this spell may cast Wrath of the Warrior on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.4 times per minute. ',0,8),
(75172,30207,12,100,'Inflicts 635 - 953 slashing damage on target',1,9),
(75173,30207,12,100,'Reduces physical damage done to caster by 5%',1,10),
(75174,30207,12,100,'Cannot be modified except by direct means',1,11),
(75175,30207,12,100,'Cannot be modified except by direct means',0,12),
(75176,2000304,1,100,'No ammo will be consumed',0,0),
(75177,2000304,1,100,'Increases damage of your next stealth attacks by 33.6%',0,1),
(75178,2000304,1,100,'Prevents the ranger from being interrupted and allows them to execute abilities while moving',0,2),
(75179,2000304,1,100,'The ranger can use stealth strikes when not in stealth.',0,3),
(75180,2000305,1,100,'Inflicts 299 - 365 melee damage on target',0,0),
(75181,2000305,1,100,'Inflicts 1 mental damage on target every 3 seconds',0,1),
(75182,2000305,1,100,'Decreases Combat Mitigation of target by 3.6',0,2),
(75183,2000305,2,100,'Inflicts 315 - 385 melee damage on target',0,0),
(75184,2000305,2,100,'Inflicts 1 mental damage on target every 3 seconds',0,1),
(75185,2000305,2,100,'Decreases Combat Mitigation of target by 7.2',0,2),
(75186,2000305,3,100,'Inflicts 332 - 406 melee damage on target',0,0),
(75187,2000305,3,100,'Inflicts 1 mental damage on target every 3 seconds',0,1),
(75188,2000305,3,100,'Decreases Combat Mitigation of target by 10.8',0,2),
(75189,2000305,4,100,'Inflicts 274 - 335 melee damage on target',0,0),
(75190,2000305,4,100,'Inflicts 1 mental damage on target every 3 seconds',0,1),
(75191,2000305,4,100,'Decreases Combat Mitigation of target by 14.4',0,2),
(75192,2000305,5,100,'Inflicts 299 - 365 melee damage on target',0,0),
(75193,2000305,5,100,'Inflicts 1 - 2 mental damage on target every 3 seconds',0,1),
(75194,2000305,5,100,'Decreases Combat Mitigation of target by 18',0,2),
(75195,2000306,1,100,'Clears the reuse of most modifiable abilities in the fighter''s spellbook.',0,0),
(75196,2000306,1,100,'This effect cannot be cast during combat',0,1),
(75197,2000306,1,100,'Cannot be modified except by direct means',0,2),
(75198,2000307,1,100,'Dispels 6 levels of any hostile effects on group members (AE)',0,0),
(75199,2000307,1,100,'Inflicts 12 - 23 crushing damage on target encounter',0,1),
(75200,2000308,1,100,'Applies Construct''s Protection.  Lasts for 8.0 seconds.',0,0),
(75201,2000308,1,100,'100% chance to intercept all damage on target.On a successful intercept caster takes 25% of attack damage, target takes 0% of attack damage.',1,1),
(75202,2000308,1,100,'Only applies to damage.',2,2),
(75203,2000308,1,100,'Suspends if the Construct falls below 25% health',1,3),
(75204,2000308,1,100,'This interception takes precedence over all other Construct interception effects',1,4),
(75205,2000308,1,100,'If over 25% Health',0,5),
(75206,200000,1,100,'Decreases STR, AGI and WIS of target by 32.9',0,0),
(75207,200000,2,100,'Decreases STR, AGI and WIS of target by 34.8',0,0),
(75208,200000,3,100,'Decreases STR, AGI and WIS of target by 36.6',0,0),
(75209,200000,4,100,'Decreases STR, AGI and WIS of target by 40.3',0,0),
(75210,200000,5,100,'Decreases STR, AGI and WIS of target by 43.9',0,0),
(75211,200000,7,100,'Decreases STR, AGI and WIS of target by 56.4',0,0),
(75212,200000,9,100,'Decreases STR, AGI and WIS of target by 58.6',0,0),
(75213,200001,1,100,'Decreases STR, AGI and WIS of target by 43.0',0,0),
(75214,200001,2,100,'Decreases STR, AGI and WIS of target by 45.4',0,0),
(75215,200001,3,100,'Decreases STR, AGI and WIS of target by 47.8',0,0),
(75216,200001,4,100,'Decreases STR, AGI and WIS of target by 52.6',0,0),
(75217,200001,5,100,'Decreases STR, AGI and WIS of target by 57.4',0,0),
(75218,200001,7,100,'Decreases STR, AGI and WIS of target by 73.6',0,0),
(75219,200001,9,100,'Decreases STR, AGI and WIS of target by 76.5',0,0),
(75220,200002,1,100,'Decreases STR, AGI and WIS of target by 54.4',0,0),
(75221,200002,2,100,'Decreases STR, AGI and WIS of target by 57.5',0,0),
(75222,200002,3,100,'Decreases STR, AGI and WIS of target by 60.5',0,0),
(75223,200002,4,100,'Decreases STR, AGI and WIS of target by 66.6',0,0),
(75224,200002,5,100,'Decreases STR, AGI and WIS of target by 72.6',0,0),
(75225,200002,7,100,'Decreases STR, AGI and WIS of target by 93.2',0,0),
(75226,200002,9,100,'Decreases STR, AGI and WIS of target by 96.8',0,0),
(75227,200003,1,100,'Decreases STR, AGI and WIS of target by 64.3',0,0),
(75228,200003,4,100,'Decreases STR, AGI and WIS of target by 78.7',0,0),
(75229,200003,5,100,'Decreases STR, AGI and WIS of target by 85.8',0,0),
(75230,200003,7,100,'Decreases STR, AGI and WIS of target by 110.1',0,0),
(75231,200003,9,100,'Decreases STR, AGI and WIS of target by 114.4',0,0),
(75232,200003,10,100,'Decreases STR, AGI and WIS of target by 120.1',0,0),
(75233,200004,1,100,'Decreases STR, AGI and WIS of target by 74.2',0,0),
(75234,200004,4,100,'Decreases STR, AGI and WIS of target by 90.7',0,0),
(75235,200004,5,100,'Decreases STR, AGI and WIS of target by 99.0',0,0),
(75236,200004,7,100,'Decreases STR, AGI and WIS of target by 127.0',0,0),
(75237,200004,9,100,'Decreases STR, AGI and WIS of target by 132.0',0,0),
(75238,200004,10,100,'Decreases STR, AGI and WIS of target by 138.6',0,0),
(75239,2000309,1,100,'Transfers 50% of the threat generated by the troubador''s group to the target for 15 seconds. This effect does not transfer threat generated by fighters.',0,0),
(75240,2000310,1,100,'Wards caster against 1 - 3 points of damage from all damage',0,0),
(75241,170000,1,100,'Dispels 42 levels of any hostile effects on group members (AE)',0,0),
(75242,170000,2,100,'Dispels 45 levels of any hostile effects on group members (AE)',0,0),
(75243,170000,3,100,'Dispels 47 levels of any hostile effects on group members (AE)',0,0),
(75244,170000,4,100,'Dispels 52 levels of any hostile effects on group members (AE)',0,0),
(75245,170000,5,100,'Dispels 57 levels of any hostile effects on group members (AE)',0,0),
(75246,170000,7,100,'Dispels 73 levels of any hostile effects on group members (AE)',0,0),
(75247,170000,9,100,'Dispels 76 levels of any hostile effects on group members (AE)',0,0),
(75248,170001,1,100,'Dispels 56 levels of any hostile effects on group members (AE)',0,0),
(75249,170001,2,100,'Dispels 59 levels of any hostile effects on group members (AE)',0,0),
(75250,170001,3,100,'Dispels 62 levels of any hostile effects on group members (AE)',0,0),
(75251,170001,4,100,'Dispels 69 levels of any hostile effects on group members (AE)',0,0),
(75252,170001,5,100,'Dispels 75 levels of any hostile effects on group members (AE)',0,0),
(75253,170001,7,100,'Dispels 96 levels of any hostile effects on group members (AE)',0,0),
(75254,170001,9,100,'Dispels 100 levels of any hostile effects on group members (AE)',0,0),
(75255,170002,1,100,'Dispels 70 levels of any hostile effects on group members (AE)',0,0),
(75256,170002,2,100,'Dispels 74 levels of any hostile effects on group members (AE)',0,0),
(75257,170002,3,100,'Dispels 78 levels of any hostile effects on group members (AE)',0,0),
(75258,170002,4,100,'Dispels 85 levels of any hostile effects on group members (AE)',0,0),
(75259,170002,5,100,'Dispels 93 levels of any hostile effects on group members (AE)',0,0),
(75260,170002,7,100,'Dispels 120 levels of any hostile effects on group members (AE)',0,0),
(75261,170002,9,100,'Dispels 124 levels of any hostile effects on group members (AE)',0,0),
(75262,200005,1,100,'Decreases STR, AGI, WIS and INT of target by 2.7',0,0),
(75263,200005,1,100,'Decreases Max Health of target by 0.5%',0,1),
(75264,200005,2,100,'Decreases STR, AGI, WIS and INT of target by 2.9',0,0),
(75265,200005,2,100,'Decreases Max Health of target by 0.6%',0,1),
(75266,200005,3,100,'Decreases STR, AGI, WIS and INT of target by 3.0',0,0),
(75267,200005,3,100,'Decreases Max Health of target by 0.6%',0,1),
(75268,200005,4,100,'Decreases STR, AGI, WIS and INT of target by 3.3',0,0),
(75269,200005,4,100,'Decreases Max Health of target by 0.7%',0,1),
(75270,200005,5,100,'Decreases STR, AGI, WIS and INT of target by 3.6',0,0),
(75271,200005,5,100,'Decreases Max Health of target by 0.7%',0,1),
(75272,200005,7,100,'Decreases STR, AGI, WIS and INT of target by 4.6',0,0),
(75273,200005,7,100,'Decreases Max Health of target by 0.9%',0,1),
(75274,200005,9,100,'Decreases STR, AGI, WIS and INT of target by 4.8',0,0),
(75275,200005,9,100,'Decreases Max Health of target by 1.0%',0,1),
(75276,200006,1,100,'Decreases STR, AGI, WIS and INT of target by 2.7',0,0),
(75277,200006,1,100,'Decreases Max Health of target by 0.5%',0,1),
(75278,200006,2,100,'Decreases STR, AGI, WIS and INT of target by 2.9',0,0),
(75279,200006,2,100,'Decreases Max Health of target by 0.6%',0,1),
(75280,200006,3,100,'Decreases STR, AGI, WIS and INT of target by 3.0',0,0),
(75281,200006,3,100,'Decreases Max Health of target by 0.6%',0,1),
(75282,200006,4,100,'Decreases STR, AGI, WIS and INT of target by 3.3',0,0),
(75283,200006,4,100,'Decreases Max Health of target by 0.7%',0,1),
(75284,200006,5,100,'Decreases STR, AGI, WIS and INT of target by 3.6',0,0),
(75285,200006,5,100,'Decreases Max Health of target by 0.7%',0,1),
(75286,200006,7,100,'Decreases STR, AGI, WIS and INT of target by 4.6',0,0),
(75287,200006,7,100,'Decreases Max Health of target by 0.9%',0,1),
(75288,200006,9,100,'Decreases STR, AGI, WIS and INT of target by 4.8',0,0),
(75289,200006,9,100,'Decreases Max Health of target by 1.0%',0,1),
(75290,200006,10,100,'Decreases STR, AGI, WIS and INT of target by 5.0',0,0),
(75291,200006,10,100,'Decreases Max Health of target by 1.0%',0,1),
(75292,200007,1,100,'Decreases STR, AGI, WIS and INT of target by 2.7',0,0),
(75293,200007,1,100,'Decreases Max Health of target by 0.5%',0,1),
(75294,200007,2,100,'Decreases STR, AGI, WIS and INT of target by 2.9',0,0),
(75295,200007,2,100,'Decreases Max Health of target by 0.6%',0,1),
(75296,200007,3,100,'Decreases STR, AGI, WIS and INT of target by 3.0',0,0),
(75297,200007,3,100,'Decreases Max Health of target by 0.6%',0,1),
(75298,200007,4,100,'Decreases STR, AGI, WIS and INT of target by 3.3',0,0),
(75299,200007,4,100,'Decreases Max Health of target by 0.7%',0,1),
(75300,200007,5,100,'Decreases STR, AGI, WIS and INT of target by 3.6',0,0),
(75301,200007,5,100,'Decreases Max Health of target by 0.7%',0,1),
(75302,200007,7,100,'Decreases STR, AGI, WIS and INT of target by 4.6',0,0),
(75303,200007,7,100,'Decreases Max Health of target by 0.9%',0,1),
(75304,200007,9,100,'Decreases STR, AGI, WIS and INT of target by 4.8',0,0),
(75305,200007,9,100,'Decreases Max Health of target by 1.0%',0,1),
(75306,200008,1,100,'Decreases STR, AGI, WIS and INT of target by 2.7',0,0),
(75307,200008,1,100,'Decreases Max Health of target by 0.5%',0,1),
(75308,200008,2,100,'Decreases STR, AGI, WIS and INT of target by 2.9',0,0),
(75309,200008,2,100,'Decreases Max Health of target by 0.6%',0,1),
(75310,200008,3,100,'Decreases STR, AGI, WIS and INT of target by 3.0',0,0),
(75311,200008,3,100,'Decreases Max Health of target by 0.6%',0,1),
(75312,200008,4,100,'Decreases STR, AGI, WIS and INT of target by 3.3',0,0),
(75313,200008,4,100,'Decreases Max Health of target by 0.7%',0,1),
(75314,200008,5,100,'Decreases STR, AGI, WIS and INT of target by 3.6',0,0),
(75315,200008,5,100,'Decreases Max Health of target by 0.7%',0,1),
(75316,200008,7,100,'Decreases STR, AGI, WIS and INT of target by 4.6',0,0),
(75317,200008,7,100,'Decreases Max Health of target by 0.9%',0,1),
(75318,200008,9,100,'Decreases STR, AGI, WIS and INT of target by 4.8',0,0),
(75319,200008,9,100,'Decreases Max Health of target by 1.0%',0,1),
(75320,200009,1,100,'Decreases STR, AGI, WIS and INT of target by 2.7',0,0),
(75321,200009,1,100,'Decreases Max Health of target by 0.5%',0,1),
(75322,200009,2,100,'Decreases STR, AGI, WIS and INT of target by 2.9',0,0),
(75323,200009,2,100,'Decreases Max Health of target by 0.6%',0,1),
(75324,200009,3,100,'Decreases STR, AGI, WIS and INT of target by 3.0',0,0),
(75325,200009,3,100,'Decreases Max Health of target by 0.6%',0,1),
(75326,200009,4,100,'Decreases STR, AGI, WIS and INT of target by 3.3',0,0),
(75327,200009,4,100,'Decreases Max Health of target by 0.7%',0,1),
(75328,200009,5,100,'Decreases STR, AGI, WIS and INT of target by 3.6',0,0),
(75329,200009,5,100,'Decreases Max Health of target by 0.7%',0,1),
(75330,200009,7,100,'Decreases STR, AGI, WIS and INT of target by 4.6',0,0),
(75331,200009,7,100,'Decreases Max Health of target by 0.9%',0,1),
(75332,200009,9,100,'Decreases STR, AGI, WIS and INT of target by 4.8',0,0),
(75333,200009,9,100,'Decreases Max Health of target by 1.0%',0,1),
(75334,200009,10,100,'Decreases STR, AGI, WIS and INT of target by 5.0',0,0),
(75335,200009,10,100,'Decreases Max Health of target by 1.0%',0,1),
(75336,200010,1,100,'Decreases STR, AGI, WIS and INT of target by 2.7',0,0),
(75337,200010,1,100,'Decreases Max Health of target by 0.5%',0,1),
(75338,200010,2,100,'Decreases STR, AGI, WIS and INT of target by 2.9',0,0),
(75339,200010,2,100,'Decreases Max Health of target by 0.6%',0,1),
(75340,200010,3,100,'Decreases STR, AGI, WIS and INT of target by 3.0',0,0),
(75341,200010,3,100,'Decreases Max Health of target by 0.6%',0,1),
(75342,200010,4,100,'Decreases STR, AGI, WIS and INT of target by 3.3',0,0),
(75343,200010,4,100,'Decreases Max Health of target by 0.7%',0,1),
(75344,200010,5,100,'Decreases STR, AGI, WIS and INT of target by 3.6',0,0),
(75345,200010,5,100,'Decreases Max Health of target by 0.7%',0,1),
(75346,200010,7,100,'Decreases STR, AGI, WIS and INT of target by 4.6',0,0),
(75347,200010,7,100,'Decreases Max Health of target by 0.9%',0,1),
(75348,200010,9,100,'Decreases STR, AGI, WIS and INT of target by 4.8',0,0),
(75349,200010,9,100,'Decreases Max Health of target by 1.0%',0,1),
(75350,200011,1,100,'Decreases STR, AGI, WIS and INT of target by 2.7',0,0),
(75351,200011,1,100,'Decreases Max Health of target by 0.5%',0,1),
(75352,200011,4,100,'Decreases STR, AGI, WIS and INT of target by 3.3',0,0),
(75353,200011,4,100,'Decreases Max Health of target by 0.7%',0,1),
(75354,200011,5,100,'Decreases STR, AGI, WIS and INT of target by 3.6',0,0),
(75355,200011,5,100,'Decreases Max Health of target by 0.7%',0,1),
(75356,200011,7,100,'Decreases STR, AGI, WIS and INT of target by 4.6',0,0),
(75357,200011,7,100,'Decreases Max Health of target by 0.9%',0,1),
(75358,200011,9,100,'Decreases STR, AGI, WIS and INT of target by 4.8',0,0),
(75359,200011,9,100,'Decreases Max Health of target by 1.0%',0,1),
(75360,200012,1,100,'Decreases STR, AGI, WIS and INT of target by 2.7',0,0),
(75361,200012,1,100,'Decreases Max Health of target by 0.5%',0,1),
(75362,200012,4,100,'Decreases STR, AGI, WIS and INT of target by 3.3',0,0),
(75363,200012,4,100,'Decreases Max Health of target by 0.7%',0,1),
(75364,200012,5,100,'Decreases STR, AGI, WIS and INT of target by 3.6',0,0),
(75365,200012,5,100,'Decreases Max Health of target by 0.7%',0,1),
(75366,200012,7,100,'Decreases STR, AGI, WIS and INT of target by 4.6',0,0),
(75367,200012,7,100,'Decreases Max Health of target by 0.9%',0,1),
(75368,200012,9,100,'Decreases STR, AGI, WIS and INT of target by 4.8',0,0),
(75369,200012,9,100,'Decreases Max Health of target by 1.0%',0,1),
(75370,200013,1,100,'Allows group members (AE) to breathe under water',0,0),
(75371,200013,1,100,'Allows group members (AE) to jump under water',0,1),
(75372,200013,1,100,'Allows group members (AE) to walk under water',0,2),
(75373,200014,1,100,'Interrupts target encounter',0,0),
(75374,200014,1,100,'Inflicts 24 - 30 disease damage on target encounter instantly and every 3 seconds',0,1),
(75375,200014,1,100,'Decreases Mitigation of target encounter vs noxious damage by 288',0,2),
(75376,200014,2,100,'Interrupts target encounter',0,0),
(75377,200014,2,100,'Inflicts 26 - 31 disease damage on target encounter instantly and every 3 seconds',0,1),
(75378,200014,2,100,'Decreases Mitigation of target encounter vs noxious damage by 304',0,2),
(75379,200014,3,100,'Interrupts target encounter',0,0),
(75380,200014,3,100,'Inflicts 27 - 33 disease damage on target encounter instantly and every 3 seconds',0,1),
(75381,200014,3,100,'Decreases Mitigation of target encounter vs noxious damage by 320',0,2),
(75382,200014,4,100,'Interrupts target encounter',0,0),
(75383,200014,4,100,'Inflicts 30 - 36 disease damage on target encounter instantly and every 3 seconds',0,1),
(75384,200014,4,100,'Decreases Mitigation of target encounter vs noxious damage by 352',0,2),
(75385,200014,5,100,'Interrupts target encounter',0,0),
(75386,200014,5,100,'Inflicts 32 - 40 disease damage on target encounter instantly and every 3 seconds',0,1),
(75387,200014,5,100,'Decreases Mitigation of target encounter vs noxious damage by 384',0,2),
(75388,200014,7,100,'Interrupts target encounter',0,0),
(75389,200014,7,100,'Inflicts 42 - 51 disease damage on target encounter instantly and every 3 seconds',0,1),
(75390,200014,7,100,'Decreases Mitigation of target encounter vs noxious damage by 493',0,2),
(75391,200014,9,100,'Interrupts target encounter',0,0),
(75392,200014,9,100,'Inflicts 43 - 53 disease damage on target encounter instantly and every 3 seconds',0,1),
(75393,200014,9,100,'Decreases Mitigation of target encounter vs noxious damage by 512',0,2),
(75394,200015,1,100,'Interrupts target encounter',0,0),
(75395,200015,1,100,'Inflicts 37 - 46 disease damage on target encounter instantly and every 3 seconds',0,1),
(75396,200015,1,100,'Decreases Mitigation of target encounter vs noxious damage by 414',0,2),
(75397,200015,2,100,'Interrupts target encounter',0,0),
(75398,200015,2,100,'Inflicts 39 - 48 disease damage on target encounter instantly and every 3 seconds',0,1),
(75399,200015,2,100,'Decreases Mitigation of target encounter vs noxious damage by 437',0,2),
(75400,200015,3,100,'Interrupts target encounter',0,0),
(75401,200015,3,100,'Inflicts 41 - 51 disease damage on target encounter instantly and every 3 seconds',0,1),
(75402,200015,3,100,'Decreases Mitigation of target encounter vs noxious damage by 460',0,2),
(75403,200015,4,100,'Interrupts target encounter',0,0),
(75404,200015,4,100,'Inflicts 46 - 56 disease damage on target encounter instantly and every 3 seconds',0,1),
(75405,200015,4,100,'Decreases Mitigation of target encounter vs noxious damage by 506',0,2),
(75406,200015,5,100,'Interrupts target encounter',0,0),
(75407,200015,5,100,'Inflicts 50 - 61 disease damage on target encounter instantly and every 3 seconds',0,1),
(75408,200015,5,100,'Decreases Mitigation of target encounter vs noxious damage by 552',0,2),
(75409,200015,7,100,'Interrupts target encounter',0,0),
(75410,200015,7,100,'Inflicts 64 - 78 disease damage on target encounter instantly and every 3 seconds',0,1),
(75411,200015,7,100,'Decreases Mitigation of target encounter vs noxious damage by 708',0,2),
(75412,200015,9,100,'Interrupts target encounter',0,0),
(75413,200015,9,100,'Inflicts 66 - 81 disease damage on target encounter instantly and every 3 seconds',0,1),
(75414,200015,9,100,'Decreases Mitigation of target encounter vs noxious damage by 736',0,2),
(75415,200016,1,100,'Interrupts target encounter',0,0),
(75416,200016,1,100,'Inflicts 52 - 63 disease damage on target encounter instantly and every 3 seconds',0,1),
(75417,200016,1,100,'Decreases Mitigation of target encounter vs noxious damage by 540',0,2),
(75418,200016,2,100,'Interrupts target encounter',0,0),
(75419,200016,2,100,'Inflicts 55 - 67 disease damage on target encounter instantly and every 3 seconds',0,1),
(75420,200016,2,100,'Decreases Mitigation of target encounter vs noxious damage by 570',0,2),
(75421,200016,3,100,'Interrupts target encounter',0,0),
(75422,200016,3,100,'Inflicts 58 - 70 disease damage on target encounter instantly and every 3 seconds',0,1),
(75423,200016,3,100,'Decreases Mitigation of target encounter vs noxious damage by 600',0,2),
(75424,200016,4,100,'Interrupts target encounter',0,0),
(75425,200016,4,100,'Inflicts 63 - 78 disease damage on target encounter instantly and every 3 seconds',0,1),
(75426,200016,4,100,'Decreases Mitigation of target encounter vs noxious damage by 660',0,2),
(75427,200016,5,100,'Interrupts target encounter',0,0),
(75428,200016,5,100,'Inflicts 69 - 85 disease damage on target encounter instantly and every 3 seconds',0,1),
(75429,200016,5,100,'Decreases Mitigation of target encounter vs noxious damage by 720',0,2),
(75430,200016,7,100,'Interrupts target encounter',0,0),
(75431,200016,7,100,'Inflicts 89 - 109 disease damage on target encounter instantly and every 3 seconds',0,1),
(75432,200016,7,100,'Decreases Mitigation of target encounter vs noxious damage by 924',0,2),
(75433,200016,9,100,'Interrupts target encounter',0,0),
(75434,200016,9,100,'Inflicts 92 - 113 disease damage on target encounter instantly and every 3 seconds',0,1),
(75435,200016,9,100,'Decreases Mitigation of target encounter vs noxious damage by 960',0,2),
(75436,200016,10,100,'Interrupts target encounter',0,0),
(75437,200016,10,100,'Inflicts 97 - 118 disease damage on target encounter instantly and every 3 seconds',0,1),
(75438,200016,10,100,'Decreases Mitigation of target encounter vs noxious damage by 1008',0,2),
(75439,200017,1,100,'Interrupts target encounter',0,0),
(75440,200017,1,100,'Inflicts 68 - 83 disease damage on target encounter instantly and every 3 seconds',0,1),
(75441,200017,1,100,'Decreases Mitigation of target encounter vs noxious damage by 704',0,2),
(75442,200017,2,100,'Interrupts target encounter',0,0),
(75443,200017,2,100,'Inflicts 71 - 87 disease damage on target encounter instantly and every 3 seconds',0,1),
(75444,200017,2,100,'Decreases Mitigation of target encounter vs noxious damage by 743',0,2),
(75445,200017,3,100,'Interrupts target encounter',0,0),
(75446,200017,3,100,'Inflicts 75 - 92 disease damage on target encounter instantly and every 3 seconds',0,1),
(75447,200017,3,100,'Decreases Mitigation of target encounter vs noxious damage by 782',0,2),
(75448,200017,4,100,'Interrupts target encounter',0,0),
(75449,200017,4,100,'Inflicts 83 - 101 disease damage on target encounter instantly and every 3 seconds',0,1),
(75450,200017,4,100,'Decreases Mitigation of target encounter vs noxious damage by 861',0,2),
(75451,200017,5,100,'Interrupts target encounter',0,0),
(75452,200017,5,100,'Inflicts 90 - 110 disease damage on target encounter instantly and every 3 seconds',0,1),
(75453,200017,5,100,'Decreases Mitigation of target encounter vs noxious damage by 939',0,2),
(75454,200017,7,100,'Interrupts target encounter',0,0),
(75455,200017,7,100,'Inflicts 116 - 142 disease damage on target encounter instantly and every 3 seconds',0,1),
(75456,200017,7,100,'Decreases Mitigation of target encounter vs noxious damage by 1205',0,2),
(75457,200017,9,100,'Interrupts target encounter',0,0),
(75458,200017,9,100,'Inflicts 120 - 147 disease damage on target encounter instantly and every 3 seconds',0,1),
(75459,200017,9,100,'Decreases Mitigation of target encounter vs noxious damage by 1252',0,2),
(75460,200017,10,100,'Interrupts target encounter',0,0),
(75461,200017,10,100,'Inflicts 126 - 154 disease damage on target encounter instantly and every 3 seconds',0,1),
(75462,200017,10,100,'Decreases Mitigation of target encounter vs noxious damage by 1314',0,2),
(75463,200018,1,100,'Interrupts target encounter',0,0),
(75464,200018,1,100,'Inflicts 82 - 100 disease damage on target encounter instantly and every 3 seconds',0,1),
(75465,200018,1,100,'Decreases Mitigation of target encounter vs noxious damage by 907',0,2),
(75466,200018,4,100,'Interrupts target encounter',0,0),
(75467,200018,4,100,'Inflicts 100 - 122 disease damage on target encounter instantly and every 3 seconds',0,1),
(75468,200018,4,100,'Decreases Mitigation of target encounter vs noxious damage by 1109',0,2),
(75469,200018,5,100,'Interrupts target encounter',0,0),
(75470,200018,5,100,'Inflicts 109 - 133 disease damage on target encounter instantly and every 3 seconds',0,1),
(75471,200018,5,100,'Decreases Mitigation of target encounter vs noxious damage by 1210',0,2),
(75472,200018,7,100,'Interrupts target encounter',0,0),
(75473,200018,7,100,'Inflicts 140 - 171 disease damage on target encounter instantly and every 3 seconds',0,1),
(75474,200018,7,100,'Decreases Mitigation of target encounter vs noxious damage by 1552',0,2),
(75475,200018,9,100,'Interrupts target encounter',0,0),
(75476,200018,9,100,'Inflicts 145 - 178 disease damage on target encounter instantly and every 3 seconds',0,1),
(75477,200018,9,100,'Decreases Mitigation of target encounter vs noxious damage by 1613',0,2),
(75478,200019,1,100,'Interrupts target encounter',0,0),
(75479,200019,1,100,'Inflicts 93 - 114 disease damage on target encounter instantly and every 3 seconds',0,1),
(75480,200019,1,100,'Decreases Mitigation of target encounter vs noxious damage by 1015',0,2),
(75481,200019,4,100,'Interrupts target encounter',0,0),
(75482,200019,4,100,'Inflicts 114 - 139 disease damage on target encounter instantly and every 3 seconds',0,1),
(75483,200019,4,100,'Decreases Mitigation of target encounter vs noxious damage by 1241',0,2),
(75484,200019,5,100,'Interrupts target encounter',0,0),
(75485,200019,5,100,'Inflicts 124 - 152 disease damage on target encounter instantly and every 3 seconds',0,1),
(75486,200019,5,100,'Decreases Mitigation of target encounter vs noxious damage by 1354',0,2),
(75487,200019,7,100,'Interrupts target encounter',0,0),
(75488,200019,7,100,'Inflicts 159 - 195 disease damage on target encounter instantly and every 3 seconds',0,1),
(75489,200019,7,100,'Decreases Mitigation of target encounter vs noxious damage by 1737',0,2),
(75490,200019,9,100,'Interrupts target encounter',0,0),
(75491,200019,9,100,'Inflicts 166 - 202 disease damage on target encounter instantly and every 3 seconds',0,1),
(75492,200019,9,100,'Decreases Mitigation of target encounter vs noxious damage by 1805',0,2),
(75493,240000,1,100,'Inflicts 174 - 322 disease damage on target encounter',0,0),
(75494,240000,2,100,'Inflicts 183 - 340 disease damage on target encounter',0,0),
(75495,240000,3,100,'Inflicts 193 - 358 disease damage on target encounter',0,0),
(75496,240000,4,100,'Inflicts 212 - 394 disease damage on target encounter',0,0),
(75497,240000,5,100,'Inflicts 231 - 430 disease damage on target encounter',0,0),
(75498,240000,7,100,'Inflicts 297 - 552 disease damage on target encounter',0,0),
(75499,240000,9,100,'Inflicts 309 - 573 disease damage on target encounter',0,0),
(75500,240000,10,100,'Inflicts 324 - 602 disease damage on target encounter',0,0),
(75501,140000,12,100,'Has a 50% chance to cast an additional heal 0.5 seconds after Alleviation, Fanatical Healing or Ministration is cast.',0,0),
(75502,140000,12,100,'On a combat hit this spell may cast Penitent Smite on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',0,1),
(75503,140000,12,100,'Inflicts 652 - 978 divine damage on target',1,2),
(75504,140000,12,100,'Makes group members (AE) immune to Daze and Stifle effects',1,3),
(75505,140000,12,100,'Cannot be modified except by direct means',1,4),
(75506,140000,12,100,'Improves the casting and reuse speed of heals by 15%',0,5),
(75507,140000,12,100,'Cannot be modified except by direct means',0,6),
(75508,240001,1,100,'Inflicts 317 - 588 disease damage on target encounter',0,0),
(75509,240001,2,100,'Inflicts 334 - 621 disease damage on target encounter',0,0),
(75510,240001,3,100,'Inflicts 352 - 654 disease damage on target encounter',0,0),
(75511,240001,4,100,'Inflicts 387 - 719 disease damage on target encounter',0,0),
(75512,240001,5,100,'Inflicts 422 - 784 disease damage on target encounter',0,0),
(75513,240001,7,100,'Inflicts 542 - 1007 disease damage on target encounter',0,0),
(75514,240001,9,100,'Inflicts 563 - 1046 disease damage on target encounter',0,0),
(75515,240001,10,100,'Inflicts 591 - 1098 disease damage on target encounter',0,0),
(75516,240002,1,100,'Inflicts 480 - 892 disease damage on target encounter',0,0),
(75517,240002,2,100,'Inflicts 507 - 942 disease damage on target encounter',0,0),
(75518,240002,3,100,'Inflicts 534 - 991 disease damage on target encounter',0,0),
(75519,240002,4,100,'Inflicts 587 - 1090 disease damage on target encounter',0,0),
(75520,240002,5,100,'Inflicts 640 - 1189 disease damage on target encounter',0,0),
(75521,240002,7,100,'Inflicts 822 - 1526 disease damage on target encounter',0,0),
(75522,240002,9,100,'Inflicts 854 - 1586 disease damage on target encounter',0,0),
(75523,240003,1,100,'Inflicts 659 - 1224 disease damage on target encounter',0,0),
(75524,240003,2,100,'Inflicts 696 - 1292 disease damage on target encounter',0,0),
(75525,240003,3,100,'Inflicts 732 - 1360 disease damage on target encounter',0,0),
(75526,240003,4,100,'Inflicts 806 - 1496 disease damage on target encounter',0,0),
(75527,240003,5,100,'Inflicts 879 - 1632 disease damage on target encounter',0,0),
(75528,240003,7,100,'Inflicts 1128 - 2095 disease damage on target encounter',0,0),
(75529,240003,9,100,'Inflicts 1172 - 2176 disease damage on target encounter',0,0),
(75530,240003,10,100,'Inflicts 1231 - 2285 disease damage on target encounter',0,0),
(75531,240004,1,100,'Inflicts 842 - 1564 disease damage on target encounter',0,0),
(75532,240004,2,100,'Inflicts 889 - 1651 disease damage on target encounter',0,0),
(75533,240004,3,100,'Inflicts 936 - 1738 disease damage on target encounter',0,0),
(75534,240004,4,100,'Inflicts 1030 - 1912 disease damage on target encounter',0,0),
(75535,240004,5,100,'Inflicts 1123 - 2086 disease damage on target encounter',0,0),
(75536,240004,7,100,'Inflicts 1441 - 2677 disease damage on target encounter',0,0),
(75537,240004,9,100,'Inflicts 1497 - 2781 disease damage on target encounter',0,0),
(75538,240004,10,100,'Inflicts 1572 - 2920 disease damage on target encounter',0,0),
(75539,240005,1,100,'Inflicts 1017 - 1889 disease damage on target encounter',0,0),
(75540,240005,4,100,'Inflicts 1243 - 2308 disease damage on target encounter',0,0),
(75541,240005,5,100,'Inflicts 1356 - 2518 disease damage on target encounter',0,0),
(75542,240005,7,100,'Inflicts 1740 - 3232 disease damage on target encounter',0,0),
(75543,240005,9,100,'Inflicts 1808 - 3358 disease damage on target encounter',0,0),
(75544,240005,10,100,'Inflicts 1898 - 3526 disease damage on target encounter',0,0),
(75545,240006,1,100,'Inflicts 1145 - 2126 disease damage on target encounter',0,0),
(75546,240006,4,100,'Inflicts 1399 - 2598 disease damage on target encounter',0,0),
(75547,240006,5,100,'Inflicts 1526 - 2834 disease damage on target encounter',0,0),
(75548,240006,7,100,'Inflicts 1959 - 3637 disease damage on target encounter',0,0),
(75549,240006,9,100,'Inflicts 2035 - 3779 disease damage on target encounter',0,0),
(75550,240006,10,100,'Inflicts 2137 - 3968 disease damage on target encounter',0,0),
(75551,210000,3,100,'Dispels 12 levels of arcane beneficial effects on target',0,0),
(75552,210000,3,100,'Decreases power of target by 9',0,1),
(75553,210000,3,100,'Increases power of caster by 8',0,2),
(75554,220000,1,100,'When damaged with a melee weapon this spell has a 10% chance to cast Unifying Essence on caster.  ',0,0),
(75555,220000,1,100,'Increases power of caster by 16',1,1),
(75556,220000,2,100,'When damaged with a melee weapon this spell has a 10% chance to cast Unifying Essence on caster.  ',0,0),
(75557,220000,2,100,'Increases power of caster by 17',1,1),
(75558,220000,3,100,'When damaged with a melee weapon this spell has a 10% chance to cast Unifying Essence on caster.  ',0,0),
(75559,220000,3,100,'Increases power of caster by 18',1,1),
(75560,220000,4,100,'When damaged with a melee weapon this spell has a 10% chance to cast Unifying Essence on caster.  ',0,0),
(75561,220000,4,100,'Increases power of caster by 20',1,1),
(75562,220000,5,100,'When damaged with a melee weapon this spell has a 10% chance to cast Unifying Essence on caster.  ',0,0),
(75563,220000,5,100,'Increases power of caster by 22',1,1),
(75564,220000,7,100,'When damaged with a melee weapon this spell has a 10% chance to cast Unifying Essence on caster.  ',0,0),
(75565,220000,7,100,'Increases power of caster by 28',1,1),
(75566,220000,9,100,'When damaged with a melee weapon this spell has a 10% chance to cast Unifying Essence on caster.  ',0,0),
(75567,220000,9,100,'Increases power of caster by 29',1,1),
(75568,240007,1,100,'Inflicts 2 - 4 poison damage on target instantly and every 3 seconds',0,0),
(75569,240007,2,100,'Inflicts 2 - 4 poison damage on target instantly and every 3 seconds',0,0),
(75570,240007,3,100,'Inflicts 2 - 4 poison damage on target instantly and every 3 seconds',0,0),
(75571,240007,4,100,'Inflicts 2 - 4 poison damage on target instantly and every 3 seconds',0,0),
(75572,240007,5,100,'Inflicts 3 - 5 poison damage on target instantly and every 3 seconds',0,0),
(75573,240007,7,100,'Inflicts 3 - 6 poison damage on target instantly and every 3 seconds',0,0),
(75574,240007,9,100,'Inflicts 3 - 6 poison damage on target instantly and every 3 seconds',0,0),
(75575,240008,1,100,'Inflicts 6 - 11 poison damage on target instantly and every 3 seconds',0,0),
(75576,240008,2,100,'Inflicts 6 - 11 poison damage on target instantly and every 3 seconds',0,0),
(75577,240008,3,100,'Inflicts 6 - 12 poison damage on target instantly and every 3 seconds',0,0),
(75578,240008,4,100,'Inflicts 7 - 13 poison damage on target instantly and every 3 seconds',0,0),
(75579,240008,5,100,'Inflicts 8 - 14 poison damage on target instantly and every 3 seconds',0,0),
(75580,240008,7,100,'Inflicts 10 - 18 poison damage on target instantly and every 3 seconds',0,0),
(75581,240008,9,100,'Inflicts 10 - 19 poison damage on target instantly and every 3 seconds',0,0),
(75582,240009,1,100,'Inflicts 10 - 18 poison damage on target instantly and every 3 seconds',0,0),
(75583,240009,2,100,'Inflicts 10 - 19 poison damage on target instantly and every 3 seconds',0,0),
(75584,240009,3,100,'Inflicts 11 - 20 poison damage on target instantly and every 3 seconds',0,0),
(75585,240009,4,100,'Inflicts 12 - 22 poison damage on target instantly and every 3 seconds',0,0),
(75586,240009,5,100,'Inflicts 13 - 24 poison damage on target instantly and every 3 seconds',0,0),
(75587,240009,7,100,'Inflicts 17 - 31 poison damage on target instantly and every 3 seconds',0,0),
(75588,240009,9,100,'Inflicts 17 - 32 poison damage on target instantly and every 3 seconds',0,0),
(75589,240010,1,100,'Inflicts 19 - 35 poison damage on target instantly and every 3 seconds',0,0),
(75590,240010,2,100,'Inflicts 20 - 37 poison damage on target instantly and every 3 seconds',0,0),
(75591,240010,3,100,'Inflicts 21 - 39 poison damage on target instantly and every 3 seconds',0,0),
(75592,240010,4,100,'Inflicts 23 - 43 poison damage on target instantly and every 3 seconds',0,0),
(75593,240010,5,100,'Inflicts 25 - 47 poison damage on target instantly and every 3 seconds',0,0),
(75594,240010,7,100,'Inflicts 32 - 60 poison damage on target instantly and every 3 seconds',0,0),
(75595,240010,9,100,'Inflicts 33 - 62 poison damage on target instantly and every 3 seconds',0,0),
(75596,240010,10,100,'Inflicts 35 - 65 poison damage on target instantly and every 3 seconds',0,0),
(75597,240011,1,100,'Inflicts 74 - 137 poison damage on target instantly and every 3 seconds',0,0),
(75598,240011,4,100,'Inflicts 90 - 168 poison damage on target instantly and every 3 seconds',0,0),
(75599,240011,5,100,'Inflicts 99 - 183 poison damage on target instantly and every 3 seconds',0,0),
(75600,240011,7,100,'Inflicts 126 - 235 poison damage on target instantly and every 3 seconds',0,0),
(75601,240011,9,100,'Inflicts 131 - 244 poison damage on target instantly and every 3 seconds',0,0),
(75602,240011,10,100,'Inflicts 138 - 256 poison damage on target instantly and every 3 seconds',0,0),
(75603,2000311,1,100,'Inflicts 1 - 2 piercing damage on target',0,0),
(75604,2000311,1,100,'Stifles target',0,1),
(75605,2000311,1,100,'Epic targets gain an immunity to Stifle effects of 10.5 seconds and duration is reduced to 1.2 seconds.',0,2),
(75606,2000311,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(75607,240012,12,100,'Increases Crit Bonus of caster by 10.0%',0,0),
(75608,240012,12,100,'On a damage spell hit this spell has a 12% chance to cast Acid Rain on target of spell.  ',0,1),
(75609,240012,12,100,'Inflicts 605 - 907 poison damage on target encounter',1,2),
(75610,240012,12,100,'Decreases threat priority of target encounter by 1 position',1,3),
(75611,240012,12,100,'Cannot be modified except by direct means',1,4),
(75612,240012,12,100,'Cannot be modified except by direct means',0,5),
(75613,240013,1,100,'Summons a limited pet to aid the caster',0,0),
(75614,240013,2,100,'Summons a limited pet to aid the caster',0,0),
(75615,240013,3,100,'Summons a limited pet to aid the caster',0,0),
(75616,240013,4,100,'Summons a limited pet to aid the caster',0,0),
(75617,240013,5,100,'Summons a limited pet to aid the caster',0,0),
(75618,240013,7,100,'Summons a limited pet to aid the caster',0,0),
(75619,240013,9,100,'Summons a limited pet to aid the caster',0,0),
(75620,240014,1,100,'Summons a limited pet to aid the caster',0,0),
(75621,240014,4,100,'Summons a limited pet to aid the caster',0,0),
(75622,240014,5,100,'Summons a limited pet to aid the caster',0,0),
(75623,240014,7,100,'Summons a limited pet to aid the caster',0,0),
(75624,240014,9,100,'Summons a limited pet to aid the caster',0,0),
(75625,240015,1,100,'Summons a limited pet to aid the caster',0,0),
(75626,240015,4,100,'Summons a limited pet to aid the caster',0,0),
(75627,240015,5,100,'Summons a limited pet to aid the caster',0,0),
(75628,240015,7,100,'Summons a limited pet to aid the caster',0,0),
(75629,240015,9,100,'Summons a limited pet to aid the caster',0,0),
(75630,240016,1,100,'Inflicts 29 - 54 poison damage on target instantly and every 3 seconds',0,0),
(75631,240016,2,100,'Inflicts 31 - 57 poison damage on target instantly and every 3 seconds',0,0),
(75632,240016,3,100,'Inflicts 32 - 60 poison damage on target instantly and every 3 seconds',0,0),
(75633,240016,4,100,'Inflicts 36 - 66 poison damage on target instantly and every 3 seconds',0,0),
(75634,240016,5,100,'Inflicts 39 - 72 poison damage on target instantly and every 3 seconds',0,0),
(75635,240016,7,100,'Inflicts 50 - 92 poison damage on target instantly and every 3 seconds',0,0),
(75636,240016,9,100,'Inflicts 52 - 96 poison damage on target instantly and every 3 seconds',0,0),
(75637,240017,1,100,'Inflicts 41 - 76 poison damage on target instantly and every 3 seconds',0,0),
(75638,240017,2,100,'Inflicts 43 - 80 poison damage on target instantly and every 3 seconds',0,0),
(75639,240017,3,100,'Inflicts 45 - 84 poison damage on target instantly and every 3 seconds',0,0),
(75640,240017,4,100,'Inflicts 50 - 93 poison damage on target instantly and every 3 seconds',0,0),
(75641,240017,5,100,'Inflicts 54 - 101 poison damage on target instantly and every 3 seconds',0,0),
(75642,240017,7,100,'Inflicts 70 - 130 poison damage on target instantly and every 3 seconds',0,0),
(75643,240017,9,100,'Inflicts 73 - 135 poison damage on target instantly and every 3 seconds',0,0),
(75644,240018,1,100,'Inflicts 52 - 97 poison damage on target instantly and every 3 seconds',0,0),
(75645,240018,2,100,'Inflicts 55 - 102 poison damage on target instantly and every 3 seconds',0,0),
(75646,240018,3,100,'Inflicts 58 - 108 poison damage on target instantly and every 3 seconds',0,0),
(75647,240018,4,100,'Inflicts 64 - 118 poison damage on target instantly and every 3 seconds',0,0),
(75648,240018,5,100,'Inflicts 70 - 129 poison damage on target instantly and every 3 seconds',0,0),
(75649,240018,7,100,'Inflicts 89 - 166 poison damage on target instantly and every 3 seconds',0,0),
(75650,240018,9,100,'Inflicts 93 - 172 poison damage on target instantly and every 3 seconds',0,0),
(75651,240018,10,100,'Inflicts 97 - 181 poison damage on target instantly and every 3 seconds',0,0),
(75652,240019,1,100,'Inflicts 63 - 117 poison damage on target instantly and every 3 seconds',0,0),
(75653,240019,4,100,'Inflicts 77 - 143 poison damage on target instantly and every 3 seconds',0,0),
(75654,240019,5,100,'Inflicts 84 - 156 poison damage on target instantly and every 3 seconds',0,0),
(75655,240019,7,100,'Inflicts 108 - 201 poison damage on target instantly and every 3 seconds',0,0),
(75656,240019,9,100,'Inflicts 112 - 209 poison damage on target instantly and every 3 seconds',0,0),
(75657,240019,10,100,'Inflicts 118 - 219 poison damage on target instantly and every 3 seconds',0,0),
(75658,2000312,1,100,'Inflicts 0 - 1 poison damage on target',0,0),
(75659,2000312,1,100,'Inflicts 1 poison damage on target every 8 seconds',0,1),
(75660,2000312,1,100,'Increases Mitigation of target vs physical damage by 0',0,2),
(75661,140001,1,100,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Each ally will only deal this additional damage once. ',0,0),
(75662,140001,1,100,'Inflicts 83 divine damage on target',1,1),
(75663,140001,2,100,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Each ally will only deal this additional damage once.',0,0),
(75664,140001,2,100,'Inflicts 88 divine damage on target',1,1),
(75665,140001,3,100,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Each ally will only deal this additional damage once.',0,0),
(75666,140001,3,100,'Inflicts 92 divine damage on target',1,1),
(75667,140001,4,100,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Each ally will only deal this additional damage once.',0,0),
(75668,140001,4,100,'Inflicts 101 divine damage on target',1,1),
(75669,140001,5,100,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Each ally will only deal this additional damage once.',0,0),
(75670,140001,5,100,'Inflicts 111 divine damage on target',1,1),
(75671,140001,7,100,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Each ally will only deal this additional damage once.',0,0),
(75672,140001,7,100,'Inflicts 142 divine damage on target',1,1),
(75673,140001,9,100,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Each ally will only deal this additional damage once.',0,0),
(75674,140001,9,100,'Inflicts 148 divine damage on target',1,1),
(75675,140002,1,100,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',0,0),
(75676,140002,1,100,'Inflicts 125 divine damage on target',1,1),
(75677,140002,2,100,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',0,0),
(75678,140002,2,100,'Inflicts 132 divine damage on target',1,1),
(75679,140002,3,100,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',0,0),
(75680,140002,3,100,'Inflicts 139 divine damage on target',1,1),
(75681,140002,4,100,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',0,0),
(75682,140002,4,100,'Inflicts 153 divine damage on target',1,1),
(75683,140002,5,100,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',0,0),
(75684,140002,5,100,'Inflicts 167 divine damage on target',1,1),
(75685,140002,7,100,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',0,0),
(75686,140002,7,100,'Inflicts 214 divine damage on target',1,1),
(75687,140002,9,100,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',0,0),
(75688,140002,9,100,'Inflicts 223 divine damage on target',1,1),
(75689,140002,10,100,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',0,0),
(75690,140002,10,100,'Inflicts 234 divine damage on target',1,1),
(75691,140003,1,100,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',0,0),
(75692,140003,1,100,'Inflicts 171 divine damage on target',1,1),
(75693,140003,2,100,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',0,0),
(75694,140003,2,100,'Inflicts 180 divine damage on target',1,1),
(75695,140003,3,100,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',0,0),
(75696,140003,3,100,'Inflicts 190 divine damage on target',1,1),
(75697,140003,4,100,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',0,0),
(75698,140003,4,100,'Inflicts 209 divine damage on target',1,1),
(75699,140003,5,100,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',0,0),
(75700,140003,5,100,'Inflicts 228 divine damage on target',1,1),
(75701,140003,7,100,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',0,0),
(75702,140003,7,100,'Inflicts 292 divine damage on target',1,1),
(75703,140003,9,100,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',0,0),
(75704,140003,9,100,'Inflicts 303 divine damage on target',1,1),
(75705,140003,10,100,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',0,0),
(75706,140003,10,100,'Inflicts 319 divine damage on target',1,1),
(75707,140004,1,100,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',0,0),
(75708,140004,1,100,'Inflicts 214 divine damage on target',1,1),
(75709,140004,2,100,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',0,0),
(75710,140004,2,100,'Inflicts 226 divine damage on target',1,1),
(75711,140004,3,100,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',0,0),
(75712,140004,3,100,'Inflicts 238 divine damage on target',1,1),
(75713,140004,4,100,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',0,0),
(75714,140004,4,100,'Inflicts 261 divine damage on target',1,1),
(75715,140004,5,100,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',0,0),
(75716,140004,5,100,'Inflicts 285 divine damage on target',1,1),
(75717,140004,7,100,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',0,0),
(75718,140004,7,100,'Inflicts 366 divine damage on target',1,1),
(75719,140004,9,100,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',0,0),
(75720,140004,9,100,'Inflicts 380 divine damage on target',1,1),
(75721,140005,1,100,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',0,0),
(75722,140005,1,100,'Inflicts 258 divine damage on target',1,1),
(75723,140005,4,100,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',0,0),
(75724,140005,4,100,'Inflicts 316 divine damage on target',1,1),
(75725,140005,5,100,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',0,0),
(75726,140005,5,100,'Inflicts 344 divine damage on target',1,1),
(75727,140005,7,100,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',0,0),
(75728,140005,7,100,'Inflicts 442 divine damage on target',1,1),
(75729,140005,9,100,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',0,0),
(75730,140005,9,100,'Inflicts 459 divine damage on target',1,1),
(75731,140006,1,100,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',0,0),
(75732,140006,1,100,'Inflicts 291 divine damage on target',1,1),
(75733,140006,4,100,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',0,0),
(75734,140006,4,100,'Inflicts 355 divine damage on target',1,1),
(75735,140006,5,100,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',0,0),
(75736,140006,5,100,'Inflicts 388 divine damage on target',1,1),
(75737,140006,7,100,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',0,0),
(75738,140006,7,100,'Inflicts 497 divine damage on target',1,1),
(75739,140006,9,100,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',0,0),
(75740,140006,9,100,'Inflicts 517 divine damage on target',1,1),
(75741,120000,1,100,'Inflicts 25 - 31 divine damage on target',0,0),
(75742,120000,1,100,'Dazes target',0,1),
(75743,120000,1,100,'If Target is not Epic',1,2),
(75744,120000,1,100,'Dispelled when target receives hostile action',0,3),
(75745,120000,1,100,'Dispelled when target takes damage',0,4),
(75746,120000,1,100,'Resistibility increases against targets higher than level 29.',0,5),
(75747,120000,2,100,'Inflicts 27 - 33 divine damage on target',0,0),
(75748,120000,2,100,'Dazes target',0,1),
(75749,120000,2,100,'If Target is not Epic',1,2),
(75750,120000,2,100,'Dispelled when target receives hostile action',0,3),
(75751,120000,2,100,'Dispelled when target takes damage',0,4),
(75752,120000,2,100,'Resistibility increases against targets higher than level 29.',0,5),
(75753,120000,3,100,'Inflicts 28 - 34 divine damage on target',0,0),
(75754,120000,3,100,'Dazes target',0,1),
(75755,120000,3,100,'If Target is not Epic',1,2),
(75756,120000,3,100,'Dispelled when target receives hostile action',0,3),
(75757,120000,3,100,'Dispelled when target takes damage',0,4),
(75758,120000,3,100,'Resistibility increases against targets higher than level 29.',0,5),
(75759,120000,4,100,'Inflicts 31 - 38 divine damage on target',0,0),
(75760,120000,4,100,'Dazes target',0,1),
(75761,120000,4,100,'If Target is not Epic',1,2),
(75762,120000,4,100,'Dispelled when target receives hostile action',0,3),
(75763,120000,4,100,'Dispelled when target takes damage',0,4),
(75764,120000,4,100,'Resistibility increases against targets higher than level 29.',0,5),
(75765,120000,5,100,'Inflicts 34 - 41 divine damage on target',0,0),
(75766,120000,5,100,'Dazes target',0,1),
(75767,120000,5,100,'If Target is not Epic',1,2),
(75768,120000,5,100,'Dispelled when target receives hostile action',0,3),
(75769,120000,5,100,'Dispelled when target takes damage',0,4),
(75770,120000,5,100,'Resistibility increases against targets higher than level 29.',0,5),
(75771,120000,7,100,'Inflicts 43 - 53 divine damage on target',0,0),
(75772,120000,7,100,'Dazes target',0,1),
(75773,120000,7,100,'If Target is not Epic',1,2),
(75774,120000,7,100,'Dispelled when target receives hostile action',0,3),
(75775,120000,7,100,'Dispelled when target takes damage',0,4),
(75776,120000,7,100,'Resistibility increases against targets higher than level 29.',0,5),
(75777,120000,9,100,'Inflicts 45 - 55 divine damage on target',0,0),
(75778,120000,9,100,'Dazes target',0,1),
(75779,120000,9,100,'If Target is not Epic',1,2),
(75780,120000,9,100,'Dispelled when target receives hostile action',0,3),
(75781,120000,9,100,'Dispelled when target takes damage',0,4),
(75782,120000,9,100,'Resistibility increases against targets higher than level 29.',0,5),
(75783,130000,1,100,'Increases STA of target by 2.8',0,0),
(75784,130000,1,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 0.8',0,1),
(75785,130000,2,100,'Increases STA of target by 3.0',0,0),
(75786,130000,2,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 0.9',0,1),
(75787,130000,3,100,'Increases STA of target by 3.1',0,0),
(75788,130000,3,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 0.9',0,1),
(75789,130000,4,100,'Increases STA of target by 3.4',0,0),
(75790,130000,4,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 1.0',0,1),
(75791,130000,5,100,'Increases STA of target by 3.7',0,0),
(75792,130000,5,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 1.1',0,1),
(75793,130000,7,100,'Increases STA of target by 4.8',0,0),
(75794,130000,7,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 1.4',0,1),
(75795,130000,9,100,'Increases STA of target by 5.0',0,0),
(75796,130000,9,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 1.4',0,1),
(75797,130001,1,100,'Increases STA of target by 9.1',0,0),
(75798,130001,1,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 2.2',0,1),
(75799,130001,2,100,'Increases STA of target by 9.6',0,0),
(75800,130001,2,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 2.3',0,1),
(75801,130001,3,100,'Increases STA of target by 10.1',0,0),
(75802,130001,3,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 2.4',0,1),
(75803,130001,4,100,'Increases STA of target by 11.2',0,0),
(75804,130001,4,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 2.6',0,1),
(75805,130001,5,100,'Increases STA of target by 12.2',0,0),
(75806,130001,5,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 2.9',0,1),
(75807,130001,7,100,'Increases STA of target by 15.6',0,0),
(75808,130001,7,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 3.7',0,1),
(75809,130001,9,100,'Increases STA of target by 16.2',0,0),
(75810,130001,9,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 3.8',0,1),
(75811,130002,1,100,'Increases STA of target by 23.4',0,0),
(75812,130002,1,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 4.0',0,1),
(75813,130002,2,100,'Increases STA of target by 24.7',0,0),
(75814,130002,2,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 4.3',0,1),
(75815,130002,3,100,'Increases STA of target by 26.0',0,0),
(75816,130002,3,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 4.5',0,1),
(75817,130002,4,100,'Increases STA of target by 28.5',0,0),
(75818,130002,4,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 5.0',0,1),
(75819,130002,5,100,'Increases STA of target by 31.1',0,0),
(75820,130002,5,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 5.4',0,1),
(75821,130002,7,100,'Increases STA of target by 40.0',0,0),
(75822,130002,7,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 6.9',0,1),
(75823,130002,9,100,'Increases STA of target by 41.5',0,0),
(75824,130002,9,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 7.2',0,1),
(75825,130002,10,100,'Increases STA of target by 43.6',0,0),
(75826,130002,10,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 7.6',0,1),
(75827,130003,1,100,'Increases STA of target by 39.7',0,0),
(75828,130003,1,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 5.9',0,1),
(75829,130003,2,100,'Increases STA of target by 41.9',0,0),
(75830,130003,2,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 6.3',0,1),
(75831,130003,3,100,'Increases STA of target by 44.1',0,0),
(75832,130003,3,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 6.6',0,1),
(75833,130003,4,100,'Increases STA of target by 48.5',0,0),
(75834,130003,4,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 7.3',0,1),
(75835,130003,5,100,'Increases STA of target by 52.9',0,0),
(75836,130003,5,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 7.9',0,1),
(75837,130003,7,100,'Increases STA of target by 67.9',0,0),
(75838,130003,7,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 10.2',0,1),
(75839,130003,9,100,'Increases STA of target by 70.6',0,0),
(75840,130003,9,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 10.6',0,1),
(75841,130004,1,100,'Increases STA of target by 54.2',0,0),
(75842,130004,1,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 7.8',0,1),
(75843,130004,2,100,'Increases STA of target by 57.3',0,0),
(75844,130004,2,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 8.3',0,1),
(75845,130004,3,100,'Increases STA of target by 60.3',0,0),
(75846,130004,3,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 8.7',0,1),
(75847,130004,4,100,'Increases STA of target by 66.3',0,0),
(75848,130004,4,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 9.6',0,1),
(75849,130004,5,100,'Increases STA of target by 72.3',0,0),
(75850,130004,5,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 10.4',0,1),
(75851,130004,7,100,'Increases STA of target by 92.8',0,0),
(75852,130004,7,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 13.4',0,1),
(75853,130004,9,100,'Increases STA of target by 96.4',0,0),
(75854,130004,9,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 13.9',0,1),
(75855,130005,1,100,'Increases STA of target by 68.4',0,0),
(75856,130005,1,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 9.8',0,1),
(75857,130005,2,100,'Increases STA of target by 72.2',0,0),
(75858,130005,2,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 10.4',0,1),
(75859,130005,3,100,'Increases STA of target by 76.1',0,0),
(75860,130005,3,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 10.9',0,1),
(75861,130005,4,100,'Increases STA of target by 83.7',0,0),
(75862,130005,4,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 12.0',0,1),
(75863,130005,5,100,'Increases STA of target by 91.3',0,0),
(75864,130005,5,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 13.1',0,1),
(75865,130005,7,100,'Increases STA of target by 117.1',0,0),
(75866,130005,7,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 16.8',0,1),
(75867,130005,9,100,'Increases STA of target by 121.7',0,0),
(75868,130005,9,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 17.4',0,1),
(75869,130006,1,100,'Increases STA of target by 81.9',0,0),
(75870,130006,1,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 11.7',0,1),
(75871,130006,4,100,'Increases STA of target by 100.2',0,0),
(75872,130006,4,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 14.3',0,1),
(75873,130006,5,100,'Increases STA of target by 109.3',0,0),
(75874,130006,5,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 15.6',0,1),
(75875,130006,7,100,'Increases STA of target by 140.2',0,0),
(75876,130006,7,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 20.0',0,1),
(75877,130006,9,100,'Increases STA of target by 145.7',0,0),
(75878,130006,9,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 20.8',0,1),
(75879,130007,1,100,'Increases STA of target by 95.4',0,0),
(75880,130007,1,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 13.9',0,1),
(75881,130007,4,100,'Increases STA of target by 116.7',0,0),
(75882,130007,4,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 17.1',0,1),
(75883,130007,5,100,'Increases STA of target by 127.3',0,0),
(75884,130007,5,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 18.6',0,1),
(75885,130007,7,100,'Increases STA of target by 163.3',0,0),
(75886,130007,7,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 23.9',0,1),
(75887,130007,9,100,'Increases STA of target by 169.7',0,0),
(75888,130007,9,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 24.8',0,1),
(75889,290000,1,100,'Summons a pet aery hunter',0,0),
(75890,290000,2,100,'Summons a pet aery hunter',0,0),
(75891,290000,3,100,'Summons a pet aery hunter',0,0),
(75892,290000,4,100,'Summons a pet aery hunter',0,0),
(75893,290000,5,100,'Summons a pet aery hunter',0,0),
(75894,290000,7,100,'Summons a pet aery hunter',0,0),
(75895,290000,9,100,'Summons a pet aery hunter',0,0),
(75896,290001,1,100,'Summons a pet aery hunter',0,0),
(75897,290001,2,100,'Summons a pet aery hunter',0,0),
(75898,290001,3,100,'Summons a pet aery hunter',0,0),
(75899,290001,4,100,'Summons a pet aery hunter',0,0),
(75900,290001,5,100,'Summons a pet aery hunter',0,0),
(75901,290001,7,100,'Summons a pet aery hunter',0,0),
(75902,290001,9,100,'Summons a pet aery hunter',0,0),
(75903,290002,1,100,'Summons a pet aery hunter',0,0),
(75904,290002,2,100,'Summons a pet aery hunter',0,0),
(75905,290002,3,100,'Summons a pet aery hunter',0,0),
(75906,290002,4,100,'Summons a pet aery hunter',0,0),
(75907,290002,5,100,'Summons a pet aery hunter',0,0),
(75908,290002,7,100,'Summons a pet aery hunter',0,0),
(75909,290002,9,100,'Summons a pet aery hunter',0,0),
(75910,290003,1,100,'Summons a pet aery hunter',0,0),
(75911,290003,2,100,'Summons a pet aery hunter',0,0),
(75912,290003,3,100,'Summons a pet aery hunter',0,0),
(75913,290003,4,100,'Summons a pet aery hunter',0,0),
(75914,290003,5,100,'Summons a pet aery hunter',0,0),
(75915,290003,7,100,'Summons a pet aery hunter',0,0),
(75916,290003,9,100,'Summons a pet aery hunter',0,0),
(75917,290004,1,100,'Summons a pet aery hunter',0,0),
(75918,290004,4,100,'Summons a pet aery hunter',0,0),
(75919,290004,5,100,'Summons a pet aery hunter',0,0),
(75920,290004,7,100,'Summons a pet aery hunter',0,0),
(75921,290004,9,100,'Summons a pet aery hunter',0,0),
(75922,290005,1,100,'Summons a pet aery hunter',0,0),
(75923,290005,4,100,'Summons a pet aery hunter',0,0),
(75924,290005,5,100,'Summons a pet aery hunter',0,0),
(75925,290005,7,100,'Summons a pet aery hunter',0,0),
(75926,290005,9,100,'Summons a pet aery hunter',0,0),
(75927,2000313,1,100,'Increases Defense of group members (AE) by 0.0',0,0),
(75928,350005,1,100,'Inflicts 46 - 76 mental damage on target encounter',0,0),
(75929,350005,2,100,'Inflicts 48 - 81 mental damage on target encounter',0,0),
(75930,350005,3,100,'Inflicts 51 - 85 mental damage on target encounter',0,0),
(75931,350005,4,100,'Inflicts 56 - 93 mental damage on target encounter',0,0),
(75932,350005,5,100,'Inflicts 61 - 102 mental damage on target encounter',0,0),
(75933,350005,7,100,'Inflicts 78 - 131 mental damage on target encounter',0,0),
(75934,350005,9,100,'Inflicts 81 - 136 mental damage on target encounter',0,0),
(75935,360049,1,100,'Decreases Hate Gain of group members (AE) by 10.7%',0,0),
(75936,360049,1,100,'If not fighter',1,1),
(75937,360049,1,100,'When damaged this spell will cast Serenade on target''s attacker.  ',0,2),
(75938,360049,1,100,'Decreases Threat to target by 22 ',1,3),
(75939,360049,1,100,'If not fighter',1,4),
(75940,360049,2,100,'Decreases Hate Gain of group members (AE) by 11.3%',0,0),
(75941,360049,2,100,'If not fighter',1,1),
(75942,360049,2,100,'When damaged this spell will cast Serenade on target''s attacker.  ',0,2),
(75943,360049,2,100,'Decreases Threat to target by 24 ',1,3),
(75944,360049,2,100,'If not fighter',1,4),
(75945,360049,3,100,'Decreases Hate Gain of group members (AE) by 11.9%',0,0),
(75946,360049,3,100,'If not fighter',1,1),
(75947,360049,3,100,'When damaged this spell will cast Serenade on target''s attacker.  ',0,2),
(75948,360049,3,100,'Decreases Threat to target by 25 ',1,3),
(75949,360049,3,100,'If not fighter',1,4),
(75950,360049,4,100,'Decreases Hate Gain of group members (AE) by 13.1%',0,0),
(75951,360049,4,100,'If not fighter',1,1),
(75952,360049,4,100,'When damaged this spell will cast Serenade on target''s attacker.  ',0,2),
(75953,360049,4,100,'Decreases Threat to target by 28 ',1,3),
(75954,360049,4,100,'If not fighter',1,4),
(75955,360049,5,100,'Decreases Hate Gain of group members (AE) by 14.3%',0,0),
(75956,360049,5,100,'If not fighter',1,1),
(75957,360049,5,100,'When damaged this spell will cast Serenade on target''s attacker.  ',0,2),
(75958,360049,5,100,'Decreases Threat to target by 30 ',1,3),
(75959,360049,5,100,'If not fighter',1,4),
(75960,360049,7,100,'Decreases Hate Gain of group members (AE) by 18.3%',0,0),
(75961,360049,7,100,'If not fighter',1,1),
(75962,360049,7,100,'When damaged this spell will cast Serenade on target''s attacker.  ',0,2),
(75963,360049,7,100,'Decreases Threat to target by 39 ',1,3),
(75964,360049,7,100,'If not fighter',1,4),
(75965,360049,9,100,'Decreases Hate Gain of group members (AE) by 19.0%',0,0),
(75966,360049,9,100,'If not fighter',1,1),
(75967,360049,9,100,'When damaged this spell will cast Serenade on target''s attacker.  ',0,2),
(75968,360049,9,100,'Decreases Threat to target by 40 ',1,3),
(75969,360049,9,100,'If not fighter',1,4),
(75970,360050,1,100,'Decreases Hate Gain of group members (AE) by 13.8%',0,0),
(75971,360050,1,100,'If not fighter',1,1),
(75972,360050,1,100,'When damaged this spell will cast Serenade on target''s attacker.  ',0,2),
(75973,360050,1,100,'Decreases Threat to target by 39 ',1,3),
(75974,360050,1,100,'If not fighter',1,4),
(75975,360050,2,100,'Decreases Hate Gain of group members (AE) by 14.5%',0,0),
(75976,360050,2,100,'If not fighter',1,1),
(75977,360050,2,100,'When damaged this spell will cast Serenade on target''s attacker.  ',0,2),
(75978,360050,2,100,'Decreases Threat to target by 41 ',1,3),
(75979,360050,2,100,'If not fighter',1,4),
(75980,360050,3,100,'Decreases Hate Gain of group members (AE) by 15.3%',0,0),
(75981,360050,3,100,'If not fighter',1,1),
(75982,360050,3,100,'When damaged this spell will cast Serenade on target''s attacker.  ',0,2),
(75983,360050,3,100,'Decreases Threat to target by 43 ',1,3),
(75984,360050,3,100,'If not fighter',1,4),
(75985,360050,4,100,'Decreases Hate Gain of group members (AE) by 16.8%',0,0),
(75986,360050,4,100,'If not fighter',1,1),
(75987,360050,4,100,'When damaged this spell will cast Serenade on target''s attacker.  ',0,2),
(75988,360050,4,100,'Decreases Threat to target by 47 ',1,3),
(75989,360050,4,100,'If not fighter',1,4),
(75990,360050,5,100,'Decreases Hate Gain of group members (AE) by 18.4%',0,0),
(75991,360050,5,100,'If not fighter',1,1),
(75992,360050,5,100,'When damaged this spell will cast Serenade on target''s attacker.  ',0,2),
(75993,360050,5,100,'Decreases Threat to target by 52 ',1,3),
(75994,360050,5,100,'If not fighter',1,4),
(75995,360050,7,100,'Decreases Hate Gain of group members (AE) by 23.6%',0,0),
(75996,360050,7,100,'If not fighter',1,1),
(75997,360050,7,100,'When damaged this spell will cast Serenade on target''s attacker.  ',0,2),
(75998,360050,7,100,'Decreases Threat to target by 67 ',1,3),
(75999,360050,7,100,'If not fighter',1,4),
(76000,360050,9,100,'Decreases Hate Gain of group members (AE) by 24.5%',0,0),
(76001,360050,9,100,'If not fighter',1,1),
(76002,360050,9,100,'When damaged this spell will cast Serenade on target''s attacker.  ',0,2),
(76003,360050,9,100,'Decreases Threat to target by 69 ',1,3),
(76004,360050,9,100,'If not fighter',1,4),
(76005,360051,1,100,'Decreases Hate Gain of group members (AE) by 16.7%',0,0),
(76006,360051,1,100,'If not fighter',1,1),
(76007,360051,1,100,'When damaged this spell will cast Serenade on target''s attacker.  ',0,2),
(76008,360051,1,100,'Decreases Threat to target by 59 ',1,3),
(76009,360051,1,100,'If not fighter',1,4),
(76010,360051,2,100,'Decreases Hate Gain of group members (AE) by 17.6%',0,0),
(76011,360051,2,100,'If not fighter',1,1),
(76012,360051,2,100,'When damaged this spell will cast Serenade on target''s attacker.  ',0,2),
(76013,360051,2,100,'Decreases Threat to target by 63 ',1,3),
(76014,360051,2,100,'If not fighter',1,4),
(76015,360051,3,100,'Decreases Hate Gain of group members (AE) by 18.6%',0,0),
(76016,360051,3,100,'If not fighter',1,1),
(76017,360051,3,100,'When damaged this spell will cast Serenade on target''s attacker.  ',0,2),
(76018,360051,3,100,'Decreases Threat to target by 66 ',1,3),
(76019,360051,3,100,'If not fighter',1,4),
(76020,360051,4,100,'Decreases Hate Gain of group members (AE) by 20.4%',0,0),
(76021,360051,4,100,'If not fighter',1,1),
(76022,360051,4,100,'When damaged this spell will cast Serenade on target''s attacker.  ',0,2),
(76023,360051,4,100,'Decreases Threat to target by 73 ',1,3),
(76024,360051,4,100,'If not fighter',1,4),
(76025,360051,5,100,'Decreases Hate Gain of group members (AE) by 22.3%',0,0),
(76026,360051,5,100,'If not fighter',1,1),
(76027,360051,5,100,'When damaged this spell will cast Serenade on target''s attacker.  ',0,2),
(76028,360051,5,100,'Decreases Threat to target by 79 ',1,3),
(76029,360051,5,100,'If not fighter',1,4),
(76030,360051,7,100,'Decreases Hate Gain of group members (AE) by 28.6%',0,0),
(76031,360051,7,100,'If not fighter',1,1),
(76032,360051,7,100,'When damaged this spell will cast Serenade on target''s attacker.  ',0,2),
(76033,360051,7,100,'Decreases Threat to target by 102 ',1,3),
(76034,360051,7,100,'If not fighter',1,4),
(76035,360051,9,100,'Decreases Hate Gain of group members (AE) by 29.7%',0,0),
(76036,360051,9,100,'If not fighter',1,1),
(76037,360051,9,100,'When damaged this spell will cast Serenade on target''s attacker.  ',0,2),
(76038,360051,9,100,'Decreases Threat to target by 106 ',1,3),
(76039,360051,9,100,'If not fighter',1,4),
(76040,360052,1,100,'Decreases Hate Gain of group members (AE) by 19.0%',0,0),
(76041,360052,1,100,'If not fighter',1,1),
(76042,360052,1,100,'When damaged this spell will cast Serenade on target''s attacker.  ',0,2),
(76043,360052,1,100,'Decreases Threat to target by 82 ',1,3),
(76044,360052,1,100,'If not fighter',1,4),
(76045,360052,2,100,'Decreases Hate Gain of group members (AE) by 20.1%',0,0),
(76046,360052,2,100,'If not fighter',1,1),
(76047,360052,2,100,'When damaged this spell will cast Serenade on target''s attacker.  ',0,2),
(76048,360052,2,100,'Decreases Threat to target by 86 ',1,3),
(76049,360052,2,100,'If not fighter',1,4),
(76050,360052,3,100,'Decreases Hate Gain of group members (AE) by 21.1%',0,0),
(76051,360052,3,100,'If not fighter',1,1),
(76052,360052,3,100,'When damaged this spell will cast Serenade on target''s attacker.  ',0,2),
(76053,360052,3,100,'Decreases Threat to target by 91 ',1,3),
(76054,360052,3,100,'If not fighter',1,4),
(76055,360052,4,100,'Decreases Hate Gain of group members (AE) by 23.2%',0,0),
(76056,360052,4,100,'If not fighter',1,1),
(76057,360052,4,100,'When damaged this spell will cast Serenade on target''s attacker.  ',0,2),
(76058,360052,4,100,'Decreases Threat to target by 100 ',1,3),
(76059,360052,4,100,'If not fighter',1,4),
(76060,360052,5,100,'Decreases Hate Gain of group members (AE) by 25.3%',0,0),
(76061,360052,5,100,'If not fighter',1,1),
(76062,360052,5,100,'When damaged this spell will cast Serenade on target''s attacker.  ',0,2),
(76063,360052,5,100,'Decreases Threat to target by 109 ',1,3),
(76064,360052,5,100,'If not fighter',1,4),
(76065,360052,7,100,'Decreases Hate Gain of group members (AE) by 32.5%',0,0),
(76066,360052,7,100,'If not fighter',1,1),
(76067,360052,7,100,'When damaged this spell will cast Serenade on target''s attacker.  ',0,2),
(76068,360052,7,100,'Decreases Threat to target by 140 ',1,3),
(76069,360052,7,100,'If not fighter',1,4),
(76070,360052,9,100,'Decreases Hate Gain of group members (AE) by 33.8%',0,0),
(76071,360052,9,100,'If not fighter',1,1),
(76072,360052,9,100,'When damaged this spell will cast Serenade on target''s attacker.  ',0,2),
(76073,360052,9,100,'Decreases Threat to target by 146 ',1,3),
(76074,360052,9,100,'If not fighter',1,4),
(76075,360053,1,100,'Increases Haste of group members (AE) by 7.8',0,0),
(76076,360053,2,100,'Increases Haste of group members (AE) by 8.3',0,0),
(76077,360053,3,100,'Increases Haste of group members (AE) by 8.7',0,0),
(76078,360053,4,100,'Increases Haste of group members (AE) by 9.6',0,0),
(76079,360053,5,100,'Increases Haste of group members (AE) by 10.4',0,0),
(76080,360053,7,100,'Increases Haste of group members (AE) by 13.4',0,0),
(76081,360053,9,100,'Increases Haste of group members (AE) by 13.9',0,0),
(76082,360053,10,100,'Increases Haste of group members (AE) by 14.6',0,0),
(76083,360054,1,100,'Increases Haste of group members (AE) by 9.7',0,0),
(76084,360054,2,100,'Increases Haste of group members (AE) by 10.3',0,0),
(76085,360054,3,100,'Increases Haste of group members (AE) by 10.8',0,0),
(76086,360054,4,100,'Increases Haste of group members (AE) by 11.9',0,0),
(76087,360054,5,100,'Increases Haste of group members (AE) by 13.0',0,0),
(76088,360054,7,100,'Increases Haste of group members (AE) by 16.6',0,0),
(76089,360054,9,100,'Increases Haste of group members (AE) by 17.3',0,0),
(76090,360055,1,100,'Increases Haste of group members (AE) by 11.6',0,0),
(76091,360055,2,100,'Increases Haste of group members (AE) by 12.3',0,0),
(76092,360055,3,100,'Increases Attack Speed of group members (AE) by 12.9',0,0),
(76093,360055,4,100,'Increases Haste of group members (AE) by 14.2',0,0),
(76094,360055,5,100,'Increases Haste of group members (AE) by 15.5',0,0),
(76095,360055,7,100,'Increases Haste of group members (AE) by 19.9',0,0),
(76096,360055,9,100,'Increases Haste of group members (AE) by 20.6',0,0),
(76097,360055,10,100,'Increases Haste of group members (AE) by 21.7',0,0),
(76098,360056,1,100,'Increases Haste of group members (AE) by 13.5',0,0),
(76099,360056,2,100,'Increases Haste of group members (AE) by 14.2',0,0),
(76100,360056,3,100,'Increases Haste of group members (AE) by 15.0',0,0),
(76101,360056,4,100,'Increases Haste of group members (AE) by 16.5',0,0),
(76102,360056,5,100,'Increases Attack Speed of group members (AE) by 18.0',0,0),
(76103,360056,7,100,'Increases Haste of group members (AE) by 23.0',0,0),
(76104,360056,9,100,'Increases Haste of group members (AE) by 23.9',0,0),
(76105,360057,1,100,'Increases Haste of group members (AE) by 15.3',0,0),
(76106,360057,2,100,'Increases Attack Speed of group members (AE) by 16.2',0,0),
(76107,360057,3,100,'Increases Haste of group members (AE) by 17.0',0,0),
(76108,360057,4,100,'Increases Haste of group members (AE) by 18.7',0,0),
(76109,360057,5,100,'Increases Haste of group members (AE) by 20.4',0,0),
(76110,360057,7,100,'Increases Haste of group members (AE) by 26.2',0,0),
(76111,360057,9,100,'Increases Haste of group members (AE) by 27.2',0,0),
(76112,360058,1,100,'Increases Haste of group members (AE) by 16.6',0,0),
(76113,360058,2,100,'Increases Haste of group members (AE) by 17.5',0,0),
(76114,360058,3,100,'Increases Haste of group members (AE) by 18.5',0,0),
(76115,360058,4,100,'Increases Haste of group members (AE) by 20.3',0,0),
(76116,360058,5,100,'Increases Haste of group members (AE) by 22.2',0,0),
(76117,360058,7,100,'Increases Haste of group members (AE) by 28.4',0,0),
(76118,360058,9,100,'Increases Haste of group members (AE) by 29.5',0,0),
(76119,360059,1,100,'Increases Haste of group members (AE) by 19.0',0,0),
(76120,360059,4,100,'Increases Haste of group members (AE) by 23.3',0,0),
(76121,360059,5,100,'Increases Haste of group members (AE) by 25.4',0,0),
(76122,360059,7,100,'Increases Haste of group members (AE) by 32.6',0,0),
(76123,360059,9,100,'Increases Haste of group members (AE) by 33.8',0,0),
(76124,360060,1,100,'Increases Haste of group members (AE) by 20.2',0,0),
(76125,360060,4,100,'Increases Haste of group members (AE) by 24.8',0,0),
(76126,360060,5,100,'Increases Haste of group members (AE) by 27.0',0,0),
(76127,360060,7,100,'Increases Haste of group members (AE) by 34.6',0,0),
(76128,360060,9,100,'Increases Haste of group members (AE) by 36.0',0,0),
(76129,2000314,1,100,'Increases Ability Casting Speed of group members (AE) by 0.8%',0,0),
(76130,2000314,2,100,'Increases Ability Casting Speed of group members (AE) by 1.6%',0,0),
(76131,2000314,3,100,'Increases Ability Casting Speed of group members (AE) by 2.4%',0,0),
(76132,2000314,4,100,'Increases Ability Casting Speed of group members (AE) by 3.2%',0,0),
(76133,2000314,5,100,'Increases Ability Casting Speed of group members (AE) by 4.0%',0,0),
(76134,2000314,6,100,'Increases Ability Casting Speed of group members (AE) by 4.8%',0,0),
(76135,2000314,7,100,'Increases Ability Casting Speed of group members (AE) by 5.6%',0,0),
(76136,2000314,8,100,'Increases Ability Casting Speed of group members (AE) by 6.4%',0,0),
(76137,2000314,9,100,'Increases Ability Casting Speed of group members (AE) by 7.2%',0,0),
(76138,2000314,10,100,'Increases Ability Casting Speed of group members (AE) by 8.0%',0,0),
(76139,140007,1,100,'Heals group members (AE) for 97 - 119',0,0),
(76140,140007,2,100,'Heals group members (AE) for 103 - 125',0,0),
(76141,140007,3,100,'Heals group members (AE) for 108 - 132',0,0),
(76142,140007,4,100,'Heals group members (AE) for 119 - 145',0,0),
(76143,140007,5,100,'Heals group members (AE) for 130 - 158',0,0),
(76144,140007,7,100,'Heals group members (AE) for 166 - 203',0,0),
(76145,140007,9,100,'Heals group members (AE) for 173 - 211',0,0),
(76146,140007,10,100,'Heals group members (AE) for 181 - 222',0,0),
(76147,140008,1,100,'Heals group members (AE) for 205 - 251',0,0),
(76148,140008,2,100,'Heals group members (AE) for 217 - 265',0,0),
(76149,140008,3,100,'Heals group members (AE) for 228 - 279',0,0),
(76150,140008,4,100,'Heals group members (AE) for 251 - 307',0,0),
(76151,140008,5,100,'Heals group members (AE) for 274 - 335',0,0),
(76152,140008,7,100,'Heals group members (AE) for 352 - 430',0,0),
(76153,140008,9,100,'Heals group members (AE) for 365 - 446',0,0),
(76154,140009,1,100,'Heals group members (AE) for 326 - 399',0,0),
(76155,140009,2,100,'Heals group members (AE) for 344 - 421',0,0),
(76156,140009,3,100,'Heals group members (AE) for 363 - 443',0,0),
(76157,140009,4,100,'Heals group members (AE) for 399 - 487',0,0),
(76158,140009,5,100,'Heals group members (AE) for 435 - 532',0,0),
(76159,140009,7,100,'Heals group members (AE) for 558 - 682',0,0),
(76160,140009,9,100,'Heals group members (AE) for 580 - 709',0,0),
(76161,140010,1,100,'Heals group members (AE) for 472 - 577',0,0),
(76162,140010,2,100,'Heals group members (AE) for 498 - 609',0,0),
(76163,140010,3,100,'Heals group members (AE) for 524 - 641',0,0),
(76164,140010,4,100,'Heals group members (AE) for 577 - 705',0,0),
(76165,140010,5,100,'Heals group members (AE) for 629 - 769',0,0),
(76166,140010,7,100,'Heals group members (AE) for 808 - 987',0,0),
(76167,140010,9,100,'Heals group members (AE) for 839 - 1026',0,0),
(76168,140011,1,100,'Heals group members (AE) for 618 - 755',0,0),
(76169,140011,2,100,'Heals group members (AE) for 652 - 797',0,0),
(76170,140011,3,100,'Heals group members (AE) for 686 - 839',0,0),
(76171,140011,4,100,'Heals group members (AE) for 755 - 923',0,0),
(76172,140011,5,100,'Heals group members (AE) for 824 - 1007',0,0),
(76173,140011,7,100,'Heals group members (AE) for 1057 - 1292',0,0),
(76174,140011,9,100,'Heals group members (AE) for 1098 - 1342',0,0),
(76175,140012,1,100,'Heals group members (AE) for 833 - 1018',0,0),
(76176,140012,2,100,'Heals group members (AE) for 879 - 1075',0,0),
(76177,140012,3,100,'Heals group members (AE) for 926 - 1131',0,0),
(76178,140012,4,100,'Heals group members (AE) for 1018 - 1244',0,0),
(76179,140012,5,100,'Heals group members (AE) for 1111 - 1357',0,0),
(76180,140012,7,100,'Heals group members (AE) for 1425 - 1742',0,0),
(76181,140012,9,100,'Heals group members (AE) for 1481 - 1810',0,0),
(76182,140013,1,100,'Heals group members (AE) for 993 - 1213',0,0),
(76183,140013,4,100,'Heals group members (AE) for 1213 - 1483',0,0),
(76184,140013,5,100,'Heals group members (AE) for 1324 - 1618',0,0),
(76185,140013,7,100,'Heals group members (AE) for 1699 - 2076',0,0),
(76186,140013,9,100,'Heals group members (AE) for 1765 - 2157',0,0),
(76187,140014,1,100,'Heals group members (AE) for 1041 - 1273',0,0),
(76188,140014,4,100,'Heals group members (AE) for 1273 - 1555',0,0),
(76189,140014,5,100,'Heals group members (AE) for 1388 - 1697',0,0),
(76190,140014,7,100,'Heals group members (AE) for 1782 - 2178',0,0),
(76191,140014,9,100,'Heals group members (AE) for 1851 - 2262',0,0),
(76192,100100,1,100,'Transfers 16% of target''s current Threat to the caster',0,0),
(76193,100100,2,100,'Transfers 17% of target''s current Threat to the caster',0,0),
(76194,100100,3,100,'Transfers 18% of target''s current Threat to the caster',0,0),
(76195,100100,4,100,'Transfers 20% of target''s current Threat to the caster',0,0),
(76196,100100,5,100,'Transfers 22% of target''s current Threat to the caster',0,0),
(76197,100100,7,100,'Transfers 28% of target''s current Threat to the caster',0,0),
(76198,100100,9,100,'Transfers 29% of target''s current Threat to the caster',0,0),
(76199,100100,10,100,'Transfers 30% of target''s current Threat to the caster',0,0),
(76200,100101,1,100,'Transfers 21% of target''s current Threat to the caster',0,0),
(76201,100101,2,100,'Transfers 22% of target''s current Threat to the caster',0,0),
(76202,100101,3,100,'Transfers 24% of target''s current Threat to the caster',0,0),
(76203,100101,4,100,'Transfers 26% of target''s current Threat to the caster',0,0),
(76204,100101,5,100,'Transfers 28% of target''s current Threat to the caster',0,0),
(76205,100101,7,100,'Transfers 36% of target''s current Threat to the caster',0,0),
(76206,100101,9,100,'Transfers 38% of target''s current Threat to the caster',0,0),
(76207,100102,1,100,'Transfers 25% of target''s current Threat to the caster',0,0),
(76208,100102,2,100,'Transfers 26% of target''s current Threat to the caster',0,0),
(76209,100102,3,100,'Transfers 28% of target''s current Threat to the caster',0,0),
(76210,100102,4,100,'Transfers 30% of target''s current Threat to the caster',0,0),
(76211,100102,5,100,'Transfers 33% of target''s current Threat to the caster',0,0),
(76212,100102,7,100,'Transfers 43% of target''s current Threat to the caster',0,0),
(76213,100102,9,100,'Transfers 44% of target''s current Threat to the caster',0,0),
(76214,270000,1,100,'Stuns target',0,0),
(76215,270000,1,100,'Wipes target''s memory of any aggression',0,1),
(76216,270000,1,100,'Epic targets gain an immunity to Stun effects of 4.5 seconds and duration is reduced to 0.5 seconds.',0,2),
(76217,270000,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(76218,270000,2,100,'Stuns target',0,0),
(76219,270000,2,100,'Wipes target''s memory of any aggression',0,1),
(76220,270000,2,100,'Epic targets gain an immunity to Stun effects of 4.5 seconds and duration is reduced to 0.5 seconds.',0,2),
(76221,270000,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(76222,270000,3,100,'Stuns target',0,0),
(76223,270000,3,100,'Wipes target''s memory of any aggression',0,1),
(76224,270000,3,100,'Epic targets gain an immunity to Stun effects of 4.5 seconds and duration is reduced to 0.5 seconds.',0,2),
(76225,270000,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(76226,270000,4,100,'Stuns target',0,0),
(76227,270000,4,100,'Wipes target''s memory of any aggression',0,1),
(76228,270000,4,100,'Epic targets gain an immunity to Stun effects of 4.5 seconds and duration is reduced to 0.5 seconds.',0,2),
(76229,270000,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(76230,270000,5,100,'Stuns target',0,0),
(76231,270000,5,100,'Wipes target''s memory of any aggression',0,1),
(76232,270000,5,100,'Epic targets gain an immunity to Stun effects of 4.5 seconds and duration is reduced to 0.5 seconds.',0,2),
(76233,270000,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(76234,270000,7,100,'Stuns target',0,0),
(76235,270000,7,100,'Wipes target''s memory of any aggression',0,1),
(76236,270000,7,100,'Epic targets gain an immunity to Stun effects of 4.5 seconds and duration is reduced to 0.5 seconds.',0,2),
(76237,270000,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(76238,270000,9,100,'Stuns target',0,0),
(76239,270000,9,100,'Wipes target''s memory of any aggression',0,1),
(76240,270000,9,100,'Epic targets gain an immunity to Stun effects of 4.5 seconds and duration is reduced to 0.5 seconds.',0,2),
(76241,270000,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(76242,270001,1,100,'Stuns target',0,0),
(76243,270001,1,100,'Wipes target''s memory of any aggression',0,1),
(76244,270001,1,100,'Epic targets gain an immunity to Stun effects of 4.5 seconds and duration is reduced to 0.5 seconds.',0,2),
(76245,270001,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(76246,270001,2,100,'Stuns target',0,0),
(76247,270001,2,100,'Wipes target''s memory of any aggression',0,1),
(76248,270001,2,100,'Epic targets gain an immunity to Stun effects of 4.5 seconds and duration is reduced to 0.5 seconds.',0,2),
(76249,270001,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(76250,270001,3,100,'Stuns target',0,0),
(76251,270001,3,100,'Wipes target''s memory of any aggression',0,1),
(76252,270001,3,100,'Epic targets gain an immunity to Stun effects of 4.5 seconds and duration is reduced to 0.5 seconds.',0,2),
(76253,270001,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(76254,270001,4,100,'Stuns target',0,0),
(76255,270001,4,100,'Wipes target''s memory of any aggression',0,1),
(76256,270001,4,100,'Epic targets gain an immunity to Stun effects of 4.5 seconds and duration is reduced to 0.5 seconds.',0,2),
(76257,270001,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(76258,270001,5,100,'Stuns target',0,0),
(76259,270001,5,100,'Wipes target''s memory of any aggression',0,1),
(76260,270001,5,100,'Epic targets gain an immunity to Stun effects of 4.5 seconds and duration is reduced to 0.5 seconds.',0,2),
(76261,270001,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(76262,270001,7,100,'Stuns target',0,0),
(76263,270001,7,100,'Wipes target''s memory of any aggression',0,1),
(76264,270001,7,100,'Epic targets gain an immunity to Stun effects of 4.5 seconds and duration is reduced to 0.5 seconds.',0,2),
(76265,270001,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(76266,270001,9,100,'Stuns target',0,0),
(76267,270001,9,100,'Wipes target''s memory of any aggression',0,1),
(76268,270001,9,100,'Epic targets gain an immunity to Stun effects of 4.5 seconds and duration is reduced to 0.5 seconds.',0,2),
(76269,270001,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(76270,270002,1,100,'Stuns target',0,0),
(76271,270002,1,100,'Wipes target''s memory of any aggression',0,1),
(76272,270002,1,100,'Epic targets gain an immunity to Stun effects of 4.5 seconds and duration is reduced to 0.5 seconds.',0,2),
(76273,270002,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(76274,270002,4,100,'Stuns target',0,0),
(76275,270002,4,100,'Wipes target''s memory of any aggression',0,1),
(76276,270002,4,100,'Epic targets gain an immunity to Stun effects of 4.5 seconds and duration is reduced to 0.5 seconds.',0,2),
(76277,270002,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(76278,270002,5,100,'Stuns target',0,0),
(76279,270002,5,100,'Wipes target''s memory of any aggression',0,1),
(76280,270002,5,100,'Epic targets gain an immunity to Stun effects of 4.5 seconds and duration is reduced to 0.5 seconds.',0,2),
(76281,270002,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(76282,270002,7,100,'Stuns target',0,0),
(76283,270002,7,100,'Wipes target''s memory of any aggression',0,1),
(76284,270002,7,100,'Epic targets gain an immunity to Stun effects of 4.5 seconds and duration is reduced to 0.5 seconds.',0,2),
(76285,270002,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(76286,270002,9,100,'Stuns target',0,0),
(76287,270002,9,100,'Wipes target''s memory of any aggression',0,1),
(76288,270002,9,100,'Epic targets gain an immunity to Stun effects of 4.5 seconds and duration is reduced to 0.5 seconds.',0,2),
(76289,270002,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(76290,190000,1,100,'Increases AGI, STR and STA of target by 32.9',0,0),
(76291,190000,1,100,'Adds 1.3% to base avoidance.',0,1),
(76292,190000,2,100,'Increases AGI, STR and STA of target by 34.8',0,0),
(76293,190000,2,100,'Adds 1.4% to base avoidance.',0,1),
(76294,190000,3,100,'Increases AGI, STR and STA of target by 36.6',0,0),
(76295,190000,3,100,'Adds 1.5% to base avoidance.',0,1),
(76296,190000,4,100,'Increases AGI, STR and STA of target by 40.3',0,0),
(76297,190000,4,100,'Adds 1.7% to base avoidance.',0,1),
(76298,190000,5,100,'Increases AGI, STR and STA of target by 43.9',0,0),
(76299,190000,5,100,'Adds 1.8% to base avoidance.',0,1),
(76300,190000,7,100,'Increases AGI, STR and STA of target by 56.4',0,0),
(76301,190000,7,100,'Adds 2.3% to base avoidance.',0,1),
(76302,190000,9,100,'Increases AGI, STR and STA of target by 58.6',0,0),
(76303,190000,9,100,'Adds 2.4% to base avoidance.',0,1),
(76304,190001,1,100,'Increases AGI, STR and STA of target by 43.0',0,0),
(76305,190001,1,100,'Adds 1.3% to base avoidance.',0,1),
(76306,190001,2,100,'Increases AGI, STR and STA of target by 45.4',0,0),
(76307,190001,2,100,'Adds 1.4% to base avoidance.',0,1),
(76308,190001,3,100,'Increases AGI, STR and STA of target by 47.8',0,0),
(76309,190001,3,100,'Adds 1.5% to base avoidance.',0,1),
(76310,190001,4,100,'Increases AGI, STR and STA of target by 52.6',0,0),
(76311,190001,4,100,'Adds 1.7% to base avoidance.',0,1),
(76312,190001,5,100,'Increases AGI, STR and STA of target by 57.4',0,0),
(76313,190001,5,100,'Adds 1.8% to base avoidance.',0,1),
(76314,190001,7,100,'Increases AGI, STR and STA of target by 73.6',0,0),
(76315,190001,7,100,'Adds 2.3% to base avoidance.',0,1),
(76316,190001,9,100,'Increases AGI, STR and STA of target by 76.5',0,0),
(76317,190001,9,100,'Adds 2.4% to base avoidance.',0,1),
(76318,190001,10,100,'Increases AGI, STR and STA of target by 80.3',0,0),
(76319,190001,10,100,'Adds 2.5% to base avoidance.',0,1),
(76320,190002,1,100,'Increases AGI, STR and STA of target by 54.4',0,0),
(76321,190002,1,100,'Adds 1.3% to base avoidance.',0,1),
(76322,190002,2,100,'Increases AGI, STR and STA of target by 57.5',0,0),
(76323,190002,2,100,'Adds 1.4% to base avoidance.',0,1),
(76324,190002,3,100,'Increases AGI, STR and STA of target by 60.5',0,0),
(76325,190002,3,100,'Adds 1.5% to base avoidance.',0,1),
(76326,190002,4,100,'Increases AGI, STR and STA of target by 66.6',0,0),
(76327,190002,4,100,'Adds 1.7% to base avoidance.',0,1),
(76328,190002,5,100,'Increases AGI, STR and STA of target by 72.6',0,0),
(76329,190002,5,100,'Adds 1.8% to base avoidance.',0,1),
(76330,190002,7,100,'Increases AGI, STR and STA of target by 93.2',0,0),
(76331,190002,7,100,'Adds 2.3% to base avoidance.',0,1),
(76332,190002,9,100,'Increases AGI, STR and STA of target by 96.8',0,0),
(76333,190002,9,100,'Adds 2.4% to base avoidance.',0,1),
(76334,190003,1,100,'Increases AGI, STR and STA of target by 64.3',0,0),
(76335,190003,1,100,'Adds 1.3% to base avoidance.',0,1),
(76336,190003,4,100,'Increases AGI, STR and STA of target by 78.7',0,0),
(76337,190003,4,100,'Adds 1.7% to base avoidance.',0,1),
(76338,190003,5,100,'Increases AGI, STR and STA of target by 85.8',0,0),
(76339,190003,5,100,'Adds 1.8% to base avoidance.',0,1),
(76340,190003,7,100,'Increases AGI, STR and STA of target by 110.1',0,0),
(76341,190003,7,100,'Adds 2.3% to base avoidance.',0,1),
(76342,190003,9,100,'Increases AGI, STR and STA of target by 114.4',0,0),
(76343,190003,9,100,'Adds 2.4% to base avoidance.',0,1),
(76344,190004,1,100,'Increases AGI, STR and STA of target by 74.2',0,0),
(76345,190004,1,100,'Adds 1.3% to base avoidance.',0,1),
(76346,190004,4,100,'Increases AGI, STR and STA of target by 90.7',0,0),
(76347,190004,4,100,'Adds 1.7% to base avoidance.',0,1),
(76348,190004,5,100,'Increases AGI, STR and STA of target by 99.0',0,0),
(76349,190004,5,100,'Adds 1.8% to base avoidance.',0,1),
(76350,190004,7,100,'Increases AGI, STR and STA of target by 127.0',0,0),
(76351,190004,7,100,'Adds 2.3% to base avoidance.',0,1),
(76352,190004,9,100,'Increases AGI, STR and STA of target by 132.0',0,0),
(76353,190004,9,100,'Adds 2.4% to base avoidance.',0,1),
(76354,200020,1,100,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',0,0),
(76355,200020,1,100,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',1,1),
(76356,200020,1,100,'Wards caster against 327 points of all damage',2,2),
(76357,200020,1,100,'Heals caster for 256',2,3),
(76358,200020,1,100,'Summons a limited pet to aid the caster',1,4),
(76359,200020,1,100,'Grants a total of 1 trigger of the spell.',1,5),
(76360,200020,2,100,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',0,0),
(76361,200020,2,100,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',1,1),
(76362,200020,2,100,'Wards caster against 345 points of all damage',2,2),
(76363,200020,2,100,'Heals caster for 270',2,3),
(76364,200020,2,100,'Summons a limited pet to aid the caster',1,4),
(76365,200020,2,100,'Grants a total of 1 trigger of the spell.',1,5),
(76366,200020,3,100,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',0,0),
(76367,200020,3,100,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',1,1),
(76368,200020,3,100,'Wards caster against 364 points of all damage',2,2),
(76369,200020,3,100,'Heals caster for 284',2,3),
(76370,200020,3,100,'Summons a limited pet to aid the caster',1,4),
(76371,200020,3,100,'Grants a total of 1 trigger of the spell.',1,5),
(76372,200020,4,100,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',0,0),
(76373,200020,4,100,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',1,1),
(76374,200020,4,100,'Wards caster against 400 points of all damage',2,2),
(76375,200020,4,100,'Heals caster for 313',2,3),
(76376,200020,4,100,'Summons a limited pet to aid the caster',1,4),
(76377,200020,4,100,'Grants a total of 1 trigger of the spell.',1,5),
(76378,200020,5,100,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',0,0),
(76379,200020,5,100,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',1,1),
(76380,200020,5,100,'Wards caster against 436 points of all damage',2,2),
(76381,200020,5,100,'Heals caster for 341',2,3),
(76382,200020,5,100,'Summons a limited pet to aid the caster',1,4),
(76383,200020,5,100,'Grants a total of 1 trigger of the spell.',1,5),
(76384,200020,7,100,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',0,0),
(76385,200020,7,100,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',1,1),
(76386,200020,7,100,'Wards caster against 560 points of all damage',2,2),
(76387,200020,7,100,'Heals caster for 438',2,3),
(76388,200020,7,100,'Summons a limited pet to aid the caster',1,4),
(76389,200020,7,100,'Grants a total of 1 trigger of the spell.',1,5),
(76390,200020,9,100,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',0,0),
(76391,200020,9,100,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',1,1),
(76392,200020,9,100,'Wards caster against 582 points of all damage',2,2),
(76393,200020,9,100,'Heals caster for 455',2,3),
(76394,200020,9,100,'This effect cannot be critically applied.',3,4),
(76395,200020,9,100,'Summons a limited pet to aid the caster',1,5),
(76396,200021,1,100,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',0,0),
(76397,200021,1,100,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',1,1),
(76398,200021,1,100,'Wards caster against 478 points of all damage',2,2),
(76399,200021,1,100,'Heals caster for 374',2,3),
(76400,200021,1,100,'Summons a limited pet to aid the caster',1,4),
(76401,200021,1,100,'Grants a total of 1 trigger of the spell.',1,5),
(76402,200021,2,100,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',0,0),
(76403,200021,2,100,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',1,1),
(76404,200021,2,100,'Wards caster against 505 points of all damage',2,2),
(76405,200021,2,100,'Heals caster for 395',2,3),
(76406,200021,2,100,'Summons a limited pet to aid the caster',1,4),
(76407,200021,2,100,'Grants a total of 1 trigger of the spell.',1,5),
(76408,200021,3,100,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',0,0),
(76409,200021,3,100,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',1,1),
(76410,200021,3,100,'Wards caster against 532 points of all damage',2,2),
(76411,200021,3,100,'Heals caster for 416',2,3),
(76412,200021,3,100,'Summons a limited pet to aid the caster',1,4),
(76413,200021,3,100,'Grants a total of 1 trigger of the spell.',1,5),
(76414,200021,4,100,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',0,0),
(76415,200021,4,100,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',1,1),
(76416,200021,4,100,'Wards caster against 585 points of all damage',2,2),
(76417,200021,4,100,'Heals caster for 457',2,3),
(76418,200021,4,100,'Summons a limited pet to aid the caster',1,4),
(76419,200021,4,100,'Grants a total of 1 trigger of the spell.',1,5),
(76420,200021,5,100,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',0,0),
(76421,200021,5,100,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',1,1),
(76422,200021,5,100,'Wards caster against 638 points of all damage',2,2),
(76423,200021,5,100,'Heals caster for 499',2,3),
(76424,200021,5,100,'Summons a limited pet to aid the caster',1,4),
(76425,200021,5,100,'Grants a total of 1 trigger of the spell.',1,5),
(76426,200021,7,100,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',0,0),
(76427,200021,7,100,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',1,1),
(76428,200021,7,100,'Wards caster against 819 points of all damage',2,2),
(76429,200021,7,100,'Heals caster for 640',2,3),
(76430,200021,7,100,'Summons a limited pet to aid the caster',1,4),
(76431,200021,7,100,'Grants a total of 1 trigger of the spell.',1,5),
(76432,200021,9,100,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',0,0),
(76433,200021,9,100,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',1,1),
(76434,200021,9,100,'Wards caster against 851 points of all damage',2,2),
(76435,200021,9,100,'Heals caster for 665',2,3),
(76436,200021,9,100,'Summons a limited pet to aid the caster',1,4),
(76437,200021,9,100,'Grants a total of 1 trigger of the spell.',1,5),
(76438,200022,1,100,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',0,0),
(76439,200022,1,100,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',1,1),
(76440,200022,1,100,'Wards caster against 629 points of all damage',2,2),
(76441,200022,1,100,'Heals caster for 492',2,3),
(76442,200022,1,100,'Summons a limited pet to aid the caster',1,4),
(76443,200022,1,100,'Grants a total of 1 trigger of the spell.',1,5),
(76444,200022,2,100,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',0,0),
(76445,200022,2,100,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',1,1),
(76446,200022,2,100,'Wards caster against 664 points of all damage',2,2),
(76447,200022,2,100,'Heals caster for 520',2,3),
(76448,200022,2,100,'Summons a limited pet to aid the caster',1,4),
(76449,200022,2,100,'Grants a total of 1 trigger of the spell.',1,5),
(76450,200022,3,100,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',0,0),
(76451,200022,3,100,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',1,1),
(76452,200022,3,100,'Wards caster against 700 points of all damage',2,2),
(76453,200022,3,100,'Heals caster for 547',2,3),
(76454,200022,3,100,'Summons a limited pet to aid the caster',1,4),
(76455,200022,3,100,'Grants a total of 1 trigger of the spell.',1,5),
(76456,200022,4,100,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',0,0),
(76457,200022,4,100,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',1,1),
(76458,200022,4,100,'Wards caster against 770 points of all damage',2,2),
(76459,200022,4,100,'Heals caster for 602',2,3),
(76460,200022,4,100,'Summons a limited pet to aid the caster',1,4),
(76461,200022,4,100,'Grants a total of 1 trigger of the spell.',1,5),
(76462,200022,5,100,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',0,0),
(76463,200022,5,100,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',1,1),
(76464,200022,5,100,'Wards caster against 840 points of all damage',2,2),
(76465,200022,5,100,'Heals caster for 656',2,3),
(76466,200022,5,100,'Summons a limited pet to aid the caster',1,4),
(76467,200022,5,100,'Grants a total of 1 trigger of the spell.',1,5),
(76468,200022,7,100,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',0,0),
(76469,200022,7,100,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',1,1),
(76470,200022,7,100,'Wards caster against 1077 points of all damage',2,2),
(76471,200022,7,100,'Heals caster for 842',2,3),
(76472,200022,7,100,'Summons a limited pet to aid the caster',1,4),
(76473,200022,7,100,'Grants a total of 1 trigger of the spell.',1,5),
(76474,200022,9,100,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',0,0),
(76475,200022,9,100,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',1,1),
(76476,200022,9,100,'Wards caster against 1120 points of all damage',2,2),
(76477,200022,9,100,'Heals caster for 875',2,3),
(76478,200022,9,100,'Summons a limited pet to aid the caster',1,4),
(76479,200022,9,100,'Grants a total of 1 trigger of the spell.',1,5),
(76480,200023,1,100,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',0,0),
(76481,200023,1,100,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',1,1),
(76482,200023,1,100,'Wards caster against 748 points of all damage',2,2),
(76483,200023,1,100,'Heals caster for 675',2,3),
(76484,200023,1,100,'Summons a limited pet to aid the caster',1,4),
(76485,200023,1,100,'Grants a total of 1 trigger of the spell.',1,5),
(76486,200023,2,100,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',0,0),
(76487,200023,2,100,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',1,1),
(76488,200023,2,100,'Wards caster against 790 points of all damage',2,2),
(76489,200023,2,100,'Heals caster for 713',2,3),
(76490,200023,2,100,'Summons a limited pet to aid the caster',1,4),
(76491,200023,2,100,'Grants a total of 1 trigger of the spell.',1,5),
(76492,200023,3,100,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',0,0),
(76493,200023,3,100,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',1,1),
(76494,200023,3,100,'Wards caster against 832 points of all damage',2,2),
(76495,200023,3,100,'Heals caster for 750',2,3),
(76496,200023,3,100,'Summons a limited pet to aid the caster',1,4),
(76497,200023,3,100,'Grants a total of 1 trigger of the spell.',1,5),
(76498,200023,4,100,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',0,0),
(76499,200023,4,100,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',1,1),
(76500,200023,4,100,'Wards caster against 915 points of all damage',2,2),
(76501,200023,4,100,'Heals caster for 825',2,3),
(76502,200023,4,100,'Summons a limited pet to aid the caster',1,4),
(76503,200023,4,100,'Grants a total of 1 trigger of the spell.',1,5),
(76504,200023,5,100,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',0,0),
(76505,200023,5,100,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',1,1),
(76506,200023,5,100,'Wards caster against 998 points of all damage',2,2),
(76507,200023,5,100,'Heals caster for 900',2,3),
(76508,200023,5,100,'Summons a limited pet to aid the caster',1,4),
(76509,200023,5,100,'Grants a total of 1 trigger of the spell.',1,5),
(76510,200023,7,100,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',0,0),
(76511,200023,7,100,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',1,1),
(76512,200023,7,100,'Wards caster against 1281 points of all damage',2,2),
(76513,200023,7,100,'Heals caster for 1155',2,3),
(76514,200023,7,100,'Summons a limited pet to aid the caster',1,4),
(76515,200023,7,100,'Grants a total of 1 trigger of the spell.',1,5),
(76516,200023,9,100,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',0,0),
(76517,200023,9,100,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',1,1),
(76518,200023,9,100,'Wards caster against 1331 points of all damage',2,2),
(76519,200023,9,100,'Heals caster for 1200',2,3),
(76520,200023,9,100,'Summons a limited pet to aid the caster',1,4),
(76521,200023,9,100,'Grants a total of 1 trigger of the spell.',1,5),
(76522,200024,1,100,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',0,0),
(76523,200024,1,100,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',1,1),
(76524,200024,1,100,'Wards caster against 907 points of all damage',2,2),
(76525,200024,1,100,'Heals caster for 804',2,3),
(76526,200024,1,100,'Summons a limited pet to aid the caster',1,4),
(76527,200024,1,100,'Grants a total of 1 trigger of the spell.',1,5),
(76528,200024,4,100,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',0,0),
(76529,200024,4,100,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',1,1),
(76530,200024,4,100,'Wards caster against 1108 points of all damage',2,2),
(76531,200024,4,100,'Heals caster for 983',2,3),
(76532,200024,4,100,'Summons a limited pet to aid the caster',1,4),
(76533,200024,4,100,'Grants a total of 1 trigger of the spell.',1,5),
(76534,200024,5,100,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',0,0),
(76535,200024,5,100,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',1,1),
(76536,200024,5,100,'Wards caster against 1209 points of all damage',2,2),
(76537,200024,5,100,'Heals caster for 1073',2,3),
(76538,200024,5,100,'Summons a limited pet to aid the caster',1,4),
(76539,200024,5,100,'Grants a total of 1 trigger of the spell.',1,5),
(76540,200024,7,100,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',0,0),
(76541,200024,7,100,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',1,1),
(76542,200024,7,100,'Wards caster against 1552 points of all damage',2,2),
(76543,200024,7,100,'Heals caster for 1376',2,3),
(76544,200024,7,100,'Summons a limited pet to aid the caster',1,4),
(76545,200024,7,100,'Grants a total of 1 trigger of the spell.',1,5),
(76546,200024,9,100,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',0,0),
(76547,200024,9,100,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',1,1),
(76548,200024,9,100,'Wards caster against 1612 points of all damage',2,2),
(76549,200024,9,100,'Heals caster for 1430',2,3),
(76550,200024,9,100,'Summons a limited pet to aid the caster',1,4),
(76551,200024,9,100,'Grants a total of 1 trigger of the spell.',1,5),
(76552,190005,1,100,'Dispels 52 levels of any hostile effects on target',0,0),
(76553,190005,1,100,'Dispels 52 levels of hostile Fear effects on target',0,1),
(76554,190005,1,100,'Casts Ancestral Balm Fear Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,2),
(76555,190005,1,100,'Makes target immune to Fear effects',2,3),
(76556,190005,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,4),
(76557,190005,1,100,'Dispels 52 levels of hostile Daze effects on target',0,5),
(76558,190005,1,100,'Casts Ancestral Balm Daze Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,6),
(76559,190005,1,100,'Makes target immune to Daze effects',2,7),
(76560,190005,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,8),
(76561,190005,1,100,'Dispels 52 levels of hostile Root effects on target',0,9),
(76562,190005,1,100,'Casts Ancestral Balm Root Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,10),
(76563,190005,1,100,'Makes target immune to Root effects',2,11),
(76564,190005,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,12),
(76565,190005,1,100,'Dispels 52 levels of hostile Stifle effects on target',0,13),
(76566,190005,1,100,'Casts Ancestral Balm Stifle Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,14),
(76567,190005,1,100,'Makes target immune to Stifle effects',2,15),
(76568,190005,2,100,'Dispels 55 levels of any hostile effects on target',0,0),
(76569,190005,2,100,'Dispels 55 levels of hostile Fear effects on target',0,1),
(76570,190005,2,100,'Casts Ancestral Balm Fear Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,2),
(76571,190005,2,100,'Makes target immune to Fear effects',2,3),
(76572,190005,2,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,4),
(76573,190005,2,100,'Dispels 55 levels of hostile Daze effects on target',0,5),
(76574,190005,2,100,'Casts Ancestral Balm Daze Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,6),
(76575,190005,2,100,'Makes target immune to Daze effects',2,7),
(76576,190005,2,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,8),
(76577,190005,2,100,'Dispels 55 levels of hostile Root effects on target',0,9),
(76578,190005,2,100,'Casts Ancestral Balm Root Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,10),
(76579,190005,2,100,'Makes target immune to Root effects',2,11),
(76580,190005,2,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,12),
(76581,190005,2,100,'Dispels 55 levels of hostile Stifle effects on target',0,13),
(76582,190005,2,100,'Casts Ancestral Balm Stifle Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,14),
(76583,190005,2,100,'Makes target immune to Stifle effects',2,15),
(76584,190005,3,100,'Dispels 58 levels of any hostile effects on target',0,0),
(76585,190005,3,100,'Dispels 58 levels of hostile Fear effects on target',0,1),
(76586,190005,3,100,'Casts Ancestral Balm Fear Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,2),
(76587,190005,3,100,'Makes target immune to Fear effects',2,3),
(76588,190005,3,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,4),
(76589,190005,3,100,'Dispels 58 levels of hostile Daze effects on target',0,5),
(76590,190005,3,100,'Casts Ancestral Balm Daze Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,6),
(76591,190005,3,100,'Makes target immune to Daze effects',2,7),
(76592,190005,3,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,8),
(76593,190005,3,100,'Dispels 58 levels of hostile Root effects on target',0,9),
(76594,190005,3,100,'Casts Ancestral Balm Root Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,10),
(76595,190005,3,100,'Makes target immune to Root effects',2,11),
(76596,190005,3,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,12),
(76597,190005,3,100,'Dispels 58 levels of hostile Stifle effects on target',0,13),
(76598,190005,3,100,'Casts Ancestral Balm Stifle Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,14),
(76599,190005,3,100,'Makes target immune to Stifle effects',2,15),
(76600,190005,4,100,'Dispels 64 levels of any hostile effects on target',0,0),
(76601,190005,4,100,'Dispels 64 levels of hostile Fear effects on target',0,1),
(76602,190005,4,100,'Casts Ancestral Balm Fear Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,2),
(76603,190005,4,100,'Makes target immune to Fear effects',2,3),
(76604,190005,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,4),
(76605,190005,4,100,'Dispels 64 levels of hostile Daze effects on target',0,5),
(76606,190005,4,100,'Casts Ancestral Balm Daze Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,6),
(76607,190005,4,100,'Makes target immune to Daze effects',2,7),
(76608,190005,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,8),
(76609,190005,4,100,'Dispels 64 levels of hostile Root effects on target',0,9),
(76610,190005,4,100,'Casts Ancestral Balm Root Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,10),
(76611,190005,4,100,'Makes target immune to Root effects',2,11),
(76612,190005,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,12),
(76613,190005,4,100,'Dispels 64 levels of hostile Stifle effects on target',0,13),
(76614,190005,4,100,'Casts Ancestral Balm Stifle Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,14),
(76615,190005,4,100,'Makes target immune to Stifle effects',2,15),
(76616,190005,5,100,'Dispels 70 levels of any hostile effects on target',0,0),
(76617,190005,5,100,'Dispels 70 levels of hostile Fear effects on target',0,1),
(76618,190005,5,100,'Casts Ancestral Balm Fear Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,2),
(76619,190005,5,100,'Makes target immune to Fear effects',2,3),
(76620,190005,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,4),
(76621,190005,5,100,'Dispels 70 levels of hostile Daze effects on target',0,5),
(76622,190005,5,100,'Casts Ancestral Balm Daze Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,6),
(76623,190005,5,100,'Makes target immune to Daze effects',2,7),
(76624,190005,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,8),
(76625,190005,5,100,'Dispels 70 levels of hostile Root effects on target',0,9),
(76626,190005,5,100,'Casts Ancestral Balm Root Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,10),
(76627,190005,5,100,'Makes target immune to Root effects',2,11),
(76628,190005,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,12),
(76629,190005,5,100,'Dispels 70 levels of hostile Stifle effects on target',0,13),
(76630,190005,5,100,'Casts Ancestral Balm Stifle Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,14),
(76631,190005,5,100,'Makes target immune to Stifle effects',2,15),
(76632,190005,7,100,'Dispels 90 levels of any hostile effects on target',0,0),
(76633,190005,7,100,'Dispels 90 levels of hostile Fear effects on target',0,1),
(76634,190005,7,100,'Casts Ancestral Balm Fear Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,2),
(76635,190005,7,100,'Makes target immune to Fear effects',2,3),
(76636,190005,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,4),
(76637,190005,7,100,'Dispels 90 levels of hostile Daze effects on target',0,5),
(76638,190005,7,100,'Casts Ancestral Balm Daze Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,6),
(76639,190005,7,100,'Makes target immune to Daze effects',2,7),
(76640,190005,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,8),
(76641,190005,7,100,'Dispels 90 levels of hostile Root effects on target',0,9),
(76642,190005,7,100,'Casts Ancestral Balm Root Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,10),
(76643,190005,7,100,'Makes target immune to Root effects',2,11),
(76644,190005,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,12),
(76645,190005,7,100,'Dispels 90 levels of hostile Stifle effects on target',0,13),
(76646,190005,7,100,'Casts Ancestral Balm Stifle Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,14),
(76647,190005,7,100,'Makes target immune to Stifle effects',2,15),
(76648,190005,9,100,'Dispels 93 levels of any hostile effects on target',0,0),
(76649,190005,9,100,'Dispels 93 levels of hostile Fear effects on target',0,1),
(76650,190005,9,100,'Casts Ancestral Balm Fear Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,2),
(76651,190005,9,100,'Makes target immune to Fear effects',2,3),
(76652,190005,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,4),
(76653,190005,9,100,'Dispels 93 levels of hostile Daze effects on target',0,5),
(76654,190005,9,100,'Casts Ancestral Balm Daze Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,6),
(76655,190005,9,100,'Makes target immune to Daze effects',2,7),
(76656,190005,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,8),
(76657,190005,9,100,'Dispels 93 levels of hostile Root effects on target',0,9),
(76658,190005,9,100,'Casts Ancestral Balm Root Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,10),
(76659,190005,9,100,'Makes target immune to Root effects',2,11),
(76660,190005,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,12),
(76661,190005,9,100,'Dispels 93 levels of hostile Stifle effects on target',0,13),
(76662,190005,9,100,'Casts Ancestral Balm Stifle Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,14),
(76663,190005,9,100,'Makes target immune to Stifle effects',2,15),
(76664,190006,1,100,'Dispels 68 levels of any hostile effects on target',0,0),
(76665,190006,1,100,'Dispels 68 levels of hostile Fear effects on target',0,1),
(76666,190006,1,100,'Casts Ancestral Balm Fear Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,2),
(76667,190006,1,100,'Makes target immune to Fear effects',2,3),
(76668,190006,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,4),
(76669,190006,1,100,'Dispels 68 levels of hostile Daze effects on target',0,5),
(76670,190006,1,100,'Casts Ancestral Balm Daze Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,6),
(76671,190006,1,100,'Makes target immune to Daze effects',2,7),
(76672,190006,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,8),
(76673,190006,1,100,'Dispels 68 levels of hostile Root effects on target',0,9),
(76674,190006,1,100,'Casts Ancestral Balm Root Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,10),
(76675,190006,1,100,'Makes target immune to Root effects',2,11),
(76676,190006,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,12),
(76677,190006,1,100,'Dispels 68 levels of hostile Stifle effects on target',0,13),
(76678,190006,1,100,'Casts Ancestral Balm Stifle Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,14),
(76679,190006,1,100,'Makes target immune to Stifle effects',2,15),
(76680,190006,2,100,'Dispels 72 levels of any hostile effects on target',0,0),
(76681,190006,2,100,'Dispels 72 levels of hostile Fear effects on target',0,1),
(76682,190006,2,100,'Casts Ancestral Balm Fear Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,2),
(76683,190006,2,100,'Makes target immune to Fear effects',2,3),
(76684,190006,2,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,4),
(76685,190006,2,100,'Dispels 72 levels of hostile Daze effects on target',0,5),
(76686,190006,2,100,'Casts Ancestral Balm Daze Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,6),
(76687,190006,2,100,'Makes target immune to Daze effects',2,7),
(76688,190006,2,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,8),
(76689,190006,2,100,'Dispels 72 levels of hostile Root effects on target',0,9),
(76690,190006,2,100,'Casts Ancestral Balm Root Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,10),
(76691,190006,2,100,'Makes target immune to Root effects',2,11),
(76692,190006,2,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,12),
(76693,190006,2,100,'Dispels 72 levels of hostile Stifle effects on target',0,13),
(76694,190006,2,100,'Casts Ancestral Balm Stifle Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,14),
(76695,190006,2,100,'Makes target immune to Stifle effects',2,15),
(76696,190006,3,100,'Dispels 76 levels of any hostile effects on target',0,0),
(76697,190006,3,100,'Dispels 76 levels of hostile Fear effects on target',0,1),
(76698,190006,3,100,'Casts Ancestral Balm Fear Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,2),
(76699,190006,3,100,'Makes target immune to Fear effects',2,3),
(76700,190006,3,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,4),
(76701,190006,3,100,'Dispels 76 levels of hostile Daze effects on target',0,5),
(76702,190006,3,100,'Casts Ancestral Balm Daze Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,6),
(76703,190006,3,100,'Makes target immune to Daze effects',2,7),
(76704,190006,3,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,8),
(76705,190006,3,100,'Dispels 76 levels of hostile Root effects on target',0,9),
(76706,190006,3,100,'Casts Ancestral Balm Root Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,10),
(76707,190006,3,100,'Makes target immune to Root effects',2,11),
(76708,190006,3,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,12),
(76709,190006,3,100,'Dispels 76 levels of hostile Stifle effects on target',0,13),
(76710,190006,3,100,'Casts Ancestral Balm Stifle Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,14),
(76711,190006,3,100,'Makes target immune to Stifle effects',2,15),
(76712,190006,4,100,'Dispels 83 levels of any hostile effects on target',0,0),
(76713,190006,4,100,'Dispels 83 levels of hostile Fear effects on target',0,1),
(76714,190006,4,100,'Casts Ancestral Balm Fear Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,2),
(76715,190006,4,100,'Makes target immune to Fear effects',2,3),
(76716,190006,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,4),
(76717,190006,4,100,'Dispels 83 levels of hostile Daze effects on target',0,5),
(76718,190006,4,100,'Casts Ancestral Balm Daze Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,6),
(76719,190006,4,100,'Makes target immune to Daze effects',2,7),
(76720,190006,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,8),
(76721,190006,4,100,'Dispels 83 levels of hostile Root effects on target',0,9),
(76722,190006,4,100,'Casts Ancestral Balm Root Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,10),
(76723,190006,4,100,'Makes target immune to Root effects',2,11),
(76724,190006,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,12),
(76725,190006,4,100,'Dispels 83 levels of hostile Stifle effects on target',0,13),
(76726,190006,4,100,'Casts Ancestral Balm Stifle Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,14),
(76727,190006,4,100,'Makes target immune to Stifle effects',2,15),
(76728,190006,5,100,'Dispels 91 levels of any hostile effects on target',0,0),
(76729,190006,5,100,'Dispels 91 levels of hostile Fear effects on target',0,1),
(76730,190006,5,100,'Casts Ancestral Balm Fear Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,2),
(76731,190006,5,100,'Makes target immune to Fear effects',2,3),
(76732,190006,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,4),
(76733,190006,5,100,'Dispels 91 levels of hostile Daze effects on target',0,5),
(76734,190006,5,100,'Casts Ancestral Balm Daze Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,6),
(76735,190006,5,100,'Makes target immune to Daze effects',2,7),
(76736,190006,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,8),
(76737,190006,5,100,'Dispels 91 levels of hostile Root effects on target',0,9),
(76738,190006,5,100,'Casts Ancestral Balm Root Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,10),
(76739,190006,5,100,'Makes target immune to Root effects',2,11),
(76740,190006,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,12),
(76741,190006,5,100,'Dispels 91 levels of hostile Stifle effects on target',0,13),
(76742,190006,5,100,'Casts Ancestral Balm Stifle Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,14),
(76743,190006,5,100,'Makes target immune to Stifle effects',2,15),
(76744,190006,7,100,'Dispels 117 levels of any hostile effects on target',0,0),
(76745,190006,7,100,'Dispels 117 levels of hostile Fear effects on target',0,1),
(76746,190006,7,100,'Casts Ancestral Balm Fear Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,2),
(76747,190006,7,100,'Makes target immune to Fear effects',2,3),
(76748,190006,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,4),
(76749,190006,7,100,'Dispels 117 levels of hostile Daze effects on target',0,5),
(76750,190006,7,100,'Casts Ancestral Balm Daze Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,6),
(76751,190006,7,100,'Makes target immune to Daze effects',2,7),
(76752,190006,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,8),
(76753,190006,7,100,'Dispels 117 levels of hostile Root effects on target',0,9),
(76754,190006,7,100,'Casts Ancestral Balm Root Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,10),
(76755,190006,7,100,'Makes target immune to Root effects',2,11),
(76756,190006,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,12),
(76757,190006,7,100,'Dispels 117 levels of hostile Stifle effects on target',0,13),
(76758,190006,7,100,'Casts Ancestral Balm Stifle Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,14),
(76759,190006,7,100,'Makes target immune to Stifle effects',2,15),
(76760,190006,9,100,'Dispels 121 levels of any hostile effects on target',0,0),
(76761,190006,9,100,'Dispels 121 levels of hostile Fear effects on target',0,1),
(76762,190006,9,100,'Casts Ancestral Balm Fear Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,2),
(76763,190006,9,100,'Makes target immune to Fear effects',2,3),
(76764,190006,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,4),
(76765,190006,9,100,'Dispels 121 levels of hostile Daze effects on target',0,5),
(76766,190006,9,100,'Casts Ancestral Balm Daze Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,6),
(76767,190006,9,100,'Makes target immune to Daze effects',2,7),
(76768,190006,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,8),
(76769,190006,9,100,'Dispels 121 levels of hostile Root effects on target',0,9),
(76770,190006,9,100,'Casts Ancestral Balm Root Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,10),
(76771,190006,9,100,'Makes target immune to Root effects',2,11),
(76772,190006,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,12),
(76773,190006,9,100,'Dispels 121 levels of hostile Stifle effects on target',0,13),
(76774,190006,9,100,'Casts Ancestral Balm Stifle Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,14),
(76775,190006,9,100,'Makes target immune to Stifle effects',2,15),
(76776,190007,1,100,'Dispels 77 levels of any hostile effects on target',0,0),
(76777,190007,1,100,'Dispels 77 levels of hostile Fear effects on target',0,1),
(76778,190007,1,100,'Casts Ancestral Balm Fear Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,2),
(76779,190007,1,100,'Makes target immune to Fear effects',2,3),
(76780,190007,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,4),
(76781,190007,1,100,'Dispels 77 levels of hostile Daze effects on target',0,5),
(76782,190007,1,100,'Casts Ancestral Balm Daze Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,6),
(76783,190007,1,100,'Makes target immune to Daze effects',2,7),
(76784,190007,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,8),
(76785,190007,1,100,'Dispels 77 levels of hostile Root effects on target',0,9),
(76786,190007,1,100,'Casts Ancestral Balm Root Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,10),
(76787,190007,1,100,'Makes target immune to Root effects',2,11),
(76788,190007,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,12),
(76789,190007,1,100,'Dispels 77 levels of hostile Stifle effects on target',0,13),
(76790,190007,1,100,'Casts Ancestral Balm Stifle Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,14),
(76791,190007,1,100,'Makes target immune to Stifle effects',2,15),
(76792,190007,4,100,'Dispels 94 levels of any hostile effects on target',0,0),
(76793,190007,4,100,'Dispels 94 levels of hostile Fear effects on target',0,1),
(76794,190007,4,100,'Casts Ancestral Balm Fear Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,2),
(76795,190007,4,100,'Makes target immune to Fear effects',2,3),
(76796,190007,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,4),
(76797,190007,4,100,'Dispels 94 levels of hostile Daze effects on target',0,5),
(76798,190007,4,100,'Casts Ancestral Balm Daze Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,6),
(76799,190007,4,100,'Makes target immune to Daze effects',2,7),
(76800,190007,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,8),
(76801,190007,4,100,'Dispels 94 levels of hostile Root effects on target',0,9),
(76802,190007,4,100,'Casts Ancestral Balm Root Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,10),
(76803,190007,4,100,'Makes target immune to Root effects',2,11),
(76804,190007,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,12),
(76805,190007,4,100,'Dispels 94 levels of hostile Stifle effects on target',0,13),
(76806,190007,4,100,'Casts Ancestral Balm Stifle Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,14),
(76807,190007,4,100,'Makes target immune to Stifle effects',2,15),
(76808,190007,5,100,'Dispels 102 levels of any hostile effects on target',0,0),
(76809,190007,5,100,'Dispels 102 levels of hostile Fear effects on target',0,1),
(76810,190007,5,100,'Casts Ancestral Balm Fear Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,2),
(76811,190007,5,100,'Makes target immune to Fear effects',2,3),
(76812,190007,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,4),
(76813,190007,5,100,'Dispels 102 levels of hostile Daze effects on target',0,5),
(76814,190007,5,100,'Casts Ancestral Balm Daze Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,6),
(76815,190007,5,100,'Makes target immune to Daze effects',2,7),
(76816,190007,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,8),
(76817,190007,5,100,'Dispels 102 levels of hostile Root effects on target',0,9),
(76818,190007,5,100,'Casts Ancestral Balm Root Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,10),
(76819,190007,5,100,'Makes target immune to Root effects',2,11),
(76820,190007,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,12),
(76821,190007,5,100,'Dispels 102 levels of hostile Stifle effects on target',0,13),
(76822,190007,5,100,'Casts Ancestral Balm Stifle Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,14),
(76823,190007,5,100,'Makes target immune to Stifle effects',2,15),
(76824,190007,7,100,'Dispels 132 levels of any hostile effects on target',0,0),
(76825,190007,7,100,'Dispels 132 levels of hostile Fear effects on target',0,1),
(76826,190007,7,100,'Casts Ancestral Balm Fear Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,2),
(76827,190007,7,100,'Makes target immune to Fear effects',2,3),
(76828,190007,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,4),
(76829,190007,7,100,'Dispels 132 levels of hostile Daze effects on target',0,5),
(76830,190007,7,100,'Casts Ancestral Balm Daze Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,6),
(76831,190007,7,100,'Makes target immune to Daze effects',2,7),
(76832,190007,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,8),
(76833,190007,7,100,'Dispels 132 levels of hostile Root effects on target',0,9),
(76834,190007,7,100,'Casts Ancestral Balm Root Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,10),
(76835,190007,7,100,'Makes target immune to Root effects',2,11),
(76836,190007,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,12),
(76837,190007,7,100,'Dispels 132 levels of hostile Stifle effects on target',0,13),
(76838,190007,7,100,'Casts Ancestral Balm Stifle Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,14),
(76839,190007,7,100,'Makes target immune to Stifle effects',2,15),
(76840,190007,9,100,'Dispels 137 levels of any hostile effects on target',0,0),
(76841,190007,9,100,'Dispels 137 levels of hostile Fear effects on target',0,1),
(76842,190007,9,100,'Casts Ancestral Balm Fear Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,2),
(76843,190007,9,100,'Makes target immune to Fear effects',2,3),
(76844,190007,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,4),
(76845,190007,9,100,'Dispels 137 levels of hostile Daze effects on target',0,5),
(76846,190007,9,100,'Casts Ancestral Balm Daze Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,6),
(76847,190007,9,100,'Makes target immune to Daze effects',2,7),
(76848,190007,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,8),
(76849,190007,9,100,'Dispels 137 levels of hostile Root effects on target',0,9),
(76850,190007,9,100,'Casts Ancestral Balm Root Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,10),
(76851,190007,9,100,'Makes target immune to Root effects',2,11),
(76852,190007,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,12),
(76853,190007,9,100,'Dispels 137 levels of hostile Stifle effects on target',0,13),
(76854,190007,9,100,'Casts Ancestral Balm Stifle Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,14),
(76855,190007,9,100,'Makes target immune to Stifle effects',2,15),
(76856,190008,1,100,'Dispels 86 levels of any hostile effects on target',0,0),
(76857,190008,1,100,'Dispels 86 levels of hostile Fear effects on target',0,1),
(76858,190008,1,100,'Casts Ancestral Balm Fear Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,2),
(76859,190008,1,100,'Makes target immune to Fear effects',2,3),
(76860,190008,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,4),
(76861,190008,1,100,'Dispels 86 levels of hostile Daze effects on target',0,5),
(76862,190008,1,100,'Casts Ancestral Balm Daze Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,6),
(76863,190008,1,100,'Makes target immune to Daze effects',2,7),
(76864,190008,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,8),
(76865,190008,1,100,'Dispels 86 levels of hostile Root effects on target',0,9),
(76866,190008,1,100,'Casts Ancestral Balm Root Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,10),
(76867,190008,1,100,'Makes target immune to Root effects',2,11),
(76868,190008,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,12),
(76869,190008,1,100,'Dispels 86 levels of hostile Stifle effects on target',0,13),
(76870,190008,1,100,'Casts Ancestral Balm Stifle Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,14),
(76871,190008,1,100,'Makes target immune to Stifle effects',2,15),
(76872,190008,4,100,'Dispels 105 levels of any hostile effects on target',0,0),
(76873,190008,4,100,'Dispels 105 levels of hostile Fear effects on target',0,1),
(76874,190008,4,100,'Casts Ancestral Balm Fear Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,2),
(76875,190008,4,100,'Makes target immune to Fear effects',2,3),
(76876,190008,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,4),
(76877,190008,4,100,'Dispels 105 levels of hostile Daze effects on target',0,5),
(76878,190008,4,100,'Casts Ancestral Balm Daze Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,6),
(76879,190008,4,100,'Makes target immune to Daze effects',2,7),
(76880,190008,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,8),
(76881,190008,4,100,'Dispels 105 levels of hostile Root effects on target',0,9),
(76882,190008,4,100,'Casts Ancestral Balm Root Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,10),
(76883,190008,4,100,'Makes target immune to Root effects',2,11),
(76884,190008,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,12),
(76885,190008,4,100,'Dispels 105 levels of hostile Stifle effects on target',0,13),
(76886,190008,4,100,'Casts Ancestral Balm Stifle Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,14),
(76887,190008,4,100,'Makes target immune to Stifle effects',2,15),
(76888,190008,5,100,'Dispels 114 levels of any hostile effects on target',0,0),
(76889,190008,5,100,'Dispels 114 levels of hostile Fear effects on target',0,1),
(76890,190008,5,100,'Casts Ancestral Balm Fear Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,2),
(76891,190008,5,100,'Makes target immune to Fear effects',2,3),
(76892,190008,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,4),
(76893,190008,5,100,'Dispels 114 levels of hostile Daze effects on target',0,5),
(76894,190008,5,100,'Casts Ancestral Balm Daze Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,6),
(76895,190008,5,100,'Makes target immune to Daze effects',2,7),
(76896,190008,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,8),
(76897,190008,5,100,'Dispels 114 levels of hostile Root effects on target',0,9),
(76898,190008,5,100,'Casts Ancestral Balm Root Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,10),
(76899,190008,5,100,'Makes target immune to Root effects',2,11),
(76900,190008,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,12),
(76901,190008,5,100,'Dispels 114 levels of hostile Stifle effects on target',0,13),
(76902,190008,5,100,'Casts Ancestral Balm Stifle Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,14),
(76903,190008,5,100,'Makes target immune to Stifle effects',2,15),
(76904,190008,7,100,'Dispels 146 levels of any hostile effects on target',0,0),
(76905,190008,7,100,'Dispels 146 levels of hostile Fear effects on target',0,1),
(76906,190008,7,100,'Casts Ancestral Balm Fear Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,2),
(76907,190008,7,100,'Makes target immune to Fear effects',2,3),
(76908,190008,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,4),
(76909,190008,7,100,'Dispels 146 levels of hostile Daze effects on target',0,5),
(76910,190008,7,100,'Casts Ancestral Balm Daze Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,6),
(76911,190008,7,100,'Makes target immune to Daze effects',2,7),
(76912,190008,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,8),
(76913,190008,7,100,'Dispels 146 levels of hostile Root effects on target',0,9),
(76914,190008,7,100,'Casts Ancestral Balm Root Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,10),
(76915,190008,7,100,'Makes target immune to Root effects',2,11),
(76916,190008,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,12),
(76917,190008,7,100,'Dispels 146 levels of hostile Stifle effects on target',0,13),
(76918,190008,7,100,'Casts Ancestral Balm Stifle Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,14),
(76919,190008,7,100,'Makes target immune to Stifle effects',2,15),
(76920,190008,9,100,'Dispels 152 levels of any hostile effects on target',0,0),
(76921,190008,9,100,'Dispels 152 levels of hostile Fear effects on target',0,1),
(76922,190008,9,100,'Casts Ancestral Balm Fear Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,2),
(76923,190008,9,100,'Makes target immune to Fear effects',2,3),
(76924,190008,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,4),
(76925,190008,9,100,'Dispels 152 levels of hostile Daze effects on target',0,5),
(76926,190008,9,100,'Casts Ancestral Balm Daze Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,6),
(76927,190008,9,100,'Makes target immune to Daze effects',2,7),
(76928,190008,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,8),
(76929,190008,9,100,'Dispels 152 levels of hostile Root effects on target',0,9),
(76930,190008,9,100,'Casts Ancestral Balm Root Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,10),
(76931,190008,9,100,'Makes target immune to Root effects',2,11),
(76932,190008,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,12),
(76933,190008,9,100,'Dispels 152 levels of hostile Stifle effects on target',0,13),
(76934,190008,9,100,'Casts Ancestral Balm Stifle Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,14),
(76935,190008,9,100,'Makes target immune to Stifle effects',2,15),
(76936,2000315,1,100,'Heals group members (AE) for 3240 - 3960',0,0),
(76937,2000315,1,100,'Heals group members (AE) for 1620 - 1980 every second',0,1),
(76938,2000315,2,100,'Heals group members (AE) for 3240 - 3960 instantly and every second',0,0),
(76939,190009,1,100,'Increases STA of group members (AE) by 3.0',0,0),
(76940,190009,1,100,'Increases Mitigation of group members (AE) vs noxious damage by 194',0,1),
(76941,190009,2,100,'Increases STA of group members (AE) by 3.2',0,0),
(76942,190009,2,100,'Increases Mitigation of group members (AE) vs noxious damage by 205',0,1),
(76943,190009,3,100,'Increases STA of group members (AE) by 3.4',0,0),
(76944,190009,3,100,'Increases Mitigation of group members (AE) vs noxious damage by 216',0,1),
(76945,190009,4,100,'Increases STA of group members (AE) by 3.7',0,0),
(76946,190009,4,100,'Increases Mitigation of group members (AE) vs noxious damage by 238',0,1),
(76947,190009,5,100,'Increases STA of group members (AE) by 4.1',0,0),
(76948,190009,5,100,'Increases Mitigation of group members (AE) vs noxious damage by 259',0,1),
(76949,190009,7,100,'Increases STA of group members (AE) by 5.2',0,0),
(76950,190009,7,100,'Increases Mitigation of group members (AE) vs noxious damage by 333',0,1),
(76951,190009,9,100,'Increases STA of group members (AE) by 5.4',0,0),
(76952,190009,9,100,'Increases Mitigation of group members (AE) vs noxious damage by 346',0,1),
(76953,190010,1,100,'Increases STA of group members (AE) by 7.8',0,0),
(76954,190010,1,100,'Increases Mitigation of group members (AE) vs noxious damage by 338',0,1),
(76955,190010,2,100,'Increases STA of group members (AE) by 8.2',0,0),
(76956,190010,2,100,'Increases Mitigation of group members (AE) vs noxious damage by 356',0,1),
(76957,190010,3,100,'Increases STA of group members (AE) by 8.7',0,0),
(76958,190010,3,100,'Increases Mitigation of group members (AE) vs noxious damage by 375',0,1),
(76959,190010,4,100,'Increases STA of group members (AE) by 9.5',0,0),
(76960,190010,4,100,'Increases Mitigation of group members (AE) vs noxious damage by 413',0,1),
(76961,190010,5,100,'Increases STA of group members (AE) by 10.4',0,0),
(76962,190010,5,100,'Increases Mitigation of group members (AE) vs noxious damage by 450',0,1),
(76963,190010,7,100,'Increases STA of group members (AE) by 13.3',0,0),
(76964,190010,7,100,'Increases Mitigation of group members (AE) vs noxious damage by 578',0,1),
(76965,190010,9,100,'Increases STA of group members (AE) by 13.8',0,0),
(76966,190010,9,100,'Increases Mitigation of group members (AE) vs noxious damage by 600',0,1),
(76967,190011,1,100,'Increases STA of group members (AE) by 13.2',0,0),
(76968,190011,1,100,'Increases Mitigation of group members (AE) vs noxious damage by 495',0,1),
(76969,190011,2,100,'Increases STA of group members (AE) by 14.0',0,0),
(76970,190011,2,100,'Increases Mitigation of group members (AE) vs noxious damage by 523',0,1),
(76971,190011,3,100,'Increases STA of group members (AE) by 14.7',0,0),
(76972,190011,3,100,'Increases Mitigation of group members (AE) vs noxious damage by 550',0,1),
(76973,190011,4,100,'Increases STA of group members (AE) by 16.2',0,0),
(76974,190011,4,100,'Increases Mitigation of group members (AE) vs noxious damage by 605',0,1),
(76975,190011,5,100,'Increases STA of group members (AE) by 17.6',0,0),
(76976,190011,5,100,'Increases Mitigation of group members (AE) vs noxious damage by 660',0,1),
(76977,190011,7,100,'Increases STA of group members (AE) by 22.6',0,0),
(76978,190011,7,100,'Increases Mitigation of group members (AE) vs noxious damage by 847',0,1),
(76979,190011,9,100,'Increases STA of group members (AE) by 23.5',0,0),
(76980,190011,9,100,'Increases Mitigation of group members (AE) vs noxious damage by 880',0,1),
(76981,190012,1,100,'Increases STA of group members (AE) by 18.1',0,0),
(76982,190012,1,100,'Increases Mitigation of group members (AE) vs noxious damage by 653',0,1),
(76983,190012,2,100,'Increases STA of group members (AE) by 19.1',0,0),
(76984,190012,2,100,'Increases Mitigation of group members (AE) vs noxious damage by 689',0,1),
(76985,190012,3,100,'Increases STA of group members (AE) by 20.1',0,0),
(76986,190012,3,100,'Increases Mitigation of group members (AE) vs noxious damage by 725',0,1),
(76987,190012,4,100,'Increases STA of group members (AE) by 22.1',0,0),
(76988,190012,4,100,'Increases Mitigation of group members (AE) vs noxious damage by 798',0,1),
(76989,190012,5,100,'Increases STA of group members (AE) by 24.1',0,0),
(76990,190012,5,100,'Increases Mitigation of group members (AE) vs noxious damage by 870',0,1),
(76991,190012,7,100,'Increases STA of group members (AE) by 30.9',0,0),
(76992,190012,7,100,'Increases Mitigation of group members (AE) vs noxious damage by 1117',0,1),
(76993,190012,9,100,'Increases STA of group members (AE) by 32.1',0,0),
(76994,190012,9,100,'Increases Mitigation of group members (AE) vs noxious damage by 1160',0,1),
(76995,190013,1,100,'Increases STA of group members (AE) by 22.8',0,0),
(76996,190013,1,100,'Increases Mitigation of group members (AE) vs noxious damage by 851',0,1),
(76997,190013,2,100,'Increases STA of group members (AE) by 24.1',0,0),
(76998,190013,2,100,'Increases Mitigation of group members (AE) vs noxious damage by 898',0,1),
(76999,190013,3,100,'Increases STA of group members (AE) by 25.4',0,0),
(77000,190013,3,100,'Increases Mitigation of group members (AE) vs noxious damage by 945',0,1),
(77001,190013,4,100,'Increases STA of group members (AE) by 27.9',0,0),
(77002,190013,4,100,'Increases Mitigation of group members (AE) vs noxious damage by 1040',0,1),
(77003,190013,5,100,'Increases STA of group members (AE) by 30.4',0,0),
(77004,190013,5,100,'Increases Mitigation of group members (AE) vs noxious damage by 1134',0,1),
(77005,190013,7,100,'Increases STA of group members (AE) by 39.0',0,0),
(77006,190013,7,100,'Increases Mitigation of group members (AE) vs noxious damage by 1455',0,1),
(77007,190013,9,100,'Increases STA of group members (AE) by 40.6',0,0),
(77008,190013,9,100,'Increases Mitigation of group members (AE) vs noxious damage by 1512',0,1),
(77009,190013,10,100,'Increases STA of group members (AE) by 42.6',0,0),
(77010,190013,10,100,'Increases Mitigation of group members (AE) vs noxious damage by 1588',0,1),
(77011,190014,1,100,'Increases STA of group members (AE) by 27.3',0,0),
(77012,190014,1,100,'Increases Mitigation of group members (AE) vs noxious damage by 978',0,1),
(77013,190014,4,100,'Increases STA of group members (AE) by 33.4',0,0),
(77014,190014,4,100,'Increases Mitigation of group members (AE) vs noxious damage by 1195',0,1),
(77015,190014,5,100,'Increases STA of group members (AE) by 36.4',0,0),
(77016,190014,5,100,'Increases Mitigation of group members (AE) vs noxious damage by 1304',0,1),
(77017,190014,7,100,'Increases STA of group members (AE) by 46.7',0,0),
(77018,190014,7,100,'Increases Mitigation of group members (AE) vs noxious damage by 1673',0,1),
(77019,190014,9,100,'Increases STA of group members (AE) by 48.6',0,0),
(77020,190014,9,100,'Increases Mitigation of group members (AE) vs noxious damage by 1738',0,1),
(77021,190015,1,100,'Increases STA of group members (AE) by 31.8',0,0),
(77022,190015,1,100,'Increases Mitigation of group members (AE) vs noxious damage by 1139',0,1),
(77023,190015,4,100,'Increases STA of group members (AE) by 38.9',0,0),
(77024,190015,4,100,'Increases Mitigation of group members (AE) vs noxious damage by 1392',0,1),
(77025,190015,5,100,'Increases STA of group members (AE) by 42.4',0,0),
(77026,190015,5,100,'Increases Mitigation of group members (AE) vs noxious damage by 1518',0,1),
(77027,190015,7,100,'Increases STA of group members (AE) by 54.4',0,0),
(77028,190015,7,100,'Increases Mitigation of group members (AE) vs noxious damage by 1948',0,1),
(77029,190015,9,100,'Increases STA of group members (AE) by 56.6',0,0),
(77030,190015,9,100,'Increases Mitigation of group members (AE) vs noxious damage by 2024',0,1),
(77031,190016,1,100,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',0,0),
(77032,190016,1,100,'Wards target against 327 points of all damage',1,1),
(77033,190016,1,100,'Heals target for 266',1,2),
(77034,190016,1,100,'Increases power of target by 61 every 6 seconds',1,3),
(77035,190016,1,100,'Grants a total of 1 trigger of the spell.',1,4),
(77036,190016,2,100,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',0,0),
(77037,190016,2,100,'Wards target against 345 points of all damage',1,1),
(77038,190016,2,100,'Heals target for 281',1,2),
(77039,190016,2,100,'Increases power of target by 65 every 6 seconds',1,3),
(77040,190016,2,100,'Grants a total of 1 trigger of the spell.',1,4),
(77041,190016,3,100,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',0,0),
(77042,190016,3,100,'Wards target against 364 points of all damage',1,1),
(77043,190016,3,100,'Heals target for 296',1,2),
(77044,190016,3,100,'Increases power of target by 68 every 6 seconds',1,3),
(77045,190016,3,100,'Grants a total of 1 trigger of the spell.',1,4),
(77046,190016,4,100,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',0,0),
(77047,190016,4,100,'Wards target against 400 points of all damage',1,1),
(77048,190016,4,100,'Heals target for 325',1,2),
(77049,190016,4,100,'Increases power of target by 75 every 6 seconds',1,3),
(77050,190016,4,100,'Grants a total of 1 trigger of the spell.',1,4),
(77051,190016,5,100,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',0,0),
(77052,190016,5,100,'Wards target against 436 points of all damage',1,1),
(77053,190016,5,100,'Heals target for 355',1,2),
(77054,190016,5,100,'Increases power of target by 82 every 6 seconds',1,3),
(77055,190016,5,100,'Grants a total of 1 trigger of the spell.',1,4),
(77056,190016,7,100,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',0,0),
(77057,190016,7,100,'Wards target against 560 points of all damage',1,1),
(77058,190016,7,100,'Heals target for 455',1,2),
(77059,190016,7,100,'Increases power of target by 105 every 6 seconds',1,3),
(77060,190016,7,100,'Grants a total of 1 trigger of the spell.',1,4),
(77061,190016,9,100,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',0,0),
(77062,190016,9,100,'Wards target against 582 points of all damage',1,1),
(77063,190016,9,100,'Heals target for 473',1,2),
(77064,190016,9,100,'Increases power of target by 109 every 6 seconds',1,3),
(77065,190016,9,100,'Grants a total of 1 trigger of the spell.',1,4),
(77066,190017,1,100,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',0,0),
(77067,190017,1,100,'Wards target against 478 points of all damage',1,1),
(77068,190017,1,100,'Heals target for 389',1,2),
(77069,190017,1,100,'Increases power of target by 90 every 6 seconds',1,3),
(77070,190017,1,100,'Grants a total of 1 trigger of the spell.',1,4),
(77071,190017,2,100,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',0,0),
(77072,190017,2,100,'Wards target against 505 points of all damage',1,1),
(77073,190017,2,100,'Heals target for 411',1,2),
(77074,190017,2,100,'Increases power of target by 95 every 6 seconds',1,3),
(77075,190017,2,100,'Grants a total of 1 trigger of the spell.',1,4),
(77076,190017,3,100,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',0,0),
(77077,190017,3,100,'Wards target against 532 points of all damage',1,1),
(77078,190017,3,100,'Heals target for 432',1,2),
(77079,190017,3,100,'Increases power of target by 100 every 6 seconds',1,3),
(77080,190017,3,100,'Grants a total of 1 trigger of the spell.',1,4),
(77081,190017,4,100,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',0,0),
(77082,190017,4,100,'Wards target against 585 points of all damage',1,1),
(77083,190017,4,100,'Increases power of target by 110 every 6 seconds',1,2),
(77084,190017,4,100,'Heals target for 475',1,3),
(77085,190017,4,100,'Grants a total of 1 trigger of the spell.',1,4),
(77086,190017,5,100,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',0,0),
(77087,190017,5,100,'Wards target against 638 points of all damage',1,1),
(77088,190017,5,100,'Increases power of target by 120 every 6 seconds',1,2),
(77089,190017,5,100,'Heals target for 519',1,3),
(77090,190017,5,100,'Grants a total of 1 trigger of the spell.',1,4),
(77091,190017,7,100,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',0,0),
(77092,190017,7,100,'Wards target against 819 points of all damage',1,1),
(77093,190017,7,100,'Heals target for 666',1,2),
(77094,190017,7,100,'Increases power of target by 154 every 6 seconds',1,3),
(77095,190017,7,100,'Grants a total of 1 trigger of the spell.',1,4),
(77096,190017,9,100,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',0,0),
(77097,190017,9,100,'Wards target against 851 points of all damage',1,1),
(77098,190017,9,100,'Heals target for 692',1,2),
(77099,190017,9,100,'Increases power of target by 160 every 6 seconds',1,3),
(77100,190017,9,100,'Grants a total of 1 trigger of the spell.',1,4),
(77101,190018,1,100,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',0,0),
(77102,190018,1,100,'Wards target against 629 points of all damage',1,1),
(77103,190018,1,100,'Heals target for 512',1,2),
(77104,190018,1,100,'Increases power of target by 118 every 6 seconds',1,3),
(77105,190018,1,100,'Grants a total of 1 trigger of the spell.',1,4),
(77106,190018,2,100,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',0,0),
(77107,190018,2,100,'Wards target against 664 points of all damage',1,1),
(77108,190018,2,100,'Heals target for 540',1,2),
(77109,190018,2,100,'Increases power of target by 125 every 6 seconds',1,3),
(77110,190018,2,100,'Grants a total of 1 trigger of the spell.',1,4),
(77111,190018,3,100,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',0,0),
(77112,190018,3,100,'Wards target against 700 points of all damage',1,1),
(77113,190018,3,100,'Heals target for 569',1,2),
(77114,190018,3,100,'Increases power of target by 131 every 6 seconds',1,3),
(77115,190018,3,100,'Grants a total of 1 trigger of the spell.',1,4),
(77116,190018,4,100,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',0,0),
(77117,190018,4,100,'Wards target against 770 points of all damage',1,1),
(77118,190018,4,100,'Heals target for 626',1,2),
(77119,190018,4,100,'Increases power of target by 144 every 6 seconds',1,3),
(77120,190018,4,100,'Grants a total of 1 trigger of the spell.',1,4),
(77121,190018,5,100,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',0,0),
(77122,190018,5,100,'Wards target against 840 points of all damage',1,1),
(77123,190018,5,100,'Increases power of target by 158 every 6 seconds',1,2),
(77124,190018,5,100,'Heals target for 683',1,3),
(77125,190018,5,100,'Grants a total of 1 trigger of the spell.',1,4),
(77126,190018,7,100,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',0,0),
(77127,190018,7,100,'Wards target against 1077 points of all damage',1,1),
(77128,190018,7,100,'Increases power of target by 202 every 6 seconds',1,2),
(77129,190018,7,100,'Heals target for 876',1,3),
(77130,190018,7,100,'Grants a total of 1 trigger of the spell.',1,4),
(77131,190018,9,100,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',0,0),
(77132,190018,9,100,'Wards target against 1120 points of all damage',1,1),
(77133,190018,9,100,'Heals target for 910',1,2),
(77134,190018,9,100,'Increases power of target by 210 every 6 seconds',1,3),
(77135,190018,9,100,'Grants a total of 1 trigger of the spell.',1,4),
(77136,190019,1,100,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',0,0),
(77137,190019,1,100,'Wards target against 748 points of all damage',1,1),
(77138,190019,1,100,'Heals target for 702',1,2),
(77139,190019,1,100,'Increases power of target by 162 every 6 seconds',1,3),
(77140,190019,1,100,'Grants a total of 1 trigger of the spell.',1,4),
(77141,190019,2,100,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',0,0),
(77142,190019,2,100,'Wards target against 790 points of all damage',1,1),
(77143,190019,2,100,'Heals target for 741',1,2),
(77144,190019,2,100,'Increases power of target by 171 every 6 seconds',1,3),
(77145,190019,2,100,'Grants a total of 1 trigger of the spell.',1,4),
(77146,190019,3,100,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',0,0),
(77147,190019,3,100,'Wards target against 832 points of all damage',1,1),
(77148,190019,3,100,'Heals target for 780',1,2),
(77149,190019,3,100,'Increases power of target by 180 every 6 seconds',1,3),
(77150,190019,3,100,'Grants a total of 1 trigger of the spell.',1,4),
(77151,190019,4,100,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',0,0),
(77152,190019,4,100,'Wards target against 915 points of all damage',1,1),
(77153,190019,4,100,'Heals target for 858',1,2),
(77154,190019,4,100,'Increases power of target by 198 every 6 seconds',1,3),
(77155,190019,4,100,'Grants a total of 1 trigger of the spell.',1,4),
(77156,190019,5,100,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',0,0),
(77157,190019,5,100,'Wards target against 998 points of all damage',1,1),
(77158,190019,5,100,'Heals target for 936',1,2),
(77159,190019,5,100,'Increases power of target by 216 every 6 seconds',1,3),
(77160,190019,5,100,'Grants a total of 1 trigger of the spell.',1,4),
(77161,190019,7,100,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',0,0),
(77162,190019,7,100,'Wards target against 1281 points of all damage',1,1),
(77163,190019,7,100,'Heals target for 1201',1,2),
(77164,190019,7,100,'Increases power of target by 277 every 6 seconds',1,3),
(77165,190019,7,100,'Grants a total of 1 trigger of the spell.',1,4),
(77166,190019,9,100,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',0,0),
(77167,190019,9,100,'Wards target against 1331 points of all damage',1,1),
(77168,190019,9,100,'Heals target for 1248',1,2),
(77169,190019,9,100,'Increases power of target by 288 every 6 seconds',1,3),
(77170,190019,9,100,'Grants a total of 1 trigger of the spell.',1,4),
(77171,190020,1,100,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',0,0),
(77172,190020,1,100,'Wards target against 907 points of all damage',1,1),
(77173,190020,1,100,'Heals target for 837',1,2),
(77174,190020,1,100,'Increases power of target by 193 every 6 seconds',1,3),
(77175,190020,1,100,'Grants a total of 1 trigger of the spell.',1,4),
(77176,190020,4,100,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',0,0),
(77177,190020,4,100,'Wards target against 1108 points of all damage',1,1),
(77178,190020,4,100,'Increases power of target by 236 every 6 seconds',1,2),
(77179,190020,4,100,'Heals target for 1022',1,3),
(77180,190020,4,100,'Grants a total of 1 trigger of the spell.',1,4),
(77181,190020,5,100,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',0,0),
(77182,190020,5,100,'Wards target against 1209 points of all damage',1,1),
(77183,190020,5,100,'Heals target for 1115',1,2),
(77184,190020,5,100,'Increases power of target by 257 every 6 seconds',1,3),
(77185,190020,5,100,'Grants a total of 1 trigger of the spell.',1,4),
(77186,190020,7,100,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',0,0),
(77187,190020,7,100,'Wards target against 1552 points of all damage',1,1),
(77188,190020,7,100,'Heals target for 1431',1,2),
(77189,190020,7,100,'Increases power of target by 330 every 6 seconds',1,3),
(77190,190020,7,100,'Grants a total of 1 trigger of the spell.',1,4),
(77191,190020,9,100,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',0,0),
(77192,190020,9,100,'Wards target against 1612 points of all damage',1,1),
(77193,190020,9,100,'Heals target for 1487',1,2),
(77194,190020,9,100,'Increases power of target by 343 every 6 seconds',1,3),
(77195,190020,9,100,'Grants a total of 1 trigger of the spell.',1,4),
(77196,190021,1,100,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',0,0),
(77197,190021,1,100,'Wards target against 964 points of all damage',1,1),
(77198,190021,1,100,'Heals target for 878',1,2),
(77199,190021,1,100,'Increases power of target by 203 every 6 seconds',1,3),
(77200,190021,1,100,'Grants a total of 1 trigger of the spell.',1,4),
(77201,190021,4,100,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',0,0),
(77202,190021,4,100,'Wards target against 1179 points of all damage',1,1),
(77203,190021,4,100,'Heals target for 1073',1,2),
(77204,190021,4,100,'Increases power of target by 248 every 6 seconds',1,3),
(77205,190021,4,100,'Grants a total of 1 trigger of the spell.',1,4),
(77206,190021,5,100,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',0,0),
(77207,190021,5,100,'Wards target against 1286 points of all damage',1,1),
(77208,190021,5,100,'Heals target for 1170',1,2),
(77209,190021,5,100,'Increases power of target by 270 every 6 seconds',1,3),
(77210,190021,5,100,'Grants a total of 1 trigger of the spell.',1,4),
(77211,190021,7,100,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',0,0),
(77212,190021,7,100,'Wards target against 1650 points of all damage',1,1),
(77213,190021,7,100,'Heals target for 1502',1,2),
(77214,190021,7,100,'Increases power of target by 347 every 6 seconds',1,3),
(77215,190021,7,100,'Grants a total of 1 trigger of the spell.',1,4),
(77216,190021,9,100,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',0,0),
(77217,190021,9,100,'Wards target against 1715 points of all damage',1,1),
(77218,190021,9,100,'Heals target for 1560',1,2),
(77219,190021,9,100,'Increases power of target by 360 every 6 seconds',1,3),
(77220,190021,9,100,'Grants a total of 1 trigger of the spell.',1,4),
(77221,190022,1,100,'Summons a limited pet to aid the caster',0,0),
(77222,190022,2,100,'Summons a limited pet to aid the caster',0,0),
(77223,190022,3,100,'Summons a limited pet to aid the caster',0,0),
(77224,190022,4,100,'Summons a limited pet to aid the caster',0,0),
(77225,190022,5,100,'Summons a limited pet to aid the caster',0,0),
(77226,190022,7,100,'Summons a limited pet to aid the caster',0,0),
(77227,190022,9,100,'Summons a limited pet to aid the caster',0,0),
(77228,190023,1,100,'Summons a limited pet to aid the caster',0,0),
(77229,190023,4,100,'Summons a limited pet to aid the caster',0,0),
(77230,190023,5,100,'Summons a limited pet to aid the caster',0,0),
(77231,190023,7,100,'Summons a limited pet to aid the caster',0,0),
(77232,190023,9,100,'Summons a limited pet to aid the caster',0,0),
(77233,190024,1,100,'Summons a limited pet to aid the caster',0,0),
(77234,190024,4,100,'Summons a limited pet to aid the caster',0,0),
(77235,190024,5,100,'Summons a limited pet to aid the caster',0,0),
(77236,190024,7,100,'Summons a limited pet to aid the caster',0,0),
(77237,190024,9,100,'Summons a limited pet to aid the caster',0,0),
(77238,2000316,1,100,'Monitors the damage done by group members and converts a portion of that damage into a ward for the group.',0,0),
(77239,2000316,1,100,'Cannot cast Ancestral Support if it''s already active.',0,1),
(77240,2000316,2,100,'Monitors the damage done by group members and converts a portion of that damage into a ward for the group.',0,0),
(77241,2000316,2,100,'Cannot cast Ancestral Support if it''s already active.',0,1),
(77242,2000316,3,100,'Monitors the damage done by group members and converts a portion of that damage into a ward for the group.',0,0),
(77243,2000316,3,100,'Cannot cast Ancestral Support if it''s already active.',0,1),
(77244,190025,1,100,'Wards target against 140 points of all damage',0,0),
(77245,190025,4,100,'Wards target against 171 points of all damage',0,0),
(77246,190025,5,100,'Wards target against 187 points of all damage',0,0),
(77247,190025,7,100,'Wards target against 240 points of all damage',0,0),
(77248,190025,9,100,'Wards target against 249 points of all damage',0,0),
(77249,190025,10,100,'Wards target against 262 points of all damage',0,0),
(77250,190026,1,100,'Wards target against 222 points of all damage',0,0),
(77251,190026,4,100,'Wards target against 271 points of all damage',0,0),
(77252,190026,5,100,'Wards target against 296 points of all damage',0,0),
(77253,190026,7,100,'Wards target against 380 points of all damage',0,0),
(77254,190026,9,100,'Wards target against 395 points of all damage',0,0),
(77255,190026,10,100,'Wards target against 414 points of all damage',0,0),
(77256,190027,1,100,'Wards target against 318 points of all damage',0,0),
(77257,190027,2,100,'Wards target against 335 points of all damage',0,0),
(77258,190027,3,100,'Wards target against 353 points of all damage',0,0),
(77259,190027,4,100,'Wards target against 388 points of all damage',0,0),
(77260,190027,5,100,'Wards target against 424 points of all damage',0,0),
(77261,190027,7,100,'Wards target against 544 points of all damage',0,0),
(77262,190027,9,100,'Wards target against 565 points of all damage',0,0),
(77263,190028,1,100,'Wards target against 514 points of all damage',0,0),
(77264,190028,2,100,'Wards target against 543 points of all damage',0,0),
(77265,190028,3,100,'Wards target against 572 points of all damage',0,0),
(77266,190028,4,100,'Wards target against 629 points of all damage',0,0),
(77267,190028,5,100,'Wards target against 686 points of all damage',0,0),
(77268,190028,7,100,'Wards target against 880 points of all damage',0,0),
(77269,190028,9,100,'Wards target against 915 points of all damage',0,0),
(77270,190028,10,100,'Wards target against 960 points of all damage',0,0),
(77271,190029,1,100,'Wards target against 1549 points of all damage',0,0),
(77272,190029,4,100,'Wards target against 1893 points of all damage',0,0),
(77273,190029,5,100,'Wards target against 2065 points of all damage',0,0),
(77274,190029,7,100,'Wards target against 2650 points of all damage',0,0),
(77275,190029,9,100,'Wards target against 2753 points of all damage',0,0),
(77276,190030,1,100,'Wards target against 760 points of all damage',0,0),
(77277,190030,2,100,'Wards target against 802 points of all damage',0,0),
(77278,190030,3,100,'Wards target against 845 points of all damage',0,0),
(77279,190030,4,100,'Wards target against 929 points of all damage',0,0),
(77280,190030,5,100,'Wards target against 1014 points of all damage',0,0),
(77281,190030,7,100,'Wards target against 1301 points of all damage',0,0),
(77282,190030,9,100,'Wards target against 1352 points of all damage',0,0),
(77283,190030,10,100,'Wards target against 1419 points of all damage',0,0),
(77284,190031,1,100,'Wards target against 1006 points of all damage',0,0),
(77285,190031,2,100,'Wards target against 1062 points of all damage',0,0),
(77286,190031,3,100,'Wards target against 1118 points of all damage',0,0),
(77287,190031,4,100,'Wards target against 1229 points of all damage',0,0),
(77288,190031,5,100,'Wards target against 1341 points of all damage',0,0),
(77289,190031,7,100,'Wards target against 1721 points of all damage',0,0),
(77290,190031,9,100,'Wards target against 1788 points of all damage',0,0),
(77291,190032,1,100,'Wards target against 1181 points of all damage',0,0),
(77292,190032,2,100,'Wards target against 1247 points of all damage',0,0),
(77293,190032,3,100,'Wards target against 1313 points of all damage',0,0),
(77294,190032,4,100,'Wards target against 1444 points of all damage',0,0),
(77295,190032,5,100,'Wards target against 1575 points of all damage',0,0),
(77296,190032,7,100,'Wards target against 2022 points of all damage',0,0),
(77297,190032,9,100,'Wards target against 2100 points of all damage',0,0),
(77298,190033,1,100,'Wards target against 1422 points of all damage',0,0),
(77299,190033,4,100,'Wards target against 1738 points of all damage',0,0),
(77300,190033,5,100,'Wards target against 1896 points of all damage',0,0),
(77301,190033,7,100,'Wards target against 2434 points of all damage',0,0),
(77302,190033,9,100,'Wards target against 2529 points of all damage',0,0),
(77303,2000317,1,100,'Adds trigger chance of 3%',0,0),
(77304,200026,1,100,'Wards target against 140 points of all damage',0,0),
(77305,200026,4,100,'Wards target against 171 points of all damage',0,0),
(77306,200026,5,100,'Wards target against 187 points of all damage',0,0),
(77307,200026,7,100,'Wards target against 240 points of all damage',0,0),
(77308,200026,9,100,'Wards target against 249 points of all damage',0,0),
(77309,200026,10,100,'Wards target against 262 points of all damage',0,0),
(77310,200027,1,100,'Wards target against 222 points of all damage',0,0),
(77311,200027,4,100,'Wards target against 271 points of all damage',0,0),
(77312,200027,5,100,'Wards target against 296 points of all damage',0,0),
(77313,200027,7,100,'Wards target against 380 points of all damage',0,0),
(77314,200027,9,100,'Wards target against 395 points of all damage',0,0),
(77315,200027,10,100,'Wards target against 414 points of all damage',0,0),
(77316,200028,1,100,'Wards target against 318 points of all damage',0,0),
(77317,200028,2,100,'Wards target against 335 points of all damage',0,0),
(77318,200028,3,100,'Wards target against 353 points of all damage',0,0),
(77319,200028,4,100,'Wards target against 388 points of all damage',0,0),
(77320,200028,5,100,'Wards target against 424 points of all damage',0,0),
(77321,200028,7,100,'Wards target against 544 points of all damage',0,0),
(77322,200028,9,100,'Wards target against 565 points of all damage',0,0),
(77323,200029,1,100,'Wards target against 514 points of all damage',0,0),
(77324,200029,2,100,'Wards target against 543 points of all damage',0,0),
(77325,200029,3,100,'Wards target against 572 points of all damage',0,0),
(77326,200029,4,100,'Wards target against 629 points of all damage',0,0),
(77327,200029,5,100,'Wards target against 686 points of all damage',0,0),
(77328,200029,7,100,'Wards target against 880 points of all damage',0,0),
(77329,200029,9,100,'Wards target against 915 points of all damage',0,0),
(77330,200029,10,100,'Wards target against 960 points of all damage',0,0),
(77331,200030,1,100,'Wards target against 1549 points of all damage',0,0),
(77332,200030,4,100,'Wards target against 1893 points of all damage',0,0),
(77333,200030,5,100,'Wards target against 2065 points of all damage',0,0),
(77334,200030,7,100,'Wards target against 2650 points of all damage',0,0),
(77335,200030,9,100,'Wards target against 2753 points of all damage',0,0),
(77336,200031,1,100,'Wards target against 760 points of all damage',0,0),
(77337,200031,2,100,'Wards target against 802 points of all damage',0,0),
(77338,200031,3,100,'Wards target against 845 points of all damage',0,0),
(77339,200031,4,100,'Wards target against 929 points of all damage',0,0),
(77340,200031,5,100,'Wards target against 1014 points of all damage',0,0),
(77341,200031,7,100,'Wards target against 1301 points of all damage',0,0),
(77342,200031,9,100,'Wards target against 1352 points of all damage',0,0),
(77343,200031,10,100,'Wards target against 1419 points of all damage',0,0),
(77344,200032,1,100,'Wards target against 1006 points of all damage',0,0),
(77345,200032,2,100,'Wards target against 1062 points of all damage',0,0),
(77346,200032,3,100,'Wards target against 1118 points of all damage',0,0),
(77347,200032,4,100,'Wards target against 1229 points of all damage',0,0),
(77348,200032,5,100,'Wards target against 1341 points of all damage',0,0),
(77349,200032,7,100,'Wards target against 1721 points of all damage',0,0),
(77350,200032,9,100,'Wards target against 1788 points of all damage',0,0),
(77351,200033,1,100,'Wards target against 1181 points of all damage',0,0),
(77352,200033,2,100,'Wards target against 1247 points of all damage',0,0),
(77353,200033,3,100,'Wards target against 1313 points of all damage',0,0),
(77354,200033,4,100,'Wards target against 1444 points of all damage',0,0),
(77355,200033,5,100,'Wards target against 1575 points of all damage',0,0),
(77356,200033,7,100,'Wards target against 2022 points of all damage',0,0),
(77357,200033,9,100,'Wards target against 2100 points of all damage',0,0),
(77358,200034,1,100,'Wards target against 1422 points of all damage',0,0),
(77359,200034,4,100,'Wards target against 1738 points of all damage',0,0),
(77360,200034,5,100,'Wards target against 1896 points of all damage',0,0),
(77361,200034,7,100,'Wards target against 2434 points of all damage',0,0),
(77362,200034,9,100,'Wards target against 2529 points of all damage',0,0),
(77363,200035,1,100,'Makes target afraid',0,0),
(77364,200035,1,100,'30% chance to dispel when target takes damage',0,1),
(77365,200035,1,100,'Does not affect Epic targets',0,2),
(77366,200035,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(77367,200035,2,100,'Makes target afraid',0,0),
(77368,200035,2,100,'30% chance to dispel when target takes damage',0,1),
(77369,200035,2,100,'Does not affect Epic targets',0,2),
(77370,200035,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(77371,200035,3,100,'Makes target afraid',0,0),
(77372,200035,3,100,'30% chance to dispel when target takes damage',0,1),
(77373,200035,3,100,'Does not affect Epic targets',0,2),
(77374,200035,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(77375,200035,4,100,'Makes target afraid',0,0),
(77376,200035,4,100,'30% chance to dispel when target takes damage',0,1),
(77377,200035,4,100,'Does not affect Epic targets',0,2),
(77378,200035,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(77379,200035,5,100,'Makes target afraid',0,0),
(77380,200035,5,100,'30% chance to dispel when target takes damage',0,1),
(77381,200035,5,100,'Does not affect Epic targets',0,2),
(77382,200035,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(77383,200035,7,100,'Makes target afraid',0,0),
(77384,200035,7,100,'30% chance to dispel when target takes damage',0,1),
(77385,200035,7,100,'Does not affect Epic targets',0,2),
(77386,200035,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(77387,200035,9,100,'Makes target afraid',0,0),
(77388,200035,9,100,'30% chance to dispel when target takes damage',0,1),
(77389,200035,9,100,'Does not affect Epic targets',0,2),
(77390,200035,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(77391,200036,1,100,'Makes target afraid',0,0),
(77392,200036,1,100,'30% chance to dispel when target takes damage',0,1),
(77393,200036,1,100,'Does not affect Epic targets',0,2),
(77394,200036,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(77395,200036,2,100,'Makes target afraid',0,0),
(77396,200036,2,100,'30% chance to dispel when target takes damage',0,1),
(77397,200036,2,100,'Does not affect Epic targets',0,2),
(77398,200036,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(77399,200036,3,100,'Makes target afraid',0,0),
(77400,200036,3,100,'30% chance to dispel when target takes damage',0,1),
(77401,200036,3,100,'Does not affect Epic targets',0,2),
(77402,200036,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(77403,200036,4,100,'Makes target afraid',0,0),
(77404,200036,4,100,'30% chance to dispel when target takes damage',0,1),
(77405,200036,4,100,'Does not affect Epic targets',0,2),
(77406,200036,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(77407,200036,5,100,'Makes target afraid',0,0),
(77408,200036,5,100,'30% chance to dispel when target takes damage',0,1),
(77409,200036,5,100,'Does not affect Epic targets',0,2),
(77410,200036,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(77411,200036,7,100,'Makes target afraid',0,0),
(77412,200036,7,100,'30% chance to dispel when target takes damage',0,1),
(77413,200036,7,100,'Does not affect Epic targets',0,2),
(77414,200036,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(77415,200036,9,100,'Makes target afraid',0,0),
(77416,200036,9,100,'30% chance to dispel when target takes damage',0,1),
(77417,200036,9,100,'Does not affect Epic targets',0,2),
(77418,200036,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(77419,200036,10,100,'Makes target afraid',0,0),
(77420,200036,10,100,'30% chance to dispel when target takes damage',0,1),
(77421,200036,10,100,'Does not affect Epic targets',0,2),
(77422,200036,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(77423,200037,1,100,'Makes target afraid',0,0),
(77424,200037,1,100,'30% chance to dispel when target takes damage',0,1),
(77425,200037,1,100,'Does not affect Epic targets',0,2),
(77426,200037,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(77427,200037,2,100,'Makes target afraid',0,0),
(77428,200037,2,100,'30% chance to dispel when target takes damage',0,1),
(77429,200037,2,100,'Does not affect Epic targets',0,2),
(77430,200037,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(77431,200037,3,100,'Makes target afraid',0,0),
(77432,200037,3,100,'30% chance to dispel when target takes damage',0,1),
(77433,200037,3,100,'Does not affect Epic targets',0,2),
(77434,200037,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(77435,200037,4,100,'Makes target afraid',0,0),
(77436,200037,4,100,'30% chance to dispel when target takes damage',0,1),
(77437,200037,4,100,'Does not affect Epic targets',0,2),
(77438,200037,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(77439,200037,5,100,'Makes target afraid',0,0),
(77440,200037,5,100,'30% chance to dispel when target takes damage',0,1),
(77441,200037,5,100,'Does not affect Epic targets',0,2),
(77442,200037,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(77443,200037,7,100,'Makes target afraid',0,0),
(77444,200037,7,100,'30% chance to dispel when target takes damage',0,1),
(77445,200037,7,100,'Does not affect Epic targets',0,2),
(77446,200037,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(77447,200037,9,100,'Makes target afraid',0,0),
(77448,200037,9,100,'30% chance to dispel when target takes damage',0,1),
(77449,200037,9,100,'Does not affect Epic targets',0,2),
(77450,200037,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(77451,200038,1,100,'Makes target afraid',0,0),
(77452,200038,1,100,'30% chance to dispel when target takes damage',0,1),
(77453,200038,1,100,'Does not affect Epic targets',0,2),
(77454,200038,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(77455,200038,2,100,'Makes target afraid',0,0),
(77456,200038,2,100,'30% chance to dispel when target takes damage',0,1),
(77457,200038,2,100,'Does not affect Epic targets',0,2),
(77458,200038,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(77459,200038,3,100,'Makes target afraid',0,0),
(77460,200038,3,100,'30% chance to dispel when target takes damage',0,1),
(77461,200038,3,100,'Does not affect Epic targets',0,2),
(77462,200038,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(77463,200038,4,100,'Makes target afraid',0,0),
(77464,200038,4,100,'30% chance to dispel when target takes damage',0,1),
(77465,200038,4,100,'Does not affect Epic targets',0,2),
(77466,200038,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(77467,200038,5,100,'Makes target afraid',0,0),
(77468,200038,5,100,'30% chance to dispel when target takes damage',0,1),
(77469,200038,5,100,'Does not affect Epic targets',0,2),
(77470,200038,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(77471,200038,7,100,'Makes target afraid',0,0),
(77472,200038,7,100,'30% chance to dispel when target takes damage',0,1),
(77473,200038,7,100,'Does not affect Epic targets',0,2),
(77474,200038,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(77475,200038,9,100,'Makes target afraid',0,0),
(77476,200038,9,100,'30% chance to dispel when target takes damage',0,1),
(77477,200038,9,100,'Does not affect Epic targets',0,2),
(77478,200038,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(77479,200039,1,100,'Makes target afraid',0,0),
(77480,200039,1,100,'30% chance to dispel when target takes damage',0,1),
(77481,200039,1,100,'Does not affect Epic targets',0,2),
(77482,200039,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(77483,200039,4,100,'Makes target afraid',0,0),
(77484,200039,4,100,'30% chance to dispel when target takes damage',0,1),
(77485,200039,4,100,'Does not affect Epic targets',0,2),
(77486,200039,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(77487,200039,5,100,'Makes target afraid',0,0),
(77488,200039,5,100,'30% chance to dispel when target takes damage',0,1),
(77489,200039,5,100,'Does not affect Epic targets',0,2),
(77490,200039,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(77491,200039,7,100,'Makes target afraid',0,0),
(77492,200039,7,100,'30% chance to dispel when target takes damage',0,1),
(77493,200039,7,100,'Does not affect Epic targets',0,2),
(77494,200039,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(77495,200039,9,100,'Makes target afraid',0,0),
(77496,200039,9,100,'30% chance to dispel when target takes damage',0,1),
(77497,200039,9,100,'Does not affect Epic targets',0,2),
(77498,200039,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(77499,260000,1,100,'Inflicts 37 - 45 mental damage on target',0,0),
(77500,260000,1,100,'Dazes target',0,1),
(77501,260000,1,100,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',0,2),
(77502,260000,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(77503,260000,2,100,'Inflicts 39 - 48 mental damage on target',0,0),
(77504,260000,2,100,'Dazes target',0,1),
(77505,260000,2,100,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',0,2),
(77506,260000,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(77507,260000,3,100,'Inflicts 41 - 50 mental damage on target',0,0),
(77508,260000,3,100,'Dazes target',0,1),
(77509,260000,3,100,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',0,2),
(77510,260000,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(77511,260000,4,100,'Inflicts 45 - 55 mental damage on target',0,0),
(77512,260000,4,100,'Dazes target',0,1),
(77513,260000,4,100,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',0,2),
(77514,260000,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(77515,260000,5,100,'Inflicts 49 - 60 mental damage on target',0,0),
(77516,260000,5,100,'Dazes target',0,1),
(77517,260000,5,100,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',0,2),
(77518,260000,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(77519,260000,7,100,'Inflicts 63 - 77 mental damage on target',0,0),
(77520,260000,7,100,'Dazes target',0,1),
(77521,260000,7,100,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',0,2),
(77522,260000,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(77523,260000,9,100,'Inflicts 66 - 80 mental damage on target',0,0),
(77524,260000,9,100,'Dazes target',0,1),
(77525,260000,9,100,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',0,2),
(77526,260000,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(77527,260000,10,100,'Inflicts 69 - 84 mental damage on target',0,0),
(77528,260000,10,100,'Dazes target',0,1),
(77529,260000,10,100,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',0,2),
(77530,260000,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(77531,260001,1,100,'Inflicts 86 - 105 mental damage on target',0,0),
(77532,260001,1,100,'Dazes target',0,1),
(77533,260001,1,100,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',0,2),
(77534,260001,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(77535,260001,2,100,'Inflicts 90 - 110 mental damage on target',0,0),
(77536,260001,2,100,'Dazes target',0,1),
(77537,260001,2,100,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',0,2),
(77538,260001,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(77539,260001,3,100,'Inflicts 95 - 116 mental damage on target',0,0),
(77540,260001,3,100,'Dazes target',0,1),
(77541,260001,3,100,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',0,2),
(77542,260001,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(77543,260001,4,100,'Inflicts 105 - 128 mental damage on target',0,0),
(77544,260001,4,100,'Dazes target',0,1),
(77545,260001,4,100,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',0,2),
(77546,260001,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(77547,260001,5,100,'Inflicts 114 - 140 mental damage on target',0,0),
(77548,260001,5,100,'Dazes target',0,1),
(77549,260001,5,100,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',0,2),
(77550,260001,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(77551,260001,7,100,'Inflicts 147 - 179 mental damage on target',0,0),
(77552,260001,7,100,'Dazes target',0,1),
(77553,260001,7,100,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',0,2),
(77554,260001,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(77555,260001,9,100,'Inflicts 152 - 186 mental damage on target',0,0),
(77556,260001,9,100,'Dazes target',0,1),
(77557,260001,9,100,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',0,2),
(77558,260001,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(77559,260002,1,100,'Inflicts 140 - 171 mental damage on target',0,0),
(77560,260002,1,100,'Dazes target',0,1),
(77561,260002,1,100,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',0,2),
(77562,260002,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(77563,260002,2,100,'Inflicts 148 - 181 mental damage on target',0,0),
(77564,260002,2,100,'Dazes target',0,1),
(77565,260002,2,100,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',0,2),
(77566,260002,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(77567,260002,3,100,'Inflicts 156 - 190 mental damage on target',0,0),
(77568,260002,3,100,'Dazes target',0,1),
(77569,260002,3,100,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',0,2),
(77570,260002,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(77571,260002,4,100,'Inflicts 171 - 209 mental damage on target',0,0),
(77572,260002,4,100,'Dazes target',0,1),
(77573,260002,4,100,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',0,2),
(77574,260002,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(77575,260002,5,100,'Inflicts 187 - 228 mental damage on target',0,0),
(77576,260002,5,100,'Dazes target',0,1),
(77577,260002,5,100,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',0,2),
(77578,260002,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(77579,260002,7,100,'Inflicts 240 - 293 mental damage on target',0,0),
(77580,260002,7,100,'Dazes target',0,1),
(77581,260002,7,100,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',0,2),
(77582,260002,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(77583,260002,9,100,'Inflicts 249 - 304 mental damage on target',0,0),
(77584,260002,9,100,'Dazes target',0,1),
(77585,260002,9,100,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',0,2),
(77586,260002,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(77587,260003,1,100,'Inflicts 207 - 253 mental damage on target',0,0),
(77588,260003,1,100,'Dazes target',0,1),
(77589,260003,1,100,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',0,2),
(77590,260003,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(77591,260003,2,100,'Inflicts 219 - 267 mental damage on target',0,0),
(77592,260003,2,100,'Dazes target',0,1),
(77593,260003,2,100,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',0,2),
(77594,260003,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(77595,260003,3,100,'Inflicts 230 - 282 mental damage on target',0,0),
(77596,260003,3,100,'Dazes target',0,1),
(77597,260003,3,100,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',0,2),
(77598,260003,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(77599,260003,4,100,'Inflicts 253 - 310 mental damage on target',0,0),
(77600,260003,4,100,'Dazes target',0,1),
(77601,260003,4,100,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',0,2),
(77602,260003,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(77603,260003,5,100,'Inflicts 276 - 338 mental damage on target',0,0),
(77604,260003,5,100,'Dazes target',0,1),
(77605,260003,5,100,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',0,2),
(77606,260003,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(77607,260003,7,100,'Inflicts 355 - 434 mental damage on target',0,0),
(77608,260003,7,100,'Dazes target',0,1),
(77609,260003,7,100,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',0,2),
(77610,260003,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(77611,260003,9,100,'Inflicts 369 - 451 mental damage on target',0,0),
(77612,260003,9,100,'Dazes target',0,1),
(77613,260003,9,100,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',0,2),
(77614,260003,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(77615,260004,1,100,'Inflicts 275 - 337 mental damage on target',0,0),
(77616,260004,1,100,'Dazes target',0,1),
(77617,260004,1,100,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',0,2),
(77618,260004,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(77619,260004,2,100,'Inflicts 291 - 355 mental damage on target',0,0),
(77620,260004,2,100,'Dazes target',0,1),
(77621,260004,2,100,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',0,2),
(77622,260004,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(77623,260004,3,100,'Inflicts 306 - 374 mental damage on target',0,0),
(77624,260004,3,100,'Dazes target',0,1),
(77625,260004,3,100,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',0,2),
(77626,260004,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(77627,260004,4,100,'Inflicts 337 - 411 mental damage on target',0,0),
(77628,260004,4,100,'Dazes target',0,1),
(77629,260004,4,100,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',0,2),
(77630,260004,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(77631,260004,5,100,'Inflicts 367 - 449 mental damage on target',0,0),
(77632,260004,5,100,'Dazes target',0,1),
(77633,260004,5,100,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',0,2),
(77634,260004,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(77635,260004,7,100,'Inflicts 471 - 576 mental damage on target',0,0),
(77636,260004,7,100,'Dazes target',0,1),
(77637,260004,7,100,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',0,2),
(77638,260004,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(77639,260004,9,100,'Inflicts 490 - 599 mental damage on target',0,0),
(77640,260004,9,100,'Dazes target',0,1),
(77641,260004,9,100,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',0,2),
(77642,260004,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(77643,260005,1,100,'Inflicts 339 - 415 mental damage on target',0,0),
(77644,260005,1,100,'Dazes target',0,1),
(77645,260005,1,100,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',0,2),
(77646,260005,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(77647,260005,2,100,'Inflicts 358 - 438 mental damage on target',0,0),
(77648,260005,2,100,'Dazes target',0,1),
(77649,260005,2,100,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',0,2),
(77650,260005,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(77651,260005,3,100,'Inflicts 377 - 461 mental damage on target',0,0),
(77652,260005,3,100,'Dazes target',0,1),
(77653,260005,3,100,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',0,2),
(77654,260005,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(77655,260005,4,100,'Inflicts 415 - 507 mental damage on target',0,0),
(77656,260005,4,100,'Dazes target',0,1),
(77657,260005,4,100,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',0,2),
(77658,260005,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(77659,260005,5,100,'Inflicts 453 - 553 mental damage on target',0,0),
(77660,260005,5,100,'Dazes target',0,1),
(77661,260005,5,100,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',0,2),
(77662,260005,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(77663,260005,7,100,'Inflicts 581 - 710 mental damage on target',0,0),
(77664,260005,7,100,'Dazes target',0,1),
(77665,260005,7,100,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',0,2),
(77666,260005,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(77667,260005,9,100,'Inflicts 603 - 737 mental damage on target',0,0),
(77668,260005,9,100,'Dazes target',0,1),
(77669,260005,9,100,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',0,2),
(77670,260005,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(77671,260006,1,100,'Inflicts 409 - 500 mental damage on target',0,0),
(77672,260006,1,100,'Dazes target',0,1),
(77673,260006,1,100,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',0,2),
(77674,260006,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(77675,260006,4,100,'Inflicts 500 - 611 mental damage on target',0,0),
(77676,260006,4,100,'Dazes target',0,1),
(77677,260006,4,100,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',0,2),
(77678,260006,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(77679,260006,5,100,'Inflicts 545 - 666 mental damage on target',0,0),
(77680,260006,5,100,'Dazes target',0,1),
(77681,260006,5,100,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',0,2),
(77682,260006,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(77683,260006,7,100,'Inflicts 700 - 855 mental damage on target',0,0),
(77684,260006,7,100,'Dazes target',0,1),
(77685,260006,7,100,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',0,2),
(77686,260006,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(77687,260006,9,100,'Inflicts 727 - 888 mental damage on target',0,0),
(77688,260006,9,100,'Dazes target',0,1),
(77689,260006,9,100,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',0,2),
(77690,260006,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(77691,260007,1,100,'Inflicts 444 - 542 mental damage on target',0,0),
(77692,260007,1,100,'Dazes target',0,1),
(77693,260007,1,100,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',0,2),
(77694,260007,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(77695,260007,4,100,'Inflicts 542 - 663 mental damage on target',0,0),
(77696,260007,4,100,'Dazes target',0,1),
(77697,260007,4,100,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',0,2),
(77698,260007,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(77699,260007,5,100,'Inflicts 592 - 723 mental damage on target',0,0),
(77700,260007,5,100,'Dazes target',0,1),
(77701,260007,5,100,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',0,2),
(77702,260007,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(77703,260007,7,100,'Inflicts 759 - 928 mental damage on target',0,0),
(77704,260007,7,100,'Dazes target',0,1),
(77705,260007,7,100,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',0,2),
(77706,260007,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(77707,260007,9,100,'Inflicts 789 - 964 mental damage on target',0,0),
(77708,260007,9,100,'Dazes target',0,1),
(77709,260007,9,100,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',0,2),
(77710,260007,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(77711,2000318,1,100,'Target mage or priest ally gains increased maximum health, physical mitigation (if they are a mage), attack speed, melee damage, and melee attack skills. Every time that ally attacks, their power is increased and hate is reduced. If the target is a priest, they are unable to cast beneficial spells for the duration of Animal Form.',0,0),
(77712,2000319,1,100,'Inflicts 3 - 4 piercing damage on target',0,0),
(77713,2000319,2,100,'Inflicts 3 - 4 piercing damage on target',0,0),
(77714,2000319,3,100,'Inflicts 3 - 4 piercing damage on target',0,0),
(77715,2000319,4,100,'Inflicts 3 - 5 piercing damage on target',0,0),
(77716,2000319,5,100,'Inflicts 3 - 5 piercing damage on target',0,0),
(77717,2000319,6,100,'Inflicts 4 - 5 piercing damage on target',0,0),
(77718,2000319,7,100,'Inflicts 4 - 6 piercing damage on target',0,0),
(77719,2000319,8,100,'Inflicts 4 - 7 piercing damage on target',0,0),
(77720,2000319,9,100,'Inflicts 4 - 7 piercing damage on target',0,0),
(77721,2000319,10,100,'Inflicts 5 - 7 piercing damage on target',0,0),
(77722,2000320,1,100,'Decreases threat priority of target by 24 positions',0,0),
(77723,290006,1,100,'Applies Antagonize to qualifying pets.',0,0),
(77724,290006,1,100,'Increases Potency of target by 1.8%',1,1),
(77725,290006,1,100,'Increases Haste of target by 16.5',1,2),
(77726,290006,1,100,'Decreases Defense and Parry of target by 4.9',1,3),
(77727,290006,1,100,'Increases Slashing, Piercing and Crushing of target by 3.0',1,4),
(77728,290006,2,100,'Applies Antagonize to qualifying pets.',0,0),
(77729,290006,2,100,'Increases Potency of target by 1.9%',1,1),
(77730,290006,2,100,'Increases Haste of target by 17.4',1,2),
(77731,290006,2,100,'Decreases Defense and Parry of target by 4.9',1,3),
(77732,290006,2,100,'Increases Slashing, Piercing and Crushing of target by 3.1',1,4),
(77733,290006,3,100,'Applies Antagonize to qualifying pets.',0,0),
(77734,290006,3,100,'Increases Potency of target by 2.0%',1,1),
(77735,290006,3,100,'Increases Haste of target by 18.3',1,2),
(77736,290006,3,100,'Decreases Defense and Parry of target by 4.9',1,3),
(77737,290006,3,100,'Increases Slashing, Piercing and Crushing of target by 3.3',1,4),
(77738,290006,4,100,'Applies Antagonize to qualifying pets.',0,0),
(77739,290006,4,100,'Increases Potency of target by 2.2%',1,1),
(77740,290006,4,100,'Increases Haste of target by 20.2',1,2),
(77741,290006,4,100,'Decreases Defense and Parry of target by 4.9',1,3),
(77742,290006,4,100,'Increases Slashing, Piercing and Crushing of target by 3.6',1,4),
(77743,290006,5,100,'Applies Antagonize to qualifying pets.',0,0),
(77744,290006,5,100,'Increases Potency of target by 2.4%',1,1),
(77745,290006,5,100,'Increases Haste of target by 22.0',1,2),
(77746,290006,5,100,'Decreases Defense and Parry of target by 4.9',1,3),
(77747,290006,5,100,'Increases Slashing, Piercing and Crushing of target by 4.0',1,4),
(77748,290006,7,100,'Applies Antagonize to qualifying pets.',0,0),
(77749,290006,7,100,'Increases Potency of target by 3.1%',1,1),
(77750,290006,7,100,'Increases Haste of target by 28.2',1,2),
(77751,290006,7,100,'Decreases Defense and Parry of target by 4.9',1,3),
(77752,290006,7,100,'Increases Slashing, Piercing and Crushing of target by 5.1',1,4),
(77753,290006,9,100,'Applies Antagonize to qualifying pets.',0,0),
(77754,290006,9,100,'Increases Potency of target by 3.2%',1,1),
(77755,290006,9,100,'Increases Haste of target by 29.3',1,2),
(77756,290006,9,100,'Decreases Defense and Parry of target by 4.9',1,3),
(77757,290006,9,100,'Increases Slashing, Piercing and Crushing of target by 5.3',1,4),
(77758,290006,10,100,'Applies Antagonize to qualifying pets.',0,0),
(77759,290006,10,100,'Increases Potency of target by 3.4%',1,1),
(77760,290006,10,100,'Increases Haste of target by 30.8',1,2),
(77761,290006,10,100,'Decreases Defense and Parry of target by 4.9',1,3),
(77762,290006,10,100,'Increases Slashing, Piercing and Crushing of target by 5.5',1,4),
(77763,290007,1,100,'Applies Antagonize to qualifying pets.',0,0),
(77764,290007,1,100,'Increases Potency of target by 2.1%',1,1),
(77765,290007,1,100,'Increases Haste of target by 20.7',1,2),
(77766,290007,1,100,'Decreases Defense and Parry of target by 11.3',1,3),
(77767,290007,1,100,'Increases Slashing, Piercing and Crushing of target by 6.7',1,4),
(77768,290007,2,100,'Applies Antagonize to qualifying pets.',0,0),
(77769,290007,2,100,'Increases Potency of target by 2.2%',1,1),
(77770,290007,2,100,'Increases Haste of target by 21.8',1,2),
(77771,290007,2,100,'Decreases Defense and Parry of target by 11.3',1,3),
(77772,290007,2,100,'Increases Slashing, Piercing and Crushing of target by 7.1',1,4),
(77773,290007,3,100,'Applies Antagonize to qualifying pets.',0,0),
(77774,290007,3,100,'Increases Potency of target by 2.3%',1,1),
(77775,290007,3,100,'Increases Haste of target by 23.0',1,2),
(77776,290007,3,100,'Decreases Defense and Parry of target by 11.3',1,3),
(77777,290007,3,100,'Increases Slashing, Piercing and Crushing of target by 7.5',1,4),
(77778,290007,4,100,'Applies Antagonize to qualifying pets.',0,0),
(77779,290007,4,100,'Increases Potency of target by 2.5%',1,1),
(77780,290007,4,100,'Increases Haste of target by 25.3',1,2),
(77781,290007,4,100,'Decreases Defense and Parry of target by 11.3',1,3),
(77782,290007,4,100,'Increases Slashing, Piercing and Crushing of target by 8.3',1,4),
(77783,290007,5,100,'Applies Antagonize to qualifying pets.',0,0),
(77784,290007,5,100,'Increases Potency of target by 2.8%',1,1),
(77785,290007,5,100,'Increases Haste of target by 27.6',1,2),
(77786,290007,5,100,'Decreases Defense and Parry of target by 11.3',1,3),
(77787,290007,5,100,'Increases Slashing, Piercing and Crushing of target by 9.0',1,4),
(77788,290007,7,100,'Applies Antagonize to qualifying pets.',0,0),
(77789,290007,7,100,'Increases Potency of target by 3.5%',1,1),
(77790,290007,7,100,'Increases Haste of target by 35.4',1,2),
(77791,290007,7,100,'Decreases Defense and Parry of target by 11.3',1,3),
(77792,290007,7,100,'Increases Slashing, Piercing and Crushing of target by 11.5',1,4),
(77793,290007,9,100,'Applies Antagonize to qualifying pets.',0,0),
(77794,290007,9,100,'Increases Potency of target by 3.7%',1,1),
(77795,290007,9,100,'Increases Haste of target by 36.8',1,2),
(77796,290007,9,100,'Decreases Defense and Parry of target by 11.3',1,3),
(77797,290007,9,100,'Increases Slashing, Piercing and Crushing of target by 12.0',1,4),
(77798,290008,1,100,'Applies Antagonize to qualifying pets.',0,0),
(77799,290008,1,100,'Increases Potency of target by 2.4%',1,1),
(77800,290008,1,100,'Increases Haste of target by 24.9',1,2),
(77801,290008,1,100,'Decreases Defense and Parry of target by 17.5',1,3),
(77802,290008,1,100,'Increases Slashing, Piercing and Crushing of target by 10.5',1,4),
(77803,290008,2,100,'Applies Antagonize to qualifying pets.',0,0),
(77804,290008,2,100,'Increases Potency of target by 2.5%',1,1),
(77805,290008,2,100,'Increases Haste of target by 26.3',1,2),
(77806,290008,2,100,'Decreases Defense and Parry of target by 17.5',1,3),
(77807,290008,2,100,'Increases Slashing, Piercing and Crushing of target by 11.1',1,4),
(77808,290008,3,100,'Applies Antagonize to qualifying pets.',0,0),
(77809,290008,3,100,'Increases Potency of target by 2.6%',1,1),
(77810,290008,3,100,'Increases Haste of target by 27.7',1,2),
(77811,290008,3,100,'Decreases Defense and Parry of target by 17.5',1,3),
(77812,290008,3,100,'Increases Slashing, Piercing and Crushing of target by 11.7',1,4),
(77813,290008,4,100,'Applies Antagonize to qualifying pets.',0,0),
(77814,290008,4,100,'Increases Potency of target by 2.9%',1,1),
(77815,290008,4,100,'Increases Haste of target by 30.4',1,2),
(77816,290008,4,100,'Decreases Defense and Parry of target by 17.5',1,3),
(77817,290008,4,100,'Increases Slashing, Piercing and Crushing of target by 12.9',1,4),
(77818,290008,5,100,'Applies Antagonize to qualifying pets.',0,0),
(77819,290008,5,100,'Increases Potency of target by 3.2%',1,1),
(77820,290008,5,100,'Increases Haste of target by 33.2',1,2),
(77821,290008,5,100,'Decreases Defense and Parry of target by 17.5',1,3),
(77822,290008,5,100,'Increases Slashing, Piercing and Crushing of target by 14.0',1,4),
(77823,290008,7,100,'Applies Antagonize to qualifying pets.',0,0),
(77824,290008,7,100,'Increases Potency of target by 4.1%',1,1),
(77825,290008,7,100,'Increases Haste of target by 42.6',1,2),
(77826,290008,7,100,'Decreases Defense and Parry of target by 17.5',1,3),
(77827,290008,7,100,'Increases Slashing, Piercing and Crushing of target by 18.0',1,4),
(77828,290008,9,100,'Applies Antagonize to qualifying pets.',0,0),
(77829,290008,9,100,'Increases Potency of target by 4.2%',1,1),
(77830,290008,9,100,'Increases Haste of target by 44.3',1,2),
(77831,290008,9,100,'Decreases Defense and Parry of target by 17.5',1,3),
(77832,290008,9,100,'Increases Slashing, Piercing and Crushing of target by 18.7',1,4),
(77833,290008,10,100,'Applies Antagonize to qualifying pets.',0,0),
(77834,290008,10,100,'Increases Potency of target by 4.4%',1,1),
(77835,290008,10,100,'Increases Haste of target by 46.5',1,2),
(77836,290008,10,100,'Decreases Defense and Parry of target by 17.5',1,3),
(77837,290008,10,100,'Increases Slashing, Piercing and Crushing of target by 19.7',1,4),
(77838,290009,1,100,'Applies Antagonize to qualifying pets.',0,0),
(77839,290009,1,100,'Increases Potency of target by 2.7%',1,1),
(77840,290009,1,100,'Increases Haste of target by 29.0',1,2),
(77841,290009,1,100,'Decreases Defense and Parry of target by 23.9',1,3),
(77842,290009,1,100,'Increases Slashing, Piercing and Crushing of target by 14.3',1,4),
(77843,290009,2,100,'Applies Antagonize to qualifying pets.',0,0),
(77844,290009,2,100,'Increases Potency of target by 2.9%',1,1),
(77845,290009,2,100,'Increases Haste of target by 30.7',1,2),
(77846,290009,2,100,'Decreases Defense and Parry of target by 23.9',1,3),
(77847,290009,2,100,'Increases Slashing, Piercing and Crushing of target by 15.1',1,4),
(77848,290009,3,100,'Applies Antagonize to qualifying pets.',0,0),
(77849,290009,3,100,'Increases Potency of target by 3.0%',1,1),
(77850,290009,3,100,'Increases Haste of target by 32.3',1,2),
(77851,290009,3,100,'Decreases Defense and Parry of target by 23.9',1,3),
(77852,290009,3,100,'Increases Slashing, Piercing and Crushing of target by 15.9',1,4),
(77853,290009,4,100,'Applies Antagonize to qualifying pets.',0,0),
(77854,290009,4,100,'Increases Potency of target by 3.3%',1,1),
(77855,290009,4,100,'Increases Haste of target by 35.5',1,2),
(77856,290009,4,100,'Decreases Defense and Parry of target by 23.9',1,3),
(77857,290009,4,100,'Increases Slashing, Piercing and Crushing of target by 17.5',1,4),
(77858,290009,5,100,'Applies Antagonize to qualifying pets.',0,0),
(77859,290009,5,100,'Increases Potency of target by 3.6%',1,1),
(77860,290009,5,100,'Increases Haste of target by 38.7',1,2),
(77861,290009,5,100,'Decreases Defense and Parry of target by 23.9',1,3),
(77862,290009,5,100,'Increases Slashing, Piercing and Crushing of target by 19.1',1,4),
(77863,290009,7,100,'Applies Antagonize to qualifying pets.',0,0),
(77864,290009,7,100,'Increases Potency of target by 4.6%',1,1),
(77865,290009,7,100,'Increases Haste of target by 49.7',1,2),
(77866,290009,7,100,'Decreases Defense and Parry of target by 23.9',1,3),
(77867,290009,7,100,'Increases Slashing, Piercing and Crushing of target by 24.5',1,4),
(77868,290009,9,100,'Applies Antagonize to qualifying pets.',0,0),
(77869,290009,9,100,'Increases Potency of target by 4.8%',1,1),
(77870,290009,9,100,'Increases Haste of target by 51.6',1,2),
(77871,290009,9,100,'Decreases Defense and Parry of target by 23.9',1,3),
(77872,290009,9,100,'Increases Slashing, Piercing and Crushing of target by 25.4',1,4),
(77873,290009,10,100,'Applies Antagonize to qualifying pets.',0,0),
(77874,290009,10,100,'Increases Potency of target by 5.1%',1,1),
(77875,290009,10,100,'Increases Haste of target by 54.2',1,2),
(77876,290009,10,100,'Decreases Defense and Parry of target by 23.9',1,3),
(77877,290009,10,100,'Increases Slashing, Piercing and Crushing of target by 26.7',1,4),
(77878,290010,1,100,'Applies Antagonize to qualifying pets.',0,0),
(77879,290010,1,100,'Increases Potency of target by 3.1%',1,1),
(77880,290010,1,100,'Increases Haste of target by 33.1',1,2),
(77881,290010,1,100,'Decreases Defense and Parry of target by 30.1',1,3),
(77882,290010,1,100,'Increases Slashing, Piercing and Crushing of target by 18.1',1,4),
(77883,290010,2,100,'Applies Antagonize to qualifying pets.',0,0),
(77884,290010,2,100,'Increases Potency of target by 3.3%',1,1),
(77885,290010,2,100,'Increases Haste of target by 35.0',1,2),
(77886,290010,2,100,'Decreases Defense and Parry of target by 30.1',1,3),
(77887,290010,2,100,'Increases Slashing, Piercing and Crushing of target by 19.1',1,4),
(77888,290010,3,100,'Applies Antagonize to qualifying pets.',0,0),
(77889,290010,3,100,'Increases Potency of target by 3.4%',1,1),
(77890,290010,3,100,'Increases Haste of target by 36.8',1,2),
(77891,290010,3,100,'Decreases Defense and Parry of target by 30.1',1,3),
(77892,290010,3,100,'Increases Slashing, Piercing and Crushing of target by 20.1',1,4),
(77893,290010,4,100,'Applies Antagonize to qualifying pets.',0,0),
(77894,290010,4,100,'Increases Potency of target by 3.8%',1,1),
(77895,290010,4,100,'Increases Haste of target by 40.5',1,2),
(77896,290010,4,100,'Decreases Defense and Parry of target by 30.1',1,3),
(77897,290010,4,100,'Increases Slashing, Piercing and Crushing of target by 22.1',1,4),
(77898,290010,5,100,'Applies Antagonize to qualifying pets.',0,0),
(77899,290010,5,100,'Increases Potency of target by 4.1%',1,1),
(77900,290010,5,100,'Increases Haste of target by 44.2',1,2),
(77901,290010,5,100,'Decreases Defense and Parry of target by 30.1',1,3),
(77902,290010,5,100,'Increases Slashing, Piercing and Crushing of target by 24.1',1,4),
(77903,290010,7,100,'Applies Antagonize to qualifying pets.',0,0),
(77904,290010,7,100,'Increases Potency of target by 5.3%',1,1),
(77905,290010,7,100,'Increases Haste of target by 56.7',1,2),
(77906,290010,7,100,'Decreases Defense and Parry of target by 30.1',1,3),
(77907,290010,7,100,'Increases Slashing, Piercing and Crushing of target by 31.0',1,4),
(77908,290010,9,100,'Applies Antagonize to qualifying pets.',0,0),
(77909,290010,9,100,'Increases Potency of target by 5.5%',1,1),
(77910,290010,9,100,'Increases Haste of target by 58.9',1,2),
(77911,290010,9,100,'Decreases Defense and Parry of target by 30.1',1,3),
(77912,290010,9,100,'Increases Slashing, Piercing and Crushing of target by 32.2',1,4),
(77913,290011,1,100,'Applies Antagonize to qualifying pets.',0,0),
(77914,290011,1,100,'Increases Potency of target by 3.5%',1,1),
(77915,290011,1,100,'Increases Haste of target by 36.3',1,2),
(77916,290011,1,100,'Decreases Defense and Parry of target by 36.3',1,3),
(77917,290011,1,100,'Increases Slashing, Piercing and Crushing of target by 21.8',1,4),
(77918,290011,2,100,'Applies Antagonize to qualifying pets.',0,0),
(77919,290011,2,100,'Increases Potency of target by 3.7%',1,1),
(77920,290011,2,100,'Increases Haste of target by 38.4',1,2),
(77921,290011,2,100,'Decreases Defense and Parry of target by 36.3',1,3),
(77922,290011,2,100,'Increases Slashing, Piercing and Crushing of target by 23.0',1,4),
(77923,290011,3,100,'Applies Antagonize to qualifying pets.',0,0),
(77924,290011,3,100,'Increases Potency of target by 3.9%',1,1),
(77925,290011,3,100,'Increases Haste of target by 40.4',1,2),
(77926,290011,3,100,'Decreases Defense and Parry of target by 36.3',1,3),
(77927,290011,3,100,'Increases Slashing, Piercing and Crushing of target by 24.2',1,4),
(77928,290011,4,100,'Applies Antagonize to qualifying pets.',0,0),
(77929,290011,4,100,'Increases Potency of target by 4.3%',1,1),
(77930,290011,4,100,'Increases Haste of target by 44.4',1,2),
(77931,290011,4,100,'Decreases Defense and Parry of target by 36.3',1,3),
(77932,290011,4,100,'Increases Slashing, Piercing and Crushing of target by 26.6',1,4),
(77933,290011,5,100,'Applies Antagonize to qualifying pets.',0,0),
(77934,290011,5,100,'Increases Potency of target by 4.7%',1,1),
(77935,290011,5,100,'Increases Haste of target by 48.4',1,2),
(77936,290011,5,100,'Decreases Defense and Parry of target by 36.3',1,3),
(77937,290011,5,100,'Increases Slashing, Piercing and Crushing of target by 29.0',1,4),
(77938,290011,7,100,'Applies Antagonize to qualifying pets.',0,0),
(77939,290011,7,100,'Increases Potency of target by 6.1%',1,1),
(77940,290011,7,100,'Increases Haste of target by 62.2',1,2),
(77941,290011,7,100,'Decreases Defense and Parry of target by 36.3',1,3),
(77942,290011,7,100,'Increases Slashing, Piercing and Crushing of target by 37.3',1,4),
(77943,290011,9,100,'Applies Antagonize to qualifying pets.',0,0),
(77944,290011,9,100,'Increases Potency of target by 6.3%',1,1),
(77945,290011,9,100,'Increases Haste of target by 64.6',1,2),
(77946,290011,9,100,'Decreases Defense and Parry of target by 36.3',1,3),
(77947,290011,9,100,'Increases Slashing, Piercing and Crushing of target by 38.7',1,4),
(77948,290012,1,100,'Applies Antagonize to qualifying pets.',0,0),
(77949,290012,1,100,'Increases Potency of target by 4.1%',1,1),
(77950,290012,1,100,'Increases Haste of target by 41.2',1,2),
(77951,290012,1,100,'Decreases Defense and Parry of target by 42.3',1,3),
(77952,290012,1,100,'Increases Slashing, Piercing and Crushing of target by 26.1',1,4),
(77953,290012,4,100,'Applies Antagonize to qualifying pets.',0,0),
(77954,290012,4,100,'Increases Potency of target by 5.0%',1,1),
(77955,290012,4,100,'Increases Haste of target by 50.4',1,2),
(77956,290012,4,100,'Decreases Defense and Parry of target by 42.3',1,3),
(77957,290012,4,100,'Increases Slashing, Piercing and Crushing of target by 31.9',1,4),
(77958,290012,5,100,'Applies Antagonize to qualifying pets.',0,0),
(77959,290012,5,100,'Increases Potency of target by 5.4%',1,1),
(77960,290012,5,100,'Increases Haste of target by 55.0',1,2),
(77961,290012,5,100,'Decreases Defense and Parry of target by 42.3',1,3),
(77962,290012,5,100,'Increases Slashing, Piercing and Crushing of target by 34.8',1,4),
(77963,290012,7,100,'Applies Antagonize to qualifying pets.',0,0),
(77964,290012,7,100,'Increases Potency of target by 6.9%',1,1),
(77965,290012,7,100,'Increases Haste of target by 70.5',1,2),
(77966,290012,7,100,'Decreases Defense and Parry of target by 42.3',1,3),
(77967,290012,7,100,'Increases Slashing, Piercing and Crushing of target by 44.7',1,4),
(77968,290012,9,100,'Applies Antagonize to qualifying pets.',0,0),
(77969,290012,9,100,'Increases Potency of target by 7.2%',1,1),
(77970,290012,9,100,'Increases Haste of target by 73.3',1,2),
(77971,290012,9,100,'Decreases Defense and Parry of target by 42.3',1,3),
(77972,290012,9,100,'Increases Slashing, Piercing and Crushing of target by 46.4',1,4),
(77973,290013,1,100,'Applies Antagonize to qualifying pets.',0,0),
(77974,290013,1,100,'Increases Potency of target by 4.6%',1,1),
(77975,290013,1,100,'Increases Haste of target by 44.5',1,2),
(77976,290013,1,100,'Decreases Defense and Parry of target by 48.3',1,3),
(77977,290013,1,100,'Increases Slashing, Piercing and Crushing of target by 30.6',1,4),
(77978,290013,4,100,'Applies Antagonize to qualifying pets.',0,0),
(77979,290013,4,100,'Increases Potency of target by 5.7%',1,1),
(77980,290013,4,100,'Increases Haste of target by 54.3',1,2),
(77981,290013,4,100,'Decreases Defense and Parry of target by 48.3',1,3),
(77982,290013,4,100,'Increases Slashing, Piercing and Crushing of target by 37.4',1,4),
(77983,290013,5,100,'Applies Antagonize to qualifying pets.',0,0),
(77984,290013,5,100,'Increases Potency of target by 6.2%',1,1),
(77985,290013,5,100,'Increases Haste of target by 59.3',1,2),
(77986,290013,5,100,'Decreases Defense and Parry of target by 48.3',1,3),
(77987,290013,5,100,'Increases Slashing, Piercing and Crushing of target by 40.8',1,4),
(77988,290013,7,100,'Applies Antagonize to qualifying pets.',0,0),
(77989,290013,7,100,'Increases Potency of target by 7.9%',1,1),
(77990,290013,7,100,'Increases Haste of target by 76.1',1,2),
(77991,290013,7,100,'Decreases Defense and Parry of target by 48.3',1,3),
(77992,290013,7,100,'Increases Slashing, Piercing and Crushing of target by 52.4',1,4),
(77993,290013,9,100,'Applies Antagonize to qualifying pets.',0,0),
(77994,290013,9,100,'Increases Potency of target by 8.3%',1,1),
(77995,290013,9,100,'Increases Haste of target by 79.0',1,2),
(77996,290013,9,100,'Decreases Defense and Parry of target by 48.3',1,3),
(77997,290013,9,100,'Increases Slashing, Piercing and Crushing of target by 54.4',1,4),
(77998,2000321,1,100,'Inflicts 1 - 2 piercing damage on target',0,0),
(77999,240020,1,100,'Inflicts 191 - 355 poison damage on target encounter instantly and every 1.5 seconds',0,0),
(78000,240020,2,100,'Inflicts 202 - 375 poison damage on target encounter instantly and every 1.5 seconds',0,0),
(78001,240020,3,100,'Inflicts 212 - 394 poison damage on target encounter instantly and every 1.5 seconds',0,0),
(78002,240020,4,100,'Inflicts 234 - 434 poison damage on target encounter instantly and every 1.5 seconds',0,0),
(78003,240020,5,100,'Inflicts 255 - 473 poison damage on target encounter instantly and every 1.5 seconds',0,0),
(78004,240020,7,100,'Inflicts 327 - 607 poison damage on target encounter instantly and every 1.5 seconds',0,0),
(78005,240020,9,100,'Inflicts 340 - 631 poison damage on target encounter instantly and every 1.5 seconds',0,0),
(78006,240021,1,100,'Inflicts 288 - 534 poison damage on target encounter instantly and every 1.5 seconds',0,0),
(78007,240021,2,100,'Inflicts 304 - 564 poison damage on target encounter instantly and every 1.5 seconds',0,0),
(78008,240021,3,100,'Inflicts 320 - 594 poison damage on target encounter instantly and every 1.5 seconds',0,0),
(78009,240021,4,100,'Inflicts 352 - 653 poison damage on target encounter instantly and every 1.5 seconds',0,0),
(78010,240021,5,100,'Inflicts 384 - 712 poison damage on target encounter instantly and every 1.5 seconds',0,0),
(78011,240021,7,100,'Inflicts 492 - 914 poison damage on target encounter instantly and every 1.5 seconds',0,0),
(78012,240021,9,100,'Inflicts 511 - 950 poison damage on target encounter instantly and every 1.5 seconds',0,0),
(78013,240022,1,100,'Inflicts 349 - 648 poison damage on target encounter instantly and every 1.5 seconds',0,0),
(78014,240022,2,100,'Inflicts 368 - 684 poison damage on target encounter instantly and every 1.5 seconds',0,0),
(78015,240022,3,100,'Inflicts 388 - 720 poison damage on target encounter instantly and every 1.5 seconds',0,0),
(78016,240022,4,100,'Inflicts 426 - 792 poison damage on target encounter instantly and every 1.5 seconds',0,0),
(78017,240022,5,100,'Inflicts 465 - 864 poison damage on target encounter instantly and every 1.5 seconds',0,0),
(78018,240022,7,100,'Inflicts 597 - 1108 poison damage on target encounter instantly and every 1.5 seconds',0,0),
(78019,240022,9,100,'Inflicts 620 - 1152 poison damage on target encounter instantly and every 1.5 seconds',0,0),
(78020,240023,1,100,'Inflicts 420 - 779 poison damage on target encounter instantly and every 1.5 seconds',0,0),
(78021,240023,4,100,'Inflicts 513 - 952 poison damage on target encounter instantly and every 1.5 seconds',0,0),
(78022,240023,5,100,'Inflicts 559 - 1039 poison damage on target encounter instantly and every 1.5 seconds',0,0),
(78023,240023,7,100,'Inflicts 718 - 1333 poison damage on target encounter instantly and every 1.5 seconds',0,0),
(78024,240023,9,100,'Inflicts 746 - 1385 poison damage on target encounter instantly and every 1.5 seconds',0,0),
(78025,240024,1,100,'Inflicts 445 - 827 poison damage on target encounter instantly and every 1.5 seconds',0,0),
(78026,240024,4,100,'Inflicts 544 - 1011 poison damage on target encounter instantly and every 1.5 seconds',0,0),
(78027,240024,5,100,'Inflicts 594 - 1102 poison damage on target encounter instantly and every 1.5 seconds',0,0),
(78028,240024,7,100,'Inflicts 762 - 1415 poison damage on target encounter instantly and every 1.5 seconds',0,0),
(78029,240024,9,100,'Inflicts 791 - 1470 poison damage on target encounter instantly and every 1.5 seconds',0,0),
(78030,110000,1,100,'Heals target for 1',0,0),
(78031,110000,1,100,'But your target is not diseased!',0,1),
(78032,210001,1,100,'Heals target for 1 - 2',0,0),
(78033,210001,1,100,'Stuns target',0,1),
(78034,210001,1,100,'If target is tutorial_ooze',1,2),
(78035,210001,1,100,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,3),
(78036,210001,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(78037,280000,1,100,'Allows target to breathe under water',0,0),
(78038,290014,1,100,'Summons 3 limited pets to aid the caster',0,0),
(78039,290014,2,100,'Summons 3 limited pets to aid the caster',0,0),
(78040,290014,3,100,'Summons 3 limited pets to aid the caster',0,0),
(78041,290014,4,100,'Summons 3 limited pets to aid the caster',0,0),
(78042,290014,5,100,'Summons 3 limited pets to aid the caster',0,0),
(78043,290014,7,100,'Summons 3 limited pets to aid the caster',0,0),
(78044,290014,9,100,'Summons 3 limited pets to aid the caster',0,0),
(78045,290014,10,100,'Summons 3 limited pets to aid the caster',0,0),
(78046,290015,1,100,'Summons 3 limited pets to aid the caster',0,0),
(78047,290015,2,100,'Summons 3 limited pets to aid the caster',0,0),
(78048,290015,3,100,'Summons 3 limited pets to aid the caster',0,0),
(78049,290015,4,100,'Summons 3 limited pets to aid the caster',0,0),
(78050,290015,5,100,'Summons 3 limited pets to aid the caster',0,0),
(78051,290015,7,100,'Summons 3 limited pets to aid the caster',0,0),
(78052,290015,9,100,'Summons 3 limited pets to aid the caster',0,0),
(78053,290016,1,100,'Summons 3 limited pets to aid the caster',0,0),
(78054,290016,2,100,'Summons 3 limited pets to aid the caster',0,0),
(78055,290016,3,100,'Summons 3 limited pets to aid the caster',0,0),
(78056,290016,4,100,'Summons 3 limited pets to aid the caster',0,0),
(78057,290016,5,100,'Summons 3 limited pets to aid the caster',0,0),
(78058,290016,7,100,'Summons 3 limited pets to aid the caster',0,0),
(78059,290016,9,100,'Summons 3 limited pets to aid the caster',0,0),
(78060,290016,10,100,'Summons 3 limited pets to aid the caster',0,0),
(78061,290017,1,100,'Summons 3 limited pets to aid the caster',0,0),
(78062,290017,1,100,'Summons 2 limited pets to aid the caster',0,1),
(78063,290017,2,100,'Summons 3 limited pets to aid the caster',0,0),
(78064,290017,2,100,'Summons 2 limited pets to aid the caster',0,1),
(78065,290017,3,100,'Summons 3 limited pets to aid the caster',0,0),
(78066,290017,3,100,'Summons 2 limited pets to aid the caster',0,1),
(78067,290017,4,100,'Summons 3 limited pets to aid the caster',0,0),
(78068,290017,4,100,'Summons 2 limited pets to aid the caster',0,1),
(78069,290017,5,100,'Summons 3 limited pets to aid the caster',0,0),
(78070,290017,5,100,'Summons 2 limited pets to aid the caster',0,1),
(78071,290017,7,100,'Summons 3 limited pets to aid the caster',0,0),
(78072,290017,7,100,'Summons 2 limited pets to aid the caster',0,1),
(78073,290017,9,100,'Summons 3 limited pets to aid the caster',0,0),
(78074,290017,9,100,'Summons 2 limited pets to aid the caster',0,1),
(78075,290018,1,100,'Summons 3 limited pets to aid the caster',0,0),
(78076,290018,2,100,'Summons 3 limited pets to aid the caster',0,0),
(78077,290018,3,100,'Summons 3 limited pets to aid the caster',0,0),
(78078,290018,4,100,'Summons 3 limited pets to aid the caster',0,0),
(78079,290018,5,100,'Summons 3 limited pets to aid the caster',0,0),
(78080,290018,7,100,'Summons 3 limited pets to aid the caster',0,0),
(78081,290018,9,100,'Summons 3 limited pets to aid the caster',0,0),
(78082,290019,1,100,'Summons 3 limited pets to aid the caster',0,0),
(78083,290019,4,100,'Summons 3 limited pets to aid the caster',0,0),
(78084,290019,5,100,'Summons 3 limited pets to aid the caster',0,0),
(78085,290019,7,100,'Summons 3 limited pets to aid the caster',0,0),
(78086,290019,9,100,'Summons 3 limited pets to aid the caster',0,0),
(78087,290020,1,100,'Summons 3 limited pets to aid the caster',0,0),
(78088,290020,4,100,'Summons 3 limited pets to aid the caster',0,0),
(78089,290020,5,100,'Summons 3 limited pets to aid the caster',0,0),
(78090,290020,7,100,'Summons 3 limited pets to aid the caster',0,0),
(78091,290020,9,100,'Summons 3 limited pets to aid the caster',0,0),
(78092,2000322,1,100,'Inflicts 1 heat damage on targets in Area of Effect instantly and every 3 seconds',0,0),
(78094,210002,1,100,'Begins a Heroic Opportunity',0,0),
(78095,210002,1,100,'Must be engaged in combat',0,1),
(78096,2000323,1,100,'Decreases threat priority of target by 1 position',0,0),
(78097,2000323,1,100,'Inflicts 921 - 1711 magic damage on target',0,1),
(78098,210003,1,100,'Roots target',0,0),
(78099,210003,1,100,'10% chance to dispel when target receives hostile action',0,1),
(78100,210003,1,100,'10% chance to dispel when target takes damage',0,2),
(78101,210003,1,100,'Does not affect Epic targets',0,3),
(78102,210003,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(78103,210003,2,100,'Roots target',0,0),
(78104,210003,2,100,'10% chance to dispel when target receives hostile action',0,1),
(78105,210003,2,100,'10% chance to dispel when target takes damage',0,2),
(78106,210003,2,100,'Does not affect Epic targets',0,3),
(78107,210003,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(78108,210003,3,100,'Roots target',0,0),
(78109,210003,3,100,'10% chance to dispel when target receives hostile action',0,1),
(78110,210003,3,100,'10% chance to dispel when target takes damage',0,2),
(78111,210003,3,100,'Does not affect Epic targets',0,3),
(78112,210003,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(78113,210003,4,100,'Roots target',0,0),
(78114,210003,4,100,'10% chance to dispel when target receives hostile action',0,1),
(78115,210003,4,100,'10% chance to dispel when target takes damage',0,2),
(78116,210003,4,100,'Does not affect Epic targets',0,3),
(78117,210003,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(78118,210003,5,100,'Roots target',0,0),
(78119,210003,5,100,'10% chance to dispel when target receives hostile action',0,1),
(78120,210003,5,100,'10% chance to dispel when target takes damage',0,2),
(78121,210003,5,100,'Does not affect Epic targets',0,3),
(78122,210003,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(78123,210003,7,100,'Roots target',0,0),
(78124,210003,7,100,'10% chance to dispel when target receives hostile action',0,1),
(78125,210003,7,100,'10% chance to dispel when target takes damage',0,2),
(78126,210003,7,100,'Does not affect Epic targets',0,3),
(78127,210003,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(78128,210003,9,100,'Roots target',0,0),
(78129,210003,9,100,'10% chance to dispel when target receives hostile action',0,1),
(78130,210003,9,100,'10% chance to dispel when target takes damage',0,2),
(78131,210003,9,100,'Does not affect Epic targets',0,3),
(78132,210003,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(78133,360061,1,100,'Applies Orchestrated Symphony.',0,0),
(78134,360061,2,100,'Applies Orchestrated Symphony.',0,0),
(78135,360061,3,100,'Applies Orchestrated Symphony.',0,0),
(78136,360061,4,100,'Applies Orchestrated Symphony.',0,0),
(78137,360061,5,100,'Applies Orchestrated Symphony.',0,0),
(78138,360061,7,100,'Applies Orchestrated Symphony.',0,0),
(78139,360061,9,100,'Applies Orchestrated Symphony.',0,0),
(78140,360062,1,100,'Applies Orchestrated Symphony.',0,0),
(78141,360062,2,100,'Applies Orchestrated Symphony.',0,0),
(78142,360062,3,100,'Applies Orchestrated Symphony.',0,0),
(78143,360062,4,100,'Applies Orchestrated Symphony.',0,0),
(78144,360062,5,100,'Applies Orchestrated Symphony.',0,0),
(78145,360062,7,100,'Applies Orchestrated Symphony.',0,0),
(78146,360062,9,100,'Applies Orchestrated Symphony.',0,0),
(78147,360063,1,100,'Applies Orchestrated Symphony.',0,0),
(78148,360063,2,100,'Applies Orchestrated Symphony.',0,0),
(78149,360063,3,100,'Applies Orchestrated Symphony.',0,0),
(78150,360063,4,100,'Applies Orchestrated Symphony.',0,0),
(78151,360063,5,100,'Applies Orchestrated Symphony.',0,0),
(78152,360063,7,100,'Applies Orchestrated Symphony.',0,0),
(78153,360063,9,100,'Applies Orchestrated Symphony.',0,0),
(78154,360063,10,100,'Applies Orchestrated Symphony.',0,0),
(78155,360064,1,100,'Applies Orchestrated Symphony.',0,0),
(78156,360064,2,100,'Applies Orchestrated Symphony.',0,0),
(78157,360064,3,100,'Applies Orchestrated Symphony.',0,0),
(78158,360064,4,100,'Applies Orchestrated Symphony.',0,0),
(78159,360064,5,100,'Applies Orchestrated Symphony.',0,0),
(78160,360064,7,100,'Applies Orchestrated Symphony.',0,0),
(78161,360064,9,100,'Applies Orchestrated Symphony.',0,0),
(78162,360064,10,100,'Applies Orchestrated Symphony.',0,0),
(78163,360065,1,100,'Applies Orchestrated Symphony.',0,0),
(78164,360065,2,100,'Applies Orchestrated Symphony.',0,0),
(78165,360065,3,100,'Applies Orchestrated Symphony.',0,0),
(78166,360065,4,100,'Applies Orchestrated Symphony.',0,0),
(78167,360065,5,100,'Applies Orchestrated Symphony.',0,0),
(78168,360065,7,100,'Applies Orchestrated Symphony.',0,0),
(78169,360065,9,100,'Applies Orchestrated Symphony.',0,0),
(78170,360066,1,100,'Applies Orchestrated Symphony.',0,0),
(78171,360066,4,100,'Applies Orchestrated Symphony.',0,0),
(78172,360066,5,100,'Applies Orchestrated Symphony.',0,0),
(78173,360066,7,100,'Applies Orchestrated Symphony.',0,0),
(78174,360066,9,100,'Applies Orchestrated Symphony.',0,0),
(78175,360066,10,100,'Applies Orchestrated Symphony.',0,0),
(78176,360067,1,100,'Applies Orchestrated Symphony.',0,0),
(78177,360067,4,100,'Applies Orchestrated Symphony.',0,0),
(78178,360067,5,100,'Applies Orchestrated Symphony.',0,0),
(78179,360067,7,100,'Applies Orchestrated Symphony.',0,0),
(78180,360067,9,100,'Applies Orchestrated Symphony.',0,0),
(78181,360067,10,100,'Applies Orchestrated Symphony.',0,0),
(78182,2000324,1,100,'Heals target for 14.7 - 17.9% of max health',0,0),
(78183,2000324,1,100,'This effect cannot be critically applied.',1,1),
(78184,2000324,1,100,'The healing of this spell cannot be modified except by direct means',0,2),
(78185,120001,1,100,'Heals target for 182 - 223',0,0),
(78186,120001,2,100,'Heals target for 192 - 235',0,0),
(78187,120001,3,100,'Heals target for 203 - 248',0,0),
(78188,120001,4,100,'Heals target for 223 - 272',0,0),
(78189,120001,5,100,'Heals target for 243 - 297',0,0),
(78190,120001,7,100,'Heals target for 312 - 381',0,0),
(78191,120001,9,100,'Heals target for 324 - 396',0,0),
(78192,360068,1,100,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',0,0),
(78193,360068,1,100,'Inflicts 31 - 51 mental damage on target',1,1),
(78194,360068,2,100,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',0,0),
(78195,360068,2,100,'Inflicts 33 - 54 mental damage on target',1,1),
(78196,360068,3,100,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',0,0),
(78197,360068,3,100,'Inflicts 34 - 57 mental damage on target',1,1),
(78198,360068,4,100,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',0,0),
(78199,360068,4,100,'Inflicts 38 - 63 mental damage on target',1,1),
(78200,360068,5,100,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',0,0),
(78201,360068,5,100,'Inflicts 41 - 68 mental damage on target',1,1),
(78202,360068,7,100,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',0,0),
(78203,360068,7,100,'Inflicts 53 - 88 mental damage on target',1,1),
(78204,360068,9,100,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',0,0),
(78205,360068,9,100,'Inflicts 55 - 91 mental damage on target',1,1),
(78206,360068,10,100,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',0,0),
(78207,360068,10,100,'Inflicts 57 - 96 mental damage on target',1,1),
(78208,360069,1,100,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',0,0),
(78209,360069,1,100,'Inflicts 54 - 89 mental damage on target',1,1),
(78210,360069,2,100,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',0,0),
(78211,360069,2,100,'Inflicts 56 - 94 mental damage on target',1,1),
(78212,360069,3,100,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',0,0),
(78213,360069,3,100,'Inflicts 59 - 99 mental damage on target',1,1),
(78214,360069,4,100,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',0,0),
(78215,360069,4,100,'Inflicts 65 - 109 mental damage on target',1,1),
(78216,360069,5,100,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',0,0),
(78217,360069,5,100,'Inflicts 71 - 119 mental damage on target',1,1),
(78218,360069,7,100,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',0,0),
(78219,360069,7,100,'Inflicts 92 - 153 mental damage on target',1,1),
(78220,360069,9,100,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',0,0),
(78221,360069,9,100,'Inflicts 95 - 159 mental damage on target',1,1),
(78222,360070,1,100,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',0,0),
(78223,360070,1,100,'Inflicts 80 - 134 mental damage on target',1,1),
(78224,360070,2,100,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',0,0),
(78225,360070,2,100,'Inflicts 85 - 141 mental damage on target',1,1),
(78226,360070,3,100,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',0,0),
(78227,360070,3,100,'Inflicts 89 - 149 mental damage on target',1,1),
(78228,360070,4,100,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',0,0),
(78229,360070,4,100,'Inflicts 98 - 164 mental damage on target',1,1),
(78230,360070,5,100,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',0,0),
(78231,360070,5,100,'Inflicts 107 - 178 mental damage on target',1,1),
(78232,360070,7,100,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',0,0),
(78233,360070,7,100,'Inflicts 137 - 229 mental damage on target',1,1),
(78234,360070,9,100,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',0,0),
(78235,360070,9,100,'Inflicts 143 - 238 mental damage on target',1,1),
(78236,360070,10,100,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',0,0),
(78237,360070,10,100,'Inflicts 150 - 250 mental damage on target',1,1),
(78238,360071,1,100,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',0,0),
(78239,360071,1,100,'Inflicts 109 - 181 mental damage on target',1,1),
(78240,360071,2,100,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',0,0),
(78241,360071,2,100,'Inflicts 115 - 191 mental damage on target',1,1),
(78242,360071,3,100,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',0,0),
(78243,360071,3,100,'Inflicts 121 - 201 mental damage on target',1,1),
(78244,360071,4,100,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',0,0),
(78245,360071,4,100,'Inflicts 133 - 221 mental damage on target',1,1),
(78246,360071,5,100,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',0,0),
(78247,360071,5,100,'Inflicts 145 - 242 mental damage on target',1,1),
(78248,360071,7,100,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',0,0),
(78249,360071,7,100,'Inflicts 186 - 310 mental damage on target',1,1),
(78250,360071,9,100,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',0,0),
(78251,360071,9,100,'Inflicts 193 - 322 mental damage on target',1,1),
(78252,360071,10,100,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',0,0),
(78253,360071,10,100,'Inflicts 203 - 338 mental damage on target',1,1),
(78254,360072,1,100,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',0,0),
(78255,360072,1,100,'Inflicts 134 - 223 mental damage on target',1,1),
(78256,360072,2,100,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',0,0),
(78257,360072,2,100,'Inflicts 141 - 235 mental damage on target',1,1),
(78258,360072,3,100,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',0,0),
(78259,360072,3,100,'Inflicts 149 - 248 mental damage on target',1,1),
(78260,360072,4,100,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',0,0),
(78261,360072,4,100,'Inflicts 163 - 272 mental damage on target',1,1),
(78262,360072,5,100,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',0,0),
(78263,360072,5,100,'Inflicts 178 - 297 mental damage on target',1,1),
(78264,360072,7,100,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',0,0),
(78265,360072,7,100,'Inflicts 229 - 381 mental damage on target',1,1),
(78266,360072,9,100,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',0,0),
(78267,360072,9,100,'Inflicts 238 - 396 mental damage on target',1,1),
(78268,360073,1,100,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',0,0),
(78269,360073,1,100,'Inflicts 161 - 269 mental damage on target',1,1),
(78270,360073,4,100,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',0,0),
(78271,360073,4,100,'Inflicts 197 - 329 mental damage on target',1,1),
(78272,360073,5,100,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',0,0),
(78273,360073,5,100,'Inflicts 215 - 359 mental damage on target',1,1),
(78274,360073,7,100,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',0,0),
(78275,360073,7,100,'Inflicts 276 - 460 mental damage on target',1,1),
(78276,360073,9,100,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',0,0),
(78277,360073,9,100,'Inflicts 287 - 478 mental damage on target',1,1),
(78278,360074,1,100,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',0,0),
(78279,360074,1,100,'Inflicts 182 - 303 mental damage on target',1,1),
(78280,360074,4,100,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',0,0),
(78281,360074,4,100,'Inflicts 222 - 370 mental damage on target',1,1),
(78282,360074,5,100,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',0,0),
(78283,360074,5,100,'Inflicts 242 - 404 mental damage on target',1,1),
(78284,360074,7,100,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',0,0),
(78285,360074,7,100,'Inflicts 311 - 518 mental damage on target',1,1),
(78286,360074,9,100,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',0,0),
(78287,360074,9,100,'Inflicts 323 - 538 mental damage on target',1,1),
(78288,170003,1,100,'Increases Max Health of group members (AE) by 21.6',0,0),
(78289,170003,1,100,'Increases Mitigation of group members (AE) vs physical damage by 93',0,1),
(78290,170003,1,100,'Increases Mitigation of group members (AE) vs physical damage by 93',0,2),
(78291,170003,1,100,'If not fighter',1,3),
(78292,170003,2,100,'Increases Max Health of group members (AE) by 22.8',0,0),
(78293,170003,2,100,'Increases Mitigation of group members (AE) vs physical damage by 98',0,1),
(78294,170003,2,100,'Increases Mitigation of group members (AE) vs physical damage by 98',0,2),
(78295,170003,2,100,'If not fighter',1,3),
(78296,170003,3,100,'Increases Max Health of group members (AE) by 24.0',0,0),
(78297,170003,3,100,'Increases Mitigation of group members (AE) vs physical damage by 103',0,1),
(78298,170003,3,100,'Increases Mitigation of group members (AE) vs physical damage by 103',0,2),
(78299,170003,3,100,'If not fighter',1,3),
(78300,170003,4,100,'Increases Max Health of group members (AE) by 26.4',0,0),
(78301,170003,4,100,'Increases Mitigation of group members (AE) vs physical damage by 114',0,1),
(78302,170003,4,100,'Increases Mitigation of group members (AE) vs physical damage by 114',0,2),
(78303,170003,4,100,'If not fighter',1,3),
(78304,170003,5,100,'Increases Max Health of group members (AE) by 28.8',0,0),
(78305,170003,5,100,'Increases Mitigation of group members (AE) vs physical damage by 124',0,1),
(78306,170003,5,100,'Increases Mitigation of group members (AE) vs physical damage by 124',0,2),
(78307,170003,5,100,'If not fighter',1,3),
(78308,170003,7,100,'Increases Max Health of group members (AE) by 37.0',0,0),
(78309,170003,7,100,'Increases Mitigation of group members (AE) vs physical damage by 159',0,1),
(78310,170003,7,100,'Increases Mitigation of group members (AE) vs physical damage by 145',0,2),
(78311,170003,7,100,'If not fighter',1,3),
(78312,170003,9,100,'Increases Max Health of group members (AE) by 38.4',0,0),
(78313,170003,9,100,'Increases Mitigation of group members (AE) vs physical damage by 166',0,1),
(78314,170003,9,100,'Increases Mitigation of group members (AE) vs physical damage by 166',0,2),
(78315,170003,9,100,'If not fighter',1,3),
(78316,170004,1,100,'Increases Max Health of group members (AE) by 73.3',0,0),
(78317,170004,1,100,'Increases Mitigation of group members (AE) vs physical damage by 201',0,1),
(78318,170004,1,100,'Increases Mitigation of group members (AE) vs physical damage by 201',0,2),
(78319,170004,1,100,'If not fighter',1,3),
(78320,170004,2,100,'Increases Max Health of group members (AE) by 77.3',0,0),
(78321,170004,2,100,'Increases Mitigation of group members (AE) vs physical damage by 212',0,1),
(78322,170004,2,100,'Increases Mitigation of group members (AE) vs physical damage by 212',0,2),
(78323,170004,2,100,'If not fighter',1,3),
(78324,170004,3,100,'Increases Max Health of group members (AE) by 81.4',0,0),
(78325,170004,3,100,'Increases Mitigation of group members (AE) vs physical damage by 223',0,1),
(78326,170004,3,100,'Increases Mitigation of group members (AE) vs physical damage by 223',0,2),
(78327,170004,3,100,'If not fighter',1,3),
(78328,170004,4,100,'Increases Max Health of group members (AE) by 89.5',0,0),
(78329,170004,4,100,'Increases Mitigation of group members (AE) vs physical damage by 245',0,1),
(78330,170004,4,100,'Increases Mitigation of group members (AE) vs physical damage by 245',0,2),
(78331,170004,4,100,'If not fighter',1,3),
(78332,170004,5,100,'Increases Max Health of group members (AE) by 97.7',0,0),
(78333,170004,5,100,'Increases Mitigation of group members (AE) vs physical damage by 267',0,1),
(78334,170004,5,100,'Increases Mitigation of group members (AE) vs physical damage by 267',0,2),
(78335,170004,5,100,'If not fighter',1,3),
(78336,170004,7,100,'Increases Max Health of group members (AE) by 125.4',0,0),
(78337,170004,7,100,'Increases Mitigation of group members (AE) vs physical damage by 343',0,1),
(78338,170004,7,100,'Increases Mitigation of group members (AE) vs physical damage by 312',0,2),
(78339,170004,7,100,'If not fighter',1,3),
(78340,170004,9,100,'Increases Max Health of group members (AE) by 130.2',0,0),
(78341,170004,9,100,'Increases Mitigation of group members (AE) vs physical damage by 357',0,1),
(78342,170004,9,100,'Increases Mitigation of group members (AE) vs physical damage by 357',0,2),
(78343,170004,9,100,'If not fighter',1,3),
(78344,170005,1,100,'Increases Max Health of group members (AE) by 179.2',0,0),
(78345,170005,1,100,'Increases Mitigation of group members (AE) vs physical damage by 342',0,1),
(78346,170005,1,100,'Increases Mitigation of group members (AE) vs physical damage by 342',0,2),
(78347,170005,1,100,'If not fighter',1,3),
(78348,170005,2,100,'Increases Max Health of group members (AE) by 189.1',0,0),
(78349,170005,2,100,'Increases Mitigation of group members (AE) vs physical damage by 361',0,1),
(78350,170005,2,100,'Increases Mitigation of group members (AE) vs physical damage by 361',0,2),
(78351,170005,2,100,'If not fighter',1,3),
(78352,170005,3,100,'Increases Max Health of group members (AE) by 199.1',0,0),
(78353,170005,3,100,'Increases Mitigation of group members (AE) vs physical damage by 380',0,1),
(78354,170005,3,100,'Increases Mitigation of group members (AE) vs physical damage by 380',0,2),
(78355,170005,3,100,'If not fighter',1,3),
(78356,170005,4,100,'Increases Max Health of group members (AE) by 219.0',0,0),
(78357,170005,4,100,'Increases Mitigation of group members (AE) vs physical damage by 417',0,1),
(78358,170005,4,100,'Increases Mitigation of group members (AE) vs physical damage by 417',0,2),
(78359,170005,4,100,'If not fighter',1,3),
(78360,170005,5,100,'Increases Max Health of group members (AE) by 238.9',0,0),
(78361,170005,5,100,'Increases Mitigation of group members (AE) vs physical damage by 455',0,1),
(78362,170005,5,100,'Increases Mitigation of group members (AE) vs physical damage by 455',0,2),
(78363,170005,5,100,'If not fighter',1,3),
(78364,170005,7,100,'Increases Max Health of group members (AE) by 306.6',0,0),
(78365,170005,7,100,'Increases Mitigation of group members (AE) vs physical damage by 584',0,1),
(78366,170005,7,100,'Increases Mitigation of group members (AE) vs physical damage by 531',0,2),
(78367,170005,7,100,'If not fighter',1,3),
(78368,170005,9,100,'Increases Max Health of group members (AE) by 318.6',0,0),
(78369,170005,9,100,'Increases Mitigation of group members (AE) vs physical damage by 607',0,1),
(78370,170005,9,100,'Increases Mitigation of group members (AE) vs physical damage by 607',0,2),
(78371,170005,9,100,'If not fighter',1,3),
(78372,170005,10,100,'Increases Max Health of group members (AE) by 334.5',0,0),
(78373,170005,10,100,'Increases Mitigation of group members (AE) vs physical damage by 638',0,1),
(78374,170005,10,100,'Increases Mitigation of group members (AE) vs physical damage by 626',0,2),
(78375,170005,10,100,'If not fighter',1,3),
(78376,170006,1,100,'Increases Max Health of group members (AE) by 287.5',0,0),
(78377,170006,1,100,'Increases Mitigation of group members (AE) vs physical damage by 486',0,1),
(78378,170006,1,100,'Increases Mitigation of group members (AE) vs physical damage by 486',0,2),
(78379,170006,1,100,'If not fighter',1,3),
(78380,170006,2,100,'Increases Max Health of group members (AE) by 303.5',0,0),
(78381,170006,2,100,'Increases Mitigation of group members (AE) vs physical damage by 513',0,1),
(78382,170006,2,100,'Increases Mitigation of group members (AE) vs physical damage by 513',0,2),
(78383,170006,2,100,'If not fighter',1,3),
(78384,170006,3,100,'Increases Max Health of group members (AE) by 319.5',0,0),
(78385,170006,3,100,'Increases Mitigation of group members (AE) vs physical damage by 541',0,1),
(78386,170006,3,100,'Increases Mitigation of group members (AE) vs physical damage by 541',0,2),
(78387,170006,3,100,'If not fighter',1,3),
(78388,170006,4,100,'Increases Max Health of group members (AE) by 351.5',0,0),
(78389,170006,4,100,'Increases Mitigation of group members (AE) vs physical damage by 595',0,1),
(78390,170006,4,100,'Increases Mitigation of group members (AE) vs physical damage by 595',0,2),
(78391,170006,4,100,'If not fighter',1,3),
(78392,170006,5,100,'Increases Max Health of group members (AE) by 383.4',0,0),
(78393,170006,5,100,'Increases Mitigation of group members (AE) vs physical damage by 649',0,1),
(78394,170006,5,100,'Increases Mitigation of group members (AE) vs physical damage by 649',0,2),
(78395,170006,5,100,'If not fighter',1,3),
(78396,170006,7,100,'Increases Max Health of group members (AE) by 492.0',0,0),
(78397,170006,7,100,'Increases Mitigation of group members (AE) vs physical damage by 832',0,1),
(78398,170006,7,100,'Increases Mitigation of group members (AE) vs physical damage by 757',0,2),
(78399,170006,7,100,'If not fighter',1,3),
(78400,170006,9,100,'Increases Max Health of group members (AE) by 511.2',0,0),
(78401,170006,9,100,'Increases Mitigation of group members (AE) vs physical damage by 865',0,1),
(78402,170006,9,100,'Increases Mitigation of group members (AE) vs physical damage by 865',0,2),
(78403,170006,9,100,'If not fighter',1,3),
(78404,170007,1,100,'Increases Max Health of group members (AE) by 380.8',0,0),
(78405,170007,1,100,'Increases Mitigation of group members (AE) vs physical damage by 631',0,1),
(78406,170007,1,100,'Increases Mitigation of group members (AE) vs physical damage by 631',0,2),
(78407,170007,1,100,'If not fighter',1,3),
(78408,170007,2,100,'Increases Max Health of group members (AE) by 401.9',0,0),
(78409,170007,2,100,'Increases Mitigation of group members (AE) vs physical damage by 666',0,1),
(78410,170007,2,100,'Increases Mitigation of group members (AE) vs physical damage by 666',0,2),
(78411,170007,2,100,'If not fighter',1,3),
(78412,170007,3,100,'Increases Max Health of group members (AE) by 423.1',0,0),
(78413,170007,3,100,'Increases Mitigation of group members (AE) vs physical damage by 702',0,1),
(78414,170007,3,100,'Increases Mitigation of group members (AE) vs physical damage by 702',0,2),
(78415,170007,3,100,'If not fighter',1,3),
(78416,170007,4,100,'Increases Max Health of group members (AE) by 465.4',0,0),
(78417,170007,4,100,'Increases Mitigation of group members (AE) vs physical damage by 772',0,1),
(78418,170007,4,100,'Increases Mitigation of group members (AE) vs physical damage by 772',0,2),
(78419,170007,4,100,'If not fighter',1,3),
(78420,170007,5,100,'Increases Max Health of group members (AE) by 507.7',0,0),
(78421,170007,5,100,'Increases Mitigation of group members (AE) vs physical damage by 842',0,1),
(78422,170007,5,100,'Increases Mitigation of group members (AE) vs physical damage by 842',0,2),
(78423,170007,5,100,'If not fighter',1,3),
(78424,170007,7,100,'Increases Max Health of group members (AE) by 651.6',0,0),
(78425,170007,7,100,'Increases Mitigation of group members (AE) vs physical damage by 1080',0,1),
(78426,170007,7,100,'Increases Mitigation of group members (AE) vs physical damage by 982',0,2),
(78427,170007,7,100,'If not fighter',1,3),
(78428,170007,9,100,'Increases Max Health of group members (AE) by 677.0',0,0),
(78429,170007,9,100,'Increases Mitigation of group members (AE) vs physical damage by 1122',0,1),
(78430,170007,9,100,'Increases Mitigation of group members (AE) vs physical damage by 1122',0,2),
(78431,170007,9,100,'If not fighter',1,3),
(78432,170008,1,100,'Increases Max Health of group members (AE) by 474.3',0,0),
(78433,170008,1,100,'Increases Mitigation of group members (AE) vs physical damage by 804',0,1),
(78434,170008,1,100,'Increases Mitigation of group members (AE) vs physical damage by 804',0,2),
(78435,170008,1,100,'If not fighter',1,3),
(78436,170008,2,100,'Increases Max Health of group members (AE) by 500.6',0,0),
(78437,170008,2,100,'Increases Mitigation of group members (AE) vs physical damage by 849',0,1),
(78438,170008,2,100,'Increases Mitigation of group members (AE) vs physical damage by 849',0,2),
(78439,170008,2,100,'If not fighter',1,3),
(78440,170008,3,100,'Increases Max Health of group members (AE) by 527.0',0,0),
(78441,170008,3,100,'Increases Mitigation of group members (AE) vs physical damage by 894',0,1),
(78442,170008,3,100,'Increases Mitigation of group members (AE) vs physical damage by 894',0,2),
(78443,170008,3,100,'If not fighter',1,3),
(78444,170008,4,100,'Increases Max Health of group members (AE) by 579.7',0,0),
(78445,170008,4,100,'Increases Mitigation of group members (AE) vs physical damage by 983',0,1),
(78446,170008,4,100,'Increases Mitigation of group members (AE) vs physical damage by 983',0,2),
(78447,170008,4,100,'If not fighter',1,3),
(78448,170008,5,100,'Increases Max Health of group members (AE) by 632.4',0,0),
(78449,170008,5,100,'Increases Mitigation of group members (AE) vs physical damage by 1072',0,1),
(78450,170008,5,100,'Increases Mitigation of group members (AE) vs physical damage by 1072',0,2),
(78451,170008,5,100,'If not fighter',1,3),
(78452,170008,7,100,'Increases Max Health of group members (AE) by 811.6',0,0),
(78453,170008,7,100,'Increases Mitigation of group members (AE) vs physical damage by 1376',0,1),
(78454,170008,7,100,'Increases Mitigation of group members (AE) vs physical damage by 1251',0,2),
(78455,170008,7,100,'If not fighter',1,3),
(78456,170008,9,100,'Increases Max Health of group members (AE) by 843.2',0,0),
(78457,170008,9,100,'Increases Mitigation of group members (AE) vs physical damage by 1430',0,1),
(78458,170008,9,100,'Increases Mitigation of group members (AE) vs physical damage by 1430',0,2),
(78459,170008,9,100,'If not fighter',1,3),
(78460,170009,1,100,'Increases Max Health of group members (AE) by 564.3',0,0),
(78461,170009,1,100,'Increases Mitigation of group members (AE) vs physical damage by 930',0,1),
(78462,170009,1,100,'Increases Mitigation of group members (AE) vs physical damage by 930',0,2),
(78463,170009,1,100,'If not fighter',1,3),
(78464,170009,4,100,'Increases Max Health of group members (AE) by 689.7',0,0),
(78465,170009,4,100,'Increases Mitigation of group members (AE) vs physical damage by 1137',0,1),
(78466,170009,4,100,'Increases Mitigation of group members (AE) vs physical damage by 1137',0,2),
(78467,170009,4,100,'If not fighter',1,3),
(78468,170009,5,100,'Increases Max Health of group members (AE) by 752.4',0,0),
(78469,170009,5,100,'Increases Mitigation of group members (AE) vs physical damage by 1240',0,1),
(78470,170009,5,100,'Increases Mitigation of group members (AE) vs physical damage by 1240',0,2),
(78471,170009,5,100,'If not fighter',1,3),
(78472,170009,7,100,'Increases Max Health of group members (AE) by 965.6',0,0),
(78473,170009,7,100,'Increases Mitigation of group members (AE) vs physical damage by 1592',0,1),
(78474,170009,7,100,'Increases Mitigation of group members (AE) vs physical damage by 1447',0,2),
(78475,170009,7,100,'If not fighter',1,3),
(78476,170009,9,100,'Increases Max Health of group members (AE) by 1,003.2',0,0),
(78477,170009,9,100,'Increases Mitigation of group members (AE) vs physical damage by 1654',0,1),
(78478,170009,9,100,'Increases Mitigation of group members (AE) vs physical damage by 1654',0,2),
(78479,170009,9,100,'If not fighter',1,3),
(78480,170009,10,100,'Increases Max Health of group members (AE) by 1,053.4',0,0),
(78481,170009,10,100,'Increases Mitigation of group members (AE) vs physical damage by 1736',0,1),
(78482,170009,10,100,'Increases Mitigation of group members (AE) vs physical damage by 1705',0,2),
(78483,170009,10,100,'If not fighter',1,3),
(78484,170010,1,100,'Increases the Stamina Bonus of Group members (AE) by 436.4',0,0),
(78485,170010,1,100,'Increases Mitigation of group members (AE) vs physical damage by 1070',0,1),
(78486,170010,1,100,'Increases Mitigation of group members (AE) vs physical damage by 1070',0,2),
(78487,170010,1,100,'If not fighter',1,3),
(78488,170010,4,100,'Increases the Stamina Bonus of Group members (AE) by 533.3',0,0),
(78489,170010,4,100,'Increases Mitigation of group members (AE) vs physical damage by 1308',0,1),
(78490,170010,4,100,'Increases Mitigation of group members (AE) vs physical damage by 1308',0,2),
(78491,170010,4,100,'If not fighter',1,3),
(78492,170010,5,100,'Increases the Stamina Bonus of Group members (AE) by 581.8',0,0),
(78493,170010,5,100,'Increases Mitigation of group members (AE) vs physical damage by 1427',0,1),
(78494,170010,5,100,'Increases Mitigation of group members (AE) vs physical damage by 1427',0,2),
(78495,170010,5,100,'If not fighter',1,3),
(78496,170010,7,100,'Increases the Stamina Bonus of Group members (AE) by 746.7',0,0),
(78497,170010,7,100,'Increases Mitigation of group members (AE) vs physical damage by 1831',0,1),
(78498,170010,7,100,'Increases Mitigation of group members (AE) vs physical damage by 1665',0,2),
(78499,170010,7,100,'If not fighter',1,3),
(78500,170010,9,100,'Increases the Stamina Bonus of Group members (AE) by 775.8',0,0),
(78501,170010,9,100,'Increases Mitigation of group members (AE) vs physical damage by 1903',0,1),
(78502,170010,9,100,'Increases Mitigation of group members (AE) vs physical damage by 1903',0,2),
(78503,170010,9,100,'If not fighter',1,3),
(78504,170010,10,100,'Increases the Stamina Bonus of Group members (AE) by 814.5',0,0),
(78505,170010,10,100,'Increases Mitigation of group members (AE) vs physical damage by 1998',0,1),
(78506,170010,10,100,'Increases Mitigation of group members (AE) vs physical damage by 1962',0,2),
(78507,170010,10,100,'If not fighter',1,3),
(78508,160000,1,100,'Increases Max Health of group members (AE) by 21.6',0,0),
(78509,160000,1,100,'If fighter',1,1),
(78510,160000,1,100,'Increases Mitigation of group members (AE) vs physical damage by 93',0,2),
(78511,160000,1,100,'If not fighter',1,3),
(78512,160000,2,100,'Increases Max Health of group members (AE) by 22.8',0,0),
(78513,160000,2,100,'If fighter',1,1),
(78514,160000,2,100,'Increases Mitigation of group members (AE) vs physical damage by 98',0,2),
(78515,160000,2,100,'If not fighter',1,3),
(78516,160000,3,100,'Increases Max Health of group members (AE) by 24.0',0,0),
(78517,160000,3,100,'If fighter',1,1),
(78518,160000,3,100,'Increases Mitigation of group members (AE) vs physical damage by 103',0,2),
(78519,160000,3,100,'If not fighter',1,3),
(78520,160000,4,100,'Increases Max Health of group members (AE) by 26.4',0,0),
(78521,160000,4,100,'If fighter',1,1),
(78522,160000,4,100,'Increases Mitigation of group members (AE) vs physical damage by 114',0,2),
(78523,160000,4,100,'If not fighter',1,3),
(78524,160000,5,100,'Increases Max Health of group members (AE) by 28.8',0,0),
(78525,160000,5,100,'If fighter',1,1),
(78526,160000,5,100,'Increases Mitigation of group members (AE) vs physical damage by 124',0,2),
(78527,160000,5,100,'If not fighter',1,3),
(78528,160000,7,100,'Increases Max Health of group members (AE) by 37.0',0,0),
(78529,160000,7,100,'If fighter',1,1),
(78530,160000,7,100,'Increases Mitigation of group members (AE) vs physical damage by 159',0,2),
(78531,160000,7,100,'If not fighter',1,3),
(78532,160000,9,100,'Increases Max Health of group members (AE) by 38.4',0,0),
(78533,160000,9,100,'If fighter',1,1),
(78534,160000,9,100,'Increases Mitigation of group members (AE) vs physical damage by 166',0,2),
(78535,160000,9,100,'If not fighter',1,3),
(78536,160001,1,100,'Increases Max Health of group members (AE) by 73.3',0,0),
(78537,160001,1,100,'If fighter',1,1),
(78538,160001,1,100,'Increases Mitigation of group members (AE) vs physical damage by 201',0,2),
(78539,160001,1,100,'If not fighter',1,3),
(78540,160001,2,100,'Increases Max Health of group members (AE) by 77.3',0,0),
(78541,160001,2,100,'If fighter',1,1),
(78542,160001,2,100,'Increases Mitigation of group members (AE) vs physical damage by 212',0,2),
(78543,160001,2,100,'If not fighter',1,3),
(78544,160001,3,100,'Increases Max Health of group members (AE) by 81.4',0,0),
(78545,160001,3,100,'If fighter',1,1),
(78546,160001,3,100,'Increases Mitigation of group members (AE) vs physical damage by 223',0,2),
(78547,160001,3,100,'If not fighter',1,3),
(78548,160001,4,100,'Increases Max Health of group members (AE) by 89.5',0,0),
(78549,160001,4,100,'If fighter',1,1),
(78550,160001,4,100,'Increases Mitigation of group members (AE) vs physical damage by 245',0,2),
(78551,160001,4,100,'If not fighter',1,3),
(78552,160001,5,100,'Increases Max Health of group members (AE) by 97.7',0,0),
(78553,160001,5,100,'If fighter',1,1),
(78554,160001,5,100,'Increases Mitigation of group members (AE) vs physical damage by 267',0,2),
(78555,160001,5,100,'If not fighter',1,3),
(78556,160001,7,100,'Increases Max Health of group members (AE) by 125.4',0,0),
(78557,160001,7,100,'If fighter',1,1),
(78558,160001,7,100,'Increases Mitigation of group members (AE) vs physical damage by 343',0,2),
(78559,160001,7,100,'If not fighter',1,3),
(78560,160001,9,100,'Increases Max Health of group members (AE) by 130.2',0,0),
(78561,160001,9,100,'If fighter',1,1),
(78562,160001,9,100,'Increases Mitigation of group members (AE) vs physical damage by 357',0,2),
(78563,160001,9,100,'If not fighter',1,3),
(78564,160002,1,100,'Increases Max Health of group members (AE) by 179.2',0,0),
(78565,160002,1,100,'If fighter',1,1),
(78566,160002,1,100,'Increases Mitigation of group members (AE) vs physical damage by 342',0,2),
(78567,160002,1,100,'If not fighter',1,3),
(78568,160002,2,100,'Increases Max Health of group members (AE) by 189.1',0,0),
(78569,160002,2,100,'If fighter',1,1),
(78570,160002,2,100,'Increases Mitigation of group members (AE) vs physical damage by 361',0,2),
(78571,160002,2,100,'If not fighter',1,3),
(78572,160002,3,100,'Increases Max Health of group members (AE) by 199.1',0,0),
(78573,160002,3,100,'If fighter',1,1),
(78574,160002,3,100,'Increases Mitigation of group members (AE) vs physical damage by 380',0,2),
(78575,160002,3,100,'If not fighter',1,3),
(78576,160002,4,100,'Increases Max Health of group members (AE) by 219.0',0,0),
(78577,160002,4,100,'If fighter',1,1),
(78578,160002,4,100,'Increases Mitigation of group members (AE) vs physical damage by 417',0,2),
(78579,160002,4,100,'If not fighter',1,3),
(78580,160002,5,100,'Increases Max Health of group members (AE) by 238.9',0,0),
(78581,160002,5,100,'If fighter',1,1),
(78582,160002,5,100,'Increases Mitigation of group members (AE) vs physical damage by 455',0,2),
(78583,160002,5,100,'If not fighter',1,3),
(78584,160002,7,100,'Increases Max Health of group members (AE) by 306.6',0,0),
(78585,160002,7,100,'If fighter',1,1),
(78586,160002,7,100,'Increases Mitigation of group members (AE) vs physical damage by 584',0,2),
(78587,160002,7,100,'If not fighter',1,3),
(78588,160002,9,100,'Increases Max Health of group members (AE) by 318.6',0,0),
(78589,160002,9,100,'If fighter',1,1),
(78590,160002,9,100,'Increases Mitigation of group members (AE) vs physical damage by 607',0,2),
(78591,160002,9,100,'If not fighter',1,3),
(78592,160002,10,100,'Increases Max Health of group members (AE) by 334.5',0,0),
(78593,160002,10,100,'If fighter',1,1),
(78594,160002,10,100,'Increases Mitigation of group members (AE) vs physical damage by 638',0,2),
(78595,160002,10,100,'If not fighter',1,3),
(78596,160003,1,100,'Increases Max Health of group members (AE) by 287.5',0,0),
(78597,160003,1,100,'If fighter',1,1),
(78598,160003,1,100,'Increases Mitigation of group members (AE) vs physical damage by 486',0,2),
(78599,160003,1,100,'If not fighter',1,3),
(78600,160003,2,100,'Increases Max Health of group members (AE) by 303.5',0,0),
(78601,160003,2,100,'If fighter',1,1),
(78602,160003,2,100,'Increases Mitigation of group members (AE) vs physical damage by 513',0,2),
(78603,160003,2,100,'If not fighter',1,3),
(78604,160003,3,100,'Increases Max Health of group members (AE) by 319.5',0,0),
(78605,160003,3,100,'If fighter',1,1),
(78606,160003,3,100,'Increases Mitigation of group members (AE) vs physical damage by 541',0,2),
(78607,160003,3,100,'If not fighter',1,3),
(78608,160003,4,100,'Increases Max Health of group members (AE) by 351.5',0,0),
(78609,160003,4,100,'If fighter',1,1),
(78610,160003,4,100,'Increases Mitigation of group members (AE) vs physical damage by 595',0,2),
(78611,160003,4,100,'If not fighter',1,3),
(78612,160003,5,100,'Increases Max Health of group members (AE) by 383.4',0,0),
(78613,160003,5,100,'If fighter',1,1),
(78614,160003,5,100,'Increases Mitigation of group members (AE) vs physical damage by 649',0,2),
(78615,160003,5,100,'If not fighter',1,3),
(78616,160003,7,100,'Increases Max Health of group members (AE) by 492.0',0,0),
(78617,160003,7,100,'If fighter',1,1),
(78618,160003,7,100,'Increases Mitigation of group members (AE) vs physical damage by 832',0,2),
(78619,160003,7,100,'If not fighter',1,3),
(78620,160003,9,100,'Increases Max Health of group members (AE) by 511.2',0,0),
(78621,160003,9,100,'If fighter',1,1),
(78622,160003,9,100,'Increases Mitigation of group members (AE) vs physical damage by 865',0,2),
(78623,160003,9,100,'If not fighter',1,3),
(78624,160004,1,100,'Increases Max Health of group members (AE) by 380.8',0,0),
(78625,160004,1,100,'If fighter',1,1),
(78626,160004,1,100,'Increases Mitigation of group members (AE) vs physical damage by 631',0,2),
(78627,160004,1,100,'If not fighter',1,3),
(78628,160004,2,100,'Increases Max Health of group members (AE) by 401.9',0,0),
(78629,160004,2,100,'If fighter',1,1),
(78630,160004,2,100,'Increases Mitigation of group members (AE) vs physical damage by 666',0,2),
(78631,160004,2,100,'If not fighter',1,3),
(78632,160004,3,100,'Increases Max Health of group members (AE) by 423.1',0,0),
(78633,160004,3,100,'If fighter',1,1),
(78634,160004,3,100,'Increases Mitigation of group members (AE) vs physical damage by 702',0,2),
(78635,160004,3,100,'If not fighter',1,3),
(78636,160004,4,100,'Increases Max Health of group members (AE) by 465.4',0,0),
(78637,160004,4,100,'If fighter',1,1),
(78638,160004,4,100,'Increases Mitigation of group members (AE) vs physical damage by 772',0,2),
(78639,160004,4,100,'If not fighter',1,3),
(78640,160004,5,100,'Increases Max Health of group members (AE) by 507.7',0,0),
(78641,160004,5,100,'If fighter',1,1),
(78642,160004,5,100,'Increases Mitigation of group members (AE) vs physical damage by 842',0,2),
(78643,160004,5,100,'If not fighter',1,3),
(78644,160004,7,100,'Increases Max Health of group members (AE) by 651.6',0,0),
(78645,160004,7,100,'If fighter',1,1),
(78646,160004,7,100,'Increases Mitigation of group members (AE) vs physical damage by 1080',0,2),
(78647,160004,7,100,'If not fighter',1,3),
(78648,160004,9,100,'Increases Max Health of group members (AE) by 677.0',0,0),
(78649,160004,9,100,'If fighter',1,1),
(78650,160004,9,100,'Increases Mitigation of group members (AE) vs physical damage by 1122',0,2),
(78651,160004,9,100,'If not fighter',1,3),
(78652,160005,1,100,'Increases Max Health of group members (AE) by 474.3',0,0),
(78653,160005,1,100,'If fighter',1,1),
(78654,160005,1,100,'Increases Mitigation of group members (AE) vs physical damage by 804',0,2),
(78655,160005,1,100,'If not fighter',1,3),
(78656,160005,2,100,'Increases Max Health of group members (AE) by 500.6',0,0),
(78657,160005,2,100,'If fighter',1,1),
(78658,160005,2,100,'Increases Mitigation of group members (AE) vs physical damage by 849',0,2),
(78659,160005,2,100,'If not fighter',1,3),
(78660,160005,3,100,'Increases Max Health of group members (AE) by 527.0',0,0),
(78661,160005,3,100,'If fighter',1,1),
(78662,160005,3,100,'Increases Mitigation of group members (AE) vs physical damage by 894',0,2),
(78663,160005,3,100,'If not fighter',1,3),
(78664,160005,4,100,'Increases Max Health of group members (AE) by 579.7',0,0),
(78665,160005,4,100,'If fighter',1,1),
(78666,160005,4,100,'Increases Mitigation of group members (AE) vs physical damage by 983',0,2),
(78667,160005,4,100,'If not fighter',1,3),
(78668,160005,5,100,'Increases Max Health of group members (AE) by 632.4',0,0),
(78669,160005,5,100,'If fighter',1,1),
(78670,160005,5,100,'Increases Mitigation of group members (AE) vs physical damage by 1072',0,2),
(78671,160005,5,100,'If not fighter',1,3),
(78672,160005,7,100,'Increases Max Health of group members (AE) by 811.6',0,0),
(78673,160005,7,100,'If fighter',1,1),
(78674,160005,7,100,'Increases Mitigation of group members (AE) vs physical damage by 1376',0,2),
(78675,160005,7,100,'If not fighter',1,3),
(78676,160005,9,100,'Increases Max Health of group members (AE) by 843.2',0,0),
(78677,160005,9,100,'If fighter',1,1),
(78678,160005,9,100,'Increases Mitigation of group members (AE) vs physical damage by 1430',0,2),
(78679,160005,9,100,'If not fighter',1,3),
(78680,160006,1,100,'Increases Max Health of group members (AE) by 564.3',0,0),
(78681,160006,1,100,'If fighter',1,1),
(78682,160006,1,100,'Increases Mitigation of group members (AE) vs physical damage by 930',0,2),
(78683,160006,1,100,'If not fighter',1,3),
(78684,160006,4,100,'Increases Max Health of group members (AE) by 689.7',0,0),
(78685,160006,4,100,'If fighter',1,1),
(78686,160006,4,100,'Increases Mitigation of group members (AE) vs physical damage by 1137',0,2),
(78687,160006,4,100,'If not fighter',1,3),
(78688,160006,5,100,'Increases Max Health of group members (AE) by 752.4',0,0),
(78689,160006,5,100,'If fighter',1,1),
(78690,160006,5,100,'Increases Mitigation of group members (AE) vs physical damage by 1240',0,2),
(78691,160006,5,100,'If not fighter',1,3),
(78692,160006,7,100,'Increases Max Health of group members (AE) by 965.6',0,0),
(78693,160006,7,100,'If fighter',1,1),
(78694,160006,7,100,'Increases Mitigation of group members (AE) vs physical damage by 1592',0,2),
(78695,160006,7,100,'If not fighter',1,3),
(78696,160006,9,100,'Increases Max Health of group members (AE) by 1,003.2',0,0),
(78697,160006,9,100,'If fighter',1,1),
(78698,160006,9,100,'Increases Mitigation of group members (AE) vs physical damage by 1654',0,2),
(78699,160006,9,100,'If not fighter',1,3),
(78700,160006,10,100,'Increases Max Health of group members (AE) by 1,053.4',0,0),
(78701,160006,10,100,'If fighter',1,1),
(78702,160006,10,100,'Increases Mitigation of group members (AE) vs physical damage by 1736',0,2),
(78703,160006,10,100,'If not fighter',1,3),
(78704,160007,1,100,'Increases the Stamina Bonus of Group members (AE) by 436.4',0,0),
(78705,160007,1,100,'If fighter',1,1),
(78706,160007,1,100,'Increases Mitigation of group members (AE) vs physical damage by 1070',0,2),
(78707,160007,1,100,'If not fighter',1,3),
(78708,160007,4,100,'Increases the Stamina Bonus of Group members (AE) by 533.3',0,0),
(78709,160007,4,100,'If fighter',1,1),
(78710,160007,4,100,'Increases Mitigation of group members (AE) vs physical damage by 1308',0,2),
(78711,160007,4,100,'If not fighter',1,3),
(78712,160007,5,100,'Increases the Stamina Bonus of Group members (AE) by 581.8',0,0),
(78713,160007,5,100,'If fighter',1,1),
(78714,160007,5,100,'Increases Mitigation of group members (AE) vs physical damage by 1427',0,2),
(78715,160007,5,100,'If not fighter',1,3),
(78716,160007,7,100,'Increases the Stamina Bonus of Group members (AE) by 746.7',0,0),
(78717,160007,7,100,'If fighter',1,1),
(78718,160007,7,100,'Increases Mitigation of group members (AE) vs physical damage by 1831',0,2),
(78719,160007,7,100,'If not fighter',1,3),
(78720,160007,9,100,'Increases the Stamina Bonus of Group members (AE) by 775.8',0,0),
(78721,160007,9,100,'If fighter',1,1),
(78722,160007,9,100,'Increases Mitigation of group members (AE) vs physical damage by 1903',0,2),
(78723,160007,9,100,'If not fighter',1,3),
(78724,160007,10,100,'Increases the Stamina Bonus of Group members (AE) by 814.5',0,0),
(78725,160007,10,100,'If fighter',1,1),
(78726,160007,10,100,'Increases Mitigation of group members (AE) vs physical damage by 1998',0,2),
(78727,160007,10,100,'If not fighter',1,3),
(78728,2000325,1,100,'Wards caster against 1 - 3 points of damage from all damage',0,0),
(78729,2000326,1,100,'Target has a 1.0% chance of having one of their weapons'' auto-attack strike the target multiple times.',0,0),
(78730,2000326,1,100,'Target has a 4.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,1),
(78731,2000326,2,100,'Target has a 2.0% chance of having one of their weapons'' auto-attack strike the target multiple times.',0,0),
(78732,2000326,2,100,'Target has a 8.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,1),
(78733,2000326,3,100,'Target has a 3.0% chance of having one of their weapons'' auto-attack strike the target multiple times.',0,0),
(78734,2000326,3,100,'Target has a 12.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,1),
(78735,2000326,4,100,'Target has a 4.0% chance of having one of their weapons'' auto-attack strike the target multiple times.',0,0),
(78736,2000326,4,100,'Target has a 16.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,1),
(78737,2000326,5,100,'Target has a 5.0% chance of having one of their weapons'' auto-attack strike the target multiple times.',0,0),
(78738,2000326,5,100,'Target has a 20.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,1),
(78739,240025,1,100,'Increases Max Power of group members (AE) by 20.8',0,0),
(78740,240025,1,100,'Increases Mitigation of group members (AE) vs noxious damage by 79',0,1),
(78741,240025,2,100,'Increases Max Power of group members (AE) by 21.9',0,0),
(78742,240025,2,100,'Increases Mitigation of group members (AE) vs noxious damage by 83',0,1),
(78743,240025,3,100,'Increases Max Power of group members (AE) by 23.1',0,0),
(78744,240025,3,100,'Increases Mitigation of group members (AE) vs noxious damage by 87',0,1),
(78745,240025,4,100,'Increases Max Power of group members (AE) by 25.4',0,0),
(78746,240025,4,100,'Increases Mitigation of group members (AE) vs noxious damage by 96',0,1),
(78747,240025,5,100,'Increases Max Power of group members (AE) by 27.7',0,0),
(78748,240025,5,100,'Increases Mitigation of group members (AE) vs noxious damage by 105',0,1),
(78749,240025,7,100,'Increases Max Power of group members (AE) by 35.6',0,0),
(78750,240025,7,100,'Increases Mitigation of group members (AE) vs noxious damage by 135',0,1),
(78751,240025,9,100,'Increases Max Power of group members (AE) by 37.0',0,0),
(78752,240025,9,100,'Increases Mitigation of group members (AE) vs noxious damage by 140',0,1),
(78753,240026,1,100,'Increases Max Power of group members (AE) by 64.8',0,0),
(78754,240026,1,100,'Increases Mitigation of group members (AE) vs noxious damage by 151',0,1),
(78755,240026,2,100,'Increases Max Power of group members (AE) by 68.4',0,0),
(78756,240026,2,100,'Increases Mitigation of group members (AE) vs noxious damage by 160',0,1),
(78757,240026,3,100,'Increases Max Power of group members (AE) by 72.0',0,0),
(78758,240026,3,100,'Increases Mitigation of group members (AE) vs noxious damage by 168',0,1),
(78759,240026,4,100,'Increases Max Power of group members (AE) by 79.2',0,0),
(78760,240026,4,100,'Increases Mitigation of group members (AE) vs noxious damage by 185',0,1),
(78761,240026,5,100,'Increases Max Power of group members (AE) by 86.4',0,0),
(78762,240026,5,100,'Increases Mitigation of group members (AE) vs noxious damage by 202',0,1),
(78763,240026,7,100,'Increases Max Power of group members (AE) by 110.9',0,0),
(78764,240026,7,100,'Increases Mitigation of group members (AE) vs noxious damage by 259',0,1),
(78765,240026,9,100,'Increases Max Power of group members (AE) by 115.2',0,0),
(78766,240026,9,100,'Increases Mitigation of group members (AE) vs noxious damage by 269',0,1),
(78767,240026,10,100,'Increases Max Power of group members (AE) by 121.0',0,0),
(78768,240026,10,100,'Increases Mitigation of group members (AE) vs noxious damage by 282',0,1),
(78769,240027,1,100,'Increases Max Power of group members (AE) by 148.5',0,0),
(78770,240027,1,100,'Increases Mitigation of group members (AE) vs noxious damage by 252',0,1),
(78771,240027,2,100,'Increases Max Power of group members (AE) by 156.8',0,0),
(78772,240027,2,100,'Increases Mitigation of group members (AE) vs noxious damage by 266',0,1),
(78773,240027,3,100,'Increases Max Power of group members (AE) by 165.0',0,0),
(78774,240027,3,100,'Increases Mitigation of group members (AE) vs noxious damage by 280',0,1),
(78775,240027,4,100,'Increases Max Power of group members (AE) by 181.5',0,0),
(78776,240027,4,100,'Increases Mitigation of group members (AE) vs noxious damage by 308',0,1),
(78777,240027,5,100,'Increases Max Power of group members (AE) by 198.0',0,0),
(78778,240027,5,100,'Increases Mitigation of group members (AE) vs noxious damage by 336',0,1),
(78779,240027,7,100,'Increases Max Power of group members (AE) by 254.1',0,0),
(78780,240027,7,100,'Increases Mitigation of group members (AE) vs noxious damage by 431',0,1),
(78781,240027,9,100,'Increases Max Power of group members (AE) by 264.0',0,0),
(78782,240027,9,100,'Increases Mitigation of group members (AE) vs noxious damage by 448',0,1),
(78783,240028,1,100,'Increases Max Power of group members (AE) by 227.3',0,0),
(78784,240028,1,100,'Increases Mitigation of group members (AE) vs noxious damage by 353',0,1),
(78785,240028,2,100,'Increases Max Power of group members (AE) by 240.0',0,0),
(78786,240028,2,100,'Increases Mitigation of group members (AE) vs noxious damage by 372',0,1),
(78787,240028,3,100,'Increases Max Power of group members (AE) by 252.6',0,0),
(78788,240028,3,100,'Increases Mitigation of group members (AE) vs noxious damage by 392',0,1),
(78789,240028,4,100,'Increases Max Power of group members (AE) by 277.9',0,0),
(78790,240028,4,100,'Increases Mitigation of group members (AE) vs noxious damage by 431',0,1),
(78791,240028,5,100,'Increases Max Power of group members (AE) by 303.1',0,0),
(78792,240028,5,100,'Increases Mitigation of group members (AE) vs noxious damage by 470',0,1),
(78793,240028,7,100,'Increases Max Power of group members (AE) by 389.0',0,0),
(78794,240028,7,100,'Increases Mitigation of group members (AE) vs noxious damage by 604',0,1),
(78795,240028,9,100,'Increases Max Power of group members (AE) by 404.2',0,0),
(78796,240028,9,100,'Increases Mitigation of group members (AE) vs noxious damage by 627',0,1),
(78797,240029,1,100,'Increases Max Power of group members (AE) by 293.7',0,0),
(78798,240029,1,100,'Increases Mitigation of group members (AE) vs noxious damage by 454',0,1),
(78799,240029,2,100,'Increases Max Power of group members (AE) by 310.0',0,0),
(78800,240029,2,100,'Increases Mitigation of group members (AE) vs noxious damage by 479',0,1),
(78801,240029,3,100,'Increases Max Power of group members (AE) by 326.3',0,0),
(78802,240029,3,100,'Increases Mitigation of group members (AE) vs noxious damage by 504',0,1),
(78803,240029,4,100,'Increases Max Power of group members (AE) by 359.0',0,0),
(78804,240029,4,100,'Increases Mitigation of group members (AE) vs noxious damage by 554',0,1),
(78805,240029,5,100,'Increases Max Power of group members (AE) by 391.6',0,0),
(78806,240029,5,100,'Increases Mitigation of group members (AE) vs noxious damage by 605',0,1),
(78807,240029,7,100,'Increases Max Power of group members (AE) by 502.6',0,0),
(78808,240029,7,100,'Increases Mitigation of group members (AE) vs noxious damage by 776',0,1),
(78809,240029,9,100,'Increases Max Power of group members (AE) by 522.1',0,0),
(78810,240029,9,100,'Increases Mitigation of group members (AE) vs noxious damage by 806',0,1),
(78811,240030,1,100,'Increases Max Power of group members (AE) by 349.6',0,0),
(78812,240030,1,100,'Increases Mitigation of group members (AE) vs noxious damage by 567',0,1),
(78813,240030,2,100,'Increases Max Power of group members (AE) by 369.1',0,0),
(78814,240030,2,100,'Increases Mitigation of group members (AE) vs noxious damage by 599',0,1),
(78815,240030,3,100,'Increases Max Power of group members (AE) by 388.5',0,0),
(78816,240030,3,100,'Increases Mitigation of group members (AE) vs noxious damage by 630',0,1),
(78817,240030,4,100,'Increases Max Power of group members (AE) by 427.4',0,0),
(78818,240030,4,100,'Increases Mitigation of group members (AE) vs noxious damage by 693',0,1),
(78819,240030,5,100,'Increases Max Power of group members (AE) by 466.2',0,0),
(78820,240030,5,100,'Increases Mitigation of group members (AE) vs noxious damage by 756',0,1),
(78821,240030,7,100,'Increases Max Power of group members (AE) by 598.3',0,0),
(78822,240030,7,100,'Increases Mitigation of group members (AE) vs noxious damage by 970',0,1),
(78823,240030,9,100,'Increases Max Power of group members (AE) by 621.6',0,0),
(78824,240030,9,100,'Increases Mitigation of group members (AE) vs noxious damage by 1008',0,1),
(78825,240030,10,100,'Increases Max Power of group members (AE) by 652.7',0,0),
(78826,240030,10,100,'Increases Mitigation of group members (AE) vs noxious damage by 1058',0,1),
(78827,240031,1,100,'Increases Max Power of group members (AE) by 396.3',0,0),
(78828,240031,1,100,'Increases Mitigation of group members (AE) vs noxious damage by 658',0,1),
(78829,240031,4,100,'Increases Max Power of group members (AE) by 484.3',0,0),
(78830,240031,4,100,'Increases Mitigation of group members (AE) vs noxious damage by 804',0,1),
(78831,240031,5,100,'Increases Max Power of group members (AE) by 528.4',0,0),
(78832,240031,5,100,'Increases Mitigation of group members (AE) vs noxious damage by 877',0,1),
(78833,240031,7,100,'Increases Max Power of group members (AE) by 678.1',0,0),
(78834,240031,7,100,'Increases Mitigation of group members (AE) vs noxious damage by 1126',0,1),
(78835,240031,9,100,'Increases Max Power of group members (AE) by 704.5',0,0),
(78836,240031,9,100,'Increases Mitigation of group members (AE) vs noxious damage by 1170',0,1),
(78837,240032,1,100,'Increases Max Power of group members (AE) by 442.9',0,0),
(78838,240032,1,100,'Increases Mitigation of group members (AE) vs noxious damage by 752',0,1),
(78839,240032,4,100,'Increases Max Power of group members (AE) by 541.3',0,0),
(78840,240032,4,100,'Increases Mitigation of group members (AE) vs noxious damage by 920',0,1),
(78841,240032,5,100,'Increases Max Power of group members (AE) by 590.5',0,0),
(78842,240032,5,100,'Increases Mitigation of group members (AE) vs noxious damage by 1003',0,1),
(78843,240032,7,100,'Increases Max Power of group members (AE) by 757.8',0,0),
(78844,240032,7,100,'Increases Mitigation of group members (AE) vs noxious damage by 1287',0,1),
(78845,240032,9,100,'Increases Max Power of group members (AE) by 787.4',0,0),
(78846,240032,9,100,'Increases Mitigation of group members (AE) vs noxious damage by 1338',0,1),
(78847,260008,1,100,'Increases Max Power of group members (AE) by 20.8',0,0),
(78848,260008,1,100,'Increases Mitigation of group members (AE) vs arcane damage by 79',0,1),
(78849,260008,2,100,'Increases Max Power of group members (AE) by 21.9',0,0),
(78850,260008,2,100,'Increases Mitigation of group members (AE) vs arcane damage by 83',0,1),
(78851,260008,3,100,'Increases Max Power of group members (AE) by 23.1',0,0),
(78852,260008,3,100,'Increases Mitigation of group members (AE) vs arcane damage by 87',0,1),
(78853,260008,4,100,'Increases Max Power of group members (AE) by 25.4',0,0),
(78854,260008,4,100,'Increases Mitigation of group members (AE) vs arcane damage by 96',0,1),
(78855,260008,5,100,'Increases Max Power of group members (AE) by 27.7',0,0),
(78856,260008,5,100,'Increases Mitigation of group members (AE) vs arcane damage by 105',0,1),
(78857,260008,7,100,'Increases Max Power of group members (AE) by 35.6',0,0),
(78858,260008,7,100,'Increases Mitigation of group members (AE) vs arcane damage by 135',0,1),
(78859,260008,9,100,'Increases Max Power of group members (AE) by 37.0',0,0),
(78860,260008,9,100,'Increases Mitigation of group members (AE) vs arcane damage by 140',0,1),
(78861,260009,1,100,'Increases Max Power of group members (AE) by 64.8',0,0),
(78862,260009,1,100,'Increases Mitigation of group members (AE) vs arcane damage by 151',0,1),
(78863,260009,2,100,'Increases Max Power of group members (AE) by 68.4',0,0),
(78864,260009,2,100,'Increases Mitigation of group members (AE) vs arcane damage by 160',0,1),
(78865,260009,3,100,'Increases Max Power of group members (AE) by 72.0',0,0),
(78866,260009,3,100,'Increases Mitigation of group members (AE) vs arcane damage by 168',0,1),
(78867,260009,4,100,'Increases Max Power of group members (AE) by 79.2',0,0),
(78868,260009,4,100,'Increases Mitigation of group members (AE) vs arcane damage by 185',0,1),
(78869,260009,5,100,'Increases Max Power of group members (AE) by 86.4',0,0),
(78870,260009,5,100,'Increases Mitigation of group members (AE) vs arcane damage by 202',0,1),
(78871,260009,7,100,'Increases Max Power of group members (AE) by 110.9',0,0),
(78872,260009,7,100,'Increases Mitigation of group members (AE) vs arcane damage by 259',0,1),
(78873,260009,9,100,'Increases Max Power of group members (AE) by 115.2',0,0),
(78874,260009,9,100,'Increases Mitigation of group members (AE) vs arcane damage by 269',0,1),
(78875,260009,10,100,'Increases Max Power of group members (AE) by 121.0',0,0),
(78876,260009,10,100,'Increases Mitigation of group members (AE) vs arcane damage by 282',0,1),
(78877,260010,1,100,'Increases Max Power of group members (AE) by 148.5',0,0),
(78878,260010,1,100,'Increases Mitigation of group members (AE) vs arcane damage by 252',0,1),
(78879,260010,2,100,'Increases Max Power of group members (AE) by 156.8',0,0),
(78880,260010,2,100,'Increases Mitigation of group members (AE) vs arcane damage by 266',0,1),
(78881,260010,3,100,'Increases Max Power of group members (AE) by 165.0',0,0),
(78882,260010,3,100,'Increases Mitigation of group members (AE) vs arcane damage by 280',0,1),
(78883,260010,4,100,'Increases Max Power of group members (AE) by 181.5',0,0),
(78884,260010,4,100,'Increases Mitigation of group members (AE) vs arcane damage by 308',0,1),
(78885,260010,5,100,'Increases Max Power of group members (AE) by 198.0',0,0),
(78886,260010,5,100,'Increases Mitigation of group members (AE) vs arcane damage by 336',0,1),
(78887,260010,7,100,'Increases Max Power of group members (AE) by 254.1',0,0),
(78888,260010,7,100,'Increases Mitigation of group members (AE) vs arcane damage by 431',0,1),
(78889,260010,9,100,'Increases Max Power of group members (AE) by 264.0',0,0),
(78890,260010,9,100,'Increases Mitigation of group members (AE) vs arcane damage by 448',0,1),
(78891,260011,1,100,'Increases Max Power of group members (AE) by 227.3',0,0),
(78892,260011,1,100,'Increases Mitigation of group members (AE) vs arcane damage by 353',0,1),
(78893,260011,2,100,'Increases Max Power of group members (AE) by 240.0',0,0),
(78894,260011,2,100,'Increases Mitigation of group members (AE) vs arcane damage by 372',0,1),
(78895,260011,3,100,'Increases Max Power of group members (AE) by 252.6',0,0),
(78896,260011,3,100,'Increases Mitigation of group members (AE) vs arcane damage by 392',0,1),
(78897,260011,4,100,'Increases Max Power of group members (AE) by 277.9',0,0),
(78898,260011,4,100,'Increases Mitigation of group members (AE) vs arcane damage by 431',0,1),
(78899,260011,5,100,'Increases Max Power of group members (AE) by 303.1',0,0),
(78900,260011,5,100,'Increases Mitigation of group members (AE) vs arcane damage by 470',0,1),
(78901,260011,7,100,'Increases Max Power of group members (AE) by 389.0',0,0),
(78902,260011,7,100,'Increases Mitigation of group members (AE) vs arcane damage by 604',0,1),
(78903,260011,9,100,'Increases Max Power of group members (AE) by 404.2',0,0),
(78904,260011,9,100,'Increases Mitigation of group members (AE) vs arcane damage by 627',0,1),
(78905,260012,1,100,'Increases Max Power of group members (AE) by 293.7',0,0),
(78906,260012,1,100,'Increases Mitigation of group members (AE) vs arcane damage by 454',0,1),
(78907,260012,2,100,'Increases Max Power of group members (AE) by 310.0',0,0),
(78908,260012,2,100,'Increases Mitigation of group members (AE) vs arcane damage by 479',0,1),
(78909,260012,3,100,'Increases Max Power of group members (AE) by 326.3',0,0),
(78910,260012,3,100,'Increases Mitigation of group members (AE) vs arcane damage by 504',0,1),
(78911,260012,4,100,'Increases Max Power of group members (AE) by 359.0',0,0),
(78912,260012,4,100,'Increases Mitigation of group members (AE) vs arcane damage by 554',0,1),
(78913,260012,5,100,'Increases Max Power of group members (AE) by 391.6',0,0),
(78914,260012,5,100,'Increases Mitigation of group members (AE) vs arcane damage by 605',0,1),
(78915,260012,7,100,'Increases Max Power of group members (AE) by 502.6',0,0),
(78916,260012,7,100,'Increases Mitigation of group members (AE) vs arcane damage by 776',0,1),
(78917,260012,9,100,'Increases Max Power of group members (AE) by 522.1',0,0),
(78918,260012,9,100,'Increases Mitigation of group members (AE) vs arcane damage by 806',0,1),
(78919,260013,1,100,'Increases Max Power of group members (AE) by 349.6',0,0),
(78920,260013,1,100,'Increases Mitigation of group members (AE) vs arcane damage by 567',0,1),
(78921,260013,2,100,'Increases Max Power of group members (AE) by 369.1',0,0),
(78922,260013,2,100,'Increases Mitigation of group members (AE) vs arcane damage by 599',0,1),
(78923,260013,3,100,'Increases Max Power of group members (AE) by 388.5',0,0),
(78924,260013,3,100,'Increases Mitigation of group members (AE) vs arcane damage by 630',0,1),
(78925,260013,4,100,'Increases Max Power of group members (AE) by 427.4',0,0),
(78926,260013,4,100,'Increases Mitigation of group members (AE) vs arcane damage by 693',0,1),
(78927,260013,5,100,'Increases Max Power of group members (AE) by 466.2',0,0),
(78928,260013,5,100,'Increases Mitigation of group members (AE) vs arcane damage by 756',0,1),
(78929,260013,7,100,'Increases Max Power of group members (AE) by 598.3',0,0),
(78930,260013,7,100,'Increases Mitigation of group members (AE) vs arcane damage by 970',0,1),
(78931,260013,9,100,'Increases Max Power of group members (AE) by 621.6',0,0),
(78932,260013,9,100,'Increases Mitigation of group members (AE) vs arcane damage by 1008',0,1),
(78933,260013,10,100,'Increases Max Power of group members (AE) by 652.7',0,0),
(78934,260013,10,100,'Increases Mitigation of group members (AE) vs arcane damage by 1058',0,1),
(78935,260014,1,100,'Increases Max Power of group members (AE) by 396.3',0,0),
(78936,260014,1,100,'Increases Mitigation of group members (AE) vs arcane damage by 658',0,1),
(78937,260014,4,100,'Increases Max Power of group members (AE) by 484.3',0,0),
(78938,260014,4,100,'Increases Mitigation of group members (AE) vs arcane damage by 804',0,1),
(78939,260014,5,100,'Increases Max Power of group members (AE) by 528.4',0,0),
(78940,260014,5,100,'Increases Mitigation of group members (AE) vs arcane damage by 877',0,1),
(78941,260014,7,100,'Increases Max Power of group members (AE) by 678.1',0,0),
(78942,260014,7,100,'Increases Mitigation of group members (AE) vs arcane damage by 1126',0,1),
(78943,260014,9,100,'Increases Max Power of group members (AE) by 704.5',0,0),
(78944,260014,9,100,'Increases Mitigation of group members (AE) vs arcane damage by 1170',0,1),
(78945,260015,1,100,'Increases Max Power of group members (AE) by 442.9',0,0),
(78946,260015,1,100,'Increases Mitigation of group members (AE) vs arcane damage by 752',0,1),
(78947,260015,4,100,'Increases Max Power of group members (AE) by 541.3',0,0),
(78948,260015,4,100,'Increases Mitigation of group members (AE) vs arcane damage by 920',0,1),
(78949,260015,5,100,'Increases Max Power of group members (AE) by 590.5',0,0),
(78950,260015,5,100,'Increases Mitigation of group members (AE) vs arcane damage by 1003',0,1),
(78951,260015,7,100,'Increases Max Power of group members (AE) by 757.8',0,0),
(78952,260015,7,100,'Increases Mitigation of group members (AE) vs arcane damage by 1287',0,1),
(78953,260015,9,100,'Increases Max Power of group members (AE) by 787.4',0,0),
(78954,260015,9,100,'Increases Mitigation of group members (AE) vs arcane damage by 1338',0,1),
(78955,160008,1,100,'Increases STA of target by 2.8',0,0),
(78956,160008,1,100,'Increases WIS of target by 8.9',0,1),
(78957,160008,1,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 28',0,2),
(78958,160008,2,100,'Increases STA of target by 3.0',0,0),
(78959,160008,2,100,'Increases WIS of target by 9.4',0,1),
(78960,160008,2,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 29',0,2),
(78961,160008,3,100,'Increases STA of target by 3.1',0,0),
(78962,160008,3,100,'Increases WIS of target by 9.9',0,1),
(78963,160008,3,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 31',0,2),
(78964,160008,4,100,'Increases STA of target by 3.4',0,0),
(78965,160008,4,100,'Increases WIS of target by 10.9',0,1),
(78966,160008,4,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 34',0,2),
(78967,160008,5,100,'Increases STA of target by 3.7',0,0),
(78968,160008,5,100,'Increases WIS of target by 11.9',0,1),
(78969,160008,5,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 37',0,2),
(78970,160008,7,100,'Increases STA of target by 4.8',0,0),
(78971,160008,7,100,'Increases WIS of target by 15.2',0,1),
(78972,160008,7,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 47',0,2),
(78973,160008,9,100,'Increases STA of target by 5.0',0,0),
(78974,160008,9,100,'Increases WIS of target by 15.8',0,1),
(78975,160008,9,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 49',0,2),
(78976,160009,1,100,'Increases STA of target by 9.1',0,0),
(78977,160009,1,100,'Increases WIS of target by 17.8',0,1),
(78978,160009,1,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 111',0,2),
(78979,160009,2,100,'Increases STA of target by 9.6',0,0),
(78980,160009,2,100,'Increases WIS of target by 18.8',0,1),
(78981,160009,2,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 117',0,2),
(78982,160009,3,100,'Increases STA of target by 10.1',0,0),
(78983,160009,3,100,'Increases WIS of target by 19.8',0,1),
(78984,160009,3,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 123',0,2),
(78985,160009,4,100,'Increases STA of target by 11.2',0,0),
(78986,160009,4,100,'Increases WIS of target by 21.8',0,1),
(78987,160009,4,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 135',0,2),
(78988,160009,5,100,'Increases STA of target by 12.2',0,0),
(78989,160009,5,100,'Increases WIS of target by 23.8',0,1),
(78990,160009,5,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 147',0,2),
(78991,160009,7,100,'Increases STA of target by 15.6',0,0),
(78992,160009,7,100,'Increases WIS of target by 30.5',0,1),
(78993,160009,7,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 189',0,2),
(78994,160009,9,100,'Increases STA of target by 16.2',0,0),
(78995,160009,9,100,'Increases WIS of target by 31.7',0,1),
(78996,160009,9,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 197',0,2),
(78997,160010,1,100,'Increases STA of target by 23.4',0,0),
(78998,160010,1,100,'Increases WIS of target by 31.0',0,1),
(78999,160010,1,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 207',0,2),
(79000,160010,2,100,'Increases STA of target by 24.7',0,0),
(79001,160010,2,100,'Increases WIS of target by 32.8',0,1),
(79002,160010,2,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 219',0,2),
(79003,160010,3,100,'Increases STA of target by 26.0',0,0),
(79004,160010,3,100,'Increases WIS of target by 34.5',0,1),
(79005,160010,3,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 230',0,2),
(79006,160010,4,100,'Increases STA of target by 28.5',0,0),
(79007,160010,4,100,'Increases WIS of target by 38.0',0,1),
(79008,160010,4,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 253',0,2),
(79009,160010,5,100,'Increases STA of target by 31.1',0,0),
(79010,160010,5,100,'Increases WIS of target by 41.4',0,1),
(79011,160010,5,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 276',0,2),
(79012,160010,7,100,'Increases STA of target by 40.0',0,0),
(79013,160010,7,100,'Increases WIS of target by 53.1',0,1),
(79014,160010,7,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 355',0,2),
(79015,160010,9,100,'Increases STA of target by 41.5',0,0),
(79016,160010,9,100,'Increases WIS of target by 55.2',0,1),
(79017,160010,9,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 369',0,2),
(79018,160011,1,100,'Increases STA of target by 39.7',0,0),
(79019,160011,1,100,'Increases WIS of target by 46.2',0,1),
(79020,160011,1,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 304',0,2),
(79021,160011,2,100,'Increases STA of target by 41.9',0,0),
(79022,160011,2,100,'Increases WIS of target by 48.7',0,1),
(79023,160011,2,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 321',0,2),
(79024,160011,3,100,'Increases STA of target by 44.1',0,0),
(79025,160011,3,100,'Increases WIS of target by 51.3',0,1),
(79026,160011,3,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 338',0,2),
(79027,160011,4,100,'Increases STA of target by 48.5',0,0),
(79028,160011,4,100,'Increases WIS of target by 56.4',0,1),
(79029,160011,4,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 372',0,2),
(79030,160011,5,100,'Increases STA of target by 52.9',0,0),
(79031,160011,5,100,'Increases WIS of target by 61.6',0,1),
(79032,160011,5,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 406',0,2),
(79033,160011,7,100,'Increases STA of target by 67.9',0,0),
(79034,160011,7,100,'Increases WIS of target by 79.0',0,1),
(79035,160011,7,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 520',0,2),
(79036,160011,9,100,'Increases STA of target by 70.6',0,0),
(79037,160011,9,100,'Increases WIS of target by 82.1',0,1),
(79038,160011,9,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 541',0,2),
(79039,160012,1,100,'Increases STA of target by 54.2',0,0),
(79040,160012,1,100,'Increases WIS of target by 61.3',0,1),
(79041,160012,1,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 401',0,2),
(79042,160012,2,100,'Increases STA of target by 57.3',0,0),
(79043,160012,2,100,'Increases WIS of target by 64.7',0,1),
(79044,160012,2,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 423',0,2),
(79045,160012,3,100,'Increases STA of target by 60.3',0,0),
(79046,160012,3,100,'Increases WIS of target by 68.1',0,1),
(79047,160012,3,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 445',0,2),
(79048,160012,4,100,'Increases STA of target by 66.3',0,0),
(79049,160012,4,100,'Increases WIS of target by 74.9',0,1),
(79050,160012,4,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 490',0,2),
(79051,160012,5,100,'Increases STA of target by 72.3',0,0),
(79052,160012,5,100,'Increases WIS of target by 81.7',0,1),
(79053,160012,5,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 535',0,2),
(79054,160012,7,100,'Increases STA of target by 92.8',0,0),
(79055,160012,7,100,'Increases WIS of target by 104.9',0,1),
(79056,160012,7,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 686',0,2),
(79057,160012,9,100,'Increases STA of target by 96.4',0,0),
(79058,160012,9,100,'Increases WIS of target by 109.0',0,1),
(79059,160012,9,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 713',0,2),
(79060,160013,1,100,'Increases STA of target by 68.4',0,0),
(79061,160013,1,100,'Increases WIS of target by 77.2',0,1),
(79062,160013,1,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 498',0,2),
(79063,160013,2,100,'Increases STA of target by 72.2',0,0),
(79064,160013,2,100,'Increases WIS of target by 81.5',0,1),
(79065,160013,2,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 525',0,2),
(79066,160013,3,100,'Increases STA of target by 76.1',0,0),
(79067,160013,3,100,'Increases WIS of target by 85.8',0,1),
(79068,160013,3,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 553',0,2),
(79069,160013,4,100,'Increases STA of target by 83.7',0,0),
(79070,160013,4,100,'Increases WIS of target by 94.4',0,1),
(79071,160013,4,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 608',0,2),
(79072,160013,5,100,'Increases STA of target by 91.3',0,0),
(79073,160013,5,100,'Increases WIS of target by 103.0',0,1),
(79074,160013,5,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 664',0,2),
(79075,160013,7,100,'Increases STA of target by 117.1',0,0),
(79076,160013,7,100,'Increases WIS of target by 132.1',0,1),
(79077,160013,7,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 852',0,2),
(79078,160013,9,100,'Increases STA of target by 121.7',0,0),
(79079,160013,9,100,'Increases WIS of target by 137.3',0,1),
(79080,160013,9,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 885',0,2),
(79081,160014,1,100,'Increases STA of target by 81.9',0,0),
(79082,160014,1,100,'Increases WIS of target by 92.1',0,1),
(79083,160014,1,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 567',0,2),
(79084,160014,4,100,'Increases STA of target by 100.2',0,0),
(79085,160014,4,100,'Increases WIS of target by 112.5',0,1),
(79086,160014,4,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 693',0,2),
(79087,160014,5,100,'Increases STA of target by 109.3',0,0),
(79088,160014,5,100,'Increases WIS of target by 122.8',0,1),
(79089,160014,5,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 756',0,2),
(79090,160014,7,100,'Increases STA of target by 140.2',0,0),
(79091,160014,7,100,'Increases WIS of target by 157.5',0,1),
(79092,160014,7,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 970',0,2),
(79093,160014,9,100,'Increases STA of target by 145.7',0,0),
(79094,160014,9,100,'Increases WIS of target by 163.7',0,1),
(79095,160014,9,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1008',0,2),
(79096,160014,10,100,'Increases STA of target by 153.0',0,0),
(79097,160014,10,100,'Increases WIS of target by 171.9',0,1),
(79098,160014,10,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1058',0,2),
(79099,160015,1,100,'Increases STA of target by 95.4',0,0),
(79100,160015,1,100,'Increases WIS of target by 106.9',0,1),
(79101,160015,1,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 636',0,2),
(79102,160015,4,100,'Increases STA of target by 116.7',0,0),
(79103,160015,4,100,'Increases WIS of target by 130.7',0,1),
(79104,160015,4,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 777',0,2),
(79105,160015,5,100,'Increases STA of target by 127.3',0,0),
(79106,160015,5,100,'Increases WIS of target by 142.6',0,1),
(79107,160015,5,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 848',0,2),
(79108,160015,7,100,'Increases STA of target by 163.3',0,0),
(79109,160015,7,100,'Increases WIS of target by 183.0',0,1),
(79110,160015,7,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1088',0,2),
(79111,160015,9,100,'Increases STA of target by 169.7',0,0),
(79112,160015,9,100,'Increases WIS of target by 190.1',0,1),
(79113,160015,9,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1130',0,2),
(79114,270003,1,100,'Applies Forceful Headache on termination.',0,0),
(79115,270003,1,100,'Inflicts 58 - 97 mental damage on target',1,1),
(79116,270003,1,100,'If over 50% power',2,2),
(79117,270003,1,100,'Inflicts 23 - 29 mental damage on target instantly and every 6 seconds',0,3),
(79118,270003,1,100,'Decreases Mitigation of target vs arcane damage by 141',0,4),
(79119,270003,2,100,'Applies Forceful Headache on termination.',0,0),
(79120,270003,2,100,'Inflicts 62 - 103 mental damage on target',1,1),
(79121,270003,2,100,'If over 50% power',2,2),
(79122,270003,2,100,'Inflicts 25 - 30 mental damage on target instantly and every 6 seconds',0,3),
(79123,270003,2,100,'Decreases Mitigation of target vs arcane damage by 149',0,4),
(79124,270003,3,100,'Applies Forceful Headache on termination.',0,0),
(79125,270003,3,100,'Inflicts 65 - 108 mental damage on target',1,1),
(79126,270003,3,100,'If over 50% power',2,2),
(79127,270003,3,100,'Inflicts 26 - 32 mental damage on target instantly and every 6 seconds',0,3),
(79128,270003,3,100,'Decreases Mitigation of target vs arcane damage by 157',0,4),
(79129,270003,4,100,'Applies Forceful Headache on termination.',0,0),
(79130,270003,4,100,'Inflicts 71 - 119 mental damage on target',1,1),
(79131,270003,4,100,'If over 50% power',2,2),
(79132,270003,4,100,'Inflicts 29 - 35 mental damage on target instantly and every 6 seconds',0,3),
(79133,270003,4,100,'Decreases Mitigation of target vs arcane damage by 172',0,4),
(79134,270003,5,100,'Applies Forceful Headache on termination.',0,0),
(79135,270003,5,100,'Inflicts 78 - 130 mental damage on target',1,1),
(79136,270003,5,100,'If over 50% power',2,2),
(79137,270003,5,100,'Inflicts 31 - 38 mental damage on target instantly and every 6 seconds',0,3),
(79138,270003,5,100,'Decreases Mitigation of target vs arcane damage by 188',0,4),
(79139,270003,7,100,'Applies Forceful Headache on termination.',0,0),
(79140,270003,7,100,'Inflicts 100 - 166 mental damage on target',1,1),
(79141,270003,7,100,'If over 50% power',2,2),
(79142,270003,7,100,'Inflicts 40 - 49 mental damage on target instantly and every 6 seconds',0,3),
(79143,270003,7,100,'Decreases Mitigation of target vs arcane damage by 241',0,4),
(79144,270003,9,100,'Applies Forceful Headache on termination.',0,0),
(79145,270003,9,100,'Inflicts 104 - 173 mental damage on target',1,1),
(79146,270003,9,100,'If over 50% power',2,2),
(79147,270003,9,100,'Inflicts 41 - 51 mental damage on target instantly and every 6 seconds',0,3),
(79148,270003,9,100,'Decreases Mitigation of target vs arcane damage by 251',0,4),
(79149,270003,10,100,'Applies Forceful Headache on termination.',0,0),
(79150,270003,10,100,'Inflicts 109 - 182 mental damage on target',1,1),
(79151,270003,10,100,'If over 50% power',2,2),
(79152,270003,10,100,'Inflicts 44 - 53 mental damage on target instantly and every 6 seconds',0,3),
(79153,270003,10,100,'Decreases Mitigation of target vs arcane damage by 263',0,4),
(79154,270004,1,100,'Applies Forceful Headache on termination.',0,0),
(79155,270004,1,100,'Inflicts 122 - 203 mental damage on target',1,1),
(79156,270004,1,100,'If over 50% power',2,2),
(79157,270004,1,100,'Inflicts 49 - 59 mental damage on target instantly and every 6 seconds',0,3),
(79158,270004,1,100,'Decreases Mitigation of target vs arcane damage by 252',0,4),
(79159,270004,2,100,'Applies Forceful Headache on termination.',0,0),
(79160,270004,2,100,'Inflicts 128 - 214 mental damage on target',1,1),
(79161,270004,2,100,'If over 50% power',2,2),
(79162,270004,2,100,'Inflicts 51 - 63 mental damage on target instantly and every 6 seconds',0,3),
(79163,270004,2,100,'Decreases Mitigation of target vs arcane damage by 266',0,4),
(79164,270004,3,100,'Applies Forceful Headache on termination.',0,0),
(79165,270004,3,100,'Inflicts 135 - 225 mental damage on target',1,1),
(79166,270004,3,100,'If over 50% power',2,2),
(79167,270004,3,100,'Inflicts 54 - 66 mental damage on target instantly and every 6 seconds',0,3),
(79168,270004,3,100,'Decreases Mitigation of target vs arcane damage by 280',0,4),
(79169,270004,4,100,'Applies Forceful Headache on termination.',0,0),
(79170,270004,4,100,'Inflicts 149 - 248 mental damage on target',1,1),
(79171,270004,4,100,'If over 50% power',2,2),
(79172,270004,4,100,'Inflicts 59 - 73 mental damage on target instantly and every 6 seconds',0,3),
(79173,270004,4,100,'Decreases Mitigation of target vs arcane damage by 308',0,4),
(79174,270004,5,100,'Applies Forceful Headache on termination.',0,0),
(79175,270004,5,100,'Inflicts 162 - 270 mental damage on target',1,1),
(79176,270004,5,100,'If over 50% power',2,2),
(79177,270004,5,100,'Inflicts 65 - 79 mental damage on target instantly and every 6 seconds',0,3),
(79178,270004,5,100,'Decreases Mitigation of target vs arcane damage by 336',0,4),
(79179,270004,7,100,'Applies Forceful Headache on termination.',0,0),
(79180,270004,7,100,'Inflicts 208 - 347 mental damage on target',1,1),
(79181,270004,7,100,'If over 50% power',2,2),
(79182,270004,7,100,'Inflicts 83 - 102 mental damage on target instantly and every 6 seconds',0,3),
(79183,270004,7,100,'Decreases Mitigation of target vs arcane damage by 431',0,4),
(79184,270004,9,100,'Applies Forceful Headache on termination.',0,0),
(79185,270004,9,100,'Inflicts 216 - 360 mental damage on target',1,1),
(79186,270004,9,100,'If over 50% power',2,2),
(79187,270004,9,100,'Inflicts 86 - 106 mental damage on target instantly and every 6 seconds',0,3),
(79188,270004,9,100,'Decreases Mitigation of target vs arcane damage by 448',0,4),
(79189,270005,1,100,'Applies Forceful Headache on termination.',0,0),
(79190,270005,1,100,'Inflicts 192 - 320 mental damage on target',1,1),
(79191,270005,1,100,'If over 50% power',2,2),
(79192,270005,1,100,'Inflicts 77 - 94 mental damage on target instantly and every 6 seconds',0,3),
(79193,270005,1,100,'Decreases Mitigation of target vs arcane damage by 378',0,4),
(79194,270005,2,100,'Applies Forceful Headache on termination.',0,0),
(79195,270005,2,100,'Inflicts 203 - 338 mental damage on target',1,1),
(79196,270005,2,100,'If over 50% power',2,2),
(79197,270005,2,100,'Inflicts 81 - 99 mental damage on target instantly and every 6 seconds',0,3),
(79198,270005,2,100,'Decreases Mitigation of target vs arcane damage by 399',0,4),
(79199,270005,3,100,'Applies Forceful Headache on termination.',0,0),
(79200,270005,3,100,'Inflicts 214 - 356 mental damage on target',1,1),
(79201,270005,3,100,'If over 50% power',2,2),
(79202,270005,3,100,'Inflicts 85 - 104 mental damage on target instantly and every 6 seconds',0,3),
(79203,270005,3,100,'Decreases Mitigation of target vs arcane damage by 420',0,4),
(79204,270005,4,100,'Applies Forceful Headache on termination.',0,0),
(79205,270005,4,100,'Inflicts 235 - 392 mental damage on target',1,1),
(79206,270005,4,100,'If over 50% power',2,2),
(79207,270005,4,100,'Inflicts 94 - 115 mental damage on target instantly and every 6 seconds',0,3),
(79208,270005,4,100,'Decreases Mitigation of target vs arcane damage by 462',0,4),
(79209,270005,5,100,'Applies Forceful Headache on termination.',0,0),
(79210,270005,5,100,'Inflicts 256 - 427 mental damage on target',1,1),
(79211,270005,5,100,'If over 50% power',2,2),
(79212,270005,5,100,'Inflicts 103 - 125 mental damage on target instantly and every 6 seconds',0,3),
(79213,270005,5,100,'Decreases Mitigation of target vs arcane damage by 504',0,4),
(79214,270005,7,100,'Applies Forceful Headache on termination.',0,0),
(79215,270005,7,100,'Inflicts 329 - 548 mental damage on target',1,1),
(79216,270005,7,100,'If over 50% power',2,2),
(79217,270005,7,100,'Inflicts 132 - 161 mental damage on target instantly and every 6 seconds',0,3),
(79218,270005,7,100,'Decreases Mitigation of target vs arcane damage by 647',0,4),
(79219,270005,9,100,'Applies Forceful Headache on termination.',0,0),
(79220,270005,9,100,'Inflicts 342 - 570 mental damage on target',1,1),
(79221,270005,9,100,'If over 50% power',2,2),
(79222,270005,9,100,'Inflicts 137 - 167 mental damage on target instantly and every 6 seconds',0,3),
(79223,270005,9,100,'Decreases Mitigation of target vs arcane damage by 672',0,4),
(79224,270006,1,100,'Applies Forceful Headache on termination.',0,0),
(79225,270006,1,100,'Inflicts 277 - 462 mental damage on target',1,1),
(79226,270006,1,100,'If over 50% power',2,2),
(79227,270006,1,100,'Inflicts 111 - 136 mental damage on target instantly and every 6 seconds',0,3),
(79228,270006,1,100,'Decreases Mitigation of target vs arcane damage by 504',0,4),
(79229,270006,2,100,'Applies Forceful Headache on termination.',0,0),
(79230,270006,2,100,'Inflicts 293 - 488 mental damage on target',1,1),
(79231,270006,2,100,'If over 50% power',2,2),
(79232,270006,2,100,'Inflicts 117 - 143 mental damage on target instantly and every 6 seconds',0,3),
(79233,270006,2,100,'Decreases Mitigation of target vs arcane damage by 532',0,4),
(79234,270006,3,100,'Applies Forceful Headache on termination.',0,0),
(79235,270006,3,100,'Inflicts 308 - 514 mental damage on target',1,1),
(79236,270006,3,100,'If over 50% power',2,2),
(79237,270006,3,100,'Inflicts 123 - 151 mental damage on target instantly and every 6 seconds',0,3),
(79238,270006,3,100,'Decreases Mitigation of target vs arcane damage by 560',0,4),
(79239,270006,4,100,'Applies Forceful Headache on termination.',0,0),
(79240,270006,4,100,'Inflicts 339 - 565 mental damage on target',1,1),
(79241,270006,4,100,'If over 50% power',2,2),
(79242,270006,4,100,'Inflicts 136 - 166 mental damage on target instantly and every 6 seconds',0,3),
(79243,270006,4,100,'Decreases Mitigation of target vs arcane damage by 616',0,4),
(79244,270006,5,100,'Applies Forceful Headache on termination.',0,0),
(79245,270006,5,100,'Inflicts 370 - 616 mental damage on target',1,1),
(79246,270006,5,100,'If over 50% power',2,2),
(79247,270006,5,100,'Inflicts 148 - 181 mental damage on target instantly and every 6 seconds',0,3),
(79248,270006,5,100,'Decreases Mitigation of target vs arcane damage by 672',0,4),
(79249,270006,7,100,'Applies Forceful Headache on termination.',0,0),
(79250,270006,7,100,'Inflicts 475 - 791 mental damage on target',1,1),
(79251,270006,7,100,'If over 50% power',2,2),
(79252,270006,7,100,'Inflicts 190 - 232 mental damage on target instantly and every 6 seconds',0,3),
(79253,270006,7,100,'Decreases Mitigation of target vs arcane damage by 862',0,4),
(79254,270006,9,100,'Applies Forceful Headache on termination.',0,0),
(79255,270006,9,100,'Inflicts 493 - 822 mental damage on target',1,1),
(79256,270006,9,100,'If over 50% power',2,2),
(79257,270006,9,100,'Inflicts 197 - 241 mental damage on target instantly and every 6 seconds',0,3),
(79258,270006,9,100,'Decreases Mitigation of target vs arcane damage by 896',0,4),
(79259,270007,1,100,'Applies Forceful Headache on termination.',0,0),
(79260,270007,1,100,'Inflicts 363 - 604 mental damage on target',1,1),
(79261,270007,1,100,'If over 50% power',2,2),
(79262,270007,1,100,'Inflicts 145 - 177 mental damage on target instantly and every 6 seconds',0,3),
(79263,270007,1,100,'Decreases Mitigation of target vs arcane damage by 630',0,4),
(79264,270007,2,100,'Applies Forceful Headache on termination.',0,0),
(79265,270007,2,100,'Inflicts 383 - 638 mental damage on target',1,1),
(79266,270007,2,100,'If over 50% power',2,2),
(79267,270007,2,100,'Inflicts 153 - 187 mental damage on target instantly and every 6 seconds',0,3),
(79268,270007,2,100,'Decreases Mitigation of target vs arcane damage by 665',0,4),
(79269,270007,3,100,'Applies Forceful Headache on termination.',0,0),
(79270,270007,3,100,'Inflicts 403 - 671 mental damage on target',1,1),
(79271,270007,3,100,'If over 50% power',2,2),
(79272,270007,3,100,'Inflicts 161 - 197 mental damage on target instantly and every 6 seconds',0,3),
(79273,270007,3,100,'Decreases Mitigation of target vs arcane damage by 700',0,4),
(79274,270007,4,100,'Applies Forceful Headache on termination.',0,0),
(79275,270007,4,100,'Inflicts 443 - 739 mental damage on target',1,1),
(79276,270007,4,100,'If over 50% power',2,2),
(79277,270007,4,100,'Inflicts 177 - 217 mental damage on target instantly and every 6 seconds',0,3),
(79278,270007,4,100,'Decreases Mitigation of target vs arcane damage by 770',0,4),
(79279,270007,5,100,'Applies Forceful Headache on termination.',0,0),
(79280,270007,5,100,'Inflicts 483 - 806 mental damage on target',1,1),
(79281,270007,5,100,'If over 50% power',2,2),
(79282,270007,5,100,'Inflicts 193 - 236 mental damage on target instantly and every 6 seconds',0,3),
(79283,270007,5,100,'Decreases Mitigation of target vs arcane damage by 840',0,4),
(79284,270007,7,100,'Applies Forceful Headache on termination.',0,0),
(79285,270007,7,100,'Inflicts 620 - 1034 mental damage on target',1,1),
(79286,270007,7,100,'If over 50% power',2,2),
(79287,270007,7,100,'Inflicts 248 - 303 mental damage on target instantly and every 6 seconds',0,3),
(79288,270007,7,100,'Decreases Mitigation of target vs arcane damage by 1078',0,4),
(79294,270008,1,100,'Applies Forceful Headache on termination.',0,0),
(79295,270008,1,100,'Inflicts 440 - 733 mental damage on target',1,1),
(79296,270008,1,100,'If over 50% power',2,2),
(79297,270008,1,100,'Inflicts 176 - 215 mental damage on target instantly and every 6 seconds',0,3),
(79298,270008,1,100,'Decreases Mitigation of target vs arcane damage by 823',0,4),
(79299,270008,2,100,'Applies Forceful Headache on termination.',0,0),
(79300,270008,2,100,'Inflicts 464 - 773 mental damage on target',1,1),
(79301,270008,2,100,'If over 50% power',2,2),
(79302,270008,2,100,'Inflicts 186 - 227 mental damage on target instantly and every 6 seconds',0,3),
(79303,270008,2,100,'Decreases Mitigation of target vs arcane damage by 869',0,4),
(79304,270008,3,100,'Applies Forceful Headache on termination.',0,0),
(79305,270008,3,100,'Inflicts 488 - 814 mental damage on target',1,1),
(79306,270008,3,100,'If over 50% power',2,2),
(79307,270008,3,100,'Inflicts 195 - 239 mental damage on target instantly and every 6 seconds',0,3),
(79308,270008,3,100,'Decreases Mitigation of target vs arcane damage by 914',0,4),
(79309,270008,4,100,'Applies Forceful Headache on termination.',0,0),
(79310,270008,4,100,'Inflicts 537 - 896 mental damage on target',1,1),
(79311,270008,4,100,'If over 50% power',2,2),
(79312,270008,4,100,'Inflicts 215 - 263 mental damage on target instantly and every 6 seconds',0,3),
(79313,270008,4,100,'Decreases Mitigation of target vs arcane damage by 1006',0,4),
(79314,270008,5,100,'Applies Forceful Headache on termination.',0,0),
(79315,270008,5,100,'Inflicts 586 - 977 mental damage on target',1,1),
(79316,270008,5,100,'If over 50% power',2,2),
(79317,270008,5,100,'Inflicts 234 - 287 mental damage on target instantly and every 6 seconds',0,3),
(79318,270008,5,100,'Decreases Mitigation of target vs arcane damage by 1097',0,4),
(79319,270008,7,100,'Applies Forceful Headache on termination.',0,0),
(79320,270008,7,100,'Inflicts 752 - 1254 mental damage on target',1,1),
(79321,270008,7,100,'If over 50% power',2,2),
(79322,270008,7,100,'Inflicts 301 - 368 mental damage on target instantly and every 6 seconds',0,3),
(79323,270008,7,100,'Decreases Mitigation of target vs arcane damage by 1408',0,4),
(79324,270008,9,100,'Applies Forceful Headache on termination.',0,0),
(79325,270008,9,100,'Inflicts 782 - 1303 mental damage on target',1,1),
(79326,270008,9,100,'If over 50% power',2,2),
(79327,270008,9,100,'Inflicts 313 - 382 mental damage on target instantly and every 6 seconds',0,3),
(79328,270008,9,100,'Decreases Mitigation of target vs arcane damage by 1463',0,4),
(79329,270009,1,100,'Applies Forceful Headache on termination.',0,0),
(79330,270009,1,100,'Inflicts 529 - 882 mental damage on target',1,1),
(79331,270009,1,100,'If over 50% power',2,2),
(79332,270009,1,100,'Inflicts 212 - 259 mental damage on target instantly and every 6 seconds',0,3),
(79333,270009,1,100,'Decreases Mitigation of target vs arcane damage by 972',0,4),
(79334,270009,4,100,'Applies Forceful Headache on termination.',0,0),
(79335,270009,4,100,'Inflicts 646 - 1077 mental damage on target',1,1),
(79336,270009,4,100,'If over 50% power',2,2),
(79337,270009,4,100,'Inflicts 259 - 316 mental damage on target instantly and every 6 seconds',0,3),
(79338,270009,4,100,'Decreases Mitigation of target vs arcane damage by 1188',0,4),
(79339,270009,5,100,'Applies Forceful Headache on termination.',0,0),
(79340,270009,5,100,'Inflicts 705 - 1175 mental damage on target',1,1),
(79341,270009,5,100,'If over 50% power',2,2),
(79342,270009,5,100,'Inflicts 282 - 345 mental damage on target instantly and every 6 seconds',0,3),
(79343,270009,5,100,'Decreases Mitigation of target vs arcane damage by 1296',0,4),
(79344,270009,7,100,'Applies Forceful Headache on termination.',0,0),
(79345,270009,7,100,'Inflicts 905 - 1508 mental damage on target',1,1),
(79346,270009,7,100,'If over 50% power',2,2),
(79347,270009,7,100,'Inflicts 362 - 442 mental damage on target instantly and every 6 seconds',0,3),
(79348,270009,7,100,'Decreases Mitigation of target vs arcane damage by 1663',0,4),
(79349,270009,9,100,'Applies Forceful Headache on termination.',0,0),
(79350,270009,9,100,'Inflicts 940 - 1567 mental damage on target',1,1),
(79351,270009,9,100,'If over 50% power',2,2),
(79352,270009,9,100,'Inflicts 376 - 460 mental damage on target instantly and every 6 seconds',0,3),
(79353,270009,9,100,'Decreases Mitigation of target vs arcane damage by 1728',0,4),
(79354,270010,1,100,'Applies Forceful Headache on termination.',0,0),
(79355,270010,1,100,'Inflicts 561 - 935 mental damage on target',1,1),
(79356,270010,1,100,'If over 50% power',2,2),
(79357,270010,1,100,'Inflicts 224 - 274 mental damage on target instantly and every 6 seconds',0,3),
(79358,270010,1,100,'Decreases Mitigation of target vs arcane damage by 1080',0,4),
(79359,270010,4,100,'Applies Forceful Headache on termination.',0,0),
(79360,270010,4,100,'Inflicts 686 - 1143 mental damage on target',1,1),
(79361,270010,4,100,'If over 50% power',2,2),
(79362,270010,4,100,'Inflicts 274 - 335 mental damage on target instantly and every 6 seconds',0,3),
(79363,270010,4,100,'Decreases Mitigation of target vs arcane damage by 1320',0,4),
(79364,270010,5,100,'Applies Forceful Headache on termination.',0,0),
(79365,270010,5,100,'Inflicts 748 - 1247 mental damage on target',1,1),
(79366,270010,5,100,'If over 50% power',2,2),
(79367,270010,5,100,'Inflicts 299 - 366 mental damage on target instantly and every 6 seconds',0,3),
(79368,270010,5,100,'Decreases Mitigation of target vs arcane damage by 1440',0,4),
(79369,270010,7,100,'Applies Forceful Headache on termination.',0,0),
(79370,270010,7,100,'Inflicts 960 - 1600 mental damage on target',1,1),
(79371,270010,7,100,'If over 50% power',2,2),
(79372,270010,7,100,'Inflicts 384 - 469 mental damage on target instantly and every 6 seconds',0,3),
(79373,270010,7,100,'Decreases Mitigation of target vs arcane damage by 1848',0,4),
(79374,270010,9,100,'Applies Forceful Headache on termination.',0,0),
(79375,270010,9,100,'Inflicts 998 - 1663 mental damage on target',1,1),
(79376,270010,9,100,'If over 50% power',2,2),
(79377,270010,9,100,'Inflicts 399 - 488 mental damage on target instantly and every 6 seconds',0,3),
(79378,270010,9,100,'Decreases Mitigation of target vs arcane damage by 1920',0,4),
(79379,200040,1,100,'Decreases Haste of target by 9.2',0,0),
(79380,200040,1,100,'Decreases DPS of target by 5.3',0,1),
(79381,200040,2,100,'Decreases Haste of target by 9.7',0,0),
(79382,200040,2,100,'Decreases DPS of target by 5.6',0,1),
(79383,200040,3,100,'Decreases Haste of target by 10.2',0,0),
(79384,200040,3,100,'Decreases DPS of target by 5.9',0,1),
(79385,200040,4,100,'Decreases Haste of target by 11.2',0,0),
(79386,200040,4,100,'Decreases DPS of target by 6.5',0,1),
(79387,200040,5,100,'Decreases Haste of target by 12.2',0,0),
(79388,200040,5,100,'Decreases DPS of target by 7.0',0,1),
(79389,200040,7,100,'Decreases Attack Speed of target by 15.7',0,0),
(79390,200040,7,100,'Decreases Damage Per Second of target by 9.0',0,1),
(79391,200040,9,100,'Decreases Haste of target by 16.3',0,0),
(79392,200040,9,100,'Decreases DPS of target by 9.4',0,1),
(79393,200041,1,100,'Decreases Haste of target by 9.9',0,0),
(79394,200041,1,100,'Decreases DPS of target by 5.7',0,1),
(79395,200041,2,100,'Decreases Haste of target by 10.4',0,0),
(79396,200041,2,100,'Decreases DPS of target by 6.0',0,1),
(79397,200041,3,100,'Decreases Haste of target by 11.0',0,0),
(79398,200041,3,100,'Decreases DPS of target by 6.3',0,1),
(79399,200041,4,100,'Decreases Haste of target by 12.1',0,0),
(79400,200041,4,100,'Decreases DPS of target by 7.0',0,1),
(79401,200041,5,100,'Decreases Haste of target by 13.2',0,0),
(79402,200041,5,100,'Decreases DPS of target by 7.6',0,1),
(79403,200041,7,100,'Decreases Haste of target by 16.9',0,0),
(79404,200041,7,100,'Decreases DPS of target by 9.7',0,1),
(79405,200041,9,100,'Decreases Haste of target by 17.6',0,0),
(79406,200041,9,100,'Decreases DPS of target by 10.1',0,1),
(79407,200041,10,100,'Decreases Haste of target by 18.5',0,0),
(79408,200041,10,100,'Decreases DPS of target by 10.6',0,1),
(79409,200042,1,100,'Decreases Haste of target by 11.2',0,0),
(79410,200042,1,100,'Decreases DPS of target by 6.7',0,1),
(79411,200042,2,100,'Decreases Haste of target by 11.8',0,0),
(79412,200042,2,100,'Decreases DPS of target by 7.0',0,1),
(79413,200042,3,100,'Decreases Haste of target by 12.4',0,0),
(79414,200042,3,100,'Decreases DPS of target by 7.4',0,1),
(79415,200042,4,100,'Decreases Haste of target by 13.6',0,0),
(79416,200042,4,100,'Decreases DPS of target by 8.1',0,1),
(79417,200042,5,100,'Decreases Haste of target by 14.9',0,0),
(79418,200042,5,100,'Decreases DPS of target by 8.9',0,1),
(79419,200042,7,100,'Decreases Haste of target by 19.1',0,0),
(79420,200042,7,100,'Decreases DPS of target by 11.4',0,1),
(79421,200042,9,100,'Decreases Haste of target by 19.8',0,0),
(79422,200042,9,100,'Decreases DPS of target by 11.8',0,1),
(79423,200042,10,100,'Decreases Haste of target by 20.8',0,0),
(79424,200042,10,100,'Decreases DPS of target by 12.4',0,1),
(79425,200043,1,100,'Decreases Haste of target by 12.4',0,0),
(79426,200043,1,100,'Decreases DPS of target by 7.9',0,1),
(79427,200043,2,100,'Decreases Haste of target by 13.1',0,0),
(79428,200043,2,100,'Decreases DPS of target by 8.3',0,1),
(79429,200043,3,100,'Decreases Haste of target by 13.8',0,0),
(79430,200043,3,100,'Decreases DPS of target by 8.7',0,1),
(79431,200043,4,100,'Decreases Haste of target by 15.2',0,0),
(79432,200043,4,100,'Decreases DPS of target by 9.6',0,1),
(79433,200043,5,100,'Decreases Haste of target by 16.6',0,0),
(79434,200043,5,100,'Decreases DPS of target by 10.5',0,1),
(79435,200043,7,100,'Decreases Haste of target by 21.3',0,0),
(79436,200043,7,100,'Decreases DPS of target by 13.5',0,1),
(79437,200043,9,100,'Decreases Haste of target by 22.1',0,0),
(79438,200043,9,100,'Decreases DPS of target by 14.0',0,1),
(79439,200044,1,100,'Decreases Haste of target by 13.7',0,0),
(79440,200044,1,100,'Decreases DPS of target by 9.3',0,1),
(79441,200044,2,100,'Decreases Haste of target by 14.4',0,0),
(79442,200044,2,100,'Decreases DPS of target by 9.8',0,1),
(79443,200044,3,100,'Decreases Haste of target by 15.2',0,0),
(79444,200044,3,100,'Decreases DPS of target by 10.4',0,1),
(79445,200044,4,100,'Decreases Haste of target by 16.7',0,0),
(79446,200044,4,100,'Decreases DPS of target by 11.4',0,1),
(79447,200044,5,100,'Decreases Haste of target by 18.2',0,0),
(79448,200044,5,100,'Decreases DPS of target by 12.4',0,1),
(79449,200044,7,100,'Decreases Haste of target by 23.4',0,0),
(79450,200044,7,100,'Decreases DPS of target by 16.0',0,1),
(79451,200044,9,100,'Decreases Attack Speed of target by 24.3',0,0),
(79452,200044,9,100,'Decreases Damage Per Second of target by 16.6',0,1),
(79453,200044,10,100,'Decreases Haste of target by 25.5',0,0),
(79454,200044,10,100,'Decreases DPS of target by 17.4',0,1),
(79455,200045,1,100,'Decreases Haste of target by 14.9',0,0),
(79456,200045,1,100,'Decreases DPS of target by 10.8',0,1),
(79457,200045,2,100,'Decreases Haste of target by 15.8',0,0),
(79458,200045,2,100,'Decreases DPS of target by 11.4',0,1),
(79459,200045,3,100,'Decreases Haste of target by 16.6',0,0),
(79460,200045,3,100,'Decreases DPS of target by 12.0',0,1),
(79461,200045,4,100,'Decreases Haste of target by 18.3',0,0),
(79462,200045,4,100,'Decreases DPS of target by 13.2',0,1),
(79463,200045,5,100,'Decreases Haste of target by 19.9',0,0),
(79464,200045,5,100,'Decreases DPS of target by 14.4',0,1),
(79465,200045,7,100,'Decreases Haste of target by 25.6',0,0),
(79466,200045,7,100,'Decreases DPS of target by 18.5',0,1),
(79467,200045,9,100,'Decreases Haste of target by 26.6',0,0),
(79468,200045,9,100,'Decreases DPS of target by 19.2',0,1),
(79469,440063,1,100,'Applies Aura of Crippling.  Lasts for 8.0 seconds.',0,0),
(79470,440063,1,100,'Decreases Mitigation of targets in Area of Effect vs noxious damage by 510',1,1),
(79471,440063,1,100,'Decreases Mitigation of targets in Area of Effect vs physical damage by 510',1,2),
(79472,440063,1,100,'Decreases Mitigation of targets in Area of Effect vs elemental damage by 510',1,3),
(79473,440063,1,100,'Decreases Mitigation of targets in Area of Effect vs arcane damage by 510',1,4),
(79474,2000327,1,100,'Increases Max Health of target by 1.0%',0,0),
(79475,2000327,2,100,'Increases Max Health of target by 2.0%',0,0),
(79476,2000327,3,100,'Increases Max Health of target by 3.0%',0,0),
(79477,2000327,4,100,'Increases Max Health of target by 4.0%',0,0),
(79478,2000327,5,100,'Increases Max Health of target by 5.0%',0,0),
(79479,80025,1,100,'Wards group members (AE) against 0 points of all damage',0,0),
(79480,80025,2,100,'Wards group members (AE) against 0 points of all damage',0,0),
(79481,80025,3,100,'Wards group members (AE) against 0 points of all damage',0,0),
(79482,80025,4,100,'Wards group members (AE) against 1 points of all damage',0,0),
(79483,80025,5,100,'Wards group members (AE) against 1 points of all damage',0,0),
(79484,80025,6,100,'Wards group members (AE) against 1 points of all damage',0,0),
(79485,80025,7,100,'Wards group members (AE) against 2 points of all damage',0,0),
(79486,80025,8,100,'Wards group members (AE) against 2 points of all damage',0,0),
(79487,80025,9,100,'Wards group members (AE) against 2 points of all damage',0,0),
(79488,80025,10,100,'Wards group members (AE) against 3 points of all damage',0,0),
(79489,240033,1,100,'When damaged with a spell this spell will cast Aura of Pain on target.  ',0,0),
(79490,240033,1,100,'Inflicts 125 - 152 disease damage on target',1,1),
(79491,240033,1,100,'Grants a total of 3 triggers of the spell.',1,2),
(79492,240033,2,100,'When damaged with a spell this spell will cast Aura of Pain on target.  ',0,0),
(79493,240033,2,100,'Inflicts 131 - 161 disease damage on target',1,1),
(79494,240033,2,100,'Grants a total of 3 triggers of the spell.',1,2),
(79495,240033,3,100,'When damaged with a spell this spell will cast Aura of Pain on target.  ',0,0),
(79496,240033,3,100,'Inflicts 138 - 169 disease damage on target',1,1),
(79497,240033,3,100,'Grants a total of 3 triggers of the spell.',1,2),
(79498,240033,4,100,'When damaged with a spell this spell will cast Aura of Pain on target.  ',0,0),
(79499,240033,4,100,'Inflicts 152 - 186 disease damage on target',1,1),
(79500,240033,4,100,'Grants a total of 3 triggers of the spell.',1,2),
(79501,240033,5,100,'When damaged with a spell this spell will cast Aura of Pain on target.  ',0,0),
(79502,240033,5,100,'Inflicts 166 - 203 disease damage on target',1,1),
(79503,240033,5,100,'Grants a total of 3 triggers of the spell.',1,2),
(79504,240033,7,100,'When damaged with a spell this spell will cast Aura of Pain on target.  ',0,0),
(79505,240033,7,100,'Inflicts 213 - 261 disease damage on target',1,1),
(79506,240033,7,100,'Grants a total of 3 triggers of the spell.',1,2),
(79507,240033,9,100,'When damaged with a spell this spell will cast Aura of Pain on target.  ',0,0),
(79508,240033,9,100,'Inflicts 221 - 271 disease damage on target',1,1),
(79509,240033,9,100,'Grants a total of 3 triggers of the spell.',1,2),
(79510,240034,1,100,'When damaged with a spell this spell will cast Aura of Pain on target.  ',0,0),
(79511,240034,1,100,'Inflicts 188 - 230 disease damage on target',1,1),
(79512,240034,1,100,'Grants a total of 3 triggers of the spell.',1,2),
(79513,240034,2,100,'When damaged with a spell this spell will cast Aura of Pain on target.  ',0,0),
(79514,240034,2,100,'Inflicts 198 - 242 disease damage on target',1,1),
(79515,240034,2,100,'Grants a total of 3 triggers of the spell.',1,2),
(79516,240034,3,100,'When damaged with a spell this spell will cast Aura of Pain on target.  ',0,0),
(79517,240034,3,100,'Inflicts 209 - 255 disease damage on target',1,1),
(79518,240034,3,100,'Grants a total of 3 triggers of the spell.',1,2),
(79519,240034,4,100,'When damaged with a spell this spell will cast Aura of Pain on target.  ',0,0),
(79520,240034,4,100,'Inflicts 230 - 281 disease damage on target',1,1),
(79521,240034,4,100,'Grants a total of 3 triggers of the spell.',1,2),
(79522,240034,5,100,'When damaged with a spell this spell will cast Aura of Pain on target.  ',0,0),
(79523,240034,5,100,'Inflicts 250 - 306 disease damage on target',1,1),
(79524,240034,5,100,'Grants a total of 3 triggers of the spell.',1,2),
(79525,240034,7,100,'When damaged with a spell this spell will cast Aura of Pain on target.  ',0,0),
(79526,240034,7,100,'Inflicts 321 - 393 disease damage on target',1,1),
(79527,240034,7,100,'Grants a total of 3 triggers of the spell.',1,2),
(79528,240034,9,100,'When damaged with a spell this spell will cast Aura of Pain on target.  ',0,0),
(79529,240034,9,100,'Inflicts 334 - 408 disease damage on target',1,1),
(79530,240034,9,100,'Grants a total of 3 triggers of the spell.',1,2),
(79531,240035,1,100,'When damaged with a spell this spell will cast Aura of Pain on target.  ',0,0),
(79532,240035,1,100,'Inflicts 256 - 313 disease damage on target',1,1),
(79533,240035,1,100,'Grants a total of 3 triggers of the spell.',1,2),
(79534,240035,2,100,'When damaged with a spell this spell will cast Aura of Pain on target.  ',0,0),
(79535,240035,2,100,'Inflicts 270 - 330 disease damage on target',1,1),
(79536,240035,2,100,'Grants a total of 3 triggers of the spell.',1,2),
(79537,240035,3,100,'When damaged with a spell this spell will cast Aura of Pain on target.  ',0,0),
(79538,240035,3,100,'Inflicts 284 - 348 disease damage on target',1,1),
(79539,240035,3,100,'Grants a total of 3 triggers of the spell.',1,2),
(79540,240035,4,100,'When damaged with a spell this spell will cast Aura of Pain on target.  ',0,0),
(79541,240035,4,100,'Inflicts 313 - 382 disease damage on target',1,1),
(79542,240035,4,100,'Grants a total of 3 triggers of the spell.',1,2),
(79543,240035,5,100,'When damaged with a spell this spell will cast Aura of Pain on target.  ',0,0),
(79544,240035,5,100,'Inflicts 341 - 417 disease damage on target',1,1),
(79545,240035,5,100,'Grants a total of 3 triggers of the spell.',1,2),
(79546,240035,7,100,'When damaged with a spell this spell will cast Aura of Pain on target.  ',0,0),
(79547,240035,7,100,'Inflicts 438 - 535 disease damage on target',1,1),
(79548,240035,7,100,'Grants a total of 3 triggers of the spell.',1,2),
(79549,240035,9,100,'When damaged with a spell this spell will cast Aura of Pain on target.  ',0,0),
(79550,240035,9,100,'Inflicts 455 - 556 disease damage on target',1,1),
(79551,240035,9,100,'Grants a total of 3 triggers of the spell.',1,2),
(79552,240035,10,100,'When damaged with a spell this spell will cast Aura of Pain on target.  ',0,0),
(79553,240035,10,100,'Inflicts 478 - 584 disease damage on target',1,1),
(79554,240035,10,100,'Grants a total of 3 triggers of the spell.',1,2),
(79555,240036,1,100,'When damaged with a spell this spell will cast Aura of Pain on target.  ',0,0),
(79556,240036,1,100,'Inflicts 321 - 392 disease damage on target',1,1),
(79557,240036,1,100,'Grants a total of 3 triggers of the spell.',1,2),
(79558,240036,2,100,'When damaged with a spell this spell will cast Aura of Pain on target.  ',0,0),
(79559,240036,2,100,'Inflicts 339 - 414 disease damage on target',1,1),
(79560,240036,2,100,'Grants a total of 3 triggers of the spell.',1,2),
(79561,240036,3,100,'When damaged with a spell this spell will cast Aura of Pain on target.  ',0,0),
(79562,240036,3,100,'Inflicts 357 - 436 disease damage on target',1,1),
(79563,240036,3,100,'Grants a total of 3 triggers of the spell.',1,2),
(79564,240036,4,100,'When damaged with a spell this spell will cast Aura of Pain on target.  ',0,0),
(79565,240036,4,100,'Inflicts 392 - 479 disease damage on target',1,1),
(79566,240036,4,100,'Grants a total of 3 triggers of the spell.',1,2),
(79567,240036,5,100,'When damaged with a spell this spell will cast Aura of Pain on target.  ',0,0),
(79568,240036,5,100,'Inflicts 428 - 523 disease damage on target',1,1),
(79569,240036,5,100,'Grants a total of 3 triggers of the spell.',1,2),
(79570,240036,7,100,'When damaged with a spell this spell will cast Aura of Pain on target.  ',0,0),
(79571,240036,7,100,'Inflicts 549 - 671 disease damage on target',1,1),
(79572,240036,7,100,'Grants a total of 3 triggers of the spell.',1,2),
(79573,240036,9,100,'When damaged with a spell this spell will cast Aura of Pain on target.  ',0,0),
(79574,240036,9,100,'Inflicts 570 - 697 disease damage on target',1,1),
(79575,240036,9,100,'Grants a total of 3 triggers of the spell.',1,2),
(79576,240037,1,100,'When damaged with a spell this spell will cast Aura of Pain on target.  ',0,0),
(79577,240037,1,100,'Inflicts 387 - 474 disease damage on target',1,1),
(79578,240037,1,100,'Grants a total of 3 triggers of the spell.',1,2),
(79579,240037,4,100,'When damaged with a spell this spell will cast Aura of Pain on target.  ',0,0),
(79580,240037,4,100,'Inflicts 474 - 579 disease damage on target',1,1),
(79581,240037,4,100,'Grants a total of 3 triggers of the spell.',1,2),
(79582,240037,5,100,'When damaged with a spell this spell will cast Aura of Pain on target.  ',0,0),
(79583,240037,5,100,'Inflicts 517 - 631 disease damage on target',1,1),
(79584,240037,5,100,'Grants a total of 3 triggers of the spell.',1,2),
(79585,240037,7,100,'When damaged with a spell this spell will cast Aura of Pain on target.  ',0,0),
(79586,240037,7,100,'Inflicts 663 - 810 disease damage on target',1,1),
(79587,240037,7,100,'Grants a total of 3 triggers of the spell.',1,2),
(79588,240037,9,100,'When damaged with a spell this spell will cast Aura of Pain on target.  ',0,0),
(79589,240037,9,100,'Inflicts 689 - 842 disease damage on target',1,1),
(79590,240037,9,100,'Grants a total of 3 triggers of the spell.',1,2),
(79591,240038,1,100,'When damaged with a spell this spell will cast Aura of Pain on target.  ',0,0),
(79592,240038,1,100,'Inflicts 436 - 533 disease damage on target',1,1),
(79593,240038,1,100,'Grants a total of 3 triggers of the spell.',1,2),
(79594,240038,4,100,'When damaged with a spell this spell will cast Aura of Pain on target.  ',0,0),
(79595,240038,4,100,'Inflicts 533 - 651 disease damage on target',1,1),
(79596,240038,4,100,'Grants a total of 3 triggers of the spell.',1,2),
(79597,240038,5,100,'When damaged with a spell this spell will cast Aura of Pain on target.  ',0,0),
(79598,240038,5,100,'Inflicts 581 - 711 disease damage on target',1,1),
(79599,240038,5,100,'Grants a total of 3 triggers of the spell.',1,2),
(79600,240038,7,100,'When damaged with a spell this spell will cast Aura of Pain on target.  ',0,0),
(79601,240038,7,100,'Inflicts 746 - 912 disease damage on target',1,1),
(79602,240038,7,100,'Grants a total of 3 triggers of the spell.',1,2),
(79603,240038,9,100,'When damaged with a spell this spell will cast Aura of Pain on target.  ',0,0),
(79604,240038,9,100,'Inflicts 775 - 947 disease damage on target',1,1),
(79605,240038,9,100,'Grants a total of 3 triggers of the spell.',1,2),
(79606,2000329,1,100,'Dispels 7 levels of hostile Root, hostile Daze, hostile Fear, hostile Stun, hostile Stifle and hostile Prevent Changing Target effects on caster',0,0),
(79607,2000329,1,100,'Casts Aura of the Crusader for each successful Dispel.  Lasts for 20.0 seconds.',0,1),
(79608,2000329,1,100,'Makes caster immune to Root effects',2,2),
(79609,2000329,1,100,'Makes caster immune to Stifle effects',2,3),
(79610,2000329,1,100,'Makes caster immune to Stun effects',2,4),
(79611,2000329,1,100,'Makes caster immune to Fear effects',2,5),
(79612,2000329,1,100,'Makes caster immune to Daze effects',2,6),
(79613,2000329,1,100,'Makes caster immune to effects that prevent changing targets',2,7),
(79614,230000,1,100,'Mesmerizes target',0,0),
(79615,230000,1,100,'Prevents AOE (except when direct) ',0,1),
(79616,230000,1,100,'Roots caster',0,2),
(79617,230000,1,100,'Dispelled when target takes damage',0,3),
(79618,230000,1,100,'Does not affect Epic targets',0,4),
(79619,230000,1,100,'Resistibility increases against targets higher than level 29.',0,5),
(79620,230000,2,100,'Mesmerizes target',0,0),
(79621,230000,2,100,'Prevents AOE (except when direct) ',0,1),
(79622,230000,2,100,'Roots caster',0,2),
(79623,230000,2,100,'Dispelled when target takes damage',0,3),
(79624,230000,2,100,'Does not affect Epic targets',0,4),
(79625,230000,2,100,'Resistibility increases against targets higher than level 29.',0,5),
(79626,230000,3,100,'Mesmerizes target',0,0),
(79627,230000,3,100,'Prevents AOE (except when direct) ',0,1),
(79628,230000,3,100,'Roots caster',0,2),
(79629,230000,3,100,'Dispelled when target takes damage',0,3),
(79630,230000,3,100,'Does not affect Epic targets',0,4),
(79631,230000,3,100,'Resistibility increases against targets higher than level 29.',0,5),
(79632,230000,4,100,'Mesmerizes target',0,0),
(79633,230000,4,100,'Prevents AOE (except when direct) ',0,1),
(79634,230000,4,100,'Roots caster',0,2),
(79635,230000,4,100,'Dispelled when target takes damage',0,3),
(79636,230000,4,100,'Does not affect Epic targets',0,4),
(79637,230000,4,100,'Resistibility increases against targets higher than level 29.',0,5),
(79638,230000,5,100,'Mesmerizes target',0,0),
(79639,230000,5,100,'Prevents AOE (except when direct) ',0,1),
(79640,230000,5,100,'Roots caster',0,2),
(79641,230000,5,100,'Dispelled when target takes damage',0,3),
(79642,230000,5,100,'Does not affect Epic targets',0,4),
(79643,230000,5,100,'Resistibility increases against targets higher than level 29.',0,5),
(79644,230000,7,100,'Mesmerizes target',0,0),
(79645,230000,7,100,'Prevents AOE (except when direct) ',0,1),
(79646,230000,7,100,'Roots caster',0,2),
(79647,230000,7,100,'Dispelled when target takes damage',0,3),
(79648,230000,7,100,'Does not affect Epic targets',0,4),
(79649,230000,7,100,'Resistibility increases against targets higher than level 29.',0,5),
(79650,230000,9,100,'Mesmerizes target',0,0),
(79651,230000,9,100,'Prevents AOE (except when direct) ',0,1),
(79652,230000,9,100,'Roots caster',0,2),
(79653,230000,9,100,'Dispelled when target takes damage',0,3),
(79654,230000,9,100,'Does not affect Epic targets',0,4),
(79655,230000,9,100,'Resistibility increases against targets higher than level 29.',0,5),
(79656,230001,1,100,'Mesmerizes target',0,0),
(79657,230001,1,100,'Prevents AOE (except when direct) ',0,1),
(79658,230001,1,100,'Roots caster',0,2),
(79659,230001,1,100,'Dispelled when target takes damage',0,3),
(79660,230001,1,100,'Does not affect Epic targets',0,4),
(79661,230001,1,100,'Resistibility increases against targets higher than level 29.',0,5),
(79662,230001,2,100,'Mesmerizes target',0,0),
(79663,230001,2,100,'Prevents AOE (except when direct) ',0,1),
(79664,230001,2,100,'Roots caster',0,2),
(79665,230001,2,100,'Dispelled when target takes damage',0,3),
(79666,230001,2,100,'Does not affect Epic targets',0,4),
(79667,230001,2,100,'Resistibility increases against targets higher than level 29.',0,5),
(79668,230001,3,100,'Mesmerizes target',0,0),
(79669,230001,3,100,'Prevents AOE (except when direct) ',0,1),
(79670,230001,3,100,'Roots caster',0,2),
(79671,230001,3,100,'Dispelled when target takes damage',0,3),
(79672,230001,3,100,'Does not affect Epic targets',0,4),
(79673,230001,3,100,'Resistibility increases against targets higher than level 29.',0,5),
(79674,230001,4,100,'Mesmerizes target',0,0),
(79675,230001,4,100,'Prevents AOE (except when direct) ',0,1),
(79676,230001,4,100,'Roots caster',0,2),
(79677,230001,4,100,'Dispelled when target takes damage',0,3),
(79678,230001,4,100,'Does not affect Epic targets',0,4),
(79679,230001,4,100,'Resistibility increases against targets higher than level 29.',0,5),
(79680,230001,5,100,'Mesmerizes target',0,0),
(79681,230001,5,100,'Prevents AOE (except when direct) ',0,1),
(79682,230001,5,100,'Roots caster',0,2),
(79683,230001,5,100,'Dispelled when target takes damage',0,3),
(79684,230001,5,100,'Does not affect Epic targets',0,4),
(79685,230001,5,100,'Resistibility increases against targets higher than level 29.',0,5),
(79686,230001,7,100,'Mesmerizes target',0,0),
(79687,230001,7,100,'Prevents AOE (except when direct) ',0,1),
(79688,230001,7,100,'Roots caster',0,2),
(79689,230001,7,100,'Dispelled when target takes damage',0,3),
(79690,230001,7,100,'Does not affect Epic targets',0,4),
(79691,230001,7,100,'Resistibility increases against targets higher than level 29.',0,5),
(79698,230002,1,100,'Mesmerizes target',0,0),
(79699,230002,1,100,'Prevents AOE (except when direct) ',0,1),
(79700,230002,1,100,'Roots caster',0,2),
(79701,230002,1,100,'Dispelled when target takes damage',0,3),
(79702,230002,1,100,'Does not affect Epic targets',0,4),
(79703,230002,1,100,'Resistibility increases against targets higher than level 29.',0,5),
(79704,230002,2,100,'Mesmerizes target',0,0),
(79705,230002,2,100,'Prevents AOE (except when direct) ',0,1),
(79706,230002,2,100,'Roots caster',0,2),
(79707,230002,2,100,'Dispelled when target takes damage',0,3),
(79708,230002,2,100,'Does not affect Epic targets',0,4),
(79709,230002,2,100,'Resistibility increases against targets higher than level 29.',0,5),
(79710,230002,3,100,'Mesmerizes target',0,0),
(79711,230002,3,100,'Prevents AOE (except when direct) ',0,1),
(79712,230002,3,100,'Roots caster',0,2),
(79713,230002,3,100,'Dispelled when target takes damage',0,3),
(79714,230002,3,100,'Does not affect Epic targets',0,4),
(79715,230002,3,100,'Resistibility increases against targets higher than level 29.',0,5),
(79716,230002,4,100,'Mesmerizes target',0,0),
(79717,230002,4,100,'Prevents AOE (except when direct) ',0,1),
(79718,230002,4,100,'Roots caster',0,2),
(79719,230002,4,100,'Dispelled when target takes damage',0,3),
(79720,230002,4,100,'Does not affect Epic targets',0,4),
(79721,230002,4,100,'Resistibility increases against targets higher than level 29.',0,5),
(79722,230002,5,100,'Mesmerizes target',0,0),
(79723,230002,5,100,'Prevents AOE (except when direct) ',0,1),
(79724,230002,5,100,'Roots caster',0,2),
(79725,230002,5,100,'Dispelled when target takes damage',0,3),
(79726,230002,5,100,'Does not affect Epic targets',0,4),
(79727,230002,5,100,'Resistibility increases against targets higher than level 29.',0,5),
(79728,230002,7,100,'Mesmerizes target',0,0),
(79729,230002,7,100,'Prevents AOE (except when direct) ',0,1),
(79730,230002,7,100,'Roots caster',0,2),
(79731,230002,7,100,'Dispelled when target takes damage',0,3),
(79732,230002,7,100,'Does not affect Epic targets',0,4),
(79733,230002,7,100,'Resistibility increases against targets higher than level 29.',0,5),
(79734,230002,9,100,'Mesmerizes target',0,0),
(79735,230002,9,100,'Prevents AOE (except when direct) ',0,1),
(79736,230002,9,100,'Roots caster',0,2),
(79737,230002,9,100,'Dispelled when target takes damage',0,3),
(79738,230002,9,100,'Does not affect Epic targets',0,4),
(79739,230002,9,100,'Resistibility increases against targets higher than level 29.',0,5),
(79740,230003,1,100,'Mesmerizes target',0,0),
(79741,230003,1,100,'Prevents AOE (except when direct) ',0,1),
(79742,230003,1,100,'Roots caster',0,2),
(79743,230003,1,100,'Dispelled when target takes damage',0,3),
(79744,230003,1,100,'Does not affect Epic targets',0,4),
(79745,230003,1,100,'Resistibility increases against targets higher than level 29.',0,5),
(79746,230003,2,100,'Mesmerizes target',0,0),
(79747,230003,2,100,'Prevents AOE (except when direct) ',0,1),
(79748,230003,2,100,'Roots caster',0,2),
(79749,230003,2,100,'Dispelled when target takes damage',0,3),
(79750,230003,2,100,'Does not affect Epic targets',0,4),
(79751,230003,2,100,'Resistibility increases against targets higher than level 29.',0,5),
(79752,230003,3,100,'Mesmerizes target',0,0),
(79753,230003,3,100,'Prevents AOE (except when direct) ',0,1),
(79754,230003,3,100,'Roots caster',0,2),
(79755,230003,3,100,'Dispelled when target takes damage',0,3),
(79756,230003,3,100,'Does not affect Epic targets',0,4),
(79757,230003,3,100,'Resistibility increases against targets higher than level 29.',0,5),
(79758,230003,4,100,'Mesmerizes target',0,0),
(79759,230003,4,100,'Prevents AOE (except when direct) ',0,1),
(79760,230003,4,100,'Roots caster',0,2),
(79761,230003,4,100,'Dispelled when target takes damage',0,3),
(79762,230003,4,100,'Does not affect Epic targets',0,4),
(79763,230003,4,100,'Resistibility increases against targets higher than level 29.',0,5),
(79764,230003,5,100,'Mesmerizes target',0,0),
(79765,230003,5,100,'Prevents AOE (except when direct) ',0,1),
(79766,230003,5,100,'Roots caster',0,2),
(79767,230003,5,100,'Dispelled when target takes damage',0,3),
(79768,230003,5,100,'Does not affect Epic targets',0,4),
(79769,230003,5,100,'Resistibility increases against targets higher than level 29.',0,5),
(79770,230003,7,100,'Mesmerizes target',0,0),
(79771,230003,7,100,'Prevents AOE (except when direct) ',0,1),
(79772,230003,7,100,'Roots caster',0,2),
(79773,230003,7,100,'Dispelled when target takes damage',0,3),
(79774,230003,7,100,'Does not affect Epic targets',0,4),
(79775,230003,7,100,'Resistibility increases against targets higher than level 29.',0,5),
(79776,230003,9,100,'Mesmerizes target',0,0),
(79777,230003,9,100,'Prevents AOE (except when direct) ',0,1),
(79778,230003,9,100,'Roots caster',0,2),
(79779,230003,9,100,'Dispelled when target takes damage',0,3),
(79780,230003,9,100,'Does not affect Epic targets',0,4),
(79781,230003,9,100,'Resistibility increases against targets higher than level 29.',0,5),
(79782,230004,1,100,'Mesmerizes target',0,0),
(79783,230004,1,100,'Prevents AOE (except when direct) ',0,1),
(79784,230004,1,100,'Roots caster',0,2),
(79785,230004,1,100,'Dispelled when target takes damage',0,3),
(79786,230004,1,100,'Does not affect Epic targets',0,4),
(79787,230004,1,100,'Resistibility increases against targets higher than level 29.',0,5),
(79788,230004,2,100,'Mesmerizes target',0,0),
(79789,230004,2,100,'Prevents AOE (except when direct) ',0,1),
(79790,230004,2,100,'Roots caster',0,2),
(79791,230004,2,100,'Dispelled when target takes damage',0,3),
(79792,230004,2,100,'Does not affect Epic targets',0,4),
(79793,230004,2,100,'Resistibility increases against targets higher than level 29.',0,5),
(79794,230004,3,100,'Mesmerizes target',0,0),
(79795,230004,3,100,'Prevents AOE (except when direct) ',0,1),
(79796,230004,3,100,'Roots caster',0,2),
(79797,230004,3,100,'Dispelled when target takes damage',0,3),
(79798,230004,3,100,'Does not affect Epic targets',0,4),
(79799,230004,3,100,'Resistibility increases against targets higher than level 29.',0,5),
(79800,230004,4,100,'Mesmerizes target',0,0),
(79801,230004,4,100,'Prevents AOE (except when direct) ',0,1),
(79802,230004,4,100,'Roots caster',0,2),
(79803,230004,4,100,'Dispelled when target takes damage',0,3),
(79804,230004,4,100,'Does not affect Epic targets',0,4),
(79805,230004,4,100,'Resistibility increases against targets higher than level 29.',0,5),
(79806,230004,5,100,'Mesmerizes target',0,0),
(79807,230004,5,100,'Prevents AOE (except when direct) ',0,1),
(79808,230004,5,100,'Roots caster',0,2),
(79809,230004,5,100,'Dispelled when target takes damage',0,3),
(79810,230004,5,100,'Does not affect Epic targets',0,4),
(79811,230004,5,100,'Resistibility increases against targets higher than level 29.',0,5),
(79812,230004,7,100,'Mesmerizes target',0,0),
(79813,230004,7,100,'Prevents AOE (except when direct) ',0,1),
(79814,230004,7,100,'Roots caster',0,2),
(79815,230004,7,100,'Dispelled when target takes damage',0,3),
(79816,230004,7,100,'Does not affect Epic targets',0,4),
(79817,230004,7,100,'Resistibility increases against targets higher than level 29.',0,5),
(79818,230004,9,100,'Mesmerizes target',0,0),
(79819,230004,9,100,'Prevents AOE (except when direct) ',0,1),
(79820,230004,9,100,'Roots caster',0,2),
(79821,230004,9,100,'Dispelled when target takes damage',0,3),
(79822,230004,9,100,'Does not affect Epic targets',0,4),
(79823,230004,9,100,'Resistibility increases against targets higher than level 29.',0,5),
(79824,230005,1,100,'Mesmerizes target',0,0),
(79825,230005,1,100,'Prevents AOE (except when direct) ',0,1),
(79826,230005,1,100,'Roots caster',0,2),
(79827,230005,1,100,'Dispelled when target takes damage',0,3),
(79828,230005,1,100,'Does not affect Epic targets',0,4),
(79829,230005,1,100,'Resistibility increases against targets higher than level 29.',0,5),
(79830,230005,4,100,'Mesmerizes target',0,0),
(79831,230005,4,100,'Prevents AOE (except when direct) ',0,1),
(79832,230005,4,100,'Roots caster',0,2),
(79833,230005,4,100,'Dispelled when target takes damage',0,3),
(79834,230005,4,100,'Does not affect Epic targets',0,4),
(79835,230005,4,100,'Resistibility increases against targets higher than level 29.',0,5),
(79836,230005,5,100,'Mesmerizes target',0,0),
(79837,230005,5,100,'Prevents AOE (except when direct) ',0,1),
(79838,230005,5,100,'Roots caster',0,2),
(79839,230005,5,100,'Dispelled when target takes damage',0,3),
(79840,230005,5,100,'Does not affect Epic targets',0,4),
(79841,230005,5,100,'Resistibility increases against targets higher than level 29.',0,5),
(79842,230005,7,100,'Mesmerizes target',0,0),
(79843,230005,7,100,'Prevents AOE (except when direct) ',0,1),
(79844,230005,7,100,'Roots caster',0,2),
(79845,230005,7,100,'Dispelled when target takes damage',0,3),
(79846,230005,7,100,'Does not affect Epic targets',0,4),
(79847,230005,7,100,'Resistibility increases against targets higher than level 29.',0,5),
(79848,230005,9,100,'Mesmerizes target',0,0),
(79849,230005,9,100,'Prevents AOE (except when direct) ',0,1),
(79850,230005,9,100,'Roots caster',0,2),
(79851,230005,9,100,'Dispelled when target takes damage',0,3),
(79852,230005,9,100,'Does not affect Epic targets',0,4),
(79853,230005,9,100,'Resistibility increases against targets higher than level 29.',0,5),
(79854,180000,1,100,'Increases Max Power of target by 57.4',0,0),
(79855,180000,1,100,'Increases Max Health of target by 76.0',0,1),
(79856,180000,2,100,'Increases Max Power of target by 60.6',0,0),
(79857,180000,2,100,'Increases Max Health of target by 80.3',0,1),
(79858,180000,3,100,'Increases Max Power of target by 63.7',0,0),
(79859,180000,3,100,'Increases Max Health of target by 84.5',0,1),
(79860,180000,4,100,'Increases Max Power of target by 70.1',0,0),
(79861,180000,4,100,'Increases Max Health of target by 93.0',0,1),
(79862,180000,5,100,'Increases Max Power of target by 76.5',0,0),
(79863,180000,5,100,'Increases Max Health of target by 101.4',0,1),
(79864,180000,7,100,'Increases Max Power of target by 98.2',0,0),
(79865,180000,7,100,'Increases Max Health of target by 130.1',0,1),
(79866,180000,9,100,'Increases Max Power of target by 102.0',0,0),
(79867,180000,9,100,'Increases Max Health of target by 135.2',0,1),
(79868,170011,1,100,'Heals group members (AE) for 40 - 49 instantly and every 2 seconds',0,0),
(79869,170011,4,100,'Heals group members (AE) for 49 - 59 instantly and every 2 seconds',0,0),
(79870,170011,5,100,'Heals group members (AE) for 53 - 65 instantly and every 2 seconds',0,0),
(79871,170011,7,100,'Heals group members (AE) for 68 - 83 instantly and every 2 seconds',0,0),
(79872,170011,9,100,'Heals group members (AE) for 71 - 86 instantly and every 2 seconds',0,0),
(79873,170011,10,100,'Heals group members (AE) for 74 - 91 instantly and every 2 seconds',0,0),
(79874,170012,1,100,'Heals group members (AE) for 84 - 103 instantly and every 2 seconds',0,0),
(79875,170012,2,100,'Heals group members (AE) for 89 - 108 instantly and every 2 seconds',0,0),
(79876,170012,3,100,'Heals group members (AE) for 93 - 114 instantly and every 2 seconds',0,0),
(79877,170012,4,100,'Heals group members (AE) for 103 - 125 instantly and every 2 seconds',0,0),
(79878,170012,5,100,'Heals group members (AE) for 112 - 137 instantly and every 2 seconds',0,0),
(79879,170012,7,100,'Heals group members (AE) for 144 - 175 instantly and every 2 seconds',0,0),
(79880,170012,9,100,'Heals group members (AE) for 149 - 182 instantly and every 2 seconds',0,0),
(79881,170013,1,100,'Heals group members (AE) for 133 - 163 instantly and every 2 seconds',0,0),
(79882,170013,2,100,'Heals group members (AE) for 141 - 172 instantly and every 2 seconds',0,0),
(79883,170013,3,100,'Heals group members (AE) for 148 - 181 instantly and every 2 seconds',0,0),
(79884,170013,4,100,'Heals group members (AE) for 163 - 199 instantly and every 2 seconds',0,0),
(79885,170013,5,100,'Heals group members (AE) for 178 - 217 instantly and every 2 seconds',0,0),
(79886,170013,7,100,'Heals group members (AE) for 228 - 279 instantly and every 2 seconds',0,0),
(79887,170013,9,100,'Heals group members (AE) for 237 - 290 instantly and every 2 seconds',0,0),
(79888,170013,10,100,'Heals group members (AE) for 249 - 304 instantly and every 2 seconds',0,0),
(79889,170014,1,100,'Heals group members (AE) for 193 - 236 instantly and every 2 seconds',0,0),
(79890,170014,2,100,'Heals group members (AE) for 203 - 249 instantly and every 2 seconds',0,0),
(79891,170014,3,100,'Heals group members (AE) for 214 - 262 instantly and every 2 seconds',0,0),
(79892,170014,4,100,'Heals group members (AE) for 236 - 288 instantly and every 2 seconds',0,0),
(79893,170014,5,100,'Heals group members (AE) for 257 - 314 instantly and every 2 seconds',0,0),
(79894,170014,7,100,'Heals group members (AE) for 330 - 403 instantly and every 2 seconds',0,0),
(79895,170014,9,100,'Heals group members (AE) for 343 - 419 instantly and every 2 seconds',0,0),
(79896,170015,1,100,'Heals group members (AE) for 252 - 308 instantly and every 2 seconds',0,0),
(79897,170015,2,100,'Heals group members (AE) for 266 - 326 instantly and every 2 seconds',0,0),
(79898,170015,3,100,'Heals group members (AE) for 280 - 343 instantly and every 2 seconds',0,0),
(79899,170015,4,100,'Heals group members (AE) for 308 - 377 instantly and every 2 seconds',0,0),
(79900,170015,5,100,'Heals group members (AE) for 336 - 411 instantly and every 2 seconds',0,0),
(79901,170015,7,100,'Heals group members (AE) for 432 - 528 instantly and every 2 seconds',0,0),
(79902,170015,9,100,'Heals group members (AE) for 449 - 548 instantly and every 2 seconds',0,0),
(79903,170016,1,100,'Heals group members (AE) for 331 - 405 instantly and every 2 seconds',0,0),
(79904,170016,2,100,'Heals group members (AE) for 350 - 428 instantly and every 2 seconds',0,0),
(79905,170016,3,100,'Heals group members (AE) for 368 - 450 instantly and every 2 seconds',0,0),
(79906,170016,4,100,'Heals group members (AE) for 405 - 495 instantly and every 2 seconds',0,0),
(79907,170016,5,100,'Heals group members (AE) for 442 - 540 instantly and every 2 seconds',0,0),
(79908,170016,7,100,'Heals group members (AE) for 567 - 693 instantly and every 2 seconds',0,0),
(79909,170016,9,100,'Heals group members (AE) for 589 - 720 instantly and every 2 seconds',0,0),
(79910,170017,1,100,'Heals group members (AE) for 399 - 488 instantly and every 2 seconds',0,0),
(79911,170017,4,100,'Heals group members (AE) for 488 - 596 instantly and every 2 seconds',0,0),
(79912,170017,5,100,'Heals group members (AE) for 532 - 650 instantly and every 2 seconds',0,0),
(79913,170017,7,100,'Heals group members (AE) for 683 - 834 instantly and every 2 seconds',0,0),
(79914,170017,9,100,'Heals group members (AE) for 709 - 867 instantly and every 2 seconds',0,0),
(79915,170018,1,100,'Heals group members (AE) for 423 - 517 instantly and every 2 seconds',0,0),
(79916,170018,4,100,'Heals group members (AE) for 517 - 632 instantly and every 2 seconds',0,0),
(79917,170018,5,100,'Heals group members (AE) for 564 - 690 instantly and every 2 seconds',0,0),
(79918,170018,7,100,'Heals group members (AE) for 724 - 885 instantly and every 2 seconds',0,0),
(79919,170018,9,100,'Heals group members (AE) for 752 - 920 instantly and every 2 seconds',0,0),
(79920,2000330,1,100,'Applies Avenging Ancestors.',0,0),
(79921,2000330,1,100,'Inflicts 3 disease damage on targets in Area of Effect',1,1),
(79922,2000330,1,100,'Inflicts 30 disease damage on targets in Area of Effect',0,2),
(79923,300000,1,100,'Summons a limited pet to aid the caster',0,0),
(79924,300000,2,100,'Summons a limited pet to aid the caster',0,0),
(79925,300000,3,100,'Summons a limited pet to aid the caster',0,0),
(79926,300000,4,100,'Summons a limited pet to aid the caster',0,0),
(79927,300000,5,100,'Summons a limited pet to aid the caster',0,0),
(79928,300000,7,100,'Summons a limited pet to aid the caster',0,0),
(79929,300000,9,100,'Summons a limited pet to aid the caster',0,0),
(79930,300001,1,100,'Summons a limited pet to aid the caster',0,0),
(79931,300001,2,100,'Summons a limited pet to aid the caster',0,0),
(79932,300001,3,100,'Summons a limited pet to aid the caster',0,0),
(79933,300001,4,100,'Summons a limited pet to aid the caster',0,0),
(79934,300001,5,100,'Summons a limited pet to aid the caster',0,0),
(79935,300001,7,100,'Summons a limited pet to aid the caster',0,0),
(79936,300001,9,100,'Summons a limited pet to aid the caster',0,0),
(79937,300002,1,100,'Summons a limited pet to aid the caster',0,0),
(79938,300002,2,100,'Summons a limited pet to aid the caster',0,0),
(79939,300002,3,100,'Summons a limited pet to aid the caster',0,0),
(79940,300002,4,100,'Summons a limited pet to aid the caster',0,0),
(79941,300002,5,100,'Summons a limited pet to aid the caster',0,0),
(79942,300002,7,100,'Summons a limited pet to aid the caster',0,0),
(79943,300002,9,100,'Summons a limited pet to aid the caster',0,0),
(79944,300002,10,100,'Summons a limited pet to aid the caster',0,0),
(79945,300003,1,100,'Summons a limited pet to aid the caster',0,0),
(79946,300003,2,100,'Summons a limited pet to aid the caster',0,0),
(79947,300003,3,100,'Summons a limited pet to aid the caster',0,0),
(79948,300003,4,100,'Summons a limited pet to aid the caster',0,0),
(79949,300003,5,100,'Summons a limited pet to aid the caster',0,0),
(79950,300003,7,100,'Summons a limited pet to aid the caster',0,0),
(79951,300003,9,100,'Summons a limited pet to aid the caster',0,0),
(79952,300004,1,100,'Summons a limited pet to aid the caster',0,0),
(79953,300004,4,100,'Summons a limited pet to aid the caster',0,0),
(79954,300004,5,100,'Summons a limited pet to aid the caster',0,0),
(79955,300004,7,100,'Summons a limited pet to aid the caster',0,0),
(79956,300004,9,100,'Summons a limited pet to aid the caster',0,0),
(79957,300005,1,100,'Summons a limited pet to aid the caster',0,0),
(79958,300005,4,100,'Summons a limited pet to aid the caster',0,0),
(79959,300005,5,100,'Summons a limited pet to aid the caster',0,0),
(79960,300005,7,100,'Summons a limited pet to aid the caster',0,0),
(79961,300005,9,100,'Summons a limited pet to aid the caster',0,0),
(79962,130008,1,100,'Stuns target',0,0),
(79963,130008,1,100,'Does not affect Epic targets',0,1),
(79964,130008,1,100,'Resistibility increases against targets higher than level 29.',0,2),
(79965,130008,2,100,'Stuns target',0,0),
(79966,130008,2,100,'Does not affect Epic targets',0,1),
(79967,130008,2,100,'Resistibility increases against targets higher than level 29.',0,2),
(79968,130008,3,100,'Stuns target',0,0),
(79969,130008,3,100,'Does not affect Epic targets',0,1),
(79970,130008,3,100,'Resistibility increases against targets higher than level 29.',0,2),
(79971,130008,4,100,'Stuns target',0,0),
(79972,130008,4,100,'Does not affect Epic targets',0,1),
(79973,130008,4,100,'Resistibility increases against targets higher than level 29.',0,2),
(79974,130008,5,100,'Stuns target',0,0),
(79975,130008,5,100,'Does not affect Epic targets',0,1),
(79976,130008,5,100,'Resistibility increases against targets higher than level 29.',0,2),
(79977,130008,7,100,'Stuns target',0,0),
(79978,130008,7,100,'Does not affect Epic targets',0,1),
(79979,130008,7,100,'Resistibility increases against targets higher than level 29.',0,2),
(79980,130008,9,100,'Stuns target',0,0),
(79981,130008,9,100,'Does not affect Epic targets',0,1),
(79982,130008,9,100,'Resistibility increases against targets higher than level 29.',0,2),
(79983,130009,1,100,'Stuns target',0,0),
(79984,130009,1,100,'Does not affect Epic targets',0,1),
(79985,130009,1,100,'Resistibility increases against targets higher than level 29.',0,2),
(79986,130009,2,100,'Stuns target',0,0),
(79987,130009,2,100,'Does not affect Epic targets',0,1),
(79988,130009,2,100,'Resistibility increases against targets higher than level 29.',0,2),
(79989,130009,3,100,'Stuns target',0,0),
(79990,130009,3,100,'Does not affect Epic targets',0,1),
(79991,130009,3,100,'Resistibility increases against targets higher than level 29.',0,2),
(79992,130009,4,100,'Stuns target',0,0),
(79993,130009,4,100,'Does not affect Epic targets',0,1),
(79994,130009,4,100,'Resistibility increases against targets higher than level 29.',0,2),
(79995,130009,5,100,'Stuns target',0,0),
(79996,130009,5,100,'Does not affect Epic targets',0,1),
(79997,130009,5,100,'Resistibility increases against targets higher than level 29.',0,2),
(79998,130009,7,100,'Stuns target',0,0),
(79999,130009,7,100,'Does not affect Epic targets',0,1),
(80000,130009,7,100,'Resistibility increases against targets higher than level 29.',0,2),
(80001,130009,9,100,'Stuns target',0,0),
(80002,130009,9,100,'Does not affect Epic targets',0,1),
(80003,130009,9,100,'Resistibility increases against targets higher than level 29.',0,2),
(80004,130010,1,100,'Stuns target',0,0),
(80005,130010,1,100,'Does not affect Epic targets',0,1),
(80006,130010,1,100,'Resistibility increases against targets higher than level 29.',0,2),
(80007,130010,2,100,'Stuns target',0,0),
(80008,130010,2,100,'Does not affect Epic targets',0,1),
(80009,130010,2,100,'Resistibility increases against targets higher than level 29.',0,2),
(80010,130010,3,100,'Stuns target',0,0),
(80011,130010,3,100,'Does not affect Epic targets',0,1),
(80012,130010,3,100,'Resistibility increases against targets higher than level 29.',0,2),
(80013,130010,4,100,'Stuns target',0,0),
(80014,130010,4,100,'Does not affect Epic targets',0,1),
(80015,130010,4,100,'Resistibility increases against targets higher than level 29.',0,2),
(80016,130010,5,100,'Stuns target',0,0),
(80017,130010,5,100,'Does not affect Epic targets',0,1),
(80018,130010,5,100,'Resistibility increases against targets higher than level 29.',0,2),
(80019,130010,7,100,'Stuns target',0,0),
(80020,130010,7,100,'Does not affect Epic targets',0,1),
(80021,130010,7,100,'Resistibility increases against targets higher than level 29.',0,2),
(80022,130010,9,100,'Stuns target',0,0),
(80023,130010,9,100,'Does not affect Epic targets',0,1),
(80024,130010,9,100,'Resistibility increases against targets higher than level 29.',0,2),
(80025,130011,1,100,'Stuns target',0,0),
(80026,130011,1,100,'Does not affect Epic targets',0,1),
(80027,130011,1,100,'Resistibility increases against targets higher than level 29.',0,2),
(80028,130011,2,100,'Stuns target',0,0),
(80029,130011,2,100,'Does not affect Epic targets',0,1),
(80030,130011,2,100,'Resistibility increases against targets higher than level 29.',0,2),
(80031,130011,3,100,'Stuns target',0,0),
(80032,130011,3,100,'Does not affect Epic targets',0,1),
(80033,130011,3,100,'Resistibility increases against targets higher than level 29.',0,2),
(80034,130011,4,100,'Stuns target',0,0),
(80035,130011,4,100,'Does not affect Epic targets',0,1),
(80036,130011,4,100,'Resistibility increases against targets higher than level 29.',0,2),
(80037,130011,5,100,'Stuns target',0,0),
(80038,130011,5,100,'Does not affect Epic targets',0,1),
(80039,130011,5,100,'Resistibility increases against targets higher than level 29.',0,2),
(80040,130011,7,100,'Stuns target',0,0),
(80041,130011,7,100,'Does not affect Epic targets',0,1),
(80042,130011,7,100,'Resistibility increases against targets higher than level 29.',0,2),
(80043,130011,9,100,'Stuns target',0,0),
(80044,130011,9,100,'Does not affect Epic targets',0,1),
(80045,130011,9,100,'Resistibility increases against targets higher than level 29.',0,2),
(80046,130012,1,100,'Stuns target',0,0),
(80047,130012,1,100,'Does not affect Epic targets',0,1),
(80048,130012,1,100,'Resistibility increases against targets higher than level 29.',0,2),
(80049,130012,4,100,'Stuns target',0,0),
(80050,130012,4,100,'Does not affect Epic targets',0,1),
(80051,130012,4,100,'Resistibility increases against targets higher than level 29.',0,2),
(80052,130012,5,100,'Stuns target',0,0),
(80053,130012,5,100,'Does not affect Epic targets',0,1),
(80054,130012,5,100,'Resistibility increases against targets higher than level 29.',0,2),
(80055,130012,7,100,'Stuns target',0,0),
(80056,130012,7,100,'Does not affect Epic targets',0,1),
(80057,130012,7,100,'Resistibility increases against targets higher than level 29.',0,2),
(80058,130012,9,100,'Stuns target',0,0),
(80059,130012,9,100,'Does not affect Epic targets',0,1),
(80060,130012,9,100,'Resistibility increases against targets higher than level 29.',0,2),
(80061,360075,12,100,'Applies the effects of Perfection of the Maestro to all raid members.',0,0),
(80062,360075,12,100,'Aria of Magic will improve hostile spell damage by 10%',0,1),
(80063,360075,12,100,'On any combat or spell hit this spell may cast Ayonic Hymn on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.4 times per minute. ',0,2),
(80064,360075,12,100,'Inflicts 626 - 940 mental damage on target',1,3),
(80065,360075,12,100,'Increases Crit Chance of caster by 15.0',1,4),
(80066,360075,12,100,'Cannot be modified except by direct means',1,5),
(80067,360075,12,100,'Cannot be modified except by direct means',0,6),
(80068,170019,1,100,'Heals target for 402 - 491',0,0),
(80069,170019,1,100,'If over 50% Health',1,1),
(80070,170019,1,100,'Heals target for 804 - 982',0,2),
(80071,170019,1,100,'If at 50% Health or less',1,3),
(80072,170019,2,100,'Heals target for 424 - 518',0,0),
(80073,170019,2,100,'If over 50% Health',1,1),
(80074,170019,2,100,'Heals target for 848 - 1037',0,2),
(80075,170019,2,100,'If at 50% Health or less',1,3),
(80076,170019,3,100,'Heals target for 446 - 546',0,0),
(80077,170019,3,100,'If over 50% Health',1,1),
(80078,170019,3,100,'Heals target for 893 - 1091',0,2),
(80079,170019,3,100,'If at 50% Health or less',1,3),
(80080,170019,4,100,'Heals target for 491 - 600',0,0),
(80081,170019,4,100,'If over 50% Health',1,1),
(80082,170019,4,100,'Heals target for 982 - 1200',0,2),
(80083,170019,4,100,'If at 50% Health or less',1,3),
(80084,170019,5,100,'Heals target for 536 - 655',0,0),
(80085,170019,5,100,'If over 50% Health',1,1),
(80086,170019,5,100,'Heals target for 1071 - 1309',0,2),
(80087,170019,5,100,'If at 50% Health or less',1,3),
(80088,170019,7,100,'Heals target for 687 - 840',0,0),
(80089,170019,7,100,'If over 50% Health',1,1),
(80090,170019,7,100,'Heals target for 1375 - 1680',0,2),
(80091,170019,7,100,'If at 50% Health or less',1,3),
(80092,170019,9,100,'Heals target for 714 - 873',0,0),
(80093,170019,9,100,'If over 50% Health',1,1),
(80094,170019,9,100,'Heals target for 1428 - 1746',0,2),
(80095,170019,9,100,'If at 50% Health or less',1,3),
(80096,170020,1,100,'Heals target for 617 - 754',0,0),
(80097,170020,1,100,'If over 50% Health',1,1),
(80098,170020,1,100,'Heals target for 1234 - 1508',0,2),
(80099,170020,1,100,'If at 50% Health or less',1,3),
(80100,170020,2,100,'Heals target for 651 - 796',0,0),
(80101,170020,2,100,'If over 50% Health',1,1),
(80102,170020,2,100,'Heals target for 1302 - 1592',0,2),
(80103,170020,2,100,'If at 50% Health or less',1,3),
(80104,170020,3,100,'Heals target for 685 - 838',0,0),
(80105,170020,3,100,'If over 50% Health',1,1),
(80106,170020,3,100,'Heals target for 1371 - 1676',0,2),
(80107,170020,3,100,'If at 50% Health or less',1,3),
(80108,170020,4,100,'Heals target for 754 - 922',0,0),
(80109,170020,4,100,'If over 50% Health',1,1),
(80110,170020,4,100,'Heals target for 1508 - 1843',0,2),
(80111,170020,4,100,'If at 50% Health or less',1,3),
(80112,170020,5,100,'Heals target for 823 - 1005',0,0),
(80113,170020,5,100,'If over 50% Health',1,1),
(80114,170020,5,100,'Heals target for 1645 - 2011',0,2),
(80115,170020,5,100,'If at 50% Health or less',1,3),
(80116,170020,7,100,'Heals target for 1056 - 1290',0,0),
(80117,170020,7,100,'If over 50% Health',1,1),
(80118,170020,7,100,'Heals target for 2111 - 2580',0,2),
(80119,170020,7,100,'If at 50% Health or less',1,3),
(80120,170020,9,100,'Heals target for 1097 - 1340',0,0),
(80121,170020,9,100,'If over 50% Health',1,1),
(80122,170020,9,100,'Heals target for 2193 - 2681',0,2),
(80123,170020,9,100,'If at 50% Health or less',1,3),
(80124,170021,1,100,'Heals target for 807 - 987',0,0),
(80125,170021,1,100,'If over 50% Health',1,1),
(80126,170021,1,100,'Heals target for 1615 - 1974',0,2),
(80127,170021,1,100,'If at 50% Health or less',1,3),
(80128,170021,4,100,'Heals target for 987 - 1206',0,0),
(80129,170021,4,100,'If over 50% Health',1,1),
(80130,170021,4,100,'Heals target for 1974 - 2412',0,2),
(80131,170021,4,100,'If at 50% Health or less',1,3),
(80132,170021,5,100,'Heals target for 1077 - 1316',0,0),
(80133,170021,5,100,'If over 50% Health',1,1),
(80134,170021,5,100,'Heals target for 2153 - 2632',0,2),
(80135,170021,5,100,'If at 50% Health or less',1,3),
(80136,170021,7,100,'Heals target for 1382 - 1689',0,0),
(80137,170021,7,100,'If over 50% Health',1,1),
(80138,170021,7,100,'Heals target for 2763 - 3377',0,2),
(80139,170021,7,100,'If at 50% Health or less',1,3),
(80140,170021,9,100,'Heals target for 1435 - 1754',0,0),
(80141,170021,9,100,'If over 50% Health',1,1),
(80142,170021,9,100,'Heals target for 2871 - 3509',0,2),
(80143,170021,9,100,'If at 50% Health or less',1,3),
(80144,170022,1,100,'Heals target for 936 - 1144',0,0),
(80145,170022,1,100,'If over 50% Health',1,1),
(80146,170022,1,100,'Heals target for 1871 - 2287',0,2),
(80147,170022,1,100,'If at 50% Health or less',1,3),
(80148,170022,4,100,'Heals target for 1144 - 1398',0,0),
(80149,170022,4,100,'If over 50% Health',1,1),
(80150,170022,4,100,'Heals target for 2287 - 2796',0,2),
(80151,170022,4,100,'If at 50% Health or less',1,3),
(80152,170022,5,100,'Heals target for 1248 - 1525',0,0),
(80153,170022,5,100,'If over 50% Health',1,1),
(80154,170022,5,100,'Heals target for 2495 - 3050',0,2),
(80155,170022,5,100,'If at 50% Health or less',1,3),
(80156,170022,7,100,'Heals target for 1601 - 1957',0,0),
(80157,170022,7,100,'If over 50% Health',1,1),
(80158,170022,7,100,'Heals target for 3202 - 3914',0,2),
(80159,170022,7,100,'If at 50% Health or less',1,3),
(80160,170022,9,100,'Heals target for 1663 - 2033',0,0),
(80161,170022,9,100,'If over 50% Health',1,1),
(80162,170022,9,100,'Heals target for 3327 - 4066',0,2),
(80163,170022,9,100,'If at 50% Health or less',1,3),
(80164,2000331,1,100,'Dispels 165 levels of any hostile effects on group members (AE)',0,0),
(80165,2000331,1,100,'Heals group members (AE) for 40.0% of max health',0,1),
(80166,2000331,1,100,'Heals group members (AE) for 5.0% of max health every 2 seconds',0,2),
(80167,2000331,1,100,'This effect cannot be critically applied.',1,3),
(80168,2000331,1,100,'Restores 10% of the damage received',0,4),
(80169,2000331,2,100,'Dispels 165 levels of any hostile effects on group members (AE)',0,0),
(80170,2000331,2,100,'Heals group members (AE) for 40.0% of max health',0,1),
(80171,2000331,2,100,'Heals group members (AE) for 5.0% of max health every 2 seconds',0,2),
(80172,2000331,2,100,'This effect cannot be critically applied.',1,3),
(80173,2000331,2,100,'Restores 20% of the damage received',0,4),
(80174,2000331,3,100,'Dispels 117 levels of any hostile effects on group members (AE)',0,0),
(80175,2000331,3,100,'Heals group members (AE) for 40.0% of max health',0,1),
(80176,2000331,3,100,'Heals group members (AE) for 5.0% of max health every 2 seconds',0,2),
(80177,2000331,3,100,'Restores 30% of the damage received',0,3),
(80178,2000331,3,100,'The healing of this spell cannot be modified except by direct means',0,4),
(80179,170023,1,100,'Summons a limited pet to aid the caster',0,0),
(80180,170023,2,100,'Summons a limited pet to aid the caster',0,0),
(80181,170023,3,100,'Summons a limited pet to aid the caster',0,0),
(80182,170023,4,100,'Summons a limited pet to aid the caster',0,0),
(80183,170023,5,100,'Summons a limited pet to aid the caster',0,0),
(80184,170023,7,100,'Summons a limited pet to aid the caster',0,0),
(80185,170023,9,100,'Summons a limited pet to aid the caster',0,0),
(80186,170024,1,100,'Summons a limited pet to aid the caster',0,0),
(80187,170024,4,100,'Summons a limited pet to aid the caster',0,0),
(80188,170024,5,100,'Summons a limited pet to aid the caster',0,0),
(80189,170024,7,100,'Summons a limited pet to aid the caster',0,0),
(80190,170024,9,100,'Summons a limited pet to aid the caster',0,0),
(80191,170025,1,100,'Summons a limited pet to aid the caster',0,0),
(80192,170025,4,100,'Summons a limited pet to aid the caster',0,0),
(80193,170025,5,100,'Summons a limited pet to aid the caster',0,0),
(80194,170025,7,100,'Summons a limited pet to aid the caster',0,0),
(80195,170025,9,100,'Summons a limited pet to aid the caster',0,0),
(80196,230006,1,100,'Inflicts 216 - 400 heat damage on target',0,0),
(80197,230006,2,100,'Inflicts 228 - 423 heat damage on target',0,0),
(80198,230006,3,100,'Inflicts 240 - 445 heat damage on target',0,0),
(80199,230006,4,100,'Inflicts 264 - 489 heat damage on target',0,0),
(80200,230006,5,100,'Inflicts 288 - 534 heat damage on target',0,0),
(80201,230006,7,100,'Inflicts 369 - 685 heat damage on target',0,0),
(80202,230006,9,100,'Inflicts 383 - 712 heat damage on target',0,0),
(80203,230006,10,100,'Inflicts 403 - 748 heat damage on target',0,0),
(80204,230007,1,100,'Inflicts 367 - 681 heat damage on target',0,0),
(80205,230007,2,100,'Inflicts 387 - 719 heat damage on target',0,0),
(80206,230007,3,100,'Inflicts 407 - 757 heat damage on target',0,0),
(80207,230007,4,100,'Inflicts 448 - 832 heat damage on target',0,0),
(80208,230007,5,100,'Inflicts 489 - 908 heat damage on target',0,0),
(80209,230007,7,100,'Inflicts 627 - 1165 heat damage on target',0,0),
(80210,230007,9,100,'Inflicts 652 - 1211 heat damage on target',0,0),
(80211,230008,1,100,'Inflicts 548 - 1017 heat damage on target',0,0),
(80212,230008,2,100,'Inflicts 578 - 1073 heat damage on target',0,0),
(80213,230008,3,100,'Inflicts 608 - 1130 heat damage on target',0,0),
(80214,230008,4,100,'Inflicts 669 - 1243 heat damage on target',0,0),
(80215,230008,5,100,'Inflicts 730 - 1356 heat damage on target',0,0),
(80216,230008,7,100,'Inflicts 937 - 1740 heat damage on target',0,0),
(80217,230008,9,100,'Inflicts 973 - 1808 heat damage on target',0,0),
(80218,230008,10,100,'Inflicts 1022 - 1898 heat damage on target',0,0),
(80219,230009,1,100,'Inflicts 736 - 1367 heat damage on target',0,0),
(80220,230009,2,100,'Inflicts 777 - 1443 heat damage on target',0,0),
(80221,230009,3,100,'Inflicts 818 - 1519 heat damage on target',0,0),
(80222,230009,4,100,'Inflicts 900 - 1671 heat damage on target',0,0),
(80223,230009,5,100,'Inflicts 982 - 1823 heat damage on target',0,0),
(80224,230009,7,100,'Inflicts 1260 - 2340 heat damage on target',0,0),
(80225,230009,9,100,'Inflicts 1309 - 2431 heat damage on target',0,0),
(80226,230010,1,100,'Inflicts 923 - 1715 heat damage on target',0,0),
(80227,230010,2,100,'Inflicts 975 - 1810 heat damage on target',0,0),
(80228,230010,3,100,'Inflicts 1026 - 1905 heat damage on target',0,0),
(80229,230010,4,100,'Inflicts 1128 - 2096 heat damage on target',0,0),
(80230,230010,5,100,'Inflicts 1231 - 2286 heat damage on target',0,0),
(80231,230010,7,100,'Inflicts 1580 - 2934 heat damage on target',0,0),
(80232,230010,9,100,'Inflicts 1641 - 3048 heat damage on target',0,0),
(80233,230011,1,100,'Inflicts 1113 - 2067 heat damage on target',0,0),
(80234,230011,4,100,'Inflicts 1360 - 2526 heat damage on target',0,0),
(80235,230011,5,100,'Inflicts 1484 - 2756 heat damage on target',0,0),
(80236,230011,7,100,'Inflicts 1905 - 3537 heat damage on target',0,0),
(80237,230011,9,100,'Inflicts 1979 - 3675 heat damage on target',0,0),
(80238,230012,1,100,'Inflicts 1223 - 2270 heat damage on target',0,0),
(80239,230012,4,100,'Inflicts 1494 - 2775 heat damage on target',0,0),
(80240,230012,5,100,'Inflicts 1630 - 3027 heat damage on target',0,0),
(80241,230012,7,100,'Inflicts 2092 - 3885 heat damage on target',0,0),
(80242,230012,9,100,'Inflicts 2173 - 4036 heat damage on target',0,0),
(80243,200046,1,100,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(80244,200046,1,100,'Wards target against 122 points of all damage',1,1),
(80245,200046,2,100,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(80246,200046,2,100,'Wards target against 129 points of all damage',1,1),
(80247,200046,3,100,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(80248,200046,3,100,'Wards target against 136 points of all damage',1,1),
(80249,200046,4,100,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(80250,200046,4,100,'Wards target against 149 points of all damage',1,1),
(80251,200046,5,100,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(80252,200046,5,100,'Wards target against 163 points of all damage',1,1),
(80253,200046,7,100,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(80254,200046,7,100,'Wards target against 209 points of all damage',1,1),
(80255,200046,9,100,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(80256,200046,9,100,'Wards target against 217 points of all damage',1,1),
(80257,200047,1,100,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(80258,200047,1,100,'Wards target against 197 points of all damage',1,1),
(80259,200047,2,100,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(80260,200047,2,100,'Wards target against 208 points of all damage',1,1),
(80261,200047,3,100,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(80262,200047,3,100,'Wards target against 220 points of all damage',1,1),
(80263,200047,4,100,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(80264,200047,4,100,'Wards target against 242 points of all damage',1,1),
(80265,200047,5,100,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(80266,200047,5,100,'Wards target against 264 points of all damage',1,1),
(80267,200047,7,100,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(80268,200047,7,100,'Wards target against 338 points of all damage',1,1),
(80269,200047,9,100,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(80270,200047,9,100,'Wards target against 352 points of all damage',1,1),
(80271,200048,1,100,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(80272,200048,1,100,'Wards target against 292 points of all damage',1,1),
(80273,200048,2,100,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(80274,200048,2,100,'Wards target against 308 points of all damage',1,1),
(80275,200048,3,100,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(80276,200048,3,100,'Wards target against 325 points of all damage',1,1),
(80277,200048,4,100,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(80278,200048,4,100,'Wards target against 357 points of all damage',1,1),
(80279,200048,5,100,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(80280,200048,5,100,'Wards target against 390 points of all damage',1,1),
(80281,200048,7,100,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(80282,200048,7,100,'Wards target against 500 points of all damage',1,1),
(80283,200048,9,100,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(80284,200048,9,100,'Wards target against 520 points of all damage',1,1),
(80285,200049,1,100,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(80286,200049,1,100,'Wards target against 386 points of all damage',1,1),
(80287,200049,2,100,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(80288,200049,2,100,'Wards target against 408 points of all damage',1,1),
(80289,200049,3,100,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(80290,200049,3,100,'Wards target against 430 points of all damage',1,1),
(80291,200049,4,100,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(80292,200049,4,100,'Wards target against 473 points of all damage',1,1),
(80293,200049,5,100,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(80294,200049,5,100,'Wards target against 516 points of all damage',1,1),
(80295,200049,7,100,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(80296,200049,7,100,'Wards target against 662 points of all damage',1,1),
(80297,200049,9,100,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(80298,200049,9,100,'Wards target against 688 points of all damage',1,1),
(80299,200050,1,100,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(80300,200050,1,100,'Wards target against 461 points of all damage',1,1),
(80301,200050,2,100,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(80302,200050,2,100,'Wards target against 486 points of all damage',1,1),
(80303,200050,3,100,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(80304,200050,3,100,'Wards target against 512 points of all damage',1,1),
(80305,200050,4,100,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(80306,200050,4,100,'Wards target against 563 points of all damage',1,1),
(80307,200050,5,100,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(80308,200050,5,100,'Wards target against 615 points of all damage',1,1),
(80309,200050,7,100,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(80310,200050,7,100,'Wards target against 789 points of all damage',1,1),
(80311,200050,9,100,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(80312,200050,9,100,'Wards target against 820 points of all damage',1,1),
(80313,200051,1,100,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(80314,200051,1,100,'Wards target against 557 points of all damage',1,1),
(80315,200051,4,100,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(80316,200051,4,100,'Wards target against 680 points of all damage',1,1),
(80317,200051,5,100,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(80318,200051,5,100,'Wards target against 742 points of all damage',1,1),
(80319,200051,7,100,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(80320,200051,7,100,'Wards target against 953 points of all damage',1,1),
(80321,200051,9,100,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(80322,200051,9,100,'Wards target against 990 points of all damage',1,1),
(80323,200052,1,100,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(80324,200052,1,100,'Wards target against 599 points of all damage',1,1),
(80325,200052,4,100,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(80326,200052,4,100,'Wards target against 732 points of all damage',1,1),
(80327,200052,5,100,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(80328,200052,5,100,'Wards target against 799 points of all damage',1,1),
(80329,200052,7,100,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(80330,200052,7,100,'Wards target against 1025 points of all damage',1,1),
(80331,200052,9,100,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(80332,200052,9,100,'Wards target against 1065 points of all damage',1,1),
(80333,440064,1,100,'Will absorb all damage when the amount is less than 15% of the target''s maximum health. This spell will absorb a total of 50 attacks.',0,0),
(80334,260016,3,100,'Decreases Threat to targets in Area of Effect by 1,850 ',0,0),
(80335,260016,3,100,'Mesmerizes targets in Area of Effect',0,1),
(80336,260016,3,100,'If Target is not Epic',1,2),
(80337,260016,3,100,'Dispelled when target takes damage',0,3),
(80338,260016,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(80339,2000332,1,100,'Wards target against 20 points of all damage',0,0),
(80340,2000332,1,100,'The ward value is multiplied by the number of increments of Ferocity of Spirits. Casting this spell will prevent Ferocity of Spirits from triggering for 30 seconds.',0,1),
(80341,2000332,1,100,'You must be maintaining Ferocity of Spirits to cast this spell!',0,2),
(80342,2000333,1,100,'On a hostile ability cast this spell may cast Raging Cry on caster.  Lasts for 3.0 seconds.  Triggers about 1.8 times per minute. ',0,0),
(80343,2000333,1,100,'Allows target to hit all abilities for maximum damage.',1,1),
(80344,2000334,1,100,'Increases Slashing, Crushing, Piercing, Disruption, Ministration, Ordination, Subjugation and Ranged of group members (AE) by 0.0',0,0),
(80345,2000334,2,100,'Increases Slashing, Crushing, Piercing, Disruption, Ministration, Ordination, Subjugation and Ranged of group members (AE) by 0.0',0,0),
(80346,2000334,3,100,'Increases Slashing, Crushing, Piercing, Disruption, Ministration, Ordination, Subjugation and Ranged of group members (AE) by 0.0',0,0),
(80347,2000334,4,100,'Increases Slashing, Crushing, Piercing, Disruption, Ministration, Ordination, Subjugation and Ranged of group members (AE) by 0.0',0,0),
(80348,2000334,5,100,'Increases Slashing, Crushing, Piercing, Disruption, Ministration, Ordination, Subjugation and Ranged of group members (AE) by 0.0',0,0),
(80349,2000334,6,100,'Increases Slashing, Crushing, Piercing, Disruption, Ministration, Ordination, Subjugation and Ranged of group members (AE) by 0.0',0,0),
(80350,2000334,7,100,'Increases Slashing, Crushing, Piercing, Disruption, Ministration, Ordination, Subjugation and Ranged of group members (AE) by 0.0',0,0),
(80351,2000334,8,100,'Increases Slashing, Crushing, Piercing, Disruption, Ministration, Ordination, Subjugation and Ranged of group members (AE) by 0.0',0,0),
(80352,2000334,9,100,'Increases Slashing, Crushing, Piercing, Disruption, Ministration, Ordination, Subjugation and Ranged of group members (AE) by 0.0',0,0),
(80353,2000334,10,100,'Increases Slashing, Crushing, Piercing, Disruption, Ministration, Ordination, Subjugation and Ranged of group members (AE) by 0.0',0,0),
(80354,2000335,1,100,'Increases Weapon Damage of caster by 4.0',0,0),
(80355,2000335,1,100,'Increases DPS of caster by 5.0',0,1),
(80356,2000335,1,100,'Improves melee damage of combat arts by 3%.',0,2),
(80357,2000335,2,100,'Increases Weapon Damage of caster by 8.0',0,0),
(80358,2000335,2,100,'Increases DPS of caster by 10.0',0,1),
(80359,2000335,2,100,'Improves melee damage of combat arts by 6%.',0,2),
(80360,2000335,3,100,'Increases Weapon Damage Bonus of caster by 12.0',0,0),
(80361,2000335,3,100,'Increases Damage Per Second of caster by 15.0',0,1),
(80362,2000335,3,100,'Improves melee damage of combat arts by 9%.',0,2),
(80363,2000335,4,100,'Increases Weapon Damage Bonus of caster by 16.0',0,0),
(80364,2000335,4,100,'Increases Damage Per Second of caster by 20.0',0,1),
(80365,2000335,4,100,'Improves melee damage of combat arts by 12%.',0,2),
(80366,2000335,5,100,'Increases Weapon Damage of caster by 20.0',0,0),
(80367,2000335,5,100,'Increases DPS of caster by 25.0',0,1),
(80368,2000335,5,100,'Improves melee damage of combat arts by 15%.',0,2),
(80369,130013,1,100,'Applies Battle''s Reprieve on termination.  Lasts for 1 minute.',0,0),
(80370,130013,1,100,'Heals target for 25.0% of max health',1,1),
(80371,130013,1,100,'This effect cannot be critically applied.',2,2),
(80372,130013,1,100,'Increases Mitigation of target vs physical damage by 220',1,3),
(80373,130013,1,100,'Applies Revived Sickness on termination.  Lasts for 2 minutes.',0,4),
(80374,130013,1,100,'Decreases Haste of target by 20.0',1,5),
(80375,130013,1,100,'If not between levels 1 - 6',2,6),
(80376,130013,1,100,'Decreases All Attributes of target by 20.0%',1,7),
(80377,130013,1,100,'If not between levels 1 - 6',2,8),
(80378,130013,1,100,'Decreases Haste of target by 5.0',1,9),
(80379,130013,1,100,'If between levels 1 - 6',2,10),
(80380,130013,1,100,'Decreases All Attributes of target by 5.0%',1,11),
(80381,130013,1,100,'If between levels 1 - 6',2,12),
(80382,130013,1,100,'Resurrects target with 15% health and power',0,13),
(80383,130013,1,100,'If outside an arena',0,14),
(80384,130013,1,100,'If outside an arena',0,15),
(80385,130014,3,100,'When any damage is received this spell will cast Supplicant''s Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(80386,130014,3,100,'Heals target for 176 - 216',1,1),
(80387,2000336,1,100,'Increases Haste of caster by 11.3',0,0),
(80388,120002,1,100,'When any damage is received this spell will cast Vitae on target.  ',0,0),
(80389,120002,1,100,'Heals target for 34 - 42',1,1),
(80390,120002,1,100,'Grants a total of 5 triggers of the spell.',1,2),
(80391,120002,2,100,'When any damage is received this spell will cast Vitae on target.  ',0,0),
(80392,120002,2,100,'Heals target for 36 - 44',1,1),
(80393,120002,2,100,'Grants a total of 5 triggers of the spell.',1,2),
(80394,120002,3,100,'When any damage is received this spell will cast Vitae on target.  ',0,0),
(80395,120002,3,100,'Heals target for 38 - 46',1,1),
(80396,120002,3,100,'Grants a total of 5 triggers of the spell.',1,2),
(80397,120002,4,100,'When any damage is received this spell will cast Vitae on target.  ',0,0),
(80398,120002,4,100,'Heals target for 42 - 51',1,1),
(80399,120002,4,100,'Grants a total of 5 triggers of the spell.',1,2),
(80400,120002,5,100,'When any damage is received this spell will cast Vitae on target.  ',0,0),
(80401,120002,5,100,'Heals target for 45 - 55',1,1),
(80402,120002,5,100,'Grants a total of 5 triggers of the spell.',1,2),
(80403,120002,7,100,'When any damage is received this spell will cast Vitae on target.  ',0,0),
(80404,120002,7,100,'Heals target for 58 - 71',1,1),
(80405,120002,7,100,'Grants a total of 5 triggers of the spell.',1,2),
(80406,120002,9,100,'When any damage is received this spell will cast Vitae on target.  ',0,0),
(80407,120002,9,100,'Heals target for 60 - 74',1,1),
(80408,120002,9,100,'Grants a total of 5 triggers of the spell.',1,2),
(80409,120002,10,100,'When any damage is received this spell will cast Vitae on target.  ',0,0),
(80410,120002,10,100,'Heals target for 64 - 78',1,1),
(80411,120002,10,100,'Grants a total of 5 triggers of the spell.',1,2),
(80412,120003,1,100,'When any damage is received this spell will cast Vitae on target.  ',0,0),
(80413,120003,1,100,'Heals target for 54 - 66',1,1),
(80414,120003,1,100,'Grants a total of 5 triggers of the spell.',1,2),
(80415,120003,2,100,'When any damage is received this spell will cast Vitae on target.  ',0,0),
(80416,120003,2,100,'Heals target for 57 - 69',1,1),
(80417,120003,2,100,'Grants a total of 5 triggers of the spell.',1,2),
(80418,120003,3,100,'When any damage is received this spell will cast Vitae on target.  ',0,0),
(80419,120003,3,100,'Heals target for 60 - 73',1,1),
(80420,120003,3,100,'Grants a total of 5 triggers of the spell.',1,2),
(80421,120003,4,100,'When any damage is received this spell will cast Vitae on target.  ',0,0),
(80422,120003,4,100,'Heals target for 66 - 80',1,1),
(80423,120003,4,100,'Grants a total of 5 triggers of the spell.',1,2),
(80424,120003,5,100,'When any damage is received this spell will cast Vitae on target.  ',0,0),
(80425,120003,5,100,'Heals target for 72 - 88',1,1),
(80426,120003,5,100,'Grants a total of 5 triggers of the spell.',1,2),
(80427,120003,7,100,'When any damage is received this spell will cast Vitae on target.  ',0,0),
(80428,120003,7,100,'Heals target for 92 - 113',1,1),
(80429,120003,7,100,'Grants a total of 5 triggers of the spell.',1,2),
(80430,120003,9,100,'When any damage is received this spell will cast Vitae on target.  ',0,0),
(80431,120003,9,100,'Heals target for 96 - 117',1,1),
(80432,120003,9,100,'Grants a total of 5 triggers of the spell.',1,2),
(80433,120003,10,100,'When any damage is received this spell will cast Vitae on target.  ',0,0),
(80434,120003,10,100,'Heals target for 101 - 123',1,1),
(80435,120003,10,100,'Grants a total of 5 triggers of the spell.',1,2),
(80436,260017,1,100,'Stuns target encounter',0,0),
(80437,260017,1,100,'Epic targets gain an immunity to Stun effects of 8.3 seconds and duration is reduced to 0.9 seconds.',0,1),
(80438,260017,1,100,'Resistibility increases against targets higher than level 29.',0,2),
(80439,260017,2,100,'Stuns target encounter',0,0),
(80440,260017,2,100,'Epic targets gain an immunity to Stun effects of 8.3 seconds and duration is reduced to 0.9 seconds.',0,1),
(80441,260017,2,100,'Resistibility increases against targets higher than level 29.',0,2),
(80442,260017,3,100,'Stuns target encounter',0,0),
(80443,260017,3,100,'Epic targets gain an immunity to Stun effects of 8.3 seconds and duration is reduced to 0.9 seconds.',0,1),
(80444,260017,3,100,'Resistibility increases against targets higher than level 29.',0,2),
(80445,260017,4,100,'Stuns target encounter',0,0),
(80446,260017,4,100,'Epic targets gain an immunity to Stun effects of 8.3 seconds and duration is reduced to 0.9 seconds.',0,1),
(80447,260017,4,100,'Resistibility increases against targets higher than level 29.',0,2),
(80448,260017,5,100,'Stuns target encounter',0,0),
(80449,260017,5,100,'Epic targets gain an immunity to Stun effects of 8.3 seconds and duration is reduced to 0.9 seconds.',0,1),
(80450,260017,5,100,'Resistibility increases against targets higher than level 29.',0,2),
(80451,260017,7,100,'Stuns target encounter',0,0),
(80452,260017,7,100,'Epic targets gain an immunity to Stun effects of 8.3 seconds and duration is reduced to 0.9 seconds.',0,1),
(80453,260017,7,100,'Resistibility increases against targets higher than level 29.',0,2),
(80454,260017,9,100,'Stuns target encounter',0,0),
(80455,260017,9,100,'Epic targets gain an immunity to Stun effects of 8.3 seconds and duration is reduced to 0.9 seconds.',0,1),
(80456,260017,9,100,'Resistibility increases against targets higher than level 29.',0,2),
(80457,260018,1,100,'Stuns target encounter',0,0),
(80458,260018,1,100,'Epic targets gain an immunity to Stun effects of 8.3 seconds and duration is reduced to 0.9 seconds.',0,1),
(80459,260018,1,100,'Resistibility increases against targets higher than level 29.',0,2),
(80460,260018,2,100,'Stuns target encounter',0,0),
(80461,260018,2,100,'Epic targets gain an immunity to Stun effects of 8.3 seconds and duration is reduced to 0.9 seconds.',0,1),
(80462,260018,2,100,'Resistibility increases against targets higher than level 29.',0,2),
(80463,260018,3,100,'Stuns target encounter',0,0),
(80464,260018,3,100,'Epic targets gain an immunity to Stun effects of 8.3 seconds and duration is reduced to 0.9 seconds.',0,1),
(80465,260018,3,100,'Resistibility increases against targets higher than level 29.',0,2),
(80466,260018,4,100,'Stuns target encounter',0,0),
(80467,260018,4,100,'Epic targets gain an immunity to Stun effects of 8.3 seconds and duration is reduced to 0.9 seconds.',0,1),
(80468,260018,4,100,'Resistibility increases against targets higher than level 29.',0,2),
(80469,260018,5,100,'Stuns target encounter',0,0),
(80470,260018,5,100,'Epic targets gain an immunity to Stun effects of 8.3 seconds and duration is reduced to 0.9 seconds.',0,1),
(80471,260018,5,100,'Resistibility increases against targets higher than level 29.',0,2),
(80472,260018,7,100,'Stuns target encounter',0,0),
(80473,260018,7,100,'Epic targets gain an immunity to Stun effects of 8.3 seconds and duration is reduced to 0.9 seconds.',0,1),
(80474,260018,7,100,'Resistibility increases against targets higher than level 29.',0,2),
(80475,260018,9,100,'Stuns target encounter',0,0),
(80476,260018,9,100,'Epic targets gain an immunity to Stun effects of 8.3 seconds and duration is reduced to 0.9 seconds.',0,1),
(80477,260018,9,100,'Resistibility increases against targets higher than level 29.',0,2),
(80478,260019,1,100,'Stuns target encounter',0,0),
(80479,260019,1,100,'Epic targets gain an immunity to Stun effects of 8.3 seconds and duration is reduced to 0.9 seconds.',0,1),
(80480,260019,1,100,'Resistibility increases against targets higher than level 29.',0,2),
(80481,260019,2,100,'Stuns target encounter',0,0),
(80482,260019,2,100,'Epic targets gain an immunity to Stun effects of 8.3 seconds and duration is reduced to 0.9 seconds.',0,1),
(80483,260019,2,100,'Resistibility increases against targets higher than level 29.',0,2),
(80484,260019,3,100,'Stuns target encounter',0,0),
(80485,260019,3,100,'Epic targets gain an immunity to Stun effects of 8.3 seconds and duration is reduced to 0.9 seconds.',0,1),
(80486,260019,3,100,'Resistibility increases against targets higher than level 29.',0,2),
(80487,260019,4,100,'Stuns target encounter',0,0),
(80488,260019,4,100,'Epic targets gain an immunity to Stun effects of 8.3 seconds and duration is reduced to 0.9 seconds.',0,1),
(80489,260019,4,100,'Resistibility increases against targets higher than level 29.',0,2),
(80490,260019,5,100,'Stuns target encounter',0,0),
(80491,260019,5,100,'Epic targets gain an immunity to Stun effects of 8.3 seconds and duration is reduced to 0.9 seconds.',0,1),
(80492,260019,5,100,'Resistibility increases against targets higher than level 29.',0,2),
(80493,260019,7,100,'Stuns target encounter',0,0),
(80494,260019,7,100,'Epic targets gain an immunity to Stun effects of 8.3 seconds and duration is reduced to 0.9 seconds.',0,1),
(80495,260019,7,100,'Resistibility increases against targets higher than level 29.',0,2),
(80496,260019,9,100,'Stuns target encounter',0,0),
(80497,260019,9,100,'Epic targets gain an immunity to Stun effects of 8.3 seconds and duration is reduced to 0.9 seconds.',0,1),
(80498,260019,9,100,'Resistibility increases against targets higher than level 29.',0,2),
(80499,260019,10,100,'Stuns target encounter',0,0),
(80500,260019,10,100,'Epic targets gain an immunity to Stun effects of 8.3 seconds and duration is reduced to 0.9 seconds.',0,1),
(80501,260019,10,100,'Resistibility increases against targets higher than level 29.',0,2),
(80502,260020,1,100,'Stuns target encounter',0,0),
(80503,260020,1,100,'Epic targets gain an immunity to Stun effects of 8.3 seconds and duration is reduced to 0.9 seconds.',0,1),
(80504,260020,1,100,'Resistibility increases against targets higher than level 29.',0,2),
(80505,260020,2,100,'Stuns target encounter',0,0),
(80506,260020,2,100,'Epic targets gain an immunity to Stun effects of 8.3 seconds and duration is reduced to 0.9 seconds.',0,1),
(80507,260020,2,100,'Resistibility increases against targets higher than level 29.',0,2),
(80508,260020,3,100,'Stuns target encounter',0,0),
(80509,260020,3,100,'Epic targets gain an immunity to Stun effects of 8.3 seconds and duration is reduced to 0.9 seconds.',0,1),
(80510,260020,3,100,'Resistibility increases against targets higher than level 29.',0,2),
(80511,260020,4,100,'Stuns target encounter',0,0),
(80512,260020,4,100,'Epic targets gain an immunity to Stun effects of 8.3 seconds and duration is reduced to 0.9 seconds.',0,1),
(80513,260020,4,100,'Resistibility increases against targets higher than level 29.',0,2),
(80514,260020,5,100,'Stuns target encounter',0,0),
(80515,260020,5,100,'Epic targets gain an immunity to Stun effects of 8.3 seconds and duration is reduced to 0.9 seconds.',0,1),
(80516,260020,5,100,'Resistibility increases against targets higher than level 29.',0,2),
(80517,260020,7,100,'Stuns target encounter',0,0),
(80518,260020,7,100,'Epic targets gain an immunity to Stun effects of 8.3 seconds and duration is reduced to 0.9 seconds.',0,1),
(80519,260020,7,100,'Resistibility increases against targets higher than level 29.',0,2),
(80520,260020,9,100,'Stuns target encounter',0,0),
(80521,260020,9,100,'Epic targets gain an immunity to Stun effects of 8.3 seconds and duration is reduced to 0.9 seconds.',0,1),
(80522,260020,9,100,'Resistibility increases against targets higher than level 29.',0,2),
(80523,260021,1,100,'Stuns target encounter',0,0),
(80524,260021,1,100,'Epic targets gain an immunity to Stun effects of 8.3 seconds and duration is reduced to 0.9 seconds.',0,1),
(80525,260021,1,100,'Resistibility increases against targets higher than level 29.',0,2),
(80526,260021,2,100,'Stuns target encounter',0,0),
(80527,260021,2,100,'Epic targets gain an immunity to Stun effects of 8.3 seconds and duration is reduced to 0.9 seconds.',0,1),
(80528,260021,2,100,'Resistibility increases against targets higher than level 29.',0,2),
(80529,260021,3,100,'Stuns target encounter',0,0),
(80530,260021,3,100,'Epic targets gain an immunity to Stun effects of 8.3 seconds and duration is reduced to 0.9 seconds.',0,1),
(80531,260021,3,100,'Resistibility increases against targets higher than level 29.',0,2),
(80532,260021,4,100,'Stuns target encounter',0,0),
(80533,260021,4,100,'Epic targets gain an immunity to Stun effects of 8.3 seconds and duration is reduced to 0.9 seconds.',0,1),
(80534,260021,4,100,'Resistibility increases against targets higher than level 29.',0,2),
(80535,260021,5,100,'Stuns target encounter',0,0),
(80536,260021,5,100,'Epic targets gain an immunity to Stun effects of 8.3 seconds and duration is reduced to 0.9 seconds.',0,1),
(80537,260021,5,100,'Resistibility increases against targets higher than level 29.',0,2),
(80538,260021,7,100,'Stuns target encounter',0,0),
(80539,260021,7,100,'Epic targets gain an immunity to Stun effects of 8.3 seconds and duration is reduced to 0.9 seconds.',0,1),
(80540,260021,7,100,'Resistibility increases against targets higher than level 29.',0,2),
(80541,260021,9,100,'Stuns target encounter',0,0),
(80542,260021,9,100,'Epic targets gain an immunity to Stun effects of 8.3 seconds and duration is reduced to 0.9 seconds.',0,1),
(80543,260021,9,100,'Resistibility increases against targets higher than level 29.',0,2),
(80544,260022,1,100,'Stuns target encounter',0,0),
(80545,260022,1,100,'Epic targets gain an immunity to Stun effects of 8.3 seconds and duration is reduced to 0.9 seconds.',0,1),
(80546,260022,1,100,'Resistibility increases against targets higher than level 29.',0,2),
(80547,260022,4,100,'Stuns target encounter',0,0),
(80548,260022,4,100,'Epic targets gain an immunity to Stun effects of 8.3 seconds and duration is reduced to 0.9 seconds.',0,1),
(80549,260022,4,100,'Resistibility increases against targets higher than level 29.',0,2),
(80550,260022,5,100,'Stuns target encounter',0,0),
(80551,260022,5,100,'Epic targets gain an immunity to Stun effects of 8.3 seconds and duration is reduced to 0.9 seconds.',0,1),
(80552,260022,5,100,'Resistibility increases against targets higher than level 29.',0,2),
(80553,260022,7,100,'Stuns target encounter',0,0),
(80554,260022,7,100,'Epic targets gain an immunity to Stun effects of 8.3 seconds and duration is reduced to 0.9 seconds.',0,1),
(80555,260022,7,100,'Resistibility increases against targets higher than level 29.',0,2),
(80556,260022,9,100,'Stuns target encounter',0,0),
(80557,260022,9,100,'Epic targets gain an immunity to Stun effects of 8.3 seconds and duration is reduced to 0.9 seconds.',0,1),
(80558,260022,9,100,'Resistibility increases against targets higher than level 29.',0,2),
(80559,210004,1,100,'Binds the caster''s sight to the target',0,0),
(80560,210004,1,100,'Stuns caster',0,1),
(80561,210004,1,100,'This effect cancels during combat',0,2),
(80625,440071,12,100,'Applies Blackwood''s Focus to qualifying pets.',0,0),
(80626,440071,12,100,'Heals target for 1.0% of max health instantly and every 3 seconds',1,1),
(80627,440071,12,100,'Cannot be modified except by direct means',1,2),
(80628,440071,12,100,'Improves the channeler''s heals by 20% of their wisdom.',0,3),
(80629,440071,12,100,'Cannot be modified except by direct means',0,4),
(80630,2000337,1,100,'Prevents AOE (except when direct) ',0,0),
(80631,2000338,1,100,'Inflicts 2079 - 3464 magic damage on targets in Area of Effect',0,0),
(80632,2000338,2,100,'Inflicts 3326 - 5543 magic damage on targets in Area of Effect',0,0),
(80633,220001,1,100,'Inflicts 24 - 44 heat damage on target',0,0),
(80634,220001,1,100,'Inflicts 9 - 16 heat damage on target every 2 seconds',0,1),
(80635,220001,2,100,'Inflicts 25 - 46 heat damage on target',0,0),
(80636,220001,2,100,'Inflicts 9 - 17 heat damage on target every 2 seconds',0,1),
(80637,220001,3,100,'Inflicts 26 - 49 heat damage on target',0,0),
(80638,220001,3,100,'Inflicts 10 - 18 heat damage on target every 2 seconds',0,1),
(80639,220001,4,100,'Inflicts 29 - 54 heat damage on target',0,0),
(80640,220001,4,100,'Inflicts 11 - 20 heat damage on target every 2 seconds',0,1),
(80641,220001,5,100,'Inflicts 31 - 58 heat damage on target',0,0),
(80642,220001,5,100,'Inflicts 12 - 22 heat damage on target every 2 seconds',0,1),
(80643,220001,7,100,'Inflicts 40 - 75 heat damage on target',0,0),
(80644,220001,7,100,'Inflicts 15 - 28 heat damage on target every 2 seconds',0,1),
(80645,220001,9,100,'Inflicts 42 - 78 heat damage on target',0,0),
(80646,220001,9,100,'Inflicts 16 - 29 heat damage on target every 2 seconds',0,1),
(80647,130015,1,100,'Inflicts 125 divine damage on target encounter',0,0),
(80648,130015,2,100,'Inflicts 132 divine damage on target encounter',0,0),
(80649,130015,3,100,'Inflicts 139 divine damage on target encounter',0,0),
(80650,130015,4,100,'Inflicts 153 divine damage on target encounter',0,0),
(80651,130015,5,100,'Inflicts 167 divine damage on target encounter',0,0),
(80652,130015,7,100,'Inflicts 215 divine damage on target encounter',0,0),
(80653,130015,9,100,'Inflicts 223 divine damage on target encounter',0,0),
(80654,130016,1,100,'Inflicts 193 divine damage on target encounter',0,0),
(80655,130016,2,100,'Inflicts 203 divine damage on target encounter',0,0),
(80656,130016,3,100,'Inflicts 214 divine damage on target encounter',0,0),
(80657,130016,4,100,'Inflicts 235 divine damage on target encounter',0,0),
(80658,130016,5,100,'Inflicts 257 divine damage on target encounter',0,0),
(80659,130016,7,100,'Inflicts 329 divine damage on target encounter',0,0),
(80660,130016,9,100,'Inflicts 342 divine damage on target encounter',0,0),
(80661,130017,1,100,'Inflicts 268 divine damage on target encounter',0,0),
(80662,130017,2,100,'Inflicts 283 divine damage on target encounter',0,0),
(80663,130017,3,100,'Inflicts 298 divine damage on target encounter',0,0),
(80664,130017,4,100,'Inflicts 328 divine damage on target encounter',0,0),
(80665,130017,5,100,'Inflicts 358 divine damage on target encounter',0,0),
(80666,130017,7,100,'Inflicts 459 divine damage on target encounter',0,0),
(80667,130017,9,100,'Inflicts 477 divine damage on target encounter',0,0),
(80668,130017,10,100,'Inflicts 501 divine damage on target encounter',0,0),
(80669,130018,1,100,'Inflicts 350 divine damage on target encounter',0,0),
(80670,130018,2,100,'Inflicts 369 divine damage on target encounter',0,0),
(80671,130018,3,100,'Inflicts 389 divine damage on target encounter',0,0),
(80672,130018,4,100,'Inflicts 427 divine damage on target encounter',0,0),
(80673,130018,5,100,'Inflicts 466 divine damage on target encounter',0,0),
(80674,130018,7,100,'Inflicts 598 divine damage on target encounter',0,0),
(80675,130018,9,100,'Inflicts 622 divine damage on target encounter',0,0),
(80676,130018,10,100,'Inflicts 653 divine damage on target encounter',0,0),
(80677,130019,1,100,'Inflicts 423 divine damage on target encounter',0,0),
(80678,130019,4,100,'Inflicts 516 divine damage on target encounter',0,0),
(80679,130019,5,100,'Inflicts 563 divine damage on target encounter',0,0),
(80680,130019,7,100,'Inflicts 723 divine damage on target encounter',0,0),
(80681,130019,9,100,'Inflicts 751 divine damage on target encounter',0,0),
(80682,130019,10,100,'Inflicts 789 divine damage on target encounter',0,0),
(80683,130020,1,100,'Inflicts 482 divine damage on target encounter',0,0),
(80684,130020,4,100,'Inflicts 589 divine damage on target encounter',0,0),
(80685,130020,5,100,'Inflicts 642 divine damage on target encounter',0,0),
(80686,130020,7,100,'Inflicts 824 divine damage on target encounter',0,0),
(80687,130020,9,100,'Inflicts 856 divine damage on target encounter',0,0),
(80688,130020,10,100,'Inflicts 899 divine damage on target encounter',0,0),
(80689,290021,1,100,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',0,0),
(80690,290021,1,100,'Inflicts 145 - 241 heat damage on target',1,1),
(80691,290021,1,100,'Grants a total of 5 triggers of the spell.',1,2),
(80692,290021,1,100,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',0,3),
(80693,290021,1,100,'Inflicts 145 - 241 heat damage on target',1,4),
(80694,290021,1,100,'Grants a total of 5 triggers of the spell.',1,5),
(80695,290021,2,100,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',0,0),
(80696,290021,2,100,'Inflicts 153 - 254 heat damage on target',1,1),
(80697,290021,2,100,'Grants a total of 5 triggers of the spell.',1,2),
(80698,290021,2,100,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',0,3),
(80699,290021,2,100,'Inflicts 153 - 254 heat damage on target',1,4),
(80700,290021,2,100,'Grants a total of 5 triggers of the spell.',1,5),
(80701,290021,3,100,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',0,0),
(80702,290021,3,100,'Inflicts 161 - 268 heat damage on target',1,1),
(80703,290021,3,100,'Grants a total of 5 triggers of the spell.',1,2),
(80704,290021,3,100,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',0,3),
(80705,290021,3,100,'Inflicts 161 - 268 heat damage on target',1,4),
(80706,290021,3,100,'Grants a total of 5 triggers of the spell.',1,5),
(80707,290021,4,100,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',0,0),
(80708,290021,4,100,'Inflicts 177 - 294 heat damage on target',1,1),
(80709,290021,4,100,'Grants a total of 5 triggers of the spell.',1,2),
(80710,290021,4,100,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',0,3),
(80711,290021,4,100,'Inflicts 177 - 294 heat damage on target',1,4),
(80712,290021,4,100,'Grants a total of 5 triggers of the spell.',1,5),
(80713,290021,5,100,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',0,0),
(80714,290021,5,100,'Inflicts 193 - 321 heat damage on target',1,1),
(80715,290021,5,100,'Grants a total of 5 triggers of the spell.',1,2),
(80716,290021,5,100,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',0,3),
(80717,290021,5,100,'Inflicts 193 - 321 heat damage on target',1,4),
(80718,290021,5,100,'Grants a total of 5 triggers of the spell.',1,5),
(80719,290021,7,100,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',0,0),
(80720,290021,7,100,'Inflicts 247 - 412 heat damage on target',1,1),
(80721,290021,7,100,'Grants a total of 5 triggers of the spell.',1,2),
(80722,290021,7,100,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',0,3),
(80723,290021,7,100,'Inflicts 247 - 412 heat damage on target',1,4),
(80724,290021,7,100,'Grants a total of 5 triggers of the spell.',1,5),
(80725,290021,9,100,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',0,0),
(80726,290021,9,100,'Inflicts 257 - 428 heat damage on target',1,1),
(80727,290021,9,100,'Grants a total of 5 triggers of the spell.',1,2),
(80728,290021,9,100,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',0,3),
(80729,290021,9,100,'Inflicts 257 - 428 heat damage on target',1,4),
(80730,290021,9,100,'Grants a total of 5 triggers of the spell.',1,5),
(80731,290022,1,100,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',0,0),
(80732,290022,1,100,'Inflicts 218 - 363 heat damage on target',1,1),
(80733,290022,1,100,'Grants a total of 5 triggers of the spell.',1,2),
(80734,290022,1,100,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',0,3),
(80735,290022,1,100,'Inflicts 218 - 363 heat damage on target',1,4),
(80736,290022,1,100,'Grants a total of 5 triggers of the spell.',1,5),
(80737,290022,2,100,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',0,0),
(80738,290022,2,100,'Inflicts 230 - 383 heat damage on target',1,1),
(80739,290022,2,100,'Grants a total of 5 triggers of the spell.',1,2),
(80740,290022,2,100,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',0,3),
(80741,290022,2,100,'Inflicts 230 - 383 heat damage on target',1,4),
(80742,290022,2,100,'Grants a total of 5 triggers of the spell.',1,5),
(80743,290022,3,100,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',0,0),
(80744,290022,3,100,'Inflicts 242 - 403 heat damage on target',1,1),
(80745,290022,3,100,'Grants a total of 5 triggers of the spell.',1,2),
(80746,290022,3,100,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',0,3),
(80747,290022,3,100,'Inflicts 242 - 403 heat damage on target',1,4),
(80748,290022,3,100,'Grants a total of 5 triggers of the spell.',1,5),
(80749,290022,4,100,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',0,0),
(80750,290022,4,100,'Inflicts 266 - 443 heat damage on target',1,1),
(80751,290022,4,100,'Grants a total of 5 triggers of the spell.',1,2),
(80752,290022,4,100,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',0,3),
(80753,290022,4,100,'Inflicts 266 - 443 heat damage on target',1,4),
(80754,290022,4,100,'Grants a total of 5 triggers of the spell.',1,5),
(80755,290022,5,100,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',0,0),
(80756,290022,5,100,'Inflicts 290 - 483 heat damage on target',1,1),
(80757,290022,5,100,'Grants a total of 5 triggers of the spell.',1,2),
(80758,290022,5,100,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',0,3),
(80759,290022,5,100,'Inflicts 290 - 483 heat damage on target',1,4),
(80760,290022,5,100,'Grants a total of 5 triggers of the spell.',1,5),
(80761,290022,7,100,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',0,0),
(80762,290022,7,100,'Inflicts 372 - 620 heat damage on target',1,1),
(80763,290022,7,100,'Grants a total of 5 triggers of the spell.',1,2),
(80764,290022,7,100,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',0,3),
(80765,290022,7,100,'Inflicts 372 - 620 heat damage on target',1,4),
(80766,290022,7,100,'Grants a total of 5 triggers of the spell.',1,5),
(80767,290022,9,100,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',0,0),
(80768,290022,9,100,'Inflicts 387 - 645 heat damage on target',1,1),
(80769,290022,9,100,'Grants a total of 5 triggers of the spell.',1,2),
(80770,290022,9,100,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',0,3),
(80771,290022,9,100,'Inflicts 387 - 645 heat damage on target',1,4),
(80772,290022,9,100,'Grants a total of 5 triggers of the spell.',1,5),
(80773,290023,1,100,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',0,0),
(80774,290023,1,100,'Inflicts 264 - 440 heat damage on target',1,1),
(80775,290023,1,100,'Grants a total of 5 triggers of the spell.',1,2),
(80776,290023,1,100,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',0,3),
(80777,290023,1,100,'Inflicts 264 - 440 heat damage on target',1,4),
(80778,290023,1,100,'Grants a total of 5 triggers of the spell.',1,5),
(80779,290023,2,100,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',0,0),
(80780,290023,2,100,'Inflicts 278 - 464 heat damage on target',1,1),
(80781,290023,2,100,'Grants a total of 5 triggers of the spell.',1,2),
(80782,290023,2,100,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',0,3),
(80783,290023,2,100,'Inflicts 278 - 464 heat damage on target',1,4),
(80784,290023,2,100,'Grants a total of 5 triggers of the spell.',1,5),
(80785,290023,3,100,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',0,0),
(80786,290023,3,100,'Inflicts 293 - 488 heat damage on target',1,1),
(80787,290023,3,100,'Grants a total of 5 triggers of the spell.',1,2),
(80788,290023,3,100,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',0,3),
(80789,290023,3,100,'Inflicts 293 - 488 heat damage on target',1,4),
(80790,290023,3,100,'Grants a total of 5 triggers of the spell.',1,5),
(80791,290023,4,100,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',0,0),
(80792,290023,4,100,'Inflicts 322 - 537 heat damage on target',1,1),
(80793,290023,4,100,'Grants a total of 5 triggers of the spell.',1,2),
(80794,290023,4,100,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',0,3),
(80795,290023,4,100,'Inflicts 322 - 537 heat damage on target',1,4),
(80796,290023,4,100,'Grants a total of 5 triggers of the spell.',1,5),
(80797,290023,5,100,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',0,0),
(80798,290023,5,100,'Inflicts 352 - 586 heat damage on target',1,1),
(80799,290023,5,100,'Grants a total of 5 triggers of the spell.',1,2),
(80800,290023,5,100,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',0,3),
(80801,290023,5,100,'Inflicts 352 - 586 heat damage on target',1,4),
(80802,290023,5,100,'Grants a total of 5 triggers of the spell.',1,5),
(80803,290023,7,100,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',0,0),
(80804,290023,7,100,'Inflicts 451 - 752 heat damage on target',1,1),
(80805,290023,7,100,'Grants a total of 5 triggers of the spell.',1,2),
(80806,290023,7,100,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',0,3),
(80807,290023,7,100,'Inflicts 451 - 752 heat damage on target',1,4),
(80808,290023,7,100,'Grants a total of 5 triggers of the spell.',1,5),
(80809,290023,9,100,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',0,0),
(80810,290023,9,100,'Inflicts 469 - 782 heat damage on target',1,1),
(80811,290023,9,100,'Grants a total of 5 triggers of the spell.',1,2),
(80812,290023,9,100,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',0,3),
(80813,290023,9,100,'Inflicts 469 - 782 heat damage on target',1,4),
(80814,290023,9,100,'Grants a total of 5 triggers of the spell.',1,5),
(80815,290024,1,100,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',0,0),
(80816,290024,1,100,'Inflicts 317 - 529 heat damage on target',1,1),
(80817,290024,1,100,'Grants a total of 5 triggers of the spell.',1,2),
(80818,290024,1,100,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',0,3),
(80819,290024,1,100,'Inflicts 317 - 529 heat damage on target',1,4),
(80820,290024,1,100,'Grants a total of 5 triggers of the spell.',1,5),
(80821,290024,4,100,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',0,0),
(80822,290024,4,100,'Inflicts 388 - 646 heat damage on target',1,1),
(80823,290024,4,100,'Grants a total of 5 triggers of the spell.',1,2),
(80824,290024,4,100,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',0,3),
(80825,290024,4,100,'Inflicts 388 - 646 heat damage on target',1,4),
(80826,290024,4,100,'Grants a total of 5 triggers of the spell.',1,5),
(80827,290024,5,100,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',0,0),
(80828,290024,5,100,'Inflicts 423 - 705 heat damage on target',1,1),
(80829,290024,5,100,'Grants a total of 5 triggers of the spell.',1,2),
(80830,290024,5,100,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',0,3),
(80831,290024,5,100,'Inflicts 423 - 705 heat damage on target',1,4),
(80832,290024,5,100,'Grants a total of 5 triggers of the spell.',1,5),
(80833,290024,7,100,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',0,0),
(80834,290024,7,100,'Inflicts 543 - 905 heat damage on target',1,1),
(80835,290024,7,100,'Grants a total of 5 triggers of the spell.',1,2),
(80836,290024,7,100,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',0,3),
(80837,290024,7,100,'Inflicts 543 - 905 heat damage on target',1,4),
(80838,290024,7,100,'Grants a total of 5 triggers of the spell.',1,5),
(80839,290024,9,100,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',0,0),
(80840,290024,9,100,'Inflicts 564 - 940 heat damage on target',1,1),
(80841,290024,9,100,'Grants a total of 5 triggers of the spell.',1,2),
(80842,290024,9,100,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',0,3),
(80843,290024,9,100,'Inflicts 564 - 940 heat damage on target',1,4),
(80844,290024,9,100,'Grants a total of 5 triggers of the spell.',1,5),
(80845,290025,1,100,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',0,0),
(80846,290025,1,100,'Inflicts 337 - 561 heat damage on target',1,1),
(80847,290025,1,100,'Grants a total of 5 triggers of the spell.',1,2),
(80848,290025,1,100,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',0,3),
(80849,290025,1,100,'Inflicts 337 - 561 heat damage on target',1,4),
(80850,290025,1,100,'Grants a total of 5 triggers of the spell.',1,5),
(80851,290025,4,100,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',0,0),
(80852,290025,4,100,'Inflicts 412 - 686 heat damage on target',1,1),
(80853,290025,4,100,'Grants a total of 5 triggers of the spell.',1,2),
(80854,290025,4,100,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',0,3),
(80855,290025,4,100,'Inflicts 412 - 686 heat damage on target',1,4),
(80856,290025,4,100,'Grants a total of 5 triggers of the spell.',1,5),
(80857,290025,5,100,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',0,0),
(80858,290025,5,100,'Inflicts 449 - 748 heat damage on target',1,1),
(80859,290025,5,100,'Grants a total of 5 triggers of the spell.',1,2),
(80860,290025,5,100,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',0,3),
(80861,290025,5,100,'Inflicts 449 - 748 heat damage on target',1,4),
(80862,290025,5,100,'Grants a total of 5 triggers of the spell.',1,5),
(80863,290025,7,100,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',0,0),
(80864,290025,7,100,'Inflicts 576 - 960 heat damage on target',1,1),
(80865,290025,7,100,'Grants a total of 5 triggers of the spell.',1,2),
(80866,290025,7,100,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',0,3),
(80867,290025,7,100,'Inflicts 576 - 960 heat damage on target',1,4),
(80868,290025,7,100,'Grants a total of 5 triggers of the spell.',1,5),
(80869,290025,9,100,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',0,0),
(80870,290025,9,100,'Inflicts 599 - 998 heat damage on target',1,1),
(80871,290025,9,100,'Grants a total of 5 triggers of the spell.',1,2),
(80872,290025,9,100,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',0,3),
(80873,290025,9,100,'Inflicts 599 - 998 heat damage on target',1,4),
(80874,290025,9,100,'Grants a total of 5 triggers of the spell.',1,5),
(80875,2000339,1,100,'On any combat or spell hit this spell may cast Blazing Energy on target.  Lasts for 15 minutes.  Triggers about 0.2 times per minute. ',0,0),
(80876,2000339,1,100,'Dispelled when a group member dies.',1,1),
(80877,2000339,1,100,'Group members (AE) has a 1.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',1,2),
(80878,2000339,1,100,'Increases Haste of group members (AE) by 1.0',1,3),
(80879,2000339,1,100,'On a death blow this spell will cast Blazing Energy on target.  Lasts for 15 minutes.  ',0,4),
(80880,2000339,1,100,'Dispelled when a group member dies.',1,5),
(80881,2000339,1,100,'Group members (AE) has a 1.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',1,6),
(80882,2000339,1,100,'Increases Haste of group members (AE) by 1.0',1,7),
(80883,130021,1,100,'Applies Battle''s Reprieve on termination.  Lasts for 1 minute.',0,0),
(80884,130021,1,100,'Heals target for 25.0% of max health',1,1),
(80885,130021,1,100,'This effect cannot be critically applied.',2,2),
(80886,130021,1,100,'Increases Mitigation of target vs physical damage by 360',1,3),
(80887,130021,1,100,'Applies Revived Sickness on termination.  Lasts for 2 minutes.',0,4),
(80888,130021,1,100,'Decreases All Attributes of target by 20.0%',1,5),
(80889,130021,1,100,'If not between levels 1 - 6',2,6),
(80890,130021,1,100,'Decreases Haste of target by 20.0',1,7),
(80891,130021,1,100,'If not between levels 1 - 6',2,8),
(80892,130021,1,100,'Decreases All Attributes of target by 5.0%',1,9),
(80893,130021,1,100,'If between levels 1 - 6',2,10),
(80894,130021,1,100,'Decreases Haste of target by 5.0',1,11),
(80895,130021,1,100,'If between levels 1 - 6',2,12),
(80896,130021,1,100,'Resurrects target with 15% health and power',0,13),
(80897,130021,1,100,'If outside an arena',0,14),
(80898,130021,1,100,'If outside an arena',0,15),
(80899,100103,1,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(80900,100103,1,100,'Inflicts 25 - 41 divine damage on target',1,1),
(80901,100103,1,100,'Inflicts 21 - 35 divine damage on target',1,2),
(80902,100103,1,100,'If target is undead',2,3),
(80903,100103,1,100,'Stuns target',1,4),
(80904,100103,1,100,'If Target is not Epic',2,5),
(80905,80020,1,100,'On a melee hit this spell may cast Blessed Strike on target of attack.  Triggers about 2.0 times per minute. ',0,0),
(80906,80020,1,100,'Inflicts 21 - 35 divine damage on target',1,1),
(80907,100103,2,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(80908,100103,2,100,'Inflicts 26 - 43 divine damage on target',1,1),
(80909,100103,2,100,'Inflicts 22 - 37 divine damage on target',1,2),
(80910,100103,2,100,'If target is undead',2,3),
(80911,100103,2,100,'Stuns target',1,4),
(80912,100103,2,100,'If Target is not Epic',2,5),
(80913,100103,3,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(80914,100103,3,100,'Inflicts 27 - 46 divine damage on target',1,1),
(80915,100103,3,100,'Inflicts 23 - 39 divine damage on target',1,2),
(80916,100103,3,100,'If target is undead',2,3),
(80917,100103,3,100,'Stuns target',1,4),
(80918,100103,3,100,'If Target is not Epic',2,5),
(80919,100103,4,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(80920,100103,4,100,'Inflicts 30 - 50 divine damage on target',1,1),
(80921,100103,4,100,'Inflicts 26 - 43 divine damage on target',1,2),
(80922,100103,4,100,'If target is undead',2,3),
(80923,100103,4,100,'Stuns target',1,4),
(80924,100103,4,100,'If Target is not Epic',2,5),
(80925,100103,5,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(80926,100103,5,100,'Inflicts 33 - 55 divine damage on target',1,1),
(80927,100103,5,100,'Inflicts 28 - 47 divine damage on target',1,2),
(80928,100103,5,100,'If target is undead',2,3),
(80929,100103,5,100,'Stuns target',1,4),
(80930,100103,5,100,'If Target is not Epic',2,5),
(80931,100103,7,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(80932,100103,7,100,'Inflicts 42 - 70 divine damage on target',1,1),
(80933,100103,7,100,'Inflicts 36 - 60 divine damage on target',1,2),
(80934,100103,7,100,'If target is undead',2,3),
(80935,100103,7,100,'Stuns target',1,4),
(80936,100103,7,100,'If Target is not Epic',2,5),
(80937,100103,9,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(80938,100103,9,100,'Inflicts 44 - 73 divine damage on target',1,1),
(80939,100103,9,100,'Inflicts 37 - 62 divine damage on target',1,2),
(80940,100103,9,100,'If target is undead',2,3),
(80941,100103,9,100,'Stuns target',1,4),
(80942,100103,9,100,'If Target is not Epic',2,5),
(80943,100103,10,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(80944,100103,10,100,'Inflicts 46 - 76 divine damage on target',1,1),
(80945,100103,10,100,'Inflicts 39 - 66 divine damage on target',1,2),
(80946,100103,10,100,'If target is undead',2,3),
(80947,100103,10,100,'Stuns target',1,4),
(80948,100103,10,100,'If Target is not Epic',2,5),
(80949,100104,1,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(80950,100104,1,100,'Inflicts 60 - 99 divine damage on target',1,1),
(80951,100104,1,100,'Inflicts 51 - 85 divine damage on target',1,2),
(80952,100104,1,100,'If target is undead',2,3),
(80953,100104,1,100,'Stuns target',1,4),
(80954,100104,1,100,'If Target is not Epic',2,5),
(80955,100104,2,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(80956,100104,2,100,'Inflicts 63 - 105 divine damage on target',1,1),
(80957,100104,2,100,'Inflicts 54 - 90 divine damage on target',1,2),
(80958,100104,2,100,'If target is undead',2,3),
(80959,100104,2,100,'Stuns target',1,4),
(80960,100104,2,100,'If Target is not Epic',2,5),
(80961,100104,3,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(80962,100104,3,100,'Inflicts 66 - 110 divine damage on target',1,1),
(80963,100104,3,100,'Inflicts 57 - 95 divine damage on target',1,2),
(80964,100104,3,100,'If target is undead',2,3),
(80965,100104,3,100,'Stuns target',1,4),
(80966,100104,3,100,'If Target is not Epic',2,5),
(80967,100104,4,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(80968,100104,4,100,'Inflicts 73 - 121 divine damage on target',1,1),
(80969,100104,4,100,'Inflicts 62 - 104 divine damage on target',1,2),
(80970,100104,4,100,'If target is undead',2,3),
(80971,100104,4,100,'Stuns target',1,4),
(80972,100104,4,100,'If Target is not Epic',2,5),
(80973,100104,5,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(80974,100104,5,100,'Inflicts 79 - 132 divine damage on target',1,1),
(80975,100104,5,100,'Inflicts 68 - 114 divine damage on target',1,2),
(80976,100104,5,100,'If target is undead',2,3),
(80977,100104,5,100,'Stuns target',1,4),
(80978,100104,5,100,'If Target is not Epic',2,5),
(80979,100104,7,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(80980,100104,7,100,'Inflicts 102 - 170 divine damage on target',1,1),
(80981,100104,7,100,'Inflicts 87 - 146 divine damage on target',1,2),
(80982,100104,7,100,'If target is undead',2,3),
(80983,100104,7,100,'Stuns target',1,4),
(80984,100104,7,100,'If Target is not Epic',2,5),
(80985,100104,9,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(80986,100104,9,100,'Inflicts 106 - 177 divine damage on target',1,1),
(80987,100104,9,100,'Inflicts 91 - 151 divine damage on target',1,2),
(80988,100104,9,100,'If target is undead',2,3),
(80989,100104,9,100,'Stuns target',1,4),
(80990,100104,9,100,'If Target is not Epic',2,5),
(80991,100105,1,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(80992,100105,1,100,'Inflicts 99 - 166 divine damage on target',1,1),
(80993,100105,1,100,'Inflicts 85 - 142 divine damage on target',1,2),
(80994,100105,1,100,'If target is undead',2,3),
(80995,100105,1,100,'Stuns target',1,4),
(80996,100105,1,100,'If Target is not Epic',2,5),
(80997,100105,2,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(80998,100105,2,100,'Inflicts 105 - 175 divine damage on target',1,1),
(80999,100105,2,100,'Inflicts 90 - 150 divine damage on target',1,2),
(81000,100105,2,100,'If target is undead',2,3),
(81001,100105,2,100,'Stuns target',1,4),
(81002,100105,2,100,'If Target is not Epic',2,5),
(81003,100105,3,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(81004,100105,3,100,'Inflicts 110 - 184 divine damage on target',1,1),
(81005,100105,3,100,'Inflicts 95 - 158 divine damage on target',1,2),
(81006,100105,3,100,'If target is undead',2,3),
(81007,100105,3,100,'Stuns target',1,4),
(81008,100105,3,100,'If Target is not Epic',2,5),
(81009,100105,4,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(81010,100105,4,100,'Inflicts 121 - 202 divine damage on target',1,1),
(81011,100105,4,100,'Inflicts 104 - 173 divine damage on target',1,2),
(81012,100105,4,100,'If target is undead',2,3),
(81013,100105,4,100,'Stuns target',1,4),
(81014,100105,4,100,'If Target is not Epic',2,5),
(81015,100105,5,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(81016,100105,5,100,'Inflicts 132 - 221 divine damage on target',1,1),
(81017,100105,5,100,'Inflicts 114 - 189 divine damage on target',1,2),
(81018,100105,5,100,'If target is undead',2,3),
(81019,100105,5,100,'Stuns target',1,4),
(81020,100105,5,100,'If Target is not Epic',2,5),
(81021,100105,7,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(81022,100105,7,100,'Inflicts 170 - 283 divine damage on target',1,1),
(81023,100105,7,100,'Inflicts 146 - 243 divine damage on target',1,2),
(81024,100105,7,100,'If target is undead',2,3),
(81025,100105,7,100,'Stuns target',1,4),
(81026,100105,7,100,'If Target is not Epic',2,5),
(81027,100105,9,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(81028,100105,9,100,'Inflicts 177 - 294 divine damage on target',1,1),
(81029,100105,9,100,'Inflicts 151 - 252 divine damage on target',1,2),
(81030,100105,9,100,'If target is undead',2,3),
(81031,100105,9,100,'Stuns target',1,4),
(81032,100105,9,100,'If Target is not Epic',2,5),
(81033,100106,1,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(81034,100106,1,100,'Inflicts 148 - 246 divine damage on target',1,1),
(81035,100106,1,100,'Inflicts 127 - 211 divine damage on target',1,2),
(81036,100106,1,100,'If target is undead',2,3),
(81037,100106,1,100,'Stuns target',1,4),
(81038,100106,1,100,'If Target is not Epic',2,5),
(81039,100106,2,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(81040,100106,2,100,'Inflicts 156 - 260 divine damage on target',1,1),
(81041,100106,2,100,'Inflicts 134 - 223 divine damage on target',1,2),
(81042,100106,2,100,'If target is undead',2,3),
(81043,100106,2,100,'Stuns target',1,4),
(81044,100106,2,100,'If Target is not Epic',2,5),
(81045,100106,3,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(81046,100106,3,100,'Inflicts 164 - 273 divine damage on target',1,1),
(81047,100106,3,100,'Inflicts 141 - 234 divine damage on target',1,2),
(81048,100106,3,100,'If target is undead',2,3),
(81049,100106,3,100,'Stuns target',1,4),
(81050,100106,3,100,'If Target is not Epic',2,5),
(81051,100106,4,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(81052,100106,4,100,'Inflicts 180 - 301 divine damage on target',1,1),
(81053,100106,4,100,'Inflicts 155 - 258 divine damage on target',1,2),
(81054,100106,4,100,'If target is undead',2,3),
(81055,100106,4,100,'Stuns target',1,4),
(81056,100106,4,100,'If Target is not Epic',2,5),
(81057,100106,5,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(81058,100106,5,100,'Inflicts 197 - 328 divine damage on target',1,1),
(81059,100106,5,100,'Inflicts 169 - 281 divine damage on target',1,2),
(81060,100106,5,100,'If target is undead',2,3),
(81061,100106,5,100,'Stuns target',1,4),
(81062,100106,5,100,'If Target is not Epic',2,5),
(81063,100106,7,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(81064,100106,7,100,'Inflicts 253 - 421 divine damage on target',1,1),
(81065,100106,7,100,'Inflicts 217 - 361 divine damage on target',1,2),
(81066,100106,7,100,'If target is undead',2,3),
(81067,100106,7,100,'Stuns target',1,4),
(81068,100106,7,100,'If Target is not Epic',2,5),
(81069,100106,9,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(81070,100106,9,100,'Inflicts 262 - 437 divine damage on target',1,1),
(81071,100106,9,100,'Inflicts 225 - 375 divine damage on target',1,2),
(81072,100106,9,100,'If target is undead',2,3),
(81073,100106,9,100,'Stuns target',1,4),
(81074,100106,9,100,'If Target is not Epic',2,5),
(81075,100106,10,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(81076,100106,10,100,'Inflicts 276 - 459 divine damage on target',1,1),
(81077,100106,10,100,'Inflicts 236 - 394 divine damage on target',1,2),
(81078,100106,10,100,'If target is undead',2,3),
(81079,100106,10,100,'Stuns target',1,4),
(81080,100106,10,100,'If Target is not Epic',2,5),
(81081,100107,1,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(81082,100107,1,100,'Inflicts 197 - 329 divine damage on target',1,1),
(81083,100107,1,100,'Inflicts 169 - 282 divine damage on target',1,2),
(81084,100107,1,100,'If target is undead',2,3),
(81085,100107,1,100,'Stuns target',1,4),
(81086,100107,1,100,'If Target is not Epic',2,5),
(81087,100107,2,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(81088,100107,2,100,'Inflicts 208 - 347 divine damage on target',1,1),
(81089,100107,2,100,'Inflicts 179 - 298 divine damage on target',1,2),
(81090,100107,2,100,'If target is undead',2,3),
(81091,100107,2,100,'Stuns target',1,4),
(81092,100107,2,100,'If Target is not Epic',2,5),
(81093,100107,3,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(81094,100107,3,100,'Inflicts 219 - 365 divine damage on target',1,1),
(81095,100107,3,100,'Inflicts 188 - 313 divine damage on target',1,2),
(81096,100107,3,100,'If target is undead',2,3),
(81097,100107,3,100,'Stuns target',1,4),
(81098,100107,3,100,'If Target is not Epic',2,5),
(81099,100107,4,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(81100,100107,4,100,'Inflicts 241 - 402 divine damage on target',1,1),
(81101,100107,4,100,'Inflicts 207 - 345 divine damage on target',1,2),
(81102,100107,4,100,'If target is undead',2,3),
(81103,100107,4,100,'Stuns target',1,4),
(81104,100107,4,100,'If Target is not Epic',2,5),
(81105,100107,5,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(81106,100107,5,100,'Inflicts 263 - 438 divine damage on target',1,1),
(81107,100107,5,100,'Inflicts 225 - 376 divine damage on target',1,2),
(81108,100107,5,100,'If target is undead',2,3),
(81109,100107,5,100,'Stuns target',1,4),
(81110,100107,5,100,'If Target is not Epic',2,5),
(81111,100107,7,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(81112,100107,7,100,'Inflicts 338 - 563 divine damage on target',1,1),
(81113,100107,7,100,'Inflicts 289 - 482 divine damage on target',1,2),
(81114,100107,7,100,'If target is undead',2,3),
(81115,100107,7,100,'Stuns target',1,4),
(81116,100107,7,100,'If Target is not Epic',2,5),
(81117,100107,9,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(81118,100107,9,100,'Inflicts 351 - 585 divine damage on target',1,1),
(81119,100107,9,100,'Inflicts 301 - 501 divine damage on target',1,2),
(81120,100107,9,100,'If target is undead',2,3),
(81121,100107,9,100,'Stuns target',1,4),
(81122,100107,9,100,'If Target is not Epic',2,5),
(81123,100108,1,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(81124,100108,1,100,'Inflicts 243 - 405 divine damage on target',1,1),
(81125,100108,1,100,'Inflicts 208 - 347 divine damage on target',1,2),
(81126,100108,1,100,'If target is undead',2,3),
(81127,100108,1,100,'Stuns target',1,4),
(81128,100108,1,100,'If Target is not Epic',2,5),
(81129,100108,2,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(81130,100108,2,100,'Inflicts 256 - 427 divine damage on target',1,1),
(81131,100108,2,100,'Inflicts 220 - 366 divine damage on target',1,2),
(81132,100108,2,100,'If target is undead',2,3),
(81133,100108,2,100,'Stuns target',1,4),
(81134,100108,2,100,'If Target is not Epic',2,5),
(81135,100108,3,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(81136,100108,3,100,'Inflicts 270 - 450 divine damage on target',1,1),
(81137,100108,3,100,'Inflicts 231 - 386 divine damage on target',1,2),
(81138,100108,3,100,'If target is undead',2,3),
(81139,100108,3,100,'Stuns target',1,4),
(81140,100108,3,100,'If Target is not Epic',2,5),
(81141,100108,4,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(81142,100108,4,100,'Inflicts 297 - 495 divine damage on target',1,1),
(81143,100108,4,100,'Inflicts 255 - 424 divine damage on target',1,2),
(81144,100108,4,100,'If target is undead',2,3),
(81145,100108,4,100,'Stuns target',1,4),
(81146,100108,4,100,'If Target is not Epic',2,5),
(81147,100108,5,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(81148,100108,5,100,'Inflicts 324 - 540 divine damage on target',1,1),
(81149,100108,5,100,'Inflicts 278 - 463 divine damage on target',1,2),
(81150,100108,5,100,'If target is undead',2,3),
(81151,100108,5,100,'Stuns target',1,4),
(81152,100108,5,100,'If Target is not Epic',2,5),
(81153,100108,7,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(81154,100108,7,100,'Inflicts 416 - 693 divine damage on target',1,1),
(81155,100108,7,100,'Inflicts 356 - 594 divine damage on target',1,2),
(81156,100108,7,100,'If target is undead',2,3),
(81157,100108,7,100,'Stuns target',1,4),
(81158,100108,7,100,'If Target is not Epic',2,5),
(81159,100108,9,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(81160,100108,9,100,'Inflicts 432 - 720 divine damage on target',1,1),
(81161,100108,9,100,'Inflicts 370 - 617 divine damage on target',1,2),
(81162,100108,9,100,'If target is undead',2,3),
(81163,100108,9,100,'Stuns target',1,4),
(81164,100108,9,100,'If Target is not Epic',2,5),
(81165,100109,1,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(81166,100109,1,100,'Inflicts 293 - 488 divine damage on target',1,1),
(81167,100109,1,100,'Inflicts 251 - 418 divine damage on target',1,2),
(81168,100109,1,100,'If target is undead',2,3),
(81169,100109,1,100,'Stuns target',1,4),
(81170,100109,1,100,'If Target is not Epic',2,5),
(81171,100109,4,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(81172,100109,4,100,'Inflicts 358 - 597 divine damage on target',1,1),
(81173,100109,4,100,'Inflicts 307 - 511 divine damage on target',1,2),
(81174,100109,4,100,'If target is undead',2,3),
(81175,100109,4,100,'Stuns target',1,4),
(81176,100109,4,100,'If Target is not Epic',2,5),
(81177,100109,5,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(81178,100109,5,100,'Inflicts 391 - 651 divine damage on target',1,1),
(81179,100109,5,100,'Inflicts 335 - 558 divine damage on target',1,2),
(81180,100109,5,100,'If target is undead',2,3),
(81181,100109,5,100,'Stuns target',1,4),
(81182,100109,5,100,'If Target is not Epic',2,5),
(81183,100109,7,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(81184,100109,7,100,'Inflicts 501 - 835 divine damage on target',1,1),
(81185,100109,7,100,'Inflicts 430 - 716 divine damage on target',1,2),
(81186,100109,7,100,'If target is undead',2,3),
(81187,100109,7,100,'Stuns target',1,4),
(81188,100109,7,100,'If Target is not Epic',2,5),
(81189,100109,9,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(81190,100109,9,100,'Inflicts 521 - 868 divine damage on target',1,1),
(81191,100109,9,100,'Inflicts 446 - 744 divine damage on target',1,2),
(81192,100109,9,100,'If target is undead',2,3),
(81193,100109,9,100,'Stuns target',1,4),
(81194,100109,9,100,'If Target is not Epic',2,5),
(81195,100110,1,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(81196,100110,1,100,'Inflicts 322 - 536 divine damage on target',1,1),
(81197,100110,1,100,'Inflicts 276 - 460 divine damage on target',1,2),
(81198,100110,1,100,'If target is undead',2,3),
(81199,100110,1,100,'Stuns target',1,4),
(81200,100110,1,100,'If Target is not Epic',2,5),
(81201,100110,4,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(81202,100110,4,100,'Inflicts 393 - 655 divine damage on target',1,1),
(81203,100110,4,100,'Inflicts 337 - 562 divine damage on target',1,2),
(81204,100110,4,100,'If target is undead',2,3),
(81205,100110,4,100,'Stuns target',1,4),
(81206,100110,4,100,'If Target is not Epic',2,5),
(81207,100110,5,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(81208,100110,5,100,'Inflicts 429 - 715 divine damage on target',1,1),
(81209,100110,5,100,'Inflicts 368 - 613 divine damage on target',1,2),
(81210,100110,5,100,'If target is undead',2,3),
(81211,100110,5,100,'Stuns target',1,4),
(81212,100110,5,100,'If Target is not Epic',2,5),
(81213,100110,7,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(81214,100110,7,100,'Inflicts 550 - 917 divine damage on target',1,1),
(81215,100110,7,100,'Inflicts 472 - 786 divine damage on target',1,2),
(81216,100110,7,100,'If target is undead',2,3),
(81217,100110,7,100,'Stuns target',1,4),
(81218,100110,7,100,'If Target is not Epic',2,5),
(81219,100110,9,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(81220,100110,9,100,'Inflicts 572 - 953 divine damage on target',1,1),
(81221,100110,9,100,'Inflicts 490 - 817 divine damage on target',1,2),
(81222,100110,9,100,'If target is undead',2,3),
(81223,100110,9,100,'Stuns target',1,4),
(81224,100110,9,100,'If Target is not Epic',2,5),
(81225,100111,1,100,'Increases STA of caster by 5.4',0,0),
(81226,100111,1,100,'Increases STR of caster by 12.7',0,1),
(81227,100111,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 345',0,2),
(81228,100111,2,100,'Increases STA of caster by 5.7',0,0),
(81229,100111,2,100,'Increases STR of caster by 13.4',0,1),
(81230,100111,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 364',0,2),
(81231,100111,3,100,'Increases STA of caster by 6.0',0,0),
(81232,100111,3,100,'Increases STR of caster by 14.1',0,1),
(81233,100111,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 383',0,2),
(81234,100111,4,100,'Increases STA of caster by 6.6',0,0),
(81235,100111,4,100,'Increases STR of caster by 15.5',0,1),
(81236,100111,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 421',0,2),
(81237,100111,5,100,'Increases STA of caster by 7.2',0,0),
(81238,100111,5,100,'Increases STR of caster by 16.9',0,1),
(81239,100111,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 460',0,2),
(81240,100111,7,100,'Increases STA of caster by 9.3',0,0),
(81241,100111,7,100,'Increases STR of caster by 21.7',0,1),
(81242,100111,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 590',0,2),
(81243,100111,9,100,'Increases STA of caster by 9.7',0,0),
(81244,100111,9,100,'Increases STR of caster by 22.6',0,1),
(81245,100111,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 613',0,2),
(81246,100112,1,100,'Increases STA of caster by 10.9',0,0),
(81247,100112,1,100,'Increases STR of caster by 19.8',0,1),
(81248,100112,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 546',0,2),
(81249,100112,2,100,'Increases STA of caster by 11.5',0,0),
(81250,100112,2,100,'Increases STR of caster by 20.9',0,1),
(81251,100112,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 576',0,2),
(81252,100112,3,100,'Increases STA of caster by 12.1',0,0),
(81253,100112,3,100,'Increases STR of caster by 22.0',0,1),
(81254,100112,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 606',0,2),
(81255,100112,4,100,'Increases STA of caster by 13.3',0,0),
(81256,100112,4,100,'Increases STR of caster by 24.3',0,1),
(81257,100112,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 667',0,2),
(81258,100112,5,100,'Increases STA of caster by 14.6',0,0),
(81259,100112,5,100,'Increases STR of caster by 26.5',0,1),
(81260,100112,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 728',0,2),
(81261,100112,7,100,'Increases STA of caster by 18.7',0,0),
(81262,100112,7,100,'Increases STR of caster by 34.0',0,1),
(81263,100112,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 934',0,2),
(81264,100112,9,100,'Increases STA of caster by 19.4',0,0),
(81265,100112,9,100,'Increases STR of caster by 35.3',0,1),
(81266,100112,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 970',0,2),
(81267,100113,1,100,'Increases STA of caster by 16.2',0,0),
(81268,100113,1,100,'Increases STR of caster by 27.4',0,1),
(81269,100113,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 747',0,2),
(81270,100113,2,100,'Increases STA of caster by 17.1',0,0),
(81271,100113,2,100,'Increases STR of caster by 28.9',0,1),
(81272,100113,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 788',0,2),
(81273,100113,3,100,'Increases STA of caster by 18.0',0,0),
(81274,100113,3,100,'Increases STR of caster by 30.5',0,1),
(81275,100113,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 830',0,2),
(81276,100113,4,100,'Increases STA of caster by 19.8',0,0),
(81277,100113,4,100,'Increases STR of caster by 33.5',0,1),
(81278,100113,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 913',0,2),
(81279,100113,5,100,'Increases STA of caster by 21.6',0,0),
(81280,100113,5,100,'Increases STR of caster by 36.5',0,1),
(81281,100113,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 996',0,2),
(81282,100113,7,100,'Increases STA of caster by 27.7',0,0),
(81283,100113,7,100,'Increases STR of caster by 46.9',0,1),
(81284,100113,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1278',0,2),
(81285,100113,9,100,'Increases STA of caster by 28.7',0,0),
(81286,100113,9,100,'Increases STR of caster by 48.7',0,1),
(81287,100113,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1327',0,2),
(81288,100114,1,100,'Increases STA of caster by 20.6',0,0),
(81289,100114,1,100,'Increases STR of caster by 35.0',0,1),
(81290,100114,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 948',0,2),
(81291,100114,2,100,'Increases STA of caster by 21.8',0,0),
(81292,100114,2,100,'Increases STR of caster by 36.9',0,1),
(81293,100114,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1000',0,2),
(81294,100114,3,100,'Increases STA of caster by 22.9',0,0),
(81295,100114,3,100,'Increases STR of caster by 38.8',0,1),
(81296,100114,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1053',0,2),
(81297,100114,4,100,'Increases STA of caster by 25.2',0,0),
(81298,100114,4,100,'Increases STR of caster by 42.7',0,1),
(81299,100114,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1158',0,2),
(81300,100114,5,100,'Increases STA of caster by 27.5',0,0),
(81301,100114,5,100,'Increases STR of caster by 46.6',0,1),
(81302,100114,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1264',0,2),
(81303,100114,7,100,'Increases STA of caster by 35.3',0,0),
(81304,100114,7,100,'Increases STR of caster by 59.8',0,1),
(81305,100114,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1622',0,2),
(81306,100114,9,100,'Increases STA of caster by 36.7',0,0),
(81307,100114,9,100,'Increases STR of caster by 62.2',0,1),
(81308,100114,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1685',0,2),
(81309,100115,1,100,'Increases STA of caster by 25.1',0,0),
(81310,100115,1,100,'Increases STR of caster by 42.3',0,1),
(81311,100115,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1106',0,2),
(81312,100115,2,100,'Increases STA of caster by 26.5',0,0),
(81313,100115,2,100,'Increases STR of caster by 44.7',0,1),
(81314,100115,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1167',0,2),
(81315,100115,3,100,'Increases STA of caster by 27.9',0,0),
(81316,100115,3,100,'Increases STR of caster by 47.0',0,1),
(81317,100115,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1229',0,2),
(81318,100115,4,100,'Increases STA of caster by 30.6',0,0),
(81319,100115,4,100,'Increases STR of caster by 51.7',0,1),
(81320,100115,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1351',0,2),
(81321,100115,5,100,'Increases STA of caster by 33.4',0,0),
(81322,100115,5,100,'Increases STR of caster by 56.4',0,1),
(81323,100115,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1474',0,2),
(81324,100115,7,100,'Increases STA of caster by 42.9',0,0),
(81325,100115,7,100,'Increases STR of caster by 72.4',0,1),
(81326,100115,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1892',0,2),
(81327,100115,9,100,'Increases STA of caster by 44.6',0,0),
(81328,100115,9,100,'Increases STR of caster by 75.2',0,1),
(81329,100115,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1966',0,2),
(81330,100116,1,100,'Increases STA of caster by 29.6',0,0),
(81331,100116,1,100,'Increases STR of caster by 49.7',0,1),
(81332,100116,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1249',0,2),
(81333,100116,4,100,'Increases STA of caster by 36.1',0,0),
(81334,100116,4,100,'Increases STR of caster by 60.8',0,1),
(81335,100116,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1527',0,2),
(81336,100116,5,100,'Increases STA of caster by 39.4',0,0),
(81337,100116,5,100,'Increases STR of caster by 66.3',0,1),
(81338,100116,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1666',0,2),
(81339,100116,7,100,'Increases STA of caster by 50.6',0,0),
(81340,100116,7,100,'Increases STR of caster by 85.1',0,1),
(81341,100116,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2138',0,2),
(81342,100116,9,100,'Increases STA of caster by 52.6',0,0),
(81343,100116,9,100,'Increases STR of caster by 88.4',0,1),
(81344,100116,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2221',0,2),
(81345,100117,1,100,'Increases STA of caster by 34.1',0,0),
(81346,100117,1,100,'Increases STR of caster by 57.2',0,1),
(81347,100117,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1602',0,2),
(81348,100117,4,100,'Increases STA of caster by 41.6',0,0),
(81349,100117,4,100,'Increases STR of caster by 69.9',0,1),
(81350,100117,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1958',0,2),
(81351,100117,5,100,'Increases STA of caster by 45.4',0,0),
(81352,100117,5,100,'Increases STR of caster by 76.2',0,1),
(81353,100117,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2136',0,2),
(81354,100117,7,100,'Increases STA of caster by 58.3',0,0),
(81355,100117,7,100,'Increases STR of caster by 97.8',0,1),
(81356,100117,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2741',0,2),
(81357,100117,9,100,'Increases STA of caster by 60.6',0,0),
(81358,100117,9,100,'Increases STR of caster by 101.6',0,1),
(81359,100117,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2848',0,2),
(81360,2000340,1,100,'Increases trigger percent chance by 20% relative to its base value',0,0),
(81361,300006,1,100,'Summons 3 limited pets to aid the caster',0,0),
(81362,300006,2,100,'Summons 3 limited pets to aid the caster',0,0),
(81363,300006,3,100,'Summons 3 limited pets to aid the caster',0,0),
(81364,300006,4,100,'Summons 3 limited pets to aid the caster',0,0),
(81365,300006,5,100,'Summons 3 limited pets to aid the caster',0,0),
(81366,300006,7,100,'Summons 3 limited pets to aid the caster',0,0),
(81367,300006,9,100,'Summons 3 limited pets to aid the caster',0,0),
(81368,300006,10,100,'Summons 3 limited pets to aid the caster',0,0),
(81369,300007,1,100,'Summons 3 limited pets to aid the caster',0,0),
(81370,300007,2,100,'Summons 3 limited pets to aid the caster',0,0),
(81371,300007,3,100,'Summons 3 limited pets to aid the caster',0,0),
(81372,300007,4,100,'Summons 3 limited pets to aid the caster',0,0),
(81373,300007,5,100,'Summons 3 limited pets to aid the caster',0,0),
(81374,300007,7,100,'Summons 3 limited pets to aid the caster',0,0),
(81375,300007,9,100,'Summons 3 limited pets to aid the caster',0,0),
(81376,300008,1,100,'Summons 3 limited pets to aid the caster',0,0),
(81377,300008,1,100,'Summons 2 limited pets to aid the caster',0,1),
(81378,300008,2,100,'Summons 3 limited pets to aid the caster',0,0),
(81379,300008,2,100,'Summons 2 limited pets to aid the caster',0,1),
(81380,300008,3,100,'Summons 3 limited pets to aid the caster',0,0),
(81381,300008,3,100,'Summons 2 limited pets to aid the caster',0,1),
(81382,300008,4,100,'Summons 3 limited pets to aid the caster',0,0),
(81383,300008,4,100,'Summons 2 limited pets to aid the caster',0,1),
(81384,300008,5,100,'Summons 3 limited pets to aid the caster',0,0),
(81385,300008,5,100,'Summons 2 limited pets to aid the caster',0,1),
(81386,300008,7,100,'Summons 3 limited pets to aid the caster',0,0),
(81387,300008,7,100,'Summons 2 limited pets to aid the caster',0,1),
(81388,300008,9,100,'Summons 3 limited pets to aid the caster',0,0),
(81389,300008,9,100,'Summons 2 limited pets to aid the caster',0,1),
(81390,300008,10,100,'Summons 3 limited pets to aid the caster',0,0),
(81391,300008,10,100,'Summons 2 limited pets to aid the caster',0,1),
(81392,300009,1,100,'Summons 3 limited pets to aid the caster',0,0),
(81393,300009,2,100,'Summons 3 limited pets to aid the caster',0,0),
(81394,300009,3,100,'Summons 3 limited pets to aid the caster',0,0),
(81395,300009,4,100,'Summons 3 limited pets to aid the caster',0,0),
(81396,300009,5,100,'Summons 3 limited pets to aid the caster',0,0),
(81397,300009,7,100,'Summons 3 limited pets to aid the caster',0,0),
(81398,300009,9,100,'Summons 3 limited pets to aid the caster',0,0),
(81399,300010,1,100,'Summons 3 limited pets to aid the caster',0,0),
(81400,300010,2,100,'Summons 3 limited pets to aid the caster',0,0),
(81401,300010,3,100,'Summons 3 limited pets to aid the caster',0,0),
(81402,300010,4,100,'Summons 3 limited pets to aid the caster',0,0),
(81403,300010,5,100,'Summons 3 limited pets to aid the caster',0,0),
(81404,300010,7,100,'Summons 3 limited pets to aid the caster',0,0),
(81405,300010,9,100,'Summons 3 limited pets to aid the caster',0,0),
(81406,300011,1,100,'Summons 3 limited pets to aid the caster',0,0),
(81407,300011,4,100,'Summons 3 limited pets to aid the caster',0,0),
(81408,300011,5,100,'Summons 3 limited pets to aid the caster',0,0),
(81409,300011,7,100,'Summons 3 limited pets to aid the caster',0,0),
(81410,300011,9,100,'Summons 3 limited pets to aid the caster',0,0),
(81411,300012,1,100,'Summons 3 limited pets to aid the caster',0,0),
(81412,300012,4,100,'Summons 3 limited pets to aid the caster',0,0),
(81413,300012,5,100,'Summons 3 limited pets to aid the caster',0,0),
(81414,300012,7,100,'Summons 3 limited pets to aid the caster',0,0),
(81415,300012,9,100,'Summons 3 limited pets to aid the caster',0,0),
(81416,250001,1,100,'Applies Blink on termination.',0,0),
(81417,250001,1,100,'Teleports target to a random location within 10 meters.',1,1),
(81418,250001,1,100,'Decreases Threat to targets in Area of Effect by 554 - 677 ',0,2),
(81419,2000341,1,100,'Prevents AOE (except when direct) ',0,0),
(81420,2000342,1,100,'Siphons 25% of the group''s health and converts it into a ward for the Shadowknight. The remainder of the ward will be converted to a heal on termination.',0,0),
(81421,300013,1,100,'Heals caster for 68',0,0),
(81422,300013,1,100,'Inflicts 103 disease damage on targets in Area of Effect',0,1),
(81423,300013,2,100,'Heals caster for 71',0,0),
(81424,300013,2,100,'Inflicts 109 disease damage on targets in Area of Effect',0,1),
(81425,300013,3,100,'Heals caster for 75',0,0),
(81426,300013,3,100,'Inflicts 115 disease damage on targets in Area of Effect',0,1),
(81427,300013,4,100,'Heals caster for 83',0,0),
(81428,300013,4,100,'Inflicts 126 disease damage on targets in Area of Effect',0,1),
(81429,300013,5,100,'Heals caster for 90',0,0),
(81430,300013,5,100,'Inflicts 138 disease damage on targets in Area of Effect',0,1),
(81431,300013,7,100,'Heals caster for 116',0,0),
(81432,300013,7,100,'Inflicts 177 disease damage on targets in Area of Effect',0,1),
(81433,300013,9,100,'Heals caster for 120',0,0),
(81434,300013,9,100,'Inflicts 184 disease damage on targets in Area of Effect',0,1),
(81435,300014,1,100,'Heals caster for 135',0,0),
(81436,300014,1,100,'Inflicts 204 disease damage on targets in Area of Effect',0,1),
(81437,300014,2,100,'Heals caster for 143',0,0),
(81438,300014,2,100,'Inflicts 216 disease damage on targets in Area of Effect',0,1),
(81439,300014,3,100,'Heals caster for 150',0,0),
(81440,300014,3,100,'Inflicts 227 disease damage on targets in Area of Effect',0,1),
(81441,300014,4,100,'Heals caster for 165',0,0),
(81442,300014,4,100,'Inflicts 250 disease damage on targets in Area of Effect',0,1),
(81443,300014,5,100,'Heals caster for 180',0,0),
(81444,300014,5,100,'Inflicts 272 disease damage on targets in Area of Effect',0,1),
(81445,300014,7,100,'Heals caster for 231',0,0),
(81446,300014,7,100,'Inflicts 350 disease damage on targets in Area of Effect',0,1),
(81447,300014,9,100,'Heals caster for 240',0,0),
(81448,300014,9,100,'Inflicts 363 disease damage on targets in Area of Effect',0,1),
(81449,300014,10,100,'Heals caster for 252',0,0),
(81450,300014,10,100,'Inflicts 381 disease damage on targets in Area of Effect',0,1),
(81451,300015,1,100,'Heals caster for 211',0,0),
(81452,300015,1,100,'Inflicts 318 disease damage on targets in Area of Effect',0,1),
(81453,300015,2,100,'Heals caster for 223',0,0),
(81454,300015,2,100,'Inflicts 336 disease damage on targets in Area of Effect',0,1),
(81455,300015,3,100,'Heals caster for 235',0,0),
(81456,300015,3,100,'Inflicts 353 disease damage on targets in Area of Effect',0,1),
(81457,300015,4,100,'Heals caster for 258',0,0),
(81458,300015,4,100,'Inflicts 389 disease damage on targets in Area of Effect',0,1),
(81459,300015,5,100,'Heals caster for 281',0,0),
(81460,300015,5,100,'Inflicts 424 disease damage on targets in Area of Effect',0,1),
(81461,300015,7,100,'Heals caster for 361',0,0),
(81462,300015,7,100,'Inflicts 544 disease damage on targets in Area of Effect',0,1),
(81463,300015,9,100,'Heals caster for 375',0,0),
(81464,300015,9,100,'Inflicts 565 disease damage on targets in Area of Effect',0,1),
(81465,300016,1,100,'Heals caster for 300',0,0),
(81466,300016,1,100,'Inflicts 450 disease damage on targets in Area of Effect',0,1),
(81467,300016,2,100,'Heals caster for 316',0,0),
(81468,300016,2,100,'Inflicts 475 disease damage on targets in Area of Effect',0,1),
(81469,300016,3,100,'Heals caster for 333',0,0),
(81470,300016,3,100,'Inflicts 501 disease damage on targets in Area of Effect',0,1),
(81471,300016,4,100,'Heals caster for 366',0,0),
(81472,300016,4,100,'Inflicts 551 disease damage on targets in Area of Effect',0,1),
(81473,300016,5,100,'Heals caster for 400',0,0),
(81474,300016,5,100,'Inflicts 601 disease damage on targets in Area of Effect',0,1),
(81475,300016,7,100,'Heals caster for 513',0,0),
(81476,300016,7,100,'Inflicts 771 disease damage on targets in Area of Effect',0,1),
(81477,300016,9,100,'Heals caster for 533',0,0),
(81478,300016,9,100,'Inflicts 801 disease damage on targets in Area of Effect',0,1),
(81479,300017,1,100,'Heals caster for 389',0,0),
(81480,300017,1,100,'Inflicts 576 disease damage on targets in Area of Effect',0,1),
(81481,300017,2,100,'Heals caster for 410',0,0),
(81482,300017,2,100,'Inflicts 608 disease damage on targets in Area of Effect',0,1),
(81483,300017,3,100,'Heals caster for 432',0,0),
(81484,300017,3,100,'Inflicts 640 disease damage on targets in Area of Effect',0,1),
(81485,300017,4,100,'Heals caster for 475',0,0),
(81486,300017,4,100,'Inflicts 704 disease damage on targets in Area of Effect',0,1),
(81487,300017,5,100,'Heals caster for 518',0,0),
(81488,300017,5,100,'Inflicts 768 disease damage on targets in Area of Effect',0,1),
(81489,300017,7,100,'Heals caster for 665',0,0),
(81490,300017,7,100,'Inflicts 986 disease damage on targets in Area of Effect',0,1),
(81491,300017,9,100,'Heals caster for 691',0,0),
(81492,300017,9,100,'Inflicts 1024 disease damage on targets in Area of Effect',0,1),
(81493,300017,10,100,'Heals caster for 726',0,0),
(81494,300017,10,100,'Inflicts 1075 disease damage on targets in Area of Effect',0,1),
(81495,300018,1,100,'Heals caster for 516',0,0),
(81496,300018,1,100,'Inflicts 698 disease damage on targets in Area of Effect',0,1),
(81497,300018,4,100,'Heals caster for 631',0,0),
(81498,300018,4,100,'Inflicts 853 disease damage on targets in Area of Effect',0,1),
(81499,300018,5,100,'Heals caster for 688',0,0),
(81500,300018,5,100,'Inflicts 930 disease damage on targets in Area of Effect',0,1),
(81501,300018,7,100,'Heals caster for 883',0,0),
(81502,300018,7,100,'Inflicts 1194 disease damage on targets in Area of Effect',0,1),
(81503,300018,9,100,'Heals caster for 918',0,0),
(81504,300018,9,100,'Inflicts 1241 disease damage on targets in Area of Effect',0,1),
(81505,300018,10,100,'Heals caster for 964',0,0),
(81506,300018,10,100,'Inflicts 1303 disease damage on targets in Area of Effect',0,1),
(81507,300019,1,100,'Heals caster for 607',0,0),
(81508,300019,1,100,'Inflicts 828 disease damage on targets in Area of Effect',0,1),
(81509,300019,4,100,'Heals caster for 741',0,0),
(81510,300019,4,100,'Inflicts 1012 disease damage on targets in Area of Effect',0,1),
(81511,300019,5,100,'Heals caster for 809',0,0),
(81512,300019,5,100,'Inflicts 1104 disease damage on targets in Area of Effect',0,1),
(81513,300019,7,100,'Heals caster for 1038',0,0),
(81514,300019,7,100,'Inflicts 1416 disease damage on targets in Area of Effect',0,1),
(81515,300019,9,100,'Heals caster for 1078',0,0),
(81516,300019,9,100,'Inflicts 1472 disease damage on targets in Area of Effect',0,1),
(81517,300019,10,100,'Heals caster for 1132',0,0),
(81518,300019,10,100,'Inflicts 1545 disease damage on targets in Area of Effect',0,1),
(81519,300020,1,100,'Inflicts 3 - 4 disease damage on target instantly and every 4 seconds',0,0),
(81520,300020,2,100,'Inflicts 3 - 4 disease damage on target instantly and every 4 seconds',0,0),
(81521,300020,3,100,'Inflicts 4 disease damage on target instantly and every 4 seconds',0,0),
(81522,300020,4,100,'Inflicts 4 - 5 disease damage on target instantly and every 4 seconds',0,0),
(81523,300020,5,100,'Inflicts 4 - 5 disease damage on target instantly and every 4 seconds',0,0),
(81524,300020,7,100,'Inflicts 6 - 7 disease damage on target instantly and every 4 seconds',0,0),
(81525,300020,9,100,'Inflicts 6 - 7 disease damage on target instantly and every 4 seconds',0,0),
(81526,300021,1,100,'Inflicts 10 - 12 disease damage on target instantly and every 4 seconds',0,0),
(81527,300021,2,100,'Inflicts 11 - 13 disease damage on target instantly and every 4 seconds',0,0),
(81528,300021,3,100,'Inflicts 11 - 14 disease damage on target instantly and every 4 seconds',0,0),
(81529,300021,4,100,'Inflicts 12 - 15 disease damage on target instantly and every 4 seconds',0,0),
(81530,300021,5,100,'Inflicts 13 - 16 disease damage on target instantly and every 4 seconds',0,0),
(81531,300021,7,100,'Inflicts 17 - 21 disease damage on target instantly and every 4 seconds',0,0),
(81532,300021,9,100,'Inflicts 18 - 22 disease damage on target instantly and every 4 seconds',0,0),
(81533,300022,1,100,'Inflicts 17 - 21 disease damage on target instantly and every 4 seconds',0,0),
(81534,300022,2,100,'Inflicts 18 - 22 disease damage on target instantly and every 4 seconds',0,0),
(81535,300022,3,100,'Inflicts 19 - 23 disease damage on target instantly and every 4 seconds',0,0),
(81536,300022,4,100,'Inflicts 21 - 25 disease damage on target instantly and every 4 seconds',0,0),
(81537,300022,5,100,'Inflicts 23 - 28 disease damage on target instantly and every 4 seconds',0,0),
(81538,300022,7,100,'Inflicts 29 - 35 disease damage on target instantly and every 4 seconds',0,0),
(81539,300022,9,100,'Inflicts 30 - 37 disease damage on target instantly and every 4 seconds',0,0),
(81540,300023,1,100,'Inflicts 33 - 40 disease damage on target instantly and every 4 seconds',0,0),
(81541,300023,2,100,'Inflicts 35 - 42 disease damage on target instantly and every 4 seconds',0,0),
(81542,300023,3,100,'Inflicts 36 - 44 disease damage on target instantly and every 4 seconds',0,0),
(81543,300023,4,100,'Inflicts 40 - 49 disease damage on target instantly and every 4 seconds',0,0),
(81544,300023,5,100,'Inflicts 44 - 53 disease damage on target instantly and every 4 seconds',0,0),
(81545,300023,7,100,'Inflicts 56 - 68 disease damage on target instantly and every 4 seconds',0,0),
(81546,300023,9,100,'Inflicts 58 - 71 disease damage on target instantly and every 4 seconds',0,0),
(81547,300023,10,100,'Inflicts 61 - 75 disease damage on target instantly and every 4 seconds',0,0),
(81548,300024,1,100,'Inflicts 128 - 157 disease damage on target instantly and every 4 seconds',0,0),
(81549,300024,4,100,'Inflicts 157 - 192 disease damage on target instantly and every 4 seconds',0,0),
(81550,300024,5,100,'Inflicts 171 - 209 disease damage on target instantly and every 4 seconds',0,0),
(81551,300024,7,100,'Inflicts 220 - 269 disease damage on target instantly and every 4 seconds',0,0),
(81552,300024,9,100,'Inflicts 228 - 279 disease damage on target instantly and every 4 seconds',0,0),
(81553,300024,10,100,'Inflicts 240 - 293 disease damage on target instantly and every 4 seconds',0,0),
(81554,300025,1,100,'Inflicts 51 - 62 disease damage on target instantly and every 4 seconds',0,0),
(81555,300025,2,100,'Inflicts 53 - 65 disease damage on target instantly and every 4 seconds',0,0),
(81556,300025,3,100,'Inflicts 56 - 69 disease damage on target instantly and every 4 seconds',0,0),
(81557,300025,4,100,'Inflicts 62 - 75 disease damage on target instantly and every 4 seconds',0,0),
(81558,300025,5,100,'Inflicts 67 - 82 disease damage on target instantly and every 4 seconds',0,0),
(81559,300025,7,100,'Inflicts 86 - 106 disease damage on target instantly and every 4 seconds',0,0),
(81560,300025,9,100,'Inflicts 90 - 110 disease damage on target instantly and every 4 seconds',0,0),
(81561,300026,1,100,'Inflicts 71 - 87 disease damage on target instantly and every 4 seconds',0,0),
(81562,300026,2,100,'Inflicts 75 - 92 disease damage on target instantly and every 4 seconds',0,0),
(81563,300026,3,100,'Inflicts 79 - 96 disease damage on target instantly and every 4 seconds',0,0),
(81564,300026,4,100,'Inflicts 87 - 106 disease damage on target instantly and every 4 seconds',0,0),
(81565,300026,5,100,'Inflicts 95 - 116 disease damage on target instantly and every 4 seconds',0,0),
(81566,300026,7,100,'Inflicts 121 - 148 disease damage on target instantly and every 4 seconds',0,0),
(81567,300026,9,100,'Inflicts 126 - 154 disease damage on target instantly and every 4 seconds',0,0),
(81568,300027,1,100,'Inflicts 91 - 111 disease damage on target instantly and every 4 seconds',0,0),
(81569,300027,2,100,'Inflicts 96 - 117 disease damage on target instantly and every 4 seconds',0,0),
(81570,300027,3,100,'Inflicts 101 - 123 disease damage on target instantly and every 4 seconds',0,0),
(81571,300027,4,100,'Inflicts 111 - 136 disease damage on target instantly and every 4 seconds',0,0),
(81572,300027,5,100,'Inflicts 121 - 148 disease damage on target instantly and every 4 seconds',0,0),
(81573,300027,7,100,'Inflicts 155 - 190 disease damage on target instantly and every 4 seconds',0,0),
(81574,300027,9,100,'Inflicts 161 - 197 disease damage on target instantly and every 4 seconds',0,0),
(81575,300027,10,100,'Inflicts 169 - 207 disease damage on target instantly and every 4 seconds',0,0),
(81576,300028,1,100,'Inflicts 110 - 134 disease damage on target instantly and every 4 seconds',0,0),
(81577,300028,4,100,'Inflicts 134 - 164 disease damage on target instantly and every 4 seconds',0,0),
(81578,300028,5,100,'Inflicts 146 - 179 disease damage on target instantly and every 4 seconds',0,0),
(81579,300028,7,100,'Inflicts 188 - 230 disease damage on target instantly and every 4 seconds',0,0),
(81580,300028,9,100,'Inflicts 195 - 239 disease damage on target instantly and every 4 seconds',0,0),
(81581,300028,10,100,'Inflicts 205 - 251 disease damage on target instantly and every 4 seconds',0,0),
(81582,90076,1,100,'On death this spell will cast Bloodletter on target.  ',0,0),
(81583,90076,1,100,'Heals caster for 100.0% of max health',1,1),
(81584,90076,1,100,'This effect cannot be critically applied.',2,2),
(81585,90076,1,100,'Grants a total of 1 trigger of the spell.',1,3),
(81586,90076,1,100,'Does not trigger if a priest has a death prevention spell on the shadowknight',0,4),
(81587,90076,1,100,'This effect cannot be cast during combat',0,5),
(81588,90076,2,100,'On death this spell will cast Bloodletter on target.  ',0,0),
(81589,90076,2,100,'Heals caster for 100.0% of max health',1,1),
(81590,90076,2,100,'This effect cannot be critically applied.',2,2),
(81591,90076,2,100,'Grants a total of 1 trigger of the spell.',1,3),
(81592,90076,2,100,'Does not trigger if a priest has a death prevention spell on the shadowknight',0,4),
(81593,90076,2,100,'This effect cannot be cast during combat',0,5),
(81594,90076,3,100,'On death this spell will cast Bloodletter on target.  ',0,0),
(81595,90076,3,100,'Heals caster for 100.0% of max health',1,1),
(81596,90076,3,100,'This effect cannot be critically applied.',2,2),
(81597,90076,3,100,'Grants a total of 1 trigger of the spell.',1,3),
(81598,90076,3,100,'Does not trigger if a priest has a death prevention spell on the shadowknight',0,4),
(81599,90076,3,100,'This effect cannot be cast during combat',0,5),
(81600,90076,4,100,'On death this spell will cast Bloodletter on target.  ',0,0),
(81601,90076,4,100,'Heals caster for 100.0% of max health',1,1),
(81602,90076,4,100,'This effect cannot be critically applied.',2,2),
(81603,90076,4,100,'Grants a total of 1 trigger of the spell.',1,3),
(81604,90076,4,100,'Does not trigger if a priest has a death prevention spell on the shadowknight',0,4),
(81605,90076,4,100,'This effect cannot be cast during combat',0,5),
(81606,90076,5,100,'On death this spell will cast Bloodletter on target.  ',0,0),
(81607,90076,5,100,'Heals caster for 100.0% of max health',1,1),
(81608,90076,5,100,'This effect cannot be critically applied.',2,2),
(81609,90076,5,100,'Grants a total of 1 trigger of the spell.',1,3),
(81610,90076,5,100,'Does not trigger if a priest has a death prevention spell on the shadowknight',0,4),
(81611,90076,5,100,'This effect cannot be cast during combat',0,5),
(81612,90076,7,100,'On death this spell will cast Bloodletter on target.  ',0,0),
(81613,90076,7,100,'Heals caster for 100.0% of max health',1,1),
(81614,90076,7,100,'This effect cannot be critically applied.',2,2),
(81615,90076,7,100,'Grants a total of 1 trigger of the spell.',1,3),
(81616,90076,7,100,'Does not trigger if a priest has a death prevention spell on the shadowknight',0,4),
(81617,90076,7,100,'This effect cannot be cast during combat',0,5),
(81618,90076,9,100,'On death this spell will cast Bloodletter on target.  ',0,0),
(81619,90076,9,100,'Heals caster for 100.0% of max health',1,1),
(81620,90076,9,100,'This effect cannot be critically applied.',2,2),
(81621,90076,9,100,'Grants a total of 1 trigger of the spell.',1,3),
(81622,90076,9,100,'Does not trigger if a priest has a death prevention spell on the shadowknight',0,4),
(81623,90076,9,100,'This effect cannot be cast during combat',0,5),
(81624,300029,1,100,'Inflicts 19 magic damage on target instantly and every 4 seconds',0,0),
(81625,300029,1,100,'Increases power of caster by 6 instantly and every 4 seconds',0,1),
(81626,300029,2,100,'Inflicts 19 magic damage on target instantly and every 4 seconds',0,0),
(81627,300029,2,100,'Increases power of caster by 6 instantly and every 4 seconds',0,1),
(81628,300029,3,100,'Inflicts 19 magic damage on target instantly and every 4 seconds',0,0),
(81629,300029,3,100,'Increases power of caster by 7 instantly and every 4 seconds',0,1),
(81630,300029,4,100,'Inflicts 19 magic damage on target instantly and every 4 seconds',0,0),
(81631,300029,4,100,'Increases power of caster by 7 instantly and every 4 seconds',0,1),
(81632,300029,5,100,'Inflicts 19 magic damage on target instantly and every 4 seconds',0,0),
(81633,300029,5,100,'Increases power of caster by 8 instantly and every 4 seconds',0,1),
(81634,300029,7,100,'Inflicts 19 magic damage on target instantly and every 4 seconds',0,0),
(81635,300029,7,100,'Increases power of caster by 10 instantly and every 4 seconds',0,1),
(81636,300029,9,100,'Inflicts 19 magic damage on target instantly and every 4 seconds',0,0),
(81637,300029,9,100,'Increases power of caster by 10 instantly and every 4 seconds',0,1),
(81638,300030,1,100,'Inflicts 41 magic damage on target instantly and every 4 seconds',0,0),
(81639,300030,1,100,'Increases power of caster by 13 instantly and every 4 seconds',0,1),
(81640,300030,2,100,'Inflicts 41 magic damage on target instantly and every 4 seconds',0,0),
(81641,300030,2,100,'Increases power of caster by 13 instantly and every 4 seconds',0,1),
(81642,300030,3,100,'Inflicts 41 magic damage on target instantly and every 4 seconds',0,0),
(81643,300030,3,100,'Increases power of caster by 14 instantly and every 4 seconds',0,1),
(81644,300030,4,100,'Inflicts 41 magic damage on target instantly and every 4 seconds',0,0),
(81645,300030,4,100,'Increases power of caster by 16 instantly and every 4 seconds',0,1),
(81646,300030,5,100,'Inflicts 41 magic damage on target instantly and every 4 seconds',0,0),
(81647,300030,5,100,'Increases power of caster by 17 instantly and every 4 seconds',0,1),
(81648,300030,7,100,'Inflicts 41 magic damage on target instantly and every 4 seconds',0,0),
(81649,300030,7,100,'Increases power of caster by 22 instantly and every 4 seconds',0,1),
(81650,300030,9,100,'Inflicts 41 magic damage on target instantly and every 4 seconds',0,0),
(81651,300030,9,100,'Increases power of caster by 23 instantly and every 4 seconds',0,1),
(81652,300031,1,100,'Inflicts 66 magic damage on target instantly and every 4 seconds',0,0),
(81653,300031,1,100,'Increases power of caster by 20 instantly and every 4 seconds',0,1),
(81654,300031,2,100,'Inflicts 66 magic damage on target instantly and every 4 seconds',0,0),
(81655,300031,2,100,'Increases power of caster by 22 instantly and every 4 seconds',0,1),
(81656,300031,3,100,'Inflicts 66 magic damage on target instantly and every 4 seconds',0,0),
(81657,300031,3,100,'Increases power of caster by 23 instantly and every 4 seconds',0,1),
(81658,300031,4,100,'Inflicts 66 magic damage on target instantly and every 4 seconds',0,0),
(81659,300031,4,100,'Increases power of caster by 25 instantly and every 4 seconds',0,1),
(81660,300031,5,100,'Inflicts 66 magic damage on target instantly and every 4 seconds',0,0),
(81661,300031,5,100,'Increases power of caster by 27 instantly and every 4 seconds',0,1),
(81662,300031,7,100,'Inflicts 66 magic damage on target instantly and every 4 seconds',0,0),
(81663,300031,7,100,'Increases power of caster by 35 instantly and every 4 seconds',0,1),
(81664,300031,9,100,'Inflicts 66 magic damage on target instantly and every 4 seconds',0,0),
(81665,300031,9,100,'Increases power of caster by 36 instantly and every 4 seconds',0,1),
(81666,300032,1,100,'Inflicts 96 magic damage on target instantly and every 4 seconds',0,0),
(81667,300032,1,100,'Increases power of caster by 30 instantly and every 4 seconds',0,1),
(81668,300032,2,100,'Inflicts 96 magic damage on target instantly and every 4 seconds',0,0),
(81669,300032,2,100,'Increases power of caster by 32 instantly and every 4 seconds',0,1),
(81670,300032,3,100,'Inflicts 96 magic damage on target instantly and every 4 seconds',0,0),
(81671,300032,3,100,'Increases power of caster by 33 instantly and every 4 seconds',0,1),
(81672,300032,4,100,'Inflicts 96 magic damage on target instantly and every 4 seconds',0,0),
(81673,300032,4,100,'Increases power of caster by 37 instantly and every 4 seconds',0,1),
(81674,300032,5,100,'Inflicts 96 magic damage on target instantly and every 4 seconds',0,0),
(81675,300032,5,100,'Increases power of caster by 40 instantly and every 4 seconds',0,1),
(81676,300032,7,100,'Inflicts 96 magic damage on target instantly and every 4 seconds',0,0),
(81677,300032,7,100,'Increases power of caster by 51 instantly and every 4 seconds',0,1),
(81678,300032,9,100,'Inflicts 96 magic damage on target instantly and every 4 seconds',0,0),
(81679,300032,9,100,'Increases power of caster by 53 instantly and every 4 seconds',0,1),
(81680,300033,1,100,'Inflicts 127 magic damage on target instantly and every 4 seconds',0,0),
(81681,300033,1,100,'Increases power of caster by 39 instantly and every 4 seconds',0,1),
(81682,300033,2,100,'Inflicts 127 magic damage on target instantly and every 4 seconds',0,0),
(81683,300033,2,100,'Increases power of caster by 42 instantly and every 4 seconds',0,1),
(81684,300033,3,100,'Inflicts 127 magic damage on target instantly and every 4 seconds',0,0),
(81685,300033,3,100,'Increases power of caster by 44 instantly and every 4 seconds',0,1),
(81686,300033,4,100,'Inflicts 127 magic damage on target instantly and every 4 seconds',0,0),
(81687,300033,4,100,'Increases power of caster by 48 instantly and every 4 seconds',0,1),
(81688,300033,5,100,'Inflicts 127 magic damage on target instantly and every 4 seconds',0,0),
(81689,300033,5,100,'Increases power of caster by 53 instantly and every 4 seconds',0,1),
(81690,300033,7,100,'Inflicts 127 magic damage on target instantly and every 4 seconds',0,0),
(81691,300033,7,100,'Increases power of caster by 67 instantly and every 4 seconds',0,1),
(81692,300033,9,100,'Inflicts 127 magic damage on target instantly and every 4 seconds',0,0),
(81693,300033,9,100,'Increases power of caster by 70 instantly and every 4 seconds',0,1),
(81694,300034,1,100,'Inflicts 154 magic damage on target instantly and every 4 seconds',0,0),
(81695,300034,1,100,'Increases power of caster by 53 instantly and every 4 seconds',0,1),
(81696,300034,2,100,'Inflicts 154 magic damage on target instantly and every 4 seconds',0,0),
(81697,300034,2,100,'Increases power of caster by 56 instantly and every 4 seconds',0,1),
(81698,300034,3,100,'Inflicts 154 magic damage on target instantly and every 4 seconds',0,0),
(81699,300034,3,100,'Increases power of caster by 58 instantly and every 4 seconds',0,1),
(81700,300034,4,100,'Inflicts 154 magic damage on target instantly and every 4 seconds',0,0),
(81701,300034,4,100,'Increases power of caster by 64 instantly and every 4 seconds',0,1),
(81702,300034,5,100,'Inflicts 154 magic damage on target instantly and every 4 seconds',0,0),
(81703,300034,5,100,'Increases power of caster by 70 instantly and every 4 seconds',0,1),
(81704,300034,7,100,'Inflicts 154 magic damage on target instantly and every 4 seconds',0,0),
(81705,300034,7,100,'Increases power of caster by 90 instantly and every 4 seconds',0,1),
(81706,300034,9,100,'Inflicts 154 magic damage on target instantly and every 4 seconds',0,0),
(81707,300034,9,100,'Increases power of caster by 94 instantly and every 4 seconds',0,1),
(81708,300035,1,100,'Inflicts 185 magic damage on target instantly and every 4 seconds',0,0),
(81709,300035,1,100,'Increases power of caster by 63 instantly and every 4 seconds',0,1),
(81710,300035,4,100,'Inflicts 185 magic damage on target instantly and every 4 seconds',0,0),
(81711,300035,4,100,'Increases power of caster by 77 instantly and every 4 seconds',0,1),
(81712,300035,5,100,'Inflicts 185 magic damage on target instantly and every 4 seconds',0,0),
(81713,300035,5,100,'Increases power of caster by 84 instantly and every 4 seconds',0,1),
(81714,300035,7,100,'Inflicts 185 magic damage on target instantly and every 4 seconds',0,0),
(81715,300035,7,100,'Increases power of caster by 108 instantly and every 4 seconds',0,1),
(81716,300035,9,100,'Inflicts 185 magic damage on target instantly and every 4 seconds',0,0),
(81717,300035,9,100,'Increases power of caster by 113 instantly and every 4 seconds',0,1),
(81718,300036,1,100,'Inflicts 199 magic damage on target instantly and every 4 seconds',0,0),
(81719,300036,1,100,'Increases power of caster by 67 instantly and every 4 seconds',0,1),
(81720,300036,4,100,'Inflicts 199 magic damage on target instantly and every 4 seconds',0,0),
(81721,300036,4,100,'Increases power of caster by 82 instantly and every 4 seconds',0,1),
(81722,300036,5,100,'Inflicts 199 magic damage on target instantly and every 4 seconds',0,0),
(81723,300036,5,100,'Increases power of caster by 90 instantly and every 4 seconds',0,1),
(81724,300036,7,100,'Inflicts 199 magic damage on target instantly and every 4 seconds',0,0),
(81725,300036,7,100,'Increases power of caster by 115 instantly and every 4 seconds',0,1),
(81726,300036,9,100,'Inflicts 199 magic damage on target instantly and every 4 seconds',0,0),
(81727,300036,9,100,'Increases power of caster by 119 instantly and every 4 seconds',0,1),
(81728,150000,1,100,'Heals target for 55 - 67',0,0),
(81729,150000,1,100,'Heals target for 9 - 11 every second',0,1),
(81730,150000,2,100,'Heals target for 58 - 71',0,0),
(81731,150000,2,100,'Heals target for 10 - 12 every second',0,1),
(81732,150000,3,100,'Heals target for 61 - 74',0,0),
(81733,150000,3,100,'Heals target for 10 - 12 every second',0,1),
(81734,150000,4,100,'Heals target for 67 - 82',0,0),
(81735,150000,4,100,'Heals target for 11 - 14 every second',0,1),
(81736,150000,5,100,'Heals target for 73 - 89',0,0),
(81737,150000,5,100,'Heals target for 12 - 15 every second',0,1),
(81738,150000,7,100,'Heals target for 94 - 114',0,0),
(81739,150000,7,100,'Heals target for 16 - 19 every second',0,1),
(81740,150000,9,100,'Heals target for 97 - 119',0,0),
(81741,150000,9,100,'Heals target for 16 - 20 every second',0,1),
(81742,280001,1,100,'Inflicts 38 - 56 magic damage on target',0,0),
(81743,280001,1,100,'Inflicts 8 - 13 magic damage on target every 4 seconds',0,1),
(81744,280001,2,100,'Inflicts 40 - 60 magic damage on target',0,0),
(81745,280001,2,100,'Inflicts 9 - 13 magic damage on target every 4 seconds',0,1),
(81746,280001,3,100,'Inflicts 42 - 63 magic damage on target',0,0),
(81747,280001,3,100,'Inflicts 9 - 14 magic damage on target every 4 seconds',0,1),
(81748,280001,4,100,'Inflicts 46 - 69 magic damage on target',0,0),
(81749,280001,4,100,'Inflicts 10 - 15 magic damage on target every 4 seconds',0,1),
(81750,280001,5,100,'Inflicts 50 - 75 magic damage on target',0,0),
(81751,280001,5,100,'Inflicts 11 - 17 magic damage on target every 4 seconds',0,1),
(81752,280001,7,100,'Inflicts 64 - 97 magic damage on target',0,0),
(81753,280001,7,100,'Inflicts 14 - 22 magic damage on target every 4 seconds',0,1),
(81754,280001,9,100,'Inflicts 67 - 100 magic damage on target',0,0),
(81755,280001,9,100,'Inflicts 15 - 22 magic damage on target every 4 seconds',0,1),
(81756,190034,1,100,'Increases All Attributes of target by 11.3%',0,0),
(81757,190034,1,100,'Enlarges target by 30.6%',0,1),
(81758,190034,2,100,'Increases All Attributes of target by 11.9%',0,0),
(81759,190034,2,100,'Enlarges target by 32.3%',0,1),
(81760,190034,3,100,'Increases All Attributes of target by 12.5%',0,0),
(81761,190034,3,100,'Enlarges target by 34.0%',0,1),
(81762,190034,4,100,'Increases All Attributes of target by 13.8%',0,0),
(81763,190034,4,100,'Enlarges target by 37.4%',0,1),
(81764,190034,5,100,'Increases All Attributes of target by 15.0%',0,0),
(81765,190034,5,100,'Enlarges target by 40.8%',0,1),
(81766,190034,7,100,'Increases All Attributes of target by 19.3%',0,0),
(81767,190034,7,100,'Enlarges target by 52.4%',0,1),
(81768,190034,9,100,'Increases All Attributes of target by 20.0%',0,0),
(81769,190034,9,100,'Enlarges target by 54.4%',0,1),
(81770,2000343,1,100,'Inflicts 1 - 2 magic damage on target',0,0),
(81771,2000344,1,100,'Inflicts 2 melee damage on target',0,0),
(81772,2000345,1,100,'Inflicts 0 crushing damage on target',0,0),
(81773,2000345,1,100,'Increases Defense of target by 0.0',0,1),
(81774,2000345,1,100,'Stuns target',0,2),
(81775,2000345,1,100,'Epic targets gain an immunity to Stun effects of 5.6 seconds and duration is reduced to 0.6 seconds.',0,3),
(81776,2000345,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(81777,240039,1,100,'Causes 2% Threat to transfer to target when in combat',0,0),
(81778,240039,1,100,'If Fighter',1,1),
(81779,240039,1,100,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',0,2),
(81780,240039,1,100,'Increases power of target by 3 instantly and every 4 seconds',1,3),
(81781,240039,1,100,'Increases power of caster by 3 instantly and every 4 seconds',1,4),
(81782,240039,2,100,'Causes 2% Threat to transfer to target when in combat',0,0),
(81783,240039,2,100,'If Fighter',1,1),
(81784,240039,2,100,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',0,2),
(81785,240039,2,100,'Increases power of target by 3 instantly and every 4 seconds',1,3),
(81786,240039,2,100,'Increases power of caster by 3 instantly and every 4 seconds',1,4),
(81787,240039,3,100,'Causes 2% Threat to transfer to target when in combat',0,0),
(81788,240039,3,100,'If Fighter',1,1),
(81789,240039,3,100,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',0,2),
(81790,240039,3,100,'Increases power of target by 4 instantly and every 4 seconds',1,3),
(81791,240039,3,100,'Increases power of caster by 4 instantly and every 4 seconds',1,4),
(81792,240039,4,100,'Causes 2% Threat to transfer to target when in combat',0,0),
(81793,240039,4,100,'If Fighter',1,1),
(81794,240039,4,100,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',0,2),
(81795,240039,4,100,'Increases power of target by 4 instantly and every 4 seconds',1,3),
(81796,240039,4,100,'Increases power of caster by 4 instantly and every 4 seconds',1,4),
(81797,240039,5,100,'Causes 3% Threat to transfer to target when in combat',0,0),
(81798,240039,5,100,'If Fighter',1,1),
(81799,240039,5,100,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',0,2),
(81800,240039,5,100,'Increases power of target by 4 instantly and every 4 seconds',1,3),
(81801,240039,5,100,'Increases power of caster by 4 instantly and every 4 seconds',1,4),
(81802,240039,7,100,'Causes 3% Threat to transfer to target when in combat',0,0),
(81803,240039,7,100,'If Fighter',1,1),
(81804,240039,7,100,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',0,2),
(81805,240039,7,100,'Increases power of target by 6 instantly and every 4 seconds',1,3),
(81806,240039,7,100,'Increases power of caster by 6 instantly and every 4 seconds',1,4),
(81807,240039,9,100,'Causes 4% Threat to transfer to target when in combat',0,0),
(81808,240039,9,100,'If Fighter',1,1),
(81809,240039,9,100,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',0,2),
(81810,240039,9,100,'Increases power of target by 6 instantly and every 4 seconds',1,3),
(81811,240039,9,100,'Increases power of caster by 6 instantly and every 4 seconds',1,4),
(81812,240040,1,100,'Causes 2% Threat to transfer to target when in combat',0,0),
(81813,240040,1,100,'If Fighter',1,1),
(81814,240040,1,100,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',0,2),
(81815,240040,1,100,'Increases power of target by 6 instantly and every 4 seconds',1,3),
(81816,240040,1,100,'Increases power of caster by 6 instantly and every 4 seconds',1,4),
(81817,240040,2,100,'Causes 2% Threat to transfer to target when in combat',0,0),
(81818,240040,2,100,'If Fighter',1,1),
(81819,240040,2,100,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',0,2),
(81820,240040,2,100,'Increases power of target by 7 instantly and every 4 seconds',1,3),
(81821,240040,2,100,'Increases power of caster by 7 instantly and every 4 seconds',1,4),
(81822,240040,3,100,'Causes 2% Threat to transfer to target when in combat',0,0),
(81823,240040,3,100,'If Fighter',1,1),
(81824,240040,3,100,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',0,2),
(81825,240040,3,100,'Increases power of target by 7 instantly and every 4 seconds',1,3),
(81826,240040,3,100,'Increases power of caster by 7 instantly and every 4 seconds',1,4),
(81827,240040,4,100,'Causes 2% Threat to transfer to target when in combat',0,0),
(81828,240040,4,100,'If Fighter',1,1),
(81829,240040,4,100,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',0,2),
(81830,240040,4,100,'Increases power of target by 8 instantly and every 4 seconds',1,3),
(81831,240040,4,100,'Increases power of caster by 8 instantly and every 4 seconds',1,4),
(81832,240040,5,100,'Causes 3% Threat to transfer to target when in combat',0,0),
(81833,240040,5,100,'If Fighter',1,1),
(81834,240040,5,100,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',0,2),
(81835,240040,5,100,'Increases power of target by 9 instantly and every 4 seconds',1,3),
(81836,240040,5,100,'Increases power of caster by 9 instantly and every 4 seconds',1,4),
(81837,240040,7,100,'Causes 3% Threat to transfer to target when in combat',0,0),
(81838,240040,7,100,'If Fighter',1,1),
(81839,240040,7,100,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',0,2),
(81840,240040,7,100,'Increases power of target by 11 instantly and every 4 seconds',1,3),
(81841,240040,7,100,'Increases power of caster by 11 instantly and every 4 seconds',1,4),
(81842,240040,9,100,'Causes 4% Threat to transfer to target when in combat',0,0),
(81843,240040,9,100,'If Fighter',1,1),
(81844,240040,9,100,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',0,2),
(81845,240040,9,100,'Increases power of target by 11 instantly and every 4 seconds',1,3),
(81846,240040,9,100,'Increases power of caster by 11 instantly and every 4 seconds',1,4),
(81847,240041,1,100,'Causes 2% Threat to transfer to target when in combat',0,0),
(81848,240041,1,100,'If Fighter',1,1),
(81849,240041,1,100,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',0,2),
(81850,240041,1,100,'Increases power of target by 10 instantly and every 4 seconds',1,3),
(81851,240041,1,100,'Increases power of caster by 10 instantly and every 4 seconds',1,4),
(81852,240041,2,100,'Causes 2% Threat to transfer to target when in combat',0,0),
(81853,240041,2,100,'If Fighter',1,1),
(81854,240041,2,100,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',0,2),
(81855,240041,2,100,'Increases power of target by 10 instantly and every 4 seconds',1,3),
(81856,240041,2,100,'Increases power of caster by 10 instantly and every 4 seconds',1,4),
(81857,240041,3,100,'Causes 2% Threat to transfer to target when in combat',0,0),
(81858,240041,3,100,'If Fighter',1,1),
(81859,240041,3,100,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',0,2),
(81860,240041,3,100,'Increases power of target by 11 instantly and every 4 seconds',1,3),
(81861,240041,3,100,'Increases power of caster by 11 instantly and every 4 seconds',1,4),
(81862,240041,4,100,'Causes 2% Threat to transfer to target when in combat',0,0),
(81863,240041,4,100,'If Fighter',1,1),
(81864,240041,4,100,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',0,2),
(81865,240041,4,100,'Increases power of target by 12 instantly and every 4 seconds',1,3),
(81866,240041,4,100,'Increases power of caster by 12 instantly and every 4 seconds',1,4),
(81867,240041,5,100,'Causes 3% Threat to transfer to target when in combat',0,0),
(81868,240041,5,100,'If Fighter',1,1),
(81869,240041,5,100,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',0,2),
(81870,240041,5,100,'Increases power of target by 13 instantly and every 4 seconds',1,3),
(81871,240041,5,100,'Increases power of caster by 13 instantly and every 4 seconds',1,4),
(81872,240041,7,100,'Causes 3% Threat to transfer to target when in combat',0,0),
(81873,240041,7,100,'If Fighter',1,1),
(81874,240041,7,100,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',0,2),
(81875,240041,7,100,'Increases power of target by 17 instantly and every 4 seconds',1,3),
(81876,240041,7,100,'Increases power of caster by 17 instantly and every 4 seconds',1,4),
(81877,240041,9,100,'Causes 4% Threat to transfer to target when in combat',0,0),
(81878,240041,9,100,'If Fighter',1,1),
(81879,240041,9,100,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',0,2),
(81880,240041,9,100,'Increases power of target by 17 instantly and every 4 seconds',1,3),
(81881,240041,9,100,'Increases power of caster by 17 instantly and every 4 seconds',1,4),
(81882,240042,1,100,'Causes 2% Threat to transfer to target when in combat',0,0),
(81883,240042,1,100,'If Fighter',1,1),
(81884,240042,1,100,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',0,2),
(81885,240042,1,100,'Increases power of target by 14 instantly and every 4 seconds',1,3),
(81886,240042,1,100,'Increases power of caster by 14 instantly and every 4 seconds',1,4),
(81887,240042,2,100,'Causes 2% Threat to transfer to target when in combat',0,0),
(81888,240042,2,100,'If Fighter',1,1),
(81889,240042,2,100,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',0,2),
(81890,240042,2,100,'Increases power of target by 14 instantly and every 4 seconds',1,3),
(81891,240042,2,100,'Increases power of caster by 14 instantly and every 4 seconds',1,4),
(81892,240042,3,100,'Causes 2% Threat to transfer to target when in combat',0,0),
(81893,240042,3,100,'If Fighter',1,1),
(81894,240042,3,100,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',0,2),
(81895,240042,3,100,'Increases power of target by 15 instantly and every 4 seconds',1,3),
(81896,240042,3,100,'Increases power of caster by 15 instantly and every 4 seconds',1,4),
(81897,240042,4,100,'Causes 2% Threat to transfer to target when in combat',0,0),
(81898,240042,4,100,'If Fighter',1,1),
(81899,240042,4,100,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',0,2),
(81900,240042,4,100,'Increases power of target by 17 instantly and every 4 seconds',1,3),
(81901,240042,4,100,'Increases power of caster by 17 instantly and every 4 seconds',1,4),
(81902,240042,5,100,'Causes 3% Threat to transfer to target when in combat',0,0),
(81903,240042,5,100,'If Fighter',1,1),
(81904,240042,5,100,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',0,2),
(81905,240042,5,100,'Increases power of target by 18 instantly and every 4 seconds',1,3),
(81906,240042,5,100,'Increases power of caster by 18 instantly and every 4 seconds',1,4),
(81907,240042,7,100,'Causes 3% Threat to transfer to target when in combat',0,0),
(81908,240042,7,100,'If Fighter',1,1),
(81909,240042,7,100,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',0,2),
(81910,240042,7,100,'Increases power of target by 23 instantly and every 4 seconds',1,3),
(81911,240042,7,100,'Increases power of caster by 23 instantly and every 4 seconds',1,4),
(81912,240042,9,100,'Causes 4% Threat to transfer to target when in combat',0,0),
(81913,240042,9,100,'If Fighter',1,1),
(81914,240042,9,100,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',0,2),
(81915,240042,9,100,'Increases power of target by 24 instantly and every 4 seconds',1,3),
(81916,240042,9,100,'Increases power of caster by 24 instantly and every 4 seconds',1,4),
(81917,240043,1,100,'Causes 2% Threat to transfer to target when in combat',0,0),
(81918,240043,1,100,'If Fighter',1,1),
(81919,240043,1,100,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',0,2),
(81920,240043,1,100,'Increases power of target by 18 instantly and every 4 seconds',1,3),
(81921,240043,1,100,'Increases power of caster by 18 instantly and every 4 seconds',1,4),
(81922,240043,2,100,'Causes 2% Threat to transfer to target when in combat',0,0),
(81923,240043,2,100,'If Fighter',1,1),
(81924,240043,2,100,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',0,2),
(81925,240043,2,100,'Increases power of target by 19 instantly and every 4 seconds',1,3),
(81926,240043,2,100,'Increases power of caster by 19 instantly and every 4 seconds',1,4),
(81927,240043,3,100,'Causes 2% Threat to transfer to target when in combat',0,0),
(81928,240043,3,100,'If Fighter',1,1),
(81929,240043,3,100,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',0,2),
(81930,240043,3,100,'Increases power of target by 20 instantly and every 4 seconds',1,3),
(81931,240043,3,100,'Increases power of caster by 20 instantly and every 4 seconds',1,4),
(81932,240043,4,100,'Causes 2% Threat to transfer to target when in combat',0,0),
(81933,240043,4,100,'If Fighter',1,1),
(81934,240043,4,100,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',0,2),
(81935,240043,4,100,'Increases power of target by 22 instantly and every 4 seconds',1,3),
(81936,240043,4,100,'Increases power of caster by 22 instantly and every 4 seconds',1,4),
(81937,240043,5,100,'Causes 3% Threat to transfer to target when in combat',0,0),
(81938,240043,5,100,'If Fighter',1,1),
(81939,240043,5,100,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',0,2),
(81940,240043,5,100,'Increases power of target by 24 instantly and every 4 seconds',1,3),
(81941,240043,5,100,'Increases power of caster by 24 instantly and every 4 seconds',1,4),
(81942,240043,7,100,'Causes 3% Threat to transfer to target when in combat',0,0),
(81943,240043,7,100,'If Fighter',1,1),
(81944,240043,7,100,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',0,2),
(81945,240043,7,100,'Increases power of target by 30 instantly and every 4 seconds',1,3),
(81946,240043,7,100,'Increases power of caster by 30 instantly and every 4 seconds',1,4),
(81947,240043,9,100,'Causes 4% Threat to transfer to target when in combat',0,0),
(81948,240043,9,100,'If Fighter',1,1),
(81949,240043,9,100,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',0,2),
(81950,240043,9,100,'Increases power of target by 31 instantly and every 4 seconds',1,3),
(81951,240043,9,100,'Increases power of caster by 31 instantly and every 4 seconds',1,4),
(81952,240044,1,100,'Causes 2% Threat to transfer to target when in combat',0,0),
(81953,240044,1,100,'If Fighter',1,1),
(81954,240044,1,100,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',0,2),
(81955,240044,1,100,'Increases power of target by 23 instantly and every 4 seconds',1,3),
(81956,240044,1,100,'Increases power of caster by 23 instantly and every 4 seconds',1,4),
(81957,240044,4,100,'Causes 2% Threat to transfer to target when in combat',0,0),
(81958,240044,4,100,'If Fighter',1,1),
(81959,240044,4,100,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',0,2),
(81960,240044,4,100,'Increases power of target by 28 instantly and every 4 seconds',1,3),
(81961,240044,4,100,'Increases power of caster by 28 instantly and every 4 seconds',1,4),
(81962,240044,5,100,'Causes 3% Threat to transfer to target when in combat',0,0),
(81963,240044,5,100,'If Fighter',1,1),
(81964,240044,5,100,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',0,2),
(81965,240044,5,100,'Increases power of target by 30 instantly and every 4 seconds',1,3),
(81966,240044,5,100,'Increases power of caster by 30 instantly and every 4 seconds',1,4),
(81967,240044,7,100,'Causes 3% Threat to transfer to target when in combat',0,0),
(81968,240044,7,100,'If Fighter',1,1),
(81969,240044,7,100,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',0,2),
(81970,240044,7,100,'Increases power of target by 39 instantly and every 4 seconds',1,3),
(81971,240044,7,100,'Increases power of caster by 39 instantly and every 4 seconds',1,4),
(81972,240044,9,100,'Causes 4% Threat to transfer to target when in combat',0,0),
(81973,240044,9,100,'If Fighter',1,1),
(81974,240044,9,100,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',0,2),
(81975,240044,9,100,'Increases power of target by 41 instantly and every 4 seconds',1,3),
(81976,240044,9,100,'Increases power of caster by 41 instantly and every 4 seconds',1,4),
(81977,240044,10,100,'Causes 4% Threat to transfer to target when in combat',0,0),
(81978,240044,10,100,'If Fighter',1,1),
(81979,240044,10,100,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',0,2),
(81980,240044,10,100,'Increases power of target by 43 instantly and every 4 seconds',1,3),
(81981,240044,10,100,'Increases power of caster by 43 instantly and every 4 seconds',1,4),
(81982,240045,1,100,'Causes 2% Threat to transfer to target when in combat',0,0),
(81983,240045,1,100,'If Fighter',1,1),
(81984,240045,1,100,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',0,2),
(81985,240045,1,100,'Increases power of target by 26 instantly and every 4 seconds',1,3),
(81986,240045,1,100,'Increases power of caster by 26 instantly and every 4 seconds',1,4),
(81987,240045,4,100,'Causes 2% Threat to transfer to target when in combat',0,0),
(81988,240045,4,100,'If Fighter',1,1),
(81989,240045,4,100,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',0,2),
(81990,240045,4,100,'Increases power of target by 32 instantly and every 4 seconds',1,3),
(81991,240045,4,100,'Increases power of caster by 32 instantly and every 4 seconds',1,4),
(81992,240045,5,100,'Causes 3% Threat to transfer to target when in combat',0,0),
(81993,240045,5,100,'If Fighter',1,1),
(81994,240045,5,100,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',0,2),
(81995,240045,5,100,'Increases power of target by 35 instantly and every 4 seconds',1,3),
(81996,240045,5,100,'Increases power of caster by 35 instantly and every 4 seconds',1,4),
(81997,240045,7,100,'Causes 3% Threat to transfer to target when in combat',0,0),
(81998,240045,7,100,'If Fighter',1,1),
(81999,240045,7,100,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',0,2),
(82000,240045,7,100,'Increases power of target by 45 instantly and every 4 seconds',1,3),
(82001,240045,7,100,'Increases power of caster by 45 instantly and every 4 seconds',1,4),
(82002,240045,9,100,'Causes 4% Threat to transfer to target when in combat',0,0),
(82003,240045,9,100,'If Fighter',1,1),
(82004,240045,9,100,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',0,2),
(82005,240045,9,100,'Increases power of target by 46 instantly and every 4 seconds',1,3),
(82006,240045,9,100,'Increases power of caster by 46 instantly and every 4 seconds',1,4),
(82007,240045,10,100,'Causes 4% Threat to transfer to target when in combat',0,0),
(82008,240045,10,100,'If Fighter',1,1),
(82009,240045,10,100,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',0,2),
(82010,240045,10,100,'Increases power of target by 49 instantly and every 4 seconds',1,3),
(82011,240045,10,100,'Increases power of caster by 49 instantly and every 4 seconds',1,4),
(82012,110001,4,100,'10% chance to apply Bounty of the Virtuous.',0,0),
(82013,110001,4,100,'Increases power of caster by 45',1,1),
(82014,110001,4,100,'Heals target for 150',0,2),
(82015,260023,1,100,'Applies Migraine on termination.',0,0),
(82016,260023,1,100,'Inflicts 8 - 11 mental damage on target',1,1),
(82017,260023,1,100,'Inflicts 4 mental damage on target instantly and every 6 seconds',0,2),
(82018,260023,2,100,'Applies Migraine on termination.',0,0),
(82019,260023,2,100,'Inflicts 8 - 11 mental damage on target',1,1),
(82020,260023,2,100,'Inflicts 4 - 5 mental damage on target instantly and every 6 seconds',0,2),
(82021,260023,3,100,'Applies Migraine on termination.',0,0),
(82022,260023,3,100,'Inflicts 9 - 12 mental damage on target',1,1),
(82023,260023,3,100,'Inflicts 4 - 5 mental damage on target instantly and every 6 seconds',0,2),
(82024,260023,4,100,'Applies Migraine on termination.',0,0),
(82025,260023,4,100,'Inflicts 10 - 13 mental damage on target',1,1),
(82026,260023,4,100,'Inflicts 4 - 5 mental damage on target instantly and every 6 seconds',0,2),
(82027,260023,5,100,'Applies Migraine on termination.',0,0),
(82028,260023,5,100,'Inflicts 10 - 14 mental damage on target',1,1),
(82029,260023,5,100,'Inflicts 5 - 6 mental damage on target instantly and every 6 seconds',0,2),
(82030,260023,7,100,'Applies Migraine on termination.',0,0),
(82031,260023,7,100,'Inflicts 13 - 18 mental damage on target',1,1),
(82032,260023,7,100,'Inflicts 6 - 7 mental damage on target instantly and every 6 seconds',0,2),
(82033,260023,9,100,'Applies Migraine on termination.',0,0),
(82034,260023,9,100,'Inflicts 14 - 19 mental damage on target',1,1),
(82035,260023,9,100,'Inflicts 6 - 8 mental damage on target instantly and every 6 seconds',0,2),
(82036,260024,1,100,'Applies Migraine on termination.',0,0),
(82037,260024,1,100,'Inflicts 24 - 32 mental damage on target',1,1),
(82038,260024,1,100,'Inflicts 11 - 13 mental damage on target instantly and every 6 seconds',0,2),
(82039,260024,2,100,'Applies Migraine on termination.',0,0),
(82040,260024,2,100,'Inflicts 25 - 34 mental damage on target',1,1),
(82041,260024,2,100,'Inflicts 12 - 14 mental damage on target instantly and every 6 seconds',0,2),
(82042,260024,3,100,'Applies Migraine on termination.',0,0),
(82043,260024,3,100,'Inflicts 27 - 36 mental damage on target',1,1),
(82044,260024,3,100,'Inflicts 12 - 15 mental damage on target instantly and every 6 seconds',0,2),
(82045,260024,4,100,'Applies Migraine on termination.',0,0),
(82046,260024,4,100,'Inflicts 29 - 39 mental damage on target',1,1),
(82047,260024,4,100,'Inflicts 13 - 16 mental damage on target instantly and every 6 seconds',0,2),
(82048,260024,5,100,'Applies Migraine on termination.',0,0),
(82049,260024,5,100,'Inflicts 32 - 43 mental damage on target',1,1),
(82050,260024,5,100,'Inflicts 15 - 18 mental damage on target instantly and every 6 seconds',0,2),
(82051,260024,7,100,'Applies Migraine on termination.',0,0),
(82052,260024,7,100,'Inflicts 41 - 55 mental damage on target',1,1),
(82053,260024,7,100,'Inflicts 19 - 23 mental damage on target instantly and every 6 seconds',0,2),
(82054,260024,9,100,'Applies Migraine on termination.',0,0),
(82055,260024,9,100,'Inflicts 42 - 57 mental damage on target',1,1),
(82056,260024,9,100,'Inflicts 19 - 24 mental damage on target instantly and every 6 seconds',0,2),
(82057,260025,1,100,'Applies Migraine on termination.',0,0),
(82058,260025,1,100,'Inflicts 40 - 54 mental damage on target',1,1),
(82059,260025,1,100,'Inflicts 18 - 22 mental damage on target instantly and every 6 seconds',0,2),
(82060,260025,2,100,'Applies Migraine on termination.',0,0),
(82061,260025,2,100,'Inflicts 42 - 57 mental damage on target',1,1),
(82062,260025,2,100,'Inflicts 19 - 24 mental damage on target instantly and every 6 seconds',0,2),
(82063,260025,3,100,'Applies Migraine on termination.',0,0),
(82064,260025,3,100,'Inflicts 44 - 60 mental damage on target',1,1),
(82065,260025,3,100,'Inflicts 20 - 25 mental damage on target instantly and every 6 seconds',0,2),
(82066,260025,4,100,'Applies Migraine on termination.',0,0),
(82067,260025,4,100,'Inflicts 49 - 66 mental damage on target',1,1),
(82068,260025,4,100,'Inflicts 22 - 27 mental damage on target instantly and every 6 seconds',0,2),
(82069,260025,5,100,'Applies Migraine on termination.',0,0),
(82070,260025,5,100,'Inflicts 53 - 72 mental damage on target',1,1),
(82071,260025,5,100,'Inflicts 24 - 30 mental damage on target instantly and every 6 seconds',0,2),
(82072,260025,7,100,'Applies Migraine on termination.',0,0),
(82073,260025,7,100,'Inflicts 68 - 92 mental damage on target',1,1),
(82074,260025,7,100,'Inflicts 31 - 38 mental damage on target instantly and every 6 seconds',0,2),
(82075,260025,9,100,'Applies Migraine on termination.',0,0),
(82076,260025,9,100,'Inflicts 71 - 96 mental damage on target',1,1),
(82077,260025,9,100,'Inflicts 33 - 40 mental damage on target instantly and every 6 seconds',0,2),
(82078,260026,1,100,'Applies Migraine on termination.',0,0),
(82079,260026,1,100,'Inflicts 77 - 104 mental damage on target',1,1),
(82080,260026,1,100,'Inflicts 35 - 43 mental damage on target instantly and every 6 seconds',0,2),
(82081,260026,2,100,'Applies Migraine on termination.',0,0),
(82082,260026,2,100,'Inflicts 81 - 110 mental damage on target',1,1),
(82083,260026,2,100,'Inflicts 37 - 46 mental damage on target instantly and every 6 seconds',0,2),
(82084,260026,3,100,'Applies Migraine on termination.',0,0),
(82085,260026,3,100,'Inflicts 86 - 116 mental damage on target',1,1),
(82086,260026,3,100,'Inflicts 39 - 48 mental damage on target instantly and every 6 seconds',0,2),
(82087,260026,4,100,'Applies Migraine on termination.',0,0),
(82088,260026,4,100,'Inflicts 94 - 128 mental damage on target',1,1),
(82089,260026,4,100,'Inflicts 43 - 53 mental damage on target instantly and every 6 seconds',0,2),
(82090,260026,5,100,'Applies Migraine on termination.',0,0),
(82091,260026,5,100,'Inflicts 103 - 139 mental damage on target',1,1),
(82092,260026,5,100,'Inflicts 47 - 58 mental damage on target instantly and every 6 seconds',0,2),
(82093,260026,7,100,'Applies Migraine on termination.',0,0),
(82094,260026,7,100,'Inflicts 132 - 179 mental damage on target',1,1),
(82095,260026,7,100,'Inflicts 61 - 74 mental damage on target instantly and every 6 seconds',0,2),
(82096,260026,9,100,'Applies Migraine on termination.',0,0),
(82097,260026,9,100,'Inflicts 137 - 186 mental damage on target',1,1),
(82098,260026,9,100,'Inflicts 63 - 77 mental damage on target instantly and every 6 seconds',0,2),
(82099,260026,10,100,'Applies Migraine on termination.',0,0),
(82100,260026,10,100,'Inflicts 144 - 195 mental damage on target',1,1),
(82101,260026,10,100,'Inflicts 66 - 81 mental damage on target instantly and every 6 seconds',0,2),
(82102,260027,1,100,'Applies Migraine on termination.',0,0),
(82103,260027,1,100,'Inflicts 303 - 410 mental damage on target',1,1),
(82104,260027,1,100,'Inflicts 139 - 170 mental damage on target instantly and every 6 seconds',0,2),
(82105,260027,4,100,'Applies Migraine on termination.',0,0),
(82106,260027,4,100,'Inflicts 371 - 502 mental damage on target',1,1),
(82107,260027,4,100,'Inflicts 170 - 208 mental damage on target instantly and every 6 seconds',0,2),
(82108,260027,5,100,'Applies Migraine on termination.',0,0),
(82109,260027,5,100,'Inflicts 404 - 547 mental damage on target',1,1),
(82110,260027,5,100,'Inflicts 186 - 227 mental damage on target instantly and every 6 seconds',0,2),
(82111,260027,7,100,'Applies Migraine on termination.',0,0),
(82112,260027,7,100,'Inflicts 519 - 702 mental damage on target',1,1),
(82113,260027,7,100,'Inflicts 238 - 291 mental damage on target instantly and every 6 seconds',0,2),
(82114,260027,9,100,'Applies Migraine on termination.',0,0),
(82115,260027,9,100,'Inflicts 539 - 730 mental damage on target',1,1),
(82116,260027,9,100,'Inflicts 247 - 302 mental damage on target instantly and every 6 seconds',0,2),
(82117,260028,1,100,'Applies Migraine on termination.',0,0),
(82118,260028,1,100,'Inflicts 119 - 161 mental damage on target',1,1),
(82119,260028,1,100,'Inflicts 55 - 67 mental damage on target instantly and every 6 seconds',0,2),
(82120,260028,2,100,'Applies Migraine on termination.',0,0),
(82121,260028,2,100,'Inflicts 126 - 170 mental damage on target',1,1),
(82122,260028,2,100,'Inflicts 58 - 71 mental damage on target instantly and every 6 seconds',0,2),
(82123,260028,3,100,'Applies Migraine on termination.',0,0),
(82124,260028,3,100,'Inflicts 133 - 179 mental damage on target',1,1),
(82125,260028,3,100,'Inflicts 61 - 74 mental damage on target instantly and every 6 seconds',0,2),
(82126,260028,4,100,'Applies Migraine on termination.',0,0),
(82127,260028,4,100,'Inflicts 146 - 197 mental damage on target',1,1),
(82128,260028,4,100,'Inflicts 67 - 82 mental damage on target instantly and every 6 seconds',0,2),
(82129,260028,5,100,'Applies Migraine on termination.',0,0),
(82130,260028,5,100,'Inflicts 159 - 215 mental damage on target',1,1),
(82131,260028,5,100,'Inflicts 73 - 89 mental damage on target instantly and every 6 seconds',0,2),
(82132,260028,7,100,'Applies Migraine on termination.',0,0),
(82133,260028,7,100,'Inflicts 204 - 276 mental damage on target',1,1),
(82134,260028,7,100,'Inflicts 94 - 114 mental damage on target instantly and every 6 seconds',0,2),
(82135,260028,9,100,'Applies Migraine on termination.',0,0),
(82136,260028,9,100,'Inflicts 212 - 287 mental damage on target',1,1),
(82137,260028,9,100,'Inflicts 97 - 119 mental damage on target instantly and every 6 seconds',0,2),
(82138,260029,1,100,'Applies Migraine on termination.',0,0),
(82139,260029,1,100,'Inflicts 168 - 227 mental damage on target',1,1),
(82140,260029,1,100,'Inflicts 77 - 94 mental damage on target instantly and every 6 seconds',0,2),
(82141,260029,2,100,'Applies Migraine on termination.',0,0),
(82142,260029,2,100,'Inflicts 177 - 239 mental damage on target',1,1),
(82143,260029,2,100,'Inflicts 81 - 99 mental damage on target instantly and every 6 seconds',0,2),
(82144,260029,3,100,'Applies Migraine on termination.',0,0),
(82145,260029,3,100,'Inflicts 186 - 252 mental damage on target',1,1),
(82146,260029,3,100,'Inflicts 85 - 104 mental damage on target instantly and every 6 seconds',0,2),
(82147,260029,4,100,'Applies Migraine on termination.',0,0),
(82148,260029,4,100,'Inflicts 205 - 277 mental damage on target',1,1),
(82149,260029,4,100,'Inflicts 94 - 115 mental damage on target instantly and every 6 seconds',0,2),
(82150,260029,5,100,'Applies Migraine on termination.',0,0),
(82151,260029,5,100,'Inflicts 223 - 302 mental damage on target',1,1),
(82152,260029,5,100,'Inflicts 102 - 125 mental damage on target instantly and every 6 seconds',0,2),
(82153,260029,7,100,'Applies Migraine on termination.',0,0),
(82154,260029,7,100,'Inflicts 287 - 388 mental damage on target',1,1),
(82155,260029,7,100,'Inflicts 132 - 161 mental damage on target instantly and every 6 seconds',0,2),
(82156,260029,9,100,'Applies Migraine on termination.',0,0),
(82157,260029,9,100,'Inflicts 298 - 403 mental damage on target',1,1),
(82158,260029,9,100,'Inflicts 137 - 167 mental damage on target instantly and every 6 seconds',0,2),
(82159,260030,1,100,'Applies Migraine on termination.',0,0),
(82160,260030,1,100,'Inflicts 214 - 290 mental damage on target',1,1),
(82161,260030,1,100,'Inflicts 98 - 120 mental damage on target instantly and every 6 seconds',0,2),
(82162,260030,2,100,'Applies Migraine on termination.',0,0),
(82163,260030,2,100,'Inflicts 226 - 306 mental damage on target',1,1),
(82164,260030,2,100,'Inflicts 104 - 127 mental damage on target instantly and every 6 seconds',0,2),
(82165,260030,3,100,'Applies Migraine on termination.',0,0),
(82166,260030,3,100,'Inflicts 238 - 322 mental damage on target',1,1),
(82167,260030,3,100,'Inflicts 109 - 133 mental damage on target instantly and every 6 seconds',0,2),
(82168,260030,4,100,'Applies Migraine on termination.',0,0),
(82169,260030,4,100,'Inflicts 262 - 354 mental damage on target',1,1),
(82170,260030,4,100,'Inflicts 120 - 147 mental damage on target instantly and every 6 seconds',0,2),
(82171,260030,5,100,'Applies Migraine on termination.',0,0),
(82172,260030,5,100,'Inflicts 286 - 386 mental damage on target',1,1),
(82173,260030,5,100,'Inflicts 131 - 160 mental damage on target instantly and every 6 seconds',0,2),
(82174,260030,7,100,'Applies Migraine on termination.',0,0),
(82175,260030,7,100,'Inflicts 367 - 496 mental damage on target',1,1),
(82176,260030,7,100,'Inflicts 168 - 206 mental damage on target instantly and every 6 seconds',0,2),
(82177,260030,9,100,'Applies Migraine on termination.',0,0),
(82178,260030,9,100,'Inflicts 381 - 515 mental damage on target',1,1),
(82179,260030,9,100,'Inflicts 175 - 214 mental damage on target instantly and every 6 seconds',0,2),
(82180,260030,10,100,'Applies Migraine on termination.',0,0),
(82181,260030,10,100,'Inflicts 400 - 541 mental damage on target',1,1),
(82182,260030,10,100,'Inflicts 183 - 224 mental damage on target instantly and every 6 seconds',0,2),
(82183,260031,1,100,'Applies Migraine on termination.',0,0),
(82184,260031,1,100,'Inflicts 259 - 351 mental damage on target',1,1),
(82185,260031,1,100,'Inflicts 119 - 145 mental damage on target instantly and every 6 seconds',0,2),
(82186,260031,4,100,'Applies Migraine on termination.',0,0),
(82187,260031,4,100,'Inflicts 317 - 429 mental damage on target',1,1),
(82188,260031,4,100,'Inflicts 145 - 178 mental damage on target instantly and every 6 seconds',0,2),
(82189,260031,5,100,'Applies Migraine on termination.',0,0),
(82190,260031,5,100,'Inflicts 346 - 468 mental damage on target',1,1),
(82191,260031,5,100,'Inflicts 159 - 194 mental damage on target instantly and every 6 seconds',0,2),
(82192,260031,7,100,'Applies Migraine on termination.',0,0),
(82193,260031,7,100,'Inflicts 444 - 600 mental damage on target',1,1),
(82194,260031,7,100,'Inflicts 204 - 249 mental damage on target instantly and every 6 seconds',0,2),
(82195,260031,9,100,'Applies Migraine on termination.',0,0),
(82196,260031,9,100,'Inflicts 461 - 624 mental damage on target',1,1),
(82197,260031,9,100,'Inflicts 211 - 258 mental damage on target instantly and every 6 seconds',0,2),
(82198,270011,1,100,'Inflicts 9 - 10 mental damage on target instantly and every 6 seconds',0,0),
(82199,270011,1,100,'Decreases power of target by 1 instantly and every 6 seconds',0,1),
(82200,270011,1,100,'Increases power of caster by 5',0,2),
(82201,270011,2,100,'Inflicts 9 - 11 mental damage on target instantly and every 6 seconds',0,0),
(82202,270011,2,100,'Decreases power of target by 1 instantly and every 6 seconds',0,1),
(82203,270011,2,100,'Increases power of caster by 5',0,2),
(82204,270011,3,100,'Inflicts 9 - 12 mental damage on target instantly and every 6 seconds',0,0),
(82205,270011,3,100,'Decreases power of target by 1 instantly and every 6 seconds',0,1),
(82206,270011,3,100,'Increases power of caster by 5',0,2),
(82207,270011,4,100,'Inflicts 10 - 13 mental damage on target instantly and every 6 seconds',0,0),
(82208,270011,4,100,'Decreases power of target by 1 instantly and every 6 seconds',0,1),
(82209,270011,4,100,'Increases power of caster by 6',0,2),
(82210,270011,5,100,'Inflicts 11 - 14 mental damage on target instantly and every 6 seconds',0,0),
(82211,270011,5,100,'Decreases power of target by 1 instantly and every 6 seconds',0,1),
(82212,270011,5,100,'Increases power of caster by 6',0,2),
(82213,270011,7,100,'Inflicts 15 - 18 mental damage on target instantly and every 6 seconds',0,0),
(82214,270011,7,100,'Decreases power of target by 2 instantly and every 6 seconds',0,1),
(82215,270011,7,100,'Increases power of caster by 8',0,2),
(82216,270011,9,100,'Inflicts 15 - 18 mental damage on target instantly and every 6 seconds',0,0),
(82217,270011,9,100,'Decreases power of target by 2 instantly and every 6 seconds',0,1),
(82218,270011,9,100,'Increases power of caster by 8',0,2),
(82219,270012,1,100,'Inflicts 26 - 32 mental damage on target instantly and every 6 seconds',0,0),
(82220,270012,1,100,'Decreases power of target by 3 instantly and every 6 seconds',0,1),
(82221,270012,1,100,'Increases power of caster by 16',0,2),
(82222,270012,2,100,'Inflicts 28 - 34 mental damage on target instantly and every 6 seconds',0,0),
(82223,270012,2,100,'Decreases power of target by 3 instantly and every 6 seconds',0,1),
(82224,270012,2,100,'Increases power of caster by 17',0,2),
(82225,270012,3,100,'Inflicts 29 - 35 mental damage on target instantly and every 6 seconds',0,0),
(82226,270012,3,100,'Decreases power of target by 4 instantly and every 6 seconds',0,1),
(82227,270012,3,100,'Increases power of caster by 18',0,2),
(82228,270012,4,100,'Inflicts 32 - 39 mental damage on target instantly and every 6 seconds',0,0),
(82229,270012,4,100,'Decreases power of target by 4 instantly and every 6 seconds',0,1),
(82230,270012,4,100,'Increases power of caster by 19',0,2),
(82231,270012,5,100,'Inflicts 35 - 43 mental damage on target instantly and every 6 seconds',0,0),
(82232,270012,5,100,'Decreases power of target by 4 instantly and every 6 seconds',0,1),
(82233,270012,5,100,'Increases power of caster by 21',0,2),
(82234,270012,7,100,'Inflicts 45 - 55 mental damage on target instantly and every 6 seconds',0,0),
(82235,270012,7,100,'Decreases power of target by 5 instantly and every 6 seconds',0,1),
(82236,270012,7,100,'Increases power of caster by 27',0,2),
(82237,270012,9,100,'Inflicts 46 - 57 mental damage on target instantly and every 6 seconds',0,0),
(82238,270012,9,100,'Decreases power of target by 6 instantly and every 6 seconds',0,1),
(82239,270012,9,100,'Increases power of caster by 28',0,2),
(82240,270013,1,100,'Inflicts 44 - 53 mental damage on target instantly and every 6 seconds',0,0),
(82241,270013,1,100,'Decreases power of target by 5 instantly and every 6 seconds',0,1),
(82242,270013,1,100,'Increases power of caster by 27',0,2),
(82243,270013,2,100,'Inflicts 46 - 56 mental damage on target instantly and every 6 seconds',0,0),
(82244,270013,2,100,'Decreases power of target by 6 instantly and every 6 seconds',0,1),
(82245,270013,2,100,'Increases power of caster by 28',0,2),
(82246,270013,3,100,'Inflicts 49 - 59 mental damage on target instantly and every 6 seconds',0,0),
(82247,270013,3,100,'Decreases power of target by 6 instantly and every 6 seconds',0,1),
(82248,270013,3,100,'Increases power of caster by 30',0,2),
(82249,270013,4,100,'Inflicts 53 - 65 mental damage on target instantly and every 6 seconds',0,0),
(82250,270013,4,100,'Decreases power of target by 7 instantly and every 6 seconds',0,1),
(82251,270013,4,100,'Increases power of caster by 33',0,2),
(82252,270013,5,100,'Inflicts 58 - 71 mental damage on target instantly and every 6 seconds',0,0),
(82253,270013,5,100,'Decreases power of target by 7 instantly and every 6 seconds',0,1),
(82254,270013,5,100,'Increases power of caster by 36',0,2),
(82255,270013,7,100,'Inflicts 75 - 91 mental damage on target instantly and every 6 seconds',0,0),
(82256,270013,7,100,'Decreases power of target by 9 instantly and every 6 seconds',0,1),
(82257,270013,7,100,'Increases power of caster by 46',0,2),
(82258,270013,9,100,'Inflicts 78 - 95 mental damage on target instantly and every 6 seconds',0,0),
(82259,270013,9,100,'Decreases power of target by 10 instantly and every 6 seconds',0,1),
(82260,270013,9,100,'Increases power of caster by 48',0,2),
(82261,270014,1,100,'Inflicts 84 - 103 mental damage on target instantly and every 6 seconds',0,0),
(82262,270014,1,100,'Decreases power of target by 10 instantly and every 6 seconds',0,1),
(82263,270014,1,100,'Increases power of caster by 52',0,2),
(82264,270014,2,100,'Inflicts 89 - 109 mental damage on target instantly and every 6 seconds',0,0),
(82265,270014,2,100,'Decreases power of target by 11 instantly and every 6 seconds',0,1),
(82266,270014,2,100,'Increases power of caster by 55',0,2),
(82267,270014,3,100,'Inflicts 94 - 115 mental damage on target instantly and every 6 seconds',0,0),
(82268,270014,3,100,'Decreases power of target by 12 instantly and every 6 seconds',0,1),
(82269,270014,3,100,'Increases power of caster by 58',0,2),
(82270,270014,4,100,'Inflicts 103 - 126 mental damage on target instantly and every 6 seconds',0,0),
(82271,270014,4,100,'Decreases power of target by 13 instantly and every 6 seconds',0,1),
(82272,270014,4,100,'Increases power of caster by 64',0,2),
(82273,270014,5,100,'Inflicts 113 - 138 mental damage on target instantly and every 6 seconds',0,0),
(82274,270014,5,100,'Decreases power of target by 14 instantly and every 6 seconds',0,1),
(82275,270014,5,100,'Increases power of caster by 70',0,2),
(82276,270014,7,100,'Inflicts 145 - 177 mental damage on target instantly and every 6 seconds',0,0),
(82277,270014,7,100,'Decreases power of target by 18 instantly and every 6 seconds',0,1),
(82278,270014,7,100,'Increases power of caster by 89',0,2),
(82279,270014,9,100,'Inflicts 150 - 184 mental damage on target instantly and every 6 seconds',0,0),
(82280,270014,9,100,'Decreases power of target by 19 instantly and every 6 seconds',0,1),
(82281,270014,9,100,'Increases power of caster by 93',0,2),
(82282,270014,10,100,'Inflicts 158 - 193 mental damage on target instantly and every 6 seconds',0,0),
(82283,270014,10,100,'Decreases power of target by 20 instantly and every 6 seconds',0,1),
(82284,270014,10,100,'Increases power of caster by 98',0,2),
(82285,270015,1,100,'Inflicts 332 - 406 mental damage on target instantly and every 6 seconds',0,0),
(82286,270015,1,100,'Decreases power of target by 41 instantly and every 6 seconds',0,1),
(82287,270015,1,100,'Increases power of caster by 227',0,2),
(82288,270015,4,100,'Inflicts 406 - 496 mental damage on target instantly and every 6 seconds',0,0),
(82289,270015,4,100,'Decreases power of target by 51 instantly and every 6 seconds',0,1),
(82290,270015,4,100,'Increases power of caster by 278',0,2),
(82291,270015,5,100,'Inflicts 443 - 541 mental damage on target instantly and every 6 seconds',0,0),
(82292,270015,5,100,'Decreases power of target by 55 instantly and every 6 seconds',0,1),
(82293,270015,5,100,'Increases power of caster by 303',0,2),
(82294,270015,7,100,'Inflicts 568 - 694 mental damage on target instantly and every 6 seconds',0,0),
(82295,270015,7,100,'Decreases power of target by 71 instantly and every 6 seconds',0,1),
(82296,270015,7,100,'Increases power of caster by 389',0,2),
(82297,270015,9,100,'Inflicts 590 - 721 mental damage on target instantly and every 6 seconds',0,0),
(82298,270015,9,100,'Decreases power of target by 74 instantly and every 6 seconds',0,1),
(82299,270015,9,100,'Increases power of caster by 404',0,2),
(82300,270015,10,100,'Inflicts 620 - 757 mental damage on target instantly and every 6 seconds',0,0),
(82301,270015,10,100,'Decreases power of target by 77 instantly and every 6 seconds',0,1),
(82302,270015,10,100,'Increases power of caster by 425',0,2),
(82303,270016,1,100,'Inflicts 130 - 159 mental damage on target instantly and every 6 seconds',0,0),
(82304,270016,1,100,'Decreases power of target by 16 instantly and every 6 seconds',0,1),
(82305,270016,1,100,'Increases power of caster by 81',0,2),
(82306,270016,2,100,'Inflicts 138 - 168 mental damage on target instantly and every 6 seconds',0,0),
(82307,270016,2,100,'Decreases power of target by 17 instantly and every 6 seconds',0,1),
(82308,270016,2,100,'Increases power of caster by 86',0,2),
(82309,270016,3,100,'Inflicts 145 - 177 mental damage on target instantly and every 6 seconds',0,0),
(82310,270016,3,100,'Decreases power of target by 18 instantly and every 6 seconds',0,1),
(82311,270016,3,100,'Increases power of caster by 90',0,2),
(82312,270016,4,100,'Inflicts 159 - 195 mental damage on target instantly and every 6 seconds',0,0),
(82313,270016,4,100,'Decreases power of target by 20 instantly and every 6 seconds',0,1),
(82314,270016,4,100,'Increases power of caster by 99',0,2),
(82315,270016,5,100,'Inflicts 174 - 213 mental damage on target instantly and every 6 seconds',0,0),
(82316,270016,5,100,'Decreases power of target by 22 instantly and every 6 seconds',0,1),
(82317,270016,5,100,'Increases power of caster by 108',0,2),
(82318,270016,7,100,'Inflicts 223 - 273 mental damage on target instantly and every 6 seconds',0,0),
(82319,270016,7,100,'Decreases power of target by 28 instantly and every 6 seconds',0,1),
(82320,270016,7,100,'Increases power of caster by 139',0,2),
(82321,270016,9,100,'Inflicts 232 - 284 mental damage on target instantly and every 6 seconds',0,0),
(82322,270016,9,100,'Decreases power of target by 29 instantly and every 6 seconds',0,1),
(82323,270016,9,100,'Increases power of caster by 144',0,2),
(82324,270017,1,100,'Inflicts 183 - 224 mental damage on target instantly and every 6 seconds',0,0),
(82325,270017,1,100,'Decreases power of target by 23 instantly and every 6 seconds',0,1),
(82326,270017,1,100,'Increases power of caster by 114',0,2),
(82327,270017,2,100,'Inflicts 193 - 236 mental damage on target instantly and every 6 seconds',0,0),
(82328,270017,2,100,'Decreases power of target by 24 instantly and every 6 seconds',0,1),
(82329,270017,2,100,'Increases power of caster by 121',0,2),
(82330,270017,3,100,'Inflicts 204 - 249 mental damage on target instantly and every 6 seconds',0,0),
(82331,270017,3,100,'Decreases power of target by 25 instantly and every 6 seconds',0,1),
(82332,270017,3,100,'Increases power of caster by 127',0,2),
(82333,270017,4,100,'Inflicts 224 - 274 mental damage on target instantly and every 6 seconds',0,0),
(82334,270017,4,100,'Decreases power of target by 28 instantly and every 6 seconds',0,1),
(82335,270017,4,100,'Increases power of caster by 140',0,2),
(82336,270017,5,100,'Inflicts 244 - 299 mental damage on target instantly and every 6 seconds',0,0),
(82337,270017,5,100,'Decreases power of target by 30 instantly and every 6 seconds',0,1),
(82338,270017,5,100,'Increases power of caster by 152',0,2),
(82339,270017,7,100,'Inflicts 314 - 383 mental damage on target instantly and every 6 seconds',0,0),
(82340,270017,7,100,'Decreases power of target by 39 instantly and every 6 seconds',0,1),
(82341,270017,7,100,'Increases power of caster by 195',0,2),
(82342,270017,9,100,'Inflicts 326 - 398 mental damage on target instantly and every 6 seconds',0,0),
(82343,270017,9,100,'Decreases power of target by 41 instantly and every 6 seconds',0,1),
(82344,270017,9,100,'Increases power of caster by 203',0,2),
(82345,270018,1,100,'Inflicts 234 - 286 mental damage on target instantly and every 6 seconds',0,0),
(82346,270018,1,100,'Decreases power of target by 29 instantly and every 6 seconds',0,1),
(82347,270018,1,100,'Increases power of caster by 150',0,2),
(82348,270018,2,100,'Inflicts 247 - 302 mental damage on target instantly and every 6 seconds',0,0),
(82349,270018,2,100,'Decreases power of target by 31 instantly and every 6 seconds',0,1),
(82350,270018,2,100,'Increases power of caster by 158',0,2),
(82351,270018,3,100,'Inflicts 260 - 318 mental damage on target instantly and every 6 seconds',0,0),
(82352,270018,3,100,'Decreases power of target by 32 instantly and every 6 seconds',0,1),
(82353,270018,3,100,'Increases power of caster by 167',0,2),
(82354,270018,4,100,'Inflicts 286 - 350 mental damage on target instantly and every 6 seconds',0,0),
(82355,270018,4,100,'Decreases power of target by 36 instantly and every 6 seconds',0,1),
(82356,270018,4,100,'Increases power of caster by 183',0,2),
(82357,270018,5,100,'Inflicts 312 - 382 mental damage on target instantly and every 6 seconds',0,0),
(82358,270018,5,100,'Decreases power of target by 39 instantly and every 6 seconds',0,1),
(82359,270018,5,100,'Increases power of caster by 200',0,2),
(82360,270018,7,100,'Inflicts 401 - 490 mental damage on target instantly and every 6 seconds',0,0),
(82361,270018,7,100,'Decreases power of target by 50 instantly and every 6 seconds',0,1),
(82362,270018,7,100,'Increases power of caster by 257',0,2),
(82363,270018,9,100,'Inflicts 417 - 509 mental damage on target instantly and every 6 seconds',0,0),
(82364,270018,9,100,'Decreases power of target by 52 instantly and every 6 seconds',0,1),
(82365,270018,9,100,'Increases power of caster by 267',0,2),
(82366,270018,10,100,'Inflicts 437 - 535 mental damage on target instantly and every 6 seconds',0,0),
(82367,270018,10,100,'Decreases power of target by 55 instantly and every 6 seconds',0,1),
(82368,270018,10,100,'Increases power of caster by 280',0,2),
(82369,270019,1,100,'Inflicts 284 - 347 mental damage on target instantly and every 6 seconds',0,0),
(82370,270019,1,100,'Decreases power of target by 35 instantly and every 6 seconds',0,1),
(82371,270019,1,100,'Increases power of caster by 196',0,2),
(82372,270019,4,100,'Inflicts 347 - 424 mental damage on target instantly and every 6 seconds',0,0),
(82373,270019,4,100,'Decreases power of target by 43 instantly and every 6 seconds',0,1),
(82374,270019,4,100,'Increases power of caster by 240',0,2),
(82375,270019,5,100,'Inflicts 378 - 462 mental damage on target instantly and every 6 seconds',0,0),
(82376,270019,5,100,'Decreases power of target by 47 instantly and every 6 seconds',0,1),
(82377,270019,5,100,'Increases power of caster by 262',0,2),
(82378,270019,7,100,'Inflicts 485 - 593 mental damage on target instantly and every 6 seconds',0,0),
(82379,270019,7,100,'Decreases power of target by 61 instantly and every 6 seconds',0,1),
(82380,270019,7,100,'Increases power of caster by 336',0,2),
(82381,270019,9,100,'Inflicts 504 - 616 mental damage on target instantly and every 6 seconds',0,0),
(82382,270019,9,100,'Decreases power of target by 63 instantly and every 6 seconds',0,1),
(82383,270019,9,100,'Increases power of caster by 349',0,2),
(82384,270019,10,100,'Inflicts 529 - 647 mental damage on target instantly and every 6 seconds',0,0),
(82385,270019,10,100,'Decreases power of target by 66 instantly and every 6 seconds',0,1),
(82386,270019,10,100,'Increases power of caster by 366',0,2),
(82387,170026,1,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(82388,170026,1,100,'Decreases Threat to targets in Area of Effect by 1,169 ',0,1),
(82389,170026,1,100,'Slows targets in Area of Effect by 31.5%',0,2),
(82390,170026,1,100,'Stifles targets in Area of Effect',0,3),
(82391,170026,1,100,'If Target is not Epic',1,4),
(82392,170026,1,100,'10% chance to dispel when target receives hostile action',0,5),
(82393,170026,1,100,'10% chance to dispel when target takes damage',0,6),
(82394,170026,2,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(82395,170026,2,100,'Decreases Threat to targets in Area of Effect by 1,234 ',0,1),
(82396,170026,2,100,'Slows targets in Area of Effect by 33.2%',0,2),
(82397,170026,2,100,'Stifles targets in Area of Effect',0,3),
(82398,170026,2,100,'If Target is not Epic',1,4),
(82399,170026,2,100,'10% chance to dispel when target receives hostile action',0,5),
(82400,170026,2,100,'10% chance to dispel when target takes damage',0,6),
(82401,170026,3,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(82402,170026,3,100,'Decreases Threat to targets in Area of Effect by 1,300 ',0,1),
(82403,170026,3,100,'Slows targets in Area of Effect by 35.0%',0,2),
(82404,170026,3,100,'Stifles targets in Area of Effect',0,3),
(82405,170026,3,100,'If Target is not Epic',1,4),
(82406,170026,3,100,'10% chance to dispel when target receives hostile action',0,5),
(82407,170026,3,100,'10% chance to dispel when target takes damage',0,6),
(82408,170026,4,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(82409,170026,4,100,'Decreases Threat to targets in Area of Effect by 1,430 ',0,1),
(82410,170026,4,100,'Slows targets in Area of Effect by 38.5%',0,2),
(82411,170026,4,100,'Stifles targets in Area of Effect',0,3),
(82412,170026,4,100,'If Target is not Epic',1,4),
(82413,170026,4,100,'10% chance to dispel when target receives hostile action',0,5),
(82414,170026,4,100,'10% chance to dispel when target takes damage',0,6),
(82415,170026,5,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(82416,170026,5,100,'Decreases Threat to targets in Area of Effect by 1,560 ',0,1),
(82417,170026,5,100,'Slows targets in Area of Effect by 42.0%',0,2),
(82418,170026,5,100,'Stifles targets in Area of Effect',0,3),
(82419,170026,5,100,'If Target is not Epic',1,4),
(82420,170026,5,100,'10% chance to dispel when target receives hostile action',0,5),
(82421,170026,5,100,'10% chance to dispel when target takes damage',0,6),
(82422,170026,7,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(82423,170026,7,100,'Decreases Threat to targets in Area of Effect by 2,001 ',0,1),
(82424,170026,7,100,'Slows targets in Area of Effect by 53.9%',0,2),
(82425,170026,7,100,'Stifles targets in Area of Effect',0,3),
(82426,170026,7,100,'If Target is not Epic',1,4),
(82427,170026,7,100,'10% chance to dispel when target receives hostile action',0,5),
(82428,170026,7,100,'10% chance to dispel when target takes damage',0,6),
(82429,170026,9,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(82430,170026,9,100,'Decreases Threat to targets in Area of Effect by 2,080 ',0,1),
(82431,170026,9,100,'Slows targets in Area of Effect by 56.0%',0,2),
(82432,170026,9,100,'Stifles targets in Area of Effect',0,3),
(82433,170026,9,100,'If Target is not Epic',1,4),
(82434,170026,9,100,'10% chance to dispel when target receives hostile action',0,5),
(82435,170026,9,100,'10% chance to dispel when target takes damage',0,6),
(82436,170027,1,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(82437,170027,1,100,'Decreases Threat to targets in Area of Effect by 2,593 ',0,1),
(82438,170027,1,100,'Slows targets in Area of Effect by 31.5%',0,2),
(82439,170027,1,100,'Stifles targets in Area of Effect',0,3),
(82440,170027,1,100,'If Target is not Epic',1,4),
(82441,170027,1,100,'10% chance to dispel when target receives hostile action',0,5),
(82442,170027,1,100,'10% chance to dispel when target takes damage',0,6),
(82443,170027,2,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(82444,170027,2,100,'Decreases Threat to targets in Area of Effect by 2,737 ',0,1),
(82445,170027,2,100,'Slows targets in Area of Effect by 33.2%',0,2),
(82446,170027,2,100,'Stifles targets in Area of Effect',0,3),
(82447,170027,2,100,'If Target is not Epic',1,4),
(82448,170027,2,100,'10% chance to dispel when target receives hostile action',0,5),
(82449,170027,2,100,'10% chance to dispel when target takes damage',0,6),
(82450,170027,3,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(82451,170027,3,100,'Decreases Threat to targets in Area of Effect by 2,882 ',0,1),
(82452,170027,3,100,'Slows targets in Area of Effect by 35.0%',0,2),
(82453,170027,3,100,'Stifles targets in Area of Effect',0,3),
(82454,170027,3,100,'If Target is not Epic',1,4),
(82455,170027,3,100,'10% chance to dispel when target receives hostile action',0,5),
(82456,170027,3,100,'10% chance to dispel when target takes damage',0,6),
(82457,170027,4,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(82458,170027,4,100,'Decreases Threat to targets in Area of Effect by 3,170 ',0,1),
(82459,170027,4,100,'Slows targets in Area of Effect by 38.5%',0,2),
(82460,170027,4,100,'Stifles targets in Area of Effect',0,3),
(82461,170027,4,100,'If Target is not Epic',1,4),
(82462,170027,4,100,'10% chance to dispel when target receives hostile action',0,5),
(82463,170027,4,100,'10% chance to dispel when target takes damage',0,6),
(82464,170027,5,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(82465,170027,5,100,'Decreases Threat to targets in Area of Effect by 3,458 ',0,1),
(82466,170027,5,100,'Slows targets in Area of Effect by 42.0%',0,2),
(82467,170027,5,100,'Stifles targets in Area of Effect',0,3),
(82468,170027,5,100,'If Target is not Epic',1,4),
(82469,170027,5,100,'10% chance to dispel when target receives hostile action',0,5),
(82470,170027,5,100,'10% chance to dispel when target takes damage',0,6),
(82471,170027,7,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(82472,170027,7,100,'Decreases Threat to targets in Area of Effect by 4,438 ',0,1),
(82473,170027,7,100,'Slows targets in Area of Effect by 53.9%',0,2),
(82474,170027,7,100,'Stifles targets in Area of Effect',0,3),
(82475,170027,7,100,'If Target is not Epic',1,4),
(82476,170027,7,100,'10% chance to dispel when target receives hostile action',0,5),
(82477,170027,7,100,'10% chance to dispel when target takes damage',0,6),
(82478,170027,9,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(82479,170027,9,100,'Decreases Threat to targets in Area of Effect by 4,611 ',0,1),
(82480,170027,9,100,'Slows targets in Area of Effect by 56.0%',0,2),
(82481,170027,9,100,'Stifles targets in Area of Effect',0,3),
(82482,170027,9,100,'If Target is not Epic',1,4),
(82483,170027,9,100,'10% chance to dispel when target receives hostile action',0,5),
(82484,170027,9,100,'10% chance to dispel when target takes damage',0,6),
(82485,170028,1,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(82486,170028,1,100,'Decreases Threat to targets in Area of Effect by 4,272 ',0,1),
(82487,170028,1,100,'Slows targets in Area of Effect by 31.5%',0,2),
(82488,170028,1,100,'Stifles targets in Area of Effect',0,3),
(82489,170028,1,100,'If Target is not Epic',1,4),
(82490,170028,1,100,'10% chance to dispel when target receives hostile action',0,5),
(82491,170028,1,100,'10% chance to dispel when target takes damage',0,6),
(82492,170028,2,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(82493,170028,2,100,'Decreases Threat to targets in Area of Effect by 4,509 ',0,1),
(82494,170028,2,100,'Slows targets in Area of Effect by 33.2%',0,2),
(82495,170028,2,100,'Stifles targets in Area of Effect',0,3),
(82496,170028,2,100,'If Target is not Epic',1,4),
(82497,170028,2,100,'10% chance to dispel when target receives hostile action',0,5),
(82498,170028,2,100,'10% chance to dispel when target takes damage',0,6),
(82499,170028,3,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(82500,170028,3,100,'Decreases Threat to targets in Area of Effect by 4,747 ',0,1),
(82501,170028,3,100,'Slows targets in Area of Effect by 35.0%',0,2),
(82502,170028,3,100,'Stifles targets in Area of Effect',0,3),
(82503,170028,3,100,'If Target is not Epic',1,4),
(82504,170028,3,100,'10% chance to dispel when target receives hostile action',0,5),
(82505,170028,3,100,'10% chance to dispel when target takes damage',0,6),
(82506,170028,4,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(82507,170028,4,100,'Decreases Threat to targets in Area of Effect by 5,221 ',0,1),
(82508,170028,4,100,'Slows targets in Area of Effect by 38.5%',0,2),
(82509,170028,4,100,'Stifles targets in Area of Effect',0,3),
(82510,170028,4,100,'If Target is not Epic',1,4),
(82511,170028,4,100,'10% chance to dispel when target receives hostile action',0,5),
(82512,170028,4,100,'10% chance to dispel when target takes damage',0,6),
(82513,170028,5,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(82514,170028,5,100,'Decreases Threat to targets in Area of Effect by 5,696 ',0,1),
(82515,170028,5,100,'Slows targets in Area of Effect by 42.0%',0,2),
(82516,170028,5,100,'Stifles targets in Area of Effect',0,3),
(82517,170028,5,100,'If Target is not Epic',1,4),
(82518,170028,5,100,'10% chance to dispel when target receives hostile action',0,5),
(82519,170028,5,100,'10% chance to dispel when target takes damage',0,6),
(82520,170028,7,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(82521,170028,7,100,'Decreases Threat to targets in Area of Effect by 7,310 ',0,1),
(82522,170028,7,100,'Slows targets in Area of Effect by 53.9%',0,2),
(82523,170028,7,100,'Stifles targets in Area of Effect',0,3),
(82524,170028,7,100,'If Target is not Epic',1,4),
(82525,170028,7,100,'10% chance to dispel when target receives hostile action',0,5),
(82526,170028,7,100,'10% chance to dispel when target takes damage',0,6),
(82527,170028,9,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(82528,170028,9,100,'Decreases Threat to targets in Area of Effect by 7,595 ',0,1),
(82529,170028,9,100,'Slows targets in Area of Effect by 56.0%',0,2),
(82530,170028,9,100,'Stifles targets in Area of Effect',0,3),
(82531,170028,9,100,'If Target is not Epic',1,4),
(82532,170028,9,100,'10% chance to dispel when target receives hostile action',0,5),
(82533,170028,9,100,'10% chance to dispel when target takes damage',0,6),
(82534,170029,1,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(82535,170029,1,100,'Decreases Threat to targets in Area of Effect by 6,412 ',0,1),
(82536,170029,1,100,'Slows targets in Area of Effect by 31.5%',0,2),
(82537,170029,1,100,'Stifles targets in Area of Effect',0,3),
(82538,170029,1,100,'If Target is not Epic',1,4),
(82539,170029,1,100,'10% chance to dispel when target receives hostile action',0,5),
(82540,170029,1,100,'10% chance to dispel when target takes damage',0,6),
(82541,170029,2,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(82542,170029,2,100,'Decreases Threat to targets in Area of Effect by 6,768 ',0,1),
(82543,170029,2,100,'Slows targets in Area of Effect by 33.2%',0,2),
(82544,170029,2,100,'Stifles targets in Area of Effect',0,3),
(82545,170029,2,100,'If Target is not Epic',1,4),
(82546,170029,2,100,'10% chance to dispel when target receives hostile action',0,5),
(82547,170029,2,100,'10% chance to dispel when target takes damage',0,6),
(82548,170029,3,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(82549,170029,3,100,'Decreases Threat to targets in Area of Effect by 7,125 ',0,1),
(82550,170029,3,100,'Slows targets in Area of Effect by 35.0%',0,2),
(82551,170029,3,100,'Stifles targets in Area of Effect',0,3),
(82552,170029,3,100,'If Target is not Epic',1,4),
(82553,170029,3,100,'10% chance to dispel when target receives hostile action',0,5),
(82554,170029,3,100,'10% chance to dispel when target takes damage',0,6),
(82555,170029,4,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(82556,170029,4,100,'Decreases Threat to targets in Area of Effect by 7,837 ',0,1),
(82557,170029,4,100,'Slows targets in Area of Effect by 38.5%',0,2),
(82558,170029,4,100,'Stifles targets in Area of Effect',0,3),
(82559,170029,4,100,'If Target is not Epic',1,4),
(82560,170029,4,100,'10% chance to dispel when target receives hostile action',0,5),
(82561,170029,4,100,'10% chance to dispel when target takes damage',0,6),
(82562,170029,5,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(82563,170029,5,100,'Decreases Threat to targets in Area of Effect by 8,550 ',0,1),
(82564,170029,5,100,'Slows targets in Area of Effect by 42.0%',0,2),
(82565,170029,5,100,'Stifles targets in Area of Effect',0,3),
(82566,170029,5,100,'If Target is not Epic',1,4),
(82567,170029,5,100,'10% chance to dispel when target receives hostile action',0,5),
(82568,170029,5,100,'10% chance to dispel when target takes damage',0,6),
(82569,170029,7,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(82570,170029,7,100,'Decreases Threat to targets in Area of Effect by 10,972 ',0,1),
(82571,170029,7,100,'Slows targets in Area of Effect by 53.9%',0,2),
(82572,170029,7,100,'Stifles targets in Area of Effect',0,3),
(82573,170029,7,100,'If Target is not Epic',1,4),
(82574,170029,7,100,'10% chance to dispel when target receives hostile action',0,5),
(82575,170029,7,100,'10% chance to dispel when target takes damage',0,6),
(82576,170029,9,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(82577,170029,9,100,'Decreases Threat to targets in Area of Effect by 11,400 ',0,1),
(82578,170029,9,100,'Slows targets in Area of Effect by 56.0%',0,2),
(82579,170029,9,100,'Stifles targets in Area of Effect',0,3),
(82580,170029,9,100,'If Target is not Epic',1,4),
(82581,170029,9,100,'10% chance to dispel when target receives hostile action',0,5),
(82582,170029,9,100,'10% chance to dispel when target takes damage',0,6),
(82583,170030,1,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(82584,170030,1,100,'Decreases Threat to targets in Area of Effect by 8,657 ',0,1),
(82585,170030,1,100,'Slows targets in Area of Effect by 31.5%',0,2),
(82586,170030,1,100,'Stifles targets in Area of Effect',0,3),
(82587,170030,1,100,'If Target is not Epic',1,4),
(82588,170030,1,100,'10% chance to dispel when target receives hostile action',0,5),
(82589,170030,1,100,'10% chance to dispel when target takes damage',0,6),
(82590,170030,2,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(82591,170030,2,100,'Decreases Threat to targets in Area of Effect by 9,138 ',0,1),
(82592,170030,2,100,'Slows targets in Area of Effect by 33.2%',0,2),
(82593,170030,2,100,'Stifles targets in Area of Effect',0,3),
(82594,170030,2,100,'If Target is not Epic',1,4),
(82595,170030,2,100,'10% chance to dispel when target receives hostile action',0,5),
(82596,170030,2,100,'10% chance to dispel when target takes damage',0,6),
(82597,170030,3,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(82598,170030,3,100,'Decreases Threat to targets in Area of Effect by 9,620 ',0,1),
(82599,170030,3,100,'Slows targets in Area of Effect by 35.0%',0,2),
(82600,170030,3,100,'Stifles targets in Area of Effect',0,3),
(82601,170030,3,100,'If Target is not Epic',1,4),
(82602,170030,3,100,'10% chance to dispel when target receives hostile action',0,5),
(82603,170030,3,100,'10% chance to dispel when target takes damage',0,6),
(82604,170030,4,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(82605,170030,4,100,'Decreases Threat to targets in Area of Effect by 10,582 ',0,1),
(82606,170030,4,100,'Slows targets in Area of Effect by 38.5%',0,2),
(82607,170030,4,100,'Stifles targets in Area of Effect',0,3),
(82608,170030,4,100,'If Target is not Epic',1,4),
(82609,170030,4,100,'10% chance to dispel when target receives hostile action',0,5),
(82610,170030,4,100,'10% chance to dispel when target takes damage',0,6),
(82611,170030,5,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(82612,170030,5,100,'Decreases Threat to targets in Area of Effect by 11,544 ',0,1),
(82613,170030,5,100,'Slows targets in Area of Effect by 42.0%',0,2),
(82614,170030,5,100,'Stifles targets in Area of Effect',0,3),
(82615,170030,5,100,'If Target is not Epic',1,4),
(82616,170030,5,100,'10% chance to dispel when target receives hostile action',0,5),
(82617,170030,5,100,'10% chance to dispel when target takes damage',0,6),
(82618,170030,7,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(82619,170030,7,100,'Decreases Threat to targets in Area of Effect by 14,814 ',0,1),
(82620,170030,7,100,'Slows targets in Area of Effect by 53.9%',0,2),
(82621,170030,7,100,'Stifles targets in Area of Effect',0,3),
(82622,170030,7,100,'If Target is not Epic',1,4),
(82623,170030,7,100,'10% chance to dispel when target receives hostile action',0,5),
(82624,170030,7,100,'10% chance to dispel when target takes damage',0,6),
(82625,170030,9,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(82626,170030,9,100,'Decreases Threat to targets in Area of Effect by 15,392 ',0,1),
(82627,170030,9,100,'Slows targets in Area of Effect by 56.0%',0,2),
(82628,170030,9,100,'Stifles targets in Area of Effect',0,3),
(82629,170030,9,100,'If Target is not Epic',1,4),
(82630,170030,9,100,'10% chance to dispel when target receives hostile action',0,5),
(82631,170030,9,100,'10% chance to dispel when target takes damage',0,6),
(82632,170031,1,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(82633,170031,1,100,'Decreases Threat to targets in Area of Effect by 10,844 ',0,1),
(82634,170031,1,100,'Slows targets in Area of Effect by 31.5%',0,2),
(82635,170031,1,100,'Stifles targets in Area of Effect',0,3),
(82636,170031,1,100,'If Target is not Epic',1,4),
(82637,170031,1,100,'10% chance to dispel when target receives hostile action',0,5),
(82638,170031,1,100,'10% chance to dispel when target takes damage',0,6),
(82639,170031,2,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(82640,170031,2,100,'Decreases Threat to targets in Area of Effect by 11,447 ',0,1),
(82641,170031,2,100,'Slows targets in Area of Effect by 33.2%',0,2),
(82642,170031,2,100,'Stifles targets in Area of Effect',0,3),
(82643,170031,2,100,'If Target is not Epic',1,4),
(82644,170031,2,100,'10% chance to dispel when target receives hostile action',0,5),
(82645,170031,2,100,'10% chance to dispel when target takes damage',0,6),
(82646,170031,3,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(82647,170031,3,100,'Decreases Threat to targets in Area of Effect by 12,050 ',0,1),
(82648,170031,3,100,'Slows targets in Area of Effect by 35.0%',0,2),
(82649,170031,3,100,'Stifles targets in Area of Effect',0,3),
(82650,170031,3,100,'If Target is not Epic',1,4),
(82651,170031,3,100,'10% chance to dispel when target receives hostile action',0,5),
(82652,170031,3,100,'10% chance to dispel when target takes damage',0,6),
(82653,170031,4,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(82654,170031,4,100,'Decreases Threat to targets in Area of Effect by 13,255 ',0,1),
(82655,170031,4,100,'Slows targets in Area of Effect by 38.5%',0,2),
(82656,170031,4,100,'Stifles targets in Area of Effect',0,3),
(82657,170031,4,100,'If Target is not Epic',1,4),
(82658,170031,4,100,'10% chance to dispel when target receives hostile action',0,5),
(82659,170031,4,100,'10% chance to dispel when target takes damage',0,6),
(82660,170031,5,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(82661,170031,5,100,'Decreases Threat to targets in Area of Effect by 14,460 ',0,1),
(82662,170031,5,100,'Slows targets in Area of Effect by 42.0%',0,2),
(82663,170031,5,100,'Stifles targets in Area of Effect',0,3),
(82664,170031,5,100,'If Target is not Epic',1,4),
(82665,170031,5,100,'10% chance to dispel when target receives hostile action',0,5),
(82666,170031,5,100,'10% chance to dispel when target takes damage',0,6),
(82667,170031,7,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(82668,170031,7,100,'Decreases Threat to targets in Area of Effect by 18,556 ',0,1),
(82669,170031,7,100,'Slows targets in Area of Effect by 53.9%',0,2),
(82670,170031,7,100,'Stifles targets in Area of Effect',0,3),
(82671,170031,7,100,'If Target is not Epic',1,4),
(82672,170031,7,100,'10% chance to dispel when target receives hostile action',0,5),
(82673,170031,7,100,'10% chance to dispel when target takes damage',0,6),
(82674,170031,9,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(82675,170031,9,100,'Decreases Threat to targets in Area of Effect by 19,280 ',0,1),
(82676,170031,9,100,'Slows targets in Area of Effect by 56.0%',0,2),
(82677,170031,9,100,'Stifles targets in Area of Effect',0,3),
(82678,170031,9,100,'If Target is not Epic',1,4),
(82679,170031,9,100,'10% chance to dispel when target receives hostile action',0,5),
(82680,170031,9,100,'10% chance to dispel when target takes damage',0,6),
(82681,170032,1,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(82682,170032,1,100,'Decreases Threat to targets in Area of Effect by 13,094 ',0,1),
(82683,170032,1,100,'Slows targets in Area of Effect by 31.5%',0,2),
(82684,170032,1,100,'Stifles targets in Area of Effect',0,3),
(82685,170032,1,100,'If Target is not Epic',1,4),
(82686,170032,1,100,'10% chance to dispel when target receives hostile action',0,5),
(82687,170032,1,100,'10% chance to dispel when target takes damage',0,6),
(82688,170032,4,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(82689,170032,4,100,'Decreases Threat to targets in Area of Effect by 16,005 ',0,1),
(82690,170032,4,100,'Slows targets in Area of Effect by 38.5%',0,2),
(82691,170032,4,100,'Stifles targets in Area of Effect',0,3),
(82692,170032,4,100,'If Target is not Epic',1,4),
(82693,170032,4,100,'10% chance to dispel when target receives hostile action',0,5),
(82694,170032,4,100,'10% chance to dispel when target takes damage',0,6),
(82695,170032,5,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(82696,170032,5,100,'Decreases Threat to targets in Area of Effect by 17,460 ',0,1),
(82697,170032,5,100,'Slows targets in Area of Effect by 42.0%',0,2),
(82698,170032,5,100,'Stifles targets in Area of Effect',0,3),
(82699,170032,5,100,'If Target is not Epic',1,4),
(82700,170032,5,100,'10% chance to dispel when target receives hostile action',0,5),
(82701,170032,5,100,'10% chance to dispel when target takes damage',0,6),
(82702,170032,7,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(82703,170032,7,100,'Decreases Threat to targets in Area of Effect by 22,406 ',0,1),
(82704,170032,7,100,'Slows targets in Area of Effect by 53.9%',0,2),
(82705,170032,7,100,'Stifles targets in Area of Effect',0,3),
(82706,170032,7,100,'If Target is not Epic',1,4),
(82707,170032,7,100,'10% chance to dispel when target receives hostile action',0,5),
(82708,170032,7,100,'10% chance to dispel when target takes damage',0,6),
(82709,170032,9,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(82710,170032,9,100,'Decreases Threat to targets in Area of Effect by 23,280 ',0,1),
(82711,170032,9,100,'Slows targets in Area of Effect by 56.0%',0,2),
(82712,170032,9,100,'Stifles targets in Area of Effect',0,3),
(82713,170032,9,100,'If Target is not Epic',1,4),
(82714,170032,9,100,'10% chance to dispel when target receives hostile action',0,5),
(82715,170032,9,100,'10% chance to dispel when target takes damage',0,6),
(82716,170033,1,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(82717,170033,1,100,'Decreases Threat to targets in Area of Effect by 15,344 ',0,1),
(82718,170033,1,100,'Slows targets in Area of Effect by 31.5%',0,2),
(82719,170033,1,100,'Stifles targets in Area of Effect',0,3),
(82720,170033,1,100,'If Target is not Epic',1,4),
(82721,170033,1,100,'10% chance to dispel when target receives hostile action',0,5),
(82722,170033,1,100,'10% chance to dispel when target takes damage',0,6),
(82723,170033,4,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(82724,170033,4,100,'Decreases Threat to targets in Area of Effect by 18,755 ',0,1),
(82725,170033,4,100,'Slows targets in Area of Effect by 38.5%',0,2),
(82726,170033,4,100,'Stifles targets in Area of Effect',0,3),
(82727,170033,4,100,'If Target is not Epic',1,4),
(82728,170033,4,100,'10% chance to dispel when target receives hostile action',0,5),
(82729,170033,4,100,'10% chance to dispel when target takes damage',0,6),
(82730,170033,5,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(82731,170033,5,100,'Decreases Threat to targets in Area of Effect by 20,460 ',0,1),
(82732,170033,5,100,'Slows targets in Area of Effect by 42.0%',0,2),
(82733,170033,5,100,'Stifles targets in Area of Effect',0,3),
(82734,170033,5,100,'If Target is not Epic',1,4),
(82735,170033,5,100,'10% chance to dispel when target receives hostile action',0,5),
(82736,170033,5,100,'10% chance to dispel when target takes damage',0,6),
(82737,170033,7,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(82738,170033,7,100,'Decreases Threat to targets in Area of Effect by 26,256 ',0,1),
(82739,170033,7,100,'Slows targets in Area of Effect by 53.9%',0,2),
(82740,170033,7,100,'Stifles targets in Area of Effect',0,3),
(82741,170033,7,100,'If Target is not Epic',1,4),
(82742,170033,7,100,'10% chance to dispel when target receives hostile action',0,5),
(82743,170033,7,100,'10% chance to dispel when target takes damage',0,6),
(82744,170033,9,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(82745,170033,9,100,'Decreases Threat to targets in Area of Effect by 27,280 ',0,1),
(82746,170033,9,100,'Slows targets in Area of Effect by 56.0%',0,2),
(82747,170033,9,100,'Stifles targets in Area of Effect',0,3),
(82748,170033,9,100,'If Target is not Epic',1,4),
(82749,170033,9,100,'10% chance to dispel when target receives hostile action',0,5),
(82750,170033,9,100,'10% chance to dispel when target takes damage',0,6),
(82751,180001,1,100,'Heals group members (AE) for 97 - 119',0,0),
(82753,180001,2,100,'Heals group members (AE) for 103 - 125',0,0),
(82755,180001,3,100,'Heals group members (AE) for 108 - 132',0,0),
(82757,180001,4,100,'Heals group members (AE) for 119 - 145',0,0),
(82759,180001,5,100,'Heals group members (AE) for 130 - 158',0,0),
(82761,180001,7,100,'Heals group members (AE) for 166 - 203',0,0),
(82763,180001,9,100,'Heals group members (AE) for 173 - 211',0,0),
(82765,360076,1,100,'1% chance to apply Knockdown.  Lasts for 1.5 seconds.',0,0),
(82766,360076,1,100,'Throws target back',1,1),
(82767,360076,1,100,'Blurs vision of target',1,2),
(82768,360076,1,100,'Stuns target',1,3),
(82769,360076,1,100,'Does not affect Epic targets',1,4),
(82770,360076,1,100,'Interrupts target encounter',0,5),
(82771,360076,1,100,'Blurs vision of target encounter',0,6),
(82772,360076,2,100,'2% chance to apply Knockdown.  Lasts for 1.5 seconds.',0,0),
(82773,360076,2,100,'Throws target back',1,1),
(82774,360076,2,100,'Blurs vision of target',1,2),
(82775,360076,2,100,'Stuns target',1,3),
(82776,360076,2,100,'Does not affect Epic targets',1,4),
(82777,360076,2,100,'Interrupts target encounter',0,5),
(82778,360076,2,100,'Blurs vision of target encounter',0,6),
(82779,360076,3,100,'3% chance to apply Knockdown.  Lasts for 1.5 seconds.',0,0),
(82780,360076,3,100,'Throws target back',1,1),
(82781,360076,3,100,'Blurs vision of target',1,2),
(82782,360076,3,100,'Stuns target',1,3),
(82783,360076,3,100,'Does not affect Epic targets',1,4),
(82784,360076,3,100,'Interrupts target encounter',0,5),
(82785,360076,3,100,'Blurs vision of target encounter',0,6),
(82786,360076,4,100,'4% chance to apply Knockdown.  Lasts for 1.5 seconds.',0,0),
(82787,360076,4,100,'Throws target back',1,1),
(82788,360076,4,100,'Blurs vision of target',1,2),
(82789,360076,4,100,'Stuns target',1,3),
(82790,360076,4,100,'Does not affect Epic targets',1,4),
(82791,360076,4,100,'Interrupts target encounter',0,5),
(82792,360076,4,100,'Blurs vision of target encounter',0,6),
(82793,360076,5,100,'5% chance to apply Knockdown.  Lasts for 1.5 seconds.',0,0),
(82794,360076,5,100,'Throws target back',1,1),
(82795,360076,5,100,'Blurs vision of target',1,2),
(82796,360076,5,100,'Stuns target',1,3),
(82797,360076,5,100,'Does not affect Epic targets',1,4),
(82798,360076,5,100,'Interrupts target encounter',0,5),
(82799,360076,5,100,'Blurs vision of target encounter',0,6),
(82800,360076,7,100,'7% chance to apply Knockdown.  Lasts for 1.5 seconds.',0,0),
(82801,360076,7,100,'Throws target back',1,1),
(82802,360076,7,100,'Blurs vision of target',1,2),
(82803,360076,7,100,'Stuns target',1,3),
(82804,360076,7,100,'Does not affect Epic targets',1,4),
(82805,360076,7,100,'Interrupts target encounter',0,5),
(82806,360076,7,100,'Blurs vision of target encounter',0,6),
(82807,360076,9,100,'9% chance to apply Knockdown.  Lasts for 1.5 seconds.',0,0),
(82808,360076,9,100,'Throws target back',1,1),
(82809,360076,9,100,'Blurs vision of target',1,2),
(82810,360076,9,100,'Stuns target',1,3),
(82811,360076,9,100,'Does not affect Epic targets',1,4),
(82812,360076,9,100,'Interrupts target encounter',0,5),
(82813,360076,9,100,'Blurs vision of target encounter',0,6),
(82814,360077,1,100,'6% chance to apply Knockdown.  Lasts for 1.5 seconds.',0,0),
(82815,360077,1,100,'Throws target back',1,1),
(82816,360077,1,100,'Blurs vision of target',1,2),
(82817,360077,1,100,'Stuns target',1,3),
(82818,360077,1,100,'Does not affect Epic targets',1,4),
(82819,360077,1,100,'Interrupts target encounter',0,5),
(82820,360077,1,100,'Blurs vision of target encounter',0,6),
(82821,360077,2,100,'7% chance to apply Knockdown.  Lasts for 1.5 seconds.',0,0),
(82822,360077,2,100,'Throws target back',1,1),
(82823,360077,2,100,'Blurs vision of target',1,2),
(82824,360077,2,100,'Stuns target',1,3),
(82825,360077,2,100,'Does not affect Epic targets',1,4),
(82826,360077,2,100,'Interrupts target encounter',0,5),
(82827,360077,2,100,'Blurs vision of target encounter',0,6),
(82828,360077,3,100,'8% chance to apply Knockdown.  Lasts for 1.5 seconds.',0,0),
(82829,360077,3,100,'Throws target back',1,1),
(82830,360077,3,100,'Blurs vision of target',1,2),
(82831,360077,3,100,'Stuns target',1,3),
(82832,360077,3,100,'Does not affect Epic targets',1,4),
(82833,360077,3,100,'Interrupts target encounter',0,5),
(82834,360077,3,100,'Blurs vision of target encounter',0,6),
(82835,360077,4,100,'9% chance to apply Knockdown.  Lasts for 1.5 seconds.',0,0),
(82836,360077,4,100,'Throws target back',1,1),
(82837,360077,4,100,'Blurs vision of target',1,2),
(82838,360077,4,100,'Stuns target',1,3),
(82839,360077,4,100,'Does not affect Epic targets',1,4),
(82840,360077,4,100,'Interrupts target encounter',0,5),
(82841,360077,4,100,'Blurs vision of target encounter',0,6),
(82842,360077,5,100,'10% chance to apply Knockdown.  Lasts for 1.5 seconds.',0,0),
(82843,360077,5,100,'Throws target back',1,1),
(82844,360077,5,100,'Blurs vision of target',1,2),
(82845,360077,5,100,'Stuns target',1,3),
(82846,360077,5,100,'Does not affect Epic targets',1,4),
(82847,360077,5,100,'Interrupts target encounter',0,5),
(82848,360077,5,100,'Blurs vision of target encounter',0,6),
(82849,360077,7,100,'12% chance to apply Knockdown.  Lasts for 1.5 seconds.',0,0),
(82850,360077,7,100,'Throws target back',1,1),
(82851,360077,7,100,'Blurs vision of target',1,2),
(82852,360077,7,100,'Stuns target',1,3),
(82853,360077,7,100,'Does not affect Epic targets',1,4),
(82854,360077,7,100,'Interrupts target encounter',0,5),
(82855,360077,7,100,'Blurs vision of target encounter',0,6),
(82856,360077,9,100,'14% chance to apply Knockdown.  Lasts for 1.5 seconds.',0,0),
(82857,360077,9,100,'Throws target back',1,1),
(82858,360077,9,100,'Blurs vision of target',1,2),
(82859,360077,9,100,'Stuns target',1,3),
(82860,360077,9,100,'Does not affect Epic targets',1,4),
(82861,360077,9,100,'Interrupts target encounter',0,5),
(82862,360077,9,100,'Blurs vision of target encounter',0,6),
(82863,360078,1,100,'11% chance to apply Knockdown.  Lasts for 1.5 seconds.',0,0),
(82864,360078,1,100,'Throws target back',1,1),
(82865,360078,1,100,'Blurs vision of target',1,2),
(82866,360078,1,100,'Stuns target',1,3),
(82867,360078,1,100,'Does not affect Epic targets',1,4),
(82868,360078,1,100,'Interrupts target encounter',0,5),
(82869,360078,1,100,'Blurs vision of target encounter',0,6),
(82870,360078,2,100,'12% chance to apply Knockdown.  Lasts for 1.5 seconds.',0,0),
(82871,360078,2,100,'Throws target back',1,1),
(82872,360078,2,100,'Blurs vision of target',1,2),
(82873,360078,2,100,'Stuns target',1,3),
(82874,360078,2,100,'Does not affect Epic targets',1,4),
(82875,360078,2,100,'Interrupts target encounter',0,5),
(82876,360078,2,100,'Blurs vision of target encounter',0,6),
(82877,360078,3,100,'13% chance to apply Knockdown.  Lasts for 1.5 seconds.',0,0),
(82878,360078,3,100,'Throws target back',1,1),
(82879,360078,3,100,'Blurs vision of target',1,2),
(82880,360078,3,100,'Stuns target',1,3),
(82881,360078,3,100,'Does not affect Epic targets',1,4),
(82882,360078,3,100,'Interrupts target encounter',0,5),
(82883,360078,3,100,'Blurs vision of target encounter',0,6),
(82884,360078,4,100,'14% chance to apply Knockdown.  Lasts for 1.5 seconds.',0,0),
(82885,360078,4,100,'Throws target back',1,1),
(82886,360078,4,100,'Blurs vision of target',1,2),
(82887,360078,4,100,'Stuns target',1,3),
(82888,360078,4,100,'Does not affect Epic targets',1,4),
(82889,360078,4,100,'Interrupts target encounter',0,5),
(82890,360078,4,100,'Blurs vision of target encounter',0,6),
(82891,360078,5,100,'15% chance to apply Knockdown.  Lasts for 1.5 seconds.',0,0),
(82892,360078,5,100,'Throws target back',1,1),
(82893,360078,5,100,'Blurs vision of target',1,2),
(82894,360078,5,100,'Stuns target',1,3),
(82895,360078,5,100,'Does not affect Epic targets',1,4),
(82896,360078,5,100,'Interrupts target encounter',0,5),
(82897,360078,5,100,'Blurs vision of target encounter',0,6),
(82898,360078,7,100,'17% chance to apply Knockdown.  Lasts for 1.5 seconds.',0,0),
(82899,360078,7,100,'Throws target back',1,1),
(82900,360078,7,100,'Blurs vision of target',1,2),
(82901,360078,7,100,'Stuns target',1,3),
(82902,360078,7,100,'Does not affect Epic targets',1,4),
(82903,360078,7,100,'Interrupts target encounter',0,5),
(82904,360078,7,100,'Blurs vision of target encounter',0,6),
(82905,360078,9,100,'19% chance to apply Knockdown.  Lasts for 1.5 seconds.',0,0),
(82906,360078,9,100,'Throws target back',1,1),
(82907,360078,9,100,'Blurs vision of target',1,2),
(82908,360078,9,100,'Stuns target',1,3),
(82909,360078,9,100,'Does not affect Epic targets',1,4),
(82910,360078,9,100,'Interrupts target encounter',0,5),
(82911,360078,9,100,'Blurs vision of target encounter',0,6),
(82912,250002,1,100,'Increases Combat Power Regen of group members (AE) by 5.6',0,0),
(82913,270020,1,100,'Increases Combat Power Regen of group members (AE) by 5.6',0,0),
(82914,270020,2,100,'Increases Combat Power Regen of group members (AE) by 5.9',0,0),
(82915,250002,2,100,'Increases Combat Power Regen of group members (AE) by 5.9',0,0),
(82916,250002,3,100,'Increases Combat Power Regen of group members (AE) by 6.2',0,0),
(82917,270020,3,100,'Increases Combat Power Regen of group members (AE) by 6.2',0,0),
(82918,250002,4,100,'Increases In-Combat Power Regeneration of group members (AE) by 6.8',0,0),
(82919,270020,4,100,'Increases Combat Power Regen of group members (AE) by 6.8',0,0),
(82920,270020,5,100,'Increases Combat Power Regen of group members (AE) by 7.4',0,0),
(82921,250002,5,100,'Increases Combat Power Regen of group members (AE) by 7.4',0,0),
(82922,270020,7,100,'Increases Combat Power Regen of group members (AE) by 9.5',0,0),
(82923,250002,7,100,'Increases Combat Power Regen of group members (AE) by 9.5',0,0),
(82924,250002,9,100,'Increases Combat Power Regen of group members (AE) by 9.9',0,0),
(82925,270020,9,100,'Increases Combat Power Regen of group members (AE) by 9.9',0,0),
(82926,270021,1,100,'Increases Combat Power Regen of group members (AE) by 11.3',0,0),
(82927,270021,2,100,'Increases Combat Power Regen of group members (AE) by 11.9',0,0),
(82928,270021,3,100,'Increases Combat Power Regen of group members (AE) by 12.5',0,0),
(82929,270021,4,100,'Increases Combat Power Regen of group members (AE) by 13.8',0,0),
(82930,270021,5,100,'Increases Combat Power Regen of group members (AE) by 15.0',0,0),
(82931,270021,7,100,'Increases Combat Power Regen of group members (AE) by 19.3',0,0),
(82932,270021,9,100,'Increases Combat Power Regen of group members (AE) by 20.0',0,0),
(82933,270021,10,100,'Increases Combat Power Regen of group members (AE) by 21.0',0,0),
(82934,270022,1,100,'Increases Combat Power Regen of group members (AE) by 17.5',0,0),
(82935,270022,2,100,'Increases Combat Power Regen of group members (AE) by 18.5',0,0),
(82936,270022,3,100,'Increases Combat Power Regen of group members (AE) by 19.5',0,0),
(82937,270022,4,100,'Increases Combat Power Regen of group members (AE) by 21.5',0,0),
(82938,270022,5,100,'Increases Combat Power Regen of group members (AE) by 23.4',0,0),
(82939,270022,7,100,'Increases Combat Power Regen of group members (AE) by 30.0',0,0),
(82940,270022,9,100,'Increases Combat Power Regen of group members (AE) by 31.2',0,0),
(82941,270023,1,100,'Increases Combat Power Regen of group members (AE) by 23.8',0,0),
(82942,270023,2,100,'Increases Combat Power Regen of group members (AE) by 25.2',0,0),
(82943,270023,3,100,'Increases Combat Power Regen of group members (AE) by 26.5',0,0),
(82944,270023,4,100,'Increases Combat Power Regen of group members (AE) by 29.2',0,0),
(82945,270023,5,100,'Increases Combat Power Regen of group members (AE) by 31.8',0,0),
(82946,270023,7,100,'Increases Combat Power Regen of group members (AE) by 40.8',0,0),
(82947,270023,9,100,'Increases Combat Power Regen of group members (AE) by 42.4',0,0),
(82948,270023,10,100,'Increases Combat Power Regen of group members (AE) by 44.5',0,0),
(82949,270024,1,100,'Increases Combat Power Regen of group members (AE) by 29.8',0,0),
(82950,270024,2,100,'Increases Combat Power Regen of group members (AE) by 31.4',0,0),
(82951,270024,3,100,'Increases Combat Power Regen of group members (AE) by 33.1',0,0),
(82952,270024,4,100,'Increases Combat Power Regen of group members (AE) by 36.4',0,0),
(82953,270024,5,100,'Increases Combat Power Regen of group members (AE) by 39.7',0,0),
(82954,270024,7,100,'Increases Combat Power Regen of group members (AE) by 51.0',0,0),
(82955,270024,9,100,'Increases In-Combat Power Regeneration of group members (AE) by 53.0',0,0),
(82956,270025,1,100,'Increases Combat Power Regen of group members (AE) by 35.5',0,0),
(82957,270025,4,100,'Increases Combat Power Regen of group members (AE) by 43.5',0,0),
(82958,270025,5,100,'Increases Combat Power Regen of group members (AE) by 47.4',0,0),
(82959,270025,7,100,'Increases Combat Power Regen of group members (AE) by 60.8',0,0),
(82960,270025,9,100,'Increases Combat Power Regen of group members (AE) by 63.2',0,0),
(82961,270026,1,100,'Increases Combat Power Regen of group members (AE) by 40.0',0,0),
(82962,270026,4,100,'Increases Combat Power Regen of group members (AE) by 49.0',0,0),
(82963,270026,5,100,'Increases Combat Power Regen of group members (AE) by 53.4',0,0),
(82964,270026,7,100,'Increases Combat Power Regen of group members (AE) by 68.5',0,0),
(82965,270026,9,100,'Increases Combat Power Regen of group members (AE) by 71.2',0,0),
(82966,360079,1,100,'Charms target',0,0),
(82967,360079,1,100,'Certain enemies cannot be charmed',0,1),
(82968,360079,1,100,'Does not affect Epic targets',0,2),
(82969,360079,1,100,'Does not affect Epic targets',0,3),
(82970,360079,2,100,'Charms target',0,0),
(82971,360079,2,100,'Certain enemies cannot be charmed',0,1),
(82972,360079,2,100,'Does not affect Epic targets',0,2),
(82973,360079,2,100,'Does not affect Epic targets',0,3),
(82974,360079,3,100,'Charms target',0,0),
(82975,360079,3,100,'Certain enemies cannot be charmed',0,1),
(82976,360079,3,100,'Does not affect Epic targets',0,2),
(82977,360079,3,100,'Does not affect Epic targets',0,3),
(82978,360079,4,100,'Charms target',0,0),
(82979,360079,4,100,'Certain enemies cannot be charmed',0,1),
(82980,360079,4,100,'Does not affect Epic targets',0,2),
(82981,360079,4,100,'Does not affect Epic targets',0,3),
(82982,360079,5,100,'Charms target',0,0),
(82983,360079,5,100,'Certain enemies cannot be charmed',0,1),
(82984,360079,5,100,'Does not affect Epic targets',0,2),
(82985,360079,5,100,'Does not affect Epic targets',0,3),
(82986,360079,7,100,'Charms target',0,0),
(82987,360079,7,100,'Certain enemies cannot be charmed',0,1),
(82988,360079,7,100,'Does not affect Epic targets',0,2),
(82989,360079,7,100,'Does not affect Epic targets',0,3),
(82990,360079,9,100,'Charms target',0,0),
(82991,360079,9,100,'Certain enemies cannot be charmed',0,1),
(82992,360079,9,100,'Does not affect Epic targets',0,2),
(82993,360079,9,100,'Does not affect Epic targets',0,3),
(82994,360080,1,100,'Charms target',0,0),
(82995,360080,1,100,'Certain enemies cannot be charmed',0,1),
(82996,360080,1,100,'Does not affect Epic targets',0,2),
(82997,360080,1,100,'Does not affect Epic targets',0,3),
(82998,360080,2,100,'Charms target',0,0),
(82999,360080,2,100,'Certain enemies cannot be charmed',0,1),
(83000,360080,2,100,'Does not affect Epic targets',0,2),
(83001,360080,2,100,'Does not affect Epic targets',0,3),
(83002,360080,3,100,'Charms target',0,0),
(83003,360080,3,100,'Certain enemies cannot be charmed',0,1),
(83004,360080,3,100,'Does not affect Epic targets',0,2),
(83005,360080,3,100,'Does not affect Epic targets',0,3),
(83006,360080,4,100,'Charms target',0,0),
(83007,360080,4,100,'Certain enemies cannot be charmed',0,1),
(83008,360080,4,100,'Does not affect Epic targets',0,2),
(83009,360080,4,100,'Does not affect Epic targets',0,3),
(83010,360080,5,100,'Charms target',0,0),
(83011,360080,5,100,'Certain enemies cannot be charmed',0,1),
(83012,360080,5,100,'Does not affect Epic targets',0,2),
(83013,360080,5,100,'Does not affect Epic targets',0,3),
(83014,360080,7,100,'Charms target',0,0),
(83015,360080,7,100,'Certain enemies cannot be charmed',0,1),
(83016,360080,7,100,'Does not affect Epic targets',0,2),
(83017,360080,7,100,'Does not affect Epic targets',0,3),
(83018,360080,9,100,'Charms target',0,0),
(83019,360080,9,100,'Certain enemies cannot be charmed',0,1),
(83020,360080,9,100,'Does not affect Epic targets',0,2),
(83021,360080,9,100,'Does not affect Epic targets',0,3),
(83022,360081,1,100,'Charms target',0,0),
(83023,360081,1,100,'Certain enemies cannot be charmed',0,1),
(83024,360081,1,100,'Does not affect Epic targets',0,2),
(83025,360081,1,100,'Does not affect Epic targets',0,3),
(83026,360081,2,100,'Charms target',0,0),
(83027,360081,2,100,'Certain enemies cannot be charmed',0,1),
(83028,360081,2,100,'Does not affect Epic targets',0,2),
(83029,360081,2,100,'Does not affect Epic targets',0,3),
(83030,360081,3,100,'Charms target',0,0),
(83031,360081,3,100,'Certain enemies cannot be charmed',0,1),
(83032,360081,3,100,'Does not affect Epic targets',0,2),
(83033,360081,3,100,'Does not affect Epic targets',0,3),
(83034,360081,4,100,'Charms target',0,0),
(83035,360081,4,100,'Certain enemies cannot be charmed',0,1),
(83036,360081,4,100,'Does not affect Epic targets',0,2),
(83037,360081,4,100,'Does not affect Epic targets',0,3),
(83038,360081,5,100,'Charms target',0,0),
(83039,360081,5,100,'Certain enemies cannot be charmed',0,1),
(83040,360081,5,100,'Does not affect Epic targets',0,2),
(83041,360081,5,100,'Does not affect Epic targets',0,3),
(83042,360081,7,100,'Charms target',0,0),
(83043,360081,7,100,'Certain enemies cannot be charmed',0,1),
(83044,360081,7,100,'Does not affect Epic targets',0,2),
(83045,360081,7,100,'Does not affect Epic targets',0,3),
(83046,360081,9,100,'Charms target',0,0),
(83047,360081,9,100,'Certain enemies cannot be charmed',0,1),
(83048,360081,9,100,'Does not affect Epic targets',0,2),
(83049,360081,9,100,'Does not affect Epic targets',0,3),
(83050,360082,1,100,'Charms target',0,0),
(83051,360082,1,100,'If outside an arena',0,1),
(83052,360082,1,100,'Certain enemies cannot be charmed',0,2),
(83053,360082,1,100,'Does not affect Epic targets',0,3),
(83054,360082,2,100,'Charms target',0,0),
(83055,360082,2,100,'If outside an arena',0,1),
(83056,360082,2,100,'Certain enemies cannot be charmed',0,2),
(83057,360082,2,100,'Does not affect Epic targets',0,3),
(83058,360082,3,100,'Charms target',0,0),
(83059,360082,3,100,'If outside an arena',0,1),
(83060,360082,3,100,'Certain enemies cannot be charmed',0,2),
(83061,360082,3,100,'Does not affect Epic targets',0,3),
(83062,360082,4,100,'Charms target',0,0),
(83063,360082,4,100,'If outside an arena',0,1),
(83064,360082,4,100,'Certain enemies cannot be charmed',0,2),
(83065,360082,4,100,'Does not affect Epic targets',0,3),
(83066,360082,5,100,'Charms target',0,0),
(83067,360082,5,100,'If outside an arena',0,1),
(83068,360082,5,100,'Certain enemies cannot be charmed',0,2),
(83069,360082,5,100,'Does not affect Epic targets',0,3),
(83070,360082,7,100,'Charms target',0,0),
(83071,360082,7,100,'If outside an arena',0,1),
(83072,360082,7,100,'Certain enemies cannot be charmed',0,2),
(83073,360082,7,100,'Does not affect Epic targets',0,3),
(83074,360082,9,100,'Charms target',0,0),
(83075,360082,9,100,'If outside an arena',0,1),
(83076,360082,9,100,'Certain enemies cannot be charmed',0,2),
(83077,360082,9,100,'Does not affect Epic targets',0,3),
(83078,360083,1,100,'Charms target',0,0),
(83079,360083,1,100,'If outside an arena',0,1),
(83080,360083,1,100,'Certain enemies cannot be charmed',0,2),
(83081,360083,1,100,'Does not affect Epic targets',0,3),
(83082,360083,2,100,'Charms target',0,0),
(83083,360083,2,100,'If outside an arena',0,1),
(83084,360083,2,100,'Certain enemies cannot be charmed',0,2),
(83085,360083,2,100,'Does not affect Epic targets',0,3),
(83086,360083,3,100,'Charms target',0,0),
(83087,360083,3,100,'If outside an arena',0,1),
(83088,360083,3,100,'Certain enemies cannot be charmed',0,2),
(83089,360083,3,100,'Does not affect Epic targets',0,3),
(83090,360083,4,100,'Charms target',0,0),
(83091,360083,4,100,'If outside an arena',0,1),
(83092,360083,4,100,'Certain enemies cannot be charmed',0,2),
(83093,360083,4,100,'Does not affect Epic targets',0,3),
(83094,360083,5,100,'Charms target',0,0),
(83095,360083,5,100,'If outside an arena',0,1),
(83096,360083,5,100,'Certain enemies cannot be charmed',0,2),
(83097,360083,5,100,'Does not affect Epic targets',0,3),
(83098,360083,7,100,'Charms target',0,0),
(83099,360083,7,100,'If outside an arena',0,1),
(83100,360083,7,100,'Certain enemies cannot be charmed',0,2),
(83101,360083,7,100,'Does not affect Epic targets',0,3),
(83102,360083,9,100,'Charms target',0,0),
(83103,360083,9,100,'If outside an arena',0,1),
(83104,360083,9,100,'Certain enemies cannot be charmed',0,2),
(83105,360083,9,100,'Does not affect Epic targets',0,3),
(83106,360084,1,100,'Charms target',0,0),
(83107,360084,1,100,'If outside an arena',0,1),
(83108,360084,1,100,'Certain enemies cannot be charmed',0,2),
(83109,360084,1,100,'Does not affect Epic targets',0,3),
(83110,360084,4,100,'Charms target',0,0),
(83111,360084,4,100,'If outside an arena',0,1),
(83112,360084,4,100,'Certain enemies cannot be charmed',0,2),
(83113,360084,4,100,'Does not affect Epic targets',0,3),
(83114,360084,5,100,'Charms target',0,0),
(83115,360084,5,100,'If outside an arena',0,1),
(83116,360084,5,100,'Certain enemies cannot be charmed',0,2),
(83117,360084,5,100,'Does not affect Epic targets',0,3),
(83118,360084,7,100,'Charms target',0,0),
(83119,360084,7,100,'If outside an arena',0,1),
(83120,360084,7,100,'Certain enemies cannot be charmed',0,2),
(83121,360084,7,100,'Does not affect Epic targets',0,3),
(83122,360084,9,100,'Charms target',0,0),
(83123,360084,9,100,'If outside an arena',0,1),
(83124,360084,9,100,'Certain enemies cannot be charmed',0,2),
(83125,360084,9,100,'Does not affect Epic targets',0,3),
(83126,360085,1,100,'Charms target',0,0),
(83127,360085,1,100,'If outside an arena',0,1),
(83128,360085,1,100,'Certain enemies cannot be charmed',0,2),
(83129,360085,1,100,'Does not affect Epic targets',0,3),
(83130,360085,4,100,'Charms target',0,0),
(83131,360085,4,100,'If outside an arena',0,1),
(83132,360085,4,100,'Certain enemies cannot be charmed',0,2),
(83133,360085,4,100,'Does not affect Epic targets',0,3),
(83134,360085,5,100,'Charms target',0,0),
(83135,360085,5,100,'If outside an arena',0,1),
(83136,360085,5,100,'Certain enemies cannot be charmed',0,2),
(83137,360085,5,100,'Does not affect Epic targets',0,3),
(83138,360085,7,100,'Charms target',0,0),
(83139,360085,7,100,'If outside an arena',0,1),
(83140,360085,7,100,'Certain enemies cannot be charmed',0,2),
(83141,360085,7,100,'Does not affect Epic targets',0,3),
(83142,360085,9,100,'Charms target',0,0),
(83143,360085,9,100,'If outside an arena',0,1),
(83144,360085,9,100,'Certain enemies cannot be charmed',0,2),
(83145,360085,9,100,'Does not affect Epic targets',0,3),
(83146,350006,1,100,'Increases Combat Power Regen of group members (AE) by 3.8',0,0),
(83147,350006,2,100,'Increases Combat Power Regen of group members (AE) by 4.0',0,0),
(83148,350006,3,100,'Increases Combat Power Regen of group members (AE) by 4.2',0,0),
(83149,350006,4,100,'Increases Combat Power Regen of group members (AE) by 4.6',0,0),
(83150,350006,5,100,'Increases Combat Power Regen of group members (AE) by 5.0',0,0),
(83151,350006,7,100,'Increases Combat Power Regen of group members (AE) by 6.5',0,0),
(83152,350006,9,100,'Increases Combat Power Regen of group members (AE) by 6.7',0,0),
(83153,350006,10,100,'Increases Combat Power Regen of group members (AE) by 7.1',0,0),
(83154,360200,1,100,'Increases Combat Power Regen of group members (AE) by 8.8',0,0),
(83155,360200,2,100,'Increases Combat Power Regen of group members (AE) by 9.3',0,0),
(83156,360200,3,100,'Increases Combat Power Regen of group members (AE) by 9.8',0,0),
(83157,360200,4,100,'Increases Combat Power Regen of group members (AE) by 10.8',0,0),
(83158,360200,5,100,'Increases Combat Power Regen of group members (AE) by 11.8',0,0),
(83159,360200,7,100,'Increases Combat Power Regen of group members (AE) by 15.1',0,0),
(83160,360200,9,100,'Increases Combat Power Regen of group members (AE) by 15.7',0,0),
(83161,350008,1,100,'Increases Combat Power Regen of group members (AE) by 14.8',0,0),
(83162,350008,2,100,'Increases Combat Power Regen of group members (AE) by 15.7',0,0),
(83163,350008,3,100,'Increases Combat Power Regen of group members (AE) by 16.5',0,0),
(83164,350008,4,100,'Increases Combat Power Regen of group members (AE) by 18.1',0,0),
(83165,350008,5,100,'Increases Combat Power Regen of group members (AE) by 19.8',0,0),
(83166,350008,7,100,'Increases Combat Power Regen of group members (AE) by 25.4',0,0),
(83167,350008,9,100,'Increases Combat Power Regen of group members (AE) by 26.4',0,0),
(83168,350008,10,100,'Increases Combat Power Regen of group members (AE) by 27.7',0,0),
(83169,350009,1,100,'Increases Combat Power Regen of group members (AE) by 21.1',0,0),
(83170,350009,2,100,'Increases Combat Power Regen of group members (AE) by 22.3',0,0),
(83171,350009,3,100,'Increases Combat Power Regen of group members (AE) by 23.5',0,0),
(83172,350009,4,100,'Increases Combat Power Regen of group members (AE) by 25.9',0,0),
(83173,350009,5,100,'Increases Combat Power Regen of group members (AE) by 28.2',0,0),
(83174,350009,7,100,'Increases Combat Power Regen of group members (AE) by 36.2',0,0),
(83175,350009,9,100,'Increases Combat Power Regen of group members (AE) by 37.6',0,0),
(83176,350010,1,100,'Increases Combat Power Regen of group members (AE) by 27.4',0,0),
(83177,350010,2,100,'Increases Combat Power Regen of group members (AE) by 29.0',0,0),
(83178,350010,3,100,'Increases Combat Power Regen of group members (AE) by 30.5',0,0),
(83179,350010,4,100,'Increases Combat Power Regen of group members (AE) by 33.5',0,0),
(83180,350010,5,100,'Increases Combat Power Regen of group members (AE) by 36.6',0,0),
(83181,350010,7,100,'Increases Combat Power Regen of group members (AE) by 47.0',0,0),
(83182,350010,9,100,'Increases Combat Power Regen of group members (AE) by 48.8',0,0),
(83183,350011,1,100,'Increases Combat Power Regen of group members (AE) by 33.6',0,0),
(83184,350011,2,100,'Increases Combat Power Regen of group members (AE) by 35.4',0,0),
(83185,350011,3,100,'Increases Combat Power Regen of group members (AE) by 37.3',0,0),
(83186,350011,4,100,'Increases Combat Power Regen of group members (AE) by 41.0',0,0),
(83187,350011,5,100,'Increases Combat Power Regen of group members (AE) by 44.8',0,0),
(83188,350011,7,100,'Increases Combat Power Regen of group members (AE) by 57.4',0,0),
(83189,350011,9,100,'Increases Combat Power Regen of group members (AE) by 59.7',0,0),
(83190,350012,1,100,'Increases Combat Power Regen of group members (AE) by 38.2',0,0),
(83191,350012,4,100,'Increases Combat Power Regen of group members (AE) by 46.7',0,0),
(83192,350012,5,100,'Increases Combat Power Regen of group members (AE) by 51.0',0,0),
(83193,350012,7,100,'Increases Combat Power Regen of group members (AE) by 65.4',0,0),
(83194,350012,9,100,'Increases Combat Power Regen of group members (AE) by 68.0',0,0),
(83195,350013,1,100,'Increases Combat Power Regen of group members (AE) by 42.7',0,0),
(83196,350013,4,100,'Increases Combat Power Regen of group members (AE) by 52.2',0,0),
(83197,350013,5,100,'Increases Combat Power Regen of group members (AE) by 57.0',0,0),
(83198,350013,7,100,'Increases Combat Power Regen of group members (AE) by 73.2',0,0),
(83199,350013,9,100,'Increases Combat Power Regen of group members (AE) by 76.0',0,0),
(83200,440072,1,100,'Dispels 42 levels of any hostile effects on group members (AE)',0,0),
(83201,440072,4,100,'Dispels 52 levels of any hostile effects on group members (AE)',0,0),
(83202,440072,5,100,'Dispels 57 levels of any hostile effects on group members (AE)',0,0),
(83203,440072,7,100,'Dispels 73 levels of any hostile effects on group members (AE)',0,0),
(83204,440072,9,100,'Dispels 76 levels of any hostile effects on group members (AE)',0,0),
(83205,440073,1,100,'Dispels 56 levels of any hostile effects on group members (AE)',0,0),
(83206,440073,4,100,'Dispels 69 levels of any hostile effects on group members (AE)',0,0),
(83207,440073,5,100,'Dispels 75 levels of any hostile effects on group members (AE)',0,0),
(83208,440073,7,100,'Dispels 96 levels of any hostile effects on group members (AE)',0,0),
(83209,440073,9,100,'Dispels 100 levels of any hostile effects on group members (AE)',0,0),
(83210,440073,10,100,'Dispels 105 levels of any hostile effects on group members (AE)',0,0),
(83211,440074,1,100,'Dispels 70 levels of any hostile effects on group members (AE)',0,0),
(83212,440074,4,100,'Dispels 85 levels of any hostile effects on group members (AE)',0,0),
(83213,440074,5,100,'Dispels 93 levels of any hostile effects on group members (AE)',0,0),
(83214,440074,7,100,'Dispels 120 levels of any hostile effects on group members (AE)',0,0),
(83215,440074,9,100,'Dispels 124 levels of any hostile effects on group members (AE)',0,0),
(83216,220002,1,100,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(83217,220002,1,100,'Inflicts 3 - 4 heat damage on target instantly and every second',1,1),
(83218,220002,2,100,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(83219,220002,2,100,'Inflicts 3 - 4 heat damage on target instantly and every second',1,1),
(83220,220002,3,100,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(83221,220002,3,100,'Inflicts 4 heat damage on target instantly and every second',1,1),
(83222,220002,4,100,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(83223,220002,4,100,'Inflicts 4 - 5 heat damage on target instantly and every second',1,1),
(83224,220002,5,100,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(83225,220002,5,100,'Inflicts 4 - 5 heat damage on target instantly and every second',1,1),
(83226,220002,7,100,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(83227,220002,7,100,'Inflicts 6 - 7 heat damage on target instantly and every second',1,1),
(83228,220002,9,100,'On a melee hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(83229,220002,9,100,'Inflicts 6 - 7 heat damage on target instantly and every second',1,1),
(83230,2000346,1,100,'Reduces the power costs of the group''s spells by 1%',0,0),
(83231,2000346,2,100,'Reduces the power costs of the group''s spells by 2%',0,0),
(83232,2000346,3,100,'Reduces the power costs of the group''s spells by 3%',0,0),
(83233,2000346,4,100,'Reduces the power costs of the group''s spells by 4%',0,0),
(83234,2000346,5,100,'Reduces the power costs of the group''s spells by 5%',0,0),
(83235,2000346,6,100,'Reduces the power costs of the group''s spells by 6%',0,0),
(83236,2000346,7,100,'Reduces the power costs of the group''s spells by 7%',0,0),
(83237,2000346,8,100,'Reduces the power costs of the group''s spells by 8%',0,0),
(83238,2000346,9,100,'Reduces the power costs of the group''s spells by 9%',0,0),
(83239,2000346,10,100,'Reduces the power costs of the group''s spells by 10%',0,0),
(83240,370045,1,100,'Increases Haste of group members (AE) by 30.5',0,0),
(83241,370045,1,100,'On a hit this spell will cast Blade Chime on target of attack.  ',0,1),
(83242,370045,1,100,'Inflicts 41 - 68 disease damage on target',1,2),
(83243,370045,2,100,'Increases Haste of group members (AE) by 32.2',0,0),
(83244,370045,2,100,'On a hit this spell will cast Blade Chime on target of attack.  ',0,1),
(83245,370045,2,100,'Inflicts 43 - 72 disease damage on target',1,2),
(83246,370045,3,100,'Increases Haste of group members (AE) by 33.9',0,0),
(83247,370045,3,100,'On a hit this spell will cast Blade Chime on target of attack.  ',0,1),
(83248,370045,3,100,'Inflicts 45 - 75 disease damage on target',1,2),
(83249,370045,4,100,'Increases Haste of group members (AE) by 37.3',0,0),
(83250,370045,4,100,'On a hit this spell will cast Blade Chime on target of attack.  ',0,1),
(83251,370045,4,100,'Inflicts 50 - 83 disease damage on target',1,2),
(83252,370045,5,100,'Increases Haste of group members (AE) by 40.7',0,0),
(83253,370045,5,100,'On a hit this spell will cast Blade Chime on target of attack.  ',0,1),
(83254,370045,5,100,'Inflicts 54 - 91 disease damage on target',1,2),
(83255,370045,7,100,'Increases Haste of group members (AE) by 52.2',0,0),
(83256,370045,7,100,'On a hit this spell will cast Blade Chime on target of attack.  ',0,1),
(83257,370045,7,100,'Inflicts 70 - 116 disease damage on target',1,2),
(83258,370045,9,100,'Increases Haste of group members (AE) by 54.2',0,0),
(83259,370045,9,100,'On a hit this spell will cast Blade Chime on target of attack.  ',0,1),
(83260,370045,9,100,'Inflicts 72 - 121 disease damage on target',1,2),
(83261,370046,1,100,'Increases Haste of group members (AE) by 35.8',0,0),
(83262,370046,1,100,'On a hit this spell will cast Blade Chime on target of attack.  ',0,1),
(83263,370046,1,100,'Inflicts 57 - 96 disease damage on target',1,2),
(83264,370046,2,100,'Increases Haste of group members (AE) by 37.7',0,0),
(83265,370046,2,100,'On a hit this spell will cast Blade Chime on target of attack.  ',0,1),
(83266,370046,2,100,'Inflicts 61 - 101 disease damage on target',1,2),
(83267,370046,3,100,'Increases Haste of group members (AE) by 39.7',0,0),
(83268,370046,3,100,'On a hit this spell will cast Blade Chime on target of attack.  ',0,1),
(83269,370046,3,100,'Inflicts 64 - 107 disease damage on target',1,2),
(83270,370046,4,100,'Increases Haste of group members (AE) by 43.7',0,0),
(83271,370046,4,100,'On a hit this spell will cast Blade Chime on target of attack.  ',0,1),
(83272,370046,4,100,'Inflicts 70 - 117 disease damage on target',1,2),
(83273,370046,5,100,'Increases Haste of group members (AE) by 47.7',0,0),
(83274,370046,5,100,'On a hit this spell will cast Blade Chime on target of attack.  ',0,1),
(83275,370046,5,100,'Inflicts 77 - 128 disease damage on target',1,2),
(83276,370046,7,100,'Increases Haste of group members (AE) by 61.2',0,0),
(83277,370046,7,100,'On a hit this spell will cast Blade Chime on target of attack.  ',0,1),
(83278,370046,7,100,'Inflicts 99 - 165 disease damage on target',1,2),
(83279,370046,9,100,'Increases Attack Speed of group members (AE) by 63.6',0,0),
(83280,370046,9,100,'On a hit this spell will cast Blade Chime on target of attack.  ',0,1),
(83281,370046,9,100,'Inflicts 102 - 171 disease damage on target',1,2),
(83282,370047,1,100,'Increases Haste of group members (AE) by 40.1',0,0),
(83283,370047,1,100,'On a hit this spell will cast Blade Chime on target of attack.  ',0,1),
(83284,370047,1,100,'Inflicts 69 - 116 disease damage on target',1,2),
(83285,370047,4,100,'Increases Haste of group members (AE) by 49.1',0,0),
(83286,370047,4,100,'On a hit this spell will cast Blade Chime on target of attack.  ',0,1),
(83287,370047,4,100,'Inflicts 85 - 142 disease damage on target',1,2),
(83288,370047,5,100,'Increases Haste of group members (AE) by 53.5',0,0),
(83289,370047,5,100,'On a hit this spell will cast Blade Chime on target of attack.  ',0,1),
(83290,370047,5,100,'Inflicts 93 - 155 disease damage on target',1,2),
(83291,370047,7,100,'Increases Haste of group members (AE) by 68.7',0,0),
(83292,370047,7,100,'On a hit this spell will cast Blade Chime on target of attack.  ',0,1),
(83293,370047,7,100,'Inflicts 119 - 199 disease damage on target',1,2),
(83294,370047,9,100,'Increases Haste of group members (AE) by 71.4',0,0),
(83295,370047,9,100,'On a hit this spell will cast Blade Chime on target of attack.  ',0,1),
(83296,370047,9,100,'Inflicts 124 - 207 disease damage on target',1,2),
(83297,370048,1,100,'Increases Haste of group members (AE) by 43.9',0,0),
(83298,370048,1,100,'On a hit this spell will cast Blade Chime on target of attack.  ',0,1),
(83299,370048,1,100,'Inflicts 100 - 168 disease damage on target',1,2),
(83300,370048,4,100,'Increases Haste of group members (AE) by 53.7',0,0),
(83301,370048,4,100,'On a hit this spell will cast Blade Chime on target of attack.  ',0,1),
(83302,370048,4,100,'Inflicts 123 - 205 disease damage on target',1,2),
(83303,370048,5,100,'Increases Haste of group members (AE) by 58.6',0,0),
(83304,370048,5,100,'On a hit this spell will cast Blade Chime on target of attack.  ',0,1),
(83305,370048,5,100,'Inflicts 134 - 224 disease damage on target',1,2),
(83306,370048,7,100,'Increases Haste of group members (AE) by 75.2',0,0),
(83307,370048,7,100,'On a hit this spell will cast Blade Chime on target of attack.  ',0,1),
(83308,370048,7,100,'Inflicts 172 - 287 disease damage on target',1,2),
(83309,370048,9,100,'Increases Haste of group members (AE) by 78.1',0,0),
(83310,370048,9,100,'On a hit this spell will cast Blade Chime on target of attack.  ',0,1),
(83311,370048,9,100,'Inflicts 179 - 299 disease damage on target',1,2),
(83312,2000347,1,100,'Applies Grand Finale on termination.  Lasts for 20.0 seconds.',0,0),
(83313,2000347,1,100,'On any combat or spell hit this spell will cast Grand Finale on target of attack.  ',1,1),
(83314,2000347,1,100,'Inflicts 2079 - 3464 magic damage on target',2,2),
(83315,2000347,1,100,'Grants a total of 3 triggers of the spell.',2,3),
(83316,2000347,1,100,'Increases the Potency of all abilities by 20.0% to 41.0%, increasing every few seconds.',0,4),
(83317,2000348,1,100,'Teleports target to caster',0,0),
(83318,2000348,2,100,'Teleports target to caster',0,0),
(83319,210005,3,100,'Teleports target to caster',0,0),
(83320,2000348,3,100,'Teleports target to caster',0,0),
(83321,2000348,4,100,'Teleports target to caster',0,0),
(83322,2000348,5,100,'Teleports target to caster',0,0),
(83323,2000348,6,100,'Teleports target to caster',0,0),
(83324,2000348,7,100,'Teleports target to caster',0,0),
(83325,2000348,8,100,'Teleports target to caster',0,0),
(83326,2000348,9,100,'Teleports target to caster',0,0),
(83327,2000348,10,100,'Teleports target to caster',0,0),
(83328,170034,1,100,'Inflicts 731 - 893 magic damage on targets in Area of Effect',0,0),
(83329,170034,2,100,'Inflicts 771 - 943 magic damage on targets in Area of Effect',0,0),
(83330,170034,3,100,'Inflicts 812 - 992 magic damage on targets in Area of Effect',0,0),
(83331,170034,4,100,'Inflicts 893 - 1092 magic damage on targets in Area of Effect',0,0),
(83332,170034,5,100,'Inflicts 974 - 1191 magic damage on targets in Area of Effect',0,0),
(83333,170034,7,100,'Inflicts 1250 - 1528 magic damage on targets in Area of Effect',0,0),
(83334,170034,9,100,'Inflicts 1299 - 1588 magic damage on targets in Area of Effect',0,0),
(83335,170035,1,100,'Inflicts 933 - 1141 magic damage on targets in Area of Effect',0,0),
(83336,170035,2,100,'Inflicts 985 - 1204 magic damage on targets in Area of Effect',0,0),
(83337,170035,3,100,'Inflicts 1037 - 1267 magic damage on targets in Area of Effect',0,0),
(83338,170035,4,100,'Inflicts 1141 - 1394 magic damage on targets in Area of Effect',0,0),
(83339,170035,5,100,'Inflicts 1244 - 1521 magic damage on targets in Area of Effect',0,0),
(83340,170035,7,100,'Inflicts 1597 - 1952 magic damage on targets in Area of Effect',0,0),
(83341,170035,9,100,'Inflicts 1659 - 2028 magic damage on targets in Area of Effect',0,0),
(83342,170036,1,100,'Inflicts 1124 - 1374 magic damage on targets in Area of Effect',0,0),
(83343,170036,4,100,'Inflicts 1374 - 1680 magic damage on targets in Area of Effect',0,0),
(83344,170036,5,100,'Inflicts 1499 - 1832 magic damage on targets in Area of Effect',0,0),
(83345,170036,7,100,'Inflicts 1924 - 2351 magic damage on targets in Area of Effect',0,0),
(83346,170036,9,100,'Inflicts 1999 - 2443 magic damage on targets in Area of Effect',0,0),
(83347,170037,1,100,'Inflicts 1220 - 1492 magic damage on targets in Area of Effect',0,0),
(83348,170037,4,100,'Inflicts 1492 - 1823 magic damage on targets in Area of Effect',0,0),
(83349,170037,5,100,'Inflicts 1627 - 1989 magic damage on targets in Area of Effect',0,0),
(83350,170037,7,100,'Inflicts 2088 - 2552 magic damage on targets in Area of Effect',0,0),
(83351,170037,9,100,'Inflicts 2170 - 2652 magic damage on targets in Area of Effect',0,0),
(83352,290026,1,100,'Teleports target to caster',0,0),
(83353,290026,1,100,'This effect cannot be cast during combat',0,1),
(83354,290026,2,100,'Teleports target to caster',0,0),
(83355,290026,2,100,'This effect cannot be cast during combat',0,1),
(83356,290026,3,100,'Teleports target to caster',0,0),
(83357,290026,3,100,'This effect cannot be cast during combat',0,1),
(83358,290026,4,100,'Teleports target to caster',0,0),
(83359,290026,4,100,'This effect cannot be cast during combat',0,1),
(83360,290026,5,100,'Teleports target to caster',0,0),
(83361,290026,5,100,'This effect cannot be cast during combat',0,1),
(83362,290026,7,100,'Teleports target to caster',0,0),
(83363,290026,7,100,'This effect cannot be cast during combat',0,1),
(83364,290026,9,100,'Teleports target to caster',0,0),
(83365,290026,9,100,'This effect cannot be cast during combat',0,1),
(83366,170038,1,100,'Applies Awakening on termination.',0,0),
(83367,170038,1,100,'Heals target for 15.0% of max health',1,1),
(83368,170038,1,100,'This effect cannot be critically applied.',2,2),
(83369,170038,1,100,'Applies Revived Sickness on termination.  Lasts for 2 minutes.',0,3),
(83370,170038,1,100,'Decreases All Attributes of target by 20.0%',1,4),
(83371,170038,1,100,'If not between levels 1 - 6',2,5),
(83372,170038,1,100,'Decreases Haste of target by 20.0',1,6),
(83373,170038,1,100,'If not between levels 1 - 6',2,7),
(83374,170038,1,100,'Decreases All Attributes of target by 5.0%',1,8),
(83375,170038,1,100,'If between levels 1 - 6',2,9),
(83376,170038,1,100,'Decreases Haste of target by 5.0',1,10),
(83377,170038,1,100,'If between levels 1 - 6',2,11),
(83378,170038,1,100,'Resurrects target with 15% health and power',0,12),
(83379,170038,1,100,'If outside an arena',0,13),
(83380,170038,1,100,'If outside an arena',0,14),
(83381,2000349,1,100,'Mesmerizes target',0,0),
(83382,2000349,1,100,'Prevents AOE (except when direct) ',0,1),
(83383,2000349,1,100,'Dispelled when target takes damage',0,2),
(83384,2000349,1,100,'Does not affect Epic targets',0,3),
(83385,2000349,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(83386,2000349,2,100,'Mesmerizes target',0,0),
(83387,2000349,2,100,'Prevents AOE (except when direct) ',0,1),
(83388,2000349,2,100,'Dispelled when target takes damage',0,2),
(83389,2000349,2,100,'Does not affect Epic targets',0,3),
(83390,2000349,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(83391,2000349,3,100,'Mesmerizes target',0,0),
(83392,2000349,3,100,'Prevents AOE (except when direct) ',0,1),
(83393,2000349,3,100,'Dispelled when target takes damage',0,2),
(83394,2000349,3,100,'Does not affect Epic targets',0,3),
(83395,2000349,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(83396,2000349,4,100,'Mesmerizes target',0,0),
(83397,2000349,4,100,'Prevents AOE (except when direct) ',0,1),
(83398,2000349,4,100,'Dispelled when target takes damage',0,2),
(83399,2000349,4,100,'Does not affect Epic targets',0,3),
(83400,2000349,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(83401,2000349,5,100,'Mesmerizes target',0,0),
(83402,2000349,5,100,'Prevents AOE (except when direct) ',0,1),
(83403,2000349,5,100,'Dispelled when target takes damage',0,2),
(83404,2000349,5,100,'Does not affect Epic targets',0,3),
(83405,2000349,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(83406,2000349,6,100,'Mesmerizes target',0,0),
(83407,2000349,6,100,'Prevents AOE (except when direct) ',0,1),
(83408,2000349,6,100,'Dispelled when target takes damage',0,2),
(83409,2000349,6,100,'Does not affect Epic targets',0,3),
(83410,2000349,6,100,'Resistibility increases against targets higher than level 29.',0,4),
(83411,2000349,7,100,'Mesmerizes target',0,0),
(83412,2000349,7,100,'Prevents AOE (except when direct) ',0,1),
(83413,2000349,7,100,'Dispelled when target takes damage',0,2),
(83414,2000349,7,100,'Does not affect Epic targets',0,3),
(83415,2000349,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(83416,2000349,8,100,'Mesmerizes target',0,0),
(83417,2000349,8,100,'Prevents AOE (except when direct) ',0,1),
(83418,2000349,8,100,'Dispelled when target takes damage',0,2),
(83419,2000349,8,100,'Does not affect Epic targets',0,3),
(83420,2000349,8,100,'Resistibility increases against targets higher than level 29.',0,4),
(83421,2000349,9,100,'Mesmerizes target',0,0),
(83422,2000349,9,100,'Prevents AOE (except when direct) ',0,1),
(83423,2000349,9,100,'Dispelled when target takes damage',0,2),
(83424,2000349,9,100,'Does not affect Epic targets',0,3),
(83425,2000349,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(83426,2000349,10,100,'Mesmerizes target',0,0),
(83427,2000349,10,100,'Prevents AOE (except when direct) ',0,1),
(83428,2000349,10,100,'Dispelled when target takes damage',0,2),
(83429,2000349,10,100,'Does not affect Epic targets',0,3),
(83430,2000349,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(83431,2000350,1,100,'Increases power of caster by 25.0%',0,0),
(83432,2000350,1,100,'This effect cannot be critically applied.',1,1),
(83433,2000350,1,100,'Your next damage spell is 25% more damaging',0,2),
(83434,270027,1,100,'Increases power of group members (AE) by 11 instantly and every 6 seconds',0,0),
(83435,270027,1,100,'Decreases INT of target by 44.3',0,1),
(83436,270027,2,100,'Increases power of group members (AE) by 11 instantly and every 6 seconds',0,0),
(83437,270027,2,100,'Decreases INT of target by 46.7',0,1),
(83438,270027,3,100,'Increases power of group members (AE) by 12 instantly and every 6 seconds',0,0),
(83439,270027,3,100,'Decreases INT of target by 49.2',0,1),
(83440,270027,4,100,'Increases power of group members (AE) by 13 instantly and every 6 seconds',0,0),
(83441,270027,4,100,'Decreases INT of target by 54.1',0,1),
(83442,270027,5,100,'Increases power of group members (AE) by 14 instantly and every 6 seconds',0,0),
(83443,270027,5,100,'Decreases INT of target by 59.0',0,1),
(83444,270027,7,100,'Increases power of group members (AE) by 19 instantly and every 6 seconds',0,0),
(83445,270027,7,100,'Decreases INT of target by 75.8',0,1),
(83446,270027,9,100,'Increases power of group members (AE) by 19 instantly and every 6 seconds',0,0),
(83447,270027,9,100,'Decreases INT of target by 78.7',0,1),
(83448,270028,1,100,'Increases power of group members (AE) by 17 instantly and every 6 seconds',0,0),
(83449,270028,1,100,'Decreases INT of target by 64.4',0,1),
(83450,270028,2,100,'Increases power of group members (AE) by 18 instantly and every 6 seconds',0,0),
(83451,270028,2,100,'Decreases INT of target by 68.0',0,1),
(83452,270028,3,100,'Increases power of group members (AE) by 19 instantly and every 6 seconds',0,0),
(83453,270028,3,100,'Decreases INT of target by 71.6',0,1),
(83454,270028,4,100,'Increases power of group members (AE) by 20 instantly and every 6 seconds',0,0),
(83455,270028,4,100,'Decreases INT of target by 78.8',0,1),
(83456,270028,5,100,'Increases power of group members (AE) by 22 instantly and every 6 seconds',0,0),
(83457,270028,5,100,'Decreases INT of target by 85.9',0,1),
(83458,270028,7,100,'Increases power of group members (AE) by 29 instantly and every 6 seconds',0,0),
(83459,270028,7,100,'Decreases INT of target by 110.3',0,1),
(83460,270028,9,100,'Increases power of group members (AE) by 30 instantly and every 6 seconds',0,0),
(83461,270028,9,100,'Decreases INT of target by 114.6',0,1),
(83462,270029,1,100,'Increases power of group members (AE) by 23 instantly and every 6 seconds',0,0),
(83463,270029,1,100,'Decreases INT of target by 84.6',0,1),
(83464,270029,2,100,'Increases power of group members (AE) by 25 instantly and every 6 seconds',0,0),
(83465,270029,2,100,'Decreases INT of target by 89.3',0,1),
(83466,270029,3,100,'Increases power of group members (AE) by 26 instantly and every 6 seconds',0,0),
(83467,270029,3,100,'Decreases INT of target by 94.0',0,1),
(83468,270029,4,100,'Increases power of group members (AE) by 28 instantly and every 6 seconds',0,0),
(83469,270029,4,100,'Decreases INT of target by 103.4',0,1),
(83470,270029,5,100,'Increases power of group members (AE) by 31 instantly and every 6 seconds',0,0),
(83471,270029,5,100,'Decreases INT of target by 112.8',0,1),
(83472,270029,7,100,'Increases power of group members (AE) by 40 instantly and every 6 seconds',0,0),
(83473,270029,7,100,'Decreases INT of target by 144.8',0,1),
(83474,270029,9,100,'Increases power of group members (AE) by 41 instantly and every 6 seconds',0,0),
(83475,270029,9,100,'Decreases INT of target by 150.4',0,1),
(83476,270030,1,100,'Increases power of group members (AE) by 31 instantly and every 6 seconds',0,0),
(83477,270030,1,100,'Decreases INT of target by 104.9',0,1),
(83478,270030,2,100,'Increases power of group members (AE) by 33 instantly and every 6 seconds',0,0),
(83479,270030,2,100,'Decreases INT of target by 110.8',0,1),
(83480,270030,3,100,'Increases power of group members (AE) by 34 instantly and every 6 seconds',0,0),
(83481,270030,3,100,'Decreases INT of target by 116.6',0,1),
(83482,270030,4,100,'Increases power of group members (AE) by 38 instantly and every 6 seconds',0,0),
(83483,270030,4,100,'Decreases INT of target by 128.3',0,1),
(83484,270030,5,100,'Increases power of group members (AE) by 41 instantly and every 6 seconds',0,0),
(83485,270030,5,100,'Decreases INT of target by 139.9',0,1),
(83486,270030,7,100,'Increases power of group members (AE) by 53 instantly and every 6 seconds',0,0),
(83487,270030,7,100,'Decreases INT of target by 179.6',0,1),
(83488,270030,9,100,'Increases power of group members (AE) by 55 instantly and every 6 seconds',0,0),
(83489,270030,9,100,'Decreases INT of target by 186.6',0,1),
(83490,270031,1,100,'Increases power of group members (AE) by 40 instantly and every 6 seconds',0,0),
(83491,270031,1,100,'Decreases INT of target by 124.7',0,1),
(83492,270031,4,100,'Increases power of group members (AE) by 49 instantly and every 6 seconds',0,0),
(83493,270031,4,100,'Decreases INT of target by 152.5',0,1),
(83494,270031,5,100,'Increases power of group members (AE) by 53 instantly and every 6 seconds',0,0),
(83495,270031,5,100,'Decreases INT of target by 166.3',0,1),
(83496,270031,7,100,'Increases power of group members (AE) by 68 instantly and every 6 seconds',0,0),
(83497,270031,7,100,'Decreases INT of target by 213.4',0,1),
(83498,270031,9,100,'Increases power of group members (AE) by 71 instantly and every 6 seconds',0,0),
(83499,270031,9,100,'Decreases INT of target by 221.8',0,1),
(83500,270031,10,100,'Increases power of group members (AE) by 75 instantly and every 6 seconds',0,0),
(83501,270031,10,100,'Decreases INT of target by 232.8',0,1),
(83502,270032,1,100,'Increases power of group members (AE) by 46 instantly and every 6 seconds',0,0),
(83503,270032,1,100,'Decreases INT of target by 144.5',0,1),
(83504,270032,4,100,'Increases power of group members (AE) by 56 instantly and every 6 seconds',0,0),
(83505,270032,4,100,'Decreases INT of target by 176.7',0,1),
(83506,270032,5,100,'Increases power of group members (AE) by 61 instantly and every 6 seconds',0,0),
(83507,270032,5,100,'Decreases INT of target by 192.7',0,1),
(83508,270032,7,100,'Increases power of group members (AE) by 78 instantly and every 6 seconds',0,0),
(83509,270032,7,100,'Decreases INT of target by 247.3',0,1),
(83510,270032,9,100,'Increases power of group members (AE) by 81 instantly and every 6 seconds',0,0),
(83511,270032,9,100,'Decreases INT of target by 257.0',0,1),
(83512,270032,10,100,'Increases power of group members (AE) by 85 instantly and every 6 seconds',0,0),
(83513,270032,10,100,'Decreases INT of target by 269.8',0,1),
(83514,2000351,1,100,'Throws target back',0,0),
(83515,2000351,1,100,'Inflicts 1 - 2 crushing damage on target',0,1),
(83516,200053,1,100,'Wards group members (AE) collectively against 296 total points of all damage',0,0),
(83517,200053,4,100,'Wards group members (AE) collectively against 361 total points of all damage',0,0),
(83518,200053,5,100,'Wards group members (AE) collectively against 394 total points of all damage',0,0),
(83519,200053,7,100,'Wards group members (AE) collectively against 506 total points of all damage',0,0),
(83520,200053,9,100,'Wards group members (AE) collectively against 526 total points of all damage',0,0),
(83521,200053,10,100,'Wards group members (AE) collectively against 552 total points of all damage',0,0),
(83522,200054,1,100,'Wards group members (AE) collectively against 626 total points of all damage',0,0),
(83523,200054,2,100,'Wards group members (AE) collectively against 660 total points of all damage',0,0),
(83524,200054,3,100,'Wards group members (AE) collectively against 695 total points of all damage',0,0),
(83525,200054,4,100,'Wards group members (AE) collectively against 765 total points of all damage',0,0),
(83526,200054,5,100,'Wards group members (AE) collectively against 834 total points of all damage',0,0),
(83527,200054,7,100,'Wards group members (AE) collectively against 1071 total points of all damage',0,0),
(83528,200054,9,100,'Wards group members (AE) collectively against 1112 total points of all damage',0,0),
(83529,200055,1,100,'Wards group members (AE) collectively against 994 total points of all damage',0,0),
(83530,200055,2,100,'Wards group members (AE) collectively against 1049 total points of all damage',0,0),
(83531,200055,3,100,'Wards group members (AE) collectively against 1104 total points of all damage',0,0),
(83532,200055,4,100,'Wards group members (AE) collectively against 1214 total points of all damage',0,0),
(83533,200055,5,100,'Wards group members (AE) collectively against 1325 total points of all damage',0,0),
(83534,200055,7,100,'Wards group members (AE) collectively against 1700 total points of all damage',0,0),
(83535,200055,9,100,'Wards group members (AE) collectively against 1767 total points of all damage',0,0),
(83536,200055,10,100,'Wards group members (AE) collectively against 1855 total points of all damage',0,0),
(83537,200056,1,100,'Wards group members (AE) collectively against 1438 total points of all damage',0,0),
(83538,200056,2,100,'Wards group members (AE) collectively against 1518 total points of all damage',0,0),
(83539,200056,3,100,'Wards group members (AE) collectively against 1598 total points of all damage',0,0),
(83540,200056,4,100,'Wards group members (AE) collectively against 1757 total points of all damage',0,0),
(83541,200056,5,100,'Wards group members (AE) collectively against 1917 total points of all damage',0,0),
(83542,200056,7,100,'Wards group members (AE) collectively against 2460 total points of all damage',0,0),
(83543,200056,9,100,'Wards group members (AE) collectively against 2556 total points of all damage',0,0),
(83544,200057,1,100,'Wards group members (AE) collectively against 1882 total points of all damage',0,0),
(83545,200057,2,100,'Wards group members (AE) collectively against 1986 total points of all damage',0,0),
(83546,200057,3,100,'Wards group members (AE) collectively against 2091 total points of all damage',0,0),
(83547,200057,4,100,'Wards group members (AE) collectively against 2300 total points of all damage',0,0),
(83548,200057,5,100,'Wards group members (AE) collectively against 2509 total points of all damage',0,0),
(83549,200057,7,100,'Wards group members (AE) collectively against 3220 total points of all damage',0,0),
(83550,200057,9,100,'Wards group members (AE) collectively against 3346 total points of all damage',0,0),
(83551,200058,1,100,'Wards group members (AE) collectively against 2167 total points of all damage',0,0),
(83552,200058,2,100,'Wards group members (AE) collectively against 2288 total points of all damage',0,0),
(83553,200058,3,100,'Wards group members (AE) collectively against 2408 total points of all damage',0,0),
(83554,200058,4,100,'Wards group members (AE) collectively against 2649 total points of all damage',0,0),
(83555,200058,5,100,'Wards group members (AE) collectively against 2890 total points of all damage',0,0),
(83556,200058,7,100,'Wards group members (AE) collectively against 3709 total points of all damage',0,0),
(83557,200058,9,100,'Wards group members (AE) collectively against 3854 total points of all damage',0,0),
(83558,200059,1,100,'Wards group members (AE) collectively against 2618 total points of all damage',0,0),
(83559,200059,4,100,'Wards group members (AE) collectively against 3200 total points of all damage',0,0),
(83560,200059,5,100,'Wards group members (AE) collectively against 3491 total points of all damage',0,0),
(83561,200059,7,100,'Wards group members (AE) collectively against 4480 total points of all damage',0,0),
(83562,200059,9,100,'Wards group members (AE) collectively against 4654 total points of all damage',0,0),
(83563,200060,1,100,'Wards group members (AE) collectively against 2817 total points of all damage',0,0),
(83564,200060,4,100,'Wards group members (AE) collectively against 3443 total points of all damage',0,0),
(83565,200060,5,100,'Wards group members (AE) collectively against 3756 total points of all damage',0,0),
(83566,200060,7,100,'Wards group members (AE) collectively against 4820 total points of all damage',0,0),
(83567,200060,9,100,'Wards group members (AE) collectively against 5008 total points of all damage',0,0),
(83568,100118,1,100,'Applies Castigate.',0,0),
(83569,100118,1,100,'Inflicts 277 - 461 divine damage on targets in Area of Effect',1,1),
(83570,100118,1,100,'Dispels 65 levels of any hostile effects on caster',0,2),
(83571,100118,1,100,'Casts Castigate for each successful Dispel.',0,3),
(83572,100118,1,100,'Inflicts 277 - 461 divine damage on targets in Area of Effect',2,4),
(83573,100118,2,100,'Applies Castigate.',0,0),
(83574,100118,2,100,'Inflicts 292 - 487 divine damage on targets in Area of Effect',1,1),
(83575,100118,2,100,'Dispels 69 levels of any hostile effects on caster',0,2),
(83576,100118,2,100,'Casts Castigate for each successful Dispel.',0,3),
(83577,100118,2,100,'Inflicts 292 - 487 divine damage on targets in Area of Effect',2,4),
(83578,100118,3,100,'Applies Castigate.',0,0),
(83579,100118,3,100,'Inflicts 308 - 513 divine damage on targets in Area of Effect',1,1),
(83580,100118,3,100,'Dispels 72 levels of any hostile effects on caster',0,2),
(83581,100118,3,100,'Casts Castigate for each successful Dispel.',0,3),
(83582,100118,3,100,'Inflicts 308 - 513 divine damage on targets in Area of Effect',2,4),
(83583,100118,4,100,'Applies Castigate.',0,0),
(83584,100118,4,100,'Inflicts 338 - 564 divine damage on targets in Area of Effect',1,1),
(83585,100118,4,100,'Dispels 79 levels of any hostile effects on caster',0,2),
(83586,100118,4,100,'Casts Castigate for each successful Dispel.',0,3),
(83587,100118,4,100,'Inflicts 338 - 564 divine damage on targets in Area of Effect',2,4),
(83588,100118,5,100,'Applies Castigate.',0,0),
(83589,100118,5,100,'Inflicts 369 - 615 divine damage on targets in Area of Effect',1,1),
(83590,100118,5,100,'Dispels 87 levels of any hostile effects on caster',0,2),
(83591,100118,5,100,'Casts Castigate for each successful Dispel.',0,3),
(83592,100118,5,100,'Inflicts 369 - 615 divine damage on targets in Area of Effect',2,4),
(83593,100118,7,100,'Applies Castigate.',0,0),
(83594,100118,7,100,'Inflicts 474 - 789 divine damage on targets in Area of Effect',1,1),
(83595,100118,7,100,'Dispels 111 levels of any hostile effects on caster',0,2),
(83596,100118,7,100,'Casts Castigate for each successful Dispel.',0,3),
(83597,100118,7,100,'Inflicts 474 - 789 divine damage on targets in Area of Effect',2,4),
(83598,100118,9,100,'Applies Castigate.',0,0),
(83599,100118,9,100,'Inflicts 492 - 820 divine damage on targets in Area of Effect',1,1),
(83600,100118,9,100,'Dispels 116 levels of any hostile effects on caster',0,2),
(83601,100118,9,100,'Casts Castigate for each successful Dispel.',0,3),
(83602,100118,9,100,'Inflicts 492 - 820 divine damage on targets in Area of Effect',2,4),
(83603,100119,1,100,'Applies Castigate.',0,0),
(83604,100119,1,100,'Inflicts 354 - 589 divine damage on targets in Area of Effect',1,1),
(83605,100119,1,100,'Dispels 78 levels of any hostile effects on caster',0,2),
(83606,100119,1,100,'Casts Castigate for each successful Dispel.',0,3),
(83607,100119,1,100,'Inflicts 354 - 589 divine damage on targets in Area of Effect',2,4),
(83608,100119,2,100,'Applies Castigate.',0,0),
(83609,100119,2,100,'Inflicts 373 - 622 divine damage on targets in Area of Effect',1,1),
(83610,100119,2,100,'Dispels 82 levels of any hostile effects on caster',0,2),
(83611,100119,2,100,'Casts Castigate for each successful Dispel.',0,3),
(83612,100119,2,100,'Inflicts 373 - 622 divine damage on targets in Area of Effect',2,4),
(83613,100119,3,100,'Applies Castigate.',0,0),
(83614,100119,3,100,'Inflicts 393 - 655 divine damage on targets in Area of Effect',1,1),
(83615,100119,3,100,'Dispels 86 levels of any hostile effects on caster',0,2),
(83616,100119,3,100,'Casts Castigate for each successful Dispel.',0,3),
(83617,100119,3,100,'Inflicts 393 - 655 divine damage on targets in Area of Effect',2,4),
(83618,100119,4,100,'Applies Castigate.',0,0),
(83619,100119,4,100,'Inflicts 432 - 720 divine damage on targets in Area of Effect',1,1),
(83620,100119,4,100,'Dispels 95 levels of any hostile effects on caster',0,2),
(83621,100119,4,100,'Casts Castigate for each successful Dispel.',0,3),
(83622,100119,4,100,'Inflicts 432 - 720 divine damage on targets in Area of Effect',2,4),
(83623,100119,5,100,'Applies Castigate.',0,0),
(83624,100119,5,100,'Inflicts 471 - 786 divine damage on targets in Area of Effect',1,1),
(83625,100119,5,100,'Dispels 103 levels of any hostile effects on caster',0,2),
(83626,100119,5,100,'Casts Castigate for each successful Dispel.',0,3),
(83627,100119,5,100,'Inflicts 471 - 786 divine damage on targets in Area of Effect',2,4),
(83628,100119,7,100,'Applies Castigate.',0,0),
(83629,100119,7,100,'Inflicts 605 - 1008 divine damage on targets in Area of Effect',1,1),
(83630,100119,7,100,'Dispels 133 levels of any hostile effects on caster',0,2),
(83631,100119,7,100,'Casts Castigate for each successful Dispel.',0,3),
(83632,100119,7,100,'Inflicts 605 - 1008 divine damage on targets in Area of Effect',2,4),
(83633,100119,9,100,'Applies Castigate.',0,0),
(83634,100119,9,100,'Inflicts 628 - 1047 divine damage on targets in Area of Effect',1,1),
(83635,100119,9,100,'Dispels 138 levels of any hostile effects on caster',0,2),
(83636,100119,9,100,'Casts Castigate for each successful Dispel.',0,3),
(83637,100119,9,100,'Inflicts 628 - 1047 divine damage on targets in Area of Effect',2,4),
(83638,100120,1,100,'Applies Castigate.',0,0),
(83639,100120,1,100,'Inflicts 426 - 710 divine damage on targets in Area of Effect',1,1),
(83640,100120,1,100,'Dispels 87 levels of any hostile effects on caster',0,2),
(83641,100120,1,100,'Casts Castigate for each successful Dispel.',0,3),
(83642,100120,1,100,'Inflicts 426 - 710 divine damage on targets in Area of Effect',2,4),
(83643,100120,4,100,'Applies Castigate.',0,0),
(83644,100120,4,100,'Inflicts 521 - 868 divine damage on targets in Area of Effect',1,1),
(83645,100120,4,100,'Dispels 107 levels of any hostile effects on caster',0,2),
(83646,100120,4,100,'Casts Castigate for each successful Dispel.',0,3),
(83647,100120,4,100,'Inflicts 521 - 868 divine damage on targets in Area of Effect',2,4),
(83648,100120,5,100,'Applies Castigate.',0,0),
(83649,100120,5,100,'Inflicts 568 - 946 divine damage on targets in Area of Effect',1,1),
(83650,100120,5,100,'Dispels 116 levels of any hostile effects on caster',0,2),
(83651,100120,5,100,'Casts Castigate for each successful Dispel.',0,3),
(83652,100120,5,100,'Inflicts 568 - 946 divine damage on targets in Area of Effect',2,4),
(83653,100120,7,100,'Applies Castigate.',0,0),
(83654,100120,7,100,'Inflicts 729 - 1215 divine damage on targets in Area of Effect',1,1),
(83655,100120,7,100,'Dispels 149 levels of any hostile effects on caster',0,2),
(83656,100120,7,100,'Casts Castigate for each successful Dispel.',0,3),
(83657,100120,7,100,'Inflicts 729 - 1215 divine damage on targets in Area of Effect',2,4),
(83658,100120,9,100,'Applies Castigate.',0,0),
(83659,100120,9,100,'Inflicts 757 - 1262 divine damage on targets in Area of Effect',1,1),
(83660,100120,9,100,'Dispels 155 levels of any hostile effects on caster',0,2),
(83661,100120,9,100,'Casts Castigate for each successful Dispel.',0,3),
(83662,100120,9,100,'Inflicts 757 - 1262 divine damage on targets in Area of Effect',2,4),
(83663,100121,1,100,'Applies Castigate.',0,0),
(83664,100121,1,100,'Inflicts 462 - 770 divine damage on targets in Area of Effect',1,1),
(83665,100121,1,100,'Dispels 97 levels of any hostile effects on caster',0,2),
(83666,100121,1,100,'Casts Castigate for each successful Dispel.',0,3),
(83667,100121,1,100,'Inflicts 462 - 770 divine damage on targets in Area of Effect',2,4),
(83668,100121,4,100,'Applies Castigate.',0,0),
(83669,100121,4,100,'Inflicts 565 - 942 divine damage on targets in Area of Effect',1,1),
(83670,100121,4,100,'Dispels 119 levels of any hostile effects on caster',0,2),
(83671,100121,4,100,'Casts Castigate for each successful Dispel.',0,3),
(83672,100121,4,100,'Inflicts 565 - 942 divine damage on targets in Area of Effect',2,4),
(83673,100121,5,100,'Applies Castigate.',0,0),
(83674,100121,5,100,'Inflicts 616 - 1027 divine damage on targets in Area of Effect',1,1),
(83675,100121,5,100,'Dispels 129 levels of any hostile effects on caster',0,2),
(83676,100121,5,100,'Casts Castigate for each successful Dispel.',0,3),
(83677,100121,5,100,'Inflicts 616 - 1027 divine damage on targets in Area of Effect',2,4),
(83678,100121,7,100,'Applies Castigate.',0,0),
(83679,100121,7,100,'Inflicts 791 - 1318 divine damage on targets in Area of Effect',1,1),
(83680,100121,7,100,'Dispels 166 levels of any hostile effects on caster',0,2),
(83681,100121,7,100,'Casts Castigate for each successful Dispel.',0,3),
(83682,100121,7,100,'Inflicts 791 - 1318 divine damage on targets in Area of Effect',2,4),
(83683,100121,9,100,'Applies Castigate.',0,0),
(83684,100121,9,100,'Inflicts 822 - 1370 divine damage on targets in Area of Effect',1,1),
(83685,100121,9,100,'Dispels 173 levels of any hostile effects on caster',0,2),
(83686,100121,9,100,'Casts Castigate for each successful Dispel.',0,3),
(83687,100121,9,100,'Inflicts 822 - 1370 divine damage on targets in Area of Effect',2,4),
(83688,2000352,1,100,'Increases Doublecast Chance of caster by 12.0%',0,0),
(83689,2000352,1,100,'Increases spell damage and critical damage by 1%',0,1),
(83690,2000352,1,100,'Lowers the casting time and reuse speed of hostile spells by 3%.',0,2),
(83691,2000352,2,100,'Increases Doublecast Chance of caster by 12.0%',0,0),
(83692,2000352,2,100,'Increases spell damage and critical damage by 2%',0,1),
(83693,2000352,2,100,'Lowers the casting time and reuse speed of hostile spells by 6%.',0,2),
(83694,2000352,3,100,'Increases Spell Doublecast of caster by 12.0%',0,0),
(83695,2000352,3,100,'Increases spell damage and critical damage by 3%',0,1),
(83696,2000352,3,100,'Lowers the casting time and reuse speed of hostile spells by 9%.',0,2),
(83697,2000352,4,100,'Increases Doublecast Chance of caster by 12.0%',0,0),
(83698,2000352,4,100,'Increases spell damage and critical damage by 4%',0,1),
(83699,2000352,4,100,'Lowers the casting time and reuse speed of hostile spells by 12%.',0,2),
(83700,2000352,5,100,'Increases Doublecast Chance of caster by 12.0%',0,0),
(83701,2000352,5,100,'Increases spell damage and critical damage by 5%',0,1),
(83702,2000352,5,100,'Lowers the casting time and reuse speed of hostile spells by 15%.',0,2),
(83703,290027,1,100,'Grants See Invisibility to group members (AE)',0,0),
(83704,290027,1,100,'Grants Sonic Vision to group members (AE)',0,1),
(83705,240046,1,100,'Interrupts targets in Area of Effect',0,0),
(83706,240046,1,100,'Inflicts 3 - 5 poison damage on targets in Area of Effect instantly and every second',0,1),
(83707,240046,2,100,'Interrupts targets in Area of Effect',0,0),
(83708,240046,2,100,'Inflicts 3 - 5 poison damage on targets in Area of Effect instantly and every second',0,1),
(83709,240046,3,100,'Interrupts targets in Area of Effect',0,0),
(83710,240046,3,100,'Inflicts 3 - 6 poison damage on targets in Area of Effect instantly and every second',0,1),
(83711,240046,4,100,'Interrupts targets in Area of Effect',0,0);
INSERT INTO `spell_display_effects` VALUES
(83712,240046,4,100,'Inflicts 3 - 6 poison damage on targets in Area of Effect instantly and every second',0,1),
(83713,240046,5,100,'Interrupts targets in Area of Effect',0,0),
(83714,240046,5,100,'Inflicts 4 - 7 poison damage on targets in Area of Effect instantly and every second',0,1),
(83715,240046,7,100,'Interrupts targets in Area of Effect',0,0),
(83716,240046,7,100,'Inflicts 5 - 9 poison damage on targets in Area of Effect instantly and every second',0,1),
(83717,240046,9,100,'Interrupts targets in Area of Effect',0,0),
(83718,240046,9,100,'Inflicts 5 - 9 poison damage on targets in Area of Effect instantly and every second',0,1),
(83719,240047,1,100,'Interrupts targets in Area of Effect',0,0),
(83720,240047,1,100,'Inflicts 16 - 30 poison damage on targets in Area of Effect instantly and every second',0,1),
(83721,240047,2,100,'Interrupts targets in Area of Effect',0,0),
(83722,240047,2,100,'Inflicts 17 - 32 poison damage on targets in Area of Effect instantly and every second',0,1),
(83723,240047,3,100,'Interrupts targets in Area of Effect',0,0),
(83724,240047,3,100,'Inflicts 18 - 34 poison damage on targets in Area of Effect instantly and every second',0,1),
(83725,240047,4,100,'Interrupts targets in Area of Effect',0,0),
(83726,240047,4,100,'Inflicts 20 - 37 poison damage on targets in Area of Effect instantly and every second',0,1),
(83727,240047,5,100,'Interrupts targets in Area of Effect',0,0),
(83728,240047,5,100,'Inflicts 22 - 40 poison damage on targets in Area of Effect instantly and every second',0,1),
(83729,240047,7,100,'Interrupts targets in Area of Effect',0,0),
(83730,240047,7,100,'Inflicts 28 - 52 poison damage on targets in Area of Effect instantly and every second',0,1),
(83731,240047,9,100,'Interrupts targets in Area of Effect',0,0),
(83732,240047,9,100,'Inflicts 29 - 54 poison damage on targets in Area of Effect instantly and every second',0,1),
(83733,240047,10,100,'Interrupts targets in Area of Effect',0,0),
(83734,240047,10,100,'Inflicts 30 - 57 poison damage on targets in Area of Effect instantly and every second',0,1),
(83735,240048,1,100,'Interrupts targets in Area of Effect',0,0),
(83736,240048,1,100,'Inflicts 34 - 63 poison damage on targets in Area of Effect instantly and every second',0,1),
(83737,240048,2,100,'Interrupts targets in Area of Effect',0,0),
(83738,240048,2,100,'Inflicts 36 - 67 poison damage on targets in Area of Effect instantly and every second',0,1),
(83739,240048,3,100,'Interrupts targets in Area of Effect',0,0),
(83740,240048,3,100,'Inflicts 38 - 70 poison damage on targets in Area of Effect instantly and every second',0,1),
(83741,240048,4,100,'Interrupts targets in Area of Effect',0,0),
(83742,240048,4,100,'Inflicts 42 - 77 poison damage on targets in Area of Effect instantly and every second',0,1),
(83743,240048,5,100,'Interrupts targets in Area of Effect',0,0),
(83744,240048,5,100,'Inflicts 45 - 84 poison damage on targets in Area of Effect instantly and every second',0,1),
(83745,240048,7,100,'Interrupts targets in Area of Effect',0,0),
(83746,240048,7,100,'Inflicts 58 - 108 poison damage on targets in Area of Effect instantly and every second',0,1),
(83747,240048,9,100,'Interrupts targets in Area of Effect',0,0),
(83748,240048,9,100,'Inflicts 61 - 112 poison damage on targets in Area of Effect instantly and every second',0,1),
(83749,240049,1,100,'Interrupts targets in Area of Effect',0,0),
(83750,240049,1,100,'Inflicts 54 - 100 poison damage on targets in Area of Effect instantly and every second',0,1),
(83751,240049,2,100,'Interrupts targets in Area of Effect',0,0),
(83752,240049,2,100,'Inflicts 57 - 106 poison damage on targets in Area of Effect instantly and every second',0,1),
(83753,240049,3,100,'Interrupts targets in Area of Effect',0,0),
(83754,240049,3,100,'Inflicts 60 - 111 poison damage on targets in Area of Effect instantly and every second',0,1),
(83755,240049,4,100,'Interrupts targets in Area of Effect',0,0),
(83756,240049,4,100,'Inflicts 66 - 122 poison damage on targets in Area of Effect instantly and every second',0,1),
(83757,240049,5,100,'Interrupts targets in Area of Effect',0,0),
(83758,240049,5,100,'Inflicts 72 - 133 poison damage on targets in Area of Effect instantly and every second',0,1),
(83759,240049,7,100,'Interrupts targets in Area of Effect',0,0),
(83760,240049,7,100,'Inflicts 92 - 171 poison damage on targets in Area of Effect instantly and every second',0,1),
(83761,240049,9,100,'Interrupts targets in Area of Effect',0,0),
(83762,240049,9,100,'Inflicts 96 - 178 poison damage on targets in Area of Effect instantly and every second',0,1),
(83763,240049,10,100,'Interrupts targets in Area of Effect',0,0),
(83764,240049,10,100,'Inflicts 100 - 187 poison damage on targets in Area of Effect instantly and every second',0,1),
(83765,240050,1,100,'Interrupts targets in Area of Effect',0,0),
(83766,240050,1,100,'Inflicts 157 - 292 poison damage on targets in Area of Effect instantly and every second',0,1),
(83767,240050,4,100,'Interrupts targets in Area of Effect',0,0),
(83768,240050,4,100,'Inflicts 192 - 357 poison damage on targets in Area of Effect instantly and every second',0,1),
(83769,240050,5,100,'Interrupts targets in Area of Effect',0,0),
(83770,240050,5,100,'Inflicts 210 - 389 poison damage on targets in Area of Effect instantly and every second',0,1),
(83771,240050,7,100,'Interrupts targets in Area of Effect',0,0),
(83772,240050,7,100,'Inflicts 269 - 499 poison damage on targets in Area of Effect instantly and every second',0,1),
(83773,240050,9,100,'Interrupts targets in Area of Effect',0,0),
(83774,240050,9,100,'Inflicts 279 - 519 poison damage on targets in Area of Effect instantly and every second',0,1),
(83775,240051,1,100,'Interrupts targets in Area of Effect',0,0),
(83776,240051,1,100,'Inflicts 78 - 144 poison damage on targets in Area of Effect instantly and every second',0,1),
(83777,240051,2,100,'Interrupts targets in Area of Effect',0,0),
(83778,240051,2,100,'Inflicts 82 - 152 poison damage on targets in Area of Effect instantly and every second',0,1),
(83779,240051,3,100,'Interrupts targets in Area of Effect',0,0),
(83780,240051,3,100,'Inflicts 86 - 160 poison damage on targets in Area of Effect instantly and every second',0,1),
(83781,240051,4,100,'Interrupts targets in Area of Effect',0,0),
(83782,240051,4,100,'Inflicts 95 - 176 poison damage on targets in Area of Effect instantly and every second',0,1),
(83783,240051,5,100,'Interrupts targets in Area of Effect',0,0),
(83784,240051,5,100,'Inflicts 104 - 192 poison damage on targets in Area of Effect instantly and every second',0,1),
(83785,240051,7,100,'Interrupts targets in Area of Effect',0,0),
(83786,240051,7,100,'Inflicts 133 - 247 poison damage on targets in Area of Effect instantly and every second',0,1),
(83787,240051,9,100,'Interrupts targets in Area of Effect',0,0),
(83788,240051,9,100,'Inflicts 138 - 256 poison damage on targets in Area of Effect instantly and every second',0,1),
(83789,240052,1,100,'Interrupts targets in Area of Effect',0,0),
(83790,240052,1,100,'Inflicts 102 - 189 poison damage on targets in Area of Effect instantly and every second',0,1),
(83791,240052,2,100,'Interrupts targets in Area of Effect',0,0),
(83792,240052,2,100,'Inflicts 107 - 199 poison damage on targets in Area of Effect instantly and every second',0,1),
(83793,240052,3,100,'Interrupts targets in Area of Effect',0,0),
(83794,240052,3,100,'Inflicts 113 - 209 poison damage on targets in Area of Effect instantly and every second',0,1),
(83795,240052,4,100,'Interrupts targets in Area of Effect',0,0),
(83796,240052,4,100,'Inflicts 124 - 230 poison damage on targets in Area of Effect instantly and every second',0,1),
(83797,240052,5,100,'Interrupts targets in Area of Effect',0,0),
(83798,240052,5,100,'Inflicts 135 - 251 poison damage on targets in Area of Effect instantly and every second',0,1),
(83799,240052,7,100,'Interrupts targets in Area of Effect',0,0),
(83800,240052,7,100,'Inflicts 174 - 323 poison damage on targets in Area of Effect instantly and every second',0,1),
(83801,240052,9,100,'Interrupts targets in Area of Effect',0,0),
(83802,240052,9,100,'Inflicts 180 - 335 poison damage on targets in Area of Effect instantly and every second',0,1),
(83803,240053,1,100,'Interrupts targets in Area of Effect',0,0),
(83804,240053,1,100,'Inflicts 123 - 229 poison damage on targets in Area of Effect instantly and every second',0,1),
(83805,240053,2,100,'Interrupts targets in Area of Effect',0,0),
(83806,240053,2,100,'Inflicts 130 - 241 poison damage on targets in Area of Effect instantly and every second',0,1),
(83807,240053,3,100,'Interrupts targets in Area of Effect',0,0),
(83808,240053,3,100,'Inflicts 137 - 254 poison damage on targets in Area of Effect instantly and every second',0,1),
(83809,240053,4,100,'Interrupts targets in Area of Effect',0,0),
(83810,240053,4,100,'Inflicts 150 - 279 poison damage on targets in Area of Effect instantly and every second',0,1),
(83811,240053,5,100,'Interrupts targets in Area of Effect',0,0),
(83812,240053,5,100,'Inflicts 164 - 305 poison damage on targets in Area of Effect instantly and every second',0,1),
(83813,240053,7,100,'Interrupts targets in Area of Effect',0,0),
(83814,240053,7,100,'Inflicts 211 - 391 poison damage on targets in Area of Effect instantly and every second',0,1),
(83815,240053,9,100,'Interrupts targets in Area of Effect',0,0),
(83816,240053,9,100,'Inflicts 219 - 406 poison damage on targets in Area of Effect instantly and every second',0,1),
(83817,240054,1,100,'Interrupts targets in Area of Effect',0,0),
(83818,240054,1,100,'Inflicts 148 - 275 poison damage on targets in Area of Effect instantly and every second',0,1),
(83819,240054,4,100,'Interrupts targets in Area of Effect',0,0),
(83820,240054,4,100,'Inflicts 181 - 336 poison damage on targets in Area of Effect instantly and every second',0,1),
(83821,240054,5,100,'Interrupts targets in Area of Effect',0,0),
(83822,240054,5,100,'Inflicts 197 - 367 poison damage on targets in Area of Effect instantly and every second',0,1),
(83823,240054,7,100,'Interrupts targets in Area of Effect',0,0),
(83824,240054,7,100,'Inflicts 253 - 471 poison damage on targets in Area of Effect instantly and every second',0,1),
(83825,240054,9,100,'Interrupts targets in Area of Effect',0,0),
(83826,240054,9,100,'Inflicts 263 - 489 poison damage on targets in Area of Effect instantly and every second',0,1),
(83827,2000353,1,100,'Increases Potency of caster by 25.0%',0,0),
(83828,2000353,1,100,'Makes caster always do critical damage on spell attacks',0,1),
(83829,2000353,1,100,'Dispelled when target casts a hostile spell',0,2),
(83830,2000354,1,100,'Inflicts 9 - 16 disease damage on targets in Area of Effect',0,0),
(83831,2000354,1,100,'Inflicts 13 - 25 disease damage on targets in Area of Effect',0,1),
(83832,2000354,1,100,'Requires 180 increments of Toxic Aura',1,2),
(83833,2000354,1,100,'Inflicts 12 - 23 disease damage on targets in Area of Effect',0,3),
(83834,2000354,1,100,'Requires 144 increments of Toxic Aura',1,4),
(83835,2000354,1,100,'Inflicts 11 - 20 disease damage on targets in Area of Effect',0,5),
(83836,2000354,1,100,'Requires 108 increments of Toxic Aura',1,6),
(83837,2000354,1,100,'Inflicts 10 - 18 disease damage on targets in Area of Effect',0,7),
(83838,2000354,1,100,'Requires 72 increments of Toxic Aura',1,8),
(83839,2000354,1,100,'Consumes all increments of Toxic Aura',0,9),
(83840,2000354,1,100,'You must have at least 36 increments of Toxic Aura to use Caustic Detonation!',0,10),
(83841,2000355,1,100,'On any combat or spell hit this spell may cast Cavalier''s Cry on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(83842,2000355,1,100,'Increases Threat to target encounter by 11 - 13 ',1,1),
(83843,2000355,2,100,'On any combat or spell hit this spell may cast Cavalier''s Cry on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(83844,2000355,2,100,'Increases Threat to target encounter by 1,487 - 1,697 ',1,1),
(83845,2000355,3,100,'On any combat or spell hit this spell may cast Cavalier''s Cry on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(83846,2000355,3,100,'Increases Threat to target encounter by 1,960 - 2,276 ',1,1),
(83847,2000355,4,100,'On any combat or spell hit this spell may cast Cavalier''s Cry on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(83848,2000355,4,100,'Increases Threat to target encounter by 2,434 - 2,855 ',1,1),
(83849,2000355,5,100,'On any combat or spell hit this spell may cast Cavalier''s Cry on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(83850,2000355,5,100,'Increases Threat to target encounter by 2,907 - 3,434 ',1,1),
(83851,2000355,6,100,'On any combat or spell hit this spell may cast Cavalier''s Cry on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(83852,2000355,6,100,'Increases Threat to target encounter by 3,381 - 4,012 ',1,1),
(83853,2000355,7,100,'On any combat or spell hit this spell may cast Cavalier''s Cry on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(83854,2000355,7,100,'Increases Threat to target encounter by 3,773 - 4,502 ',1,1),
(83855,2000355,8,100,'On any combat or spell hit this spell may cast Cavalier''s Cry on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(83856,2000355,8,100,'Increases Threat to target encounter by 4,328 - 5,170 ',1,1),
(83857,230013,2,100,'Interrupts target',0,0),
(83858,230013,2,100,'Decreases Threat to target by 355 - 434 ',0,1),
(83859,230013,2,100,'Stifles target',0,2),
(83860,230013,2,100,'If Target is not Epic',1,3),
(83861,230013,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(83862,230013,3,100,'Interrupts target',0,0),
(83863,230013,3,100,'Decreases Threat to target by 374 - 457 ',0,1),
(83864,230013,3,100,'Stifles target',0,2),
(83865,230013,3,100,'If Target is not Epic',1,3),
(83866,230013,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(83867,230013,4,100,'Interrupts target',0,0),
(83868,230013,4,100,'Decreases Threat to target by 412 - 503 ',0,1),
(83869,230013,4,100,'Stifles target',0,2),
(83870,230013,4,100,'If Target is not Epic',1,3),
(83871,230013,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(83872,230013,5,100,'Interrupts target',0,0),
(83873,230013,5,100,'Decreases Threat to target by 449 - 549 ',0,1),
(83874,230013,5,100,'Stifles target',0,2),
(83875,230013,5,100,'If Target is not Epic',1,3),
(83876,230013,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(83877,230013,7,100,'Interrupts target',0,0),
(83878,230013,7,100,'Decreases Threat to target by 576 - 705 ',0,1),
(83879,230013,7,100,'Stifles target',0,2),
(83880,230013,7,100,'If Target is not Epic',1,3),
(83881,230013,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(83882,230013,9,100,'Interrupts target',0,0),
(83883,230013,9,100,'Decreases Threat to target by 599 - 732 ',0,1),
(83884,230013,9,100,'Stifles target',0,2),
(83885,230013,9,100,'If Target is not Epic',1,3),
(83886,230013,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(83887,230014,1,100,'Interrupts target',0,0),
(83888,230014,1,100,'Decreases Threat to target by 825 - 1,008 ',0,1),
(83889,230014,1,100,'Stifles target',0,2),
(83890,230014,1,100,'If Target is not Epic',1,3),
(83891,230014,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(83892,230014,2,100,'Interrupts target',0,0),
(83893,230014,2,100,'Decreases Threat to target by 870 - 1,064 ',0,1),
(83894,230014,2,100,'Stifles target',0,2),
(83895,230014,2,100,'If Target is not Epic',1,3),
(83896,230014,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(83897,230014,3,100,'Interrupts target',0,0),
(83898,230014,3,100,'Decreases Threat to target by 916 - 1,120 ',0,1),
(83899,230014,3,100,'Stifles target',0,2),
(83900,230014,3,100,'If Target is not Epic',1,3),
(83901,230014,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(83902,230014,4,100,'Interrupts target',0,0),
(83903,230014,4,100,'Decreases Threat to target by 1,008 - 1,232 ',0,1),
(83904,230014,4,100,'Stifles target',0,2),
(83905,230014,4,100,'If Target is not Epic',1,3),
(83906,230014,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(83907,230014,5,100,'Interrupts target',0,0),
(83908,230014,5,100,'Decreases Threat to target by 1,100 - 1,344 ',0,1),
(83909,230014,5,100,'Stifles target',0,2),
(83910,230014,5,100,'If Target is not Epic',1,3),
(83911,230014,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(83912,230014,7,100,'Interrupts target',0,0),
(83913,230014,7,100,'Decreases Threat to target by 1,411 - 1,725 ',0,1),
(83914,230014,7,100,'Stifles target',0,2),
(83915,230014,7,100,'If Target is not Epic',1,3),
(83916,230014,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(83917,230014,9,100,'Interrupts target',0,0),
(83918,230014,9,100,'Decreases Threat to target by 1,466 - 1,792 ',0,1),
(83919,230014,9,100,'Stifles target',0,2),
(83920,230014,9,100,'If Target is not Epic',1,3),
(83921,230014,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(83922,230015,1,100,'Interrupts target',0,0),
(83923,230015,1,100,'Decreases Threat to target by 1,413 - 1,727 ',0,1),
(83924,230015,1,100,'Stifles target',0,2),
(83925,230015,1,100,'If Target is not Epic',1,3),
(83926,230015,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(83927,230015,2,100,'Interrupts target',0,0),
(83928,230015,2,100,'Decreases Threat to target by 1,491 - 1,823 ',0,1),
(83929,230015,2,100,'Stifles target',0,2),
(83930,230015,2,100,'If Target is not Epic',1,3),
(83931,230015,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(83932,230015,3,100,'Interrupts target',0,0),
(83933,230015,3,100,'Decreases Threat to target by 1,570 - 1,919 ',0,1),
(83934,230015,3,100,'Stifles target',0,2),
(83935,230015,3,100,'If Target is not Epic',1,3),
(83936,230015,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(83937,230015,4,100,'Interrupts target',0,0),
(83938,230015,4,100,'Decreases Threat to target by 1,727 - 2,111 ',0,1),
(83939,230015,4,100,'Stifles target',0,2),
(83940,230015,4,100,'If Target is not Epic',1,3),
(83941,230015,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(83942,230015,5,100,'Interrupts target',0,0),
(83943,230015,5,100,'Decreases Threat to target by 1,884 - 2,303 ',0,1),
(83944,230015,5,100,'Stifles target',0,2),
(83945,230015,5,100,'If Target is not Epic',1,3),
(83946,230015,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(83947,230015,7,100,'Interrupts target',0,0),
(83948,230015,7,100,'Decreases Threat to target by 2,418 - 2,956 ',0,1),
(83949,230015,7,100,'Stifles target',0,2),
(83950,230015,7,100,'If Target is not Epic',1,3),
(83951,230015,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(83952,230015,9,100,'Interrupts target',0,0),
(83953,230015,9,100,'Decreases Threat to target by 2,512 - 3,071 ',0,1),
(83954,230015,9,100,'Stifles target',0,2),
(83955,230015,9,100,'If Target is not Epic',1,3),
(83956,230015,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(83957,230016,1,100,'Interrupts target',0,0),
(83958,230016,1,100,'Decreases Threat to target by 2,155 - 2,634 ',0,1),
(83959,230016,1,100,'Stifles target',0,2),
(83960,230016,1,100,'If Target is not Epic',1,3),
(83961,230016,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(83962,230016,2,100,'Interrupts target',0,0),
(83963,230016,2,100,'Decreases Threat to target by 2,275 - 2,780 ',0,1),
(83964,230016,2,100,'Stifles target',0,2),
(83965,230016,2,100,'If Target is not Epic',1,3),
(83966,230016,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(83967,230016,3,100,'Interrupts target',0,0),
(83968,230016,3,100,'Decreases Threat to target by 2,394 - 2,926 ',0,1),
(83969,230016,3,100,'Stifles target',0,2),
(83970,230016,3,100,'If Target is not Epic',1,3),
(83971,230016,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(83972,230016,4,100,'Interrupts target',0,0),
(83973,230016,4,100,'Decreases Threat to target by 2,634 - 3,219 ',0,1),
(83974,230016,4,100,'Stifles target',0,2),
(83975,230016,4,100,'If Target is not Epic',1,3),
(83976,230016,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(83977,230016,5,100,'Interrupts target',0,0),
(83978,230016,5,100,'Decreases Threat to target by 2,873 - 3,512 ',0,1),
(83979,230016,5,100,'Stifles target',0,2),
(83980,230016,5,100,'If Target is not Epic',1,3),
(83981,230016,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(83982,230016,7,100,'Interrupts target',0,0),
(83983,230016,7,100,'Decreases Threat to target by 3,687 - 4,507 ',0,1),
(83984,230016,7,100,'Stifles target',0,2),
(83985,230016,7,100,'If Target is not Epic',1,3),
(83986,230016,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(83987,230016,9,100,'Interrupts target',0,0),
(83988,230016,9,100,'Decreases Threat to target by 3,831 - 4,683 ',0,1),
(83989,230016,9,100,'Stifles target',0,2),
(83990,230016,9,100,'If Target is not Epic',1,3),
(83991,230016,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(83992,230017,1,100,'Interrupts target',0,0),
(83993,230017,1,100,'Decreases Threat to target by 2,960 - 3,618 ',0,1),
(83994,230017,1,100,'Stifles target',0,2),
(83995,230017,1,100,'If Target is not Epic',1,3),
(83996,230017,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(83997,230017,2,100,'Interrupts target',0,0),
(83998,230017,2,100,'Decreases Threat to target by 3,124 - 3,819 ',0,1),
(83999,230017,2,100,'Stifles target',0,2),
(84000,230017,2,100,'If Target is not Epic',1,3),
(84001,230017,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(84002,230017,3,100,'Interrupts target',0,0),
(84003,230017,3,100,'Decreases Threat to target by 3,289 - 4,020 ',0,1),
(84004,230017,3,100,'Stifles target',0,2),
(84005,230017,3,100,'If Target is not Epic',1,3),
(84006,230017,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(84007,230017,4,100,'Interrupts target',0,0),
(84008,230017,4,100,'Decreases Threat to target by 3,618 - 4,422 ',0,1),
(84009,230017,4,100,'Stifles target',0,2),
(84010,230017,4,100,'If Target is not Epic',1,3),
(84011,230017,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(84012,230017,5,100,'Interrupts target',0,0),
(84013,230017,5,100,'Decreases Threat to target by 3,946 - 4,824 ',0,1),
(84014,230017,5,100,'Stifles target',0,2),
(84015,230017,5,100,'If Target is not Epic',1,3),
(84016,230017,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(84017,230017,7,100,'Interrupts target',0,0),
(84018,230017,7,100,'Decreases Threat to target by 5,065 - 6,190 ',0,1),
(84019,230017,7,100,'Stifles target',0,2),
(84020,230017,7,100,'If Target is not Epic',1,3),
(84021,230017,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(84022,230017,9,100,'Interrupts target',0,0),
(84023,230017,9,100,'Decreases Threat to target by 5,262 - 6,432 ',0,1),
(84024,230017,9,100,'Stifles target',0,2),
(84025,230017,9,100,'If Target is not Epic',1,3),
(84026,230017,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(84027,230018,1,100,'Interrupts target',0,0),
(84028,230018,1,100,'Decreases Threat to target by 3,762 - 4,598 ',0,1),
(84029,230018,1,100,'Stifles target',0,2),
(84030,230018,1,100,'If Target is not Epic',1,3),
(84031,230018,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(84032,230018,2,100,'Interrupts target',0,0),
(84033,230018,2,100,'Decreases Threat to target by 3,971 - 4,853 ',0,1),
(84034,230018,2,100,'Stifles target',0,2),
(84035,230018,2,100,'If Target is not Epic',1,3),
(84036,230018,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(84037,230018,3,100,'Interrupts target',0,0),
(84038,230018,3,100,'Decreases Threat to target by 4,180 - 5,109 ',0,1),
(84039,230018,3,100,'Stifles target',0,2),
(84040,230018,3,100,'If Target is not Epic',1,3),
(84041,230018,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(84042,230018,4,100,'Interrupts target',0,0),
(84043,230018,4,100,'Decreases Threat to target by 4,598 - 5,620 ',0,1),
(84044,230018,4,100,'Stifles target',0,2),
(84045,230018,4,100,'If Target is not Epic',1,3),
(84046,230018,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(84047,230018,5,100,'Interrupts target',0,0),
(84048,230018,5,100,'Decreases Threat to target by 5,016 - 6,130 ',0,1),
(84049,230018,5,100,'Stifles target',0,2),
(84050,230018,5,100,'If Target is not Epic',1,3),
(84051,230018,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(84052,230018,7,100,'Interrupts target',0,0),
(84053,230018,7,100,'Decreases Threat to target by 6,437 - 7,868 ',0,1),
(84054,230018,7,100,'Stifles target',0,2),
(84055,230018,7,100,'If Target is not Epic',1,3),
(84056,230018,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(84057,230018,9,100,'Interrupts target',0,0),
(84058,230018,9,100,'Decreases Threat to target by 6,688 - 8,174 ',0,1),
(84059,230018,9,100,'Stifles target',0,2),
(84060,230018,9,100,'If Target is not Epic',1,3),
(84061,230018,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(84062,230019,1,100,'Interrupts target',0,0),
(84063,230019,1,100,'Decreases Threat to target by 4,573 - 5,590 ',0,1),
(84064,230019,1,100,'Stifles target',0,2),
(84065,230019,1,100,'If Target is not Epic',1,3),
(84066,230019,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(84067,230019,4,100,'Interrupts target',0,0),
(84068,230019,4,100,'Decreases Threat to target by 5,590 - 6,832 ',0,1),
(84069,230019,4,100,'Stifles target',0,2),
(84070,230019,4,100,'If Target is not Epic',1,3),
(84071,230019,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(84072,230019,5,100,'Interrupts target',0,0),
(84073,230019,5,100,'Decreases Threat to target by 6,098 - 7,453 ',0,1),
(84074,230019,5,100,'Stifles target',0,2),
(84075,230019,5,100,'If Target is not Epic',1,3),
(84076,230019,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(84077,230019,7,100,'Interrupts target',0,0),
(84078,230019,7,100,'Decreases Threat to target by 7,826 - 9,565 ',0,1),
(84079,230019,7,100,'Stifles target',0,2),
(84080,230019,7,100,'If Target is not Epic',1,3),
(84081,230019,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(84082,230019,9,100,'Interrupts target',0,0),
(84083,230019,9,100,'Decreases Threat to target by 8,131 - 9,937 ',0,1),
(84084,230019,9,100,'Stifles target',0,2),
(84085,230019,9,100,'If Target is not Epic',1,3),
(84086,230019,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(84087,230020,1,100,'Interrupts target',0,0),
(84088,230020,1,100,'Decreases Threat to target by 5,384 - 6,581 ',0,1),
(84089,230020,1,100,'Stifles target',0,2),
(84090,230020,1,100,'If Target is not Epic',1,3),
(84091,230020,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(84092,230020,4,100,'Interrupts target',0,0),
(84093,230020,4,100,'Decreases Threat to target by 6,581 - 8,044 ',0,1),
(84094,230020,4,100,'Stifles target',0,2),
(84095,230020,4,100,'If Target is not Epic',1,3),
(84096,230020,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(84097,230020,5,100,'Interrupts target',0,0),
(84098,230020,5,100,'Decreases Threat to target by 7,179 - 8,775 ',0,1),
(84099,230020,5,100,'Stifles target',0,2),
(84100,230020,5,100,'If Target is not Epic',1,3),
(84101,230020,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(84102,230020,7,100,'Interrupts target',0,0),
(84103,230020,7,100,'Decreases Threat to target by 9,214 - 11,261 ',0,1),
(84104,230020,7,100,'Stifles target',0,2),
(84105,230020,7,100,'If Target is not Epic',1,3),
(84106,230020,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(84107,230020,9,100,'Interrupts target',0,0),
(84108,230020,9,100,'Decreases Threat to target by 9,573 - 11,700 ',0,1),
(84109,230020,9,100,'Stifles target',0,2),
(84110,230020,9,100,'If Target is not Epic',1,3),
(84111,230020,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(84112,250003,1,100,'Applies Migraine on termination.',0,0),
(84113,250003,1,100,'Inflicts 40 - 54 mental damage on target',1,1),
(84114,250003,1,100,'Inflicts 14 - 17 mental damage on target instantly and every 6 seconds',0,2),
(84115,250003,2,100,'Applies Migraine on termination.',0,0),
(84116,250003,2,100,'Inflicts 42 - 57 mental damage on target',1,1),
(84117,250003,2,100,'Inflicts 15 - 18 mental damage on target instantly and every 6 seconds',0,2),
(84118,250003,3,100,'Applies Migraine on termination.',0,0),
(84119,250003,3,100,'Inflicts 44 - 60 mental damage on target',1,1),
(84120,250003,3,100,'Inflicts 16 - 19 mental damage on target instantly and every 6 seconds',0,2),
(84121,250003,4,100,'Applies Migraine on termination.',0,0),
(84122,250003,4,100,'Inflicts 49 - 66 mental damage on target',1,1),
(84123,250003,4,100,'Inflicts 17 - 21 mental damage on target instantly and every 6 seconds',0,2),
(84124,250003,5,100,'Applies Migraine on termination.',0,0),
(84125,250003,5,100,'Inflicts 53 - 72 mental damage on target',1,1),
(84126,250003,5,100,'Inflicts 19 - 23 mental damage on target instantly and every 6 seconds',0,2),
(84127,250003,7,100,'Applies Migraine on termination.',0,0),
(84128,250003,7,100,'Inflicts 68 - 92 mental damage on target',1,1),
(84129,250003,7,100,'Inflicts 24 - 29 mental damage on target instantly and every 6 seconds',0,2),
(84130,250003,9,100,'Applies Migraine on termination.',0,0),
(84131,250003,9,100,'Inflicts 71 - 96 mental damage on target',1,1),
(84132,250003,9,100,'Inflicts 25 - 31 mental damage on target instantly and every 6 seconds',0,2),
(84133,250004,1,100,'Applies Migraine on termination.',0,0),
(84134,250004,1,100,'Inflicts 24 - 32 mental damage on target',1,1),
(84135,250004,1,100,'Inflicts 8 - 10 mental damage on target instantly and every 6 seconds',0,2),
(84136,250004,2,100,'Applies Migraine on termination.',0,0),
(84137,250004,2,100,'Inflicts 25 - 34 mental damage on target',1,1),
(84138,250004,2,100,'Inflicts 9 - 11 mental damage on target instantly and every 6 seconds',0,2),
(84139,250004,3,100,'Applies Migraine on termination.',0,0),
(84140,250004,3,100,'Inflicts 27 - 36 mental damage on target',1,1),
(84141,250004,3,100,'Inflicts 9 - 11 mental damage on target instantly and every 6 seconds',0,2),
(84142,250004,4,100,'Applies Migraine on termination.',0,0),
(84143,250004,4,100,'Inflicts 29 - 39 mental damage on target',1,1),
(84144,250004,4,100,'Inflicts 10 - 13 mental damage on target instantly and every 6 seconds',0,2),
(84145,250004,5,100,'Applies Migraine on termination.',0,0),
(84146,250004,5,100,'Inflicts 32 - 43 mental damage on target',1,1),
(84147,250004,5,100,'Inflicts 11 - 14 mental damage on target instantly and every 6 seconds',0,2),
(84148,250004,7,100,'Applies Migraine on termination.',0,0),
(84149,250004,7,100,'Inflicts 41 - 55 mental damage on target',1,1),
(84150,250004,7,100,'Inflicts 14 - 18 mental damage on target instantly and every 6 seconds',0,2),
(84151,250004,9,100,'Applies Migraine on termination.',0,0),
(84152,250004,9,100,'Inflicts 42 - 57 mental damage on target',1,1),
(84153,250004,9,100,'Inflicts 15 - 18 mental damage on target instantly and every 6 seconds',0,2),
(84154,300037,1,100,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',0,0),
(84155,300037,1,100,'Slows target by 13.9%',1,1),
(84156,300037,1,100,'Makes target afraid',1,2),
(84157,300037,1,100,'30% chance to dispel when target takes damage',1,3),
(84158,300037,1,100,'Resistibility increases against targets higher than level 34.',1,4),
(84159,300037,1,100,'Roots target',0,5),
(84160,300037,1,100,'15% chance to dispel when target takes damage',0,6),
(84161,300037,1,100,'Does not affect Epic targets',0,7),
(84162,300037,1,100,'Resistibility increases against targets higher than level 29.',0,8),
(84163,300037,2,100,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',0,0),
(84164,300037,2,100,'Slows target by 14.7%',1,1),
(84165,300037,2,100,'Makes target afraid',1,2),
(84166,300037,2,100,'30% chance to dispel when target takes damage',1,3),
(84167,300037,2,100,'Resistibility increases against targets higher than level 34.',1,4),
(84168,300037,2,100,'Roots target',0,5),
(84169,300037,2,100,'15% chance to dispel when target takes damage',0,6),
(84170,300037,2,100,'Does not affect Epic targets',0,7),
(84171,300037,2,100,'Resistibility increases against targets higher than level 29.',0,8),
(84172,300037,3,100,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',0,0),
(84173,300037,3,100,'Slows target by 15.5%',1,1),
(84174,300037,3,100,'Makes target afraid',1,2),
(84175,300037,3,100,'30% chance to dispel when target takes damage',1,3),
(84176,300037,3,100,'Resistibility increases against targets higher than level 34.',1,4),
(84177,300037,3,100,'Roots target',0,5),
(84178,300037,3,100,'15% chance to dispel when target takes damage',0,6),
(84179,300037,3,100,'Does not affect Epic targets',0,7),
(84180,300037,3,100,'Resistibility increases against targets higher than level 29.',0,8),
(84181,300037,4,100,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',0,0),
(84182,300037,4,100,'Slows target by 17.1%',1,1),
(84183,300037,4,100,'Makes target afraid',1,2),
(84184,300037,4,100,'30% chance to dispel when target takes damage',1,3),
(84185,300037,4,100,'Resistibility increases against targets higher than level 34.',1,4),
(84186,300037,4,100,'Roots target',0,5),
(84187,300037,4,100,'15% chance to dispel when target takes damage',0,6),
(84188,300037,4,100,'Does not affect Epic targets',0,7),
(84189,300037,4,100,'Resistibility increases against targets higher than level 29.',0,8),
(84190,300037,5,100,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',0,0),
(84191,300037,5,100,'Slows target by 18.6%',1,1),
(84192,300037,5,100,'Makes target afraid',1,2),
(84193,300037,5,100,'30% chance to dispel when target takes damage',1,3),
(84194,300037,5,100,'Resistibility increases against targets higher than level 34.',1,4),
(84195,300037,5,100,'Roots target',0,5),
(84196,300037,5,100,'15% chance to dispel when target takes damage',0,6),
(84197,300037,5,100,'Does not affect Epic targets',0,7),
(84198,300037,5,100,'Resistibility increases against targets higher than level 29.',0,8),
(84199,300037,7,100,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',0,0),
(84200,300037,7,100,'Slows target by 23.9%',1,1),
(84201,300037,7,100,'Makes target afraid',1,2),
(84202,300037,7,100,'30% chance to dispel when target takes damage',1,3),
(84203,300037,7,100,'Resistibility increases against targets higher than level 34.',1,4),
(84204,300037,7,100,'Roots target',0,5),
(84205,300037,7,100,'15% chance to dispel when target takes damage',0,6),
(84206,300037,7,100,'Does not affect Epic targets',0,7),
(84207,300037,7,100,'Resistibility increases against targets higher than level 29.',0,8),
(84208,300037,9,100,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',0,0),
(84209,300037,9,100,'Slows target by 24.8%',1,1),
(84210,300037,9,100,'Makes target afraid',1,2),
(84211,300037,9,100,'30% chance to dispel when target takes damage',1,3),
(84212,300037,9,100,'Resistibility increases against targets higher than level 34.',1,4),
(84213,300037,9,100,'Roots target',0,5),
(84214,300037,9,100,'15% chance to dispel when target takes damage',0,6),
(84215,300037,9,100,'Does not affect Epic targets',0,7),
(84216,300037,9,100,'Resistibility increases against targets higher than level 29.',0,8),
(84217,300038,1,100,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',0,0),
(84218,300038,1,100,'Slows target by 15.2%',1,1),
(84219,300038,1,100,'Makes target afraid',1,2),
(84220,300038,1,100,'30% chance to dispel when target takes damage',1,3),
(84221,300038,1,100,'Resistibility increases against targets higher than level 48.',1,4),
(84222,300038,1,100,'Roots target',0,5),
(84223,300038,1,100,'15% chance to dispel when target takes damage',0,6),
(84224,300038,1,100,'Does not affect Epic targets',0,7),
(84225,300038,1,100,'Resistibility increases against targets higher than level 29.',0,8),
(84226,300038,2,100,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',0,0),
(84227,300038,2,100,'Slows target by 16.1%',1,1),
(84228,300038,2,100,'Makes target afraid',1,2),
(84229,300038,2,100,'30% chance to dispel when target takes damage',1,3),
(84230,300038,2,100,'Resistibility increases against targets higher than level 48.',1,4),
(84231,300038,2,100,'Roots target',0,5),
(84232,300038,2,100,'15% chance to dispel when target takes damage',0,6),
(84233,300038,2,100,'Does not affect Epic targets',0,7),
(84234,300038,2,100,'Resistibility increases against targets higher than level 29.',0,8),
(84235,300038,3,100,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',0,0),
(84236,300038,3,100,'Slows target by 16.9%',1,1),
(84237,300038,3,100,'Makes target afraid',1,2),
(84238,300038,3,100,'30% chance to dispel when target takes damage',1,3),
(84239,300038,3,100,'Resistibility increases against targets higher than level 48.',1,4),
(84240,300038,3,100,'Roots target',0,5),
(84241,300038,3,100,'15% chance to dispel when target takes damage',0,6),
(84242,300038,3,100,'Does not affect Epic targets',0,7),
(84243,300038,3,100,'Resistibility increases against targets higher than level 29.',0,8),
(84244,300038,4,100,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',0,0),
(84245,300038,4,100,'Slows target by 18.6%',1,1),
(84246,300038,4,100,'Makes target afraid',1,2),
(84247,300038,4,100,'30% chance to dispel when target takes damage',1,3),
(84248,300038,4,100,'Resistibility increases against targets higher than level 48.',1,4),
(84249,300038,4,100,'Roots target',0,5),
(84250,300038,4,100,'15% chance to dispel when target takes damage',0,6),
(84251,300038,4,100,'Does not affect Epic targets',0,7),
(84252,300038,4,100,'Resistibility increases against targets higher than level 29.',0,8),
(84253,300038,5,100,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',0,0),
(84254,300038,5,100,'Slows target by 20.3%',1,1),
(84255,300038,5,100,'Makes target afraid',1,2),
(84256,300038,5,100,'30% chance to dispel when target takes damage',1,3),
(84257,300038,5,100,'Resistibility increases against targets higher than level 48.',1,4),
(84258,300038,5,100,'Roots target',0,5),
(84259,300038,5,100,'15% chance to dispel when target takes damage',0,6),
(84260,300038,5,100,'Does not affect Epic targets',0,7),
(84261,300038,5,100,'Resistibility increases against targets higher than level 29.',0,8),
(84262,300038,7,100,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',0,0),
(84263,300038,7,100,'Slows target by 26.0%',1,1),
(84264,300038,7,100,'Makes target afraid',1,2),
(84265,300038,7,100,'30% chance to dispel when target takes damage',1,3),
(84266,300038,7,100,'Resistibility increases against targets higher than level 48.',1,4),
(84267,300038,7,100,'Roots target',0,5),
(84268,300038,7,100,'15% chance to dispel when target takes damage',0,6),
(84269,300038,7,100,'Does not affect Epic targets',0,7),
(84270,300038,7,100,'Resistibility increases against targets higher than level 29.',0,8),
(84271,300038,9,100,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',0,0),
(84272,300038,9,100,'Slows target by 27.0%',1,1),
(84273,300038,9,100,'Makes target afraid',1,2),
(84274,300038,9,100,'30% chance to dispel when target takes damage',1,3),
(84275,300038,9,100,'Resistibility increases against targets higher than level 48.',1,4),
(84276,300038,9,100,'Roots target',0,5),
(84277,300038,9,100,'15% chance to dispel when target takes damage',0,6),
(84278,300038,9,100,'Does not affect Epic targets',0,7),
(84279,300038,9,100,'Resistibility increases against targets higher than level 29.',0,8),
(84280,300039,1,100,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',0,0),
(84281,300039,1,100,'Slows target by 16.5%',1,1),
(84282,300039,1,100,'Makes target afraid',1,2),
(84283,300039,1,100,'30% chance to dispel when target takes damage',1,3),
(84284,300039,1,100,'Resistibility increases against targets higher than level 62.',1,4),
(84285,300039,1,100,'Roots target',0,5),
(84286,300039,1,100,'15% chance to dispel when target takes damage',0,6),
(84287,300039,1,100,'Does not affect Epic targets',0,7),
(84288,300039,1,100,'Resistibility increases against targets higher than level 29.',0,8),
(84289,300039,2,100,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',0,0),
(84290,300039,2,100,'Slows target by 17.4%',1,1),
(84291,300039,2,100,'Makes target afraid',1,2),
(84292,300039,2,100,'30% chance to dispel when target takes damage',1,3),
(84293,300039,2,100,'Resistibility increases against targets higher than level 62.',1,4),
(84294,300039,2,100,'Roots target',0,5),
(84295,300039,2,100,'15% chance to dispel when target takes damage',0,6),
(84296,300039,2,100,'Does not affect Epic targets',0,7),
(84297,300039,2,100,'Resistibility increases against targets higher than level 29.',0,8),
(84298,300039,3,100,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',0,0),
(84299,300039,3,100,'Slows target by 18.3%',1,1),
(84300,300039,3,100,'Makes target afraid',1,2),
(84301,300039,3,100,'30% chance to dispel when target takes damage',1,3),
(84302,300039,3,100,'Resistibility increases against targets higher than level 62.',1,4),
(84303,300039,3,100,'Roots target',0,5),
(84304,300039,3,100,'15% chance to dispel when target takes damage',0,6),
(84305,300039,3,100,'Does not affect Epic targets',0,7),
(84306,300039,3,100,'Resistibility increases against targets higher than level 29.',0,8),
(84307,300039,4,100,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',0,0),
(84308,300039,4,100,'Slows target by 20.1%',1,1),
(84309,300039,4,100,'Makes target afraid',1,2),
(84310,300039,4,100,'30% chance to dispel when target takes damage',1,3),
(84311,300039,4,100,'Resistibility increases against targets higher than level 62.',1,4),
(84312,300039,4,100,'Roots target',0,5),
(84313,300039,4,100,'15% chance to dispel when target takes damage',0,6),
(84314,300039,4,100,'Does not affect Epic targets',0,7),
(84315,300039,4,100,'Resistibility increases against targets higher than level 29.',0,8),
(84316,300039,5,100,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',0,0),
(84317,300039,5,100,'Slows target by 22.0%',1,1),
(84318,300039,5,100,'Makes target afraid',1,2),
(84319,300039,5,100,'30% chance to dispel when target takes damage',1,3),
(84320,300039,5,100,'Resistibility increases against targets higher than level 62.',1,4),
(84321,300039,5,100,'Roots target',0,5),
(84322,300039,5,100,'15% chance to dispel when target takes damage',0,6),
(84323,300039,5,100,'Does not affect Epic targets',0,7),
(84324,300039,5,100,'Resistibility increases against targets higher than level 29.',0,8),
(84325,300039,7,100,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',0,0),
(84326,300039,7,100,'Slows target by 28.2%',1,1),
(84327,300039,7,100,'Makes target afraid',1,2),
(84328,300039,7,100,'30% chance to dispel when target takes damage',1,3),
(84329,300039,7,100,'Resistibility increases against targets higher than level 62.',1,4),
(84330,300039,7,100,'Roots target',0,5),
(84331,300039,7,100,'15% chance to dispel when target takes damage',0,6),
(84332,300039,7,100,'Does not affect Epic targets',0,7),
(84333,300039,7,100,'Resistibility increases against targets higher than level 29.',0,8),
(84334,300039,9,100,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',0,0),
(84335,300039,9,100,'Slows target by 29.3%',1,1),
(84336,300039,9,100,'Makes target afraid',1,2),
(84337,300039,9,100,'30% chance to dispel when target takes damage',1,3),
(84338,300039,9,100,'Resistibility increases against targets higher than level 62.',1,4),
(84339,300039,9,100,'Roots target',0,5),
(84340,300039,9,100,'15% chance to dispel when target takes damage',0,6),
(84341,300039,9,100,'Does not affect Epic targets',0,7),
(84342,300039,9,100,'Resistibility increases against targets higher than level 29.',0,8),
(84343,300040,1,100,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',0,0),
(84344,300040,1,100,'Slows target by 17.7%',1,1),
(84345,300040,1,100,'Makes target afraid',1,2),
(84346,300040,1,100,'30% chance to dispel when target takes damage',1,3),
(84347,300040,1,100,'Resistibility increases against targets higher than level 76.',1,4),
(84348,300040,1,100,'Roots target',0,5),
(84349,300040,1,100,'15% chance to dispel when target takes damage',0,6),
(84350,300040,1,100,'Does not affect Epic targets',0,7),
(84351,300040,1,100,'Resistibility increases against targets higher than level 29.',0,8),
(84352,300040,2,100,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',0,0),
(84353,300040,2,100,'Slows target by 18.7%',1,1),
(84354,300040,2,100,'Makes target afraid',1,2),
(84355,300040,2,100,'30% chance to dispel when target takes damage',1,3),
(84356,300040,2,100,'Resistibility increases against targets higher than level 76.',1,4),
(84357,300040,2,100,'Roots target',0,5),
(84358,300040,2,100,'15% chance to dispel when target takes damage',0,6),
(84359,300040,2,100,'Does not affect Epic targets',0,7),
(84360,300040,2,100,'Resistibility increases against targets higher than level 29.',0,8),
(84361,300040,3,100,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',0,0),
(84362,300040,3,100,'Slows target by 19.7%',1,1),
(84363,300040,3,100,'Makes target afraid',1,2),
(84364,300040,3,100,'30% chance to dispel when target takes damage',1,3),
(84365,300040,3,100,'Resistibility increases against targets higher than level 76.',1,4),
(84366,300040,3,100,'Roots target',0,5),
(84367,300040,3,100,'15% chance to dispel when target takes damage',0,6),
(84368,300040,3,100,'Does not affect Epic targets',0,7),
(84369,300040,3,100,'Resistibility increases against targets higher than level 29.',0,8),
(84370,300040,4,100,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',0,0),
(84371,300040,4,100,'Slows target by 21.7%',1,1),
(84372,300040,4,100,'Makes target afraid',1,2),
(84373,300040,4,100,'30% chance to dispel when target takes damage',1,3),
(84374,300040,4,100,'Resistibility increases against targets higher than level 76.',1,4),
(84375,300040,4,100,'Roots target',0,5),
(84376,300040,4,100,'15% chance to dispel when target takes damage',0,6),
(84377,300040,4,100,'Does not affect Epic targets',0,7),
(84378,300040,4,100,'Resistibility increases against targets higher than level 29.',0,8),
(84379,300040,5,100,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',0,0),
(84380,300040,5,100,'Slows target by 23.6%',1,1),
(84381,300040,5,100,'Makes target afraid',1,2),
(84382,300040,5,100,'30% chance to dispel when target takes damage',1,3),
(84383,300040,5,100,'Resistibility increases against targets higher than level 76.',1,4),
(84384,300040,5,100,'Roots target',0,5),
(84385,300040,5,100,'15% chance to dispel when target takes damage',0,6),
(84386,300040,5,100,'Does not affect Epic targets',0,7),
(84387,300040,5,100,'Resistibility increases against targets higher than level 29.',0,8),
(84388,300040,7,100,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',0,0),
(84389,300040,7,100,'Slows target by 30.3%',1,1),
(84390,300040,7,100,'Makes target afraid',1,2),
(84391,300040,7,100,'30% chance to dispel when target takes damage',1,3),
(84392,300040,7,100,'Resistibility increases against targets higher than level 76.',1,4),
(84393,300040,7,100,'Roots target',0,5),
(84394,300040,7,100,'15% chance to dispel when target takes damage',0,6),
(84395,300040,7,100,'Does not affect Epic targets',0,7),
(84396,300040,7,100,'Resistibility increases against targets higher than level 29.',0,8),
(84397,300040,9,100,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',0,0),
(84398,300040,9,100,'Slows target by 31.5%',1,1),
(84399,300040,9,100,'Makes target afraid',1,2),
(84400,300040,9,100,'30% chance to dispel when target takes damage',1,3),
(84401,300040,9,100,'Resistibility increases against targets higher than level 76.',1,4),
(84402,300040,9,100,'Roots target',0,5),
(84403,300040,9,100,'15% chance to dispel when target takes damage',0,6),
(84404,300040,9,100,'Does not affect Epic targets',0,7),
(84405,300040,9,100,'Resistibility increases against targets higher than level 29.',0,8),
(84406,300041,1,100,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',0,0),
(84407,300041,1,100,'Slows target by 18.2%',1,1),
(84408,300041,1,100,'Makes target afraid',1,2),
(84409,300041,1,100,'30% chance to dispel when target takes damage',1,3),
(84410,300041,1,100,'Resistibility increases against targets higher than level 90.',1,4),
(84411,300041,1,100,'Roots target',0,5),
(84412,300041,1,100,'15% chance to dispel when target takes damage',0,6),
(84413,300041,1,100,'Does not affect Epic targets',0,7),
(84414,300041,1,100,'Resistibility increases against targets higher than level 29.',0,8),
(84415,300041,2,100,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',0,0),
(84416,300041,2,100,'Slows target by 19.2%',1,1),
(84417,300041,2,100,'Makes target afraid',1,2),
(84418,300041,2,100,'30% chance to dispel when target takes damage',1,3),
(84419,300041,2,100,'Resistibility increases against targets higher than level 90.',1,4),
(84420,300041,2,100,'Roots target',0,5),
(84421,300041,2,100,'15% chance to dispel when target takes damage',0,6),
(84422,300041,2,100,'Does not affect Epic targets',0,7),
(84423,300041,2,100,'Resistibility increases against targets higher than level 29.',0,8),
(84424,300041,3,100,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',0,0),
(84425,300041,3,100,'Slows target by 20.2%',1,1),
(84426,300041,3,100,'Makes target afraid',1,2),
(84427,300041,3,100,'30% chance to dispel when target takes damage',1,3),
(84428,300041,3,100,'Resistibility increases against targets higher than level 90.',1,4),
(84429,300041,3,100,'Roots target',0,5),
(84430,300041,3,100,'15% chance to dispel when target takes damage',0,6),
(84431,300041,3,100,'Does not affect Epic targets',0,7),
(84432,300041,3,100,'Resistibility increases against targets higher than level 29.',0,8),
(84433,300041,4,100,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',0,0),
(84434,300041,4,100,'Slows target by 22.2%',1,1),
(84435,300041,4,100,'Makes target afraid',1,2),
(84436,300041,4,100,'30% chance to dispel when target takes damage',1,3),
(84437,300041,4,100,'Resistibility increases against targets higher than level 90.',1,4),
(84438,300041,4,100,'Roots target',0,5),
(84439,300041,4,100,'15% chance to dispel when target takes damage',0,6),
(84440,300041,4,100,'Does not affect Epic targets',0,7),
(84441,300041,4,100,'Resistibility increases against targets higher than level 29.',0,8),
(84442,300041,5,100,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',0,0),
(84443,300041,5,100,'Slows target by 24.3%',1,1),
(84444,300041,5,100,'Makes target afraid',1,2),
(84445,300041,5,100,'30% chance to dispel when target takes damage',1,3),
(84446,300041,5,100,'Resistibility increases against targets higher than level 90.',1,4),
(84447,300041,5,100,'Roots target',0,5),
(84448,300041,5,100,'15% chance to dispel when target takes damage',0,6),
(84449,300041,5,100,'Does not affect Epic targets',0,7),
(84450,300041,5,100,'Resistibility increases against targets higher than level 29.',0,8),
(84451,300041,7,100,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',0,0),
(84452,300041,7,100,'Slows target by 31.1%',1,1),
(84453,300041,7,100,'Makes target afraid',1,2),
(84454,300041,7,100,'30% chance to dispel when target takes damage',1,3),
(84455,300041,7,100,'Resistibility increases against targets higher than level 90.',1,4),
(84456,300041,7,100,'Roots target',0,5),
(84457,300041,7,100,'15% chance to dispel when target takes damage',0,6),
(84458,300041,7,100,'Does not affect Epic targets',0,7),
(84459,300041,7,100,'Resistibility increases against targets higher than level 29.',0,8),
(84460,300041,9,100,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',0,0),
(84461,300041,9,100,'Slows target by 32.4%',1,1),
(84462,300041,9,100,'Makes target afraid',1,2),
(84463,300041,9,100,'30% chance to dispel when target takes damage',1,3),
(84464,300041,9,100,'Resistibility increases against targets higher than level 90.',1,4),
(84465,300041,9,100,'Roots target',0,5),
(84466,300041,9,100,'15% chance to dispel when target takes damage',0,6),
(84467,300041,9,100,'Does not affect Epic targets',0,7),
(84468,300041,9,100,'Resistibility increases against targets higher than level 29.',0,8),
(84469,300042,1,100,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',0,0),
(84470,300042,1,100,'Slows target by 18.4%',1,1),
(84471,300042,1,100,'Makes target afraid',1,2),
(84472,300042,1,100,'30% chance to dispel when target takes damage',1,3),
(84473,300042,1,100,'Resistibility increases against targets higher than level 102.',1,4),
(84474,300042,1,100,'Roots target',0,5),
(84475,300042,1,100,'15% chance to dispel when target takes damage',0,6),
(84476,300042,1,100,'Does not affect Epic targets',0,7),
(84477,300042,1,100,'Resistibility increases against targets higher than level 29.',0,8),
(84478,300042,2,100,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',0,0),
(84479,300042,2,100,'Slows target by 19.4%',1,1),
(84480,300042,2,100,'Makes target afraid',1,2),
(84481,300042,2,100,'30% chance to dispel when target takes damage',1,3),
(84482,300042,2,100,'Resistibility increases against targets higher than level 102.',1,4),
(84483,300042,2,100,'Roots target',0,5),
(84484,300042,2,100,'15% chance to dispel when target takes damage',0,6),
(84485,300042,2,100,'Does not affect Epic targets',0,7),
(84486,300042,2,100,'Resistibility increases against targets higher than level 29.',0,8),
(84487,300042,3,100,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',0,0),
(84488,300042,3,100,'Slows target by 20.5%',1,1),
(84489,300042,3,100,'Makes target afraid',1,2),
(84490,300042,3,100,'30% chance to dispel when target takes damage',1,3),
(84491,300042,3,100,'Resistibility increases against targets higher than level 102.',1,4),
(84492,300042,3,100,'Roots target',0,5),
(84493,300042,3,100,'15% chance to dispel when target takes damage',0,6),
(84494,300042,3,100,'Does not affect Epic targets',0,7),
(84495,300042,3,100,'Resistibility increases against targets higher than level 29.',0,8),
(84496,300042,4,100,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',0,0),
(84497,300042,4,100,'Slows target by 22.5%',1,1),
(84498,300042,4,100,'Makes target afraid',1,2),
(84499,300042,4,100,'30% chance to dispel when target takes damage',1,3),
(84500,300042,4,100,'Resistibility increases against targets higher than level 102.',1,4),
(84501,300042,4,100,'Roots target',0,5),
(84502,300042,4,100,'15% chance to dispel when target takes damage',0,6),
(84503,300042,4,100,'Does not affect Epic targets',0,7),
(84504,300042,4,100,'Resistibility increases against targets higher than level 29.',0,8),
(84505,300042,5,100,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',0,0),
(84506,300042,5,100,'Slows target by 24.6%',1,1),
(84507,300042,5,100,'Makes target afraid',1,2),
(84508,300042,5,100,'30% chance to dispel when target takes damage',1,3),
(84509,300042,5,100,'Resistibility increases against targets higher than level 102.',1,4),
(84510,300042,5,100,'Roots target',0,5),
(84511,300042,5,100,'15% chance to dispel when target takes damage',0,6),
(84512,300042,5,100,'Does not affect Epic targets',0,7),
(84513,300042,5,100,'Resistibility increases against targets higher than level 29.',0,8),
(84514,300042,7,100,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',0,0),
(84515,300042,7,100,'Slows target by 31.5%',1,1),
(84516,300042,7,100,'Makes target afraid',1,2),
(84517,300042,7,100,'30% chance to dispel when target takes damage',1,3),
(84518,300042,7,100,'Resistibility increases against targets higher than level 102.',1,4),
(84519,300042,7,100,'Roots target',0,5),
(84520,300042,7,100,'15% chance to dispel when target takes damage',0,6),
(84521,300042,7,100,'Does not affect Epic targets',0,7),
(84522,300042,7,100,'Resistibility increases against targets higher than level 29.',0,8),
(84523,300042,9,100,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',0,0),
(84524,300042,9,100,'Slows target by 32.7%',1,1),
(84525,300042,9,100,'Makes target afraid',1,2),
(84526,300042,9,100,'30% chance to dispel when target takes damage',1,3),
(84527,300042,9,100,'Resistibility increases against targets higher than level 102.',1,4),
(84528,300042,9,100,'Roots target',0,5),
(84529,300042,9,100,'15% chance to dispel when target takes damage',0,6),
(84530,300042,9,100,'Does not affect Epic targets',0,7),
(84531,300042,9,100,'Resistibility increases against targets higher than level 29.',0,8),
(84532,300043,1,100,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',0,0),
(84533,300043,1,100,'Slows target by 18.6%',1,1),
(84534,300043,1,100,'Makes target afraid',1,2),
(84535,300043,1,100,'30% chance to dispel when target takes damage',1,3),
(84536,300043,1,100,'Resistibility increases against targets higher than level 112.',1,4),
(84537,300043,1,100,'Roots target',0,5),
(84538,300043,1,100,'15% chance to dispel when target takes damage',0,6),
(84539,300043,1,100,'Does not affect Epic targets',0,7),
(84540,300043,1,100,'Resistibility increases against targets higher than level 29.',0,8),
(84541,300043,4,100,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',0,0),
(84542,300043,4,100,'Slows target by 22.7%',1,1),
(84543,300043,4,100,'Makes target afraid',1,2),
(84544,300043,4,100,'30% chance to dispel when target takes damage',1,3),
(84545,300043,4,100,'Resistibility increases against targets higher than level 112.',1,4),
(84546,300043,4,100,'Roots target',0,5),
(84547,300043,4,100,'15% chance to dispel when target takes damage',0,6),
(84548,300043,4,100,'Does not affect Epic targets',0,7),
(84549,300043,4,100,'Resistibility increases against targets higher than level 29.',0,8),
(84550,300043,5,100,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',0,0),
(84551,300043,5,100,'Slows target by 24.8%',1,1),
(84552,300043,5,100,'Makes target afraid',1,2),
(84553,300043,5,100,'30% chance to dispel when target takes damage',1,3),
(84554,300043,5,100,'Resistibility increases against targets higher than level 112.',1,4),
(84555,300043,5,100,'Roots target',0,5),
(84556,300043,5,100,'15% chance to dispel when target takes damage',0,6),
(84557,300043,5,100,'Does not affect Epic targets',0,7),
(84558,300043,5,100,'Resistibility increases against targets higher than level 29.',0,8),
(84559,300043,7,100,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',0,0),
(84560,300043,7,100,'Slows target by 31.8%',1,1),
(84561,300043,7,100,'Makes target afraid',1,2),
(84562,300043,7,100,'30% chance to dispel when target takes damage',1,3),
(84563,300043,7,100,'Resistibility increases against targets higher than level 112.',1,4),
(84564,300043,7,100,'Roots target',0,5),
(84565,300043,7,100,'15% chance to dispel when target takes damage',0,6),
(84566,300043,7,100,'Does not affect Epic targets',0,7),
(84567,300043,7,100,'Resistibility increases against targets higher than level 29.',0,8),
(84568,300043,9,100,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',0,0),
(84569,300043,9,100,'Slows target by 33.1%',1,1),
(84570,300043,9,100,'Makes target afraid',1,2),
(84571,300043,9,100,'30% chance to dispel when target takes damage',1,3),
(84572,300043,9,100,'Resistibility increases against targets higher than level 112.',1,4),
(84573,300043,9,100,'Roots target',0,5),
(84574,300043,9,100,'15% chance to dispel when target takes damage',0,6),
(84575,300043,9,100,'Does not affect Epic targets',0,7),
(84576,300043,9,100,'Resistibility increases against targets higher than level 29.',0,8),
(84577,270033,1,100,'Distributes the group members'' total combined power evenly among all the members',0,0),
(84578,270033,2,100,'Distributes the group members'' total combined power evenly among all the members',0,0),
(84579,270033,3,100,'Distributes the group members'' total combined power evenly among all the members',0,0),
(84580,270033,4,100,'Distributes the group members'' total combined power evenly among all the members',0,0),
(84581,270033,5,100,'Distributes the group members'' total combined power evenly among all the members',0,0),
(84582,270033,7,100,'Distributes the group members'' total combined power evenly among all the members',0,0),
(84583,270033,9,100,'Distributes the group members'' total combined power evenly among all the members',0,0),
(84584,440075,1,100,'Attempt to channel the target''s essence so that you can add it to your construct',0,0),
(84585,440075,1,100,'Must be engaged in combat',0,1),
(84586,440075,1,100,'If any of the following are true:',0,2),
(84587,440075,1,100,'If under 25% Health',1,3),
(84588,440075,1,100,'If target is of gray difficulty',1,4),
(84589,440075,1,100,'Certain enemies cannot have their essence taken.',0,5),
(84590,440075,1,100,'Does not affect Epic targets',0,6),
(84591,270034,1,100,'Distributes the group members'' total combined power evenly among all the members',0,0),
(84592,270034,2,100,'Distributes the group members'' total combined power evenly among all the members',0,0),
(84593,270034,3,100,'Distributes the group members'' total combined power evenly among all the members',0,0),
(84594,270034,4,100,'Distributes the group members'' total combined power evenly among all the members',0,0),
(84595,270034,5,100,'Distributes the group members'' total combined power evenly among all the members',0,0),
(84596,270034,7,100,'Distributes the group members'' total combined power evenly among all the members',0,0),
(84597,270034,9,100,'Distributes the group members'' total combined power evenly among all the members',0,0),
(84598,440076,1,100,'Summon 1 Channeling Vessel',0,0),
(84599,440076,1,100,'This effect cannot be cast during combat',0,1),
(84600,440077,1,100,'Dispels 56 levels of any hostile effects on group members (AE)',0,0),
(84601,440077,1,100,'Casts Channeled Cleansing for each successful Dispel.',0,1),
(84602,440077,1,100,'Increases power of target by 397',2,2),
(84603,440078,1,100,'Reduces the group''s threat position by 2 and threat to the target encounter. Does not apply to fighters.',0,0),
(84604,440079,1,100,'Pulls all non-fighter group members to the channeler''s location if they are outside of 5 meters away from the channeler. The channeler needs line of sight to pull their targets.',0,0),
(84605,2000356,1,100,'Reduces the power cost by 100%.',0,0),
(84606,2000356,2,100,'Increases Ability Casting Speed of raid and group members (AE) by 33.0%',0,0),
(84607,2000356,2,100,'Increases Haste of raid and group members (AE) by 33.0',0,1),
(84608,2000356,2,100,'Reduces the power cost by 100%.',0,2),
(84609,2000356,2,100,'Improves trigger chance by 50%.',0,3),
(84610,440080,1,100,'On death this spell will cast Channeler''s Protection on caster.  Lasts for 36.0 seconds.  ',0,0),
(84611,440080,1,100,'Heals target for 495',1,1),
(84612,440080,1,100,'Target will Dodge 7.2% of incoming attacks',1,2),
(84613,440080,1,100,'Grants a total of 1 trigger of the spell.',1,3),
(84614,440080,4,100,'On death this spell will cast Channeler''s Protection on caster.  Lasts for 36.0 seconds.  ',0,0),
(84615,440080,4,100,'Heals target for 605',1,1),
(84616,440080,4,100,'Target will Dodge 8.8% of incoming attacks',1,2),
(84617,440080,4,100,'Grants a total of 1 trigger of the spell.',1,3),
(84618,440080,5,100,'On death this spell will cast Channeler''s Protection on caster.  Lasts for 36.0 seconds.  ',0,0),
(84619,440080,5,100,'Heals target for 660',1,1),
(84620,440080,5,100,'Target will Dodge 9.6% of incoming attacks',1,2),
(84621,440080,5,100,'Grants a total of 1 trigger of the spell.',1,3),
(84622,440080,7,100,'On death this spell will cast Channeler''s Protection on caster.  Lasts for 36.0 seconds.  ',0,0),
(84623,440080,7,100,'Heals target for 847',1,1),
(84624,440080,7,100,'Target will Dodge 12.3% of incoming attacks',1,2),
(84625,440080,7,100,'Grants a total of 1 trigger of the spell.',1,3),
(84626,440080,9,100,'On death this spell will cast Channeler''s Protection on caster.  Lasts for 36.0 seconds.  ',0,0),
(84627,440080,9,100,'Heals target for 880',1,1),
(84628,440080,9,100,'Target will Dodge 12.8% of incoming attacks',1,2),
(84629,440080,9,100,'Grants a total of 1 trigger of the spell.',1,3),
(84630,440081,1,100,'On death this spell will cast Channeler''s Protection on caster.  Lasts for 36.0 seconds.  ',0,0),
(84631,440081,1,100,'Heals target for 664',1,1),
(84632,440081,1,100,'Target will Dodge 7.2% of incoming attacks',1,2),
(84633,440081,1,100,'Grants a total of 1 trigger of the spell.',1,3),
(84634,440081,4,100,'On death this spell will cast Channeler''s Protection on caster.  Lasts for 36.0 seconds.  ',0,0),
(84635,440081,4,100,'Heals target for 811',1,1),
(84636,440081,4,100,'Target will Dodge 8.8% of incoming attacks',1,2),
(84637,440081,4,100,'Grants a total of 1 trigger of the spell.',1,3),
(84638,440081,5,100,'On death this spell will cast Channeler''s Protection on caster.  Lasts for 36.0 seconds.  ',0,0),
(84639,440081,5,100,'Heals target for 885',1,1),
(84640,440081,5,100,'Target will Dodge 9.6% of incoming attacks',1,2),
(84641,440081,5,100,'Grants a total of 1 trigger of the spell.',1,3),
(84642,440081,7,100,'On death this spell will cast Channeler''s Protection on caster.  Lasts for 36.0 seconds.  ',0,0),
(84643,440081,7,100,'Heals target for 1136',1,1),
(84644,440081,7,100,'Target will Dodge 12.3% of incoming attacks',1,2),
(84645,440081,7,100,'Grants a total of 1 trigger of the spell.',1,3),
(84646,440081,9,100,'On death this spell will cast Channeler''s Protection on caster.  Lasts for 36.0 seconds.  ',0,0),
(84647,440081,9,100,'Heals target for 1180',1,1),
(84648,440081,9,100,'Target will Dodge 12.8% of incoming attacks',1,2),
(84649,440081,9,100,'Grants a total of 1 trigger of the spell.',1,3),
(84650,440082,1,100,'On death this spell will cast Channeler''s Protection on caster.  Lasts for 36.0 seconds.  ',0,0),
(84651,440082,1,100,'Heals target for 833',1,1),
(84652,440082,1,100,'Target will Dodge 7.2% of incoming attacks',1,2),
(84653,440082,1,100,'Grants a total of 1 trigger of the spell.',1,3),
(84654,440082,4,100,'On death this spell will cast Channeler''s Protection on caster.  Lasts for 36.0 seconds.  ',0,0),
(84655,440082,4,100,'Heals target for 1018',1,1),
(84656,440082,4,100,'Target will Dodge 8.8% of incoming attacks',1,2),
(84657,440082,4,100,'Grants a total of 1 trigger of the spell.',1,3),
(84658,440082,5,100,'On death this spell will cast Channeler''s Protection on caster.  Lasts for 36.0 seconds.  ',0,0),
(84659,440082,5,100,'Heals target for 1110',1,1),
(84660,440082,5,100,'Target will Dodge 9.6% of incoming attacks',1,2),
(84661,440082,5,100,'Grants a total of 1 trigger of the spell.',1,3),
(84662,440082,7,100,'On death this spell will cast Channeler''s Protection on caster.  Lasts for 36.0 seconds.  ',0,0),
(84663,440082,7,100,'Heals target for 1425',1,1),
(84664,440082,7,100,'Target will Dodge 12.3% of incoming attacks',1,2),
(84665,440082,7,100,'Grants a total of 1 trigger of the spell.',1,3),
(84666,440082,9,100,'On death this spell will cast Channeler''s Protection on caster.  Lasts for 36.0 seconds.  ',0,0),
(84667,440082,9,100,'Heals target for 1480',1,1),
(84668,440082,9,100,'Target will Dodge 12.8% of incoming attacks',1,2),
(84669,440082,9,100,'Grants a total of 1 trigger of the spell.',1,3),
(84670,440083,1,100,'On death this spell will cast Channeler''s Protection on caster.  Lasts for 36.0 seconds.  ',0,0),
(84671,440083,1,100,'Heals target for 1001',1,1),
(84672,440083,1,100,'Target will Dodge 7.2% of incoming attacks',1,2),
(84673,440083,1,100,'Grants a total of 1 trigger of the spell.',1,3),
(84674,440083,4,100,'On death this spell will cast Channeler''s Protection on caster.  Lasts for 36.0 seconds.  ',0,0),
(84675,440083,4,100,'Heals target for 1224',1,1),
(84676,440083,4,100,'Target will Dodge 8.8% of incoming attacks',1,2),
(84677,440083,4,100,'Grants a total of 1 trigger of the spell.',1,3),
(84678,440083,5,100,'On death this spell will cast Channeler''s Protection on caster.  Lasts for 36.0 seconds.  ',0,0),
(84679,440083,5,100,'Heals target for 1335',1,1),
(84680,440083,5,100,'Target will Dodge 9.6% of incoming attacks',1,2),
(84681,440083,5,100,'Grants a total of 1 trigger of the spell.',1,3),
(84682,440083,7,100,'On death this spell will cast Channeler''s Protection on caster.  Lasts for 36.0 seconds.  ',0,0),
(84683,440083,7,100,'Heals target for 1713',1,1),
(84684,440083,7,100,'Target will Dodge 12.3% of incoming attacks',1,2),
(84685,440083,7,100,'Grants a total of 1 trigger of the spell.',1,3),
(84686,440083,9,100,'On death this spell will cast Channeler''s Protection on caster.  Lasts for 36.0 seconds.  ',0,0),
(84687,440083,9,100,'Heals target for 1780',1,1),
(84688,440083,9,100,'Target will Dodge 12.8% of incoming attacks',1,2),
(84689,440083,9,100,'Grants a total of 1 trigger of the spell.',1,3),
(84690,440084,1,100,'On death this spell will cast Channeler''s Protection on caster.  Lasts for 36.0 seconds.  ',0,0),
(84691,440084,1,100,'Heals target for 1350',1,1),
(84692,440084,1,100,'Target will Dodge 7.2% of incoming attacks',1,2),
(84693,440084,1,100,'Grants a total of 1 trigger of the spell.',1,3),
(84694,440084,4,100,'On death this spell will cast Channeler''s Protection on caster.  Lasts for 36.0 seconds.  ',0,0),
(84695,440084,4,100,'Heals target for 1650',1,1),
(84696,440084,4,100,'Target will Dodge 8.8% of incoming attacks',1,2),
(84697,440084,4,100,'Grants a total of 1 trigger of the spell.',1,3),
(84698,440084,5,100,'On death this spell will cast Channeler''s Protection on caster.  Lasts for 36.0 seconds.  ',0,0),
(84699,440084,5,100,'Heals target for 1800',1,1),
(84700,440084,5,100,'Target will Dodge 9.6% of incoming attacks',1,2),
(84701,440084,5,100,'Grants a total of 1 trigger of the spell.',1,3),
(84702,440084,7,100,'On death this spell will cast Channeler''s Protection on caster.  Lasts for 36.0 seconds.  ',0,0),
(84703,440084,7,100,'Heals target for 2310',1,1),
(84704,440084,7,100,'Target will Dodge 12.3% of incoming attacks',1,2),
(84705,440084,7,100,'Grants a total of 1 trigger of the spell.',1,3),
(84706,440084,9,100,'On death this spell will cast Channeler''s Protection on caster.  Lasts for 36.0 seconds.  ',0,0),
(84707,440084,9,100,'Heals target for 2400',1,1),
(84708,440084,9,100,'Target will Dodge 12.8% of incoming attacks',1,2),
(84709,440084,9,100,'Grants a total of 1 trigger of the spell.',1,3),
(84710,440085,1,100,'On death this spell will cast Channeler''s Protection on caster.  Lasts for 36.0 seconds.  ',0,0),
(84711,440085,1,100,'Heals target for 1609',1,1),
(84712,440085,1,100,'Target will Dodge 7.2% of incoming attacks',1,2),
(84713,440085,1,100,'Grants a total of 1 trigger of the spell.',1,3),
(84714,440085,4,100,'On death this spell will cast Channeler''s Protection on caster.  Lasts for 36.0 seconds.  ',0,0),
(84715,440085,4,100,'Heals target for 1966',1,1),
(84716,440085,4,100,'Target will Dodge 8.8% of incoming attacks',1,2),
(84717,440085,4,100,'Grants a total of 1 trigger of the spell.',1,3),
(84718,440085,5,100,'On death this spell will cast Channeler''s Protection on caster.  Lasts for 36.0 seconds.  ',0,0),
(84719,440085,5,100,'Heals target for 2145',1,1),
(84720,440085,5,100,'Target will Dodge 9.6% of incoming attacks',1,2),
(84721,440085,5,100,'Grants a total of 1 trigger of the spell.',1,3),
(84722,440085,7,100,'On death this spell will cast Channeler''s Protection on caster.  Lasts for 36.0 seconds.  ',0,0),
(84723,440085,7,100,'Heals target for 2753',1,1),
(84724,440085,7,100,'Target will Dodge 12.3% of incoming attacks',1,2),
(84725,440085,7,100,'Grants a total of 1 trigger of the spell.',1,3),
(84726,440085,9,100,'On death this spell will cast Channeler''s Protection on caster.  Lasts for 36.0 seconds.  ',0,0),
(84727,440085,9,100,'Heals target for 2860',1,1),
(84728,440085,9,100,'Target will Dodge 12.8% of incoming attacks',1,2),
(84729,440085,9,100,'Grants a total of 1 trigger of the spell.',1,3),
(84730,440086,1,100,'On death this spell will cast Channeler''s Protection on caster.  Lasts for 36.0 seconds.  ',0,0),
(84731,440086,1,100,'Heals target for 1688',1,1),
(84732,440086,1,100,'Target will Dodge 7.2% of incoming attacks',1,2),
(84733,440086,1,100,'Grants a total of 1 trigger of the spell.',1,3),
(84734,440086,4,100,'On death this spell will cast Channeler''s Protection on caster.  Lasts for 36.0 seconds.  ',0,0),
(84735,440086,4,100,'Heals target for 2063',1,1),
(84736,440086,4,100,'Target will Dodge 8.8% of incoming attacks',1,2),
(84737,440086,4,100,'Grants a total of 1 trigger of the spell.',1,3),
(84738,440086,5,100,'On death this spell will cast Channeler''s Protection on caster.  Lasts for 36.0 seconds.  ',0,0),
(84739,440086,5,100,'Heals target for 2250',1,1),
(84740,440086,5,100,'Target will Dodge 9.6% of incoming attacks',1,2),
(84741,440086,5,100,'Grants a total of 1 trigger of the spell.',1,3),
(84742,440086,7,100,'On death this spell will cast Channeler''s Protection on caster.  Lasts for 36.0 seconds.  ',0,0),
(84743,440086,7,100,'Heals target for 2888',1,1),
(84744,440086,7,100,'Target will Dodge 12.3% of incoming attacks',1,2),
(84745,440086,7,100,'Grants a total of 1 trigger of the spell.',1,3),
(84746,440086,9,100,'On death this spell will cast Channeler''s Protection on caster.  Lasts for 36.0 seconds.  ',0,0),
(84747,440086,9,100,'Heals target for 3000',1,1),
(84748,440086,9,100,'Target will Dodge 12.8% of incoming attacks',1,2),
(84749,440086,9,100,'Grants a total of 1 trigger of the spell.',1,3),
(84750,440087,1,100,'Applies Channeled Resurrection.',0,0),
(84751,440087,1,100,'Resurrects target with 30% health and power',1,1),
(84752,440087,1,100,'Only affects targets within 8 meters of the channeler',1,2),
(84753,440088,1,100,'Applies Channeled Transference.',0,0),
(84754,440088,1,100,'Heals group members (AE) for 561',1,1),
(84755,440088,1,100,'Requires and consumes 15% of your construct''s health',0,2),
(84756,440088,1,100,'If pet over 15% Health',0,3),
(84757,360086,1,100,'Inflicts 31 mental damage on target encounter instantly and every 6 seconds',0,0),
(84758,360086,1,100,'Decreases WIS of target encounter by 22.1',0,1),
(84759,360086,2,100,'Inflicts 33 mental damage on target encounter instantly and every 6 seconds',0,0),
(84760,360086,2,100,'Decreases WIS of target encounter by 23.4',0,1),
(84761,360086,3,100,'Inflicts 35 mental damage on target encounter instantly and every 6 seconds',0,0),
(84762,360086,3,100,'Decreases WIS of target encounter by 24.6',0,1),
(84763,360086,4,100,'Inflicts 38 mental damage on target encounter instantly and every 6 seconds',0,0),
(84764,360086,4,100,'Decreases WIS of target encounter by 27.1',0,1),
(84765,360086,5,100,'Inflicts 42 mental damage on target encounter instantly and every 6 seconds',0,0),
(84766,360086,5,100,'Decreases WIS of target encounter by 29.5',0,1),
(84767,360086,7,100,'Inflicts 54 mental damage on target encounter instantly and every 6 seconds',0,0),
(84768,360086,7,100,'Decreases WIS of target encounter by 37.9',0,1),
(84769,360086,9,100,'Inflicts 56 mental damage on target encounter instantly and every 6 seconds',0,0),
(84770,360086,9,100,'Decreases WIS of target encounter by 39.4',0,1),
(84771,360086,10,100,'Inflicts 59 mental damage on target encounter instantly and every 6 seconds',0,0),
(84772,360086,10,100,'Decreases WIS of target encounter by 41.3',0,1),
(84773,360087,1,100,'Inflicts 48 mental damage on target encounter instantly and every 6 seconds',0,0),
(84774,360087,1,100,'Decreases WIS of target encounter by 32.2',0,1),
(84775,360087,2,100,'Inflicts 51 mental damage on target encounter instantly and every 6 seconds',0,0),
(84776,360087,2,100,'Decreases WIS of target encounter by 34.0',0,1),
(84777,360087,3,100,'Inflicts 53 mental damage on target encounter instantly and every 6 seconds',0,0),
(84778,360087,3,100,'Decreases WIS of target encounter by 35.8',0,1),
(84779,360087,4,100,'Inflicts 59 mental damage on target encounter instantly and every 6 seconds',0,0),
(84780,360087,4,100,'Decreases WIS of target encounter by 39.4',0,1),
(84781,360087,5,100,'Inflicts 64 mental damage on target encounter instantly and every 6 seconds',0,0),
(84782,360087,5,100,'Decreases WIS of target encounter by 43.0',0,1),
(84783,360087,7,100,'Inflicts 82 mental damage on target encounter instantly and every 6 seconds',0,0),
(84784,360087,7,100,'Decreases WIS of target encounter by 55.1',0,1),
(84785,360087,9,100,'Inflicts 86 mental damage on target encounter instantly and every 6 seconds',0,0),
(84786,360087,9,100,'Decreases WIS of target encounter by 57.3',0,1),
(84787,360088,1,100,'Inflicts 67 mental damage on target encounter instantly and every 6 seconds',0,0),
(84788,360088,1,100,'Decreases WIS of target encounter by 42.3',0,1),
(84789,360088,2,100,'Inflicts 71 mental damage on target encounter instantly and every 6 seconds',0,0),
(84790,360088,2,100,'Decreases WIS of target encounter by 44.6',0,1),
(84791,360088,3,100,'Inflicts 75 mental damage on target encounter instantly and every 6 seconds',0,0),
(84792,360088,3,100,'Decreases WIS of target encounter by 47.0',0,1),
(84793,360088,4,100,'Inflicts 82 mental damage on target encounter instantly and every 6 seconds',0,0),
(84794,360088,4,100,'Decreases WIS of target encounter by 51.7',0,1),
(84795,360088,5,100,'Inflicts 89 mental damage on target encounter instantly and every 6 seconds',0,0),
(84796,360088,5,100,'Decreases WIS of target encounter by 56.4',0,1),
(84797,360088,7,100,'Inflicts 115 mental damage on target encounter instantly and every 6 seconds',0,0),
(84798,360088,7,100,'Decreases WIS of target encounter by 72.4',0,1),
(84799,360088,9,100,'Inflicts 119 mental damage on target encounter instantly and every 6 seconds',0,0),
(84800,360088,9,100,'Decreases WIS of target encounter by 75.2',0,1),
(84801,360088,10,100,'Inflicts 125 mental damage on target encounter instantly and every 6 seconds',0,0),
(84802,360088,10,100,'Decreases WIS of target encounter by 79.0',0,1),
(84803,360089,1,100,'Inflicts 86 mental damage on target encounter instantly and every 6 seconds',0,0),
(84804,360089,1,100,'Decreases WIS of target encounter by 52.5',0,1),
(84805,360089,2,100,'Inflicts 90 mental damage on target encounter instantly and every 6 seconds',0,0),
(84806,360089,2,100,'Decreases WIS of target encounter by 55.4',0,1),
(84807,360089,3,100,'Inflicts 95 mental damage on target encounter instantly and every 6 seconds',0,0),
(84808,360089,3,100,'Decreases WIS of target encounter by 58.3',0,1),
(84809,360089,4,100,'Inflicts 105 mental damage on target encounter instantly and every 6 seconds',0,0),
(84810,360089,4,100,'Decreases WIS of target encounter by 64.1',0,1),
(84811,360089,5,100,'Inflicts 114 mental damage on target encounter instantly and every 6 seconds',0,0),
(84812,360089,5,100,'Decreases WIS of target encounter by 70.0',0,1),
(84813,360089,7,100,'Inflicts 147 mental damage on target encounter instantly and every 6 seconds',0,0),
(84814,360089,7,100,'Decreases WIS of target encounter by 89.8',0,1),
(84815,360089,9,100,'Inflicts 152 mental damage on target encounter instantly and every 6 seconds',0,0),
(84816,360089,9,100,'Decreases WIS of target encounter by 93.3',0,1),
(84817,360089,10,100,'Inflicts 160 mental damage on target encounter instantly and every 6 seconds',0,0),
(84818,360089,10,100,'Decreases WIS of target encounter by 97.9',0,1),
(84819,360090,1,100,'Inflicts 104 mental damage on target encounter instantly and every 6 seconds',0,0),
(84820,360090,1,100,'Decreases WIS of target encounter by 62.4',0,1),
(84821,360090,4,100,'Inflicts 127 mental damage on target encounter instantly and every 6 seconds',0,0),
(84822,360090,4,100,'Decreases WIS of target encounter by 76.2',0,1),
(84823,360090,5,100,'Inflicts 138 mental damage on target encounter instantly and every 6 seconds',0,0),
(84824,360090,5,100,'Decreases WIS of target encounter by 83.2',0,1),
(84825,360090,7,100,'Inflicts 177 mental damage on target encounter instantly and every 6 seconds',0,0),
(84826,360090,7,100,'Decreases WIS of target encounter by 106.7',0,1),
(84827,360090,9,100,'Inflicts 184 mental damage on target encounter instantly and every 6 seconds',0,0),
(84828,360090,9,100,'Decreases WIS of target encounter by 110.9',0,1),
(84829,360091,1,100,'Inflicts 120 mental damage on target encounter instantly and every 6 seconds',0,0),
(84830,360091,1,100,'Decreases WIS of target encounter by 72.3',0,1),
(84831,360091,4,100,'Inflicts 146 mental damage on target encounter instantly and every 6 seconds',0,0),
(84832,360091,4,100,'Decreases WIS of target encounter by 88.3',0,1),
(84833,360091,5,100,'Inflicts 160 mental damage on target encounter instantly and every 6 seconds',0,0),
(84834,360091,5,100,'Decreases WIS of target encounter by 96.4',0,1),
(84835,360091,7,100,'Inflicts 205 mental damage on target encounter instantly and every 6 seconds',0,0),
(84836,360091,7,100,'Decreases WIS of target encounter by 123.7',0,1),
(84837,360091,9,100,'Inflicts 213 mental damage on target encounter instantly and every 6 seconds',0,0),
(84838,360091,9,100,'Decreases WIS of target encounter by 128.5',0,1),
(84839,2000357,1,100,'Increases threat priority of targets in Area of Effect by 3 positions',0,0),
(84840,2000357,1,100,'Increases Threat to targets in Area of Effect by 529 - 646  instantly and every 4 seconds thereafter',0,1),
(84841,2000357,1,100,'Inflicts 10 - 16 disease damage on targets in Area of Effect',0,2),
(84842,2000357,1,100,'Inflicts 5 - 8 disease damage on targets in Area of Effect every 4 seconds',0,3),
(84843,2000358,1,100,'Inflicts 1 - 2 slashing damage on target',0,0),
(84844,2000358,1,100,'Slows target by 45.0%',0,1),
(84845,250005,1,100,'Charms target',0,0),
(84846,250005,1,100,'Increases Power Regen of target by 2.7',0,1),
(84847,250005,1,100,'Increases Health Regen of target by 5.4',0,2),
(84848,250005,1,100,'If outside an arena',0,3),
(84849,250005,1,100,'Certain enemies cannot be charmed',0,4),
(84850,250005,1,100,'Only affects targets level 24 and below',0,5),
(84851,250005,1,100,'Does not affect Epic targets',0,6),
(84852,270035,1,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(84853,270035,1,100,'Mesmerizes target',1,1),
(84854,270035,1,100,'Dispelled when target takes damage',1,2),
(84855,270035,1,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(84856,270035,1,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(84857,270035,1,100,'Grants Sonic Vision to caster',1,5),
(84858,270035,1,100,'Charms target',0,6),
(84859,270035,1,100,'Increases Power Regen of target by 2.0',0,7),
(84860,270035,1,100,'Increases Health Regen of target by 4.0',0,8),
(84861,270035,1,100,'Certain enemies cannot be charmed',0,9),
(84862,270035,1,100,'Only affects targets level 16 and below',0,10),
(84863,270035,1,100,'Does not affect Epic targets',0,11),
(84864,270035,2,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(84865,270035,2,100,'Mesmerizes target',1,1),
(84866,270035,2,100,'Dispelled when target takes damage',1,2),
(84867,270035,2,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(84868,270035,2,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(84869,270035,2,100,'Grants Sonic Vision to caster',1,5),
(84870,270035,2,100,'Charms target',0,6),
(84871,270035,2,100,'Increases Power Regen of target by 2.1',0,7),
(84872,270035,2,100,'Increases Health Regen of target by 4.2',0,8),
(84873,270035,2,100,'Certain enemies cannot be charmed',0,9),
(84874,270035,2,100,'Only affects targets level 16 and below',0,10),
(84875,270035,2,100,'Does not affect Epic targets',0,11),
(84876,250005,2,100,'Charms target',0,0),
(84877,250005,2,100,'Increases Power Regen of target by 2.8',0,1),
(84878,250005,2,100,'Increases Health Regen of target by 5.7',0,2),
(84879,250005,2,100,'If outside an arena',0,3),
(84880,250005,2,100,'Certain enemies cannot be charmed',0,4),
(84881,250005,2,100,'Only affects targets level 24 and below',0,5),
(84882,250005,2,100,'Does not affect Epic targets',0,6),
(84883,250005,3,100,'Charms target',0,0),
(84884,250005,3,100,'Increases Power Regen of target by 3.0',0,1),
(84885,250005,3,100,'Increases Health Regen of target by 6.0',0,2),
(84886,250005,3,100,'If outside an arena',0,3),
(84887,250005,3,100,'Certain enemies cannot be charmed',0,4),
(84888,250005,3,100,'Only affects targets level 24 and below',0,5),
(84889,250005,3,100,'Does not affect Epic targets',0,6),
(84890,270035,3,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(84891,270035,3,100,'Mesmerizes target',1,1),
(84892,270035,3,100,'Dispelled when target takes damage',1,2),
(84893,270035,3,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(84894,270035,3,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(84895,270035,3,100,'Grants Sonic Vision to caster',1,5),
(84896,270035,3,100,'Charms target',0,6),
(84897,270035,3,100,'Increases Power Regen of target by 2.2',0,7),
(84898,270035,3,100,'Increases Health Regen of target by 4.4',0,8),
(84899,270035,3,100,'Certain enemies cannot be charmed',0,9),
(84900,270035,3,100,'Only affects targets level 16 and below',0,10),
(84901,270035,3,100,'Does not affect Epic targets',0,11),
(84902,270035,4,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(84903,270035,4,100,'Mesmerizes target',1,1),
(84904,270035,4,100,'Dispelled when target takes damage',1,2),
(84905,270035,4,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(84906,270035,4,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(84907,270035,4,100,'Grants Sonic Vision to caster',1,5),
(84908,270035,4,100,'Charms target',0,6),
(84909,270035,4,100,'Increases Power Regen of target by 2.4',0,7),
(84910,270035,4,100,'Increases Health Regen of target by 4.8',0,8),
(84911,270035,4,100,'Certain enemies cannot be charmed',0,9),
(84912,270035,4,100,'Only affects targets level 16 and below',0,10),
(84913,270035,4,100,'Does not affect Epic targets',0,11),
(84914,250005,4,100,'Charms target',0,0),
(84915,250005,4,100,'Increases Power Regen of target by 3.3',0,1),
(84916,250005,4,100,'Increases Health Regen of target by 6.6',0,2),
(84917,250005,4,100,'If outside an arena',0,3),
(84918,250005,4,100,'Certain enemies cannot be charmed',0,4),
(84919,250005,4,100,'Only affects targets level 24 and below',0,5),
(84920,250005,4,100,'Does not affect Epic targets',0,6),
(84921,270035,5,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(84922,270035,5,100,'Mesmerizes target',1,1),
(84923,270035,5,100,'Dispelled when target takes damage',1,2),
(84924,270035,5,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(84925,270035,5,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(84926,270035,5,100,'Grants Sonic Vision to caster',1,5),
(84927,270035,5,100,'Charms target',0,6),
(84928,270035,5,100,'Increases Power Regen of target by 2.6',0,7),
(84929,270035,5,100,'Increases Health Regen of target by 5.3',0,8),
(84930,270035,5,100,'Certain enemies cannot be charmed',0,9),
(84931,270035,5,100,'Only affects targets level 16 and below',0,10),
(84932,270035,5,100,'Does not affect Epic targets',0,11),
(84933,250005,5,100,'Charms target',0,0),
(84934,250005,5,100,'Increases Power Regen of target by 3.6',0,1),
(84935,250005,5,100,'Increases Health Regen of target by 7.2',0,2),
(84936,250005,5,100,'If outside an arena',0,3),
(84937,250005,5,100,'Certain enemies cannot be charmed',0,4),
(84938,250005,5,100,'Only affects targets level 24 and below',0,5),
(84939,250005,5,100,'Does not affect Epic targets',0,6),
(84940,250005,7,100,'Charms target',0,0),
(84941,250005,7,100,'Increases Power Regen of target by 4.6',0,1),
(84942,250005,7,100,'Increases Health Regen of target by 9.2',0,2),
(84943,250005,7,100,'If outside an arena',0,3),
(84944,250005,7,100,'Certain enemies cannot be charmed',0,4),
(84945,250005,7,100,'Only affects targets level 24 and below',0,5),
(84946,250005,7,100,'Does not affect Epic targets',0,6),
(84947,270035,7,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(84948,270035,7,100,'Mesmerizes target',1,1),
(84949,270035,7,100,'Dispelled when target takes damage',1,2),
(84950,270035,7,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(84951,270035,7,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(84952,270035,7,100,'Grants Sonic Vision to caster',1,5),
(84953,270035,7,100,'Charms target',0,6),
(84954,270035,7,100,'Increases Power Regen of target by 3.4',0,7),
(84955,270035,7,100,'Increases Health Regen of target by 6.8',0,8),
(84956,270035,7,100,'Certain enemies cannot be charmed',0,9),
(84957,270035,7,100,'Only affects targets level 16 and below',0,10),
(84958,270035,7,100,'Does not affect Epic targets',0,11),
(84959,270035,9,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(84960,270035,9,100,'Mesmerizes target',1,1),
(84961,270035,9,100,'Dispelled when target takes damage',1,2),
(84962,270035,9,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(84963,270035,9,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(84964,270035,9,100,'Grants Sonic Vision to caster',1,5),
(84965,270035,9,100,'Charms target',0,6),
(84966,270035,9,100,'Increases Power Regen of target by 3.5',0,7),
(84967,270035,9,100,'Increases Health Regen of target by 7.0',0,8),
(84968,270035,9,100,'Certain enemies cannot be charmed',0,9),
(84969,270035,9,100,'Only affects targets level 16 and below',0,10),
(84970,270035,9,100,'Does not affect Epic targets',0,11),
(84971,250005,9,100,'Charms target',0,0),
(84972,250005,9,100,'Increases Power Regen of target by 4.8',0,1),
(84973,250005,9,100,'Increases Health Regen of target by 9.6',0,2),
(84974,250005,9,100,'If outside an arena',0,3),
(84975,250005,9,100,'Certain enemies cannot be charmed',0,4),
(84976,250005,9,100,'Only affects targets level 24 and below',0,5),
(84977,250005,9,100,'Does not affect Epic targets',0,6),
(84978,2000359,1,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(84979,2000359,1,100,'Mesmerizes target',1,1),
(84980,2000359,1,100,'Dispelled when target takes damage',1,2),
(84981,2000359,1,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(84982,2000359,1,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(84983,2000359,1,100,'Grants Sonic Vision to caster',1,5),
(84984,2000359,1,100,'Charms target',0,6),
(84985,2000359,1,100,'Increases Power Regen of target by 2.0',0,7),
(84986,2000359,1,100,'Increases Health Regen of target by 4.0',0,8),
(84987,2000359,1,100,'Certain enemies cannot be charmed',0,9),
(84988,2000359,1,100,'Does not affect Epic targets',0,10),
(84989,2000359,2,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(84990,2000359,2,100,'Mesmerizes target',1,1),
(84991,2000359,2,100,'Dispelled when target takes damage',1,2),
(84992,2000359,2,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(84993,2000359,2,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(84994,2000359,2,100,'Grants Sonic Vision to caster',1,5),
(84995,2000359,2,100,'Charms target',0,6),
(84996,2000359,2,100,'Increases Power Regen of target by 48.6',0,7),
(84997,2000359,2,100,'Increases Health Regen of target by 105.0',0,8),
(84998,2000359,2,100,'Certain enemies cannot be charmed',0,9),
(84999,2000359,2,100,'Does not affect Epic targets',0,10),
(85000,2000359,3,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(85001,2000359,3,100,'Mesmerizes target',1,1),
(85002,2000359,3,100,'Dispelled when target takes damage',1,2),
(85003,2000359,3,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(85004,2000359,3,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(85005,2000359,3,100,'Grants Sonic Vision to caster',1,5),
(85006,2000359,3,100,'Charms target',0,6),
(85007,2000359,3,100,'Increases Out-of-Combat Power Regeneration of target by 48.0',0,7),
(85008,2000359,3,100,'Increases Out-of-Combat Health Regeneration of target by 104.0',0,8),
(85009,2000359,3,100,'Certain enemies cannot be charmed',0,9),
(85010,2000359,3,100,'Does not affect Epic targets',0,10),
(85011,2000359,4,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(85012,2000359,4,100,'Mesmerizes target',1,1),
(85013,2000359,4,100,'Dispelled when target takes damage',1,2),
(85014,2000359,4,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(85015,2000359,4,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(85016,2000359,4,100,'Grants Sonic Vision to caster',1,5),
(85017,2000359,4,100,'Charms target',0,6),
(85018,2000359,4,100,'Increases Power Regen of target by 48.6',0,7),
(85019,2000359,4,100,'Increases Health Regen of target by 105.0',0,8),
(85020,2000359,4,100,'Certain enemies cannot be charmed',0,9),
(85021,2000359,4,100,'Does not affect Epic targets',0,10),
(85022,2000359,5,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(85023,2000359,5,100,'Mesmerizes target',1,1),
(85024,2000359,5,100,'Dispelled when target takes damage',1,2),
(85025,2000359,5,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(85026,2000359,5,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(85027,2000359,5,100,'Grants Sonic Vision to caster',1,5),
(85028,2000359,5,100,'Charms target',0,6),
(85029,2000359,5,100,'Increases Out-of-Combat Power Regeneration of target by 48.0',0,7),
(85030,2000359,5,100,'Increases Out-of-Combat Health Regeneration of target by 104.0',0,8),
(85031,2000359,5,100,'Certain enemies cannot be charmed',0,9),
(85032,2000359,5,100,'Does not affect Epic targets',0,10),
(85033,2000359,6,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(85034,2000359,6,100,'Mesmerizes target',1,1),
(85035,2000359,6,100,'Dispelled when target takes damage',1,2),
(85036,2000359,6,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(85037,2000359,6,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(85038,2000359,6,100,'Grants Sonic Vision to caster',1,5),
(85039,2000359,6,100,'Charms target',0,6),
(85040,2000359,6,100,'Increases Power Regen of target by 48.6',0,7),
(85041,2000359,6,100,'Increases Health Regen of target by 105.0',0,8),
(85042,2000359,6,100,'Certain enemies cannot be charmed',0,9),
(85043,2000359,6,100,'Does not affect Epic targets',0,10),
(85044,2000359,7,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(85045,2000359,7,100,'Mesmerizes target',1,1),
(85046,2000359,7,100,'Dispelled when target takes damage',1,2),
(85047,2000359,7,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(85048,2000359,7,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(85049,2000359,7,100,'Grants Sonic Vision to caster',1,5),
(85050,2000359,7,100,'Charms target',0,6),
(85051,2000359,7,100,'Increases Out-of-Combat Power Regeneration of target by 48.0',0,7),
(85052,2000359,7,100,'Increases Out-of-Combat Health Regeneration of target by 104.0',0,8),
(85053,2000359,7,100,'Certain enemies cannot be charmed',0,9),
(85054,2000359,7,100,'Does not affect Epic targets',0,10),
(85055,2000359,8,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(85056,2000359,8,100,'Mesmerizes target',1,1),
(85057,2000359,8,100,'Dispelled when target takes damage',1,2),
(85058,2000359,8,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(85059,2000359,8,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(85060,2000359,8,100,'Grants Sonic Vision to caster',1,5),
(85061,2000359,8,100,'Charms target',0,6),
(85062,2000359,8,100,'Increases Out-of-Combat Power Regeneration of target by 48.6',0,7),
(85063,2000359,8,100,'Increases Out-of-Combat Health Regeneration of target by 105.0',0,8),
(85064,2000359,8,100,'Certain enemies cannot be charmed',0,9),
(85065,2000359,8,100,'Does not affect Epic targets',0,10),
(85066,2000359,9,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(85067,2000359,9,100,'Mesmerizes target',1,1),
(85068,2000359,9,100,'Dispelled when target takes damage',1,2),
(85069,2000359,9,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(85070,2000359,9,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(85071,2000359,9,100,'Grants Sonic Vision to caster',1,5),
(85072,2000359,9,100,'Charms target',0,6),
(85073,2000359,9,100,'Increases Out-of-Combat Power Regeneration of target by 48.0',0,7),
(85074,2000359,9,100,'Increases Out-of-Combat Health Regeneration of target by 104.0',0,8),
(85075,2000359,9,100,'Certain enemies cannot be charmed',0,9),
(85076,2000359,9,100,'Does not affect Epic targets',0,10),
(85077,2000359,10,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(85078,2000359,10,100,'Mesmerizes target',1,1),
(85079,2000359,10,100,'Dispelled when target takes damage',1,2),
(85080,2000359,10,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(85081,2000359,10,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(85082,2000359,10,100,'Grants Sonic Vision to caster',1,5),
(85083,2000359,10,100,'Charms target',0,6),
(85084,2000359,10,100,'Increases Out-of-Combat Power Regeneration of target by 48.0',0,7),
(85085,2000359,10,100,'Increases Out-of-Combat Health Regeneration of target by 104.0',0,8),
(85086,2000359,10,100,'Certain enemies cannot be charmed',0,9),
(85087,2000359,10,100,'Does not affect Epic targets',0,10),
(85088,270036,1,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(85089,270036,1,100,'Mesmerizes target',1,1),
(85090,270036,1,100,'Dispelled when target takes damage',1,2),
(85091,270036,1,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(85092,270036,1,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(85093,270036,1,100,'Grants Sonic Vision to caster',1,5),
(85094,270036,1,100,'Charms target',0,6),
(85095,270036,1,100,'Increases Power Regen of target by 2.7',0,7),
(85096,270036,1,100,'Increases Health Regen of target by 5.4',0,8),
(85097,270036,1,100,'Certain enemies cannot be charmed',0,9),
(85098,270036,1,100,'Only affects targets level 24 and below',0,10),
(85099,270036,1,100,'Does not affect Epic targets',0,11),
(85100,270036,2,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(85101,270036,2,100,'Mesmerizes target',1,1),
(85102,270036,2,100,'Dispelled when target takes damage',1,2),
(85103,270036,2,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(85104,270036,2,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(85105,270036,2,100,'Grants Sonic Vision to caster',1,5),
(85106,270036,2,100,'Charms target',0,6),
(85107,270036,2,100,'Increases Power Regen of target by 2.8',0,7),
(85108,270036,2,100,'Increases Health Regen of target by 5.7',0,8),
(85109,270036,2,100,'Certain enemies cannot be charmed',0,9),
(85110,270036,2,100,'Only affects targets level 24 and below',0,10),
(85111,270036,2,100,'Does not affect Epic targets',0,11),
(85112,270036,3,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(85113,270036,3,100,'Mesmerizes target',1,1),
(85114,270036,3,100,'Dispelled when target takes damage',1,2),
(85115,270036,3,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(85116,270036,3,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(85117,270036,3,100,'Grants Sonic Vision to caster',1,5),
(85118,270036,3,100,'Charms target',0,6),
(85119,270036,3,100,'Increases Power Regen of target by 3.0',0,7),
(85120,270036,3,100,'Increases Health Regen of target by 6.0',0,8),
(85121,270036,3,100,'Certain enemies cannot be charmed',0,9),
(85122,270036,3,100,'Only affects targets level 24 and below',0,10),
(85123,270036,3,100,'Does not affect Epic targets',0,11),
(85124,270036,4,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(85125,270036,4,100,'Mesmerizes target',1,1),
(85126,270036,4,100,'Dispelled when target takes damage',1,2),
(85127,270036,4,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(85128,270036,4,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(85129,270036,4,100,'Grants Sonic Vision to caster',1,5),
(85130,270036,4,100,'Charms target',0,6),
(85131,270036,4,100,'Increases Power Regen of target by 3.3',0,7),
(85132,270036,4,100,'Increases Health Regen of target by 6.6',0,8),
(85133,270036,4,100,'Certain enemies cannot be charmed',0,9),
(85134,270036,4,100,'Only affects targets level 24 and below',0,10),
(85135,270036,4,100,'Does not affect Epic targets',0,11),
(85136,270036,5,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(85137,270036,5,100,'Mesmerizes target',1,1),
(85138,270036,5,100,'Dispelled when target takes damage',1,2),
(85139,270036,5,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(85140,270036,5,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(85141,270036,5,100,'Grants Sonic Vision to caster',1,5),
(85142,270036,5,100,'Charms target',0,6),
(85143,270036,5,100,'Increases Power Regen of target by 3.6',0,7),
(85144,270036,5,100,'Increases Health Regen of target by 7.2',0,8),
(85145,270036,5,100,'Certain enemies cannot be charmed',0,9),
(85146,270036,5,100,'Only affects targets level 24 and below',0,10),
(85147,270036,5,100,'Does not affect Epic targets',0,11),
(85148,270036,7,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(85149,270036,7,100,'Mesmerizes target',1,1),
(85150,270036,7,100,'Dispelled when target takes damage',1,2),
(85151,270036,7,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(85152,270036,7,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(85153,270036,7,100,'Grants Sonic Vision to caster',1,5),
(85154,270036,7,100,'Charms target',0,6),
(85155,270036,7,100,'Increases Power Regen of target by 4.6',0,7),
(85156,270036,7,100,'Increases Health Regen of target by 9.2',0,8),
(85157,270036,7,100,'Certain enemies cannot be charmed',0,9),
(85158,270036,7,100,'Only affects targets level 24 and below',0,10),
(85159,270036,7,100,'Does not affect Epic targets',0,11),
(85160,270036,9,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(85161,270036,9,100,'Mesmerizes target',1,1),
(85162,270036,9,100,'Dispelled when target takes damage',1,2),
(85163,270036,9,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(85164,270036,9,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(85165,270036,9,100,'Grants Sonic Vision to caster',1,5),
(85166,270036,9,100,'Charms target',0,6),
(85167,270036,9,100,'Increases Power Regen of target by 4.8',0,7),
(85168,270036,9,100,'Increases Health Regen of target by 9.6',0,8),
(85169,270036,9,100,'Certain enemies cannot be charmed',0,9),
(85170,270036,9,100,'Only affects targets level 24 and below',0,10),
(85171,270036,9,100,'Does not affect Epic targets',0,11),
(85172,270037,1,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(85173,270037,1,100,'Mesmerizes target',1,1),
(85174,270037,1,100,'Dispelled when target takes damage',1,2),
(85175,270037,1,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(85176,270037,1,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(85177,270037,1,100,'Grants Sonic Vision to caster',1,5),
(85178,270037,1,100,'Charms target',0,6),
(85179,270037,1,100,'Increases Power Regen of target by 6.3',0,7),
(85180,270037,1,100,'Increases Health Regen of target by 12.6',0,8),
(85181,270037,1,100,'Certain enemies cannot be charmed',0,9),
(85182,270037,1,100,'Does not affect Epic targets',0,10),
(85183,270037,2,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(85184,270037,2,100,'Mesmerizes target',1,1),
(85185,270037,2,100,'Dispelled when target takes damage',1,2),
(85186,270037,2,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(85187,270037,2,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(85188,270037,2,100,'Grants Sonic Vision to caster',1,5),
(85189,270037,2,100,'Charms target',0,6),
(85190,270037,2,100,'Increases Power Regen of target by 6.7',0,7),
(85191,270037,2,100,'Increases Health Regen of target by 13.3',0,8),
(85192,270037,2,100,'Certain enemies cannot be charmed',0,9),
(85193,270037,2,100,'Does not affect Epic targets',0,10),
(85194,270037,3,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(85195,270037,3,100,'Mesmerizes target',1,1),
(85196,270037,3,100,'Dispelled when target takes damage',1,2),
(85197,270037,3,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(85198,270037,3,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(85199,270037,3,100,'Grants Sonic Vision to caster',1,5),
(85200,270037,3,100,'Charms target',0,6),
(85201,270037,3,100,'Increases Power Regen of target by 7.0',0,7),
(85202,270037,3,100,'Increases Health Regen of target by 14.0',0,8),
(85203,270037,3,100,'Certain enemies cannot be charmed',0,9),
(85204,270037,3,100,'Does not affect Epic targets',0,10),
(85205,270037,4,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(85206,270037,4,100,'Mesmerizes target',1,1),
(85207,270037,4,100,'Dispelled when target takes damage',1,2),
(85208,270037,4,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(85209,270037,4,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(85210,270037,4,100,'Grants Sonic Vision to caster',1,5),
(85211,270037,4,100,'Charms target',0,6),
(85212,270037,4,100,'Increases Power Regen of target by 7.7',0,7),
(85213,270037,4,100,'Increases Health Regen of target by 15.4',0,8),
(85214,270037,4,100,'Certain enemies cannot be charmed',0,9),
(85215,270037,4,100,'Does not affect Epic targets',0,10),
(85216,270037,5,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(85217,270037,5,100,'Mesmerizes target',1,1),
(85218,270037,5,100,'Dispelled when target takes damage',1,2),
(85219,270037,5,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(85220,270037,5,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(85221,270037,5,100,'Grants Sonic Vision to caster',1,5),
(85222,270037,5,100,'Charms target',0,6),
(85223,270037,5,100,'Increases Power Regen of target by 8.4',0,7),
(85224,270037,5,100,'Increases Health Regen of target by 16.8',0,8),
(85225,270037,5,100,'Certain enemies cannot be charmed',0,9),
(85226,270037,5,100,'Does not affect Epic targets',0,10),
(85227,270037,7,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(85228,270037,7,100,'Mesmerizes target',1,1),
(85229,270037,7,100,'Dispelled when target takes damage',1,2),
(85230,270037,7,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(85231,270037,7,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(85232,270037,7,100,'Grants Sonic Vision to caster',1,5),
(85233,270037,7,100,'Charms target',0,6),
(85234,270037,7,100,'Increases Power Regen of target by 10.8',0,7),
(85235,270037,7,100,'Increases Health Regen of target by 21.6',0,8),
(85236,270037,7,100,'Certain enemies cannot be charmed',0,9),
(85237,270037,7,100,'Does not affect Epic targets',0,10),
(85238,270037,9,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(85239,270037,9,100,'Mesmerizes target',1,1),
(85240,270037,9,100,'Dispelled when target takes damage',1,2),
(85241,270037,9,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(85242,270037,9,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(85243,270037,9,100,'Grants Sonic Vision to caster',1,5),
(85244,270037,9,100,'Charms target',0,6),
(85245,270037,9,100,'Increases Power Regen of target by 11.2',0,7),
(85246,270037,9,100,'Increases Health Regen of target by 22.4',0,8),
(85247,270037,9,100,'Certain enemies cannot be charmed',0,9),
(85248,270037,9,100,'Does not affect Epic targets',0,10),
(85249,270038,1,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(85250,270038,1,100,'Mesmerizes target',1,1),
(85251,270038,1,100,'Dispelled when target takes damage',1,2),
(85252,270038,1,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(85253,270038,1,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(85254,270038,1,100,'Grants Sonic Vision to caster',1,5),
(85255,270038,1,100,'Charms target',0,6),
(85256,270038,1,100,'Increases Power Regen of target by 11.3',0,7),
(85257,270038,1,100,'Increases Health Regen of target by 22.5',0,8),
(85258,270038,1,100,'Certain enemies cannot be charmed',0,9),
(85259,270038,1,100,'Does not affect Epic targets',0,10),
(85260,270038,2,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(85261,270038,2,100,'Mesmerizes target',1,1),
(85262,270038,2,100,'Dispelled when target takes damage',1,2),
(85263,270038,2,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(85264,270038,2,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(85265,270038,2,100,'Grants Sonic Vision to caster',1,5),
(85266,270038,2,100,'Charms target',0,6),
(85267,270038,2,100,'Increases Power Regen of target by 11.9',0,7),
(85268,270038,2,100,'Increases Health Regen of target by 23.8',0,8),
(85269,270038,2,100,'Certain enemies cannot be charmed',0,9),
(85270,270038,2,100,'Does not affect Epic targets',0,10),
(85271,270038,3,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(85272,270038,3,100,'Mesmerizes target',1,1),
(85273,270038,3,100,'Dispelled when target takes damage',1,2),
(85274,270038,3,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(85275,270038,3,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(85276,270038,3,100,'Grants Sonic Vision to caster',1,5),
(85277,270038,3,100,'Charms target',0,6),
(85278,270038,3,100,'Increases Power Regen of target by 12.5',0,7),
(85279,270038,3,100,'Increases Health Regen of target by 25.0',0,8),
(85280,270038,3,100,'Certain enemies cannot be charmed',0,9),
(85281,270038,3,100,'Does not affect Epic targets',0,10),
(85282,270038,4,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(85283,270038,4,100,'Mesmerizes target',1,1),
(85284,270038,4,100,'Dispelled when target takes damage',1,2),
(85285,270038,4,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(85286,270038,4,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(85287,270038,4,100,'Grants Sonic Vision to caster',1,5),
(85288,270038,4,100,'Charms target',0,6),
(85289,270038,4,100,'Increases Power Regen of target by 13.8',0,7),
(85290,270038,4,100,'Increases Health Regen of target by 27.5',0,8),
(85291,270038,4,100,'Certain enemies cannot be charmed',0,9),
(85292,270038,4,100,'Does not affect Epic targets',0,10),
(85293,270038,5,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(85294,270038,5,100,'Mesmerizes target',1,1),
(85295,270038,5,100,'Dispelled when target takes damage',1,2),
(85296,270038,5,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(85297,270038,5,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(85298,270038,5,100,'Grants Sonic Vision to caster',1,5),
(85299,270038,5,100,'Charms target',0,6),
(85300,270038,5,100,'Increases Power Regen of target by 15.0',0,7),
(85301,270038,5,100,'Increases Health Regen of target by 30.0',0,8),
(85302,270038,5,100,'Certain enemies cannot be charmed',0,9),
(85303,270038,5,100,'Does not affect Epic targets',0,10),
(85304,270038,7,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(85305,270038,7,100,'Mesmerizes target',1,1),
(85306,270038,7,100,'Dispelled when target takes damage',1,2),
(85307,270038,7,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(85308,270038,7,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(85309,270038,7,100,'Grants Sonic Vision to caster',1,5),
(85310,270038,7,100,'Charms target',0,6),
(85311,270038,7,100,'Increases Power Regen of target by 19.3',0,7),
(85312,270038,7,100,'Increases Health Regen of target by 38.5',0,8),
(85313,270038,7,100,'Certain enemies cannot be charmed',0,9),
(85314,270038,7,100,'Does not affect Epic targets',0,10),
(85315,270038,9,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(85316,270038,9,100,'Mesmerizes target',1,1),
(85317,270038,9,100,'Dispelled when target takes damage',1,2),
(85318,270038,9,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(85319,270038,9,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(85320,270038,9,100,'Grants Sonic Vision to caster',1,5),
(85321,270038,9,100,'Charms target',0,6),
(85322,270038,9,100,'Increases Power Regen of target by 20.0',0,7),
(85323,270038,9,100,'Increases Health Regen of target by 40.0',0,8),
(85324,270038,9,100,'Certain enemies cannot be charmed',0,9),
(85325,270038,9,100,'Does not affect Epic targets',0,10),
(85326,270039,1,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(85327,270039,1,100,'Mesmerizes target',1,1),
(85328,270039,1,100,'Dispelled when target takes damage',1,2),
(85329,270039,1,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(85330,270039,1,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(85331,270039,1,100,'Grants Sonic Vision to caster',1,5),
(85332,270039,1,100,'Charms target',0,6),
(85333,270039,1,100,'Increases Power Regen of target by 40.5',0,7),
(85334,270039,1,100,'Increases Health Regen of target by 86.0',0,8),
(85335,270039,1,100,'Certain enemies cannot be charmed',0,9),
(85336,270039,1,100,'Does not affect Epic targets',0,10),
(85337,270039,4,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(85338,270039,4,100,'Mesmerizes target',1,1),
(85339,270039,4,100,'Dispelled when target takes damage',1,2),
(85340,270039,4,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(85341,270039,4,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(85342,270039,4,100,'Grants Sonic Vision to caster',1,5),
(85343,270039,4,100,'Charms target',0,6),
(85344,270039,4,100,'Increases Power Regen of target by 49.5',0,7),
(85345,270039,4,100,'Increases Health Regen of target by 105.2',0,8),
(85346,270039,4,100,'Certain enemies cannot be charmed',0,9),
(85347,270039,4,100,'Does not affect Epic targets',0,10),
(85348,270039,5,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(85349,270039,5,100,'Mesmerizes target',1,1),
(85350,270039,5,100,'Dispelled when target takes damage',1,2),
(85351,270039,5,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(85352,270039,5,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(85353,270039,5,100,'Grants Sonic Vision to caster',1,5),
(85354,270039,5,100,'Charms target',0,6),
(85355,270039,5,100,'Increases Power Regen of target by 54.0',0,7),
(85356,270039,5,100,'Increases Health Regen of target by 114.7',0,8),
(85357,270039,5,100,'Certain enemies cannot be charmed',0,9),
(85358,270039,5,100,'Does not affect Epic targets',0,10),
(85359,270039,7,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(85360,270039,7,100,'Mesmerizes target',1,1),
(85361,270039,7,100,'Dispelled when target takes damage',1,2),
(85362,270039,7,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(85363,270039,7,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(85364,270039,7,100,'Grants Sonic Vision to caster',1,5),
(85365,270039,7,100,'Charms target',0,6),
(85366,270039,7,100,'Increases Power Regen of target by 69.3',0,7),
(85367,270039,7,100,'Increases Health Regen of target by 147.2',0,8),
(85368,270039,7,100,'Certain enemies cannot be charmed',0,9),
(85369,270039,7,100,'Does not affect Epic targets',0,10),
(85370,270039,9,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(85371,270039,9,100,'Mesmerizes target',1,1),
(85372,270039,9,100,'Dispelled when target takes damage',1,2),
(85373,270039,9,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(85374,270039,9,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(85375,270039,9,100,'Grants Sonic Vision to caster',1,5),
(85376,270039,9,100,'Charms target',0,6),
(85377,270039,9,100,'Increases Power Regen of target by 72.0',0,7),
(85378,270039,9,100,'Increases Health Regen of target by 153.0',0,8),
(85379,270039,9,100,'Certain enemies cannot be charmed',0,9),
(85380,270039,9,100,'Does not affect Epic targets',0,10),
(85381,270040,1,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(85382,270040,1,100,'Mesmerizes target',1,1),
(85383,270040,1,100,'Dispelled when target takes damage',1,2),
(85384,270040,1,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(85385,270040,1,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(85386,270040,1,100,'Grants Sonic Vision to caster',1,5),
(85387,270040,1,100,'Charms target',0,6),
(85388,270040,1,100,'Increases Power Regen of target by 17.5',0,7),
(85389,270040,1,100,'Increases Health Regen of target by 35.1',0,8),
(85390,270040,1,100,'Certain enemies cannot be charmed',0,9),
(85391,270040,1,100,'Does not affect Epic targets',0,10),
(85392,270040,2,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(85393,270040,2,100,'Mesmerizes target',1,1),
(85394,270040,2,100,'Dispelled when target takes damage',1,2),
(85395,270040,2,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(85396,270040,2,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(85397,270040,2,100,'Grants Sonic Vision to caster',1,5),
(85398,270040,2,100,'Charms target',0,6),
(85399,270040,2,100,'Increases Power Regen of target by 18.5',0,7),
(85400,270040,2,100,'Increases Health Regen of target by 37.0',0,8),
(85401,270040,2,100,'Certain enemies cannot be charmed',0,9),
(85402,270040,2,100,'Does not affect Epic targets',0,10),
(85403,270040,3,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(85404,270040,3,100,'Mesmerizes target',1,1),
(85405,270040,3,100,'Dispelled when target takes damage',1,2),
(85406,270040,3,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(85407,270040,3,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(85408,270040,3,100,'Grants Sonic Vision to caster',1,5),
(85409,270040,3,100,'Charms target',0,6),
(85410,270040,3,100,'Increases Power Regen of target by 19.5',0,7),
(85411,270040,3,100,'Increases Health Regen of target by 39.0',0,8),
(85412,270040,3,100,'Certain enemies cannot be charmed',0,9),
(85413,270040,3,100,'Does not affect Epic targets',0,10),
(85414,270040,4,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(85415,270040,4,100,'Mesmerizes target',1,1),
(85416,270040,4,100,'Dispelled when target takes damage',1,2),
(85417,270040,4,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(85418,270040,4,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(85419,270040,4,100,'Grants Sonic Vision to caster',1,5),
(85420,270040,4,100,'Charms target',0,6),
(85421,270040,4,100,'Increases Power Regen of target by 21.5',0,7),
(85422,270040,4,100,'Increases Health Regen of target by 42.9',0,8),
(85423,270040,4,100,'Certain enemies cannot be charmed',0,9),
(85424,270040,4,100,'Does not affect Epic targets',0,10),
(85425,270040,5,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(85426,270040,5,100,'Mesmerizes target',1,1),
(85427,270040,5,100,'Dispelled when target takes damage',1,2),
(85428,270040,5,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(85429,270040,5,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(85430,270040,5,100,'Grants Sonic Vision to caster',1,5),
(85431,270040,5,100,'Charms target',0,6),
(85432,270040,5,100,'Increases Power Regen of target by 23.4',0,7),
(85433,270040,5,100,'Increases Health Regen of target by 46.8',0,8),
(85434,270040,5,100,'Certain enemies cannot be charmed',0,9),
(85435,270040,5,100,'Does not affect Epic targets',0,10),
(85436,270040,7,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(85437,270040,7,100,'Mesmerizes target',1,1),
(85438,270040,7,100,'Dispelled when target takes damage',1,2),
(85439,270040,7,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(85440,270040,7,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(85441,270040,7,100,'Grants Sonic Vision to caster',1,5),
(85442,270040,7,100,'Charms target',0,6),
(85443,270040,7,100,'Increases Power Regen of target by 30.0',0,7),
(85444,270040,7,100,'Increases Health Regen of target by 60.1',0,8),
(85445,270040,7,100,'Certain enemies cannot be charmed',0,9),
(85446,270040,7,100,'Does not affect Epic targets',0,10),
(85447,270040,9,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(85448,270040,9,100,'Mesmerizes target',1,1),
(85449,270040,9,100,'Dispelled when target takes damage',1,2),
(85450,270040,9,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(85451,270040,9,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(85452,270040,9,100,'Grants Sonic Vision to caster',1,5),
(85453,270040,9,100,'Charms target',0,6),
(85454,270040,9,100,'Increases Power Regen of target by 31.2',0,7),
(85455,270040,9,100,'Increases Health Regen of target by 62.4',0,8),
(85456,270040,9,100,'Certain enemies cannot be charmed',0,9),
(85457,270040,9,100,'Does not affect Epic targets',0,10),
(85458,270041,1,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(85459,270041,1,100,'Mesmerizes target',1,1),
(85460,270041,1,100,'Dispelled when target takes damage',1,2),
(85461,270041,1,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(85462,270041,1,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(85463,270041,1,100,'Grants Sonic Vision to caster',1,5),
(85464,270041,1,100,'Charms target',0,6),
(85465,270041,1,100,'Increases Power Regen of target by 23.8',0,7),
(85466,270041,1,100,'Increases Health Regen of target by 47.7',0,8),
(85467,270041,1,100,'Certain enemies cannot be charmed',0,9),
(85468,270041,1,100,'Does not affect Epic targets',0,10),
(85469,270041,2,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(85470,270041,2,100,'Mesmerizes target',1,1),
(85471,270041,2,100,'Dispelled when target takes damage',1,2),
(85472,270041,2,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(85473,270041,2,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(85474,270041,2,100,'Grants Sonic Vision to caster',1,5),
(85475,270041,2,100,'Charms target',0,6),
(85476,270041,2,100,'Increases Power Regen of target by 25.2',0,7),
(85477,270041,2,100,'Increases Health Regen of target by 50.3',0,8),
(85478,270041,2,100,'Certain enemies cannot be charmed',0,9),
(85479,270041,2,100,'Does not affect Epic targets',0,10),
(85480,270041,3,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(85481,270041,3,100,'Mesmerizes target',1,1),
(85482,270041,3,100,'Dispelled when target takes damage',1,2),
(85483,270041,3,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(85484,270041,3,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(85485,270041,3,100,'Grants Sonic Vision to caster',1,5),
(85486,270041,3,100,'Charms target',0,6),
(85487,270041,3,100,'Increases Power Regen of target by 26.5',0,7),
(85488,270041,3,100,'Increases Health Regen of target by 53.0',0,8),
(85489,270041,3,100,'Certain enemies cannot be charmed',0,9),
(85490,270041,3,100,'Does not affect Epic targets',0,10),
(85491,270041,4,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(85492,270041,4,100,'Mesmerizes target',1,1),
(85493,270041,4,100,'Dispelled when target takes damage',1,2),
(85494,270041,4,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(85495,270041,4,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(85496,270041,4,100,'Grants Sonic Vision to caster',1,5),
(85497,270041,4,100,'Charms target',0,6),
(85498,270041,4,100,'Increases Power Regen of target by 29.2',0,7),
(85499,270041,4,100,'Increases Health Regen of target by 58.3',0,8),
(85500,270041,4,100,'Certain enemies cannot be charmed',0,9),
(85501,270041,4,100,'Does not affect Epic targets',0,10),
(85502,270041,5,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(85503,270041,5,100,'Mesmerizes target',1,1),
(85504,270041,5,100,'Dispelled when target takes damage',1,2),
(85505,270041,5,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(85506,270041,5,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(85507,270041,5,100,'Grants Sonic Vision to caster',1,5),
(85508,270041,5,100,'Charms target',0,6),
(85509,270041,5,100,'Increases Power Regen of target by 31.8',0,7),
(85510,270041,5,100,'Increases Health Regen of target by 63.6',0,8),
(85511,270041,5,100,'Certain enemies cannot be charmed',0,9),
(85512,270041,5,100,'Does not affect Epic targets',0,10),
(85513,270041,7,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(85514,270041,7,100,'Mesmerizes target',1,1),
(85515,270041,7,100,'Dispelled when target takes damage',1,2),
(85516,270041,7,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(85517,270041,7,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(85518,270041,7,100,'Grants Sonic Vision to caster',1,5),
(85519,270041,7,100,'Charms target',0,6),
(85520,270041,7,100,'Increases Power Regen of target by 40.8',0,7),
(85521,270041,7,100,'Increases Health Regen of target by 81.6',0,8),
(85522,270041,7,100,'Certain enemies cannot be charmed',0,9),
(85523,270041,7,100,'Does not affect Epic targets',0,10),
(85524,270041,9,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(85525,270041,9,100,'Mesmerizes target',1,1),
(85526,270041,9,100,'Dispelled when target takes damage',1,2),
(85527,270041,9,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(85528,270041,9,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(85529,270041,9,100,'Grants Sonic Vision to caster',1,5),
(85530,270041,9,100,'Charms target',0,6),
(85531,270041,9,100,'Increases Power Regen of target by 42.4',0,7),
(85532,270041,9,100,'Increases Health Regen of target by 84.8',0,8),
(85533,270041,9,100,'Certain enemies cannot be charmed',0,9),
(85534,270041,9,100,'Does not affect Epic targets',0,10),
(85535,270042,1,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(85536,270042,1,100,'Mesmerizes target',1,1),
(85537,270042,1,100,'Dispelled when target takes damage',1,2),
(85538,270042,1,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(85539,270042,1,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(85540,270042,1,100,'Grants Sonic Vision to caster',1,5),
(85541,270042,1,100,'Charms target',0,6),
(85542,270042,1,100,'Increases Power Regen of target by 30.4',0,7),
(85543,270042,1,100,'Increases Health Regen of target by 60.8',0,8),
(85544,270042,1,100,'Certain enemies cannot be charmed',0,9),
(85545,270042,1,100,'Does not affect Epic targets',0,10),
(85546,270042,2,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(85547,270042,2,100,'Mesmerizes target',1,1),
(85548,270042,2,100,'Dispelled when target takes damage',1,2),
(85549,270042,2,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(85550,270042,2,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(85551,270042,2,100,'Grants Sonic Vision to caster',1,5),
(85552,270042,2,100,'Charms target',0,6),
(85553,270042,2,100,'Increases Power Regen of target by 32.1',0,7),
(85554,270042,2,100,'Increases Health Regen of target by 64.2',0,8),
(85555,270042,2,100,'Certain enemies cannot be charmed',0,9),
(85556,270042,2,100,'Does not affect Epic targets',0,10),
(85557,270042,3,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(85558,270042,3,100,'Mesmerizes target',1,1),
(85559,270042,3,100,'Dispelled when target takes damage',1,2),
(85560,270042,3,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(85561,270042,3,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(85562,270042,3,100,'Grants Sonic Vision to caster',1,5),
(85563,270042,3,100,'Charms target',0,6),
(85564,270042,3,100,'Increases Power Regen of target by 33.8',0,7),
(85565,270042,3,100,'Increases Health Regen of target by 67.6',0,8),
(85566,270042,3,100,'Certain enemies cannot be charmed',0,9),
(85567,270042,3,100,'Does not affect Epic targets',0,10),
(85568,270042,4,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(85569,270042,4,100,'Mesmerizes target',1,1),
(85570,270042,4,100,'Dispelled when target takes damage',1,2),
(85571,270042,4,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(85572,270042,4,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(85573,270042,4,100,'Grants Sonic Vision to caster',1,5),
(85574,270042,4,100,'Charms target',0,6),
(85575,270042,4,100,'Increases Power Regen of target by 37.2',0,7),
(85576,270042,4,100,'Increases Health Regen of target by 74.4',0,8),
(85577,270042,4,100,'Certain enemies cannot be charmed',0,9),
(85578,270042,4,100,'Does not affect Epic targets',0,10),
(85579,270042,5,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(85580,270042,5,100,'Mesmerizes target',1,1),
(85581,270042,5,100,'Dispelled when target takes damage',1,2),
(85582,270042,5,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(85583,270042,5,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(85584,270042,5,100,'Grants Sonic Vision to caster',1,5),
(85585,270042,5,100,'Charms target',0,6),
(85586,270042,5,100,'Increases Power Regen of target by 40.6',0,7),
(85587,270042,5,100,'Increases Health Regen of target by 81.1',0,8),
(85588,270042,5,100,'Certain enemies cannot be charmed',0,9),
(85589,270042,5,100,'Does not affect Epic targets',0,10),
(85590,270042,7,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(85591,270042,7,100,'Mesmerizes target',1,1),
(85592,270042,7,100,'Dispelled when target takes damage',1,2),
(85593,270042,7,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(85594,270042,7,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(85595,270042,7,100,'Grants Sonic Vision to caster',1,5),
(85596,270042,7,100,'Charms target',0,6),
(85597,270042,7,100,'Increases Power Regen of target by 52.1',0,7),
(85598,270042,7,100,'Increases Health Regen of target by 104.1',0,8),
(85599,270042,7,100,'Certain enemies cannot be charmed',0,9),
(85600,270042,7,100,'Does not affect Epic targets',0,10),
(85601,270042,9,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(85602,270042,9,100,'Mesmerizes target',1,1),
(85603,270042,9,100,'Dispelled when target takes damage',1,2),
(85604,270042,9,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(85605,270042,9,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(85606,270042,9,100,'Grants Sonic Vision to caster',1,5),
(85607,270042,9,100,'Charms target',0,6),
(85608,270042,9,100,'Increases Power Regen of target by 54.1',0,7),
(85609,270042,9,100,'Increases Health Regen of target by 108.2',0,8),
(85610,270042,9,100,'Certain enemies cannot be charmed',0,9),
(85611,270042,9,100,'Does not affect Epic targets',0,10),
(85612,270043,1,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(85613,270043,1,100,'Mesmerizes target',1,1),
(85614,270043,1,100,'Dispelled when target takes damage',1,2),
(85615,270043,1,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(85616,270043,1,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(85617,270043,1,100,'Grants Sonic Vision to caster',1,5),
(85618,270043,1,100,'Charms target',0,6),
(85619,270043,1,100,'Increases Power Regen of target by 36.0',0,7),
(85620,270043,1,100,'Increases Health Regen of target by 73.4',0,8),
(85621,270043,1,100,'Certain enemies cannot be charmed',0,9),
(85622,270043,1,100,'Does not affect Epic targets',0,10),
(85623,270043,4,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(85624,270043,4,100,'Mesmerizes target',1,1),
(85625,270043,4,100,'Dispelled when target takes damage',1,2),
(85626,270043,4,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(85627,270043,4,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(85628,270043,4,100,'Grants Sonic Vision to caster',1,5),
(85629,270043,4,100,'Charms target',0,6),
(85630,270043,4,100,'Increases Power Regen of target by 44.0',0,7),
(85631,270043,4,100,'Increases Health Regen of target by 89.8',0,8),
(85632,270043,4,100,'Certain enemies cannot be charmed',0,9),
(85633,270043,4,100,'Does not affect Epic targets',0,10),
(85634,270043,5,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(85635,270043,5,100,'Mesmerizes target',1,1),
(85636,270043,5,100,'Dispelled when target takes damage',1,2),
(85637,270043,5,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(85638,270043,5,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(85639,270043,5,100,'Grants Sonic Vision to caster',1,5),
(85640,270043,5,100,'Charms target',0,6),
(85641,270043,5,100,'Increases Power Regen of target by 48.0',0,7),
(85642,270043,5,100,'Increases Health Regen of target by 97.9',0,8),
(85643,270043,5,100,'Certain enemies cannot be charmed',0,9),
(85644,270043,5,100,'Does not affect Epic targets',0,10),
(85645,270043,7,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(85646,270043,7,100,'Mesmerizes target',1,1),
(85647,270043,7,100,'Dispelled when target takes damage',1,2),
(85648,270043,7,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(85649,270043,7,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(85650,270043,7,100,'Grants Sonic Vision to caster',1,5),
(85651,270043,7,100,'Charms target',0,6),
(85652,270043,7,100,'Increases Power Regen of target by 61.6',0,7),
(85653,270043,7,100,'Increases Health Regen of target by 125.7',0,8),
(85654,270043,7,100,'Certain enemies cannot be charmed',0,9),
(85655,270043,7,100,'Does not affect Epic targets',0,10),
(85656,270043,9,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(85657,270043,9,100,'Mesmerizes target',1,1),
(85658,270043,9,100,'Dispelled when target takes damage',1,2),
(85659,270043,9,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(85660,270043,9,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(85661,270043,9,100,'Grants Sonic Vision to caster',1,5),
(85662,270043,9,100,'Charms target',0,6),
(85663,270043,9,100,'Increases Power Regen of target by 64.0',0,7),
(85664,270043,9,100,'Increases Health Regen of target by 130.6',0,8),
(85665,270043,9,100,'Certain enemies cannot be charmed',0,9),
(85666,270043,9,100,'Does not affect Epic targets',0,10),
(85667,150001,1,100,'Inflicts 55 - 68 cold damage on target',0,0),
(85668,150001,1,100,'Inflicts 55 - 68 cold damage on target',0,1),
(85669,150001,1,100,'If target is elemental',1,2),
(85670,150001,2,100,'Inflicts 59 - 72 cold damage on target',0,0),
(85671,150001,2,100,'Inflicts 59 - 72 cold damage on target',0,1),
(85672,150001,2,100,'If target is elemental',1,2),
(85673,150001,3,100,'Inflicts 62 - 75 cold damage on target',0,0),
(85674,150001,3,100,'Inflicts 62 - 75 cold damage on target',0,1),
(85675,150001,3,100,'If target is elemental',1,2),
(85676,150001,4,100,'Inflicts 68 - 83 cold damage on target',0,0),
(85677,150001,4,100,'Inflicts 68 - 83 cold damage on target',0,1),
(85678,150001,4,100,'If target is elemental',1,2),
(85679,150001,5,100,'Inflicts 74 - 90 cold damage on target',0,0),
(85680,150001,5,100,'Inflicts 74 - 90 cold damage on target',0,1),
(85681,150001,5,100,'If target is elemental',1,2),
(85682,150001,7,100,'Inflicts 95 - 116 cold damage on target',0,0),
(85683,150001,7,100,'Inflicts 95 - 116 cold damage on target',0,1),
(85684,150001,7,100,'If target is elemental',1,2),
(85685,150001,9,100,'Inflicts 99 - 120 cold damage on target',0,0),
(85686,150001,9,100,'Inflicts 99 - 120 cold damage on target',0,1),
(85687,150001,9,100,'If target is elemental',1,2),
(85688,2000360,1,100,'When any damage is received this spell will cast Chilling Invigoration on target.  ',0,0),
(85689,2000360,1,100,'Heals target for 1883 - 2302',1,1),
(85690,2000360,1,100,'Grants a total of 10 triggers of the spell.',1,2),
(85691,2000360,1,100,'When damaged this spell will cast Chilling Vengeance on target''s attacker.  ',0,3),
(85692,2000360,1,100,'Inflicts 1740 - 2126 cold damage on target',1,4),
(85693,2000360,1,100,'Grants a total of 10 triggers of the spell.',1,5),
(85694,2000361,1,100,'Inflicts 449 - 549 poison damage on target',0,0),
(85695,2000361,1,100,'Heals caster for 182 - 223',0,1),
(85696,2000361,2,100,'Inflicts 632 - 772 poison damage on target',0,0),
(85697,2000361,2,100,'Heals caster for 192 - 235',0,1),
(85698,2000361,3,100,'Inflicts 665 - 813 poison damage on target',0,0),
(85699,2000361,3,100,'Heals caster for 203 - 248',0,1),
(85700,2000361,4,100,'Inflicts 731 - 894 poison damage on target',0,0),
(85701,2000361,4,100,'Heals caster for 223 - 272',0,1),
(85702,2000361,5,100,'Inflicts 798 - 975 poison damage on target',0,0),
(85703,2000361,5,100,'Heals caster for 243 - 297',0,1),
(85704,2000361,6,100,'Inflicts 864 - 1056 poison damage on target',0,0),
(85705,2000361,6,100,'Heals caster for 263 - 322',0,1),
(85706,2000361,7,100,'Inflicts 1024 - 1251 poison damage on target',0,0),
(85707,2000361,7,100,'Heals caster for 312 - 381',0,1),
(85708,2000361,8,100,'Inflicts 773 - 945 poison damage on target',0,0),
(85709,2000361,8,100,'Heals caster for 314 - 384',0,1),
(85710,2000361,9,100,'Inflicts 798 - 976 poison damage on target',0,0),
(85711,2000361,9,100,'Heals caster for 324 - 396',0,1),
(85712,2000361,10,100,'Inflicts 838 - 1024 poison damage on target',0,0),
(85713,2000361,10,100,'Heals caster for 340 - 416',0,1),
(85714,2000362,1,100,'Increases Crushing, Piercing, Slashing and Ranged of group members by 0.0',0,0),
(85715,2000363,1,100,'Applies Mystic Illusion.  Lasts for 30.0 seconds.',0,0),
(85716,2000363,1,100,'On any combat or spell hit this spell will cast Mystic Illusion on target of attack.  ',1,1),
(85717,2000363,1,100,'Inflicts 2 - 4 mental damage on target',2,2),
(85718,2000363,1,100,'Increases power of group members (AE) by 2 - 3',2,3),
(85719,2000363,1,100,'Inflicts 2 - 3 mental damage on targets in Area of Effect',0,4),
(85720,2000363,2,100,'Applies Mystic Illusion.  Lasts for 30.0 seconds.',0,0),
(85721,2000363,2,100,'On any combat or spell hit this spell will cast Mystic Illusion on target of attack.  ',1,1),
(85722,2000363,2,100,'Inflicts 129 - 240 mental damage on target',2,2),
(85723,2000363,2,100,'Increases power of group members (AE) by 155 - 190',2,3),
(85724,2000363,2,100,'Inflicts 2 - 3 mental damage on targets in Area of Effect',0,4),
(85725,2000363,3,100,'Applies Mystic Illusion.  Lasts for 30.0 seconds.',0,0),
(85726,2000363,3,100,'On any combat or spell hit this spell will cast Mystic Illusion on target of attack.  ',1,1),
(85727,2000363,3,100,'Inflicts 97 - 180 mental damage on target',2,2),
(85728,2000363,3,100,'Increases power of group members (AE) by 155 - 190',2,3),
(85729,2000363,3,100,'Inflicts 2 - 3 mental damage on targets in Area of Effect',0,4),
(85730,260032,1,100,'Inflicts 104 - 127 mental damage on target encounter instantly and every second',0,0),
(85731,260032,1,100,'Stifles target encounter',0,1),
(85732,260032,1,100,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(85733,260032,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(85734,260032,2,100,'Inflicts 109 - 134 mental damage on target encounter instantly and every second',0,0),
(85735,260032,2,100,'Stifles target encounter',0,1),
(85736,260032,2,100,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(85737,260032,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(85738,260032,3,100,'Inflicts 115 - 141 mental damage on target encounter instantly and every second',0,0),
(85739,260032,3,100,'Stifles target encounter',0,1),
(85740,260032,3,100,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(85741,260032,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(85742,260032,4,100,'Inflicts 127 - 155 mental damage on target encounter instantly and every second',0,0),
(85743,260032,4,100,'Stifles target encounter',0,1),
(85744,260032,4,100,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(85745,260032,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(85746,260032,5,100,'Inflicts 138 - 169 mental damage on target encounter instantly and every second',0,0),
(85747,260032,5,100,'Stifles target encounter',0,1),
(85748,260032,5,100,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(85749,260032,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(85750,260032,7,100,'Inflicts 177 - 217 mental damage on target encounter instantly and every second',0,0),
(85751,260032,7,100,'Stifles target encounter',0,1),
(85752,260032,7,100,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(85753,260032,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(85754,260032,9,100,'Inflicts 184 - 225 mental damage on target encounter instantly and every second',0,0),
(85755,260032,9,100,'Stifles target encounter',0,1),
(85756,260032,9,100,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(85757,260032,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(85758,260033,1,100,'Inflicts 156 - 191 mental damage on target encounter instantly and every second',0,0),
(85759,260033,1,100,'Stifles target encounter',0,1),
(85760,260033,1,100,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(85761,260033,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(85762,260033,2,100,'Inflicts 165 - 201 mental damage on target encounter instantly and every second',0,0),
(85763,260033,2,100,'Stifles target encounter',0,1),
(85764,260033,2,100,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(85765,260033,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(85766,260033,3,100,'Inflicts 173 - 212 mental damage on target encounter instantly and every second',0,0),
(85767,260033,3,100,'Stifles target encounter',0,1),
(85768,260033,3,100,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(85769,260033,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(85770,260033,4,100,'Inflicts 191 - 233 mental damage on target encounter instantly and every second',0,0),
(85771,260033,4,100,'Stifles target encounter',0,1),
(85772,260033,4,100,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(85773,260033,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(85774,260033,5,100,'Inflicts 208 - 254 mental damage on target encounter instantly and every second',0,0),
(85775,260033,5,100,'Stifles target encounter',0,1),
(85776,260033,5,100,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(85777,260033,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(85778,260033,7,100,'Inflicts 267 - 326 mental damage on target encounter instantly and every second',0,0),
(85779,260033,7,100,'Stifles target encounter',0,1),
(85780,260033,7,100,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(85781,260033,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(85782,260033,9,100,'Inflicts 277 - 339 mental damage on target encounter instantly and every second',0,0),
(85783,260033,9,100,'Stifles target encounter',0,1),
(85784,260033,9,100,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(85785,260033,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(85786,260034,1,100,'Inflicts 189 - 231 mental damage on target encounter instantly and every second',0,0),
(85787,260034,1,100,'Stifles target encounter',0,1),
(85788,260034,1,100,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(85789,260034,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(85790,260034,2,100,'Inflicts 200 - 244 mental damage on target encounter instantly and every second',0,0),
(85791,260034,2,100,'Stifles target encounter',0,1),
(85792,260034,2,100,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(85793,260034,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(85794,260034,3,100,'Inflicts 210 - 257 mental damage on target encounter instantly and every second',0,0),
(85795,260034,3,100,'Stifles target encounter',0,1),
(85796,260034,3,100,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(85797,260034,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(85798,260034,4,100,'Inflicts 231 - 282 mental damage on target encounter instantly and every second',0,0),
(85799,260034,4,100,'Stifles target encounter',0,1),
(85800,260034,4,100,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(85801,260034,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(85802,260034,5,100,'Inflicts 252 - 308 mental damage on target encounter instantly and every second',0,0),
(85803,260034,5,100,'Stifles target encounter',0,1),
(85804,260034,5,100,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(85805,260034,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(85806,260034,7,100,'Inflicts 323 - 395 mental damage on target encounter instantly and every second',0,0),
(85807,260034,7,100,'Stifles target encounter',0,1),
(85808,260034,7,100,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(85809,260034,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(85810,260034,9,100,'Inflicts 336 - 411 mental damage on target encounter instantly and every second',0,0),
(85811,260034,9,100,'Stifles target encounter',0,1),
(85812,260034,9,100,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(85813,260034,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(85814,260035,1,100,'Inflicts 227 - 278 mental damage on target encounter instantly and every second',0,0),
(85815,260035,1,100,'Stifles target encounter',0,1),
(85816,260035,1,100,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(85817,260035,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(85818,260035,4,100,'Inflicts 278 - 340 mental damage on target encounter instantly and every second',0,0),
(85819,260035,4,100,'Stifles target encounter',0,1),
(85820,260035,4,100,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(85821,260035,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(85822,260035,5,100,'Inflicts 303 - 371 mental damage on target encounter instantly and every second',0,0),
(85823,260035,5,100,'Stifles target encounter',0,1),
(85824,260035,5,100,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(85825,260035,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(85826,260035,7,100,'Inflicts 389 - 476 mental damage on target encounter instantly and every second',0,0),
(85827,260035,7,100,'Stifles target encounter',0,1),
(85828,260035,7,100,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(85829,260035,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(85830,260035,9,100,'Inflicts 404 - 494 mental damage on target encounter instantly and every second',0,0),
(85831,260035,9,100,'Stifles target encounter',0,1),
(85832,260035,9,100,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(85833,260035,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(85834,260036,1,100,'Inflicts 241 - 295 mental damage on target encounter instantly and every second',0,0),
(85835,260036,1,100,'Stifles target encounter',0,1),
(85836,260036,1,100,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(85837,260036,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(85838,260036,4,100,'Inflicts 295 - 360 mental damage on target encounter instantly and every second',0,0),
(85839,260036,4,100,'Stifles target encounter',0,1),
(85840,260036,4,100,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(85841,260036,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(85842,260036,5,100,'Inflicts 322 - 393 mental damage on target encounter instantly and every second',0,0),
(85843,260036,5,100,'Stifles target encounter',0,1),
(85844,260036,5,100,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(85845,260036,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(85846,260036,7,100,'Inflicts 413 - 505 mental damage on target encounter instantly and every second',0,0),
(85847,260036,7,100,'Stifles target encounter',0,1),
(85848,260036,7,100,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(85849,260036,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(85850,260036,9,100,'Inflicts 429 - 524 mental damage on target encounter instantly and every second',0,0),
(85851,260036,9,100,'Stifles target encounter',0,1),
(85852,260036,9,100,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(85853,260036,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(85854,260037,1,100,'Applies Stumble on termination.',0,0),
(85855,260037,1,100,'Interrupts target',1,1),
(85856,260037,1,100,'Interrupts target encounter',0,2),
(85857,260037,1,100,'Inflicts 7 - 8 mental damage on target encounter instantly and every 2 seconds',0,3),
(85858,260037,2,100,'Applies Stumble on termination.',0,0),
(85859,260037,2,100,'Interrupts target',1,1),
(85860,260037,2,100,'Interrupts target encounter',0,2),
(85861,260037,2,100,'Inflicts 7 - 9 mental damage on target encounter instantly and every 2 seconds',0,3),
(85862,260037,3,100,'Applies Stumble on termination.',0,0),
(85863,260037,3,100,'Interrupts target',1,1),
(85864,260037,3,100,'Interrupts target encounter',0,2),
(85865,260037,3,100,'Inflicts 8 - 9 mental damage on target encounter instantly and every 2 seconds',0,3),
(85866,260037,4,100,'Applies Stumble on termination.',0,0),
(85867,260037,4,100,'Interrupts target',1,1),
(85868,260037,4,100,'Interrupts target encounter',0,2),
(85869,260037,4,100,'Inflicts 8 - 10 mental damage on target encounter instantly and every 2 seconds',0,3),
(85870,260037,5,100,'Applies Stumble on termination.',0,0),
(85871,260037,5,100,'Interrupts target',1,1),
(85872,260037,5,100,'Interrupts target encounter',0,2),
(85873,260037,5,100,'Inflicts 9 - 11 mental damage on target encounter instantly and every 2 seconds',0,3),
(85874,260037,7,100,'Applies Stumble on termination.',0,0),
(85875,260037,7,100,'Interrupts target',1,1),
(85876,260037,7,100,'Interrupts target encounter',0,2),
(85877,260037,7,100,'Inflicts 12 - 14 mental damage on target encounter instantly and every 2 seconds',0,3),
(85878,260037,9,100,'Applies Stumble on termination.',0,0),
(85879,260037,9,100,'Interrupts target',1,1),
(85880,260037,9,100,'Interrupts target encounter',0,2),
(85881,260037,9,100,'Inflicts 12 - 15 mental damage on target encounter instantly and every 2 seconds',0,3),
(85882,260038,1,100,'Applies Stumble on termination.',0,0),
(85883,260038,1,100,'Interrupts target',1,1),
(85884,260038,1,100,'Interrupts target encounter',0,2),
(85885,260038,1,100,'Inflicts 18 - 23 mental damage on target encounter instantly and every 2 seconds',0,3),
(85886,260038,2,100,'Applies Stumble on termination.',0,0),
(85887,260038,2,100,'Interrupts target',1,1),
(85888,260038,2,100,'Interrupts target encounter',0,2),
(85889,260038,2,100,'Inflicts 20 - 24 mental damage on target encounter instantly and every 2 seconds',0,3),
(85890,260038,3,100,'Applies Stumble on termination.',0,0),
(85891,260038,3,100,'Interrupts target',1,1),
(85892,260038,3,100,'Interrupts target encounter',0,2),
(85893,260038,3,100,'Inflicts 21 - 25 mental damage on target encounter instantly and every 2 seconds',0,3),
(85894,260038,4,100,'Applies Stumble on termination.',0,0),
(85895,260038,4,100,'Interrupts target',1,1),
(85896,260038,4,100,'Interrupts target encounter',0,2),
(85897,260038,4,100,'Inflicts 23 - 28 mental damage on target encounter instantly and every 2 seconds',0,3),
(85898,260038,5,100,'Applies Stumble on termination.',0,0),
(85899,260038,5,100,'Interrupts target',1,1),
(85900,260038,5,100,'Interrupts target encounter',0,2),
(85901,260038,5,100,'Inflicts 25 - 30 mental damage on target encounter instantly and every 2 seconds',0,3),
(85902,260038,7,100,'Applies Stumble on termination.',0,0),
(85903,260038,7,100,'Interrupts target',1,1),
(85904,260038,7,100,'Interrupts target encounter',0,2),
(85905,260038,7,100,'Inflicts 32 - 39 mental damage on target encounter instantly and every 2 seconds',0,3),
(85906,260038,9,100,'Applies Stumble on termination.',0,0),
(85907,260038,9,100,'Interrupts target',1,1),
(85908,260038,9,100,'Interrupts target encounter',0,2),
(85909,260038,9,100,'Inflicts 33 - 40 mental damage on target encounter instantly and every 2 seconds',0,3),
(85910,260038,10,100,'Applies Stumble on termination.',0,0),
(85911,260038,10,100,'Interrupts target',1,1),
(85912,260038,10,100,'Interrupts target encounter',0,2),
(85913,260038,10,100,'Inflicts 34 - 42 mental damage on target encounter instantly and every 2 seconds',0,3),
(85914,260039,1,100,'Applies Stumble on termination.',0,0),
(85915,260039,1,100,'Interrupts target',1,1),
(85916,260039,1,100,'Interrupts target encounter',0,2),
(85917,260039,1,100,'Inflicts 32 - 39 mental damage on target encounter instantly and every 2 seconds',0,3),
(85918,260039,2,100,'Applies Stumble on termination.',0,0),
(85919,260039,2,100,'Interrupts target',1,1),
(85920,260039,2,100,'Interrupts target encounter',0,2),
(85921,260039,2,100,'Inflicts 34 - 41 mental damage on target encounter instantly and every 2 seconds',0,3),
(85922,260039,3,100,'Applies Stumble on termination.',0,0),
(85923,260039,3,100,'Interrupts target',1,1),
(85924,260039,3,100,'Interrupts target encounter',0,2),
(85925,260039,3,100,'Inflicts 36 - 44 mental damage on target encounter instantly and every 2 seconds',0,3),
(85926,260039,4,100,'Applies Stumble on termination.',0,0),
(85927,260039,4,100,'Interrupts target',1,1),
(85928,260039,4,100,'Interrupts target encounter',0,2),
(85929,260039,4,100,'Inflicts 39 - 48 mental damage on target encounter instantly and every 2 seconds',0,3),
(85930,260039,5,100,'Applies Stumble on termination.',0,0),
(85931,260039,5,100,'Interrupts target',1,1),
(85932,260039,5,100,'Interrupts target encounter',0,2),
(85933,260039,5,100,'Inflicts 43 - 52 mental damage on target encounter instantly and every 2 seconds',0,3),
(85934,260039,7,100,'Applies Stumble on termination.',0,0),
(85935,260039,7,100,'Interrupts target',1,1),
(85936,260039,7,100,'Interrupts target encounter',0,2),
(85937,260039,7,100,'Inflicts 55 - 67 mental damage on target encounter instantly and every 2 seconds',0,3),
(85938,260039,9,100,'Applies Stumble on termination.',0,0),
(85939,260039,9,100,'Interrupts target',1,1),
(85940,260039,9,100,'Interrupts target encounter',0,2),
(85941,260039,9,100,'Inflicts 57 - 70 mental damage on target encounter instantly and every 2 seconds',0,3),
(85942,260040,1,100,'Applies Stumble on termination.',0,0),
(85943,260040,1,100,'Interrupts target',1,1),
(85944,260040,1,100,'Interrupts target encounter',0,2),
(85945,260040,1,100,'Inflicts 48 - 59 mental damage on target encounter instantly and every 2 seconds',0,3),
(85946,260040,2,100,'Applies Stumble on termination.',0,0),
(85947,260040,2,100,'Interrupts target',1,1),
(85948,260040,2,100,'Interrupts target encounter',0,2),
(85949,260040,2,100,'Inflicts 51 - 62 mental damage on target encounter instantly and every 2 seconds',0,3),
(85950,260040,3,100,'Applies Stumble on termination.',0,0),
(85951,260040,3,100,'Interrupts target',1,1),
(85952,260040,3,100,'Interrupts target encounter',0,2),
(85953,260040,3,100,'Inflicts 54 - 65 mental damage on target encounter instantly and every 2 seconds',0,3),
(85954,260040,4,100,'Applies Stumble on termination.',0,0),
(85955,260040,4,100,'Interrupts target',1,1),
(85956,260040,4,100,'Interrupts target encounter',0,2),
(85957,260040,4,100,'Inflicts 59 - 72 mental damage on target encounter instantly and every 2 seconds',0,3),
(85958,260040,5,100,'Applies Stumble on termination.',0,0),
(85959,260040,5,100,'Interrupts target',1,1),
(85960,260040,5,100,'Interrupts target encounter',0,2),
(85961,260040,5,100,'Inflicts 64 - 79 mental damage on target encounter instantly and every 2 seconds',0,3),
(85962,260040,7,100,'Applies Stumble on termination.',0,0),
(85963,260040,7,100,'Interrupts target',1,1),
(85964,260040,7,100,'Interrupts target encounter',0,2),
(85965,260040,7,100,'Inflicts 82 - 101 mental damage on target encounter instantly and every 2 seconds',0,3),
(85966,260040,9,100,'Applies Stumble on termination.',0,0),
(85967,260040,9,100,'Interrupts target',1,1),
(85968,260040,9,100,'Interrupts target encounter',0,2),
(85969,260040,9,100,'Inflicts 86 - 105 mental damage on target encounter instantly and every 2 seconds',0,3),
(85970,260041,1,100,'Applies Stumble on termination.',0,0),
(85971,260041,1,100,'Interrupts target',1,1),
(85972,260041,1,100,'Interrupts target encounter',0,2),
(85973,260041,1,100,'Inflicts 65 - 80 mental damage on target encounter instantly and every 2 seconds',0,3),
(85974,260041,2,100,'Applies Stumble on termination.',0,0),
(85975,260041,2,100,'Interrupts target',1,1),
(85976,260041,2,100,'Interrupts target encounter',0,2),
(85977,260041,2,100,'Inflicts 69 - 84 mental damage on target encounter instantly and every 2 seconds',0,3),
(85978,260041,3,100,'Applies Stumble on termination.',0,0),
(85979,260041,3,100,'Interrupts target',1,1),
(85980,260041,3,100,'Interrupts target encounter',0,2),
(85981,260041,3,100,'Inflicts 72 - 89 mental damage on target encounter instantly and every 2 seconds',0,3),
(85982,260041,4,100,'Applies Stumble on termination.',0,0),
(85983,260041,4,100,'Interrupts target',1,1),
(85984,260041,4,100,'Interrupts target encounter',0,2),
(85985,260041,4,100,'Inflicts 80 - 97 mental damage on target encounter instantly and every 2 seconds',0,3),
(85986,260041,5,100,'Applies Stumble on termination.',0,0),
(85987,260041,5,100,'Interrupts target',1,1),
(85988,260041,5,100,'Interrupts target encounter',0,2),
(85989,260041,5,100,'Inflicts 87 - 106 mental damage on target encounter instantly and every 2 seconds',0,3),
(85990,260041,7,100,'Applies Stumble on termination.',0,0),
(85991,260041,7,100,'Interrupts target',1,1),
(85992,260041,7,100,'Interrupts target encounter',0,2),
(85993,260041,7,100,'Inflicts 112 - 136 mental damage on target encounter instantly and every 2 seconds',0,3),
(85994,260041,9,100,'Applies Stumble on termination.',0,0),
(85995,260041,9,100,'Interrupts target',1,1),
(85996,260041,9,100,'Interrupts target encounter',0,2),
(85997,260041,9,100,'Inflicts 116 - 142 mental damage on target encounter instantly and every 2 seconds',0,3),
(85998,260041,10,100,'Applies Stumble on termination.',0,0),
(85999,260041,10,100,'Interrupts target',1,1),
(86000,260041,10,100,'Interrupts target encounter',0,2),
(86001,260041,10,100,'Inflicts 122 - 149 mental damage on target encounter instantly and every 2 seconds',0,3),
(86002,260042,1,100,'Applies Stumble on termination.',0,0),
(86003,260042,1,100,'Interrupts target',1,1),
(86004,260042,1,100,'Interrupts target encounter',0,2),
(86005,260042,1,100,'Inflicts 82 - 100 mental damage on target encounter instantly and every 2 seconds',0,3),
(86006,260042,2,100,'Applies Stumble on termination.',0,0),
(86007,260042,2,100,'Interrupts target',1,1),
(86008,260042,2,100,'Interrupts target encounter',0,2),
(86009,260042,2,100,'Inflicts 86 - 105 mental damage on target encounter instantly and every 2 seconds',0,3),
(86010,260042,3,100,'Applies Stumble on termination.',0,0),
(86011,260042,3,100,'Interrupts target',1,1),
(86012,260042,3,100,'Interrupts target encounter',0,2),
(86013,260042,3,100,'Inflicts 91 - 111 mental damage on target encounter instantly and every 2 seconds',0,3),
(86014,260042,4,100,'Applies Stumble on termination.',0,0),
(86015,260042,4,100,'Interrupts target',1,1),
(86016,260042,4,100,'Interrupts target encounter',0,2),
(86017,260042,4,100,'Inflicts 100 - 122 mental damage on target encounter instantly and every 2 seconds',0,3),
(86018,260042,5,100,'Applies Stumble on termination.',0,0),
(86019,260042,5,100,'Interrupts target',1,1),
(86020,260042,5,100,'Interrupts target encounter',0,2),
(86021,260042,5,100,'Inflicts 109 - 133 mental damage on target encounter instantly and every 2 seconds',0,3),
(86022,260042,7,100,'Applies Stumble on termination.',0,0),
(86023,260042,7,100,'Interrupts target',1,1),
(86024,260042,7,100,'Interrupts target encounter',0,2),
(86025,260042,7,100,'Inflicts 140 - 171 mental damage on target encounter instantly and every 2 seconds',0,3),
(86026,260042,9,100,'Applies Stumble on termination.',0,0),
(86027,260042,9,100,'Interrupts target',1,1),
(86028,260042,9,100,'Interrupts target encounter',0,2),
(86029,260042,9,100,'Inflicts 145 - 178 mental damage on target encounter instantly and every 2 seconds',0,3),
(86030,260043,1,100,'Applies Stumble on termination.',0,0),
(86031,260043,1,100,'Interrupts target',1,1),
(86032,260043,1,100,'Interrupts target encounter',0,2),
(86033,260043,1,100,'Inflicts 99 - 121 mental damage on target encounter instantly and every 2 seconds',0,3),
(86034,260043,4,100,'Applies Stumble on termination.',0,0),
(86035,260043,4,100,'Interrupts target',1,1),
(86036,260043,4,100,'Interrupts target encounter',0,2),
(86037,260043,4,100,'Inflicts 121 - 147 mental damage on target encounter instantly and every 2 seconds',0,3),
(86038,260043,5,100,'Applies Stumble on termination.',0,0),
(86039,260043,5,100,'Interrupts target',1,1),
(86040,260043,5,100,'Interrupts target encounter',0,2),
(86041,260043,5,100,'Inflicts 132 - 161 mental damage on target encounter instantly and every 2 seconds',0,3),
(86042,260043,7,100,'Applies Stumble on termination.',0,0),
(86043,260043,7,100,'Interrupts target',1,1),
(86044,260043,7,100,'Interrupts target encounter',0,2),
(86045,260043,7,100,'Inflicts 169 - 206 mental damage on target encounter instantly and every 2 seconds',0,3),
(86046,260043,9,100,'Applies Stumble on termination.',0,0),
(86047,260043,9,100,'Interrupts target',1,1),
(86048,260043,9,100,'Interrupts target encounter',0,2),
(86049,260043,9,100,'Inflicts 175 - 214 mental damage on target encounter instantly and every 2 seconds',0,3),
(86050,260044,1,100,'Applies Stumble on termination.',0,0),
(86051,260044,1,100,'Interrupts target',1,1),
(86052,260044,1,100,'Interrupts target encounter',0,2),
(86053,260044,1,100,'Inflicts 110 - 134 mental damage on target encounter instantly and every 2 seconds',0,3),
(86054,260044,4,100,'Applies Stumble on termination.',0,0),
(86055,260044,4,100,'Interrupts target',1,1),
(86056,260044,4,100,'Interrupts target encounter',0,2),
(86057,260044,4,100,'Inflicts 134 - 164 mental damage on target encounter instantly and every 2 seconds',0,3),
(86058,260044,5,100,'Applies Stumble on termination.',0,0),
(86059,260044,5,100,'Interrupts target',1,1),
(86060,260044,5,100,'Interrupts target encounter',0,2),
(86061,260044,5,100,'Inflicts 146 - 179 mental damage on target encounter instantly and every 2 seconds',0,3),
(86062,260044,7,100,'Applies Stumble on termination.',0,0),
(86063,260044,7,100,'Interrupts target',1,1),
(86064,260044,7,100,'Interrupts target encounter',0,2),
(86065,260044,7,100,'Inflicts 188 - 229 mental damage on target encounter instantly and every 2 seconds',0,3),
(86066,260044,9,100,'Applies Stumble on termination.',0,0),
(86067,260044,9,100,'Interrupts target',1,1),
(86068,260044,9,100,'Interrupts target encounter',0,2),
(86069,260044,9,100,'Inflicts 195 - 238 mental damage on target encounter instantly and every 2 seconds',0,3),
(86070,2000364,1,100,'Decreases Ability Casting Speed of target by 18.0%',0,0),
(86071,2000364,1,100,'Increases Ability Casting Speed of caster by 9.0%',0,1),
(86072,2000364,2,100,'Decreases Ability Casting Speed of target by 19.0%',0,0),
(86073,2000364,2,100,'Increases Ability Casting Speed of caster by 9.5%',0,1),
(86074,2000364,3,100,'Decreases Ability Casting Speed of target by 20.0%',0,0),
(86075,2000364,3,100,'Increases Ability Casting Speed of caster by 10.0%',0,1),
(86076,2000364,4,100,'Decreases Ability Casting Speed of target by 22.0%',0,0),
(86077,2000364,4,100,'Increases Ability Casting Speed of caster by 11.0%',0,1),
(86078,2000364,5,100,'Decreases Ability Casting Speed of target by 24.0%',0,0),
(86079,2000364,5,100,'Increases Ability Casting Speed of caster by 12.0%',0,1),
(86080,2000364,6,100,'Decreases Ability Casting Speed of target by 26.0%',0,0),
(86081,2000364,6,100,'Increases Ability Casting Speed of caster by 13.0%',0,1),
(86082,2000364,7,100,'Decreases Ability Casting Speed of target by 30.8%',0,0),
(86083,2000364,7,100,'Increases Ability Casting Speed of caster by 15.4%',0,1),
(86084,2000364,8,100,'Decreases Ability Casting Speed of target by 31.0%',0,0),
(86085,2000364,8,100,'Increases Ability Casting Speed of caster by 15.5%',0,1),
(86086,2000364,9,100,'Decreases Ability Casting Speed of target by 32.0%',0,0),
(86087,2000364,9,100,'Increases Ability Casting Speed of caster by 16.0%',0,1),
(86088,2000364,10,100,'Decreases Ability Casting Speed of target by 33.6%',0,0),
(86089,2000364,10,100,'Increases Ability Casting Speed of caster by 16.8%',0,1),
(86090,2000365,1,100,'When damaged in combat this spell has a 25% chance to cast Churning Waters on target''s attacker.',0,0),
(86091,2000365,1,100,'Increases Threat to target encounter by 12',1,1),
(86092,150002,1,100,'Opens a portal that transports adventurers to any Druid Ring in Norrath.',0,0),
(86093,2000366,1,100,'Inflicts 1 - 2 crushing damage on target',0,0),
(86094,2000366,1,100,'Stuns target',0,1),
(86095,2000366,1,100,'Epic targets gain an immunity to Stun effects of 5.6 seconds and duration is reduced to 0.6 seconds.',0,2),
(86096,2000366,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(86097,370049,1,100,'Applies Empowerment of Chaos.  Lasts for 1 minute.',0,0),
(86098,370049,2,100,'Applies Empowerment of Chaos.  Lasts for 1 minute.',0,0),
(86099,370049,3,100,'Applies Empowerment of Chaos.  Lasts for 1 minute.',0,0),
(86100,370049,4,100,'Applies Empowerment of Chaos.  Lasts for 1 minute.',0,0),
(86101,370049,5,100,'Applies Empowerment of Chaos.  Lasts for 1 minute.',0,0),
(86102,370049,7,100,'Applies Empowerment of Chaos.  Lasts for 1 minute.',0,0),
(86103,370049,9,100,'Applies Empowerment of Chaos.  Lasts for 1 minute.',0,0),
(86104,370049,10,100,'Applies Empowerment of Chaos.  Lasts for 1 minute.',0,0),
(86105,370050,1,100,'Applies Empowerment of Chaos.  Lasts for 1 minute.',0,0),
(86106,370050,2,100,'Applies Empowerment of Chaos.  Lasts for 1 minute.',0,0),
(86107,370050,3,100,'Applies Empowerment of Chaos.  Lasts for 1 minute.',0,0),
(86108,370050,4,100,'Applies Empowerment of Chaos.  Lasts for 1 minute.',0,0),
(86109,370050,5,100,'Applies Empowerment of Chaos.  Lasts for 1 minute.',0,0),
(86110,370050,7,100,'Applies Empowerment of Chaos.  Lasts for 1 minute.',0,0),
(86111,370050,9,100,'Applies Empowerment of Chaos.  Lasts for 1 minute.',0,0),
(86112,370051,1,100,'Applies Empowerment of Chaos.  Lasts for 1 minute.',0,0),
(86113,370051,2,100,'Applies Empowerment of Chaos.  Lasts for 1 minute.',0,0),
(86114,370051,3,100,'Applies Empowerment of Chaos.  Lasts for 1 minute.',0,0),
(86115,370051,4,100,'Applies Empowerment of Chaos.  Lasts for 1 minute.',0,0),
(86116,370051,5,100,'Applies Empowerment of Chaos.  Lasts for 1 minute.',0,0),
(86117,370051,7,100,'Applies Empowerment of Chaos.  Lasts for 1 minute.',0,0),
(86118,370051,9,100,'Applies Empowerment of Chaos.  Lasts for 1 minute.',0,0),
(86119,370052,1,100,'Applies Empowerment of Chaos.  Lasts for 1 minute.',0,0),
(86120,370052,2,100,'Applies Empowerment of Chaos.  Lasts for 1 minute.',0,0),
(86121,370052,3,100,'Applies Empowerment of Chaos.  Lasts for 1 minute.',0,0),
(86122,370052,4,100,'Applies Empowerment of Chaos.  Lasts for 1 minute.',0,0),
(86123,370052,5,100,'Applies Empowerment of Chaos.  Lasts for 1 minute.',0,0),
(86124,370052,7,100,'Applies Empowerment of Chaos.  Lasts for 1 minute.',0,0),
(86125,370052,9,100,'Applies Empowerment of Chaos.  Lasts for 1 minute.',0,0),
(86126,370053,1,100,'Applies Empowerment of Chaos.  Lasts for 1 minute.',0,0),
(86127,370053,2,100,'Applies Empowerment of Chaos.  Lasts for 1 minute.',0,0),
(86128,370053,3,100,'Applies Empowerment of Chaos.  Lasts for 1 minute.',0,0),
(86129,370053,4,100,'Applies Empowerment of Chaos.  Lasts for 1 minute.',0,0),
(86130,370053,5,100,'Applies Empowerment of Chaos.  Lasts for 1 minute.',0,0),
(86131,370053,7,100,'Applies Empowerment of Chaos.  Lasts for 1 minute.',0,0),
(86132,370053,9,100,'Applies Empowerment of Chaos.  Lasts for 1 minute.',0,0),
(86133,370054,1,100,'Applies Empowerment of Chaos.  Lasts for 1 minute.',0,0),
(86134,370054,4,100,'Applies Empowerment of Chaos.  Lasts for 1 minute.',0,0),
(86135,370054,5,100,'Applies Empowerment of Chaos.  Lasts for 1 minute.',0,0),
(86136,370054,7,100,'Applies Empowerment of Chaos.  Lasts for 1 minute.',0,0),
(86137,370054,9,100,'Applies Empowerment of Chaos.  Lasts for 1 minute.',0,0),
(86138,370055,1,100,'Applies Empowerment of Chaos.  Lasts for 1 minute.',0,0),
(86139,370055,4,100,'Applies Empowerment of Chaos.  Lasts for 1 minute.',0,0),
(86140,370055,5,100,'Applies Empowerment of Chaos.  Lasts for 1 minute.',0,0),
(86141,370055,7,100,'Applies Empowerment of Chaos.  Lasts for 1 minute.',0,0),
(86142,370055,9,100,'Applies Empowerment of Chaos.  Lasts for 1 minute.',0,0),
(86143,2000367,1,100,'Inflicts 1 - 2 crushing damage on target',0,0),
(86144,2000367,1,100,'Stuns target',0,1),
(86145,2000367,1,100,'Epic targets gain an immunity to Stun effects of 3.7 seconds and duration is reduced to 0.4 seconds.',0,2),
(86146,2000367,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(86147,140015,12,100,'Dispels 176 levels of physical, elemental, noxious, arcane hostile effects on group members (AE)',0,0),
(86148,140015,12,100,'Casts Penitent Cleansing for each successful Dispel.',0,1),
(86149,140015,12,100,'Heals target for 714 - 1071',2,2),
(86150,2000368,1,100,'Applies Clearwater Current.  Lasts for 24.0 seconds.',0,0),
(86151,2000368,1,100,'Heals target for 135 - 165 instantly and every 3 seconds',1,1),
(86152,2000368,1,100,'The heal of this spell is multiplied by the tick number, up to 9.',1,2),
(86153,2000368,2,100,'Applies Clearwater Current.  Lasts for 24.0 seconds.',0,0),
(86154,2000368,2,100,'Heals target for 135 - 165 instantly and every 3 seconds',1,1),
(86155,2000368,2,100,'The heal of this spell is multiplied by the tick number, up to 9.',1,2),
(86156,2000368,3,100,'Applies Clearwater Current.  Lasts for 24.0 seconds.',0,0),
(86157,2000368,3,100,'Heals target for 135 - 165 instantly and every 3 seconds',1,1),
(86158,2000368,3,100,'The heal of this spell is multiplied by the tick number, up to 9.',1,2),
(86159,2000369,1,100,'Increases Unconscious Health of group members (AE) by 16.0',0,0),
(86160,2000370,1,100,'On any combat or spell hit this spell may cast Coerced Intensity on target.  Lasts for 15 minutes.  Triggers about 0.2 times per minute. ',0,0),
(86161,2000370,1,100,'Dispelled when a group member dies.',1,1),
(86162,2000370,1,100,'Increases Crit Bonus of group members (AE) by 1.0%',1,2),
(86163,2000370,1,100,'On a death blow this spell will cast Coerced Intensity on target.  Lasts for 15 minutes.  ',0,3),
(86164,2000370,1,100,'Dispelled when a group member dies.',1,4),
(86165,2000370,1,100,'Increases Crit Bonus of group members (AE) by 1.0%',1,5),
(86166,2000371,1,100,'Reactives: Increases trigger count by 1 and heal amount by 15 percent',0,0),
(86167,2000371,1,100,'Regeneration: Increases heal amount by 15%',0,1),
(86168,2000371,1,100,'Wards: Increases ward amount by 15%',0,2),
(86169,2000371,1,100,'Improves casting speed of beneficial spells by 15%',0,3),
(86170,2000371,1,100,'Improves reuse speed of beneficial spells by 10%',0,4),
(86171,2000372,1,100,'Applies Coercive Shout.',0,0),
(86172,2000372,1,100,'Increases threat priority of targets in Area of Effect by 2 positions',1,1),
(86173,2000372,1,100,'Increases Threat to targets in Area of Effect by 1,617 ',1,2),
(86174,2000372,1,100,'Target will Riposte 100.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',0,3),
(86175,2000372,1,100,'If fighter',0,4),
(86176,2000372,1,100,'Must be engaged in combat',0,5),
(86177,180002,1,100,'Applies Grey Winds.  Lasts for 10.0 seconds.',0,0),
(86178,180002,1,100,'Slows target by 32.0%',1,1),
(86179,180002,1,100,'5% chance to dispel when target receives hostile action',1,2),
(86180,180002,1,100,'5% chance to dispel when target takes damage',1,3),
(86181,180002,1,100,'Inflicts 25 - 31 cold damage on target',0,4),
(86182,180002,2,100,'Applies Grey Winds.  Lasts for 10.0 seconds.',0,0),
(86183,180002,2,100,'Slows target by 32.0%',1,1),
(86184,180002,2,100,'5% chance to dispel when target receives hostile action',1,2),
(86185,180002,2,100,'5% chance to dispel when target takes damage',1,3),
(86186,180002,2,100,'Inflicts 27 - 33 cold damage on target',0,4),
(86187,180002,3,100,'Applies Grey Winds.  Lasts for 10.0 seconds.',0,0),
(86188,180002,3,100,'Slows target by 32.0%',1,1),
(86189,180002,3,100,'5% chance to dispel when target receives hostile action',1,2),
(86190,180002,3,100,'5% chance to dispel when target takes damage',1,3),
(86191,180002,3,100,'Inflicts 28 - 34 cold damage on target',0,4),
(86192,180002,4,100,'Applies Grey Winds.  Lasts for 10.0 seconds.',0,0),
(86193,180002,4,100,'Slows target by 32.0%',1,1),
(86194,180002,4,100,'5% chance to dispel when target receives hostile action',1,2),
(86195,180002,4,100,'5% chance to dispel when target takes damage',1,3),
(86196,180002,4,100,'Inflicts 31 - 38 cold damage on target',0,4),
(86197,180002,5,100,'Applies Grey Winds.  Lasts for 10.0 seconds.',0,0),
(86198,180002,5,100,'Slows target by 32.0%',1,1),
(86199,180002,5,100,'5% chance to dispel when target receives hostile action',1,2),
(86200,180002,5,100,'5% chance to dispel when target takes damage',1,3),
(86201,180002,5,100,'Inflicts 34 - 41 cold damage on target',0,4),
(86202,180002,7,100,'Applies Grey Winds.  Lasts for 10.0 seconds.',0,0),
(86203,180002,7,100,'Slows target by 32.0%',1,1),
(86204,180002,7,100,'5% chance to dispel when target receives hostile action',1,2),
(86205,180002,7,100,'5% chance to dispel when target takes damage',1,3),
(86206,180002,7,100,'Inflicts 43 - 53 cold damage on target',0,4),
(86207,180002,9,100,'Applies Grey Winds.  Lasts for 10.0 seconds.',0,0),
(86208,180002,9,100,'Slows target by 32.0%',1,1),
(86209,180002,9,100,'5% chance to dispel when target receives hostile action',1,2),
(86210,180002,9,100,'5% chance to dispel when target takes damage',1,3),
(86211,180002,9,100,'Inflicts 45 - 55 cold damage on target',0,4),
(86212,120004,1,100,'Heals target for 91 - 111',0,0),
(86213,120004,2,100,'Heals target for 96 - 118',0,0),
(86214,120004,3,100,'Heals target for 101 - 124',0,0),
(86215,120004,4,100,'Heals target for 111 - 136',0,0),
(86216,120004,5,100,'Heals target for 122 - 149',0,0),
(86217,120004,7,100,'Heals target for 156 - 191',0,0),
(86218,120004,9,100,'Heals target for 162 - 198',0,0),
(86219,290028,1,100,'Summons three powerful planar beings to attack the conjuror''s enemies.',0,0),
(86220,290028,2,100,'Summons three powerful planar beings to attack the conjuror''s enemies.',0,0),
(86221,290028,3,100,'Summons three powerful planar beings to attack the conjuror''s enemies.',0,0),
(86222,290028,4,100,'Summons three powerful planar beings to attack the conjuror''s enemies.',0,0),
(86223,290028,5,100,'Summons three powerful planar beings to attack the conjuror''s enemies.',0,0),
(86224,290028,7,100,'Summons three powerful planar beings to attack the conjuror''s enemies.',0,0),
(86225,290028,9,100,'Summons three powerful planar beings to attack the conjuror''s enemies.',0,0),
(86226,290029,1,100,'Summons three powerful planar beings to attack the conjuror''s enemies.',0,0),
(86227,290029,4,100,'Summons three powerful planar beings to attack the conjuror''s enemies.',0,0),
(86228,290029,5,100,'Summons three powerful planar beings to attack the conjuror''s enemies.',0,0),
(86229,290029,7,100,'Summons three powerful planar beings to attack the conjuror''s enemies.',0,0),
(86230,290029,9,100,'Summons three powerful planar beings to attack the conjuror''s enemies.',0,0),
(86231,290030,1,100,'Summons three powerful planar beings to attack the conjuror''s enemies.',0,0),
(86232,290030,4,100,'Summons three powerful planar beings to attack the conjuror''s enemies.',0,0),
(86233,290030,5,100,'Summons three powerful planar beings to attack the conjuror''s enemies.',0,0),
(86234,290030,7,100,'Summons three powerful planar beings to attack the conjuror''s enemies.',0,0),
(86235,290030,9,100,'Summons three powerful planar beings to attack the conjuror''s enemies.',0,0),
(86236,220003,3,100,'Interrupts target encounter',0,0),
(86237,220003,3,100,'Decreases Threat to target encounter by 998 - 1,220 ',0,1),
(86238,2000373,1,100,'Decreases threat priority of targets in Area of Effect by 2 positions',0,0),
(86239,2000373,1,100,'Inflicts 805 - 1495 magic damage on targets in Area of Effect',0,1),
(86240,2000373,1,100,'Stuns targets in Area of Effect',0,2),
(86241,2000373,1,100,'If Target is not Epic',1,3),
(86242,2000373,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(86243,140016,1,100,'Decreases Mitigation of target vs all damage by 23',0,0),
(86244,140016,2,100,'Decreases Mitigation of target vs all damage by 25',0,0),
(86245,140016,3,100,'Decreases Mitigation of target vs all damage by 26',0,0),
(86246,140016,4,100,'Decreases Mitigation of target vs all damage by 29',0,0),
(86247,140016,5,100,'Decreases Mitigation of target vs all damage by 31',0,0),
(86248,140016,7,100,'Decreases Mitigation of target vs all damage by 40',0,0),
(86249,140016,9,100,'Decreases Mitigation of target vs all damage by 41',0,0),
(86250,140017,1,100,'Decreases Mitigation of target vs all damage by 65',0,0),
(86251,140017,2,100,'Decreases Mitigation of target vs all damage by 68',0,0),
(86252,140017,3,100,'Decreases Mitigation of target vs all damage by 72',0,0),
(86253,140017,4,100,'Decreases Mitigation of target vs all damage by 79',0,0),
(86254,140017,5,100,'Decreases Mitigation of target vs all damage by 86',0,0),
(86255,140017,7,100,'Decreases Mitigation of target vs all damage by 111',0,0),
(86256,140017,9,100,'Decreases Mitigation of target vs all damage by 115',0,0),
(86257,140017,10,100,'Decreases Mitigation of target vs all damage by 121',0,0),
(86258,140018,1,100,'Decreases Mitigation of target vs physical and heat damage by 130',0,0),
(86259,140018,2,100,'Decreases Mitigation of target vs physical and heat damage by 137',0,0),
(86260,140018,3,100,'Decreases Mitigation of target vs physical and heat damage by 144',0,0),
(86261,140018,4,100,'Decreases Mitigation of target vs physical and heat damage by 158',0,0),
(86262,140018,5,100,'Decreases Mitigation of target vs physical and heat damage by 173',0,0),
(86263,140018,7,100,'Decreases Mitigation of target vs physical and heat damage 222',0,0),
(86264,140018,9,100,'Decreases Mitigation of target vs physical and heat damage 230',0,0),
(86265,140018,10,100,'Decreases Mitigation of target vs physical and heat damage 242',0,0),
(86266,140019,1,100,'Decreases Mitigation of target vs all damage by 205',0,0),
(86267,140019,2,100,'Decreases Mitigation of target vs all damage by 217',0,0),
(86268,140019,3,100,'Decreases Mitigation of target vs all damage by 228',0,0),
(86269,140019,4,100,'Decreases Mitigation of target vs all damage by 251',0,0),
(86270,140019,5,100,'Decreases Mitigation of target vs all damage by 274',0,0),
(86271,140019,7,100,'Decreases Mitigation of target vs all damage by 351',0,0),
(86272,140019,9,100,'Decreases Mitigation of target vs all damage by 365',0,0),
(86273,140020,1,100,'Decreases Mitigation of target vs all damage by 629',0,0),
(86274,140020,4,100,'Decreases Mitigation of target vs all damage by 768',0,0),
(86275,140020,5,100,'Decreases Mitigation of target vs all damage by 838',0,0),
(86276,140020,7,100,'Decreases Mitigation of target vs all damage by 1076',0,0),
(86277,140020,9,100,'Decreases Mitigation of target vs all damage by 1117',0,0),
(86278,140021,1,100,'Decreases Mitigation of target vs all damage by 281',0,0),
(86279,140021,2,100,'Decreases Mitigation of target vs all damage by 296',0,0),
(86280,140021,3,100,'Decreases Mitigation of target vs all damage by 312',0,0),
(86281,140021,4,100,'Decreases Mitigation of target vs all damage by 343',0,0),
(86282,140021,5,100,'Decreases Mitigation of target vs all damage by 374',0,0),
(86283,140021,7,100,'Decreases Mitigation of target vs all damage by 480',0,0),
(86284,140021,9,100,'Decreases Mitigation of target vs all damage by 499',0,0),
(86285,140021,10,100,'Decreases Mitigation of target vs all damage by 524',0,0),
(86286,140022,1,100,'Decreases Mitigation of target vs all damage by 356',0,0),
(86287,140022,2,100,'Decreases Mitigation of target vs all damage by 376',0,0),
(86288,140022,3,100,'Decreases Mitigation of target vs all damage by 396',0,0),
(86289,140022,4,100,'Decreases Mitigation of target vs all damage by 436',0,0),
(86290,140022,5,100,'Decreases Mitigation of target vs all damage by 475',0,0),
(86291,140022,7,100,'Decreases Mitigation of target vs all damage by 610',0,0),
(86292,140022,9,100,'Decreases Mitigation of target vs all damage by 634',0,0),
(86293,140023,1,100,'Decreases Mitigation of target vs all damage by 457',0,0),
(86294,140023,2,100,'Decreases Mitigation of target vs all damage by 483',0,0),
(86295,140023,3,100,'Decreases Mitigation of target vs all damage by 508',0,0),
(86296,140023,4,100,'Decreases Mitigation of target vs all damage by 559',0,0),
(86297,140023,5,100,'Decreases Mitigation of target vs all damage by 610',0,0),
(86298,140023,7,100,'Decreases Mitigation of target vs all damage by 783',0,0),
(86299,140023,9,100,'Decreases Mitigation of target vs all damage by 813',0,0),
(86300,140024,1,100,'Decreases Mitigation of target vs all damage by 564',0,0),
(86301,140024,4,100,'Decreases Mitigation of target vs all damage by 689',0,0),
(86302,140024,5,100,'Decreases Mitigation of target vs all damage by 752',0,0),
(86303,140024,7,100,'Decreases Mitigation of target vs all damage by 965',0,0),
(86304,140024,9,100,'Decreases Mitigation of target vs all damage by 1002',0,0),
(86305,220004,1,100,'Inflicts 65 - 121 heat damage on targets in Area of Effect',0,0),
(86306,220004,2,100,'Inflicts 69 - 128 heat damage on targets in Area of Effect',0,0),
(86307,220004,3,100,'Inflicts 73 - 135 heat damage on targets in Area of Effect',0,0),
(86308,220004,4,100,'Inflicts 80 - 148 heat damage on targets in Area of Effect',0,0),
(86309,220004,5,100,'Inflicts 87 - 162 heat damage on targets in Area of Effect',0,0),
(86310,220004,7,100,'Inflicts 112 - 208 heat damage on targets in Area of Effect',0,0),
(86311,220004,9,100,'Inflicts 116 - 216 heat damage on targets in Area of Effect',0,0),
(86312,2000374,1,100,'Inflicts 0 - 1 melee damage on target',0,0),
(86313,2000374,1,100,'Decreases Threat to target by 108 ',0,1),
(86314,2000374,2,100,'Inflicts 131 - 219 melee damage on target',0,0),
(86315,2000374,2,100,'Decreases Threat to target by 9,926 ',0,1),
(86316,2000374,3,100,'Inflicts 138 - 230 melee damage on target',0,0),
(86317,2000374,3,100,'Decreases Threat to target by 10,448 ',0,1),
(86318,2000374,4,100,'Inflicts 114 - 190 melee damage on target',0,0),
(86319,2000374,4,100,'Decreases Threat to target by 11,464 ',0,1),
(86320,2000374,5,100,'Inflicts 166 - 277 melee damage on target',0,0),
(86321,2000374,5,100,'Decreases Threat to target by 12,538 ',0,1),
(86322,2000374,6,100,'Inflicts 180 - 300 melee damage on target',0,0),
(86323,2000374,6,100,'Decreases Threat to target by 13,583 ',0,1),
(86324,2000374,7,100,'Inflicts 213 - 355 melee damage on target',0,0),
(86325,2000374,7,100,'Decreases Threat to target by 16,091 ',0,1),
(86326,2000374,8,100,'Inflicts 161 - 268 melee damage on target',0,0),
(86327,2000374,8,100,'Decreases Threat to target by 16,155 ',0,1),
(86328,2000374,9,100,'Inflicts 221 - 369 melee damage on target',0,0),
(86329,2000374,9,100,'Decreases Threat to target by 16,718 ',0,1),
(86330,2000374,10,100,'Inflicts 232 - 387 melee damage on target',0,0),
(86331,2000374,10,100,'Decreases Threat to target by 17,554 ',0,1),
(86332,2000375,1,100,'Dispels 6 levels of hostile Fear effects on target',0,0),
(86333,2000375,1,100,'Increases Combat Mana Regen of target by 50.0%',0,1),
(86334,2000375,1,100,'Increases Combat HP Regen of target by 50.0%',0,2),
(86335,2000375,1,100,'Prevents druid delayed resurrection sickness',0,3),
(86336,290031,1,100,'Applies Conjuror''s Pact to qualifying pets.',0,0),
(86337,290031,1,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',1,1),
(86338,290031,1,100,'Decreases Mitigation of target vs elemental and arcane damage by 141',2,2),
(86339,290031,1,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,3),
(86340,290031,1,100,'Decreases Mitigation of target vs elemental and arcane damage by 141',2,4),
(86341,290031,2,100,'Applies Conjuror''s Pact to qualifying pets.',0,0),
(86342,290031,2,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',1,1),
(86343,290031,2,100,'Decreases Mitigation of target vs elemental and arcane damage by 149',2,2),
(86344,290031,2,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,3),
(86345,290031,2,100,'Decreases Mitigation of target vs elemental and arcane damage by 149',2,4),
(86346,290031,3,100,'Applies Conjuror''s Pact to qualifying pets.',0,0),
(86347,290031,3,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',1,1),
(86348,290031,3,100,'Decreases Mitigation of target vs elemental and arcane damage by 157',2,2),
(86349,290031,3,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,3),
(86350,290031,3,100,'Decreases Mitigation of target vs elemental and arcane damage by 157',2,4),
(86351,290031,4,100,'Applies Conjuror''s Pact to qualifying pets.',0,0),
(86352,290031,4,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',1,1),
(86353,290031,4,100,'Decreases Mitigation of target vs elemental and arcane damage by 172',2,2),
(86354,290031,4,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,3),
(86355,290031,4,100,'Decreases Mitigation of target vs elemental and arcane damage by 172',2,4),
(86356,290031,5,100,'Applies Conjuror''s Pact to qualifying pets.',0,0),
(86357,290031,5,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',1,1),
(86358,290031,5,100,'Decreases Mitigation of target vs elemental and arcane damage by 188',2,2),
(86359,290031,5,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,3),
(86360,290031,5,100,'Decreases Mitigation of target vs elemental and arcane damage by 188',2,4),
(86361,290031,7,100,'Applies Conjuror''s Pact to qualifying pets.',0,0),
(86362,290031,7,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',1,1),
(86363,290031,7,100,'Decreases Mitigation of target vs elemental and arcane damage by 241',2,2),
(86364,290031,7,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,3),
(86365,290031,7,100,'Decreases Mitigation of target vs elemental and arcane damage by 241',2,4),
(86366,290031,9,100,'Applies Conjuror''s Pact to qualifying pets.',0,0),
(86367,290031,9,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',1,1),
(86368,290031,9,100,'Decreases Mitigation of target vs elemental and arcane damage by 251',2,2),
(86369,290031,9,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,3),
(86370,290031,9,100,'Decreases Mitigation of target vs elemental and arcane damage by 251',2,4),
(86371,290032,1,100,'Applies Conjuror''s Pact to qualifying pets.',0,0),
(86372,290032,1,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',1,1),
(86373,290032,1,100,'Decreases Mitigation of target vs elemental and arcane damage by 252',2,2),
(86374,290032,1,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,3),
(86375,290032,1,100,'Decreases Mitigation of target vs elemental and arcane damage by 252',2,4),
(86376,290032,2,100,'Applies Conjuror''s Pact to qualifying pets.',0,0),
(86377,290032,2,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',1,1),
(86378,290032,2,100,'Decreases Mitigation of target vs elemental and arcane damage by 266',2,2),
(86379,290032,2,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,3),
(86380,290032,2,100,'Decreases Mitigation of target vs elemental and arcane damage by 266',2,4),
(86381,290032,3,100,'Applies Conjuror''s Pact to qualifying pets.',0,0),
(86382,290032,3,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',1,1),
(86383,290032,3,100,'Decreases Mitigation of target vs elemental and arcane damage by 280',2,2),
(86384,290032,3,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,3),
(86385,290032,3,100,'Decreases Mitigation of target vs elemental and arcane damage by 280',2,4),
(86386,290032,4,100,'Applies Conjuror''s Pact to qualifying pets.',0,0),
(86387,290032,4,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',1,1),
(86388,290032,4,100,'Decreases Mitigation of target vs elemental and arcane damage by 308',2,2),
(86389,290032,4,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,3),
(86390,290032,4,100,'Decreases Mitigation of target vs elemental and arcane damage by 308',2,4),
(86391,290032,5,100,'Applies Conjuror''s Pact to qualifying pets.',0,0),
(86392,290032,5,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',1,1),
(86393,290032,5,100,'Decreases Mitigation of target vs elemental and arcane damage by 336',2,2),
(86394,290032,5,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,3),
(86395,290032,5,100,'Decreases Mitigation of target vs elemental and arcane damage by 336',2,4),
(86396,290032,7,100,'Applies Conjuror''s Pact to qualifying pets.',0,0),
(86397,290032,7,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',1,1),
(86398,290032,7,100,'Decreases Mitigation of target vs elemental and arcane damage by 431',2,2),
(86399,290032,7,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,3),
(86400,290032,7,100,'Decreases Mitigation of target vs elemental and arcane damage by 431',2,4),
(86401,290032,9,100,'Applies Conjuror''s Pact to qualifying pets.',0,0),
(86402,290032,9,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',1,1),
(86403,290032,9,100,'Decreases Mitigation of target vs elemental and arcane damage by 448',2,2),
(86404,290032,9,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,3),
(86405,290032,9,100,'Decreases Mitigation of target vs elemental and arcane damage by 448',2,4),
(86406,290033,1,100,'Applies Conjuror''s Pact to qualifying pets.',0,0),
(86407,290033,1,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',1,1),
(86408,290033,1,100,'Decreases Mitigation of target vs elemental and arcane damage by 378',2,2),
(86409,290033,1,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,3),
(86410,290033,1,100,'Decreases Mitigation of target vs elemental and arcane damage by 378',2,4),
(86411,290033,2,100,'Applies Conjuror''s Pact to qualifying pets.',0,0),
(86412,290033,2,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',1,1),
(86413,290033,2,100,'Decreases Mitigation of target vs elemental and arcane damage by 399',2,2),
(86414,290033,2,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,3),
(86415,290033,2,100,'Decreases Mitigation of target vs elemental and arcane damage by 399',2,4),
(86416,290033,3,100,'Applies Conjuror''s Pact to qualifying pets.',0,0),
(86417,290033,3,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',1,1),
(86418,290033,3,100,'Decreases Mitigation of target vs elemental and arcane damage by 420',2,2),
(86419,290033,3,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,3),
(86420,290033,3,100,'Decreases Mitigation of target vs elemental and arcane damage by 420',2,4),
(86421,290033,4,100,'Applies Conjuror''s Pact to qualifying pets.',0,0),
(86422,290033,4,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',1,1),
(86423,290033,4,100,'Decreases Mitigation of target vs elemental and arcane damage by 462',2,2),
(86424,290033,4,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,3),
(86425,290033,4,100,'Decreases Mitigation of target vs elemental and arcane damage by 462',2,4),
(86426,290033,5,100,'Applies Conjuror''s Pact to qualifying pets.',0,0),
(86427,290033,5,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',1,1),
(86428,290033,5,100,'Decreases Mitigation of target vs elemental and arcane damage by 504',2,2),
(86429,290033,5,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,3),
(86430,290033,5,100,'Decreases Mitigation of target vs elemental and arcane damage by 504',2,4),
(86431,290033,7,100,'Applies Conjuror''s Pact to qualifying pets.',0,0),
(86432,290033,7,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',1,1),
(86433,290033,7,100,'Decreases Mitigation of target vs elemental and arcane damage by 647',2,2),
(86434,290033,7,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,3),
(86435,290033,7,100,'Decreases Mitigation of target vs elemental and arcane damage by 647',2,4),
(86436,290033,9,100,'Applies Conjuror''s Pact to qualifying pets.',0,0),
(86437,290033,9,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',1,1),
(86438,290033,9,100,'Decreases Mitigation of target vs elemental and arcane damage by 672',2,2),
(86439,290033,9,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,3),
(86440,290033,9,100,'Decreases Mitigation of target vs elemental and arcane damage by 672',2,4),
(86441,290034,1,100,'Applies Conjuror''s Pact to qualifying pets.',0,0),
(86442,290034,1,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',1,1),
(86443,290034,1,100,'Decreases Mitigation of target vs elemental and arcane damage by 504',2,2),
(86444,290034,1,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,3),
(86445,290034,1,100,'Decreases Mitigation of target vs elemental and arcane damage by 504',2,4),
(86446,290034,2,100,'Applies Conjuror''s Pact to qualifying pets.',0,0),
(86447,290034,2,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',1,1),
(86448,290034,2,100,'Decreases Mitigation of target vs elemental and arcane damage by 532',2,2),
(86449,290034,2,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,3),
(86450,290034,2,100,'Decreases Mitigation of target vs elemental and arcane damage by 532',2,4),
(86451,290034,3,100,'Applies Conjuror''s Pact to qualifying pets.',0,0),
(86452,290034,3,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(86453,290034,3,100,'Decreases Mitigation of target vs elemental and arcane damage by 560',2,2),
(86454,290034,3,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(86455,290034,3,100,'Decreases Mitigation of target vs elemental and arcane damage by 560',2,4),
(86456,290034,4,100,'Applies Conjuror''s Pact to qualifying pets.',0,0),
(86457,290034,4,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',1,1),
(86458,290034,4,100,'Decreases Mitigation of target vs elemental and arcane damage by 616',2,2),
(86459,290034,4,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,3),
(86460,290034,4,100,'Decreases Mitigation of target vs elemental and arcane damage by 616',2,4),
(86461,290034,5,100,'Applies Conjuror''s Pact to qualifying pets.',0,0),
(86462,290034,5,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(86463,290034,5,100,'Decreases Mitigation of target vs elemental and arcane damage by 672',2,2),
(86464,290034,5,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(86465,290034,5,100,'Decreases Mitigation of target vs elemental and arcane damage by 672',2,4),
(86466,290034,7,100,'Applies Conjuror''s Pact to qualifying pets.',0,0),
(86467,290034,7,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',1,1),
(86468,290034,7,100,'Decreases Mitigation of target vs elemental and arcane damage by 862',2,2),
(86469,290034,7,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,3),
(86470,290034,7,100,'Decreases Mitigation of target vs elemental and arcane damage by 862',2,4),
(86471,290034,9,100,'Applies Conjuror''s Pact to qualifying pets.',0,0),
(86472,290034,9,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(86473,290034,9,100,'Decreases Mitigation of target vs elemental and arcane damage by 896',2,2),
(86474,290034,9,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(86475,290034,9,100,'Decreases Mitigation of target vs elemental and arcane damage by 896',2,4),
(86476,290035,1,100,'Applies Conjuror''s Pact to qualifying pets.',0,0),
(86477,290035,1,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',1,1),
(86478,290035,1,100,'Decreases Mitigation of target vs elemental and arcane damage by 630',2,2),
(86479,290035,1,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,3),
(86480,290035,1,100,'Decreases Mitigation of target vs elemental and arcane damage by 630',2,4),
(86481,290035,2,100,'Applies Conjuror''s Pact to qualifying pets.',0,0),
(86482,290035,2,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',1,1),
(86483,290035,2,100,'Decreases Mitigation of target vs elemental and arcane damage by 665',2,2),
(86484,290035,2,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,3),
(86485,290035,2,100,'Decreases Mitigation of target vs elemental and arcane damage by 665',2,4),
(86486,290035,3,100,'Applies Conjuror''s Pact to qualifying pets.',0,0),
(86487,290035,3,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',1,1),
(86488,290035,3,100,'Decreases Mitigation of target vs elemental and arcane damage by 700',2,2),
(86489,290035,3,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,3),
(86490,290035,3,100,'Decreases Mitigation of target vs elemental and arcane damage by 700',2,4),
(86491,290035,4,100,'Applies Conjuror''s Pact to qualifying pets.',0,0),
(86492,290035,4,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',1,1),
(86493,290035,4,100,'Decreases Mitigation of target vs elemental and arcane damage by 770',2,2),
(86494,290035,4,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,3),
(86495,290035,4,100,'Decreases Mitigation of target vs elemental and arcane damage by 770',2,4),
(86496,290035,5,100,'Applies Conjuror''s Pact to qualifying pets.',0,0),
(86497,290035,5,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',1,1),
(86498,290035,5,100,'Decreases Mitigation of target vs elemental and arcane damage by 840',2,2),
(86499,290035,5,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,3),
(86500,290035,5,100,'Decreases Mitigation of target vs elemental and arcane damage by 840',2,4),
(86501,290035,7,100,'Applies Conjuror''s Pact to qualifying pets.',0,0),
(86502,290035,7,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',1,1),
(86503,290035,7,100,'Decreases Mitigation of target vs elemental and arcane damage by 1078',2,2),
(86504,290035,7,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,3),
(86505,290035,7,100,'Decreases Mitigation of target vs elemental and arcane damage by 1078',2,4),
(86506,290035,9,100,'Applies Conjuror''s Pact to qualifying pets.',0,0),
(86507,290035,9,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',1,1),
(86508,290035,9,100,'Decreases Mitigation of target vs elemental and arcane damage by 1120',2,2),
(86509,290035,9,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,3),
(86510,290035,9,100,'Decreases Mitigation of target vs elemental and arcane damage by 1120',2,4),
(86511,290036,1,100,'Applies Conjuror''s Pact to qualifying pets.',0,0),
(86512,290036,1,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',1,1),
(86513,290036,1,100,'Decreases Mitigation of target vs elemental and arcane damage by 823',2,2),
(86514,290036,1,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,3),
(86515,290036,1,100,'Decreases Mitigation of target vs elemental and arcane damage by 823',2,4),
(86516,290036,2,100,'Applies Conjuror''s Pact to qualifying pets.',0,0),
(86517,290036,2,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',1,1),
(86518,290036,2,100,'Decreases Mitigation of target vs elemental and arcane damage by 869',2,2),
(86519,290036,2,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,3),
(86520,290036,2,100,'Decreases Mitigation of target vs elemental and arcane damage by 869',2,4),
(86521,290036,3,100,'Applies Conjuror''s Pact to qualifying pets.',0,0),
(86522,290036,3,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',1,1),
(86523,290036,3,100,'Decreases Mitigation of target vs elemental and arcane damage by 914',2,2),
(86524,290036,3,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,3),
(86525,290036,3,100,'Decreases Mitigation of target vs elemental and arcane damage by 914',2,4),
(86526,290036,4,100,'Applies Conjuror''s Pact to qualifying pets.',0,0),
(86527,290036,4,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',1,1),
(86528,290036,4,100,'Decreases Mitigation of target vs elemental and arcane damage by 1006',2,2),
(86529,290036,4,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,3),
(86530,290036,4,100,'Decreases Mitigation of target vs elemental and arcane damage by 1006',2,4),
(86531,290036,5,100,'Applies Conjuror''s Pact to qualifying pets.',0,0),
(86532,290036,5,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',1,1),
(86533,290036,5,100,'Decreases Mitigation of target vs elemental and arcane damage by 1097',2,2),
(86534,290036,5,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,3),
(86535,290036,5,100,'Decreases Mitigation of target vs elemental and arcane damage by 1097',2,4),
(86536,290036,7,100,'Applies Conjuror''s Pact to qualifying pets.',0,0),
(86537,290036,7,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',1,1),
(86538,290036,7,100,'Decreases Mitigation of target vs elemental and arcane damage by 1408',2,2),
(86539,290036,7,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,3),
(86540,290036,7,100,'Decreases Mitigation of target vs elemental and arcane damage by 1408',2,4),
(86541,290036,9,100,'Applies Conjuror''s Pact to qualifying pets.',0,0),
(86542,290036,9,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',1,1),
(86543,290036,9,100,'Decreases Mitigation of target vs elemental and arcane damage by 1463',2,2),
(86544,290036,9,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,3),
(86545,290036,9,100,'Decreases Mitigation of target vs elemental and arcane damage by 1463',2,4),
(86546,290037,1,100,'Applies Conjuror''s Pact to qualifying pets.',0,0),
(86547,290037,1,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',1,1),
(86548,290037,1,100,'Decreases Mitigation of target vs elemental and arcane damage by 972',2,2),
(86549,290037,1,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,3),
(86550,290037,1,100,'Decreases Mitigation of target vs elemental and arcane damage by 972',2,4),
(86551,290037,4,100,'Applies Conjuror''s Pact to qualifying pets.',0,0),
(86552,290037,4,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',1,1),
(86553,290037,4,100,'Decreases Mitigation of target vs elemental and arcane damage by 1188',2,2),
(86554,290037,4,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,3),
(86555,290037,4,100,'Decreases Mitigation of target vs elemental and arcane damage by 1188',2,4),
(86556,290037,5,100,'Applies Conjuror''s Pact to qualifying pets.',0,0),
(86557,290037,5,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',1,1),
(86558,290037,5,100,'Decreases Mitigation of target vs elemental and arcane damage by 1296',2,2),
(86559,290037,5,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,3),
(86560,290037,5,100,'Decreases Mitigation of target vs elemental and arcane damage by 1296',2,4),
(86561,290037,7,100,'Applies Conjuror''s Pact to qualifying pets.',0,0),
(86562,290037,7,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',1,1),
(86563,290037,7,100,'Decreases Mitigation of target vs elemental and arcane damage by 1663',2,2),
(86564,290037,7,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,3),
(86565,290037,7,100,'Decreases Mitigation of target vs elemental and arcane damage by 1663',2,4),
(86566,290037,9,100,'Applies Conjuror''s Pact to qualifying pets.',0,0),
(86567,290037,9,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',1,1),
(86568,290037,9,100,'Decreases Mitigation of target vs elemental and arcane damage by 1728',2,2),
(86569,290037,9,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,3),
(86570,290037,9,100,'Decreases Mitigation of target vs elemental and arcane damage by 1728',2,4),
(86571,290038,1,100,'Applies Conjuror''s Pact to qualifying pets.',0,0),
(86572,290038,1,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',1,1),
(86573,290038,1,100,'Decreases Mitigation of target vs elemental and arcane damage by 1080',2,2),
(86574,290038,1,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,3),
(86575,290038,1,100,'Decreases Mitigation of target vs elemental and arcane damage by 1080',2,4),
(86576,290038,4,100,'Applies Conjuror''s Pact to qualifying pets.',0,0),
(86577,290038,4,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',1,1),
(86578,290038,4,100,'Decreases Mitigation of target vs elemental and arcane damage by 1320',2,2),
(86579,290038,4,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,3),
(86580,290038,4,100,'Decreases Mitigation of target vs elemental and arcane damage by 1320',2,4),
(86581,290038,5,100,'Applies Conjuror''s Pact to qualifying pets.',0,0),
(86582,290038,5,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',1,1),
(86583,290038,5,100,'Decreases Mitigation of target vs elemental and arcane damage by 1440',2,2),
(86584,290038,5,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,3),
(86585,290038,5,100,'Decreases Mitigation of target vs elemental and arcane damage by 1440',2,4),
(86586,290038,7,100,'Applies Conjuror''s Pact to qualifying pets.',0,0),
(86587,290038,7,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',1,1),
(86588,290038,7,100,'Decreases Mitigation of target vs elemental and arcane damage by 1848',2,2),
(86589,290038,7,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,3),
(86590,290038,7,100,'Decreases Mitigation of target vs elemental and arcane damage by 1848',2,4),
(86591,290038,9,100,'Applies Conjuror''s Pact to qualifying pets.',0,0),
(86592,290038,9,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',1,1),
(86593,290038,9,100,'Decreases Mitigation of target vs elemental and arcane damage by 1920',2,2),
(86594,290038,9,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,3),
(86595,290038,9,100,'Decreases Mitigation of target vs elemental and arcane damage by 1920',2,4),
(86596,100122,1,100,'Applies Consecration.',0,0),
(86597,100122,1,100,'Inflicts 81 - 99 divine damage on targets in Area of Effect',1,1),
(86598,100122,2,100,'Applies Consecration.',0,0),
(86599,100122,2,100,'Inflicts 86 - 105 divine damage on targets in Area of Effect',1,1),
(86600,100122,3,100,'Applies Consecration.',0,0),
(86601,100122,3,100,'Inflicts 90 - 111 divine damage on targets in Area of Effect',1,1),
(86602,100122,4,100,'Applies Consecration.',0,0),
(86603,100122,4,100,'Inflicts 99 - 122 divine damage on targets in Area of Effect',1,1),
(86604,100122,5,100,'Applies Consecration.',0,0),
(86605,100122,5,100,'Inflicts 109 - 133 divine damage on targets in Area of Effect',1,1),
(86606,100122,7,100,'Applies Consecration.',0,0),
(86607,100122,7,100,'Inflicts 139 - 170 divine damage on targets in Area of Effect',1,1),
(86608,100122,9,100,'Applies Consecration.',0,0),
(86609,100122,9,100,'Inflicts 145 - 177 divine damage on targets in Area of Effect',1,1),
(86610,100123,1,100,'Applies Consecration.',0,0),
(86611,100123,1,100,'Inflicts 118 - 144 divine damage on targets in Area of Effect',1,1),
(86612,100123,2,100,'Applies Consecration.',0,0),
(86613,100123,2,100,'Inflicts 125 - 152 divine damage on targets in Area of Effect',1,1),
(86614,100123,3,100,'Applies Consecration.',0,0),
(86615,100123,3,100,'Inflicts 131 - 160 divine damage on targets in Area of Effect',1,1),
(86616,100123,4,100,'Applies Consecration.',0,0),
(86617,100123,4,100,'Inflicts 144 - 176 divine damage on targets in Area of Effect',1,1),
(86618,100123,5,100,'Applies Consecration.',0,0),
(86619,100123,5,100,'Inflicts 157 - 192 divine damage on targets in Area of Effect',1,1),
(86620,100123,7,100,'Applies Consecration.',0,0),
(86621,100123,7,100,'Inflicts 202 - 247 divine damage on targets in Area of Effect',1,1),
(86622,100123,9,100,'Applies Consecration.',0,0),
(86623,100123,9,100,'Inflicts 210 - 256 divine damage on targets in Area of Effect',1,1),
(86624,100123,10,100,'Applies Consecration.',0,0),
(86625,100123,10,100,'Inflicts 220 - 269 divine damage on targets in Area of Effect',1,1),
(86626,100124,1,100,'Applies Consecration.',0,0),
(86627,100124,1,100,'Inflicts 143 - 174 divine damage on targets in Area of Effect',1,1),
(86628,100124,4,100,'Applies Consecration.',0,0),
(86629,100124,4,100,'Inflicts 174 - 213 divine damage on targets in Area of Effect',1,1),
(86630,100124,5,100,'Applies Consecration.',0,0),
(86631,100124,5,100,'Inflicts 190 - 232 divine damage on targets in Area of Effect',1,1),
(86632,100124,7,100,'Applies Consecration.',0,0),
(86633,100124,7,100,'Inflicts 244 - 298 divine damage on targets in Area of Effect',1,1),
(86634,100124,9,100,'Applies Consecration.',0,0),
(86635,100124,9,100,'Inflicts 254 - 310 divine damage on targets in Area of Effect',1,1),
(86636,100124,10,100,'Applies Consecration.',0,0),
(86637,100124,10,100,'Inflicts 266 - 325 divine damage on targets in Area of Effect',1,1),
(86638,100125,1,100,'Applies Consecration.',0,0),
(86639,100125,1,100,'Inflicts 163 - 199 divine damage on targets in Area of Effect',1,1),
(86640,100125,4,100,'Applies Consecration.',0,0),
(86641,100125,4,100,'Inflicts 199 - 243 divine damage on targets in Area of Effect',1,1),
(86642,100125,5,100,'Applies Consecration.',0,0),
(86643,100125,5,100,'Inflicts 217 - 265 divine damage on targets in Area of Effect',1,1),
(86644,100125,7,100,'Applies Consecration.',0,0),
(86645,100125,7,100,'Inflicts 278 - 340 divine damage on targets in Area of Effect',1,1),
(86646,100125,9,100,'Applies Consecration.',0,0),
(86647,100125,9,100,'Inflicts 289 - 353 divine damage on targets in Area of Effect',1,1),
(86648,100125,10,100,'Applies Consecration.',0,0),
(86649,100125,10,100,'Inflicts 303 - 371 divine damage on targets in Area of Effect',1,1),
(86650,2000376,1,100,'Roots target',0,0),
(86651,2000376,1,100,'Decreases Attack Speed of target by 6.7 - 11.3',0,1),
(86652,2000376,1,100,'Epic targets gain an immunity to Root effects of 30.0 seconds and duration is reduced to 3.3 seconds.',0,2),
(86653,2000376,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(86654,10020,4,100,'On any combat or spell hit this spell may cast Mystical Essence on target of attack.  Lasts for 2.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(86655,10020,4,100,'Stuns target',1,1),
(86656,10020,4,100,'Does not affect Epic targets',1,2),
(86657,440089,1,100,'Heals target for 5.0% of max health instantly and every 5 seconds',0,0),
(86658,440089,1,100,'This effect cannot be critically applied.',1,1),
(86659,440090,1,100,'The channeler''s construct will intercept damage for the target. As the construct''s health falls, the interception becomes weaker and disables when the construct is below 25% health.',0,0),
(86660,440090,1,100,'If target is a player or a mercenary',0,1),
(86661,440090,1,100,'Cannot be applied if Overloaded Interception is active.',0,2),
(86662,2000377,1,100,'Applies Consume.',0,0),
(86663,2000377,1,100,'Increases power of caster by 25.0%',1,1),
(86664,2000377,1,100,'Cannot be modified except by direct means',1,2),
(86665,2000377,1,100,'Requires and consumes 25% of the construct''s maximum health. This spell will fail if the construct''s health is too low!',0,3),
(86666,2000377,1,100,'If over 25% Health',0,4),
(86667,250006,1,100,'Increases power of caster by 6 instantly and every 4 seconds',0,0),
(86668,250006,2,100,'Increases power of caster by 6 instantly and every 4 seconds',0,0),
(86669,250006,3,100,'Increases power of caster by 7 instantly and every 4 seconds',0,0),
(86670,250006,4,100,'Increases power of caster by 7 instantly and every 4 seconds',0,0),
(86671,250006,5,100,'Increases power of caster by 8 instantly and every 4 seconds',0,0),
(86672,250006,7,100,'Increases power of caster by 10 instantly and every 4 seconds',0,0),
(86673,250006,9,100,'Increases power of caster by 10 instantly and every 4 seconds',0,0),
(86674,300044,1,100,'On any combat or spell hit this spell will cast Consume on target of attack.  ',0,0),
(86675,300044,1,100,'Inflicts 129 disease damage on target',1,1),
(86676,300044,1,100,'Heals caster for 64',1,2),
(86677,300044,1,100,'Heals group members'' pets for 64',1,3),
(86678,300044,2,100,'On any combat or spell hit this spell will cast Consume on target of attack.  ',0,0),
(86679,300044,2,100,'Inflicts 136 disease damage on target',1,1),
(86680,300044,2,100,'Heals caster for 67',1,2),
(86681,300044,2,100,'Heals group members'' pets for 67',1,3),
(86682,300044,3,100,'On any combat or spell hit this spell will cast Consume on target of attack.  ',0,0),
(86683,300044,3,100,'Inflicts 143 disease damage on target',1,1),
(86684,300044,3,100,'Heals caster for 71',1,2),
(86685,300044,3,100,'Heals group members'' pets for 71',1,3),
(86686,300044,4,100,'On any combat or spell hit this spell will cast Consume on target of attack.  ',0,0),
(86687,300044,4,100,'Inflicts 157 disease damage on target',1,1),
(86688,300044,4,100,'Heals caster for 78',1,2),
(86689,300044,4,100,'Heals group members'' pets for 78',1,3),
(86690,300044,5,100,'On any combat or spell hit this spell will cast Consume on target of attack.  ',0,0),
(86691,300044,5,100,'Inflicts 172 disease damage on target',1,1),
(86692,300044,5,100,'Heals caster for 85',1,2),
(86693,300044,5,100,'Heals group members'' pets for 85',1,3),
(86694,300044,7,100,'On any combat or spell hit this spell will cast Consume on target of attack.  ',0,0),
(86695,300044,7,100,'Inflicts 220 disease damage on target',1,1),
(86696,300044,7,100,'Heals caster for 109',1,2),
(86697,300044,7,100,'Heals group members'' pets for 109',1,3),
(86698,300044,9,100,'On any combat or spell hit this spell will cast Consume on target of attack.  ',0,0),
(86699,300044,9,100,'Inflicts 229 disease damage on target',1,1),
(86700,300044,9,100,'Heals caster for 114',1,2),
(86701,300044,9,100,'Heals group members'' pets for 114',1,3),
(86702,300045,1,100,'On any combat or spell hit this spell will cast Consume on target of attack.  ',0,0),
(86703,300045,1,100,'Inflicts 182 disease damage on target',1,1),
(86704,300045,1,100,'Heals caster for 97',1,2),
(86705,300045,1,100,'Heals group members'' pets for 97',1,3),
(86706,300045,2,100,'On any combat or spell hit this spell will cast Consume on target of attack.  ',0,0),
(86707,300045,2,100,'Inflicts 192 disease damage on target',1,1),
(86708,300045,2,100,'Heals caster for 102',1,2),
(86709,300045,2,100,'Heals group members'' pets for 102',1,3),
(86710,300045,3,100,'On any combat or spell hit this spell will cast Consume on target of attack.  ',0,0),
(86711,300045,3,100,'Inflicts 202 disease damage on target',1,1),
(86712,300045,3,100,'Heals caster for 108',1,2),
(86713,300045,3,100,'Heals group members'' pets for 108',1,3),
(86714,300045,4,100,'On any combat or spell hit this spell will cast Consume on target of attack.  ',0,0),
(86715,300045,4,100,'Inflicts 222 disease damage on target',1,1),
(86716,300045,4,100,'Heals caster for 118',1,2),
(86717,300045,4,100,'Heals group members'' pets for 118',1,3),
(86718,300045,5,100,'On any combat or spell hit this spell will cast Consume on target of attack.  ',0,0),
(86719,300045,5,100,'Inflicts 242 disease damage on target',1,1),
(86720,300045,5,100,'Heals caster for 129',1,2),
(86721,300045,5,100,'Heals group members'' pets for 129',1,3),
(86722,300045,7,100,'On any combat or spell hit this spell will cast Consume on target of attack.  ',0,0),
(86723,300045,7,100,'Inflicts 311 disease damage on target',1,1),
(86724,300045,7,100,'Heals caster for 166',1,2),
(86725,300045,7,100,'Heals group members'' pets for 166',1,3),
(86726,300045,9,100,'On any combat or spell hit this spell will cast Consume on target of attack.  ',0,0),
(86727,300045,9,100,'Inflicts 323 disease damage on target',1,1),
(86728,300045,9,100,'Heals caster for 172',1,2),
(86729,300045,9,100,'Heals group members'' pets for 172',1,3),
(86730,300046,1,100,'On any combat or spell hit this spell will cast Consume on target of attack.  ',0,0),
(86731,300046,1,100,'Inflicts 219 disease damage on target',1,1),
(86732,300046,1,100,'Heals caster for 120',1,2),
(86733,300046,1,100,'Heals group members'' pets for 120',1,3),
(86734,300046,4,100,'On any combat or spell hit this spell will cast Consume on target of attack.  ',0,0),
(86735,300046,4,100,'Inflicts 268 disease damage on target',1,1),
(86736,300046,4,100,'Heals caster for 147',1,2),
(86737,300046,4,100,'Heals group members'' pets for 147',1,3),
(86738,300046,5,100,'On any combat or spell hit this spell will cast Consume on target of attack.  ',0,0),
(86739,300046,5,100,'Inflicts 292 disease damage on target',1,1),
(86740,300046,5,100,'Heals caster for 161',1,2),
(86741,300046,5,100,'Heals group members'' pets for 161',1,3),
(86742,300046,7,100,'On any combat or spell hit this spell will cast Consume on target of attack.  ',0,0),
(86743,300046,7,100,'Inflicts 375 disease damage on target',1,1),
(86744,300046,7,100,'Heals caster for 206',1,2),
(86745,300046,7,100,'Heals group members'' pets for 206',1,3),
(86746,300046,9,100,'On any combat or spell hit this spell will cast Consume on target of attack.  ',0,0),
(86747,300046,9,100,'Inflicts 390 disease damage on target',1,1),
(86748,300046,9,100,'Heals caster for 214',1,2),
(86749,300046,9,100,'Heals group members'' pets for 214',1,3),
(86750,300047,1,100,'On any combat or spell hit this spell will cast Consume on target of attack.  ',0,0),
(86751,300047,1,100,'Inflicts 244 disease damage on target',1,1),
(86752,300047,1,100,'Heals caster for 132',1,2),
(86753,300047,1,100,'Heals group members'' pets for 132',1,3),
(86754,300047,4,100,'On any combat or spell hit this spell will cast Consume on target of attack.  ',0,0),
(86755,300047,4,100,'Inflicts 298 disease damage on target',1,1),
(86756,300047,4,100,'Heals caster for 162',1,2),
(86757,300047,4,100,'Heals group members'' pets for 162',1,3),
(86758,300047,5,100,'On any combat or spell hit this spell will cast Consume on target of attack.  ',0,0),
(86759,300047,5,100,'Inflicts 325 disease damage on target',1,1),
(86760,300047,5,100,'Heals caster for 177',1,2),
(86761,300047,5,100,'Heals group members'' pets for 177',1,3),
(86762,300047,7,100,'On any combat or spell hit this spell will cast Consume on target of attack.  ',0,0),
(86763,300047,7,100,'Inflicts 417 disease damage on target',1,1),
(86764,300047,7,100,'Heals caster for 227',1,2),
(86765,300047,7,100,'Heals group members'' pets for 227',1,3),
(86766,300047,9,100,'On any combat or spell hit this spell will cast Consume on target of attack.  ',0,0),
(86767,300047,9,100,'Inflicts 433 disease damage on target',1,1),
(86768,300047,9,100,'Heals caster for 236',1,2),
(86769,300047,9,100,'Heals group members'' pets for 236',1,3),
(86770,180003,1,100,'Inflicts 12 disease damage on target instantly and every 4 seconds',0,0),
(86771,180003,1,100,'Inflicts 12 disease damage on target instantly and every 4 seconds',0,1),
(86772,180003,1,100,'If target is nightblood',1,2),
(86773,180003,1,100,'Inflicts 12 disease damage on target instantly and every 4 seconds',0,3),
(86774,180003,1,100,'If target is shadowed folk',1,4),
(86775,180003,2,100,'Inflicts 13 disease damage on target instantly and every 4 seconds',0,0),
(86776,180003,2,100,'Inflicts 13 disease damage on target instantly and every 4 seconds',0,1),
(86777,180003,2,100,'If target is nightblood',1,2),
(86778,180003,2,100,'Inflicts 13 disease damage on target instantly and every 4 seconds',0,3),
(86779,180003,2,100,'If target is shadowed folk',1,4),
(86780,180003,3,100,'Inflicts 14 disease damage on target instantly and every 4 seconds',0,0),
(86781,180003,3,100,'Inflicts 14 disease damage on target instantly and every 4 seconds',0,1),
(86782,180003,3,100,'If target is nightblood',1,2),
(86783,180003,3,100,'Inflicts 14 disease damage on target instantly and every 4 seconds',0,3),
(86784,180003,3,100,'If target is shadowed folk',1,4),
(86785,180003,4,100,'Inflicts 15 disease damage on target instantly and every 4 seconds',0,0),
(86786,180003,4,100,'Inflicts 15 disease damage on target instantly and every 4 seconds',0,1),
(86787,180003,4,100,'If target is nightblood',1,2),
(86788,180003,4,100,'Inflicts 15 disease damage on target instantly and every 4 seconds',0,3),
(86789,180003,4,100,'If target is shadowed folk',1,4),
(86790,180003,5,100,'Inflicts 16 disease damage on target instantly and every 4 seconds',0,0),
(86791,180003,5,100,'Inflicts 16 disease damage on target instantly and every 4 seconds',0,1),
(86792,180003,5,100,'If target is nightblood',1,2),
(86793,180003,5,100,'Inflicts 16 disease damage on target instantly and every 4 seconds',0,3),
(86794,180003,5,100,'If target is shadowed folk',1,4),
(86795,180003,7,100,'Inflicts 21 disease damage on target instantly and every 4 seconds',0,0),
(86796,180003,7,100,'Inflicts 21 disease damage on target instantly and every 4 seconds',0,1),
(86797,180003,7,100,'If target is nightblood',1,2),
(86798,180003,7,100,'Inflicts 21 disease damage on target instantly and every 4 seconds',0,3),
(86799,180003,7,100,'If target is shadowed folk',1,4),
(86800,180003,9,100,'Inflicts 22 disease damage on target instantly and every 4 seconds',0,0),
(86801,180003,9,100,'Inflicts 22 disease damage on target instantly and every 4 seconds',0,1),
(86802,180003,9,100,'If target is nightblood',1,2),
(86803,180003,9,100,'Inflicts 22 disease damage on target instantly and every 4 seconds',0,3),
(86804,180003,9,100,'If target is shadowed folk',1,4),
(86805,300048,1,100,'Charms target',0,0),
(86806,300048,1,100,'If outside an arena',0,1),
(86807,300048,1,100,'Certain enemies cannot be charmed',0,2),
(86808,300048,1,100,'Does not affect Epic targets',0,3),
(86809,300048,2,100,'Charms target',0,0),
(86810,300048,2,100,'If outside an arena',0,1),
(86811,300048,2,100,'Certain enemies cannot be charmed',0,2),
(86812,300048,2,100,'Does not affect Epic targets',0,3),
(86813,300048,3,100,'Charms target',0,0),
(86814,300048,3,100,'If outside an arena',0,1),
(86815,300048,3,100,'Certain enemies cannot be charmed',0,2),
(86816,300048,3,100,'Does not affect Epic targets',0,3),
(86817,300048,4,100,'Charms target',0,0),
(86818,300048,4,100,'If outside an arena',0,1),
(86819,300048,4,100,'Certain enemies cannot be charmed',0,2),
(86820,300048,4,100,'Does not affect Epic targets',0,3),
(86821,300048,5,100,'Charms target',0,0),
(86822,300048,5,100,'If outside an arena',0,1),
(86823,300048,5,100,'Certain enemies cannot be charmed',0,2),
(86824,300048,5,100,'Does not affect Epic targets',0,3),
(86825,300048,7,100,'Charms target',0,0),
(86826,300048,7,100,'If outside an arena',0,1),
(86827,300048,7,100,'Certain enemies cannot be charmed',0,2),
(86828,300048,7,100,'Does not affect Epic targets',0,3),
(86829,300048,9,100,'Charms target',0,0),
(86830,300048,9,100,'If outside an arena',0,1),
(86831,300048,9,100,'Certain enemies cannot be charmed',0,2),
(86832,300048,9,100,'Does not affect Epic targets',0,3),
(86833,300049,1,100,'Charms target',0,0),
(86834,300049,1,100,'If outside an arena',0,1),
(86835,300049,1,100,'Certain enemies cannot be charmed',0,2),
(86836,300049,1,100,'Does not affect Epic targets',0,3),
(86837,300049,2,100,'Charms target',0,0),
(86838,300049,2,100,'If outside an arena',0,1),
(86839,300049,2,100,'Certain enemies cannot be charmed',0,2),
(86840,300049,2,100,'Does not affect Epic targets',0,3),
(86841,300049,3,100,'Charms target',0,0),
(86842,300049,3,100,'If outside an arena',0,1),
(86843,300049,3,100,'Certain enemies cannot be charmed',0,2),
(86844,300049,3,100,'Does not affect Epic targets',0,3),
(86845,300049,4,100,'Charms target',0,0),
(86846,300049,4,100,'If outside an arena',0,1),
(86847,300049,4,100,'Certain enemies cannot be charmed',0,2),
(86848,300049,4,100,'Does not affect Epic targets',0,3),
(86849,300049,5,100,'Charms target',0,0),
(86850,300049,5,100,'If outside an arena',0,1),
(86851,300049,5,100,'Certain enemies cannot be charmed',0,2),
(86852,300049,5,100,'Does not affect Epic targets',0,3),
(86853,300049,7,100,'Charms target',0,0),
(86854,300049,7,100,'If outside an arena',0,1),
(86855,300049,7,100,'Certain enemies cannot be charmed',0,2),
(86856,300049,7,100,'Does not affect Epic targets',0,3),
(86857,300049,9,100,'Charms target',0,0),
(86858,300049,9,100,'If outside an arena',0,1),
(86859,300049,9,100,'Certain enemies cannot be charmed',0,2),
(86860,300049,9,100,'Does not affect Epic targets',0,3),
(86861,300050,1,100,'Charms target',0,0),
(86862,300050,1,100,'If outside an arena',0,1),
(86863,300050,1,100,'Certain enemies cannot be charmed',0,2),
(86864,300050,1,100,'Does not affect Epic targets',0,3),
(86865,300050,4,100,'Charms target',0,0),
(86866,300050,4,100,'If outside an arena',0,1),
(86867,300050,4,100,'Certain enemies cannot be charmed',0,2),
(86868,300050,4,100,'Does not affect Epic targets',0,3),
(86869,300050,5,100,'Charms target',0,0),
(86870,300050,5,100,'If outside an arena',0,1),
(86871,300050,5,100,'Certain enemies cannot be charmed',0,2),
(86872,300050,5,100,'Does not affect Epic targets',0,3),
(86873,300050,7,100,'Charms target',0,0),
(86874,300050,7,100,'If outside an arena',0,1),
(86875,300050,7,100,'Certain enemies cannot be charmed',0,2),
(86876,300050,7,100,'Does not affect Epic targets',0,3),
(86877,300050,9,100,'Charms target',0,0),
(86878,300050,9,100,'If outside an arena',0,1),
(86879,300050,9,100,'Certain enemies cannot be charmed',0,2),
(86880,300050,9,100,'Does not affect Epic targets',0,3),
(86881,440091,1,100,'Applies Controlled Backlash.  Lasts for 10.0 seconds.',0,0),
(86882,440091,1,100,'Lowers the caster''s dissipation of dissonance by 100%',1,1),
(86883,440091,1,100,'Applies when the target of Construct''s Interception or Overloaded Interception dies. Can only trigger once per 90 seconds.',1,2),
(86884,440091,1,100,'Will absorb all damage. ',1,3),
(86885,230021,1,100,'Causes 2% Threat to transfer to target when in combat',0,0),
(86886,230021,1,100,'If Fighter',1,1),
(86887,230021,1,100,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',0,2),
(86888,230021,1,100,'Increases power of target by 12',1,3),
(86889,230021,1,100,'Increases power of caster by 12',1,4),
(86890,230021,2,100,'Causes 2% Threat to transfer to target when in combat',0,0),
(86891,230021,2,100,'If Fighter',1,1),
(86892,230021,2,100,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',0,2),
(86893,230021,2,100,'Increases power of target by 13',1,3),
(86894,230021,2,100,'Increases power of caster by 13',1,4),
(86895,230021,3,100,'Causes 2% Threat to transfer to target when in combat',0,0),
(86896,230021,3,100,'If Fighter',1,1),
(86897,230021,3,100,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',0,2),
(86898,230021,3,100,'Increases power of target by 14',1,3),
(86899,230021,3,100,'Increases power of caster by 14',1,4),
(86900,230021,4,100,'Causes 2% Threat to transfer to target when in combat',0,0),
(86901,230021,4,100,'If Fighter',1,1),
(86902,230021,4,100,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',0,2),
(86903,230021,4,100,'Increases power of target by 15',1,3),
(86904,230021,4,100,'Increases power of caster by 15',1,4),
(86905,230021,5,100,'Causes 3% Threat to transfer to target when in combat',0,0),
(86906,230021,5,100,'If Fighter',1,1),
(86907,230021,5,100,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',0,2),
(86908,230021,5,100,'Increases power of target by 16',1,3),
(86909,230021,5,100,'Increases power of caster by 16',1,4),
(86910,230021,7,100,'Causes 3% Threat to transfer to target when in combat',0,0),
(86911,230021,7,100,'If Fighter',1,1),
(86912,230021,7,100,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',0,2),
(86913,230021,7,100,'Increases power of target by 21',1,3),
(86914,230021,7,100,'Increases power of caster by 21',1,4),
(86915,230021,9,100,'Causes 4% Threat to transfer to target when in combat',0,0),
(86916,230021,9,100,'If Fighter',1,1),
(86917,230021,9,100,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',0,2),
(86918,230021,9,100,'Increases power of target by 22',1,3),
(86919,230021,9,100,'Increases power of caster by 22',1,4),
(86920,230022,1,100,'Causes 2% Threat to transfer to target when in combat',0,0),
(86921,230022,1,100,'If Fighter',1,1),
(86922,230022,1,100,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',0,2),
(86923,230022,1,100,'Increases power of target by 24',1,3),
(86924,230022,1,100,'Increases power of caster by 24',1,4),
(86925,230022,2,100,'Causes 2% Threat to transfer to target when in combat',0,0),
(86926,230022,2,100,'If Fighter',1,1),
(86927,230022,2,100,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',0,2),
(86928,230022,2,100,'Increases power of target by 25',1,3),
(86929,230022,2,100,'Increases power of caster by 25',1,4),
(86930,230022,3,100,'Causes 2% Threat to transfer to target when in combat',0,0),
(86931,230022,3,100,'If Fighter',1,1),
(86932,230022,3,100,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',0,2),
(86933,230022,3,100,'Increases power of target by 27',1,3),
(86934,230022,3,100,'Increases power of caster by 27',1,4),
(86935,230022,4,100,'Causes 2% Threat to transfer to target when in combat',0,0),
(86936,230022,4,100,'If Fighter',1,1),
(86937,230022,4,100,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',0,2),
(86938,230022,4,100,'Increases power of target by 29',1,3),
(86939,230022,4,100,'Increases power of caster by 29',1,4),
(86940,230022,5,100,'Causes 3% Threat to transfer to target when in combat',0,0),
(86941,230022,5,100,'If Fighter',1,1),
(86942,230022,5,100,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',0,2),
(86943,230022,5,100,'Increases power of target by 32',1,3),
(86944,230022,5,100,'Increases power of caster by 32',1,4),
(86945,230022,7,100,'Causes 3% Threat to transfer to target when in combat',0,0),
(86946,230022,7,100,'If Fighter',1,1),
(86947,230022,7,100,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',0,2),
(86948,230022,7,100,'Increases power of target by 41',1,3),
(86949,230022,7,100,'Increases power of caster by 41',1,4),
(86950,230022,9,100,'Causes 4% Threat to transfer to target when in combat',0,0),
(86951,230022,9,100,'If Fighter',1,1),
(86952,230022,9,100,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',0,2),
(86953,230022,9,100,'Increases power of target by 43',1,3),
(86954,230022,9,100,'Increases power of caster by 43',1,4),
(86955,230023,1,100,'Causes 2% Threat to transfer to target when in combat',0,0),
(86956,230023,1,100,'If Fighter',1,1),
(86957,230023,1,100,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',0,2),
(86958,230023,1,100,'Increases power of target by 37',1,3),
(86959,230023,1,100,'Increases power of caster by 37',1,4),
(86960,230023,2,100,'Causes 2% Threat to transfer to target when in combat',0,0),
(86961,230023,2,100,'If Fighter',1,1),
(86962,230023,2,100,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',0,2),
(86963,230023,2,100,'Increases power of target by 39',1,3),
(86964,230023,2,100,'Increases power of caster by 39',1,4),
(86965,230023,3,100,'Causes 2% Threat to transfer to target when in combat',0,0),
(86966,230023,3,100,'If Fighter',1,1),
(86967,230023,3,100,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',0,2),
(86968,230023,3,100,'Increases power of target by 41',1,3),
(86969,230023,3,100,'Increases power of caster by 41',1,4),
(86970,230023,4,100,'Causes 2% Threat to transfer to target when in combat',0,0),
(86971,230023,4,100,'If Fighter',1,1),
(86972,230023,4,100,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',0,2),
(86973,230023,4,100,'Increases power of target by 45',1,3),
(86974,230023,4,100,'Increases power of caster by 45',1,4),
(86975,230023,5,100,'Causes 3% Threat to transfer to target when in combat',0,0),
(86976,230023,5,100,'If Fighter',1,1),
(86977,230023,5,100,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',0,2),
(86978,230023,5,100,'Increases power of target by 49',1,3),
(86979,230023,5,100,'Increases power of caster by 49',1,4),
(86980,230023,7,100,'Causes 3% Threat to transfer to target when in combat',0,0),
(86981,230023,7,100,'If Fighter',1,1),
(86982,230023,7,100,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',0,2),
(86983,230023,7,100,'Increases power of target by 63',1,3),
(86984,230023,7,100,'Increases power of caster by 63',1,4),
(86985,230023,9,100,'Causes 4% Threat to transfer to target when in combat',0,0),
(86986,230023,9,100,'If Fighter',1,1),
(86987,230023,9,100,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',0,2),
(86988,230023,9,100,'Increases power of target by 65',1,3),
(86989,230023,9,100,'Increases power of caster by 65',1,4),
(86990,230024,1,100,'Causes 2% Threat to transfer to target when in combat',0,0),
(86991,230024,1,100,'If Fighter',1,1),
(86992,230024,1,100,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',0,2),
(86993,230024,1,100,'Increases power of target by 51',1,3),
(86994,230024,1,100,'Increases power of caster by 51',1,4),
(86995,230024,2,100,'Causes 2% Threat to transfer to target when in combat',0,0),
(86996,230024,2,100,'If Fighter',1,1),
(86997,230024,2,100,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',0,2),
(86998,230024,2,100,'Increases power of target by 54',1,3),
(86999,230024,2,100,'Increases power of caster by 54',1,4),
(87000,230024,3,100,'Causes 2% Threat to transfer to target when in combat',0,0),
(87001,230024,3,100,'If Fighter',1,1),
(87002,230024,3,100,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',0,2),
(87003,230024,3,100,'Increases power of target by 57',1,3),
(87004,230024,3,100,'Increases power of caster by 57',1,4),
(87005,230024,4,100,'Causes 2% Threat to transfer to target when in combat',0,0),
(87006,230024,4,100,'If Fighter',1,1),
(87007,230024,4,100,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',0,2),
(87008,230024,4,100,'Increases power of target by 62',1,3),
(87009,230024,4,100,'Increases power of caster by 62',1,4),
(87010,230024,5,100,'Causes 3% Threat to transfer to target when in combat',0,0),
(87011,230024,5,100,'If Fighter',1,1),
(87012,230024,5,100,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',0,2),
(87013,230024,5,100,'Increases power of target by 68',1,3),
(87014,230024,5,100,'Increases power of caster by 68',1,4),
(87015,230024,7,100,'Causes 3% Threat to transfer to target when in combat',0,0),
(87016,230024,7,100,'If Fighter',1,1),
(87017,230024,7,100,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',0,2),
(87018,230024,7,100,'Increases power of target by 87',1,3),
(87019,230024,7,100,'Increases power of caster by 87',1,4),
(87020,230024,9,100,'Causes 4% Threat to transfer to target when in combat',0,0),
(87021,230024,9,100,'If Fighter',1,1),
(87022,230024,9,100,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',0,2),
(87023,230024,9,100,'Increases power of target by 91',1,3),
(87024,230024,9,100,'Increases power of caster by 91',1,4),
(87025,230025,1,100,'Causes 2% Threat to transfer to target when in combat',0,0),
(87026,230025,1,100,'If Fighter',1,1),
(87027,230025,1,100,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',0,2),
(87028,230025,1,100,'Increases power of target by 66',1,3),
(87029,230025,1,100,'Increases power of caster by 66',1,4),
(87030,230025,2,100,'Causes 2% Threat to transfer to target when in combat',0,0),
(87031,230025,2,100,'If Fighter',1,1),
(87032,230025,2,100,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',0,2),
(87033,230025,2,100,'Increases power of target by 70',1,3),
(87034,230025,2,100,'Increases power of caster by 70',1,4),
(87035,230025,3,100,'Causes 2% Threat to transfer to target when in combat',0,0),
(87036,230025,3,100,'If Fighter',1,1),
(87037,230025,3,100,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',0,2),
(87038,230025,3,100,'Increases power of target by 74',1,3),
(87039,230025,3,100,'Increases power of caster by 74',1,4),
(87040,230025,4,100,'Causes 2% Threat to transfer to target when in combat',0,0),
(87041,230025,4,100,'If Fighter',1,1),
(87042,230025,4,100,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',0,2),
(87043,230025,4,100,'Increases power of target by 81',1,3),
(87044,230025,4,100,'Increases power of caster by 81',1,4),
(87045,230025,5,100,'Causes 3% Threat to transfer to target when in combat',0,0),
(87046,230025,5,100,'If Fighter',1,1),
(87047,230025,5,100,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',0,2),
(87048,230025,5,100,'Increases power of target by 88',1,3),
(87049,230025,5,100,'Increases power of caster by 88',1,4),
(87050,230025,7,100,'Causes 3% Threat to transfer to target when in combat',0,0),
(87051,230025,7,100,'If Fighter',1,1),
(87052,230025,7,100,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',0,2),
(87053,230025,7,100,'Increases power of target by 114',1,3),
(87054,230025,7,100,'Increases power of caster by 114',1,4),
(87055,230025,9,100,'Causes 4% Threat to transfer to target when in combat',0,0),
(87056,230025,9,100,'If Fighter',1,1),
(87057,230025,9,100,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',0,2),
(87058,230025,9,100,'Increases power of target by 118',1,3),
(87059,230025,9,100,'Increases power of caster by 118',1,4),
(87060,230026,1,100,'Causes 2% Threat to transfer to target when in combat',0,0),
(87061,230026,1,100,'If Fighter',1,1),
(87062,230026,1,100,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',0,2),
(87063,230026,1,100,'Increases power of target by 86',1,3),
(87064,230026,1,100,'Increases power of caster by 86',1,4),
(87065,230026,4,100,'Causes 2% Threat to transfer to target when in combat',0,0),
(87066,230026,4,100,'If Fighter',1,1),
(87067,230026,4,100,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',0,2),
(87068,230026,4,100,'Increases power of target by 105',1,3),
(87069,230026,4,100,'Increases power of caster by 105',1,4),
(87070,230026,5,100,'Causes 3% Threat to transfer to target when in combat',0,0),
(87071,230026,5,100,'If Fighter',1,1),
(87072,230026,5,100,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',0,2),
(87073,230026,5,100,'Increases power of target by 114',1,3),
(87074,230026,5,100,'Increases power of caster by 114',1,4),
(87075,230026,7,100,'Causes 3% Threat to transfer to target when in combat',0,0),
(87076,230026,7,100,'If Fighter',1,1),
(87077,230026,7,100,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',0,2),
(87078,230026,7,100,'Increases power of target by 147',1,3),
(87079,230026,7,100,'Increases power of caster by 147',1,4),
(87080,230026,9,100,'Causes 4% Threat to transfer to target when in combat',0,0),
(87081,230026,9,100,'If Fighter',1,1),
(87082,230026,9,100,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',0,2),
(87083,230026,9,100,'Increases power of target by 152',1,3),
(87084,230026,9,100,'Increases power of caster by 152',1,4),
(87085,230026,10,100,'Causes 4% Threat to transfer to target when in combat',0,0),
(87086,230026,10,100,'If Fighter',1,1),
(87087,230026,10,100,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',0,2),
(87088,230026,10,100,'Increases power of target by 160',1,3),
(87089,230026,10,100,'Increases power of caster by 160',1,4),
(87090,230027,1,100,'Causes 2% Threat to transfer to target when in combat',0,0),
(87091,230027,1,100,'If Fighter',1,1),
(87092,230027,1,100,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',0,2),
(87093,230027,1,100,'Increases power of target by 98',1,3),
(87094,230027,1,100,'Increases power of caster by 98',1,4),
(87095,230027,4,100,'Causes 2% Threat to transfer to target when in combat',0,0),
(87096,230027,4,100,'If Fighter',1,1),
(87097,230027,4,100,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',0,2),
(87098,230027,4,100,'Increases power of target by 120',1,3),
(87099,230027,4,100,'Increases power of caster by 120',1,4),
(87100,230027,5,100,'Causes 3% Threat to transfer to target when in combat',0,0),
(87101,230027,5,100,'If Fighter',1,1),
(87102,230027,5,100,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',0,2),
(87103,230027,5,100,'Increases power of target by 131',1,3),
(87104,230027,5,100,'Increases power of caster by 131',1,4),
(87105,230027,7,100,'Causes 3% Threat to transfer to target when in combat',0,0),
(87106,230027,7,100,'If Fighter',1,1),
(87107,230027,7,100,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',0,2),
(87108,230027,7,100,'Increases power of target by 168',1,3),
(87109,230027,7,100,'Increases power of caster by 168',1,4),
(87110,230027,9,100,'Causes 4% Threat to transfer to target when in combat',0,0),
(87111,230027,9,100,'If Fighter',1,1),
(87112,230027,9,100,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',0,2),
(87113,230027,9,100,'Increases power of target by 174',1,3),
(87114,230027,9,100,'Increases power of caster by 174',1,4),
(87115,230027,10,100,'Causes 4% Threat to transfer to target when in combat',0,0),
(87116,230027,10,100,'If Fighter',1,1),
(87117,230027,10,100,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',0,2),
(87118,230027,10,100,'Increases power of target by 183',1,3),
(87119,230027,10,100,'Increases power of caster by 183',1,4),
(87120,140025,1,100,'Applies Conversion of the Soul on termination.',0,0),
(87121,140025,1,100,'Heals target for 50.0% of max health',1,1),
(87122,140025,1,100,'This effect cannot be critically applied.',2,2),
(87123,140025,1,100,'Increases power of target by 30.0%',1,3),
(87124,140025,1,100,'This effect cannot be critically applied.',2,4),
(87125,140025,1,100,'Resurrects target with 15% health and power',0,5),
(87126,140025,1,100,'If outside an arena',0,6),
(87127,2000378,1,100,'Reduces the power cost of all spells by 100%.',0,0),
(87128,2000378,1,100,'Swaps the caster''s health and power pools by percentage',0,1),
(87129,2000378,1,100,'Will absorb all damage. ',0,2),
(87130,2000379,1,100,'Shapechanges caster into a chaos essence',0,0),
(87131,2000379,1,100,'Increases WIS of caster by 310.1',0,1),
(87132,2000379,1,100,'Increases STA of group members (AE) by 126.4',0,2),
(87133,2000379,1,100,'Increases in-combat movement speed of caster by 35.0%',0,3),
(87134,2000379,1,100,'Grants See Invisibility to group members (AE)',0,4),
(87135,2000379,1,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 4213',0,5),
(87136,2000379,1,100,'On any combat or spell hit this spell may cast Chaos Essence on target of attack.  Triggers about 2.0 times per minute. ',0,6),
(87137,2000379,1,100,'Inflicts 831 - 1016 disease damage on target',1,7),
(87138,2000379,1,100,'Increases Mitigation of group members (AE) vs arcane damage by 0',0,8),
(87139,360092,1,100,'Applies Stolen Breath.  Lasts for 1 minute.',0,0),
(87140,360092,1,100,'Increases Potency of group members (AE) by 16.2%',1,1),
(87141,360092,2,100,'Applies Stolen Breath.  Lasts for 1 minute.',0,0),
(87142,360092,2,100,'Increases Potency of group members (AE) by 17.1%',1,1),
(87143,360092,3,100,'Applies Stolen Breath.  Lasts for 1 minute.',0,0),
(87144,360092,3,100,'Increases Potency of group members (AE) by 18.0%',1,1),
(87145,360092,4,100,'Applies Stolen Breath.  Lasts for 1 minute.',0,0),
(87146,360092,4,100,'Increases Potency of group members (AE) by 19.8%',1,1),
(87147,360092,5,100,'Applies Stolen Breath.  Lasts for 1 minute.',0,0),
(87148,360092,5,100,'Increases Potency of group members (AE) by 21.6%',1,1),
(87149,360092,7,100,'Applies Stolen Breath.  Lasts for 1 minute.',0,0),
(87150,360092,7,100,'Increases Potency of group members (AE) by 27.7%',1,1),
(87151,360092,9,100,'Applies Stolen Breath.  Lasts for 1 minute.',0,0),
(87152,360092,9,100,'Increases Potency of group members (AE) by 28.8%',1,1),
(87153,110002,1,100,'Increases STA of group members (AE) by 6.3',0,0),
(87154,110002,1,100,'Increases Mitigation of group members (AE) vs physical damage by 61',0,1),
(87155,110002,2,100,'Increases STA of group members (AE) by 6.7',0,0),
(87156,110002,2,100,'Increases Mitigation of group members (AE) vs physical damage by 64',0,1),
(87157,110002,3,100,'Increases STA of group members (AE) by 7.0',0,0),
(87158,110002,3,100,'Increases Mitigation of group members (AE) vs physical damage by 68',0,1),
(87159,110002,4,100,'Increases STA of group members (AE) by 7.7',0,0),
(87160,110002,4,100,'Increases Mitigation of group members (AE) vs physical damage by 74',0,1),
(87161,110002,5,100,'Increases STA of group members (AE) by 8.4',0,0),
(87162,110002,5,100,'Increases Mitigation of group members (AE) vs physical damage by 81',0,1),
(87163,110002,7,100,'Increases STA of group members (AE) by 10.8',0,0),
(87164,110002,7,100,'Increases Mitigation of group members (AE) vs physical damage by 104',0,1),
(87165,110002,9,100,'Increases STA of group members (AE) by 11.2',0,0),
(87166,110002,9,100,'Increases Mitigation of group members (AE) vs physical damage by 108',0,1),
(87167,440092,1,100,'Cannot be directly attacked by enemies and can only be healed by channeler Repair Abilities',0,0),
(87168,440092,1,100,'Summons a pet construct',0,1),
(87169,2000380,1,100,'Inflicts 1 - 2 slashing damage on target',0,0),
(87170,2000380,1,100,'Decreases AGI and STR of target by 4.5',0,1),
(87171,100126,1,100,'Increases WIS of raid and group members (AE) by 9.2',0,0),
(87172,100126,1,100,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 78',0,1),
(87173,100126,1,100,'Increases heal amounts of raid members by 2.82%.',0,2),
(87174,100126,2,100,'Increases WIS of raid and group members (AE) by 9.7',0,0),
(87175,100126,2,100,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 82',0,1),
(87176,100126,2,100,'Increases heal amounts of raid members by 2.97%.',0,2),
(87177,100126,3,100,'Increases WIS of raid and group members (AE) by 10.2',0,0),
(87178,100126,3,100,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 86',0,1),
(87179,100126,3,100,'Increases heal amounts of raid members by 3.13%.',0,2),
(87180,100126,4,100,'Increases WIS of raid and group members (AE) by 11.2',0,0),
(87181,100126,4,100,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 95',0,1),
(87182,100126,4,100,'Increases heal amounts of raid members by 3.44%.',0,2),
(87183,100126,5,100,'Increases WIS of raid and group members (AE) by 12.3',0,0),
(87184,100126,5,100,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 104',0,1),
(87185,100126,5,100,'Increases heal amounts of raid members by 3.75%.',0,2),
(87186,100126,7,100,'Increases WIS of raid and group members (AE) by 15.7',0,0),
(87187,100126,7,100,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 133',0,1),
(87188,100126,7,100,'Increases heal amounts of raid members by 4.82%.',0,2),
(87189,100126,9,100,'Increases WIS of raid and group members (AE) by 16.4',0,0),
(87190,100126,9,100,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 138',0,1),
(87191,100126,9,100,'Increases heal amounts of raid members by 5%.',0,2),
(87192,100127,1,100,'Increases WIS of raid and group members (AE) by 16.0',0,0),
(87193,100127,1,100,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 143',0,1),
(87194,100127,1,100,'Increases heal amounts of raid members by 2.82%.',0,2),
(87195,100127,2,100,'Increases WIS of raid and group members (AE) by 16.9',0,0),
(87196,100127,2,100,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 150',0,1),
(87197,100127,2,100,'Increases heal amounts of raid members by 2.97%.',0,2),
(87198,100127,3,100,'Increases WIS of raid and group members (AE) by 17.8',0,0),
(87199,100127,3,100,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 158',0,1),
(87200,100127,3,100,'Increases heal amounts of raid members by 3.13%.',0,2),
(87201,100127,4,100,'Increases WIS of raid and group members (AE) by 19.6',0,0),
(87202,100127,4,100,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 174',0,1),
(87203,100127,4,100,'Increases heal amounts of raid members by 3.44%.',0,2),
(87204,100127,5,100,'Increases WIS of raid and group members (AE) by 21.3',0,0),
(87205,100127,5,100,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 190',0,1),
(87206,100127,5,100,'Increases heal amounts of raid members by 3.75%.',0,2),
(87207,100127,7,100,'Increases WIS of raid and group members (AE) by 27.4',0,0),
(87208,100127,7,100,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 244',0,1),
(87209,100127,7,100,'Increases heal amounts of raid members by 4.82%.',0,2),
(87210,100127,9,100,'Increases WIS of raid and group members (AE) by 28.4',0,0),
(87211,100127,9,100,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 253',0,1),
(87212,100127,9,100,'Increases heal amounts of raid members by 5%.',0,2),
(87213,100127,10,100,'Increases WIS of raid and group members (AE) by 29.9',0,0),
(87214,100127,10,100,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 266',0,1),
(87215,100127,10,100,'Increases heal amounts of raid members by 5.26%.',0,2),
(87216,100128,1,100,'Increases WIS of raid and group members (AE) by 23.1',0,0),
(87217,100128,1,100,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 203',0,1),
(87218,100128,1,100,'Increases heal amounts of raid members by 2.82%.',0,2),
(87219,100128,2,100,'Increases WIS of raid and group members (AE) by 24.3',0,0),
(87220,100128,2,100,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 214',0,1),
(87221,100128,2,100,'Increases heal amounts of raid members by 2.97%.',0,2),
(87222,100128,3,100,'Increases WIS of raid and group members (AE) by 25.6',0,0),
(87223,100128,3,100,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 226',0,1),
(87224,100128,3,100,'Increases heal amounts of raid members by 3.13%.',0,2),
(87225,100128,4,100,'Increases WIS of raid and group members (AE) by 28.2',0,0),
(87226,100128,4,100,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 248',0,1),
(87227,100128,4,100,'Increases heal amounts of raid members by 3.44%.',0,2),
(87228,100128,5,100,'Increases WIS of raid and group members (AE) by 30.7',0,0),
(87229,100128,5,100,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 271',0,1),
(87230,100128,5,100,'Increases heal amounts of raid members by 3.75%.',0,2),
(87231,100128,7,100,'Increases WIS of raid and group members (AE) by 39.5',0,0),
(87232,100128,7,100,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 347',0,1),
(87233,100128,7,100,'Increases heal amounts of raid members by 4.82%.',0,2),
(87234,100128,9,100,'Increases WIS of raid and group members (AE) by 41.0',0,0),
(87235,100128,9,100,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 361',0,1),
(87236,100128,9,100,'Increases heal amounts of raid members by 5%.',0,2),
(87237,100129,1,100,'Increases WIS of raid and group members (AE) by 30.1',0,0),
(87238,100129,1,100,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 264',0,1),
(87239,100129,1,100,'Increases heal amounts of raid members by 2.82%.',0,2),
(87240,100129,2,100,'Increases WIS of raid and group members (AE) by 31.8',0,0),
(87241,100129,2,100,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 278',0,1),
(87242,100129,2,100,'Increases heal amounts of raid members by 2.97%.',0,2),
(87243,100129,3,100,'Increases WIS of raid and group members (AE) by 33.5',0,0),
(87244,100129,3,100,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 293',0,1),
(87245,100129,3,100,'Increases heal amounts of raid members by 3.13%.',0,2),
(87246,100129,4,100,'Increases WIS of raid and group members (AE) by 36.8',0,0),
(87247,100129,4,100,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 322',0,1),
(87248,100129,4,100,'Increases heal amounts of raid members by 3.44%.',0,2),
(87249,100129,5,100,'Increases WIS of raid and group members (AE) by 40.2',0,0),
(87250,100129,5,100,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 351',0,1),
(87251,100129,5,100,'Increases heal amounts of raid members by 3.75%.',0,2),
(87252,100129,7,100,'Increases WIS of raid and group members (AE) by 51.5',0,0),
(87253,100129,7,100,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 451',0,1),
(87254,100129,7,100,'Increases heal amounts of raid members by 4.82%.',0,2),
(87255,100129,9,100,'Increases WIS of raid and group members (AE) by 53.5',0,0),
(87256,100129,9,100,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 468',0,1),
(87257,100129,9,100,'Increases heal amounts of raid members by 5%.',0,2),
(87258,100130,1,100,'Increases WIS of raid and group members (AE) by 36.7',0,0),
(87259,100130,1,100,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 315',0,1),
(87260,100130,1,100,'Increases heal amounts of raid members by 2.82%.',0,2),
(87261,100130,2,100,'Increases WIS of raid and group members (AE) by 38.8',0,0),
(87262,100130,2,100,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 333',0,1),
(87263,100130,2,100,'Increases heal amounts of raid members by 2.97%.',0,2),
(87264,100130,3,100,'Increases WIS of raid and group members (AE) by 40.8',0,0),
(87265,100130,3,100,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 350',0,1),
(87266,100130,3,100,'Increases heal amounts of raid members by 3.13%.',0,2),
(87267,100130,4,100,'Increases WIS of raid and group members (AE) by 44.9',0,0),
(87268,100130,4,100,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 385',0,1),
(87269,100130,4,100,'Increases heal amounts of raid members by 3.44%.',0,2),
(87270,100130,5,100,'Increases WIS of raid and group members (AE) by 49.0',0,0),
(87271,100130,5,100,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 420',0,1),
(87272,100130,5,100,'Increases heal amounts of raid members by 3.75%.',0,2),
(87273,100130,7,100,'Increases WIS of raid and group members (AE) by 62.8',0,0),
(87274,100130,7,100,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 540',0,1),
(87275,100130,7,100,'Increases heal amounts of raid members by 4.82%.',0,2),
(87276,100130,9,100,'Increases WIS of raid and group members (AE) by 65.3',0,0),
(87277,100130,9,100,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 561',0,1),
(87278,100130,9,100,'Increases heal amounts of raid members by 5%.',0,2),
(87279,100131,1,100,'Increases WIS of raid and group members (AE) by 44.4',0,0),
(87280,100131,1,100,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 363',0,1),
(87281,100131,1,100,'Increases heal amounts of raid members by 2.82%.',0,2),
(87282,100131,4,100,'Increases WIS of raid and group members (AE) by 54.2',0,0),
(87283,100131,4,100,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 444',0,1),
(87284,100131,4,100,'Increases heal amounts of raid members by 3.44%.',0,2),
(87285,100131,5,100,'Increases WIS of raid and group members (AE) by 59.1',0,0),
(87286,100131,5,100,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 484',0,1),
(87287,100131,5,100,'Increases heal amounts of raid members by 3.75%.',0,2),
(87288,100131,7,100,'Increases WIS of raid and group members (AE) by 75.9',0,0),
(87289,100131,7,100,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 621',0,1),
(87290,100131,7,100,'Increases heal amounts of raid members by 4.82%.',0,2),
(87291,100131,9,100,'Increases WIS of raid and group members (AE) by 78.8',0,0),
(87292,100131,9,100,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 645',0,1),
(87293,100131,9,100,'Increases heal amounts of raid members by 5%.',0,2),
(87294,100132,1,100,'Increases WIS of raid and group members (AE) by 51.3',0,0),
(87295,100132,1,100,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 406',0,1),
(87296,100132,1,100,'Increases heal amounts of raid members by 2.82%.',0,2),
(87297,100132,4,100,'Increases WIS of raid and group members (AE) by 62.7',0,0),
(87298,100132,4,100,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 496',0,1),
(87299,100132,4,100,'Increases heal amounts of raid members by 3.44%.',0,2),
(87300,100132,5,100,'Increases WIS of raid and group members (AE) by 68.4',0,0),
(87301,100132,5,100,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 541',0,1),
(87302,100132,5,100,'Increases heal amounts of raid members by 3.75%.',0,2),
(87303,100132,7,100,'Increases WIS of raid and group members (AE) by 87.7',0,0),
(87304,100132,7,100,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 695',0,1),
(87305,100132,7,100,'Increases heal amounts of raid members by 4.82%.',0,2),
(87306,100132,9,100,'Increases WIS of raid and group members (AE) by 91.2',0,0),
(87307,100132,9,100,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 722',0,1),
(87308,100132,9,100,'Increases heal amounts of raid members by 5%.',0,2),
(87309,2000381,1,100,'When a target enemy takes damage from the Crusader''s group, a portion of that damage is converted into a heal to the Crusader.',0,0),
(87310,2000381,2,100,'When a target enemy takes damage from the Crusader''s group, a portion of that damage is converted into a heal to the Crusader.',0,0),
(87311,2000382,1,100,'Inflicts 1 - 2 crushing damage on target',0,0),
(87312,2000382,1,100,'Inflicts 1 - 2 crushing damage on target instantly and every 8 seconds',0,1),
(87313,80021,1,100,'Inflicts 34 - 57 divine damage on targets in Area of Effect',0,0),
(87314,80021,2,100,'Inflicts 36 - 60 divine damage on targets in Area of Effect',0,0),
(87315,80021,3,100,'Inflicts 38 - 63 divine damage on targets in Area of Effect',0,0),
(87316,80021,4,100,'Inflicts 42 - 69 divine damage on targets in Area of Effect',0,0),
(87317,80021,5,100,'Inflicts 45 - 76 divine damage on targets in Area of Effect',0,0),
(87318,80021,7,100,'Inflicts 58 - 97 divine damage on targets in Area of Effect',0,0),
(87319,80021,9,100,'Inflicts 61 - 101 divine damage on targets in Area of Effect',0,0),
(87320,290039,1,100,'Inflicts 8 - 11 magic damage on target',0,0),
(87321,290039,2,100,'Inflicts 9 - 12 magic damage on target',0,0),
(87322,290039,3,100,'Inflicts 9 - 12 magic damage on target',0,0),
(87323,290039,4,100,'Inflicts 10 - 14 magic damage on target',0,0),
(87324,290039,5,100,'Inflicts 11 - 15 magic damage on target',0,0),
(87325,290039,7,100,'Inflicts 14 - 19 magic damage on target',0,0),
(87326,290039,9,100,'Inflicts 15 - 20 magic damage on target',0,0),
(87327,290040,1,100,'Inflicts 20 - 26 magic damage on target',0,0),
(87328,290040,2,100,'Inflicts 21 - 28 magic damage on target',0,0),
(87329,290040,3,100,'Inflicts 22 - 29 magic damage on target',0,0),
(87330,290040,4,100,'Inflicts 24 - 32 magic damage on target',0,0),
(87331,290040,5,100,'Inflicts 26 - 35 magic damage on target',0,0),
(87332,290040,7,100,'Inflicts 34 - 45 magic damage on target',0,0),
(87333,290040,9,100,'Inflicts 35 - 47 magic damage on target',0,0),
(87334,290041,1,100,'Inflicts 38 - 51 magic damage on target',0,0),
(87335,290041,2,100,'Inflicts 40 - 54 magic damage on target',0,0),
(87336,290041,3,100,'Inflicts 42 - 57 magic damage on target',0,0),
(87337,290041,4,100,'Inflicts 46 - 63 magic damage on target',0,0),
(87338,290041,5,100,'Inflicts 51 - 68 magic damage on target',0,0),
(87339,290041,7,100,'Inflicts 65 - 88 magic damage on target',0,0),
(87340,290041,9,100,'Inflicts 67 - 91 magic damage on target',0,0),
(87341,290041,10,100,'Inflicts 71 - 96 magic damage on target',0,0),
(87342,290042,1,100,'Inflicts 62 - 84 magic damage on target',0,0),
(87343,290042,2,100,'Inflicts 66 - 89 magic damage on target',0,0),
(87344,290042,3,100,'Inflicts 69 - 94 magic damage on target',0,0),
(87345,290042,4,100,'Inflicts 76 - 103 magic damage on target',0,0),
(87346,290042,5,100,'Inflicts 83 - 113 magic damage on target',0,0),
(87347,290042,7,100,'Inflicts 107 - 145 magic damage on target',0,0),
(87348,290042,9,100,'Inflicts 111 - 150 magic damage on target',0,0),
(87349,290043,1,100,'Inflicts 339 - 459 magic damage on target',0,0),
(87350,290043,4,100,'Inflicts 414 - 560 magic damage on target',0,0),
(87351,290043,5,100,'Inflicts 452 - 611 magic damage on target',0,0),
(87352,290043,7,100,'Inflicts 580 - 785 magic damage on target',0,0),
(87353,290043,9,100,'Inflicts 603 - 815 magic damage on target',0,0),
(87354,290043,10,100,'Inflicts 633 - 856 magic damage on target',0,0),
(87355,290044,1,100,'Inflicts 96 - 129 magic damage on target',0,0),
(87356,290044,2,100,'Inflicts 101 - 136 magic damage on target',0,0),
(87357,290044,3,100,'Inflicts 106 - 144 magic damage on target',0,0),
(87358,290044,4,100,'Inflicts 117 - 158 magic damage on target',0,0),
(87359,290044,5,100,'Inflicts 127 - 172 magic damage on target',0,0),
(87360,290044,7,100,'Inflicts 164 - 221 magic damage on target',0,0),
(87361,290044,9,100,'Inflicts 170 - 230 magic damage on target',0,0),
(87362,290044,10,100,'Inflicts 178 - 241 magic damage on target',0,0),
(87363,290045,1,100,'Inflicts 150 - 203 magic damage on target',0,0),
(87364,290045,2,100,'Inflicts 158 - 214 magic damage on target',0,0),
(87365,290045,3,100,'Inflicts 166 - 225 magic damage on target',0,0),
(87366,290045,4,100,'Inflicts 183 - 248 magic damage on target',0,0),
(87367,290045,5,100,'Inflicts 200 - 270 magic damage on target',0,0),
(87368,290045,7,100,'Inflicts 256 - 347 magic damage on target',0,0),
(87369,290045,9,100,'Inflicts 266 - 360 magic damage on target',0,0),
(87370,290045,10,100,'Inflicts 280 - 378 magic damage on target',0,0),
(87371,290046,1,100,'Inflicts 214 - 290 magic damage on target',0,0),
(87372,290046,2,100,'Inflicts 226 - 306 magic damage on target',0,0),
(87373,290046,3,100,'Inflicts 238 - 322 magic damage on target',0,0),
(87374,290046,4,100,'Inflicts 262 - 354 magic damage on target',0,0),
(87375,290046,5,100,'Inflicts 286 - 386 magic damage on target',0,0),
(87376,290046,7,100,'Inflicts 367 - 496 magic damage on target',0,0),
(87377,290046,9,100,'Inflicts 381 - 515 magic damage on target',0,0),
(87378,290047,1,100,'Inflicts 280 - 379 magic damage on target',0,0),
(87379,290047,2,100,'Inflicts 295 - 400 magic damage on target',0,0),
(87380,290047,3,100,'Inflicts 311 - 421 magic damage on target',0,0),
(87381,290047,4,100,'Inflicts 342 - 463 magic damage on target',0,0),
(87382,290047,5,100,'Inflicts 373 - 505 magic damage on target',0,0),
(87383,290047,7,100,'Inflicts 479 - 648 magic damage on target',0,0),
(87384,290047,9,100,'Inflicts 497 - 673 magic damage on target',0,0),
(87385,290048,1,100,'Inflicts 402 - 544 magic damage on target',0,0),
(87386,290048,4,100,'Inflicts 491 - 665 magic damage on target',0,0),
(87387,290048,5,100,'Inflicts 536 - 725 magic damage on target',0,0),
(87388,290048,7,100,'Inflicts 688 - 931 magic damage on target',0,0),
(87389,290048,9,100,'Inflicts 715 - 967 magic damage on target',0,0),
(87390,290048,10,100,'Inflicts 751 - 1015 magic damage on target',0,0),
(87391,200061,1,100,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',0,0),
(87392,200061,1,100,'Summon 1 Distilled Soul (Apprentice)',1,1),
(87393,200061,2,100,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',0,0),
(87394,200061,2,100,'Summon 1 Distilled Soul (Apprentice II)',1,1),
(87395,200061,3,100,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',0,0),
(87396,200061,3,100,'Summon 1 Distilled Soul (Apprentice III)',1,1),
(87397,200061,4,100,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',0,0),
(87398,200061,4,100,'Summon 1 Distilled Soul (Journeyman)',1,1),
(87399,200061,5,100,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',0,0),
(87400,200061,5,100,'Summon 1 Distilled Soul (Adept)',1,1),
(87401,200061,7,100,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',0,0),
(87402,200061,7,100,'Summon 1 Distilled Soul (Expert)',1,1),
(87403,200061,9,100,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',0,0),
(87404,200061,9,100,'Summon 1 Distilled Soul (Master)',1,1),
(87405,200062,1,100,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',0,0),
(87406,200062,1,100,'Summon 1 Crystallized Soul (Apprentice)',1,1),
(87407,200062,2,100,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',0,0),
(87408,200062,2,100,'Summon 1 Crystallized Soul (Apprentice)',1,1),
(87409,200062,3,100,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',0,0),
(87410,200062,3,100,'Summon 1 Crystallized Soul (Apprentice)',1,1),
(87411,200062,4,100,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',0,0),
(87412,200062,4,100,'Summon 1 Crystallized Soul (Journeyman)',1,1),
(87413,200062,5,100,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',0,0),
(87414,200062,5,100,'Summon 1 Crystallized Soul (Adept)',1,1),
(87415,200062,7,100,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',0,0),
(87416,200062,7,100,'Summon 1 Crystallized Soul (Expert)',1,1),
(87417,200062,9,100,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',0,0),
(87418,200062,9,100,'Summon 1 Crystallized Soul (Master)',1,1),
(87419,200063,1,100,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',0,0),
(87420,200063,1,100,'Summon 1 Crystallized Spirit (Apprentice)',1,1),
(87421,200063,2,100,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',0,0),
(87422,200063,2,100,'Summon 1 Crystallized Spirit (Apprentice)',1,1),
(87423,200063,3,100,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',0,0),
(87424,200063,3,100,'Summon 1 Crystallized Spirit (Apprentice)',1,1),
(87425,200063,4,100,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',0,0),
(87426,200063,4,100,'Summon 1 Crystallized Spirit (Journeyman)',1,1),
(87427,200063,5,100,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',0,0),
(87428,200063,5,100,'Summon 1 Crystallized Spirit (Adept)',1,1),
(87429,200063,7,100,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',0,0),
(87430,200063,7,100,'Summon 1 Crystallized Spirit (Expert)',1,1),
(87431,200063,9,100,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',0,0),
(87432,200063,9,100,'Summon 1 Crystallized Spirit (Master)',1,1),
(87433,200064,1,100,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',0,0),
(87434,200064,1,100,'Summon 1 Crystallized Essence (Apprentice)',1,1),
(87435,200064,2,100,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',0,0),
(87436,200064,2,100,'Summon 1 Crystallized Essence (Apprentice)',1,1),
(87437,200064,3,100,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',0,0),
(87438,200064,3,100,'Summon 1 Crystallized Essence (Apprentice)',1,1),
(87439,200064,4,100,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',0,0),
(87440,200064,4,100,'Summon 1 Crystallized Essence (Journeyman)',1,1),
(87441,200064,5,100,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',0,0),
(87442,200064,5,100,'Summon 1 Crystallized Essence (Adept)',1,1),
(87443,200064,7,100,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',0,0),
(87444,200064,7,100,'Summon 1 Crystallized Essence (Expert)',1,1),
(87445,200064,9,100,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',0,0),
(87446,200064,9,100,'Summon 1 Crystallized Essence (Master)',1,1),
(87447,200065,1,100,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',0,0),
(87448,200065,1,100,'Summon 1 Crystallized Essence (Apprentice)',1,1),
(87449,200065,4,100,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',0,0),
(87450,200065,4,100,'Summon 1 Crystallized Essence (Journeyman)',1,1),
(87451,200065,5,100,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',0,0),
(87452,200065,5,100,'Summon 1 Crystallized Essence (Adept)',1,1),
(87453,200065,7,100,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',0,0),
(87454,200065,7,100,'Summon 1 Crystallized Essence (Expert)',1,1),
(87455,200065,9,100,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',0,0),
(87456,200065,9,100,'Summon 1 Crystallized Essence (Master)',1,1),
(87457,200066,1,100,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',0,0),
(87458,200066,1,100,'Summon 1 Crystallized Essence (Apprentice)',1,1),
(87459,200066,4,100,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',0,0),
(87460,200066,4,100,'Summon 1 Crystallized Essence (Journeyman)',1,1),
(87461,200066,5,100,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',0,0),
(87462,200066,5,100,'Summon 1 Crystallized Essence (Adept)',1,1),
(87463,200066,7,100,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',0,0),
(87464,200066,7,100,'Summon 1 Crystallized Essence (Expert)',1,1),
(87465,200066,9,100,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',0,0),
(87466,200066,9,100,'Summon 1 Crystallized Essence (Master)',1,1),
(87468,110004,3,100,'Dispels 88 levels of curse effects on target',0,0),
(87469,110004,3,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(87470,210006,1,100,'Dispels 10 levels of any hostile effects on target',0,0),
(87471,110005,3,100,'Dispels 10 levels of noxious hostile effects on target',0,0),
(87472,2000383,1,100,'Dispels 6 levels of elemental, noxious and arcane hostile effects on target',0,0),
(87473,2000383,1,100,'Casts Hate for each successful Dispel.',0,1),
(87474,2000383,1,100,'Increases Threat to targets in Area of Effect by 44 ',2,2),
(87475,240055,1,100,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',0,0),
(87476,240055,1,100,'Inflicts 29 - 35 poison damage on target encounter',1,1),
(87477,240055,2,100,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',0,0),
(87478,240055,2,100,'Inflicts 31 - 37 poison damage on target encounter',1,1),
(87479,240055,3,100,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',0,0),
(87480,240055,3,100,'Inflicts 32 - 39 poison damage on target encounter',1,1),
(87481,240055,4,100,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',0,0),
(87482,240055,4,100,'Inflicts 35 - 43 poison damage on target encounter',1,1),
(87483,240055,5,100,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',0,0),
(87484,240055,5,100,'Inflicts 39 - 47 poison damage on target encounter',1,1),
(87485,240055,7,100,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',0,0),
(87486,240055,7,100,'Inflicts 49 - 60 poison damage on target encounter',1,1),
(87487,240055,9,100,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',0,0),
(87488,240055,9,100,'Inflicts 51 - 63 poison damage on target encounter',1,1),
(87489,240056,1,100,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',0,0),
(87490,240056,1,100,'Inflicts 47 - 58 poison damage on target encounter',1,1),
(87491,240056,2,100,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',0,0),
(87492,240056,2,100,'Inflicts 50 - 61 poison damage on target encounter',1,1),
(87493,240056,3,100,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',0,0),
(87494,240056,3,100,'Inflicts 53 - 64 poison damage on target encounter',1,1),
(87495,240056,4,100,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',0,0),
(87496,240056,4,100,'Inflicts 58 - 71 poison damage on target encounter',1,1),
(87497,240056,5,100,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',0,0),
(87498,240056,5,100,'Inflicts 63 - 77 poison damage on target encounter',1,1),
(87499,240056,7,100,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',0,0),
(87500,240056,7,100,'Inflicts 81 - 99 poison damage on target encounter',1,1),
(87501,240056,9,100,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',0,0),
(87502,240056,9,100,'Inflicts 84 - 103 poison damage on target encounter',1,1),
(87503,240057,1,100,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',0,0),
(87504,240057,1,100,'Inflicts 70 - 86 poison damage on target encounter',1,1),
(87505,240057,2,100,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',0,0),
(87506,240057,2,100,'Inflicts 74 - 90 poison damage on target encounter',1,1),
(87507,240057,3,100,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',0,0),
(87508,240057,3,100,'Inflicts 78 - 95 poison damage on target encounter',1,1),
(87509,240057,4,100,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',0,0),
(87510,240057,4,100,'Inflicts 86 - 105 poison damage on target encounter',1,1),
(87511,240057,5,100,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',0,0),
(87512,240057,5,100,'Inflicts 93 - 114 poison damage on target encounter',1,1),
(87513,240057,7,100,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',0,0),
(87514,240057,7,100,'Inflicts 120 - 146 poison damage on target encounter',1,1),
(87515,240057,9,100,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',0,0),
(87516,240057,9,100,'Inflicts 124 - 152 poison damage on target encounter',1,1),
(87517,240058,1,100,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',0,0),
(87518,240058,1,100,'Inflicts 93 - 114 poison damage on target encounter',1,1),
(87519,240058,2,100,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',0,0),
(87520,240058,2,100,'Inflicts 98 - 120 poison damage on target encounter',1,1),
(87521,240058,3,100,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',0,0),
(87522,240058,3,100,'Inflicts 103 - 126 poison damage on target encounter',1,1),
(87523,240058,4,100,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',0,0),
(87524,240058,4,100,'Inflicts 114 - 139 poison damage on target encounter',1,1),
(87525,240058,5,100,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',0,0),
(87526,240058,5,100,'Inflicts 124 - 152 poison damage on target encounter',1,1),
(87527,240058,7,100,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',0,0),
(87528,240058,7,100,'Inflicts 159 - 194 poison damage on target encounter',1,1),
(87529,240058,9,100,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',0,0),
(87530,240058,9,100,'Inflicts 165 - 202 poison damage on target encounter',1,1),
(87531,240059,1,100,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',0,0),
(87532,240059,1,100,'Inflicts 115 - 140 poison damage on target encounter',1,1),
(87533,240059,2,100,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',0,0),
(87534,240059,2,100,'Inflicts 121 - 148 poison damage on target encounter',1,1),
(87535,240059,3,100,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',0,0),
(87536,240059,3,100,'Inflicts 127 - 156 poison damage on target encounter',1,1),
(87537,240059,4,100,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',0,0),
(87538,240059,4,100,'Inflicts 140 - 171 poison damage on target encounter',1,1),
(87539,240059,5,100,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',0,0),
(87540,240059,5,100,'Inflicts 153 - 187 poison damage on target encounter',1,1),
(87541,240059,7,100,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',0,0),
(87542,240059,7,100,'Inflicts 196 - 240 poison damage on target encounter',1,1),
(87543,240059,9,100,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',0,0),
(87544,240059,9,100,'Inflicts 204 - 249 poison damage on target encounter',1,1),
(87545,240060,1,100,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',0,0),
(87546,240060,1,100,'Inflicts 138 - 169 poison damage on target encounter',1,1),
(87547,240060,4,100,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',0,0),
(87548,240060,4,100,'Inflicts 169 - 206 poison damage on target encounter',1,1),
(87549,240060,5,100,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',0,0),
(87550,240060,5,100,'Inflicts 184 - 225 poison damage on target encounter',1,1),
(87551,240060,7,100,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',0,0),
(87552,240060,7,100,'Inflicts 236 - 289 poison damage on target encounter',1,1),
(87553,240060,9,100,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',0,0),
(87554,240060,9,100,'Inflicts 245 - 300 poison damage on target encounter',1,1),
(87555,240061,1,100,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',0,0),
(87556,240061,1,100,'Inflicts 150 - 183 poison damage on target encounter',1,1),
(87557,240061,4,100,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',0,0),
(87558,240061,4,100,'Inflicts 183 - 224 poison damage on target encounter',1,1),
(87559,240061,5,100,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',0,0),
(87560,240061,5,100,'Inflicts 200 - 244 poison damage on target encounter',1,1),
(87561,240061,7,100,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',0,0),
(87562,240061,7,100,'Inflicts 256 - 313 poison damage on target encounter',1,1),
(87563,240061,9,100,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',0,0),
(87564,240061,9,100,'Inflicts 266 - 325 poison damage on target encounter',1,1),
(87565,240062,1,100,'Decreases STR and INT of target by 19.4',0,0),
(87566,240062,1,100,'Only affects targets level 20 and above',0,1),
(87567,240062,2,100,'Decreases STR and INT of target by 20.5',0,0),
(87568,240062,2,100,'Only affects targets level 20 and above',0,1),
(87569,240062,3,100,'Decreases STR and INT of target by 21.6',0,0),
(87570,240062,3,100,'Only affects targets level 20 and above',0,1),
(87571,240062,4,100,'Decreases STR and INT of target by 23.8',0,0),
(87572,240062,4,100,'Only affects targets level 20 and above',0,1),
(87573,240062,5,100,'Decreases STR and INT of target by 25.9',0,0),
(87574,240062,5,100,'Only affects targets level 20 and above',0,1),
(87575,240062,7,100,'Decreases STR and INT of target by 33.3',0,0),
(87576,240062,7,100,'Only affects targets level 20 and above',0,1),
(87577,240062,9,100,'Decreases STR and INT of target by 34.6',0,0),
(87578,240062,9,100,'Only affects targets level 20 and above',0,1),
(87579,240063,1,100,'Decreases STR and INT of target by 29.3',0,0),
(87580,240063,1,100,'Only affects targets level 20 and above',0,1),
(87581,240063,2,100,'Decreases STR and INT of target by 31.0',0,0),
(87582,240063,2,100,'Only affects targets level 20 and above',0,1),
(87583,240063,3,100,'Decreases STR and INT of target by 32.6',0,0),
(87584,240063,3,100,'Only affects targets level 20 and above',0,1),
(87585,240063,4,100,'Decreases STR and INT of target by 35.9',0,0),
(87586,240063,4,100,'Only affects targets level 20 and above',0,1),
(87587,240063,5,100,'Decreases STR and INT of target by 39.1',0,0),
(87588,240063,5,100,'Only affects targets level 20 and above',0,1),
(87589,240063,7,100,'Decreases STR and INT of target by 50.2',0,0),
(87590,240063,7,100,'Only affects targets level 20 and above',0,1),
(87591,240063,9,100,'Decreases STR and INT of target by 52.2',0,0),
(87592,240063,9,100,'Only affects targets level 20 and above',0,1),
(87593,240064,1,100,'Decreases STR and INT of target by 39.4',0,0),
(87594,240064,1,100,'Only affects targets level 20 and above',0,1),
(87595,240064,2,100,'Decreases STR and INT of target by 41.6',0,0),
(87596,240064,2,100,'Only affects targets level 20 and above',0,1),
(87597,240064,3,100,'Decreases STR and INT of target by 43.8',0,0),
(87598,240064,3,100,'Only affects targets level 20 and above',0,1),
(87599,240064,4,100,'Decreases STR and INT of target by 48.2',0,0),
(87600,240064,4,100,'Only affects targets level 20 and above',0,1),
(87601,240064,5,100,'Decreases STR and INT of target by 52.6',0,0),
(87602,240064,5,100,'Only affects targets level 20 and above',0,1),
(87603,240064,7,100,'Decreases STR and INT of target by 67.5',0,0),
(87604,240064,7,100,'Only affects targets level 20 and above',0,1),
(87605,240064,9,100,'Decreases STR and INT of target by 70.1',0,0),
(87606,240064,9,100,'Only affects targets level 20 and above',0,1),
(87607,240065,1,100,'Decreases STR and INT of target by 49.5',0,0),
(87608,240065,1,100,'Only affects targets level 20 and above',0,1),
(87609,240065,2,100,'Decreases STR and INT of target by 52.2',0,0),
(87610,240065,2,100,'Only affects targets level 20 and above',0,1),
(87611,240065,3,100,'Decreases STR and INT of target by 55.0',0,0),
(87612,240065,3,100,'Only affects targets level 20 and above',0,1),
(87613,240065,4,100,'Decreases STR and INT of target by 60.5',0,0),
(87614,240065,4,100,'Only affects targets level 20 and above',0,1),
(87615,240065,5,100,'Decreases STR and INT of target by 66.0',0,0),
(87616,240065,5,100,'Only affects targets level 20 and above',0,1),
(87617,240065,7,100,'Decreases STR and INT of target by 84.7',0,0),
(87618,240065,7,100,'Only affects targets level 20 and above',0,1),
(87619,240065,9,100,'Decreases STR and INT of target by 88.0',0,0),
(87620,240065,9,100,'Only affects targets level 20 and above',0,1),
(87621,240066,1,100,'Decreases STR and INT of target by 59.4',0,0),
(87622,240066,1,100,'Only affects targets level 20 and above',0,1),
(87623,240066,2,100,'Decreases STR and INT of target by 62.7',0,0),
(87624,240066,2,100,'Only affects targets level 20 and above',0,1),
(87625,240066,3,100,'Decreases STR and INT of target by 66.0',0,0),
(87626,240066,3,100,'Only affects targets level 20 and above',0,1),
(87627,240066,4,100,'Decreases STR and INT of target by 72.6',0,0),
(87628,240066,4,100,'Only affects targets level 20 and above',0,1),
(87629,240066,5,100,'Decreases STR and INT of target by 79.2',0,0),
(87630,240066,5,100,'Only affects targets level 20 and above',0,1),
(87631,240066,7,100,'Decreases STR and INT of target by 101.6',0,0),
(87632,240066,7,100,'Only affects targets level 20 and above',0,1),
(87633,240066,9,100,'Decreases STR and INT of target by 105.6',0,0),
(87634,240066,9,100,'Only affects targets level 20 and above',0,1),
(87635,240067,1,100,'Decreases STR and INT of target by 69.3',0,0),
(87636,240067,1,100,'Only affects targets level 20 and above',0,1),
(87637,240067,4,100,'Decreases STR and INT of target by 84.7',0,0),
(87638,240067,4,100,'Only affects targets level 20 and above',0,1),
(87639,240067,5,100,'Decreases STR and INT of target by 92.4',0,0),
(87640,240067,5,100,'Only affects targets level 20 and above',0,1),
(87641,240067,7,100,'Decreases STR and INT of target by 118.6',0,0),
(87642,240067,7,100,'Only affects targets level 20 and above',0,1),
(87643,240067,9,100,'Decreases STR and INT of target by 123.2',0,0),
(87644,240067,9,100,'Only affects targets level 20 and above',0,1),
(87645,240068,1,100,'Decreases STR and INT of target by 79.2',0,0),
(87646,240068,1,100,'Only affects targets level 20 and above',0,1),
(87647,240068,4,100,'Decreases STR and INT of target by 96.8',0,0),
(87648,240068,4,100,'Only affects targets level 20 and above',0,1),
(87649,240068,5,100,'Decreases STR and INT of target by 105.6',0,0),
(87650,240068,5,100,'Only affects targets level 20 and above',0,1),
(87651,240068,7,100,'Decreases STR and INT of target by 135.5',0,0),
(87652,240068,7,100,'Only affects targets level 20 and above',0,1),
(87653,240068,9,100,'Decreases STR and INT of target by 140.8',0,0),
(87654,240068,9,100,'Only affects targets level 20 and above',0,1),
(87655,2000384,1,100,'Will absorb all damage. ',0,0),
(87656,2000385,1,100,'Will absorb all damage.  This spell will absorb a total of 2 attacks.',0,0),
(87657,120005,1,100,'Increases STA of group members (AE) by 13.8',0,0),
(87658,120005,1,100,'Increases Mitigation of group members (AE) vs physical damage by \r\n549',0,1),
(87659,120005,2,100,'Increases STA of group members (AE) by 14.5',0,0),
(87660,120005,2,100,'Increases Mitigation of group members (AE) vs physical damage by \r\n581',0,1),
(87661,120005,3,100,'Increases STA of group members (AE) by 15.3',0,0),
(87662,120005,3,100,'Increases Mitigation of group members (AE) vs physical damage by \r\n612',0,1),
(87663,120005,4,100,'Increases STA of group members (AE) by 16.8',0,0),
(87664,120005,4,100,'Increases Mitigation of group members (AE) vs physical damage by \r\n673',0,1),
(87665,120005,5,100,'Increases STA of group members (AE) by 18.4',0,0),
(87666,120005,5,100,'Increases Mitigation of group members (AE) vs physical damage by \r\n734',0,1),
(87667,120005,7,100,'Increases STA of group members (AE) by 23.6',0,0),
(87668,120005,7,100,'Increases Mitigation of group members (AE) vs physical damage by \r\n856',0,1),
(87669,120005,9,100,'Increases STA of group members (AE) by 24.5',0,0),
(87670,120005,9,100,'Increases Mitigation of group members (AE) vs physical damage by \r\n979',0,1),
(87671,2000386,1,100,'Applies Dark Overflow.',0,0),
(87672,2000386,1,100,'Inflicts 65 - 97 disease damage on targets in Area of Effect',1,1),
(87673,2000386,1,100,'Removes Dark Incubation from the caster. This can only hit up to 5 targets.',1,2),
(87674,2000386,1,100,'Inflicts 24 - 36 disease damage on target',0,3),
(87675,2000386,1,100,'You must be maintaining Dark Incubation.',0,4),
(87676,2000387,1,100,'Inflicts 1 - 2 disease damage on target',0,0),
(87677,2000387,1,100,'Inflicts 1 disease damage on target every 1.5 seconds',0,1),
(87678,2000387,1,100,'Heals caster for 1.6 - 2.4% of max health',0,2),
(87679,2000387,1,100,'Heals caster for 0.8 - 1.2% of max health every 1.5 seconds',0,3),
(87680,2000387,1,100,'Cannot be modified except by direct means',0,4),
(87681,300051,1,100,'Summon 1 Dark Heart (Apprentice)',0,0),
(87682,300051,2,100,'Summon 1 Dark Heart (Apprentice)',0,0),
(87683,300051,3,100,'Summon 1 Dark Heart (Apprentice)',0,0),
(87684,300051,4,100,'Summon 1 Dark Heart (Journeyman)',0,0),
(87685,300051,5,100,'Summon 1 Dark Heart (Adept)',0,0),
(87686,300051,7,100,'Summon 1 Dark Heart (Expert)',0,0),
(87687,300051,9,100,'Summon 1 Dark Heart (Master)',0,0),
(87688,240069,1,100,'Inflicts 101 - 124 poison damage on target instantly and every 4 seconds',0,0),
(87689,240069,1,100,'When damaged with a spell this spell has a 35% chance to cast Dark Broodlings on target.  Lasts for 6.0 seconds.  ',0,1),
(87690,240069,1,100,'Summons 3 limited pets to aid the caster',1,2),
(87691,240069,1,100,'Grants a total of 1 trigger of the spell.',1,3),
(87692,240069,1,100,'Inflicts 149 - 182 poison damage on target instantly and every 4 seconds',0,4),
(87693,240069,2,100,'Inflicts 107 - 131 poison damage on target instantly and every 4 seconds',0,0),
(87694,240069,2,100,'When damaged with a spell this spell has a 35% chance to cast Dark Broodlings on target.  Lasts for 6.0 seconds.  ',0,1),
(87695,240069,2,100,'Summons 3 limited pets to aid the caster',1,2),
(87696,240069,2,100,'Grants a total of 1 trigger of the spell.',1,3),
(87697,240069,2,100,'Inflicts 158 - 193 poison damage on target instantly and every 4 seconds',0,4),
(87698,240069,3,100,'Inflicts 112 - 137 poison damage on target instantly and every 4 seconds',0,0),
(87699,240069,3,100,'When damaged with a spell this spell has a 35% chance to cast Dark Broodlings on target.  Lasts for 6.0 seconds.  ',0,1),
(87700,240069,3,100,'Summons 3 limited pets to aid the caster',1,2),
(87701,240069,3,100,'Grants a total of 1 trigger of the spell.',1,3),
(87702,240069,3,100,'Inflicts 166 - 203 poison damage on target instantly and every 4 seconds',0,4),
(87703,240069,4,100,'Inflicts 124 - 151 poison damage on target instantly and every 4 seconds',0,0),
(87704,240069,4,100,'When damaged with a spell this spell has a 35% chance to cast Dark Broodlings on target.  Lasts for 6.0 seconds.  ',0,1),
(87705,240069,4,100,'Summons 3 limited pets to aid the caster',1,2),
(87706,240069,4,100,'Grants a total of 1 trigger of the spell.',1,3),
(87707,240069,4,100,'Inflicts 182 - 223 poison damage on target instantly and every 4 seconds',0,4),
(87708,240069,5,100,'Inflicts 135 - 165 poison damage on target instantly and every 4 seconds',0,0),
(87709,240069,5,100,'When damaged with a spell this spell has a 35% chance to cast Dark Broodlings on target.  Lasts for 6.0 seconds.  ',0,1),
(87710,240069,5,100,'Summons 3 limited pets to aid the caster',1,2),
(87711,240069,5,100,'Grants a total of 1 trigger of the spell.',1,3),
(87712,240069,5,100,'Inflicts 199 - 243 poison damage on target instantly and every 4 seconds',0,4),
(87713,240069,7,100,'Inflicts 173 - 212 poison damage on target instantly and every 4 seconds',0,0),
(87714,240069,7,100,'When damaged with a spell this spell has a 35% chance to cast Dark Broodlings on target.  Lasts for 6.0 seconds.  ',0,1),
(87715,240069,7,100,'Summons 3 limited pets to aid the caster',1,2),
(87716,240069,7,100,'Grants a total of 1 trigger of the spell.',1,3),
(87717,240069,9,100,'Inflicts 180 - 220 poison damage on target instantly and every 4 seconds',0,0),
(87718,240069,9,100,'When damaged with a spell this spell has a 35% chance to cast Dark Broodlings on target.  Lasts for 6.0 seconds.  ',0,1),
(87719,240069,9,100,'Summons 3 limited pets to aid the caster',1,2),
(87720,240069,9,100,'Grants a total of 1 trigger of the spell.',1,3),
(87721,240069,9,100,'Inflicts 265 - 324 poison damage on target instantly and every 4 seconds',0,4),
(87722,240070,1,100,'Inflicts 151 - 185 poison damage on target instantly and every 4 seconds',0,0),
(87723,240070,1,100,'When damaged with a spell this spell has a 35% chance to cast Dark Broodlings on target.  Lasts for 6.0 seconds.  ',0,1),
(87724,240070,1,100,'Summons 3 limited pets to aid the caster',1,2),
(87725,240070,1,100,'Grants a total of 1 trigger of the spell.',1,3),
(87726,240070,1,100,'Grants a total of 1 trigger of the spell.',1,4),
(87727,240070,2,100,'Inflicts 160 - 195 poison damage on target instantly and every 4 seconds',0,0),
(87728,240070,2,100,'When damaged with a spell this spell has a 35% chance to cast Dark Broodlings on target.  Lasts for 6.0 seconds.  ',0,1),
(87729,240070,2,100,'Summons 3 limited pets to aid the caster',1,2),
(87730,240070,2,100,'Grants a total of 1 trigger of the spell.',1,3),
(87731,240070,3,100,'Inflicts 168 - 205 poison damage on target instantly and every 4 seconds',0,0),
(87732,240070,3,100,'When damaged with a spell this spell has a 35% chance to cast Dark Broodlings on target.  Lasts for 6.0 seconds.  ',0,1),
(87733,240070,3,100,'Summons 3 limited pets to aid the caster',1,2),
(87734,240070,3,100,'Grants a total of 1 trigger of the spell.',1,3),
(87735,240070,3,100,'Grants a total of 1 trigger of the spell.',1,4),
(87736,240070,4,100,'Inflicts 185 - 226 poison damage on target instantly and every 4 seconds',0,0),
(87737,240070,4,100,'When damaged with a spell this spell has a 35% chance to cast Dark Broodlings on target.  Lasts for 6.0 seconds.  ',0,1),
(87738,240070,4,100,'Summons 3 limited pets to aid the caster',1,2),
(87739,240070,4,100,'Grants a total of 1 trigger of the spell.',1,3),
(87740,240070,4,100,'Grants a total of 1 trigger of the spell.',1,4),
(87741,240070,5,100,'Inflicts 202 - 246 poison damage on target instantly and every 4 seconds',0,0),
(87742,240070,5,100,'When damaged with a spell this spell has a 35% chance to cast Dark Broodlings on target.  Lasts for 6.0 seconds.  ',0,1),
(87743,240070,5,100,'Summons 3 limited pets to aid the caster',1,2),
(87744,240070,5,100,'Grants a total of 1 trigger of the spell.',1,3),
(87745,240070,5,100,'Grants a total of 1 trigger of the spell.',1,4),
(87746,240070,7,100,'Inflicts 259 - 316 poison damage on target instantly and every 4 seconds',0,0),
(87747,240070,7,100,'When damaged with a spell this spell has a 35% chance to cast Dark Broodlings on target.  Lasts for 6.0 seconds.  ',0,1),
(87748,240070,7,100,'Summons 3 limited pets to aid the caster',1,2),
(87749,240070,7,100,'Grants a total of 1 trigger of the spell.',1,3),
(87750,240070,7,100,'Grants a total of 1 trigger of the spell.',1,4),
(87751,240070,9,100,'Inflicts 269 - 329 poison damage on target instantly and every 4 seconds',0,0),
(87752,240070,9,100,'When damaged with a spell this spell has a 35% chance to cast Dark Broodlings on target.  Lasts for 6.0 seconds.  ',0,1),
(87753,240070,9,100,'Summons 3 limited pets to aid the caster',1,2),
(87754,240070,9,100,'Grants a total of 1 trigger of the spell.',1,3),
(87755,240071,1,100,'Inflicts 183 - 224 poison damage on target instantly and every 4 seconds',0,0),
(87756,240071,1,100,'When damaged with a spell this spell has a 35% chance to cast Dark Broodlings on target.  Lasts for 6.0 seconds.  ',0,1),
(87757,240071,1,100,'Summons 3 limited pets to aid the caster',1,2),
(87758,240071,1,100,'Grants a total of 1 trigger of the spell.',1,3),
(87759,240071,1,100,'Grants a total of 1 trigger of the spell.',1,4),
(87760,240071,4,100,'Inflicts 224 - 273 poison damage on target instantly and every 4 seconds',0,0),
(87761,240071,4,100,'When damaged with a spell this spell has a 35% chance to cast Dark Broodlings on target.  Lasts for 6.0 seconds.  ',0,1),
(87762,240071,4,100,'Summons 3 limited pets to aid the caster',1,2),
(87763,240071,4,100,'Grants a total of 1 trigger of the spell.',1,3),
(87764,240071,4,100,'Grants a total of 1 trigger of the spell.',1,4),
(87765,240071,5,100,'Inflicts 244 - 298 poison damage on target instantly and every 4 seconds',0,0),
(87766,240071,5,100,'When damaged with a spell this spell has a 35% chance to cast Dark Broodlings on target.  Lasts for 6.0 seconds.  ',0,1),
(87767,240071,5,100,'Summons 3 limited pets to aid the caster',1,2),
(87768,240071,5,100,'Grants a total of 1 trigger of the spell.',1,3),
(87769,240071,5,100,'Inflicts 361 - 441 poison damage on target instantly and every 4 seconds',0,4),
(87770,240071,7,100,'Inflicts 313 - 383 poison damage on target instantly and every 4 seconds',0,0),
(87771,240071,7,100,'When damaged with a spell this spell has a 35% chance to cast Dark Broodlings on target.  Lasts for 6.0 seconds.  ',0,1),
(87772,240071,7,100,'Summons 3 limited pets to aid the caster',1,2),
(87773,240071,7,100,'Grants a total of 1 trigger of the spell.',1,3),
(87774,240071,7,100,'Grants a total of 1 trigger of the spell.',1,4),
(87775,240071,9,100,'Inflicts 325 - 398 poison damage on target instantly and every 4 seconds',0,0),
(87776,240071,9,100,'When damaged with a spell this spell has a 35% chance to cast Dark Broodlings on target.  Lasts for 6.0 seconds.  ',0,1),
(87777,240071,9,100,'Summons 3 limited pets to aid the caster',1,2),
(87778,240071,9,100,'Grants a total of 1 trigger of the spell.',1,3),
(87779,240071,9,100,'Grants a total of 1 trigger of the spell.',1,4),
(87780,240072,1,100,'Inflicts 214 - 262 poison damage on target instantly and every 4 seconds',0,0),
(87781,240072,1,100,'When damaged with a spell this spell has a 35% chance to cast Dark Broodlings on target.  Lasts for 6.0 seconds.  ',0,1),
(87782,240072,1,100,'Summons 3 limited pets to aid the caster',1,2),
(87783,240072,1,100,'Grants a total of 1 trigger of the spell.',1,3),
(87784,240072,1,100,'Inflicts 317 - 387 poison damage on target instantly and every 4 seconds',0,4),
(87785,240072,4,100,'Inflicts 262 - 320 poison damage on target instantly and every 4 seconds',0,0),
(87786,240072,4,100,'When damaged with a spell this spell has a 35% chance to cast Dark Broodlings on target.  Lasts for 6.0 seconds.  ',0,1),
(87787,240072,4,100,'Summons 3 limited pets to aid the caster',1,2),
(87788,240072,4,100,'Grants a total of 1 trigger of the spell.',1,3),
(87789,240072,4,100,'Inflicts 387 - 473 poison damage on target instantly and every 4 seconds',0,4),
(87790,240072,5,100,'Inflicts 286 - 349 poison damage on target instantly and every 4 seconds',0,0),
(87791,240072,5,100,'When damaged with a spell this spell has a 35% chance to cast Dark Broodlings on target.  Lasts for 6.0 seconds.  ',0,1),
(87792,240072,5,100,'Summons 3 limited pets to aid the caster',1,2),
(87793,240072,5,100,'Grants a total of 1 trigger of the spell.',1,3),
(87794,240072,5,100,'Inflicts 422 - 516 poison damage on target instantly and every 4 seconds',0,4),
(87795,240072,7,100,'Inflicts 366 - 448 poison damage on target instantly and every 4 seconds',0,0),
(87796,240072,7,100,'When damaged with a spell this spell has a 35% chance to cast Dark Broodlings on target.  Lasts for 6.0 seconds.  ',0,1),
(87797,240072,7,100,'Summons 3 limited pets to aid the caster',1,2),
(87798,240072,7,100,'Grants a total of 1 trigger of the spell.',1,3),
(87799,240072,7,100,'Inflicts 493 - 602 poison damage on target instantly and every 4 seconds',0,4),
(87800,240072,9,100,'Inflicts 381 - 465 poison damage on target instantly and every 4 seconds',0,0),
(87801,240072,9,100,'When damaged with a spell this spell has a 35% chance to cast Dark Broodlings on target.  Lasts for 6.0 seconds.  ',0,1),
(87802,240072,9,100,'Summons 3 limited pets to aid the caster',1,2),
(87803,240072,9,100,'Grants a total of 1 trigger of the spell.',1,3),
(87804,240072,9,100,'Inflicts 563 - 688 poison damage on target instantly and every 4 seconds',0,4),
(87805,240073,1,100,'Inflicts 31 - 58 poison damage on target encounter',0,0),
(87806,240073,1,100,'Stuns target encounter',0,1),
(87807,240073,1,100,'If Target is not Epic',1,2),
(87808,240073,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(87809,240073,2,100,'Inflicts 33 - 62 poison damage on target encounter',0,0),
(87810,240073,2,100,'Stuns target encounter',0,1),
(87811,240073,2,100,'If Target is not Epic',1,2),
(87812,240073,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(87813,240073,3,100,'Inflicts 35 - 65 poison damage on target encounter',0,0),
(87814,240073,3,100,'Stuns target encounter',0,1),
(87815,240073,3,100,'If Target is not Epic',1,2),
(87816,240073,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(87817,240073,4,100,'Inflicts 38 - 71 poison damage on target encounter',0,0),
(87818,240073,4,100,'Stuns target encounter',0,1),
(87819,240073,4,100,'If Target is not Epic',1,2),
(87820,240073,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(87821,240073,5,100,'Inflicts 42 - 78 poison damage on target encounter',0,0),
(87822,240073,5,100,'Stuns target encounter',0,1),
(87823,240073,5,100,'If Target is not Epic',1,2),
(87824,240073,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(87825,240073,7,100,'Stuns target encounter',0,1),
(87826,240073,7,100,'If Target is not Epic',1,2),
(87827,240073,7,100,'Inflicts 54 - 100 poison damage on target encounter',0,0),
(87828,240073,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(87829,240073,9,100,'Inflicts 56 - 104 poison damage on target encounter',0,0),
(87830,240073,9,100,'Stuns target encounter',0,1),
(87831,240073,9,100,'If Target is not Epic',1,2),
(87832,240073,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(87833,240074,1,100,'Inflicts 85 - 159 poison damage on target encounter',0,0),
(87834,240074,1,100,'Stuns target encounter',0,1),
(87835,240074,1,100,'If Target is not Epic',1,2),
(87836,240074,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(87837,240074,2,100,'Inflicts 90 - 167 poison damage on target encounter',0,0),
(87838,240074,2,100,'Stuns target encounter',0,1),
(87839,240074,2,100,'If Target is not Epic',1,2),
(87840,240074,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(87841,240074,3,100,'Inflicts 95 - 176 poison damage on target encounter',0,0),
(87842,240074,3,100,'Stuns target encounter',0,1),
(87843,240074,3,100,'If Target is not Epic',1,2),
(87844,240074,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(87845,240074,4,100,'Inflicts 104 - 194 poison damage on target encounter',0,0),
(87846,240074,4,100,'Stuns target encounter',0,1),
(87847,240074,4,100,'If Target is not Epic',1,2),
(87848,240074,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(87849,240074,5,100,'Inflicts 114 - 211 poison damage on target encounter',0,0),
(87850,240074,5,100,'Stuns target encounter',0,1),
(87851,240074,5,100,'If Target is not Epic',1,2),
(87852,240074,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(87853,240074,7,100,'Inflicts 146 - 271 poison damage on target encounter',0,0),
(87854,240074,7,100,'Stuns target encounter',0,1),
(87855,240074,7,100,'If Target is not Epic',1,2),
(87856,240074,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(87857,240074,9,100,'Inflicts 152 - 282 poison damage on target encounter',0,0),
(87858,240074,9,100,'Stuns target encounter',0,1),
(87859,240074,9,100,'If Target is not Epic',1,2),
(87860,240074,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(87861,240075,1,100,'Inflicts 148 - 276 poison damage on target encounter',0,0),
(87862,240075,1,100,'Stuns target encounter',0,1),
(87863,240075,1,100,'If Target is not Epic',1,2),
(87864,240075,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(87865,240075,2,100,'Inflicts 157 - 291 poison damage on target encounter',0,0),
(87866,240075,2,100,'Stuns target encounter',0,1),
(87867,240075,2,100,'If Target is not Epic',1,2),
(87868,240075,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(87869,240075,3,100,'Inflicts 165 - 306 poison damage on target encounter',0,0),
(87870,240075,3,100,'Stuns target encounter',0,1),
(87871,240075,3,100,'If Target is not Epic',1,2),
(87872,240075,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(87873,240075,4,100,'Inflicts 181 - 337 poison damage on target encounter',0,0),
(87874,240075,4,100,'Stuns target encounter',0,1),
(87875,240075,4,100,'If Target is not Epic',1,2),
(87876,240075,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(87877,240075,5,100,'Inflicts 198 - 367 poison damage on target encounter',0,0),
(87878,240075,5,100,'Stuns target encounter',0,1),
(87879,240075,5,100,'If Target is not Epic',1,2),
(87880,240075,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(87881,240075,7,100,'Inflicts 254 - 471 poison damage on target encounter',0,0),
(87882,240075,7,100,'Stuns target encounter',0,1),
(87883,240075,7,100,'If Target is not Epic',1,2),
(87884,240075,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(87885,240075,9,100,'Inflicts 264 - 490 poison damage on target encounter',0,0),
(87886,240075,9,100,'Stuns target encounter',0,1),
(87887,240075,9,100,'If Target is not Epic',1,2),
(87888,240075,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(87889,240076,1,100,'Inflicts 223 - 413 poison damage on target encounter',0,0),
(87890,240076,1,100,'Stuns target encounter',0,1),
(87891,240076,1,100,'If Target is not Epic',1,2),
(87892,240076,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(87893,240076,2,100,'Inflicts 235 - 436 poison damage on target encounter',0,0),
(87894,240076,2,100,'Stuns target encounter',0,1),
(87895,240076,2,100,'If Target is not Epic',1,2),
(87896,240076,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(87897,240076,3,100,'Inflicts 247 - 459 poison damage on target encounter',0,0),
(87898,240076,3,100,'Stuns target encounter',0,1),
(87899,240076,3,100,'If Target is not Epic',1,2),
(87900,240076,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(87901,240076,4,100,'Inflicts 272 - 505 poison damage on target encounter',0,0),
(87902,240076,4,100,'Stuns target encounter',0,1),
(87903,240076,4,100,'If Target is not Epic',1,2),
(87904,240076,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(87905,240076,5,100,'Inflicts 297 - 551 poison damage on target encounter',0,0),
(87906,240076,5,100,'Stuns target encounter',0,1),
(87907,240076,5,100,'If Target is not Epic',1,2),
(87908,240076,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(87909,240076,7,100,'Inflicts 381 - 707 poison damage on target encounter',0,0),
(87910,240076,7,100,'Stuns target encounter',0,1),
(87911,240076,7,100,'If Target is not Epic',1,2),
(87912,240076,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(87913,240076,9,100,'Inflicts 396 - 735 poison damage on target encounter',0,0),
(87914,240076,9,100,'Stuns target encounter',0,1),
(87915,240076,9,100,'If Target is not Epic',1,2),
(87916,240076,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(87917,240076,10,100,'Inflicts 416 - 772 poison damage on target encounter',0,0),
(87918,240076,10,100,'Stuns target encounter',0,1),
(87919,240076,10,100,'If Target is not Epic',1,2),
(87920,240076,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(87921,240077,1,100,'Inflicts 301 - 560 poison damage on target encounter',0,0),
(87922,240077,1,100,'Stuns target encounter',0,1),
(87923,240077,1,100,'If Target is not Epic',1,2),
(87924,240077,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(87925,240077,2,100,'Inflicts 318 - 591 poison damage on target encounter',0,0),
(87926,240077,2,100,'Stuns target encounter',0,1),
(87927,240077,2,100,'If Target is not Epic',1,2),
(87928,240077,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(87929,240077,3,100,'Inflicts 335 - 622 poison damage on target encounter',0,0),
(87930,240077,3,100,'Stuns target encounter',0,1),
(87931,240077,3,100,'If Target is not Epic',1,2),
(87932,240077,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(87933,240077,4,100,'Inflicts 368 - 684 poison damage on target encounter',0,0),
(87934,240077,4,100,'Stuns target encounter',0,1),
(87935,240077,4,100,'If Target is not Epic',1,2),
(87936,240077,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(87937,240077,5,100,'Inflicts 402 - 746 poison damage on target encounter',0,0),
(87938,240077,5,100,'Stuns target encounter',0,1),
(87939,240077,5,100,'If Target is not Epic',1,2),
(87940,240077,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(87941,240077,7,100,'Inflicts 516 - 957 poison damage on target encounter',0,0),
(87942,240077,7,100,'Stuns target encounter',0,1),
(87943,240077,7,100,'If Target is not Epic',1,2),
(87944,240077,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(87945,240077,9,100,'Inflicts 536 - 995 poison damage on target encounter',0,0),
(87946,240077,9,100,'Stuns target encounter',0,1),
(87947,240077,9,100,'If Target is not Epic',1,2),
(87948,240077,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(87949,240078,1,100,'Inflicts 378 - 702 poison damage on target encounter',0,0),
(87950,240078,1,100,'Stuns target encounter',0,1),
(87951,240078,1,100,'If Target is not Epic',1,2),
(87952,240078,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(87953,240078,2,100,'Inflicts 399 - 741 poison damage on target encounter',0,0),
(87954,240078,2,100,'Stuns target encounter',0,1),
(87955,240078,2,100,'If Target is not Epic',1,2),
(87956,240078,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(87957,240078,3,100,'Inflicts 420 - 779 poison damage on target encounter',0,0),
(87958,240078,3,100,'Stuns target encounter',0,1),
(87959,240078,3,100,'If Target is not Epic',1,2),
(87960,240078,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(87961,240078,4,100,'Inflicts 462 - 857 poison damage on target encounter',0,0),
(87962,240078,4,100,'Stuns target encounter',0,1),
(87963,240078,4,100,'If Target is not Epic',1,2),
(87964,240078,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(87965,240078,5,100,'Inflicts 504 - 935 poison damage on target encounter',0,0),
(87966,240078,5,100,'Stuns target encounter',0,1),
(87967,240078,5,100,'If Target is not Epic',1,2),
(87968,240078,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(87969,240078,7,100,'Inflicts 646 - 1200 poison damage on target encounter',0,0),
(87970,240078,7,100,'Stuns target encounter',0,1),
(87971,240078,7,100,'If Target is not Epic',1,2),
(87972,240078,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(87973,240078,9,100,'Inflicts 672 - 1247 poison damage on target encounter',0,0),
(87974,240078,9,100,'Stuns target encounter',0,1),
(87975,240078,9,100,'If Target is not Epic',1,2),
(87976,240078,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(87977,240079,1,100,'Inflicts 456 - 846 poison damage on target encounter',0,0),
(87978,240079,1,100,'Stuns target encounter',0,1),
(87979,240079,1,100,'If Target is not Epic',1,2),
(87980,240079,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(87981,240079,4,100,'Inflicts 557 - 1034 poison damage on target encounter',0,0),
(87982,240079,4,100,'Stuns target encounter',0,1),
(87983,240079,4,100,'If Target is not Epic',1,2),
(87984,240079,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(87985,240079,5,100,'Inflicts 608 - 1128 poison damage on target encounter',0,0),
(87986,240079,5,100,'Stuns target encounter',0,1),
(87987,240079,5,100,'If Target is not Epic',1,2),
(87988,240079,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(87989,240079,7,100,'Inflicts 780 - 1448 poison damage on target encounter',0,0),
(87990,240079,7,100,'Stuns target encounter',0,1),
(87991,240079,7,100,'If Target is not Epic',1,2),
(87992,240079,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(87993,240079,9,100,'Inflicts 810 - 1505 poison damage on target encounter',0,0),
(87994,240079,9,100,'Stuns target encounter',0,1),
(87995,240079,9,100,'If Target is not Epic',1,2),
(87996,240079,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(87997,240080,1,100,'Inflicts 507 - 941 poison damage on target encounter',0,0),
(87998,240080,1,100,'Stuns target encounter',0,1),
(87999,240080,1,100,'If Target is not Epic',1,2),
(88000,240080,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(88001,240080,4,100,'Inflicts 619 - 1150 poison damage on target encounter',0,0),
(88002,240080,4,100,'Stuns target encounter',0,1),
(88003,240080,4,100,'If Target is not Epic',1,2),
(88004,240080,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(88005,240080,5,100,'Inflicts 675 - 1254 poison damage on target encounter',0,0),
(88006,240080,5,100,'Stuns target encounter',0,1),
(88007,240080,5,100,'If Target is not Epic',1,2),
(88008,240080,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(88009,240080,7,100,'Inflicts 867 - 1610 poison damage on target encounter',0,0),
(88010,240080,7,100,'Stuns target encounter',0,1),
(88011,240080,7,100,'If Target is not Epic',1,2),
(88012,240080,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(88013,240080,9,100,'Inflicts 901 - 1673 poison damage on target encounter',0,0),
(88014,240080,9,100,'Stuns target encounter',0,1),
(88015,240080,9,100,'If Target is not Epic',1,2),
(88016,240080,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(88017,240081,1,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 3.2',0,0),
(88018,240081,2,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 3.4',0,0),
(88019,240081,3,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 3.6',0,0),
(88020,240081,4,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 4.0',0,0),
(88021,240081,5,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 4.3',0,0),
(88022,240081,7,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 5.5',0,0),
(88023,240081,9,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 5.8',0,0),
(88024,240082,1,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 7.0',0,0),
(88025,240082,2,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 7.4',0,0),
(88026,240082,3,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 7.8',0,0),
(88027,240082,4,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 8.6',0,0),
(88028,240082,5,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 9.4',0,0),
(88029,240082,7,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 12.0',0,0),
(88030,240082,9,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 12.5',0,0),
(88031,240083,1,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 10.8',0,0),
(88032,240083,2,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 11.4',0,0),
(88033,240083,3,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 12.0',0,0),
(88034,240083,4,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 13.2',0,0),
(88035,240083,5,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 14.4',0,0),
(88036,240083,7,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 18.5',0,0),
(88037,240083,9,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 19.2',0,0),
(88038,240083,10,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 20.2',0,0),
(88039,240084,1,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 14.6',0,0),
(88040,240084,2,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 15.4',0,0),
(88041,240084,3,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 16.2',0,0),
(88042,240084,4,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 17.8',0,0),
(88043,240084,5,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 19.4',0,0),
(88044,240084,7,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 24.9',0,0),
(88045,240084,9,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 25.9',0,0),
(88046,240084,10,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 27.2',0,0),
(88047,240085,1,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 18.4',0,0),
(88048,240085,2,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 19.4',0,0),
(88049,240085,3,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 20.4',0,0),
(88050,240085,4,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 22.4',0,0),
(88051,240085,5,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 24.5',0,0),
(88052,240085,7,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 31.4',0,0),
(88053,240085,9,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 32.6',0,0),
(88054,240086,1,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 21.3',0,0),
(88055,240086,2,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 22.5',0,0),
(88056,240086,3,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 23.7',0,0),
(88057,240086,4,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 26.1',0,0),
(88058,240086,5,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 28.4',0,0),
(88059,240086,7,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 36.5',0,0),
(88060,240086,9,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 37.9',0,0),
(88061,240087,1,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 24.0',0,0),
(88062,240087,4,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 29.4',0,0),
(88063,240087,5,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 32.0',0,0),
(88064,240087,7,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 41.1',0,0),
(88065,240087,9,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 42.7',0,0),
(88066,240088,1,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 26.7',0,0),
(88067,240088,4,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 32.7',0,0),
(88068,240088,5,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 35.6',0,0),
(88069,240088,7,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 45.7',0,0),
(88070,240088,9,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 47.5',0,0),
(88071,240089,1,100,'Inflicts 15 - 27 disease damage on target',0,0),
(88072,240089,1,100,'Inflicts 9 - 16 disease damage on target every 2 seconds',0,1),
(88073,240089,2,100,'Inflicts 16 - 29 disease damage on target',0,0),
(88074,240089,2,100,'Inflicts 9 - 17 disease damage on target every 2 seconds',0,1),
(88075,240089,3,100,'Inflicts 16 - 30 disease damage on target',0,0),
(88076,240089,3,100,'Inflicts 10 - 18 disease damage on target every 2 seconds',0,1),
(88077,240089,4,100,'Inflicts 18 - 33 disease damage on target',0,0),
(88078,240089,4,100,'Inflicts 11 - 20 disease damage on target every 2 seconds',0,1),
(88079,240089,5,100,'Inflicts 20 - 37 disease damage on target',0,0),
(88080,240089,5,100,'Inflicts 12 - 22 disease damage on target every 2 seconds',0,1),
(88081,240089,7,100,'Inflicts 25 - 47 disease damage on target',0,0),
(88082,240089,7,100,'Inflicts 15 - 28 disease damage on target every 2 seconds',0,1),
(88083,240089,9,100,'Inflicts 26 - 49 disease damage on target',0,0),
(88084,240089,9,100,'Inflicts 16 - 29 disease damage on target every 2 seconds',0,1),
(88085,240089,10,100,'Inflicts 28 - 51 disease damage on target',0,0),
(88086,240089,10,100,'Inflicts 17 - 31 disease damage on target every 2 seconds',0,1),
(88087,240090,1,100,'Inflicts 36 - 66 disease damage on target',0,0),
(88088,240090,1,100,'Inflicts 21 - 40 disease damage on target every 2 seconds',0,1),
(88089,240090,2,100,'Inflicts 38 - 70 disease damage on target',0,0),
(88090,240090,2,100,'Inflicts 23 - 42 disease damage on target every 2 seconds',0,1),
(88091,240090,3,100,'Inflicts 40 - 74 disease damage on target',0,0),
(88092,240090,3,100,'Inflicts 24 - 44 disease damage on target every 2 seconds',0,1),
(88093,240090,4,100,'Inflicts 44 - 81 disease damage on target',0,0),
(88094,240090,4,100,'Inflicts 26 - 49 disease damage on target every 2 seconds',0,1),
(88095,240090,5,100,'Inflicts 48 - 89 disease damage on target',0,0),
(88096,240090,5,100,'Inflicts 29 - 53 disease damage on target every 2 seconds',0,1),
(88097,240090,7,100,'Inflicts 61 - 114 disease damage on target',0,0),
(88098,240090,7,100,'Inflicts 37 - 68 disease damage on target every 2 seconds',0,1),
(88099,240090,9,100,'Inflicts 64 - 118 disease damage on target',0,0),
(88100,240090,9,100,'Inflicts 38 - 71 disease damage on target every 2 seconds',0,1),
(88101,240090,10,100,'Inflicts 67 - 124 disease damage on target',0,0),
(88102,240090,10,100,'Inflicts 40 - 74 disease damage on target every 2 seconds',0,1),
(88103,240091,1,100,'Inflicts 60 - 111 disease damage on target',0,0),
(88104,240091,1,100,'Inflicts 36 - 66 disease damage on target every 2 seconds',0,1),
(88105,240091,2,100,'Inflicts 63 - 117 disease damage on target',0,0),
(88106,240091,2,100,'Inflicts 38 - 70 disease damage on target every 2 seconds',0,1),
(88107,240091,3,100,'Inflicts 66 - 123 disease damage on target',0,0),
(88108,240091,3,100,'Inflicts 40 - 74 disease damage on target every 2 seconds',0,1),
(88109,240091,4,100,'Inflicts 73 - 135 disease damage on target',0,0),
(88110,240091,4,100,'Inflicts 44 - 81 disease damage on target every 2 seconds',0,1),
(88111,240091,5,100,'Inflicts 79 - 148 disease damage on target',0,0),
(88112,240091,5,100,'Inflicts 48 - 89 disease damage on target every 2 seconds',0,1),
(88113,240091,7,100,'Inflicts 102 - 189 disease damage on target',0,0),
(88114,240091,7,100,'Inflicts 61 - 114 disease damage on target every 2 seconds',0,1),
(88115,240091,9,100,'Inflicts 106 - 197 disease damage on target',0,0),
(88116,240091,9,100,'Inflicts 64 - 118 disease damage on target every 2 seconds',0,1),
(88117,240092,1,100,'Inflicts 89 - 165 disease damage on target',0,0),
(88118,240092,1,100,'Inflicts 53 - 99 disease damage on target every 2 seconds',0,1),
(88119,240092,2,100,'Inflicts 93 - 174 disease damage on target',0,0),
(88120,240092,2,100,'Inflicts 56 - 104 disease damage on target every 2 seconds',0,1),
(88121,240092,3,100,'Inflicts 98 - 183 disease damage on target',0,0),
(88122,240092,3,100,'Inflicts 59 - 110 disease damage on target every 2 seconds',0,1),
(88123,240092,4,100,'Inflicts 108 - 201 disease damage on target',0,0),
(88124,240092,4,100,'Inflicts 65 - 121 disease damage on target every 2 seconds',0,1),
(88125,240092,5,100,'Inflicts 118 - 219 disease damage on target',0,0),
(88126,240092,5,100,'Inflicts 71 - 132 disease damage on target every 2 seconds',0,1),
(88127,240092,7,100,'Inflicts 152 - 281 disease damage on target',0,0),
(88128,240092,7,100,'Inflicts 91 - 169 disease damage on target every 2 seconds',0,1),
(88129,240092,9,100,'Inflicts 157 - 292 disease damage on target',0,0),
(88130,240092,9,100,'Inflicts 94 - 175 disease damage on target every 2 seconds',0,1),
(88131,240093,1,100,'Inflicts 118 - 220 disease damage on target',0,0),
(88132,240093,1,100,'Inflicts 71 - 132 disease damage on target every 2 seconds',0,1),
(88133,240093,2,100,'Inflicts 125 - 232 disease damage on target',0,0),
(88134,240093,2,100,'Inflicts 75 - 139 disease damage on target every 2 seconds',0,1),
(88135,240093,3,100,'Inflicts 132 - 244 disease damage on target',0,0),
(88136,240093,3,100,'Inflicts 79 - 147 disease damage on target every 2 seconds',0,1),
(88137,240093,4,100,'Inflicts 145 - 269 disease damage on target',0,0),
(88138,240093,4,100,'Inflicts 87 - 161 disease damage on target every 2 seconds',0,1),
(88139,240093,5,100,'Inflicts 158 - 293 disease damage on target',0,0),
(88140,240093,5,100,'Inflicts 95 - 176 disease damage on target every 2 seconds',0,1),
(88141,240093,7,100,'Inflicts 203 - 376 disease damage on target',0,0),
(88142,240093,7,100,'Inflicts 122 - 226 disease damage on target every 2 seconds',0,1),
(88143,240093,9,100,'Inflicts 210 - 391 disease damage on target',0,0),
(88144,240093,9,100,'Inflicts 126 - 235 disease damage on target every 2 seconds',0,1),
(88145,240094,1,100,'Inflicts 146 - 271 disease damage on target',0,0),
(88146,240094,1,100,'Inflicts 87 - 162 disease damage on target every 2 seconds',0,1),
(88147,240094,2,100,'Inflicts 154 - 286 disease damage on target',0,0),
(88148,240094,2,100,'Inflicts 92 - 171 disease damage on target every 2 seconds',0,1),
(88149,240094,3,100,'Inflicts 162 - 301 disease damage on target',0,0),
(88150,240094,3,100,'Inflicts 97 - 180 disease damage on target every 2 seconds',0,1),
(88151,240094,4,100,'Inflicts 178 - 331 disease damage on target',0,0),
(88152,240094,4,100,'Inflicts 107 - 199 disease damage on target every 2 seconds',0,1),
(88153,240094,5,100,'Inflicts 194 - 361 disease damage on target',0,0),
(88154,240094,5,100,'Inflicts 117 - 217 disease damage on target every 2 seconds',0,1),
(88155,240094,7,100,'Inflicts 249 - 463 disease damage on target',0,0),
(88156,240094,7,100,'Inflicts 150 - 278 disease damage on target every 2 seconds',0,1),
(88157,240094,9,100,'Inflicts 259 - 481 disease damage on target',0,0),
(88158,240094,9,100,'Inflicts 156 - 289 disease damage on target every 2 seconds',0,1),
(88159,240095,1,100,'Inflicts 176 - 326 disease damage on target',0,0),
(88160,240095,1,100,'Inflicts 105 - 196 disease damage on target every 2 seconds',0,1),
(88161,240095,4,100,'Inflicts 215 - 399 disease damage on target',0,0),
(88162,240095,4,100,'Inflicts 129 - 239 disease damage on target every 2 seconds',0,1),
(88163,240095,5,100,'Inflicts 234 - 435 disease damage on target',0,0),
(88164,240095,5,100,'Inflicts 141 - 261 disease damage on target every 2 seconds',0,1),
(88165,240095,7,100,'Inflicts 301 - 558 disease damage on target',0,0),
(88166,240095,7,100,'Inflicts 180 - 335 disease damage on target every 2 seconds',0,1),
(88167,240095,9,100,'Inflicts 312 - 580 disease damage on target',0,0),
(88168,240095,9,100,'Inflicts 187 - 348 disease damage on target every 2 seconds',0,1),
(88169,240096,1,100,'Inflicts 193 - 358 disease damage on target',0,0),
(88170,240096,1,100,'Inflicts 116 - 215 disease damage on target every 2 seconds',0,1),
(88171,240096,4,100,'Inflicts 236 - 438 disease damage on target',0,0),
(88172,240096,4,100,'Inflicts 142 - 263 disease damage on target every 2 seconds',0,1),
(88173,240096,5,100,'Inflicts 257 - 478 disease damage on target',0,0),
(88174,240096,5,100,'Inflicts 154 - 287 disease damage on target every 2 seconds',0,1),
(88175,240096,7,100,'Inflicts 330 - 613 disease damage on target',0,0),
(88176,240096,7,100,'Inflicts 198 - 368 disease damage on target every 2 seconds',0,1),
(88177,240096,9,100,'Inflicts 343 - 637 disease damage on target',0,0),
(88178,240096,9,100,'Inflicts 206 - 382 disease damage on target every 2 seconds',0,1),
(88179,2000388,1,100,'Increases STR of group members (AE) by 4.5',0,0),
(88180,2000388,1,100,'Increases Mitigation of group members (AE) vs arcane damage by 0',0,1),
(88181,240097,1,100,'Decreases power of target encounter by 10 - 12 instantly and every 3 seconds',0,0),
(88182,240097,1,100,'Inflicts 24 - 44 poison damage on target encounter instantly and every 3 seconds',0,1),
(88183,240097,1,100,'Heals group members (AE) for 12 - 22 instantly and every 3 seconds',0,2),
(88184,240097,1,100,'Increases power of group members (AE) by 1.3% instantly and every 3 seconds',0,3),
(88185,240097,2,100,'Decreases power of target encounter by 11 - 13 instantly and every 3 seconds',0,0),
(88186,240097,2,100,'Inflicts 25 - 47 poison damage on target encounter instantly and every 3 seconds',0,1),
(88187,240097,2,100,'Heals group members (AE) for 12 - 23 instantly and every 3 seconds',0,2),
(88188,240097,2,100,'Increases power of group members (AE) by 1.3% instantly and every 3 seconds',0,3),
(88189,240097,3,100,'Decreases power of target encounter by 11 - 14 instantly and every 3 seconds',0,0),
(88190,240097,3,100,'Inflicts 26 - 49 poison damage on target encounter instantly and every 3 seconds',0,1),
(88191,240097,3,100,'Increases power of group members (AE) by 1.4% instantly and every 3 seconds',0,2),
(88192,240097,3,100,'This effect cannot be critically applied.',1,3),
(88193,240097,4,100,'Decreases power of target encounter by 12 - 15 instantly and every 3 seconds',0,0),
(88194,240097,4,100,'Inflicts 29 - 54 poison damage on target encounter instantly and every 3 seconds',0,1),
(88195,240097,4,100,'Heals group members (AE) for 14 - 27 instantly and every 3 seconds',0,2),
(88196,240097,4,100,'Increases power of group members (AE) by 1.5% instantly and every 3 seconds',0,3),
(88197,240097,5,100,'Decreases power of target encounter by 13 - 16 instantly and every 3 seconds',0,0),
(88198,240097,5,100,'Inflicts 32 - 59 poison damage on target encounter instantly and every 3 seconds',0,1),
(88199,240097,5,100,'Heals group members (AE) for 16 - 29 instantly and every 3 seconds',0,2),
(88200,240097,5,100,'Increases power of group members (AE) by 1.7% instantly and every 3 seconds',0,3),
(88201,240097,7,100,'Decreases power of target encounter by 17 - 21 instantly and every 3 seconds',0,0),
(88202,240097,7,100,'Inflicts 41 - 76 poison damage on target encounter instantly and every 3 seconds',0,1),
(88203,240097,7,100,'Heals group members (AE) for 20 - 37 instantly and every 3 seconds',0,2),
(88204,240097,7,100,'Increases power of group members (AE) by 2.2% instantly and every 3 seconds',0,3),
(88205,240097,9,100,'Decreases power of target encounter by 18 - 22 instantly and every 3 seconds',0,0),
(88206,240097,9,100,'Inflicts 42 - 79 poison damage on target encounter instantly and every 3 seconds',0,1),
(88207,240097,9,100,'Heals group members (AE) for 21 - 39 instantly and every 3 seconds',0,2),
(88208,240097,9,100,'Increases power of group members (AE) by 2.2% instantly and every 3 seconds',0,3),
(88209,240098,1,100,'Decreases power of target encounter by 17 - 21 instantly and every 3 seconds',0,0),
(88210,240098,1,100,'Inflicts 40 - 74 poison damage on target encounter instantly and every 3 seconds',0,1),
(88211,240098,1,100,'Heals group members (AE) for 20 - 37 instantly and every 3 seconds',0,2),
(88212,240098,1,100,'Increases power of group members (AE) by 1.3% instantly and every 3 seconds',0,3),
(88213,240098,2,100,'Decreases power of target encounter by 18 - 22 instantly and every 3 seconds',0,0),
(88214,240098,2,100,'Inflicts 42 - 78 poison damage on target encounter instantly and every 3 seconds',0,1),
(88215,240098,2,100,'Heals group members (AE) for 21 - 39 instantly and every 3 seconds',0,2),
(88216,240098,2,100,'Increases power of group members (AE) by 1.3% instantly and every 3 seconds',0,3),
(88217,240098,3,100,'Decreases power of target encounter by 19 - 23 instantly and every 3 seconds',0,0),
(88218,240098,3,100,'Inflicts 44 - 82 poison damage on target encounter instantly and every 3 seconds',0,1),
(88219,240098,3,100,'Heals group members (AE) for 22 - 41 instantly and every 3 seconds',0,2),
(88220,240098,3,100,'Increases power of group members (AE) by 1.4% instantly and every 3 seconds',0,3),
(88221,240098,4,100,'Decreases power of target encounter by 21 - 25 instantly and every 3 seconds',0,0),
(88222,240098,4,100,'Inflicts 49 - 90 poison damage on target encounter instantly and every 3 seconds',0,1),
(88223,240098,4,100,'Heals group members (AE) for 24 - 45 instantly and every 3 seconds',0,2),
(88224,240098,4,100,'Increases power of group members (AE) by 1.5% instantly and every 3 seconds',0,3),
(88225,240098,5,100,'Decreases power of target encounter by 22 - 27 instantly and every 3 seconds',0,0),
(88226,240098,5,100,'Inflicts 53 - 98 poison damage on target encounter instantly and every 3 seconds',0,1),
(88227,240098,5,100,'Heals group members (AE) for 26 - 49 instantly and every 3 seconds',0,2),
(88228,240098,5,100,'Increases power of group members (AE) by 1.7% instantly and every 3 seconds',0,3),
(88229,240098,7,100,'Decreases power of target encounter by 29 - 35 instantly and every 3 seconds',0,0),
(88230,240098,7,100,'Inflicts 68 - 126 poison damage on target encounter instantly and every 3 seconds',0,1),
(88231,240098,7,100,'Heals group members (AE) for 34 - 62 instantly and every 3 seconds',0,2),
(88232,240098,7,100,'Increases power of group members (AE) by 2.2% instantly and every 3 seconds',0,3),
(88233,240098,9,100,'Decreases power of target encounter by 30 - 37 instantly and every 3 seconds',0,0),
(88234,240098,9,100,'Inflicts 71 - 131 poison damage on target encounter instantly and every 3 seconds',0,1),
(88235,240098,9,100,'Heals group members (AE) for 35 - 65 instantly and every 3 seconds',0,2),
(88236,240098,9,100,'Increases power of group members (AE) by 2.2% instantly and every 3 seconds',0,3),
(88237,240099,1,100,'Decreases power of target encounter by 25 - 31 instantly and every 3 seconds',0,0),
(88238,240099,1,100,'Inflicts 59 - 110 poison damage on target encounter instantly and every 3 seconds',0,1),
(88239,240099,1,100,'Heals group members (AE) for 29 - 54 instantly and every 3 seconds',0,2),
(88240,240099,1,100,'Increases power of group members (AE) by 1.3% instantly and every 3 seconds',0,3),
(88241,240099,2,100,'Decreases power of target encounter by 27 - 32 instantly and every 3 seconds',0,0),
(88242,240099,2,100,'Inflicts 62 - 116 poison damage on target encounter instantly and every 3 seconds',0,1),
(88243,240099,2,100,'Heals group members (AE) for 31 - 57 instantly and every 3 seconds',0,2),
(88244,240099,2,100,'Increases power of group members (AE) by 1.3% instantly and every 3 seconds',0,3),
(88245,240099,3,100,'Decreases power of target encounter by 28 - 34 instantly and every 3 seconds',0,0),
(88246,240099,3,100,'Inflicts 66 - 122 poison damage on target encounter instantly and every 3 seconds',0,1),
(88247,240099,3,100,'Heals group members (AE) for 33 - 60 instantly and every 3 seconds',0,2),
(88248,240099,3,100,'Increases power of group members (AE) by 1.4% instantly and every 3 seconds',0,3),
(88249,240099,4,100,'Decreases power of target encounter by 31 - 38 instantly and every 3 seconds',0,0),
(88250,240099,4,100,'Inflicts 72 - 134 poison damage on target encounter instantly and every 3 seconds',0,1),
(88251,240099,4,100,'Heals group members (AE) for 36 - 66 instantly and every 3 seconds',0,2),
(88252,240099,4,100,'Increases power of group members (AE) by 1.5% instantly and every 3 seconds',0,3),
(88253,240099,5,100,'Decreases power of target encounter by 33 - 41 instantly and every 3 seconds',0,0),
(88254,240099,5,100,'Inflicts 79 - 146 poison damage on target encounter instantly and every 3 seconds',0,1),
(88255,240099,5,100,'Heals group members (AE) for 39 - 73 instantly and every 3 seconds',0,2),
(88256,240099,5,100,'Increases power of group members (AE) by 1.7% instantly and every 3 seconds',0,3),
(88257,240099,7,100,'Decreases power of target encounter by 43 - 53 instantly and every 3 seconds',0,0),
(88258,240099,7,100,'Inflicts 101 - 188 poison damage on target encounter instantly and every 3 seconds',0,1),
(88259,240099,7,100,'Heals group members (AE) for 50 - 93 instantly and every 3 seconds',0,2),
(88260,240099,7,100,'Increases power of group members (AE) by 2.2% instantly and every 3 seconds',0,3),
(88261,240099,9,100,'Decreases power of target encounter by 45 - 55 instantly and every 3 seconds',0,0),
(88262,240099,9,100,'Inflicts 105 - 195 poison damage on target encounter instantly and every 3 seconds',0,1),
(88263,240099,9,100,'Heals group members (AE) for 52 - 97 instantly and every 3 seconds',0,2),
(88264,240099,9,100,'Increases power of group members (AE) by 2.2% instantly and every 3 seconds',0,3),
(88265,240099,10,100,'Decreases power of target encounter by 47 - 57 instantly and every 3 seconds',0,0),
(88266,240099,10,100,'Inflicts 110 - 205 poison damage on target encounter instantly and every 3 seconds',0,1),
(88267,240099,10,100,'Heals group members (AE) for 55 - 102 instantly and every 3 seconds',0,2),
(88268,240099,10,100,'Increases power of group members (AE) by 2.4% instantly and every 3 seconds',0,3),
(88269,240100,1,100,'Decreases power of target encounter by 34 - 41 instantly and every 3 seconds',0,0),
(88270,240100,1,100,'Inflicts 79 - 147 poison damage on target encounter instantly and every 3 seconds',0,1),
(88271,240100,1,100,'Heals group members (AE) for 39 - 73 instantly and every 3 seconds',0,2),
(88272,240100,1,100,'Increases power of group members (AE) by 1.3% instantly and every 3 seconds',0,3),
(88273,240100,2,100,'Decreases power of target encounter by 35 - 43 instantly and every 3 seconds',0,0),
(88274,240100,2,100,'Inflicts 83 - 155 poison damage on target encounter instantly and every 3 seconds',0,1),
(88275,240100,2,100,'Heals group members (AE) for 41 - 77 instantly and every 3 seconds',0,2),
(88276,240100,2,100,'Increases power of group members (AE) by 1.3% instantly and every 3 seconds',0,3),
(88277,240100,3,100,'Decreases power of target encounter by 37 - 46 instantly and every 3 seconds',0,0),
(88278,240100,3,100,'Inflicts 88 - 163 poison damage on target encounter instantly and every 3 seconds',0,1),
(88279,240100,3,100,'Heals group members (AE) for 44 - 81 instantly and every 3 seconds',0,2),
(88280,240100,3,100,'Increases power of group members (AE) by 1.4% instantly and every 3 seconds',0,3),
(88281,240100,4,100,'Decreases power of target encounter by 41 - 50 instantly and every 3 seconds',0,0),
(88282,240100,4,100,'Inflicts 96 - 179 poison damage on target encounter instantly and every 3 seconds',0,1),
(88283,240100,4,100,'Heals group members (AE) for 48 - 89 instantly and every 3 seconds',0,2),
(88284,240100,4,100,'Increases power of group members (AE) by 1.5% instantly and every 3 seconds',0,3),
(88285,240100,5,100,'Decreases power of target encounter by 45 - 55 instantly and every 3 seconds',0,0),
(88286,240100,5,100,'Inflicts 105 - 195 poison damage on target encounter instantly and every 3 seconds',0,1),
(88287,240100,5,100,'Heals group members (AE) for 52 - 97 instantly and every 3 seconds',0,2),
(88288,240100,5,100,'Increases power of group members (AE) by 1.7% instantly and every 3 seconds',0,3),
(88289,240100,7,100,'Decreases power of target encounter by 58 - 70 instantly and every 3 seconds',0,0),
(88290,240100,7,100,'Inflicts 135 - 251 poison damage on target encounter instantly and every 3 seconds',0,1),
(88291,240100,7,100,'Heals group members (AE) for 67 - 125 instantly and every 3 seconds',0,2),
(88292,240100,7,100,'Increases power of group members (AE) by 2.2% instantly and every 3 seconds',0,3),
(88293,240100,9,100,'Decreases power of target encounter by 60 - 73 instantly and every 3 seconds',0,0),
(88294,240100,9,100,'Inflicts 140 - 261 poison damage on target encounter instantly and every 3 seconds',0,1),
(88295,240100,9,100,'Heals group members (AE) for 70 - 129 instantly and every 3 seconds',0,2),
(88296,240100,9,100,'Increases power of group members (AE) by 2.2% instantly and every 3 seconds',0,3),
(88297,240101,1,100,'Decreases power of target encounter by 41 - 51 instantly and every 3 seconds',0,0),
(88298,240101,1,100,'Inflicts 97 - 180 poison damage on target encounter instantly and every 3 seconds',0,1),
(88299,240101,1,100,'Heals group members (AE) for 52 - 97 instantly and every 3 seconds',0,2),
(88300,240101,1,100,'Increases power of group members (AE) by 1.3% instantly and every 3 seconds',0,3),
(88301,240101,2,100,'Decreases power of target encounter by 44 - 53 instantly and every 3 seconds',0,0),
(88302,240101,2,100,'Inflicts 103 - 191 poison damage on target encounter instantly and every 3 seconds',0,1),
(88303,240101,2,100,'Increases power of group members (AE) by 1.3% instantly and every 3 seconds',0,2),
(88304,240101,2,100,'This effect cannot be critically applied.',1,3),
(88305,240101,3,100,'Decreases power of target encounter by 46 - 56 instantly and every 3 seconds',0,0),
(88306,240101,3,100,'Inflicts 108 - 201 poison damage on target encounter instantly and every 3 seconds',0,1),
(88307,240101,3,100,'Heals group members (AE) for 58 - 108 instantly and every 3 seconds',0,2),
(88308,240101,3,100,'Increases power of group members (AE) by 1.4% instantly and every 3 seconds',0,3),
(88309,240101,4,100,'Decreases power of target encounter by 51 - 62 instantly and every 3 seconds',0,0),
(88310,240101,4,100,'Inflicts 119 - 221 poison damage on target encounter instantly and every 3 seconds',0,1),
(88311,240101,4,100,'Heals group members (AE) for 64 - 119 instantly and every 3 seconds',0,2),
(88312,240101,4,100,'Increases power of group members (AE) by 1.5% instantly and every 3 seconds',0,3),
(88313,240101,5,100,'Decreases power of target encounter by 55 - 68 instantly and every 3 seconds',0,0),
(88314,240101,5,100,'Inflicts 130 - 241 poison damage on target encounter instantly and every 3 seconds',0,1),
(88315,240101,5,100,'Heals group members (AE) for 70 - 130 instantly and every 3 seconds',0,2),
(88316,240101,5,100,'Increases power of group members (AE) by 1.7% instantly and every 3 seconds',0,3),
(88317,240101,7,100,'Decreases power of target encounter by 71 - 87 instantly and every 3 seconds',0,0),
(88318,240101,7,100,'Inflicts 166 - 309 poison damage on target encounter instantly and every 3 seconds',0,1),
(88319,240101,7,100,'Heals group members (AE) for 90 - 166 instantly and every 3 seconds',0,2),
(88320,240101,7,100,'Increases power of group members (AE) by 2.2% instantly and every 3 seconds',0,3),
(88321,240101,9,100,'Decreases power of target encounter by 74 - 90 instantly and every 3 seconds',0,0),
(88322,240101,9,100,'Inflicts 173 - 321 poison damage on target encounter instantly and every 3 seconds',0,1),
(88323,240101,9,100,'Heals group members (AE) for 93 - 173 instantly and every 3 seconds',0,2),
(88324,240101,9,100,'Increases power of group members (AE) by 2.2% instantly and every 3 seconds',0,3),
(88325,240102,1,100,'Decreases power of target encounter by 50 - 61 instantly and every 3 seconds',0,0),
(88326,240102,1,100,'Inflicts 117 - 218 poison damage on target encounter instantly and every 3 seconds',0,1),
(88327,240102,1,100,'Heals group members (AE) for 64 - 119 instantly and every 3 seconds',0,2),
(88328,240102,1,100,'Increases power of group members (AE) by 1.3% instantly and every 3 seconds',0,3),
(88329,240102,4,100,'Decreases power of target encounter by 61 - 75 instantly and every 3 seconds',0,0),
(88330,240102,4,100,'Inflicts 143 - 266 poison damage on target encounter instantly and every 3 seconds',0,1),
(88331,240102,4,100,'Heals group members (AE) for 79 - 146 instantly and every 3 seconds',0,2),
(88332,240102,4,100,'Increases power of group members (AE) by 1.5% instantly and every 3 seconds',0,3),
(88333,240102,5,100,'Decreases power of target encounter by 67 - 81 instantly and every 3 seconds',0,0),
(88334,240102,5,100,'Inflicts 156 - 290 poison damage on target encounter instantly and every 3 seconds',0,1),
(88335,240102,5,100,'Heals group members (AE) for 86 - 159 instantly and every 3 seconds',0,2),
(88336,240102,5,100,'Increases power of group members (AE) by 1.7% instantly and every 3 seconds',0,3),
(88337,240102,7,100,'Decreases power of target encounter by 86 - 105 instantly and every 3 seconds',0,0),
(88338,240102,7,100,'Inflicts 200 - 372 poison damage on target encounter instantly and every 3 seconds',0,1),
(88339,240102,7,100,'Heals group members (AE) for 110 - 204 instantly and every 3 seconds',0,2),
(88340,240102,7,100,'Increases power of group members (AE) by 2.2% instantly and every 3 seconds',0,3),
(88341,240102,9,100,'Decreases power of target encounter by 89 - 109 instantly and every 3 seconds',0,0),
(88342,240102,9,100,'Inflicts 208 - 387 poison damage on target encounter instantly and every 3 seconds',0,1),
(88343,240102,9,100,'Heals group members (AE) for 114 - 212 instantly and every 3 seconds',0,2),
(88344,240102,9,100,'Increases power of group members (AE) by 2.2% instantly and every 3 seconds',0,3),
(88345,240103,1,100,'Decreases power of target encounter by 55 - 67 instantly and every 3 seconds',0,0),
(88346,240103,1,100,'Inflicts 129 - 239 poison damage on target encounter instantly and every 3 seconds',0,1),
(88347,240103,1,100,'Heals group members (AE) for 70 - 130 instantly and every 3 seconds',0,2),
(88348,240103,1,100,'Increases power of group members (AE) by 1.3% instantly and every 3 seconds',0,3),
(88349,240103,4,100,'Decreases power of target encounter by 67 - 82 instantly and every 3 seconds',0,0),
(88350,240103,4,100,'Inflicts 157 - 292 poison damage on target encounter instantly and every 3 seconds',0,1),
(88351,240103,4,100,'Heals group members (AE) for 85 - 159 instantly and every 3 seconds',0,2),
(88352,240103,4,100,'Increases power of group members (AE) by 1.5% instantly and every 3 seconds',0,3),
(88353,240103,5,100,'Decreases power of target encounter by 73 - 89 instantly and every 3 seconds',0,0),
(88354,240103,5,100,'Inflicts 172 - 319 poison damage on target encounter instantly and every 3 seconds',0,1),
(88355,240103,5,100,'Heals group members (AE) for 93 - 173 instantly and every 3 seconds',0,2),
(88356,240103,5,100,'Increases power of group members (AE) by 1.7% instantly and every 3 seconds',0,3),
(88357,240103,7,100,'Decreases power of target encounter by 94 - 115 instantly and every 3 seconds',0,0),
(88358,240103,7,100,'Inflicts 220 - 409 poison damage on target encounter instantly and every 3 seconds',0,1),
(88359,240103,7,100,'Heals group members (AE) for 120 - 222 instantly and every 3 seconds',0,2),
(88360,240103,7,100,'Increases power of group members (AE) by 2.2% instantly and every 3 seconds',0,3),
(88361,240103,9,100,'Decreases power of target encounter by 98 - 119 instantly and every 3 seconds',0,0),
(88362,240103,9,100,'Inflicts 229 - 425 poison damage on target encounter instantly and every 3 seconds',0,1),
(88363,240103,9,100,'Heals group members (AE) for 124 - 231 instantly and every 3 seconds',0,2),
(88364,240103,9,100,'Increases power of group members (AE) by 2.2% instantly and every 3 seconds',0,3),
(88365,370056,1,100,'Decreases Haste of target encounter by 11.7',0,0),
(88366,370056,1,100,'Slows target encounter by 16.2%',0,1),
(88367,370056,2,100,'Decreases Haste of target encounter by 12.3',0,0),
(88368,370056,2,100,'Slows target encounter by 17.1%',0,1),
(88369,370056,3,100,'Decreases Haste of target encounter by 13.0',0,0),
(88370,370056,3,100,'Slows target encounter by 18.0%',0,1),
(88371,370056,4,100,'Decreases Haste of target encounter by 14.3',0,0),
(88372,370056,4,100,'Slows target encounter by 19.8%',0,1),
(88373,370056,5,100,'Decreases Haste of target encounter by 15.6',0,0),
(88374,370056,5,100,'Slows target encounter by 21.6%',0,1),
(88375,370056,7,100,'Decreases Haste of target encounter by 20.0',0,0),
(88376,370056,7,100,'Slows target encounter by 27.7%',0,1),
(88377,370056,9,100,'Decreases Haste of target encounter by 20.8',0,0),
(88378,370056,9,100,'Slows target encounter by 28.8%',0,1),
(88379,370057,1,100,'Decreases Haste of target encounter by 13.0',0,0),
(88380,370057,1,100,'Slows target encounter by 17.5%',0,1),
(88381,370057,2,100,'Decreases Haste of target encounter by 13.7',0,0),
(88382,370057,2,100,'Slows target encounter by 18.4%',0,1),
(88383,370057,3,100,'Decreases Haste of target encounter by 14.4',0,0),
(88384,370057,3,100,'Slows target encounter by 19.4%',0,1),
(88385,370057,4,100,'Decreases Haste of target encounter by 15.8',0,0),
(88386,370057,4,100,'Slows target encounter by 21.3%',0,1),
(88387,370057,5,100,'Decreases Haste of target encounter by 17.3',0,0),
(88388,370057,5,100,'Slows target encounter by 23.3%',0,1),
(88389,370057,7,100,'Decreases Haste of target encounter by 22.2',0,0),
(88390,370057,7,100,'Slows target encounter by 29.9%',0,1),
(88391,370057,9,100,'Decreases Haste of target encounter by 23.0',0,0),
(88392,370057,9,100,'Slows target encounter by 31.0%',0,1),
(88393,370057,10,100,'Decreases Haste of target encounter by 24.2',0,0),
(88394,370057,10,100,'Slows target encounter by 32.6%',0,1),
(88395,370058,1,100,'Decreases Haste of target encounter by 14.2',0,0),
(88396,370058,1,100,'Slows target encounter by 18.1%',0,1),
(88397,370058,2,100,'Decreases Haste of target encounter by 15.0',0,0),
(88398,370058,2,100,'Slows target encounter by 19.2%',0,1),
(88399,370058,3,100,'Decreases Haste of target encounter by 15.8',0,0),
(88400,370058,3,100,'Slows target encounter by 20.2%',0,1),
(88401,370058,4,100,'Decreases Haste of target encounter by 17.4',0,0),
(88402,370058,4,100,'Slows target encounter by 22.2%',0,1),
(88403,370058,5,100,'Decreases Haste of target encounter by 19.0',0,0),
(88404,370058,5,100,'Slows target encounter by 24.2%',0,1),
(88405,370058,7,100,'Decreases Haste of target encounter by 24.3',0,0),
(88406,370058,7,100,'Slows target encounter by 31.0%',0,1),
(88407,370058,9,100,'Decreases Haste of target encounter by 25.3',0,0),
(88408,370058,9,100,'Slows target encounter by 32.3%',0,1),
(88409,370059,1,100,'Decreases Haste of target encounter by 15.5',0,0),
(88410,370059,1,100,'Slows target encounter by 18.4%',0,1),
(88411,370059,2,100,'Decreases Attack Speed of target encounter by 16.3',0,0),
(88412,370059,2,100,'Slows target encounter by 19.4%',0,1),
(88413,370059,3,100,'Decreases Haste of target encounter by 17.2',0,0),
(88414,370059,3,100,'Slows target encounter by 20.4%',0,1),
(88415,370059,4,100,'Decreases Haste of target encounter by 18.9',0,0),
(88416,370059,4,100,'Slows target encounter by 22.5%',0,1),
(88417,370059,5,100,'Decreases Haste of target encounter by 20.6',0,0),
(88418,370059,5,100,'Slows target encounter by 24.5%',0,1),
(88419,370059,7,100,'Decreases Attack Speed of target encounter by 26.5',0,0),
(88420,370059,7,100,'Slows target encounter by 31.5%',0,1),
(88421,370059,9,100,'Decreases Haste of target encounter by 27.5',0,0),
(88422,370059,9,100,'Slows target encounter by 32.7%',0,1),
(88423,370060,1,100,'Decreases Haste of target encounter by 16.4',0,0),
(88424,370060,1,100,'Slows target encounter by 18.6%',0,1),
(88425,370060,4,100,'Decreases Haste of target encounter by 20.0',0,0),
(88426,370060,4,100,'Slows target encounter by 22.7%',0,1),
(88427,370060,5,100,'Decreases Haste of target encounter by 21.8',0,0),
(88428,370060,5,100,'Slows target encounter by 24.8%',0,1),
(88429,370060,7,100,'Decreases Attack Speed of target encounter by 28.0',0,0),
(88430,370060,7,100,'Slows target encounter by 31.8%',0,1),
(88431,370060,9,100,'Decreases Haste of target encounter by 29.1',0,0),
(88432,370060,9,100,'Slows target encounter by 33.0%',0,1),
(88433,370061,1,100,'Decreases Haste of target encounter by 17.3',0,0),
(88434,370061,1,100,'Slows target encounter by 18.8%',0,1),
(88435,370061,4,100,'Decreases Haste of target encounter by 21.1',0,0),
(88436,370061,4,100,'Slows target encounter by 22.9%',0,1),
(88437,370061,5,100,'Decreases Haste of target encounter by 23.0',0,0),
(88438,370061,5,100,'Slows target encounter by 25.0%',0,1),
(88439,370061,7,100,'Decreases Haste of target encounter by 29.6',0,0),
(88440,370061,7,100,'Slows target encounter by 32.1%',0,1),
(88441,370061,9,100,'Decreases Haste of target encounter by 30.7',0,0),
(88442,370061,9,100,'Slows target encounter by 33.3%',0,1),
(88443,250007,1,100,'Decreases power of target by 79 - 97',0,0),
(88444,250007,1,100,'Stuns target',0,1),
(88445,250007,1,100,'If Target is not Epic',1,2),
(88446,250007,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(88447,250007,2,100,'Decreases power of target by 83 - 102',0,0),
(88448,250007,2,100,'Stuns target',0,1),
(88449,250007,2,100,'If Target is not Epic',1,2),
(88450,250007,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(88451,250007,3,100,'Decreases power of target by 88 - 107',0,0),
(88452,250007,3,100,'Stuns target',0,1),
(88453,250007,3,100,'If Target is not Epic',1,2),
(88454,250007,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(88455,250007,4,100,'Decreases power of target by 97 - 118',0,0),
(88456,250007,4,100,'Stuns target',0,1),
(88457,250007,4,100,'If Target is not Epic',1,2),
(88458,250007,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(88459,250007,5,100,'Decreases power of target by 105 - 129',0,0),
(88460,250007,5,100,'Stuns target',0,1),
(88461,250007,5,100,'If Target is not Epic',1,2),
(88462,250007,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(88463,250007,7,100,'Decreases power of target by 135 - 165',0,0),
(88464,250007,7,100,'Stuns target',0,1),
(88465,250007,7,100,'If Target is not Epic',1,2),
(88466,250007,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(88467,250007,9,100,'Decreases power of target by 140 - 172',0,0),
(88468,250007,9,100,'Stuns target',0,1),
(88469,250007,9,100,'If Target is not Epic',1,2),
(88470,250007,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(88471,160016,1,100,'Inflicts 10 - 12 heat damage on target',0,0),
(88472,160016,2,100,'Inflicts 10 - 13 heat damage on target',0,0),
(88473,160016,3,100,'Inflicts 11 - 13 heat damage on target',0,0),
(88474,160016,4,100,'Inflicts 12 - 15 heat damage on target',0,0),
(88475,160016,5,100,'Inflicts 13 - 16 heat damage on target',0,0),
(88476,160016,7,100,'Inflicts 17 - 21 heat damage on target',0,0),
(88477,160016,9,100,'Inflicts 17 - 21 heat damage on target',0,0),
(88478,160017,1,100,'Inflicts 34 - 42 heat damage on target',0,0),
(88479,160017,2,100,'Inflicts 36 - 44 heat damage on target',0,0),
(88480,160017,3,100,'Inflicts 38 - 47 heat damage on target',0,0),
(88481,160017,4,100,'Inflicts 42 - 51 heat damage on target',0,0),
(88482,160017,5,100,'Inflicts 46 - 56 heat damage on target',0,0),
(88483,160017,7,100,'Inflicts 59 - 72 heat damage on target',0,0),
(88484,160017,9,100,'Inflicts 61 - 74 heat damage on target',0,0),
(88485,160018,1,100,'Inflicts 63 - 78 heat damage on target',0,0),
(88486,160018,2,100,'Inflicts 67 - 82 heat damage on target',0,0),
(88487,160018,3,100,'Inflicts 71 - 86 heat damage on target',0,0),
(88488,160018,4,100,'Inflicts 78 - 95 heat damage on target',0,0),
(88489,160018,5,100,'Inflicts 85 - 103 heat damage on target',0,0),
(88490,160018,7,100,'Inflicts 109 - 133 heat damage on target',0,0),
(88491,160018,9,100,'Inflicts 113 - 138 heat damage on target',0,0),
(88492,160019,1,100,'Inflicts 123 - 150 heat damage on target',0,0),
(88493,160019,2,100,'Inflicts 129 - 158 heat damage on target',0,0),
(88494,160019,3,100,'Inflicts 136 - 167 heat damage on target',0,0),
(88495,160019,4,100,'Inflicts 150 - 183 heat damage on target',0,0),
(88496,160019,5,100,'Inflicts 163 - 200 heat damage on target',0,0),
(88497,160019,7,100,'Inflicts 210 - 256 heat damage on target',0,0),
(88498,160019,9,100,'Inflicts 218 - 266 heat damage on target',0,0),
(88499,160019,10,100,'Inflicts 229 - 280 heat damage on target',0,0),
(88500,160020,1,100,'Inflicts 482 - 589 heat damage on target',0,0),
(88501,160020,4,100,'Inflicts 589 - 720 heat damage on target',0,0),
(88502,160020,5,100,'Inflicts 642 - 785 heat damage on target',0,0),
(88503,160020,7,100,'Inflicts 824 - 1008 heat damage on target',0,0),
(88504,160020,9,100,'Inflicts 857 - 1047 heat damage on target',0,0),
(88505,160020,10,100,'Inflicts 899 - 1099 heat damage on target',0,0),
(88506,160021,1,100,'Inflicts 189 - 232 heat damage on target',0,0),
(88507,160021,2,100,'Inflicts 200 - 244 heat damage on target',0,0),
(88508,160021,3,100,'Inflicts 210 - 257 heat damage on target',0,0),
(88509,160021,4,100,'Inflicts 232 - 283 heat damage on target',0,0),
(88510,160021,5,100,'Inflicts 253 - 309 heat damage on target',0,0),
(88511,160021,7,100,'Inflicts 324 - 396 heat damage on target',0,0),
(88512,160021,9,100,'Inflicts 337 - 412 heat damage on target',0,0),
(88513,160022,1,100,'Inflicts 266 - 325 heat damage on target',0,0),
(88514,160022,2,100,'Inflicts 281 - 343 heat damage on target',0,0),
(88515,160022,3,100,'Inflicts 296 - 361 heat damage on target',0,0),
(88516,160022,4,100,'Inflicts 325 - 398 heat damage on target',0,0),
(88517,160022,5,100,'Inflicts 355 - 434 heat damage on target',0,0),
(88518,160022,7,100,'Inflicts 455 - 557 heat damage on target',0,0),
(88519,160022,9,100,'Inflicts 473 - 578 heat damage on target',0,0),
(88520,160023,1,100,'Inflicts 340 - 416 heat damage on target',0,0),
(88521,160023,2,100,'Inflicts 359 - 439 heat damage on target',0,0),
(88522,160023,3,100,'Inflicts 378 - 462 heat damage on target',0,0),
(88523,160023,4,100,'Inflicts 416 - 508 heat damage on target',0,0),
(88524,160023,5,100,'Inflicts 454 - 554 heat damage on target',0,0),
(88525,160023,7,100,'Inflicts 582 - 711 heat damage on target',0,0),
(88526,160023,9,100,'Inflicts 605 - 739 heat damage on target',0,0),
(88527,160023,10,100,'Inflicts 635 - 776 heat damage on target',0,0),
(88528,160024,1,100,'Inflicts 412 - 503 heat damage on target',0,0),
(88529,160024,4,100,'Inflicts 503 - 615 heat damage on target',0,0),
(88530,160024,5,100,'Inflicts 549 - 671 heat damage on target',0,0),
(88531,160024,7,100,'Inflicts 705 - 861 heat damage on target',0,0),
(88532,160024,9,100,'Inflicts 732 - 895 heat damage on target',0,0),
(88533,160024,10,100,'Inflicts 769 - 939 heat damage on target',0,0),
(88534,2000389,1,100,'Inflicts 2 - 3 mental damage on target',0,0),
(88535,2000389,1,100,'Inflicts 1 mental damage on target every 3 seconds',0,1),
(88536,2000389,2,100,'Inflicts 2 - 3 mental damage on target',0,0),
(88537,2000389,2,100,'Inflicts 1 mental damage on target every 3 seconds',0,1),
(88538,2000389,3,100,'Inflicts 2 - 3 mental damage on target',0,0),
(88539,2000389,3,100,'Inflicts 1 mental damage on target every 3 seconds',0,1),
(88540,2000389,4,100,'Inflicts 2 - 3 mental damage on target',0,0),
(88541,2000389,4,100,'Inflicts 1 mental damage on target every 3 seconds',0,1),
(88542,2000389,5,100,'Inflicts 2 - 4 mental damage on target',0,0),
(88543,2000389,5,100,'Inflicts 1 mental damage on target every 3 seconds',0,1),
(88544,2000389,6,100,'Inflicts 3 - 4 mental damage on target',0,0),
(88545,2000389,6,100,'Inflicts 1 mental damage on target every 3 seconds',0,1),
(88546,2000389,7,100,'Inflicts 3 - 5 mental damage on target',0,0),
(88547,2000389,7,100,'Inflicts 1 mental damage on target every 3 seconds',0,1),
(88548,2000389,8,100,'Inflicts 3 - 5 mental damage on target',0,0),
(88549,2000389,8,100,'Inflicts 1 mental damage on target every 3 seconds',0,1),
(88550,2000389,9,100,'Inflicts 3 - 5 mental damage on target',0,0),
(88551,2000389,9,100,'Inflicts 1 mental damage on target every 3 seconds',0,1),
(88552,2000389,10,100,'Inflicts 3 - 5 mental damage on target',0,0),
(88553,2000389,10,100,'Inflicts 1 mental damage on target every 3 seconds',0,1),
(88554,2000390,1,100,'Inflicts 449 - 549 poison damage on target',0,0),
(88555,2000390,1,100,'Dazes target',0,1),
(88556,2000390,1,100,'If Target is not Epic',1,2),
(88557,2000390,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(88558,2000390,2,100,'Inflicts 474 - 579 poison damage on target',0,0),
(88559,2000390,2,100,'Dazes target',0,1),
(88560,2000390,2,100,'If Target is not Epic',1,2),
(88561,2000390,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(88562,2000390,3,100,'Inflicts 374 - 457 poison damage on target',0,0),
(88563,2000390,3,100,'Dazes target',0,1),
(88564,2000390,3,100,'If Target is not Epic',1,2),
(88565,2000390,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(88566,2000390,4,100,'Inflicts 549 - 670 poison damage on target',0,0),
(88567,2000390,4,100,'Dazes target',0,1),
(88568,2000390,4,100,'If Target is not Epic',1,2),
(88569,2000390,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(88570,2000390,5,100,'Inflicts 449 - 549 poison damage on target',0,0),
(88571,2000390,5,100,'Dazes target',0,1),
(88572,2000390,5,100,'If Target is not Epic',1,2),
(88573,2000390,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(88574,2000390,6,100,'Inflicts 648 - 792 poison damage on target',0,0),
(88575,2000390,6,100,'Dazes target',0,1),
(88576,2000390,6,100,'If Target is not Epic',1,2),
(88577,2000390,6,100,'Resistibility increases against targets higher than level 29.',0,3),
(88578,2000390,7,100,'Inflicts 576 - 704 poison damage on target',0,0),
(88579,2000390,7,100,'Dazes target',0,1),
(88580,2000390,7,100,'If Target is not Epic',1,2),
(88581,2000390,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(88582,2000390,8,100,'Inflicts 580 - 709 poison damage on target',0,0),
(88583,2000390,8,100,'Dazes target',0,1),
(88584,2000390,8,100,'If Target is not Epic',1,2),
(88585,2000390,8,100,'Resistibility increases against targets higher than level 29.',0,3),
(88586,2000390,9,100,'Inflicts 798 - 975 poison damage on target',0,0),
(88587,2000390,9,100,'Dazes target',0,1),
(88588,2000390,9,100,'If Target is not Epic',1,2),
(88589,2000390,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(88590,2000390,10,100,'Inflicts 838 - 1024 poison damage on target',0,0),
(88591,2000390,10,100,'Dazes target',0,1),
(88592,2000390,10,100,'If Target is not Epic',1,2),
(88593,2000390,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(88594,370062,1,100,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',0,0),
(88595,370062,1,100,'Inflicts 30 - 51 disease damage on target',1,1),
(88596,370062,2,100,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',0,0),
(88597,370062,2,100,'Inflicts 32 - 54 disease damage on target',1,1),
(88598,370062,3,100,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',0,0),
(88599,370062,3,100,'Inflicts 34 - 57 disease damage on target',1,1),
(88600,370062,4,100,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',0,0),
(88601,370062,4,100,'Inflicts 37 - 62 disease damage on target',1,1),
(88602,370062,5,100,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',0,0),
(88603,370062,5,100,'Inflicts 41 - 68 disease damage on target',1,1),
(88604,370062,7,100,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',0,0),
(88605,370062,7,100,'Inflicts 52 - 87 disease damage on target',1,1),
(88606,370062,9,100,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',0,0),
(88607,370062,9,100,'Inflicts 54 - 91 disease damage on target',1,1),
(88608,370062,10,100,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',0,0),
(88609,370062,10,100,'Inflicts 57 - 95 disease damage on target',1,1),
(88610,370063,1,100,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',0,0),
(88611,370063,1,100,'Inflicts 53 - 89 disease damage on target',1,1),
(88612,370063,2,100,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',0,0),
(88613,370063,2,100,'Inflicts 56 - 94 disease damage on target',1,1),
(88614,370063,3,100,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',0,0),
(88615,370063,3,100,'Inflicts 59 - 99 disease damage on target',1,1),
(88616,370063,4,100,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',0,0),
(88617,370063,4,100,'Inflicts 65 - 109 disease damage on target',1,1),
(88618,370063,5,100,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',0,0),
(88619,370063,5,100,'Inflicts 71 - 118 disease damage on target',1,1),
(88620,370063,7,100,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',0,0),
(88621,370063,7,100,'Inflicts 91 - 152 disease damage on target',1,1),
(88622,370063,9,100,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',0,0),
(88623,370063,9,100,'Inflicts 95 - 158 disease damage on target',1,1),
(88624,370064,1,100,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',0,0),
(88625,370064,1,100,'Inflicts 80 - 133 disease damage on target',1,1),
(88626,370064,2,100,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',0,0),
(88627,370064,2,100,'Inflicts 84 - 141 disease damage on target',1,1),
(88628,370064,3,100,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',0,0),
(88629,370064,3,100,'Inflicts 89 - 148 disease damage on target',1,1),
(88630,370064,4,100,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',0,0),
(88631,370064,4,100,'Inflicts 98 - 163 disease damage on target',1,1),
(88632,370064,5,100,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',0,0),
(88633,370064,5,100,'Inflicts 107 - 178 disease damage on target',1,1),
(88634,370064,7,100,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',0,0),
(88635,370064,7,100,'Inflicts 137 - 229 disease damage on target',1,1),
(88636,370064,9,100,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',0,0),
(88637,370064,9,100,'Inflicts 142 - 237 disease damage on target',1,1),
(88638,370064,10,100,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',0,0),
(88639,370064,10,100,'Inflicts 149 - 249 disease damage on target',1,1),
(88640,370065,1,100,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',0,0),
(88641,370065,1,100,'Inflicts 108 - 181 disease damage on target',1,1),
(88642,370065,2,100,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',0,0),
(88643,370065,2,100,'Inflicts 114 - 191 disease damage on target',1,1),
(88644,370065,3,100,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',0,0),
(88645,370065,3,100,'Inflicts 120 - 201 disease damage on target',1,1),
(88646,370065,4,100,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',0,0),
(88647,370065,4,100,'Inflicts 132 - 221 disease damage on target',1,1),
(88648,370065,5,100,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',0,0),
(88649,370065,5,100,'Inflicts 144 - 241 disease damage on target',1,1),
(88650,370065,7,100,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',0,0),
(88651,370065,7,100,'Inflicts 185 - 309 disease damage on target',1,1),
(88652,370065,9,100,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',0,0),
(88653,370065,9,100,'Inflicts 193 - 322 disease damage on target',1,1),
(88654,370065,10,100,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',0,0),
(88655,370065,10,100,'Inflicts 202 - 338 disease damage on target',1,1),
(88656,370066,1,100,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',0,0),
(88657,370066,1,100,'Inflicts 133 - 222 disease damage on target',1,1),
(88658,370066,2,100,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',0,0),
(88659,370066,2,100,'Inflicts 141 - 235 disease damage on target',1,1),
(88660,370066,3,100,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',0,0),
(88661,370066,3,100,'Inflicts 148 - 247 disease damage on target',1,1),
(88662,370066,4,100,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',0,0),
(88663,370066,4,100,'Inflicts 163 - 272 disease damage on target',1,1),
(88664,370066,5,100,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',0,0),
(88665,370066,5,100,'Inflicts 178 - 297 disease damage on target',1,1),
(88666,370066,7,100,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',0,0),
(88667,370066,7,100,'Inflicts 228 - 381 disease damage on target',1,1),
(88668,370066,9,100,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',0,0),
(88669,370066,9,100,'Inflicts 237 - 396 disease damage on target',1,1),
(88670,370067,1,100,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',0,0),
(88671,370067,1,100,'Inflicts 161 - 269 disease damage on target',1,1),
(88672,370067,4,100,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',0,0),
(88673,370067,4,100,'Inflicts 197 - 328 disease damage on target',1,1),
(88674,370067,5,100,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',0,0),
(88675,370067,5,100,'Inflicts 215 - 358 disease damage on target',1,1),
(88676,370067,7,100,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',0,0),
(88677,370067,7,100,'Inflicts 276 - 460 disease damage on target',1,1),
(88678,370067,9,100,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',0,0),
(88679,370067,9,100,'Inflicts 286 - 478 disease damage on target',1,1),
(88680,370067,10,100,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',0,0),
(88681,370067,10,100,'Inflicts 301 - 502 disease damage on target',1,1),
(88682,370068,1,100,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',0,0),
(88683,370068,1,100,'Inflicts 236 - 393 disease damage on target',1,1),
(88684,370068,4,100,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',0,0),
(88685,370068,4,100,'Inflicts 288 - 481 disease damage on target',1,1),
(88686,370068,5,100,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',0,0),
(88687,370068,5,100,'Inflicts 314 - 524 disease damage on target',1,1),
(88688,370068,7,100,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',0,0),
(88689,370068,7,100,'Inflicts 404 - 673 disease damage on target',1,1),
(88690,370068,9,100,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',0,0),
(88691,370068,9,100,'Inflicts 419 - 699 disease damage on target',1,1),
(88692,370068,10,100,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',0,0),
(88693,370068,10,100,'Inflicts 440 - 734 disease damage on target',1,1),
(88694,2000391,1,100,'Reduces slow effects on group members (AE) by 50.0%',0,0),
(88695,2000391,1,100,'Increases in-combat movement speed of group members (AE) by 15.0%',0,1),
(88696,2000391,1,100,'Prevents group members (AE) from being interrupted, including movement',0,2),
(88697,2000391,1,100,'Makes group members (AE) immune to Root effects',0,3),
(88698,2000391,1,100,'On a hostile spell cast this spell will cast Pulse of Oblivion on the group.  Lasts for 5.0 seconds.  ',0,4),
(88699,2000391,1,100,'Can only be triggered by the caster of Deadly Dance',1,5),
(88700,2000391,1,100,'Increases the group''s potency 0.5% of the bard''s agility',1,6),
(88701,2000392,1,100,'Inflicts 0 piercing damage on target',0,0),
(88702,2000392,1,100,'Inflicts 1 poison damage on target every 8 seconds',0,1),
(88703,90077,1,100,'Inflicts 17 - 29 disease damage on targets in Area of Effect',0,0),
(88704,90077,1,100,'Inflicts 7 - 9 disease damage on targets in Area of Effect every 6 seconds',0,1),
(88705,90077,2,100,'Inflicts 18 - 30 disease damage on targets in Area of Effect',0,0),
(88706,90077,2,100,'Inflicts 8 - 10 disease damage on targets in Area of Effect every 6 seconds',0,1),
(88707,90077,3,100,'Inflicts 19 - 32 disease damage on targets in Area of Effect',0,0),
(88708,90077,3,100,'Inflicts 8 - 10 disease damage on targets in Area of Effect every 6 seconds',0,1),
(88709,90077,4,100,'Inflicts 21 - 35 disease damage on targets in Area of Effect',0,0),
(88710,90077,4,100,'Inflicts 9 - 11 disease damage on targets in Area of Effect every 6 seconds',0,1),
(88711,90077,5,100,'Inflicts 23 - 38 disease damage on targets in Area of Effect',0,0),
(88712,90077,5,100,'Inflicts 10 - 12 disease damage on targets in Area of Effect every 6 seconds',0,1),
(88713,90077,7,100,'Inflicts 29 - 49 disease damage on targets in Area of Effect',0,0),
(88714,90077,7,100,'Inflicts 13 - 16 disease damage on targets in Area of Effect every 6 seconds',0,1),
(88715,90077,9,100,'Inflicts 31 - 51 disease damage on targets in Area of Effect',0,0),
(88716,90077,9,100,'Inflicts 13 - 16 disease damage on targets in Area of Effect every 6 seconds',0,1),
(88717,90078,1,100,'Inflicts 50 - 151 disease damage on targets in Area of Effect',0,0),
(88719,90078,2,100,'Inflicts 53 - 160 disease damage on targets in Area of Effect',0,0),
(88721,90078,3,100,'Inflicts 56 - 168 disease damage on targets in Area of Effect',0,0),
(88723,90078,4,100,'Inflicts 61 - 185 disease damage on targets in Area of Effect',0,0),
(88725,90078,5,100,'Inflicts 67 - 202 disease damage on targets in Area of Effect',0,0),
(88727,90078,7,100,'Inflicts 86 - 259 disease damage on targets in Area of Effect',0,0),
(88729,90078,9,100,'Inflicts 89 - 269 disease damage on targets in Area of Effect',0,0),
(88731,90079,1,100,'Inflicts 90 - 151 disease damage on targets in Area of Effect',0,0),
(88732,90079,1,100,'Inflicts 39 - 48 disease damage on targets in Area of Effect every 6 seconds',0,1),
(88733,90079,2,100,'Inflicts 95 - 159 disease damage on targets in Area of Effect',0,0),
(88734,90079,2,100,'Inflicts 41 - 50 disease damage on targets in Area of Effect every 6 seconds',0,1),
(88735,90079,3,100,'Inflicts 100 - 168 disease damage on targets in Area of Effect',0,0),
(88736,90079,3,100,'Inflicts 43 - 53 disease damage on targets in Area of Effect every 6 seconds',0,1),
(88737,90079,4,100,'Inflicts 111 - 185 disease damage on targets in Area of Effect',0,0),
(88738,90079,4,100,'Inflicts 48 - 58 disease damage on targets in Area of Effect every 6 seconds',0,1),
(88739,90079,5,100,'Inflicts 121 - 201 disease damage on targets in Area of Effect',0,0),
(88740,90079,5,100,'Inflicts 52 - 63 disease damage on targets in Area of Effect every 6 seconds',0,1),
(88741,90079,7,100,'Inflicts 155 - 259 disease damage on targets in Area of Effect',0,0),
(88742,90079,7,100,'Inflicts 67 - 81 disease damage on targets in Area of Effect every 6 seconds',0,1),
(88743,90079,9,100,'Inflicts 161 - 269 disease damage on targets in Area of Effect',0,0),
(88744,90079,9,100,'Inflicts 69 - 85 disease damage on targets in Area of Effect every 6 seconds',0,1),
(88745,90080,1,100,'Inflicts 136 - 228 disease damage on targets in Area of Effect',0,0),
(88746,90080,1,100,'Inflicts 59 - 72 disease damage on targets in Area of Effect every 6 seconds',0,1),
(88747,90080,2,100,'Inflicts 144 - 240 disease damage on targets in Area of Effect',0,0),
(88748,90080,2,100,'Inflicts 62 - 76 disease damage on targets in Area of Effect every 6 seconds',0,1),
(88749,90080,3,100,'Inflicts 152 - 253 disease damage on targets in Area of Effect',0,0),
(88750,90080,3,100,'Inflicts 65 - 80 disease damage on targets in Area of Effect every 6 seconds',0,1),
(88751,90080,4,100,'Inflicts 167 - 279 disease damage on targets in Area of Effect',0,0),
(88752,90080,4,100,'Inflicts 72 - 88 disease damage on targets in Area of Effect every 6 seconds',0,1),
(88753,90080,5,100,'Inflicts 182 - 304 disease damage on targets in Area of Effect',0,0),
(88754,90080,5,100,'Inflicts 78 - 96 disease damage on targets in Area of Effect every 6 seconds',0,1),
(88755,90080,7,100,'Inflicts 234 - 390 disease damage on targets in Area of Effect',0,0),
(88756,90080,7,100,'Inflicts 100 - 123 disease damage on targets in Area of Effect every 6 seconds',0,1),
(88757,90080,9,100,'Inflicts 243 - 405 disease damage on targets in Area of Effect',0,0),
(88758,90080,9,100,'Inflicts 104 - 128 disease damage on targets in Area of Effect every 6 seconds',0,1),
(88759,90081,1,100,'Inflicts 186 - 311 disease damage on targets in Area of Effect',0,0),
(88760,90081,1,100,'Inflicts 80 - 98 disease damage on targets in Area of Effect every 6 seconds',0,1),
(88761,90081,2,100,'Inflicts 197 - 328 disease damage on targets in Area of Effect',0,0),
(88762,90081,2,100,'Inflicts 84 - 103 disease damage on targets in Area of Effect every 6 seconds',0,1),
(88763,90081,3,100,'Inflicts 207 - 345 disease damage on targets in Area of Effect',0,0),
(88764,90081,3,100,'Inflicts 89 - 109 disease damage on targets in Area of Effect every 6 seconds',0,1),
(88765,90081,4,100,'Inflicts 228 - 380 disease damage on targets in Area of Effect',0,0),
(88766,90081,4,100,'Inflicts 98 - 120 disease damage on targets in Area of Effect every 6 seconds',0,1),
(88767,90081,5,100,'Inflicts 248 - 414 disease damage on targets in Area of Effect',0,0),
(88768,90081,5,100,'Inflicts 107 - 130 disease damage on targets in Area of Effect every 6 seconds',0,1),
(88769,90081,7,100,'Inflicts 319 - 532 disease damage on targets in Area of Effect',0,0),
(88770,90081,7,100,'Inflicts 137 - 167 disease damage on targets in Area of Effect every 6 seconds',0,1),
(88771,90081,9,100,'Inflicts 331 - 553 disease damage on targets in Area of Effect',0,0),
(88772,90081,9,100,'Inflicts 142 - 174 disease damage on targets in Area of Effect every 6 seconds',0,1),
(88775,90082,1,100,'Inflicts 233 - 389 disease damage on targets in Area of Effect',0,0),
(88776,90082,1,100,'Inflicts 100 - 123 disease damage on targets in Area of Effect every 6 seconds',0,1),
(88777,90082,2,100,'Inflicts 246 - 411 disease damage on targets in Area of Effect',0,0),
(88778,90082,2,100,'Inflicts 106 - 129 disease damage on targets in Area of Effect every 6 seconds',0,1),
(88779,90082,3,100,'Inflicts 259 - 433 disease damage on targets in Area of Effect',0,0),
(88780,90082,3,100,'Inflicts 111 - 136 disease damage on targets in Area of Effect every 6 seconds',0,1),
(88781,90082,4,100,'Inflicts 285 - 476 disease damage on targets in Area of Effect',0,0),
(88782,90082,4,100,'Inflicts 123 - 150 disease damage on targets in Area of Effect every 6 seconds',0,1),
(88783,90082,5,100,'Inflicts 311 - 519 disease damage on targets in Area of Effect',0,0),
(88784,90082,5,100,'Inflicts 134 - 163 disease damage on targets in Area of Effect every 6 seconds',0,1),
(88785,90082,7,100,'Inflicts 400 - 667 disease damage on targets in Area of Effect',0,0),
(88786,90082,7,100,'Inflicts 172 - 210 disease damage on targets in Area of Effect every 6 seconds',0,1),
(88787,90082,9,100,'Inflicts 415 - 693 disease damage on targets in Area of Effect',0,0),
(88788,90082,9,100,'Inflicts 178 - 218 disease damage on targets in Area of Effect every 6 seconds',0,1),
(88791,90083,1,100,'Inflicts 282 - 470 disease damage on targets in Area of Effect',0,0),
(88792,90083,1,100,'Inflicts 121 - 148 disease damage on targets in Area of Effect every 6 seconds',0,1),
(88793,90083,4,100,'Inflicts 345 - 575 disease damage on targets in Area of Effect',0,0),
(88794,90083,4,100,'Inflicts 148 - 181 disease damage on targets in Area of Effect every 6 seconds',0,1),
(88795,90083,5,100,'Inflicts 376 - 627 disease damage on targets in Area of Effect',0,0),
(88796,90083,5,100,'Inflicts 161 - 197 disease damage on targets in Area of Effect every 6 seconds',0,1),
(88797,90083,7,100,'Inflicts 483 - 805 disease damage on targets in Area of Effect',0,0),
(88798,90083,7,100,'Inflicts 207 - 253 disease damage on targets in Area of Effect every 6 seconds',0,1),
(88799,90083,9,100,'Inflicts 502 - 837 disease damage on targets in Area of Effect',0,0),
(88800,90083,9,100,'Inflicts 215 - 263 disease damage on targets in Area of Effect every 6 seconds',0,1),
(88801,90084,1,100,'Inflicts 365 - 609 disease damage on targets in Area of Effect',0,0),
(88802,90084,1,100,'Inflicts 136 - 167 disease damage on targets in Area of Effect every 6 seconds',0,1),
(88803,90084,4,100,'Inflicts 446 - 744 disease damage on targets in Area of Effect',0,0),
(88804,90084,4,100,'Inflicts 167 - 204 disease damage on targets in Area of Effect every 6 seconds',0,1),
(88805,90084,5,100,'Inflicts 487 - 812 disease damage on targets in Area of Effect',0,0),
(88806,90084,5,100,'Inflicts 182 - 222 disease damage on targets in Area of Effect every 6 seconds',0,1),
(88807,90084,7,100,'Inflicts 625 - 1042 disease damage on targets in Area of Effect',0,0),
(88808,90084,7,100,'Inflicts 233 - 285 disease damage on targets in Area of Effect every 6 seconds',0,1),
(88809,90084,9,100,'Inflicts 650 - 1083 disease damage on targets in Area of Effect',0,0),
(88810,90084,9,100,'Inflicts 242 - 296 disease damage on targets in Area of Effect every 6 seconds',0,1),
(88811,2000393,1,100,'Wards target against all damage. The amount is increased the closer the ally is to death.',0,0),
(88812,2000394,1,100,'Inflicts 3 - 5 disease damage on target',0,0),
(88813,2000394,1,100,'Inflicts 3 - 5 disease damage on target',0,1),
(88814,2000394,1,100,'Inflicts 3 - 5 disease damage on target',0,2),
(88815,2000394,1,100,'Inflicts 3 - 5 disease damage on target',0,3),
(88816,2000394,1,100,'Inflicts 3 - 5 disease damage on target',0,4),
(88817,2000394,1,100,'Target will have their chance to hit with a weapon lowered by 7.5%',0,5),
(88818,2000394,1,100,'Your target must be inflicted with Graverot.',0,6),
(88819,170039,1,100,'Inflicts 3 - 4 divine damage on target instantly and every 3 seconds',0,0),
(88820,170039,1,100,'Decreases Defense of target by 1.1',0,1),
(88821,170039,2,100,'Inflicts 3 - 4 divine damage on target instantly and every 3 seconds',0,0),
(88822,170039,2,100,'Decreases Defense of target by 1.1',0,1),
(88823,170039,3,100,'Inflicts 4 divine damage on target instantly and every 3 seconds',0,0),
(88824,170039,3,100,'Decreases Defense of target by 1.2',0,1),
(88825,170039,4,100,'Inflicts 4 - 5 divine damage on target instantly and every 3 seconds',0,0),
(88826,170039,4,100,'Decreases Defense of target by 1.3',0,1),
(88827,170039,5,100,'Inflicts 4 - 5 divine damage on target instantly and every 3 seconds',0,0),
(88828,170039,5,100,'Decreases Defense of target by 1.4',0,1),
(88829,170039,7,100,'Inflicts 6 - 7 divine damage on target instantly and every 3 seconds',0,0),
(88830,170039,7,100,'Decreases Defense of target by 1.8',0,1),
(88831,170039,9,100,'Inflicts 6 - 7 divine damage on target instantly and every 3 seconds',0,0),
(88832,170039,9,100,'Decreases Defense of target by 1.9',0,1),
(88833,170040,1,100,'Inflicts 11 - 14 divine damage on target instantly and every 3 seconds',0,0),
(88834,170040,1,100,'Decreases Defense of target by 2.5',0,1),
(88835,170040,2,100,'Inflicts 12 - 15 divine damage on target instantly and every 3 seconds',0,0),
(88836,170040,2,100,'Decreases Defense of target by 2.7',0,1),
(88837,170040,3,100,'Inflicts 13 - 16 divine damage on target instantly and every 3 seconds',0,0),
(88838,170040,3,100,'Decreases Defense of target by 2.8',0,1),
(88839,170040,4,100,'Inflicts 14 - 17 divine damage on target instantly and every 3 seconds',0,0),
(88840,170040,4,100,'Decreases Defense of target by 3.1',0,1),
(88841,170040,5,100,'Inflicts 15 - 19 divine damage on target instantly and every 3 seconds',0,0),
(88842,170040,5,100,'Decreases Defense of target by 3.4',0,1),
(88843,170040,7,100,'Inflicts 20 - 24 divine damage on target instantly and every 3 seconds',0,0),
(88844,170040,7,100,'Decreases Defense of target by 4.3',0,1),
(88845,170040,9,100,'Inflicts 20 - 25 divine damage on target instantly and every 3 seconds',0,0),
(88846,170040,9,100,'Decreases Defense of target by 4.5',0,1),
(88847,170041,1,100,'Inflicts 21 - 26 divine damage on target instantly and every 3 seconds',0,0),
(88848,170041,1,100,'Decreases Defense of target by 4.6',0,1),
(88849,170041,2,100,'Inflicts 22 - 27 divine damage on target instantly and every 3 seconds',0,0),
(88850,170041,2,100,'Decreases Defense of target by 4.8',0,1),
(88851,170041,3,100,'Inflicts 24 - 29 divine damage on target instantly and every 3 seconds',0,0),
(88852,170041,3,100,'Decreases Defense of target by 5.1',0,1),
(88853,170041,4,100,'Inflicts 26 - 32 divine damage on target instantly and every 3 seconds',0,0),
(88854,170041,4,100,'Decreases Defense of target by 5.6',0,1),
(88855,170041,5,100,'Inflicts 28 - 34 divine damage on target instantly and every 3 seconds',0,0),
(88856,170041,5,100,'Decreases Defense of target by 6.1',0,1),
(88857,170041,7,100,'Inflicts 36 - 44 divine damage on target instantly and every 3 seconds',0,0),
(88858,170041,7,100,'Decreases Defense of target by 7.9',0,1),
(88859,170041,9,100,'Inflicts 38 - 46 divine damage on target instantly and every 3 seconds',0,0),
(88860,170041,9,100,'Decreases Defense of target by 8.2',0,1),
(88861,170042,1,100,'Inflicts 41 - 50 divine damage on target instantly and every 3 seconds',0,0),
(88862,170042,1,100,'Decreases Defense of target by 8.4',0,1),
(88863,170042,2,100,'Inflicts 43 - 53 divine damage on target instantly and every 3 seconds',0,0),
(88864,170042,2,100,'Decreases Defense of target by 8.8',0,1),
(88865,170042,3,100,'Inflicts 45 - 56 divine damage on target instantly and every 3 seconds',0,0),
(88866,170042,3,100,'Decreases Defense of target by 9.3',0,1),
(88867,170042,4,100,'Inflicts 50 - 61 divine damage on target instantly and every 3 seconds',0,0),
(88868,170042,4,100,'Decreases Defense of target by 10.2',0,1),
(88869,170042,5,100,'Inflicts 54 - 67 divine damage on target instantly and every 3 seconds',0,0),
(88870,170042,5,100,'Decreases Defense of target by 11.2',0,1),
(88871,170042,7,100,'Inflicts 70 - 85 divine damage on target instantly and every 3 seconds',0,0),
(88872,170042,7,100,'Decreases Defense of target by 14.3',0,1),
(88873,170042,9,100,'Inflicts 73 - 89 divine damage on target instantly and every 3 seconds',0,0),
(88874,170042,9,100,'Decreases Defense of target by 14.9',0,1),
(88875,170043,1,100,'Inflicts 161 - 196 divine damage on target instantly and every 3 seconds',0,0),
(88876,170043,1,100,'Decreases Defense of target by 26.8',0,1),
(88877,170043,4,100,'Inflicts 196 - 240 divine damage on target instantly and every 3 seconds',0,0),
(88878,170043,4,100,'Decreases Defense of target by 32.8',0,1),
(88879,170043,5,100,'Inflicts 214 - 262 divine damage on target instantly and every 3 seconds',0,0),
(88880,170043,5,100,'Decreases Defense of target by 35.8',0,1),
(88881,170043,7,100,'Inflicts 275 - 336 divine damage on target instantly and every 3 seconds',0,0),
(88882,170043,7,100,'Decreases Defense of target by 45.9',0,1),
(88883,170043,9,100,'Inflicts 286 - 349 divine damage on target instantly and every 3 seconds',0,0),
(88884,170043,9,100,'Decreases Defense of target by 47.7',0,1),
(88885,170043,10,100,'Inflicts 300 - 366 divine damage on target instantly and every 3 seconds',0,0),
(88886,170043,10,100,'Decreases Defense of target by 50.1',0,1),
(88887,170044,1,100,'Inflicts 63 - 77 divine damage on target instantly and every 3 seconds',0,0),
(88888,170044,1,100,'Decreases Defense of target by 12.1',0,1),
(88889,170044,2,100,'Inflicts 67 - 81 divine damage on target instantly and every 3 seconds',0,0),
(88890,170044,2,100,'Decreases Defense of target by 12.8',0,1),
(88891,170044,3,100,'Inflicts 70 - 86 divine damage on target instantly and every 3 seconds',0,0),
(88892,170044,3,100,'Decreases Defense of target by 13.5',0,1),
(88893,170044,4,100,'Inflicts 77 - 94 divine damage on target instantly and every 3 seconds',0,0),
(88894,170044,4,100,'Decreases Defense of target by 14.9',0,1),
(88895,170044,5,100,'Inflicts 84 - 103 divine damage on target instantly and every 3 seconds',0,0),
(88896,170044,5,100,'Decreases Defense of target by 16.2',0,1),
(88897,170044,7,100,'Inflicts 108 - 132 divine damage on target instantly and every 3 seconds',0,0),
(88898,170044,7,100,'Decreases Defense of target by 20.8',0,1),
(88899,170044,9,100,'Inflicts 112 - 137 divine damage on target instantly and every 3 seconds',0,0),
(88900,170044,9,100,'Decreases Defense of target by 21.6',0,1),
(88901,170045,1,100,'Inflicts 89 - 108 divine damage on target instantly and every 3 seconds',0,0),
(88902,170045,1,100,'Decreases Defense of target by 15.9',0,1),
(88903,170045,2,100,'Inflicts 94 - 114 divine damage on target instantly and every 3 seconds',0,0),
(88904,170045,2,100,'Decreases Defense of target by 16.8',0,1),
(88905,170045,3,100,'Inflicts 99 - 120 divine damage on target instantly and every 3 seconds',0,0),
(88906,170045,3,100,'Decreases Defense of target by 17.7',0,1),
(88907,170045,4,100,'Inflicts 108 - 133 divine damage on target instantly and every 3 seconds',0,0),
(88908,170045,4,100,'Decreases Defense of target by 19.5',0,1),
(88909,170045,5,100,'Inflicts 118 - 145 divine damage on target instantly and every 3 seconds',0,0),
(88910,170045,5,100,'Decreases Defense of target by 21.2',0,1),
(88911,170045,7,100,'Inflicts 152 - 186 divine damage on target instantly and every 3 seconds',0,0),
(88912,170045,7,100,'Decreases Defense of target by 27.3',0,1),
(88913,170045,9,100,'Inflicts 158 - 193 divine damage on target instantly and every 3 seconds',0,0),
(88914,170045,9,100,'Decreases Defense of target by 28.3',0,1),
(88915,170046,1,100,'Inflicts 113 - 139 divine damage on target instantly and every 3 seconds',0,0),
(88916,170046,1,100,'Decreases Defense of target by 19.6',0,1),
(88917,170046,2,100,'Inflicts 120 - 146 divine damage on target instantly and every 3 seconds',0,0),
(88918,170046,2,100,'Decreases Defense of target by 20.7',0,1),
(88919,170046,3,100,'Inflicts 126 - 154 divine damage on target instantly and every 3 seconds',0,0),
(88920,170046,3,100,'Decreases Defense of target by 21.8',0,1),
(88921,170046,4,100,'Inflicts 139 - 169 divine damage on target instantly and every 3 seconds',0,0),
(88922,170046,4,100,'Decreases Defense of target by 24.0',0,1),
(88923,170046,5,100,'Inflicts 151 - 185 divine damage on target instantly and every 3 seconds',0,0),
(88924,170046,5,100,'Decreases Defense of target by 26.2',0,1),
(88925,170046,7,100,'Inflicts 194 - 237 divine damage on target instantly and every 3 seconds',0,0),
(88926,170046,7,100,'Decreases Defense of target by 33.6',0,1),
(88927,170046,9,100,'Inflicts 202 - 246 divine damage on target instantly and every 3 seconds',0,0),
(88928,170046,9,100,'Decreases Defense of target by 34.9',0,1),
(88929,170046,10,100,'Inflicts 212 - 259 divine damage on target instantly and every 3 seconds',0,0),
(88930,170046,10,100,'Decreases Defense of target by 36.6',0,1),
(88931,170047,1,100,'Inflicts 137 - 168 divine damage on target instantly and every 3 seconds',0,0),
(88932,170047,1,100,'Decreases Defense of target by 23.2',0,1),
(88933,170047,4,100,'Inflicts 168 - 205 divine damage on target instantly and every 3 seconds',0,0),
(88934,170047,4,100,'Decreases Defense of target by 28.4',0,1),
(88935,170047,5,100,'Inflicts 183 - 224 divine damage on target instantly and every 3 seconds',0,0),
(88936,170047,5,100,'Decreases Defense of target by 31.0',0,1),
(88937,170047,7,100,'Inflicts 235 - 287 divine damage on target instantly and every 3 seconds',0,0),
(88938,170047,7,100,'Decreases Defense of target by 39.7',0,1),
(88939,170047,9,100,'Inflicts 244 - 298 divine damage on target instantly and every 3 seconds',0,0),
(88940,170047,9,100,'Decreases Defense of target by 41.3',0,1),
(88941,170047,10,100,'Inflicts 256 - 313 divine damage on target instantly and every 3 seconds',0,0),
(88942,170047,10,100,'Decreases Defense of target by 43.3',0,1),
(88943,370069,1,100,'Increases AGI of caster by 17.5',0,0),
(88944,370069,1,100,'Increases Fervor of caster by 2.0',0,1),
(88945,370069,1,100,'Adds 14.0% to base avoidance.',0,2),
(88946,370069,1,100,'Increases Mitigation of caster vs physical damage by 140',0,3),
(88947,370069,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 183',0,4),
(88948,370069,1,100,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',0,5),
(88949,370069,2,100,'Increases AGI of caster by 18.5',0,0),
(88950,370069,2,100,'Increases Fervor of caster by 2.0',0,1),
(88951,370069,2,100,'Adds 14.8% to base avoidance.',0,2),
(88952,370069,2,100,'Increases Mitigation of caster vs physical damage by 148',0,3),
(88953,370069,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 193',0,4),
(88954,370069,2,100,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',0,5),
(88955,370069,3,100,'Increases AGI of caster by 19.4',0,0),
(88956,370069,3,100,'Increases Fervor of caster by 2.0',0,1),
(88957,370069,3,100,'Adds 15.6% to base avoidance.',0,2),
(88958,370069,3,100,'Increases Mitigation of caster vs physical damage by 156',0,3),
(88959,370069,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 203',0,4),
(88960,370069,3,100,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',0,5),
(88961,370069,4,100,'Increases AGI of caster by 21.4',0,0),
(88962,370069,4,100,'Increases Fervor of caster by 2.0',0,1),
(88963,370069,4,100,'Adds 17.2% to base avoidance.',0,2),
(88964,370069,4,100,'Increases Mitigation of caster vs physical damage by 172',0,3),
(88965,370069,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 223',0,4),
(88966,370069,4,100,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',0,5),
(88967,370069,5,100,'Increases AGI of caster by 23.3',0,0),
(88968,370069,5,100,'Increases Fervor of caster by 2.0',0,1),
(88969,370069,5,100,'Adds 18.7% to base avoidance.',0,2),
(88970,370069,5,100,'Increases Mitigation of caster vs physical damage by 187',0,3),
(88971,370069,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 243',0,4),
(88972,370069,5,100,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',0,5),
(88973,370069,7,100,'Increases AGI of caster by 29.9',0,0),
(88974,370069,7,100,'Increases Fervor of caster by 2.0',0,1),
(88975,370069,7,100,'Adds 24.0% to base avoidance.',0,2),
(88976,370069,7,100,'Increases Mitigation of caster vs physical damage by 240',0,3),
(88977,370069,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 312',0,4),
(88978,370069,7,100,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',0,5),
(88979,370069,9,100,'Increases AGI of caster by 31.1',0,0),
(88980,370069,9,100,'Increases Fervor of caster by 2.0',0,1),
(88981,370069,9,100,'Adds 25.0% to base avoidance.',0,2),
(88982,370069,9,100,'Increases Mitigation of caster vs physical damage by 250',0,3),
(88983,370069,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 324',0,4),
(88984,370069,9,100,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',0,5),
(88985,370070,1,100,'Increases AGI of caster by 32.9',0,0),
(88986,370070,1,100,'Increases Fervor of caster by 2.0',0,1),
(88987,370070,1,100,'Adds 14.0% to base avoidance.',0,2),
(88988,370070,1,100,'Increases Mitigation of caster vs physical damage by 292',0,3),
(88989,370070,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 379',0,4),
(88990,370070,1,100,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',0,5),
(88991,370070,2,100,'Increases AGI of caster by 34.7',0,0),
(88992,370070,2,100,'Increases Fervor of caster by 2.0',0,1),
(88993,370070,2,100,'Adds 14.8% to base avoidance.',0,2),
(88994,370070,2,100,'Increases Mitigation of caster vs physical damage by 308',0,3),
(88995,370070,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 400',0,4),
(88996,370070,2,100,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',0,5),
(88997,370070,3,100,'Increases AGI of caster by 36.6',0,0),
(88998,370070,3,100,'Increases Fervor of caster by 2.0',0,1),
(88999,370070,3,100,'Adds 15.6% to base avoidance.',0,2),
(89000,370070,3,100,'Increases Mitigation of caster vs physical damage by 324',0,3),
(89001,370070,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 421',0,4),
(89002,370070,3,100,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',0,5),
(89003,370070,4,100,'Increases AGI of caster by 40.2',0,0),
(89004,370070,4,100,'Increases Fervor of caster by 2.0',0,1),
(89005,370070,4,100,'Adds 17.2% to base avoidance.',0,2),
(89006,370070,4,100,'Increases Mitigation of caster vs physical damage by 356',0,3),
(89007,370070,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 463',0,4),
(89008,370070,4,100,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',0,5),
(89009,370070,5,100,'Increases AGI of caster by 43.9',0,0),
(89010,370070,5,100,'Increases Fervor of caster by 2.0',0,1),
(89011,370070,5,100,'Adds 18.7% to base avoidance.',0,2),
(89012,370070,5,100,'Increases Mitigation of caster vs physical damage by 389',0,3),
(89013,370070,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 505',0,4),
(89014,370070,5,100,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',0,5),
(89015,370070,7,100,'Increases AGI of caster by 56.3',0,0),
(89016,370070,7,100,'Increases Fervor of caster by 2.0',0,1),
(89017,370070,7,100,'Adds 24.0% to base avoidance.',0,2),
(89018,370070,7,100,'Increases Mitigation of caster vs physical damage by 499',0,3),
(89019,370070,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 649',0,4),
(89020,370070,7,100,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',0,5),
(89021,370070,9,100,'Increases AGI of caster by 58.5',0,0),
(89022,370070,9,100,'Increases Fervor of caster by 2.0',0,1),
(89023,370070,9,100,'Adds 25.0% to base avoidance.',0,2),
(89024,370070,9,100,'Increases Mitigation of caster vs physical damage by 518',0,3),
(89025,370070,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 674',0,4),
(89026,370070,9,100,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',0,5),
(89027,370071,1,100,'Increases AGI of caster by 50.1',0,0),
(89028,370071,1,100,'Increases Fervor of caster by 2.0',0,1),
(89029,370071,1,100,'Adds 14.0% to base avoidance.',0,2),
(89030,370071,1,100,'Increases Mitigation of caster vs physical damage by 443',0,3),
(89031,370071,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 576',0,4),
(89032,370071,1,100,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',0,5),
(89033,370071,2,100,'Increases AGI of caster by 52.9',0,0),
(89034,370071,2,100,'Increases Fervor of caster by 2.0',0,1),
(89035,370071,2,100,'Adds 14.8% to base avoidance.',0,2),
(89036,370071,2,100,'Increases Mitigation of caster vs physical damage by 467',0,3),
(89037,370071,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 608',0,4),
(89038,370071,2,100,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',0,5),
(89039,370071,3,100,'Increases AGI of caster by 55.7',0,0),
(89040,370071,3,100,'Increases Fervor of caster by 2.0',0,1),
(89041,370071,3,100,'Adds 15.6% to base avoidance.',0,2),
(89042,370071,3,100,'Increases Mitigation of caster vs physical damage by 492',0,3),
(89043,370071,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 640',0,4),
(89044,370071,3,100,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',0,5),
(89045,370071,4,100,'Increases AGI of caster by 61.2',0,0),
(89046,370071,4,100,'Increases Fervor of caster by 2.0',0,1),
(89047,370071,4,100,'Adds 17.2% to base avoidance.',0,2),
(89048,370071,4,100,'Increases Mitigation of caster vs physical damage by 541',0,3),
(89049,370071,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 704',0,4),
(89050,370071,4,100,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',0,5),
(89051,370071,5,100,'Increases AGI of caster by 66.8',0,0),
(89052,370071,5,100,'Increases Fervor of caster by 2.0',0,1),
(89053,370071,5,100,'Adds 18.7% to base avoidance.',0,2),
(89054,370071,5,100,'Increases Mitigation of caster vs physical damage by 590',0,3),
(89055,370071,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 768',0,4),
(89056,370071,5,100,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',0,5),
(89057,370071,7,100,'Increases AGI of caster by 85.7',0,0),
(89058,370071,7,100,'Increases Fervor of caster by 2.0',0,1),
(89059,370071,7,100,'Adds 24.0% to base avoidance.',0,2),
(89060,370071,7,100,'Increases Mitigation of caster vs physical damage by 758',0,3),
(89061,370071,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 985',0,4),
(89062,370071,7,100,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',0,5),
(89063,370071,9,100,'Increases AGI of caster by 89.0',0,0),
(89064,370071,9,100,'Increases Fervor of caster by 2.0',0,1),
(89065,370071,9,100,'Adds 25.0% to base avoidance.',0,2),
(89066,370071,9,100,'Increases Mitigation of caster vs physical damage by 787',0,3),
(89067,370071,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1023',0,4),
(89068,370071,9,100,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',0,5),
(89069,370072,1,100,'Increases AGI of caster by 67.7',0,0),
(89070,370072,1,100,'Increases Fervor of caster by 2.0',0,1),
(89071,370072,1,100,'Adds 14.0% to base avoidance.',0,2),
(89072,370072,1,100,'Increases Mitigation of caster vs physical damage by 594',0,3),
(89073,370072,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 772',0,4),
(89074,370072,1,100,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',0,5),
(89075,370072,2,100,'Increases AGI of caster by 71.5',0,0),
(89076,370072,2,100,'Increases Fervor of caster by 2.0',0,1),
(89077,370072,2,100,'Adds 14.8% to base avoidance.',0,2),
(89078,370072,2,100,'Increases Mitigation of caster vs physical damage by 627',0,3),
(89079,370072,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 815',0,4),
(89080,370072,2,100,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',0,5),
(89081,370072,3,100,'Increases AGI of caster by 75.2',0,0),
(89082,370072,3,100,'Increases Fervor of caster by 2.0',0,1),
(89083,370072,3,100,'Adds 15.6% to base avoidance.',0,2),
(89084,370072,3,100,'Increases Mitigation of caster vs physical damage by 660',0,3),
(89085,370072,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 858',0,4),
(89086,370072,3,100,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',0,5),
(89087,370072,4,100,'Increases AGI of caster by 82.8',0,0),
(89088,370072,4,100,'Increases Fervor of caster by 2.0',0,1),
(89089,370072,4,100,'Adds 17.2% to base avoidance.',0,2),
(89090,370072,4,100,'Increases Mitigation of caster vs physical damage by 726',0,3),
(89091,370072,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 944',0,4),
(89092,370072,4,100,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',0,5),
(89093,370072,5,100,'Increases AGI of caster by 90.3',0,0),
(89094,370072,5,100,'Increases Fervor of caster by 2.0',0,1),
(89095,370072,5,100,'Adds 18.7% to base avoidance.',0,2),
(89096,370072,5,100,'Increases Mitigation of caster vs physical damage by 792',0,3),
(89097,370072,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1030',0,4),
(89098,370072,5,100,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',0,5),
(89099,370072,7,100,'Increases AGI of caster by 115.9',0,0),
(89100,370072,7,100,'Increases Fervor of caster by 2.0',0,1),
(89101,370072,7,100,'Adds 24.0% to base avoidance.',0,2),
(89102,370072,7,100,'Increases Mitigation of caster vs physical damage by 1016',0,3),
(89103,370072,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1321',0,4),
(89104,370072,7,100,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',0,5),
(89105,370072,9,100,'Increases AGI of caster by 120.4',0,0),
(89106,370072,9,100,'Increases Fervor of caster by 2.0',0,1),
(89107,370072,9,100,'Adds 25.0% to base avoidance.',0,2),
(89108,370072,9,100,'Increases Mitigation of caster vs physical damage by 1056',0,3),
(89109,370072,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1373',0,4),
(89110,370072,9,100,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',0,5),
(89111,370073,1,100,'Increases AGI of caster by 85.4',0,0),
(89112,370073,1,100,'Increases Fervor of caster by 2.0',0,1),
(89113,370073,1,100,'Adds 14.0% to base avoidance.',0,2),
(89114,370073,1,100,'Increases Mitigation of caster vs physical damage by 745',0,3),
(89115,370073,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 969',0,4),
(89116,370073,1,100,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',0,5),
(89117,370073,2,100,'Increases AGI of caster by 90.1',0,0),
(89118,370073,2,100,'Increases Fervor of caster by 2.0',0,1),
(89119,370073,2,100,'Adds 14.8% to base avoidance.',0,2),
(89120,370073,2,100,'Increases Mitigation of caster vs physical damage by 787',0,3),
(89121,370073,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1023',0,4),
(89122,370073,2,100,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',0,5),
(89123,370073,3,100,'Increases AGI of caster by 94.8',0,0),
(89124,370073,3,100,'Increases Fervor of caster by 2.0',0,1),
(89125,370073,3,100,'Adds 15.6% to base avoidance.',0,2),
(89126,370073,3,100,'Increases Mitigation of caster vs physical damage by 828',0,3),
(89127,370073,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1076',0,4),
(89128,370073,3,100,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',0,5),
(89129,370073,4,100,'Increases AGI of caster by 104.3',0,0),
(89130,370073,4,100,'Increases Fervor of caster by 2.0',0,1),
(89131,370073,4,100,'Adds 17.2% to base avoidance.',0,2),
(89132,370073,4,100,'Increases Mitigation of caster vs physical damage by 911',0,3),
(89133,370073,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1184',0,4),
(89134,370073,4,100,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',0,5),
(89135,370073,5,100,'Increases AGI of caster by 113.8',0,0),
(89136,370073,5,100,'Increases Fervor of caster by 2.0',0,1),
(89137,370073,5,100,'Adds 18.7% to base avoidance.',0,2),
(89138,370073,5,100,'Increases Mitigation of caster vs physical damage by 994',0,3),
(89139,370073,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1292',0,4),
(89140,370073,5,100,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',0,5),
(89141,370073,7,100,'Increases AGI of caster by 146.1',0,0),
(89142,370073,7,100,'Increases Fervor of caster by 2.0',0,1),
(89143,370073,7,100,'Adds 24.0% to base avoidance.',0,2),
(89144,370073,7,100,'Increases Mitigation of caster vs physical damage by 1275',0,3),
(89145,370073,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1658',0,4),
(89146,370073,7,100,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',0,5),
(89147,370073,9,100,'Increases AGI of caster by 151.8',0,0),
(89148,370073,9,100,'Increases Fervor of caster by 2.0',0,1),
(89149,370073,9,100,'Adds 25.0% to base avoidance.',0,2),
(89150,370073,9,100,'Increases Mitigation of caster vs physical damage by 1325',0,3),
(89151,370073,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1722',0,4),
(89152,370073,9,100,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',0,5),
(89153,370074,1,100,'Increases AGI of caster by 102.2',0,0),
(89154,370074,1,100,'Increases Fervor of caster by 2.0',0,1),
(89155,370074,1,100,'Adds 14.0% to base avoidance.',0,2),
(89156,370074,1,100,'Increases Mitigation of caster vs physical damage by 853',0,3),
(89157,370074,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1109',0,4),
(89158,370074,1,100,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',0,5),
(89159,370074,2,100,'Increases AGI of caster by 107.9',0,0),
(89160,370074,2,100,'Increases Fervor of caster by 2.0',0,1),
(89161,370074,2,100,'Adds 14.8% to base avoidance.',0,2),
(89162,370074,2,100,'Increases Mitigation of caster vs physical damage by 901',0,3),
(89163,370074,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1171',0,4),
(89164,370074,2,100,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',0,5),
(89165,370074,3,100,'Increases AGI of caster by 113.6',0,0),
(89166,370074,3,100,'Increases Fervor of caster by 2.0',0,1),
(89167,370074,3,100,'Adds 15.6% to base avoidance.',0,2),
(89168,370074,3,100,'Increases Mitigation of caster vs physical damage by 948',0,3),
(89169,370074,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1232',0,4),
(89170,370074,3,100,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',0,5),
(89171,370074,4,100,'Increases AGI of caster by 124.9',0,0),
(89172,370074,4,100,'Increases Fervor of caster by 2.0',0,1),
(89173,370074,4,100,'Adds 17.2% to base avoidance.',0,2),
(89174,370074,4,100,'Increases Mitigation of caster vs physical damage by 1043',0,3),
(89175,370074,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1356',0,4),
(89176,370074,4,100,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',0,5),
(89177,370074,5,100,'Increases AGI of caster by 136.3',0,0),
(89178,370074,5,100,'Increases Fervor of caster by 2.0',0,1),
(89179,370074,5,100,'Adds 18.7% to base avoidance.',0,2),
(89180,370074,5,100,'Increases Mitigation of caster vs physical damage by 1138',0,3),
(89181,370074,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1479',0,4),
(89182,370074,5,100,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',0,5),
(89183,370074,7,100,'Increases AGI of caster by 174.9',0,0),
(89184,370074,7,100,'Increases Fervor of caster by 2.0',0,1),
(89185,370074,7,100,'Adds 24.0% to base avoidance.',0,2),
(89186,370074,7,100,'Increases Mitigation of caster vs physical damage by 1460',0,3),
(89187,370074,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1898',0,4),
(89188,370074,7,100,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',0,5),
(89189,370074,9,100,'Increases AGI of caster by 181.7',0,0),
(89190,370074,9,100,'Increases Fervor of caster by 2.0',0,1),
(89191,370074,9,100,'Adds 25.0% to base avoidance.',0,2),
(89192,370074,9,100,'Increases Mitigation of caster vs physical damage by 1517',0,3),
(89193,370074,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1972',0,4),
(89194,370074,9,100,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',0,5),
(89195,370075,1,100,'Increases AGI of caster by 119.5',0,0),
(89196,370075,1,100,'Increases Fervor of caster by 2.0',0,1),
(89197,370075,1,100,'Adds 14.0% to base avoidance.',0,2),
(89198,370075,1,100,'Increases Mitigation of caster vs physical damage by 961',0,3),
(89199,370075,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1250',0,4),
(89200,370075,1,100,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',0,5),
(89201,370075,4,100,'Increases AGI of caster by 146.1',0,0),
(89202,370075,4,100,'Increases Fervor of caster by 2.0',0,1),
(89203,370075,4,100,'Adds 17.2% to base avoidance.',0,2),
(89204,370075,4,100,'Increases Mitigation of caster vs physical damage by 1175',0,3),
(89205,370075,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1527',0,4),
(89206,370075,4,100,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',0,5),
(89207,370075,5,100,'Increases AGI of caster by 159.4',0,0),
(89208,370075,5,100,'Increases Fervor of caster by 2.0',0,1),
(89209,370075,5,100,'Adds 18.7% to base avoidance.',0,2),
(89210,370075,5,100,'Increases Mitigation of caster vs physical damage by 1282',0,3),
(89211,370075,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1666',0,4),
(89212,370075,5,100,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',0,5),
(89213,370075,7,100,'Increases AGI of caster by 204.6',0,0),
(89214,370075,7,100,'Increases Fervor of caster by 2.0',0,1),
(89215,370075,7,100,'Adds 24.0% to base avoidance.',0,2),
(89216,370075,7,100,'Increases Mitigation of caster vs physical damage by 1645',0,3),
(89217,370075,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2138',0,4),
(89218,370075,7,100,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',0,5),
(89219,370075,9,100,'Increases AGI of caster by 212.5',0,0),
(89220,370075,9,100,'Increases Fervor of caster by 2.0',0,1),
(89221,370075,9,100,'Adds 25.0% to base avoidance.',0,2),
(89222,370075,9,100,'Increases Mitigation of caster vs physical damage by 1709',0,3),
(89223,370075,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2221',0,4),
(89224,370075,9,100,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',0,5),
(89225,370076,1,100,'Increases AGI of caster by 136.9',0,0),
(89226,370076,1,100,'Increases Fervor of caster by 2.0',0,1),
(89227,370076,1,100,'Adds 18.3% to base avoidance.',0,2),
(89228,370076,1,100,'Increases Mitigation of caster vs physical damage by 1390',0,3),
(89229,370076,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1807',0,4),
(89230,370076,1,100,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',0,5),
(89231,370076,4,100,'Increases AGI of caster by 167.3',0,0),
(89232,370076,4,100,'Increases Fervor of caster by 2.0',0,1),
(89233,370076,4,100,'Adds 22.3% to base avoidance.',0,2),
(89234,370076,4,100,'Increases Mitigation of caster vs physical damage by 1699',0,3),
(89235,370076,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2208',0,4),
(89236,370076,4,100,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',0,5),
(89237,370076,5,100,'Increases AGI of caster by 182.5',0,0),
(89238,370076,5,100,'Increases Fervor of caster by 2.0',0,1),
(89239,370076,5,100,'Adds 24.3% to base avoidance.',0,2),
(89240,370076,5,100,'Increases Mitigation of caster vs physical damage by 1853',0,3),
(89241,370076,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2409',0,4),
(89242,370076,5,100,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',0,5),
(89243,370076,7,100,'Increases AGI of caster by 234.2',0,0),
(89244,370076,7,100,'Increases Fervor of caster by 2.0',0,1),
(89245,370076,7,100,'Adds 31.2% to base avoidance.',0,2),
(89246,370076,7,100,'Increases Mitigation of caster vs physical damage by 2378',0,3),
(89247,370076,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 3092',0,4),
(89248,370076,7,100,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',0,5),
(89249,370076,9,100,'Increases AGI of caster by 243.3',0,0),
(89250,370076,9,100,'Increases Fervor of caster by 2.0',0,1),
(89251,370076,9,100,'Adds 32.4% to base avoidance.',0,2),
(89252,370076,9,100,'Increases Mitigation of caster vs physical damage by 2471',0,3),
(89253,370076,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 3212',0,4),
(89254,370076,9,100,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',0,5),
(89255,300052,3,100,'Feigns Death with 100% chance of success',0,0),
(89256,200067,1,100,'Wards target against all damage. The amount is increased the closer the ally is to death.',0,0),
(89257,200067,2,100,'Wards target against all damage. The amount is increased the closer the ally is to death.',0,0),
(89258,200067,3,100,'Wards target against all damage. The amount is increased the closer the ally is to death.',0,0),
(89259,200067,4,100,'Wards target against all damage. The amount is increased the closer the ally is to death.',0,0),
(89260,200067,5,100,'Wards target against all damage. The amount is increased the closer the ally is to death.',0,0),
(89261,200067,7,100,'Wards target against all damage. The amount is increased the closer the ally is to death.',0,0),
(89262,200067,9,100,'Wards target against all damage. The amount is increased the closer the ally is to death.',0,0),
(89263,200068,1,100,'Wards target against all damage. The amount is increased the closer the ally is to death.',0,0),
(89264,200068,4,100,'Wards target against all damage. The amount is increased the closer the ally is to death.',0,0),
(89265,200068,5,100,'Wards target against all damage. The amount is increased the closer the ally is to death.',0,0),
(89266,200068,7,100,'Wards target against all damage. The amount is increased the closer the ally is to death.',0,0),
(89267,200068,9,100,'Wards target against all damage. The amount is increased the closer the ally is to death.',0,0),
(89268,200069,1,100,'Wards target against all damage. The amount is increased the closer the ally is to death.',0,0),
(89269,200069,4,100,'Wards target against all damage. The amount is increased the closer the ally is to death.',0,0),
(89270,200069,5,100,'Wards target against all damage. The amount is increased the closer the ally is to death.',0,0),
(89271,200069,7,100,'Wards target against all damage. The amount is increased the closer the ally is to death.',0,0),
(89272,200069,9,100,'Wards target against all damage. The amount is increased the closer the ally is to death.',0,0),
(89273,2000395,1,100,'Inflicts 1 - 2 poison damage on target',0,0),
(89274,2000395,1,100,'Inflicts 1 poison damage on target instantly and every 9 seconds',0,1),
(89275,2000395,1,100,'Decreases STR of target by 3.4',0,2),
(89276,2000395,1,100,'Decreases Haste of target by 9.0',0,3),
(89277,2000396,1,100,'Applies Debilitating Shock on termination.',0,0),
(89278,2000396,1,100,'Inflicts 2 - 3 poison damage on target',1,1),
(89279,2000396,1,100,'Decreases AGI, STR and STA of target by 5.4 - 8.9',1,2),
(89280,2000396,1,100,'Inflicts 0 piercing damage on target',0,3),
(89281,2000396,1,100,'Inflicts 1 poison damage on target every 12 seconds',0,4),
(89282,100133,1,100,'Interrupts target encounter',0,0),
(89283,100133,1,100,'Inflicts 139 - 231 divine damage on target encounter',0,1),
(89284,100133,2,100,'Interrupts target encounter',0,0),
(89285,100133,2,100,'Inflicts 146 - 244 divine damage on target encounter',0,1),
(89286,100133,3,100,'Interrupts target encounter',0,0),
(89287,100133,3,100,'Inflicts 154 - 257 divine damage on target encounter',0,1),
(89288,100133,4,100,'Interrupts target encounter',0,0),
(89289,100133,4,100,'Inflicts 169 - 282 divine damage on target encounter',0,1),
(89290,100133,5,100,'Interrupts target encounter',0,0),
(89291,100133,5,100,'Inflicts 185 - 308 divine damage on target encounter',0,1),
(89292,100133,7,100,'Interrupts target encounter',0,0),
(89293,100133,7,100,'Inflicts 237 - 395 divine damage on target encounter',0,1),
(89294,100133,9,100,'Interrupts target encounter',0,0),
(89295,100133,9,100,'Inflicts 246 - 410 divine damage on target encounter',0,1),
(89296,100134,1,100,'Interrupts target encounter',0,0),
(89297,100134,1,100,'Inflicts 208 - 347 divine damage on target encounter',0,1),
(89298,100134,2,100,'Interrupts target encounter',0,0),
(89299,100134,2,100,'Inflicts 220 - 367 divine damage on target encounter',0,1),
(89300,100134,3,100,'Interrupts target encounter',0,0),
(89301,100134,3,100,'Inflicts 232 - 386 divine damage on target encounter',0,1),
(89302,100134,4,100,'Interrupts target encounter',0,0),
(89303,100134,4,100,'Inflicts 255 - 425 divine damage on target encounter',0,1),
(89304,100134,5,100,'Interrupts target encounter',0,0),
(89305,100134,5,100,'Inflicts 278 - 463 divine damage on target encounter',0,1),
(89306,100134,7,100,'Interrupts target encounter',0,0),
(89307,100134,7,100,'Inflicts 357 - 595 divine damage on target encounter',0,1),
(89308,100134,9,100,'Interrupts target encounter',0,0),
(89309,100134,9,100,'Inflicts 371 - 618 divine damage on target encounter',0,1),
(89310,100135,1,100,'Interrupts target encounter',0,0),
(89311,100135,1,100,'Inflicts 253 - 421 divine damage on target encounter',0,1),
(89312,100135,2,100,'Interrupts target encounter',0,0),
(89313,100135,2,100,'Inflicts 267 - 445 divine damage on target encounter',0,1),
(89314,100135,3,100,'Interrupts target encounter',0,0),
(89315,100135,3,100,'Inflicts 281 - 468 divine damage on target encounter',0,1),
(89316,100135,4,100,'Interrupts target encounter',0,0),
(89317,100135,4,100,'Inflicts 309 - 515 divine damage on target encounter',0,1),
(89318,100135,5,100,'Interrupts target encounter',0,0),
(89319,100135,5,100,'Inflicts 337 - 562 divine damage on target encounter',0,1),
(89320,100135,7,100,'Interrupts target encounter',0,0),
(89321,100135,7,100,'Inflicts 433 - 721 divine damage on target encounter',0,1),
(89322,100135,9,100,'Interrupts target encounter',0,0),
(89323,100135,9,100,'Inflicts 449 - 749 divine damage on target encounter',0,1),
(89324,100136,1,100,'Interrupts target encounter',0,0),
(89325,100136,1,100,'Inflicts 304 - 507 divine damage on target encounter',0,1),
(89326,100136,4,100,'Interrupts target encounter',0,0),
(89327,100136,4,100,'Inflicts 372 - 620 divine damage on target encounter',0,1),
(89328,100136,5,100,'Interrupts target encounter',0,0),
(89329,100136,5,100,'Inflicts 405 - 676 divine damage on target encounter',0,1),
(89330,100136,7,100,'Interrupts target encounter',0,0),
(89331,100136,7,100,'Inflicts 520 - 867 divine damage on target encounter',0,1),
(89332,100136,9,100,'Interrupts target encounter',0,0),
(89333,100136,9,100,'Inflicts 541 - 901 divine damage on target encounter',0,1),
(89334,100137,1,100,'Interrupts target encounter',0,0),
(89335,100137,1,100,'Inflicts 323 - 538 divine damage on target encounter',0,1),
(89336,100137,4,100,'Interrupts target encounter',0,0),
(89337,100137,4,100,'Inflicts 394 - 657 divine damage on target encounter',0,1),
(89338,100137,5,100,'Interrupts target encounter',0,0),
(89339,100137,5,100,'Inflicts 430 - 717 divine damage on target encounter',0,1),
(89340,100137,7,100,'Interrupts target encounter',0,0),
(89341,100137,7,100,'Inflicts 552 - 920 divine damage on target encounter',0,1),
(89342,100137,9,100,'Interrupts target encounter',0,0),
(89343,100137,9,100,'Inflicts 574 - 956 divine damage on target encounter',0,1),
(89344,290049,1,100,'Applies Defensive Haven to qualifying pets.',0,0),
(89345,290049,1,100,'Wards target against 12 points of all damage',1,1),
(89346,290049,1,100,'Decreases Haste of target by 25.0',1,2),
(89347,290049,1,100,'Increases Max Health of target by 9.0%',1,3),
(89348,290049,1,100,'Increases Hate Gain of target by 11.9%',1,4),
(89349,290049,1,100,'Increases Aggression of target by 1.9',1,5),
(89350,290049,1,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 126',1,6),
(89351,290049,1,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,7),
(89352,290049,1,100,'Increases Threat to target encounter by 96 - 118 ',2,8),
(89355,290049,2,100,'Applies Defensive Haven to qualifying pets.',0,0),
(89356,290049,2,100,'Wards target against 13 points of all damage',1,1),
(89357,290049,2,100,'Decreases Haste of target by 25.0',1,2),
(89358,290049,2,100,'Increases Max Health of target by 9.5%',1,3),
(89359,290049,2,100,'Increases Hate Gain of target by 12.6%',1,4),
(89360,290049,2,100,'Increases Aggression of target by 2.0',1,5),
(89361,290049,2,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 133',1,6),
(89363,290049,2,100,'Increases Threat to target encounter by 102 - 124 ',2,8),
(89366,290049,3,100,'Applies Defensive Haven to qualifying pets.',0,0),
(89367,290049,3,100,'Wards target against 14 points of all damage',1,1),
(89368,290049,3,100,'Decreases Haste of target by 25.0',1,2),
(89369,290049,3,100,'Increases Max Health of target by 10.0%',1,3),
(89370,290049,3,100,'Increases Hate Gain of target by 13.3%',1,4),
(89371,290049,3,100,'Increases Aggression of target by 2.1',1,5),
(89372,290049,3,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 140',1,6),
(89373,290049,3,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,7),
(89374,290049,3,100,'Increases Threat to target encounter by 107 - 131 ',2,8),
(89377,290049,4,100,'Applies Defensive Haven to qualifying pets.',0,0),
(89378,290049,4,100,'Wards target against 15 points of all damage',1,1),
(89379,290049,4,100,'Decreases Haste of target by 25.0',1,2),
(89380,290049,4,100,'Increases Max Health of target by 11.0%',1,3),
(89381,290049,4,100,'Increases Hate Gain of target by 14.6%',1,4),
(89382,290049,4,100,'Increases Aggression of target by 2.3',1,5),
(89383,290049,4,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 154',1,6),
(89384,290049,4,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,7),
(89385,290049,4,100,'Increases Threat to target encounter by 118 - 144 ',2,8),
(89388,290049,5,100,'Applies Defensive Haven to qualifying pets.',0,0),
(89389,290049,5,100,'Wards target against 16 points of all damage',1,1),
(89390,290049,5,100,'Decreases Haste of target by 25.0',1,2),
(89391,290049,5,100,'Increases Max Health of target by 12.0%',1,3),
(89392,290049,5,100,'Increases Hate Gain of target by 15.9%',1,4),
(89393,290049,5,100,'Increases Aggression of target by 2.5',1,5),
(89394,290049,5,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 168',1,6),
(89395,290049,5,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,7),
(89396,290049,5,100,'Increases Threat to target encounter by 129 - 157 ',2,8),
(89399,290049,7,100,'Applies Defensive Haven to qualifying pets.',0,0),
(89400,290049,7,100,'Wards target against 21 points of all damage',1,1),
(89401,290049,7,100,'Decreases Haste of target by 25.0',1,2),
(89402,290049,7,100,'Increases Max Health of target by 15.4%',1,3),
(89403,290049,7,100,'Increases Hate Gain of target by 20.4%',1,4),
(89404,290049,7,100,'Increases Aggression of target by 3.2',1,5),
(89405,290049,7,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 216',1,6),
(89406,290049,7,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,7),
(89407,290049,7,100,'Increases Threat to target encounter by 165 - 202 ',2,8),
(89410,290049,9,100,'Applies Defensive Haven to qualifying pets.',0,0),
(89411,290049,9,100,'Wards target against 22 points of all damage',1,1),
(89412,290049,9,100,'Decreases Haste of target by 25.0',1,2),
(89413,290049,9,100,'Increases Max Health of target by 16.0%',1,3),
(89414,290049,9,100,'Increases Hate Gain of target by 21.2%',1,4),
(89415,290049,9,100,'Increases Aggression of target by 3.4',1,5),
(89416,290049,9,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 224',1,6),
(89417,290049,9,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,7),
(89418,290049,9,100,'Increases Threat to target encounter by 172 - 210 ',2,8),
(89421,290049,10,100,'Applies Defensive Haven to qualifying pets.',0,0),
(89422,290049,10,100,'Wards target against 23 points of all damage',1,1),
(89423,290049,10,100,'Decreases Haste of target by 25.0',1,2),
(89424,290049,10,100,'Increases Max Health of target by 16.8%',1,3),
(89425,290049,10,100,'Increases Hate Gain of target by 22.3%',1,4),
(89426,290049,10,100,'Increases Aggression of target by 3.5',1,5),
(89427,290049,10,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 235',1,6),
(89428,290049,10,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,7),
(89429,290049,10,100,'Increases Threat to target encounter by 180 - 220 ',2,8),
(89432,290050,1,100,'Applies Defensive Haven to qualifying pets.',0,0),
(89433,290050,1,100,'Wards target against 26 points of all damage',1,1),
(89434,290050,1,100,'Decreases Haste of target by 25.0',1,2),
(89435,290050,1,100,'Increases Max Health of target by 9.0%',1,3),
(89436,290050,1,100,'Increases Hate Gain of target by 16.2%',1,4),
(89437,290050,1,100,'Increases Aggression of target by 3.8',1,5),
(89438,290050,1,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 252',1,6),
(89439,290050,1,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,7),
(89440,290050,1,100,'Increases Threat to target encounter by 206 - 252 ',2,8),
(89443,290050,2,100,'Applies Defensive Haven to qualifying pets.',0,0),
(89444,290050,2,100,'Wards target against 28 points of all damage',1,1),
(89445,290050,2,100,'Decreases Haste of target by 25.0',1,2),
(89446,290050,2,100,'Increases Max Health of target by 9.5%',1,3),
(89447,290050,2,100,'Increases Hate Gain of target by 17.1%',1,4),
(89448,290050,2,100,'Increases Aggression of target by 4.0',1,5),
(89449,290050,2,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 266',1,6),
(89450,290050,2,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,7),
(89451,290050,2,100,'Increases Threat to target encounter by 217 - 266 ',2,8),
(89454,290050,3,100,'Applies Defensive Haven to qualifying pets.',0,0),
(89455,290050,3,100,'Wards target against 29 points of all damage',1,1),
(89456,290050,3,100,'Decreases Haste of target by 25.0',1,2),
(89457,290050,3,100,'Increases Max Health of target by 10.0%',1,3),
(89458,290050,3,100,'Increases Hate Gain of target by 18.0%',1,4),
(89459,290050,3,100,'Increases Aggression of target by 4.2',1,5),
(89460,290050,3,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 280',1,6),
(89461,290050,3,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,7),
(89462,290050,3,100,'Increases Threat to target encounter by 229 - 280 ',2,8),
(89465,290050,4,100,'Applies Defensive Haven to qualifying pets.',0,0),
(89466,290050,4,100,'Wards target against 32 points of all damage',1,1),
(89467,290050,4,100,'Decreases Haste of target by 25.0',1,2),
(89468,290050,4,100,'Increases Max Health of target by 11.0%',1,3),
(89469,290050,4,100,'Increases Hate Gain of target by 19.8%',1,4),
(89470,290050,4,100,'Increases Aggression of target by 4.6',1,5),
(89471,290050,4,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 308',1,6),
(89472,290050,4,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,7),
(89473,290050,4,100,'Increases Threat to target encounter by 252 - 308 ',2,8),
(89476,290050,5,100,'Applies Defensive Haven to qualifying pets.',0,0),
(89477,290050,5,100,'Wards target against 35 points of all damage',1,1),
(89478,290050,5,100,'Decreases Haste of target by 25.0',1,2),
(89479,290050,5,100,'Increases Max Health of target by 12.0%',1,3),
(89480,290050,5,100,'Increases Hate Gain of target by 21.6%',1,4),
(89481,290050,5,100,'Increases Aggression of target by 5.0',1,5),
(89482,290050,5,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 336',1,6),
(89483,290050,5,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,7),
(89484,290050,5,100,'Increases Threat to target encounter by 275 - 336 ',2,8),
(89487,290050,7,100,'Applies Defensive Haven to qualifying pets.',0,0),
(89488,290050,7,100,'Wards target against 45 points of all damage',1,1),
(89489,290050,7,100,'Decreases Haste of target by 25.0',1,2),
(89490,290050,7,100,'Increases Max Health of target by 15.4%',1,3),
(89491,290050,7,100,'Increases Hate Gain of target by 27.8%',1,4),
(89492,290050,7,100,'Increases Aggression of target by 6.5',1,5),
(89493,290050,7,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 431',1,6),
(89494,290050,7,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,7),
(89495,290050,7,100,'Increases Threat to target encounter by 353 - 431 ',2,8),
(89498,290050,9,100,'Applies Defensive Haven to qualifying pets.',0,0),
(89499,290050,9,100,'Wards target against 47 points of all damage',1,1),
(89500,290050,9,100,'Decreases Haste of target by 25.0',1,2),
(89501,290050,9,100,'Increases Max Health of target by 16.0%',1,3),
(89502,290050,9,100,'Increases Hate Gain of target by 28.8%',1,4),
(89503,290050,9,100,'Increases Aggression of target by 6.7',1,5),
(89504,290050,9,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 448',1,6),
(89505,290050,9,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,7),
(89506,290050,9,100,'Increases Threat to target encounter by 366 - 448 ',2,8),
(89509,290050,10,100,'Applies Defensive Haven to qualifying pets.',0,0),
(89510,290050,10,100,'Wards target against 49 points of all damage',1,1),
(89511,290050,10,100,'Decreases Haste of target by 25.0',1,2),
(89512,290050,10,100,'Increases Max Health of target by 16.8%',1,3),
(89513,290050,10,100,'Increases Hate Gain of target by 30.3%',1,4),
(89514,290050,10,100,'Increases Aggression of target by 7.1',1,5),
(89515,290050,10,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 470',1,6),
(89516,290050,10,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,7),
(89517,290050,10,100,'Increases Threat to target encounter by 385 - 470 ',2,8),
(89520,290051,1,100,'Applies Defensive Haven to qualifying pets.',0,0),
(89521,290051,1,100,'Wards target against 42 points of all damage',1,1),
(89522,290051,1,100,'Decreases Haste of target by 25.0',1,2),
(89523,290051,1,100,'Increases Max Health of target by 9.0%',1,3),
(89524,290051,1,100,'Increases Hate Gain of target by 20.5%',1,4),
(89525,290051,1,100,'Increases Aggression of target by 5.7',1,5),
(89526,290051,1,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 378',1,6),
(89527,290051,1,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,7),
(89528,290051,1,100,'Increases Threat to target encounter by 336 - 410 ',2,8),
(89531,290051,2,100,'Applies Defensive Haven to qualifying pets.',0,0),
(89532,290051,2,100,'Wards target against 44 points of all damage',1,1),
(89533,290051,2,100,'Decreases Haste of target by 25.0',1,2),
(89534,290051,2,100,'Increases Max Health of target by 9.5%',1,3),
(89535,290051,2,100,'Increases Hate Gain of target by 21.6%',1,4),
(89536,290051,2,100,'Increases Aggression of target by 6.0',1,5),
(89537,290051,2,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 399',1,6),
(89538,290051,2,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,7),
(89539,290051,2,100,'Increases Threat to target encounter by 354 - 433 ',2,8),
(89542,290051,3,100,'Applies Defensive Haven to qualifying pets.',0,0),
(89543,290051,3,100,'Wards target against 47 points of all damage',1,1),
(89544,290051,3,100,'Decreases Haste of target by 25.0',1,2),
(89545,290051,3,100,'Increases Max Health of target by 10.0%',1,3),
(89546,290051,3,100,'Increases Hate Gain of target by 22.8%',1,4),
(89547,290051,3,100,'Increases Aggression of target by 6.3',1,5),
(89548,290051,3,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 420',1,6),
(89549,290051,3,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,7),
(89550,290051,3,100,'Increases Threat to target encounter by 373 - 456 ',2,8),
(89553,290051,4,100,'Applies Defensive Haven to qualifying pets.',0,0),
(89554,290051,4,100,'Wards target against 51 points of all damage',1,1),
(89555,290051,4,100,'Decreases Haste of target by 25.0',1,2),
(89556,290051,4,100,'Increases Max Health of target by 11.0%',1,3),
(89557,290051,4,100,'Increases Hate Gain of target by 25.1%',1,4),
(89558,290051,4,100,'Increases Aggression of target by 6.9',1,5),
(89559,290051,4,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 462',1,6),
(89560,290051,4,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,7),
(89561,290051,4,100,'Increases Threat to target encounter by 410 - 502 ',2,8),
(89564,290051,5,100,'Applies Defensive Haven to qualifying pets.',0,0),
(89565,290051,5,100,'Wards target against 56 points of all damage',1,1),
(89566,290051,5,100,'Decreases Haste of target by 25.0',1,2),
(89567,290051,5,100,'Increases Max Health of target by 12.0%',1,3),
(89568,290051,5,100,'Increases Hate Gain of target by 27.3%',1,4),
(89569,290051,5,100,'Increases Aggression of target by 7.6',1,5),
(89570,290051,5,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 504',1,6),
(89571,290051,5,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,7),
(89572,290051,5,100,'Increases Threat to target encounter by 448 - 547 ',2,8),
(89575,290051,7,100,'Applies Defensive Haven to qualifying pets.',0,0),
(89576,290051,7,100,'Wards target against 72 points of all damage',1,1),
(89577,290051,7,100,'Decreases Haste of target by 25.0',1,2),
(89578,290051,7,100,'Increases Max Health of target by 15.4%',1,3),
(89579,290051,7,100,'Increases Hate Gain of target by 35.1%',1,4),
(89580,290051,7,100,'Increases Aggression of target by 9.7',1,5),
(89581,290051,7,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 647',1,6),
(89582,290051,7,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,7),
(89583,290051,7,100,'Increases Threat to target encounter by 575 - 703 ',2,8),
(89586,290051,9,100,'Applies Defensive Haven to qualifying pets.',0,0),
(89587,290051,9,100,'Wards target against 75 points of all damage',1,1),
(89588,290051,9,100,'Decreases Haste of target by 25.0',1,2),
(89589,290051,9,100,'Increases Max Health of target by 16.0%',1,3),
(89590,290051,9,100,'Increases Hate Gain of target by 36.4%',1,4),
(89591,290051,9,100,'Increases Aggression of target by 10.1',1,5),
(89592,290051,9,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 672',1,6),
(89593,290051,9,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,7),
(89594,290051,9,100,'Increases Threat to target encounter by 597 - 730 ',2,8),
(89597,290051,10,100,'Applies Defensive Haven to qualifying pets.',0,0),
(89598,290051,10,100,'Wards target against 78 points of all damage',1,1),
(89599,290051,10,100,'Decreases Haste of target by 25.0',1,2),
(89600,290051,10,100,'Increases Max Health of target by 16.8%',1,3),
(89601,290051,10,100,'Increases Hate Gain of target by 38.3%',1,4),
(89602,290051,10,100,'Increases Aggression of target by 10.6',1,5),
(89603,290051,10,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 706',1,6),
(89604,290051,10,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,7),
(89605,290051,10,100,'Increases Threat to target encounter by 627 - 767 ',2,8),
(89608,290052,1,100,'Applies Defensive Haven to qualifying pets.',0,0),
(89609,290052,1,100,'Wards target against 61 points of all damage',1,1),
(89610,290052,1,100,'Decreases Haste of target by 25.0',1,2),
(89611,290052,1,100,'Increases Max Health of target by 9.0%',1,3),
(89612,290052,1,100,'Increases Hate Gain of target by 24.3%',1,4),
(89613,290052,1,100,'Increases Aggression of target by 7.6',1,5),
(89614,290052,1,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 504',1,6),
(89615,290052,1,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,7),
(89616,290052,1,100,'Increases Threat to target encounter by 498 - 609 ',2,8),
(89619,290052,2,100,'Applies Defensive Haven to qualifying pets.',0,0),
(89620,290052,2,100,'Wards target against 64 points of all damage',1,1),
(89621,290052,2,100,'Decreases Haste of target by 25.0',1,2),
(89622,290052,2,100,'Increases Max Health of target by 9.5%',1,3),
(89623,290052,2,100,'Increases Hate Gain of target by 25.7%',1,4),
(89624,290052,2,100,'Increases Aggression of target by 8.0',1,5),
(89625,290052,2,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 532',1,6),
(89626,290052,2,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,7),
(89627,290052,2,100,'Increases Threat to target encounter by 526 - 643 ',2,8),
(89630,290052,3,100,'Applies Defensive Haven to qualifying pets.',0,0),
(89631,290052,3,100,'Wards target against 68 points of all damage',1,1),
(89632,290052,3,100,'Decreases Haste of target by 25.0',1,2),
(89633,290052,3,100,'Increases Max Health of target by 10.0%',1,3),
(89634,290052,3,100,'Increases Hate Gain of target by 27.0%',1,4),
(89635,290052,3,100,'Increases Aggression of target by 8.4',1,5),
(89636,290052,3,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 560',1,6),
(89637,290052,3,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,7),
(89638,290052,3,100,'Increases Threat to target encounter by 554 - 677 ',2,8),
(89641,290052,4,100,'Applies Defensive Haven to qualifying pets.',0,0),
(89642,290052,4,100,'Wards target against 74 points of all damage',1,1),
(89643,290052,4,100,'Decreases Haste of target by 25.0',1,2),
(89644,290052,4,100,'Increases Max Health of target by 11.0%',1,3),
(89645,290052,4,100,'Increases Hate Gain of target by 29.7%',1,4),
(89646,290052,4,100,'Increases Aggression of target by 9.2',1,5),
(89647,290052,4,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 616',1,6),
(89648,290052,4,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,7),
(89649,290052,4,100,'Increases Threat to target encounter by 609 - 745 ',2,8),
(89652,290052,5,100,'Applies Defensive Haven to qualifying pets.',0,0),
(89653,290052,5,100,'Wards target against 81 points of all damage',1,1),
(89654,290052,5,100,'Decreases Haste of target by 25.0',1,2),
(89655,290052,5,100,'Increases Max Health of target by 12.0%',1,3),
(89656,290052,5,100,'Increases Hate Gain of target by 32.4%',1,4),
(89657,290052,5,100,'Increases Aggression of target by 10.1',1,5),
(89658,290052,5,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 672',1,6),
(89659,290052,5,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,7),
(89660,290052,5,100,'Increases Threat to target encounter by 665 - 812 ',2,8),
(89663,290052,7,100,'Applies Defensive Haven to qualifying pets.',0,0),
(89664,290052,7,100,'Wards target against 104 points of all damage',1,1),
(89665,290052,7,100,'Decreases Haste of target by 25.0',1,2),
(89666,290052,7,100,'Increases Max Health of target by 15.4%',1,3),
(89667,290052,7,100,'Increases Hate Gain of target by 41.6%',1,4),
(89668,290052,7,100,'Increases Aggression of target by 12.9',1,5),
(89669,290052,7,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 862',1,6),
(89670,290052,7,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,7),
(89671,290052,7,100,'Increases Threat to target encounter by 853 - 1,043 ',2,8),
(89674,290052,9,100,'Applies Defensive Haven to qualifying pets.',0,0),
(89675,290052,9,100,'Wards target against 108 points of all damage',1,1),
(89676,290052,9,100,'Decreases Haste of target by 25.0',1,2),
(89677,290052,9,100,'Increases Max Health of target by 16.0%',1,3),
(89678,290052,9,100,'Increases Hate Gain of target by 43.2%',1,4),
(89679,290052,9,100,'Increases Aggression of target by 13.4',1,5),
(89680,290052,9,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 896',1,6),
(89681,290052,9,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,7),
(89682,290052,9,100,'Increases Threat to target encounter by 886 - 1,083 ',2,8),
(89685,290053,1,100,'Applies Defensive Haven to qualifying pets.',0,0),
(89686,290053,1,100,'Wards target against 80 points of all damage',1,1),
(89687,290053,1,100,'Decreases Haste of target by 25.0',1,2),
(89688,290053,1,100,'Increases Max Health of target by 9.0%',1,3),
(89689,290053,1,100,'Increases Hate Gain of target by 25.9%',1,4),
(89690,290053,1,100,'Increases Aggression of target by 9.4',1,5),
(89691,290053,1,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 630',1,6),
(89692,290053,1,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,7),
(89693,290053,1,100,'Increases Threat to target encounter by 669 - 817 ',2,8),
(89696,290053,2,100,'Applies Defensive Haven to qualifying pets.',0,0),
(89697,290053,2,100,'Wards target against 84 points of all damage',1,1),
(89698,290053,2,100,'Decreases Haste of target by 25.0',1,2),
(89699,290053,2,100,'Increases Max Health of target by 9.5%',1,3),
(89700,290053,2,100,'Increases Hate Gain of target by 27.4%',1,4),
(89701,290053,2,100,'Increases Aggression of target by 10.0',1,5),
(89702,290053,2,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 665',1,6),
(89703,290053,2,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,7),
(89704,290053,2,100,'Increases Threat to target encounter by 706 - 863 ',2,8),
(89707,290053,3,100,'Applies Defensive Haven to qualifying pets.',0,0),
(89708,290053,3,100,'Wards target against 89 points of all damage',1,1),
(89709,290053,3,100,'Decreases Haste of target by 25.0',1,2),
(89710,290053,3,100,'Increases Max Health of target by 10.0%',1,3),
(89711,290053,3,100,'Increases Hate Gain of target by 28.8%',1,4),
(89712,290053,3,100,'Increases Aggression of target by 10.5',1,5),
(89713,290053,3,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 700',1,6),
(89714,290053,3,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,7),
(89715,290053,3,100,'Increases Threat to target encounter by 743 - 908 ',2,8),
(89718,290053,4,100,'Applies Defensive Haven to qualifying pets.',0,0),
(89719,290053,4,100,'Wards target against 97 points of all damage',1,1),
(89720,290053,4,100,'Decreases Haste of target by 25.0',1,2),
(89721,290053,4,100,'Increases Max Health of target by 11.0%',1,3),
(89722,290053,4,100,'Increases Hate Gain of target by 31.7%',1,4),
(89723,290053,4,100,'Increases Aggression of target by 11.6',1,5),
(89724,290053,4,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 770',1,6),
(89725,290053,4,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,7),
(89726,290053,4,100,'Increases Threat to target encounter by 817 - 999 ',2,8),
(89729,290053,5,100,'Applies Defensive Haven to qualifying pets.',0,0),
(89730,290053,5,100,'Wards target against 106 points of all damage',1,1),
(89731,290053,5,100,'Decreases Haste of target by 25.0',1,2),
(89732,290053,5,100,'Increases Max Health of target by 12.0%',1,3),
(89733,290053,5,100,'Increases Hate Gain of target by 34.6%',1,4),
(89734,290053,5,100,'Increases Aggression of target by 12.6',1,5),
(89735,290053,5,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 840',1,6),
(89736,290053,5,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,7),
(89737,290053,5,100,'Increases Threat to target encounter by 892 - 1,090 ',2,8),
(89740,290053,7,100,'Applies Defensive Haven to qualifying pets.',0,0),
(89741,290053,7,100,'Wards target against 137 points of all damage',1,1),
(89742,290053,7,100,'Decreases Haste of target by 25.0',1,2),
(89743,290053,7,100,'Increases Max Health of target by 15.4%',1,3),
(89744,290053,7,100,'Increases Hate Gain of target by 44.4%',1,4),
(89745,290053,7,100,'Increases Aggression of target by 16.2',1,5),
(89746,290053,7,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1078',1,6),
(89747,290053,7,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,7),
(89748,290053,7,100,'Increases Threat to target encounter by 1,144 - 1,341 ',2,8),
(89751,290053,9,100,'Applies Defensive Haven to qualifying pets.',0,0),
(89752,290053,9,100,'Wards target against 142 points of all damage',1,1),
(89753,290053,9,100,'Decreases Haste of target by 25.0',1,2),
(89754,290053,9,100,'Increases Max Health of target by 16.0%',1,3),
(89755,290053,9,100,'Increases Hate Gain of target by 46.1%',1,4),
(89756,290053,9,100,'Increases Aggression of target by 16.8',1,5),
(89757,290053,9,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1120',1,6),
(89758,290053,9,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,7),
(89759,290053,9,100,'Increases Threat to target encounter by 1,189 - 1,372 ',2,8),
(89762,290054,1,100,'Applies Defensive Haven to qualifying pets.',0,0),
(89763,290054,1,100,'Wards target against 93 points of all damage',1,1),
(89764,290054,1,100,'Decreases Haste of target by 25.0',1,2),
(89765,290054,1,100,'Increases Max Health of target by 9.0%',1,3),
(89766,290054,1,100,'Increases Hate Gain of target by 46.0%',1,4),
(89767,290054,1,100,'Increases Aggression of target by 11.3',1,5),
(89768,290054,1,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 720',1,6),
(89769,290054,1,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,7),
(89770,290054,1,100,'Increases Threat to target encounter by 839 - 1,025 ',2,8),
(89773,290054,2,100,'Applies Defensive Haven to qualifying pets.',0,0),
(89774,290054,2,100,'Wards target against 98 points of all damage',1,1),
(89775,290054,2,100,'Decreases Haste of target by 25.0',1,2),
(89776,290054,2,100,'Increases Max Health of target by 9.5%',1,3),
(89777,290054,2,100,'Increases Hate Gain of target by 46.0%',1,4),
(89778,290054,2,100,'Increases Aggression of target by 11.9',1,5),
(89779,290054,2,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 760',1,6),
(89780,290054,2,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,7),
(89781,290054,2,100,'Increases Threat to target encounter by 885 - 1,082 ',2,8),
(89784,290054,3,100,'Applies Defensive Haven to qualifying pets.',0,0),
(89785,290054,3,100,'Wards target against 104 points of all damage',1,1),
(89786,290054,3,100,'Decreases Haste of target by 25.0',1,2),
(89787,290054,3,100,'Increases Max Health of target by 10.0%',1,3),
(89788,290054,3,100,'Increases Hate Gain of target by 46.0%',1,4),
(89789,290054,3,100,'Increases Aggression of target by 12.5',1,5),
(89790,290054,3,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 800',1,6),
(89791,290054,3,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,7),
(89792,290054,3,100,'Increases Threat to target encounter by 932 - 1,139 ',2,8),
(89795,290054,4,100,'Applies Defensive Haven to qualifying pets.',0,0),
(89796,290054,4,100,'Wards target against 114 points of all damage',1,1),
(89797,290054,4,100,'Decreases Haste of target by 25.0',1,2),
(89798,290054,4,100,'Increases Max Health of target by 11.0%',1,3),
(89799,290054,4,100,'Increases Hate Gain of target by 46.0%',1,4),
(89800,290054,4,100,'Increases Aggression of target by 13.8',1,5),
(89801,290054,4,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 880',1,6),
(89802,290054,4,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,7),
(89803,290054,4,100,'Increases Threat to target encounter by 1,025 - 1,253 ',2,8),
(89806,290054,5,100,'Applies Defensive Haven to qualifying pets.',0,0),
(89807,290054,5,100,'Wards target against 124 points of all damage',1,1),
(89808,290054,5,100,'Decreases Haste of target by 25.0',1,2),
(89809,290054,5,100,'Increases Max Health of target by 12.0%',1,3),
(89810,290054,5,100,'Increases Hate Gain of target by 46.0%',1,4),
(89811,290054,5,100,'Increases Aggression of target by 15.0',1,5),
(89812,290054,5,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 960',1,6),
(89813,290054,5,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,7),
(89814,290054,5,100,'Increases Threat to target encounter by 1,119 - 1,323 ',2,8),
(89817,290054,7,100,'Applies Defensive Haven to qualifying pets.',0,0),
(89818,290054,7,100,'Wards target against 160 points of all damage',1,1),
(89819,290054,7,100,'Decreases Haste of target by 25.0',1,2),
(89820,290054,7,100,'Increases Max Health of target by 15.4%',1,3),
(89821,290054,7,100,'Increases Hate Gain of target by 46.0%',1,4),
(89822,290054,7,100,'Increases Aggression of target by 19.3',1,5),
(89823,290054,7,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1232',1,6),
(89824,290054,7,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,7),
(89825,290054,7,100,'Increases Threat to target encounter by 1,362 - 1,545 ',2,8),
(89828,290054,9,100,'Applies Defensive Haven to qualifying pets.',0,0),
(89829,290054,9,100,'Wards target against 166 points of all damage',1,1),
(89830,290054,9,100,'Decreases Haste of target by 25.0',1,2),
(89831,290054,9,100,'Increases Max Health of target by 16.0%',1,3),
(89832,290054,9,100,'Increases Hate Gain of target by 46.0%',1,4),
(89833,290054,9,100,'Increases Aggression of target by 20.0',1,5),
(89834,290054,9,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1280',1,6),
(89835,290054,9,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,7),
(89836,290054,9,100,'Increases Threat to target encounter by 1,394 - 1,584 ',2,8),
(89839,290055,1,100,'Applies Defensive Haven to qualifying pets.',0,0),
(89840,290055,1,100,'Wards target against 113 points of all damage',1,1),
(89841,290055,1,100,'Decreases Haste of target by 25.0',1,2),
(89842,290055,1,100,'Increases Max Health of target by 9.0%',1,3),
(89843,290055,1,100,'Increases Hate Gain of target by 46.0%',1,4),
(89844,290055,1,100,'Increases Aggression of target by 13.5',1,5),
(89845,290055,1,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 810',1,6),
(89846,290055,1,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,7),
(89847,290055,1,100,'Increases Threat to target encounter by 1,009 - 1,233 ',2,8),
(89850,290055,4,100,'Applies Defensive Haven to qualifying pets.',0,0),
(89851,290055,4,100,'Wards target against 138 points of all damage',1,1),
(89852,290055,4,100,'Decreases Haste of target by 25.0',1,2),
(89853,290055,4,100,'Increases Max Health of target by 11.0%',1,3),
(89854,290055,4,100,'Increases Hate Gain of target by 46.0%',1,4),
(89855,290055,4,100,'Increases Aggression of target by 16.5',1,5),
(89856,290055,4,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 990',1,6),
(89857,290055,4,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,7),
(89858,290055,4,100,'Increases Threat to target encounter by 1,233 - 1,403 ',2,8),
(89861,290055,5,100,'Applies Defensive Haven to qualifying pets.',0,0),
(89862,290055,5,100,'Wards target against 151 points of all damage',1,1),
(89863,290055,5,100,'Decreases Haste of target by 25.0',1,2),
(89864,290055,5,100,'Increases Max Health of target by 12.0%',1,3),
(89865,290055,5,100,'Increases Hate Gain of target by 46.0%',1,4),
(89866,290055,5,100,'Increases Aggression of target by 18.0',1,5),
(89867,290055,5,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1080',1,6),
(89868,290055,5,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,7),
(89869,290055,5,100,'Increases Threat to target encounter by 1,310 - 1,482 ',2,8),
(89872,290055,7,100,'Applies Defensive Haven to qualifying pets.',0,0),
(89873,290055,7,100,'Wards target against 194 points of all damage',1,1),
(89874,290055,7,100,'Decreases Haste of target by 25.0',1,2),
(89875,290055,7,100,'Increases Max Health of target by 15.4%',1,3),
(89876,290055,7,100,'Increases Hate Gain of target by 46.0%',1,4),
(89877,290055,7,100,'Increases Aggression of target by 23.1',1,5),
(89878,290055,7,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1386',1,6),
(89879,290055,7,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,7),
(89880,290055,7,100,'Increases Threat to target encounter by 1,529 - 1,748 ',2,8),
(89883,290055,9,100,'Applies Defensive Haven to qualifying pets.',0,0),
(89884,290055,9,100,'Wards target against 201 points of all damage',1,1),
(89885,290055,9,100,'Decreases Haste of target by 25.0',1,2),
(89886,290055,9,100,'Increases Max Health of target by 16.0%',1,3),
(89887,290055,9,100,'Increases Hate Gain of target by 46.0%',1,4),
(89888,290055,9,100,'Increases Aggression of target by 24.0',1,5),
(89889,290055,9,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1440',1,6),
(89890,290055,9,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,7),
(89891,290055,9,100,'Increases Threat to target encounter by 1,567 - 1,796 ',2,8),
(89894,290056,1,100,'Applies Defensive Haven to qualifying pets.',0,0),
(89895,290056,1,100,'Wards target against 120 points of all damage',1,1),
(89896,290056,1,100,'Decreases Haste of target by 25.0',1,2),
(89897,290056,1,100,'Increases Max Health of target by 9.0%',1,3),
(89898,290056,1,100,'Increases Hate Gain of target by 46.0%',1,4),
(89899,290056,1,100,'Increases Aggression of target by 15.8',1,5),
(89900,290056,1,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 900',1,6),
(89901,290056,1,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,7),
(89902,290056,1,100,'Increases Threat to target encounter by 1,179 - 1,365 ',2,8),
(89905,290056,4,100,'Applies Defensive Haven to qualifying pets.',0,0),
(89906,290056,4,100,'Wards target against 147 points of all damage',1,1),
(89907,290056,4,100,'Decreases Haste of target by 25.0',1,2),
(89908,290056,4,100,'Increases Max Health of target by 11.0%',1,3),
(89909,290056,4,100,'Increases Hate Gain of target by 46.0%',1,4),
(89910,290056,4,100,'Increases Aggression of target by 19.3',1,5),
(89911,290056,4,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1100',1,6),
(89912,290056,4,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,7),
(89913,290056,4,100,'Increases Threat to target encounter by 1,365 - 1,548 ',2,8),
(89916,290056,5,100,'Applies Defensive Haven to qualifying pets.',0,0),
(89917,290056,5,100,'Wards target against 160 points of all damage',1,1),
(89918,290056,5,100,'Decreases Haste of target by 25.0',1,2),
(89919,290056,5,100,'Increases Max Health of target by 12.0%',1,3),
(89920,290056,5,100,'Increases Hate Gain of target by 46.0%',1,4),
(89921,290056,5,100,'Increases Aggression of target by 21.0',1,5),
(89922,290056,5,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1200',1,6),
(89923,290056,5,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,7),
(89924,290056,5,100,'Increases Threat to target encounter by 1,440 - 1,640 ',2,8),
(89927,290056,7,100,'Applies Defensive Haven to qualifying pets.',0,0),
(89928,290056,7,100,'Wards target against 206 points of all damage',1,1),
(89929,290056,7,100,'Decreases Haste of target by 25.0',1,2),
(89930,290056,7,100,'Increases Max Health of target by 15.4%',1,3),
(89931,290056,7,100,'Increases Hate Gain of target by 46.0%',1,4),
(89932,290056,7,100,'Increases Aggression of target by 26.9',1,5),
(89933,290056,7,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1540',1,6),
(89934,290056,7,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,7),
(89935,290056,7,100,'Increases Threat to target encounter by 1,695 - 1,952 ',2,8),
(89938,290056,9,100,'Applies Defensive Haven to qualifying pets.',0,0),
(89939,290056,9,100,'Wards target against 214 points of all damage',1,1),
(89940,290056,9,100,'Decreases Haste of target by 25.0',1,2),
(89941,290056,9,100,'Increases Max Health of target by 16.0%',1,3),
(89942,290056,9,100,'Increases Hate Gain of target by 46.0%',1,4),
(89943,290056,9,100,'Increases Aggression of target by 28.0',1,5),
(89944,290056,9,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1600',1,6),
(89945,290056,9,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,7),
(89946,290056,9,100,'Increases Threat to target encounter by 1,740 - 2,007 ',2,8),
(89949,200070,1,100,'Applies Defile.',0,0),
(89950,200070,1,100,'Inflicts 33 disease damage on targets in Area of Effect',1,1),
(89951,200070,1,100,'If under 10% Health',2,2),
(89952,200070,1,100,'Inflicts 33 disease damage on targets in Area of Effect',1,3),
(89953,200070,1,100,'If under 20% Health',2,4),
(89954,200070,1,100,'Inflicts 33 disease damage on targets in Area of Effect',1,5),
(89955,200070,1,100,'If under 40% Health',2,6),
(89956,200070,1,100,'Inflicts 33 disease damage on targets in Area of Effect',1,7),
(89957,200070,1,100,'If under 50% Health',2,8),
(89958,200070,1,100,'Inflicts 33 disease damage on targets in Area of Effect',1,9),
(89959,200070,1,100,'If under 60% Health',2,10),
(89960,200070,1,100,'Inflicts 33 disease damage on targets in Area of Effect',1,11),
(89961,200070,1,100,'If under 70% Health',2,12),
(89962,200070,1,100,'Inflicts 33 disease damage on targets in Area of Effect',1,13),
(89963,200070,1,100,'If under 80% Health',2,14),
(89964,200070,1,100,'Inflicts 33 disease damage on targets in Area of Effect',1,15),
(89965,200070,1,100,'If under 90% Health',2,16),
(89966,200070,1,100,'Inflicts 33 disease damage on targets in Area of Effect',1,17),
(89967,200070,1,100,'If under 100% Health',2,18),
(89968,200070,1,100,'Inflicts 33 disease damage on targets in Area of Effect',1,19),
(89969,200070,1,100,'If under 30% Health',2,20),
(89970,200070,2,100,'Applies Defile.',0,0),
(89971,200070,2,100,'Inflicts 35 disease damage on targets in Area of Effect',1,1),
(89972,200070,2,100,'If under 10% Health',2,2),
(89973,200070,2,100,'Inflicts 35 disease damage on targets in Area of Effect',1,3),
(89974,200070,2,100,'If under 20% Health',2,4),
(89975,200070,2,100,'Inflicts 35 disease damage on targets in Area of Effect',1,5),
(89976,200070,2,100,'If under 40% Health',2,6),
(89977,200070,2,100,'Inflicts 35 disease damage on targets in Area of Effect',1,7),
(89978,200070,2,100,'If under 50% Health',2,8),
(89979,200070,2,100,'Inflicts 35 disease damage on targets in Area of Effect',1,9),
(89980,200070,2,100,'If under 60% Health',2,10),
(89981,200070,2,100,'Inflicts 35 disease damage on targets in Area of Effect',1,11),
(89982,200070,2,100,'If under 70% Health',2,12),
(89983,200070,2,100,'Inflicts 35 disease damage on targets in Area of Effect',1,13),
(89984,200070,2,100,'If under 80% Health',2,14),
(89985,200070,2,100,'Inflicts 35 disease damage on targets in Area of Effect',1,15),
(89986,200070,2,100,'If under 90% Health',2,16),
(89987,200070,2,100,'Inflicts 35 disease damage on targets in Area of Effect',1,17),
(89988,200070,2,100,'If under 100% Health',2,18),
(89989,200070,2,100,'Inflicts 35 disease damage on targets in Area of Effect',1,19),
(89990,200070,2,100,'If under 30% Health',2,20),
(89991,200070,3,100,'Applies Defile.',0,0),
(89992,200070,3,100,'Inflicts 37 disease damage on targets in Area of Effect',1,1),
(89993,200070,3,100,'If under 10% Health',2,2),
(89994,200070,3,100,'Inflicts 37 disease damage on targets in Area of Effect',1,3),
(89995,200070,3,100,'If under 20% Health',2,4),
(89996,200070,3,100,'Inflicts 37 disease damage on targets in Area of Effect',1,5),
(89997,200070,3,100,'If under 40% Health',2,6),
(89998,200070,3,100,'Inflicts 37 disease damage on targets in Area of Effect',1,7),
(89999,200070,3,100,'If under 50% Health',2,8),
(90000,200070,3,100,'Inflicts 37 disease damage on targets in Area of Effect',1,9),
(90001,200070,3,100,'If under 60% Health',2,10),
(90002,200070,3,100,'Inflicts 37 disease damage on targets in Area of Effect',1,11),
(90003,200070,3,100,'If under 70% Health',2,12),
(90004,200070,3,100,'Inflicts 37 disease damage on targets in Area of Effect',1,13),
(90005,200070,3,100,'If under 80% Health',2,14),
(90006,200070,3,100,'Inflicts 37 disease damage on targets in Area of Effect',1,15),
(90007,200070,3,100,'If under 90% Health',2,16),
(90008,200070,3,100,'Inflicts 37 disease damage on targets in Area of Effect',1,17),
(90009,200070,3,100,'If under 100% Health',2,18),
(90010,200070,3,100,'Inflicts 37 disease damage on targets in Area of Effect',1,19),
(90011,200070,3,100,'If under 30% Health',2,20),
(90012,200070,4,100,'Applies Defile.',0,0),
(90013,200070,4,100,'Inflicts 41 disease damage on targets in Area of Effect',1,1),
(90014,200070,4,100,'If under 10% Health',2,2),
(90015,200070,4,100,'Inflicts 41 disease damage on targets in Area of Effect',1,3),
(90016,200070,4,100,'If under 20% Health',2,4),
(90017,200070,4,100,'Inflicts 41 disease damage on targets in Area of Effect',1,5),
(90018,200070,4,100,'If under 40% Health',2,6),
(90019,200070,4,100,'Inflicts 41 disease damage on targets in Area of Effect',1,7),
(90020,200070,4,100,'If under 50% Health',2,8),
(90021,200070,4,100,'Inflicts 41 disease damage on targets in Area of Effect',1,9),
(90022,200070,4,100,'If under 60% Health',2,10),
(90023,200070,4,100,'Inflicts 41 disease damage on targets in Area of Effect',1,11),
(90024,200070,4,100,'If under 70% Health',2,12),
(90025,200070,4,100,'Inflicts 41 disease damage on targets in Area of Effect',1,13),
(90026,200070,4,100,'If under 80% Health',2,14),
(90027,200070,4,100,'Inflicts 41 disease damage on targets in Area of Effect',1,15),
(90028,200070,4,100,'If under 90% Health',2,16),
(90029,200070,4,100,'Inflicts 41 disease damage on targets in Area of Effect',1,17),
(90030,200070,4,100,'If under 100% Health',2,18),
(90031,200070,4,100,'Inflicts 41 disease damage on targets in Area of Effect',1,19),
(90032,200070,4,100,'If under 30% Health',2,20),
(90033,200070,5,100,'Applies Defile.',0,0),
(90034,200070,5,100,'Inflicts 44 disease damage on targets in Area of Effect',1,1),
(90035,200070,5,100,'If under 10% Health',2,2),
(90036,200070,5,100,'Inflicts 44 disease damage on targets in Area of Effect',1,3),
(90037,200070,5,100,'If under 20% Health',2,4),
(90038,200070,5,100,'Inflicts 44 disease damage on targets in Area of Effect',1,5),
(90039,200070,5,100,'If under 40% Health',2,6),
(90040,200070,5,100,'Inflicts 44 disease damage on targets in Area of Effect',1,7),
(90041,200070,5,100,'If under 50% Health',2,8),
(90042,200070,5,100,'Inflicts 44 disease damage on targets in Area of Effect',1,9),
(90043,200070,5,100,'If under 60% Health',2,10),
(90044,200070,5,100,'Inflicts 44 disease damage on targets in Area of Effect',1,11),
(90045,200070,5,100,'If under 70% Health',2,12),
(90046,200070,5,100,'Inflicts 44 disease damage on targets in Area of Effect',1,13),
(90047,200070,5,100,'If under 80% Health',2,14),
(90048,200070,5,100,'Inflicts 44 disease damage on targets in Area of Effect',1,15),
(90049,200070,5,100,'If under 90% Health',2,16),
(90050,200070,5,100,'Inflicts 44 disease damage on targets in Area of Effect',1,17),
(90051,200070,5,100,'If under 100% Health',2,18),
(90052,200070,5,100,'Inflicts 44 disease damage on targets in Area of Effect',1,19),
(90053,200070,5,100,'If under 30% Health',2,20),
(90054,200070,7,100,'Applies Defile.',0,0),
(90055,200070,7,100,'Inflicts 57 disease damage on targets in Area of Effect',1,1),
(90056,200070,7,100,'If under 10% Health',2,2),
(90057,200070,7,100,'Inflicts 57 disease damage on targets in Area of Effect',1,3),
(90058,200070,7,100,'If under 20% Health',2,4),
(90059,200070,7,100,'Inflicts 57 disease damage on targets in Area of Effect',1,5),
(90060,200070,7,100,'If under 40% Health',2,6),
(90061,200070,7,100,'Inflicts 57 disease damage on targets in Area of Effect',1,7),
(90062,200070,7,100,'If under 50% Health',2,8),
(90063,200070,7,100,'Inflicts 57 disease damage on targets in Area of Effect',1,9),
(90064,200070,7,100,'If under 60% Health',2,10),
(90065,200070,7,100,'Inflicts 57 disease damage on targets in Area of Effect',1,11),
(90066,200070,7,100,'If under 70% Health',2,12),
(90067,200070,7,100,'Inflicts 57 disease damage on targets in Area of Effect',1,13),
(90068,200070,7,100,'If under 80% Health',2,14),
(90069,200070,7,100,'Inflicts 57 disease damage on targets in Area of Effect',1,15),
(90070,200070,7,100,'If under 90% Health',2,16),
(90071,200070,7,100,'Inflicts 57 disease damage on targets in Area of Effect',1,17),
(90072,200070,7,100,'If under 100% Health',2,18),
(90073,200070,7,100,'Inflicts 57 disease damage on targets in Area of Effect',1,19),
(90074,200070,7,100,'If under 30% Health',2,20),
(90075,200070,9,100,'Applies Defile.',0,0),
(90076,200070,9,100,'Inflicts 59 disease damage on targets in Area of Effect',1,1),
(90077,200070,9,100,'If under 10% Health',2,2),
(90078,200070,9,100,'Inflicts 59 disease damage on targets in Area of Effect',1,3),
(90079,200070,9,100,'If under 20% Health',2,4),
(90080,200070,9,100,'Inflicts 59 disease damage on targets in Area of Effect',1,5),
(90081,200070,9,100,'If under 40% Health',2,6),
(90082,200070,9,100,'Inflicts 59 disease damage on targets in Area of Effect',1,7),
(90083,200070,9,100,'If under 50% Health',2,8),
(90084,200070,9,100,'Inflicts 59 disease damage on targets in Area of Effect',1,9),
(90085,200070,9,100,'If under 60% Health',2,10),
(90086,200070,9,100,'Inflicts 59 disease damage on targets in Area of Effect',1,11),
(90087,200070,9,100,'If under 70% Health',2,12),
(90088,200070,9,100,'Inflicts 59 disease damage on targets in Area of Effect',1,13),
(90089,200070,9,100,'If under 80% Health',2,14),
(90090,200070,9,100,'Inflicts 59 disease damage on targets in Area of Effect',1,15),
(90091,200070,9,100,'If under 90% Health',2,16),
(90092,200070,9,100,'Inflicts 59 disease damage on targets in Area of Effect',1,17),
(90093,200070,9,100,'If under 100% Health',2,18),
(90094,200070,9,100,'Inflicts 59 disease damage on targets in Area of Effect',1,19),
(90095,200070,9,100,'If under 30% Health',2,20),
(90096,200071,1,100,'Applies Defile.',0,0),
(90097,200071,1,100,'Inflicts 42 disease damage on targets in Area of Effect',1,1),
(90098,200071,1,100,'If under 10% Health',2,2),
(90099,200071,1,100,'Inflicts 42 disease damage on targets in Area of Effect',1,3),
(90100,200071,1,100,'If under 20% Health',2,4),
(90101,200071,1,100,'Inflicts 42 disease damage on targets in Area of Effect',1,5),
(90102,200071,1,100,'If under 40% Health',2,6),
(90103,200071,1,100,'Inflicts 42 disease damage on targets in Area of Effect',1,7),
(90104,200071,1,100,'If under 50% Health',2,8),
(90105,200071,1,100,'Inflicts 42 disease damage on targets in Area of Effect',1,9),
(90106,200071,1,100,'If under 60% Health',2,10),
(90107,200071,1,100,'Inflicts 42 disease damage on targets in Area of Effect',1,11),
(90108,200071,1,100,'If under 70% Health',2,12),
(90109,200071,1,100,'Inflicts 42 disease damage on targets in Area of Effect',1,13),
(90110,200071,1,100,'If under 80% Health',2,14),
(90111,200071,1,100,'Inflicts 42 disease damage on targets in Area of Effect',1,15),
(90112,200071,1,100,'If under 90% Health',2,16),
(90113,200071,1,100,'Inflicts 42 disease damage on targets in Area of Effect',1,17),
(90114,200071,1,100,'If under 100% Health',2,18),
(90115,200071,1,100,'Inflicts 42 disease damage on targets in Area of Effect',1,19),
(90116,200071,1,100,'If under 30% Health',2,20),
(90117,200071,2,100,'Applies Defile.',0,0),
(90118,200071,2,100,'Inflicts 45 disease damage on targets in Area of Effect',1,1),
(90119,200071,2,100,'If under 10% Health',2,2),
(90120,200071,2,100,'Inflicts 45 disease damage on targets in Area of Effect',1,3),
(90121,200071,2,100,'If under 20% Health',2,4),
(90122,200071,2,100,'Inflicts 45 disease damage on targets in Area of Effect',1,5),
(90123,200071,2,100,'If under 40% Health',2,6),
(90124,200071,2,100,'Inflicts 45 disease damage on targets in Area of Effect',1,7),
(90125,200071,2,100,'If under 50% Health',2,8),
(90126,200071,2,100,'Inflicts 45 disease damage on targets in Area of Effect',1,9),
(90127,200071,2,100,'If under 60% Health',2,10),
(90128,200071,2,100,'Inflicts 45 disease damage on targets in Area of Effect',1,11),
(90129,200071,2,100,'If under 70% Health',2,12),
(90130,200071,2,100,'Inflicts 45 disease damage on targets in Area of Effect',1,13),
(90131,200071,2,100,'If under 80% Health',2,14),
(90132,200071,2,100,'Inflicts 45 disease damage on targets in Area of Effect',1,15),
(90133,200071,2,100,'If under 90% Health',2,16),
(90134,200071,2,100,'Inflicts 45 disease damage on targets in Area of Effect',1,17),
(90135,200071,2,100,'If under 100% Health',2,18),
(90136,200071,2,100,'Inflicts 45 disease damage on targets in Area of Effect',1,19),
(90137,200071,2,100,'If under 30% Health',2,20),
(90138,200071,3,100,'Applies Defile.',0,0),
(90139,200071,3,100,'Inflicts 47 disease damage on targets in Area of Effect',1,1),
(90140,200071,3,100,'If under 10% Health',2,2),
(90141,200071,3,100,'Inflicts 47 disease damage on targets in Area of Effect',1,3),
(90142,200071,3,100,'If under 20% Health',2,4),
(90143,200071,3,100,'Inflicts 47 disease damage on targets in Area of Effect',1,5),
(90144,200071,3,100,'If under 40% Health',2,6),
(90145,200071,3,100,'Inflicts 47 disease damage on targets in Area of Effect',1,7),
(90146,200071,3,100,'If under 50% Health',2,8),
(90147,200071,3,100,'Inflicts 47 disease damage on targets in Area of Effect',1,9),
(90148,200071,3,100,'If under 60% Health',2,10),
(90149,200071,3,100,'Inflicts 47 disease damage on targets in Area of Effect',1,11),
(90150,200071,3,100,'If under 70% Health',2,12),
(90151,200071,3,100,'Inflicts 47 disease damage on targets in Area of Effect',1,13),
(90152,200071,3,100,'If under 80% Health',2,14),
(90153,200071,3,100,'Inflicts 47 disease damage on targets in Area of Effect',1,15),
(90154,200071,3,100,'If under 90% Health',2,16),
(90155,200071,3,100,'Inflicts 47 disease damage on targets in Area of Effect',1,17),
(90156,200071,3,100,'If under 100% Health',2,18),
(90157,200071,3,100,'Inflicts 47 disease damage on targets in Area of Effect',1,19),
(90158,200071,3,100,'If under 30% Health',2,20),
(90159,200071,4,100,'Applies Defile.',0,0),
(90160,200071,4,100,'Inflicts 52 disease damage on targets in Area of Effect',1,1),
(90161,200071,4,100,'If under 10% Health',2,2),
(90162,200071,4,100,'Inflicts 52 disease damage on targets in Area of Effect',1,3),
(90163,200071,4,100,'If under 20% Health',2,4),
(90164,200071,4,100,'Inflicts 52 disease damage on targets in Area of Effect',1,5),
(90165,200071,4,100,'If under 40% Health',2,6),
(90166,200071,4,100,'Inflicts 52 disease damage on targets in Area of Effect',1,7),
(90167,200071,4,100,'If under 50% Health',2,8),
(90168,200071,4,100,'Inflicts 52 disease damage on targets in Area of Effect',1,9),
(90169,200071,4,100,'If under 60% Health',2,10),
(90170,200071,4,100,'Inflicts 52 disease damage on targets in Area of Effect',1,11),
(90171,200071,4,100,'If under 70% Health',2,12),
(90172,200071,4,100,'Inflicts 52 disease damage on targets in Area of Effect',1,13),
(90173,200071,4,100,'If under 80% Health',2,14),
(90174,200071,4,100,'Inflicts 52 disease damage on targets in Area of Effect',1,15),
(90175,200071,4,100,'If under 90% Health',2,16),
(90176,200071,4,100,'Inflicts 52 disease damage on targets in Area of Effect',1,17),
(90177,200071,4,100,'If under 100% Health',2,18),
(90178,200071,4,100,'Inflicts 52 disease damage on targets in Area of Effect',1,19),
(90179,200071,4,100,'If under 30% Health',2,20),
(90180,200071,5,100,'Applies Defile.',0,0),
(90181,200071,5,100,'Inflicts 57 disease damage on targets in Area of Effect',1,1),
(90182,200071,5,100,'If under 10% Health',2,2),
(90183,200071,5,100,'Inflicts 57 disease damage on targets in Area of Effect',1,3),
(90184,200071,5,100,'If under 20% Health',2,4),
(90185,200071,5,100,'Inflicts 57 disease damage on targets in Area of Effect',1,5),
(90186,200071,5,100,'If under 40% Health',2,6),
(90187,200071,5,100,'Inflicts 57 disease damage on targets in Area of Effect',1,7),
(90188,200071,5,100,'If under 50% Health',2,8),
(90189,200071,5,100,'Inflicts 57 disease damage on targets in Area of Effect',1,9),
(90190,200071,5,100,'If under 60% Health',2,10),
(90191,200071,5,100,'Inflicts 57 disease damage on targets in Area of Effect',1,11),
(90192,200071,5,100,'If under 70% Health',2,12),
(90193,200071,5,100,'Inflicts 57 disease damage on targets in Area of Effect',1,13),
(90194,200071,5,100,'If under 80% Health',2,14),
(90195,200071,5,100,'Inflicts 57 disease damage on targets in Area of Effect',1,15),
(90196,200071,5,100,'If under 90% Health',2,16),
(90197,200071,5,100,'Inflicts 57 disease damage on targets in Area of Effect',1,17),
(90198,200071,5,100,'If under 100% Health',2,18),
(90199,200071,5,100,'Inflicts 57 disease damage on targets in Area of Effect',1,19),
(90200,200071,5,100,'If under 30% Health',2,20),
(90201,200071,7,100,'Applies Defile.',0,0),
(90202,200071,7,100,'Inflicts 73 disease damage on targets in Area of Effect',1,1),
(90203,200071,7,100,'If under 10% Health',2,2),
(90204,200071,7,100,'Inflicts 73 disease damage on targets in Area of Effect',1,3),
(90205,200071,7,100,'If under 20% Health',2,4),
(90206,200071,7,100,'Inflicts 73 disease damage on targets in Area of Effect',1,5),
(90207,200071,7,100,'If under 40% Health',2,6),
(90208,200071,7,100,'Inflicts 73 disease damage on targets in Area of Effect',1,7),
(90209,200071,7,100,'If under 50% Health',2,8),
(90210,200071,7,100,'Inflicts 73 disease damage on targets in Area of Effect',1,9),
(90211,200071,7,100,'If under 60% Health',2,10),
(90212,200071,7,100,'Inflicts 73 disease damage on targets in Area of Effect',1,11),
(90213,200071,7,100,'If under 70% Health',2,12),
(90214,200071,7,100,'Inflicts 73 disease damage on targets in Area of Effect',1,13),
(90215,200071,7,100,'If under 80% Health',2,14),
(90216,200071,7,100,'Inflicts 73 disease damage on targets in Area of Effect',1,15),
(90217,200071,7,100,'If under 90% Health',2,16),
(90218,200071,7,100,'Inflicts 73 disease damage on targets in Area of Effect',1,17),
(90219,200071,7,100,'If under 100% Health',2,18),
(90220,200071,7,100,'Inflicts 73 disease damage on targets in Area of Effect',1,19),
(90221,200071,7,100,'If under 30% Health',2,20),
(90222,200071,9,100,'Applies Defile.',0,0),
(90223,200071,9,100,'Inflicts 75 disease damage on targets in Area of Effect',1,1),
(90224,200071,9,100,'If under 10% Health',2,2),
(90225,200071,9,100,'Inflicts 75 disease damage on targets in Area of Effect',1,3),
(90226,200071,9,100,'If under 20% Health',2,4),
(90227,200071,9,100,'Inflicts 75 disease damage on targets in Area of Effect',1,5),
(90228,200071,9,100,'If under 40% Health',2,6),
(90229,200071,9,100,'Inflicts 75 disease damage on targets in Area of Effect',1,7),
(90230,200071,9,100,'If under 50% Health',2,8),
(90231,200071,9,100,'Inflicts 75 disease damage on targets in Area of Effect',1,9),
(90232,200071,9,100,'If under 60% Health',2,10),
(90233,200071,9,100,'Inflicts 75 disease damage on targets in Area of Effect',1,11),
(90234,200071,9,100,'If under 70% Health',2,12),
(90235,200071,9,100,'Inflicts 75 disease damage on targets in Area of Effect',1,13),
(90236,200071,9,100,'If under 80% Health',2,14),
(90237,200071,9,100,'Inflicts 75 disease damage on targets in Area of Effect',1,15),
(90238,200071,9,100,'If under 90% Health',2,16),
(90239,200071,9,100,'Inflicts 75 disease damage on targets in Area of Effect',1,17),
(90240,200071,9,100,'If under 100% Health',2,18),
(90241,200071,9,100,'Inflicts 75 disease damage on targets in Area of Effect',1,19),
(90242,200071,9,100,'If under 30% Health',2,20),
(90243,200072,1,100,'Applies Defile.',0,0),
(90244,200072,1,100,'Inflicts 51 disease damage on targets in Area of Effect',1,1),
(90245,200072,1,100,'If under 10% Health',2,2),
(90246,200072,1,100,'Inflicts 51 disease damage on targets in Area of Effect',1,3),
(90247,200072,1,100,'If under 20% Health',2,4),
(90248,200072,1,100,'Inflicts 51 disease damage on targets in Area of Effect',1,5),
(90249,200072,1,100,'If under 40% Health',2,6),
(90250,200072,1,100,'Inflicts 51 disease damage on targets in Area of Effect',1,7),
(90251,200072,1,100,'If under 50% Health',2,8),
(90252,200072,1,100,'Inflicts 51 disease damage on targets in Area of Effect',1,9),
(90253,200072,1,100,'If under 60% Health',2,10),
(90254,200072,1,100,'Inflicts 51 disease damage on targets in Area of Effect',1,11),
(90255,200072,1,100,'If under 70% Health',2,12),
(90256,200072,1,100,'Inflicts 51 disease damage on targets in Area of Effect',1,13),
(90257,200072,1,100,'If under 80% Health',2,14),
(90258,200072,1,100,'Inflicts 51 disease damage on targets in Area of Effect',1,15),
(90259,200072,1,100,'If under 90% Health',2,16),
(90260,200072,1,100,'Inflicts 51 disease damage on targets in Area of Effect',1,17),
(90261,200072,1,100,'If under 100% Health',2,18),
(90262,200072,1,100,'Inflicts 51 disease damage on targets in Area of Effect',1,19),
(90263,200072,1,100,'If under 30% Health',2,20),
(90264,200072,4,100,'Applies Defile.',0,0),
(90265,200072,4,100,'Inflicts 62 disease damage on targets in Area of Effect',1,1),
(90266,200072,4,100,'If under 10% Health',2,2),
(90267,200072,4,100,'Inflicts 62 disease damage on targets in Area of Effect',1,3),
(90268,200072,4,100,'If under 20% Health',2,4),
(90269,200072,4,100,'Inflicts 62 disease damage on targets in Area of Effect',1,5),
(90270,200072,4,100,'If under 40% Health',2,6),
(90271,200072,4,100,'Inflicts 62 disease damage on targets in Area of Effect',1,7),
(90272,200072,4,100,'If under 50% Health',2,8),
(90273,200072,4,100,'Inflicts 62 disease damage on targets in Area of Effect',1,9),
(90274,200072,4,100,'If under 60% Health',2,10),
(90275,200072,4,100,'Inflicts 62 disease damage on targets in Area of Effect',1,11),
(90276,200072,4,100,'If under 70% Health',2,12),
(90277,200072,4,100,'Inflicts 62 disease damage on targets in Area of Effect',1,13),
(90278,200072,4,100,'If under 80% Health',2,14),
(90279,200072,4,100,'Inflicts 62 disease damage on targets in Area of Effect',1,15),
(90280,200072,4,100,'If under 90% Health',2,16),
(90281,200072,4,100,'Inflicts 62 disease damage on targets in Area of Effect',1,17),
(90282,200072,4,100,'If under 100% Health',2,18),
(90283,200072,4,100,'Inflicts 62 disease damage on targets in Area of Effect',1,19),
(90284,200072,4,100,'If under 30% Health',2,20),
(90285,200072,5,100,'Applies Defile.',0,0),
(90286,200072,5,100,'Inflicts 68 disease damage on targets in Area of Effect',1,1),
(90287,200072,5,100,'If under 10% Health',2,2),
(90288,200072,5,100,'Inflicts 68 disease damage on targets in Area of Effect',1,3),
(90289,200072,5,100,'If under 20% Health',2,4),
(90290,200072,5,100,'Inflicts 68 disease damage on targets in Area of Effect',1,5),
(90291,200072,5,100,'If under 40% Health',2,6),
(90292,200072,5,100,'Inflicts 68 disease damage on targets in Area of Effect',1,7),
(90293,200072,5,100,'If under 50% Health',2,8),
(90294,200072,5,100,'Inflicts 68 disease damage on targets in Area of Effect',1,9),
(90295,200072,5,100,'If under 60% Health',2,10),
(90296,200072,5,100,'Inflicts 68 disease damage on targets in Area of Effect',1,11),
(90297,200072,5,100,'If under 70% Health',2,12),
(90298,200072,5,100,'Inflicts 68 disease damage on targets in Area of Effect',1,13),
(90299,200072,5,100,'If under 80% Health',2,14),
(90300,200072,5,100,'Inflicts 68 disease damage on targets in Area of Effect',1,15),
(90301,200072,5,100,'If under 90% Health',2,16),
(90302,200072,5,100,'Inflicts 68 disease damage on targets in Area of Effect',1,17),
(90303,200072,5,100,'If under 100% Health',2,18),
(90304,200072,5,100,'Inflicts 68 disease damage on targets in Area of Effect',1,19),
(90305,200072,5,100,'If under 30% Health',2,20),
(90306,200072,7,100,'Applies Defile.',0,0),
(90307,200072,7,100,'Inflicts 87 disease damage on targets in Area of Effect',1,1),
(90308,200072,7,100,'If under 10% Health',2,2),
(90309,200072,7,100,'Inflicts 87 disease damage on targets in Area of Effect',1,3),
(90310,200072,7,100,'If under 20% Health',2,4),
(90311,200072,7,100,'Inflicts 87 disease damage on targets in Area of Effect',1,5),
(90312,200072,7,100,'If under 40% Health',2,6),
(90313,200072,7,100,'Inflicts 87 disease damage on targets in Area of Effect',1,7),
(90314,200072,7,100,'If under 50% Health',2,8),
(90315,200072,7,100,'Inflicts 87 disease damage on targets in Area of Effect',1,9),
(90316,200072,7,100,'If under 60% Health',2,10),
(90317,200072,7,100,'Inflicts 87 disease damage on targets in Area of Effect',1,11),
(90318,200072,7,100,'If under 70% Health',2,12),
(90319,200072,7,100,'Inflicts 87 disease damage on targets in Area of Effect',1,13),
(90320,200072,7,100,'If under 80% Health',2,14),
(90321,200072,7,100,'Inflicts 87 disease damage on targets in Area of Effect',1,15),
(90322,200072,7,100,'If under 90% Health',2,16),
(90323,200072,7,100,'Inflicts 87 disease damage on targets in Area of Effect',1,17),
(90324,200072,7,100,'If under 100% Health',2,18),
(90325,200072,7,100,'Inflicts 87 disease damage on targets in Area of Effect',1,19),
(90326,200072,7,100,'If under 30% Health',2,20),
(90327,200072,9,100,'Applies Defile.',0,0),
(90328,200072,9,100,'Inflicts 91 disease damage on targets in Area of Effect',1,1),
(90329,200072,9,100,'If under 10% Health',2,2),
(90330,200072,9,100,'Inflicts 91 disease damage on targets in Area of Effect',1,3),
(90331,200072,9,100,'If under 20% Health',2,4),
(90332,200072,9,100,'Inflicts 91 disease damage on targets in Area of Effect',1,5),
(90333,200072,9,100,'If under 40% Health',2,6),
(90334,200072,9,100,'Inflicts 91 disease damage on targets in Area of Effect',1,7),
(90335,200072,9,100,'If under 50% Health',2,8),
(90336,200072,9,100,'Inflicts 91 disease damage on targets in Area of Effect',1,9),
(90337,200072,9,100,'If under 60% Health',2,10),
(90338,200072,9,100,'Inflicts 91 disease damage on targets in Area of Effect',1,11),
(90339,200072,9,100,'If under 70% Health',2,12),
(90340,200072,9,100,'Inflicts 91 disease damage on targets in Area of Effect',1,13),
(90341,200072,9,100,'If under 80% Health',2,14),
(90342,200072,9,100,'Inflicts 91 disease damage on targets in Area of Effect',1,15),
(90343,200072,9,100,'If under 90% Health',2,16),
(90344,200072,9,100,'Inflicts 91 disease damage on targets in Area of Effect',1,17),
(90345,200072,9,100,'If under 100% Health',2,18),
(90346,200072,9,100,'Inflicts 91 disease damage on targets in Area of Effect',1,19),
(90347,200072,9,100,'If under 30% Health',2,20),
(90348,200073,1,100,'Applies Defile.',0,0),
(90349,200073,1,100,'Inflicts 55 disease damage on targets in Area of Effect',1,1),
(90350,200073,1,100,'If under 10% Health',2,2),
(90351,200073,1,100,'Inflicts 55 disease damage on targets in Area of Effect',1,3),
(90352,200073,1,100,'If under 20% Health',2,4),
(90353,200073,1,100,'Inflicts 55 disease damage on targets in Area of Effect',1,5),
(90354,200073,1,100,'If under 40% Health',2,6),
(90355,200073,1,100,'Inflicts 55 disease damage on targets in Area of Effect',1,7),
(90356,200073,1,100,'If under 50% Health',2,8),
(90357,200073,1,100,'Inflicts 55 disease damage on targets in Area of Effect',1,9),
(90358,200073,1,100,'If under 60% Health',2,10),
(90359,200073,1,100,'Inflicts 55 disease damage on targets in Area of Effect',1,11),
(90360,200073,1,100,'If under 70% Health',2,12),
(90361,200073,1,100,'Inflicts 55 disease damage on targets in Area of Effect',1,13),
(90362,200073,1,100,'If under 80% Health',2,14),
(90363,200073,1,100,'Inflicts 55 disease damage on targets in Area of Effect',1,15),
(90364,200073,1,100,'If under 90% Health',2,16),
(90365,200073,1,100,'Inflicts 55 disease damage on targets in Area of Effect',1,17),
(90366,200073,1,100,'If under 100% Health',2,18),
(90367,200073,1,100,'Inflicts 55 disease damage on targets in Area of Effect',1,19),
(90368,200073,1,100,'If under 30% Health',2,20),
(90369,200073,4,100,'Applies Defile.',0,0),
(90370,200073,4,100,'Inflicts 68 disease damage on targets in Area of Effect',1,1),
(90371,200073,4,100,'If under 10% Health',2,2),
(90372,200073,4,100,'Inflicts 68 disease damage on targets in Area of Effect',1,3),
(90373,200073,4,100,'If under 20% Health',2,4),
(90374,200073,4,100,'Inflicts 68 disease damage on targets in Area of Effect',1,5),
(90375,200073,4,100,'If under 40% Health',2,6),
(90376,200073,4,100,'Inflicts 68 disease damage on targets in Area of Effect',1,7),
(90377,200073,4,100,'If under 50% Health',2,8),
(90378,200073,4,100,'Inflicts 68 disease damage on targets in Area of Effect',1,9),
(90379,200073,4,100,'If under 60% Health',2,10),
(90380,200073,4,100,'Inflicts 68 disease damage on targets in Area of Effect',1,11),
(90381,200073,4,100,'If under 70% Health',2,12),
(90382,200073,4,100,'Inflicts 68 disease damage on targets in Area of Effect',1,13),
(90383,200073,4,100,'If under 80% Health',2,14),
(90384,200073,4,100,'Inflicts 68 disease damage on targets in Area of Effect',1,15),
(90385,200073,4,100,'If under 90% Health',2,16),
(90386,200073,4,100,'Inflicts 68 disease damage on targets in Area of Effect',1,17),
(90387,200073,4,100,'If under 100% Health',2,18),
(90388,200073,4,100,'Inflicts 68 disease damage on targets in Area of Effect',1,19),
(90389,200073,4,100,'If under 30% Health',2,20),
(90390,200073,5,100,'Applies Defile.',0,0),
(90391,200073,5,100,'Inflicts 74 disease damage on targets in Area of Effect',1,1),
(90392,200073,5,100,'If under 10% Health',2,2),
(90393,200073,5,100,'Inflicts 74 disease damage on targets in Area of Effect',1,3),
(90394,200073,5,100,'If under 20% Health',2,4),
(90395,200073,5,100,'Inflicts 74 disease damage on targets in Area of Effect',1,5),
(90396,200073,5,100,'If under 40% Health',2,6),
(90397,200073,5,100,'Inflicts 74 disease damage on targets in Area of Effect',1,7),
(90398,200073,5,100,'If under 50% Health',2,8),
(90399,200073,5,100,'Inflicts 74 disease damage on targets in Area of Effect',1,9),
(90400,200073,5,100,'If under 60% Health',2,10),
(90401,200073,5,100,'Inflicts 74 disease damage on targets in Area of Effect',1,11),
(90402,200073,5,100,'If under 70% Health',2,12),
(90403,200073,5,100,'Inflicts 74 disease damage on targets in Area of Effect',1,13),
(90404,200073,5,100,'If under 80% Health',2,14),
(90405,200073,5,100,'Inflicts 74 disease damage on targets in Area of Effect',1,15),
(90406,200073,5,100,'If under 90% Health',2,16),
(90407,200073,5,100,'Inflicts 74 disease damage on targets in Area of Effect',1,17),
(90408,200073,5,100,'If under 100% Health',2,18),
(90409,200073,5,100,'Inflicts 74 disease damage on targets in Area of Effect',1,19),
(90410,200073,5,100,'If under 30% Health',2,20),
(90411,200073,7,100,'Applies Defile.',0,0),
(90412,200073,7,100,'Inflicts 95 disease damage on targets in Area of Effect',1,1),
(90413,200073,7,100,'If under 10% Health',2,2),
(90414,200073,7,100,'Inflicts 95 disease damage on targets in Area of Effect',1,3),
(90415,200073,7,100,'If under 20% Health',2,4),
(90416,200073,7,100,'Inflicts 95 disease damage on targets in Area of Effect',1,5),
(90417,200073,7,100,'If under 40% Health',2,6),
(90418,200073,7,100,'Inflicts 95 disease damage on targets in Area of Effect',1,7),
(90419,200073,7,100,'If under 50% Health',2,8),
(90420,200073,7,100,'Inflicts 95 disease damage on targets in Area of Effect',1,9),
(90421,200073,7,100,'If under 60% Health',2,10),
(90422,200073,7,100,'Inflicts 95 disease damage on targets in Area of Effect',1,11),
(90423,200073,7,100,'If under 70% Health',2,12),
(90424,200073,7,100,'Inflicts 95 disease damage on targets in Area of Effect',1,13),
(90425,200073,7,100,'If under 80% Health',2,14),
(90426,200073,7,100,'Inflicts 95 disease damage on targets in Area of Effect',1,15),
(90427,200073,7,100,'If under 90% Health',2,16),
(90428,200073,7,100,'Inflicts 95 disease damage on targets in Area of Effect',1,17),
(90429,200073,7,100,'If under 100% Health',2,18),
(90430,200073,7,100,'Inflicts 95 disease damage on targets in Area of Effect',1,19),
(90431,200073,7,100,'If under 30% Health',2,20),
(90432,200073,9,100,'Applies Defile.',0,0),
(90433,200073,9,100,'Inflicts 99 disease damage on targets in Area of Effect',1,1),
(90434,200073,9,100,'If under 10% Health',2,2),
(90435,200073,9,100,'Inflicts 99 disease damage on targets in Area of Effect',1,3),
(90436,200073,9,100,'If under 20% Health',2,4),
(90437,200073,9,100,'Inflicts 99 disease damage on targets in Area of Effect',1,5),
(90438,200073,9,100,'If under 40% Health',2,6),
(90439,200073,9,100,'Inflicts 99 disease damage on targets in Area of Effect',1,7),
(90440,200073,9,100,'If under 50% Health',2,8),
(90441,200073,9,100,'Inflicts 99 disease damage on targets in Area of Effect',1,9),
(90442,200073,9,100,'If under 60% Health',2,10),
(90443,200073,9,100,'Inflicts 99 disease damage on targets in Area of Effect',1,11),
(90444,200073,9,100,'If under 70% Health',2,12),
(90445,200073,9,100,'Inflicts 99 disease damage on targets in Area of Effect',1,13),
(90446,200073,9,100,'If under 80% Health',2,14),
(90447,200073,9,100,'Inflicts 99 disease damage on targets in Area of Effect',1,15),
(90448,200073,9,100,'If under 90% Health',2,16),
(90449,200073,9,100,'Inflicts 99 disease damage on targets in Area of Effect',1,17),
(90450,200073,9,100,'If under 100% Health',2,18),
(90451,200073,9,100,'Inflicts 99 disease damage on targets in Area of Effect',1,19),
(90452,200073,9,100,'If under 30% Health',2,20),
(90453,2000397,1,100,'Applies Deific Reformation.',0,0),
(90454,2000397,1,100,'Heals target for 14 - 18',1,1),
(90455,2000397,1,100,'If over 26% Health',2,2),
(90456,2000397,1,100,'Heals target for 20 - 24',1,3),
(90457,2000397,1,100,'If between 11% and 25% health',2,4),
(90458,2000397,1,100,'Heals target for 27 - 33',1,5),
(90459,2000397,1,100,'If under 10% Health',2,6),
(90460,2000397,1,100,'Applies to the two allies with the lowest health. Cannot apply to the same target twice.',1,7),
(90461,2000397,2,100,'Applies Deific Reformation.',0,0),
(90462,2000397,2,100,'Heals target for 2160 - 2640',1,1),
(90463,2000397,2,100,'If over 26% Health',2,2),
(90464,2000397,2,100,'Heals target for 2970 - 3630',1,3),
(90465,2000397,2,100,'If between 11% and 25% health',2,4),
(90466,2000397,2,100,'Heals target for 4050 - 4950',1,5),
(90467,2000397,2,100,'If under 10% Health',2,6),
(90468,2000397,2,100,'Applies to the two allies with the lowest health. Cannot apply to the same target twice.',1,7),
(90469,2000397,3,100,'Applies Deific Reformation.',0,0),
(90470,2000397,3,100,'Heals target for 3240 - 3960',1,1),
(90471,2000397,3,100,'If over 26% Health',2,2),
(90472,2000397,3,100,'Heals target for 4455 - 5445',1,3),
(90473,2000397,3,100,'If between 11% and 25% health',2,4),
(90474,2000397,3,100,'Heals target for 6075 - 7425',1,5),
(90475,2000397,3,100,'If under 10% Health',2,6),
(90476,2000397,3,100,'Applies to the two allies with the lowest health. Cannot apply to the same target twice.',1,7),
(90477,80022,1,100,'Wards target against 107 points of all damage',0,0),
(90478,100138,1,100,'Wards target against 99 points of all damage',0,0),
(90479,100138,2,100,'Wards target against 104 points of all damage',0,0),
(90480,80022,2,100,'Wards target against 113 points of all damage',0,0),
(90481,80022,3,100,'Wards target against 120 points of all damage',0,0),
(90482,100138,3,100,'Wards target against 110 points of all damage',0,0),
(90483,100138,4,100,'Wards target against 121 points of all damage',0,0),
(90484,80022,4,100,'Wards target against 132 points of all damage',0,0),
(90485,100138,5,100,'Wards target against 132 points of all damage',0,0),
(90486,80022,5,100,'Wards target against 144 points of all damage',0,0),
(90487,80022,7,100,'Wards target against 184 points of all damage',0,0),
(90488,100138,7,100,'Wards target against 170 points of all damage',0,0),
(90489,100138,9,100,'Wards target against 176 points of all damage',0,0),
(90490,80022,9,100,'Wards target against 192 points of all damage',0,0),
(90491,100138,10,100,'Wards target against 185 points of all damage',0,0),
(90492,100139,1,100,'Wards target against 225 points of all damage',0,0),
(90493,100139,2,100,'Wards target against 237 points of all damage',0,0),
(90494,100139,3,100,'Wards target against 250 points of all damage',0,0),
(90495,100139,4,100,'Wards target against 275 points of all damage',0,0),
(90496,100139,5,100,'Wards target against 300 points of all damage',0,0),
(90497,100139,7,100,'Wards target against 385 points of all damage',0,0),
(90498,100139,9,100,'Wards target against 400 points of all damage',0,0),
(90499,100140,1,100,'Wards target against 364 points of all damage',0,0),
(90500,100140,2,100,'Wards target against 384 points of all damage',0,0),
(90501,100140,3,100,'Wards target against 404 points of all damage',0,0),
(90502,100140,4,100,'Wards target against 445 points of all damage',0,0),
(90503,100140,5,100,'Wards target against 485 points of all damage',0,0),
(90504,100140,7,100,'Wards target against 623 points of all damage',0,0),
(90505,100140,9,100,'Wards target against 647 points of all damage',0,0),
(90506,100140,10,100,'Wards target against 680 points of all damage',0,0),
(90507,100141,1,100,'Wards target against 538 points of all damage',0,0),
(90508,100141,2,100,'Wards target against 568 points of all damage',0,0),
(90509,100141,3,100,'Wards target against 597 points of all damage',0,0),
(90510,100141,4,100,'Wards target against 657 points of all damage',0,0),
(90511,100141,5,100,'Wards target against 717 points of all damage',0,0),
(90512,100141,7,100,'Wards target against 920 points of all damage',0,0),
(90513,100141,9,100,'Wards target against 956 points of all damage',0,0),
(90514,100142,1,100,'Wards target against 712 points of all damage',0,0),
(90515,100142,2,100,'Wards target against 751 points of all damage',0,0),
(90516,100142,3,100,'Wards target against 791 points of all damage',0,0),
(90517,100142,4,100,'Wards target against 870 points of all damage',0,0),
(90518,100142,5,100,'Wards target against 949 points of all damage',0,0),
(90519,100142,7,100,'Wards target against 1218 points of all damage',0,0),
(90520,100142,9,100,'Wards target against 1265 points of all damage',0,0),
(90521,100143,1,100,'Wards target against 848 points of all damage',0,0),
(90522,100143,2,100,'Wards target against 895 points of all damage',0,0),
(90523,100143,3,100,'Wards target against 942 points of all damage',0,0),
(90524,100143,4,100,'Wards target against 1037 points of all damage',0,0),
(90525,100143,5,100,'Wards target against 1131 points of all damage',0,0),
(90526,100143,7,100,'Wards target against 1452 points of all damage',0,0),
(90527,100143,9,100,'Wards target against 1508 points of all damage',0,0),
(90528,100144,1,100,'Wards target against 1025 points of all damage',0,0),
(90529,100144,4,100,'Wards target against 1252 points of all damage',0,0),
(90530,100144,5,100,'Wards target against 1366 points of all damage',0,0),
(90531,100144,7,100,'Wards target against 1753 points of all damage',0,0),
(90532,100144,9,100,'Wards target against 1822 points of all damage',0,0),
(90533,100145,1,100,'Wards target against 1102 points of all damage',0,0),
(90534,100145,4,100,'Wards target against 1347 points of all damage',0,0),
(90535,100145,5,100,'Wards target against 1470 points of all damage',0,0),
(90536,100145,7,100,'Wards target against 1887 points of all damage',0,0),
(90537,100145,9,100,'Wards target against 1960 points of all damage',0,0),
(90538,360093,1,100,'Applies Unsettled March.  Lasts for 1 minute.',0,0),
(90539,360093,1,100,'Increases Fervor of group members (AE) by 2.1',1,1),
(90540,360093,2,100,'Applies Unsettled March.  Lasts for 1 minute.',0,0),
(90541,360093,2,100,'Increases Fervor of group members (AE) by 2.2',1,1),
(90542,360093,3,100,'Applies Unsettled March.  Lasts for 1 minute.',0,0),
(90543,360093,3,100,'Increases Fervor of group members (AE) by 2.3',1,1),
(90544,360093,4,100,'Applies Unsettled March.  Lasts for 1 minute.',0,0),
(90545,360093,4,100,'Increases Fervor of group members (AE) by 2.5',1,1),
(90546,360093,5,100,'Applies Unsettled March.  Lasts for 1 minute.',0,0),
(90547,360093,5,100,'Increases Fervor of group members (AE) by 2.8',1,1),
(90548,360093,7,100,'Applies Unsettled March.  Lasts for 1 minute.',0,0),
(90549,360093,7,100,'Increases Fervor of group members (AE) by 3.5',1,1),
(90550,360093,9,100,'Applies Unsettled March.  Lasts for 1 minute.',0,0),
(90551,360093,9,100,'Increases Fervor of group members (AE) by 3.7',1,1),
(90552,360094,1,100,'Applies Unsettled March.  Lasts for 1 minute.',0,0),
(90553,360094,1,100,'Increases Fervor of group members (AE) by 2.1',1,1),
(90554,360094,1,100,'Cannot be modified except by direct means',1,2),
(90555,360094,2,100,'Applies Unsettled March.  Lasts for 1 minute.',0,0),
(90556,360094,2,100,'Increases Fervor of group members (AE) by 2.2',1,1),
(90557,360094,2,100,'Cannot be modified except by direct means',1,2),
(90558,360094,3,100,'Applies Unsettled March.  Lasts for 1 minute.',0,0),
(90559,360094,3,100,'Increases Fervor of group members (AE) by 2.3',1,1),
(90560,360094,3,100,'Cannot be modified except by direct means',1,2),
(90561,360094,4,100,'Applies Unsettled March.  Lasts for 1 minute.',0,0),
(90562,360094,4,100,'Increases Fervor of group members (AE) by 2.5',1,1),
(90563,360094,4,100,'Cannot be modified except by direct means',1,2),
(90564,360094,5,100,'Applies Unsettled March.  Lasts for 1 minute.',0,0),
(90565,360094,5,100,'Increases Fervor of group members (AE) by 2.8',1,1),
(90566,360094,5,100,'Cannot be modified except by direct means',1,2),
(90567,360094,7,100,'Applies Unsettled March.  Lasts for 1 minute.',0,0),
(90568,360094,7,100,'Increases Fervor of group members (AE) by 3.5',1,1),
(90569,360094,7,100,'Cannot be modified except by direct means',1,2),
(90570,360094,9,100,'Applies Unsettled March.  Lasts for 1 minute.',0,0),
(90571,360094,9,100,'Increases Fervor of group members (AE) by 3.7',1,1),
(90572,360094,9,100,'Cannot be modified except by direct means',1,2),
(90573,360095,1,100,'Applies Unsettled March.  Lasts for 1 minute.',0,0),
(90574,360095,1,100,'Increases Fervor of group members (AE) by 2.1',1,1),
(90575,360095,1,100,'Cannot be modified except by direct means',1,2),
(90576,360095,4,100,'Applies Unsettled March.  Lasts for 1 minute.',0,0),
(90577,360095,4,100,'Increases Fervor of group members (AE) by 2.5',1,1),
(90578,360095,4,100,'Cannot be modified except by direct means',1,2),
(90579,360095,5,100,'Applies Unsettled March.  Lasts for 1 minute.',0,0),
(90580,360095,5,100,'Increases Fervor of group members (AE) by 2.8',1,1),
(90581,360095,5,100,'Cannot be modified except by direct means',1,2),
(90582,360095,7,100,'Applies Unsettled March.  Lasts for 1 minute.',0,0),
(90583,360095,7,100,'Increases Fervor of group members (AE) by 3.5',1,1),
(90584,360095,7,100,'Cannot be modified except by direct means',1,2),
(90585,360095,9,100,'Applies Unsettled March.  Lasts for 1 minute.',0,0),
(90586,360095,9,100,'Increases Fervor of group members (AE) by 3.7',1,1),
(90587,360095,9,100,'Cannot be modified except by direct means',1,2),
(90588,360096,1,100,'Applies Unsettled March.  Lasts for 1 minute.',0,0),
(90589,360096,1,100,'Increases Fervor of group members (AE) by 2.1',1,1),
(90590,360096,1,100,'Cannot be modified except by direct means',1,2),
(90591,360096,4,100,'Applies Unsettled March.  Lasts for 1 minute.',0,0),
(90592,360096,4,100,'Increases Fervor of group members (AE) by 2.5',1,1),
(90593,360096,4,100,'Cannot be modified except by direct means',1,2),
(90594,360096,5,100,'Applies Unsettled March.  Lasts for 1 minute.',0,0),
(90595,360096,5,100,'Increases Fervor of group members (AE) by 2.8',1,1),
(90596,360096,5,100,'Cannot be modified except by direct means',1,2),
(90597,360096,7,100,'Applies Unsettled March.  Lasts for 1 minute.',0,0),
(90598,360096,7,100,'Increases Fervor of group members (AE) by 3.5',1,1),
(90599,360096,7,100,'Cannot be modified except by direct means',1,2),
(90600,360096,9,100,'Applies Unsettled March.  Lasts for 1 minute.',0,0),
(90601,360096,9,100,'Increases Fervor of group members (AE) by 3.7',1,1),
(90602,360096,9,100,'Cannot be modified except by direct means',1,2),
(90603,140026,1,100,'Decreases INT and STR of target by 6.4',0,0),
(90604,140026,2,100,'Decreases INT and STR of target by 6.7',0,0),
(90605,140026,3,100,'Decreases INT and STR of target by 7.1',0,0),
(90606,140026,4,100,'Decreases INT and STR of target by 7.8',0,0),
(90607,140026,5,100,'Decreases INT and STR of target by 8.5',0,0),
(90608,140026,7,100,'Decreases INT and STR of target by 10.9',0,0),
(90609,140026,9,100,'Decreases INT and STR of target by 11.4',0,0),
(90610,140027,1,100,'Decreases INT and STR of target by 15.0',0,0),
(90611,140027,2,100,'Decreases INT and STR of target by 15.9',0,0),
(90612,140027,3,100,'Decreases INT and STR of target by 16.7',0,0),
(90613,140027,4,100,'Decreases INT and STR of target by 18.4',0,0),
(90614,140027,5,100,'Decreases INT and STR of target by 20.0',0,0),
(90615,140027,7,100,'Decreases INT and STR of target by 25.7',0,0),
(90616,140027,9,100,'Decreases INT and STR of target by 26.7',0,0),
(90617,140027,10,100,'Decreases INT and STR of target by 28.1',0,0),
(90618,140028,1,100,'Decreases INT and STR of target by 24.3',0,0),
(90619,140028,2,100,'Decreases INT and STR of target by 25.6',0,0),
(90620,140028,3,100,'Decreases INT and STR of target by 27.0',0,0),
(90621,140028,4,100,'Decreases INT and STR of target by 29.7',0,0),
(90622,140028,5,100,'Decreases INT and STR of target by 32.4',0,0),
(90623,140028,7,100,'Decreases INT and STR of target by 38.6',0,0),
(90624,140028,9,100,'Decreases INT and STR of target by 43.2',0,0),
(90625,140029,1,100,'Decreases INT and STR of target by 34.4',0,0),
(90626,140029,2,100,'Decreases INT and STR of target by 36.3',0,0),
(90627,140029,3,100,'Decreases INT and STR of target by 38.2',0,0),
(90628,140029,4,100,'Decreases INT and STR of target by 42.0',0,0),
(90629,140029,5,100,'Decreases INT and STR of target by 45.8',0,0),
(90630,140029,7,100,'Decreases INT and STR of target by 58.8',0,0),
(90631,140029,9,100,'Decreases INT and STR of target by 61.1',0,0),
(90632,140030,1,100,'Decreases INT and STR of target by 45.2',0,0),
(90633,140030,2,100,'Decreases INT and STR of target by 47.7',0,0),
(90634,140030,3,100,'Decreases INT and STR of target by 50.2',0,0),
(90635,140030,4,100,'Decreases INT and STR of target by 55.2',0,0),
(90636,140030,5,100,'Decreases INT and STR of target by 60.2',0,0),
(90637,140030,7,100,'Decreases INT and STR of target by 77.3',0,0),
(90638,140030,9,100,'Decreases INT and STR of target by 80.3',0,0),
(90639,140031,1,100,'Decreases INT and STR of target by 55.4',0,0),
(90640,140031,2,100,'Decreases INT and STR of target by 58.5',0,0),
(90641,140031,3,100,'Decreases INT and STR of target by 61.6',0,0),
(90642,140031,4,100,'Decreases INT and STR of target by 67.8',0,0),
(90643,140031,5,100,'Decreases INT and STR of target by 73.9',0,0),
(90644,140031,7,100,'Decreases INT and STR of target by 94.9',0,0),
(90645,140031,9,100,'Decreases INT and STR of target by 98.6',0,0),
(90646,140032,1,100,'Decreases INT and STR of target by 65.3',0,0),
(90647,140032,4,100,'Decreases INT and STR of target by 79.9',0,0),
(90648,140032,5,100,'Decreases INT and STR of target by 87.1',0,0),
(90649,140032,7,100,'Decreases INT and STR of target by 111.8',0,0),
(90650,140032,9,100,'Decreases INT and STR of target by 116.2',0,0),
(90651,140033,1,100,'Decreases INT and STR of target by 75.2',0,0),
(90652,140033,4,100,'Decreases INT and STR of target by 92.0',0,0),
(90653,140033,5,100,'Decreases INT and STR of target by 100.3',0,0),
(90654,140033,7,100,'Decreases INT and STR of target by 128.7',0,0),
(90655,140033,9,100,'Decreases INT and STR of target by 133.8',0,0),
(90656,230028,1,100,'Teleports caster and caster''s group within the zone',0,0),
(90657,360097,1,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(90658,360097,1,100,'Slows target by 28.3%',1,1),
(90659,360097,1,100,'5% chance to dispel when target receives hostile action',1,2),
(90660,360097,1,100,'5% chance to dispel when target takes damage',1,3),
(90661,360097,1,100,'Decreases Mitigation of target vs arcane damage by 197',0,4),
(90662,360097,2,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(90663,360097,2,100,'Slows target by 29.8%',1,1),
(90664,360097,2,100,'5% chance to dispel when target receives hostile action',1,2),
(90665,360097,2,100,'5% chance to dispel when target takes damage',1,3),
(90666,360097,2,100,'Decreases Mitigation of target vs arcane damage by 207',0,4),
(90667,360097,3,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(90668,360097,3,100,'Slows target by 31.4%',1,1),
(90669,360097,3,100,'5% chance to dispel when target receives hostile action',1,2),
(90670,360097,3,100,'5% chance to dispel when target takes damage',1,3),
(90671,360097,3,100,'Decreases Mitigation of target vs arcane damage by 218',0,4),
(90672,360097,4,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(90673,360097,4,100,'Slows target by 34.5%',1,1),
(90674,360097,4,100,'5% chance to dispel when target receives hostile action',1,2),
(90675,360097,4,100,'5% chance to dispel when target takes damage',1,3),
(90676,360097,4,100,'Decreases Mitigation of target vs arcane damage by 240',0,4),
(90677,360097,5,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(90678,360097,5,100,'Slows target by 37.7%',1,1),
(90679,360097,5,100,'5% chance to dispel when target receives hostile action',1,2),
(90680,360097,5,100,'5% chance to dispel when target takes damage',1,3),
(90681,360097,5,100,'Decreases Mitigation of target vs arcane damage by 262',0,4),
(90682,360097,7,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(90683,360097,7,100,'Slows target by 48.4%',1,1),
(90684,360097,7,100,'5% chance to dispel when target receives hostile action',1,2),
(90685,360097,7,100,'5% chance to dispel when target takes damage',1,3),
(90686,360097,7,100,'Decreases Mitigation of target vs arcane damage by 336',0,4),
(90687,360097,9,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(90688,360097,9,100,'Slows target by 50.2%',1,1),
(90689,360097,9,100,'5% chance to dispel when target receives hostile action',1,2),
(90690,360097,9,100,'5% chance to dispel when target takes damage',1,3),
(90691,360097,9,100,'Decreases Mitigation of target vs arcane damage by 349',0,4),
(90692,360098,1,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(90693,360098,1,100,'Slows target by 31.1%',1,1),
(90694,360098,1,100,'5% chance to dispel when target receives hostile action',1,2),
(90695,360098,1,100,'5% chance to dispel when target takes damage',1,3),
(90696,360098,1,100,'Decreases Mitigation of target vs arcane damage by 414',0,4),
(90697,360098,2,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(90698,360098,2,100,'Slows target by 32.9%',1,1),
(90699,360098,2,100,'5% chance to dispel when target receives hostile action',1,2),
(90700,360098,2,100,'5% chance to dispel when target takes damage',1,3),
(90701,360098,2,100,'Decreases Mitigation of target vs arcane damage by 437',0,4),
(90702,360098,3,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(90703,360098,3,100,'Slows target by 34.6%',1,1),
(90704,360098,3,100,'5% chance to dispel when target receives hostile action',1,2),
(90705,360098,3,100,'5% chance to dispel when target takes damage',1,3),
(90706,360098,3,100,'Decreases Mitigation of target vs arcane damage by 460',0,4),
(90707,360098,4,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(90708,360098,4,100,'Slows target by 38.1%',1,1),
(90709,360098,4,100,'5% chance to dispel when target receives hostile action',1,2),
(90710,360098,4,100,'5% chance to dispel when target takes damage',1,3),
(90711,360098,4,100,'Decreases Mitigation of target vs arcane damage by 506',0,4),
(90712,360098,5,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(90713,360098,5,100,'Slows target by 41.5%',1,1),
(90714,360098,5,100,'5% chance to dispel when target receives hostile action',1,2),
(90715,360098,5,100,'5% chance to dispel when target takes damage',1,3),
(90716,360098,5,100,'Decreases Mitigation of target vs arcane damage by 552',0,4),
(90717,360098,7,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(90718,360098,7,100,'Slows target by 53.3%',1,1),
(90719,360098,7,100,'5% chance to dispel when target receives hostile action',1,2),
(90720,360098,7,100,'5% chance to dispel when target takes damage',1,3),
(90721,360098,7,100,'Decreases Mitigation of target vs arcane damage by 708',0,4),
(90722,360098,9,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(90723,360098,9,100,'Slows target by 55.4%',1,1),
(90724,360098,9,100,'5% chance to dispel when target receives hostile action',1,2),
(90725,360098,9,100,'5% chance to dispel when target takes damage',1,3),
(90726,360098,9,100,'Decreases Mitigation of target vs arcane damage by 736',0,4),
(90727,360099,1,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(90728,360099,1,100,'Slows target by 33.7%',1,1),
(90729,360099,1,100,'5% chance to dispel when target receives hostile action',1,2),
(90730,360099,1,100,'5% chance to dispel when target takes damage',1,3),
(90731,360099,1,100,'Decreases Mitigation of target vs arcane damage by 666',0,4),
(90732,360099,2,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(90733,360099,2,100,'Slows target by 35.5%',1,1),
(90734,360099,2,100,'5% chance to dispel when target receives hostile action',1,2),
(90735,360099,2,100,'5% chance to dispel when target takes damage',1,3),
(90736,360099,2,100,'Decreases Mitigation of target vs arcane damage by 703',0,4),
(90737,360099,3,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(90738,360099,3,100,'Slows target by 37.4%',1,1),
(90739,360099,3,100,'5% chance to dispel when target receives hostile action',1,2),
(90740,360099,3,100,'5% chance to dispel when target takes damage',1,3),
(90741,360099,3,100,'Decreases Mitigation of target vs arcane damage by 740',0,4),
(90742,360099,4,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(90743,360099,4,100,'Slows target by 41.1%',1,1),
(90744,360099,4,100,'5% chance to dispel when target receives hostile action',1,2),
(90745,360099,4,100,'5% chance to dispel when target takes damage',1,3),
(90746,360099,4,100,'Decreases Mitigation of target vs arcane damage by 814',0,4),
(90747,360099,5,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(90748,360099,5,100,'Slows target by 44.9%',1,1),
(90749,360099,5,100,'5% chance to dispel when target receives hostile action',1,2),
(90750,360099,5,100,'5% chance to dispel when target takes damage',1,3),
(90751,360099,5,100,'Decreases Mitigation of target vs arcane damage by 888',0,4),
(90752,360099,7,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(90753,360099,7,100,'Slows target by 57.6%',1,1),
(90754,360099,7,100,'5% chance to dispel when target receives hostile action',1,2),
(90755,360099,7,100,'5% chance to dispel when target takes damage',1,3),
(90756,360099,7,100,'Decreases Mitigation of target vs arcane damage by 1140',0,4),
(90757,360099,9,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(90758,360099,9,100,'Slows target by 59.8%',1,1),
(90759,360099,9,100,'5% chance to dispel when target receives hostile action',1,2),
(90760,360099,9,100,'5% chance to dispel when target takes damage',1,3),
(90761,360099,9,100,'Decreases Mitigation of target vs arcane damage by 1184',0,4),
(90762,360100,1,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(90763,360100,1,100,'Slows target by 36.0%',1,1),
(90764,360100,1,100,'5% chance to dispel when target receives hostile action',1,2),
(90765,360100,1,100,'5% chance to dispel when target takes damage',1,3),
(90766,360100,1,100,'Decreases Mitigation of target vs arcane damage by 918',0,4),
(90767,360100,2,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(90768,360100,2,100,'Slows target by 38.0%',1,1),
(90769,360100,2,100,'5% chance to dispel when target receives hostile action',1,2),
(90770,360100,2,100,'5% chance to dispel when target takes damage',1,3),
(90771,360100,2,100,'Decreases Mitigation of target vs arcane damage by 969',0,4),
(90772,360100,3,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(90773,360100,3,100,'Slows target by 40.0%',1,1),
(90774,360100,3,100,'5% chance to dispel when target receives hostile action',1,2),
(90775,360100,3,100,'5% chance to dispel when target takes damage',1,3),
(90776,360100,3,100,'Decreases Mitigation of target vs arcane damage by 1020',0,4),
(90777,360100,4,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(90778,360100,4,100,'Slows target by 44.0%',1,1),
(90779,360100,4,100,'5% chance to dispel when target receives hostile action',1,2),
(90780,360100,4,100,'5% chance to dispel when target takes damage',1,3),
(90781,360100,4,100,'Decreases Mitigation of target vs arcane damage by 1122',0,4),
(90782,360100,5,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(90783,360100,5,100,'Slows target by 48.0%',1,1),
(90784,360100,5,100,'5% chance to dispel when target receives hostile action',1,2),
(90785,360100,5,100,'5% chance to dispel when target takes damage',1,3),
(90786,360100,5,100,'Decreases Mitigation of target vs arcane damage by 1224',0,4),
(90787,360100,7,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(90788,360100,7,100,'Slows target by 61.7%',1,1),
(90789,360100,7,100,'5% chance to dispel when target receives hostile action',1,2),
(90790,360100,7,100,'5% chance to dispel when target takes damage',1,3),
(90791,360100,7,100,'Decreases Mitigation of target vs arcane damage by 1571',0,4),
(90792,360100,9,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(90793,360100,9,100,'Slows target by 64.1%',1,1),
(90794,360100,9,100,'5% chance to dispel when target receives hostile action',1,2),
(90795,360100,9,100,'5% chance to dispel when target takes damage',1,3),
(90796,360100,9,100,'Decreases Mitigation of target vs arcane damage by 1632',0,4),
(90797,360101,1,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(90798,360101,1,100,'Slows target by 36.5%',1,1),
(90799,360101,1,100,'5% chance to dispel when target receives hostile action',1,2),
(90800,360101,1,100,'5% chance to dispel when target takes damage',1,3),
(90801,360101,1,100,'Decreases Mitigation of target vs arcane damage by 1170',0,4),
(90802,360101,2,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(90803,360101,2,100,'Slows target by 38.6%',1,1),
(90804,360101,2,100,'5% chance to dispel when target receives hostile action',1,2),
(90805,360101,2,100,'5% chance to dispel when target takes damage',1,3),
(90806,360101,2,100,'Decreases Mitigation of target vs arcane damage by 1235',0,4),
(90807,360101,3,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(90808,360101,3,100,'Slows target by 40.6%',1,1),
(90809,360101,3,100,'5% chance to dispel when target receives hostile action',1,2),
(90810,360101,3,100,'5% chance to dispel when target takes damage',1,3),
(90811,360101,3,100,'Decreases Mitigation of target vs arcane damage by 1300',0,4),
(90812,360101,4,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(90813,360101,4,100,'Slows target by 44.7%',1,1),
(90814,360101,4,100,'5% chance to dispel when target receives hostile action',1,2),
(90815,360101,4,100,'5% chance to dispel when target takes damage',1,3),
(90816,360101,4,100,'Decreases Mitigation of target vs arcane damage by 1430',0,4),
(90817,360101,5,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(90818,360101,5,100,'Slows target by 48.7%',1,1),
(90819,360101,5,100,'5% chance to dispel when target receives hostile action',1,2),
(90820,360101,5,100,'5% chance to dispel when target takes damage',1,3),
(90821,360101,5,100,'Decreases Mitigation of target vs arcane damage by 1560',0,4),
(90822,360101,7,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(90823,360101,7,100,'Slows target by 62.5%',1,1),
(90824,360101,7,100,'5% chance to dispel when target receives hostile action',1,2),
(90825,360101,7,100,'5% chance to dispel when target takes damage',1,3),
(90826,360101,7,100,'Decreases Mitigation of target vs arcane damage by 2002',0,4),
(90827,360101,9,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(90828,360101,9,100,'Slows target by 65.0%',1,1),
(90829,360101,9,100,'5% chance to dispel when target receives hostile action',1,2),
(90830,360101,9,100,'5% chance to dispel when target takes damage',1,3),
(90831,360101,9,100,'Decreases Mitigation of target vs arcane damage by 2080',0,4),
(90832,360102,1,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(90833,360102,1,100,'Slows target by 36.9%',1,1),
(90834,360102,1,100,'5% chance to dispel when target receives hostile action',1,2),
(90835,360102,1,100,'5% chance to dispel when target takes damage',1,3),
(90836,360102,1,100,'Decreases Mitigation of target vs arcane damage by 1485',0,4),
(90837,360102,2,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(90838,360102,2,100,'Slows target by 39.0%',1,1),
(90839,360102,2,100,'5% chance to dispel when target receives hostile action',1,2),
(90840,360102,2,100,'5% chance to dispel when target takes damage',1,3),
(90841,360102,2,100,'Decreases Mitigation of target vs arcane damage by 1568',0,4),
(90842,360102,3,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(90843,360102,3,100,'Slows target by 41.0%',1,1),
(90844,360102,3,100,'5% chance to dispel when target receives hostile action',1,2),
(90845,360102,3,100,'5% chance to dispel when target takes damage',1,3),
(90846,360102,3,100,'Decreases Mitigation of target vs arcane damage by 1650',0,4),
(90847,360102,4,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(90848,360102,4,100,'Slows target by 45.1%',1,1),
(90849,360102,4,100,'5% chance to dispel when target receives hostile action',1,2),
(90850,360102,4,100,'5% chance to dispel when target takes damage',1,3),
(90851,360102,4,100,'Decreases Mitigation of target vs arcane damage by 1815',0,4),
(90852,360102,5,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(90853,360102,5,100,'Slows target by 49.2%',1,1),
(90854,360102,5,100,'5% chance to dispel when target receives hostile action',1,2),
(90855,360102,5,100,'5% chance to dispel when target takes damage',1,3),
(90856,360102,5,100,'Decreases Mitigation of target vs arcane damage by 1980',0,4),
(90857,360102,7,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(90858,360102,7,100,'Slows target by 63.2%',1,1),
(90859,360102,7,100,'5% chance to dispel when target receives hostile action',1,2),
(90860,360102,7,100,'5% chance to dispel when target takes damage',1,3),
(90861,360102,7,100,'Decreases Mitigation of target vs arcane damage by 2541',0,4),
(90862,360102,9,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(90863,360102,9,100,'Slows target by 65.7%',1,1),
(90864,360102,9,100,'5% chance to dispel when target receives hostile action',1,2),
(90865,360102,9,100,'5% chance to dispel when target takes damage',1,3),
(90866,360102,9,100,'Decreases Mitigation of target vs arcane damage by 2640',0,4),
(90867,360103,1,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(90868,360103,1,100,'Slows target by 37.3%',1,1),
(90869,360103,1,100,'5% chance to dispel when target receives hostile action',1,2),
(90870,360103,1,100,'5% chance to dispel when target takes damage',1,3),
(90871,360103,1,100,'Decreases Mitigation of target vs arcane damage by 1858',0,4),
(90872,360103,4,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(90873,360103,4,100,'Slows target by 45.6%',1,1),
(90874,360103,4,100,'5% chance to dispel when target receives hostile action',1,2),
(90875,360103,4,100,'5% chance to dispel when target takes damage',1,3),
(90876,360103,4,100,'Decreases Mitigation of target vs arcane damage by 2270',0,4),
(90877,360103,5,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(90878,360103,5,100,'Slows target by 49.7%',1,1),
(90879,360103,5,100,'5% chance to dispel when target receives hostile action',1,2),
(90880,360103,5,100,'5% chance to dispel when target takes damage',1,3),
(90881,360103,5,100,'Decreases Mitigation of target vs arcane damage by 2477',0,4),
(90882,360103,7,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(90883,360103,7,100,'Slows target by 63.8%',1,1),
(90884,360103,7,100,'5% chance to dispel when target receives hostile action',1,2),
(90885,360103,7,100,'5% chance to dispel when target takes damage',1,3),
(90886,360103,7,100,'Decreases Mitigation of target vs arcane damage by 3179',0,4),
(90887,360103,9,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(90888,360103,9,100,'Slows target by 66.3%',1,1),
(90889,360103,9,100,'5% chance to dispel when target receives hostile action',1,2),
(90890,360103,9,100,'5% chance to dispel when target takes damage',1,3),
(90891,360103,9,100,'Decreases Mitigation of target vs arcane damage by 3302',0,4),
(90892,360104,1,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(90893,360104,1,100,'Slows target by 37.7%',1,1),
(90894,360104,1,100,'5% chance to dispel when target receives hostile action',1,2),
(90895,360104,1,100,'5% chance to dispel when target takes damage',1,3),
(90896,360104,1,100,'Decreases Mitigation of target vs arcane damage by 2074',0,4),
(90897,360104,4,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(90898,360104,4,100,'Slows target by 46.0%',1,1),
(90899,360104,4,100,'5% chance to dispel when target receives hostile action',1,2),
(90900,360104,4,100,'5% chance to dispel when target takes damage',1,3),
(90901,360104,4,100,'Decreases Mitigation of target vs arcane damage by 2534',0,4),
(90902,360104,5,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(90903,360104,5,100,'Slows target by 50.2%',1,1),
(90904,360104,5,100,'5% chance to dispel when target receives hostile action',1,2),
(90905,360104,5,100,'5% chance to dispel when target takes damage',1,3),
(90906,360104,5,100,'Decreases Mitigation of target vs arcane damage by 2765',0,4),
(90907,360104,7,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(90908,360104,7,100,'Slows target by 64.4%',1,1),
(90909,360104,7,100,'5% chance to dispel when target receives hostile action',1,2),
(90910,360104,7,100,'5% chance to dispel when target takes damage',1,3),
(90911,360104,7,100,'Decreases Mitigation of target vs arcane damage by 3548',0,4),
(90912,360104,9,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(90913,360104,9,100,'Slows target by 66.9%',1,1),
(90914,360104,9,100,'5% chance to dispel when target receives hostile action',1,2),
(90915,360104,9,100,'5% chance to dispel when target takes damage',1,3),
(90916,360104,9,100,'Decreases Mitigation of target vs arcane damage by 3686',0,4),
(90917,2000398,1,100,'Increases Defense of group members (AE) by 0.0',0,0),
(90918,270044,1,100,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',0,0),
(90919,270044,1,100,'Inflicts 109 - 134 mental damage on target',1,1),
(90920,270044,1,100,'Grants a total of 3 triggers of the spell.',1,2),
(90921,270044,2,100,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',0,0),
(90922,270044,2,100,'Inflicts 116 - 141 mental damage on target',1,1),
(90923,270044,2,100,'Grants a total of 3 triggers of the spell.',1,2),
(90924,270044,3,100,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',0,0),
(90925,270044,3,100,'Inflicts 122 - 149 mental damage on target',1,1),
(90926,270044,3,100,'Grants a total of 3 triggers of the spell.',1,2),
(90927,270044,4,100,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',0,0),
(90928,270044,4,100,'Inflicts 134 - 164 mental damage on target',1,1),
(90929,270044,4,100,'Grants a total of 3 triggers of the spell.',1,2),
(90930,270044,5,100,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',0,0),
(90931,270044,5,100,'Inflicts 146 - 178 mental damage on target',1,1),
(90932,270044,5,100,'Grants a total of 3 triggers of the spell.',1,2),
(90933,270044,7,100,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',0,0),
(90934,270044,7,100,'Inflicts 187 - 229 mental damage on target',1,1),
(90935,270044,7,100,'Grants a total of 3 triggers of the spell.',1,2),
(90936,270044,9,100,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',0,0),
(90937,270044,9,100,'Inflicts 195 - 238 mental damage on target',1,1),
(90938,270044,9,100,'Grants a total of 3 triggers of the spell.',1,2),
(90939,270045,1,100,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',0,0),
(90940,270045,1,100,'Inflicts 173 - 211 mental damage on target',1,1),
(90941,270045,1,100,'Grants a total of 3 triggers of the spell.',1,2),
(90942,270045,2,100,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',0,0),
(90943,270045,2,100,'Inflicts 183 - 223 mental damage on target',1,1),
(90944,270045,2,100,'Grants a total of 3 triggers of the spell.',1,2),
(90945,270045,3,100,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',0,0),
(90946,270045,3,100,'Inflicts 192 - 235 mental damage on target',1,1),
(90947,270045,3,100,'Grants a total of 3 triggers of the spell.',1,2),
(90948,270045,4,100,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',0,0),
(90949,270045,4,100,'Inflicts 211 - 258 mental damage on target',1,1),
(90950,270045,4,100,'Grants a total of 3 triggers of the spell.',1,2),
(90951,270045,5,100,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',0,0),
(90952,270045,5,100,'Inflicts 231 - 282 mental damage on target',1,1),
(90953,270045,5,100,'Grants a total of 3 triggers of the spell.',1,2),
(90954,270045,7,100,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',0,0),
(90955,270045,7,100,'Inflicts 296 - 362 mental damage on target',1,1),
(90956,270045,7,100,'Grants a total of 3 triggers of the spell.',1,2),
(90957,270045,9,100,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',0,0),
(90958,270045,9,100,'Inflicts 308 - 376 mental damage on target',1,1),
(90959,270045,9,100,'Grants a total of 3 triggers of the spell.',1,2),
(90960,270045,10,100,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',0,0),
(90961,270045,10,100,'Inflicts 323 - 395 mental damage on target',1,1),
(90962,270045,10,100,'Grants a total of 3 triggers of the spell.',1,2),
(90963,270046,1,100,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',0,0),
(90964,270046,1,100,'Inflicts 250 - 305 mental damage on target',1,1),
(90965,270046,1,100,'Grants a total of 3 triggers of the spell.',1,2),
(90966,270046,2,100,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',0,0),
(90967,270046,2,100,'Inflicts 264 - 322 mental damage on target',1,1),
(90968,270046,2,100,'Grants a total of 3 triggers of the spell.',1,2),
(90969,270046,3,100,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',0,0),
(90970,270046,3,100,'Inflicts 277 - 339 mental damage on target',1,1),
(90971,270046,3,100,'Grants a total of 3 triggers of the spell.',1,2),
(90972,270046,4,100,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',0,0),
(90973,270046,4,100,'Inflicts 305 - 373 mental damage on target',1,1),
(90974,270046,4,100,'Grants a total of 3 triggers of the spell.',1,2),
(90975,270046,5,100,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',0,0),
(90976,270046,5,100,'Inflicts 333 - 407 mental damage on target',1,1),
(90977,270046,5,100,'Grants a total of 3 triggers of the spell.',1,2),
(90978,270046,7,100,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',0,0),
(90979,270046,7,100,'Inflicts 427 - 522 mental damage on target',1,1),
(90980,270046,7,100,'Grants a total of 3 triggers of the spell.',1,2),
(90981,270046,9,100,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',0,0),
(90982,270046,9,100,'Inflicts 444 - 543 mental damage on target',1,1),
(90983,270046,9,100,'Grants a total of 3 triggers of the spell.',1,2),
(90984,270047,1,100,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',0,0),
(90985,270047,1,100,'Inflicts 326 - 399 mental damage on target',1,1),
(90986,270047,1,100,'Grants a total of 3 triggers of the spell.',1,2),
(90987,270047,2,100,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',0,0),
(90988,270047,2,100,'Inflicts 344 - 421 mental damage on target',1,1),
(90989,270047,2,100,'Grants a total of 3 triggers of the spell.',1,2),
(90990,270047,3,100,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',0,0),
(90991,270047,3,100,'Inflicts 363 - 443 mental damage on target',1,1),
(90992,270047,3,100,'Grants a total of 3 triggers of the spell.',1,2),
(90993,270047,4,100,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',0,0),
(90994,270047,4,100,'Inflicts 399 - 487 mental damage on target',1,1),
(90995,270047,4,100,'Grants a total of 3 triggers of the spell.',1,2),
(90996,270047,5,100,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',0,0),
(90997,270047,5,100,'Inflicts 435 - 532 mental damage on target',1,1),
(90998,270047,5,100,'Grants a total of 3 triggers of the spell.',1,2),
(90999,270047,7,100,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',0,0),
(91000,270047,7,100,'Inflicts 558 - 682 mental damage on target',1,1),
(91001,270047,7,100,'Grants a total of 3 triggers of the spell.',1,2),
(91002,270047,9,100,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',0,0),
(91003,270047,9,100,'Inflicts 580 - 709 mental damage on target',1,1),
(91004,270047,9,100,'Grants a total of 3 triggers of the spell.',1,2),
(91005,270048,1,100,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',0,0),
(91006,270048,1,100,'Inflicts 396 - 484 mental damage on target',1,1),
(91007,270048,1,100,'Grants a total of 3 triggers of the spell.',1,2),
(91008,270048,2,100,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',0,0),
(91009,270048,2,100,'Inflicts 418 - 510 mental damage on target',1,1),
(91010,270048,2,100,'Grants a total of 3 triggers of the spell.',1,2),
(91011,270048,3,100,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',0,0),
(91012,270048,3,100,'Inflicts 440 - 537 mental damage on target',1,1),
(91013,270048,3,100,'Grants a total of 3 triggers of the spell.',1,2),
(91014,270048,4,100,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',0,0),
(91015,270048,4,100,'Inflicts 484 - 591 mental damage on target',1,1),
(91016,270048,4,100,'Grants a total of 3 triggers of the spell.',1,2),
(91017,270048,5,100,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',0,0),
(91018,270048,5,100,'Inflicts 528 - 645 mental damage on target',1,1),
(91019,270048,5,100,'Grants a total of 3 triggers of the spell.',1,2),
(91020,270048,7,100,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',0,0),
(91021,270048,7,100,'Inflicts 677 - 828 mental damage on target',1,1),
(91022,270048,7,100,'Grants a total of 3 triggers of the spell.',1,2),
(91023,270048,9,100,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',0,0),
(91024,270048,9,100,'Inflicts 703 - 860 mental damage on target',1,1),
(91025,270048,9,100,'Grants a total of 3 triggers of the spell.',1,2),
(91026,270049,1,100,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',0,0),
(91027,270049,1,100,'Inflicts 476 - 582 mental damage on target',1,1),
(91028,270049,1,100,'Grants a total of 3 triggers of the spell.',1,2),
(91029,270049,4,100,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',0,0),
(91030,270049,4,100,'Inflicts 582 - 711 mental damage on target',1,1),
(91031,270049,4,100,'Grants a total of 3 triggers of the spell.',1,2),
(91032,270049,5,100,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',0,0),
(91033,270049,5,100,'Inflicts 635 - 776 mental damage on target',1,1),
(91034,270049,5,100,'Grants a total of 3 triggers of the spell.',1,2),
(91035,270049,7,100,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',0,0),
(91036,270049,7,100,'Inflicts 815 - 996 mental damage on target',1,1),
(91037,270049,7,100,'Grants a total of 3 triggers of the spell.',1,2),
(91038,270049,9,100,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',0,0),
(91039,270049,9,100,'Inflicts 846 - 1034 mental damage on target',1,1),
(91040,270049,9,100,'Grants a total of 3 triggers of the spell.',1,2),
(91041,270050,1,100,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',0,0),
(91042,270050,1,100,'Inflicts 505 - 617 mental damage on target',1,1),
(91043,270050,1,100,'Grants a total of 3 triggers of the spell.',1,2),
(91044,270050,4,100,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',0,0),
(91045,270050,4,100,'Inflicts 617 - 754 mental damage on target',1,1),
(91046,270050,4,100,'Grants a total of 3 triggers of the spell.',1,2),
(91047,270050,5,100,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',0,0),
(91048,270050,5,100,'Inflicts 673 - 823 mental damage on target',1,1),
(91049,270050,5,100,'Grants a total of 3 triggers of the spell.',1,2),
(91050,270050,7,100,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',0,0),
(91051,270050,7,100,'Inflicts 864 - 1056 mental damage on target',1,1),
(91052,270050,7,100,'Grants a total of 3 triggers of the spell.',1,2),
(91053,270050,9,100,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',0,0),
(91054,270050,9,100,'Inflicts 898 - 1097 mental damage on target',1,1),
(91055,270050,9,100,'Grants a total of 3 triggers of the spell.',1,2),
(91056,190035,1,100,'Decreases STR and AGI of target by 8.0',0,0),
(91057,190035,2,100,'Decreases STR and AGI of target by 8.4',0,0),
(91058,190035,3,100,'Decreases STR and AGI of target by 8.9',0,0),
(91059,190035,4,100,'Decreases STR and AGI of target by 9.8',0,0),
(91060,190035,5,100,'Decreases STR and AGI of target by 10.7',0,0),
(91061,190035,7,100,'Decreases STR and AGI of target by 13.7',0,0),
(91062,190035,9,100,'Decreases STR and AGI of target by 14.2',0,0),
(91063,190036,1,100,'Decreases STR and AGI of target by 18.8',0,0),
(91064,190036,2,100,'Decreases STR and AGI of target by 19.8',0,0),
(91065,190036,3,100,'Decreases STR and AGI of target by 20.9',0,0),
(91066,190036,4,100,'Decreases STR and AGI of target by 23.0',0,0),
(91067,190036,5,100,'Decreases STR and AGI of target by 25.1',0,0),
(91068,190036,7,100,'Decreases STR and AGI of target by 32.1',0,0),
(91069,190036,9,100,'Decreases STR and AGI of target by 33.4',0,0),
(91070,190036,10,100,'Decreases STR and AGI of target by 35.1',0,0),
(91071,190037,1,100,'Decreases STR and AGI of target by 30.4',0,0),
(91072,190037,2,100,'Decreases STR and AGI of target by 32.1',0,0),
(91073,190037,3,100,'Decreases STR and AGI of target by 33.7',0,0),
(91074,190037,4,100,'Decreases STR and AGI of target by 37.1',0,0),
(91075,190037,5,100,'Decreases STR and AGI of target by 40.5',0,0),
(91076,190037,7,100,'Decreases STR and AGI of target by 52.0',0,0),
(91077,190037,9,100,'Decreases STR and AGI of target by 54.0',0,0),
(91078,190038,1,100,'Decreases STR and AGI of target by 43.0',0,0),
(91079,190038,2,100,'Decreases STR and AGI of target by 45.4',0,0),
(91080,190038,3,100,'Decreases STR and AGI of target by 47.7',0,0),
(91081,190038,4,100,'Decreases STR and AGI of target by 52.5',0,0),
(91082,190038,5,100,'Decreases STR and AGI of target by 57.3',0,0),
(91083,190038,7,100,'Decreases STR and AGI of target by 73.5',0,0),
(91084,190038,9,100,'Decreases STR and AGI of target by 76.4',0,0),
(91085,190039,1,100,'Decreases STR and AGI of target by 56.5',0,0),
(91086,190039,2,100,'Decreases STR and AGI of target by 59.6',0,0),
(91087,190039,3,100,'Decreases STR and AGI of target by 62.7',0,0),
(91088,190039,4,100,'Decreases STR and AGI of target by 69.0',0,0),
(91089,190039,5,100,'Decreases STR and AGI of target by 75.3',0,0),
(91090,190039,7,100,'Decreases STR and AGI of target by 96.6',0,0),
(91091,190039,9,100,'Decreases STR and AGI of target by 100.4',0,0),
(91092,190040,1,100,'Decreases STR and AGI of target by 69.3',0,0),
(91093,190040,2,100,'Decreases STR and AGI of target by 73.2',0,0),
(91094,190040,3,100,'Decreases STR and AGI of target by 77.0',0,0),
(91095,190040,4,100,'Decreases STR and AGI of target by 84.7',0,0),
(91096,190040,5,100,'Decreases STR and AGI of target by 92.4',0,0),
(91097,190040,7,100,'Decreases STR and AGI of target by 118.6',0,0),
(91098,190040,9,100,'Decreases STR and AGI of target by 123.2',0,0),
(91099,190041,1,100,'Decreases STR and AGI of target by 81.7',0,0),
(91100,190041,4,100,'Decreases STR and AGI of target by 99.8',0,0),
(91101,190041,5,100,'Decreases STR and AGI of target by 108.9',0,0),
(91102,190041,7,100,'Decreases STR and AGI of target by 139.8',0,0),
(91103,190041,9,100,'Decreases STR and AGI of target by 145.2',0,0),
(91104,190042,1,100,'Decreases STR and AGI of target by 94.0',0,0),
(91105,190042,4,100,'Decreases STR and AGI of target by 115.0',0,0),
(91106,190042,5,100,'Decreases STR and AGI of target by 125.4',0,0),
(91107,190042,7,100,'Decreases STR and AGI of target by 160.9',0,0),
(91108,190042,9,100,'Decreases STR and AGI of target by 167.2',0,0),
(91109,2000399,9,100,'Reduces elemental, noxious and arcane damage done to caster by 7.5%',0,0),
(91110,2000399,9,100,'Wards caster against 4 points of elemental, noxious and arcane damage',0,1),
(91111,2000399,9,100,'Wards caster against 2 points of elemental, noxious and arcane damage',0,2),
(91112,2000399,9,100,'Wards caster against 700 points of all damage',0,3),
(91113,2000399,9,100,'Increases STA of caster by 5.0',0,4),
(91114,2000399,9,100,'Increases AGI of caster by 24.0',0,5),
(91115,2000399,9,100,'Caster will Riposte 3.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',0,6),
(91116,2000399,9,100,'Increases Unconscious Health of caster by 16.0',0,7),
(91117,2000399,9,100,'Increases Max Health of caster by 89.6',0,8),
(91118,2000399,9,100,'Increases Parry of caster by 2.4',0,9),
(91119,2000399,9,100,'Increases Mitigation of caster vs physical damage by 0',0,10),
(91120,2000399,9,100,'Increases Mitigation of caster vs elemental damage by 0',0,11),
(91121,2000399,9,100,'Increases Mitigation of caster vs noxious damage by 0',0,12),
(91122,2000399,9,100,'Increases Mitigation of caster vs arcane damage by 0',0,13),
(91123,2000399,9,100,'Increases trigger percentage by 20% of the existing trigger percent',0,14),
(91124,2000399,9,100,'Increases trigger percent chance by 20% relative to its base value',0,15),
(91125,2000399,9,100,'This spell simulates the buffs of a troubador (raid wide only), dirge, coercer, warden, defiler and templar.',0,16),
(91126,2000399,9,100,'When damaged with a melee weapon this spell has a 15% chance to cast Divine Shield on caster.  Lasts for 10.0 seconds.  ',0,17),
(91127,2000399,9,100,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',1,18),
(91128,2000399,9,100,'When damaged this spell has a 12% chance to cast Stoneskin on target.  Lasts for 20.0 seconds.  ',0,19),
(91129,2000399,9,100,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',1,20),
(91130,2000399,9,100,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',1,21),
(91131,130022,1,100,'Dispels 42 levels of any hostile effects on group members (AE)',0,0),
(91132,130022,2,100,'Dispels 45 levels of any hostile effects on group members (AE)',0,0),
(91133,130022,3,100,'Dispels 47 levels of any hostile effects on group members (AE)',0,0),
(91134,130022,4,100,'Dispels 52 levels of any hostile effects on group members (AE)',0,0),
(91135,130022,5,100,'Dispels 57 levels of any hostile effects on group members (AE)',0,0),
(91136,130022,7,100,'Dispels 73 levels of any hostile effects on group members (AE)',0,0),
(91137,130022,9,100,'Dispels 76 levels of any hostile effects on group members (AE)',0,0),
(91138,130023,1,100,'Dispels 56 levels of any hostile effects on group members (AE)',0,0),
(91139,130023,2,100,'Dispels 59 levels of any hostile effects on group members (AE)',0,0),
(91140,130023,3,100,'Dispels 62 levels of any hostile effects on group members (AE)',0,0),
(91141,130023,4,100,'Dispels 69 levels of any hostile effects on group members (AE)',0,0),
(91142,130023,5,100,'Dispels 75 levels of any hostile effects on group members (AE)',0,0),
(91143,130023,7,100,'Dispels 96 levels of any hostile effects on group members (AE)',0,0),
(91144,130023,9,100,'Dispels 100 levels of any hostile effects on group members (AE)',0,0),
(91145,130024,1,100,'Dispels 70 levels of any hostile effects on group members (AE)',0,0),
(91146,130024,2,100,'Dispels 74 levels of any hostile effects on group members (AE)',0,0),
(91147,130024,3,100,'Dispels 78 levels of any hostile effects on group members (AE)',0,0),
(91148,130024,4,100,'Dispels 85 levels of any hostile effects on group members (AE)',0,0),
(91149,130024,5,100,'Dispels 93 levels of any hostile effects on group members (AE)',0,0),
(91150,130024,7,100,'Dispels 120 levels of any hostile effects on group members (AE)',0,0),
(91151,130024,9,100,'Dispels 124 levels of any hostile effects on group members (AE)',0,0),
(91152,90085,1,100,'Inflicts 97 - 119 disease damage on target',0,0),
(91153,90085,1,100,'Heals caster for 3.4 - 4.2% of max health',0,1),
(91154,90085,1,100,'This effect cannot be critically applied.',1,2),
(91155,90085,1,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91156,90085,2,100,'Inflicts 103 - 126 disease damage on target',0,0),
(91157,90085,2,100,'Heals caster for 3.6 - 4.4% of max health',0,1),
(91158,90085,2,100,'This effect cannot be critically applied.',1,2),
(91159,90085,2,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91160,90085,3,100,'Inflicts 108 - 132 disease damage on target',0,0),
(91161,90085,3,100,'Heals caster for 3.8 - 4.6% of max health',0,1),
(91162,90085,3,100,'This effect cannot be critically applied.',1,2),
(91163,90085,3,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91164,90085,4,100,'Inflicts 119 - 145 disease damage on target',0,0),
(91165,90085,4,100,'Heals caster for 4.2 - 5.1% of max health',0,1),
(91166,90085,4,100,'This effect cannot be critically applied.',1,2),
(91167,90085,4,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91168,90085,5,100,'Inflicts 130 - 159 disease damage on target',0,0),
(91169,90085,5,100,'Heals caster for 4.5 - 5.5% of max health',0,1),
(91170,90085,5,100,'This effect cannot be critically applied.',1,2),
(91171,90085,5,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91172,90085,7,100,'Inflicts 167 - 204 disease damage on target',0,0),
(91173,90085,7,100,'Heals caster for 5.8 - 7.1% of max health',0,1),
(91174,90085,7,100,'This effect cannot be critically applied.',1,2),
(91175,90085,7,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91176,90085,9,100,'Inflicts 173 - 211 disease damage on target',0,0),
(91177,90085,9,100,'Heals caster for 6.1 - 7.4% of max health',0,1),
(91178,90085,9,100,'This effect cannot be critically applied.',1,2),
(91179,90085,9,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91180,90086,1,100,'Inflicts 154 - 188 disease damage on target',0,0),
(91181,90086,1,100,'Heals caster for 3.6 - 4.4% of max health',0,1),
(91182,90086,1,100,'This effect cannot be critically applied.',1,2),
(91183,90086,1,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91184,90086,2,100,'Inflicts 162 - 198 disease damage on target',0,0),
(91185,90086,2,100,'Heals caster for 3.8 - 4.7% of max health',0,1),
(91186,90086,2,100,'This effect cannot be critically applied.',1,2),
(91187,90086,2,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91188,90086,3,100,'Inflicts 171 - 209 disease damage on target',0,0),
(91189,90086,3,100,'Heals caster for 4.0 - 4.9% of max health',0,1),
(91190,90086,3,100,'This effect cannot be critically applied.',1,2),
(91191,90086,3,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91192,90086,4,100,'Inflicts 188 - 230 disease damage on target',0,0),
(91193,90086,4,100,'Heals caster for 4.4 - 5.4% of max health',0,1),
(91194,90086,4,100,'This effect cannot be critically applied.',1,2),
(91195,90086,4,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91196,90086,5,100,'Inflicts 205 - 251 disease damage on target',0,0),
(91197,90086,5,100,'Heals caster for 4.8 - 5.9% of max health',0,1),
(91198,90086,5,100,'This effect cannot be critically applied.',1,2),
(91199,90086,5,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91200,90086,7,100,'Inflicts 263 - 322 disease damage on target',0,0),
(91201,90086,7,100,'Heals caster for 6.2 - 7.6% of max health',0,1),
(91202,90086,7,100,'This effect cannot be critically applied.',1,2),
(91203,90086,7,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91204,90086,9,100,'Inflicts 273 - 334 disease damage on target',0,0),
(91205,90086,9,100,'Heals caster for 6.4 - 7.9% of max health',0,1),
(91206,90086,9,100,'This effect cannot be critically applied.',1,2),
(91207,90086,9,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91208,90086,10,100,'Inflicts 287 - 351 disease damage on target',0,0),
(91209,90086,10,100,'Heals caster for 6.7 - 8.2% of max health',0,1),
(91210,90086,10,100,'This effect cannot be critically applied.',1,2),
(91211,90086,10,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91212,90087,1,100,'Inflicts 222 - 271 disease damage on target',0,0),
(91213,90087,1,100,'Heals caster for 3.7 - 4.5% of max health',0,1),
(91214,90087,1,100,'This effect cannot be critically applied.',1,2),
(91215,90087,1,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91216,90087,2,100,'Inflicts 234 - 286 disease damage on target',0,0),
(91217,90087,2,100,'Heals caster for 3.9 - 4.8% of max health',0,1),
(91218,90087,2,100,'This effect cannot be critically applied.',1,2),
(91219,90087,2,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91220,90087,3,100,'Inflicts 247 - 301 disease damage on target',0,0),
(91221,90087,3,100,'Heals caster for 4.1 - 5.1% of max health',0,1),
(91222,90087,3,100,'This effect cannot be critically applied.',1,2),
(91223,90087,3,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91224,90087,4,100,'Inflicts 271 - 332 disease damage on target',0,0),
(91225,90087,4,100,'Heals caster for 4.5 - 5.6% of max health',0,1),
(91226,90087,4,100,'This effect cannot be critically applied.',1,2),
(91227,90087,4,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91228,90087,5,100,'Inflicts 296 - 362 disease damage on target',0,0),
(91229,90087,5,100,'Heals caster for 5.0 - 6.1% of max health',0,1),
(91230,90087,5,100,'This effect cannot be critically applied.',1,2),
(91231,90087,5,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91232,90087,7,100,'Inflicts 380 - 464 disease damage on target',0,0),
(91233,90087,7,100,'Heals caster for 6.4 - 7.8% of max health',0,1),
(91234,90087,7,100,'This effect cannot be critically applied.',1,2),
(91235,90087,7,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91236,90087,9,100,'Inflicts 395 - 482 disease damage on target',0,0),
(91237,90087,9,100,'Heals caster for 6.6 - 8.1% of max health',0,1),
(91238,90087,9,100,'This effect cannot be critically applied.',1,2),
(91239,90087,9,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91240,90088,1,100,'Inflicts 290 - 355 disease damage on target',0,0),
(91241,90088,1,100,'Heals caster for 4.0 - 4.8% of max health',0,1),
(91242,90088,1,100,'This effect cannot be critically applied.',1,2),
(91243,90088,1,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91244,90088,2,100,'Inflicts 306 - 374 disease damage on target',0,0),
(91245,90088,2,100,'Heals caster for 4.2 - 5.1% of max health',0,1),
(91246,90088,2,100,'This effect cannot be critically applied.',1,2),
(91247,90088,2,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91248,90088,3,100,'Inflicts 322 - 394 disease damage on target',0,0),
(91249,90088,3,100,'Heals caster for 4.4 - 5.4% of max health',0,1),
(91250,90088,3,100,'This effect cannot be critically applied.',1,2),
(91251,90088,3,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91252,90088,4,100,'Inflicts 355 - 433 disease damage on target',0,0),
(91253,90088,4,100,'Heals caster for 4.8 - 5.9% of max health',0,1),
(91254,90088,4,100,'This effect cannot be critically applied.',1,2),
(91255,90088,4,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91256,90088,5,100,'Inflicts 387 - 473 disease damage on target',0,0),
(91257,90088,5,100,'Heals caster for 5.3 - 6.5% of max health',0,1),
(91258,90088,5,100,'This effect cannot be critically applied.',1,2),
(91259,90088,5,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91260,90088,7,100,'Inflicts 496 - 607 disease damage on target',0,0),
(91261,90088,7,100,'Heals caster for 6.8 - 8.3% of max health',0,1),
(91262,90088,7,100,'This effect cannot be critically applied.',1,2),
(91263,90088,7,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91264,90088,9,100,'Inflicts 516 - 630 disease damage on target',0,0),
(91265,90088,9,100,'Heals caster for 7.0 - 8.6% of max health',0,1),
(91266,90088,9,100,'This effect cannot be critically applied.',1,2),
(91267,90088,9,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91268,90089,1,100,'Inflicts 352 - 430 disease damage on target',0,0),
(91269,90089,1,100,'Heals caster for 4.1 - 5.0% of max health',0,1),
(91270,90089,1,100,'This effect cannot be critically applied.',1,2),
(91271,90089,1,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91272,90089,2,100,'Inflicts 371 - 454 disease damage on target',0,0),
(91273,90089,2,100,'Heals caster for 4.3 - 5.3% of max health',0,1),
(91274,90089,2,100,'This effect cannot be critically applied.',1,2),
(91275,90089,2,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91276,90089,3,100,'Inflicts 391 - 478 disease damage on target',0,0),
(91277,90089,3,100,'Heals caster for 4.5 - 5.5% of max health',0,1),
(91278,90089,3,100,'This effect cannot be critically applied.',1,2),
(91279,90089,3,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91280,90089,4,100,'Inflicts 430 - 525 disease damage on target',0,0),
(91281,90089,4,100,'Heals caster for 5.0 - 6.1% of max health',0,1),
(91282,90089,4,100,'This effect cannot be critically applied.',1,2),
(91283,90089,4,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91284,90089,5,100,'Inflicts 469 - 573 disease damage on target',0,0),
(91285,90089,5,100,'Heals caster for 5.4 - 6.7% of max health',0,1),
(91286,90089,5,100,'This effect cannot be critically applied.',1,2),
(91287,90089,5,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91288,90089,7,100,'Inflicts 602 - 736 disease damage on target',0,0),
(91289,90089,7,100,'Heals caster for 7.0 - 8.5% of max health',0,1),
(91290,90089,7,100,'This effect cannot be critically applied.',1,2),
(91291,90089,7,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91292,90089,9,100,'Inflicts 625 - 764 disease damage on target',0,0),
(91293,90089,9,100,'Heals caster for 7.3 - 8.9% of max health',0,1),
(91294,90089,9,100,'This effect cannot be critically applied.',1,2),
(91295,90089,9,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91296,90090,1,100,'Inflicts 423 - 517 disease damage on target',0,0),
(91297,90090,1,100,'Heals caster for 4.2 - 5.2% of max health',0,1),
(91298,90090,1,100,'This effect cannot be critically applied.',1,2),
(91299,90090,1,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91300,90090,4,100,'Inflicts 517 - 632 disease damage on target',0,0),
(91301,90090,4,100,'Heals caster for 5.2 - 6.3% of max health',0,1),
(91302,90090,4,100,'This effect cannot be critically applied.',1,2),
(91303,90090,4,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91304,90090,5,100,'Inflicts 564 - 690 disease damage on target',0,0),
(91305,90090,5,100,'Heals caster for 5.6 - 6.9% of max health',0,1),
(91306,90090,5,100,'This effect cannot be critically applied.',1,2),
(91307,90090,5,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91308,90090,7,100,'Inflicts 724 - 885 disease damage on target',0,0),
(91309,90090,7,100,'Heals caster for 7.2 - 8.8% of max health',0,1),
(91310,90090,7,100,'This effect cannot be critically applied.',1,2),
(91311,90090,7,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91312,90090,9,100,'Inflicts 752 - 919 disease damage on target',0,0),
(91313,90090,9,100,'Heals caster for 7.5 - 9.2% of max health',0,1),
(91314,90090,9,100,'This effect cannot be critically applied.',1,2),
(91315,90090,9,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91316,90091,1,100,'Inflicts 449 - 549 disease damage on target',0,0),
(91317,90091,1,100,'Heals caster for 4.5 - 5.5% of max health',0,1),
(91318,90091,1,100,'This effect cannot be critically applied.',1,2),
(91319,90091,1,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91320,90091,4,100,'Inflicts 549 - 671 disease damage on target',0,0),
(91321,90091,4,100,'Heals caster for 5.5 - 6.7% of max health',0,1),
(91322,90091,4,100,'This effect cannot be critically applied.',1,2),
(91323,90091,4,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91324,90091,5,100,'Inflicts 599 - 732 disease damage on target',0,0),
(91325,90091,5,100,'Heals caster for 6.0 - 7.3% of max health',0,1),
(91326,90091,5,100,'This effect cannot be critically applied.',1,2),
(91327,90091,5,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91328,90091,7,100,'Inflicts 768 - 939 disease damage on target',0,0),
(91329,90091,7,100,'Heals caster for 7.6 - 9.3% of max health',0,1),
(91330,90091,7,100,'This effect cannot be critically applied.',1,2),
(91331,90091,7,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91332,90091,9,100,'Inflicts 798 - 976 disease damage on target',0,0),
(91333,90091,9,100,'Heals caster for 7.9 - 9.7% of max health',0,1),
(91334,90091,9,100,'This effect cannot be critically applied.',1,2),
(91335,90091,9,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91336,90092,1,100,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',0,0),
(91337,90092,1,100,'Increases Mitigation of caster vs physical damage by 135',1,1),
(91338,90092,1,100,'Decreases Mitigation of target encounter vs physical damage by 675',0,2),
(91339,90092,2,100,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',0,0),
(91340,90092,2,100,'Increases Mitigation of caster vs physical damage by 142',1,1),
(91341,90092,2,100,'Decreases Mitigation of target encounter vs physical damage by 713',0,2),
(91342,90092,3,100,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',0,0),
(91343,90092,3,100,'Increases Mitigation of caster vs physical damage by 150',1,1),
(91344,90092,3,100,'Decreases Mitigation of target encounter vs physical damage by 750',0,2),
(91345,90092,4,100,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',0,0),
(91346,90092,4,100,'Increases Mitigation of caster vs physical damage by 165',1,1),
(91347,90092,4,100,'Decreases Mitigation of target encounter vs physical damage by 825',0,2),
(91348,90092,5,100,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',0,0),
(91349,90092,5,100,'Increases Mitigation of caster vs physical damage by 180',1,1),
(91350,90092,5,100,'Decreases Mitigation of target encounter vs physical damage by 900',0,2),
(91351,90092,7,100,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',0,0),
(91352,90092,7,100,'Increases Mitigation of caster vs physical damage by 231',1,1),
(91353,90092,7,100,'Decreases Mitigation of target encounter vs physical damage by 1155',0,2),
(91354,90092,9,100,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',0,0),
(91355,90092,9,100,'Increases Mitigation of caster vs physical damage by 240',1,1),
(91356,90092,9,100,'Decreases Mitigation of target encounter vs physical damage by 1200',0,2),
(91357,90093,1,100,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',0,0),
(91358,90093,1,100,'Increases Mitigation of caster vs physical damage by 189',1,1),
(91359,90093,1,100,'Decreases Mitigation of target encounter vs physical damage by 945',0,2),
(91360,90093,2,100,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',0,0),
(91361,90093,2,100,'Increases Mitigation of caster vs physical damage by 199',1,1),
(91362,90093,2,100,'Decreases Mitigation of target encounter vs physical damage by 998',0,2),
(91363,90093,3,100,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',0,0),
(91364,90093,3,100,'Increases Mitigation of caster vs physical damage by 210',1,1),
(91365,90093,3,100,'Decreases Mitigation of target encounter vs physical damage by 1050',0,2),
(91366,90093,4,100,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',0,0),
(91367,90093,4,100,'Increases Mitigation of caster vs physical damage by 231',1,1),
(91368,90093,4,100,'Decreases Mitigation of target encounter vs physical damage by 1155',0,2),
(91369,90093,5,100,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',0,0),
(91370,90093,5,100,'Increases Mitigation of caster vs physical damage by 252',1,1),
(91371,90093,5,100,'Decreases Mitigation of target encounter vs physical damage by 1260',0,2),
(91372,90093,7,100,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',0,0),
(91373,90093,7,100,'Increases Mitigation of caster vs physical damage by 323',1,1),
(91374,90093,7,100,'Decreases Mitigation of target encounter vs physical damage by 1617',0,2),
(91375,90093,9,100,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',0,0),
(91376,90093,9,100,'Increases Mitigation of caster vs physical damage by 336',1,1),
(91377,90093,9,100,'Decreases Mitigation of target encounter vs physical damage by 1680',0,2),
(91378,90094,1,100,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',0,0),
(91379,90094,1,100,'Increases Mitigation of caster vs physical damage by 216',1,1),
(91380,90094,1,100,'Decreases Mitigation of target encounter vs physical damage by 1234',0,2),
(91381,90094,2,100,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',0,0),
(91382,90094,2,100,'Increases Mitigation of caster vs physical damage by 228',1,1),
(91383,90094,2,100,'Decreases Mitigation of target encounter vs physical damage by 1303',0,2),
(91384,90094,3,100,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',0,0),
(91385,90094,3,100,'Increases Mitigation of caster vs physical damage by 240',1,1),
(91386,90094,3,100,'Decreases Mitigation of target encounter vs physical damage by 1371',0,2),
(91387,90094,4,100,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',0,0),
(91388,90094,4,100,'Increases Mitigation of caster vs physical damage by 264',1,1),
(91389,90094,4,100,'Decreases Mitigation of target encounter vs physical damage by 1509',0,2),
(91390,90094,5,100,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',0,0),
(91391,90094,5,100,'Increases Mitigation of caster vs physical damage by 288',1,1),
(91392,90094,5,100,'Decreases Mitigation of target encounter vs physical damage by 1646',0,2),
(91393,90094,7,100,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',0,0),
(91394,90094,7,100,'Increases Mitigation of caster vs physical damage by 370',1,1),
(91395,90094,7,100,'Decreases Mitigation of target encounter vs physical damage by 2112',0,2),
(91396,90094,9,100,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',0,0),
(91397,90094,9,100,'Increases Mitigation of caster vs physical damage by 384',1,1),
(91398,90094,9,100,'Decreases Mitigation of target encounter vs physical damage by 2194',0,2),
(91399,90095,1,100,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',0,0),
(91400,90095,1,100,'Increases Mitigation of caster vs physical damage by 243',1,1),
(91401,90095,1,100,'Decreases Mitigation of target encounter vs physical damage by 1458',0,2),
(91402,90095,4,100,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',0,0),
(91403,90095,4,100,'Increases Mitigation of caster vs physical damage by 297',1,1),
(91404,90095,4,100,'Decreases Mitigation of target encounter vs physical damage by 1782',0,2),
(91405,90095,5,100,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',0,0),
(91406,90095,5,100,'Increases Mitigation of caster vs physical damage by 324',1,1),
(91407,90095,5,100,'Decreases Mitigation of target encounter vs physical damage by 1944',0,2),
(91408,90095,7,100,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',0,0),
(91409,90095,7,100,'Increases Mitigation of caster vs physical damage by 416',1,1),
(91410,90095,7,100,'Decreases Mitigation of target encounter vs physical damage by 2495',0,2),
(91411,90095,9,100,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',0,0),
(91412,90095,9,100,'Increases Mitigation of caster vs physical damage by 432',1,1),
(91413,90095,9,100,'Decreases Mitigation of target encounter vs physical damage by 2592',0,2),
(91414,90096,1,100,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',0,0),
(91415,90096,1,100,'Increases Mitigation of caster vs physical damage by 270',1,1),
(91416,90096,1,100,'Decreases Mitigation of target encounter vs physical damage by 1620',0,2),
(91417,90096,4,100,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',0,0),
(91418,90096,4,100,'Increases Mitigation of caster vs physical damage by 330',1,1),
(91419,90096,4,100,'Decreases Mitigation of target encounter vs physical damage by 1980',0,2),
(91420,90096,5,100,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',0,0),
(91421,90096,5,100,'Increases Mitigation of caster vs physical damage by 360',1,1),
(91422,90096,5,100,'Decreases Mitigation of target encounter vs physical damage by 2160',0,2),
(91423,90096,7,100,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',0,0),
(91424,90096,7,100,'Increases Mitigation of caster vs physical damage by 462',1,1),
(91425,90096,7,100,'Decreases Mitigation of target encounter vs physical damage by 2772',0,2),
(91426,90096,9,100,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',0,0),
(91427,90096,9,100,'Increases Mitigation of caster vs physical damage by 480',1,1),
(91428,90096,9,100,'Decreases Mitigation of target encounter vs physical damage by 2880',0,2),
(91429,100146,1,100,'Heals caster for 31.6 - 38.6% of max health',0,0),
(91430,100146,1,100,'This effect cannot be critically applied.',1,1),
(91431,100146,1,100,'Increases Max Health of caster by 124.4',0,2),
(91432,100146,1,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91433,100146,2,100,'Heals caster for 33.3 - 40.8% of max health',0,0),
(91434,100146,2,100,'This effect cannot be critically applied.',1,1),
(91435,100146,2,100,'Increases Max Health of caster by 131.3',0,2),
(91436,100146,2,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91437,100146,3,100,'Heals caster for 35.1 - 42.9% of max health',0,0),
(91438,100146,3,100,'This effect cannot be critically applied.',1,1),
(91439,100146,3,100,'Increases Max Health of caster by 138.2',0,2),
(91440,100146,3,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91441,100146,4,100,'Heals caster for 38.6 - 47.2% of max health',0,0),
(91442,100146,4,100,'This effect cannot be critically applied.',1,1),
(91443,100146,4,100,'Increases Max Health of caster by 152.0',0,2),
(91444,100146,4,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91445,100146,5,100,'Heals caster for 42.1 - 51.5% of max health',0,0),
(91446,100146,5,100,'This effect cannot be critically applied.',1,1),
(91447,100146,5,100,'Increases Max Health of caster by 165.8',0,2),
(91448,100146,5,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91449,100146,7,100,'Heals caster for 54.1 - 66.1% of max health',0,0),
(91450,100146,7,100,'This effect cannot be critically applied.',1,1),
(91451,100146,7,100,'Increases Max Health of caster by 212.8',0,2),
(91452,100146,7,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91453,100146,9,100,'Heals caster for 56.2 - 68.6% of max health',0,0),
(91454,100146,9,100,'This effect cannot be critically applied.',1,1),
(91455,100146,9,100,'Increases Max Health of caster by 221.1',0,2),
(91456,100146,9,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91457,100147,1,100,'Heals caster for 31.6 - 38.6% of max health',0,0),
(91458,100147,1,100,'This effect cannot be critically applied.',1,1),
(91459,100147,1,100,'Increases Max Health of caster by 234.0',0,2),
(91460,100147,1,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91461,100147,2,100,'Heals caster for 33.3 - 40.8% of max health',0,0),
(91462,100147,2,100,'This effect cannot be critically applied.',1,1),
(91463,100147,2,100,'Increases Max Health of caster by 247.0',0,2),
(91464,100147,2,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91465,100147,3,100,'Heals caster for 35.1 - 42.9% of max health',0,0),
(91466,100147,3,100,'This effect cannot be critically applied.',1,1),
(91467,100147,3,100,'Increases Max Health of caster by 260.0',0,2),
(91468,100147,3,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91469,100147,4,100,'Heals caster for 38.6 - 47.2% of max health',0,0),
(91470,100147,4,100,'This effect cannot be critically applied.',1,1),
(91471,100147,4,100,'Increases Max Health of caster by 286.0',0,2),
(91472,100147,4,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91473,100147,5,100,'Heals caster for 42.1 - 51.5% of max health',0,0),
(91474,100147,5,100,'This effect cannot be critically applied.',1,1),
(91475,100147,5,100,'Increases Max Health of caster by 312.0',0,2),
(91476,100147,5,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91477,100147,7,100,'Heals caster for 54.1 - 66.1% of max health',0,0),
(91478,100147,7,100,'This effect cannot be critically applied.',1,1),
(91479,100147,7,100,'Increases Max Health of caster by 400.4',0,2),
(91480,100147,7,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91481,100147,9,100,'Heals caster for 32.8 - 40.1% of max health',0,0),
(91482,100147,9,100,'This effect cannot be critically applied.',1,1),
(91483,100147,9,100,'Increases Max Health of caster by 416.0',0,2),
(91484,100147,9,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91485,100148,1,100,'Heals caster for 31.6 - 38.6% of max health',0,0),
(91486,100148,1,100,'This effect cannot be critically applied.',1,1),
(91487,100148,1,100,'Increases Max Health of caster by 336.1',0,2),
(91488,100148,1,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91489,100148,2,100,'Heals caster for 33.3 - 40.8% of max health',0,0),
(91490,100148,2,100,'This effect cannot be critically applied.',1,1),
(91491,100148,2,100,'Increases Max Health of caster by 354.7',0,2),
(91492,100148,2,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91493,100148,3,100,'Heals caster for 21.3 - 26.0% of max health',0,0),
(91494,100148,3,100,'This effect cannot be critically applied.',1,1),
(91495,100148,3,100,'Increases Max Health of caster by 373.4',0,2),
(91496,100148,3,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91497,100148,4,100,'Heals caster for 38.6 - 47.2% of max health',0,0),
(91498,100148,4,100,'This effect cannot be critically applied.',1,1),
(91499,100148,4,100,'Increases Max Health of caster by 410.7',0,2),
(91500,100148,4,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91501,100148,5,100,'Heals caster for 42.1 - 51.5% of max health',0,0),
(91502,100148,5,100,'This effect cannot be critically applied.',1,1),
(91503,100148,5,100,'Increases Max Health of caster by 448.1',0,2),
(91504,100148,5,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91505,100148,7,100,'Heals caster for 54.1 - 66.1% of max health',0,0),
(91506,100148,7,100,'This effect cannot be critically applied.',1,1),
(91507,100148,7,100,'Increases Max Health of caster by 575.0',0,2),
(91508,100148,7,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91509,100148,9,100,'Heals caster for 56.2 - 68.6% of max health',0,0),
(91510,100148,9,100,'This effect cannot be critically applied.',1,1),
(91511,100148,9,100,'Increases Max Health of caster by 597.4',0,2),
(91512,100148,9,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91513,100149,1,100,'Heals caster for 31.6 - 38.6% of max health',0,0),
(91514,100149,1,100,'This effect cannot be critically applied.',1,1),
(91515,100149,1,100,'Increases Max Health of caster by 425.5',0,2),
(91516,100149,1,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91517,100149,2,100,'Heals caster for 33.3 - 40.8% of max health',0,0),
(91518,100149,2,100,'This effect cannot be critically applied.',1,1),
(91519,100149,2,100,'Increases Max Health of caster by 449.2',0,2),
(91520,100149,2,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91521,100149,3,100,'Heals caster for 35.1 - 42.9% of max health',0,0),
(91522,100149,3,100,'This effect cannot be critically applied.',1,1),
(91523,100149,3,100,'Increases Max Health of caster by 472.8',0,2),
(91524,100149,3,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91525,100149,4,100,'Heals caster for 38.6 - 47.2% of max health',0,0),
(91526,100149,4,100,'This effect cannot be critically applied.',1,1),
(91527,100149,4,100,'Increases Max Health of caster by 520.1',0,2),
(91528,100149,4,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91529,100149,5,100,'Heals caster for 42.1 - 51.5% of max health',0,0),
(91530,100149,5,100,'This effect cannot be critically applied.',1,1),
(91531,100149,5,100,'Increases Max Health of caster by 567.4',0,2),
(91532,100149,5,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91533,100149,7,100,'Heals caster for 54.1 - 66.1% of max health',0,0),
(91534,100149,7,100,'This effect cannot be critically applied.',1,1),
(91535,100149,7,100,'Increases Max Health of caster by 728.1',0,2),
(91536,100149,7,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91537,100149,9,100,'Heals caster for 56.2 - 68.6% of max health',0,0),
(91538,100149,9,100,'This effect cannot be critically applied.',1,1),
(91539,100149,9,100,'Increases Max Health of caster by 756.5',0,2),
(91540,100149,9,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91541,100150,1,100,'Heals caster for 31.6 - 38.6% of max health',0,0),
(91542,100150,1,100,'This effect cannot be critically applied.',1,1),
(91543,100150,1,100,'Increases Max Health of caster by 510.3',0,2),
(91544,100150,1,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91545,100150,2,100,'Heals caster for 33.3 - 40.8% of max health',0,0),
(91546,100150,2,100,'This effect cannot be critically applied.',1,1),
(91547,100150,2,100,'Increases Max Health of caster by 538.6',0,2),
(91548,100150,2,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91549,100150,3,100,'Heals caster for 35.1 - 42.9% of max health',0,0),
(91550,100150,3,100,'This effect cannot be critically applied.',1,1),
(91551,100150,3,100,'Increases Max Health of caster by 567.0',0,2),
(91552,100150,3,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91553,100150,4,100,'Heals caster for 38.6 - 47.2% of max health',0,0),
(91554,100150,4,100,'This effect cannot be critically applied.',1,1),
(91555,100150,4,100,'Increases Max Health of caster by 623.7',0,2),
(91556,100150,4,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91557,100150,5,100,'Heals caster for 42.1 - 51.5% of max health',0,0),
(91558,100150,5,100,'This effect cannot be critically applied.',1,1),
(91559,100150,5,100,'Increases Max Health of caster by 680.4',0,2),
(91560,100150,5,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91561,100150,7,100,'Heals caster for 54.1 - 66.1% of max health',0,0),
(91562,100150,7,100,'This effect cannot be critically applied.',1,1),
(91563,100150,7,100,'Increases Max Health of caster by 873.2',0,2),
(91564,100150,7,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91565,100150,9,100,'Heals caster for 56.2 - 68.6% of max health',0,0),
(91566,100150,9,100,'This effect cannot be critically applied.',1,1),
(91567,100150,9,100,'Increases Max Health of caster by 907.2',0,2),
(91568,100150,9,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91569,100151,1,100,'Heals caster for 31.6 - 38.6% of max health',0,0),
(91570,100151,1,100,'This effect cannot be critically applied.',1,1),
(91571,100151,1,100,'Increases Max Health of caster by 600.3',0,2),
(91572,100151,1,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91573,100151,4,100,'Heals caster for 38.6 - 47.2% of max health',0,0),
(91574,100151,4,100,'This effect cannot be critically applied.',1,1),
(91575,100151,4,100,'Increases Max Health of caster by 733.7',0,2),
(91576,100151,4,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91577,100151,5,100,'Heals caster for 42.1 - 51.5% of max health',0,0),
(91578,100151,5,100,'This effect cannot be critically applied.',1,1),
(91579,100151,5,100,'Increases Max Health of caster by 800.4',0,2),
(91580,100151,5,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91581,100151,7,100,'Heals caster for 54.1 - 66.1% of max health',0,0),
(91582,100151,7,100,'This effect cannot be critically applied.',1,1),
(91583,100151,7,100,'Increases Max Health of caster by 1,027.2',0,2),
(91584,100151,7,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91585,100151,9,100,'Heals caster for 56.2 - 68.6% of max health',0,0),
(91586,100151,9,100,'This effect cannot be critically applied.',1,1),
(91587,100151,9,100,'Increases Max Health of caster by 1,067.2',0,2),
(91588,100151,9,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91589,100152,1,100,'Heals caster for 31.6 - 38.6% of max health',0,0),
(91590,100152,1,100,'This effect cannot be critically applied.',1,1),
(91591,100152,1,100,'Increases Max Health of caster by 690.3',0,2),
(91592,100152,1,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91593,100152,4,100,'Heals caster for 38.6 - 47.2% of max health',0,0),
(91594,100152,4,100,'This effect cannot be critically applied.',1,1),
(91595,100152,4,100,'Increases Max Health of caster by 843.7',0,2),
(91596,100152,4,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91597,100152,5,100,'Heals caster for 42.1 - 51.5% of max health',0,0),
(91598,100152,5,100,'This effect cannot be critically applied.',1,1),
(91599,100152,5,100,'Increases Max Health of caster by 920.4',0,2),
(91600,100152,5,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91601,100152,7,100,'Heals caster for 38.4 - 47.0% of max health',0,0),
(91602,100152,7,100,'This effect cannot be critically applied.',1,1),
(91603,100152,7,100,'Increases Max Health of caster by 1,181.2',0,2),
(91604,100152,7,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91605,100152,9,100,'Heals caster for 56.2 - 68.6% of max health',0,0),
(91606,100152,9,100,'This effect cannot be critically applied.',1,1),
(91607,100152,9,100,'Increases Max Health of caster by 1,227.2',0,2),
(91608,100152,9,100,'The healing of this spell cannot be modified except by direct means',0,3),
(91609,2000400,1,100,'Increases Crit Bonus of group members (AE) by 10.0%',0,0),
(91610,2000401,1,100,'Applies Exposed Digestive Ooze on termination.  Lasts for 36.0 seconds.',0,0),
(91611,2000401,1,100,'Inflicts 2 - 3 poison damage on target',1,1),
(91612,2000401,1,100,'Decreases AGI, INT, STA, STR and WIS of target by 9.5',1,2),
(91613,2000401,1,100,'Inflicts 1 poison damage on target instantly and every 9 seconds',0,3),
(91614,2000401,1,100,'Increases Mitigation of target vs physical damage by 0',0,4),
(91615,2000401,1,100,'Inflicts 1 poison damage on target instantly and every 9 seconds',0,5),
(91616,2000402,1,100,'Stores and removes your current pet.  Toggling the spell will return it to the owner.',0,0),
(91617,200074,1,100,'Heals target for 15 - 19',0,0),
(91618,200074,2,100,'Heals target for 16 - 20',0,0),
(91619,200074,3,100,'Heals target for 17 - 21',0,0),
(91620,200074,4,100,'Heals target for 19 - 23',0,0),
(91621,200074,5,100,'Heals target for 20 - 25',0,0),
(91622,200074,7,100,'Heals target for 26 - 32',0,0),
(91623,200074,9,100,'Heals target for 27 - 33',0,0),
(91624,200075,1,100,'Heals target for 53 - 65',0,0),
(91625,200075,2,100,'Heals target for 56 - 69',0,0),
(91626,200075,3,100,'Heals target for 59 - 72',0,0),
(91627,200075,4,100,'Heals target for 65 - 80',0,0),
(91628,200075,5,100,'Heals target for 71 - 87',0,0),
(91629,200075,7,100,'Heals target for 91 - 111',0,0),
(91630,200075,9,100,'Heals target for 95 - 116',0,0),
(91631,200076,1,100,'Heals target for 114 - 140',0,0),
(91632,200076,2,100,'Heals target for 121 - 147',0,0),
(91633,200076,3,100,'Heals target for 127 - 155',0,0),
(91634,200076,4,100,'Heals target for 140 - 171',0,0),
(91635,200076,5,100,'Heals target for 152 - 186',0,0),
(91636,200076,7,100,'Heals target for 195 - 239',0,0),
(91637,200076,9,100,'Heals target for 203 - 248',0,0),
(91638,200077,1,100,'Heals target for 171 - 208',0,0),
(91639,200077,2,100,'Heals target for 180 - 220',0,0),
(91640,200077,3,100,'Heals target for 190 - 232',0,0),
(91641,200077,4,100,'Heals target for 208 - 255',0,0),
(91642,200077,5,100,'Heals target for 227 - 278',0,0),
(91643,200077,7,100,'Heals target for 292 - 357',0,0),
(91644,200077,9,100,'Heals target for 303 - 371',0,0),
(91645,200078,1,100,'Heals target for 931 - 1138',0,0),
(91646,200078,4,100,'Heals target for 1138 - 1391',0,0),
(91647,200078,5,100,'Heals target for 1242 - 1517',0,0),
(91648,200078,7,100,'Heals target for 1593 - 1947',0,0),
(91649,200078,9,100,'Heals target for 1655 - 2023',0,0),
(91650,200079,1,100,'Heals target for 235 - 287',0,0),
(91651,200079,2,100,'Heals target for 248 - 303',0,0),
(91652,200079,3,100,'Heals target for 261 - 318',0,0),
(91653,200079,4,100,'Heals target for 287 - 350',0,0),
(91654,200079,5,100,'Heals target for 313 - 382',0,0),
(91655,200079,7,100,'Heals target for 401 - 490',0,0),
(91656,200079,9,100,'Heals target for 417 - 510',0,0),
(91657,200080,1,100,'Heals target for 369 - 451',0,0),
(91658,200080,2,100,'Heals target for 390 - 476',0,0),
(91659,200080,3,100,'Heals target for 410 - 501',0,0),
(91660,200080,4,100,'Heals target for 451 - 552',0,0),
(91661,200080,5,100,'Heals target for 492 - 602',0,0),
(91662,200080,7,100,'Heals target for 632 - 772',0,0),
(91663,200080,9,100,'Heals target for 656 - 802',0,0),
(91664,200080,10,100,'Heals target for 689 - 843',0,0),
(91665,200081,1,100,'Heals target for 529 - 647',0,0),
(91666,200081,2,100,'Heals target for 559 - 683',0,0),
(91667,200081,3,100,'Heals target for 588 - 719',0,0),
(91668,200081,4,100,'Heals target for 647 - 790',0,0),
(91669,200081,5,100,'Heals target for 706 - 862',0,0),
(91670,200081,7,100,'Heals target for 905 - 1107',0,0),
(91671,200081,9,100,'Heals target for 941 - 1150',0,0),
(91672,200082,1,100,'Heals target for 701 - 857',0,0),
(91673,200082,2,100,'Heals target for 740 - 905',0,0),
(91674,200082,3,100,'Heals target for 779 - 952',0,0),
(91675,200082,4,100,'Heals target for 857 - 1048',0,0),
(91676,200082,5,100,'Heals target for 935 - 1143',0,0),
(91677,200082,7,100,'Heals target for 1200 - 1467',0,0),
(91678,200082,9,100,'Heals target for 1247 - 1524',0,0),
(91679,200083,1,100,'Heals target for 1094 - 1337',0,0),
(91680,200083,4,100,'Heals target for 1337 - 1634',0,0),
(91681,200083,5,100,'Heals target for 1459 - 1783',0,0),
(91682,200083,7,100,'Heals target for 1872 - 2288',0,0),
(91683,200083,9,100,'Heals target for 1945 - 2377',0,0),
(91684,2000403,1,100,'Decreases STR and STA of target by 5.0',0,0),
(91685,2000403,1,100,'Increases Mitigation of target vs physical damage by 0',0,1),
(91686,350014,1,100,'Decreases STR and AGI of target encounter by 27.4',0,0),
(91687,350014,2,100,'Decreases STR and AGI of target encounter by 28.9',0,0),
(91688,350014,3,100,'Decreases STR and AGI of target encounter by 30.4',0,0),
(91689,350014,4,100,'Decreases STR and AGI of target encounter by 33.4',0,0),
(91690,350014,5,100,'Decreases STR and AGI of target encounter by 36.5',0,0),
(91691,350014,7,100,'Decreases STR and AGI of target encounter by 46.8',0,0),
(91692,350014,9,100,'Decreases STR and AGI of target encounter by 48.6',0,0),
(91693,350015,1,100,'Decreases STR and AGI of target encounter by 45.7',0,0),
(91694,350015,2,100,'Decreases STR and AGI of target encounter by 48.3',0,0),
(91695,350015,3,100,'Decreases STR and AGI of target encounter by 50.8',0,0),
(91696,350015,4,100,'Decreases STR and AGI of target encounter by 55.9',0,0),
(91697,350015,5,100,'Decreases STR and AGI of target encounter by 61.0',0,0),
(91698,350015,7,100,'Decreases STR and AGI of target encounter by 78.2',0,0),
(91699,350015,9,100,'Decreases STR and AGI of target encounter by 81.3',0,0),
(91700,350016,1,100,'Decreases STR and AGI of target encounter by 65.9',0,0),
(91701,350016,2,100,'Decreases STR and AGI of target encounter by 69.5',0,0),
(91702,350016,3,100,'Decreases STR and AGI of target encounter by 73.2',0,0),
(91703,350016,4,100,'Decreases STR and AGI of target encounter by 80.5',0,0),
(91704,350016,5,100,'Decreases STR and AGI of target encounter by 87.8',0,0),
(91705,350016,7,100,'Decreases STR and AGI of target encounter by 112.7',0,0),
(91706,350016,9,100,'Decreases STR and AGI of target encounter by 117.1',0,0),
(91707,350017,1,100,'Decreases STR and AGI of target encounter by 86.0',0,0),
(91708,350017,2,100,'Decreases STR and AGI of target encounter by 90.8',0,0),
(91709,350017,3,100,'Decreases STR and AGI of target encounter by 95.6',0,0),
(91710,350017,4,100,'Decreases STR and AGI of target encounter by 105.2',0,0),
(91711,350017,5,100,'Decreases STR and AGI of target encounter by 114.7',0,0),
(91712,350017,7,100,'Decreases STR and AGI of target encounter by 147.2',0,0),
(91713,350017,9,100,'Decreases STR and AGI of target encounter by 153.0',0,0),
(91714,350018,1,100,'Decreases STR and AGI of target encounter by 104.9',0,0),
(91715,350018,2,100,'Decreases STR and AGI of target encounter by 110.8',0,0),
(91716,350018,3,100,'Decreases STR and AGI of target encounter by 116.6',0,0),
(91717,350018,4,100,'Decreases STR and AGI of target encounter by 128.3',0,0),
(91718,350018,5,100,'Decreases STR and AGI of target encounter by 139.9',0,0),
(91719,350018,7,100,'Decreases STR and AGI of target encounter by 179.6',0,0),
(91720,350018,9,100,'Decreases STR and AGI of target encounter by 186.6',0,0),
(91721,350019,1,100,'Decreases STR and AGI of target encounter by 124.7',0,0),
(91722,350019,4,100,'Decreases STR and AGI of target encounter by 152.5',0,0),
(91723,350019,5,100,'Decreases STR and AGI of target encounter by 166.3',0,0),
(91724,350019,7,100,'Decreases STR and AGI of target encounter by 213.4',0,0),
(91725,350019,9,100,'Decreases STR and AGI of target encounter by 221.8',0,0),
(91726,350019,10,100,'Decreases STR and AGI of target encounter by 232.8',0,0),
(91727,350020,1,100,'Decreases STR and AGI of target encounter by 144.5',0,0),
(91728,350020,4,100,'Decreases STR and AGI of target encounter by 176.7',0,0),
(91729,350020,5,100,'Decreases STR and AGI of target encounter by 192.7',0,0),
(91730,350020,7,100,'Decreases STR and AGI of target encounter by 247.3',0,0),
(91731,350020,9,100,'Decreases STR and AGI of target encounter by 257.0',0,0),
(91732,350020,10,100,'Decreases STR and AGI of target encounter by 269.8',0,0),
(91733,260045,1,100,'Decreases Crushing, Piercing, Slashing and Ranged of target by 8.1',0,0),
(91734,260045,2,100,'Decreases Crushing, Piercing, Slashing and Ranged of target by 8.6',0,0),
(91735,260045,3,100,'Decreases Crushing, Piercing, Slashing and Ranged of target by 9.0',0,0),
(91736,260045,4,100,'Decreases Crushing, Piercing, Slashing and Ranged of target by 9.9',0,0),
(91737,260045,5,100,'Decreases Crushing, Piercing, Slashing and Ranged of target by 10.8',0,0),
(91738,260045,7,100,'Decreases Crushing, Piercing, Slashing and Ranged of target by 13.9',0,0),
(91739,260045,9,100,'Decreases Crushing, Piercing, Slashing and Ranged of target by 14.4',0,0),
(91740,260046,1,100,'Decreases Crushing, Piercing, Slashing and Ranged of target by 14.2',0,0),
(91741,260046,2,100,'Decreases Crushing, Piercing, Slashing and Ranged of target by 15.0',0,0),
(91742,260046,3,100,'Decreases Crushing, Piercing, Slashing and Ranged of target by 15.8',0,0),
(91743,260046,4,100,'Decreases Crushing, Piercing, Slashing and Ranged of target by 17.3',0,0),
(91744,260046,5,100,'Decreases Crushing, Piercing, Slashing and Ranged of target by 18.9',0,0),
(91745,260046,7,100,'Decreases Crushing, Piercing, Slashing and Ranged of target by 24.3',0,0),
(91746,260046,9,100,'Decreases Crushing, Piercing, Slashing and Ranged of target by 25.2',0,0),
(91747,260047,1,100,'Decreases Crushing, Piercing, Slashing and Ranged of target by 20.3',0,0),
(91748,260047,2,100,'Decreases Crushing, Piercing, Slashing and Ranged of target by 21.4',0,0),
(91749,260047,3,100,'Decreases Crushing, Piercing, Slashing and Ranged of target by 22.5',0,0),
(91750,260047,4,100,'Decreases Crushing, Piercing, Slashing and Ranged of target by 24.8',0,0),
(91751,260047,5,100,'Decreases Crushing, Piercing, Slashing and Ranged of target by 27.0',0,0),
(91752,260047,7,100,'Decreases Crushing, Piercing, Slashing and Ranged of target by 34.6',0,0),
(91753,260047,9,100,'Decreases Crushing, Piercing, Slashing and Ranged of target by 36.0',0,0),
(91754,260048,1,100,'Decreases Crushing, Piercing, Slashing and Ranged of target by 25.9',0,0),
(91755,260048,2,100,'Decreases Crushing, Piercing, Slashing and Ranged of target by 27.4',0,0),
(91756,260048,3,100,'Decreases Crushing, Piercing, Slashing and Ranged of target by 28.8',0,0),
(91757,260048,4,100,'Decreases Crushing, Piercing, Slashing and Ranged of target by 31.7',0,0),
(91758,260048,5,100,'Decreases Crushing, Piercing, Slashing and Ranged of target by 34.6',0,0),
(91759,260048,7,100,'Decreases Crushing, Piercing, Slashing and Ranged of target by 44.4',0,0),
(91760,260048,9,100,'Decreases Crushing, Piercing, Slashing and Ranged of target by 46.1',0,0),
(91761,260049,1,100,'Decreases Crushing, Piercing, Slashing and Ranged of target by 31.6',0,0),
(91762,260049,2,100,'Decreases Crushing, Piercing, Slashing and Ranged of target by 33.3',0,0),
(91763,260049,3,100,'Decreases Crushing, Piercing, Slashing and Ranged of target by 35.1',0,0),
(91764,260049,4,100,'Decreases Crushing, Piercing, Slashing and Ranged of target by 38.6',0,0),
(91765,260049,5,100,'Decreases Crushing, Piercing, Slashing and Ranged of target by 42.1',0,0),
(91766,260049,7,100,'Decreases Crushing, Piercing, Slashing and Ranged of target by 54.1',0,0),
(91767,260049,9,100,'Decreases Crushing, Piercing, Slashing and Ranged of target by 56.2',0,0),
(91768,260050,1,100,'Decreases Crushing, Piercing, Slashing and Ranged of target by 37.0',0,0),
(91769,260050,4,100,'Decreases Crushing, Piercing, Slashing and Ranged of target by 45.2',0,0),
(91770,260050,5,100,'Decreases Crushing, Piercing, Slashing and Ranged of target by 49.3',0,0),
(91771,260050,7,100,'Decreases Crushing, Piercing, Slashing and Ranged of target by 63.3',0,0),
(91772,260050,9,100,'Decreases Crushing, Piercing, Slashing and Ranged of target by 65.8',0,0),
(91773,260051,1,100,'Decreases Crushing, Piercing, Slashing and Ranged of target by 42.4',0,0),
(91774,260051,4,100,'Decreases Crushing, Piercing, Slashing and Ranged of target by 51.8',0,0),
(91775,260051,5,100,'Decreases Crushing, Piercing, Slashing and Ranged of target by 56.5',0,0),
(91776,260051,7,100,'Decreases Crushing, Piercing, Slashing and Ranged of target by 72.5',0,0),
(91777,260051,9,100,'Decreases Crushing, Piercing, Slashing and Ranged of target by 75.4',0,0),
(91778,140034,1,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(91779,140034,1,100,'Decreases Threat to targets in Area of Effect by 1,169 ',0,1),
(91780,140034,1,100,'Stuns targets in Area of Effect',0,2),
(91781,140034,1,100,'If Target is not Epic',1,3),
(91782,140034,2,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(91783,140034,2,100,'Decreases Threat to targets in Area of Effect by 1,234 ',0,1),
(91784,140034,2,100,'Stuns targets in Area of Effect',0,2),
(91785,140034,2,100,'If Target is not Epic',1,3),
(91786,140034,3,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(91787,140034,3,100,'Decreases Threat to targets in Area of Effect by 1,300 ',0,1),
(91788,140034,3,100,'Stuns targets in Area of Effect',0,2),
(91789,140034,3,100,'If Target is not Epic',1,3),
(91790,140034,4,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(91791,140034,4,100,'Decreases Threat to targets in Area of Effect by 1,430 ',0,1),
(91792,140034,4,100,'Stuns targets in Area of Effect',0,2),
(91793,140034,4,100,'If Target is not Epic',1,3),
(91794,140034,5,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(91795,140034,5,100,'Decreases Threat to targets in Area of Effect by 1,560 ',0,1),
(91796,140034,5,100,'Stuns targets in Area of Effect',0,2),
(91797,140034,5,100,'If Target is not Epic',1,3),
(91798,140034,7,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(91799,140034,7,100,'Decreases Threat to targets in Area of Effect by 2,001 ',0,1),
(91800,140034,7,100,'Stuns targets in Area of Effect',0,2),
(91801,140034,7,100,'If Target is not Epic',1,3),
(91802,140034,9,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(91803,140034,9,100,'Decreases Threat to targets in Area of Effect by 2,080 ',0,1),
(91804,140034,9,100,'Stuns targets in Area of Effect',0,2),
(91805,140034,9,100,'If Target is not Epic',1,3),
(91806,140035,1,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(91807,140035,1,100,'Decreases Threat to targets in Area of Effect by 2,593 ',0,1),
(91808,140035,1,100,'Stuns targets in Area of Effect',0,2),
(91809,140035,1,100,'If Target is not Epic',1,3),
(91810,140035,2,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(91811,140035,2,100,'Decreases Threat to targets in Area of Effect by 2,737 ',0,1),
(91812,140035,2,100,'Stuns targets in Area of Effect',0,2),
(91813,140035,2,100,'If Target is not Epic',1,3),
(91814,140035,3,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(91815,140035,3,100,'Decreases Threat to targets in Area of Effect by 2,882 ',0,1),
(91816,140035,3,100,'Stuns targets in Area of Effect',0,2),
(91817,140035,3,100,'If Target is not Epic',1,3),
(91818,140035,4,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(91819,140035,4,100,'Decreases Threat to targets in Area of Effect by 3,170 ',0,1),
(91820,140035,4,100,'Stuns targets in Area of Effect',0,2),
(91821,140035,4,100,'If Target is not Epic',1,3),
(91822,140035,5,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(91823,140035,5,100,'Decreases Threat to targets in Area of Effect by 3,458 ',0,1),
(91824,140035,5,100,'Stuns targets in Area of Effect',0,2),
(91825,140035,5,100,'If Target is not Epic',1,3),
(91826,140035,7,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(91827,140035,7,100,'Decreases Threat to targets in Area of Effect by 4,438 ',0,1),
(91828,140035,7,100,'Stuns targets in Area of Effect',0,2),
(91829,140035,7,100,'If Target is not Epic',1,3),
(91830,140035,9,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(91831,140035,9,100,'Decreases Threat to targets in Area of Effect by 4,611 ',0,1),
(91832,140035,9,100,'Stuns targets in Area of Effect',0,2),
(91833,140035,9,100,'If Target is not Epic',1,3),
(91834,140036,1,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(91835,140036,1,100,'Decreases Threat to targets in Area of Effect by 4,272 ',0,1),
(91836,140036,1,100,'Stuns targets in Area of Effect',0,2),
(91837,140036,1,100,'If Target is not Epic',1,3),
(91838,140036,2,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(91839,140036,2,100,'Decreases Threat to targets in Area of Effect by 4,509 ',0,1),
(91840,140036,2,100,'Stuns targets in Area of Effect',0,2),
(91841,140036,2,100,'If Target is not Epic',1,3),
(91842,140036,3,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(91843,140036,3,100,'Decreases Threat to targets in Area of Effect by 4,747 ',0,1),
(91844,140036,3,100,'Stuns targets in Area of Effect',0,2),
(91845,140036,3,100,'If Target is not Epic',1,3),
(91846,140036,4,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(91847,140036,4,100,'Decreases Threat to targets in Area of Effect by 5,221 ',0,1),
(91848,140036,4,100,'Stuns targets in Area of Effect',0,2),
(91849,140036,4,100,'If Target is not Epic',1,3),
(91850,140036,5,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(91851,140036,5,100,'Decreases Threat to targets in Area of Effect by 5,696 ',0,1),
(91852,140036,5,100,'Stuns targets in Area of Effect',0,2),
(91853,140036,5,100,'If Target is not Epic',1,3),
(91854,140036,7,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(91855,140036,7,100,'Decreases Threat to targets in Area of Effect by 7,310 ',0,1),
(91856,140036,7,100,'Stuns targets in Area of Effect',0,2),
(91857,140036,7,100,'If Target is not Epic',1,3),
(91858,140036,9,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(91859,140036,9,100,'Decreases Threat to targets in Area of Effect by 7,595 ',0,1),
(91860,140036,9,100,'Stuns targets in Area of Effect',0,2),
(91861,140036,9,100,'If Target is not Epic',1,3),
(91862,140037,1,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(91863,140037,1,100,'Decreases Threat to targets in Area of Effect by 6,412 ',0,1),
(91864,140037,1,100,'Stuns targets in Area of Effect',0,2),
(91865,140037,1,100,'If Target is not Epic',1,3),
(91866,140037,2,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(91867,140037,2,100,'Decreases Threat to targets in Area of Effect by 6,768 ',0,1),
(91868,140037,2,100,'Stuns targets in Area of Effect',0,2),
(91869,140037,2,100,'If Target is not Epic',1,3),
(91870,140037,3,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(91871,140037,3,100,'Decreases Threat to targets in Area of Effect by 7,125 ',0,1),
(91872,140037,3,100,'Stuns targets in Area of Effect',0,2),
(91873,140037,3,100,'If Target is not Epic',1,3),
(91874,140037,4,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(91875,140037,4,100,'Decreases Threat to targets in Area of Effect by 7,837 ',0,1),
(91876,140037,4,100,'Stuns targets in Area of Effect',0,2),
(91877,140037,4,100,'If Target is not Epic',1,3),
(91878,140037,5,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(91879,140037,5,100,'Decreases Threat to targets in Area of Effect by 8,550 ',0,1),
(91880,140037,5,100,'Stuns targets in Area of Effect',0,2),
(91881,140037,5,100,'If Target is not Epic',1,3),
(91882,140037,7,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(91883,140037,7,100,'Decreases Threat to targets in Area of Effect by 10,972 ',0,1),
(91884,140037,7,100,'Stuns targets in Area of Effect',0,2),
(91885,140037,7,100,'If Target is not Epic',1,3),
(91886,140037,9,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(91887,140037,9,100,'Decreases Threat to targets in Area of Effect by 11,400 ',0,1),
(91888,140037,9,100,'Stuns targets in Area of Effect',0,2),
(91889,140037,9,100,'If Target is not Epic',1,3),
(91890,140038,1,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(91891,140038,1,100,'Decreases Threat to targets in Area of Effect by 8,657 ',0,1),
(91892,140038,1,100,'Stuns targets in Area of Effect',0,2),
(91893,140038,1,100,'If Target is not Epic',1,3),
(91894,140038,2,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(91895,140038,2,100,'Decreases Threat to targets in Area of Effect by 9,138 ',0,1),
(91896,140038,2,100,'Stuns targets in Area of Effect',0,2),
(91897,140038,2,100,'If Target is not Epic',1,3),
(91898,140038,3,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(91899,140038,3,100,'Decreases Threat to targets in Area of Effect by 9,620 ',0,1),
(91900,140038,3,100,'Stuns targets in Area of Effect',0,2),
(91901,140038,3,100,'If Target is not Epic',1,3),
(91902,140038,4,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(91903,140038,4,100,'Decreases Threat to targets in Area of Effect by 10,582 ',0,1),
(91904,140038,4,100,'Stuns targets in Area of Effect',0,2),
(91905,140038,4,100,'If Target is not Epic',1,3),
(91906,140038,5,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(91907,140038,5,100,'Decreases Threat to targets in Area of Effect by 11,544 ',0,1),
(91908,140038,5,100,'Stuns targets in Area of Effect',0,2),
(91909,140038,5,100,'If Target is not Epic',1,3),
(91910,140038,7,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(91911,140038,7,100,'Decreases Threat to targets in Area of Effect by 14,814 ',0,1),
(91912,140038,7,100,'Stuns targets in Area of Effect',0,2),
(91913,140038,7,100,'If Target is not Epic',1,3),
(91914,140038,9,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(91915,140038,9,100,'Decreases Threat to targets in Area of Effect by 15,392 ',0,1),
(91916,140038,9,100,'Stuns targets in Area of Effect',0,2),
(91917,140038,9,100,'If Target is not Epic',1,3),
(91918,140039,1,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(91919,140039,1,100,'Decreases Threat to targets in Area of Effect by 10,844 ',0,1),
(91920,140039,1,100,'Stuns targets in Area of Effect',0,2),
(91921,140039,1,100,'If Target is not Epic',1,3),
(91922,140039,2,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(91923,140039,2,100,'Decreases Threat to targets in Area of Effect by 11,447 ',0,1),
(91924,140039,2,100,'Stuns targets in Area of Effect',0,2),
(91925,140039,2,100,'If Target is not Epic',1,3),
(91926,140039,3,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(91927,140039,3,100,'Decreases Threat to targets in Area of Effect by 12,050 ',0,1),
(91928,140039,3,100,'Stuns targets in Area of Effect',0,2),
(91929,140039,3,100,'If Target is not Epic',1,3),
(91930,140039,4,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(91931,140039,4,100,'Decreases Threat to targets in Area of Effect by 13,255 ',0,1),
(91932,140039,4,100,'Stuns targets in Area of Effect',0,2),
(91933,140039,4,100,'If Target is not Epic',1,3),
(91934,140039,5,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(91935,140039,5,100,'Decreases Threat to targets in Area of Effect by 14,460 ',0,1),
(91936,140039,5,100,'Stuns targets in Area of Effect',0,2),
(91937,140039,5,100,'If Target is not Epic',1,3),
(91938,140039,7,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(91939,140039,7,100,'Decreases Threat to targets in Area of Effect by 18,556 ',0,1),
(91940,140039,7,100,'Stuns targets in Area of Effect',0,2),
(91941,140039,7,100,'If Target is not Epic',1,3),
(91942,140039,9,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(91943,140039,9,100,'Decreases Threat to targets in Area of Effect by 19,280 ',0,1),
(91944,140039,9,100,'Stuns targets in Area of Effect',0,2),
(91945,140039,9,100,'If Target is not Epic',1,3),
(91946,140040,1,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(91947,140040,1,100,'Decreases Threat to targets in Area of Effect by 13,094 ',0,1),
(91948,140040,1,100,'Stuns targets in Area of Effect',0,2),
(91949,140040,1,100,'If Target is not Epic',1,3),
(91950,140040,4,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(91951,140040,4,100,'Decreases Threat to targets in Area of Effect by 16,005 ',0,1),
(91952,140040,4,100,'Stuns targets in Area of Effect',0,2),
(91953,140040,4,100,'If Target is not Epic',1,3),
(91954,140040,5,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(91955,140040,5,100,'Decreases Threat to targets in Area of Effect by 17,460 ',0,1),
(91956,140040,5,100,'Stuns targets in Area of Effect',0,2),
(91957,140040,5,100,'If Target is not Epic',1,3),
(91958,140040,7,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(91959,140040,7,100,'Decreases Threat to targets in Area of Effect by 22,406 ',0,1),
(91960,140040,7,100,'Stuns targets in Area of Effect',0,2),
(91961,140040,7,100,'If Target is not Epic',1,3),
(91962,140040,9,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(91963,140040,9,100,'Decreases Threat to targets in Area of Effect by 23,280 ',0,1),
(91964,140040,9,100,'Stuns targets in Area of Effect',0,2),
(91965,140040,9,100,'If Target is not Epic',1,3),
(91966,140041,1,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(91967,140041,1,100,'Decreases Threat to targets in Area of Effect by 15,344 ',0,1),
(91968,140041,1,100,'Stuns targets in Area of Effect',0,2),
(91969,140041,1,100,'If Target is not Epic',1,3),
(91970,140041,4,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(91971,140041,4,100,'Decreases Threat to targets in Area of Effect by 18,755 ',0,1),
(91972,140041,4,100,'Stuns targets in Area of Effect',0,2),
(91973,140041,4,100,'If Target is not Epic',1,3),
(91974,140041,5,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(91975,140041,5,100,'Decreases Threat to targets in Area of Effect by 20,460 ',0,1),
(91976,140041,5,100,'Stuns targets in Area of Effect',0,2),
(91977,140041,5,100,'If Target is not Epic',1,3),
(91978,140041,7,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(91979,140041,7,100,'Decreases Threat to targets in Area of Effect by 26,256 ',0,1),
(91980,140041,7,100,'Stuns targets in Area of Effect',0,2),
(91981,140041,7,100,'If Target is not Epic',1,3),
(91982,140041,9,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(91983,140041,9,100,'Decreases Threat to targets in Area of Effect by 27,280 ',0,1),
(91984,140041,9,100,'Stuns targets in Area of Effect',0,2),
(91985,140041,9,100,'If Target is not Epic',1,3),
(91986,240104,1,100,'Inflicts 11 - 20 poison damage on target',0,0),
(91987,240104,2,100,'Inflicts 11 - 21 poison damage on target',0,0),
(91988,240104,3,100,'Inflicts 12 - 22 poison damage on target',0,0),
(91989,240104,4,100,'Inflicts 13 - 24 poison damage on target',0,0),
(91990,240104,5,100,'Inflicts 14 - 26 poison damage on target',0,0),
(91991,240104,7,100,'Inflicts 18 - 34 poison damage on target',0,0),
(91992,240104,9,100,'Inflicts 19 - 35 poison damage on target',0,0),
(91993,240105,1,100,'Inflicts 25 - 47 poison damage on target',0,0),
(91994,240105,2,100,'Inflicts 27 - 50 poison damage on target',0,0),
(91995,240105,3,100,'Inflicts 28 - 52 poison damage on target',0,0),
(91996,240105,4,100,'Inflicts 31 - 58 poison damage on target',0,0),
(91997,240105,5,100,'Inflicts 34 - 63 poison damage on target',0,0),
(91998,240105,7,100,'Inflicts 43 - 81 poison damage on target',0,0),
(91999,240105,9,100,'Inflicts 45 - 84 poison damage on target',0,0),
(92000,240106,1,100,'Inflicts 49 - 91 poison damage on target',0,0),
(92001,240106,2,100,'Inflicts 52 - 97 poison damage on target',0,0),
(92002,240106,3,100,'Inflicts 55 - 102 poison damage on target',0,0),
(92003,240106,4,100,'Inflicts 60 - 112 poison damage on target',0,0),
(92004,240106,5,100,'Inflicts 66 - 122 poison damage on target',0,0),
(92005,240106,7,100,'Inflicts 84 - 156 poison damage on target',0,0),
(92006,240106,9,100,'Inflicts 88 - 163 poison damage on target',0,0),
(92007,240106,10,100,'Inflicts 92 - 171 poison damage on target',0,0),
(92008,240107,1,100,'Inflicts 81 - 150 poison damage on target',0,0),
(92009,240107,2,100,'Inflicts 86 - 159 poison damage on target',0,0),
(92010,240107,3,100,'Inflicts 90 - 167 poison damage on target',0,0),
(92011,240107,4,100,'Inflicts 99 - 184 poison damage on target',0,0),
(92012,240107,5,100,'Inflicts 108 - 201 poison damage on target',0,0),
(92013,240107,7,100,'Inflicts 139 - 257 poison damage on target',0,0),
(92014,240107,9,100,'Inflicts 144 - 267 poison damage on target',0,0),
(92015,240108,1,100,'Inflicts 440 - 816 poison damage on target',0,0),
(92016,240108,4,100,'Inflicts 537 - 998 poison damage on target',0,0),
(92017,240108,5,100,'Inflicts 586 - 1089 poison damage on target',0,0),
(92018,240108,7,100,'Inflicts 752 - 1397 poison damage on target',0,0),
(92019,240108,9,100,'Inflicts 782 - 1451 poison damage on target',0,0),
(92020,240109,1,100,'Inflicts 124 - 230 poison damage on target',0,0),
(92021,240109,2,100,'Inflicts 131 - 243 poison damage on target',0,0),
(92022,240109,3,100,'Inflicts 138 - 256 poison damage on target',0,0),
(92023,240109,4,100,'Inflicts 152 - 281 poison damage on target',0,0),
(92024,240109,5,100,'Inflicts 165 - 307 poison damage on target',0,0),
(92025,240109,7,100,'Inflicts 212 - 394 poison damage on target',0,0),
(92026,240109,9,100,'Inflicts 220 - 409 poison damage on target',0,0),
(92027,240110,1,100,'Inflicts 194 - 361 poison damage on target',0,0),
(92028,240110,2,100,'Inflicts 205 - 381 poison damage on target',0,0),
(92029,240110,3,100,'Inflicts 216 - 401 poison damage on target',0,0),
(92030,240110,4,100,'Inflicts 238 - 441 poison damage on target',0,0),
(92031,240110,5,100,'Inflicts 259 - 481 poison damage on target',0,0),
(92032,240110,7,100,'Inflicts 333 - 618 poison damage on target',0,0),
(92033,240110,9,100,'Inflicts 345 - 642 poison damage on target',0,0),
(92034,240110,10,100,'Inflicts 363 - 674 poison damage on target',0,0),
(92035,240111,1,100,'Inflicts 278 - 516 poison damage on target',0,0),
(92036,240111,2,100,'Inflicts 293 - 545 poison damage on target',0,0),
(92037,240111,3,100,'Inflicts 309 - 573 poison damage on target',0,0),
(92038,240111,4,100,'Inflicts 340 - 631 poison damage on target',0,0),
(92039,240111,5,100,'Inflicts 370 - 688 poison damage on target',0,0),
(92040,240111,7,100,'Inflicts 475 - 883 poison damage on target',0,0),
(92041,240111,9,100,'Inflicts 494 - 917 poison damage on target',0,0),
(92042,240112,1,100,'Inflicts 363 - 674 poison damage on target',0,0),
(92043,240112,2,100,'Inflicts 383 - 711 poison damage on target',0,0),
(92044,240112,3,100,'Inflicts 403 - 749 poison damage on target',0,0),
(92045,240112,4,100,'Inflicts 444 - 824 poison damage on target',0,0),
(92046,240112,5,100,'Inflicts 484 - 899 poison damage on target',0,0),
(92047,240112,7,100,'Inflicts 621 - 1153 poison damage on target',0,0),
(92048,240112,9,100,'Inflicts 645 - 1198 poison damage on target',0,0),
(92049,240113,1,100,'Inflicts 521 - 968 poison damage on target',0,0),
(92050,240113,4,100,'Inflicts 637 - 1184 poison damage on target',0,0),
(92051,240113,5,100,'Inflicts 695 - 1291 poison damage on target',0,0),
(92052,240113,7,100,'Inflicts 892 - 1657 poison damage on target',0,0),
(92053,240113,9,100,'Inflicts 927 - 1722 poison damage on target',0,0),
(92054,440093,1,100,'Inflicts 6 - 10 poison damage on targets in Area of Effect',0,0),
(92055,240114,1,100,'Inflicts 216 - 400 poison damage on target',0,0),
(92056,240114,1,100,'Increases power of caster by 21',0,1),
(92057,240114,2,100,'Inflicts 228 - 423 poison damage on target',0,0),
(92058,240114,2,100,'Increases power of caster by 22',0,1),
(92059,240114,3,100,'Inflicts 240 - 445 poison damage on target',0,0),
(92060,240114,3,100,'Increases power of caster by 24',0,1),
(92061,240114,4,100,'Inflicts 264 - 489 poison damage on target',0,0),
(92062,240114,4,100,'Increases power of caster by 26',0,1),
(92063,240114,5,100,'Inflicts 288 - 534 poison damage on target',0,0),
(92064,240114,5,100,'Increases power of caster by 28',0,1),
(92065,240114,7,100,'Inflicts 369 - 685 poison damage on target',0,0),
(92066,240114,7,100,'Increases power of caster by 36',0,1),
(92067,240114,9,100,'Inflicts 383 - 712 poison damage on target',0,0),
(92068,240114,9,100,'Increases power of caster by 38',0,1),
(92069,240114,10,100,'Inflicts 403 - 748 poison damage on target',0,0),
(92070,240114,10,100,'Increases power of caster by 40',0,1),
(92071,240115,1,100,'Inflicts 367 - 681 poison damage on target',0,0),
(92072,240115,1,100,'Increases power of caster by 36',0,1),
(92073,240115,2,100,'Inflicts 387 - 719 poison damage on target',0,0),
(92074,240115,2,100,'Increases power of caster by 38',0,1),
(92075,240115,3,100,'Inflicts 407 - 757 poison damage on target',0,0),
(92076,240115,3,100,'Increases power of caster by 40',0,1),
(92077,240115,4,100,'Inflicts 448 - 832 poison damage on target',0,0),
(92078,240115,4,100,'Increases power of caster by 44',0,1),
(92079,240115,5,100,'Inflicts 489 - 908 poison damage on target',0,0),
(92080,240115,5,100,'Increases power of caster by 48',0,1),
(92081,240115,7,100,'Inflicts 627 - 1165 poison damage on target',0,0),
(92082,240115,7,100,'Increases power of caster by 62',0,1),
(92083,240115,9,100,'Inflicts 652 - 1211 poison damage on target',0,0),
(92084,240115,9,100,'Increases power of caster by 65',0,1),
(92085,240116,1,100,'Inflicts 548 - 1017 poison damage on target',0,0),
(92086,240116,1,100,'Increases power of caster by 54',0,1),
(92087,240116,2,100,'Inflicts 578 - 1073 poison damage on target',0,0),
(92088,240116,2,100,'Increases power of caster by 57',0,1),
(92089,240116,3,100,'Inflicts 608 - 1130 poison damage on target',0,0),
(92090,240116,3,100,'Increases power of caster by 61',0,1),
(92091,240116,4,100,'Inflicts 669 - 1243 poison damage on target',0,0),
(92092,240116,4,100,'Increases power of caster by 67',0,1),
(92093,240116,5,100,'Inflicts 730 - 1356 poison damage on target',0,0),
(92094,240116,5,100,'Increases power of caster by 73',0,1),
(92095,240116,7,100,'Inflicts 937 - 1740 poison damage on target',0,0),
(92096,240116,7,100,'Increases power of caster by 93',0,1),
(92097,240116,9,100,'Inflicts 973 - 1808 poison damage on target',0,0),
(92098,240116,9,100,'Increases power of caster by 97',0,1),
(92099,240116,10,100,'Inflicts 1022 - 1898 poison damage on target',0,0),
(92100,240116,10,100,'Increases power of caster by 102',0,1),
(92101,240117,1,100,'Inflicts 736 - 1367 poison damage on target',0,0),
(92102,240117,1,100,'Increases power of caster by 73',0,1),
(92103,240117,2,100,'Inflicts 777 - 1443 poison damage on target',0,0),
(92104,240117,2,100,'Increases power of caster by 77',0,1),
(92105,240117,3,100,'Inflicts 818 - 1519 poison damage on target',0,0),
(92106,240117,3,100,'Increases power of caster by 82',0,1),
(92107,240117,4,100,'Inflicts 900 - 1671 poison damage on target',0,0),
(92108,240117,4,100,'Increases power of caster by 90',0,1),
(92109,240117,5,100,'Inflicts 982 - 1823 poison damage on target',0,0),
(92110,240117,5,100,'Increases power of caster by 98',0,1),
(92111,240117,7,100,'Inflicts 1260 - 2340 poison damage on target',0,0),
(92112,240117,7,100,'Increases power of caster by 126',0,1),
(92113,240117,9,100,'Inflicts 1309 - 2431 poison damage on target',0,0),
(92114,240117,9,100,'Increases power of caster by 130',0,1),
(92115,240118,1,100,'Inflicts 923 - 1715 poison damage on target',0,0),
(92116,240118,1,100,'Increases power of caster by 100',0,1),
(92117,240118,2,100,'Inflicts 975 - 1810 poison damage on target',0,0),
(92118,240118,2,100,'Increases power of caster by 105',0,1),
(92119,240118,3,100,'Inflicts 1026 - 1905 poison damage on target',0,0),
(92120,240118,3,100,'Increases power of caster by 111',0,1),
(92121,240118,4,100,'Inflicts 1128 - 2096 poison damage on target',0,0),
(92122,240118,4,100,'Increases power of caster by 122',0,1),
(92123,240118,5,100,'Inflicts 1231 - 2286 poison damage on target',0,0),
(92124,240118,5,100,'Increases power of caster by 133',0,1),
(92125,240118,7,100,'Inflicts 1580 - 2934 poison damage on target',0,0),
(92126,240118,7,100,'Increases power of caster by 170',0,1),
(92127,240118,9,100,'Inflicts 1641 - 3048 poison damage on target',0,0),
(92128,240118,9,100,'Increases power of caster by 177',0,1),
(92129,240119,1,100,'Inflicts 1113 - 2067 poison damage on target',0,0),
(92130,240119,1,100,'Increases power of caster by 122',0,1),
(92131,240119,4,100,'Inflicts 1360 - 2526 poison damage on target',0,0),
(92132,240119,4,100,'Increases power of caster by 150',0,1),
(92133,240119,5,100,'Inflicts 1484 - 2756 poison damage on target',0,0),
(92134,240119,5,100,'Increases power of caster by 163',0,1),
(92135,240119,7,100,'Inflicts 1905 - 3537 poison damage on target',0,0),
(92136,240119,7,100,'Increases power of caster by 210',0,1),
(92137,240119,9,100,'Inflicts 1979 - 3675 poison damage on target',0,0),
(92138,240119,9,100,'Increases power of caster by 218',0,1),
(92139,240120,1,100,'Inflicts 1223 - 2270 poison damage on target',0,0),
(92140,240120,1,100,'Increases power of caster by 133',0,1),
(92141,240120,4,100,'Inflicts 1494 - 2775 poison damage on target',0,0),
(92142,240120,4,100,'Increases power of caster by 163',0,1),
(92143,240120,5,100,'Inflicts 1630 - 3027 poison damage on target',0,0),
(92144,240120,5,100,'Increases power of caster by 177',0,1),
(92145,240120,7,100,'Inflicts 2092 - 3885 poison damage on target',0,0),
(92146,240120,7,100,'Increases power of caster by 228',0,1),
(92147,240120,9,100,'Inflicts 2173 - 4036 poison damage on target',0,0),
(92148,240120,9,100,'Increases power of caster by 237',0,1),
(92149,120006,1,100,'Decreases Threat to targets in Area of Effect by 1,206 ',0,0),
(92150,120006,1,100,'Heals caster for 36 - 45',0,1),
(92154,120006,2,100,'Decreases Threat to targets in Area of Effect by 1,273 ',0,0),
(92155,120006,2,100,'Heals caster for 38 - 47',0,1),
(92159,120006,3,100,'Decreases Threat to targets in Area of Effect by 1,340 ',0,0),
(92160,120006,3,100,'Heals caster for 41 - 50',0,1),
(92164,120006,4,100,'Decreases Threat to targets in Area of Effect by 1,474 ',0,0),
(92165,120006,4,100,'Heals caster for 45 - 54',0,1),
(92169,120006,5,100,'Decreases Threat to targets in Area of Effect by 1,608 ',0,0),
(92170,120006,5,100,'Heals caster for 49 - 59',0,1),
(92174,120006,7,100,'Decreases Threat to targets in Area of Effect by 2,064 ',0,0),
(92175,120006,7,100,'Heals caster for 62 - 76',0,1),
(92179,120006,9,100,'Decreases Threat to targets in Area of Effect by 2,145 ',0,0),
(92180,120006,9,100,'Heals caster for 65 - 79',0,1),
(92184,2000404,1,100,'Inflicts 1 - 2 crushing damage on target',0,0),
(92185,2000404,1,100,'Stuns target',0,1),
(92186,2000404,1,100,'Epic targets gain an immunity to Stun effects of 5.6 seconds and duration is reduced to 0.6 seconds.',0,2),
(92187,2000404,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(92188,130025,1,100,'Distributes the group members'' total combined health evenly among all the members',0,0),
(92189,130025,2,100,'Distributes the group members'' total combined health evenly among all the members',0,0),
(92190,130025,3,100,'Distributes the group members'' total combined health evenly among all the members',0,0),
(92191,130025,4,100,'Distributes the group members'' total combined health evenly among all the members',0,0),
(92192,130025,5,100,'Distributes the group members'' total combined health evenly among all the members',0,0),
(92193,130025,7,100,'Distributes the group members'' total combined health evenly among all the members',0,0),
(92194,130025,9,100,'Distributes the group members'' total combined health evenly among all the members',0,0),
(92195,2000405,1,100,'Applies a passive reactive heal to the target that restores 1% of the damage received.',0,0),
(92196,2000405,1,100,'Cannot be modified except by direct means',0,1),
(92197,2000405,2,100,'Applies a passive reactive heal to the target that restores 2% of the damage received.',0,0),
(92198,2000405,2,100,'Cannot be modified except by direct means',0,1),
(92199,2000405,3,100,'Applies a passive reactive heal to the target that restores 3% of the damage received.',0,0),
(92200,2000405,3,100,'Cannot be modified except by direct means',0,1),
(92201,2000405,4,100,'Applies a passive reactive heal to the target that restores 4% of the damage received.',0,0),
(92202,2000405,4,100,'Cannot be modified except by direct means',0,1),
(92203,2000405,5,100,'Applies a passive reactive heal to the target that restores 5% of the damage received.',0,0),
(92204,2000405,5,100,'Cannot be modified except by direct means',0,1),
(92205,2000405,6,100,'Applies a passive reactive heal to the target that restores 6% of the damage received.',0,0),
(92206,2000405,6,100,'Cannot be modified except by direct means',0,1),
(92207,2000405,7,100,'Applies a passive reactive heal to the target that restores 7% of the damage received.',0,0),
(92208,2000405,7,100,'Cannot be modified except by direct means',0,1),
(92209,2000405,8,100,'Applies a passive reactive heal to the target that restores 8% of the damage received.',0,0),
(92210,2000405,8,100,'Cannot be modified except by direct means',0,1),
(92211,2000405,9,100,'Applies a passive reactive heal to the target that restores 9% of the damage received.',0,0),
(92212,2000405,9,100,'Cannot be modified except by direct means',0,1),
(92213,2000405,10,100,'Applies a passive reactive heal to the target that restores 10% of the damage received.',0,0),
(92214,2000405,10,100,'Cannot be modified except by direct means',0,1),
(92215,2000406,1,100,'Will absorb all damage when the amount is less than 50% of the target''s maximum health.',0,0),
(92216,2000407,1,100,'Will absorb all damage when the amount is less than 50% of the target''s maximum health.',0,0),
(92217,120007,1,100,'Summon 1 Divine Essence',0,0),
(92218,120007,1,100,'This effect cannot be cast during combat',0,1),
(92219,2000408,1,100,'Inflicts 398 - 663 divine damage on target',0,0),
(92220,2000408,2,100,'Inflicts 420 - 699 divine damage on target',0,0),
(92221,2000408,3,100,'Inflicts 442 - 736 divine damage on target',0,0),
(92222,2000408,4,100,'Inflicts 486 - 810 divine damage on target',0,0),
(92223,2000408,5,100,'Inflicts 706 - 1177 divine damage on target',0,0),
(92224,2000408,6,100,'Inflicts 574 - 957 divine damage on target',0,0),
(92225,2000408,7,100,'Inflicts 680 - 1134 divine damage on target',0,0),
(92226,2000408,8,100,'Inflicts 912 - 1521 divine damage on target',0,0),
(92227,2000408,9,100,'Inflicts 707 - 1178 divine damage on target',0,0),
(92228,2000408,10,100,'Inflicts 742 - 1237 divine damage on target',0,0),
(92229,2000409,1,100,'Inflicts 499 - 831 divine damage on target encounter',0,0),
(92230,2000409,2,100,'Inflicts 395 - 658 divine damage on target encounter',0,0),
(92231,2000409,3,100,'Inflicts 416 - 693 divine damage on target encounter',0,0),
(92232,2000409,4,100,'Inflicts 457 - 762 divine damage on target encounter',0,0),
(92233,2000409,5,100,'Inflicts 665 - 1108 divine damage on target encounter',0,0),
(92234,2000409,6,100,'Inflicts 720 - 1200 divine damage on target encounter',0,0),
(92235,2000409,7,100,'Inflicts 640 - 1067 divine damage on target encounter',0,0),
(92236,2000409,8,100,'Inflicts 644 - 1074 divine damage on target encounter',0,0),
(92237,2000409,9,100,'Inflicts 887 - 1478 divine damage on target encounter',0,0),
(92238,2000409,10,100,'Inflicts 931 - 1551 divine damage on target encounter',0,0),
(92239,2000410,9,100,'Reduces the confidence level of some raid level NPC''s.',0,0),
(92240,2000410,9,100,'Cannot be modified except by direct means',0,1),
(92241,2000411,1,100,'When target receives a reduction in health of 10% this spell will cast Divine Fate of Healing on caster.  ',0,0),
(92242,2000411,1,100,'Heals raid and group members (AE) for 1148',1,1),
(92243,100153,1,100,'On death this spell will cast Divine Favor on caster.  Lasts for 12.0 seconds.  ',0,0),
(92244,100153,1,100,'Heals caster for 45.0% of max health',1,1),
(92245,100153,1,100,'This effect cannot be critically applied.',2,2),
(92246,100153,1,100,'Dazes caster',1,3),
(92247,100153,1,100,'Stifles caster',1,4),
(92248,100153,1,100,'The healing of this spell cannot be modified except by direct means',1,5),
(92249,100153,1,100,'Grants a total of 1 trigger of the spell.',1,6),
(92250,100153,2,100,'On death this spell will cast Divine Favor on caster.  Lasts for 12.0 seconds.  ',0,0),
(92251,100153,2,100,'Heals caster for 47.5% of max health',1,1),
(92252,100153,2,100,'This effect cannot be critically applied.',2,2),
(92253,100153,2,100,'Dazes caster',1,3),
(92254,100153,2,100,'Stifles caster',1,4),
(92255,100153,2,100,'The healing of this spell cannot be modified except by direct means',1,5),
(92256,100153,2,100,'Grants a total of 1 trigger of the spell.',1,6),
(92257,100153,3,100,'On death this spell will cast Divine Favor on caster.  Lasts for 12.0 seconds.  ',0,0),
(92258,100153,3,100,'Heals caster for 50.0% of max health',1,1),
(92259,100153,3,100,'This effect cannot be critically applied.',2,2),
(92260,100153,3,100,'Dazes caster',1,3),
(92261,100153,3,100,'Stifles caster',1,4),
(92262,100153,3,100,'The healing of this spell cannot be modified except by direct means',1,5),
(92263,100153,3,100,'Grants a total of 1 trigger of the spell.',1,6),
(92264,100153,4,100,'On death this spell will cast Divine Favor on caster.  Lasts for 12.0 seconds.  ',0,0),
(92265,100153,4,100,'Heals caster for 55.0% of max health',1,1),
(92266,100153,4,100,'This effect cannot be critically applied.',2,2),
(92267,100153,4,100,'Dazes caster',1,3),
(92268,100153,4,100,'Stifles caster',1,4),
(92269,100153,4,100,'The healing of this spell cannot be modified except by direct means',1,5),
(92270,100153,4,100,'Grants a total of 1 trigger of the spell.',1,6),
(92271,100153,5,100,'On death this spell will cast Divine Favor on caster.  Lasts for 12.0 seconds.  ',0,0),
(92272,100153,5,100,'Heals caster for 60.0% of max health',1,1),
(92273,100153,5,100,'This effect cannot be critically applied.',2,2),
(92274,100153,5,100,'Dazes caster',1,3),
(92275,100153,5,100,'Stifles caster',1,4),
(92276,100153,5,100,'The healing of this spell cannot be modified except by direct means',1,5),
(92277,100153,5,100,'Grants a total of 1 trigger of the spell.',1,6),
(92278,100153,7,100,'On death this spell will cast Divine Favor on caster.  Lasts for 12.0 seconds.  ',0,0),
(92279,100153,7,100,'Heals caster for 77.0% of max health',1,1),
(92280,100153,7,100,'This effect cannot be critically applied.',2,2),
(92281,100153,7,100,'Dazes caster',1,3),
(92282,100153,7,100,'Stifles caster',1,4),
(92283,100153,7,100,'The healing of this spell cannot be modified except by direct means',1,5),
(92284,100153,7,100,'Grants a total of 1 trigger of the spell.',1,6),
(92285,100153,9,100,'On death this spell will cast Divine Favor on caster.  Lasts for 12.0 seconds.  ',0,0),
(92286,100153,9,100,'Heals caster for 80.0% of max health',1,1),
(92287,100153,9,100,'This effect cannot be critically applied.',2,2),
(92288,100153,9,100,'Dazes caster',1,3),
(92289,100153,9,100,'Stifles caster',1,4),
(92290,100153,9,100,'The healing of this spell cannot be modified except by direct means',1,5),
(92291,100153,9,100,'Grants a total of 1 trigger of the spell.',1,6),
(92292,2000412,1,100,'Increases Max Health of group members (AE) by 10.0%',0,0),
(92293,2000412,1,100,'When any damage is received this spell will cast Divine Guidance on target.  ',0,1),
(92294,2000412,1,100,'Heals target for 540 - 660',1,2),
(92295,2000412,2,100,'Increases Max Health of group members (AE) by 20.0%',0,0),
(92296,2000412,2,100,'When any damage is received this spell will cast Divine Guidance on target.  ',0,1),
(92297,2000412,2,100,'Heals target for 1080 - 1320',1,2),
(92298,130026,12,100,'Reduces all damage done to the target by 8%.  50% of the reduced damage is reflected on the attacker.',0,0),
(92299,110006,1,100,'Begins a Heroic Opportunity',0,0),
(92300,110006,1,100,'Must be engaged in combat',0,1),
(92301,2000413,1,100,'Increases Ability Recovery Speed of group members (AE) by 33.3%',0,0),
(92302,2000413,1,100,'Increases Ability Casting Speed of group members (AE) by 50.0%',0,1),
(92303,130027,1,100,'Inflicts 8 - 9 divine damage on target',0,0),
(92304,130027,2,100,'Inflicts 8 - 10 divine damage on target',0,0),
(92305,130027,3,100,'Inflicts 8 - 10 divine damage on target',0,0),
(92306,130027,4,100,'Inflicts 9 - 11 divine damage on target',0,0),
(92307,130027,5,100,'Inflicts 10 - 12 divine damage on target',0,0),
(92308,130027,7,100,'Inflicts 13 - 16 divine damage on target',0,0),
(92309,130027,9,100,'Inflicts 14 - 17 divine damage on target',0,0),
(92310,130028,1,100,'Inflicts 27 - 33 divine damage on target',0,0),
(92311,130028,2,100,'Inflicts 28 - 34 divine damage on target',0,0),
(92312,130028,3,100,'Inflicts 30 - 36 divine damage on target',0,0),
(92313,130028,4,100,'Inflicts 33 - 40 divine damage on target',0,0),
(92314,130028,5,100,'Inflicts 36 - 43 divine damage on target',0,0),
(92315,130028,7,100,'Inflicts 46 - 56 divine damage on target',0,0),
(92316,130028,9,100,'Inflicts 47 - 58 divine damage on target',0,0),
(92317,130029,1,100,'Inflicts 49 - 60 divine damage on target',0,0),
(92318,130029,2,100,'Inflicts 52 - 64 divine damage on target',0,0),
(92319,130029,3,100,'Inflicts 55 - 67 divine damage on target',0,0),
(92320,130029,4,100,'Inflicts 60 - 74 divine damage on target',0,0),
(92321,130029,5,100,'Inflicts 66 - 80 divine damage on target',0,0),
(92322,130029,7,100,'Inflicts 84 - 103 divine damage on target',0,0),
(92323,130029,9,100,'Inflicts 88 - 107 divine damage on target',0,0),
(92324,130030,1,100,'Inflicts 95 - 117 divine damage on target',0,0),
(92325,130030,2,100,'Inflicts 101 - 123 divine damage on target',0,0),
(92326,130030,3,100,'Inflicts 106 - 130 divine damage on target',0,0),
(92327,130030,4,100,'Inflicts 117 - 142 divine damage on target',0,0),
(92328,130030,5,100,'Inflicts 127 - 155 divine damage on target',0,0),
(92329,130030,7,100,'Inflicts 163 - 199 divine damage on target',0,0),
(92330,130030,9,100,'Inflicts 170 - 207 divine damage on target',0,0),
(92331,130030,10,100,'Inflicts 178 - 218 divine damage on target',0,0),
(92332,130031,1,100,'Inflicts 375 - 458 divine damage on target',0,0),
(92333,130031,4,100,'Inflicts 458 - 560 divine damage on target',0,0),
(92334,130031,5,100,'Inflicts 500 - 611 divine damage on target',0,0),
(92335,130031,7,100,'Inflicts 641 - 784 divine damage on target',0,0),
(92336,130031,9,100,'Inflicts 666 - 814 divine damage on target',0,0),
(92337,130032,1,100,'Inflicts 147 - 180 divine damage on target',0,0),
(92338,130032,2,100,'Inflicts 156 - 190 divine damage on target',0,0),
(92339,130032,3,100,'Inflicts 164 - 200 divine damage on target',0,0),
(92340,130032,4,100,'Inflicts 180 - 220 divine damage on target',0,0),
(92341,130032,5,100,'Inflicts 196 - 240 divine damage on target',0,0),
(92342,130032,7,100,'Inflicts 252 - 308 divine damage on target',0,0),
(92343,130032,9,100,'Inflicts 262 - 320 divine damage on target',0,0),
(92344,130033,1,100,'Inflicts 207 - 253 divine damage on target',0,0),
(92345,130033,2,100,'Inflicts 218 - 267 divine damage on target',0,0),
(92346,130033,3,100,'Inflicts 230 - 281 divine damage on target',0,0),
(92347,130033,4,100,'Inflicts 253 - 309 divine damage on target',0,0),
(92348,130033,5,100,'Inflicts 276 - 337 divine damage on target',0,0),
(92349,130033,7,100,'Inflicts 354 - 433 divine damage on target',0,0),
(92350,130033,9,100,'Inflicts 368 - 450 divine damage on target',0,0),
(92351,130034,1,100,'Inflicts 265 - 323 divine damage on target',0,0),
(92352,130034,2,100,'Inflicts 279 - 341 divine damage on target',0,0),
(92353,130034,3,100,'Inflicts 294 - 359 divine damage on target',0,0),
(92354,130034,4,100,'Inflicts 323 - 395 divine damage on target',0,0),
(92355,130034,5,100,'Inflicts 353 - 431 divine damage on target',0,0),
(92356,130034,7,100,'Inflicts 453 - 553 divine damage on target',0,0),
(92357,130034,9,100,'Inflicts 470 - 575 divine damage on target',0,0),
(92358,130034,10,100,'Inflicts 494 - 604 divine damage on target',0,0),
(92359,130035,1,100,'Inflicts 320 - 391 divine damage on target',0,0),
(92360,130035,4,100,'Inflicts 391 - 478 divine damage on target',0,0),
(92361,130035,5,100,'Inflicts 427 - 522 divine damage on target',0,0),
(92362,130035,7,100,'Inflicts 548 - 670 divine damage on target',0,0),
(92363,130035,9,100,'Inflicts 569 - 696 divine damage on target',0,0),
(92364,130036,1,100,'Inflicts 14 - 17 divine damage on target',0,0),
(92365,130036,1,100,'Inflicts 14 - 17 divine damage on target',0,1),
(92366,130036,1,100,'If target is undead',1,2),
(92367,130036,2,100,'Inflicts 14 - 18 divine damage on target',0,0),
(92368,130036,2,100,'Inflicts 14 - 18 divine damage on target',0,1),
(92369,130036,2,100,'If target is undead',1,2),
(92370,130036,3,100,'Inflicts 15 - 19 divine damage on target',0,0),
(92371,130036,3,100,'Inflicts 15 - 19 divine damage on target',0,1),
(92372,130036,3,100,'If target is undead',1,2),
(92373,130036,4,100,'Inflicts 17 - 21 divine damage on target',0,0),
(92374,130036,4,100,'Inflicts 17 - 21 divine damage on target',0,1),
(92375,130036,4,100,'If target is undead',1,2),
(92376,130036,5,100,'Inflicts 18 - 22 divine damage on target',0,0),
(92377,130036,5,100,'Inflicts 18 - 22 divine damage on target',0,1),
(92378,130036,5,100,'If target is undead',1,2),
(92379,130036,7,100,'Inflicts 23 - 29 divine damage on target',0,0),
(92380,130036,7,100,'Inflicts 23 - 29 divine damage on target',0,1),
(92381,130036,7,100,'If target is undead',1,2),
(92382,130036,9,100,'Inflicts 24 - 30 divine damage on target',0,0),
(92383,130036,9,100,'Inflicts 24 - 30 divine damage on target',0,1),
(92384,130036,9,100,'If target is undead',1,2),
(92385,130037,1,100,'Inflicts 46 - 56 divine damage on target',0,0),
(92386,130037,1,100,'Inflicts 46 - 56 divine damage on target',0,1),
(92387,130037,1,100,'If target is undead',1,2),
(92388,130037,2,100,'Inflicts 49 - 60 divine damage on target',0,0),
(92389,130037,2,100,'Inflicts 49 - 60 divine damage on target',0,1),
(92390,130037,2,100,'If target is undead',1,2),
(92391,130037,3,100,'Inflicts 51 - 63 divine damage on target',0,0),
(92392,130037,3,100,'Inflicts 51 - 63 divine damage on target',0,1),
(92393,130037,3,100,'If target is undead',1,2),
(92394,130037,4,100,'Inflicts 56 - 69 divine damage on target',0,0),
(92395,130037,4,100,'Inflicts 56 - 69 divine damage on target',0,1),
(92396,130037,4,100,'If target is undead',1,2),
(92397,130037,5,100,'Inflicts 62 - 75 divine damage on target',0,0),
(92398,130037,5,100,'Inflicts 62 - 75 divine damage on target',0,1),
(92399,130037,5,100,'If target is undead',1,2),
(92400,130037,7,100,'Inflicts 79 - 97 divine damage on target',0,0),
(92401,130037,7,100,'Inflicts 79 - 97 divine damage on target',0,1),
(92402,130037,7,100,'If target is undead',1,2),
(92403,130037,9,100,'Inflicts 82 - 100 divine damage on target',0,0),
(92404,130037,9,100,'Inflicts 82 - 100 divine damage on target',0,1),
(92405,130037,9,100,'If target is undead',1,2),
(92406,130037,10,100,'Inflicts 86 - 105 divine damage on target',0,0),
(92407,130037,10,100,'Inflicts 86 - 105 divine damage on target',0,1),
(92408,130037,10,100,'If target is undead',1,2),
(92409,130038,1,100,'Inflicts 107 - 131 divine damage on target',0,0),
(92410,130038,1,100,'Inflicts 107 - 131 divine damage on target',0,1),
(92411,130038,1,100,'If target is undead',1,2),
(92412,130038,2,100,'Inflicts 113 - 138 divine damage on target',0,0),
(92413,130038,2,100,'Inflicts 113 - 138 divine damage on target',0,1),
(92414,130038,2,100,'If target is undead',1,2),
(92415,130038,3,100,'Inflicts 119 - 145 divine damage on target',0,0),
(92416,130038,3,100,'Inflicts 119 - 145 divine damage on target',0,1),
(92417,130038,3,100,'If target is undead',1,2),
(92418,130038,4,100,'Inflicts 131 - 160 divine damage on target',0,0),
(92419,130038,4,100,'Inflicts 131 - 160 divine damage on target',0,1),
(92420,130038,4,100,'If target is undead',1,2),
(92421,130038,5,100,'Inflicts 143 - 174 divine damage on target',0,0),
(92422,130038,5,100,'Inflicts 143 - 174 divine damage on target',0,1),
(92423,130038,5,100,'If target is undead',1,2),
(92424,130038,7,100,'Inflicts 183 - 224 divine damage on target',0,0),
(92425,130038,7,100,'Inflicts 183 - 224 divine damage on target',0,1),
(92426,130038,7,100,'If target is undead',1,2),
(92427,130038,9,100,'Inflicts 190 - 233 divine damage on target',0,0),
(92428,130038,9,100,'Inflicts 190 - 233 divine damage on target',0,1),
(92429,130038,9,100,'If target is undead',1,2),
(92430,130039,1,100,'Inflicts 170 - 208 divine damage on target',0,0),
(92431,130039,1,100,'Inflicts 170 - 208 divine damage on target',0,1),
(92432,130039,1,100,'If target is undead',1,2),
(92433,130039,2,100,'Inflicts 180 - 220 divine damage on target',0,0),
(92434,130039,2,100,'Inflicts 180 - 220 divine damage on target',0,1),
(92435,130039,2,100,'If target is undead',1,2),
(92436,130039,3,100,'Inflicts 189 - 231 divine damage on target',0,0),
(92437,130039,3,100,'Inflicts 189 - 231 divine damage on target',0,1),
(92438,130039,3,100,'If target is undead',1,2),
(92439,130039,4,100,'Inflicts 208 - 254 divine damage on target',0,0),
(92440,130039,4,100,'Inflicts 208 - 254 divine damage on target',0,1),
(92441,130039,4,100,'If target is undead',1,2),
(92442,130039,5,100,'Inflicts 227 - 278 divine damage on target',0,0),
(92443,130039,5,100,'Inflicts 227 - 278 divine damage on target',0,1),
(92444,130039,5,100,'If target is undead',1,2),
(92445,130039,7,100,'Inflicts 291 - 356 divine damage on target',0,0),
(92446,130039,7,100,'Inflicts 291 - 356 divine damage on target',0,1),
(92447,130039,7,100,'If target is undead',1,2),
(92448,130039,9,100,'Inflicts 303 - 370 divine damage on target',0,0),
(92449,130039,9,100,'Inflicts 303 - 370 divine damage on target',0,1),
(92450,130039,9,100,'If target is undead',1,2),
(92451,130039,10,100,'Inflicts 318 - 389 divine damage on target',0,0),
(92452,130039,10,100,'Inflicts 318 - 389 divine damage on target',0,1),
(92453,130039,10,100,'If target is undead',1,2),
(92454,130040,1,100,'Inflicts 555 - 678 divine damage on target',0,0),
(92455,130040,1,100,'Inflicts 555 - 678 divine damage on target',0,1),
(92456,130040,1,100,'If target is undead',1,2),
(92457,130040,4,100,'Inflicts 678 - 829 divine damage on target',0,0),
(92458,130040,4,100,'Inflicts 678 - 829 divine damage on target',0,1),
(92459,130040,4,100,'If target is undead',1,2),
(92460,130040,5,100,'Inflicts 740 - 904 divine damage on target',0,0),
(92461,130040,5,100,'Inflicts 740 - 904 divine damage on target',0,1),
(92462,130040,5,100,'If target is undead',1,2),
(92463,130040,7,100,'Inflicts 949 - 1160 divine damage on target',0,0),
(92464,130040,7,100,'Inflicts 949 - 1160 divine damage on target',0,1),
(92465,130040,7,100,'If target is undead',1,2),
(92466,130040,9,100,'Inflicts 986 - 1205 divine damage on target',0,0),
(92467,130040,9,100,'Inflicts 986 - 1205 divine damage on target',0,1),
(92468,130040,9,100,'If target is undead',1,2),
(92469,130041,1,100,'Inflicts 259 - 317 divine damage on target',0,0),
(92470,130041,1,100,'Inflicts 259 - 317 divine damage on target',0,1),
(92471,130041,1,100,'If target is undead',1,2),
(92472,130041,2,100,'Inflicts 274 - 334 divine damage on target',0,0),
(92473,130041,2,100,'Inflicts 274 - 334 divine damage on target',0,1),
(92474,130041,2,100,'If target is undead',1,2),
(92475,130041,3,100,'Inflicts 288 - 352 divine damage on target',0,0),
(92476,130041,3,100,'Inflicts 288 - 352 divine damage on target',0,1),
(92477,130041,3,100,'If target is undead',1,2),
(92478,130041,4,100,'Inflicts 317 - 387 divine damage on target',0,0),
(92479,130041,4,100,'Inflicts 317 - 387 divine damage on target',0,1),
(92480,130041,4,100,'If target is undead',1,2),
(92481,130041,5,100,'Inflicts 346 - 422 divine damage on target',0,0),
(92482,130041,5,100,'Inflicts 346 - 422 divine damage on target',0,1),
(92483,130041,5,100,'If target is undead',1,2),
(92484,130041,7,100,'Inflicts 443 - 542 divine damage on target',0,0),
(92485,130041,7,100,'Inflicts 443 - 542 divine damage on target',0,1),
(92486,130041,7,100,'If target is undead',1,2),
(92487,130041,9,100,'Inflicts 461 - 563 divine damage on target',0,0),
(92488,130041,9,100,'Inflicts 461 - 563 divine damage on target',0,1),
(92489,130041,9,100,'If target is undead',1,2),
(92490,130041,10,100,'Inflicts 484 - 591 divine damage on target',0,0),
(92491,130041,10,100,'Inflicts 484 - 591 divine damage on target',0,1),
(92492,130041,10,100,'If target is undead',1,2),
(92493,130042,1,100,'Inflicts 344 - 421 divine damage on target',0,0),
(92494,130042,1,100,'Inflicts 344 - 421 divine damage on target',0,1),
(92495,130042,1,100,'If target is undead',1,2),
(92496,130042,2,100,'Inflicts 363 - 444 divine damage on target',0,0),
(92497,130042,2,100,'Inflicts 363 - 444 divine damage on target',0,1),
(92498,130042,2,100,'If target is undead',1,2),
(92499,130042,3,100,'Inflicts 383 - 468 divine damage on target',0,0),
(92500,130042,3,100,'Inflicts 383 - 468 divine damage on target',0,1),
(92501,130042,3,100,'If target is undead',1,2),
(92502,130042,4,100,'Inflicts 421 - 514 divine damage on target',0,0),
(92503,130042,4,100,'Inflicts 421 - 514 divine damage on target',0,1),
(92504,130042,4,100,'If target is undead',1,2),
(92505,130042,5,100,'Inflicts 459 - 561 divine damage on target',0,0),
(92506,130042,5,100,'Inflicts 459 - 561 divine damage on target',0,1),
(92507,130042,5,100,'If target is undead',1,2),
(92508,130042,7,100,'Inflicts 589 - 720 divine damage on target',0,0),
(92509,130042,7,100,'Inflicts 589 - 720 divine damage on target',0,1),
(92510,130042,7,100,'If target is undead',1,2),
(92511,130042,9,100,'Inflicts 612 - 748 divine damage on target',0,0),
(92512,130042,9,100,'Inflicts 612 - 748 divine damage on target',0,1),
(92513,130042,9,100,'If target is undead',1,2),
(92514,130043,1,100,'Inflicts 424 - 519 divine damage on target',0,0),
(92515,130043,1,100,'Inflicts 424 - 519 divine damage on target',0,1),
(92516,130043,1,100,'If target is undead',1,2),
(92517,130043,2,100,'Inflicts 448 - 547 divine damage on target',0,0),
(92518,130043,2,100,'Inflicts 448 - 547 divine damage on target',0,1),
(92519,130043,2,100,'If target is undead',1,2),
(92520,130043,3,100,'Inflicts 471 - 576 divine damage on target',0,0),
(92521,130043,3,100,'Inflicts 471 - 576 divine damage on target',0,1),
(92522,130043,3,100,'If target is undead',1,2),
(92523,130043,4,100,'Inflicts 519 - 634 divine damage on target',0,0),
(92524,130043,4,100,'Inflicts 519 - 634 divine damage on target',0,1),
(92525,130043,4,100,'If target is undead',1,2),
(92526,130043,5,100,'Inflicts 566 - 691 divine damage on target',0,0),
(92527,130043,5,100,'Inflicts 566 - 691 divine damage on target',0,1),
(92528,130043,5,100,'If target is undead',1,2),
(92529,130043,7,100,'Inflicts 726 - 887 divine damage on target',0,0),
(92530,130043,7,100,'Inflicts 726 - 887 divine damage on target',0,1),
(92531,130043,7,100,'If target is undead',1,2),
(92532,130043,9,100,'Inflicts 754 - 922 divine damage on target',0,0),
(92533,130043,9,100,'Inflicts 754 - 922 divine damage on target',0,1),
(92534,130043,9,100,'If target is undead',1,2),
(92535,130044,1,100,'Inflicts 511 - 625 divine damage on target',0,0),
(92536,130044,1,100,'Inflicts 511 - 625 divine damage on target',0,1),
(92537,130044,1,100,'If target is undead',1,2),
(92538,130044,4,100,'Inflicts 625 - 763 divine damage on target',0,0),
(92539,130044,4,100,'Inflicts 625 - 763 divine damage on target',0,1),
(92540,130044,4,100,'If target is undead',1,2),
(92541,130044,5,100,'Inflicts 681 - 833 divine damage on target',0,0),
(92542,130044,5,100,'Inflicts 681 - 833 divine damage on target',0,1),
(92543,130044,5,100,'If target is undead',1,2),
(92544,130044,7,100,'Inflicts 874 - 1069 divine damage on target',0,0),
(92545,130044,7,100,'Inflicts 874 - 1069 divine damage on target',0,1),
(92546,130044,7,100,'If target is undead',1,2),
(92547,130044,9,100,'Inflicts 909 - 1110 divine damage on target',0,0),
(92548,130044,9,100,'Inflicts 909 - 1110 divine damage on target',0,1),
(92549,130044,9,100,'If target is undead',1,2),
(92550,100154,1,100,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',0,0),
(92551,100154,1,100,'Inflicts 27 - 45 divine damage on target',1,1),
(92552,100154,1,100,'Inflicts 23 - 38 divine damage on target',1,2),
(92553,100154,1,100,'If target is undead',2,3),
(92554,100154,1,100,'Stuns target',1,4),
(92555,100154,1,100,'If Target is not Epic',2,5),
(92556,100154,1,100,'Inflicts 11 - 19 divine damage on target',0,6),
(92557,100154,2,100,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',0,0),
(92558,100154,2,100,'Inflicts 28 - 47 divine damage on target',1,1),
(92559,100154,2,100,'Inflicts 24 - 41 divine damage on target',1,2),
(92560,100154,2,100,'If target is undead',2,3),
(92561,100154,2,100,'Stuns target',1,4),
(92562,100154,2,100,'If Target is not Epic',2,5),
(92563,100154,2,100,'Inflicts 12 - 20 divine damage on target',0,6),
(92564,100154,3,100,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',0,0),
(92565,100154,3,100,'Inflicts 30 - 50 divine damage on target',1,1),
(92566,100154,3,100,'Inflicts 26 - 43 divine damage on target',1,2),
(92567,100154,3,100,'If target is undead',2,3),
(92568,100154,3,100,'Stuns target',1,4),
(92569,100154,3,100,'If Target is not Epic',2,5),
(92570,100154,3,100,'Inflicts 12 - 21 divine damage on target',0,6),
(92571,100154,4,100,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',0,0),
(92572,100154,4,100,'Inflicts 33 - 55 divine damage on target',1,1),
(92573,100154,4,100,'Inflicts 28 - 47 divine damage on target',1,2),
(92574,100154,4,100,'If target is undead',2,3),
(92575,100154,4,100,'Stuns target',1,4),
(92576,100154,4,100,'If Target is not Epic',2,5),
(92577,100154,4,100,'Inflicts 14 - 23 divine damage on target',0,6),
(92578,100154,5,100,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',0,0),
(92579,100154,5,100,'Inflicts 36 - 60 divine damage on target',1,1),
(92580,100154,5,100,'Inflicts 31 - 51 divine damage on target',1,2),
(92581,100154,5,100,'If target is undead',2,3),
(92582,100154,5,100,'Stuns target',1,4),
(92583,100154,5,100,'If Target is not Epic',2,5),
(92584,100154,5,100,'Inflicts 15 - 25 divine damage on target',0,6),
(92585,100154,7,100,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',0,0),
(92586,100154,7,100,'Inflicts 46 - 77 divine damage on target',1,1),
(92587,100154,7,100,'Inflicts 40 - 66 divine damage on target',1,2),
(92588,100154,7,100,'If target is undead',2,3),
(92589,100154,7,100,'Stuns target',1,4),
(92590,100154,7,100,'If Target is not Epic',2,5),
(92591,100154,7,100,'Inflicts 19 - 32 divine damage on target',0,6),
(92592,100154,9,100,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',0,0),
(92593,100154,9,100,'Inflicts 48 - 80 divine damage on target',1,1),
(92594,100154,9,100,'Inflicts 41 - 68 divine damage on target',1,2),
(92595,100154,9,100,'If target is undead',2,3),
(92596,100154,9,100,'Stuns target',1,4),
(92597,100154,9,100,'If Target is not Epic',2,5),
(92598,100154,9,100,'Inflicts 20 - 34 divine damage on target',0,6),
(92599,100155,1,100,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',0,0),
(92600,100155,1,100,'Inflicts 62 - 104 divine damage on target',1,1),
(92601,100155,1,100,'Inflicts 54 - 89 divine damage on target',1,2),
(92602,100155,1,100,'If target is undead',2,3),
(92603,100155,1,100,'Stuns target',1,4),
(92604,100155,1,100,'If Target is not Epic',2,5),
(92605,100155,1,100,'Inflicts 26 - 44 divine damage on target',0,6),
(92606,100155,2,100,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',0,0),
(92607,100155,2,100,'Inflicts 66 - 110 divine damage on target',1,1),
(92608,100155,2,100,'Inflicts 56 - 94 divine damage on target',1,2),
(92609,100155,2,100,'If target is undead',2,3),
(92610,100155,2,100,'Stuns target',1,4),
(92611,100155,2,100,'If Target is not Epic',2,5),
(92612,100155,2,100,'Inflicts 28 - 47 divine damage on target',0,6),
(92613,100155,3,100,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',0,0),
(92614,100155,3,100,'Inflicts 69 - 116 divine damage on target',1,1),
(92615,100155,3,100,'Inflicts 59 - 99 divine damage on target',1,2),
(92616,100155,3,100,'If target is undead',2,3),
(92617,100155,3,100,'Stuns target',1,4),
(92618,100155,3,100,'If Target is not Epic',2,5),
(92619,100155,3,100,'Inflicts 29 - 49 divine damage on target',0,6),
(92620,100155,4,100,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',0,0),
(92621,100155,4,100,'Inflicts 76 - 127 divine damage on target',1,1),
(92622,100155,4,100,'Inflicts 65 - 109 divine damage on target',1,2),
(92623,100155,4,100,'If target is undead',2,3),
(92624,100155,4,100,'Stuns target',1,4),
(92625,100155,4,100,'If Target is not Epic',2,5),
(92626,100155,4,100,'Inflicts 32 - 54 divine damage on target',0,6),
(92627,100155,5,100,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',0,0),
(92628,100155,5,100,'Inflicts 83 - 139 divine damage on target',1,1),
(92629,100155,5,100,'Inflicts 71 - 119 divine damage on target',1,2),
(92630,100155,5,100,'If target is undead',2,3),
(92631,100155,5,100,'Stuns target',1,4),
(92632,100155,5,100,'If Target is not Epic',2,5),
(92633,100155,5,100,'Inflicts 35 - 59 divine damage on target',0,6),
(92634,100155,7,100,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',0,0),
(92635,100155,7,100,'Inflicts 107 - 178 divine damage on target',1,1),
(92636,100155,7,100,'Inflicts 92 - 153 divine damage on target',1,2),
(92637,100155,7,100,'If target is undead',2,3),
(92638,100155,7,100,'Stuns target',1,4),
(92639,100155,7,100,'If Target is not Epic',2,5),
(92640,100155,7,100,'Inflicts 45 - 76 divine damage on target',0,6),
(92641,100155,9,100,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',0,0),
(92642,100155,9,100,'Inflicts 111 - 185 divine damage on target',1,1),
(92643,100155,9,100,'Inflicts 95 - 159 divine damage on target',1,2),
(92644,100155,9,100,'If target is undead',2,3),
(92645,100155,9,100,'Stuns target',1,4),
(92646,100155,9,100,'If Target is not Epic',2,5),
(92647,100155,9,100,'Inflicts 47 - 79 divine damage on target',0,6),
(92648,100156,1,100,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',0,0),
(92649,100156,1,100,'Inflicts 102 - 170 divine damage on target',1,1),
(92650,100156,1,100,'Inflicts 88 - 146 divine damage on target',1,2),
(92651,100156,1,100,'If target is undead',2,3),
(92652,100156,1,100,'Stuns target',1,4),
(92653,100156,1,100,'If Target is not Epic',2,5),
(92654,100156,1,100,'Inflicts 43 - 72 divine damage on target',0,6),
(92655,100156,2,100,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',0,0),
(92656,100156,2,100,'Inflicts 108 - 180 divine damage on target',1,1),
(92657,100156,2,100,'Inflicts 92 - 154 divine damage on target',1,2),
(92658,100156,2,100,'If target is undead',2,3),
(92659,100156,2,100,'Stuns target',1,4),
(92660,100156,2,100,'If Target is not Epic',2,5),
(92661,100156,2,100,'Inflicts 46 - 77 divine damage on target',0,6),
(92662,100156,3,100,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',0,0),
(92663,100156,3,100,'Inflicts 114 - 189 divine damage on target',1,1),
(92664,100156,3,100,'Inflicts 97 - 162 divine damage on target',1,2),
(92665,100156,3,100,'If target is undead',2,3),
(92666,100156,3,100,'Stuns target',1,4),
(92667,100156,3,100,'If Target is not Epic',2,5),
(92668,100156,3,100,'Inflicts 48 - 81 divine damage on target',0,6),
(92669,100156,4,100,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',0,0),
(92670,100156,4,100,'Inflicts 125 - 208 divine damage on target',1,1),
(92671,100156,4,100,'Inflicts 107 - 178 divine damage on target',1,2),
(92672,100156,4,100,'If target is undead',2,3),
(92673,100156,4,100,'Stuns target',1,4),
(92674,100156,4,100,'If Target is not Epic',2,5),
(92675,100156,4,100,'Inflicts 53 - 89 divine damage on target',0,6),
(92676,100156,5,100,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',0,0),
(92677,100156,5,100,'Inflicts 136 - 227 divine damage on target',1,1),
(92678,100156,5,100,'Inflicts 117 - 195 divine damage on target',1,2),
(92679,100156,5,100,'If target is undead',2,3),
(92680,100156,5,100,'Stuns target',1,4),
(92681,100156,5,100,'If Target is not Epic',2,5),
(92682,100156,5,100,'Inflicts 58 - 97 divine damage on target',0,6),
(92683,100156,7,100,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',0,0),
(92684,100156,7,100,'Inflicts 175 - 291 divine damage on target',1,1),
(92685,100156,7,100,'Inflicts 150 - 250 divine damage on target',1,2),
(92686,100156,7,100,'If target is undead',2,3),
(92687,100156,7,100,'Stuns target',1,4),
(92688,100156,7,100,'If Target is not Epic',2,5),
(92689,100156,7,100,'Inflicts 74 - 124 divine damage on target',0,6),
(92690,100156,9,100,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',0,0),
(92691,100156,9,100,'Inflicts 182 - 303 divine damage on target',1,1),
(92692,100156,9,100,'Inflicts 156 - 259 divine damage on target',1,2),
(92693,100156,9,100,'If target is undead',2,3),
(92694,100156,9,100,'Stuns target',1,4),
(92695,100156,9,100,'If Target is not Epic',2,5),
(92696,100156,9,100,'Inflicts 77 - 129 divine damage on target',0,6),
(92697,100157,1,100,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',0,0),
(92698,100157,1,100,'Inflicts 151 - 252 divine damage on target',1,1),
(92699,100157,1,100,'Inflicts 130 - 216 divine damage on target',1,2),
(92700,100157,1,100,'If target is undead',2,3),
(92701,100157,1,100,'Stuns target',1,4),
(92702,100157,1,100,'If Target is not Epic',2,5),
(92703,100157,1,100,'Inflicts 64 - 107 divine damage on target',0,6),
(92704,100157,2,100,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',0,0),
(92705,100157,2,100,'Inflicts 160 - 266 divine damage on target',1,1),
(92706,100157,2,100,'Inflicts 137 - 228 divine damage on target',1,2),
(92707,100157,2,100,'If target is undead',2,3),
(92708,100157,2,100,'Stuns target',1,4),
(92709,100157,2,100,'If Target is not Epic',2,5),
(92710,100157,2,100,'Inflicts 68 - 113 divine damage on target',0,6),
(92711,100157,3,100,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',0,0),
(92712,100157,3,100,'Inflicts 168 - 280 divine damage on target',1,1),
(92713,100157,3,100,'Inflicts 144 - 240 divine damage on target',1,2),
(92714,100157,3,100,'If target is undead',2,3),
(92715,100157,3,100,'Stuns target',1,4),
(92716,100157,3,100,'If Target is not Epic',2,5),
(92717,100157,3,100,'Inflicts 71 - 119 divine damage on target',0,6),
(92718,100157,4,100,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',0,0),
(92719,100157,4,100,'Inflicts 185 - 308 divine damage on target',1,1),
(92720,100157,4,100,'Inflicts 158 - 264 divine damage on target',1,2),
(92721,100157,4,100,'If target is undead',2,3),
(92722,100157,4,100,'Stuns target',1,4),
(92723,100157,4,100,'If Target is not Epic',2,5),
(92724,100157,4,100,'Inflicts 79 - 131 divine damage on target',0,6),
(92725,100157,5,100,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',0,0),
(92726,100157,5,100,'Inflicts 202 - 336 divine damage on target',1,1),
(92727,100157,5,100,'Inflicts 173 - 288 divine damage on target',1,2),
(92728,100157,5,100,'If target is undead',2,3),
(92729,100157,5,100,'Stuns target',1,4),
(92730,100157,5,100,'If Target is not Epic',2,5),
(92731,100157,5,100,'Inflicts 86 - 143 divine damage on target',0,6),
(92732,100157,7,100,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',0,0),
(92733,100157,7,100,'Inflicts 259 - 431 divine damage on target',1,1),
(92734,100157,7,100,'Inflicts 222 - 370 divine damage on target',1,2),
(92735,100157,7,100,'If target is undead',2,3),
(92736,100157,7,100,'Stuns target',1,4),
(92737,100157,7,100,'If Target is not Epic',2,5),
(92738,100157,7,100,'Inflicts 110 - 184 divine damage on target',0,6),
(92739,100157,9,100,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',0,0),
(92740,100157,9,100,'Inflicts 269 - 448 divine damage on target',1,1),
(92741,100157,9,100,'Inflicts 230 - 384 divine damage on target',1,2),
(92742,100157,9,100,'If target is undead',2,3),
(92743,100157,9,100,'Stuns target',1,4),
(92744,100157,9,100,'If Target is not Epic',2,5),
(92745,100157,9,100,'Inflicts 115 - 191 divine damage on target',0,6),
(92746,100158,1,100,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',0,0),
(92747,100158,1,100,'Inflicts 201 - 335 divine damage on target',1,1),
(92748,100158,1,100,'Inflicts 172 - 287 divine damage on target',1,2),
(92749,100158,1,100,'If target is undead',2,3),
(92750,100158,1,100,'Stuns target',1,4),
(92751,100158,1,100,'If Target is not Epic',2,5),
(92752,100158,1,100,'Inflicts 86 - 143 divine damage on target',0,6),
(92753,100158,2,100,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',0,0),
(92754,100158,2,100,'Inflicts 212 - 353 divine damage on target',1,1),
(92755,100158,2,100,'Inflicts 182 - 303 divine damage on target',1,2),
(92756,100158,2,100,'If target is undead',2,3),
(92757,100158,2,100,'Stuns target',1,4),
(92758,100158,2,100,'If Target is not Epic',2,5),
(92759,100158,2,100,'Inflicts 90 - 151 divine damage on target',0,6),
(92760,100158,3,100,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',0,0),
(92761,100158,3,100,'Inflicts 223 - 372 divine damage on target',1,1),
(92762,100158,3,100,'Inflicts 191 - 319 divine damage on target',1,2),
(92763,100158,3,100,'If target is undead',2,3),
(92764,100158,3,100,'Stuns target',1,4),
(92765,100158,3,100,'If Target is not Epic',2,5),
(92766,100158,3,100,'Inflicts 95 - 159 divine damage on target',0,6),
(92767,100158,4,100,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',0,0),
(92768,100158,4,100,'Inflicts 245 - 409 divine damage on target',1,1),
(92769,100158,4,100,'Inflicts 210 - 351 divine damage on target',1,2),
(92770,100158,4,100,'If target is undead',2,3),
(92771,100158,4,100,'Stuns target',1,4),
(92772,100158,4,100,'If Target is not Epic',2,5),
(92773,100158,4,100,'Inflicts 105 - 175 divine damage on target',0,6),
(92774,100158,5,100,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',0,0),
(92775,100158,5,100,'Inflicts 268 - 446 divine damage on target',1,1),
(92776,100158,5,100,'Inflicts 230 - 383 divine damage on target',1,2),
(92777,100158,5,100,'If target is undead',2,3),
(92778,100158,5,100,'Stuns target',1,4),
(92779,100158,5,100,'If Target is not Epic',2,5),
(92780,100158,5,100,'Inflicts 114 - 191 divine damage on target',0,6),
(92781,100158,7,100,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',0,0),
(92782,100158,7,100,'Inflicts 344 - 573 divine damage on target',1,1),
(92783,100158,7,100,'Inflicts 295 - 491 divine damage on target',1,2),
(92784,100158,7,100,'If target is undead',2,3),
(92785,100158,7,100,'Stuns target',1,4),
(92786,100158,7,100,'If Target is not Epic',2,5),
(92787,100158,7,100,'Inflicts 147 - 245 divine damage on target',0,6),
(92788,100158,9,100,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',0,0),
(92789,100158,9,100,'Inflicts 357 - 595 divine damage on target',1,1),
(92790,100158,9,100,'Inflicts 306 - 510 divine damage on target',1,2),
(92791,100158,9,100,'If target is undead',2,3),
(92792,100158,9,100,'Stuns target',1,4),
(92793,100158,9,100,'If Target is not Epic',2,5),
(92794,100158,9,100,'Inflicts 153 - 255 divine damage on target',0,6),
(92795,100159,1,100,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',0,0),
(92796,100159,1,100,'Inflicts 243 - 405 divine damage on target',1,1),
(92797,100159,1,100,'Inflicts 208 - 347 divine damage on target',1,2),
(92798,100159,1,100,'If target is undead',2,3),
(92799,100159,1,100,'Stuns target',1,4),
(92800,100159,1,100,'If Target is not Epic',2,5),
(92801,100159,1,100,'Inflicts 104 - 173 divine damage on target',0,6),
(92802,100159,2,100,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',0,0),
(92803,100159,2,100,'Inflicts 256 - 427 divine damage on target',1,1),
(92804,100159,2,100,'Inflicts 220 - 366 divine damage on target',1,2),
(92805,100159,2,100,'If target is undead',2,3),
(92806,100159,2,100,'Stuns target',1,4),
(92807,100159,2,100,'If Target is not Epic',2,5),
(92808,100159,2,100,'Inflicts 109 - 183 divine damage on target',0,6),
(92809,100159,3,100,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',0,0),
(92810,100159,3,100,'Inflicts 270 - 450 divine damage on target',1,1),
(92811,100159,3,100,'Inflicts 231 - 386 divine damage on target',1,2),
(92812,100159,3,100,'If target is undead',2,3),
(92813,100159,3,100,'Stuns target',1,4),
(92814,100159,3,100,'If Target is not Epic',2,5),
(92815,100159,3,100,'Inflicts 115 - 192 divine damage on target',0,6),
(92816,100159,4,100,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',0,0),
(92817,100159,4,100,'Inflicts 297 - 495 divine damage on target',1,1),
(92818,100159,4,100,'Inflicts 255 - 424 divine damage on target',1,2),
(92819,100159,4,100,'If target is undead',2,3),
(92820,100159,4,100,'Stuns target',1,4),
(92821,100159,4,100,'If Target is not Epic',2,5),
(92822,100159,4,100,'Inflicts 127 - 212 divine damage on target',0,6),
(92823,100159,5,100,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',0,0),
(92824,100159,5,100,'Inflicts 324 - 540 divine damage on target',1,1),
(92825,100159,5,100,'Inflicts 278 - 463 divine damage on target',1,2),
(92826,100159,5,100,'If target is undead',2,3),
(92827,100159,5,100,'Stuns target',1,4),
(92828,100159,5,100,'If Target is not Epic',2,5),
(92829,100159,5,100,'Inflicts 138 - 231 divine damage on target',0,6),
(92830,100159,7,100,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',0,0),
(92831,100159,7,100,'Inflicts 416 - 693 divine damage on target',1,1),
(92832,100159,7,100,'Inflicts 356 - 594 divine damage on target',1,2),
(92833,100159,7,100,'If target is undead',2,3),
(92834,100159,7,100,'Stuns target',1,4),
(92835,100159,7,100,'If Target is not Epic',2,5),
(92836,100159,7,100,'Inflicts 178 - 296 divine damage on target',0,6),
(92837,100159,9,100,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',0,0),
(92838,100159,9,100,'Inflicts 432 - 720 divine damage on target',1,1),
(92839,100159,9,100,'Inflicts 370 - 617 divine damage on target',1,2),
(92840,100159,9,100,'If target is undead',2,3),
(92841,100159,9,100,'Stuns target',1,4),
(92842,100159,9,100,'If Target is not Epic',2,5),
(92843,100159,9,100,'Inflicts 185 - 308 divine damage on target',0,6),
(92844,100160,1,100,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',0,0),
(92845,100160,1,100,'Inflicts 293 - 488 divine damage on target',1,1),
(92846,100160,1,100,'Inflicts 251 - 418 divine damage on target',1,2),
(92847,100160,1,100,'If target is undead',2,3),
(92848,100160,1,100,'Stuns target',1,4),
(92849,100160,1,100,'If Target is not Epic',2,5),
(92850,100160,1,100,'Inflicts 125 - 209 divine damage on target',0,6),
(92851,100160,4,100,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',0,0),
(92852,100160,4,100,'Inflicts 358 - 597 divine damage on target',1,1),
(92853,100160,4,100,'Inflicts 307 - 511 divine damage on target',1,2),
(92854,100160,4,100,'If target is undead',2,3),
(92855,100160,4,100,'Stuns target',1,4),
(92856,100160,4,100,'If Target is not Epic',2,5),
(92857,100160,4,100,'Inflicts 153 - 255 divine damage on target',0,6),
(92858,100160,5,100,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',0,0),
(92859,100160,5,100,'Inflicts 391 - 651 divine damage on target',1,1),
(92860,100160,5,100,'Inflicts 335 - 558 divine damage on target',1,2),
(92861,100160,5,100,'If target is undead',2,3),
(92862,100160,5,100,'Stuns target',1,4),
(92863,100160,5,100,'If Target is not Epic',2,5),
(92864,100160,5,100,'Inflicts 167 - 278 divine damage on target',0,6),
(92865,100160,7,100,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',0,0),
(92866,100160,7,100,'Inflicts 501 - 835 divine damage on target',1,1),
(92867,100160,7,100,'Inflicts 430 - 716 divine damage on target',1,2),
(92868,100160,7,100,'If target is undead',2,3),
(92869,100160,7,100,'Stuns target',1,4),
(92870,100160,7,100,'If Target is not Epic',2,5),
(92871,100160,7,100,'Inflicts 214 - 358 divine damage on target',0,6),
(92872,100160,9,100,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',0,0),
(92873,100160,9,100,'Inflicts 521 - 868 divine damage on target',1,1),
(92874,100160,9,100,'Inflicts 446 - 744 divine damage on target',1,2),
(92875,100160,9,100,'If target is undead',2,3),
(92876,100160,9,100,'Stuns target',1,4),
(92877,100160,9,100,'If Target is not Epic',2,5),
(92878,100160,9,100,'Inflicts 223 - 371 divine damage on target',0,6),
(92879,100161,1,100,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',0,0),
(92880,100161,1,100,'Inflicts 322 - 536 divine damage on target',1,1),
(92881,100161,1,100,'Inflicts 276 - 460 divine damage on target',1,2),
(92882,100161,1,100,'If target is undead',2,3),
(92883,100161,1,100,'Stuns target',1,4),
(92884,100161,1,100,'If Target is not Epic',2,5),
(92885,100161,1,100,'Inflicts 137 - 229 divine damage on target',0,6),
(92886,100161,4,100,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',0,0),
(92887,100161,4,100,'Inflicts 393 - 655 divine damage on target',1,1),
(92888,100161,4,100,'Inflicts 337 - 562 divine damage on target',1,2),
(92889,100161,4,100,'If target is undead',2,3),
(92890,100161,4,100,'Stuns target',1,4),
(92891,100161,4,100,'If Target is not Epic',2,5),
(92892,100161,4,100,'Inflicts 168 - 280 divine damage on target',0,6),
(92893,100161,5,100,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',0,0),
(92894,100161,5,100,'Inflicts 429 - 715 divine damage on target',1,1),
(92895,100161,5,100,'Inflicts 368 - 613 divine damage on target',1,2),
(92896,100161,5,100,'If target is undead',2,3),
(92897,100161,5,100,'Stuns target',1,4),
(92898,100161,5,100,'If Target is not Epic',2,5),
(92899,100161,5,100,'Inflicts 183 - 306 divine damage on target',0,6),
(92900,100161,7,100,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',0,0),
(92901,100161,7,100,'Inflicts 550 - 917 divine damage on target',1,1),
(92902,100161,7,100,'Inflicts 472 - 786 divine damage on target',1,2),
(92903,100161,7,100,'If target is undead',2,3),
(92904,100161,7,100,'Stuns target',1,4),
(92905,100161,7,100,'If Target is not Epic',2,5),
(92906,100161,7,100,'Inflicts 235 - 393 divine damage on target',0,6),
(92907,100161,9,100,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',0,0),
(92908,100161,9,100,'Inflicts 572 - 953 divine damage on target',1,1),
(92909,100161,9,100,'Inflicts 490 - 817 divine damage on target',1,2),
(92910,100161,9,100,'If target is undead',2,3),
(92911,100161,9,100,'Stuns target',1,4),
(92912,100161,9,100,'If Target is not Epic',2,5),
(92913,100161,9,100,'Inflicts 245 - 408 divine damage on target',0,6),
(92914,140042,1,100,'On a beneficial spell cast this spell will cast Convert Ally on target of spell cast.  ',0,0),
(92915,140042,1,100,'Heals target for 128',1,1),
(92916,140042,2,100,'On a beneficial spell cast this spell will cast Convert Ally on target of spell cast.  ',0,0),
(92917,140042,2,100,'Heals target for 135',1,1),
(92918,140042,3,100,'On a beneficial spell cast this spell will cast Convert Ally on target of spell cast.  ',0,0),
(92919,140042,3,100,'Heals target for 142',1,1),
(92920,140042,4,100,'On a beneficial spell cast this spell will cast Convert Ally on target of spell cast.  ',0,0),
(92921,140042,4,100,'Heals target for 156',1,1),
(92922,140042,5,100,'On a beneficial spell cast this spell will cast Convert Ally on target of spell cast.  ',0,0),
(92923,140042,5,100,'Heals target for 170',1,1),
(92924,140042,7,100,'On a beneficial spell cast this spell will cast Convert Ally on target of spell cast.  ',0,0),
(92925,140042,7,100,'Heals target for 219',1,1),
(92926,140042,9,100,'On a beneficial spell cast this spell will cast Convert Ally on target of spell cast.  ',0,0),
(92927,140042,9,100,'Heals target for 227',1,1),
(92928,140043,1,100,'On a beneficial spell cast this spell will cast Convert Ally on target of spell cast.  ',0,0),
(92929,140043,1,100,'Heals target for 194',1,1),
(92930,140043,2,100,'On a beneficial spell cast this spell will cast Convert Ally on target of spell cast.  ',0,0),
(92931,140043,2,100,'Heals target for 204',1,1),
(92932,140043,3,100,'On a beneficial spell cast this spell will cast Convert Ally on target of spell cast.  ',0,0),
(92933,140043,3,100,'Heals target for 215',1,1),
(92934,140043,4,100,'On a beneficial spell cast this spell will cast Convert Ally on target of spell cast.  ',0,0),
(92935,140043,4,100,'Heals target for 237',1,1),
(92936,140043,5,100,'On a beneficial spell cast this spell will cast Convert Ally on target of spell cast.  ',0,0),
(92937,140043,5,100,'Heals target for 258',1,1),
(92938,140043,7,100,'On a beneficial spell cast this spell will cast Convert Ally on target of spell cast.  ',0,0),
(92939,140043,7,100,'Heals target for 331',1,1),
(92940,140043,9,100,'On a beneficial spell cast this spell will cast Convert Ally on target of spell cast.  ',0,0),
(92941,140043,9,100,'Heals target for 344',1,1),
(92942,140044,1,100,'On a beneficial spell cast this spell will cast Convert Ally on target of spell cast.  ',0,0),
(92943,140044,1,100,'Heals target for 241',1,1),
(92944,140044,4,100,'On a beneficial spell cast this spell will cast Convert Ally on target of spell cast.  ',0,0),
(92945,140044,4,100,'Heals target for 294',1,1),
(92946,140044,5,100,'On a beneficial spell cast this spell will cast Convert Ally on target of spell cast.  ',0,0),
(92947,140044,5,100,'Heals target for 321',1,1),
(92948,140044,7,100,'On a beneficial spell cast this spell will cast Convert Ally on target of spell cast.  ',0,0),
(92949,140044,7,100,'Heals target for 412',1,1),
(92950,140044,9,100,'On a beneficial spell cast this spell will cast Convert Ally on target of spell cast.  ',0,0),
(92951,140044,9,100,'Heals target for 428',1,1),
(92952,140045,1,100,'On a beneficial spell cast this spell will cast Convert Ally on target of spell cast.  ',0,0),
(92953,140045,1,100,'Heals target for 265',1,1),
(92954,140045,4,100,'On a beneficial spell cast this spell will cast Convert Ally on target of spell cast.  ',0,0),
(92955,140045,4,100,'Heals target for 324',1,1),
(92956,140045,5,100,'On a beneficial spell cast this spell will cast Convert Ally on target of spell cast.  ',0,0),
(92957,140045,5,100,'Heals target for 353',1,1),
(92958,140045,7,100,'On a beneficial spell cast this spell will cast Convert Ally on target of spell cast.  ',0,0),
(92959,140045,7,100,'Heals target for 453',1,1),
(92960,140045,9,100,'On a beneficial spell cast this spell will cast Convert Ally on target of spell cast.  ',0,0),
(92961,140045,9,100,'Heals target for 471',1,1),
(92962,2000414,1,100,'Increases Crit Chance of group members (AE) by 7.5',0,0),
(92963,300053,1,100,'Applies Dooming Darkness.  Lasts for 24.0 seconds.',0,0),
(92964,300053,1,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',1,1),
(92965,300053,1,100,'Slows target by 30.8%',2,2),
(92966,300053,1,100,'5% chance to dispel when target receives hostile action',2,3),
(92967,300053,1,100,'5% chance to dispel when target takes damage',2,4),
(92968,300053,1,100,'Slows target by 30.8%',1,5),
(92969,300053,1,100,'5% chance to dispel when target receives hostile action',1,6),
(92970,300053,1,100,'5% chance to dispel when target takes damage',1,7),
(92971,300053,1,100,'Interrupts target',0,8),
(92972,300053,1,100,'Inflicts 9 - 11 disease damage on target every 4 seconds',0,9),
(92973,300053,2,100,'Applies Dooming Darkness.  Lasts for 24.0 seconds.',0,0),
(92974,300053,2,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',1,1),
(92975,300053,2,100,'Slows target by 32.5%',2,2),
(92976,300053,2,100,'5% chance to dispel when target receives hostile action',2,3),
(92977,300053,2,100,'5% chance to dispel when target takes damage',2,4),
(92978,300053,2,100,'Slows target by 32.5%',1,5),
(92979,300053,2,100,'5% chance to dispel when target receives hostile action',1,6),
(92980,300053,2,100,'5% chance to dispel when target takes damage',1,7),
(92981,300053,2,100,'Interrupts target',0,8),
(92982,300053,2,100,'Inflicts 9 - 11 disease damage on target every 4 seconds',0,9),
(92983,300053,3,100,'Applies Dooming Darkness.  Lasts for 24.0 seconds.',0,0),
(92984,300053,3,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',1,1),
(92985,300053,3,100,'Slows target by 34.2%',2,2),
(92986,300053,3,100,'5% chance to dispel when target receives hostile action',2,3),
(92987,300053,3,100,'5% chance to dispel when target takes damage',2,4),
(92988,300053,3,100,'Slows target by 34.2%',1,5),
(92989,300053,3,100,'5% chance to dispel when target receives hostile action',1,6),
(92990,300053,3,100,'5% chance to dispel when target takes damage',1,7),
(92991,300053,3,100,'Interrupts target',0,8),
(92992,300053,3,100,'Inflicts 10 - 12 disease damage on target every 4 seconds',0,9),
(92993,300053,4,100,'Applies Dooming Darkness.  Lasts for 24.0 seconds.',0,0),
(92994,300053,4,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',1,1),
(92995,300053,4,100,'Slows target by 37.6%',2,2),
(92996,300053,4,100,'5% chance to dispel when target receives hostile action',2,3),
(92997,300053,4,100,'5% chance to dispel when target takes damage',2,4),
(92998,300053,4,100,'Slows target by 37.6%',1,5),
(92999,300053,4,100,'5% chance to dispel when target receives hostile action',1,6),
(93000,300053,4,100,'5% chance to dispel when target takes damage',1,7),
(93001,300053,4,100,'Interrupts target',0,8),
(93002,300053,4,100,'Inflicts 11 - 13 disease damage on target every 4 seconds',0,9),
(93003,300053,5,100,'Applies Dooming Darkness.  Lasts for 24.0 seconds.',0,0),
(93004,300053,5,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',1,1),
(93005,300053,5,100,'Slows target by 41.0%',2,2),
(93006,300053,5,100,'5% chance to dispel when target receives hostile action',2,3),
(93007,300053,5,100,'5% chance to dispel when target takes damage',2,4),
(93008,300053,5,100,'Slows target by 41.0%',1,5),
(93009,300053,5,100,'5% chance to dispel when target receives hostile action',1,6),
(93010,300053,5,100,'5% chance to dispel when target takes damage',1,7),
(93011,300053,5,100,'Interrupts target',0,8),
(93012,300053,5,100,'Inflicts 12 - 14 disease damage on target every 4 seconds',0,9),
(93013,300053,7,100,'Applies Dooming Darkness.  Lasts for 24.0 seconds.',0,0),
(93014,300053,7,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',1,1),
(93015,300053,7,100,'Slows target by 52.7%',2,2),
(93016,300053,7,100,'5% chance to dispel when target receives hostile action',2,3),
(93017,300053,7,100,'5% chance to dispel when target takes damage',2,4),
(93018,300053,7,100,'Slows target by 52.7%',1,5),
(93019,300053,7,100,'5% chance to dispel when target receives hostile action',1,6),
(93020,300053,7,100,'5% chance to dispel when target takes damage',1,7),
(93021,300053,7,100,'Interrupts target',0,8),
(93022,300053,7,100,'Inflicts 15 - 18 disease damage on target every 4 seconds',0,9),
(93023,300053,9,100,'Applies Dooming Darkness.  Lasts for 24.0 seconds.',0,0),
(93024,300053,9,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',1,1),
(93025,300053,9,100,'Slows target by 54.7%',2,2),
(93026,300053,9,100,'5% chance to dispel when target receives hostile action',2,3),
(93027,300053,9,100,'5% chance to dispel when target takes damage',2,4),
(93028,300053,9,100,'Slows target by 54.7%',1,5),
(93029,300053,9,100,'5% chance to dispel when target receives hostile action',1,6),
(93030,300053,9,100,'5% chance to dispel when target takes damage',1,7),
(93031,300053,9,100,'Interrupts target',0,8),
(93032,300053,9,100,'Inflicts 16 - 19 disease damage on target every 4 seconds',0,9),
(93033,300054,1,100,'Applies Dooming Darkness.  Lasts for 24.0 seconds.',0,0),
(93034,300054,1,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',1,1),
(93035,300054,1,100,'Slows target by 33.5%',2,2),
(93036,300054,1,100,'5% chance to dispel when target receives hostile action',2,3),
(93037,300054,1,100,'5% chance to dispel when target takes damage',2,4),
(93038,300054,1,100,'Slows target by 33.5%',1,5),
(93039,300054,1,100,'5% chance to dispel when target receives hostile action',1,6),
(93040,300054,1,100,'5% chance to dispel when target takes damage',1,7),
(93041,300054,1,100,'Interrupts target',0,8),
(93042,300054,1,100,'Inflicts 16 - 20 disease damage on target every 4 seconds',0,9),
(93043,300054,2,100,'Applies Dooming Darkness.  Lasts for 24.0 seconds.',0,0),
(93044,300054,2,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',1,1),
(93045,300054,2,100,'Slows target by 35.3%',2,2),
(93046,300054,2,100,'5% chance to dispel when target receives hostile action',2,3),
(93047,300054,2,100,'5% chance to dispel when target takes damage',2,4),
(93048,300054,2,100,'Slows target by 35.3%',1,5),
(93049,300054,2,100,'5% chance to dispel when target receives hostile action',1,6),
(93050,300054,2,100,'5% chance to dispel when target takes damage',1,7),
(93051,300054,2,100,'Interrupts target',0,8),
(93052,300054,2,100,'Inflicts 17 - 21 disease damage on target every 4 seconds',0,9),
(93053,300054,3,100,'Applies Dooming Darkness.  Lasts for 24.0 seconds.',0,0),
(93054,300054,3,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',1,1),
(93055,300054,3,100,'Slows target by 37.2%',2,2),
(93056,300054,3,100,'5% chance to dispel when target receives hostile action',2,3),
(93057,300054,3,100,'5% chance to dispel when target takes damage',2,4),
(93058,300054,3,100,'Slows target by 37.2%',1,5),
(93059,300054,3,100,'5% chance to dispel when target receives hostile action',1,6),
(93060,300054,3,100,'5% chance to dispel when target takes damage',1,7),
(93061,300054,3,100,'Interrupts target',0,8),
(93062,300054,3,100,'Inflicts 18 - 22 disease damage on target every 4 seconds',0,9),
(93063,300054,4,100,'Applies Dooming Darkness.  Lasts for 24.0 seconds.',0,0),
(93064,300054,4,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',1,1),
(93065,300054,4,100,'Slows target by 40.9%',2,2),
(93066,300054,4,100,'5% chance to dispel when target receives hostile action',2,3),
(93067,300054,4,100,'5% chance to dispel when target takes damage',2,4),
(93068,300054,4,100,'Slows target by 40.9%',1,5),
(93069,300054,4,100,'5% chance to dispel when target receives hostile action',1,6),
(93070,300054,4,100,'5% chance to dispel when target takes damage',1,7),
(93071,300054,4,100,'Interrupts target',0,8),
(93072,300054,4,100,'Inflicts 20 - 24 disease damage on target every 4 seconds',0,9),
(93073,300054,5,100,'Applies Dooming Darkness.  Lasts for 24.0 seconds.',0,0),
(93074,300054,5,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',1,1),
(93075,300054,5,100,'Slows target by 44.6%',2,2),
(93076,300054,5,100,'5% chance to dispel when target receives hostile action',2,3),
(93077,300054,5,100,'5% chance to dispel when target takes damage',2,4),
(93078,300054,5,100,'Slows target by 44.6%',1,5),
(93079,300054,5,100,'5% chance to dispel when target receives hostile action',1,6),
(93080,300054,5,100,'5% chance to dispel when target takes damage',1,7),
(93081,300054,5,100,'Interrupts target',0,8),
(93082,300054,5,100,'Inflicts 21 - 26 disease damage on target every 4 seconds',0,9),
(93083,300054,7,100,'Applies Dooming Darkness.  Lasts for 24.0 seconds.',0,0),
(93084,300054,7,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',1,1),
(93085,300054,7,100,'Slows target by 57.3%',2,2),
(93086,300054,7,100,'5% chance to dispel when target receives hostile action',2,3),
(93087,300054,7,100,'5% chance to dispel when target takes damage',2,4),
(93088,300054,7,100,'Slows target by 57.3%',1,5),
(93089,300054,7,100,'5% chance to dispel when target receives hostile action',1,6),
(93090,300054,7,100,'5% chance to dispel when target takes damage',1,7),
(93091,300054,7,100,'Interrupts target',0,8),
(93092,300054,7,100,'Inflicts 27 - 34 disease damage on target every 4 seconds',0,9),
(93093,300054,9,100,'Applies Dooming Darkness.  Lasts for 24.0 seconds.',0,0),
(93094,300054,9,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',1,1),
(93095,300054,9,100,'Slows target by 59.5%',2,2),
(93096,300054,9,100,'5% chance to dispel when target receives hostile action',2,3),
(93097,300054,9,100,'5% chance to dispel when target takes damage',2,4),
(93098,300054,9,100,'Slows target by 59.5%',1,5),
(93099,300054,9,100,'5% chance to dispel when target receives hostile action',1,6),
(93100,300054,9,100,'5% chance to dispel when target takes damage',1,7),
(93101,300054,9,100,'Interrupts target',0,8),
(93102,300054,9,100,'Inflicts 29 - 35 disease damage on target every 4 seconds',0,9),
(93103,300055,1,100,'Applies Dooming Darkness.  Lasts for 24.0 seconds.',0,0),
(93104,300055,1,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',1,1),
(93105,300055,1,100,'Slows target by 36.0%',2,2),
(93106,300055,1,100,'5% chance to dispel when target receives hostile action',2,3),
(93107,300055,1,100,'5% chance to dispel when target takes damage',2,4),
(93108,300055,1,100,'Slows target by 36.0%',1,5),
(93109,300055,1,100,'5% chance to dispel when target receives hostile action',1,6),
(93110,300055,1,100,'5% chance to dispel when target takes damage',1,7),
(93111,300055,1,100,'Interrupts target',0,8),
(93112,300055,1,100,'Inflicts 25 - 30 disease damage on target every 4 seconds',0,9),
(93113,300055,2,100,'Applies Dooming Darkness.  Lasts for 24.0 seconds.',0,0),
(93114,300055,2,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',1,1),
(93115,300055,2,100,'Slows target by 38.0%',2,2),
(93116,300055,2,100,'5% chance to dispel when target receives hostile action',2,3),
(93117,300055,2,100,'5% chance to dispel when target takes damage',2,4),
(93118,300055,2,100,'Slows target by 38.0%',1,5),
(93119,300055,2,100,'5% chance to dispel when target receives hostile action',1,6),
(93120,300055,2,100,'5% chance to dispel when target takes damage',1,7),
(93121,300055,2,100,'Interrupts target',0,8),
(93122,300055,2,100,'Inflicts 26 - 32 disease damage on target every 4 seconds',0,9),
(93123,300055,3,100,'Applies Dooming Darkness.  Lasts for 24.0 seconds.',0,0),
(93124,300055,3,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',1,1),
(93125,300055,3,100,'Slows target by 40.0%',2,2),
(93126,300055,3,100,'5% chance to dispel when target receives hostile action',2,3),
(93127,300055,3,100,'5% chance to dispel when target takes damage',2,4),
(93128,300055,3,100,'Slows target by 40.0%',1,5),
(93129,300055,3,100,'5% chance to dispel when target receives hostile action',1,6),
(93130,300055,3,100,'5% chance to dispel when target takes damage',1,7),
(93131,300055,3,100,'Interrupts target',0,8),
(93132,300055,3,100,'Inflicts 27 - 34 disease damage on target every 4 seconds',0,9),
(93133,300055,4,100,'Applies Dooming Darkness.  Lasts for 24.0 seconds.',0,0),
(93134,300055,4,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',1,1),
(93135,300055,4,100,'Slows target by 44.0%',2,2),
(93136,300055,4,100,'5% chance to dispel when target receives hostile action',2,3),
(93137,300055,4,100,'5% chance to dispel when target takes damage',2,4),
(93138,300055,4,100,'Slows target by 44.0%',1,5),
(93139,300055,4,100,'5% chance to dispel when target receives hostile action',1,6),
(93140,300055,4,100,'5% chance to dispel when target takes damage',1,7),
(93141,300055,4,100,'Interrupts target',0,8),
(93142,300055,4,100,'Inflicts 30 - 37 disease damage on target every 4 seconds',0,9),
(93143,300055,5,100,'Applies Dooming Darkness.  Lasts for 24.0 seconds.',0,0),
(93144,300055,5,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',1,1),
(93145,300055,5,100,'Slows target by 48.0%',2,2),
(93146,300055,5,100,'5% chance to dispel when target receives hostile action',2,3),
(93147,300055,5,100,'5% chance to dispel when target takes damage',2,4),
(93148,300055,5,100,'Slows target by 48.0%',1,5),
(93149,300055,5,100,'5% chance to dispel when target receives hostile action',1,6),
(93150,300055,5,100,'5% chance to dispel when target takes damage',1,7),
(93151,300055,5,100,'Interrupts target',0,8),
(93152,300055,5,100,'Inflicts 33 - 40 disease damage on target every 4 seconds',0,9),
(93153,300055,7,100,'Applies Dooming Darkness.  Lasts for 24.0 seconds.',0,0),
(93154,300055,7,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',1,1),
(93155,300055,7,100,'Slows target by 61.7%',2,2),
(93156,300055,7,100,'5% chance to dispel when target receives hostile action',2,3),
(93157,300055,7,100,'5% chance to dispel when target takes damage',2,4),
(93158,300055,7,100,'Slows target by 61.7%',1,5),
(93159,300055,7,100,'5% chance to dispel when target receives hostile action',1,6),
(93160,300055,7,100,'5% chance to dispel when target takes damage',1,7),
(93161,300055,7,100,'Interrupts target',0,8),
(93162,300055,7,100,'Inflicts 42 - 52 disease damage on target every 4 seconds',0,9),
(93163,300055,9,100,'Applies Dooming Darkness.  Lasts for 24.0 seconds.',0,0),
(93164,300055,9,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',1,1),
(93165,300055,9,100,'Slows target by 64.1%',2,2),
(93166,300055,9,100,'5% chance to dispel when target receives hostile action',2,3),
(93167,300055,9,100,'5% chance to dispel when target takes damage',2,4),
(93168,300055,9,100,'Slows target by 64.1%',1,5),
(93169,300055,9,100,'5% chance to dispel when target receives hostile action',1,6),
(93170,300055,9,100,'5% chance to dispel when target takes damage',1,7),
(93171,300055,9,100,'Interrupts target',0,8),
(93172,300055,9,100,'Inflicts 44 - 54 disease damage on target every 4 seconds',0,9),
(93173,2000415,1,100,'Inflicts 1 cold damage on target instantly and every 1.5 seconds',0,0),
(93174,2000415,1,100,'Stifles target',0,1),
(93175,2000415,1,100,'Epic targets gain an immunity to Stifle effects of 9.0 seconds and duration is reduced to 1.0 second.',0,2),
(93176,2000415,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(93177,2000415,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(93178,260052,1,100,'Summons a limited pet to aid the caster',0,0),
(93179,260052,2,100,'Summons a limited pet to aid the caster',0,0),
(93180,260052,3,100,'Summons a limited pet to aid the caster',0,0),
(93181,260052,4,100,'Summons a limited pet to aid the caster',0,0),
(93182,260052,5,100,'Summons a limited pet to aid the caster',0,0),
(93183,260052,7,100,'Summons a limited pet to aid the caster',0,0),
(93184,260052,9,100,'Summons a limited pet to aid the caster',0,0),
(93185,260053,1,100,'Summons a limited pet to aid the caster',0,0),
(93186,260053,4,100,'Summons a limited pet to aid the caster',0,0),
(93187,260053,5,100,'Summons a limited pet to aid the caster',0,0),
(93188,260053,7,100,'Summons a limited pet to aid the caster',0,0),
(93189,260053,9,100,'Summons a limited pet to aid the caster',0,0),
(93190,260054,1,100,'Summons a limited pet to aid the caster',0,0),
(93191,260054,4,100,'Summons a limited pet to aid the caster',0,0),
(93192,260054,5,100,'Summons a limited pet to aid the caster',0,0),
(93193,260054,7,100,'Summons a limited pet to aid the caster',0,0),
(93194,260054,9,100,'Summons a limited pet to aid the caster',0,0),
(93195,2000416,1,100,'Decreases WIS, AGI, INT, STA and STR of targets in Area of Effect by 3.4 - 5.6',0,0),
(93196,2000417,1,100,'Clears the reuse of most modifiable abilities in the mage''s spellbook.',0,0),
(93197,2000417,1,100,'This effect cannot be cast during combat',0,1),
(93198,2000417,1,100,'Cannot be modified except by direct means',0,2),
(93199,90097,1,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(93200,90097,1,100,'Slows target by 34.2%',1,1),
(93201,90097,1,100,'5% chance to dispel when target receives hostile action',1,2),
(93202,90097,1,100,'5% chance to dispel when target takes damage',1,3),
(93203,90097,1,100,'Inflicts 218 - 363 disease damage on target',0,4),
(93204,90097,2,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(93205,90097,2,100,'Slows target by 36.1%',1,1),
(93206,90097,2,100,'5% chance to dispel when target receives hostile action',1,2),
(93207,90097,2,100,'5% chance to dispel when target takes damage',1,3),
(93208,90097,2,100,'Inflicts 230 - 383 disease damage on target',0,4),
(93209,90097,3,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(93210,90097,3,100,'Slows target by 38.0%',1,1),
(93211,90097,3,100,'5% chance to dispel when target receives hostile action',1,2),
(93212,90097,3,100,'5% chance to dispel when target takes damage',1,3),
(93213,90097,3,100,'Inflicts 242 - 403 disease damage on target',0,4),
(93214,90097,4,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(93215,90097,4,100,'Slows target by 41.8%',1,1),
(93216,90097,4,100,'5% chance to dispel when target receives hostile action',1,2),
(93217,90097,4,100,'5% chance to dispel when target takes damage',1,3),
(93218,90097,4,100,'Inflicts 266 - 443 disease damage on target',0,4),
(93219,90097,5,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(93220,90097,5,100,'Slows target by 45.6%',1,1),
(93221,90097,5,100,'5% chance to dispel when target receives hostile action',1,2),
(93222,90097,5,100,'5% chance to dispel when target takes damage',1,3),
(93223,90097,5,100,'Inflicts 290 - 483 disease damage on target',0,4),
(93224,90097,7,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(93225,90097,7,100,'Slows target by 58.5%',1,1),
(93226,90097,7,100,'5% chance to dispel when target receives hostile action',1,2),
(93227,90097,7,100,'5% chance to dispel when target takes damage',1,3),
(93228,90097,7,100,'Inflicts 372 - 620 disease damage on target',0,4),
(93229,90097,9,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(93230,90097,9,100,'Slows target by 60.8%',1,1),
(93231,90097,9,100,'5% chance to dispel when target receives hostile action',1,2),
(93232,90097,9,100,'5% chance to dispel when target takes damage',1,3),
(93233,90097,9,100,'Inflicts 387 - 645 disease damage on target',0,4),
(93234,90098,1,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(93235,90098,1,100,'Slows target by 36.1%',1,1),
(93236,90098,1,100,'5% chance to dispel when target receives hostile action',1,2),
(93237,90098,1,100,'5% chance to dispel when target takes damage',1,3),
(93238,90098,1,100,'Inflicts 321 - 534 disease damage on target',0,4),
(93239,90098,2,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(93240,90098,2,100,'Slows target by 38.2%',1,1),
(93241,90098,2,100,'5% chance to dispel when target receives hostile action',1,2),
(93242,90098,2,100,'5% chance to dispel when target takes damage',1,3),
(93243,90098,2,100,'Inflicts 338 - 564 disease damage on target',0,4),
(93244,90098,3,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(93245,90098,3,100,'Slows target by 40.2%',1,1),
(93246,90098,3,100,'5% chance to dispel when target receives hostile action',1,2),
(93247,90098,3,100,'5% chance to dispel when target takes damage',1,3),
(93248,90098,3,100,'Inflicts 356 - 594 disease damage on target',0,4),
(93249,90098,4,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(93250,90098,4,100,'Slows target by 44.2%',1,1),
(93251,90098,4,100,'5% chance to dispel when target receives hostile action',1,2),
(93252,90098,4,100,'5% chance to dispel when target takes damage',1,3),
(93253,90098,4,100,'Inflicts 392 - 653 disease damage on target',0,4),
(93254,90098,5,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(93255,90098,5,100,'Slows target by 48.2%',1,1),
(93256,90098,5,100,'5% chance to dispel when target receives hostile action',1,2),
(93257,90098,5,100,'5% chance to dispel when target takes damage',1,3),
(93258,90098,5,100,'Inflicts 427 - 712 disease damage on target',0,4),
(93259,90098,7,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(93260,90098,7,100,'Slows target by 61.8%',1,1),
(93261,90098,7,100,'5% chance to dispel when target receives hostile action',1,2),
(93262,90098,7,100,'5% chance to dispel when target takes damage',1,3),
(93263,90098,7,100,'Inflicts 548 - 914 disease damage on target',0,4),
(93264,90098,9,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(93265,90098,9,100,'Slows target by 64.3%',1,1),
(93266,90098,9,100,'5% chance to dispel when target receives hostile action',1,2),
(93267,90098,9,100,'5% chance to dispel when target takes damage',1,3),
(93268,90098,9,100,'Inflicts 570 - 950 disease damage on target',0,4),
(93269,90099,1,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(93270,90099,1,100,'Slows target by 36.6%',1,1),
(93271,90099,1,100,'5% chance to dispel when target receives hostile action',1,2),
(93272,90099,1,100,'5% chance to dispel when target takes damage',1,3),
(93273,90099,1,100,'Inflicts 423 - 706 disease damage on target',0,4),
(93274,90099,2,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(93275,90099,2,100,'Slows target by 38.7%',1,1),
(93276,90099,2,100,'5% chance to dispel when target receives hostile action',1,2),
(93277,90099,2,100,'5% chance to dispel when target takes damage',1,3),
(93278,90099,2,100,'Inflicts 447 - 745 disease damage on target',0,4),
(93279,90099,3,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(93280,90099,3,100,'Slows target by 40.7%',1,1),
(93281,90099,3,100,'5% chance to dispel when target receives hostile action',1,2),
(93282,90099,3,100,'5% chance to dispel when target takes damage',1,3),
(93283,90099,3,100,'Inflicts 470 - 784 disease damage on target',0,4),
(93284,90099,4,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(93285,90099,4,100,'Slows target by 44.8%',1,1),
(93286,90099,4,100,'5% chance to dispel when target receives hostile action',1,2),
(93287,90099,4,100,'5% chance to dispel when target takes damage',1,3),
(93288,90099,4,100,'Inflicts 517 - 862 disease damage on target',0,4),
(93289,90099,5,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(93290,90099,5,100,'Slows target by 48.9%',1,1),
(93291,90099,5,100,'5% chance to dispel when target receives hostile action',1,2),
(93292,90099,5,100,'5% chance to dispel when target takes damage',1,3),
(93293,90099,5,100,'Inflicts 565 - 941 disease damage on target',0,4),
(93294,90099,7,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(93295,90099,7,100,'Slows target by 62.7%',1,1),
(93296,90099,7,100,'5% chance to dispel when target receives hostile action',1,2),
(93297,90099,7,100,'5% chance to dispel when target takes damage',1,3),
(93298,90099,7,100,'Inflicts 724 - 1207 disease damage on target',0,4),
(93299,90099,9,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(93300,90099,9,100,'Slows target by 65.2%',1,1),
(93301,90099,9,100,'5% chance to dispel when target receives hostile action',1,2),
(93302,90099,9,100,'5% chance to dispel when target takes damage',1,3),
(93303,90099,9,100,'Inflicts 753 - 1255 disease damage on target',0,4),
(93304,90100,1,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(93305,90100,1,100,'Slows target by 37.0%',1,1),
(93306,90100,1,100,'5% chance to dispel when target receives hostile action',1,2),
(93307,90100,1,100,'5% chance to dispel when target takes damage',1,3),
(93308,90100,1,100,'Inflicts 513 - 854 disease damage on target',0,4),
(93309,90100,2,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(93310,90100,2,100,'Slows target by 39.1%',1,1),
(93311,90100,2,100,'5% chance to dispel when target receives hostile action',1,2),
(93312,90100,2,100,'5% chance to dispel when target takes damage',1,3),
(93313,90100,2,100,'Inflicts 541 - 902 disease damage on target',0,4),
(93314,90100,3,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(93315,90100,3,100,'Slows target by 41.1%',1,1),
(93316,90100,3,100,'5% chance to dispel when target receives hostile action',1,2),
(93317,90100,3,100,'5% chance to dispel when target takes damage',1,3),
(93318,90100,3,100,'Inflicts 570 - 949 disease damage on target',0,4),
(93319,90100,4,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(93320,90100,4,100,'Slows target by 45.2%',1,1),
(93321,90100,4,100,'5% chance to dispel when target receives hostile action',1,2),
(93322,90100,4,100,'5% chance to dispel when target takes damage',1,3),
(93323,90100,4,100,'Inflicts 627 - 1044 disease damage on target',0,4),
(93324,90100,5,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(93325,90100,5,100,'Slows target by 49.3%',1,1),
(93326,90100,5,100,'5% chance to dispel when target receives hostile action',1,2),
(93327,90100,5,100,'5% chance to dispel when target takes damage',1,3),
(93328,90100,5,100,'Inflicts 683 - 1139 disease damage on target',0,4),
(93329,90100,7,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(93330,90100,7,100,'Slows target by 63.3%',1,1),
(93331,90100,7,100,'5% chance to dispel when target receives hostile action',1,2),
(93332,90100,7,100,'5% chance to dispel when target takes damage',1,3),
(93333,90100,7,100,'Inflicts 877 - 1462 disease damage on target',0,4),
(93334,90100,9,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(93335,90100,9,100,'Slows target by 65.8%',1,1),
(93336,90100,9,100,'5% chance to dispel when target receives hostile action',1,2),
(93337,90100,9,100,'5% chance to dispel when target takes damage',1,3),
(93338,90100,9,100,'Inflicts 911 - 1519 disease damage on target',0,4),
(93339,90101,1,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(93340,90101,1,100,'Slows target by 37.4%',1,1),
(93341,90101,1,100,'5% chance to dispel when target receives hostile action',1,2),
(93342,90101,1,100,'5% chance to dispel when target takes damage',1,3),
(93343,90101,1,100,'Inflicts 618 - 1029 disease damage on target',0,4),
(93344,90101,4,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(93345,90101,4,100,'Slows target by 45.7%',1,1),
(93346,90101,4,100,'5% chance to dispel when target receives hostile action',1,2),
(93347,90101,4,100,'5% chance to dispel when target takes damage',1,3),
(93348,90101,4,100,'Inflicts 755 - 1258 disease damage on target',0,4),
(93349,90101,5,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(93350,90101,5,100,'Slows target by 49.8%',1,1),
(93351,90101,5,100,'5% chance to dispel when target receives hostile action',1,2),
(93352,90101,5,100,'5% chance to dispel when target takes damage',1,3),
(93353,90101,5,100,'Inflicts 823 - 1372 disease damage on target',0,4),
(93354,90101,7,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(93355,90101,7,100,'Slows target by 63.9%',1,1),
(93356,90101,7,100,'5% chance to dispel when target receives hostile action',1,2),
(93357,90101,7,100,'5% chance to dispel when target takes damage',1,3),
(93358,90101,7,100,'Inflicts 1057 - 1761 disease damage on target',0,4),
(93359,90101,9,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(93360,90101,9,100,'Slows target by 66.4%',1,1),
(93361,90101,9,100,'5% chance to dispel when target receives hostile action',1,2),
(93362,90101,9,100,'5% chance to dispel when target takes damage',1,3),
(93363,90101,9,100,'Inflicts 1098 - 1830 disease damage on target',0,4),
(93364,90102,1,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(93365,90102,1,100,'Slows target by 37.7%',1,1),
(93366,90102,1,100,'5% chance to dispel when target receives hostile action',1,2),
(93367,90102,1,100,'5% chance to dispel when target takes damage',1,3),
(93368,90102,1,100,'Inflicts 670 - 1117 disease damage on target',0,4),
(93369,90102,4,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(93370,90102,4,100,'Slows target by 46.1%',1,1),
(93371,90102,4,100,'5% chance to dispel when target receives hostile action',1,2),
(93372,90102,4,100,'5% chance to dispel when target takes damage',1,3),
(93373,90102,4,100,'Inflicts 819 - 1365 disease damage on target',0,4),
(93374,90102,5,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(93375,90102,5,100,'Slows target by 50.3%',1,1),
(93376,90102,5,100,'5% chance to dispel when target receives hostile action',1,2),
(93377,90102,5,100,'5% chance to dispel when target takes damage',1,3),
(93378,90102,5,100,'Inflicts 894 - 1490 disease damage on target',0,4),
(93379,90102,7,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(93380,90102,7,100,'Slows target by 64.6%',1,1),
(93381,90102,7,100,'5% chance to dispel when target receives hostile action',1,2),
(93382,90102,7,100,'5% chance to dispel when target takes damage',1,3),
(93383,90102,7,100,'Inflicts 1147 - 1912 disease damage on target',0,4),
(93384,90102,9,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(93385,90102,9,100,'Slows target by 67.1%',1,1),
(93386,90102,9,100,'5% chance to dispel when target receives hostile action',1,2),
(93387,90102,9,100,'5% chance to dispel when target takes damage',1,3),
(93388,90102,9,100,'Inflicts 1192 - 1986 disease damage on target',0,4),
(93389,280002,1,100,'Inflicts 33 - 49 magic damage on target',0,0),
(93390,280002,2,100,'Inflicts 35 - 52 magic damage on target',0,0),
(93391,280002,3,100,'Inflicts 36 - 55 magic damage on target',0,0),
(93392,280002,4,100,'Inflicts 40 - 60 magic damage on target',0,0),
(93393,280002,5,100,'Inflicts 44 - 66 magic damage on target',0,0),
(93394,280002,7,100,'Inflicts 56 - 84 magic damage on target',0,0),
(93395,280002,9,100,'Inflicts 58 - 88 magic damage on target',0,0),
(93396,2000418,1,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(93397,2000418,1,100,'Throws target back',1,1),
(93398,2000418,1,100,'Blurs vision of target',1,2),
(93399,2000418,1,100,'Stuns target',1,3),
(93400,2000418,1,100,'Does not affect Epic targets',1,4),
(93401,2000418,1,100,'Inflicts 7072 - 13133 cold damage on targets in Area of Effect',0,5),
(93402,290057,1,100,'Summons a pet earthen avatar',0,0),
(93403,290057,2,100,'Summons a pet earthen avatar',0,0),
(93404,290057,3,100,'Summons a pet earthen avatar',0,0),
(93405,290057,4,100,'Summons a pet earthen avatar',0,0),
(93406,290057,5,100,'Summons a pet earthen avatar',0,0),
(93407,290057,7,100,'Summons a pet earthen avatar',0,0),
(93408,290057,9,100,'Summons a pet earthen avatar',0,0),
(93409,290058,1,100,'Summons a pet earthen avatar',0,0),
(93410,290058,2,100,'Summons a pet earthen avatar',0,0),
(93411,290058,3,100,'Summons a pet earthen avatar',0,0),
(93412,290058,4,100,'Summons a pet earthen avatar',0,0),
(93413,290058,5,100,'Summons a pet earthen avatar',0,0),
(93414,290058,7,100,'Summons a pet earthen avatar',0,0),
(93415,290058,9,100,'Summons a pet earthen avatar',0,0),
(93416,290059,1,100,'Summons a pet earthen avatar',0,0),
(93417,290059,2,100,'Summons a pet earthen avatar',0,0),
(93418,290059,3,100,'Summons a pet earthen avatar',0,0),
(93419,290059,4,100,'Summons a pet earthen avatar',0,0),
(93420,290059,5,100,'Summons a pet earthen avatar',0,0),
(93421,290059,7,100,'Summons a pet earthen avatar',0,0),
(93422,290059,9,100,'Summons a pet earthen avatar',0,0),
(93423,290060,1,100,'Summons a pet earthen avatar',0,0),
(93424,290060,2,100,'Summons a pet earthen avatar',0,0),
(93425,290060,3,100,'Summons a pet earthen avatar',0,0),
(93426,290060,4,100,'Summons a pet earthen avatar',0,0),
(93427,290060,5,100,'Summons a pet earthen avatar',0,0),
(93428,290060,7,100,'Summons a pet earthen avatar',0,0),
(93429,290060,9,100,'Summons a pet earthen avatar',0,0),
(93430,290061,1,100,'Summons a pet earthen avatar',0,0),
(93431,290061,4,100,'Summons a pet earthen avatar',0,0),
(93432,290061,5,100,'Summons a pet earthen avatar',0,0),
(93433,290061,7,100,'Summons a pet earthen avatar',0,0),
(93434,290061,9,100,'Summons a pet earthen avatar',0,0),
(93435,290062,1,100,'Summons a pet earthen avatar',0,0),
(93436,290062,2,100,'Summons a pet earthen avatar',0,0),
(93437,290062,3,100,'Summons a pet earthen avatar',0,0),
(93438,290062,4,100,'Summons a pet earthen avatar',0,0),
(93439,290062,5,100,'Summons a pet earthen avatar',0,0),
(93440,290062,7,100,'Summons a pet earthen avatar',0,0),
(93441,290062,9,100,'Summons a pet earthen avatar',0,0),
(93442,290063,1,100,'Summons a pet earthen avatar',0,0),
(93443,290063,2,100,'Summons a pet earthen avatar',0,0),
(93444,290063,3,100,'Summons a pet earthen avatar',0,0),
(93445,290063,4,100,'Summons a pet earthen avatar',0,0),
(93446,290063,5,100,'Summons a pet earthen avatar',0,0),
(93447,290063,7,100,'Summons a pet earthen avatar',0,0),
(93448,290063,9,100,'Summons a pet earthen avatar',0,0),
(93449,290064,1,100,'Summons a pet earthen avatar',0,0),
(93450,290064,2,100,'Summons a pet earthen avatar',0,0),
(93451,290064,3,100,'Summons a pet earthen avatar',0,0),
(93452,290064,4,100,'Summons a pet earthen avatar',0,0),
(93453,290064,5,100,'Summons a pet earthen avatar',0,0),
(93454,290064,7,100,'Summons a pet earthen avatar',0,0),
(93455,290064,9,100,'Summons a pet earthen avatar',0,0),
(93456,290065,1,100,'Summons a pet earthen avatar',0,0),
(93457,290065,4,100,'Summons a pet earthen avatar',0,0),
(93458,290065,5,100,'Summons a pet earthen avatar',0,0),
(93459,290065,7,100,'Summons a pet earthen avatar',0,0),
(93460,290065,9,100,'Summons a pet earthen avatar',0,0),
(93461,280003,1,100,'Increases Defense of group members'' pets (AE) by 2.0',0,0),
(93462,280003,1,100,'Increases Mitigation of group members (AE) vs all damage by 38',0,1),
(93463,280003,2,100,'Increases Defense of group members'' pets (AE) by 2.1',0,0),
(93464,280003,2,100,'Increases Mitigation of group members (AE) vs all damage by 40',0,1),
(93465,280003,3,100,'Increases Defense of group members'' pets (AE) by 2.2',0,0),
(93466,280003,3,100,'Increases Mitigation of group members (AE) vs all damage by 42',0,1),
(93467,280003,4,100,'Increases Defense of group members'' pets (AE) by 2.5',0,0),
(93468,280003,4,100,'Increases Mitigation of group members (AE) vs all damage by 46',0,1),
(93469,280003,5,100,'Increases Defense of group members'' pets (AE) by 2.7',0,0),
(93470,280003,5,100,'Increases Mitigation of group members (AE) vs all damage by 50',0,1),
(93471,280003,7,100,'Increases Defense of group members'' pets (AE) by 3.5',0,0),
(93472,280003,7,100,'Increases Mitigation of group members (AE) vs all damage by 64',0,1),
(93473,280003,9,100,'Increases Defense of group members'' pets (AE) by 3.6',0,0),
(93474,280003,9,100,'Increases Mitigation of group members (AE) vs all damage by 67',0,1),
(93475,290066,1,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(93476,290066,1,100,'Throws target back',1,1),
(93477,290066,1,100,'Blurs vision of target',1,2),
(93478,290066,1,100,'Stuns target',1,3),
(93479,290066,1,100,'Does not affect Epic targets',1,4),
(93480,290066,1,100,'Interrupts targets in Area of Effect',0,5),
(93481,290066,2,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(93482,290066,2,100,'Throws target back',1,1),
(93483,290066,2,100,'Blurs vision of target',1,2),
(93484,290066,2,100,'Stuns target',1,3),
(93485,290066,2,100,'Does not affect Epic targets',1,4),
(93486,290066,2,100,'Interrupts targets in Area of Effect',0,5),
(93487,290066,3,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(93488,290066,3,100,'Throws target back',1,1),
(93489,290066,3,100,'Blurs vision of target',1,2),
(93490,290066,3,100,'Stuns target',1,3),
(93491,290066,3,100,'Does not affect Epic targets',1,4),
(93492,290066,3,100,'Interrupts targets in Area of Effect',0,5),
(93493,290066,4,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(93494,290066,4,100,'Throws target back',1,1),
(93495,290066,4,100,'Blurs vision of target',1,2),
(93496,290066,4,100,'Stuns target',1,3),
(93497,290066,4,100,'Does not affect Epic targets',1,4),
(93498,290066,4,100,'Interrupts targets in Area of Effect',0,5),
(93499,290066,5,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(93500,290066,5,100,'Throws target back',1,1),
(93501,290066,5,100,'Blurs vision of target',1,2),
(93502,290066,5,100,'Stuns target',1,3),
(93503,290066,5,100,'Does not affect Epic targets',1,4),
(93504,290066,5,100,'Interrupts targets in Area of Effect',0,5),
(93505,290066,7,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(93506,290066,7,100,'Throws target back',1,1),
(93507,290066,7,100,'Blurs vision of target',1,2),
(93508,290066,7,100,'Stuns target',1,3),
(93509,290066,7,100,'Does not affect Epic targets',1,4),
(93510,290066,7,100,'Interrupts targets in Area of Effect',0,5),
(93511,290066,9,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(93512,290066,9,100,'Throws target back',1,1),
(93513,290066,9,100,'Blurs vision of target',1,2),
(93514,290066,9,100,'Stuns target',1,3),
(93515,290066,9,100,'Does not affect Epic targets',1,4),
(93516,290066,9,100,'Interrupts targets in Area of Effect',0,5),
(93517,290067,1,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(93518,290067,1,100,'Throws target back',1,1),
(93519,290067,1,100,'Blurs vision of target',1,2),
(93520,290067,1,100,'Stuns target',1,3),
(93521,290067,1,100,'Does not affect Epic targets',1,4),
(93522,290067,1,100,'Interrupts targets in Area of Effect',0,5),
(93523,290067,2,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(93524,290067,2,100,'Throws target back',1,1),
(93525,290067,2,100,'Blurs vision of target',1,2),
(93526,290067,2,100,'Stuns target',1,3),
(93527,290067,2,100,'Does not affect Epic targets',1,4),
(93528,290067,2,100,'Interrupts targets in Area of Effect',0,5),
(93529,290067,3,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(93530,290067,3,100,'Throws target back',1,1),
(93531,290067,3,100,'Blurs vision of target',1,2),
(93532,290067,3,100,'Stuns target',1,3),
(93533,290067,3,100,'Does not affect Epic targets',1,4),
(93534,290067,3,100,'Interrupts targets in Area of Effect',0,5),
(93535,290067,4,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(93536,290067,4,100,'Throws target back',1,1),
(93537,290067,4,100,'Blurs vision of target',1,2),
(93538,290067,4,100,'Stuns target',1,3),
(93539,290067,4,100,'Does not affect Epic targets',1,4),
(93540,290067,4,100,'Interrupts targets in Area of Effect',0,5),
(93541,290067,5,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(93542,290067,5,100,'Throws target back',1,1),
(93543,290067,5,100,'Blurs vision of target',1,2),
(93544,290067,5,100,'Stuns target',1,3),
(93545,290067,5,100,'Does not affect Epic targets',1,4),
(93546,290067,5,100,'Interrupts targets in Area of Effect',0,5),
(93547,290067,7,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(93548,290067,7,100,'Throws target back',1,1),
(93549,290067,7,100,'Blurs vision of target',1,2),
(93550,290067,7,100,'Stuns target',1,3),
(93551,290067,7,100,'Does not affect Epic targets',1,4),
(93552,290067,7,100,'Interrupts targets in Area of Effect',0,5),
(93553,290067,9,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(93554,290067,9,100,'Throws target back',1,1),
(93555,290067,9,100,'Blurs vision of target',1,2),
(93556,290067,9,100,'Stuns target',1,3),
(93557,290067,9,100,'Does not affect Epic targets',1,4),
(93558,290067,9,100,'Interrupts targets in Area of Effect',0,5),
(93559,290067,10,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(93560,290067,10,100,'Throws target back',1,1),
(93561,290067,10,100,'Blurs vision of target',1,2),
(93562,290067,10,100,'Stuns target',1,3),
(93563,290067,10,100,'Does not affect Epic targets',1,4),
(93564,290067,10,100,'Interrupts targets in Area of Effect',0,5),
(93565,290068,1,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(93566,290068,1,100,'Throws target back',1,1),
(93567,290068,1,100,'Blurs vision of target',1,2),
(93568,290068,1,100,'Stuns target',1,3),
(93569,290068,1,100,'Does not affect Epic targets',1,4),
(93570,290068,1,100,'Interrupts targets in Area of Effect',0,5),
(93571,290068,2,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(93572,290068,2,100,'Throws target back',1,1),
(93573,290068,2,100,'Blurs vision of target',1,2),
(93574,290068,2,100,'Stuns target',1,3),
(93575,290068,2,100,'Does not affect Epic targets',1,4),
(93576,290068,2,100,'Interrupts targets in Area of Effect',0,5),
(93577,290068,3,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(93578,290068,3,100,'Throws target back',1,1),
(93579,290068,3,100,'Blurs vision of target',1,2),
(93580,290068,3,100,'Stuns target',1,3),
(93581,290068,3,100,'Does not affect Epic targets',1,4),
(93582,290068,3,100,'Interrupts targets in Area of Effect',0,5),
(93583,290068,4,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(93584,290068,4,100,'Throws target back',1,1),
(93585,290068,4,100,'Blurs vision of target',1,2),
(93586,290068,4,100,'Stuns target',1,3),
(93587,290068,4,100,'Does not affect Epic targets',1,4),
(93588,290068,4,100,'Interrupts targets in Area of Effect',0,5),
(93589,290068,5,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(93590,290068,5,100,'Throws target back',1,1),
(93591,290068,5,100,'Blurs vision of target',1,2),
(93592,290068,5,100,'Stuns target',1,3),
(93593,290068,5,100,'Does not affect Epic targets',1,4),
(93594,290068,5,100,'Interrupts targets in Area of Effect',0,5),
(93595,290068,7,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(93596,290068,7,100,'Throws target back',1,1),
(93597,290068,7,100,'Blurs vision of target',1,2),
(93598,290068,7,100,'Stuns target',1,3),
(93599,290068,7,100,'Does not affect Epic targets',1,4),
(93600,290068,7,100,'Interrupts targets in Area of Effect',0,5),
(93601,290068,9,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(93602,290068,9,100,'Throws target back',1,1),
(93603,290068,9,100,'Blurs vision of target',1,2),
(93604,290068,9,100,'Stuns target',1,3),
(93605,290068,9,100,'Does not affect Epic targets',1,4),
(93606,290068,9,100,'Interrupts targets in Area of Effect',0,5),
(93607,290069,1,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(93608,290069,1,100,'Throws target back',1,1),
(93609,290069,1,100,'Blurs vision of target',1,2),
(93610,290069,1,100,'Stuns target',1,3),
(93611,290069,1,100,'Does not affect Epic targets',1,4),
(93612,290069,1,100,'Interrupts targets in Area of Effect',0,5),
(93613,290069,2,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(93614,290069,2,100,'Throws target back',1,1),
(93615,290069,2,100,'Blurs vision of target',1,2),
(93616,290069,2,100,'Stuns target',1,3),
(93617,290069,2,100,'Does not affect Epic targets',1,4),
(93618,290069,2,100,'Interrupts targets in Area of Effect',0,5),
(93619,290069,3,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(93620,290069,3,100,'Throws target back',1,1),
(93621,290069,3,100,'Blurs vision of target',1,2),
(93622,290069,3,100,'Stuns target',1,3),
(93623,290069,3,100,'Does not affect Epic targets',1,4),
(93624,290069,3,100,'Interrupts targets in Area of Effect',0,5),
(93625,290069,4,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(93626,290069,4,100,'Throws target back',1,1),
(93627,290069,4,100,'Blurs vision of target',1,2),
(93628,290069,4,100,'Stuns target',1,3),
(93629,290069,4,100,'Does not affect Epic targets',1,4),
(93630,290069,4,100,'Interrupts targets in Area of Effect',0,5),
(93631,290069,5,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(93632,290069,5,100,'Throws target back',1,1),
(93633,290069,5,100,'Blurs vision of target',1,2),
(93634,290069,5,100,'Stuns target',1,3),
(93635,290069,5,100,'Does not affect Epic targets',1,4),
(93636,290069,5,100,'Interrupts targets in Area of Effect',0,5),
(93637,290069,7,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(93638,290069,7,100,'Throws target back',1,1),
(93639,290069,7,100,'Blurs vision of target',1,2),
(93640,290069,7,100,'Stuns target',1,3),
(93641,290069,7,100,'Does not affect Epic targets',1,4),
(93642,290069,7,100,'Interrupts targets in Area of Effect',0,5),
(93643,290069,9,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(93644,290069,9,100,'Throws target back',1,1),
(93645,290069,9,100,'Blurs vision of target',1,2),
(93646,290069,9,100,'Stuns target',1,3),
(93647,290069,9,100,'Does not affect Epic targets',1,4),
(93648,290069,9,100,'Interrupts targets in Area of Effect',0,5),
(93649,290070,1,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(93650,290070,1,100,'Throws target back',1,1),
(93651,290070,1,100,'Blurs vision of target',1,2),
(93652,290070,1,100,'Stuns target',1,3),
(93653,290070,1,100,'Does not affect Epic targets',1,4),
(93654,290070,1,100,'Interrupts targets in Area of Effect',0,5),
(93655,290070,2,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(93656,290070,2,100,'Throws target back',1,1),
(93657,290070,2,100,'Blurs vision of target',1,2),
(93658,290070,2,100,'Stuns target',1,3),
(93659,290070,2,100,'Does not affect Epic targets',1,4),
(93660,290070,2,100,'Interrupts targets in Area of Effect',0,5),
(93661,290070,3,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(93662,290070,3,100,'Throws target back',1,1),
(93663,290070,3,100,'Blurs vision of target',1,2),
(93664,290070,3,100,'Stuns target',1,3),
(93665,290070,3,100,'Does not affect Epic targets',1,4),
(93666,290070,3,100,'Interrupts targets in Area of Effect',0,5),
(93667,290070,4,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(93668,290070,4,100,'Throws target back',1,1),
(93669,290070,4,100,'Blurs vision of target',1,2),
(93670,290070,4,100,'Stuns target',1,3),
(93671,290070,4,100,'Does not affect Epic targets',1,4),
(93672,290070,4,100,'Interrupts targets in Area of Effect',0,5),
(93673,290070,5,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(93674,290070,5,100,'Throws target back',1,1),
(93675,290070,5,100,'Blurs vision of target',1,2),
(93676,290070,5,100,'Stuns target',1,3),
(93677,290070,5,100,'Does not affect Epic targets',1,4),
(93678,290070,5,100,'Interrupts targets in Area of Effect',0,5),
(93679,290070,7,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(93680,290070,7,100,'Throws target back',1,1),
(93681,290070,7,100,'Blurs vision of target',1,2),
(93682,290070,7,100,'Stuns target',1,3),
(93683,290070,7,100,'Does not affect Epic targets',1,4),
(93684,290070,7,100,'Interrupts targets in Area of Effect',0,5),
(93685,290070,9,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(93686,290070,9,100,'Throws target back',1,1),
(93687,290070,9,100,'Blurs vision of target',1,2),
(93688,290070,9,100,'Stuns target',1,3),
(93689,290070,9,100,'Does not affect Epic targets',1,4),
(93690,290070,9,100,'Interrupts targets in Area of Effect',0,5),
(93691,290070,10,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(93692,290070,10,100,'Throws target back',1,1),
(93693,290070,10,100,'Blurs vision of target',1,2),
(93694,290070,10,100,'Stuns target',1,3),
(93695,290070,10,100,'Does not affect Epic targets',1,4),
(93696,290070,10,100,'Interrupts targets in Area of Effect',0,5),
(93697,290071,1,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(93698,290071,1,100,'Throws target back',1,1),
(93699,290071,1,100,'Blurs vision of target',1,2),
(93700,290071,1,100,'Stuns target',1,3),
(93701,290071,1,100,'Does not affect Epic targets',1,4),
(93702,290071,1,100,'Interrupts targets in Area of Effect',0,5),
(93703,290071,4,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(93704,290071,4,100,'Throws target back',1,1),
(93705,290071,4,100,'Blurs vision of target',1,2),
(93706,290071,4,100,'Stuns target',1,3),
(93707,290071,4,100,'Does not affect Epic targets',1,4),
(93708,290071,4,100,'Interrupts targets in Area of Effect',0,5),
(93709,290071,5,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(93710,290071,5,100,'Throws target back',1,1),
(93711,290071,5,100,'Blurs vision of target',1,2),
(93712,290071,5,100,'Stuns target',1,3),
(93713,290071,5,100,'Does not affect Epic targets',1,4),
(93714,290071,5,100,'Interrupts targets in Area of Effect',0,5),
(93715,290071,7,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(93716,290071,7,100,'Throws target back',1,1),
(93717,290071,7,100,'Blurs vision of target',1,2),
(93718,290071,7,100,'Stuns target',1,3),
(93719,290071,7,100,'Does not affect Epic targets',1,4),
(93720,290071,7,100,'Interrupts targets in Area of Effect',0,5),
(93721,290071,9,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(93722,290071,9,100,'Throws target back',1,1),
(93723,290071,9,100,'Blurs vision of target',1,2),
(93724,290071,9,100,'Stuns target',1,3),
(93725,290071,9,100,'Does not affect Epic targets',1,4),
(93726,290071,9,100,'Interrupts targets in Area of Effect',0,5),
(93727,290071,10,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(93728,290071,10,100,'Throws target back',1,1),
(93729,290071,10,100,'Blurs vision of target',1,2),
(93730,290071,10,100,'Stuns target',1,3),
(93731,290071,10,100,'Does not affect Epic targets',1,4),
(93732,290071,10,100,'Interrupts targets in Area of Effect',0,5),
(93733,290072,1,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(93734,290072,1,100,'Throws target back',1,1),
(93735,290072,1,100,'Blurs vision of target',1,2),
(93736,290072,1,100,'Stuns target',1,3),
(93737,290072,1,100,'Does not affect Epic targets',1,4),
(93738,290072,1,100,'Interrupts targets in Area of Effect',0,5),
(93739,290072,4,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(93740,290072,4,100,'Throws target back',1,1),
(93741,290072,4,100,'Blurs vision of target',1,2),
(93742,290072,4,100,'Stuns target',1,3),
(93743,290072,4,100,'Does not affect Epic targets',1,4),
(93744,290072,4,100,'Interrupts targets in Area of Effect',0,5),
(93745,290072,5,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(93746,290072,5,100,'Throws target back',1,1),
(93747,290072,5,100,'Blurs vision of target',1,2),
(93748,290072,5,100,'Stuns target',1,3),
(93749,290072,5,100,'Does not affect Epic targets',1,4),
(93750,290072,5,100,'Interrupts targets in Area of Effect',0,5),
(93751,290072,7,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(93752,290072,7,100,'Throws target back',1,1),
(93753,290072,7,100,'Blurs vision of target',1,2),
(93754,290072,7,100,'Stuns target',1,3),
(93755,290072,7,100,'Does not affect Epic targets',1,4),
(93756,290072,7,100,'Interrupts targets in Area of Effect',0,5),
(93757,290072,9,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(93758,290072,9,100,'Throws target back',1,1),
(93759,290072,9,100,'Blurs vision of target',1,2),
(93760,290072,9,100,'Stuns target',1,3),
(93761,290072,9,100,'Does not affect Epic targets',1,4),
(93762,290072,9,100,'Interrupts targets in Area of Effect',0,5),
(93763,290072,10,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(93764,290072,10,100,'Throws target back',1,1),
(93765,290072,10,100,'Blurs vision of target',1,2),
(93766,290072,10,100,'Stuns target',1,3),
(93767,290072,10,100,'Does not affect Epic targets',1,4),
(93768,290072,10,100,'Interrupts targets in Area of Effect',0,5),
(93769,190043,1,100,'Dispels 42 levels of any hostile effects on group members (AE)',0,0),
(93770,190043,2,100,'Dispels 45 levels of any hostile effects on group members (AE)',0,0),
(93771,190043,3,100,'Dispels 47 levels of any hostile effects on group members (AE)',0,0),
(93772,190043,4,100,'Dispels 52 levels of any hostile effects on group members (AE)',0,0),
(93773,190043,5,100,'Dispels 57 levels of any hostile effects on group members (AE)',0,0),
(93774,190043,7,100,'Dispels 73 levels of any hostile effects on group members (AE)',0,0),
(93775,190043,9,100,'Dispels 76 levels of any hostile effects on group members (AE)',0,0),
(93776,190044,1,100,'Dispels 56 levels of any hostile effects on group members (AE)',0,0),
(93777,190044,2,100,'Dispels 59 levels of any hostile effects on group members (AE)',0,0),
(93778,190044,3,100,'Dispels 62 levels of any hostile effects on group members (AE)',0,0),
(93779,190044,4,100,'Dispels 69 levels of any hostile effects on group members (AE)',0,0),
(93780,190044,5,100,'Dispels 75 levels of any hostile effects on group members (AE)',0,0),
(93781,190044,7,100,'Dispels 96 levels of any hostile effects on group members (AE)',0,0),
(93782,190044,9,100,'Dispels 100 levels of any hostile effects on group members (AE)',0,0),
(93783,190045,1,100,'Dispels 70 levels of any hostile effects on group members (AE)',0,0),
(93784,190045,2,100,'Dispels 74 levels of any hostile effects on group members (AE)',0,0),
(93785,190045,3,100,'Dispels 78 levels of any hostile effects on group members (AE)',0,0),
(93786,190045,4,100,'Dispels 85 levels of any hostile effects on group members (AE)',0,0),
(93787,190045,5,100,'Dispels 93 levels of any hostile effects on group members (AE)',0,0),
(93788,190045,7,100,'Dispels 120 levels of any hostile effects on group members (AE)',0,0),
(93789,190045,9,100,'Dispels 124 levels of any hostile effects on group members (AE)',0,0),
(93790,190046,1,100,'Increases all damage done to target encounter by 1.35%',0,0),
(93791,190046,1,100,'Interrupts target encounter',0,1),
(93792,190046,1,100,'Decreases Mitigation of target encounter vs elemental and noxious damage by 234',0,2),
(93793,190046,2,100,'Increases all damage done to target encounter by 1.42%',0,0),
(93794,190046,2,100,'Interrupts target encounter',0,1),
(93795,190046,2,100,'Decreases Mitigation of target encounter vs elemental and noxious damage by 247',0,2),
(93796,190046,3,100,'Increases all damage done to target encounter by 1.5%',0,0),
(93797,190046,3,100,'Interrupts target encounter',0,1),
(93798,190046,3,100,'Decreases Mitigation of target encounter vs elemental and noxious damage by 260',0,2),
(93799,190046,4,100,'Increases all damage done to target encounter by 1.65%',0,0),
(93800,190046,4,100,'Interrupts target encounter',0,1),
(93801,190046,4,100,'Decreases Mitigation of target encounter vs elemental and noxious damage by 286',0,2),
(93802,190046,5,100,'Increases all damage done to target encounter by 1.8%',0,0),
(93803,190046,5,100,'Interrupts target encounter',0,1),
(93804,190046,5,100,'Decreases Mitigation of target encounter vs elemental and noxious damage by 312',0,2),
(93805,190046,7,100,'Increases all damage done to target encounter by 2.31%',0,0),
(93806,190046,7,100,'Interrupts target encounter',0,1),
(93807,190046,7,100,'Decreases Mitigation of target encounter vs elemental and noxious damage by 400',0,2),
(93808,190046,9,100,'Increases all damage done to target encounter by 2.4%',0,0),
(93809,190046,9,100,'Interrupts target encounter',0,1),
(93810,190046,9,100,'Decreases Mitigation of target encounter vs elemental and noxious damage by 416',0,2),
(93811,190047,1,100,'Increases all damage done to target encounter by 1.35%',0,0),
(93812,190047,1,100,'Interrupts target encounter',0,1),
(93813,190047,1,100,'Decreases Mitigation of target encounter vs elemental and noxious damage by 360',0,2),
(93814,190047,2,100,'Increases all damage done to target encounter by 1.42%',0,0),
(93815,190047,2,100,'Interrupts target encounter',0,1),
(93816,190047,2,100,'Decreases Mitigation of target encounter vs elemental and noxious damage by 380',0,2),
(93817,190047,3,100,'Increases all damage done to target encounter by 1.5%',0,0),
(93818,190047,3,100,'Interrupts target encounter',0,1),
(93819,190047,3,100,'Decreases Mitigation of target encounter vs elemental and noxious damage by 400',0,2),
(93820,190047,4,100,'Increases all damage done to target encounter by 1.65%',0,0),
(93821,190047,4,100,'Interrupts target encounter',0,1),
(93822,190047,4,100,'Decreases Mitigation of target encounter vs elemental and noxious damage by 440',0,2),
(93823,190047,5,100,'Increases all damage done to target encounter by 1.8%',0,0),
(93824,190047,5,100,'Interrupts target encounter',0,1),
(93825,190047,5,100,'Decreases Mitigation of target encounter vs elemental and noxious damage by 480',0,2),
(93826,190047,7,100,'Increases all damage done to target encounter by 2.31%',0,0),
(93827,190047,7,100,'Interrupts target encounter',0,1),
(93828,190047,7,100,'Decreases Mitigation of target encounter vs elemental and noxious damage by 616',0,2),
(93829,190047,9,100,'Increases all damage done to target encounter by 2.4%',0,0),
(93830,190047,9,100,'Interrupts target encounter',0,1),
(93831,190047,9,100,'Decreases Mitigation of target encounter vs elemental and noxious damage by 640',0,2),
(93832,190048,1,100,'Increases all damage done to target encounter by 1.35%',0,0),
(93833,190048,1,100,'Interrupts target encounter',0,1),
(93834,190048,1,100,'Decreases Mitigation of target encounter vs elemental and noxious damage by 486',0,2),
(93835,190048,2,100,'Increases all damage done to target encounter by 1.42%',0,0),
(93836,190048,2,100,'Interrupts target encounter',0,1),
(93837,190048,2,100,'Decreases Mitigation of target encounter vs elemental and noxious damage by 513',0,2),
(93838,190048,3,100,'Increases all damage done to target encounter by 1.5%',0,0),
(93839,190048,3,100,'Interrupts target encounter',0,1),
(93840,190048,3,100,'Decreases Mitigation of target encounter vs elemental and noxious damage by 540',0,2),
(93841,190048,4,100,'Increases all damage done to target encounter by 1.65%',0,0),
(93842,190048,4,100,'Interrupts target encounter',0,1),
(93843,190048,4,100,'Decreases Mitigation of target encounter vs elemental and noxious damage by 594',0,2),
(93844,190048,5,100,'Increases all damage done to target encounter by 1.8%',0,0),
(93845,190048,5,100,'Interrupts target encounter',0,1),
(93846,190048,5,100,'Decreases Mitigation of target encounter vs elemental and noxious damage by 648',0,2),
(93847,190048,7,100,'Increases all damage done to target encounter by 2.31%',0,0),
(93848,190048,7,100,'Interrupts target encounter',0,1),
(93849,190048,7,100,'Decreases Mitigation of target encounter vs elemental and noxious damage by 832',0,2),
(93850,190048,9,100,'Increases all damage done to target encounter by 2.4%',0,0),
(93851,190048,9,100,'Interrupts target encounter',0,1),
(93852,190048,9,100,'Decreases Mitigation of target encounter vs elemental and noxious damage by 864',0,2),
(93853,190049,1,100,'Increases all damage done to target encounter by 1.35%',0,0),
(93854,190049,1,100,'Interrupts target encounter',0,1),
(93855,190049,1,100,'Decreases Mitigation of target encounter vs elemental and noxious damage by 612',0,2),
(93856,190049,2,100,'Increases all damage done to target encounter by 1.42%',0,0),
(93857,190049,2,100,'Interrupts target encounter',0,1),
(93858,190049,2,100,'Decreases Mitigation of target encounter vs elemental and noxious damage by 646',0,2),
(93859,190049,3,100,'Increases all damage done to target encounter by 1.5%',0,0),
(93860,190049,3,100,'Interrupts target encounter',0,1),
(93861,190049,3,100,'Decreases Mitigation of target encounter vs elemental and noxious damage by 680',0,2),
(93862,190049,4,100,'Increases all damage done to target encounter by 1.65%',0,0),
(93863,190049,4,100,'Interrupts target encounter',0,1),
(93864,190049,4,100,'Decreases Mitigation of target encounter vs elemental and noxious damage by 748',0,2),
(93865,190049,5,100,'Increases all damage done to target encounter by 1.8%',0,0),
(93866,190049,5,100,'Interrupts target encounter',0,1),
(93867,190049,5,100,'Decreases Mitigation of target encounter vs elemental and noxious damage by 816',0,2),
(93868,190049,7,100,'Increases all damage done to target encounter by 2.31%',0,0),
(93869,190049,7,100,'Interrupts target encounter',0,1),
(93870,190049,7,100,'Decreases Mitigation of target encounter vs elemental and noxious damage by 1047',0,2),
(93871,190049,9,100,'Increases all damage done to target encounter by 2.4%',0,0),
(93872,190049,9,100,'Interrupts target encounter',0,1),
(93873,190049,9,100,'Decreases Mitigation of target encounter vs elemental and noxious damage by 1088',0,2),
(93874,190050,1,100,'Increases all damage done to target encounter by 1.35%',0,0),
(93875,190050,1,100,'Interrupts target encounter',0,1),
(93876,190050,1,100,'Decreases Mitigation of target encounter vs elemental and noxious damage by 802',0,2),
(93877,190050,2,100,'Increases all damage done to target encounter by 1.42%',0,0),
(93878,190050,2,100,'Interrupts target encounter',0,1),
(93879,190050,2,100,'Decreases Mitigation of target encounter vs elemental and noxious damage by 847',0,2),
(93880,190050,3,100,'Increases all damage done to target encounter by 1.5%',0,0),
(93881,190050,3,100,'Interrupts target encounter',0,1),
(93882,190050,3,100,'Decreases Mitigation of target encounter vs elemental and noxious damage by 892',0,2),
(93883,190050,4,100,'Increases all damage done to target encounter by 1.65%',0,0),
(93884,190050,4,100,'Interrupts target encounter',0,1),
(93885,190050,4,100,'Decreases Mitigation of target encounter vs elemental and noxious damage by 981',0,2),
(93886,190050,5,100,'Increases all damage done to target encounter by 1.8%',0,0),
(93887,190050,5,100,'Interrupts target encounter',0,1),
(93888,190050,5,100,'Decreases Mitigation of target encounter vs elemental and noxious damage by 1070',0,2),
(93889,190050,7,100,'Increases all damage done to target encounter by 2.31%',0,0),
(93890,190050,7,100,'Interrupts target encounter',0,1),
(93891,190050,7,100,'Decreases Mitigation of target encounter vs elemental and noxious damage by 1373',0,2),
(93892,190050,9,100,'Increases all damage done to target encounter by 2.4%',0,0),
(93893,190050,9,100,'Interrupts target encounter',0,1),
(93894,190050,9,100,'Decreases Mitigation of target encounter vs elemental and noxious damage by 1427',0,2),
(93895,190051,1,100,'Increases all damage done to target encounter by 1.35%',0,0),
(93896,190051,1,100,'Interrupts target encounter',0,1),
(93897,190051,1,100,'Decreases Mitigation of target encounter vs elemental and noxious damage by 961',0,2),
(93898,190051,4,100,'Increases all damage done to target encounter by 1.65%',0,0),
(93899,190051,4,100,'Interrupts target encounter',0,1),
(93900,190051,4,100,'Decreases Mitigation of target encounter vs elemental and noxious damage by 1175',0,2),
(93901,190051,5,100,'Increases all damage done to target encounter by 1.8%',0,0),
(93902,190051,5,100,'Interrupts target encounter',0,1),
(93903,190051,5,100,'Decreases Mitigation of target encounter vs elemental and noxious damage by 1282',0,2),
(93904,190051,7,100,'Increases all damage done to target encounter by 2.31%',0,0),
(93905,190051,7,100,'Interrupts target encounter',0,1),
(93906,190051,7,100,'Decreases Mitigation of target encounter vs elemental and noxious damage by 1645',0,2),
(93907,190051,9,100,'Increases all damage done to target encounter by 2.4%',0,0),
(93908,190051,9,100,'Interrupts target encounter',0,1),
(93909,190051,9,100,'Decreases Mitigation of target encounter vs elemental and noxious damage by 1709',0,2),
(93910,190052,1,100,'Increases all damage done to target encounter by 1.35%',0,0),
(93911,190052,1,100,'Interrupts target encounter',0,1),
(93912,190052,1,100,'Decreases Mitigation of target encounter vs elemental and noxious damage by 1069',0,2),
(93913,190052,4,100,'Increases all damage done to target encounter by 1.65%',0,0),
(93914,190052,4,100,'Interrupts target encounter',0,1),
(93915,190052,4,100,'Decreases Mitigation of target encounter vs elemental and noxious damage by 1307',0,2),
(93916,190052,5,100,'Increases all damage done to target encounter by 1.8%',0,0),
(93917,190052,5,100,'Interrupts target encounter',0,1),
(93918,190052,5,100,'Decreases Mitigation of target encounter vs elemental and noxious damage by 1426',0,2),
(93919,190052,7,100,'Increases all damage done to target encounter by 2.31%',0,0),
(93920,190052,7,100,'Interrupts target encounter',0,1),
(93921,190052,7,100,'Decreases Mitigation of target encounter vs elemental and noxious damage by 1830',0,2),
(93922,190052,9,100,'Increases all damage done to target encounter by 2.4%',0,0),
(93923,190052,9,100,'Interrupts target encounter',0,1),
(93924,190052,9,100,'Decreases Mitigation of target encounter vs elemental and noxious damage by 1901',0,2),
(93925,2000419,1,100,'Applies Resonation.  Lasts for 30.0 seconds.',0,0),
(93926,2000419,1,100,'On any combat or spell hit this spell will cast Resonation on target of attack.  ',1,1),
(93927,2000419,1,100,'Inflicts 9 - 18 disease damage on target',2,2),
(93928,2000419,1,100,'Heals group members (AE) for 1',2,3),
(93929,2000419,1,100,'Inflicts 1 - 3 disease damage on targets in Area of Effect',0,4),
(93930,2000419,2,100,'Applies Resonation.  Lasts for 30.0 seconds.',0,0),
(93931,2000419,2,100,'On any combat or spell hit this spell will cast Resonation on target of attack.  ',1,1),
(93932,2000419,2,100,'Inflicts 646 - 1200 disease damage on target',2,2),
(93933,2000419,2,100,'Heals group members (AE) for 53 - 98',2,3),
(93934,2000419,2,100,'Inflicts 1 - 3 disease damage on targets in Area of Effect',0,4),
(93935,2000419,3,100,'Applies Resonation.  Lasts for 30.0 seconds.',0,0),
(93936,2000419,3,100,'On any combat or spell hit this spell will cast Resonation on target of attack.  ',1,1),
(93937,2000419,3,100,'Inflicts 485 - 901 disease damage on target',2,2),
(93938,2000419,3,100,'Heals group members (AE) for 53 - 98',2,3),
(93939,2000419,3,100,'Inflicts 1 - 3 disease damage on targets in Area of Effect',0,4),
(93940,2000420,1,100,'Stuns target',0,0),
(93941,2000420,1,100,'Dispelled when target takes damage',0,1),
(93942,2000420,1,100,'Epic targets gain an immunity to Stun effects of 22.5 seconds and duration is reduced to 2.5 seconds.',0,2),
(93943,2000420,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(93944,150003,1,100,'Heals target for 102 - 125',0,0),
(93945,150003,1,100,'Heals target for 13 - 16 every second',0,1),
(93946,150003,2,100,'Heals target for 108 - 132',0,0),
(93947,150003,2,100,'Heals target for 14 - 17 every second',0,1),
(93948,150003,3,100,'Heals target for 113 - 139',0,0),
(93949,150003,3,100,'Heals target for 15 - 18 every second',0,1),
(93950,150003,4,100,'Heals target for 125 - 152',0,0),
(93951,150003,4,100,'Heals target for 16 - 20 every second',0,1),
(93952,150003,5,100,'Heals target for 136 - 166',0,0),
(93953,150003,5,100,'Heals target for 17 - 21 every second',0,1),
(93954,150003,7,100,'Heals target for 175 - 213',0,0),
(93955,150003,7,100,'Heals target for 22 - 27 every second',0,1),
(93956,150003,9,100,'Heals target for 181 - 222',0,0),
(93957,150003,9,100,'Heals target for 23 - 29 every second',0,1),
(93958,270051,1,100,'Inflicts 37 - 45 mental damage on target encounter',0,0),
(93959,270051,1,100,'Dazes target encounter',0,1),
(93960,270051,1,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',0,2),
(93961,270051,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(93962,250008,1,100,'Inflicts 42 - 51 mental damage on target',0,0),
(93963,250008,1,100,'Roots target',0,1),
(93964,250008,1,100,'5% chance to dispel when target takes damage',0,2),
(93965,250008,1,100,'5% chance to dispel when target receives hostile action',0,3),
(93966,250008,1,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,4),
(93967,250008,1,100,'Resistibility increases against targets higher than level 29.',0,5),
(93968,270051,2,100,'Inflicts 39 - 48 mental damage on target encounter',0,0),
(93969,270051,2,100,'Dazes target encounter',0,1),
(93970,270051,2,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',0,2),
(93971,270051,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(93972,250008,2,100,'Inflicts 44 - 54 mental damage on target',0,0),
(93973,250008,2,100,'Roots target',0,1),
(93974,250008,2,100,'5% chance to dispel when target takes damage',0,2),
(93975,250008,2,100,'5% chance to dispel when target receives hostile action',0,3),
(93976,250008,2,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,4),
(93977,250008,2,100,'Resistibility increases against targets higher than level 29.',0,5),
(93978,270051,3,100,'Inflicts 41 - 50 mental damage on target encounter',0,0),
(93979,270051,3,100,'Dazes target encounter',0,1),
(93980,270051,3,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',0,2),
(93981,270051,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(93982,250008,3,100,'Inflicts 46 - 56 mental damage on target',0,0),
(93983,250008,3,100,'Roots target',0,1),
(93984,250008,3,100,'5% chance to dispel when target takes damage',0,2),
(93985,250008,3,100,'5% chance to dispel when target receives hostile action',0,3),
(93986,250008,3,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,4),
(93987,250008,3,100,'Resistibility increases against targets higher than level 29.',0,5),
(93988,270051,4,100,'Inflicts 45 - 55 mental damage on target encounter',0,0),
(93989,270051,4,100,'Dazes target encounter',0,1),
(93990,270051,4,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',0,2),
(93991,270051,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(93992,250008,4,100,'Inflicts 51 - 62 mental damage on target',0,0),
(93993,250008,4,100,'Roots target',0,1),
(93994,250008,4,100,'5% chance to dispel when target takes damage',0,2),
(93995,250008,4,100,'5% chance to dispel when target receives hostile action',0,3),
(93996,250008,4,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,4),
(93997,250008,4,100,'Resistibility increases against targets higher than level 29.',0,5),
(93998,250008,5,100,'Inflicts 55 - 68 mental damage on target',0,0),
(93999,250008,5,100,'Roots target',0,1),
(94000,250008,5,100,'5% chance to dispel when target takes damage',0,2),
(94001,250008,5,100,'5% chance to dispel when target receives hostile action',0,3),
(94002,250008,5,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,4),
(94003,250008,5,100,'Resistibility increases against targets higher than level 29.',0,5),
(94004,270051,5,100,'Inflicts 49 - 60 mental damage on target encounter',0,0),
(94005,270051,5,100,'Dazes target encounter',0,1),
(94006,270051,5,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',0,2),
(94007,270051,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(94008,250008,7,100,'Inflicts 71 - 87 mental damage on target',0,0),
(94009,250008,7,100,'Roots target',0,1),
(94010,250008,7,100,'5% chance to dispel when target takes damage',0,2),
(94011,250008,7,100,'5% chance to dispel when target receives hostile action',0,3),
(94012,250008,7,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,4),
(94013,250008,7,100,'Resistibility increases against targets higher than level 29.',0,5),
(94014,270051,7,100,'Inflicts 63 - 77 mental damage on target encounter',0,0),
(94015,270051,7,100,'Dazes target encounter',0,1),
(94016,270051,7,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',0,2),
(94017,270051,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(94018,270051,9,100,'Inflicts 66 - 80 mental damage on target encounter',0,0),
(94019,270051,9,100,'Dazes target encounter',0,1),
(94020,270051,9,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',0,2),
(94021,270051,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(94022,250008,9,100,'Inflicts 74 - 90 mental damage on target',0,0),
(94023,250008,9,100,'Roots target',0,1),
(94024,250008,9,100,'5% chance to dispel when target takes damage',0,2),
(94025,250008,9,100,'5% chance to dispel when target receives hostile action',0,3),
(94026,250008,9,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,4),
(94027,250008,9,100,'Resistibility increases against targets higher than level 29.',0,5),
(94028,270051,10,100,'Inflicts 69 - 84 mental damage on target encounter',0,0),
(94029,270051,10,100,'Dazes target encounter',0,1),
(94030,270051,10,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',0,2),
(94031,270051,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(94032,270052,1,100,'Inflicts 86 - 105 mental damage on target encounter',0,0),
(94033,270052,1,100,'Dazes target encounter',0,1),
(94034,270052,1,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',0,2),
(94035,270052,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(94036,270052,2,100,'Inflicts 90 - 110 mental damage on target encounter',0,0),
(94037,270052,2,100,'Dazes target encounter',0,1),
(94038,270052,2,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',0,2),
(94039,270052,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(94040,270052,3,100,'Inflicts 95 - 116 mental damage on target encounter',0,0),
(94041,270052,3,100,'Dazes target encounter',0,1),
(94042,270052,3,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',0,2),
(94043,270052,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(94044,270052,4,100,'Inflicts 105 - 128 mental damage on target encounter',0,0),
(94045,270052,4,100,'Dazes target encounter',0,1),
(94046,270052,4,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',0,2),
(94047,270052,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(94048,270052,5,100,'Inflicts 114 - 140 mental damage on target encounter',0,0),
(94049,270052,5,100,'Dazes target encounter',0,1),
(94050,270052,5,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',0,2),
(94051,270052,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(94052,270052,7,100,'Inflicts 147 - 179 mental damage on target encounter',0,0),
(94053,270052,7,100,'Dazes target encounter',0,1),
(94054,270052,7,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',0,2),
(94055,270052,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(94056,270052,9,100,'Inflicts 152 - 186 mental damage on target encounter',0,0),
(94057,270052,9,100,'Dazes target encounter',0,1),
(94058,270052,9,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',0,2),
(94059,270052,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(94060,270053,1,100,'Inflicts 140 - 171 mental damage on target encounter',0,0),
(94061,270053,1,100,'Dazes target encounter',0,1),
(94062,270053,1,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',0,2),
(94063,270053,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(94064,270053,2,100,'Inflicts 148 - 181 mental damage on target encounter',0,0),
(94065,270053,2,100,'Dazes target encounter',0,1),
(94066,270053,2,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',0,2),
(94067,270053,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(94068,270053,3,100,'Inflicts 156 - 190 mental damage on target encounter',0,0),
(94069,270053,3,100,'Dazes target encounter',0,1),
(94070,270053,3,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',0,2),
(94071,270053,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(94072,270053,4,100,'Inflicts 171 - 209 mental damage on target encounter',0,0),
(94073,270053,4,100,'Dazes target encounter',0,1),
(94074,270053,4,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',0,2),
(94075,270053,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(94076,270053,5,100,'Inflicts 187 - 228 mental damage on target encounter',0,0),
(94077,270053,5,100,'Dazes target encounter',0,1),
(94078,270053,5,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',0,2),
(94079,270053,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(94080,270053,7,100,'Inflicts 240 - 293 mental damage on target encounter',0,0),
(94081,270053,7,100,'Dazes target encounter',0,1),
(94082,270053,7,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',0,2),
(94083,270053,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(94084,270053,9,100,'Inflicts 249 - 304 mental damage on target encounter',0,0),
(94085,270053,9,100,'Dazes target encounter',0,1),
(94086,270053,9,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',0,2),
(94087,270053,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(94088,270054,1,100,'Inflicts 207 - 253 mental damage on target encounter',0,0),
(94089,270054,1,100,'Dazes target encounter',0,1),
(94090,270054,1,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',0,2),
(94091,270054,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(94092,270054,2,100,'Inflicts 219 - 267 mental damage on target encounter',0,0),
(94093,270054,2,100,'Dazes target encounter',0,1),
(94094,270054,2,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',0,2),
(94095,270054,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(94096,270054,3,100,'Inflicts 230 - 282 mental damage on target encounter',0,0),
(94097,270054,3,100,'Dazes target encounter',0,1),
(94098,270054,3,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',0,2),
(94099,270054,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(94100,270054,4,100,'Inflicts 253 - 310 mental damage on target encounter',0,0),
(94101,270054,4,100,'Dazes target encounter',0,1),
(94102,270054,4,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',0,2),
(94103,270054,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(94104,270054,5,100,'Inflicts 276 - 338 mental damage on target encounter',0,0),
(94105,270054,5,100,'Dazes target encounter',0,1),
(94106,270054,5,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',0,2),
(94107,270054,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(94108,270054,7,100,'Inflicts 355 - 434 mental damage on target encounter',0,0),
(94109,270054,7,100,'Dazes target encounter',0,1),
(94110,270054,7,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',0,2),
(94111,270054,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(94112,270054,9,100,'Inflicts 369 - 451 mental damage on target encounter',0,0),
(94113,270054,9,100,'Dazes target encounter',0,1),
(94114,270054,9,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',0,2),
(94115,270054,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(94116,270055,1,100,'Inflicts 275 - 337 mental damage on target encounter',0,0),
(94117,270055,1,100,'Dazes target encounter',0,1),
(94118,270055,1,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',0,2),
(94119,270055,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(94120,270055,2,100,'Inflicts 291 - 355 mental damage on target encounter',0,0),
(94121,270055,2,100,'Dazes target encounter',0,1),
(94122,270055,2,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',0,2),
(94123,270055,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(94124,270055,3,100,'Inflicts 306 - 374 mental damage on target encounter',0,0),
(94125,270055,3,100,'Dazes target encounter',0,1),
(94126,270055,3,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',0,2),
(94127,270055,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(94128,270055,4,100,'Inflicts 337 - 411 mental damage on target encounter',0,0),
(94129,270055,4,100,'Dazes target encounter',0,1),
(94130,270055,4,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',0,2),
(94131,270055,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(94132,270055,5,100,'Inflicts 367 - 449 mental damage on target encounter',0,0),
(94133,270055,5,100,'Dazes target encounter',0,1),
(94134,270055,5,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',0,2),
(94135,270055,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(94136,270055,7,100,'Inflicts 471 - 576 mental damage on target encounter',0,0),
(94137,270055,7,100,'Dazes target encounter',0,1),
(94138,270055,7,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',0,2),
(94139,270055,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(94140,270055,9,100,'Inflicts 490 - 599 mental damage on target encounter',0,0),
(94141,270055,9,100,'Dazes target encounter',0,1),
(94142,270055,9,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',0,2),
(94143,270055,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(94144,270056,1,100,'Inflicts 339 - 415 mental damage on target encounter',0,0),
(94145,270056,1,100,'Dazes target encounter',0,1),
(94146,270056,1,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',0,2),
(94147,270056,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(94148,270056,2,100,'Inflicts 358 - 438 mental damage on target encounter',0,0),
(94149,270056,2,100,'Dazes target encounter',0,1),
(94150,270056,2,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',0,2),
(94151,270056,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(94152,270056,3,100,'Inflicts 377 - 461 mental damage on target encounter',0,0),
(94153,270056,3,100,'Dazes target encounter',0,1),
(94154,270056,3,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',0,2),
(94155,270056,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(94156,270056,4,100,'Inflicts 415 - 507 mental damage on target encounter',0,0),
(94157,270056,4,100,'Dazes target encounter',0,1),
(94158,270056,4,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',0,2),
(94159,270056,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(94160,270056,5,100,'Inflicts 453 - 553 mental damage on target encounter',0,0),
(94161,270056,5,100,'Dazes target encounter',0,1),
(94162,270056,5,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',0,2),
(94163,270056,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(94164,270056,7,100,'Inflicts 581 - 710 mental damage on target encounter',0,0),
(94165,270056,7,100,'Dazes target encounter',0,1),
(94166,270056,7,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',0,2),
(94167,270056,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(94168,270056,9,100,'Inflicts 603 - 737 mental damage on target encounter',0,0),
(94169,270056,9,100,'Dazes target encounter',0,1),
(94170,270056,9,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',0,2),
(94171,270056,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(94172,270057,1,100,'Inflicts 409 - 500 mental damage on target encounter',0,0),
(94173,270057,1,100,'Dazes target encounter',0,1),
(94174,270057,1,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',0,2),
(94175,270057,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(94176,270057,4,100,'Inflicts 500 - 611 mental damage on target encounter',0,0),
(94177,270057,4,100,'Dazes target encounter',0,1),
(94178,270057,4,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',0,2),
(94179,270057,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(94180,270057,5,100,'Inflicts 545 - 666 mental damage on target encounter',0,0),
(94181,270057,5,100,'Dazes target encounter',0,1),
(94182,270057,5,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',0,2),
(94183,270057,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(94184,270057,7,100,'Inflicts 700 - 855 mental damage on target encounter',0,0),
(94185,270057,7,100,'Dazes target encounter',0,1),
(94186,270057,7,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',0,2),
(94187,270057,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(94188,270057,9,100,'Inflicts 727 - 888 mental damage on target encounter',0,0),
(94189,270057,9,100,'Dazes target encounter',0,1),
(94190,270057,9,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',0,2),
(94191,270057,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(94192,270058,1,100,'Inflicts 444 - 542 mental damage on target encounter',0,0),
(94193,270058,1,100,'Dazes target encounter',0,1),
(94194,270058,1,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',0,2),
(94195,270058,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(94196,270058,4,100,'Inflicts 542 - 663 mental damage on target encounter',0,0),
(94197,270058,4,100,'Dazes target encounter',0,1),
(94198,270058,4,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',0,2),
(94199,270058,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(94200,270058,5,100,'Inflicts 592 - 723 mental damage on target encounter',0,0),
(94201,270058,5,100,'Dazes target encounter',0,1),
(94202,270058,5,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',0,2),
(94203,270058,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(94204,270058,7,100,'Inflicts 759 - 928 mental damage on target encounter',0,0),
(94205,270058,7,100,'Dazes target encounter',0,1),
(94206,270058,7,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',0,2),
(94207,270058,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(94208,270058,9,100,'Inflicts 789 - 964 mental damage on target encounter',0,0),
(94209,270058,9,100,'Dazes target encounter',0,1),
(94210,270058,9,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',0,2),
(94211,270058,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(94212,180004,3,100,'Wards target against 195 points of all damage',0,0),
(94213,2000421,1,100,'Inflicts 1 - 2 magic damage on targets in Area of Effect',0,0),
(94214,2000421,1,100,'Stuns targets in Area of Effect',0,1),
(94215,2000421,1,100,'Resistibility increases against targets higher than level 29.',0,2),
(94216,370077,1,100,'Applies Elegy on termination.',0,0),
(94217,370077,1,100,'Heals target for 25.0% of max health',1,1),
(94218,370077,1,100,'This effect cannot be critically applied.',2,2),
(94219,370077,1,100,'Increases power of target by 25.0%',1,3),
(94220,370077,1,100,'This effect cannot be critically applied.',2,4),
(94221,370077,1,100,'Applies Revived Sickness on termination.  Lasts for 2 minutes.',0,5),
(94222,370077,1,100,'Decreases Haste of target by 20.0',1,6),
(94223,370077,1,100,'If not between levels 1 - 6',2,7),
(94224,370077,1,100,'Decreases All Attributes of target by 20.0%',1,8),
(94225,370077,1,100,'If not between levels 1 - 6',2,9),
(94226,370077,1,100,'Decreases Haste of target by 5.0',1,10),
(94227,370077,1,100,'If between levels 1 - 6',2,11),
(94228,370077,1,100,'Decreases All Attributes of target by 5.0%',1,12),
(94229,370077,1,100,'If between levels 1 - 6',2,13),
(94230,370077,1,100,'Resurrects target with 10% health and power',0,14),
(94231,370078,1,100,'Applies Elegy on termination.',0,0),
(94232,370078,1,100,'Heals target for 25.0% of max health',1,1),
(94233,370078,1,100,'This effect cannot be critically applied.',2,2),
(94234,370078,1,100,'Applies Revived Sickness on termination.  Lasts for 2 minutes.',0,3),
(94235,370078,1,100,'Decreases All Attributes of target by 20.0%',1,4),
(94236,370078,1,100,'If not between levels 1 - 6',2,5),
(94237,370078,1,100,'Decreases Haste of target by 20.0',1,6),
(94238,370078,1,100,'If not between levels 1 - 6',2,7),
(94239,370078,1,100,'Decreases All Attributes of target by 5.0%',1,8),
(94240,370078,1,100,'If between levels 1 - 6',2,9),
(94241,370078,1,100,'Decreases Haste of target by 5.0',1,10),
(94242,370078,1,100,'If between levels 1 - 6',2,11),
(94243,370078,1,100,'Resurrects target with 10% health and power',0,12),
(94244,370078,1,100,'If outside an arena',0,13),
(94245,370078,1,100,'If outside an arena',0,14),
(94246,370078,2,100,'Applies Elegy on termination.',0,0),
(94247,370078,2,100,'Heals target for 25.0% of max health',1,1),
(94248,370078,2,100,'This effect cannot be critically applied.',2,2),
(94249,370078,2,100,'Applies Revived Sickness on termination.  Lasts for 2 minutes.',0,3),
(94250,370078,2,100,'Decreases Haste of target by 20.0',1,4),
(94251,370078,2,100,'If not between levels 1 - 6',2,5),
(94252,370078,2,100,'Decreases All Attributes of target by 20.0%',1,6),
(94253,370078,2,100,'If not between levels 1 - 6',2,7),
(94254,370078,2,100,'Decreases Haste of target by 5.0',1,8),
(94255,370078,2,100,'If between levels 1 - 6',2,9),
(94256,370078,2,100,'Decreases All Attributes of target by 5.0%',1,10),
(94257,370078,2,100,'If between levels 1 - 6',2,11),
(94258,370078,2,100,'Resurrects target with 10% health and power',0,12),
(94259,370078,2,100,'If outside an arena',0,13),
(94260,370078,2,100,'If outside an arena',0,14),
(94261,290073,1,100,'Increases Max Power of group members (AE) by 20.8',0,0),
(94262,290073,1,100,'Increases Mitigation of group members (AE) vs elemental damage by 79',0,1),
(94263,290073,2,100,'Increases Max Power of group members (AE) by 21.9',0,0),
(94264,290073,2,100,'Increases Mitigation of group members (AE) vs elemental damage by 83',0,1),
(94265,290073,3,100,'Increases Max Power of group members (AE) by 23.1',0,0),
(94266,290073,3,100,'Increases Mitigation of group members (AE) vs elemental damage by 87',0,1),
(94267,290073,4,100,'Increases Max Power of group members (AE) by 25.4',0,0),
(94268,290073,4,100,'Increases Mitigation of group members (AE) vs elemental damage by 96',0,1),
(94269,290073,5,100,'Increases Max Power of group members (AE) by 27.7',0,0),
(94270,290073,5,100,'Increases Mitigation of group members (AE) vs elemental damage by 105',0,1),
(94271,290073,7,100,'Increases Max Power of group members (AE) by 35.6',0,0),
(94272,290073,7,100,'Increases Mitigation of group members (AE) vs elemental damage by 135',0,1),
(94273,290073,9,100,'Increases Max Power of group members (AE) by 37.0',0,0),
(94274,290073,9,100,'Increases Mitigation of group members (AE) vs elemental damage by 140',0,1),
(94275,290074,1,100,'Increases Max Power of group members (AE) by 64.8',0,0),
(94276,290074,1,100,'Increases Mitigation of group members (AE) vs elemental damage by 151',0,1),
(94277,290074,2,100,'Increases Max Power of group members (AE) by 68.4',0,0),
(94278,290074,2,100,'Increases Mitigation of group members (AE) vs elemental damage by 160',0,1),
(94279,290074,3,100,'Increases Max Power of group members (AE) by 72.0',0,0),
(94280,290074,3,100,'Increases Mitigation of group members (AE) vs elemental damage by 168',0,1),
(94281,290074,4,100,'Increases Max Power of group members (AE) by 79.2',0,0),
(94282,290074,4,100,'Increases Mitigation of group members (AE) vs elemental damage by 185',0,1),
(94283,290074,5,100,'Increases Max Power of group members (AE) by 86.4',0,0),
(94284,290074,5,100,'Increases Mitigation of group members (AE) vs elemental damage by 202',0,1),
(94285,290074,7,100,'Increases Max Power of group members (AE) by 110.9',0,0),
(94286,290074,7,100,'Increases Mitigation of group members (AE) vs elemental damage by 259',0,1),
(94287,290074,9,100,'Increases Max Power of group members (AE) by 115.2',0,0),
(94288,290074,9,100,'Increases Mitigation of group members (AE) vs elemental damage by 269',0,1),
(94289,290075,1,100,'Increases Max Power of group members (AE) by 148.5',0,0),
(94290,290075,1,100,'Increases Mitigation of group members (AE) vs elemental damage by 252',0,1),
(94291,290075,2,100,'Increases Max Power of group members (AE) by 156.8',0,0),
(94292,290075,2,100,'Increases Mitigation of group members (AE) vs elemental damage by 266',0,1),
(94293,290075,3,100,'Increases Max Power of group members (AE) by 165.0',0,0),
(94294,290075,3,100,'Increases Mitigation of group members (AE) vs elemental damage by 280',0,1),
(94295,290075,4,100,'Increases Max Power of group members (AE) by 181.5',0,0),
(94296,290075,4,100,'Increases Mitigation of group members (AE) vs elemental damage by 308',0,1),
(94297,290075,5,100,'Increases Max Power of group members (AE) by 198.0',0,0),
(94298,290075,5,100,'Increases Mitigation of group members (AE) vs elemental damage by 336',0,1),
(94299,290075,7,100,'Increases Max Power of group members (AE) by 254.1',0,0),
(94300,290075,7,100,'Increases Mitigation of group members (AE) vs elemental damage by 431',0,1),
(94301,290075,9,100,'Increases Max Power of group members (AE) by 264.0',0,0),
(94302,290075,9,100,'Increases Mitigation of group members (AE) vs elemental damage by 448',0,1),
(94303,290076,1,100,'Increases Max Power of group members (AE) by 227.3',0,0),
(94304,290076,1,100,'Increases Mitigation of group members (AE) vs elemental damage by 353',0,1),
(94305,290076,2,100,'Increases Max Power of group members (AE) by 240.0',0,0),
(94306,290076,2,100,'Increases Mitigation of group members (AE) vs elemental damage by 372',0,1),
(94307,290076,3,100,'Increases Max Power of group members (AE) by 252.6',0,0),
(94308,290076,3,100,'Increases Mitigation of group members (AE) vs elemental damage by 392',0,1),
(94309,290076,4,100,'Increases Max Power of group members (AE) by 277.9',0,0),
(94310,290076,4,100,'Increases Mitigation of group members (AE) vs elemental damage by 431',0,1),
(94311,290076,5,100,'Increases Max Power of group members (AE) by 303.1',0,0),
(94312,290076,5,100,'Increases Mitigation of group members (AE) vs elemental damage by 470',0,1),
(94313,290076,7,100,'Increases Max Power of group members (AE) by 389.0',0,0),
(94314,290076,7,100,'Increases Mitigation of group members (AE) vs elemental damage by 604',0,1),
(94315,290076,9,100,'Increases Max Power of group members (AE) by 404.2',0,0),
(94316,290076,9,100,'Increases Mitigation of group members (AE) vs elemental damage by 627',0,1),
(94317,290077,1,100,'Increases Max Power of group members (AE) by 293.7',0,0),
(94318,290077,1,100,'Increases Mitigation of group members (AE) vs elemental damage by 454',0,1),
(94319,290077,2,100,'Increases Max Power of group members (AE) by 310.0',0,0),
(94320,290077,2,100,'Increases Mitigation of group members (AE) vs elemental damage by 479',0,1),
(94321,290077,3,100,'Increases Max Power of group members (AE) by 326.3',0,0),
(94322,290077,3,100,'Increases Mitigation of group members (AE) vs elemental damage by 504',0,1),
(94323,290077,4,100,'Increases Max Power of group members (AE) by 359.0',0,0),
(94324,290077,4,100,'Increases Mitigation of group members (AE) vs elemental damage by 554',0,1),
(94325,290077,5,100,'Increases Max Power of group members (AE) by 391.6',0,0),
(94326,290077,5,100,'Increases Mitigation of group members (AE) vs elemental damage by 605',0,1),
(94327,290077,7,100,'Increases Max Power of group members (AE) by 502.6',0,0),
(94328,290077,7,100,'Increases Mitigation of group members (AE) vs elemental damage by 776',0,1),
(94329,290077,9,100,'Increases Max Power of group members (AE) by 522.1',0,0),
(94330,290077,9,100,'Increases Mitigation of group members (AE) vs elemental damage by 806',0,1),
(94331,290078,1,100,'Increases Max Power of group members (AE) by 349.6',0,0),
(94332,290078,1,100,'Increases Mitigation of group members (AE) vs elemental damage by 567',0,1),
(94333,290078,2,100,'Increases Max Power of group members (AE) by 369.1',0,0),
(94334,290078,2,100,'Increases Mitigation of group members (AE) vs elemental damage by 599',0,1),
(94335,290078,3,100,'Increases Max Power of group members (AE) by 388.5',0,0),
(94336,290078,3,100,'Increases Mitigation of group members (AE) vs elemental damage by 630',0,1),
(94337,290078,4,100,'Increases Max Power of group members (AE) by 427.4',0,0),
(94338,290078,4,100,'Increases Mitigation of group members (AE) vs elemental damage by 693',0,1),
(94339,290078,5,100,'Increases Max Power of group members (AE) by 466.2',0,0),
(94340,290078,5,100,'Increases Mitigation of group members (AE) vs elemental damage by 756',0,1),
(94341,290078,7,100,'Increases Max Power of group members (AE) by 598.3',0,0),
(94342,290078,7,100,'Increases Mitigation of group members (AE) vs elemental damage by 970',0,1),
(94343,290078,9,100,'Increases Max Power of group members (AE) by 621.6',0,0),
(94344,290078,9,100,'Increases Mitigation of group members (AE) vs elemental damage by 1008',0,1),
(94345,290078,10,100,'Increases Max Power of group members (AE) by 652.7',0,0),
(94346,290078,10,100,'Increases Mitigation of group members (AE) vs elemental damage by 1058',0,1),
(94347,290079,1,100,'Increases Max Power of group members (AE) by 396.3',0,0),
(94348,290079,1,100,'Increases Mitigation of group members (AE) vs elemental damage by 658',0,1),
(94349,290079,4,100,'Increases Max Power of group members (AE) by 484.3',0,0),
(94350,290079,4,100,'Increases Mitigation of group members (AE) vs elemental damage by 804',0,1),
(94351,290079,5,100,'Increases Max Power of group members (AE) by 528.4',0,0),
(94352,290079,5,100,'Increases Mitigation of group members (AE) vs elemental damage by 877',0,1),
(94353,290079,7,100,'Increases Max Power of group members (AE) by 678.1',0,0),
(94354,290079,7,100,'Increases Mitigation of group members (AE) vs elemental damage by 1126',0,1),
(94355,290079,9,100,'Increases Max Power of group members (AE) by 704.5',0,0),
(94356,290079,9,100,'Increases Mitigation of group members (AE) vs elemental damage by 1170',0,1),
(94357,290080,1,100,'Increases Max Power of group members (AE) by 442.9',0,0),
(94358,290080,1,100,'Increases Mitigation of group members (AE) vs elemental damage by 752',0,1),
(94359,290080,4,100,'Increases Max Power of group members (AE) by 541.3',0,0),
(94360,290080,4,100,'Increases Mitigation of group members (AE) vs elemental damage by 920',0,1),
(94361,290080,5,100,'Increases Max Power of group members (AE) by 590.5',0,0),
(94362,290080,5,100,'Increases Mitigation of group members (AE) vs elemental damage by 1003',0,1),
(94363,290080,7,100,'Increases Max Power of group members (AE) by 757.8',0,0),
(94364,290080,7,100,'Increases Mitigation of group members (AE) vs elemental damage by 1287',0,1),
(94365,290080,9,100,'Increases Max Power of group members (AE) by 787.4',0,0),
(94366,290080,9,100,'Increases Mitigation of group members (AE) vs elemental damage by 1338',0,1),
(94367,2000422,1,100,'Summons an Elemental Barrier. Any friendly target within the barrier will take 10% less magical damage and is immune to most roots and snares.',0,0),
(94368,2000423,1,100,'Applies Elemental Blast.',0,0),
(94369,2000423,1,100,'Inflicts 3241 - 3962 heat damage on target',1,1),
(94370,2000423,1,100,'Inflicts 3241 - 3962 heat damage on target',1,2),
(94371,2000423,1,100,'Inflicts 3241 - 3962 heat damage on target',1,3),
(94372,2000423,1,100,'Inflicts 3241 - 3962 heat damage on target',1,4),
(94373,2000423,1,100,'Inflicts 3241 - 3962 heat damage on target',1,5),
(94374,2000423,1,100,'Inflicts 3241 - 3962 heat damage on target',1,6),
(94375,2000423,1,100,'Inflicts 3241 - 3962 heat damage on target',1,7),
(94376,2000423,1,100,'Inflicts 3241 - 3962 heat damage on target',1,8),
(94377,2000423,1,100,'Inflicts 3241 - 3962 heat damage on target',1,9),
(94378,2000423,1,100,'Inflicts 3241 - 3962 heat damage on target',1,10),
(94379,2000423,1,100,'Must be engaged in combat',0,11),
(94380,360105,1,100,'Applies Orchestrated Symphony.',0,0),
(94381,360105,2,100,'Applies Orchestrated Symphony.',0,0),
(94382,360105,3,100,'Applies Orchestrated Symphony.',0,0),
(94383,360105,4,100,'Applies Orchestrated Symphony.',0,0),
(94384,360105,5,100,'Applies Orchestrated Symphony.',0,0),
(94385,360105,7,100,'Applies Orchestrated Symphony.',0,0),
(94386,360105,9,100,'Applies Orchestrated Symphony.',0,0),
(94387,360106,1,100,'Applies Orchestrated Symphony.',0,0),
(94388,360106,2,100,'Applies Orchestrated Symphony.',0,0),
(94389,360106,3,100,'Applies Orchestrated Symphony.',0,0),
(94390,360106,4,100,'Applies Orchestrated Symphony.',0,0),
(94391,360106,5,100,'Applies Orchestrated Symphony.',0,0),
(94392,360106,7,100,'Applies Orchestrated Symphony.',0,0),
(94393,360106,9,100,'Applies Orchestrated Symphony.',0,0),
(94394,360107,1,100,'Applies Orchestrated Symphony.',0,0),
(94395,360107,2,100,'Applies Orchestrated Symphony.',0,0),
(94396,360107,3,100,'Applies Orchestrated Symphony.',0,0),
(94397,360107,4,100,'Applies Orchestrated Symphony.',0,0),
(94398,360107,5,100,'Applies Orchestrated Symphony.',0,0),
(94399,360107,7,100,'Applies Orchestrated Symphony.',0,0),
(94400,360107,9,100,'Applies Orchestrated Symphony.',0,0),
(94401,360108,1,100,'Applies Orchestrated Symphony.',0,0),
(94402,360108,4,100,'Applies Orchestrated Symphony.',0,0),
(94403,360108,5,100,'Applies Orchestrated Symphony.',0,0),
(94404,360108,7,100,'Applies Orchestrated Symphony.',0,0),
(94405,360108,9,100,'Applies Orchestrated Symphony.',0,0),
(94406,360109,1,100,'Applies Orchestrated Symphony.',0,0),
(94407,360109,4,100,'Applies Orchestrated Symphony.',0,0),
(94408,360109,5,100,'Applies Orchestrated Symphony.',0,0),
(94409,360109,7,100,'Applies Orchestrated Symphony.',0,0),
(94410,360109,9,100,'Applies Orchestrated Symphony.',0,0),
(94411,290081,12,100,'Increases the base damage of hostile spells by 10%',0,0),
(94412,290081,12,100,'On a hostile spell cast this spell has a 12% chance to cast Inferno on target of spell.  Lasts for 12.0 seconds.  ',0,1),
(94413,290081,12,100,'Applies Inferno.  Lasts for 12.0 seconds.',1,2),
(94414,290081,12,100,'Prevents AOE (except when direct) ',2,3),
(94415,290081,12,100,'Increases Crit Chance of pet by 20.0',2,4),
(94416,290081,12,100,'Inflicts 592 - 888 heat damage on target',1,5),
(94417,290081,12,100,'Inflicts 194 - 292 heat damage on target every 3 seconds',1,6),
(94418,290081,12,100,'Cannot be modified except by direct means',1,7),
(94419,290081,12,100,'Improves the damage of the Conjuror''s pet.',0,8),
(94420,290081,12,100,'Cannot be modified except by direct means',0,9),
(94421,2000424,1,100,'Decreases Threat to targets in Area of Effect by 80 ',0,0),
(94422,2000424,1,100,'Inflicts 707 - 864 heat damage on targets in Area of Effect',0,1),
(94423,2000424,1,100,'Inflicts 370 - 453 heat damage on targets in Area of Effect every 3 seconds',0,2),
(94424,2000424,1,100,'Inflicts 707 - 864 disease damage on targets in Area of Effect',0,3),
(94425,2000424,1,100,'Inflicts 370 - 453 disease damage on targets in Area of Effect every 3 seconds',0,4),
(94426,2000424,1,100,'Decreases Potency of targets in Area of Effect by 3.0%',0,5),
(94427,2000424,1,100,'Inflicts 2 disease damage on target encounter',1,6),
(94428,2000424,1,100,'Inflicts 2 heat damage on target encounter',1,7),
(94429,2000424,1,100,'Decreases Threat to target encounter by 35 ',1,8),
(94430,2000424,1,100,'If not fighter',2,9),
(94431,2000424,2,100,'Decreases Threat to targets in Area of Effect by 160 ',0,0),
(94432,2000424,2,100,'Inflicts 865 - 1057 heat damage on targets in Area of Effect',0,1),
(94433,2000424,2,100,'Inflicts 509 - 623 heat damage on targets in Area of Effect every 3 seconds',0,2),
(94434,2000424,2,100,'Inflicts 865 - 1057 disease damage on targets in Area of Effect',0,3),
(94435,2000424,2,100,'Inflicts 509 - 623 disease damage on targets in Area of Effect every 3 seconds',0,4),
(94436,2000424,2,100,'Decreases Potency of targets in Area of Effect by 4.0%',0,5),
(94437,2000424,2,100,'Inflicts 3 - 4 disease damage on target encounter',1,6),
(94438,2000424,2,100,'Inflicts 3 - 4 heat damage on target encounter',1,7),
(94439,2000424,2,100,'Decreases Threat to target encounter by 70 ',1,8),
(94440,2000424,2,100,'If not fighter',2,9),
(94441,290082,1,100,'On a spell cast this spell will cast Elemental Vestment on target.  Lasts for 15.0 seconds.  ',0,0),
(94442,290082,2,100,'On a spell cast this spell will cast Elemental Vestment on target.  Lasts for 15.0 seconds.  ',0,0),
(94443,290082,3,100,'On a spell cast this spell will cast Elemental Vestment on target.  Lasts for 15.0 seconds.  ',0,0),
(94444,290082,4,100,'On a spell cast this spell will cast Elemental Vestment on target.  Lasts for 15.0 seconds.  ',0,0),
(94445,290082,5,100,'On a spell cast this spell will cast Elemental Vestment on target.  Lasts for 15.0 seconds.  ',0,0),
(94446,290082,7,100,'On a spell cast this spell will cast Elemental Vestment on target.  Lasts for 15.0 seconds.  ',0,0),
(94447,290082,9,100,'On a spell cast this spell will cast Elemental Vestment on target.  Lasts for 15.0 seconds.  ',0,0),
(94448,290083,1,100,'On a spell cast this spell will cast Elemental Vestment on target.  Lasts for 15.0 seconds.  ',0,0),
(94449,290083,2,100,'On a spell cast this spell will cast Elemental Vestment on target.  Lasts for 15.0 seconds.  ',0,0),
(94450,290083,3,100,'On a spell cast this spell will cast Elemental Vestment on target.  Lasts for 15.0 seconds.  ',0,0),
(94451,290083,4,100,'On a spell cast this spell will cast Elemental Vestment on target.  Lasts for 15.0 seconds.  ',0,0),
(94452,290083,5,100,'On a spell cast this spell will cast Elemental Vestment on target.  Lasts for 15.0 seconds.  ',0,0),
(94453,290083,7,100,'On a spell cast this spell will cast Elemental Vestment on target.  Lasts for 15.0 seconds.  ',0,0),
(94454,290083,9,100,'On a spell cast this spell will cast Elemental Vestment on target.  Lasts for 15.0 seconds.  ',0,0),
(94455,290084,1,100,'On a spell cast this spell will cast Elemental Vestment on target.  Lasts for 15.0 seconds.  ',0,0),
(94456,290084,4,100,'On a spell cast this spell will cast Elemental Vestment on target.  Lasts for 15.0 seconds.  ',0,0),
(94457,290084,5,100,'On a spell cast this spell will cast Elemental Vestment on target.  Lasts for 15.0 seconds.  ',0,0),
(94458,290084,7,100,'On a spell cast this spell will cast Elemental Vestment on target.  Lasts for 15.0 seconds.  ',0,0),
(94459,290084,9,100,'On a spell cast this spell will cast Elemental Vestment on target.  Lasts for 15.0 seconds.  ',0,0),
(94460,290085,1,100,'On a spell cast this spell will cast Elemental Vestment on target.  Lasts for 15.0 seconds.  ',0,0),
(94461,290085,4,100,'On a spell cast this spell will cast Elemental Vestment on target.  Lasts for 15.0 seconds.  ',0,0),
(94462,290085,5,100,'On a spell cast this spell will cast Elemental Vestment on target.  Lasts for 15.0 seconds.  ',0,0),
(94463,290085,7,100,'On a spell cast this spell will cast Elemental Vestment on target.  Lasts for 15.0 seconds.  ',0,0),
(94464,290085,9,100,'On a spell cast this spell will cast Elemental Vestment on target.  Lasts for 15.0 seconds.  ',0,0),
(94465,100162,1,100,'Applies Resurrect on termination.',0,0),
(94466,100162,1,100,'Heals target for 100.0% of max health',1,1),
(94467,100162,1,100,'This effect cannot be critically applied.',2,2),
(94468,100162,1,100,'Applies Revived Sickness on termination.  Lasts for 2 minutes.',0,3),
(94469,100162,1,100,'Decreases All Attributes of target by 20.0%',1,4),
(94470,100162,1,100,'If not between levels 1 - 6',2,5),
(94471,100162,1,100,'Decreases Haste of target by 20.0',1,6),
(94472,100162,1,100,'If not between levels 1 - 6',2,7),
(94473,100162,1,100,'Decreases All Attributes of target by 5.0%',1,8),
(94474,100162,1,100,'If between levels 1 - 6',2,9),
(94475,100162,1,100,'Decreases Haste of target by 5.0',1,10),
(94476,100162,1,100,'If between levels 1 - 6',2,11),
(94477,100162,1,100,'Resurrects target with 13% health and power',0,12),
(94478,100162,1,100,'If outside an arena',0,13),
(94479,100162,1,100,'If between levels 1 - 6',2,14),
(94480,100162,1,100,'If outside an arena',0,15),
(94481,2000425,1,100,'Improves heal amount by 0.8%.',0,0),
(94482,2000425,2,100,'Improves heal amount by 1.6%.',0,0),
(94483,2000425,3,100,'Improves heal amount by 2.4%.',0,0),
(94484,2000425,4,100,'Improves heal amount by 3.2%.',0,0),
(94485,2000425,5,100,'Improves heal amount by 4%.',0,0),
(94486,2000425,6,100,'Improves heal amount by 4.8%.',0,0),
(94487,2000425,7,100,'Improves heal amount by 5.6%.',0,0),
(94488,2000425,8,100,'Improves heal amount by 6.4%.',0,0),
(94489,2000425,9,100,'Improves heal amount by 7.2%.',0,0),
(94490,2000425,10,100,'Improves heal amount by 8%.',0,0),
(94491,2000426,1,100,'Decreases Hate Gain of group members (AE) by 0.8%',0,0),
(94492,2000426,1,100,'If not fighter',1,1),
(94493,2000426,2,100,'Decreases Hate Gain of group members (AE) by 1.6%',0,0),
(94494,2000426,2,100,'If not fighter',1,1),
(94495,2000426,3,100,'Decreases Hate Gain of group members (AE) by 2.4%',0,0),
(94496,2000426,3,100,'If not fighter',1,1),
(94497,2000426,4,100,'Decreases Hate Gain of group members (AE) by 3.2%',0,0),
(94498,2000426,4,100,'If not fighter',1,1),
(94499,2000426,5,100,'Decreases Hate Gain of group members (AE) by 4.0%',0,0),
(94500,2000426,5,100,'If not fighter',1,1),
(94501,2000426,6,100,'Decreases Hate Gain of group members (AE) by 4.8%',0,0),
(94502,2000426,6,100,'If not fighter',1,1),
(94503,2000426,7,100,'Decreases Hate Gain of group members (AE) by 5.6%',0,0),
(94504,2000426,7,100,'If not fighter',1,1),
(94505,2000426,8,100,'Decreases Hate Gain of group members (AE) by 6.4%',0,0),
(94506,2000426,8,100,'If not fighter',1,1),
(94507,2000426,9,100,'Decreases Hate Gain of group members (AE) by 7.2%',0,0),
(94508,2000426,9,100,'If not fighter',1,1),
(94509,2000426,10,100,'Decreases Hate Gain of group members (AE) by 8.0%',0,0),
(94510,2000426,10,100,'If not fighter',1,1),
(94511,240121,1,100,'Inflicts 111 - 185 cold damage on target',0,0),
(94512,240121,1,100,'Stuns target',0,1),
(94513,240121,1,100,'If Target is not Epic',1,2),
(94514,240121,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(94515,240121,2,100,'Inflicts 117 - 195 cold damage on target',0,0),
(94516,240121,2,100,'Stuns target',0,1),
(94517,240121,2,100,'If Target is not Epic',1,2),
(94518,240121,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(94519,240121,3,100,'Inflicts 123 - 205 cold damage on target',0,0),
(94520,240121,3,100,'Stuns target',0,1),
(94521,240121,3,100,'If Target is not Epic',1,2),
(94522,240121,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(94523,240121,4,100,'Inflicts 135 - 226 cold damage on target',0,0),
(94524,240121,4,100,'Stuns target',0,1),
(94525,240121,4,100,'If Target is not Epic',1,2),
(94526,240121,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(94527,240121,5,100,'Inflicts 148 - 246 cold damage on target',0,0),
(94528,240121,5,100,'Stuns target',0,1),
(94529,240121,5,100,'If Target is not Epic',1,2),
(94530,240121,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(94531,240121,7,100,'Inflicts 190 - 316 cold damage on target',0,0),
(94532,240121,7,100,'Stuns target',0,1),
(94533,240121,7,100,'If Target is not Epic',1,2),
(94534,240121,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(94535,240121,9,100,'Inflicts 197 - 328 cold damage on target',0,0),
(94536,240121,9,100,'Stuns target',0,1),
(94537,240121,9,100,'If Target is not Epic',1,2),
(94538,240121,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(94539,240122,1,100,'Inflicts 219 - 365 cold damage on target',0,0),
(94540,240122,1,100,'Stuns target',0,1),
(94541,240122,1,100,'If Target is not Epic',1,2),
(94542,240122,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(94543,240122,2,100,'Inflicts 231 - 385 cold damage on target',0,0),
(94544,240122,2,100,'Stuns target',0,1),
(94545,240122,2,100,'If Target is not Epic',1,2),
(94546,240122,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(94547,240122,3,100,'Inflicts 243 - 405 cold damage on target',0,0),
(94548,240122,3,100,'Stuns target',0,1),
(94549,240122,3,100,'If Target is not Epic',1,2),
(94550,240122,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(94551,240122,4,100,'Inflicts 268 - 446 cold damage on target',0,0),
(94552,240122,4,100,'Stuns target',0,1),
(94553,240122,4,100,'If Target is not Epic',1,2),
(94554,240122,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(94555,240122,5,100,'Inflicts 292 - 487 cold damage on target',0,0),
(94556,240122,5,100,'Stuns target',0,1),
(94557,240122,5,100,'If Target is not Epic',1,2),
(94558,240122,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(94559,240122,7,100,'Inflicts 375 - 624 cold damage on target',0,0),
(94560,240122,7,100,'Stuns target',0,1),
(94561,240122,7,100,'If Target is not Epic',1,2),
(94562,240122,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(94563,240122,9,100,'Inflicts 389 - 649 cold damage on target',0,0),
(94564,240122,9,100,'Stuns target',0,1),
(94565,240122,9,100,'If Target is not Epic',1,2),
(94566,240122,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(94567,240123,1,100,'Inflicts 341 - 568 cold damage on target',0,0),
(94568,240123,1,100,'Stuns target',0,1),
(94569,240123,1,100,'If Target is not Epic',1,2),
(94570,240123,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(94571,240123,2,100,'Inflicts 360 - 599 cold damage on target',0,0),
(94572,240123,2,100,'Stuns target',0,1),
(94573,240123,2,100,'If Target is not Epic',1,2),
(94574,240123,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(94575,240123,3,100,'Inflicts 378 - 631 cold damage on target',0,0),
(94576,240123,3,100,'Stuns target',0,1),
(94577,240123,3,100,'If Target is not Epic',1,2),
(94578,240123,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(94579,240123,4,100,'Inflicts 416 - 694 cold damage on target',0,0),
(94580,240123,4,100,'Stuns target',0,1),
(94581,240123,4,100,'If Target is not Epic',1,2),
(94582,240123,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(94583,240123,5,100,'Inflicts 454 - 757 cold damage on target',0,0),
(94584,240123,5,100,'Stuns target',0,1),
(94585,240123,5,100,'If Target is not Epic',1,2),
(94586,240123,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(94587,240123,7,100,'Inflicts 583 - 971 cold damage on target',0,0),
(94588,240123,7,100,'Stuns target',0,1),
(94589,240123,7,100,'If Target is not Epic',1,2),
(94590,240123,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(94591,240123,9,100,'Inflicts 606 - 1009 cold damage on target',0,0),
(94592,240123,9,100,'Stuns target',0,1),
(94593,240123,9,100,'If Target is not Epic',1,2),
(94594,240123,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(94595,240124,1,100,'Inflicts 483 - 804 cold damage on target',0,0),
(94596,240124,1,100,'Stuns target',0,1),
(94597,240124,1,100,'If Target is not Epic',1,2),
(94598,240124,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(94599,240124,2,100,'Inflicts 509 - 849 cold damage on target',0,0),
(94600,240124,2,100,'Stuns target',0,1),
(94601,240124,2,100,'If Target is not Epic',1,2),
(94602,240124,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(94603,240124,3,100,'Inflicts 536 - 894 cold damage on target',0,0),
(94604,240124,3,100,'Stuns target',0,1),
(94605,240124,3,100,'If Target is not Epic',1,2),
(94606,240124,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(94607,240124,4,100,'Inflicts 590 - 983 cold damage on target',0,0),
(94608,240124,4,100,'Stuns target',0,1),
(94609,240124,4,100,'If Target is not Epic',1,2),
(94610,240124,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(94611,240124,5,100,'Inflicts 644 - 1073 cold damage on target',0,0),
(94612,240124,5,100,'Stuns target',0,1),
(94613,240124,5,100,'If Target is not Epic',1,2),
(94614,240124,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(94615,240124,7,100,'Inflicts 826 - 1376 cold damage on target',0,0),
(94616,240124,7,100,'Stuns target',0,1),
(94617,240124,7,100,'If Target is not Epic',1,2),
(94618,240124,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(94619,240124,9,100,'Inflicts 858 - 1430 cold damage on target',0,0),
(94620,240124,9,100,'Stuns target',0,1),
(94621,240124,9,100,'If Target is not Epic',1,2),
(94622,240124,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(94623,240125,1,100,'Inflicts 630 - 1050 cold damage on target',0,0),
(94624,240125,1,100,'Stuns target',0,1),
(94625,240125,1,100,'If Target is not Epic',1,2),
(94626,240125,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(94627,240125,2,100,'Inflicts 665 - 1108 cold damage on target',0,0),
(94628,240125,2,100,'Stuns target',0,1),
(94629,240125,2,100,'If Target is not Epic',1,2),
(94630,240125,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(94631,240125,3,100,'Inflicts 700 - 1167 cold damage on target',0,0),
(94632,240125,3,100,'Stuns target',0,1),
(94633,240125,3,100,'If Target is not Epic',1,2),
(94634,240125,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(94635,240125,4,100,'Inflicts 770 - 1283 cold damage on target',0,0),
(94636,240125,4,100,'Stuns target',0,1),
(94637,240125,4,100,'If Target is not Epic',1,2),
(94638,240125,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(94639,240125,5,100,'Inflicts 840 - 1400 cold damage on target',0,0),
(94640,240125,5,100,'Stuns target',0,1),
(94641,240125,5,100,'If Target is not Epic',1,2),
(94642,240125,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(94643,240125,7,100,'Inflicts 1078 - 1797 cold damage on target',0,0),
(94644,240125,7,100,'Stuns target',0,1),
(94645,240125,7,100,'If Target is not Epic',1,2),
(94646,240125,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(94647,240125,9,100,'Inflicts 1120 - 1867 cold damage on target',0,0),
(94648,240125,9,100,'Stuns target',0,1),
(94649,240125,9,100,'If Target is not Epic',1,2),
(94650,240125,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(94651,240126,1,100,'Inflicts 763 - 1271 cold damage on target',0,0),
(94652,240126,1,100,'Stuns target',0,1),
(94653,240126,1,100,'If Target is not Epic',1,2),
(94654,240126,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(94655,240126,4,100,'Inflicts 932 - 1553 cold damage on target',0,0),
(94656,240126,4,100,'Stuns target',0,1),
(94657,240126,4,100,'If Target is not Epic',1,2),
(94658,240126,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(94659,240126,5,100,'Inflicts 1017 - 1694 cold damage on target',0,0),
(94660,240126,5,100,'Stuns target',0,1),
(94661,240126,5,100,'If Target is not Epic',1,2),
(94662,240126,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(94663,240126,7,100,'Inflicts 1305 - 2175 cold damage on target',0,0),
(94664,240126,7,100,'Stuns target',0,1),
(94665,240126,7,100,'If Target is not Epic',1,2),
(94666,240126,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(94667,240126,9,100,'Inflicts 1356 - 2259 cold damage on target',0,0),
(94668,240126,9,100,'Stuns target',0,1),
(94669,240126,9,100,'If Target is not Epic',1,2),
(94670,240126,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(94671,240127,1,100,'Inflicts 892 - 1487 cold damage on target',0,0),
(94672,240127,1,100,'Stuns target',0,1),
(94673,240127,1,100,'If Target is not Epic',1,2),
(94674,240127,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(94675,240127,4,100,'Inflicts 1091 - 1818 cold damage on target',0,0),
(94676,240127,4,100,'Stuns target',0,1),
(94677,240127,4,100,'If Target is not Epic',1,2),
(94678,240127,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(94679,240127,5,100,'Inflicts 1190 - 1983 cold damage on target',0,0),
(94680,240127,5,100,'Stuns target',0,1),
(94681,240127,5,100,'If Target is not Epic',1,2),
(94682,240127,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(94683,240127,7,100,'Inflicts 1527 - 2545 cold damage on target',0,0),
(94684,240127,7,100,'Stuns target',0,1),
(94685,240127,7,100,'If Target is not Epic',1,2),
(94686,240127,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(94687,240127,9,100,'Inflicts 1586 - 2644 cold damage on target',0,0),
(94688,240127,9,100,'Stuns target',0,1),
(94689,240127,9,100,'If Target is not Epic',1,2),
(94690,240127,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(94691,2000427,1,100,'Increases the power cost of all abilities by 100%.',0,0),
(94692,2000427,1,100,'Increases Potency and Damage per Second by 0.75% of the Enchanter''s intelligence.',0,1),
(94693,2000427,1,100,'Your target cannot have Vigor or Enchanted Vigor already active.',0,2),
(94694,110007,1,100,'Allows target to breathe under water',0,0),
(94695,2000428,1,100,'Wards caster against 1 - 2 points of damage from all damage',0,0),
(94696,2000429,1,100,'Applies Energizing Aura.  Lasts for 30.0 seconds.',0,0),
(94697,2000429,1,100,'Increases Crit Bonus of group members (AE) by 5.0%',1,1),
(94698,2000429,1,100,'Cannot be modified except by direct means',1,2),
(94699,2000429,1,100,'Cannot be modified except by direct means',0,3),
(94700,2000429,2,100,'Applies Energizing Aura.  Lasts for 30.0 seconds.',0,0),
(94701,2000429,2,100,'Increases Crit Bonus of group members (AE) by 10.0%',1,1),
(94702,2000429,2,100,'Cannot be modified except by direct means',1,2),
(94703,2000429,2,100,'Cannot be modified except by direct means',0,3),
(94704,2000429,3,100,'Applies Energizing Aura.  Lasts for 30.0 seconds.',0,0),
(94705,2000429,3,100,'Increases Crit Bonus of group members (AE) by 15.0%',1,1),
(94706,2000429,3,100,'Cannot be modified except by direct means',1,2),
(94707,2000429,3,100,'Cannot be modified except by direct means',0,3),
(94708,2000430,1,100,'Increases power of target by 5.0% instantly and every 3 seconds',0,0),
(94709,2000430,1,100,'This effect cannot be critically applied.',1,1),
(94710,2000431,1,100,'Applies Focused Energy.',0,0),
(94711,2000431,1,100,'Decreases threat priority of target encounter by 3 positions',1,1),
(94712,2000431,1,100,'If not fighter',2,2),
(94713,2000431,1,100,'Increases threat priority of target encounter by 3 positions',1,3),
(94714,2000431,1,100,'If fighter',2,4),
(94715,2000431,1,100,'Inflicts 1497 - 1829 magic damage on target encounter',1,5),
(94716,2000431,1,100,'Must be engaged in combat',0,6),
(94717,2000432,1,100,'Reduces the fury''s healing amount by 50%',0,0),
(94718,2000432,1,100,'Increases the critical damage of all spells by 10%',0,1),
(94719,2000433,1,100,'Inflicts 1 - 2 magic damage on target',0,0),
(94720,2000434,1,100,'Inflicts 0 - 1 crushing damage on target',0,0),
(94721,2000434,1,100,'Inflicts 1 - 2 crushing damage on target every 6 seconds',0,1),
(94722,270059,1,100,'Causes 3% Threat to transfer to target when in combat',0,0),
(94723,270059,1,100,'Increases Hate Gain of target by 6.2%',0,1),
(94724,270059,2,100,'Causes 3% Threat to transfer to target when in combat',0,0),
(94725,270059,2,100,'Increases Hate Gain of target by 6.5%',0,1),
(94726,270059,3,100,'Causes 4% Threat to transfer to target when in combat',0,0),
(94727,270059,3,100,'Increases Hate Gain of target by 6.9%',0,1),
(94728,270059,4,100,'Causes 4% Threat to transfer to target when in combat',0,0),
(94729,270059,4,100,'Increases Hate Gain of target by 7.5%',0,1),
(94730,270059,5,100,'Causes 4% Threat to transfer to target when in combat',0,0),
(94731,270059,5,100,'Increases Hate Gain of target by 8.2%',0,1),
(94732,270059,7,100,'Causes 5% Threat to transfer to target when in combat',0,0),
(94733,270059,7,100,'Increases Hate Gain of target by 10.6%',0,1),
(94734,270059,9,100,'Causes 6% Threat to transfer to target when in combat',0,0),
(94735,270059,9,100,'Increases Hate Gain of target by 11.0%',0,1),
(94736,270060,1,100,'Causes 3% Threat to transfer to target when in combat',0,0),
(94737,270060,1,100,'Increases Hate Gain of target by 7.9%',0,1),
(94738,270060,2,100,'Causes 3% Threat to transfer to target when in combat',0,0),
(94739,270060,2,100,'Increases Hate Gain of target by 8.4%',0,1),
(94740,270060,3,100,'Causes 4% Threat to transfer to target when in combat',0,0),
(94741,270060,3,100,'Increases Hate Gain of target by 8.8%',0,1),
(94742,270060,4,100,'Causes 4% Threat to transfer to target when in combat',0,0),
(94743,270060,4,100,'Increases Hate Gain of target by 9.7%',0,1),
(94744,270060,5,100,'Causes 4% Threat to transfer to target when in combat',0,0),
(94745,270060,5,100,'Increases Hate Gain of target by 10.6%',0,1),
(94746,270060,7,100,'Causes 5% Threat to transfer to target when in combat',0,0),
(94747,270060,7,100,'Increases Hate Gain of target by 13.6%',0,1),
(94748,270060,9,100,'Causes 6% Threat to transfer to target when in combat',0,0),
(94749,270060,9,100,'Increases Hate Gain of target by 14.1%',0,1),
(94750,270061,1,100,'Causes 3% Threat to transfer to target when in combat',0,0),
(94751,270061,1,100,'Increases Hate Gain of target by 9.6%',0,1),
(94752,270061,2,100,'Causes 3% Threat to transfer to target when in combat',0,0),
(94753,270061,2,100,'Increases Hate Gain of target by 10.2%',0,1),
(94754,270061,3,100,'Causes 4% Threat to transfer to target when in combat',0,0),
(94755,270061,3,100,'Increases Hate Gain of target by 10.7%',0,1),
(94756,270061,4,100,'Causes 4% Threat to transfer to target when in combat',0,0),
(94757,270061,4,100,'Increases Hate Gain of target by 11.8%',0,1),
(94758,270061,5,100,'Causes 4% Threat to transfer to target when in combat',0,0),
(94759,270061,5,100,'Increases Hate Gain of target by 12.9%',0,1),
(94760,270061,7,100,'Causes 5% Threat to transfer to target when in combat',0,0),
(94761,270061,7,100,'Increases Hate Gain of target by 16.5%',0,1),
(94762,270061,9,100,'Causes 6% Threat to transfer to target when in combat',0,0),
(94763,270061,9,100,'Increases Hate Gain of target by 17.1%',0,1),
(94764,2000435,1,100,'When damaged in combat this spell has a 25% chance to cast Pheromonal Aggression on target''s attacker.  ',0,0),
(94765,2000435,1,100,'Increases Threat to target encounter by 46 ',1,1),
(94766,260055,2,100,'Mesmerizes target',0,0),
(94767,260055,2,100,'Prevents AOE (except when direct) ',0,1),
(94768,260055,2,100,'Dispelled when target takes damage',0,2),
(94769,260055,2,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(94770,260055,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(94771,260055,3,100,'Mesmerizes target',0,0),
(94772,260055,3,100,'Prevents AOE (except when direct) ',0,1),
(94773,260055,3,100,'Dispelled when target takes damage',0,2),
(94774,260055,3,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(94775,260055,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(94776,260055,4,100,'Mesmerizes target',0,0),
(94777,260055,4,100,'Prevents AOE (except when direct) ',0,1),
(94778,260055,4,100,'Dispelled when target takes damage',0,2),
(94779,260055,4,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(94780,260055,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(94781,260055,5,100,'Mesmerizes target',0,0),
(94782,260055,5,100,'Prevents AOE (except when direct) ',0,1),
(94783,260055,5,100,'Dispelled when target takes damage',0,2),
(94784,260055,5,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(94785,260055,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(94786,260055,7,100,'Mesmerizes target',0,0),
(94787,260055,7,100,'Prevents AOE (except when direct) ',0,1),
(94788,260055,7,100,'Dispelled when target takes damage',0,2),
(94789,260055,7,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(94790,260055,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(94791,260055,9,100,'Mesmerizes target',0,0),
(94792,260055,9,100,'Prevents AOE (except when direct) ',0,1),
(94793,260055,9,100,'Dispelled when target takes damage',0,2),
(94794,260055,9,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(94795,260055,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(94796,260056,1,100,'Mesmerizes target',0,0),
(94797,260056,1,100,'Prevents AOE (except when direct) ',0,1),
(94798,260056,1,100,'Dispelled when target takes damage',0,2),
(94799,260056,1,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(94800,260056,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(94801,260056,2,100,'Mesmerizes target',0,0),
(94802,260056,2,100,'Prevents AOE (except when direct) ',0,1),
(94803,260056,2,100,'Dispelled when target takes damage',0,2),
(94804,260056,2,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(94805,260056,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(94806,260056,3,100,'Mesmerizes target',0,0),
(94807,260056,3,100,'Prevents AOE (except when direct) ',0,1),
(94808,260056,3,100,'Dispelled when target takes damage',0,2),
(94809,260056,3,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(94810,260056,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(94811,260056,4,100,'Mesmerizes target',0,0),
(94812,260056,4,100,'Prevents AOE (except when direct) ',0,1),
(94813,260056,4,100,'Dispelled when target takes damage',0,2),
(94814,260056,4,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(94815,260056,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(94816,260056,5,100,'Mesmerizes target',0,0),
(94817,260056,5,100,'Prevents AOE (except when direct) ',0,1),
(94818,260056,5,100,'Dispelled when target takes damage',0,2),
(94819,260056,5,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(94820,260056,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(94821,260056,7,100,'Mesmerizes target',0,0),
(94822,260056,7,100,'Prevents AOE (except when direct) ',0,1),
(94823,260056,7,100,'Dispelled when target takes damage',0,2),
(94824,260056,7,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(94825,260056,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(94826,260056,9,100,'Mesmerizes target',0,0),
(94827,260056,9,100,'Prevents AOE (except when direct) ',0,1),
(94828,260056,9,100,'Dispelled when target takes damage',0,2),
(94829,260056,9,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(94830,260056,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(94831,260056,10,100,'Mesmerizes target',0,0),
(94832,260056,10,100,'Prevents AOE (except when direct) ',0,1),
(94833,260056,10,100,'Dispelled when target takes damage',0,2),
(94834,260056,10,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(94835,260056,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(94836,260057,1,100,'Mesmerizes target',0,0),
(94837,260057,1,100,'Prevents AOE (except when direct) ',0,1),
(94838,260057,1,100,'Dispelled when target takes damage',0,2),
(94839,260057,1,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(94840,260057,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(94841,260057,2,100,'Mesmerizes target',0,0),
(94842,260057,2,100,'Prevents AOE (except when direct) ',0,1),
(94843,260057,2,100,'Dispelled when target takes damage',0,2),
(94844,260057,2,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(94845,260057,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(94846,260057,3,100,'Mesmerizes target',0,0),
(94847,260057,3,100,'Prevents AOE (except when direct) ',0,1),
(94848,260057,3,100,'Dispelled when target takes damage',0,2),
(94849,260057,3,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(94850,260057,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(94851,260057,4,100,'Mesmerizes target',0,0),
(94852,260057,4,100,'Prevents AOE (except when direct) ',0,1),
(94853,260057,4,100,'Dispelled when target takes damage',0,2),
(94854,260057,4,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(94855,260057,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(94856,260057,5,100,'Mesmerizes target',0,0),
(94857,260057,5,100,'Prevents AOE (except when direct) ',0,1),
(94858,260057,5,100,'Dispelled when target takes damage',0,2),
(94859,260057,5,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(94860,260057,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(94861,260057,7,100,'Mesmerizes target',0,0),
(94862,260057,7,100,'Prevents AOE (except when direct) ',0,1),
(94863,260057,7,100,'Dispelled when target takes damage',0,2),
(94864,260057,7,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(94865,260057,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(94866,260057,9,100,'Mesmerizes target',0,0),
(94867,260057,9,100,'Prevents AOE (except when direct) ',0,1),
(94868,260057,9,100,'Dispelled when target takes damage',0,2),
(94869,260057,9,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(94870,260057,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(94871,260057,10,100,'Mesmerizes target',0,0),
(94872,260057,10,100,'Prevents AOE (except when direct) ',0,1),
(94873,260057,10,100,'Dispelled when target takes damage',0,2),
(94874,260057,10,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(94875,260057,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(94876,260058,1,100,'Mesmerizes target',0,0),
(94877,260058,1,100,'Prevents AOE (except when direct) ',0,1),
(94878,260058,1,100,'Dispelled when target takes damage',0,2),
(94879,260058,1,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(94880,260058,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(94881,260058,2,100,'Mesmerizes target',0,0),
(94882,260058,2,100,'Prevents AOE (except when direct) ',0,1),
(94883,260058,2,100,'Dispelled when target takes damage',0,2),
(94884,260058,2,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(94885,260058,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(94886,260058,3,100,'Mesmerizes target',0,0),
(94887,260058,3,100,'Prevents AOE (except when direct) ',0,1),
(94888,260058,3,100,'Dispelled when target takes damage',0,2),
(94889,260058,3,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(94890,260058,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(94891,260058,4,100,'Mesmerizes target',0,0),
(94892,260058,4,100,'Prevents AOE (except when direct) ',0,1),
(94893,260058,4,100,'Dispelled when target takes damage',0,2),
(94894,260058,4,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(94895,260058,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(94896,260058,5,100,'Mesmerizes target',0,0),
(94897,260058,5,100,'Prevents AOE (except when direct) ',0,1),
(94898,260058,5,100,'Dispelled when target takes damage',0,2),
(94899,260058,5,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(94900,260058,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(94901,260058,7,100,'Mesmerizes target',0,0),
(94902,260058,7,100,'Prevents AOE (except when direct) ',0,1),
(94903,260058,7,100,'Dispelled when target takes damage',0,2),
(94904,260058,7,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(94905,260058,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(94906,260058,9,100,'Mesmerizes target',0,0),
(94907,260058,9,100,'Prevents AOE (except when direct) ',0,1),
(94908,260058,9,100,'Dispelled when target takes damage',0,2),
(94909,260058,9,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(94910,260058,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(94911,260059,1,100,'Mesmerizes target',0,0),
(94912,260059,1,100,'Prevents AOE (except when direct) ',0,1),
(94913,260059,1,100,'Dispelled when target takes damage',0,2),
(94914,260059,1,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(94915,260059,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(94916,260059,2,100,'Mesmerizes target',0,0),
(94917,260059,2,100,'Prevents AOE (except when direct) ',0,1),
(94918,260059,2,100,'Dispelled when target takes damage',0,2),
(94919,260059,2,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(94920,260059,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(94921,260059,3,100,'Mesmerizes target',0,0),
(94922,260059,3,100,'Prevents AOE (except when direct) ',0,1),
(94923,260059,3,100,'Dispelled when target takes damage',0,2),
(94924,260059,3,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(94925,260059,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(94926,260059,4,100,'Mesmerizes target',0,0),
(94927,260059,4,100,'Prevents AOE (except when direct) ',0,1),
(94928,260059,4,100,'Dispelled when target takes damage',0,2),
(94929,260059,4,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(94930,260059,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(94931,260059,5,100,'Mesmerizes target',0,0),
(94932,260059,5,100,'Prevents AOE (except when direct) ',0,1),
(94933,260059,5,100,'Dispelled when target takes damage',0,2),
(94934,260059,5,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(94935,260059,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(94936,260059,7,100,'Mesmerizes target',0,0),
(94937,260059,7,100,'Prevents AOE (except when direct) ',0,1),
(94938,260059,7,100,'Dispelled when target takes damage',0,2),
(94939,260059,7,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(94940,260059,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(94941,260059,9,100,'Mesmerizes target',0,0),
(94942,260059,9,100,'Prevents AOE (except when direct) ',0,1),
(94943,260059,9,100,'Dispelled when target takes damage',0,2),
(94944,260059,9,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(94945,260059,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(94946,260059,10,100,'Mesmerizes target',0,0),
(94947,260059,10,100,'Prevents AOE (except when direct) ',0,1),
(94948,260059,10,100,'Dispelled when target takes damage',0,2),
(94949,260059,10,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(94950,260059,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(94951,260060,1,100,'Mesmerizes target',0,0),
(94952,260060,1,100,'Prevents AOE (except when direct) ',0,1),
(94953,260060,1,100,'Dispelled when target takes damage',0,2),
(94954,260060,1,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(94955,260060,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(94956,260060,2,100,'Mesmerizes target',0,0),
(94957,260060,2,100,'Prevents AOE (except when direct) ',0,1),
(94958,260060,2,100,'Dispelled when target takes damage',0,2),
(94959,260060,2,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(94960,260060,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(94961,260060,3,100,'Mesmerizes target',0,0),
(94962,260060,3,100,'Prevents AOE (except when direct) ',0,1),
(94963,260060,3,100,'Dispelled when target takes damage',0,2),
(94964,260060,3,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(94965,260060,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(94966,260060,4,100,'Mesmerizes target',0,0),
(94967,260060,4,100,'Prevents AOE (except when direct) ',0,1),
(94968,260060,4,100,'Dispelled when target takes damage',0,2),
(94969,260060,4,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(94970,260060,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(94971,260060,5,100,'Mesmerizes target',0,0),
(94972,260060,5,100,'Prevents AOE (except when direct) ',0,1),
(94973,260060,5,100,'Dispelled when target takes damage',0,2),
(94974,260060,5,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(94975,260060,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(94976,260060,7,100,'Mesmerizes target',0,0),
(94977,260060,7,100,'Prevents AOE (except when direct) ',0,1),
(94978,260060,7,100,'Dispelled when target takes damage',0,2),
(94979,260060,7,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(94980,260060,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(94981,260060,9,100,'Mesmerizes target',0,0),
(94982,260060,9,100,'Prevents AOE (except when direct) ',0,1),
(94983,260060,9,100,'Dispelled when target takes damage',0,2),
(94984,260060,9,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(94985,260060,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(94986,260061,1,100,'Mesmerizes target',0,0),
(94987,260061,1,100,'Prevents AOE (except when direct) ',0,1),
(94988,260061,1,100,'Dispelled when target takes damage',0,2),
(94989,260061,1,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(94990,260061,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(94991,260061,2,100,'Mesmerizes target',0,0),
(94992,260061,2,100,'Prevents AOE (except when direct) ',0,1),
(94993,260061,2,100,'Dispelled when target takes damage',0,2),
(94994,260061,2,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(94995,260061,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(94996,260061,3,100,'Mesmerizes target',0,0),
(94997,260061,3,100,'Prevents AOE (except when direct) ',0,1),
(94998,260061,3,100,'Dispelled when target takes damage',0,2),
(94999,260061,3,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(95000,260061,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(95001,260061,4,100,'Mesmerizes target',0,0),
(95002,260061,4,100,'Prevents AOE (except when direct) ',0,1),
(95003,260061,4,100,'Dispelled when target takes damage',0,2),
(95004,260061,4,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(95005,260061,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(95006,260061,5,100,'Mesmerizes target',0,0),
(95007,260061,5,100,'Prevents AOE (except when direct) ',0,1),
(95008,260061,5,100,'Dispelled when target takes damage',0,2),
(95009,260061,5,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(95010,260061,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(95011,260061,7,100,'Mesmerizes target',0,0),
(95012,260061,7,100,'Prevents AOE (except when direct) ',0,1),
(95013,260061,7,100,'Dispelled when target takes damage',0,2),
(95014,260061,7,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(95015,260061,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(95016,260061,9,100,'Mesmerizes target',0,0),
(95017,260061,9,100,'Prevents AOE (except when direct) ',0,1),
(95018,260061,9,100,'Dispelled when target takes damage',0,2),
(95019,260061,9,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(95020,260061,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(95021,260062,1,100,'Mesmerizes target',0,0),
(95022,260062,1,100,'Prevents AOE (except when direct) ',0,1),
(95023,260062,1,100,'Dispelled when target takes damage',0,2),
(95024,260062,1,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(95025,260062,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(95026,260062,4,100,'Mesmerizes target',0,0),
(95027,260062,4,100,'Prevents AOE (except when direct) ',0,1),
(95028,260062,4,100,'Dispelled when target takes damage',0,2),
(95029,260062,4,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(95030,260062,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(95031,260062,5,100,'Mesmerizes target',0,0),
(95032,260062,5,100,'Prevents AOE (except when direct) ',0,1),
(95033,260062,5,100,'Dispelled when target takes damage',0,2),
(95034,260062,5,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(95035,260062,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(95036,260062,7,100,'Mesmerizes target',0,0),
(95037,260062,7,100,'Prevents AOE (except when direct) ',0,1),
(95038,260062,7,100,'Dispelled when target takes damage',0,2),
(95039,260062,7,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(95040,260062,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(95041,260062,9,100,'Mesmerizes target',0,0),
(95042,260062,9,100,'Prevents AOE (except when direct) ',0,1),
(95043,260062,9,100,'Dispelled when target takes damage',0,2),
(95044,260062,9,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(95045,260062,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(95046,260063,1,100,'Increases Combat Power Regen of group members (AE) by 5.6',0,0),
(95047,260063,2,100,'Increases In-Combat Power Regeneration of group members (AE) by 5.9',0,0),
(95048,260063,3,100,'Increases In-Combat Power Regeneration of group members (AE) by 6.2',0,0),
(95049,260063,4,100,'Increases Combat Power Regen of group members (AE) by 6.8',0,0),
(95050,260063,5,100,'Increases Combat Power Regen of group members (AE) by 7.4',0,0),
(95051,260063,7,100,'Increases Combat Power Regen of group members (AE) by 9.5',0,0),
(95052,260063,9,100,'Increases Combat Power Regen of group members (AE) by 9.9',0,0),
(95053,260064,1,100,'Increases Combat Power Regen of group members (AE) by 11.3',0,0),
(95054,260064,2,100,'Increases Combat Power Regen of group members (AE) by 11.9',0,0),
(95055,260064,3,100,'Increases Combat Power Regen of group members (AE) by 12.5',0,0),
(95056,260064,4,100,'Increases Combat Power Regen of group members (AE) by 13.8',0,0),
(95057,260064,5,100,'Increases Combat Power Regen of group members (AE) by 15.0',0,0),
(95058,260064,7,100,'Increases Combat Power Regen of group members (AE) by 19.3',0,0),
(95059,260064,9,100,'Increases Combat Power Regen of group members (AE) by 20.0',0,0),
(95060,260064,10,100,'Increases Combat Power Regen of group members (AE) by 21.0',0,0),
(95061,260065,1,100,'Increases Combat Power Regen of group members (AE) by 17.5',0,0),
(95062,260065,2,100,'Increases Combat Power Regen of group members (AE) by 18.5',0,0),
(95063,260065,3,100,'Increases Combat Power Regen of group members (AE) by 19.5',0,0),
(95064,260065,4,100,'Increases Combat Power Regen of group members (AE) by 21.5',0,0),
(95065,260065,5,100,'Increases In-Combat Power Regeneration of group members (AE) by 23.4',0,0),
(95066,260065,7,100,'Increases Combat Power Regen of group members (AE) by 30.0',0,0),
(95067,260065,9,100,'Increases Combat Power Regen of group members (AE) by 31.2',0,0),
(95068,260066,1,100,'Increases Combat Power Regen of group members (AE) by 23.8',0,0),
(95069,260066,2,100,'Increases Combat Power Regen of group members (AE) by 25.2',0,0),
(95070,260066,3,100,'Increases Combat Power Regen of group members (AE) by 26.5',0,0),
(95071,260066,4,100,'Increases Combat Power Regen of group members (AE) by 29.2',0,0),
(95072,260066,5,100,'Increases Combat Power Regen of group members (AE) by 31.8',0,0),
(95073,260066,7,100,'Increases Combat Power Regen of group members (AE) by 40.8',0,0),
(95074,260066,9,100,'Increases In-Combat Power Regeneration of group members (AE) by 42.4',0,0),
(95075,260066,10,100,'Increases Combat Power Regen of group members (AE) by 44.5',0,0),
(95076,260067,1,100,'Increases Combat Power Regen of group members (AE) by 29.8',0,0),
(95077,260067,2,100,'Increases Combat Power Regen of group members (AE) by 31.4',0,0),
(95078,260067,3,100,'Increases In-Combat Power Regeneration of group members (AE) by 33.1',0,0),
(95079,260067,4,100,'Increases Combat Power Regen of group members (AE) by 36.4',0,0),
(95080,260067,5,100,'Increases Combat Power Regen of group members (AE) by 39.7',0,0),
(95081,260067,7,100,'Increases Combat Power Regen of group members (AE) by 51.0',0,0),
(95082,260067,9,100,'Increases Combat Power Regen of group members (AE) by 53.0',0,0),
(95083,260068,1,100,'Increases Combat Power Regen of group members (AE) by 35.5',0,0),
(95084,260068,4,100,'Increases Combat Power Regen of group members (AE) by 43.5',0,0),
(95085,260068,5,100,'Increases Combat Power Regen of group members (AE) by 47.4',0,0),
(95086,260068,7,100,'Increases Combat Power Regen of group members (AE) by 60.8',0,0),
(95087,260068,9,100,'Increases Combat Power Regen of group members (AE) by 63.2',0,0),
(95088,260069,1,100,'Increases Combat Power Regen of group members (AE) by 40.0',0,0),
(95089,260069,4,100,'Increases Combat Power Regen of group members (AE) by 49.0',0,0),
(95090,260069,5,100,'Increases Combat Power Regen of group members (AE) by 53.4',0,0),
(95091,260069,7,100,'Increases Combat Power Regen of group members (AE) by 68.5',0,0),
(95092,260069,9,100,'Increases Combat Power Regen of group members (AE) by 71.2',0,0),
(95093,2000436,1,100,'On death this spell will cast Equilibrium on target.  ',0,0),
(95094,2000436,1,100,'Heals target for 50.0% of max health',1,1),
(95095,2000436,1,100,'If not fighter',1,2),
(95096,160025,1,100,'Applies Nature''s Blessing on termination.  Lasts for 1 minute.',0,0),
(95097,160025,1,100,'Heals target for 3.0% of max health instantly and every 6 seconds',1,1),
(95098,160025,1,100,'This effect cannot be critically applied.',2,2),
(95099,160025,1,100,'Applies Revived Sickness on termination.  Lasts for 2 minutes.',0,3),
(95100,160025,1,100,'Decreases All Attributes of target by 20.0%',1,4),
(95101,160025,1,100,'If not between levels 1 - 6',2,5),
(95102,160025,1,100,'Decreases Haste of target by 20.0',1,6),
(95103,160025,1,100,'If not between levels 1 - 6',2,7),
(95104,160025,1,100,'Decreases All Attributes of target by 5.0%',1,8),
(95105,160025,1,100,'If between levels 1 - 6',2,9),
(95106,160025,1,100,'Decreases Haste of target by 5.0',1,10),
(95107,160025,1,100,'If between levels 1 - 6',2,11),
(95108,160025,1,100,'Resurrects target with 13% health and power',0,12),
(95109,160025,1,100,'If outside an arena',0,13),
(95110,160025,1,100,'If outside an arena',0,14),
(95111,2000437,1,100,'Inflicts 1 - 2 crushing damage on target',0,0),
(95112,2000437,1,100,'Stuns target',0,1),
(95113,2000437,1,100,'Epic targets gain an immunity to Stun effects of 3.7 seconds and duration is reduced to 0.4 seconds.',0,2),
(95114,2000437,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(95115,280004,1,100,'Inflicts 111 magic damage on target',0,0),
(95116,280004,1,100,'Increases power of caster by 29',0,1),
(95117,290086,1,100,'Inflicts 111 magic damage on target',0,0),
(95118,290086,1,100,'Increases power of caster by 29',0,1),
(95119,290086,2,100,'Inflicts 111 magic damage on target',0,0),
(95120,290086,2,100,'Increases power of caster by 31',0,1),
(95121,280004,2,100,'Inflicts 111 magic damage on target',0,0),
(95122,280004,2,100,'Increases power of caster by 31',0,1),
(95123,290086,3,100,'Inflicts 111 magic damage on target',0,0),
(95124,290086,3,100,'Increases power of caster by 33',0,1),
(95125,280004,3,100,'Inflicts 111 magic damage on target',0,0),
(95126,280004,3,100,'Increases power of caster by 33',0,1),
(95127,290086,4,100,'Inflicts 111 magic damage on target',0,0),
(95128,290086,4,100,'Increases power of caster by 36',0,1),
(95129,280004,4,100,'Inflicts 111 magic damage on target',0,0),
(95130,280004,4,100,'Increases power of caster by 36',0,1),
(95131,290086,5,100,'Inflicts 111 magic damage on target',0,0),
(95132,290086,5,100,'Increases power of caster by 39',0,1),
(95133,280004,5,100,'Inflicts 111 magic damage on target',0,0),
(95134,280004,5,100,'Increases power of caster by 39',0,1),
(95135,290086,7,100,'Inflicts 111 magic damage on target',0,0),
(95136,290086,7,100,'Increases power of caster by 50',0,1),
(95137,280004,7,100,'Inflicts 111 magic damage on target',0,0),
(95138,280004,7,100,'Increases power of caster by 50',0,1),
(95139,290086,9,100,'Inflicts 111 magic damage on target',0,0),
(95140,290086,9,100,'Increases power of caster by 52',0,1),
(95141,280004,9,100,'Inflicts 111 magic damage on target',0,0),
(95142,280004,9,100,'Increases power of caster by 52',0,1),
(95143,290087,1,100,'Inflicts 241 magic damage on target',0,0),
(95144,290087,1,100,'Increases power of caster by 64',0,1),
(95145,290087,2,100,'Inflicts 241 magic damage on target',0,0),
(95146,290087,2,100,'Increases power of caster by 67',0,1),
(95147,290087,3,100,'Inflicts 241 magic damage on target',0,0),
(95148,290087,3,100,'Increases power of caster by 71',0,1),
(95149,290087,4,100,'Inflicts 241 magic damage on target',0,0),
(95150,290087,4,100,'Increases power of caster by 78',0,1),
(95151,290087,5,100,'Inflicts 241 magic damage on target',0,0),
(95152,290087,5,100,'Increases power of caster by 85',0,1),
(95153,290087,7,100,'Inflicts 241 magic damage on target',0,0),
(95154,290087,7,100,'Increases power of caster by 109',0,1),
(95155,290087,9,100,'Inflicts 241 magic damage on target',0,0),
(95156,290087,9,100,'Increases power of caster by 114',0,1),
(95157,290088,1,100,'Inflicts 387 magic damage on target',0,0),
(95158,290088,1,100,'Increases power of caster by 102',0,1),
(95159,290088,2,100,'Inflicts 387 magic damage on target',0,0),
(95160,290088,2,100,'Increases power of caster by 108',0,1),
(95161,290088,3,100,'Inflicts 387 magic damage on target',0,0),
(95162,290088,3,100,'Increases power of caster by 114',0,1),
(95163,290088,4,100,'Inflicts 387 magic damage on target',0,0),
(95164,290088,4,100,'Increases power of caster by 125',0,1),
(95165,290088,5,100,'Inflicts 387 magic damage on target',0,0),
(95166,290088,5,100,'Increases power of caster by 137',0,1),
(95167,290088,7,100,'Inflicts 387 magic damage on target',0,0),
(95168,290088,7,100,'Increases power of caster by 175',0,1),
(95169,290088,9,100,'Inflicts 387 magic damage on target',0,0),
(95170,290088,9,100,'Increases power of caster by 182',0,1),
(95171,290089,1,100,'Inflicts 565 magic damage on target',0,0),
(95172,290089,1,100,'Increases power of caster by 150',0,1),
(95173,290089,2,100,'Inflicts 565 magic damage on target',0,0),
(95174,290089,2,100,'Increases power of caster by 158',0,1),
(95175,290089,3,100,'Inflicts 565 magic damage on target',0,0),
(95176,290089,3,100,'Increases power of caster by 166',0,1),
(95177,290089,4,100,'Inflicts 565 magic damage on target',0,0),
(95178,290089,4,100,'Increases power of caster by 183',0,1),
(95179,290089,5,100,'Inflicts 565 magic damage on target',0,0),
(95180,290089,5,100,'Increases power of caster by 200',0,1),
(95181,290089,7,100,'Inflicts 565 magic damage on target',0,0),
(95182,290089,7,100,'Increases power of caster by 256',0,1),
(95183,290089,9,100,'Inflicts 565 magic damage on target',0,0),
(95184,290089,9,100,'Increases power of caster by 266',0,1),
(95185,290090,1,100,'Inflicts 744 magic damage on target',0,0),
(95186,290090,1,100,'Increases power of caster by 197',0,1),
(95187,290090,2,100,'Inflicts 744 magic damage on target',0,0),
(95188,290090,2,100,'Increases power of caster by 208',0,1),
(95189,290090,3,100,'Inflicts 744 magic damage on target',0,0),
(95190,290090,3,100,'Increases power of caster by 219',0,1),
(95191,290090,4,100,'Inflicts 744 magic damage on target',0,0),
(95192,290090,4,100,'Increases power of caster by 241',0,1),
(95193,290090,5,100,'Inflicts 744 magic damage on target',0,0),
(95194,290090,5,100,'Increases power of caster by 263',0,1),
(95195,290090,7,100,'Inflicts 744 magic damage on target',0,0),
(95196,290090,7,100,'Increases power of caster by 337',0,1),
(95197,290090,9,100,'Inflicts 744 magic damage on target',0,0),
(95198,290090,9,100,'Increases power of caster by 350',0,1),
(95199,290091,1,100,'Inflicts 902 magic damage on target',0,0),
(95200,290091,1,100,'Increases power of caster by 263',0,1),
(95201,290091,2,100,'Inflicts 902 magic damage on target',0,0),
(95202,290091,2,100,'Increases power of caster by 278',0,1),
(95203,290091,3,100,'Inflicts 902 magic damage on target',0,0),
(95204,290091,3,100,'Increases power of caster by 292',0,1),
(95205,290091,4,100,'Inflicts 902 magic damage on target',0,0),
(95206,290091,4,100,'Increases power of caster by 321',0,1),
(95207,290091,5,100,'Inflicts 902 magic damage on target',0,0),
(95208,290091,5,100,'Increases power of caster by 351',0,1),
(95209,290091,7,100,'Inflicts 902 magic damage on target',0,0),
(95210,290091,7,100,'Increases power of caster by 450',0,1),
(95211,290091,9,100,'Inflicts 902 magic damage on target',0,0),
(95212,290091,9,100,'Increases power of caster by 468',0,1),
(95213,290092,1,100,'Inflicts 1086 magic damage on target',0,0),
(95214,290092,1,100,'Increases power of caster by 317',0,1),
(95215,290092,4,100,'Inflicts 1086 magic damage on target',0,0),
(95216,290092,4,100,'Increases power of caster by 387',0,1),
(95217,290092,5,100,'Inflicts 1086 magic damage on target',0,0),
(95218,290092,5,100,'Increases power of caster by 422',0,1),
(95219,290092,7,100,'Inflicts 1086 magic damage on target',0,0),
(95220,290092,7,100,'Increases power of caster by 542',0,1),
(95221,290092,9,100,'Inflicts 1086 magic damage on target',0,0),
(95222,290092,9,100,'Increases power of caster by 563',0,1),
(95223,290093,1,100,'Inflicts 1166 magic damage on target',0,0),
(95224,290093,1,100,'Increases power of caster by 336',0,1),
(95225,290093,4,100,'Inflicts 1166 magic damage on target',0,0),
(95226,290093,4,100,'Increases power of caster by 411',0,1),
(95227,290093,5,100,'Inflicts 1166 magic damage on target',0,0),
(95228,290093,5,100,'Increases power of caster by 448',0,1),
(95229,290093,7,100,'Inflicts 1166 magic damage on target',0,0),
(95230,290093,7,100,'Increases power of caster by 575',0,1),
(95231,290093,9,100,'Inflicts 1166 magic damage on target',0,0),
(95232,290093,9,100,'Increases power of caster by 597',0,1),
(95233,2000438,1,100,'Applies Essence Siphon.  Lasts for 30.0 seconds.',0,0),
(95234,2000438,1,100,'Increases STR and INT of group members (AE) by 88.6',1,1),
(95235,2000438,1,100,'Increases Ability Mod of group members (AE) by 176.0',1,2),
(95236,2000438,1,100,'Inflicts 739 - 1108 disease damage on target',0,3),
(95237,2000438,1,100,'Decreases STR and INT of target by 88.6',0,4),
(95238,2000438,1,100,'Decreases Ability Mod of target by 176.0',0,5),
(95239,2000438,1,100,'Increases Ability Modifier of group members (AE) by 6.0',1,6),
(95240,440095,1,100,'Repairs target for 15.0% of max health',0,0),
(95241,440095,1,100,'This effect cannot be critically applied.',1,1),
(95242,440095,1,100,'Increases Max Health of target by 20.0%',0,2),
(95243,160026,1,100,'Increases STA of group members (AE) by 3.0',0,0),
(95244,160026,1,100,'Increases Mitigation of group members (AE) vs elemental damage by 194',0,1),
(95245,160026,2,100,'Increases STA of group members (AE) by 3.2',0,0),
(95246,160026,2,100,'Increases Mitigation of group members (AE) vs elemental damage by 205',0,1),
(95247,160026,3,100,'Increases STA of group members (AE) by 3.4',0,0),
(95248,160026,3,100,'Increases Mitigation of group members (AE) vs elemental damage by 216',0,1),
(95249,160026,4,100,'Increases STA of group members (AE) by 3.7',0,0),
(95250,160026,4,100,'Increases Mitigation of group members (AE) vs elemental damage by 238',0,1),
(95251,160026,5,100,'Increases STA of group members (AE) by 4.1',0,0),
(95252,160026,5,100,'Increases Mitigation of group members (AE) vs elemental damage by 259',0,1),
(95253,160026,7,100,'Increases STA of group members (AE) by 5.2',0,0),
(95254,160026,7,100,'Increases Mitigation of group members (AE) vs elemental damage by 333',0,1),
(95255,160026,9,100,'Increases STA of group members (AE) by 5.4',0,0),
(95256,160026,9,100,'Increases Mitigation of group members (AE) vs elemental damage by 346',0,1),
(95257,160027,1,100,'Increases STA of group members (AE) by 7.8',0,0),
(95258,160027,1,100,'Increases Mitigation of group members (AE) vs elemental damage by 338',0,1),
(95259,160027,2,100,'Increases STA of group members (AE) by 8.2',0,0),
(95260,160027,2,100,'Increases Mitigation of group members (AE) vs elemental damage by 356',0,1),
(95261,160027,3,100,'Increases STA of group members (AE) by 8.7',0,0),
(95262,160027,3,100,'Increases Mitigation of group members (AE) vs elemental damage by 375',0,1),
(95263,160027,4,100,'Increases STA of group members (AE) by 9.5',0,0),
(95264,160027,4,100,'Increases Mitigation of group members (AE) vs elemental damage by 413',0,1),
(95265,160027,5,100,'Increases STA of group members (AE) by 10.4',0,0),
(95266,160027,5,100,'Increases Mitigation of group members (AE) vs elemental damage by 450',0,1),
(95267,160027,7,100,'Increases STA of group members (AE) by 13.3',0,0),
(95268,160027,7,100,'Increases Mitigation of group members (AE) vs elemental damage by 578',0,1),
(95269,160027,9,100,'Increases STA of group members (AE) by 13.8',0,0),
(95270,160027,9,100,'Increases Mitigation of group members (AE) vs elemental damage by 600',0,1),
(95271,160028,1,100,'Increases STA of group members (AE) by 13.2',0,0),
(95272,160028,1,100,'Increases Mitigation of group members (AE) vs elemental damage by 495',0,1),
(95273,160028,2,100,'Increases STA of group members (AE) by 14.0',0,0),
(95274,160028,2,100,'Increases Mitigation of group members (AE) vs elemental damage by 523',0,1),
(95275,160028,3,100,'Increases STA of group members (AE) by 14.7',0,0),
(95276,160028,3,100,'Increases Mitigation of group members (AE) vs elemental damage by 550',0,1),
(95277,160028,4,100,'Increases STA of group members (AE) by 16.2',0,0),
(95278,160028,4,100,'Increases Mitigation of group members (AE) vs elemental damage by 605',0,1),
(95279,160028,5,100,'Increases STA of group members (AE) by 17.6',0,0),
(95280,160028,5,100,'Increases Mitigation of group members (AE) vs elemental damage by 660',0,1),
(95281,160028,7,100,'Increases STA of group members (AE) by 22.6',0,0),
(95282,160028,7,100,'Increases Mitigation of group members (AE) vs elemental damage by 847',0,1),
(95283,160028,9,100,'Increases STA of group members (AE) by 23.5',0,0),
(95284,160028,9,100,'Increases Mitigation of group members (AE) vs elemental damage by 880',0,1),
(95285,160029,1,100,'Increases STA of group members (AE) by 18.1',0,0),
(95286,160029,1,100,'Increases Mitigation of group members (AE) vs elemental damage by 653',0,1),
(95287,160029,2,100,'Increases STA of group members (AE) by 19.1',0,0),
(95288,160029,2,100,'Increases Mitigation of group members (AE) vs elemental damage by 689',0,1),
(95289,160029,3,100,'Increases STA of group members (AE) by 20.1',0,0),
(95290,160029,3,100,'Increases Mitigation of group members (AE) vs elemental damage by 725',0,1),
(95291,160029,4,100,'Increases STA of group members (AE) by 22.1',0,0),
(95292,160029,4,100,'Increases Mitigation of group members (AE) vs elemental damage by 798',0,1),
(95293,160029,5,100,'Increases STA of group members (AE) by 24.1',0,0),
(95294,160029,5,100,'Increases Mitigation of group members (AE) vs elemental damage by 870',0,1),
(95295,160029,7,100,'Increases STA of group members (AE) by 30.9',0,0),
(95296,160029,7,100,'Increases Mitigation of group members (AE) vs elemental damage by 1117',0,1),
(95297,160029,9,100,'Increases STA of group members (AE) by 32.1',0,0),
(95298,160029,9,100,'Increases Mitigation of group members (AE) vs elemental damage by 1160',0,1),
(95299,160030,1,100,'Increases STA of group members (AE) by 22.8',0,0),
(95300,160030,1,100,'Increases Mitigation of group members (AE) vs elemental damage by 851',0,1),
(95301,160030,2,100,'Increases STA of group members (AE) by 24.1',0,0),
(95302,160030,2,100,'Increases Mitigation of group members (AE) vs elemental damage by 898',0,1),
(95303,160030,3,100,'Increases STA of group members (AE) by 25.4',0,0),
(95304,160030,3,100,'Increases Mitigation of group members (AE) vs elemental damage by 945',0,1),
(95305,160030,4,100,'Increases STA of group members (AE) by 27.9',0,0),
(95306,160030,4,100,'Increases Mitigation of group members (AE) vs elemental damage by 1040',0,1),
(95307,160030,5,100,'Increases STA of group members (AE) by 30.4',0,0),
(95308,160030,5,100,'Increases Mitigation of group members (AE) vs elemental damage by 1134',0,1),
(95309,160030,7,100,'Increases STA of group members (AE) by 39.0',0,0),
(95310,160030,7,100,'Increases Mitigation of group members (AE) vs elemental damage by 1455',0,1),
(95311,160030,9,100,'Increases STA of group members (AE) by 40.6',0,0),
(95312,160030,9,100,'Increases Mitigation of group members (AE) vs elemental damage by 1512',0,1),
(95313,160030,10,100,'Increases STA of group members (AE) by 42.6',0,0),
(95314,160030,10,100,'Increases Mitigation of group members (AE) vs elemental damage by 1588',0,1),
(95315,160031,1,100,'Increases STA of group members (AE) by 27.3',0,0),
(95316,160031,1,100,'Increases Mitigation of group members (AE) vs elemental damage by 978',0,1),
(95317,160031,4,100,'Increases STA of group members (AE) by 33.4',0,0),
(95318,160031,4,100,'Increases Mitigation of group members (AE) vs elemental damage by 1195',0,1),
(95319,160031,5,100,'Increases STA of group members (AE) by 36.4',0,0),
(95320,160031,5,100,'Increases Mitigation of group members (AE) vs elemental damage by 1304',0,1),
(95321,160031,7,100,'Increases STA of group members (AE) by 46.7',0,0),
(95322,160031,7,100,'Increases Mitigation of group members (AE) vs elemental damage by 1673',0,1),
(95323,160031,9,100,'Increases STA of group members (AE) by 48.6',0,0),
(95324,160031,9,100,'Increases Mitigation of group members (AE) vs elemental damage by 1738',0,1),
(95325,160032,1,100,'Increases STA of group members (AE) by 31.8',0,0),
(95326,160032,1,100,'Increases Mitigation of group members (AE) vs elemental damage by 1139',0,1),
(95327,160032,4,100,'Increases STA of group members (AE) by 38.9',0,0),
(95328,160032,4,100,'Increases Mitigation of group members (AE) vs elemental damage by 1392',0,1),
(95329,160032,5,100,'Increases STA of group members (AE) by 42.4',0,0),
(95330,160032,5,100,'Increases Mitigation of group members (AE) vs elemental damage by 1518',0,1),
(95331,160032,7,100,'Increases STA of group members (AE) by 54.4',0,0),
(95332,160032,7,100,'Increases Mitigation of group members (AE) vs elemental damage by 1948',0,1),
(95333,160032,9,100,'Increases STA of group members (AE) by 56.6',0,0),
(95334,160032,9,100,'Increases Mitigation of group members (AE) vs elemental damage by 2024',0,1),
(95335,2000439,1,100,'Applies Cascade of Damnation.  Lasts for 5.0 seconds.',0,0),
(95336,2000439,1,100,'When damaged with a spell this spell will cast Void of Damnation on target.  ',1,1),
(95337,2000439,1,100,'Inflicts 617 - 754 poison damage on targets in Area of Effect',2,2),
(95338,2000439,1,100,'Grants a total of 1 trigger of the spell.',2,3),
(95339,2000440,1,100,'On any combat or spell hit this spell may cast Ether Balance on target of attack, which can be triggered up to 10 times across all targets.  Triggers about 2.0 times per minute. ',0,0),
(95340,2000440,1,100,'Inflicts 466 - 865 mental damage on target',1,1),
(95341,2000440,1,100,'Increases power of group members (AE) by 173',1,2),
(95342,2000440,2,100,'On any combat or spell hit this spell may cast Ether Balance on target of attack, which can be triggered up to 10 times across all targets.  Triggers about 2.0 times per minute. ',0,0),
(95343,2000440,2,100,'Inflicts 466 - 865 mental damage on target',1,1),
(95344,2000440,2,100,'Increases power of group members (AE) by 173',1,2),
(95345,2000440,3,100,'On any combat or spell hit this spell may cast Ether Balance on target of attack, which can be triggered up to 10 times across all targets.  Triggers about 2.0 times per minute. ',0,0),
(95346,2000440,3,100,'Inflicts 621 - 1152 mental damage on target',1,1),
(95347,2000440,3,100,'Increases power of group members (AE) by 173',1,2),
(95348,2000441,1,100,'Decreases threat priority of target by 3 positions',0,0),
(95349,2000441,1,100,'Inflicts 28 - 52 magic damage on target',0,1),
(95350,2000441,1,100,'Slows target by 75.0%',0,2),
(95351,2000441,1,100,'Dazes target',0,3),
(95352,2000441,1,100,'If Target is not Epic',1,4),
(95353,2000442,1,100,'On any combat or spell hit this spell may cast Eulogy of the Fallen on target.  Lasts for 15 minutes.  Triggers about 0.2 times per minute. ',0,0),
(95354,2000442,1,100,'Dispelled when a group member dies.',1,1),
(95355,2000442,1,100,'Increases Weapon Damage Bonus of group members (AE) by 0.3',1,2),
(95356,2000442,1,100,'Increases Multi Attack Chance of group members (AE) by 5.2',1,3),
(95357,2000442,1,100,'On a death blow this spell will cast Eulogy of the Fallen on target.  Lasts for 15 minutes.  ',0,4),
(95358,2000442,1,100,'Dispelled when a group member dies.',1,5),
(95359,2000442,1,100,'Increases Weapon Damage Bonus of group members (AE) by 0.3',1,6),
(95360,2000442,1,100,'Increases Multi Attack Chance of group members (AE) by 5.2',1,7),
(95361,2000442,1,100,'Increases Multi Attack Chance of group members (AE) by 4.0',1,8),
(95362,2000442,1,100,'Dispelled when a group member dies.',1,9),
(95363,140046,3,100,'When any damage is received this spell will cast Vengeful Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(95364,140046,3,100,'Heals target for 176 - 216',1,1),
(95365,2000443,1,100,'Applies Exorcise.',0,0),
(95366,2000443,1,100,'Inflicts 554 - 923 divine damage on targets in Area of Effect',1,1),
(95367,2000443,1,100,'Reduces the potency of heals by 95%',0,2),
(95368,260070,1,100,'Increases power of caster by 6 instantly and every 4 seconds',0,0),
(95369,260070,2,100,'Increases power of caster by 6 instantly and every 4 seconds',0,0),
(95370,260070,3,100,'Increases power of caster by 7 instantly and every 4 seconds',0,0),
(95371,260070,4,100,'Increases power of caster by 7 instantly and every 4 seconds',0,0),
(95372,260070,5,100,'Increases power of caster by 8 instantly and every 4 seconds',0,0),
(95373,260070,7,100,'Increases power of caster by 10 instantly and every 4 seconds',0,0),
(95374,260070,9,100,'Increases power of caster by 10 instantly and every 4 seconds',0,0),
(95375,260071,1,100,'Increases power of caster by 13 instantly and every 4 seconds',0,0),
(95376,260071,2,100,'Increases power of caster by 13 instantly and every 4 seconds',0,0),
(95377,260071,3,100,'Increases power of caster by 14 instantly and every 4 seconds',0,0),
(95378,260071,4,100,'Increases power of caster by 16 instantly and every 4 seconds',0,0),
(95379,260071,5,100,'Increases power of caster by 17 instantly and every 4 seconds',0,0),
(95380,260071,7,100,'Increases power of caster by 22 instantly and every 4 seconds',0,0),
(95381,260071,9,100,'Increases power of caster by 23 instantly and every 4 seconds',0,0),
(95382,260072,1,100,'Increases power of caster by 20 instantly and every 4 seconds',0,0),
(95383,260072,2,100,'Increases power of caster by 22 instantly and every 4 seconds',0,0),
(95384,260072,3,100,'Increases power of caster by 23 instantly and every 4 seconds',0,0),
(95385,260072,4,100,'Increases power of caster by 25 instantly and every 4 seconds',0,0),
(95386,260072,5,100,'Increases power of caster by 27 instantly and every 4 seconds',0,0),
(95387,260072,7,100,'Increases power of caster by 35 instantly and every 4 seconds',0,0),
(95388,260072,9,100,'Increases power of caster by 36 instantly and every 4 seconds',0,0),
(95389,260073,1,100,'Increases power of caster by 30 instantly and every 4 seconds',0,0),
(95390,260073,2,100,'Increases power of caster by 32 instantly and every 4 seconds',0,0),
(95391,260073,3,100,'Increases power of caster by 33 instantly and every 4 seconds',0,0),
(95392,260073,4,100,'Increases power of caster by 37 instantly and every 4 seconds',0,0),
(95393,260073,5,100,'Increases power of caster by 40 instantly and every 4 seconds',0,0),
(95394,260073,7,100,'Increases power of caster by 51 instantly and every 4 seconds',0,0),
(95395,260073,9,100,'Increases power of caster by 53 instantly and every 4 seconds',0,0),
(95396,260074,1,100,'Increases power of caster by 39 instantly and every 4 seconds',0,0),
(95397,260074,2,100,'Increases power of caster by 42 instantly and every 4 seconds',0,0),
(95398,260074,3,100,'Increases power of caster by 44 instantly and every 4 seconds',0,0),
(95399,260074,4,100,'Increases power of caster by 48 instantly and every 4 seconds',0,0),
(95400,260074,5,100,'Increases power of caster by 53 instantly and every 4 seconds',0,0),
(95401,260074,7,100,'Increases power of caster by 67 instantly and every 4 seconds',0,0),
(95402,260074,9,100,'Increases power of caster by 70 instantly and every 4 seconds',0,0),
(95403,260075,1,100,'Increases power of caster by 53 instantly and every 4 seconds',0,0),
(95404,260075,2,100,'Increases power of caster by 56 instantly and every 4 seconds',0,0),
(95405,260075,3,100,'Increases power of caster by 58 instantly and every 4 seconds',0,0),
(95406,260075,4,100,'Increases power of caster by 64 instantly and every 4 seconds',0,0),
(95407,260075,5,100,'Increases power of caster by 70 instantly and every 4 seconds',0,0),
(95408,260075,7,100,'Increases power of caster by 90 instantly and every 4 seconds',0,0),
(95409,260075,9,100,'Increases power of caster by 94 instantly and every 4 seconds',0,0),
(95410,260076,1,100,'Increases power of caster by 63 instantly and every 4 seconds',0,0),
(95411,260076,4,100,'Increases power of caster by 77 instantly and every 4 seconds',0,0),
(95412,260076,5,100,'Increases power of caster by 84 instantly and every 4 seconds',0,0),
(95413,260076,7,100,'Increases power of caster by 108 instantly and every 4 seconds',0,0),
(95414,260076,9,100,'Increases power of caster by 113 instantly and every 4 seconds',0,0),
(95415,260077,1,100,'Increases power of caster by 67 instantly and every 4 seconds',0,0),
(95416,260077,4,100,'Increases power of caster by 82 instantly and every 4 seconds',0,0),
(95417,260077,5,100,'Increases power of caster by 90 instantly and every 4 seconds',0,0),
(95418,260077,7,100,'Increases power of caster by 115 instantly and every 4 seconds',0,0),
(95419,260077,9,100,'Increases power of caster by 119 instantly and every 4 seconds',0,0),
(95420,2000444,1,100,'When target falls below 50% health this spell will cast Encore on target.  Lasts for 8.0 seconds.  ',0,0),
(95421,2000444,1,100,'Reduces all damage done to target by 30%',1,1),
(95422,2000444,1,100,'Cannot be modified except by direct means',1,2),
(95423,2000444,1,100,'Restores 15% of the damage received',0,3),
(95424,2000444,1,100,'The healing of this spell cannot be modified except by direct means',0,4),
(95425,2000444,2,100,'When target falls below 50% health this spell will cast Encore on target.  Lasts for 8.0 seconds.  ',0,0),
(95426,2000444,2,100,'Reduces all damage done to target by 39%',1,1),
(95427,2000444,2,100,'Cannot be modified except by direct means',1,2),
(95428,2000444,2,100,'Restores 30% of the damage received',0,3),
(95429,2000444,2,100,'The healing of this spell cannot be modified except by direct means',0,4),
(95430,2000444,3,100,'When target falls below 50% health this spell will cast Encore on target.  Lasts for 8.0 seconds.  ',0,0),
(95431,2000444,3,100,'Reduces all damage done to target by 39%',1,1),
(95432,2000444,3,100,'Cannot be modified except by direct means',1,2),
(95433,2000444,3,100,'Restores 45% of the damage received',0,3),
(95434,2000444,3,100,'The healing of this spell cannot be modified except by direct means',0,4),
(95435,2000445,1,100,'Makes target afraid',0,0),
(95436,2000445,1,100,'Dispelled when target takes damage',0,1),
(95437,2000445,1,100,'Resistibility increases against targets higher than level 29.',0,2),
(95438,2000446,1,100,'Caster will Dodge 4.0% of incoming attacks',0,0),
(95439,2000446,1,100,'Increases Defense of caster by 1.0',0,1),
(95440,170048,1,100,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',0,0),
(95441,170048,1,100,'Inflicts 195 heat damage on target',1,1),
(95442,170048,1,100,'Grants a total of 3 triggers of the spell.',1,2),
(95443,170048,2,100,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',0,0),
(95444,170048,2,100,'Inflicts 205 heat damage on target',1,1),
(95445,170048,2,100,'Grants a total of 3 triggers of the spell.',1,2),
(95446,170048,3,100,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',0,0),
(95447,170048,3,100,'Inflicts 216 heat damage on target',1,1),
(95448,170048,3,100,'Grants a total of 3 triggers of the spell.',1,2),
(95449,170048,4,100,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',0,0),
(95450,170048,4,100,'Inflicts 238 heat damage on target',1,1),
(95451,170048,4,100,'Grants a total of 3 triggers of the spell.',1,2),
(95452,170048,5,100,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',0,0),
(95453,170048,5,100,'Inflicts 260 heat damage on target',1,1),
(95454,170048,5,100,'Grants a total of 3 triggers of the spell.',1,2),
(95455,170048,7,100,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',0,0),
(95456,170048,7,100,'Inflicts 333 heat damage on target',1,1),
(95457,170048,7,100,'Grants a total of 3 triggers of the spell.',1,2),
(95458,170048,9,100,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',0,0),
(95459,170048,9,100,'Inflicts 346 heat damage on target',1,1),
(95460,170048,9,100,'Grants a total of 3 triggers of the spell.',1,2),
(95461,170049,1,100,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',0,0),
(95462,170049,1,100,'Inflicts 294 heat damage on target',1,1),
(95463,170049,1,100,'Grants a total of 3 triggers of the spell.',1,2),
(95464,170049,2,100,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',0,0),
(95465,170049,2,100,'Inflicts 310 heat damage on target',1,1),
(95466,170049,2,100,'Grants a total of 3 triggers of the spell.',1,2),
(95467,170049,3,100,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',0,0),
(95468,170049,3,100,'Inflicts 326 heat damage on target',1,1),
(95469,170049,3,100,'Grants a total of 3 triggers of the spell.',1,2),
(95470,170049,4,100,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',0,0),
(95471,170049,4,100,'Inflicts 359 heat damage on target',1,1),
(95472,170049,4,100,'Grants a total of 3 triggers of the spell.',1,2),
(95473,170049,5,100,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',0,0),
(95474,170049,5,100,'Inflicts 391 heat damage on target',1,1),
(95475,170049,5,100,'Grants a total of 3 triggers of the spell.',1,2),
(95476,170049,7,100,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',0,0),
(95477,170049,7,100,'Inflicts 502 heat damage on target',1,1),
(95478,170049,7,100,'Grants a total of 3 triggers of the spell.',1,2),
(95479,170049,9,100,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',0,0),
(95480,170049,9,100,'Inflicts 522 heat damage on target',1,1),
(95481,170049,9,100,'Grants a total of 3 triggers of the spell.',1,2),
(95482,170050,1,100,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',0,0),
(95483,170050,1,100,'Inflicts 400 heat damage on target',1,1),
(95484,170050,1,100,'Grants a total of 3 triggers of the spell.',1,2),
(95485,170050,2,100,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',0,0),
(95486,170050,2,100,'Inflicts 422 heat damage on target',1,1),
(95487,170050,2,100,'Grants a total of 3 triggers of the spell.',1,2),
(95488,170050,3,100,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',0,0),
(95489,170050,3,100,'Inflicts 444 heat damage on target',1,1),
(95490,170050,3,100,'Grants a total of 3 triggers of the spell.',1,2),
(95491,170050,4,100,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',0,0),
(95492,170050,4,100,'Inflicts 489 heat damage on target',1,1),
(95493,170050,4,100,'Grants a total of 3 triggers of the spell.',1,2),
(95494,170050,5,100,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',0,0),
(95495,170050,5,100,'Inflicts 533 heat damage on target',1,1),
(95496,170050,5,100,'Grants a total of 3 triggers of the spell.',1,2),
(95497,170050,7,100,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',0,0),
(95498,170050,7,100,'Inflicts 684 heat damage on target',1,1),
(95499,170050,7,100,'Grants a total of 3 triggers of the spell.',1,2),
(95500,170050,9,100,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',0,0),
(95501,170050,9,100,'Inflicts 711 heat damage on target',1,1),
(95502,170050,9,100,'Grants a total of 3 triggers of the spell.',1,2),
(95503,170050,10,100,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',0,0),
(95504,170050,10,100,'Inflicts 747 heat damage on target',1,1),
(95505,170050,10,100,'Grants a total of 3 triggers of the spell.',1,2),
(95506,170051,1,100,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',0,0),
(95507,170051,1,100,'Inflicts 501 heat damage on target',1,1),
(95508,170051,1,100,'Grants a total of 3 triggers of the spell.',1,2),
(95509,170051,2,100,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',0,0),
(95510,170051,2,100,'Inflicts 529 heat damage on target',1,1),
(95511,170051,2,100,'Grants a total of 3 triggers of the spell.',1,2),
(95512,170051,3,100,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',0,0),
(95513,170051,3,100,'Inflicts 557 heat damage on target',1,1),
(95514,170051,3,100,'Grants a total of 3 triggers of the spell.',1,2),
(95515,170051,4,100,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',0,0),
(95516,170051,4,100,'Inflicts 613 heat damage on target',1,1),
(95517,170051,4,100,'Grants a total of 3 triggers of the spell.',1,2),
(95518,170051,5,100,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',0,0),
(95519,170051,5,100,'Inflicts 669 heat damage on target',1,1),
(95520,170051,5,100,'Grants a total of 3 triggers of the spell.',1,2),
(95521,170051,7,100,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',0,0),
(95522,170051,7,100,'Inflicts 858 heat damage on target',1,1),
(95523,170051,7,100,'Grants a total of 3 triggers of the spell.',1,2),
(95524,170051,9,100,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',0,0),
(95525,170051,9,100,'Inflicts 891 heat damage on target',1,1),
(95526,170051,9,100,'Grants a total of 3 triggers of the spell.',1,2),
(95527,170052,1,100,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',0,0),
(95528,170052,1,100,'Inflicts 605 heat damage on target',1,1),
(95529,170052,1,100,'Grants a total of 3 triggers of the spell.',1,2),
(95530,170052,4,100,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',0,0),
(95531,170052,4,100,'Inflicts 740 heat damage on target',1,1),
(95532,170052,4,100,'Grants a total of 3 triggers of the spell.',1,2),
(95533,170052,5,100,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',0,0),
(95534,170052,5,100,'Inflicts 807 heat damage on target',1,1),
(95535,170052,5,100,'Grants a total of 3 triggers of the spell.',1,2),
(95536,170052,7,100,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',0,0),
(95537,170052,7,100,'Inflicts 1036 heat damage on target',1,1),
(95538,170052,7,100,'Grants a total of 3 triggers of the spell.',1,2),
(95539,170052,9,100,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',0,0),
(95540,170052,9,100,'Inflicts 1076 heat damage on target',1,1),
(95541,170052,9,100,'Grants a total of 3 triggers of the spell.',1,2),
(95542,170052,10,100,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',0,0),
(95543,170052,10,100,'Inflicts 1130 heat damage on target',1,1),
(95544,170052,10,100,'Grants a total of 3 triggers of the spell.',1,2),
(95545,170053,1,100,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',0,0),
(95546,170053,1,100,'Inflicts 681 heat damage on target',1,1),
(95547,170053,1,100,'Grants a total of 3 triggers of the spell.',1,2),
(95548,170053,4,100,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',0,0),
(95549,170053,4,100,'Inflicts 833 heat damage on target',1,1),
(95550,170053,4,100,'Grants a total of 3 triggers of the spell.',1,2),
(95551,170053,5,100,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',0,0),
(95552,170053,5,100,'Inflicts 908 heat damage on target',1,1),
(95553,170053,5,100,'Grants a total of 3 triggers of the spell.',1,2),
(95554,170053,7,100,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',0,0),
(95555,170053,7,100,'Inflicts 1166 heat damage on target',1,1),
(95556,170053,7,100,'Grants a total of 3 triggers of the spell.',1,2),
(95557,170053,9,100,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',0,0),
(95558,170053,9,100,'Inflicts 1211 heat damage on target',1,1),
(95559,170053,9,100,'Grants a total of 3 triggers of the spell.',1,2),
(95560,160033,1,100,'Summons a limited pet to aid the caster',0,0),
(95561,160033,2,100,'Summons a limited pet to aid the caster',0,0),
(95562,160033,3,100,'Summons a limited pet to aid the caster',0,0),
(95563,160033,4,100,'Summons a limited pet to aid the caster',0,0),
(95564,160033,5,100,'Summons a limited pet to aid the caster',0,0),
(95565,160033,7,100,'Summons a limited pet to aid the caster',0,0),
(95566,160033,9,100,'Summons a limited pet to aid the caster',0,0),
(95567,160034,1,100,'Summons a limited pet to aid the caster',0,0),
(95568,160034,4,100,'Summons a limited pet to aid the caster',0,0),
(95569,160034,5,100,'Summons a limited pet to aid the caster',0,0),
(95570,160034,7,100,'Summons a limited pet to aid the caster',0,0),
(95571,160034,9,100,'Summons a limited pet to aid the caster',0,0),
(95572,160035,1,100,'Summons a limited pet to aid the caster',0,0),
(95573,160035,4,100,'Summons a limited pet to aid the caster',0,0),
(95574,160035,5,100,'Summons a limited pet to aid the caster',0,0),
(95575,160035,7,100,'Summons a limited pet to aid the caster',0,0),
(95576,160035,9,100,'Summons a limited pet to aid the caster',0,0),
(95577,2000447,1,100,'When damaged this spell will cast Shock of Faith on target''s attacker.  ',0,0),
(95578,2000447,1,100,'Inflicts 2236 - 2732 divine damage on target',1,1),
(95579,2000447,2,100,'When damaged this spell will cast Shock of Faith on target''s attacker.  ',0,0),
(95580,2000447,2,100,'Inflicts 2360 - 2884 divine damage on target',1,1),
(95581,2000447,3,100,'Reduces all damage done to the target by 100%.  The damage reduced is reflected on the attacker.',0,0),
(95582,2000447,3,100,'Cannot be modified except by direct means',0,1),
(95583,2000448,1,100,'Completely heals the target and applies a ward equal to the amount healed.',0,0),
(95584,140047,1,100,'Increases STA of group members (AE) by 3.0',0,0),
(95585,140047,1,100,'Increases Mitigation of group members (AE) vs arcane damage by 194',0,1),
(95586,140047,2,100,'Increases STA of group members (AE) by 3.2',0,0),
(95587,140047,2,100,'Increases Mitigation of group members (AE) vs arcane damage by 205',0,1),
(95588,140047,3,100,'Increases STA of group members (AE) by 3.4',0,0),
(95589,140047,3,100,'Increases Mitigation of group members (AE) vs arcane damage by 216',0,1),
(95590,140047,4,100,'Increases STA of group members (AE) by 3.7',0,0),
(95591,140047,4,100,'Increases Mitigation of group members (AE) vs arcane damage by 238',0,1),
(95592,140047,5,100,'Increases STA of group members (AE) by 4.1',0,0),
(95593,140047,5,100,'Increases Mitigation of group members (AE) vs arcane damage by 259',0,1),
(95594,140047,7,100,'Increases STA of group members (AE) by 5.2',0,0),
(95595,140047,7,100,'Increases Mitigation of group members (AE) vs arcane damage by 333',0,1),
(95596,140047,9,100,'Increases STA of group members (AE) by 5.4',0,0),
(95597,140047,9,100,'Increases Mitigation of group members (AE) vs arcane damage by 346',0,1),
(95598,140048,1,100,'Increases STA of group members (AE) by 7.8',0,0),
(95599,140048,1,100,'Increases Mitigation of group members (AE) vs arcane damage by 338',0,1),
(95600,140048,2,100,'Increases STA of group members (AE) by 8.2',0,0),
(95601,140048,2,100,'Increases Mitigation of group members (AE) vs arcane damage by 356',0,1),
(95602,140048,3,100,'Increases STA of group members (AE) by 8.7',0,0),
(95603,140048,3,100,'Increases Mitigation of group members (AE) vs arcane damage by 375',0,1),
(95604,140048,4,100,'Increases STA of group members (AE) by 9.5',0,0),
(95605,140048,4,100,'Increases Mitigation of group members (AE) vs arcane damage by 413',0,1),
(95606,140048,5,100,'Increases STA of group members (AE) by 10.4',0,0),
(95607,140048,5,100,'Increases Mitigation of group members (AE) vs arcane damage by 450',0,1),
(95608,140048,7,100,'Increases STA of group members (AE) by 13.3',0,0),
(95609,140048,7,100,'Increases Mitigation of group members (AE) vs arcane damage by 578',0,1),
(95610,140048,9,100,'Increases STA of group members (AE) by 13.8',0,0),
(95611,140048,9,100,'Increases Mitigation of group members (AE) vs arcane damage by 600',0,1),
(95612,140049,1,100,'Increases STA of group members (AE) by 13.2',0,0),
(95613,140049,1,100,'Increases Mitigation of group members (AE) vs arcane damage by 495',0,1),
(95614,140049,2,100,'Increases STA of group members (AE) by 14.0',0,0),
(95615,140049,2,100,'Increases Mitigation of group members (AE) vs arcane damage by 523',0,1),
(95616,140049,3,100,'Increases STA of group members (AE) by 14.7',0,0),
(95617,140049,3,100,'Increases Mitigation of group members (AE) vs arcane damage by 550',0,1),
(95618,140049,4,100,'Increases STA of group members (AE) by 16.2',0,0),
(95619,140049,4,100,'Increases Mitigation of group members (AE) vs arcane damage by 605',0,1),
(95620,140049,5,100,'Increases STA of group members (AE) by 17.6',0,0),
(95621,140049,5,100,'Increases Mitigation of group members (AE) vs arcane damage by 660',0,1),
(95622,140049,7,100,'Increases STA of group members (AE) by 22.6',0,0),
(95623,140049,7,100,'Increases Mitigation of group members (AE) vs arcane damage by 847',0,1),
(95624,140049,9,100,'Increases STA of group members (AE) by 23.5',0,0),
(95625,140049,9,100,'Increases Mitigation of group members (AE) vs arcane damage by 880',0,1),
(95626,140050,1,100,'Increases STA of group members (AE) by 18.1',0,0),
(95627,140050,1,100,'Increases Mitigation of group members (AE) vs arcane damage by 653',0,1),
(95628,140050,2,100,'Increases STA of group members (AE) by 19.1',0,0),
(95629,140050,2,100,'Increases Mitigation of group members (AE) vs arcane damage by 689',0,1),
(95630,140050,3,100,'Increases STA of group members (AE) by 20.1',0,0),
(95631,140050,3,100,'Increases Mitigation of group members (AE) vs arcane damage by 725',0,1),
(95632,140050,4,100,'Increases STA of group members (AE) by 22.1',0,0),
(95633,140050,4,100,'Increases Mitigation of group members (AE) vs arcane damage by 798',0,1),
(95634,140050,5,100,'Increases STA of group members (AE) by 24.1',0,0),
(95635,140050,5,100,'Increases Mitigation of group members (AE) vs arcane damage by 870',0,1),
(95636,140050,7,100,'Increases STA of group members (AE) by 30.9',0,0),
(95637,140050,7,100,'Increases Mitigation of group members (AE) vs arcane damage by 1117',0,1),
(95638,140050,9,100,'Increases STA of group members (AE) by 32.1',0,0),
(95639,140050,9,100,'Increases Mitigation of group members (AE) vs arcane damage by 1160',0,1),
(95640,140051,1,100,'Increases STA of group members (AE) by 22.8',0,0),
(95641,140051,1,100,'Increases Mitigation of group members (AE) vs arcane damage by 851',0,1),
(95642,140051,2,100,'Increases STA of group members (AE) by 24.1',0,0),
(95643,140051,2,100,'Increases Mitigation of group members (AE) vs arcane damage by 898',0,1),
(95644,140051,3,100,'Increases STA of group members (AE) by 25.4',0,0),
(95645,140051,3,100,'Increases Mitigation of group members (AE) vs arcane damage by 945',0,1),
(95646,140051,4,100,'Increases STA of group members (AE) by 27.9',0,0),
(95647,140051,4,100,'Increases Mitigation of group members (AE) vs arcane damage by 1040',0,1),
(95648,140051,5,100,'Increases STA of group members (AE) by 30.4',0,0),
(95649,140051,5,100,'Increases Mitigation of group members (AE) vs arcane damage by 1134',0,1),
(95650,140051,7,100,'Increases STA of group members (AE) by 39.0',0,0),
(95651,140051,7,100,'Increases Mitigation of group members (AE) vs arcane damage by 1455',0,1),
(95652,140051,9,100,'Increases STA of group members (AE) by 40.6',0,0),
(95653,140051,9,100,'Increases Mitigation of group members (AE) vs arcane damage by 1512',0,1),
(95654,140051,10,100,'Increases STA of group members (AE) by 42.6',0,0),
(95655,140051,10,100,'Increases Mitigation of group members (AE) vs arcane damage by 1588',0,1),
(95656,140052,1,100,'Increases STA of group members (AE) by 27.3',0,0),
(95657,140052,1,100,'Increases Mitigation of group members (AE) vs arcane damage by 978',0,1),
(95658,140052,4,100,'Increases STA of group members (AE) by 33.4',0,0),
(95659,140052,4,100,'Increases Mitigation of group members (AE) vs arcane damage by 1195',0,1),
(95660,140052,5,100,'Increases STA of group members (AE) by 36.4',0,0),
(95661,140052,5,100,'Increases Mitigation of group members (AE) vs arcane damage by 1304',0,1),
(95662,140052,7,100,'Increases STA of group members (AE) by 46.7',0,0),
(95663,140052,7,100,'Increases Mitigation of group members (AE) vs arcane damage by 1673',0,1),
(95664,140052,9,100,'Increases STA of group members (AE) by 48.6',0,0),
(95665,140052,9,100,'Increases Mitigation of group members (AE) vs arcane damage by 1738',0,1),
(95666,140053,1,100,'Increases STA of group members (AE) by 31.8',0,0),
(95667,140053,1,100,'Increases Mitigation of group members (AE) vs arcane damage by 1139',0,1),
(95668,140053,4,100,'Increases STA of group members (AE) by 38.9',0,0),
(95669,140053,4,100,'Increases Mitigation of group members (AE) vs arcane damage by 1392',0,1),
(95670,140053,5,100,'Increases STA of group members (AE) by 42.4',0,0),
(95671,140053,5,100,'Increases Mitigation of group members (AE) vs arcane damage by 1518',0,1),
(95672,140053,7,100,'Increases STA of group members (AE) by 54.4',0,0),
(95673,140053,7,100,'Increases Mitigation of group members (AE) vs arcane damage by 1948',0,1),
(95674,140053,9,100,'Increases STA of group members (AE) by 56.6',0,0),
(95675,140053,9,100,'Increases Mitigation of group members (AE) vs arcane damage by 2024',0,1),
(95676,2000449,1,100,'Heals target for 2768 - 3383',0,0),
(95677,2000449,1,100,'When any damage is received this spell will cast Fanatic''s Devotion on target.  ',0,1),
(95678,2000449,1,100,'Heals target for 2397 - 2929',1,2),
(95679,2000449,1,100,'Grants a total of 2 triggers of the spell.',1,3),
(95680,2000450,1,100,'Applies Fanatic''s Bulwark.  Lasts for 30.0 seconds.',0,0),
(95681,2000450,2,100,'Applies Fanatic''s Bulwark.  Lasts for 30.0 seconds.',0,0),
(95682,2000450,3,100,'Applies Fanatic''s Bulwark.  Lasts for 30.0 seconds.',0,0),
(95683,140054,1,100,'Heals target for 30 - 37',0,0),
(95684,140054,2,100,'Heals target for 32 - 39',0,0),
(95685,140054,3,100,'Heals target for 34 - 41',0,0),
(95686,140054,4,100,'Heals target for 37 - 45',0,0),
(95687,140054,5,100,'Heals target for 41 - 50',0,0),
(95688,140054,7,100,'Heals target for 52 - 64',0,0),
(95689,140054,9,100,'Heals target for 54 - 66',0,0),
(95690,140055,1,100,'Heals target for 101 - 124',0,0),
(95691,140055,2,100,'Heals target for 107 - 131',0,0),
(95692,140055,3,100,'Heals target for 113 - 138',0,0),
(95693,140055,4,100,'Heals target for 124 - 151',0,0),
(95694,140055,5,100,'Heals target for 135 - 165',0,0),
(95695,140055,7,100,'Heals target for 173 - 212',0,0),
(95696,140055,9,100,'Heals target for 180 - 220',0,0),
(95697,140056,1,100,'Heals target for 182 - 223',0,0),
(95698,140056,2,100,'Heals target for 192 - 235',0,0),
(95699,140056,3,100,'Heals target for 203 - 248',0,0),
(95700,140056,4,100,'Heals target for 223 - 272',0,0),
(95701,140056,5,100,'Heals target for 243 - 297',0,0),
(95702,140056,7,100,'Heals target for 312 - 381',0,0),
(95703,140056,9,100,'Heals target for 324 - 396',0,0),
(95704,140057,1,100,'Heals target for 348 - 426',0,0),
(95705,140057,2,100,'Heals target for 368 - 449',0,0),
(95706,140057,3,100,'Heals target for 387 - 473',0,0),
(95707,140057,4,100,'Heals target for 426 - 520',0,0),
(95708,140057,5,100,'Heals target for 464 - 568',0,0),
(95709,140057,7,100,'Heals target for 596 - 728',0,0),
(95710,140057,9,100,'Heals target for 619 - 757',0,0),
(95711,140057,10,100,'Heals target for 650 - 795',0,0),
(95712,140058,1,100,'Heals target for 1469 - 1796',0,0),
(95713,140058,4,100,'Heals target for 1796 - 2195',0,0),
(95714,140058,5,100,'Heals target for 1959 - 2394',0,0),
(95715,140058,7,100,'Heals target for 2514 - 3072',0,0),
(95716,140058,9,100,'Heals target for 2612 - 3192',0,0),
(95717,140058,10,100,'Heals target for 2742 - 3352',0,0),
(95718,140059,1,100,'Heals target for 537 - 656',0,0),
(95719,140059,2,100,'Heals target for 566 - 692',0,0),
(95720,140059,3,100,'Heals target for 596 - 729',0,0),
(95721,140059,4,100,'Heals target for 656 - 802',0,0),
(95722,140059,5,100,'Heals target for 716 - 875',0,0),
(95723,140059,7,100,'Heals target for 918 - 1122',0,0),
(95724,140059,9,100,'Heals target for 954 - 1166',0,0),
(95725,140060,1,100,'Heals target for 749 - 916',0,0),
(95726,140060,2,100,'Heals target for 791 - 967',0,0),
(95727,140060,3,100,'Heals target for 833 - 1018',0,0),
(95728,140060,4,100,'Heals target for 916 - 1119',0,0),
(95729,140060,5,100,'Heals target for 999 - 1221',0,0),
(95730,140060,7,100,'Heals target for 1282 - 1567',0,0),
(95731,140060,9,100,'Heals target for 1332 - 1628',0,0),
(95732,140060,10,100,'Heals target for 1399 - 1709',0,0),
(95733,140061,1,100,'Heals target for 995 - 1216',0,0),
(95734,140061,2,100,'Heals target for 1051 - 1284',0,0),
(95735,140061,3,100,'Heals target for 1106 - 1352',0,0),
(95736,140061,4,100,'Heals target for 1216 - 1487',0,0),
(95737,140061,5,100,'Heals target for 1327 - 1622',0,0),
(95738,140061,7,100,'Heals target for 1703 - 2082',0,0),
(95739,140061,9,100,'Heals target for 1769 - 2163',0,0),
(95740,140062,1,100,'Heals target for 1285 - 1570',0,0),
(95741,140062,4,100,'Heals target for 1570 - 1919',0,0),
(95742,140062,5,100,'Heals target for 1713 - 2094',0,0),
(95743,140062,7,100,'Heals target for 2199 - 2687',0,0),
(95744,140062,9,100,'Heals target for 2284 - 2792',0,0),
(95745,140062,10,100,'Heals target for 2398 - 2931',0,0),
(95746,140063,1,100,'Increases INT, AGI, STR and WIS of group members (AE) by 35.1',0,0),
(95747,140063,1,100,'Adds 1.5% to base avoidance.',0,1),
(95748,140063,1,100,'Increases Haste of group members (AE) by 28.2',0,2),
(95749,140063,1,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 248',0,3),
(95750,140063,2,100,'Increases INT, AGI, STR and WIS of group members (AE) by 37.0',0,0),
(95751,140063,2,100,'Adds 1.6% to base avoidance.',0,1),
(95752,140063,2,100,'Increases Haste of group members (AE) by 29.7',0,2),
(95753,140063,2,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 262',0,3),
(95754,140063,3,100,'Increases INT, AGI, STR and WIS of group members (AE) by 39.0',0,0),
(95755,140063,3,100,'Adds 1.7% to base avoidance.',0,1),
(95756,140063,3,100,'Increases Haste of group members (AE) by 31.3',0,2),
(95757,140063,3,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 276',0,3),
(95758,140063,4,100,'Increases INT, AGI, STR and WIS of group members (AE) by 42.9',0,0),
(95759,140063,4,100,'Adds 1.9% to base avoidance.',0,1),
(95760,140063,4,100,'Increases Attack Speed of group members (AE) by 34.4',0,2),
(95761,140063,4,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 304',0,3),
(95762,140063,5,100,'Increases INT, AGI, STR and WIS of group members (AE) by 46.8',0,0),
(95763,140063,5,100,'Adds 2.0% to base avoidance.',0,1),
(95764,140063,5,100,'Increases Haste of group members (AE) by 37.6',0,2),
(95765,140063,5,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 331',0,3),
(95766,140063,7,100,'Increases INT, AGI, STR and WIS of group members (AE) by 60.1',0,0),
(95767,140063,7,100,'Adds 2.6% to base avoidance.',0,1),
(95768,140063,7,100,'Increases Haste of group members (AE) by 48.2',0,2),
(95769,140063,7,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 425',0,3),
(95770,140063,9,100,'Increases INT, AGI, STR and WIS of group members (AE) by 62.4',0,0),
(95771,140063,9,100,'Adds 2.7% to base avoidance.',0,1),
(95772,140063,9,100,'Increases Haste of group members (AE) by 50.1',0,2),
(95773,140063,9,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 442',0,3),
(95774,140064,1,100,'Increases INT, AGI, STR and WIS of group members (AE) by 49.5',0,0),
(95775,140064,1,100,'Adds 1.5% to base avoidance.',0,1),
(95776,140064,1,100,'Increases Ability Reuse Speed of group members (AE) by 5.4%',0,2),
(95777,140064,1,100,'Increases Haste of group members (AE) by 34.0',0,3),
(95778,140064,1,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 348',0,4),
(95779,140064,2,100,'Increases INT, AGI, STR and WIS of group members (AE) by 52.2',0,0),
(95780,140064,2,100,'Adds 1.6% to base avoidance.',0,1),
(95781,140064,2,100,'Increases Ability Reuse Speed of group members (AE) by 5.7%',0,2),
(95782,140064,2,100,'Increases Haste of group members (AE) by 35.9',0,3),
(95783,140064,2,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 367',0,4),
(95784,140064,3,100,'Increases INT, AGI, STR and WIS of group members (AE) by 55.0',0,0),
(95785,140064,3,100,'Adds 1.7% to base avoidance.',0,1),
(95786,140064,3,100,'Increases Ability Reuse Speed of group members (AE) by 6.0%',0,2),
(95787,140064,3,100,'Increases Haste of group members (AE) by 37.8',0,3),
(95788,140064,3,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 386',0,4),
(95789,140064,4,100,'Increases INT, AGI, STR and WIS of group members (AE) by 60.5',0,0),
(95790,140064,4,100,'Adds 1.9% to base avoidance.',0,1),
(95791,140064,4,100,'Increases Ability Reuse Speed of group members (AE) by 6.6%',0,2),
(95792,140064,4,100,'Increases Haste of group members (AE) by 41.6',0,3),
(95793,140064,4,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 425',0,4),
(95794,140064,5,100,'Increases INT, AGI, STR and WIS of group members (AE) by 66.0',0,0),
(95795,140064,5,100,'Adds 2.0% to base avoidance.',0,1),
(95796,140064,5,100,'Increases Ability Reuse Speed of group members (AE) by 7.2%',0,2),
(95797,140064,5,100,'Increases Haste of group members (AE) by 45.3',0,3),
(95798,140064,5,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 464',0,4),
(95799,140064,7,100,'Increases INT, AGI, STR and WIS of group members (AE) by 84.7',0,0),
(95800,140064,7,100,'Adds 2.6% to base avoidance.',0,1),
(95801,140064,7,100,'Increases Ability Reuse Speed of group members (AE) by 9.2%',0,2),
(95802,140064,7,100,'Increases Haste of group members (AE) by 58.2',0,3),
(95803,140064,7,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 595',0,4),
(95804,140064,9,100,'Increases INT, AGI, STR and WIS of group members (AE) by 88.0',0,0),
(95805,140064,9,100,'Adds 2.7% to base avoidance.',0,1),
(95806,140064,9,100,'Increases Ability Reuse Speed of group members (AE) by 9.6%',0,2),
(95807,140064,9,100,'Increases Haste of group members (AE) by 60.4',0,3),
(95808,140064,9,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 618',0,4),
(95809,140065,1,100,'Increases INT, AGI, STR and WIS of group members (AE) by 59.4',0,0),
(95810,140065,1,100,'Adds 1.5% to base avoidance.',0,1),
(95811,140065,1,100,'Increases Ability Reuse Speed of group members (AE) by 5.4%',0,2),
(95812,140065,1,100,'Increases Haste of group members (AE) by 36.9',0,3),
(95813,140065,1,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 397',0,4),
(95814,140065,2,100,'Increases INT, AGI, STR and WIS of group members (AE) by 62.7',0,0),
(95815,140065,2,100,'Adds 1.6% to base avoidance.',0,1),
(95816,140065,2,100,'Increases Ability Reuse Speed of group members (AE) by 5.7%',0,2),
(95817,140065,2,100,'Increases Attack Speed of group members (AE) by 39.0',0,3),
(95818,140065,2,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 420',0,4),
(95819,140065,3,100,'Increases INT, AGI, STR and WIS of group members (AE) by 66.0',0,0),
(95820,140065,3,100,'Adds 1.7% to base avoidance.',0,1),
(95821,140065,3,100,'Increases Ability Reuse Speed of group members (AE) by 6.0%',0,2),
(95822,140065,3,100,'Increases Haste of group members (AE) by 41.0',0,3),
(95823,140065,3,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 442',0,4),
(95824,140065,4,100,'Increases INT, AGI, STR and WIS of group members (AE) by 72.6',0,0),
(95825,140065,4,100,'Adds 1.9% to base avoidance.',0,1),
(95826,140065,4,100,'Increases Ability Reuse Speed of group members (AE) by 6.6%',0,2),
(95827,140065,4,100,'Increases Haste of group members (AE) by 45.1',0,3),
(95828,140065,4,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 486',0,4),
(95829,140065,5,100,'Increases INT, AGI, STR and WIS of group members (AE) by 79.2',0,0),
(95830,140065,5,100,'Adds 2.0% to base avoidance.',0,1),
(95831,140065,5,100,'Increases Ability Reuse Speed of group members (AE) by 7.2%',0,2),
(95832,140065,5,100,'Increases Haste of group members (AE) by 49.2',0,3),
(95833,140065,5,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 530',0,4),
(95834,140065,7,100,'Increases INT, AGI, STR and WIS of group members (AE) by 101.6',0,0),
(95835,140065,7,100,'Adds 2.6% to base avoidance.',0,1),
(95836,140065,7,100,'Increases Ability Reuse Speed of group members (AE) by 9.2%',0,2),
(95837,140065,7,100,'Increases Haste of group members (AE) by 63.2',0,3),
(95838,140065,7,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 680',0,4),
(95839,140065,9,100,'Increases INT, AGI, STR and WIS of group members (AE) by 105.6',0,0),
(95840,140065,9,100,'Adds 2.7% to base avoidance.',0,1),
(95841,140065,9,100,'Increases Ability Reuse Speed of group members (AE) by 9.6%',0,2),
(95842,140065,9,100,'Increases Haste of group members (AE) by 65.6',0,3),
(95843,140065,9,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 707',0,4),
(95844,140066,1,100,'Increases INT, AGI, STR and WIS of group members (AE) by 69.3',0,0),
(95845,140066,1,100,'Adds 1.5% to base avoidance.',0,1),
(95846,140066,1,100,'Increases Ability Reuse Speed of group members (AE) by 5.4%',0,2),
(95847,140066,1,100,'Increases Haste of group members (AE) by 42.3',0,3),
(95848,140066,1,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 447',0,4),
(95849,140066,4,100,'Increases INT, AGI, STR and WIS of group members (AE) by 84.7',0,0),
(95850,140066,4,100,'Adds 1.9% to base avoidance.',0,1),
(95851,140066,4,100,'Increases Ability Reuse Speed of group members (AE) by 6.6%',0,2),
(95852,140066,4,100,'Increases Haste of group members (AE) by 51.7',0,3),
(95853,140066,4,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 546',0,4),
(95854,140066,5,100,'Increases INT, AGI, STR and WIS of group members (AE) by 92.4',0,0),
(95855,140066,5,100,'Adds 2.0% to base avoidance.',0,1),
(95856,140066,5,100,'Increases Ability Reuse Speed of group members (AE) by 7.2%',0,2),
(95857,140066,5,100,'Increases Attack Speed of group members (AE) by 56.4',0,3),
(95858,140066,5,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 596',0,4),
(95859,140066,7,100,'Increases INT, AGI, STR and WIS of group members (AE) by 118.6',0,0),
(95860,140066,7,100,'Adds 2.6% to base avoidance.',0,1),
(95861,140066,7,100,'Increases Ability Reuse Speed of group members (AE) by 9.2%',0,2),
(95862,140066,7,100,'Increases Haste of group members (AE) by 72.4',0,3),
(95863,140066,7,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 765',0,4),
(95864,140066,9,100,'Increases INT, AGI, STR and WIS of group members (AE) by 123.2',0,0),
(95865,140066,9,100,'Adds 2.7% to base avoidance.',0,1),
(95866,140066,9,100,'Increases Ability Reuse Speed of group members (AE) by 9.6%',0,2),
(95867,140066,9,100,'Increases Haste of group members (AE) by 75.2',0,3),
(95868,140066,9,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 795',0,4),
(95869,140067,1,100,'Increases INT, AGI, STR and WIS of group members (AE) by 79.2',0,0),
(95870,140067,1,100,'Adds 1.5% to base avoidance.',0,1),
(95871,140067,1,100,'Increases Ability Reuse Speed of group members (AE) by 5.4%',0,2),
(95872,140067,1,100,'Increases Haste of group members (AE) by 45.0',0,3),
(95873,140067,1,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 497',0,4),
(95874,140067,4,100,'Increases INT, AGI, STR and WIS of group members (AE) by 96.8',0,0),
(95875,140067,4,100,'Adds 1.9% to base avoidance.',0,1),
(95876,140067,4,100,'Increases Ability Reuse Speed of group members (AE) by 6.6%',0,2),
(95877,140067,4,100,'Increases Haste of group members (AE) by 55.0',0,3),
(95878,140067,4,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 607',0,4),
(95879,140067,5,100,'Increases INT, AGI, STR and WIS of group members (AE) by 105.6',0,0),
(95880,140067,5,100,'Adds 2.0% to base avoidance.',0,1),
(95881,140067,5,100,'Increases Ability Reuse Speed of group members (AE) by 7.2%',0,2),
(95882,140067,5,100,'Increases Haste of group members (AE) by 60.0',0,3),
(95883,140067,5,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 662',0,4),
(95884,140067,7,100,'Increases INT, AGI, STR and WIS of group members (AE) by 135.5',0,0),
(95885,140067,7,100,'Adds 2.6% to base avoidance.',0,1),
(95886,140067,7,100,'Increases Ability Reuse Speed of group members (AE) by 9.2%',0,2),
(95887,140067,7,100,'Increases Attack Speed of group members (AE) by 77.0',0,3),
(95888,140067,7,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 850',0,4),
(95889,140067,9,100,'Increases INT, AGI, STR and WIS of group members (AE) by 140.8',0,0),
(95890,140067,9,100,'Adds 2.7% to base avoidance.',0,1),
(95891,140067,9,100,'Increases Ability Reuse Speed of group members (AE) by 9.6%',0,2),
(95892,140067,9,100,'Increases Haste of group members (AE) by 80.0',0,3),
(95893,140067,9,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 883',0,4),
(95894,250009,1,100,'Stuns target',0,0),
(95895,250009,1,100,'Prevents AOE (except when direct) ',0,1),
(95896,250009,1,100,'Dispelled when target takes damage',0,2),
(95897,250009,1,100,'Does not affect Epic targets',0,3),
(95898,250009,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(95899,250009,2,100,'Stuns target',0,0),
(95900,250009,2,100,'Prevents AOE (except when direct) ',0,1),
(95901,250009,2,100,'Dispelled when target takes damage',0,2),
(95902,250009,2,100,'Does not affect Epic targets',0,3),
(95903,250009,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(95904,250009,3,100,'Stuns target',0,0),
(95905,250009,3,100,'Prevents AOE (except when direct) ',0,1),
(95906,250009,3,100,'Dispelled when target takes damage',0,2),
(95907,250009,3,100,'Does not affect Epic targets',0,3),
(95908,250009,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(95909,250009,4,100,'Stuns target',0,0),
(95910,250009,4,100,'Prevents AOE (except when direct) ',0,1),
(95911,250009,4,100,'Dispelled when target takes damage',0,2),
(95912,250009,4,100,'Does not affect Epic targets',0,3),
(95913,250009,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(95914,250009,5,100,'Stuns target',0,0),
(95915,250009,5,100,'Prevents AOE (except when direct) ',0,1),
(95916,250009,5,100,'Dispelled when target takes damage',0,2),
(95917,250009,5,100,'Does not affect Epic targets',0,3),
(95918,250009,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(95919,250009,7,100,'Stuns target',0,0),
(95920,250009,7,100,'Prevents AOE (except when direct) ',0,1),
(95921,250009,7,100,'Dispelled when target takes damage',0,2),
(95922,250009,7,100,'Does not affect Epic targets',0,3),
(95923,250009,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(95924,250009,9,100,'Stuns target',0,0),
(95925,250009,9,100,'Prevents AOE (except when direct) ',0,1),
(95926,250009,9,100,'Dispelled when target takes damage',0,2),
(95927,250009,9,100,'Does not affect Epic targets',0,3),
(95928,250009,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(95929,150004,1,100,'Summon 1 Crystallized Phoenix Feather',0,0),
(95930,150004,1,100,'This effect cannot be cast during combat',0,1),
(95931,160036,1,100,'Increases AGI and WIS of group members (AE) by 13.1',0,0),
(95932,160036,1,100,'Adds 1.3% to base avoidance.',0,1),
(95933,160036,1,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 86',0,2),
(95934,160036,2,100,'Increases AGI and WIS of group members (AE) by 13.9',0,0),
(95935,160036,2,100,'Adds 1.4% to base avoidance.',0,1),
(95936,160036,2,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 90',0,2),
(95937,160036,3,100,'Increases AGI and WIS of group members (AE) by 14.6',0,0),
(95938,160036,3,100,'Adds 1.5% to base avoidance.',0,1),
(95939,160036,3,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 95',0,2),
(95940,160036,4,100,'Increases AGI and WIS of group members (AE) by 16.1',0,0),
(95941,160036,4,100,'Adds 1.7% to base avoidance.',0,1),
(95942,160036,4,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 105',0,2),
(95943,160036,5,100,'Increases AGI and WIS of group members (AE) by 17.5',0,0),
(95944,160036,5,100,'Adds 1.8% to base avoidance.',0,1),
(95945,160036,5,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 114',0,2),
(95946,160036,7,100,'Increases AGI and WIS of group members (AE) by 22.5',0,0),
(95947,160036,7,100,'Adds 2.3% to base avoidance.',0,1),
(95948,160036,7,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 146',0,2),
(95949,160036,9,100,'Increases AGI and WIS of group members (AE) by 23.4',0,0),
(95950,160036,9,100,'Adds 2.4% to base avoidance.',0,1),
(95951,160036,9,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 152',0,2),
(95952,160037,1,100,'Increases AGI and WIS of group members (AE) by 22.1',0,0),
(95953,160037,1,100,'Adds 1.3% to base avoidance.',0,1),
(95954,160037,1,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 152',0,2),
(95955,160037,2,100,'Increases AGI and WIS of group members (AE) by 23.4',0,0),
(95956,160037,2,100,'Adds 1.4% to base avoidance.',0,1),
(95957,160037,2,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 161',0,2),
(95958,160037,3,100,'Increases AGI and WIS of group members (AE) by 24.6',0,0),
(95959,160037,3,100,'Adds 1.5% to base avoidance.',0,1),
(95960,160037,3,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 169',0,2),
(95961,160037,4,100,'Increases AGI and WIS of group members (AE) by 27.1',0,0),
(95962,160037,4,100,'Adds 1.7% to base avoidance.',0,1),
(95963,160037,4,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 186',0,2),
(95964,160037,5,100,'Increases AGI and WIS of group members (AE) by 29.5',0,0),
(95965,160037,5,100,'Adds 1.8% to base avoidance.',0,1),
(95966,160037,5,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 203',0,2),
(95967,160037,7,100,'Increases AGI and WIS of group members (AE) by 37.9',0,0),
(95968,160037,7,100,'Adds 2.3% to base avoidance.',0,1),
(95969,160037,7,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 260',0,2),
(95970,160037,9,100,'Increases AGI and WIS of group members (AE) by 39.4',0,0),
(95971,160037,9,100,'Adds 2.4% to base avoidance.',0,1),
(95972,160037,9,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 270',0,2),
(95973,160038,1,100,'Increases AGI and WIS of group members (AE) by 32.2',0,0),
(95974,160038,1,100,'Adds 1.3% to base avoidance.',0,1),
(95975,160038,1,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 219',0,2),
(95976,160038,2,100,'Increases AGI and WIS of group members (AE) by 34.0',0,0),
(95977,160038,2,100,'Adds 1.4% to base avoidance.',0,1),
(95978,160038,2,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 231',0,2),
(95979,160038,3,100,'Increases AGI and WIS of group members (AE) by 35.8',0,0),
(95980,160038,3,100,'Adds 1.5% to base avoidance.',0,1),
(95981,160038,3,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 243',0,2),
(95982,160038,4,100,'Increases AGI and WIS of group members (AE) by 39.4',0,0),
(95983,160038,4,100,'Adds 1.7% to base avoidance.',0,1),
(95984,160038,4,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 267',0,2),
(95985,160038,5,100,'Increases AGI and WIS of group members (AE) by 43.0',0,0),
(95986,160038,5,100,'Adds 1.8% to base avoidance.',0,1),
(95987,160038,5,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 291',0,2),
(95988,160038,7,100,'Increases AGI and WIS of group members (AE) by 55.1',0,0),
(95989,160038,7,100,'Adds 2.3% to base avoidance.',0,1),
(95990,160038,7,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 374',0,2),
(95991,160038,9,100,'Increases AGI and WIS of group members (AE) by 57.3',0,0),
(95992,160038,9,100,'Adds 2.4% to base avoidance.',0,1),
(95993,160038,9,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 389',0,2),
(95994,160039,1,100,'Increases AGI and WIS of group members (AE) by 42.3',0,0),
(95995,160039,1,100,'Adds 1.3% to base avoidance.',0,1),
(95996,160039,1,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 285',0,2),
(95997,160039,2,100,'Increases AGI and WIS of group members (AE) by 44.6',0,0),
(95998,160039,2,100,'Adds 1.4% to base avoidance.',0,1),
(95999,160039,2,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 301',0,2),
(96000,160039,3,100,'Increases AGI and WIS of group members (AE) by 47.0',0,0),
(96001,160039,3,100,'Adds 1.5% to base avoidance.',0,1),
(96002,160039,3,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 317',0,2),
(96003,160039,4,100,'Increases AGI and WIS of group members (AE) by 51.7',0,0),
(96004,160039,4,100,'Adds 1.7% to base avoidance.',0,1),
(96005,160039,4,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 348',0,2),
(96006,160039,5,100,'Increases AGI and WIS of group members (AE) by 56.4',0,0),
(96007,160039,5,100,'Adds 1.8% to base avoidance.',0,1),
(96008,160039,5,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 380',0,2),
(96009,160039,7,100,'Increases AGI and WIS of group members (AE) by 72.4',0,0),
(96010,160039,7,100,'Adds 2.3% to base avoidance.',0,1),
(96011,160039,7,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 488',0,2),
(96012,160039,9,100,'Increases AGI and WIS of group members (AE) by 75.2',0,0),
(96013,160039,9,100,'Adds 2.4% to base avoidance.',0,1),
(96014,160039,9,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 507',0,2),
(96015,160040,1,100,'Increases AGI and WIS of group members (AE) by 52.5',0,0),
(96016,160040,1,100,'Adds 1.3% to base avoidance.',0,1),
(96017,160040,1,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 347',0,2),
(96018,160040,2,100,'Increases AGI and WIS of group members (AE) by 55.4',0,0),
(96019,160040,2,100,'Adds 1.4% to base avoidance.',0,1),
(96020,160040,2,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 366',0,2),
(96021,160040,3,100,'Increases AGI and WIS of group members (AE) by 58.3',0,0),
(96022,160040,3,100,'Adds 1.5% to base avoidance.',0,1),
(96023,160040,3,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 385',0,2),
(96024,160040,4,100,'Increases AGI and WIS of group members (AE) by 64.1',0,0),
(96025,160040,4,100,'Adds 1.7% to base avoidance.',0,1),
(96026,160040,4,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 424',0,2),
(96027,160040,5,100,'Increases AGI and WIS of group members (AE) by 70.0',0,0),
(96028,160040,5,100,'Adds 1.8% to base avoidance.',0,1),
(96029,160040,5,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 463',0,2),
(96030,160040,7,100,'Increases AGI and WIS of group members (AE) by 89.8',0,0),
(96031,160040,7,100,'Adds 2.3% to base avoidance.',0,1),
(96032,160040,7,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 594',0,2),
(96033,160040,9,100,'Increases AGI and WIS of group members (AE) by 93.3',0,0),
(96034,160040,9,100,'Adds 2.4% to base avoidance.',0,1),
(96035,160040,9,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 617',0,2),
(96036,160041,1,100,'Increases AGI and WIS of group members (AE) by 62.4',0,0),
(96037,160041,1,100,'Adds 1.3% to base avoidance.',0,1),
(96038,160041,1,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 394',0,2),
(96039,160041,4,100,'Increases AGI and WIS of group members (AE) by 76.2',0,0),
(96040,160041,4,100,'Adds 1.7% to base avoidance.',0,1),
(96041,160041,4,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 482',0,2),
(96042,160041,5,100,'Increases AGI and WIS of group members (AE) by 83.2',0,0),
(96043,160041,5,100,'Adds 1.8% to base avoidance.',0,1),
(96044,160041,5,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 526',0,2),
(96045,160041,7,100,'Increases AGI and WIS of group members (AE) by 106.7',0,0),
(96046,160041,7,100,'Adds 2.3% to base avoidance.',0,1),
(96047,160041,7,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 675',0,2),
(96048,160041,9,100,'Increases AGI and WIS of group members (AE) by 110.9',0,0),
(96049,160041,9,100,'Adds 2.4% to base avoidance.',0,1),
(96050,160041,9,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 701',0,2),
(96051,160042,1,100,'Increases AGI and WIS of group members (AE) by 72.3',0,0),
(96052,160042,1,100,'Adds 1.3% to base avoidance.',0,1),
(96053,160042,1,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 442',0,2),
(96054,160042,4,100,'Increases AGI and WIS of group members (AE) by 88.3',0,0),
(96055,160042,4,100,'Adds 1.7% to base avoidance.',0,1),
(96056,160042,4,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 540',0,2),
(96057,160042,5,100,'Increases AGI and WIS of group members (AE) by 96.4',0,0),
(96058,160042,5,100,'Adds 1.8% to base avoidance.',0,1),
(96059,160042,5,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 589',0,2),
(96060,160042,7,100,'Increases AGI and WIS of group members (AE) by 123.7',0,0),
(96061,160042,7,100,'Adds 2.3% to base avoidance.',0,1),
(96062,160042,7,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 756',0,2),
(96063,160042,9,100,'Increases AGI and WIS of group members (AE) by 128.5',0,0),
(96064,160042,9,100,'Adds 2.4% to base avoidance.',0,1),
(96065,160042,9,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 786',0,2),
(96066,300056,1,100,'Makes target afraid',0,0),
(96067,300056,1,100,'30% chance to dispel when target takes damage',0,1),
(96068,300056,1,100,'Does not affect Epic targets',0,2),
(96069,300056,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(96070,300056,2,100,'Makes target afraid',0,0),
(96071,300056,2,100,'30% chance to dispel when target takes damage',0,1),
(96072,300056,2,100,'Does not affect Epic targets',0,2),
(96073,300056,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(96074,300056,3,100,'Makes target afraid',0,0),
(96075,300056,3,100,'30% chance to dispel when target takes damage',0,1),
(96076,300056,3,100,'Does not affect Epic targets',0,2),
(96077,300056,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(96078,300056,4,100,'Makes target afraid',0,0),
(96079,300056,4,100,'30% chance to dispel when target takes damage',0,1),
(96080,300056,4,100,'Does not affect Epic targets',0,2),
(96081,300056,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(96082,300056,5,100,'Makes target afraid',0,0),
(96083,300056,5,100,'30% chance to dispel when target takes damage',0,1),
(96084,300056,5,100,'Does not affect Epic targets',0,2),
(96085,300056,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(96086,300056,7,100,'Makes target afraid',0,0),
(96087,300056,7,100,'30% chance to dispel when target takes damage',0,1),
(96088,300056,7,100,'Does not affect Epic targets',0,2),
(96089,300056,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(96090,300056,9,100,'Makes target afraid',0,0),
(96091,300056,9,100,'30% chance to dispel when target takes damage',0,1),
(96092,300056,9,100,'Does not affect Epic targets',0,2),
(96093,300056,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(96094,300057,1,100,'Makes target afraid',0,0),
(96095,300057,1,100,'30% chance to dispel when target takes damage',0,1),
(96096,300057,1,100,'Does not affect Epic targets',0,2),
(96097,300057,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(96098,300057,2,100,'Makes target afraid',0,0),
(96099,300057,2,100,'30% chance to dispel when target takes damage',0,1),
(96100,300057,2,100,'Does not affect Epic targets',0,2),
(96101,300057,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(96102,300057,3,100,'Makes target afraid',0,0),
(96103,300057,3,100,'30% chance to dispel when target takes damage',0,1),
(96104,300057,3,100,'Does not affect Epic targets',0,2),
(96105,300057,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(96106,300057,4,100,'Makes target afraid',0,0),
(96107,300057,4,100,'30% chance to dispel when target takes damage',0,1),
(96108,300057,4,100,'Does not affect Epic targets',0,2),
(96109,300057,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(96110,300057,5,100,'Makes target afraid',0,0),
(96111,300057,5,100,'30% chance to dispel when target takes damage',0,1),
(96112,300057,5,100,'Does not affect Epic targets',0,2),
(96113,300057,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(96114,300057,7,100,'Makes target afraid',0,0),
(96115,300057,7,100,'30% chance to dispel when target takes damage',0,1),
(96116,300057,7,100,'Does not affect Epic targets',0,2),
(96117,300057,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(96118,300057,9,100,'Makes target afraid',0,0),
(96119,300057,9,100,'30% chance to dispel when target takes damage',0,1),
(96120,300057,9,100,'Does not affect Epic targets',0,2),
(96121,300057,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(96122,300058,1,100,'Makes target afraid',0,0),
(96123,300058,1,100,'30% chance to dispel when target takes damage',0,1),
(96124,300058,1,100,'Does not affect Epic targets',0,2),
(96125,300058,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(96126,300058,2,100,'Makes target afraid',0,0),
(96127,300058,2,100,'30% chance to dispel when target takes damage',0,1),
(96128,300058,2,100,'Does not affect Epic targets',0,2),
(96129,300058,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(96130,300058,3,100,'Makes target afraid',0,0),
(96131,300058,3,100,'30% chance to dispel when target takes damage',0,1),
(96132,300058,3,100,'Does not affect Epic targets',0,2),
(96133,300058,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(96134,300058,4,100,'Makes target afraid',0,0),
(96135,300058,4,100,'30% chance to dispel when target takes damage',0,1),
(96136,300058,4,100,'Does not affect Epic targets',0,2),
(96137,300058,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(96138,300058,5,100,'Makes target afraid',0,0),
(96139,300058,5,100,'30% chance to dispel when target takes damage',0,1),
(96140,300058,5,100,'Does not affect Epic targets',0,2),
(96141,300058,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(96142,300058,7,100,'Makes target afraid',0,0),
(96143,300058,7,100,'30% chance to dispel when target takes damage',0,1),
(96144,300058,7,100,'Does not affect Epic targets',0,2),
(96145,300058,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(96146,300058,9,100,'Makes target afraid',0,0),
(96147,300058,9,100,'30% chance to dispel when target takes damage',0,1),
(96148,300058,9,100,'Does not affect Epic targets',0,2),
(96149,300058,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(96150,300059,1,100,'Makes target afraid',0,0),
(96151,300059,1,100,'30% chance to dispel when target takes damage',0,1),
(96152,300059,1,100,'Does not affect Epic targets',0,2),
(96153,300059,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(96154,300059,2,100,'Makes target afraid',0,0),
(96155,300059,2,100,'30% chance to dispel when target takes damage',0,1),
(96156,300059,2,100,'Does not affect Epic targets',0,2),
(96157,300059,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(96158,300059,3,100,'Makes target afraid',0,0),
(96159,300059,3,100,'30% chance to dispel when target takes damage',0,1),
(96160,300059,3,100,'Does not affect Epic targets',0,2),
(96161,300059,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(96162,300059,4,100,'Makes target afraid',0,0),
(96163,300059,4,100,'30% chance to dispel when target takes damage',0,1),
(96164,300059,4,100,'Does not affect Epic targets',0,2),
(96165,300059,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(96166,300059,5,100,'Makes target afraid',0,0),
(96167,300059,5,100,'30% chance to dispel when target takes damage',0,1),
(96168,300059,5,100,'Does not affect Epic targets',0,2),
(96169,300059,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(96170,300059,7,100,'Makes target afraid',0,0),
(96171,300059,7,100,'30% chance to dispel when target takes damage',0,1),
(96172,300059,7,100,'Does not affect Epic targets',0,2),
(96173,300059,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(96174,300059,9,100,'Makes target afraid',0,0),
(96175,300059,9,100,'30% chance to dispel when target takes damage',0,1),
(96176,300059,9,100,'Does not affect Epic targets',0,2),
(96177,300059,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(96178,300060,1,100,'Makes target afraid',0,0),
(96179,300060,1,100,'30% chance to dispel when target takes damage',0,1),
(96180,300060,1,100,'Does not affect Epic targets',0,2),
(96181,300060,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(96182,300060,2,100,'Makes target afraid',0,0),
(96183,300060,2,100,'30% chance to dispel when target takes damage',0,1),
(96184,300060,2,100,'Does not affect Epic targets',0,2),
(96185,300060,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(96186,300060,3,100,'Makes target afraid',0,0),
(96187,300060,3,100,'30% chance to dispel when target takes damage',0,1),
(96188,300060,3,100,'Does not affect Epic targets',0,2),
(96189,300060,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(96190,300060,4,100,'Makes target afraid',0,0),
(96191,300060,4,100,'30% chance to dispel when target takes damage',0,1),
(96192,300060,4,100,'Does not affect Epic targets',0,2),
(96193,300060,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(96194,300060,5,100,'Makes target afraid',0,0),
(96195,300060,5,100,'30% chance to dispel when target takes damage',0,1),
(96196,300060,5,100,'Does not affect Epic targets',0,2),
(96197,300060,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(96198,300060,7,100,'Makes target afraid',0,0),
(96199,300060,7,100,'30% chance to dispel when target takes damage',0,1),
(96200,300060,7,100,'Does not affect Epic targets',0,2),
(96201,300060,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(96202,300060,9,100,'Makes target afraid',0,0),
(96203,300060,9,100,'30% chance to dispel when target takes damage',0,1),
(96204,300060,9,100,'Does not affect Epic targets',0,2),
(96205,300060,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(96206,300061,1,100,'Makes target afraid',0,0),
(96207,300061,1,100,'30% chance to dispel when target takes damage',0,1),
(96208,300061,1,100,'Does not affect Epic targets',0,2),
(96209,300061,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(96210,300061,4,100,'Makes target afraid',0,0),
(96211,300061,4,100,'30% chance to dispel when target takes damage',0,1),
(96212,300061,4,100,'Does not affect Epic targets',0,2),
(96213,300061,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(96214,300061,5,100,'Makes target afraid',0,0),
(96215,300061,5,100,'30% chance to dispel when target takes damage',0,1),
(96216,300061,5,100,'Does not affect Epic targets',0,2),
(96217,300061,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(96218,300061,7,100,'Makes target afraid',0,0),
(96219,300061,7,100,'30% chance to dispel when target takes damage',0,1),
(96220,300061,7,100,'Does not affect Epic targets',0,2),
(96221,300061,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(96222,300061,9,100,'Makes target afraid',0,0),
(96223,300061,9,100,'30% chance to dispel when target takes damage',0,1),
(96224,300061,9,100,'Does not affect Epic targets',0,2),
(96225,300061,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(96226,2000451,1,100,'Increases Potency of group members (AE) by 2.0%',0,0),
(96227,2000451,1,100,'Makes caster immune to Fear effects',0,1),
(96228,170054,1,100,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',0,0),
(96229,170054,1,100,'Heals group members (AE) for 25 - 30 instantly and every 3 seconds',1,1),
(96230,170054,1,100,'Increases STR, AGI, WIS and INT of group members (AE) by 10.0',1,2),
(96231,170054,1,100,'Increases STA of group members (AE) by 20.1',1,3),
(96232,170054,1,100,'Adds 0.5% to base avoidance.',1,4),
(96233,170054,1,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 26',1,5),
(96234,170054,1,100,'Reduces the power cost of spells cast by group members by 2.81%',1,6),
(96235,170054,1,100,'Reduces the power cost of spells cast by group members by 2.81%',1,7),
(96236,170054,2,100,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',0,0),
(96237,170054,2,100,'Heals group members (AE) for 26 - 32 instantly and every 3 seconds',1,1),
(96238,170054,2,100,'Increases STR, AGI, WIS and INT of group members (AE) by 10.6',1,2),
(96239,170054,2,100,'Increases STA of group members (AE) by 21.2',1,3),
(96240,170054,2,100,'Adds 0.6% to base avoidance.',1,4),
(96241,170054,2,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 28',1,5),
(96242,170054,2,100,'Reduces the power cost of spells cast by group members by 2.97%',1,6),
(96243,170054,2,100,'Reduces the power cost of spells cast by group members by 2.97%',1,7),
(96244,170054,3,100,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',0,0),
(96245,170054,3,100,'Heals group members (AE) for 28 - 34 instantly and every 3 seconds',1,1),
(96246,170054,3,100,'Increases STR, AGI, WIS and INT of group members (AE) by 11.1',1,2),
(96247,170054,3,100,'Increases STA of group members (AE) by 22.3',1,3),
(96248,170054,3,100,'Adds 0.6% to base avoidance.',1,4),
(96249,170054,3,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 29',1,5),
(96250,170054,3,100,'Reduces the power cost of spells cast by group members by 3.12%',1,6),
(96251,170054,3,100,'Reduces the power cost of spells cast by group members by 3.12%',1,7),
(96252,170054,4,100,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',0,0),
(96253,170054,4,100,'Heals group members (AE) for 30 - 37 instantly and every 3 seconds',1,1),
(96254,170054,4,100,'Increases STR, AGI, WIS and INT of group members (AE) by 12.3',1,2),
(96255,170054,4,100,'Increases STA of group members (AE) by 24.5',1,3),
(96256,170054,4,100,'Adds 0.7% to base avoidance.',1,4),
(96257,170054,4,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 32',1,5),
(96258,170054,4,100,'Reduces the power cost of spells cast by group members by 3.44%',1,6),
(96259,170054,4,100,'Reduces the power cost of spells cast by group members by 3.44%',1,7),
(96260,170054,5,100,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',0,0),
(96261,170054,5,100,'Heals group members (AE) for 33 - 41 instantly and every 3 seconds',1,1),
(96262,170054,5,100,'Increases STR, AGI, WIS and INT of group members (AE) by 13.4',1,2),
(96263,170054,5,100,'Increases STA of group members (AE) by 26.8',1,3),
(96264,170054,5,100,'Adds 0.7% to base avoidance.',1,4),
(96265,170054,5,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 35',1,5),
(96266,170054,5,100,'Reduces the power cost of spells cast by group members by 3.75%',1,6),
(96267,170054,5,100,'Reduces the power cost of spells cast by group members by 3.75%',1,7),
(96268,170054,7,100,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',0,0),
(96269,170054,7,100,'Heals group members (AE) for 43 - 52 instantly and every 3 seconds',1,1),
(96270,170054,7,100,'Increases STR, AGI, WIS and INT of group members (AE) by 17.2',1,2),
(96271,170054,7,100,'Increases STA of group members (AE) by 34.3',1,3),
(96272,170054,7,100,'Adds 0.9% to base avoidance.',1,4),
(96273,170054,7,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 45',1,5),
(96274,170054,7,100,'Reduces the power cost of spells cast by group members by 4.81%',1,6),
(96275,170054,7,100,'Reduces the power cost of spells cast by group members by 4.37%',1,7),
(96276,170054,9,100,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',0,0),
(96277,170054,9,100,'Heals group members (AE) for 44 - 54 instantly and every 3 seconds',1,1),
(96278,170054,9,100,'Increases STR, AGI, WIS and INT of group members (AE) by 17.8',1,2),
(96279,170054,9,100,'Increases STA of group members (AE) by 35.7',1,3),
(96280,170054,9,100,'Adds 1.0% to base avoidance.',1,4),
(96281,170054,9,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 46',1,5),
(96282,170054,9,100,'Reduces the power cost of spells cast by group members by 5%',1,6),
(96283,170054,9,100,'Reduces the power cost of spells cast by group members by 5%',1,7),
(96284,170055,1,100,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',0,0),
(96285,170055,1,100,'Heals group members (AE) for 39 - 48 instantly and every 3 seconds',1,1),
(96286,170055,1,100,'Increases STR, AGI, WIS and INT of group members (AE) by 15.0',1,2),
(96287,170055,1,100,'Increases STA of group members (AE) by 30.1',1,3),
(96288,170055,1,100,'Adds 0.5% to base avoidance.',1,4),
(96289,170055,1,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 39',1,5),
(96290,170055,1,100,'Reduces the power cost of spells cast by group members by 2.81%',1,6),
(96291,170055,1,100,'Reduces the power cost of spells cast by group members by 2.81%',1,7),
(96292,170055,2,100,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',0,0),
(96293,170055,2,100,'Heals group members (AE) for 41 - 51 instantly and every 3 seconds',1,1),
(96294,170055,2,100,'Increases STR, AGI, WIS and INT of group members (AE) by 15.9',1,2),
(96295,170055,2,100,'Increases STA of group members (AE) by 31.7',1,3),
(96296,170055,2,100,'Adds 0.6% to base avoidance.',1,4),
(96297,170055,2,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 41',1,5),
(96298,170055,2,100,'Reduces the power cost of spells cast by group members by 2.97%',1,6),
(96299,170055,2,100,'Reduces the power cost of spells cast by group members by 2.97%',1,7),
(96300,170055,3,100,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',0,0),
(96301,170055,3,100,'Heals group members (AE) for 44 - 53 instantly and every 3 seconds',1,1),
(96302,170055,3,100,'Increases STR, AGI, WIS and INT of group members (AE) by 16.7',1,2),
(96303,170055,3,100,'Increases STA of group members (AE) by 33.4',1,3),
(96304,170055,3,100,'Adds 0.6% to base avoidance.',1,4),
(96305,170055,3,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 43',1,5),
(96306,170055,3,100,'Reduces the power cost of spells cast by group members by 3.12%',1,6),
(96307,170055,3,100,'Reduces the power cost of spells cast by group members by 3.12%',1,7),
(96308,170055,4,100,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',0,0),
(96309,170055,4,100,'Heals group members (AE) for 48 - 59 instantly and every 3 seconds',1,1),
(96310,170055,4,100,'Increases STR, AGI, WIS and INT of group members (AE) by 18.4',1,2),
(96311,170055,4,100,'Increases STA of group members (AE) by 36.7',1,3),
(96312,170055,4,100,'Adds 0.7% to base avoidance.',1,4),
(96313,170055,4,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 47',1,5),
(96314,170055,4,100,'Reduces the power cost of spells cast by group members by 3.44%',1,6),
(96315,170055,4,100,'Reduces the power cost of spells cast by group members by 3.44%',1,7),
(96316,170055,5,100,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',0,0),
(96317,170055,5,100,'Heals group members (AE) for 52 - 64 instantly and every 3 seconds',1,1),
(96318,170055,5,100,'Increases STR, AGI, WIS and INT of group members (AE) by 20.0',1,2),
(96319,170055,5,100,'Increases STA of group members (AE) by 40.1',1,3),
(96320,170055,5,100,'Adds 0.7% to base avoidance.',1,4),
(96321,170055,5,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 52',1,5),
(96322,170055,5,100,'Reduces the power cost of spells cast by group members by 3.75%',1,6),
(96323,170055,5,100,'Reduces the power cost of spells cast by group members by 3.75%',1,7),
(96324,170055,7,100,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',0,0),
(96325,170055,7,100,'Heals group members (AE) for 67 - 82 instantly and every 3 seconds',1,1),
(96326,170055,7,100,'Increases STR, AGI, WIS and INT of group members (AE) by 25.7',1,2),
(96327,170055,7,100,'Increases STA of group members (AE) by 51.4',1,3),
(96328,170055,7,100,'Adds 0.9% to base avoidance.',1,4),
(96329,170055,7,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 66',1,5),
(96330,170055,7,100,'Reduces the power cost of spells cast by group members by 4.81%',1,6),
(96331,170055,7,100,'Reduces the power cost of spells cast by group members by 4.37%',1,7),
(96332,170055,9,100,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',0,0),
(96333,170055,9,100,'Heals group members (AE) for 70 - 85 instantly and every 3 seconds',1,1),
(96334,170055,9,100,'Increases STR, AGI, WIS and INT of group members (AE) by 26.7',1,2),
(96335,170055,9,100,'Increases STA of group members (AE) by 53.4',1,3),
(96336,170055,9,100,'Adds 1.0% to base avoidance.',1,4),
(96337,170055,9,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 69',1,5),
(96338,170055,9,100,'Reduces the power cost of spells cast by group members by 5%',1,6),
(96339,170055,9,100,'Reduces the power cost of spells cast by group members by 5%',1,7),
(96340,170056,1,100,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',0,0),
(96341,170056,1,100,'Heals group members (AE) for 56 - 69 instantly and every 3 seconds',1,1),
(96342,170056,1,100,'Increases STR, AGI, WIS and INT of group members (AE) by 20.1',1,2),
(96343,170056,1,100,'Increases STA of group members (AE) by 40.1',1,3),
(96344,170056,1,100,'Adds 0.5% to base avoidance.',1,4),
(96345,170056,1,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 51',1,5),
(96346,170056,1,100,'Reduces the power cost of spells cast by group members by 2.81%',1,6),
(96347,170056,1,100,'Reduces the power cost of spells cast by group members by 2.81%',1,7),
(96348,170056,2,100,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',0,0),
(96349,170056,2,100,'Heals group members (AE) for 59 - 73 instantly and every 3 seconds',1,1),
(96350,170056,2,100,'Increases STR, AGI, WIS and INT of group members (AE) by 21.2',1,2),
(96351,170056,2,100,'Increases STA of group members (AE) by 42.4',1,3),
(96352,170056,2,100,'Adds 0.6% to base avoidance.',1,4),
(96353,170056,2,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 54',1,5),
(96354,170056,2,100,'Reduces the power cost of spells cast by group members by 2.97%',1,6),
(96355,170056,2,100,'Reduces the power cost of spells cast by group members by 2.97%',1,7),
(96356,170056,3,100,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',0,0),
(96357,170056,3,100,'Heals group members (AE) for 63 - 76 instantly and every 3 seconds',1,1),
(96358,170056,3,100,'Increases STR, AGI, WIS and INT of group members (AE) by 22.3',1,2),
(96359,170056,3,100,'Increases STA of group members (AE) by 44.6',1,3),
(96360,170056,3,100,'Adds 0.6% to base avoidance.',1,4),
(96361,170056,3,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 57',1,5),
(96362,170056,3,100,'Reduces the power cost of spells cast by group members by 3.12%',1,6),
(96363,170056,3,100,'Reduces the power cost of spells cast by group members by 3.12%',1,7),
(96364,170056,4,100,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',0,0),
(96365,170056,4,100,'Heals group members (AE) for 69 - 84 instantly and every 3 seconds',1,1),
(96366,170056,4,100,'Increases STR, AGI, WIS and INT of group members (AE) by 24.5',1,2),
(96367,170056,4,100,'Increases STA of group members (AE) by 49.1',1,3),
(96368,170056,4,100,'Adds 0.7% to base avoidance.',1,4),
(96369,170056,4,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 63',1,5),
(96370,170056,4,100,'Reduces the power cost of spells cast by group members by 3.44%',1,6),
(96371,170056,4,100,'Reduces the power cost of spells cast by group members by 3.44%',1,7),
(96372,170056,5,100,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',0,0),
(96373,170056,5,100,'Heals group members (AE) for 75 - 92 instantly and every 3 seconds',1,1),
(96374,170056,5,100,'Increases STR, AGI, WIS and INT of group members (AE) by 26.8',1,2),
(96375,170056,5,100,'Increases STA of group members (AE) by 53.5',1,3),
(96376,170056,5,100,'Adds 0.7% to base avoidance.',1,4),
(96377,170056,5,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 68',1,5),
(96378,170056,5,100,'Reduces the power cost of spells cast by group members by 3.75%',1,6),
(96379,170056,5,100,'Reduces the power cost of spells cast by group members by 3.75%',1,7),
(96380,170056,7,100,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',0,0),
(96381,170056,7,100,'Heals group members (AE) for 96 - 118 instantly and every 3 seconds',1,1),
(96382,170056,7,100,'Increases STR, AGI, WIS and INT of group members (AE) by 34.3',1,2),
(96383,170056,7,100,'Increases STA of group members (AE) by 68.7',1,3),
(96384,170056,7,100,'Adds 0.9% to base avoidance.',1,4),
(96385,170056,7,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 88',1,5),
(96386,170056,7,100,'Reduces the power cost of spells cast by group members by 4.81%',1,6),
(96387,170056,7,100,'Reduces the power cost of spells cast by group members by 4.37%',1,7),
(96388,170056,9,100,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',0,0),
(96389,170056,9,100,'Heals group members (AE) for 100 - 122 instantly and every 3 seconds',1,1),
(96390,170056,9,100,'Increases STR, AGI, WIS and INT of group members (AE) by 35.7',1,2),
(96391,170056,9,100,'Increases STA of group members (AE) by 71.4',1,3),
(96392,170056,9,100,'Adds 1.0% to base avoidance.',1,4),
(96393,170056,9,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 91',1,5),
(96394,170056,9,100,'Reduces the power cost of spells cast by group members by 5%',1,6),
(96395,170056,9,100,'Reduces the power cost of spells cast by group members by 5%',1,7),
(96396,170057,1,100,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',0,0),
(96397,170057,1,100,'Heals group members (AE) for 75 - 91 instantly and every 3 seconds',1,1),
(96398,170057,1,100,'Increases STR, AGI, WIS and INT of group members (AE) by 25.2',1,2),
(96399,170057,1,100,'Increases STA of group members (AE) by 50.5',1,3),
(96400,170057,1,100,'Adds 0.5% to base avoidance.',1,4),
(96401,170057,1,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 67',1,5),
(96402,170057,1,100,'Reduces the power cost of spells cast by group members by 2.81%',1,6),
(96403,170057,1,100,'Reduces the power cost of spells cast by group members by 2.81%',1,7),
(96404,170057,2,100,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',0,0),
(96405,170057,2,100,'Heals group members (AE) for 79 - 96 instantly and every 3 seconds',1,1),
(96406,170057,2,100,'Increases STR, AGI, WIS and INT of group members (AE) by 26.6',1,2),
(96407,170057,2,100,'Increases STA of group members (AE) by 53.3',1,3),
(96408,170057,2,100,'Adds 0.6% to base avoidance.',1,4),
(96409,170057,2,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 71',1,5),
(96410,170057,2,100,'Reduces the power cost of spells cast by group members by 2.97%',1,6),
(96411,170057,2,100,'Reduces the power cost of spells cast by group members by 2.97%',1,7),
(96412,170057,3,100,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',0,0),
(96413,170057,3,100,'Heals group members (AE) for 83 - 101 instantly and every 3 seconds',1,1),
(96414,170057,3,100,'Increases STR, AGI, WIS and INT of group members (AE) by 28.0',1,2),
(96415,170057,3,100,'Increases STA of group members (AE) by 56.1',1,3),
(96416,170057,3,100,'Adds 0.6% to base avoidance.',1,4),
(96417,170057,3,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 75',1,5),
(96418,170057,3,100,'Reduces the power cost of spells cast by group members by 3.12%',1,6),
(96419,170057,3,100,'Reduces the power cost of spells cast by group members by 3.12%',1,7),
(96420,170057,4,100,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',0,0),
(96421,170057,4,100,'Heals group members (AE) for 91 - 111 instantly and every 3 seconds',1,1),
(96422,170057,4,100,'Increases STR, AGI, WIS and INT of group members (AE) by 30.9',1,2),
(96423,170057,4,100,'Increases STA of group members (AE) by 61.7',1,3),
(96424,170057,4,100,'Adds 0.7% to base avoidance.',1,4),
(96425,170057,4,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 82',1,5),
(96426,170057,4,100,'Reduces the power cost of spells cast by group members by 3.44%',1,6),
(96427,170057,4,100,'Reduces the power cost of spells cast by group members by 3.44%',1,7),
(96428,170057,5,100,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',0,0),
(96429,170057,5,100,'Heals group members (AE) for 99 - 122 instantly and every 3 seconds',1,1),
(96430,170057,5,100,'Increases STR, AGI, WIS and INT of group members (AE) by 33.7',1,2),
(96431,170057,5,100,'Increases STA of group members (AE) by 67.3',1,3),
(96432,170057,5,100,'Adds 0.7% to base avoidance.',1,4),
(96433,170057,5,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 89',1,5),
(96434,170057,5,100,'Reduces the power cost of spells cast by group members by 3.75%',1,6),
(96435,170057,5,100,'Reduces the power cost of spells cast by group members by 3.75%',1,7),
(96436,170057,7,100,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',0,0),
(96437,170057,7,100,'Heals group members (AE) for 128 - 156 instantly and every 3 seconds',1,1),
(96438,170057,7,100,'Increases STR, AGI, WIS and INT of group members (AE) by 43.2',1,2),
(96439,170057,7,100,'Increases STA of group members (AE) by 86.4',1,3),
(96440,170057,7,100,'Adds 0.9% to base avoidance.',1,4),
(96441,170057,7,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 115',1,5),
(96442,170057,7,100,'Reduces the power cost of spells cast by group members by 4.81%',1,6),
(96443,170057,7,100,'Reduces the power cost of spells cast by group members by 4.37%',1,7),
(96444,170057,9,100,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',0,0),
(96445,170057,9,100,'Heals group members (AE) for 133 - 162 instantly and every 3 seconds',1,1),
(96446,170057,9,100,'Increases STR, AGI, WIS and INT of group members (AE) by 44.9',1,2),
(96447,170057,9,100,'Increases STA of group members (AE) by 89.8',1,3),
(96448,170057,9,100,'Adds 1.0% to base avoidance.',1,4),
(96449,170057,9,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 119',1,5),
(96450,170057,9,100,'Reduces the power cost of spells cast by group members by 5%',1,6),
(96451,170057,9,100,'Reduces the power cost of spells cast by group members by 5%',1,7),
(96452,170057,10,100,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',0,0),
(96453,170057,10,100,'Heals group members (AE) for 139 - 170 instantly and every 3 seconds',1,1),
(96454,170057,10,100,'Increases STR, AGI, WIS and INT of group members (AE) by 47.1',1,2),
(96455,170057,10,100,'Increases STA of group members (AE) by 94.2',1,3),
(96456,170057,10,100,'Adds 1.0% to base avoidance.',1,4),
(96457,170057,10,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 125',1,5),
(96458,170057,10,100,'Reduces the power cost of spells cast by group members by 5.25%',1,6),
(96459,170057,10,100,'Reduces the power cost of spells cast by group members by 5.16%',1,7),
(96460,170058,1,100,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',0,0),
(96461,170058,1,100,'Heals group members (AE) for 99 - 121 instantly and every 3 seconds',1,1),
(96462,170058,1,100,'Increases STR, AGI, WIS and INT of group members (AE) by 30.2',1,2),
(96463,170058,1,100,'Increases STA of group members (AE) by 60.4',1,3),
(96464,170058,1,100,'Adds 0.5% to base avoidance.',1,4),
(96465,170058,1,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 77',1,5),
(96466,170058,1,100,'Reduces the power cost of spells cast by group members by 2.81%',1,6),
(96467,170058,1,100,'Reduces the power cost of spells cast by group members by 2.81%',1,7),
(96468,170058,4,100,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',0,0),
(96469,170058,4,100,'Heals group members (AE) for 121 - 148 instantly and every 3 seconds',1,1),
(96470,170058,4,100,'Increases STR, AGI, WIS and INT of group members (AE) by 36.9',1,2),
(96471,170058,4,100,'Increases STA of group members (AE) by 73.8',1,3),
(96472,170058,4,100,'Adds 0.7% to base avoidance.',1,4),
(96473,170058,4,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 94',1,5),
(96474,170058,4,100,'Reduces the power cost of spells cast by group members by 3.44%',1,6),
(96475,170058,4,100,'Reduces the power cost of spells cast by group members by 3.44%',1,7),
(96476,170058,5,100,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',0,0),
(96477,170058,5,100,'Heals group members (AE) for 132 - 161 instantly and every 3 seconds',1,1),
(96478,170058,5,100,'Increases STR, AGI, WIS and INT of group members (AE) by 40.3',1,2),
(96479,170058,5,100,'Increases STA of group members (AE) by 80.5',1,3),
(96480,170058,5,100,'Adds 0.7% to base avoidance.',1,4),
(96481,170058,5,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 103',1,5),
(96482,170058,5,100,'Reduces the power cost of spells cast by group members by 3.75%',1,6),
(96483,170058,5,100,'Reduces the power cost of spells cast by group members by 3.75%',1,7),
(96484,170058,7,100,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',0,0),
(96485,170058,7,100,'Heals group members (AE) for 170 - 207 instantly and every 3 seconds',1,1),
(96486,170058,7,100,'Increases STR, AGI, WIS and INT of group members (AE) by 51.7',1,2),
(96487,170058,7,100,'Increases STA of group members (AE) by 103.3',1,3),
(96488,170058,7,100,'Adds 0.9% to base avoidance.',1,4),
(96489,170058,7,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 132',1,5),
(96490,170058,7,100,'Reduces the power cost of spells cast by group members by 4.81%',1,6),
(96491,170058,7,100,'Reduces the power cost of spells cast by group members by 4.37%',1,7),
(96492,170058,9,100,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',0,0),
(96493,170058,9,100,'Heals group members (AE) for 176 - 215 instantly and every 3 seconds',1,1),
(96494,170058,9,100,'Increases STR, AGI, WIS and INT of group members (AE) by 53.7',1,2),
(96495,170058,9,100,'Increases STA of group members (AE) by 107.4',1,3),
(96496,170058,9,100,'Adds 1.0% to base avoidance.',1,4),
(96497,170058,9,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 137',1,5),
(96498,170058,9,100,'Reduces the power cost of spells cast by group members by 5%',1,6),
(96499,170058,9,100,'Reduces the power cost of spells cast by group members by 5%',1,7),
(96500,170058,10,100,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',0,0),
(96501,170058,10,100,'Heals group members (AE) for 185 - 226 instantly and every 3 seconds',1,1),
(96502,170058,10,100,'Increases STR, AGI, WIS and INT of group members (AE) by 56.4',1,2),
(96503,170058,10,100,'Increases STA of group members (AE) by 112.7',1,3),
(96504,170058,10,100,'Adds 1.0% to base avoidance.',1,4),
(96505,170058,10,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 144',1,5),
(96506,170058,10,100,'Reduces the power cost of spells cast by group members by 5.25%',1,6),
(96507,170058,10,100,'Reduces the power cost of spells cast by group members by 5.16%',1,7),
(96508,170059,1,100,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',0,0),
(96509,170059,1,100,'Heals group members (AE) for 116 - 142 instantly and every 3 seconds',1,1),
(96510,170059,1,100,'Increases STR, AGI, WIS and INT of group members (AE) by 35.1',1,2),
(96511,170059,1,100,'Increases STA of group members (AE) by 70.3',1,3),
(96512,170059,1,100,'Adds 0.5% to base avoidance.',1,4),
(96513,170059,1,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 90',1,5),
(96514,170059,1,100,'Reduces the power cost of spells cast by group members by 2.81%',1,6),
(96515,170059,1,100,'Reduces the power cost of spells cast by group members by 2.81%',1,7),
(96516,170059,4,100,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',0,0),
(96517,170059,4,100,'Heals group members (AE) for 142 - 174 instantly and every 3 seconds',1,1),
(96518,170059,4,100,'Increases STR, AGI, WIS and INT of group members (AE) by 43.0',1,2),
(96519,170059,4,100,'Increases STA of group members (AE) by 85.9',1,3),
(96520,170059,4,100,'Adds 0.7% to base avoidance.',1,4),
(96521,170059,4,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 110',1,5),
(96522,170059,4,100,'Reduces the power cost of spells cast by group members by 3.44%',1,6),
(96523,170059,4,100,'Reduces the power cost of spells cast by group members by 3.44%',1,7),
(96524,170059,5,100,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',0,0),
(96525,170059,5,100,'Heals group members (AE) for 155 - 190 instantly and every 3 seconds',1,1),
(96526,170059,5,100,'Increases STR, AGI, WIS and INT of group members (AE) by 46.9',1,2),
(96527,170059,5,100,'Increases STA of group members (AE) by 93.7',1,3),
(96528,170059,5,100,'Adds 0.7% to base avoidance.',1,4),
(96529,170059,5,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 120',1,5),
(96530,170059,5,100,'Reduces the power cost of spells cast by group members by 3.75%',1,6),
(96531,170059,5,100,'Reduces the power cost of spells cast by group members by 3.75%',1,7),
(96532,170059,7,100,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',0,0),
(96533,170059,7,100,'Heals group members (AE) for 199 - 243 instantly and every 3 seconds',1,1),
(96534,170059,7,100,'Increases STR, AGI, WIS and INT of group members (AE) by 60.1',1,2),
(96535,170059,7,100,'Increases STA of group members (AE) by 120.3',1,3),
(96536,170059,7,100,'Adds 0.9% to base avoidance.',1,4),
(96537,170059,7,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 154',1,5),
(96538,170059,7,100,'Reduces the power cost of spells cast by group members by 4.81%',1,6),
(96539,170059,7,100,'Reduces the power cost of spells cast by group members by 4.37%',1,7),
(96540,170059,9,100,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',0,0),
(96541,170059,9,100,'Heals group members (AE) for 207 - 253 instantly and every 3 seconds',1,1),
(96542,170059,9,100,'Increases STR, AGI, WIS and INT of group members (AE) by 62.5',1,2),
(96543,170059,9,100,'Increases STA of group members (AE) by 125.0',1,3),
(96544,170059,9,100,'Adds 1.0% to base avoidance.',1,4),
(96545,170059,9,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 160',1,5),
(96546,170059,9,100,'Reduces the power cost of spells cast by group members by 5%',1,6),
(96547,170059,9,100,'Reduces the power cost of spells cast by group members by 5%',1,7),
(96548,300062,5,100,'Inflicts 112 disease damage on target instantly and every 4 seconds',0,0),
(96549,300062,5,100,'Heals caster for 74 instantly and every 4 seconds',0,1),
(96550,300062,5,100,'Increases power of caster by 37 instantly and every 4 seconds',0,2),
(96551,300063,5,100,'Inflicts 112 disease damage on target instantly and every 4 seconds',0,0),
(96552,300063,5,100,'Heals caster for 74 instantly and every 4 seconds',0,1),
(96553,300063,5,100,'Increases power of caster by 37 instantly and every 4 seconds',0,2),
(96554,300064,5,100,'Inflicts 168 disease damage on target instantly and every 4 seconds',0,0),
(96555,300064,5,100,'Heals caster for 114 instantly and every 4 seconds',0,1),
(96556,300064,5,100,'Increases power of caster by 57 instantly and every 4 seconds',0,2),
(96557,300062,7,100,'Inflicts 144 disease damage on target instantly and every 4 seconds',0,0),
(96558,300062,7,100,'Increases power of caster by 48 instantly and every 4 seconds',0,1),
(96559,300062,7,100,'Heals caster for 95 instantly and every 4 seconds',0,2),
(96560,300063,7,100,'Inflicts 144 disease damage on target instantly and every 4 seconds',0,0),
(96561,300063,7,100,'Heals caster for 95 instantly and every 4 seconds',0,1),
(96562,300063,7,100,'Increases power of caster by 48 instantly and every 4 seconds',0,2),
(96563,300064,7,100,'Inflicts 216 disease damage on target instantly and every 4 seconds',0,0),
(96564,300064,7,100,'Increases power of caster by 73 instantly and every 4 seconds',0,1),
(96565,300064,7,100,'Heals caster for 147 instantly and every 4 seconds',0,2),
(96566,300062,9,100,'Inflicts 150 disease damage on target instantly and every 4 seconds',0,0),
(96567,300062,9,100,'Heals caster for 99 instantly and every 4 seconds',0,1),
(96568,300062,9,100,'Increases power of caster by 50 instantly and every 4 seconds',0,2),
(96569,300064,9,100,'Inflicts 224 disease damage on target instantly and every 4 seconds',0,0),
(96570,300064,9,100,'Heals caster for 152 instantly and every 4 seconds',0,1),
(96571,300064,9,100,'Increases power of caster by 76 instantly and every 4 seconds',0,2),
(96572,300063,9,100,'Inflicts 150 disease damage on target instantly and every 4 seconds',0,0),
(96573,300063,9,100,'Increases power of caster by 50 instantly and every 4 seconds',0,1),
(96574,300063,9,100,'Heals caster for 99 instantly and every 4 seconds',0,2),
(96575,300062,10,100,'Inflicts 157 disease damage on target instantly and every 4 seconds',0,0),
(96576,300062,10,100,'Heals caster for 104 instantly and every 4 seconds',0,1),
(96577,300062,10,100,'Increases power of caster by 52 instantly and every 4 seconds',0,2),
(96578,300064,10,100,'Inflicts 235 disease damage on target instantly and every 4 seconds',0,0),
(96579,300064,10,100,'Heals caster for 160 instantly and every 4 seconds',0,1),
(96580,300064,10,100,'Increases power of caster by 80 instantly and every 4 seconds',0,2),
(96581,2000452,1,100,'Applies Hatched Spiderlings on termination.  Lasts for 1 minute 12 seconds.',0,0),
(96582,2000452,1,100,'Summons a limited pet to aid the caster',1,1),
(96583,2000452,1,100,'Inflicts 0 piercing damage on target',0,2),
(96584,2000452,1,100,'Inflicts 1 disease damage on target every 12 seconds',0,3),
(96585,170060,3,100,'Heals group members (AE) for 428 - 524',0,0),
(96586,170060,3,100,'Heals group members (AE) for 176 - 216 every 2 seconds',0,1),
(96587,2000453,1,100,'Increases Haste of caster by 9.0',0,0),
(96588,2000453,1,100,'Increases speed of caster by 15.0%',0,1),
(96589,170061,1,100,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',0,0),
(96590,170061,1,100,'Heals target for 256',1,1),
(96591,170061,1,100,'Heals target for 64 every 2 seconds',1,2),
(96592,170061,1,100,'Increases AGI of target by 28.6',1,3),
(96593,170061,1,100,'Grants a total of 1 trigger of the spell.',1,4),
(96594,170061,2,100,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',0,0),
(96595,170061,2,100,'Heals target for 270',1,1),
(96596,170061,2,100,'Heals target for 67 every 2 seconds',1,2),
(96597,170061,2,100,'Increases AGI of target by 30.2',1,3),
(96598,170061,2,100,'Grants a total of 1 trigger of the spell.',1,4),
(96599,170061,3,100,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',0,0),
(96600,170061,3,100,'Heals target for 284',1,1),
(96601,170061,3,100,'Heals target for 71 every 2 seconds',1,2),
(96602,170061,3,100,'Increases AGI of target by 31.8',1,3),
(96603,170061,3,100,'Grants a total of 1 trigger of the spell.',1,4),
(96604,170061,4,100,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',0,0),
(96605,170061,4,100,'Heals target for 313',1,1),
(96606,170061,4,100,'Heals target for 78 every 2 seconds',1,2),
(96607,170061,4,100,'Increases AGI of target by 35.0',1,3),
(96608,170061,4,100,'Grants a total of 1 trigger of the spell.',1,4),
(96609,170061,5,100,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',0,0),
(96610,170061,5,100,'Heals target for 341',1,1),
(96611,170061,5,100,'Heals target for 85 every 2 seconds',1,2),
(96612,170061,5,100,'Increases AGI of target by 38.2',1,3),
(96613,170061,5,100,'Grants a total of 1 trigger of the spell.',1,4),
(96614,170061,7,100,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',0,0),
(96615,170061,7,100,'Heals target for 438',1,1),
(96616,170061,7,100,'Heals target for 109 every 2 seconds',1,2),
(96617,170061,7,100,'Increases AGI of target by 49.0',1,3),
(96618,170061,7,100,'Grants a total of 1 trigger of the spell.',1,4),
(96619,170061,9,100,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',0,0),
(96620,170061,9,100,'Heals target for 455',1,1),
(96621,170061,9,100,'Heals target for 114 every 2 seconds',1,2),
(96622,170061,9,100,'Increases AGI of target by 50.9',1,3),
(96623,170061,9,100,'Grants a total of 1 trigger of the spell.',1,4),
(96624,170062,1,100,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',0,0),
(96625,170062,1,100,'Heals target for 374',1,1),
(96626,170062,1,100,'Heals target for 93 every 2 seconds',1,2),
(96627,170062,1,100,'Increases AGI of target by 38.7',1,3),
(96628,170062,1,100,'Grants a total of 1 trigger of the spell.',1,4),
(96629,170062,2,100,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',0,0),
(96630,170062,2,100,'Heals target for 395',1,1),
(96631,170062,2,100,'Heals target for 99 every 2 seconds',1,2),
(96632,170062,2,100,'Increases AGI of target by 40.8',1,3),
(96633,170062,2,100,'Grants a total of 1 trigger of the spell.',1,4),
(96634,170062,3,100,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',0,0),
(96635,170062,3,100,'Heals target for 416',1,1),
(96636,170062,3,100,'Heals target for 104 every 2 seconds',1,2),
(96637,170062,3,100,'Increases AGI of target by 43.0',1,3),
(96638,170062,3,100,'Grants a total of 1 trigger of the spell.',1,4),
(96639,170062,4,100,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',0,0),
(96640,170062,4,100,'Heals target for 457',1,1),
(96641,170062,4,100,'Heals target for 114 every 2 seconds',1,2),
(96642,170062,4,100,'Increases AGI of target by 47.3',1,3),
(96643,170062,4,100,'Grants a total of 1 trigger of the spell.',1,4),
(96644,170062,5,100,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',0,0),
(96645,170062,5,100,'Heals target for 499',1,1),
(96646,170062,5,100,'Heals target for 124 every 2 seconds',1,2),
(96647,170062,5,100,'Increases AGI of target by 51.6',1,3),
(96648,170062,5,100,'Grants a total of 1 trigger of the spell.',1,4),
(96649,170062,7,100,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',0,0),
(96650,170062,7,100,'Heals target for 640',1,1),
(96651,170062,7,100,'Heals target for 160 every 2 seconds',1,2),
(96652,170062,7,100,'Increases AGI of target by 66.2',1,3),
(96653,170062,7,100,'Grants a total of 1 trigger of the spell.',1,4),
(96654,170062,9,100,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',0,0),
(96655,170062,9,100,'Heals target for 665',1,1),
(96656,170062,9,100,'Heals target for 166 every 2 seconds',1,2),
(96657,170062,9,100,'Increases AGI of target by 68.8',1,3),
(96658,170062,9,100,'Grants a total of 1 trigger of the spell.',1,4),
(96659,170063,1,100,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',0,0),
(96660,170063,1,100,'Heals target for 492',1,1),
(96661,170063,1,100,'Heals target for 123 every 2 seconds',1,2),
(96662,170063,1,100,'Increases AGI of target by 48.8',1,3),
(96663,170063,1,100,'Grants a total of 1 trigger of the spell.',1,4),
(96664,170063,2,100,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',0,0),
(96665,170063,2,100,'Heals target for 520',1,1),
(96666,170063,2,100,'Heals target for 130 every 2 seconds',1,2),
(96667,170063,2,100,'Increases AGI of target by 51.5',1,3),
(96668,170063,2,100,'Grants a total of 1 trigger of the spell.',1,4),
(96669,170063,3,100,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',0,0),
(96670,170063,3,100,'Heals target for 547',1,1),
(96671,170063,3,100,'Heals target for 137 every 2 seconds',1,2),
(96672,170063,3,100,'Increases AGI of target by 54.2',1,3),
(96673,170063,3,100,'Grants a total of 1 trigger of the spell.',1,4),
(96674,170063,4,100,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',0,0),
(96675,170063,4,100,'Heals target for 602',1,1),
(96676,170063,4,100,'Heals target for 150 every 2 seconds',1,2),
(96677,170063,4,100,'Increases AGI of target by 59.6',1,3),
(96678,170063,4,100,'Grants a total of 1 trigger of the spell.',1,4),
(96679,170063,5,100,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',0,0),
(96680,170063,5,100,'Heals target for 656',1,1),
(96681,170063,5,100,'Heals target for 164 every 2 seconds',1,2),
(96682,170063,5,100,'Increases AGI of target by 65.0',1,3),
(96683,170063,5,100,'Grants a total of 1 trigger of the spell.',1,4),
(96684,170063,7,100,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',0,0),
(96685,170063,7,100,'Heals target for 842',1,1),
(96686,170063,7,100,'Heals target for 210 every 2 seconds',1,2),
(96687,170063,7,100,'Increases AGI of target by 83.5',1,3),
(96688,170063,7,100,'Grants a total of 1 trigger of the spell.',1,4),
(96689,170063,9,100,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',0,0),
(96690,170063,9,100,'Heals target for 875',1,1),
(96691,170063,9,100,'Heals target for 218 every 2 seconds',1,2),
(96692,170063,9,100,'Increases AGI of target by 86.7',1,3),
(96693,170063,9,100,'Grants a total of 1 trigger of the spell.',1,4),
(96694,170064,1,100,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',0,0),
(96695,170064,1,100,'Heals target for 675',1,1),
(96696,170064,1,100,'Heals target for 168 every 2 seconds',1,2),
(96697,170064,1,100,'Increases AGI of target by 59.4',1,3),
(96698,170064,1,100,'Grants a total of 1 trigger of the spell.',1,4),
(96699,170064,2,100,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',0,0),
(96700,170064,2,100,'Heals target for 713',1,1),
(96701,170064,2,100,'Heals target for 178 every 2 seconds',1,2),
(96702,170064,2,100,'Increases AGI of target by 62.7',1,3),
(96703,170064,2,100,'Grants a total of 1 trigger of the spell.',1,4),
(96704,170064,3,100,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',0,0),
(96705,170064,3,100,'Heals target for 750',1,1),
(96706,170064,3,100,'Heals target for 187 every 2 seconds',1,2),
(96707,170064,3,100,'Increases AGI of target by 66.0',1,3),
(96708,170064,3,100,'Grants a total of 1 trigger of the spell.',1,4),
(96709,170064,4,100,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',0,0),
(96710,170064,4,100,'Heals target for 825',1,1),
(96711,170064,4,100,'Heals target for 206 every 2 seconds',1,2),
(96712,170064,4,100,'Increases AGI of target by 72.6',1,3),
(96713,170064,4,100,'Grants a total of 1 trigger of the spell.',1,4),
(96714,170064,5,100,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',0,0),
(96715,170064,5,100,'Heals target for 900',1,1),
(96716,170064,5,100,'Heals target for 225 every 2 seconds',1,2),
(96717,170064,5,100,'Increases AGI of target by 79.2',1,3),
(96718,170064,5,100,'Grants a total of 1 trigger of the spell.',1,4),
(96719,170064,7,100,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',0,0),
(96720,170064,7,100,'Heals target for 1155',1,1),
(96721,170064,7,100,'Heals target for 288 every 2 seconds',1,2),
(96722,170064,7,100,'Increases AGI of target by 101.6',1,3),
(96723,170064,7,100,'Grants a total of 1 trigger of the spell.',1,4),
(96724,170064,9,100,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',0,0),
(96725,170064,9,100,'Heals target for 1200',1,1),
(96726,170064,9,100,'Heals target for 300 every 2 seconds',1,2),
(96727,170064,9,100,'Increases AGI of target by 105.6',1,3),
(96728,170064,9,100,'Grants a total of 1 trigger of the spell.',1,4),
(96729,170065,1,100,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',0,0),
(96730,170065,1,100,'Heals target for 804',1,1),
(96731,170065,1,100,'Heals target for 201 every 2 seconds',1,2),
(96732,170065,1,100,'Increases AGI of target by 69.3',1,3),
(96733,170065,1,100,'Grants a total of 1 trigger of the spell.',1,4),
(96734,170065,4,100,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',0,0),
(96735,170065,4,100,'Heals target for 983',1,1),
(96736,170065,4,100,'Heals target for 245 every 2 seconds',1,2),
(96737,170065,4,100,'Increases AGI of target by 84.7',1,3),
(96738,170065,4,100,'Grants a total of 1 trigger of the spell.',1,4),
(96739,170065,5,100,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',0,0),
(96740,170065,5,100,'Heals target for 1073',1,1),
(96741,170065,5,100,'Heals target for 268 every 2 seconds',1,2),
(96742,170065,5,100,'Increases AGI of target by 92.4',1,3),
(96743,170065,5,100,'Grants a total of 1 trigger of the spell.',1,4),
(96744,170065,7,100,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',0,0),
(96745,170065,7,100,'Heals target for 1376',1,1),
(96746,170065,7,100,'Heals target for 344 every 2 seconds',1,2),
(96747,170065,7,100,'Increases AGI of target by 118.6',1,3),
(96748,170065,7,100,'Grants a total of 1 trigger of the spell.',1,4),
(96749,170065,9,100,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',0,0),
(96750,170065,9,100,'Heals target for 1430',1,1),
(96751,170065,9,100,'Heals target for 357 every 2 seconds',1,2),
(96752,170065,9,100,'Increases AGI of target by 123.2',1,3),
(96753,170065,9,100,'Grants a total of 1 trigger of the spell.',1,4),
(96754,170066,1,100,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',0,0),
(96755,170066,1,100,'Heals target for 844',1,1),
(96756,170066,1,100,'Heals target for 211 every 2 seconds',1,2),
(96757,170066,1,100,'Increases AGI of target by 79.2',1,3),
(96758,170066,1,100,'Grants a total of 1 trigger of the spell.',1,4),
(96759,170066,4,100,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',0,0),
(96760,170066,4,100,'Heals target for 1031',1,1),
(96761,170066,4,100,'Heals target for 257 every 2 seconds',1,2),
(96762,170066,4,100,'Increases AGI of target by 96.8',1,3),
(96763,170066,4,100,'Grants a total of 1 trigger of the spell.',1,4),
(96764,170066,5,100,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',0,0),
(96765,170066,5,100,'Heals target for 1125',1,1),
(96766,170066,5,100,'Heals target for 281 every 2 seconds',1,2),
(96767,170066,5,100,'Increases AGI of target by 105.6',1,3),
(96768,170066,5,100,'Grants a total of 1 trigger of the spell.',1,4),
(96769,170066,7,100,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',0,0),
(96770,170066,7,100,'Heals target for 1444',1,1),
(96771,170066,7,100,'Heals target for 360 every 2 seconds',1,2),
(96772,170066,7,100,'Increases AGI of target by 135.5',1,3),
(96773,170066,7,100,'Grants a total of 1 trigger of the spell.',1,4),
(96774,170066,9,100,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',0,0),
(96775,170066,9,100,'Heals target for 1500',1,1),
(96776,170066,9,100,'Heals target for 374 every 2 seconds',1,2),
(96777,170066,9,100,'Increases AGI of target by 140.8',1,3),
(96778,170066,9,100,'Grants a total of 1 trigger of the spell.',1,4),
(96779,170067,1,100,'Allows group members (AE) to breathe under water',0,0),
(96780,170067,1,100,'Grants Fish Vision to group members (AE)',0,1),
(96781,140068,1,100,'Dispels 83 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on caster',0,0),
(96782,140068,2,100,'Dispels 87 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on caster',0,0),
(96783,140068,3,100,'Dispels 92 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on caster',0,0),
(96784,140068,4,100,'Dispels 101 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on caster',0,0),
(96785,140068,5,100,'Dispels 111 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on caster',0,0),
(96786,140068,7,100,'Dispels 142 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on caster',0,0),
(96787,140068,9,100,'Dispels 147 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on caster',0,0),
(96788,140069,1,100,'Dispels 111 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on caster',0,0),
(96789,140069,2,100,'Dispels 117 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on caster',0,0),
(96790,140069,3,100,'Dispels 123 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on caster',0,0),
(96791,140069,4,100,'Dispels 135 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on caster',0,0),
(96792,140069,5,100,'Dispels 147 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on caster',0,0),
(96793,140069,7,100,'Dispels 189 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on caster',0,0),
(96794,140069,9,100,'Dispels 197 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on caster',0,0),
(96795,140070,1,100,'Dispels 125 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on caster',0,0),
(96796,140070,4,100,'Dispels 153 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on caster',0,0),
(96797,140070,5,100,'Dispels 167 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on caster',0,0),
(96798,140070,7,100,'Dispels 214 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on caster',0,0),
(96799,140070,9,100,'Dispels 223 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on caster',0,0),
(96800,140071,1,100,'Dispels 140 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on caster',0,0),
(96801,140071,4,100,'Dispels 171 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on caster',0,0),
(96802,140071,5,100,'Dispels 186 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on caster',0,0),
(96803,140071,7,100,'Dispels 239 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on caster',0,0),
(96804,140071,9,100,'Dispels 248 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on caster',0,0),
(96805,190053,1,100,'Applies Heal on termination.',0,0),
(96806,190053,1,100,'Heals target for 15.0% of max health',1,1),
(96807,190053,1,100,'This effect cannot be critically applied.',2,2),
(96808,190053,1,100,'Increases power of target by 15.0%',1,3),
(96809,190053,1,100,'This effect cannot be critically applied.',2,4),
(96810,190053,1,100,'Applies Revived Sickness on termination.  Lasts for 2 minutes.',0,5),
(96811,190053,1,100,'Decreases All Attributes of target by 20.0%',1,6),
(96812,190053,1,100,'If not between levels 1 - 6',2,7),
(96813,190053,1,100,'Decreases Haste of target by 20.0',1,8),
(96814,190053,1,100,'If not between levels 1 - 6',2,9),
(96815,190053,1,100,'Decreases All Attributes of target by 5.0%',1,10),
(96816,190053,1,100,'If between levels 1 - 6',2,11),
(96817,190053,1,100,'Decreases Haste of target by 5.0',1,12),
(96818,190053,1,100,'If between levels 1 - 6',2,13),
(96819,190053,1,100,'Resurrects target with 15% health and power',0,14),
(96820,2000454,1,100,'Inflicts 1 - 2 piercing damage on target',0,0),
(96821,170068,1,100,'Applies Awakening on termination.',0,0),
(96822,170068,1,100,'Heals target for 15.0% of max health',1,1),
(96823,170068,1,100,'This effect cannot be critically applied.',2,2),
(96824,170068,1,100,'Applies Revived Sickness on termination.  Lasts for 2 minutes.',0,3),
(96825,170068,1,100,'Decreases Haste of target by 20.0',1,4),
(96826,170068,1,100,'If not between levels 1 - 6',2,5),
(96827,170068,1,100,'Decreases All Attributes of target by 20.0%',1,6),
(96828,170068,1,100,'If not between levels 1 - 6',2,7),
(96829,170068,1,100,'Decreases Haste of target by 5.0',1,8),
(96830,170068,1,100,'If between levels 1 - 6',2,9),
(96831,170068,1,100,'Decreases All Attributes of target by 5.0%',1,10),
(96832,170068,1,100,'If between levels 1 - 6',2,11),
(96833,170068,1,100,'Resurrects target with 15% health and power',0,12),
(96834,170068,1,100,'If outside an arena',0,13),
(96835,170068,1,100,'If outside an arena',0,14),
(96836,290094,1,100,'Inflicts 9 heat damage on target',0,0),
(96837,290094,1,100,'Inflicts 2 heat damage on target every 4 seconds',0,1),
(96838,290094,2,100,'Inflicts 10 heat damage on target',0,0),
(96839,290094,2,100,'Inflicts 2 heat damage on target every 4 seconds',0,1),
(96840,290094,3,100,'Inflicts 10 heat damage on target',0,0),
(96841,290094,3,100,'Inflicts 2 heat damage on target every 4 seconds',0,1),
(96842,290094,4,100,'Inflicts 11 heat damage on target',0,0),
(96843,290094,4,100,'Inflicts 2 heat damage on target every 4 seconds',0,1),
(96844,290094,5,100,'Inflicts 12 heat damage on target',0,0),
(96845,290094,5,100,'Inflicts 3 heat damage on target every 4 seconds',0,1),
(96846,290094,7,100,'Inflicts 16 heat damage on target',0,0),
(96847,290094,7,100,'Inflicts 3 heat damage on target every 4 seconds',0,1),
(96848,290094,9,100,'Inflicts 16 heat damage on target',0,0),
(96849,290094,9,100,'Inflicts 4 heat damage on target every 4 seconds',0,1),
(96850,290095,1,100,'Inflicts 28 heat damage on target',0,0),
(96851,290095,1,100,'Inflicts 6 heat damage on target every 4 seconds',0,1),
(96852,290095,2,100,'Inflicts 30 heat damage on target',0,0),
(96853,290095,2,100,'Inflicts 7 heat damage on target every 4 seconds',0,1),
(96854,290095,3,100,'Inflicts 31 heat damage on target',0,0),
(96855,290095,3,100,'Inflicts 7 heat damage on target every 4 seconds',0,1),
(96856,290095,4,100,'Inflicts 34 heat damage on target',0,0),
(96857,290095,4,100,'Inflicts 8 heat damage on target every 4 seconds',0,1),
(96858,290095,5,100,'Inflicts 37 heat damage on target',0,0),
(96859,290095,5,100,'Inflicts 8 heat damage on target every 4 seconds',0,1),
(96860,290095,7,100,'Inflicts 48 heat damage on target',0,0),
(96861,290095,7,100,'Inflicts 11 heat damage on target every 4 seconds',0,1),
(96862,290095,9,100,'Inflicts 50 heat damage on target',0,0),
(96863,290095,9,100,'Inflicts 11 heat damage on target every 4 seconds',0,1),
(96864,290096,1,100,'Inflicts 47 heat damage on target',0,0),
(96865,290096,1,100,'Inflicts 10 heat damage on target every 4 seconds',0,1),
(96866,290096,2,100,'Inflicts 50 heat damage on target',0,0),
(96867,290096,2,100,'Inflicts 11 heat damage on target every 4 seconds',0,1),
(96868,290096,3,100,'Inflicts 52 heat damage on target',0,0),
(96869,290096,3,100,'Inflicts 12 heat damage on target every 4 seconds',0,1),
(96870,290096,4,100,'Inflicts 57 heat damage on target',0,0),
(96871,290096,4,100,'Inflicts 13 heat damage on target every 4 seconds',0,1),
(96872,290096,5,100,'Inflicts 63 heat damage on target',0,0),
(96873,290096,5,100,'Inflicts 14 heat damage on target every 4 seconds',0,1),
(96874,290096,7,100,'Inflicts 80 heat damage on target',0,0),
(96875,290096,7,100,'Inflicts 18 heat damage on target every 4 seconds',0,1),
(96876,290096,9,100,'Inflicts 84 heat damage on target',0,0),
(96877,290096,9,100,'Inflicts 19 heat damage on target every 4 seconds',0,1),
(96878,290097,1,100,'Inflicts 91 heat damage on target',0,0),
(96879,290097,1,100,'Inflicts 20 heat damage on target every 4 seconds',0,1),
(96880,290097,2,100,'Inflicts 96 heat damage on target',0,0),
(96881,290097,2,100,'Inflicts 21 heat damage on target every 4 seconds',0,1),
(96882,290097,3,100,'Inflicts 101 heat damage on target',0,0),
(96883,290097,3,100,'Inflicts 23 heat damage on target every 4 seconds',0,1),
(96884,290097,4,100,'Inflicts 111 heat damage on target',0,0),
(96885,290097,4,100,'Inflicts 25 heat damage on target every 4 seconds',0,1),
(96886,290097,5,100,'Inflicts 121 heat damage on target',0,0),
(96887,290097,5,100,'Inflicts 27 heat damage on target every 4 seconds',0,1),
(96888,290097,7,100,'Inflicts 155 heat damage on target',0,0),
(96889,290097,7,100,'Inflicts 35 heat damage on target every 4 seconds',0,1),
(96890,290097,9,100,'Inflicts 161 heat damage on target',0,0),
(96891,290097,9,100,'Inflicts 36 heat damage on target every 4 seconds',0,1),
(96892,290097,10,100,'Inflicts 170 heat damage on target',0,0),
(96893,290097,10,100,'Inflicts 38 heat damage on target every 4 seconds',0,1),
(96894,290098,1,100,'Inflicts 357 heat damage on target',0,0),
(96895,290098,1,100,'Inflicts 80 heat damage on target every 4 seconds',0,1),
(96896,290098,4,100,'Inflicts 436 heat damage on target',0,0),
(96897,290098,4,100,'Inflicts 97 heat damage on target every 4 seconds',0,1),
(96898,290098,5,100,'Inflicts 476 heat damage on target',0,0),
(96899,290098,5,100,'Inflicts 106 heat damage on target every 4 seconds',0,1),
(96900,290098,7,100,'Inflicts 611 heat damage on target',0,0),
(96901,290098,7,100,'Inflicts 136 heat damage on target every 4 seconds',0,1),
(96902,290098,9,100,'Inflicts 635 heat damage on target',0,0),
(96903,290098,9,100,'Inflicts 142 heat damage on target every 4 seconds',0,1),
(96904,290098,10,100,'Inflicts 666 heat damage on target',0,0),
(96905,290098,10,100,'Inflicts 149 heat damage on target every 4 seconds',0,1),
(96906,290099,1,100,'Inflicts 140 heat damage on target',0,0),
(96907,290099,1,100,'Inflicts 31 heat damage on target every 4 seconds',0,1),
(96908,290099,2,100,'Inflicts 148 heat damage on target',0,0),
(96909,290099,2,100,'Inflicts 33 heat damage on target every 4 seconds',0,1),
(96910,290099,3,100,'Inflicts 156 heat damage on target',0,0),
(96911,290099,3,100,'Inflicts 35 heat damage on target every 4 seconds',0,1),
(96912,290099,4,100,'Inflicts 171 heat damage on target',0,0),
(96913,290099,4,100,'Inflicts 38 heat damage on target every 4 seconds',0,1),
(96914,290099,5,100,'Inflicts 187 heat damage on target',0,0),
(96915,290099,5,100,'Inflicts 42 heat damage on target every 4 seconds',0,1),
(96916,290099,7,100,'Inflicts 240 heat damage on target',0,0),
(96917,290099,7,100,'Inflicts 54 heat damage on target every 4 seconds',0,1),
(96918,290099,9,100,'Inflicts 249 heat damage on target',0,0),
(96919,290099,9,100,'Inflicts 56 heat damage on target every 4 seconds',0,1),
(96920,290100,1,100,'Inflicts 197 heat damage on target',0,0),
(96921,290100,1,100,'Inflicts 44 heat damage on target every 4 seconds',0,1),
(96922,290100,2,100,'Inflicts 208 heat damage on target',0,0),
(96923,290100,2,100,'Inflicts 46 heat damage on target every 4 seconds',0,1),
(96924,290100,3,100,'Inflicts 219 heat damage on target',0,0),
(96925,290100,3,100,'Inflicts 49 heat damage on target every 4 seconds',0,1),
(96926,290100,4,100,'Inflicts 241 heat damage on target',0,0),
(96927,290100,4,100,'Inflicts 54 heat damage on target every 4 seconds',0,1),
(96928,290100,5,100,'Inflicts 263 heat damage on target',0,0),
(96929,290100,5,100,'Inflicts 59 heat damage on target every 4 seconds',0,1),
(96930,290100,7,100,'Inflicts 337 heat damage on target',0,0),
(96931,290100,7,100,'Inflicts 75 heat damage on target every 4 seconds',0,1),
(96932,290100,9,100,'Inflicts 350 heat damage on target',0,0),
(96933,290100,9,100,'Inflicts 78 heat damage on target every 4 seconds',0,1),
(96934,290101,1,100,'Inflicts 252 heat damage on target',0,0),
(96935,290101,1,100,'Inflicts 56 heat damage on target every 4 seconds',0,1),
(96936,290101,2,100,'Inflicts 266 heat damage on target',0,0),
(96937,290101,2,100,'Inflicts 59 heat damage on target every 4 seconds',0,1),
(96938,290101,3,100,'Inflicts 280 heat damage on target',0,0),
(96939,290101,3,100,'Inflicts 63 heat damage on target every 4 seconds',0,1),
(96940,290101,4,100,'Inflicts 308 heat damage on target',0,0),
(96941,290101,4,100,'Inflicts 69 heat damage on target every 4 seconds',0,1),
(96942,290101,5,100,'Inflicts 336 heat damage on target',0,0),
(96943,290101,5,100,'Inflicts 75 heat damage on target every 4 seconds',0,1),
(96944,290101,7,100,'Inflicts 431 heat damage on target',0,0),
(96945,290101,7,100,'Inflicts 96 heat damage on target every 4 seconds',0,1),
(96946,290101,9,100,'Inflicts 448 heat damage on target',0,0),
(96947,290101,9,100,'Inflicts 100 heat damage on target every 4 seconds',0,1),
(96948,290101,10,100,'Inflicts 470 heat damage on target',0,0),
(96949,290101,10,100,'Inflicts 105 heat damage on target every 4 seconds',0,1),
(96950,290102,1,100,'Inflicts 305 heat damage on target',0,0),
(96951,290102,1,100,'Inflicts 68 heat damage on target every 4 seconds',0,1),
(96952,290102,4,100,'Inflicts 373 heat damage on target',0,0),
(96953,290102,4,100,'Inflicts 83 heat damage on target every 4 seconds',0,1),
(96954,290102,5,100,'Inflicts 407 heat damage on target',0,0),
(96955,290102,5,100,'Inflicts 91 heat damage on target every 4 seconds',0,1),
(96956,290102,7,100,'Inflicts 522 heat damage on target',0,0),
(96957,290102,7,100,'Inflicts 117 heat damage on target every 4 seconds',0,1),
(96958,290102,9,100,'Inflicts 542 heat damage on target',0,0),
(96959,290102,9,100,'Inflicts 121 heat damage on target every 4 seconds',0,1),
(96960,290102,10,100,'Inflicts 569 heat damage on target',0,0),
(96961,290102,10,100,'Inflicts 127 heat damage on target every 4 seconds',0,1),
(96962,2000455,1,100,'The wizard stores extra energy for a short duration and then releases that damage as a direct heat attack on their target. This spell is not modifed by procs.',0,0),
(96963,2000456,1,100,'Inflicts 2 - 3 heat damage on targets in Area of Effect',0,0),
(96964,2000456,1,100,'Inflicts 1 heat damage on targets in Area of Effect every 5.3 seconds',0,1),
(96965,290103,1,100,'Summons a pet igneous apprentice',0,0),
(96966,290103,2,100,'Summons a pet igneous apprentice',0,0),
(96967,290103,3,100,'Summons a pet igneous apprentice',0,0),
(96968,290103,4,100,'Summons a pet igneous apprentice',0,0),
(96969,290103,5,100,'Summons a pet igneous apprentice',0,0),
(96970,290103,7,100,'Summons a pet igneous apprentice',0,0),
(96971,290103,9,100,'Summons a pet igneous apprentice',0,0),
(96972,290104,1,100,'Summons a pet fiery magician',0,0),
(96973,290104,2,100,'Summons a pet fiery magician',0,0),
(96974,290104,3,100,'Summons a pet fiery magician',0,0),
(96975,290104,4,100,'Summons a pet fiery magician',0,0),
(96976,290104,5,100,'Summons a pet fiery magician',0,0),
(96977,290104,7,100,'Summons a pet fiery magician',0,0),
(96978,290104,9,100,'Summons a pet fiery magician',0,0),
(96979,290105,1,100,'Summons a pet fiery magician',0,0),
(96980,290105,2,100,'Summons a pet fiery magician',0,0),
(96981,290105,3,100,'Summons a pet fiery magician',0,0),
(96982,290105,4,100,'Summons a pet fiery magician',0,0),
(96983,290105,5,100,'Summons a pet fiery magician',0,0),
(96984,290105,7,100,'Summons a pet fiery magician',0,0),
(96985,290105,9,100,'Summons a pet fiery magician',0,0),
(96986,290106,1,100,'Summons a pet fiery magician',0,0),
(96987,290106,2,100,'Summons a pet fiery magician',0,0),
(96988,290106,3,100,'Summons a pet fiery magician',0,0),
(96989,290106,4,100,'Summons a pet fiery magician',0,0),
(96990,290106,5,100,'Summons a pet fiery magician',0,0),
(96991,290106,7,100,'Summons a pet fiery magician',0,0),
(96992,290106,9,100,'Summons a pet fiery magician',0,0),
(96993,290107,1,100,'Summons a pet fiery magician',0,0),
(96994,290107,2,100,'Summons a pet fiery magician',0,0),
(96995,290107,3,100,'Summons a pet fiery magician',0,0),
(96996,290107,4,100,'Summons a pet fiery magician',0,0),
(96997,290107,5,100,'Summons a pet fiery magician',0,0),
(96998,290107,7,100,'Summons a pet fiery magician',0,0),
(96999,290107,9,100,'Summons a pet fiery magician',0,0),
(97000,290108,1,100,'Summons a pet fiery magician',0,0),
(97001,290108,4,100,'Summons a pet fiery magician',0,0),
(97002,290108,5,100,'Summons a pet fiery magician',0,0),
(97003,290108,7,100,'Summons a pet fiery magician',0,0),
(97004,290108,9,100,'Summons a pet fiery magician',0,0),
(97005,290109,1,100,'Summons a pet fiery magician',0,0),
(97006,290109,4,100,'Summons a pet fiery magician',0,0),
(97007,290109,5,100,'Summons a pet fiery magician',0,0),
(97008,290109,7,100,'Summons a pet fiery magician',0,0),
(97009,290109,9,100,'Summons a pet fiery magician',0,0),
(97010,290110,1,100,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',0,0),
(97011,290110,1,100,'Inflicts 9 - 11 heat damage on target instantly and every 4 seconds',1,1),
(97012,290110,1,100,'On death this spell will cast Blooming Flames on caster.  ',1,2),
(97013,290110,1,100,'Inflicts 39 - 48 heat damage on target encounter',2,3),
(97014,290110,1,100,'Grants a total of 1 trigger of the spell.',2,4),
(97015,290110,2,100,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',0,0),
(97016,290110,2,100,'Inflicts 9 - 11 heat damage on target instantly and every 4 seconds',1,1),
(97017,290110,2,100,'On death this spell will cast Blooming Flames on caster.  ',1,2),
(97018,290110,2,100,'Inflicts 41 - 50 heat damage on target encounter',2,3),
(97019,290110,2,100,'Grants a total of 1 trigger of the spell.',2,4),
(97020,290110,3,100,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',0,0),
(97021,290110,3,100,'Inflicts 10 - 12 heat damage on target instantly and every 4 seconds',1,1),
(97022,290110,3,100,'On death this spell will cast Blooming Flames on caster.  ',1,2),
(97023,290110,3,100,'Inflicts 43 - 53 heat damage on target encounter',2,3),
(97024,290110,3,100,'Grants a total of 1 trigger of the spell.',2,4),
(97025,290110,4,100,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',0,0),
(97026,290110,4,100,'Inflicts 11 - 13 heat damage on target instantly and every 4 seconds',1,1),
(97027,290110,4,100,'On death this spell will cast Blooming Flames on caster.  ',1,2),
(97028,290110,4,100,'Inflicts 48 - 58 heat damage on target encounter',2,3),
(97029,290110,4,100,'Grants a total of 1 trigger of the spell.',2,4),
(97030,290110,5,100,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',0,0),
(97031,290110,5,100,'Inflicts 12 - 14 heat damage on target instantly and every 4 seconds',1,1),
(97032,290110,5,100,'On death this spell will cast Blooming Flames on caster.  ',1,2),
(97033,290110,5,100,'Inflicts 52 - 63 heat damage on target encounter',2,3),
(97034,290110,5,100,'Grants a total of 1 trigger of the spell.',2,4),
(97035,290110,7,100,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',0,0),
(97036,290110,7,100,'Inflicts 15 - 18 heat damage on target instantly and every 4 seconds',1,1),
(97037,290110,7,100,'On death this spell will cast Blooming Flames on caster.  ',1,2),
(97038,290110,7,100,'Inflicts 67 - 81 heat damage on target encounter',2,3),
(97039,290110,7,100,'Grants a total of 1 trigger of the spell.',2,4),
(97040,290110,9,100,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',0,0),
(97041,290110,9,100,'Inflicts 16 - 19 heat damage on target instantly and every 4 seconds',1,1),
(97042,290110,9,100,'On death this spell will cast Blooming Flames on caster.  ',1,2),
(97043,290110,9,100,'Inflicts 69 - 85 heat damage on target encounter',2,3),
(97044,290110,9,100,'Grants a total of 1 trigger of the spell.',2,4),
(97045,290110,10,100,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',0,0),
(97046,290110,10,100,'Inflicts 16 - 20 heat damage on target instantly and every 4 seconds',1,1),
(97047,290110,10,100,'On death this spell will cast Blooming Flames on caster.  ',1,2),
(97048,290110,10,100,'Inflicts 73 - 89 heat damage on target encounter',2,3),
(97049,290110,10,100,'Grants a total of 1 trigger of the spell.',2,4),
(97050,290111,1,100,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',0,0),
(97051,290111,1,100,'Inflicts 15 - 18 heat damage on target instantly and every 4 seconds',1,1),
(97052,290111,1,100,'On death this spell will cast Blooming Flames on caster.  ',1,2),
(97053,290111,1,100,'Inflicts 66 - 81 heat damage on target encounter',2,3),
(97054,290111,1,100,'Grants a total of 1 trigger of the spell.',2,4),
(97055,290111,2,100,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',0,0),
(97056,290111,2,100,'Inflicts 16 - 19 heat damage on target instantly and every 4 seconds',1,1),
(97057,290111,2,100,'On death this spell will cast Blooming Flames on caster.  ',1,2),
(97058,290111,2,100,'Inflicts 70 - 85 heat damage on target encounter',2,3),
(97059,290111,2,100,'Grants a total of 1 trigger of the spell.',2,4),
(97060,290111,3,100,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',0,0),
(97061,290111,3,100,'Inflicts 17 - 20 heat damage on target instantly and every 4 seconds',1,1),
(97062,290111,3,100,'On death this spell will cast Blooming Flames on caster.  ',1,2),
(97063,290111,3,100,'Inflicts 74 - 90 heat damage on target encounter',2,3),
(97064,290111,3,100,'Grants a total of 1 trigger of the spell.',2,4),
(97065,290111,4,100,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',0,0),
(97066,290111,4,100,'Inflicts 18 - 22 heat damage on target instantly and every 4 seconds',1,1),
(97067,290111,4,100,'On death this spell will cast Blooming Flames on caster.  ',1,2),
(97068,290111,4,100,'Inflicts 81 - 99 heat damage on target encounter',2,3),
(97069,290111,4,100,'Grants a total of 1 trigger of the spell.',2,4),
(97070,290111,5,100,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',0,0),
(97071,290111,5,100,'Inflicts 20 - 24 heat damage on target instantly and every 4 seconds',1,1),
(97072,290111,5,100,'On death this spell will cast Blooming Flames on caster.  ',1,2),
(97073,290111,5,100,'Inflicts 88 - 108 heat damage on target encounter',2,3),
(97074,290111,5,100,'Grants a total of 1 trigger of the spell.',2,4),
(97075,290111,7,100,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',0,0),
(97076,290111,7,100,'Inflicts 25 - 31 heat damage on target instantly and every 4 seconds',1,1),
(97077,290111,7,100,'On death this spell will cast Blooming Flames on caster.  ',1,2),
(97078,290111,7,100,'Inflicts 113 - 138 heat damage on target encounter',2,3),
(97079,290111,7,100,'Grants a total of 1 trigger of the spell.',2,4),
(97080,290111,9,100,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',0,0),
(97081,290111,9,100,'Inflicts 26 - 32 heat damage on target instantly and every 4 seconds',1,1),
(97082,290111,9,100,'On death this spell will cast Blooming Flames on caster.  ',1,2),
(97083,290111,9,100,'Inflicts 118 - 144 heat damage on target encounter',2,3),
(97084,290111,9,100,'Grants a total of 1 trigger of the spell.',2,4),
(97085,290112,1,100,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',0,0),
(97086,290112,1,100,'Inflicts 22 - 27 heat damage on target instantly and every 4 seconds',1,1),
(97087,290112,1,100,'On death this spell will cast Blooming Flames on caster.  ',1,2),
(97088,290112,1,100,'Inflicts 99 - 121 heat damage on target encounter',2,3),
(97089,290112,1,100,'Grants a total of 1 trigger of the spell.',2,4),
(97090,290112,2,100,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',0,0),
(97091,290112,2,100,'Inflicts 23 - 29 heat damage on target instantly and every 4 seconds',1,1),
(97092,290112,2,100,'On death this spell will cast Blooming Flames on caster.  ',1,2),
(97093,290112,2,100,'Inflicts 104 - 127 heat damage on target encounter',2,3),
(97094,290112,2,100,'Grants a total of 1 trigger of the spell.',2,4),
(97095,290112,3,100,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',0,0),
(97096,290112,3,100,'Inflicts 25 - 30 heat damage on target instantly and every 4 seconds',1,1),
(97097,290112,3,100,'On death this spell will cast Blooming Flames on caster.  ',1,2),
(97098,290112,3,100,'Inflicts 110 - 134 heat damage on target encounter',2,3),
(97099,290112,3,100,'Grants a total of 1 trigger of the spell.',2,4),
(97100,290112,4,100,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',0,0),
(97101,290112,4,100,'Inflicts 27 - 33 heat damage on target instantly and every 4 seconds',1,1),
(97102,290112,4,100,'On death this spell will cast Blooming Flames on caster.  ',1,2),
(97103,290112,4,100,'Inflicts 121 - 148 heat damage on target encounter',2,3),
(97104,290112,4,100,'Grants a total of 1 trigger of the spell.',2,4),
(97105,290112,5,100,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',0,0),
(97106,290112,5,100,'Inflicts 30 - 36 heat damage on target instantly and every 4 seconds',1,1),
(97107,290112,5,100,'On death this spell will cast Blooming Flames on caster.  ',1,2),
(97108,290112,5,100,'Inflicts 132 - 161 heat damage on target encounter',2,3),
(97109,290112,5,100,'Grants a total of 1 trigger of the spell.',2,4),
(97110,290112,7,100,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',0,0),
(97111,290112,7,100,'Inflicts 38 - 46 heat damage on target instantly and every 4 seconds',1,1),
(97112,290112,7,100,'On death this spell will cast Blooming Flames on caster.  ',1,2),
(97113,290112,7,100,'Inflicts 169 - 207 heat damage on target encounter',2,3),
(97114,290112,7,100,'Grants a total of 1 trigger of the spell.',2,4),
(97115,290112,9,100,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',0,0),
(97116,290112,9,100,'Inflicts 40 - 48 heat damage on target instantly and every 4 seconds',1,1),
(97117,290112,9,100,'On death this spell will cast Blooming Flames on caster.  ',1,2),
(97118,290112,9,100,'Inflicts 176 - 215 heat damage on target encounter',2,3),
(97119,290112,9,100,'Grants a total of 1 trigger of the spell.',2,4),
(97120,290113,1,100,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',0,0),
(97121,290113,1,100,'Inflicts 30 - 37 heat damage on target instantly and every 4 seconds',1,1),
(97122,290113,1,100,'On death this spell will cast Blooming Flames on caster.  ',1,2),
(97123,290113,1,100,'Inflicts 133 - 162 heat damage on target encounter',2,3),
(97124,290113,1,100,'Grants a total of 1 trigger of the spell.',2,4),
(97125,290113,2,100,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',0,0),
(97126,290113,2,100,'Inflicts 32 - 39 heat damage on target instantly and every 4 seconds',1,1),
(97127,290113,2,100,'On death this spell will cast Blooming Flames on caster.  ',1,2),
(97128,290113,2,100,'Inflicts 140 - 171 heat damage on target encounter',2,3),
(97129,290113,2,100,'Grants a total of 1 trigger of the spell.',2,4),
(97130,290113,3,100,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',0,0),
(97131,290113,3,100,'Inflicts 33 - 41 heat damage on target instantly and every 4 seconds',1,1),
(97132,290113,3,100,'On death this spell will cast Blooming Flames on caster.  ',1,2),
(97133,290113,3,100,'Inflicts 148 - 180 heat damage on target encounter',2,3),
(97134,290113,3,100,'Grants a total of 1 trigger of the spell.',2,4),
(97135,290113,4,100,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',0,0),
(97136,290113,4,100,'Inflicts 37 - 45 heat damage on target instantly and every 4 seconds',1,1),
(97137,290113,4,100,'On death this spell will cast Blooming Flames on caster.  ',1,2),
(97138,290113,4,100,'Inflicts 162 - 198 heat damage on target encounter',2,3),
(97139,290113,4,100,'Grants a total of 1 trigger of the spell.',2,4),
(97140,290113,5,100,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',0,0),
(97141,290113,5,100,'Inflicts 40 - 49 heat damage on target instantly and every 4 seconds',1,1),
(97142,290113,5,100,'On death this spell will cast Blooming Flames on caster.  ',1,2),
(97143,290113,5,100,'Inflicts 177 - 217 heat damage on target encounter',2,3),
(97144,290113,5,100,'Grants a total of 1 trigger of the spell.',2,4),
(97145,290113,7,100,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',0,0),
(97146,290113,7,100,'Inflicts 51 - 63 heat damage on target instantly and every 4 seconds',1,1),
(97147,290113,7,100,'On death this spell will cast Blooming Flames on caster.  ',1,2),
(97148,290113,7,100,'Inflicts 227 - 278 heat damage on target encounter',2,3),
(97149,290113,7,100,'Grants a total of 1 trigger of the spell.',2,4),
(97150,290113,9,100,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',0,0),
(97151,290113,9,100,'Inflicts 53 - 65 heat damage on target instantly and every 4 seconds',1,1),
(97152,290113,9,100,'On death this spell will cast Blooming Flames on caster.  ',1,2),
(97153,290113,9,100,'Inflicts 236 - 289 heat damage on target encounter',2,3),
(97154,290113,9,100,'Grants a total of 1 trigger of the spell.',2,4),
(97155,290114,1,100,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',0,0),
(97156,290114,1,100,'Inflicts 37 - 46 heat damage on target instantly and every 4 seconds',1,1),
(97157,290114,1,100,'On death this spell will cast Blooming Flames on caster.  ',1,2),
(97158,290114,1,100,'Inflicts 167 - 204 heat damage on target encounter',2,3),
(97159,290114,1,100,'Grants a total of 1 trigger of the spell.',2,4),
(97160,290114,2,100,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',0,0),
(97161,290114,2,100,'Inflicts 40 - 48 heat damage on target instantly and every 4 seconds',1,1),
(97162,290114,2,100,'On death this spell will cast Blooming Flames on caster.  ',1,2),
(97163,290114,2,100,'Inflicts 176 - 215 heat damage on target encounter',2,3),
(97164,290114,2,100,'Grants a total of 1 trigger of the spell.',2,4),
(97165,290114,3,100,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',0,0),
(97166,290114,3,100,'Inflicts 42 - 51 heat damage on target instantly and every 4 seconds',1,1),
(97167,290114,3,100,'On death this spell will cast Blooming Flames on caster.  ',1,2),
(97168,290114,3,100,'Inflicts 185 - 226 heat damage on target encounter',2,3),
(97169,290114,3,100,'Grants a total of 1 trigger of the spell.',2,4),
(97170,290114,4,100,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',0,0),
(97171,290114,4,100,'Inflicts 46 - 56 heat damage on target instantly and every 4 seconds',1,1),
(97172,290114,4,100,'On death this spell will cast Blooming Flames on caster.  ',1,2),
(97173,290114,4,100,'Inflicts 204 - 249 heat damage on target encounter',2,3),
(97174,290114,4,100,'Grants a total of 1 trigger of the spell.',2,4),
(97175,290114,5,100,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',0,0),
(97176,290114,5,100,'Inflicts 50 - 61 heat damage on target instantly and every 4 seconds',1,1),
(97177,290114,5,100,'On death this spell will cast Blooming Flames on caster.  ',1,2),
(97178,290114,5,100,'Inflicts 222 - 272 heat damage on target encounter',2,3),
(97179,290114,5,100,'Grants a total of 1 trigger of the spell.',2,4),
(97180,290114,7,100,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',0,0),
(97181,290114,7,100,'Inflicts 64 - 78 heat damage on target instantly and every 4 seconds',1,1),
(97182,290114,7,100,'On death this spell will cast Blooming Flames on caster.  ',1,2),
(97183,290114,7,100,'Inflicts 285 - 348 heat damage on target encounter',2,3),
(97184,290114,7,100,'Grants a total of 1 trigger of the spell.',2,4),
(97185,290114,9,100,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',0,0),
(97186,290114,9,100,'Inflicts 67 - 81 heat damage on target instantly and every 4 seconds',1,1),
(97187,290114,9,100,'On death this spell will cast Blooming Flames on caster.  ',1,2),
(97188,290114,9,100,'Inflicts 296 - 362 heat damage on target encounter',2,3),
(97189,290114,9,100,'Grants a total of 1 trigger of the spell.',2,4),
(97190,290115,1,100,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',0,0),
(97191,290115,1,100,'Inflicts 45 - 55 heat damage on target instantly and every 4 seconds',1,1),
(97192,290115,1,100,'On death this spell will cast Blooming Flames on caster.  ',1,2),
(97193,290115,1,100,'Inflicts 201 - 245 heat damage on target encounter',2,3),
(97194,290115,1,100,'Grants a total of 1 trigger of the spell.',2,4),
(97195,290115,4,100,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',0,0),
(97196,290115,4,100,'Inflicts 55 - 68 heat damage on target instantly and every 4 seconds',1,1),
(97197,290115,4,100,'On death this spell will cast Blooming Flames on caster.  ',1,2),
(97198,290115,4,100,'Inflicts 245 - 300 heat damage on target encounter',2,3),
(97199,290115,4,100,'Grants a total of 1 trigger of the spell.',2,4),
(97200,290115,5,100,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',0,0),
(97201,290115,5,100,'Inflicts 60 - 74 heat damage on target instantly and every 4 seconds',1,1),
(97202,290115,5,100,'On death this spell will cast Blooming Flames on caster.  ',1,2),
(97203,290115,5,100,'Inflicts 268 - 327 heat damage on target encounter',2,3),
(97204,290115,5,100,'Grants a total of 1 trigger of the spell.',2,4),
(97205,290115,7,100,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',0,0),
(97206,290115,7,100,'Inflicts 77 - 95 heat damage on target instantly and every 4 seconds',1,1),
(97207,290115,7,100,'On death this spell will cast Blooming Flames on caster.  ',1,2),
(97208,290115,7,100,'Inflicts 344 - 420 heat damage on target encounter',2,3),
(97209,290115,7,100,'Grants a total of 1 trigger of the spell.',2,4),
(97210,290115,9,100,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',0,0),
(97211,290115,9,100,'Inflicts 80 - 98 heat damage on target instantly and every 4 seconds',1,1),
(97212,290115,9,100,'On death this spell will cast Blooming Flames on caster.  ',1,2),
(97213,290115,9,100,'Inflicts 357 - 436 heat damage on target encounter',2,3),
(97214,290115,9,100,'Grants a total of 1 trigger of the spell.',2,4),
(97215,290116,1,100,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',0,0),
(97216,290116,1,100,'Inflicts 50 - 61 heat damage on target instantly and every 4 seconds',1,1),
(97217,290116,1,100,'On death this spell will cast Blooming Flames on caster.  ',1,2),
(97218,290116,1,100,'Inflicts 221 - 270 heat damage on target encounter',2,3),
(97219,290116,1,100,'Grants a total of 1 trigger of the spell.',2,4),
(97220,290116,4,100,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',0,0),
(97221,290116,4,100,'Inflicts 61 - 74 heat damage on target instantly and every 4 seconds',1,1),
(97222,290116,4,100,'On death this spell will cast Blooming Flames on caster.  ',1,2),
(97223,290116,4,100,'Inflicts 270 - 330 heat damage on target encounter',2,3),
(97224,290116,4,100,'Grants a total of 1 trigger of the spell.',2,4),
(97225,290116,5,100,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',0,0),
(97226,290116,5,100,'Inflicts 66 - 81 heat damage on target instantly and every 4 seconds',1,1),
(97227,290116,5,100,'On death this spell will cast Blooming Flames on caster.  ',1,2),
(97228,290116,5,100,'Inflicts 294 - 360 heat damage on target encounter',2,3),
(97229,290116,5,100,'Grants a total of 1 trigger of the spell.',2,4),
(97230,290116,7,100,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',0,0),
(97231,290116,7,100,'Inflicts 85 - 104 heat damage on target instantly and every 4 seconds',1,1),
(97232,290116,7,100,'On death this spell will cast Blooming Flames on caster.  ',1,2),
(97233,290116,7,100,'Inflicts 377 - 461 heat damage on target encounter',2,3),
(97234,290116,7,100,'Grants a total of 1 trigger of the spell.',2,4),
(97235,290116,9,100,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',0,0),
(97236,290116,9,100,'Inflicts 88 - 108 heat damage on target instantly and every 4 seconds',1,1),
(97237,290116,9,100,'On death this spell will cast Blooming Flames on caster.  ',1,2),
(97238,290116,9,100,'Inflicts 392 - 479 heat damage on target encounter',2,3),
(97239,290116,9,100,'Grants a total of 1 trigger of the spell.',2,4),
(97240,10022,7,100,'Inflicts 2050 heat damage on target',0,0),
(97241,10022,7,100,'Inflicts 820 heat damage on target every 3 seconds',0,1),
(97242,230029,1,100,'Inflicts 65 - 121 heat damage on targets in Area of Effect',0,0),
(97243,230029,2,100,'Inflicts 69 - 128 heat damage on targets in Area of Effect',0,0),
(97244,230029,3,100,'Inflicts 73 - 135 heat damage on targets in Area of Effect',0,0),
(97245,230029,4,100,'Inflicts 80 - 148 heat damage on targets in Area of Effect',0,0),
(97246,230029,5,100,'Inflicts 87 - 162 heat damage on targets in Area of Effect',0,0),
(97247,230029,7,100,'Inflicts 112 - 208 heat damage on targets in Area of Effect',0,0),
(97248,230029,9,100,'Inflicts 116 - 216 heat damage on targets in Area of Effect',0,0),
(97249,230029,10,100,'Inflicts 122 - 227 heat damage on targets in Area of Effect',0,0),
(97250,230030,1,100,'Inflicts 136 - 253 heat damage on targets in Area of Effect',0,0),
(97251,230030,2,100,'Inflicts 144 - 267 heat damage on targets in Area of Effect',0,0),
(97252,230030,3,100,'Inflicts 151 - 281 heat damage on targets in Area of Effect',0,0),
(97253,230030,4,100,'Inflicts 167 - 309 heat damage on targets in Area of Effect',0,0),
(97254,230030,5,100,'Inflicts 182 - 337 heat damage on targets in Area of Effect',0,0),
(97255,230030,7,100,'Inflicts 233 - 433 heat damage on targets in Area of Effect',0,0),
(97256,230030,9,100,'Inflicts 242 - 450 heat damage on targets in Area of Effect',0,0),
(97257,230031,1,100,'Inflicts 215 - 400 heat damage on targets in Area of Effect',0,0),
(97258,230031,2,100,'Inflicts 227 - 422 heat damage on targets in Area of Effect',0,0),
(97259,230031,3,100,'Inflicts 239 - 444 heat damage on targets in Area of Effect',0,0),
(97260,230031,4,100,'Inflicts 263 - 489 heat damage on targets in Area of Effect',0,0),
(97261,230031,5,100,'Inflicts 287 - 533 heat damage on targets in Area of Effect',0,0),
(97262,230031,7,100,'Inflicts 368 - 684 heat damage on targets in Area of Effect',0,0),
(97263,230031,9,100,'Inflicts 383 - 711 heat damage on targets in Area of Effect',0,0),
(97264,230031,10,100,'Inflicts 402 - 746 heat damage on targets in Area of Effect',0,0),
(97265,230032,1,100,'Inflicts 311 - 577 heat damage on targets in Area of Effect',0,0),
(97266,230032,2,100,'Inflicts 328 - 609 heat damage on targets in Area of Effect',0,0),
(97267,230032,3,100,'Inflicts 345 - 641 heat damage on targets in Area of Effect',0,0),
(97268,230032,4,100,'Inflicts 380 - 705 heat damage on targets in Area of Effect',0,0),
(97269,230032,5,100,'Inflicts 414 - 769 heat damage on targets in Area of Effect',0,0),
(97270,230032,7,100,'Inflicts 532 - 987 heat damage on targets in Area of Effect',0,0),
(97271,230032,9,100,'Inflicts 552 - 1026 heat damage on targets in Area of Effect',0,0),
(97272,230033,1,100,'Inflicts 406 - 754 heat damage on targets in Area of Effect',0,0),
(97273,230033,2,100,'Inflicts 429 - 796 heat damage on targets in Area of Effect',0,0),
(97274,230033,3,100,'Inflicts 451 - 838 heat damage on targets in Area of Effect',0,0),
(97275,230033,4,100,'Inflicts 496 - 922 heat damage on targets in Area of Effect',0,0),
(97276,230033,5,100,'Inflicts 541 - 1006 heat damage on targets in Area of Effect',0,0),
(97277,230033,7,100,'Inflicts 695 - 1290 heat damage on targets in Area of Effect',0,0),
(97278,230033,9,100,'Inflicts 722 - 1341 heat damage on targets in Area of Effect',0,0),
(97279,230034,1,100,'Inflicts 492 - 914 heat damage on targets in Area of Effect',0,0),
(97280,230034,2,100,'Inflicts 520 - 965 heat damage on targets in Area of Effect',0,0),
(97281,230034,3,100,'Inflicts 547 - 1016 heat damage on targets in Area of Effect',0,0),
(97282,230034,4,100,'Inflicts 602 - 1118 heat damage on targets in Area of Effect',0,0),
(97283,230034,5,100,'Inflicts 657 - 1219 heat damage on targets in Area of Effect',0,0),
(97284,230034,7,100,'Inflicts 843 - 1565 heat damage on targets in Area of Effect',0,0),
(97285,230034,9,100,'Inflicts 875 - 1626 heat damage on targets in Area of Effect',0,0),
(97286,230035,1,100,'Inflicts 592 - 1100 heat damage on targets in Area of Effect',0,0),
(97287,230035,4,100,'Inflicts 724 - 1345 heat damage on targets in Area of Effect',0,0),
(97288,230035,5,100,'Inflicts 790 - 1467 heat damage on targets in Area of Effect',0,0),
(97289,230035,7,100,'Inflicts 1014 - 1882 heat damage on targets in Area of Effect',0,0),
(97290,230035,9,100,'Inflicts 1053 - 1956 heat damage on targets in Area of Effect',0,0),
(97291,230036,1,100,'Inflicts 629 - 1167 heat damage on targets in Area of Effect',0,0),
(97292,230036,4,100,'Inflicts 768 - 1427 heat damage on targets in Area of Effect',0,0),
(97293,230036,5,100,'Inflicts 838 - 1556 heat damage on targets in Area of Effect',0,0),
(97294,230036,7,100,'Inflicts 1076 - 1997 heat damage on targets in Area of Effect',0,0),
(97295,230036,9,100,'Inflicts 1117 - 2075 heat damage on targets in Area of Effect',0,0),
(97296,220005,1,100,'Inflicts 190 heat damage on target',0,0),
(97297,220005,1,100,'Inflicts 190 cold damage on target',0,1),
(97298,220005,1,100,'Slows target by 33.3%',0,2),
(97299,220005,2,100,'Inflicts 201 heat damage on target',0,0),
(97300,220005,2,100,'Inflicts 201 cold damage on target',0,1),
(97301,220005,2,100,'Slows target by 35.1%',0,2),
(97302,220005,3,100,'Inflicts 211 heat damage on target',0,0),
(97303,220005,3,100,'Inflicts 211 cold damage on target',0,1),
(97304,220005,3,100,'Slows target by 37.0%',0,2),
(97305,220005,4,100,'Inflicts 233 heat damage on target',0,0),
(97306,220005,4,100,'Inflicts 233 cold damage on target',0,1),
(97307,220005,4,100,'Slows target by 40.7%',0,2),
(97308,220005,5,100,'Inflicts 254 heat damage on target',0,0),
(97309,220005,5,100,'Inflicts 254 cold damage on target',0,1),
(97310,220005,5,100,'Slows target by 44.4%',0,2),
(97311,220005,7,100,'Inflicts 326 heat damage on target',0,0),
(97312,220005,7,100,'Inflicts 326 cold damage on target',0,1),
(97313,220005,7,100,'Slows target by 57.0%',0,2),
(97314,220005,9,100,'Inflicts 338 heat damage on target',0,0),
(97315,220005,9,100,'Inflicts 338 cold damage on target',0,1),
(97316,220005,9,100,'Slows target by 59.2%',0,2),
(97317,220006,1,100,'Inflicts 317 heat damage on target',0,0),
(97318,220006,1,100,'Inflicts 317 cold damage on target',0,1),
(97319,220006,1,100,'Slows target by 36.1%',0,2),
(97320,220006,2,100,'Inflicts 334 heat damage on target',0,0),
(97321,220006,2,100,'Inflicts 334 cold damage on target',0,1),
(97322,220006,2,100,'Slows target by 38.1%',0,2),
(97323,220006,3,100,'Inflicts 352 heat damage on target',0,0),
(97324,220006,3,100,'Inflicts 352 cold damage on target',0,1),
(97325,220006,3,100,'Slows target by 40.1%',0,2),
(97326,220006,4,100,'Inflicts 387 heat damage on target',0,0),
(97327,220006,4,100,'Inflicts 387 cold damage on target',0,1),
(97328,220006,4,100,'Slows target by 44.1%',0,2),
(97329,220006,5,100,'Inflicts 422 heat damage on target',0,0),
(97330,220006,5,100,'Inflicts 422 cold damage on target',0,1),
(97331,220006,5,100,'Slows target by 48.1%',0,2),
(97332,220006,7,100,'Inflicts 542 heat damage on target',0,0),
(97333,220006,7,100,'Inflicts 542 cold damage on target',0,1),
(97334,220006,7,100,'Slows target by 61.8%',0,2),
(97335,220006,9,100,'Inflicts 563 heat damage on target',0,0),
(97336,220006,9,100,'Inflicts 563 cold damage on target',0,1),
(97337,220006,9,100,'Slows target by 64.2%',0,2),
(97338,220007,1,100,'Inflicts 453 heat damage on target',0,0),
(97339,220007,1,100,'Inflicts 453 cold damage on target',0,1),
(97340,220007,1,100,'Slows target by 36.8%',0,2),
(97341,220007,2,100,'Inflicts 478 heat damage on target',0,0),
(97342,220007,2,100,'Inflicts 478 cold damage on target',0,1),
(97343,220007,2,100,'Slows target by 38.8%',0,2),
(97344,220007,3,100,'Inflicts 503 heat damage on target',0,0),
(97345,220007,3,100,'Inflicts 503 cold damage on target',0,1),
(97346,220007,3,100,'Slows target by 40.8%',0,2),
(97347,220007,4,100,'Inflicts 553 heat damage on target',0,0),
(97348,220007,4,100,'Inflicts 553 cold damage on target',0,1),
(97349,220007,4,100,'Slows target by 44.9%',0,2),
(97350,220007,5,100,'Inflicts 603 heat damage on target',0,0),
(97351,220007,5,100,'Inflicts 603 cold damage on target',0,1),
(97352,220007,5,100,'Slows target by 49.0%',0,2),
(97353,220007,7,100,'Inflicts 774 heat damage on target',0,0),
(97354,220007,7,100,'Inflicts 774 cold damage on target',0,1),
(97355,220007,7,100,'Slows target by 62.9%',0,2),
(97356,220007,9,100,'Inflicts 805 heat damage on target',0,0),
(97357,220007,9,100,'Inflicts 805 cold damage on target',0,1),
(97358,220007,9,100,'Slows target by 65.3%',0,2),
(97359,220008,1,100,'Inflicts 548 heat damage on target',0,0),
(97360,220008,1,100,'Inflicts 548 cold damage on target',0,1),
(97361,220008,1,100,'Slows target by 37.1%',0,2),
(97362,220008,4,100,'Inflicts 670 heat damage on target',0,0),
(97363,220008,4,100,'Inflicts 670 cold damage on target',0,1),
(97364,220008,4,100,'Slows target by 45.4%',0,2),
(97365,220008,5,100,'Inflicts 731 heat damage on target',0,0),
(97366,220008,5,100,'Inflicts 731 cold damage on target',0,1),
(97367,220008,5,100,'Slows target by 49.5%',0,2),
(97368,220008,7,100,'Inflicts 938 heat damage on target',0,0),
(97369,220008,7,100,'Inflicts 938 cold damage on target',0,1),
(97370,220008,7,100,'Slows target by 63.5%',0,2),
(97371,220008,9,100,'Inflicts 975 heat damage on target',0,0),
(97372,220008,9,100,'Inflicts 975 cold damage on target',0,1),
(97373,220008,9,100,'Slows target by 66.0%',0,2),
(97374,220009,1,100,'Inflicts 650 heat damage on target',0,0),
(97375,220009,1,100,'Inflicts 650 cold damage on target',0,1),
(97376,220009,1,100,'Slows target by 37.5%',0,2),
(97377,220009,4,100,'Inflicts 795 heat damage on target',0,0),
(97378,220009,4,100,'Inflicts 795 cold damage on target',0,1),
(97379,220009,4,100,'Slows target by 45.8%',0,2),
(97380,220009,5,100,'Inflicts 867 heat damage on target',0,0),
(97381,220009,5,100,'Inflicts 867 cold damage on target',0,1),
(97382,220009,5,100,'Slows target by 50.0%',0,2),
(97383,220009,7,100,'Inflicts 1113 heat damage on target',0,0),
(97384,220009,7,100,'Inflicts 1113 cold damage on target',0,1),
(97385,220009,7,100,'Slows target by 64.1%',0,2),
(97386,220009,9,100,'Inflicts 1156 heat damage on target',0,0),
(97387,220009,9,100,'Inflicts 1156 cold damage on target',0,1),
(97388,220009,9,100,'Slows target by 66.6%',0,2),
(97389,290117,1,100,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',0,0),
(97390,290117,1,100,'Inflicts 6 heat damage on target',1,1),
(97391,290117,2,100,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',0,0),
(97392,290117,2,100,'Inflicts 6 heat damage on target',1,1),
(97393,290117,3,100,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',0,0),
(97394,290117,3,100,'Inflicts 6 heat damage on target',1,1),
(97395,290117,4,100,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',0,0),
(97396,290117,4,100,'Inflicts 7 heat damage on target',1,1),
(97397,290117,5,100,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',0,0),
(97398,290117,5,100,'Inflicts 7 heat damage on target',1,1),
(97399,290117,7,100,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',0,0),
(97400,290117,7,100,'Inflicts 9 heat damage on target',1,1),
(97401,290117,9,100,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',0,0),
(97402,290117,9,100,'Inflicts 10 heat damage on target',1,1),
(97403,290117,10,100,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',0,0),
(97404,290117,10,100,'Inflicts 10 heat damage on target',1,1),
(97405,290118,1,100,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',0,0),
(97406,290118,1,100,'Inflicts 10 heat damage on target',1,1),
(97407,290118,2,100,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',0,0),
(97408,290118,2,100,'Inflicts 11 heat damage on target',1,1),
(97409,290118,3,100,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',0,0),
(97410,290118,3,100,'Inflicts 12 heat damage on target',1,1),
(97411,290118,4,100,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',0,0),
(97412,290118,4,100,'Inflicts 13 heat damage on target',1,1),
(97413,290118,5,100,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',0,0),
(97414,290118,5,100,'Inflicts 14 heat damage on target',1,1),
(97415,290118,7,100,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',0,0),
(97416,290118,7,100,'Inflicts 18 heat damage on target',1,1),
(97417,290118,9,100,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',0,0),
(97418,290118,9,100,'Inflicts 18 heat damage on target',1,1),
(97419,290119,1,100,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',0,0),
(97420,290119,1,100,'Inflicts 16 heat damage on target',1,1),
(97421,290119,2,100,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',0,0),
(97422,290119,2,100,'Inflicts 17 heat damage on target',1,1),
(97423,290119,3,100,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',0,0),
(97424,290119,3,100,'Inflicts 18 heat damage on target',1,1),
(97425,290119,4,100,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',0,0),
(97426,290119,4,100,'Inflicts 20 heat damage on target',1,1),
(97427,290119,5,100,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',0,0),
(97428,290119,5,100,'Inflicts 21 heat damage on target',1,1),
(97429,290119,7,100,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',0,0),
(97430,290119,7,100,'Inflicts 27 heat damage on target',1,1),
(97431,290119,9,100,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',0,0),
(97432,290119,9,100,'Inflicts 29 heat damage on target',1,1),
(97433,290119,10,100,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',0,0),
(97434,290119,10,100,'Inflicts 30 heat damage on target',1,1),
(97435,290120,1,100,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',0,0),
(97436,290120,1,100,'Inflicts 22 heat damage on target',1,1),
(97437,290120,2,100,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',0,0),
(97438,290120,2,100,'Inflicts 23 heat damage on target',1,1),
(97439,290120,3,100,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',0,0),
(97440,290120,3,100,'Inflicts 24 heat damage on target',1,1),
(97441,290120,4,100,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',0,0),
(97442,290120,4,100,'Inflicts 27 heat damage on target',1,1);
INSERT INTO `spell_display_effects` VALUES
(97443,290120,5,100,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',0,0),
(97444,290120,5,100,'Inflicts 29 heat damage on target',1,1),
(97445,290120,7,100,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',0,0),
(97446,290120,7,100,'Inflicts 37 heat damage on target',1,1),
(97447,290120,9,100,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',0,0),
(97448,290120,9,100,'Inflicts 39 heat damage on target',1,1),
(97449,290120,10,100,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',0,0),
(97450,290120,10,100,'Inflicts 41 heat damage on target',1,1),
(97451,290121,1,100,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',0,0),
(97452,290121,1,100,'Inflicts 27 heat damage on target',1,1),
(97453,290121,2,100,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',0,0),
(97454,290121,2,100,'Inflicts 29 heat damage on target',1,1),
(97455,290121,3,100,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',0,0),
(97456,290121,3,100,'Inflicts 30 heat damage on target',1,1),
(97457,290121,4,100,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',0,0),
(97458,290121,4,100,'Inflicts 33 heat damage on target',1,1),
(97459,290121,5,100,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',0,0),
(97460,290121,5,100,'Inflicts 36 heat damage on target',1,1),
(97461,290121,7,100,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',0,0),
(97462,290121,7,100,'Inflicts 47 heat damage on target',1,1),
(97463,290121,9,100,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',0,0),
(97464,290121,9,100,'Inflicts 48 heat damage on target',1,1),
(97465,290122,1,100,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',0,0),
(97466,290122,1,100,'Inflicts 33 heat damage on target',1,1),
(97467,290122,4,100,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',0,0),
(97468,290122,4,100,'Inflicts 40 heat damage on target',1,1),
(97469,290122,5,100,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',0,0),
(97470,290122,5,100,'Inflicts 44 heat damage on target',1,1),
(97471,290122,7,100,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',0,0),
(97472,290122,7,100,'Inflicts 56 heat damage on target',1,1),
(97473,290122,9,100,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',0,0),
(97474,290122,9,100,'Inflicts 58 heat damage on target',1,1),
(97475,290123,1,100,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',0,0),
(97476,290123,1,100,'Inflicts 37 heat damage on target',1,1),
(97477,290123,4,100,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',0,0),
(97478,290123,4,100,'Inflicts 45 heat damage on target',1,1),
(97479,290123,5,100,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',0,0),
(97480,290123,5,100,'Inflicts 49 heat damage on target',1,1),
(97481,290123,7,100,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',0,0),
(97482,290123,7,100,'Inflicts 63 heat damage on target',1,1),
(97483,290123,9,100,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',0,0),
(97484,290123,9,100,'Inflicts 65 heat damage on target',1,1),
(97485,2000457,1,100,'Stifles target',0,0),
(97486,2000457,1,100,'Epic targets gain an immunity to Stifle effects of 9.0 seconds and duration is reduced to 1.0 second.',0,1),
(97487,2000457,1,100,'Resistibility increases against targets higher than level 29.',0,2),
(97488,260078,1,100,'Increases INT of group members (AE) by 35.1',0,0),
(97489,260078,1,100,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 13.5',0,1),
(97490,260078,2,100,'Increases INT of group members (AE) by 37.0',0,0),
(97491,260078,2,100,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 14.3',0,1),
(97492,260078,3,100,'Increases INT of group members (AE) by 39.0',0,0),
(97493,260078,3,100,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 15.0',0,1),
(97494,260078,4,100,'Increases INT of group members (AE) by 42.9',0,0),
(97495,260078,4,100,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 16.5',0,1),
(97496,260078,5,100,'Increases INT of group members (AE) by 46.8',0,0),
(97497,260078,5,100,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 18.0',0,1),
(97498,260078,7,100,'Increases INT of group members (AE) by 60.1',0,0),
(97499,260078,7,100,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 23.1',0,1),
(97500,260078,9,100,'Increases INT of group members (AE) by 62.4',0,0),
(97501,260078,9,100,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 24.0',0,1),
(97502,260079,1,100,'Increases INT of group members (AE) by 54.4',0,0),
(97503,260079,1,100,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 21.1',0,1),
(97504,260079,2,100,'Increases INT of group members (AE) by 57.4',0,0),
(97505,260079,2,100,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 22.2',0,1),
(97506,260079,3,100,'Increases INT of group members (AE) by 60.4',0,0),
(97507,260079,3,100,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 23.4',0,1),
(97508,260079,4,100,'Increases INT of group members (AE) by 66.4',0,0),
(97509,260079,4,100,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 25.7',0,1),
(97510,260079,5,100,'Increases INT of group members (AE) by 72.5',0,0),
(97511,260079,5,100,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 28.1',0,1),
(97512,260079,7,100,'Increases INT of group members (AE) by 93.0',0,0),
(97513,260079,7,100,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 36.0',0,1),
(97514,260079,9,100,'Increases INT of group members (AE) by 96.6',0,0),
(97515,260079,9,100,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 37.4',0,1),
(97516,260080,1,100,'Increases INT of group members (AE) by 74.5',0,0),
(97517,260080,1,100,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 28.6',0,1),
(97518,260080,2,100,'Increases INT of group members (AE) by 78.7',0,0),
(97519,260080,2,100,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 30.2',0,1),
(97520,260080,3,100,'Increases INT of group members (AE) by 82.8',0,0),
(97521,260080,3,100,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 31.8',0,1),
(97522,260080,4,100,'Increases INT of group members (AE) by 91.1',0,0),
(97523,260080,4,100,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 35.0',0,1),
(97524,260080,5,100,'Increases INT of group members (AE) by 99.4',0,0),
(97525,260080,5,100,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 38.2',0,1),
(97526,260080,7,100,'Increases INT of group members (AE) by 127.5',0,0),
(97527,260080,7,100,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 49.0',0,1),
(97528,260080,9,100,'Increases INT of group members (AE) by 132.5',0,0),
(97529,260080,9,100,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 50.9',0,1),
(97530,260081,1,100,'Increases INT of group members (AE) by 94.7',0,0),
(97531,260081,1,100,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 36.2',0,1),
(97532,260081,2,100,'Increases INT of group members (AE) by 99.9',0,0),
(97533,260081,2,100,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 38.2',0,1),
(97534,260081,3,100,'Increases INT of group members (AE) by 105.2',0,0),
(97535,260081,3,100,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 40.2',0,1),
(97536,260081,4,100,'Increases INT of group members (AE) by 115.7',0,0),
(97537,260081,4,100,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 44.2',0,1),
(97538,260081,5,100,'Increases INT of group members (AE) by 126.2',0,0),
(97539,260081,5,100,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 48.2',0,1),
(97540,260081,7,100,'Increases INT of group members (AE) by 162.0',0,0),
(97541,260081,7,100,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 61.9',0,1),
(97542,260081,9,100,'Increases INT of group members (AE) by 168.3',0,0),
(97543,260081,9,100,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 64.3',0,1),
(97544,260082,1,100,'Increases INT of group members (AE) by 114.8',0,0),
(97545,260082,1,100,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 42.1',0,1),
(97546,260082,2,100,'Increases INT of group members (AE) by 121.2',0,0),
(97547,260082,2,100,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 44.5',0,1),
(97548,260082,3,100,'Increases INT of group members (AE) by 127.6',0,0),
(97549,260082,3,100,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 46.8',0,1),
(97550,260082,4,100,'Increases INT of group members (AE) by 140.4',0,0),
(97551,260082,4,100,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 51.5',0,1),
(97552,260082,5,100,'Increases INT of group members (AE) by 153.1',0,0),
(97553,260082,5,100,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 56.2',0,1),
(97554,260082,7,100,'Increases INT of group members (AE) by 196.5',0,0),
(97555,260082,7,100,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 72.1',0,1),
(97556,260082,9,100,'Increases INT of group members (AE) by 204.2',0,0),
(97557,260082,9,100,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 74.9',0,1),
(97558,260083,1,100,'Increases INT of group members (AE) by 134.6',0,0),
(97559,260083,1,100,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 47.5',0,1),
(97560,260083,4,100,'Increases INT of group members (AE) by 164.6',0,0),
(97561,260083,4,100,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 58.1',0,1),
(97562,260083,5,100,'Increases INT of group members (AE) by 179.5',0,0),
(97563,260083,5,100,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 63.4',0,1),
(97564,260083,7,100,'Increases INT of group members (AE) by 230.4',0,0),
(97565,260083,7,100,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 81.3',0,1),
(97566,260083,9,100,'Increases INT of group members (AE) by 239.4',0,0),
(97567,260083,9,100,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 84.5',0,1),
(97568,260084,1,100,'Increases INT of group members (AE) by 154.4',0,0),
(97569,260084,1,100,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 52.9',0,1),
(97570,260084,4,100,'Increases INT of group members (AE) by 188.8',0,0),
(97571,260084,4,100,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 64.7',0,1),
(97572,260084,5,100,'Increases INT of group members (AE) by 205.9',0,0),
(97573,260084,5,100,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 70.6',0,1),
(97574,260084,7,100,'Increases INT of group members (AE) by 264.3',0,0),
(97575,260084,7,100,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 90.6',0,1),
(97576,260084,9,100,'Increases INT of group members (AE) by 274.6',0,0),
(97577,260084,9,100,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 94.1',0,1),
(97578,300065,5,100,'Increases Max Power of target by 12.0%',0,0),
(97579,300065,5,100,'Increases Crushing, Piercing, Ranged, Slashing, Disruption, Subjugation and Ordination of target by 18.7',0,1),
(97580,300065,5,100,'Increases Piercing, Slashing, Ranged and Crushing of target by 31.2',0,2),
(97581,300066,5,100,'Increases Max Power of target by 12.0%',0,0),
(97582,300066,5,100,'Increases Crushing, Piercing, Ranged, Slashing, Disruption, Subjugation and Ordination of target by 18.7',0,1),
(97583,300067,5,100,'Increases Max Power of target by 12.0%',0,0),
(97584,300067,5,100,'Increases Disruption, Subjugation and Ordination of target by 25.9',0,1),
(97585,300067,5,100,'Increases Crushing, Piercing, Ranged and Slashing of target by 26.2',0,2),
(97586,300065,7,100,'Increases Max Power of target by 15.4%',0,0),
(97587,300065,7,100,'Increases Crushing, Piercing, Ranged, Slashing, Disruption, Subjugation and Ordination of target by 24.0',0,1),
(97588,300065,7,100,'Increases Piercing, Slashing, Ranged and Crushing of target by 36.4',0,2),
(97589,300067,7,100,'Increases Max Power of target by 15.4%',0,0),
(97590,300067,7,100,'Increases Disruption, Subjugation and Ordination of target by 33.3',0,1),
(97591,300067,7,100,'Increases Crushing, Piercing, Ranged and Slashing of target by 33.6',0,2),
(97592,300066,7,100,'Increases Max Power of target by 15.4%',0,0),
(97593,300066,7,100,'Increases Crushing, Piercing, Ranged, Slashing, Disruption, Subjugation and Ordination of target by 24.0',0,1),
(97594,300065,9,100,'Increases Max Power of target by 16.0%',0,0),
(97595,300065,9,100,'Increases Crushing, Piercing, Ranged, Slashing, Disruption, Subjugation and Ordination of target by 25.0',0,1),
(97596,300065,9,100,'Increases Piercing, Slashing, Ranged and Crushing of target by 41.6',0,2),
(97597,300067,9,100,'Increases Max Power of target by 16.0%',0,0),
(97598,300067,9,100,'Increases Disruption, Subjugation and Ordination of target by 34.6',0,1),
(97599,300067,9,100,'Increases Crushing, Piercing, Ranged and Slashing of target by 34.9',0,2),
(97600,300066,9,100,'Increases Max Power of target by 16.0%',0,0),
(97601,300066,9,100,'Increases Crushing, Piercing, Ranged, Slashing, Disruption, Subjugation and Ordination of target by 25.0',0,1),
(97602,300065,10,100,'Increases Max Power of target by 16.8%',0,0),
(97603,300065,10,100,'Increases Crushing, Piercing, Ranged, Slashing, Disruption, Subjugation and Ordination of target by 26.2',0,1),
(97604,300065,10,100,'Increases Piercing, Slashing, Ranged and Crushing of target by 42.9',0,2),
(97605,300067,10,100,'Increases Max Power of target by 16.8%',0,0),
(97606,300067,10,100,'Increases Disruption, Subjugation and Ordination of target by 36.3',0,1),
(97607,300067,10,100,'Increases Crushing, Piercing, Ranged and Slashing of target by 36.6',0,2),
(97608,2000458,1,100,'Increases the base amount of heals by 15%',0,0),
(97609,2000458,1,100,'Increases the critical amount of heals by 10%.',0,1),
(97610,2000458,1,100,'Reduces the damage of damage spells and Combat Arts by 15%',0,2),
(97611,2000458,1,100,'Increases the Dissonance cost of damaging Conduits by 10%',0,3),
(97612,2000459,1,100,'Increases Crit Chance of caster by 100.0',0,0),
(97613,2000459,1,100,'Prevents caster from being Interrupted',0,1),
(97614,2000459,1,100,'Increases Crit Bonus by 50% of the caster''s base Crit Bonus',0,2),
(97615,130045,1,100,'When any damage is received this spell will cast Benefaction on target.  ',0,0),
(97616,130045,1,100,'Heals target for 311 - 380',1,1),
(97617,130045,1,100,'Grants a total of 8 triggers of the spell.',1,2),
(97618,130045,2,100,'When any damage is received this spell will cast Benefaction on target.  ',0,0),
(97619,130045,2,100,'Heals target for 328 - 401',1,1),
(97620,130045,2,100,'Grants a total of 8 triggers of the spell.',1,2),
(97621,130045,3,100,'When any damage is received this spell will cast Benefaction on target.  ',0,0),
(97622,130045,3,100,'Heals target for 345 - 422',1,1),
(97623,130045,3,100,'Grants a total of 8 triggers of the spell.',1,2),
(97624,130045,4,100,'When any damage is received this spell will cast Benefaction on target.  ',0,0),
(97625,130045,4,100,'Heals target for 380 - 464',1,1),
(97626,130045,4,100,'Grants a total of 8 triggers of the spell.',1,2),
(97627,130045,5,100,'When any damage is received this spell will cast Benefaction on target.  ',0,0),
(97628,130045,5,100,'Heals target for 414 - 506',1,1),
(97629,130045,5,100,'Grants a total of 8 triggers of the spell.',1,2),
(97630,130045,7,100,'When any damage is received this spell will cast Benefaction on target.  ',0,0),
(97631,130045,7,100,'Heals target for 532 - 650',1,1),
(97632,130045,7,100,'Grants a total of 8 triggers of the spell.',1,2),
(97633,130045,9,100,'When any damage is received this spell will cast Benefaction on target.  ',0,0),
(97634,130045,9,100,'Heals target for 552 - 675',1,1),
(97635,130045,9,100,'Grants a total of 8 triggers of the spell.',1,2),
(97636,130046,1,100,'When any damage is received this spell will cast Benefaction on target.  ',0,0),
(97637,130046,1,100,'Heals target for 469 - 573',1,1),
(97638,130046,1,100,'Grants a total of 8 triggers of the spell.',1,2),
(97639,130046,2,100,'When any damage is received this spell will cast Benefaction on target.  ',0,0),
(97640,130046,2,100,'Heals target for 495 - 605',1,1),
(97641,130046,2,100,'Grants a total of 8 triggers of the spell.',1,2),
(97642,130046,3,100,'When any damage is received this spell will cast Benefaction on target.  ',0,0),
(97643,130046,3,100,'Heals target for 521 - 636',1,1),
(97644,130046,3,100,'Grants a total of 8 triggers of the spell.',1,2),
(97645,130046,4,100,'When any damage is received this spell will cast Benefaction on target.  ',0,0),
(97646,130046,4,100,'Heals target for 573 - 700',1,1),
(97647,130046,4,100,'Grants a total of 8 triggers of the spell.',1,2),
(97648,130046,5,100,'When any damage is received this spell will cast Benefaction on target.  ',0,0),
(97649,130046,5,100,'Heals target for 625 - 764',1,1),
(97650,130046,5,100,'Grants a total of 8 triggers of the spell.',1,2),
(97651,130046,7,100,'When any damage is received this spell will cast Benefaction on target.  ',0,0),
(97652,130046,7,100,'Heals target for 802 - 980',1,1),
(97653,130046,7,100,'Grants a total of 8 triggers of the spell.',1,2),
(97654,130046,9,100,'When any damage is received this spell will cast Benefaction on target.  ',0,0),
(97655,130046,9,100,'Heals target for 833 - 1018',1,1),
(97656,130046,9,100,'Grants a total of 8 triggers of the spell.',1,2),
(97657,130047,1,100,'When any damage is received this spell will cast Benefaction on target.  ',0,0),
(97658,130047,1,100,'Heals target for 632 - 772',1,1),
(97659,130047,1,100,'Grants a total of 8 triggers of the spell.',1,2),
(97660,130047,2,100,'When any damage is received this spell will cast Benefaction on target.  ',0,0),
(97661,130047,2,100,'Heals target for 667 - 815',1,1),
(97662,130047,2,100,'Grants a total of 8 triggers of the spell.',1,2),
(97663,130047,3,100,'When any damage is received this spell will cast Benefaction on target.  ',0,0),
(97664,130047,3,100,'Heals target for 702 - 858',1,1),
(97665,130047,3,100,'Grants a total of 8 triggers of the spell.',1,2),
(97666,130047,4,100,'When any damage is received this spell will cast Benefaction on target.  ',0,0),
(97667,130047,4,100,'Heals target for 772 - 944',1,1),
(97668,130047,4,100,'Grants a total of 8 triggers of the spell.',1,2),
(97669,130047,5,100,'When any damage is received this spell will cast Benefaction on target.  ',0,0),
(97670,130047,5,100,'Heals target for 842 - 1030',1,1),
(97671,130047,5,100,'Grants a total of 8 triggers of the spell.',1,2),
(97672,130047,7,100,'When any damage is received this spell will cast Benefaction on target.  ',0,0),
(97673,130047,7,100,'Heals target for 1081 - 1321',1,1),
(97674,130047,7,100,'Grants a total of 8 triggers of the spell.',1,2),
(97675,130047,9,100,'When any damage is received this spell will cast Benefaction on target.  ',0,0),
(97676,130047,9,100,'Heals target for 1123 - 1373',1,1),
(97677,130047,9,100,'Grants a total of 8 triggers of the spell.',1,2),
(97678,130048,1,100,'When any damage is received this spell will cast Benefaction on target.  ',0,0),
(97679,130048,1,100,'Heals target for 753 - 920',1,1),
(97680,130048,1,100,'Grants a total of 8 triggers of the spell.',1,2),
(97681,130048,4,100,'When any damage is received this spell will cast Benefaction on target.  ',0,0),
(97682,130048,4,100,'Heals target for 920 - 1125',1,1),
(97683,130048,4,100,'Grants a total of 8 triggers of the spell.',1,2),
(97684,130048,5,100,'When any damage is received this spell will cast Benefaction on target.  ',0,0),
(97685,130048,5,100,'Heals target for 1004 - 1227',1,1),
(97686,130048,5,100,'Grants a total of 8 triggers of the spell.',1,2),
(97687,130048,7,100,'When any damage is received this spell will cast Benefaction on target.  ',0,0),
(97688,130048,7,100,'Heals target for 1288 - 1575',1,1),
(97689,130048,7,100,'Grants a total of 8 triggers of the spell.',1,2),
(97690,130048,9,100,'When any damage is received this spell will cast Benefaction on target.  ',0,0),
(97691,130048,9,100,'Heals target for 1338 - 1636',1,1),
(97692,130048,9,100,'Grants a total of 8 triggers of the spell.',1,2),
(97693,130049,1,100,'When any damage is received this spell will cast Benefaction on target.  ',0,0),
(97694,130049,1,100,'Heals target for 790 - 965',1,1),
(97695,130049,1,100,'Grants a total of 8 triggers of the spell.',1,2),
(97696,130049,4,100,'When any damage is received this spell will cast Benefaction on target.  ',0,0),
(97697,130049,4,100,'Heals target for 965 - 1180',1,1),
(97698,130049,4,100,'Grants a total of 8 triggers of the spell.',1,2),
(97699,130049,5,100,'When any damage is received this spell will cast Benefaction on target.  ',0,0),
(97700,130049,5,100,'Heals target for 1053 - 1287',1,1),
(97701,130049,5,100,'Grants a total of 8 triggers of the spell.',1,2),
(97702,130049,7,100,'When any damage is received this spell will cast Benefaction on target.  ',0,0),
(97703,130049,7,100,'Heals target for 1351 - 1652',1,1),
(97704,130049,7,100,'Grants a total of 8 triggers of the spell.',1,2),
(97705,130049,9,100,'When any damage is received this spell will cast Benefaction on target.  ',0,0),
(97706,130049,9,100,'Heals target for 1404 - 1716',1,1),
(97707,130049,9,100,'Grants a total of 8 triggers of the spell.',1,2),
(97708,230037,12,100,'Increases the damage of all hostile spells by 10%',0,0),
(97709,230037,12,100,'Increases Doublecast Chance of caster by 10.0%',0,1),
(97710,230037,12,100,'On a damage spell hit this spell has a 12% chance to cast Fire of Intellect on target of spell.  Lasts for 15.0 seconds.  ',0,2),
(97711,230037,12,100,'Adds normalized spell damage based on 30% of the wizard''s intelligence',1,3),
(97712,230037,12,100,'Inflicts 588 - 881 heat damage on target',1,4),
(97713,230037,12,100,'Cannot be modified except by direct means',1,5),
(97714,230037,12,100,'Cannot be modified except by direct means',0,6),
(97715,2000460,1,100,'Reduces damage of hostile spells by 25%',0,0),
(97716,2000460,1,100,'Increases casting speed of damage spells by 20%',0,1),
(97717,2000460,1,100,'Increases base heal amount by 10%.',0,2),
(97718,2000460,1,100,'Increases critical heals by 5%.',0,3),
(97719,2000460,1,100,'Reduces power cost of beneficial spells by 15%.',0,4),
(97720,2000461,1,100,'Applies Natural Aura.',0,0),
(97721,2000461,1,100,'Heals target for 135 - 165',1,1),
(97722,2000461,1,100,'Must be engaged in combat',0,2),
(97723,2000461,1,100,'Cannot be cast on a target who already has Force of Nature.',0,3),
(97724,2000461,2,100,'Applies Natural Aura.',0,0),
(97725,2000461,2,100,'Heals target for 270 - 330',1,1),
(97726,2000461,2,100,'Must be engaged in combat',0,2),
(97727,2000461,2,100,'Cannot be cast on a target who already has Force of Nature.',0,3),
(97728,2000461,3,100,'Applies Natural Aura.',0,0),
(97729,2000461,3,100,'Heals target for 405 - 495',1,1),
(97730,2000461,3,100,'Must be engaged in combat',0,2),
(97731,2000461,3,100,'Cannot be cast on a target who already has Force of Nature.',0,3),
(97732,270062,1,100,'Applies Blind.  Lasts for 4.0 seconds.',0,0),
(97733,270062,1,100,'Blurs vision of target',1,1),
(97734,270062,1,100,'Dazes target',1,2),
(97735,270062,1,100,'Dispelled when target takes damage',1,3),
(97736,270062,1,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',1,4),
(97737,270062,1,100,'Roots target',0,5),
(97738,270062,1,100,'5% chance to dispel when target takes damage',0,6),
(97739,270062,1,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,7),
(97740,270062,1,100,'Resistibility increases against targets higher than level 29.',0,8),
(97741,270062,2,100,'Applies Blind.  Lasts for 4.0 seconds.',0,0),
(97742,270062,2,100,'Blurs vision of target',1,1),
(97743,270062,2,100,'Dazes target',1,2),
(97744,270062,2,100,'Dispelled when target takes damage',1,3),
(97745,270062,2,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',1,4),
(97746,270062,2,100,'Roots target',0,5),
(97747,270062,2,100,'5% chance to dispel when target takes damage',0,6),
(97748,270062,2,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,7),
(97749,270062,2,100,'Resistibility increases against targets higher than level 29.',0,8),
(97750,270062,3,100,'Applies Blind.  Lasts for 4.0 seconds.',0,0),
(97751,270062,3,100,'Blurs vision of target',1,1),
(97752,270062,3,100,'Dazes target',1,2),
(97753,270062,3,100,'Dispelled when target takes damage',1,3),
(97754,270062,3,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',1,4),
(97755,270062,3,100,'Roots target',0,5),
(97756,270062,3,100,'5% chance to dispel when target takes damage',0,6),
(97757,270062,3,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,7),
(97758,270062,3,100,'Resistibility increases against targets higher than level 29.',0,8),
(97759,270062,4,100,'Applies Blind.  Lasts for 4.0 seconds.',0,0),
(97760,270062,4,100,'Blurs vision of target',1,1),
(97761,270062,4,100,'Dazes target',1,2),
(97762,270062,4,100,'Dispelled when target takes damage',1,3),
(97763,270062,4,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',1,4),
(97764,270062,4,100,'Roots target',0,5),
(97765,270062,4,100,'5% chance to dispel when target takes damage',0,6),
(97766,270062,4,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,7),
(97767,270062,4,100,'Resistibility increases against targets higher than level 29.',0,8),
(97768,270062,5,100,'Applies Blind.  Lasts for 4.0 seconds.',0,0),
(97769,270062,5,100,'Blurs vision of target',1,1),
(97770,270062,5,100,'Dazes target',1,2),
(97771,270062,5,100,'Dispelled when target takes damage',1,3),
(97772,270062,5,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',1,4),
(97773,270062,5,100,'Roots target',0,5),
(97774,270062,5,100,'5% chance to dispel when target takes damage',0,6),
(97775,270062,5,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,7),
(97776,270062,5,100,'Resistibility increases against targets higher than level 29.',0,8),
(97777,270062,7,100,'Applies Blind.  Lasts for 4.0 seconds.',0,0),
(97778,270062,7,100,'Blurs vision of target',1,1),
(97779,270062,7,100,'Dazes target',1,2),
(97780,270062,7,100,'Dispelled when target takes damage',1,3),
(97781,270062,7,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',1,4),
(97782,270062,7,100,'Roots target',0,5),
(97783,270062,7,100,'5% chance to dispel when target takes damage',0,6),
(97784,270062,7,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,7),
(97785,270062,7,100,'Resistibility increases against targets higher than level 29.',0,8),
(97786,270062,9,100,'Applies Blind.  Lasts for 4.0 seconds.',0,0),
(97787,270062,9,100,'Blurs vision of target',1,1),
(97788,270062,9,100,'Dazes target',1,2),
(97789,270062,9,100,'Dispelled when target takes damage',1,3),
(97790,270062,9,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',1,4),
(97791,270062,9,100,'Roots target',0,5),
(97792,270062,9,100,'5% chance to dispel when target takes damage',0,6),
(97793,270062,9,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,7),
(97794,270062,9,100,'Resistibility increases against targets higher than level 29.',0,8),
(97795,270063,1,100,'Applies Blind.  Lasts for 5.0 seconds.',0,0),
(97796,270063,1,100,'Blurs vision of target',1,1),
(97797,270063,1,100,'Dazes target',1,2),
(97798,270063,1,100,'Dispelled when target takes damage',1,3),
(97799,270063,1,100,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',1,4),
(97800,270063,1,100,'Roots target',0,5),
(97801,270063,1,100,'5% chance to dispel when target takes damage',0,6),
(97802,270063,1,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,7),
(97803,270063,1,100,'Resistibility increases against targets higher than level 29.',0,8),
(97804,270063,2,100,'Applies Blind.  Lasts for 5.0 seconds.',0,0),
(97805,270063,2,100,'Blurs vision of target',1,1),
(97806,270063,2,100,'Dazes target',1,2),
(97807,270063,2,100,'Dispelled when target takes damage',1,3),
(97808,270063,2,100,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',1,4),
(97809,270063,2,100,'Roots target',0,5),
(97810,270063,2,100,'5% chance to dispel when target takes damage',0,6),
(97811,270063,2,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,7),
(97812,270063,2,100,'Resistibility increases against targets higher than level 29.',0,8),
(97813,270063,3,100,'Applies Blind.  Lasts for 5.0 seconds.',0,0),
(97814,270063,3,100,'Blurs vision of target',1,1),
(97815,270063,3,100,'Dazes target',1,2),
(97816,270063,3,100,'Dispelled when target takes damage',1,3),
(97817,270063,3,100,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',1,4),
(97818,270063,3,100,'Roots target',0,5),
(97819,270063,3,100,'5% chance to dispel when target takes damage',0,6),
(97820,270063,3,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,7),
(97821,270063,3,100,'Resistibility increases against targets higher than level 29.',0,8),
(97822,270063,4,100,'Applies Blind.  Lasts for 5.0 seconds.',0,0),
(97823,270063,4,100,'Blurs vision of target',1,1),
(97824,270063,4,100,'Dazes target',1,2),
(97825,270063,4,100,'Dispelled when target takes damage',1,3),
(97826,270063,4,100,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',1,4),
(97827,270063,4,100,'Roots target',0,5),
(97828,270063,4,100,'5% chance to dispel when target takes damage',0,6),
(97829,270063,4,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,7),
(97830,270063,4,100,'Resistibility increases against targets higher than level 29.',0,8),
(97831,270063,5,100,'Applies Blind.  Lasts for 5.0 seconds.',0,0),
(97832,270063,5,100,'Blurs vision of target',1,1),
(97833,270063,5,100,'Dazes target',1,2),
(97834,270063,5,100,'Dispelled when target takes damage',1,3),
(97835,270063,5,100,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',1,4),
(97836,270063,5,100,'Roots target',0,5),
(97837,270063,5,100,'5% chance to dispel when target takes damage',0,6),
(97838,270063,5,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,7),
(97839,270063,5,100,'Resistibility increases against targets higher than level 29.',0,8),
(97840,270063,7,100,'Applies Blind.  Lasts for 5.0 seconds.',0,0),
(97841,270063,7,100,'Blurs vision of target',1,1),
(97842,270063,7,100,'Dazes target',1,2),
(97843,270063,7,100,'Dispelled when target takes damage',1,3),
(97844,270063,7,100,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',1,4),
(97845,270063,7,100,'Roots target',0,5),
(97846,270063,7,100,'5% chance to dispel when target takes damage',0,6),
(97847,270063,7,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,7),
(97848,270063,7,100,'Resistibility increases against targets higher than level 29.',0,8),
(97849,270063,9,100,'Applies Blind.  Lasts for 5.0 seconds.',0,0),
(97850,270063,9,100,'Blurs vision of target',1,1),
(97851,270063,9,100,'Dazes target',1,2),
(97852,270063,9,100,'Dispelled when target takes damage',1,3),
(97853,270063,9,100,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',1,4),
(97854,270063,9,100,'Roots target',0,5),
(97855,270063,9,100,'5% chance to dispel when target takes damage',0,6),
(97856,270063,9,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,7),
(97857,270063,9,100,'Resistibility increases against targets higher than level 29.',0,8),
(97858,270064,1,100,'Applies Blind.  Lasts for 6.0 seconds.',0,0),
(97859,270064,1,100,'Blurs vision of target',1,1),
(97860,270064,1,100,'Dazes target',1,2),
(97861,270064,1,100,'Dispelled when target takes damage',1,3),
(97862,270064,1,100,'Epic targets gain an immunity to Daze effects of 18.0 seconds and duration is reduced to 2.0 seconds.',1,4),
(97863,270064,1,100,'Roots target',0,5),
(97864,270064,1,100,'5% chance to dispel when target takes damage',0,6),
(97865,270064,1,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,7),
(97866,270064,1,100,'Resistibility increases against targets higher than level 29.',0,8),
(97867,270064,2,100,'Applies Blind.  Lasts for 6.0 seconds.',0,0),
(97868,270064,2,100,'Blurs vision of target',1,1),
(97869,270064,2,100,'Dazes target',1,2),
(97870,270064,2,100,'Dispelled when target takes damage',1,3),
(97871,270064,2,100,'Epic targets gain an immunity to Daze effects of 18.0 seconds and duration is reduced to 2.0 seconds.',1,4),
(97872,270064,2,100,'Roots target',0,5),
(97873,270064,2,100,'5% chance to dispel when target takes damage',0,6),
(97874,270064,2,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,7),
(97875,270064,2,100,'Resistibility increases against targets higher than level 29.',0,8),
(97876,270064,3,100,'Applies Blind.  Lasts for 6.0 seconds.',0,0),
(97877,270064,3,100,'Blurs vision of target',1,1),
(97878,270064,3,100,'Dazes target',1,2),
(97879,270064,3,100,'Dispelled when target takes damage',1,3),
(97880,270064,3,100,'Epic targets gain an immunity to Daze effects of 18.0 seconds and duration is reduced to 2.0 seconds.',1,4),
(97881,270064,3,100,'Roots target',0,5),
(97882,270064,3,100,'5% chance to dispel when target takes damage',0,6),
(97883,270064,3,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,7),
(97884,270064,3,100,'Resistibility increases against targets higher than level 29.',0,8),
(97885,270064,4,100,'Applies Blind.  Lasts for 6.0 seconds.',0,0),
(97886,270064,4,100,'Blurs vision of target',1,1),
(97887,270064,4,100,'Dazes target',1,2),
(97888,270064,4,100,'Dispelled when target takes damage',1,3),
(97889,270064,4,100,'Epic targets gain an immunity to Daze effects of 18.0 seconds and duration is reduced to 2.0 seconds.',1,4),
(97890,270064,4,100,'Roots target',0,5),
(97891,270064,4,100,'5% chance to dispel when target takes damage',0,6),
(97892,270064,4,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,7),
(97893,270064,4,100,'Resistibility increases against targets higher than level 29.',0,8),
(97894,270064,5,100,'Applies Blind.  Lasts for 6.0 seconds.',0,0),
(97895,270064,5,100,'Blurs vision of target',1,1),
(97896,270064,5,100,'Dazes target',1,2),
(97897,270064,5,100,'Dispelled when target takes damage',1,3),
(97898,270064,5,100,'Epic targets gain an immunity to Daze effects of 18.0 seconds and duration is reduced to 2.0 seconds.',1,4),
(97899,270064,5,100,'Roots target',0,5),
(97900,270064,5,100,'5% chance to dispel when target takes damage',0,6),
(97901,270064,5,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,7),
(97902,270064,5,100,'Resistibility increases against targets higher than level 29.',0,8),
(97903,270064,7,100,'Applies Blind.  Lasts for 6.0 seconds.',0,0),
(97904,270064,7,100,'Blurs vision of target',1,1),
(97905,270064,7,100,'Dazes target',1,2),
(97906,270064,7,100,'Dispelled when target takes damage',1,3),
(97907,270064,7,100,'Epic targets gain an immunity to Daze effects of 18.0 seconds and duration is reduced to 2.0 seconds.',1,4),
(97908,270064,7,100,'Roots target',0,5),
(97909,270064,7,100,'5% chance to dispel when target takes damage',0,6),
(97910,270064,7,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,7),
(97911,270064,7,100,'Resistibility increases against targets higher than level 29.',0,8),
(97912,270064,9,100,'Applies Blind.  Lasts for 6.0 seconds.',0,0),
(97913,270064,9,100,'Blurs vision of target',1,1),
(97914,270064,9,100,'Dazes target',1,2),
(97915,270064,9,100,'Dispelled when target takes damage',1,3),
(97916,270064,9,100,'Epic targets gain an immunity to Daze effects of 18.0 seconds and duration is reduced to 2.0 seconds.',1,4),
(97917,270064,9,100,'Roots target',0,5),
(97918,270064,9,100,'5% chance to dispel when target takes damage',0,6),
(97919,270064,9,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,7),
(97920,270064,9,100,'Resistibility increases against targets higher than level 29.',0,8),
(97921,270065,1,100,'Applies Blind.  Lasts for 7.0 seconds.',0,0),
(97922,270065,1,100,'Blurs vision of target',1,1),
(97923,270065,1,100,'Dazes target',1,2),
(97924,270065,1,100,'Dispelled when target takes damage',1,3),
(97925,270065,1,100,'Epic targets gain an immunity to Daze effects of 21.0 seconds and duration is reduced to 2.3 seconds.',1,4),
(97926,270065,1,100,'Roots target',0,5),
(97927,270065,1,100,'5% chance to dispel when target takes damage',0,6),
(97928,270065,1,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,7),
(97929,270065,1,100,'Resistibility increases against targets higher than level 29.',0,8),
(97930,270065,2,100,'Applies Blind.  Lasts for 7.0 seconds.',0,0),
(97931,270065,2,100,'Blurs vision of target',1,1),
(97932,270065,2,100,'Dazes target',1,2),
(97933,270065,2,100,'Dispelled when target takes damage',1,3),
(97934,270065,2,100,'Epic targets gain an immunity to Daze effects of 21.0 seconds and duration is reduced to 2.3 seconds.',1,4),
(97935,270065,2,100,'Roots target',0,5),
(97936,270065,2,100,'5% chance to dispel when target takes damage',0,6),
(97937,270065,2,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,7),
(97938,270065,2,100,'Resistibility increases against targets higher than level 29.',0,8),
(97939,270065,3,100,'Applies Blind.  Lasts for 7.0 seconds.',0,0),
(97940,270065,3,100,'Blurs vision of target',1,1),
(97941,270065,3,100,'Dazes target',1,2),
(97942,270065,3,100,'Dispelled when target takes damage',1,3),
(97943,270065,3,100,'Epic targets gain an immunity to Daze effects of 21.0 seconds and duration is reduced to 2.3 seconds.',1,4),
(97944,270065,3,100,'Roots target',0,5),
(97945,270065,3,100,'5% chance to dispel when target takes damage',0,6),
(97946,270065,3,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,7),
(97947,270065,3,100,'Resistibility increases against targets higher than level 29.',0,8),
(97948,270065,4,100,'Applies Blind.  Lasts for 7.0 seconds.',0,0),
(97949,270065,4,100,'Blurs vision of target',1,1),
(97950,270065,4,100,'Dazes target',1,2),
(97951,270065,4,100,'Dispelled when target takes damage',1,3),
(97952,270065,4,100,'Epic targets gain an immunity to Daze effects of 21.0 seconds and duration is reduced to 2.3 seconds.',1,4),
(97953,270065,4,100,'Roots target',0,5),
(97954,270065,4,100,'5% chance to dispel when target takes damage',0,6),
(97955,270065,4,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,7),
(97956,270065,4,100,'Resistibility increases against targets higher than level 29.',0,8),
(97957,270065,5,100,'Applies Blind.  Lasts for 7.0 seconds.',0,0),
(97958,270065,5,100,'Blurs vision of target',1,1),
(97959,270065,5,100,'Dazes target',1,2),
(97960,270065,5,100,'Dispelled when target takes damage',1,3),
(97961,270065,5,100,'Epic targets gain an immunity to Daze effects of 21.0 seconds and duration is reduced to 2.3 seconds.',1,4),
(97962,270065,5,100,'Roots target',0,5),
(97963,270065,5,100,'5% chance to dispel when target takes damage',0,6),
(97964,270065,5,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,7),
(97965,270065,5,100,'Resistibility increases against targets higher than level 29.',0,8),
(97966,270065,7,100,'Applies Blind.  Lasts for 7.0 seconds.',0,0),
(97967,270065,7,100,'Blurs vision of target',1,1),
(97968,270065,7,100,'Dazes target',1,2),
(97969,270065,7,100,'Dispelled when target takes damage',1,3),
(97970,270065,7,100,'Epic targets gain an immunity to Daze effects of 21.0 seconds and duration is reduced to 2.3 seconds.',1,4),
(97971,270065,7,100,'Roots target',0,5),
(97972,270065,7,100,'5% chance to dispel when target takes damage',0,6),
(97973,270065,7,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,7),
(97974,270065,7,100,'Resistibility increases against targets higher than level 29.',0,8),
(97975,270065,9,100,'Applies Blind.  Lasts for 7.0 seconds.',0,0),
(97976,270065,9,100,'Blurs vision of target',1,1),
(97977,270065,9,100,'Dazes target',1,2),
(97978,270065,9,100,'Dispelled when target takes damage',1,3),
(97979,270065,9,100,'Epic targets gain an immunity to Daze effects of 21.0 seconds and duration is reduced to 2.3 seconds.',1,4),
(97980,270065,9,100,'Roots target',0,5),
(97981,270065,9,100,'5% chance to dispel when target takes damage',0,6),
(97982,270065,9,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,7),
(97983,270065,9,100,'Resistibility increases against targets higher than level 29.',0,8),
(97984,270066,1,100,'Applies Blind.  Lasts for 8.0 seconds.',0,0),
(97985,270066,1,100,'Blurs vision of target',1,1),
(97986,270066,1,100,'Dazes target',1,2),
(97987,270066,1,100,'Dispelled when target takes damage',1,3),
(97988,270066,1,100,'Epic targets gain an immunity to Daze effects of 24.0 seconds and duration is reduced to 2.7 seconds.',1,4),
(97989,270066,1,100,'Roots target',0,5),
(97990,270066,1,100,'5% chance to dispel when target takes damage',0,6),
(97991,270066,1,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,7),
(97992,270066,1,100,'Resistibility increases against targets higher than level 29.',0,8),
(97993,270066,2,100,'Applies Blind.  Lasts for 8.0 seconds.',0,0),
(97994,270066,2,100,'Blurs vision of target',1,1),
(97995,270066,2,100,'Dazes target',1,2),
(97996,270066,2,100,'Dispelled when target takes damage',1,3),
(97997,270066,2,100,'Epic targets gain an immunity to Daze effects of 24.0 seconds and duration is reduced to 2.7 seconds.',1,4),
(97998,270066,2,100,'Roots target',0,5),
(97999,270066,2,100,'5% chance to dispel when target takes damage',0,6),
(98000,270066,2,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,7),
(98001,270066,2,100,'Resistibility increases against targets higher than level 29.',0,8),
(98002,270066,3,100,'Applies Blind.  Lasts for 8.0 seconds.',0,0),
(98003,270066,3,100,'Blurs vision of target',1,1),
(98004,270066,3,100,'Dazes target',1,2),
(98005,270066,3,100,'Dispelled when target takes damage',1,3),
(98006,270066,3,100,'Epic targets gain an immunity to Daze effects of 24.0 seconds and duration is reduced to 2.7 seconds.',1,4),
(98007,270066,3,100,'Roots target',0,5),
(98008,270066,3,100,'5% chance to dispel when target takes damage',0,6),
(98009,270066,3,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,7),
(98010,270066,3,100,'Resistibility increases against targets higher than level 29.',0,8),
(98011,270066,4,100,'Applies Blind.  Lasts for 8.0 seconds.',0,0),
(98012,270066,4,100,'Blurs vision of target',1,1),
(98013,270066,4,100,'Dazes target',1,2),
(98014,270066,4,100,'Dispelled when target takes damage',1,3),
(98015,270066,4,100,'Epic targets gain an immunity to Daze effects of 24.0 seconds and duration is reduced to 2.7 seconds.',1,4),
(98016,270066,4,100,'Roots target',0,5),
(98017,270066,4,100,'5% chance to dispel when target takes damage',0,6),
(98018,270066,4,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,7),
(98019,270066,4,100,'Resistibility increases against targets higher than level 29.',0,8),
(98020,270066,5,100,'Applies Blind.  Lasts for 8.0 seconds.',0,0),
(98021,270066,5,100,'Blurs vision of target',1,1),
(98022,270066,5,100,'Dazes target',1,2),
(98023,270066,5,100,'Dispelled when target takes damage',1,3),
(98024,270066,5,100,'Epic targets gain an immunity to Daze effects of 24.0 seconds and duration is reduced to 2.7 seconds.',1,4),
(98025,270066,5,100,'Roots target',0,5),
(98026,270066,5,100,'5% chance to dispel when target takes damage',0,6),
(98027,270066,5,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,7),
(98028,270066,5,100,'Resistibility increases against targets higher than level 29.',0,8),
(98029,270066,7,100,'Applies Blind.  Lasts for 8.0 seconds.',0,0),
(98030,270066,7,100,'Blurs vision of target',1,1),
(98031,270066,7,100,'Dazes target',1,2),
(98032,270066,7,100,'Dispelled when target takes damage',1,3),
(98033,270066,7,100,'Epic targets gain an immunity to Daze effects of 24.0 seconds and duration is reduced to 2.7 seconds.',1,4),
(98034,270066,7,100,'Roots target',0,5),
(98035,270066,7,100,'5% chance to dispel when target takes damage',0,6),
(98036,270066,7,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,7),
(98037,270066,7,100,'Resistibility increases against targets higher than level 29.',0,8),
(98038,270066,9,100,'Applies Blind.  Lasts for 8.0 seconds.',0,0),
(98039,270066,9,100,'Blurs vision of target',1,1),
(98040,270066,9,100,'Dazes target',1,2),
(98041,270066,9,100,'Dispelled when target takes damage',1,3),
(98042,270066,9,100,'Epic targets gain an immunity to Daze effects of 24.0 seconds and duration is reduced to 2.7 seconds.',1,4),
(98043,270066,9,100,'Roots target',0,5),
(98044,270066,9,100,'5% chance to dispel when target takes damage',0,6),
(98045,270066,9,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,7),
(98046,270066,9,100,'Resistibility increases against targets higher than level 29.',0,8),
(98047,270067,1,100,'Applies Blind.  Lasts for 9.0 seconds.',0,0),
(98048,270067,1,100,'Blurs vision of target',1,1),
(98049,270067,1,100,'Dazes target',1,2),
(98050,270067,1,100,'Dispelled when target takes damage',1,3),
(98051,270067,1,100,'Epic targets gain an immunity to Daze effects of 27.0 seconds and duration is reduced to 3.0 seconds.',1,4),
(98052,270067,1,100,'Roots target',0,5),
(98053,270067,1,100,'5% chance to dispel when target takes damage',0,6),
(98054,270067,1,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,7),
(98055,270067,1,100,'Resistibility increases against targets higher than level 29.',0,8),
(98056,270067,2,100,'Applies Blind.  Lasts for 9.0 seconds.',0,0),
(98057,270067,2,100,'Blurs vision of target',1,1),
(98058,270067,2,100,'Dazes target',1,2),
(98059,270067,2,100,'Dispelled when target takes damage',1,3),
(98060,270067,2,100,'Epic targets gain an immunity to Daze effects of 27.0 seconds and duration is reduced to 3.0 seconds.',1,4),
(98061,270067,2,100,'Roots target',0,5),
(98062,270067,2,100,'5% chance to dispel when target takes damage',0,6),
(98063,270067,2,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,7),
(98064,270067,2,100,'Resistibility increases against targets higher than level 29.',0,8),
(98065,270067,3,100,'Applies Blind.  Lasts for 9.0 seconds.',0,0),
(98066,270067,3,100,'Blurs vision of target',1,1),
(98067,270067,3,100,'Dazes target',1,2),
(98068,270067,3,100,'Dispelled when target takes damage',1,3),
(98069,270067,3,100,'Epic targets gain an immunity to Daze effects of 27.0 seconds and duration is reduced to 3.0 seconds.',1,4),
(98070,270067,3,100,'Roots target',0,5),
(98071,270067,3,100,'5% chance to dispel when target takes damage',0,6),
(98072,270067,3,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,7),
(98073,270067,3,100,'Resistibility increases against targets higher than level 29.',0,8),
(98074,270067,4,100,'Applies Blind.  Lasts for 9.0 seconds.',0,0),
(98075,270067,4,100,'Blurs vision of target',1,1),
(98076,270067,4,100,'Dazes target',1,2),
(98077,270067,4,100,'Dispelled when target takes damage',1,3),
(98078,270067,4,100,'Epic targets gain an immunity to Daze effects of 27.0 seconds and duration is reduced to 3.0 seconds.',1,4),
(98079,270067,4,100,'Roots target',0,5),
(98080,270067,4,100,'5% chance to dispel when target takes damage',0,6),
(98081,270067,4,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,7),
(98082,270067,4,100,'Resistibility increases against targets higher than level 29.',0,8),
(98083,270067,5,100,'Applies Blind.  Lasts for 9.0 seconds.',0,0),
(98084,270067,5,100,'Blurs vision of target',1,1),
(98085,270067,5,100,'Dazes target',1,2),
(98086,270067,5,100,'Dispelled when target takes damage',1,3),
(98087,270067,5,100,'Epic targets gain an immunity to Daze effects of 27.0 seconds and duration is reduced to 3.0 seconds.',1,4),
(98088,270067,5,100,'Roots target',0,5),
(98089,270067,5,100,'5% chance to dispel when target takes damage',0,6),
(98090,270067,5,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,7),
(98091,270067,5,100,'Resistibility increases against targets higher than level 29.',0,8),
(98092,270067,7,100,'Applies Blind.  Lasts for 9.0 seconds.',0,0),
(98093,270067,7,100,'Blurs vision of target',1,1),
(98094,270067,7,100,'Dazes target',1,2),
(98095,270067,7,100,'Dispelled when target takes damage',1,3),
(98096,270067,7,100,'Epic targets gain an immunity to Daze effects of 27.0 seconds and duration is reduced to 3.0 seconds.',1,4),
(98097,270067,7,100,'Roots target',0,5),
(98098,270067,7,100,'5% chance to dispel when target takes damage',0,6),
(98099,270067,7,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,7),
(98100,270067,7,100,'Resistibility increases against targets higher than level 29.',0,8),
(98101,270067,9,100,'Applies Blind.  Lasts for 9.0 seconds.',0,0),
(98102,270067,9,100,'Blurs vision of target',1,1),
(98103,270067,9,100,'Dazes target',1,2),
(98104,270067,9,100,'Dispelled when target takes damage',1,3),
(98105,270067,9,100,'Epic targets gain an immunity to Daze effects of 27.0 seconds and duration is reduced to 3.0 seconds.',1,4),
(98106,270067,9,100,'Roots target',0,5),
(98107,270067,9,100,'5% chance to dispel when target takes damage',0,6),
(98108,270067,9,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,7),
(98109,270067,9,100,'Resistibility increases against targets higher than level 29.',0,8),
(98110,270068,1,100,'Applies Blind.  Lasts for 9.0 seconds.',0,0),
(98111,270068,1,100,'Blurs vision of target',1,1),
(98112,270068,1,100,'Dazes target',1,2),
(98113,270068,1,100,'Dispelled when target takes damage',1,3),
(98114,270068,1,100,'Epic targets gain an immunity to Daze effects of 27.0 seconds and duration is reduced to 3.0 seconds.',1,4),
(98115,270068,1,100,'Roots target',0,5),
(98116,270068,1,100,'5% chance to dispel when target takes damage',0,6),
(98117,270068,1,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,7),
(98118,270068,1,100,'Resistibility increases against targets higher than level 29.',0,8),
(98119,270068,4,100,'Applies Blind.  Lasts for 9.0 seconds.',0,0),
(98120,270068,4,100,'Blurs vision of target',1,1),
(98121,270068,4,100,'Dazes target',1,2),
(98122,270068,4,100,'Dispelled when target takes damage',1,3),
(98123,270068,4,100,'Epic targets gain an immunity to Daze effects of 27.0 seconds and duration is reduced to 3.0 seconds.',1,4),
(98124,270068,4,100,'Roots target',0,5),
(98125,270068,4,100,'5% chance to dispel when target takes damage',0,6),
(98126,270068,4,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,7),
(98127,270068,4,100,'Resistibility increases against targets higher than level 29.',0,8),
(98128,270068,5,100,'Applies Blind.  Lasts for 9.0 seconds.',0,0),
(98129,270068,5,100,'Blurs vision of target',1,1),
(98130,270068,5,100,'Dazes target',1,2),
(98131,270068,5,100,'Dispelled when target takes damage',1,3),
(98132,270068,5,100,'Epic targets gain an immunity to Daze effects of 27.0 seconds and duration is reduced to 3.0 seconds.',1,4),
(98133,270068,5,100,'Roots target',0,5),
(98134,270068,5,100,'5% chance to dispel when target takes damage',0,6),
(98135,270068,5,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,7),
(98136,270068,5,100,'Resistibility increases against targets higher than level 29.',0,8),
(98137,270068,7,100,'Applies Blind.  Lasts for 9.0 seconds.',0,0),
(98138,270068,7,100,'Blurs vision of target',1,1),
(98139,270068,7,100,'Dazes target',1,2),
(98140,270068,7,100,'Dispelled when target takes damage',1,3),
(98141,270068,7,100,'Epic targets gain an immunity to Daze effects of 27.0 seconds and duration is reduced to 3.0 seconds.',1,4),
(98142,270068,7,100,'Roots target',0,5),
(98143,270068,7,100,'5% chance to dispel when target takes damage',0,6),
(98144,270068,7,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,7),
(98145,270068,7,100,'Resistibility increases against targets higher than level 29.',0,8),
(98146,270068,9,100,'Applies Blind.  Lasts for 9.0 seconds.',0,0),
(98147,270068,9,100,'Blurs vision of target',1,1),
(98148,270068,9,100,'Dazes target',1,2),
(98149,270068,9,100,'Dispelled when target takes damage',1,3),
(98150,270068,9,100,'Epic targets gain an immunity to Daze effects of 27.0 seconds and duration is reduced to 3.0 seconds.',1,4),
(98151,270068,9,100,'Roots target',0,5),
(98152,270068,9,100,'5% chance to dispel when target takes damage',0,6),
(98153,270068,9,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,7),
(98154,270068,9,100,'Resistibility increases against targets higher than level 29.',0,8),
(98155,140072,1,100,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 4.9',0,0),
(98156,140072,2,100,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 5.1',0,0),
(98157,140072,3,100,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 5.4',0,0),
(98158,140072,4,100,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 5.9',0,0),
(98159,140072,5,100,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 6.5',0,0),
(98160,140072,7,100,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 8.3',0,0),
(98161,140072,9,100,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 8.6',0,0),
(98162,140073,1,100,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 8.3',0,0),
(98163,140073,2,100,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 8.7',0,0),
(98164,140073,3,100,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 9.2',0,0),
(98165,140073,4,100,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 10.1',0,0),
(98166,140073,5,100,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 11.0',0,0),
(98167,140073,7,100,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 14.1',0,0),
(98168,140073,9,100,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 14.7',0,0),
(98169,140073,10,100,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 15.4',0,0),
(98170,140074,1,100,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 11.7',0,0),
(98171,140074,2,100,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 12.3',0,0),
(98172,140074,3,100,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 13.0',0,0),
(98173,140074,4,100,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 14.3',0,0),
(98174,140074,5,100,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 15.6',0,0),
(98175,140074,7,100,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 20.0',0,0),
(98176,140074,9,100,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 20.7',0,0),
(98177,140075,1,100,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 15.1',0,0),
(98178,140075,2,100,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 15.9',0,0),
(98179,140075,3,100,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 16.7',0,0),
(98180,140075,4,100,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 18.4',0,0),
(98181,140075,5,100,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 20.1',0,0),
(98182,140075,7,100,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 25.8',0,0),
(98183,140075,9,100,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 26.8',0,0),
(98184,140075,10,100,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 28.1',0,0),
(98185,140076,1,100,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 19.0',0,0),
(98186,140076,2,100,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 20.0',0,0),
(98187,140076,3,100,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 21.1',0,0),
(98188,140076,4,100,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 23.2',0,0),
(98189,140076,5,100,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 25.3',0,0),
(98190,140076,7,100,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 32.4',0,0),
(98191,140076,9,100,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 33.7',0,0),
(98192,140077,1,100,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 22.2',0,0),
(98193,140077,4,100,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 27.1',0,0),
(98194,140077,5,100,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 29.6',0,0),
(98195,140077,7,100,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 38.0',0,0),
(98196,140077,9,100,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 39.5',0,0),
(98197,140078,1,100,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 25.4',0,0),
(98198,140078,4,100,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 31.1',0,0),
(98199,140078,5,100,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 33.9',0,0),
(98200,140078,7,100,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 43.5',0,0),
(98201,140078,9,100,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 45.2',0,0),
(98202,2000462,1,100,'Decreases Haste of target encounter by 9.0',0,0),
(98203,170069,1,100,'Increases INT and WIS of group members (AE) by 13.1',0,0),
(98204,170069,1,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 86',0,1),
(98205,170069,2,100,'Increases INT and WIS of group members (AE) by 13.9',0,0),
(98206,170069,2,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 90',0,1),
(98207,170069,3,100,'Increases INT and WIS of group members (AE) by 14.6',0,0),
(98208,170069,3,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 95',0,1),
(98209,170069,4,100,'Increases INT and WIS of group members (AE) by 16.1',0,0),
(98210,170069,4,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 105',0,1),
(98211,170069,5,100,'Increases INT and WIS of group members (AE) by 17.5',0,0),
(98212,170069,5,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 114',0,1),
(98213,170069,7,100,'Increases INT and WIS of group members (AE) by 22.5',0,0),
(98214,170069,7,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 146',0,1),
(98215,170069,9,100,'Increases INT and WIS of group members (AE) by 23.4',0,0),
(98216,170069,9,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 152',0,1),
(98217,170070,1,100,'Increases INT and WIS of group members (AE) by 22.1',0,0),
(98218,170070,1,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 152',0,1),
(98219,170070,2,100,'Increases INT and WIS of group members (AE) by 23.4',0,0),
(98220,170070,2,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 161',0,1),
(98221,170070,3,100,'Increases INT and WIS of group members (AE) by 24.6',0,0),
(98222,170070,3,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 169',0,1),
(98223,170070,4,100,'Increases INT and WIS of group members (AE) by 27.1',0,0),
(98224,170070,4,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 186',0,1),
(98225,170070,5,100,'Increases INT and WIS of group members (AE) by 29.5',0,0),
(98226,170070,5,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 203',0,1),
(98227,170070,7,100,'Increases INT and WIS of group members (AE) by 37.9',0,0),
(98228,170070,7,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 260',0,1),
(98229,170070,9,100,'Increases INT and WIS of group members (AE) by 39.4',0,0),
(98230,170070,9,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 270',0,1),
(98231,170071,1,100,'Increases INT and WIS of group members (AE) by 32.2',0,0),
(98232,170071,1,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 219',0,1),
(98233,170071,2,100,'Increases INT and WIS of group members (AE) by 34.0',0,0),
(98234,170071,2,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 231',0,1),
(98235,170071,3,100,'Increases INT and WIS of group members (AE) by 35.8',0,0),
(98236,170071,3,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 243',0,1),
(98237,170071,4,100,'Increases INT and WIS of group members (AE) by 39.4',0,0),
(98238,170071,4,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 267',0,1),
(98239,170071,5,100,'Increases INT and WIS of group members (AE) by 43.0',0,0),
(98240,170071,5,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 291',0,1),
(98241,170071,7,100,'Increases INT and WIS of group members (AE) by 55.1',0,0),
(98242,170071,7,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 374',0,1),
(98243,170071,9,100,'Increases INT and WIS of group members (AE) by 57.3',0,0),
(98244,170071,9,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 389',0,1),
(98245,170072,1,100,'Increases INT and WIS of group members (AE) by 42.3',0,0),
(98246,170072,1,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 285',0,1),
(98247,170072,2,100,'Increases INT and WIS of group members (AE) by 44.6',0,0),
(98248,170072,2,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 301',0,1),
(98249,170072,3,100,'Increases INT and WIS of group members (AE) by 47.0',0,0),
(98250,170072,3,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 317',0,1),
(98251,170072,4,100,'Increases INT and WIS of group members (AE) by 51.7',0,0),
(98252,170072,4,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 348',0,1),
(98253,170072,5,100,'Increases INT and WIS of group members (AE) by 56.4',0,0),
(98254,170072,5,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 380',0,1),
(98255,170072,7,100,'Increases INT and WIS of group members (AE) by 72.4',0,0),
(98256,170072,7,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 488',0,1),
(98257,170072,9,100,'Increases INT and WIS of group members (AE) by 75.2',0,0),
(98258,170072,9,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 507',0,1),
(98259,170073,1,100,'Increases INT and WIS of group members (AE) by 52.5',0,0),
(98260,170073,1,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 347',0,1),
(98261,170073,2,100,'Increases INT and WIS of group members (AE) by 55.4',0,0),
(98262,170073,2,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 366',0,1),
(98263,170073,3,100,'Increases INT and WIS of group members (AE) by 58.3',0,0),
(98264,170073,3,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 385',0,1),
(98265,170073,4,100,'Increases INT and WIS of group members (AE) by 64.1',0,0),
(98266,170073,4,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 424',0,1),
(98267,170073,5,100,'Increases INT and WIS of group members (AE) by 70.0',0,0),
(98268,170073,5,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 463',0,1),
(98269,170073,7,100,'Increases INT and WIS of group members (AE) by 89.8',0,0),
(98270,170073,7,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 594',0,1),
(98271,170073,9,100,'Increases INT and WIS of group members (AE) by 93.3',0,0),
(98272,170073,9,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 617',0,1),
(98273,170074,1,100,'Increases INT and WIS of group members (AE) by 62.4',0,0),
(98274,170074,1,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 394',0,1),
(98275,170074,4,100,'Increases INT and WIS of group members (AE) by 76.2',0,0),
(98276,170074,4,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 482',0,1),
(98277,170074,5,100,'Increases INT and WIS of group members (AE) by 83.2',0,0),
(98278,170074,5,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 526',0,1),
(98279,170074,7,100,'Increases INT and WIS of group members (AE) by 106.7',0,0),
(98280,170074,7,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 675',0,1),
(98281,170074,9,100,'Increases INT and WIS of group members (AE) by 110.9',0,0),
(98282,170074,9,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 701',0,1),
(98283,170075,1,100,'Increases INT and WIS of group members (AE) by 72.3',0,0),
(98284,170075,1,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 442',0,1),
(98285,170075,4,100,'Increases INT and WIS of group members (AE) by 88.3',0,0),
(98286,170075,4,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 540',0,1),
(98287,170075,5,100,'Increases INT and WIS of group members (AE) by 96.4',0,0),
(98288,170075,5,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 589',0,1),
(98289,170075,7,100,'Increases INT and WIS of group members (AE) by 123.7',0,0),
(98290,170075,7,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 756',0,1),
(98291,170075,9,100,'Increases INT and WIS of group members (AE) by 128.5',0,0),
(98292,170075,9,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 786',0,1),
(98293,230038,1,100,'Increases Max Power of group members (AE) by 20.8',0,0),
(98294,230038,1,100,'Increases Mitigation of group members (AE) vs elemental damage by 79',0,1),
(98295,230038,2,100,'Increases Max Power of group members (AE) by 21.9',0,0),
(98296,230038,2,100,'Increases Mitigation of group members (AE) vs elemental damage by 83',0,1),
(98297,230038,3,100,'Increases Max Power of group members (AE) by 23.1',0,0),
(98298,230038,3,100,'Increases Mitigation of group members (AE) vs elemental damage by 87',0,1),
(98299,230038,4,100,'Increases Max Power of group members (AE) by 25.4',0,0),
(98300,230038,4,100,'Increases Mitigation of group members (AE) vs elemental damage by 96',0,1),
(98301,230038,5,100,'Increases Max Power of group members (AE) by 27.7',0,0),
(98302,230038,5,100,'Increases Mitigation of group members (AE) vs elemental damage by 105',0,1),
(98303,230038,7,100,'Increases Max Power of group members (AE) by 35.6',0,0),
(98304,230038,7,100,'Increases Mitigation of group members (AE) vs elemental damage by 135',0,1),
(98305,230038,9,100,'Increases Max Power of group members (AE) by 37.0',0,0),
(98306,230038,9,100,'Increases Mitigation of group members (AE) vs elemental damage by 140',0,1),
(98307,230039,1,100,'Increases Max Power of group members (AE) by 64.8',0,0),
(98308,230039,1,100,'Increases Mitigation of group members (AE) vs elemental damage by 151',0,1),
(98309,230039,2,100,'Increases Max Power of group members (AE) by 68.4',0,0),
(98310,230039,2,100,'Increases Mitigation of group members (AE) vs elemental damage by 160',0,1),
(98311,230039,3,100,'Increases Max Power of group members (AE) by 72.0',0,0),
(98312,230039,3,100,'Increases Mitigation of group members (AE) vs elemental damage by 168',0,1),
(98313,230039,4,100,'Increases Max Power of group members (AE) by 79.2',0,0),
(98314,230039,4,100,'Increases Mitigation of group members (AE) vs elemental damage by 185',0,1),
(98315,230039,5,100,'Increases Max Power of group members (AE) by 86.4',0,0),
(98316,230039,5,100,'Increases Mitigation of group members (AE) vs elemental damage by 202',0,1),
(98317,230039,7,100,'Increases Max Power of group members (AE) by 110.9',0,0),
(98318,230039,7,100,'Increases Mitigation of group members (AE) vs elemental damage by 259',0,1),
(98319,230039,9,100,'Increases Max Power of group members (AE) by 115.2',0,0),
(98320,230039,9,100,'Increases Mitigation of group members (AE) vs elemental damage by 269',0,1),
(98321,230039,10,100,'Increases Max Power of group members (AE) by 121.0',0,0),
(98322,230039,10,100,'Increases Mitigation of group members (AE) vs elemental damage by 282',0,1),
(98323,230040,1,100,'Increases Max Power of group members (AE) by 148.5',0,0),
(98324,230040,1,100,'Increases Mitigation of group members (AE) vs elemental damage by 252',0,1),
(98325,230040,2,100,'Increases Max Power of group members (AE) by 156.8',0,0),
(98326,230040,2,100,'Increases Mitigation of group members (AE) vs elemental damage by 266',0,1),
(98327,230040,3,100,'Increases Max Power of group members (AE) by 165.0',0,0),
(98328,230040,3,100,'Increases Mitigation of group members (AE) vs elemental damage by 280',0,1),
(98329,230040,4,100,'Increases Max Power of group members (AE) by 181.5',0,0),
(98330,230040,4,100,'Increases Mitigation of group members (AE) vs elemental damage by 308',0,1),
(98331,230040,5,100,'Increases Max Power of group members (AE) by 198.0',0,0),
(98332,230040,5,100,'Increases Mitigation of group members (AE) vs elemental damage by 336',0,1),
(98333,230040,7,100,'Increases Max Power of group members (AE) by 254.1',0,0),
(98334,230040,7,100,'Increases Mitigation of group members (AE) vs elemental damage by 431',0,1),
(98335,230040,9,100,'Increases Max Power of group members (AE) by 264.0',0,0),
(98336,230040,9,100,'Increases Mitigation of group members (AE) vs elemental damage by 448',0,1),
(98337,230041,1,100,'Increases Max Power of group members (AE) by 227.3',0,0),
(98338,230041,1,100,'Increases Mitigation of group members (AE) vs elemental damage by 353',0,1),
(98339,230041,2,100,'Increases Max Power of group members (AE) by 240.0',0,0),
(98340,230041,2,100,'Increases Mitigation of group members (AE) vs elemental damage by 372',0,1),
(98341,230041,3,100,'Increases Max Power of group members (AE) by 252.6',0,0),
(98342,230041,3,100,'Increases Mitigation of group members (AE) vs elemental damage by 392',0,1),
(98343,230041,4,100,'Increases Max Power of group members (AE) by 277.9',0,0),
(98344,230041,4,100,'Increases Mitigation of group members (AE) vs elemental damage by 431',0,1),
(98345,230041,5,100,'Increases Max Power of group members (AE) by 303.1',0,0),
(98346,230041,5,100,'Increases Mitigation of group members (AE) vs elemental damage by 470',0,1),
(98347,230041,7,100,'Increases Max Power of group members (AE) by 389.0',0,0),
(98348,230041,7,100,'Increases Mitigation of group members (AE) vs elemental damage by 604',0,1),
(98349,230041,9,100,'Increases Max Power of group members (AE) by 404.2',0,0),
(98350,230041,9,100,'Increases Mitigation of group members (AE) vs elemental damage by 627',0,1),
(98351,230042,1,100,'Increases Max Power of group members (AE) by 293.7',0,0),
(98352,230042,1,100,'Increases Mitigation of group members (AE) vs elemental damage by 454',0,1),
(98353,230042,2,100,'Increases Max Power of group members (AE) by 310.0',0,0),
(98354,230042,2,100,'Increases Mitigation of group members (AE) vs elemental damage by 479',0,1),
(98355,230042,3,100,'Increases Max Power of group members (AE) by 326.3',0,0),
(98356,230042,3,100,'Increases Mitigation of group members (AE) vs elemental damage by 504',0,1),
(98357,230042,4,100,'Increases Max Power of group members (AE) by 359.0',0,0),
(98358,230042,4,100,'Increases Mitigation of group members (AE) vs elemental damage by 554',0,1),
(98359,230042,5,100,'Increases Max Power of group members (AE) by 391.6',0,0),
(98360,230042,5,100,'Increases Mitigation of group members (AE) vs elemental damage by 605',0,1),
(98361,230042,7,100,'Increases Max Power of group members (AE) by 502.6',0,0),
(98362,230042,7,100,'Increases Mitigation of group members (AE) vs elemental damage by 776',0,1),
(98363,230042,9,100,'Increases Max Power of group members (AE) by 522.1',0,0),
(98364,230042,9,100,'Increases Mitigation of group members (AE) vs elemental damage by 806',0,1),
(98365,230043,1,100,'Increases Max Power of group members (AE) by 349.6',0,0),
(98366,230043,1,100,'Increases Mitigation of group members (AE) vs elemental damage by 567',0,1),
(98367,230043,2,100,'Increases Max Power of group members (AE) by 369.1',0,0),
(98368,230043,2,100,'Increases Mitigation of group members (AE) vs elemental damage by 599',0,1),
(98369,230043,3,100,'Increases Max Power of group members (AE) by 388.5',0,0),
(98370,230043,3,100,'Increases Mitigation of group members (AE) vs elemental damage by 630',0,1),
(98371,230043,4,100,'Increases Max Power of group members (AE) by 427.4',0,0),
(98372,230043,4,100,'Increases Mitigation of group members (AE) vs elemental damage by 693',0,1),
(98373,230043,5,100,'Increases Max Power of group members (AE) by 466.2',0,0),
(98374,230043,5,100,'Increases Mitigation of group members (AE) vs elemental damage by 756',0,1),
(98375,230043,7,100,'Increases Max Power of group members (AE) by 598.3',0,0),
(98376,230043,7,100,'Increases Mitigation of group members (AE) vs elemental damage by 970',0,1),
(98377,230043,9,100,'Increases Max Power of group members (AE) by 621.6',0,0),
(98378,230043,9,100,'Increases Mitigation of group members (AE) vs elemental damage by 1008',0,1),
(98379,230043,10,100,'Increases Max Power of group members (AE) by 652.7',0,0),
(98380,230043,10,100,'Increases Mitigation of group members (AE) vs elemental damage by 1058',0,1),
(98381,230044,1,100,'Increases Max Power of group members (AE) by 396.3',0,0),
(98382,230044,1,100,'Increases Mitigation of group members (AE) vs elemental damage by 658',0,1),
(98383,230044,4,100,'Increases Max Power of group members (AE) by 484.3',0,0),
(98384,230044,4,100,'Increases Mitigation of group members (AE) vs elemental damage by 804',0,1),
(98385,230044,5,100,'Increases Max Power of group members (AE) by 528.4',0,0),
(98386,230044,5,100,'Increases Mitigation of group members (AE) vs elemental damage by 877',0,1),
(98387,230044,7,100,'Increases Max Power of group members (AE) by 678.1',0,0),
(98388,230044,7,100,'Increases Mitigation of group members (AE) vs elemental damage by 1126',0,1),
(98389,230044,9,100,'Increases Max Power of group members (AE) by 704.5',0,0),
(98390,230044,9,100,'Increases Mitigation of group members (AE) vs elemental damage by 1170',0,1),
(98391,230045,1,100,'Increases Max Power of group members (AE) by 442.9',0,0),
(98392,230045,1,100,'Increases Mitigation of group members (AE) vs elemental damage by 752',0,1),
(98393,230045,4,100,'Increases Max Power of group members (AE) by 541.3',0,0),
(98394,230045,4,100,'Increases Mitigation of group members (AE) vs elemental damage by 920',0,1),
(98395,230045,5,100,'Increases Max Power of group members (AE) by 590.5',0,0),
(98396,230045,5,100,'Increases Mitigation of group members (AE) vs elemental damage by 1003',0,1),
(98397,230045,7,100,'Increases Max Power of group members (AE) by 757.8',0,0),
(98398,230045,7,100,'Increases Mitigation of group members (AE) vs elemental damage by 1287',0,1),
(98399,230045,9,100,'Increases Max Power of group members (AE) by 787.4',0,0),
(98400,230045,9,100,'Increases Mitigation of group members (AE) vs elemental damage by 1338',0,1),
(98401,2000463,1,100,'Increases DPS of group members (AE) by 1.0',0,0),
(98402,2000463,2,100,'Increases DPS of group members (AE) by 2.0',0,0),
(98403,2000463,3,100,'Increases DPS of group members (AE) by 3.0',0,0),
(98404,2000463,4,100,'Increases Damage Per Second of group members (AE) by 4.0',0,0),
(98405,2000463,5,100,'Increases DPS of group members (AE) by 5.0',0,0),
(98406,2000463,6,100,'Increases DPS of group members (AE) by 6.0',0,0),
(98407,2000463,7,100,'Increases DPS of group members (AE) by 7.0',0,0),
(98408,2000463,8,100,'Increases Damage Per Second of group members (AE) by 8.0',0,0),
(98409,2000463,9,100,'Increases DPS of group members (AE) by 9.0',0,0),
(98410,2000463,10,100,'Increases DPS of group members (AE) by 10.0',0,0),
(98411,2000464,1,100,'Your next spell will deal 10% additional damage.',0,0),
(98412,2000464,1,100,'Dispelled when target casts a hostile spell',0,1),
(98413,2000464,2,100,'Your next spell will deal 12% additional damage.',0,0),
(98414,2000464,2,100,'Dispelled when target casts a hostile spell',0,1),
(98415,2000464,3,100,'Your next spell will deal 14% additional damage.',0,0),
(98416,2000464,3,100,'Dispelled when target casts a hostile spell',0,1),
(98417,2000464,4,100,'Your next spell will deal 16% additional damage.',0,0),
(98418,2000464,4,100,'Dispelled when target casts a hostile spell',0,1),
(98419,2000464,5,100,'Your next spell will deal 18% additional damage.',0,0),
(98420,2000464,5,100,'Dispelled when target casts a hostile spell',0,1),
(98421,2000464,6,100,'Your next spell will deal 20% additional damage.',0,0),
(98422,2000464,6,100,'Dispelled when target casts a hostile spell',0,1),
(98423,2000464,7,100,'Your next spell will deal 22% additional damage.',0,0),
(98424,2000464,7,100,'Dispelled when target casts a hostile spell',0,1),
(98425,2000464,8,100,'Your next spell will deal 24% additional damage.',0,0),
(98426,2000464,8,100,'Dispelled when target casts a hostile spell',0,1),
(98427,2000464,9,100,'Your next spell will deal 26% additional damage.',0,0),
(98428,2000464,9,100,'Dispelled when target casts a hostile spell',0,1),
(98429,2000464,10,100,'Your next spell will deal 28% additional damage.',0,0),
(98430,2000464,10,100,'Dispelled when target casts a hostile spell',0,1),
(98431,220010,1,100,'Inflicts 133 - 162 cold damage on target',0,0),
(98432,220010,1,100,'Stuns target',0,1),
(98433,220010,1,100,'If Target is not Epic',1,2),
(98434,220010,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(98435,220010,2,100,'Inflicts 140 - 171 cold damage on target',0,0),
(98436,220010,2,100,'Stuns target',0,1),
(98437,220010,2,100,'If Target is not Epic',1,2),
(98438,220010,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(98439,220010,3,100,'Inflicts 148 - 180 cold damage on target',0,0),
(98440,220010,3,100,'Stuns target',0,1),
(98441,220010,3,100,'If Target is not Epic',1,2),
(98442,220010,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(98443,220010,4,100,'Inflicts 162 - 199 cold damage on target',0,0),
(98444,220010,4,100,'Stuns target',0,1),
(98445,220010,4,100,'If Target is not Epic',1,2),
(98446,220010,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(98447,220010,5,100,'Inflicts 177 - 217 cold damage on target',0,0),
(98448,220010,5,100,'Stuns target',0,1),
(98449,220010,5,100,'If Target is not Epic',1,2),
(98450,220010,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(98451,220010,7,100,'Inflicts 227 - 278 cold damage on target',0,0),
(98452,220010,7,100,'Stuns target',0,1),
(98453,220010,7,100,'If Target is not Epic',1,2),
(98454,220010,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(98455,220010,9,100,'Inflicts 236 - 289 cold damage on target',0,0),
(98456,220010,9,100,'Stuns target',0,1),
(98457,220010,9,100,'If Target is not Epic',1,2),
(98458,220010,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(98459,220011,1,100,'Inflicts 5 - 10 cold damage on target instantly and every 4 seconds',0,0),
(98460,220011,1,100,'Decreases Mitigation of target vs elemental damage by 133',0,1),
(98461,220011,2,100,'Inflicts 6 - 11 cold damage on target instantly and every 4 seconds',0,0),
(98462,220011,2,100,'Decreases Mitigation of target vs elemental damage by 141',0,1),
(98463,220011,3,100,'Inflicts 6 - 11 cold damage on target instantly and every 4 seconds',0,0),
(98464,220011,3,100,'Decreases Mitigation of target vs elemental damage by 148',0,1),
(98465,220011,4,100,'Inflicts 7 - 12 cold damage on target instantly and every 4 seconds',0,0),
(98466,220011,4,100,'Decreases Mitigation of target vs elemental damage by 163',0,1),
(98467,220011,5,100,'Inflicts 7 - 13 cold damage on target instantly and every 4 seconds',0,0),
(98468,220011,5,100,'Decreases Mitigation of target vs elemental damage by 178',0,1),
(98469,220011,7,100,'Inflicts 9 - 17 cold damage on target instantly and every 4 seconds',0,0),
(98470,220011,7,100,'Decreases Mitigation of target vs elemental damage by 228',0,1),
(98471,220011,9,100,'Inflicts 10 - 18 cold damage on target instantly and every 4 seconds',0,0),
(98472,220011,9,100,'Decreases Mitigation of target vs elemental damage by 237',0,1),
(98473,2000465,1,100,'Inflicts 0 - 2 slashing damage on target',0,0),
(98474,2000465,1,100,'Inflicts 1 - 2 slashing damage on target',0,1),
(98475,2000465,1,100,'Inflicts 1 - 2 slashing damage on target',0,2),
(98476,2000466,1,100,'Throws caster back',0,0),
(98477,2000466,1,100,'Inflicts 2 melee damage on targets in Area of Effect',0,1),
(98478,2000467,1,100,'Increases DPS of caster by 10.0',0,0),
(98479,230046,1,100,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',0,0),
(98480,230046,1,100,'Inflicts 54 - 67 cold damage on target',1,1),
(98481,230046,1,100,'Slows target by 33.3%',1,2),
(98482,230046,1,100,'5% chance to dispel when target receives hostile action',1,3),
(98483,230046,1,100,'5% chance to dispel when target takes damage',1,4),
(98484,230046,2,100,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',0,0),
(98485,230046,2,100,'Inflicts 58 - 70 cold damage on target',1,1),
(98486,230046,2,100,'Slows target by 35.1%',1,2),
(98487,230046,2,100,'5% chance to dispel when target receives hostile action',1,3),
(98488,230046,2,100,'5% chance to dispel when target takes damage',1,4),
(98489,230046,3,100,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',0,0),
(98490,230046,3,100,'Inflicts 61 - 74 cold damage on target',1,1),
(98491,230046,3,100,'Slows target by 37.0%',1,2),
(98492,230046,3,100,'5% chance to dispel when target receives hostile action',1,3),
(98493,230046,3,100,'5% chance to dispel when target takes damage',1,4),
(98494,230046,4,100,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',0,0),
(98495,230046,4,100,'Inflicts 67 - 81 cold damage on target',1,1),
(98496,230046,4,100,'Slows target by 40.7%',1,2),
(98497,230046,4,100,'5% chance to dispel when target receives hostile action',1,3),
(98498,230046,4,100,'5% chance to dispel when target takes damage',1,4),
(98499,230046,5,100,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',0,0),
(98500,230046,5,100,'Inflicts 73 - 89 cold damage on target',1,1),
(98501,230046,5,100,'Slows target by 44.4%',1,2),
(98502,230046,5,100,'5% chance to dispel when target receives hostile action',1,3),
(98503,230046,5,100,'5% chance to dispel when target takes damage',1,4),
(98504,230046,7,100,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',0,0),
(98505,230046,7,100,'Inflicts 93 - 114 cold damage on target',1,1),
(98506,230046,7,100,'Slows target by 57.0%',1,2),
(98507,230046,7,100,'5% chance to dispel when target receives hostile action',1,3),
(98508,230046,7,100,'5% chance to dispel when target takes damage',1,4),
(98509,230046,9,100,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',0,0),
(98510,230046,9,100,'Inflicts 97 - 118 cold damage on target',1,1),
(98511,230046,9,100,'Slows target by 59.2%',1,2),
(98512,230046,9,100,'5% chance to dispel when target receives hostile action',1,3),
(98513,230046,9,100,'5% chance to dispel when target takes damage',1,4),
(98514,230047,1,100,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',0,0),
(98515,230047,1,100,'Inflicts 82 - 100 cold damage on target',1,1),
(98516,230047,1,100,'Slows target by 35.8%',1,2),
(98517,230047,1,100,'5% chance to dispel when target receives hostile action',1,3),
(98518,230047,1,100,'5% chance to dispel when target takes damage',1,4),
(98519,230047,2,100,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',0,0),
(98520,230047,2,100,'Inflicts 87 - 106 cold damage on target',1,1),
(98521,230047,2,100,'Slows target by 37.8%',1,2),
(98522,230047,2,100,'5% chance to dispel when target receives hostile action',1,3),
(98523,230047,2,100,'5% chance to dispel when target takes damage',1,4),
(98524,230047,3,100,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',0,0),
(98525,230047,3,100,'Inflicts 91 - 112 cold damage on target',1,1),
(98526,230047,3,100,'Slows target by 39.8%',1,2),
(98527,230047,3,100,'5% chance to dispel when target receives hostile action',1,3),
(98528,230047,3,100,'5% chance to dispel when target takes damage',1,4),
(98529,230047,4,100,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',0,0),
(98530,230047,4,100,'Inflicts 100 - 123 cold damage on target',1,1),
(98531,230047,4,100,'Slows target by 43.8%',1,2),
(98532,230047,4,100,'5% chance to dispel when target receives hostile action',1,3),
(98533,230047,4,100,'5% chance to dispel when target takes damage',1,4),
(98534,230047,5,100,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',0,0),
(98535,230047,5,100,'Inflicts 110 - 134 cold damage on target',1,1),
(98536,230047,5,100,'Slows target by 47.8%',1,2),
(98537,230047,5,100,'5% chance to dispel when target receives hostile action',1,3),
(98538,230047,5,100,'5% chance to dispel when target takes damage',1,4),
(98539,230047,7,100,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',0,0),
(98540,230047,7,100,'Inflicts 141 - 172 cold damage on target',1,1),
(98541,230047,7,100,'Slows target by 61.3%',1,2),
(98542,230047,7,100,'5% chance to dispel when target receives hostile action',1,3),
(98543,230047,7,100,'5% chance to dispel when target takes damage',1,4),
(98544,230047,9,100,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',0,0),
(98545,230047,9,100,'Inflicts 146 - 179 cold damage on target',1,1),
(98546,230047,9,100,'Slows target by 63.7%',1,2),
(98547,230047,9,100,'5% chance to dispel when target receives hostile action',1,3),
(98548,230047,9,100,'5% chance to dispel when target takes damage',1,4),
(98549,230048,1,100,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',0,0),
(98550,230048,1,100,'Inflicts 112 - 137 cold damage on target',1,1),
(98551,230048,1,100,'Slows target by 36.5%',1,2),
(98552,230048,1,100,'5% chance to dispel when target receives hostile action',1,3),
(98553,230048,1,100,'5% chance to dispel when target takes damage',1,4),
(98554,230048,2,100,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',0,0),
(98555,230048,2,100,'Inflicts 118 - 144 cold damage on target',1,1),
(98556,230048,2,100,'Slows target by 38.5%',1,2),
(98557,230048,2,100,'5% chance to dispel when target receives hostile action',1,3),
(98558,230048,2,100,'5% chance to dispel when target takes damage',1,4),
(98559,230048,3,100,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',0,0),
(98560,230048,3,100,'Inflicts 124 - 152 cold damage on target',1,1),
(98561,230048,3,100,'Slows target by 40.5%',1,2),
(98562,230048,3,100,'5% chance to dispel when target receives hostile action',1,3),
(98563,230048,3,100,'5% chance to dispel when target takes damage',1,4),
(98564,230048,4,100,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',0,0),
(98565,230048,4,100,'Inflicts 137 - 167 cold damage on target',1,1),
(98566,230048,4,100,'Slows target by 44.6%',1,2),
(98567,230048,4,100,'5% chance to dispel when target receives hostile action',1,3),
(98568,230048,4,100,'5% chance to dispel when target takes damage',1,4),
(98569,230048,5,100,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',0,0),
(98570,230048,5,100,'Inflicts 149 - 183 cold damage on target',1,1),
(98571,230048,5,100,'Slows target by 48.6%',1,2),
(98572,230048,5,100,'5% chance to dispel when target receives hostile action',1,3),
(98573,230048,5,100,'5% chance to dispel when target takes damage',1,4),
(98574,230048,7,100,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',0,0),
(98575,230048,7,100,'Inflicts 192 - 234 cold damage on target',1,1),
(98576,230048,7,100,'Slows target by 62.4%',1,2),
(98577,230048,7,100,'5% chance to dispel when target receives hostile action',1,3),
(98578,230048,7,100,'5% chance to dispel when target takes damage',1,4),
(98579,230048,9,100,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',0,0),
(98580,230048,9,100,'Inflicts 199 - 243 cold damage on target',1,1),
(98581,230048,9,100,'Slows target by 64.8%',1,2),
(98582,230048,9,100,'5% chance to dispel when target receives hostile action',1,3),
(98583,230048,9,100,'5% chance to dispel when target takes damage',1,4),
(98584,230048,10,100,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',0,0),
(98585,230048,10,100,'Inflicts 209 - 256 cold damage on target',1,1),
(98586,230048,10,100,'Slows target by 68.1%',1,2),
(98587,230048,10,100,'5% chance to dispel when target receives hostile action',1,3),
(98588,230048,10,100,'5% chance to dispel when target takes damage',1,4),
(98589,230049,1,100,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',0,0),
(98590,230049,1,100,'Inflicts 140 - 172 cold damage on target',1,1),
(98591,230049,1,100,'Slows target by 36.9%',1,2),
(98592,230049,1,100,'5% chance to dispel when target receives hostile action',1,3),
(98593,230049,1,100,'5% chance to dispel when target takes damage',1,4),
(98594,230049,2,100,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',0,0),
(98595,230049,2,100,'Inflicts 148 - 181 cold damage on target',1,1),
(98596,230049,2,100,'Slows target by 39.0%',1,2),
(98597,230049,2,100,'5% chance to dispel when target receives hostile action',1,3),
(98598,230049,2,100,'5% chance to dispel when target takes damage',1,4),
(98599,230049,3,100,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',0,0),
(98600,230049,3,100,'Inflicts 156 - 191 cold damage on target',1,1),
(98601,230049,3,100,'Slows target by 41.0%',1,2),
(98602,230049,3,100,'5% chance to dispel when target receives hostile action',1,3),
(98603,230049,3,100,'5% chance to dispel when target takes damage',1,4),
(98604,230049,4,100,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',0,0),
(98605,230049,4,100,'Inflicts 172 - 210 cold damage on target',1,1),
(98606,230049,4,100,'Slows target by 45.1%',1,2),
(98607,230049,4,100,'5% chance to dispel when target receives hostile action',1,3),
(98608,230049,4,100,'5% chance to dispel when target takes damage',1,4),
(98609,230049,5,100,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',0,0),
(98610,230049,5,100,'Inflicts 187 - 229 cold damage on target',1,1),
(98611,230049,5,100,'Slows target by 49.2%',1,2),
(98612,230049,5,100,'5% chance to dispel when target receives hostile action',1,3),
(98613,230049,5,100,'5% chance to dispel when target takes damage',1,4),
(98614,230049,7,100,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',0,0),
(98615,230049,7,100,'Inflicts 240 - 294 cold damage on target',1,1),
(98616,230049,7,100,'Slows target by 63.1%',1,2),
(98617,230049,7,100,'5% chance to dispel when target receives hostile action',1,3),
(98618,230049,7,100,'5% chance to dispel when target takes damage',1,4),
(98619,230049,9,100,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',0,0),
(98620,230049,9,100,'Inflicts 250 - 305 cold damage on target',1,1),
(98621,230049,9,100,'Slows target by 65.6%',1,2),
(98622,230049,9,100,'5% chance to dispel when target receives hostile action',1,3),
(98623,230049,9,100,'5% chance to dispel when target takes damage',1,4),
(98624,230050,1,100,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',0,0),
(98625,230050,1,100,'Inflicts 169 - 207 cold damage on target',1,1),
(98626,230050,1,100,'Slows target by 37.3%',1,2),
(98627,230050,1,100,'5% chance to dispel when target receives hostile action',1,3),
(98628,230050,1,100,'5% chance to dispel when target takes damage',1,4),
(98629,230050,4,100,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',0,0),
(98630,230050,4,100,'Inflicts 207 - 253 cold damage on target',1,1),
(98631,230050,4,100,'Slows target by 45.5%',1,2),
(98632,230050,4,100,'5% chance to dispel when target receives hostile action',1,3),
(98633,230050,4,100,'5% chance to dispel when target takes damage',1,4),
(98634,230050,5,100,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',0,0),
(98635,230050,5,100,'Inflicts 226 - 276 cold damage on target',1,1),
(98636,230050,5,100,'Slows target by 49.7%',1,2),
(98637,230050,5,100,'5% chance to dispel when target receives hostile action',1,3),
(98638,230050,5,100,'5% chance to dispel when target takes damage',1,4),
(98639,230050,7,100,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',0,0),
(98640,230050,7,100,'Inflicts 290 - 354 cold damage on target',1,1),
(98641,230050,7,100,'Slows target by 63.8%',1,2),
(98642,230050,7,100,'5% chance to dispel when target receives hostile action',1,3),
(98643,230050,7,100,'5% chance to dispel when target takes damage',1,4),
(98644,230050,9,100,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',0,0),
(98645,230050,9,100,'Inflicts 301 - 368 cold damage on target',1,1),
(98646,230050,9,100,'Slows target by 66.2%',1,2),
(98647,230050,9,100,'5% chance to dispel when target receives hostile action',1,3),
(98648,230050,9,100,'5% chance to dispel when target takes damage',1,4),
(98649,230050,10,100,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',0,0),
(98650,230050,10,100,'Inflicts 316 - 387 cold damage on target',1,1),
(98651,230050,10,100,'Slows target by 69.6%',1,2),
(98652,230050,10,100,'5% chance to dispel when target receives hostile action',1,3),
(98653,230050,10,100,'5% chance to dispel when target takes damage',1,4),
(98654,230051,1,100,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',0,0),
(98655,230051,1,100,'Inflicts 191 - 233 cold damage on target',1,1),
(98656,230051,1,100,'Slows target by 37.6%',1,2),
(98657,230051,1,100,'5% chance to dispel when target receives hostile action',1,3),
(98658,230051,1,100,'5% chance to dispel when target takes damage',1,4),
(98659,230051,4,100,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',0,0),
(98660,230051,4,100,'Inflicts 233 - 285 cold damage on target',1,1),
(98661,230051,4,100,'Slows target by 46.0%',1,2),
(98662,230051,4,100,'5% chance to dispel when target receives hostile action',1,3),
(98663,230051,4,100,'5% chance to dispel when target takes damage',1,4),
(98664,230051,5,100,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',0,0),
(98665,230051,5,100,'Inflicts 254 - 311 cold damage on target',1,1),
(98666,230051,5,100,'Slows target by 50.2%',1,2),
(98667,230051,5,100,'5% chance to dispel when target receives hostile action',1,3),
(98668,230051,5,100,'5% chance to dispel when target takes damage',1,4),
(98669,230051,7,100,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',0,0),
(98670,230051,7,100,'Inflicts 326 - 399 cold damage on target',1,1),
(98671,230051,7,100,'Slows target by 64.4%',1,2),
(98672,230051,7,100,'5% chance to dispel when target receives hostile action',1,3),
(98673,230051,7,100,'5% chance to dispel when target takes damage',1,4),
(98674,230051,9,100,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',0,0),
(98675,230051,9,100,'Inflicts 339 - 415 cold damage on target',1,1),
(98676,230051,9,100,'Slows target by 66.9%',1,2),
(98677,230051,9,100,'5% chance to dispel when target receives hostile action',1,3),
(98678,230051,9,100,'5% chance to dispel when target takes damage',1,4),
(98679,230051,10,100,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',0,0),
(98680,230051,10,100,'Inflicts 356 - 435 cold damage on target',1,1),
(98681,230051,10,100,'Slows target by 70.2%',1,2),
(98682,230051,10,100,'5% chance to dispel when target receives hostile action',1,3),
(98683,230051,10,100,'5% chance to dispel when target takes damage',1,4),
(98684,160043,1,100,'Inflicts 34 - 42 cold damage on target instantly and every 4 seconds',0,0),
(98685,160043,1,100,'Decreases Mitigation of target vs elemental damage by 207',0,1),
(98686,160043,2,100,'Inflicts 36 - 44 cold damage on target instantly and every 4 seconds',0,0),
(98687,160043,2,100,'Decreases Mitigation of target vs elemental damage by 219',0,1),
(98688,160043,3,100,'Inflicts 38 - 46 cold damage on target instantly and every 4 seconds',0,0),
(98689,160043,3,100,'Decreases Mitigation of target vs elemental damage by 230',0,1),
(98690,160043,4,100,'Inflicts 42 - 51 cold damage on target instantly and every 4 seconds',0,0),
(98691,160043,4,100,'Decreases Mitigation of target vs elemental damage by 253',0,1),
(98692,160043,5,100,'Inflicts 45 - 55 cold damage on target instantly and every 4 seconds',0,0),
(98693,160043,5,100,'Decreases Mitigation of target vs elemental damage by 276',0,1),
(98694,160043,7,100,'Inflicts 58 - 71 cold damage on target instantly and every 4 seconds',0,0),
(98695,160043,7,100,'Decreases Mitigation of target vs elemental damage by 354',0,1),
(98696,160043,9,100,'Inflicts 61 - 74 cold damage on target instantly and every 4 seconds',0,0),
(98697,160043,9,100,'Decreases Mitigation of target vs elemental damage by 368',0,1),
(98698,160043,10,100,'Inflicts 64 - 78 cold damage on target instantly and every 4 seconds',0,0),
(98699,160043,10,100,'Decreases Mitigation of target vs elemental damage by 386',0,1),
(98700,160044,1,100,'Inflicts 58 - 71 cold damage on target instantly and every 4 seconds',0,0),
(98701,160044,1,100,'Decreases Mitigation of target vs elemental damage by 333',0,1),
(98702,160044,2,100,'Inflicts 61 - 75 cold damage on target instantly and every 4 seconds',0,0),
(98703,160044,2,100,'Decreases Mitigation of target vs elemental damage by 352',0,1),
(98704,160044,3,100,'Inflicts 64 - 79 cold damage on target instantly and every 4 seconds',0,0),
(98705,160044,3,100,'Decreases Mitigation of target vs elemental damage by 370',0,1),
(98706,160044,4,100,'Inflicts 71 - 86 cold damage on target instantly and every 4 seconds',0,0),
(98707,160044,4,100,'Decreases Mitigation of target vs elemental damage by 407',0,1),
(98708,160044,5,100,'Inflicts 77 - 94 cold damage on target instantly and every 4 seconds',0,0),
(98709,160044,5,100,'Decreases Mitigation of target vs elemental damage by 444',0,1),
(98710,160044,7,100,'Inflicts 99 - 121 cold damage on target instantly and every 4 seconds',0,0),
(98711,160044,7,100,'Decreases Mitigation of target vs elemental damage by 570',0,1),
(98712,160044,9,100,'Inflicts 103 - 126 cold damage on target instantly and every 4 seconds',0,0),
(98713,160044,9,100,'Decreases Mitigation of target vs elemental damage by 592',0,1),
(98714,160045,1,100,'Inflicts 86 - 106 cold damage on target instantly and every 4 seconds',0,0),
(98715,160045,1,100,'Decreases Mitigation of target vs elemental damage by 459',0,1),
(98716,160045,2,100,'Inflicts 91 - 112 cold damage on target instantly and every 4 seconds',0,0),
(98717,160045,2,100,'Decreases Mitigation of target vs elemental damage by 485',0,1),
(98718,160045,3,100,'Inflicts 96 - 117 cold damage on target instantly and every 4 seconds',0,0),
(98719,160045,3,100,'Decreases Mitigation of target vs elemental damage by 510',0,1),
(98720,160045,4,100,'Inflicts 106 - 129 cold damage on target instantly and every 4 seconds',0,0),
(98721,160045,4,100,'Decreases Mitigation of target vs elemental damage by 561',0,1),
(98722,160045,5,100,'Inflicts 115 - 141 cold damage on target instantly and every 4 seconds',0,0),
(98723,160045,5,100,'Decreases Mitigation of target vs elemental damage by 612',0,1),
(98724,160045,7,100,'Inflicts 148 - 181 cold damage on target instantly and every 4 seconds',0,0),
(98725,160045,7,100,'Decreases Mitigation of target vs elemental damage by 785',0,1),
(98726,160045,9,100,'Inflicts 154 - 188 cold damage on target instantly and every 4 seconds',0,0),
(98727,160045,9,100,'Decreases Mitigation of target vs elemental damage by 816',0,1),
(98728,160046,1,100,'Inflicts 116 - 142 cold damage on target instantly and every 4 seconds',0,0),
(98729,160046,1,100,'Decreases Mitigation of target vs elemental damage by 585',0,1),
(98730,160046,2,100,'Inflicts 123 - 150 cold damage on target instantly and every 4 seconds',0,0),
(98731,160046,2,100,'Decreases Mitigation of target vs elemental damage by 618',0,1),
(98732,160046,3,100,'Inflicts 129 - 158 cold damage on target instantly and every 4 seconds',0,0),
(98733,160046,3,100,'Decreases Mitigation of target vs elemental damage by 650',0,1),
(98734,160046,4,100,'Inflicts 142 - 174 cold damage on target instantly and every 4 seconds',0,0),
(98735,160046,4,100,'Decreases Mitigation of target vs elemental damage by 715',0,1),
(98736,160046,5,100,'Inflicts 155 - 189 cold damage on target instantly and every 4 seconds',0,0),
(98737,160046,5,100,'Decreases Mitigation of target vs elemental damage by 780',0,1),
(98738,160046,7,100,'Inflicts 199 - 243 cold damage on target instantly and every 4 seconds',0,0),
(98739,160046,7,100,'Decreases Mitigation of target vs elemental damage by 1001',0,1),
(98740,160046,9,100,'Inflicts 207 - 253 cold damage on target instantly and every 4 seconds',0,0),
(98741,160046,9,100,'Decreases Mitigation of target vs elemental damage by 1040',0,1),
(98742,160047,1,100,'Inflicts 146 - 178 cold damage on target instantly and every 4 seconds',0,0),
(98743,160047,1,100,'Decreases Mitigation of target vs elemental damage by 762',0,1),
(98744,160047,2,100,'Inflicts 154 - 188 cold damage on target instantly and every 4 seconds',0,0),
(98745,160047,2,100,'Decreases Mitigation of target vs elemental damage by 805',0,1),
(98746,160047,3,100,'Inflicts 162 - 198 cold damage on target instantly and every 4 seconds',0,0),
(98747,160047,3,100,'Decreases Mitigation of target vs elemental damage by 847',0,1),
(98748,160047,4,100,'Inflicts 178 - 218 cold damage on target instantly and every 4 seconds',0,0),
(98749,160047,4,100,'Decreases Mitigation of target vs elemental damage by 932',0,1),
(98750,160047,5,100,'Inflicts 194 - 238 cold damage on target instantly and every 4 seconds',0,0),
(98751,160047,5,100,'Decreases Mitigation of target vs elemental damage by 1016',0,1),
(98752,160047,7,100,'Inflicts 249 - 305 cold damage on target instantly and every 4 seconds',0,0),
(98753,160047,7,100,'Decreases Mitigation of target vs elemental damage by 1304',0,1),
(98754,160047,9,100,'Inflicts 259 - 317 cold damage on target instantly and every 4 seconds',0,0),
(98755,160047,9,100,'Decreases Mitigation of target vs elemental damage by 1355',0,1),
(98756,160048,1,100,'Inflicts 176 - 215 cold damage on target instantly and every 4 seconds',0,0),
(98757,160048,1,100,'Decreases Mitigation of target vs elemental damage by 940',0,1),
(98758,160048,4,100,'Inflicts 215 - 263 cold damage on target instantly and every 4 seconds',0,0),
(98759,160048,4,100,'Decreases Mitigation of target vs elemental damage by 1148',0,1),
(98760,160048,5,100,'Inflicts 234 - 286 cold damage on target instantly and every 4 seconds',0,0),
(98761,160048,5,100,'Decreases Mitigation of target vs elemental damage by 1253',0,1),
(98762,160048,7,100,'Inflicts 301 - 368 cold damage on target instantly and every 4 seconds',0,0),
(98763,160048,7,100,'Decreases Mitigation of target vs elemental damage by 1608',0,1),
(98764,160048,9,100,'Inflicts 312 - 382 cold damage on target instantly and every 4 seconds',0,0),
(98765,160048,9,100,'Decreases Mitigation of target vs elemental damage by 1670',0,1),
(98766,160049,1,100,'Inflicts 193 - 236 cold damage on target instantly and every 4 seconds',0,0),
(98767,160049,1,100,'Decreases Mitigation of target vs elemental damage by 1048',0,1),
(98768,160049,4,100,'Inflicts 236 - 288 cold damage on target instantly and every 4 seconds',0,0),
(98769,160049,4,100,'Decreases Mitigation of target vs elemental damage by 1280',0,1),
(98770,160049,5,100,'Inflicts 257 - 315 cold damage on target instantly and every 4 seconds',0,0),
(98771,160049,5,100,'Decreases Mitigation of target vs elemental damage by 1397',0,1),
(98772,160049,7,100,'Inflicts 330 - 404 cold damage on target instantly and every 4 seconds',0,0),
(98773,160049,7,100,'Decreases Mitigation of target vs elemental damage by 1793',0,1),
(98774,160049,9,100,'Inflicts 343 - 419 cold damage on target instantly and every 4 seconds',0,0),
(98775,160049,9,100,'Decreases Mitigation of target vs elemental damage by 1862',0,1),
(98776,2000468,1,100,'Inflicts 12 - 22 cold damage on targets in Area of Effect',0,0),
(98777,2000468,1,100,'Inflicts 18 - 33 cold damage on targets in Area of Effect',0,1),
(98778,2000468,1,100,'Requires 150 increments of Frozen Solid',1,2),
(98779,2000468,1,100,'Inflicts 16 - 30 cold damage on targets in Area of Effect',0,3),
(98780,2000468,1,100,'Requires 120 increments of Frozen Solid',1,4),
(98781,2000468,1,100,'Inflicts 15 - 27 cold damage on targets in Area of Effect',0,5),
(98782,2000468,1,100,'Requires 90 increments of Frozen Solid',1,6),
(98783,2000468,1,100,'Inflicts 13 - 25 cold damage on targets in Area of Effect',0,7),
(98784,2000468,1,100,'Requires 60 increments of Frozen Solid',1,8),
(98785,2000468,1,100,'Consumes all increments of Frozen Solid',0,9),
(98786,2000468,1,100,'You must have at least 30 increments of Frozen Solid to use Frozen Detonation!',0,10),
(98787,220012,1,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(98788,220012,1,100,'Slows target by 30.4%',1,1),
(98789,220012,1,100,'5% chance to dispel when target receives hostile action',1,2),
(98790,220012,1,100,'5% chance to dispel when target takes damage',1,3),
(98791,220012,1,100,'Roots target',0,4),
(98792,220012,1,100,'10% chance to dispel when target receives hostile action',0,5),
(98793,220012,1,100,'10% chance to dispel when target takes damage',0,6),
(98794,220012,1,100,'Does not affect Epic targets',0,7),
(98795,220012,1,100,'Resistibility increases against targets higher than level 29.',0,8),
(98796,220012,2,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(98797,220012,2,100,'Slows target by 32.1%',1,1),
(98798,220012,2,100,'5% chance to dispel when target receives hostile action',1,2),
(98799,220012,2,100,'5% chance to dispel when target takes damage',1,3),
(98800,220012,2,100,'Roots target',0,4),
(98801,220012,2,100,'10% chance to dispel when target receives hostile action',0,5),
(98802,220012,2,100,'10% chance to dispel when target takes damage',0,6),
(98803,220012,2,100,'Does not affect Epic targets',0,7),
(98804,220012,2,100,'Resistibility increases against targets higher than level 29.',0,8),
(98805,220012,3,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(98806,220012,3,100,'Slows target by 33.8%',1,1),
(98807,220012,3,100,'5% chance to dispel when target receives hostile action',1,2),
(98808,220012,3,100,'5% chance to dispel when target takes damage',1,3),
(98809,220012,3,100,'Roots target',0,4),
(98810,220012,3,100,'10% chance to dispel when target receives hostile action',0,5),
(98811,220012,3,100,'10% chance to dispel when target takes damage',0,6),
(98812,220012,3,100,'Does not affect Epic targets',0,7),
(98813,220012,3,100,'Resistibility increases against targets higher than level 29.',0,8),
(98814,220012,4,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(98815,220012,4,100,'Slows target by 37.2%',1,1),
(98816,220012,4,100,'5% chance to dispel when target receives hostile action',1,2),
(98817,220012,4,100,'5% chance to dispel when target takes damage',1,3),
(98818,220012,4,100,'Roots target',0,4),
(98819,220012,4,100,'10% chance to dispel when target receives hostile action',0,5),
(98820,220012,4,100,'10% chance to dispel when target takes damage',0,6),
(98821,220012,4,100,'Does not affect Epic targets',0,7),
(98822,220012,4,100,'Resistibility increases against targets higher than level 29.',0,8),
(98823,220012,5,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(98824,220012,5,100,'Slows target by 40.6%',1,1),
(98825,220012,5,100,'5% chance to dispel when target receives hostile action',1,2),
(98826,220012,5,100,'5% chance to dispel when target takes damage',1,3),
(98827,220012,5,100,'Roots target',0,4),
(98828,220012,5,100,'10% chance to dispel when target receives hostile action',0,5),
(98829,220012,5,100,'10% chance to dispel when target takes damage',0,6),
(98830,220012,5,100,'Does not affect Epic targets',0,7),
(98831,220012,5,100,'Resistibility increases against targets higher than level 29.',0,8),
(98832,220012,7,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(98833,220012,7,100,'Slows target by 52.1%',1,1),
(98834,220012,7,100,'5% chance to dispel when target receives hostile action',1,2),
(98835,220012,7,100,'5% chance to dispel when target takes damage',1,3),
(98836,220012,7,100,'Roots target',0,4),
(98837,220012,7,100,'10% chance to dispel when target receives hostile action',0,5),
(98838,220012,7,100,'10% chance to dispel when target takes damage',0,6),
(98839,220012,7,100,'Does not affect Epic targets',0,7),
(98840,220012,7,100,'Resistibility increases against targets higher than level 29.',0,8),
(98841,220012,9,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(98842,220012,9,100,'Slows target by 54.1%',1,1),
(98843,220012,9,100,'5% chance to dispel when target receives hostile action',1,2),
(98844,220012,9,100,'5% chance to dispel when target takes damage',1,3),
(98845,220012,9,100,'Roots target',0,4),
(98846,220012,9,100,'10% chance to dispel when target receives hostile action',0,5),
(98847,220012,9,100,'10% chance to dispel when target takes damage',0,6),
(98848,220012,9,100,'Does not affect Epic targets',0,7),
(98849,220012,9,100,'Resistibility increases against targets higher than level 29.',0,8),
(98850,2000469,1,100,'Inflicts 30 - 56 cold damage on target',0,0),
(98851,2000469,1,100,'Inflicts 34 - 63 cold damage on target',0,1),
(98852,2000469,1,100,'Requires 60  increments of Frozen Solid',1,2),
(98853,2000469,1,100,'Inflicts 38 - 70 cold damage on target',0,3),
(98854,2000469,1,100,'Requires 90 increments of Frozen Solid',1,4),
(98855,2000469,1,100,'Inflicts 42 - 77 cold damage on target',0,5),
(98856,2000469,1,100,'Requires 120 increments of Frozen Solid',1,6),
(98857,2000469,1,100,'Inflicts 45 - 84 cold damage on target',0,7),
(98858,2000469,1,100,'Requires 150 increments of Frozen Solid',1,8),
(98859,2000469,1,100,'Consumes all increments of Frozen Solid',0,9),
(98860,2000469,1,100,'You must have at least 30 increments of Frozen Solid to use Frozen Rain!',0,10),
(98861,2000469,2,100,'Inflicts 30 - 56 cold damage on target',0,0),
(98862,2000469,2,100,'Inflicts 34 - 63 cold damage on target',0,1),
(98863,2000469,2,100,'Requires 60  increments of Frozen Solid',1,2),
(98864,2000469,2,100,'Inflicts 38 - 70 cold damage on target',0,3),
(98865,2000469,2,100,'Requires 90 increments of Frozen Solid',1,4),
(98866,2000469,2,100,'Inflicts 42 - 77 cold damage on target',0,5),
(98867,2000469,2,100,'Requires 120 increments of Frozen Solid',1,6),
(98868,2000469,2,100,'Inflicts 45 - 84 cold damage on target',0,7),
(98869,2000469,2,100,'Requires 150 increments of Frozen Solid',1,8),
(98870,2000469,2,100,'Consumes all increments of Frozen Solid',0,9),
(98871,2000469,2,100,'You must have at least 30 increments of Frozen Solid to use Frozen Rain!',0,10),
(98872,2000469,3,100,'Inflicts 30 - 56 cold damage on target',0,0),
(98873,2000469,3,100,'Inflicts 34 - 63 cold damage on target',0,1),
(98874,2000469,3,100,'Requires 60  increments of Frozen Solid',1,2),
(98875,2000469,3,100,'Inflicts 38 - 70 cold damage on target',0,3),
(98876,2000469,3,100,'Requires 90 increments of Frozen Solid',1,4),
(98877,2000469,3,100,'Inflicts 42 - 77 cold damage on target',0,5),
(98878,2000469,3,100,'Requires 120 increments of Frozen Solid',1,6),
(98879,2000469,3,100,'Inflicts 45 - 84 cold damage on target',0,7),
(98880,2000469,3,100,'Requires 150 increments of Frozen Solid',1,8),
(98881,2000469,3,100,'Consumes all increments of Frozen Solid',0,9),
(98882,2000469,3,100,'You must have at least 30 increments of Frozen Solid to use Frozen Rain!',0,10),
(98883,200084,1,100,'Inflicts 33 - 40 disease damage on target instantly and every 4 seconds',0,0),
(98884,200084,1,100,'Decreases Haste of target by 5.5',0,1),
(98885,200084,2,100,'Inflicts 35 - 43 disease damage on target instantly and every 4 seconds',0,0),
(98886,200084,2,100,'Decreases Haste of target by 5.8',0,1),
(98887,200084,3,100,'Inflicts 37 - 45 disease damage on target instantly and every 4 seconds',0,0),
(98888,200084,3,100,'Decreases Haste of target by 6.2',0,1),
(98889,200084,4,100,'Inflicts 40 - 49 disease damage on target instantly and every 4 seconds',0,0),
(98890,200084,4,100,'Decreases Haste of target by 6.8',0,1),
(98891,200084,5,100,'Inflicts 44 - 54 disease damage on target instantly and every 4 seconds',0,0),
(98892,200084,5,100,'Decreases Haste of target by 7.4',0,1),
(98893,200084,7,100,'Inflicts 57 - 69 disease damage on target instantly and every 4 seconds',0,0),
(98894,200084,7,100,'Decreases Haste of target by 9.5',0,1),
(98895,200084,9,100,'Inflicts 59 - 72 disease damage on target instantly and every 4 seconds',0,0),
(98896,200084,9,100,'Decreases Haste of target by 9.8',0,1),
(98897,200084,10,100,'Inflicts 62 - 75 disease damage on target instantly and every 4 seconds',0,0),
(98898,200084,10,100,'Decreases Haste of target by 10.3',0,1),
(98899,200085,1,100,'Inflicts 56 - 69 disease damage on target instantly and every 4 seconds',0,0),
(98900,200085,1,100,'Decreases Haste of target by 6.2',0,1),
(98901,200085,2,100,'Inflicts 59 - 73 disease damage on target instantly and every 4 seconds',0,0),
(98902,200085,2,100,'Decreases Haste of target by 6.5',0,1),
(98903,200085,3,100,'Inflicts 62 - 76 disease damage on target instantly and every 4 seconds',0,0),
(98904,200085,3,100,'Decreases Haste of target by 6.8',0,1),
(98905,200085,4,100,'Inflicts 69 - 84 disease damage on target instantly and every 4 seconds',0,0),
(98906,200085,4,100,'Decreases Haste of target by 7.5',0,1),
(98907,200085,5,100,'Inflicts 75 - 92 disease damage on target instantly and every 4 seconds',0,0),
(98908,200085,5,100,'Decreases Haste of target by 8.2',0,1),
(98909,200085,7,100,'Inflicts 96 - 118 disease damage on target instantly and every 4 seconds',0,0),
(98910,200085,7,100,'Decreases Haste of target by 10.5',0,1),
(98911,200085,9,100,'Inflicts 100 - 122 disease damage on target instantly and every 4 seconds',0,0),
(98912,200085,9,100,'Decreases Haste of target by 11.0',0,1),
(98913,200086,1,100,'Inflicts 84 - 103 disease damage on target instantly and every 4 seconds',0,0),
(98914,200086,1,100,'Decreases Haste of target by 6.8',0,1),
(98915,200086,2,100,'Inflicts 89 - 108 disease damage on target instantly and every 4 seconds',0,0),
(98916,200086,2,100,'Decreases Haste of target by 7.2',0,1),
(98917,200086,3,100,'Inflicts 93 - 114 disease damage on target instantly and every 4 seconds',0,0),
(98918,200086,3,100,'Decreases Haste of target by 7.6',0,1),
(98919,200086,4,100,'Inflicts 103 - 125 disease damage on target instantly and every 4 seconds',0,0),
(98920,200086,4,100,'Decreases Haste of target by 8.3',0,1),
(98921,200086,5,100,'Inflicts 112 - 137 disease damage on target instantly and every 4 seconds',0,0),
(98922,200086,5,100,'Decreases Haste of target by 9.1',0,1),
(98923,200086,7,100,'Inflicts 144 - 176 disease damage on target instantly and every 4 seconds',0,0),
(98924,200086,7,100,'Decreases Haste of target by 11.6',0,1),
(98925,200086,9,100,'Inflicts 149 - 182 disease damage on target instantly and every 4 seconds',0,0),
(98926,200086,9,100,'Decreases Haste of target by 12.1',0,1),
(98927,200087,1,100,'Inflicts 113 - 138 disease damage on target instantly and every 4 seconds',0,0),
(98928,200087,1,100,'Decreases Haste of target by 7.4',0,1),
(98929,200087,2,100,'Inflicts 119 - 146 disease damage on target instantly and every 4 seconds',0,0),
(98930,200087,2,100,'Decreases Haste of target by 7.8',0,1),
(98931,200087,3,100,'Inflicts 125 - 153 disease damage on target instantly and every 4 seconds',0,0),
(98932,200087,3,100,'Decreases Haste of target by 8.3',0,1),
(98933,200087,4,100,'Inflicts 138 - 169 disease damage on target instantly and every 4 seconds',0,0),
(98934,200087,4,100,'Decreases Haste of target by 9.1',0,1),
(98935,200087,5,100,'Inflicts 151 - 184 disease damage on target instantly and every 4 seconds',0,0),
(98936,200087,5,100,'Decreases Haste of target by 9.9',0,1),
(98937,200087,7,100,'Inflicts 193 - 236 disease damage on target instantly and every 4 seconds',0,0),
(98938,200087,7,100,'Decreases Haste of target by 12.7',0,1),
(98939,200087,9,100,'Inflicts 201 - 245 disease damage on target instantly and every 4 seconds',0,0),
(98940,200087,9,100,'Decreases Haste of target by 13.2',0,1),
(98941,200088,1,100,'Inflicts 142 - 173 disease damage on target instantly and every 4 seconds',0,0),
(98942,200088,1,100,'Decreases Haste of target by 8.0',0,1),
(98943,200088,2,100,'Inflicts 149 - 183 disease damage on target instantly and every 4 seconds',0,0),
(98944,200088,2,100,'Decreases Haste of target by 8.4',0,1),
(98945,200088,3,100,'Inflicts 157 - 192 disease damage on target instantly and every 4 seconds',0,0),
(98946,200088,3,100,'Decreases Attack Speed of target by 8.9',0,1),
(98947,200088,4,100,'Inflicts 173 - 212 disease damage on target instantly and every 4 seconds',0,0),
(98948,200088,4,100,'Decreases Haste of target by 9.7',0,1),
(98949,200088,5,100,'Inflicts 189 - 231 disease damage on target instantly and every 4 seconds',0,0),
(98950,200088,5,100,'Decreases Haste of target by 10.6',0,1),
(98951,200088,7,100,'Inflicts 242 - 296 disease damage on target instantly and every 4 seconds',0,0),
(98952,200088,7,100,'Decreases Haste of target by 13.6',0,1),
(98953,200088,9,100,'Inflicts 252 - 308 disease damage on target instantly and every 4 seconds',0,0),
(98954,200088,9,100,'Decreases Attack Speed of target by 14.2',0,1),
(98955,200089,1,100,'Inflicts 171 - 209 disease damage on target instantly and every 4 seconds',0,0),
(98956,200089,1,100,'Decreases Haste of target by 8.4',0,1),
(98957,200089,4,100,'Inflicts 209 - 255 disease damage on target instantly and every 4 seconds',0,0),
(98958,200089,4,100,'Decreases Haste of target by 10.3',0,1),
(98959,200089,5,100,'Inflicts 228 - 278 disease damage on target instantly and every 4 seconds',0,0),
(98960,200089,5,100,'Decreases Haste of target by 11.2',0,1),
(98961,200089,7,100,'Inflicts 292 - 357 disease damage on target instantly and every 4 seconds',0,0),
(98962,200089,7,100,'Decreases Haste of target by 14.4',0,1),
(98963,200089,9,100,'Inflicts 304 - 371 disease damage on target instantly and every 4 seconds',0,0),
(98964,200089,9,100,'Decreases Haste of target by 15.0',0,1),
(98965,200090,1,100,'Inflicts 188 - 229 disease damage on target instantly and every 4 seconds',0,0),
(98966,200090,1,100,'Decreases Haste of target by 8.9',0,1),
(98967,200090,4,100,'Inflicts 229 - 280 disease damage on target instantly and every 4 seconds',0,0),
(98968,200090,4,100,'Decreases Haste of target by 10.8',0,1),
(98969,200090,5,100,'Inflicts 250 - 306 disease damage on target instantly and every 4 seconds',0,0),
(98970,200090,5,100,'Decreases Haste of target by 11.8',0,1),
(98971,200090,7,100,'Inflicts 321 - 392 disease damage on target instantly and every 4 seconds',0,0),
(98972,200090,7,100,'Decreases Haste of target by 15.2',0,1),
(98973,200090,9,100,'Inflicts 333 - 407 disease damage on target instantly and every 4 seconds',0,0),
(98974,200090,9,100,'Decreases Haste of target by 15.8',0,1),
(98975,230052,1,100,'Summons a limited pet to aid the caster',0,0),
(98976,230052,2,100,'Summons a limited pet to aid the caster',0,0),
(98977,230052,3,100,'Summons a limited pet to aid the caster',0,0),
(98978,230052,4,100,'Summons a limited pet to aid the caster',0,0),
(98979,230052,5,100,'Summons a limited pet to aid the caster',0,0),
(98980,230052,7,100,'Summons a limited pet to aid the caster',0,0),
(98981,230052,9,100,'Summons a limited pet to aid the caster',0,0),
(98982,230053,1,100,'Summons a limited pet to aid the caster',0,0),
(98983,230053,2,100,'Summons a limited pet to aid the caster',0,0),
(98984,230053,3,100,'Summons a limited pet to aid the caster',0,0),
(98985,230053,4,100,'Summons a limited pet to aid the caster',0,0),
(98986,230053,5,100,'Summons a limited pet to aid the caster',0,0),
(98987,230053,7,100,'Summons a limited pet to aid the caster',0,0),
(98988,230053,9,100,'Summons a limited pet to aid the caster',0,0),
(98989,230054,1,100,'Summons a limited pet to aid the caster',0,0),
(98990,230054,4,100,'Summons a limited pet to aid the caster',0,0),
(98991,230054,5,100,'Summons a limited pet to aid the caster',0,0),
(98992,230054,7,100,'Summons a limited pet to aid the caster',0,0),
(98993,230054,9,100,'Summons a limited pet to aid the caster',0,0),
(98994,230055,1,100,'Summons a limited pet to aid the caster',0,0),
(98995,230055,4,100,'Summons a limited pet to aid the caster',0,0),
(98996,230055,5,100,'Summons a limited pet to aid the caster',0,0),
(98997,230055,7,100,'Summons a limited pet to aid the caster',0,0),
(98998,230055,9,100,'Summons a limited pet to aid the caster',0,0),
(98999,230056,1,100,'Throws target back',0,0),
(99000,230056,1,100,'If Target is not Epic',1,1),
(99001,230056,1,100,'Inflicts 31 - 51 cold damage on targets in Area of Effect',0,2),
(99002,230056,1,100,'Stuns targets in Area of Effect',0,3),
(99003,230056,1,100,'If Target is not Epic',1,4),
(99004,230056,1,100,'Resistibility increases against targets higher than level 29.',0,5),
(99005,230056,2,100,'Throws target back',0,0),
(99006,230056,2,100,'If Target is not Epic',1,1),
(99007,230056,2,100,'Inflicts 32 - 54 cold damage on targets in Area of Effect',0,2),
(99008,230056,2,100,'Stuns targets in Area of Effect',0,3),
(99009,230056,2,100,'If Target is not Epic',1,4),
(99010,230056,2,100,'Resistibility increases against targets higher than level 29.',0,5),
(99011,230056,3,100,'Throws target back',0,0),
(99012,230056,3,100,'If Target is not Epic',1,1),
(99013,230056,3,100,'Inflicts 34 - 57 cold damage on targets in Area of Effect',0,2),
(99014,230056,3,100,'Stuns targets in Area of Effect',0,3),
(99015,230056,3,100,'If Target is not Epic',1,4),
(99016,230056,3,100,'Resistibility increases against targets higher than level 29.',0,5),
(99017,230056,4,100,'Throws target back',0,0),
(99018,230056,4,100,'If Target is not Epic',1,1),
(99019,230056,4,100,'Inflicts 37 - 62 cold damage on targets in Area of Effect',0,2),
(99020,230056,4,100,'Stuns targets in Area of Effect',0,3),
(99021,230056,4,100,'If Target is not Epic',1,4),
(99022,230056,4,100,'Resistibility increases against targets higher than level 29.',0,5),
(99023,230056,5,100,'Throws target back',0,0),
(99024,230056,5,100,'If Target is not Epic',1,1),
(99025,230056,5,100,'Inflicts 41 - 68 cold damage on targets in Area of Effect',0,2),
(99026,230056,5,100,'Stuns targets in Area of Effect',0,3),
(99027,230056,5,100,'If Target is not Epic',1,4),
(99028,230056,5,100,'Resistibility increases against targets higher than level 29.',0,5),
(99029,230056,7,100,'Throws target back',0,0),
(99030,230056,7,100,'If Target is not Epic',1,1),
(99031,230056,7,100,'Inflicts 52 - 87 cold damage on targets in Area of Effect',0,2),
(99032,230056,7,100,'Stuns targets in Area of Effect',0,3),
(99033,230056,7,100,'If Target is not Epic',1,4),
(99034,230056,7,100,'Resistibility increases against targets higher than level 29.',0,5),
(99035,230056,9,100,'Throws target back',0,0),
(99036,230056,9,100,'If Target is not Epic',1,1),
(99037,230056,9,100,'Inflicts 54 - 91 cold damage on targets in Area of Effect',0,2),
(99038,230056,9,100,'Stuns targets in Area of Effect',0,3),
(99039,230056,9,100,'If Target is not Epic',1,4),
(99040,230056,9,100,'Resistibility increases against targets higher than level 29.',0,5),
(99041,230057,1,100,'Throws target back',0,0),
(99042,230057,1,100,'If Target is not Epic',1,1),
(99043,230057,1,100,'Inflicts 31 - 51 cold damage on targets in Area of Effect',0,2),
(99044,230057,1,100,'Stuns targets in Area of Effect',0,3),
(99045,230057,1,100,'If Target is not Epic',1,4),
(99046,230057,1,100,'Resistibility increases against targets higher than level 29.',0,5),
(99047,230057,2,100,'Throws target back',0,0),
(99048,230057,2,100,'If Target is not Epic',1,1),
(99049,230057,2,100,'Inflicts 32 - 54 cold damage on targets in Area of Effect',0,2),
(99050,230057,2,100,'Stuns targets in Area of Effect',0,3),
(99051,230057,2,100,'If Target is not Epic',1,4),
(99052,230057,2,100,'Resistibility increases against targets higher than level 29.',0,5),
(99053,230057,3,100,'Throws target back',0,0),
(99054,230057,3,100,'If Target is not Epic',1,1),
(99055,230057,3,100,'Inflicts 34 - 57 cold damage on targets in Area of Effect',0,2),
(99056,230057,3,100,'Stuns targets in Area of Effect',0,3),
(99057,230057,3,100,'If Target is not Epic',1,4),
(99058,230057,3,100,'Resistibility increases against targets higher than level 29.',0,5),
(99059,230057,4,100,'Throws target back',0,0),
(99060,230057,4,100,'If Target is not Epic',1,1),
(99061,230057,4,100,'Inflicts 37 - 62 cold damage on targets in Area of Effect',0,2),
(99062,230057,4,100,'Stuns targets in Area of Effect',0,3),
(99063,230057,4,100,'If Target is not Epic',1,4),
(99064,230057,4,100,'Resistibility increases against targets higher than level 29.',0,5),
(99065,230057,5,100,'Throws target back',0,0),
(99066,230057,5,100,'If Target is not Epic',1,1),
(99067,230057,5,100,'Inflicts 41 - 68 cold damage on targets in Area of Effect',0,2),
(99068,230057,5,100,'Stuns targets in Area of Effect',0,3),
(99069,230057,5,100,'If Target is not Epic',1,4),
(99070,230057,5,100,'Resistibility increases against targets higher than level 29.',0,5),
(99071,230057,7,100,'Throws target back',0,0),
(99072,230057,7,100,'If Target is not Epic',1,1),
(99073,230057,7,100,'Inflicts 52 - 87 cold damage on targets in Area of Effect',0,2),
(99074,230057,7,100,'Stuns targets in Area of Effect',0,3),
(99075,230057,7,100,'If Target is not Epic',1,4),
(99076,230057,7,100,'Resistibility increases against targets higher than level 29.',0,5),
(99077,230057,9,100,'Throws target back',0,0),
(99078,230057,9,100,'If Target is not Epic',1,1),
(99079,230057,9,100,'Inflicts 54 - 90 cold damage on targets in Area of Effect',0,2),
(99080,230057,9,100,'Stuns targets in Area of Effect',0,3),
(99081,230057,9,100,'If Target is not Epic',1,4),
(99082,230057,9,100,'Resistibility increases against targets higher than level 29.',0,5),
(99083,230058,1,100,'Throws target back',0,0),
(99084,230058,1,100,'If Target is not Epic',1,1),
(99085,230058,1,100,'Inflicts 31 - 51 cold damage on targets in Area of Effect',0,2),
(99086,230058,1,100,'Stuns targets in Area of Effect',0,3),
(99087,230058,1,100,'If Target is not Epic',1,4),
(99088,230058,1,100,'Resistibility increases against targets higher than level 29.',0,5),
(99089,230058,4,100,'Throws target back',0,0),
(99090,230058,4,100,'If Target is not Epic',1,1),
(99091,230058,4,100,'Inflicts 37 - 62 cold damage on targets in Area of Effect',0,2),
(99092,230058,4,100,'Stuns targets in Area of Effect',0,3),
(99093,230058,4,100,'If Target is not Epic',1,4),
(99094,230058,4,100,'Resistibility increases against targets higher than level 29.',0,5),
(99095,230058,5,100,'Throws target back',0,0),
(99096,230058,5,100,'If Target is not Epic',1,1),
(99097,230058,5,100,'Inflicts 41 - 68 cold damage on targets in Area of Effect',0,2),
(99098,230058,5,100,'Stuns targets in Area of Effect',0,3),
(99099,230058,5,100,'If Target is not Epic',1,4),
(99100,230058,5,100,'Resistibility increases against targets higher than level 29.',0,5),
(99101,230058,7,100,'Throws target back',0,0),
(99102,230058,7,100,'If Target is not Epic',1,1),
(99103,230058,7,100,'Inflicts 52 - 87 cold damage on targets in Area of Effect',0,2),
(99104,230058,7,100,'Stuns targets in Area of Effect',0,3),
(99105,230058,7,100,'If Target is not Epic',1,4),
(99106,230058,7,100,'Resistibility increases against targets higher than level 29.',0,5),
(99107,230058,9,100,'Throws target back',0,0),
(99108,230058,9,100,'If Target is not Epic',1,1),
(99109,230058,9,100,'Inflicts 54 - 90 cold damage on targets in Area of Effect',0,2),
(99110,230058,9,100,'Stuns targets in Area of Effect',0,3),
(99111,230058,9,100,'If Target is not Epic',1,4),
(99112,230058,9,100,'Resistibility increases against targets higher than level 29.',0,5),
(99113,230059,1,100,'Throws target back',0,0),
(99114,230059,1,100,'If Target is not Epic',1,1),
(99115,230059,1,100,'Inflicts 31 - 51 cold damage on targets in Area of Effect',0,2),
(99116,230059,1,100,'Stuns targets in Area of Effect',0,3),
(99117,230059,1,100,'If Target is not Epic',1,4),
(99118,230059,1,100,'Resistibility increases against targets higher than level 29.',0,5),
(99119,230059,4,100,'Throws target back',0,0),
(99120,230059,4,100,'If Target is not Epic',1,1),
(99121,230059,4,100,'Inflicts 37 - 62 cold damage on targets in Area of Effect',0,2),
(99122,230059,4,100,'Stuns targets in Area of Effect',0,3),
(99123,230059,4,100,'If Target is not Epic',1,4),
(99124,230059,4,100,'Resistibility increases against targets higher than level 29.',0,5),
(99125,230059,5,100,'Throws target back',0,0),
(99126,230059,5,100,'If Target is not Epic',1,1),
(99127,230059,5,100,'Inflicts 41 - 68 cold damage on targets in Area of Effect',0,2),
(99128,230059,5,100,'Stuns targets in Area of Effect',0,3),
(99129,230059,5,100,'If Target is not Epic',1,4),
(99130,230059,5,100,'Resistibility increases against targets higher than level 29.',0,5),
(99131,230059,7,100,'Throws target back',0,0),
(99132,230059,7,100,'If Target is not Epic',1,1),
(99133,230059,7,100,'Inflicts 52 - 87 cold damage on targets in Area of Effect',0,2),
(99134,230059,7,100,'Stuns targets in Area of Effect',0,3),
(99135,230059,7,100,'If Target is not Epic',1,4),
(99136,230059,7,100,'Resistibility increases against targets higher than level 29.',0,5),
(99137,230059,9,100,'Throws target back',0,0),
(99138,230059,9,100,'If Target is not Epic',1,1),
(99139,230059,9,100,'Inflicts 54 - 90 cold damage on targets in Area of Effect',0,2),
(99140,230059,9,100,'Stuns targets in Area of Effect',0,3),
(99141,230059,9,100,'If Target is not Epic',1,4),
(99142,230059,9,100,'Resistibility increases against targets higher than level 29.',0,5),
(99143,370079,1,100,'Makes target afraid',0,0),
(99144,370079,1,100,'30% chance to dispel when target takes damage',0,1),
(99145,370079,1,100,'Does not affect Epic targets',0,2),
(99146,370079,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(99147,370079,2,100,'Makes target afraid',0,0),
(99148,370079,2,100,'30% chance to dispel when target takes damage',0,1),
(99149,370079,2,100,'Does not affect Epic targets',0,2),
(99150,370079,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(99151,370079,3,100,'Makes target afraid',0,0),
(99152,370079,3,100,'30% chance to dispel when target takes damage',0,1),
(99153,370079,3,100,'Does not affect Epic targets',0,2),
(99154,370079,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(99155,370079,4,100,'Makes target afraid',0,0),
(99156,370079,4,100,'30% chance to dispel when target takes damage',0,1),
(99157,370079,4,100,'Does not affect Epic targets',0,2),
(99158,370079,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(99159,370079,5,100,'Makes target afraid',0,0),
(99160,370079,5,100,'30% chance to dispel when target takes damage',0,1),
(99161,370079,5,100,'Does not affect Epic targets',0,2),
(99162,370079,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(99163,370079,7,100,'Makes target afraid',0,0),
(99164,370079,7,100,'30% chance to dispel when target takes damage',0,1),
(99165,370079,7,100,'Does not affect Epic targets',0,2),
(99166,370079,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(99167,370079,9,100,'Makes target afraid',0,0),
(99168,370079,9,100,'30% chance to dispel when target takes damage',0,1),
(99169,370079,9,100,'Does not affect Epic targets',0,2),
(99170,370079,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(99171,370080,1,100,'Makes target afraid',0,0),
(99172,370080,1,100,'30% chance to dispel when target takes damage',0,1),
(99173,370080,1,100,'Does not affect Epic targets',0,2),
(99174,370080,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(99175,370080,2,100,'Makes target afraid',0,0),
(99176,370080,2,100,'30% chance to dispel when target takes damage',0,1),
(99177,370080,2,100,'Does not affect Epic targets',0,2),
(99178,370080,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(99179,370080,3,100,'Makes target afraid',0,0),
(99180,370080,3,100,'30% chance to dispel when target takes damage',0,1),
(99181,370080,3,100,'Does not affect Epic targets',0,2),
(99182,370080,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(99183,370080,4,100,'Makes target afraid',0,0),
(99184,370080,4,100,'30% chance to dispel when target takes damage',0,1),
(99185,370080,4,100,'Does not affect Epic targets',0,2),
(99186,370080,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(99187,370080,5,100,'Makes target afraid',0,0),
(99188,370080,5,100,'30% chance to dispel when target takes damage',0,1),
(99189,370080,5,100,'Does not affect Epic targets',0,2),
(99190,370080,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(99191,370080,7,100,'Makes target afraid',0,0),
(99192,370080,7,100,'30% chance to dispel when target takes damage',0,1),
(99193,370080,7,100,'Does not affect Epic targets',0,2),
(99194,370080,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(99195,370080,9,100,'Makes target afraid',0,0),
(99196,370080,9,100,'30% chance to dispel when target takes damage',0,1),
(99197,370080,9,100,'Does not affect Epic targets',0,2),
(99198,370080,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(99199,370081,1,100,'Makes target afraid',0,0),
(99200,370081,1,100,'30% chance to dispel when target takes damage',0,1),
(99201,370081,1,100,'Does not affect Epic targets',0,2),
(99202,370081,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(99203,370081,2,100,'Makes target afraid',0,0),
(99204,370081,2,100,'30% chance to dispel when target takes damage',0,1),
(99205,370081,2,100,'Does not affect Epic targets',0,2),
(99206,370081,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(99207,370081,3,100,'Makes target afraid',0,0),
(99208,370081,3,100,'30% chance to dispel when target takes damage',0,1),
(99209,370081,3,100,'Does not affect Epic targets',0,2),
(99210,370081,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(99211,370081,4,100,'Makes target afraid',0,0),
(99212,370081,4,100,'30% chance to dispel when target takes damage',0,1),
(99213,370081,4,100,'Does not affect Epic targets',0,2),
(99214,370081,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(99215,370081,5,100,'Makes target afraid',0,0),
(99216,370081,5,100,'30% chance to dispel when target takes damage',0,1),
(99217,370081,5,100,'Does not affect Epic targets',0,2),
(99218,370081,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(99219,370081,7,100,'Makes target afraid',0,0),
(99220,370081,7,100,'30% chance to dispel when target takes damage',0,1),
(99221,370081,7,100,'Does not affect Epic targets',0,2),
(99222,370081,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(99223,370081,9,100,'Makes target afraid',0,0),
(99224,370081,9,100,'30% chance to dispel when target takes damage',0,1),
(99225,370081,9,100,'Does not affect Epic targets',0,2),
(99226,370081,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(99227,370082,1,100,'Makes target afraid',0,0),
(99228,370082,1,100,'30% chance to dispel when target takes damage',0,1),
(99229,370082,1,100,'Does not affect Epic targets',0,2),
(99230,370082,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(99231,370082,2,100,'Makes target afraid',0,0),
(99232,370082,2,100,'30% chance to dispel when target takes damage',0,1),
(99233,370082,2,100,'Does not affect Epic targets',0,2),
(99234,370082,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(99235,370082,3,100,'Makes target afraid',0,0),
(99236,370082,3,100,'30% chance to dispel when target takes damage',0,1),
(99237,370082,3,100,'Does not affect Epic targets',0,2),
(99238,370082,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(99239,370082,4,100,'Makes target afraid',0,0),
(99240,370082,4,100,'30% chance to dispel when target takes damage',0,1),
(99241,370082,4,100,'Does not affect Epic targets',0,2),
(99242,370082,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(99243,370082,5,100,'Makes target afraid',0,0),
(99244,370082,5,100,'30% chance to dispel when target takes damage',0,1),
(99245,370082,5,100,'Does not affect Epic targets',0,2),
(99246,370082,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(99247,370082,7,100,'Makes target afraid',0,0),
(99248,370082,7,100,'30% chance to dispel when target takes damage',0,1),
(99249,370082,7,100,'Does not affect Epic targets',0,2),
(99250,370082,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(99251,370082,9,100,'Makes target afraid',0,0),
(99252,370082,9,100,'30% chance to dispel when target takes damage',0,1),
(99253,370082,9,100,'Does not affect Epic targets',0,2),
(99254,370082,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(99255,370083,1,100,'Makes target afraid',0,0),
(99256,370083,1,100,'30% chance to dispel when target takes damage',0,1),
(99257,370083,1,100,'Does not affect Epic targets',0,2),
(99258,370083,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(99259,370083,2,100,'Makes target afraid',0,0),
(99260,370083,2,100,'30% chance to dispel when target takes damage',0,1),
(99261,370083,2,100,'Does not affect Epic targets',0,2),
(99262,370083,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(99263,370083,3,100,'Makes target afraid',0,0),
(99264,370083,3,100,'30% chance to dispel when target takes damage',0,1),
(99265,370083,3,100,'Does not affect Epic targets',0,2),
(99266,370083,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(99267,370083,4,100,'Makes target afraid',0,0),
(99268,370083,4,100,'30% chance to dispel when target takes damage',0,1),
(99269,370083,4,100,'Does not affect Epic targets',0,2),
(99270,370083,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(99271,370083,5,100,'Makes target afraid',0,0),
(99272,370083,5,100,'30% chance to dispel when target takes damage',0,1),
(99273,370083,5,100,'Does not affect Epic targets',0,2),
(99274,370083,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(99275,370083,7,100,'Makes target afraid',0,0),
(99276,370083,7,100,'30% chance to dispel when target takes damage',0,1),
(99277,370083,7,100,'Does not affect Epic targets',0,2),
(99278,370083,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(99279,370083,9,100,'Makes target afraid',0,0),
(99280,370083,9,100,'30% chance to dispel when target takes damage',0,1),
(99281,370083,9,100,'Does not affect Epic targets',0,2),
(99282,370083,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(99283,370084,1,100,'Makes target afraid',0,0),
(99284,370084,1,100,'30% chance to dispel when target takes damage',0,1),
(99285,370084,1,100,'Does not affect Epic targets',0,2),
(99286,370084,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(99287,370084,4,100,'Makes target afraid',0,0),
(99288,370084,4,100,'30% chance to dispel when target takes damage',0,1),
(99289,370084,4,100,'Does not affect Epic targets',0,2),
(99290,370084,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(99291,370084,5,100,'Makes target afraid',0,0),
(99292,370084,5,100,'30% chance to dispel when target takes damage',0,1),
(99293,370084,5,100,'Does not affect Epic targets',0,2),
(99294,370084,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(99295,370084,7,100,'Makes target afraid',0,0),
(99296,370084,7,100,'30% chance to dispel when target takes damage',0,1),
(99297,370084,7,100,'Does not affect Epic targets',0,2),
(99298,370084,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(99299,370084,9,100,'Makes target afraid',0,0),
(99300,370084,9,100,'30% chance to dispel when target takes damage',0,1),
(99301,370084,9,100,'Does not affect Epic targets',0,2),
(99302,370084,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(99303,2000471,1,100,'Inflicts 1 - 2 mental damage on target',0,0),
(99304,2000471,1,100,'Inflicts 1 mental damage on target every 12 seconds',0,1),
(99305,2000471,1,100,'Decreases Haste of target by 9.0',0,2),
(99306,290124,1,100,'Increases Defense of group members'' pets (AE) by 2.0',0,0),
(99307,290124,1,100,'Increases Mitigation of group members (AE) vs all damage by 38',0,1),
(99308,290124,2,100,'Increases Defense of group members'' pets (AE) by 2.1',0,0),
(99309,290124,2,100,'Increases Mitigation of group members (AE) vs all damage by 40',0,1),
(99310,290124,3,100,'Increases Defense of group members'' pets (AE) by 2.2',0,0),
(99311,290124,3,100,'Increases Mitigation of group members (AE) vs all damage by 42',0,1),
(99312,290124,4,100,'Increases Defense of group members'' pets (AE) by 2.5',0,0),
(99313,290124,4,100,'Increases Mitigation of group members (AE) vs all damage by 46',0,1),
(99314,290124,5,100,'Increases Defense of group members'' pets (AE) by 2.7',0,0),
(99315,290124,5,100,'Increases Mitigation of group members (AE) vs all damage by 50',0,1),
(99316,290124,7,100,'Increases Defense of group members'' pets (AE) by 3.5',0,0),
(99317,290124,7,100,'Increases Mitigation of group members (AE) vs all damage by 64',0,1),
(99318,290124,9,100,'Increases Defense of group members'' pets (AE) by 3.6',0,0),
(99319,290124,9,100,'Increases Mitigation of group members (AE) vs all damage by 67',0,1),
(99320,290125,1,100,'Increases Defense of group members'' pets (AE) by 4.4',0,0),
(99321,290125,1,100,'Increases Mitigation of group members (AE) vs all damage by 70',0,1),
(99322,290125,2,100,'Increases Defense of group members'' pets (AE) by 4.6',0,0),
(99323,290125,2,100,'Increases Mitigation of group members (AE) vs all damage by 74',0,1),
(99324,290125,3,100,'Increases Defense of group members'' pets (AE) by 4.9',0,0),
(99325,290125,3,100,'Increases Mitigation of group members (AE) vs all damage by 78',0,1),
(99326,290125,4,100,'Increases Defense of group members'' pets (AE) by 5.4',0,0),
(99327,290125,4,100,'Increases Mitigation of group members (AE) vs all damage by 86',0,1),
(99328,290125,5,100,'Increases Defense of group members'' pets (AE) by 5.9',0,0),
(99329,290125,5,100,'Increases Mitigation of group members (AE) vs all damage by 94',0,1),
(99330,290125,7,100,'Increases Defense of group members'' pets (AE) by 7.5',0,0),
(99331,290125,7,100,'Increases Mitigation of group members (AE) vs all damage by 120',0,1),
(99332,290125,9,100,'Increases Defense of group members'' pets (AE) by 7.8',0,0),
(99333,290125,9,100,'Increases Mitigation of group members (AE) vs all damage by 125',0,1),
(99334,290126,1,100,'Increases Defense of group members'' pets (AE) by 6.7',0,0),
(99335,290126,1,100,'Increases Mitigation of group members (AE) vs all damage by 108',0,1),
(99336,290126,2,100,'Increases Defense of group members'' pets (AE) by 7.1',0,0),
(99337,290126,2,100,'Increases Mitigation of group members (AE) vs all damage by 114',0,1),
(99338,290126,3,100,'Increases Defense of group members'' pets (AE) by 7.5',0,0),
(99339,290126,3,100,'Increases Mitigation of group members (AE) vs all damage by 120',0,1),
(99340,290126,4,100,'Increases Defense of group members'' pets (AE) by 8.3',0,0),
(99341,290126,4,100,'Increases Mitigation of group members (AE) vs all damage by 132',0,1),
(99342,290126,5,100,'Increases Defense of group members'' pets (AE) by 9.0',0,0),
(99343,290126,5,100,'Increases Mitigation of group members (AE) vs all damage by 144',0,1),
(99344,290126,7,100,'Increases Defense of group members'' pets (AE) by 11.5',0,0),
(99345,290126,7,100,'Increases Mitigation of group members (AE) vs all damage by 185',0,1),
(99346,290126,9,100,'Increases Defense of group members'' pets (AE) by 12.0',0,0),
(99347,290126,9,100,'Increases Mitigation of group members (AE) vs all damage by 192',0,1),
(99348,290127,1,100,'Increases Defense of group members'' pets (AE) by 9.1',0,0),
(99349,290127,1,100,'Increases Mitigation of group members (AE) vs all damage by 146',0,1),
(99350,290127,2,100,'Increases Defense of group members'' pets (AE) by 9.6',0,0),
(99351,290127,2,100,'Increases Mitigation of group members (AE) vs all damage by 154',0,1),
(99352,290127,3,100,'Increases Defense of group members'' pets (AE) by 10.1',0,0),
(99353,290127,3,100,'Increases Mitigation of group members (AE) vs all damage by 162',0,1),
(99354,290127,4,100,'Increases Defense of group members'' pets (AE) by 11.1',0,0),
(99355,290127,4,100,'Increases Mitigation of group members (AE) vs all damage by 178',0,1),
(99356,290127,5,100,'Increases Defense of group members'' pets (AE) by 12.2',0,0),
(99357,290127,5,100,'Increases Mitigation of group members (AE) vs all damage by 194',0,1),
(99358,290127,7,100,'Increases Defense of group members'' pets (AE) by 15.6',0,0),
(99359,290127,7,100,'Increases Mitigation of group members (AE) vs all damage by 249',0,1),
(99360,290127,9,100,'Increases Defense of group members'' pets (AE) by 16.2',0,0),
(99361,290127,9,100,'Increases Mitigation of group members (AE) vs all damage by 259',0,1),
(99362,290127,10,100,'Increases Defense of group members'' pets (AE) by 17.0',0,0),
(99363,290127,10,100,'Increases Mitigation of group members (AE) vs all damage by 272',0,1),
(99364,290128,1,100,'Increases Defense of group members'' pets (AE) by 11.5',0,0),
(99365,290128,1,100,'Increases Mitigation of group members (AE) vs all damage by 184',0,1),
(99366,290128,2,100,'Increases Defense of group members'' pets (AE) by 12.1',0,0),
(99367,290128,2,100,'Increases Mitigation of group members (AE) vs all damage by 194',0,1),
(99368,290128,3,100,'Increases Defense of group members'' pets (AE) by 12.8',0,0),
(99369,290128,3,100,'Increases Mitigation of group members (AE) vs all damage by 204',0,1),
(99370,290128,4,100,'Increases Defense of group members'' pets (AE) by 14.0',0,0),
(99371,290128,4,100,'Increases Mitigation of group members (AE) vs all damage by 224',0,1),
(99372,290128,5,100,'Increases Defense of group members'' pets (AE) by 15.3',0,0),
(99373,290128,5,100,'Increases Mitigation of group members (AE) vs all damage by 245',0,1),
(99374,290128,7,100,'Increases Defense of group members'' pets (AE) by 19.6',0,0),
(99375,290128,7,100,'Increases Mitigation of group members (AE) vs all damage by 314',0,1),
(99376,290128,9,100,'Increases Defense of group members'' pets (AE) by 20.4',0,0),
(99377,290128,9,100,'Increases Mitigation of group members (AE) vs all damage by 326',0,1),
(99378,290129,1,100,'Increases Defense of group members'' pets (AE) by 13.8',0,0),
(99379,290129,1,100,'Increases Mitigation of group members (AE) vs all damage by 224',0,1),
(99380,290129,2,100,'Increases Defense of group members'' pets (AE) by 14.6',0,0),
(99381,290129,2,100,'Increases Mitigation of group members (AE) vs all damage by 236',0,1),
(99382,290129,3,100,'Increases Defense of group members'' pets (AE) by 15.4',0,0),
(99383,290129,3,100,'Increases Mitigation of group members (AE) vs all damage by 249',0,1),
(99384,290129,4,100,'Increases Defense of group members'' pets (AE) by 16.9',0,0),
(99385,290129,4,100,'Increases Mitigation of group members (AE) vs all damage by 274',0,1),
(99386,290129,5,100,'Increases Defense of group members'' pets (AE) by 18.5',0,0),
(99387,290129,5,100,'Increases Mitigation of group members (AE) vs all damage by 299',0,1),
(99388,290129,7,100,'Increases Defense of group members'' pets (AE) by 23.7',0,0),
(99389,290129,7,100,'Increases Mitigation of group members (AE) vs all damage by 383',0,1),
(99390,290129,9,100,'Increases Defense of group members'' pets (AE) by 24.6',0,0),
(99391,290129,9,100,'Increases Mitigation of group members (AE) vs all damage by 398',0,1),
(99392,290130,1,100,'Increases Defense of group members'' pets (AE) by 16.6',0,0),
(99393,290130,1,100,'Increases Mitigation of group members (AE) vs all damage by 263',0,1),
(99394,290130,4,100,'Increases Defense of group members'' pets (AE) by 20.3',0,0),
(99395,290130,4,100,'Increases Mitigation of group members (AE) vs all damage by 322',0,1),
(99396,290130,5,100,'Increases Defense of group members'' pets (AE) by 22.1',0,0),
(99397,290130,5,100,'Increases Mitigation of group members (AE) vs all damage by 351',0,1),
(99398,290130,7,100,'Increases Defense of group members'' pets (AE) by 28.4',0,0),
(99399,290130,7,100,'Increases Mitigation of group members (AE) vs all damage by 450',0,1),
(99400,290130,9,100,'Increases Defense of group members'' pets (AE) by 29.5',0,0),
(99401,290130,9,100,'Increases Mitigation of group members (AE) vs all damage by 468',0,1),
(99402,290131,1,100,'Increases Defense of group members'' pets (AE) by 19.4',0,0),
(99403,290131,1,100,'Increases Mitigation of group members (AE) vs all damage by 294',0,1),
(99404,290131,4,100,'Increases Defense of group members'' pets (AE) by 23.7',0,0),
(99405,290131,4,100,'Increases Mitigation of group members (AE) vs all damage by 359',0,1),
(99406,290131,5,100,'Increases Defense of group members'' pets (AE) by 25.9',0,0),
(99407,290131,5,100,'Increases Mitigation of group members (AE) vs all damage by 392',0,1),
(99408,290131,7,100,'Increases Defense of group members'' pets (AE) by 33.2',0,0),
(99409,290131,7,100,'Increases Mitigation of group members (AE) vs all damage by 503',0,1),
(99410,290131,9,100,'Increases Defense of group members'' pets (AE) by 34.5',0,0),
(99411,290131,9,100,'Increases Mitigation of group members (AE) vs all damage by 523',0,1),
(99412,180005,1,100,'Wards target against 222 points of all damage',0,0),
(99413,180005,2,100,'Wards target against 234 points of all damage',0,0),
(99414,180005,3,100,'Wards target against 247 points of all damage',0,0),
(99415,180005,4,100,'Wards target against 271 points of all damage',0,0),
(99416,180005,5,100,'Wards target against 296 points of all damage',0,0),
(99417,180005,7,100,'Wards target against 380 points of all damage',0,0),
(99418,180005,9,100,'Wards target against 395 points of all damage',0,0),
(99419,180005,10,100,'Wards target against 414 points of all damage',0,0),
(99420,240128,1,100,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',0,0),
(99421,240128,1,100,'Inflicts 12 - 22 poison damage on target encounter',1,1),
(99422,240128,2,100,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',0,0),
(99423,240128,2,100,'Inflicts 13 - 23 poison damage on target encounter',1,1),
(99424,240128,3,100,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',0,0),
(99425,240128,3,100,'Inflicts 13 - 24 poison damage on target encounter',1,1),
(99426,240128,4,100,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',0,0),
(99427,240128,4,100,'Inflicts 14 - 27 poison damage on target encounter',1,1),
(99428,240128,5,100,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',0,0),
(99429,240128,5,100,'Inflicts 16 - 29 poison damage on target encounter',1,1),
(99430,240128,7,100,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',0,0),
(99431,240128,7,100,'Inflicts 20 - 38 poison damage on target encounter',1,1),
(99432,240128,9,100,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',0,0),
(99433,240128,9,100,'Inflicts 21 - 39 poison damage on target encounter',1,1),
(99434,240128,10,100,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',0,0),
(99435,240128,10,100,'Inflicts 22 - 41 poison damage on target encounter',1,1),
(99436,240129,1,100,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',0,0),
(99437,240129,1,100,'Inflicts 18 - 34 poison damage on target encounter',1,1),
(99438,240129,2,100,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',0,0),
(99439,240129,2,100,'Inflicts 19 - 36 poison damage on target encounter',1,1),
(99440,240129,3,100,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',0,0),
(99441,240129,3,100,'Inflicts 20 - 38 poison damage on target encounter',1,1),
(99442,240129,4,100,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',0,0),
(99443,240129,4,100,'Inflicts 22 - 41 poison damage on target encounter',1,1),
(99444,240129,5,100,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',0,0),
(99445,240129,5,100,'Inflicts 24 - 45 poison damage on target encounter',1,1),
(99446,240129,7,100,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',0,0),
(99447,240129,7,100,'Inflicts 31 - 58 poison damage on target encounter',1,1),
(99448,240129,9,100,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',0,0),
(99449,240129,9,100,'Inflicts 32 - 60 poison damage on target encounter',1,1),
(99450,240130,1,100,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',0,0),
(99451,240130,1,100,'Inflicts 25 - 47 poison damage on target encounter',1,1),
(99452,240130,2,100,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',0,0),
(99453,240130,2,100,'Inflicts 27 - 50 poison damage on target encounter',1,1),
(99454,240130,3,100,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',0,0),
(99455,240130,3,100,'Inflicts 28 - 52 poison damage on target encounter',1,1),
(99456,240130,4,100,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',0,0),
(99457,240130,4,100,'Inflicts 31 - 58 poison damage on target encounter',1,1),
(99458,240130,5,100,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',0,0),
(99459,240130,5,100,'Inflicts 34 - 63 poison damage on target encounter',1,1),
(99460,240130,7,100,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',0,0),
(99461,240130,7,100,'Inflicts 43 - 81 poison damage on target encounter',1,1),
(99462,240130,9,100,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',0,0),
(99463,240130,9,100,'Inflicts 45 - 84 poison damage on target encounter',1,1),
(99464,240131,1,100,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',0,0),
(99465,240131,1,100,'Inflicts 32 - 60 poison damage on target encounter',1,1),
(99466,240131,2,100,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',0,0),
(99467,240131,2,100,'Inflicts 34 - 64 poison damage on target encounter',1,1),
(99468,240131,3,100,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',0,0),
(99469,240131,3,100,'Inflicts 36 - 67 poison damage on target encounter',1,1),
(99470,240131,4,100,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',0,0),
(99471,240131,4,100,'Inflicts 40 - 74 poison damage on target encounter',1,1),
(99472,240131,5,100,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',0,0),
(99473,240131,5,100,'Inflicts 43 - 80 poison damage on target encounter',1,1),
(99474,240131,7,100,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',0,0),
(99475,240131,7,100,'Inflicts 55 - 103 poison damage on target encounter',1,1),
(99476,240131,9,100,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',0,0),
(99477,240131,9,100,'Inflicts 58 - 107 poison damage on target encounter',1,1),
(99478,240132,1,100,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',0,0),
(99479,240132,1,100,'Inflicts 39 - 73 poison damage on target encounter',1,1),
(99480,240132,4,100,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',0,0),
(99481,240132,4,100,'Inflicts 48 - 89 poison damage on target encounter',1,1),
(99482,240132,5,100,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',0,0),
(99483,240132,5,100,'Inflicts 52 - 97 poison damage on target encounter',1,1),
(99484,240132,7,100,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',0,0),
(99485,240132,7,100,'Inflicts 67 - 125 poison damage on target encounter',1,1),
(99486,240132,9,100,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',0,0),
(99487,240132,9,100,'Inflicts 70 - 129 poison damage on target encounter',1,1),
(99488,240132,10,100,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',0,0),
(99489,240132,10,100,'Inflicts 73 - 136 poison damage on target encounter',1,1),
(99490,240133,1,100,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',0,0),
(99491,240133,1,100,'Inflicts 45 - 84 poison damage on target encounter',1,1),
(99492,240133,4,100,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',0,0),
(99493,240133,4,100,'Inflicts 55 - 103 poison damage on target encounter',1,1),
(99494,240133,5,100,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',0,0),
(99495,240133,5,100,'Inflicts 60 - 112 poison damage on target encounter',1,1),
(99496,240133,7,100,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',0,0),
(99497,240133,7,100,'Inflicts 77 - 144 poison damage on target encounter',1,1),
(99498,240133,9,100,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',0,0),
(99499,240133,9,100,'Inflicts 80 - 149 poison damage on target encounter',1,1),
(99500,240133,10,100,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',0,0),
(99501,240133,10,100,'Inflicts 84 - 157 poison damage on target encounter',1,1),
(99502,210007,1,100,'Increases Max Power of group members (AE) by 20.8',0,0),
(99503,210007,1,100,'Increases Mitigation of group members (AE) vs arcane damage by 123',0,1),
(99504,210007,2,100,'Increases Max Power of group members (AE) by 21.9',0,0),
(99505,210007,2,100,'Increases Mitigation of group members (AE) vs arcane damage by 130',0,1),
(99506,210007,3,100,'Increases Max Power of group members (AE) by 23.1',0,0),
(99507,210007,3,100,'Increases Mitigation of group members (AE) vs arcane damage by 137',0,1),
(99508,210007,4,100,'Increases Max Power of group members (AE) by 25.4',0,0),
(99509,210007,4,100,'Increases Mitigation of group members (AE) vs arcane damage by 150',0,1),
(99510,210007,5,100,'Increases Max Power of group members (AE) by 27.7',0,0),
(99511,210007,5,100,'Increases Mitigation of group members (AE) vs arcane damage by 164',0,1),
(99512,210007,7,100,'Increases Max Power of group members (AE) by 35.6',0,0),
(99513,210007,7,100,'Increases Mitigation of group members (AE) vs arcane damage by 210',0,1),
(99514,210007,9,100,'Increases Max Power of group members (AE) by 37.0',0,0),
(99515,210007,9,100,'Increases Mitigation of group members (AE) vs arcane damage by 218',0,1),
(99516,2000472,1,100,'Improves base auto-attack multiplier of caster by 0.15. Does not apply to spell weapons.',0,0),
(99517,2000472,1,100,'Increases Weapon Damage of caster by 25.0',0,1),
(99518,2000472,1,100,'Lowers heal amount by 12.5%',0,2),
(99519,2000472,1,100,'Improves critical damage of spells and combat arts by 10%.',0,3),
(99520,2000472,1,100,'On a melee hit this spell will cast Glacial Assault on target of attack.  ',0,4),
(99521,2000472,1,100,'Inflicts 296 - 443 cold damage on target',1,5),
(99522,190054,1,100,'Inflicts 34 - 42 cold damage on target instantly and every 3 seconds',0,0),
(99523,190054,2,100,'Inflicts 36 - 44 cold damage on target instantly and every 3 seconds',0,0),
(99524,190054,3,100,'Inflicts 38 - 46 cold damage on target instantly and every 3 seconds',0,0),
(99525,190054,4,100,'Inflicts 42 - 51 cold damage on target instantly and every 3 seconds',0,0),
(99526,190054,5,100,'Inflicts 45 - 55 cold damage on target instantly and every 3 seconds',0,0),
(99527,190054,7,100,'Inflicts 58 - 71 cold damage on target instantly and every 3 seconds',0,0),
(99528,190054,9,100,'Inflicts 61 - 74 cold damage on target instantly and every 3 seconds',0,0),
(99529,190054,10,100,'Inflicts 64 - 78 cold damage on target instantly and every 3 seconds',0,0),
(99530,190055,1,100,'Inflicts 58 - 71 cold damage on target instantly and every 3 seconds',0,0),
(99531,190055,2,100,'Inflicts 61 - 75 cold damage on target instantly and every 3 seconds',0,0),
(99532,190055,3,100,'Inflicts 64 - 79 cold damage on target instantly and every 3 seconds',0,0),
(99533,190055,4,100,'Inflicts 71 - 86 cold damage on target instantly and every 3 seconds',0,0),
(99534,190055,5,100,'Inflicts 77 - 94 cold damage on target instantly and every 3 seconds',0,0),
(99535,190055,7,100,'Inflicts 99 - 121 cold damage on target instantly and every 3 seconds',0,0),
(99536,190055,9,100,'Inflicts 103 - 126 cold damage on target instantly and every 3 seconds',0,0),
(99537,190056,1,100,'Inflicts 86 - 106 cold damage on target instantly and every 3 seconds',0,0),
(99538,190056,2,100,'Inflicts 91 - 112 cold damage on target instantly and every 3 seconds',0,0),
(99539,190056,3,100,'Inflicts 96 - 117 cold damage on target instantly and every 3 seconds',0,0),
(99540,190056,4,100,'Inflicts 106 - 129 cold damage on target instantly and every 3 seconds',0,0),
(99541,190056,5,100,'Inflicts 115 - 141 cold damage on target instantly and every 3 seconds',0,0),
(99542,190056,7,100,'Inflicts 148 - 181 cold damage on target instantly and every 3 seconds',0,0),
(99543,190056,9,100,'Inflicts 154 - 188 cold damage on target instantly and every 3 seconds',0,0),
(99544,190057,1,100,'Inflicts 116 - 142 cold damage on target instantly and every 3 seconds',0,0),
(99545,190057,2,100,'Inflicts 123 - 150 cold damage on target instantly and every 3 seconds',0,0),
(99546,190057,3,100,'Inflicts 129 - 158 cold damage on target instantly and every 3 seconds',0,0),
(99547,190057,4,100,'Inflicts 142 - 174 cold damage on target instantly and every 3 seconds',0,0),
(99548,190057,5,100,'Inflicts 155 - 189 cold damage on target instantly and every 3 seconds',0,0),
(99549,190057,7,100,'Inflicts 199 - 243 cold damage on target instantly and every 3 seconds',0,0),
(99550,190057,9,100,'Inflicts 207 - 253 cold damage on target instantly and every 3 seconds',0,0),
(99551,190058,1,100,'Inflicts 146 - 178 cold damage on target instantly and every 3 seconds',0,0),
(99552,190058,2,100,'Inflicts 154 - 188 cold damage on target instantly and every 3 seconds',0,0),
(99553,190058,3,100,'Inflicts 162 - 198 cold damage on target instantly and every 3 seconds',0,0),
(99554,190058,4,100,'Inflicts 178 - 218 cold damage on target instantly and every 3 seconds',0,0),
(99555,190058,5,100,'Inflicts 194 - 238 cold damage on target instantly and every 3 seconds',0,0),
(99556,190058,7,100,'Inflicts 249 - 305 cold damage on target instantly and every 3 seconds',0,0),
(99557,190058,9,100,'Inflicts 259 - 317 cold damage on target instantly and every 3 seconds',0,0),
(99558,190059,1,100,'Inflicts 176 - 215 cold damage on target instantly and every 3 seconds',0,0),
(99559,190059,4,100,'Inflicts 215 - 263 cold damage on target instantly and every 3 seconds',0,0),
(99560,190059,5,100,'Inflicts 234 - 286 cold damage on target instantly and every 3 seconds',0,0),
(99561,190059,7,100,'Inflicts 301 - 368 cold damage on target instantly and every 3 seconds',0,0),
(99562,190059,9,100,'Inflicts 312 - 382 cold damage on target instantly and every 3 seconds',0,0),
(99563,190060,1,100,'Inflicts 193 - 236 cold damage on target instantly and every 3 seconds',0,0),
(99564,190060,4,100,'Inflicts 236 - 288 cold damage on target instantly and every 3 seconds',0,0),
(99565,190060,5,100,'Inflicts 257 - 315 cold damage on target instantly and every 3 seconds',0,0),
(99566,190060,7,100,'Inflicts 330 - 404 cold damage on target instantly and every 3 seconds',0,0),
(99567,190060,9,100,'Inflicts 343 - 419 cold damage on target instantly and every 3 seconds',0,0),
(99568,230060,1,100,'Inflicts 46 - 86 cold damage on target encounter instantly and every 3 seconds',0,0),
(99569,230060,2,100,'Inflicts 49 - 91 cold damage on target encounter instantly and every 3 seconds',0,0),
(99570,230060,3,100,'Inflicts 51 - 96 cold damage on target encounter instantly and every 3 seconds',0,0),
(99571,230060,4,100,'Inflicts 57 - 105 cold damage on target encounter instantly and every 3 seconds',0,0),
(99572,230060,5,100,'Inflicts 62 - 115 cold damage on target encounter instantly and every 3 seconds',0,0),
(99573,230060,7,100,'Inflicts 79 - 147 cold damage on target encounter instantly and every 3 seconds',0,0),
(99574,230060,9,100,'Inflicts 82 - 153 cold damage on target encounter instantly and every 3 seconds',0,0),
(99575,230060,10,100,'Inflicts 86 - 160 cold damage on target encounter instantly and every 3 seconds',0,0),
(99576,230061,1,100,'Inflicts 84 - 157 cold damage on target encounter instantly and every 3 seconds',0,0),
(99577,230061,2,100,'Inflicts 89 - 166 cold damage on target encounter instantly and every 3 seconds',0,0),
(99578,230061,3,100,'Inflicts 94 - 174 cold damage on target encounter instantly and every 3 seconds',0,0),
(99579,230061,4,100,'Inflicts 103 - 192 cold damage on target encounter instantly and every 3 seconds',0,0),
(99580,230061,5,100,'Inflicts 113 - 209 cold damage on target encounter instantly and every 3 seconds',0,0),
(99581,230061,7,100,'Inflicts 145 - 268 cold damage on target encounter instantly and every 3 seconds',0,0),
(99582,230061,9,100,'Inflicts 150 - 279 cold damage on target encounter instantly and every 3 seconds',0,0),
(99583,230061,10,100,'Inflicts 158 - 293 cold damage on target encounter instantly and every 3 seconds',0,0),
(99584,230062,1,100,'Inflicts 128 - 238 cold damage on target encounter instantly and every 3 seconds',0,0),
(99585,230062,2,100,'Inflicts 135 - 251 cold damage on target encounter instantly and every 3 seconds',0,0),
(99586,230062,3,100,'Inflicts 142 - 264 cold damage on target encounter instantly and every 3 seconds',0,0),
(99587,230062,4,100,'Inflicts 157 - 291 cold damage on target encounter instantly and every 3 seconds',0,0),
(99588,230062,5,100,'Inflicts 171 - 317 cold damage on target encounter instantly and every 3 seconds',0,0),
(99589,230062,7,100,'Inflicts 219 - 407 cold damage on target encounter instantly and every 3 seconds',0,0),
(99590,230062,9,100,'Inflicts 228 - 423 cold damage on target encounter instantly and every 3 seconds',0,0),
(99591,230063,1,100,'Inflicts 176 - 326 cold damage on target encounter instantly and every 3 seconds',0,0),
(99592,230063,2,100,'Inflicts 186 - 345 cold damage on target encounter instantly and every 3 seconds',0,0),
(99593,230063,3,100,'Inflicts 195 - 363 cold damage on target encounter instantly and every 3 seconds',0,0),
(99594,230063,4,100,'Inflicts 215 - 399 cold damage on target encounter instantly and every 3 seconds',0,0),
(99595,230063,5,100,'Inflicts 234 - 435 cold damage on target encounter instantly and every 3 seconds',0,0),
(99596,230063,7,100,'Inflicts 301 - 559 cold damage on target encounter instantly and every 3 seconds',0,0),
(99597,230063,9,100,'Inflicts 313 - 580 cold damage on target encounter instantly and every 3 seconds',0,0),
(99598,230063,10,100,'Inflicts 328 - 609 cold damage on target encounter instantly and every 3 seconds',0,0),
(99599,230064,1,100,'Inflicts 225 - 417 cold damage on target encounter instantly and every 3 seconds',0,0),
(99600,230064,2,100,'Inflicts 237 - 440 cold damage on target encounter instantly and every 3 seconds',0,0),
(99601,230064,3,100,'Inflicts 250 - 464 cold damage on target encounter instantly and every 3 seconds',0,0),
(99602,230064,4,100,'Inflicts 275 - 510 cold damage on target encounter instantly and every 3 seconds',0,0),
(99603,230064,5,100,'Inflicts 299 - 556 cold damage on target encounter instantly and every 3 seconds',0,0),
(99604,230064,7,100,'Inflicts 384 - 714 cold damage on target encounter instantly and every 3 seconds',0,0),
(99605,230064,9,100,'Inflicts 399 - 742 cold damage on target encounter instantly and every 3 seconds',0,0),
(99606,230065,1,100,'Inflicts 271 - 504 cold damage on target encounter instantly and every 3 seconds',0,0),
(99607,230065,4,100,'Inflicts 331 - 616 cold damage on target encounter instantly and every 3 seconds',0,0),
(99608,230065,5,100,'Inflicts 362 - 672 cold damage on target encounter instantly and every 3 seconds',0,0),
(99609,230065,7,100,'Inflicts 464 - 862 cold damage on target encounter instantly and every 3 seconds',0,0),
(99610,230065,9,100,'Inflicts 482 - 895 cold damage on target encounter instantly and every 3 seconds',0,0),
(99611,230065,10,100,'Inflicts 506 - 940 cold damage on target encounter instantly and every 3 seconds',0,0),
(99612,230066,1,100,'Inflicts 305 - 567 cold damage on target encounter instantly and every 3 seconds',0,0),
(99613,230066,4,100,'Inflicts 373 - 693 cold damage on target encounter instantly and every 3 seconds',0,0),
(99614,230066,5,100,'Inflicts 407 - 756 cold damage on target encounter instantly and every 3 seconds',0,0),
(99615,230066,7,100,'Inflicts 522 - 970 cold damage on target encounter instantly and every 3 seconds',0,0),
(99616,230066,9,100,'Inflicts 543 - 1008 cold damage on target encounter instantly and every 3 seconds',0,0),
(99617,230066,10,100,'Inflicts 570 - 1058 cold damage on target encounter instantly and every 3 seconds',0,0),
(99618,250010,1,100,'Inflicts 12 - 14 mental damage on target instantly and every 6 seconds',0,0),
(99619,250010,1,100,'Decreases Mitigation of target vs arcane damage by 141',0,1),
(99620,250010,2,100,'Inflicts 12 - 15 mental damage on target instantly and every 6 seconds',0,0),
(99621,250010,2,100,'Decreases Mitigation of target vs arcane damage by 149',0,1),
(99622,250010,3,100,'Inflicts 13 - 16 mental damage on target instantly and every 6 seconds',0,0),
(99623,250010,3,100,'Decreases Mitigation of target vs arcane damage by 157',0,1),
(99624,250010,4,100,'Inflicts 14 - 17 mental damage on target instantly and every 6 seconds',0,0),
(99625,250010,4,100,'Decreases Mitigation of target vs arcane damage by 172',0,1),
(99626,250010,5,100,'Inflicts 16 - 19 mental damage on target instantly and every 6 seconds',0,0),
(99627,250010,5,100,'Decreases Mitigation of target vs arcane damage by 188',0,1),
(99628,250010,7,100,'Inflicts 20 - 24 mental damage on target instantly and every 6 seconds',0,0),
(99629,250010,7,100,'Decreases Mitigation of target vs arcane damage by 241',0,1),
(99630,250010,9,100,'Inflicts 21 - 25 mental damage on target instantly and every 6 seconds',0,0),
(99631,250010,9,100,'Decreases Mitigation of target vs arcane damage by 251',0,1),
(99632,130050,1,100,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',0,0),
(99633,130050,1,100,'Heals group members (AE) for 245',1,1),
(99634,130050,2,100,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',0,0),
(99635,130050,2,100,'Heals group members (AE) for 259',1,1),
(99636,130050,3,100,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',0,0),
(99637,130050,3,100,'Heals group members (AE) for 273',1,1),
(99638,130050,4,100,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',0,0),
(99639,130050,4,100,'Heals group members (AE) for 300',1,1),
(99640,130050,5,100,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',0,0),
(99641,130050,5,100,'Heals group members (AE) for 327',1,1),
(99642,130050,7,100,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',0,0),
(99643,130050,7,100,'Heals group members (AE) for 420',1,1),
(99644,130050,9,100,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',0,0),
(99645,130050,9,100,'Heals group members (AE) for 436',1,1),
(99646,130051,1,100,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',0,0),
(99647,130051,1,100,'Heals group members (AE) for 340',1,1),
(99648,130051,2,100,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',0,0),
(99649,130051,2,100,'Heals group members (AE) for 359',1,1),
(99650,130051,3,100,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',0,0),
(99651,130051,3,100,'Heals group members (AE) for 378',1,1),
(99652,130051,4,100,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',0,0),
(99653,130051,4,100,'Heals group members (AE) for 415',1,1),
(99654,130051,5,100,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',0,0),
(99655,130051,5,100,'Heals group members (AE) for 453',1,1),
(99656,130051,7,100,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',0,0),
(99657,130051,7,100,'Heals group members (AE) for 581',1,1),
(99658,130051,9,100,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',0,0),
(99659,130051,9,100,'Heals group members (AE) for 604',1,1),
(99660,130051,10,100,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',0,0),
(99661,130051,10,100,'Heals group members (AE) for 634',1,1),
(99662,130052,1,100,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',0,0),
(99663,130052,1,100,'Heals group members (AE) for 470',1,1),
(99664,130052,2,100,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',0,0),
(99665,130052,2,100,'Heals group members (AE) for 496',1,1),
(99666,130052,3,100,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',0,0),
(99667,130052,3,100,'Heals group members (AE) for 523',1,1),
(99668,130052,4,100,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',0,0),
(99669,130052,4,100,'Heals group members (AE) for 575',1,1),
(99670,130052,5,100,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',0,0),
(99671,130052,5,100,'Heals group members (AE) for 627',1,1),
(99672,130052,7,100,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',0,0),
(99673,130052,7,100,'Heals group members (AE) for 805',1,1),
(99674,130052,9,100,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',0,0),
(99675,130052,9,100,'Heals group members (AE) for 836',1,1),
(99676,130053,1,100,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',0,0),
(99677,130053,1,100,'Heals group members (AE) for 592',1,1),
(99678,130053,4,100,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',0,0),
(99679,130053,4,100,'Heals group members (AE) for 723',1,1),
(99680,130053,5,100,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',0,0),
(99681,130053,5,100,'Heals group members (AE) for 789',1,1),
(99682,130053,7,100,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',0,0),
(99683,130053,7,100,'Heals group members (AE) for 1013',1,1),
(99684,130053,9,100,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',0,0),
(99685,130053,9,100,'Heals group members (AE) for 1052',1,1),
(99686,130053,10,100,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',0,0),
(99687,130053,10,100,'Heals group members (AE) for 1105',1,1),
(99688,130054,1,100,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',0,0),
(99689,130054,1,100,'Heals group members (AE) for 659',1,1),
(99690,130054,4,100,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',0,0),
(99691,130054,4,100,'Heals group members (AE) for 806',1,1),
(99692,130054,5,100,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',0,0),
(99693,130054,5,100,'Heals group members (AE) for 879',1,1),
(99694,130054,7,100,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',0,0),
(99695,130054,7,100,'Heals group members (AE) for 1128',1,1),
(99696,130054,9,100,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',0,0),
(99697,130054,9,100,'Heals group members (AE) for 1172',1,1),
(99698,130054,10,100,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',0,0),
(99699,130054,10,100,'Heals group members (AE) for 1231',1,1),
(99700,2000473,1,100,'Decreases Defense of target by 0.9',0,0),
(99701,2000474,1,100,'Inflicts 2 melee damage on target',0,0),
(99702,2000475,1,100,'When damaged with a melee weapon this spell has a 5% chance to cast Goop Spray on target''s attacker.  Lasts for 36.0 seconds.  ',0,0),
(99703,2000475,1,100,'Inflicts 1 - 2 poison damage on target',1,1),
(99704,2000475,1,100,'Inflicts 1 poison damage on target every 18 seconds',1,2),
(99705,2000475,1,100,'Decreases STR of target by 3.6',1,3),
(99706,360110,1,100,'Increases Defense of group members (AE) by 4.9',0,0),
(99707,360110,2,100,'Increases Defense of group members (AE) by 5.1',0,0),
(99708,360110,3,100,'Increases Defense of group members (AE) by 5.4',0,0),
(99709,360110,4,100,'Increases Defense of group members (AE) by 5.9',0,0),
(99710,360110,5,100,'Increases Defense of group members (AE) by 6.5',0,0),
(99711,360110,7,100,'Increases Defense of group members (AE) by 8.3',0,0),
(99712,360110,9,100,'Increases Defense of group members (AE) by 8.6',0,0),
(99713,360111,1,100,'Increases Defense of group members (AE) by 8.6',0,0),
(99714,360111,2,100,'Increases Defense of group members (AE) by 9.1',0,0),
(99715,360111,3,100,'Increases Defense of group members (AE) by 9.6',0,0),
(99716,360111,4,100,'Increases Defense of group members (AE) by 10.6',0,0),
(99717,360111,5,100,'Increases Defense of group members (AE) by 11.5',0,0),
(99718,360111,7,100,'Increases Defense of group members (AE) by 14.8',0,0),
(99719,360111,9,100,'Increases Defense of group members (AE) by 15.4',0,0),
(99720,360111,10,100,'Increases Defense of group members (AE) by 16.1',0,0),
(99721,360112,1,100,'Increases Defense of group members (AE) by 12.4',0,0),
(99722,360112,2,100,'Increases Defense of group members (AE) by 13.1',0,0),
(99723,360112,3,100,'Increases Defense of group members (AE) by 13.8',0,0),
(99724,360112,4,100,'Increases Defense of group members (AE) by 15.2',0,0),
(99725,360112,5,100,'Increases Defense of group members (AE) by 16.6',0,0),
(99726,360112,7,100,'Increases Defense of group members (AE) by 21.3',0,0),
(99727,360112,9,100,'Increases Defense of group members (AE) by 22.1',0,0),
(99728,360113,1,100,'Increases Defense of group members (AE) by 16.2',0,0),
(99729,360113,2,100,'Increases Defense of group members (AE) by 17.1',0,0),
(99730,360113,3,100,'Increases Defense of group members (AE) by 18.0',0,0),
(99731,360113,4,100,'Increases Defense of group members (AE) by 19.8',0,0),
(99732,360113,5,100,'Increases Defense of group members (AE) by 21.6',0,0),
(99733,360113,7,100,'Increases Defense of group members (AE) by 27.7',0,0),
(99734,360113,9,100,'Increases Defense of group members (AE) by 28.8',0,0),
(99735,360114,1,100,'Increases Defense of group members (AE) by 20.0',0,0),
(99736,360114,2,100,'Increases Defense of group members (AE) by 21.1',0,0),
(99737,360114,3,100,'Increases Defense of group members (AE) by 22.2',0,0),
(99738,360114,4,100,'Increases Defense of group members (AE) by 24.4',0,0),
(99739,360114,5,100,'Increases Defense of group members (AE) by 26.6',0,0),
(99740,360114,7,100,'Increases Defense of group members (AE) by 34.2',0,0),
(99741,360114,9,100,'Increases Defense of group members (AE) by 35.5',0,0),
(99742,360115,1,100,'Increases Defense of group members (AE) by 23.8',0,0),
(99743,360115,4,100,'Increases Defense of group members (AE) by 29.2',0,0),
(99744,360115,5,100,'Increases Defense of group members (AE) by 31.8',0,0),
(99745,360115,7,100,'Increases Defense of group members (AE) by 40.8',0,0),
(99746,360115,9,100,'Increases Defense of group members (AE) by 42.4',0,0),
(99747,360115,10,100,'Increases Defense of group members (AE) by 44.5',0,0),
(99748,360116,1,100,'Increases Defense of group members (AE) by 28.3',0,0),
(99749,360116,4,100,'Increases Defense of group members (AE) by 34.7',0,0),
(99750,360116,5,100,'Increases Defense of group members (AE) by 37.8',0,0),
(99751,360116,7,100,'Increases Defense of group members (AE) by 48.5',0,0),
(99752,360116,9,100,'Increases Defense of group members (AE) by 50.4',0,0),
(99753,360116,10,100,'Increases Defense of group members (AE) by 52.9',0,0),
(99754,240134,1,100,'On a combat hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(99755,240134,1,100,'Inflicts 10 - 12 poison damage on target instantly and every 4 seconds',1,1),
(99756,240134,2,100,'On a combat hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(99757,240134,2,100,'Inflicts 10 - 13 poison damage on target instantly and every 4 seconds',1,1),
(99758,240134,3,100,'On a combat hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(99759,240134,3,100,'Inflicts 11 - 13 poison damage on target instantly and every 4 seconds',1,1),
(99760,240134,4,100,'On a combat hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(99761,240134,4,100,'Inflicts 12 - 14 poison damage on target instantly and every 4 seconds',1,1),
(99762,240134,5,100,'On a combat hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(99763,240134,5,100,'Inflicts 13 - 16 poison damage on target instantly and every 4 seconds',1,1),
(99764,240134,7,100,'On a combat hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(99765,240134,7,100,'Inflicts 17 - 20 poison damage on target instantly and every 4 seconds',1,1),
(99766,240134,9,100,'On a combat hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(99767,240134,9,100,'Inflicts 17 - 21 poison damage on target instantly and every 4 seconds',1,1),
(99768,240135,1,100,'On a combat hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(99769,240135,1,100,'Inflicts 22 - 27 poison damage on target instantly and every 4 seconds',1,1),
(99770,240135,2,100,'On a combat hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(99771,240135,2,100,'Inflicts 24 - 29 poison damage on target instantly and every 4 seconds',1,1),
(99772,240135,3,100,'On a combat hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(99773,240135,3,100,'Inflicts 25 - 31 poison damage on target instantly and every 4 seconds',1,1),
(99774,240135,4,100,'On a combat hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(99775,240135,4,100,'Inflicts 27 - 34 poison damage on target instantly and every 4 seconds',1,1),
(99776,240135,5,100,'On a combat hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(99777,240135,5,100,'Inflicts 30 - 37 poison damage on target instantly and every 4 seconds',1,1),
(99778,240135,7,100,'On a combat hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(99779,240135,7,100,'Inflicts 38 - 47 poison damage on target instantly and every 4 seconds',1,1),
(99780,240135,9,100,'On a combat hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(99781,240135,9,100,'Inflicts 40 - 49 poison damage on target instantly and every 4 seconds',1,1),
(99782,240136,1,100,'On a combat hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(99783,240136,1,100,'Inflicts 37 - 45 poison damage on target instantly and every 4 seconds',1,1),
(99784,240136,2,100,'On a combat hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(99785,240136,2,100,'Inflicts 39 - 47 poison damage on target instantly and every 4 seconds',1,1),
(99786,240136,3,100,'On a combat hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(99787,240136,3,100,'Inflicts 41 - 50 poison damage on target instantly and every 4 seconds',1,1),
(99788,240136,4,100,'On a combat hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(99789,240136,4,100,'Inflicts 45 - 55 poison damage on target instantly and every 4 seconds',1,1),
(99790,240136,5,100,'On a combat hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(99791,240136,5,100,'Inflicts 49 - 60 poison damage on target instantly and every 4 seconds',1,1),
(99792,240136,7,100,'On a combat hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(99793,240136,7,100,'Inflicts 63 - 77 poison damage on target instantly and every 4 seconds',1,1),
(99794,240136,9,100,'On a combat hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(99795,240136,9,100,'Inflicts 65 - 80 poison damage on target instantly and every 4 seconds',1,1),
(99796,240137,1,100,'On a combat hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(99797,240137,1,100,'Inflicts 54 - 67 poison damage on target instantly and every 4 seconds',1,1),
(99798,240137,2,100,'On a combat hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(99799,240137,2,100,'Inflicts 57 - 70 poison damage on target instantly and every 4 seconds',1,1),
(99800,240137,3,100,'On a combat hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(99801,240137,3,100,'Inflicts 60 - 74 poison damage on target instantly and every 4 seconds',1,1),
(99802,240137,4,100,'On a combat hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(99803,240137,4,100,'Inflicts 67 - 81 poison damage on target instantly and every 4 seconds',1,1),
(99804,240137,5,100,'On a combat hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(99805,240137,5,100,'Inflicts 73 - 89 poison damage on target instantly and every 4 seconds',1,1),
(99806,240137,7,100,'On a combat hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(99807,240137,7,100,'Inflicts 93 - 114 poison damage on target instantly and every 4 seconds',1,1),
(99808,240137,9,100,'On a combat hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(99809,240137,9,100,'Inflicts 97 - 118 poison damage on target instantly and every 4 seconds',1,1),
(99810,240138,1,100,'On a combat hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(99811,240138,1,100,'Inflicts 72 - 88 poison damage on target instantly and every 4 seconds',1,1),
(99812,240138,2,100,'On a combat hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(99813,240138,2,100,'Inflicts 76 - 93 poison damage on target instantly and every 4 seconds',1,1),
(99814,240138,3,100,'On a combat hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(99815,240138,3,100,'Inflicts 80 - 98 poison damage on target instantly and every 4 seconds',1,1),
(99816,240138,4,100,'On a combat hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(99817,240138,4,100,'Inflicts 88 - 108 poison damage on target instantly and every 4 seconds',1,1),
(99818,240138,5,100,'On a combat hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(99819,240138,5,100,'Inflicts 96 - 118 poison damage on target instantly and every 4 seconds',1,1),
(99820,240138,7,100,'On a combat hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(99821,240138,7,100,'Inflicts 124 - 151 poison damage on target instantly and every 4 seconds',1,1),
(99822,240138,9,100,'On a combat hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(99823,240138,9,100,'Inflicts 129 - 157 poison damage on target instantly and every 4 seconds',1,1),
(99824,240139,1,100,'On a combat hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(99825,240139,1,100,'Inflicts 89 - 109 poison damage on target instantly and every 4 seconds',1,1),
(99826,240139,2,100,'On a combat hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(99827,240139,2,100,'Inflicts 94 - 115 poison damage on target instantly and every 4 seconds',1,1),
(99828,240139,3,100,'On a combat hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(99829,240139,3,100,'Inflicts 99 - 121 poison damage on target instantly and every 4 seconds',1,1),
(99830,240139,4,100,'On a combat hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(99831,240139,4,100,'Inflicts 109 - 133 poison damage on target instantly and every 4 seconds',1,1),
(99832,240139,5,100,'On a combat hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(99833,240139,5,100,'Inflicts 119 - 145 poison damage on target instantly and every 4 seconds',1,1),
(99834,240139,7,100,'On a combat hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(99835,240139,7,100,'Inflicts 152 - 186 poison damage on target instantly and every 4 seconds',1,1),
(99836,240139,9,100,'On a combat hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(99837,240139,9,100,'Inflicts 158 - 194 poison damage on target instantly and every 4 seconds',1,1),
(99838,240140,1,100,'On a combat hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(99839,240140,1,100,'Inflicts 107 - 131 poison damage on target instantly and every 4 seconds',1,1),
(99840,240140,4,100,'On a combat hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(99841,240140,4,100,'Inflicts 131 - 160 poison damage on target instantly and every 4 seconds',1,1),
(99842,240140,5,100,'On a combat hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(99843,240140,5,100,'Inflicts 143 - 175 poison damage on target instantly and every 4 seconds',1,1),
(99844,240140,7,100,'On a combat hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(99845,240140,7,100,'Inflicts 184 - 224 poison damage on target instantly and every 4 seconds',1,1),
(99846,240140,9,100,'On a combat hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(99847,240140,9,100,'Inflicts 191 - 233 poison damage on target instantly and every 4 seconds',1,1),
(99848,240141,1,100,'On a combat hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(99849,240141,1,100,'Inflicts 116 - 142 poison damage on target instantly and every 4 seconds',1,1),
(99850,240141,4,100,'On a combat hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(99851,240141,4,100,'Inflicts 142 - 174 poison damage on target instantly and every 4 seconds',1,1),
(99852,240141,5,100,'On a combat hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(99853,240141,5,100,'Inflicts 155 - 190 poison damage on target instantly and every 4 seconds',1,1),
(99854,240141,7,100,'On a combat hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(99855,240141,7,100,'Inflicts 199 - 244 poison damage on target instantly and every 4 seconds',1,1),
(99856,240141,9,100,'On a combat hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(99857,240141,9,100,'Inflicts 207 - 253 poison damage on target instantly and every 4 seconds',1,1),
(99858,300068,1,100,'Stuns target',0,0),
(99859,300068,1,100,'Does not affect Epic targets',0,1),
(99860,300068,1,100,'Resistibility increases against targets higher than level 29.',0,2),
(99861,300068,2,100,'Stuns target',0,0),
(99862,300068,2,100,'Does not affect Epic targets',0,1),
(99863,300068,2,100,'Resistibility increases against targets higher than level 29.',0,2),
(99864,300068,3,100,'Stuns target',0,0),
(99865,300068,3,100,'Does not affect Epic targets',0,1),
(99866,300068,3,100,'Resistibility increases against targets higher than level 29.',0,2),
(99867,300068,4,100,'Stuns target',0,0),
(99868,300068,4,100,'Does not affect Epic targets',0,1),
(99869,300068,4,100,'Resistibility increases against targets higher than level 29.',0,2),
(99870,300068,5,100,'Stuns target',0,0),
(99871,300068,5,100,'Does not affect Epic targets',0,1),
(99872,300068,5,100,'Resistibility increases against targets higher than level 29.',0,2),
(99873,300068,7,100,'Stuns target',0,0),
(99874,300068,7,100,'Does not affect Epic targets',0,1),
(99875,300068,7,100,'Resistibility increases against targets higher than level 29.',0,2),
(99876,300068,9,100,'Stuns target',0,0),
(99877,300068,9,100,'Does not affect Epic targets',0,1),
(99878,300068,9,100,'Resistibility increases against targets higher than level 29.',0,2),
(99879,300069,1,100,'Stuns target',0,0),
(99880,300069,1,100,'Does not affect Epic targets',0,1),
(99881,300069,1,100,'Resistibility increases against targets higher than level 29.',0,2),
(99882,300069,2,100,'Stuns target',0,0),
(99883,300069,2,100,'Does not affect Epic targets',0,1),
(99884,300069,2,100,'Resistibility increases against targets higher than level 29.',0,2),
(99885,300069,3,100,'Stuns target',0,0),
(99886,300069,3,100,'Does not affect Epic targets',0,1),
(99887,300069,3,100,'Resistibility increases against targets higher than level 29.',0,2),
(99888,300069,4,100,'Stuns target',0,0),
(99889,300069,4,100,'Does not affect Epic targets',0,1),
(99890,300069,4,100,'Resistibility increases against targets higher than level 29.',0,2),
(99891,300069,5,100,'Stuns target',0,0),
(99892,300069,5,100,'Does not affect Epic targets',0,1),
(99893,300069,5,100,'Resistibility increases against targets higher than level 29.',0,2),
(99894,300069,7,100,'Stuns target',0,0),
(99895,300069,7,100,'Does not affect Epic targets',0,1),
(99896,300069,7,100,'Resistibility increases against targets higher than level 29.',0,2),
(99897,300069,9,100,'Stuns target',0,0),
(99898,300069,9,100,'Does not affect Epic targets',0,1),
(99899,300069,9,100,'Resistibility increases against targets higher than level 29.',0,2),
(99900,300070,1,100,'Stuns target',0,0),
(99901,300070,1,100,'Does not affect Epic targets',0,1),
(99902,300070,1,100,'Resistibility increases against targets higher than level 29.',0,2),
(99903,300070,2,100,'Stuns target',0,0),
(99904,300070,2,100,'Does not affect Epic targets',0,1),
(99905,300070,2,100,'Resistibility increases against targets higher than level 29.',0,2),
(99906,300070,3,100,'Stuns target',0,0),
(99907,300070,3,100,'Does not affect Epic targets',0,1),
(99908,300070,3,100,'Resistibility increases against targets higher than level 29.',0,2),
(99909,300070,4,100,'Stuns target',0,0),
(99910,300070,4,100,'Does not affect Epic targets',0,1),
(99911,300070,4,100,'Resistibility increases against targets higher than level 29.',0,2),
(99912,300070,5,100,'Stuns target',0,0),
(99913,300070,5,100,'Does not affect Epic targets',0,1),
(99914,300070,5,100,'Resistibility increases against targets higher than level 29.',0,2),
(99915,300070,7,100,'Stuns target',0,0),
(99916,300070,7,100,'Does not affect Epic targets',0,1),
(99917,300070,7,100,'Resistibility increases against targets higher than level 29.',0,2),
(99918,300070,9,100,'Stuns target',0,0),
(99919,300070,9,100,'Does not affect Epic targets',0,1),
(99920,300070,9,100,'Resistibility increases against targets higher than level 29.',0,2),
(99921,300071,1,100,'Stuns target',0,0),
(99922,300071,1,100,'Does not affect Epic targets',0,1),
(99923,300071,1,100,'Resistibility increases against targets higher than level 29.',0,2),
(99924,300071,2,100,'Stuns target',0,0),
(99925,300071,2,100,'Does not affect Epic targets',0,1),
(99926,300071,2,100,'Resistibility increases against targets higher than level 29.',0,2),
(99927,300071,3,100,'Stuns target',0,0),
(99928,300071,3,100,'Does not affect Epic targets',0,1),
(99929,300071,3,100,'Resistibility increases against targets higher than level 29.',0,2),
(99930,300071,4,100,'Stuns target',0,0),
(99931,300071,4,100,'Does not affect Epic targets',0,1),
(99932,300071,4,100,'Resistibility increases against targets higher than level 29.',0,2),
(99933,300071,5,100,'Stuns target',0,0),
(99934,300071,5,100,'Does not affect Epic targets',0,1),
(99935,300071,5,100,'Resistibility increases against targets higher than level 29.',0,2),
(99936,300071,7,100,'Stuns target',0,0),
(99937,300071,7,100,'Does not affect Epic targets',0,1),
(99938,300071,7,100,'Resistibility increases against targets higher than level 29.',0,2),
(99939,300071,9,100,'Stuns target',0,0),
(99940,300071,9,100,'Does not affect Epic targets',0,1),
(99941,300071,9,100,'Resistibility increases against targets higher than level 29.',0,2),
(99942,300072,1,100,'Stuns target',0,0),
(99943,300072,1,100,'Does not affect Epic targets',0,1),
(99944,300072,1,100,'Resistibility increases against targets higher than level 29.',0,2),
(99945,300072,2,100,'Stuns target',0,0),
(99946,300072,2,100,'Does not affect Epic targets',0,1),
(99947,300072,2,100,'Resistibility increases against targets higher than level 29.',0,2),
(99948,300072,3,100,'Stuns target',0,0),
(99949,300072,3,100,'Does not affect Epic targets',0,1),
(99950,300072,3,100,'Resistibility increases against targets higher than level 29.',0,2),
(99951,300072,4,100,'Stuns target',0,0),
(99952,300072,4,100,'Does not affect Epic targets',0,1),
(99953,300072,4,100,'Resistibility increases against targets higher than level 29.',0,2),
(99954,300072,5,100,'Stuns target',0,0),
(99955,300072,5,100,'Does not affect Epic targets',0,1),
(99956,300072,5,100,'Resistibility increases against targets higher than level 29.',0,2),
(99957,300072,7,100,'Stuns target',0,0),
(99958,300072,7,100,'Does not affect Epic targets',0,1),
(99959,300072,7,100,'Resistibility increases against targets higher than level 29.',0,2),
(99960,300072,9,100,'Stuns target',0,0),
(99961,300072,9,100,'Does not affect Epic targets',0,1),
(99962,300072,9,100,'Resistibility increases against targets higher than level 29.',0,2),
(99963,300073,1,100,'Stuns target',0,0),
(99964,300073,1,100,'Does not affect Epic targets',0,1),
(99965,300073,1,100,'Resistibility increases against targets higher than level 29.',0,2),
(99966,300073,4,100,'Stuns target',0,0),
(99967,300073,4,100,'Does not affect Epic targets',0,1),
(99968,300073,4,100,'Resistibility increases against targets higher than level 29.',0,2),
(99969,300073,5,100,'Stuns target',0,0),
(99970,300073,5,100,'Does not affect Epic targets',0,1),
(99971,300073,5,100,'Resistibility increases against targets higher than level 29.',0,2),
(99972,300073,7,100,'Stuns target',0,0),
(99973,300073,7,100,'Does not affect Epic targets',0,1),
(99974,300073,7,100,'Resistibility increases against targets higher than level 29.',0,2),
(99975,300073,9,100,'Stuns target',0,0),
(99976,300073,9,100,'Does not affect Epic targets',0,1),
(99977,300073,9,100,'Resistibility increases against targets higher than level 29.',0,2),
(99978,2000476,1,100,'Stuns target',0,0),
(99979,2000476,1,100,'Epic targets gain an immunity to Stun effects of 7.5 seconds and duration is reduced to 0.8 seconds.',0,1),
(99980,2000476,1,100,'Resistibility increases against targets higher than level 29.',0,2),
(99981,90103,1,100,'Increases threat priority of targets in Area of Effect by 2 positions',0,0),
(99982,90103,1,100,'Increases Threat to targets in Area of Effect by 286 - 349  instantly and every 4 seconds thereafter',0,1),
(99983,90103,1,100,'Inflicts 5 - 8 disease damage on targets in Area of Effect',0,2),
(99984,90103,1,100,'Inflicts 3 - 4 disease damage on targets in Area of Effect every 4 seconds',0,3),
(99985,90103,2,100,'Increases threat priority of targets in Area of Effect by 2 positions',0,0),
(99986,90103,2,100,'Increases Threat to targets in Area of Effect by 301 - 369  instantly and by 302 - 369  every 4 seconds thereafter',0,1),
(99987,90103,2,100,'Inflicts 6 - 9 disease damage on targets in Area of Effect',0,2),
(99988,90103,2,100,'Inflicts 3 - 4 disease damage on targets in Area of Effect every 4 seconds',0,3),
(99989,90103,3,100,'Increases threat priority of targets in Area of Effect by 2 positions',0,0),
(99990,90103,3,100,'Increases Threat to targets in Area of Effect by 317 - 388  instantly and every 4 seconds thereafter',0,1),
(99991,90103,3,100,'Inflicts 6 - 9 disease damage on targets in Area of Effect',0,2),
(99992,90103,3,100,'Inflicts 3 - 5 disease damage on targets in Area of Effect every 4 seconds',0,3),
(99993,90103,4,100,'Increases threat priority of targets in Area of Effect by 2 positions',0,0),
(99994,90103,4,100,'Increases Threat to targets in Area of Effect by 349 - 427  instantly and by 349 - 426  every 4 seconds thereafter',0,1),
(99995,90103,4,100,'Inflicts 7 - 10 disease damage on targets in Area of Effect',0,2),
(99996,90103,4,100,'Inflicts 3 - 5 disease damage on targets in Area of Effect every 4 seconds',0,3),
(99997,90103,5,100,'Increases threat priority of targets in Area of Effect by 2 positions',0,0),
(99998,90103,5,100,'Increases Threat to targets in Area of Effect by 381 - 466  instantly and by 380 - 465  every 4 seconds thereafter',0,1),
(99999,90103,5,100,'Inflicts 7 - 11 disease damage on targets in Area of Effect',0,2),
(100000,90103,5,100,'Inflicts 4 - 5 disease damage on targets in Area of Effect every 4 seconds',0,3),
(100001,90103,7,100,'Increases threat priority of targets in Area of Effect by 2 positions',0,0),
(100002,90103,7,100,'Increases Threat to targets in Area of Effect by 489 - 598  instantly and by 487 - 596  every 4 seconds thereafter',0,1),
(100003,90103,7,100,'Inflicts 9 - 14 disease damage on targets in Area of Effect',0,2),
(100004,90103,7,100,'Inflicts 5 - 7 disease damage on targets in Area of Effect every 4 seconds',0,3),
(100005,90103,9,100,'Increases threat priority of targets in Area of Effect by 2 positions',0,0),
(100006,90103,9,100,'Increases Threat to targets in Area of Effect by 508 - 621  instantly and by 506 - 619  every 4 seconds thereafter',0,1),
(100007,90103,9,100,'Inflicts 10 - 15 disease damage on targets in Area of Effect',0,2),
(100008,90103,9,100,'Inflicts 5 - 7 disease damage on targets in Area of Effect every 4 seconds',0,3),
(100009,90104,1,100,'Increases threat priority of targets in Area of Effect by 2 positions',0,0),
(100010,90104,1,100,'Increases Threat to targets in Area of Effect by 285 - 348  instantly and every 4 seconds thereafter',0,1),
(100011,90104,1,100,'Inflicts 5 - 8 disease damage on targets in Area of Effect',0,2),
(100012,90104,1,100,'Inflicts 3 - 4 disease damage on targets in Area of Effect every 4 seconds',0,3),
(100013,90104,2,100,'Increases threat priority of targets in Area of Effect by 2 positions',0,0),
(100014,90104,2,100,'Increases Threat to targets in Area of Effect by 301 - 367  instantly and by 301 - 368  every 4 seconds thereafter',0,1),
(100015,90104,2,100,'Inflicts 6 - 9 disease damage on targets in Area of Effect',0,2),
(100016,90104,2,100,'Inflicts 3 - 4 disease damage on targets in Area of Effect every 4 seconds',0,3),
(100017,90104,3,100,'Increases threat priority of targets in Area of Effect by 2 positions',0,0),
(100018,90104,3,100,'Increases Threat to targets in Area of Effect by 316 - 387  instantly and every 4 seconds thereafter',0,1),
(100019,90104,3,100,'Inflicts 6 - 9 disease damage on targets in Area of Effect',0,2),
(100020,90104,3,100,'Inflicts 3 - 5 disease damage on targets in Area of Effect every 4 seconds',0,3),
(100021,90104,4,100,'Increases threat priority of targets in Area of Effect by 2 positions',0,0),
(100022,90104,4,100,'Increases Threat to targets in Area of Effect by 348 - 425  instantly and every 4 seconds thereafter',0,1),
(100023,90104,4,100,'Inflicts 7 - 10 disease damage on targets in Area of Effect',0,2),
(100024,90104,4,100,'Inflicts 3 - 5 disease damage on targets in Area of Effect every 4 seconds',0,3),
(100025,90104,5,100,'Increases threat priority of targets in Area of Effect by 2 positions',0,0),
(100026,90104,5,100,'Increases Threat to targets in Area of Effect by 380 - 464  instantly and by 379 - 464  every 4 seconds thereafter',0,1),
(100027,90104,5,100,'Inflicts 7 - 11 disease damage on targets in Area of Effect',0,2),
(100028,90104,5,100,'Inflicts 4 - 5 disease damage on targets in Area of Effect every 4 seconds',0,3),
(100029,90104,7,100,'Increases threat priority of targets in Area of Effect by 2 positions',0,0),
(100030,90104,7,100,'Increases Threat to targets in Area of Effect by 487 - 596  instantly and by 486 - 595  every 4 seconds thereafter',0,1),
(100031,90104,7,100,'Inflicts 9 - 14 disease damage on targets in Area of Effect',0,2),
(100032,90104,7,100,'Inflicts 5 - 7 disease damage on targets in Area of Effect every 4 seconds',0,3),
(100033,90104,9,100,'Increases threat priority of targets in Area of Effect by 2 positions',0,0),
(100034,90104,9,100,'Increases Threat to targets in Area of Effect by 506 - 619  instantly and by 505 - 618  every 4 seconds thereafter',0,1),
(100035,90104,9,100,'Inflicts 10 - 15 disease damage on targets in Area of Effect',0,2),
(100036,90104,9,100,'Inflicts 5 - 7 disease damage on targets in Area of Effect every 4 seconds',0,3),
(100037,90105,1,100,'Increases threat priority of targets in Area of Effect by 2 positions',0,0),
(100038,90105,1,100,'Increases Threat to targets in Area of Effect by 284 - 348  instantly and every 4 seconds thereafter',0,1),
(100039,90105,1,100,'Inflicts 5 - 8 disease damage on targets in Area of Effect',0,2),
(100040,90105,1,100,'Inflicts 3 - 4 disease damage on targets in Area of Effect every 4 seconds',0,3),
(100041,90105,2,100,'Increases threat priority of targets in Area of Effect by 2 positions',0,0),
(100042,90105,2,100,'Increases Threat to targets in Area of Effect by 300 - 367  instantly and every 4 seconds thereafter',0,1),
(100043,90105,2,100,'Inflicts 6 - 9 disease damage on targets in Area of Effect',0,2),
(100044,90105,2,100,'Inflicts 3 - 4 disease damage on targets in Area of Effect every 4 seconds',0,3),
(100045,90105,3,100,'Increases threat priority of targets in Area of Effect by 2 positions',0,0),
(100046,90105,3,100,'Increases Threat to targets in Area of Effect by 316 - 386  instantly and every 4 seconds thereafter',0,1),
(100047,90105,3,100,'Inflicts 6 - 9 disease damage on targets in Area of Effect',0,2),
(100048,90105,3,100,'Inflicts 3 - 5 disease damage on targets in Area of Effect every 4 seconds',0,3),
(100049,90105,4,100,'Increases threat priority of targets in Area of Effect by 2 positions',0,0),
(100050,90105,4,100,'Increases Threat to targets in Area of Effect by 348 - 425  instantly and by 347 - 425  every 4 seconds thereafter',0,1),
(100051,90105,4,100,'Inflicts 7 - 10 disease damage on targets in Area of Effect',0,2),
(100052,90105,4,100,'Inflicts 3 - 5 disease damage on targets in Area of Effect every 4 seconds',0,3),
(100053,90105,5,100,'Increases threat priority of targets in Area of Effect by 2 positions',0,0),
(100054,90105,5,100,'Increases Threat to targets in Area of Effect by 379 - 464  instantly and by 379 - 463  every 4 seconds thereafter',0,1),
(100055,90105,5,100,'Inflicts 7 - 11 disease damage on targets in Area of Effect',0,2),
(100056,90105,5,100,'Inflicts 4 - 5 disease damage on targets in Area of Effect every 4 seconds',0,3),
(100057,90105,7,100,'Increases threat priority of targets in Area of Effect by 2 positions',0,0),
(100058,90105,7,100,'Increases Threat to targets in Area of Effect by 487 - 595  instantly and by 486 - 594  every 4 seconds thereafter',0,1),
(100059,90105,7,100,'Inflicts 9 - 14 disease damage on targets in Area of Effect',0,2),
(100060,90105,7,100,'Inflicts 5 - 7 disease damage on targets in Area of Effect every 4 seconds',0,3),
(100061,90105,9,100,'Increases threat priority of targets in Area of Effect by 2 positions',0,0),
(100062,90105,9,100,'Increases Threat to targets in Area of Effect by 506 - 618  instantly and by 505 - 617  every 4 seconds thereafter',0,1),
(100063,90105,9,100,'Inflicts 10 - 15 disease damage on targets in Area of Effect',0,2),
(100064,90105,9,100,'Inflicts 5 - 7 disease damage on targets in Area of Effect every 4 seconds',0,3),
(100065,90106,1,100,'Increases threat priority of targets in Area of Effect by 2 positions',0,0),
(100066,90106,1,100,'Increases Threat to targets in Area of Effect by 284 - 347  instantly and every 4 seconds thereafter',0,1),
(100067,90106,1,100,'Inflicts 5 - 8 disease damage on targets in Area of Effect',0,2),
(100068,90106,1,100,'Inflicts 3 - 4 disease damage on targets in Area of Effect every 4 seconds',0,3),
(100069,90106,2,100,'Increases threat priority of targets in Area of Effect by 2 positions',0,0),
(100070,90106,2,100,'Increases Threat to targets in Area of Effect by 300 - 367  instantly and every 4 seconds thereafter',0,1),
(100071,90106,2,100,'Inflicts 6 - 9 disease damage on targets in Area of Effect',0,2),
(100072,90106,2,100,'Inflicts 3 - 4 disease damage on targets in Area of Effect every 4 seconds',0,3),
(100073,90106,3,100,'Increases threat priority of targets in Area of Effect by 2 positions',0,0),
(100074,90106,3,100,'Increases Threat to targets in Area of Effect by 316 - 386  instantly and every 4 seconds thereafter',0,1),
(100075,90106,3,100,'Inflicts 6 - 9 disease damage on targets in Area of Effect',0,2),
(100076,90106,3,100,'Inflicts 3 - 5 disease damage on targets in Area of Effect every 4 seconds',0,3),
(100077,90106,4,100,'Increases threat priority of targets in Area of Effect by 2 positions',0,0),
(100078,90106,4,100,'Increases Threat to targets in Area of Effect by 347 - 424  instantly and every 4 seconds thereafter',0,1),
(100079,90106,4,100,'Inflicts 7 - 10 disease damage on targets in Area of Effect',0,2),
(100080,90106,4,100,'Inflicts 3 - 5 disease damage on targets in Area of Effect every 4 seconds',0,3),
(100081,90106,5,100,'Increases threat priority of targets in Area of Effect by 2 positions',0,0),
(100082,90106,5,100,'Increases Threat to targets in Area of Effect by 379 - 463  instantly and every 4 seconds thereafter',0,1),
(100083,90106,5,100,'Inflicts 7 - 11 disease damage on targets in Area of Effect',0,2),
(100084,90106,5,100,'Inflicts 4 - 5 disease damage on targets in Area of Effect every 4 seconds',0,3),
(100085,90106,7,100,'Increases threat priority of targets in Area of Effect by 2 positions',0,0),
(100086,90106,7,100,'Increases Threat to targets in Area of Effect by 486 - 594  instantly and every 4 seconds thereafter',0,1),
(100087,90106,7,100,'Inflicts 9 - 14 disease damage on targets in Area of Effect',0,2),
(100088,90106,7,100,'Inflicts 5 - 7 disease damage on targets in Area of Effect every 4 seconds',0,3),
(100089,90106,9,100,'Increases threat priority of targets in Area of Effect by 2 positions',0,0),
(100090,90106,9,100,'Increases Threat to targets in Area of Effect by 505 - 618  instantly and by 505 - 617  every 4 seconds thereafter',0,1),
(100091,90106,9,100,'Inflicts 10 - 14 disease damage on targets in Area of Effect',0,2),
(100092,90106,9,100,'Inflicts 5 - 7 disease damage on targets in Area of Effect every 4 seconds',0,3),
(100093,90107,1,100,'Increases threat priority of targets in Area of Effect by 2 positions',0,0),
(100094,90107,1,100,'Increases Threat to targets in Area of Effect by 284 - 347  instantly and every 4 seconds thereafter',0,1),
(100095,90107,1,100,'Inflicts 5 - 8 disease damage on targets in Area of Effect',0,2),
(100096,90107,1,100,'Inflicts 3 - 4 disease damage on targets in Area of Effect every 4 seconds',0,3),
(100097,90107,2,100,'Increases threat priority of targets in Area of Effect by 2 positions',0,0),
(100098,90107,2,100,'Increases Threat to targets in Area of Effect by 300 - 366  instantly and every 4 seconds thereafter',0,1),
(100099,90107,2,100,'Inflicts 6 - 9 disease damage on targets in Area of Effect',0,2),
(100100,90107,2,100,'Inflicts 3 - 4 disease damage on targets in Area of Effect every 4 seconds',0,3),
(100101,90107,3,100,'Increases threat priority of targets in Area of Effect by 2 positions',0,0),
(100102,90107,3,100,'Increases Threat to targets in Area of Effect by 315 - 386  instantly and every 4 seconds thereafter',0,1),
(100103,90107,3,100,'Inflicts 6 - 9 disease damage on targets in Area of Effect',0,2),
(100104,90107,3,100,'Inflicts 3 - 5 disease damage on targets in Area of Effect every 4 seconds',0,3),
(100105,90107,4,100,'Increases threat priority of targets in Area of Effect by 2 positions',0,0),
(100106,90107,4,100,'Increases Threat to targets in Area of Effect by 347 - 424  instantly and every 4 seconds thereafter',0,1),
(100107,90107,4,100,'Inflicts 7 - 10 disease damage on targets in Area of Effect',0,2),
(100108,90107,4,100,'Inflicts 3 - 5 disease damage on targets in Area of Effect every 4 seconds',0,3),
(100109,90107,5,100,'Increases threat priority of targets in Area of Effect by 2 positions',0,0),
(100110,90107,5,100,'Increases Threat to targets in Area of Effect by 379 - 463  instantly and by 378 - 463  every 4 seconds thereafter',0,1),
(100111,90107,5,100,'Inflicts 7 - 11 disease damage on targets in Area of Effect',0,2),
(100112,90107,5,100,'Inflicts 4 - 5 disease damage on targets in Area of Effect every 4 seconds',0,3),
(100113,90107,7,100,'Increases threat priority of targets in Area of Effect by 2 positions',0,0),
(100114,90107,7,100,'Increases Threat to targets in Area of Effect by 486 - 594  instantly and every 4 seconds thereafter',0,1),
(100115,90107,7,100,'Inflicts 9 - 14 disease damage on targets in Area of Effect',0,2),
(100116,90107,7,100,'Inflicts 5 - 7 disease damage on targets in Area of Effect every 4 seconds',0,3),
(100117,90107,9,100,'Increases threat priority of targets in Area of Effect by 2 positions',0,0),
(100118,90107,9,100,'Increases Threat to targets in Area of Effect by 505 - 617  instantly and by 504 - 617  every 4 seconds thereafter',0,1),
(100119,90107,9,100,'Inflicts 10 - 14 disease damage on targets in Area of Effect',0,2),
(100120,90107,9,100,'Inflicts 5 - 7 disease damage on targets in Area of Effect every 4 seconds',0,3),
(100121,90108,1,100,'Increases threat priority of targets in Area of Effect by 2 positions',0,0),
(100122,90108,1,100,'Increases Threat to targets in Area of Effect by 284 - 347  instantly and every 4 seconds thereafter',0,1),
(100123,90108,1,100,'Inflicts 5 - 8 disease damage on targets in Area of Effect',0,2),
(100124,90108,1,100,'Inflicts 3 - 4 disease damage on targets in Area of Effect every 4 seconds',0,3),
(100125,90108,4,100,'Increases threat priority of targets in Area of Effect by 2 positions',0,0),
(100126,90108,4,100,'Increases Threat to targets in Area of Effect by 347 - 424  instantly and every 4 seconds thereafter',0,1),
(100127,90108,4,100,'Inflicts 7 - 10 disease damage on targets in Area of Effect',0,2),
(100128,90108,4,100,'Inflicts 3 - 5 disease damage on targets in Area of Effect every 4 seconds',0,3),
(100129,90108,5,100,'Increases threat priority of targets in Area of Effect by 2 positions',0,0),
(100130,90108,5,100,'Increases Threat to targets in Area of Effect by 379 - 463  instantly and by 378 - 463  every 4 seconds thereafter',0,1),
(100131,90108,5,100,'Inflicts 7 - 11 disease damage on targets in Area of Effect',0,2),
(100132,90108,5,100,'Inflicts 4 - 5 disease damage on targets in Area of Effect every 4 seconds',0,3),
(100133,90108,7,100,'Increases threat priority of targets in Area of Effect by 2 positions',0,0),
(100134,90108,7,100,'Increases Threat to targets in Area of Effect by 486 - 594  instantly and by 485 - 593  every 4 seconds thereafter',0,1),
(100135,90108,7,100,'Inflicts 9 - 14 disease damage on targets in Area of Effect',0,2),
(100136,90108,7,100,'Inflicts 5 - 7 disease damage on targets in Area of Effect every 4 seconds',0,3),
(100137,90108,9,100,'Increases threat priority of targets in Area of Effect by 2 positions',0,0),
(100138,90108,9,100,'Increases Threat to targets in Area of Effect by 505 - 617  instantly and by 504 - 617  every 4 seconds thereafter',0,1),
(100139,90108,9,100,'Inflicts 10 - 14 disease damage on targets in Area of Effect',0,2),
(100140,90108,9,100,'Inflicts 5 - 7 disease damage on targets in Area of Effect every 4 seconds',0,3),
(100141,90109,1,100,'Increases threat priority of targets in Area of Effect by 2 positions',0,0),
(100142,90109,1,100,'Increases Threat to targets in Area of Effect by 284 - 347  instantly and every 4 seconds thereafter',0,1),
(100143,90109,1,100,'Inflicts 5 - 8 disease damage on targets in Area of Effect',0,2),
(100144,90109,1,100,'Inflicts 3 - 4 disease damage on targets in Area of Effect every 4 seconds',0,3),
(100145,90109,4,100,'Increases threat priority of targets in Area of Effect by 2 positions',0,0),
(100146,90109,4,100,'Increases Threat to targets in Area of Effect by 347 - 424  instantly and every 4 seconds thereafter',0,1),
(100147,90109,4,100,'Inflicts 7 - 10 disease damage on targets in Area of Effect',0,2),
(100148,90109,4,100,'Inflicts 3 - 5 disease damage on targets in Area of Effect every 4 seconds',0,3),
(100149,90109,5,100,'Increases threat priority of targets in Area of Effect by 2 positions',0,0),
(100150,90109,5,100,'Increases Threat to targets in Area of Effect by 378 - 463  instantly and by 378 - 462  every 4 seconds thereafter',0,1),
(100151,90109,5,100,'Inflicts 7 - 11 disease damage on targets in Area of Effect',0,2),
(100152,90109,5,100,'Inflicts 4 - 5 disease damage on targets in Area of Effect every 4 seconds',0,3),
(100153,90109,7,100,'Increases threat priority of targets in Area of Effect by 2 positions',0,0),
(100154,90109,7,100,'Increases Threat to targets in Area of Effect by 486 - 594  instantly and by 485 - 593  every 4 seconds thereafter',0,1),
(100155,90109,7,100,'Inflicts 9 - 14 disease damage on targets in Area of Effect',0,2),
(100156,90109,7,100,'Inflicts 5 - 7 disease damage on targets in Area of Effect every 4 seconds',0,3),
(100157,90109,9,100,'Increases threat priority of targets in Area of Effect by 2 positions',0,0),
(100158,90109,9,100,'Increases Threat to targets in Area of Effect by 505 - 617  instantly and by 504 - 616  every 4 seconds thereafter',0,1),
(100159,90109,9,100,'Inflicts 10 - 14 disease damage on targets in Area of Effect',0,2),
(100160,90109,9,100,'Inflicts 5 - 7 disease damage on targets in Area of Effect every 4 seconds',0,3),
(100161,2000477,1,100,'On a damage spell hit this spell may cast Graverot on target of spell.  Lasts for 16.0 seconds.  Triggers about 3.0 times per minute. ',0,0),
(100162,2000477,1,100,'Inflicts 14 - 23 disease damage on target',1,1),
(100163,2000477,1,100,'Inflicts 2 - 4 disease damage on target every 4 seconds',1,2),
(100164,2000477,2,100,'On a damage spell hit this spell may cast Graverot on target of spell.  Lasts for 16.0 seconds.  Triggers about 4.0 times per minute. ',0,0),
(100165,2000477,2,100,'Inflicts 935 - 1558 disease damage on target',1,1),
(100166,2000477,2,100,'Inflicts 156 - 260 disease damage on target every 4 seconds',1,2),
(100167,2000477,3,100,'On a damage spell hit this spell may cast Graverot on target of spell.  Lasts for 16.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(100168,2000477,3,100,'Inflicts 701 - 1169 disease damage on target',1,1),
(100169,2000477,3,100,'Inflicts 117 - 195 disease damage on target every 4 seconds',1,2),
(100170,370085,1,100,'Increases the healing and ward of target ally by 18%',0,0),
(100171,370085,1,100,'Increases the resurrect restoration amount of target ally by 18%',0,1),
(100172,370085,2,100,'Increases the healing and ward of target ally by 19%',0,0),
(100173,370085,2,100,'Increases the resurrect restoration amount of target ally by 19%',0,1),
(100174,370085,3,100,'Increases the healing and ward of target ally by 20%',0,0),
(100175,370085,3,100,'Increases the resurrect restoration amount of target ally by 20%',0,1),
(100176,370085,4,100,'Increases the healing and ward of target ally by 22%',0,0),
(100177,370085,4,100,'Increases the resurrect restoration amount of target ally by 22%',0,1),
(100178,370085,5,100,'Increases the healing and ward of target ally by 24%',0,0),
(100179,370085,5,100,'Increases the resurrect restoration amount of target ally by 24%',0,1),
(100180,370085,7,100,'Increases the healing and ward of target ally by 30.8%',0,0),
(100181,370085,7,100,'Increases the resurrect restoration amount of target ally by 30.8%',0,1),
(100182,370085,9,100,'Increases the healing and ward of target ally by 32%',0,0),
(100183,370085,9,100,'Increases the resurrect restoration amount of target ally by 32%',0,1),
(100184,150005,1,100,'Heals target for 54 - 66 instantly and every 2 seconds',0,0),
(100185,150005,2,100,'Heals target for 57 - 69 instantly and every 2 seconds',0,0),
(100186,150005,3,100,'Heals target for 60 - 73 instantly and every 2 seconds',0,0),
(100187,150005,4,100,'Heals target for 66 - 80 instantly and every 2 seconds',0,0),
(100188,150005,5,100,'Heals target for 72 - 88 instantly and every 2 seconds',0,0),
(100189,150005,7,100,'Heals target for 92 - 113 instantly and every 2 seconds',0,0),
(100190,150005,9,100,'Heals target for 96 - 117 instantly and every 2 seconds',0,0),
(100191,150005,10,100,'Heals target for 101 - 123 instantly and every 2 seconds',0,0),
(100192,120008,1,100,'Inflicts 42 - 52 divine damage on target',0,0),
(100193,120008,1,100,'Dazes target',0,1),
(100194,120008,1,100,'If Target is not Epic',1,2),
(100195,120008,1,100,'Dispelled when target receives hostile action',0,3),
(100196,120008,1,100,'Dispelled when target takes damage',0,4),
(100197,120008,1,100,'Resistibility increases against targets higher than level 29.',0,5),
(100198,120008,2,100,'Inflicts 45 - 55 divine damage on target',0,0),
(100199,120008,2,100,'Dazes target',0,1),
(100200,120008,2,100,'If Target is not Epic',1,2),
(100201,120008,2,100,'Dispelled when target receives hostile action',0,3),
(100202,120008,2,100,'Dispelled when target takes damage',0,4),
(100203,120008,2,100,'Resistibility increases against targets higher than level 29.',0,5),
(100204,120008,3,100,'Inflicts 47 - 57 divine damage on target',0,0),
(100205,120008,3,100,'Dazes target',0,1),
(100206,120008,3,100,'If Target is not Epic',1,2),
(100207,120008,3,100,'Dispelled when target receives hostile action',0,3),
(100208,120008,3,100,'Dispelled when target takes damage',0,4),
(100209,120008,3,100,'Resistibility increases against targets higher than level 29.',0,5),
(100210,120008,4,100,'Inflicts 52 - 63 divine damage on target',0,0),
(100211,120008,4,100,'Dazes target',0,1),
(100212,120008,4,100,'If Target is not Epic',1,2),
(100213,120008,4,100,'Dispelled when target receives hostile action',0,3),
(100214,120008,4,100,'Dispelled when target takes damage',0,4),
(100215,120008,4,100,'Resistibility increases against targets higher than level 29.',0,5),
(100216,120008,5,100,'Inflicts 56 - 69 divine damage on target',0,0),
(100217,120008,5,100,'Dazes target',0,1),
(100218,120008,5,100,'If Target is not Epic',1,2),
(100219,120008,5,100,'Dispelled when target receives hostile action',0,3),
(100220,120008,5,100,'Dispelled when target takes damage',0,4),
(100221,120008,5,100,'Resistibility increases against targets higher than level 29.',0,5),
(100222,120008,7,100,'Inflicts 72 - 88 divine damage on target',0,0),
(100223,120008,7,100,'Dazes target',0,1),
(100224,120008,7,100,'If Target is not Epic',1,2),
(100225,120008,7,100,'Dispelled when target receives hostile action',0,3),
(100226,120008,7,100,'Dispelled when target takes damage',0,4),
(100227,120008,7,100,'Resistibility increases against targets higher than level 29.',0,5),
(100228,120008,9,100,'Inflicts 75 - 92 divine damage on target',0,0),
(100229,120008,9,100,'Dazes target',0,1),
(100230,120008,9,100,'If Target is not Epic',1,2),
(100231,120008,9,100,'Dispelled when target receives hostile action',0,3),
(100232,120008,9,100,'Dispelled when target takes damage',0,4),
(100233,120008,9,100,'Resistibility increases against targets higher than level 29.',0,5),
(100234,180006,1,100,'Applies Grey Winds.  Lasts for 10.0 seconds.',0,0),
(100235,180006,1,100,'Slows target by 33.4%',1,1),
(100236,180006,1,100,'5% chance to dispel when target receives hostile action',1,2),
(100237,180006,1,100,'5% chance to dispel when target takes damage',1,3),
(100238,180006,1,100,'Inflicts 42 - 52 cold damage on target',0,4),
(100239,180006,2,100,'Applies Grey Winds.  Lasts for 10.0 seconds.',0,0),
(100240,180006,2,100,'Slows target by 33.4%',1,1),
(100241,180006,2,100,'5% chance to dispel when target receives hostile action',1,2),
(100242,180006,2,100,'5% chance to dispel when target takes damage',1,3),
(100243,180006,2,100,'Inflicts 45 - 55 cold damage on target',0,4),
(100244,180006,3,100,'Applies Grey Winds.  Lasts for 10.0 seconds.',0,0),
(100245,180006,3,100,'Slows target by 33.4%',1,1),
(100246,180006,3,100,'5% chance to dispel when target receives hostile action',1,2),
(100247,180006,3,100,'5% chance to dispel when target takes damage',1,3),
(100248,180006,3,100,'Inflicts 47 - 57 cold damage on target',0,4),
(100249,180006,4,100,'Applies Grey Winds.  Lasts for 10.0 seconds.',0,0),
(100250,180006,4,100,'Slows target by 33.4%',1,1),
(100251,180006,4,100,'5% chance to dispel when target receives hostile action',1,2),
(100252,180006,4,100,'5% chance to dispel when target takes damage',1,3),
(100253,180006,4,100,'Inflicts 52 - 63 cold damage on target',0,4),
(100254,180006,5,100,'Applies Grey Winds.  Lasts for 10.0 seconds.',0,0),
(100255,180006,5,100,'Slows target by 33.4%',1,1),
(100256,180006,5,100,'5% chance to dispel when target receives hostile action',1,2),
(100257,180006,5,100,'5% chance to dispel when target takes damage',1,3),
(100258,180006,5,100,'Inflicts 56 - 69 cold damage on target',0,4),
(100259,180006,7,100,'Applies Grey Winds.  Lasts for 10.0 seconds.',0,0),
(100260,180006,7,100,'Slows target by 33.4%',1,1),
(100261,180006,7,100,'5% chance to dispel when target receives hostile action',1,2),
(100262,180006,7,100,'5% chance to dispel when target takes damage',1,3),
(100263,180006,7,100,'Inflicts 72 - 88 cold damage on target',0,4),
(100264,180006,9,100,'Applies Grey Winds.  Lasts for 10.0 seconds.',0,0),
(100265,180006,9,100,'Slows target by 33.4%',1,1),
(100266,180006,9,100,'5% chance to dispel when target receives hostile action',1,2),
(100267,180006,9,100,'5% chance to dispel when target takes damage',1,3),
(100268,180006,9,100,'Inflicts 75 - 92 cold damage on target',0,4),
(100269,90110,1,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(100270,90110,1,100,'Inflicts 21 - 35 disease damage on target',1,1),
(100271,90110,1,100,'Heals caster for 1.2 - 1.5% of max health',1,2),
(100272,90110,1,100,'This effect cannot be critically applied.',2,3),
(100273,90110,1,100,'The healing of this spell cannot be modified except by direct means',1,4),
(100274,90110,2,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(100275,90110,2,100,'Inflicts 22 - 37 disease damage on target',1,1),
(100276,90110,2,100,'Heals caster for 1.3 - 1.6% of max health',1,2),
(100277,90110,2,100,'This effect cannot be critically applied.',2,3),
(100278,90110,2,100,'The healing of this spell cannot be modified except by direct means',1,4),
(100279,90110,3,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(100280,90110,3,100,'Inflicts 23 - 39 disease damage on target',1,1),
(100281,90110,3,100,'Heals caster for 1.4 - 1.7% of max health',1,2),
(100282,90110,3,100,'This effect cannot be critically applied.',2,3),
(100283,90110,3,100,'The healing of this spell cannot be modified except by direct means',1,4),
(100284,90110,4,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(100285,90110,4,100,'Inflicts 26 - 43 disease damage on target',1,1),
(100286,90110,4,100,'Heals caster for 1.5 - 1.9% of max health',1,2),
(100287,90110,4,100,'This effect cannot be critically applied.',2,3),
(100288,90110,4,100,'The healing of this spell cannot be modified except by direct means',1,4),
(100289,90110,5,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(100290,90110,5,100,'Inflicts 28 - 47 disease damage on target',1,1),
(100291,90110,5,100,'Heals caster for 1.7 - 2.0% of max health',1,2),
(100292,90110,5,100,'This effect cannot be critically applied.',2,3),
(100293,90110,5,100,'The healing of this spell cannot be modified except by direct means',1,4),
(100294,90110,7,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(100295,90110,7,100,'Inflicts 36 - 60 disease damage on target',1,1),
(100296,90110,7,100,'Heals caster for 2.1 - 2.6% of max health',1,2),
(100297,90110,7,100,'This effect cannot be critically applied.',2,3),
(100298,90110,7,100,'The healing of this spell cannot be modified except by direct means',1,4),
(100299,90110,9,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(100300,90110,9,100,'Inflicts 37 - 62 disease damage on target',1,1),
(100301,90110,9,100,'Heals caster for 2.2 - 2.7% of max health',1,2),
(100302,90110,9,100,'This effect cannot be critically applied.',2,3),
(100303,90110,9,100,'The healing of this spell cannot be modified except by direct means',1,4),
(100304,90110,10,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(100305,90110,10,100,'Inflicts 39 - 66 disease damage on target',1,1),
(100306,90110,10,100,'Heals caster for 2.3 - 2.8% of max health',1,2),
(100307,90110,10,100,'This effect cannot be critically applied.',2,3),
(100308,90110,10,100,'The healing of this spell cannot be modified except by direct means',1,4),
(100309,90111,1,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(100310,90111,1,100,'Inflicts 51 - 85 disease damage on target',1,1),
(100311,90111,1,100,'Heals caster for 1.3 - 1.5% of max health',1,2),
(100312,90111,1,100,'This effect cannot be critically applied.',2,3),
(100313,90111,1,100,'The healing of this spell cannot be modified except by direct means',1,4),
(100314,90111,2,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(100315,90111,2,100,'Inflicts 54 - 90 disease damage on target',1,1),
(100316,90111,2,100,'Heals caster for 1.3 - 1.6% of max health',1,2),
(100317,90111,2,100,'This effect cannot be critically applied.',2,3),
(100318,90111,2,100,'The healing of this spell cannot be modified except by direct means',1,4),
(100319,90111,3,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(100320,90111,3,100,'Inflicts 57 - 95 disease damage on target',1,1),
(100321,90111,3,100,'Heals caster for 1.4 - 1.7% of max health',1,2),
(100322,90111,3,100,'This effect cannot be critically applied.',2,3),
(100323,90111,3,100,'The healing of this spell cannot be modified except by direct means',1,4),
(100324,90111,4,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(100325,90111,4,100,'Inflicts 62 - 104 disease damage on target',1,1),
(100326,90111,4,100,'Heals caster for 1.5 - 1.9% of max health',1,2),
(100327,90111,4,100,'This effect cannot be critically applied.',2,3),
(100328,90111,4,100,'The healing of this spell cannot be modified except by direct means',1,4),
(100329,90111,5,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(100330,90111,5,100,'Inflicts 68 - 114 disease damage on target',1,1),
(100331,90111,5,100,'Heals caster for 1.7 - 2.1% of max health',1,2),
(100332,90111,5,100,'This effect cannot be critically applied.',2,3),
(100333,90111,5,100,'The healing of this spell cannot be modified except by direct means',1,4),
(100334,90111,7,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(100335,90111,7,100,'Inflicts 87 - 146 disease damage on target',1,1),
(100336,90111,7,100,'Heals caster for 2.2 - 2.6% of max health',1,2),
(100337,90111,7,100,'This effect cannot be critically applied.',2,3),
(100338,90111,7,100,'The healing of this spell cannot be modified except by direct means',1,4),
(100339,90111,9,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(100340,90111,9,100,'Inflicts 91 - 151 disease damage on target',1,1),
(100341,90111,9,100,'Heals caster for 2.2 - 2.7% of max health',1,2),
(100342,90111,9,100,'This effect cannot be critically applied.',2,3),
(100343,90111,9,100,'The healing of this spell cannot be modified except by direct means',1,4),
(100344,90111,10,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(100345,90111,10,100,'Inflicts 95 - 159 disease damage on target',1,1),
(100346,90111,10,100,'Heals caster for 2.4 - 2.9% of max health',1,2),
(100347,90111,10,100,'This effect cannot be critically applied.',2,3),
(100348,90111,10,100,'The healing of this spell cannot be modified except by direct means',1,4),
(100349,90112,1,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(100350,90112,1,100,'Inflicts 85 - 142 disease damage on target',1,1),
(100351,90112,1,100,'Heals caster for 1.3 - 1.6% of max health',1,2),
(100352,90112,1,100,'This effect cannot be critically applied.',2,3),
(100353,90112,1,100,'The healing of this spell cannot be modified except by direct means',1,4),
(100354,90112,2,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(100355,90112,2,100,'Inflicts 90 - 150 disease damage on target',1,1),
(100356,90112,2,100,'Heals caster for 1.3 - 1.6% of max health',1,2),
(100357,90112,2,100,'This effect cannot be critically applied.',2,3),
(100358,90112,2,100,'The healing of this spell cannot be modified except by direct means',1,4),
(100359,90112,3,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(100360,90112,3,100,'Inflicts 95 - 158 disease damage on target',1,1),
(100361,90112,3,100,'Heals caster for 1.4 - 1.7% of max health',1,2),
(100362,90112,3,100,'This effect cannot be critically applied.',2,3),
(100363,90112,3,100,'The healing of this spell cannot be modified except by direct means',1,4),
(100364,90112,4,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(100365,90112,4,100,'Inflicts 104 - 173 disease damage on target',1,1),
(100366,90112,4,100,'Heals caster for 1.6 - 1.9% of max health',1,2),
(100367,90112,4,100,'This effect cannot be critically applied.',2,3),
(100368,90112,4,100,'The healing of this spell cannot be modified except by direct means',1,4),
(100369,90112,5,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(100370,90112,5,100,'Inflicts 114 - 189 disease damage on target',1,1),
(100371,90112,5,100,'Heals caster for 1.7 - 2.1% of max health',1,2),
(100372,90112,5,100,'This effect cannot be critically applied.',2,3),
(100373,90112,5,100,'The healing of this spell cannot be modified except by direct means',1,4),
(100374,90112,7,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(100375,90112,7,100,'Inflicts 146 - 243 disease damage on target',1,1),
(100376,90112,7,100,'Heals caster for 2.2 - 2.7% of max health',1,2),
(100377,90112,7,100,'This effect cannot be critically applied.',2,3),
(100378,90112,7,100,'The healing of this spell cannot be modified except by direct means',1,4),
(100379,90112,9,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(100380,90112,9,100,'Inflicts 151 - 252 disease damage on target',1,1),
(100381,90112,9,100,'Heals caster for 2.3 - 2.8% of max health',1,2),
(100382,90112,9,100,'This effect cannot be critically applied.',2,3),
(100383,90112,9,100,'The healing of this spell cannot be modified except by direct means',1,4),
(100384,90113,1,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(100385,90113,1,100,'Inflicts 127 - 211 disease damage on target',1,1),
(100386,90113,1,100,'Heals caster for 1.3 - 1.6% of max health',1,2),
(100387,90113,1,100,'This effect cannot be critically applied.',2,3),
(100388,90113,1,100,'The healing of this spell cannot be modified except by direct means',1,4),
(100389,90113,2,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(100390,90113,2,100,'Inflicts 134 - 223 disease damage on target',1,1),
(100391,90113,2,100,'Heals caster for 1.4 - 1.7% of max health',1,2),
(100392,90113,2,100,'This effect cannot be critically applied.',2,3),
(100393,90113,2,100,'The healing of this spell cannot be modified except by direct means',1,4),
(100394,90113,3,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(100395,90113,3,100,'Inflicts 141 - 234 disease damage on target',1,1),
(100396,90113,3,100,'Heals caster for 1.5 - 1.8% of max health',1,2),
(100397,90113,3,100,'This effect cannot be critically applied.',2,3),
(100398,90113,3,100,'The healing of this spell cannot be modified except by direct means',1,4),
(100399,90113,4,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(100400,90113,4,100,'Inflicts 155 - 258 disease damage on target',1,1),
(100401,90113,4,100,'Heals caster for 1.6 - 2.0% of max health',1,2),
(100402,90113,4,100,'This effect cannot be critically applied.',2,3),
(100403,90113,4,100,'The healing of this spell cannot be modified except by direct means',1,4),
(100404,90113,5,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(100405,90113,5,100,'Inflicts 169 - 281 disease damage on target',1,1),
(100406,90113,5,100,'Heals caster for 1.8 - 2.1% of max health',1,2),
(100407,90113,5,100,'This effect cannot be critically applied.',2,3),
(100408,90113,5,100,'The healing of this spell cannot be modified except by direct means',1,4),
(100409,90113,7,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(100410,90113,7,100,'Inflicts 217 - 361 disease damage on target',1,1),
(100411,90113,7,100,'Heals caster for 2.2 - 2.7% of max health',1,2),
(100412,90113,7,100,'This effect cannot be critically applied.',2,3),
(100413,90113,7,100,'The healing of this spell cannot be modified except by direct means',1,4),
(100414,90113,9,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(100415,90113,9,100,'Inflicts 225 - 375 disease damage on target',1,1),
(100416,90113,9,100,'Heals caster for 2.3 - 2.9% of max health',1,2),
(100417,90113,9,100,'This effect cannot be critically applied.',2,3),
(100418,90113,9,100,'The healing of this spell cannot be modified except by direct means',1,4),
(100419,90113,10,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(100420,90113,10,100,'Inflicts 236 - 394 disease damage on target',1,1),
(100421,90113,10,100,'Heals caster for 2.5 - 3.0% of max health',1,2),
(100422,90113,10,100,'This effect cannot be critically applied.',2,3),
(100423,90113,10,100,'The healing of this spell cannot be modified except by direct means',1,4),
(100424,90114,1,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(100425,90114,1,100,'Inflicts 169 - 282 disease damage on target',1,1),
(100426,90114,1,100,'Heals caster for 1.3 - 1.6% of max health',1,2),
(100427,90114,1,100,'This effect cannot be critically applied.',2,3),
(100428,90114,1,100,'The healing of this spell cannot be modified except by direct means',1,4),
(100429,90114,2,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(100430,90114,2,100,'Inflicts 179 - 298 disease damage on target',1,1),
(100431,90114,2,100,'Heals caster for 1.4 - 1.7% of max health',1,2),
(100432,90114,2,100,'This effect cannot be critically applied.',2,3),
(100433,90114,2,100,'The healing of this spell cannot be modified except by direct means',1,4),
(100434,90114,3,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(100435,90114,3,100,'Inflicts 188 - 313 disease damage on target',1,1),
(100436,90114,3,100,'Heals caster for 1.5 - 1.8% of max health',1,2),
(100437,90114,3,100,'This effect cannot be critically applied.',2,3),
(100438,90114,3,100,'The healing of this spell cannot be modified except by direct means',1,4),
(100439,90114,4,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(100440,90114,4,100,'Inflicts 207 - 345 disease damage on target',1,1),
(100441,90114,4,100,'Heals caster for 1.6 - 2.0% of max health',1,2),
(100442,90114,4,100,'This effect cannot be critically applied.',2,3),
(100443,90114,4,100,'The healing of this spell cannot be modified except by direct means',1,4),
(100444,90114,5,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(100445,90114,5,100,'Inflicts 225 - 376 disease damage on target',1,1),
(100446,90114,5,100,'Heals caster for 1.8 - 2.2% of max health',1,2),
(100447,90114,5,100,'This effect cannot be critically applied.',2,3),
(100448,90114,5,100,'The healing of this spell cannot be modified except by direct means',1,4),
(100449,90114,7,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(100450,90114,7,100,'Inflicts 289 - 482 disease damage on target',1,1),
(100451,90114,7,100,'Heals caster for 2.3 - 2.8% of max health',1,2),
(100452,90114,7,100,'This effect cannot be critically applied.',2,3),
(100453,90114,7,100,'The healing of this spell cannot be modified except by direct means',1,4),
(100454,90114,9,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(100455,90114,9,100,'Inflicts 301 - 501 disease damage on target',1,1),
(100456,90114,9,100,'Heals caster for 2.4 - 2.9% of max health',1,2),
(100457,90114,9,100,'This effect cannot be critically applied.',2,3),
(100458,90114,9,100,'The healing of this spell cannot be modified except by direct means',1,4),
(100459,90115,1,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(100460,90115,1,100,'Inflicts 208 - 347 disease damage on target',1,1),
(100461,90115,1,100,'Heals caster for 1.4 - 1.7% of max health',1,2),
(100462,90115,1,100,'This effect cannot be critically applied.',2,3),
(100463,90115,1,100,'The healing of this spell cannot be modified except by direct means',1,4),
(100464,90115,2,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(100465,90115,2,100,'Inflicts 220 - 366 disease damage on target',1,1),
(100466,90115,2,100,'Heals caster for 1.4 - 1.8% of max health',1,2),
(100467,90115,2,100,'This effect cannot be critically applied.',2,3),
(100468,90115,2,100,'The healing of this spell cannot be modified except by direct means',1,4),
(100469,90115,3,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(100470,90115,3,100,'Inflicts 231 - 386 disease damage on target',1,1),
(100471,90115,3,100,'Heals caster for 1.5 - 1.8% of max health',1,2),
(100472,90115,3,100,'This effect cannot be critically applied.',2,3),
(100473,90115,3,100,'The healing of this spell cannot be modified except by direct means',1,4),
(100474,90115,4,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(100475,90115,4,100,'Inflicts 255 - 424 disease damage on target',1,1),
(100476,90115,4,100,'Heals caster for 1.7 - 2.0% of max health',1,2),
(100477,90115,4,100,'This effect cannot be critically applied.',2,3),
(100478,90115,4,100,'The healing of this spell cannot be modified except by direct means',1,4),
(100479,90115,5,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(100480,90115,5,100,'Inflicts 278 - 463 disease damage on target',1,1),
(100481,90115,5,100,'Heals caster for 1.8 - 2.2% of max health',1,2),
(100482,90115,5,100,'This effect cannot be critically applied.',2,3),
(100483,90115,5,100,'The healing of this spell cannot be modified except by direct means',1,4),
(100484,90115,7,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(100485,90115,7,100,'Inflicts 356 - 594 disease damage on target',1,1),
(100486,90115,7,100,'Heals caster for 2.3 - 2.8% of max health',1,2),
(100487,90115,7,100,'This effect cannot be critically applied.',2,3),
(100488,90115,7,100,'The healing of this spell cannot be modified except by direct means',1,4),
(100489,90115,9,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(100490,90115,9,100,'Inflicts 370 - 617 disease damage on target',1,1),
(100491,90115,9,100,'Heals caster for 2.4 - 2.9% of max health',1,2),
(100492,90115,9,100,'This effect cannot be critically applied.',2,3),
(100493,90115,9,100,'The healing of this spell cannot be modified except by direct means',1,4),
(100494,90116,1,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(100495,90116,1,100,'Inflicts 251 - 418 disease damage on target',1,1),
(100496,90116,1,100,'Heals caster for 1.4 - 1.7% of max health',1,2),
(100497,90116,1,100,'This effect cannot be critically applied.',2,3),
(100498,90116,1,100,'The healing of this spell cannot be modified except by direct means',1,4),
(100499,90116,4,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(100500,90116,4,100,'Inflicts 307 - 511 disease damage on target',1,1),
(100501,90116,4,100,'Heals caster for 1.7 - 2.1% of max health',1,2),
(100502,90116,4,100,'This effect cannot be critically applied.',2,3),
(100503,90116,4,100,'The healing of this spell cannot be modified except by direct means',1,4),
(100504,90116,5,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(100505,90116,5,100,'Inflicts 335 - 558 disease damage on target',1,1),
(100506,90116,5,100,'Heals caster for 1.8 - 2.2% of max health',1,2),
(100507,90116,5,100,'This effect cannot be critically applied.',2,3),
(100508,90116,5,100,'The healing of this spell cannot be modified except by direct means',1,4),
(100509,90116,7,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(100510,90116,7,100,'Inflicts 430 - 716 disease damage on target',1,1),
(100511,90116,7,100,'Heals caster for 2.4 - 2.9% of max health',1,2),
(100512,90116,7,100,'This effect cannot be critically applied.',2,3),
(100513,90116,7,100,'The healing of this spell cannot be modified except by direct means',1,4),
(100514,90116,9,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(100515,90116,9,100,'Inflicts 446 - 744 disease damage on target',1,1),
(100516,90116,9,100,'Heals caster for 2.4 - 3.0% of max health',1,2),
(100517,90116,9,100,'This effect cannot be critically applied.',2,3),
(100518,90116,9,100,'The healing of this spell cannot be modified except by direct means',1,4),
(100519,90117,1,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(100520,90117,1,100,'Inflicts 276 - 460 disease damage on target',1,1),
(100521,90117,1,100,'Heals caster for 1.4 - 1.7% of max health',1,2),
(100522,90117,1,100,'This effect cannot be critically applied.',2,3),
(100523,90117,1,100,'The healing of this spell cannot be modified except by direct means',1,4),
(100524,90117,4,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(100525,90117,4,100,'Inflicts 337 - 562 disease damage on target',1,1),
(100526,90117,4,100,'Heals caster for 1.7 - 2.1% of max health',1,2),
(100527,90117,4,100,'This effect cannot be critically applied.',2,3),
(100528,90117,4,100,'The healing of this spell cannot be modified except by direct means',1,4),
(100529,90117,5,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(100530,90117,5,100,'Inflicts 368 - 613 disease damage on target',1,1),
(100531,90117,5,100,'Heals caster for 1.9 - 2.3% of max health',1,2),
(100532,90117,5,100,'This effect cannot be critically applied.',2,3),
(100533,90117,5,100,'The healing of this spell cannot be modified except by direct means',1,4),
(100534,90117,7,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(100535,90117,7,100,'Inflicts 472 - 786 disease damage on target',1,1),
(100536,90117,7,100,'Heals caster for 2.4 - 2.9% of max health',1,2),
(100537,90117,7,100,'This effect cannot be critically applied.',2,3),
(100538,90117,7,100,'The healing of this spell cannot be modified except by direct means',1,4),
(100539,90117,9,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(100540,90117,9,100,'Inflicts 490 - 817 disease damage on target',1,1),
(100541,90117,9,100,'Heals caster for 2.5 - 3.0% of max health',1,2),
(100542,90117,9,100,'This effect cannot be critically applied.',2,3),
(100543,90117,9,100,'The healing of this spell cannot be modified except by direct means',1,4),
(100544,300074,1,100,'Summons a pet grim sorcerer',0,0),
(100545,300074,2,100,'Summons a pet grim sorcerer',0,0),
(100546,300074,3,100,'Summons a pet grim sorcerer',0,0),
(100547,300074,4,100,'Summons a pet grim sorcerer',0,0),
(100548,300074,5,100,'Summons a pet grim sorcerer',0,0),
(100549,300074,7,100,'Summons a pet grim sorcerer',0,0),
(100550,300074,9,100,'Summons a pet grim sorcerer',0,0),
(100551,300075,1,100,'Summons a pet grim sorcerer',0,0),
(100552,300075,2,100,'Summons a pet grim sorcerer',0,0),
(100553,300075,3,100,'Summons a pet grim sorcerer',0,0),
(100554,300075,4,100,'Summons a pet grim sorcerer',0,0),
(100555,300075,5,100,'Summons a pet grim sorcerer',0,0),
(100556,300075,7,100,'Summons a pet grim sorcerer',0,0),
(100557,300075,9,100,'Summons a pet grim sorcerer',0,0),
(100558,300076,1,100,'Summons a pet grim sorcerer',0,0),
(100559,300076,2,100,'Summons a pet grim sorcerer',0,0),
(100560,300076,3,100,'Summons a pet grim sorcerer',0,0),
(100561,300076,4,100,'Summons a pet grim sorcerer',0,0),
(100562,300076,5,100,'Summons a pet grim sorcerer',0,0),
(100563,300076,7,100,'Summons a pet grim sorcerer',0,0),
(100564,300076,9,100,'Summons a pet grim sorcerer',0,0),
(100565,300077,1,100,'Summons a pet grim sorcerer',0,0),
(100566,300077,2,100,'Summons a pet grim sorcerer',0,0),
(100567,300077,3,100,'Summons a pet grim sorcerer',0,0),
(100568,300077,4,100,'Summons a pet grim sorcerer',0,0),
(100569,300077,5,100,'Summons a pet grim sorcerer',0,0),
(100570,300077,7,100,'Summons a pet grim sorcerer',0,0),
(100571,300077,9,100,'Summons a pet grim sorcerer',0,0),
(100572,300078,1,100,'Summons a pet grim sorcerer',0,0),
(100573,300078,2,100,'Summons a pet grim sorcerer',0,0),
(100574,300078,3,100,'Summons a pet grim sorcerer',0,0),
(100575,300078,4,100,'Summons a pet grim sorcerer',0,0),
(100576,300078,5,100,'Summons a pet grim sorcerer',0,0),
(100577,300078,7,100,'Summons a pet grim sorcerer',0,0),
(100578,300078,9,100,'Summons a pet grim sorcerer',0,0),
(100579,300079,1,100,'Summons a pet grim sorcerer',0,0),
(100580,300079,4,100,'Summons a pet grim sorcerer',0,0),
(100581,300079,5,100,'Summons a pet grim sorcerer',0,0),
(100582,300079,7,100,'Summons a pet grim sorcerer',0,0),
(100583,300079,9,100,'Summons a pet grim sorcerer',0,0),
(100584,300080,1,100,'Summons a pet grim sorcerer',0,0),
(100585,300080,4,100,'Summons a pet grim sorcerer',0,0),
(100586,300080,5,100,'Summons a pet grim sorcerer',0,0),
(100587,300080,7,100,'Summons a pet grim sorcerer',0,0),
(100588,300080,9,100,'Summons a pet grim sorcerer',0,0),
(100589,300081,1,100,'Applies Grisly Protection to qualifying pets.',0,0),
(100590,300081,1,100,'Decreases Haste of target by 25.0',1,1),
(100591,300081,1,100,'Increases Max Health of target by 9.0%',1,2),
(100592,300081,1,100,'Increases Hate Gain of target by 11.9%',1,3),
(100593,300081,1,100,'Increases Aggression of target by 1.9',1,4),
(100594,300081,1,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 126',1,5),
(100595,300081,1,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,6),
(100596,300081,1,100,'Increases Threat to target encounter by 96 - 118 ',2,7),
(100597,300081,1,100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',1,8),
(100598,300081,1,100,'Inflicts 4 disease damage on target',2,9),
(100599,300081,1,100,'Heals caster for 3',2,10),
(100601,300081,2,100,'Applies Grisly Protection to qualifying pets.',0,0),
(100602,300081,2,100,'Decreases Haste of target by 25.0',1,1),
(100603,300081,2,100,'Increases Max Health of target by 9.5%',1,2),
(100604,300081,2,100,'Increases Hate Gain of target by 12.6%',1,3),
(100605,300081,2,100,'Increases Aggression of target by 2.0',1,4),
(100606,300081,2,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 133',1,5),
(100607,300081,2,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,6),
(100608,300081,2,100,'Increases Threat to target encounter by 102 - 124 ',2,7),
(100609,300081,2,100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',1,8),
(100610,300081,2,100,'Inflicts 4 disease damage on target',2,9),
(100611,300081,2,100,'Heals caster for 3',2,10),
(100613,300081,3,100,'Applies Grisly Protection to qualifying pets.',0,0),
(100614,300081,3,100,'Decreases Haste of target by 25.0',1,1),
(100615,300081,3,100,'Increases Max Health of target by 10.0%',1,2),
(100616,300081,3,100,'Increases Hate Gain of target by 13.3%',1,3),
(100617,300081,3,100,'Increases Aggression of target by 2.1',1,4),
(100618,300081,3,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 140',1,5),
(100619,300081,3,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,6),
(100620,300081,3,100,'Increases Threat to target encounter by 107 - 131 ',2,7),
(100621,300081,3,100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',1,8),
(100622,300081,3,100,'Inflicts 4 disease damage on target',2,9),
(100623,300081,3,100,'Heals caster for 3',2,10),
(100625,300081,4,100,'Applies Grisly Protection to qualifying pets.',0,0),
(100626,300081,4,100,'Decreases Haste of target by 25.0',1,1),
(100627,300081,4,100,'Increases Max Health of target by 11.0%',1,2),
(100628,300081,4,100,'Increases Hate Gain of target by 14.6%',1,3),
(100629,300081,4,100,'Increases Aggression of target by 2.3',1,4),
(100630,300081,4,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 154',1,5),
(100631,300081,4,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,6),
(100632,300081,4,100,'Increases Threat to target encounter by 118 - 144 ',2,7),
(100633,300081,4,100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',1,8),
(100634,300081,4,100,'Inflicts 5 disease damage on target',2,9),
(100635,300081,4,100,'Heals caster for 3',2,10),
(100637,300081,5,100,'Applies Grisly Protection to qualifying pets.',0,0),
(100638,300081,5,100,'Decreases Haste of target by 25.0',1,1),
(100639,300081,5,100,'Increases Max Health of target by 12.0%',1,2),
(100640,300081,5,100,'Increases Hate Gain of target by 15.9%',1,3),
(100641,300081,5,100,'Increases Aggression of target by 2.5',1,4),
(100642,300081,5,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 168',1,5),
(100643,300081,5,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,6),
(100644,300081,5,100,'Increases Threat to target encounter by 129 - 157 ',2,7),
(100645,300081,5,100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',1,8),
(100646,300081,5,100,'Inflicts 5 disease damage on target',2,9),
(100647,300081,5,100,'Heals caster for 4',2,10),
(100649,300081,7,100,'Applies Grisly Protection to qualifying pets.',0,0),
(100650,300081,7,100,'Decreases Haste of target by 25.0',1,1),
(100651,300081,7,100,'Increases Max Health of target by 15.4%',1,2),
(100652,300081,7,100,'Increases Hate Gain of target by 20.4%',1,3),
(100653,300081,7,100,'Increases Aggression of target by 3.2',1,4),
(100654,300081,7,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 216',1,5),
(100655,300081,7,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,6),
(100656,300081,7,100,'Increases Threat to target encounter by 165 - 202 ',2,7),
(100657,300081,7,100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',1,8),
(100658,300081,7,100,'Inflicts 7 disease damage on target',2,9),
(100659,300081,7,100,'Heals caster for 5',2,10),
(100661,300081,9,100,'Applies Grisly Protection to qualifying pets.',0,0),
(100662,300081,9,100,'Decreases Haste of target by 25.0',1,1),
(100663,300081,9,100,'Increases Max Health of target by 16.0%',1,2),
(100664,300081,9,100,'Increases Hate Gain of target by 21.2%',1,3),
(100665,300081,9,100,'Increases Aggression of target by 3.4',1,4),
(100666,300081,9,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 224',1,5),
(100667,300081,9,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,6),
(100668,300081,9,100,'Increases Threat to target encounter by 172 - 210 ',2,7),
(100669,300081,9,100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',1,8),
(100670,300081,9,100,'Inflicts 7 disease damage on target',2,9),
(100671,300081,9,100,'Heals caster for 5',2,10),
(100673,300081,10,100,'Applies Grisly Protection to qualifying pets.',0,0),
(100674,300081,10,100,'Decreases Haste of target by 25.0',1,1),
(100675,300081,10,100,'Increases Max Health of target by 16.8%',1,2),
(100676,300081,10,100,'Increases Hate Gain of target by 22.3%',1,3),
(100677,300081,10,100,'Increases Aggression of target by 3.5',1,4),
(100678,300081,10,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 235',1,5),
(100679,300081,10,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,6),
(100680,300081,10,100,'Increases Threat to target encounter by 180 - 220 ',2,7),
(100681,300081,10,100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',1,8),
(100682,300081,10,100,'Inflicts 7 disease damage on target',2,9),
(100683,300081,10,100,'Heals caster for 5',2,10),
(100685,300082,1,100,'Applies Grisly Protection to qualifying pets.',0,0),
(100686,300082,1,100,'Decreases Haste of target by 25.0',1,1),
(100687,300082,1,100,'Increases Max Health of target by 9.0%',1,2),
(100688,300082,1,100,'Increases Hate Gain of target by 16.2%',1,3),
(100689,300082,1,100,'Increases Aggression of target by 3.8',1,4),
(100690,300082,1,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 252',1,5),
(100691,300082,1,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,6),
(100692,300082,1,100,'Increases Threat to target encounter by 206 - 252 ',2,7),
(100693,300082,1,100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',1,8),
(100694,300082,1,100,'Inflicts 8 disease damage on target',2,9),
(100695,300082,1,100,'Heals caster for 6',2,10),
(100697,300082,2,100,'Applies Grisly Protection to qualifying pets.',0,0),
(100698,300082,2,100,'Decreases Haste of target by 25.0',1,1),
(100699,300082,2,100,'Increases Max Health of target by 9.5%',1,2),
(100700,300082,2,100,'Increases Hate Gain of target by 17.1%',1,3),
(100701,300082,2,100,'Increases Aggression of target by 4.0',1,4),
(100702,300082,2,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 266',1,5),
(100703,300082,2,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,6),
(100704,300082,2,100,'Increases Threat to target encounter by 217 - 266 ',2,7),
(100705,300082,2,100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',1,8),
(100706,300082,2,100,'Inflicts 9 disease damage on target',2,9),
(100707,300082,2,100,'Heals caster for 6',2,10),
(100709,300082,3,100,'Applies Grisly Protection to qualifying pets.',0,0),
(100710,300082,3,100,'Decreases Haste of target by 25.0',1,1),
(100711,300082,3,100,'Increases Max Health of target by 10.0%',1,2),
(100712,300082,3,100,'Increases Hate Gain of target by 18.0%',1,3),
(100713,300082,3,100,'Increases Aggression of target by 4.2',1,4),
(100714,300082,3,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 280',1,5),
(100715,300082,3,100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',1,6),
(100716,300082,3,100,'Inflicts 9 disease damage on target',2,7),
(100717,300082,3,100,'Heals caster for 7',2,8),
(100718,300082,3,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,9),
(100719,300082,3,100,'Increases Threat to target encounter by 229 - 280 ',2,10),
(100721,300082,4,100,'Applies Grisly Protection to qualifying pets.',0,0),
(100722,300082,4,100,'Decreases Haste of target by 25.0',1,1),
(100723,300082,4,100,'Increases Max Health of target by 11.0%',1,2),
(100724,300082,4,100,'Increases Hate Gain of target by 19.8%',1,3),
(100725,300082,4,100,'Increases Aggression of target by 4.6',1,4),
(100726,300082,4,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 308',1,5),
(100727,300082,4,100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',1,6),
(100728,300082,4,100,'Inflicts 10 disease damage on target',2,7),
(100729,300082,4,100,'Heals caster for 7',2,8),
(100730,300082,4,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,9),
(100731,300082,4,100,'Increases Threat to target encounter by 252 - 308 ',2,10),
(100733,300082,5,100,'Applies Grisly Protection to qualifying pets.',0,0),
(100734,300082,5,100,'Decreases Haste of target by 25.0',1,1),
(100735,300082,5,100,'Increases Max Health of target by 12.0%',1,2),
(100736,300082,5,100,'Increases Hate Gain of target by 21.6%',1,3),
(100737,300082,5,100,'Increases Aggression of target by 5.0',1,4),
(100738,300082,5,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 336',1,5),
(100739,300082,5,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,6),
(100740,300082,5,100,'Increases Threat to target encounter by 275 - 336 ',2,7),
(100741,300082,5,100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',1,8),
(100742,300082,5,100,'Inflicts 11 disease damage on target',2,9),
(100743,300082,5,100,'Heals caster for 8',2,10),
(100745,300082,7,100,'Applies Grisly Protection to qualifying pets.',0,0),
(100746,300082,7,100,'Decreases Haste of target by 25.0',1,1),
(100747,300082,7,100,'Increases Max Health of target by 15.4%',1,2),
(100748,300082,7,100,'Increases Hate Gain of target by 27.8%',1,3),
(100749,300082,7,100,'Increases Aggression of target by 6.5',1,4),
(100750,300082,7,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 431',1,5),
(100751,300082,7,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,6),
(100752,300082,7,100,'Increases Threat to target encounter by 353 - 431 ',2,7),
(100753,300082,7,100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',1,8),
(100754,300082,7,100,'Inflicts 14 disease damage on target',2,9),
(100755,300082,7,100,'Heals caster for 10',2,10),
(100757,300082,9,100,'Applies Grisly Protection to qualifying pets.',0,0),
(100758,300082,9,100,'Decreases Haste of target by 25.0',1,1),
(100759,300082,9,100,'Increases Max Health of target by 16.0%',1,2),
(100760,300082,9,100,'Increases Hate Gain of target by 28.8%',1,3),
(100761,300082,9,100,'Increases Aggression of target by 6.7',1,4),
(100762,300082,9,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 448',1,5),
(100763,300082,9,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,6),
(100764,300082,9,100,'Increases Threat to target encounter by 366 - 448 ',2,7),
(100765,300082,9,100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',1,8),
(100766,300082,9,100,'Inflicts 14 disease damage on target',2,9),
(100767,300082,9,100,'Heals caster for 11',2,10),
(100769,300082,10,100,'Applies Grisly Protection to qualifying pets.',0,0),
(100770,300082,10,100,'Decreases Haste of target by 25.0',1,1),
(100771,300082,10,100,'Increases Max Health of target by 16.8%',1,2),
(100772,300082,10,100,'Increases Hate Gain of target by 30.3%',1,3),
(100773,300082,10,100,'Increases Aggression of target by 7.1',1,4),
(100774,300082,10,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 470',1,5),
(100775,300082,10,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,6),
(100776,300082,10,100,'Increases Threat to target encounter by 385 - 470 ',2,7),
(100777,300082,10,100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',1,8),
(100778,300082,10,100,'Inflicts 15 disease damage on target',2,9),
(100779,300082,10,100,'Heals caster for 11',2,10),
(100781,300083,1,100,'Applies Grisly Protection to qualifying pets.',0,0),
(100782,300083,1,100,'Decreases Haste of target by 25.0',1,1),
(100783,300083,1,100,'Increases Max Health of target by 9.0%',1,2),
(100784,300083,1,100,'Increases Hate Gain of target by 20.5%',1,3),
(100785,300083,1,100,'Increases Aggression of target by 5.7',1,4),
(100786,300083,1,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 378',1,5),
(100787,300083,1,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,6),
(100788,300083,1,100,'Increases Threat to target encounter by 336 - 410 ',2,7),
(100789,300083,1,100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',1,8),
(100790,300083,1,100,'Inflicts 13 disease damage on target',2,9),
(100791,300083,1,100,'Heals caster for 10',2,10),
(100793,300083,2,100,'Applies Grisly Protection to qualifying pets.',0,0),
(100794,300083,2,100,'Decreases Haste of target by 25.0',1,1),
(100795,300083,2,100,'Increases Max Health of target by 9.5%',1,2),
(100796,300083,2,100,'Increases Hate Gain of target by 21.6%',1,3),
(100797,300083,2,100,'Increases Aggression of target by 6.0',1,4),
(100798,300083,2,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 399',1,5),
(100799,300083,2,100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',1,6),
(100800,300083,2,100,'Inflicts 14 disease damage on target',2,7),
(100801,300083,2,100,'Heals caster for 10',2,8),
(100802,300083,2,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,9),
(100803,300083,2,100,'Increases Threat to target encounter by 354 - 433 ',2,10),
(100805,300083,3,100,'Applies Grisly Protection to qualifying pets.',0,0),
(100806,300083,3,100,'Decreases Haste of target by 25.0',1,1),
(100807,300083,3,100,'Increases Max Health of target by 10.0%',1,2),
(100808,300083,3,100,'Increases Hate Gain of target by 22.8%',1,3),
(100809,300083,3,100,'Increases Aggression of target by 6.3',1,4),
(100810,300083,3,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 420',1,5),
(100811,300083,3,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,6),
(100812,300083,3,100,'Increases Threat to target encounter by 373 - 456 ',2,7),
(100813,300083,3,100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',1,8),
(100814,300083,3,100,'Inflicts 14 disease damage on target',2,9),
(100815,300083,3,100,'Heals caster for 11',2,10),
(100817,300083,4,100,'Applies Grisly Protection to qualifying pets.',0,0),
(100818,300083,4,100,'Decreases Haste of target by 25.0',1,1),
(100819,300083,4,100,'Increases Max Health of target by 11.0%',1,2),
(100820,300083,4,100,'Increases Hate Gain of target by 25.1%',1,3),
(100821,300083,4,100,'Increases Aggression of target by 6.9',1,4),
(100822,300083,4,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 462',1,5),
(100823,300083,4,100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',1,6),
(100824,300083,4,100,'Inflicts 16 disease damage on target',2,7),
(100825,300083,4,100,'Heals caster for 12',2,8),
(100826,300083,4,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,9),
(100827,300083,4,100,'Increases Threat to target encounter by 410 - 502 ',2,10),
(100829,300083,5,100,'Applies Grisly Protection to qualifying pets.',0,0),
(100830,300083,5,100,'Decreases Haste of target by 25.0',1,1),
(100831,300083,5,100,'Increases Max Health of target by 12.0%',1,2),
(100832,300083,5,100,'Increases Hate Gain of target by 27.3%',1,3),
(100833,300083,5,100,'Increases Aggression of target by 7.6',1,4),
(100834,300083,5,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 504',1,5),
(100835,300083,5,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,6),
(100836,300083,5,100,'Increases Threat to target encounter by 448 - 547 ',2,7),
(100837,300083,5,100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',1,8),
(100838,300083,5,100,'Inflicts 17 disease damage on target',2,9),
(100839,300083,5,100,'Heals caster for 13',2,10),
(100841,300083,7,100,'Applies Grisly Protection to qualifying pets.',0,0),
(100842,300083,7,100,'Decreases Haste of target by 25.0',1,1),
(100843,300083,7,100,'Increases Max Health of target by 15.4%',1,2),
(100844,300083,7,100,'Increases Hate Gain of target by 35.1%',1,3),
(100845,300083,7,100,'Increases Aggression of target by 9.7',1,4),
(100846,300083,7,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 647',1,5),
(100847,300083,7,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,6),
(100848,300083,7,100,'Increases Threat to target encounter by 575 - 703 ',2,7),
(100849,300083,7,100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',1,8),
(100850,300083,7,100,'Inflicts 22 disease damage on target',2,9),
(100851,300083,7,100,'Heals caster for 16',2,10),
(100853,300083,9,100,'Applies Grisly Protection to qualifying pets.',0,0),
(100854,300083,9,100,'Decreases Haste of target by 25.0',1,1),
(100855,300083,9,100,'Increases Max Health of target by 16.0%',1,2),
(100856,300083,9,100,'Increases Hate Gain of target by 36.4%',1,3),
(100857,300083,9,100,'Increases Aggression of target by 10.1',1,4),
(100858,300083,9,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 672',1,5),
(100859,300083,9,100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',1,6),
(100860,300083,9,100,'Inflicts 23 disease damage on target',2,7),
(100861,300083,9,100,'Heals caster for 17',2,8),
(100862,300083,9,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,9),
(100863,300083,9,100,'Increases Threat to target encounter by 597 - 730 ',2,10),
(100865,300083,10,100,'Applies Grisly Protection to qualifying pets.',0,0),
(100866,300083,10,100,'Decreases Haste of target by 25.0',1,1),
(100867,300083,10,100,'Increases Max Health of target by 16.8%',1,2),
(100868,300083,10,100,'Increases Hate Gain of target by 38.3%',1,3),
(100869,300083,10,100,'Increases Aggression of target by 10.6',1,4),
(100870,300083,10,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 706',1,5),
(100871,300083,10,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,6),
(100872,300083,10,100,'Increases Threat to target encounter by 627 - 767 ',2,7),
(100873,300083,10,100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',1,8),
(100874,300083,10,100,'Inflicts 24 disease damage on target',2,9),
(100875,300083,10,100,'Heals caster for 18',2,10),
(100877,300084,1,100,'Applies Grisly Protection to qualifying pets.',0,0),
(100878,300084,1,100,'Decreases Haste of target by 25.0',1,1),
(100879,300084,1,100,'Increases Max Health of target by 9.0%',1,2),
(100880,300084,1,100,'Increases Hate Gain of target by 24.3%',1,3),
(100881,300084,1,100,'Increases Aggression of target by 7.6',1,4),
(100882,300084,1,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 504',1,5),
(100883,300084,1,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,6),
(100884,300084,1,100,'Increases Threat to target encounter by 498 - 609 ',2,7),
(100885,300084,1,100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',1,8),
(100886,300084,1,100,'Inflicts 18 disease damage on target',2,9),
(100887,300084,1,100,'Heals caster for 14',2,10),
(100889,300084,2,100,'Applies Grisly Protection to qualifying pets.',0,0),
(100890,300084,2,100,'Decreases Haste of target by 25.0',1,1),
(100891,300084,2,100,'Increases Max Health of target by 9.5%',1,2),
(100892,300084,2,100,'Increases Hate Gain of target by 25.7%',1,3),
(100893,300084,2,100,'Increases Aggression of target by 8.0',1,4),
(100894,300084,2,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 532',1,5),
(100895,300084,2,100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',1,6),
(100896,300084,2,100,'Inflicts 20 disease damage on target',2,7),
(100897,300084,2,100,'Heals caster for 15',2,8),
(100898,300084,2,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,9),
(100899,300084,2,100,'Increases Threat to target encounter by 526 - 643 ',2,10),
(100901,300084,3,100,'Applies Grisly Protection to qualifying pets.',0,0),
(100902,300084,3,100,'Decreases Haste of target by 25.0',1,1),
(100903,300084,3,100,'Increases Max Health of target by 10.0%',1,2),
(100904,300084,3,100,'Increases Hate Gain of target by 27.0%',1,3),
(100905,300084,3,100,'Increases Aggression of target by 8.4',1,4),
(100906,300084,3,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 560',1,5),
(100907,300084,3,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,6),
(100908,300084,3,100,'Increases Threat to target encounter by 554 - 677 ',2,7),
(100909,300084,3,100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',1,8),
(100910,300084,3,100,'Inflicts 21 disease damage on target',2,9),
(100911,300084,3,100,'Heals caster for 15',2,10),
(100913,300084,4,100,'Applies Grisly Protection to qualifying pets.',0,0),
(100914,300084,4,100,'Decreases Haste of target by 25.0',1,1),
(100915,300084,4,100,'Increases Max Health of target by 11.0%',1,2),
(100916,300084,4,100,'Increases Hate Gain of target by 29.7%',1,3),
(100917,300084,4,100,'Increases Aggression of target by 9.2',1,4),
(100918,300084,4,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 616',1,5),
(100919,300084,4,100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',1,6),
(100920,300084,4,100,'Inflicts 23 disease damage on target',2,7),
(100921,300084,4,100,'Heals caster for 17',2,8),
(100922,300084,4,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,9),
(100923,300084,4,100,'Increases Threat to target encounter by 609 - 745 ',2,10),
(100925,300084,5,100,'Applies Grisly Protection to qualifying pets.',0,0),
(100926,300084,5,100,'Decreases Haste of target by 25.0',1,1),
(100927,300084,5,100,'Increases Max Health of target by 12.0%',1,2),
(100928,300084,5,100,'Increases Hate Gain of target by 32.4%',1,3),
(100929,300084,5,100,'Increases Aggression of target by 10.1',1,4),
(100930,300084,5,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 672',1,5),
(100931,300084,5,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,6),
(100932,300084,5,100,'Increases Threat to target encounter by 665 - 812 ',2,7),
(100933,300084,5,100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',1,8),
(100934,300084,5,100,'Inflicts 25 disease damage on target',2,9),
(100935,300084,5,100,'Heals caster for 18',2,10),
(100937,300084,7,100,'Applies Grisly Protection to qualifying pets.',0,0),
(100938,300084,7,100,'Decreases Haste of target by 25.0',1,1),
(100939,300084,7,100,'Increases Max Health of target by 15.4%',1,2),
(100940,300084,7,100,'Increases Hate Gain of target by 41.6%',1,3),
(100941,300084,7,100,'Increases Aggression of target by 12.9',1,4),
(100942,300084,7,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 862',1,5),
(100943,300084,7,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,6),
(100944,300084,7,100,'Increases Threat to target encounter by 853 - 1,043 ',2,7),
(100945,300084,7,100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',1,8),
(100946,300084,7,100,'Inflicts 32 disease damage on target',2,9),
(100947,300084,7,100,'Heals caster for 24',2,10),
(100949,300084,9,100,'Applies Grisly Protection to qualifying pets.',0,0),
(100950,300084,9,100,'Decreases Haste of target by 25.0',1,1),
(100951,300084,9,100,'Increases Max Health of target by 16.0%',1,2),
(100952,300084,9,100,'Increases Hate Gain of target by 43.2%',1,3),
(100953,300084,9,100,'Increases Aggression of target by 13.4',1,4),
(100954,300084,9,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 896',1,5),
(100955,300084,9,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,6),
(100956,300084,9,100,'Increases Threat to target encounter by 886 - 1,083 ',2,7),
(100957,300084,9,100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',1,8),
(100958,300084,9,100,'Inflicts 33 disease damage on target',2,9),
(100959,300084,9,100,'Heals caster for 24',2,10),
(100961,300085,1,100,'Applies Grisly Protection to qualifying pets.',0,0),
(100962,300085,1,100,'Decreases Haste of target by 25.0',1,1),
(100963,300085,1,100,'Increases Max Health of target by 9.0%',1,2),
(100964,300085,1,100,'Increases Hate Gain of target by 25.9%',1,3),
(100965,300085,1,100,'Increases Aggression of target by 9.4',1,4),
(100966,300085,1,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 630',1,5),
(100967,300085,1,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,6),
(100968,300085,1,100,'Increases Threat to target encounter by 669 - 817 ',2,7),
(100969,300085,1,100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',1,8),
(100970,300085,1,100,'Inflicts 24 disease damage on target',2,9),
(100971,300085,1,100,'Heals caster for 18',2,10),
(100973,300085,2,100,'Applies Grisly Protection to qualifying pets.',0,0),
(100974,300085,2,100,'Decreases Haste of target by 25.0',1,1),
(100975,300085,2,100,'Increases Max Health of target by 9.5%',1,2),
(100976,300085,2,100,'Increases Hate Gain of target by 27.4%',1,3),
(100977,300085,2,100,'Increases Aggression of target by 10.0',1,4),
(100978,300085,2,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 665',1,5),
(100979,300085,2,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,6),
(100980,300085,2,100,'Increases Threat to target encounter by 706 - 863 ',2,7),
(100981,300085,2,100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',1,8),
(100982,300085,2,100,'Inflicts 26 disease damage on target',2,9),
(100983,300085,2,100,'Heals caster for 19',2,10),
(100985,300085,3,100,'Applies Grisly Protection to qualifying pets.',0,0),
(100986,300085,3,100,'Decreases Haste of target by 25.0',1,1),
(100987,300085,3,100,'Increases Max Health of target by 10.0%',1,2),
(100988,300085,3,100,'Increases Hate Gain of target by 28.8%',1,3),
(100989,300085,3,100,'Increases Aggression of target by 10.5',1,4),
(100990,300085,3,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 700',1,5),
(100991,300085,3,100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',1,6),
(100992,300085,3,100,'Inflicts 27 disease damage on target',2,7),
(100993,300085,3,100,'Heals caster for 20',2,8),
(100994,300085,3,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,9),
(100995,300085,3,100,'Increases Threat to target encounter by 743 - 908 ',2,10),
(100997,300085,4,100,'Applies Grisly Protection to qualifying pets.',0,0),
(100998,300085,4,100,'Decreases Haste of target by 25.0',1,1),
(100999,300085,4,100,'Increases Max Health of target by 11.0%',1,2),
(101000,300085,4,100,'Increases Hate Gain of target by 31.7%',1,3),
(101001,300085,4,100,'Increases Aggression of target by 11.6',1,4),
(101002,300085,4,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 770',1,5),
(101003,300085,4,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,6),
(101004,300085,4,100,'Increases Threat to target encounter by 817 - 999 ',2,7),
(101005,300085,4,100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',1,8),
(101006,300085,4,100,'Inflicts 30 disease damage on target',2,9),
(101007,300085,4,100,'Heals caster for 22',2,10),
(101009,300085,5,100,'Applies Grisly Protection to qualifying pets.',0,0),
(101010,300085,5,100,'Decreases Haste of target by 25.0',1,1),
(101011,300085,5,100,'Increases Max Health of target by 12.0%',1,2),
(101012,300085,5,100,'Increases Hate Gain of target by 34.6%',1,3),
(101013,300085,5,100,'Increases Aggression of target by 12.6',1,4),
(101014,300085,5,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 840',1,5),
(101015,300085,5,100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',1,6),
(101016,300085,5,100,'Inflicts 32 disease damage on target',2,7),
(101017,300085,5,100,'Heals caster for 24',2,8),
(101018,300085,5,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,9),
(101019,300085,5,100,'Increases Threat to target encounter by 892 - 1,090 ',2,10),
(101021,300085,7,100,'Applies Grisly Protection to qualifying pets.',0,0),
(101022,300085,7,100,'Decreases Haste of target by 25.0',1,1),
(101023,300085,7,100,'Increases Max Health of target by 15.4%',1,2),
(101024,300085,7,100,'Increases Hate Gain of target by 44.4%',1,3),
(101025,300085,7,100,'Increases Aggression of target by 16.2',1,4),
(101026,300085,7,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1078',1,5),
(101027,300085,7,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,6),
(101028,300085,7,100,'Increases Threat to target encounter by 1,144 - 1,341 ',2,7),
(101029,300085,7,100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',1,8),
(101030,300085,7,100,'Inflicts 41 disease damage on target',2,9),
(101031,300085,7,100,'Heals caster for 31',2,10),
(101033,300085,9,100,'Applies Grisly Protection to qualifying pets.',0,0),
(101034,300085,9,100,'Decreases Haste of target by 25.0',1,1),
(101035,300085,9,100,'Increases Max Health of target by 16.0%',1,2),
(101036,300085,9,100,'Increases Hate Gain of target by 46.1%',1,3),
(101037,300085,9,100,'Increases Aggression of target by 16.8',1,4),
(101038,300085,9,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1120',1,5),
(101039,300085,9,100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',1,6),
(101040,300085,9,100,'Inflicts 43 disease damage on target',2,7),
(101041,300085,9,100,'Heals caster for 32',2,8),
(101042,300085,9,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,9),
(101043,300085,9,100,'Increases Threat to target encounter by 1,189 - 1,372 ',2,10),
(101045,300086,1,100,'Applies Grisly Protection to qualifying pets.',0,0),
(101046,300086,1,100,'Decreases Haste of target by 25.0',1,1),
(101047,300086,1,100,'Increases Max Health of target by 9.0%',1,2),
(101048,300086,1,100,'Increases Hate Gain of target by 46.0%',1,3),
(101049,300086,1,100,'Increases Aggression of target by 11.3',1,4),
(101050,300086,1,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 720',1,5),
(101051,300086,1,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,6),
(101052,300086,1,100,'Increases Threat to target encounter by 839 - 1,025 ',2,7),
(101053,300086,1,100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',1,8),
(101054,300086,1,100,'Inflicts 29 disease damage on target',2,9),
(101055,300086,1,100,'Heals caster for 24',2,10),
(101057,300086,2,100,'Applies Grisly Protection to qualifying pets.',0,0),
(101058,300086,2,100,'Decreases Attack Speed of target by 25.0',1,1),
(101059,300086,2,100,'Increases Max Health of target by 9.5%',1,2),
(101060,300086,2,100,'Increases Hate Gain of target by 46.0%',1,3),
(101061,300086,2,100,'Increases Aggression of target by 11.9',1,4),
(101062,300086,2,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 760',1,5),
(101063,300086,2,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,6),
(101064,300086,2,100,'Increases Threat to target encounter by 885 - 1,082 ',2,7),
(101065,300086,2,100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',1,8),
(101066,300086,2,100,'Inflicts 31 disease damage on target',2,9),
(101067,300086,2,100,'Heals caster for 26',2,10),
(101069,300086,3,100,'Applies Grisly Protection to qualifying pets.',0,0),
(101070,300086,3,100,'Decreases Haste of target by 25.0',1,1),
(101071,300086,3,100,'Increases Max Health of target by 10.0%',1,2),
(101072,300086,3,100,'Increases Hate Gain of target by 46.0%',1,3),
(101073,300086,3,100,'Increases Aggression of target by 12.5',1,4),
(101074,300086,3,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 800',1,5),
(101075,300086,3,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,6),
(101076,300086,3,100,'Increases Threat to target encounter by 932 - 1,139 ',2,7),
(101077,300086,3,100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',1,8),
(101078,300086,3,100,'Inflicts 33 disease damage on target',2,9),
(101079,300086,3,100,'Heals caster for 27',2,10),
(101081,300086,4,100,'Applies Grisly Protection to qualifying pets.',0,0),
(101082,300086,4,100,'Decreases Haste of target by 25.0',1,1),
(101083,300086,4,100,'Increases Max Health of target by 11.0%',1,2),
(101084,300086,4,100,'Increases Hate Gain of target by 46.0%',1,3),
(101085,300086,4,100,'Increases Aggression of target by 13.8',1,4),
(101086,300086,4,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 880',1,5),
(101087,300086,4,100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',1,6),
(101088,300086,4,100,'Inflicts 36 disease damage on target',2,7),
(101089,300086,4,100,'Heals caster for 30',2,8),
(101090,300086,4,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,9),
(101091,300086,4,100,'Increases Threat to target encounter by 1,025 - 1,253 ',2,10),
(101093,300086,5,100,'Applies Grisly Protection to qualifying pets.',0,0),
(101094,300086,5,100,'Decreases Haste of target by 25.0',1,1),
(101095,300086,5,100,'Increases Max Health of target by 12.0%',1,2),
(101096,300086,5,100,'Increases Hate Gain of target by 46.0%',1,3),
(101097,300086,5,100,'Increases Aggression of target by 15.0',1,4),
(101098,300086,5,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 960',1,5),
(101099,300086,5,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,6),
(101100,300086,5,100,'Increases Threat to target encounter by 1,119 - 1,323 ',2,7),
(101101,300086,5,100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',1,8),
(101102,300086,5,100,'Inflicts 39 disease damage on target',2,9),
(101103,300086,5,100,'Heals caster for 32',2,10),
(101105,300086,7,100,'Applies Grisly Protection to qualifying pets.',0,0),
(101106,300086,7,100,'Decreases Haste of target by 25.0',1,1),
(101107,300086,7,100,'Increases Max Health of target by 15.4%',1,2),
(101108,300086,7,100,'Increases Hate Gain of target by 46.0%',1,3),
(101109,300086,7,100,'Increases Aggression of target by 19.3',1,4),
(101110,300086,7,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1232',1,5),
(101111,300086,7,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,6),
(101112,300086,7,100,'Increases Threat to target encounter by 1,362 - 1,545 ',2,7),
(101113,300086,7,100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',1,8),
(101114,300086,7,100,'Inflicts 50 disease damage on target',2,9),
(101115,300086,7,100,'Heals caster for 42',2,10),
(101117,300086,9,100,'Applies Grisly Protection to qualifying pets.',0,0),
(101118,300086,9,100,'Decreases Haste of target by 25.0',1,1),
(101119,300086,9,100,'Increases Max Health of target by 16.0%',1,2),
(101120,300086,9,100,'Increases Hate Gain of target by 46.0%',1,3),
(101121,300086,9,100,'Increases Aggression of target by 20.0',1,4),
(101122,300086,9,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1280',1,5),
(101123,300086,9,100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',1,6),
(101124,300086,9,100,'Inflicts 52 disease damage on target',2,7),
(101125,300086,9,100,'Heals caster for 43',2,8),
(101126,300086,9,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,9),
(101127,300086,9,100,'Increases Threat to target encounter by 1,394 - 1,584 ',2,10),
(101129,300087,1,100,'Applies Grisly Protection to qualifying pets.',0,0),
(101130,300087,1,100,'Decreases Haste of target by 25.0',1,1),
(101131,300087,1,100,'Increases Max Health of target by 9.0%',1,2),
(101132,300087,1,100,'Increases Hate Gain of target by 46.0%',1,3),
(101133,300087,1,100,'Increases Aggression of target by 13.5',1,4),
(101134,300087,1,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 810',1,5),
(101135,300087,1,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,6),
(101136,300087,1,100,'Increases Threat to target encounter by 1,009 - 1,233 ',2,7),
(101137,300087,1,100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',1,8),
(101138,300087,1,100,'Inflicts 35 disease damage on target',2,9),
(101139,300087,1,100,'Heals caster for 29',2,10),
(101141,300087,4,100,'Applies Grisly Protection to qualifying pets.',0,0),
(101142,300087,4,100,'Decreases Haste of target by 25.0',1,1),
(101143,300087,4,100,'Increases Max Health of target by 11.0%',1,2),
(101144,300087,4,100,'Increases Hate Gain of target by 46.0%',1,3),
(101145,300087,4,100,'Increases Aggression of target by 16.5',1,4),
(101146,300087,4,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 990',1,5),
(101147,300087,4,100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',1,6),
(101148,300087,4,100,'Inflicts 43 disease damage on target',2,7),
(101149,300087,4,100,'Heals caster for 35',2,8),
(101150,300087,4,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,9),
(101151,300087,4,100,'Increases Threat to target encounter by 1,233 - 1,403 ',2,10),
(101153,300087,5,100,'Applies Grisly Protection to qualifying pets.',0,0),
(101154,300087,5,100,'Decreases Haste of target by 25.0',1,1),
(101155,300087,5,100,'Increases Max Health of target by 12.0%',1,2),
(101156,300087,5,100,'Increases Hate Gain of target by 46.0%',1,3),
(101157,300087,5,100,'Increases Aggression of target by 18.0',1,4),
(101158,300087,5,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1080',1,5),
(101159,300087,5,100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',1,6),
(101160,300087,5,100,'Inflicts 47 disease damage on target',2,7),
(101161,300087,5,100,'Heals caster for 39',2,8),
(101162,300087,5,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,9),
(101163,300087,5,100,'Increases Threat to target encounter by 1,310 - 1,482 ',2,10),
(101165,300087,7,100,'Applies Grisly Protection to qualifying pets.',0,0),
(101166,300087,7,100,'Decreases Haste of target by 25.0',1,1),
(101167,300087,7,100,'Increases Max Health of target by 15.4%',1,2),
(101168,300087,7,100,'Increases Hate Gain of target by 46.0%',1,3),
(101169,300087,7,100,'Increases Aggression of target by 23.1',1,4),
(101170,300087,7,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1386',1,5),
(101171,300087,7,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,6),
(101172,300087,7,100,'Increases Threat to target encounter by 1,529 - 1,748 ',2,7),
(101173,300087,7,100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',1,8),
(101174,300087,7,100,'Inflicts 60 disease damage on target',2,9),
(101175,300087,7,100,'Heals caster for 50',2,10),
(101177,300087,9,100,'Applies Grisly Protection to qualifying pets.',0,0),
(101178,300087,9,100,'Decreases Haste of target by 25.0',1,1),
(101179,300087,9,100,'Increases Max Health of target by 16.0%',1,2),
(101180,300087,9,100,'Increases Hate Gain of target by 46.0%',1,3),
(101181,300087,9,100,'Increases Aggression of target by 24.0',1,4),
(101182,300087,9,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1440',1,5),
(101183,300087,9,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,6),
(101184,300087,9,100,'Increases Threat to target encounter by 1,567 - 1,796 ',2,7),
(101185,300087,9,100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',1,8),
(101186,300087,9,100,'Inflicts 63 disease damage on target',2,9),
(101187,300087,9,100,'Heals caster for 51',2,10),
(101189,300088,1,100,'Applies Grisly Protection to qualifying pets.',0,0),
(101190,300088,1,100,'Decreases Haste of target by 25.0',1,1),
(101191,300088,1,100,'Increases Max Health of target by 9.0%',1,2),
(101192,300088,1,100,'Increases Hate Gain of target by 46.0%',1,3),
(101193,300088,1,100,'Increases Aggression of target by 15.8',1,4),
(101194,300088,1,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 900',1,5),
(101195,300088,1,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,6),
(101196,300088,1,100,'Increases Threat to target encounter by 1,179 - 1,365 ',2,7),
(101197,300088,1,100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',1,8),
(101198,300088,1,100,'Inflicts 37 disease damage on target',2,9),
(101199,300088,1,100,'Heals caster for 30',2,10),
(101201,300088,4,100,'Applies Grisly Protection to qualifying pets.',0,0),
(101202,300088,4,100,'Decreases Haste of target by 25.0',1,1),
(101203,300088,4,100,'Increases Max Health of target by 11.0%',1,2),
(101204,300088,4,100,'Increases Hate Gain of target by 46.0%',1,3),
(101205,300088,4,100,'Increases Aggression of target by 19.3',1,4),
(101206,300088,4,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1100',1,5),
(101207,300088,4,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,6),
(101208,300088,4,100,'Increases Threat to target encounter by 1,365 - 1,548 ',2,7),
(101209,300088,4,100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',1,8),
(101210,300088,4,100,'Inflicts 46 disease damage on target',2,9),
(101211,300088,4,100,'Heals caster for 37',2,10),
(101213,300088,5,100,'Applies Grisly Protection to qualifying pets.',0,0),
(101214,300088,5,100,'Decreases Haste of target by 25.0',1,1),
(101215,300088,5,100,'Increases Max Health of target by 12.0%',1,2),
(101216,300088,5,100,'Increases Hate Gain of target by 46.0%',1,3),
(101217,300088,5,100,'Increases Aggression of target by 21.0',1,4),
(101218,300088,5,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1200',1,5),
(101219,300088,5,100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',1,6),
(101220,300088,5,100,'Inflicts 50 disease damage on target',2,7),
(101221,300088,5,100,'Heals caster for 41',2,8),
(101222,300088,5,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,9),
(101223,300088,5,100,'Increases Threat to target encounter by 1,440 - 1,640 ',2,10),
(101225,300088,7,100,'Applies Grisly Protection to qualifying pets.',0,0),
(101226,300088,7,100,'Decreases Haste of target by 25.0',1,1),
(101227,300088,7,100,'Increases Max Health of target by 15.4%',1,2),
(101228,300088,7,100,'Increases Hate Gain of target by 46.0%',1,3),
(101229,300088,7,100,'Increases Aggression of target by 26.9',1,4),
(101230,300088,7,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1540',1,5),
(101231,300088,7,100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',1,6),
(101232,300088,7,100,'Inflicts 64 disease damage on target',2,7),
(101233,300088,7,100,'Heals caster for 52',2,8),
(101234,300088,7,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,9),
(101235,300088,7,100,'Increases Threat to target encounter by 1,695 - 1,952 ',2,10),
(101237,300088,9,100,'Applies Grisly Protection to qualifying pets.',0,0),
(101238,300088,9,100,'Decreases Haste of target by 25.0',1,1),
(101239,300088,9,100,'Increases Max Health of target by 16.0%',1,2),
(101240,300088,9,100,'Increases Hate Gain of target by 46.0%',1,3),
(101241,300088,9,100,'Increases Aggression of target by 28.0',1,4),
(101242,300088,9,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1600',1,5),
(101243,300088,9,100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',1,6),
(101244,300088,9,100,'Inflicts 67 disease damage on target',2,7),
(101245,300088,9,100,'Heals caster for 54',2,8),
(101246,300088,9,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,9),
(101247,300088,9,100,'Increases Threat to target encounter by 1,740 - 2,007 ',2,10),
(101249,2000478,1,100,'Heals target for 1',0,0),
(101250,2000479,1,100,'Applies Shattered Ice on termination.',0,0),
(101251,2000479,1,100,'Inflicts 12 - 23 cold damage on targets in Area of Effect',1,1),
(101252,2000479,1,100,'Inflicts 12 - 23 cold damage on target',0,2),
(101253,2000479,1,100,'Inflicts 3 - 6 cold damage on target every 3 seconds',0,3),
(101254,2000480,1,100,'Inflicts 1 - 2 crushing damage on target',0,0),
(101255,2000480,1,100,'Inflicts 1 crushing damage on target every 1.5 seconds',0,1),
(101256,2000480,1,100,'Stifles target',0,2),
(101257,2000480,1,100,'Epic targets gain an immunity to Stifle effects of 9.0 seconds and duration is reduced to 1.0 second.',0,3),
(101258,2000480,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(101259,200091,1,100,'Increases STA of target by 2.8',0,0),
(101260,200091,1,100,'Increases Max Power of target by 14.6',0,1),
(101261,200091,2,100,'Increases STA of target by 3.0',0,0),
(101262,200091,2,100,'Increases Max Power of target by 15.4',0,1),
(101263,200091,3,100,'Increases STA of target by 3.1',0,0),
(101264,200091,3,100,'Increases Max Power of target by 16.2',0,1),
(101265,200091,4,100,'Increases STA of target by 3.4',0,0),
(101266,200091,4,100,'Increases Max Power of target by 17.8',0,1),
(101267,200091,5,100,'Increases STA of target by 3.7',0,0),
(101268,200091,5,100,'Increases Max Power of target by 19.4',0,1),
(101269,200091,7,100,'Increases STA of target by 4.8',0,0),
(101270,200091,7,100,'Increases Max Power of target by 24.9',0,1),
(101271,200091,9,100,'Increases STA of target by 5.0',0,0),
(101272,200091,9,100,'Increases Max Power of target by 25.9',0,1),
(101273,200092,1,100,'Increases STA of target by 9.1',0,0),
(101274,200092,1,100,'Increases Max Power of target by 45.9',0,1),
(101275,200092,2,100,'Increases STA of target by 9.6',0,0),
(101276,200092,2,100,'Increases Max Power of target by 48.5',0,1),
(101277,200092,3,100,'Increases STA of target by 10.1',0,0),
(101278,200092,3,100,'Increases Max Power of target by 51.0',0,1),
(101279,200092,4,100,'Increases STA of target by 11.2',0,0),
(101280,200092,4,100,'Increases Max Power of target by 56.1',0,1),
(101281,200092,5,100,'Increases STA of target by 12.2',0,0),
(101282,200092,5,100,'Increases Max Power of target by 61.2',0,1),
(101283,200092,7,100,'Increases STA of target by 15.6',0,0),
(101284,200092,7,100,'Increases Max Power of target by 78.5',0,1),
(101285,200092,9,100,'Increases STA of target by 16.2',0,0),
(101286,200092,9,100,'Increases Max Power of target by 81.6',0,1),
(101287,200093,1,100,'Increases STA of target by 23.4',0,0),
(101288,200093,1,100,'Increases Max Power of target by 121.5',0,1),
(101289,200093,2,100,'Increases STA of target by 24.7',0,0),
(101290,200093,2,100,'Increases Max Power of target by 128.3',0,1),
(101291,200093,3,100,'Increases STA of target by 26.0',0,0),
(101292,200093,3,100,'Increases Max Power of target by 135.0',0,1),
(101293,200093,4,100,'Increases STA of target by 28.5',0,0),
(101294,200093,4,100,'Increases Max Power of target by 148.5',0,1),
(101295,200093,5,100,'Increases STA of target by 31.1',0,0),
(101296,200093,5,100,'Increases Max Power of target by 162.0',0,1),
(101297,200093,7,100,'Increases STA of target by 40.0',0,0),
(101298,200093,7,100,'Increases Max Power of target by 207.9',0,1),
(101299,200093,9,100,'Increases STA of target by 41.5',0,0),
(101300,200093,9,100,'Increases Max Power of target by 216.0',0,1),
(101301,200093,10,100,'Increases STA of target by 43.6',0,0),
(101302,200093,10,100,'Increases Max Power of target by 226.8',0,1),
(101303,200094,1,100,'Increases STA of target by 39.7',0,0),
(101304,200094,1,100,'Increases Max Power of target by 198.5',0,1),
(101305,200094,2,100,'Increases STA of target by 41.9',0,0),
(101306,200094,2,100,'Increases Max Power of target by 209.6',0,1),
(101307,200094,3,100,'Increases STA of target by 44.1',0,0),
(101308,200094,3,100,'Increases Max Power of target by 220.6',0,1),
(101309,200094,4,100,'Increases STA of target by 48.5',0,0),
(101310,200094,4,100,'Increases Max Power of target by 242.7',0,1),
(101311,200094,5,100,'Increases STA of target by 52.9',0,0),
(101312,200094,5,100,'Increases Max Power of target by 264.7',0,1),
(101313,200094,7,100,'Increases STA of target by 67.9',0,0),
(101314,200094,7,100,'Increases Max Power of target by 339.7',0,1),
(101315,200094,9,100,'Increases STA of target by 70.6',0,0),
(101316,200094,9,100,'Increases Max Power of target by 353.0',0,1),
(101317,200095,1,100,'Increases STA of target by 54.2',0,0),
(101318,200095,1,100,'Increases Max Power of target by 270.4',0,1),
(101319,200095,2,100,'Increases STA of target by 57.3',0,0),
(101320,200095,2,100,'Increases Max Power of target by 285.4',0,1),
(101321,200095,3,100,'Increases STA of target by 60.3',0,0),
(101322,200095,3,100,'Increases Max Power of target by 300.4',0,1),
(101323,200095,4,100,'Increases STA of target by 66.3',0,0),
(101324,200095,4,100,'Increases Max Power of target by 330.5',0,1),
(101325,200095,5,100,'Increases STA of target by 72.3',0,0),
(101326,200095,5,100,'Increases Max Power of target by 360.5',0,1),
(101327,200095,7,100,'Increases STA of target by 92.8',0,0),
(101328,200095,7,100,'Increases Max Power of target by 462.7',0,1),
(101329,200095,9,100,'Increases STA of target by 96.4',0,0),
(101330,200095,9,100,'Increases Max Power of target by 480.7',0,1),
(101331,200096,1,100,'Increases STA of target by 68.4',0,0),
(101332,200096,1,100,'Increases Max Power of target by 335.7',0,1),
(101333,200096,2,100,'Increases STA of target by 72.2',0,0),
(101334,200096,2,100,'Increases Max Power of target by 354.3',0,1),
(101335,200096,3,100,'Increases STA of target by 76.1',0,0),
(101336,200096,3,100,'Increases Max Power of target by 373.0',0,1),
(101337,200096,4,100,'Increases STA of target by 83.7',0,0),
(101338,200096,4,100,'Increases Max Power of target by 410.3',0,1),
(101339,200096,5,100,'Increases STA of target by 91.3',0,0),
(101340,200096,5,100,'Increases Max Power of target by 447.6',0,1),
(101341,200096,7,100,'Increases STA of target by 117.1',0,0),
(101342,200096,7,100,'Increases Max Power of target by 574.4',0,1),
(101343,200096,9,100,'Increases STA of target by 121.7',0,0),
(101344,200096,9,100,'Increases Max Power of target by 596.7',0,1),
(101345,200097,1,100,'Increases STA of target by 81.9',0,0),
(101346,200097,1,100,'Increases Max Power of target by 382.3',0,1),
(101347,200097,4,100,'Increases STA of target by 100.2',0,0),
(101348,200097,4,100,'Increases Max Power of target by 467.2',0,1),
(101349,200097,5,100,'Increases STA of target by 109.3',0,0),
(101350,200097,5,100,'Increases Max Power of target by 509.7',0,1),
(101351,200097,7,100,'Increases STA of target by 140.2',0,0),
(101352,200097,7,100,'Increases Max Power of target by 654.1',0,1),
(101353,200097,9,100,'Increases STA of target by 145.7',0,0),
(101354,200097,9,100,'Increases Max Power of target by 679.6',0,1),
(101355,200098,1,100,'Increases STA of target by 95.4',0,0),
(101356,200098,1,100,'Increases Max Power of target by 428.9',0,1),
(101357,200098,4,100,'Increases STA of target by 116.7',0,0),
(101358,200098,4,100,'Increases Max Power of target by 524.2',0,1),
(101359,200098,5,100,'Increases STA of target by 127.3',0,0),
(101360,200098,5,100,'Increases Max Power of target by 571.9',0,1),
(101361,200098,7,100,'Increases STA of target by 163.3',0,0),
(101362,200098,7,100,'Increases Max Power of target by 733.9',0,1),
(101363,200098,9,100,'Increases STA of target by 169.7',0,0),
(101364,200098,9,100,'Increases Max Power of target by 762.5',0,1),
(101365,370086,1,100,'Increases STR and AGI of group members (AE) by 5.2',0,0),
(101366,370086,1,100,'Adds 1.4% to base avoidance.',0,1),
(101367,370086,2,100,'Increases STR and AGI of group members (AE) by 5.5',0,0),
(101368,370086,2,100,'Adds 1.5% to base avoidance.',0,1),
(101369,370086,3,100,'Increases STR and AGI of group members (AE) by 5.8',0,0),
(101370,370086,3,100,'Adds 1.5% to base avoidance.',0,1),
(101371,370086,4,100,'Increases STR and AGI of group members (AE) by 6.4',0,0),
(101372,370086,4,100,'Adds 1.7% to base avoidance.',0,1),
(101373,370086,5,100,'Increases STR and AGI of group members (AE) by 7.0',0,0),
(101374,370086,5,100,'Adds 1.9% to base avoidance.',0,1),
(101375,370086,7,100,'Increases STR and AGI of group members (AE) by 8.9',0,0),
(101376,370086,7,100,'Adds 2.4% to base avoidance.',0,1),
(101377,370086,9,100,'Increases STR and AGI of group members (AE) by 9.3',0,0),
(101378,370086,9,100,'Adds 2.5% to base avoidance.',0,1),
(101379,370087,1,100,'Increases STR and AGI of group members (AE) by 8.1',0,0),
(101380,370087,1,100,'Adds 1.4% to base avoidance.',0,1),
(101381,370087,2,100,'Increases STR and AGI of group members (AE) by 8.6',0,0),
(101382,370087,2,100,'Adds 1.5% to base avoidance.',0,1),
(101383,370087,3,100,'Increases STR and AGI of group members (AE) by 9.0',0,0),
(101384,370087,3,100,'Adds 1.5% to base avoidance.',0,1),
(101385,370087,4,100,'Increases STR and AGI of group members (AE) by 9.9',0,0),
(101386,370087,4,100,'Adds 1.7% to base avoidance.',0,1),
(101387,370087,5,100,'Increases STR and AGI of group members (AE) by 10.8',0,0),
(101388,370087,5,100,'Adds 1.9% to base avoidance.',0,1),
(101389,370087,7,100,'Increases STR and AGI of group members (AE) by 13.9',0,0),
(101390,370087,7,100,'Adds 2.4% to base avoidance.',0,1),
(101391,370087,9,100,'Increases STR and AGI of group members (AE) by 14.4',0,0),
(101392,370087,9,100,'Adds 2.5% to base avoidance.',0,1),
(101393,370087,10,100,'Increases STR and AGI of group members (AE) by 15.1',0,0),
(101394,370087,10,100,'Adds 2.6% to base avoidance.',0,1),
(101395,370088,1,100,'Increases STR and AGI of group members (AE) by 16.9',0,0),
(101396,370088,1,100,'Adds 1.4% to base avoidance.',0,1),
(101397,370088,2,100,'Increases STR and AGI of group members (AE) by 17.9',0,0),
(101398,370088,2,100,'Adds 1.5% to base avoidance.',0,1),
(101399,370088,3,100,'Increases STR and AGI of group members (AE) by 18.8',0,0),
(101400,370088,3,100,'Adds 1.5% to base avoidance.',0,1),
(101401,370088,4,100,'Increases STR and AGI of group members (AE) by 20.7',0,0),
(101402,370088,4,100,'Adds 1.7% to base avoidance.',0,1),
(101403,370088,5,100,'Increases STR and AGI of group members (AE) by 22.6',0,0),
(101404,370088,5,100,'Adds 1.9% to base avoidance.',0,1),
(101405,370088,7,100,'Increases STR and AGI of group members (AE) by 29.0',0,0),
(101406,370088,7,100,'Adds 2.4% to base avoidance.',0,1),
(101407,370088,9,100,'Increases STR and AGI of group members (AE) by 30.1',0,0),
(101408,370088,9,100,'Adds 2.5% to base avoidance.',0,1),
(101409,370088,10,100,'Increases STR and AGI of group members (AE) by 31.6',0,0),
(101410,370088,10,100,'Adds 2.6% to base avoidance.',0,1),
(101411,370089,1,100,'Increases STR and AGI of group members (AE) by 26.5',0,0),
(101412,370089,1,100,'Adds 1.4% to base avoidance.',0,1),
(101413,370089,2,100,'Increases STR and AGI of group members (AE) by 27.9',0,0),
(101414,370089,2,100,'Adds 1.5% to base avoidance.',0,1),
(101415,370089,3,100,'Increases STR and AGI of group members (AE) by 29.4',0,0),
(101416,370089,3,100,'Adds 1.5% to base avoidance.',0,1),
(101417,370089,4,100,'Increases STR and AGI of group members (AE) by 32.3',0,0),
(101418,370089,4,100,'Adds 1.7% to base avoidance.',0,1),
(101419,370089,5,100,'Increases STR and AGI of group members (AE) by 35.3',0,0),
(101420,370089,5,100,'Adds 1.9% to base avoidance.',0,1),
(101421,370089,7,100,'Increases STR and AGI of group members (AE) by 45.3',0,0),
(101422,370089,7,100,'Adds 2.4% to base avoidance.',0,1),
(101423,370089,9,100,'Increases STR and AGI of group members (AE) by 47.0',0,0),
(101424,370089,9,100,'Adds 2.5% to base avoidance.',0,1),
(101425,370090,1,100,'Increases STR and AGI of group members (AE) by 76.2',0,0),
(101426,370090,1,100,'Adds 1.8% to base avoidance.',0,1),
(101427,370090,4,100,'Increases STR and AGI of group members (AE) by 93.2',0,0),
(101428,370090,4,100,'Adds 2.2% to base avoidance.',0,1),
(101429,370090,5,100,'Increases STR and AGI of group members (AE) by 101.6',0,0),
(101430,370090,5,100,'Adds 2.4% to base avoidance.',0,1),
(101431,370090,7,100,'Increases STR and AGI of group members (AE) by 130.4',0,0),
(101432,370090,7,100,'Adds 3.1% to base avoidance.',0,1),
(101433,370090,9,100,'Increases STR and AGI of group members (AE) by 135.5',0,0),
(101434,370090,9,100,'Adds 3.2% to base avoidance.',0,1),
(101435,370091,1,100,'Increases STR and AGI of group members (AE) by 36.5',0,0),
(101436,370091,1,100,'Adds 1.4% to base avoidance.',0,1),
(101437,370091,2,100,'Increases STR and AGI of group members (AE) by 38.6',0,0),
(101438,370091,2,100,'Adds 1.5% to base avoidance.',0,1),
(101439,370091,3,100,'Increases STR and AGI of group members (AE) by 40.6',0,0),
(101440,370091,3,100,'Adds 1.5% to base avoidance.',0,1),
(101441,370091,4,100,'Increases STR and AGI of group members (AE) by 44.7',0,0),
(101442,370091,4,100,'Adds 1.7% to base avoidance.',0,1),
(101443,370091,5,100,'Increases STR and AGI of group members (AE) by 48.7',0,0),
(101444,370091,5,100,'Adds 1.9% to base avoidance.',0,1),
(101445,370091,7,100,'Increases STR and AGI of group members (AE) by 62.5',0,0),
(101446,370091,7,100,'Adds 2.4% to base avoidance.',0,1),
(101447,370091,9,100,'Increases STR and AGI of group members (AE) by 65.0',0,0),
(101448,370091,9,100,'Adds 2.5% to base avoidance.',0,1),
(101449,370091,10,100,'Increases STR and AGI of group members (AE) by 68.2',0,0),
(101450,370091,10,100,'Adds 2.6% to base avoidance.',0,1),
(101451,370092,1,100,'Increases STR and AGI of group members (AE) by 46.6',0,0),
(101452,370092,1,100,'Adds 1.4% to base avoidance.',0,1),
(101453,370092,2,100,'Increases STR and AGI of group members (AE) by 49.2',0,0),
(101454,370092,2,100,'Adds 1.5% to base avoidance.',0,1),
(101455,370092,3,100,'Increases STR and AGI of group members (AE) by 51.8',0,0),
(101456,370092,3,100,'Adds 1.5% to base avoidance.',0,1),
(101457,370092,4,100,'Increases STR and AGI of group members (AE) by 57.0',0,0),
(101458,370092,4,100,'Adds 1.7% to base avoidance.',0,1),
(101459,370092,5,100,'Increases STR and AGI of group members (AE) by 62.2',0,0),
(101460,370092,5,100,'Adds 1.9% to base avoidance.',0,1),
(101461,370092,7,100,'Increases STR and AGI of group members (AE) by 79.8',0,0),
(101462,370092,7,100,'Adds 2.4% to base avoidance.',0,1),
(101463,370092,9,100,'Increases STR and AGI of group members (AE) by 82.9',0,0),
(101464,370092,9,100,'Adds 2.5% to base avoidance.',0,1),
(101465,370093,1,100,'Increases STR and AGI of group members (AE) by 56.4',0,0),
(101466,370093,1,100,'Adds 1.4% to base avoidance.',0,1),
(101467,370093,2,100,'Increases STR and AGI of group members (AE) by 59.6',0,0),
(101468,370093,2,100,'Adds 1.5% to base avoidance.',0,1),
(101469,370093,3,100,'Increases STR and AGI of group members (AE) by 62.7',0,0),
(101470,370093,3,100,'Adds 1.5% to base avoidance.',0,1),
(101471,370093,4,100,'Increases STR and AGI of group members (AE) by 69.0',0,0),
(101472,370093,4,100,'Adds 1.7% to base avoidance.',0,1),
(101473,370093,5,100,'Increases STR and AGI of group members (AE) by 75.2',0,0),
(101474,370093,5,100,'Adds 1.9% to base avoidance.',0,1),
(101475,370093,7,100,'Increases STR and AGI of group members (AE) by 96.6',0,0),
(101476,370093,7,100,'Adds 2.4% to base avoidance.',0,1),
(101477,370093,9,100,'Increases STR and AGI of group members (AE) by 100.3',0,0),
(101478,370093,9,100,'Adds 2.5% to base avoidance.',0,1),
(101479,370094,1,100,'Increases STR and AGI of group members (AE) by 66.3',0,0),
(101480,370094,1,100,'Adds 1.4% to base avoidance.',0,1),
(101481,370094,4,100,'Increases STR and AGI of group members (AE) by 81.1',0,0),
(101482,370094,4,100,'Adds 1.7% to base avoidance.',0,1),
(101483,370094,5,100,'Increases STR and AGI of group members (AE) by 88.4',0,0),
(101484,370094,5,100,'Adds 1.9% to base avoidance.',0,1),
(101485,370094,7,100,'Increases STR and AGI of group members (AE) by 113.5',0,0),
(101486,370094,7,100,'Adds 2.4% to base avoidance.',0,1),
(101487,370094,9,100,'Increases STR and AGI of group members (AE) by 117.9',0,0),
(101488,370094,9,100,'Adds 2.5% to base avoidance.',0,1),
(101489,90118,1,100,'Inflicts 482 - 804 disease damage on target',0,0),
(101490,90118,2,100,'Inflicts 509 - 848 disease damage on target',0,0),
(101491,90118,3,100,'Inflicts 536 - 893 disease damage on target',0,0),
(101492,90118,4,100,'Inflicts 589 - 982 disease damage on target',0,0),
(101493,90118,5,100,'Inflicts 643 - 1071 disease damage on target',0,0),
(101494,90118,7,100,'Inflicts 825 - 1375 disease damage on target',0,0),
(101495,90118,9,100,'Inflicts 857 - 1429 disease damage on target',0,0),
(101496,90119,1,100,'Inflicts 880 - 1466 disease damage on target',0,0),
(101497,90119,2,100,'Inflicts 929 - 1548 disease damage on target',0,0),
(101498,90119,3,100,'Inflicts 978 - 1629 disease damage on target',0,0),
(101499,90119,4,100,'Inflicts 1075 - 1792 disease damage on target',0,0),
(101500,90119,5,100,'Inflicts 1173 - 1955 disease damage on target',0,0),
(101501,90119,7,100,'Inflicts 1506 - 2509 disease damage on target',0,0),
(101502,90119,9,100,'Inflicts 1564 - 2607 disease damage on target',0,0),
(101504,90120,1,100,'Inflicts 1334 - 2224 disease damage on target',0,0),
(101505,90120,2,100,'Inflicts 1408 - 2347 disease damage on target',0,0),
(101506,90120,3,100,'Inflicts 1483 - 2471 disease damage on target',0,0),
(101507,90120,4,100,'Inflicts 1631 - 2718 disease damage on target',0,0),
(101508,90120,5,100,'Inflicts 1779 - 2965 disease damage on target',0,0),
(101509,90120,7,100,'Inflicts 2283 - 3805 disease damage on target',0,0),
(101510,90120,9,100,'Inflicts 2372 - 3954 disease damage on target',0,0),
(101511,90121,1,100,'Inflicts 1831 - 3052 disease damage on target',0,0),
(101512,90121,2,100,'Inflicts 1933 - 3222 disease damage on target',0,0),
(101513,90121,3,100,'Inflicts 2035 - 3391 disease damage on target',0,0),
(101514,90121,4,100,'Inflicts 2238 - 3730 disease damage on target',0,0),
(101515,90121,5,100,'Inflicts 2442 - 4069 disease damage on target',0,0),
(101516,90121,7,100,'Inflicts 3133 - 5222 disease damage on target',0,0),
(101517,90121,9,100,'Inflicts 3255 - 5426 disease damage on target',0,0),
(101519,90122,1,100,'Inflicts 2295 - 3825 disease damage on target',0,0),
(101520,90122,2,100,'Inflicts 2422 - 4037 disease damage on target',0,0),
(101521,90122,3,100,'Inflicts 2550 - 4250 disease damage on target',0,0),
(101522,90122,4,100,'Inflicts 2805 - 4675 disease damage on target',0,0),
(101523,90122,5,100,'Inflicts 3060 - 5100 disease damage on target',0,0),
(101524,90122,7,100,'Inflicts 3927 - 6545 disease damage on target',0,0),
(101525,90122,9,100,'Inflicts 4080 - 6800 disease damage on target',0,0),
(101526,90123,1,100,'Inflicts 2773 - 4621 disease damage on target',0,0),
(101527,90123,4,100,'Inflicts 3389 - 5648 disease damage on target',0,0),
(101528,90123,5,100,'Inflicts 3697 - 6162 disease damage on target',0,0),
(101529,90123,7,100,'Inflicts 4745 - 7908 disease damage on target',0,0),
(101530,90123,9,100,'Inflicts 4930 - 8216 disease damage on target',0,0),
(101532,90124,1,100,'Inflicts 3161 - 5268 disease damage on target',0,0),
(101533,90124,4,100,'Inflicts 3863 - 6438 disease damage on target',0,0),
(101534,90124,5,100,'Inflicts 4214 - 7024 disease damage on target',0,0),
(101535,90124,7,100,'Inflicts 5408 - 9014 disease damage on target',0,0),
(101536,90124,9,100,'Inflicts 5619 - 9365 disease damage on target',0,0),
(101538,2000481,1,100,'Reduces duration of all heals and damage spells by 10%',0,0),
(101539,2000481,1,100,'Increases duration of all other abilities by 10%',0,1),
(101540,130055,1,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(101541,130055,1,100,'Decreases Threat to targets in Area of Effect by 1,169 ',0,1),
(101542,130055,1,100,'Dazes targets in Area of Effect',0,2),
(101543,130055,1,100,'If Target is not Epic',1,3),
(101544,130055,1,100,'Dispelled when target receives hostile action',0,4),
(101545,130055,1,100,'Dispelled when target takes damage',0,5),
(101546,130055,2,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(101547,130055,2,100,'Decreases Threat to targets in Area of Effect by 1,234 ',0,1),
(101548,130055,2,100,'Dazes targets in Area of Effect',0,2),
(101549,130055,2,100,'If Target is not Epic',1,3),
(101550,130055,2,100,'Dispelled when target receives hostile action',0,4),
(101551,130055,2,100,'Dispelled when target takes damage',0,5),
(101552,130055,3,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(101553,130055,3,100,'Decreases Threat to targets in Area of Effect by 1,300 ',0,1),
(101554,130055,3,100,'Dazes targets in Area of Effect',0,2),
(101555,130055,3,100,'If Target is not Epic',1,3),
(101556,130055,3,100,'Dispelled when target receives hostile action',0,4),
(101557,130055,3,100,'Dispelled when target takes damage',0,5),
(101558,130055,4,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(101559,130055,4,100,'Decreases Threat to targets in Area of Effect by 1,430 ',0,1),
(101560,130055,4,100,'Dazes targets in Area of Effect',0,2),
(101561,130055,4,100,'If Target is not Epic',1,3),
(101562,130055,4,100,'Dispelled when target receives hostile action',0,4),
(101563,130055,4,100,'Dispelled when target takes damage',0,5),
(101564,130055,5,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(101565,130055,5,100,'Decreases Threat to targets in Area of Effect by 1,560 ',0,1),
(101566,130055,5,100,'Dazes targets in Area of Effect',0,2),
(101567,130055,5,100,'If Target is not Epic',1,3),
(101568,130055,5,100,'Dispelled when target receives hostile action',0,4),
(101569,130055,5,100,'Dispelled when target takes damage',0,5),
(101570,130055,7,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(101571,130055,7,100,'Decreases Threat to targets in Area of Effect by 2,001 ',0,1),
(101572,130055,7,100,'Dazes targets in Area of Effect',0,2),
(101573,130055,7,100,'If Target is not Epic',1,3),
(101574,130055,7,100,'Dispelled when target receives hostile action',0,4),
(101575,130055,7,100,'Dispelled when target takes damage',0,5),
(101576,130055,9,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(101577,130055,9,100,'Decreases Threat to targets in Area of Effect by 2,080 ',0,1),
(101578,130055,9,100,'Dazes targets in Area of Effect',0,2),
(101579,130055,9,100,'If Target is not Epic',1,3),
(101580,130055,9,100,'Dispelled when target receives hostile action',0,4),
(101581,130055,9,100,'Dispelled when target takes damage',0,5),
(101582,130056,1,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(101583,130056,1,100,'Decreases Threat to targets in Area of Effect by 2,593 ',0,1),
(101584,130056,1,100,'Dazes targets in Area of Effect',0,2),
(101585,130056,1,100,'If Target is not Epic',1,3),
(101586,130056,1,100,'Dispelled when target receives hostile action',0,4),
(101587,130056,1,100,'Dispelled when target takes damage',0,5),
(101588,130056,2,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(101589,130056,2,100,'Decreases Threat to targets in Area of Effect by 2,737 ',0,1),
(101590,130056,2,100,'Dazes targets in Area of Effect',0,2),
(101591,130056,2,100,'If Target is not Epic',1,3),
(101592,130056,2,100,'Dispelled when target receives hostile action',0,4),
(101593,130056,2,100,'Dispelled when target takes damage',0,5),
(101594,130056,3,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(101595,130056,3,100,'Decreases Threat to targets in Area of Effect by 2,882 ',0,1),
(101596,130056,3,100,'Dazes targets in Area of Effect',0,2),
(101597,130056,3,100,'If Target is not Epic',1,3),
(101598,130056,3,100,'Dispelled when target receives hostile action',0,4),
(101599,130056,3,100,'Dispelled when target takes damage',0,5),
(101600,130056,4,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(101601,130056,4,100,'Decreases Threat to targets in Area of Effect by 3,170 ',0,1),
(101602,130056,4,100,'Dazes targets in Area of Effect',0,2),
(101603,130056,4,100,'If Target is not Epic',1,3),
(101604,130056,4,100,'Dispelled when target receives hostile action',0,4),
(101605,130056,4,100,'Dispelled when target takes damage',0,5),
(101606,130056,5,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(101607,130056,5,100,'Decreases Threat to targets in Area of Effect by 3,458 ',0,1),
(101608,130056,5,100,'Dazes targets in Area of Effect',0,2),
(101609,130056,5,100,'If Target is not Epic',1,3),
(101610,130056,5,100,'Dispelled when target receives hostile action',0,4),
(101611,130056,5,100,'Dispelled when target takes damage',0,5),
(101612,130056,7,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(101613,130056,7,100,'Decreases Threat to targets in Area of Effect by 4,438 ',0,1),
(101614,130056,7,100,'Dazes targets in Area of Effect',0,2),
(101615,130056,7,100,'If Target is not Epic',1,3),
(101616,130056,7,100,'Dispelled when target receives hostile action',0,4),
(101617,130056,7,100,'Dispelled when target takes damage',0,5),
(101618,130056,9,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(101619,130056,9,100,'Decreases Threat to targets in Area of Effect by 4,611 ',0,1),
(101620,130056,9,100,'Dazes targets in Area of Effect',0,2),
(101621,130056,9,100,'If Target is not Epic',1,3),
(101622,130056,9,100,'Dispelled when target receives hostile action',0,4),
(101623,130056,9,100,'Dispelled when target takes damage',0,5),
(101624,130057,1,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(101625,130057,1,100,'Decreases Threat to targets in Area of Effect by 4,272 ',0,1),
(101626,130057,1,100,'Dazes targets in Area of Effect',0,2),
(101627,130057,1,100,'If Target is not Epic',1,3),
(101628,130057,1,100,'Dispelled when target receives hostile action',0,4),
(101629,130057,1,100,'Dispelled when target takes damage',0,5),
(101630,130057,2,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(101631,130057,2,100,'Decreases Threat to targets in Area of Effect by 4,509 ',0,1),
(101632,130057,2,100,'Dazes targets in Area of Effect',0,2),
(101633,130057,2,100,'If Target is not Epic',1,3),
(101634,130057,2,100,'Dispelled when target receives hostile action',0,4),
(101635,130057,2,100,'Dispelled when target takes damage',0,5),
(101636,130057,3,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(101637,130057,3,100,'Decreases Threat to targets in Area of Effect by 4,747 ',0,1),
(101638,130057,3,100,'Dazes targets in Area of Effect',0,2),
(101639,130057,3,100,'If Target is not Epic',1,3),
(101640,130057,3,100,'Dispelled when target receives hostile action',0,4),
(101641,130057,3,100,'Dispelled when target takes damage',0,5),
(101642,130057,4,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(101643,130057,4,100,'Decreases Threat to targets in Area of Effect by 5,221 ',0,1),
(101644,130057,4,100,'Dazes targets in Area of Effect',0,2),
(101645,130057,4,100,'If Target is not Epic',1,3),
(101646,130057,4,100,'Dispelled when target receives hostile action',0,4),
(101647,130057,4,100,'Dispelled when target takes damage',0,5),
(101648,130057,5,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(101649,130057,5,100,'Decreases Threat to targets in Area of Effect by 5,696 ',0,1),
(101650,130057,5,100,'Dazes targets in Area of Effect',0,2),
(101651,130057,5,100,'If Target is not Epic',1,3),
(101652,130057,5,100,'Dispelled when target receives hostile action',0,4),
(101653,130057,5,100,'Dispelled when target takes damage',0,5),
(101654,130057,7,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(101655,130057,7,100,'Decreases Threat to targets in Area of Effect by 7,310 ',0,1),
(101656,130057,7,100,'Dazes targets in Area of Effect',0,2),
(101657,130057,7,100,'If Target is not Epic',1,3),
(101658,130057,7,100,'Dispelled when target receives hostile action',0,4),
(101659,130057,7,100,'Dispelled when target takes damage',0,5),
(101660,130057,9,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(101661,130057,9,100,'Decreases Threat to targets in Area of Effect by 7,595 ',0,1),
(101662,130057,9,100,'Dazes targets in Area of Effect',0,2),
(101663,130057,9,100,'If Target is not Epic',1,3),
(101664,130057,9,100,'Dispelled when target receives hostile action',0,4),
(101665,130057,9,100,'Dispelled when target takes damage',0,5),
(101666,130058,1,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(101667,130058,1,100,'Decreases Threat to targets in Area of Effect by 6,412 ',0,1),
(101668,130058,1,100,'Dazes targets in Area of Effect',0,2),
(101669,130058,1,100,'If Target is not Epic',1,3),
(101670,130058,1,100,'Dispelled when target receives hostile action',0,4),
(101671,130058,1,100,'Dispelled when target takes damage',0,5),
(101672,130058,2,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(101673,130058,2,100,'Decreases Threat to targets in Area of Effect by 6,768 ',0,1),
(101674,130058,2,100,'Dazes targets in Area of Effect',0,2),
(101675,130058,2,100,'If Target is not Epic',1,3),
(101676,130058,2,100,'Dispelled when target receives hostile action',0,4),
(101677,130058,2,100,'Dispelled when target takes damage',0,5),
(101678,130058,3,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(101679,130058,3,100,'Decreases Threat to targets in Area of Effect by 7,125 ',0,1),
(101680,130058,3,100,'Dazes targets in Area of Effect',0,2),
(101681,130058,3,100,'If Target is not Epic',1,3),
(101682,130058,3,100,'Dispelled when target receives hostile action',0,4),
(101683,130058,3,100,'Dispelled when target takes damage',0,5),
(101684,130058,4,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(101685,130058,4,100,'Decreases Threat to targets in Area of Effect by 7,837 ',0,1),
(101686,130058,4,100,'Dazes targets in Area of Effect',0,2),
(101687,130058,4,100,'If Target is not Epic',1,3),
(101688,130058,4,100,'Dispelled when target receives hostile action',0,4),
(101689,130058,4,100,'Dispelled when target takes damage',0,5),
(101690,130058,5,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(101691,130058,5,100,'Decreases Threat to targets in Area of Effect by 8,550 ',0,1),
(101692,130058,5,100,'Dazes targets in Area of Effect',0,2),
(101693,130058,5,100,'If Target is not Epic',1,3),
(101694,130058,5,100,'Dispelled when target receives hostile action',0,4),
(101695,130058,5,100,'Dispelled when target takes damage',0,5),
(101696,130058,7,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(101697,130058,7,100,'Decreases Threat to targets in Area of Effect by 10,972 ',0,1),
(101698,130058,7,100,'Dazes targets in Area of Effect',0,2),
(101699,130058,7,100,'If Target is not Epic',1,3),
(101700,130058,7,100,'Dispelled when target receives hostile action',0,4),
(101701,130058,7,100,'Dispelled when target takes damage',0,5),
(101702,130058,9,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(101703,130058,9,100,'Decreases Threat to targets in Area of Effect by 11,400 ',0,1),
(101704,130058,9,100,'Dazes targets in Area of Effect',0,2),
(101705,130058,9,100,'If Target is not Epic',1,3),
(101706,130058,9,100,'Dispelled when target receives hostile action',0,4),
(101707,130058,9,100,'Dispelled when target takes damage',0,5),
(101708,130059,1,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(101709,130059,1,100,'Decreases Threat to targets in Area of Effect by 8,657 ',0,1),
(101710,130059,1,100,'Dazes targets in Area of Effect',0,2),
(101711,130059,1,100,'If Target is not Epic',1,3),
(101712,130059,1,100,'Dispelled when target receives hostile action',0,4),
(101713,130059,1,100,'Dispelled when target takes damage',0,5),
(101714,130059,2,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(101715,130059,2,100,'Decreases Threat to targets in Area of Effect by 9,138 ',0,1),
(101716,130059,2,100,'Dazes targets in Area of Effect',0,2),
(101717,130059,2,100,'If Target is not Epic',1,3),
(101718,130059,2,100,'Dispelled when target receives hostile action',0,4),
(101719,130059,2,100,'Dispelled when target takes damage',0,5),
(101720,130059,3,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(101721,130059,3,100,'Decreases Threat to targets in Area of Effect by 9,620 ',0,1),
(101722,130059,3,100,'Dazes targets in Area of Effect',0,2),
(101723,130059,3,100,'If Target is not Epic',1,3),
(101724,130059,3,100,'Dispelled when target receives hostile action',0,4),
(101725,130059,3,100,'Dispelled when target takes damage',0,5),
(101726,130059,4,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(101727,130059,4,100,'Decreases Threat to targets in Area of Effect by 10,582 ',0,1),
(101728,130059,4,100,'Dazes targets in Area of Effect',0,2),
(101729,130059,4,100,'If Target is not Epic',1,3),
(101730,130059,4,100,'Dispelled when target receives hostile action',0,4),
(101731,130059,4,100,'Dispelled when target takes damage',0,5),
(101732,130059,5,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(101733,130059,5,100,'Decreases Threat to targets in Area of Effect by 11,544 ',0,1),
(101734,130059,5,100,'Dazes targets in Area of Effect',0,2),
(101735,130059,5,100,'If Target is not Epic',1,3),
(101736,130059,5,100,'Dispelled when target receives hostile action',0,4),
(101737,130059,5,100,'Dispelled when target takes damage',0,5),
(101738,130059,7,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(101739,130059,7,100,'Decreases Threat to targets in Area of Effect by 14,814 ',0,1),
(101740,130059,7,100,'Dazes targets in Area of Effect',0,2),
(101741,130059,7,100,'If Target is not Epic',1,3),
(101742,130059,7,100,'Dispelled when target receives hostile action',0,4),
(101743,130059,7,100,'Dispelled when target takes damage',0,5),
(101744,130059,9,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(101745,130059,9,100,'Decreases Threat to targets in Area of Effect by 15,392 ',0,1),
(101746,130059,9,100,'Dazes targets in Area of Effect',0,2),
(101747,130059,9,100,'If Target is not Epic',1,3),
(101748,130059,9,100,'Dispelled when target receives hostile action',0,4),
(101749,130059,9,100,'Dispelled when target takes damage',0,5),
(101750,130060,1,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(101751,130060,1,100,'Decreases Threat to targets in Area of Effect by 10,844 ',0,1),
(101752,130060,1,100,'Dazes targets in Area of Effect',0,2),
(101753,130060,1,100,'If Target is not Epic',1,3),
(101754,130060,1,100,'Dispelled when target receives hostile action',0,4),
(101755,130060,1,100,'Dispelled when target takes damage',0,5),
(101756,130060,2,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(101757,130060,2,100,'Decreases Threat to targets in Area of Effect by 11,447 ',0,1),
(101758,130060,2,100,'Dazes targets in Area of Effect',0,2),
(101759,130060,2,100,'If Target is not Epic',1,3),
(101760,130060,2,100,'Dispelled when target receives hostile action',0,4),
(101761,130060,2,100,'Dispelled when target takes damage',0,5),
(101762,130060,3,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(101763,130060,3,100,'Decreases Threat to targets in Area of Effect by 12,050 ',0,1),
(101764,130060,3,100,'Dazes targets in Area of Effect',0,2),
(101765,130060,3,100,'If Target is not Epic',1,3),
(101766,130060,3,100,'Dispelled when target receives hostile action',0,4),
(101767,130060,3,100,'Dispelled when target takes damage',0,5),
(101768,130060,4,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(101769,130060,4,100,'Decreases Threat to targets in Area of Effect by 13,255 ',0,1),
(101770,130060,4,100,'Dazes targets in Area of Effect',0,2),
(101771,130060,4,100,'If Target is not Epic',1,3),
(101772,130060,4,100,'Dispelled when target receives hostile action',0,4),
(101773,130060,4,100,'Dispelled when target takes damage',0,5),
(101774,130060,5,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(101775,130060,5,100,'Decreases Threat to targets in Area of Effect by 14,460 ',0,1),
(101776,130060,5,100,'Dazes targets in Area of Effect',0,2),
(101777,130060,5,100,'If Target is not Epic',1,3),
(101778,130060,5,100,'Dispelled when target receives hostile action',0,4),
(101779,130060,5,100,'Dispelled when target takes damage',0,5),
(101780,130060,7,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(101781,130060,7,100,'Decreases Threat to targets in Area of Effect by 18,556 ',0,1),
(101782,130060,7,100,'Dazes targets in Area of Effect',0,2),
(101783,130060,7,100,'If Target is not Epic',1,3),
(101784,130060,7,100,'Dispelled when target receives hostile action',0,4),
(101785,130060,7,100,'Dispelled when target takes damage',0,5),
(101786,130060,9,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(101787,130060,9,100,'Decreases Threat to targets in Area of Effect by 19,280 ',0,1),
(101788,130060,9,100,'Dazes targets in Area of Effect',0,2),
(101789,130060,9,100,'If Target is not Epic',1,3),
(101790,130060,9,100,'Dispelled when target receives hostile action',0,4),
(101791,130060,9,100,'Dispelled when target takes damage',0,5),
(101792,130061,1,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(101793,130061,1,100,'Decreases Threat to targets in Area of Effect by 13,094 ',0,1),
(101794,130061,1,100,'Dazes targets in Area of Effect',0,2),
(101795,130061,1,100,'If Target is not Epic',1,3),
(101796,130061,1,100,'Dispelled when target receives hostile action',0,4),
(101797,130061,1,100,'Dispelled when target takes damage',0,5),
(101798,130061,4,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(101799,130061,4,100,'Decreases Threat to targets in Area of Effect by 16,005 ',0,1),
(101800,130061,4,100,'Dazes targets in Area of Effect',0,2),
(101801,130061,4,100,'If Target is not Epic',1,3),
(101802,130061,4,100,'Dispelled when target receives hostile action',0,4),
(101803,130061,4,100,'Dispelled when target takes damage',0,5),
(101804,130061,5,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(101805,130061,5,100,'Decreases Threat to targets in Area of Effect by 17,460 ',0,1),
(101806,130061,5,100,'Dazes targets in Area of Effect',0,2),
(101807,130061,5,100,'If Target is not Epic',1,3),
(101808,130061,5,100,'Dispelled when target receives hostile action',0,4),
(101809,130061,5,100,'Dispelled when target takes damage',0,5),
(101810,130061,7,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(101811,130061,7,100,'Decreases Threat to targets in Area of Effect by 22,406 ',0,1),
(101812,130061,7,100,'Dazes targets in Area of Effect',0,2),
(101813,130061,7,100,'If Target is not Epic',1,3),
(101814,130061,7,100,'Dispelled when target receives hostile action',0,4),
(101815,130061,7,100,'Dispelled when target takes damage',0,5),
(101816,130061,9,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(101817,130061,9,100,'Decreases Threat to targets in Area of Effect by 23,280 ',0,1),
(101818,130061,9,100,'Dazes targets in Area of Effect',0,2),
(101819,130061,9,100,'If Target is not Epic',1,3),
(101820,130061,9,100,'Dispelled when target receives hostile action',0,4),
(101821,130061,9,100,'Dispelled when target takes damage',0,5),
(101822,130062,1,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(101823,130062,1,100,'Decreases Threat to targets in Area of Effect by 15,344 ',0,1),
(101824,130062,1,100,'Dazes targets in Area of Effect',0,2),
(101825,130062,1,100,'If Target is not Epic',1,3),
(101826,130062,1,100,'Dispelled when target receives hostile action',0,4),
(101827,130062,1,100,'Dispelled when target takes damage',0,5),
(101828,130062,4,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(101829,130062,4,100,'Decreases Threat to targets in Area of Effect by 18,755 ',0,1),
(101830,130062,4,100,'Dazes targets in Area of Effect',0,2),
(101831,130062,4,100,'If Target is not Epic',1,3),
(101832,130062,4,100,'Dispelled when target receives hostile action',0,4),
(101833,130062,4,100,'Dispelled when target takes damage',0,5),
(101834,130062,5,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(101835,130062,5,100,'Decreases Threat to targets in Area of Effect by 20,460 ',0,1),
(101836,130062,5,100,'Dazes targets in Area of Effect',0,2),
(101837,130062,5,100,'If Target is not Epic',1,3),
(101838,130062,5,100,'Dispelled when target receives hostile action',0,4),
(101839,130062,5,100,'Dispelled when target takes damage',0,5),
(101840,130062,7,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(101841,130062,7,100,'Decreases Threat to targets in Area of Effect by 26,256 ',0,1),
(101842,130062,7,100,'Dazes targets in Area of Effect',0,2),
(101843,130062,7,100,'If Target is not Epic',1,3),
(101844,130062,7,100,'Dispelled when target receives hostile action',0,4),
(101845,130062,7,100,'Dispelled when target takes damage',0,5),
(101846,130062,9,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(101847,130062,9,100,'Decreases Threat to targets in Area of Effect by 27,280 ',0,1),
(101848,130062,9,100,'Dazes targets in Area of Effect',0,2),
(101849,130062,9,100,'If Target is not Epic',1,3),
(101850,130062,9,100,'Dispelled when target receives hostile action',0,4),
(101851,130062,9,100,'Dispelled when target takes damage',0,5),
(101852,230067,1,100,'Increases power of caster by 7 instantly and every second',0,0),
(101853,230067,1,100,'Stifles caster',0,1),
(101854,230067,2,100,'Increases power of caster by 7 instantly and every second',0,0),
(101855,230067,2,100,'Stifles caster',0,1),
(101856,230067,3,100,'Increases power of caster by 7 instantly and every second',0,0),
(101857,230067,3,100,'Stifles caster',0,1),
(101858,230067,4,100,'Increases power of caster by 8 instantly and every second',0,0),
(101859,230067,4,100,'Stifles caster',0,1),
(101860,230067,5,100,'Increases power of caster by 9 instantly and every second',0,0),
(101861,230067,5,100,'Stifles caster',0,1),
(101862,230067,7,100,'Increases power of caster by 11 instantly and every second',0,0),
(101863,230067,7,100,'Stifles caster',0,1),
(101864,230067,9,100,'Increases power of caster by 12 instantly and every second',0,0),
(101865,230067,9,100,'Stifles caster',0,1),
(101866,230068,1,100,'Increases power of caster by 11 instantly and every second',0,0),
(101867,230068,1,100,'Stifles caster',0,1),
(101868,230068,2,100,'Increases power of caster by 11 instantly and every second',0,0),
(101869,230068,2,100,'Stifles caster',0,1),
(101870,230068,3,100,'Increases power of caster by 12 instantly and every second',0,0),
(101871,230068,3,100,'Stifles caster',0,1),
(101872,230068,4,100,'Increases power of caster by 13 instantly and every second',0,0),
(101873,230068,4,100,'Stifles caster',0,1),
(101874,230068,5,100,'Increases power of caster by 14 instantly and every second',0,0),
(101875,230068,5,100,'Stifles caster',0,1),
(101876,230068,7,100,'Increases power of caster by 18 instantly and every second',0,0),
(101877,230068,7,100,'Stifles caster',0,1),
(101878,230068,9,100,'Increases power of caster by 19 instantly and every second',0,0),
(101879,230068,9,100,'Stifles caster',0,1),
(101880,230069,1,100,'Increases power of caster by 15 instantly and every second',0,0),
(101881,230069,1,100,'Stifles caster',0,1),
(101882,230069,2,100,'Increases power of caster by 16 instantly and every second',0,0),
(101883,230069,2,100,'Stifles caster',0,1),
(101884,230069,3,100,'Increases power of caster by 17 instantly and every second',0,0),
(101885,230069,3,100,'Stifles caster',0,1),
(101886,230069,4,100,'Increases power of caster by 19 instantly and every second',0,0),
(101887,230069,4,100,'Stifles caster',0,1),
(101888,230069,5,100,'Increases power of caster by 20 instantly and every second',0,0),
(101889,230069,5,100,'Stifles caster',0,1),
(101890,230069,7,100,'Increases power of caster by 26 instantly and every second',0,0),
(101891,230069,7,100,'Stifles caster',0,1),
(101892,230069,9,100,'Increases power of caster by 27 instantly and every second',0,0),
(101893,230069,9,100,'Stifles caster',0,1),
(101894,230070,1,100,'Increases power of caster by 20 instantly and every second',0,0),
(101895,230070,1,100,'Stifles caster',0,1),
(101896,230070,2,100,'Increases power of caster by 21 instantly and every second',0,0),
(101897,230070,2,100,'Stifles caster',0,1),
(101898,230070,3,100,'Increases power of caster by 22 instantly and every second',0,0),
(101899,230070,3,100,'Stifles caster',0,1),
(101900,230070,4,100,'Increases power of caster by 24 instantly and every second',0,0),
(101901,230070,4,100,'Stifles caster',0,1),
(101902,230070,5,100,'Increases power of caster by 27 instantly and every second',0,0),
(101903,230070,5,100,'Stifles caster',0,1),
(101904,230070,7,100,'Increases power of caster by 34 instantly and every second',0,0),
(101905,230070,7,100,'Stifles caster',0,1),
(101906,230070,9,100,'Increases power of caster by 36 instantly and every second',0,0),
(101907,230070,9,100,'Stifles caster',0,1),
(101908,230071,1,100,'Increases power of caster by 27 instantly and every second',0,0),
(101909,230071,1,100,'Stifles caster',0,1),
(101910,230071,2,100,'Increases power of caster by 29 instantly and every second',0,0),
(101911,230071,2,100,'Stifles caster',0,1),
(101912,230071,3,100,'Increases power of caster by 30 instantly and every second',0,0),
(101913,230071,3,100,'Stifles caster',0,1),
(101914,230071,4,100,'Increases power of caster by 33 instantly and every second',0,0),
(101915,230071,4,100,'Stifles caster',0,1),
(101916,230071,5,100,'Increases power of caster by 36 instantly and every second',0,0),
(101917,230071,5,100,'Stifles caster',0,1),
(101918,230071,7,100,'Increases power of caster by 46 instantly and every second',0,0),
(101919,230071,7,100,'Stifles caster',0,1),
(101920,230071,9,100,'Increases power of caster by 48 instantly and every second',0,0),
(101921,230071,9,100,'Stifles caster',0,1),
(101922,230072,1,100,'Increases power of caster by 32 instantly and every second',0,0),
(101923,230072,1,100,'Stifles caster',0,1),
(101924,230072,4,100,'Increases power of caster by 39 instantly and every second',0,0),
(101925,230072,4,100,'Stifles caster',0,1),
(101926,230072,5,100,'Increases power of caster by 43 instantly and every second',0,0),
(101927,230072,5,100,'Stifles caster',0,1),
(101928,230072,7,100,'Increases power of caster by 55 instantly and every second',0,0),
(101929,230072,7,100,'Stifles caster',0,1),
(101930,230072,9,100,'Increases power of caster by 57 instantly and every second',0,0),
(101931,230072,9,100,'Stifles caster',0,1),
(101932,230073,1,100,'Increases power of caster by 34 instantly and every second',0,0),
(101933,230073,1,100,'Stifles caster',0,1),
(101934,230073,4,100,'Increases power of caster by 41 instantly and every second',0,0),
(101935,230073,4,100,'Stifles caster',0,1),
(101936,230073,5,100,'Increases power of caster by 45 instantly and every second',0,0),
(101937,230073,5,100,'Stifles caster',0,1),
(101938,230073,7,100,'Increases power of caster by 58 instantly and every second',0,0),
(101939,230073,7,100,'Stifles caster',0,1),
(101940,230073,9,100,'Increases power of caster by 60 instantly and every second',0,0),
(101941,230073,9,100,'Stifles caster',0,1),
(101942,2000482,1,100,'Applies Hateful Respite.  Lasts for 20.0 seconds.',0,0),
(101943,2000482,1,100,'Increases Threat to targets in Area of Effect by 8,959 - 13,169  instantly and every 1 second thereafter',1,1),
(101944,2000482,1,100,'Inflicts 665 - 997 disease damage on targets in Area of Effect',1,2),
(101945,2000482,1,100,'Applies Hateful Respite on termination.',0,3),
(101946,2000482,1,100,'Heals caster for 10.6 - 12.9% of max health',1,4),
(101947,2000482,1,100,'This effect cannot be critically applied.',2,5),
(101948,2000482,1,100,'The healing of this spell cannot be modified except by direct means',1,6),
(101949,2000482,1,100,'Applies Stoneskin Reaction on termination.  Lasts for 1.0 seconds.',0,7),
(101950,2000482,1,100,'Reduces all damage done to target by 100%',1,8),
(101951,2000482,1,100,'Triggers when a Stoneskin is consumed. Suspends all other stoneskins that match the damage types of this effect.',1,9),
(101952,2000482,1,100,'Will absorb all damage when the amount is greater than 25% of the target''s maximum health. This spell will absorb a total of 1 attack.',0,10),
(101953,190061,1,100,'Decreases Haste of target by 9.2',0,0),
(101954,190061,1,100,'Decreases Crushing, Slashing and Piercing of target by 0.6',0,1),
(101955,190061,2,100,'Decreases Attack Speed of target by 9.7',0,0),
(101956,190061,2,100,'Decreases Crushing, Slashing and Piercing of target by 0.7',0,1),
(101957,190061,3,100,'Decreases Haste of target by 10.2',0,0),
(101958,190061,3,100,'Decreases Crushing, Slashing and Piercing of target by 0.7',0,1),
(101959,190061,4,100,'Decreases Haste of target by 11.2',0,0),
(101960,190061,4,100,'Decreases Crushing, Slashing and Piercing of target by 0.8',0,1),
(101961,190061,5,100,'Decreases Haste of target by 12.2',0,0),
(101962,190061,5,100,'Decreases Crushing, Slashing and Piercing of target by 0.8',0,1),
(101963,190061,7,100,'Decreases Haste of target by 15.7',0,0),
(101964,190061,7,100,'Decreases Crushing, Slashing and Piercing of target by 1.1',0,1),
(101965,190061,9,100,'Decreases Attack Speed of target by 16.3',0,0),
(101966,190061,9,100,'Decreases Crushing, Slashing and Piercing of target by 1.1',0,1),
(101967,190062,1,100,'Decreases Haste of target by 9.9',0,0),
(101968,190062,1,100,'Decreases Crushing, Slashing and Piercing of target by 1.3',0,1),
(101969,190062,2,100,'Decreases Attack Speed of target by 10.4',0,0),
(101970,190062,2,100,'Decreases Crushing, Slashing and Piercing of target by 1.4',0,1),
(101971,190062,3,100,'Decreases Haste of target by 11.0',0,0),
(101972,190062,3,100,'Decreases Crushing, Slashing and Piercing of target by 1.5',0,1),
(101973,190062,4,100,'Decreases Haste of target by 12.1',0,0),
(101974,190062,4,100,'Decreases Crushing, Slashing and Piercing of target by 1.7',0,1),
(101975,190062,5,100,'Decreases Haste of target by 13.2',0,0),
(101976,190062,5,100,'Decreases Crushing, Slashing and Piercing of target by 1.8',0,1),
(101977,190062,7,100,'Decreases Haste of target by 16.9',0,0),
(101978,190062,7,100,'Decreases Crushing, Slashing and Piercing of target by 2.3',0,1),
(101979,190062,9,100,'Decreases Haste of target by 17.6',0,0),
(101980,190062,9,100,'Decreases Crushing, Slashing and Piercing of target by 2.4',0,1),
(101981,190062,10,100,'Decreases Haste of target by 18.5',0,0),
(101982,190062,10,100,'Decreases Crushing, Slashing and Piercing of target by 2.5',0,1),
(101983,190063,1,100,'Decreases Haste of target by 11.2',0,0),
(101984,190063,1,100,'Decreases Crushing, Slashing and Piercing of target by 3.2',0,1),
(101985,190063,2,100,'Decreases Haste of target by 11.8',0,0),
(101986,190063,2,100,'Decreases Crushing, Slashing and Piercing of target by 3.4',0,1),
(101987,190063,3,100,'Decreases Haste of target by 12.4',0,0),
(101988,190063,3,100,'Decreases Crushing, Slashing and Piercing of target by 3.6',0,1),
(101989,190063,4,100,'Decreases Haste of target by 13.6',0,0),
(101990,190063,4,100,'Decreases Crushing, Slashing and Piercing of target by 4.0',0,1),
(101991,190063,5,100,'Decreases Haste of target by 14.9',0,0),
(101992,190063,5,100,'Decreases Crushing, Slashing and Piercing of target by 4.3',0,1),
(101993,190063,7,100,'Decreases Haste of target by 19.1',0,0),
(101994,190063,7,100,'Decreases Crushing, Slashing and Piercing of target by 5.5',0,1),
(101995,190063,9,100,'Decreases Haste of target by 19.8',0,0),
(101996,190063,9,100,'Decreases Crushing, Slashing and Piercing of target by 5.8',0,1),
(101997,190063,10,100,'Decreases Haste of target by 20.8',0,0),
(101998,190063,10,100,'Decreases Crushing, Slashing and Piercing of target by 6.0',0,1),
(101999,190064,1,100,'Decreases Haste of target by 12.4',0,0),
(102000,190064,1,100,'Decreases Crushing, Slashing and Piercing of target by 5.1',0,1),
(102001,190064,2,100,'Decreases Haste of target by 13.1',0,0),
(102002,190064,2,100,'Decreases Crushing, Slashing and Piercing of target by 5.4',0,1),
(102003,190064,3,100,'Decreases Haste of target by 13.8',0,0),
(102004,190064,3,100,'Decreases Crushing, Slashing and Piercing of target by 5.7',0,1),
(102005,190064,4,100,'Decreases Attack Speed of target by 15.2',0,0),
(102006,190064,4,100,'Decreases Crushing, Slashing and Piercing of target by 6.3',0,1),
(102007,190064,5,100,'Decreases Haste of target by 16.6',0,0),
(102008,190064,5,100,'Decreases Crushing, Slashing and Piercing of target by 6.8',0,1),
(102009,190064,7,100,'Decreases Haste of target by 21.3',0,0),
(102010,190064,7,100,'Decreases Crushing, Slashing and Piercing of target by 8.8',0,1),
(102011,190064,9,100,'Decreases Haste of target by 22.1',0,0),
(102012,190064,9,100,'Decreases Crushing, Slashing and Piercing of target by 9.1',0,1),
(102013,190065,1,100,'Decreases Haste of target by 13.7',0,0),
(102014,190065,1,100,'Decreases Crushing, Slashing and Piercing of target by 7.0',0,1),
(102015,190065,2,100,'Decreases Haste of target by 14.4',0,0),
(102016,190065,2,100,'Decreases Crushing, Slashing and Piercing of target by 7.4',0,1),
(102017,190065,3,100,'Decreases Haste of target by 15.2',0,0),
(102018,190065,3,100,'Decreases Crushing, Slashing and Piercing of target by 7.8',0,1),
(102019,190065,4,100,'Decreases Haste of target by 16.7',0,0),
(102020,190065,4,100,'Decreases Crushing, Slashing and Piercing of target by 8.6',0,1),
(102021,190065,5,100,'Decreases Attack Speed of target by 18.2',0,0),
(102022,190065,5,100,'Decreases Crushing, Slashing and Piercing of target by 9.4',0,1),
(102023,190065,7,100,'Decreases Haste of target by 23.4',0,0),
(102024,190065,7,100,'Decreases Crushing, Slashing and Piercing of target by 12.0',0,1),
(102025,190065,9,100,'Decreases Attack Speed of target by 24.3',0,0),
(102026,190065,9,100,'Decreases Crushing, Slashing and Piercing of target by 12.5',0,1),
(102027,190065,10,100,'Decreases Haste of target by 25.5',0,0),
(102028,190065,10,100,'Decreases Crushing, Slashing and Piercing of target by 13.1',0,1),
(102029,190066,1,100,'Decreases Haste of target by 14.9',0,0),
(102030,190066,1,100,'Decreases Crushing, Slashing and Piercing of target by 8.9',0,1),
(102031,190066,2,100,'Decreases Haste of target by 15.8',0,0),
(102032,190066,2,100,'Decreases Crushing, Slashing and Piercing of target by 9.4',0,1),
(102033,190066,3,100,'Decreases Haste of target by 16.6',0,0),
(102034,190066,3,100,'Decreases Crushing, Slashing and Piercing of target by 9.9',0,1),
(102035,190066,4,100,'Decreases Haste of target by 18.3',0,0),
(102036,190066,4,100,'Decreases Crushing, Slashing and Piercing of target by 10.9',0,1),
(102037,190066,5,100,'Decreases Haste of target by 19.9',0,0),
(102038,190066,5,100,'Decreases Crushing, Slashing and Piercing of target by 11.9',0,1),
(102039,190066,7,100,'Decreases Haste of target by 25.6',0,0),
(102040,190066,7,100,'Decreases Crushing, Slashing and Piercing of target by 15.2',0,1),
(102041,190066,9,100,'Decreases Haste of target by 26.6',0,0),
(102042,190066,9,100,'Decreases Crushing, Slashing and Piercing of target by 15.8',0,1),
(102043,2000483,1,100,'Makes the heals in the scripts.',0,0),
(102044,290132,1,100,'Dispels 6 levels of any hostile effects on target',0,0),
(102045,290132,1,100,'Heals target for 16',0,1),
(102046,290132,2,100,'Dispels 6 levels of any hostile effects on target',0,0),
(102047,290132,2,100,'Heals target for 16',0,1),
(102048,290132,3,100,'Dispels 6 levels of any hostile effects on target',0,0),
(102049,290132,3,100,'Heals target for 17',0,1),
(102050,290132,4,100,'Dispels 7 levels of any hostile effects on target',0,0),
(102051,290132,4,100,'Heals target for 19',0,1),
(102052,290132,5,100,'Dispels 7 levels of any hostile effects on target',0,0),
(102053,290132,5,100,'Heals target for 21',0,1),
(102054,290132,7,100,'Dispels 9 levels of any hostile effects on target',0,0),
(102055,290132,7,100,'Heals target for 27',0,1),
(102056,290132,9,100,'Dispels 10 levels of any hostile effects on target',0,0),
(102057,290132,9,100,'Heals target for 28',0,1),
(102058,290133,1,100,'Dispels 13 levels of any hostile effects on target',0,0),
(102059,290133,1,100,'Heals target for 109',0,1),
(102060,290133,2,100,'Dispels 14 levels of any hostile effects on target',0,0),
(102061,290133,2,100,'Heals target for 115',0,1),
(102062,290133,3,100,'Dispels 14 levels of any hostile effects on target',0,0),
(102063,290133,3,100,'Heals target for 121',0,1),
(102064,290133,4,100,'Dispels 16 levels of any hostile effects on target',0,0),
(102065,290133,4,100,'Heals target for 133',0,1),
(102066,290133,5,100,'Dispels 17 levels of any hostile effects on target',0,0),
(102067,290133,5,100,'Heals target for 145',0,1),
(102068,290133,7,100,'Dispels 22 levels of any hostile effects on target',0,0),
(102069,290133,7,100,'Heals target for 186',0,1),
(102070,290133,9,100,'Dispels 23 levels of any hostile effects on target',0,0),
(102071,290133,9,100,'Heals target for 194',0,1),
(102072,290133,10,100,'Dispels 24 levels of any hostile effects on target',0,0),
(102073,290133,10,100,'Heals target for 203',0,1),
(102074,290134,1,100,'Dispels 25 levels of any hostile effects on target',0,0),
(102075,290134,1,100,'Heals target for 230',0,1),
(102076,290134,2,100,'Dispels 26 levels of any hostile effects on target',0,0),
(102077,290134,2,100,'Heals target for 243',0,1),
(102078,290134,3,100,'Dispels 27 levels of any hostile effects on target',0,0),
(102079,290134,3,100,'Heals target for 256',0,1),
(102080,290134,4,100,'Dispels 30 levels of any hostile effects on target',0,0),
(102081,290134,4,100,'Heals target for 282',0,1),
(102082,290134,5,100,'Dispels 33 levels of any hostile effects on target',0,0),
(102083,290134,5,100,'Heals target for 307',0,1),
(102084,290134,7,100,'Dispels 42 levels of any hostile effects on target',0,0),
(102085,290134,7,100,'Heals target for 394',0,1),
(102086,290134,9,100,'Dispels 44 levels of any hostile effects on target',0,0),
(102087,290134,9,100,'Heals target for 410',0,1),
(102088,290135,1,100,'Dispels 35 levels of any hostile effects on target',0,0),
(102089,290135,1,100,'Heals target for 366',0,1),
(102090,290135,2,100,'Dispels 37 levels of any hostile effects on target',0,0),
(102091,290135,2,100,'Heals target for 386',0,1),
(102092,290135,3,100,'Dispels 39 levels of any hostile effects on target',0,0),
(102093,290135,3,100,'Heals target for 407',0,1),
(102094,290135,4,100,'Dispels 43 levels of any hostile effects on target',0,0),
(102095,290135,4,100,'Heals target for 447',0,1),
(102096,290135,5,100,'Dispels 47 levels of any hostile effects on target',0,0),
(102097,290135,5,100,'Heals target for 488',0,1),
(102098,290135,7,100,'Dispels 60 levels of any hostile effects on target',0,0),
(102099,290135,7,100,'Heals target for 626',0,1),
(102100,290135,9,100,'Dispels 63 levels of any hostile effects on target',0,0),
(102101,290135,9,100,'Heals target for 650',0,1),
(102102,290135,10,100,'Dispels 66 levels of any hostile effects on target',0,0),
(102103,290135,10,100,'Heals target for 683',0,1),
(102104,290136,1,100,'Dispels 82 levels of any hostile effects on target',0,0),
(102105,290136,1,100,'Heals target for 1168',0,1),
(102106,290136,4,100,'Dispels 100 levels of any hostile effects on target',0,0),
(102107,290136,4,100,'Heals target for 1427',0,1),
(102108,290136,5,100,'Dispels 110 levels of any hostile effects on target',0,0),
(102109,290136,5,100,'Heals target for 1557',0,1),
(102110,290136,7,100,'Dispels 141 levels of any hostile effects on target',0,0),
(102111,290136,7,100,'Heals target for 1998',0,1),
(102112,290136,9,100,'Dispels 146 levels of any hostile effects on target',0,0),
(102113,290136,9,100,'Heals target for 2076',0,1),
(102114,290137,1,100,'Dispels 47 levels of any hostile effects on target',0,0),
(102115,290137,1,100,'Heals target for 529',0,1),
(102116,290137,2,100,'Dispels 49 levels of any hostile effects on target',0,0),
(102117,290137,2,100,'Heals target for 559',0,1),
(102118,290137,3,100,'Dispels 52 levels of any hostile effects on target',0,0),
(102119,290137,3,100,'Heals target for 588',0,1),
(102120,290137,4,100,'Dispels 57 levels of any hostile effects on target',0,0),
(102121,290137,4,100,'Heals target for 647',0,1),
(102122,290137,5,100,'Dispels 62 levels of any hostile effects on target',0,0),
(102123,290137,5,100,'Heals target for 706',0,1),
(102124,290137,7,100,'Dispels 80 levels of any hostile effects on target',0,0),
(102125,290137,7,100,'Heals target for 906',0,1),
(102126,290137,9,100,'Dispels 83 levels of any hostile effects on target',0,0),
(102127,290137,9,100,'Heals target for 941',0,1),
(102128,290138,1,100,'Dispels 58 levels of any hostile effects on target',0,0),
(102129,290138,1,100,'Heals target for 693',0,1),
(102130,290138,2,100,'Dispels 61 levels of any hostile effects on target',0,0),
(102131,290138,2,100,'Heals target for 731',0,1),
(102132,290138,3,100,'Dispels 64 levels of any hostile effects on target',0,0),
(102133,290138,3,100,'Heals target for 770',0,1),
(102134,290138,4,100,'Dispels 71 levels of any hostile effects on target',0,0),
(102135,290138,4,100,'Heals target for 847',0,1),
(102136,290138,5,100,'Dispels 77 levels of any hostile effects on target',0,0),
(102137,290138,5,100,'Heals target for 924',0,1),
(102138,290138,7,100,'Dispels 99 levels of any hostile effects on target',0,0),
(102139,290138,7,100,'Heals target for 1186',0,1),
(102140,290138,9,100,'Dispels 103 levels of any hostile effects on target',0,0),
(102141,290138,9,100,'Heals target for 1232',0,1),
(102142,290139,1,100,'Dispels 66 levels of any hostile effects on target',0,0),
(102143,290139,1,100,'Heals target for 934',0,1),
(102144,290139,2,100,'Dispels 70 levels of any hostile effects on target',0,0),
(102145,290139,2,100,'Heals target for 986',0,1),
(102146,290139,3,100,'Dispels 73 levels of any hostile effects on target',0,0),
(102147,290139,3,100,'Heals target for 1038',0,1),
(102148,290139,4,100,'Dispels 81 levels of any hostile effects on target',0,0),
(102149,290139,4,100,'Heals target for 1142',0,1),
(102150,290139,5,100,'Dispels 88 levels of any hostile effects on target',0,0),
(102151,290139,5,100,'Heals target for 1246',0,1),
(102152,290139,7,100,'Dispels 113 levels of any hostile effects on target',0,0),
(102153,290139,7,100,'Heals target for 1599',0,1),
(102154,290139,9,100,'Dispels 117 levels of any hostile effects on target',0,0),
(102155,290139,9,100,'Heals target for 1661',0,1),
(102156,290140,1,100,'Dispels 74 levels of any hostile effects on target',0,0),
(102157,290140,1,100,'Heals target for 1113',0,1),
(102158,290140,4,100,'Dispels 91 levels of any hostile effects on target',0,0),
(102159,290140,4,100,'Heals target for 1361',0,1),
(102160,290140,5,100,'Dispels 99 levels of any hostile effects on target',0,0),
(102161,290140,5,100,'Heals target for 1484',0,1),
(102162,290140,7,100,'Dispels 127 levels of any hostile effects on target',0,0),
(102163,290140,7,100,'Heals target for 1905',0,1),
(102164,290140,9,100,'Dispels 132 levels of any hostile effects on target',0,0),
(102165,290140,9,100,'Heals target for 1979',0,1),
(102166,110008,1,100,'Heals target for 97 - 119',0,0),
(102167,110008,2,100,'Heals target for 103 - 125',0,0),
(102168,110008,3,100,'Heals target for 108 - 132',0,0),
(102169,110008,4,100,'Heals target for 119 - 145',0,0),
(102170,110008,5,100,'Heals target for 130 - 158',0,0),
(102171,110008,7,100,'Heals target for 166 - 203',0,0),
(102172,110008,9,100,'Heals target for 173 - 211',0,0),
(102173,130063,1,100,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',0,0),
(102174,130063,1,100,'Heals group members (AE) for 153',1,1),
(102175,130063,2,100,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',0,0),
(102176,130063,2,100,'Heals group members (AE) for 162',1,1),
(102177,130063,3,100,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',0,0),
(102178,130063,3,100,'Heals group members (AE) for 170',1,1),
(102179,130063,4,100,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',0,0),
(102180,130063,4,100,'Heals group members (AE) for 187',1,1),
(102181,130063,5,100,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',0,0),
(102182,130063,5,100,'Heals group members (AE) for 204',1,1),
(102183,130063,7,100,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',0,0),
(102184,130063,7,100,'Heals group members (AE) for 262',1,1),
(102185,130063,9,100,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',0,0),
(102186,130063,9,100,'Heals group members (AE) for 272',1,1),
(102187,130063,10,100,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',0,0),
(102188,130063,10,100,'Heals group members (AE) for 286',1,1),
(102189,130064,1,100,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',0,0),
(102190,130064,1,100,'Heals group members (AE) for 282',1,1),
(102191,130064,2,100,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',0,0),
(102192,130064,2,100,'Heals group members (AE) for 297',1,1),
(102193,130064,3,100,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',0,0),
(102194,130064,3,100,'Heals group members (AE) for 313',1,1),
(102195,130064,4,100,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',0,0),
(102196,130064,4,100,'Heals group members (AE) for 344',1,1),
(102197,130064,5,100,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',0,0),
(102198,130064,5,100,'Heals group members (AE) for 375',1,1),
(102199,130064,7,100,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',0,0),
(102200,130064,7,100,'Heals group members (AE) for 482',1,1),
(102201,130064,9,100,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',0,0),
(102202,130064,9,100,'Heals group members (AE) for 500',1,1),
(102203,130065,1,100,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',0,0),
(102204,130065,1,100,'Heals group members (AE) for 428',1,1),
(102205,130065,2,100,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',0,0),
(102206,130065,2,100,'Heals group members (AE) for 452',1,1),
(102207,130065,3,100,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',0,0),
(102208,130065,3,100,'Heals group members (AE) for 476',1,1),
(102209,130065,4,100,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',0,0),
(102210,130065,4,100,'Heals group members (AE) for 524',1,1),
(102211,130065,5,100,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',0,0),
(102212,130065,5,100,'Heals group members (AE) for 571',1,1),
(102213,130065,7,100,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',0,0),
(102214,130065,7,100,'Heals group members (AE) for 733',1,1),
(102215,130065,9,100,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',0,0),
(102216,130065,9,100,'Heals group members (AE) for 762',1,1),
(102217,130066,1,100,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',0,0),
(102218,130066,1,100,'Heals group members (AE) for 589',1,1),
(102219,130066,2,100,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',0,0),
(102220,130066,2,100,'Heals group members (AE) for 622',1,1),
(102221,130066,3,100,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',0,0),
(102222,130066,3,100,'Heals group members (AE) for 655',1,1),
(102223,130066,4,100,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',0,0),
(102224,130066,4,100,'Heals group members (AE) for 720',1,1),
(102225,130066,5,100,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',0,0),
(102226,130066,5,100,'Heals group members (AE) for 785',1,1),
(102227,130066,7,100,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',0,0),
(102228,130066,7,100,'Heals group members (AE) for 1008',1,1),
(102229,130066,9,100,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',0,0),
(102230,130066,9,100,'Heals group members (AE) for 1047',1,1),
(102231,130067,1,100,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',0,0),
(102232,130067,1,100,'Heals group members (AE) for 823',1,1),
(102233,130067,2,100,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',0,0),
(102234,130067,2,100,'Heals group members (AE) for 869',1,1),
(102235,130067,3,100,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',0,0),
(102236,130067,3,100,'Heals group members (AE) for 915',1,1),
(102237,130067,4,100,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',0,0),
(102238,130067,4,100,'Heals group members (AE) for 1006',1,1),
(102239,130067,5,100,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',0,0),
(102240,130067,5,100,'Heals group members (AE) for 1098',1,1),
(102241,130067,7,100,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',0,0),
(102242,130067,7,100,'Heals group members (AE) for 1408',1,1),
(102243,130067,9,100,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',0,0),
(102244,130067,9,100,'Heals group members (AE) for 1463',1,1),
(102245,130068,1,100,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',0,0),
(102246,130068,1,100,'Heals group members (AE) for 1024',1,1),
(102247,130068,4,100,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',0,0),
(102248,130068,4,100,'Heals group members (AE) for 1251',1,1),
(102249,130068,5,100,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',0,0),
(102250,130068,5,100,'Heals group members (AE) for 1365',1,1),
(102251,130068,7,100,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',0,0),
(102252,130068,7,100,'Heals group members (AE) for 1751',1,1),
(102253,130068,9,100,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',0,0),
(102254,130068,9,100,'Heals group members (AE) for 1820',1,1),
(102255,130069,1,100,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',0,0),
(102256,130069,1,100,'Heals group members (AE) for 1126',1,1),
(102257,130069,4,100,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',0,0),
(102258,130069,4,100,'Heals group members (AE) for 1376',1,1),
(102259,130069,5,100,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',0,0),
(102260,130069,5,100,'Heals group members (AE) for 1501',1,1),
(102261,130069,7,100,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',0,0),
(102262,130069,7,100,'Heals group members (AE) for 1927',1,1),
(102263,130069,9,100,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',0,0),
(102264,130069,9,100,'Heals group members (AE) for 2002',1,1),
(102265,160050,1,100,'Summons a limited pet to aid the caster',0,0),
(102266,160050,2,100,'Summons a limited pet to aid the caster',0,0),
(102267,160050,3,100,'Summons a limited pet to aid the caster',0,0),
(102268,160050,4,100,'Summons a limited pet to aid the caster',0,0),
(102269,160050,5,100,'Summons a limited pet to aid the caster',0,0),
(102270,160050,7,100,'Summons a limited pet to aid the caster',0,0),
(102271,160050,9,100,'Summons a limited pet to aid the caster',0,0),
(102272,160051,1,100,'Summons a limited pet to aid the caster',0,0),
(102273,160051,2,100,'Summons a limited pet to aid the caster',0,0),
(102274,160051,3,100,'Summons a limited pet to aid the caster',0,0),
(102275,160051,4,100,'Summons a limited pet to aid the caster',0,0),
(102276,160051,5,100,'Summons a limited pet to aid the caster',0,0),
(102277,160051,7,100,'Summons a limited pet to aid the caster',0,0),
(102278,160051,9,100,'Summons a limited pet to aid the caster',0,0),
(102279,160052,1,100,'Summons a limited pet to aid the caster',0,0),
(102280,160052,4,100,'Summons a limited pet to aid the caster',0,0),
(102281,160052,5,100,'Summons a limited pet to aid the caster',0,0),
(102282,160052,7,100,'Summons a limited pet to aid the caster',0,0),
(102283,160052,9,100,'Summons a limited pet to aid the caster',0,0),
(102284,160053,1,100,'Summons a limited pet to aid the caster',0,0),
(102285,160053,4,100,'Summons a limited pet to aid the caster',0,0),
(102286,160053,5,100,'Summons a limited pet to aid the caster',0,0),
(102287,160053,7,100,'Summons a limited pet to aid the caster',0,0),
(102288,160053,9,100,'Summons a limited pet to aid the caster',0,0),
(102289,180007,1,100,'Heals target for 182 - 223',0,0),
(102291,180007,2,100,'Heals target for 192 - 235',0,0),
(102303,160054,1,100,'Heals group members (AE) for 40 - 49 instantly and every 2 seconds',0,0),
(102304,160054,4,100,'Heals group members (AE) for 49 - 59 instantly and every 2 seconds',0,0),
(102305,160054,5,100,'Heals group members (AE) for 53 - 65 instantly and every 2 seconds',0,0),
(102306,160054,7,100,'Heals group members (AE) for 68 - 83 instantly and every 2 seconds',0,0),
(102307,160054,9,100,'Heals group members (AE) for 71 - 86 instantly and every 2 seconds',0,0),
(102308,160054,10,100,'Heals group members (AE) for 74 - 91 instantly and every 2 seconds',0,0),
(102309,160055,1,100,'Heals group members (AE) for 84 - 103 instantly and every 2 seconds',0,0),
(102310,160055,2,100,'Heals group members (AE) for 89 - 108 instantly and every 2 seconds',0,0),
(102311,160055,3,100,'Heals group members (AE) for 93 - 114 instantly and every 2 seconds',0,0),
(102312,160055,4,100,'Heals group members (AE) for 103 - 125 instantly and every 2 seconds',0,0),
(102313,160055,5,100,'Heals group members (AE) for 112 - 137 instantly and every 2 seconds',0,0),
(102314,160055,7,100,'Heals group members (AE) for 144 - 175 instantly and every 2 seconds',0,0),
(102315,160055,9,100,'Heals group members (AE) for 149 - 182 instantly and every 2 seconds',0,0),
(102316,160056,1,100,'Heals group members (AE) for 133 - 163 instantly and every 2 seconds',0,0),
(102317,160056,2,100,'Heals group members (AE) for 141 - 172 instantly and every 2 seconds',0,0),
(102318,160056,3,100,'Heals group members (AE) for 148 - 181 instantly and every 2 seconds',0,0),
(102319,160056,4,100,'Heals group members (AE) for 163 - 199 instantly and every 2 seconds',0,0),
(102320,160056,5,100,'Heals group members (AE) for 178 - 217 instantly and every 2 seconds',0,0),
(102321,160056,7,100,'Heals group members (AE) for 228 - 279 instantly and every 2 seconds',0,0),
(102322,160056,9,100,'Heals group members (AE) for 237 - 290 instantly and every 2 seconds',0,0),
(102323,160056,10,100,'Heals group members (AE) for 249 - 304 instantly and every 2 seconds',0,0),
(102324,160057,1,100,'Heals group members (AE) for 193 - 236 instantly and every 2 seconds',0,0),
(102325,160057,2,100,'Heals group members (AE) for 203 - 249 instantly and every 2 seconds',0,0),
(102326,160057,3,100,'Heals group members (AE) for 214 - 262 instantly and every 2 seconds',0,0),
(102327,160057,4,100,'Heals group members (AE) for 236 - 288 instantly and every 2 seconds',0,0),
(102328,160057,5,100,'Heals group members (AE) for 257 - 314 instantly and every 2 seconds',0,0),
(102329,160057,7,100,'Heals group members (AE) for 330 - 403 instantly and every 2 seconds',0,0),
(102330,160057,9,100,'Heals group members (AE) for 343 - 419 instantly and every 2 seconds',0,0),
(102331,160058,1,100,'Heals group members (AE) for 252 - 308 instantly and every 2 seconds',0,0),
(102332,160058,2,100,'Heals group members (AE) for 266 - 326 instantly and every 2 seconds',0,0),
(102333,160058,3,100,'Heals group members (AE) for 280 - 343 instantly and every 2 seconds',0,0),
(102334,160058,4,100,'Heals group members (AE) for 308 - 377 instantly and every 2 seconds',0,0),
(102335,160058,5,100,'Heals group members (AE) for 336 - 411 instantly and every 2 seconds',0,0),
(102336,160058,7,100,'Heals group members (AE) for 432 - 528 instantly and every 2 seconds',0,0),
(102337,160058,9,100,'Heals group members (AE) for 449 - 548 instantly and every 2 seconds',0,0),
(102338,160059,1,100,'Heals group members (AE) for 331 - 405 instantly and every 2 seconds',0,0),
(102339,160059,2,100,'Heals group members (AE) for 350 - 428 instantly and every 2 seconds',0,0),
(102340,160059,3,100,'Heals group members (AE) for 368 - 450 instantly and every 2 seconds',0,0),
(102341,160059,4,100,'Heals group members (AE) for 405 - 495 instantly and every 2 seconds',0,0),
(102342,160059,5,100,'Heals group members (AE) for 442 - 540 instantly and every 2 seconds',0,0),
(102343,160059,7,100,'Heals group members (AE) for 567 - 693 instantly and every 2 seconds',0,0),
(102344,160059,9,100,'Heals group members (AE) for 589 - 720 instantly and every 2 seconds',0,0),
(102345,160060,1,100,'Heals group members (AE) for 399 - 488 instantly and every 2 seconds',0,0),
(102346,160060,4,100,'Heals group members (AE) for 488 - 596 instantly and every 2 seconds',0,0),
(102347,160060,5,100,'Heals group members (AE) for 532 - 650 instantly and every 2 seconds',0,0),
(102348,160060,7,100,'Heals group members (AE) for 683 - 834 instantly and every 2 seconds',0,0),
(102349,160060,9,100,'Heals group members (AE) for 709 - 867 instantly and every 2 seconds',0,0),
(102350,160061,1,100,'Heals group members (AE) for 423 - 517 instantly and every 2 seconds',0,0),
(102351,160061,4,100,'Heals group members (AE) for 517 - 632 instantly and every 2 seconds',0,0),
(102352,160061,5,100,'Heals group members (AE) for 564 - 690 instantly and every 2 seconds',0,0),
(102353,160061,7,100,'Heals group members (AE) for 724 - 885 instantly and every 2 seconds',0,0),
(102354,160061,9,100,'Heals group members (AE) for 752 - 920 instantly and every 2 seconds',0,0),
(102355,2000484,1,100,'Inflicts 1 - 2 divine damage on target',0,0),
(102356,2000484,1,100,'Stuns target',0,1),
(102357,2000484,1,100,'Epic targets gain an immunity to Stun effects of 4.5 seconds and duration is reduced to 0.5 seconds.',0,2),
(102358,2000484,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(102359,2000485,1,100,'Applies Blaze.  Lasts for 10.0 seconds.',0,0),
(102360,2000485,1,100,'Increases Fervor of caster by 12.0',1,1),
(102361,2000485,1,100,'Applies when Hellfire hits target that has 3 increments of Incineration',1,2),
(102362,2000485,1,100,'Inflicts 18 - 33 heat damage on target',0,3),
(102363,2000485,1,100,'Inflicts 18 - 33 heat damage on target',0,4),
(102364,2000485,1,100,'Inflicts 18 - 33 heat damage on target',0,5),
(102365,2000485,1,100,'Your target must be inflicted with Incineration.',0,6),
(102366,2000485,1,100,'Inflicts 9 - 16 heat damage on target',0,7),
(102367,2000485,1,100,'Your target must be inflicted with Incineration.',0,8),
(102368,270069,1,100,'Interrupts target',0,0),
(102369,270069,1,100,'Inflicts 7 - 9 mental damage on target',0,1),
(102370,270069,2,100,'Interrupts target',0,0),
(102371,270069,2,100,'Inflicts 7 - 9 mental damage on target',0,1),
(102372,270069,3,100,'Interrupts target',0,0),
(102373,270069,3,100,'Inflicts 7 - 10 mental damage on target',0,1),
(102374,270069,4,100,'Interrupts target',0,0),
(102375,270069,4,100,'Inflicts 8 - 11 mental damage on target',0,1),
(102376,270069,5,100,'Interrupts target',0,0),
(102377,270069,5,100,'Inflicts 9 - 12 mental damage on target',0,1),
(102378,270069,7,100,'Interrupts target',0,0),
(102379,270069,7,100,'Inflicts 11 - 15 mental damage on target',0,1),
(102380,270069,9,100,'Interrupts target',0,0),
(102381,270069,9,100,'Inflicts 12 - 16 mental damage on target',0,1),
(102382,270070,1,100,'Interrupts target',0,0),
(102383,270070,1,100,'Inflicts 16 - 21 mental damage on target',0,1),
(102384,270070,2,100,'Interrupts target',0,0),
(102385,270070,2,100,'Inflicts 17 - 22 mental damage on target',0,1),
(102386,270070,3,100,'Interrupts target',0,0),
(102387,270070,3,100,'Inflicts 17 - 24 mental damage on target',0,1),
(102388,270070,4,100,'Interrupts target',0,0),
(102389,270070,4,100,'Inflicts 19 - 26 mental damage on target',0,1),
(102390,270070,5,100,'Interrupts target',0,0),
(102391,270070,5,100,'Inflicts 21 - 28 mental damage on target',0,1),
(102392,270070,7,100,'Interrupts target',0,0),
(102393,270070,7,100,'Inflicts 27 - 36 mental damage on target',0,1),
(102394,270070,9,100,'Interrupts target',0,0),
(102395,270070,9,100,'Inflicts 28 - 38 mental damage on target',0,1),
(102396,270071,1,100,'Interrupts target',0,0),
(102397,270071,1,100,'Inflicts 30 - 41 mental damage on target',0,1),
(102398,270071,2,100,'Interrupts target',0,0),
(102399,270071,2,100,'Inflicts 32 - 43 mental damage on target',0,1),
(102400,270071,3,100,'Interrupts target',0,0),
(102401,270071,3,100,'Inflicts 34 - 46 mental damage on target',0,1),
(102402,270071,4,100,'Interrupts target',0,0),
(102403,270071,4,100,'Inflicts 37 - 50 mental damage on target',0,1),
(102404,270071,5,100,'Interrupts target',0,0),
(102405,270071,5,100,'Inflicts 40 - 55 mental damage on target',0,1),
(102406,270071,7,100,'Interrupts target',0,0),
(102407,270071,7,100,'Inflicts 52 - 70 mental damage on target',0,1),
(102408,270071,9,100,'Interrupts target',0,0),
(102409,270071,9,100,'Inflicts 54 - 73 mental damage on target',0,1),
(102410,270071,10,100,'Interrupts target',0,0),
(102411,270071,10,100,'Inflicts 57 - 77 mental damage on target',0,1),
(102412,270072,1,100,'Interrupts target',0,0),
(102413,270072,1,100,'Inflicts 50 - 68 mental damage on target',0,1),
(102414,270072,2,100,'Interrupts target',0,0),
(102415,270072,2,100,'Inflicts 53 - 71 mental damage on target',0,1),
(102416,270072,3,100,'Interrupts target',0,0),
(102417,270072,3,100,'Inflicts 56 - 75 mental damage on target',0,1),
(102418,270072,4,100,'Interrupts target',0,0),
(102419,270072,4,100,'Inflicts 61 - 83 mental damage on target',0,1),
(102420,270072,5,100,'Interrupts target',0,0),
(102421,270072,5,100,'Inflicts 67 - 90 mental damage on target',0,1),
(102422,270072,7,100,'Interrupts target',0,0),
(102423,270072,7,100,'Inflicts 85 - 116 mental damage on target',0,1),
(102424,270072,9,100,'Interrupts target',0,0),
(102425,270072,9,100,'Inflicts 89 - 120 mental damage on target',0,1),
(102426,270073,1,100,'Interrupts target',0,0),
(102427,270073,1,100,'Inflicts 271 - 367 mental damage on target',0,1),
(102428,270073,4,100,'Interrupts target',0,0),
(102429,270073,4,100,'Inflicts 331 - 448 mental damage on target',0,1),
(102430,270073,5,100,'Interrupts target',0,0),
(102431,270073,5,100,'Inflicts 362 - 489 mental damage on target',0,1),
(102432,270073,7,100,'Interrupts target',0,0),
(102433,270073,7,100,'Inflicts 464 - 628 mental damage on target',0,1),
(102434,270073,9,100,'Interrupts target',0,0),
(102435,270073,9,100,'Inflicts 482 - 652 mental damage on target',0,1),
(102436,270073,10,100,'Interrupts target',0,0),
(102437,270073,10,100,'Inflicts 506 - 685 mental damage on target',0,1),
(102438,270074,1,100,'Interrupts target',0,0),
(102439,270074,1,100,'Inflicts 76 - 103 mental damage on target',0,1),
(102440,270074,2,100,'Interrupts target',0,0),
(102441,270074,2,100,'Inflicts 81 - 109 mental damage on target',0,1),
(102442,270074,3,100,'Interrupts target',0,0),
(102443,270074,3,100,'Inflicts 85 - 115 mental damage on target',0,1),
(102444,270074,4,100,'Interrupts target',0,0),
(102445,270074,4,100,'Inflicts 93 - 126 mental damage on target',0,1),
(102446,270074,5,100,'Interrupts target',0,0),
(102447,270074,5,100,'Inflicts 102 - 138 mental damage on target',0,1),
(102448,270074,7,100,'Interrupts target',0,0),
(102449,270074,7,100,'Inflicts 131 - 177 mental damage on target',0,1),
(102450,270074,9,100,'Interrupts target',0,0),
(102451,270074,9,100,'Inflicts 136 - 184 mental damage on target',0,1),
(102452,270075,1,100,'Interrupts target',0,0),
(102453,270075,1,100,'Inflicts 120 - 162 mental damage on target',0,1),
(102454,270075,2,100,'Interrupts target',0,0),
(102455,270075,2,100,'Inflicts 127 - 171 mental damage on target',0,1),
(102456,270075,3,100,'Interrupts target',0,0),
(102457,270075,3,100,'Inflicts 133 - 180 mental damage on target',0,1),
(102458,270075,4,100,'Interrupts target',0,0),
(102459,270075,4,100,'Inflicts 146 - 198 mental damage on target',0,1),
(102460,270075,5,100,'Interrupts target',0,0),
(102461,270075,5,100,'Inflicts 160 - 216 mental damage on target',0,1),
(102462,270075,7,100,'Interrupts target',0,0),
(102463,270075,7,100,'Inflicts 205 - 277 mental damage on target',0,1),
(102464,270075,9,100,'Interrupts target',0,0),
(102465,270075,9,100,'Inflicts 213 - 288 mental damage on target',0,1),
(102466,270076,1,100,'Interrupts target',0,0),
(102467,270076,1,100,'Inflicts 171 - 232 mental damage on target',0,1),
(102468,270076,2,100,'Interrupts target',0,0),
(102469,270076,2,100,'Inflicts 181 - 245 mental damage on target',0,1),
(102470,270076,3,100,'Interrupts target',0,0),
(102471,270076,3,100,'Inflicts 190 - 258 mental damage on target',0,1),
(102472,270076,4,100,'Interrupts target',0,0),
(102473,270076,4,100,'Inflicts 209 - 283 mental damage on target',0,1),
(102474,270076,5,100,'Interrupts target',0,0),
(102475,270076,5,100,'Inflicts 228 - 309 mental damage on target',0,1),
(102476,270076,7,100,'Interrupts target',0,0),
(102477,270076,7,100,'Inflicts 293 - 397 mental damage on target',0,1),
(102478,270076,9,100,'Interrupts target',0,0),
(102479,270076,9,100,'Inflicts 305 - 412 mental damage on target',0,1),
(102480,270077,1,100,'Interrupts target',0,0),
(102481,270077,1,100,'Inflicts 224 - 303 mental damage on target',0,1),
(102482,270077,2,100,'Interrupts target',0,0),
(102483,270077,2,100,'Inflicts 236 - 320 mental damage on target',0,1),
(102484,270077,3,100,'Interrupts target',0,0),
(102485,270077,3,100,'Inflicts 249 - 336 mental damage on target',0,1),
(102486,270077,4,100,'Interrupts target',0,0),
(102487,270077,4,100,'Inflicts 274 - 370 mental damage on target',0,1),
(102488,270077,5,100,'Interrupts target',0,0),
(102489,270077,5,100,'Inflicts 298 - 404 mental damage on target',0,1),
(102490,270077,7,100,'Interrupts target',0,0),
(102491,270077,7,100,'Inflicts 383 - 518 mental damage on target',0,1),
(102492,270077,9,100,'Interrupts target',0,0),
(102493,270077,9,100,'Inflicts 398 - 538 mental damage on target',0,1),
(102494,270077,10,100,'Interrupts target',0,0),
(102495,270077,10,100,'Inflicts 418 - 565 mental damage on target',0,1),
(102496,270078,1,100,'Interrupts target',0,0),
(102497,270078,1,100,'Inflicts 322 - 435 mental damage on target',0,1),
(102498,270078,4,100,'Interrupts target',0,0),
(102499,270078,4,100,'Inflicts 393 - 532 mental damage on target',0,1),
(102500,270078,5,100,'Interrupts target',0,0),
(102501,270078,5,100,'Inflicts 429 - 580 mental damage on target',0,1),
(102502,270078,7,100,'Interrupts target',0,0),
(102503,270078,7,100,'Inflicts 550 - 745 mental damage on target',0,1),
(102504,270078,9,100,'Interrupts target',0,0),
(102505,270078,9,100,'Inflicts 572 - 774 mental damage on target',0,1),
(102506,270078,10,100,'Interrupts target',0,0),
(102507,270078,10,100,'Inflicts 600 - 812 mental damage on target',0,1),
(102508,140079,1,100,'On a spell cast this spell will cast Heretical Strike on target.  ',0,0),
(102509,140079,1,100,'Applies Knockdown.  Lasts for 2.5 seconds.',1,1),
(102510,140079,1,100,'Throws target back',2,2),
(102511,140079,1,100,'Blurs vision of target',2,3),
(102512,140079,1,100,'Stuns target',2,4),
(102513,140079,1,100,'Does not affect Epic targets',2,5),
(102514,140079,1,100,'Inflicts 211 - 352 divine damage on target',1,6),
(102515,140079,1,100,'Grants a total of 3 triggers of the spell.',1,7),
(102516,140079,2,100,'On a spell cast this spell will cast Heretical Strike on target.  ',0,0),
(102517,140079,2,100,'Applies Knockdown.  Lasts for 2.5 seconds.',1,1),
(102518,140079,2,100,'Throws target back',2,2),
(102519,140079,2,100,'Blurs vision of target',2,3),
(102520,140079,2,100,'Stuns target',2,4),
(102521,140079,2,100,'Does not affect Epic targets',2,5),
(102522,140079,2,100,'Inflicts 223 - 371 divine damage on target',1,6),
(102523,140079,2,100,'Grants a total of 3 triggers of the spell.',1,7),
(102524,140079,3,100,'On a spell cast this spell will cast Heretical Strike on target.  ',0,0),
(102525,140079,3,100,'Applies Knockdown.  Lasts for 2.5 seconds.',1,1),
(102526,140079,3,100,'Throws target back',2,2),
(102527,140079,3,100,'Blurs vision of target',2,3),
(102528,140079,3,100,'Stuns target',2,4),
(102529,140079,3,100,'Does not affect Epic targets',2,5),
(102530,140079,3,100,'Inflicts 234 - 391 divine damage on target',1,6),
(102531,140079,3,100,'Grants a total of 3 triggers of the spell.',1,7),
(102532,140079,4,100,'On a spell cast this spell will cast Heretical Strike on target.  ',0,0),
(102533,140079,4,100,'Applies Knockdown.  Lasts for 2.5 seconds.',1,1),
(102534,140079,4,100,'Throws target back',2,2),
(102535,140079,4,100,'Blurs vision of target',2,3),
(102536,140079,4,100,'Stuns target',2,4),
(102537,140079,4,100,'Does not affect Epic targets',2,5),
(102538,140079,4,100,'Inflicts 258 - 430 divine damage on target',1,6),
(102539,140079,4,100,'Grants a total of 3 triggers of the spell.',1,7),
(102540,140079,5,100,'On a spell cast this spell will cast Heretical Strike on target.  ',0,0),
(102541,140079,5,100,'Applies Knockdown.  Lasts for 2.5 seconds.',1,1),
(102542,140079,5,100,'Throws target back',2,2),
(102543,140079,5,100,'Blurs vision of target',2,3),
(102544,140079,5,100,'Stuns target',2,4),
(102545,140079,5,100,'Does not affect Epic targets',2,5),
(102546,140079,5,100,'Inflicts 281 - 469 divine damage on target',1,6),
(102547,140079,5,100,'Grants a total of 3 triggers of the spell.',1,7),
(102548,140079,7,100,'On a spell cast this spell will cast Heretical Strike on target.  ',0,0),
(102549,140079,7,100,'Applies Knockdown.  Lasts for 2.5 seconds.',1,1),
(102550,140079,7,100,'Throws target back',2,2),
(102551,140079,7,100,'Blurs vision of target',2,3),
(102552,140079,7,100,'Stuns target',2,4),
(102553,140079,7,100,'Does not affect Epic targets',2,5),
(102554,140079,7,100,'Inflicts 361 - 601 divine damage on target',1,6),
(102555,140079,7,100,'Grants a total of 3 triggers of the spell.',1,7),
(102556,140079,9,100,'On a spell cast this spell will cast Heretical Strike on target.  ',0,0),
(102557,140079,9,100,'Applies Knockdown.  Lasts for 2.5 seconds.',1,1),
(102558,140079,9,100,'Throws target back',2,2),
(102559,140079,9,100,'Blurs vision of target',2,3),
(102560,140079,9,100,'Stuns target',2,4),
(102561,140079,9,100,'Does not affect Epic targets',2,5),
(102562,140079,9,100,'Inflicts 375 - 625 divine damage on target',1,6),
(102563,140079,9,100,'Grants a total of 3 triggers of the spell.',1,7),
(102564,140080,1,100,'On a spell cast this spell will cast Heretical Strike on target.  ',0,0),
(102565,140080,1,100,'Applies Knockdown.  Lasts for 2.5 seconds.',1,1),
(102566,140080,1,100,'Throws target back',2,2),
(102567,140080,1,100,'Blurs vision of target',2,3),
(102568,140080,1,100,'Stuns target',2,4),
(102569,140080,1,100,'Does not affect Epic targets',2,5),
(102570,140080,1,100,'Inflicts 315 - 525 divine damage on target',1,6),
(102571,140080,1,100,'Grants a total of 3 triggers of the spell.',1,7),
(102572,140080,2,100,'On a spell cast this spell will cast Heretical Strike on target.  ',0,0),
(102573,140080,2,100,'Applies Knockdown.  Lasts for 2.5 seconds.',1,1),
(102574,140080,2,100,'Throws target back',2,2),
(102575,140080,2,100,'Blurs vision of target',2,3),
(102576,140080,2,100,'Stuns target',2,4),
(102577,140080,2,100,'Does not affect Epic targets',2,5),
(102578,140080,2,100,'Inflicts 332 - 554 divine damage on target',1,6),
(102579,140080,2,100,'Grants a total of 3 triggers of the spell.',1,7),
(102580,140080,3,100,'On a spell cast this spell will cast Heretical Strike on target.  ',0,0),
(102581,140080,3,100,'Applies Knockdown.  Lasts for 2.5 seconds.',1,1),
(102582,140080,3,100,'Throws target back',2,2),
(102583,140080,3,100,'Blurs vision of target',2,3),
(102584,140080,3,100,'Stuns target',2,4),
(102585,140080,3,100,'Does not affect Epic targets',2,5),
(102586,140080,3,100,'Inflicts 350 - 583 divine damage on target',1,6),
(102587,140080,3,100,'Grants a total of 3 triggers of the spell.',1,7),
(102588,140080,4,100,'On a spell cast this spell will cast Heretical Strike on target.  ',0,0),
(102589,140080,4,100,'Applies Knockdown.  Lasts for 2.5 seconds.',1,1),
(102590,140080,4,100,'Throws target back',2,2),
(102591,140080,4,100,'Blurs vision of target',2,3),
(102592,140080,4,100,'Stuns target',2,4),
(102593,140080,4,100,'Does not affect Epic targets',2,5),
(102594,140080,4,100,'Inflicts 385 - 642 divine damage on target',1,6),
(102595,140080,4,100,'Grants a total of 3 triggers of the spell.',1,7),
(102596,140080,5,100,'On a spell cast this spell will cast Heretical Strike on target.  ',0,0),
(102597,140080,5,100,'Applies Knockdown.  Lasts for 2.5 seconds.',1,1),
(102598,140080,5,100,'Throws target back',2,2),
(102599,140080,5,100,'Blurs vision of target',2,3),
(102600,140080,5,100,'Stuns target',2,4),
(102601,140080,5,100,'Does not affect Epic targets',2,5),
(102602,140080,5,100,'Inflicts 420 - 700 divine damage on target',1,6),
(102603,140080,5,100,'Grants a total of 3 triggers of the spell.',1,7),
(102604,140080,7,100,'On a spell cast this spell will cast Heretical Strike on target.  ',0,0),
(102605,140080,7,100,'Applies Knockdown.  Lasts for 2.5 seconds.',1,1),
(102606,140080,7,100,'Throws target back',2,2),
(102607,140080,7,100,'Blurs vision of target',2,3),
(102608,140080,7,100,'Stuns target',2,4),
(102609,140080,7,100,'Does not affect Epic targets',2,5),
(102610,140080,7,100,'Inflicts 539 - 898 divine damage on target',1,6),
(102611,140080,7,100,'Grants a total of 3 triggers of the spell.',1,7),
(102612,140080,9,100,'On a spell cast this spell will cast Heretical Strike on target.  ',0,0),
(102613,140080,9,100,'Applies Knockdown.  Lasts for 2.5 seconds.',1,1),
(102614,140080,9,100,'Throws target back',2,2),
(102615,140080,9,100,'Blurs vision of target',2,3),
(102616,140080,9,100,'Stuns target',2,4),
(102617,140080,9,100,'Does not affect Epic targets',2,5),
(102618,140080,9,100,'Inflicts 560 - 933 divine damage on target',1,6),
(102619,140080,9,100,'Grants a total of 3 triggers of the spell.',1,7),
(102620,140081,1,100,'On a spell cast this spell will cast Heretical Strike on target.  ',0,0),
(102621,140081,1,100,'Applies Knockdown.  Lasts for 2.5 seconds.',1,1),
(102622,140081,1,100,'Throws target back',2,2),
(102623,140081,1,100,'Blurs vision of target',2,3),
(102624,140081,1,100,'Stuns target',2,4),
(102625,140081,1,100,'Does not affect Epic targets',2,5),
(102626,140081,1,100,'Inflicts 381 - 635 divine damage on target',1,6),
(102627,140081,1,100,'Grants a total of 3 triggers of the spell.',1,7),
(102628,140081,4,100,'On a spell cast this spell will cast Heretical Strike on target.  ',0,0),
(102629,140081,4,100,'Applies Knockdown.  Lasts for 2.5 seconds.',1,1),
(102630,140081,4,100,'Throws target back',2,2),
(102631,140081,4,100,'Blurs vision of target',2,3),
(102632,140081,4,100,'Stuns target',2,4),
(102633,140081,4,100,'Does not affect Epic targets',2,5),
(102634,140081,4,100,'Inflicts 466 - 777 divine damage on target',1,6),
(102635,140081,4,100,'Grants a total of 3 triggers of the spell.',1,7),
(102636,140081,5,100,'On a spell cast this spell will cast Heretical Strike on target.  ',0,0),
(102637,140081,5,100,'Applies Knockdown.  Lasts for 2.5 seconds.',1,1),
(102638,140081,5,100,'Throws target back',2,2),
(102639,140081,5,100,'Blurs vision of target',2,3),
(102640,140081,5,100,'Stuns target',2,4),
(102641,140081,5,100,'Does not affect Epic targets',2,5),
(102642,140081,5,100,'Inflicts 508 - 847 divine damage on target',1,6),
(102643,140081,5,100,'Grants a total of 3 triggers of the spell.',1,7),
(102644,140081,7,100,'On a spell cast this spell will cast Heretical Strike on target.  ',0,0),
(102645,140081,7,100,'Applies Knockdown.  Lasts for 2.5 seconds.',1,1),
(102646,140081,7,100,'Throws target back',2,2),
(102647,140081,7,100,'Blurs vision of target',2,3),
(102648,140081,7,100,'Stuns target',2,4),
(102649,140081,7,100,'Does not affect Epic targets',2,5),
(102650,140081,7,100,'Inflicts 652 - 1087 divine damage on target',1,6),
(102651,140081,7,100,'Grants a total of 3 triggers of the spell.',1,7),
(102652,140081,9,100,'On a spell cast this spell will cast Heretical Strike on target.  ',0,0),
(102653,140081,9,100,'Applies Knockdown.  Lasts for 2.5 seconds.',1,1),
(102654,140081,9,100,'Throws target back',2,2),
(102655,140081,9,100,'Blurs vision of target',2,3),
(102656,140081,9,100,'Stuns target',2,4),
(102657,140081,9,100,'Does not affect Epic targets',2,5),
(102658,140081,9,100,'Inflicts 678 - 1130 divine damage on target',1,6),
(102659,140081,9,100,'Grants a total of 3 triggers of the spell.',1,7),
(102660,140082,1,100,'On a spell cast this spell will cast Heretical Strike on target.  ',0,0),
(102661,140082,1,100,'Applies Knockdown.  Lasts for 2.5 seconds.',1,1),
(102662,140082,1,100,'Throws target back',2,2),
(102663,140082,1,100,'Blurs vision of target',2,3),
(102664,140082,1,100,'Stuns target',2,4),
(102665,140082,1,100,'Does not affect Epic targets',2,5),
(102666,140082,1,100,'Inflicts 446 - 744 divine damage on target',1,6),
(102667,140082,1,100,'Grants a total of 3 triggers of the spell.',1,7),
(102668,140082,4,100,'On a spell cast this spell will cast Heretical Strike on target.  ',0,0),
(102669,140082,4,100,'Applies Knockdown.  Lasts for 2.5 seconds.',1,1),
(102670,140082,4,100,'Throws target back',2,2),
(102671,140082,4,100,'Blurs vision of target',2,3),
(102672,140082,4,100,'Stuns target',2,4),
(102673,140082,4,100,'Does not affect Epic targets',2,5),
(102674,140082,4,100,'Inflicts 545 - 909 divine damage on target',1,6),
(102675,140082,4,100,'Grants a total of 3 triggers of the spell.',1,7),
(102676,140082,5,100,'On a spell cast this spell will cast Heretical Strike on target.  ',0,0),
(102677,140082,5,100,'Applies Knockdown.  Lasts for 2.5 seconds.',1,1),
(102678,140082,5,100,'Throws target back',2,2),
(102679,140082,5,100,'Blurs vision of target',2,3),
(102680,140082,5,100,'Stuns target',2,4),
(102681,140082,5,100,'Does not affect Epic targets',2,5),
(102682,140082,5,100,'Inflicts 595 - 991 divine damage on target',1,6),
(102683,140082,5,100,'Grants a total of 3 triggers of the spell.',1,7),
(102684,140082,7,100,'On a spell cast this spell will cast Heretical Strike on target.  ',0,0),
(102685,140082,7,100,'Applies Knockdown.  Lasts for 2.5 seconds.',1,1),
(102686,140082,7,100,'Throws target back',2,2),
(102687,140082,7,100,'Blurs vision of target',2,3),
(102688,140082,7,100,'Stuns target',2,4),
(102689,140082,7,100,'Does not affect Epic targets',2,5),
(102690,140082,7,100,'Inflicts 763 - 1272 divine damage on target',1,6),
(102691,140082,7,100,'Grants a total of 3 triggers of the spell.',1,7),
(102692,140082,9,100,'On a spell cast this spell will cast Heretical Strike on target.  ',0,0),
(102693,140082,9,100,'Applies Knockdown.  Lasts for 2.5 seconds.',1,1),
(102694,140082,9,100,'Throws target back',2,2),
(102695,140082,9,100,'Blurs vision of target',2,3),
(102696,140082,9,100,'Stuns target',2,4),
(102697,140082,9,100,'Does not affect Epic targets',2,5),
(102698,140082,9,100,'Inflicts 793 - 1322 divine damage on target',1,6),
(102699,140082,9,100,'Grants a total of 3 triggers of the spell.',1,7),
(102700,2000486,1,100,'Increases Crit Bonus of raid and group members (AE) by 15.0%',0,0),
(102701,2000486,1,100,'Increases Potency of raid and group members (AE) by 15.0%',0,1),
(102702,140083,1,100,'Inflicts 112 - 137 heat damage on target encounter',0,0),
(102703,140083,2,100,'Inflicts 118 - 144 heat damage on target encounter',0,0),
(102704,140083,3,100,'Inflicts 124 - 152 heat damage on target encounter',0,0),
(102705,140083,4,100,'Inflicts 137 - 167 heat damage on target encounter',0,0),
(102706,140083,5,100,'Inflicts 149 - 182 heat damage on target encounter',0,0),
(102707,140083,7,100,'Inflicts 191 - 234 heat damage on target encounter',0,0),
(102708,140083,9,100,'Inflicts 199 - 243 heat damage on target encounter',0,0),
(102709,140084,1,100,'Inflicts 180 - 220 heat damage on target encounter',0,0),
(102710,140084,2,100,'Inflicts 190 - 232 heat damage on target encounter',0,0),
(102711,140084,3,100,'Inflicts 200 - 244 heat damage on target encounter',0,0),
(102712,140084,4,100,'Inflicts 220 - 269 heat damage on target encounter',0,0),
(102713,140084,5,100,'Inflicts 240 - 293 heat damage on target encounter',0,0),
(102714,140084,7,100,'Inflicts 308 - 377 heat damage on target encounter',0,0),
(102715,140084,9,100,'Inflicts 320 - 391 heat damage on target encounter',0,0),
(102716,140085,1,100,'Inflicts 271 - 332 heat damage on target encounter',0,0),
(102717,140085,2,100,'Inflicts 286 - 350 heat damage on target encounter',0,0),
(102718,140085,3,100,'Inflicts 301 - 368 heat damage on target encounter',0,0),
(102719,140085,4,100,'Inflicts 332 - 405 heat damage on target encounter',0,0),
(102720,140085,5,100,'Inflicts 362 - 442 heat damage on target encounter',0,0),
(102721,140085,7,100,'Inflicts 464 - 567 heat damage on target encounter',0,0),
(102722,140085,9,100,'Inflicts 482 - 590 heat damage on target encounter',0,0),
(102723,140086,1,100,'Inflicts 350 - 428 heat damage on target encounter',0,0),
(102724,140086,2,100,'Inflicts 370 - 452 heat damage on target encounter',0,0),
(102725,140086,3,100,'Inflicts 389 - 476 heat damage on target encounter',0,0),
(102726,140086,4,100,'Inflicts 428 - 523 heat damage on target encounter',0,0),
(102727,140086,5,100,'Inflicts 467 - 571 heat damage on target encounter',0,0),
(102728,140086,7,100,'Inflicts 600 - 733 heat damage on target encounter',0,0),
(102729,140086,9,100,'Inflicts 623 - 761 heat damage on target encounter',0,0),
(102730,140087,1,100,'Inflicts 432 - 528 heat damage on target encounter',0,0),
(102731,140087,2,100,'Inflicts 456 - 557 heat damage on target encounter',0,0),
(102732,140087,3,100,'Inflicts 480 - 587 heat damage on target encounter',0,0),
(102733,140087,4,100,'Inflicts 528 - 645 heat damage on target encounter',0,0),
(102734,140087,5,100,'Inflicts 576 - 704 heat damage on target encounter',0,0),
(102735,140087,7,100,'Inflicts 739 - 903 heat damage on target encounter',0,0),
(102736,140087,9,100,'Inflicts 768 - 939 heat damage on target encounter',0,0),
(102737,140088,1,100,'Inflicts 520 - 636 heat damage on target encounter',0,0),
(102738,140088,4,100,'Inflicts 636 - 777 heat damage on target encounter',0,0),
(102739,140088,5,100,'Inflicts 693 - 847 heat damage on target encounter',0,0),
(102740,140088,7,100,'Inflicts 890 - 1087 heat damage on target encounter',0,0),
(102741,140088,9,100,'Inflicts 924 - 1130 heat damage on target encounter',0,0),
(102742,140089,1,100,'Inflicts 558 - 682 heat damage on target encounter',0,0),
(102743,140089,4,100,'Inflicts 682 - 834 heat damage on target encounter',0,0),
(102744,140089,5,100,'Inflicts 744 - 909 heat damage on target encounter',0,0),
(102745,140089,7,100,'Inflicts 955 - 1167 heat damage on target encounter',0,0),
(102746,140089,9,100,'Inflicts 992 - 1212 heat damage on target encounter',0,0),
(102747,2000487,1,100,'Reduces noxious and arcane damage done to group members (AE) by 3%',0,0),
(102748,2000487,1,100,'Grants a 10.0% chance to resist Stifle effects',0,1),
(102749,2000488,1,100,'Applies Hexation Immunity on termination.  Lasts for 30.0 seconds.',0,0),
(102750,2000488,1,100,'Cannot be modified except by direct means',1,1),
(102751,2000488,1,100,'Increases resistibility by 15%',0,2),
(102752,2000488,1,100,'Reduces trigger percentage by 40% of their original value',0,3),
(102753,2000488,1,100,'You cannot cast Hexation on a target that has recently been effected by it.',0,4),
(102754,2000488,1,100,'Cannot be modified except by direct means',0,5),
(102755,170076,1,100,'Applies Awakening on termination.',0,0),
(102756,170076,1,100,'Heals target for 719 - 879',1,1),
(102757,170076,2,100,'Applies Awakening on termination.',0,0),
(102758,170076,2,100,'Heals target for 759 - 927',1,1),
(102759,170076,3,100,'Applies Awakening on termination.',0,0),
(102760,170076,3,100,'Heals target for 799 - 976',1,1),
(102761,170076,4,100,'Applies Awakening on termination.',0,0),
(102762,170076,4,100,'Heals target for 879 - 1074',1,1),
(102763,170076,5,100,'Applies Awakening on termination.',0,0),
(102764,170076,5,100,'Heals target for 959 - 1172',1,1),
(102765,170076,7,100,'Applies Awakening on termination.',0,0),
(102766,170076,7,100,'Heals target for 1230 - 1503',1,1),
(102767,170076,9,100,'Applies Awakening on termination.',0,0),
(102768,170076,9,100,'Heals target for 1278 - 1562',1,1),
(102769,170077,1,100,'Applies Awakening on termination.',0,0),
(102770,170077,1,100,'Heals target for 1089 - 1332',1,1),
(102771,170077,2,100,'Applies Awakening on termination.',0,0),
(102772,170077,2,100,'Heals target for 1150 - 1406',1,1),
(102773,170077,3,100,'Applies Awakening on termination.',0,0),
(102774,170077,3,100,'Heals target for 1211 - 1480',1,1),
(102775,170077,4,100,'Applies Awakening on termination.',0,0),
(102776,170077,4,100,'Heals target for 1332 - 1627',1,1),
(102777,170077,5,100,'Applies Awakening on termination.',0,0),
(102778,170077,5,100,'Heals target for 1453 - 1775',1,1),
(102779,170077,7,100,'Applies Awakening on termination.',0,0),
(102780,170077,7,100,'Heals target for 1864 - 2278',1,1),
(102781,170077,9,100,'Applies Awakening on termination.',0,0),
(102782,170077,9,100,'Heals target for 1937 - 2367',1,1),
(102783,170078,1,100,'Applies Awakening on termination.',0,0),
(102784,170078,1,100,'Heals target for 1355 - 1656',1,1),
(102785,170078,4,100,'Applies Awakening on termination.',0,0),
(102786,170078,4,100,'Heals target for 1656 - 2024',1,1),
(102787,170078,5,100,'Applies Awakening on termination.',0,0),
(102788,170078,5,100,'Heals target for 1806 - 2208',1,1),
(102789,170078,7,100,'Applies Awakening on termination.',0,0),
(102790,170078,7,100,'Heals target for 2318 - 2833',1,1),
(102791,170078,9,100,'Applies Awakening on termination.',0,0),
(102792,170078,9,100,'Heals target for 2408 - 2944',1,1),
(102793,170079,1,100,'Applies Awakening on termination.',0,0),
(102794,170079,1,100,'Heals target for 1490 - 1822',1,1),
(102795,170079,4,100,'Applies Awakening on termination.',0,0),
(102796,170079,4,100,'Heals target for 1822 - 2226',1,1),
(102797,170079,5,100,'Applies Awakening on termination.',0,0),
(102798,170079,5,100,'Heals target for 1987 - 2429',1,1),
(102799,170079,7,100,'Applies Awakening on termination.',0,0),
(102800,170079,7,100,'Heals target for 2550 - 3117',1,1),
(102801,170079,9,100,'Applies Awakening on termination.',0,0),
(102802,170079,9,100,'Heals target for 2650 - 3238',1,1),
(102803,440096,1,100,'Applies Hidden Reserves.',0,0),
(102804,440096,1,100,'Repairs target for 10.0% of max health',1,1),
(102805,440096,1,100,'This effect cannot be critically applied.',2,2),
(102806,440096,1,100,'This triggers when the construct falls below 75%, 50% or 25% maximum health. It can only trigger once every 60 seconds per threshold.',1,3),
(102807,160062,1,100,'Heals target for 215 - 263 instantly and every 2 seconds',0,0),
(102808,160062,1,100,'Increases power of target by 17 - 20 instantly and every 2 seconds',0,1),
(102809,160062,2,100,'Heals target for 227 - 277 instantly and every 2 seconds',0,0),
(102810,160062,2,100,'Increases power of target by 18 - 22 instantly and every 2 seconds',0,1),
(102811,160062,3,100,'Heals target for 239 - 292 instantly and every 2 seconds',0,0),
(102812,160062,3,100,'Increases power of target by 19 - 23 instantly and every 2 seconds',0,1),
(102813,160062,4,100,'Heals target for 263 - 321 instantly and every 2 seconds',0,0),
(102814,160062,4,100,'Increases power of target by 20 - 25 instantly and every 2 seconds',0,1),
(102815,160062,5,100,'Heals target for 287 - 350 instantly and every 2 seconds',0,0),
(102816,160062,5,100,'Increases power of target by 22 - 27 instantly and every 2 seconds',0,1),
(102817,160062,7,100,'Heals target for 368 - 450 instantly and every 2 seconds',0,0),
(102818,160062,7,100,'Increases power of target by 29 - 35 instantly and every 2 seconds',0,1),
(102819,160062,9,100,'Heals target for 382 - 467 instantly and every 2 seconds',0,0),
(102820,160062,9,100,'Increases power of target by 30 - 36 instantly and every 2 seconds',0,1),
(102821,160063,1,100,'Heals target for 324 - 396 instantly and every 2 seconds',0,0),
(102822,160063,1,100,'Increases power of target by 25 - 31 instantly and every 2 seconds',0,1),
(102823,160063,2,100,'Heals target for 342 - 419 instantly and every 2 seconds',0,0),
(102824,160063,2,100,'Increases power of target by 27 - 33 instantly and every 2 seconds',0,1),
(102825,160063,3,100,'Heals target for 360 - 441 instantly and every 2 seconds',0,0),
(102826,160063,3,100,'Increases power of target by 28 - 34 instantly and every 2 seconds',0,1),
(102827,160063,4,100,'Increases power of target by 31 - 38 instantly and every 2 seconds',0,0),
(102828,160063,4,100,'Heals target for 396 - 485 instantly and every 2 seconds',0,1),
(102829,160063,5,100,'Heals target for 433 - 529 instantly and every 2 seconds',0,0),
(102830,160063,5,100,'Increases power of target by 34 - 41 instantly and every 2 seconds',0,1),
(102831,160063,7,100,'Heals target for 555 - 678 instantly and every 2 seconds',0,0),
(102832,160063,7,100,'Increases power of target by 43 - 53 instantly and every 2 seconds',0,1),
(102833,160063,9,100,'Heals target for 577 - 705 instantly and every 2 seconds',0,0),
(102834,160063,9,100,'Increases power of target by 45 - 55 instantly and every 2 seconds',0,1),
(102835,160064,1,100,'Heals target for 437 - 535 instantly and every 2 seconds',0,0),
(102836,160064,1,100,'Increases power of target by 34 - 42 instantly and every 2 seconds',0,1),
(102837,160064,2,100,'Heals target for 462 - 564 instantly and every 2 seconds',0,0),
(102838,160064,2,100,'Increases power of target by 36 - 44 instantly and every 2 seconds',0,1),
(102839,160064,3,100,'Heals target for 486 - 594 instantly and every 2 seconds',0,0),
(102840,160064,3,100,'Increases power of target by 38 - 46 instantly and every 2 seconds',0,1),
(102841,160064,4,100,'Heals target for 535 - 653 instantly and every 2 seconds',0,0),
(102842,160064,4,100,'Increases power of target by 42 - 51 instantly and every 2 seconds',0,1),
(102843,160064,5,100,'Heals target for 583 - 713 instantly and every 2 seconds',0,0),
(102844,160064,5,100,'Increases power of target by 45 - 55 instantly and every 2 seconds',0,1),
(102845,160064,7,100,'Heals target for 748 - 915 instantly and every 2 seconds',0,0),
(102846,160064,7,100,'Increases power of target by 58 - 71 instantly and every 2 seconds',0,1),
(102847,160064,9,100,'Heals target for 778 - 950 instantly and every 2 seconds',0,0),
(102848,160064,9,100,'Increases power of target by 60 - 74 instantly and every 2 seconds',0,1),
(102849,160065,1,100,'Heals target for 521 - 637 instantly and every 2 seconds',0,0),
(102850,160065,1,100,'Increases power of target by 41 - 50 instantly and every 2 seconds',0,1),
(102851,160065,4,100,'Heals target for 637 - 779 instantly and every 2 seconds',0,0),
(102852,160065,4,100,'Increases power of target by 50 - 61 instantly and every 2 seconds',0,1),
(102853,160065,5,100,'Heals target for 695 - 849 instantly and every 2 seconds',0,0),
(102854,160065,5,100,'Increases power of target by 54 - 66 instantly and every 2 seconds',0,1),
(102855,160065,7,100,'Heals target for 892 - 1090 instantly and every 2 seconds',0,0),
(102856,160065,7,100,'Increases power of target by 69 - 85 instantly and every 2 seconds',0,1),
(102857,160065,9,100,'Heals target for 927 - 1133 instantly and every 2 seconds',0,0),
(102858,160065,9,100,'Increases power of target by 72 - 88 instantly and every 2 seconds',0,1),
(102859,160066,1,100,'Heals target for 547 - 668 instantly and every 2 seconds',0,0),
(102860,160066,1,100,'Increases power of target by 43 - 52 instantly and every 2 seconds',0,1),
(102861,160066,4,100,'Heals target for 668 - 817 instantly and every 2 seconds',0,0),
(102862,160066,4,100,'Increases power of target by 52 - 64 instantly and every 2 seconds',0,1),
(102863,160066,5,100,'Heals target for 729 - 891 instantly and every 2 seconds',0,0),
(102864,160066,5,100,'Increases power of target by 57 - 69 instantly and every 2 seconds',0,1),
(102865,160066,7,100,'Heals target for 936 - 1143 instantly and every 2 seconds',0,0),
(102866,160066,7,100,'Increases power of target by 73 - 89 instantly and every 2 seconds',0,1),
(102867,160066,9,100,'Heals target for 972 - 1188 instantly and every 2 seconds',0,0),
(102868,160066,9,100,'Increases power of target by 76 - 92 instantly and every 2 seconds',0,1),
(102869,100163,1,100,'Heals target for 175 - 213',0,0),
(102870,100163,1,100,'This effect cannot be critically applied.',1,1),
(102871,100163,1,100,'Increases Mitigation of target vs physical damage by 76',0,2),
(102872,100163,1,100,'The healing of this spell cannot be modified except by direct means',0,3),
(102873,100163,2,100,'Heals target for 184 - 225',0,0),
(102874,100163,2,100,'This effect cannot be critically applied.',1,1),
(102875,100163,2,100,'Increases Mitigation of target vs physical damage by 80',0,2),
(102876,100163,2,100,'The healing of this spell cannot be modified except by direct means',0,3),
(102877,100163,3,100,'Heals target for 194 - 237',0,0),
(102878,100163,3,100,'This effect cannot be critically applied.',1,1),
(102879,100163,3,100,'Increases Mitigation of target vs physical damage by 84',0,2),
(102880,100163,3,100,'The healing of this spell cannot be modified except by direct means',0,3),
(102881,100163,4,100,'Heals target for 213 - 261',0,0),
(102882,100163,4,100,'This effect cannot be critically applied.',1,1),
(102883,100163,4,100,'Increases Mitigation of target vs physical damage by 93',0,2),
(102884,100163,4,100,'The healing of this spell cannot be modified except by direct means',0,3),
(102885,100163,5,100,'Heals target for 233 - 285',0,0),
(102886,100163,5,100,'This effect cannot be critically applied.',1,1),
(102887,100163,5,100,'Increases Mitigation of target vs physical damage by 101',0,2),
(102888,100163,5,100,'The healing of this spell cannot be modified except by direct means',0,3),
(102889,100163,7,100,'Heals target for 299 - 365',0,0),
(102890,100163,7,100,'This effect cannot be critically applied.',1,1),
(102891,100163,7,100,'Increases Mitigation of target vs physical damage by 130',0,2),
(102892,100163,7,100,'The healing of this spell cannot be modified except by direct means',0,3),
(102893,100163,9,100,'Heals target for 310 - 379',0,0),
(102894,100163,9,100,'This effect cannot be critically applied.',1,1),
(102895,100163,9,100,'Increases Mitigation of target vs physical damage by 135',0,2),
(102896,100163,9,100,'The healing of this spell cannot be modified except by direct means',0,3),
(102897,100164,1,100,'Heals target for 15.4 - 18.8% of max health',0,0),
(102898,100164,1,100,'This effect cannot be critically applied.',1,1),
(102899,100164,1,100,'Increases Mitigation of target vs physical damage by 129',0,2),
(102900,100164,1,100,'The healing of this spell cannot be modified except by direct means',0,3),
(102901,100164,2,100,'Heals target for 16.2 - 19.9% of max health',0,0),
(102902,100164,2,100,'This effect cannot be critically applied.',1,1),
(102903,100164,2,100,'Increases Mitigation of target vs physical damage by 136',0,2),
(102904,100164,2,100,'The healing of this spell cannot be modified except by direct means',0,3),
(102905,100164,3,100,'Heals target for 17.1 - 20.9% of max health',0,0),
(102906,100164,3,100,'This effect cannot be critically applied.',1,1),
(102907,100164,3,100,'Increases Mitigation of target vs physical damage by 143',0,2),
(102908,100164,3,100,'The healing of this spell cannot be modified except by direct means',0,3),
(102909,100164,4,100,'Heals target for 18.8 - 23.0% of max health',0,0),
(102910,100164,4,100,'This effect cannot be critically applied.',1,1),
(102911,100164,4,100,'Increases Mitigation of target vs physical damage by 157',0,2),
(102912,100164,4,100,'The healing of this spell cannot be modified except by direct means',0,3),
(102913,100164,5,100,'Heals target for 20.5 - 25.1% of max health',0,0),
(102914,100164,5,100,'This effect cannot be critically applied.',1,1),
(102915,100164,5,100,'Increases Mitigation of target vs physical damage by 172',0,2),
(102916,100164,5,100,'The healing of this spell cannot be modified except by direct means',0,3),
(102917,100164,7,100,'Heals target for 26.3 - 32.2% of max health',0,0),
(102918,100164,7,100,'This effect cannot be critically applied.',1,1),
(102919,100164,7,100,'Increases Mitigation of target vs physical damage by 220',0,2),
(102920,100164,7,100,'The healing of this spell cannot be modified except by direct means',0,3),
(102921,100164,9,100,'Heals target for 27.4 - 33.4% of max health',0,0),
(102922,100164,9,100,'This effect cannot be critically applied.',1,1),
(102923,100164,9,100,'Increases Mitigation of target vs physical damage by 229',0,2),
(102924,100164,9,100,'The healing of this spell cannot be modified except by direct means',0,3),
(102925,100164,10,100,'Heals target for 28.7 - 35.1% of max health',0,0),
(102926,100164,10,100,'This effect cannot be critically applied.',1,1),
(102927,100164,10,100,'Increases Mitigation of target vs physical damage by 240',0,2),
(102928,100164,10,100,'The healing of this spell cannot be modified except by direct means',0,3),
(102929,100165,1,100,'Heals target for 15.4 - 18.8% of max health',0,0),
(102930,100165,1,100,'This effect cannot be critically applied.',1,1),
(102931,100165,1,100,'Increases Mitigation of target vs physical damage by 211',0,2),
(102932,100165,1,100,'The healing of this spell cannot be modified except by direct means',0,3),
(102933,100165,2,100,'Heals target for 16.2 - 19.9% of max health',0,0),
(102934,100165,2,100,'This effect cannot be critically applied.',1,1),
(102935,100165,2,100,'Increases Mitigation of target vs physical damage by 222',0,2),
(102936,100165,2,100,'The healing of this spell cannot be modified except by direct means',0,3),
(102937,100165,3,100,'Heals target for 17.1 - 20.9% of max health',0,0),
(102938,100165,3,100,'This effect cannot be critically applied.',1,1),
(102939,100165,3,100,'Increases Mitigation of target vs physical damage by 234',0,2),
(102940,100165,3,100,'The healing of this spell cannot be modified except by direct means',0,3),
(102941,100165,4,100,'Heals target for 11.8 - 14.4% of max health',0,0),
(102942,100165,4,100,'This effect cannot be critically applied.',1,1),
(102943,100165,4,100,'Increases Mitigation of target vs physical damage by 257',0,2),
(102944,100165,4,100,'The healing of this spell cannot be modified except by direct means',0,3),
(102945,100165,5,100,'Heals target for 12.8 - 15.7% of max health',0,0),
(102946,100165,5,100,'This effect cannot be critically applied.',1,1),
(102947,100165,5,100,'Increases Mitigation of target vs physical damage by 281',0,2),
(102948,100165,5,100,'The healing of this spell cannot be modified except by direct means',0,3),
(102949,100165,7,100,'Heals target for 26.3 - 32.2% of max health',0,0),
(102950,100165,7,100,'This effect cannot be critically applied.',1,1),
(102951,100165,7,100,'Increases Mitigation of target vs physical damage by 360',0,2),
(102952,100165,7,100,'The healing of this spell cannot be modified except by direct means',0,3),
(102953,100165,9,100,'Heals target for 27.4 - 33.4% of max health',0,0),
(102954,100165,9,100,'This effect cannot be critically applied.',1,1),
(102955,100165,9,100,'Increases Mitigation of target vs physical damage by 374',0,2),
(102956,100165,9,100,'The healing of this spell cannot be modified except by direct means',0,3),
(102957,100166,1,100,'Heals target for 15.4 - 18.8% of max health',0,0),
(102958,100166,1,100,'This effect cannot be critically applied.',1,1),
(102959,100166,1,100,'Increases Mitigation of target vs physical damage by 292',0,2),
(102960,100166,1,100,'The healing of this spell cannot be modified except by direct means',0,3),
(102961,100166,2,100,'Heals target for 16.2 - 19.9% of max health',0,0),
(102962,100166,2,100,'This effect cannot be critically applied.',1,1),
(102963,100166,2,100,'Increases Mitigation of target vs physical damage by 309',0,2),
(102964,100166,2,100,'The healing of this spell cannot be modified except by direct means',0,3),
(102965,100166,3,100,'Heals target for 17.1 - 20.9% of max health',0,0),
(102966,100166,3,100,'This effect cannot be critically applied.',1,1),
(102967,100166,3,100,'Increases Mitigation of target vs physical damage by 325',0,2),
(102968,100166,3,100,'The healing of this spell cannot be modified except by direct means',0,3),
(102969,100166,4,100,'Heals target for 18.8 - 23.0% of max health',0,0),
(102970,100166,4,100,'This effect cannot be critically applied.',1,1),
(102971,100166,4,100,'Increases Mitigation of target vs physical damage by 358',0,2),
(102972,100166,4,100,'The healing of this spell cannot be modified except by direct means',0,3),
(102973,100166,5,100,'Heals target for 20.5 - 25.1% of max health',0,0),
(102974,100166,5,100,'This effect cannot be critically applied.',1,1),
(102975,100166,5,100,'Increases Mitigation of target vs physical damage by 390',0,2),
(102976,100166,5,100,'The healing of this spell cannot be modified except by direct means',0,3),
(102977,100166,7,100,'Heals target for 26.3 - 32.2% of max health',0,0),
(102978,100166,7,100,'This effect cannot be critically applied.',1,1),
(102979,100166,7,100,'Increases Mitigation of target vs physical damage by 500',0,2),
(102980,100166,7,100,'The healing of this spell cannot be modified except by direct means',0,3),
(102981,100166,9,100,'Heals target for 27.4 - 33.4% of max health',0,0),
(102982,100166,9,100,'This effect cannot be critically applied.',1,1),
(102983,100166,9,100,'Increases Mitigation of target vs physical damage by 520',0,2),
(102984,100166,9,100,'The healing of this spell cannot be modified except by direct means',0,3),
(102985,100166,10,100,'Heals target for 28.7 - 35.1% of max health',0,0),
(102986,100166,10,100,'This effect cannot be critically applied.',1,1),
(102987,100166,10,100,'Increases Mitigation of target vs physical damage by 546',0,2),
(102988,100166,10,100,'The healing of this spell cannot be modified except by direct means',0,3),
(102989,100167,1,100,'Heals target for 15.4 - 18.8% of max health',0,0),
(102990,100167,1,100,'This effect cannot be critically applied.',1,1),
(102991,100167,1,100,'Increases Mitigation of target vs physical damage by 374',0,2),
(102992,100167,1,100,'The healing of this spell cannot be modified except by direct means',0,3),
(102993,100167,2,100,'Heals target for 16.2 - 19.9% of max health',0,0),
(102994,100167,2,100,'This effect cannot be critically applied.',1,1),
(102995,100167,2,100,'Increases Mitigation of target vs physical damage by 395',0,2),
(102996,100167,2,100,'The healing of this spell cannot be modified except by direct means',0,3),
(102997,100167,3,100,'Heals target for 17.1 - 20.9% of max health',0,0),
(102998,100167,3,100,'This effect cannot be critically applied.',1,1),
(102999,100167,3,100,'Increases Mitigation of target vs physical damage by 416',0,2),
(103000,100167,3,100,'The healing of this spell cannot be modified except by direct means',0,3),
(103001,100167,4,100,'Heals target for 18.8 - 23.0% of max health',0,0),
(103002,100167,4,100,'This effect cannot be critically applied.',1,1),
(103003,100167,4,100,'Increases Mitigation of target vs physical damage by 458',0,2),
(103004,100167,4,100,'The healing of this spell cannot be modified except by direct means',0,3),
(103005,100167,5,100,'Heals target for 20.5 - 25.1% of max health',0,0),
(103006,100167,5,100,'This effect cannot be critically applied.',1,1),
(103007,100167,5,100,'Increases Mitigation of target vs physical damage by 499',0,2),
(103008,100167,5,100,'The healing of this spell cannot be modified except by direct means',0,3),
(103009,100167,7,100,'Heals target for 26.3 - 32.2% of max health',0,0),
(103010,100167,7,100,'This effect cannot be critically applied.',1,1),
(103011,100167,7,100,'Increases Mitigation of target vs physical damage by 641',0,2),
(103012,100167,7,100,'The healing of this spell cannot be modified except by direct means',0,3),
(103013,100167,9,100,'Heals target for 27.4 - 33.4% of max health',0,0),
(103014,100167,9,100,'This effect cannot be critically applied.',1,1),
(103015,100167,9,100,'Increases Mitigation of target vs physical damage by 666',0,2),
(103016,100167,9,100,'The healing of this spell cannot be modified except by direct means',0,3),
(103017,100167,10,100,'Heals target for 28.7 - 35.1% of max health',0,0),
(103018,100167,10,100,'This effect cannot be critically applied.',1,1),
(103019,100167,10,100,'Increases Mitigation of target vs physical damage by 699',0,2),
(103020,100167,10,100,'The healing of this spell cannot be modified except by direct means',0,3),
(103021,100168,1,100,'Heals target for 15.4 - 18.8% of max health',0,0),
(103022,100168,1,100,'This effect cannot be critically applied.',1,1),
(103023,100168,1,100,'Increases Mitigation of target vs physical damage by 467',0,2),
(103024,100168,1,100,'The healing of this spell cannot be modified except by direct means',0,3),
(103025,100168,2,100,'Heals target for 16.2 - 19.9% of max health',0,0),
(103026,100168,2,100,'This effect cannot be critically applied.',1,1),
(103027,100168,2,100,'Increases Mitigation of target vs physical damage by 493',0,2),
(103028,100168,2,100,'The healing of this spell cannot be modified except by direct means',0,3),
(103029,100168,3,100,'Heals target for 17.1 - 20.9% of max health',0,0),
(103030,100168,3,100,'This effect cannot be critically applied.',1,1),
(103031,100168,3,100,'Increases Mitigation of target vs physical damage by 519',0,2),
(103032,100168,3,100,'The healing of this spell cannot be modified except by direct means',0,3),
(103033,100168,4,100,'Heals target for 18.8 - 23.0% of max health',0,0),
(103034,100168,4,100,'This effect cannot be critically applied.',1,1),
(103035,100168,4,100,'Increases Mitigation of target vs physical damage by 571',0,2),
(103036,100168,4,100,'The healing of this spell cannot be modified except by direct means',0,3),
(103037,100168,5,100,'Heals target for 20.5 - 25.1% of max health',0,0),
(103038,100168,5,100,'This effect cannot be critically applied.',1,1),
(103039,100168,5,100,'Increases Mitigation of target vs physical damage by 622',0,2),
(103040,100168,5,100,'The healing of this spell cannot be modified except by direct means',0,3),
(103041,100168,7,100,'Heals target for 26.3 - 32.2% of max health',0,0),
(103042,100168,7,100,'This effect cannot be critically applied.',1,1),
(103043,100168,7,100,'Increases Mitigation of target vs physical damage by 799',0,2),
(103044,100168,7,100,'The healing of this spell cannot be modified except by direct means',0,3),
(103045,100168,9,100,'Heals target for 27.4 - 33.4% of max health',0,0),
(103046,100168,9,100,'This effect cannot be critically applied.',1,1),
(103047,100168,9,100,'Increases Mitigation of target vs physical damage by 830',0,2),
(103048,100168,9,100,'The healing of this spell cannot be modified except by direct means',0,3),
(103049,100169,1,100,'Heals target for 15.4 - 18.8% of max health',0,0),
(103050,100169,1,100,'This effect cannot be critically applied.',1,1),
(103051,100169,1,100,'Increases Mitigation of target vs physical damage by 543',0,2),
(103052,100169,1,100,'The healing of this spell cannot be modified except by direct means',0,3),
(103053,100169,4,100,'Heals target for 18.8 - 23.0% of max health',0,0),
(103054,100169,4,100,'This effect cannot be critically applied.',1,1),
(103055,100169,4,100,'Increases Mitigation of target vs physical damage by 664',0,2),
(103056,100169,4,100,'The healing of this spell cannot be modified except by direct means',0,3),
(103057,100169,5,100,'Heals target for 20.5 - 25.1% of max health',0,0),
(103058,100169,5,100,'This effect cannot be critically applied.',1,1),
(103059,100169,5,100,'Increases Mitigation of target vs physical damage by 724',0,2),
(103060,100169,5,100,'The healing of this spell cannot be modified except by direct means',0,3),
(103061,100169,7,100,'Heals target for 26.3 - 32.2% of max health',0,0),
(103062,100169,7,100,'This effect cannot be critically applied.',1,1),
(103063,100169,7,100,'Increases Mitigation of target vs physical damage by 930',0,2),
(103064,100169,7,100,'The healing of this spell cannot be modified except by direct means',0,3),
(103065,100169,9,100,'Heals target for 27.4 - 33.4% of max health',0,0),
(103066,100169,9,100,'This effect cannot be critically applied.',1,1),
(103067,100169,9,100,'Increases Mitigation of target vs physical damage by 966',0,2),
(103068,100169,9,100,'The healing of this spell cannot be modified except by direct means',0,3),
(103069,100170,1,100,'Heals target for 15.4 - 18.8% of max health',0,0),
(103070,100170,1,100,'This effect cannot be critically applied.',1,1),
(103071,100170,1,100,'Increases Mitigation of target vs physical damage by 618',0,2),
(103072,100170,1,100,'The healing of this spell cannot be modified except by direct means',0,3),
(103073,100170,4,100,'Heals target for 18.8 - 23.0% of max health',0,0),
(103074,100170,4,100,'This effect cannot be critically applied.',1,1),
(103075,100170,4,100,'Increases Mitigation of target vs physical damage by 755',0,2),
(103076,100170,4,100,'The healing of this spell cannot be modified except by direct means',0,3),
(103077,100170,5,100,'Heals target for 16.0 - 19.5% of max health',0,0),
(103078,100170,5,100,'This effect cannot be critically applied.',1,1),
(103079,100170,5,100,'Increases Mitigation of target vs physical damage by 824',0,2),
(103080,100170,5,100,'The healing of this spell cannot be modified except by direct means',0,3),
(103081,100170,7,100,'Heals target for 26.3 - 32.2% of max health',0,0),
(103082,100170,7,100,'This effect cannot be critically applied.',1,1),
(103083,100170,7,100,'Increases Mitigation of target vs physical damage by 1057',0,2),
(103084,100170,7,100,'The healing of this spell cannot be modified except by direct means',0,3),
(103085,100170,9,100,'Heals target for 27.4 - 33.4% of max health',0,0),
(103086,100170,9,100,'This effect cannot be critically applied.',1,1),
(103087,100170,9,100,'Increases Mitigation of target vs physical damage by 1098',0,2),
(103088,100170,9,100,'The healing of this spell cannot be modified except by direct means',0,3),
(103089,130070,1,100,'Increases Max Health of group members (AE) by 21.6',0,0),
(103090,130070,1,100,'If fighter',1,1),
(103091,130070,1,100,'Increases Mitigation of group members (AE) vs physical damage by 93',0,2),
(103092,130070,1,100,'If not fighter',1,3),
(103094,130070,2,100,'Increases Max Health of group members (AE) by 22.8',0,0),
(103095,130070,2,100,'If fighter',1,1),
(103096,130070,2,100,'Increases Mitigation of group members (AE) vs physical damage by 98',0,2),
(103097,130070,2,100,'If not fighter',1,3),
(103099,130070,3,100,'Increases Max Health of group members (AE) by 24.0',0,0),
(103100,130070,3,100,'If fighter',1,1),
(103101,130070,3,100,'Increases Mitigation of group members (AE) vs physical damage by 103',0,2),
(103102,130070,3,100,'If not fighter',1,3),
(103104,130070,4,100,'Increases Max Health of group members (AE) by 26.4',0,0),
(103105,130070,4,100,'If fighter',1,1),
(103106,130070,4,100,'Increases Mitigation of group members (AE) vs physical damage by 114',0,2),
(103107,130070,4,100,'If not fighter',1,3),
(103109,130070,5,100,'Increases Max Health of group members (AE) by 28.8',0,0),
(103110,130070,5,100,'If fighter',1,1),
(103111,130070,5,100,'Increases Mitigation of group members (AE) vs physical damage by 124',0,2),
(103112,130070,5,100,'If not fighter',1,3),
(103114,130070,7,100,'Increases Max Health of group members (AE) by 37.0',0,0),
(103115,130070,7,100,'If fighter',1,1),
(103116,130070,7,100,'Increases Mitigation of group members (AE) vs physical damage by 159',0,2),
(103117,130070,7,100,'If not fighter',1,3),
(103119,130070,9,100,'Increases Max Health of group members (AE) by 38.4',0,0),
(103120,130070,9,100,'If fighter',1,1),
(103121,130070,9,100,'Increases Mitigation of group members (AE) vs physical damage by 166',0,2),
(103122,130070,9,100,'If not fighter',1,3),
(103124,130071,1,100,'Increases Max Health of group members (AE) by 73.3',0,0),
(103125,130071,1,100,'If fighter',1,1),
(103126,130071,1,100,'Increases Mitigation of group members (AE) vs physical damage by 201',0,2),
(103127,130071,1,100,'If not fighter',1,3),
(103128,130071,1,100,'Increases the health of fighters in the group by 3.24 for each point of stamina',0,4),
(103129,130071,2,100,'Increases Max Health of group members (AE) by 77.3',0,0),
(103130,130071,2,100,'If fighter',1,1),
(103131,130071,2,100,'Increases Mitigation of group members (AE) vs physical damage by 212',0,2),
(103132,130071,2,100,'If not fighter',1,3),
(103133,130071,2,100,'Increases the health of fighters in the group by 3.42 for each point of stamina',0,4),
(103134,130071,3,100,'Increases Max Health of group members (AE) by 81.4',0,0),
(103135,130071,3,100,'If fighter',1,1),
(103136,130071,3,100,'Increases Mitigation of group members (AE) vs physical damage by 223',0,2),
(103137,130071,3,100,'If not fighter',1,3),
(103138,130071,3,100,'Increases the health of fighters in the group by 3.6 for each point of stamina',0,4),
(103139,130071,4,100,'Increases Max Health of group members (AE) by 89.5',0,0),
(103140,130071,4,100,'If fighter',1,1),
(103141,130071,4,100,'Increases Mitigation of group members (AE) vs physical damage by 245',0,2),
(103142,130071,4,100,'If not fighter',1,3),
(103143,130071,4,100,'Increases the health of fighters in the group by 3.96 for each point of stamina',0,4),
(103144,130071,5,100,'Increases Max Health of group members (AE) by 97.7',0,0),
(103145,130071,5,100,'If fighter',1,1),
(103146,130071,5,100,'Increases Mitigation of group members (AE) vs physical damage by 267',0,2),
(103147,130071,5,100,'If not fighter',1,3),
(103148,130071,5,100,'Increases the health of fighters in the group by 4.32 for each point of stamina',0,4),
(103149,130071,7,100,'Increases Max Health of group members (AE) by 125.4',0,0),
(103150,130071,7,100,'If fighter',1,1),
(103151,130071,7,100,'Increases Mitigation of group members (AE) vs physical damage by 343',0,2),
(103152,130071,7,100,'If not fighter',1,3),
(103153,130071,7,100,'Increases the health of fighters in the group by 5.04 for each point of stamina',0,4),
(103154,130071,9,100,'Increases Max Health of group members (AE) by 130.2',0,0),
(103155,130071,9,100,'If fighter',1,1),
(103156,130071,9,100,'Increases Mitigation of group members (AE) vs physical damage by 357',0,2),
(103157,130071,9,100,'If not fighter',1,3),
(103158,130071,9,100,'Increases the health of fighters in the group by 5.76 for each point of stamina',0,4),
(103159,130072,1,100,'Increases Max Health of group members (AE) by 179.2',0,0),
(103160,130072,1,100,'If fighter',1,1),
(103161,130072,1,100,'Increases Mitigation of group members (AE) vs physical damage by 342',0,2),
(103162,130072,1,100,'If not fighter',1,3),
(103163,130072,1,100,'Increases the health of fighters in the group by 3.24 for each point of stamina',0,4),
(103164,130072,2,100,'Increases Max Health of group members (AE) by 189.1',0,0),
(103165,130072,2,100,'If fighter',1,1),
(103166,130072,2,100,'Increases Mitigation of group members (AE) vs physical damage by 361',0,2),
(103167,130072,2,100,'If not fighter',1,3),
(103168,130072,2,100,'Increases the health of fighters in the group by 3.42 for each point of stamina',0,4),
(103169,130072,3,100,'Increases Max Health of group members (AE) by 199.1',0,0),
(103170,130072,3,100,'If fighter',1,1),
(103171,130072,3,100,'Increases Mitigation of group members (AE) vs physical damage by 380',0,2),
(103172,130072,3,100,'If not fighter',1,3),
(103173,130072,3,100,'Increases the health of fighters in the group by 3.6 for each point of stamina',0,4),
(103174,130072,4,100,'Increases Max Health of group members (AE) by 219.0',0,0),
(103175,130072,4,100,'If fighter',1,1),
(103176,130072,4,100,'Increases Mitigation of group members (AE) vs physical damage by 417',0,2),
(103177,130072,4,100,'If not fighter',1,3),
(103178,130072,4,100,'Increases the health of fighters in the group by 3.96 for each point of stamina',0,4),
(103179,130072,5,100,'Increases Max Health of group members (AE) by 238.9',0,0),
(103180,130072,5,100,'If fighter',1,1),
(103181,130072,5,100,'Increases Mitigation of group members (AE) vs physical damage by 455',0,2),
(103182,130072,5,100,'If not fighter',1,3),
(103183,130072,5,100,'Increases the health of fighters in the group by 4.32 for each point of stamina',0,4),
(103184,130072,7,100,'Increases Max Health of group members (AE) by 306.6',0,0),
(103185,130072,7,100,'If fighter',1,1),
(103186,130072,7,100,'Increases Mitigation of group members (AE) vs physical damage by 584',0,2),
(103187,130072,7,100,'If not fighter',1,3),
(103188,130072,7,100,'Increases the health of fighters in the group by 5.04 for each point of stamina',0,4),
(103189,130072,9,100,'Increases Max Health of group members (AE) by 318.6',0,0),
(103190,130072,9,100,'If fighter',1,1),
(103191,130072,9,100,'Increases Mitigation of group members (AE) vs physical damage by 607',0,2),
(103192,130072,9,100,'If not fighter',1,3),
(103193,130072,9,100,'Increases the health of fighters in the group by 5.76 for each point of stamina',0,4),
(103194,130072,10,100,'Increases Max Health of group members (AE) by 334.5',0,0),
(103195,130072,10,100,'If fighter',1,1),
(103196,130072,10,100,'Increases Mitigation of group members (AE) vs physical damage by 638',0,2),
(103197,130072,10,100,'If not fighter',1,3),
(103198,130072,10,100,'Increases the health of fighters in the group by 5.94 for each point of stamina',0,4),
(103199,130073,1,100,'Increases Max Health of group members (AE) by 287.5',0,0),
(103200,130073,1,100,'If fighter',1,1),
(103201,130073,1,100,'Increases Mitigation of group members (AE) vs physical damage by 486',0,2),
(103202,130073,1,100,'If not fighter',1,3),
(103203,130073,1,100,'Increases the health of fighters in the group by 3.24 for each point of stamina',0,4),
(103204,130073,2,100,'Increases Max Health of group members (AE) by 303.5',0,0),
(103205,130073,2,100,'If fighter',1,1),
(103206,130073,2,100,'Increases Mitigation of group members (AE) vs physical damage by 513',0,2),
(103207,130073,2,100,'If not fighter',1,3),
(103208,130073,2,100,'Increases the health of fighters in the group by 3.42 for each point of stamina',0,4),
(103209,130073,3,100,'Increases Max Health of group members (AE) by 319.5',0,0),
(103210,130073,3,100,'If fighter',1,1),
(103211,130073,3,100,'Increases Mitigation of group members (AE) vs physical damage by 541',0,2),
(103212,130073,3,100,'If not fighter',1,3),
(103213,130073,3,100,'Increases the health of fighters in the group by 3.6 for each point of stamina',0,4),
(103214,130073,4,100,'Increases Max Health of group members (AE) by 351.5',0,0),
(103215,130073,4,100,'If fighter',1,1),
(103216,130073,4,100,'Increases Mitigation of group members (AE) vs physical damage by 595',0,2),
(103217,130073,4,100,'If not fighter',1,3),
(103218,130073,4,100,'Increases the health of fighters in the group by 3.96 for each point of stamina',0,4),
(103219,130073,5,100,'Increases Max Health of group members (AE) by 383.4',0,0),
(103220,130073,5,100,'If fighter',1,1),
(103221,130073,5,100,'Increases Mitigation of group members (AE) vs physical damage by 649',0,2),
(103222,130073,5,100,'If not fighter',1,3),
(103223,130073,5,100,'Increases the health of fighters in the group by 4.32 for each point of stamina',0,4),
(103224,130073,7,100,'Increases Max Health of group members (AE) by 492.0',0,0),
(103225,130073,7,100,'If fighter',1,1),
(103226,130073,7,100,'Increases Mitigation of group members (AE) vs physical damage by 832',0,2),
(103227,130073,7,100,'If not fighter',1,3),
(103228,130073,7,100,'Increases the health of fighters in the group by 5.04 for each point of stamina',0,4),
(103229,130073,9,100,'Increases Max Health of group members (AE) by 511.2',0,0),
(103230,130073,9,100,'If fighter',1,1),
(103231,130073,9,100,'Increases Mitigation of group members (AE) vs physical damage by 865',0,2),
(103232,130073,9,100,'If not fighter',1,3),
(103233,130073,9,100,'Increases the health of fighters in the group by 5.76 for each point of stamina',0,4),
(103234,130074,1,100,'Increases Max Health of group members (AE) by 380.8',0,0),
(103235,130074,1,100,'If fighter',1,1),
(103236,130074,1,100,'Increases Mitigation of group members (AE) vs physical damage by 631',0,2),
(103237,130074,1,100,'If not fighter',1,3),
(103238,130074,1,100,'Increases the health of fighters in the group by 3.24 for each point of stamina',0,4),
(103239,130074,2,100,'Increases Max Health of group members (AE) by 401.9',0,0),
(103240,130074,2,100,'If fighter',1,1),
(103241,130074,2,100,'Increases Mitigation of group members (AE) vs physical damage by 666',0,2),
(103242,130074,2,100,'If not fighter',1,3),
(103243,130074,2,100,'Increases the health of fighters in the group by 3.42 for each point of stamina',0,4),
(103244,130074,3,100,'Increases Max Health of group members (AE) by 423.1',0,0),
(103245,130074,3,100,'If fighter',1,1),
(103246,130074,3,100,'Increases Mitigation of group members (AE) vs physical damage by 702',0,2),
(103247,130074,3,100,'If not fighter',1,3),
(103248,130074,3,100,'Increases the health of fighters in the group by 3.6 for each point of stamina',0,4),
(103249,130074,4,100,'Increases Max Health of group members (AE) by 465.4',0,0),
(103250,130074,4,100,'If fighter',1,1),
(103251,130074,4,100,'Increases Mitigation of group members (AE) vs physical damage by 772',0,2),
(103252,130074,4,100,'If not fighter',1,3),
(103253,130074,4,100,'Increases the health of fighters in the group by 3.96 for each point of stamina',0,4),
(103254,130074,5,100,'Increases Max Health of group members (AE) by 507.7',0,0),
(103255,130074,5,100,'If fighter',1,1),
(103256,130074,5,100,'Increases Mitigation of group members (AE) vs physical damage by 842',0,2),
(103257,130074,5,100,'If not fighter',1,3),
(103258,130074,5,100,'Increases the health of fighters in the group by 4.32 for each point of stamina',0,4),
(103259,130074,7,100,'Increases Max Health of group members (AE) by 651.6',0,0),
(103260,130074,7,100,'If fighter',1,1),
(103261,130074,7,100,'Increases Mitigation of group members (AE) vs physical damage by 1080',0,2),
(103262,130074,7,100,'If not fighter',1,3),
(103263,130074,7,100,'Increases the health of fighters in the group by 5.04 for each point of stamina',0,4),
(103264,130074,9,100,'Increases Max Health of group members (AE) by 677.0',0,0),
(103265,130074,9,100,'If fighter',1,1),
(103266,130074,9,100,'Increases Mitigation of group members (AE) vs physical damage by 1122',0,2),
(103267,130074,9,100,'If not fighter',1,3),
(103268,130074,9,100,'Increases the health of fighters in the group by 5.76 for each point of stamina',0,4),
(103269,130075,1,100,'Increases Max Health of group members (AE) by 474.3',0,0),
(103270,130075,1,100,'If fighter',1,1),
(103271,130075,1,100,'Increases Mitigation of group members (AE) vs physical damage by 804',0,2),
(103272,130075,1,100,'If not fighter',1,3),
(103273,130075,1,100,'Increases the health of fighters in the group by 3.24 for each point of stamina',0,4),
(103274,130075,2,100,'Increases Max Health of group members (AE) by 500.6',0,0),
(103275,130075,2,100,'If fighter',1,1),
(103276,130075,2,100,'Increases Mitigation of group members (AE) vs physical damage by 849',0,2),
(103277,130075,2,100,'If not fighter',1,3),
(103278,130075,2,100,'Increases the health of fighters in the group by 3.42 for each point of stamina',0,4),
(103279,130075,3,100,'Increases Max Health of group members (AE) by 527.0',0,0),
(103280,130075,3,100,'If fighter',1,1),
(103281,130075,3,100,'Increases Mitigation of group members (AE) vs physical damage by 894',0,2),
(103282,130075,3,100,'If not fighter',1,3),
(103283,130075,3,100,'Increases the health of fighters in the group by 3.6 for each point of stamina',0,4),
(103284,130075,4,100,'Increases Max Health of group members (AE) by 579.7',0,0),
(103285,130075,4,100,'If fighter',1,1),
(103286,130075,4,100,'Increases Mitigation of group members (AE) vs physical damage by 983',0,2),
(103287,130075,4,100,'If not fighter',1,3),
(103288,130075,4,100,'Increases the health of fighters in the group by 3.96 for each point of stamina',0,4),
(103289,130075,5,100,'Increases Max Health of group members (AE) by 632.4',0,0),
(103290,130075,5,100,'If fighter',1,1),
(103291,130075,5,100,'Increases Mitigation of group members (AE) vs physical damage by 1072',0,2),
(103292,130075,5,100,'If not fighter',1,3),
(103293,130075,5,100,'Increases the health of fighters in the group by 4.32 for each point of stamina',0,4),
(103294,130075,7,100,'Increases Max Health of group members (AE) by 811.6',0,0),
(103295,130075,7,100,'If fighter',1,1),
(103296,130075,7,100,'Increases Mitigation of group members (AE) vs physical damage by 1376',0,2),
(103297,130075,7,100,'If not fighter',1,3),
(103298,130075,7,100,'Increases the health of fighters in the group by 5.04 for each point of stamina',0,4),
(103299,130075,9,100,'Increases Max Health of group members (AE) by 843.2',0,0),
(103300,130075,9,100,'If fighter',1,1),
(103301,130075,9,100,'Increases Mitigation of group members (AE) vs physical damage by 1430',0,2),
(103302,130075,9,100,'If not fighter',1,3),
(103303,130075,9,100,'Increases the health of fighters in the group by 5.76 for each point of stamina',0,4),
(103304,130076,1,100,'Increases Max Health of group members (AE) by 564.3',0,0),
(103305,130076,1,100,'If fighter',1,1),
(103306,130076,1,100,'Increases Mitigation of group members (AE) vs physical damage by 930',0,2),
(103307,130076,1,100,'If not fighter',1,3),
(103308,130076,1,100,'Increases the health of fighters in the group by 3.24 for each point of stamina',0,4),
(103309,130076,4,100,'Increases Max Health of group members (AE) by 689.7',0,0),
(103310,130076,4,100,'If fighter',1,1),
(103311,130076,4,100,'Increases Mitigation of group members (AE) vs physical damage by 1137',0,2),
(103312,130076,4,100,'If not fighter',1,3),
(103313,130076,4,100,'Increases the health of fighters in the group by 3.96 for each point of stamina',0,4),
(103314,130076,5,100,'Increases Max Health of group members (AE) by 752.4',0,0),
(103315,130076,5,100,'If fighter',1,1),
(103316,130076,5,100,'Increases Mitigation of group members (AE) vs physical damage by 1240',0,2),
(103317,130076,5,100,'If not fighter',1,3),
(103318,130076,5,100,'Increases the health of fighters in the group by 4.32 for each point of stamina',0,4),
(103319,130076,7,100,'Increases Max Health of group members (AE) by 965.6',0,0),
(103320,130076,7,100,'If fighter',1,1),
(103321,130076,7,100,'Increases Mitigation of group members (AE) vs physical damage by 1592',0,2),
(103322,130076,7,100,'If not fighter',1,3),
(103323,130076,7,100,'Increases the health of fighters in the group by 5.04 for each point of stamina',0,4),
(103324,130076,9,100,'Increases Max Health of group members (AE) by 1,003.2',0,0),
(103325,130076,9,100,'If fighter',1,1),
(103326,130076,9,100,'Increases Mitigation of group members (AE) vs physical damage by 1654',0,2),
(103327,130076,9,100,'If not fighter',1,3),
(103328,130076,9,100,'Increases the health of fighters in the group by 5.76 for each point of stamina',0,4),
(103329,130076,10,100,'Increases Max Health of group members (AE) by 1,053.4',0,0),
(103330,130076,10,100,'If fighter',1,1),
(103331,130076,10,100,'Increases Mitigation of group members (AE) vs physical damage by 1736',0,2),
(103332,130076,10,100,'If not fighter',1,3),
(103333,130076,10,100,'Increases the health of fighters in the group by 5.94 for each point of stamina',0,4),
(103334,130077,1,100,'Increases Mitigation of group members (AE) vs physical damage by 1070',0,0),
(103335,130077,1,100,'If not fighter',1,1),
(103336,130077,1,100,'Increases the health of fighters in the group by 3.24 for each point of stamina',0,2),
(103337,130077,4,100,'Increases Mitigation of group members (AE) vs physical damage by 1308',0,0),
(103338,130077,4,100,'If not fighter',1,1),
(103339,130077,4,100,'Increases the health of fighters in the group by 3.96 for each point of stamina',0,2),
(103340,130077,5,100,'Increases Mitigation of group members (AE) vs physical damage by 1427',0,0),
(103341,130077,5,100,'If not fighter',1,1),
(103342,130077,5,100,'Increases the health of fighters in the group by 4.32 for each point of stamina',0,2),
(103343,130077,7,100,'Increases Mitigation of group members (AE) vs physical damage by 1831',0,0),
(103344,130077,7,100,'If not fighter',1,1),
(103345,130077,7,100,'Increases the health of fighters in the group by 5.54 for each point of stamina',0,2),
(103346,130077,9,100,'Increases Mitigation of group members (AE) vs physical damage by 1903',0,0),
(103347,130077,9,100,'If not fighter',1,1),
(103348,130077,9,100,'Increases the health of fighters in the group by 5.76 for each point of stamina',0,2),
(103349,130077,10,100,'Increases Mitigation of group members (AE) vs physical damage by 1998',0,0),
(103350,130077,10,100,'If not fighter',1,1),
(103351,130077,10,100,'Increases the health of fighters in the group by 6.05 for each point of stamina',0,2),
(103352,100171,12,100,'Summons a Holy Avenger that transfers life from surrounding enemies to your allies.',0,0),
(103353,100172,1,100,'Applies Holy Ground.',0,0),
(103354,100172,1,100,'Increases threat priority of targets in Area of Effect by 1 position',1,1),
(103355,100172,1,100,'Increases Threat to targets in Area of Effect by 8,551 - 10,331 ',1,2),
(103356,100172,1,100,'On any combat or spell hit this spell will cast Holy Ground on target of attack.  ',0,3),
(103357,100172,1,100,'Increases Threat to target by 3,944 - 4,701 ',1,4),
(103358,100172,1,100,'Inflicts 193 - 236 divine damage on target',1,5),
(103359,100172,2,100,'Applies Holy Ground.',0,0),
(103360,100172,2,100,'Increases threat priority of targets in Area of Effect by 1 position',1,1),
(103361,100172,2,100,'Increases Threat to targets in Area of Effect by 8,996 - 10,875 ',1,2),
(103362,100172,2,100,'On any combat or spell hit this spell will cast Holy Ground on target of attack.  ',0,3),
(103363,100172,2,100,'Increases Threat to target by 4,133 - 4,932 ',1,4),
(103364,100172,2,100,'Inflicts 204 - 250 divine damage on target',1,5),
(103365,100172,3,100,'Applies Holy Ground.',0,0),
(103366,100172,3,100,'Increases threat priority of targets in Area of Effect by 1 position',1,1),
(103367,100172,3,100,'Increases Threat to targets in Area of Effect by 9,441 - 11,419 ',1,2),
(103368,100172,3,100,'On any combat or spell hit this spell will cast Holy Ground on target of attack.  ',0,3),
(103369,100172,3,100,'Increases Threat to target by 4,323 - 5,163 ',1,4),
(103370,100172,3,100,'Inflicts 215 - 263 divine damage on target',1,5),
(103371,100172,4,100,'Applies Holy Ground.',0,0),
(103372,100172,4,100,'Increases threat priority of targets in Area of Effect by 1 position',1,1),
(103373,100172,4,100,'Increases Threat to targets in Area of Effect by 10,331 - 12,507 ',1,2),
(103374,100172,4,100,'On any combat or spell hit this spell will cast Holy Ground on target of attack.  ',0,3),
(103375,100172,4,100,'Increases Threat to target by 4,701 - 5,626 ',1,4),
(103376,100172,4,100,'Inflicts 236 - 289 divine damage on target',1,5),
(103377,100172,5,100,'Applies Holy Ground.',0,0),
(103378,100172,5,100,'Increases threat priority of targets in Area of Effect by 1 position',1,1),
(103379,100172,5,100,'Increases Threat to targets in Area of Effect by 11,221 - 13,595 ',1,2),
(103380,100172,5,100,'On any combat or spell hit this spell will cast Holy Ground on target of attack.  ',0,3),
(103381,100172,5,100,'Increases Threat to target by 5,079 - 6,088 ',1,4),
(103382,100172,5,100,'Inflicts 258 - 315 divine damage on target',1,5),
(103383,100172,7,100,'Applies Holy Ground.',0,0),
(103384,100172,7,100,'Increases threat priority of targets in Area of Effect by 1 position',1,1),
(103385,100172,7,100,'Increases Threat to targets in Area of Effect by 14,248 - 17,294 ',1,2),
(103386,100172,7,100,'On any combat or spell hit this spell will cast Holy Ground on target of attack.  ',0,3),
(103387,100172,7,100,'Increases Threat to target by 6,366 - 7,660 ',1,4),
(103388,100172,7,100,'Inflicts 331 - 405 divine damage on target',1,5),
(103389,100172,9,100,'Applies Holy Ground.',0,0),
(103390,100172,9,100,'Increases threat priority of targets in Area of Effect by 1 position',1,1),
(103391,100172,9,100,'Increases Threat to targets in Area of Effect by 14,782 - 17,947 ',1,2),
(103392,100172,9,100,'On any combat or spell hit this spell will cast Holy Ground on target of attack.  ',0,3),
(103393,100172,9,100,'Increases Threat to target by 6,593 - 7,938 ',1,4),
(103394,100172,9,100,'Inflicts 344 - 420 divine damage on target',1,5),
(103395,130078,1,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(103396,130078,1,100,'Heals target for 40 - 49',1,1),
(103397,130078,4,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(103398,130078,4,100,'Heals target for 49 - 59',1,1),
(103399,130078,5,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(103400,130078,5,100,'Heals target for 53 - 65',1,1),
(103401,130078,7,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(103402,130078,7,100,'Heals target for 68 - 83',1,1),
(103403,130078,9,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(103404,130078,9,100,'Heals target for 71 - 86',1,1),
(103405,130078,10,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(103406,130078,10,100,'Heals target for 74 - 91',1,1),
(103407,130079,1,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(103408,130079,1,100,'Heals target for 84 - 103',1,1),
(103409,130079,2,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(103410,130079,2,100,'Heals target for 89 - 108',1,1),
(103411,130079,3,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(103412,130079,3,100,'Heals target for 93 - 114',1,1),
(103413,130079,4,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(103414,130079,4,100,'Heals target for 103 - 125',1,1),
(103415,130079,5,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(103416,130079,5,100,'Heals target for 112 - 137',1,1),
(103417,130079,7,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(103418,130079,7,100,'Heals target for 144 - 175',1,1),
(103419,130079,9,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(103420,130079,9,100,'Heals target for 149 - 182',1,1),
(103421,130080,1,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(103422,130080,1,100,'Heals target for 133 - 163',1,1),
(103423,130080,2,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(103424,130080,2,100,'Heals target for 141 - 172',1,1),
(103425,130080,3,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(103426,130080,3,100,'Heals target for 148 - 181',1,1),
(103427,130080,4,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(103428,130080,4,100,'Heals target for 163 - 199',1,1),
(103429,130080,5,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(103430,130080,5,100,'Heals target for 178 - 217',1,1),
(103431,130080,7,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(103432,130080,7,100,'Heals target for 228 - 279',1,1),
(103433,130080,9,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(103434,130080,9,100,'Heals target for 237 - 290',1,1),
(103435,130080,10,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(103436,130080,10,100,'Heals target for 249 - 304',1,1),
(103437,130081,1,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(103438,130081,1,100,'Heals target for 193 - 236',1,1),
(103439,130081,2,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(103440,130081,2,100,'Heals target for 203 - 249',1,1),
(103441,130081,3,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(103442,130081,3,100,'Heals target for 214 - 262',1,1),
(103443,130081,4,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(103444,130081,4,100,'Heals target for 236 - 288',1,1),
(103445,130081,5,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(103446,130081,5,100,'Heals target for 257 - 314',1,1),
(103447,130081,7,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(103448,130081,7,100,'Heals target for 330 - 403',1,1),
(103449,130081,9,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(103450,130081,9,100,'Heals target for 343 - 419',1,1),
(103451,130082,1,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(103452,130082,1,100,'Heals target for 252 - 308',1,1),
(103453,130082,2,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(103454,130082,2,100,'Heals target for 266 - 326',1,1),
(103455,130082,3,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(103456,130082,3,100,'Heals target for 280 - 343',1,1),
(103457,130082,4,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(103458,130082,4,100,'Heals target for 308 - 377',1,1),
(103459,130082,5,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(103460,130082,5,100,'Heals target for 336 - 411',1,1),
(103461,130082,7,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(103462,130082,7,100,'Heals target for 432 - 528',1,1),
(103463,130082,9,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(103464,130082,9,100,'Heals target for 449 - 548',1,1),
(103465,130083,1,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(103466,130083,1,100,'Heals target for 331 - 405',1,1),
(103467,130083,2,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(103468,130083,2,100,'Heals target for 350 - 428',1,1),
(103469,130083,3,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(103470,130083,3,100,'Heals target for 368 - 450',1,1),
(103471,130083,4,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(103472,130083,4,100,'Heals target for 405 - 495',1,1),
(103473,130083,5,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(103474,130083,5,100,'Heals target for 442 - 540',1,1),
(103475,130083,7,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(103476,130083,7,100,'Heals target for 567 - 693',1,1),
(103477,130083,9,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(103478,130083,9,100,'Heals target for 589 - 720',1,1),
(103479,130084,1,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(103480,130084,1,100,'Heals target for 399 - 488',1,1),
(103481,130084,4,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(103482,130084,4,100,'Heals target for 488 - 596',1,1),
(103483,130084,5,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(103484,130084,5,100,'Heals target for 532 - 650',1,1),
(103485,130084,7,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(103486,130084,7,100,'Heals target for 683 - 834',1,1),
(103487,130084,9,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(103488,130084,9,100,'Heals target for 709 - 867',1,1),
(103489,130085,1,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(103490,130085,1,100,'Heals target for 423 - 517',1,1),
(103491,130085,4,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(103492,130085,4,100,'Heals target for 517 - 632',1,1),
(103493,130085,5,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(103494,130085,5,100,'Heals target for 564 - 690',1,1),
(103495,130085,7,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(103496,130085,7,100,'Heals target for 724 - 885',1,1),
(103497,130085,9,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(103498,130085,9,100,'Heals target for 752 - 920',1,1),
(103499,130086,1,100,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',0,0),
(103500,130086,1,100,'Heals target for 512',1,1),
(103501,130086,1,100,'Increases Mitigation of target vs physical damage by 369',1,2),
(103502,130086,1,100,'Grants a total of 1 trigger of the spell.',1,3),
(103503,130086,2,100,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',0,0),
(103504,130086,2,100,'Heals target for 540',1,1),
(103505,130086,2,100,'Increases Mitigation of target vs physical damage by 390',1,2),
(103506,130086,2,100,'Grants a total of 1 trigger of the spell.',1,3),
(103507,130086,3,100,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',0,0),
(103508,130086,3,100,'Heals target for 569',1,1),
(103509,130086,3,100,'Increases Mitigation of target vs physical damage by 410',1,2),
(103510,130086,3,100,'Grants a total of 1 trigger of the spell.',1,3),
(103511,130086,4,100,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',0,0),
(103512,130086,4,100,'Heals target for 626',1,1),
(103513,130086,4,100,'Increases Mitigation of target vs physical damage by 451',1,2),
(103514,130086,4,100,'Grants a total of 1 trigger of the spell.',1,3),
(103515,130086,5,100,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',0,0),
(103516,130086,5,100,'Heals target for 683',1,1),
(103517,130086,5,100,'Increases Mitigation of target vs physical damage by 492',1,2),
(103518,130086,5,100,'Grants a total of 1 trigger of the spell.',1,3),
(103519,130086,7,100,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',0,0),
(103520,130086,7,100,'Heals target for 876',1,1),
(103521,130086,7,100,'Increases Mitigation of target vs physical damage by 631',1,2),
(103522,130086,7,100,'Grants a total of 1 trigger of the spell.',1,3),
(103523,130086,9,100,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',0,0),
(103524,130086,9,100,'Heals target for 910',1,1),
(103525,130086,9,100,'Increases Mitigation of target vs physical damage by 656',1,2),
(103526,130086,9,100,'Grants a total of 1 trigger of the spell.',1,3),
(103527,130087,1,100,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',0,0),
(103528,130087,1,100,'Heals target for 748',1,1),
(103529,130087,1,100,'Increases Mitigation of target vs physical damage by 495',1,2),
(103530,130087,1,100,'Grants a total of 1 trigger of the spell.',1,3),
(103531,130087,2,100,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',0,0),
(103532,130087,2,100,'Heals target for 790',1,1),
(103533,130087,2,100,'Increases Mitigation of target vs physical damage by 523',1,2),
(103534,130087,2,100,'Grants a total of 1 trigger of the spell.',1,3),
(103535,130087,3,100,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',0,0),
(103536,130087,3,100,'Heals target for 831',1,1),
(103537,130087,3,100,'Increases Mitigation of target vs physical damage by 550',1,2),
(103538,130087,3,100,'Grants a total of 1 trigger of the spell.',1,3),
(103539,130087,4,100,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',0,0),
(103540,130087,4,100,'Heals target for 914',1,1),
(103541,130087,4,100,'Increases Mitigation of target vs physical damage by 605',1,2),
(103542,130087,4,100,'Grants a total of 1 trigger of the spell.',1,3),
(103543,130087,5,100,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',0,0),
(103544,130087,5,100,'Heals target for 998',1,1),
(103545,130087,5,100,'Increases Mitigation of target vs physical damage by 660',1,2),
(103546,130087,5,100,'Grants a total of 1 trigger of the spell.',1,3),
(103547,130087,7,100,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',0,0),
(103548,130087,7,100,'Heals target for 1280',1,1),
(103549,130087,7,100,'Increases Mitigation of target vs physical damage by 847',1,2),
(103550,130087,7,100,'Grants a total of 1 trigger of the spell.',1,3),
(103551,130087,9,100,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',0,0),
(103552,130087,9,100,'Heals target for 1330',1,1),
(103553,130087,9,100,'Increases Mitigation of target vs physical damage by 880',1,2),
(103554,130087,9,100,'Grants a total of 1 trigger of the spell.',1,3),
(103555,130088,1,100,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',0,0),
(103556,130088,1,100,'Heals target for 984',1,1),
(103557,130088,1,100,'Increases Mitigation of target vs physical damage by 621',1,2),
(103558,130088,1,100,'Grants a total of 1 trigger of the spell.',1,3),
(103559,130088,2,100,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',0,0),
(103560,130088,2,100,'Heals target for 1039',1,1),
(103561,130088,2,100,'Increases Mitigation of target vs physical damage by 656',1,2),
(103562,130088,2,100,'Grants a total of 1 trigger of the spell.',1,3),
(103563,130088,3,100,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',0,0),
(103564,130088,3,100,'Heals target for 1094',1,1),
(103565,130088,3,100,'Increases Mitigation of target vs physical damage by 690',1,2),
(103566,130088,3,100,'Grants a total of 1 trigger of the spell.',1,3),
(103567,130088,4,100,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',0,0),
(103568,130088,4,100,'Heals target for 1203',1,1),
(103569,130088,4,100,'Increases Mitigation of target vs physical damage by 759',1,2),
(103570,130088,4,100,'Grants a total of 1 trigger of the spell.',1,3),
(103571,130088,5,100,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',0,0),
(103572,130088,5,100,'Heals target for 1313',1,1),
(103573,130088,5,100,'Increases Mitigation of target vs physical damage by 828',1,2),
(103574,130088,5,100,'Grants a total of 1 trigger of the spell.',1,3),
(103575,130088,7,100,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',0,0),
(103576,130088,7,100,'Heals target for 1684',1,1),
(103577,130088,7,100,'Increases Mitigation of target vs physical damage by 1063',1,2),
(103578,130088,7,100,'Grants a total of 1 trigger of the spell.',1,3),
(103579,130088,9,100,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',0,0),
(103580,130088,9,100,'Heals target for 1750',1,1),
(103581,130088,9,100,'Increases Mitigation of target vs physical damage by 1104',1,2),
(103582,130088,9,100,'Grants a total of 1 trigger of the spell.',1,3),
(103583,130089,1,100,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',0,0),
(103584,130089,1,100,'Heals target for 1350',1,1),
(103585,130089,1,100,'Increases Mitigation of target vs physical damage by 756',1,2),
(103586,130089,1,100,'Grants a total of 1 trigger of the spell.',1,3),
(103587,130089,2,100,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',0,0),
(103588,130089,2,100,'Heals target for 1425',1,1),
(103589,130089,2,100,'Increases Mitigation of target vs physical damage by 798',1,2),
(103590,130089,2,100,'Grants a total of 1 trigger of the spell.',1,3),
(103591,130089,3,100,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',0,0),
(103592,130089,3,100,'Heals target for 1500',1,1),
(103593,130089,3,100,'Increases Mitigation of target vs physical damage by 840',1,2),
(103594,130089,3,100,'Grants a total of 1 trigger of the spell.',1,3),
(103595,130089,4,100,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',0,0),
(103596,130089,4,100,'Heals target for 1650',1,1),
(103597,130089,4,100,'Increases Mitigation of target vs physical damage by 924',1,2),
(103598,130089,4,100,'Grants a total of 1 trigger of the spell.',1,3),
(103599,130089,5,100,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',0,0),
(103600,130089,5,100,'Heals target for 1800',1,1),
(103601,130089,5,100,'Increases Mitigation of target vs physical damage by 1008',1,2),
(103602,130089,5,100,'Grants a total of 1 trigger of the spell.',1,3),
(103603,130089,7,100,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',0,0),
(103604,130089,7,100,'Heals target for 2310',1,1),
(103605,130089,7,100,'Increases Mitigation of target vs physical damage by 1294',1,2),
(103606,130089,7,100,'Grants a total of 1 trigger of the spell.',1,3),
(103607,130089,9,100,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',0,0),
(103608,130089,9,100,'Heals target for 2400',1,1),
(103609,130089,9,100,'Increases Mitigation of target vs physical damage by 1344',1,2),
(103610,130089,9,100,'Grants a total of 1 trigger of the spell.',1,3),
(103611,130090,1,100,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',0,0),
(103612,130090,1,100,'Heals target for 1609',1,1),
(103613,130090,1,100,'Increases Mitigation of target vs physical damage by 891',1,2),
(103614,130090,1,100,'Grants a total of 1 trigger of the spell.',1,3),
(103615,130090,4,100,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',0,0),
(103616,130090,4,100,'Heals target for 1966',1,1),
(103617,130090,4,100,'Increases Mitigation of target vs physical damage by 1089',1,2),
(103618,130090,4,100,'Grants a total of 1 trigger of the spell.',1,3),
(103619,130090,5,100,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',0,0),
(103620,130090,5,100,'Heals target for 2145',1,1),
(103621,130090,5,100,'Increases Mitigation of target vs physical damage by 1188',1,2),
(103622,130090,5,100,'Grants a total of 1 trigger of the spell.',1,3),
(103623,130090,7,100,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',0,0),
(103624,130090,7,100,'Heals target for 2753',1,1),
(103625,130090,7,100,'Increases Mitigation of target vs physical damage by 1525',1,2),
(103626,130090,7,100,'Grants a total of 1 trigger of the spell.',1,3),
(103627,130090,9,100,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',0,0),
(103628,130090,9,100,'Heals target for 2860',1,1),
(103629,130090,9,100,'Increases Mitigation of target vs physical damage by 1584',1,2),
(103630,130090,9,100,'Grants a total of 1 trigger of the spell.',1,3),
(103631,130091,1,100,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',0,0),
(103632,130091,1,100,'Heals target for 1688',1,1),
(103633,130091,1,100,'Increases Mitigation of target vs physical damage by 990',1,2),
(103634,130091,1,100,'Grants a total of 1 trigger of the spell.',1,3),
(103635,130091,4,100,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',0,0),
(103636,130091,4,100,'Heals target for 2063',1,1),
(103637,130091,4,100,'Increases Mitigation of target vs physical damage by 1210',1,2),
(103638,130091,4,100,'Grants a total of 1 trigger of the spell.',1,3),
(103639,130091,5,100,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',0,0),
(103640,130091,5,100,'Heals target for 2250',1,1),
(103641,130091,5,100,'Increases Mitigation of target vs physical damage by 1320',1,2),
(103642,130091,5,100,'Grants a total of 1 trigger of the spell.',1,3),
(103643,130091,7,100,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',0,0),
(103644,130091,7,100,'Heals target for 2888',1,1),
(103645,130091,7,100,'Increases Mitigation of target vs physical damage by 1694',1,2),
(103646,130091,7,100,'Grants a total of 1 trigger of the spell.',1,3),
(103647,130091,9,100,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',0,0),
(103648,130091,9,100,'Heals target for 3000',1,1),
(103649,130091,9,100,'Increases Mitigation of target vs physical damage by 1760',1,2),
(103650,130091,9,100,'Grants a total of 1 trigger of the spell.',1,3),
(103651,2000489,1,100,'Prevents AOE (except when direct) ',0,0),
(103652,270079,1,100,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',0,0),
(103653,270079,1,100,'Inflicts 88 - 107 mental damage on target',1,1),
(103654,270079,1,100,'Grants a total of 3 triggers of the spell.',1,2),
(103655,270079,2,100,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',0,0),
(103656,270079,2,100,'Inflicts 92 - 113 mental damage on target',1,1),
(103657,270079,2,100,'Grants a total of 3 triggers of the spell.',1,2),
(103658,270079,3,100,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',0,0),
(103659,270079,3,100,'Inflicts 97 - 119 mental damage on target',1,1),
(103660,270079,3,100,'Grants a total of 3 triggers of the spell.',1,2),
(103661,270079,4,100,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',0,0),
(103662,270079,4,100,'Inflicts 107 - 131 mental damage on target',1,1),
(103663,270079,4,100,'Grants a total of 3 triggers of the spell.',1,2),
(103664,270079,5,100,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',0,0),
(103665,270079,5,100,'Inflicts 117 - 143 mental damage on target',1,1),
(103666,270079,5,100,'Grants a total of 3 triggers of the spell.',1,2),
(103667,270079,7,100,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',0,0),
(103668,270079,7,100,'Inflicts 150 - 183 mental damage on target',1,1),
(103669,270079,7,100,'Grants a total of 3 triggers of the spell.',1,2),
(103670,270079,9,100,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',0,0),
(103671,270079,9,100,'Inflicts 156 - 190 mental damage on target',1,1),
(103672,270079,9,100,'Grants a total of 3 triggers of the spell.',1,2),
(103673,270079,10,100,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',0,0),
(103674,270079,10,100,'Inflicts 163 - 200 mental damage on target',1,1),
(103675,270079,10,100,'Grants a total of 3 triggers of the spell.',1,2),
(103676,270080,1,100,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',0,0),
(103677,270080,1,100,'Inflicts 149 - 182 mental damage on target',1,1),
(103678,270080,1,100,'Grants a total of 3 triggers of the spell.',1,2),
(103679,270080,2,100,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',0,0),
(103680,270080,2,100,'Inflicts 157 - 192 mental damage on target',1,1),
(103681,270080,2,100,'Grants a total of 3 triggers of the spell.',1,2),
(103682,270080,3,100,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',0,0),
(103683,270080,3,100,'Inflicts 165 - 202 mental damage on target',1,1),
(103684,270080,3,100,'Grants a total of 3 triggers of the spell.',1,2),
(103685,270080,4,100,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',0,0),
(103686,270080,4,100,'Inflicts 182 - 222 mental damage on target',1,1),
(103687,270080,4,100,'Grants a total of 3 triggers of the spell.',1,2),
(103688,270080,5,100,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',0,0),
(103689,270080,5,100,'Inflicts 199 - 243 mental damage on target',1,1),
(103690,270080,5,100,'Grants a total of 3 triggers of the spell.',1,2),
(103691,270080,7,100,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',0,0),
(103692,270080,7,100,'Inflicts 255 - 311 mental damage on target',1,1),
(103693,270080,7,100,'Grants a total of 3 triggers of the spell.',1,2),
(103694,270080,9,100,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',0,0),
(103695,270080,9,100,'Inflicts 265 - 324 mental damage on target',1,1),
(103696,270080,9,100,'Grants a total of 3 triggers of the spell.',1,2),
(103697,270081,1,100,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',0,0),
(103698,270081,1,100,'Inflicts 222 - 272 mental damage on target',1,1),
(103699,270081,1,100,'Grants a total of 3 triggers of the spell.',1,2),
(103700,270081,2,100,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',0,0),
(103701,270081,2,100,'Inflicts 235 - 287 mental damage on target',1,1),
(103702,270081,2,100,'Grants a total of 3 triggers of the spell.',1,2),
(103703,270081,3,100,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',0,0),
(103704,270081,3,100,'Inflicts 247 - 302 mental damage on target',1,1),
(103705,270081,3,100,'Grants a total of 3 triggers of the spell.',1,2),
(103706,270081,4,100,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',0,0),
(103707,270081,4,100,'Inflicts 272 - 332 mental damage on target',1,1),
(103708,270081,4,100,'Grants a total of 3 triggers of the spell.',1,2),
(103709,270081,5,100,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',0,0),
(103710,270081,5,100,'Inflicts 296 - 362 mental damage on target',1,1),
(103711,270081,5,100,'Grants a total of 3 triggers of the spell.',1,2),
(103712,270081,7,100,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',0,0),
(103713,270081,7,100,'Inflicts 380 - 465 mental damage on target',1,1),
(103714,270081,7,100,'Grants a total of 3 triggers of the spell.',1,2),
(103715,270081,9,100,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',0,0),
(103716,270081,9,100,'Inflicts 395 - 483 mental damage on target',1,1),
(103717,270081,9,100,'Grants a total of 3 triggers of the spell.',1,2),
(103718,270081,10,100,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',0,0),
(103719,270081,10,100,'Inflicts 415 - 507 mental damage on target',1,1),
(103720,270081,10,100,'Grants a total of 3 triggers of the spell.',1,2),
(103721,270082,1,100,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',0,0),
(103722,270082,1,100,'Inflicts 299 - 365 mental damage on target',1,1),
(103723,270082,1,100,'Grants a total of 3 triggers of the spell.',1,2),
(103724,270082,2,100,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',0,0),
(103725,270082,2,100,'Inflicts 316 - 386 mental damage on target',1,1),
(103726,270082,2,100,'Grants a total of 3 triggers of the spell.',1,2),
(103727,270082,3,100,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',0,0),
(103728,270082,3,100,'Inflicts 332 - 406 mental damage on target',1,1),
(103729,270082,3,100,'Grants a total of 3 triggers of the spell.',1,2),
(103730,270082,4,100,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',0,0),
(103731,270082,4,100,'Inflicts 365 - 447 mental damage on target',1,1),
(103732,270082,4,100,'Grants a total of 3 triggers of the spell.',1,2),
(103733,270082,5,100,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',0,0),
(103734,270082,5,100,'Inflicts 399 - 487 mental damage on target',1,1),
(103735,270082,5,100,'Grants a total of 3 triggers of the spell.',1,2),
(103736,270082,7,100,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',0,0),
(103737,270082,7,100,'Inflicts 512 - 625 mental damage on target',1,1),
(103738,270082,7,100,'Grants a total of 3 triggers of the spell.',1,2),
(103739,270082,9,100,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',0,0),
(103740,270082,9,100,'Inflicts 531 - 650 mental damage on target',1,1),
(103741,270082,9,100,'Grants a total of 3 triggers of the spell.',1,2),
(103742,270083,1,100,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',0,0),
(103743,270083,1,100,'Inflicts 375 - 458 mental damage on target',1,1),
(103744,270083,1,100,'Grants a total of 3 triggers of the spell.',1,2),
(103745,270083,2,100,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',0,0),
(103746,270083,2,100,'Inflicts 396 - 484 mental damage on target',1,1),
(103747,270083,2,100,'Grants a total of 3 triggers of the spell.',1,2),
(103748,270083,3,100,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',0,0),
(103749,270083,3,100,'Inflicts 417 - 509 mental damage on target',1,1),
(103750,270083,3,100,'Grants a total of 3 triggers of the spell.',1,2),
(103751,270083,4,100,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',0,0),
(103752,270083,4,100,'Inflicts 458 - 560 mental damage on target',1,1),
(103753,270083,4,100,'Grants a total of 3 triggers of the spell.',1,2),
(103754,270083,5,100,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',0,0),
(103755,270083,5,100,'Inflicts 500 - 611 mental damage on target',1,1),
(103756,270083,5,100,'Grants a total of 3 triggers of the spell.',1,2),
(103757,270083,7,100,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',0,0),
(103758,270083,7,100,'Inflicts 641 - 784 mental damage on target',1,1),
(103759,270083,7,100,'Grants a total of 3 triggers of the spell.',1,2),
(103760,270083,9,100,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',0,0),
(103761,270083,9,100,'Inflicts 666 - 815 mental damage on target',1,1),
(103762,270083,9,100,'Grants a total of 3 triggers of the spell.',1,2),
(103763,270084,1,100,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',0,0),
(103764,270084,1,100,'Inflicts 452 - 552 mental damage on target',1,1),
(103765,270084,1,100,'Grants a total of 3 triggers of the spell.',1,2),
(103766,270084,4,100,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',0,0),
(103767,270084,4,100,'Inflicts 552 - 675 mental damage on target',1,1),
(103768,270084,4,100,'Grants a total of 3 triggers of the spell.',1,2),
(103769,270084,5,100,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',0,0),
(103770,270084,5,100,'Inflicts 603 - 736 mental damage on target',1,1),
(103771,270084,5,100,'Grants a total of 3 triggers of the spell.',1,2),
(103772,270084,7,100,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',0,0),
(103773,270084,7,100,'Inflicts 773 - 945 mental damage on target',1,1),
(103774,270084,7,100,'Grants a total of 3 triggers of the spell.',1,2),
(103775,270084,9,100,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',0,0),
(103776,270084,9,100,'Inflicts 803 - 982 mental damage on target',1,1),
(103777,270084,9,100,'Grants a total of 3 triggers of the spell.',1,2),
(103778,270085,1,100,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',0,0),
(103779,270085,1,100,'Inflicts 496 - 607 mental damage on target',1,1),
(103780,270085,1,100,'Grants a total of 3 triggers of the spell.',1,2),
(103781,270085,4,100,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',0,0),
(103782,270085,4,100,'Inflicts 607 - 741 mental damage on target',1,1),
(103783,270085,4,100,'Grants a total of 3 triggers of the spell.',1,2),
(103784,270085,5,100,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',0,0),
(103785,270085,5,100,'Inflicts 662 - 809 mental damage on target',1,1),
(103786,270085,5,100,'Grants a total of 3 triggers of the spell.',1,2),
(103787,270085,7,100,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',0,0),
(103788,270085,7,100,'Inflicts 849 - 1038 mental damage on target',1,1),
(103789,270085,7,100,'Grants a total of 3 triggers of the spell.',1,2),
(103790,270085,9,100,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',0,0),
(103791,270085,9,100,'Inflicts 882 - 1079 mental damage on target',1,1),
(103792,270085,9,100,'Grants a total of 3 triggers of the spell.',1,2),
(103793,370095,1,100,'Inflicts 61 - 101 disease damage on target',0,0),
(103794,370095,1,100,'Heals caster for 40 - 67',0,1),
(103795,370095,2,100,'Inflicts 64 - 107 disease damage on target',0,0),
(103796,370095,2,100,'Heals caster for 42 - 70',0,1),
(103797,370095,3,100,'Inflicts 68 - 113 disease damage on target',0,0),
(103798,370095,3,100,'Heals caster for 44 - 74',0,1),
(103799,370095,4,100,'Inflicts 74 - 124 disease damage on target',0,0),
(103800,370095,4,100,'Heals caster for 49 - 81',0,1),
(103801,370095,5,100,'Inflicts 81 - 135 disease damage on target',0,0),
(103802,370095,5,100,'Heals caster for 53 - 89',0,1),
(103803,370095,7,100,'Inflicts 104 - 173 disease damage on target',0,0),
(103804,370095,7,100,'Heals caster for 68 - 114',0,1),
(103805,370095,9,100,'Inflicts 108 - 180 disease damage on target',0,0),
(103806,370095,9,100,'Heals caster for 71 - 118',0,1),
(103807,370096,1,100,'Inflicts 96 - 160 disease damage on target',0,0),
(103808,370096,1,100,'Heals caster for 63 - 106',0,1),
(103809,370096,2,100,'Inflicts 101 - 169 disease damage on target',0,0),
(103810,370096,2,100,'Heals caster for 67 - 112',0,1),
(103811,370096,3,100,'Inflicts 107 - 178 disease damage on target',0,0),
(103812,370096,3,100,'Heals caster for 71 - 118',0,1),
(103813,370096,4,100,'Inflicts 117 - 196 disease damage on target',0,0),
(103814,370096,4,100,'Heals caster for 78 - 129',0,1),
(103815,370096,5,100,'Inflicts 128 - 214 disease damage on target',0,0),
(103816,370096,5,100,'Heals caster for 85 - 141',0,1),
(103817,370096,7,100,'Inflicts 164 - 274 disease damage on target',0,0),
(103818,370096,7,100,'Heals caster for 109 - 181',0,1),
(103819,370096,9,100,'Inflicts 171 - 285 disease damage on target',0,0),
(103820,370096,9,100,'Heals caster for 113 - 188',0,1),
(103821,370096,10,100,'Inflicts 179 - 299 disease damage on target',0,0),
(103822,370096,10,100,'Heals caster for 118 - 197',0,1),
(103823,370097,1,100,'Inflicts 139 - 231 disease damage on target',0,0),
(103824,370097,1,100,'Heals caster for 92 - 153',0,1),
(103825,370097,2,100,'Inflicts 146 - 244 disease damage on target',0,0),
(103826,370097,2,100,'Heals caster for 97 - 162',0,1),
(103827,370097,3,100,'Inflicts 154 - 257 disease damage on target',0,0),
(103828,370097,3,100,'Heals caster for 102 - 170',0,1),
(103829,370097,4,100,'Inflicts 170 - 283 disease damage on target',0,0),
(103830,370097,4,100,'Heals caster for 112 - 187',0,1),
(103831,370097,5,100,'Inflicts 185 - 308 disease damage on target',0,0),
(103832,370097,5,100,'Heals caster for 122 - 204',0,1),
(103833,370097,7,100,'Inflicts 237 - 396 disease damage on target',0,0),
(103834,370097,7,100,'Heals caster for 157 - 262',0,1),
(103835,370097,9,100,'Inflicts 247 - 411 disease damage on target',0,0),
(103836,370097,9,100,'Heals caster for 163 - 272',0,1),
(103837,370098,1,100,'Inflicts 181 - 302 disease damage on target',0,0),
(103838,370098,1,100,'Heals caster for 120 - 200',0,1),
(103839,370098,2,100,'Inflicts 191 - 319 disease damage on target',0,0),
(103840,370098,2,100,'Heals caster for 127 - 211',0,1),
(103841,370098,3,100,'Inflicts 201 - 336 disease damage on target',0,0),
(103842,370098,3,100,'Heals caster for 134 - 223',0,1),
(103843,370098,4,100,'Inflicts 222 - 369 disease damage on target',0,0),
(103844,370098,4,100,'Heals caster for 147 - 245',0,1),
(103845,370098,5,100,'Inflicts 242 - 403 disease damage on target',0,0),
(103846,370098,5,100,'Heals caster for 160 - 267',0,1),
(103847,370098,7,100,'Inflicts 310 - 517 disease damage on target',0,0),
(103848,370098,7,100,'Heals caster for 206 - 343',0,1),
(103849,370098,9,100,'Inflicts 322 - 537 disease damage on target',0,0),
(103850,370098,9,100,'Heals caster for 214 - 356',0,1),
(103851,370099,1,100,'Inflicts 220 - 366 disease damage on target',0,0),
(103852,370099,1,100,'Heals caster for 162 - 270',0,1),
(103853,370099,2,100,'Inflicts 232 - 387 disease damage on target',0,0),
(103854,370099,2,100,'Heals caster for 171 - 285',0,1),
(103855,370099,3,100,'Inflicts 244 - 407 disease damage on target',0,0),
(103856,370099,3,100,'Heals caster for 180 - 300',0,1),
(103857,370099,4,100,'Inflicts 269 - 448 disease damage on target',0,0),
(103858,370099,4,100,'Heals caster for 198 - 330',0,1),
(103859,370099,5,100,'Inflicts 293 - 488 disease damage on target',0,0),
(103860,370099,5,100,'Heals caster for 216 - 360',0,1),
(103861,370099,7,100,'Inflicts 376 - 627 disease damage on target',0,0),
(103862,370099,7,100,'Heals caster for 277 - 462',0,1),
(103863,370099,9,100,'Inflicts 391 - 651 disease damage on target',0,0),
(103864,370099,9,100,'Heals caster for 288 - 480',0,1),
(103865,370100,1,100,'Inflicts 264 - 441 disease damage on target',0,0),
(103866,370100,1,100,'Heals caster for 193 - 322',0,1),
(103867,370100,4,100,'Inflicts 323 - 539 disease damage on target',0,0),
(103868,370100,4,100,'Heals caster for 236 - 393',0,1),
(103869,370100,5,100,'Inflicts 353 - 588 disease damage on target',0,0),
(103870,370100,5,100,'Heals caster for 257 - 429',0,1),
(103871,370100,7,100,'Inflicts 453 - 754 disease damage on target',0,0),
(103872,370100,7,100,'Heals caster for 330 - 551',0,1),
(103873,370100,9,100,'Inflicts 470 - 784 disease damage on target',0,0),
(103874,370100,9,100,'Heals caster for 343 - 572',0,1),
(103875,370101,1,100,'Inflicts 281 - 468 disease damage on target',0,0),
(103876,370101,1,100,'Heals caster for 203 - 338',0,1),
(103877,370101,4,100,'Inflicts 343 - 572 disease damage on target',0,0),
(103878,370101,4,100,'Heals caster for 248 - 413',0,1),
(103879,370101,5,100,'Inflicts 374 - 624 disease damage on target',0,0),
(103880,370101,5,100,'Heals caster for 270 - 450',0,1),
(103881,370101,7,100,'Inflicts 480 - 800 disease damage on target',0,0),
(103882,370101,7,100,'Heals caster for 347 - 578',0,1),
(103883,370101,9,100,'Inflicts 499 - 831 disease damage on target',0,0),
(103884,370101,9,100,'Heals caster for 360 - 600',0,1),
(103885,300089,1,100,'Applies Howl of the Damned to qualifying pets.',0,0),
(103886,300089,1,100,'Increases Haste of target by 16.5',1,1),
(103887,300089,1,100,'Decreases Defense and Parry of target by 4.9',1,2),
(103888,300089,1,100,'Increases Disruption, Subjugation and Focus of target by 4.5',1,3),
(103889,300089,1,100,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',1,4),
(103890,300089,1,100,'Inflicts 28 disease damage on target',2,5),
(103891,300089,1,100,'Heals caster for 9',2,6),
(103892,300089,1,100,'Increases Subjugation and Disruption of target by 4.5',1,7),
(103893,300089,2,100,'Applies Howl of the Damned to qualifying pets.',0,0),
(103894,300089,2,100,'Increases Haste of target by 17.4',1,1),
(103895,300089,2,100,'Decreases Defense and Parry of target by 4.9',1,2),
(103896,300089,2,100,'Increases Disruption, Subjugation and Focus of target by 4.7',1,3),
(103897,300089,2,100,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',1,4),
(103898,300089,2,100,'Inflicts 29 disease damage on target',2,5),
(103899,300089,2,100,'Heals caster for 9',2,6),
(103900,300089,2,100,'Increases Subjugation and Disruption of target by 4.7',1,7),
(103901,300089,3,100,'Applies Howl of the Damned to qualifying pets.',0,0),
(103902,300089,3,100,'Increases Haste of target by 18.3',1,1),
(103903,300089,3,100,'Decreases Defense and Parry of target by 4.9',1,2),
(103904,300089,3,100,'Increases Disruption, Subjugation and Focus of target by 4.9',1,3),
(103905,300089,3,100,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',1,4),
(103906,300089,3,100,'Inflicts 31 disease damage on target',2,5),
(103907,300089,3,100,'Heals caster for 10',2,6),
(103908,300089,3,100,'Increases Subjugation and Disruption of target by 4.9',1,7),
(103909,300089,4,100,'Applies Howl of the Damned to qualifying pets.',0,0),
(103910,300089,4,100,'Increases Haste of target by 20.2',1,1),
(103911,300089,4,100,'Decreases Defense and Parry of target by 4.9',1,2),
(103912,300089,4,100,'Increases Disruption, Subjugation and Focus of target by 5.4',1,3),
(103913,300089,4,100,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',1,4),
(103914,300089,4,100,'Inflicts 34 disease damage on target',2,5),
(103915,300089,4,100,'Heals caster for 11',2,6),
(103916,300089,4,100,'Increases Subjugation and Disruption of target by 5.4',1,7),
(103917,300089,5,100,'Applies Howl of the Damned to qualifying pets.',0,0),
(103918,300089,5,100,'Increases Haste of target by 22.0',1,1),
(103919,300089,5,100,'Decreases Defense and Parry of target by 4.9',1,2),
(103920,300089,5,100,'Increases Disruption, Subjugation and Focus of target by 5.9',1,3),
(103921,300089,5,100,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',1,4),
(103922,300089,5,100,'Inflicts 37 disease damage on target',2,5),
(103923,300089,5,100,'Heals caster for 12',2,6),
(103924,300089,5,100,'Increases Subjugation and Disruption of target by 5.9',1,7),
(103925,300089,7,100,'Applies Howl of the Damned to qualifying pets.',0,0),
(103926,300089,7,100,'Increases Haste of target by 28.2',1,1),
(103927,300089,7,100,'Decreases Defense and Parry of target by 4.9',1,2),
(103928,300089,7,100,'Increases Disruption, Subjugation and Focus of target by 7.6',1,3),
(103929,300089,7,100,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',1,4),
(103930,300089,7,100,'Inflicts 47 disease damage on target',2,5),
(103931,300089,7,100,'Heals caster for 15',2,6),
(103932,300089,7,100,'Increases Subjugation and Disruption of target by 6.9',1,7),
(103933,300089,9,100,'Applies Howl of the Damned to qualifying pets.',0,0),
(103934,300089,9,100,'Increases Haste of target by 29.3',1,1),
(103935,300089,9,100,'Decreases Defense and Parry of target by 4.9',1,2),
(103936,300089,9,100,'Increases Disruption, Subjugation and Focus of target by 7.9',1,3),
(103937,300089,9,100,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',1,4),
(103938,300089,9,100,'Inflicts 49 disease damage on target',2,5),
(103939,300089,9,100,'Heals caster for 16',2,6),
(103940,300089,9,100,'Increases Subjugation and Disruption of target by 7.9',1,7),
(103941,300089,10,100,'Applies Howl of the Damned to qualifying pets.',0,0),
(103942,300089,10,100,'Increases Haste of target by 30.8',1,1),
(103943,300089,10,100,'Decreases Defense and Parry of target by 4.9',1,2),
(103944,300089,10,100,'Increases Disruption, Subjugation and Focus of target by 8.3',1,3),
(103945,300089,10,100,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',1,4),
(103946,300089,10,100,'Inflicts 52 disease damage on target',2,5),
(103947,300089,10,100,'Heals caster for 17',2,6),
(103948,300089,10,100,'Increases Subjugation and Disruption of target by 8.2',1,7),
(103949,300090,1,100,'Applies Howl of the Damned to qualifying pets.',0,0),
(103950,300090,1,100,'Increases Haste of target by 20.7',1,1),
(103951,300090,1,100,'Decreases Defense and Parry of target by 11.3',1,2),
(103952,300090,1,100,'Increases Disruption, Subjugation and Focus of target by 10.1',1,3),
(103953,300090,1,100,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',1,4),
(103954,300090,1,100,'Inflicts 64 disease damage on target',2,5),
(103955,300090,1,100,'Heals caster for 21',2,6),
(103956,300090,1,100,'Increases Subjugation and Disruption of target by 10.1',1,7),
(103957,300090,2,100,'Applies Howl of the Damned to qualifying pets.',0,0),
(103958,300090,2,100,'Increases Haste of target by 21.8',1,1),
(103959,300090,2,100,'Decreases Defense and Parry of target by 11.3',1,2),
(103960,300090,2,100,'Increases Disruption, Subjugation and Focus of target by 10.7',1,3),
(103961,300090,2,100,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',1,4),
(103962,300090,2,100,'Inflicts 68 disease damage on target',2,5),
(103963,300090,2,100,'Heals caster for 22',2,6),
(103964,300090,2,100,'Increases Subjugation and Disruption of target by 10.7',1,7),
(103965,300090,3,100,'Applies Howl of the Damned to qualifying pets.',0,0),
(103966,300090,3,100,'Increases Haste of target by 23.0',1,1),
(103967,300090,3,100,'Decreases Defense and Parry of target by 11.3',1,2),
(103968,300090,3,100,'Increases Disruption, Subjugation and Focus of target by 11.3',1,3),
(103969,300090,3,100,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',1,4),
(103970,300090,3,100,'Inflicts 71 disease damage on target',2,5),
(103971,300090,3,100,'Heals caster for 23',2,6),
(103972,300090,3,100,'Increases Subjugation and Disruption of target by 11.3',1,7),
(103973,300090,4,100,'Applies Howl of the Damned to qualifying pets.',0,0),
(103974,300090,4,100,'Increases Attack Speed of target by 25.3',1,1),
(103975,300090,4,100,'Decreases Defense and Parry of target by 11.3',1,2),
(103976,300090,4,100,'Increases Disruption, Subjugation and Focus of target by 12.4',1,3),
(103977,300090,4,100,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',1,4),
(103978,300090,4,100,'Inflicts 78 disease damage on target',2,5),
(103979,300090,4,100,'Heals caster for 26',2,6),
(103980,300090,4,100,'Increases Subjugation and Disruption of target by 12.4',1,7),
(103981,300090,5,100,'Applies Howl of the Damned to qualifying pets.',0,0),
(103982,300090,5,100,'Increases Haste of target by 27.6',1,1),
(103983,300090,5,100,'Decreases Defense and Parry of target by 11.3',1,2),
(103984,300090,5,100,'Increases Disruption, Subjugation and Focus of target by 13.5',1,3),
(103985,300090,5,100,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',1,4),
(103986,300090,5,100,'Inflicts 86 disease damage on target',2,5),
(103987,300090,5,100,'Heals caster for 28',2,6),
(103988,300090,5,100,'Increases Subjugation and Disruption of target by 13.5',1,7),
(103989,300090,7,100,'Applies Howl of the Damned to qualifying pets.',0,0),
(103990,300090,7,100,'Increases Haste of target by 35.4',1,1),
(103991,300090,7,100,'Decreases Defense and Parry of target by 11.3',1,2),
(103992,300090,7,100,'Increases Disruption, Subjugation and Focus of target by 17.3',1,3),
(103993,300090,7,100,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',1,4),
(103994,300090,7,100,'Inflicts 110 disease damage on target',2,5),
(103995,300090,7,100,'Heals caster for 36',2,6),
(103996,300090,7,100,'Increases Subjugation and Disruption of target by 15.8',1,7),
(103997,300090,9,100,'Applies Howl of the Damned to qualifying pets.',0,0),
(103998,300090,9,100,'Increases Attack Speed of target by 36.8',1,1),
(103999,300090,9,100,'Decreases Defense and Parry of target by 11.3',1,2),
(104000,300090,9,100,'Increases Disruption, Subjugation and Focus of target by 18.0',1,3),
(104001,300090,9,100,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',1,4),
(104002,300090,9,100,'Inflicts 114 disease damage on target',2,5),
(104003,300090,9,100,'Heals caster for 37',2,6),
(104004,300090,9,100,'Increases Subjugation and Disruption of target by 18.0',1,7),
(104005,300091,1,100,'Applies Howl of the Damned to qualifying pets.',0,0),
(104006,300091,1,100,'Increases Haste of target by 24.9',1,1),
(104007,300091,1,100,'Decreases Defense and Parry of target by 17.5',1,2),
(104008,300091,1,100,'Increases Disruption, Subjugation and Focus of target by 15.8',1,3),
(104009,300091,1,100,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',1,4),
(104010,300091,1,100,'Inflicts 105 disease damage on target',2,5),
(104011,300091,1,100,'Heals caster for 35',2,6),
(104012,300091,1,100,'Increases Subjugation and Disruption of target by 15.8',1,7),
(104013,300091,2,100,'Applies Howl of the Damned to qualifying pets.',0,0),
(104014,300091,2,100,'Increases Haste of target by 26.3',1,1),
(104015,300091,2,100,'Decreases Defense and Parry of target by 17.5',1,2),
(104016,300091,2,100,'Increases Disruption, Subjugation and Focus of target by 16.7',1,3),
(104017,300091,2,100,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',1,4),
(104018,300091,2,100,'Inflicts 111 disease damage on target',2,5),
(104019,300091,2,100,'Heals caster for 37',2,6),
(104020,300091,2,100,'Increases Subjugation and Disruption of target by 16.7',1,7),
(104021,300091,3,100,'Applies Howl of the Damned to qualifying pets.',0,0),
(104022,300091,3,100,'Increases Haste of target by 27.7',1,1),
(104023,300091,3,100,'Decreases Defense and Parry of target by 17.5',1,2),
(104024,300091,3,100,'Increases Disruption, Subjugation and Focus of target by 17.5',1,3),
(104025,300091,3,100,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',1,4),
(104026,300091,3,100,'Inflicts 117 disease damage on target',2,5),
(104027,300091,3,100,'Heals caster for 39',2,6),
(104028,300091,3,100,'Increases Subjugation and Disruption of target by 17.5',1,7),
(104029,300091,4,100,'Applies Howl of the Damned to qualifying pets.',0,0),
(104030,300091,4,100,'Increases Haste of target by 30.4',1,1),
(104031,300091,4,100,'Decreases Defense and Parry of target by 17.5',1,2),
(104032,300091,4,100,'Increases Disruption, Subjugation and Focus of target by 19.3',1,3),
(104033,300091,4,100,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',1,4),
(104034,300091,4,100,'Inflicts 128 disease damage on target',2,5),
(104035,300091,4,100,'Heals caster for 42',2,6),
(104036,300091,4,100,'Increases Subjugation and Disruption of target by 19.3',1,7),
(104037,300091,5,100,'Applies Howl of the Damned to qualifying pets.',0,0),
(104038,300091,5,100,'Increases Haste of target by 33.2',1,1),
(104039,300091,5,100,'Decreases Defense and Parry of target by 17.5',1,2),
(104040,300091,5,100,'Increases Disruption, Subjugation and Focus of target by 21.1',1,3),
(104041,300091,5,100,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',1,4),
(104042,300091,5,100,'Inflicts 140 disease damage on target',2,5),
(104043,300091,5,100,'Heals caster for 46',2,6),
(104044,300091,5,100,'Increases Subjugation and Disruption of target by 21.1',1,7),
(104045,300091,7,100,'Applies Howl of the Damned to qualifying pets.',0,0),
(104046,300091,7,100,'Increases Haste of target by 42.6',1,1),
(104047,300091,7,100,'Decreases Defense and Parry of target by 17.5',1,2),
(104048,300091,7,100,'Increases Disruption, Subjugation and Focus of target by 27.0',1,3),
(104049,300091,7,100,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',1,4),
(104050,300091,7,100,'Inflicts 180 disease damage on target',2,5),
(104051,300091,7,100,'Heals caster for 59',2,6),
(104052,300091,7,100,'Increases Subjugation and Disruption of target by 24.6',1,7),
(104053,300091,9,100,'Applies Howl of the Damned to qualifying pets.',0,0),
(104054,300091,9,100,'Increases Haste of target by 44.3',1,1),
(104055,300091,9,100,'Decreases Defense and Parry of target by 17.5',1,2),
(104056,300091,9,100,'Increases Disruption, Subjugation and Focus of target by 28.1',1,3),
(104057,300091,9,100,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',1,4),
(104058,300091,9,100,'Inflicts 187 disease damage on target',2,5),
(104059,300091,9,100,'Heals caster for 62',2,6),
(104060,300091,9,100,'Increases Subjugation and Disruption of target by 28.1',1,7),
(104061,300091,10,100,'Applies Howl of the Damned to qualifying pets.',0,0),
(104062,300091,10,100,'Increases Haste of target by 46.5',1,1),
(104063,300091,10,100,'Decreases Defense and Parry of target by 17.5',1,2),
(104064,300091,10,100,'Increases Disruption, Subjugation and Focus of target by 29.5',1,3),
(104065,300091,10,100,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',1,4),
(104066,300091,10,100,'Inflicts 196 disease damage on target',2,5),
(104067,300091,10,100,'Heals caster for 65',2,6),
(104068,300091,10,100,'Increases Subjugation and Disruption of target by 29.0',1,7),
(104069,300092,1,100,'Applies Howl of the Damned to qualifying pets.',0,0),
(104070,300092,1,100,'Increases Haste of target by 29.0',1,1),
(104071,300092,1,100,'Decreases Defense and Parry of target by 23.9',1,2),
(104072,300092,1,100,'Increases Disruption, Subjugation and Focus of target by 21.5',1,3),
(104073,300092,1,100,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',1,4),
(104074,300092,1,100,'Inflicts 155 disease damage on target',2,5),
(104075,300092,1,100,'Heals caster for 51',2,6),
(104076,300092,1,100,'Increases Subjugation and Disruption of target by 21.5',1,7),
(104077,300092,2,100,'Applies Howl of the Damned to qualifying pets.',0,0),
(104078,300092,2,100,'Increases Attack Speed of target by 30.7',1,1),
(104079,300092,2,100,'Decreases Defense and Parry of target by 23.9',1,2),
(104080,300092,2,100,'Increases Disruption, Subjugation and Focus of target by 22.7',1,3),
(104081,300092,2,100,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',1,4),
(104082,300092,2,100,'Inflicts 164 disease damage on target',2,5),
(104083,300092,2,100,'Heals caster for 54',2,6),
(104084,300092,2,100,'Increases Subjugation and Disruption of target by 22.7',1,7),
(104085,300092,3,100,'Applies Howl of the Damned to qualifying pets.',0,0),
(104086,300092,3,100,'Increases Haste of target by 32.3',1,1),
(104087,300092,3,100,'Decreases Defense and Parry of target by 23.9',1,2),
(104088,300092,3,100,'Increases Disruption, Subjugation and Focus of target by 23.9',1,3),
(104089,300092,3,100,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',1,4),
(104090,300092,3,100,'Inflicts 173 disease damage on target',2,5),
(104091,300092,3,100,'Heals caster for 57',2,6),
(104092,300092,3,100,'Increases Subjugation and Disruption of target by 23.9',1,7),
(104093,300092,4,100,'Applies Howl of the Damned to qualifying pets.',0,0),
(104094,300092,4,100,'Increases Haste of target by 35.5',1,1),
(104095,300092,4,100,'Decreases Defense and Parry of target by 23.9',1,2),
(104096,300092,4,100,'Increases Disruption, Subjugation and Focus of target by 26.2',1,3),
(104097,300092,4,100,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',1,4),
(104098,300092,4,100,'Inflicts 190 disease damage on target',2,5),
(104099,300092,4,100,'Heals caster for 63',2,6),
(104100,300092,4,100,'Increases Subjugation and Disruption of target by 26.2',1,7),
(104101,300092,5,100,'Applies Howl of the Damned to qualifying pets.',0,0),
(104102,300092,5,100,'Increases Haste of target by 38.7',1,1),
(104103,300092,5,100,'Decreases Defense and Parry of target by 23.9',1,2),
(104104,300092,5,100,'Increases Disruption, Subjugation and Focus of target by 28.6',1,3),
(104105,300092,5,100,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',1,4),
(104106,300092,5,100,'Inflicts 207 disease damage on target',2,5),
(104107,300092,5,100,'Heals caster for 69',2,6),
(104108,300092,5,100,'Increases Subjugation and Disruption of target by 28.6',1,7),
(104109,300092,7,100,'Applies Howl of the Damned to qualifying pets.',0,0),
(104110,300092,7,100,'Increases Haste of target by 49.7',1,1),
(104111,300092,7,100,'Decreases Defense and Parry of target by 23.9',1,2),
(104112,300092,7,100,'Increases Disruption, Subjugation and Focus of target by 36.7',1,3),
(104113,300092,7,100,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',1,4),
(104114,300092,7,100,'Inflicts 266 disease damage on target',2,5),
(104115,300092,7,100,'Heals caster for 88',2,6),
(104116,300092,7,100,'Increases Subjugation and Disruption of target by 33.4',1,7),
(104117,300092,9,100,'Applies Howl of the Damned to qualifying pets.',0,0),
(104118,300092,9,100,'Increases Haste of target by 51.6',1,1),
(104119,300092,9,100,'Decreases Defense and Parry of target by 23.9',1,2),
(104120,300092,9,100,'Increases Disruption, Subjugation and Focus of target by 38.2',1,3),
(104121,300092,9,100,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',1,4),
(104122,300092,9,100,'Inflicts 276 disease damage on target',2,5),
(104123,300092,9,100,'Heals caster for 91',2,6),
(104124,300092,9,100,'Increases Subjugation and Disruption of target by 38.2',1,7),
(104125,300092,10,100,'Applies Howl of the Damned to qualifying pets.',0,0),
(104126,300092,10,100,'Increases Haste of target by 54.2',1,1),
(104127,300092,10,100,'Decreases Defense and Parry of target by 23.9',1,2),
(104128,300092,10,100,'Increases Disruption, Subjugation and Focus of target by 40.1',1,3),
(104129,300092,10,100,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',1,4),
(104130,300092,10,100,'Inflicts 290 disease damage on target',2,5),
(104131,300092,10,100,'Heals caster for 96',2,6),
(104132,300092,10,100,'Increases Subjugation and Disruption of target by 39.4',1,7),
(104133,300093,1,100,'Applies Howl of the Damned to qualifying pets.',0,0),
(104134,300093,1,100,'Increases Haste of target by 33.1',1,1),
(104135,300093,1,100,'Decreases Defense and Parry of target by 30.1',1,2),
(104136,300093,1,100,'Increases Disruption, Subjugation and Focus of target by 27.1',1,3),
(104137,300093,1,100,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',1,4),
(104138,300093,1,100,'Inflicts 207 disease damage on target',2,5),
(104139,300093,1,100,'Heals caster for 68',2,6),
(104140,300093,1,100,'Increases Subjugation and Disruption of target by 27.1',1,7),
(104141,300093,2,100,'Applies Howl of the Damned to qualifying pets.',0,0),
(104142,300093,2,100,'Increases Haste of target by 35.0',1,1),
(104143,300093,2,100,'Decreases Defense and Parry of target by 30.1',1,2),
(104144,300093,2,100,'Increases Disruption, Subjugation and Focus of target by 28.6',1,3),
(104145,300093,2,100,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',1,4),
(104146,300093,2,100,'Inflicts 218 disease damage on target',2,5),
(104147,300093,2,100,'Heals caster for 72',2,6),
(104148,300093,2,100,'Increases Subjugation and Disruption of target by 28.6',1,7),
(104149,300093,3,100,'Applies Howl of the Damned to qualifying pets.',0,0),
(104150,300093,3,100,'Increases Haste of target by 36.8',1,1),
(104151,300093,3,100,'Decreases Defense and Parry of target by 30.1',1,2),
(104152,300093,3,100,'Increases Disruption, Subjugation and Focus of target by 30.1',1,3),
(104153,300093,3,100,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',1,4),
(104154,300093,3,100,'Inflicts 230 disease damage on target',2,5),
(104155,300093,3,100,'Heals caster for 76',2,6),
(104156,300093,3,100,'Increases Subjugation and Disruption of target by 30.1',1,7),
(104157,300093,4,100,'Applies Howl of the Damned to qualifying pets.',0,0),
(104158,300093,4,100,'Increases Haste of target by 40.5',1,1),
(104159,300093,4,100,'Decreases Defense and Parry of target by 30.1',1,2),
(104160,300093,4,100,'Increases Disruption, Subjugation and Focus of target by 33.2',1,3),
(104161,300093,4,100,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',1,4),
(104162,300093,4,100,'Inflicts 253 disease damage on target',2,5),
(104163,300093,4,100,'Heals caster for 84',2,6),
(104164,300093,4,100,'Increases Subjugation and Disruption of target by 33.2',1,7),
(104165,300093,5,100,'Applies Howl of the Damned to qualifying pets.',0,0),
(104166,300093,5,100,'Increases Haste of target by 44.2',1,1),
(104167,300093,5,100,'Decreases Defense and Parry of target by 30.1',1,2),
(104168,300093,5,100,'Increases Disruption, Subjugation and Focus of target by 36.2',1,3),
(104169,300093,5,100,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',1,4),
(104170,300093,5,100,'Inflicts 275 disease damage on target',2,5),
(104171,300093,5,100,'Heals caster for 91',2,6),
(104172,300093,5,100,'Increases Subjugation and Disruption of target by 36.2',1,7),
(104173,300093,7,100,'Applies Howl of the Damned to qualifying pets.',0,0),
(104174,300093,7,100,'Increases Haste of target by 56.7',1,1),
(104175,300093,7,100,'Decreases Defense and Parry of target by 30.1',1,2),
(104176,300093,7,100,'Increases Disruption, Subjugation and Focus of target by 46.4',1,3),
(104177,300093,7,100,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',1,4),
(104178,300093,7,100,'Inflicts 354 disease damage on target',2,5),
(104179,300093,7,100,'Heals caster for 117',2,6),
(104180,300093,7,100,'Increases Subjugation and Disruption of target by 42.2',1,7),
(104181,300093,9,100,'Applies Howl of the Damned to qualifying pets.',0,0),
(104182,300093,9,100,'Increases Attack Speed of target by 58.9',1,1),
(104183,300093,9,100,'Decreases Defense and Parry of target by 30.1',1,2),
(104184,300093,9,100,'Increases Disruption, Subjugation and Focus of target by 48.2',1,3),
(104185,300093,9,100,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',1,4),
(104186,300093,9,100,'Inflicts 367 disease damage on target',2,5),
(104187,300093,9,100,'Heals caster for 122',2,6),
(104188,300093,9,100,'Increases Subjugation and Disruption of target by 48.2',1,7),
(104189,300094,1,100,'Applies Howl of the Damned to qualifying pets.',0,0),
(104190,300094,1,100,'Increases Haste of target by 36.3',1,1),
(104191,300094,1,100,'Decreases Defense and Parry of target by 36.3',1,2),
(104192,300094,1,100,'Increases Disruption and Subjugation of target by 31.6',1,3),
(104193,300094,1,100,'Increases Focus of target by 32.7',1,4),
(104194,300094,1,100,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',1,5),
(104195,300094,1,100,'Inflicts 255 disease damage on target',2,6),
(104196,300094,1,100,'Heals caster for 92',2,7),
(104197,300094,2,100,'Applies Howl of the Damned to qualifying pets.',0,0),
(104198,300094,2,100,'Increases Haste of target by 38.4',1,1),
(104199,300094,2,100,'Decreases Defense and Parry of target by 36.3',1,2),
(104200,300094,2,100,'Increases Disruption and Subjugation of target by 33.3',1,3),
(104201,300094,2,100,'Increases Focus of target by 34.5',1,4),
(104202,300094,2,100,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',1,5),
(104203,300094,2,100,'Inflicts 269 disease damage on target',2,6),
(104204,300094,2,100,'Heals caster for 97',2,7),
(104205,300094,3,100,'Applies Howl of the Damned to qualifying pets.',0,0),
(104206,300094,3,100,'Increases Attack Speed of target by 40.4',1,1),
(104207,300094,3,100,'Decreases Defense and Parry of target by 36.3',1,2),
(104208,300094,3,100,'Increases Disruption and Subjugation of target by 35.1',1,3),
(104209,300094,3,100,'Increases Focus of target by 36.3',1,4),
(104210,300094,3,100,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',1,5),
(104211,300094,3,100,'Inflicts 283 disease damage on target',2,6),
(104212,300094,3,100,'Heals caster for 102',2,7),
(104213,300094,4,100,'Applies Howl of the Damned to qualifying pets.',0,0),
(104214,300094,4,100,'Increases Attack Speed of target by 44.4',1,1),
(104215,300094,4,100,'Decreases Defense and Parry of target by 36.3',1,2),
(104216,300094,4,100,'Increases Disruption and Subjugation of target by 38.6',1,3),
(104217,300094,4,100,'Increases Focus of target by 39.9',1,4),
(104218,300094,4,100,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',1,5),
(104219,300094,4,100,'Inflicts 311 disease damage on target',2,6),
(104220,300094,4,100,'Heals caster for 113',2,7),
(104221,300094,5,100,'Applies Howl of the Damned to qualifying pets.',0,0),
(104222,300094,5,100,'Increases Haste of target by 48.4',1,1),
(104223,300094,5,100,'Decreases Defense and Parry of target by 36.3',1,2),
(104224,300094,5,100,'Increases Disruption and Subjugation of target by 42.1',1,3),
(104225,300094,5,100,'Increases Focus of target by 43.6',1,4),
(104226,300094,5,100,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',1,5),
(104227,300094,5,100,'Inflicts 339 disease damage on target',2,6),
(104228,300094,5,100,'Heals caster for 123',2,7),
(104229,300094,7,100,'Applies Howl of the Damned to qualifying pets.',0,0),
(104230,300094,7,100,'Increases Attack Speed of target by 62.2',1,1),
(104231,300094,7,100,'Decreases Defense and Parry of target by 36.3',1,2),
(104232,300094,7,100,'Increases Disruption and Subjugation of target by 54.1',1,3),
(104233,300094,7,100,'Increases Focus of target by 55.9',1,4),
(104234,300094,7,100,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',1,5),
(104235,300094,7,100,'Inflicts 436 disease damage on target',2,6),
(104236,300094,7,100,'Heals caster for 158',2,7),
(104237,300094,9,100,'Applies Howl of the Damned to qualifying pets.',0,0),
(104238,300094,9,100,'Increases Haste of target by 64.6',1,1),
(104239,300094,9,100,'Decreases Defense and Parry of target by 36.3',1,2),
(104240,300094,9,100,'Increases Disruption and Subjugation of target by 56.2',1,3),
(104241,300094,9,100,'Increases Focus of target by 58.1',1,4),
(104242,300094,9,100,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',1,5),
(104243,300094,9,100,'Inflicts 453 disease damage on target',2,6),
(104244,300094,9,100,'Heals caster for 164',2,7),
(104245,300095,1,100,'Applies Howl of the Damned to qualifying pets.',0,0),
(104246,300095,1,100,'Increases Haste of target by 41.2',1,1),
(104247,300095,1,100,'Decreases Defense and Parry of target by 42.3',1,2),
(104248,300095,1,100,'Increases Disruption and Subjugation of target by 35.6',1,3),
(104249,300095,1,100,'Increases Focus of target by 39.1',1,4),
(104250,300095,1,100,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',1,5),
(104251,300095,1,100,'Inflicts 307 disease damage on target',2,6),
(104252,300095,1,100,'Heals caster for 112',2,7),
(104253,300095,4,100,'Applies Howl of the Damned to qualifying pets.',0,0),
(104254,300095,4,100,'Increases Attack Speed of target by 50.4',1,1),
(104255,300095,4,100,'Decreases Defense and Parry of target by 42.3',1,2),
(104256,300095,4,100,'Increases Disruption and Subjugation of target by 43.6',1,3),
(104257,300095,4,100,'Increases Focus of target by 47.9',1,4),
(104258,300095,4,100,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',1,5),
(104259,300095,4,100,'Inflicts 375 disease damage on target',2,6),
(104260,300095,4,100,'Heals caster for 137',2,7),
(104261,300095,5,100,'Applies Howl of the Damned to qualifying pets.',0,0),
(104262,300095,5,100,'Increases Attack Speed of target by 55.0',1,1),
(104263,300095,5,100,'Decreases Defense and Parry of target by 42.3',1,2),
(104264,300095,5,100,'Increases Disruption and Subjugation of target by 47.5',1,3),
(104265,300095,5,100,'Increases Focus of target by 52.2',1,4),
(104266,300095,5,100,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',1,5),
(104267,300095,5,100,'Inflicts 409 disease damage on target',2,6),
(104268,300095,5,100,'Heals caster for 149',2,7),
(104269,300095,7,100,'Applies Howl of the Damned to qualifying pets.',0,0),
(104270,300095,7,100,'Increases Haste of target by 70.5',1,1),
(104271,300095,7,100,'Decreases Defense and Parry of target by 42.3',1,2),
(104272,300095,7,100,'Increases Disruption and Subjugation of target by 61.0',1,3),
(104273,300095,7,100,'Increases Focus of target by 67.0',1,4),
(104274,300095,7,100,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',1,5),
(104275,300095,7,100,'Inflicts 525 disease damage on target',2,6),
(104276,300095,7,100,'Heals caster for 192',2,7),
(104277,300095,9,100,'Applies Howl of the Damned to qualifying pets.',0,0),
(104278,300095,9,100,'Increases Haste of target by 73.3',1,1),
(104279,300095,9,100,'Decreases Defense and Parry of target by 42.3',1,2),
(104280,300095,9,100,'Increases Disruption and Subjugation of target by 63.4',1,3),
(104281,300095,9,100,'Increases Focus of target by 69.6',1,4),
(104282,300095,9,100,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',1,5),
(104283,300095,9,100,'Inflicts 545 disease damage on target',2,6),
(104284,300095,9,100,'Heals caster for 199',2,7),
(104285,300096,1,100,'Applies Howl of the Damned to qualifying pets.',0,0),
(104286,300096,1,100,'Increases Haste of target by 44.5',1,1),
(104287,300096,1,100,'Decreases Defense and Parry of target by 48.3',1,2),
(104288,300096,1,100,'Increases Disruption and Subjugation of target by 39.7',1,3),
(104289,300096,1,100,'Increases Focus of target by 45.9',1,4),
(104290,300096,1,100,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',1,5),
(104291,300096,1,100,'Inflicts 333 disease damage on target',2,6),
(104292,300096,1,100,'Heals caster for 120',2,7),
(104293,300096,4,100,'Applies Howl of the Damned to qualifying pets.',0,0),
(104294,300096,4,100,'Increases Haste of target by 54.3',1,1),
(104295,300096,4,100,'Decreases Defense and Parry of target by 48.3',1,2),
(104296,300096,4,100,'Increases Disruption and Subjugation of target by 48.5',1,3),
(104297,300096,4,100,'Increases Focus of target by 56.1',1,4),
(104298,300096,4,100,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',1,5),
(104299,300096,4,100,'Inflicts 407 disease damage on target',2,6),
(104300,300096,4,100,'Heals caster for 147',2,7),
(104301,300096,5,100,'Applies Howl of the Damned to qualifying pets.',0,0),
(104302,300096,5,100,'Increases Attack Speed of target by 59.3',1,1),
(104303,300096,5,100,'Decreases Defense and Parry of target by 48.3',1,2),
(104304,300096,5,100,'Increases Disruption and Subjugation of target by 52.9',1,3),
(104305,300096,5,100,'Increases Focus of target by 61.2',1,4),
(104306,300096,5,100,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',1,5),
(104307,300096,5,100,'Inflicts 444 disease damage on target',2,6),
(104308,300096,5,100,'Heals caster for 160',2,7),
(104309,300096,7,100,'Applies Howl of the Damned to qualifying pets.',0,0),
(104310,300096,7,100,'Increases Attack Speed of target by 76.1',1,1),
(104311,300096,7,100,'Decreases Defense and Parry of target by 48.3',1,2),
(104312,300096,7,100,'Increases Disruption and Subjugation of target by 67.9',1,3),
(104313,300096,7,100,'Increases Focus of target by 78.5',1,4),
(104314,300096,7,100,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',1,5),
(104315,300096,7,100,'Inflicts 570 disease damage on target',2,6),
(104316,300096,7,100,'Heals caster for 206',2,7),
(104317,300096,9,100,'Applies Howl of the Damned to qualifying pets.',0,0),
(104318,300096,9,100,'Increases Haste of target by 79.0',1,1),
(104319,300096,9,100,'Decreases Defense and Parry of target by 48.3',1,2),
(104320,300096,9,100,'Increases Disruption and Subjugation of target by 70.6',1,3),
(104321,300096,9,100,'Increases Focus of target by 81.6',1,4),
(104322,300096,9,100,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',1,5),
(104323,300096,9,100,'Inflicts 592 disease damage on target',2,6),
(104324,300096,9,100,'Heals caster for 214',2,7),
(104325,2000490,1,100,'Reduces all damage done to caster by 30%',0,0),
(104326,2000490,1,100,'Makes the caster immune to Root, Stifle, Stun, Fear, Daze, Mesmerize and Interrupt effects',0,1),
(104327,2000490,1,100,'Heals the group by 25% of the direct damage done by the druid',0,2),
(104328,2000491,1,100,'Summons a pet Hydromancer',0,0),
(104329,370102,1,100,'1% chance to apply Knockdown.  Lasts for 1.5 seconds.',0,0),
(104330,370102,1,100,'Throws target back',1,1),
(104331,370102,1,100,'Blurs vision of target',1,2),
(104332,370102,1,100,'Stuns target',1,3),
(104333,370102,1,100,'Does not affect Epic targets',1,4),
(104334,370102,1,100,'Interrupts targets in Area of Effect',0,5),
(104335,370102,1,100,'Blurs vision of targets in Area of Effect',0,6),
(104336,370102,2,100,'2% chance to apply Knockdown.  Lasts for 1.5 seconds.',0,0),
(104337,370102,2,100,'Throws target back',1,1),
(104338,370102,2,100,'Blurs vision of target',1,2),
(104339,370102,2,100,'Stuns target',1,3),
(104340,370102,2,100,'Does not affect Epic targets',1,4),
(104341,370102,2,100,'Interrupts targets in Area of Effect',0,5),
(104342,370102,2,100,'Blurs vision of targets in Area of Effect',0,6),
(104343,370102,3,100,'3% chance to apply Knockdown.  Lasts for 1.5 seconds.',0,0),
(104344,370102,3,100,'Throws target back',1,1),
(104345,370102,3,100,'Blurs vision of target',1,2),
(104346,370102,3,100,'Stuns target',1,3),
(104347,370102,3,100,'Does not affect Epic targets',1,4),
(104348,370102,3,100,'Interrupts targets in Area of Effect',0,5),
(104349,370102,3,100,'Blurs vision of targets in Area of Effect',0,6),
(104350,370102,4,100,'4% chance to apply Knockdown.  Lasts for 1.5 seconds.',0,0),
(104351,370102,4,100,'Throws target back',1,1),
(104352,370102,4,100,'Blurs vision of target',1,2),
(104353,370102,4,100,'Stuns target',1,3),
(104354,370102,4,100,'Does not affect Epic targets',1,4),
(104355,370102,4,100,'Interrupts targets in Area of Effect',0,5),
(104356,370102,4,100,'Blurs vision of targets in Area of Effect',0,6),
(104357,370102,5,100,'5% chance to apply Knockdown.  Lasts for 1.5 seconds.',0,0),
(104358,370102,5,100,'Throws target back',1,1),
(104359,370102,5,100,'Blurs vision of target',1,2),
(104360,370102,5,100,'Stuns target',1,3),
(104361,370102,5,100,'Does not affect Epic targets',1,4),
(104362,370102,5,100,'Interrupts targets in Area of Effect',0,5),
(104363,370102,5,100,'Blurs vision of targets in Area of Effect',0,6),
(104364,370102,7,100,'7% chance to apply Knockdown.  Lasts for 1.5 seconds.',0,0),
(104365,370102,7,100,'Throws target back',1,1),
(104366,370102,7,100,'Blurs vision of target',1,2),
(104367,370102,7,100,'Stuns target',1,3),
(104368,370102,7,100,'Does not affect Epic targets',1,4),
(104369,370102,7,100,'Interrupts targets in Area of Effect',0,5),
(104370,370102,7,100,'Blurs vision of targets in Area of Effect',0,6),
(104371,370102,9,100,'9% chance to apply Knockdown.  Lasts for 1.5 seconds.',0,0),
(104372,370102,9,100,'Throws target back',1,1),
(104373,370102,9,100,'Blurs vision of target',1,2),
(104374,370102,9,100,'Stuns target',1,3),
(104375,370102,9,100,'Does not affect Epic targets',1,4),
(104376,370102,9,100,'Interrupts targets in Area of Effect',0,5),
(104377,370102,9,100,'Blurs vision of targets in Area of Effect',0,6),
(104378,370103,1,100,'6% chance to apply Knockdown.  Lasts for 1.5 seconds.',0,0),
(104379,370103,1,100,'Throws target back',1,1),
(104380,370103,1,100,'Blurs vision of target',1,2),
(104381,370103,1,100,'Stuns target',1,3),
(104382,370103,1,100,'Does not affect Epic targets',1,4),
(104383,370103,1,100,'Interrupts targets in Area of Effect',0,5),
(104384,370103,1,100,'Blurs vision of targets in Area of Effect',0,6),
(104385,370103,2,100,'7% chance to apply Knockdown.  Lasts for 1.5 seconds.',0,0),
(104386,370103,2,100,'Throws target back',1,1),
(104387,370103,2,100,'Blurs vision of target',1,2),
(104388,370103,2,100,'Stuns target',1,3),
(104389,370103,2,100,'Does not affect Epic targets',1,4),
(104390,370103,2,100,'Interrupts targets in Area of Effect',0,5),
(104391,370103,2,100,'Blurs vision of targets in Area of Effect',0,6),
(104392,370103,3,100,'8% chance to apply Knockdown.  Lasts for 1.5 seconds.',0,0),
(104393,370103,3,100,'Throws target back',1,1),
(104394,370103,3,100,'Blurs vision of target',1,2),
(104395,370103,3,100,'Stuns target',1,3),
(104396,370103,3,100,'Does not affect Epic targets',1,4),
(104397,370103,3,100,'Interrupts targets in Area of Effect',0,5),
(104398,370103,3,100,'Blurs vision of targets in Area of Effect',0,6),
(104399,370103,4,100,'9% chance to apply Knockdown.  Lasts for 1.5 seconds.',0,0),
(104400,370103,4,100,'Throws target back',1,1),
(104401,370103,4,100,'Blurs vision of target',1,2),
(104402,370103,4,100,'Stuns target',1,3),
(104403,370103,4,100,'Does not affect Epic targets',1,4),
(104404,370103,4,100,'Interrupts targets in Area of Effect',0,5),
(104405,370103,4,100,'Blurs vision of targets in Area of Effect',0,6),
(104406,370103,5,100,'10% chance to apply Knockdown.  Lasts for 1.5 seconds.',0,0),
(104407,370103,5,100,'Throws target back',1,1),
(104408,370103,5,100,'Blurs vision of target',1,2),
(104409,370103,5,100,'Stuns target',1,3),
(104410,370103,5,100,'Does not affect Epic targets',1,4),
(104411,370103,5,100,'Interrupts targets in Area of Effect',0,5),
(104412,370103,5,100,'Blurs vision of targets in Area of Effect',0,6),
(104413,370103,7,100,'12% chance to apply Knockdown.  Lasts for 1.5 seconds.',0,0),
(104414,370103,7,100,'Throws target back',1,1),
(104415,370103,7,100,'Blurs vision of target',1,2),
(104416,370103,7,100,'Stuns target',1,3),
(104417,370103,7,100,'Does not affect Epic targets',1,4),
(104418,370103,7,100,'Interrupts targets in Area of Effect',0,5),
(104419,370103,7,100,'Blurs vision of targets in Area of Effect',0,6),
(104420,370103,9,100,'14% chance to apply Knockdown.  Lasts for 1.5 seconds.',0,0),
(104421,370103,9,100,'Throws target back',1,1),
(104422,370103,9,100,'Blurs vision of target',1,2),
(104423,370103,9,100,'Stuns target',1,3),
(104424,370103,9,100,'Does not affect Epic targets',1,4),
(104425,370103,9,100,'Interrupts targets in Area of Effect',0,5),
(104426,370103,9,100,'Blurs vision of targets in Area of Effect',0,6),
(104427,370104,1,100,'11% chance to apply Knockdown.  Lasts for 1.5 seconds.',0,0),
(104428,370104,1,100,'Throws target back',1,1),
(104429,370104,1,100,'Blurs vision of target',1,2),
(104430,370104,1,100,'Stuns target',1,3),
(104431,370104,1,100,'Does not affect Epic targets',1,4),
(104432,370104,1,100,'Interrupts targets in Area of Effect',0,5),
(104433,370104,1,100,'Blurs vision of targets in Area of Effect',0,6),
(104434,370104,2,100,'12% chance to apply Knockdown.  Lasts for 1.5 seconds.',0,0),
(104435,370104,2,100,'Throws target back',1,1),
(104436,370104,2,100,'Blurs vision of target',1,2),
(104437,370104,2,100,'Stuns target',1,3),
(104438,370104,2,100,'Does not affect Epic targets',1,4),
(104439,370104,2,100,'Interrupts targets in Area of Effect',0,5),
(104440,370104,2,100,'Blurs vision of targets in Area of Effect',0,6),
(104441,370104,3,100,'13% chance to apply Knockdown.  Lasts for 1.5 seconds.',0,0),
(104442,370104,3,100,'Throws target back',1,1),
(104443,370104,3,100,'Blurs vision of target',1,2),
(104444,370104,3,100,'Stuns target',1,3),
(104445,370104,3,100,'Does not affect Epic targets',1,4),
(104446,370104,3,100,'Interrupts targets in Area of Effect',0,5),
(104447,370104,3,100,'Blurs vision of targets in Area of Effect',0,6),
(104448,370104,4,100,'14% chance to apply Knockdown.  Lasts for 1.5 seconds.',0,0),
(104449,370104,4,100,'Throws target back',1,1),
(104450,370104,4,100,'Blurs vision of target',1,2),
(104451,370104,4,100,'Stuns target',1,3),
(104452,370104,4,100,'Does not affect Epic targets',1,4),
(104453,370104,4,100,'Interrupts targets in Area of Effect',0,5),
(104454,370104,4,100,'Blurs vision of targets in Area of Effect',0,6),
(104455,370104,5,100,'15% chance to apply Knockdown.  Lasts for 1.5 seconds.',0,0),
(104456,370104,5,100,'Throws target back',1,1),
(104457,370104,5,100,'Blurs vision of target',1,2),
(104458,370104,5,100,'Stuns target',1,3),
(104459,370104,5,100,'Does not affect Epic targets',1,4),
(104460,370104,5,100,'Interrupts targets in Area of Effect',0,5),
(104461,370104,5,100,'Blurs vision of targets in Area of Effect',0,6),
(104462,370104,7,100,'17% chance to apply Knockdown.  Lasts for 1.5 seconds.',0,0),
(104463,370104,7,100,'Throws target back',1,1),
(104464,370104,7,100,'Blurs vision of target',1,2),
(104465,370104,7,100,'Stuns target',1,3),
(104466,370104,7,100,'Does not affect Epic targets',1,4),
(104467,370104,7,100,'Interrupts targets in Area of Effect',0,5),
(104468,370104,7,100,'Blurs vision of targets in Area of Effect',0,6),
(104469,370104,9,100,'19% chance to apply Knockdown.  Lasts for 1.5 seconds.',0,0),
(104470,370104,9,100,'Throws target back',1,1),
(104471,370104,9,100,'Blurs vision of target',1,2),
(104472,370104,9,100,'Stuns target',1,3),
(104473,370104,9,100,'Does not affect Epic targets',1,4),
(104474,370104,9,100,'Interrupts targets in Area of Effect',0,5),
(104475,370104,9,100,'Blurs vision of targets in Area of Effect',0,6),
(104476,370105,1,100,'Increases Hate Gain of target by 14.0%',0,0),
(104477,370105,1,100,'Increases Aggression of target by 8.6',0,1),
(104478,370105,2,100,'Increases Hate Gain of target by 14.8%',0,0),
(104479,370105,2,100,'Increases Aggression of target by 9.1',0,1),
(104480,370105,3,100,'Increases Hate Gain of target by 15.6%',0,0),
(104481,370105,3,100,'Increases Aggression of target by 9.6',0,1),
(104482,370105,4,100,'Increases Hate Gain of target by 17.1%',0,0),
(104483,370105,4,100,'Increases Aggression of target by 10.6',0,1),
(104484,370105,5,100,'Increases Hate Gain of target by 18.7%',0,0),
(104485,370105,5,100,'Increases Aggression of target by 11.5',0,1),
(104486,370105,7,100,'Increases Hate Gain of target by 24.0%',0,0),
(104487,370105,7,100,'Increases Aggression of target by 14.8',0,1),
(104488,370105,9,100,'Increases Hate Gain of target by 24.9%',0,0),
(104489,370105,9,100,'Increases Aggression of target by 15.4',0,1),
(104490,370106,1,100,'Increases Hate Gain of target by 17.4%',0,0),
(104491,370106,1,100,'Increases Aggression of target by 12.4',0,1),
(104492,370106,2,100,'Increases Hate Gain of target by 18.4%',0,0),
(104493,370106,2,100,'Increases Aggression of target by 13.1',0,1),
(104494,370106,3,100,'Increases Hate Gain of target by 19.4%',0,0),
(104495,370106,3,100,'Increases Aggression of target by 13.8',0,1),
(104496,370106,4,100,'Increases Hate Gain of target by 21.3%',0,0),
(104497,370106,4,100,'Increases Aggression of target by 15.2',0,1),
(104498,370106,5,100,'Increases Hate Gain of target by 23.3%',0,0),
(104499,370106,5,100,'Increases Aggression of target by 16.6',0,1),
(104500,370106,7,100,'Increases Hate Gain of target by 29.8%',0,0),
(104501,370106,7,100,'Increases Aggression of target by 21.3',0,1),
(104502,370106,9,100,'Increases Hate Gain of target by 31.0%',0,0),
(104503,370106,9,100,'Increases Aggression of target by 22.1',0,1),
(104504,370107,1,100,'Increases Hate Gain of target by 20.3%',0,0),
(104505,370107,1,100,'Increases Aggression of target by 16.2',0,1),
(104506,370107,2,100,'Increases Hate Gain of target by 21.4%',0,0),
(104507,370107,2,100,'Increases Aggression of target by 17.1',0,1),
(104508,370107,3,100,'Increases Hate Gain of target by 22.5%',0,0),
(104509,370107,3,100,'Increases Aggression of target by 18.0',0,1),
(104510,370107,4,100,'Increases Hate Gain of target by 24.8%',0,0),
(104511,370107,4,100,'Increases Aggression of target by 19.8',0,1),
(104512,370107,5,100,'Increases Hate Gain of target by 27.0%',0,0),
(104513,370107,5,100,'Increases Aggression of target by 21.6',0,1),
(104514,370107,7,100,'Increases Hate Gain of target by 34.7%',0,0),
(104515,370107,7,100,'Increases Aggression of target by 27.7',0,1),
(104516,370107,9,100,'Increases Hate Gain of target by 36.0%',0,0),
(104517,370107,9,100,'Increases Aggression of target by 28.8',0,1),
(104518,370107,10,100,'Increases Hate Gain of target by 37.8%',0,0),
(104519,370107,10,100,'Increases Aggression of target by 30.2',0,1),
(104520,230074,1,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(104521,230074,1,100,'Throws target back',1,1),
(104522,230074,1,100,'Blurs vision of target',1,2),
(104523,230074,1,100,'Stuns target',1,3),
(104524,230074,1,100,'Does not affect Epic targets',1,4),
(104525,230074,1,100,'Inflicts 1218 - 2262 cold damage on target',0,5),
(104526,230074,2,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(104527,230074,2,100,'Throws target back',1,1),
(104528,230074,2,100,'Blurs vision of target',1,2),
(104529,230074,2,100,'Stuns target',1,3),
(104530,230074,2,100,'Does not affect Epic targets',1,4),
(104531,230074,2,100,'Inflicts 1286 - 2388 cold damage on target',0,5),
(104532,230074,3,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(104533,230074,3,100,'Throws target back',1,1),
(104534,230074,3,100,'Blurs vision of target',1,2),
(104535,230074,3,100,'Stuns target',1,3),
(104536,230074,3,100,'Does not affect Epic targets',1,4),
(104537,230074,3,100,'Inflicts 1353 - 2513 cold damage on target',0,5),
(104538,230074,4,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(104539,230074,4,100,'Throws target back',1,1),
(104540,230074,4,100,'Blurs vision of target',1,2),
(104541,230074,4,100,'Stuns target',1,3),
(104542,230074,4,100,'Does not affect Epic targets',1,4),
(104543,230074,4,100,'Inflicts 1489 - 2765 cold damage on target',0,5),
(104544,230074,5,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(104545,230074,5,100,'Throws target back',1,1),
(104546,230074,5,100,'Blurs vision of target',1,2),
(104547,230074,5,100,'Stuns target',1,3),
(104548,230074,5,100,'Does not affect Epic targets',1,4),
(104549,230074,5,100,'Inflicts 1624 - 3016 cold damage on target',0,5),
(104550,230074,7,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(104551,230074,7,100,'Throws target back',1,1),
(104552,230074,7,100,'Blurs vision of target',1,2),
(104553,230074,7,100,'Stuns target',1,3),
(104554,230074,7,100,'Does not affect Epic targets',1,4),
(104555,230074,7,100,'Inflicts 2084 - 3870 cold damage on target',0,5),
(104556,230074,9,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(104557,230074,9,100,'Throws target back',1,1),
(104558,230074,9,100,'Blurs vision of target',1,2),
(104559,230074,9,100,'Stuns target',1,3),
(104560,230074,9,100,'Does not affect Epic targets',1,4),
(104561,230074,9,100,'Inflicts 2165 - 4021 cold damage on target',0,5),
(104562,230075,1,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(104563,230075,1,100,'Throws target back',1,1),
(104564,230075,1,100,'Blurs vision of target',1,2),
(104565,230075,1,100,'Stuns target',1,3),
(104566,230075,1,100,'Does not affect Epic targets',1,4),
(104567,230075,1,100,'Inflicts 1833 - 3404 cold damage on target',0,5),
(104568,230075,2,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(104569,230075,2,100,'Throws target back',1,1),
(104570,230075,2,100,'Blurs vision of target',1,2),
(104571,230075,2,100,'Stuns target',1,3),
(104572,230075,2,100,'Does not affect Epic targets',1,4),
(104573,230075,2,100,'Inflicts 1935 - 3593 cold damage on target',0,5),
(104574,230075,3,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(104575,230075,3,100,'Throws target back',1,1),
(104576,230075,3,100,'Blurs vision of target',1,2),
(104577,230075,3,100,'Stuns target',1,3),
(104578,230075,3,100,'Does not affect Epic targets',1,4),
(104579,230075,3,100,'Inflicts 2037 - 3782 cold damage on target',0,5),
(104580,230075,4,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(104581,230075,4,100,'Throws target back',1,1),
(104582,230075,4,100,'Blurs vision of target',1,2),
(104583,230075,4,100,'Stuns target',1,3),
(104584,230075,4,100,'Does not affect Epic targets',1,4),
(104585,230075,4,100,'Inflicts 2240 - 4161 cold damage on target',0,5),
(104586,230075,5,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(104587,230075,5,100,'Throws target back',1,1),
(104588,230075,5,100,'Blurs vision of target',1,2),
(104589,230075,5,100,'Stuns target',1,3),
(104590,230075,5,100,'Does not affect Epic targets',1,4),
(104591,230075,5,100,'Inflicts 2444 - 4539 cold damage on target',0,5),
(104592,230075,7,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(104593,230075,7,100,'Throws target back',1,1),
(104594,230075,7,100,'Blurs vision of target',1,2),
(104595,230075,7,100,'Stuns target',1,3),
(104596,230075,7,100,'Does not affect Epic targets',1,4),
(104597,230075,7,100,'Inflicts 3136 - 5825 cold damage on target',0,5),
(104598,230075,9,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(104599,230075,9,100,'Throws target back',1,1),
(104600,230075,9,100,'Blurs vision of target',1,2),
(104601,230075,9,100,'Stuns target',1,3),
(104602,230075,9,100,'Does not affect Epic targets',1,4),
(104603,230075,9,100,'Inflicts 3259 - 6052 cold damage on target',0,5),
(104604,230076,1,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(104605,230076,1,100,'Throws target back',1,1),
(104606,230076,1,100,'Blurs vision of target',1,2),
(104607,230076,1,100,'Stuns target',1,3),
(104608,230076,1,100,'Does not affect Epic targets',1,4),
(104609,230076,1,100,'Inflicts 2223 - 4128 cold damage on target',0,5),
(104610,230076,2,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(104611,230076,2,100,'Throws target back',1,1),
(104612,230076,2,100,'Blurs vision of target',1,2),
(104613,230076,2,100,'Stuns target',1,3),
(104614,230076,2,100,'Does not affect Epic targets',1,4),
(104615,230076,2,100,'Inflicts 2346 - 4357 cold damage on target',0,5),
(104616,230076,3,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(104617,230076,3,100,'Throws target back',1,1),
(104618,230076,3,100,'Blurs vision of target',1,2),
(104619,230076,3,100,'Stuns target',1,3),
(104620,230076,3,100,'Does not affect Epic targets',1,4),
(104621,230076,3,100,'Inflicts 2470 - 4586 cold damage on target',0,5),
(104622,230076,4,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(104623,230076,4,100,'Throws target back',1,1),
(104624,230076,4,100,'Blurs vision of target',1,2),
(104625,230076,4,100,'Stuns target',1,3),
(104626,230076,4,100,'Does not affect Epic targets',1,4),
(104627,230076,4,100,'Inflicts 2717 - 5045 cold damage on target',0,5),
(104628,230076,5,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(104629,230076,5,100,'Throws target back',1,1),
(104630,230076,5,100,'Blurs vision of target',1,2),
(104631,230076,5,100,'Stuns target',1,3),
(104632,230076,5,100,'Does not affect Epic targets',1,4),
(104633,230076,5,100,'Inflicts 2964 - 5504 cold damage on target',0,5),
(104634,230076,7,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(104635,230076,7,100,'Throws target back',1,1),
(104636,230076,7,100,'Blurs vision of target',1,2),
(104637,230076,7,100,'Stuns target',1,3),
(104638,230076,7,100,'Does not affect Epic targets',1,4),
(104639,230076,7,100,'Inflicts 3803 - 7063 cold damage on target',0,5),
(104640,230076,9,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(104641,230076,9,100,'Throws target back',1,1),
(104642,230076,9,100,'Blurs vision of target',1,2),
(104643,230076,9,100,'Stuns target',1,3),
(104644,230076,9,100,'Does not affect Epic targets',1,4),
(104645,230076,9,100,'Inflicts 3951 - 7338 cold damage on target',0,5),
(104646,230077,1,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(104647,230077,1,100,'Throws target back',1,1),
(104648,230077,1,100,'Blurs vision of target',1,2),
(104649,230077,1,100,'Stuns target',1,3),
(104650,230077,1,100,'Does not affect Epic targets',1,4),
(104651,230077,1,100,'Inflicts 2674 - 4966 cold damage on target',0,5),
(104652,230077,4,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(104653,230077,4,100,'Throws target back',1,1),
(104654,230077,4,100,'Blurs vision of target',1,2),
(104655,230077,4,100,'Stuns target',1,3),
(104656,230077,4,100,'Does not affect Epic targets',1,4),
(104657,230077,4,100,'Inflicts 3268 - 6069 cold damage on target',0,5),
(104658,230077,5,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(104659,230077,5,100,'Throws target back',1,1),
(104660,230077,5,100,'Blurs vision of target',1,2),
(104661,230077,5,100,'Stuns target',1,3),
(104662,230077,5,100,'Does not affect Epic targets',1,4),
(104663,230077,5,100,'Inflicts 3565 - 6621 cold damage on target',0,5),
(104664,230077,7,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(104665,230077,7,100,'Throws target back',1,1),
(104666,230077,7,100,'Blurs vision of target',1,2),
(104667,230077,7,100,'Stuns target',1,3),
(104668,230077,7,100,'Does not affect Epic targets',1,4),
(104669,230077,7,100,'Inflicts 4575 - 8497 cold damage on target',0,5),
(104670,230077,9,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(104671,230077,9,100,'Throws target back',1,1),
(104672,230077,9,100,'Blurs vision of target',1,2),
(104673,230077,9,100,'Stuns target',1,3),
(104674,230077,9,100,'Does not affect Epic targets',1,4),
(104675,230077,9,100,'Inflicts 4754 - 8828 cold damage on target',0,5),
(104676,230078,1,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(104677,230078,1,100,'Throws target back',1,1),
(104678,230078,1,100,'Blurs vision of target',1,2),
(104679,230078,1,100,'Stuns target',1,3),
(104680,230078,1,100,'Does not affect Epic targets',1,4),
(104681,230078,1,100,'Inflicts 2837 - 5269 cold damage on target',0,5),
(104682,230078,4,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(104683,230078,4,100,'Throws target back',1,1),
(104684,230078,4,100,'Blurs vision of target',1,2),
(104685,230078,4,100,'Stuns target',1,3),
(104686,230078,4,100,'Does not affect Epic targets',1,4),
(104687,230078,4,100,'Inflicts 3468 - 6440 cold damage on target',0,5),
(104688,230078,5,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(104689,230078,5,100,'Throws target back',1,1),
(104690,230078,5,100,'Blurs vision of target',1,2),
(104691,230078,5,100,'Stuns target',1,3),
(104692,230078,5,100,'Does not affect Epic targets',1,4),
(104693,230078,5,100,'Inflicts 3783 - 7025 cold damage on target',0,5),
(104694,230078,7,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(104695,230078,7,100,'Throws target back',1,1),
(104696,230078,7,100,'Blurs vision of target',1,2),
(104697,230078,7,100,'Stuns target',1,3),
(104698,230078,7,100,'Does not affect Epic targets',1,4),
(104699,230078,7,100,'Inflicts 4855 - 9016 cold damage on target',0,5),
(104700,230078,9,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(104701,230078,9,100,'Throws target back',1,1),
(104702,230078,9,100,'Blurs vision of target',1,2),
(104703,230078,9,100,'Stuns target',1,3),
(104704,230078,9,100,'Does not affect Epic targets',1,4),
(104705,230078,9,100,'Inflicts 5044 - 9367 cold damage on target',0,5),
(104706,230079,1,100,'Inflicts 2 - 3 cold damage on target instantly and every 4 seconds',0,0),
(104707,230079,1,100,'Decreases Mitigation of target vs elemental damage by 69',0,1),
(104708,230079,2,100,'Inflicts 2 - 4 cold damage on target instantly and every 4 seconds',0,0),
(104709,230079,2,100,'Decreases Mitigation of target vs elemental damage by 73',0,1),
(104710,230079,3,100,'Inflicts 2 - 4 cold damage on target instantly and every 4 seconds',0,0),
(104711,230079,3,100,'Decreases Mitigation of target vs elemental damage by 77',0,1),
(104712,230079,4,100,'Inflicts 2 - 4 cold damage on target instantly and every 4 seconds',0,0),
(104713,230079,4,100,'Decreases Mitigation of target vs elemental damage by 84',0,1),
(104714,230079,5,100,'Inflicts 2 - 4 cold damage on target instantly and every 4 seconds',0,0),
(104715,230079,5,100,'Decreases Mitigation of target vs elemental damage by 92',0,1),
(104716,230079,7,100,'Inflicts 3 - 6 cold damage on target instantly and every 4 seconds',0,0),
(104717,230079,7,100,'Decreases Mitigation of target vs elemental damage by 118',0,1),
(104718,230079,9,100,'Inflicts 3 - 6 cold damage on target instantly and every 4 seconds',0,0),
(104719,230079,9,100,'Decreases Mitigation of target vs elemental damage by 123',0,1),
(104720,230080,1,100,'Inflicts 5 - 10 cold damage on target instantly and every 4 seconds',0,0),
(104721,230080,1,100,'Decreases Mitigation of target vs elemental damage by 133',0,1),
(104722,230080,2,100,'Inflicts 6 - 11 cold damage on target instantly and every 4 seconds',0,0),
(104723,230080,2,100,'Decreases Mitigation of target vs elemental damage by 141',0,1),
(104724,230080,3,100,'Inflicts 6 - 11 cold damage on target instantly and every 4 seconds',0,0),
(104725,230080,3,100,'Decreases Mitigation of target vs elemental damage by 148',0,1),
(104726,230080,4,100,'Inflicts 7 - 12 cold damage on target instantly and every 4 seconds',0,0),
(104727,230080,4,100,'Decreases Mitigation of target vs elemental damage by 163',0,1),
(104728,230080,5,100,'Inflicts 7 - 14 cold damage on target instantly and every 4 seconds',0,0),
(104729,230080,5,100,'Decreases Mitigation of target vs elemental damage by 178',0,1),
(104730,230080,7,100,'Inflicts 9 - 17 cold damage on target instantly and every 4 seconds',0,0),
(104731,230080,7,100,'Decreases Mitigation of target vs elemental damage by 228',0,1),
(104732,230080,9,100,'Inflicts 10 - 18 cold damage on target instantly and every 4 seconds',0,0),
(104733,230080,9,100,'Decreases Mitigation of target vs elemental damage by 237',0,1),
(104734,230080,10,100,'Inflicts 10 - 19 cold damage on target instantly and every 4 seconds',0,0),
(104735,230080,10,100,'Decreases Mitigation of target vs elemental damage by 249',0,1),
(104736,230081,1,100,'Inflicts 12 - 22 cold damage on target instantly and every 4 seconds',0,0),
(104737,230081,1,100,'Decreases Mitigation of target vs elemental damage by 243',0,1),
(104738,230081,2,100,'Inflicts 12 - 23 cold damage on target instantly and every 4 seconds',0,0),
(104739,230081,2,100,'Decreases Mitigation of target vs elemental damage by 257',0,1),
(104740,230081,3,100,'Inflicts 13 - 24 cold damage on target instantly and every 4 seconds',0,0),
(104741,230081,3,100,'Decreases Mitigation of target vs elemental damage by 270',0,1),
(104742,230081,4,100,'Inflicts 14 - 27 cold damage on target instantly and every 4 seconds',0,0),
(104743,230081,4,100,'Decreases Mitigation of target vs elemental damage by 297',0,1),
(104744,230081,5,100,'Inflicts 16 - 29 cold damage on target instantly and every 4 seconds',0,0),
(104745,230081,5,100,'Decreases Mitigation of target vs elemental damage by 324',0,1),
(104746,230081,7,100,'Inflicts 20 - 38 cold damage on target instantly and every 4 seconds',0,0),
(104747,230081,7,100,'Decreases Mitigation of target vs elemental damage by 416',0,1),
(104748,230081,9,100,'Inflicts 21 - 39 cold damage on target instantly and every 4 seconds',0,0),
(104749,230081,9,100,'Decreases Mitigation of target vs elemental damage by 432',0,1),
(104750,230082,1,100,'Inflicts 19 - 35 cold damage on target instantly and every 4 seconds',0,0),
(104751,230082,1,100,'Decreases Mitigation of target vs elemental damage by 369',0,1),
(104752,230082,2,100,'Inflicts 20 - 37 cold damage on target instantly and every 4 seconds',0,0),
(104753,230082,2,100,'Decreases Mitigation of target vs elemental damage by 390',0,1),
(104754,230082,3,100,'Inflicts 21 - 39 cold damage on target instantly and every 4 seconds',0,0),
(104755,230082,3,100,'Decreases Mitigation of target vs elemental damage by 410',0,1),
(104756,230082,4,100,'Inflicts 23 - 43 cold damage on target instantly and every 4 seconds',0,0),
(104757,230082,4,100,'Decreases Mitigation of target vs elemental damage by 451',0,1),
(104758,230082,5,100,'Inflicts 25 - 47 cold damage on target instantly and every 4 seconds',0,0),
(104759,230082,5,100,'Decreases Mitigation of target vs elemental damage by 492',0,1),
(104760,230082,7,100,'Inflicts 32 - 60 cold damage on target instantly and every 4 seconds',0,0),
(104761,230082,7,100,'Decreases Mitigation of target vs elemental damage by 631',0,1),
(104762,230082,9,100,'Inflicts 33 - 62 cold damage on target instantly and every 4 seconds',0,0),
(104763,230082,9,100,'Decreases Mitigation of target vs elemental damage by 656',0,1),
(104764,230083,1,100,'Inflicts 56 - 105 cold damage on target instantly and every 4 seconds',0,0),
(104765,230083,1,100,'Decreases Mitigation of target vs elemental damage by 1069',0,1),
(104766,230083,4,100,'Inflicts 69 - 128 cold damage on target instantly and every 4 seconds',0,0),
(104767,230083,4,100,'Decreases Mitigation of target vs elemental damage by 1307',0,1),
(104768,230083,5,100,'Inflicts 75 - 140 cold damage on target instantly and every 4 seconds',0,0),
(104769,230083,5,100,'Decreases Mitigation of target vs elemental damage by 1426',0,1),
(104770,230083,7,100,'Inflicts 97 - 179 cold damage on target instantly and every 4 seconds',0,0),
(104771,230083,7,100,'Decreases Mitigation of target vs elemental damage by 1830',0,1),
(104772,230083,9,100,'Inflicts 100 - 186 cold damage on target instantly and every 4 seconds',0,0),
(104773,230083,9,100,'Decreases Mitigation of target vs elemental damage by 1901',0,1),
(104774,230084,1,100,'Inflicts 27 - 51 cold damage on target instantly and every 4 seconds',0,0),
(104775,230084,1,100,'Decreases Mitigation of target vs elemental damage by 495',0,1),
(104776,230084,2,100,'Inflicts 29 - 54 cold damage on target instantly and every 4 seconds',0,0),
(104777,230084,2,100,'Decreases Mitigation of target vs elemental damage by 523',0,1),
(104778,230084,3,100,'Inflicts 30 - 57 cold damage on target instantly and every 4 seconds',0,0),
(104779,230084,3,100,'Decreases Mitigation of target vs elemental damage by 550',0,1),
(104780,230084,4,100,'Inflicts 34 - 62 cold damage on target instantly and every 4 seconds',0,0),
(104781,230084,4,100,'Decreases Mitigation of target vs elemental damage by 605',0,1),
(104782,230084,5,100,'Inflicts 37 - 68 cold damage on target instantly and every 4 seconds',0,0),
(104783,230084,5,100,'Decreases Mitigation of target vs elemental damage by 660',0,1),
(104784,230084,7,100,'Inflicts 47 - 87 cold damage on target instantly and every 4 seconds',0,0),
(104785,230084,7,100,'Decreases Mitigation of target vs elemental damage by 847',0,1),
(104786,230084,9,100,'Inflicts 49 - 91 cold damage on target instantly and every 4 seconds',0,0),
(104787,230084,9,100,'Decreases Mitigation of target vs elemental damage by 880',0,1),
(104788,230085,1,100,'Inflicts 36 - 67 cold damage on target instantly and every 4 seconds',0,0),
(104789,230085,1,100,'Decreases Mitigation of target vs elemental damage by 621',0,1),
(104790,230085,2,100,'Inflicts 38 - 71 cold damage on target instantly and every 4 seconds',0,0),
(104791,230085,2,100,'Decreases Mitigation of target vs elemental damage by 656',0,1),
(104792,230085,3,100,'Inflicts 40 - 74 cold damage on target instantly and every 4 seconds',0,0),
(104793,230085,3,100,'Decreases Mitigation of target vs elemental damage by 690',0,1),
(104794,230085,4,100,'Inflicts 44 - 82 cold damage on target instantly and every 4 seconds',0,0),
(104795,230085,4,100,'Decreases Mitigation of target vs elemental damage by 759',0,1),
(104796,230085,5,100,'Inflicts 48 - 89 cold damage on target instantly and every 4 seconds',0,0),
(104797,230085,5,100,'Decreases Mitigation of target vs elemental damage by 828',0,1),
(104798,230085,7,100,'Inflicts 62 - 115 cold damage on target instantly and every 4 seconds',0,0),
(104799,230085,7,100,'Decreases Mitigation of target vs elemental damage by 1063',0,1),
(104800,230085,9,100,'Inflicts 64 - 119 cold damage on target instantly and every 4 seconds',0,0),
(104801,230085,9,100,'Decreases Mitigation of target vs elemental damage by 1104',0,1),
(104802,230086,1,100,'Inflicts 44 - 81 cold damage on target instantly and every 4 seconds',0,0),
(104803,230086,1,100,'Decreases Mitigation of target vs elemental damage by 802',0,1),
(104804,230086,2,100,'Inflicts 46 - 86 cold damage on target instantly and every 4 seconds',0,0),
(104805,230086,2,100,'Decreases Mitigation of target vs elemental damage by 847',0,1),
(104806,230086,3,100,'Inflicts 49 - 90 cold damage on target instantly and every 4 seconds',0,0),
(104807,230086,3,100,'Decreases Mitigation of target vs elemental damage by 892',0,1),
(104808,230086,4,100,'Inflicts 53 - 99 cold damage on target instantly and every 4 seconds',0,0),
(104809,230086,4,100,'Decreases Mitigation of target vs elemental damage by 981',0,1),
(104810,230086,5,100,'Inflicts 58 - 108 cold damage on target instantly and every 4 seconds',0,0),
(104811,230086,5,100,'Decreases Mitigation of target vs elemental damage by 1070',0,1),
(104812,230086,7,100,'Inflicts 75 - 139 cold damage on target instantly and every 4 seconds',0,0),
(104813,230086,7,100,'Decreases Mitigation of target vs elemental damage by 1373',0,1),
(104814,230086,9,100,'Inflicts 78 - 144 cold damage on target instantly and every 4 seconds',0,0),
(104815,230086,9,100,'Decreases Mitigation of target vs elemental damage by 1427',0,1),
(104816,230087,1,100,'Inflicts 53 - 98 cold damage on target instantly and every 4 seconds',0,0),
(104817,230087,1,100,'Decreases Mitigation of target vs elemental damage by 961',0,1),
(104818,230087,4,100,'Inflicts 64 - 119 cold damage on target instantly and every 4 seconds',0,0),
(104819,230087,4,100,'Decreases Mitigation of target vs elemental damage by 1175',0,1),
(104820,230087,5,100,'Inflicts 70 - 130 cold damage on target instantly and every 4 seconds',0,0),
(104821,230087,5,100,'Decreases Mitigation of target vs elemental damage by 1282',0,1),
(104824,230087,9,100,'Inflicts 93 - 174 cold damage on target instantly and every 4 seconds',0,0),
(104825,230087,9,100,'Decreases Mitigation of target vs elemental damage by 1709',0,1),
(104826,220013,1,100,'Inflicts 45 - 84 cold damage on target',0,0),
(104827,220013,2,100,'Inflicts 48 - 89 cold damage on target',0,0),
(104828,220013,3,100,'Inflicts 50 - 93 cold damage on target',0,0),
(104829,220013,4,100,'Inflicts 55 - 103 cold damage on target',0,0),
(104830,220013,5,100,'Inflicts 60 - 112 cold damage on target',0,0),
(104831,220013,7,100,'Inflicts 77 - 144 cold damage on target',0,0),
(104832,220013,9,100,'Inflicts 80 - 149 cold damage on target',0,0),
(104833,290141,1,100,'Inflicts 7 - 9 cold damage on target encounter',0,0),
(104834,290141,1,100,'Slows target encounter by 30.4%',0,1),
(104835,290141,1,100,'5% chance to dispel when target takes damage',0,2),
(104836,290141,1,100,'5% chance to dispel when target receives hostile action',0,3),
(104837,290141,2,100,'Inflicts 8 - 9 cold damage on target encounter',0,0),
(104838,290141,2,100,'Slows target encounter by 30.4%',0,1),
(104839,290141,2,100,'5% chance to dispel when target takes damage',0,2),
(104840,290141,2,100,'5% chance to dispel when target receives hostile action',0,3),
(104841,290141,4,100,'Inflicts 9 - 11 cold damage on target encounter',0,0),
(104842,290141,4,100,'Slows target encounter by 30.4%',0,1),
(104843,290141,4,100,'5% chance to dispel when target takes damage',0,2),
(104844,290141,4,100,'5% chance to dispel when target receives hostile action',0,3),
(104845,290141,5,100,'Inflicts 10 - 12 cold damage on target encounter',0,0),
(104846,290141,5,100,'Slows target encounter by 30.4%',0,1),
(104847,290141,5,100,'5% chance to dispel when target takes damage',0,2),
(104848,290141,5,100,'5% chance to dispel when target receives hostile action',0,3),
(104849,290141,7,100,'Inflicts 12 - 15 cold damage on target encounter',0,0),
(104850,290141,7,100,'Slows target encounter by 30.4%',0,1),
(104851,290141,7,100,'5% chance to dispel when target takes damage',0,2),
(104852,290141,7,100,'5% chance to dispel when target receives hostile action',0,3),
(104853,290141,9,100,'Inflicts 13 - 16 cold damage on target encounter',0,0),
(104854,290141,9,100,'Slows target encounter by 30.4%',0,1),
(104855,290141,9,100,'5% chance to dispel when target takes damage',0,2),
(104856,290141,9,100,'5% chance to dispel when target receives hostile action',0,3),
(104857,290142,1,100,'Inflicts 26 - 31 cold damage on target encounter',0,0),
(104858,290142,1,100,'Slows target encounter by 31.6%',0,1),
(104859,290142,1,100,'5% chance to dispel when target takes damage',0,2),
(104860,290142,1,100,'5% chance to dispel when target receives hostile action',0,3),
(104861,290142,2,100,'Inflicts 27 - 33 cold damage on target encounter',0,0),
(104862,290142,2,100,'Slows target encounter by 31.6%',0,1),
(104863,290142,2,100,'5% chance to dispel when target takes damage',0,2),
(104864,290142,2,100,'5% chance to dispel when target receives hostile action',0,3),
(104865,290142,3,100,'Inflicts 28 - 35 cold damage on target encounter',0,0),
(104866,290142,3,100,'Slows target encounter by 31.6%',0,1),
(104867,290142,3,100,'5% chance to dispel when target takes damage',0,2),
(104868,290142,3,100,'5% chance to dispel when target receives hostile action',0,3),
(104869,290142,4,100,'Inflicts 31 - 38 cold damage on target encounter',0,0),
(104870,290142,4,100,'Slows target encounter by 31.6%',0,1),
(104871,290142,4,100,'5% chance to dispel when target takes damage',0,2),
(104872,290142,4,100,'5% chance to dispel when target receives hostile action',0,3),
(104873,290142,5,100,'Inflicts 34 - 42 cold damage on target encounter',0,0),
(104874,290142,5,100,'Slows target encounter by 31.6%',0,1),
(104875,290142,5,100,'5% chance to dispel when target takes damage',0,2),
(104876,290142,5,100,'5% chance to dispel when target receives hostile action',0,3),
(104877,290142,7,100,'Inflicts 44 - 53 cold damage on target encounter',0,0),
(104878,290142,7,100,'Slows target encounter by 31.6%',0,1),
(104879,290142,7,100,'5% chance to dispel when target takes damage',0,2),
(104880,290142,7,100,'5% chance to dispel when target receives hostile action',0,3),
(104881,290142,9,100,'Inflicts 45 - 55 cold damage on target encounter',0,0),
(104882,290142,9,100,'Slows target encounter by 31.6%',0,1),
(104883,290142,9,100,'5% chance to dispel when target takes damage',0,2),
(104884,290142,9,100,'5% chance to dispel when target receives hostile action',0,3),
(104885,290143,1,100,'Inflicts 69 - 85 cold damage on target encounter',0,0),
(104886,290143,1,100,'Slows target encounter by 34.4%',0,1),
(104887,290143,1,100,'5% chance to dispel when target takes damage',0,2),
(104888,290143,1,100,'5% chance to dispel when target receives hostile action',0,3),
(104889,290143,2,100,'Inflicts 73 - 89 cold damage on target encounter',0,0),
(104890,290143,2,100,'Slows target encounter by 34.4%',0,1),
(104891,290143,2,100,'5% chance to dispel when target takes damage',0,2),
(104892,290143,2,100,'5% chance to dispel when target receives hostile action',0,3),
(104893,290143,3,100,'Inflicts 77 - 94 cold damage on target encounter',0,0),
(104894,290143,3,100,'Slows target encounter by 34.4%',0,1),
(104895,290143,3,100,'5% chance to dispel when target takes damage',0,2),
(104896,290143,3,100,'5% chance to dispel when target receives hostile action',0,3),
(104897,290143,4,100,'Inflicts 85 - 104 cold damage on target encounter',0,0),
(104898,290143,4,100,'Slows target encounter by 34.4%',0,1),
(104899,290143,4,100,'5% chance to dispel when target takes damage',0,2),
(104900,290143,4,100,'5% chance to dispel when target receives hostile action',0,3),
(104901,290143,5,100,'Inflicts 92 - 113 cold damage on target encounter',0,0),
(104902,290143,5,100,'Slows target encounter by 34.4%',0,1),
(104903,290143,5,100,'5% chance to dispel when target takes damage',0,2),
(104904,290143,5,100,'5% chance to dispel when target receives hostile action',0,3),
(104905,290143,7,100,'Inflicts 119 - 145 cold damage on target encounter',0,0),
(104906,290143,7,100,'Slows target encounter by 34.4%',0,1),
(104907,290143,7,100,'5% chance to dispel when target takes damage',0,2),
(104908,290143,7,100,'5% chance to dispel when target receives hostile action',0,3),
(104909,290143,9,100,'Inflicts 123 - 151 cold damage on target encounter',0,0),
(104910,290143,9,100,'Slows target encounter by 34.4%',0,1),
(104911,290143,9,100,'5% chance to dispel when target takes damage',0,2),
(104912,290143,9,100,'5% chance to dispel when target receives hostile action',0,3),
(104913,290143,10,100,'Inflicts 129 - 158 cold damage on target encounter',0,0),
(104914,290143,10,100,'Slows target encounter by 34.4%',0,1),
(104915,290143,10,100,'5% chance to dispel when target takes damage',0,2),
(104916,290143,10,100,'5% chance to dispel when target receives hostile action',0,3),
(104917,290144,1,100,'Inflicts 120 - 147 cold damage on target encounter',0,0),
(104918,290144,1,100,'Slows target encounter by 37.2%',0,1),
(104919,290144,1,100,'5% chance to dispel when target takes damage',0,2),
(104920,290144,1,100,'5% chance to dispel when target receives hostile action',0,3),
(104921,290144,2,100,'Inflicts 127 - 155 cold damage on target encounter',0,0),
(104922,290144,2,100,'Slows target encounter by 37.2%',0,1),
(104923,290144,2,100,'5% chance to dispel when target takes damage',0,2),
(104924,290144,2,100,'5% chance to dispel when target receives hostile action',0,3),
(104925,290144,3,100,'Inflicts 134 - 164 cold damage on target encounter',0,0),
(104926,290144,3,100,'Slows target encounter by 37.2%',0,1),
(104927,290144,3,100,'5% chance to dispel when target takes damage',0,2),
(104928,290144,3,100,'5% chance to dispel when target receives hostile action',0,3),
(104929,290144,4,100,'Inflicts 147 - 180 cold damage on target encounter',0,0),
(104930,290144,4,100,'Slows target encounter by 37.2%',0,1),
(104931,290144,4,100,'5% chance to dispel when target takes damage',0,2),
(104932,290144,4,100,'5% chance to dispel when target receives hostile action',0,3),
(104933,290144,5,100,'Inflicts 161 - 196 cold damage on target encounter',0,0),
(104934,290144,5,100,'Slows target encounter by 37.2%',0,1),
(104935,290144,5,100,'5% chance to dispel when target takes damage',0,2),
(104936,290144,5,100,'5% chance to dispel when target receives hostile action',0,3),
(104937,290144,7,100,'Inflicts 206 - 252 cold damage on target encounter',0,0),
(104938,290144,7,100,'Slows target encounter by 37.2%',0,1),
(104939,290144,7,100,'5% chance to dispel when target takes damage',0,2),
(104940,290144,7,100,'5% chance to dispel when target receives hostile action',0,3),
(104941,290144,9,100,'Inflicts 214 - 262 cold damage on target encounter',0,0),
(104942,290144,9,100,'Slows target encounter by 37.2%',0,1),
(104943,290144,9,100,'5% chance to dispel when target takes damage',0,2),
(104944,290144,9,100,'5% chance to dispel when target receives hostile action',0,3),
(104945,290145,1,100,'Inflicts 411 - 503 cold damage on target encounter',0,0),
(104946,290145,1,100,'Slows target encounter by 41.8%',0,1),
(104947,290145,1,100,'5% chance to dispel when target takes damage',0,2),
(104948,290145,1,100,'5% chance to dispel when target receives hostile action',0,3),
(104949,290145,4,100,'Inflicts 503 - 614 cold damage on target encounter',0,0),
(104950,290145,4,100,'Slows target encounter by 41.8%',0,1),
(104951,290145,4,100,'5% chance to dispel when target takes damage',0,2),
(104952,290145,4,100,'5% chance to dispel when target receives hostile action',0,3),
(104953,290145,5,100,'Inflicts 548 - 670 cold damage on target encounter',0,0),
(104954,290145,5,100,'Slows target encounter by 41.8%',0,1),
(104955,290145,5,100,'5% chance to dispel when target takes damage',0,2),
(104956,290145,5,100,'5% chance to dispel when target receives hostile action',0,3),
(104957,290145,7,100,'Inflicts 704 - 860 cold damage on target encounter',0,0),
(104958,290145,7,100,'Slows target encounter by 41.8%',0,1),
(104959,290145,7,100,'5% chance to dispel when target takes damage',0,2),
(104960,290145,7,100,'5% chance to dispel when target receives hostile action',0,3),
(104961,290145,9,100,'Inflicts 731 - 893 cold damage on target encounter',0,0),
(104962,290145,9,100,'Slows target encounter by 41.8%',0,1),
(104963,290145,9,100,'5% chance to dispel when target takes damage',0,2),
(104964,290145,9,100,'5% chance to dispel when target receives hostile action',0,3),
(104965,290146,1,100,'Inflicts 181 - 221 cold damage on target encounter',0,0),
(104966,290146,1,100,'Slows target encounter by 40.0%',0,1),
(104967,290146,1,100,'5% chance to dispel when target takes damage',0,2),
(104968,290146,1,100,'5% chance to dispel when target receives hostile action',0,3),
(104969,290146,2,100,'Inflicts 191 - 233 cold damage on target encounter',0,0),
(104970,290146,2,100,'Slows target encounter by 40.0%',0,1),
(104971,290146,2,100,'5% chance to dispel when target takes damage',0,2),
(104972,290146,2,100,'5% chance to dispel when target receives hostile action',0,3),
(104973,290146,3,100,'Inflicts 201 - 245 cold damage on target encounter',0,0),
(104974,290146,3,100,'Slows target encounter by 40.0%',0,1),
(104975,290146,3,100,'5% chance to dispel when target takes damage',0,2),
(104976,290146,3,100,'5% chance to dispel when target receives hostile action',0,3),
(104977,290146,4,100,'Inflicts 221 - 270 cold damage on target encounter',0,0),
(104978,290146,4,100,'Slows target encounter by 40.0%',0,1),
(104979,290146,4,100,'5% chance to dispel when target takes damage',0,2),
(104980,290146,4,100,'5% chance to dispel when target receives hostile action',0,3),
(104981,290146,5,100,'Inflicts 241 - 294 cold damage on target encounter',0,0),
(104982,290146,5,100,'Slows target encounter by 40.0%',0,1),
(104983,290146,5,100,'5% chance to dispel when target takes damage',0,2),
(104984,290146,5,100,'5% chance to dispel when target receives hostile action',0,3),
(104985,290146,7,100,'Inflicts 309 - 378 cold damage on target encounter',0,0),
(104986,290146,7,100,'Slows target encounter by 40.0%',0,1),
(104987,290146,7,100,'5% chance to dispel when target takes damage',0,2),
(104988,290146,7,100,'5% chance to dispel when target receives hostile action',0,3),
(104989,290146,9,100,'Inflicts 321 - 393 cold damage on target encounter',0,0),
(104990,290146,9,100,'Slows target encounter by 40.0%',0,1),
(104991,290146,9,100,'5% chance to dispel when target takes damage',0,2),
(104992,290146,9,100,'5% chance to dispel when target receives hostile action',0,3),
(104993,290147,1,100,'Inflicts 245 - 299 cold damage on target encounter',0,0),
(104994,290147,1,100,'Slows target encounter by 40.6%',0,1),
(104995,290147,1,100,'5% chance to dispel when target takes damage',0,2),
(104996,290147,1,100,'5% chance to dispel when target receives hostile action',0,3),
(104997,290147,2,100,'Inflicts 258 - 316 cold damage on target encounter',0,0),
(104998,290147,2,100,'Slows target encounter by 40.6%',0,1),
(104999,290147,2,100,'5% chance to dispel when target takes damage',0,2),
(105000,290147,2,100,'5% chance to dispel when target receives hostile action',0,3),
(105001,290147,3,100,'Inflicts 272 - 332 cold damage on target encounter',0,0),
(105002,290147,3,100,'Slows target encounter by 40.6%',0,1),
(105003,290147,3,100,'5% chance to dispel when target takes damage',0,2),
(105004,290147,3,100,'5% chance to dispel when target receives hostile action',0,3),
(105005,290147,4,100,'Inflicts 299 - 365 cold damage on target encounter',0,0),
(105006,290147,4,100,'Slows target encounter by 40.6%',0,1),
(105007,290147,4,100,'5% chance to dispel when target takes damage',0,2),
(105008,290147,4,100,'5% chance to dispel when target receives hostile action',0,3),
(105009,290147,5,100,'Inflicts 326 - 399 cold damage on target encounter',0,0),
(105010,290147,5,100,'Slows target encounter by 40.6%',0,1),
(105011,290147,5,100,'5% chance to dispel when target takes damage',0,2),
(105012,290147,5,100,'5% chance to dispel when target receives hostile action',0,3),
(105013,290147,7,100,'Inflicts 418 - 511 cold damage on target encounter',0,0),
(105014,290147,7,100,'Slows target encounter by 40.6%',0,1),
(105015,290147,7,100,'5% chance to dispel when target takes damage',0,2),
(105016,290147,7,100,'5% chance to dispel when target receives hostile action',0,3),
(105017,290147,9,100,'Inflicts 435 - 531 cold damage on target encounter',0,0),
(105018,290147,9,100,'Slows target encounter by 40.6%',0,1),
(105019,290147,9,100,'5% chance to dispel when target takes damage',0,2),
(105020,290147,9,100,'5% chance to dispel when target receives hostile action',0,3),
(105021,290147,10,100,'Inflicts 457 - 558 cold damage on target encounter',0,0),
(105022,290147,10,100,'Slows target encounter by 40.6%',0,1),
(105023,290147,10,100,'5% chance to dispel when target takes damage',0,2),
(105024,290147,10,100,'5% chance to dispel when target receives hostile action',0,3),
(105025,290148,1,100,'Inflicts 307 - 375 cold damage on target encounter',0,0),
(105026,290148,1,100,'Slows target encounter by 41.0%',0,1),
(105027,290148,1,100,'5% chance to dispel when target takes damage',0,2),
(105028,290148,1,100,'5% chance to dispel when target receives hostile action',0,3),
(105029,290148,2,100,'Inflicts 324 - 396 cold damage on target encounter',0,0),
(105030,290148,2,100,'Slows target encounter by 41.0%',0,1),
(105031,290148,2,100,'5% chance to dispel when target takes damage',0,2),
(105032,290148,2,100,'5% chance to dispel when target receives hostile action',0,3),
(105033,290148,3,100,'Inflicts 341 - 416 cold damage on target encounter',0,0),
(105034,290148,3,100,'Slows target encounter by 41.0%',0,1),
(105035,290148,3,100,'5% chance to dispel when target takes damage',0,2),
(105036,290148,3,100,'5% chance to dispel when target receives hostile action',0,3),
(105037,290148,4,100,'Inflicts 375 - 458 cold damage on target encounter',0,0),
(105038,290148,4,100,'Slows target encounter by 41.0%',0,1),
(105039,290148,4,100,'5% chance to dispel when target takes damage',0,2),
(105040,290148,4,100,'5% chance to dispel when target receives hostile action',0,3),
(105041,290148,5,100,'Inflicts 409 - 500 cold damage on target encounter',0,0),
(105042,290148,5,100,'Slows target encounter by 41.0%',0,1),
(105043,290148,5,100,'5% chance to dispel when target takes damage',0,2),
(105044,290148,5,100,'5% chance to dispel when target receives hostile action',0,3),
(105045,290148,7,100,'Inflicts 525 - 641 cold damage on target encounter',0,0),
(105046,290148,7,100,'Slows target encounter by 41.0%',0,1),
(105047,290148,7,100,'5% chance to dispel when target takes damage',0,2),
(105048,290148,7,100,'5% chance to dispel when target receives hostile action',0,3),
(105049,290148,9,100,'Inflicts 545 - 666 cold damage on target encounter',0,0),
(105050,290148,9,100,'Slows target encounter by 41.0%',0,1),
(105051,290148,9,100,'5% chance to dispel when target takes damage',0,2),
(105052,290148,9,100,'5% chance to dispel when target receives hostile action',0,3),
(105053,290149,1,100,'Inflicts 370 - 452 cold damage on target encounter',0,0),
(105054,290149,1,100,'Slows target encounter by 41.4%',0,1),
(105055,290149,1,100,'5% chance to dispel when target takes damage',0,2),
(105056,290149,1,100,'5% chance to dispel when target receives hostile action',0,3),
(105057,290149,4,100,'Inflicts 452 - 553 cold damage on target encounter',0,0),
(105058,290149,4,100,'Slows target encounter by 41.4%',0,1),
(105059,290149,4,100,'5% chance to dispel when target takes damage',0,2),
(105060,290149,4,100,'5% chance to dispel when target receives hostile action',0,3),
(105061,290149,5,100,'Inflicts 493 - 603 cold damage on target encounter',0,0),
(105062,290149,5,100,'Slows target encounter by 41.4%',0,1),
(105063,290149,5,100,'5% chance to dispel when target takes damage',0,2),
(105064,290149,5,100,'5% chance to dispel when target receives hostile action',0,3),
(105065,290149,7,100,'Inflicts 633 - 774 cold damage on target encounter',0,0),
(105066,290149,7,100,'Slows target encounter by 41.4%',0,1),
(105067,290149,7,100,'5% chance to dispel when target takes damage',0,2),
(105068,290149,7,100,'5% chance to dispel when target receives hostile action',0,3),
(105069,290149,9,100,'Inflicts 658 - 804 cold damage on target encounter',0,0),
(105070,290149,9,100,'Slows target encounter by 41.4%',0,1),
(105071,290149,9,100,'5% chance to dispel when target takes damage',0,2),
(105072,290149,9,100,'5% chance to dispel when target receives hostile action',0,3),
(105073,160067,1,100,'Inflicts 19 - 23 cold damage on target',0,0),
(105074,160067,1,100,'Inflicts 19 - 23 cold damage on target',0,1),
(105075,160067,1,100,'If target is elemental',1,2),
(105076,160067,2,100,'Inflicts 20 - 25 cold damage on target',0,0),
(105077,160067,2,100,'Inflicts 20 - 25 cold damage on target',0,1),
(105078,160067,2,100,'If target is elemental',1,2),
(105079,160067,3,100,'Inflicts 21 - 26 cold damage on target',0,0),
(105080,160067,3,100,'Inflicts 21 - 26 cold damage on target',0,1),
(105081,160067,3,100,'If target is elemental',1,2),
(105082,160067,4,100,'Inflicts 23 - 29 cold damage on target',0,0),
(105083,160067,4,100,'Inflicts 23 - 29 cold damage on target',0,1),
(105084,160067,4,100,'If target is elemental',1,2),
(105085,160067,5,100,'Inflicts 26 - 31 cold damage on target',0,0),
(105086,160067,5,100,'Inflicts 26 - 31 cold damage on target',0,1),
(105087,160067,5,100,'If target is elemental',1,2),
(105088,160067,7,100,'Inflicts 33 - 40 cold damage on target',0,0),
(105089,160067,7,100,'Inflicts 33 - 40 cold damage on target',0,1),
(105090,160067,7,100,'If target is elemental',1,2),
(105091,160067,9,100,'Inflicts 34 - 42 cold damage on target',0,0),
(105092,160067,9,100,'Inflicts 34 - 42 cold damage on target',0,1),
(105093,160067,9,100,'If target is elemental',1,2),
(105094,160068,1,100,'Inflicts 65 - 79 cold damage on target',0,0),
(105095,160068,1,100,'Inflicts 65 - 79 cold damage on target',0,1),
(105096,160068,1,100,'If target is elemental',1,2),
(105097,160068,2,100,'Inflicts 68 - 83 cold damage on target',0,0),
(105098,160068,2,100,'Inflicts 68 - 83 cold damage on target',0,1),
(105099,160068,2,100,'If target is elemental',1,2),
(105100,160068,3,100,'Inflicts 72 - 88 cold damage on target',0,0),
(105101,160068,3,100,'Inflicts 72 - 88 cold damage on target',0,1),
(105102,160068,3,100,'If target is elemental',1,2),
(105103,160068,4,100,'Inflicts 79 - 97 cold damage on target',0,0),
(105104,160068,4,100,'Inflicts 79 - 97 cold damage on target',0,1),
(105105,160068,4,100,'If target is elemental',1,2),
(105106,160068,5,100,'Inflicts 86 - 105 cold damage on target',0,0),
(105107,160068,5,100,'Inflicts 86 - 105 cold damage on target',0,1),
(105108,160068,5,100,'If target is elemental',1,2),
(105109,160068,7,100,'Inflicts 111 - 135 cold damage on target',0,0),
(105110,160068,7,100,'Inflicts 111 - 135 cold damage on target',0,1),
(105111,160068,7,100,'If target is elemental',1,2),
(105112,160068,9,100,'Inflicts 115 - 141 cold damage on target',0,0),
(105113,160068,9,100,'Inflicts 115 - 141 cold damage on target',0,1),
(105114,160068,9,100,'If target is elemental',1,2),
(105115,160068,10,100,'Inflicts 121 - 148 cold damage on target',0,0),
(105116,160068,10,100,'Inflicts 121 - 148 cold damage on target',0,1),
(105117,160068,10,100,'If target is elemental',1,2),
(105118,160069,1,100,'Inflicts 150 - 183 cold damage on target',0,0),
(105119,160069,1,100,'Inflicts 150 - 183 cold damage on target',0,1),
(105120,160069,1,100,'If target is elemental',1,2),
(105121,160069,2,100,'Inflicts 158 - 193 cold damage on target',0,0),
(105122,160069,2,100,'Inflicts 158 - 193 cold damage on target',0,1),
(105123,160069,2,100,'If target is elemental',1,2),
(105124,160069,3,100,'Inflicts 166 - 203 cold damage on target',0,0),
(105125,160069,3,100,'Inflicts 166 - 203 cold damage on target',0,1),
(105126,160069,3,100,'If target is elemental',1,2),
(105127,160069,4,100,'Inflicts 183 - 224 cold damage on target',0,0),
(105128,160069,4,100,'Inflicts 183 - 224 cold damage on target',0,1),
(105129,160069,4,100,'If target is elemental',1,2),
(105130,160069,5,100,'Inflicts 200 - 244 cold damage on target',0,0),
(105131,160069,5,100,'Inflicts 200 - 244 cold damage on target',0,1),
(105132,160069,5,100,'If target is elemental',1,2),
(105133,160069,7,100,'Inflicts 256 - 313 cold damage on target',0,0),
(105134,160069,7,100,'Inflicts 256 - 313 cold damage on target',0,1),
(105135,160069,7,100,'If target is elemental',1,2),
(105136,160069,9,100,'Inflicts 266 - 326 cold damage on target',0,0),
(105137,160069,9,100,'Inflicts 266 - 326 cold damage on target',0,1),
(105138,160069,9,100,'If target is elemental',1,2),
(105139,160070,1,100,'Inflicts 245 - 300 cold damage on target',0,0),
(105140,160070,1,100,'Inflicts 245 - 300 cold damage on target',0,1),
(105141,160070,1,100,'If target is elemental',1,2),
(105142,160070,2,100,'Inflicts 259 - 316 cold damage on target',0,0),
(105143,160070,2,100,'Inflicts 259 - 316 cold damage on target',0,1),
(105144,160070,2,100,'If target is elemental',1,2),
(105145,160070,3,100,'Inflicts 272 - 333 cold damage on target',0,0),
(105146,160070,3,100,'Inflicts 272 - 333 cold damage on target',0,1),
(105147,160070,3,100,'If target is elemental',1,2),
(105148,160070,4,100,'Inflicts 300 - 366 cold damage on target',0,0),
(105149,160070,4,100,'Inflicts 300 - 366 cold damage on target',0,1),
(105150,160070,4,100,'If target is elemental',1,2),
(105151,160070,5,100,'Inflicts 327 - 400 cold damage on target',0,0),
(105152,160070,5,100,'Inflicts 327 - 400 cold damage on target',0,1),
(105153,160070,5,100,'If target is elemental',1,2),
(105154,160070,7,100,'Inflicts 420 - 513 cold damage on target',0,0),
(105155,160070,7,100,'Inflicts 420 - 513 cold damage on target',0,1),
(105156,160070,7,100,'If target is elemental',1,2),
(105157,160070,9,100,'Inflicts 436 - 533 cold damage on target',0,0),
(105158,160070,9,100,'Inflicts 436 - 533 cold damage on target',0,1),
(105159,160070,9,100,'If target is elemental',1,2),
(105160,160070,10,100,'Inflicts 458 - 559 cold damage on target',0,0),
(105161,160070,10,100,'Inflicts 458 - 559 cold damage on target',0,1),
(105162,160070,10,100,'If target is elemental',1,2),
(105163,160071,1,100,'Inflicts 777 - 949 cold damage on target',0,0),
(105164,160071,1,100,'Inflicts 777 - 949 cold damage on target',0,1),
(105165,160071,1,100,'If target is elemental',1,2),
(105166,160071,4,100,'Inflicts 949 - 1160 cold damage on target',0,0),
(105167,160071,4,100,'Inflicts 949 - 1160 cold damage on target',0,1),
(105168,160071,4,100,'If target is elemental',1,2),
(105169,160071,5,100,'Inflicts 1036 - 1266 cold damage on target',0,0),
(105170,160071,5,100,'Inflicts 1036 - 1266 cold damage on target',0,1),
(105171,160071,5,100,'If target is elemental',1,2),
(105172,160071,7,100,'Inflicts 1329 - 1624 cold damage on target',0,0),
(105173,160071,7,100,'Inflicts 1329 - 1624 cold damage on target',0,1),
(105174,160071,7,100,'If target is elemental',1,2),
(105175,160071,9,100,'Inflicts 1381 - 1687 cold damage on target',0,0),
(105176,160071,9,100,'Inflicts 1381 - 1687 cold damage on target',0,1),
(105177,160071,9,100,'If target is elemental',1,2),
(105178,160072,1,100,'Inflicts 363 - 443 cold damage on target',0,0),
(105179,160072,1,100,'Inflicts 363 - 443 cold damage on target',0,1),
(105180,160072,1,100,'If target is elemental',1,2),
(105181,160072,2,100,'Inflicts 383 - 468 cold damage on target',0,0),
(105182,160072,2,100,'Inflicts 383 - 468 cold damage on target',0,1),
(105183,160072,2,100,'If target is elemental',1,2),
(105184,160072,3,100,'Inflicts 403 - 493 cold damage on target',0,0),
(105185,160072,3,100,'Inflicts 403 - 493 cold damage on target',0,1),
(105186,160072,3,100,'If target is elemental',1,2),
(105187,160072,4,100,'Inflicts 443 - 542 cold damage on target',0,0),
(105188,160072,4,100,'Inflicts 443 - 542 cold damage on target',0,1),
(105189,160072,4,100,'If target is elemental',1,2),
(105190,160072,5,100,'Inflicts 484 - 591 cold damage on target',0,0),
(105191,160072,5,100,'Inflicts 484 - 591 cold damage on target',0,1),
(105192,160072,5,100,'If target is elemental',1,2),
(105193,160072,7,100,'Inflicts 621 - 759 cold damage on target',0,0),
(105194,160072,7,100,'Inflicts 621 - 759 cold damage on target',0,1),
(105195,160072,7,100,'If target is elemental',1,2),
(105196,160072,9,100,'Inflicts 645 - 788 cold damage on target',0,0),
(105197,160072,9,100,'Inflicts 645 - 788 cold damage on target',0,1),
(105198,160072,9,100,'If target is elemental',1,2),
(105199,160072,10,100,'Inflicts 677 - 828 cold damage on target',0,0),
(105200,160072,10,100,'Inflicts 677 - 828 cold damage on target',0,1),
(105201,160072,10,100,'If target is elemental',1,2),
(105202,160073,1,100,'Inflicts 482 - 589 cold damage on target',0,0),
(105203,160073,1,100,'Inflicts 482 - 589 cold damage on target',0,1),
(105204,160073,1,100,'If target is elemental',1,2),
(105205,160073,2,100,'Inflicts 509 - 622 cold damage on target',0,0),
(105206,160073,2,100,'Inflicts 509 - 622 cold damage on target',0,1),
(105207,160073,2,100,'If target is elemental',1,2),
(105208,160073,3,100,'Inflicts 536 - 655 cold damage on target',0,0),
(105209,160073,3,100,'Inflicts 536 - 655 cold damage on target',0,1),
(105210,160073,3,100,'If target is elemental',1,2),
(105211,160073,4,100,'Inflicts 589 - 720 cold damage on target',0,0),
(105212,160073,4,100,'Inflicts 589 - 720 cold damage on target',0,1),
(105213,160073,4,100,'If target is elemental',1,2),
(105214,160073,5,100,'Inflicts 643 - 786 cold damage on target',0,0),
(105215,160073,5,100,'Inflicts 643 - 786 cold damage on target',0,1),
(105216,160073,5,100,'If target is elemental',1,2),
(105217,160073,7,100,'Inflicts 825 - 1008 cold damage on target',0,0),
(105218,160073,7,100,'Inflicts 825 - 1008 cold damage on target',0,1),
(105219,160073,7,100,'If target is elemental',1,2),
(105220,160073,9,100,'Inflicts 857 - 1047 cold damage on target',0,0),
(105221,160073,9,100,'Inflicts 857 - 1047 cold damage on target',0,1),
(105222,160073,9,100,'If target is elemental',1,2),
(105223,160074,1,100,'Inflicts 594 - 726 cold damage on target',0,0),
(105224,160074,1,100,'Inflicts 594 - 726 cold damage on target',0,1),
(105225,160074,1,100,'If target is elemental',1,2),
(105226,160074,2,100,'Inflicts 627 - 766 cold damage on target',0,0),
(105227,160074,2,100,'Inflicts 627 - 766 cold damage on target',0,1),
(105228,160074,2,100,'If target is elemental',1,2),
(105229,160074,3,100,'Inflicts 660 - 807 cold damage on target',0,0),
(105230,160074,3,100,'Inflicts 660 - 807 cold damage on target',0,1),
(105231,160074,3,100,'If target is elemental',1,2),
(105232,160074,4,100,'Inflicts 726 - 887 cold damage on target',0,0),
(105233,160074,4,100,'Inflicts 726 - 887 cold damage on target',0,1),
(105234,160074,4,100,'If target is elemental',1,2),
(105235,160074,5,100,'Inflicts 792 - 968 cold damage on target',0,0),
(105236,160074,5,100,'Inflicts 792 - 968 cold damage on target',0,1),
(105237,160074,5,100,'If target is elemental',1,2),
(105238,160074,7,100,'Inflicts 1016 - 1242 cold damage on target',0,0),
(105239,160074,7,100,'Inflicts 1016 - 1242 cold damage on target',0,1),
(105240,160074,7,100,'If target is elemental',1,2),
(105241,160074,9,100,'Inflicts 1056 - 1291 cold damage on target',0,0),
(105242,160074,9,100,'Inflicts 1056 - 1291 cold damage on target',0,1),
(105243,160074,9,100,'If target is elemental',1,2),
(105244,160075,1,100,'Inflicts 715 - 874 cold damage on target',0,0),
(105245,160075,1,100,'Inflicts 715 - 874 cold damage on target',0,1),
(105246,160075,1,100,'If target is elemental',1,2),
(105247,160075,4,100,'Inflicts 874 - 1069 cold damage on target',0,0),
(105248,160075,4,100,'Inflicts 874 - 1069 cold damage on target',0,1),
(105249,160075,4,100,'If target is elemental',1,2),
(105250,160075,5,100,'Inflicts 954 - 1166 cold damage on target',0,0),
(105251,160075,5,100,'Inflicts 954 - 1166 cold damage on target',0,1),
(105252,160075,5,100,'If target is elemental',1,2),
(105253,160075,7,100,'Inflicts 1224 - 1496 cold damage on target',0,0),
(105254,160075,7,100,'Inflicts 1224 - 1496 cold damage on target',0,1),
(105255,160075,7,100,'If target is elemental',1,2),
(105256,160075,9,100,'Inflicts 1272 - 1555 cold damage on target',0,0),
(105257,160075,9,100,'Inflicts 1272 - 1555 cold damage on target',0,1),
(105258,160075,9,100,'If target is elemental',1,2),
(105259,230088,1,100,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',0,0),
(105260,230088,1,100,'Inflicts 83 - 101 cold damage on target',1,1),
(105261,230088,1,100,'Grants a total of 3 triggers of the spell.',1,2),
(105262,230088,2,100,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',0,0),
(105263,230088,2,100,'Inflicts 87 - 107 cold damage on target',1,1),
(105264,230088,2,100,'Grants a total of 3 triggers of the spell.',1,2),
(105265,230088,3,100,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',0,0),
(105266,230088,3,100,'Inflicts 92 - 112 cold damage on target',1,1),
(105267,230088,3,100,'Grants a total of 3 triggers of the spell.',1,2),
(105268,230088,4,100,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',0,0),
(105269,230088,4,100,'Inflicts 101 - 123 cold damage on target',1,1),
(105270,230088,4,100,'Grants a total of 3 triggers of the spell.',1,2),
(105271,230088,5,100,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',0,0),
(105272,230088,5,100,'Inflicts 110 - 135 cold damage on target',1,1),
(105273,230088,5,100,'Grants a total of 3 triggers of the spell.',1,2),
(105274,230088,7,100,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',0,0),
(105275,230088,7,100,'Inflicts 141 - 173 cold damage on target',1,1),
(105276,230088,7,100,'Grants a total of 3 triggers of the spell.',1,2),
(105277,230088,9,100,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',0,0),
(105278,230088,9,100,'Inflicts 147 - 180 cold damage on target',1,1),
(105279,230088,9,100,'Grants a total of 3 triggers of the spell.',1,2),
(105280,230089,1,100,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',0,0),
(105281,230089,1,100,'Inflicts 156 - 190 cold damage on target',1,1),
(105282,230089,1,100,'Grants a total of 3 triggers of the spell.',1,2),
(105283,230089,2,100,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',0,0),
(105284,230089,2,100,'Inflicts 164 - 201 cold damage on target',1,1),
(105285,230089,2,100,'Grants a total of 3 triggers of the spell.',1,2),
(105286,230089,3,100,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',0,0),
(105287,230089,3,100,'Inflicts 173 - 211 cold damage on target',1,1),
(105288,230089,3,100,'Grants a total of 3 triggers of the spell.',1,2),
(105289,230089,4,100,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',0,0),
(105290,230089,4,100,'Inflicts 190 - 233 cold damage on target',1,1),
(105291,230089,4,100,'Grants a total of 3 triggers of the spell.',1,2),
(105292,230089,5,100,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',0,0),
(105293,230089,5,100,'Inflicts 208 - 254 cold damage on target',1,1),
(105294,230089,5,100,'Grants a total of 3 triggers of the spell.',1,2),
(105295,230089,7,100,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',0,0),
(105296,230089,7,100,'Inflicts 266 - 326 cold damage on target',1,1),
(105297,230089,7,100,'Grants a total of 3 triggers of the spell.',1,2),
(105298,230089,9,100,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',0,0),
(105299,230089,9,100,'Inflicts 277 - 338 cold damage on target',1,1),
(105300,230089,9,100,'Grants a total of 3 triggers of the spell.',1,2),
(105301,230090,1,100,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',0,0),
(105302,230090,1,100,'Inflicts 241 - 294 cold damage on target',1,1),
(105303,230090,1,100,'Grants a total of 3 triggers of the spell.',1,2),
(105304,230090,2,100,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',0,0),
(105305,230090,2,100,'Inflicts 254 - 311 cold damage on target',1,1),
(105306,230090,2,100,'Grants a total of 3 triggers of the spell.',1,2),
(105307,230090,3,100,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',0,0),
(105308,230090,3,100,'Inflicts 268 - 327 cold damage on target',1,1),
(105309,230090,3,100,'Grants a total of 3 triggers of the spell.',1,2),
(105310,230090,4,100,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',0,0),
(105311,230090,4,100,'Inflicts 294 - 360 cold damage on target',1,1),
(105312,230090,4,100,'Grants a total of 3 triggers of the spell.',1,2),
(105313,230090,5,100,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',0,0),
(105314,230090,5,100,'Inflicts 321 - 393 cold damage on target',1,1),
(105315,230090,5,100,'Grants a total of 3 triggers of the spell.',1,2),
(105316,230090,7,100,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',0,0),
(105317,230090,7,100,'Inflicts 412 - 504 cold damage on target',1,1),
(105318,230090,7,100,'Grants a total of 3 triggers of the spell.',1,2),
(105319,230090,9,100,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',0,0),
(105320,230090,9,100,'Inflicts 428 - 523 cold damage on target',1,1),
(105321,230090,9,100,'Grants a total of 3 triggers of the spell.',1,2),
(105322,230090,10,100,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',0,0),
(105323,230090,10,100,'Inflicts 450 - 550 cold damage on target',1,1),
(105324,230090,10,100,'Grants a total of 3 triggers of the spell.',1,2),
(105325,230091,1,100,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',0,0),
(105326,230091,1,100,'Inflicts 326 - 399 cold damage on target',1,1),
(105327,230091,1,100,'Grants a total of 3 triggers of the spell.',1,2),
(105328,230091,2,100,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',0,0),
(105329,230091,2,100,'Inflicts 344 - 421 cold damage on target',1,1),
(105330,230091,2,100,'Grants a total of 3 triggers of the spell.',1,2),
(105331,230091,3,100,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',0,0),
(105332,230091,3,100,'Inflicts 362 - 443 cold damage on target',1,1),
(105333,230091,3,100,'Grants a total of 3 triggers of the spell.',1,2),
(105334,230091,4,100,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',0,0),
(105335,230091,4,100,'Inflicts 399 - 487 cold damage on target',1,1),
(105336,230091,4,100,'Grants a total of 3 triggers of the spell.',1,2),
(105337,230091,5,100,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',0,0),
(105338,230091,5,100,'Inflicts 435 - 531 cold damage on target',1,1),
(105339,230091,5,100,'Grants a total of 3 triggers of the spell.',1,2),
(105340,230091,7,100,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',0,0),
(105341,230091,7,100,'Inflicts 558 - 682 cold damage on target',1,1),
(105342,230091,7,100,'Grants a total of 3 triggers of the spell.',1,2),
(105343,230091,9,100,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',0,0),
(105344,230091,9,100,'Inflicts 580 - 709 cold damage on target',1,1),
(105345,230091,9,100,'Grants a total of 3 triggers of the spell.',1,2),
(105346,230091,10,100,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',0,0),
(105347,230091,10,100,'Inflicts 609 - 744 cold damage on target',1,1),
(105348,230091,10,100,'Grants a total of 3 triggers of the spell.',1,2),
(105349,230092,1,100,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',0,0),
(105350,230092,1,100,'Inflicts 409 - 500 cold damage on target',1,1),
(105351,230092,1,100,'Grants a total of 3 triggers of the spell.',1,2),
(105352,230092,2,100,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',0,0),
(105353,230092,2,100,'Inflicts 432 - 527 cold damage on target',1,1),
(105354,230092,2,100,'Grants a total of 3 triggers of the spell.',1,2),
(105355,230092,3,100,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',0,0),
(105356,230092,3,100,'Inflicts 454 - 555 cold damage on target',1,1),
(105357,230092,3,100,'Grants a total of 3 triggers of the spell.',1,2),
(105358,230092,4,100,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',0,0),
(105359,230092,4,100,'Inflicts 500 - 611 cold damage on target',1,1),
(105360,230092,4,100,'Grants a total of 3 triggers of the spell.',1,2),
(105361,230092,5,100,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',0,0),
(105362,230092,5,100,'Inflicts 545 - 666 cold damage on target',1,1),
(105363,230092,5,100,'Grants a total of 3 triggers of the spell.',1,2),
(105364,230092,7,100,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',0,0),
(105365,230092,7,100,'Inflicts 700 - 855 cold damage on target',1,1),
(105366,230092,7,100,'Grants a total of 3 triggers of the spell.',1,2),
(105367,230092,9,100,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',0,0),
(105368,230092,9,100,'Inflicts 727 - 888 cold damage on target',1,1),
(105369,230092,9,100,'Grants a total of 3 triggers of the spell.',1,2),
(105370,230093,1,100,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',0,0),
(105371,230093,1,100,'Inflicts 493 - 603 cold damage on target',1,1),
(105372,230093,1,100,'Grants a total of 3 triggers of the spell.',1,2),
(105373,230093,4,100,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',0,0),
(105374,230093,4,100,'Inflicts 603 - 737 cold damage on target',1,1),
(105375,230093,4,100,'Grants a total of 3 triggers of the spell.',1,2),
(105376,230093,5,100,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',0,0),
(105377,230093,5,100,'Inflicts 658 - 804 cold damage on target',1,1),
(105378,230093,5,100,'Grants a total of 3 triggers of the spell.',1,2),
(105379,230093,7,100,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',0,0),
(105380,230093,7,100,'Inflicts 844 - 1031 cold damage on target',1,1),
(105381,230093,7,100,'Grants a total of 3 triggers of the spell.',1,2),
(105382,230093,9,100,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',0,0),
(105383,230093,9,100,'Inflicts 877 - 1072 cold damage on target',1,1),
(105384,230093,9,100,'Grants a total of 3 triggers of the spell.',1,2),
(105385,230094,1,100,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',0,0),
(105386,230094,1,100,'Inflicts 548 - 670 cold damage on target',1,1),
(105387,230094,1,100,'Grants a total of 3 triggers of the spell.',1,2),
(105388,230094,4,100,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',0,0),
(105389,230094,4,100,'Inflicts 670 - 819 cold damage on target',1,1),
(105390,230094,4,100,'Grants a total of 3 triggers of the spell.',1,2),
(105391,230094,5,100,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',0,0),
(105392,230094,5,100,'Inflicts 731 - 893 cold damage on target',1,1),
(105393,230094,5,100,'Grants a total of 3 triggers of the spell.',1,2),
(105394,230094,7,100,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',0,0),
(105395,230094,7,100,'Inflicts 938 - 1147 cold damage on target',1,1),
(105396,230094,7,100,'Grants a total of 3 triggers of the spell.',1,2),
(105397,230094,9,100,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',0,0),
(105398,230094,9,100,'Inflicts 975 - 1191 cold damage on target',1,1),
(105399,230094,9,100,'Grants a total of 3 triggers of the spell.',1,2),
(105400,260085,1,100,'Shapechanges caster',0,0),
(105401,260085,1,100,'Enlarges caster by 27.0%',0,1),
(105402,260085,1,100,'This effect cannot be cast during combat',0,2),
(105403,260086,1,100,'Shapechanges caster',0,0),
(105404,260086,1,100,'If male',1,1),
(105405,260086,1,100,'Shapechanges caster',0,2),
(105406,260086,1,100,'If female',1,3),
(105407,260086,1,100,'Shrinks caster by 18.0%',0,4),
(105408,260086,1,100,'This effect cannot be cast during combat',0,5),
(105409,260087,1,100,'Shapechanges caster',0,0),
(105410,260087,1,100,'Allows caster to breathe under water',0,1),
(105411,260087,1,100,'Grants Fish Vision to caster',0,2),
(105412,260087,1,100,'This effect cannot be cast during combat',0,3),
(105413,260088,1,100,'Shapechanges caster',0,0),
(105414,260088,1,100,'Reduces maximum falling speed of caster',0,1),
(105415,260088,1,100,'This effect cannot be cast during combat',0,2),
(105416,2000492,1,100,'Increases Hate Gain of target by 20.0%',0,0),
(105417,2000492,1,100,'Gives target a 20.0% chance to strikethrough a successful avoidance check',0,1),
(105418,2000492,1,100,'Improves the amount of taunts by 20%',0,2),
(105419,2000493,1,100,'Increases Max Health of group members (AE) by 10.0%',0,0),
(105420,2000493,1,100,'Increases Mitigation of group members (AE) vs physical damage by 10032',0,1),
(105421,2000493,1,100,'The group''s threat with their target will be reduced by 30% of the damage they inflict.',0,2),
(105422,2000493,1,100,'Disables Energizing Aura',0,3),
(105423,2000493,1,100,'Only applies to scouts and mages',0,4),
(105424,2000493,1,100,'You must be maintaining Energizing Aura!',0,5),
(105425,2000493,1,100,'Cannot be modified except by direct means',0,6),
(105426,2000494,1,100,'On any combat or spell hit this spell may cast Illusionary Vigor on target.  Lasts for 15 minutes.  Triggers about 0.2 times per minute. ',0,0),
(105427,2000494,1,100,'Dispelled when a group member dies.',1,1),
(105428,2000494,1,100,'Increases Potency of group members (AE) by 1.0%',1,2),
(105429,2000494,1,100,'On a death blow this spell will cast Illusionary Vigor on target.  Lasts for 15 minutes.  ',0,3),
(105430,2000494,1,100,'Dispelled when a group member dies.',1,4),
(105431,2000494,1,100,'Increases Potency of group members (AE) by 1.0%',1,5),
(105432,260089,1,100,'Applies Memory Wipe on termination.  Lasts for 1.0 second.',0,0),
(105433,260089,1,100,'Wipes most of the target''s memory of aggression',1,1),
(105434,260089,1,100,'Summons 6 limited pets to aid the caster',0,2),
(105435,260089,2,100,'Applies Memory Wipe on termination.  Lasts for 1.0 second.',0,0),
(105436,260089,2,100,'Wipes most of the target''s memory of aggression',1,1),
(105437,260089,2,100,'Summons 6 limited pets to aid the caster',0,2),
(105438,260089,3,100,'Applies Memory Wipe on termination.  Lasts for 1.0 second.',0,0),
(105439,260089,3,100,'Wipes most of the target''s memory of aggression',1,1),
(105440,260089,3,100,'Summons 6 limited pets to aid the caster',0,2),
(105441,260089,4,100,'Applies Memory Wipe on termination.  Lasts for 1.0 second.',0,0),
(105442,260089,4,100,'Wipes most of the target''s memory of aggression',1,1),
(105443,260089,4,100,'Summons 6 limited pets to aid the caster',0,2),
(105444,260089,5,100,'Applies Memory Wipe on termination.  Lasts for 1.0 second.',0,0),
(105445,260089,5,100,'Wipes most of the target''s memory of aggression',1,1),
(105446,260089,5,100,'Summons 6 limited pets to aid the caster',0,2),
(105447,260089,7,100,'Applies Memory Wipe on termination.  Lasts for 1.0 second.',0,0),
(105448,260089,7,100,'Wipes most of the target''s memory of aggression',1,1),
(105449,260089,7,100,'Summons 6 limited pets to aid the caster',0,2),
(105450,260089,9,100,'Applies Memory Wipe on termination.  Lasts for 1.0 second.',0,0),
(105451,260089,9,100,'Wipes most of the target''s memory of aggression',1,1),
(105452,260089,9,100,'Summons 6 limited pets to aid the caster',0,2),
(105453,260090,1,100,'Applies Memory Wipe on termination.  Lasts for 1.0 second.',0,0),
(105454,260090,1,100,'Wipes most of the target''s memory of aggression',1,1),
(105455,260090,1,100,'Summons 6 limited pets to aid the caster',0,2),
(105456,260090,1,100,'Summons 2 limited pets to aid the caster',0,3),
(105457,260090,2,100,'Applies Memory Wipe on termination.  Lasts for 1.0 second.',0,0),
(105458,260090,2,100,'Wipes most of the target''s memory of aggression',1,1),
(105459,260090,2,100,'Summons 6 limited pets to aid the caster',0,2),
(105460,260090,2,100,'Summons 2 limited pets to aid the caster',0,3),
(105461,260090,3,100,'Applies Memory Wipe on termination.  Lasts for 1.0 second.',0,0),
(105462,260090,3,100,'Wipes most of the target''s memory of aggression',1,1),
(105463,260090,3,100,'Summons 6 limited pets to aid the caster',0,2),
(105464,260090,3,100,'Summons 2 limited pets to aid the caster',0,3),
(105465,260090,4,100,'Applies Memory Wipe on termination.  Lasts for 1.0 second.',0,0),
(105466,260090,4,100,'Wipes most of the target''s memory of aggression',1,1),
(105467,260090,4,100,'Summons 6 limited pets to aid the caster',0,2),
(105468,260090,4,100,'Summons 2 limited pets to aid the caster',0,3),
(105469,260090,5,100,'Applies Memory Wipe on termination.  Lasts for 1.0 second.',0,0),
(105470,260090,5,100,'Wipes most of the target''s memory of aggression',1,1),
(105471,260090,5,100,'Summons 6 limited pets to aid the caster',0,2),
(105472,260090,5,100,'Summons 2 limited pets to aid the caster',0,3),
(105473,260090,7,100,'Applies Memory Wipe on termination.  Lasts for 1.0 second.',0,0),
(105474,260090,7,100,'Wipes most of the target''s memory of aggression',1,1),
(105475,260090,7,100,'Summons 6 limited pets to aid the caster',0,2),
(105476,260090,7,100,'Summons 2 limited pets to aid the caster',0,3),
(105477,260090,9,100,'Applies Memory Wipe on termination.  Lasts for 1.0 second.',0,0),
(105478,260090,9,100,'Wipes most of the target''s memory of aggression',1,1),
(105479,260090,9,100,'Summons 6 limited pets to aid the caster',0,2),
(105480,260090,9,100,'Summons 2 limited pets to aid the caster',0,3),
(105481,260091,1,100,'Applies Memory Wipe on termination.  Lasts for 1.0 second.',0,0),
(105482,260091,1,100,'Wipes most of the target''s memory of aggression',1,1),
(105483,260091,1,100,'Summons 6 limited pets to aid the caster',0,2),
(105484,260091,4,100,'Applies Memory Wipe on termination.  Lasts for 1.0 second.',0,0),
(105485,260091,4,100,'Wipes most of the target''s memory of aggression',1,1),
(105486,260091,4,100,'Summons 6 limited pets to aid the caster',0,2),
(105487,260091,5,100,'Applies Memory Wipe on termination.  Lasts for 1.0 second.',0,0),
(105488,260091,5,100,'Wipes most of the target''s memory of aggression',1,1),
(105489,260091,5,100,'Summons 6 limited pets to aid the caster',0,2),
(105490,260091,7,100,'Applies Memory Wipe on termination.  Lasts for 1.0 second.',0,0),
(105491,260091,7,100,'Wipes most of the target''s memory of aggression',1,1),
(105492,260091,7,100,'Summons 6 limited pets to aid the caster',0,2),
(105493,260091,9,100,'Applies Memory Wipe on termination.  Lasts for 1.0 second.',0,0),
(105494,260091,9,100,'Wipes most of the target''s memory of aggression',1,1),
(105495,260091,9,100,'Summons 6 limited pets to aid the caster',0,2),
(105496,260092,1,100,'Applies Memory Wipe on termination.  Lasts for 1.0 second.',0,0),
(105497,260092,1,100,'Wipes most of the target''s memory of aggression',1,1),
(105498,260092,1,100,'Summons 6 limited pets to aid the caster',0,2),
(105499,260092,4,100,'Applies Memory Wipe on termination.  Lasts for 1.0 second.',0,0),
(105500,260092,4,100,'Wipes most of the target''s memory of aggression',1,1),
(105501,260092,4,100,'Summons 6 limited pets to aid the caster',0,2),
(105502,260092,5,100,'Applies Memory Wipe on termination.  Lasts for 1.0 second.',0,0),
(105503,260092,5,100,'Wipes most of the target''s memory of aggression',1,1),
(105504,260092,5,100,'Summons 6 limited pets to aid the caster',0,2),
(105505,260092,7,100,'Applies Memory Wipe on termination.  Lasts for 1.0 second.',0,0),
(105506,260092,7,100,'Wipes most of the target''s memory of aggression',1,1),
(105507,260092,7,100,'Summons 6 limited pets to aid the caster',0,2),
(105508,260092,9,100,'Applies Memory Wipe on termination.  Lasts for 1.0 second.',0,0),
(105509,260092,9,100,'Wipes most of the target''s memory of aggression',1,1),
(105510,260092,9,100,'Summons 6 limited pets to aid the caster',0,2),
(105511,2000495,1,100,'Increases Damage Per Second of target by 25.0',0,0),
(105512,2000496,1,100,'Reduces all magical damage done to the target by 20%.  200% of the reduced damage is reflected on the attacker. This can only trigger 3 times. The damage must be over 10% of the target''s maximum health to trigger.',0,0),
(105513,2000496,1,100,'Cannot be modified except by direct means',0,1),
(105514,260093,1,100,'Grants invisibility to group members (AE)',0,0),
(105515,260093,1,100,'Suspends group members (AE)''s movement speed enhancements',0,1),
(105516,260093,1,100,'Dispelled when target takes damage',0,2),
(105517,260093,1,100,'This effect cancels during combat',0,3),
(105518,2000497,1,100,'Resurrects all deceased party members within a 25 meter radius of the caster with 100% health and power.',0,0),
(105519,280005,1,100,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',0,0),
(105520,280005,1,100,'Slows target by 30.4%',1,1),
(105521,280005,1,100,'5% chance to dispel when target receives hostile action',1,2),
(105522,280005,1,100,'5% chance to dispel when target takes damage',1,3),
(105523,280005,1,100,'Roots target',0,4),
(105524,280005,1,100,'10% chance to dispel when target receives hostile action',0,5),
(105525,280005,1,100,'10% chance to dispel when target takes damage',0,6),
(105526,280005,1,100,'Does not affect Epic targets',0,7),
(105527,280005,1,100,'Resistibility increases against targets higher than level 29.',0,8),
(105528,280005,2,100,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',0,0),
(105529,280005,2,100,'Slows target by 32.1%',1,1),
(105530,280005,2,100,'5% chance to dispel when target receives hostile action',1,2),
(105531,280005,2,100,'5% chance to dispel when target takes damage',1,3),
(105532,280005,2,100,'Roots target',0,4),
(105533,280005,2,100,'10% chance to dispel when target receives hostile action',0,5),
(105534,280005,2,100,'10% chance to dispel when target takes damage',0,6),
(105535,280005,2,100,'Does not affect Epic targets',0,7),
(105536,280005,2,100,'Resistibility increases against targets higher than level 29.',0,8),
(105537,280005,3,100,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',0,0),
(105538,280005,3,100,'Slows target by 33.8%',1,1),
(105539,280005,3,100,'5% chance to dispel when target receives hostile action',1,2),
(105540,280005,3,100,'5% chance to dispel when target takes damage',1,3),
(105541,280005,3,100,'Roots target',0,4),
(105542,280005,3,100,'10% chance to dispel when target receives hostile action',0,5),
(105543,280005,3,100,'10% chance to dispel when target takes damage',0,6),
(105544,280005,3,100,'Does not affect Epic targets',0,7),
(105545,280005,3,100,'Resistibility increases against targets higher than level 29.',0,8),
(105546,280005,4,100,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',0,0),
(105547,280005,4,100,'Slows target by 37.2%',1,1),
(105548,280005,4,100,'5% chance to dispel when target receives hostile action',1,2),
(105549,280005,4,100,'5% chance to dispel when target takes damage',1,3),
(105550,280005,4,100,'Roots target',0,4),
(105551,280005,4,100,'10% chance to dispel when target receives hostile action',0,5),
(105552,280005,4,100,'10% chance to dispel when target takes damage',0,6),
(105553,280005,4,100,'Does not affect Epic targets',0,7),
(105554,280005,4,100,'Resistibility increases against targets higher than level 29.',0,8),
(105555,280005,5,100,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',0,0),
(105556,280005,5,100,'Slows target by 40.6%',1,1),
(105557,280005,5,100,'5% chance to dispel when target receives hostile action',1,2),
(105558,280005,5,100,'5% chance to dispel when target takes damage',1,3),
(105559,280005,5,100,'Roots target',0,4),
(105560,280005,5,100,'10% chance to dispel when target receives hostile action',0,5),
(105561,280005,5,100,'10% chance to dispel when target takes damage',0,6),
(105562,280005,5,100,'Does not affect Epic targets',0,7),
(105563,280005,5,100,'Resistibility increases against targets higher than level 29.',0,8),
(105564,280005,7,100,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',0,0),
(105565,280005,7,100,'Slows target by 52.1%',1,1),
(105566,280005,7,100,'5% chance to dispel when target receives hostile action',1,2),
(105567,280005,7,100,'5% chance to dispel when target takes damage',1,3),
(105568,280005,7,100,'Roots target',0,4),
(105569,280005,7,100,'10% chance to dispel when target receives hostile action',0,5),
(105570,280005,7,100,'10% chance to dispel when target takes damage',0,6),
(105571,280005,7,100,'Does not affect Epic targets',0,7),
(105572,280005,7,100,'Resistibility increases against targets higher than level 29.',0,8),
(105573,280005,9,100,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',0,0),
(105574,280005,9,100,'Slows target by 54.1%',1,1),
(105575,280005,9,100,'5% chance to dispel when target receives hostile action',1,2),
(105576,280005,9,100,'5% chance to dispel when target takes damage',1,3),
(105577,280005,9,100,'Roots target',0,4),
(105578,280005,9,100,'10% chance to dispel when target receives hostile action',0,5),
(105579,280005,9,100,'10% chance to dispel when target takes damage',0,6),
(105580,280005,9,100,'Does not affect Epic targets',0,7),
(105581,280005,9,100,'Resistibility increases against targets higher than level 29.',0,8),
(105582,230095,1,100,'Inflicts 24 - 44 heat damage on target',0,0),
(105583,230095,1,100,'Inflicts 9 - 16 heat damage on target every 2 seconds',0,1),
(105584,230095,2,100,'Inflicts 25 - 46 heat damage on target',0,0),
(105585,230095,2,100,'Inflicts 9 - 17 heat damage on target every 2 seconds',0,1),
(105586,230095,3,100,'Inflicts 26 - 49 heat damage on target',0,0),
(105587,230095,3,100,'Inflicts 10 - 18 heat damage on target every 2 seconds',0,1),
(105588,230095,4,100,'Inflicts 29 - 54 heat damage on target',0,0),
(105589,230095,4,100,'Inflicts 11 - 20 heat damage on target every 2 seconds',0,1),
(105590,230095,5,100,'Inflicts 31 - 58 heat damage on target',0,0),
(105591,230095,5,100,'Inflicts 12 - 22 heat damage on target every 2 seconds',0,1),
(105592,230095,7,100,'Inflicts 40 - 75 heat damage on target',0,0),
(105593,230095,7,100,'Inflicts 15 - 28 heat damage on target every 2 seconds',0,1),
(105594,230095,9,100,'Inflicts 42 - 78 heat damage on target',0,0),
(105595,230095,9,100,'Inflicts 16 - 29 heat damage on target every 2 seconds',0,1),
(105596,230095,10,100,'Inflicts 44 - 82 heat damage on target',0,0),
(105597,230095,10,100,'Inflicts 17 - 31 heat damage on target every 2 seconds',0,1),
(105598,230096,1,100,'Inflicts 57 - 106 heat damage on target',0,0),
(105599,230096,1,100,'Inflicts 21 - 40 heat damage on target every 2 seconds',0,1),
(105600,230096,2,100,'Inflicts 60 - 112 heat damage on target',0,0),
(105601,230096,2,100,'Inflicts 23 - 42 heat damage on target every 2 seconds',0,1),
(105602,230096,3,100,'Inflicts 64 - 118 heat damage on target',0,0),
(105603,230096,3,100,'Inflicts 24 - 44 heat damage on target every 2 seconds',0,1),
(105604,230096,4,100,'Inflicts 70 - 130 heat damage on target',0,0),
(105605,230096,4,100,'Inflicts 26 - 49 heat damage on target every 2 seconds',0,1),
(105606,230096,5,100,'Inflicts 76 - 142 heat damage on target',0,0),
(105607,230096,5,100,'Inflicts 29 - 53 heat damage on target every 2 seconds',0,1),
(105608,230096,7,100,'Inflicts 98 - 182 heat damage on target',0,0),
(105609,230096,7,100,'Inflicts 37 - 68 heat damage on target every 2 seconds',0,1),
(105610,230096,9,100,'Inflicts 102 - 189 heat damage on target',0,0),
(105611,230096,9,100,'Inflicts 38 - 71 heat damage on target every 2 seconds',0,1),
(105612,230096,10,100,'Inflicts 107 - 198 heat damage on target',0,0),
(105613,230096,10,100,'Inflicts 40 - 74 heat damage on target every 2 seconds',0,1),
(105614,230097,1,100,'Inflicts 95 - 177 heat damage on target',0,0),
(105615,230097,1,100,'Inflicts 36 - 66 heat damage on target every 2 seconds',0,1),
(105616,230097,2,100,'Inflicts 101 - 187 heat damage on target',0,0),
(105617,230097,2,100,'Inflicts 38 - 70 heat damage on target every 2 seconds',0,1),
(105618,230097,3,100,'Inflicts 106 - 197 heat damage on target',0,0),
(105619,230097,3,100,'Inflicts 40 - 74 heat damage on target every 2 seconds',0,1),
(105620,230097,4,100,'Inflicts 117 - 216 heat damage on target',0,0),
(105621,230097,4,100,'Inflicts 44 - 81 heat damage on target every 2 seconds',0,1),
(105622,230097,5,100,'Inflicts 127 - 236 heat damage on target',0,0),
(105623,230097,5,100,'Inflicts 48 - 89 heat damage on target every 2 seconds',0,1),
(105624,230097,7,100,'Inflicts 163 - 303 heat damage on target',0,0),
(105625,230097,7,100,'Inflicts 61 - 114 heat damage on target every 2 seconds',0,1),
(105626,230097,9,100,'Inflicts 170 - 315 heat damage on target',0,0),
(105627,230097,9,100,'Inflicts 64 - 118 heat damage on target every 2 seconds',0,1),
(105628,230098,1,100,'Inflicts 142 - 263 heat damage on target',0,0),
(105629,230098,1,100,'Inflicts 53 - 99 heat damage on target every 2 seconds',0,1),
(105630,230098,2,100,'Inflicts 150 - 278 heat damage on target',0,0),
(105631,230098,2,100,'Inflicts 56 - 104 heat damage on target every 2 seconds',0,1),
(105632,230098,3,100,'Inflicts 157 - 292 heat damage on target',0,0),
(105633,230098,3,100,'Inflicts 59 - 110 heat damage on target every 2 seconds',0,1),
(105634,230098,4,100,'Inflicts 173 - 322 heat damage on target',0,0),
(105635,230098,4,100,'Inflicts 65 - 121 heat damage on target every 2 seconds',0,1),
(105636,230098,5,100,'Inflicts 189 - 351 heat damage on target',0,0),
(105637,230098,5,100,'Inflicts 71 - 132 heat damage on target every 2 seconds',0,1),
(105638,230098,7,100,'Inflicts 243 - 450 heat damage on target',0,0),
(105639,230098,7,100,'Inflicts 91 - 169 heat damage on target every 2 seconds',0,1),
(105640,230098,9,100,'Inflicts 252 - 468 heat damage on target',0,0),
(105641,230098,9,100,'Inflicts 94 - 175 heat damage on target every 2 seconds',0,1),
(105642,230099,1,100,'Inflicts 189 - 352 heat damage on target',0,0),
(105643,230099,1,100,'Inflicts 71 - 132 heat damage on target every 2 seconds',0,1),
(105644,230099,2,100,'Inflicts 200 - 371 heat damage on target',0,0),
(105645,230099,2,100,'Inflicts 75 - 139 heat damage on target every 2 seconds',0,1),
(105646,230099,3,100,'Inflicts 210 - 391 heat damage on target',0,0),
(105647,230099,3,100,'Inflicts 79 - 147 heat damage on target every 2 seconds',0,1),
(105648,230099,4,100,'Inflicts 232 - 430 heat damage on target',0,0),
(105649,230099,4,100,'Inflicts 87 - 161 heat damage on target every 2 seconds',0,1),
(105650,230099,5,100,'Inflicts 253 - 469 heat damage on target',0,0),
(105651,230099,5,100,'Inflicts 95 - 176 heat damage on target every 2 seconds',0,1),
(105652,230099,7,100,'Inflicts 324 - 602 heat damage on target',0,0),
(105653,230099,7,100,'Inflicts 122 - 226 heat damage on target every 2 seconds',0,1),
(105654,230099,9,100,'Inflicts 337 - 625 heat damage on target',0,0),
(105655,230099,9,100,'Inflicts 126 - 235 heat damage on target every 2 seconds',0,1),
(105656,230100,1,100,'Inflicts 233 - 433 heat damage on target',0,0),
(105657,230100,1,100,'Inflicts 87 - 162 heat damage on target every 2 seconds',0,1),
(105658,230100,2,100,'Inflicts 246 - 457 heat damage on target',0,0),
(105659,230100,2,100,'Inflicts 92 - 171 heat damage on target every 2 seconds',0,1),
(105660,230100,3,100,'Inflicts 259 - 481 heat damage on target',0,0),
(105661,230100,3,100,'Inflicts 97 - 180 heat damage on target every 2 seconds',0,1),
(105662,230100,4,100,'Inflicts 285 - 529 heat damage on target',0,0),
(105663,230100,4,100,'Inflicts 107 - 199 heat damage on target every 2 seconds',0,1),
(105664,230100,5,100,'Inflicts 311 - 578 heat damage on target',0,0),
(105665,230100,5,100,'Inflicts 117 - 217 heat damage on target every 2 seconds',0,1),
(105666,230100,7,100,'Inflicts 399 - 741 heat damage on target',0,0),
(105667,230100,7,100,'Inflicts 150 - 278 heat damage on target every 2 seconds',0,1),
(105668,230100,9,100,'Inflicts 415 - 770 heat damage on target',0,0),
(105669,230100,9,100,'Inflicts 156 - 289 heat damage on target every 2 seconds',0,1),
(105670,230101,1,100,'Inflicts 281 - 522 heat damage on target',0,0),
(105671,230101,1,100,'Inflicts 105 - 196 heat damage on target every 2 seconds',0,1),
(105672,230101,4,100,'Inflicts 344 - 638 heat damage on target',0,0),
(105673,230101,4,100,'Inflicts 129 - 239 heat damage on target every 2 seconds',0,1),
(105674,230101,5,100,'Inflicts 375 - 696 heat damage on target',0,0),
(105675,230101,5,100,'Inflicts 141 - 261 heat damage on target every 2 seconds',0,1),
(105676,230101,7,100,'Inflicts 481 - 894 heat damage on target',0,0),
(105677,230101,7,100,'Inflicts 180 - 335 heat damage on target every 2 seconds',0,1),
(105678,230101,9,100,'Inflicts 500 - 928 heat damage on target',0,0),
(105679,230101,9,100,'Inflicts 187 - 348 heat damage on target every 2 seconds',0,1),
(105680,230102,1,100,'Inflicts 309 - 574 heat damage on target',0,0),
(105681,230102,1,100,'Inflicts 116 - 215 heat damage on target every 2 seconds',0,1),
(105682,230102,4,100,'Inflicts 377 - 701 heat damage on target',0,0),
(105683,230102,4,100,'Inflicts 142 - 263 heat damage on target every 2 seconds',0,1),
(105684,230102,5,100,'Inflicts 412 - 765 heat damage on target',0,0),
(105685,230102,5,100,'Inflicts 154 - 287 heat damage on target every 2 seconds',0,1),
(105686,230102,7,100,'Inflicts 528 - 981 heat damage on target',0,0),
(105687,230102,7,100,'Inflicts 198 - 368 heat damage on target every 2 seconds',0,1),
(105688,230102,9,100,'Inflicts 549 - 1020 heat damage on target',0,0),
(105689,230102,9,100,'Inflicts 206 - 382 heat damage on target every 2 seconds',0,1),
(105690,2000498,1,100,'Has a 0.8% chance to absorb a level 110 effect. Applies to Profession and NPC racial spells only.',0,0),
(105691,2000498,2,100,'Has a 1.6% chance to absorb a level 100 effect. Applies to Profession and NPC racial spells only.',0,0),
(105692,2000498,3,100,'Has a 2.4% chance to absorb a level 100 effect. Applies to Profession and NPC racial spells only.',0,0),
(105693,2000498,4,100,'Has a 3.2% chance to absorb a level 100 effect. Applies to Profession and NPC racial spells only.',0,0),
(105694,2000498,5,100,'Has a 4% chance to absorb a level 100 effect. Applies to Profession and NPC racial spells only.',0,0),
(105695,2000498,6,100,'Has a 4.8% chance to absorb a level 100 effect. Applies to Profession and NPC racial spells only.',0,0),
(105696,2000498,7,100,'Has a 5.6% chance to absorb a level 100 effect. Applies to Profession and NPC racial spells only.',0,0),
(105697,2000498,8,100,'Has a 6.4% chance to absorb a level 100 effect. Applies to Profession and NPC racial spells only.',0,0),
(105698,2000498,9,100,'Has a 7.2% chance to absorb a level 110 effect. Applies to Profession and NPC racial spells only.',0,0),
(105699,2000498,10,100,'Has a 8% chance to absorb a level 110 effect. Applies to Profession and NPC racial spells only.',0,0),
(105700,2000499,1,100,'Makes target immune to Stun effects',0,0),
(105701,2000499,1,100,'Makes target immune to Daze effects',0,1),
(105702,2000499,1,100,'Makes target immune to Stifle effects',0,2),
(105703,2000499,1,100,'Makes target immune to Fear effects',0,3),
(105704,2000499,1,100,'Makes target immune to Root effects',0,4),
(105705,2000499,1,100,'Makes target immune to Mesmerize effects',0,5),
(105706,2000499,1,100,'Makes target immune to Charm effects',0,6),
(105707,130092,12,100,'Makes Aegolism a group wide spell adding additional haste, defense, parry, deflection and aggression',0,0),
(105708,130092,12,100,'Increases the heal amount of Supplicant''s Prayer and Divine Prayer by 20% of the templar''s wisdom.',0,1),
(105709,130092,12,100,'On a beneficial spell cast this spell has a 12% chance to cast Impenetrable Faith on caster.  Lasts for 15.0 seconds.  ',0,2),
(105710,130092,12,100,'Makes caster immune to Stun effects and increases casting speed by 20%',1,3),
(105711,130092,12,100,'Cannot be modified except by direct means',0,4),
(105712,200099,1,100,'Inflicts 8 - 9 disease damage on target',0,0),
(105713,200099,1,100,'Decreases Mitigation of target vs noxious damage by 21',0,1),
(105714,200099,2,100,'Inflicts 8 - 10 disease damage on target',0,0),
(105715,200099,2,100,'Decreases Mitigation of target vs noxious damage by 22',0,1),
(105716,200099,3,100,'Inflicts 8 - 10 disease damage on target',0,0),
(105717,200099,3,100,'Decreases Mitigation of target vs noxious damage by 23',0,1),
(105718,200099,4,100,'Inflicts 9 - 11 disease damage on target',0,0),
(105719,200099,4,100,'Decreases Mitigation of target vs noxious damage by 25',0,1),
(105720,200099,5,100,'Inflicts 10 - 12 disease damage on target',0,0),
(105721,200099,5,100,'Decreases Mitigation of target vs noxious damage by 27',0,1),
(105722,200099,7,100,'Inflicts 13 - 16 disease damage on target',0,0),
(105723,200099,7,100,'Decreases Mitigation of target vs noxious damage by 35',0,1),
(105724,200099,9,100,'Inflicts 14 - 17 disease damage on target',0,0),
(105725,200099,9,100,'Decreases Mitigation of target vs noxious damage by 36',0,1),
(105726,200100,1,100,'Inflicts 27 - 33 disease damage on target',0,0),
(105727,200100,1,100,'Decreases Mitigation of target vs noxious damage by 107',0,1),
(105728,200100,2,100,'Inflicts 28 - 34 disease damage on target',0,0),
(105729,200100,2,100,'Decreases Mitigation of target vs noxious damage by 113',0,1),
(105730,200100,3,100,'Inflicts 30 - 36 disease damage on target',0,0),
(105731,200100,3,100,'Decreases Mitigation of target vs noxious damage by 119',0,1),
(105732,200100,4,100,'Inflicts 33 - 40 disease damage on target',0,0),
(105733,200100,4,100,'Decreases Mitigation of target vs noxious damage by 131',0,1),
(105734,200100,5,100,'Inflicts 36 - 43 disease damage on target',0,0),
(105735,200100,5,100,'Decreases Mitigation of target vs noxious damage by 143',0,1),
(105736,200100,7,100,'Inflicts 46 - 56 disease damage on target',0,0),
(105737,200100,7,100,'Decreases Mitigation of target vs noxious damage by 183',0,1),
(105738,200100,9,100,'Inflicts 47 - 58 disease damage on target',0,0),
(105739,200100,9,100,'Decreases Mitigation of target vs noxious damage by 190',0,1),
(105740,200101,1,100,'Inflicts 49 - 60 disease damage on target',0,0),
(105741,200101,1,100,'Decreases Mitigation of target vs noxious damage by 162',0,1),
(105742,200101,2,100,'Inflicts 52 - 64 disease damage on target',0,0),
(105743,200101,2,100,'Decreases Mitigation of target vs noxious damage by 171',0,1),
(105744,200101,3,100,'Inflicts 55 - 67 disease damage on target',0,0),
(105745,200101,3,100,'Decreases Mitigation of target vs noxious damage by 180',0,1),
(105746,200101,4,100,'Inflicts 60 - 74 disease damage on target',0,0),
(105747,200101,4,100,'Decreases Mitigation of target vs noxious damage by 198',0,1),
(105748,200101,5,100,'Inflicts 66 - 80 disease damage on target',0,0),
(105749,200101,5,100,'Decreases Mitigation of target vs noxious damage by 216',0,1),
(105750,200101,7,100,'Inflicts 84 - 103 disease damage on target',0,0),
(105751,200101,7,100,'Decreases Mitigation of target vs noxious damage by 278',0,1),
(105752,200101,9,100,'Inflicts 88 - 107 disease damage on target',0,0),
(105753,200101,9,100,'Decreases Mitigation of target vs noxious damage by 288',0,1),
(105754,200102,1,100,'Inflicts 95 - 117 disease damage on target',0,0),
(105755,200102,1,100,'Decreases Mitigation of target vs noxious damage by 279',0,1),
(105756,200102,2,100,'Inflicts 101 - 123 disease damage on target',0,0),
(105757,200102,2,100,'Decreases Mitigation of target vs noxious damage by 295',0,1),
(105758,200102,3,100,'Inflicts 106 - 130 disease damage on target',0,0),
(105759,200102,3,100,'Decreases Mitigation of target vs noxious damage by 310',0,1),
(105760,200102,4,100,'Inflicts 117 - 142 disease damage on target',0,0),
(105761,200102,4,100,'Decreases Mitigation of target vs noxious damage by 341',0,1),
(105762,200102,5,100,'Inflicts 127 - 155 disease damage on target',0,0),
(105763,200102,5,100,'Decreases Mitigation of target vs noxious damage by 372',0,1),
(105764,200102,7,100,'Inflicts 163 - 199 disease damage on target',0,0),
(105765,200102,7,100,'Decreases Mitigation of target vs noxious damage by 477',0,1),
(105766,200102,9,100,'Inflicts 170 - 207 disease damage on target',0,0),
(105767,200102,9,100,'Decreases Mitigation of target vs noxious damage by 496',0,1),
(105768,200103,1,100,'Inflicts 375 - 458 disease damage on target',0,0),
(105769,200103,1,100,'Decreases Mitigation of target vs noxious damage by 994',0,1),
(105770,200103,4,100,'Inflicts 458 - 560 disease damage on target',0,0),
(105771,200103,4,100,'Decreases Mitigation of target vs noxious damage by 1214',0,1),
(105772,200103,5,100,'Inflicts 500 - 611 disease damage on target',0,0),
(105773,200103,5,100,'Decreases Mitigation of target vs noxious damage by 1325',0,1),
(105774,200103,7,100,'Inflicts 641 - 784 disease damage on target',0,0),
(105775,200103,7,100,'Decreases Mitigation of target vs noxious damage by 1700',0,1),
(105776,200103,9,100,'Inflicts 666 - 814 disease damage on target',0,0),
(105777,200103,9,100,'Decreases Mitigation of target vs noxious damage by 1766',0,1),
(105778,200104,1,100,'Inflicts 147 - 180 disease damage on target',0,0),
(105779,200104,1,100,'Decreases Mitigation of target vs noxious damage by 405',0,1),
(105780,200104,2,100,'Inflicts 156 - 190 disease damage on target',0,0),
(105781,200104,2,100,'Decreases Mitigation of target vs noxious damage by 428',0,1),
(105782,200104,3,100,'Inflicts 164 - 200 disease damage on target',0,0),
(105783,200104,3,100,'Decreases Mitigation of target vs noxious damage by 450',0,1),
(105784,200104,4,100,'Inflicts 180 - 220 disease damage on target',0,0),
(105785,200104,4,100,'Decreases Mitigation of target vs noxious damage by 495',0,1),
(105786,200104,5,100,'Inflicts 196 - 240 disease damage on target',0,0),
(105787,200104,5,100,'Decreases Mitigation of target vs noxious damage by 540',0,1),
(105788,200104,7,100,'Inflicts 252 - 308 disease damage on target',0,0),
(105789,200104,7,100,'Decreases Mitigation of target vs noxious damage by 693',0,1),
(105790,200104,9,100,'Inflicts 262 - 320 disease damage on target',0,0),
(105791,200104,9,100,'Decreases Mitigation of target vs noxious damage by 720',0,1),
(105792,200105,1,100,'Inflicts 207 - 253 disease damage on target',0,0),
(105793,200105,1,100,'Decreases Mitigation of target vs noxious damage by 531',0,1),
(105794,200105,2,100,'Inflicts 218 - 267 disease damage on target',0,0),
(105795,200105,2,100,'Decreases Mitigation of target vs noxious damage by 561',0,1),
(105796,200105,3,100,'Inflicts 230 - 281 disease damage on target',0,0),
(105797,200105,3,100,'Decreases Mitigation of target vs noxious damage by 590',0,1),
(105798,200105,4,100,'Inflicts 253 - 309 disease damage on target',0,0),
(105799,200105,4,100,'Decreases Mitigation of target vs noxious damage by 649',0,1),
(105800,200105,5,100,'Inflicts 276 - 337 disease damage on target',0,0),
(105801,200105,5,100,'Decreases Mitigation of target vs noxious damage by 708',0,1),
(105802,200105,7,100,'Inflicts 354 - 433 disease damage on target',0,0),
(105803,200105,7,100,'Decreases Mitigation of target vs noxious damage by 909',0,1),
(105804,200105,9,100,'Inflicts 368 - 450 disease damage on target',0,0),
(105805,200105,9,100,'Decreases Mitigation of target vs noxious damage by 944',0,1),
(105806,200106,1,100,'Inflicts 265 - 323 disease damage on target',0,0),
(105807,200106,1,100,'Decreases Mitigation of target vs noxious damage by 667',0,1),
(105808,200106,2,100,'Inflicts 279 - 341 disease damage on target',0,0),
(105809,200106,2,100,'Decreases Mitigation of target vs noxious damage by 704',0,1),
(105810,200106,3,100,'Inflicts 294 - 359 disease damage on target',0,0),
(105811,200106,3,100,'Decreases Mitigation of target vs noxious damage by 741',0,1),
(105812,200106,4,100,'Inflicts 323 - 395 disease damage on target',0,0),
(105813,200106,4,100,'Decreases Mitigation of target vs noxious damage by 815',0,1),
(105814,200106,5,100,'Inflicts 353 - 431 disease damage on target',0,0),
(105815,200106,5,100,'Decreases Mitigation of target vs noxious damage by 889',0,1),
(105816,200106,7,100,'Inflicts 453 - 553 disease damage on target',0,0),
(105817,200106,7,100,'Decreases Mitigation of target vs noxious damage by 1140',0,1),
(105818,200106,9,100,'Inflicts 470 - 575 disease damage on target',0,0),
(105819,200106,9,100,'Decreases Mitigation of target vs noxious damage by 1185',0,1),
(105820,200107,1,100,'Inflicts 320 - 391 disease damage on target',0,0),
(105821,200107,1,100,'Decreases Mitigation of target vs noxious damage by 865',0,1),
(105822,200107,4,100,'Inflicts 391 - 478 disease damage on target',0,0),
(105823,200107,4,100,'Decreases Mitigation of target vs noxious damage by 1057',0,1),
(105824,200107,5,100,'Inflicts 427 - 522 disease damage on target',0,0),
(105825,200107,5,100,'Decreases Mitigation of target vs noxious damage by 1153',0,1),
(105826,200107,7,100,'Inflicts 548 - 670 disease damage on target',0,0),
(105827,200107,7,100,'Decreases Mitigation of target vs noxious damage by 1479',0,1),
(105828,200107,9,100,'Inflicts 569 - 696 disease damage on target',0,0),
(105829,200107,9,100,'Decreases Mitigation of target vs noxious damage by 1537',0,1),
(105830,110009,1,100,'Heals target for 91 - 111',0,0),
(105831,110009,2,100,'Heals target for 96 - 118',0,0),
(105832,110009,3,100,'Heals target for 101 - 124',0,0),
(105833,110009,4,100,'Heals target for 111 - 136',0,0),
(105834,110009,5,100,'Heals target for 122 - 149',0,0),
(105835,110009,7,100,'Heals target for 156 - 191',0,0),
(105836,110009,9,100,'Heals target for 162 - 198',0,0),
(105837,140090,1,100,'Roots target',0,0),
(105839,140090,1,100,'If Target is not Epic',1,1),
(105843,140090,2,100,'Roots target',0,0),
(105845,140090,2,100,'If Target is not Epic',1,1),
(105849,140090,3,100,'Roots target',0,0),
(105851,140090,3,100,'If Target is not Epic',1,1),
(105855,140090,4,100,'Roots target',0,0),
(105857,140090,4,100,'If Target is not Epic',1,1),
(105861,140090,5,100,'Roots target',0,0),
(105863,140090,5,100,'If Target is not Epic',1,1),
(105867,140090,7,100,'Roots target',0,0),
(105869,140090,7,100,'If Target is not Epic',1,1),
(105873,140090,9,100,'Roots target',0,0),
(105875,140090,9,100,'If Target is not Epic',1,1),
(105879,140091,1,100,'Roots target',0,0),
(105880,140091,1,100,'Stifles target',0,1),
(105881,140091,1,100,'If Target is not Epic',1,2),
(105882,140091,1,100,'20% chance to dispel when target takes damage',0,3),
(105883,140091,1,100,'Does not affect Epic targets',0,4),
(105884,140091,1,100,'Resistibility increases against targets higher than level 29.',0,5),
(105885,140091,2,100,'Roots target',0,0),
(105886,140091,2,100,'Stifles target',0,1),
(105887,140091,2,100,'If Target is not Epic',1,2),
(105888,140091,2,100,'20% chance to dispel when target takes damage',0,3),
(105889,140091,2,100,'Does not affect Epic targets',0,4),
(105890,140091,2,100,'Resistibility increases against targets higher than level 29.',0,5),
(105891,140091,3,100,'Roots target',0,0),
(105892,140091,3,100,'Stifles target',0,1),
(105893,140091,3,100,'If Target is not Epic',1,2),
(105894,140091,3,100,'20% chance to dispel when target takes damage',0,3),
(105895,140091,3,100,'Does not affect Epic targets',0,4),
(105896,140091,3,100,'Resistibility increases against targets higher than level 29.',0,5),
(105897,140091,4,100,'Roots target',0,0),
(105898,140091,4,100,'Stifles target',0,1),
(105899,140091,4,100,'If Target is not Epic',1,2),
(105900,140091,4,100,'20% chance to dispel when target takes damage',0,3),
(105901,140091,4,100,'Does not affect Epic targets',0,4),
(105902,140091,4,100,'Resistibility increases against targets higher than level 29.',0,5),
(105903,140091,5,100,'Roots target',0,0),
(105904,140091,5,100,'Stifles target',0,1),
(105905,140091,5,100,'If Target is not Epic',1,2),
(105906,140091,5,100,'20% chance to dispel when target takes damage',0,3),
(105907,140091,5,100,'Does not affect Epic targets',0,4),
(105908,140091,5,100,'Resistibility increases against targets higher than level 29.',0,5),
(105909,140091,7,100,'Roots target',0,0),
(105910,140091,7,100,'Stifles target',0,1),
(105911,140091,7,100,'If Target is not Epic',1,2),
(105912,140091,7,100,'20% chance to dispel when target takes damage',0,3),
(105913,140091,7,100,'Does not affect Epic targets',0,4),
(105914,140091,7,100,'Resistibility increases against targets higher than level 29.',0,5),
(105915,140091,9,100,'Roots target',0,0),
(105916,140091,9,100,'Stifles target',0,1),
(105917,140091,9,100,'If Target is not Epic',1,2),
(105918,140091,9,100,'20% chance to dispel when target takes damage',0,3),
(105919,140091,9,100,'Does not affect Epic targets',0,4),
(105920,140091,9,100,'Resistibility increases against targets higher than level 29.',0,5),
(105921,140092,1,100,'Roots target',0,0),
(105922,140092,1,100,'Stifles target',0,1),
(105923,140092,1,100,'If Target is not Epic',1,2),
(105924,140092,1,100,'20% chance to dispel when target takes damage',0,3),
(105925,140092,1,100,'Does not affect Epic targets',0,4),
(105926,140092,1,100,'Resistibility increases against targets higher than level 29.',0,5),
(105927,140092,2,100,'Roots target',0,0),
(105928,140092,2,100,'Stifles target',0,1),
(105929,140092,2,100,'If Target is not Epic',1,2),
(105930,140092,2,100,'20% chance to dispel when target takes damage',0,3),
(105931,140092,2,100,'Does not affect Epic targets',0,4),
(105932,140092,2,100,'Resistibility increases against targets higher than level 29.',0,5),
(105933,140092,3,100,'Roots target',0,0),
(105934,140092,3,100,'Stifles target',0,1),
(105935,140092,3,100,'If Target is not Epic',1,2),
(105936,140092,3,100,'20% chance to dispel when target takes damage',0,3),
(105937,140092,3,100,'Does not affect Epic targets',0,4),
(105938,140092,3,100,'Resistibility increases against targets higher than level 29.',0,5),
(105939,140092,4,100,'Roots target',0,0),
(105940,140092,4,100,'Stifles target',0,1),
(105941,140092,4,100,'If Target is not Epic',1,2),
(105942,140092,4,100,'20% chance to dispel when target takes damage',0,3),
(105943,140092,4,100,'Does not affect Epic targets',0,4),
(105944,140092,4,100,'Resistibility increases against targets higher than level 29.',0,5),
(105945,140092,5,100,'Roots target',0,0),
(105946,140092,5,100,'Stifles target',0,1),
(105947,140092,5,100,'If Target is not Epic',1,2),
(105948,140092,5,100,'20% chance to dispel when target takes damage',0,3),
(105949,140092,5,100,'Does not affect Epic targets',0,4),
(105950,140092,5,100,'Resistibility increases against targets higher than level 29.',0,5),
(105951,140092,7,100,'Roots target',0,0),
(105952,140092,7,100,'Stifles target',0,1),
(105953,140092,7,100,'If Target is not Epic',1,2),
(105954,140092,7,100,'20% chance to dispel when target takes damage',0,3),
(105955,140092,7,100,'Does not affect Epic targets',0,4),
(105956,140092,7,100,'Resistibility increases against targets higher than level 29.',0,5),
(105957,140092,9,100,'Roots target',0,0),
(105958,140092,9,100,'Stifles target',0,1),
(105959,140092,9,100,'If Target is not Epic',1,2),
(105960,140092,9,100,'20% chance to dispel when target takes damage',0,3),
(105961,140092,9,100,'Does not affect Epic targets',0,4),
(105962,140092,9,100,'Resistibility increases against targets higher than level 29.',0,5),
(105963,140093,1,100,'Roots target',0,0),
(105964,140093,1,100,'Stifles target',0,1),
(105965,140093,1,100,'If Target is not Epic',1,2),
(105966,140093,1,100,'20% chance to dispel when target takes damage',0,3),
(105967,140093,1,100,'Does not affect Epic targets',0,4),
(105968,140093,1,100,'Resistibility increases against targets higher than level 29.',0,5),
(105969,140093,2,100,'Roots target',0,0),
(105970,140093,2,100,'Stifles target',0,1),
(105971,140093,2,100,'If Target is not Epic',1,2),
(105972,140093,2,100,'20% chance to dispel when target takes damage',0,3),
(105973,140093,2,100,'Does not affect Epic targets',0,4),
(105974,140093,2,100,'Resistibility increases against targets higher than level 29.',0,5),
(105975,140093,3,100,'Roots target',0,0),
(105976,140093,3,100,'Stifles target',0,1),
(105977,140093,3,100,'If Target is not Epic',1,2),
(105978,140093,3,100,'20% chance to dispel when target takes damage',0,3),
(105979,140093,3,100,'Does not affect Epic targets',0,4),
(105980,140093,3,100,'Resistibility increases against targets higher than level 29.',0,5),
(105981,140093,4,100,'Roots target',0,0),
(105982,140093,4,100,'Stifles target',0,1),
(105983,140093,4,100,'If Target is not Epic',1,2),
(105984,140093,4,100,'20% chance to dispel when target takes damage',0,3),
(105985,140093,4,100,'Does not affect Epic targets',0,4),
(105986,140093,4,100,'Resistibility increases against targets higher than level 29.',0,5),
(105987,140093,5,100,'Roots target',0,0),
(105988,140093,5,100,'Stifles target',0,1),
(105989,140093,5,100,'If Target is not Epic',1,2),
(105990,140093,5,100,'20% chance to dispel when target takes damage',0,3),
(105991,140093,5,100,'Does not affect Epic targets',0,4),
(105992,140093,5,100,'Resistibility increases against targets higher than level 29.',0,5),
(105993,140093,7,100,'Roots target',0,0),
(105994,140093,7,100,'Stifles target',0,1),
(105995,140093,7,100,'If Target is not Epic',1,2),
(105996,140093,7,100,'20% chance to dispel when target takes damage',0,3),
(105997,140093,7,100,'Does not affect Epic targets',0,4),
(105998,140093,7,100,'Resistibility increases against targets higher than level 29.',0,5),
(105999,140093,9,100,'Roots target',0,0),
(106000,140093,9,100,'Stifles target',0,1),
(106001,140093,9,100,'If Target is not Epic',1,2),
(106002,140093,9,100,'20% chance to dispel when target takes damage',0,3),
(106003,140093,9,100,'Does not affect Epic targets',0,4),
(106004,140093,9,100,'Resistibility increases against targets higher than level 29.',0,5),
(106005,140094,1,100,'Roots target',0,0),
(106006,140094,1,100,'Stifles target',0,1),
(106007,140094,1,100,'If Target is not Epic',1,2),
(106008,140094,1,100,'20% chance to dispel when target takes damage',0,3),
(106009,140094,1,100,'Does not affect Epic targets',0,4),
(106010,140094,1,100,'Resistibility increases against targets higher than level 29.',0,5),
(106011,140094,4,100,'Roots target',0,0),
(106012,140094,4,100,'Stifles target',0,1),
(106013,140094,4,100,'If Target is not Epic',1,2),
(106014,140094,4,100,'20% chance to dispel when target takes damage',0,3),
(106015,140094,4,100,'Does not affect Epic targets',0,4),
(106016,140094,4,100,'Resistibility increases against targets higher than level 29.',0,5),
(106017,140094,5,100,'Roots target',0,0),
(106018,140094,5,100,'Stifles target',0,1),
(106019,140094,5,100,'If Target is not Epic',1,2),
(106020,140094,5,100,'20% chance to dispel when target takes damage',0,3),
(106021,140094,5,100,'Does not affect Epic targets',0,4),
(106022,140094,5,100,'Resistibility increases against targets higher than level 29.',0,5),
(106023,140094,7,100,'Roots target',0,0),
(106024,140094,7,100,'Stifles target',0,1),
(106025,140094,7,100,'If Target is not Epic',1,2),
(106026,140094,7,100,'20% chance to dispel when target takes damage',0,3),
(106027,140094,7,100,'Does not affect Epic targets',0,4),
(106028,140094,7,100,'Resistibility increases against targets higher than level 29.',0,5),
(106029,140094,9,100,'Roots target',0,0),
(106030,140094,9,100,'Stifles target',0,1),
(106031,140094,9,100,'If Target is not Epic',1,2),
(106032,140094,9,100,'20% chance to dispel when target takes damage',0,3),
(106033,140094,9,100,'Does not affect Epic targets',0,4),
(106034,140094,9,100,'Resistibility increases against targets higher than level 29.',0,5),
(106035,230103,1,100,'Inflicts 2 - 3 heat damage on target instantly and every 2 seconds',0,0),
(106036,220014,1,100,'Inflicts 10 - 18 heat damage on target instantly and every 3 seconds',0,0),
(106037,220014,2,100,'Inflicts 10 - 19 heat damage on target instantly and every 3 seconds',0,0),
(106038,230103,2,100,'Inflicts 2 - 3 heat damage on target instantly and every 2 seconds',0,0),
(106039,220014,3,100,'Inflicts 11 - 20 heat damage on target instantly and every 3 seconds',0,0),
(106040,230103,3,100,'Inflicts 2 - 3 heat damage on target instantly and every 2 seconds',0,0),
(106041,220014,4,100,'Inflicts 12 - 22 heat damage on target instantly and every 3 seconds',0,0),
(106042,230103,4,100,'Inflicts 2 - 4 heat damage on target instantly and every 2 seconds',0,0),
(106043,230103,5,100,'Inflicts 2 - 4 heat damage on target instantly and every 2 seconds',0,0),
(106044,220014,5,100,'Inflicts 13 - 24 heat damage on target instantly and every 3 seconds',0,0),
(106045,230103,7,100,'Inflicts 3 - 5 heat damage on target instantly and every 2 seconds',0,0),
(106046,220014,7,100,'Inflicts 17 - 31 heat damage on target instantly and every 3 seconds',0,0),
(106047,220014,9,100,'Inflicts 17 - 32 heat damage on target instantly and every 3 seconds',0,0),
(106048,230103,9,100,'Inflicts 3 - 5 heat damage on target instantly and every 2 seconds',0,0),
(106049,230104,1,100,'Inflicts 5 - 9 heat damage on target instantly and every 2 seconds',0,0),
(106050,230104,2,100,'Inflicts 6 - 10 heat damage on target instantly and every 2 seconds',0,0),
(106051,230104,3,100,'Inflicts 6 - 10 heat damage on target instantly and every 2 seconds',0,0),
(106052,230104,4,100,'Inflicts 7 - 11 heat damage on target instantly and every 2 seconds',0,0),
(106053,230104,5,100,'Inflicts 7 - 12 heat damage on target instantly and every 2 seconds',0,0),
(106054,230104,7,100,'Inflicts 9 - 16 heat damage on target instantly and every 2 seconds',0,0),
(106055,230104,9,100,'Inflicts 10 - 16 heat damage on target instantly and every 2 seconds',0,0),
(106056,230105,1,100,'Inflicts 9 - 15 heat damage on target instantly and every 2 seconds',0,0),
(106057,230105,2,100,'Inflicts 10 - 16 heat damage on target instantly and every 2 seconds',0,0),
(106058,230105,3,100,'Inflicts 10 - 17 heat damage on target instantly and every 2 seconds',0,0),
(106059,230105,4,100,'Inflicts 11 - 19 heat damage on target instantly and every 2 seconds',0,0),
(106060,230105,5,100,'Inflicts 12 - 20 heat damage on target instantly and every 2 seconds',0,0),
(106061,230105,7,100,'Inflicts 16 - 26 heat damage on target instantly and every 2 seconds',0,0),
(106062,230105,9,100,'Inflicts 16 - 27 heat damage on target instantly and every 2 seconds',0,0),
(106063,230106,1,100,'Inflicts 18 - 29 heat damage on target instantly and every 2 seconds',0,0),
(106064,230106,2,100,'Inflicts 19 - 31 heat damage on target instantly and every 2 seconds',0,0),
(106065,230106,3,100,'Inflicts 20 - 33 heat damage on target instantly and every 2 seconds',0,0),
(106066,230106,4,100,'Inflicts 22 - 36 heat damage on target instantly and every 2 seconds',0,0),
(106067,230106,5,100,'Inflicts 23 - 39 heat damage on target instantly and every 2 seconds',0,0),
(106068,230106,7,100,'Inflicts 30 - 50 heat damage on target instantly and every 2 seconds',0,0),
(106069,230106,9,100,'Inflicts 31 - 52 heat damage on target instantly and every 2 seconds',0,0),
(106070,230106,10,100,'Inflicts 33 - 55 heat damage on target instantly and every 2 seconds',0,0),
(106071,230107,1,100,'Inflicts 69 - 115 heat damage on target instantly and every 2 seconds',0,0),
(106072,230107,4,100,'Inflicts 85 - 141 heat damage on target instantly and every 2 seconds',0,0),
(106073,230107,5,100,'Inflicts 92 - 154 heat damage on target instantly and every 2 seconds',0,0),
(106074,230107,7,100,'Inflicts 118 - 197 heat damage on target instantly and every 2 seconds',0,0),
(106075,230107,9,100,'Inflicts 123 - 205 heat damage on target instantly and every 2 seconds',0,0),
(106076,230108,1,100,'Inflicts 27 - 45 heat damage on target instantly and every 2 seconds',0,0),
(106077,230108,2,100,'Inflicts 29 - 48 heat damage on target instantly and every 2 seconds',0,0),
(106078,230108,3,100,'Inflicts 30 - 50 heat damage on target instantly and every 2 seconds',0,0),
(106079,230108,4,100,'Inflicts 33 - 55 heat damage on target instantly and every 2 seconds',0,0),
(106080,230108,5,100,'Inflicts 36 - 60 heat damage on target instantly and every 2 seconds',0,0),
(106081,230108,7,100,'Inflicts 47 - 78 heat damage on target instantly and every 2 seconds',0,0),
(106082,230108,9,100,'Inflicts 48 - 81 heat damage on target instantly and every 2 seconds',0,0),
(106083,230109,1,100,'Inflicts 38 - 64 heat damage on target instantly and every 2 seconds',0,0),
(106084,230109,2,100,'Inflicts 40 - 67 heat damage on target instantly and every 2 seconds',0,0),
(106085,230109,3,100,'Inflicts 42 - 71 heat damage on target instantly and every 2 seconds',0,0),
(106086,230109,4,100,'Inflicts 47 - 78 heat damage on target instantly and every 2 seconds',0,0),
(106087,230109,5,100,'Inflicts 51 - 85 heat damage on target instantly and every 2 seconds',0,0),
(106088,230109,7,100,'Inflicts 65 - 109 heat damage on target instantly and every 2 seconds',0,0),
(106089,230109,9,100,'Inflicts 68 - 113 heat damage on target instantly and every 2 seconds',0,0),
(106090,230110,1,100,'Inflicts 49 - 81 heat damage on target instantly and every 2 seconds',0,0),
(106091,230110,2,100,'Inflicts 52 - 86 heat damage on target instantly and every 2 seconds',0,0),
(106092,230110,3,100,'Inflicts 54 - 90 heat damage on target instantly and every 2 seconds',0,0),
(106093,230110,4,100,'Inflicts 60 - 99 heat damage on target instantly and every 2 seconds',0,0),
(106094,230110,5,100,'Inflicts 65 - 108 heat damage on target instantly and every 2 seconds',0,0),
(106095,230110,7,100,'Inflicts 84 - 139 heat damage on target instantly and every 2 seconds',0,0),
(106096,230110,9,100,'Inflicts 87 - 145 heat damage on target instantly and every 2 seconds',0,0),
(106097,230111,1,100,'Inflicts 59 - 98 heat damage on target instantly and every 2 seconds',0,0),
(106098,230111,4,100,'Inflicts 72 - 120 heat damage on target instantly and every 2 seconds',0,0),
(106099,230111,5,100,'Inflicts 79 - 131 heat damage on target instantly and every 2 seconds',0,0),
(106100,230111,7,100,'Inflicts 101 - 169 heat damage on target instantly and every 2 seconds',0,0),
(106101,230111,9,100,'Inflicts 105 - 175 heat damage on target instantly and every 2 seconds',0,0),
(106102,2000500,1,100,'On a damage spell hit this spell has a 33% chance to cast Incineration on target of spell.  Lasts for 28.0 seconds.  ',0,0),
(106103,2000500,1,100,'Inflicts 2245 - 3741 heat damage on target',1,1),
(106104,2000500,1,100,'Inflicts 624 - 1039 heat damage on target every 4 seconds',1,2),
(106105,2000500,1,100,'This effect can only trigger from single target heat spells. Spells modified by Fireshape do not count.',1,3),
(106106,2000500,2,100,'On a damage spell hit this spell has a 66% chance to cast Incineration on target of spell.  Lasts for 28.0 seconds.  ',0,0),
(106107,2000500,2,100,'Inflicts 2245 - 3741 heat damage on target',1,1),
(106108,2000500,2,100,'Inflicts 624 - 1039 heat damage on target every 4 seconds',1,2),
(106109,2000500,2,100,'This effect can only trigger from single target heat spells. Spells modified by Fireshape do not count.',1,3),
(106110,2000500,3,100,'On a damage spell hit this spell will cast Incineration on target of spell.  Lasts for 28.0 seconds.  ',0,0),
(106111,2000500,3,100,'Inflicts 2992 - 4987 heat damage on target',1,1),
(106112,2000500,3,100,'Inflicts 831 - 1385 heat damage on target every 4 seconds',1,2),
(106113,2000500,3,100,'This effect can only trigger from single target heat spells. Spells modified by Fireshape do not count.',1,3),
(106114,160076,12,100,'Applies Stoneskin Reaction.  Lasts for 1.0 seconds.',0,0),
(106115,160076,12,100,'Triggers when a Stoneskin is consumed. Suspends all other stoneskins that match the damage types of this effect.',1,1),
(106116,160076,12,100,'Reduces all damage done to target by 100%',1,2),
(106117,160076,12,100,'Will absorb physical, elemental, noxious, arcane damage. ',0,3),
(106118,160076,12,100,'When damaged this spell will cast Infuriating Thorns on target''s attacker.  ',0,4),
(106119,160076,12,100,'Inflicts 896 piercing damage on target',1,5),
(106120,160076,12,100,'Cannot be modified except by direct means',1,6),
(106121,160076,12,100,'Grants a total of 3 triggers of the spell.',1,7),
(106122,2000501,1,100,'On a beneficial spell cast this spell will cast Infusive Wrath on target.  ',0,0),
(106123,2000501,1,100,'Inflicts 194 - 291 magic damage on a target in Area of Effect',1,1),
(106124,2000501,1,100,'Must be engaged in combat',1,2),
(106125,90125,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 43',0,0),
(106126,90125,1,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(106127,90125,1,100,'Increases Threat to target by 3 ',1,2),
(106128,90125,1,100,'Inflicts 1 disease damage on target',1,3),
(106129,90125,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 45',0,0),
(106130,90125,2,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(106131,90125,2,100,'Increases Threat to target by 3 ',1,2),
(106132,90125,2,100,'Inflicts 1 disease damage on target',1,3),
(106133,90125,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 48',0,0),
(106134,90125,3,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(106135,90125,3,100,'Increases Threat to target by 3 ',1,2),
(106136,90125,3,100,'Inflicts 1 disease damage on target',1,3),
(106137,90125,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 53',0,0),
(106138,90125,4,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(106139,90125,4,100,'Increases Threat to target by 3 ',1,2),
(106140,90125,4,100,'Inflicts 1 disease damage on target',1,3),
(106141,90125,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 57',0,0),
(106142,90125,5,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(106143,90125,5,100,'Increases Threat to target by 4 ',1,2),
(106144,90125,5,100,'Inflicts 1 disease damage on target',1,3),
(106145,90125,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 74',0,0),
(106146,90125,7,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(106147,90125,7,100,'Increases Threat to target by 5 ',1,2),
(106148,90125,7,100,'Inflicts 2 disease damage on target',1,3),
(106149,90125,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 77',0,0),
(106150,90125,9,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(106151,90125,9,100,'Increases Threat to target by 5 ',1,2),
(106152,90125,9,100,'Inflicts 2 disease damage on target',1,3),
(106153,90126,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 172',0,0),
(106154,90126,1,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(106155,90126,1,100,'Increases Threat to target by 12 ',1,2),
(106156,90126,1,100,'Inflicts 3 disease damage on target',1,3),
(106157,90126,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 182',0,0),
(106158,90126,2,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(106159,90126,2,100,'Increases Threat to target by 13 ',1,2),
(106160,90126,2,100,'Inflicts 4 disease damage on target',1,3),
(106161,90126,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 191',0,0),
(106162,90126,3,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(106163,90126,3,100,'Increases Threat to target by 13 ',1,2),
(106164,90126,3,100,'Inflicts 4 disease damage on target',1,3),
(106165,90126,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 211',0,0),
(106166,90126,4,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(106167,90126,4,100,'Increases Threat to target by 15 ',1,2),
(106168,90126,4,100,'Inflicts 4 disease damage on target',1,3),
(106169,90126,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 230',0,0),
(106170,90126,5,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(106171,90126,5,100,'Increases Threat to target by 16 ',1,2),
(106172,90126,5,100,'Inflicts 4 disease damage on target',1,3),
(106173,90126,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 295',0,0),
(106174,90126,7,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(106175,90126,7,100,'Increases Threat to target by 21 ',1,2),
(106176,90126,7,100,'Inflicts 6 disease damage on target',1,3),
(106177,90126,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 306',0,0),
(106178,90126,9,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(106179,90126,9,100,'Increases Threat to target by 21 ',1,2),
(106180,90126,9,100,'Inflicts 6 disease damage on target',1,3),
(106181,90127,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 345',0,0),
(106182,90127,1,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(106183,90127,1,100,'Increases Threat to target by 25 ',1,2),
(106184,90127,1,100,'Inflicts 7 disease damage on target',1,3),
(106185,90127,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 364',0,0),
(106186,90127,2,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(106187,90127,2,100,'Increases Threat to target by 26 ',1,2),
(106188,90127,2,100,'Inflicts 7 disease damage on target',1,3),
(106189,90127,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 383',0,0),
(106190,90127,3,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(106191,90127,3,100,'Increases Threat to target by 28 ',1,2),
(106192,90127,3,100,'Inflicts 8 disease damage on target',1,3),
(106193,90127,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 421',0,0),
(106194,90127,4,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(106195,90127,4,100,'Increases Threat to target by 31 ',1,2),
(106196,90127,4,100,'Inflicts 8 disease damage on target',1,3),
(106197,90127,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 460',0,0),
(106198,90127,5,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(106199,90127,5,100,'Increases Threat to target by 33 ',1,2),
(106200,90127,5,100,'Inflicts 9 disease damage on target',1,3),
(106201,90127,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 590',0,0),
(106202,90127,7,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(106203,90127,7,100,'Increases Threat to target by 43 ',1,2),
(106204,90127,7,100,'Inflicts 12 disease damage on target',1,3),
(106205,90127,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 613',0,0),
(106206,90127,9,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(106207,90127,9,100,'Increases Threat to target by 45 ',1,2),
(106208,90127,9,100,'Inflicts 12 disease damage on target',1,3),
(106209,90127,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 643',0,0),
(106210,90127,10,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(106211,90127,10,100,'Increases Threat to target by 47 ',1,2),
(106212,90127,10,100,'Inflicts 13 disease damage on target',1,3),
(106213,90128,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 546',0,0),
(106214,90128,1,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(106215,90128,1,100,'Increases Threat to target by 43 ',1,2),
(106216,90128,1,100,'Inflicts 11 disease damage on target',1,3),
(106217,90128,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 576',0,0),
(106218,90128,2,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(106219,90128,2,100,'Increases Threat to target by 46 ',1,2),
(106220,90128,2,100,'Inflicts 12 disease damage on target',1,3),
(106221,90128,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 606',0,0),
(106222,90128,3,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(106223,90128,3,100,'Increases Threat to target by 48 ',1,2),
(106224,90128,3,100,'Inflicts 13 disease damage on target',1,3),
(106225,90128,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 667',0,0),
(106226,90128,4,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(106227,90128,4,100,'Increases Threat to target by 53 ',1,2),
(106228,90128,4,100,'Inflicts 14 disease damage on target',1,3),
(106229,90128,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 728',0,0),
(106230,90128,5,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(106231,90128,5,100,'Increases Threat to target by 58 ',1,2),
(106232,90128,5,100,'Inflicts 15 disease damage on target',1,3),
(106233,90128,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 934',0,0),
(106234,90128,7,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(106235,90128,7,100,'Increases Threat to target by 74 ',1,2),
(106236,90128,7,100,'Inflicts 19 disease damage on target',1,3),
(106237,90128,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 970',0,0),
(106238,90128,9,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(106239,90128,9,100,'Increases Threat to target by 77 ',1,2),
(106240,90128,9,100,'Inflicts 20 disease damage on target',1,3),
(106241,90129,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1602',0,0),
(106242,90129,1,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(106243,90129,1,100,'Increases Threat to target by 167 ',1,2),
(106244,90129,1,100,'Inflicts 37 disease damage on target',1,3),
(106245,90129,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1958',0,0),
(106246,90129,4,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(106247,90129,4,100,'Increases Threat to target by 204 ',1,2),
(106248,90129,4,100,'Inflicts 45 disease damage on target',1,3),
(106249,90129,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2136',0,0),
(106250,90129,5,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(106251,90129,5,100,'Increases Threat to target by 222 ',1,2),
(106252,90129,5,100,'Inflicts 49 disease damage on target',1,3),
(106253,90129,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2741',0,0),
(106254,90129,7,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(106255,90129,7,100,'Increases Threat to target by 286 ',1,2),
(106256,90129,7,100,'Inflicts 63 disease damage on target',1,3),
(106257,90129,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2848',0,0),
(106258,90129,9,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(106259,90129,9,100,'Increases Threat to target by 297 ',1,2),
(106260,90129,9,100,'Inflicts 65 disease damage on target',1,3),
(106261,90130,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 747',0,0),
(106262,90130,1,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(106263,90130,1,100,'Increases Threat to target by 66 ',1,2),
(106264,90130,1,100,'Inflicts 17 disease damage on target',1,3),
(106265,90130,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 788',0,0),
(106266,90130,2,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(106267,90130,2,100,'Increases Threat to target by 70 ',1,2),
(106268,90130,2,100,'Inflicts 18 disease damage on target',1,3),
(106269,90130,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 830',0,0),
(106270,90130,3,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(106271,90130,3,100,'Increases Threat to target by 74 ',1,2),
(106272,90130,3,100,'Inflicts 19 disease damage on target',1,3),
(106273,90130,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 913',0,0),
(106274,90130,4,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(106275,90130,4,100,'Increases Threat to target by 81 ',1,2),
(106276,90130,4,100,'Inflicts 21 disease damage on target',1,3),
(106277,90130,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 996',0,0),
(106278,90130,5,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(106279,90130,5,100,'Increases Threat to target by 89 ',1,2),
(106280,90130,5,100,'Inflicts 22 disease damage on target',1,3),
(106281,90130,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1278',0,0),
(106282,90130,7,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(106283,90130,7,100,'Increases Threat to target by 114 ',1,2),
(106284,90130,7,100,'Inflicts 29 disease damage on target',1,3),
(106285,90130,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1327',0,0),
(106286,90130,9,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(106287,90130,9,100,'Increases Threat to target by 118 ',1,2),
(106288,90130,9,100,'Inflicts 30 disease damage on target',1,3),
(106289,90130,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1394',0,0),
(106290,90130,10,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(106291,90130,10,100,'Increases Threat to target by 124 ',1,2),
(106292,90130,10,100,'Inflicts 31 disease damage on target',1,3),
(106293,90131,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 948',0,0),
(106294,90131,1,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(106295,90131,1,100,'Increases Threat to target by 91 ',1,2),
(106296,90131,1,100,'Inflicts 23 disease damage on target',1,3),
(106297,90131,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1000',0,0),
(106298,90131,2,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(106299,90131,2,100,'Increases Threat to target by 96 ',1,2),
(106300,90131,2,100,'Inflicts 24 disease damage on target',1,3),
(106301,90131,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1053',0,0),
(106302,90131,3,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(106303,90131,3,100,'Increases Threat to target by 102 ',1,2),
(106304,90131,3,100,'Inflicts 25 disease damage on target',1,3),
(106305,90131,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1158',0,0),
(106306,90131,4,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(106307,90131,4,100,'Increases Threat to target by 112 ',1,2),
(106308,90131,4,100,'Inflicts 28 disease damage on target',1,3),
(106309,90131,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1264',0,0),
(106310,90131,5,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(106311,90131,5,100,'Increases Threat to target by 122 ',1,2),
(106312,90131,5,100,'Inflicts 30 disease damage on target',1,3),
(106313,90131,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1622',0,0),
(106314,90131,7,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(106315,90131,7,100,'Increases Threat to target by 157 ',1,2),
(106316,90131,7,100,'Inflicts 39 disease damage on target',1,3),
(106317,90131,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1685',0,0),
(106318,90131,9,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(106319,90131,9,100,'Increases Threat to target by 163 ',1,2),
(106320,90131,9,100,'Inflicts 40 disease damage on target',1,3),
(106321,90132,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1106',0,0),
(106322,90132,1,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(106323,90132,1,100,'Increases Threat to target by 116 ',1,2),
(106324,90132,1,100,'Inflicts 28 disease damage on target',1,3),
(106325,90132,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1167',0,0),
(106326,90132,2,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(106327,90132,2,100,'Increases Threat to target by 123 ',1,2),
(106328,90132,2,100,'Inflicts 29 disease damage on target',1,3),
(106329,90132,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1229',0,0),
(106330,90132,3,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(106331,90132,3,100,'Increases Threat to target by 129 ',1,2),
(106332,90132,3,100,'Inflicts 31 disease damage on target',1,3),
(106333,90132,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1351',0,0),
(106334,90132,4,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(106335,90132,4,100,'Increases Threat to target by 142 ',1,2),
(106336,90132,4,100,'Inflicts 34 disease damage on target',1,3),
(106337,90132,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1474',0,0),
(106338,90132,5,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(106339,90132,5,100,'Increases Threat to target by 155 ',1,2),
(106340,90132,5,100,'Inflicts 37 disease damage on target',1,3),
(106341,90132,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1892',0,0),
(106342,90132,7,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(106343,90132,7,100,'Increases Threat to target by 199 ',1,2),
(106344,90132,7,100,'Inflicts 48 disease damage on target',1,3),
(106345,90132,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1966',0,0),
(106346,90132,9,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(106347,90132,9,100,'Increases Threat to target by 207 ',1,2),
(106348,90132,9,100,'Inflicts 49 disease damage on target',1,3),
(106349,90133,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1249',0,0),
(106350,90133,1,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(106351,90133,1,100,'Increases Threat to target by 142 ',1,2),
(106352,90133,1,100,'Inflicts 33 disease damage on target',1,3),
(106353,90133,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1527',0,0),
(106354,90133,4,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(106355,90133,4,100,'Increases Threat to target by 173 ',1,2),
(106356,90133,4,100,'Inflicts 41 disease damage on target',1,3),
(106357,90133,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1666',0,0),
(106358,90133,5,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(106359,90133,5,100,'Increases Threat to target by 189 ',1,2),
(106360,90133,5,100,'Inflicts 45 disease damage on target',1,3),
(106361,90133,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2138',0,0),
(106362,90133,7,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(106363,90133,7,100,'Increases Threat to target by 242 ',1,2),
(106364,90133,7,100,'Inflicts 57 disease damage on target',1,3),
(106365,90133,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2221',0,0),
(106366,90133,9,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(106367,90133,9,100,'Increases Threat to target by 252 ',1,2),
(106368,90133,9,100,'Inflicts 60 disease damage on target',1,3),
(106369,140095,1,100,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',0,0),
(106370,140095,1,100,'Decreases power of target by 0.9%',1,1),
(106371,140095,1,100,'This effect cannot be critically applied.',2,2),
(106372,140095,2,100,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',0,0),
(106373,140095,2,100,'Decreases power of target by 0.9%',1,1),
(106374,140095,2,100,'This effect cannot be critically applied.',2,2),
(106375,140095,3,100,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',0,0),
(106376,140095,3,100,'Decreases power of target by 1.0%',1,1),
(106377,140095,3,100,'This effect cannot be critically applied.',2,2),
(106378,140095,4,100,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',0,0),
(106379,140095,4,100,'Decreases power of target by 1.1%',1,1),
(106380,140095,4,100,'This effect cannot be critically applied.',2,2),
(106381,140095,5,100,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',0,0),
(106382,140095,5,100,'Decreases power of target by 1.2%',1,1),
(106383,140095,5,100,'This effect cannot be critically applied.',2,2),
(106384,140095,7,100,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',0,0),
(106385,140095,7,100,'Decreases power of target by 1.5%',1,1),
(106386,140095,7,100,'This effect cannot be critically applied.',2,2),
(106387,140095,9,100,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',0,0),
(106388,140095,9,100,'Decreases power of target by 1.6%',1,1),
(106389,140095,9,100,'This effect cannot be critically applied.',2,2),
(106390,140096,1,100,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',0,0),
(106391,140096,1,100,'Decreases power of target by 0.9%',1,1),
(106392,140096,1,100,'This effect cannot be critically applied.',2,2),
(106393,140096,2,100,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',0,0),
(106394,140096,2,100,'Decreases power of target by 0.9%',1,1),
(106395,140096,2,100,'This effect cannot be critically applied.',2,2),
(106396,140096,3,100,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',0,0),
(106397,140096,3,100,'Decreases power of target by 1.0%',1,1),
(106398,140096,3,100,'This effect cannot be critically applied.',2,2),
(106399,140096,4,100,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',0,0),
(106400,140096,4,100,'Decreases power of target by 1.1%',1,1),
(106401,140096,4,100,'This effect cannot be critically applied.',2,2),
(106402,140096,5,100,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',0,0),
(106403,140096,5,100,'Decreases power of target by 1.2%',1,1),
(106404,140096,5,100,'This effect cannot be critically applied.',2,2),
(106405,140096,7,100,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',0,0),
(106406,140096,7,100,'Decreases power of target by 1.5%',1,1),
(106407,140096,7,100,'This effect cannot be critically applied.',2,2),
(106408,140096,9,100,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',0,0),
(106409,140096,9,100,'Decreases power of target by 1.6%',1,1),
(106410,140096,9,100,'This effect cannot be critically applied.',2,2),
(106411,140097,1,100,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',0,0),
(106412,140097,1,100,'Decreases power of target by 0.9%',1,1),
(106413,140097,1,100,'This effect cannot be critically applied.',2,2),
(106414,140097,2,100,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',0,0),
(106415,140097,2,100,'Decreases power of target by 0.9%',1,1),
(106416,140097,2,100,'This effect cannot be critically applied.',2,2),
(106417,140097,3,100,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',0,0),
(106418,140097,3,100,'Decreases power of target by 1.0%',1,1),
(106419,140097,3,100,'This effect cannot be critically applied.',2,2),
(106420,140097,4,100,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',0,0),
(106421,140097,4,100,'Decreases power of target by 1.1%',1,1),
(106422,140097,4,100,'This effect cannot be critically applied.',2,2),
(106423,140097,5,100,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',0,0),
(106424,140097,5,100,'Decreases power of target by 1.2%',1,1),
(106425,140097,5,100,'This effect cannot be critically applied.',2,2),
(106426,140097,7,100,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',0,0),
(106427,140097,7,100,'Decreases power of target by 1.5%',1,1),
(106428,140097,7,100,'This effect cannot be critically applied.',2,2),
(106429,140097,9,100,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',0,0),
(106430,140097,9,100,'Decreases power of target by 1.6%',1,1),
(106431,140097,9,100,'This effect cannot be critically applied.',2,2),
(106432,140098,1,100,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',0,0),
(106433,140098,1,100,'Decreases power of target by 0.9%',1,1),
(106434,140098,1,100,'This effect cannot be critically applied.',2,2),
(106435,140098,4,100,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',0,0),
(106436,140098,4,100,'Decreases power of target by 1.1%',1,1),
(106437,140098,4,100,'This effect cannot be critically applied.',2,2),
(106438,140098,5,100,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',0,0),
(106439,140098,5,100,'Decreases power of target by 1.2%',1,1),
(106440,140098,5,100,'This effect cannot be critically applied.',2,2),
(106441,140098,7,100,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',0,0),
(106442,140098,7,100,'Decreases power of target by 1.5%',1,1),
(106443,140098,7,100,'This effect cannot be critically applied.',2,2),
(106444,140098,9,100,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',0,0),
(106445,140098,9,100,'Decreases power of target by 1.6%',1,1),
(106446,140098,9,100,'This effect cannot be critically applied.',2,2),
(106447,140098,10,100,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',0,0),
(106448,140098,10,100,'Decreases power of target by 1.7%',1,1),
(106449,140098,10,100,'This effect cannot be critically applied.',2,2),
(106450,140099,1,100,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',0,0),
(106451,140099,1,100,'Decreases power of target by 0.9%',1,1),
(106452,140099,1,100,'This effect cannot be critically applied.',2,2),
(106453,140099,4,100,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',0,0),
(106454,140099,4,100,'Decreases power of target by 1.1%',1,1),
(106455,140099,4,100,'This effect cannot be critically applied.',2,2),
(106456,140099,5,100,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',0,0),
(106457,140099,5,100,'Decreases power of target by 1.2%',1,1),
(106458,140099,5,100,'This effect cannot be critically applied.',2,2),
(106459,140099,7,100,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',0,0),
(106460,140099,7,100,'Decreases power of target by 1.5%',1,1),
(106461,140099,7,100,'This effect cannot be critically applied.',2,2),
(106462,140099,9,100,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',0,0),
(106463,140099,9,100,'Decreases power of target by 1.6%',1,1),
(106464,140099,9,100,'This effect cannot be critically applied.',2,2),
(106465,140099,10,100,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',0,0),
(106466,140099,10,100,'Decreases power of target by 1.7%',1,1),
(106467,140099,10,100,'This effect cannot be critically applied.',2,2),
(106468,140100,1,100,'Applies Inquisition.',0,0),
(106469,140100,1,100,'Heals group members (AE) for 316 - 386',1,1),
(106470,140100,1,100,'If Target is closer than 8 meters',2,2),
(106471,140100,1,100,'Heals group members (AE) for 117 - 143',1,3),
(106472,140100,1,100,'If Target is between 8 and 15 meters away',2,4),
(106473,140100,2,100,'Applies Inquisition.',0,0),
(106474,140100,2,100,'Heals group members (AE) for 333 - 408',1,1),
(106475,140100,2,100,'If Target is closer than 8 meters',2,2),
(106476,140100,2,100,'Heals group members (AE) for 123 - 150',1,3),
(106477,140100,2,100,'If Target is between 8 and 15 meters away',2,4),
(106478,140100,3,100,'Applies Inquisition.',0,0),
(106479,140100,3,100,'Heals group members (AE) for 351 - 429',1,1),
(106480,140100,3,100,'If Target is closer than 8 meters',2,2),
(106481,140100,3,100,'Heals group members (AE) for 130 - 158',1,3),
(106482,140100,3,100,'If Target is between 8 and 15 meters away',2,4),
(106483,140100,4,100,'Applies Inquisition.',0,0),
(106484,140100,4,100,'Heals group members (AE) for 386 - 472',1,1),
(106485,140100,4,100,'If Target is closer than 8 meters',2,2),
(106486,140100,4,100,'Heals group members (AE) for 143 - 174',1,3),
(106487,140100,4,100,'If Target is between 8 and 15 meters away',2,4),
(106488,140100,5,100,'Applies Inquisition.',0,0),
(106489,140100,5,100,'Heals group members (AE) for 421 - 515',1,1),
(106490,140100,5,100,'If Target is closer than 8 meters',2,2),
(106491,140100,5,100,'Heals group members (AE) for 156 - 190',1,3),
(106492,140100,5,100,'If Target is between 8 and 15 meters away',2,4),
(106493,140100,7,100,'Applies Inquisition.',0,0),
(106494,140100,7,100,'Heals group members (AE) for 541 - 661',1,1),
(106495,140100,7,100,'If Target is closer than 8 meters',2,2),
(106496,140100,7,100,'Heals group members (AE) for 200 - 244',1,3),
(106497,140100,7,100,'If Target is between 8 and 15 meters away',2,4),
(106498,140100,9,100,'Applies Inquisition.',0,0),
(106499,140100,9,100,'Heals group members (AE) for 562 - 686',1,1),
(106500,140100,9,100,'If Target is closer than 8 meters',2,2),
(106501,140100,9,100,'Heals group members (AE) for 207 - 253',1,3),
(106502,140100,9,100,'If Target is between 8 and 15 meters away',2,4),
(106503,140101,1,100,'Applies Inquisition.',0,0),
(106504,140101,1,100,'Heals group members (AE) for 139 - 170',1,1),
(106505,140101,1,100,'If Target is between 8 and 15 meters away',2,2),
(106506,140101,1,100,'Heals group members (AE) for 376 - 460',1,3),
(106507,140101,1,100,'If Target is closer than 8 meters',2,4),
(106508,140101,4,100,'Applies Inquisition.',0,0),
(106509,140101,4,100,'Heals group members (AE) for 460 - 562',1,1),
(106510,140101,4,100,'If Target is closer than 8 meters',2,2),
(106511,140101,4,100,'Heals group members (AE) for 170 - 208',1,3),
(106512,140101,4,100,'If Target is between 8 and 15 meters away',2,4),
(106513,140101,5,100,'Applies Inquisition.',0,0),
(106514,140101,5,100,'Heals group members (AE) for 502 - 613',1,1),
(106515,140101,5,100,'If Target is closer than 8 meters',2,2),
(106516,140101,5,100,'Heals group members (AE) for 185 - 227',1,3),
(106517,140101,5,100,'If Target is between 8 and 15 meters away',2,4),
(106518,140101,7,100,'Applies Inquisition.',0,0),
(106519,140101,7,100,'Heals group members (AE) for 644 - 787',1,1),
(106520,140101,7,100,'If Target is closer than 8 meters',2,2),
(106521,140101,7,100,'Heals group members (AE) for 238 - 291',1,3),
(106522,140101,7,100,'If Target is between 8 and 15 meters away',2,4),
(106523,140101,9,100,'Applies Inquisition.',0,0),
(106524,140101,9,100,'Heals group members (AE) for 669 - 818',1,1),
(106525,140101,9,100,'If Target is closer than 8 meters',2,2),
(106526,140101,9,100,'Heals group members (AE) for 247 - 302',1,3),
(106527,140101,9,100,'If Target is between 8 and 15 meters away',2,4),
(106528,140102,1,100,'Applies Inquisition.',0,0),
(106529,140102,1,100,'Heals group members (AE) for 146 - 178',1,1),
(106530,140102,1,100,'If Target is between 8 and 15 meters away',2,2),
(106531,140102,1,100,'Heals group members (AE) for 395 - 483',1,3),
(106532,140102,1,100,'If Target is closer than 8 meters',2,4),
(106533,140102,4,100,'Applies Inquisition.',0,0),
(106534,140102,4,100,'Heals group members (AE) for 483 - 590',1,1),
(106535,140102,4,100,'If Target is closer than 8 meters',2,2),
(106536,140102,4,100,'Heals group members (AE) for 178 - 218',1,3),
(106537,140102,4,100,'If Target is between 8 and 15 meters away',2,4),
(106538,140102,5,100,'Applies Inquisition.',0,0),
(106539,140102,5,100,'Heals group members (AE) for 194 - 238',1,1),
(106540,140102,5,100,'If Target is between 8 and 15 meters away',2,2),
(106541,140102,5,100,'Heals group members (AE) for 527 - 644',1,3),
(106542,140102,5,100,'If Target is closer than 8 meters',2,4),
(106543,140102,7,100,'Applies Inquisition.',0,0),
(106544,140102,7,100,'Heals group members (AE) for 676 - 826',1,1),
(106545,140102,7,100,'If Target is closer than 8 meters',2,2),
(106546,140102,7,100,'Heals group members (AE) for 249 - 305',1,3),
(106547,140102,7,100,'If Target is between 8 and 15 meters away',2,4),
(106548,140102,9,100,'Applies Inquisition.',0,0),
(106549,140102,9,100,'Heals group members (AE) for 702 - 858',1,1),
(106550,140102,9,100,'If Target is closer than 8 meters',2,2),
(106551,140102,9,100,'Heals group members (AE) for 259 - 317',1,3),
(106552,140102,9,100,'If Target is between 8 and 15 meters away',2,4),
(106553,350022,1,100,'Increases Defense of the bard by 4.9',0,0),
(106554,350022,2,100,'Increases Defense of the bard by 5.1',0,0),
(106555,350022,3,100,'Increases Defense of the bard by 5.4',0,0),
(106556,350022,4,100,'Increases Defense of the bard by 5.9',0,0),
(106557,350022,5,100,'Increases Defense of the bard by 6.5',0,0),
(106558,350022,7,100,'Increases Defense of the bard by 8.3',0,0),
(106559,350022,9,100,'Increases Defense of the bard by 8.6',0,0),
(106575,90135,1,100,'Increases Threat to target by 696 - 850  instantly and by 131 - 160  every 3 seconds thereafter',0,0),
(106576,90135,1,100,'Inflicts 6 - 7 disease damage on target every 3 seconds',0,2),
(106578,90135,2,100,'Increases Threat to target by 734 - 898  instantly and by 138 - 169  every 3 seconds thereafter',0,0),
(106579,90135,2,100,'Inflicts 6 - 7 disease damage on target every 3 seconds',0,2),
(106581,90135,3,100,'Increases Threat to target by 773 - 945  instantly and by 145 - 177  every 3 seconds thereafter',0,0),
(106582,90135,3,100,'Inflicts 6 - 8 disease damage on target every 3 seconds',0,2),
(106584,90135,4,100,'Increases Threat to target by 850 - 1,039  instantly and by 159 - 195  every 3 seconds thereafter',0,0),
(106585,90135,4,100,'Inflicts 7 - 9 disease damage on target every 3 seconds',0,2),
(106587,90135,5,100,'Increases Threat to target by 928 - 1,134  instantly and by 173 - 212  every 3 seconds thereafter',0,0),
(106588,90135,5,100,'Inflicts 8 - 9 disease damage on target every 3 seconds',0,2),
(106590,90135,7,100,'Increases Threat to target by 1,191 - 1,387  instantly and by 221 - 271  every 3 seconds thereafter',0,0),
(106591,90135,7,100,'Inflicts 10 - 12 disease damage on target every 3 seconds',0,2),
(106593,90135,9,100,'Increases Threat to target by 1,237 - 1,420  instantly and by 230 - 281  every 3 seconds thereafter',0,0),
(106594,90135,9,100,'Inflicts 10 - 12 disease damage on target every 3 seconds',0,2),
(106596,90135,10,100,'Increases Threat to target by 1,296 - 1,464  instantly and by 241 - 295  every 3 seconds thereafter',0,0),
(106597,90135,10,100,'Inflicts 11 - 13 disease damage on target every 3 seconds',0,2),
(106599,90136,1,100,'Increases Threat to target by 1,290 - 1,456  instantly and by 244 - 299  every 3 seconds thereafter',0,0),
(106600,90136,1,100,'Inflicts 21 - 26 disease damage on target',0,1),
(106601,90136,1,100,'Inflicts 11 - 13 disease damage on target every 3 seconds',0,2),
(106602,90136,2,100,'Increases Threat to target by 1,331 - 1,507  instantly and by 258 - 315  every 3 seconds thereafter',0,0),
(106603,90136,2,100,'Inflicts 22 - 27 disease damage on target',0,1),
(106604,90136,2,100,'Inflicts 11 - 14 disease damage on target every 3 seconds',0,2),
(106605,90136,3,100,'Increases Threat to target by 1,373 - 1,558  instantly and by 271 - 331  every 3 seconds thereafter',0,0),
(106606,90136,3,100,'Inflicts 24 - 29 disease damage on target',0,1),
(106607,90136,3,100,'Inflicts 12 - 14 disease damage on target every 3 seconds',0,2),
(106608,90136,4,100,'Increases Threat to target by 1,456 - 1,660  instantly and by 298 - 364  every 3 seconds thereafter',0,0),
(106609,90136,4,100,'Inflicts 26 - 32 disease damage on target',0,1),
(106610,90136,4,100,'Inflicts 13 - 16 disease damage on target every 3 seconds',0,2),
(106611,90136,5,100,'Increases Threat to target by 1,540 - 1,762  instantly and by 324 - 397  every 3 seconds thereafter',0,0),
(106612,90136,5,100,'Inflicts 28 - 34 disease damage on target',0,1),
(106613,90136,5,100,'Inflicts 14 - 17 disease damage on target every 3 seconds',0,2),
(106614,90136,7,100,'Increases Threat to target by 1,823 - 2,108  instantly and by 416 - 508  every 3 seconds thereafter',0,0),
(106615,90136,7,100,'Inflicts 36 - 44 disease damage on target',0,1),
(106616,90136,7,100,'Inflicts 18 - 22 disease damage on target every 3 seconds',0,2),
(106617,90136,9,100,'Increases Threat to target by 1,873 - 2,169  instantly and by 432 - 528  every 3 seconds thereafter',0,0),
(106618,90136,9,100,'Inflicts 38 - 46 disease damage on target',0,1),
(106619,90136,9,100,'Inflicts 19 - 23 disease damage on target every 3 seconds',0,2),
(106620,90137,1,100,'Increases Threat to target by 2,020 - 2,350  instantly and by 484 - 592  every 3 seconds thereafter',0,0),
(106621,90137,1,100,'Inflicts 41 - 50 disease damage on target',0,1),
(106622,90137,1,100,'Inflicts 20 - 25 disease damage on target every 3 seconds',0,2),
(106623,90137,2,100,'Increases Threat to target by 2,103 - 2,450  instantly and by 511 - 625  every 3 seconds thereafter',0,0),
(106624,90137,2,100,'Inflicts 43 - 53 disease damage on target',0,1),
(106625,90137,2,100,'Inflicts 22 - 26 disease damage on target every 3 seconds',0,2),
(106626,90137,3,100,'Increases Threat to target by 2,185 - 2,551  instantly and by 538 - 657  every 3 seconds thereafter',0,0),
(106627,90137,3,100,'Inflicts 45 - 56 disease damage on target',0,1),
(106628,90137,3,100,'Inflicts 23 - 28 disease damage on target every 3 seconds',0,2),
(106629,90137,4,100,'Increases Threat to target by 2,350 - 2,752  instantly and by 591 - 723  every 3 seconds thereafter',0,0),
(106630,90137,4,100,'Inflicts 50 - 61 disease damage on target',0,1),
(106631,90137,4,100,'Inflicts 25 - 31 disease damage on target every 3 seconds',0,2),
(106632,90137,5,100,'Increases Threat to target by 2,514 - 2,953  instantly and by 645 - 788  every 3 seconds thereafter',0,0),
(106633,90137,5,100,'Inflicts 54 - 67 disease damage on target',0,1),
(106634,90137,5,100,'Inflicts 27 - 33 disease damage on target every 3 seconds',0,2),
(106635,90137,7,100,'Increases Threat to target by 3,074 - 3,637  instantly and by 826 - 1,010  every 3 seconds thereafter',0,0),
(106636,90137,7,100,'Inflicts 70 - 85 disease damage on target',0,1),
(106637,90137,7,100,'Inflicts 35 - 43 disease damage on target every 3 seconds',0,2),
(106638,90137,9,100,'Increases Threat to target by 3,172 - 3,757  instantly and by 858 - 1,049  every 3 seconds thereafter',0,0),
(106639,90137,9,100,'Inflicts 73 - 89 disease damage on target',0,1),
(106640,90137,9,100,'Inflicts 36 - 44 disease damage on target every 3 seconds',0,2),
(106644,90138,1,100,'Increases Threat to target by 7,162 - 8,634  instantly and by 1,785 - 2,062  every 3 seconds thereafter',0,0),
(106645,90138,1,100,'Inflicts 161 - 196 disease damage on target',0,1),
(106646,90138,1,100,'Inflicts 80 - 98 disease damage on target every 3 seconds',0,2),
(106647,90138,4,100,'Increases Threat to target by 8,634 - 10,432  instantly and by 2,060 - 2,398  every 3 seconds thereafter',0,0),
(106648,90138,4,100,'Inflicts 196 - 240 disease damage on target',0,1),
(106649,90138,4,100,'Inflicts 98 - 120 disease damage on target every 3 seconds',0,2),
(106650,90138,5,100,'Increases Threat to target by 9,370 - 11,332  instantly and by 2,198 - 2,567  every 3 seconds thereafter',0,0),
(106651,90138,5,100,'Inflicts 214 - 262 disease damage on target',0,1),
(106652,90138,5,100,'Inflicts 107 - 131 disease damage on target every 3 seconds',0,2),
(106653,90138,7,100,'Increases Threat to target by 11,871 - 14,390  instantly and by 2,666 - 3,139  every 3 seconds thereafter',0,0),
(106654,90138,7,100,'Inflicts 275 - 336 disease damage on target',0,1),
(106655,90138,7,100,'Inflicts 137 - 168 disease damage on target every 3 seconds',0,2),
(106656,90138,9,100,'Increases Threat to target by 12,313 - 14,929  instantly and by 2,749 - 3,240  every 3 seconds thereafter',0,0),
(106657,90138,9,100,'Inflicts 286 - 349 disease damage on target',0,1),
(106658,90138,9,100,'Inflicts 143 - 174 disease damage on target every 3 seconds',0,2),
(106659,90139,1,100,'Increases Threat to target by 2,894 - 3,417  instantly and by 772 - 943  every 3 seconds thereafter',0,0),
(106660,90139,1,100,'Inflicts 63 - 77 disease damage on target',0,1),
(106661,90139,1,100,'Inflicts 32 - 39 disease damage on target every 3 seconds',0,2),
(106662,90139,2,100,'Increases Threat to target by 3,025 - 3,577  instantly and by 814 - 995  every 3 seconds thereafter',0,0),
(106663,90139,2,100,'Inflicts 67 - 81 disease damage on target',0,1),
(106664,90139,2,100,'Inflicts 33 - 41 disease damage on target every 3 seconds',0,2),
(106665,90139,3,100,'Increases Threat to target by 3,156 - 3,737  instantly and by 857 - 1,047  every 3 seconds thereafter',0,0),
(106666,90139,3,100,'Inflicts 70 - 86 disease damage on target',0,1),
(106667,90139,3,100,'Inflicts 35 - 43 disease damage on target every 3 seconds',0,2),
(106668,90139,4,100,'Increases Threat to target by 3,417 - 4,057  instantly and by 942 - 1,152  every 3 seconds thereafter',0,0),
(106669,90139,4,100,'Inflicts 77 - 94 disease damage on target',0,1),
(106670,90139,4,100,'Inflicts 39 - 47 disease damage on target every 3 seconds',0,2),
(106671,90139,5,100,'Increases Threat to target by 3,679 - 4,377  instantly and by 1,027 - 1,256  every 3 seconds thereafter',0,0),
(106672,90139,5,100,'Inflicts 84 - 103 disease damage on target',0,1),
(106673,90139,5,100,'Inflicts 42 - 51 disease damage on target every 3 seconds',0,2),
(106674,90139,7,100,'Increases Threat to target by 4,569 - 5,464  instantly and by 1,294 - 1,462  every 3 seconds thereafter',0,0),
(106675,90139,7,100,'Inflicts 108 - 132 disease damage on target',0,1),
(106676,90139,7,100,'Inflicts 54 - 66 disease damage on target every 3 seconds',0,2),
(106677,90139,9,100,'Increases Threat to target by 4,726 - 5,656  instantly and by 1,324 - 1,498  every 3 seconds thereafter',0,0),
(106678,90139,9,100,'Inflicts 112 - 137 disease damage on target',0,1),
(106679,90139,9,100,'Inflicts 56 - 69 disease damage on target every 3 seconds',0,2),
(106680,90140,1,100,'Increases Threat to target by 3,935 - 4,689  instantly and by 1,114 - 1,320  every 3 seconds thereafter',0,0),
(106681,90140,1,100,'Inflicts 89 - 108 disease damage on target',0,1),
(106682,90140,1,100,'Inflicts 44 - 54 disease damage on target every 3 seconds',0,2),
(106683,90140,2,100,'Increases Threat to target by 4,124 - 4,920  instantly and by 1,175 - 1,363  every 3 seconds thereafter',0,0),
(106684,90140,2,100,'Inflicts 94 - 114 disease damage on target',0,1),
(106685,90140,2,100,'Inflicts 47 - 57 disease damage on target every 3 seconds',0,2),
(106686,90140,3,100,'Increases Threat to target by 4,312 - 5,151  instantly and by 1,237 - 1,406  every 3 seconds thereafter',0,0),
(106687,90140,3,100,'Inflicts 99 - 120 disease damage on target',0,1),
(106688,90140,3,100,'Inflicts 49 - 60 disease damage on target every 3 seconds',0,2),
(106689,90140,4,100,'Increases Threat to target by 4,689 - 5,612  instantly and by 1,319 - 1,492  every 3 seconds thereafter',0,0),
(106690,90140,4,100,'Inflicts 108 - 133 disease damage on target',0,1),
(106691,90140,4,100,'Inflicts 54 - 66 disease damage on target every 3 seconds',0,2),
(106692,90140,5,100,'Increases Threat to target by 5,067 - 6,073  instantly and by 1,390 - 1,578  every 3 seconds thereafter',0,0),
(106693,90140,5,100,'Inflicts 118 - 145 disease damage on target',0,1),
(106694,90140,5,100,'Inflicts 59 - 72 disease damage on target every 3 seconds',0,2),
(106695,90140,7,100,'Increases Threat to target by 6,349 - 7,641  instantly and by 1,629 - 1,871  every 3 seconds thereafter',0,0),
(106696,90140,7,100,'Inflicts 152 - 186 disease damage on target',0,1),
(106697,90140,7,100,'Inflicts 76 - 93 disease damage on target every 3 seconds',0,2),
(106698,90140,9,100,'Increases Threat to target by 6,576 - 7,917  instantly and by 1,671 - 1,923  every 3 seconds thereafter',0,0),
(106699,90140,9,100,'Inflicts 158 - 193 disease damage on target',0,1),
(106700,90140,9,100,'Inflicts 79 - 96 disease damage on target every 3 seconds',0,2),
(106701,90141,1,100,'Increases Threat to target by 5,003 - 5,995  instantly and by 1,379 - 1,566  every 3 seconds thereafter',0,0),
(106702,90141,1,100,'Inflicts 113 - 139 disease damage on target',0,1),
(106703,90141,1,100,'Inflicts 57 - 69 disease damage on target every 3 seconds',0,2),
(106704,90141,2,100,'Increases Threat to target by 5,251 - 6,298  instantly and by 1,425 - 1,622  every 3 seconds thereafter',0,0),
(106705,90141,2,100,'Inflicts 120 - 146 disease damage on target',0,1),
(106706,90141,2,100,'Inflicts 60 - 73 disease damage on target every 3 seconds',0,2),
(106707,90141,3,100,'Increases Threat to target by 5,499 - 6,601  instantly and by 1,472 - 1,679  every 3 seconds thereafter',0,0),
(106708,90141,3,100,'Inflicts 126 - 154 disease damage on target',0,1),
(106709,90141,3,100,'Inflicts 63 - 77 disease damage on target every 3 seconds',0,2),
(106710,90141,4,100,'Increases Threat to target by 5,995 - 7,208  instantly and by 1,564 - 1,792  every 3 seconds thereafter',0,0),
(106711,90141,4,100,'Inflicts 139 - 169 disease damage on target',0,1),
(106712,90141,4,100,'Inflicts 69 - 85 disease damage on target every 3 seconds',0,2),
(106713,90141,5,100,'Increases Threat to target by 6,491 - 7,814  instantly and by 1,657 - 1,906  every 3 seconds thereafter',0,0),
(106714,90141,5,100,'Inflicts 151 - 185 disease damage on target',0,1),
(106715,90141,5,100,'Inflicts 76 - 92 disease damage on target every 3 seconds',0,2),
(106716,90141,7,100,'Increases Threat to target by 8,178 - 9,875  instantly and by 1,972 - 2,291  every 3 seconds thereafter',0,0),
(106717,90141,7,100,'Inflicts 194 - 237 disease damage on target',0,1),
(106718,90141,7,100,'Inflicts 97 - 119 disease damage on target every 3 seconds',0,2),
(106719,90141,9,100,'Increases Threat to target by 8,475 - 10,239  instantly and by 2,028 - 2,359  every 3 seconds thereafter',0,0),
(106720,90141,9,100,'Inflicts 202 - 246 disease damage on target',0,1),
(106721,90141,9,100,'Inflicts 101 - 123 disease damage on target every 3 seconds',0,2),
(106725,90142,1,100,'Increases Threat to target by 6,083 - 7,315  instantly and by 1,582 - 1,814  every 3 seconds thereafter',0,0),
(106726,90142,1,100,'Inflicts 137 - 168 disease damage on target',0,1),
(106727,90142,1,100,'Inflicts 69 - 84 disease damage on target every 3 seconds',0,2),
(106728,90142,4,100,'Increases Threat to target by 7,315 - 8,820  instantly and by 1,812 - 2,095  every 3 seconds thereafter',0,0),
(106729,90142,4,100,'Inflicts 168 - 205 disease damage on target',0,1),
(106730,90142,4,100,'Inflicts 84 - 103 disease damage on target every 3 seconds',0,2),
(106731,90142,5,100,'Increases Threat to target by 7,931 - 9,573  instantly and by 1,928 - 2,236  every 3 seconds thereafter',0,0),
(106732,90142,5,100,'Inflicts 183 - 224 disease damage on target',0,1),
(106733,90142,5,100,'Inflicts 92 - 112 disease damage on target every 3 seconds',0,2),
(106734,90142,7,100,'Increases Threat to target by 10,025 - 12,133  instantly and by 2,319 - 2,715  every 3 seconds thereafter',0,0),
(106735,90142,7,100,'Inflicts 235 - 287 disease damage on target',0,1),
(106736,90142,7,100,'Inflicts 117 - 144 disease damage on target every 3 seconds',0,2),
(106737,90142,9,100,'Increases Threat to target by 10,394 - 12,584  instantly and by 2,388 - 2,799  every 3 seconds thereafter',0,0),
(106738,90142,9,100,'Inflicts 244 - 298 disease damage on target',0,1),
(106739,90142,9,100,'Inflicts 122 - 149 disease damage on target every 3 seconds',0,2),
(106740,160077,1,100,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(106741,160077,1,100,'Inflicts 90 - 109 piercing damage on target',1,1),
(106742,160077,1,100,'Inflicts 45 - 55 piercing damage on target every 3 seconds',1,2),
(106743,160077,1,100,'If target is a player or a mercenary',1,3),
(106744,160077,2,100,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(106745,160077,2,100,'Inflicts 94 - 115 piercing damage on target',1,1),
(106746,160077,2,100,'Inflicts 47 - 58 piercing damage on target every 3 seconds',1,2),
(106747,160077,2,100,'If target is a player or a mercenary',1,3),
(106748,160077,3,100,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(106749,160077,3,100,'Inflicts 99 - 122 piercing damage on target',1,1),
(106750,160077,3,100,'Inflicts 50 - 61 piercing damage on target every 3 seconds',1,2),
(106751,160077,3,100,'If target is a player or a mercenary',1,3),
(106752,160077,4,100,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(106753,160077,4,100,'Inflicts 109 - 134 piercing damage on target',1,1),
(106754,160077,4,100,'Inflicts 55 - 67 piercing damage on target every 3 seconds',1,2),
(106755,160077,4,100,'If target is a player or a mercenary',1,3),
(106756,160077,5,100,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(106757,160077,5,100,'Inflicts 119 - 146 piercing damage on target',1,1),
(106758,160077,5,100,'Inflicts 60 - 73 piercing damage on target every 3 seconds',1,2),
(106759,160077,5,100,'If target is a player or a mercenary',1,3),
(106760,160077,7,100,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(106761,160077,7,100,'Inflicts 153 - 187 piercing damage on target',1,1),
(106762,160077,7,100,'Inflicts 77 - 94 piercing damage on target every 3 seconds',1,2),
(106763,160077,7,100,'If target is a player or a mercenary',1,3),
(106764,160077,9,100,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(106765,160077,9,100,'Inflicts 159 - 195 piercing damage on target',1,1),
(106766,160077,9,100,'Inflicts 80 - 97 piercing damage on target every 3 seconds',1,2),
(106767,160077,9,100,'If target is a player or a mercenary',1,3),
(106768,160078,1,100,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(106769,160078,1,100,'Inflicts 144 - 176 piercing damage on target',1,1),
(106770,160078,1,100,'Inflicts 72 - 88 piercing damage on target every 3 seconds',1,2),
(106771,160078,1,100,'If target is a player or a mercenary',1,3),
(106772,160078,2,100,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(106773,160078,2,100,'Inflicts 152 - 186 piercing damage on target',1,1),
(106774,160078,2,100,'Inflicts 76 - 93 piercing damage on target every 3 seconds',1,2),
(106775,160078,2,100,'If target is a player or a mercenary',1,3),
(106776,160078,3,100,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(106777,160078,3,100,'Inflicts 160 - 196 piercing damage on target',1,1),
(106778,160078,3,100,'Inflicts 80 - 98 piercing damage on target every 3 seconds',1,2),
(106779,160078,3,100,'If target is a player or a mercenary',1,3),
(106780,160078,4,100,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(106781,160078,4,100,'Inflicts 176 - 215 piercing damage on target',1,1),
(106782,160078,4,100,'Inflicts 88 - 108 piercing damage on target every 3 seconds',1,2),
(106783,160078,4,100,'If target is a player or a mercenary',1,3),
(106784,160078,5,100,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(106785,160078,5,100,'Inflicts 192 - 235 piercing damage on target',1,1),
(106786,160078,5,100,'Inflicts 96 - 117 piercing damage on target every 3 seconds',1,2),
(106787,160078,5,100,'If target is a player or a mercenary',1,3),
(106788,160078,7,100,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(106789,160078,7,100,'Inflicts 246 - 301 piercing damage on target',1,1),
(106790,160078,7,100,'Inflicts 123 - 151 piercing damage on target every 3 seconds',1,2),
(106791,160078,7,100,'If target is a player or a mercenary',1,3),
(106792,160078,9,100,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(106793,160078,9,100,'Inflicts 256 - 313 piercing damage on target',1,1),
(106794,160078,9,100,'Inflicts 128 - 156 piercing damage on target every 3 seconds',1,2),
(106795,160078,9,100,'If target is a player or a mercenary',1,3),
(106796,160079,1,100,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(106797,160079,1,100,'Inflicts 212 - 259 piercing damage on target',1,1),
(106798,160079,1,100,'Inflicts 106 - 130 piercing damage on target every 3 seconds',1,2),
(106799,160079,1,100,'If target is a player or a mercenary',1,3),
(106800,160079,2,100,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(106801,160079,2,100,'Inflicts 224 - 274 piercing damage on target',1,1),
(106802,160079,2,100,'Inflicts 112 - 137 piercing damage on target every 3 seconds',1,2),
(106803,160079,2,100,'If target is a player or a mercenary',1,3),
(106804,160079,3,100,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(106805,160079,3,100,'Inflicts 236 - 288 piercing damage on target',1,1),
(106806,160079,3,100,'Inflicts 118 - 144 piercing damage on target every 3 seconds',1,2),
(106807,160079,3,100,'If target is a player or a mercenary',1,3),
(106808,160079,4,100,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(106809,160079,4,100,'Inflicts 259 - 317 piercing damage on target',1,1),
(106810,160079,4,100,'Inflicts 130 - 158 piercing damage on target every 3 seconds',1,2),
(106811,160079,4,100,'If target is a player or a mercenary',1,3),
(106812,160079,5,100,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(106813,160079,5,100,'Inflicts 283 - 346 piercing damage on target',1,1),
(106814,160079,5,100,'Inflicts 141 - 173 piercing damage on target every 3 seconds',1,2),
(106815,160079,5,100,'If target is a player or a mercenary',1,3),
(106816,160079,7,100,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(106817,160079,7,100,'Inflicts 363 - 444 piercing damage on target',1,1),
(106818,160079,7,100,'Inflicts 182 - 222 piercing damage on target every 3 seconds',1,2),
(106819,160079,7,100,'If target is a player or a mercenary',1,3),
(106820,160079,9,100,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(106821,160079,9,100,'Inflicts 377 - 461 piercing damage on target',1,1),
(106822,160079,9,100,'Inflicts 189 - 231 piercing damage on target every 3 seconds',1,2),
(106823,160079,9,100,'If target is a player or a mercenary',1,3),
(106824,160080,1,100,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(106825,160080,1,100,'Inflicts 280 - 343 piercing damage on target',1,1),
(106826,160080,1,100,'Inflicts 140 - 171 piercing damage on target every 3 seconds',1,2),
(106827,160080,1,100,'If target is a player or a mercenary',1,3),
(106828,160080,2,100,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(106829,160080,2,100,'Inflicts 296 - 362 piercing damage on target',1,1),
(106830,160080,2,100,'Inflicts 148 - 181 piercing damage on target every 3 seconds',1,2),
(106831,160080,2,100,'If target is a player or a mercenary',1,3),
(106832,160080,3,100,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(106833,160080,3,100,'Inflicts 311 - 381 piercing damage on target',1,1),
(106834,160080,3,100,'Inflicts 156 - 190 piercing damage on target every 3 seconds',1,2),
(106835,160080,3,100,'If target is a player or a mercenary',1,3),
(106836,160080,4,100,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(106837,160080,4,100,'Inflicts 343 - 419 piercing damage on target',1,1),
(106838,160080,4,100,'Inflicts 171 - 209 piercing damage on target every 3 seconds',1,2),
(106839,160080,4,100,'If target is a player or a mercenary',1,3),
(106840,160080,5,100,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(106841,160080,5,100,'Inflicts 374 - 457 piercing damage on target',1,1),
(106842,160080,5,100,'Inflicts 187 - 228 piercing damage on target every 3 seconds',1,2),
(106843,160080,5,100,'If target is a player or a mercenary',1,3),
(106844,160080,7,100,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(106845,160080,7,100,'Inflicts 480 - 586 piercing damage on target',1,1),
(106846,160080,7,100,'Inflicts 240 - 293 piercing damage on target every 3 seconds',1,2),
(106847,160080,7,100,'If target is a player or a mercenary',1,3),
(106848,160080,9,100,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(106849,160080,9,100,'Inflicts 498 - 609 piercing damage on target',1,1),
(106850,160080,9,100,'Inflicts 249 - 305 piercing damage on target every 3 seconds',1,2),
(106851,160080,9,100,'If target is a player or a mercenary',1,3),
(106852,160081,1,100,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(106853,160081,1,100,'Inflicts 346 - 422 piercing damage on target',1,1),
(106854,160081,1,100,'Inflicts 173 - 211 piercing damage on target every 3 seconds',1,2),
(106855,160081,1,100,'If target is a player or a mercenary',1,3),
(106856,160081,2,100,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(106857,160081,2,100,'Inflicts 365 - 446 piercing damage on target',1,1),
(106858,160081,2,100,'Inflicts 182 - 223 piercing damage on target every 3 seconds',1,2),
(106859,160081,2,100,'If target is a player or a mercenary',1,3),
(106860,160081,3,100,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(106861,160081,3,100,'Inflicts 384 - 469 piercing damage on target',1,1),
(106862,160081,3,100,'Inflicts 192 - 235 piercing damage on target every 3 seconds',1,2),
(106863,160081,3,100,'If target is a player or a mercenary',1,3),
(106864,160081,4,100,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(106865,160081,4,100,'Inflicts 422 - 516 piercing damage on target',1,1),
(106866,160081,4,100,'Inflicts 211 - 258 piercing damage on target every 3 seconds',1,2),
(106867,160081,4,100,'If target is a player or a mercenary',1,3),
(106868,160081,5,100,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(106869,160081,5,100,'Inflicts 461 - 563 piercing damage on target',1,1),
(106870,160081,5,100,'Inflicts 230 - 282 piercing damage on target every 3 seconds',1,2),
(106871,160081,5,100,'If target is a player or a mercenary',1,3),
(106872,160081,7,100,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(106873,160081,7,100,'Inflicts 591 - 723 piercing damage on target',1,1),
(106874,160081,7,100,'Inflicts 296 - 361 piercing damage on target every 3 seconds',1,2),
(106875,160081,7,100,'If target is a player or a mercenary',1,3),
(106876,160081,9,100,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(106877,160081,9,100,'Inflicts 614 - 751 piercing damage on target',1,1),
(106878,160081,9,100,'Inflicts 307 - 375 piercing damage on target every 3 seconds',1,2),
(106879,160081,9,100,'If target is a player or a mercenary',1,3),
(106880,160082,1,100,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(106881,160082,1,100,'Inflicts 416 - 508 piercing damage on target',1,1),
(106882,160082,1,100,'Inflicts 208 - 254 piercing damage on target every 3 seconds',1,2),
(106883,160082,1,100,'If target is a player or a mercenary',1,3),
(106884,160082,4,100,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(106885,160082,4,100,'Inflicts 508 - 621 piercing damage on target',1,1),
(106886,160082,4,100,'Inflicts 254 - 311 piercing damage on target every 3 seconds',1,2),
(106887,160082,4,100,'If target is a player or a mercenary',1,3),
(106888,160082,5,100,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(106889,160082,5,100,'Inflicts 555 - 678 piercing damage on target',1,1),
(106890,160082,5,100,'Inflicts 277 - 339 piercing damage on target every 3 seconds',1,2),
(106891,160082,5,100,'If target is a player or a mercenary',1,3),
(106892,160082,7,100,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(106893,160082,7,100,'Inflicts 712 - 870 piercing damage on target',1,1),
(106894,160082,7,100,'Inflicts 356 - 435 piercing damage on target every 3 seconds',1,2),
(106895,160082,7,100,'If target is a player or a mercenary',1,3),
(106896,160082,9,100,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(106897,160082,9,100,'Inflicts 740 - 904 piercing damage on target',1,1),
(106898,160082,9,100,'Inflicts 370 - 452 piercing damage on target every 3 seconds',1,2),
(106899,160082,9,100,'If target is a player or a mercenary',1,3),
(106900,160083,1,100,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(106901,160083,1,100,'Inflicts 446 - 546 piercing damage on target',1,1),
(106902,160083,1,100,'Inflicts 223 - 273 piercing damage on target every 3 seconds',1,2),
(106903,160083,1,100,'If target is a player or a mercenary',1,3),
(106904,160083,4,100,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(106905,160083,4,100,'Inflicts 546 - 667 piercing damage on target',1,1),
(106906,160083,4,100,'Inflicts 273 - 333 piercing damage on target every 3 seconds',1,2),
(106907,160083,4,100,'If target is a player or a mercenary',1,3),
(106908,160083,5,100,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(106909,160083,5,100,'Inflicts 595 - 727 piercing damage on target',1,1),
(106910,160083,5,100,'Inflicts 298 - 364 piercing damage on target every 3 seconds',1,2),
(106911,160083,5,100,'If target is a player or a mercenary',1,3),
(106912,160083,7,100,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(106913,160083,7,100,'Inflicts 764 - 934 piercing damage on target',1,1),
(106914,160083,7,100,'Inflicts 382 - 467 piercing damage on target every 3 seconds',1,2),
(106915,160083,7,100,'If target is a player or a mercenary',1,3),
(106916,160083,9,100,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(106917,160083,9,100,'Inflicts 794 - 970 piercing damage on target',1,1),
(106918,160083,9,100,'Inflicts 397 - 485 piercing damage on target every 3 seconds',1,2),
(106919,160083,9,100,'If target is a player or a mercenary',1,3),
(106920,2000502,1,100,'Improves the base amount of profession based heals and wards by 15%.',0,0),
(106921,440097,1,100,'Decreases AGI, INT, STR and WIS of target by 20.0',0,0),
(106922,440098,1,100,'Automatically heals the target of Construct''s Interception or Overloaded Interception for 75% of the damage intercepted',0,0),
(106923,2000503,1,100,'Increases Defense of target by 0.0',0,0),
(106924,170080,1,100,'Decreases AGI and WIS of target by 6.4',0,0),
(106925,170080,2,100,'Decreases AGI and WIS of target by 6.7',0,0),
(106926,170080,3,100,'Decreases AGI and WIS of target by 7.1',0,0),
(106927,170080,4,100,'Decreases AGI and WIS of target by 7.8',0,0),
(106928,170080,5,100,'Decreases AGI and WIS of target by 8.5',0,0),
(106929,170080,7,100,'Decreases AGI and WIS of target by 10.9',0,0),
(106930,170080,9,100,'Decreases AGI and WIS of target by 11.4',0,0),
(106931,170081,1,100,'Decreases AGI and WIS of target by 15.0',0,0),
(106932,170081,2,100,'Decreases AGI and WIS of target by 15.9',0,0),
(106933,170081,3,100,'Decreases AGI and WIS of target by 16.7',0,0),
(106934,170081,4,100,'Decreases AGI and WIS of target by 18.4',0,0),
(106935,170081,5,100,'Decreases AGI and WIS of target by 20.0',0,0),
(106936,170081,7,100,'Decreases AGI and WIS of target by 25.7',0,0),
(106937,170081,9,100,'Decreases AGI and WIS of target by 26.7',0,0),
(106938,170082,1,100,'Decreases AGI and WIS of target by 24.3',0,0),
(106939,170082,2,100,'Decreases AGI and WIS of target by 25.6',0,0),
(106940,170082,3,100,'Decreases AGI and WIS of target by 27.0',0,0),
(106941,170082,4,100,'Decreases AGI and WIS of target by 29.7',0,0),
(106942,170082,5,100,'Decreases AGI and WIS of target by 32.4',0,0),
(106943,170082,7,100,'Decreases AGI and WIS of target by 41.6',0,0),
(106944,170082,9,100,'Decreases AGI and WIS of target by 43.2',0,0),
(106945,170083,1,100,'Decreases AGI and WIS of target by 34.4',0,0),
(106946,170083,2,100,'Decreases AGI and WIS of target by 36.3',0,0),
(106947,170083,3,100,'Decreases AGI and WIS of target by 38.2',0,0),
(106948,170083,4,100,'Decreases AGI and WIS of target by 42.0',0,0),
(106949,170083,5,100,'Decreases AGI and WIS of target by 45.8',0,0),
(106950,170083,7,100,'Decreases AGI and WIS of target by 58.8',0,0),
(106951,170083,9,100,'Decreases AGI and WIS of target by 61.1',0,0),
(106952,170084,1,100,'Decreases AGI and WIS of target by 45.2',0,0),
(106953,170084,2,100,'Decreases AGI and WIS of target by 47.7',0,0),
(106954,170084,3,100,'Decreases AGI and WIS of target by 50.2',0,0),
(106955,170084,4,100,'Decreases AGI and WIS of target by 55.2',0,0),
(106956,170084,5,100,'Decreases AGI and WIS of target by 60.2',0,0),
(106957,170084,7,100,'Decreases AGI and WIS of target by 77.3',0,0),
(106958,170084,9,100,'Decreases AGI and WIS of target by 80.3',0,0),
(106959,170084,10,100,'Decreases AGI and WIS of target by 84.3',0,0),
(106960,170085,1,100,'Decreases AGI and WIS of target by 55.4',0,0),
(106961,170085,2,100,'Decreases AGI and WIS of target by 58.5',0,0),
(106962,170085,3,100,'Decreases AGI and WIS of target by 61.6',0,0),
(106963,170085,4,100,'Decreases AGI and WIS of target by 67.8',0,0),
(106964,170085,5,100,'Decreases AGI and WIS of target by 73.9',0,0),
(106965,170085,7,100,'Decreases AGI and WIS of target by 94.9',0,0),
(106966,170085,9,100,'Decreases AGI and WIS of target by 98.6',0,0),
(106967,170086,1,100,'Decreases AGI and WIS of target by 65.3',0,0),
(106968,170086,4,100,'Decreases AGI and WIS of target by 79.9',0,0),
(106969,170086,5,100,'Decreases AGI and WIS of target by 87.1',0,0),
(106970,170086,7,100,'Decreases AGI and WIS of target by 111.8',0,0),
(106971,170086,9,100,'Decreases AGI and WIS of target by 116.2',0,0),
(106972,170087,1,100,'Decreases AGI and WIS of target by 75.2',0,0),
(106973,170087,4,100,'Decreases AGI and WIS of target by 92.0',0,0),
(106974,170087,5,100,'Decreases AGI and WIS of target by 100.3',0,0),
(106975,170087,7,100,'Decreases AGI and WIS of target by 128.7',0,0),
(106976,170087,9,100,'Decreases AGI and WIS of target by 133.8',0,0),
(106977,200108,1,100,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(106978,200108,1,100,'Inflicts 35 disease damage on target instantly and every 4 seconds',1,1),
(106979,200108,1,100,'44% of target''s power consumed will also be drained from target''s health',1,2),
(106980,200108,2,100,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(106981,200108,2,100,'Inflicts 37 disease damage on target instantly and every 4 seconds',1,1),
(106982,200108,2,100,'47% of target''s power consumed will also be drained from target''s health',1,2),
(106983,200108,3,100,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(106984,200108,3,100,'Inflicts 39 disease damage on target instantly and every 4 seconds',1,1),
(106985,200108,3,100,'50% of target''s power consumed will also be drained from target''s health',1,2),
(106986,200108,4,100,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(106987,200108,4,100,'Inflicts 43 disease damage on target instantly and every 4 seconds',1,1),
(106988,200108,4,100,'55% of target''s power consumed will also be drained from target''s health',1,2),
(106989,200108,5,100,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(106990,200108,5,100,'Inflicts 47 disease damage on target instantly and every 4 seconds',1,1),
(106991,200108,5,100,'60% of target''s power consumed will also be drained from target''s health',1,2),
(106992,200108,7,100,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(106993,200108,7,100,'Inflicts 60 disease damage on target instantly and every 4 seconds',1,1),
(106994,200108,7,100,'76% of target''s power consumed will also be drained from target''s health',1,2),
(106995,200108,9,100,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(106996,200108,9,100,'Inflicts 62 disease damage on target instantly and every 4 seconds',1,1),
(106997,200108,9,100,'80% of target''s power consumed will also be drained from target''s health',1,2),
(106998,200109,1,100,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(106999,200109,1,100,'Inflicts 49 disease damage on target instantly and every 4 seconds',1,1),
(107000,200109,1,100,'44% of target''s power consumed will also be drained from target''s health',1,2),
(107001,200109,2,100,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(107002,200109,2,100,'Inflicts 52 disease damage on target instantly and every 4 seconds',1,1),
(107003,200109,2,100,'47% of target''s power consumed will also be drained from target''s health',1,2),
(107004,200109,3,100,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(107005,200109,3,100,'Inflicts 55 disease damage on target instantly and every 4 seconds',1,1),
(107006,200109,3,100,'50% of target''s power consumed will also be drained from target''s health',1,2),
(107007,200109,4,100,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(107008,200109,4,100,'Inflicts 60 disease damage on target instantly and every 4 seconds',1,1),
(107009,200109,4,100,'55% of target''s power consumed will also be drained from target''s health',1,2),
(107010,200109,5,100,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(107011,200109,5,100,'Inflicts 66 disease damage on target instantly and every 4 seconds',1,1),
(107012,200109,5,100,'60% of target''s power consumed will also be drained from target''s health',1,2),
(107013,200109,7,100,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(107014,200109,7,100,'Inflicts 84 disease damage on target instantly and every 4 seconds',1,1),
(107015,200109,7,100,'76% of target''s power consumed will also be drained from target''s health',1,2),
(107016,200109,9,100,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(107017,200109,9,100,'Inflicts 88 disease damage on target instantly and every 4 seconds',1,1),
(107018,200109,9,100,'80% of target''s power consumed will also be drained from target''s health',1,2),
(107019,200110,1,100,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(107020,200110,1,100,'Inflicts 64 disease damage on target instantly and every 4 seconds',1,1),
(107021,200110,1,100,'44% of target''s power consumed will also be drained from target''s health',1,2),
(107022,200110,2,100,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(107023,200110,2,100,'Inflicts 68 disease damage on target instantly and every 4 seconds',1,1),
(107024,200110,2,100,'47% of target''s power consumed will also be drained from target''s health',1,2),
(107025,200110,3,100,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(107026,200110,3,100,'Inflicts 71 disease damage on target instantly and every 4 seconds',1,1),
(107027,200110,3,100,'50% of target''s power consumed will also be drained from target''s health',1,2),
(107028,200110,4,100,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(107029,200110,4,100,'Inflicts 79 disease damage on target instantly and every 4 seconds',1,1),
(107030,200110,4,100,'55% of target''s power consumed will also be drained from target''s health',1,2),
(107031,200110,5,100,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(107032,200110,5,100,'Inflicts 86 disease damage on target instantly and every 4 seconds',1,1),
(107033,200110,5,100,'60% of target''s power consumed will also be drained from target''s health',1,2),
(107034,200110,7,100,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(107035,200110,7,100,'Inflicts 110 disease damage on target instantly and every 4 seconds',1,1),
(107036,200110,7,100,'76% of target''s power consumed will also be drained from target''s health',1,2),
(107037,200110,9,100,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(107038,200110,9,100,'Inflicts 114 disease damage on target instantly and every 4 seconds',1,1),
(107039,200110,9,100,'80% of target''s power consumed will also be drained from target''s health',1,2),
(107040,200110,10,100,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(107041,200110,10,100,'Inflicts 120 disease damage on target instantly and every 4 seconds',1,1),
(107042,200110,10,100,'83% of target''s power consumed will also be drained from target''s health',1,2),
(107043,200111,1,100,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(107044,200111,1,100,'Inflicts 78 disease damage on target instantly and every 4 seconds',1,1),
(107045,200111,1,100,'44% of target''s power consumed will also be drained from target''s health',1,2),
(107046,200111,4,100,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(107047,200111,4,100,'Inflicts 95 disease damage on target instantly and every 4 seconds',1,1),
(107048,200111,4,100,'55% of target''s power consumed will also be drained from target''s health',1,2),
(107049,200111,5,100,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(107050,200111,5,100,'Inflicts 104 disease damage on target instantly and every 4 seconds',1,1),
(107051,200111,5,100,'60% of target''s power consumed will also be drained from target''s health',1,2),
(107052,200111,7,100,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(107053,200111,7,100,'Inflicts 133 disease damage on target instantly and every 4 seconds',1,1),
(107054,200111,7,100,'76% of target''s power consumed will also be drained from target''s health',1,2),
(107055,200111,9,100,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(107056,200111,9,100,'Inflicts 138 disease damage on target instantly and every 4 seconds',1,1),
(107057,200111,9,100,'80% of target''s power consumed will also be drained from target''s health',1,2),
(107058,200112,1,100,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(107059,200112,1,100,'Inflicts 90 disease damage on target instantly and every 4 seconds',1,1),
(107060,200112,1,100,'44% of target''s power consumed will also be drained from target''s health',1,2),
(107061,200112,4,100,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(107062,200112,4,100,'Inflicts 110 disease damage on target instantly and every 4 seconds',1,1),
(107063,200112,4,100,'55% of target''s power consumed will also be drained from target''s health',1,2),
(107064,200112,5,100,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(107065,200112,5,100,'Inflicts 120 disease damage on target instantly and every 4 seconds',1,1),
(107066,200112,5,100,'60% of target''s power consumed will also be drained from target''s health',1,2),
(107067,200112,7,100,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(107068,200112,7,100,'Inflicts 154 disease damage on target instantly and every 4 seconds',1,1),
(107069,200112,7,100,'76% of target''s power consumed will also be drained from target''s health',1,2),
(107070,200112,9,100,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(107071,200112,9,100,'Inflicts 160 disease damage on target instantly and every 4 seconds',1,1),
(107072,200112,9,100,'80% of target''s power consumed will also be drained from target''s health',1,2),
(107073,280006,1,100,'Grants invisibility to target',0,0),
(107074,280006,1,100,'Suspends target''s movement speed enhancements',0,1),
(107075,280006,1,100,'Grants invisibility to pet',0,2),
(107076,280006,1,100,'Suspends pet''s movement speed enhancements',0,3),
(107077,280006,1,100,'Dispelled when target takes damage',0,4),
(107078,280006,1,100,'This effect cancels during combat',0,5),
(107079,210008,4,100,'Grants invisibility to target',0,0),
(107080,210008,4,100,'Suspends target''s movement speed enhancements',0,1),
(107081,210008,4,100,'Dispelled when target takes damage',0,2),
(107082,210008,4,100,'This effect cancels during combat',0,3),
(107083,140103,1,100,'Interrupts target',0,0),
(107084,140103,1,100,'Inflicts 8 - 9 divine damage on target',0,1),
(107085,140103,2,100,'Interrupts target',0,0),
(107086,140103,2,100,'Inflicts 8 - 10 divine damage on target',0,1),
(107087,140103,3,100,'Interrupts target',0,0),
(107088,140103,3,100,'Inflicts 8 - 10 divine damage on target',0,1),
(107089,140103,4,100,'Interrupts target',0,0),
(107090,140103,4,100,'Inflicts 9 - 11 divine damage on target',0,1),
(107091,140103,5,100,'Interrupts target',0,0),
(107092,140103,5,100,'Inflicts 10 - 12 divine damage on target',0,1),
(107093,140103,7,100,'Interrupts target',0,0),
(107094,140103,7,100,'Inflicts 13 - 16 divine damage on target',0,1),
(107095,140103,9,100,'Interrupts target',0,0),
(107096,140103,9,100,'Inflicts 14 - 17 divine damage on target',0,1),
(107097,140104,1,100,'Interrupts target',0,0),
(107098,140104,1,100,'Inflicts 27 - 33 divine damage on target',0,1),
(107099,140104,2,100,'Interrupts target',0,0),
(107100,140104,2,100,'Inflicts 28 - 34 divine damage on target',0,1),
(107101,140104,3,100,'Interrupts target',0,0),
(107102,140104,3,100,'Inflicts 30 - 36 divine damage on target',0,1),
(107103,140104,4,100,'Interrupts target',0,0),
(107104,140104,4,100,'Inflicts 33 - 40 divine damage on target',0,1),
(107105,140104,5,100,'Interrupts target',0,0),
(107106,140104,5,100,'Inflicts 36 - 43 divine damage on target',0,1),
(107107,140104,7,100,'Interrupts target',0,0),
(107108,140104,7,100,'Inflicts 46 - 56 divine damage on target',0,1),
(107109,140104,9,100,'Interrupts target',0,0),
(107110,140104,9,100,'Inflicts 47 - 58 divine damage on target',0,1),
(107111,140105,1,100,'Interrupts target',0,0),
(107112,140105,1,100,'Inflicts 49 - 60 divine damage on target',0,1),
(107113,140105,2,100,'Interrupts target',0,0),
(107114,140105,2,100,'Inflicts 52 - 64 divine damage on target',0,1),
(107115,140105,3,100,'Interrupts target',0,0),
(107116,140105,3,100,'Inflicts 55 - 67 divine damage on target',0,1),
(107117,140105,4,100,'Interrupts target',0,0),
(107118,140105,4,100,'Inflicts 60 - 74 divine damage on target',0,1),
(107119,140105,5,100,'Interrupts target',0,0),
(107120,140105,5,100,'Inflicts 66 - 80 divine damage on target',0,1),
(107121,140105,7,100,'Interrupts target',0,0),
(107122,140105,7,100,'Inflicts 84 - 103 divine damage on target',0,1),
(107123,140105,9,100,'Interrupts target',0,0),
(107124,140105,9,100,'Inflicts 88 - 107 divine damage on target',0,1),
(107125,140106,1,100,'Stifles target',0,0),
(107126,140106,1,100,'Inflicts 95 - 117 divine damage on target',0,1),
(107127,140106,2,100,'Stifles target',0,0),
(107128,140106,2,100,'Inflicts 101 - 123 divine damage on target',0,1),
(107129,140106,3,100,'Stifles target',0,0),
(107130,140106,3,100,'Inflicts 106 - 130 divine damage on target',0,1),
(107131,140106,4,100,'Stifles target',0,0),
(107132,140106,4,100,'Inflicts 117 - 142 divine damage on target',0,1),
(107133,140106,5,100,'Stifles target',0,0),
(107134,140106,5,100,'Inflicts 127 - 155 divine damage on target',0,1),
(107135,140106,7,100,'Stifles target',0,0),
(107136,140106,7,100,'Inflicts 163 - 199 divine damage on target',0,1),
(107137,140106,9,100,'Stifles target',0,0),
(107138,140106,9,100,'Inflicts 170 - 207 divine damage on target',0,1),
(107139,140106,10,100,'Stifles target',0,0),
(107140,140106,10,100,'Inflicts 178 - 218 divine damage on target',0,1),
(107141,140107,1,100,'Interrupts target',0,0),
(107142,140107,1,100,'Inflicts 375 - 458 divine damage on target',0,1),
(107143,140107,4,100,'Interrupts target',0,0),
(107144,140107,4,100,'Inflicts 458 - 560 divine damage on target',0,1),
(107145,140107,5,100,'Interrupts target',0,0),
(107146,140107,5,100,'Inflicts 500 - 611 divine damage on target',0,1),
(107147,140107,7,100,'Interrupts target',0,0),
(107148,140107,7,100,'Inflicts 641 - 784 divine damage on target',0,1),
(107149,140107,9,100,'Interrupts target',0,0),
(107150,140107,9,100,'Inflicts 666 - 814 divine damage on target',0,1),
(107151,140108,1,100,'Interrupts target',0,0),
(107152,140108,1,100,'Inflicts 147 - 180 divine damage on target',0,1),
(107153,140108,2,100,'Interrupts target',0,0),
(107154,140108,2,100,'Inflicts 156 - 190 divine damage on target',0,1),
(107155,140108,3,100,'Interrupts target',0,0),
(107156,140108,3,100,'Inflicts 164 - 200 divine damage on target',0,1),
(107157,140108,4,100,'Interrupts target',0,0),
(107158,140108,4,100,'Inflicts 180 - 220 divine damage on target',0,1),
(107159,140108,5,100,'Interrupts target',0,0),
(107160,140108,5,100,'Inflicts 196 - 240 divine damage on target',0,1),
(107161,140108,7,100,'Interrupts target',0,0),
(107162,140108,7,100,'Inflicts 252 - 308 divine damage on target',0,1),
(107163,140108,9,100,'Interrupts target',0,0),
(107164,140108,9,100,'Inflicts 262 - 320 divine damage on target',0,1),
(107165,140109,1,100,'Interrupts target',0,0),
(107166,140109,1,100,'Inflicts 207 - 253 divine damage on target',0,1),
(107167,140109,2,100,'Interrupts target',0,0),
(107168,140109,2,100,'Inflicts 218 - 267 divine damage on target',0,1),
(107169,140109,3,100,'Interrupts target',0,0),
(107170,140109,3,100,'Inflicts 230 - 281 divine damage on target',0,1),
(107171,140109,4,100,'Interrupts target',0,0),
(107172,140109,4,100,'Inflicts 253 - 309 divine damage on target',0,1),
(107173,140109,5,100,'Interrupts target',0,0),
(107174,140109,5,100,'Inflicts 276 - 337 divine damage on target',0,1),
(107175,140109,7,100,'Interrupts target',0,0),
(107176,140109,7,100,'Inflicts 354 - 433 divine damage on target',0,1),
(107177,140109,9,100,'Interrupts target',0,0),
(107178,140109,9,100,'Inflicts 368 - 450 divine damage on target',0,1),
(107179,140110,1,100,'Interrupts target',0,0),
(107180,140110,1,100,'Inflicts 265 - 323 divine damage on target',0,1),
(107181,140110,2,100,'Interrupts target',0,0),
(107182,140110,2,100,'Inflicts 279 - 341 divine damage on target',0,1),
(107183,140110,3,100,'Interrupts target',0,0),
(107184,140110,3,100,'Inflicts 294 - 359 divine damage on target',0,1),
(107185,140110,4,100,'Interrupts target',0,0),
(107186,140110,4,100,'Inflicts 323 - 395 divine damage on target',0,1),
(107187,140110,5,100,'Interrupts target',0,0),
(107188,140110,5,100,'Inflicts 353 - 431 divine damage on target',0,1),
(107189,140110,7,100,'Interrupts target',0,0),
(107190,140110,7,100,'Inflicts 453 - 553 divine damage on target',0,1),
(107191,140110,9,100,'Interrupts target',0,0),
(107192,140110,9,100,'Inflicts 470 - 575 divine damage on target',0,1),
(107193,140110,10,100,'Interrupts target',0,0),
(107194,140110,10,100,'Inflicts 494 - 604 divine damage on target',0,1),
(107195,140111,1,100,'Interrupts target',0,0),
(107196,140111,1,100,'Inflicts 320 - 391 divine damage on target',0,1),
(107197,140111,4,100,'Interrupts target',0,0),
(107198,140111,4,100,'Inflicts 391 - 478 divine damage on target',0,1),
(107199,140111,5,100,'Interrupts target',0,0),
(107200,140111,5,100,'Inflicts 427 - 522 divine damage on target',0,1),
(107201,140111,7,100,'Interrupts target',0,0),
(107202,140111,7,100,'Inflicts 548 - 670 divine damage on target',0,1),
(107203,140111,9,100,'Interrupts target',0,0),
(107204,140111,9,100,'Inflicts 569 - 696 divine damage on target',0,1),
(107205,130093,1,100,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(107206,130093,1,100,'Dispels 36 levels of physical hostile effects on target',1,1),
(107207,130093,1,100,'Heals targets in Area of Effect for 62 - 75',1,2),
(107208,130093,2,100,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(107209,130093,2,100,'Dispels 38 levels of physical hostile effects on target',1,1),
(107210,130093,2,100,'Heals targets in Area of Effect for 65 - 79',1,2),
(107211,130093,3,100,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(107212,130093,3,100,'Dispels 40 levels of physical hostile effects on target',1,1),
(107213,130093,3,100,'Heals targets in Area of Effect for 68 - 84',1,2),
(107214,130093,4,100,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(107215,130093,4,100,'Dispels 44 levels of physical hostile effects on target',1,1),
(107216,130093,4,100,'Heals targets in Area of Effect for 75 - 92',1,2),
(107217,130093,5,100,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(107218,130093,5,100,'Dispels 48 levels of physical hostile effects on target',1,1),
(107219,130093,5,100,'Heals targets in Area of Effect for 82 - 100',1,2),
(107220,130093,7,100,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(107221,130093,7,100,'Dispels 62 levels of physical hostile effects on target',1,1),
(107222,130093,7,100,'Heals targets in Area of Effect for 105 - 129',1,2),
(107223,130093,9,100,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(107224,130093,9,100,'Dispels 64 levels of physical hostile effects on target',1,1),
(107225,130093,9,100,'Heals targets in Area of Effect for 109 - 134',1,2),
(107226,130094,1,100,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(107227,130094,1,100,'Dispels 49 levels of physical hostile effects on target',1,1),
(107228,130094,1,100,'Heals targets in Area of Effect for 93 - 114',1,2),
(107229,130094,2,100,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(107230,130094,2,100,'Dispels 52 levels of physical hostile effects on target',1,1),
(107231,130094,2,100,'Heals targets in Area of Effect for 98 - 120',1,2),
(107232,130094,3,100,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(107233,130094,3,100,'Dispels 55 levels of physical hostile effects on target',1,1),
(107234,130094,3,100,'Heals targets in Area of Effect for 104 - 127',1,2),
(107235,130094,4,100,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(107236,130094,4,100,'Dispels 60 levels of physical hostile effects on target',1,1),
(107237,130094,4,100,'Heals targets in Area of Effect for 114 - 139',1,2),
(107238,130094,5,100,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(107239,130094,5,100,'Dispels 66 levels of physical hostile effects on target',1,1),
(107240,130094,5,100,'Heals targets in Area of Effect for 124 - 152',1,2),
(107241,130094,7,100,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(107242,130094,7,100,'Dispels 85 levels of physical hostile effects on target',1,1),
(107243,130094,7,100,'Heals targets in Area of Effect for 159 - 195',1,2),
(107244,130094,9,100,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(107245,130094,9,100,'Dispels 88 levels of physical hostile effects on target',1,1),
(107246,130094,9,100,'Heals targets in Area of Effect for 166 - 202',1,2),
(107247,130095,1,100,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(107248,130095,1,100,'Dispels 63 levels of physical hostile effects on target',1,1),
(107249,130095,1,100,'Heals targets in Area of Effect for 127 - 155',1,2),
(107250,130095,2,100,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(107251,130095,2,100,'Dispels 67 levels of physical hostile effects on target',1,1),
(107252,130095,2,100,'Heals targets in Area of Effect for 134 - 164',1,2),
(107253,130095,3,100,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(107254,130095,3,100,'Dispels 70 levels of physical hostile effects on target',1,1),
(107255,130095,3,100,'Heals targets in Area of Effect for 141 - 173',1,2),
(107256,130095,4,100,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(107257,130095,4,100,'Dispels 77 levels of physical hostile effects on target',1,1),
(107258,130095,4,100,'Heals targets in Area of Effect for 155 - 190',1,2),
(107259,130095,5,100,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(107260,130095,5,100,'Dispels 84 levels of physical hostile effects on target',1,1),
(107261,130095,5,100,'Heals targets in Area of Effect for 170 - 207',1,2),
(107262,130095,7,100,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(107263,130095,7,100,'Dispels 108 levels of physical hostile effects on target',1,1),
(107264,130095,7,100,'Heals targets in Area of Effect for 218 - 266',1,2),
(107265,130095,9,100,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(107266,130095,9,100,'Dispels 112 levels of physical hostile effects on target',1,1),
(107267,130095,9,100,'Heals targets in Area of Effect for 226 - 276',1,2),
(107268,130096,1,100,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(107269,130096,1,100,'Dispels 75 levels of physical hostile effects on target',1,1),
(107270,130096,1,100,'Heals targets in Area of Effect for 169 - 207',1,2),
(107271,130096,2,100,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(107272,130096,2,100,'Dispels 79 levels of physical hostile effects on target',1,1),
(107273,130096,2,100,'Heals targets in Area of Effect for 179 - 218',1,2),
(107274,130096,3,100,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(107275,130096,3,100,'Dispels 83 levels of physical hostile effects on target',1,1),
(107276,130096,3,100,'Heals targets in Area of Effect for 188 - 230',1,2),
(107277,130096,4,100,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(107278,130096,4,100,'Dispels 91 levels of physical hostile effects on target',1,1),
(107279,130096,4,100,'Heals targets in Area of Effect for 207 - 253',1,2),
(107280,130096,5,100,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(107281,130096,5,100,'Dispels 100 levels of physical hostile effects on target',1,1),
(107282,130096,5,100,'Heals targets in Area of Effect for 226 - 276',1,2),
(107283,130096,7,100,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(107284,130096,7,100,'Dispels 128 levels of physical hostile effects on target',1,1),
(107285,130096,7,100,'Heals targets in Area of Effect for 290 - 354',1,2),
(107286,130096,9,100,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(107287,130096,9,100,'Dispels 133 levels of physical hostile effects on target',1,1),
(107288,130096,9,100,'Heals targets in Area of Effect for 301 - 368',1,2),
(107289,130097,1,100,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(107290,130097,1,100,'Dispels 84 levels of physical hostile effects on target',1,1),
(107291,130097,1,100,'Heals targets in Area of Effect for 213 - 260',1,2),
(107292,130097,4,100,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(107293,130097,4,100,'Dispels 103 levels of physical hostile effects on target',1,1),
(107294,130097,4,100,'Heals targets in Area of Effect for 260 - 318',1,2),
(107295,130097,5,100,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(107296,130097,5,100,'Dispels 113 levels of physical hostile effects on target',1,1),
(107297,130097,5,100,'Heals targets in Area of Effect for 284 - 347',1,2),
(107298,130097,7,100,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(107299,130097,7,100,'Dispels 144 levels of physical hostile effects on target',1,1),
(107300,130097,7,100,'Heals targets in Area of Effect for 365 - 446',1,2),
(107301,130097,9,100,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(107302,130097,9,100,'Dispels 150 levels of physical hostile effects on target',1,1),
(107303,130097,9,100,'Heals targets in Area of Effect for 379 - 463',1,2),
(107304,130098,1,100,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(107305,130098,1,100,'Dispels 94 levels of physical hostile effects on target',1,1),
(107306,130098,1,100,'Heals targets in Area of Effect for 237 - 290',1,2),
(107307,130098,4,100,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(107308,130098,4,100,'Dispels 115 levels of physical hostile effects on target',1,1),
(107309,130098,4,100,'Heals targets in Area of Effect for 290 - 355',1,2),
(107310,130098,5,100,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(107311,130098,5,100,'Dispels 126 levels of physical hostile effects on target',1,1),
(107312,130098,5,100,'Heals targets in Area of Effect for 316 - 387',1,2),
(107313,130098,7,100,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(107314,130098,7,100,'Dispels 161 levels of physical hostile effects on target',1,1),
(107315,130098,7,100,'Heals targets in Area of Effect for 406 - 496',1,2),
(107316,130098,9,100,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(107317,130098,9,100,'Dispels 167 levels of physical hostile effects on target',1,1),
(107318,130098,9,100,'Heals targets in Area of Effect for 422 - 516',1,2),
(107319,370108,1,100,'Increases Parry of group members (AE) by 7.3',0,0),
(107320,370108,2,100,'Increases Parry of group members (AE) by 7.7',0,0),
(107321,370108,3,100,'Increases Parry of group members (AE) by 8.1',0,0),
(107322,370108,4,100,'Increases Parry of group members (AE) by 8.9',0,0),
(107323,370108,5,100,'Increases Parry of group members (AE) by 9.7',0,0),
(107324,370108,7,100,'Increases Parry of group members (AE) by 12.5',0,0),
(107325,370108,9,100,'Increases Parry of group members (AE) by 13.0',0,0),
(107326,370109,1,100,'Increases Parry of group members (AE) by 13.0',0,0),
(107327,370109,2,100,'Increases Parry of group members (AE) by 13.7',0,0),
(107328,370109,3,100,'Increases Parry of group members (AE) by 14.4',0,0),
(107329,370109,4,100,'Increases Parry of group members (AE) by 15.8',0,0),
(107330,370109,5,100,'Increases Parry of group members (AE) by 17.3',0,0),
(107331,370109,7,100,'Increases Parry of group members (AE) by 22.2',0,0),
(107332,370109,9,100,'Increases Parry of group members (AE) by 23.0',0,0),
(107333,370109,10,100,'Increases Parry of group members (AE) by 24.2',0,0),
(107334,370110,1,100,'Increases Parry of group members (AE) by 18.6',0,0),
(107335,370110,2,100,'Increases Parry of group members (AE) by 19.7',0,0),
(107336,370110,3,100,'Increases Parry of group members (AE) by 20.7',0,0),
(107337,370110,4,100,'Increases Parry of group members (AE) by 22.8',0,0),
(107338,370110,5,100,'Increases Parry of group members (AE) by 24.8',0,0),
(107339,370110,7,100,'Increases Parry of group members (AE) by 31.9',0,0),
(107340,370110,9,100,'Increases Parry of group members (AE) by 33.1',0,0),
(107341,370111,1,100,'Increases Parry of group members (AE) by 24.3',0,0),
(107342,370111,2,100,'Increases Parry of group members (AE) by 25.6',0,0),
(107343,370111,3,100,'Increases Parry of group members (AE) by 27.0',0,0),
(107344,370111,4,100,'Increases Parry of group members (AE) by 29.7',0,0),
(107345,370111,5,100,'Increases Parry of group members (AE) by 32.4',0,0),
(107346,370111,7,100,'Increases Parry of group members (AE) by 41.6',0,0),
(107347,370111,9,100,'Increases Parry of group members (AE) by 43.2',0,0),
(107348,370112,1,100,'Increases Parry of group members (AE) by 30.0',0,0),
(107349,370112,2,100,'Increases Parry of group members (AE) by 31.6',0,0),
(107350,370112,3,100,'Increases Parry of group members (AE) by 33.3',0,0),
(107351,370112,4,100,'Increases Parry of group members (AE) by 36.6',0,0),
(107352,370112,5,100,'Increases Parry of group members (AE) by 40.0',0,0),
(107353,370112,7,100,'Increases Parry of group members (AE) by 51.3',0,0),
(107354,370112,9,100,'Increases Parry of group members (AE) by 53.3',0,0),
(107355,370113,1,100,'Increases Parry of group members (AE) by 35.8',0,0),
(107356,370113,4,100,'Increases Parry of group members (AE) by 43.7',0,0),
(107357,370113,5,100,'Increases Parry of group members (AE) by 47.7',0,0),
(107358,370113,7,100,'Increases Parry of group members (AE) by 61.2',0,0),
(107359,370113,9,100,'Increases Parry of group members (AE) by 63.6',0,0),
(107360,370114,1,100,'Increases Parry of group members (AE) by 42.5',0,0),
(107361,370114,4,100,'Increases Parry of group members (AE) by 52.0',0,0),
(107362,370114,5,100,'Increases Parry of group members (AE) by 56.7',0,0),
(107363,370114,7,100,'Increases Parry of group members (AE) by 72.8',0,0),
(107364,370114,9,100,'Increases Parry of group members (AE) by 75.6',0,0),
(107365,370115,1,100,'Inflicts 46 - 76 disease damage on target encounter',0,0),
(107366,370115,2,100,'Inflicts 48 - 81 disease damage on target encounter',0,0),
(107367,370115,3,100,'Inflicts 51 - 85 disease damage on target encounter',0,0),
(107368,370115,4,100,'Inflicts 56 - 93 disease damage on target encounter',0,0),
(107369,370115,5,100,'Inflicts 61 - 102 disease damage on target encounter',0,0),
(107370,370115,7,100,'Inflicts 78 - 131 disease damage on target encounter',0,0),
(107371,370115,9,100,'Inflicts 81 - 136 disease damage on target encounter',0,0),
(107372,370116,1,100,'Inflicts 93 - 155 disease damage on target encounter',0,0),
(107373,370116,2,100,'Inflicts 98 - 163 disease damage on target encounter',0,0),
(107374,370116,3,100,'Inflicts 103 - 172 disease damage on target encounter',0,0),
(107375,370116,4,100,'Inflicts 113 - 189 disease damage on target encounter',0,0),
(107376,370116,5,100,'Inflicts 124 - 206 disease damage on target encounter',0,0),
(107377,370116,7,100,'Inflicts 159 - 265 disease damage on target encounter',0,0),
(107378,370116,9,100,'Inflicts 165 - 275 disease damage on target encounter',0,0),
(107379,370117,1,100,'Inflicts 145 - 242 disease damage on target encounter',0,0),
(107380,370117,2,100,'Inflicts 153 - 256 disease damage on target encounter',0,0),
(107381,370117,3,100,'Inflicts 162 - 269 disease damage on target encounter',0,0),
(107382,370117,4,100,'Inflicts 178 - 296 disease damage on target encounter',0,0),
(107383,370117,5,100,'Inflicts 194 - 323 disease damage on target encounter',0,0),
(107384,370117,7,100,'Inflicts 249 - 415 disease damage on target encounter',0,0),
(107385,370117,9,100,'Inflicts 259 - 431 disease damage on target encounter',0,0),
(107386,370118,1,100,'Inflicts 208 - 347 disease damage on target encounter',0,0),
(107387,370118,2,100,'Inflicts 219 - 366 disease damage on target encounter',0,0),
(107388,370118,3,100,'Inflicts 231 - 385 disease damage on target encounter',0,0),
(107389,370118,4,100,'Inflicts 254 - 424 disease damage on target encounter',0,0),
(107390,370118,5,100,'Inflicts 277 - 462 disease damage on target encounter',0,0),
(107391,370118,7,100,'Inflicts 356 - 593 disease damage on target encounter',0,0),
(107392,370118,9,100,'Inflicts 370 - 616 disease damage on target encounter',0,0),
(107393,370119,1,100,'Inflicts 272 - 453 disease damage on target encounter',0,0),
(107394,370119,2,100,'Inflicts 287 - 478 disease damage on target encounter',0,0),
(107395,370119,3,100,'Inflicts 302 - 503 disease damage on target encounter',0,0),
(107396,370119,4,100,'Inflicts 332 - 553 disease damage on target encounter',0,0),
(107397,370119,5,100,'Inflicts 362 - 603 disease damage on target encounter',0,0),
(107398,370119,7,100,'Inflicts 465 - 774 disease damage on target encounter',0,0),
(107399,370119,9,100,'Inflicts 483 - 805 disease damage on target encounter',0,0),
(107400,370119,10,100,'Inflicts 507 - 845 disease damage on target encounter',0,0),
(107401,370120,1,100,'Inflicts 329 - 548 disease damage on target encounter',0,0),
(107402,370120,4,100,'Inflicts 402 - 670 disease damage on target encounter',0,0),
(107403,370120,5,100,'Inflicts 439 - 731 disease damage on target encounter',0,0),
(107404,370120,7,100,'Inflicts 563 - 938 disease damage on target encounter',0,0),
(107405,370120,9,100,'Inflicts 585 - 975 disease damage on target encounter',0,0),
(107406,370121,1,100,'Inflicts 390 - 650 disease damage on target encounter',0,0),
(107407,370121,4,100,'Inflicts 477 - 795 disease damage on target encounter',0,0),
(107408,370121,5,100,'Inflicts 520 - 867 disease damage on target encounter',0,0),
(107409,370121,7,100,'Inflicts 668 - 1113 disease damage on target encounter',0,0),
(107410,370121,9,100,'Inflicts 694 - 1156 disease damage on target encounter',0,0),
(107411,360117,1,100,'Increases Ability Reuse Speed of target by 22.5%',0,0),
(107412,360117,2,100,'Increases Ability Reuse Speed of target by 23.8%',0,0),
(107413,360117,3,100,'Increases Ability Reuse Speed of target by 25.0%',0,0),
(107414,360117,4,100,'Increases Ability Reuse Speed of target by 27.5%',0,0),
(107415,360117,5,100,'Increases Ability Reuse Speed of target by 30.0%',0,0),
(107416,360117,7,100,'Increases Ability Reuse Speed of target by 38.5%',0,0),
(107417,360117,9,100,'Increases Ability Reuse Speed of target by 40.0%',0,0),
(107418,100173,1,100,'Interrupts target',0,0),
(107419,100173,1,100,'Inflicts 6 - 9 divine damage on target',0,1),
(107420,100173,2,100,'Interrupts target',0,0),
(107421,100173,2,100,'Inflicts 6 - 10 divine damage on target',0,1),
(107422,100173,3,100,'Interrupts target',0,0),
(107423,100173,3,100,'Inflicts 6 - 10 divine damage on target',0,1),
(107424,100173,4,100,'Interrupts target',0,0),
(107425,100173,4,100,'Inflicts 7 - 11 divine damage on target',0,1),
(107426,100173,5,100,'Interrupts target',0,0),
(107427,100173,5,100,'Inflicts 7 - 12 divine damage on target',0,1),
(107428,100173,7,100,'Interrupts target',0,0),
(107429,100173,7,100,'Inflicts 10 - 16 divine damage on target',0,1),
(107430,100173,9,100,'Interrupts target',0,0),
(107431,100173,9,100,'Inflicts 10 - 17 divine damage on target',0,1),
(107432,100174,1,100,'Interrupts target',0,0),
(107433,100174,1,100,'Inflicts 32 - 53 divine damage on target',0,1),
(107434,100174,2,100,'Interrupts target',0,0),
(107435,100174,2,100,'Inflicts 33 - 56 divine damage on target',0,1),
(107436,100174,3,100,'Interrupts target',0,0),
(107437,100174,3,100,'Inflicts 35 - 59 divine damage on target',0,1),
(107438,100174,4,100,'Interrupts target',0,0),
(107439,100174,4,100,'Inflicts 39 - 65 divine damage on target',0,1),
(107440,100174,5,100,'Interrupts target',0,0),
(107441,100174,5,100,'Inflicts 42 - 70 divine damage on target',0,1),
(107442,100174,7,100,'Interrupts target',0,0),
(107443,100174,7,100,'Inflicts 54 - 90 divine damage on target',0,1),
(107444,100174,9,100,'Interrupts target',0,0),
(107445,100174,9,100,'Inflicts 56 - 94 divine damage on target',0,1),
(107446,100175,1,100,'Interrupts target',0,0),
(107447,100175,1,100,'Inflicts 68 - 114 divine damage on target',0,1),
(107448,100175,2,100,'Interrupts target',0,0),
(107449,100175,2,100,'Inflicts 72 - 120 divine damage on target',0,1),
(107450,100175,3,100,'Interrupts target',0,0),
(107451,100175,3,100,'Inflicts 76 - 126 divine damage on target',0,1),
(107452,100175,4,100,'Interrupts target',0,0),
(107453,100175,4,100,'Inflicts 83 - 139 divine damage on target',0,1),
(107454,100175,5,100,'Interrupts target',0,0),
(107455,100175,5,100,'Inflicts 91 - 151 divine damage on target',0,1),
(107456,100175,7,100,'Interrupts target',0,0),
(107457,100175,7,100,'Inflicts 117 - 194 divine damage on target',0,1),
(107458,100175,9,100,'Interrupts target',0,0),
(107459,100175,9,100,'Inflicts 121 - 202 divine damage on target',0,1),
(107460,100176,1,100,'Interrupts target',0,0),
(107461,100176,1,100,'Inflicts 109 - 181 divine damage on target',0,1),
(107462,100176,2,100,'Interrupts target',0,0),
(107463,100176,2,100,'Inflicts 115 - 191 divine damage on target',0,1),
(107464,100176,3,100,'Interrupts target',0,0),
(107465,100176,3,100,'Inflicts 121 - 201 divine damage on target',0,1),
(107466,100176,4,100,'Interrupts target',0,0),
(107467,100176,4,100,'Inflicts 133 - 221 divine damage on target',0,1),
(107468,100176,5,100,'Interrupts target',0,0),
(107469,100176,5,100,'Inflicts 145 - 241 divine damage on target',0,1),
(107470,100176,7,100,'Interrupts target',0,0),
(107471,100176,7,100,'Inflicts 186 - 310 divine damage on target',0,1),
(107472,100176,9,100,'Interrupts target',0,0),
(107473,100176,9,100,'Inflicts 193 - 322 divine damage on target',0,1),
(107474,100177,1,100,'Interrupts target',0,0),
(107475,100177,1,100,'Inflicts 325 - 542 divine damage on target',0,1),
(107476,100177,4,100,'Interrupts target',0,0),
(107477,100177,4,100,'Inflicts 398 - 663 divine damage on target',0,1),
(107478,100177,5,100,'Interrupts target',0,0),
(107479,100177,5,100,'Inflicts 434 - 723 divine damage on target',0,1),
(107480,100177,7,100,'Interrupts target',0,0),
(107481,100177,7,100,'Inflicts 557 - 928 divine damage on target',0,1),
(107482,100177,9,100,'Interrupts target',0,0),
(107483,100177,9,100,'Inflicts 579 - 964 divine damage on target',0,1),
(107484,100178,1,100,'Interrupts target',0,0),
(107485,100178,1,100,'Inflicts 158 - 264 divine damage on target',0,1),
(107486,100178,2,100,'Interrupts target',0,0),
(107487,100178,2,100,'Inflicts 167 - 278 divine damage on target',0,1),
(107488,100178,3,100,'Interrupts target',0,0),
(107489,100178,3,100,'Inflicts 176 - 293 divine damage on target',0,1),
(107490,100178,4,100,'Interrupts target',0,0),
(107491,100178,4,100,'Inflicts 193 - 322 divine damage on target',0,1),
(107492,100178,5,100,'Interrupts target',0,0),
(107493,100178,5,100,'Inflicts 211 - 352 divine damage on target',0,1),
(107494,100178,7,100,'Interrupts target',0,0),
(107495,100178,7,100,'Inflicts 271 - 451 divine damage on target',0,1),
(107496,100178,9,100,'Interrupts target',0,0),
(107497,100178,9,100,'Inflicts 281 - 469 divine damage on target',0,1),
(107498,100179,1,100,'Interrupts target',0,0),
(107499,100179,1,100,'Inflicts 208 - 347 divine damage on target',0,1),
(107500,100179,2,100,'Interrupts target',0,0),
(107501,100179,2,100,'Inflicts 220 - 366 divine damage on target',0,1),
(107502,100179,3,100,'Interrupts target',0,0),
(107503,100179,3,100,'Inflicts 231 - 385 divine damage on target',0,1),
(107504,100179,4,100,'Interrupts target',0,0),
(107505,100179,4,100,'Inflicts 254 - 424 divine damage on target',0,1),
(107506,100179,5,100,'Interrupts target',0,0),
(107507,100179,5,100,'Inflicts 277 - 462 divine damage on target',0,1),
(107508,100179,7,100,'Interrupts target',0,0),
(107509,100179,7,100,'Inflicts 356 - 593 divine damage on target',0,1),
(107510,100179,9,100,'Interrupts target',0,0),
(107511,100179,9,100,'Inflicts 370 - 616 divine damage on target',0,1),
(107512,100180,1,100,'Interrupts target',0,0),
(107513,100180,1,100,'Inflicts 252 - 420 divine damage on target',0,1),
(107514,100180,2,100,'Interrupts target',0,0),
(107515,100180,2,100,'Inflicts 266 - 443 divine damage on target',0,1),
(107516,100180,3,100,'Interrupts target',0,0),
(107517,100180,3,100,'Inflicts 280 - 467 divine damage on target',0,1),
(107518,100180,4,100,'Interrupts target',0,0),
(107519,100180,4,100,'Inflicts 308 - 513 divine damage on target',0,1),
(107520,100180,5,100,'Interrupts target',0,0),
(107521,100180,5,100,'Inflicts 336 - 560 divine damage on target',0,1),
(107522,100180,7,100,'Interrupts target',0,0),
(107523,100180,7,100,'Inflicts 431 - 719 divine damage on target',0,1),
(107524,100180,9,100,'Interrupts target',0,0),
(107525,100180,9,100,'Inflicts 448 - 747 divine damage on target',0,1),
(107526,100181,1,100,'Interrupts target',0,0),
(107527,100181,1,100,'Inflicts 303 - 506 divine damage on target',0,1),
(107528,100181,4,100,'Interrupts target',0,0),
(107529,100181,4,100,'Inflicts 371 - 618 divine damage on target',0,1),
(107530,100181,5,100,'Interrupts target',0,0),
(107531,100181,5,100,'Inflicts 404 - 674 divine damage on target',0,1),
(107532,100181,7,100,'Interrupts target',0,0),
(107533,100181,7,100,'Inflicts 519 - 865 divine damage on target',0,1),
(107534,100181,9,100,'Interrupts target',0,0),
(107535,100181,9,100,'Inflicts 539 - 899 divine damage on target',0,1),
(107536,170088,1,100,'Roots target',0,0),
(107537,170088,1,100,'5% chance to dispel when target takes damage',0,1),
(107538,170088,1,100,'Does not affect Epic targets',0,2),
(107539,170088,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(107540,170088,2,100,'Roots target',0,0),
(107541,170088,2,100,'5% chance to dispel when target takes damage',0,1),
(107542,170088,2,100,'Does not affect Epic targets',0,2),
(107543,170088,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(107544,170088,3,100,'Roots target',0,0),
(107545,170088,3,100,'5% chance to dispel when target takes damage',0,1),
(107546,170088,3,100,'Does not affect Epic targets',0,2),
(107547,170088,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(107548,170088,4,100,'Roots target',0,0),
(107549,170088,4,100,'5% chance to dispel when target takes damage',0,1),
(107550,170088,4,100,'Does not affect Epic targets',0,2),
(107551,170088,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(107552,170088,5,100,'Roots target',0,0),
(107553,170088,5,100,'5% chance to dispel when target takes damage',0,1),
(107554,170088,5,100,'Does not affect Epic targets',0,2),
(107555,170088,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(107556,170088,7,100,'Roots target',0,0),
(107557,170088,7,100,'5% chance to dispel when target takes damage',0,1),
(107558,170088,7,100,'Does not affect Epic targets',0,2),
(107559,170088,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(107560,170088,9,100,'Roots target',0,0),
(107561,170088,9,100,'5% chance to dispel when target takes damage',0,1),
(107562,170088,9,100,'Does not affect Epic targets',0,2),
(107563,170088,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(107564,170089,1,100,'Roots target',0,0),
(107565,170089,1,100,'5% chance to dispel when target takes damage',0,1),
(107566,170089,1,100,'Does not affect Epic targets',0,2),
(107567,170089,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(107568,170089,2,100,'Roots target',0,0),
(107569,170089,2,100,'5% chance to dispel when target takes damage',0,1),
(107570,170089,2,100,'Does not affect Epic targets',0,2),
(107571,170089,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(107572,170089,3,100,'Roots target',0,0),
(107573,170089,3,100,'5% chance to dispel when target takes damage',0,1),
(107574,170089,3,100,'Does not affect Epic targets',0,2),
(107575,170089,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(107576,170089,4,100,'Roots target',0,0),
(107577,170089,4,100,'5% chance to dispel when target takes damage',0,1),
(107578,170089,4,100,'Does not affect Epic targets',0,2),
(107579,170089,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(107580,170089,5,100,'Roots target',0,0),
(107581,170089,5,100,'5% chance to dispel when target takes damage',0,1),
(107582,170089,5,100,'Does not affect Epic targets',0,2),
(107583,170089,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(107584,170089,7,100,'Roots target',0,0),
(107585,170089,7,100,'5% chance to dispel when target takes damage',0,1),
(107586,170089,7,100,'Does not affect Epic targets',0,2),
(107587,170089,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(107588,170089,9,100,'Roots target',0,0),
(107589,170089,9,100,'5% chance to dispel when target takes damage',0,1),
(107590,170089,9,100,'Does not affect Epic targets',0,2),
(107591,170089,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(107592,170090,1,100,'Roots target',0,0),
(107593,170090,1,100,'5% chance to dispel when target takes damage',0,1),
(107594,170090,1,100,'Does not affect Epic targets',0,2),
(107595,170090,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(107596,170090,2,100,'Roots target',0,0),
(107597,170090,2,100,'5% chance to dispel when target takes damage',0,1),
(107598,170090,2,100,'Does not affect Epic targets',0,2),
(107599,170090,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(107600,170090,3,100,'Roots target',0,0),
(107601,170090,3,100,'5% chance to dispel when target takes damage',0,1),
(107602,170090,3,100,'Does not affect Epic targets',0,2),
(107603,170090,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(107604,170090,4,100,'Roots target',0,0),
(107605,170090,4,100,'5% chance to dispel when target takes damage',0,1),
(107606,170090,4,100,'Does not affect Epic targets',0,2),
(107607,170090,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(107608,170090,5,100,'Roots target',0,0),
(107609,170090,5,100,'5% chance to dispel when target takes damage',0,1),
(107610,170090,5,100,'Does not affect Epic targets',0,2),
(107611,170090,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(107612,170090,7,100,'Roots target',0,0),
(107613,170090,7,100,'5% chance to dispel when target takes damage',0,1),
(107614,170090,7,100,'Does not affect Epic targets',0,2),
(107615,170090,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(107616,170090,9,100,'Roots target',0,0),
(107617,170090,9,100,'5% chance to dispel when target takes damage',0,1),
(107618,170090,9,100,'Does not affect Epic targets',0,2),
(107619,170090,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(107620,170091,1,100,'Roots target',0,0),
(107621,170091,1,100,'5% chance to dispel when target takes damage',0,1),
(107622,170091,1,100,'Does not affect Epic targets',0,2),
(107623,170091,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(107624,170091,2,100,'Roots target',0,0),
(107625,170091,2,100,'5% chance to dispel when target takes damage',0,1),
(107626,170091,2,100,'Does not affect Epic targets',0,2),
(107627,170091,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(107628,170091,3,100,'Roots target',0,0),
(107629,170091,3,100,'5% chance to dispel when target takes damage',0,1),
(107630,170091,3,100,'Does not affect Epic targets',0,2),
(107631,170091,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(107632,170091,4,100,'Roots target',0,0),
(107633,170091,4,100,'5% chance to dispel when target takes damage',0,1),
(107634,170091,4,100,'Does not affect Epic targets',0,2),
(107635,170091,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(107636,170091,5,100,'Roots target',0,0),
(107637,170091,5,100,'5% chance to dispel when target takes damage',0,1),
(107638,170091,5,100,'Does not affect Epic targets',0,2),
(107639,170091,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(107640,170091,7,100,'Roots target',0,0),
(107641,170091,7,100,'5% chance to dispel when target takes damage',0,1),
(107642,170091,7,100,'Does not affect Epic targets',0,2),
(107643,170091,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(107644,170091,9,100,'Roots target',0,0),
(107645,170091,9,100,'5% chance to dispel when target takes damage',0,1),
(107646,170091,9,100,'Does not affect Epic targets',0,2),
(107647,170091,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(107648,170092,1,100,'Roots target',0,0),
(107649,170092,1,100,'5% chance to dispel when target takes damage',0,1),
(107650,170092,1,100,'Does not affect Epic targets',0,2),
(107651,170092,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(107652,170092,2,100,'Roots target',0,0),
(107653,170092,2,100,'5% chance to dispel when target takes damage',0,1),
(107654,170092,2,100,'Does not affect Epic targets',0,2),
(107655,170092,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(107656,170092,3,100,'Roots target',0,0),
(107657,170092,3,100,'5% chance to dispel when target takes damage',0,1),
(107658,170092,3,100,'Does not affect Epic targets',0,2),
(107659,170092,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(107660,170092,4,100,'Roots target',0,0),
(107661,170092,4,100,'5% chance to dispel when target takes damage',0,1),
(107662,170092,4,100,'Does not affect Epic targets',0,2),
(107663,170092,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(107664,170092,5,100,'Roots target',0,0),
(107665,170092,5,100,'5% chance to dispel when target takes damage',0,1),
(107666,170092,5,100,'Does not affect Epic targets',0,2),
(107667,170092,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(107668,170092,7,100,'Roots target',0,0),
(107669,170092,7,100,'5% chance to dispel when target takes damage',0,1),
(107670,170092,7,100,'Does not affect Epic targets',0,2),
(107671,170092,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(107672,170092,9,100,'Roots target',0,0),
(107673,170092,9,100,'5% chance to dispel when target takes damage',0,1),
(107674,170092,9,100,'Does not affect Epic targets',0,2),
(107675,170092,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(107676,170093,1,100,'Roots target',0,0),
(107677,170093,1,100,'5% chance to dispel when target takes damage',0,1),
(107678,170093,1,100,'Does not affect Epic targets',0,2),
(107679,170093,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(107680,170093,2,100,'Roots target',0,0),
(107681,170093,2,100,'5% chance to dispel when target takes damage',0,1),
(107682,170093,2,100,'Does not affect Epic targets',0,2),
(107683,170093,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(107684,170093,3,100,'Roots target',0,0),
(107685,170093,3,100,'5% chance to dispel when target takes damage',0,1),
(107686,170093,3,100,'Does not affect Epic targets',0,2),
(107687,170093,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(107688,170093,4,100,'Roots target',0,0),
(107689,170093,4,100,'5% chance to dispel when target takes damage',0,1),
(107690,170093,4,100,'Does not affect Epic targets',0,2),
(107691,170093,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(107692,170093,5,100,'Roots target',0,0),
(107693,170093,5,100,'5% chance to dispel when target takes damage',0,1),
(107694,170093,5,100,'Does not affect Epic targets',0,2),
(107695,170093,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(107696,170093,7,100,'Roots target',0,0),
(107697,170093,7,100,'5% chance to dispel when target takes damage',0,1),
(107698,170093,7,100,'Does not affect Epic targets',0,2),
(107699,170093,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(107700,170093,9,100,'Roots target',0,0),
(107701,170093,9,100,'5% chance to dispel when target takes damage',0,1),
(107702,170093,9,100,'Does not affect Epic targets',0,2),
(107703,170093,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(107704,170094,1,100,'Roots target',0,0),
(107705,170094,1,100,'5% chance to dispel when target takes damage',0,1),
(107706,170094,1,100,'Does not affect Epic targets',0,2),
(107707,170094,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(107708,170094,4,100,'Roots target',0,0),
(107709,170094,4,100,'5% chance to dispel when target takes damage',0,1),
(107710,170094,4,100,'Does not affect Epic targets',0,2),
(107711,170094,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(107712,170094,5,100,'Roots target',0,0),
(107713,170094,5,100,'5% chance to dispel when target takes damage',0,1),
(107714,170094,5,100,'Does not affect Epic targets',0,2),
(107715,170094,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(107716,170094,7,100,'Roots target',0,0),
(107717,170094,7,100,'5% chance to dispel when target takes damage',0,1),
(107718,170094,7,100,'Does not affect Epic targets',0,2),
(107719,170094,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(107720,170094,9,100,'Roots target',0,0),
(107721,170094,9,100,'5% chance to dispel when target takes damage',0,1),
(107722,170094,9,100,'Does not affect Epic targets',0,2),
(107723,170094,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(107724,190067,1,100,'Decreases DPS of target by 15.9',0,0),
(107725,190067,2,100,'Decreases DPS of target by 16.8',0,0),
(107726,190067,3,100,'Decreases DPS of target by 17.7',0,0),
(107727,190067,4,100,'Decreases DPS of target by 19.5',0,0),
(107728,190067,5,100,'Decreases Damage Per Second of target by 21.2',0,0),
(107729,190067,7,100,'Decreases DPS of target by 27.3',0,0),
(107730,190067,9,100,'Decreases DPS of target by 28.3',0,0),
(107731,190068,1,100,'Decreases DPS of target by 18.9',0,0),
(107732,190068,2,100,'Decreases DPS of target by 19.9',0,0),
(107733,190068,3,100,'Decreases DPS of target by 21.0',0,0),
(107734,190068,4,100,'Decreases DPS of target by 23.1',0,0),
(107735,190068,5,100,'Decreases DPS of target by 25.1',0,0),
(107736,190068,7,100,'Decreases DPS of target by 32.3',0,0),
(107737,190068,9,100,'Decreases DPS of target by 33.5',0,0),
(107738,190069,1,100,'Decreases DPS of target by 21.8',0,0),
(107739,190069,2,100,'Decreases DPS of target by 23.0',0,0),
(107740,190069,3,100,'Decreases Damage Per Second of target by 24.2',0,0),
(107741,190069,4,100,'Decreases Damage Per Second of target by 26.7',0,0),
(107742,190069,5,100,'Decreases DPS of target by 29.1',0,0),
(107743,190069,7,100,'Decreases DPS of target by 37.3',0,0),
(107744,190069,9,100,'Decreases Damage Per Second of target by 38.8',0,0),
(107745,370122,1,100,'Inflicts 48 - 80 disease damage on target',0,0),
(107746,370122,1,100,'Dazes target',0,1),
(107747,370122,1,100,'If Target is not Epic',1,2),
(107748,370122,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(107749,370122,2,100,'Inflicts 51 - 85 disease damage on target',0,0),
(107750,370122,2,100,'Dazes target',0,1),
(107751,370122,2,100,'If Target is not Epic',1,2),
(107752,370122,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(107753,370122,3,100,'Inflicts 54 - 89 disease damage on target',0,0),
(107754,370122,3,100,'Dazes target',0,1),
(107755,370122,3,100,'If Target is not Epic',1,2),
(107756,370122,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(107757,370122,4,100,'Inflicts 59 - 98 disease damage on target',0,0),
(107758,370122,4,100,'Dazes target',0,1),
(107759,370122,4,100,'If Target is not Epic',1,2),
(107760,370122,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(107761,370122,5,100,'Inflicts 64 - 107 disease damage on target',0,0),
(107762,370122,5,100,'Dazes target',0,1),
(107763,370122,5,100,'If Target is not Epic',1,2),
(107764,370122,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(107765,370122,7,100,'Inflicts 83 - 138 disease damage on target',0,0),
(107766,370122,7,100,'Dazes target',0,1),
(107767,370122,7,100,'If Target is not Epic',1,2),
(107768,370122,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(107769,370122,9,100,'Inflicts 86 - 143 disease damage on target',0,0),
(107770,370122,9,100,'Dazes target',0,1),
(107771,370122,9,100,'If Target is not Epic',1,2),
(107772,370122,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(107773,370122,10,100,'Inflicts 90 - 150 disease damage on target',0,0),
(107774,370122,10,100,'Dazes target',0,1),
(107775,370122,10,100,'If Target is not Epic',1,2),
(107776,370122,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(107777,370123,1,100,'Inflicts 88 - 147 disease damage on target',0,0),
(107778,370123,1,100,'Dazes target',0,1),
(107779,370123,1,100,'If Target is not Epic',1,2),
(107780,370123,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(107781,370123,2,100,'Inflicts 93 - 155 disease damage on target',0,0),
(107782,370123,2,100,'Dazes target',0,1),
(107783,370123,2,100,'If Target is not Epic',1,2),
(107784,370123,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(107785,370123,3,100,'Inflicts 98 - 163 disease damage on target',0,0),
(107786,370123,3,100,'Dazes target',0,1),
(107787,370123,3,100,'If Target is not Epic',1,2),
(107788,370123,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(107789,370123,4,100,'Inflicts 108 - 179 disease damage on target',0,0),
(107790,370123,4,100,'Dazes target',0,1),
(107791,370123,4,100,'If Target is not Epic',1,2),
(107792,370123,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(107793,370123,5,100,'Inflicts 117 - 196 disease damage on target',0,0),
(107794,370123,5,100,'Dazes target',0,1),
(107795,370123,5,100,'If Target is not Epic',1,2),
(107796,370123,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(107797,370123,7,100,'Inflicts 151 - 251 disease damage on target',0,0),
(107798,370123,7,100,'Dazes target',0,1),
(107799,370123,7,100,'If Target is not Epic',1,2),
(107800,370123,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(107801,370123,9,100,'Inflicts 156 - 261 disease damage on target',0,0),
(107802,370123,9,100,'Dazes target',0,1),
(107803,370123,9,100,'If Target is not Epic',1,2),
(107804,370123,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(107805,370123,10,100,'Inflicts 164 - 274 disease damage on target',0,0),
(107806,370123,10,100,'Dazes target',0,1),
(107807,370123,10,100,'If Target is not Epic',1,2),
(107808,370123,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(107809,370124,1,100,'Inflicts 133 - 222 disease damage on target',0,0),
(107810,370124,1,100,'Dazes target',0,1),
(107811,370124,1,100,'If Target is not Epic',1,2),
(107812,370124,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(107813,370124,2,100,'Inflicts 141 - 235 disease damage on target',0,0),
(107814,370124,2,100,'Dazes target',0,1),
(107815,370124,2,100,'If Target is not Epic',1,2),
(107816,370124,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(107817,370124,3,100,'Inflicts 148 - 247 disease damage on target',0,0),
(107818,370124,3,100,'Dazes target',0,1),
(107819,370124,3,100,'If Target is not Epic',1,2),
(107820,370124,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(107821,370124,4,100,'Inflicts 163 - 272 disease damage on target',0,0),
(107822,370124,4,100,'Dazes target',0,1),
(107823,370124,4,100,'If Target is not Epic',1,2),
(107824,370124,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(107825,370124,5,100,'Inflicts 178 - 297 disease damage on target',0,0),
(107826,370124,5,100,'Dazes target',0,1),
(107827,370124,5,100,'If Target is not Epic',1,2),
(107828,370124,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(107829,370124,7,100,'Inflicts 228 - 381 disease damage on target',0,0),
(107830,370124,7,100,'Dazes target',0,1),
(107831,370124,7,100,'If Target is not Epic',1,2),
(107832,370124,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(107833,370124,9,100,'Inflicts 237 - 395 disease damage on target',0,0),
(107834,370124,9,100,'Dazes target',0,1),
(107835,370124,9,100,'If Target is not Epic',1,2),
(107836,370124,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(107837,370124,10,100,'Inflicts 249 - 415 disease damage on target',0,0),
(107838,370124,10,100,'Dazes target',0,1),
(107839,370124,10,100,'If Target is not Epic',1,2),
(107840,370124,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(107841,370125,1,100,'Inflicts 183 - 305 disease damage on target',0,0),
(107842,370125,1,100,'Dazes target',0,1),
(107843,370125,1,100,'If Target is not Epic',1,2),
(107844,370125,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(107845,370125,2,100,'Inflicts 193 - 322 disease damage on target',0,0),
(107846,370125,2,100,'Dazes target',0,1),
(107847,370125,2,100,'If Target is not Epic',1,2),
(107848,370125,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(107849,370125,3,100,'Inflicts 203 - 339 disease damage on target',0,0),
(107850,370125,3,100,'Dazes target',0,1),
(107851,370125,3,100,'If Target is not Epic',1,2),
(107852,370125,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(107853,370125,4,100,'Inflicts 224 - 373 disease damage on target',0,0),
(107854,370125,4,100,'Dazes target',0,1),
(107855,370125,4,100,'If Target is not Epic',1,2),
(107856,370125,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(107857,370125,5,100,'Inflicts 244 - 407 disease damage on target',0,0),
(107858,370125,5,100,'Dazes target',0,1),
(107859,370125,5,100,'If Target is not Epic',1,2),
(107860,370125,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(107861,370125,7,100,'Inflicts 313 - 522 disease damage on target',0,0),
(107862,370125,7,100,'Dazes target',0,1),
(107863,370125,7,100,'If Target is not Epic',1,2),
(107864,370125,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(107865,370125,9,100,'Inflicts 326 - 543 disease damage on target',0,0),
(107866,370125,9,100,'Dazes target',0,1),
(107867,370125,9,100,'If Target is not Epic',1,2),
(107868,370125,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(107869,370125,10,100,'Inflicts 342 - 570 disease damage on target',0,0),
(107870,370125,10,100,'Dazes target',0,1),
(107871,370125,10,100,'If Target is not Epic',1,2),
(107872,370125,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(107873,370126,1,100,'Inflicts 229 - 382 disease damage on target',0,0),
(107874,370126,1,100,'Dazes target',0,1),
(107875,370126,1,100,'If Target is not Epic',1,2),
(107876,370126,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(107877,370126,2,100,'Inflicts 242 - 404 disease damage on target',0,0),
(107878,370126,2,100,'Dazes target',0,1),
(107879,370126,2,100,'If Target is not Epic',1,2),
(107880,370126,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(107881,370126,3,100,'Inflicts 255 - 425 disease damage on target',0,0),
(107882,370126,3,100,'Dazes target',0,1),
(107883,370126,3,100,'If Target is not Epic',1,2),
(107884,370126,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(107885,370126,4,100,'Inflicts 280 - 467 disease damage on target',0,0),
(107886,370126,4,100,'Dazes target',0,1),
(107887,370126,4,100,'If Target is not Epic',1,2),
(107888,370126,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(107889,370126,5,100,'Inflicts 306 - 510 disease damage on target',0,0),
(107890,370126,5,100,'Dazes target',0,1),
(107891,370126,5,100,'If Target is not Epic',1,2),
(107892,370126,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(107893,370126,7,100,'Inflicts 393 - 654 disease damage on target',0,0),
(107894,370126,7,100,'Dazes target',0,1),
(107895,370126,7,100,'If Target is not Epic',1,2),
(107896,370126,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(107897,370126,9,100,'Inflicts 408 - 680 disease damage on target',0,0),
(107898,370126,9,100,'Dazes target',0,1),
(107899,370126,9,100,'If Target is not Epic',1,2),
(107900,370126,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(107901,370127,1,100,'Inflicts 277 - 462 disease damage on target',0,0),
(107902,370127,1,100,'Dazes target',0,1),
(107903,370127,1,100,'If Target is not Epic',1,2),
(107904,370127,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(107905,370127,4,100,'Inflicts 339 - 565 disease damage on target',0,0),
(107906,370127,4,100,'Dazes target',0,1),
(107907,370127,4,100,'If Target is not Epic',1,2),
(107908,370127,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(107909,370127,5,100,'Inflicts 370 - 616 disease damage on target',0,0),
(107910,370127,5,100,'Dazes target',0,1),
(107911,370127,5,100,'If Target is not Epic',1,2),
(107912,370127,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(107913,370127,7,100,'Inflicts 474 - 791 disease damage on target',0,0),
(107914,370127,7,100,'Dazes target',0,1),
(107915,370127,7,100,'If Target is not Epic',1,2),
(107916,370127,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(107917,370127,9,100,'Inflicts 493 - 822 disease damage on target',0,0),
(107918,370127,9,100,'Dazes target',0,1),
(107919,370127,9,100,'If Target is not Epic',1,2),
(107920,370127,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(107921,370128,1,100,'Inflicts 316 - 527 disease damage on target',0,0),
(107922,370128,1,100,'Dazes target',0,1),
(107923,370128,1,100,'If Target is not Epic',1,2),
(107924,370128,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(107925,370128,4,100,'Inflicts 386 - 644 disease damage on target',0,0),
(107926,370128,4,100,'Dazes target',0,1),
(107927,370128,4,100,'If Target is not Epic',1,2),
(107928,370128,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(107929,370128,5,100,'Inflicts 421 - 702 disease damage on target',0,0),
(107930,370128,5,100,'Dazes target',0,1),
(107931,370128,5,100,'If Target is not Epic',1,2),
(107932,370128,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(107933,370128,7,100,'Inflicts 541 - 901 disease damage on target',0,0),
(107934,370128,7,100,'Dazes target',0,1),
(107935,370128,7,100,'If Target is not Epic',1,2),
(107936,370128,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(107937,370128,9,100,'Inflicts 562 - 936 disease damage on target',0,0),
(107938,370128,9,100,'Dazes target',0,1),
(107939,370128,9,100,'If Target is not Epic',1,2),
(107940,370128,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(107941,2000504,1,100,'Inflicts 1 - 2 piercing damage on target',0,0),
(107942,2000504,1,100,'Inflicts 1 poison damage on target every 8 seconds',0,1),
(107943,2000505,1,100,'Inflicts 1 - 2 crushing damage on target',0,0),
(107944,2000505,1,100,'Stuns target',0,1),
(107945,2000505,1,100,'Epic targets gain an immunity to Stun effects of 7.5 seconds and duration is reduced to 0.8 seconds.',0,2),
(107946,2000505,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(107947,2000506,1,100,'Inflicts 7 - 9 crushing damage on target',0,0),
(107948,2000506,1,100,'Stuns target',0,1),
(107949,2000506,1,100,'Epic targets gain an immunity to Stun effects of 3.7 seconds and duration is reduced to 0.4 seconds.',0,2),
(107950,2000506,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(107951,100182,1,100,'Heals target for 42.1 - 51.5% of max health',0,0),
(107952,100182,1,100,'This effect cannot be critically applied.',1,1),
(107953,100182,1,100,'Increases Max Health of target by 96.7',0,2),
(107954,100182,1,100,'Increases Mitigation of target vs physical damage by 180',0,3),
(107955,100182,1,100,'The healing of this spell cannot be modified except by direct means',0,4),
(107956,100182,2,100,'Heals target for 44.5 - 54.3% of max health',0,0),
(107957,100182,2,100,'This effect cannot be critically applied.',1,1),
(107958,100182,2,100,'Increases Max Health of target by 102.1',0,2),
(107959,100182,2,100,'Increases Mitigation of target vs physical damage by 190',0,3),
(107960,100182,2,100,'The healing of this spell cannot be modified except by direct means',0,4),
(107961,100182,3,100,'Heals target for 46.8 - 57.2% of max health',0,0),
(107962,100182,3,100,'This effect cannot be critically applied.',1,1),
(107963,100182,3,100,'Increases Max Health of target by 107.5',0,2),
(107964,100182,3,100,'Increases Mitigation of target vs physical damage by 200',0,3),
(107965,100182,3,100,'The healing of this spell cannot be modified except by direct means',0,4),
(107966,100182,4,100,'Heals target for 51.5 - 62.9% of max health',0,0),
(107967,100182,4,100,'This effect cannot be critically applied.',1,1),
(107968,100182,4,100,'Increases Max Health of target by 118.2',0,2),
(107969,100182,4,100,'Increases Mitigation of target vs physical damage by 220',0,3),
(107970,100182,4,100,'The healing of this spell cannot be modified except by direct means',0,4),
(107971,100182,5,100,'Heals target for 30.3 - 37.1% of max health',0,0),
(107972,100182,5,100,'This effect cannot be critically applied.',1,1),
(107973,100182,5,100,'Increases Max Health of target by 129.0',0,2),
(107974,100182,5,100,'Increases Mitigation of target vs physical damage by 240',0,3),
(107975,100182,5,100,'The healing of this spell cannot be modified except by direct means',0,4),
(107976,100182,7,100,'Heals target for 72.1 - 88.1% of max health',0,0),
(107977,100182,7,100,'This effect cannot be critically applied.',1,1),
(107978,100182,7,100,'Increases Max Health of target by 165.6',0,2),
(107979,100182,7,100,'Increases Mitigation of target vs physical damage by 308',0,3),
(107980,100182,7,100,'The healing of this spell cannot be modified except by direct means',0,4),
(107981,100182,9,100,'Heals target for 74.9 - 91.5% of max health',0,0),
(107982,100182,9,100,'This effect cannot be critically applied.',1,1),
(107983,100182,9,100,'Increases Max Health of target by 172.0',0,2),
(107984,100182,9,100,'Increases Mitigation of target vs physical damage by 320',0,3),
(107985,100182,9,100,'The healing of this spell cannot be modified except by direct means',0,4),
(107986,100183,1,100,'Heals target for 42.1 - 51.5% of max health',0,0),
(107987,100183,1,100,'This effect cannot be critically applied.',1,1),
(107988,100183,1,100,'Increases Max Health of target by 233.8',0,2),
(107989,100183,1,100,'Increases Mitigation of target vs physical damage by 306',0,3),
(107990,100183,1,100,'The healing of this spell cannot be modified except by direct means',0,4),
(107991,100183,2,100,'Heals target for 44.5 - 54.3% of max health',0,0),
(107992,100183,2,100,'This effect cannot be critically applied.',1,1),
(107993,100183,2,100,'Increases Max Health of target by 246.8',0,2),
(107994,100183,2,100,'Increases Mitigation of target vs physical damage by 323',0,3),
(107995,100183,2,100,'The healing of this spell cannot be modified except by direct means',0,4),
(107996,100183,3,100,'Heals target for 46.8 - 57.2% of max health',0,0),
(107997,100183,3,100,'This effect cannot be critically applied.',1,1),
(107998,100183,3,100,'Increases Max Health of target by 259.8',0,2),
(107999,100183,3,100,'Increases Mitigation of target vs physical damage by 340',0,3),
(108000,100183,3,100,'The healing of this spell cannot be modified except by direct means',0,4),
(108001,100183,4,100,'Heals target for 51.5 - 62.9% of max health',0,0),
(108002,100183,4,100,'This effect cannot be critically applied.',1,1),
(108003,100183,4,100,'Increases Max Health of target by 285.7',0,2),
(108004,100183,4,100,'Increases Mitigation of target vs physical damage by 374',0,3),
(108005,100183,4,100,'The healing of this spell cannot be modified except by direct means',0,4),
(108006,100183,5,100,'Heals target for 56.2 - 68.6% of max health',0,0),
(108007,100183,5,100,'This effect cannot be critically applied.',1,1),
(108008,100183,5,100,'Increases Max Health of target by 311.7',0,2),
(108009,100183,5,100,'Increases Mitigation of target vs physical damage by 408',0,3),
(108010,100183,5,100,'The healing of this spell cannot be modified except by direct means',0,4),
(108011,100183,7,100,'Heals target for 72.1 - 88.1% of max health',0,0),
(108012,100183,7,100,'This effect cannot be critically applied.',1,1),
(108013,100183,7,100,'Increases Max Health of target by 400.0',0,2),
(108014,100183,7,100,'Increases Mitigation of target vs physical damage by 524',0,3),
(108015,100183,7,100,'The healing of this spell cannot be modified except by direct means',0,4),
(108016,100183,9,100,'Heals target for 74.9 - 91.5% of max health',0,0),
(108017,100183,9,100,'This effect cannot be critically applied.',1,1),
(108018,100183,9,100,'Increases Max Health of target by 415.6',0,2),
(108019,100183,9,100,'Increases Mitigation of target vs physical damage by 544',0,3),
(108020,100183,9,100,'The healing of this spell cannot be modified except by direct means',0,4),
(108021,100184,1,100,'Heals target for 42.1 - 51.5% of max health',0,0),
(108022,100184,1,100,'This effect cannot be critically applied.',1,1),
(108023,100184,1,100,'Increases Max Health of target by 369.0',0,2),
(108024,100184,1,100,'Increases Mitigation of target vs physical damage by 432',0,3),
(108025,100184,1,100,'The healing of this spell cannot be modified except by direct means',0,4),
(108026,100184,2,100,'Heals target for 44.5 - 54.3% of max health',0,0),
(108027,100184,2,100,'This effect cannot be critically applied.',1,1),
(108028,100184,2,100,'Increases Max Health of target by 389.5',0,2),
(108029,100184,2,100,'Increases Mitigation of target vs physical damage by 456',0,3),
(108030,100184,2,100,'The healing of this spell cannot be modified except by direct means',0,4),
(108031,100184,3,100,'Heals target for 46.8 - 57.2% of max health',0,0),
(108032,100184,3,100,'This effect cannot be critically applied.',1,1),
(108033,100184,3,100,'Increases Max Health of target by 410.0',0,2),
(108034,100184,3,100,'Increases Mitigation of target vs physical damage by 480',0,3),
(108035,100184,3,100,'The healing of this spell cannot be modified except by direct means',0,4),
(108036,100184,4,100,'Heals target for 51.5 - 62.9% of max health',0,0),
(108037,100184,4,100,'This effect cannot be critically applied.',1,1),
(108038,100184,4,100,'Increases Max Health of target by 451.0',0,2),
(108039,100184,4,100,'Increases Mitigation of target vs physical damage by 528',0,3),
(108040,100184,4,100,'The healing of this spell cannot be modified except by direct means',0,4),
(108041,100184,5,100,'Heals target for 56.2 - 68.6% of max health',0,0),
(108042,100184,5,100,'This effect cannot be critically applied.',1,1),
(108043,100184,5,100,'Increases Max Health of target by 492.0',0,2),
(108044,100184,5,100,'Increases Mitigation of target vs physical damage by 576',0,3),
(108045,100184,5,100,'The healing of this spell cannot be modified except by direct means',0,4),
(108046,100184,7,100,'Heals target for 72.1 - 88.1% of max health',0,0),
(108047,100184,7,100,'This effect cannot be critically applied.',1,1),
(108048,100184,7,100,'Increases Max Health of target by 631.4',0,2),
(108049,100184,7,100,'Increases Mitigation of target vs physical damage by 739',0,3),
(108050,100184,7,100,'The healing of this spell cannot be modified except by direct means',0,4),
(108051,100184,9,100,'Heals target for 74.9 - 91.5% of max health',0,0),
(108052,100184,9,100,'This effect cannot be critically applied.',1,1),
(108053,100184,9,100,'Increases Max Health of target by 656.0',0,2),
(108054,100184,9,100,'Increases Mitigation of target vs physical damage by 768',0,3),
(108055,100184,9,100,'The healing of this spell cannot be modified except by direct means',0,4),
(108056,100185,1,100,'Heals target for 42.1 - 51.5% of max health',0,0),
(108057,100185,1,100,'This effect cannot be critically applied.',1,1),
(108058,100185,1,100,'Increases Max Health of target by 484.0',0,2),
(108059,100185,1,100,'Increases Mitigation of target vs physical damage by 558',0,3),
(108060,100185,1,100,'The healing of this spell cannot be modified except by direct means',0,4),
(108061,100185,2,100,'Heals target for 44.5 - 54.3% of max health',0,0),
(108062,100185,2,100,'This effect cannot be critically applied.',1,1),
(108063,100185,2,100,'Increases Max Health of target by 510.9',0,2),
(108064,100185,2,100,'Increases Mitigation of target vs physical damage by 589',0,3),
(108065,100185,2,100,'The healing of this spell cannot be modified except by direct means',0,4),
(108066,100185,3,100,'Heals target for 46.8 - 57.2% of max health',0,0),
(108067,100185,3,100,'This effect cannot be critically applied.',1,1),
(108068,100185,3,100,'Increases Max Health of target by 537.7',0,2),
(108069,100185,3,100,'Increases Mitigation of target vs physical damage by 620',0,3),
(108070,100185,3,100,'The healing of this spell cannot be modified except by direct means',0,4),
(108071,100185,4,100,'Heals target for 51.5 - 62.9% of max health',0,0),
(108072,100185,4,100,'This effect cannot be critically applied.',1,1),
(108073,100185,4,100,'Increases Max Health of target by 591.5',0,2),
(108074,100185,4,100,'Increases Mitigation of target vs physical damage by 682',0,3),
(108075,100185,4,100,'The healing of this spell cannot be modified except by direct means',0,4),
(108076,100185,5,100,'Heals target for 56.2 - 68.6% of max health',0,0),
(108077,100185,5,100,'This effect cannot be critically applied.',1,1),
(108078,100185,5,100,'Increases Max Health of target by 645.3',0,2),
(108079,100185,5,100,'Increases Mitigation of target vs physical damage by 744',0,3),
(108080,100185,5,100,'The healing of this spell cannot be modified except by direct means',0,4),
(108081,100185,7,100,'Heals target for 72.1 - 88.1% of max health',0,0),
(108082,100185,7,100,'This effect cannot be critically applied.',1,1),
(108083,100185,7,100,'Increases Max Health of target by 828.1',0,2),
(108084,100185,7,100,'Increases Mitigation of target vs physical damage by 955',0,3),
(108085,100185,7,100,'The healing of this spell cannot be modified except by direct means',0,4),
(108086,100185,9,100,'Heals target for 47.2 - 57.7% of max health',0,0),
(108087,100185,9,100,'This effect cannot be critically applied.',1,1),
(108088,100185,9,100,'Increases Max Health of target by 860.4',0,2),
(108089,100185,9,100,'Increases Mitigation of target vs physical damage by 992',0,3),
(108090,100185,9,100,'The healing of this spell cannot be modified except by direct means',0,4),
(108091,100185,10,100,'Heals target for 78.6 - 96.1% of max health',0,0),
(108092,100185,10,100,'This effect cannot be critically applied.',1,1),
(108093,100185,10,100,'Increases Max Health of target by 903.4',0,2),
(108094,100185,10,100,'Increases Mitigation of target vs physical damage by 1042',0,3),
(108095,100185,10,100,'The healing of this spell cannot be modified except by direct means',0,4),
(108096,100186,1,100,'Heals target for 42.1 - 51.5% of max health',0,0),
(108097,100186,1,100,'This effect cannot be critically applied.',1,1),
(108098,100186,1,100,'Increases Max Health of target by 592.9',0,2),
(108099,100186,1,100,'Increases Mitigation of target vs physical damage by 699',0,3),
(108100,100186,1,100,'The healing of this spell cannot be modified except by direct means',0,4),
(108101,100186,2,100,'Heals target for 44.5 - 54.3% of max health',0,0),
(108102,100186,2,100,'This effect cannot be critically applied.',1,1),
(108103,100186,2,100,'Increases Max Health of target by 625.8',0,2),
(108104,100186,2,100,'Increases Mitigation of target vs physical damage by 738',0,3),
(108105,100186,2,100,'The healing of this spell cannot be modified except by direct means',0,4),
(108106,100186,3,100,'Heals target for 46.8 - 57.2% of max health',0,0),
(108107,100186,3,100,'This effect cannot be critically applied.',1,1),
(108108,100186,3,100,'Increases Max Health of target by 658.7',0,2),
(108109,100186,3,100,'Increases Mitigation of target vs physical damage by 777',0,3),
(108110,100186,3,100,'The healing of this spell cannot be modified except by direct means',0,4),
(108111,100186,4,100,'Heals target for 51.5 - 62.9% of max health',0,0),
(108112,100186,4,100,'This effect cannot be critically applied.',1,1),
(108113,100186,4,100,'Increases Max Health of target by 724.6',0,2),
(108114,100186,4,100,'Increases Mitigation of target vs physical damage by 855',0,3),
(108115,100186,4,100,'The healing of this spell cannot be modified except by direct means',0,4),
(108116,100186,5,100,'Heals target for 56.2 - 68.6% of max health',0,0),
(108117,100186,5,100,'This effect cannot be critically applied.',1,1),
(108118,100186,5,100,'Increases Max Health of target by 790.5',0,2),
(108119,100186,5,100,'Increases Mitigation of target vs physical damage by 932',0,3),
(108120,100186,5,100,'The healing of this spell cannot be modified except by direct means',0,4),
(108121,100186,7,100,'Heals target for 72.1 - 88.1% of max health',0,0),
(108122,100186,7,100,'This effect cannot be critically applied.',1,1),
(108123,100186,7,100,'Increases Max Health of target by 1,014.5',0,2),
(108124,100186,7,100,'Increases Mitigation of target vs physical damage by 1197',0,3),
(108125,100186,7,100,'The healing of this spell cannot be modified except by direct means',0,4),
(108126,100186,9,100,'Heals target for 74.9 - 91.5% of max health',0,0),
(108127,100186,9,100,'This effect cannot be critically applied.',1,1),
(108128,100186,9,100,'Increases Max Health of target by 1,054.0',0,2),
(108129,100186,9,100,'Increases Mitigation of target vs physical damage by 1243',0,3),
(108130,100186,9,100,'The healing of this spell cannot be modified except by direct means',0,4),
(108131,100187,1,100,'Heals target for 42.1 - 51.5% of max health',0,0),
(108132,100187,1,100,'This effect cannot be critically applied.',1,1),
(108133,100187,1,100,'Increases Max Health of target by 705.4',0,2),
(108134,100187,1,100,'Increases Mitigation of target vs physical damage by 809',0,3),
(108135,100187,1,100,'The healing of this spell cannot be modified except by direct means',0,4),
(108136,100187,4,100,'Heals target for 51.5 - 62.9% of max health',0,0),
(108137,100187,4,100,'This effect cannot be critically applied.',1,1),
(108138,100187,4,100,'Increases Max Health of target by 862.1',0,2),
(108139,100187,4,100,'Increases Mitigation of target vs physical damage by 989',0,3),
(108140,100187,4,100,'The healing of this spell cannot be modified except by direct means',0,4),
(108141,100187,5,100,'Heals target for 56.2 - 68.6% of max health',0,0),
(108142,100187,5,100,'This effect cannot be critically applied.',1,1),
(108143,100187,5,100,'Increases Max Health of target by 940.5',0,2),
(108144,100187,5,100,'Increases Mitigation of target vs physical damage by 1079',0,3),
(108145,100187,5,100,'The healing of this spell cannot be modified except by direct means',0,4),
(108146,100187,7,100,'Heals target for 72.1 - 88.1% of max health',0,0),
(108147,100187,7,100,'This effect cannot be critically applied.',1,1),
(108148,100187,7,100,'Increases Max Health of target by 1,207.0',0,2),
(108149,100187,7,100,'Increases Mitigation of target vs physical damage by 1384',0,3),
(108150,100187,7,100,'The healing of this spell cannot be modified except by direct means',0,4),
(108151,100187,9,100,'Heals target for 74.9 - 91.5% of max health',0,0),
(108152,100187,9,100,'This effect cannot be critically applied.',1,1),
(108153,100187,9,100,'Increases Max Health of target by 1,254.0',0,2),
(108154,100187,9,100,'Increases Mitigation of target vs physical damage by 1438',0,3),
(108155,100187,9,100,'The healing of this spell cannot be modified except by direct means',0,4),
(108156,100187,10,100,'Heals target for 78.6 - 96.1% of max health',0,0),
(108157,100187,10,100,'This effect cannot be critically applied.',1,1),
(108158,100187,10,100,'Increases Max Health of target by 1,316.7',0,2),
(108159,100187,10,100,'Increases Mitigation of target vs physical damage by 1510',0,3),
(108160,100187,10,100,'The healing of this spell cannot be modified except by direct means',0,4),
(108161,100188,1,100,'Heals target for 42.1 - 51.5% of max health',0,0),
(108162,100188,1,100,'This effect cannot be critically applied.',1,1),
(108163,100188,1,100,'Increases Max Health of target by 817.9',0,2),
(108164,100188,1,100,'Increases Mitigation of target vs physical damage by 931',0,3),
(108165,100188,1,100,'The healing of this spell cannot be modified except by direct means',0,4),
(108166,100188,4,100,'Heals target for 51.5 - 62.9% of max health',0,0),
(108167,100188,4,100,'This effect cannot be critically applied.',1,1),
(108168,100188,4,100,'Increases Max Health of target by 999.6',0,2),
(108169,100188,4,100,'Increases Mitigation of target vs physical damage by 1137',0,3),
(108170,100188,4,100,'The healing of this spell cannot be modified except by direct means',0,4),
(108171,100188,5,100,'Heals target for 56.2 - 68.6% of max health',0,0),
(108172,100188,5,100,'This effect cannot be critically applied.',1,1),
(108173,100188,5,100,'Increases Max Health of target by 1,090.5',0,2),
(108174,100188,5,100,'Increases Mitigation of target vs physical damage by 1241',0,3),
(108175,100188,5,100,'The healing of this spell cannot be modified except by direct means',0,4),
(108176,100188,7,100,'Heals target for 72.1 - 88.1% of max health',0,0),
(108177,100188,7,100,'This effect cannot be critically applied.',1,1),
(108178,100188,7,100,'Increases Max Health of target by 1,399.5',0,2),
(108179,100188,7,100,'Increases Mitigation of target vs physical damage by 1592',0,3),
(108180,100188,7,100,'The healing of this spell cannot be modified except by direct means',0,4),
(108181,100188,9,100,'Heals target for 53.2 - 65.1% of max health',0,0),
(108182,100188,9,100,'This effect cannot be critically applied.',1,1),
(108183,100188,9,100,'Increases Max Health of target by 1,454.0',0,2),
(108184,100188,9,100,'Increases Mitigation of target vs physical damage by 1654',0,3),
(108185,100188,9,100,'The healing of this spell cannot be modified except by direct means',0,4),
(108186,100188,10,100,'Heals target for 78.6 - 96.1% of max health',0,0),
(108187,100188,10,100,'This effect cannot be critically applied.',1,1),
(108188,100188,10,100,'Increases Max Health of target by 1,526.7',0,2),
(108189,100188,10,100,'Increases Mitigation of target vs physical damage by 1737',0,3),
(108190,100188,10,100,'The healing of this spell cannot be modified except by direct means',0,4),
(108191,2000507,1,100,'Inflicts 0 - 1 slashing damage on target',0,0),
(108192,2000507,1,100,'Inflicts 1 slashing damage on target',0,1),
(108193,2000508,1,100,'On a melee hit this spell will cast Leg Bleed on target of attack.  Lasts for 24.0 seconds.  ',0,0),
(108194,2000508,1,100,'Interrupts target',1,1),
(108195,2000508,1,100,'Inflicts 2 piercing damage on target instantly and every 4 seconds',1,2),
(108196,2000508,1,100,'Grants a total of 1 trigger of the spell.',1,3),
(108197,2000508,2,100,'On a melee hit this spell will cast Leg Bleed on target of attack.  Lasts for 24.0 seconds.  ',0,0),
(108198,2000508,2,100,'Interrupts target',1,1),
(108199,2000508,2,100,'Inflicts 175 piercing damage on target instantly and every 4 seconds',1,2),
(108200,2000508,2,100,'Grants a total of 1 trigger of the spell.',1,3),
(108201,2000508,3,100,'On a melee hit this spell will cast Leg Bleed on target of attack.  Lasts for 24.0 seconds.  ',0,0),
(108202,2000508,3,100,'Interrupts target',1,1),
(108203,2000508,3,100,'Inflicts 185 piercing damage on target instantly and every 4 seconds',1,2),
(108204,2000508,3,100,'Grants a total of 1 trigger of the spell.',1,3),
(108205,2000508,4,100,'On a melee hit this spell will cast Leg Bleed on target of attack.  Lasts for 24.0 seconds.  ',0,0),
(108206,2000508,4,100,'Interrupts target',1,1),
(108207,2000508,4,100,'Inflicts 152 piercing damage on target instantly and every 4 seconds',1,2),
(108208,2000508,4,100,'Grants a total of 1 trigger of the spell.',1,3),
(108209,2000508,5,100,'On a melee hit this spell will cast Leg Bleed on target of attack.  Lasts for 24.0 seconds.  ',0,0),
(108210,2000508,5,100,'Interrupts target',1,1),
(108211,2000508,5,100,'Inflicts 166 piercing damage on target instantly and every 4 seconds',1,2),
(108212,2000508,5,100,'Grants a total of 1 trigger of the spell.',1,3),
(108213,2000508,6,100,'On a melee hit this spell will cast Leg Bleed on target of attack.  Lasts for 24.0 seconds.  ',0,0),
(108214,2000508,6,100,'Interrupts target',1,1),
(108215,2000508,6,100,'Inflicts 180 piercing damage on target instantly and every 4 seconds',1,2),
(108216,2000508,6,100,'Grants a total of 1 trigger of the spell.',1,3),
(108217,2000508,7,100,'On a melee hit this spell will cast Leg Bleed on target of attack.  Lasts for 24.0 seconds.  ',0,0),
(108218,2000508,7,100,'Interrupts target',1,1),
(108219,2000508,7,100,'Inflicts 284 piercing damage on target instantly and every 4 seconds',1,2),
(108220,2000508,7,100,'Grants a total of 1 trigger of the spell.',1,3),
(108221,2000508,8,100,'On a melee hit this spell will cast Leg Bleed on target of attack.  Lasts for 24.0 seconds.  ',0,0),
(108222,2000508,8,100,'Interrupts target',1,1),
(108223,2000508,8,100,'Inflicts 286 piercing damage on target instantly and every 4 seconds',1,2),
(108224,2000508,8,100,'Grants a total of 1 trigger of the spell.',1,3),
(108225,2000508,9,100,'On a melee hit this spell will cast Leg Bleed on target of attack.  Lasts for 24.0 seconds.  ',0,0),
(108226,2000508,9,100,'Interrupts target',1,1),
(108227,2000508,9,100,'Inflicts 296 piercing damage on target instantly and every 4 seconds',1,2),
(108228,2000508,9,100,'Grants a total of 1 trigger of the spell.',1,3),
(108229,2000508,10,100,'On a melee hit this spell will cast Leg Bleed on target of attack.  Lasts for 24.0 seconds.  ',0,0),
(108230,2000508,10,100,'Interrupts target',1,1),
(108231,2000508,10,100,'Inflicts 233 piercing damage on target instantly and every 4 seconds',1,2),
(108232,2000508,10,100,'Grants a total of 1 trigger of the spell.',1,3),
(108233,2000509,1,100,'Reduces all magical damage done to the target by 40%.  200% of the reduced damage is reflected on the attacker.',0,0),
(108234,2000509,1,100,'Cannot activate at the same time as Faith.',0,1),
(108235,2000509,1,100,'Cannot be modified except by direct means',0,2),
(108236,2000510,1,100,'Inflicts 337 - 561 magic damage on target',0,0),
(108237,2000510,2,100,'Inflicts 474 - 790 magic damage on target',0,0),
(108238,2000510,3,100,'Inflicts 374 - 624 magic damage on target',0,0),
(108239,2000510,4,100,'Inflicts 412 - 686 magic damage on target',0,0),
(108240,2000510,5,100,'Inflicts 598 - 997 magic damage on target',0,0),
(108241,2000510,6,100,'Inflicts 486 - 811 magic damage on target',0,0),
(108242,2000510,7,100,'Inflicts 576 - 960 magic damage on target',0,0),
(108243,2000510,8,100,'Inflicts 580 - 967 magic damage on target',0,0),
(108244,2000510,9,100,'Inflicts 599 - 998 magic damage on target',0,0),
(108245,2000510,10,100,'Inflicts 629 - 1048 magic damage on target',0,0),
(108246,190070,1,100,'Decreases Haste of target encounter by 12.1',0,0),
(108247,190070,2,100,'Decreases Haste of target encounter by 12.8',0,0),
(108248,190070,3,100,'Decreases Haste of target encounter by 13.5',0,0),
(108249,190070,4,100,'Decreases Haste of target encounter by 14.9',0,0),
(108250,190070,5,100,'Decreases Haste of target encounter by 16.2',0,0),
(108251,190070,7,100,'Decreases Haste of target encounter by 20.8',0,0),
(108252,190070,9,100,'Decreases Attack Speed of target encounter by 21.6',0,0),
(108253,190071,1,100,'Decreases Haste of target encounter by 13.4',0,0),
(108254,190071,2,100,'Decreases Haste of target encounter by 14.2',0,0),
(108255,190071,3,100,'Decreases Haste of target encounter by 14.9',0,0),
(108256,190071,4,100,'Decreases Haste of target encounter by 16.4',0,0),
(108257,190071,5,100,'Decreases Haste of target encounter by 17.9',0,0),
(108258,190071,7,100,'Decreases Attack Speed of target encounter by 22.9',0,0),
(108259,190071,9,100,'Decreases Haste of target encounter by 23.8',0,0),
(108260,190072,1,100,'Decreases Haste of target encounter by 14.7',0,0),
(108261,190072,2,100,'Decreases Haste of target encounter by 15.5',0,0),
(108262,190072,3,100,'Decreases Haste of target encounter by 16.3',0,0),
(108263,190072,4,100,'Decreases Haste of target encounter by 17.9',0,0),
(108264,190072,5,100,'Decreases Haste of target encounter by 19.6',0,0),
(108265,190072,7,100,'Decreases Haste of target encounter by 25.1',0,0),
(108266,190072,9,100,'Decreases Haste of target encounter by 26.1',0,0),
(108267,190072,10,100,'Decreases Haste of target encounter by 27.4',0,0),
(108268,300097,1,100,'Shapechanges caster into a lich',0,0),
(108269,300097,1,100,'Increases power of caster by 3.6% instantly and every 6 seconds',0,1),
(108270,300097,1,100,'This effect cannot be critically applied.',1,2),
(108271,300097,1,100,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',0,3),
(108272,300097,1,100,'Inflicts 72 disease damage on target',1,4),
(108273,300097,1,100,'Heals caster for 48',1,5),
(108274,300097,2,100,'Shapechanges caster into a lich',0,0),
(108275,300097,2,100,'Increases power of caster by 3.8% instantly and every 6 seconds',0,1),
(108276,300097,2,100,'This effect cannot be critically applied.',1,2),
(108277,300097,2,100,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',0,3),
(108278,300097,2,100,'Inflicts 76 disease damage on target',1,4),
(108279,300097,2,100,'Heals caster for 50',1,5),
(108280,300097,3,100,'Shapechanges caster into a lich',0,0),
(108281,300097,3,100,'Increases power of caster by 4.0% instantly and every 6 seconds',0,1),
(108282,300097,3,100,'This effect cannot be critically applied.',1,2),
(108283,300097,3,100,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',0,3),
(108284,300097,3,100,'Inflicts 80 disease damage on target',1,4),
(108285,300097,3,100,'Heals caster for 53',1,5),
(108286,300097,4,100,'Shapechanges caster into a lich',0,0),
(108287,300097,4,100,'Increases power of caster by 4.4% instantly and every 6 seconds',0,1),
(108288,300097,4,100,'This effect cannot be critically applied.',1,2),
(108289,300097,4,100,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',0,3),
(108290,300097,4,100,'Inflicts 88 disease damage on target',1,4),
(108291,300097,4,100,'Heals caster for 58',1,5),
(108292,300097,5,100,'Shapechanges caster into a lich',0,0),
(108293,300097,5,100,'Increases power of caster by 4.8% instantly and every 6 seconds',0,1),
(108294,300097,5,100,'This effect cannot be critically applied.',1,2),
(108295,300097,5,100,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',0,3),
(108296,300097,5,100,'Inflicts 96 disease damage on target',1,4),
(108297,300097,5,100,'Heals caster for 64',1,5),
(108298,300097,7,100,'Shapechanges caster into a lich',0,0),
(108299,300097,7,100,'Increases power of caster by 6.2% instantly and every 6 seconds',0,1),
(108300,300097,7,100,'This effect cannot be critically applied.',1,2),
(108301,300097,7,100,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',0,3),
(108302,300097,7,100,'Inflicts 124 disease damage on target',1,4),
(108303,300097,7,100,'Heals caster for 82',1,5),
(108304,300097,9,100,'Shapechanges caster into a lich',0,0),
(108305,300097,9,100,'Increases power of caster by 6.4% instantly and every 6 seconds',0,1),
(108306,300097,9,100,'This effect cannot be critically applied.',1,2),
(108307,300097,9,100,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',0,3),
(108308,300097,9,100,'Inflicts 128 disease damage on target',1,4),
(108309,300097,9,100,'Heals caster for 85',1,5),
(108310,300098,1,100,'Shapechanges caster into an archlich',0,0),
(108311,300098,1,100,'Increases power of caster by 3.6% instantly and every 6 seconds',0,1),
(108312,300098,1,100,'This effect cannot be critically applied.',1,2),
(108313,300098,1,100,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',0,3),
(108314,300098,1,100,'Inflicts 109 disease damage on target',1,4),
(108315,300098,1,100,'Heals caster for 72',1,5),
(108316,300098,2,100,'Shapechanges caster into an archlich',0,0),
(108317,300098,2,100,'Increases power of caster by 3.8% instantly and every 6 seconds',0,1),
(108318,300098,2,100,'This effect cannot be critically applied.',1,2),
(108319,300098,2,100,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',0,3),
(108320,300098,2,100,'Inflicts 115 disease damage on target',1,4),
(108321,300098,2,100,'Heals caster for 76',1,5),
(108322,300098,3,100,'Shapechanges caster into an archlich',0,0),
(108323,300098,3,100,'Increases power of caster by 4.0% instantly and every 6 seconds',0,1),
(108324,300098,3,100,'This effect cannot be critically applied.',1,2),
(108325,300098,3,100,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',0,3),
(108326,300098,3,100,'Inflicts 121 disease damage on target',1,4),
(108327,300098,3,100,'Heals caster for 80',1,5),
(108328,300098,4,100,'Shapechanges caster into an archlich',0,0),
(108329,300098,4,100,'Increases power of caster by 4.4% instantly and every 6 seconds',0,1),
(108330,300098,4,100,'This effect cannot be critically applied.',1,2),
(108331,300098,4,100,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',0,3),
(108332,300098,4,100,'Inflicts 133 disease damage on target',1,4),
(108333,300098,4,100,'Heals caster for 88',1,5),
(108334,300098,5,100,'Shapechanges caster into an archlich',0,0),
(108335,300098,5,100,'Increases power of caster by 4.8% instantly and every 6 seconds',0,1),
(108336,300098,5,100,'This effect cannot be critically applied.',1,2),
(108337,300098,5,100,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',0,3),
(108338,300098,5,100,'Inflicts 145 disease damage on target',1,4),
(108339,300098,5,100,'Heals caster for 96',1,5),
(108340,300098,7,100,'Shapechanges caster into an archlich',0,0),
(108341,300098,7,100,'Increases power of caster by 6.2% instantly and every 6 seconds',0,1),
(108342,300098,7,100,'This effect cannot be critically applied.',1,2),
(108343,300098,7,100,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',0,3),
(108344,300098,7,100,'Inflicts 186 disease damage on target',1,4),
(108345,300098,7,100,'Heals caster for 123',1,5),
(108346,300098,9,100,'Shapechanges caster into an archlich',0,0),
(108347,300098,9,100,'Increases power of caster by 6.4% instantly and every 6 seconds',0,1),
(108348,300098,9,100,'This effect cannot be critically applied.',1,2),
(108349,300098,9,100,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',0,3),
(108350,300098,9,100,'Inflicts 193 disease damage on target',1,4),
(108351,300098,9,100,'Heals caster for 128',1,5),
(108352,300099,1,100,'Shapechanges caster into a demilich',0,0),
(108353,300099,1,100,'Increases power of caster by 3.6% instantly and every 6 seconds',0,1),
(108354,300099,1,100,'This effect cannot be critically applied.',1,2),
(108355,300099,1,100,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',0,3),
(108356,300099,1,100,'Inflicts 132 disease damage on target',1,4),
(108357,300099,1,100,'Heals caster for 97',1,5),
(108358,300099,2,100,'Shapechanges caster into a demilich',0,0),
(108359,300099,2,100,'Increases power of caster by 3.8% instantly and every 6 seconds',0,1),
(108360,300099,2,100,'This effect cannot be critically applied.',1,2),
(108361,300099,2,100,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',0,3),
(108362,300099,2,100,'Inflicts 139 disease damage on target',1,4),
(108363,300099,2,100,'Heals caster for 103',1,5),
(108364,300099,3,100,'Shapechanges caster into a demilich',0,0),
(108365,300099,3,100,'Increases power of caster by 4.0% instantly and every 6 seconds',0,1),
(108366,300099,3,100,'This effect cannot be critically applied.',1,2),
(108367,300099,3,100,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',0,3),
(108368,300099,3,100,'Inflicts 147 disease damage on target',1,4),
(108369,300099,3,100,'Heals caster for 108',1,5),
(108370,300099,4,100,'Shapechanges caster into a demilich',0,0),
(108371,300099,4,100,'Increases power of caster by 4.4% instantly and every 6 seconds',0,1),
(108372,300099,4,100,'This effect cannot be critically applied.',1,2),
(108373,300099,4,100,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',0,3),
(108374,300099,4,100,'Inflicts 161 disease damage on target',1,4),
(108375,300099,4,100,'Heals caster for 119',1,5),
(108376,300099,5,100,'Shapechanges caster into a demilich',0,0),
(108377,300099,5,100,'Increases power of caster by 4.8% instantly and every 6 seconds',0,1),
(108378,300099,5,100,'This effect cannot be critically applied.',1,2),
(108379,300099,5,100,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',0,3),
(108380,300099,5,100,'Inflicts 176 disease damage on target',1,4),
(108381,300099,5,100,'Heals caster for 130',1,5),
(108382,300099,7,100,'Shapechanges caster into a demilich',0,0),
(108383,300099,7,100,'Increases power of caster by 6.2% instantly and every 6 seconds',0,1),
(108384,300099,7,100,'This effect cannot be critically applied.',1,2),
(108385,300099,7,100,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',0,3),
(108386,300099,7,100,'Inflicts 226 disease damage on target',1,4),
(108387,300099,7,100,'Heals caster for 166',1,5),
(108388,300099,9,100,'Shapechanges caster into a demilich',0,0),
(108389,300099,9,100,'Increases power of caster by 6.4% instantly and every 6 seconds',0,1),
(108390,300099,9,100,'This effect cannot be critically applied.',1,2),
(108391,300099,9,100,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',0,3),
(108392,300099,9,100,'Inflicts 234 disease damage on target',1,4),
(108393,300099,9,100,'Heals caster for 173',1,5),
(108394,300100,1,100,'Shapechanges caster into a necrolich',0,0),
(108395,300100,1,100,'Increases power of caster by 3.6% instantly and every 6 seconds',0,1),
(108396,300100,1,100,'This effect cannot be critically applied.',1,2),
(108397,300100,1,100,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',0,3),
(108398,300100,1,100,'Inflicts 159 disease damage on target',1,4),
(108399,300100,1,100,'Heals caster for 116',1,5),
(108400,300100,4,100,'Shapechanges caster into a necrolich',0,0),
(108401,300100,4,100,'Increases power of caster by 4.4% instantly and every 6 seconds',0,1),
(108402,300100,4,100,'This effect cannot be critically applied.',1,2),
(108403,300100,4,100,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',0,3),
(108404,300100,4,100,'Inflicts 194 disease damage on target',1,4),
(108405,300100,4,100,'Heals caster for 142',1,5),
(108406,300100,5,100,'Shapechanges caster into a necrolich',0,0),
(108407,300100,5,100,'Increases power of caster by 4.8% instantly and every 6 seconds',0,1),
(108408,300100,5,100,'This effect cannot be critically applied.',1,2),
(108409,300100,5,100,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',0,3),
(108410,300100,5,100,'Inflicts 212 disease damage on target',1,4),
(108411,300100,5,100,'Heals caster for 154',1,5),
(108412,300100,7,100,'Shapechanges caster into a necrolich',0,0),
(108413,300100,7,100,'Increases power of caster by 6.2% instantly and every 6 seconds',0,1),
(108414,300100,7,100,'This effect cannot be critically applied.',1,2),
(108415,300100,7,100,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',0,3),
(108416,300100,7,100,'Inflicts 272 disease damage on target',1,4),
(108417,300100,7,100,'Heals caster for 198',1,5),
(108418,300100,9,100,'Shapechanges caster into a necrolich',0,0),
(108419,300100,9,100,'Increases power of caster by 6.4% instantly and every 6 seconds',0,1),
(108420,300100,9,100,'This effect cannot be critically applied.',1,2),
(108421,300100,9,100,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',0,3),
(108422,300100,9,100,'Inflicts 282 disease damage on target',1,4),
(108423,300100,9,100,'Heals caster for 206',1,5),
(108424,300101,1,100,'Increases power of caster by 3.6% instantly and every 6 seconds',0,0),
(108425,300101,1,100,'This effect cannot be critically applied.',1,1),
(108426,300101,1,100,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',0,2),
(108427,300101,1,100,'Inflicts 168 disease damage on target',1,3),
(108428,300101,1,100,'Heals caster for 122',1,4),
(108429,300101,4,100,'Increases power of caster by 4.4% instantly and every 6 seconds',0,0),
(108430,300101,4,100,'This effect cannot be critically applied.',1,1),
(108431,300101,4,100,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',0,2),
(108432,300101,4,100,'Inflicts 206 disease damage on target',1,3),
(108433,300101,4,100,'Heals caster for 149',1,4),
(108434,300101,5,100,'Increases power of caster by 4.8% instantly and every 6 seconds',0,0),
(108435,300101,5,100,'This effect cannot be critically applied.',1,1),
(108436,300101,5,100,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',0,2),
(108437,300101,5,100,'Inflicts 224 disease damage on target',1,3),
(108438,300101,5,100,'Heals caster for 162',1,4),
(108439,300101,7,100,'Increases power of caster by 6.2% instantly and every 6 seconds',0,0),
(108440,300101,7,100,'This effect cannot be critically applied.',1,1),
(108441,300101,7,100,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',0,2),
(108442,300101,7,100,'Inflicts 288 disease damage on target',1,3),
(108443,300101,7,100,'Heals caster for 208',1,4),
(108444,300101,9,100,'Increases power of caster by 6.4% instantly and every 6 seconds',0,0),
(108445,300101,9,100,'This effect cannot be critically applied.',1,1),
(108446,300101,9,100,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',0,2),
(108447,300101,9,100,'Inflicts 299 disease damage on target',1,3),
(108448,300101,9,100,'Heals caster for 216',1,4),
(108449,2000511,1,100,'Inflicts 18 points of disease damage to target for each health point consumed instantly and every second. Lifeburn''s damage cannot exceed 60% of the target''s maximum health. This spell does not gain effects from potency.',0,0),
(108450,2000511,1,100,'Must be hated by your current target.',0,1),
(108451,300102,1,100,'Inflicts 138 disease damage on target',0,0),
(108452,300102,1,100,'Heals caster for 90',0,1),
(108453,300102,2,100,'Inflicts 145 disease damage on target',0,0),
(108454,300102,2,100,'Heals caster for 95',0,1),
(108455,300102,3,100,'Inflicts 153 disease damage on target',0,0),
(108456,300102,3,100,'Heals caster for 100',0,1),
(108457,300102,4,100,'Inflicts 168 disease damage on target',0,0),
(108458,300102,4,100,'Heals caster for 110',0,1),
(108459,300102,5,100,'Inflicts 184 disease damage on target',0,0),
(108460,300102,5,100,'Heals caster for 120',0,1),
(108461,300102,7,100,'Inflicts 236 disease damage on target',0,0),
(108462,300102,7,100,'Heals caster for 154',0,1),
(108463,300102,9,100,'Inflicts 245 disease damage on target',0,0),
(108464,300102,9,100,'Heals caster for 160',0,1),
(108465,300102,10,100,'Inflicts 257 disease damage on target',0,0),
(108466,300102,10,100,'Heals caster for 168',0,1),
(108467,300103,1,100,'Inflicts 260 disease damage on target',0,0),
(108468,300103,1,100,'Heals caster for 171',0,1),
(108469,300103,2,100,'Inflicts 274 disease damage on target',0,0),
(108470,300103,2,100,'Heals caster for 181',0,1),
(108471,300103,3,100,'Inflicts 288 disease damage on target',0,0),
(108472,300103,3,100,'Heals caster for 190',0,1),
(108473,300103,4,100,'Inflicts 317 disease damage on target',0,0),
(108474,300103,4,100,'Heals caster for 209',0,1),
(108475,300103,5,100,'Inflicts 346 disease damage on target',0,0),
(108476,300103,5,100,'Heals caster for 228',0,1),
(108477,300103,7,100,'Inflicts 444 disease damage on target',0,0),
(108478,300103,7,100,'Heals caster for 293',0,1),
(108479,300103,9,100,'Inflicts 461 disease damage on target',0,0),
(108480,300103,9,100,'Heals caster for 304',0,1),
(108481,300104,1,100,'Inflicts 402 disease damage on target',0,0),
(108482,300104,1,100,'Heals caster for 266',0,1),
(108483,300104,2,100,'Inflicts 424 disease damage on target',0,0),
(108484,300104,2,100,'Heals caster for 280',0,1),
(108485,300104,3,100,'Inflicts 446 disease damage on target',0,0),
(108486,300104,3,100,'Heals caster for 295',0,1),
(108487,300104,4,100,'Inflicts 491 disease damage on target',0,0),
(108488,300104,4,100,'Heals caster for 325',0,1),
(108489,300104,5,100,'Inflicts 535 disease damage on target',0,0),
(108490,300104,5,100,'Heals caster for 354',0,1),
(108491,300104,7,100,'Inflicts 687 disease damage on target',0,0),
(108492,300104,7,100,'Heals caster for 454',0,1),
(108493,300104,9,100,'Inflicts 714 disease damage on target',0,0),
(108494,300104,9,100,'Heals caster for 472',0,1),
(108495,300104,10,100,'Inflicts 750 disease damage on target',0,0),
(108496,300104,10,100,'Heals caster for 496',0,1),
(108497,300105,1,100,'Inflicts 543 disease damage on target',0,0),
(108498,300105,1,100,'Heals caster for 360',0,1),
(108499,300105,2,100,'Inflicts 574 disease damage on target',0,0),
(108500,300105,2,100,'Heals caster for 380',0,1),
(108501,300105,3,100,'Inflicts 604 disease damage on target',0,0),
(108502,300105,3,100,'Heals caster for 400',0,1),
(108503,300105,4,100,'Inflicts 664 disease damage on target',0,0),
(108504,300105,4,100,'Heals caster for 440',0,1),
(108505,300105,5,100,'Inflicts 725 disease damage on target',0,0),
(108506,300105,5,100,'Heals caster for 480',0,1),
(108507,300105,7,100,'Inflicts 930 disease damage on target',0,0),
(108508,300105,7,100,'Heals caster for 616',0,1),
(108509,300105,9,100,'Inflicts 966 disease damage on target',0,0),
(108510,300105,9,100,'Heals caster for 640',0,1),
(108511,300105,10,100,'Inflicts 1014 disease damage on target',0,0),
(108512,300105,10,100,'Heals caster for 672',0,1),
(108513,300106,1,100,'Inflicts 681 disease damage on target',0,0),
(108514,300106,1,100,'Heals caster for 484',0,1),
(108515,300106,2,100,'Inflicts 719 disease damage on target',0,0),
(108516,300106,2,100,'Heals caster for 511',0,1),
(108517,300106,3,100,'Inflicts 757 disease damage on target',0,0),
(108518,300106,3,100,'Heals caster for 538',0,1),
(108519,300106,4,100,'Inflicts 833 disease damage on target',0,0),
(108520,300106,4,100,'Heals caster for 592',0,1),
(108521,300106,5,100,'Inflicts 908 disease damage on target',0,0),
(108522,300106,5,100,'Heals caster for 646',0,1),
(108523,300106,7,100,'Inflicts 1166 disease damage on target',0,0),
(108524,300106,7,100,'Heals caster for 829',0,1),
(108525,300106,9,100,'Inflicts 1211 disease damage on target',0,0),
(108526,300106,9,100,'Heals caster for 861',0,1),
(108527,300107,1,100,'Inflicts 822 disease damage on target',0,0),
(108528,300107,1,100,'Heals caster for 602',0,1),
(108529,300107,4,100,'Inflicts 1005 disease damage on target',0,0),
(108530,300107,4,100,'Heals caster for 736',0,1),
(108531,300107,5,100,'Inflicts 1096 disease damage on target',0,0),
(108532,300107,5,100,'Heals caster for 803',0,1),
(108533,300107,7,100,'Inflicts 1407 disease damage on target',0,0),
(108534,300107,7,100,'Heals caster for 1030',0,1),
(108535,300107,9,100,'Inflicts 1461 disease damage on target',0,0),
(108536,300107,9,100,'Heals caster for 1070',0,1),
(108537,300108,1,100,'Inflicts 914 disease damage on target',0,0),
(108538,300108,1,100,'Heals caster for 662',0,1),
(108539,300108,4,100,'Inflicts 1117 disease damage on target',0,0),
(108540,300108,4,100,'Heals caster for 810',0,1),
(108541,300108,5,100,'Inflicts 1218 disease damage on target',0,0),
(108542,300108,5,100,'Heals caster for 883',0,1),
(108543,300108,7,100,'Inflicts 1564 disease damage on target',0,0),
(108544,300108,7,100,'Heals caster for 1133',0,1),
(108545,300108,9,100,'Inflicts 1625 disease damage on target',0,0),
(108546,300108,9,100,'Heals caster for 1178',0,1),
(108547,2000512,1,100,'Inflicts 1 - 2 magic damage on caster',0,0),
(108548,210009,1,100,'Inflicts 10 - 15 magic damage on target',0,0),
(108549,210009,2,100,'Inflicts 11 - 16 magic damage on target',0,0),
(108550,210009,3,100,'Inflicts 12 - 17 magic damage on target',0,0),
(108551,210009,4,100,'Inflicts 13 - 18 magic damage on target',0,0),
(108552,210009,5,100,'Inflicts 14 - 19 magic damage on target',0,0),
(108553,210009,7,100,'Inflicts 16 - 21 magic damage on target',0,0),
(108554,210009,9,100,'Inflicts 17 - 22 magic damage on target',0,0),
(108555,210010,1,100,'Inflicts 20 - 27 magic damage on target',0,0),
(108556,210010,2,100,'Inflicts 21 - 28 magic damage on target',0,0),
(108557,210010,3,100,'Inflicts 22 - 30 magic damage on target',0,0),
(108558,210010,4,100,'Inflicts 24 - 33 magic damage on target',0,0),
(108559,210010,5,100,'Inflicts 26 - 36 magic damage on target',0,0),
(108560,210010,7,100,'Inflicts 34 - 46 magic damage on target',0,0),
(108561,210010,9,100,'Inflicts 35 - 48 magic damage on target',0,0),
(108562,2000513,1,100,'Applies Lightning Siphon.',0,0),
(108563,2000513,1,100,'Heals target for 16 - 20',1,1),
(108564,2000513,1,100,'Applies to the ally with the lowest health.',1,2),
(108565,2000513,1,100,'Inflicts 4 - 5 magic damage on target',0,3),
(108566,2000513,2,100,'Applies Lightning Siphon.',0,0),
(108567,2000513,2,100,'Heals target for 2430 - 2970',1,1),
(108568,2000513,2,100,'Applies to the ally with the lowest health.',1,2),
(108569,2000513,2,100,'Inflicts 8 - 10 magic damage on target',0,3),
(108570,2000513,3,100,'Applies Lightning Siphon.',0,0),
(108571,2000513,3,100,'Heals target for 3645 - 4455',1,1),
(108572,2000513,3,100,'Applies to the ally with the lowest health.',1,2),
(108573,2000513,3,100,'Inflicts 12 - 15 magic damage on target',0,3),
(108575,140112,1,100,'Inflicts 99 - 121 divine damage on target encounter',0,0),
(108577,140112,2,100,'Inflicts 104 - 127 divine damage on target encounter',0,0),
(108579,140112,3,100,'Inflicts 110 - 134 divine damage on target encounter',0,0),
(108581,140112,4,100,'Inflicts 121 - 148 divine damage on target encounter',0,0),
(108583,140112,5,100,'Inflicts 132 - 161 divine damage on target encounter',0,0),
(108585,140112,7,100,'Inflicts 169 - 207 divine damage on target encounter',0,0),
(108587,140112,9,100,'Inflicts 176 - 215 divine damage on target encounter',0,0),
(108588,140113,1,100,'Interrupts target encounter',0,0),
(108589,140113,1,100,'Inflicts 152 - 185 divine damage on target encounter',0,1),
(108590,140113,2,100,'Interrupts target encounter',0,0),
(108591,140113,2,100,'Inflicts 160 - 196 divine damage on target encounter',0,1),
(108592,140113,3,100,'Interrupts target encounter',0,0),
(108593,140113,3,100,'Inflicts 168 - 206 divine damage on target encounter',0,1),
(108594,140113,4,100,'Interrupts target encounter',0,0),
(108595,140113,4,100,'Inflicts 185 - 226 divine damage on target encounter',0,1),
(108596,140113,5,100,'Interrupts target encounter',0,0),
(108597,140113,5,100,'Inflicts 202 - 247 divine damage on target encounter',0,1),
(108598,140113,7,100,'Interrupts target encounter',0,0),
(108599,140113,7,100,'Inflicts 259 - 317 divine damage on target encounter',0,1),
(108600,140113,9,100,'Interrupts target encounter',0,0),
(108601,140113,9,100,'Inflicts 270 - 329 divine damage on target encounter',0,1),
(108602,140114,1,100,'Interrupts target encounter',0,0),
(108603,140114,1,100,'Inflicts 211 - 258 divine damage on target encounter',0,1),
(108604,140114,2,100,'Interrupts target encounter',0,0),
(108605,140114,2,100,'Inflicts 223 - 273 divine damage on target encounter',0,1),
(108606,140114,3,100,'Interrupts target encounter',0,0),
(108607,140114,3,100,'Inflicts 235 - 287 divine damage on target encounter',0,1),
(108608,140114,4,100,'Interrupts target encounter',0,0),
(108609,140114,4,100,'Inflicts 258 - 316 divine damage on target encounter',0,1),
(108610,140114,5,100,'Interrupts target encounter',0,0),
(108611,140114,5,100,'Inflicts 282 - 344 divine damage on target encounter',0,1),
(108612,140114,7,100,'Interrupts target encounter',0,0),
(108613,140114,7,100,'Inflicts 361 - 442 divine damage on target encounter',0,1),
(108614,140114,9,100,'Interrupts target encounter',0,0),
(108615,140114,9,100,'Inflicts 376 - 459 divine damage on target encounter',0,1),
(108616,140115,1,100,'Interrupts target encounter',0,0),
(108617,140115,1,100,'Inflicts 275 - 337 divine damage on target encounter',0,1),
(108618,140115,2,100,'Interrupts target encounter',0,0),
(108619,140115,2,100,'Inflicts 291 - 355 divine damage on target encounter',0,1),
(108620,140115,3,100,'Interrupts target encounter',0,0),
(108621,140115,3,100,'Inflicts 306 - 374 divine damage on target encounter',0,1),
(108622,140115,4,100,'Interrupts target encounter',0,0),
(108623,140115,4,100,'Inflicts 337 - 411 divine damage on target encounter',0,1),
(108624,140115,5,100,'Interrupts target encounter',0,0),
(108625,140115,5,100,'Inflicts 367 - 449 divine damage on target encounter',0,1),
(108626,140115,7,100,'Interrupts target encounter',0,0),
(108627,140115,7,100,'Inflicts 471 - 576 divine damage on target encounter',0,1),
(108628,140115,9,100,'Interrupts target encounter',0,0),
(108629,140115,9,100,'Inflicts 490 - 598 divine damage on target encounter',0,1),
(108630,140115,10,100,'Interrupts target encounter',0,0),
(108631,140115,10,100,'Inflicts 514 - 628 divine damage on target encounter',0,1),
(108632,140116,1,100,'Interrupts target encounter',0,0),
(108633,140116,1,100,'Inflicts 333 - 407 divine damage on target encounter',0,1),
(108634,140116,4,100,'Interrupts target encounter',0,0),
(108635,140116,4,100,'Inflicts 407 - 497 divine damage on target encounter',0,1),
(108636,140116,5,100,'Interrupts target encounter',0,0),
(108637,140116,5,100,'Inflicts 444 - 542 divine damage on target encounter',0,1),
(108638,140116,7,100,'Interrupts target encounter',0,0),
(108639,140116,7,100,'Inflicts 569 - 696 divine damage on target encounter',0,1),
(108640,140116,9,100,'Interrupts target encounter',0,0),
(108641,140116,9,100,'Inflicts 592 - 723 divine damage on target encounter',0,1),
(108642,140116,10,100,'Interrupts target encounter',0,0),
(108643,140116,10,100,'Inflicts 621 - 759 divine damage on target encounter',0,1),
(108644,140117,1,100,'Interrupts target encounter',0,0),
(108645,140117,1,100,'Inflicts 379 - 464 divine damage on target encounter',0,1),
(108646,140117,4,100,'Interrupts target encounter',0,0),
(108647,140117,4,100,'Inflicts 464 - 567 divine damage on target encounter',0,1),
(108648,140117,5,100,'Interrupts target encounter',0,0),
(108649,140117,5,100,'Inflicts 506 - 618 divine damage on target encounter',0,1),
(108650,140117,7,100,'Interrupts target encounter',0,0),
(108651,140117,7,100,'Inflicts 649 - 793 divine damage on target encounter',0,1),
(108652,140117,9,100,'Interrupts target encounter',0,0),
(108653,140117,9,100,'Inflicts 674 - 824 divine damage on target encounter',0,1),
(108654,140117,10,100,'Interrupts target encounter',0,0),
(108655,140117,10,100,'Inflicts 708 - 865 divine damage on target encounter',0,1),
(108656,260094,1,100,'Applies Stifle.  Lasts for 4.0 seconds.',0,0),
(108657,260094,1,100,'Blurs vision of target',1,1),
(108658,260094,1,100,'Stifles target',1,2),
(108659,260094,1,100,'If Target is not Epic',2,3),
(108660,260094,1,100,'Dispelled when target takes damage',1,4),
(108661,260094,1,100,'Epic targets gain an immunity to Stifle effects of 12.0 seconds and duration is reduced to 1.3 seconds.',1,5),
(108662,260094,1,100,'Resistibility increases against targets higher than level 34.',1,6),
(108663,260094,1,100,'Roots target',0,7),
(108664,260094,1,100,'5% chance to dispel when target takes damage',0,8),
(108665,260094,1,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,9),
(108666,260094,2,100,'Applies Stifle.  Lasts for 4.0 seconds.',0,0),
(108667,260094,2,100,'Blurs vision of target',1,1),
(108668,260094,2,100,'Stifles target',1,2),
(108669,260094,2,100,'If Target is not Epic',2,3),
(108670,260094,2,100,'Dispelled when target takes damage',1,4),
(108671,260094,2,100,'Epic targets gain an immunity to Stifle effects of 12.0 seconds and duration is reduced to 1.3 seconds.',1,5),
(108672,260094,2,100,'Resistibility increases against targets higher than level 34.',1,6),
(108673,260094,2,100,'Roots target',0,7),
(108674,260094,2,100,'5% chance to dispel when target takes damage',0,8),
(108675,260094,2,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,9),
(108676,260094,3,100,'Applies Stifle.  Lasts for 4.0 seconds.',0,0),
(108677,260094,3,100,'Blurs vision of target',1,1),
(108678,260094,3,100,'Stifles target',1,2),
(108679,260094,3,100,'If Target is not Epic',2,3),
(108680,260094,3,100,'Dispelled when target takes damage',1,4),
(108681,260094,3,100,'Epic targets gain an immunity to Stifle effects of 12.0 seconds and duration is reduced to 1.3 seconds.',1,5),
(108682,260094,3,100,'Resistibility increases against targets higher than level 34.',1,6),
(108683,260094,3,100,'Roots target',0,7),
(108684,260094,3,100,'5% chance to dispel when target takes damage',0,8),
(108685,260094,3,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,9),
(108686,260094,4,100,'Applies Stifle.  Lasts for 4.0 seconds.',0,0),
(108687,260094,4,100,'Blurs vision of target',1,1),
(108688,260094,4,100,'Stifles target',1,2),
(108689,260094,4,100,'If Target is not Epic',2,3),
(108690,260094,4,100,'Dispelled when target takes damage',1,4),
(108691,260094,4,100,'Epic targets gain an immunity to Stifle effects of 12.0 seconds and duration is reduced to 1.3 seconds.',1,5),
(108692,260094,4,100,'Resistibility increases against targets higher than level 34.',1,6),
(108693,260094,4,100,'Roots target',0,7),
(108694,260094,4,100,'5% chance to dispel when target takes damage',0,8),
(108695,260094,4,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,9),
(108696,260094,5,100,'Applies Stifle.  Lasts for 4.0 seconds.',0,0),
(108697,260094,5,100,'Blurs vision of target',1,1),
(108698,260094,5,100,'Stifles target',1,2),
(108699,260094,5,100,'If Target is not Epic',2,3),
(108700,260094,5,100,'Dispelled when target takes damage',1,4),
(108701,260094,5,100,'Epic targets gain an immunity to Stifle effects of 12.0 seconds and duration is reduced to 1.3 seconds.',1,5),
(108702,260094,5,100,'Resistibility increases against targets higher than level 34.',1,6),
(108703,260094,5,100,'Roots target',0,7),
(108704,260094,5,100,'5% chance to dispel when target takes damage',0,8),
(108705,260094,5,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,9),
(108706,260094,7,100,'Applies Stifle.  Lasts for 4.0 seconds.',0,0),
(108707,260094,7,100,'Blurs vision of target',1,1),
(108708,260094,7,100,'Stifles target',1,2),
(108709,260094,7,100,'If Target is not Epic',2,3),
(108710,260094,7,100,'Dispelled when target takes damage',1,4),
(108711,260094,7,100,'Epic targets gain an immunity to Stifle effects of 12.0 seconds and duration is reduced to 1.3 seconds.',1,5),
(108712,260094,7,100,'Resistibility increases against targets higher than level 34.',1,6),
(108713,260094,7,100,'Roots target',0,7),
(108714,260094,7,100,'5% chance to dispel when target takes damage',0,8),
(108715,260094,7,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,9),
(108716,260094,9,100,'Applies Stifle.  Lasts for 4.0 seconds.',0,0),
(108717,260094,9,100,'Blurs vision of target',1,1),
(108718,260094,9,100,'Stifles target',1,2),
(108719,260094,9,100,'If Target is not Epic',2,3),
(108720,260094,9,100,'Dispelled when target takes damage',1,4),
(108721,260094,9,100,'Epic targets gain an immunity to Stifle effects of 12.0 seconds and duration is reduced to 1.3 seconds.',1,5),
(108722,260094,9,100,'Resistibility increases against targets higher than level 34.',1,6),
(108723,260094,9,100,'Roots target',0,7),
(108724,260094,9,100,'5% chance to dispel when target takes damage',0,8),
(108725,260094,9,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,9),
(108726,260095,1,100,'Applies Stifle.  Lasts for 5.0 seconds.',0,0),
(108727,260095,1,100,'Blurs vision of target',1,1),
(108728,260095,1,100,'Stifles target',1,2),
(108729,260095,1,100,'If Target is not Epic',2,3),
(108730,260095,1,100,'Dispelled when target takes damage',1,4),
(108731,260095,1,100,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',1,5),
(108732,260095,1,100,'Resistibility increases against targets higher than level 48.',1,6),
(108733,260095,1,100,'Roots target',0,7),
(108734,260095,1,100,'5% chance to dispel when target takes damage',0,8),
(108735,260095,1,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,9),
(108736,260095,2,100,'Applies Stifle.  Lasts for 5.0 seconds.',0,0),
(108737,260095,2,100,'Blurs vision of target',1,1),
(108738,260095,2,100,'Stifles target',1,2),
(108739,260095,2,100,'If Target is not Epic',2,3),
(108740,260095,2,100,'Dispelled when target takes damage',1,4),
(108741,260095,2,100,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',1,5),
(108742,260095,2,100,'Resistibility increases against targets higher than level 48.',1,6),
(108743,260095,2,100,'Roots target',0,7),
(108744,260095,2,100,'5% chance to dispel when target takes damage',0,8),
(108745,260095,2,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,9),
(108746,260095,3,100,'Applies Stifle.  Lasts for 5.0 seconds.',0,0),
(108747,260095,3,100,'Blurs vision of target',1,1),
(108748,260095,3,100,'Stifles target',1,2),
(108749,260095,3,100,'If Target is not Epic',2,3),
(108750,260095,3,100,'Dispelled when target takes damage',1,4),
(108751,260095,3,100,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',1,5),
(108752,260095,3,100,'Resistibility increases against targets higher than level 48.',1,6),
(108753,260095,3,100,'Roots target',0,7),
(108754,260095,3,100,'5% chance to dispel when target takes damage',0,8),
(108755,260095,3,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,9),
(108756,260095,4,100,'Applies Stifle.  Lasts for 5.0 seconds.',0,0),
(108757,260095,4,100,'Blurs vision of target',1,1),
(108758,260095,4,100,'Stifles target',1,2),
(108759,260095,4,100,'If Target is not Epic',2,3),
(108760,260095,4,100,'Dispelled when target takes damage',1,4),
(108761,260095,4,100,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',1,5),
(108762,260095,4,100,'Resistibility increases against targets higher than level 48.',1,6),
(108763,260095,4,100,'Roots target',0,7),
(108764,260095,4,100,'5% chance to dispel when target takes damage',0,8),
(108765,260095,4,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,9),
(108766,260095,5,100,'Applies Stifle.  Lasts for 5.0 seconds.',0,0),
(108767,260095,5,100,'Blurs vision of target',1,1),
(108768,260095,5,100,'Stifles target',1,2),
(108769,260095,5,100,'If Target is not Epic',2,3),
(108770,260095,5,100,'Dispelled when target takes damage',1,4),
(108771,260095,5,100,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',1,5),
(108772,260095,5,100,'Resistibility increases against targets higher than level 48.',1,6),
(108773,260095,5,100,'Roots target',0,7),
(108774,260095,5,100,'5% chance to dispel when target takes damage',0,8),
(108775,260095,5,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,9),
(108776,260095,7,100,'Applies Stifle.  Lasts for 5.0 seconds.',0,0),
(108777,260095,7,100,'Blurs vision of target',1,1),
(108778,260095,7,100,'Stifles target',1,2),
(108779,260095,7,100,'If Target is not Epic',2,3),
(108780,260095,7,100,'Dispelled when target takes damage',1,4),
(108781,260095,7,100,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',1,5),
(108782,260095,7,100,'Resistibility increases against targets higher than level 48.',1,6),
(108783,260095,7,100,'Roots target',0,7),
(108784,260095,7,100,'5% chance to dispel when target takes damage',0,8),
(108785,260095,7,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,9),
(108786,260095,9,100,'Applies Stifle.  Lasts for 5.0 seconds.',0,0),
(108787,260095,9,100,'Blurs vision of target',1,1),
(108788,260095,9,100,'Stifles target',1,2),
(108789,260095,9,100,'If Target is not Epic',2,3),
(108790,260095,9,100,'Dispelled when target takes damage',1,4),
(108791,260095,9,100,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',1,5),
(108792,260095,9,100,'Resistibility increases against targets higher than level 48.',1,6),
(108793,260095,9,100,'Roots target',0,7),
(108794,260095,9,100,'5% chance to dispel when target takes damage',0,8),
(108795,260095,9,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,9),
(108796,260096,1,100,'Applies Stifle.  Lasts for 6.0 seconds.',0,0),
(108797,260096,1,100,'Blurs vision of target',1,1),
(108798,260096,1,100,'Stifles target',1,2),
(108799,260096,1,100,'If Target is not Epic',2,3),
(108800,260096,1,100,'Dispelled when target takes damage',1,4),
(108801,260096,1,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',1,5),
(108802,260096,1,100,'Resistibility increases against targets higher than level 62.',1,6),
(108803,260096,1,100,'Roots target',0,7),
(108804,260096,1,100,'5% chance to dispel when target takes damage',0,8),
(108805,260096,1,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,9),
(108806,260096,2,100,'Applies Stifle.  Lasts for 6.0 seconds.',0,0),
(108807,260096,2,100,'Blurs vision of target',1,1),
(108808,260096,2,100,'Stifles target',1,2),
(108809,260096,2,100,'If Target is not Epic',2,3),
(108810,260096,2,100,'Dispelled when target takes damage',1,4),
(108811,260096,2,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',1,5),
(108812,260096,2,100,'Resistibility increases against targets higher than level 62.',1,6),
(108813,260096,2,100,'Roots target',0,7),
(108814,260096,2,100,'5% chance to dispel when target takes damage',0,8),
(108815,260096,2,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,9),
(108816,260096,3,100,'Applies Stifle.  Lasts for 6.0 seconds.',0,0),
(108817,260096,3,100,'Blurs vision of target',1,1),
(108818,260096,3,100,'Stifles target',1,2),
(108819,260096,3,100,'If Target is not Epic',2,3),
(108820,260096,3,100,'Dispelled when target takes damage',1,4),
(108821,260096,3,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',1,5),
(108822,260096,3,100,'Resistibility increases against targets higher than level 62.',1,6),
(108823,260096,3,100,'Roots target',0,7),
(108824,260096,3,100,'5% chance to dispel when target takes damage',0,8),
(108825,260096,3,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,9),
(108826,260096,4,100,'Applies Stifle.  Lasts for 6.0 seconds.',0,0),
(108827,260096,4,100,'Blurs vision of target',1,1),
(108828,260096,4,100,'Stifles target',1,2),
(108829,260096,4,100,'If Target is not Epic',2,3),
(108830,260096,4,100,'Dispelled when target takes damage',1,4),
(108831,260096,4,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',1,5),
(108832,260096,4,100,'Resistibility increases against targets higher than level 62.',1,6),
(108833,260096,4,100,'Roots target',0,7),
(108834,260096,4,100,'5% chance to dispel when target takes damage',0,8),
(108835,260096,4,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,9),
(108836,260096,5,100,'Applies Stifle.  Lasts for 6.0 seconds.',0,0),
(108837,260096,5,100,'Blurs vision of target',1,1),
(108838,260096,5,100,'Stifles target',1,2),
(108839,260096,5,100,'If Target is not Epic',2,3),
(108840,260096,5,100,'Dispelled when target takes damage',1,4),
(108841,260096,5,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',1,5),
(108842,260096,5,100,'Resistibility increases against targets higher than level 62.',1,6),
(108843,260096,5,100,'Roots target',0,7),
(108844,260096,5,100,'5% chance to dispel when target takes damage',0,8),
(108845,260096,5,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,9),
(108846,260096,7,100,'Applies Stifle.  Lasts for 6.0 seconds.',0,0),
(108847,260096,7,100,'Blurs vision of target',1,1),
(108848,260096,7,100,'Stifles target',1,2),
(108849,260096,7,100,'If Target is not Epic',2,3),
(108850,260096,7,100,'Dispelled when target takes damage',1,4),
(108851,260096,7,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',1,5),
(108852,260096,7,100,'Resistibility increases against targets higher than level 62.',1,6),
(108853,260096,7,100,'Roots target',0,7),
(108854,260096,7,100,'5% chance to dispel when target takes damage',0,8),
(108855,260096,7,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,9),
(108856,260096,9,100,'Applies Stifle.  Lasts for 6.0 seconds.',0,0),
(108857,260096,9,100,'Blurs vision of target',1,1),
(108858,260096,9,100,'Stifles target',1,2),
(108859,260096,9,100,'If Target is not Epic',2,3),
(108860,260096,9,100,'Dispelled when target takes damage',1,4),
(108861,260096,9,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',1,5),
(108862,260096,9,100,'Resistibility increases against targets higher than level 62.',1,6),
(108863,260096,9,100,'Roots target',0,7),
(108864,260096,9,100,'5% chance to dispel when target takes damage',0,8),
(108865,260096,9,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,9),
(108866,260097,1,100,'Applies Stifle.  Lasts for 7.0 seconds.',0,0),
(108867,260097,1,100,'Blurs vision of target',1,1),
(108868,260097,1,100,'Stifles target',1,2),
(108869,260097,1,100,'If Target is not Epic',2,3),
(108870,260097,1,100,'Dispelled when target takes damage',1,4),
(108871,260097,1,100,'Epic targets gain an immunity to Stifle effects of 21.0 seconds and duration is reduced to 2.3 seconds.',1,5),
(108872,260097,1,100,'Resistibility increases against targets higher than level 76.',1,6),
(108873,260097,1,100,'Roots target',0,7),
(108874,260097,1,100,'5% chance to dispel when target takes damage',0,8),
(108875,260097,1,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,9),
(108876,260097,2,100,'Applies Stifle.  Lasts for 7.0 seconds.',0,0),
(108877,260097,2,100,'Blurs vision of target',1,1),
(108878,260097,2,100,'Stifles target',1,2),
(108879,260097,2,100,'If Target is not Epic',2,3),
(108880,260097,2,100,'Dispelled when target takes damage',1,4),
(108881,260097,2,100,'Epic targets gain an immunity to Stifle effects of 21.0 seconds and duration is reduced to 2.3 seconds.',1,5),
(108882,260097,2,100,'Resistibility increases against targets higher than level 76.',1,6),
(108883,260097,2,100,'Roots target',0,7),
(108884,260097,2,100,'5% chance to dispel when target takes damage',0,8),
(108885,260097,2,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,9),
(108886,260097,3,100,'Applies Stifle.  Lasts for 7.0 seconds.',0,0),
(108887,260097,3,100,'Blurs vision of target',1,1),
(108888,260097,3,100,'Stifles target',1,2),
(108889,260097,3,100,'If Target is not Epic',2,3),
(108890,260097,3,100,'Dispelled when target takes damage',1,4),
(108891,260097,3,100,'Epic targets gain an immunity to Stifle effects of 21.0 seconds and duration is reduced to 2.3 seconds.',1,5),
(108892,260097,3,100,'Resistibility increases against targets higher than level 76.',1,6),
(108893,260097,3,100,'Roots target',0,7),
(108894,260097,3,100,'5% chance to dispel when target takes damage',0,8),
(108895,260097,3,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,9),
(108896,260097,4,100,'Applies Stifle.  Lasts for 7.0 seconds.',0,0),
(108897,260097,4,100,'Blurs vision of target',1,1),
(108898,260097,4,100,'Stifles target',1,2),
(108899,260097,4,100,'If Target is not Epic',2,3),
(108900,260097,4,100,'Dispelled when target takes damage',1,4),
(108901,260097,4,100,'Epic targets gain an immunity to Stifle effects of 21.0 seconds and duration is reduced to 2.3 seconds.',1,5),
(108902,260097,4,100,'Resistibility increases against targets higher than level 76.',1,6),
(108903,260097,4,100,'Roots target',0,7),
(108904,260097,4,100,'5% chance to dispel when target takes damage',0,8),
(108905,260097,4,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,9),
(108906,260097,5,100,'Applies Stifle.  Lasts for 7.0 seconds.',0,0),
(108907,260097,5,100,'Blurs vision of target',1,1),
(108908,260097,5,100,'Stifles target',1,2),
(108909,260097,5,100,'If Target is not Epic',2,3),
(108910,260097,5,100,'Dispelled when target takes damage',1,4),
(108911,260097,5,100,'Epic targets gain an immunity to Stifle effects of 21.0 seconds and duration is reduced to 2.3 seconds.',1,5),
(108912,260097,5,100,'Resistibility increases against targets higher than level 76.',1,6),
(108913,260097,5,100,'Roots target',0,7),
(108914,260097,5,100,'5% chance to dispel when target takes damage',0,8),
(108915,260097,5,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,9),
(108916,260097,7,100,'Applies Stifle.  Lasts for 7.0 seconds.',0,0),
(108917,260097,7,100,'Blurs vision of target',1,1),
(108918,260097,7,100,'Stifles target',1,2),
(108919,260097,7,100,'If Target is not Epic',2,3),
(108920,260097,7,100,'Dispelled when target takes damage',1,4),
(108921,260097,7,100,'Epic targets gain an immunity to Stifle effects of 21.0 seconds and duration is reduced to 2.3 seconds.',1,5),
(108922,260097,7,100,'Resistibility increases against targets higher than level 76.',1,6),
(108923,260097,7,100,'Roots target',0,7),
(108924,260097,7,100,'5% chance to dispel when target takes damage',0,8),
(108925,260097,7,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,9),
(108926,260097,9,100,'Applies Stifle.  Lasts for 7.0 seconds.',0,0),
(108927,260097,9,100,'Blurs vision of target',1,1),
(108928,260097,9,100,'Stifles target',1,2),
(108929,260097,9,100,'If Target is not Epic',2,3),
(108930,260097,9,100,'Dispelled when target takes damage',1,4),
(108931,260097,9,100,'Epic targets gain an immunity to Stifle effects of 21.0 seconds and duration is reduced to 2.3 seconds.',1,5),
(108932,260097,9,100,'Resistibility increases against targets higher than level 76.',1,6),
(108933,260097,9,100,'Roots target',0,7),
(108934,260097,9,100,'5% chance to dispel when target takes damage',0,8),
(108935,260097,9,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,9),
(108936,260098,1,100,'Applies Stifle.  Lasts for 8.0 seconds.',0,0),
(108937,260098,1,100,'Blurs vision of target',1,1),
(108938,260098,1,100,'Stifles target',1,2),
(108939,260098,1,100,'If Target is not Epic',2,3),
(108940,260098,1,100,'Dispelled when target takes damage',1,4),
(108941,260098,1,100,'Epic targets gain an immunity to Stifle effects of 24.0 seconds and duration is reduced to 2.7 seconds.',1,5),
(108942,260098,1,100,'Resistibility increases against targets higher than level 90.',1,6),
(108943,260098,1,100,'Roots target',0,7),
(108944,260098,1,100,'5% chance to dispel when target takes damage',0,8),
(108945,260098,1,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,9),
(108946,260098,2,100,'Applies Stifle.  Lasts for 8.0 seconds.',0,0),
(108947,260098,2,100,'Blurs vision of target',1,1),
(108948,260098,2,100,'Stifles target',1,2),
(108949,260098,2,100,'If Target is not Epic',2,3),
(108950,260098,2,100,'Dispelled when target takes damage',1,4),
(108951,260098,2,100,'Epic targets gain an immunity to Stifle effects of 24.0 seconds and duration is reduced to 2.7 seconds.',1,5),
(108952,260098,2,100,'Resistibility increases against targets higher than level 90.',1,6),
(108953,260098,2,100,'Roots target',0,7),
(108954,260098,2,100,'5% chance to dispel when target takes damage',0,8),
(108955,260098,2,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,9),
(108956,260098,3,100,'Applies Stifle.  Lasts for 8.0 seconds.',0,0),
(108957,260098,3,100,'Blurs vision of target',1,1),
(108958,260098,3,100,'Stifles target',1,2),
(108959,260098,3,100,'If Target is not Epic',2,3),
(108960,260098,3,100,'Dispelled when target takes damage',1,4),
(108961,260098,3,100,'Epic targets gain an immunity to Stifle effects of 24.0 seconds and duration is reduced to 2.7 seconds.',1,5),
(108962,260098,3,100,'Resistibility increases against targets higher than level 90.',1,6),
(108963,260098,3,100,'Roots target',0,7),
(108964,260098,3,100,'5% chance to dispel when target takes damage',0,8),
(108965,260098,3,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,9),
(108966,260098,4,100,'Applies Stifle.  Lasts for 8.0 seconds.',0,0),
(108967,260098,4,100,'Blurs vision of target',1,1),
(108968,260098,4,100,'Stifles target',1,2),
(108969,260098,4,100,'If Target is not Epic',2,3),
(108970,260098,4,100,'Dispelled when target takes damage',1,4),
(108971,260098,4,100,'Epic targets gain an immunity to Stifle effects of 24.0 seconds and duration is reduced to 2.7 seconds.',1,5),
(108972,260098,4,100,'Resistibility increases against targets higher than level 90.',1,6),
(108973,260098,4,100,'Roots target',0,7),
(108974,260098,4,100,'5% chance to dispel when target takes damage',0,8),
(108975,260098,4,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,9),
(108976,260098,5,100,'Applies Stifle.  Lasts for 8.0 seconds.',0,0),
(108977,260098,5,100,'Blurs vision of target',1,1),
(108978,260098,5,100,'Stifles target',1,2),
(108979,260098,5,100,'If Target is not Epic',2,3),
(108980,260098,5,100,'Dispelled when target takes damage',1,4),
(108981,260098,5,100,'Epic targets gain an immunity to Stifle effects of 24.0 seconds and duration is reduced to 2.7 seconds.',1,5),
(108982,260098,5,100,'Resistibility increases against targets higher than level 90.',1,6),
(108983,260098,5,100,'Roots target',0,7),
(108984,260098,5,100,'5% chance to dispel when target takes damage',0,8),
(108985,260098,5,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,9),
(108986,260098,7,100,'Applies Stifle.  Lasts for 8.0 seconds.',0,0),
(108987,260098,7,100,'Blurs vision of target',1,1),
(108988,260098,7,100,'Stifles target',1,2),
(108989,260098,7,100,'If Target is not Epic',2,3),
(108990,260098,7,100,'Dispelled when target takes damage',1,4),
(108991,260098,7,100,'Epic targets gain an immunity to Stifle effects of 24.0 seconds and duration is reduced to 2.7 seconds.',1,5),
(108992,260098,7,100,'Resistibility increases against targets higher than level 90.',1,6),
(108993,260098,7,100,'Roots target',0,7),
(108994,260098,7,100,'5% chance to dispel when target takes damage',0,8),
(108995,260098,7,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,9),
(108996,260098,9,100,'Applies Stifle.  Lasts for 8.0 seconds.',0,0),
(108997,260098,9,100,'Blurs vision of target',1,1),
(108998,260098,9,100,'Stifles target',1,2),
(108999,260098,9,100,'If Target is not Epic',2,3),
(109000,260098,9,100,'Dispelled when target takes damage',1,4),
(109001,260098,9,100,'Epic targets gain an immunity to Stifle effects of 24.0 seconds and duration is reduced to 2.7 seconds.',1,5),
(109002,260098,9,100,'Resistibility increases against targets higher than level 90.',1,6),
(109003,260098,9,100,'Roots target',0,7),
(109004,260098,9,100,'5% chance to dispel when target takes damage',0,8),
(109005,260098,9,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,9),
(109006,260099,1,100,'Applies Stifle.  Lasts for 9.0 seconds.',0,0),
(109007,260099,1,100,'Blurs vision of target',1,1),
(109008,260099,1,100,'Stifles target',1,2),
(109009,260099,1,100,'If Target is not Epic',2,3),
(109010,260099,1,100,'Dispelled when target takes damage',1,4),
(109011,260099,1,100,'Epic targets gain an immunity to Stifle effects of 27.0 seconds and duration is reduced to 3.0 seconds.',1,5),
(109012,260099,1,100,'Resistibility increases against targets higher than level 102.',1,6),
(109013,260099,1,100,'Roots target',0,7),
(109014,260099,1,100,'5% chance to dispel when target takes damage',0,8),
(109015,260099,1,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,9),
(109016,260099,2,100,'Applies Stifle.  Lasts for 9.0 seconds.',0,0),
(109017,260099,2,100,'Blurs vision of target',1,1),
(109018,260099,2,100,'Stifles target',1,2),
(109019,260099,2,100,'If Target is not Epic',2,3),
(109020,260099,2,100,'Dispelled when target takes damage',1,4),
(109021,260099,2,100,'Epic targets gain an immunity to Stifle effects of 27.0 seconds and duration is reduced to 3.0 seconds.',1,5),
(109022,260099,2,100,'Resistibility increases against targets higher than level 102.',1,6),
(109023,260099,2,100,'Roots target',0,7),
(109024,260099,2,100,'5% chance to dispel when target takes damage',0,8),
(109025,260099,2,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,9),
(109026,260099,3,100,'Applies Stifle.  Lasts for 9.0 seconds.',0,0),
(109027,260099,3,100,'Blurs vision of target',1,1),
(109028,260099,3,100,'Stifles target',1,2),
(109029,260099,3,100,'If Target is not Epic',2,3),
(109030,260099,3,100,'Dispelled when target takes damage',1,4),
(109031,260099,3,100,'Epic targets gain an immunity to Stifle effects of 27.0 seconds and duration is reduced to 3.0 seconds.',1,5),
(109032,260099,3,100,'Resistibility increases against targets higher than level 102.',1,6),
(109033,260099,3,100,'Roots target',0,7),
(109034,260099,3,100,'5% chance to dispel when target takes damage',0,8),
(109035,260099,3,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,9),
(109036,260099,4,100,'Applies Stifle.  Lasts for 9.0 seconds.',0,0),
(109037,260099,4,100,'Blurs vision of target',1,1),
(109038,260099,4,100,'Stifles target',1,2),
(109039,260099,4,100,'If Target is not Epic',2,3),
(109040,260099,4,100,'Dispelled when target takes damage',1,4),
(109041,260099,4,100,'Epic targets gain an immunity to Stifle effects of 27.0 seconds and duration is reduced to 3.0 seconds.',1,5),
(109042,260099,4,100,'Resistibility increases against targets higher than level 102.',1,6),
(109043,260099,4,100,'Roots target',0,7),
(109044,260099,4,100,'5% chance to dispel when target takes damage',0,8),
(109045,260099,4,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,9),
(109046,260099,5,100,'Applies Stifle.  Lasts for 9.0 seconds.',0,0),
(109047,260099,5,100,'Blurs vision of target',1,1),
(109048,260099,5,100,'Stifles target',1,2),
(109049,260099,5,100,'If Target is not Epic',2,3),
(109050,260099,5,100,'Dispelled when target takes damage',1,4),
(109051,260099,5,100,'Epic targets gain an immunity to Stifle effects of 27.0 seconds and duration is reduced to 3.0 seconds.',1,5),
(109052,260099,5,100,'Resistibility increases against targets higher than level 102.',1,6),
(109053,260099,5,100,'Roots target',0,7),
(109054,260099,5,100,'5% chance to dispel when target takes damage',0,8),
(109055,260099,5,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,9),
(109056,260099,7,100,'Applies Stifle.  Lasts for 9.0 seconds.',0,0),
(109057,260099,7,100,'Blurs vision of target',1,1),
(109058,260099,7,100,'Stifles target',1,2),
(109059,260099,7,100,'If Target is not Epic',2,3),
(109060,260099,7,100,'Dispelled when target takes damage',1,4),
(109061,260099,7,100,'Epic targets gain an immunity to Stifle effects of 27.0 seconds and duration is reduced to 3.0 seconds.',1,5),
(109062,260099,7,100,'Resistibility increases against targets higher than level 102.',1,6),
(109063,260099,7,100,'Roots target',0,7),
(109064,260099,7,100,'5% chance to dispel when target takes damage',0,8),
(109065,260099,7,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,9),
(109066,260099,9,100,'Applies Stifle.  Lasts for 9.0 seconds.',0,0),
(109067,260099,9,100,'Blurs vision of target',1,1),
(109068,260099,9,100,'Stifles target',1,2),
(109069,260099,9,100,'If Target is not Epic',2,3),
(109070,260099,9,100,'Dispelled when target takes damage',1,4),
(109071,260099,9,100,'Epic targets gain an immunity to Stifle effects of 27.0 seconds and duration is reduced to 3.0 seconds.',1,5),
(109072,260099,9,100,'Resistibility increases against targets higher than level 102.',1,6),
(109073,260099,9,100,'Roots target',0,7),
(109074,260099,9,100,'5% chance to dispel when target takes damage',0,8),
(109075,260099,9,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,9),
(109076,260100,1,100,'Applies Stifle.  Lasts for 9.0 seconds.',0,0),
(109077,260100,1,100,'Blurs vision of target',1,1),
(109078,260100,1,100,'Stifles target',1,2),
(109079,260100,1,100,'If Target is not Epic',2,3),
(109080,260100,1,100,'Dispelled when target takes damage',1,4),
(109081,260100,1,100,'Epic targets gain an immunity to Stifle effects of 27.0 seconds and duration is reduced to 3.0 seconds.',1,5),
(109082,260100,1,100,'Resistibility increases against targets higher than level 112.',1,6),
(109083,260100,1,100,'Roots target',0,7),
(109084,260100,1,100,'5% chance to dispel when target takes damage',0,8),
(109085,260100,1,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,9),
(109086,260100,4,100,'Applies Stifle.  Lasts for 9.0 seconds.',0,0),
(109087,260100,4,100,'Blurs vision of target',1,1),
(109088,260100,4,100,'Stifles target',1,2),
(109089,260100,4,100,'If Target is not Epic',2,3),
(109090,260100,4,100,'Dispelled when target takes damage',1,4),
(109091,260100,4,100,'Epic targets gain an immunity to Stifle effects of 27.0 seconds and duration is reduced to 3.0 seconds.',1,5),
(109092,260100,4,100,'Resistibility increases against targets higher than level 112.',1,6),
(109093,260100,4,100,'Roots target',0,7),
(109094,260100,4,100,'5% chance to dispel when target takes damage',0,8),
(109095,260100,4,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,9),
(109096,260100,5,100,'Applies Stifle.  Lasts for 9.0 seconds.',0,0),
(109097,260100,5,100,'Blurs vision of target',1,1),
(109098,260100,5,100,'Stifles target',1,2),
(109099,260100,5,100,'If Target is not Epic',2,3),
(109100,260100,5,100,'Dispelled when target takes damage',1,4),
(109101,260100,5,100,'Epic targets gain an immunity to Stifle effects of 27.0 seconds and duration is reduced to 3.0 seconds.',1,5),
(109102,260100,5,100,'Resistibility increases against targets higher than level 112.',1,6),
(109103,260100,5,100,'Roots target',0,7),
(109104,260100,5,100,'5% chance to dispel when target takes damage',0,8),
(109105,260100,5,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,9),
(109106,260100,7,100,'Applies Stifle.  Lasts for 9.0 seconds.',0,0),
(109107,260100,7,100,'Blurs vision of target',1,1),
(109108,260100,7,100,'Stifles target',1,2),
(109109,260100,7,100,'If Target is not Epic',2,3),
(109110,260100,7,100,'Dispelled when target takes damage',1,4),
(109111,260100,7,100,'Epic targets gain an immunity to Stifle effects of 27.0 seconds and duration is reduced to 3.0 seconds.',1,5),
(109112,260100,7,100,'Resistibility increases against targets higher than level 112.',1,6),
(109113,260100,7,100,'Roots target',0,7),
(109114,260100,7,100,'5% chance to dispel when target takes damage',0,8),
(109115,260100,7,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,9),
(109116,260100,9,100,'Applies Stifle.  Lasts for 9.0 seconds.',0,0),
(109117,260100,9,100,'Blurs vision of target',1,1),
(109118,260100,9,100,'Stifles target',1,2),
(109119,260100,9,100,'If Target is not Epic',2,3),
(109120,260100,9,100,'Dispelled when target takes damage',1,4),
(109121,260100,9,100,'Epic targets gain an immunity to Stifle effects of 27.0 seconds and duration is reduced to 3.0 seconds.',1,5),
(109122,260100,9,100,'Resistibility increases against targets higher than level 112.',1,6),
(109123,260100,9,100,'Roots target',0,7),
(109124,260100,9,100,'5% chance to dispel when target takes damage',0,8),
(109125,260100,9,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,9),
(109126,170095,1,100,'Increases STA of target by 2.6',0,0),
(109127,170095,1,100,'Increases INT of target by 8.9',0,1),
(109128,170095,2,100,'Increases STA of target by 2.8',0,0),
(109129,170095,2,100,'Increases INT of target by 9.4',0,1),
(109130,170095,3,100,'Increases STA of target by 2.9',0,0),
(109131,170095,3,100,'Increases INT of target by 9.9',0,1),
(109132,170095,4,100,'Increases STA of target by 3.2',0,0),
(109133,170095,4,100,'Increases INT of target by 10.9',0,1),
(109134,170095,5,100,'Increases STA of target by 3.5',0,0),
(109135,170095,5,100,'Increases INT of target by 11.9',0,1),
(109136,170095,7,100,'Increases STA of target by 4.5',0,0),
(109137,170095,7,100,'Increases INT of target by 15.2',0,1),
(109138,170095,9,100,'Increases STA of target by 4.7',0,0),
(109139,170095,9,100,'Increases INT of target by 15.8',0,1),
(109140,170096,1,100,'Increases STA of target by 8.5',0,0),
(109141,170096,1,100,'Increases INT of target by 17.8',0,1),
(109142,170096,2,100,'Increases STA of target by 9.0',0,0),
(109143,170096,2,100,'Increases INT of target by 18.8',0,1),
(109144,170096,3,100,'Increases STA of target by 9.5',0,0),
(109145,170096,3,100,'Increases INT of target by 19.8',0,1),
(109146,170096,4,100,'Increases STA of target by 10.4',0,0),
(109147,170096,4,100,'Increases INT of target by 21.8',0,1),
(109148,170096,5,100,'Increases STA of target by 11.4',0,0),
(109149,170096,5,100,'Increases INT of target by 23.8',0,1),
(109150,170096,7,100,'Increases STA of target by 14.6',0,0),
(109151,170096,7,100,'Increases INT of target by 30.5',0,1),
(109152,170096,9,100,'Increases STA of target by 15.1',0,0),
(109153,170096,9,100,'Increases INT of target by 31.7',0,1),
(109154,170097,1,100,'Increases STA of target by 21.8',0,0),
(109155,170097,1,100,'Increases INT of target by 31.0',0,1),
(109156,170097,2,100,'Increases STA of target by 23.0',0,0),
(109157,170097,2,100,'Increases INT of target by 32.8',0,1),
(109158,170097,3,100,'Increases STA of target by 24.2',0,0),
(109159,170097,3,100,'Increases INT of target by 34.5',0,1),
(109160,170097,4,100,'Increases STA of target by 26.6',0,0),
(109161,170097,4,100,'Increases INT of target by 38.0',0,1),
(109162,170097,5,100,'Increases STA of target by 29.1',0,0),
(109163,170097,5,100,'Increases INT of target by 41.4',0,1),
(109164,170097,7,100,'Increases STA of target by 37.3',0,0),
(109165,170097,7,100,'Increases INT of target by 53.1',0,1),
(109166,170097,9,100,'Increases STA of target by 38.8',0,0),
(109167,170097,9,100,'Increases INT of target by 55.2',0,1),
(109168,170098,1,100,'Increases STA of target by 37.0',0,0),
(109169,170098,1,100,'Increases INT of target by 46.2',0,1),
(109170,170098,2,100,'Increases STA of target by 39.1',0,0),
(109171,170098,2,100,'Increases INT of target by 48.7',0,1),
(109172,170098,3,100,'Increases STA of target by 41.2',0,0),
(109173,170098,3,100,'Increases INT of target by 51.3',0,1),
(109174,170098,4,100,'Increases STA of target by 45.3',0,0),
(109175,170098,4,100,'Increases INT of target by 56.4',0,1),
(109176,170098,5,100,'Increases STA of target by 49.4',0,0),
(109177,170098,5,100,'Increases INT of target by 61.6',0,1),
(109178,170098,7,100,'Increases STA of target by 63.4',0,0),
(109179,170098,7,100,'Increases INT of target by 79.0',0,1),
(109180,170098,9,100,'Increases STA of target by 65.9',0,0),
(109181,170098,9,100,'Increases INT of target by 82.1',0,1),
(109182,170099,1,100,'Increases STA of target by 50.6',0,0),
(109183,170099,1,100,'Increases INT of target by 61.3',0,1),
(109184,170099,2,100,'Increases STA of target by 53.4',0,0),
(109185,170099,2,100,'Increases INT of target by 64.7',0,1),
(109186,170099,3,100,'Increases STA of target by 56.3',0,0),
(109187,170099,3,100,'Increases INT of target by 68.1',0,1),
(109188,170099,4,100,'Increases STA of target by 61.9',0,0),
(109189,170099,4,100,'Increases INT of target by 74.9',0,1),
(109190,170099,5,100,'Increases STA of target by 67.5',0,0),
(109191,170099,5,100,'Increases INT of target by 81.7',0,1),
(109192,170099,7,100,'Increases STA of target by 86.6',0,0),
(109193,170099,7,100,'Increases INT of target by 104.9',0,1),
(109194,170099,9,100,'Increases STA of target by 90.0',0,0),
(109195,170099,9,100,'Increases INT of target by 109.0',0,1),
(109196,170100,1,100,'Increases STA of target by 63.9',0,0),
(109197,170100,1,100,'Increases INT of target by 77.2',0,1),
(109198,170100,2,100,'Increases STA of target by 67.4',0,0),
(109199,170100,2,100,'Increases INT of target by 81.5',0,1),
(109200,170100,3,100,'Increases STA of target by 71.0',0,0),
(109201,170100,3,100,'Increases INT of target by 85.8',0,1),
(109202,170100,4,100,'Increases STA of target by 78.1',0,0),
(109203,170100,4,100,'Increases INT of target by 94.4',0,1),
(109204,170100,5,100,'Increases STA of target by 85.2',0,0),
(109205,170100,5,100,'Increases INT of target by 103.0',0,1),
(109206,170100,7,100,'Increases STA of target by 109.3',0,0),
(109207,170100,7,100,'Increases INT of target by 132.1',0,1),
(109208,170100,9,100,'Increases STA of target by 113.6',0,0),
(109209,170100,9,100,'Increases INT of target by 137.3',0,1),
(109210,170101,1,100,'Increases STA of target by 76.5',0,0),
(109211,170101,1,100,'Increases INT of target by 92.1',0,1),
(109212,170101,4,100,'Increases STA of target by 93.5',0,0),
(109213,170101,4,100,'Increases INT of target by 112.5',0,1),
(109214,170101,5,100,'Increases STA of target by 102.0',0,0),
(109215,170101,5,100,'Increases INT of target by 122.8',0,1),
(109216,170101,7,100,'Increases STA of target by 130.9',0,0),
(109217,170101,7,100,'Increases INT of target by 157.5',0,1),
(109218,170101,9,100,'Increases STA of target by 136.0',0,0),
(109219,170101,9,100,'Increases INT of target by 163.7',0,1),
(109220,170101,10,100,'Increases STA of target by 142.8',0,0),
(109221,170101,10,100,'Increases INT of target by 171.9',0,1),
(109222,170102,1,100,'Increases STA of target by 89.1',0,0),
(109223,170102,1,100,'Increases INT of target by 106.9',0,1),
(109224,170102,4,100,'Increases STA of target by 108.9',0,0),
(109225,170102,4,100,'Increases INT of target by 130.7',0,1),
(109226,170102,5,100,'Increases STA of target by 118.8',0,0),
(109227,170102,5,100,'Increases INT of target by 142.6',0,1),
(109228,170102,7,100,'Increases STA of target by 152.4',0,0),
(109229,170102,7,100,'Increases INT of target by 183.0',0,1),
(109230,170102,9,100,'Increases STA of target by 158.4',0,0),
(109231,170102,9,100,'Increases INT of target by 190.1',0,1),
(109232,2000514,1,100,'Increases trigger percentage by 20% of the existing trigger percent',0,0),
(109233,370129,1,100,'Inflicts 16 - 27 disease damage on target',0,0),
(109234,370129,2,100,'Inflicts 17 - 29 disease damage on target',0,0),
(109235,370129,3,100,'Inflicts 18 - 30 disease damage on target',0,0),
(109236,370129,4,100,'Inflicts 20 - 33 disease damage on target',0,0),
(109237,370129,5,100,'Inflicts 22 - 36 disease damage on target',0,0),
(109238,370129,7,100,'Inflicts 28 - 46 disease damage on target',0,0),
(109239,370129,9,100,'Inflicts 29 - 48 disease damage on target',0,0),
(109240,370130,1,100,'Inflicts 59 - 99 disease damage on target',0,0),
(109241,370130,2,100,'Inflicts 63 - 105 disease damage on target',0,0),
(109242,370130,3,100,'Inflicts 66 - 110 disease damage on target',0,0),
(109243,370130,4,100,'Inflicts 73 - 121 disease damage on target',0,0),
(109244,370130,5,100,'Inflicts 79 - 132 disease damage on target',0,0),
(109245,370130,7,100,'Inflicts 102 - 170 disease damage on target',0,0),
(109246,370130,9,100,'Inflicts 106 - 176 disease damage on target',0,0),
(109247,370130,10,100,'Inflicts 111 - 185 disease damage on target',0,0),
(109248,370131,1,100,'Inflicts 132 - 221 disease damage on target',0,0),
(109249,370131,2,100,'Inflicts 140 - 233 disease damage on target',0,0),
(109250,370131,3,100,'Inflicts 147 - 245 disease damage on target',0,0),
(109251,370131,4,100,'Inflicts 162 - 270 disease damage on target',0,0),
(109252,370131,5,100,'Inflicts 177 - 294 disease damage on target',0,0),
(109253,370131,7,100,'Inflicts 227 - 378 disease damage on target',0,0),
(109254,370131,9,100,'Inflicts 235 - 392 disease damage on target',0,0),
(109255,370132,1,100,'Inflicts 213 - 355 disease damage on target',0,0),
(109256,370132,2,100,'Inflicts 225 - 375 disease damage on target',0,0),
(109257,370132,3,100,'Inflicts 237 - 395 disease damage on target',0,0),
(109258,370132,4,100,'Inflicts 260 - 434 disease damage on target',0,0),
(109259,370132,5,100,'Inflicts 284 - 473 disease damage on target',0,0),
(109260,370132,7,100,'Inflicts 365 - 608 disease damage on target',0,0),
(109261,370132,9,100,'Inflicts 379 - 631 disease damage on target',0,0),
(109262,370133,1,100,'Inflicts 656 - 1094 disease damage on target',0,0),
(109263,370133,4,100,'Inflicts 802 - 1337 disease damage on target',0,0),
(109264,370133,5,100,'Inflicts 875 - 1459 disease damage on target',0,0),
(109265,370133,7,100,'Inflicts 1123 - 1872 disease damage on target',0,0),
(109266,370133,9,100,'Inflicts 1167 - 1945 disease damage on target',0,0),
(109267,370134,1,100,'Inflicts 314 - 523 disease damage on target',0,0),
(109268,370134,2,100,'Inflicts 331 - 552 disease damage on target',0,0),
(109269,370134,3,100,'Inflicts 349 - 581 disease damage on target',0,0),
(109270,370134,4,100,'Inflicts 384 - 639 disease damage on target',0,0),
(109271,370134,5,100,'Inflicts 419 - 698 disease damage on target',0,0),
(109272,370134,7,100,'Inflicts 537 - 895 disease damage on target',0,0),
(109273,370134,9,100,'Inflicts 558 - 930 disease damage on target',0,0),
(109274,370134,10,100,'Inflicts 586 - 977 disease damage on target',0,0),
(109275,370135,1,100,'Inflicts 415 - 691 disease damage on target',0,0),
(109276,370135,2,100,'Inflicts 438 - 729 disease damage on target',0,0),
(109277,370135,3,100,'Inflicts 461 - 768 disease damage on target',0,0),
(109278,370135,4,100,'Inflicts 507 - 845 disease damage on target',0,0),
(109279,370135,5,100,'Inflicts 553 - 921 disease damage on target',0,0),
(109280,370135,7,100,'Inflicts 710 - 1183 disease damage on target',0,0),
(109281,370135,9,100,'Inflicts 737 - 1229 disease damage on target',0,0),
(109282,370136,1,100,'Inflicts 502 - 837 disease damage on target',0,0),
(109283,370136,2,100,'Inflicts 530 - 883 disease damage on target',0,0),
(109284,370136,3,100,'Inflicts 558 - 930 disease damage on target',0,0),
(109285,370136,4,100,'Inflicts 614 - 1023 disease damage on target',0,0),
(109286,370136,5,100,'Inflicts 669 - 1116 disease damage on target',0,0),
(109287,370136,7,100,'Inflicts 859 - 1432 disease damage on target',0,0),
(109288,370136,9,100,'Inflicts 892 - 1487 disease damage on target',0,0),
(109289,370137,1,100,'Inflicts 605 - 1008 disease damage on target',0,0),
(109290,370137,4,100,'Inflicts 739 - 1232 disease damage on target',0,0),
(109291,370137,5,100,'Inflicts 806 - 1344 disease damage on target',0,0),
(109292,370137,7,100,'Inflicts 1035 - 1725 disease damage on target',0,0),
(109293,370137,9,100,'Inflicts 1075 - 1792 disease damage on target',0,0),
(109294,360118,1,100,'Mesmerizes target',0,0),
(109295,360118,1,100,'Prevents AOE (except when direct) ',0,1),
(109296,360118,1,100,'Dispelled when target takes damage',0,2),
(109297,360118,1,100,'Does not affect Epic targets',0,3),
(109298,360118,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(109299,360118,2,100,'Mesmerizes target',0,0),
(109300,360118,2,100,'Prevents AOE (except when direct) ',0,1),
(109301,360118,2,100,'Dispelled when target takes damage',0,2),
(109302,360118,2,100,'Does not affect Epic targets',0,3),
(109303,360118,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(109304,360118,3,100,'Mesmerizes target',0,0),
(109305,360118,3,100,'Prevents AOE (except when direct) ',0,1),
(109306,360118,3,100,'Dispelled when target takes damage',0,2),
(109307,360118,3,100,'Does not affect Epic targets',0,3),
(109308,360118,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(109309,360118,4,100,'Mesmerizes target',0,0),
(109310,360118,4,100,'Prevents AOE (except when direct) ',0,1),
(109311,360118,4,100,'Dispelled when target takes damage',0,2),
(109312,360118,4,100,'Does not affect Epic targets',0,3),
(109313,360118,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(109314,360118,5,100,'Mesmerizes target',0,0),
(109315,360118,5,100,'Prevents AOE (except when direct) ',0,1),
(109316,360118,5,100,'Dispelled when target takes damage',0,2),
(109317,360118,5,100,'Does not affect Epic targets',0,3),
(109318,360118,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(109319,360118,7,100,'Mesmerizes target',0,0),
(109320,360118,7,100,'Prevents AOE (except when direct) ',0,1),
(109321,360118,7,100,'Dispelled when target takes damage',0,2),
(109322,360118,7,100,'Does not affect Epic targets',0,3),
(109323,360118,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(109324,360118,9,100,'Mesmerizes target',0,0),
(109325,360118,9,100,'Prevents AOE (except when direct) ',0,1),
(109326,360118,9,100,'Dispelled when target takes damage',0,2),
(109327,360118,9,100,'Does not affect Epic targets',0,3),
(109328,360118,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(109329,360119,1,100,'Mesmerizes target',0,0),
(109330,360119,1,100,'Prevents AOE (except when direct) ',0,1),
(109331,360119,1,100,'Dispelled when target takes damage',0,2),
(109332,360119,1,100,'Does not affect Epic x2 targets',0,3),
(109333,360119,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(109334,360119,2,100,'Mesmerizes target',0,0),
(109335,360119,2,100,'Prevents AOE (except when direct) ',0,1),
(109336,360119,2,100,'Dispelled when target takes damage',0,2),
(109337,360119,2,100,'Does not affect Epic x2 targets',0,3),
(109338,360119,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(109339,360119,3,100,'Mesmerizes target',0,0),
(109340,360119,3,100,'Prevents AOE (except when direct) ',0,1),
(109341,360119,3,100,'Dispelled when target takes damage',0,2),
(109342,360119,3,100,'Does not affect Epic x2 targets',0,3),
(109343,360119,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(109344,360119,4,100,'Mesmerizes target',0,0),
(109345,360119,4,100,'Prevents AOE (except when direct) ',0,1),
(109346,360119,4,100,'Dispelled when target takes damage',0,2),
(109347,360119,4,100,'Does not affect Epic x2 targets',0,3),
(109348,360119,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(109349,360119,5,100,'Mesmerizes target',0,0),
(109350,360119,5,100,'Prevents AOE (except when direct) ',0,1),
(109351,360119,5,100,'Dispelled when target takes damage',0,2),
(109352,360119,5,100,'Does not affect Epic x2 targets',0,3),
(109353,360119,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(109354,360119,7,100,'Mesmerizes target',0,0),
(109355,360119,7,100,'Prevents AOE (except when direct) ',0,1),
(109356,360119,7,100,'Dispelled when target takes damage',0,2),
(109357,360119,7,100,'Does not affect Epic x2 targets',0,3),
(109358,360119,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(109359,360119,9,100,'Mesmerizes target',0,0),
(109360,360119,9,100,'Prevents AOE (except when direct) ',0,1),
(109361,360119,9,100,'Dispelled when target takes damage',0,2),
(109362,360119,9,100,'Does not affect Epic x2 targets',0,3),
(109363,360119,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(109364,360120,1,100,'Mesmerizes target',0,0),
(109365,360120,1,100,'Prevents AOE (except when direct) ',0,1),
(109366,360120,1,100,'Dispelled when target takes damage',0,2),
(109367,360120,1,100,'Does not affect Epic targets',0,3),
(109368,360120,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(109369,360120,2,100,'Mesmerizes target',0,0),
(109370,360120,2,100,'Prevents AOE (except when direct) ',0,1),
(109371,360120,2,100,'Dispelled when target takes damage',0,2),
(109372,360120,2,100,'Does not affect Epic targets',0,3),
(109373,360120,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(109374,360120,3,100,'Mesmerizes target',0,0),
(109375,360120,3,100,'Prevents AOE (except when direct) ',0,1),
(109376,360120,3,100,'Dispelled when target takes damage',0,2),
(109377,360120,3,100,'Does not affect Epic targets',0,3),
(109378,360120,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(109379,360120,4,100,'Mesmerizes target',0,0),
(109380,360120,4,100,'Prevents AOE (except when direct) ',0,1),
(109381,360120,4,100,'Dispelled when target takes damage',0,2),
(109382,360120,4,100,'Does not affect Epic targets',0,3),
(109383,360120,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(109384,360120,5,100,'Mesmerizes target',0,0),
(109385,360120,5,100,'Prevents AOE (except when direct) ',0,1),
(109386,360120,5,100,'Dispelled when target takes damage',0,2),
(109387,360120,5,100,'Does not affect Epic targets',0,3),
(109388,360120,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(109389,360120,7,100,'Mesmerizes target',0,0),
(109390,360120,7,100,'Prevents AOE (except when direct) ',0,1),
(109391,360120,7,100,'Dispelled when target takes damage',0,2),
(109392,360120,7,100,'Does not affect Epic targets',0,3),
(109393,360120,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(109394,360120,9,100,'Mesmerizes target',0,0),
(109395,360120,9,100,'Prevents AOE (except when direct) ',0,1),
(109396,360120,9,100,'Dispelled when target takes damage',0,2),
(109397,360120,9,100,'Does not affect Epic targets',0,3),
(109398,360120,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(109399,360121,1,100,'Mesmerizes target',0,0),
(109400,360121,1,100,'Prevents AOE (except when direct) ',0,1),
(109401,360121,1,100,'Dispelled when target takes damage',0,2),
(109402,360121,1,100,'Does not affect Epic targets',0,3),
(109403,360121,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(109404,360121,4,100,'Mesmerizes target',0,0),
(109405,360121,4,100,'Prevents AOE (except when direct) ',0,1),
(109406,360121,4,100,'Dispelled when target takes damage',0,2),
(109407,360121,4,100,'Does not affect Epic targets',0,3),
(109408,360121,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(109409,360121,5,100,'Mesmerizes target',0,0),
(109410,360121,5,100,'Prevents AOE (except when direct) ',0,1),
(109411,360121,5,100,'Dispelled when target takes damage',0,2),
(109412,360121,5,100,'Does not affect Epic targets',0,3),
(109413,360121,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(109414,360121,7,100,'Mesmerizes target',0,0),
(109415,360121,7,100,'Prevents AOE (except when direct) ',0,1),
(109416,360121,7,100,'Dispelled when target takes damage',0,2),
(109417,360121,7,100,'Does not affect Epic targets',0,3),
(109418,360121,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(109419,360121,9,100,'Mesmerizes target',0,0),
(109420,360121,9,100,'Prevents AOE (except when direct) ',0,1),
(109421,360121,9,100,'Dispelled when target takes damage',0,2),
(109422,360121,9,100,'Does not affect Epic targets',0,3),
(109423,360121,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(109424,190073,1,100,'Summons a limited pet to aid the caster',0,0),
(109425,190073,2,100,'Summons a limited pet to aid the caster',0,0),
(109426,190073,3,100,'Summons a limited pet to aid the caster',0,0),
(109427,190073,4,100,'Summons a limited pet to aid the caster',0,0),
(109428,190073,5,100,'Summons a limited pet to aid the caster',0,0),
(109429,190073,7,100,'Summons a limited pet to aid the caster',0,0),
(109430,190073,9,100,'Summons a limited pet to aid the caster',0,0),
(109431,190074,1,100,'Summons a limited pet to aid the caster',0,0),
(109432,190074,2,100,'Summons a limited pet to aid the caster',0,0),
(109433,190074,3,100,'Summons a limited pet to aid the caster',0,0),
(109434,190074,4,100,'Summons a limited pet to aid the caster',0,0),
(109435,190074,5,100,'Summons a limited pet to aid the caster',0,0),
(109436,190074,7,100,'Summons a limited pet to aid the caster',0,0),
(109437,190074,9,100,'Summons a limited pet to aid the caster',0,0),
(109438,190075,1,100,'Summons a limited pet to aid the caster',0,0),
(109439,190075,2,100,'Summons a limited pet to aid the caster',0,0),
(109440,190075,3,100,'Summons a limited pet to aid the caster',0,0),
(109441,190075,4,100,'Summons a limited pet to aid the caster',0,0),
(109442,190075,5,100,'Summons a limited pet to aid the caster',0,0),
(109443,190075,7,100,'Summons a limited pet to aid the caster',0,0),
(109444,190075,9,100,'Summons a limited pet to aid the caster',0,0),
(109445,190076,1,100,'Summons a limited pet to aid the caster',0,0),
(109446,190076,4,100,'Summons a limited pet to aid the caster',0,0),
(109447,190076,5,100,'Summons a limited pet to aid the caster',0,0),
(109448,190076,7,100,'Summons a limited pet to aid the caster',0,0),
(109449,190076,9,100,'Summons a limited pet to aid the caster',0,0),
(109450,190077,1,100,'Summons a limited pet to aid the caster',0,0),
(109451,190077,4,100,'Summons a limited pet to aid the caster',0,0),
(109452,190077,5,100,'Summons a limited pet to aid the caster',0,0),
(109453,190077,7,100,'Summons a limited pet to aid the caster',0,0),
(109454,190077,9,100,'Summons a limited pet to aid the caster',0,0),
(109455,2000515,1,100,'Inflicts 2 melee damage on target',0,0),
(109456,170103,1,100,'Interrupts target encounter',0,0),
(109457,170103,1,100,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 15.2',0,1),
(109458,170103,1,100,'Decreases Aggression, Focus, Subjugation, Ministration and Disruption of target encounter by 15.2',0,2),
(109459,170103,2,100,'Interrupts target encounter',0,0),
(109460,170103,2,100,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 16.1',0,1),
(109461,170103,2,100,'Decreases Aggression, Focus, Subjugation, Ministration and Disruption of target encounter by 16.1',0,2),
(109462,170103,3,100,'Interrupts target encounter',0,0),
(109463,170103,3,100,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 16.9',0,1),
(109464,170103,3,100,'Decreases Aggression, Focus, Subjugation, Ministration and Disruption of target encounter by 16.9',0,2),
(109465,170103,4,100,'Interrupts target encounter',0,0),
(109466,170103,4,100,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 18.6',0,1),
(109467,170103,4,100,'Decreases Aggression, Focus, Subjugation, Ministration and Disruption of target encounter by 18.6',0,2),
(109468,170103,5,100,'Interrupts target encounter',0,0),
(109469,170103,5,100,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 20.3',0,1),
(109470,170103,5,100,'Decreases Aggression, Focus, Subjugation, Ministration and Disruption of target encounter by 20.3',0,2),
(109471,170103,7,100,'Interrupts target encounter',0,0),
(109472,170103,7,100,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 26.1',0,1),
(109473,170103,7,100,'Decreases Aggression, Focus, Subjugation, Ministration and Disruption of target encounter by 23.7',0,2),
(109474,170103,9,100,'Interrupts target encounter',0,0),
(109475,170103,9,100,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 27.1',0,1),
(109476,170103,9,100,'Decreases Aggression, Focus, Subjugation, Ministration and Disruption of target encounter by 27.1',0,2),
(109477,170104,1,100,'Interrupts target encounter',0,0),
(109478,170104,1,100,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 19.8',0,1),
(109479,170104,1,100,'Decreases Aggression, Focus, Subjugation, Ministration and Disruption of target encounter by 19.8',0,2),
(109480,170104,2,100,'Interrupts target encounter',0,0),
(109481,170104,2,100,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 20.9',0,1),
(109482,170104,2,100,'Decreases Aggression, Focus, Subjugation, Ministration and Disruption of target encounter by 20.9',0,2),
(109483,170104,3,100,'Interrupts target encounter',0,0),
(109484,170104,3,100,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 22.0',0,1),
(109485,170104,3,100,'Decreases Aggression, Focus, Subjugation, Ministration and Disruption of target encounter by 22.0',0,2),
(109486,170104,4,100,'Interrupts target encounter',0,0),
(109487,170104,4,100,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 24.2',0,1),
(109488,170104,4,100,'Decreases Aggression, Focus, Subjugation, Ministration and Disruption of target encounter by 24.2',0,2),
(109489,170104,5,100,'Interrupts target encounter',0,0),
(109490,170104,5,100,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 26.4',0,1),
(109491,170104,5,100,'Decreases Aggression, Focus, Subjugation, Ministration and Disruption of target encounter by 26.4',0,2),
(109492,170104,7,100,'Interrupts target encounter',0,0),
(109493,170104,7,100,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 33.8',0,1),
(109494,170104,7,100,'Decreases Aggression, Focus, Subjugation, Ministration and Disruption of target encounter by 30.7',0,2),
(109495,170104,9,100,'Interrupts target encounter',0,0),
(109496,170104,9,100,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 35.1',0,1),
(109497,170104,9,100,'Decreases Aggression, Focus, Subjugation, Ministration and Disruption of target encounter by 35.1',0,2),
(109498,170105,1,100,'Interrupts target encounter',0,0),
(109499,170105,1,100,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 24.3',0,1),
(109500,170105,1,100,'Decreases Aggression, Focus, Subjugation, Ministration and Disruption of target encounter by 24.3',0,2),
(109501,170105,2,100,'Interrupts target encounter',0,0),
(109502,170105,2,100,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 25.7',0,1),
(109503,170105,2,100,'Decreases Aggression, Focus, Subjugation, Ministration and Disruption of target encounter by 25.7',0,2),
(109504,170105,3,100,'Interrupts target encounter',0,0),
(109505,170105,3,100,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 27.0',0,1),
(109506,170105,3,100,'Decreases Aggression, Focus, Subjugation, Ministration and Disruption of target encounter by 27.0',0,2),
(109507,170105,4,100,'Interrupts target encounter',0,0),
(109508,170105,4,100,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 29.7',0,1),
(109509,170105,4,100,'Decreases Aggression, Focus, Subjugation, Ministration and Disruption of target encounter by 29.7',0,2),
(109510,170105,5,100,'Interrupts target encounter',0,0),
(109511,170105,5,100,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 32.4',0,1),
(109512,170105,5,100,'Decreases Aggression, Focus, Subjugation, Ministration and Disruption of target encounter by 32.4',0,2),
(109513,170105,7,100,'Interrupts target encounter',0,0),
(109514,170105,7,100,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 41.6',0,1),
(109515,170105,7,100,'Decreases Aggression, Focus, Subjugation, Ministration and Disruption of target encounter by 37.8',0,2),
(109516,170105,9,100,'Interrupts target encounter',0,0),
(109517,170105,9,100,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 43.2',0,1),
(109518,170105,9,100,'Decreases Aggression, Focus, Subjugation, Ministration and Disruption of target encounter by 43.2',0,2),
(109519,170106,1,100,'Interrupts target encounter',0,0),
(109520,170106,1,100,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 27.5',0,1),
(109521,170106,1,100,'Decreases Aggression, Focus, Subjugation, Ministration and Disruption of target encounter by 27.5',0,2),
(109522,170106,4,100,'Interrupts target encounter',0,0),
(109523,170106,4,100,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 33.7',0,1),
(109524,170106,4,100,'Decreases Aggression, Focus, Subjugation, Ministration and Disruption of target encounter by 33.7',0,2),
(109525,170106,5,100,'Interrupts target encounter',0,0),
(109526,170106,5,100,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 36.7',0,1),
(109527,170106,5,100,'Decreases Aggression, Focus, Subjugation, Ministration and Disruption of target encounter by 36.7',0,2),
(109528,170106,7,100,'Interrupts target encounter',0,0),
(109529,170106,7,100,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 47.1',0,1),
(109530,170106,7,100,'Decreases Aggression, Focus, Subjugation, Ministration and Disruption of target encounter by 42.8',0,2),
(109531,170106,9,100,'Interrupts target encounter',0,0),
(109532,170106,9,100,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 49.0',0,1),
(109533,170106,9,100,'Decreases Aggression, Focus, Subjugation, Ministration and Disruption of target encounter by 49.0',0,2),
(109534,170107,1,100,'Interrupts target encounter',0,0),
(109535,170107,1,100,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 30.8',0,1),
(109536,170107,1,100,'Decreases Aggression, Focus, Subjugation, Ministration and Disruption of target encounter by 30.8',0,2),
(109537,170107,4,100,'Interrupts target encounter',0,0),
(109538,170107,4,100,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 37.6',0,1),
(109539,170107,4,100,'Decreases Aggression, Focus, Subjugation, Ministration and Disruption of target encounter by 37.6',0,2),
(109540,170107,5,100,'Interrupts target encounter',0,0),
(109541,170107,5,100,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 41.0',0,1),
(109542,170107,5,100,'Decreases Aggression, Focus, Subjugation, Ministration and Disruption of target encounter by 41.0',0,2),
(109543,170107,7,100,'Interrupts target encounter',0,0),
(109544,170107,7,100,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 52.7',0,1),
(109545,170107,7,100,'Decreases Aggression, Focus, Subjugation, Ministration and Disruption of target encounter by 47.9',0,2),
(109546,170107,9,100,'Interrupts target encounter',0,0),
(109547,170107,9,100,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 54.7',0,1),
(109548,170107,9,100,'Decreases Aggression, Focus, Subjugation, Ministration and Disruption of target encounter by 54.7',0,2),
(109549,200113,1,100,'Inflicts 145 - 177 disease damage on target encounter instantly and every 5 seconds',0,0),
(109550,200113,1,100,'Decreases power of target encounter by 24 - 29 instantly and every 5 seconds',0,1),
(109551,200113,1,100,'Heals group members (AE) for 143 - 175 instantly and every 5 seconds',0,2),
(109552,200113,1,100,'Increases power of group members (AE) by 24 - 29 instantly and every 5 seconds',0,3),
(109553,200113,2,100,'Inflicts 153 - 186 disease damage on target encounter instantly and every 5 seconds',0,0),
(109554,200113,2,100,'Decreases power of target encounter by 25 - 31 instantly and every 5 seconds',0,1),
(109555,200113,2,100,'Heals group members (AE) for 151 - 185 instantly and every 5 seconds',0,2),
(109556,200113,2,100,'Increases power of group members (AE) by 25 - 31 instantly and every 5 seconds',0,3),
(109557,200113,3,100,'Inflicts 161 - 196 disease damage on target encounter instantly and every 5 seconds',0,0),
(109558,200113,3,100,'Decreases power of target encounter by 27 - 32 instantly and every 5 seconds',0,1),
(109559,200113,3,100,'Heals group members (AE) for 159 - 195 instantly and every 5 seconds',0,2),
(109560,200113,3,100,'Increases power of group members (AE) by 27 - 32 instantly and every 5 seconds',0,3),
(109561,200113,4,100,'Inflicts 177 - 216 disease damage on target encounter instantly and every 5 seconds',0,0),
(109562,200113,4,100,'Decreases power of target encounter by 29 - 36 instantly and every 5 seconds',0,1),
(109563,200113,4,100,'Heals group members (AE) for 175 - 214 instantly and every 5 seconds',0,2),
(109564,200113,4,100,'Increases power of group members (AE) by 29 - 36 instantly and every 5 seconds',0,3),
(109565,200113,5,100,'Inflicts 193 - 236 disease damage on target encounter instantly and every 5 seconds',0,0),
(109566,200113,5,100,'Decreases power of target encounter by 32 - 39 instantly and every 5 seconds',0,1),
(109567,200113,5,100,'Heals group members (AE) for 191 - 234 instantly and every 5 seconds',0,2),
(109568,200113,5,100,'Increases power of group members (AE) by 32 - 39 instantly and every 5 seconds',0,3),
(109569,200113,7,100,'Inflicts 247 - 302 disease damage on target encounter instantly and every 5 seconds',0,0),
(109570,200113,7,100,'Decreases power of target encounter by 41 - 50 instantly and every 5 seconds',0,1),
(109571,200113,7,100,'Heals group members (AE) for 245 - 300 instantly and every 5 seconds',0,2),
(109572,200113,7,100,'Increases power of group members (AE) by 41 - 50 instantly and every 5 seconds',0,3),
(109573,200113,9,100,'Inflicts 257 - 314 disease damage on target encounter instantly and every 5 seconds',0,0),
(109574,200113,9,100,'Decreases power of target encounter by 42 - 52 instantly and every 5 seconds',0,1),
(109575,200113,9,100,'Heals group members (AE) for 255 - 312 instantly and every 5 seconds',0,2),
(109576,200113,9,100,'Increases power of group members (AE) by 42 - 52 instantly and every 5 seconds',0,3),
(109577,200114,1,100,'Inflicts 218 - 266 disease damage on target encounter instantly and every 5 seconds',0,0),
(109578,200114,1,100,'Decreases power of target encounter by 36 - 44 instantly and every 5 seconds',0,1),
(109579,200114,1,100,'Heals group members (AE) for 216 - 264 instantly and every 5 seconds',0,2),
(109580,200114,1,100,'Increases power of group members (AE) by 36 - 44 instantly and every 5 seconds',0,3),
(109581,200114,2,100,'Inflicts 230 - 281 disease damage on target encounter instantly and every 5 seconds',0,0),
(109582,200114,2,100,'Decreases power of target encounter by 38 - 47 instantly and every 5 seconds',0,1),
(109583,200114,2,100,'Heals group members (AE) for 228 - 279 instantly and every 5 seconds',0,2),
(109584,200114,2,100,'Increases power of group members (AE) by 38 - 47 instantly and every 5 seconds',0,3),
(109585,200114,3,100,'Inflicts 242 - 295 disease damage on target encounter instantly and every 5 seconds',0,0),
(109586,200114,3,100,'Decreases power of target encounter by 40 - 49 instantly and every 5 seconds',0,1),
(109587,200114,3,100,'Heals group members (AE) for 240 - 294 instantly and every 5 seconds',0,2),
(109588,200114,3,100,'Increases power of group members (AE) by 40 - 49 instantly and every 5 seconds',0,3),
(109589,200114,4,100,'Inflicts 266 - 325 disease damage on target encounter instantly and every 5 seconds',0,0),
(109590,200114,4,100,'Decreases power of target encounter by 44 - 54 instantly and every 5 seconds',0,1),
(109591,200114,4,100,'Heals group members (AE) for 264 - 323 instantly and every 5 seconds',0,2),
(109592,200114,4,100,'Increases power of group members (AE) by 44 - 54 instantly and every 5 seconds',0,3),
(109593,200114,5,100,'Inflicts 290 - 355 disease damage on target encounter instantly and every 5 seconds',0,0),
(109594,200114,5,100,'Decreases power of target encounter by 48 - 59 instantly and every 5 seconds',0,1),
(109595,200114,5,100,'Heals group members (AE) for 288 - 352 instantly and every 5 seconds',0,2),
(109596,200114,5,100,'Increases power of group members (AE) by 48 - 59 instantly and every 5 seconds',0,3),
(109597,200114,7,100,'Inflicts 372 - 455 disease damage on target encounter instantly and every 5 seconds',0,0),
(109598,200114,7,100,'Decreases power of target encounter by 62 - 75 instantly and every 5 seconds',0,1),
(109599,200114,7,100,'Heals group members (AE) for 370 - 452 instantly and every 5 seconds',0,2),
(109600,200114,7,100,'Increases power of group members (AE) by 62 - 75 instantly and every 5 seconds',0,3),
(109601,200114,9,100,'Inflicts 387 - 473 disease damage on target encounter instantly and every 5 seconds',0,0),
(109602,200114,9,100,'Decreases power of target encounter by 64 - 78 instantly and every 5 seconds',0,1),
(109603,200114,9,100,'Heals group members (AE) for 384 - 470 instantly and every 5 seconds',0,2),
(109604,200114,9,100,'Increases power of group members (AE) by 64 - 78 instantly and every 5 seconds',0,3),
(109605,200115,1,100,'Inflicts 264 - 322 disease damage on target encounter instantly and every 5 seconds',0,0),
(109606,200115,1,100,'Decreases power of target encounter by 44 - 53 instantly and every 5 seconds',0,1),
(109607,200115,1,100,'Heals group members (AE) for 292 - 356 instantly and every 5 seconds',0,2),
(109608,200115,1,100,'Increases power of group members (AE) by 49 - 59 instantly and every 5 seconds',0,3),
(109609,200115,2,100,'Inflicts 278 - 340 disease damage on target encounter instantly and every 5 seconds',0,0),
(109610,200115,2,100,'Decreases power of target encounter by 46 - 56 instantly and every 5 seconds',0,1),
(109611,200115,2,100,'Heals group members (AE) for 308 - 376 instantly and every 5 seconds',0,2),
(109612,200115,2,100,'Increases power of group members (AE) by 51 - 63 instantly and every 5 seconds',0,3),
(109613,200115,3,100,'Inflicts 293 - 358 disease damage on target encounter instantly and every 5 seconds',0,0),
(109614,200115,3,100,'Decreases power of target encounter by 49 - 59 instantly and every 5 seconds',0,1),
(109615,200115,3,100,'Heals group members (AE) for 324 - 396 instantly and every 5 seconds',0,2),
(109616,200115,3,100,'Increases power of group members (AE) by 54 - 66 instantly and every 5 seconds',0,3),
(109617,200115,4,100,'Inflicts 322 - 394 disease damage on target encounter instantly and every 5 seconds',0,0),
(109618,200115,4,100,'Decreases power of target encounter by 53 - 65 instantly and every 5 seconds',0,1),
(109619,200115,4,100,'Heals group members (AE) for 356 - 436 instantly and every 5 seconds',0,2),
(109620,200115,4,100,'Increases power of group members (AE) by 59 - 73 instantly and every 5 seconds',0,3),
(109621,200115,5,100,'Inflicts 352 - 430 disease damage on target encounter instantly and every 5 seconds',0,0),
(109622,200115,5,100,'Decreases power of target encounter by 58 - 71 instantly and every 5 seconds',0,1),
(109623,200115,5,100,'Heals group members (AE) for 389 - 475 instantly and every 5 seconds',0,2),
(109624,200115,5,100,'Increases power of group members (AE) by 65 - 79 instantly and every 5 seconds',0,3),
(109625,200115,7,100,'Inflicts 451 - 552 disease damage on target encounter instantly and every 5 seconds',0,0),
(109626,200115,7,100,'Decreases power of target encounter by 75 - 91 instantly and every 5 seconds',0,1),
(109627,200115,7,100,'Heals group members (AE) for 499 - 610 instantly and every 5 seconds',0,2),
(109628,200115,7,100,'Increases power of group members (AE) by 83 - 102 instantly and every 5 seconds',0,3),
(109629,200115,9,100,'Inflicts 469 - 573 disease damage on target encounter instantly and every 5 seconds',0,0),
(109630,200115,9,100,'Decreases power of target encounter by 78 - 95 instantly and every 5 seconds',0,1),
(109631,200115,9,100,'Heals group members (AE) for 518 - 634 instantly and every 5 seconds',0,2),
(109632,200115,9,100,'Increases power of group members (AE) by 86 - 106 instantly and every 5 seconds',0,3),
(109633,200116,1,100,'Inflicts 317 - 388 disease damage on target encounter instantly and every 5 seconds',0,0),
(109634,200116,1,100,'Decreases power of target encounter by 53 - 64 instantly and every 5 seconds',0,1),
(109635,200116,1,100,'Heals group members (AE) for 347 - 425 instantly and every 5 seconds',0,2),
(109636,200116,1,100,'Increases power of group members (AE) by 58 - 71 instantly and every 5 seconds',0,3),
(109637,200116,4,100,'Inflicts 388 - 474 disease damage on target encounter instantly and every 5 seconds',0,0),
(109638,200116,4,100,'Decreases power of target encounter by 64 - 79 instantly and every 5 seconds',0,1),
(109639,200116,4,100,'Heals group members (AE) for 425 - 519 instantly and every 5 seconds',0,2),
(109640,200116,4,100,'Increases power of group members (AE) by 71 - 87 instantly and every 5 seconds',0,3),
(109641,200116,5,100,'Inflicts 423 - 517 disease damage on target encounter instantly and every 5 seconds',0,0),
(109642,200116,5,100,'Decreases power of target encounter by 70 - 86 instantly and every 5 seconds',0,1),
(109643,200116,5,100,'Heals group members (AE) for 463 - 566 instantly and every 5 seconds',0,2),
(109644,200116,5,100,'Increases power of group members (AE) by 77 - 94 instantly and every 5 seconds',0,3),
(109645,200116,7,100,'Inflicts 543 - 664 disease damage on target encounter instantly and every 5 seconds',0,0),
(109646,200116,7,100,'Decreases power of target encounter by 90 - 110 instantly and every 5 seconds',0,1),
(109647,200116,7,100,'Heals group members (AE) for 595 - 727 instantly and every 5 seconds',0,2),
(109648,200116,7,100,'Increases power of group members (AE) by 99 - 121 instantly and every 5 seconds',0,3),
(109649,200116,9,100,'Inflicts 564 - 690 disease damage on target encounter instantly and every 5 seconds',0,0),
(109650,200116,9,100,'Decreases power of target encounter by 94 - 114 instantly and every 5 seconds',0,1),
(109651,200116,9,100,'Heals group members (AE) for 618 - 755 instantly and every 5 seconds',0,2),
(109652,200116,9,100,'Increases power of group members (AE) by 103 - 126 instantly and every 5 seconds',0,3),
(109653,200117,1,100,'Inflicts 337 - 412 disease damage on target encounter instantly and every 5 seconds',0,0),
(109654,200117,1,100,'Decreases power of target encounter by 56 - 68 instantly and every 5 seconds',0,1),
(109655,200117,1,100,'Heals group members (AE) for 365 - 446 instantly and every 5 seconds',0,2),
(109656,200117,1,100,'Increases power of group members (AE) by 61 - 74 instantly and every 5 seconds',0,3),
(109657,200117,4,100,'Inflicts 412 - 503 disease damage on target encounter instantly and every 5 seconds',0,0),
(109658,200117,4,100,'Decreases power of target encounter by 68 - 83 instantly and every 5 seconds',0,1),
(109659,200117,4,100,'Heals group members (AE) for 446 - 545 instantly and every 5 seconds',0,2),
(109660,200117,4,100,'Increases power of group members (AE) by 74 - 91 instantly and every 5 seconds',0,3),
(109661,200117,5,100,'Inflicts 449 - 549 disease damage on target encounter instantly and every 5 seconds',0,0),
(109662,200117,5,100,'Decreases power of target encounter by 75 - 91 instantly and every 5 seconds',0,1),
(109663,200117,5,100,'Heals group members (AE) for 486 - 594 instantly and every 5 seconds',0,2),
(109664,200117,5,100,'Increases power of group members (AE) by 81 - 99 instantly and every 5 seconds',0,3),
(109665,200117,7,100,'Inflicts 576 - 704 disease damage on target encounter instantly and every 5 seconds',0,0),
(109666,200117,7,100,'Decreases power of target encounter by 96 - 117 instantly and every 5 seconds',0,1),
(109667,200117,7,100,'Heals group members (AE) for 624 - 762 instantly and every 5 seconds',0,2),
(109668,200117,7,100,'Increases power of group members (AE) by 104 - 127 instantly and every 5 seconds',0,3),
(109669,200117,9,100,'Inflicts 599 - 732 disease damage on target encounter instantly and every 5 seconds',0,0),
(109670,200117,9,100,'Decreases power of target encounter by 99 - 121 instantly and every 5 seconds',0,1),
(109671,200117,9,100,'Increases power of group members (AE) by 108 - 132 instantly and every 5 seconds',0,2),
(109672,200117,9,100,'Heals group members (AE) for 648 - 792 instantly and every 5 seconds',0,3),
(109673,210011,1,100,'Increases STA of caster by 1.6',0,0),
(109674,210011,1,100,'Increases Focus and Defense of caster by 1.1',0,1),
(109675,210011,1,100,'Increases Mitigation of caster vs physical damage by 79',0,2),
(109676,210011,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 99',0,3),
(109677,2000516,1,100,'Increases Magic Level Immunity of caster by 0.0',0,0),
(109678,2000517,1,100,'Applies Magic Leash.',0,0),
(109679,2000517,1,100,'Grants a 12% chance to attempt to increase your pet''s hate position with its enemy.',1,1),
(109680,2000517,1,100,'If fighter',2,2),
(109681,2000517,1,100,'Decreases Threat to target encounter by 9,404 ',1,3),
(109682,2000517,1,100,'If not fighter',2,4),
(109683,2000517,1,100,'Increases Threat to target encounter by 10,011 ',1,5),
(109684,2000517,1,100,'If fighter',2,6),
(109685,2000517,2,100,'Applies Magic Leash.',0,0),
(109686,2000517,2,100,'Grants a 25% chance to attempt to increase your pet''s hate position with its enemy.',1,1),
(109687,2000517,2,100,'If fighter',2,2),
(109688,2000517,2,100,'Decreases Threat to target encounter by 9,901 ',1,3),
(109689,2000517,2,100,'If not fighter',2,4),
(109690,2000517,2,100,'Increases Threat to target encounter by 10,391 ',1,5),
(109691,2000517,2,100,'If fighter',2,6),
(109692,2000517,3,100,'Applies Magic Leash.',0,0),
(109693,2000517,3,100,'Grants a 37% chance to attempt to increase your pet''s hate position with its enemy.',1,1),
(109694,2000517,3,100,'If fighter',2,2),
(109695,2000517,3,100,'Decreases Threat to target encounter by 10,448 ',1,3),
(109696,2000517,3,100,'If not fighter',2,4),
(109697,2000517,3,100,'Increases Threat to target encounter by 11,064 ',1,5),
(109698,2000517,3,100,'If fighter',2,6),
(109699,2000517,4,100,'Applies Magic Leash.',0,0),
(109700,2000517,4,100,'Grants a 50% chance to attempt to increase your pet''s hate position with its enemy.',1,1),
(109701,2000517,4,100,'If fighter',2,2),
(109702,2000517,4,100,'Decreases Threat to target encounter by 11,464 ',1,3),
(109703,2000517,4,100,'If not fighter',2,4),
(109704,2000517,4,100,'Increases Threat to target encounter by 11,954 ',1,5),
(109705,2000517,4,100,'If fighter',2,6),
(109706,2000517,5,100,'Applies Magic Leash.',0,0),
(109707,2000517,5,100,'Grants a 62% chance to attempt to increase your pet''s hate position with its enemy.',1,1),
(109708,2000517,5,100,'If fighter',2,2),
(109709,2000517,5,100,'Decreases Threat to target encounter by 12,538 ',1,3),
(109710,2000517,5,100,'If not fighter',2,4),
(109711,2000517,5,100,'Increases Threat to target encounter by 13,169 ',1,5),
(109712,2000517,5,100,'If fighter',2,6),
(109713,2000517,6,100,'Applies Magic Leash.',0,0),
(109714,2000517,6,100,'Grants a 75% chance to attempt to increase your pet''s hate position with its enemy.',1,1),
(109715,2000517,6,100,'If fighter',2,2),
(109716,2000517,6,100,'Decreases Threat to target encounter by 13,583 ',1,3),
(109717,2000517,6,100,'If not fighter',2,4),
(109718,2000517,6,100,'Increases Threat to target encounter by 14,221 ',1,5),
(109719,2000517,6,100,'If fighter',2,6),
(109720,2000517,7,100,'Applies Magic Leash.',0,0),
(109721,2000517,7,100,'Grants a 87% chance to attempt to increase your pet''s hate position with its enemy.',1,1),
(109722,2000517,7,100,'If fighter',2,2),
(109723,2000517,7,100,'Decreases Threat to target encounter by 16,050 ',1,3),
(109724,2000517,7,100,'If not fighter',2,4),
(109725,2000517,7,100,'Increases Threat to target encounter by 16,540 ',1,5),
(109726,2000517,7,100,'If fighter',2,6),
(109727,2000517,8,100,'Applies Magic Leash.',0,0),
(109728,2000517,8,100,'Grants a 100% chance to attempt to increase your pet''s hate position with its enemy.',1,1),
(109729,2000517,8,100,'If fighter',2,2),
(109730,2000517,8,100,'Decreases Threat to target encounter by 16,155 ',1,3),
(109731,2000517,8,100,'If not fighter',2,4),
(109732,2000517,8,100,'Increases Threat to target encounter by 16,645 ',1,5),
(109733,2000517,8,100,'If fighter',2,6),
(109734,2000517,9,100,'Applies Magic Leash.',0,0),
(109735,2000517,9,100,'Grants a 100% chance to attempt to increase your pet''s hate position with its enemy.',1,1),
(109736,2000517,9,100,'If fighter',2,2),
(109737,2000517,9,100,'Decreases Threat to target encounter by 16,676 ',1,3),
(109738,2000517,9,100,'If not fighter',2,4),
(109739,2000517,9,100,'Increases Threat to target encounter by 17,166 ',1,5),
(109740,2000517,9,100,'If fighter',2,6),
(109741,2000517,10,100,'Applies Magic Leash.',0,0),
(109742,2000517,10,100,'Grants a 100% chance to attempt to increase your pet''s hate position with its enemy.',1,1),
(109743,2000517,10,100,'If fighter',2,2),
(109744,2000517,10,100,'Decreases Threat to target encounter by 17,554 ',1,3),
(109745,2000517,10,100,'If not fighter',2,4),
(109746,2000517,10,100,'Increases Threat to target encounter by 18,220 ',1,5),
(109747,2000517,10,100,'If fighter',2,6),
(109748,230112,1,100,'Inflicts 19 - 32 heat damage on target',0,0),
(109749,230112,1,100,'Stuns target',0,1),
(109750,230112,1,100,'If Target is not Epic',1,2),
(109751,230112,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(109752,230112,2,100,'Inflicts 20 - 34 heat damage on target',0,0),
(109753,230112,2,100,'Stuns target',0,1),
(109754,230112,2,100,'If Target is not Epic',1,2),
(109755,230112,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(109756,230112,3,100,'Inflicts 21 - 36 heat damage on target',0,0),
(109757,230112,3,100,'Stuns target',0,1),
(109758,230112,3,100,'If Target is not Epic',1,2),
(109759,230112,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(109760,230112,4,100,'Inflicts 24 - 39 heat damage on target',0,0),
(109761,230112,4,100,'Stuns target',0,1),
(109762,230112,4,100,'If Target is not Epic',1,2),
(109763,230112,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(109764,230112,5,100,'Inflicts 26 - 43 heat damage on target',0,0),
(109765,230112,5,100,'Stuns target',0,1),
(109766,230112,5,100,'If Target is not Epic',1,2),
(109767,230112,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(109768,230112,7,100,'Inflicts 33 - 55 heat damage on target',0,0),
(109769,230112,7,100,'Stuns target',0,1),
(109770,230112,7,100,'If Target is not Epic',1,2),
(109771,230112,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(109772,230112,9,100,'Inflicts 34 - 57 heat damage on target',0,0),
(109773,230112,9,100,'Stuns target',0,1),
(109774,230112,9,100,'If Target is not Epic',1,2),
(109775,230112,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(109776,230113,1,100,'Inflicts 133 - 222 heat damage on target',0,0),
(109777,230113,1,100,'Stuns target',0,1),
(109778,230113,1,100,'If Target is not Epic',1,2),
(109779,230113,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(109780,230113,2,100,'Inflicts 140 - 234 heat damage on target',0,0),
(109781,230113,2,100,'Stuns target',0,1),
(109782,230113,2,100,'If Target is not Epic',1,2),
(109783,230113,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(109784,230113,3,100,'Inflicts 148 - 246 heat damage on target',0,0),
(109785,230113,3,100,'Stuns target',0,1),
(109786,230113,3,100,'If Target is not Epic',1,2),
(109787,230113,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(109788,230113,4,100,'Inflicts 162 - 271 heat damage on target',0,0),
(109789,230113,4,100,'Stuns target',0,1),
(109790,230113,4,100,'If Target is not Epic',1,2),
(109791,230113,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(109792,230113,5,100,'Inflicts 177 - 295 heat damage on target',0,0),
(109793,230113,5,100,'Stuns target',0,1),
(109794,230113,5,100,'If Target is not Epic',1,2),
(109795,230113,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(109796,230113,7,100,'Inflicts 227 - 379 heat damage on target',0,0),
(109797,230113,7,100,'Stuns target',0,1),
(109798,230113,7,100,'If Target is not Epic',1,2),
(109799,230113,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(109800,230113,9,100,'Inflicts 236 - 394 heat damage on target',0,0),
(109801,230113,9,100,'Stuns target',0,1),
(109802,230113,9,100,'If Target is not Epic',1,2),
(109803,230113,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(109804,230114,1,100,'Inflicts 263 - 438 heat damage on target',0,0),
(109805,230114,1,100,'Stuns target',0,1),
(109806,230114,1,100,'If Target is not Epic',1,2),
(109807,230114,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(109808,230114,2,100,'Inflicts 277 - 462 heat damage on target',0,0),
(109809,230114,2,100,'Stuns target',0,1),
(109810,230114,2,100,'If Target is not Epic',1,2),
(109811,230114,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(109812,230114,3,100,'Inflicts 292 - 487 heat damage on target',0,0),
(109813,230114,3,100,'Stuns target',0,1),
(109814,230114,3,100,'If Target is not Epic',1,2),
(109815,230114,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(109816,230114,4,100,'Inflicts 321 - 535 heat damage on target',0,0),
(109817,230114,4,100,'Stuns target',0,1),
(109818,230114,4,100,'If Target is not Epic',1,2),
(109819,230114,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(109820,230114,5,100,'Inflicts 350 - 584 heat damage on target',0,0),
(109821,230114,5,100,'Stuns target',0,1),
(109822,230114,5,100,'If Target is not Epic',1,2),
(109823,230114,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(109824,230114,7,100,'Inflicts 450 - 749 heat damage on target',0,0),
(109825,230114,7,100,'Stuns target',0,1),
(109826,230114,7,100,'If Target is not Epic',1,2),
(109827,230114,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(109828,230114,9,100,'Inflicts 467 - 778 heat damage on target',0,0),
(109829,230114,9,100,'Stuns target',0,1),
(109830,230114,9,100,'If Target is not Epic',1,2),
(109831,230114,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(109832,230115,1,100,'Inflicts 409 - 681 heat damage on target',0,0),
(109833,230115,1,100,'Stuns target',0,1),
(109834,230115,1,100,'If Target is not Epic',1,2),
(109835,230115,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(109836,230115,2,100,'Inflicts 431 - 719 heat damage on target',0,0),
(109837,230115,2,100,'Stuns target',0,1),
(109838,230115,2,100,'If Target is not Epic',1,2),
(109839,230115,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(109840,230115,3,100,'Inflicts 454 - 757 heat damage on target',0,0),
(109841,230115,3,100,'Stuns target',0,1),
(109842,230115,3,100,'If Target is not Epic',1,2),
(109843,230115,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(109844,230115,4,100,'Inflicts 500 - 833 heat damage on target',0,0),
(109845,230115,4,100,'Stuns target',0,1),
(109846,230115,4,100,'If Target is not Epic',1,2),
(109847,230115,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(109848,230115,5,100,'Inflicts 545 - 908 heat damage on target',0,0),
(109849,230115,5,100,'Stuns target',0,1),
(109850,230115,5,100,'If Target is not Epic',1,2),
(109851,230115,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(109852,230115,7,100,'Inflicts 699 - 1166 heat damage on target',0,0),
(109853,230115,7,100,'Stuns target',0,1),
(109854,230115,7,100,'If Target is not Epic',1,2),
(109855,230115,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(109856,230115,9,100,'Inflicts 727 - 1211 heat damage on target',0,0),
(109857,230115,9,100,'Stuns target',0,1),
(109858,230115,9,100,'If Target is not Epic',1,2),
(109859,230115,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(109860,230116,1,100,'Inflicts 579 - 965 heat damage on target',0,0),
(109861,230116,1,100,'Stuns target',0,1),
(109862,230116,1,100,'If Target is not Epic',1,2),
(109863,230116,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(109864,230116,2,100,'Inflicts 611 - 1019 heat damage on target',0,0),
(109865,230116,2,100,'Stuns target',0,1),
(109866,230116,2,100,'If Target is not Epic',1,2),
(109867,230116,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(109868,230116,3,100,'Inflicts 644 - 1073 heat damage on target',0,0),
(109869,230116,3,100,'Stuns target',0,1),
(109870,230116,3,100,'If Target is not Epic',1,2),
(109871,230116,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(109872,230116,4,100,'Inflicts 708 - 1180 heat damage on target',0,0),
(109873,230116,4,100,'Stuns target',0,1),
(109874,230116,4,100,'If Target is not Epic',1,2),
(109875,230116,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(109876,230116,5,100,'Inflicts 772 - 1287 heat damage on target',0,0),
(109877,230116,5,100,'Stuns target',0,1),
(109878,230116,5,100,'If Target is not Epic',1,2),
(109879,230116,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(109880,230116,7,100,'Inflicts 991 - 1652 heat damage on target',0,0),
(109881,230116,7,100,'Stuns target',0,1),
(109882,230116,7,100,'If Target is not Epic',1,2),
(109883,230116,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(109884,230116,9,100,'Inflicts 1030 - 1716 heat damage on target',0,0),
(109885,230116,9,100,'Stuns target',0,1),
(109886,230116,9,100,'If Target is not Epic',1,2),
(109887,230116,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(109888,230117,1,100,'Inflicts 756 - 1260 heat damage on target',0,0),
(109889,230117,1,100,'Stuns target',0,1),
(109890,230117,1,100,'If Target is not Epic',1,2),
(109891,230117,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(109892,230117,2,100,'Inflicts 798 - 1330 heat damage on target',0,0),
(109893,230117,2,100,'Stuns target',0,1),
(109894,230117,2,100,'If Target is not Epic',1,2),
(109895,230117,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(109896,230117,3,100,'Inflicts 840 - 1400 heat damage on target',0,0),
(109897,230117,3,100,'Stuns target',0,1),
(109898,230117,3,100,'If Target is not Epic',1,2),
(109899,230117,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(109900,230117,4,100,'Inflicts 924 - 1540 heat damage on target',0,0),
(109901,230117,4,100,'Stuns target',0,1),
(109902,230117,4,100,'If Target is not Epic',1,2),
(109903,230117,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(109904,230117,5,100,'Inflicts 1008 - 1680 heat damage on target',0,0),
(109905,230117,5,100,'Stuns target',0,1),
(109906,230117,5,100,'If Target is not Epic',1,2),
(109907,230117,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(109908,230117,7,100,'Inflicts 1294 - 2156 heat damage on target',0,0),
(109909,230117,7,100,'Stuns target',0,1),
(109910,230117,7,100,'If Target is not Epic',1,2),
(109911,230117,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(109912,230117,9,100,'Inflicts 1344 - 2240 heat damage on target',0,0),
(109913,230117,9,100,'Stuns target',0,1),
(109914,230117,9,100,'If Target is not Epic',1,2),
(109915,230117,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(109916,230117,10,100,'Inflicts 1411 - 2352 heat damage on target',0,0),
(109917,230117,10,100,'Stuns target',0,1),
(109918,230117,10,100,'If Target is not Epic',1,2),
(109919,230117,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(109920,230118,1,100,'Inflicts 915 - 1525 heat damage on target',0,0),
(109921,230118,1,100,'Stuns target',0,1),
(109922,230118,1,100,'If Target is not Epic',1,2),
(109923,230118,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(109924,230118,4,100,'Inflicts 1118 - 1864 heat damage on target',0,0),
(109925,230118,4,100,'Stuns target',0,1),
(109926,230118,4,100,'If Target is not Epic',1,2),
(109927,230118,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(109928,230118,5,100,'Inflicts 1220 - 2033 heat damage on target',0,0),
(109929,230118,5,100,'Stuns target',0,1),
(109930,230118,5,100,'If Target is not Epic',1,2),
(109931,230118,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(109932,230118,7,100,'Inflicts 1566 - 2609 heat damage on target',0,0),
(109933,230118,7,100,'Stuns target',0,1),
(109934,230118,7,100,'If Target is not Epic',1,2),
(109935,230118,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(109936,230118,9,100,'Inflicts 1627 - 2711 heat damage on target',0,0),
(109937,230118,9,100,'Stuns target',0,1),
(109938,230118,9,100,'If Target is not Epic',1,2),
(109939,230118,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(109940,230119,1,100,'Inflicts 1071 - 1785 heat damage on target',0,0),
(109941,230119,1,100,'Stuns target',0,1),
(109942,230119,1,100,'If Target is not Epic',1,2),
(109943,230119,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(109944,230119,4,100,'Inflicts 1309 - 2181 heat damage on target',0,0),
(109945,230119,4,100,'Stuns target',0,1),
(109946,230119,4,100,'If Target is not Epic',1,2),
(109947,230119,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(109948,230119,5,100,'Inflicts 1428 - 2379 heat damage on target',0,0),
(109949,230119,5,100,'Stuns target',0,1),
(109950,230119,5,100,'If Target is not Epic',1,2),
(109951,230119,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(109952,230119,7,100,'Inflicts 1832 - 3054 heat damage on target',0,0),
(109953,230119,7,100,'Stuns target',0,1),
(109954,230119,7,100,'If Target is not Epic',1,2),
(109955,230119,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(109956,230119,9,100,'Inflicts 1904 - 3173 heat damage on target',0,0),
(109957,230119,9,100,'Stuns target',0,1),
(109958,230119,9,100,'If Target is not Epic',1,2),
(109959,230119,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(109960,2000518,5,100,'Heals target for 27.6% of max health',0,0),
(109961,2000519,1,100,'Applies Magnetic Note.  Lasts for 6.0 seconds.',0,0),
(109962,2000519,1,100,'Forces target to change their selected target to caster.',1,1),
(109963,2000519,1,100,'Prevents target from changing targets',1,2),
(109964,2000519,1,100,'If any of the following are true:',0,3),
(109965,2000519,1,100,'If Fighter',1,4),
(109966,2000519,1,100,'If Scout',1,5),
(109967,2000519,1,100,'Must be engaged in combat',0,6),
(109968,230120,3,100,'When target falls below 30% health this spell will cast Frost Ward on target.  Lasts for 12.0 seconds.  ',0,0),
(109969,230120,3,100,'Grants a total of 1 trigger of the spell.',1,1),
(109970,230120,3,100,'Grants a total of 1 trigger of the spell.',1,2),
(109971,200118,1,100,'Dispels 42 levels of any hostile effects on group members (AE)',0,0),
(109972,200118,2,100,'Dispels 45 levels of any hostile effects on group members (AE)',0,0),
(109973,200118,3,100,'Dispels 47 levels of any hostile effects on group members (AE)',0,0),
(109974,200118,4,100,'Dispels 52 levels of any hostile effects on group members (AE)',0,0),
(109975,200118,5,100,'Dispels 57 levels of any hostile effects on group members (AE)',0,0),
(109976,200118,7,100,'Dispels 73 levels of any hostile effects on group members (AE)',0,0),
(109977,200118,9,100,'Dispels 76 levels of any hostile effects on group members (AE)',0,0),
(109978,200119,1,100,'Dispels 56 levels of any hostile effects on group members (AE)',0,0),
(109979,200119,2,100,'Dispels 59 levels of any hostile effects on group members (AE)',0,0),
(109980,200119,3,100,'Dispels 62 levels of any hostile effects on group members (AE)',0,0),
(109981,200119,4,100,'Dispels 69 levels of any hostile effects on group members (AE)',0,0),
(109982,200119,5,100,'Dispels 75 levels of any hostile effects on group members (AE)',0,0),
(109983,200119,7,100,'Dispels 96 levels of any hostile effects on group members (AE)',0,0),
(109984,200119,9,100,'Dispels 100 levels of any hostile effects on group members (AE)',0,0),
(109985,200120,1,100,'Dispels 70 levels of any hostile effects on group members (AE)',0,0),
(109986,200120,2,100,'Dispels 74 levels of any hostile effects on group members (AE)',0,0),
(109987,200120,3,100,'Dispels 78 levels of any hostile effects on group members (AE)',0,0),
(109988,200120,4,100,'Dispels 85 levels of any hostile effects on group members (AE)',0,0),
(109989,200120,5,100,'Dispels 93 levels of any hostile effects on group members (AE)',0,0),
(109990,200120,7,100,'Dispels 120 levels of any hostile effects on group members (AE)',0,0),
(109991,200120,9,100,'Dispels 124 levels of any hostile effects on group members (AE)',0,0),
(109992,2000520,1,100,'Increases Damage Per Second of group members (AE) by 9.0',0,0),
(109993,2000521,1,100,'Decreases Fervor of target encounter by 1.0',0,0),
(109994,140118,1,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(109995,140118,1,100,'Heals target for 40 - 49',1,1),
(109996,140118,4,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(109997,140118,4,100,'Heals target for 49 - 59',1,1),
(109998,140118,5,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(109999,140118,5,100,'Heals target for 53 - 65',1,1),
(110000,140118,7,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(110001,140118,7,100,'Heals target for 68 - 83',1,1),
(110002,140118,9,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(110003,140118,9,100,'Heals target for 71 - 86',1,1),
(110004,140119,1,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(110005,140119,1,100,'Heals target for 84 - 103',1,1),
(110006,140119,2,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(110007,140119,2,100,'Heals target for 89 - 108',1,1),
(110008,140119,3,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(110009,140119,3,100,'Heals target for 93 - 114',1,1),
(110010,140119,4,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(110011,140119,4,100,'Heals target for 103 - 125',1,1),
(110012,140119,5,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(110013,140119,5,100,'Heals target for 112 - 137',1,1),
(110014,140119,7,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(110015,140119,7,100,'Heals target for 136 - 165',1,1),
(110016,140119,9,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(110017,140119,9,100,'Heals target for 149 - 182',1,1),
(110018,140120,1,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(110019,140120,1,100,'Heals target for 133 - 163',1,1),
(110020,140120,2,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(110021,140120,2,100,'Heals target for 141 - 172',1,1),
(110022,140120,3,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(110023,140120,3,100,'Heals target for 148 - 181',1,1),
(110024,140120,4,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(110025,140120,4,100,'Heals target for 163 - 199',1,1),
(110026,140120,5,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(110027,140120,5,100,'Heals target for 178 - 217',1,1),
(110028,140120,7,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(110029,140120,7,100,'Heals target for 228 - 279',1,1),
(110030,140120,9,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(110031,140120,9,100,'Heals target for 237 - 290',1,1),
(110032,140120,10,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(110033,140120,10,100,'Heals target for 249 - 304',1,1),
(110034,140121,1,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(110035,140121,1,100,'Heals target for 193 - 236',1,1),
(110036,140121,2,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(110037,140121,2,100,'Heals target for 203 - 249',1,1),
(110038,140121,3,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(110039,140121,3,100,'Heals target for 214 - 262',1,1),
(110040,140121,4,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(110041,140121,4,100,'Heals target for 236 - 288',1,1),
(110042,140121,5,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(110043,140121,5,100,'Heals target for 257 - 314',1,1),
(110044,140121,7,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(110045,140121,7,100,'Heals target for 330 - 403',1,1),
(110046,140121,9,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(110047,140121,9,100,'Heals target for 343 - 419',1,1),
(110048,140122,1,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(110049,140122,1,100,'Heals target for 252 - 308',1,1),
(110050,140122,2,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(110051,140122,2,100,'Heals target for 266 - 326',1,1),
(110052,140122,3,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(110053,140122,3,100,'Heals target for 280 - 343',1,1),
(110054,140122,4,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(110055,140122,4,100,'Heals target for 308 - 377',1,1),
(110056,140122,5,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(110057,140122,5,100,'Heals target for 336 - 411',1,1),
(110058,140122,7,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(110059,140122,7,100,'Heals target for 432 - 528',1,1),
(110060,140122,9,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(110061,140122,9,100,'Heals target for 449 - 548',1,1),
(110062,140123,1,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(110063,140123,1,100,'Heals target for 331 - 405',1,1),
(110064,140123,2,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(110065,140123,2,100,'Heals target for 350 - 428',1,1),
(110066,140123,3,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(110067,140123,3,100,'Heals target for 368 - 450',1,1),
(110068,140123,4,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(110069,140123,4,100,'Heals target for 405 - 495',1,1),
(110070,140123,5,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(110071,140123,5,100,'Heals target for 442 - 540',1,1),
(110072,140123,7,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(110073,140123,7,100,'Heals target for 567 - 693',1,1),
(110074,140123,9,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(110075,140123,9,100,'Heals target for 589 - 720',1,1),
(110076,140124,1,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(110077,140124,1,100,'Heals target for 399 - 488',1,1),
(110078,140124,4,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(110079,140124,4,100,'Heals target for 488 - 596',1,1),
(110080,140124,5,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(110081,140124,5,100,'Heals target for 532 - 650',1,1),
(110082,140124,7,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(110083,140124,7,100,'Heals target for 683 - 834',1,1),
(110084,140124,9,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(110085,140124,9,100,'Heals target for 709 - 867',1,1),
(110086,140125,1,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(110087,140125,1,100,'Heals target for 423 - 517',1,1),
(110088,140125,4,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(110089,140125,4,100,'Heals target for 517 - 632',1,1),
(110090,140125,5,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(110091,140125,5,100,'Heals target for 564 - 690',1,1),
(110092,140125,7,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(110093,140125,7,100,'Heals target for 724 - 885',1,1),
(110094,140125,9,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(110095,140125,9,100,'Heals target for 752 - 920',1,1),
(110096,90143,1,100,'Inflicts 6 - 10 disease damage on target',0,0),
(110097,90143,2,100,'Inflicts 6 - 11 disease damage on target',0,0),
(110098,90143,3,100,'Inflicts 7 - 11 disease damage on target',0,0),
(110099,90143,4,100,'Inflicts 7 - 12 disease damage on target',0,0),
(110100,90143,5,100,'Inflicts 8 - 13 disease damage on target',0,0),
(110101,90143,7,100,'Inflicts 10 - 17 disease damage on target',0,0),
(110102,90143,9,100,'Inflicts 11 - 18 disease damage on target',0,0),
(110103,90144,1,100,'Inflicts 34 - 57 disease damage on target',0,0),
(110104,90144,2,100,'Inflicts 36 - 60 disease damage on target',0,0),
(110105,90144,3,100,'Inflicts 38 - 63 disease damage on target',0,0),
(110106,90144,4,100,'Inflicts 41 - 69 disease damage on target',0,0),
(110107,90144,5,100,'Inflicts 45 - 75 disease damage on target',0,0),
(110108,90144,7,100,'Inflicts 58 - 97 disease damage on target',0,0),
(110109,90144,9,100,'Inflicts 60 - 101 disease damage on target',0,0),
(110110,90145,1,100,'Inflicts 73 - 122 disease damage on target',0,0),
(110111,90145,2,100,'Inflicts 77 - 128 disease damage on target',0,0),
(110112,90145,3,100,'Inflicts 81 - 135 disease damage on target',0,0),
(110113,90145,4,100,'Inflicts 89 - 149 disease damage on target',0,0),
(110114,90145,5,100,'Inflicts 97 - 162 disease damage on target',0,0),
(110115,90145,7,100,'Inflicts 125 - 208 disease damage on target',0,0),
(110116,90145,9,100,'Inflicts 130 - 216 disease damage on target',0,0),
(110117,90146,1,100,'Inflicts 116 - 194 disease damage on target',0,0),
(110118,90146,2,100,'Inflicts 123 - 205 disease damage on target',0,0),
(110119,90146,3,100,'Inflicts 129 - 215 disease damage on target',0,0),
(110120,90146,4,100,'Inflicts 142 - 237 disease damage on target',0,0),
(110121,90146,5,100,'Inflicts 155 - 258 disease damage on target',0,0),
(110122,90146,7,100,'Inflicts 199 - 332 disease damage on target',0,0),
(110123,90146,9,100,'Inflicts 207 - 345 disease damage on target',0,0),
(110124,90147,1,100,'Inflicts 349 - 581 disease damage on target',0,0),
(110125,90147,4,100,'Inflicts 426 - 710 disease damage on target',0,0),
(110126,90147,5,100,'Inflicts 465 - 775 disease damage on target',0,0),
(110127,90147,7,100,'Inflicts 597 - 995 disease damage on target',0,0),
(110128,90147,9,100,'Inflicts 620 - 1033 disease damage on target',0,0),
(110129,90148,1,100,'Inflicts 170 - 283 disease damage on target',0,0),
(110130,90148,2,100,'Inflicts 179 - 298 disease damage on target',0,0),
(110131,90148,3,100,'Inflicts 188 - 314 disease damage on target',0,0),
(110132,90148,4,100,'Inflicts 207 - 345 disease damage on target',0,0),
(110133,90148,5,100,'Inflicts 226 - 377 disease damage on target',0,0),
(110134,90148,7,100,'Inflicts 290 - 484 disease damage on target',0,0),
(110135,90148,9,100,'Inflicts 301 - 502 disease damage on target',0,0),
(110136,90149,1,100,'Inflicts 223 - 371 disease damage on target',0,0),
(110137,90149,2,100,'Inflicts 235 - 392 disease damage on target',0,0),
(110138,90149,3,100,'Inflicts 248 - 413 disease damage on target',0,0),
(110139,90149,4,100,'Inflicts 272 - 454 disease damage on target',0,0),
(110140,90149,5,100,'Inflicts 297 - 495 disease damage on target',0,0),
(110141,90149,7,100,'Inflicts 381 - 635 disease damage on target',0,0),
(110142,90149,9,100,'Inflicts 396 - 660 disease damage on target',0,0),
(110143,90150,1,100,'Inflicts 270 - 450 disease damage on target',0,0),
(110144,90150,2,100,'Inflicts 285 - 475 disease damage on target',0,0),
(110145,90150,3,100,'Inflicts 300 - 500 disease damage on target',0,0),
(110146,90150,4,100,'Inflicts 330 - 550 disease damage on target',0,0),
(110147,90150,5,100,'Inflicts 360 - 600 disease damage on target',0,0),
(110148,90150,7,100,'Inflicts 462 - 770 disease damage on target',0,0),
(110149,90150,9,100,'Inflicts 480 - 800 disease damage on target',0,0),
(110150,90151,1,100,'Inflicts 325 - 542 disease damage on target',0,0),
(110151,90151,4,100,'Inflicts 397 - 662 disease damage on target',0,0),
(110152,90151,5,100,'Inflicts 433 - 722 disease damage on target',0,0),
(110153,90151,7,100,'Inflicts 556 - 927 disease damage on target',0,0),
(110154,90151,9,100,'Inflicts 578 - 963 disease damage on target',0,0),
(110155,2000522,1,100,'Target encounter will reduce the chance for one of their weapons'' auto-attack to affect multiple targets by 100.0%',0,0),
(110156,2000522,1,100,'Reduces the target encounter''s auto-attack damage by 10%.',0,1),
(110157,2000522,1,100,'Decreases Potency of target encounter by 5.0%',0,2),
(110158,2000523,1,100,'Inflicts 1 - 2 piercing damage on target',0,0),
(110159,2000523,1,100,'Inflicts 1 poison damage on target every 16 seconds',0,1),
(110160,2000523,1,100,'Applies Malignant Shock on termination.',0,2),
(110161,2000523,1,100,'Inflicts 2 poison damage on target',1,3),
(110162,2000524,1,100,'On any combat or spell hit this spell may cast Mamba of Blades on target.  Lasts for 15 minutes.  Triggers about 0.2 times per minute. ',0,0),
(110163,2000524,1,100,'Dispelled when a group member dies.',1,1),
(110164,2000524,1,100,'Increases Doublecast Chance of group members (AE) by 0.1%',1,2),
(110165,2000524,1,100,'Increases Attack Speed of group members (AE) by 5.2',1,3),
(110166,2000524,1,100,'On a death blow this spell will cast Mamba of Blades on target.  Lasts for 15 minutes.  ',0,4),
(110167,2000524,1,100,'Dispelled when a group member dies.',1,5),
(110168,2000524,1,100,'Increases Doublecast Chance of group members (AE) by 0.1%',1,6),
(110169,2000524,1,100,'Increases Attack Speed of group members (AE) by 5.2',1,7),
(110170,250011,1,100,'When any damage is received this spell will cast Breeze on target.  ',0,0),
(110171,250011,1,100,'Increases power of caster by 103',1,1),
(110172,250011,1,100,'Grants a total of 3 triggers of the spell.',1,2),
(110173,250011,2,100,'When any damage is received this spell will cast Breeze on target.  ',0,0),
(110174,250011,2,100,'Increases power of caster by 108',1,1),
(110175,250011,2,100,'Grants a total of 3 triggers of the spell.',1,2),
(110176,250011,3,100,'When any damage is received this spell will cast Breeze on target.  ',0,0),
(110177,250011,3,100,'Increases power of caster by 114',1,1),
(110178,250011,3,100,'Grants a total of 3 triggers of the spell.',1,2),
(110179,250011,4,100,'When any damage is received this spell will cast Breeze on target.  ',0,0),
(110180,250011,4,100,'Increases power of caster by 125',1,1),
(110181,250011,4,100,'Grants a total of 3 triggers of the spell.',1,2),
(110182,250011,5,100,'When any damage is received this spell will cast Breeze on target.  ',0,0),
(110183,250011,5,100,'Increases power of caster by 137',1,1),
(110184,250011,5,100,'Grants a total of 3 triggers of the spell.',1,2),
(110185,250011,7,100,'When any damage is received this spell will cast Breeze on target.  ',0,0),
(110186,250011,7,100,'Increases power of caster by 176',1,1),
(110187,250011,7,100,'Grants a total of 3 triggers of the spell.',1,2),
(110188,250011,9,100,'When any damage is received this spell will cast Breeze on target.  ',0,0),
(110189,250011,9,100,'Increases power of caster by 182',1,1),
(110190,250011,9,100,'Grants a total of 3 triggers of the spell.',1,2),
(110191,250012,1,100,'When any damage is received this spell will cast Breeze on target.  ',0,0),
(110192,250012,1,100,'Increases power of caster by 171',1,1),
(110193,250012,1,100,'Grants a total of 3 triggers of the spell.',1,2),
(110194,250012,2,100,'When any damage is received this spell will cast Breeze on target.  ',0,0),
(110195,250012,2,100,'Increases power of caster by 181',1,1),
(110196,250012,2,100,'Grants a total of 3 triggers of the spell.',1,2),
(110197,250012,3,100,'When any damage is received this spell will cast Breeze on target.  ',0,0),
(110198,250012,3,100,'Increases power of caster by 191',1,1),
(110199,250012,3,100,'Grants a total of 3 triggers of the spell.',1,2),
(110200,250012,4,100,'When any damage is received this spell will cast Breeze on target.  ',0,0),
(110201,250012,4,100,'Increases power of caster by 210',1,1),
(110202,250012,4,100,'Grants a total of 3 triggers of the spell.',1,2),
(110203,250012,5,100,'When any damage is received this spell will cast Breeze on target.  ',0,0),
(110204,250012,5,100,'Increases power of caster by 229',1,1),
(110205,250012,5,100,'Grants a total of 3 triggers of the spell.',1,2),
(110206,250012,7,100,'When any damage is received this spell will cast Breeze on target.  ',0,0),
(110207,250012,7,100,'Increases power of caster by 293',1,1),
(110208,250012,7,100,'Grants a total of 3 triggers of the spell.',1,2),
(110209,250012,9,100,'When any damage is received this spell will cast Breeze on target.  ',0,0),
(110210,250012,9,100,'Increases power of caster by 305',1,1),
(110211,250012,9,100,'Grants a total of 3 triggers of the spell.',1,2),
(110212,250013,1,100,'When any damage is received this spell will cast Breeze on target.  ',0,0),
(110213,250013,1,100,'Increases power of caster by 249',1,1),
(110214,250013,1,100,'Grants a total of 3 triggers of the spell.',1,2),
(110215,250013,2,100,'When any damage is received this spell will cast Breeze on target.  ',0,0),
(110216,250013,2,100,'Increases power of caster by 262',1,1),
(110217,250013,2,100,'Grants a total of 3 triggers of the spell.',1,2),
(110218,250013,3,100,'When any damage is received this spell will cast Breeze on target.  ',0,0),
(110219,250013,3,100,'Increases power of caster by 276',1,1),
(110220,250013,3,100,'Grants a total of 3 triggers of the spell.',1,2),
(110221,250013,4,100,'When any damage is received this spell will cast Breeze on target.  ',0,0),
(110222,250013,4,100,'Increases power of caster by 304',1,1),
(110223,250013,4,100,'Grants a total of 3 triggers of the spell.',1,2),
(110224,250013,5,100,'When any damage is received this spell will cast Breeze on target.  ',0,0),
(110225,250013,5,100,'Increases power of caster by 332',1,1),
(110226,250013,5,100,'Grants a total of 3 triggers of the spell.',1,2),
(110227,250013,7,100,'When any damage is received this spell will cast Breeze on target.  ',0,0),
(110228,250013,7,100,'Increases power of caster by 426',1,1),
(110229,250013,7,100,'Grants a total of 3 triggers of the spell.',1,2),
(110230,250013,9,100,'When any damage is received this spell will cast Breeze on target.  ',0,0),
(110231,250013,9,100,'Increases power of caster by 442',1,1),
(110232,250013,9,100,'Grants a total of 3 triggers of the spell.',1,2),
(110233,250014,1,100,'When any damage is received this spell will cast Breeze on target.  ',0,0),
(110234,250014,1,100,'Increases power of caster by 330',1,1),
(110235,250014,1,100,'Grants a total of 3 triggers of the spell.',1,2),
(110236,250014,4,100,'When any damage is received this spell will cast Breeze on target.  ',0,0),
(110237,250014,4,100,'Increases power of caster by 404',1,1),
(110238,250014,4,100,'Grants a total of 3 triggers of the spell.',1,2),
(110239,250014,5,100,'When any damage is received this spell will cast Breeze on target.  ',0,0),
(110240,250014,5,100,'Increases power of caster by 440',1,1),
(110241,250014,5,100,'Grants a total of 3 triggers of the spell.',1,2),
(110242,250014,7,100,'When any damage is received this spell will cast Breeze on target.  ',0,0),
(110243,250014,7,100,'Increases power of caster by 565',1,1),
(110244,250014,7,100,'Grants a total of 3 triggers of the spell.',1,2),
(110245,250014,9,100,'When any damage is received this spell will cast Breeze on target.  ',0,0),
(110246,250014,9,100,'Increases power of caster by 587',1,1),
(110247,250014,9,100,'Grants a total of 3 triggers of the spell.',1,2),
(110248,250014,10,100,'When any damage is received this spell will cast Breeze on target.  ',0,0),
(110249,250014,10,100,'Increases power of caster by 616',1,1),
(110250,250014,10,100,'Grants a total of 3 triggers of the spell.',1,2),
(110251,250015,1,100,'When any damage is received this spell will cast Breeze on target.  ',0,0),
(110252,250015,1,100,'Increases power of caster by 388',1,1),
(110253,250015,1,100,'Grants a total of 3 triggers of the spell.',1,2),
(110254,250015,4,100,'When any damage is received this spell will cast Breeze on target.  ',0,0),
(110255,250015,4,100,'Increases power of caster by 474',1,1),
(110256,250015,4,100,'Grants a total of 3 triggers of the spell.',1,2),
(110257,250015,5,100,'When any damage is received this spell will cast Breeze on target.  ',0,0),
(110258,250015,5,100,'Increases power of caster by 517',1,1),
(110259,250015,5,100,'Grants a total of 3 triggers of the spell.',1,2),
(110260,250015,7,100,'When any damage is received this spell will cast Breeze on target.  ',0,0),
(110261,250015,7,100,'Increases power of caster by 664',1,1),
(110262,250015,7,100,'Grants a total of 3 triggers of the spell.',1,2),
(110263,250015,9,100,'When any damage is received this spell will cast Breeze on target.  ',0,0),
(110264,250015,9,100,'Increases power of caster by 690',1,1),
(110265,250015,9,100,'Grants a total of 3 triggers of the spell.',1,2),
(110266,250015,10,100,'When any damage is received this spell will cast Breeze on target.  ',0,0),
(110267,250015,10,100,'Increases power of caster by 724',1,1),
(110268,250015,10,100,'Grants a total of 3 triggers of the spell.',1,2),
(110269,2000525,1,100,'While this effect is active, when your ally casts hostile spells, your group has a chance to be warded and cured of negative effects matching the resist type that your ally casts.',0,0),
(110270,2000526,1,100,'Applies Mana Flow on termination.',0,0),
(110271,2000526,1,100,'Increases power of target by 40.0%',1,1),
(110272,2000526,1,100,'Increases power of caster by 40.0%',1,2),
(110273,2000526,1,100,'Mana Flow cannot be cast if it is already active on an ally.',0,3),
(110274,2000526,2,100,'Applies Mana Flow on termination.',0,0),
(110275,2000526,2,100,'Increases power of target by 40.0%',1,1),
(110276,2000526,2,100,'Increases power of caster by 40.0%',1,2),
(110277,2000526,2,100,'Mana Flow cannot be cast if it is already active on an ally.',0,3),
(110278,2000526,3,100,'Applies Mana Flow on termination.',0,0),
(110279,2000526,3,100,'Increases power of target by 40.0%',1,1),
(110280,2000526,3,100,'Increases power of caster by 40.0%',1,2),
(110281,2000526,3,100,'Mana Flow cannot be cast if it is already active on an ally.',0,3),
(110282,2000526,4,100,'Applies Mana Flow on termination.',0,0),
(110283,2000526,4,100,'Increases power of target by 40.0%',1,1),
(110284,2000526,4,100,'Increases power of caster by 40.0%',1,2),
(110285,2000526,4,100,'Mana Flow cannot be cast if it is already active on an ally.',0,3),
(110286,2000526,5,100,'Applies Mana Flow on termination.',0,0),
(110287,2000526,5,100,'Increases power of target by 40.0%',1,1),
(110288,2000526,5,100,'Increases power of caster by 40.0%',1,2),
(110289,2000526,5,100,'Mana Flow cannot be cast if it is already active on an ally.',0,3),
(110290,2000526,6,100,'Applies Mana Flow on termination.',0,0),
(110291,2000526,6,100,'Increases power of target by 40.0%',1,1),
(110292,2000526,6,100,'Increases power of caster by 40.0%',1,2),
(110293,2000526,6,100,'Mana Flow cannot be cast if it is already active on an ally.',0,3),
(110294,2000526,7,100,'Applies Mana Flow on termination.',0,0),
(110295,2000526,7,100,'Increases power of target by 40.0%',1,1),
(110296,2000526,7,100,'Increases power of caster by 40.0%',1,2),
(110297,2000526,7,100,'Mana Flow cannot be cast if it is already active on an ally.',0,3),
(110298,2000526,8,100,'Applies Mana Flow on termination.',0,0),
(110299,2000526,8,100,'Increases power of target by 40.0%',1,1),
(110300,2000526,8,100,'Increases power of caster by 40.0%',1,2),
(110301,2000526,8,100,'Mana Flow cannot be cast if it is already active on an ally.',0,3),
(110302,2000526,9,100,'Applies Mana Flow on termination.',0,0),
(110303,2000526,9,100,'Increases power of target by 40.0%',1,1),
(110304,2000526,9,100,'Increases power of caster by 40.0%',1,2),
(110305,2000526,9,100,'Mana Flow cannot be cast if it is already active on an ally.',0,3),
(110306,2000526,10,100,'Applies Mana Flow on termination.',0,0),
(110307,2000526,10,100,'Increases power of target by 40.0%',1,1),
(110308,2000526,10,100,'Increases power of caster by 40.0%',1,2),
(110309,2000526,10,100,'Mana Flow cannot be cast if it is already active on an ally.',0,3),
(110310,230121,1,100,'Increases power of target by 64',0,0),
(110311,230121,2,100,'Increases power of target by 68',0,0),
(110312,230121,3,100,'Increases power of target by 71',0,0),
(110313,230121,4,100,'Increases power of target by 78',0,0),
(110314,230121,5,100,'Increases power of target by 85',0,0),
(110315,230121,7,100,'Increases power of target by 110',0,0),
(110316,230121,9,100,'Increases power of target by 114',0,0),
(110317,230121,10,100,'Increases power of target by 120',0,0),
(110318,230122,1,100,'Increases power of target by 98',0,0),
(110319,230122,2,100,'Increases power of target by 104',0,0),
(110320,230122,3,100,'Increases power of target by 109',0,0),
(110321,230122,4,100,'Increases power of target by 120',0,0),
(110322,230122,5,100,'Increases power of target by 131',0,0),
(110323,230122,7,100,'Increases power of target by 168',0,0),
(110324,230122,9,100,'Increases power of target by 174',0,0),
(110325,230123,1,100,'Increases power of target by 136',0,0),
(110326,230123,2,100,'Increases power of target by 143',0,0),
(110327,230123,3,100,'Increases power of target by 151',0,0),
(110328,230123,4,100,'Increases power of target by 166',0,0),
(110329,230123,5,100,'Increases power of target by 181',0,0),
(110330,230123,7,100,'Increases power of target by 233',0,0),
(110331,230123,9,100,'Increases power of target by 242',0,0),
(110332,230124,1,100,'Increases power of target by 183',0,0),
(110333,230124,2,100,'Increases power of target by 193',0,0),
(110334,230124,3,100,'Increases power of target by 203',0,0),
(110335,230124,4,100,'Increases power of target by 223',0,0),
(110336,230124,5,100,'Increases power of target by 243',0,0),
(110337,230124,7,100,'Increases power of target by 312',0,0),
(110338,230124,9,100,'Increases power of target by 324',0,0),
(110339,230124,10,100,'Increases power of target by 341',0,0),
(110340,230125,1,100,'Increases power of target by 233',0,0),
(110341,230125,4,100,'Increases power of target by 284',0,0),
(110342,230125,5,100,'Increases power of target by 310',0,0),
(110343,230125,7,100,'Increases power of target by 398',0,0),
(110344,230125,9,100,'Increases power of target by 413',0,0),
(110345,230126,1,100,'Increases power of target by 262',0,0),
(110346,230126,4,100,'Increases power of target by 321',0,0),
(110347,230126,5,100,'Increases power of target by 350',0,0),
(110348,230126,7,100,'Increases power of target by 449',0,0),
(110349,230126,9,100,'Increases power of target by 467',0,0),
(110350,90152,1,100,'Inflicts 127 - 211 disease damage on target',0,0),
(110351,90152,1,100,'Inflicts 32 - 53 disease damage on target every 4 seconds',0,1),
(110352,90152,1,100,'Increases power of caster by 63 - 105',0,2),
(110353,90152,1,100,'Increases power of caster by 14 - 23 every 4 seconds',0,3),
(110354,90152,2,100,'Inflicts 134 - 223 disease damage on target',0,0),
(110355,90152,2,100,'Inflicts 33 - 56 disease damage on target every 4 seconds',0,1),
(110356,90152,2,100,'Increases power of caster by 66 - 110',0,2),
(110357,90152,2,100,'Increases power of caster by 14 - 24 every 4 seconds',0,3),
(110358,90152,3,100,'Inflicts 141 - 234 disease damage on target',0,0),
(110359,90152,3,100,'Inflicts 35 - 59 disease damage on target every 4 seconds',0,1),
(110360,90152,3,100,'Increases power of caster by 70 - 116',0,2),
(110361,90152,3,100,'Increases power of caster by 15 - 25 every 4 seconds',0,3),
(110362,90152,4,100,'Inflicts 155 - 258 disease damage on target',0,0),
(110363,90152,4,100,'Inflicts 39 - 64 disease damage on target every 4 seconds',0,1),
(110364,90152,4,100,'Increases power of caster by 77 - 128',0,2),
(110365,90152,4,100,'Increases power of caster by 17 - 28 every 4 seconds',0,3),
(110366,90152,5,100,'Inflicts 169 - 281 disease damage on target',0,0),
(110367,90152,5,100,'Inflicts 42 - 70 disease damage on target every 4 seconds',0,1),
(110368,90152,5,100,'Increases power of caster by 84 - 140',0,2),
(110369,90152,5,100,'Increases power of caster by 18 - 30 every 4 seconds',0,3),
(110370,90152,7,100,'Inflicts 217 - 361 disease damage on target',0,0),
(110371,90152,7,100,'Inflicts 54 - 90 disease damage on target every 4 seconds',0,1),
(110372,90152,7,100,'Increases power of caster by 107 - 179',0,2),
(110373,90152,7,100,'Increases power of caster by 23 - 39 every 4 seconds',0,3),
(110374,90152,9,100,'Inflicts 225 - 375 disease damage on target',0,0),
(110375,90152,9,100,'Inflicts 56 - 94 disease damage on target every 4 seconds',0,1),
(110376,90152,9,100,'Increases power of caster by 112 - 186',0,2),
(110377,90152,9,100,'Increases power of caster by 24 - 40 every 4 seconds',0,3),
(110378,90153,1,100,'Inflicts 189 - 315 disease damage on target',0,0),
(110379,90153,1,100,'Inflicts 47 - 79 disease damage on target every 4 seconds',0,1),
(110380,90153,1,100,'Increases power of caster by 96 - 161',0,2),
(110381,90153,1,100,'Increases power of caster by 21 - 35 every 4 seconds',0,3),
(110382,90153,2,100,'Inflicts 199 - 332 disease damage on target',0,0),
(110383,90153,2,100,'Inflicts 50 - 83 disease damage on target every 4 seconds',0,1),
(110384,90153,2,100,'Increases power of caster by 102 - 170',0,2),
(110385,90153,2,100,'Increases power of caster by 22 - 37 every 4 seconds',0,3),
(110386,90153,3,100,'Inflicts 210 - 350 disease damage on target',0,0),
(110387,90153,3,100,'Inflicts 52 - 87 disease damage on target every 4 seconds',0,1),
(110388,90153,3,100,'Increases power of caster by 107 - 179',0,2),
(110389,90153,3,100,'Increases power of caster by 23 - 39 every 4 seconds',0,3),
(110390,90153,4,100,'Inflicts 231 - 385 disease damage on target',0,0),
(110391,90153,4,100,'Inflicts 58 - 96 disease damage on target every 4 seconds',0,1),
(110392,90153,4,100,'Increases power of caster by 118 - 196',0,2),
(110393,90153,4,100,'Increases power of caster by 26 - 43 every 4 seconds',0,3),
(110394,90153,5,100,'Inflicts 252 - 420 disease damage on target',0,0),
(110395,90153,5,100,'Inflicts 63 - 105 disease damage on target every 4 seconds',0,1),
(110396,90153,5,100,'Increases power of caster by 129 - 214',0,2),
(110397,90153,5,100,'Increases power of caster by 28 - 46 every 4 seconds',0,3),
(110398,90153,7,100,'Inflicts 323 - 539 disease damage on target',0,0),
(110399,90153,7,100,'Inflicts 81 - 135 disease damage on target every 4 seconds',0,1),
(110400,90153,7,100,'Increases power of caster by 165 - 275',0,2),
(110401,90153,7,100,'Increases power of caster by 36 - 60 every 4 seconds',0,3),
(110402,90153,9,100,'Inflicts 336 - 560 disease damage on target',0,0),
(110403,90153,9,100,'Inflicts 84 - 140 disease damage on target every 4 seconds',0,1),
(110404,90153,9,100,'Increases power of caster by 171 - 286',0,2),
(110405,90153,9,100,'Increases power of caster by 37 - 62 every 4 seconds',0,3),
(110406,90154,1,100,'Inflicts 229 - 381 disease damage on target',0,0),
(110407,90154,1,100,'Inflicts 57 - 95 disease damage on target every 4 seconds',0,1),
(110408,90154,1,100,'Increases power of caster by 126 - 210',0,2),
(110409,90154,1,100,'Increases power of caster by 27 - 46 every 4 seconds',0,3),
(110410,90154,4,100,'Inflicts 280 - 466 disease damage on target',0,0),
(110411,90154,4,100,'Inflicts 70 - 116 disease damage on target every 4 seconds',0,1),
(110412,90154,4,100,'Increases power of caster by 154 - 257',0,2),
(110413,90154,4,100,'Increases power of caster by 33 - 56 every 4 seconds',0,3),
(110414,90154,5,100,'Inflicts 305 - 508 disease damage on target',0,0),
(110415,90154,5,100,'Inflicts 76 - 127 disease damage on target every 4 seconds',0,1),
(110416,90154,5,100,'Increases power of caster by 168 - 280',0,2),
(110417,90154,5,100,'Increases power of caster by 36 - 61 every 4 seconds',0,3),
(110418,90154,7,100,'Inflicts 391 - 652 disease damage on target',0,0),
(110419,90154,7,100,'Inflicts 98 - 163 disease damage on target every 4 seconds',0,1),
(110420,90154,7,100,'Increases power of caster by 216 - 360',0,2),
(110421,90154,7,100,'Increases power of caster by 47 - 78 every 4 seconds',0,3),
(110422,90154,9,100,'Inflicts 407 - 678 disease damage on target',0,0),
(110423,90154,9,100,'Inflicts 102 - 169 disease damage on target every 4 seconds',0,1),
(110424,90154,9,100,'Increases power of caster by 224 - 374',0,2),
(110425,90154,9,100,'Increases power of caster by 49 - 81 every 4 seconds',0,3),
(110426,90155,1,100,'Inflicts 268 - 446 disease damage on target',0,0),
(110427,90155,1,100,'Inflicts 67 - 112 disease damage on target every 4 seconds',0,1),
(110428,90155,1,100,'Increases power of caster by 146 - 244',0,2),
(110429,90155,1,100,'Increases power of caster by 32 - 53 every 4 seconds',0,3),
(110430,90155,4,100,'Inflicts 327 - 545 disease damage on target',0,0),
(110431,90155,4,100,'Inflicts 82 - 136 disease damage on target every 4 seconds',0,1),
(110432,90155,4,100,'Increases power of caster by 179 - 298',0,2),
(110433,90155,4,100,'Increases power of caster by 39 - 65 every 4 seconds',0,3),
(110434,90155,5,100,'Inflicts 357 - 595 disease damage on target',0,0),
(110435,90155,5,100,'Inflicts 89 - 149 disease damage on target every 4 seconds',0,1),
(110436,90155,5,100,'Increases power of caster by 195 - 325',0,2),
(110437,90155,5,100,'Increases power of caster by 42 - 70 every 4 seconds',0,3),
(110438,90155,7,100,'Inflicts 458 - 763 disease damage on target',0,0),
(110439,90155,7,100,'Inflicts 115 - 191 disease damage on target every 4 seconds',0,1),
(110440,90155,7,100,'Increases power of caster by 250 - 417',0,2),
(110441,90155,7,100,'Increases power of caster by 54 - 90 every 4 seconds',0,3),
(110442,90155,9,100,'Inflicts 476 - 793 disease damage on target',0,0),
(110443,90155,9,100,'Inflicts 119 - 198 disease damage on target every 4 seconds',0,1),
(110444,90155,9,100,'Increases power of caster by 260 - 433',0,2),
(110445,90155,9,100,'Increases power of caster by 56 - 94 every 4 seconds',0,3),
(110446,240142,1,100,'Increases power of target by 14 instantly and every 4 seconds',0,0),
(110447,240142,2,100,'Increases power of target by 15 instantly and every 4 seconds',0,0),
(110448,240142,3,100,'Increases power of target by 16 instantly and every 4 seconds',0,0),
(110449,240142,4,100,'Increases power of target by 17 instantly and every 4 seconds',0,0),
(110450,240142,5,100,'Increases power of target by 19 instantly and every 4 seconds',0,0),
(110451,240142,7,100,'Increases power of target by 24 instantly and every 4 seconds',0,0),
(110452,240142,9,100,'Increases power of target by 25 instantly and every 4 seconds',0,0),
(110453,240142,10,100,'Increases power of target by 26 instantly and every 4 seconds',0,0),
(110454,240143,1,100,'Increases power of target by 22 instantly and every 4 seconds',0,0),
(110455,240143,2,100,'Increases power of target by 23 instantly and every 4 seconds',0,0),
(110456,240143,3,100,'Increases power of target by 24 instantly and every 4 seconds',0,0),
(110457,240143,4,100,'Increases power of target by 26 instantly and every 4 seconds',0,0),
(110458,240143,5,100,'Increases power of target by 29 instantly and every 4 seconds',0,0),
(110459,240143,7,100,'Increases power of target by 37 instantly and every 4 seconds',0,0),
(110460,240143,9,100,'Increases power of target by 38 instantly and every 4 seconds',0,0),
(110461,240144,1,100,'Increases power of target by 30 instantly and every 4 seconds',0,0),
(110462,240144,2,100,'Increases power of target by 32 instantly and every 4 seconds',0,0),
(110463,240144,3,100,'Increases power of target by 33 instantly and every 4 seconds',0,0),
(110464,240144,4,100,'Increases power of target by 37 instantly and every 4 seconds',0,0),
(110465,240144,5,100,'Increases power of target by 40 instantly and every 4 seconds',0,0),
(110466,240144,7,100,'Increases power of target by 51 instantly and every 4 seconds',0,0),
(110467,240144,9,100,'Increases power of target by 53 instantly and every 4 seconds',0,0),
(110468,240145,1,100,'Increases power of target by 40 instantly and every 4 seconds',0,0),
(110469,240145,2,100,'Increases power of target by 42 instantly and every 4 seconds',0,0),
(110470,240145,3,100,'Increases power of target by 45 instantly and every 4 seconds',0,0),
(110471,240145,4,100,'Increases power of target by 49 instantly and every 4 seconds',0,0),
(110472,240145,5,100,'Increases power of target by 54 instantly and every 4 seconds',0,0),
(110473,240145,7,100,'Increases power of target by 69 instantly and every 4 seconds',0,0),
(110474,240145,9,100,'Increases power of target by 71 instantly and every 4 seconds',0,0),
(110475,240145,10,100,'Increases power of target by 75 instantly and every 4 seconds',0,0),
(110476,240146,1,100,'Increases power of target by 51 instantly and every 4 seconds',0,0),
(110477,240146,4,100,'Increases power of target by 63 instantly and every 4 seconds',0,0),
(110478,240146,5,100,'Increases power of target by 68 instantly and every 4 seconds',0,0),
(110479,240146,7,100,'Increases power of target by 88 instantly and every 4 seconds',0,0),
(110480,240146,9,100,'Increases power of target by 91 instantly and every 4 seconds',0,0),
(110481,240147,1,100,'Increases power of target by 58 instantly and every 4 seconds',0,0),
(110482,240147,4,100,'Increases power of target by 71 instantly and every 4 seconds',0,0),
(110483,240147,5,100,'Increases power of target by 77 instantly and every 4 seconds',0,0),
(110484,240147,7,100,'Increases power of target by 99 instantly and every 4 seconds',0,0),
(110485,240147,9,100,'Increases power of target by 103 instantly and every 4 seconds',0,0),
(110486,2000527,1,100,'Inflicts 4 points of magic damage to target for each power point consumed. Manaburn''s damage cannot exceed 50% of the target''s maximum health',0,0),
(110487,2000527,1,100,'Must be hated by your current target.',0,1),
(110488,2000528,1,100,'Damage received is prevented and drains power instead at the cost of 2 power per 3 points of damage prevented.',0,0),
(110489,2000528,1,100,'Damage received is prevented and drains power instead at the cost of 2 power per 3 points of damage prevented.',0,1),
(110490,2000529,1,100,'Increase power of group members (AE) based on caster''s current health.',0,0),
(110491,2000529,1,100,'Consumes 10% of the caster''s health instantly and every tick.',0,1),
(110492,2000529,1,100,'If over 11% Health',0,2),
(110493,2000529,2,100,'Increase power of group members (AE) based on caster''s current health.',0,0),
(110494,2000529,2,100,'Consumes 10% of the caster''s health instantly and every tick.',0,1),
(110495,2000529,2,100,'If over 11% Health',0,2),
(110496,2000529,3,100,'Increase power of group members (AE) based on caster''s current health.',0,0),
(110497,2000529,3,100,'Consumes 10% of the caster''s health instantly and every tick.',0,1),
(110498,2000529,3,100,'If over 11% Health',0,2),
(110499,2000529,4,100,'Increase power of group members (AE) based on caster''s current health.',0,0),
(110500,2000529,4,100,'Consumes 10% of the caster''s health instantly and every tick.',0,1),
(110501,2000529,4,100,'If over 11% Health',0,2),
(110502,2000529,5,100,'Increase power of group members (AE) based on caster''s current health.',0,0),
(110503,2000529,5,100,'Consumes 10% of the caster''s health instantly and every tick.',0,1),
(110504,2000529,5,100,'If over 11% Health',0,2),
(110505,2000529,6,100,'Increase power of group members (AE) based on caster''s current health.',0,0),
(110506,2000529,6,100,'Consumes 10% of the caster''s health instantly and every tick.',0,1),
(110507,2000529,6,100,'If over 11% Health',0,2),
(110508,2000529,7,100,'Increase power of group members (AE) based on caster''s current health.',0,0),
(110509,2000529,7,100,'Consumes 10% of the caster''s health instantly and every tick.',0,1),
(110510,2000529,7,100,'If over 11% Health',0,2),
(110511,2000529,8,100,'Increase power of group members (AE) based on caster''s current health.',0,0),
(110512,2000529,8,100,'Consumes 10% of the caster''s health instantly and every tick.',0,1),
(110513,2000529,8,100,'If over 11% Health',0,2),
(110514,2000529,9,100,'Increase power of group members (AE) based on caster''s current health.',0,0),
(110515,2000529,9,100,'Consumes 10% of the caster''s health instantly and every tick.',0,1),
(110516,2000529,9,100,'If over 11% Health',0,2),
(110517,2000529,10,100,'Increase power of group members (AE) based on caster''s current health.',0,0),
(110518,2000529,10,100,'Consumes 10% of the caster''s health instantly and every tick.',0,1),
(110519,2000529,10,100,'If over 11% Health',0,2),
(110520,260101,1,100,'Decreases power of target encounter by 20 instantly and every 4 seconds',0,0),
(110521,260101,1,100,'Increases power of group members (AE) by 13 instantly and every 4 seconds',0,1),
(110522,260101,2,100,'Decreases power of target encounter by 21 instantly and every 4 seconds',0,0),
(110523,260101,2,100,'Increases power of group members (AE) by 14 instantly and every 4 seconds',0,1),
(110524,260101,3,100,'Decreases power of target encounter by 22 instantly and every 4 seconds',0,0),
(110525,260101,3,100,'Increases power of group members (AE) by 15 instantly and every 4 seconds',0,1),
(110526,260101,4,100,'Decreases power of target encounter by 24 instantly and every 4 seconds',0,0),
(110527,260101,4,100,'Increases power of group members (AE) by 16 instantly and every 4 seconds',0,1),
(110528,260101,5,100,'Decreases power of target encounter by 26 instantly and every 4 seconds',0,0),
(110529,260101,5,100,'Increases power of group members (AE) by 18 instantly and every 4 seconds',0,1),
(110530,260101,7,100,'Decreases power of target encounter by 34 instantly and every 4 seconds',0,0),
(110531,260101,7,100,'Increases power of group members (AE) by 23 instantly and every 4 seconds',0,1),
(110532,260101,9,100,'Decreases power of target encounter by 35 instantly and every 4 seconds',0,0),
(110533,260101,9,100,'Increases power of group members (AE) by 24 instantly and every 4 seconds',0,1),
(110534,260102,1,100,'Decreases power of target encounter by 30 instantly and every 4 seconds',0,0),
(110535,260102,1,100,'Increases power of group members (AE) by 20 instantly and every 4 seconds',0,1),
(110536,260102,2,100,'Decreases power of target encounter by 32 instantly and every 4 seconds',0,0),
(110537,260102,2,100,'Increases power of group members (AE) by 21 instantly and every 4 seconds',0,1),
(110538,260102,3,100,'Decreases power of target encounter by 34 instantly and every 4 seconds',0,0),
(110539,260102,3,100,'Increases power of group members (AE) by 22 instantly and every 4 seconds',0,1),
(110540,260102,4,100,'Decreases power of target encounter by 37 instantly and every 4 seconds',0,0),
(110541,260102,4,100,'Increases power of group members (AE) by 25 instantly and every 4 seconds',0,1),
(110542,260102,5,100,'Decreases power of target encounter by 40 instantly and every 4 seconds',0,0),
(110543,260102,5,100,'Increases power of group members (AE) by 27 instantly and every 4 seconds',0,1),
(110544,260102,7,100,'Decreases power of target encounter by 52 instantly and every 4 seconds',0,0),
(110545,260102,7,100,'Increases power of group members (AE) by 34 instantly and every 4 seconds',0,1),
(110546,260102,9,100,'Decreases power of target encounter by 54 instantly and every 4 seconds',0,0),
(110547,260102,9,100,'Increases power of group members (AE) by 36 instantly and every 4 seconds',0,1),
(110548,260103,1,100,'Decreases power of target encounter by 42 instantly and every 4 seconds',0,0),
(110549,260103,1,100,'Increases power of group members (AE) by 28 instantly and every 4 seconds',0,1),
(110550,260103,2,100,'Decreases power of target encounter by 44 instantly and every 4 seconds',0,0),
(110551,260103,2,100,'Increases power of group members (AE) by 29 instantly and every 4 seconds',0,1),
(110552,260103,3,100,'Decreases power of target encounter by 46 instantly and every 4 seconds',0,0),
(110553,260103,3,100,'Increases power of group members (AE) by 31 instantly and every 4 seconds',0,1),
(110554,260103,4,100,'Decreases power of target encounter by 51 instantly and every 4 seconds',0,0),
(110555,260103,4,100,'Increases power of group members (AE) by 34 instantly and every 4 seconds',0,1),
(110556,260103,5,100,'Decreases power of target encounter by 55 instantly and every 4 seconds',0,0),
(110557,260103,5,100,'Increases power of group members (AE) by 37 instantly and every 4 seconds',0,1),
(110558,260103,7,100,'Decreases power of target encounter by 71 instantly and every 4 seconds',0,0),
(110559,260103,7,100,'Increases power of group members (AE) by 47 instantly and every 4 seconds',0,1),
(110560,260103,9,100,'Decreases power of target encounter by 74 instantly and every 4 seconds',0,0),
(110561,260103,9,100,'Increases power of group members (AE) by 49 instantly and every 4 seconds',0,1),
(110562,260104,1,100,'Decreases power of target encounter by 52 instantly and every 4 seconds',0,0),
(110563,260104,1,100,'Increases power of group members (AE) by 37 instantly and every 4 seconds',0,1),
(110564,260104,2,100,'Decreases power of target encounter by 55 instantly and every 4 seconds',0,0),
(110565,260104,2,100,'Increases power of group members (AE) by 39 instantly and every 4 seconds',0,1),
(110566,260104,3,100,'Decreases power of target encounter by 58 instantly and every 4 seconds',0,0),
(110567,260104,3,100,'Increases power of group members (AE) by 41 instantly and every 4 seconds',0,1),
(110568,260104,4,100,'Decreases power of target encounter by 64 instantly and every 4 seconds',0,0),
(110569,260104,4,100,'Increases power of group members (AE) by 45 instantly and every 4 seconds',0,1),
(110570,260104,5,100,'Decreases power of target encounter by 70 instantly and every 4 seconds',0,0),
(110571,260104,5,100,'Increases power of group members (AE) by 49 instantly and every 4 seconds',0,1),
(110572,260104,7,100,'Decreases power of target encounter by 89 instantly and every 4 seconds',0,0),
(110573,260104,7,100,'Increases power of group members (AE) by 62 instantly and every 4 seconds',0,1),
(110574,260104,9,100,'Decreases power of target encounter by 93 instantly and every 4 seconds',0,0),
(110575,260104,9,100,'Increases power of group members (AE) by 65 instantly and every 4 seconds',0,1),
(110576,260105,1,100,'Decreases power of target encounter by 63 instantly and every 4 seconds',0,0),
(110577,260105,1,100,'Increases power of group members (AE) by 47 instantly and every 4 seconds',0,1),
(110578,260105,4,100,'Decreases power of target encounter by 77 instantly and every 4 seconds',0,0),
(110579,260105,4,100,'Increases power of group members (AE) by 57 instantly and every 4 seconds',0,1),
(110580,260105,5,100,'Decreases power of target encounter by 84 instantly and every 4 seconds',0,0),
(110581,260105,5,100,'Increases power of group members (AE) by 62 instantly and every 4 seconds',0,1),
(110582,260105,7,100,'Decreases power of target encounter by 108 instantly and every 4 seconds',0,0),
(110583,260105,7,100,'Increases power of group members (AE) by 80 instantly and every 4 seconds',0,1),
(110584,260105,9,100,'Decreases power of target encounter by 112 instantly and every 4 seconds',0,0),
(110585,260105,9,100,'Increases power of group members (AE) by 83 instantly and every 4 seconds',0,1),
(110586,260106,1,100,'Decreases power of target encounter by 72 instantly and every 4 seconds',0,0),
(110587,260106,1,100,'Increases power of group members (AE) by 52 instantly and every 4 seconds',0,1),
(110588,260106,4,100,'Decreases power of target encounter by 88 instantly and every 4 seconds',0,0),
(110589,260106,4,100,'Increases power of group members (AE) by 64 instantly and every 4 seconds',0,1),
(110590,260106,5,100,'Decreases power of target encounter by 96 instantly and every 4 seconds',0,0),
(110591,260106,5,100,'Increases power of group members (AE) by 70 instantly and every 4 seconds',0,1),
(110592,260106,7,100,'Decreases power of target encounter by 123 instantly and every 4 seconds',0,0),
(110593,260106,7,100,'Increases power of group members (AE) by 90 instantly and every 4 seconds',0,1),
(110594,260106,9,100,'Decreases power of target encounter by 128 instantly and every 4 seconds',0,0),
(110595,260106,9,100,'Increases power of group members (AE) by 93 instantly and every 4 seconds',0,1),
(110596,2000530,1,100,'Drains an additional 30% of the caster''s power upon activation. If the caster does not have 30% power, it will set the caster to 0.',0,0),
(110597,2000530,1,100,'Will absorb all damage.  This spell will absorb a total of 15 attacks.',0,1),
(110598,2000531,1,100,'Applies a ward of 0.25% of the casters health for each 1% of the casters mana that is spent onto the target ally.',0,0),
(110599,2000531,1,100,'Must be engaged in combat',0,1),
(110600,370138,12,100,'On a melee hit this spell may cast Intrepid Strike on caster.  Lasts for 12.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(110601,370138,12,100,'Caster has a 25.0% chance of having one of their weapons'' auto-attack strike the target multiple times.',1,1),
(110602,370138,12,100,'Increases Potency of caster by 25.0%',1,2),
(110603,370138,12,100,'Cannot be modified except by direct means',1,3),
(110604,370138,12,100,'Riana''s Relentless Tune will improve combat art damage by 10%',0,4),
(110605,370138,12,100,'Applies the effects of Cacophony of Blades to all raid members.',0,5),
(110606,370138,12,100,'Cannot be modified except by direct means',0,6),
(110607,440099,1,100,'Increases Max Health of group members (AE) by 24.3',0,0),
(110608,440099,1,100,'If fighter',1,1),
(110609,440099,1,100,'Increases Mitigation of group members (AE) vs physical damage by 86',0,2),
(110610,440099,1,100,'If not fighter',1,3),
(110611,440099,1,100,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 93',0,4),
(110612,440099,4,100,'Increases Max Health of group members (AE) by 29.7',0,0),
(110613,440099,4,100,'If fighter',1,1),
(110614,440099,4,100,'Increases Mitigation of group members (AE) vs physical damage by 106',0,2),
(110615,440099,5,100,'Increases Max Health of group members (AE) by 32.4',0,0),
(110616,440099,5,100,'If fighter',1,1),
(110617,440099,5,100,'Increases Mitigation of group members (AE) vs physical damage by 115',0,2),
(110618,440099,7,100,'Increases Max Health of group members (AE) by 41.6',0,0),
(110619,440099,7,100,'If fighter',1,1),
(110620,440099,7,100,'Increases Mitigation of group members (AE) vs physical damage by 148',0,2),
(110621,440099,9,100,'Increases Max Health of group members (AE) by 43.3',0,0),
(110622,440099,9,100,'If fighter',1,1),
(110623,440099,9,100,'Increases Mitigation of group members (AE) vs physical damage by 154',0,2),
(110624,440100,1,100,'Increases Max Health of group members (AE) by 73.7',0,0),
(110625,440100,1,100,'If fighter',1,1),
(110626,440100,1,100,'Increases Mitigation of group members (AE) vs physical damage by 186',0,2),
(110627,440100,1,100,'If not fighter',1,3),
(110628,440100,1,100,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 200',0,4),
(110629,440100,4,100,'Increases Max Health of group members (AE) by 90.1',0,0),
(110630,440100,4,100,'If fighter',1,1),
(110631,440100,4,100,'Increases Mitigation of group members (AE) vs physical damage by 227',0,2),
(110632,440100,4,100,'If not fighter',1,3),
(110633,440100,4,100,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 245',0,4),
(110634,440100,5,100,'Increases Max Health of group members (AE) by 98.3',0,0),
(110635,440100,5,100,'If fighter',1,1),
(110636,440100,5,100,'Increases Mitigation of group members (AE) vs physical damage by 248',0,2),
(110637,440100,5,100,'If not fighter',1,3),
(110638,440100,5,100,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 267',0,4),
(110639,440100,7,100,'Increases Max Health of group members (AE) by 126.1',0,0),
(110640,440100,7,100,'If fighter',1,1),
(110641,440100,7,100,'Increases Mitigation of group members (AE) vs physical damage by 318',0,2),
(110642,440100,7,100,'If not fighter',1,3),
(110643,440100,7,100,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 343',0,4),
(110644,440100,9,100,'Increases Max Health of group members (AE) by 131.0',0,0),
(110645,440100,9,100,'If fighter',1,1),
(110646,440100,9,100,'Increases Mitigation of group members (AE) vs physical damage by 330',0,2),
(110647,440100,9,100,'If not fighter',1,3),
(110648,440100,9,100,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 356',0,4),
(110649,440100,10,100,'Increases Max Health of group members (AE) by 137.6',0,0),
(110650,440100,10,100,'If fighter',1,1),
(110651,440100,10,100,'Increases Mitigation of group members (AE) vs physical damage by 347',0,2),
(110652,440100,10,100,'If not fighter',1,3),
(110653,440100,10,100,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 374',0,4),
(110654,440101,1,100,'Increases Max Health of group members (AE) by 151.5',0,0),
(110655,440101,1,100,'If fighter',1,1),
(110656,440101,1,100,'Increases Mitigation of group members (AE) vs physical damage by 281',0,2),
(110657,440101,1,100,'If not fighter',1,3),
(110658,440101,1,100,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 304',0,4),
(110659,440101,4,100,'Increases Max Health of group members (AE) by 185.2',0,0),
(110660,440101,4,100,'If fighter',1,1),
(110661,440101,4,100,'Increases Mitigation of group members (AE) vs physical damage by 344',0,2),
(110662,440101,4,100,'If not fighter',1,3),
(110663,440101,4,100,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 371',0,4),
(110664,440101,5,100,'Increases Max Health of group members (AE) by 202.0',0,0),
(110665,440101,5,100,'If fighter',1,1),
(110666,440101,5,100,'Increases Mitigation of group members (AE) vs physical damage by 375',0,2),
(110667,440101,5,100,'If not fighter',1,3),
(110668,440101,5,100,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 405',0,4),
(110669,440101,7,100,'Increases Max Health of group members (AE) by 259.3',0,0),
(110670,440101,7,100,'If fighter',1,1),
(110671,440101,7,100,'Increases Mitigation of group members (AE) vs physical damage by 481',0,2),
(110672,440101,7,100,'If not fighter',1,3),
(110673,440101,7,100,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 520',0,4),
(110674,440101,9,100,'Increases Max Health of group members (AE) by 269.4',0,0),
(110675,440101,9,100,'If fighter',1,1),
(110676,440101,9,100,'Increases Mitigation of group members (AE) vs physical damage by 500',0,2),
(110677,440101,9,100,'If not fighter',1,3),
(110678,440101,9,100,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 540',0,4),
(110679,440102,1,100,'Increases Max Health of group members (AE) by 253.3',0,0),
(110680,440102,1,100,'If fighter',1,1),
(110681,440102,1,100,'Increases Mitigation of group members (AE) vs physical damage by 394',0,2),
(110682,440102,1,100,'If not fighter',1,3),
(110683,440102,1,100,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 425',0,4),
(110684,440102,4,100,'Increases Max Health of group members (AE) by 309.6',0,0),
(110685,440102,4,100,'If fighter',1,1),
(110686,440102,4,100,'Increases Mitigation of group members (AE) vs physical damage by 481',0,2),
(110687,440102,4,100,'If not fighter',1,3),
(110688,440102,4,100,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 520',0,4),
(110689,440102,5,100,'Increases Max Health of group members (AE) by 337.7',0,0),
(110690,440102,5,100,'If fighter',1,1),
(110691,440102,5,100,'Increases Mitigation of group members (AE) vs physical damage by 525',0,2),
(110692,440102,5,100,'If not fighter',1,3),
(110693,440102,5,100,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 567',0,4),
(110694,440102,7,100,'Increases Max Health of group members (AE) by 433.4',0,0),
(110695,440102,7,100,'If fighter',1,1),
(110696,440102,7,100,'Increases Mitigation of group members (AE) vs physical damage by 674',0,2),
(110697,440102,7,100,'If not fighter',1,3),
(110698,440102,7,100,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 728',0,4),
(110699,440102,9,100,'Increases Max Health of group members (AE) by 450.3',0,0),
(110700,440102,9,100,'If fighter',1,1),
(110701,440102,9,100,'Increases Mitigation of group members (AE) vs physical damage by 700',0,2),
(110702,440102,9,100,'If not fighter',1,3),
(110703,440102,9,100,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 756',0,4),
(110704,440103,1,100,'Increases Max Health of group members (AE) by 745.3',0,0),
(110705,440103,1,100,'If fighter',1,1),
(110706,440103,1,100,'Increases Mitigation of group members (AE) vs physical damage by 1028',0,2),
(110707,440103,1,100,'If not fighter',1,3),
(110708,440103,1,100,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 1110',0,4),
(110709,440103,4,100,'Increases Max Health of group members (AE) by 910.9',0,0),
(110710,440103,4,100,'If fighter',1,1),
(110711,440103,4,100,'Increases Mitigation of group members (AE) vs physical damage by 1256',0,2),
(110712,440103,4,100,'If not fighter',1,3),
(110713,440103,4,100,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 1357',0,4),
(110714,440103,5,100,'Increases Max Health of group members (AE) by 993.7',0,0),
(110715,440103,5,100,'If fighter',1,1),
(110716,440103,5,100,'Increases Mitigation of group members (AE) vs physical damage by 1371',0,2),
(110717,440103,5,100,'If not fighter',1,3),
(110718,440103,5,100,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 1480',0,4),
(110719,440103,7,100,'Increases Max Health of group members (AE) by 1,275.3',0,0),
(110720,440103,7,100,'If fighter',1,1),
(110721,440103,7,100,'Increases Mitigation of group members (AE) vs physical damage by 1759',0,2),
(110722,440103,7,100,'If not fighter',1,3),
(110723,440103,7,100,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 1900',0,4),
(110724,440103,9,100,'Increases Max Health of group members (AE) by 1,325.0',0,0),
(110725,440103,9,100,'If fighter',1,1),
(110726,440103,9,100,'Increases Mitigation of group members (AE) vs physical damage by 1828',0,2),
(110727,440103,9,100,'If not fighter',1,3),
(110728,440103,9,100,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 1974',0,4),
(110729,440103,10,100,'Increases Max Health of group members (AE) by 1,391.2',0,0),
(110730,440103,10,100,'If fighter',1,1),
(110731,440103,10,100,'Increases Mitigation of group members (AE) vs physical damage by 1919',0,2),
(110732,440103,10,100,'If not fighter',1,3),
(110733,440103,10,100,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 2072',0,4),
(110734,440104,1,100,'Increases Max Health of group members (AE) by 353.9',0,0),
(110735,440104,1,100,'If fighter',1,1),
(110736,440104,1,100,'Increases Mitigation of group members (AE) vs physical damage by 506',0,2),
(110737,440104,1,100,'If not fighter',1,3),
(110738,440104,1,100,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 547',0,4),
(110739,440104,4,100,'Increases Max Health of group members (AE) by 432.6',0,0),
(110740,440104,4,100,'If fighter',1,1),
(110741,440104,4,100,'Increases Mitigation of group members (AE) vs physical damage by 619',0,2),
(110742,440104,4,100,'If not fighter',1,3),
(110743,440104,4,100,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 668',0,4),
(110744,440104,5,100,'Increases Max Health of group members (AE) by 471.9',0,0),
(110745,440104,5,100,'If fighter',1,1),
(110746,440104,5,100,'Increases Mitigation of group members (AE) vs physical damage by 675',0,2),
(110747,440104,5,100,'If not fighter',1,3),
(110748,440104,5,100,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 729',0,4),
(110749,440104,7,100,'Increases Max Health of group members (AE) by 605.6',0,0),
(110750,440104,7,100,'If fighter',1,1),
(110751,440104,7,100,'Increases Mitigation of group members (AE) vs physical damage by 866',0,2),
(110752,440104,7,100,'If not fighter',1,3),
(110753,440104,7,100,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 936',0,4),
(110754,440104,9,100,'Increases Max Health of group members (AE) by 629.2',0,0),
(110755,440104,9,100,'If fighter',1,1),
(110756,440104,9,100,'Increases Mitigation of group members (AE) vs physical damage by 900',0,2),
(110757,440104,9,100,'If not fighter',1,3),
(110758,440104,9,100,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 972',0,4),
(110759,440104,10,100,'Increases Max Health of group members (AE) by 660.7',0,0),
(110760,440104,10,100,'If fighter',1,1),
(110761,440104,10,100,'Increases Mitigation of group members (AE) vs physical damage by 945',0,2),
(110762,440104,10,100,'If not fighter',1,3),
(110763,440104,10,100,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 1021',0,4),
(110764,440105,1,100,'Increases Max Health of group members (AE) by 445.2',0,0),
(110765,440105,1,100,'If fighter',1,1),
(110766,440105,1,100,'Increases Mitigation of group members (AE) vs physical damage by 619',0,2),
(110767,440105,1,100,'If not fighter',1,3),
(110768,440105,1,100,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 668',0,4),
(110769,440105,4,100,'Increases Max Health of group members (AE) by 544.1',0,0),
(110770,440105,4,100,'If fighter',1,1),
(110771,440105,4,100,'Increases Mitigation of group members (AE) vs physical damage by 756',0,2),
(110772,440105,4,100,'If not fighter',1,3),
(110773,440105,4,100,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 817',0,4),
(110774,440105,5,100,'Increases Max Health of group members (AE) by 593.6',0,0),
(110775,440105,5,100,'If fighter',1,1),
(110776,440105,5,100,'Increases Mitigation of group members (AE) vs physical damage by 825',0,2),
(110777,440105,5,100,'If not fighter',1,3),
(110778,440105,5,100,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 891',0,4),
(110779,440105,7,100,'Increases Max Health of group members (AE) by 761.8',0,0),
(110780,440105,7,100,'If fighter',1,1),
(110781,440105,7,100,'Increases Mitigation of group members (AE) vs physical damage by 1059',0,2),
(110782,440105,7,100,'If not fighter',1,3),
(110783,440105,7,100,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 1143',0,4),
(110784,440105,9,100,'Increases Max Health of group members (AE) by 791.4',0,0),
(110785,440105,9,100,'If fighter',1,1),
(110786,440105,9,100,'Increases Mitigation of group members (AE) vs physical damage by 1100',0,2),
(110787,440105,9,100,'If not fighter',1,3);
INSERT INTO `spell_display_effects` VALUES
(110788,440105,9,100,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 1188',0,4),
(110789,440106,1,100,'Increases Max Health of group members (AE) by 528.3',0,0),
(110790,440106,1,100,'If fighter',1,1),
(110791,440106,1,100,'Increases Mitigation of group members (AE) vs physical damage by 731',0,2),
(110792,440106,1,100,'If not fighter',1,3),
(110793,440106,1,100,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 790',0,4),
(110794,440106,4,100,'Increases Max Health of group members (AE) by 645.6',0,0),
(110795,440106,4,100,'If fighter',1,1),
(110796,440106,4,100,'Increases Mitigation of group members (AE) vs physical damage by 894',0,2),
(110797,440106,4,100,'If not fighter',1,3),
(110798,440106,4,100,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 965',0,4),
(110799,440106,5,100,'Increases Max Health of group members (AE) by 704.3',0,0),
(110800,440106,5,100,'If fighter',1,1),
(110801,440106,5,100,'Increases Mitigation of group members (AE) vs physical damage by 975',0,2),
(110802,440106,5,100,'If not fighter',1,3),
(110803,440106,5,100,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 1053',0,4),
(110804,440106,7,100,'Increases Max Health of group members (AE) by 903.9',0,0),
(110805,440106,7,100,'If fighter',1,1),
(110806,440106,7,100,'Increases Mitigation of group members (AE) vs physical damage by 1251',0,2),
(110807,440106,7,100,'If not fighter',1,3),
(110808,440106,7,100,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 1351',0,4),
(110809,440106,9,100,'Increases Max Health of group members (AE) by 939.1',0,0),
(110810,440106,9,100,'If fighter',1,1),
(110811,440106,9,100,'Increases Mitigation of group members (AE) vs physical damage by 1300',0,2),
(110812,440106,9,100,'If not fighter',1,3),
(110813,440106,9,100,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 1404',0,4),
(110814,440107,1,100,'Increases Max Health of group members (AE) by 628.3',0,0),
(110815,440107,1,100,'If fighter',1,1),
(110816,440107,1,100,'Increases Mitigation of group members (AE) vs physical damage by 886',0,2),
(110817,440107,1,100,'If not fighter',1,3),
(110818,440107,1,100,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 957',0,4),
(110819,440107,4,100,'Increases Max Health of group members (AE) by 767.9',0,0),
(110820,440107,4,100,'If fighter',1,1),
(110821,440107,4,100,'Increases Mitigation of group members (AE) vs physical damage by 1083',0,2),
(110822,440107,4,100,'If not fighter',1,3),
(110823,440107,4,100,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 1169',0,4),
(110824,440107,5,100,'Increases Max Health of group members (AE) by 837.7',0,0),
(110825,440107,5,100,'If fighter',1,1),
(110826,440107,5,100,'Increases Mitigation of group members (AE) vs physical damage by 1181',0,2),
(110827,440107,5,100,'If not fighter',1,3),
(110828,440107,5,100,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 1276',0,4),
(110829,440107,7,100,'Increases Max Health of group members (AE) by 1,075.1',0,0),
(110830,440107,7,100,'If fighter',1,1),
(110831,440107,7,100,'Increases Mitigation of group members (AE) vs physical damage by 1516',0,2),
(110832,440107,7,100,'If not fighter',1,3),
(110833,440107,7,100,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 1637',0,4),
(110834,440107,9,100,'Increases Max Health of group members (AE) by 1,117.0',0,0),
(110835,440107,9,100,'If fighter',1,1),
(110836,440107,9,100,'Increases Mitigation of group members (AE) vs physical damage by 1575',0,2),
(110837,440107,9,100,'If not fighter',1,3),
(110838,440107,9,100,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 1701',0,4),
(110839,440107,10,100,'Increases Max Health of group members (AE) by 1,172.8',0,0),
(110840,440107,10,100,'If fighter',1,1),
(110841,440107,10,100,'Increases Mitigation of group members (AE) vs physical damage by 1654',0,2),
(110842,440107,10,100,'If not fighter',1,3),
(110843,440107,10,100,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 1786',0,4),
(110844,440108,1,100,'Increases Max Health of group members (AE) by 10.8%',0,0),
(110845,440108,1,100,'If fighter',1,1),
(110846,440108,1,100,'Increases Mitigation of group members (AE) vs physical damage by 1176',0,2),
(110847,440108,1,100,'If not fighter',1,3),
(110848,440108,1,100,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 1270',0,4),
(110849,440108,4,100,'Increases Max Health of group members (AE) by 13.2%',0,0),
(110850,440108,4,100,'If fighter',1,1),
(110851,440108,4,100,'Increases Mitigation of group members (AE) vs physical damage by 1437',0,2),
(110852,440108,4,100,'If not fighter',1,3),
(110853,440108,4,100,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 1552',0,4),
(110854,440108,5,100,'Increases Max Health of group members (AE) by 14.4%',0,0),
(110855,440108,5,100,'If fighter',1,1),
(110856,440108,5,100,'Increases Mitigation of group members (AE) vs physical damage by 1568',0,2),
(110857,440108,5,100,'If not fighter',1,3),
(110858,440108,5,100,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 1693',0,4),
(110859,440108,7,100,'Increases Max Health of group members (AE) by 18.5%',0,0),
(110860,440108,7,100,'If fighter',1,1),
(110861,440108,7,100,'Increases Mitigation of group members (AE) vs physical damage by 2012',0,2),
(110862,440108,7,100,'If not fighter',1,3),
(110863,440108,7,100,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 2173',0,4),
(110864,440108,9,100,'Increases Max Health of group members (AE) by 19.2%',0,0),
(110865,440108,9,100,'If fighter',1,1),
(110866,440108,9,100,'Increases Mitigation of group members (AE) vs physical damage by 2090',0,2),
(110867,440108,9,100,'If not fighter',1,3),
(110868,440108,9,100,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 2257',0,4),
(110869,440108,10,100,'Increases Max Health of group members (AE) by 20.2%',0,0),
(110870,440108,10,100,'If fighter',1,1),
(110871,440108,10,100,'Increases Mitigation of group members (AE) vs physical damage by 2195',0,2),
(110872,440108,10,100,'If not fighter',1,3),
(110873,440108,10,100,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 2370',0,4),
(110874,130099,1,100,'Decreases Mitigation of target vs arcane damage by 168',0,0),
(110875,130099,1,100,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',0,1),
(110876,130099,1,100,'Heals target for 6 instantly and every 2 seconds',1,2),
(110877,130099,2,100,'Decreases Mitigation of target vs arcane damage by 178',0,0),
(110878,130099,2,100,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',0,1),
(110879,130099,2,100,'Heals target for 7 instantly and every 2 seconds',1,2),
(110880,130099,3,100,'Decreases Mitigation of target vs arcane damage by 187',0,0),
(110881,130099,3,100,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',0,1),
(110882,130099,3,100,'Heals target for 7 instantly and every 2 seconds',1,2),
(110883,130099,4,100,'Decreases Mitigation of target vs arcane damage by 206',0,0),
(110884,130099,4,100,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',0,1),
(110885,130099,4,100,'Heals target for 8 instantly and every 2 seconds',1,2),
(110886,130099,5,100,'Decreases Mitigation of target vs arcane damage by 225',0,0),
(110887,130099,5,100,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',0,1),
(110888,130099,5,100,'Heals target for 9 instantly and every 2 seconds',1,2),
(110889,130099,7,100,'Decreases Mitigation of target vs arcane damage by 288',0,0),
(110890,130099,7,100,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',0,1),
(110891,130099,7,100,'Heals target for 11 instantly and every 2 seconds',1,2),
(110892,130099,9,100,'Decreases Mitigation of target vs arcane damage by 300',0,0),
(110893,130099,9,100,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',0,1),
(110894,130099,9,100,'Heals target for 12 instantly and every 2 seconds',1,2),
(110895,130100,1,100,'Decreases Mitigation of target vs arcane damage by 288',0,0),
(110896,130100,1,100,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',0,1),
(110897,130100,1,100,'Heals target for 12 instantly and every 2 seconds',1,2),
(110898,130100,2,100,'Decreases Mitigation of target vs arcane damage by 304',0,0),
(110899,130100,2,100,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',0,1),
(110900,130100,2,100,'Heals target for 13 instantly and every 2 seconds',1,2),
(110901,130100,3,100,'Decreases Mitigation of target vs arcane damage by 320',0,0),
(110902,130100,3,100,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',0,1),
(110903,130100,3,100,'Heals target for 14 instantly and every 2 seconds',1,2),
(110904,130100,4,100,'Decreases Mitigation of target vs arcane damage by 352',0,0),
(110905,130100,4,100,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',0,1),
(110906,130100,4,100,'Heals target for 15 instantly and every 2 seconds',1,2),
(110907,130100,5,100,'Decreases Mitigation of target vs arcane damage by 384',0,0),
(110908,130100,5,100,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',0,1),
(110909,130100,5,100,'Heals target for 17 instantly and every 2 seconds',1,2),
(110910,130100,7,100,'Decreases Mitigation of target vs arcane damage by 493',0,0),
(110911,130100,7,100,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',0,1),
(110912,130100,7,100,'Heals target for 21 instantly and every 2 seconds',1,2),
(110913,130100,9,100,'Decreases Mitigation of target vs arcane damage by 512',0,0),
(110914,130100,9,100,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',0,1),
(110915,130100,9,100,'Heals target for 22 instantly and every 2 seconds',1,2),
(110916,130101,1,100,'Decreases Mitigation of target vs arcane damage by 414',0,0),
(110917,130101,1,100,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',0,1),
(110918,130101,1,100,'Heals target for 19 instantly and every 2 seconds',1,2),
(110919,130101,2,100,'Decreases Mitigation of target vs arcane damage by 437',0,0),
(110920,130101,2,100,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',0,1),
(110921,130101,2,100,'Heals target for 20 instantly and every 2 seconds',1,2),
(110922,130101,3,100,'Decreases Mitigation of target vs arcane damage by 460',0,0),
(110923,130101,3,100,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',0,1),
(110924,130101,3,100,'Heals target for 21 instantly and every 2 seconds',1,2),
(110925,130101,4,100,'Decreases Mitigation of target vs arcane damage by 506',0,0),
(110926,130101,4,100,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',0,1),
(110927,130101,4,100,'Heals target for 23 instantly and every 2 seconds',1,2),
(110928,130101,5,100,'Decreases Mitigation of target vs arcane damage by 552',0,0),
(110929,130101,5,100,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',0,1),
(110930,130101,5,100,'Heals target for 25 instantly and every 2 seconds',1,2),
(110931,130101,7,100,'Decreases Mitigation of target vs arcane damage by 708',0,0),
(110932,130101,7,100,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',0,1),
(110933,130101,7,100,'Heals target for 33 instantly and every 2 seconds',1,2),
(110934,130101,9,100,'Decreases Mitigation of target vs arcane damage by 736',0,0),
(110935,130101,9,100,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',0,1),
(110936,130101,9,100,'Heals target for 34 instantly and every 2 seconds',1,2),
(110937,130102,1,100,'Decreases Mitigation of target vs arcane damage by 540',0,0),
(110938,130102,1,100,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',0,1),
(110939,130102,1,100,'Heals target for 27 instantly and every 2 seconds',1,2),
(110940,130102,2,100,'Decreases Mitigation of target vs arcane damage by 570',0,0),
(110941,130102,2,100,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',0,1),
(110942,130102,2,100,'Heals target for 28 instantly and every 2 seconds',1,2),
(110943,130102,3,100,'Decreases Mitigation of target vs arcane damage by 600',0,0),
(110944,130102,3,100,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',0,1),
(110945,130102,3,100,'Heals target for 30 instantly and every 2 seconds',1,2),
(110946,130102,4,100,'Decreases Mitigation of target vs arcane damage by 660',0,0),
(110947,130102,4,100,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',0,1),
(110948,130102,4,100,'Heals target for 33 instantly and every 2 seconds',1,2),
(110949,130102,5,100,'Decreases Mitigation of target vs arcane damage by 720',0,0),
(110950,130102,5,100,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',0,1),
(110951,130102,5,100,'Heals target for 36 instantly and every 2 seconds',1,2),
(110952,130102,7,100,'Decreases Mitigation of target vs arcane damage by 924',0,0),
(110953,130102,7,100,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',0,1),
(110954,130102,7,100,'Heals target for 46 instantly and every 2 seconds',1,2),
(110955,130102,9,100,'Decreases Mitigation of target vs arcane damage by 960',0,0),
(110956,130102,9,100,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',0,1),
(110957,130102,9,100,'Heals target for 47 instantly and every 2 seconds',1,2),
(110958,130102,10,100,'Decreases Mitigation of target vs arcane damage by 1008',0,0),
(110959,130102,10,100,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',0,1),
(110960,130102,10,100,'Heals target for 50 instantly and every 2 seconds',1,2),
(110961,130103,1,100,'Decreases Mitigation of target vs arcane damage by 685',0,0),
(110962,130103,1,100,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',0,1),
(110963,130103,1,100,'Heals target for 35 instantly and every 2 seconds',1,2),
(110964,130103,2,100,'Decreases Mitigation of target vs arcane damage by 723',0,0),
(110965,130103,2,100,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',0,1),
(110966,130103,2,100,'Heals target for 37 instantly and every 2 seconds',1,2),
(110967,130103,3,100,'Decreases Mitigation of target vs arcane damage by 761',0,0),
(110968,130103,3,100,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',0,1),
(110969,130103,3,100,'Heals target for 39 instantly and every 2 seconds',1,2),
(110970,130103,4,100,'Decreases Mitigation of target vs arcane damage by 837',0,0),
(110971,130103,4,100,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',0,1),
(110972,130103,4,100,'Heals target for 43 instantly and every 2 seconds',1,2),
(110973,130103,5,100,'Decreases Mitigation of target vs arcane damage by 914',0,0),
(110974,130103,5,100,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',0,1),
(110975,130103,5,100,'Heals target for 47 instantly and every 2 seconds',1,2),
(110976,130103,7,100,'Decreases Mitigation of target vs arcane damage by 1172',0,0),
(110977,130103,7,100,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',0,1),
(110978,130103,7,100,'Heals target for 61 instantly and every 2 seconds',1,2),
(110979,130103,9,100,'Decreases Mitigation of target vs arcane damage by 1218',0,0),
(110980,130103,9,100,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',0,1),
(110981,130103,9,100,'Heals target for 63 instantly and every 2 seconds',1,2),
(110982,130103,10,100,'Decreases Mitigation of target vs arcane damage by 1279',0,0),
(110983,130103,10,100,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',0,1),
(110984,130103,10,100,'Heals target for 66 instantly and every 2 seconds',1,2),
(110985,130104,1,100,'Decreases Mitigation of target vs arcane damage by 886',0,0),
(110986,130104,1,100,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',0,1),
(110987,130104,1,100,'Heals target for 46 instantly and every 2 seconds',1,2),
(110988,130104,4,100,'Decreases Mitigation of target vs arcane damage by 1083',0,0),
(110989,130104,4,100,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',0,1),
(110990,130104,4,100,'Heals target for 56 instantly and every 2 seconds',1,2),
(110991,130104,5,100,'Decreases Mitigation of target vs arcane damage by 1181',0,0),
(110992,130104,5,100,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',0,1),
(110993,130104,5,100,'Heals target for 61 instantly and every 2 seconds',1,2),
(110994,130104,7,100,'Decreases Mitigation of target vs arcane damage by 1516',0,0),
(110995,130104,7,100,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',0,1),
(110996,130104,7,100,'Heals target for 78 instantly and every 2 seconds',1,2),
(110997,130104,9,100,'Decreases Mitigation of target vs arcane damage by 1575',0,0),
(110998,130104,9,100,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',0,1),
(110999,130104,9,100,'Heals target for 81 instantly and every 2 seconds',1,2),
(111000,130105,1,100,'Decreases Mitigation of target vs arcane damage by 1004',0,0),
(111001,130105,1,100,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',0,1),
(111002,130105,1,100,'Heals target for 52 instantly and every 2 seconds',1,2),
(111003,130105,4,100,'Decreases Mitigation of target vs arcane damage by 1228',0,0),
(111004,130105,4,100,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',0,1),
(111005,130105,4,100,'Heals target for 64 instantly and every 2 seconds',1,2),
(111006,130105,5,100,'Decreases Mitigation of target vs arcane damage by 1339',0,0),
(111007,130105,5,100,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',0,1),
(111008,130105,5,100,'Heals target for 70 instantly and every 2 seconds',1,2),
(111009,130105,7,100,'Decreases Mitigation of target vs arcane damage by 1719',0,0),
(111010,130105,7,100,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',0,1),
(111011,130105,7,100,'Heals target for 89 instantly and every 2 seconds',1,2),
(111012,130105,9,100,'Decreases Mitigation of target vs arcane damage by 1786',0,0),
(111013,130105,9,100,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',0,1),
(111014,130105,9,100,'Heals target for 93 instantly and every 2 seconds',1,2),
(111015,120009,1,100,'Decreases Mitigation of target vs arcane damage by 168',0,0),
(111016,120009,1,100,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',0,1),
(111017,120009,1,100,'Heals target for 6 instantly and every 2 seconds',1,2),
(111018,120009,2,100,'Decreases Mitigation of target vs arcane damage by 178',0,0),
(111019,120009,2,100,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',0,1),
(111020,120009,2,100,'Heals target for 7 instantly and every 2 seconds',1,2),
(111021,120009,3,100,'Decreases Mitigation of target vs arcane damage by 187',0,0),
(111022,120009,3,100,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',0,1),
(111023,120009,3,100,'Heals target for 7 instantly and every 2 seconds',1,2),
(111024,120009,4,100,'Decreases Mitigation of target vs arcane damage by 206',0,0),
(111025,120009,4,100,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',0,1),
(111026,120009,4,100,'Heals target for 8 instantly and every 2 seconds',1,2),
(111027,120009,5,100,'Decreases Mitigation of target vs arcane damage by 225',0,0),
(111028,120009,5,100,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',0,1),
(111029,120009,5,100,'Heals target for 9 instantly and every 2 seconds',1,2),
(111030,120009,7,100,'Decreases Mitigation of target vs arcane damage by 288',0,0),
(111031,120009,7,100,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',0,1),
(111032,120009,7,100,'Heals target for 11 instantly and every 2 seconds',1,2),
(111033,120009,9,100,'Decreases Mitigation of target vs arcane damage by 300',0,0),
(111034,120009,9,100,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',0,1),
(111035,120009,9,100,'Heals target for 12 instantly and every 2 seconds',1,2),
(111036,2000532,1,100,'When damaged in combat this spell has a 25% chance to cast Heightened Aggression on target''s attacker.  ',0,0),
(111037,2000532,1,100,'Increases Threat to target encounter by 46 ',1,1),
(111038,100189,12,100,'When the paladin takes damage, they will heal themselves for 10% of the damage amount.',0,0),
(111039,100189,12,100,'Reduces physical damage done to caster by 10%',0,1),
(111040,100189,12,100,'On a combat hit this spell may cast Marr''s Fury on target of attack.  Triggers about 3.0 times per minute. ',0,2),
(111041,100189,12,100,'Inflicts 811 - 991 divine damage on target',1,3),
(111042,100189,12,100,'On a spell cast this spell has a 15% chance to cast Marr''s Favor on caster.  Lasts for 15.0 seconds.  ',0,4),
(111043,100189,12,100,'Increases the damage of spells by up to 25% of your total strength',1,5),
(111044,100189,12,100,'Cannot be modified except by direct means',0,6),
(111045,2000533,1,100,'Improves the casting speed of hostile spells by 15%.',0,0),
(111046,2000533,1,100,'Improves the base and critical damage of hostile spells by 10%',0,1),
(111047,2000533,1,100,'Reduces heal amounts by 10%',0,2),
(111048,170108,1,100,'Increases STA of group members (AE) by 3.0',0,0),
(111049,170108,1,100,'Increases Mitigation of group members (AE) vs elemental damage by 194',0,1),
(111050,170108,2,100,'Increases STA of group members (AE) by 3.2',0,0),
(111051,170108,2,100,'Increases Mitigation of group members (AE) vs elemental damage by 205',0,1),
(111052,170108,3,100,'Increases STA of group members (AE) by 3.4',0,0),
(111053,170108,3,100,'Increases Mitigation of group members (AE) vs elemental damage by 216',0,1),
(111054,170108,4,100,'Increases STA of group members (AE) by 3.7',0,0),
(111055,170108,4,100,'Increases Mitigation of group members (AE) vs elemental damage by 238',0,1),
(111056,170108,5,100,'Increases STA of group members (AE) by 4.1',0,0),
(111057,170108,5,100,'Increases Mitigation of group members (AE) vs elemental damage by 259',0,1),
(111058,170108,7,100,'Increases STA of group members (AE) by 5.2',0,0),
(111059,170108,7,100,'Increases Mitigation of group members (AE) vs elemental damage by 333',0,1),
(111060,170108,9,100,'Increases STA of group members (AE) by 5.4',0,0),
(111061,170108,9,100,'Increases Mitigation of group members (AE) vs elemental damage by 346',0,1),
(111062,170109,1,100,'Increases STA of group members (AE) by 7.8',0,0),
(111063,170109,1,100,'Increases Mitigation of group members (AE) vs elemental damage by 338',0,1),
(111064,170109,2,100,'Increases STA of group members (AE) by 8.2',0,0),
(111065,170109,2,100,'Increases Mitigation of group members (AE) vs elemental damage by 356',0,1),
(111066,170109,3,100,'Increases STA of group members (AE) by 8.7',0,0),
(111067,170109,3,100,'Increases Mitigation of group members (AE) vs elemental damage by 375',0,1),
(111068,170109,4,100,'Increases STA of group members (AE) by 9.5',0,0),
(111069,170109,4,100,'Increases Mitigation of group members (AE) vs elemental damage by 413',0,1),
(111070,170109,5,100,'Increases STA of group members (AE) by 10.4',0,0),
(111071,170109,5,100,'Increases Mitigation of group members (AE) vs elemental damage by 450',0,1),
(111072,170109,7,100,'Increases STA of group members (AE) by 13.3',0,0),
(111073,170109,7,100,'Increases Mitigation of group members (AE) vs elemental damage by 578',0,1),
(111074,170109,9,100,'Increases STA of group members (AE) by 13.8',0,0),
(111075,170109,9,100,'Increases Mitigation of group members (AE) vs elemental damage by 600',0,1),
(111076,170110,1,100,'Increases STA of group members (AE) by 13.2',0,0),
(111077,170110,1,100,'Increases Mitigation of group members (AE) vs elemental damage by 495',0,1),
(111078,170110,2,100,'Increases STA of group members (AE) by 14.0',0,0),
(111079,170110,2,100,'Increases Mitigation of group members (AE) vs elemental damage by 523',0,1),
(111080,170110,3,100,'Increases STA of group members (AE) by 14.7',0,0),
(111081,170110,3,100,'Increases Mitigation of group members (AE) vs elemental damage by 550',0,1),
(111082,170110,4,100,'Increases STA of group members (AE) by 16.2',0,0),
(111083,170110,4,100,'Increases Mitigation of group members (AE) vs elemental damage by 605',0,1),
(111084,170110,5,100,'Increases STA of group members (AE) by 17.6',0,0),
(111085,170110,5,100,'Increases Mitigation of group members (AE) vs elemental damage by 660',0,1),
(111086,170110,7,100,'Increases STA of group members (AE) by 22.6',0,0),
(111087,170110,7,100,'Increases Mitigation of group members (AE) vs elemental damage by 847',0,1),
(111088,170110,9,100,'Increases STA of group members (AE) by 23.5',0,0),
(111089,170110,9,100,'Increases Mitigation of group members (AE) vs elemental damage by 880',0,1),
(111090,170111,1,100,'Increases STA of group members (AE) by 18.1',0,0),
(111091,170111,1,100,'Increases Mitigation of group members (AE) vs elemental damage by 653',0,1),
(111092,170111,2,100,'Increases STA of group members (AE) by 19.1',0,0),
(111093,170111,2,100,'Increases Mitigation of group members (AE) vs elemental damage by 689',0,1),
(111094,170111,3,100,'Increases STA of group members (AE) by 20.1',0,0),
(111095,170111,3,100,'Increases Mitigation of group members (AE) vs elemental damage by 725',0,1),
(111096,170111,4,100,'Increases STA of group members (AE) by 22.1',0,0),
(111097,170111,4,100,'Increases Mitigation of group members (AE) vs elemental damage by 798',0,1),
(111098,170111,5,100,'Increases STA of group members (AE) by 24.1',0,0),
(111099,170111,5,100,'Increases Mitigation of group members (AE) vs elemental damage by 870',0,1),
(111100,170111,7,100,'Increases STA of group members (AE) by 30.9',0,0),
(111101,170111,7,100,'Increases Mitigation of group members (AE) vs elemental damage by 1117',0,1),
(111102,170111,9,100,'Increases STA of group members (AE) by 32.1',0,0),
(111103,170111,9,100,'Increases Mitigation of group members (AE) vs elemental damage by 1160',0,1),
(111104,170112,1,100,'Increases STA of group members (AE) by 22.8',0,0),
(111105,170112,1,100,'Increases Mitigation of group members (AE) vs elemental damage by 851',0,1),
(111106,170112,2,100,'Increases STA of group members (AE) by 24.1',0,0),
(111107,170112,2,100,'Increases Mitigation of group members (AE) vs elemental damage by 898',0,1),
(111108,170112,3,100,'Increases STA of group members (AE) by 25.4',0,0),
(111109,170112,3,100,'Increases Mitigation of group members (AE) vs elemental damage by 945',0,1),
(111110,170112,4,100,'Increases STA of group members (AE) by 27.9',0,0),
(111111,170112,4,100,'Increases Mitigation of group members (AE) vs elemental damage by 1040',0,1),
(111112,170112,5,100,'Increases STA of group members (AE) by 30.4',0,0),
(111113,170112,5,100,'Increases Mitigation of group members (AE) vs elemental damage by 1134',0,1),
(111114,170112,7,100,'Increases STA of group members (AE) by 39.0',0,0),
(111115,170112,7,100,'Increases Mitigation of group members (AE) vs elemental damage by 1455',0,1),
(111116,170112,9,100,'Increases STA of group members (AE) by 40.6',0,0),
(111117,170112,9,100,'Increases Mitigation of group members (AE) vs elemental damage by 1512',0,1),
(111118,170112,10,100,'Increases STA of group members (AE) by 42.6',0,0),
(111119,170112,10,100,'Increases Mitigation of group members (AE) vs elemental damage by 1588',0,1),
(111120,170113,1,100,'Increases STA of group members (AE) by 27.3',0,0),
(111121,170113,1,100,'Increases Mitigation of group members (AE) vs elemental damage by 978',0,1),
(111122,170113,4,100,'Increases STA of group members (AE) by 33.4',0,0),
(111123,170113,4,100,'Increases Mitigation of group members (AE) vs elemental damage by 1195',0,1),
(111124,170113,5,100,'Increases STA of group members (AE) by 36.4',0,0),
(111125,170113,5,100,'Increases Mitigation of group members (AE) vs elemental damage by 1304',0,1),
(111126,170113,7,100,'Increases STA of group members (AE) by 46.7',0,0),
(111127,170113,7,100,'Increases Mitigation of group members (AE) vs elemental damage by 1673',0,1),
(111128,170113,9,100,'Increases STA of group members (AE) by 48.6',0,0),
(111129,170113,9,100,'Increases Mitigation of group members (AE) vs elemental damage by 1738',0,1),
(111130,170114,1,100,'Increases STA of group members (AE) by 31.8',0,0),
(111131,170114,1,100,'Increases Mitigation of group members (AE) vs elemental damage by 1139',0,1),
(111132,170114,4,100,'Increases STA of group members (AE) by 38.9',0,0),
(111133,170114,4,100,'Increases Mitigation of group members (AE) vs elemental damage by 1392',0,1),
(111134,170114,5,100,'Increases STA of group members (AE) by 42.4',0,0),
(111135,170114,5,100,'Increases Mitigation of group members (AE) vs elemental damage by 1518',0,1),
(111136,170114,7,100,'Increases STA of group members (AE) by 54.4',0,0),
(111137,170114,7,100,'Increases Mitigation of group members (AE) vs elemental damage by 1948',0,1),
(111138,170114,9,100,'Increases STA of group members (AE) by 56.6',0,0),
(111139,170114,9,100,'Increases Mitigation of group members (AE) vs elemental damage by 2024',0,1),
(111140,290150,1,100,'On death this spell will cast Protect Servant on target.  ',0,0),
(111141,290150,1,100,'Dispels 48 levels of any hostile effects on target',1,1),
(111142,290150,1,100,'Heals target for 504',1,2),
(111143,290150,1,100,'Grants a total of 1 trigger of the spell.',1,3),
(111144,290150,2,100,'On death this spell will cast Protect Servant on target.  ',0,0),
(111145,290150,2,100,'Dispels 51 levels of any hostile effects on target',1,1),
(111146,290150,2,100,'Heals target for 532',1,2),
(111147,290150,2,100,'Grants a total of 1 trigger of the spell.',1,3),
(111148,290150,3,100,'On death this spell will cast Protect Servant on target.  ',0,0),
(111149,290150,3,100,'Dispels 54 levels of any hostile effects on target',1,1),
(111150,290150,3,100,'Heals target for 560',1,2),
(111151,290150,3,100,'Grants a total of 1 trigger of the spell.',1,3),
(111152,290150,4,100,'On death this spell will cast Protect Servant on target.  ',0,0),
(111153,290150,4,100,'Dispels 59 levels of any hostile effects on target',1,1),
(111154,290150,4,100,'Heals target for 616',1,2),
(111155,290150,4,100,'Grants a total of 1 trigger of the spell.',1,3),
(111156,290150,5,100,'On death this spell will cast Protect Servant on target.  ',0,0),
(111157,290150,5,100,'Dispels 65 levels of any hostile effects on target',1,1),
(111158,290150,5,100,'Heals target for 672',1,2),
(111159,290150,5,100,'Grants a total of 1 trigger of the spell.',1,3),
(111160,290150,7,100,'On death this spell will cast Protect Servant on target.  ',0,0),
(111161,290150,7,100,'Dispels 83 levels of any hostile effects on target',1,1),
(111162,290150,7,100,'Heals target for 862',1,2),
(111163,290150,7,100,'Grants a total of 1 trigger of the spell.',1,3),
(111164,290150,9,100,'On death this spell will cast Protect Servant on target.  ',0,0),
(111165,290150,9,100,'Dispels 86 levels of any hostile effects on target',1,1),
(111166,290150,9,100,'Heals target for 896',1,2),
(111167,290150,9,100,'Grants a total of 1 trigger of the spell.',1,3),
(111168,290151,1,100,'On death this spell will cast Protect Servant on target.  ',0,0),
(111169,290151,1,100,'Dispels 62 levels of any hostile effects on target',1,1),
(111170,290151,1,100,'Heals target for 693',1,2),
(111171,290151,1,100,'Grants a total of 1 trigger of the spell.',1,3),
(111172,290151,2,100,'On death this spell will cast Protect Servant on target.  ',0,0),
(111173,290151,2,100,'Dispels 66 levels of any hostile effects on target',1,1),
(111174,290151,2,100,'Heals target for 732',1,2),
(111175,290151,2,100,'Grants a total of 1 trigger of the spell.',1,3),
(111176,290151,3,100,'On death this spell will cast Protect Servant on target.  ',0,0),
(111177,290151,3,100,'Dispels 69 levels of any hostile effects on target',1,1),
(111178,290151,3,100,'Heals target for 770',1,2),
(111179,290151,3,100,'Grants a total of 1 trigger of the spell.',1,3),
(111180,290151,4,100,'On death this spell will cast Protect Servant on target.  ',0,0),
(111181,290151,4,100,'Dispels 76 levels of any hostile effects on target',1,1),
(111182,290151,4,100,'Heals target for 847',1,2),
(111183,290151,4,100,'Grants a total of 1 trigger of the spell.',1,3),
(111184,290151,5,100,'On death this spell will cast Protect Servant on target.  ',0,0),
(111185,290151,5,100,'Dispels 83 levels of any hostile effects on target',1,1),
(111186,290151,5,100,'Heals target for 924',1,2),
(111187,290151,5,100,'Grants a total of 1 trigger of the spell.',1,3),
(111188,290151,7,100,'On death this spell will cast Protect Servant on target.  ',0,0),
(111189,290151,7,100,'Dispels 106 levels of any hostile effects on target',1,1),
(111190,290151,7,100,'Heals target for 1186',1,2),
(111191,290151,7,100,'Grants a total of 1 trigger of the spell.',1,3),
(111192,290151,9,100,'On death this spell will cast Protect Servant on target.  ',0,0),
(111193,290151,9,100,'Dispels 110 levels of any hostile effects on target',1,1),
(111194,290151,9,100,'Heals target for 1232',1,2),
(111195,290151,9,100,'Grants a total of 1 trigger of the spell.',1,3),
(111196,290152,1,100,'On death this spell will cast Protect Servant on target.  ',0,0),
(111197,290152,1,100,'Dispels 74 levels of any hostile effects on target',1,1),
(111198,290152,1,100,'Heals target for 913',1,2),
(111199,290152,1,100,'Grants a total of 1 trigger of the spell.',1,3),
(111200,290152,2,100,'On death this spell will cast Protect Servant on target.  ',0,0),
(111201,290152,2,100,'Dispels 78 levels of any hostile effects on target',1,1),
(111202,290152,2,100,'Heals target for 963',1,2),
(111203,290152,2,100,'Grants a total of 1 trigger of the spell.',1,3),
(111204,290152,3,100,'On death this spell will cast Protect Servant on target.  ',0,0),
(111205,290152,3,100,'Dispels 82 levels of any hostile effects on target',1,1),
(111206,290152,3,100,'Heals target for 1014',1,2),
(111207,290152,3,100,'Grants a total of 1 trigger of the spell.',1,3),
(111208,290152,4,100,'On death this spell will cast Protect Servant on target.  ',0,0),
(111209,290152,4,100,'Dispels 90 levels of any hostile effects on target',1,1),
(111210,290152,4,100,'Heals target for 1115',1,2),
(111211,290152,4,100,'Grants a total of 1 trigger of the spell.',1,3),
(111212,290152,5,100,'On death this spell will cast Protect Servant on target.  ',0,0),
(111213,290152,5,100,'Dispels 98 levels of any hostile effects on target',1,1),
(111214,290152,5,100,'Heals target for 1217',1,2),
(111215,290152,5,100,'Grants a total of 1 trigger of the spell.',1,3),
(111216,290152,7,100,'On death this spell will cast Protect Servant on target.  ',0,0),
(111217,290152,7,100,'Dispels 126 levels of any hostile effects on target',1,1),
(111218,290152,7,100,'Heals target for 1562',1,2),
(111219,290152,7,100,'Grants a total of 1 trigger of the spell.',1,3),
(111220,290152,9,100,'On death this spell will cast Protect Servant on target.  ',0,0),
(111221,290152,9,100,'Dispels 131 levels of any hostile effects on target',1,1),
(111222,290152,9,100,'Heals target for 1622',1,2),
(111223,290152,9,100,'Grants a total of 1 trigger of the spell.',1,3),
(111224,290153,1,100,'On death this spell will cast Protect Servant on target.  ',0,0),
(111225,290153,1,100,'Dispels 83 levels of any hostile effects on target',1,1),
(111226,290153,1,100,'Heals target for 1163',1,2),
(111227,290153,1,100,'Grants a total of 1 trigger of the spell.',1,3),
(111228,290153,4,100,'On death this spell will cast Protect Servant on target.  ',0,0),
(111229,290153,4,100,'Dispels 102 levels of any hostile effects on target',1,1),
(111230,290153,4,100,'Heals target for 1421',1,2),
(111231,290153,4,100,'Grants a total of 1 trigger of the spell.',1,3),
(111232,290153,5,100,'On death this spell will cast Protect Servant on target.  ',0,0),
(111233,290153,5,100,'Dispels 111 levels of any hostile effects on target',1,1),
(111234,290153,5,100,'Heals target for 1550',1,2),
(111235,290153,5,100,'Grants a total of 1 trigger of the spell.',1,3),
(111236,290153,7,100,'On death this spell will cast Protect Servant on target.  ',0,0),
(111237,290153,7,100,'Dispels 143 levels of any hostile effects on target',1,1),
(111238,290153,7,100,'Heals target for 1990',1,2),
(111239,290153,7,100,'Grants a total of 1 trigger of the spell.',1,3),
(111240,290153,9,100,'On death this spell will cast Protect Servant on target.  ',0,0),
(111241,290153,9,100,'Dispels 148 levels of any hostile effects on target',1,1),
(111242,290153,9,100,'Heals target for 2067',1,2),
(111243,290153,9,100,'Grants a total of 1 trigger of the spell.',1,3),
(111244,290154,1,100,'On death this spell will cast Protect Servant on target.  ',0,0),
(111245,290154,1,100,'Dispels 93 levels of any hostile effects on target',1,1),
(111246,290154,1,100,'Heals target for 1312',1,2),
(111247,290154,1,100,'Grants a total of 1 trigger of the spell.',1,3),
(111248,290154,4,100,'On death this spell will cast Protect Servant on target.  ',0,0),
(111249,290154,4,100,'Dispels 114 levels of any hostile effects on target',1,1),
(111250,290154,4,100,'Heals target for 1604',1,2),
(111251,290154,4,100,'Grants a total of 1 trigger of the spell.',1,3),
(111252,290154,5,100,'On death this spell will cast Protect Servant on target.  ',0,0),
(111253,290154,5,100,'Dispels 124 levels of any hostile effects on target',1,1),
(111254,290154,5,100,'Heals target for 1750',1,2),
(111255,290154,5,100,'Grants a total of 1 trigger of the spell.',1,3),
(111256,290154,7,100,'On death this spell will cast Protect Servant on target.  ',0,0),
(111257,290154,7,100,'Dispels 159 levels of any hostile effects on target',1,1),
(111258,290154,7,100,'Heals target for 2245',1,2),
(111259,290154,7,100,'Grants a total of 1 trigger of the spell.',1,3),
(111260,290154,9,100,'On death this spell will cast Protect Servant on target.  ',0,0),
(111261,290154,9,100,'Dispels 166 levels of any hostile effects on target',1,1),
(111262,290154,9,100,'Heals target for 2333',1,2),
(111263,290154,9,100,'Grants a total of 1 trigger of the spell.',1,3),
(111264,110010,9,100,'Inflicts 58 - 71 divine damage on target',0,0),
(111265,110010,9,100,'Decreases Haste of target by 10.5',0,1),
(111266,110010,9,100,'Decreases Slashing of target by 2.0',0,2),
(111267,110010,9,100,'Decreases Piercing of target by 2.0',0,3),
(111268,110010,9,100,'Decreases Crushing of target by 2.0',0,4),
(111269,110010,9,100,'If any of the following are true:',0,5),
(111270,210012,9,100,'Inflicts 78 - 95 magic damage on target',0,0),
(111271,210012,9,100,'If any of the following are true:',0,1),
(111272,210012,9,100,'If one of the following races:',1,2),
(111273,210012,9,100,'[None]',2,3),
(111274,2000534,1,100,'Inflicts 1 - 2 melee damage on target',0,0),
(111275,2000534,1,100,'Inflicts 1 slashing damage on target every 4 seconds',0,1),
(111276,2000535,1,100,'Inflicts 7 slashing damage on target instantly and every 8 seconds',0,0),
(111278,2000536,1,100,'Increases the amount of damage transferred by Construct''s Interception to 50% and the amount of damage transferred by Overloaded Interception to 25%.',0,0),
(111279,2000536,1,100,'If over 25% Health',0,1),
(111280,2000536,2,100,'Increases the amount of damage transferred by Construct''s Interception to 100% and the amount of damage transferred by Overloaded Interception to 50%.',0,0),
(111281,2000536,2,100,'If over 25% Health',0,1),
(111282,2000537,12,100,'Cannot be modified except by direct means',0,0),
(111283,2000537,12,100,'Grants a large portion of Lethality that degenerates over time',0,1),
(111284,2000537,12,100,'Cannot be modified except by direct means',0,2),
(111285,2000538,12,100,'Inflicts 5.0% of max health in heat damage on target instantly and every 3 seconds',0,0),
(111286,2000538,12,100,'Inflicts an additional 1.0% of max health in heat damage on target every tick',0,1),
(111287,2000538,12,100,'Cannot be modified except by direct means',0,2),
(111288,270086,1,100,'Inflicts 9 - 11 mental damage on target',0,0),
(111289,270086,1,100,'Stuns target',0,1),
(111290,270086,1,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(111291,270086,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(111292,270086,2,100,'Inflicts 9 - 11 mental damage on target',0,0),
(111293,270086,2,100,'Stuns target',0,1),
(111294,270086,2,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(111295,270086,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(111296,270086,3,100,'Inflicts 10 - 12 mental damage on target',0,0),
(111297,270086,3,100,'Stuns target',0,1),
(111298,270086,3,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(111299,270086,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(111300,270086,4,100,'Inflicts 11 - 13 mental damage on target',0,0),
(111301,270086,4,100,'Stuns target',0,1),
(111302,270086,4,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(111303,270086,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(111304,270086,5,100,'Inflicts 12 - 14 mental damage on target',0,0),
(111305,270086,5,100,'Stuns target',0,1),
(111306,270086,5,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(111307,270086,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(111308,270086,7,100,'Inflicts 15 - 18 mental damage on target',0,0),
(111309,270086,7,100,'Stuns target',0,1),
(111310,270086,7,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(111311,270086,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(111312,270086,9,100,'Inflicts 15 - 19 mental damage on target',0,0),
(111313,270086,9,100,'Stuns target',0,1),
(111314,270086,9,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(111315,270086,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(111316,270087,1,100,'Inflicts 49 - 60 mental damage on target',0,0),
(111317,270087,1,100,'Stuns target',0,1),
(111318,270087,1,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(111319,270087,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(111320,270087,2,100,'Inflicts 52 - 63 mental damage on target',0,0),
(111321,270087,2,100,'Stuns target',0,1),
(111322,270087,2,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(111323,270087,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(111324,270087,3,100,'Inflicts 54 - 66 mental damage on target',0,0),
(111325,270087,3,100,'Stuns target',0,1),
(111326,270087,3,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(111327,270087,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(111328,270087,4,100,'Inflicts 60 - 73 mental damage on target',0,0),
(111329,270087,4,100,'Stuns target',0,1),
(111330,270087,4,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(111331,270087,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(111332,270087,5,100,'Inflicts 65 - 80 mental damage on target',0,0),
(111333,270087,5,100,'Stuns target',0,1),
(111334,270087,5,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(111335,270087,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(111336,270087,7,100,'Inflicts 84 - 102 mental damage on target',0,0),
(111337,270087,7,100,'Stuns target',0,1),
(111338,270087,7,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(111339,270087,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(111340,270087,9,100,'Inflicts 87 - 106 mental damage on target',0,0),
(111341,270087,9,100,'Stuns target',0,1),
(111342,270087,9,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(111343,270087,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(111344,270088,1,100,'Inflicts 105 - 128 mental damage on target',0,0),
(111345,270088,1,100,'Stuns target',0,1),
(111346,270088,1,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(111347,270088,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(111348,270088,2,100,'Inflicts 111 - 136 mental damage on target',0,0),
(111349,270088,2,100,'Stuns target',0,1),
(111350,270088,2,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(111351,270088,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(111352,270088,3,100,'Inflicts 117 - 143 mental damage on target',0,0),
(111353,270088,3,100,'Stuns target',0,1),
(111354,270088,3,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(111355,270088,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(111356,270088,4,100,'Inflicts 128 - 157 mental damage on target',0,0),
(111357,270088,4,100,'Stuns target',0,1),
(111358,270088,4,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(111359,270088,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(111360,270088,5,100,'Inflicts 140 - 171 mental damage on target',0,0),
(111361,270088,5,100,'Stuns target',0,1),
(111362,270088,5,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(111363,270088,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(111364,270088,7,100,'Inflicts 180 - 220 mental damage on target',0,0),
(111365,270088,7,100,'Stuns target',0,1),
(111366,270088,7,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(111367,270088,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(111368,270088,9,100,'Inflicts 187 - 228 mental damage on target',0,0),
(111369,270088,9,100,'Stuns target',0,1),
(111370,270088,9,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(111371,270088,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(111372,270089,1,100,'Inflicts 168 - 205 mental damage on target',0,0),
(111373,270089,1,100,'Stuns target',0,1),
(111374,270089,1,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(111375,270089,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(111376,270089,2,100,'Inflicts 177 - 216 mental damage on target',0,0),
(111377,270089,2,100,'Stuns target',0,1),
(111378,270089,2,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(111379,270089,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(111380,270089,3,100,'Inflicts 186 - 227 mental damage on target',0,0),
(111381,270089,3,100,'Stuns target',0,1),
(111382,270089,3,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(111383,270089,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(111384,270089,4,100,'Inflicts 205 - 250 mental damage on target',0,0),
(111385,270089,4,100,'Stuns target',0,1),
(111386,270089,4,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(111387,270089,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(111388,270089,5,100,'Inflicts 223 - 273 mental damage on target',0,0),
(111389,270089,5,100,'Stuns target',0,1),
(111390,270089,5,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(111391,270089,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(111392,270089,7,100,'Inflicts 287 - 350 mental damage on target',0,0),
(111393,270089,7,100,'Stuns target',0,1),
(111394,270089,7,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(111395,270089,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(111396,270089,9,100,'Inflicts 298 - 364 mental damage on target',0,0),
(111397,270089,9,100,'Stuns target',0,1),
(111398,270089,9,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(111399,270089,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(111400,270090,1,100,'Inflicts 502 - 614 mental damage on target',0,0),
(111401,270090,1,100,'Stuns target',0,1),
(111402,270090,1,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(111403,270090,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(111404,270090,4,100,'Inflicts 614 - 750 mental damage on target',0,0),
(111405,270090,4,100,'Stuns target',0,1),
(111406,270090,4,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(111407,270090,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(111408,270090,5,100,'Inflicts 670 - 818 mental damage on target',0,0),
(111409,270090,5,100,'Stuns target',0,1),
(111410,270090,5,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(111411,270090,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(111412,270090,7,100,'Inflicts 859 - 1050 mental damage on target',0,0),
(111413,270090,7,100,'Stuns target',0,1),
(111414,270090,7,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(111415,270090,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(111416,270090,9,100,'Inflicts 893 - 1091 mental damage on target',0,0),
(111417,270090,9,100,'Stuns target',0,1),
(111418,270090,9,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(111419,270090,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(111420,270091,1,100,'Inflicts 244 - 298 mental damage on target',0,0),
(111421,270091,1,100,'Stuns target',0,1),
(111422,270091,1,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(111423,270091,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(111424,270091,2,100,'Inflicts 258 - 315 mental damage on target',0,0),
(111425,270091,2,100,'Stuns target',0,1),
(111426,270091,2,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(111427,270091,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(111428,270091,3,100,'Inflicts 271 - 332 mental damage on target',0,0),
(111429,270091,3,100,'Stuns target',0,1),
(111430,270091,3,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(111431,270091,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(111432,270091,4,100,'Inflicts 298 - 365 mental damage on target',0,0),
(111433,270091,4,100,'Stuns target',0,1),
(111434,270091,4,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(111435,270091,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(111436,270091,5,100,'Inflicts 326 - 398 mental damage on target',0,0),
(111437,270091,5,100,'Stuns target',0,1),
(111438,270091,5,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(111439,270091,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(111440,270091,7,100,'Inflicts 418 - 511 mental damage on target',0,0),
(111441,270091,7,100,'Stuns target',0,1),
(111442,270091,7,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(111443,270091,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(111444,270091,9,100,'Inflicts 434 - 531 mental damage on target',0,0),
(111445,270091,9,100,'Stuns target',0,1),
(111446,270091,9,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(111447,270091,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(111448,270092,1,100,'Inflicts 321 - 392 mental damage on target',0,0),
(111449,270092,1,100,'Stuns target',0,1),
(111450,270092,1,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(111451,270092,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(111452,270092,2,100,'Inflicts 339 - 414 mental damage on target',0,0),
(111453,270092,2,100,'Stuns target',0,1),
(111454,270092,2,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(111455,270092,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(111456,270092,3,100,'Inflicts 356 - 436 mental damage on target',0,0),
(111457,270092,3,100,'Stuns target',0,1),
(111458,270092,3,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(111459,270092,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(111460,270092,4,100,'Inflicts 392 - 479 mental damage on target',0,0),
(111461,270092,4,100,'Stuns target',0,1),
(111462,270092,4,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(111463,270092,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(111464,270092,5,100,'Inflicts 428 - 523 mental damage on target',0,0),
(111465,270092,5,100,'Stuns target',0,1),
(111466,270092,5,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(111467,270092,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(111468,270092,7,100,'Inflicts 549 - 671 mental damage on target',0,0),
(111469,270092,7,100,'Stuns target',0,1),
(111470,270092,7,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(111471,270092,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(111472,270092,9,100,'Inflicts 570 - 697 mental damage on target',0,0),
(111473,270092,9,100,'Stuns target',0,1),
(111474,270092,9,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(111475,270092,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(111476,270093,1,100,'Inflicts 389 - 475 mental damage on target',0,0),
(111477,270093,1,100,'Stuns target',0,1),
(111478,270093,1,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(111479,270093,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(111480,270093,2,100,'Inflicts 410 - 502 mental damage on target',0,0),
(111481,270093,2,100,'Stuns target',0,1),
(111482,270093,2,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(111483,270093,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(111484,270093,3,100,'Inflicts 432 - 528 mental damage on target',0,0),
(111485,270093,3,100,'Stuns target',0,1),
(111486,270093,3,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(111487,270093,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(111488,270093,4,100,'Inflicts 475 - 581 mental damage on target',0,0),
(111489,270093,4,100,'Stuns target',0,1),
(111490,270093,4,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(111491,270093,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(111492,270093,5,100,'Inflicts 518 - 634 mental damage on target',0,0),
(111493,270093,5,100,'Stuns target',0,1),
(111494,270093,5,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(111495,270093,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(111496,270093,7,100,'Inflicts 665 - 813 mental damage on target',0,0),
(111497,270093,7,100,'Stuns target',0,1),
(111498,270093,7,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(111499,270093,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(111500,270093,9,100,'Inflicts 691 - 845 mental damage on target',0,0),
(111501,270093,9,100,'Stuns target',0,1),
(111502,270093,9,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(111503,270093,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(111504,270094,1,100,'Inflicts 468 - 572 mental damage on target',0,0),
(111505,270094,1,100,'Stuns target',0,1),
(111506,270094,1,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(111507,270094,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(111508,270094,4,100,'Inflicts 572 - 699 mental damage on target',0,0),
(111509,270094,4,100,'Stuns target',0,1),
(111510,270094,4,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(111511,270094,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(111512,270094,5,100,'Inflicts 624 - 763 mental damage on target',0,0),
(111513,270094,5,100,'Stuns target',0,1),
(111514,270094,5,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(111515,270094,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(111516,270094,7,100,'Inflicts 801 - 979 mental damage on target',0,0),
(111517,270094,7,100,'Stuns target',0,1),
(111518,270094,7,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(111519,270094,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(111520,270094,9,100,'Inflicts 832 - 1017 mental damage on target',0,0),
(111521,270094,9,100,'Stuns target',0,1),
(111522,270094,9,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(111523,270094,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(111524,130106,1,100,'Heals target for 15 - 19',0,0),
(111525,130106,2,100,'Heals target for 16 - 20',0,0),
(111526,130106,3,100,'Heals target for 17 - 21',0,0),
(111527,130106,4,100,'Heals target for 19 - 23',0,0),
(111528,130106,5,100,'Heals target for 20 - 25',0,0),
(111529,130106,7,100,'Heals target for 26 - 32',0,0),
(111530,130106,9,100,'Heals target for 27 - 33',0,0),
(111531,130107,1,100,'Heals target for 53 - 65',0,0),
(111532,130107,2,100,'Heals target for 56 - 69',0,0),
(111533,130107,3,100,'Heals target for 59 - 72',0,0),
(111534,130107,4,100,'Heals target for 65 - 80',0,0),
(111535,130107,5,100,'Heals target for 71 - 87',0,0),
(111536,130107,7,100,'Heals target for 91 - 111',0,0),
(111537,130107,9,100,'Heals target for 95 - 116',0,0),
(111538,130108,1,100,'Heals target for 114 - 140',0,0),
(111539,130108,2,100,'Heals target for 121 - 147',0,0),
(111540,130108,3,100,'Heals target for 127 - 155',0,0),
(111541,130108,4,100,'Heals target for 140 - 171',0,0),
(111542,130108,5,100,'Heals target for 152 - 186',0,0),
(111543,130108,7,100,'Heals target for 195 - 239',0,0),
(111544,130108,9,100,'Heals target for 203 - 248',0,0),
(111545,130109,1,100,'Heals target for 171 - 208',0,0),
(111546,130109,2,100,'Heals target for 180 - 220',0,0),
(111547,130109,3,100,'Heals target for 190 - 232',0,0),
(111548,130109,4,100,'Heals target for 208 - 255',0,0),
(111549,130109,5,100,'Heals target for 227 - 278',0,0),
(111550,130109,7,100,'Heals target for 292 - 357',0,0),
(111551,130109,9,100,'Heals target for 303 - 371',0,0),
(111552,130110,1,100,'Heals target for 931 - 1138',0,0),
(111553,130110,4,100,'Heals target for 1138 - 1391',0,0),
(111554,130110,5,100,'Heals target for 1242 - 1517',0,0),
(111555,130110,7,100,'Heals target for 1593 - 1947',0,0),
(111556,130110,9,100,'Heals target for 1655 - 2023',0,0),
(111557,130111,1,100,'Heals target for 235 - 287',0,0),
(111558,130111,2,100,'Heals target for 248 - 303',0,0),
(111559,130111,3,100,'Heals target for 261 - 318',0,0),
(111560,130111,4,100,'Heals target for 287 - 350',0,0),
(111561,130111,5,100,'Heals target for 313 - 382',0,0),
(111562,130111,7,100,'Heals target for 401 - 490',0,0),
(111563,130111,9,100,'Heals target for 417 - 510',0,0),
(111564,130112,1,100,'Heals target for 369 - 451',0,0),
(111565,130112,2,100,'Heals target for 390 - 476',0,0),
(111566,130112,3,100,'Heals target for 410 - 501',0,0),
(111567,130112,4,100,'Heals target for 451 - 552',0,0),
(111568,130112,5,100,'Heals target for 492 - 602',0,0),
(111569,130112,7,100,'Heals target for 632 - 772',0,0),
(111570,130112,9,100,'Heals target for 656 - 802',0,0),
(111571,130112,10,100,'Heals target for 689 - 843',0,0),
(111572,130113,1,100,'Heals target for 529 - 647',0,0),
(111573,130113,2,100,'Heals target for 559 - 683',0,0),
(111574,130113,3,100,'Heals target for 588 - 719',0,0),
(111575,130113,4,100,'Heals target for 647 - 790',0,0),
(111576,130113,5,100,'Heals target for 706 - 862',0,0),
(111577,130113,7,100,'Heals target for 905 - 1107',0,0),
(111578,130113,9,100,'Heals target for 941 - 1150',0,0),
(111579,130114,1,100,'Heals target for 701 - 857',0,0),
(111580,130114,2,100,'Heals target for 740 - 905',0,0),
(111581,130114,3,100,'Heals target for 779 - 952',0,0),
(111582,130114,4,100,'Heals target for 857 - 1048',0,0),
(111583,130114,5,100,'Heals target for 935 - 1143',0,0),
(111584,130114,7,100,'Heals target for 1200 - 1467',0,0),
(111585,130114,9,100,'Heals target for 1247 - 1524',0,0),
(111586,130115,1,100,'Heals target for 1094 - 1337',0,0),
(111587,130115,4,100,'Heals target for 1337 - 1634',0,0),
(111588,130115,5,100,'Heals target for 1459 - 1783',0,0),
(111589,130115,7,100,'Heals target for 1872 - 2288',0,0),
(111590,130115,9,100,'Heals target for 1945 - 2377',0,0),
(111591,350023,1,100,'Increases Haste of group members (AE) by 7.8',0,0),
(111592,350023,2,100,'Increases Haste of group members (AE) by 8.3',0,0),
(111593,350023,3,100,'Increases Haste of group members (AE) by 8.7',0,0),
(111594,350023,4,100,'Increases Haste of group members (AE) by 9.6',0,0),
(111595,350023,5,100,'Increases Haste of group members (AE) by 10.4',0,0),
(111596,350023,7,100,'Increases Haste of group members (AE) by 13.4',0,0),
(111597,350023,9,100,'Increases Haste of group members (AE) by 13.9',0,0),
(111598,270095,2,100,'Mesmerizes target',0,0),
(111599,270095,2,100,'Prevents AOE (except when direct) ',0,1),
(111600,270095,2,100,'Dispelled when target takes damage',0,2),
(111601,270095,2,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(111602,270095,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(111603,270095,3,100,'Mesmerizes target',0,0),
(111604,270095,3,100,'Prevents AOE (except when direct) ',0,1),
(111605,270095,3,100,'Dispelled when target takes damage',0,2),
(111606,270095,3,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(111607,270095,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(111608,270095,4,100,'Mesmerizes target',0,0),
(111609,270095,4,100,'Prevents AOE (except when direct) ',0,1),
(111610,270095,4,100,'Dispelled when target takes damage',0,2),
(111611,270095,4,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(111612,270095,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(111613,270095,5,100,'Mesmerizes target',0,0),
(111614,270095,5,100,'Prevents AOE (except when direct) ',0,1),
(111615,270095,5,100,'Dispelled when target takes damage',0,2),
(111616,270095,5,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(111617,270095,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(111618,270095,7,100,'Mesmerizes target',0,0),
(111619,270095,7,100,'Prevents AOE (except when direct) ',0,1),
(111620,270095,7,100,'Dispelled when target takes damage',0,2),
(111621,270095,7,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(111622,270095,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(111623,270095,9,100,'Mesmerizes target',0,0),
(111624,270095,9,100,'Prevents AOE (except when direct) ',0,1),
(111625,270095,9,100,'Dispelled when target takes damage',0,2),
(111626,270095,9,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(111627,270095,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(111628,270096,1,100,'Mesmerizes target',0,0),
(111629,270096,1,100,'Prevents AOE (except when direct) ',0,1),
(111630,270096,1,100,'Dispelled when target takes damage',0,2),
(111631,270096,1,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(111632,270096,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(111633,270096,2,100,'Mesmerizes target',0,0),
(111634,270096,2,100,'Prevents AOE (except when direct) ',0,1),
(111635,270096,2,100,'Dispelled when target takes damage',0,2),
(111636,270096,2,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(111637,270096,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(111638,270096,3,100,'Mesmerizes target',0,0),
(111639,270096,3,100,'Prevents AOE (except when direct) ',0,1),
(111640,270096,3,100,'Dispelled when target takes damage',0,2),
(111641,270096,3,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(111642,270096,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(111643,270096,4,100,'Mesmerizes target',0,0),
(111644,270096,4,100,'Prevents AOE (except when direct) ',0,1),
(111645,270096,4,100,'Dispelled when target takes damage',0,2),
(111646,270096,4,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(111647,270096,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(111648,270096,5,100,'Mesmerizes target',0,0),
(111649,270096,5,100,'Prevents AOE (except when direct) ',0,1),
(111650,270096,5,100,'Dispelled when target takes damage',0,2),
(111651,270096,5,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(111652,270096,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(111653,270096,7,100,'Mesmerizes target',0,0),
(111654,270096,7,100,'Prevents AOE (except when direct) ',0,1),
(111655,270096,7,100,'Dispelled when target takes damage',0,2),
(111656,270096,7,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(111657,270096,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(111658,270096,9,100,'Mesmerizes target',0,0),
(111659,270096,9,100,'Prevents AOE (except when direct) ',0,1),
(111660,270096,9,100,'Dispelled when target takes damage',0,2),
(111661,270096,9,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(111662,270096,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(111663,270096,10,100,'Mesmerizes target',0,0),
(111664,270096,10,100,'Prevents AOE (except when direct) ',0,1),
(111665,270096,10,100,'Dispelled when target takes damage',0,2),
(111666,270096,10,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(111667,270096,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(111668,270097,1,100,'Mesmerizes target',0,0),
(111669,270097,1,100,'Prevents AOE (except when direct) ',0,1),
(111670,270097,1,100,'Dispelled when target takes damage',0,2),
(111671,270097,1,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(111672,270097,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(111673,270097,2,100,'Mesmerizes target',0,0),
(111674,270097,2,100,'Prevents AOE (except when direct) ',0,1),
(111675,270097,2,100,'Dispelled when target takes damage',0,2),
(111676,270097,2,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(111677,270097,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(111678,270097,3,100,'Mesmerizes target',0,0),
(111679,270097,3,100,'Prevents AOE (except when direct) ',0,1),
(111680,270097,3,100,'Dispelled when target takes damage',0,2),
(111681,270097,3,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(111682,270097,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(111683,270097,4,100,'Mesmerizes target',0,0),
(111684,270097,4,100,'Prevents AOE (except when direct) ',0,1),
(111685,270097,4,100,'Dispelled when target takes damage',0,2),
(111686,270097,4,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(111687,270097,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(111688,270097,5,100,'Mesmerizes target',0,0),
(111689,270097,5,100,'Prevents AOE (except when direct) ',0,1),
(111690,270097,5,100,'Dispelled when target takes damage',0,2),
(111691,270097,5,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(111692,270097,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(111693,270097,7,100,'Mesmerizes target',0,0),
(111694,270097,7,100,'Prevents AOE (except when direct) ',0,1),
(111695,270097,7,100,'Dispelled when target takes damage',0,2),
(111696,270097,7,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(111697,270097,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(111698,270097,9,100,'Mesmerizes target',0,0),
(111699,270097,9,100,'Prevents AOE (except when direct) ',0,1),
(111700,270097,9,100,'Dispelled when target takes damage',0,2),
(111701,270097,9,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(111702,270097,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(111703,270097,10,100,'Mesmerizes target',0,0),
(111704,270097,10,100,'Prevents AOE (except when direct) ',0,1),
(111705,270097,10,100,'Dispelled when target takes damage',0,2),
(111706,270097,10,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(111707,270097,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(111708,270098,1,100,'Mesmerizes target',0,0),
(111709,270098,1,100,'Prevents AOE (except when direct) ',0,1),
(111710,270098,1,100,'Dispelled when target takes damage',0,2),
(111711,270098,1,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(111712,270098,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(111713,270098,2,100,'Mesmerizes target',0,0),
(111714,270098,2,100,'Prevents AOE (except when direct) ',0,1),
(111715,270098,2,100,'Dispelled when target takes damage',0,2),
(111716,270098,2,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(111717,270098,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(111718,270098,3,100,'Mesmerizes target',0,0),
(111719,270098,3,100,'Prevents AOE (except when direct) ',0,1),
(111720,270098,3,100,'Dispelled when target takes damage',0,2),
(111721,270098,3,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(111722,270098,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(111723,270098,4,100,'Mesmerizes target',0,0),
(111724,270098,4,100,'Prevents AOE (except when direct) ',0,1),
(111725,270098,4,100,'Dispelled when target takes damage',0,2),
(111726,270098,4,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(111727,270098,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(111728,270098,5,100,'Mesmerizes target',0,0),
(111729,270098,5,100,'Prevents AOE (except when direct) ',0,1),
(111730,270098,5,100,'Dispelled when target takes damage',0,2),
(111731,270098,5,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(111732,270098,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(111733,270098,7,100,'Mesmerizes target',0,0),
(111734,270098,7,100,'Prevents AOE (except when direct) ',0,1),
(111735,270098,7,100,'Dispelled when target takes damage',0,2),
(111736,270098,7,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(111737,270098,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(111738,270098,9,100,'Mesmerizes target',0,0),
(111739,270098,9,100,'Prevents AOE (except when direct) ',0,1),
(111740,270098,9,100,'Dispelled when target takes damage',0,2),
(111741,270098,9,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(111742,270098,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(111743,270099,1,100,'Mesmerizes target',0,0),
(111744,270099,1,100,'Prevents AOE (except when direct) ',0,1),
(111745,270099,1,100,'Dispelled when target takes damage',0,2),
(111746,270099,1,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(111747,270099,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(111748,270099,2,100,'Mesmerizes target',0,0),
(111749,270099,2,100,'Prevents AOE (except when direct) ',0,1),
(111750,270099,2,100,'Dispelled when target takes damage',0,2),
(111751,270099,2,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(111752,270099,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(111753,270099,3,100,'Mesmerizes target',0,0),
(111754,270099,3,100,'Prevents AOE (except when direct) ',0,1),
(111755,270099,3,100,'Dispelled when target takes damage',0,2),
(111756,270099,3,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(111757,270099,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(111758,270099,4,100,'Mesmerizes target',0,0),
(111759,270099,4,100,'Prevents AOE (except when direct) ',0,1),
(111760,270099,4,100,'Dispelled when target takes damage',0,2),
(111761,270099,4,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(111762,270099,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(111763,270099,5,100,'Mesmerizes target',0,0),
(111764,270099,5,100,'Prevents AOE (except when direct) ',0,1),
(111765,270099,5,100,'Dispelled when target takes damage',0,2),
(111766,270099,5,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(111767,270099,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(111768,270099,7,100,'Mesmerizes target',0,0),
(111769,270099,7,100,'Prevents AOE (except when direct) ',0,1),
(111770,270099,7,100,'Dispelled when target takes damage',0,2),
(111771,270099,7,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(111772,270099,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(111773,270099,9,100,'Mesmerizes target',0,0),
(111774,270099,9,100,'Prevents AOE (except when direct) ',0,1),
(111775,270099,9,100,'Dispelled when target takes damage',0,2),
(111776,270099,9,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(111777,270099,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(111778,270099,10,100,'Mesmerizes target',0,0),
(111779,270099,10,100,'Prevents AOE (except when direct) ',0,1),
(111780,270099,10,100,'Dispelled when target takes damage',0,2),
(111781,270099,10,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(111782,270099,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(111783,270100,1,100,'Mesmerizes target',0,0),
(111784,270100,1,100,'Prevents AOE (except when direct) ',0,1),
(111785,270100,1,100,'Dispelled when target takes damage',0,2),
(111786,270100,1,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(111787,270100,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(111788,270100,2,100,'Mesmerizes target',0,0),
(111789,270100,2,100,'Prevents AOE (except when direct) ',0,1),
(111790,270100,2,100,'Dispelled when target takes damage',0,2),
(111791,270100,2,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(111792,270100,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(111793,270100,3,100,'Mesmerizes target',0,0),
(111794,270100,3,100,'Prevents AOE (except when direct) ',0,1),
(111795,270100,3,100,'Dispelled when target takes damage',0,2),
(111796,270100,3,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(111797,270100,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(111798,270100,4,100,'Mesmerizes target',0,0),
(111799,270100,4,100,'Prevents AOE (except when direct) ',0,1),
(111800,270100,4,100,'Dispelled when target takes damage',0,2),
(111801,270100,4,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(111802,270100,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(111803,270100,5,100,'Mesmerizes target',0,0),
(111804,270100,5,100,'Prevents AOE (except when direct) ',0,1),
(111805,270100,5,100,'Dispelled when target takes damage',0,2),
(111806,270100,5,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(111807,270100,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(111808,270100,7,100,'Mesmerizes target',0,0),
(111809,270100,7,100,'Prevents AOE (except when direct) ',0,1),
(111810,270100,7,100,'Dispelled when target takes damage',0,2),
(111811,270100,7,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(111812,270100,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(111813,270100,9,100,'Mesmerizes target',0,0),
(111814,270100,9,100,'Prevents AOE (except when direct) ',0,1),
(111815,270100,9,100,'Dispelled when target takes damage',0,2),
(111816,270100,9,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(111817,270100,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(111818,270101,1,100,'Mesmerizes target',0,0),
(111819,270101,1,100,'Prevents AOE (except when direct) ',0,1),
(111820,270101,1,100,'Dispelled when target takes damage',0,2),
(111821,270101,1,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(111822,270101,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(111823,270101,2,100,'Mesmerizes target',0,0),
(111824,270101,2,100,'Prevents AOE (except when direct) ',0,1),
(111825,270101,2,100,'Dispelled when target takes damage',0,2),
(111826,270101,2,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(111827,270101,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(111828,270101,3,100,'Mesmerizes target',0,0),
(111829,270101,3,100,'Prevents AOE (except when direct) ',0,1),
(111830,270101,3,100,'Dispelled when target takes damage',0,2),
(111831,270101,3,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(111832,270101,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(111833,270101,4,100,'Mesmerizes target',0,0),
(111834,270101,4,100,'Prevents AOE (except when direct) ',0,1),
(111835,270101,4,100,'Dispelled when target takes damage',0,2),
(111836,270101,4,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(111837,270101,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(111838,270101,5,100,'Mesmerizes target',0,0),
(111839,270101,5,100,'Prevents AOE (except when direct) ',0,1),
(111840,270101,5,100,'Dispelled when target takes damage',0,2),
(111841,270101,5,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(111842,270101,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(111843,270101,7,100,'Mesmerizes target',0,0),
(111844,270101,7,100,'Prevents AOE (except when direct) ',0,1),
(111845,270101,7,100,'Dispelled when target takes damage',0,2),
(111846,270101,7,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(111847,270101,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(111848,270101,9,100,'Mesmerizes target',0,0),
(111849,270101,9,100,'Prevents AOE (except when direct) ',0,1),
(111850,270101,9,100,'Dispelled when target takes damage',0,2),
(111851,270101,9,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(111852,270101,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(111853,270102,1,100,'Mesmerizes target',0,0),
(111854,270102,1,100,'Prevents AOE (except when direct) ',0,1),
(111855,270102,1,100,'Dispelled when target takes damage',0,2),
(111856,270102,1,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(111857,270102,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(111858,270102,4,100,'Mesmerizes target',0,0),
(111859,270102,4,100,'Prevents AOE (except when direct) ',0,1),
(111860,270102,4,100,'Dispelled when target takes damage',0,2),
(111861,270102,4,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(111862,270102,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(111863,270102,5,100,'Mesmerizes target',0,0),
(111864,270102,5,100,'Prevents AOE (except when direct) ',0,1),
(111865,270102,5,100,'Dispelled when target takes damage',0,2),
(111866,270102,5,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(111867,270102,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(111868,270102,7,100,'Mesmerizes target',0,0),
(111869,270102,7,100,'Prevents AOE (except when direct) ',0,1),
(111870,270102,7,100,'Dispelled when target takes damage',0,2),
(111871,270102,7,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(111872,270102,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(111873,270102,9,100,'Mesmerizes target',0,0),
(111874,270102,9,100,'Prevents AOE (except when direct) ',0,1),
(111875,270102,9,100,'Dispelled when target takes damage',0,2),
(111876,270102,9,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(111877,270102,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(111878,2000539,1,100,'When damaged with a melee weapon this spell has a 50% chance to cast Mesmerizing Barrier on target''s attacker.  Lasts for 6.0 seconds.  ',0,0),
(111879,2000539,1,100,'Mesmerizes target',1,1),
(111880,2000539,1,100,'Dispelled when target takes damage',1,2),
(111881,2000539,1,100,'Does not affect Epic targets',1,3),
(111882,2000540,1,100,'Increases STA and STR of caster by 4.5',0,0),
(111883,2000540,1,100,'Increases Haste of caster by 8.8',0,1),
(111884,250016,1,100,'Inflicts 31 - 41 mental damage on target',0,0),
(111885,250016,2,100,'Inflicts 32 - 44 mental damage on target',0,0),
(111886,250016,3,100,'Inflicts 34 - 46 mental damage on target',0,0),
(111887,250016,4,100,'Inflicts 37 - 50 mental damage on target',0,0),
(111888,250016,5,100,'Inflicts 41 - 55 mental damage on target',0,0),
(111889,250016,7,100,'Inflicts 52 - 71 mental damage on target',0,0),
(111890,250016,9,100,'Inflicts 54 - 73 mental damage on target',0,0),
(111891,2000541,1,100,'On any combat or spell hit this spell will cast Calming Assault on target of attack.  ',0,0),
(111892,2000541,1,100,'Decreases threat priority of target encounter by 1 position',1,1),
(111893,2000541,1,100,'Inflicts 776 - 1441 mental damage on target encounter',1,2),
(111894,2000541,1,100,'Grants a total of 3 triggers of the spell.',1,3),
(111895,2000541,1,100,'If not fighter',1,4),
(111896,2000541,1,100,'On any combat or spell hit this spell will cast Enraging Assault on target of attack.  ',0,5),
(111897,2000541,1,100,'Increases threat priority of target by 1 position',1,6),
(111898,2000541,1,100,'Inflicts 776 - 1441 mental damage on target',1,7),
(111899,2000541,1,100,'Grants a total of 3 triggers of the spell.',1,8),
(111900,2000541,1,100,'If fighter',1,9),
(111901,2000541,2,100,'On any combat or spell hit this spell will cast Enraging Assault on target of attack.  ',0,0),
(111902,2000541,2,100,'Increases threat priority of target by 1 position',1,1),
(111903,2000541,2,100,'Inflicts 776 - 1441 mental damage on target',1,2),
(111904,2000541,2,100,'Grants a total of 3 triggers of the spell.',1,3),
(111905,2000541,2,100,'If fighter',1,4),
(111906,2000541,2,100,'On any combat or spell hit this spell will cast Calming Assault on target of attack.  ',0,5),
(111907,2000541,2,100,'Decreases threat priority of target encounter by 1 position',1,6),
(111908,2000541,2,100,'Inflicts 776 - 1441 mental damage on target encounter',1,7),
(111909,2000541,2,100,'Grants a total of 3 triggers of the spell.',1,8),
(111910,2000541,2,100,'If not fighter',1,9),
(111911,2000541,3,100,'On any combat or spell hit this spell will cast Calming Assault on target of attack.  ',0,0),
(111912,2000541,3,100,'Decreases threat priority of target encounter by 1 position',1,1),
(111913,2000541,3,100,'Inflicts 1034 - 1921 mental damage on target encounter',1,2),
(111914,2000541,3,100,'Grants a total of 3 triggers of the spell.',1,3),
(111915,2000541,3,100,'If not fighter',1,4),
(111916,2000541,3,100,'On any combat or spell hit this spell will cast Enraging Assault on target of attack.  ',0,5),
(111917,2000541,3,100,'Increases threat priority of target by 1 position',1,6),
(111918,2000541,3,100,'Inflicts 1034 - 1921 mental damage on target',1,7),
(111919,2000541,3,100,'Grants a total of 3 triggers of the spell.',1,8),
(111920,2000541,3,100,'If fighter',1,9),
(111921,270103,1,100,'Increases Combat Power Regen of group members (AE) by 6.3',0,0),
(111922,270103,2,100,'Increases Combat Power Regen of group members (AE) by 6.6',0,0),
(111923,270103,3,100,'Increases Combat Power Regen of group members (AE) by 7.0',0,0),
(111924,270103,4,100,'Increases Combat Power Regen of group members (AE) by 7.7',0,0),
(111925,270103,5,100,'Increases Combat Power Regen of group members (AE) by 8.4',0,0),
(111926,270103,7,100,'Increases Combat Power Regen of group members (AE) by 10.8',0,0),
(111927,270103,9,100,'Increases Combat Power Regen of group members (AE) by 11.2',0,0),
(111928,270104,1,100,'Increases Combat Power Regen of group members (AE) by 8.5',0,0),
(111929,270104,2,100,'Increases Combat Power Regen of group members (AE) by 9.0',0,0),
(111930,270104,3,100,'Increases Combat Power Regen of group members (AE) by 9.4',0,0),
(111931,270104,4,100,'Increases Combat Power Regen of group members (AE) by 10.4',0,0),
(111932,270104,5,100,'Increases Combat Power Regen of group members (AE) by 11.3',0,0),
(111933,270104,7,100,'Increases Combat Power Regen of group members (AE) by 14.6',0,0),
(111934,270104,9,100,'Increases Combat Power Regen of group members (AE) by 15.1',0,0),
(111935,270105,1,100,'Increases Combat Power Regen of group members (AE) by 10.6',0,0),
(111936,270105,2,100,'Increases Combat Power Regen of group members (AE) by 11.2',0,0),
(111937,270105,3,100,'Increases Combat Power Regen of group members (AE) by 11.8',0,0),
(111938,270105,4,100,'Increases Combat Power Regen of group members (AE) by 13.0',0,0),
(111939,270105,5,100,'Increases Combat Power Regen of group members (AE) by 14.2',0,0),
(111940,270105,7,100,'Increases In-Combat Power Regeneration of group members (AE) by 18.2',0,0),
(111941,270105,9,100,'Increases Combat Power Regen of group members (AE) by 18.9',0,0),
(111942,270106,1,100,'Increases Combat Power Regen of group members (AE) by 12.6',0,0),
(111943,270106,4,100,'Increases Combat Power Regen of group members (AE) by 15.4',0,0),
(111944,270106,5,100,'Increases Combat Power Regen of group members (AE) by 16.8',0,0),
(111945,270106,7,100,'Increases Combat Power Regen of group members (AE) by 21.6',0,0),
(111946,270106,9,100,'Increases Combat Power Regen of group members (AE) by 22.4',0,0),
(111947,270107,1,100,'Increases Combat Power Regen of group members (AE) by 14.2',0,0),
(111948,270107,4,100,'Increases Combat Power Regen of group members (AE) by 17.3',0,0),
(111949,270107,5,100,'Increases Combat Power Regen of group members (AE) by 18.9',0,0),
(111950,270107,7,100,'Increases Combat Power Regen of group members (AE) by 24.3',0,0),
(111951,270107,9,100,'Increases Combat Power Regen of group members (AE) by 25.2',0,0),
(111952,270108,1,100,'On any combat or spell hit this spell will cast Disorientation on target.  Lasts for 4.0 seconds.  ',0,0),
(111953,270108,1,100,'Stuns target',1,1),
(111954,270108,1,100,'If Target is not Epic',2,2),
(111955,270108,1,100,'Grants a total of 3 triggers of the spell.',1,3),
(111956,270108,2,100,'On any combat or spell hit this spell will cast Disorientation on target.  Lasts for 4.0 seconds.  ',0,0),
(111957,270108,2,100,'Stuns target',1,1),
(111958,270108,2,100,'If Target is not Epic',2,2),
(111959,270108,2,100,'Grants a total of 3 triggers of the spell.',1,3),
(111960,270108,3,100,'On any combat or spell hit this spell will cast Disorientation on target.  Lasts for 4.0 seconds.  ',0,0),
(111961,270108,3,100,'Stuns target',1,1),
(111962,270108,3,100,'If Target is not Epic',2,2),
(111963,270108,3,100,'Grants a total of 3 triggers of the spell.',1,3),
(111964,270108,4,100,'On any combat or spell hit this spell will cast Disorientation on target.  Lasts for 4.0 seconds.  ',0,0),
(111965,270108,4,100,'Stuns target',1,1),
(111966,270108,4,100,'If Target is not Epic',2,2),
(111967,270108,4,100,'Grants a total of 3 triggers of the spell.',1,3),
(111968,270108,5,100,'On any combat or spell hit this spell will cast Disorientation on target.  Lasts for 4.0 seconds.  ',0,0),
(111969,270108,5,100,'Stuns target',1,1),
(111970,270108,5,100,'If Target is not Epic',2,2),
(111971,270108,5,100,'Grants a total of 3 triggers of the spell.',1,3),
(111972,270108,7,100,'On any combat or spell hit this spell will cast Disorientation on target.  Lasts for 4.0 seconds.  ',0,0),
(111973,270108,7,100,'Stuns target',1,1),
(111974,270108,7,100,'If Target is not Epic',2,2),
(111975,270108,7,100,'Grants a total of 3 triggers of the spell.',1,3),
(111976,270108,9,100,'On any combat or spell hit this spell will cast Disorientation on target.  Lasts for 4.0 seconds.  ',0,0),
(111977,270108,9,100,'Stuns target',1,1),
(111978,270108,9,100,'If Target is not Epic',2,2),
(111979,270108,9,100,'Grants a total of 3 triggers of the spell.',1,3),
(111980,280007,1,100,'Instantly change places with your summoned minion',0,0),
(111981,280008,1,100,'Instantly change places with your summoned minion',0,0),
(111982,2000542,1,100,'Applies Minion''s Intent to qualifying pets.',0,0),
(111983,2000542,1,100,'Decreases Hate Gain of target by 2.0%',1,1),
(111984,2000542,1,100,'If not fighter',2,2),
(111985,2000542,1,100,'Improves the fighter pet''s taunts by 10%.',1,3),
(111986,2000542,1,100,'If fighter',2,4),
(111987,2000542,2,100,'Applies Minion''s Intent to qualifying pets.',0,0),
(111988,2000542,2,100,'Decreases Hate Gain of target by 4.0%',1,1),
(111989,2000542,2,100,'If not fighter',2,2),
(111990,2000542,2,100,'Improves the fighter pet''s taunts by 20%.',1,3),
(111991,2000542,2,100,'If fighter',2,4),
(111992,2000542,3,100,'Applies Minion''s Intent to qualifying pets.',0,0),
(111993,2000542,3,100,'Decreases Hate Gain of target by 6.0%',1,1),
(111994,2000542,3,100,'If not fighter',2,2),
(111995,2000542,3,100,'Improves the fighter pet''s taunts by 30%.',1,3),
(111996,2000542,3,100,'If fighter',2,4),
(111997,2000542,4,100,'Applies Minion''s Intent to qualifying pets.',0,0),
(111998,2000542,4,100,'Decreases Hate Gain of target by 8.0%',1,1),
(111999,2000542,4,100,'If not fighter',2,2),
(112000,2000542,4,100,'Improves the fighter pet''s taunts by 40%.',1,3),
(112001,2000542,4,100,'If fighter',2,4),
(112002,2000542,5,100,'Applies Minion''s Intent to qualifying pets.',0,0),
(112003,2000542,5,100,'Decreases Hate Gain of target by 10.0%',1,1),
(112004,2000542,5,100,'If not fighter',2,2),
(112005,2000542,5,100,'Improves the fighter pet''s taunts by 50%.',1,3),
(112006,2000542,5,100,'If fighter',2,4),
(112007,2000542,6,100,'Applies Minion''s Intent to qualifying pets.',0,0),
(112008,2000542,6,100,'Decreases Hate Gain of target by 12.0%',1,1),
(112009,2000542,6,100,'If not fighter',2,2),
(112010,2000542,6,100,'Improves the fighter pet''s taunts by 60%.',1,3),
(112011,2000542,6,100,'If fighter',2,4),
(112012,2000542,7,100,'Applies Minion''s Intent to qualifying pets.',0,0),
(112013,2000542,7,100,'Decreases Hate Gain of target by 14.0%',1,1),
(112014,2000542,7,100,'If not fighter',2,2),
(112015,2000542,7,100,'Improves the fighter pet''s taunts by 70%.',1,3),
(112016,2000542,7,100,'If fighter',2,4),
(112017,2000542,8,100,'Applies Minion''s Intent to qualifying pets.',0,0),
(112018,2000542,8,100,'Decreases Hate Gain of target by 16.0%',1,1),
(112019,2000542,8,100,'If not fighter',2,2),
(112020,2000542,8,100,'Improves the fighter pet''s taunts by 80%.',1,3),
(112021,2000542,8,100,'If fighter',2,4),
(112022,2000542,9,100,'Applies Minion''s Intent to qualifying pets.',0,0),
(112023,2000542,9,100,'Decreases Hate Gain of target by 18.0%',1,1),
(112024,2000542,9,100,'If not fighter',2,2),
(112025,2000542,9,100,'Improves the fighter pet''s taunts by 90%.',1,3),
(112026,2000542,9,100,'If fighter',2,4),
(112027,2000542,10,100,'Applies Minion''s Intent to qualifying pets.',0,0),
(112028,2000542,10,100,'Decreases Hate Gain of target by 20.0%',1,1),
(112029,2000542,10,100,'If not fighter',2,2),
(112030,2000542,10,100,'Improves the fighter pet''s taunts by 100%.',1,3),
(112031,2000542,10,100,'If fighter',2,4),
(112032,280009,1,100,'Increases INT of target by 21.8',0,0),
(112033,280009,1,100,'Increases Haste of target by 16.5',0,1),
(112034,280009,1,100,'Decreases Defense and Parry of target by 4.9',0,2),
(112035,280009,1,100,'Increases Slashing, Crushing and Piercing of target by 3.0',0,3),
(112036,280009,2,100,'Increases INT of target by 23.0',0,0),
(112037,280009,2,100,'Increases Haste of target by 17.4',0,1),
(112038,280009,2,100,'Decreases Defense and Parry of target by 4.9',0,2),
(112039,280009,2,100,'Increases Slashing, Crushing and Piercing of target by 3.1',0,3),
(112040,280009,3,100,'Increases INT of target by 24.3',0,0),
(112041,280009,3,100,'Increases Haste of target by 18.3',0,1),
(112042,280009,3,100,'Decreases Defense and Parry of target by 4.9',0,2),
(112043,280009,3,100,'Increases Slashing, Crushing and Piercing of target by 3.3',0,3),
(112044,280009,4,100,'Increases INT of target by 26.7',0,0),
(112045,280009,4,100,'Increases Haste of target by 20.2',0,1),
(112046,280009,4,100,'Decreases Defense and Parry of target by 4.9',0,2),
(112047,280009,4,100,'Increases Slashing, Crushing and Piercing of target by 3.6',0,3),
(112048,280009,5,100,'Increases INT of target by 29.1',0,0),
(112049,280009,5,100,'Increases Haste of target by 22.0',0,1),
(112050,280009,5,100,'Decreases Defense and Parry of target by 4.9',0,2),
(112051,280009,5,100,'Increases Slashing, Crushing and Piercing of target by 4.0',0,3),
(112052,280009,7,100,'Increases INT of target by 37.3',0,0),
(112053,280009,7,100,'Increases Haste of target by 28.2',0,1),
(112054,280009,7,100,'Decreases Defense and Parry of target by 4.9',0,2),
(112055,280009,7,100,'Increases Slashing, Crushing and Piercing of target by 5.1',0,3),
(112056,280009,9,100,'Increases INT of target by 38.8',0,0),
(112057,280009,9,100,'Increases Haste of target by 29.3',0,1),
(112058,280009,9,100,'Decreases Defense and Parry of target by 4.9',0,2),
(112059,280009,9,100,'Increases Slashing, Crushing and Piercing of target by 5.3',0,3),
(112060,280010,1,100,'Wards target against 12 points of all damage',0,0),
(112061,280010,1,100,'Decreases INT of target by 28.0',0,1),
(112062,280010,1,100,'Decreases Haste of target by 25.0',0,2),
(112063,280010,1,100,'Increases Max Health of target by 9.0%',0,3),
(112064,280010,1,100,'Increases Hate Gain of target by 11.9%',0,4),
(112065,280010,1,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 126',0,5),
(112066,280010,2,100,'Wards target against 13 points of all damage',0,0),
(112067,280010,2,100,'Decreases INT of target by 28.0',0,1),
(112068,280010,2,100,'Decreases Haste of target by 25.0',0,2),
(112069,280010,2,100,'Increases Max Health of target by 9.5%',0,3),
(112070,280010,2,100,'Increases Hate Gain of target by 12.6%',0,4),
(112071,280010,2,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 133',0,5),
(112072,280010,3,100,'Wards target against 14 points of all damage',0,0),
(112073,280010,3,100,'Decreases INT of target by 28.0',0,1),
(112074,280010,3,100,'Decreases Haste of target by 25.0',0,2),
(112075,280010,3,100,'Increases Max Health of target by 10.0%',0,3),
(112076,280010,3,100,'Increases Hate Gain of target by 13.3%',0,4),
(112077,280010,3,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 140',0,5),
(112078,280010,4,100,'Wards target against 15 points of all damage',0,0),
(112079,280010,4,100,'Decreases INT of target by 28.0',0,1),
(112080,280010,4,100,'Decreases Haste of target by 25.0',0,2),
(112081,280010,4,100,'Increases Max Health of target by 11.0%',0,3),
(112082,280010,4,100,'Increases Hate Gain of target by 14.6%',0,4),
(112083,280010,4,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 154',0,5),
(112084,280010,5,100,'Wards target against 16 points of all damage',0,0),
(112085,280010,5,100,'Decreases INT of target by 28.0',0,1),
(112086,280010,5,100,'Decreases Haste of target by 25.0',0,2),
(112087,280010,5,100,'Increases Max Health of target by 12.0%',0,3),
(112088,280010,5,100,'Increases Hate Gain of target by 15.9%',0,4),
(112089,280010,5,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 168',0,5),
(112090,280010,7,100,'Wards target against 21 points of all damage',0,0),
(112091,280010,7,100,'Decreases INT of target by 28.0',0,1),
(112092,280010,7,100,'Decreases Haste of target by 25.0',0,2),
(112093,280010,7,100,'Increases Max Health of target by 15.4%',0,3),
(112094,280010,7,100,'Increases Hate Gain of target by 20.4%',0,4),
(112095,280010,7,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 216',0,5),
(112096,280010,9,100,'Wards target against 22 points of all damage',0,0),
(112097,280010,9,100,'Decreases INT of target by 28.0',0,1),
(112098,280010,9,100,'Decreases Haste of target by 25.0',0,2),
(112099,280010,9,100,'Increases Max Health of target by 16.0%',0,3),
(112100,280010,9,100,'Increases Hate Gain of target by 21.2%',0,4),
(112101,280010,9,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 224',0,5),
(112102,140126,1,100,'Heals target for 12 - 15',0,0),
(112103,140126,2,100,'Heals target for 13 - 16',0,0),
(112104,140126,3,100,'Heals target for 14 - 17',0,0),
(112105,140126,4,100,'Heals target for 15 - 18',0,0),
(112106,140126,5,100,'Heals target for 16 - 20',0,0),
(112107,140126,7,100,'Heals target for 21 - 25',0,0),
(112108,140126,9,100,'Heals target for 22 - 26',0,0),
(112109,140127,1,100,'Heals target for 43 - 52',0,0),
(112110,140127,2,100,'Heals target for 45 - 55',0,0),
(112111,140127,3,100,'Heals target for 47 - 58',0,0),
(112112,140127,4,100,'Heals target for 52 - 64',0,0),
(112113,140127,5,100,'Heals target for 57 - 69',0,0),
(112114,140127,7,100,'Heals target for 73 - 89',0,0),
(112115,140127,9,100,'Heals target for 76 - 92',0,0),
(112116,140128,1,100,'Heals target for 91 - 111',0,0),
(112117,140128,2,100,'Heals target for 96 - 118',0,0),
(112118,140128,3,100,'Heals target for 101 - 124',0,0),
(112119,140128,4,100,'Heals target for 111 - 136',0,0),
(112120,140128,5,100,'Heals target for 122 - 149',0,0),
(112121,140128,7,100,'Heals target for 156 - 191',0,0),
(112122,140128,9,100,'Heals target for 162 - 198',0,0),
(112123,140129,1,100,'Heals target for 136 - 166',0,0),
(112124,140129,2,100,'Heals target for 144 - 176',0,0),
(112125,140129,3,100,'Heals target for 151 - 185',0,0),
(112126,140129,4,100,'Heals target for 166 - 203',0,0),
(112127,140129,5,100,'Heals target for 181 - 222',0,0),
(112128,140129,7,100,'Heals target for 233 - 285',0,0),
(112129,140129,9,100,'Heals target for 242 - 296',0,0),
(112130,140130,1,100,'Heals target for 743 - 908',0,0),
(112131,140130,4,100,'Heals target for 908 - 1110',0,0),
(112132,140130,5,100,'Heals target for 991 - 1211',0,0),
(112133,140130,7,100,'Heals target for 1271 - 1554',0,0),
(112134,140130,9,100,'Heals target for 1321 - 1614',0,0),
(112135,140131,1,100,'Heals target for 187 - 229',0,0),
(112136,140131,2,100,'Heals target for 198 - 241',0,0),
(112137,140131,3,100,'Heals target for 208 - 254',0,0),
(112138,140131,4,100,'Heals target for 229 - 280',0,0),
(112139,140131,5,100,'Heals target for 249 - 305',0,0),
(112140,140131,7,100,'Heals target for 320 - 391',0,0),
(112141,140131,9,100,'Heals target for 333 - 407',0,0),
(112142,140132,1,100,'Heals target for 295 - 360',0,0),
(112143,140132,2,100,'Heals target for 311 - 380',0,0),
(112144,140132,3,100,'Heals target for 327 - 400',0,0),
(112145,140132,4,100,'Heals target for 360 - 440',0,0),
(112146,140132,5,100,'Heals target for 393 - 480',0,0),
(112147,140132,7,100,'Heals target for 504 - 616',0,0),
(112148,140132,9,100,'Heals target for 524 - 640',0,0),
(112149,140132,10,100,'Heals target for 550 - 672',0,0),
(112150,140133,1,100,'Heals target for 422 - 516',0,0),
(112151,140133,2,100,'Heals target for 446 - 545',0,0),
(112152,140133,3,100,'Heals target for 469 - 573',0,0),
(112153,140133,4,100,'Heals target for 516 - 631',0,0),
(112154,140133,5,100,'Heals target for 563 - 688',0,0),
(112155,140133,7,100,'Heals target for 722 - 883',0,0),
(112156,140133,9,100,'Heals target for 751 - 917',0,0),
(112157,140134,1,100,'Heals target for 560 - 684',0,0),
(112158,140134,2,100,'Heals target for 591 - 722',0,0),
(112159,140134,3,100,'Heals target for 622 - 760',0,0),
(112160,140134,4,100,'Heals target for 684 - 836',0,0),
(112161,140134,5,100,'Heals target for 746 - 912',0,0),
(112162,140134,7,100,'Heals target for 957 - 1170',0,0),
(112163,140134,9,100,'Heals target for 995 - 1216',0,0),
(112164,140135,1,100,'Heals target for 873 - 1067',0,0),
(112165,140135,4,100,'Heals target for 1067 - 1304',0,0),
(112166,140135,5,100,'Heals target for 1164 - 1423',0,0),
(112167,140135,7,100,'Heals target for 1494 - 1826',0,0),
(112168,140135,9,100,'Heals target for 1552 - 1897',0,0),
(112169,110011,1,100,'Heals target for 41 - 50',0,0),
(112170,110011,2,100,'Heals target for 43 - 52',0,0),
(112171,110011,3,100,'Heals target for 45 - 55',0,0),
(112172,110011,4,100,'Heals target for 50 - 61',0,0),
(112173,110011,5,100,'Heals target for 54 - 66',0,0),
(112174,110011,7,100,'Heals target for 69 - 85',0,0),
(112175,110011,9,100,'Heals target for 72 - 88',0,0),
(112176,110012,1,100,'Heals target for 36 - 45',0,0),
(112177,110012,2,100,'Heals target for 38 - 47',0,0),
(112178,110012,3,100,'Heals target for 41 - 50',0,0),
(112179,110012,4,100,'Heals target for 45 - 54',0,0),
(112180,110012,5,100,'Heals target for 49 - 59',0,0),
(112181,110012,7,100,'Heals target for 62 - 76',0,0),
(112182,110012,9,100,'Heals target for 65 - 79',0,0),
(112183,260107,12,100,'On a hostile spell cast this spell has a 12% chance to cast Soothing Mind on the group.  Lasts for 15.0 seconds.  ',0,0),
(112184,260107,12,100,'On any combat or spell hit this spell will cast Soothing Mind on target.  Lasts for 15.0 seconds.  ',1,1),
(112185,260107,12,100,'Increases power of target by 360',2,2),
(112186,260107,12,100,'Grants a total of 1 trigger of the spell.',2,3),
(112187,260107,12,100,'Cannot be modified except by direct means',1,4),
(112188,260107,12,100,'Changes Rapidity to a group buff and adds 10 Damage Per Second',0,5),
(112189,260107,12,100,'Increases the max health of the illusionist''s Personae Reflection by 25%',0,6),
(112190,260107,12,100,'Cannot be modified except by direct means',0,7),
(112191,300109,1,100,'Summon 1 Dark Heart (Apprentice)',0,0),
(112192,300109,1,100,'Must not be engaged in combat',0,1),
(112193,300109,2,100,'Summon 1 Dark Heart (Apprentice)',0,0),
(112194,300109,2,100,'Must not be engaged in combat',0,1),
(112195,300109,3,100,'Summon 1 Dark Heart (Apprentice)',0,0),
(112196,300109,3,100,'Must not be engaged in combat',0,1),
(112197,300109,4,100,'Summon 1 Dark Heart (Journeyman)',0,0),
(112198,300109,4,100,'Must not be engaged in combat',0,1),
(112199,300109,5,100,'Summon 1 Dark Heart (Adept)',0,0),
(112200,300109,5,100,'Must not be engaged in combat',0,1),
(112201,300109,7,100,'Summon 1 Dark Heart (Expert)',0,0),
(112202,300109,7,100,'Must not be engaged in combat',0,1),
(112203,300109,9,100,'Summon 1 Dark Heart (Master)',0,0),
(112204,300109,9,100,'Must not be engaged in combat',0,1),
(112205,2000543,1,100,'Blurs vision of target',0,0),
(112206,2000543,1,100,'Decreases Defense of target by 0.9',0,1),
(112207,440110,1,100,'Inflicts 4 - 6 poison damage on target instantly and every 4 seconds',0,0),
(112208,90156,1,100,'Feigns Death with 58% chance of success',0,0),
(112209,90156,2,100,'Feigns Death with 58% chance of success',0,0),
(112210,90156,3,100,'Feigns Death with 58% chance of success',0,0),
(112211,90156,4,100,'Feigns Death with 61% chance of success',0,0),
(112212,90156,5,100,'Feigns Death with 62% chance of success',0,0),
(112213,90156,7,100,'Feigns Death with 64% chance of success',0,0),
(112214,90156,9,100,'Feigns Death with 66% chance of success',0,0),
(112215,90157,1,100,'Feigns Death with 68% chance of success',0,0),
(112216,90157,2,100,'Feigns Death with 68% chance of success',0,0),
(112217,90157,3,100,'Feigns Death with 68% chance of success',0,0),
(112218,90157,4,100,'Feigns Death with 71% chance of success',0,0),
(112219,90157,5,100,'Feigns Death with 72% chance of success',0,0),
(112220,90157,7,100,'Feigns Death with 74% chance of success',0,0),
(112221,90157,9,100,'Feigns Death with 76% chance of success',0,0),
(112222,90158,1,100,'Feigns Death with 78% chance of success',0,0),
(112223,90158,2,100,'Feigns Death with 78% chance of success',0,0),
(112224,90158,3,100,'Feigns Death with 78% chance of success',0,0),
(112225,90158,4,100,'Feigns Death with 81% chance of success',0,0),
(112226,90158,5,100,'Feigns Death with 82% chance of success',0,0),
(112227,90158,7,100,'Feigns Death with 84% chance of success',0,0),
(112228,90158,9,100,'Feigns Death with 86% chance of success',0,0),
(112229,90159,1,100,'Feigns Death with 88% chance of success',0,0),
(112230,90159,2,100,'Feigns Death with 88% chance of success',0,0),
(112231,90159,3,100,'Feigns Death with 88% chance of success',0,0),
(112232,90159,4,100,'Feigns Death with 91% chance of success',0,0),
(112233,90159,5,100,'Feigns Death with 92% chance of success',0,0),
(112234,90159,7,100,'Feigns Death with 94% chance of success',0,0),
(112235,90159,9,100,'Feigns Death with 96% chance of success',0,0),
(112236,300110,1,100,'Increases all damage done to target by 0.9%',0,0),
(112237,300110,1,100,'Decreases WIS of target by 17.5',0,1),
(112238,300110,1,100,'Increases WIS and STA of caster by 17.5',0,2),
(112239,300110,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 135',0,3),
(112240,300110,1,100,'Only affects targets level 17 and above',0,4),
(112241,300110,2,100,'Increases all damage done to target by 0.95%',0,0),
(112242,300110,2,100,'Decreases WIS of target by 18.5',0,1),
(112243,300110,2,100,'Increases WIS and STA of caster by 18.5',0,2),
(112244,300110,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 142',0,3),
(112245,300110,2,100,'Only affects targets level 17 and above',0,4),
(112246,300110,3,100,'Increases all damage done to target by 1%',0,0),
(112247,300110,3,100,'Decreases WIS of target by 19.5',0,1),
(112248,300110,3,100,'Increases WIS and STA of caster by 19.5',0,2),
(112249,300110,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 150',0,3),
(112250,300110,3,100,'Only affects targets level 17 and above',0,4),
(112251,300110,4,100,'Increases all damage done to target by 1.1%',0,0),
(112252,300110,4,100,'Decreases WIS of target by 21.5',0,1),
(112253,300110,4,100,'Increases WIS and STA of caster by 21.5',0,2),
(112254,300110,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 165',0,3),
(112255,300110,4,100,'Only affects targets level 17 and above',0,4),
(112256,300110,5,100,'Increases all damage done to target by 1.2%',0,0),
(112257,300110,5,100,'Decreases WIS of target by 23.4',0,1),
(112258,300110,5,100,'Increases WIS and STA of caster by 23.4',0,2),
(112259,300110,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 180',0,3),
(112260,300110,5,100,'Only affects targets level 17 and above',0,4),
(112261,300110,7,100,'Increases all damage done to target by 1.54%',0,0),
(112262,300110,7,100,'Decreases WIS of target by 30.0',0,1),
(112263,300110,7,100,'Increases WIS and STA of caster by 30.0',0,2),
(112264,300110,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 231',0,3),
(112265,300110,7,100,'Only affects targets level 17 and above',0,4),
(112266,300110,9,100,'Increases all damage done to target by 1.6%',0,0),
(112267,300110,9,100,'Decreases WIS of target by 31.2',0,1),
(112268,300110,9,100,'Increases WIS and STA of caster by 31.2',0,2),
(112269,300110,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 240',0,3),
(112270,300110,9,100,'Only affects targets level 17 and above',0,4),
(112271,300111,1,100,'Increases all damage done to target by 0.9%',0,0),
(112272,300111,1,100,'Decreases WIS of target by 27.2',0,1),
(112273,300111,1,100,'Increases WIS and STA of caster by 27.2',0,2),
(112274,300111,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 211',0,3),
(112275,300111,1,100,'Only affects targets level 17 and above',0,4),
(112276,300111,2,100,'Increases all damage done to target by 0.95%',0,0),
(112277,300111,2,100,'Decreases WIS of target by 28.7',0,1),
(112278,300111,2,100,'Increases WIS and STA of caster by 28.7',0,2),
(112279,300111,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 222',0,3),
(112280,300111,2,100,'Only affects targets level 17 and above',0,4),
(112281,300111,3,100,'Increases all damage done to target by 1%',0,0),
(112282,300111,3,100,'Decreases WIS of target by 30.2',0,1),
(112283,300111,3,100,'Increases WIS and STA of caster by 30.2',0,2),
(112284,300111,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 234',0,3),
(112285,300111,3,100,'Only affects targets level 17 and above',0,4),
(112286,300111,4,100,'Increases all damage done to target by 1.1%',0,0),
(112287,300111,4,100,'Decreases WIS of target by 33.2',0,1),
(112288,300111,4,100,'Increases WIS and STA of caster by 33.2',0,2),
(112289,300111,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 257',0,3),
(112290,300111,4,100,'Only affects targets level 17 and above',0,4),
(112291,300111,5,100,'Increases all damage done to target by 1.2%',0,0),
(112292,300111,5,100,'Decreases WIS of target by 36.2',0,1),
(112293,300111,5,100,'Increases WIS and STA of caster by 36.2',0,2),
(112294,300111,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 281',0,3),
(112295,300111,5,100,'Only affects targets level 17 and above',0,4),
(112296,300111,7,100,'Increases all damage done to target by 1.54%',0,0),
(112297,300111,7,100,'Decreases WIS of target by 46.5',0,1),
(112298,300111,7,100,'Increases WIS and STA of caster by 46.5',0,2),
(112299,300111,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 360',0,3),
(112300,300111,7,100,'Only affects targets level 17 and above',0,4),
(112301,300111,9,100,'Increases all damage done to target by 1.6%',0,0),
(112302,300111,9,100,'Decreases WIS of target by 48.3',0,1),
(112303,300111,9,100,'Increases WIS and STA of caster by 48.3',0,2),
(112304,300111,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 374',0,3),
(112305,300111,9,100,'Only affects targets level 17 and above',0,4),
(112306,300112,1,100,'Increases all damage done to target by 0.9%',0,0),
(112307,300112,1,100,'Decreases WIS of target by 37.3',0,1),
(112308,300112,1,100,'Increases WIS and STA of caster by 37.3',0,2),
(112309,300112,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 286',0,3),
(112310,300112,1,100,'Only affects targets level 17 and above',0,4),
(112311,300112,2,100,'Increases all damage done to target by 0.95%',0,0),
(112312,300112,2,100,'Decreases WIS of target by 39.3',0,1),
(112313,300112,2,100,'Increases WIS and STA of caster by 39.3',0,2),
(112314,300112,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 302',0,3),
(112315,300112,2,100,'Only affects targets level 17 and above',0,4),
(112316,300112,3,100,'Increases all damage done to target by 1%',0,0),
(112317,300112,3,100,'Decreases WIS of target by 41.4',0,1),
(112318,300112,3,100,'Increases WIS and STA of caster by 41.4',0,2),
(112319,300112,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 318',0,3),
(112320,300112,3,100,'Only affects targets level 17 and above',0,4),
(112321,300112,4,100,'Increases all damage done to target by 1.1%',0,0),
(112322,300112,4,100,'Decreases WIS of target by 45.5',0,1),
(112323,300112,4,100,'Increases WIS and STA of caster by 45.5',0,2),
(112324,300112,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 350',0,3),
(112325,300112,4,100,'Only affects targets level 17 and above',0,4),
(112326,300112,5,100,'Increases all damage done to target by 1.2%',0,0),
(112327,300112,5,100,'Decreases WIS of target by 49.7',0,1),
(112328,300112,5,100,'Increases WIS and STA of caster by 49.7',0,2),
(112329,300112,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 382',0,3),
(112330,300112,5,100,'Only affects targets level 17 and above',0,4),
(112331,300112,7,100,'Increases all damage done to target by 1.54%',0,0),
(112332,300112,7,100,'Decreases WIS of target by 63.8',0,1),
(112333,300112,7,100,'Increases WIS and STA of caster by 63.8',0,2),
(112334,300112,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 490',0,3),
(112335,300112,7,100,'Only affects targets level 17 and above',0,4),
(112336,300112,9,100,'Increases all damage done to target by 1.6%',0,0),
(112337,300112,9,100,'Decreases WIS of target by 66.2',0,1),
(112338,300112,9,100,'Increases WIS and STA of caster by 66.2',0,2),
(112339,300112,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 509',0,3),
(112340,300112,9,100,'Only affects targets level 17 and above',0,4),
(112341,300113,1,100,'Increases all damage done to target by 0.9%',0,0),
(112342,300113,1,100,'Decreases WIS of target by 47.3',0,1),
(112343,300113,1,100,'Increases WIS and STA of caster by 47.3',0,2),
(112344,300113,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 362',0,3),
(112345,300113,1,100,'Only affects targets level 17 and above',0,4),
(112346,300113,2,100,'Increases all damage done to target by 0.95%',0,0),
(112347,300113,2,100,'Decreases WIS of target by 50.0',0,1),
(112348,300113,2,100,'Increases WIS and STA of caster by 50.0',0,2),
(112349,300113,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 382',0,3),
(112350,300113,2,100,'Only affects targets level 17 and above',0,4),
(112351,300113,3,100,'Increases all damage done to target by 1%',0,0),
(112352,300113,3,100,'Decreases WIS of target by 52.6',0,1),
(112353,300113,3,100,'Increases WIS and STA of caster by 52.6',0,2),
(112354,300113,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 402',0,3),
(112355,300113,3,100,'Only affects targets level 17 and above',0,4),
(112356,300113,4,100,'Increases all damage done to target by 1.1%',0,0),
(112357,300113,4,100,'Decreases WIS of target by 57.9',0,1),
(112358,300113,4,100,'Increases WIS and STA of caster by 57.9',0,2),
(112359,300113,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 442',0,3),
(112360,300113,4,100,'Only affects targets level 17 and above',0,4),
(112361,300113,5,100,'Increases all damage done to target by 1.2%',0,0),
(112362,300113,5,100,'Decreases WIS of target by 63.1',0,1),
(112363,300113,5,100,'Increases WIS and STA of caster by 63.1',0,2),
(112364,300113,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 482',0,3),
(112365,300113,5,100,'Only affects targets level 17 and above',0,4),
(112366,300113,7,100,'Increases all damage done to target by 1.54%',0,0),
(112367,300113,7,100,'Decreases WIS of target by 81.0',0,1),
(112368,300113,7,100,'Increases WIS and STA of caster by 81.0',0,2),
(112369,300113,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 619',0,3),
(112370,300113,7,100,'Only affects targets level 17 and above',0,4),
(112371,300113,9,100,'Increases all damage done to target by 1.6%',0,0),
(112372,300113,9,100,'Decreases WIS of target by 84.2',0,1),
(112373,300113,9,100,'Increases WIS and STA of caster by 84.2',0,2),
(112374,300113,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 643',0,3),
(112375,300113,9,100,'Only affects targets level 17 and above',0,4),
(112376,300114,1,100,'Increases all damage done to target by 0.9%',0,0),
(112377,300114,1,100,'Decreases WIS of target by 57.4',0,1),
(112378,300114,1,100,'Increases WIS and STA of caster by 57.4',0,2),
(112379,300114,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 421',0,3),
(112380,300114,1,100,'Only affects targets level 17 and above',0,4),
(112381,300114,2,100,'Increases all damage done to target by 0.95%',0,0),
(112382,300114,2,100,'Decreases WIS of target by 60.6',0,1),
(112383,300114,2,100,'Increases WIS and STA of caster by 60.6',0,2),
(112384,300114,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 445',0,3),
(112385,300114,2,100,'Only affects targets level 17 and above',0,4),
(112386,300114,3,100,'Increases all damage done to target by 1%',0,0),
(112387,300114,3,100,'Decreases WIS of target by 63.8',0,1),
(112388,300114,3,100,'Increases WIS and STA of caster by 63.8',0,2),
(112389,300114,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 468',0,3),
(112390,300114,3,100,'Only affects targets level 17 and above',0,4),
(112391,300114,4,100,'Increases all damage done to target by 1.1%',0,0),
(112392,300114,4,100,'Decreases WIS of target by 70.2',0,1),
(112393,300114,4,100,'Increases WIS and STA of caster by 70.2',0,2),
(112394,300114,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 515',0,3),
(112395,300114,4,100,'Only affects targets level 17 and above',0,4),
(112396,300114,5,100,'Increases all damage done to target by 1.2%',0,0),
(112397,300114,5,100,'Decreases WIS of target by 76.6',0,1),
(112398,300114,5,100,'Increases WIS and STA of caster by 76.6',0,2),
(112399,300114,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 562',0,3),
(112400,300114,5,100,'Only affects targets level 17 and above',0,4),
(112401,300114,7,100,'Increases all damage done to target by 1.54%',0,0),
(112402,300114,7,100,'Decreases WIS of target by 98.3',0,1),
(112403,300114,7,100,'Increases WIS and STA of caster by 98.3',0,2),
(112404,300114,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 721',0,3),
(112405,300114,7,100,'Only affects targets level 17 and above',0,4),
(112406,300114,9,100,'Increases all damage done to target by 1.6%',0,0),
(112407,300114,9,100,'Decreases WIS of target by 102.1',0,1),
(112408,300114,9,100,'Increases WIS and STA of caster by 102.1',0,2),
(112409,300114,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 749',0,3),
(112410,300114,9,100,'Only affects targets level 17 and above',0,4),
(112411,300115,1,100,'Increases all damage done to target by 0.9%',0,0),
(112412,300115,1,100,'Decreases WIS of target by 67.3',0,1),
(112413,300115,1,100,'Increases WIS and STA of caster by 67.3',0,2),
(112414,300115,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 475',0,3),
(112415,300115,1,100,'Only affects targets level 17 and above',0,4),
(112416,300115,4,100,'Increases all damage done to target by 1.1%',0,0),
(112417,300115,4,100,'Decreases WIS of target by 82.3',0,1),
(112418,300115,4,100,'Increases WIS and STA of caster by 82.3',0,2),
(112419,300115,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 581',0,3),
(112420,300115,4,100,'Only affects targets level 17 and above',0,4),
(112421,300115,5,100,'Increases all damage done to target by 1.2%',0,0),
(112422,300115,5,100,'Decreases WIS of target by 89.8',0,1),
(112423,300115,5,100,'Increases WIS and STA of caster by 89.8',0,2),
(112424,300115,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 634',0,3),
(112425,300115,5,100,'Only affects targets level 17 and above',0,4),
(112426,300115,7,100,'Increases all damage done to target by 1.54%',0,0),
(112427,300115,7,100,'Decreases WIS of target by 115.2',0,1),
(112428,300115,7,100,'Increases WIS and STA of caster by 115.2',0,2),
(112429,300115,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 813',0,3),
(112430,300115,7,100,'Only affects targets level 17 and above',0,4),
(112431,300115,9,100,'Increases all damage done to target by 1.6%',0,0),
(112432,300115,9,100,'Decreases WIS of target by 119.7',0,1),
(112433,300115,9,100,'Increases WIS and STA of caster by 119.7',0,2),
(112434,300115,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 845',0,3),
(112435,300115,9,100,'Only affects targets level 17 and above',0,4),
(112436,300116,1,100,'Increases all damage done to target by 0.9%',0,0),
(112437,300116,1,100,'Decreases WIS of target by 77.2',0,1),
(112438,300116,1,100,'Increases WIS and STA of caster by 77.2',0,2),
(112439,300116,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 529',0,3),
(112440,300116,1,100,'Only affects targets level 17 and above',0,4),
(112441,300116,4,100,'Increases all damage done to target by 1.1%',0,0),
(112442,300116,4,100,'Decreases WIS of target by 94.4',0,1),
(112443,300116,4,100,'Increases WIS and STA of caster by 94.4',0,2),
(112444,300116,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 647',0,3),
(112445,300116,4,100,'Only affects targets level 17 and above',0,4),
(112446,300116,5,100,'Increases all damage done to target by 1.2%',0,0),
(112447,300116,5,100,'Decreases WIS of target by 103.0',0,1),
(112448,300116,5,100,'Increases WIS and STA of caster by 103.0',0,2),
(112449,300116,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 706',0,3),
(112450,300116,5,100,'Only affects targets level 17 and above',0,4),
(112451,300116,7,100,'Increases all damage done to target by 1.54%',0,0),
(112452,300116,7,100,'Decreases WIS of target by 132.1',0,1),
(112453,300116,7,100,'Increases WIS and STA of caster by 132.1',0,2),
(112454,300116,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 906',0,3),
(112455,300116,7,100,'Only affects targets level 17 and above',0,4),
(112456,300116,9,100,'Increases all damage done to target by 1.6%',0,0),
(112457,300116,9,100,'Decreases WIS of target by 137.3',0,1),
(112458,300116,9,100,'Increases WIS and STA of caster by 137.3',0,2),
(112459,300116,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 941',0,3),
(112460,300116,9,100,'Only affects targets level 17 and above',0,4),
(112461,2000544,1,100,'Applies Mystical Field.',0,0),
(112462,2000544,1,100,'Inflicts 1386 magic damage on targets in Area of Effect',1,1),
(112463,2000544,1,100,'Prevents caster from being Interrupted due to movement',0,2),
(112464,2000544,1,100,'Prevents caster from being Interrupted',0,3),
(112465,2000544,1,100,'Prevents AOE (except when direct) ',0,4),
(112466,2000544,1,100,'Hits a maximum of 8 targets at 15 meters base radius',0,5),
(112467,2000545,1,100,'On a damage spell hit this spell may cast Mystical Overflow on target of spell.  Triggers about 3.0 times per minute. ',0,0),
(112468,2000545,1,100,'Inflicts 2 - 5 magic damage on targets in Area of Effect',1,1),
(112469,2000545,1,100,'Hits a maximum of 8 targets at 10 meters base radius',1,2),
(112470,2000545,2,100,'On a damage spell hit this spell may cast Mystical Overflow on target of spell.  Triggers about 3.0 times per minute. ',0,0),
(112471,2000545,2,100,'Inflicts 252 - 468 magic damage on targets in Area of Effect',1,1),
(112472,2000545,2,100,'Hits a maximum of 8 targets at 10 meters base radius',1,2),
(112473,2000545,3,100,'On a damage spell hit this spell may cast Mystical Overflow on target of spell.  Triggers about 3.0 times per minute. ',0,0),
(112474,2000545,3,100,'Inflicts 378 - 703 magic damage on targets in Area of Effect',1,1),
(112475,2000545,3,100,'Hits a maximum of 8 targets at 10 meters base radius',1,2),
(112476,2000545,4,100,'On a damage spell hit this spell may cast Mystical Overflow on target of spell.  Triggers about 3.0 times per minute. ',0,0),
(112477,2000545,4,100,'Inflicts 672 - 1248 magic damage on targets in Area of Effect',1,1),
(112478,2000545,4,100,'Hits a maximum of 8 targets at 10 meters base radius',1,2),
(112479,2000545,5,100,'On a damage spell hit this spell may cast Mystical Overflow on target of spell.  Triggers about 3.0 times per minute. ',0,0),
(112480,2000545,5,100,'Inflicts 630 - 1171 magic damage on targets in Area of Effect',1,1),
(112481,2000545,5,100,'Hits a maximum of 8 targets at 10 meters base radius',1,2),
(112482,2000545,6,100,'On a damage spell hit this spell may cast Mystical Overflow on target of spell.  Triggers about 3.0 times per minute. ',0,0),
(112483,2000545,6,100,'Inflicts 757 - 1405 magic damage on targets in Area of Effect',1,1),
(112484,2000545,6,100,'Hits a maximum of 8 targets at 10 meters base radius',1,2),
(112485,2000545,7,100,'On a damage spell hit this spell may cast Mystical Overflow on target of spell.  Triggers about 3.0 times per minute. ',0,0),
(112486,2000545,7,100,'Inflicts 883 - 1639 magic damage on targets in Area of Effect',1,1),
(112487,2000545,7,100,'Hits a maximum of 8 targets at 10 meters base radius',1,2),
(112488,2000545,8,100,'On a damage spell hit this spell may cast Mystical Overflow on target of spell.  Triggers about 3.0 times per minute. ',0,0),
(112489,2000545,8,100,'Inflicts 1009 - 1873 magic damage on targets in Area of Effect',1,1),
(112490,2000545,8,100,'Hits a maximum of 8 targets at 10 meters base radius',1,2),
(112491,2000545,9,100,'On a damage spell hit this spell may cast Mystical Overflow on target of spell.  Triggers about 3.0 times per minute. ',0,0),
(112492,2000545,9,100,'Inflicts 1513 - 2809 magic damage on targets in Area of Effect',1,1),
(112493,2000545,9,100,'Hits a maximum of 8 targets at 10 meters base radius',1,2),
(112494,2000545,10,100,'On a damage spell hit this spell may cast Mystical Overflow on target of spell.  Triggers about 3.0 times per minute. ',0,0),
(112495,2000545,10,100,'Inflicts 1681 - 3121 magic damage on targets in Area of Effect',1,1),
(112496,2000545,10,100,'Hits a maximum of 8 targets at 10 meters base radius',1,2),
(112497,290155,1,100,'Summon 1 Shard of Essence (Apprentice)',0,0),
(112498,290155,1,100,'Must not be engaged in combat',0,1),
(112499,290155,2,100,'Summon 1 Shard of Essence (Apprentice)',0,0),
(112500,290155,2,100,'Must not be engaged in combat',0,1),
(112501,290155,3,100,'Summon 1 Shard of Essence (Apprentice)',0,0),
(112502,290155,3,100,'Must not be engaged in combat',0,1),
(112503,290155,4,100,'Summon 1 Shard of Essence (Journeyman)',0,0),
(112504,290155,4,100,'Must not be engaged in combat',0,1),
(112505,290155,5,100,'Summon 1 Shard of Essence (Adept)',0,0),
(112506,290155,5,100,'Must not be engaged in combat',0,1),
(112507,290155,7,100,'Summon 1 Shard of Essence (Expert)',0,0),
(112508,290155,7,100,'Must not be engaged in combat',0,1),
(112509,290155,9,100,'Summon 1 Shard of Essence (Master)',0,0),
(112510,290155,9,100,'Must not be engaged in combat',0,1),
(112511,2000546,1,100,'Dispels 6 levels of any hostile effects on raid and group members (AE) instantly and every 2 seconds',0,0),
(112512,2000547,1,100,'When the target takes damage, 100% of the damage will be restored as health.',0,0),
(112513,2000548,1,100,'Reduces slow effects on group members (AE) by 50.0%',0,0),
(112514,2000548,1,100,'Makes group members (AE) immune to Root effects',0,1),
(112515,2000548,1,100,'Must not be engaged in pvp combat',1,2),
(112516,2000549,1,100,'Improves the heal amount by 10%.',0,0),
(112517,2000549,1,100,'Reduces the recovery time of beneficial spells by 50%',0,1),
(112518,2000549,1,100,'Improves the critical heal amount by 5%',0,2),
(112519,2000549,1,100,'Reduces the damage of hostile spells by 20%.',0,3),
(112520,2000549,1,100,'Increases the casting and reuse time of hostile spells by 15%',0,4),
(112521,170115,1,100,'Heals target for 28 - 34',0,0),
(112522,170115,2,100,'Heals target for 30 - 36',0,0),
(112523,170115,3,100,'Heals target for 31 - 38',0,0),
(112524,170115,4,100,'Heals target for 34 - 42',0,0),
(112525,170115,5,100,'Heals target for 38 - 46',0,0),
(112526,170115,7,100,'Heals target for 48 - 59',0,0),
(112527,170115,9,100,'Heals target for 50 - 61',0,0),
(112528,170116,1,100,'Heals target for 94 - 115',0,0),
(112529,170116,2,100,'Heals target for 99 - 121',0,0),
(112530,170116,3,100,'Heals target for 104 - 128',0,0),
(112531,170116,4,100,'Heals target for 115 - 140',0,0),
(112532,170116,5,100,'Heals target for 125 - 153',0,0),
(112533,170116,7,100,'Heals target for 161 - 197',0,0),
(112534,170116,9,100,'Heals target for 167 - 204',0,0),
(112535,170117,1,100,'Heals target for 169 - 207',0,0),
(112536,170117,2,100,'Heals target for 179 - 218',0,0),
(112537,170117,3,100,'Heals target for 188 - 230',0,0),
(112538,170117,4,100,'Heals target for 207 - 253',0,0),
(112539,170117,5,100,'Heals target for 226 - 276',0,0),
(112540,170117,7,100,'Heals target for 289 - 354',0,0),
(112541,170117,9,100,'Heals target for 301 - 367',0,0),
(112542,170118,1,100,'Heals target for 323 - 395',0,0),
(112543,170118,2,100,'Heals target for 341 - 417',0,0),
(112544,170118,3,100,'Heals target for 359 - 439',0,0),
(112545,170118,4,100,'Heals target for 395 - 483',0,0),
(112546,170118,5,100,'Heals target for 431 - 527',0,0),
(112547,170118,7,100,'Heals target for 553 - 676',0,0),
(112548,170118,9,100,'Heals target for 575 - 702',0,0),
(112549,170118,10,100,'Heals target for 603 - 737',0,0),
(112550,170119,1,100,'Heals target for 1363 - 1666',0,0),
(112551,170119,4,100,'Heals target for 1666 - 2037',0,0),
(112552,170119,5,100,'Heals target for 1818 - 2222',0,0),
(112553,170119,7,100,'Heals target for 2333 - 2851',0,0),
(112554,170119,9,100,'Heals target for 2424 - 2962',0,0),
(112555,170119,10,100,'Heals target for 2545 - 3110',0,0),
(112556,170120,1,100,'Heals target for 498 - 609',0,0),
(112557,170120,2,100,'Heals target for 526 - 642',0,0),
(112558,170120,3,100,'Heals target for 553 - 676',0,0),
(112559,170120,4,100,'Heals target for 609 - 744',0,0),
(112560,170120,5,100,'Heals target for 664 - 812',0,0),
(112561,170120,7,100,'Heals target for 852 - 1041',0,0),
(112562,170120,9,100,'Heals target for 885 - 1082',0,0),
(112563,170121,1,100,'Heals target for 695 - 850',0,0),
(112564,170121,2,100,'Heals target for 734 - 897',0,0),
(112565,170121,3,100,'Heals target for 773 - 944',0,0),
(112566,170121,4,100,'Heals target for 850 - 1039',0,0),
(112567,170121,5,100,'Heals target for 927 - 1133',0,0),
(112568,170121,7,100,'Heals target for 1190 - 1454',0,0),
(112569,170121,9,100,'Heals target for 1236 - 1511',0,0),
(112570,170121,10,100,'Heals target for 1298 - 1586',0,0),
(112571,170122,1,100,'Heals target for 924 - 1129',0,0),
(112572,170122,2,100,'Heals target for 975 - 1192',0,0),
(112573,170122,3,100,'Heals target for 1026 - 1254',0,0),
(112574,170122,4,100,'Heals target for 1129 - 1380',0,0),
(112575,170122,5,100,'Heals target for 1232 - 1505',0,0),
(112576,170122,7,100,'Heals target for 1580 - 1932',0,0),
(112577,170122,9,100,'Heals target for 1642 - 2007',0,0),
(112578,170123,1,100,'Heals target for 1192 - 1457',0,0),
(112579,170123,4,100,'Heals target for 1457 - 1781',0,0),
(112580,170123,5,100,'Heals target for 1590 - 1943',0,0),
(112581,170123,7,100,'Heals target for 2040 - 2494',0,0),
(112582,170123,9,100,'Heals target for 2120 - 2591',0,0),
(112583,170123,10,100,'Heals target for 2226 - 2720',0,0),
(112584,160084,1,100,'Heals target for 17 - 21',0,0),
(112585,160084,1,100,'Heals target for 2 - 3 every second',0,1),
(112586,160084,2,100,'Heals target for 18 - 22',0,0),
(112587,160084,2,100,'Heals target for 2 - 3 every second',0,1),
(112588,160084,3,100,'Heals target for 19 - 23',0,0),
(112589,160084,3,100,'Heals target for 2 - 3 every second',0,1),
(112590,160084,4,100,'Heals target for 21 - 25',0,0),
(112591,160084,4,100,'Heals target for 3 every second',0,1),
(112592,160084,5,100,'Heals target for 23 - 28',0,0),
(112593,160084,5,100,'Heals target for 3 - 4 every second',0,1),
(112594,160084,7,100,'Heals target for 29 - 36',0,0),
(112595,160084,7,100,'Heals target for 4 - 5 every second',0,1),
(112596,160084,9,100,'Heals target for 30 - 37',0,0),
(112597,160084,9,100,'Heals target for 4 - 5 every second',0,1),
(112598,160085,1,100,'Heals target for 57 - 69',0,0),
(112599,160085,1,100,'Heals target for 7 - 9 every second',0,1),
(112600,160085,2,100,'Heals target for 60 - 73',0,0),
(112601,160085,2,100,'Heals target for 8 - 9 every second',0,1),
(112602,160085,3,100,'Heals target for 63 - 77',0,0),
(112603,160085,3,100,'Heals target for 8 - 10 every second',0,1),
(112604,160085,4,100,'Heals target for 69 - 85',0,0),
(112605,160085,4,100,'Heals target for 9 - 11 every second',0,1),
(112606,160085,5,100,'Heals target for 76 - 92',0,0),
(112607,160085,5,100,'Heals target for 10 - 12 every second',0,1),
(112608,160085,7,100,'Heals target for 97 - 119',0,0),
(112609,160085,7,100,'Heals target for 12 - 15 every second',0,1),
(112610,160085,9,100,'Heals target for 101 - 123',0,0),
(112611,160085,9,100,'Heals target for 13 - 16 every second',0,1),
(112612,160086,1,100,'Heals target for 102 - 125',0,0),
(112613,160086,1,100,'Heals target for 13 - 16 every second',0,1),
(112614,160086,2,100,'Heals target for 108 - 132',0,0),
(112615,160086,2,100,'Heals target for 14 - 17 every second',0,1),
(112616,160086,3,100,'Heals target for 113 - 139',0,0),
(112617,160086,3,100,'Heals target for 15 - 18 every second',0,1),
(112618,160086,4,100,'Heals target for 125 - 152',0,0),
(112619,160086,4,100,'Heals target for 16 - 20 every second',0,1),
(112620,160086,5,100,'Heals target for 136 - 166',0,0),
(112621,160086,5,100,'Heals target for 17 - 21 every second',0,1),
(112622,160086,7,100,'Heals target for 175 - 213',0,0),
(112623,160086,7,100,'Heals target for 22 - 27 every second',0,1),
(112624,160086,9,100,'Heals target for 181 - 222',0,0),
(112625,160086,9,100,'Heals target for 23 - 29 every second',0,1),
(112626,160087,1,100,'Heals target for 195 - 238',0,0),
(112627,160087,1,100,'Heals target for 25 - 31 every second',0,1),
(112628,160087,2,100,'Heals target for 206 - 252',0,0),
(112629,160087,2,100,'Heals target for 26 - 32 every second',0,1),
(112630,160087,3,100,'Heals target for 217 - 265',0,0),
(112631,160087,3,100,'Heals target for 28 - 34 every second',0,1),
(112632,160087,4,100,'Heals target for 238 - 291',0,0),
(112633,160087,4,100,'Heals target for 31 - 37 every second',0,1),
(112634,160087,5,100,'Heals target for 260 - 318',0,0),
(112635,160087,5,100,'Heals target for 33 - 41 every second',0,1),
(112636,160087,7,100,'Heals target for 334 - 408',0,0),
(112637,160087,7,100,'Heals target for 43 - 52 every second',0,1),
(112638,160087,9,100,'Heals target for 347 - 424',0,0),
(112639,160087,9,100,'Heals target for 45 - 54 every second',0,1),
(112640,160087,10,100,'Heals target for 364 - 445',0,0),
(112641,160087,10,100,'Heals target for 47 - 57 every second',0,1),
(112642,160088,1,100,'Heals target for 823 - 1006',0,0),
(112643,160088,1,100,'Heals target for 106 - 129 every second',0,1),
(112644,160088,4,100,'Heals target for 1006 - 1229',0,0),
(112645,160088,4,100,'Heals target for 129 - 158 every second',0,1),
(112646,160088,5,100,'Heals target for 1097 - 1341',0,0),
(112647,160088,5,100,'Heals target for 141 - 172 every second',0,1),
(112648,160088,7,100,'Heals target for 1408 - 1721',0,0),
(112649,160088,7,100,'Heals target for 181 - 221 every second',0,1),
(112650,160088,9,100,'Heals target for 1463 - 1788',0,0),
(112651,160088,9,100,'Heals target for 188 - 230 every second',0,1),
(112652,160088,10,100,'Heals target for 1536 - 1877',0,0),
(112653,160088,10,100,'Heals target for 197 - 241 every second',0,1),
(112654,160089,1,100,'Heals target for 301 - 367',0,0),
(112655,160089,1,100,'Heals target for 39 - 47 every second',0,1),
(112656,160089,2,100,'Heals target for 317 - 388',0,0),
(112657,160089,2,100,'Heals target for 41 - 50 every second',0,1),
(112658,160089,3,100,'Heals target for 334 - 408',0,0),
(112659,160089,3,100,'Heals target for 43 - 52 every second',0,1),
(112660,160089,4,100,'Heals target for 367 - 449',0,0),
(112661,160089,4,100,'Heals target for 47 - 58 every second',0,1),
(112662,160089,5,100,'Heals target for 401 - 490',0,0),
(112663,160089,5,100,'Heals target for 52 - 63 every second',0,1),
(112664,160089,7,100,'Heals target for 514 - 628',0,0),
(112665,160089,7,100,'Heals target for 66 - 81 every second',0,1),
(112666,160089,9,100,'Heals target for 534 - 653',0,0),
(112667,160089,9,100,'Heals target for 69 - 84 every second',0,1),
(112668,160090,1,100,'Heals target for 420 - 513',0,0),
(112669,160090,1,100,'Heals target for 54 - 66 every second',0,1),
(112670,160090,2,100,'Heals target for 443 - 541',0,0),
(112671,160090,2,100,'Heals target for 57 - 70 every second',0,1),
(112672,160090,3,100,'Heals target for 466 - 570',0,0),
(112673,160090,3,100,'Heals target for 60 - 73 every second',0,1),
(112674,160090,4,100,'Heals target for 513 - 627',0,0),
(112675,160090,4,100,'Heals target for 66 - 81 every second',0,1),
(112676,160090,5,100,'Heals target for 559 - 684',0,0),
(112677,160090,5,100,'Heals target for 72 - 88 every second',0,1),
(112678,160090,7,100,'Heals target for 718 - 877',0,0),
(112679,160090,7,100,'Heals target for 92 - 113 every second',0,1),
(112680,160090,9,100,'Heals target for 746 - 912',0,0),
(112681,160090,9,100,'Heals target for 96 - 117 every second',0,1),
(112682,160090,10,100,'Heals target for 783 - 957',0,0),
(112683,160090,10,100,'Heals target for 101 - 123 every second',0,1),
(112684,160091,1,100,'Heals target for 557 - 681',0,0),
(112685,160091,1,100,'Heals target for 72 - 88 every second',0,1),
(112686,160091,2,100,'Heals target for 588 - 719',0,0),
(112687,160091,2,100,'Heals target for 76 - 92 every second',0,1),
(112688,160091,3,100,'Heals target for 619 - 757',0,0),
(112689,160091,3,100,'Heals target for 80 - 97 every second',0,1),
(112690,160091,4,100,'Heals target for 681 - 833',0,0),
(112691,160091,4,100,'Heals target for 88 - 107 every second',0,1),
(112692,160091,5,100,'Heals target for 743 - 908',0,0),
(112693,160091,5,100,'Heals target for 96 - 117 every second',0,1),
(112694,160091,7,100,'Heals target for 954 - 1166',0,0),
(112695,160091,7,100,'Heals target for 123 - 150 every second',0,1),
(112696,160091,9,100,'Heals target for 991 - 1211',0,0),
(112697,160091,9,100,'Heals target for 127 - 156 every second',0,1),
(112698,160092,1,100,'Heals target for 720 - 879',0,0),
(112699,160092,1,100,'Heals target for 93 - 113 every second',0,1),
(112700,160092,4,100,'Heals target for 879 - 1075',0,0),
(112701,160092,4,100,'Heals target for 113 - 138 every second',0,1),
(112702,160092,5,100,'Heals target for 959 - 1173',0,0),
(112703,160092,5,100,'Heals target for 123 - 151 every second',0,1),
(112704,160092,7,100,'Heals target for 1231 - 1505',0,0),
(112705,160092,7,100,'Heals target for 158 - 193 every second',0,1),
(112706,160092,9,100,'Heals target for 1279 - 1563',0,0),
(112707,160092,9,100,'Heals target for 164 - 201 every second',0,1),
(112708,160092,10,100,'Heals target for 1343 - 1642',0,0),
(112709,160092,10,100,'Heals target for 173 - 211 every second',0,1),
(112710,2000550,1,100,'Increases the heal amount by 15%',0,0),
(112711,2000550,1,100,'Adds an additional tick to the primary heals over time.',0,1),
(112712,2000550,1,100,'Improves the critical amount of heals by 5%.',0,2),
(112713,2000550,1,100,'Increases the casting time and reuse of hostile spells by 15%.',0,3),
(112714,2000550,1,100,'Reduces the damage of hostile spells by 15%.',0,4),
(112715,160093,1,100,'Summons 4 limited pets to aid the caster',0,0),
(112716,160093,2,100,'Summons 4 limited pets to aid the caster',0,0),
(112717,160093,3,100,'Summons 4 limited pets to aid the caster',0,0),
(112718,160093,4,100,'Summons 4 limited pets to aid the caster',0,0),
(112719,160093,5,100,'Summons 4 limited pets to aid the caster',0,0),
(112720,160093,7,100,'Summons 4 limited pets to aid the caster',0,0),
(112721,160093,9,100,'Summons 4 limited pets to aid the caster',0,0),
(112722,160094,1,100,'Summons 4 limited pets to aid the caster',0,0),
(112723,160094,2,100,'Summons 4 limited pets to aid the caster',0,0),
(112724,160094,3,100,'Summons 4 limited pets to aid the caster',0,0),
(112725,160094,4,100,'Summons 4 limited pets to aid the caster',0,0),
(112726,160094,5,100,'Summons 4 limited pets to aid the caster',0,0),
(112727,160094,7,100,'Summons 4 limited pets to aid the caster',0,0),
(112728,160094,9,100,'Summons 4 limited pets to aid the caster',0,0),
(112729,160095,1,100,'Summons 4 limited pets to aid the caster',0,0),
(112730,160095,4,100,'Summons 4 limited pets to aid the caster',0,0),
(112731,160095,5,100,'Summons 4 limited pets to aid the caster',0,0),
(112732,160095,7,100,'Summons 4 limited pets to aid the caster',0,0),
(112733,160095,9,100,'Summons 4 limited pets to aid the caster',0,0),
(112734,160096,1,100,'Summons 4 limited pets to aid the caster',0,0),
(112735,160096,4,100,'Summons 4 limited pets to aid the caster',0,0),
(112736,160096,5,100,'Summons 4 limited pets to aid the caster',0,0),
(112737,160096,7,100,'Summons 4 limited pets to aid the caster',0,0),
(112738,160096,9,100,'Summons 4 limited pets to aid the caster',0,0),
(112739,160097,1,100,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',0,0),
(112740,160097,1,100,'Heals target for 256',1,1),
(112741,160097,1,100,'Heals target for 64 every 2 seconds',1,2),
(112742,160097,1,100,'Increases WIS of target by 28.6',1,3),
(112743,160097,1,100,'Grants a total of 1 trigger of the spell.',1,4),
(112744,160097,2,100,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',0,0),
(112745,160097,2,100,'Heals target for 270',1,1),
(112746,160097,2,100,'Heals target for 67 every 2 seconds',1,2),
(112747,160097,2,100,'Increases WIS of target by 30.2',1,3),
(112748,160097,2,100,'Grants a total of 1 trigger of the spell.',1,4),
(112749,160097,3,100,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',0,0),
(112750,160097,3,100,'Heals target for 284',1,1),
(112751,160097,3,100,'Heals target for 71 every 2 seconds',1,2),
(112752,160097,3,100,'Increases WIS of target by 31.8',1,3),
(112753,160097,3,100,'Grants a total of 1 trigger of the spell.',1,4),
(112754,160097,4,100,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',0,0),
(112755,160097,4,100,'Heals target for 313',1,1),
(112756,160097,4,100,'Heals target for 78 every 2 seconds',1,2),
(112757,160097,4,100,'Increases WIS of target by 35.0',1,3),
(112758,160097,4,100,'Grants a total of 1 trigger of the spell.',1,4),
(112759,160097,5,100,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',0,0),
(112760,160097,5,100,'Heals target for 341',1,1),
(112761,160097,5,100,'Heals target for 85 every 2 seconds',1,2),
(112762,160097,5,100,'Increases WIS of target by 38.2',1,3),
(112763,160097,5,100,'Grants a total of 1 trigger of the spell.',1,4),
(112764,160097,7,100,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',0,0),
(112765,160097,7,100,'Heals target for 438',1,1),
(112766,160097,7,100,'Heals target for 109 every 2 seconds',1,2),
(112767,160097,7,100,'Increases WIS of target by 49.0',1,3),
(112768,160097,7,100,'Grants a total of 1 trigger of the spell.',1,4),
(112769,160097,9,100,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',0,0),
(112770,160097,9,100,'Heals target for 455',1,1),
(112771,160097,9,100,'Heals target for 114 every 2 seconds',1,2),
(112772,160097,9,100,'Increases WIS of target by 50.9',1,3),
(112773,160097,9,100,'Grants a total of 1 trigger of the spell.',1,4),
(112774,160098,1,100,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',0,0),
(112775,160098,1,100,'Heals target for 374',1,1),
(112776,160098,1,100,'Heals target for 93 every 2 seconds',1,2),
(112777,160098,1,100,'Increases WIS of target by 38.7',1,3),
(112778,160098,1,100,'Grants a total of 1 trigger of the spell.',1,4),
(112779,160098,2,100,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',0,0),
(112780,160098,2,100,'Heals target for 395',1,1),
(112781,160098,2,100,'Heals target for 99 every 2 seconds',1,2),
(112782,160098,2,100,'Increases WIS of target by 40.8',1,3),
(112783,160098,2,100,'Grants a total of 1 trigger of the spell.',1,4),
(112784,160098,3,100,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',0,0),
(112785,160098,3,100,'Heals target for 416',1,1),
(112786,160098,3,100,'Heals target for 104 every 2 seconds',1,2),
(112787,160098,3,100,'Increases WIS of target by 43.0',1,3),
(112788,160098,3,100,'Grants a total of 1 trigger of the spell.',1,4),
(112789,160098,4,100,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',0,0),
(112790,160098,4,100,'Heals target for 457',1,1),
(112791,160098,4,100,'Heals target for 114 every 2 seconds',1,2),
(112792,160098,4,100,'Increases WIS of target by 47.3',1,3),
(112793,160098,4,100,'Grants a total of 1 trigger of the spell.',1,4),
(112794,160098,5,100,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',0,0),
(112795,160098,5,100,'Heals target for 499',1,1),
(112796,160098,5,100,'Heals target for 124 every 2 seconds',1,2),
(112797,160098,5,100,'Increases WIS of target by 51.6',1,3),
(112798,160098,5,100,'Grants a total of 1 trigger of the spell.',1,4),
(112799,160098,7,100,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',0,0),
(112800,160098,7,100,'Heals target for 640',1,1),
(112801,160098,7,100,'Heals target for 160 every 2 seconds',1,2),
(112802,160098,7,100,'Increases WIS of target by 66.2',1,3),
(112803,160098,7,100,'Grants a total of 1 trigger of the spell.',1,4),
(112804,160098,9,100,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',0,0),
(112805,160098,9,100,'Heals target for 665',1,1),
(112806,160098,9,100,'Heals target for 166 every 2 seconds',1,2),
(112807,160098,9,100,'Increases WIS of target by 68.8',1,3),
(112808,160098,9,100,'Grants a total of 1 trigger of the spell.',1,4),
(112809,160099,1,100,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',0,0),
(112810,160099,1,100,'Heals target for 492',1,1),
(112811,160099,1,100,'Heals target for 123 every 2 seconds',1,2),
(112812,160099,1,100,'Increases WIS of target by 48.8',1,3),
(112813,160099,1,100,'Grants a total of 1 trigger of the spell.',1,4),
(112814,160099,2,100,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',0,0),
(112815,160099,2,100,'Heals target for 520',1,1),
(112816,160099,2,100,'Heals target for 130 every 2 seconds',1,2),
(112817,160099,2,100,'Increases WIS of target by 51.5',1,3),
(112818,160099,2,100,'Grants a total of 1 trigger of the spell.',1,4),
(112819,160099,3,100,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',0,0),
(112820,160099,3,100,'Heals target for 547',1,1),
(112821,160099,3,100,'Heals target for 137 every 2 seconds',1,2),
(112822,160099,3,100,'Increases WIS of target by 54.2',1,3),
(112823,160099,3,100,'Grants a total of 1 trigger of the spell.',1,4),
(112824,160099,4,100,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',0,0),
(112825,160099,4,100,'Heals target for 602',1,1),
(112826,160099,4,100,'Heals target for 150 every 2 seconds',1,2),
(112827,160099,4,100,'Increases WIS of target by 59.6',1,3),
(112828,160099,4,100,'Grants a total of 1 trigger of the spell.',1,4),
(112829,160099,5,100,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',0,0),
(112830,160099,5,100,'Heals target for 656',1,1),
(112831,160099,5,100,'Heals target for 164 every 2 seconds',1,2),
(112832,160099,5,100,'Increases WIS of target by 65.0',1,3),
(112833,160099,5,100,'Grants a total of 1 trigger of the spell.',1,4),
(112834,160099,7,100,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',0,0),
(112835,160099,7,100,'Heals target for 842',1,1),
(112836,160099,7,100,'Heals target for 210 every 2 seconds',1,2),
(112837,160099,7,100,'Increases WIS of target by 83.5',1,3),
(112838,160099,7,100,'Grants a total of 1 trigger of the spell.',1,4),
(112839,160099,9,100,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',0,0),
(112840,160099,9,100,'Heals target for 875',1,1),
(112841,160099,9,100,'Heals target for 218 every 2 seconds',1,2),
(112842,160099,9,100,'Increases WIS of target by 86.7',1,3),
(112843,160099,9,100,'Grants a total of 1 trigger of the spell.',1,4),
(112844,160100,1,100,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',0,0),
(112845,160100,1,100,'Heals target for 675',1,1),
(112846,160100,1,100,'Heals target for 168 every 2 seconds',1,2),
(112847,160100,1,100,'Increases WIS of target by 59.4',1,3),
(112848,160100,1,100,'Grants a total of 1 trigger of the spell.',1,4),
(112849,160100,2,100,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',0,0),
(112850,160100,2,100,'Heals target for 713',1,1),
(112851,160100,2,100,'Heals target for 178 every 2 seconds',1,2),
(112852,160100,2,100,'Increases WIS of target by 62.7',1,3),
(112853,160100,2,100,'Grants a total of 1 trigger of the spell.',1,4),
(112854,160100,3,100,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',0,0),
(112855,160100,3,100,'Heals target for 750',1,1),
(112856,160100,3,100,'Heals target for 187 every 2 seconds',1,2),
(112857,160100,3,100,'Increases WIS of target by 66.0',1,3),
(112858,160100,3,100,'Grants a total of 1 trigger of the spell.',1,4),
(112859,160100,4,100,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',0,0),
(112860,160100,4,100,'Heals target for 825',1,1),
(112861,160100,4,100,'Heals target for 206 every 2 seconds',1,2),
(112862,160100,4,100,'Increases WIS of target by 72.6',1,3),
(112863,160100,4,100,'Grants a total of 1 trigger of the spell.',1,4),
(112864,160100,5,100,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',0,0),
(112865,160100,5,100,'Heals target for 900',1,1),
(112866,160100,5,100,'Heals target for 225 every 2 seconds',1,2),
(112867,160100,5,100,'Increases WIS of target by 79.2',1,3),
(112868,160100,5,100,'Grants a total of 1 trigger of the spell.',1,4),
(112869,160100,7,100,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',0,0),
(112870,160100,7,100,'Heals target for 1155',1,1),
(112871,160100,7,100,'Heals target for 288 every 2 seconds',1,2),
(112872,160100,7,100,'Increases WIS of target by 101.6',1,3),
(112873,160100,7,100,'Grants a total of 1 trigger of the spell.',1,4),
(112874,160100,9,100,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',0,0),
(112875,160100,9,100,'Heals target for 1200',1,1),
(112876,160100,9,100,'Heals target for 300 every 2 seconds',1,2),
(112877,160100,9,100,'Increases WIS of target by 105.6',1,3),
(112878,160100,9,100,'Grants a total of 1 trigger of the spell.',1,4),
(112879,160101,1,100,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',0,0),
(112880,160101,1,100,'Heals target for 804',1,1),
(112881,160101,1,100,'Heals target for 201 every 2 seconds',1,2),
(112882,160101,1,100,'Increases WIS of target by 69.3',1,3),
(112883,160101,1,100,'Grants a total of 1 trigger of the spell.',1,4),
(112884,160101,4,100,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',0,0),
(112885,160101,4,100,'Heals target for 983',1,1),
(112886,160101,4,100,'Heals target for 245 every 2 seconds',1,2),
(112887,160101,4,100,'Increases WIS of target by 84.7',1,3),
(112888,160101,4,100,'Grants a total of 1 trigger of the spell.',1,4),
(112889,160101,5,100,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',0,0),
(112890,160101,5,100,'Heals target for 1073',1,1),
(112891,160101,5,100,'Heals target for 268 every 2 seconds',1,2),
(112892,160101,5,100,'Increases WIS of target by 92.4',1,3),
(112893,160101,5,100,'Grants a total of 1 trigger of the spell.',1,4),
(112894,160101,7,100,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',0,0),
(112895,160101,7,100,'Heals target for 1376',1,1),
(112896,160101,7,100,'Heals target for 344 every 2 seconds',1,2),
(112897,160101,7,100,'Increases WIS of target by 118.6',1,3),
(112898,160101,7,100,'Grants a total of 1 trigger of the spell.',1,4),
(112899,160101,9,100,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',0,0),
(112900,160101,9,100,'Heals target for 1430',1,1),
(112901,160101,9,100,'Heals target for 357 every 2 seconds',1,2),
(112902,160101,9,100,'Increases WIS of target by 123.2',1,3),
(112903,160101,9,100,'Grants a total of 1 trigger of the spell.',1,4),
(112904,160102,1,100,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',0,0),
(112905,160102,1,100,'Heals target for 844',1,1),
(112906,160102,1,100,'Heals target for 211 every 2 seconds',1,2),
(112907,160102,1,100,'Increases WIS of target by 79.2',1,3),
(112908,160102,1,100,'Grants a total of 1 trigger of the spell.',1,4),
(112909,160102,4,100,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',0,0),
(112910,160102,4,100,'Heals target for 1031',1,1),
(112911,160102,4,100,'Heals target for 257 every 2 seconds',1,2),
(112912,160102,4,100,'Increases WIS of target by 96.8',1,3),
(112913,160102,4,100,'Grants a total of 1 trigger of the spell.',1,4),
(112914,160102,5,100,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',0,0),
(112915,160102,5,100,'Heals target for 1125',1,1),
(112916,160102,5,100,'Heals target for 281 every 2 seconds',1,2),
(112917,160102,5,100,'Increases WIS of target by 105.6',1,3),
(112918,160102,5,100,'Grants a total of 1 trigger of the spell.',1,4),
(112919,160102,7,100,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',0,0),
(112920,160102,7,100,'Heals target for 1444',1,1),
(112921,160102,7,100,'Heals target for 360 every 2 seconds',1,2),
(112922,160102,7,100,'Increases WIS of target by 135.5',1,3),
(112923,160102,7,100,'Grants a total of 1 trigger of the spell.',1,4),
(112924,160102,9,100,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',0,0),
(112925,160102,9,100,'Heals target for 1500',1,1),
(112926,160102,9,100,'Heals target for 374 every 2 seconds',1,2),
(112927,160102,9,100,'Increases WIS of target by 140.8',1,3),
(112928,160102,9,100,'Grants a total of 1 trigger of the spell.',1,4),
(112929,160103,12,100,'Heal over time spells increase healing with each tick.  Healing ceases to increase after 5 ticks.',0,0),
(112930,160103,12,100,'On a healing spell cast this spell has a 50% chance to cast Splash of Nature on caster.  ',0,1),
(112931,160103,12,100,'Increases power of caster by 394 - 590',1,2),
(112932,160103,12,100,'Cannot be modified except by direct means',1,3),
(112933,160103,12,100,'Cannot be modified except by direct means',0,4),
(112934,170124,1,100,'Heals target for 12 - 14',0,0),
(112935,170124,2,100,'Heals target for 12 - 15',0,0),
(112936,170124,3,100,'Heals target for 13 - 16',0,0),
(112937,170124,4,100,'Heals target for 14 - 17',0,0),
(112938,170124,5,100,'Heals target for 16 - 19',0,0),
(112939,170124,7,100,'Heals target for 20 - 24',0,0),
(112940,170124,9,100,'Heals target for 21 - 25',0,0),
(112941,170125,1,100,'Heals target for 41 - 50',0,0),
(112942,170125,2,100,'Heals target for 43 - 53',0,0),
(112943,170125,3,100,'Heals target for 45 - 55',0,0),
(112944,170125,4,100,'Heals target for 50 - 61',0,0),
(112945,170125,5,100,'Heals target for 54 - 67',0,0),
(112946,170125,7,100,'Heals target for 70 - 85',0,0),
(112947,170125,9,100,'Heals target for 73 - 89',0,0),
(112948,170126,1,100,'Heals target for 87 - 107',0,0),
(112949,170126,2,100,'Heals target for 92 - 113',0,0),
(112950,170126,3,100,'Heals target for 97 - 119',0,0),
(112951,170126,4,100,'Heals target for 107 - 131',0,0),
(112952,170126,5,100,'Heals target for 117 - 143',0,0),
(112953,170126,7,100,'Heals target for 150 - 183',0,0),
(112954,170126,9,100,'Heals target for 156 - 190',0,0),
(112955,170127,1,100,'Heals target for 131 - 160',0,0),
(112956,170127,2,100,'Heals target for 138 - 169',0,0),
(112957,170127,3,100,'Heals target for 145 - 177',0,0),
(112958,170127,4,100,'Heals target for 160 - 195',0,0),
(112959,170127,5,100,'Heals target for 174 - 213',0,0),
(112960,170127,7,100,'Heals target for 224 - 273',0,0),
(112961,170127,9,100,'Heals target for 232 - 284',0,0),
(112962,170128,1,100,'Heals target for 713 - 872',0,0),
(112963,170128,4,100,'Heals target for 872 - 1065',0,0),
(112964,170128,5,100,'Heals target for 951 - 1162',0,0),
(112965,170128,7,100,'Heals target for 1220 - 1492',0,0),
(112966,170128,9,100,'Heals target for 1268 - 1550',0,0),
(112967,170129,1,100,'Heals target for 180 - 220',0,0),
(112968,170129,2,100,'Heals target for 190 - 232',0,0),
(112969,170129,3,100,'Heals target for 200 - 244',0,0),
(112970,170129,4,100,'Heals target for 220 - 268',0,0),
(112971,170129,5,100,'Heals target for 240 - 293',0,0),
(112972,170129,7,100,'Heals target for 307 - 376',0,0),
(112973,170129,9,100,'Heals target for 319 - 390',0,0),
(112974,170130,1,100,'Heals target for 283 - 346',0,0),
(112975,170130,2,100,'Heals target for 299 - 365',0,0),
(112976,170130,3,100,'Heals target for 314 - 384',0,0),
(112977,170130,4,100,'Heals target for 346 - 423',0,0),
(112978,170130,5,100,'Heals target for 377 - 461',0,0),
(112979,170130,7,100,'Heals target for 484 - 592',0,0),
(112980,170130,9,100,'Heals target for 503 - 615',0,0),
(112981,170130,10,100,'Heals target for 528 - 645',0,0),
(112982,170131,1,100,'Heals target for 405 - 495',0,0),
(112983,170131,2,100,'Heals target for 428 - 523',0,0),
(112984,170131,3,100,'Heals target for 450 - 550',0,0),
(112985,170131,4,100,'Heals target for 495 - 605',0,0),
(112986,170131,5,100,'Heals target for 540 - 661',0,0),
(112987,170131,7,100,'Heals target for 694 - 848',0,0),
(112988,170131,9,100,'Heals target for 721 - 881',0,0),
(112989,170132,1,100,'Heals target for 537 - 656',0,0),
(112990,170132,2,100,'Heals target for 567 - 693',0,0),
(112991,170132,3,100,'Heals target for 597 - 729',0,0),
(112992,170132,4,100,'Heals target for 656 - 802',0,0),
(112993,170132,5,100,'Heals target for 716 - 875',0,0),
(112994,170132,7,100,'Heals target for 919 - 1123',0,0),
(112995,170132,9,100,'Heals target for 955 - 1167',0,0),
(112996,170133,1,100,'Heals target for 838 - 1024',0,0),
(112997,170133,4,100,'Heals target for 1024 - 1252',0,0),
(112998,170133,5,100,'Heals target for 1117 - 1366',0,0),
(112999,170133,7,100,'Heals target for 1434 - 1753',0,0),
(113000,170133,9,100,'Heals target for 1490 - 1821',0,0),
(113001,160104,1,100,'Applies Nature''s Blessing on termination.  Lasts for 1 minute.',0,0),
(113002,160104,1,100,'Heals target for 3.0% of max health instantly and every 6 seconds',1,1),
(113003,160104,1,100,'This effect cannot be critically applied.',2,2),
(113004,160104,1,100,'Applies Revived Sickness on termination.  Lasts for 2 minutes.',0,3),
(113005,160104,1,100,'Decreases All Attributes of target by 20.0%',1,4),
(113006,160104,1,100,'If not between levels 1 - 6',2,5),
(113007,160104,1,100,'Decreases Haste of target by 20.0',1,6),
(113008,160104,1,100,'If not between levels 1 - 6',2,7),
(113009,160104,1,100,'Decreases All Attributes of target by 5.0%',1,8),
(113010,160104,1,100,'If between levels 1 - 6',2,9),
(113011,160104,1,100,'Decreases Haste of target by 5.0',1,10),
(113012,160104,1,100,'If between levels 1 - 6',2,11),
(113013,160104,1,100,'Resurrects target with 15% health and power',0,12),
(113014,160104,1,100,'If outside an arena',0,13),
(113015,160104,1,100,'If outside an arena',0,14),
(113016,170134,12,100,'On a hostile spell cast this spell has a 12% chance to cast Nature''s Wrath on target of spell.  Lasts for 10.0 seconds.  ',0,0),
(113017,170134,12,100,'Inflicts 622 - 933 heat damage on target',1,1),
(113018,170134,12,100,'On a hit this spell will cast Nature''s Soothing on target of attack.  ',1,2),
(113019,170134,12,100,'Heals target for 379 - 703',2,3),
(113020,170134,12,100,'Cannot be modified except by direct means',1,4),
(113021,170134,12,100,'Improves the damage of hostile spells by 10% of the fury''s wisdom.',0,5),
(113022,170134,12,100,'Improves the fury''s heals by 10% of their wisdom.',0,6),
(113023,170134,12,100,'Cannot be modified except by direct means',0,7),
(113024,300117,1,100,'Applies Necromantic Pact to qualifying pets.',0,0),
(113025,300117,1,100,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(113026,300117,1,100,'Decreases Mitigation of target vs noxious damage by 141',2,2),
(113027,300117,1,100,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(113028,300117,1,100,'Decreases Mitigation of target vs noxious damage by 141',2,4),
(113029,300117,2,100,'Applies Necromantic Pact to qualifying pets.',0,0),
(113030,300117,2,100,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(113031,300117,2,100,'Decreases Mitigation of target vs noxious damage by 149',2,2),
(113032,300117,2,100,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(113033,300117,2,100,'Decreases Mitigation of target vs noxious damage by 149',2,4),
(113034,300117,3,100,'Applies Necromantic Pact to qualifying pets.',0,0),
(113035,300117,3,100,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(113036,300117,3,100,'Decreases Mitigation of target vs noxious damage by 157',2,2),
(113037,300117,3,100,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(113038,300117,3,100,'Decreases Mitigation of target vs noxious damage by 157',2,4),
(113039,300117,4,100,'Applies Necromantic Pact to qualifying pets.',0,0),
(113040,300117,4,100,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(113041,300117,4,100,'Decreases Mitigation of target vs noxious damage by 172',2,2),
(113042,300117,4,100,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(113043,300117,4,100,'Decreases Mitigation of target vs noxious damage by 172',2,4),
(113044,300117,5,100,'Applies Necromantic Pact to qualifying pets.',0,0),
(113045,300117,5,100,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(113046,300117,5,100,'Decreases Mitigation of target vs noxious damage by 188',2,2),
(113047,300117,5,100,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(113048,300117,5,100,'Decreases Mitigation of target vs noxious damage by 188',2,4),
(113049,300117,7,100,'Applies Necromantic Pact to qualifying pets.',0,0),
(113050,300117,7,100,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(113051,300117,7,100,'Decreases Mitigation of target vs noxious damage by 241',2,2),
(113052,300117,7,100,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(113053,300117,7,100,'Decreases Mitigation of target vs noxious damage by 241',2,4),
(113054,300117,9,100,'Applies Necromantic Pact to qualifying pets.',0,0),
(113055,300117,9,100,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(113056,300117,9,100,'Decreases Mitigation of target vs noxious damage by 251',2,2),
(113057,300117,9,100,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(113058,300117,9,100,'Decreases Mitigation of target vs noxious damage by 251',2,4),
(113059,300118,1,100,'Applies Necromantic Pact to qualifying pets.',0,0),
(113060,300118,1,100,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(113061,300118,1,100,'Decreases Mitigation of target vs noxious damage by 252',2,2),
(113062,300118,1,100,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(113063,300118,1,100,'Decreases Mitigation of target vs noxious damage by 252',2,4),
(113064,300118,2,100,'Applies Necromantic Pact to qualifying pets.',0,0),
(113065,300118,2,100,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(113066,300118,2,100,'Decreases Mitigation of target vs noxious damage by 266',2,2),
(113067,300118,2,100,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(113068,300118,2,100,'Decreases Mitigation of target vs noxious damage by 266',2,4),
(113069,300118,3,100,'Applies Necromantic Pact to qualifying pets.',0,0),
(113070,300118,3,100,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(113071,300118,3,100,'Decreases Mitigation of target vs noxious damage by 280',2,2),
(113072,300118,3,100,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(113073,300118,3,100,'Decreases Mitigation of target vs noxious damage by 280',2,4),
(113074,300118,4,100,'Applies Necromantic Pact to qualifying pets.',0,0),
(113075,300118,4,100,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(113076,300118,4,100,'Decreases Mitigation of target vs noxious damage by 308',2,2),
(113077,300118,4,100,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(113078,300118,4,100,'Decreases Mitigation of target vs noxious damage by 308',2,4),
(113079,300118,5,100,'Applies Necromantic Pact to qualifying pets.',0,0),
(113080,300118,5,100,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(113081,300118,5,100,'Decreases Mitigation of target vs noxious damage by 336',2,2),
(113082,300118,5,100,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(113083,300118,5,100,'Decreases Mitigation of target vs noxious damage by 336',2,4),
(113084,300118,7,100,'Applies Necromantic Pact to qualifying pets.',0,0),
(113085,300118,7,100,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(113086,300118,7,100,'Decreases Mitigation of target vs noxious damage by 431',2,2),
(113087,300118,7,100,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(113088,300118,7,100,'Decreases Mitigation of target vs noxious damage by 431',2,4),
(113089,300118,9,100,'Applies Necromantic Pact to qualifying pets.',0,0),
(113090,300118,9,100,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(113091,300118,9,100,'Decreases Mitigation of target vs noxious damage by 448',2,2),
(113092,300118,9,100,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(113093,300118,9,100,'Decreases Mitigation of target vs noxious damage by 448',2,4),
(113094,300119,1,100,'Applies Necromantic Pact to qualifying pets.',0,0),
(113095,300119,1,100,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(113096,300119,1,100,'Decreases Mitigation of target vs noxious damage by 378',2,2),
(113097,300119,1,100,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(113098,300119,1,100,'Decreases Mitigation of target vs noxious damage by 378',2,4),
(113099,300119,2,100,'Applies Necromantic Pact to qualifying pets.',0,0),
(113100,300119,2,100,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(113101,300119,2,100,'Decreases Mitigation of target vs noxious damage by 399',2,2),
(113102,300119,2,100,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(113103,300119,2,100,'Decreases Mitigation of target vs noxious damage by 399',2,4),
(113104,300119,3,100,'Applies Necromantic Pact to qualifying pets.',0,0),
(113105,300119,3,100,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(113106,300119,3,100,'Decreases Mitigation of target vs noxious damage by 420',2,2),
(113107,300119,3,100,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(113108,300119,3,100,'Decreases Mitigation of target vs noxious damage by 420',2,4),
(113109,300119,4,100,'Applies Necromantic Pact to qualifying pets.',0,0),
(113110,300119,4,100,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(113111,300119,4,100,'Decreases Mitigation of target vs noxious damage by 462',2,2),
(113112,300119,4,100,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(113113,300119,4,100,'Decreases Mitigation of target vs noxious damage by 462',2,4),
(113114,300119,5,100,'Applies Necromantic Pact to qualifying pets.',0,0),
(113115,300119,5,100,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(113116,300119,5,100,'Decreases Mitigation of target vs noxious damage by 504',2,2),
(113117,300119,5,100,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(113118,300119,5,100,'Decreases Mitigation of target vs noxious damage by 504',2,4),
(113119,300119,7,100,'Applies Necromantic Pact to qualifying pets.',0,0),
(113120,300119,7,100,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',1,1),
(113121,300119,7,100,'Decreases Mitigation of target vs noxious damage by 647',2,2),
(113122,300119,7,100,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,3),
(113123,300119,7,100,'Decreases Mitigation of target vs noxious damage by 647',2,4),
(113124,300119,9,100,'Applies Necromantic Pact to qualifying pets.',0,0),
(113125,300119,9,100,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(113126,300119,9,100,'Decreases Mitigation of target vs noxious damage by 672',2,2),
(113127,300119,9,100,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(113128,300119,9,100,'Decreases Mitigation of target vs noxious damage by 672',2,4),
(113129,300120,1,100,'Applies Necromantic Pact to qualifying pets.',0,0),
(113130,300120,1,100,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(113131,300120,1,100,'Decreases Mitigation of target vs noxious damage by 504',2,2),
(113132,300120,1,100,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(113133,300120,1,100,'Decreases Mitigation of target vs noxious damage by 504',2,4),
(113134,300120,2,100,'Applies Necromantic Pact to qualifying pets.',0,0),
(113135,300120,2,100,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(113136,300120,2,100,'Decreases Mitigation of target vs noxious damage by 532',2,2),
(113137,300120,2,100,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(113138,300120,2,100,'Decreases Mitigation of target vs noxious damage by 532',2,4),
(113139,300120,3,100,'Applies Necromantic Pact to qualifying pets.',0,0),
(113140,300120,3,100,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(113141,300120,3,100,'Decreases Mitigation of target vs noxious damage by 560',2,2),
(113142,300120,3,100,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(113143,300120,3,100,'Decreases Mitigation of target vs noxious damage by 560',2,4),
(113144,300120,4,100,'Applies Necromantic Pact to qualifying pets.',0,0),
(113145,300120,4,100,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(113146,300120,4,100,'Decreases Mitigation of target vs noxious damage by 616',2,2),
(113147,300120,4,100,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(113148,300120,4,100,'Decreases Mitigation of target vs noxious damage by 616',2,4),
(113149,300120,5,100,'Applies Necromantic Pact to qualifying pets.',0,0),
(113150,300120,5,100,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(113151,300120,5,100,'Decreases Mitigation of target vs noxious damage by 672',2,2),
(113152,300120,5,100,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(113153,300120,5,100,'Decreases Mitigation of target vs noxious damage by 672',2,4),
(113154,300120,7,100,'Applies Necromantic Pact to qualifying pets.',0,0),
(113155,300120,7,100,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(113156,300120,7,100,'Decreases Mitigation of target vs noxious damage by 862',2,2),
(113157,300120,7,100,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(113158,300120,7,100,'Decreases Mitigation of target vs noxious damage by 862',2,4),
(113159,300120,9,100,'Applies Necromantic Pact to qualifying pets.',0,0),
(113160,300120,9,100,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(113161,300120,9,100,'Decreases Mitigation of target vs noxious damage by 896',2,2),
(113162,300120,9,100,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(113163,300120,9,100,'Decreases Mitigation of target vs noxious damage by 896',2,4),
(113164,300121,1,100,'Applies Necromantic Pact to qualifying pets.',0,0),
(113165,300121,1,100,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(113166,300121,1,100,'Decreases Mitigation of target vs noxious damage by 630',2,2),
(113167,300121,1,100,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(113168,300121,1,100,'Decreases Mitigation of target vs noxious damage by 630',2,4),
(113169,300121,2,100,'Applies Necromantic Pact to qualifying pets.',0,0),
(113170,300121,2,100,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(113171,300121,2,100,'Decreases Mitigation of target vs noxious damage by 665',2,2),
(113172,300121,2,100,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(113173,300121,2,100,'Decreases Mitigation of target vs noxious damage by 665',2,4),
(113174,300121,3,100,'Applies Necromantic Pact to qualifying pets.',0,0),
(113175,300121,3,100,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(113176,300121,3,100,'Decreases Mitigation of target vs noxious damage by 700',2,2),
(113177,300121,3,100,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(113178,300121,3,100,'Decreases Mitigation of target vs noxious damage by 700',2,4),
(113179,300121,4,100,'Applies Necromantic Pact to qualifying pets.',0,0),
(113180,300121,4,100,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(113181,300121,4,100,'Decreases Mitigation of target vs noxious damage by 770',2,2),
(113182,300121,4,100,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(113183,300121,4,100,'Decreases Mitigation of target vs noxious damage by 770',2,4),
(113184,300121,5,100,'Applies Necromantic Pact to qualifying pets.',0,0),
(113185,300121,5,100,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(113186,300121,5,100,'Decreases Mitigation of target vs noxious damage by 840',2,2),
(113187,300121,5,100,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(113188,300121,5,100,'Decreases Mitigation of target vs noxious damage by 840',2,4),
(113189,300121,7,100,'Applies Necromantic Pact to qualifying pets.',0,0),
(113190,300121,7,100,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(113191,300121,7,100,'Decreases Mitigation of target vs noxious damage by 1078',2,2),
(113192,300121,7,100,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(113193,300121,7,100,'Decreases Mitigation of target vs noxious damage by 1078',2,4),
(113194,300121,9,100,'Applies Necromantic Pact to qualifying pets.',0,0),
(113195,300121,9,100,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(113196,300121,9,100,'Decreases Mitigation of target vs noxious damage by 1120',2,2),
(113197,300121,9,100,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(113198,300121,9,100,'Decreases Mitigation of target vs noxious damage by 1120',2,4),
(113199,300122,1,100,'Applies Necromantic Pact to qualifying pets.',0,0),
(113200,300122,1,100,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(113201,300122,1,100,'Decreases Mitigation of target vs noxious damage by 823',2,2),
(113202,300122,1,100,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(113203,300122,1,100,'Decreases Mitigation of target vs noxious damage by 823',2,4),
(113204,300122,2,100,'Applies Necromantic Pact to qualifying pets.',0,0),
(113205,300122,2,100,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(113206,300122,2,100,'Decreases Mitigation of target vs noxious damage by 869',2,2),
(113207,300122,2,100,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(113208,300122,2,100,'Decreases Mitigation of target vs noxious damage by 869',2,4),
(113209,300122,3,100,'Applies Necromantic Pact to qualifying pets.',0,0),
(113210,300122,3,100,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(113211,300122,3,100,'Decreases Mitigation of target vs noxious damage by 914',2,2),
(113212,300122,3,100,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(113213,300122,3,100,'Decreases Mitigation of target vs noxious damage by 914',2,4),
(113214,300122,4,100,'Applies Necromantic Pact to qualifying pets.',0,0),
(113215,300122,4,100,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(113216,300122,4,100,'Decreases Mitigation of target vs noxious damage by 1006',2,2),
(113217,300122,4,100,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(113218,300122,4,100,'Decreases Mitigation of target vs noxious damage by 1006',2,4),
(113219,300122,5,100,'Applies Necromantic Pact to qualifying pets.',0,0),
(113220,300122,5,100,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(113221,300122,5,100,'Decreases Mitigation of target vs noxious damage by 1097',2,2),
(113222,300122,5,100,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(113223,300122,5,100,'Decreases Mitigation of target vs noxious damage by 1097',2,4),
(113224,300122,7,100,'Applies Necromantic Pact to qualifying pets.',0,0),
(113225,300122,7,100,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(113226,300122,7,100,'Decreases Mitigation of target vs noxious damage by 1408',2,2),
(113227,300122,7,100,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(113228,300122,7,100,'Decreases Mitigation of target vs noxious damage by 1408',2,4),
(113229,300122,9,100,'Applies Necromantic Pact to qualifying pets.',0,0),
(113230,300122,9,100,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(113231,300122,9,100,'Decreases Mitigation of target vs noxious damage by 1463',2,2),
(113232,300122,9,100,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(113233,300122,9,100,'Decreases Mitigation of target vs noxious damage by 1463',2,4),
(113234,300123,1,100,'Applies Necromantic Pact to qualifying pets.',0,0),
(113235,300123,1,100,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(113236,300123,1,100,'Decreases Mitigation of target vs noxious damage by 972',2,2),
(113237,300123,1,100,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(113238,300123,1,100,'Decreases Mitigation of target vs noxious damage by 972',2,4),
(113239,300123,4,100,'Applies Necromantic Pact to qualifying pets.',0,0),
(113240,300123,4,100,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(113241,300123,4,100,'Decreases Mitigation of target vs noxious damage by 1188',2,2),
(113242,300123,4,100,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(113243,300123,4,100,'Decreases Mitigation of target vs noxious damage by 1188',2,4),
(113244,300123,5,100,'Applies Necromantic Pact to qualifying pets.',0,0),
(113245,300123,5,100,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(113246,300123,5,100,'Decreases Mitigation of target vs noxious damage by 1296',2,2),
(113247,300123,5,100,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(113248,300123,5,100,'Decreases Mitigation of target vs noxious damage by 1296',2,4),
(113249,300123,7,100,'Applies Necromantic Pact to qualifying pets.',0,0),
(113250,300123,7,100,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(113251,300123,7,100,'Decreases Mitigation of target vs noxious damage by 1663',2,2),
(113252,300123,7,100,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(113253,300123,7,100,'Decreases Mitigation of target vs noxious damage by 1663',2,4),
(113254,300123,9,100,'Applies Necromantic Pact to qualifying pets.',0,0),
(113255,300123,9,100,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(113256,300123,9,100,'Decreases Mitigation of target vs noxious damage by 1728',2,2),
(113257,300123,9,100,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(113258,300123,9,100,'Decreases Mitigation of target vs noxious damage by 1728',2,4),
(113259,300124,1,100,'Applies Necromantic Pact to qualifying pets.',0,0),
(113260,300124,1,100,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(113261,300124,1,100,'Decreases Mitigation of target vs noxious damage by 1080',2,2),
(113262,300124,1,100,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(113263,300124,1,100,'Decreases Mitigation of target vs noxious damage by 1080',2,4),
(113264,300124,4,100,'Applies Necromantic Pact to qualifying pets.',0,0),
(113265,300124,4,100,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(113266,300124,4,100,'Decreases Mitigation of target vs noxious damage by 1320',2,2),
(113267,300124,4,100,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(113268,300124,4,100,'Decreases Mitigation of target vs noxious damage by 1320',2,4),
(113269,300124,5,100,'Applies Necromantic Pact to qualifying pets.',0,0),
(113270,300124,5,100,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(113271,300124,5,100,'Decreases Mitigation of target vs noxious damage by 1440',2,2),
(113272,300124,5,100,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(113273,300124,5,100,'Decreases Mitigation of target vs noxious damage by 1440',2,4),
(113274,300124,7,100,'Applies Necromantic Pact to qualifying pets.',0,0),
(113275,300124,7,100,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(113276,300124,7,100,'Decreases Mitigation of target vs noxious damage by 1848',2,2),
(113277,300124,7,100,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(113278,300124,7,100,'Decreases Mitigation of target vs noxious damage by 1848',2,4),
(113279,300124,9,100,'Applies Necromantic Pact to qualifying pets.',0,0),
(113280,300124,9,100,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(113281,300124,9,100,'Decreases Mitigation of target vs noxious damage by 1920',2,2),
(113282,300124,9,100,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(113283,300124,9,100,'Decreases Mitigation of target vs noxious damage by 1920',2,4),
(113284,2000551,1,100,'On any combat or spell hit this spell may cast Necrotic Lifeforce on target.  Lasts for 15 minutes.  Triggers about 0.2 times per minute. ',0,0),
(113285,2000551,1,100,'Dispelled when a group member dies.',1,1),
(113286,2000551,1,100,'Increases Max Health of group members (AE) by 0.5%',1,2),
(113287,2000551,1,100,'On a death blow this spell will cast Necrotic Lifeforce on target.  Lasts for 15 minutes.  ',0,3),
(113288,2000551,1,100,'Dispelled when a group member dies.',1,4),
(113289,2000551,1,100,'Increases Max Health of group members (AE) by 0.5%',1,5),
(113290,300125,1,100,'Dispels 7 levels of any hostile effects on target',0,0),
(113291,300125,1,100,'Heals target for 8',0,1),
(113292,300125,1,100,'Heals target for 1 every second',0,2),
(113293,300125,2,100,'Dispels 7 levels of any hostile effects on caster',0,0),
(113294,300125,2,100,'Heals target for 9',0,1),
(113295,300125,2,100,'Heals target for 1 every second',0,2),
(113296,300125,3,100,'Dispels 7 levels of any hostile effects on target',0,0),
(113297,300125,3,100,'Heals target for 9',0,1),
(113298,300125,3,100,'Heals target for 2 every second',0,2),
(113299,300125,4,100,'Dispels 8 levels of any hostile effects on target',0,0),
(113300,300125,4,100,'Heals target for 10',0,1),
(113301,300125,4,100,'Heals target for 2 every second',0,2),
(113302,300125,5,100,'Dispels 9 levels of any hostile effects on target',0,0),
(113303,300125,5,100,'Heals target for 11',0,1),
(113304,300125,5,100,'Heals target for 2 every second',0,2),
(113305,300125,7,100,'Dispels 11 levels of any hostile effects on target',0,0),
(113306,300125,7,100,'Heals target for 14',0,1),
(113307,300125,7,100,'Heals target for 2 every second',0,2),
(113308,300125,9,100,'Dispels 12 levels of any hostile effects on caster',0,0),
(113309,300125,9,100,'Heals target for 14',0,1),
(113310,300125,9,100,'Heals target for 2 every second',0,2),
(113311,300126,1,100,'Dispels 16 levels of any hostile effects on target',0,0),
(113312,300126,1,100,'Heals target for 57',0,1),
(113313,300126,1,100,'Heals target for 9 every second',0,2),
(113314,300126,2,100,'Dispels 17 levels of any hostile effects on target',0,0),
(113315,300126,2,100,'Heals target for 60',0,1),
(113316,300126,2,100,'Heals target for 10 every second',0,2),
(113317,300126,3,100,'Dispels 17 levels of any hostile effects on target',0,0),
(113318,300126,3,100,'Heals target for 63',0,1),
(113319,300126,3,100,'Heals target for 11 every second',0,2),
(113320,300126,4,100,'Dispels 19 levels of any hostile effects on target',0,0),
(113321,300126,4,100,'Heals target for 69',0,1),
(113322,300126,4,100,'Heals target for 12 every second',0,2),
(113323,300126,5,100,'Dispels 21 levels of any hostile effects on target',0,0),
(113324,300126,5,100,'Heals target for 76',0,1),
(113325,300126,5,100,'Heals target for 13 every second',0,2),
(113326,300126,7,100,'Dispels 27 levels of any hostile effects on target',0,0),
(113327,300126,7,100,'Heals target for 97',0,1),
(113328,300126,7,100,'Heals target for 16 every second',0,2),
(113329,300126,9,100,'Dispels 28 levels of any hostile effects on target',0,0),
(113330,300126,9,100,'Heals target for 101',0,1),
(113331,300126,9,100,'Heals target for 17 every second',0,2),
(113332,300126,10,100,'Dispels 29 levels of any hostile effects on target',0,0),
(113333,300126,10,100,'Heals target for 106',0,1),
(113334,300126,10,100,'Heals target for 18 every second',0,2),
(113335,300127,1,100,'Dispels 30 levels of any hostile effects on target',0,0),
(113336,300127,1,100,'Heals target for 120',0,1),
(113337,300127,1,100,'Heals target for 20 every second',0,2),
(113338,300127,2,100,'Dispels 31 levels of any hostile effects on target',0,0),
(113339,300127,2,100,'Heals target for 127',0,1),
(113340,300127,2,100,'Heals target for 21 every second',0,2),
(113341,300127,3,100,'Dispels 33 levels of any hostile effects on target',0,0),
(113342,300127,3,100,'Heals target for 133',0,1),
(113343,300127,3,100,'Heals target for 22 every second',0,2),
(113344,300127,4,100,'Dispels 36 levels of any hostile effects on target',0,0),
(113345,300127,4,100,'Heals target for 147',0,1),
(113346,300127,4,100,'Heals target for 24 every second',0,2),
(113347,300127,5,100,'Dispels 39 levels of any hostile effects on target',0,0),
(113348,300127,5,100,'Heals target for 160',0,1),
(113349,300127,5,100,'Heals target for 27 every second',0,2),
(113350,300127,7,100,'Dispels 51 levels of any hostile effects on target',0,0),
(113351,300127,7,100,'Heals target for 205',0,1),
(113352,300127,7,100,'Heals target for 34 every second',0,2),
(113353,300127,9,100,'Dispels 52 levels of any hostile effects on target',0,0),
(113354,300127,9,100,'Heals target for 213',0,1),
(113355,300127,9,100,'Heals target for 36 every second',0,2),
(113356,300128,1,100,'Dispels 42 levels of any hostile effects on target',0,0),
(113357,300128,1,100,'Heals target for 190',0,1),
(113358,300128,1,100,'Heals target for 32 every second',0,2),
(113359,300128,2,100,'Dispels 45 levels of any hostile effects on target',0,0),
(113360,300128,2,100,'Heals target for 201',0,1),
(113361,300128,2,100,'Heals target for 33 every second',0,2),
(113362,300128,3,100,'Dispels 47 levels of any hostile effects on caster',0,0),
(113363,300128,3,100,'Heals target for 212',0,1),
(113364,300128,3,100,'Heals target for 35 every second',0,2),
(113365,300128,4,100,'Dispels 52 levels of any hostile effects on target',0,0),
(113366,300128,4,100,'Heals target for 233',0,1),
(113367,300128,4,100,'Heals target for 39 every second',0,2),
(113368,300128,5,100,'Dispels 57 levels of any hostile effects on target',0,0),
(113369,300128,5,100,'Heals target for 254',0,1),
(113370,300128,5,100,'Heals target for 42 every second',0,2),
(113371,300128,7,100,'Dispels 73 levels of any hostile effects on target',0,0),
(113372,300128,7,100,'Heals target for 326',0,1),
(113373,300128,7,100,'Heals target for 54 every second',0,2),
(113374,300128,9,100,'Dispels 76 levels of any hostile effects on target',0,0),
(113375,300128,9,100,'Heals target for 338',0,1),
(113376,300128,9,100,'Heals target for 56 every second',0,2),
(113377,300128,10,100,'Dispels 79 levels of any hostile effects on target',0,0),
(113378,300128,10,100,'Heals target for 355',0,1),
(113379,300128,10,100,'Heals target for 59 every second',0,2),
(113380,300129,1,100,'Dispels 99 levels of any hostile effects on target',0,0),
(113381,300129,1,100,'Heals target for 608',0,1),
(113382,300129,1,100,'Heals target for 101 every second',0,2),
(113383,300129,4,100,'Dispels 121 levels of any hostile effects on target',0,0),
(113384,300129,4,100,'Heals target for 743',0,1),
(113385,300129,4,100,'Heals target for 124 every second',0,2),
(113386,300129,5,100,'Dispels 132 levels of any hostile effects on target',0,0),
(113387,300129,5,100,'Heals target for 810',0,1),
(113388,300129,5,100,'Heals target for 135 every second',0,2),
(113389,300129,7,100,'Dispels 169 levels of any hostile effects on caster',0,0),
(113390,300129,7,100,'Heals target for 1040',0,1),
(113391,300129,7,100,'Heals target for 173 every second',0,2),
(113392,300129,9,100,'Dispels 176 levels of any hostile effects on target',0,0),
(113393,300129,9,100,'Heals target for 1080',0,1),
(113394,300129,9,100,'Heals target for 180 every second',0,2),
(113395,300130,1,100,'Dispels 56 levels of any hostile effects on target',0,0),
(113396,300130,1,100,'Heals target for 275',0,1),
(113397,300130,1,100,'Heals target for 46 every second',0,2),
(113398,300130,2,100,'Dispels 59 levels of any hostile effects on target',0,0),
(113399,300130,2,100,'Heals target for 291',0,1),
(113400,300130,2,100,'Heals target for 48 every second',0,2),
(113401,300130,3,100,'Dispels 62 levels of any hostile effects on target',0,0),
(113402,300130,3,100,'Heals target for 306',0,1),
(113403,300130,3,100,'Heals target for 51 every second',0,2),
(113404,300130,4,100,'Dispels 69 levels of any hostile effects on target',0,0),
(113405,300130,4,100,'Heals target for 337',0,1),
(113406,300130,4,100,'Heals target for 56 every second',0,2),
(113407,300130,5,100,'Dispels 75 levels of any hostile effects on target',0,0),
(113408,300130,5,100,'Heals target for 367',0,1),
(113409,300130,5,100,'Heals target for 61 every second',0,2),
(113410,300130,7,100,'Dispels 96 levels of any hostile effects on target',0,0),
(113411,300130,7,100,'Heals target for 471',0,1),
(113412,300130,7,100,'Heals target for 79 every second',0,2),
(113413,300130,9,100,'Dispels 100 levels of any hostile effects on caster',0,0),
(113414,300130,9,100,'Heals target for 490',0,1),
(113415,300130,9,100,'Heals target for 82 every second',0,2),
(113416,300131,1,100,'Dispels 70 levels of any hostile effects on target',0,0),
(113417,300131,1,100,'Heals target for 360',0,1),
(113418,300131,1,100,'Heals target for 60 every second',0,2),
(113419,300131,2,100,'Dispels 74 levels of any hostile effects on caster',0,0),
(113420,300131,2,100,'Heals target for 380',0,1),
(113421,300131,2,100,'Heals target for 63 every second',0,2),
(113422,300131,3,100,'Dispels 78 levels of any hostile effects on target',0,0),
(113423,300131,3,100,'Heals target for 401',0,1),
(113424,300131,3,100,'Heals target for 67 every second',0,2),
(113425,300131,4,100,'Dispels 85 levels of any hostile effects on target',0,0),
(113426,300131,4,100,'Heals target for 441',0,1),
(113427,300131,4,100,'Heals target for 73 every second',0,2),
(113428,300131,5,100,'Dispels 93 levels of any hostile effects on caster',0,0),
(113429,300131,5,100,'Heals target for 481',0,1),
(113430,300131,5,100,'Heals target for 80 every second',0,2),
(113431,300131,7,100,'Dispels 120 levels of any hostile effects on target',0,0),
(113432,300131,7,100,'Heals target for 617',0,1),
(113433,300131,7,100,'Heals target for 103 every second',0,2),
(113434,300131,9,100,'Dispels 124 levels of any hostile effects on caster',0,0),
(113435,300131,9,100,'Heals target for 641',0,1),
(113436,300131,9,100,'Heals target for 107 every second',0,2),
(113437,300132,1,100,'Dispels 80 levels of any hostile effects on target',0,0),
(113438,300132,1,100,'Heals target for 486',0,1),
(113439,300132,1,100,'Heals target for 81 every second',0,2),
(113440,300132,2,100,'Dispels 84 levels of any hostile effects on target',0,0),
(113441,300132,2,100,'Heals target for 513',0,1),
(113442,300132,2,100,'Heals target for 86 every second',0,2),
(113443,300132,3,100,'Dispels 88 levels of any hostile effects on target',0,0),
(113444,300132,3,100,'Heals target for 540',0,1),
(113445,300132,3,100,'Heals target for 90 every second',0,2),
(113446,300132,4,100,'Dispels 97 levels of any hostile effects on target',0,0),
(113447,300132,4,100,'Heals target for 594',0,1),
(113448,300132,4,100,'Heals target for 99 every second',0,2),
(113449,300132,5,100,'Dispels 106 levels of any hostile effects on caster',0,0),
(113450,300132,5,100,'Heals target for 648',0,1),
(113451,300132,5,100,'Heals target for 108 every second',0,2),
(113452,300132,7,100,'Dispels 136 levels of any hostile effects on caster',0,0),
(113453,300132,7,100,'Heals target for 832',0,1),
(113454,300132,7,100,'Heals target for 139 every second',0,2),
(113455,300132,9,100,'Dispels 141 levels of any hostile effects on target',0,0),
(113456,300132,9,100,'Heals target for 864',0,1),
(113457,300132,9,100,'Heals target for 144 every second',0,2),
(113458,300133,1,100,'Dispels 89 levels of any hostile effects on target',0,0),
(113459,300133,1,100,'Heals target for 579',0,1),
(113460,300133,1,100,'Heals target for 97 every second',0,2),
(113461,300133,4,100,'Dispels 109 levels of any hostile effects on target',0,0),
(113462,300133,4,100,'Heals target for 708',0,1),
(113463,300133,4,100,'Heals target for 118 every second',0,2),
(113464,300133,5,100,'Dispels 119 levels of any hostile effects on target',0,0),
(113465,300133,5,100,'Heals target for 772',0,1),
(113466,300133,5,100,'Heals target for 129 every second',0,2),
(113467,300133,7,100,'Dispels 153 levels of any hostile effects on target',0,0),
(113468,300133,7,100,'Heals target for 991',0,1),
(113469,300133,7,100,'Heals target for 165 every second',0,2),
(113470,300133,9,100,'Dispels 159 levels of any hostile effects on caster',0,0),
(113471,300133,9,100,'Heals target for 1030',0,1),
(113472,300133,9,100,'Heals target for 172 every second',0,2),
(113473,2000552,1,100,'Inflicts 1 piercing damage on target',0,0),
(113474,2000552,1,100,'Decreases power of target by 1 instantly and every 4.8 seconds',0,1),
(113475,2000553,1,100,'Inflicts 0 piercing damage on target',0,0),
(113476,2000553,1,100,'Inflicts 1 poison damage on target every 8 seconds',0,1),
(113477,2000553,1,100,'Decreases STR of target by 3.4 - 5.6',0,2),
(113478,240148,12,100,'Changes damage based encounter AE spells into single target.  Improves their damage by 30%',0,0),
(113479,160105,1,100,'Allows group members (AE) to breathe under water',0,0),
(113480,160105,1,100,'Grants Fish Vision to group members (AE)',0,1),
(113481,240149,1,100,'Applies Netherous Cascade.  Lasts for 5.0 seconds.',0,0),
(113482,240149,1,100,'When damaged with a spell this spell will cast Nether Void on target.  ',1,1),
(113483,240149,1,100,'Inflicts 174 - 212 poison damage on target',2,2),
(113484,240149,1,100,'Grants a total of 1 trigger of the spell.',2,3),
(113485,240149,2,100,'Applies Netherous Cascade.  Lasts for 5.0 seconds.',0,0),
(113486,240149,2,100,'When damaged with a spell this spell will cast Nether Void on target.  ',1,1),
(113487,240149,2,100,'Inflicts 183 - 224 poison damage on target',2,2),
(113488,240149,2,100,'Grants a total of 1 trigger of the spell.',2,3),
(113489,240149,3,100,'Applies Netherous Cascade.  Lasts for 5.0 seconds.',0,0),
(113490,240149,3,100,'When damaged with a spell this spell will cast Nether Void on target.  ',1,1),
(113491,240149,3,100,'Inflicts 193 - 236 poison damage on target',2,2),
(113492,240149,3,100,'Grants a total of 1 trigger of the spell.',2,3),
(113493,240149,4,100,'Applies Netherous Cascade.  Lasts for 5.0 seconds.',0,0),
(113494,240149,4,100,'When damaged with a spell this spell will cast Nether Void on target.  ',1,1),
(113495,240149,4,100,'Inflicts 212 - 260 poison damage on target',2,2),
(113496,240149,4,100,'Grants a total of 1 trigger of the spell.',2,3),
(113497,240149,5,100,'Applies Netherous Cascade.  Lasts for 5.0 seconds.',0,0),
(113498,240149,5,100,'When damaged with a spell this spell will cast Nether Void on target.  ',1,1),
(113499,240149,5,100,'Inflicts 232 - 283 poison damage on target',2,2),
(113500,240149,5,100,'Grants a total of 1 trigger of the spell.',2,3),
(113501,240149,7,100,'Applies Netherous Cascade.  Lasts for 5.0 seconds.',0,0),
(113502,240149,7,100,'When damaged with a spell this spell will cast Nether Void on target.  ',1,1),
(113503,240149,7,100,'Inflicts 297 - 363 poison damage on target',2,2),
(113504,240149,7,100,'Grants a total of 1 trigger of the spell.',2,3),
(113505,240149,9,100,'Applies Netherous Cascade.  Lasts for 5.0 seconds.',0,0),
(113506,240149,9,100,'When damaged with a spell this spell will cast Nether Void on target.  ',1,1),
(113507,240149,9,100,'Inflicts 309 - 378 poison damage on target',2,2),
(113508,240149,9,100,'Grants a total of 1 trigger of the spell.',2,3),
(113509,240150,1,100,'Applies Netherous Cascade.  Lasts for 5.0 seconds.',0,0),
(113510,240150,1,100,'When damaged with a spell this spell will cast Nether Void on target.  ',1,1),
(113511,240150,1,100,'Inflicts 245 - 300 poison damage on target',2,2),
(113512,240150,1,100,'Grants a total of 1 trigger of the spell.',2,3),
(113513,240150,2,100,'Applies Netherous Cascade.  Lasts for 5.0 seconds.',0,0),
(113514,240150,2,100,'When damaged with a spell this spell will cast Nether Void on target.  ',1,1),
(113515,240150,2,100,'Inflicts 259 - 316 poison damage on target',2,2),
(113516,240150,2,100,'Grants a total of 1 trigger of the spell.',2,3),
(113517,240150,3,100,'Applies Netherous Cascade.  Lasts for 5.0 seconds.',0,0),
(113518,240150,3,100,'When damaged with a spell this spell will cast Nether Void on target.  ',1,1),
(113519,240150,3,100,'Inflicts 273 - 333 poison damage on target',2,2),
(113520,240150,3,100,'Grants a total of 1 trigger of the spell.',2,3),
(113521,240150,4,100,'Applies Netherous Cascade.  Lasts for 5.0 seconds.',0,0),
(113522,240150,4,100,'When damaged with a spell this spell will cast Nether Void on target.  ',1,1),
(113523,240150,4,100,'Inflicts 300 - 366 poison damage on target',2,2),
(113524,240150,4,100,'Grants a total of 1 trigger of the spell.',2,3),
(113525,240150,5,100,'Applies Netherous Cascade.  Lasts for 5.0 seconds.',0,0),
(113526,240150,5,100,'When damaged with a spell this spell will cast Nether Void on target.  ',1,1),
(113527,240150,5,100,'Inflicts 327 - 400 poison damage on target',2,2),
(113528,240150,5,100,'Grants a total of 1 trigger of the spell.',2,3),
(113529,240150,7,100,'Applies Netherous Cascade.  Lasts for 5.0 seconds.',0,0),
(113530,240150,7,100,'When damaged with a spell this spell will cast Nether Void on target.  ',1,1),
(113531,240150,7,100,'Inflicts 420 - 513 poison damage on target',2,2),
(113532,240150,7,100,'Grants a total of 1 trigger of the spell.',2,3),
(113533,240150,9,100,'Applies Netherous Cascade.  Lasts for 5.0 seconds.',0,0),
(113534,240150,9,100,'When damaged with a spell this spell will cast Nether Void on target.  ',1,1),
(113535,240150,9,100,'Inflicts 436 - 533 poison damage on target',2,2),
(113536,240150,9,100,'Grants a total of 1 trigger of the spell.',2,3),
(113537,240151,1,100,'Applies Netherous Cascade.  Lasts for 5.0 seconds.',0,0),
(113538,240151,1,100,'When damaged with a spell this spell will cast Nether Void on target.  ',1,1),
(113539,240151,1,100,'Inflicts 296 - 362 poison damage on target',2,2),
(113540,240151,1,100,'Grants a total of 1 trigger of the spell.',2,3),
(113541,240151,4,100,'Applies Netherous Cascade.  Lasts for 5.0 seconds.',0,0),
(113542,240151,4,100,'When damaged with a spell this spell will cast Nether Void on target.  ',1,1),
(113543,240151,4,100,'Inflicts 362 - 442 poison damage on target',2,2),
(113544,240151,4,100,'Grants a total of 1 trigger of the spell.',2,3),
(113545,240151,5,100,'Applies Netherous Cascade.  Lasts for 5.0 seconds.',0,0),
(113546,240151,5,100,'When damaged with a spell this spell will cast Nether Void on target.  ',1,1),
(113547,240151,5,100,'Inflicts 395 - 482 poison damage on target',2,2),
(113548,240151,5,100,'Grants a total of 1 trigger of the spell.',2,3),
(113549,240151,7,100,'Applies Netherous Cascade.  Lasts for 5.0 seconds.',0,0),
(113550,240151,7,100,'When damaged with a spell this spell will cast Nether Void on target.  ',1,1),
(113551,240151,7,100,'Inflicts 506 - 619 poison damage on target',2,2),
(113552,240151,7,100,'Grants a total of 1 trigger of the spell.',2,3),
(113553,240151,9,100,'Applies Netherous Cascade.  Lasts for 5.0 seconds.',0,0),
(113554,240151,9,100,'When damaged with a spell this spell will cast Nether Void on target.  ',1,1),
(113555,240151,9,100,'Inflicts 526 - 643 poison damage on target',2,2),
(113556,240151,9,100,'Grants a total of 1 trigger of the spell.',2,3),
(113557,240152,1,100,'Applies Netherous Cascade.  Lasts for 5.0 seconds.',0,0),
(113558,240152,1,100,'When damaged with a spell this spell will cast Nether Void on target.  ',1,1),
(113559,240152,1,100,'Inflicts 329 - 402 poison damage on target',2,2),
(113560,240152,1,100,'Grants a total of 1 trigger of the spell.',2,3),
(113561,240152,4,100,'Applies Netherous Cascade.  Lasts for 5.0 seconds.',0,0),
(113562,240152,4,100,'When damaged with a spell this spell will cast Nether Void on target.  ',1,1),
(113563,240152,4,100,'Inflicts 402 - 491 poison damage on target',2,2),
(113564,240152,4,100,'Grants a total of 1 trigger of the spell.',2,3),
(113565,240152,5,100,'Applies Netherous Cascade.  Lasts for 5.0 seconds.',0,0),
(113566,240152,5,100,'When damaged with a spell this spell will cast Nether Void on target.  ',1,1),
(113567,240152,5,100,'Inflicts 439 - 536 poison damage on target',2,2),
(113568,240152,5,100,'Grants a total of 1 trigger of the spell.',2,3),
(113569,240152,7,100,'Applies Netherous Cascade.  Lasts for 5.0 seconds.',0,0),
(113570,240152,7,100,'When damaged with a spell this spell will cast Nether Void on target.  ',1,1),
(113571,240152,7,100,'Inflicts 563 - 688 poison damage on target',2,2),
(113572,240152,7,100,'Grants a total of 1 trigger of the spell.',2,3),
(113573,240152,9,100,'Applies Netherous Cascade.  Lasts for 5.0 seconds.',0,0),
(113574,240152,9,100,'When damaged with a spell this spell will cast Nether Void on target.  ',1,1),
(113575,240152,9,100,'Inflicts 585 - 715 poison damage on target',2,2),
(113576,240152,9,100,'Grants a total of 1 trigger of the spell.',2,3),
(113577,240153,1,100,'Summons a limited pet to aid the caster',0,0),
(113578,240153,2,100,'Summons a limited pet to aid the caster',0,0),
(113579,240153,3,100,'Summons a limited pet to aid the caster',0,0),
(113580,240153,4,100,'Summons a limited pet to aid the caster',0,0),
(113581,240153,5,100,'Summons a limited pet to aid the caster',0,0),
(113582,240153,7,100,'Summons a limited pet to aid the caster',0,0),
(113583,240153,9,100,'Summons a limited pet to aid the caster',0,0),
(113584,240153,10,100,'Summons a limited pet to aid the caster',0,0),
(113585,240154,1,100,'Summons a limited pet to aid the caster',0,0),
(113586,240154,2,100,'Summons a limited pet to aid the caster',0,0),
(113587,240154,3,100,'Summons a limited pet to aid the caster',0,0),
(113588,240154,4,100,'Summons a limited pet to aid the caster',0,0),
(113589,240154,5,100,'Summons a limited pet to aid the caster',0,0),
(113590,240154,7,100,'Summons a limited pet to aid the caster',0,0),
(113591,240154,9,100,'Summons a limited pet to aid the caster',0,0),
(113592,240154,10,100,'Summons a limited pet to aid the caster',0,0),
(113593,240155,1,100,'Summons a limited pet to aid the caster',0,0),
(113594,240155,2,100,'Summons a limited pet to aid the caster',0,0),
(113595,240155,3,100,'Summons a limited pet to aid the caster',0,0),
(113596,240155,4,100,'Summons a limited pet to aid the caster',0,0),
(113597,240155,5,100,'Summons a limited pet to aid the caster',0,0),
(113598,240155,7,100,'Summons a limited pet to aid the caster',0,0),
(113599,240155,9,100,'Summons a limited pet to aid the caster',0,0),
(113600,240156,1,100,'Summons a limited pet to aid the caster',0,0),
(113601,240156,4,100,'Summons a limited pet to aid the caster',0,0),
(113602,240156,5,100,'Summons a limited pet to aid the caster',0,0),
(113603,240156,7,100,'Summons a limited pet to aid the caster',0,0),
(113604,240156,9,100,'Summons a limited pet to aid the caster',0,0),
(113605,240157,1,100,'Summons a limited pet to aid the caster',0,0),
(113606,240157,4,100,'Summons a limited pet to aid the caster',0,0),
(113607,240157,5,100,'Summons a limited pet to aid the caster',0,0),
(113608,240157,7,100,'Summons a limited pet to aid the caster',0,0),
(113609,240157,9,100,'Summons a limited pet to aid the caster',0,0),
(113610,240158,1,100,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',0,0),
(113611,240158,1,100,'Slows target by 27.9%',1,1),
(113612,240158,1,100,'Makes target afraid',1,2),
(113613,240158,1,100,'30% chance to dispel when target takes damage',1,3),
(113614,240158,1,100,'Does not affect Epic targets',1,4),
(113615,240158,1,100,'Resistibility increases against targets higher than level 34.',1,5),
(113616,240158,1,100,'Roots target',0,6),
(113617,240158,1,100,'15% chance to dispel when target takes damage',0,7),
(113618,240158,1,100,'Does not affect Epic targets',0,8),
(113619,240158,1,100,'Resistibility increases against targets higher than level 29.',0,9),
(113620,240158,2,100,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',0,0),
(113621,240158,2,100,'Slows target by 29.4%',1,1),
(113622,240158,2,100,'Makes target afraid',1,2),
(113623,240158,2,100,'30% chance to dispel when target takes damage',1,3),
(113624,240158,2,100,'Does not affect Epic targets',1,4),
(113625,240158,2,100,'Resistibility increases against targets higher than level 34.',1,5),
(113626,240158,2,100,'Roots target',0,6),
(113627,240158,2,100,'15% chance to dispel when target takes damage',0,7),
(113628,240158,2,100,'Does not affect Epic targets',0,8),
(113629,240158,2,100,'Resistibility increases against targets higher than level 29.',0,9),
(113630,240158,3,100,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',0,0),
(113631,240158,3,100,'Slows target by 31.0%',1,1),
(113632,240158,3,100,'Makes target afraid',1,2),
(113633,240158,3,100,'30% chance to dispel when target takes damage',1,3),
(113634,240158,3,100,'Does not affect Epic targets',1,4),
(113635,240158,3,100,'Resistibility increases against targets higher than level 34.',1,5),
(113636,240158,3,100,'Roots target',0,6),
(113637,240158,3,100,'15% chance to dispel when target takes damage',0,7),
(113638,240158,3,100,'Does not affect Epic targets',0,8),
(113639,240158,3,100,'Resistibility increases against targets higher than level 29.',0,9),
(113640,240158,4,100,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',0,0),
(113641,240158,4,100,'Slows target by 34.1%',1,1),
(113642,240158,4,100,'Makes target afraid',1,2),
(113643,240158,4,100,'30% chance to dispel when target takes damage',1,3),
(113644,240158,4,100,'Does not affect Epic targets',1,4),
(113645,240158,4,100,'Resistibility increases against targets higher than level 34.',1,5),
(113646,240158,4,100,'Roots target',0,6),
(113647,240158,4,100,'15% chance to dispel when target takes damage',0,7),
(113648,240158,4,100,'Does not affect Epic targets',0,8),
(113649,240158,4,100,'Resistibility increases against targets higher than level 29.',0,9),
(113650,240158,5,100,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',0,0),
(113651,240158,5,100,'Slows target by 37.2%',1,1),
(113652,240158,5,100,'Makes target afraid',1,2),
(113653,240158,5,100,'30% chance to dispel when target takes damage',1,3),
(113654,240158,5,100,'Does not affect Epic targets',1,4),
(113655,240158,5,100,'Resistibility increases against targets higher than level 34.',1,5),
(113656,240158,5,100,'Roots target',0,6),
(113657,240158,5,100,'15% chance to dispel when target takes damage',0,7),
(113658,240158,5,100,'Does not affect Epic targets',0,8),
(113659,240158,5,100,'Resistibility increases against targets higher than level 29.',0,9),
(113660,240158,7,100,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',0,0),
(113661,240158,7,100,'Slows target by 47.7%',1,1),
(113662,240158,7,100,'Makes target afraid',1,2),
(113663,240158,7,100,'30% chance to dispel when target takes damage',1,3),
(113664,240158,7,100,'Does not affect Epic targets',1,4),
(113665,240158,7,100,'Resistibility increases against targets higher than level 34.',1,5),
(113666,240158,7,100,'Roots target',0,6),
(113667,240158,7,100,'15% chance to dispel when target takes damage',0,7),
(113668,240158,7,100,'Does not affect Epic targets',0,8),
(113669,240158,7,100,'Resistibility increases against targets higher than level 29.',0,9),
(113670,240158,9,100,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',0,0),
(113671,240158,9,100,'Slows target by 49.6%',1,1),
(113672,240158,9,100,'Makes target afraid',1,2),
(113673,240158,9,100,'30% chance to dispel when target takes damage',1,3),
(113674,240158,9,100,'Does not affect Epic targets',1,4),
(113675,240158,9,100,'Resistibility increases against targets higher than level 34.',1,5),
(113676,240158,9,100,'Roots target',0,6),
(113677,240158,9,100,'15% chance to dispel when target takes damage',0,7),
(113678,240158,9,100,'Does not affect Epic targets',0,8),
(113679,240158,9,100,'Resistibility increases against targets higher than level 29.',0,9),
(113680,240159,1,100,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',0,0),
(113681,240159,1,100,'Slows target by 30.4%',1,1),
(113682,240159,1,100,'Makes target afraid',1,2),
(113683,240159,1,100,'30% chance to dispel when target takes damage',1,3),
(113684,240159,1,100,'Does not affect Epic targets',1,4),
(113685,240159,1,100,'Resistibility increases against targets higher than level 48.',1,5),
(113686,240159,1,100,'Roots target',0,6),
(113687,240159,1,100,'15% chance to dispel when target takes damage',0,7),
(113688,240159,1,100,'Does not affect Epic targets',0,8),
(113689,240159,1,100,'Resistibility increases against targets higher than level 29.',0,9),
(113690,240159,2,100,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',0,0),
(113691,240159,2,100,'Slows target by 32.1%',1,1),
(113692,240159,2,100,'Makes target afraid',1,2),
(113693,240159,2,100,'30% chance to dispel when target takes damage',1,3),
(113694,240159,2,100,'Does not affect Epic targets',1,4),
(113695,240159,2,100,'Resistibility increases against targets higher than level 48.',1,5),
(113696,240159,2,100,'Roots target',0,6),
(113697,240159,2,100,'15% chance to dispel when target takes damage',0,7),
(113698,240159,2,100,'Does not affect Epic targets',0,8),
(113699,240159,2,100,'Resistibility increases against targets higher than level 29.',0,9),
(113700,240159,3,100,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',0,0),
(113701,240159,3,100,'Slows target by 33.8%',1,1),
(113702,240159,3,100,'Makes target afraid',1,2),
(113703,240159,3,100,'30% chance to dispel when target takes damage',1,3),
(113704,240159,3,100,'Does not affect Epic targets',1,4),
(113705,240159,3,100,'Resistibility increases against targets higher than level 48.',1,5),
(113706,240159,3,100,'Roots target',0,6),
(113707,240159,3,100,'15% chance to dispel when target takes damage',0,7),
(113708,240159,3,100,'Does not affect Epic targets',0,8),
(113709,240159,3,100,'Resistibility increases against targets higher than level 29.',0,9),
(113710,240159,4,100,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',0,0),
(113711,240159,4,100,'Slows target by 37.2%',1,1),
(113712,240159,4,100,'Makes target afraid',1,2),
(113713,240159,4,100,'30% chance to dispel when target takes damage',1,3),
(113714,240159,4,100,'Does not affect Epic targets',1,4),
(113715,240159,4,100,'Resistibility increases against targets higher than level 48.',1,5),
(113716,240159,4,100,'Roots target',0,6),
(113717,240159,4,100,'15% chance to dispel when target takes damage',0,7),
(113718,240159,4,100,'Does not affect Epic targets',0,8),
(113719,240159,4,100,'Resistibility increases against targets higher than level 29.',0,9),
(113720,240159,5,100,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',0,0),
(113721,240159,5,100,'Slows target by 40.6%',1,1),
(113722,240159,5,100,'Makes target afraid',1,2),
(113723,240159,5,100,'30% chance to dispel when target takes damage',1,3),
(113724,240159,5,100,'Does not affect Epic targets',1,4),
(113725,240159,5,100,'Resistibility increases against targets higher than level 48.',1,5),
(113726,240159,5,100,'Roots target',0,6),
(113727,240159,5,100,'15% chance to dispel when target takes damage',0,7),
(113728,240159,5,100,'Does not affect Epic targets',0,8),
(113729,240159,5,100,'Resistibility increases against targets higher than level 29.',0,9),
(113730,240159,7,100,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',0,0),
(113731,240159,7,100,'Slows target by 52.1%',1,1),
(113732,240159,7,100,'Makes target afraid',1,2),
(113733,240159,7,100,'30% chance to dispel when target takes damage',1,3),
(113734,240159,7,100,'Does not affect Epic targets',1,4),
(113735,240159,7,100,'Resistibility increases against targets higher than level 48.',1,5),
(113736,240159,7,100,'Roots target',0,6),
(113737,240159,7,100,'15% chance to dispel when target takes damage',0,7),
(113738,240159,7,100,'Does not affect Epic targets',0,8),
(113739,240159,7,100,'Resistibility increases against targets higher than level 29.',0,9),
(113740,240159,9,100,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',0,0),
(113741,240159,9,100,'Slows target by 54.1%',1,1),
(113742,240159,9,100,'Makes target afraid',1,2),
(113743,240159,9,100,'30% chance to dispel when target takes damage',1,3),
(113744,240159,9,100,'Does not affect Epic targets',1,4),
(113745,240159,9,100,'Resistibility increases against targets higher than level 48.',1,5),
(113746,240159,9,100,'Roots target',0,6),
(113747,240159,9,100,'15% chance to dispel when target takes damage',0,7),
(113748,240159,9,100,'Does not affect Epic targets',0,8),
(113749,240159,9,100,'Resistibility increases against targets higher than level 29.',0,9),
(113750,240160,1,100,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',0,0),
(113751,240160,1,100,'Slows target by 32.9%',1,1),
(113752,240160,1,100,'Makes target afraid',1,2),
(113753,240160,1,100,'30% chance to dispel when target takes damage',1,3),
(113754,240160,1,100,'Does not affect Epic targets',1,4),
(113755,240160,1,100,'Resistibility increases against targets higher than level 62.',1,5),
(113756,240160,1,100,'Roots target',0,6),
(113757,240160,1,100,'15% chance to dispel when target takes damage',0,7),
(113758,240160,1,100,'Does not affect Epic targets',0,8),
(113759,240160,1,100,'Resistibility increases against targets higher than level 29.',0,9),
(113760,240160,2,100,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',0,0),
(113761,240160,2,100,'Slows target by 34.8%',1,1),
(113762,240160,2,100,'Makes target afraid',1,2),
(113763,240160,2,100,'30% chance to dispel when target takes damage',1,3),
(113764,240160,2,100,'Does not affect Epic targets',1,4),
(113765,240160,2,100,'Resistibility increases against targets higher than level 62.',1,5),
(113766,240160,2,100,'Roots target',0,6),
(113767,240160,2,100,'15% chance to dispel when target takes damage',0,7),
(113768,240160,2,100,'Does not affect Epic targets',0,8),
(113769,240160,2,100,'Resistibility increases against targets higher than level 29.',0,9),
(113770,240160,3,100,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',0,0),
(113771,240160,3,100,'Slows target by 36.6%',1,1),
(113772,240160,3,100,'Makes target afraid',1,2),
(113773,240160,3,100,'30% chance to dispel when target takes damage',1,3),
(113774,240160,3,100,'Does not affect Epic targets',1,4),
(113775,240160,3,100,'Resistibility increases against targets higher than level 62.',1,5),
(113776,240160,3,100,'Roots target',0,6),
(113777,240160,3,100,'15% chance to dispel when target takes damage',0,7),
(113778,240160,3,100,'Does not affect Epic targets',0,8),
(113779,240160,3,100,'Resistibility increases against targets higher than level 29.',0,9),
(113780,240160,4,100,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',0,0),
(113781,240160,4,100,'Slows target by 40.3%',1,1),
(113782,240160,4,100,'Makes target afraid',1,2),
(113783,240160,4,100,'30% chance to dispel when target takes damage',1,3),
(113784,240160,4,100,'Does not affect Epic targets',1,4),
(113785,240160,4,100,'Resistibility increases against targets higher than level 62.',1,5),
(113786,240160,4,100,'Roots target',0,6),
(113787,240160,4,100,'15% chance to dispel when target takes damage',0,7),
(113788,240160,4,100,'Does not affect Epic targets',0,8),
(113789,240160,4,100,'Resistibility increases against targets higher than level 29.',0,9),
(113790,240160,5,100,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',0,0),
(113791,240160,5,100,'Slows target by 43.9%',1,1),
(113792,240160,5,100,'Makes target afraid',1,2),
(113793,240160,5,100,'30% chance to dispel when target takes damage',1,3),
(113794,240160,5,100,'Does not affect Epic targets',1,4),
(113795,240160,5,100,'Resistibility increases against targets higher than level 62.',1,5),
(113796,240160,5,100,'Roots target',0,6),
(113797,240160,5,100,'15% chance to dispel when target takes damage',0,7),
(113798,240160,5,100,'Does not affect Epic targets',0,8),
(113799,240160,5,100,'Resistibility increases against targets higher than level 29.',0,9),
(113800,240160,7,100,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',0,0),
(113801,240160,7,100,'Slows target by 56.4%',1,1),
(113802,240160,7,100,'Makes target afraid',1,2),
(113803,240160,7,100,'30% chance to dispel when target takes damage',1,3),
(113804,240160,7,100,'Does not affect Epic targets',1,4),
(113805,240160,7,100,'Resistibility increases against targets higher than level 62.',1,5),
(113806,240160,7,100,'Roots target',0,6),
(113807,240160,7,100,'15% chance to dispel when target takes damage',0,7),
(113808,240160,7,100,'Does not affect Epic targets',0,8),
(113809,240160,7,100,'Resistibility increases against targets higher than level 29.',0,9),
(113810,240160,9,100,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',0,0),
(113811,240160,9,100,'Slows target by 58.6%',1,1),
(113812,240160,9,100,'Makes target afraid',1,2),
(113813,240160,9,100,'30% chance to dispel when target takes damage',1,3),
(113814,240160,9,100,'Does not affect Epic targets',1,4),
(113815,240160,9,100,'Resistibility increases against targets higher than level 62.',1,5),
(113816,240160,9,100,'Roots target',0,6),
(113817,240160,9,100,'15% chance to dispel when target takes damage',0,7),
(113818,240160,9,100,'Does not affect Epic targets',0,8),
(113819,240160,9,100,'Resistibility increases against targets higher than level 29.',0,9),
(113820,240161,1,100,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',0,0),
(113821,240161,1,100,'Slows target by 35.5%',1,1),
(113822,240161,1,100,'Makes target afraid',1,2),
(113823,240161,1,100,'30% chance to dispel when target takes damage',1,3),
(113824,240161,1,100,'Does not affect Epic targets',1,4),
(113825,240161,1,100,'Resistibility increases against targets higher than level 76.',1,5),
(113826,240161,1,100,'Roots target',0,6),
(113827,240161,1,100,'15% chance to dispel when target takes damage',0,7),
(113828,240161,1,100,'Does not affect Epic targets',0,8),
(113829,240161,1,100,'Resistibility increases against targets higher than level 29.',0,9),
(113830,240161,2,100,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',0,0),
(113831,240161,2,100,'Slows target by 37.4%',1,1),
(113832,240161,2,100,'Makes target afraid',1,2),
(113833,240161,2,100,'30% chance to dispel when target takes damage',1,3),
(113834,240161,2,100,'Does not affect Epic targets',1,4),
(113835,240161,2,100,'Resistibility increases against targets higher than level 76.',1,5),
(113836,240161,2,100,'Roots target',0,6),
(113837,240161,2,100,'15% chance to dispel when target takes damage',0,7),
(113838,240161,2,100,'Does not affect Epic targets',0,8),
(113839,240161,2,100,'Resistibility increases against targets higher than level 29.',0,9),
(113840,240161,3,100,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',0,0),
(113841,240161,3,100,'Slows target by 39.4%',1,1),
(113842,240161,3,100,'Makes target afraid',1,2),
(113843,240161,3,100,'30% chance to dispel when target takes damage',1,3),
(113844,240161,3,100,'Does not affect Epic targets',1,4),
(113845,240161,3,100,'Resistibility increases against targets higher than level 76.',1,5),
(113846,240161,3,100,'Roots target',0,6),
(113847,240161,3,100,'15% chance to dispel when target takes damage',0,7),
(113848,240161,3,100,'Does not affect Epic targets',0,8),
(113849,240161,3,100,'Resistibility increases against targets higher than level 29.',0,9),
(113850,240161,4,100,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',0,0),
(113851,240161,4,100,'Slows target by 43.3%',1,1),
(113852,240161,4,100,'Makes target afraid',1,2),
(113853,240161,4,100,'30% chance to dispel when target takes damage',1,3),
(113854,240161,4,100,'Does not affect Epic targets',1,4),
(113855,240161,4,100,'Resistibility increases against targets higher than level 76.',1,5),
(113856,240161,4,100,'Roots target',0,6),
(113857,240161,4,100,'15% chance to dispel when target takes damage',0,7),
(113858,240161,4,100,'Does not affect Epic targets',0,8),
(113859,240161,4,100,'Resistibility increases against targets higher than level 29.',0,9),
(113860,240161,5,100,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',0,0),
(113861,240161,5,100,'Slows target by 47.3%',1,1),
(113862,240161,5,100,'Makes target afraid',1,2),
(113863,240161,5,100,'30% chance to dispel when target takes damage',1,3),
(113864,240161,5,100,'Does not affect Epic targets',1,4),
(113865,240161,5,100,'Resistibility increases against targets higher than level 76.',1,5),
(113866,240161,5,100,'Roots target',0,6),
(113867,240161,5,100,'15% chance to dispel when target takes damage',0,7),
(113868,240161,5,100,'Does not affect Epic targets',0,8),
(113869,240161,5,100,'Resistibility increases against targets higher than level 29.',0,9),
(113870,240161,7,100,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',0,0),
(113871,240161,7,100,'Slows target by 60.7%',1,1),
(113872,240161,7,100,'Makes target afraid',1,2),
(113873,240161,7,100,'30% chance to dispel when target takes damage',1,3),
(113874,240161,7,100,'Does not affect Epic targets',1,4),
(113875,240161,7,100,'Resistibility increases against targets higher than level 76.',1,5),
(113876,240161,7,100,'Roots target',0,6),
(113877,240161,7,100,'15% chance to dispel when target takes damage',0,7),
(113878,240161,7,100,'Does not affect Epic targets',0,8),
(113879,240161,7,100,'Resistibility increases against targets higher than level 29.',0,9),
(113880,240161,9,100,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',0,0),
(113881,240161,9,100,'Slows target by 63.0%',1,1),
(113882,240161,9,100,'Makes target afraid',1,2),
(113883,240161,9,100,'30% chance to dispel when target takes damage',1,3),
(113884,240161,9,100,'Does not affect Epic targets',1,4),
(113885,240161,9,100,'Resistibility increases against targets higher than level 76.',1,5),
(113886,240161,9,100,'Roots target',0,6),
(113887,240161,9,100,'15% chance to dispel when target takes damage',0,7),
(113888,240161,9,100,'Does not affect Epic targets',0,8),
(113889,240161,9,100,'Resistibility increases against targets higher than level 29.',0,9),
(113890,240162,1,100,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',0,0),
(113891,240162,1,100,'Slows target by 36.4%',1,1),
(113892,240162,1,100,'Makes target afraid',1,2),
(113893,240162,1,100,'30% chance to dispel when target takes damage',1,3),
(113894,240162,1,100,'Does not affect Epic targets',1,4),
(113895,240162,1,100,'Resistibility increases against targets higher than level 90.',1,5),
(113896,240162,1,100,'Roots target',0,6),
(113897,240162,1,100,'15% chance to dispel when target takes damage',0,7),
(113898,240162,1,100,'Does not affect Epic targets',0,8),
(113899,240162,1,100,'Resistibility increases against targets higher than level 29.',0,9),
(113900,240162,2,100,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',0,0),
(113901,240162,2,100,'Slows target by 38.4%',1,1),
(113902,240162,2,100,'Makes target afraid',1,2),
(113903,240162,2,100,'30% chance to dispel when target takes damage',1,3),
(113904,240162,2,100,'Does not affect Epic targets',1,4),
(113905,240162,2,100,'Resistibility increases against targets higher than level 90.',1,5),
(113906,240162,2,100,'Roots target',0,6),
(113907,240162,2,100,'15% chance to dispel when target takes damage',0,7),
(113908,240162,2,100,'Does not affect Epic targets',0,8),
(113909,240162,2,100,'Resistibility increases against targets higher than level 29.',0,9),
(113910,240162,3,100,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',0,0),
(113911,240162,3,100,'Slows target by 40.4%',1,1),
(113912,240162,3,100,'Makes target afraid',1,2),
(113913,240162,3,100,'30% chance to dispel when target takes damage',1,3),
(113914,240162,3,100,'Does not affect Epic targets',1,4),
(113915,240162,3,100,'Resistibility increases against targets higher than level 90.',1,5),
(113916,240162,3,100,'Roots target',0,6),
(113917,240162,3,100,'15% chance to dispel when target takes damage',0,7),
(113918,240162,3,100,'Does not affect Epic targets',0,8),
(113919,240162,3,100,'Resistibility increases against targets higher than level 29.',0,9),
(113920,240162,4,100,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',0,0),
(113921,240162,4,100,'Slows target by 44.5%',1,1),
(113922,240162,4,100,'Makes target afraid',1,2),
(113923,240162,4,100,'30% chance to dispel when target takes damage',1,3),
(113924,240162,4,100,'Does not affect Epic targets',1,4),
(113925,240162,4,100,'Resistibility increases against targets higher than level 90.',1,5),
(113926,240162,4,100,'Roots target',0,6),
(113927,240162,4,100,'15% chance to dispel when target takes damage',0,7),
(113928,240162,4,100,'Does not affect Epic targets',0,8),
(113929,240162,4,100,'Resistibility increases against targets higher than level 29.',0,9),
(113930,240162,5,100,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',0,0),
(113931,240162,5,100,'Slows target by 48.5%',1,1),
(113932,240162,5,100,'Makes target afraid',1,2),
(113933,240162,5,100,'30% chance to dispel when target takes damage',1,3),
(113934,240162,5,100,'Does not affect Epic targets',1,4),
(113935,240162,5,100,'Resistibility increases against targets higher than level 90.',1,5),
(113936,240162,5,100,'Roots target',0,6),
(113937,240162,5,100,'15% chance to dispel when target takes damage',0,7),
(113938,240162,5,100,'Does not affect Epic targets',0,8),
(113939,240162,5,100,'Resistibility increases against targets higher than level 29.',0,9),
(113940,240162,7,100,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',0,0),
(113941,240162,7,100,'Slows target by 62.3%',1,1),
(113942,240162,7,100,'Makes target afraid',1,2),
(113943,240162,7,100,'30% chance to dispel when target takes damage',1,3),
(113944,240162,7,100,'Does not affect Epic targets',1,4),
(113945,240162,7,100,'Resistibility increases against targets higher than level 90.',1,5),
(113946,240162,7,100,'Roots target',0,6),
(113947,240162,7,100,'15% chance to dispel when target takes damage',0,7),
(113948,240162,7,100,'Does not affect Epic targets',0,8),
(113949,240162,7,100,'Resistibility increases against targets higher than level 29.',0,9),
(113950,240162,9,100,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',0,0),
(113951,240162,9,100,'Slows target by 64.7%',1,1),
(113952,240162,9,100,'Makes target afraid',1,2),
(113953,240162,9,100,'30% chance to dispel when target takes damage',1,3),
(113954,240162,9,100,'Does not affect Epic targets',1,4),
(113955,240162,9,100,'Resistibility increases against targets higher than level 90.',1,5),
(113956,240162,9,100,'Roots target',0,6),
(113957,240162,9,100,'15% chance to dispel when target takes damage',0,7),
(113958,240162,9,100,'Does not affect Epic targets',0,8),
(113959,240162,9,100,'Resistibility increases against targets higher than level 29.',0,9),
(113960,240163,1,100,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',0,0),
(113961,240163,1,100,'Slows target by 36.8%',1,1),
(113962,240163,1,100,'Makes target afraid',1,2),
(113963,240163,1,100,'30% chance to dispel when target takes damage',1,3),
(113964,240163,1,100,'Does not affect Epic targets',1,4),
(113965,240163,1,100,'Resistibility increases against targets higher than level 102.',1,5),
(113966,240163,1,100,'Roots target',0,6),
(113967,240163,1,100,'15% chance to dispel when target takes damage',0,7),
(113968,240163,1,100,'Does not affect Epic targets',0,8),
(113969,240163,1,100,'Resistibility increases against targets higher than level 29.',0,9),
(113970,240163,2,100,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',0,0),
(113971,240163,2,100,'Slows target by 38.9%',1,1),
(113972,240163,2,100,'Makes target afraid',1,2),
(113973,240163,2,100,'30% chance to dispel when target takes damage',1,3),
(113974,240163,2,100,'Does not affect Epic targets',1,4),
(113975,240163,2,100,'Resistibility increases against targets higher than level 102.',1,5),
(113976,240163,2,100,'Roots target',0,6),
(113977,240163,2,100,'15% chance to dispel when target takes damage',0,7),
(113978,240163,2,100,'Does not affect Epic targets',0,8),
(113979,240163,2,100,'Resistibility increases against targets higher than level 29.',0,9),
(113980,240163,3,100,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',0,0),
(113981,240163,3,100,'Slows target by 40.9%',1,1),
(113982,240163,3,100,'Makes target afraid',1,2),
(113983,240163,3,100,'30% chance to dispel when target takes damage',1,3),
(113984,240163,3,100,'Does not affect Epic targets',1,4),
(113985,240163,3,100,'Resistibility increases against targets higher than level 102.',1,5),
(113986,240163,3,100,'Roots target',0,6),
(113987,240163,3,100,'15% chance to dispel when target takes damage',0,7),
(113988,240163,3,100,'Does not affect Epic targets',0,8),
(113989,240163,3,100,'Resistibility increases against targets higher than level 29.',0,9),
(113990,240163,4,100,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',0,0),
(113991,240163,4,100,'Slows target by 45.0%',1,1),
(113992,240163,4,100,'Makes target afraid',1,2),
(113993,240163,4,100,'30% chance to dispel when target takes damage',1,3),
(113994,240163,4,100,'Does not affect Epic targets',1,4),
(113995,240163,4,100,'Resistibility increases against targets higher than level 102.',1,5),
(113996,240163,4,100,'Roots target',0,6),
(113997,240163,4,100,'15% chance to dispel when target takes damage',0,7),
(113998,240163,4,100,'Does not affect Epic targets',0,8),
(113999,240163,4,100,'Resistibility increases against targets higher than level 29.',0,9),
(114000,240163,5,100,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',0,0),
(114001,240163,5,100,'Slows target by 49.1%',1,1),
(114002,240163,5,100,'Makes target afraid',1,2),
(114003,240163,5,100,'30% chance to dispel when target takes damage',1,3),
(114004,240163,5,100,'Does not affect Epic targets',1,4),
(114005,240163,5,100,'Resistibility increases against targets higher than level 102.',1,5),
(114006,240163,5,100,'Roots target',0,6),
(114007,240163,5,100,'15% chance to dispel when target takes damage',0,7),
(114008,240163,5,100,'Does not affect Epic targets',0,8),
(114009,240163,5,100,'Resistibility increases against targets higher than level 29.',0,9),
(114010,240163,7,100,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',0,0),
(114011,240163,7,100,'Slows target by 63.0%',1,1),
(114012,240163,7,100,'Makes target afraid',1,2),
(114013,240163,7,100,'30% chance to dispel when target takes damage',1,3),
(114014,240163,7,100,'Does not affect Epic targets',1,4),
(114015,240163,7,100,'Resistibility increases against targets higher than level 102.',1,5),
(114016,240163,7,100,'Roots target',0,6),
(114017,240163,7,100,'15% chance to dispel when target takes damage',0,7),
(114018,240163,7,100,'Does not affect Epic targets',0,8),
(114019,240163,7,100,'Resistibility increases against targets higher than level 29.',0,9),
(114020,240163,9,100,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',0,0),
(114021,240163,9,100,'Slows target by 65.5%',1,1),
(114022,240163,9,100,'Makes target afraid',1,2),
(114023,240163,9,100,'30% chance to dispel when target takes damage',1,3),
(114024,240163,9,100,'Does not affect Epic targets',1,4),
(114025,240163,9,100,'Resistibility increases against targets higher than level 102.',1,5),
(114026,240163,9,100,'Roots target',0,6),
(114027,240163,9,100,'15% chance to dispel when target takes damage',0,7),
(114028,240163,9,100,'Does not affect Epic targets',0,8),
(114029,240163,9,100,'Resistibility increases against targets higher than level 29.',0,9),
(114030,240164,1,100,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',0,0),
(114031,240164,1,100,'Slows target by 37.2%',1,1),
(114032,240164,1,100,'Makes target afraid',1,2),
(114033,240164,1,100,'30% chance to dispel when target takes damage',1,3),
(114034,240164,1,100,'Does not affect Epic targets',1,4),
(114035,240164,1,100,'Resistibility increases against targets higher than level 112.',1,5),
(114036,240164,1,100,'Roots target',0,6),
(114037,240164,1,100,'15% chance to dispel when target takes damage',0,7),
(114038,240164,1,100,'Does not affect Epic targets',0,8),
(114039,240164,1,100,'Resistibility increases against targets higher than level 29.',0,9),
(114040,240164,4,100,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',0,0),
(114041,240164,4,100,'Slows target by 45.5%',1,1),
(114042,240164,4,100,'Makes target afraid',1,2),
(114043,240164,4,100,'30% chance to dispel when target takes damage',1,3),
(114044,240164,4,100,'Does not affect Epic targets',1,4),
(114045,240164,4,100,'Resistibility increases against targets higher than level 112.',1,5),
(114046,240164,4,100,'Roots target',0,6),
(114047,240164,4,100,'15% chance to dispel when target takes damage',0,7),
(114048,240164,4,100,'Does not affect Epic targets',0,8),
(114049,240164,4,100,'Resistibility increases against targets higher than level 29.',0,9),
(114050,240164,5,100,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',0,0),
(114051,240164,5,100,'Slows target by 49.6%',1,1),
(114052,240164,5,100,'Makes target afraid',1,2),
(114053,240164,5,100,'30% chance to dispel when target takes damage',1,3),
(114054,240164,5,100,'Does not affect Epic targets',1,4),
(114055,240164,5,100,'Resistibility increases against targets higher than level 112.',1,5),
(114056,240164,5,100,'Roots target',0,6),
(114057,240164,5,100,'15% chance to dispel when target takes damage',0,7),
(114058,240164,5,100,'Does not affect Epic targets',0,8),
(114059,240164,5,100,'Resistibility increases against targets higher than level 29.',0,9),
(114060,240164,7,100,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',0,0),
(114061,240164,7,100,'Slows target by 63.6%',1,1),
(114062,240164,7,100,'Makes target afraid',1,2),
(114063,240164,7,100,'30% chance to dispel when target takes damage',1,3),
(114064,240164,7,100,'Does not affect Epic targets',1,4),
(114065,240164,7,100,'Resistibility increases against targets higher than level 112.',1,5),
(114066,240164,7,100,'Roots target',0,6),
(114067,240164,7,100,'15% chance to dispel when target takes damage',0,7),
(114068,240164,7,100,'Does not affect Epic targets',0,8),
(114069,240164,7,100,'Resistibility increases against targets higher than level 29.',0,9),
(114070,240164,9,100,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',0,0),
(114071,240164,9,100,'Slows target by 66.1%',1,1),
(114072,240164,9,100,'Makes target afraid',1,2),
(114073,240164,9,100,'30% chance to dispel when target takes damage',1,3),
(114074,240164,9,100,'Does not affect Epic targets',1,4),
(114075,240164,9,100,'Resistibility increases against targets higher than level 112.',1,5),
(114076,240164,9,100,'Roots target',0,6),
(114077,240164,9,100,'15% chance to dispel when target takes damage',0,7),
(114078,240164,9,100,'Does not affect Epic targets',0,8),
(114079,240164,9,100,'Resistibility increases against targets higher than level 29.',0,9),
(114080,150006,1,100,'When damaged with a melee weapon this spell will cast Nettleshield Thorns on target''s attacker.  ',0,0),
(114081,150006,1,100,'Inflicts 3 piercing damage on target',1,1),
(114082,150006,2,100,'When damaged with a melee weapon this spell will cast Nettleshield Thorns on target''s attacker.  ',0,0),
(114083,150006,2,100,'Inflicts 3 piercing damage on target',1,1),
(114084,150006,3,100,'When damaged with a melee weapon this spell will cast Nettleshield Thorns on target''s attacker.  ',0,0),
(114085,150006,3,100,'Inflicts 3 piercing damage on target',1,1),
(114086,150006,4,100,'When damaged with a melee weapon this spell will cast Nettleshield Thorns on target''s attacker.  ',0,0),
(114087,150006,4,100,'Inflicts 3 piercing damage on target',1,1),
(114088,150006,5,100,'When damaged with a melee weapon this spell will cast Nettleshield Thorns on target''s attacker.  ',0,0),
(114089,150006,5,100,'Inflicts 4 piercing damage on target',1,1),
(114090,150006,7,100,'When damaged with a melee weapon this spell will cast Nettleshield Thorns on target''s attacker.  ',0,0),
(114091,150006,7,100,'Inflicts 5 piercing damage on target',1,1),
(114092,150006,9,100,'When damaged with a melee weapon this spell will cast Nettleshield Thorns on target''s attacker.  ',0,0),
(114093,150006,9,100,'Inflicts 5 piercing damage on target',1,1),
(114094,260108,1,100,'Inflicts 12 - 14 mental damage on target instantly and every 6 seconds',0,0),
(114095,260108,1,100,'Decreases Mitigation of target vs arcane damage by 141',0,1),
(114096,260108,2,100,'Inflicts 12 - 15 mental damage on target instantly and every 6 seconds',0,0),
(114097,260108,2,100,'Decreases Mitigation of target vs arcane damage by 149',0,1),
(114098,260108,3,100,'Inflicts 13 - 16 mental damage on target instantly and every 6 seconds',0,0),
(114099,260108,3,100,'Decreases Mitigation of target vs arcane damage by 157',0,1),
(114100,260108,4,100,'Inflicts 14 - 17 mental damage on target instantly and every 6 seconds',0,0),
(114101,260108,4,100,'Decreases Mitigation of target vs arcane damage by 172',0,1),
(114102,260108,5,100,'Inflicts 16 - 19 mental damage on target instantly and every 6 seconds',0,0),
(114103,260108,5,100,'Decreases Mitigation of target vs arcane damage by 188',0,1),
(114104,260108,7,100,'Inflicts 20 - 24 mental damage on target instantly and every 6 seconds',0,0),
(114105,260108,7,100,'Decreases Mitigation of target vs arcane damage by 241',0,1),
(114106,260108,9,100,'Inflicts 21 - 25 mental damage on target instantly and every 6 seconds',0,0),
(114107,260108,9,100,'Decreases Mitigation of target vs arcane damage by 251',0,1),
(114108,260108,10,100,'Inflicts 22 - 27 mental damage on target instantly and every 6 seconds',0,0),
(114109,260108,10,100,'Decreases Mitigation of target vs arcane damage by 263',0,1),
(114110,260109,1,100,'Inflicts 24 - 30 mental damage on target instantly and every 6 seconds',0,0),
(114111,260109,1,100,'Decreases Mitigation of target vs arcane damage by 252',0,1),
(114112,260109,2,100,'Inflicts 26 - 31 mental damage on target instantly and every 6 seconds',0,0),
(114113,260109,2,100,'Decreases Mitigation of target vs arcane damage by 266',0,1),
(114114,260109,3,100,'Inflicts 27 - 33 mental damage on target instantly and every 6 seconds',0,0),
(114115,260109,3,100,'Decreases Mitigation of target vs arcane damage by 280',0,1),
(114116,260109,4,100,'Inflicts 30 - 36 mental damage on target instantly and every 6 seconds',0,0),
(114117,260109,4,100,'Decreases Mitigation of target vs arcane damage by 308',0,1),
(114118,260109,5,100,'Inflicts 32 - 40 mental damage on target instantly and every 6 seconds',0,0),
(114119,260109,5,100,'Decreases Mitigation of target vs arcane damage by 336',0,1),
(114120,260109,7,100,'Inflicts 42 - 51 mental damage on target instantly and every 6 seconds',0,0),
(114121,260109,7,100,'Decreases Mitigation of target vs arcane damage by 431',0,1),
(114122,260109,9,100,'Inflicts 43 - 53 mental damage on target instantly and every 6 seconds',0,0),
(114123,260109,9,100,'Decreases Mitigation of target vs arcane damage by 448',0,1),
(114124,260110,1,100,'Inflicts 38 - 47 mental damage on target instantly and every 6 seconds',0,0),
(114125,260110,1,100,'Decreases Mitigation of target vs arcane damage by 378',0,1),
(114126,260110,2,100,'Inflicts 41 - 50 mental damage on target instantly and every 6 seconds',0,0),
(114127,260110,2,100,'Decreases Mitigation of target vs arcane damage by 399',0,1),
(114128,260110,3,100,'Inflicts 43 - 52 mental damage on target instantly and every 6 seconds',0,0),
(114129,260110,3,100,'Decreases Mitigation of target vs arcane damage by 420',0,1),
(114130,260110,4,100,'Inflicts 47 - 57 mental damage on target instantly and every 6 seconds',0,0),
(114131,260110,4,100,'Decreases Mitigation of target vs arcane damage by 462',0,1),
(114132,260110,5,100,'Inflicts 51 - 63 mental damage on target instantly and every 6 seconds',0,0),
(114133,260110,5,100,'Decreases Mitigation of target vs arcane damage by 504',0,1),
(114134,260110,7,100,'Inflicts 66 - 80 mental damage on target instantly and every 6 seconds',0,0),
(114135,260110,7,100,'Decreases Mitigation of target vs arcane damage by 647',0,1),
(114136,260110,9,100,'Inflicts 68 - 84 mental damage on target instantly and every 6 seconds',0,0),
(114137,260110,9,100,'Decreases Mitigation of target vs arcane damage by 672',0,1),
(114138,260111,1,100,'Inflicts 55 - 68 mental damage on target instantly and every 6 seconds',0,0),
(114139,260111,1,100,'Decreases Mitigation of target vs arcane damage by 504',0,1),
(114140,260111,2,100,'Inflicts 59 - 72 mental damage on target instantly and every 6 seconds',0,0),
(114141,260111,2,100,'Decreases Mitigation of target vs arcane damage by 532',0,1),
(114142,260111,3,100,'Inflicts 62 - 75 mental damage on target instantly and every 6 seconds',0,0),
(114143,260111,3,100,'Decreases Mitigation of target vs arcane damage by 560',0,1),
(114144,260111,4,100,'Inflicts 68 - 83 mental damage on target instantly and every 6 seconds',0,0),
(114145,260111,4,100,'Decreases Mitigation of target vs arcane damage by 616',0,1),
(114146,260111,5,100,'Inflicts 74 - 90 mental damage on target instantly and every 6 seconds',0,0),
(114147,260111,5,100,'Decreases Mitigation of target vs arcane damage by 672',0,1),
(114148,260111,7,100,'Inflicts 95 - 116 mental damage on target instantly and every 6 seconds',0,0),
(114149,260111,7,100,'Decreases Mitigation of target vs arcane damage by 862',0,1),
(114150,260111,9,100,'Inflicts 99 - 121 mental damage on target instantly and every 6 seconds',0,0),
(114151,260111,9,100,'Decreases Mitigation of target vs arcane damage by 896',0,1),
(114152,260112,1,100,'Inflicts 73 - 89 mental damage on target instantly and every 6 seconds',0,0),
(114153,260112,1,100,'Decreases Mitigation of target vs arcane damage by 630',0,1),
(114154,260112,2,100,'Inflicts 77 - 94 mental damage on target instantly and every 6 seconds',0,0),
(114155,260112,2,100,'Decreases Mitigation of target vs arcane damage by 665',0,1),
(114156,260112,3,100,'Inflicts 81 - 98 mental damage on target instantly and every 6 seconds',0,0),
(114157,260112,3,100,'Decreases Mitigation of target vs arcane damage by 700',0,1),
(114158,260112,4,100,'Inflicts 89 - 108 mental damage on target instantly and every 6 seconds',0,0),
(114159,260112,4,100,'Decreases Mitigation of target vs arcane damage by 770',0,1),
(114160,260112,5,100,'Inflicts 97 - 118 mental damage on target instantly and every 6 seconds',0,0),
(114161,260112,5,100,'Decreases Mitigation of target vs arcane damage by 840',0,1),
(114162,260112,7,100,'Inflicts 124 - 152 mental damage on target instantly and every 6 seconds',0,0),
(114163,260112,7,100,'Decreases Mitigation of target vs arcane damage by 1078',0,1),
(114164,260112,9,100,'Inflicts 129 - 158 mental damage on target instantly and every 6 seconds',0,0),
(114165,260112,9,100,'Decreases Mitigation of target vs arcane damage by 1120',0,1),
(114166,260113,1,100,'Inflicts 88 - 107 mental damage on target instantly and every 6 seconds',0,0),
(114167,260113,1,100,'Decreases Mitigation of target vs arcane damage by 823',0,1),
(114168,260113,2,100,'Inflicts 93 - 113 mental damage on target instantly and every 6 seconds',0,0),
(114169,260113,2,100,'Decreases Mitigation of target vs arcane damage by 869',0,1),
(114170,260113,3,100,'Inflicts 98 - 119 mental damage on target instantly and every 6 seconds',0,0),
(114171,260113,3,100,'Decreases Mitigation of target vs arcane damage by 914',0,1),
(114172,260113,4,100,'Inflicts 107 - 131 mental damage on target instantly and every 6 seconds',0,0),
(114173,260113,4,100,'Decreases Mitigation of target vs arcane damage by 1006',0,1),
(114174,260113,5,100,'Inflicts 117 - 143 mental damage on target instantly and every 6 seconds',0,0),
(114175,260113,5,100,'Decreases Mitigation of target vs arcane damage by 1097',0,1),
(114176,260113,7,100,'Inflicts 150 - 184 mental damage on target instantly and every 6 seconds',0,0),
(114177,260113,7,100,'Decreases Mitigation of target vs arcane damage by 1408',0,1),
(114178,260113,9,100,'Inflicts 156 - 191 mental damage on target instantly and every 6 seconds',0,0),
(114179,260113,9,100,'Decreases Mitigation of target vs arcane damage by 1463',0,1),
(114180,260114,1,100,'Inflicts 106 - 129 mental damage on target instantly and every 6 seconds',0,0),
(114181,260114,1,100,'Decreases Mitigation of target vs arcane damage by 972',0,1),
(114182,260114,4,100,'Inflicts 129 - 158 mental damage on target instantly and every 6 seconds',0,0),
(114183,260114,4,100,'Decreases Mitigation of target vs arcane damage by 1188',0,1),
(114184,260114,5,100,'Inflicts 141 - 172 mental damage on target instantly and every 6 seconds',0,0),
(114185,260114,5,100,'Decreases Mitigation of target vs arcane damage by 1296',0,1),
(114186,260114,7,100,'Inflicts 181 - 221 mental damage on target instantly and every 6 seconds',0,0),
(114187,260114,7,100,'Decreases Mitigation of target vs arcane damage by 1663',0,1),
(114188,260114,9,100,'Inflicts 188 - 230 mental damage on target instantly and every 6 seconds',0,0),
(114189,260114,9,100,'Decreases Mitigation of target vs arcane damage by 1728',0,1),
(114190,260115,1,100,'Inflicts 112 - 137 mental damage on target instantly and every 6 seconds',0,0),
(114191,260115,1,100,'Decreases Mitigation of target vs arcane damage by 1080',0,1),
(114192,260115,4,100,'Inflicts 137 - 168 mental damage on target instantly and every 6 seconds',0,0),
(114193,260115,4,100,'Decreases Mitigation of target vs arcane damage by 1320',0,1),
(114194,260115,5,100,'Inflicts 150 - 183 mental damage on target instantly and every 6 seconds',0,0),
(114195,260115,5,100,'Decreases Mitigation of target vs arcane damage by 1440',0,1),
(114196,260115,7,100,'Inflicts 192 - 235 mental damage on target instantly and every 6 seconds',0,0),
(114197,260115,7,100,'Decreases Mitigation of target vs arcane damage by 1848',0,1),
(114198,260115,9,100,'Inflicts 200 - 244 mental damage on target instantly and every 6 seconds',0,0),
(114199,260115,9,100,'Decreases Mitigation of target vs arcane damage by 1920',0,1),
(114200,200121,12,100,'Inflicts 806 - 985 disease damage on target encounter instantly and every 4 seconds',0,0),
(114201,200121,12,100,'Heals group members (AE) for 5 - 7 instantly and every 4 seconds',0,1),
(114202,300134,1,100,'Summons a pet nightshade',0,0),
(114203,300134,2,100,'Summons a pet nightshade',0,0),
(114204,300134,3,100,'Summons a pet nightshade',0,0),
(114205,300134,4,100,'Summons a pet nightshade',0,0),
(114206,300134,5,100,'Summons a pet nightshade',0,0),
(114207,300134,7,100,'Summons a pet nightshade',0,0),
(114208,300134,9,100,'Summons a pet nightshade',0,0),
(114209,300135,1,100,'Summons a pet nightshade',0,0),
(114210,300135,2,100,'Summons a pet nightshade',0,0),
(114211,300135,3,100,'Summons a pet nightshade',0,0),
(114212,300135,4,100,'Summons a pet nightshade',0,0),
(114213,300135,5,100,'Summons a pet nightshade',0,0),
(114214,300135,7,100,'Summons a pet nightshade',0,0),
(114215,300135,9,100,'Summons a pet nightshade',0,0),
(114216,300136,1,100,'Summons a pet nightshade',0,0),
(114217,300136,2,100,'Summons a pet nightshade',0,0),
(114218,300136,3,100,'Summons a pet nightshade',0,0),
(114219,300136,4,100,'Summons a pet nightshade',0,0),
(114220,300136,5,100,'Summons a pet nightshade',0,0),
(114221,300136,7,100,'Summons a pet nightshade',0,0),
(114222,300136,9,100,'Summons a pet nightshade',0,0),
(114223,300137,1,100,'Summons a pet nightshade',0,0),
(114224,300137,2,100,'Summons a pet nightshade',0,0),
(114225,300137,3,100,'Summons a pet nightshade',0,0),
(114226,300137,4,100,'Summons a pet nightshade',0,0),
(114227,300137,5,100,'Summons a pet nightshade',0,0),
(114228,300137,7,100,'Summons a pet nightshade',0,0),
(114229,300137,9,100,'Summons a pet nightshade',0,0),
(114230,300138,1,100,'Summons a pet nightshade',0,0),
(114231,300138,4,100,'Summons a pet nightshade',0,0),
(114232,300138,5,100,'Summons a pet nightshade',0,0),
(114233,300138,7,100,'Summons a pet nightshade',0,0),
(114234,300138,9,100,'Summons a pet nightshade',0,0),
(114235,300139,1,100,'Summons a pet nightshade',0,0),
(114236,300139,4,100,'Summons a pet nightshade',0,0),
(114237,300139,5,100,'Summons a pet nightshade',0,0),
(114238,300139,7,100,'Summons a pet nightshade',0,0),
(114239,300139,9,100,'Summons a pet nightshade',0,0),
(114240,2000554,1,100,'Will absorb all damage when the amount is greater than 10% of the target''s maximum health. This spell will absorb a total of 3 attacks.',0,0),
(114241,200122,1,100,'Increases STA of group members (AE) by 3.0',0,0),
(114242,200122,1,100,'Increases Mitigation of group members (AE) vs noxious damage by 194',0,1),
(114243,200122,2,100,'Increases STA of group members (AE) by 3.2',0,0),
(114244,200122,2,100,'Increases Mitigation of group members (AE) vs noxious damage by 205',0,1),
(114245,200122,3,100,'Increases STA of group members (AE) by 3.4',0,0),
(114246,200122,3,100,'Increases Mitigation of group members (AE) vs noxious damage by 216',0,1),
(114247,200122,4,100,'Increases STA of group members (AE) by 3.7',0,0),
(114248,200122,4,100,'Increases Mitigation of group members (AE) vs noxious damage by 238',0,1),
(114249,200122,5,100,'Increases STA of group members (AE) by 4.1',0,0),
(114250,200122,5,100,'Increases Mitigation of group members (AE) vs noxious damage by 259',0,1),
(114251,200122,7,100,'Increases STA of group members (AE) by 5.2',0,0),
(114252,200122,7,100,'Increases Mitigation of group members (AE) vs noxious damage by 333',0,1),
(114253,200122,9,100,'Increases STA of group members (AE) by 5.4',0,0),
(114254,200122,9,100,'Increases Mitigation of group members (AE) vs noxious damage by 346',0,1),
(114255,200123,1,100,'Increases STA of group members (AE) by 7.8',0,0),
(114256,200123,1,100,'Increases Mitigation of group members (AE) vs noxious damage by 338',0,1),
(114257,200123,2,100,'Increases STA of group members (AE) by 8.2',0,0),
(114258,200123,2,100,'Increases Mitigation of group members (AE) vs noxious damage by 356',0,1),
(114259,200123,3,100,'Increases STA of group members (AE) by 8.7',0,0),
(114260,200123,3,100,'Increases Mitigation of group members (AE) vs noxious damage by 375',0,1),
(114261,200123,4,100,'Increases STA of group members (AE) by 9.5',0,0),
(114262,200123,4,100,'Increases Mitigation of group members (AE) vs noxious damage by 413',0,1),
(114263,200123,5,100,'Increases STA of group members (AE) by 10.4',0,0),
(114264,200123,5,100,'Increases Mitigation of group members (AE) vs noxious damage by 450',0,1),
(114265,200123,7,100,'Increases STA of group members (AE) by 13.3',0,0),
(114266,200123,7,100,'Increases Mitigation of group members (AE) vs noxious damage by 578',0,1),
(114267,200123,9,100,'Increases STA of group members (AE) by 13.8',0,0),
(114268,200123,9,100,'Increases Mitigation of group members (AE) vs noxious damage by 600',0,1),
(114269,200124,1,100,'Increases STA of group members (AE) by 13.2',0,0),
(114270,200124,1,100,'Increases Mitigation of group members (AE) vs noxious damage by 495',0,1),
(114271,200124,2,100,'Increases STA of group members (AE) by 14.0',0,0),
(114272,200124,2,100,'Increases Mitigation of group members (AE) vs noxious damage by 523',0,1),
(114273,200124,3,100,'Increases STA of group members (AE) by 14.7',0,0),
(114274,200124,3,100,'Increases Mitigation of group members (AE) vs noxious damage by 550',0,1),
(114275,200124,4,100,'Increases STA of group members (AE) by 16.2',0,0),
(114276,200124,4,100,'Increases Mitigation of group members (AE) vs noxious damage by 605',0,1),
(114277,200124,5,100,'Increases STA of group members (AE) by 17.6',0,0),
(114278,200124,5,100,'Increases Mitigation of group members (AE) vs noxious damage by 660',0,1),
(114279,200124,7,100,'Increases STA of group members (AE) by 22.6',0,0),
(114280,200124,7,100,'Increases Mitigation of group members (AE) vs noxious damage by 847',0,1),
(114281,200124,9,100,'Increases STA of group members (AE) by 23.5',0,0),
(114282,200124,9,100,'Increases Mitigation of group members (AE) vs noxious damage by 880',0,1),
(114283,200125,1,100,'Increases STA of group members (AE) by 18.1',0,0),
(114284,200125,1,100,'Increases Mitigation of group members (AE) vs noxious damage by 653',0,1),
(114285,200125,2,100,'Increases STA of group members (AE) by 19.1',0,0),
(114286,200125,2,100,'Increases Mitigation of group members (AE) vs noxious damage by 689',0,1),
(114287,200125,3,100,'Increases STA of group members (AE) by 20.1',0,0),
(114288,200125,3,100,'Increases Mitigation of group members (AE) vs noxious damage by 725',0,1),
(114289,200125,4,100,'Increases STA of group members (AE) by 22.1',0,0),
(114290,200125,4,100,'Increases Mitigation of group members (AE) vs noxious damage by 798',0,1),
(114291,200125,5,100,'Increases STA of group members (AE) by 24.1',0,0),
(114292,200125,5,100,'Increases Mitigation of group members (AE) vs noxious damage by 870',0,1),
(114293,200125,7,100,'Increases STA of group members (AE) by 30.9',0,0),
(114294,200125,7,100,'Increases Mitigation of group members (AE) vs noxious damage by 1117',0,1),
(114295,200125,9,100,'Increases STA of group members (AE) by 32.1',0,0),
(114296,200125,9,100,'Increases Mitigation of group members (AE) vs noxious damage by 1160',0,1),
(114297,200126,1,100,'Increases STA of group members (AE) by 22.8',0,0),
(114298,200126,1,100,'Increases Mitigation of group members (AE) vs noxious damage by 851',0,1),
(114299,200126,2,100,'Increases STA of group members (AE) by 24.1',0,0),
(114300,200126,2,100,'Increases Mitigation of group members (AE) vs noxious damage by 898',0,1),
(114301,200126,3,100,'Increases STA of group members (AE) by 25.4',0,0),
(114302,200126,3,100,'Increases Mitigation of group members (AE) vs noxious damage by 945',0,1),
(114303,200126,4,100,'Increases STA of group members (AE) by 27.9',0,0),
(114304,200126,4,100,'Increases Mitigation of group members (AE) vs noxious damage by 1040',0,1),
(114305,200126,5,100,'Increases STA of group members (AE) by 30.4',0,0),
(114306,200126,5,100,'Increases Mitigation of group members (AE) vs noxious damage by 1134',0,1),
(114307,200126,7,100,'Increases STA of group members (AE) by 39.0',0,0),
(114308,200126,7,100,'Increases Mitigation of group members (AE) vs noxious damage by 1455',0,1),
(114309,200126,9,100,'Increases STA of group members (AE) by 40.6',0,0),
(114310,200126,9,100,'Increases Mitigation of group members (AE) vs noxious damage by 1512',0,1),
(114311,200127,1,100,'Increases STA of group members (AE) by 27.3',0,0),
(114312,200127,1,100,'Increases Mitigation of group members (AE) vs noxious damage by 978',0,1),
(114313,200127,4,100,'Increases STA of group members (AE) by 33.4',0,0),
(114314,200127,4,100,'Increases Mitigation of group members (AE) vs noxious damage by 1195',0,1),
(114315,200127,5,100,'Increases STA of group members (AE) by 36.4',0,0),
(114316,200127,5,100,'Increases Mitigation of group members (AE) vs noxious damage by 1304',0,1),
(114317,200127,7,100,'Increases STA of group members (AE) by 46.7',0,0),
(114318,200127,7,100,'Increases Mitigation of group members (AE) vs noxious damage by 1673',0,1),
(114319,200127,9,100,'Increases STA of group members (AE) by 48.6',0,0),
(114320,200127,9,100,'Increases Mitigation of group members (AE) vs noxious damage by 1738',0,1),
(114321,200128,1,100,'Increases STA of group members (AE) by 31.8',0,0),
(114322,200128,1,100,'Increases Mitigation of group members (AE) vs noxious damage by 1139',0,1),
(114323,200128,4,100,'Increases STA of group members (AE) by 38.9',0,0),
(114324,200128,4,100,'Increases Mitigation of group members (AE) vs noxious damage by 1392',0,1),
(114325,200128,5,100,'Increases STA of group members (AE) by 42.4',0,0),
(114326,200128,5,100,'Increases Mitigation of group members (AE) vs noxious damage by 1518',0,1),
(114327,200128,7,100,'Increases STA of group members (AE) by 54.4',0,0),
(114328,200128,7,100,'Increases Mitigation of group members (AE) vs noxious damage by 1948',0,1),
(114329,200128,9,100,'Increases STA of group members (AE) by 56.6',0,0),
(114330,200128,9,100,'Increases Mitigation of group members (AE) vs noxious damage by 2024',0,1),
(114331,370139,1,100,'Applies Concentrated Symphony.',0,0),
(114332,370139,2,100,'Applies Concentrated Symphony.',0,0),
(114333,370139,3,100,'Applies Concentrated Symphony.',0,0),
(114334,370139,4,100,'Applies Concentrated Symphony.',0,0),
(114335,370139,5,100,'Applies Concentrated Symphony.',0,0),
(114336,370139,7,100,'Applies Concentrated Symphony.',0,0),
(114337,370139,9,100,'Applies Concentrated Symphony.',0,0),
(114338,370140,1,100,'Applies Concentrated Symphony.',0,0),
(114339,370140,2,100,'Applies Concentrated Symphony.',0,0),
(114340,370140,3,100,'Applies Concentrated Symphony.',0,0),
(114341,370140,4,100,'Applies Concentrated Symphony.',0,0),
(114342,370140,5,100,'Applies Concentrated Symphony.',0,0),
(114343,370140,7,100,'Applies Concentrated Symphony.',0,0),
(114344,370140,9,100,'Applies Concentrated Symphony.',0,0),
(114345,370141,1,100,'Applies Concentrated Symphony.',0,0),
(114346,370141,2,100,'Applies Concentrated Symphony.',0,0),
(114347,370141,3,100,'Applies Concentrated Symphony.',0,0),
(114348,370141,4,100,'Applies Concentrated Symphony.',0,0),
(114349,370141,5,100,'Applies Concentrated Symphony.',0,0),
(114350,370141,7,100,'Applies Concentrated Symphony.',0,0),
(114351,370141,9,100,'Applies Concentrated Symphony.',0,0),
(114352,370142,1,100,'Applies Concentrated Symphony.',0,0),
(114353,370142,2,100,'Applies Concentrated Symphony.',0,0),
(114354,370142,3,100,'Applies Concentrated Symphony.',0,0),
(114355,370142,4,100,'Applies Concentrated Symphony.',0,0),
(114356,370142,5,100,'Applies Concentrated Symphony.',0,0),
(114357,370142,7,100,'Applies Concentrated Symphony.',0,0),
(114358,370142,9,100,'Applies Concentrated Symphony.',0,0),
(114359,370142,10,100,'Applies Concentrated Symphony.',0,0),
(114360,370143,1,100,'Applies Concentrated Symphony.',0,0),
(114361,370143,2,100,'Applies Concentrated Symphony.',0,0),
(114362,370143,3,100,'Applies Concentrated Symphony.',0,0),
(114363,370143,4,100,'Applies Concentrated Symphony.',0,0),
(114364,370143,5,100,'Applies Concentrated Symphony.',0,0),
(114365,370143,7,100,'Applies Concentrated Symphony.',0,0),
(114366,370143,9,100,'Applies Concentrated Symphony.',0,0),
(114367,370144,1,100,'Applies Concentrated Symphony.',0,0),
(114368,370144,4,100,'Applies Concentrated Symphony.',0,0),
(114369,370144,5,100,'Applies Concentrated Symphony.',0,0),
(114370,370144,7,100,'Applies Concentrated Symphony.',0,0),
(114371,370144,9,100,'Applies Concentrated Symphony.',0,0),
(114372,370144,10,100,'Applies Concentrated Symphony.',0,0),
(114373,370145,1,100,'Applies Concentrated Symphony.',0,0),
(114374,370145,4,100,'Applies Concentrated Symphony.',0,0),
(114375,370145,5,100,'Applies Concentrated Symphony.',0,0),
(114376,370145,7,100,'Applies Concentrated Symphony.',0,0),
(114377,370145,9,100,'Applies Concentrated Symphony.',0,0),
(114378,370145,10,100,'Applies Concentrated Symphony.',0,0),
(114379,240165,1,100,'Applies Disorientation.  Lasts for 10.0 seconds.',0,0),
(114380,240165,1,100,'Teleports target to a random location within 25 meters.',1,1),
(114381,240165,1,100,'Slows target by 75.0%',1,2),
(114382,240165,1,100,'10% chance to dispel when target takes damage',1,3),
(114383,240165,1,100,'If Target is not Epic',1,4),
(114384,240165,1,100,'Decreases Threat to targets in Area of Effect by 1,938 ',0,5),
(114385,240165,2,100,'Applies Disorientation.  Lasts for 10.0 seconds.',0,0),
(114386,240165,2,100,'Teleports target to a random location within 25 meters.',1,1),
(114387,240165,2,100,'Slows target by 75.0%',1,2),
(114388,240165,2,100,'10% chance to dispel when target takes damage',1,3),
(114389,240165,2,100,'If Target is not Epic',1,4),
(114390,240165,2,100,'Decreases Threat to targets in Area of Effect by 2,045 ',0,5),
(114391,240165,3,100,'Applies Disorientation.  Lasts for 10.0 seconds.',0,0),
(114392,240165,3,100,'Teleports target to a random location within 25 meters.',1,1),
(114393,240165,3,100,'Slows target by 75.0%',1,2),
(114394,240165,3,100,'10% chance to dispel when target takes damage',1,3),
(114395,240165,3,100,'If Target is not Epic',1,4),
(114396,240165,3,100,'Decreases Threat to targets in Area of Effect by 2,153 ',0,5),
(114397,240165,4,100,'Applies Disorientation.  Lasts for 10.0 seconds.',0,0),
(114398,240165,4,100,'Teleports target to a random location within 25 meters.',1,1),
(114399,240165,4,100,'Slows target by 75.0%',1,2),
(114400,240165,4,100,'10% chance to dispel when target takes damage',1,3),
(114401,240165,4,100,'If Target is not Epic',1,4),
(114402,240165,4,100,'Decreases Threat to targets in Area of Effect by 2,368 ',0,5),
(114403,240165,5,100,'Applies Disorientation.  Lasts for 10.0 seconds.',0,0),
(114404,240165,5,100,'Teleports target to a random location within 25 meters.',1,1),
(114405,240165,5,100,'Slows target by 75.0%',1,2),
(114406,240165,5,100,'10% chance to dispel when target takes damage',1,3),
(114407,240165,5,100,'If Target is not Epic',1,4),
(114408,240165,5,100,'Decreases Threat to targets in Area of Effect by 2,584 ',0,5),
(114409,240165,7,100,'Applies Disorientation.  Lasts for 10.0 seconds.',0,0),
(114410,240165,7,100,'Teleports target to a random location within 25 meters.',1,1),
(114411,240165,7,100,'Slows target by 75.0%',1,2),
(114412,240165,7,100,'10% chance to dispel when target takes damage',1,3),
(114413,240165,7,100,'If Target is not Epic',1,4),
(114414,240165,7,100,'Decreases Threat to targets in Area of Effect by 3,316 ',0,5),
(114415,240165,9,100,'Applies Disorientation.  Lasts for 10.0 seconds.',0,0),
(114416,240165,9,100,'Teleports target to a random location within 25 meters.',1,1),
(114417,240165,9,100,'Slows target by 75.0%',1,2),
(114418,240165,9,100,'10% chance to dispel when target takes damage',1,3),
(114419,240165,9,100,'If Target is not Epic',1,4),
(114420,240165,9,100,'Decreases Threat to targets in Area of Effect by 3,445 ',0,5),
(114421,240166,2,100,'Interrupts target encounter',0,0),
(114422,240166,2,100,'Decreases Threat to target encounter by 266 - 326 ',0,1),
(114423,240166,2,100,'Dazes target encounter',0,2),
(114424,240166,2,100,'If Target is not Epic',1,3),
(114425,240166,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(114426,240166,3,100,'Interrupts target encounter',0,0),
(114427,240166,3,100,'Decreases Threat to target encounter by 280 - 343 ',0,1),
(114428,240166,3,100,'Dazes target encounter',0,2),
(114429,240166,3,100,'If Target is not Epic',1,3),
(114430,240166,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(114431,240166,4,100,'Interrupts target encounter',0,0),
(114432,240166,4,100,'Decreases Threat to target encounter by 309 - 377 ',0,1),
(114433,240166,4,100,'Dazes target encounter',0,2),
(114434,240166,4,100,'If Target is not Epic',1,3),
(114435,240166,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(114436,240166,5,100,'Interrupts target encounter',0,0),
(114437,240166,5,100,'Decreases Threat to target encounter by 337 - 412 ',0,1),
(114438,240166,5,100,'Dazes target encounter',0,2),
(114439,240166,5,100,'If Target is not Epic',1,3),
(114440,240166,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(114441,240166,7,100,'Interrupts target encounter',0,0),
(114442,240166,7,100,'Decreases Threat to target encounter by 432 - 528 ',0,1),
(114443,240166,7,100,'Dazes target encounter',0,2),
(114444,240166,7,100,'If Target is not Epic',1,3),
(114445,240166,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(114446,240166,9,100,'Interrupts target encounter',0,0),
(114447,240166,9,100,'Decreases Threat to target encounter by 449 - 549 ',0,1),
(114448,240166,9,100,'Dazes target encounter',0,2),
(114449,240166,9,100,'If Target is not Epic',1,3),
(114450,240166,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(114451,240167,1,100,'Interrupts target encounter',0,0),
(114452,240167,1,100,'Decreases Threat to target encounter by 618 - 756 ',0,1),
(114453,240167,1,100,'Dazes target encounter',0,2),
(114454,240167,1,100,'If Target is not Epic',1,3),
(114455,240167,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(114456,240167,2,100,'Interrupts target encounter',0,0),
(114457,240167,2,100,'Decreases Threat to target encounter by 653 - 798 ',0,1),
(114458,240167,2,100,'Dazes target encounter',0,2),
(114459,240167,2,100,'If Target is not Epic',1,3),
(114460,240167,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(114461,240167,3,100,'Interrupts target encounter',0,0),
(114462,240167,3,100,'Decreases Threat to target encounter by 687 - 840 ',0,1),
(114463,240167,3,100,'Dazes target encounter',0,2),
(114464,240167,3,100,'If Target is not Epic',1,3),
(114465,240167,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(114466,240167,4,100,'Interrupts target encounter',0,0),
(114467,240167,4,100,'Decreases Threat to target encounter by 756 - 924 ',0,1),
(114468,240167,4,100,'Dazes target encounter',0,2),
(114469,240167,4,100,'If Target is not Epic',1,3),
(114470,240167,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(114471,240167,5,100,'Interrupts target encounter',0,0),
(114472,240167,5,100,'Decreases Threat to target encounter by 825 - 1,008 ',0,1),
(114473,240167,5,100,'Dazes target encounter',0,2),
(114474,240167,5,100,'If Target is not Epic',1,3),
(114475,240167,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(114476,240167,7,100,'Interrupts target encounter',0,0),
(114477,240167,7,100,'Decreases Threat to target encounter by 1,058 - 1,294 ',0,1),
(114478,240167,7,100,'Dazes target encounter',0,2),
(114479,240167,7,100,'If Target is not Epic',1,3),
(114480,240167,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(114481,240167,9,100,'Interrupts target encounter',0,0),
(114482,240167,9,100,'Decreases Threat to target encounter by 1,100 - 1,344 ',0,1),
(114483,240167,9,100,'Dazes target encounter',0,2),
(114484,240167,9,100,'If Target is not Epic',1,3),
(114485,240167,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(114486,240168,1,100,'Interrupts target encounter',0,0),
(114487,240168,1,100,'Decreases Threat to target encounter by 1,060 - 1,295 ',0,1),
(114488,240168,1,100,'Dazes target encounter',0,2),
(114489,240168,1,100,'If Target is not Epic',1,3),
(114490,240168,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(114491,240168,2,100,'Interrupts target encounter',0,0),
(114492,240168,2,100,'Decreases Threat to target encounter by 1,118 - 1,367 ',0,1),
(114493,240168,2,100,'Dazes target encounter',0,2),
(114494,240168,2,100,'If Target is not Epic',1,3),
(114495,240168,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(114496,240168,3,100,'Interrupts target encounter',0,0),
(114497,240168,3,100,'Decreases Threat to target encounter by 1,177 - 1,439 ',0,1),
(114498,240168,3,100,'Dazes target encounter',0,2),
(114499,240168,3,100,'If Target is not Epic',1,3),
(114500,240168,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(114501,240168,4,100,'Interrupts target encounter',0,0),
(114502,240168,4,100,'Decreases Threat to target encounter by 1,295 - 1,583 ',0,1),
(114503,240168,4,100,'Dazes target encounter',0,2),
(114504,240168,4,100,'If Target is not Epic',1,3),
(114505,240168,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(114506,240168,5,100,'Interrupts target encounter',0,0),
(114507,240168,5,100,'Decreases Threat to target encounter by 1,413 - 1,727 ',0,1),
(114508,240168,5,100,'Dazes target encounter',0,2),
(114509,240168,5,100,'If Target is not Epic',1,3),
(114510,240168,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(114511,240168,7,100,'Interrupts target encounter',0,0),
(114512,240168,7,100,'Decreases Threat to target encounter by 1,813 - 2,217 ',0,1),
(114513,240168,7,100,'Dazes target encounter',0,2),
(114514,240168,7,100,'If Target is not Epic',1,3),
(114515,240168,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(114516,240168,9,100,'Interrupts target encounter',0,0),
(114517,240168,9,100,'Decreases Threat to target encounter by 1,884 - 2,303 ',0,1),
(114518,240168,9,100,'Dazes target encounter',0,2),
(114519,240168,9,100,'If Target is not Epic',1,3),
(114520,240168,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(114521,240169,1,100,'Interrupts target encounter',0,0),
(114522,240169,1,100,'Decreases Threat to target encounter by 1,616 - 1,975 ',0,1),
(114523,240169,1,100,'Dazes target encounter',0,2),
(114524,240169,1,100,'If Target is not Epic',1,3),
(114525,240169,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(114526,240169,2,100,'Interrupts target encounter',0,0),
(114527,240169,2,100,'Decreases Threat to target encounter by 1,706 - 2,085 ',0,1),
(114528,240169,2,100,'Dazes target encounter',0,2),
(114529,240169,2,100,'If Target is not Epic',1,3),
(114530,240169,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(114531,240169,3,100,'Interrupts target encounter',0,0),
(114532,240169,3,100,'Decreases Threat to target encounter by 1,796 - 2,195 ',0,1),
(114533,240169,3,100,'Dazes target encounter',0,2),
(114534,240169,3,100,'If Target is not Epic',1,3),
(114535,240169,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(114536,240169,4,100,'Interrupts target encounter',0,0),
(114537,240169,4,100,'Decreases Threat to target encounter by 1,975 - 2,414 ',0,1),
(114538,240169,4,100,'Dazes target encounter',0,2),
(114539,240169,4,100,'If Target is not Epic',1,3),
(114540,240169,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(114541,240169,5,100,'Interrupts target encounter',0,0),
(114542,240169,5,100,'Decreases Threat to target encounter by 2,155 - 2,634 ',0,1),
(114543,240169,5,100,'Dazes target encounter',0,2),
(114544,240169,5,100,'If Target is not Epic',1,3),
(114545,240169,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(114546,240169,7,100,'Interrupts target encounter',0,0),
(114547,240169,7,100,'Decreases Threat to target encounter by 2,765 - 3,380 ',0,1),
(114548,240169,7,100,'Dazes target encounter',0,2),
(114549,240169,7,100,'If Target is not Epic',1,3),
(114550,240169,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(114551,240169,9,100,'Interrupts target encounter',0,0),
(114552,240169,9,100,'Decreases Threat to target encounter by 2,873 - 3,512 ',0,1),
(114553,240169,9,100,'Dazes target encounter',0,2),
(114554,240169,9,100,'If Target is not Epic',1,3),
(114555,240169,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(114556,240170,1,100,'Interrupts target encounter',0,0),
(114557,240170,1,100,'Decreases Threat to target encounter by 2,220 - 2,713 ',0,1),
(114558,240170,1,100,'Dazes target encounter',0,2),
(114559,240170,1,100,'If Target is not Epic',1,3),
(114560,240170,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(114561,240170,2,100,'Interrupts target encounter',0,0),
(114562,240170,2,100,'Decreases Threat to target encounter by 2,343 - 2,864 ',0,1),
(114563,240170,2,100,'Dazes target encounter',0,2),
(114564,240170,2,100,'If Target is not Epic',1,3),
(114565,240170,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(114566,240170,3,100,'Interrupts target encounter',0,0),
(114567,240170,3,100,'Decreases Threat to target encounter by 2,466 - 3,015 ',0,1),
(114568,240170,3,100,'Dazes target encounter',0,2),
(114569,240170,3,100,'If Target is not Epic',1,3),
(114570,240170,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(114571,240170,4,100,'Interrupts target encounter',0,0),
(114572,240170,4,100,'Decreases Threat to target encounter by 2,713 - 3,316 ',0,1),
(114573,240170,4,100,'Dazes target encounter',0,2),
(114574,240170,4,100,'If Target is not Epic',1,3),
(114575,240170,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(114576,240170,5,100,'Interrupts target encounter',0,0),
(114577,240170,5,100,'Decreases Threat to target encounter by 2,960 - 3,618 ',0,1),
(114578,240170,5,100,'Dazes target encounter',0,2),
(114579,240170,5,100,'If Target is not Epic',1,3),
(114580,240170,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(114581,240170,7,100,'Interrupts target encounter',0,0),
(114582,240170,7,100,'Decreases Threat to target encounter by 3,798 - 4,643 ',0,1),
(114583,240170,7,100,'Dazes target encounter',0,2),
(114584,240170,7,100,'If Target is not Epic',1,3),
(114585,240170,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(114586,240170,9,100,'Interrupts target encounter',0,0),
(114587,240170,9,100,'Decreases Threat to target encounter by 3,946 - 4,824 ',0,1),
(114588,240170,9,100,'Dazes target encounter',0,2),
(114589,240170,9,100,'If Target is not Epic',1,3),
(114590,240170,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(114591,240171,1,100,'Interrupts target encounter',0,0),
(114592,240171,1,100,'Decreases Threat to target encounter by 2,821 - 3,448 ',0,1),
(114593,240171,1,100,'Dazes target encounter',0,2),
(114594,240171,1,100,'If Target is not Epic',1,3),
(114595,240171,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(114596,240171,2,100,'Interrupts target encounter',0,0),
(114597,240171,2,100,'Decreases Threat to target encounter by 2,978 - 3,640 ',0,1),
(114598,240171,2,100,'Dazes target encounter',0,2),
(114599,240171,2,100,'If Target is not Epic',1,3),
(114600,240171,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(114601,240171,3,100,'Interrupts target encounter',0,0),
(114602,240171,3,100,'Decreases Threat to target encounter by 3,135 - 3,831 ',0,1),
(114603,240171,3,100,'Dazes target encounter',0,2),
(114604,240171,3,100,'If Target is not Epic',1,3),
(114605,240171,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(114606,240171,4,100,'Interrupts target encounter',0,0),
(114607,240171,4,100,'Decreases Threat to target encounter by 3,448 - 4,215 ',0,1),
(114608,240171,4,100,'Dazes target encounter',0,2),
(114609,240171,4,100,'If Target is not Epic',1,3),
(114610,240171,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(114611,240171,5,100,'Interrupts target encounter',0,0),
(114612,240171,5,100,'Decreases Threat to target encounter by 3,762 - 4,598 ',0,1),
(114613,240171,5,100,'Dazes target encounter',0,2),
(114614,240171,5,100,'If Target is not Epic',1,3),
(114615,240171,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(114616,240171,7,100,'Interrupts target encounter',0,0),
(114617,240171,7,100,'Decreases Threat to target encounter by 4,828 - 5,901 ',0,1),
(114618,240171,7,100,'Dazes target encounter',0,2),
(114619,240171,7,100,'If Target is not Epic',1,3),
(114620,240171,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(114621,240171,9,100,'Interrupts target encounter',0,0),
(114622,240171,9,100,'Decreases Threat to target encounter by 5,016 - 6,130 ',0,1),
(114623,240171,9,100,'Dazes target encounter',0,2),
(114624,240171,9,100,'If Target is not Epic',1,3),
(114625,240171,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(114626,240172,1,100,'Interrupts target encounter',0,0),
(114627,240172,1,100,'Decreases Threat to target encounter by 3,430 - 4,192 ',0,1),
(114628,240172,1,100,'Dazes target encounter',0,2),
(114629,240172,1,100,'If Target is not Epic',1,3),
(114630,240172,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(114631,240172,4,100,'Interrupts target encounter',0,0),
(114632,240172,4,100,'Decreases Threat to target encounter by 4,192 - 5,124 ',0,1),
(114633,240172,4,100,'Dazes target encounter',0,2),
(114634,240172,4,100,'If Target is not Epic',1,3),
(114635,240172,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(114636,240172,5,100,'Interrupts target encounter',0,0),
(114637,240172,5,100,'Decreases Threat to target encounter by 4,573 - 5,590 ',0,1),
(114638,240172,5,100,'Dazes target encounter',0,2),
(114639,240172,5,100,'If Target is not Epic',1,3),
(114640,240172,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(114641,240172,7,100,'Interrupts target encounter',0,0),
(114642,240172,7,100,'Decreases Threat to target encounter by 5,869 - 7,173 ',0,1),
(114643,240172,7,100,'Dazes target encounter',0,2),
(114644,240172,7,100,'If Target is not Epic',1,3),
(114645,240172,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(114646,240172,9,100,'Interrupts target encounter',0,0),
(114647,240172,9,100,'Decreases Threat to target encounter by 6,098 - 7,453 ',0,1),
(114648,240172,9,100,'Dazes target encounter',0,2),
(114649,240172,9,100,'If Target is not Epic',1,3),
(114650,240172,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(114651,240173,1,100,'Interrupts target encounter',0,0),
(114652,240173,1,100,'Decreases Threat to target encounter by 4,038 - 4,936 ',0,1),
(114653,240173,1,100,'Dazes target encounter',0,2),
(114654,240173,1,100,'If Target is not Epic',1,3),
(114655,240173,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(114656,240173,4,100,'Interrupts target encounter',0,0),
(114657,240173,4,100,'Decreases Threat to target encounter by 4,936 - 6,033 ',0,1),
(114658,240173,4,100,'Dazes target encounter',0,2),
(114659,240173,4,100,'If Target is not Epic',1,3),
(114660,240173,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(114661,240173,5,100,'Interrupts target encounter',0,0),
(114662,240173,5,100,'Decreases Threat to target encounter by 5,384 - 6,581 ',0,1),
(114663,240173,5,100,'Dazes target encounter',0,2),
(114664,240173,5,100,'If Target is not Epic',1,3),
(114665,240173,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(114666,240173,7,100,'Interrupts target encounter',0,0),
(114667,240173,7,100,'Decreases Threat to target encounter by 6,910 - 8,446 ',0,1),
(114668,240173,7,100,'Dazes target encounter',0,2),
(114669,240173,7,100,'If Target is not Epic',1,3),
(114670,240173,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(114671,240173,9,100,'Interrupts target encounter',0,0),
(114672,240173,9,100,'Decreases Threat to target encounter by 7,179 - 8,775 ',0,1),
(114673,240173,9,100,'Dazes target encounter',0,2),
(114674,240173,9,100,'If Target is not Epic',1,3),
(114675,240173,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(114676,240174,3,100,'When target falls below 30% health this spell will cast Nullmail Armor on target.  Lasts for 12.0 seconds.  ',0,0),
(114677,240174,3,100,'Caster will Dodge 50.0% of incoming attacks',1,1),
(114678,240174,3,100,'Increases Mitigation of caster vs all damage by 1600',1,2),
(114679,240174,3,100,'Prevents AOE (except when direct) ',1,3),
(114680,240174,3,100,'Grants a total of 1 trigger of the spell.',1,4),
(114681,240174,3,100,'Grants a total of 1 trigger of the spell.',1,5),
(114682,230127,1,100,'Slows targets in Area of Effect by 75.0%',0,0),
(114683,230127,1,100,'On a melee hit this spell may cast Dire Frost on target.  Lasts for 20.0 seconds.  Triggers about 6.0 times per minute. ',0,1),
(114684,230127,1,100,'Roots target',1,2),
(114685,230127,1,100,'If Target is not Epic',2,3),
(114686,230127,1,100,'5% chance to dispel when target takes damage',1,4),
(114687,230127,1,100,'Resistibility increases against targets higher than level 81.',1,5),
(114688,230127,1,100,'Does not affect Epic targets',0,6),
(114689,230127,2,100,'Slows targets in Area of Effect by 75.0%',0,0),
(114690,230127,2,100,'On a melee hit this spell may cast Dire Frost on target.  Lasts for 20.0 seconds.  Triggers about 6.0 times per minute. ',0,1),
(114691,230127,2,100,'Roots target',1,2),
(114692,230127,2,100,'If Target is not Epic',2,3),
(114693,230127,2,100,'5% chance to dispel when target takes damage',1,4),
(114694,230127,2,100,'Resistibility increases against targets higher than level 81.',1,5),
(114695,230127,2,100,'Does not affect Epic targets',0,6),
(114696,230127,3,100,'Slows targets in Area of Effect by 75.0%',0,0),
(114697,230127,3,100,'On a melee hit this spell may cast Dire Frost on target.  Lasts for 20.0 seconds.  Triggers about 6.0 times per minute. ',0,1),
(114698,230127,3,100,'Roots target',1,2),
(114699,230127,3,100,'If Target is not Epic',2,3),
(114700,230127,3,100,'5% chance to dispel when target takes damage',1,4),
(114701,230127,3,100,'Resistibility increases against targets higher than level 81.',1,5),
(114702,230127,3,100,'Does not affect Epic targets',0,6),
(114703,230127,4,100,'Slows targets in Area of Effect by 75.0%',0,0),
(114704,230127,4,100,'On a melee hit this spell may cast Dire Frost on target.  Lasts for 20.0 seconds.  Triggers about 6.0 times per minute. ',0,1),
(114705,230127,4,100,'Roots target',1,2),
(114706,230127,4,100,'If Target is not Epic',2,3),
(114707,230127,4,100,'5% chance to dispel when target takes damage',1,4),
(114708,230127,4,100,'Resistibility increases against targets higher than level 81.',1,5),
(114709,230127,4,100,'Does not affect Epic targets',0,6),
(114710,230127,5,100,'Slows targets in Area of Effect by 75.0%',0,0),
(114711,230127,5,100,'On a melee hit this spell may cast Dire Frost on target.  Lasts for 20.0 seconds.  Triggers about 6.0 times per minute. ',0,1),
(114712,230127,5,100,'Roots target',1,2),
(114713,230127,5,100,'If Target is not Epic',2,3),
(114714,230127,5,100,'5% chance to dispel when target takes damage',1,4),
(114715,230127,5,100,'Resistibility increases against targets higher than level 81.',1,5),
(114716,230127,5,100,'Does not affect Epic targets',0,6),
(114717,230127,7,100,'Slows targets in Area of Effect by 75.0%',0,0),
(114718,230127,7,100,'On a melee hit this spell may cast Dire Frost on target.  Lasts for 20.0 seconds.  Triggers about 6.0 times per minute. ',0,1),
(114719,230127,7,100,'Roots target',1,2),
(114720,230127,7,100,'If Target is not Epic',2,3),
(114721,230127,7,100,'5% chance to dispel when target takes damage',1,4),
(114722,230127,7,100,'Resistibility increases against targets higher than level 81.',1,5),
(114723,230127,7,100,'Does not affect Epic targets',0,6),
(114724,230127,9,100,'Slows targets in Area of Effect by 75.0%',0,0),
(114725,230127,9,100,'On a melee hit this spell may cast Dire Frost on target.  Lasts for 20.0 seconds.  Triggers about 6.0 times per minute. ',0,1),
(114726,230127,9,100,'Roots target',1,2),
(114727,230127,9,100,'If Target is not Epic',2,3),
(114728,230127,9,100,'5% chance to dispel when target takes damage',1,4),
(114729,230127,9,100,'Resistibility increases against targets higher than level 81.',1,5),
(114730,230127,9,100,'Does not affect Epic targets',0,6),
(114731,190078,1,100,'Wards target against 1061 points of all damage',0,0),
(114732,190078,2,100,'Wards target against 1120 points of all damage',0,0),
(114733,190078,3,100,'Wards target against 1180 points of all damage',0,0),
(114734,190078,4,100,'Wards target against 1298 points of all damage',0,0),
(114735,190078,5,100,'Wards target against 1416 points of all damage',0,0),
(114736,190078,7,100,'Wards target against 1817 points of all damage',0,0),
(114737,190078,9,100,'Wards target against 1888 points of all damage',0,0),
(114738,190079,1,100,'Wards target against 1601 points of all damage',0,0),
(114739,190079,2,100,'Wards target against 1690 points of all damage',0,0),
(114740,190079,3,100,'Wards target against 1780 points of all damage',0,0),
(114741,190079,4,100,'Wards target against 1958 points of all damage',0,0),
(114742,190079,5,100,'Wards target against 2136 points of all damage',0,0),
(114743,190079,7,100,'Wards target against 2741 points of all damage',0,0),
(114744,190079,9,100,'Wards target against 2848 points of all damage',0,0),
(114745,190080,1,100,'Wards target against 1871 points of all damage',0,0),
(114746,190080,2,100,'Wards target against 1975 points of all damage',0,0),
(114747,190080,3,100,'Wards target against 2080 points of all damage',0,0),
(114748,190080,4,100,'Wards target against 2288 points of all damage',0,0),
(114749,190080,5,100,'Wards target against 2496 points of all damage',0,0),
(114750,190080,7,100,'Wards target against 3203 points of all damage',0,0),
(114751,190080,9,100,'Wards target against 3328 points of all damage',0,0),
(114752,190081,1,100,'Wards target against 2267 points of all damage',0,0),
(114753,190081,4,100,'Wards target against 2772 points of all damage',0,0),
(114754,190081,5,100,'Wards target against 3024 points of all damage',0,0),
(114755,190081,7,100,'Wards target against 3880 points of all damage',0,0),
(114756,190081,9,100,'Wards target against 4032 points of all damage',0,0),
(114757,190082,1,100,'Wards target against 2411 points of all damage',0,0),
(114758,190082,4,100,'Wards target against 2948 points of all damage',0,0),
(114759,190082,5,100,'Wards target against 3216 points of all damage',0,0),
(114760,190082,7,100,'Wards target against 4127 points of all damage',0,0),
(114761,190082,9,100,'Wards target against 4288 points of all damage',0,0),
(114762,270109,1,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 180',0,0),
(114763,270109,2,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 190',0,0),
(114764,270109,3,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 200',0,0),
(114765,270109,4,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 220',0,0),
(114766,270109,5,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 240',0,0),
(114767,270109,7,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 308',0,0),
(114768,270109,9,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 320',0,0),
(114769,270109,10,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 336',0,0),
(114770,270110,1,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 315',0,0),
(114771,270110,2,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 333',0,0),
(114772,270110,3,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 350',0,0),
(114773,270110,4,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 385',0,0),
(114774,270110,5,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 420',0,0),
(114775,270110,7,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 539',0,0),
(114776,270110,9,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 560',0,0),
(114777,270111,1,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 450',0,0),
(114778,270111,2,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 475',0,0),
(114779,270111,3,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 500',0,0),
(114780,270111,4,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 550',0,0),
(114781,270111,5,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 600',0,0),
(114782,270111,7,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 770',0,0),
(114783,270111,9,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 800',0,0),
(114784,270111,10,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 840',0,0),
(114785,270112,1,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 576',0,0),
(114786,270112,2,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 608',0,0),
(114787,270112,3,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 640',0,0),
(114788,270112,4,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 704',0,0),
(114789,270112,5,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 768',0,0),
(114790,270112,7,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 986',0,0),
(114791,270112,9,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1024',0,0),
(114792,270112,10,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1075',0,0),
(114793,270113,1,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 743',0,0),
(114794,270113,2,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 784',0,0),
(114795,270113,3,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 825',0,0),
(114796,270113,4,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 908',0,0),
(114797,270113,5,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 990',0,0),
(114798,270113,7,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1271',0,0),
(114799,270113,9,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1320',0,0),
(114800,270114,1,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 929',0,0),
(114801,270114,4,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1135',0,0),
(114802,270114,5,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1238',0,0),
(114803,270114,7,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1589',0,0),
(114804,270114,9,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1651',0,0),
(114805,270115,1,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1037',0,0),
(114806,270115,4,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1267',0,0),
(114807,270115,5,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1382',0,0),
(114808,270115,7,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1774',0,0),
(114809,270115,9,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1843',0,0),
(114810,2000555,1,100,'Applies Noxious Influx.  Lasts for 30.0 seconds.',0,0),
(114811,2000555,1,100,'This spell can only trigger from noxious and elemental attacks.',1,1),
(114812,2000555,1,100,'On a damage spell hit this spell will cast Noxious Influx on target of spell.  ',1,2),
(114813,2000555,1,100,'Inflicts 6 - 11 disease damage on target',2,3),
(114814,2000555,1,100,'The damage is multiplied by the increment amount',2,4),
(114815,2000555,1,100,'Inflicts 11 - 21 magic damage on target',0,5),
(114816,2000555,2,100,'Applies Noxious Influx.  Lasts for 30.0 seconds.',0,0),
(114817,2000555,2,100,'This spell can only trigger from noxious and elemental attacks.',1,1),
(114818,2000555,2,100,'On a damage spell hit this spell will cast Noxious Influx on target of spell.  ',1,2),
(114819,2000555,2,100,'Inflicts 388 - 720 disease damage on target',2,3),
(114820,2000555,2,100,'The damage is multiplied by the increment amount',2,4),
(114821,2000555,2,100,'Inflicts 11 - 21 magic damage on target',0,5),
(114822,2000555,3,100,'Applies Noxious Influx.  Lasts for 30.0 seconds.',0,0),
(114823,2000555,3,100,'This spell can only trigger from noxious and elemental attacks.',1,1),
(114824,2000555,3,100,'On a damage spell hit this spell will cast Noxious Influx on target of spell.  ',1,2),
(114825,2000555,3,100,'Inflicts 291 - 540 disease damage on target',2,3),
(114826,2000555,3,100,'The damage is multiplied by the increment amount',2,4),
(114827,2000555,3,100,'Inflicts 11 - 21 magic damage on target',0,5),
(114828,120010,2,100,'Teleports target to a zone landmark',0,0),
(114829,120010,2,100,'You must be a citizen to benefit from an odyssey.',1,1),
(114830,120010,2,100,'This effect cannot be cast during combat',0,2),
(114831,120010,2,100,'If not a City Betrayer',0,3),
(114832,2000556,1,100,'Summons a pet Void Beast',0,0),
(114833,370146,1,100,'Heals target for 1 instantly and every 0.3 seconds',0,0),
(114834,370146,1,100,'Stifles caster',0,1),
(114835,370146,2,100,'Heals target for 1 instantly and every 0.3 seconds',0,0),
(114836,370146,2,100,'Stifles caster',0,1),
(114837,370146,3,100,'Heals target for 1 instantly and every 0.3 seconds',0,0),
(114838,370146,3,100,'Stifles caster',0,1),
(114839,370146,4,100,'Heals target for 1 instantly and every 0.3 seconds',0,0),
(114840,370146,4,100,'Stifles caster',0,1),
(114841,370146,5,100,'Heals target for 1 instantly and every 0.3 seconds',0,0),
(114842,370146,5,100,'Stifles caster',0,1),
(114843,370146,7,100,'Heals target for 1 instantly and every 0.3 seconds',0,0),
(114844,370146,7,100,'Stifles caster',0,1),
(114845,370146,9,100,'Heals target for 1 instantly and every 0.3 seconds',0,0),
(114846,370146,9,100,'Stifles caster',0,1),
(114847,370147,1,100,'Heals target for 1 instantly and every 0.3 seconds',0,0),
(114848,370147,1,100,'Stifles caster',0,1),
(114849,370147,2,100,'Heals target for 1 instantly and every 0.3 seconds',0,0),
(114850,370147,2,100,'Stifles caster',0,1),
(114851,370147,3,100,'Heals target for 1 instantly and every 0.3 seconds',0,0),
(114852,370147,3,100,'Stifles caster',0,1),
(114853,370147,4,100,'Heals target for 1 instantly and every 0.3 seconds',0,0),
(114854,370147,4,100,'Stifles caster',0,1),
(114855,370147,5,100,'Heals target for 1 instantly and every 0.3 seconds',0,0),
(114856,370147,5,100,'Stifles caster',0,1),
(114857,370147,7,100,'Heals target for 1 instantly and every 0.3 seconds',0,0),
(114858,370147,7,100,'Stifles caster',0,1),
(114859,370147,9,100,'Heals target for 1 instantly and every 0.3 seconds',0,0),
(114860,370147,9,100,'Stifles caster',0,1),
(114861,370148,1,100,'Heals target for 1 instantly and every 0.3 seconds',0,0),
(114862,370148,1,100,'Stifles caster',0,1),
(114863,370148,4,100,'Heals target for 1 instantly and every 0.3 seconds',0,0),
(114864,370148,4,100,'Stifles caster',0,1),
(114865,370148,5,100,'Heals target for 1 instantly and every 0.3 seconds',0,0),
(114866,370148,5,100,'Stifles caster',0,1),
(114867,370148,7,100,'Heals target for 1 instantly and every 0.3 seconds',0,0),
(114868,370148,7,100,'Stifles caster',0,1),
(114869,370148,9,100,'Heals target for 1 instantly and every 0.3 seconds',0,0),
(114870,370148,9,100,'Stifles caster',0,1),
(114871,370149,1,100,'Heals target for 1 instantly and every 0.3 seconds',0,0),
(114872,370149,1,100,'Stifles caster',0,1),
(114873,370149,4,100,'Heals target for 1 instantly and every 0.3 seconds',0,0),
(114874,370149,4,100,'Stifles caster',0,1),
(114875,370149,5,100,'Heals target for 1 instantly and every 0.3 seconds',0,0),
(114876,370149,5,100,'Stifles caster',0,1),
(114877,370149,7,100,'Heals target for 1 instantly and every 0.3 seconds',0,0),
(114878,370149,7,100,'Stifles caster',0,1),
(114879,370149,9,100,'Heals target for 1 instantly and every 0.3 seconds',0,0),
(114880,370149,9,100,'Stifles caster',0,1),
(114881,2000557,1,100,'Interrupts target',0,0),
(114882,2000557,1,100,'Inflicts 1 - 2 melee damage on target',0,1),
(114883,2000558,1,100,'On any combat or spell hit this spell will cast Overconfidence on target of attack.  ',0,0),
(114884,2000558,1,100,'Decreases threat priority of target by 2 positions',1,1),
(114885,2000558,1,100,'Decreases Threat to target by 29 ',1,2),
(114886,2000558,1,100,'If profession other than Fighter',1,3),
(114887,2000558,1,100,'Grants a total of 1 trigger of the spell.',1,4),
(114888,2000558,1,100,'Reduces Awareness of Other Encounters Calling for Help ',0,5),
(114889,2000559,1,100,'The channeler''s construct will intercept damage for the group. As the construct''s health falls, the interception becomes weaker and disables when the construct is below 25% health.',0,0),
(114890,250017,1,100,'Decreases power of target by 13 - 16 instantly and every second',0,0),
(114891,250017,1,100,'Stifles target',0,1),
(114892,250017,1,100,'If Target is not Epic',1,2),
(114893,250017,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(114894,250017,2,100,'Decreases power of target by 14 - 17 instantly and every second',0,0),
(114895,250017,2,100,'Stifles target',0,1),
(114896,250017,2,100,'If Target is not Epic',1,2),
(114897,250017,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(114898,250017,3,100,'Decreases power of target by 14 - 18 instantly and every second',0,0),
(114899,250017,3,100,'Stifles target',0,1),
(114900,250017,3,100,'If Target is not Epic',1,2),
(114901,250017,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(114902,250017,4,100,'Decreases power of target by 16 - 19 instantly and every second',0,0),
(114903,250017,4,100,'Stifles target',0,1),
(114904,250017,4,100,'If Target is not Epic',1,2),
(114905,250017,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(114906,250017,5,100,'Decreases power of target by 17 - 21 instantly and every second',0,0),
(114907,250017,5,100,'Stifles target',0,1),
(114908,250017,5,100,'If Target is not Epic',1,2),
(114909,250017,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(114910,250017,7,100,'Decreases power of target by 22 - 27 instantly and every second',0,0),
(114911,250017,7,100,'Stifles target',0,1),
(114912,250017,7,100,'If Target is not Epic',1,2),
(114913,250017,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(114914,250017,9,100,'Decreases power of target by 23 - 28 instantly and every second',0,0),
(114915,250017,9,100,'Stifles target',0,1),
(114916,250017,9,100,'If Target is not Epic',1,2),
(114917,250017,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(114918,440111,1,100,'Allows group members (AE) to breathe under water',0,0),
(114919,440111,1,100,'Grants Fish Vision to group members (AE)',0,1),
(114920,2000560,1,100,'Grants a single ally a group heal with a cure component.',0,0),
(114921,170135,1,100,'Reduces all damage done to group members (AE) by 22.5%',0,0),
(114922,170135,1,100,'If level above 95',1,1),
(114923,170135,2,100,'Reduces all damage done to group members (AE) by 23.75%',0,0),
(114924,170135,2,100,'If level above 95',1,1),
(114925,170135,3,100,'Reduces all damage done to group members (AE) by 25%',0,0),
(114926,170135,3,100,'If level above 95',1,1),
(114927,170135,4,100,'Reduces all damage done to group members (AE) by 27.5%',0,0),
(114928,170135,4,100,'If level above 95',1,1),
(114929,170135,5,100,'Reduces all damage done to group members (AE) by 30%',0,0),
(114930,170135,5,100,'If level above 95',1,1),
(114931,170135,7,100,'Reduces all damage done to group members (AE) by 38.5%',0,0),
(114932,170135,7,100,'If level above 95',1,1),
(114933,170135,9,100,'Reduces all damage done to group members (AE) by 40%',0,0),
(114934,170135,9,100,'If level above 95',1,1),
(114935,360122,1,100,'Interrupts target encounter',0,0),
(114936,360122,1,100,'Inflicts 62 - 104 mental damage on target encounter',0,1),
(114937,360122,2,100,'Interrupts target encounter',0,0),
(114938,360122,2,100,'Inflicts 66 - 110 mental damage on target encounter',0,1),
(114939,360122,3,100,'Interrupts target encounter',0,0),
(114940,360122,3,100,'Inflicts 69 - 116 mental damage on target encounter',0,1),
(114941,360122,4,100,'Interrupts target encounter',0,0),
(114942,360122,4,100,'Inflicts 76 - 127 mental damage on target encounter',0,1),
(114943,360122,5,100,'Interrupts target encounter',0,0),
(114944,360122,5,100,'Inflicts 83 - 139 mental damage on target encounter',0,1),
(114945,360122,7,100,'Interrupts target encounter',0,0),
(114946,360122,7,100,'Inflicts 107 - 178 mental damage on target encounter',0,1),
(114947,360122,9,100,'Interrupts target encounter',0,0),
(114948,360122,9,100,'Inflicts 111 - 185 mental damage on target encounter',0,1),
(114949,360123,1,100,'Interrupts target encounter',0,0),
(114950,360123,1,100,'Inflicts 127 - 211 mental damage on target encounter',0,1),
(114951,360123,2,100,'Interrupts target encounter',0,0),
(114952,360123,2,100,'Inflicts 134 - 223 mental damage on target encounter',0,1),
(114953,360123,3,100,'Interrupts target encounter',0,0),
(114954,360123,3,100,'Inflicts 141 - 234 mental damage on target encounter',0,1),
(114955,360123,4,100,'Interrupts target encounter',0,0),
(114956,360123,4,100,'Inflicts 155 - 258 mental damage on target encounter',0,1),
(114957,360123,5,100,'Interrupts target encounter',0,0),
(114958,360123,5,100,'Inflicts 169 - 281 mental damage on target encounter',0,1),
(114959,360123,7,100,'Interrupts target encounter',0,0),
(114960,360123,7,100,'Inflicts 216 - 361 mental damage on target encounter',0,1),
(114961,360123,9,100,'Interrupts target encounter',0,0),
(114962,360123,9,100,'Inflicts 225 - 375 mental damage on target encounter',0,1),
(114963,360124,1,100,'Interrupts target encounter',0,0),
(114964,360124,1,100,'Inflicts 198 - 330 mental damage on target encounter',0,1),
(114965,360124,2,100,'Interrupts target encounter',0,0),
(114966,360124,2,100,'Inflicts 209 - 349 mental damage on target encounter',0,1),
(114967,360124,3,100,'Interrupts target encounter',0,0),
(114968,360124,3,100,'Inflicts 220 - 367 mental damage on target encounter',0,1),
(114969,360124,4,100,'Interrupts target encounter',0,0),
(114970,360124,4,100,'Inflicts 242 - 404 mental damage on target encounter',0,1),
(114971,360124,5,100,'Interrupts target encounter',0,0),
(114972,360124,5,100,'Inflicts 264 - 441 mental damage on target encounter',0,1),
(114973,360124,7,100,'Interrupts target encounter',0,0),
(114974,360124,7,100,'Inflicts 339 - 566 mental damage on target encounter',0,1),
(114975,360124,9,100,'Interrupts target encounter',0,0),
(114976,360124,9,100,'Inflicts 353 - 588 mental damage on target encounter',0,1),
(114977,360125,1,100,'Interrupts target encounter',0,0),
(114978,360125,1,100,'Inflicts 284 - 473 mental damage on target encounter',0,1),
(114979,360125,2,100,'Interrupts target encounter',0,0),
(114980,360125,2,100,'Inflicts 299 - 499 mental damage on target encounter',0,1),
(114981,360125,3,100,'Interrupts target encounter',0,0),
(114982,360125,3,100,'Inflicts 315 - 525 mental damage on target encounter',0,1),
(114983,360125,4,100,'Interrupts target encounter',0,0),
(114984,360125,4,100,'Inflicts 347 - 578 mental damage on target encounter',0,1),
(114985,360125,5,100,'Interrupts target encounter',0,0),
(114986,360125,5,100,'Inflicts 378 - 630 mental damage on target encounter',0,1),
(114987,360125,7,100,'Interrupts target encounter',0,0),
(114988,360125,7,100,'Inflicts 485 - 809 mental damage on target encounter',0,1),
(114989,360125,9,100,'Interrupts target encounter',0,0),
(114990,360125,9,100,'Inflicts 504 - 840 mental damage on target encounter',0,1),
(114991,360126,1,100,'Interrupts target encounter',0,0),
(114992,360126,1,100,'Inflicts 370 - 617 mental damage on target encounter',0,1),
(114993,360126,2,100,'Interrupts target encounter',0,0),
(114994,360126,2,100,'Inflicts 391 - 651 mental damage on target encounter',0,1),
(114995,360126,3,100,'Interrupts target encounter',0,0),
(114996,360126,3,100,'Inflicts 411 - 686 mental damage on target encounter',0,1),
(114997,360126,4,100,'Interrupts target encounter',0,0),
(114998,360126,4,100,'Inflicts 453 - 754 mental damage on target encounter',0,1),
(114999,360126,5,100,'Interrupts target encounter',0,0),
(115000,360126,5,100,'Inflicts 494 - 823 mental damage on target encounter',0,1),
(115001,360126,7,100,'Interrupts target encounter',0,0),
(115002,360126,7,100,'Inflicts 634 - 1056 mental damage on target encounter',0,1),
(115003,360126,9,100,'Interrupts target encounter',0,0),
(115004,360126,9,100,'Inflicts 658 - 1097 mental damage on target encounter',0,1),
(115005,360126,10,100,'Interrupts target encounter',0,0),
(115006,360126,10,100,'Inflicts 691 - 1152 mental damage on target encounter',0,1),
(115007,360127,1,100,'Interrupts target encounter',0,0),
(115008,360127,1,100,'Inflicts 449 - 748 mental damage on target encounter',0,1),
(115009,360127,4,100,'Interrupts target encounter',0,0),
(115010,360127,4,100,'Inflicts 548 - 914 mental damage on target encounter',0,1),
(115011,360127,5,100,'Interrupts target encounter',0,0),
(115012,360127,5,100,'Inflicts 598 - 997 mental damage on target encounter',0,1),
(115013,360127,7,100,'Interrupts target encounter',0,0),
(115014,360127,7,100,'Inflicts 768 - 1279 mental damage on target encounter',0,1),
(115015,360127,9,100,'Interrupts target encounter',0,0),
(115016,360127,9,100,'Inflicts 797 - 1329 mental damage on target encounter',0,1),
(115017,360128,1,100,'Interrupts target encounter',0,0),
(115018,360128,1,100,'Inflicts 532 - 887 mental damage on target encounter',0,1),
(115019,360128,4,100,'Interrupts target encounter',0,0),
(115020,360128,4,100,'Inflicts 650 - 1084 mental damage on target encounter',0,1),
(115021,360128,5,100,'Interrupts target encounter',0,0),
(115022,360128,5,100,'Inflicts 710 - 1183 mental damage on target encounter',0,1),
(115023,360128,7,100,'Interrupts target encounter',0,0),
(115024,360128,7,100,'Inflicts 911 - 1518 mental damage on target encounter',0,1),
(115025,360128,9,100,'Interrupts target encounter',0,0),
(115026,360128,9,100,'Inflicts 946 - 1577 mental damage on target encounter',0,1),
(115027,220015,1,100,'Increases power of caster by 29',0,0),
(115028,220015,2,100,'Increases power of caster by 31',0,0),
(115029,220015,3,100,'Increases power of caster by 33',0,0),
(115030,220015,4,100,'Increases power of caster by 36',0,0),
(115031,220015,5,100,'Increases power of caster by 39',0,0),
(115032,220015,7,100,'Increases power of caster by 50',0,0),
(115033,220015,9,100,'Increases power of caster by 52',0,0),
(115034,2000561,9,100,'Reduces the confidence level of some raid level NPC''s.',0,0),
(115035,2000561,9,100,'Cannot be modified except by direct means',0,1),
(115036,300140,1,100,'Inflicts 2 disease damage on target encounter instantly and every 3 seconds',0,0),
(115037,300140,2,100,'Inflicts 2 disease damage on target encounter instantly and every 3 seconds',0,0),
(115038,300140,4,100,'Inflicts 2 - 3 disease damage on target encounter instantly and every 3 seconds',0,0),
(115039,300140,5,100,'Inflicts 3 disease damage on target encounter instantly and every 3 seconds',0,0),
(115040,300140,7,100,'Inflicts 3 - 4 disease damage on target encounter instantly and every 3 seconds',0,0),
(115041,300140,9,100,'Inflicts 3 - 4 disease damage on target encounter instantly and every 3 seconds',0,0),
(115042,300141,1,100,'Inflicts 7 - 8 disease damage on target encounter instantly and every 3 seconds',0,0),
(115043,300141,2,100,'Inflicts 7 - 9 disease damage on target encounter instantly and every 3 seconds',0,0),
(115044,300141,3,100,'Inflicts 8 - 9 disease damage on target encounter instantly and every 3 seconds',0,0),
(115045,300141,4,100,'Inflicts 8 - 10 disease damage on target encounter instantly and every 3 seconds',0,0),
(115046,300141,5,100,'Inflicts 9 - 11 disease damage on target encounter instantly and every 3 seconds',0,0),
(115047,300141,7,100,'Inflicts 12 - 14 disease damage on target encounter instantly and every 3 seconds',0,0),
(115048,300141,9,100,'Inflicts 12 - 15 disease damage on target encounter instantly and every 3 seconds',0,0),
(115049,300142,1,100,'Inflicts 18 - 23 disease damage on target encounter instantly and every 3 seconds',0,0),
(115050,300142,2,100,'Inflicts 20 - 24 disease damage on target encounter instantly and every 3 seconds',0,0),
(115051,300142,3,100,'Inflicts 21 - 25 disease damage on target encounter instantly and every 3 seconds',0,0),
(115052,300142,4,100,'Inflicts 23 - 28 disease damage on target encounter instantly and every 3 seconds',0,0),
(115053,300142,5,100,'Inflicts 25 - 30 disease damage on target encounter instantly and every 3 seconds',0,0),
(115054,300142,7,100,'Inflicts 32 - 39 disease damage on target encounter instantly and every 3 seconds',0,0),
(115055,300142,9,100,'Inflicts 33 - 40 disease damage on target encounter instantly and every 3 seconds',0,0),
(115056,300142,10,100,'Inflicts 34 - 42 disease damage on target encounter instantly and every 3 seconds',0,0),
(115057,300143,1,100,'Inflicts 32 - 39 disease damage on target encounter instantly and every 3 seconds',0,0),
(115058,300143,2,100,'Inflicts 34 - 41 disease damage on target encounter instantly and every 3 seconds',0,0),
(115059,300143,3,100,'Inflicts 36 - 44 disease damage on target encounter instantly and every 3 seconds',0,0),
(115060,300143,4,100,'Inflicts 39 - 48 disease damage on target encounter instantly and every 3 seconds',0,0),
(115061,300143,5,100,'Inflicts 43 - 52 disease damage on target encounter instantly and every 3 seconds',0,0),
(115062,300143,7,100,'Inflicts 55 - 67 disease damage on target encounter instantly and every 3 seconds',0,0),
(115063,300143,9,100,'Inflicts 57 - 70 disease damage on target encounter instantly and every 3 seconds',0,0),
(115064,300144,1,100,'Inflicts 110 - 134 disease damage on target encounter instantly and every 3 seconds',0,0),
(115065,300144,4,100,'Inflicts 134 - 164 disease damage on target encounter instantly and every 3 seconds',0,0),
(115066,300144,5,100,'Inflicts 146 - 179 disease damage on target encounter instantly and every 3 seconds',0,0),
(115067,300144,7,100,'Inflicts 188 - 229 disease damage on target encounter instantly and every 3 seconds',0,0),
(115068,300144,9,100,'Inflicts 195 - 238 disease damage on target encounter instantly and every 3 seconds',0,0),
(115069,300145,1,100,'Inflicts 48 - 59 disease damage on target encounter instantly and every 3 seconds',0,0),
(115070,300145,2,100,'Inflicts 51 - 62 disease damage on target encounter instantly and every 3 seconds',0,0),
(115071,300145,3,100,'Inflicts 54 - 65 disease damage on target encounter instantly and every 3 seconds',0,0),
(115072,300145,4,100,'Inflicts 59 - 72 disease damage on target encounter instantly and every 3 seconds',0,0),
(115073,300145,5,100,'Inflicts 64 - 79 disease damage on target encounter instantly and every 3 seconds',0,0),
(115074,300145,7,100,'Inflicts 82 - 101 disease damage on target encounter instantly and every 3 seconds',0,0),
(115075,300145,9,100,'Inflicts 86 - 105 disease damage on target encounter instantly and every 3 seconds',0,0),
(115076,300146,1,100,'Inflicts 65 - 80 disease damage on target encounter instantly and every 3 seconds',0,0),
(115077,300146,2,100,'Inflicts 69 - 84 disease damage on target encounter instantly and every 3 seconds',0,0),
(115078,300146,3,100,'Inflicts 72 - 89 disease damage on target encounter instantly and every 3 seconds',0,0),
(115079,300146,4,100,'Inflicts 80 - 97 disease damage on target encounter instantly and every 3 seconds',0,0),
(115080,300146,5,100,'Inflicts 87 - 106 disease damage on target encounter instantly and every 3 seconds',0,0),
(115081,300146,7,100,'Inflicts 112 - 136 disease damage on target encounter instantly and every 3 seconds',0,0),
(115082,300146,9,100,'Inflicts 116 - 142 disease damage on target encounter instantly and every 3 seconds',0,0),
(115083,300146,10,100,'Inflicts 122 - 149 disease damage on target encounter instantly and every 3 seconds',0,0),
(115084,300147,1,100,'Inflicts 82 - 100 disease damage on target encounter instantly and every 3 seconds',0,0),
(115085,300147,2,100,'Inflicts 86 - 105 disease damage on target encounter instantly and every 3 seconds',0,0),
(115086,300147,3,100,'Inflicts 91 - 111 disease damage on target encounter instantly and every 3 seconds',0,0),
(115087,300147,4,100,'Inflicts 100 - 122 disease damage on target encounter instantly and every 3 seconds',0,0),
(115088,300147,5,100,'Inflicts 109 - 133 disease damage on target encounter instantly and every 3 seconds',0,0),
(115089,300147,7,100,'Inflicts 140 - 171 disease damage on target encounter instantly and every 3 seconds',0,0),
(115090,300147,9,100,'Inflicts 145 - 178 disease damage on target encounter instantly and every 3 seconds',0,0),
(115091,300148,1,100,'Inflicts 99 - 121 disease damage on target encounter instantly and every 3 seconds',0,0),
(115092,300148,4,100,'Inflicts 121 - 147 disease damage on target encounter instantly and every 3 seconds',0,0),
(115093,300148,5,100,'Inflicts 132 - 161 disease damage on target encounter instantly and every 3 seconds',0,0),
(115094,300148,7,100,'Inflicts 169 - 206 disease damage on target encounter instantly and every 3 seconds',0,0),
(115095,300148,9,100,'Inflicts 175 - 214 disease damage on target encounter instantly and every 3 seconds',0,0),
(115096,2000562,1,100,'Inflicts 0 slashing damage on target',0,0),
(115097,2000562,1,100,'Inflicts 1 slashing damage on target every 8 seconds',0,1),
(115098,260116,1,100,'Inflicts 7 - 10 mental damage on target',0,0),
(115099,260116,1,100,'Stuns target',0,1),
(115100,260116,1,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(115101,260116,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(115102,260116,2,100,'Inflicts 7 - 11 mental damage on target',0,0),
(115103,260116,2,100,'Stuns target',0,1),
(115104,260116,2,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(115105,260116,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(115106,260116,3,100,'Inflicts 8 - 11 mental damage on target',0,0),
(115107,260116,3,100,'Stuns target',0,1),
(115108,260116,3,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(115109,260116,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(115110,260116,4,100,'Inflicts 8 - 13 mental damage on target',0,0),
(115111,260116,4,100,'Stuns target',0,1),
(115112,260116,4,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(115113,260116,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(115114,260116,5,100,'Inflicts 9 - 14 mental damage on target',0,0),
(115115,260116,5,100,'Stuns target',0,1),
(115116,260116,5,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(115117,260116,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(115118,260116,7,100,'Inflicts 12 - 18 mental damage on target',0,0),
(115119,260116,7,100,'Stuns target',0,1),
(115120,260116,7,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(115121,260116,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(115122,260116,9,100,'Inflicts 12 - 18 mental damage on target',0,0),
(115123,260116,9,100,'Stuns target',0,1),
(115124,260116,9,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(115125,260116,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(115126,260117,1,100,'Inflicts 39 - 58 mental damage on target',0,0),
(115127,260117,1,100,'Stuns target',0,1),
(115128,260117,1,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(115129,260117,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(115130,260117,2,100,'Inflicts 41 - 61 mental damage on target',0,0),
(115131,260117,2,100,'Stuns target',0,1),
(115132,260117,2,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(115133,260117,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(115134,260117,3,100,'Inflicts 43 - 64 mental damage on target',0,0),
(115135,260117,3,100,'Stuns target',0,1),
(115136,260117,3,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(115137,260117,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(115138,260117,4,100,'Inflicts 47 - 71 mental damage on target',0,0),
(115139,260117,4,100,'Stuns target',0,1),
(115140,260117,4,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(115141,260117,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(115142,260117,5,100,'Inflicts 51 - 77 mental damage on target',0,0),
(115143,260117,5,100,'Stuns target',0,1),
(115144,260117,5,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(115145,260117,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(115146,260117,7,100,'Inflicts 66 - 99 mental damage on target',0,0),
(115147,260117,7,100,'Stuns target',0,1),
(115148,260117,7,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(115149,260117,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(115150,260117,9,100,'Inflicts 69 - 103 mental damage on target',0,0),
(115151,260117,9,100,'Stuns target',0,1),
(115152,260117,9,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(115153,260117,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(115154,260118,1,100,'Inflicts 83 - 125 mental damage on target',0,0),
(115155,260118,1,100,'Stuns target',0,1),
(115156,260118,1,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(115157,260118,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(115158,260118,2,100,'Inflicts 88 - 131 mental damage on target',0,0),
(115159,260118,2,100,'Stuns target',0,1),
(115160,260118,2,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(115161,260118,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(115162,260118,3,100,'Inflicts 92 - 138 mental damage on target',0,0),
(115163,260118,3,100,'Stuns target',0,1),
(115164,260118,3,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(115165,260118,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(115166,260118,4,100,'Inflicts 101 - 152 mental damage on target',0,0),
(115167,260118,4,100,'Stuns target',0,1),
(115168,260118,4,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(115169,260118,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(115170,260118,5,100,'Inflicts 111 - 166 mental damage on target',0,0),
(115171,260118,5,100,'Stuns target',0,1),
(115172,260118,5,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(115173,260118,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(115174,260118,7,100,'Inflicts 142 - 213 mental damage on target',0,0),
(115175,260118,7,100,'Stuns target',0,1),
(115176,260118,7,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(115177,260118,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(115178,260118,9,100,'Inflicts 148 - 221 mental damage on target',0,0),
(115179,260118,9,100,'Stuns target',0,1),
(115180,260118,9,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(115181,260118,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(115182,260119,1,100,'Inflicts 132 - 199 mental damage on target',0,0),
(115183,260119,1,100,'Stuns target',0,1),
(115184,260119,1,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(115185,260119,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(115186,260119,2,100,'Inflicts 140 - 210 mental damage on target',0,0),
(115187,260119,2,100,'Stuns target',0,1),
(115188,260119,2,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(115189,260119,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(115190,260119,3,100,'Inflicts 147 - 221 mental damage on target',0,0),
(115191,260119,3,100,'Stuns target',0,1),
(115192,260119,3,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(115193,260119,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(115194,260119,4,100,'Inflicts 162 - 243 mental damage on target',0,0),
(115195,260119,4,100,'Stuns target',0,1),
(115196,260119,4,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(115197,260119,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(115198,260119,5,100,'Inflicts 176 - 265 mental damage on target',0,0),
(115199,260119,5,100,'Stuns target',0,1),
(115200,260119,5,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(115201,260119,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(115202,260119,7,100,'Inflicts 226 - 340 mental damage on target',0,0),
(115203,260119,7,100,'Stuns target',0,1),
(115204,260119,7,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(115205,260119,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(115206,260119,9,100,'Inflicts 235 - 353 mental damage on target',0,0),
(115207,260119,9,100,'Stuns target',0,1),
(115208,260119,9,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(115209,260119,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(115210,260120,1,100,'Inflicts 397 - 595 mental damage on target',0,0),
(115211,260120,1,100,'Stuns target',0,1),
(115212,260120,1,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(115213,260120,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(115214,260120,4,100,'Inflicts 485 - 727 mental damage on target',0,0),
(115215,260120,4,100,'Stuns target',0,1),
(115216,260120,4,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(115217,260120,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(115218,260120,5,100,'Inflicts 529 - 794 mental damage on target',0,0),
(115219,260120,5,100,'Stuns target',0,1),
(115220,260120,5,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(115221,260120,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(115222,260120,7,100,'Inflicts 679 - 1018 mental damage on target',0,0),
(115223,260120,7,100,'Stuns target',0,1),
(115224,260120,7,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(115225,260120,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(115226,260120,9,100,'Inflicts 705 - 1058 mental damage on target',0,0),
(115227,260120,9,100,'Stuns target',0,1),
(115228,260120,9,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(115229,260120,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(115230,260121,1,100,'Inflicts 193 - 289 mental damage on target',0,0),
(115231,260121,1,100,'Stuns target',0,1),
(115232,260121,1,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(115233,260121,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(115234,260121,2,100,'Inflicts 204 - 306 mental damage on target',0,0),
(115235,260121,2,100,'Stuns target',0,1),
(115236,260121,2,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(115237,260121,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(115238,260121,3,100,'Inflicts 214 - 322 mental damage on target',0,0),
(115239,260121,3,100,'Stuns target',0,1),
(115240,260121,3,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(115241,260121,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(115242,260121,4,100,'Inflicts 236 - 354 mental damage on target',0,0),
(115243,260121,4,100,'Stuns target',0,1),
(115244,260121,4,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(115245,260121,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(115246,260121,5,100,'Inflicts 257 - 386 mental damage on target',0,0),
(115247,260121,5,100,'Stuns target',0,1),
(115248,260121,5,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(115249,260121,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(115250,260121,7,100,'Inflicts 330 - 495 mental damage on target',0,0),
(115251,260121,7,100,'Stuns target',0,1),
(115252,260121,7,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(115253,260121,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(115254,260121,9,100,'Inflicts 343 - 515 mental damage on target',0,0),
(115255,260121,9,100,'Stuns target',0,1),
(115256,260121,9,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(115257,260121,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(115258,260122,1,100,'Inflicts 254 - 380 mental damage on target',0,0),
(115259,260122,1,100,'Stuns target',0,1),
(115260,260122,1,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(115261,260122,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(115262,260122,2,100,'Inflicts 268 - 401 mental damage on target',0,0),
(115263,260122,2,100,'Stuns target',0,1),
(115264,260122,2,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(115265,260122,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(115266,260122,3,100,'Inflicts 282 - 423 mental damage on target',0,0),
(115267,260122,3,100,'Stuns target',0,1),
(115268,260122,3,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(115269,260122,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(115270,260122,4,100,'Inflicts 310 - 465 mental damage on target',0,0),
(115271,260122,4,100,'Stuns target',0,1),
(115272,260122,4,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(115273,260122,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(115274,260122,5,100,'Inflicts 338 - 507 mental damage on target',0,0),
(115275,260122,5,100,'Stuns target',0,1),
(115276,260122,5,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(115277,260122,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(115278,260122,7,100,'Inflicts 434 - 651 mental damage on target',0,0),
(115279,260122,7,100,'Stuns target',0,1),
(115280,260122,7,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(115281,260122,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(115282,260122,9,100,'Inflicts 451 - 676 mental damage on target',0,0),
(115283,260122,9,100,'Stuns target',0,1),
(115284,260122,9,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(115285,260122,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(115286,260123,1,100,'Inflicts 307 - 461 mental damage on target',0,0),
(115287,260123,1,100,'Stuns target',0,1),
(115288,260123,1,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(115289,260123,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(115290,260123,2,100,'Inflicts 324 - 486 mental damage on target',0,0),
(115291,260123,2,100,'Stuns target',0,1),
(115292,260123,2,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(115293,260123,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(115294,260123,3,100,'Inflicts 341 - 512 mental damage on target',0,0),
(115295,260123,3,100,'Stuns target',0,1),
(115296,260123,3,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(115297,260123,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(115298,260123,4,100,'Inflicts 375 - 563 mental damage on target',0,0),
(115299,260123,4,100,'Stuns target',0,1),
(115300,260123,4,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(115301,260123,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(115302,260123,5,100,'Inflicts 410 - 614 mental damage on target',0,0),
(115303,260123,5,100,'Stuns target',0,1),
(115304,260123,5,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(115305,260123,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(115306,260123,7,100,'Inflicts 526 - 788 mental damage on target',0,0),
(115307,260123,7,100,'Stuns target',0,1),
(115308,260123,7,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(115309,260123,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(115310,260123,9,100,'Inflicts 546 - 819 mental damage on target',0,0),
(115311,260123,9,100,'Stuns target',0,1),
(115312,260123,9,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(115313,260123,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(115314,260124,1,100,'Inflicts 370 - 555 mental damage on target',0,0),
(115315,260124,1,100,'Stuns target',0,1),
(115316,260124,1,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(115317,260124,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(115318,260124,4,100,'Inflicts 452 - 678 mental damage on target',0,0),
(115319,260124,4,100,'Stuns target',0,1),
(115320,260124,4,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(115321,260124,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(115322,260124,5,100,'Inflicts 493 - 740 mental damage on target',0,0),
(115323,260124,5,100,'Stuns target',0,1),
(115324,260124,5,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(115325,260124,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(115326,260124,7,100,'Inflicts 633 - 949 mental damage on target',0,0),
(115327,260124,7,100,'Stuns target',0,1),
(115328,260124,7,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(115329,260124,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(115330,260124,9,100,'Inflicts 657 - 986 mental damage on target',0,0),
(115331,260124,9,100,'Stuns target',0,1),
(115332,260124,9,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(115333,260124,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(115334,2000563,1,100,'Inflicts 1 disease damage on targets in Area of Effect instantly and every 12 seconds',0,0),
(115335,2000563,1,100,'Increases Mitigation of targets in Area of Effect vs noxious damage by 0',0,1),
(115336,190083,1,100,'Applies Heal on termination.',0,0),
(115337,190083,1,100,'Increases power of target by 15.0%',1,1),
(115338,190083,1,100,'This effect cannot be critically applied.',2,2),
(115339,190083,1,100,'Heals target for 15.0% of max health',1,3),
(115340,190083,1,100,'This effect cannot be critically applied.',2,4),
(115341,190083,1,100,'Applies Revived Sickness on termination.  Lasts for 2 minutes.',0,5),
(115342,190083,1,100,'Decreases Haste of target by 20.0',1,6),
(115343,190083,1,100,'If not between levels 1 - 6',2,7),
(115344,190083,1,100,'Decreases All Attributes of target by 20.0%',1,8),
(115345,190083,1,100,'If not between levels 1 - 6',2,9),
(115346,190083,1,100,'Decreases Haste of target by 5.0',1,10),
(115347,190083,1,100,'If between levels 1 - 6',2,11),
(115348,190083,1,100,'Decreases All Attributes of target by 5.0%',1,12),
(115349,190083,1,100,'If between levels 1 - 6',2,13),
(115350,190083,1,100,'Resurrects target with 15% health and power',0,14),
(115351,2000564,1,100,'On any combat or spell hit this spell will cast Peace of Mind on target of attack.  ',0,0),
(115352,2000564,1,100,'Inflicts 388 - 582 mental damage on target',1,1),
(115353,2000565,1,100,'Improves base auto-attack multiplier of caster by 0.11. Does not apply to spell weapons.',0,0),
(115354,2000565,1,100,'Increases DPS of caster by 25.0',0,1),
(115355,2000565,1,100,'Reduces the effectiveness of heals by 10%.',0,2),
(115356,2000565,1,100,'Increases casting speed of beneficial spells by 30%.',0,3),
(115357,2000565,1,100,'Improves the damage, crit bonus and crit chance of spells and combat arts by 15%.',0,4),
(115358,270116,1,100,'When damaged with a melee weapon this spell has a 33% chance to cast Linked Pain on target''s attacker.  ',0,0),
(115359,270116,1,100,'Decreases threat priority of target by 1 position',1,1),
(115360,270116,1,100,'Decreases Hate Gain of target by 8.6%',0,2),
(115361,270116,2,100,'When damaged with a melee weapon this spell has a 33% chance to cast Linked Pain on target''s attacker.  ',0,0),
(115362,270116,2,100,'Decreases threat priority of target by 1 position',1,1),
(115363,270116,2,100,'Decreases Hate Gain of target by 9.1%',0,2),
(115364,270116,3,100,'When damaged with a melee weapon this spell has a 33% chance to cast Linked Pain on target''s attacker.  ',0,0),
(115365,270116,3,100,'Decreases threat priority of target by 1 position',1,1),
(115366,270116,3,100,'Decreases Hate Gain of target by 9.6%',0,2),
(115367,270116,4,100,'When damaged with a melee weapon this spell has a 33% chance to cast Linked Pain on target''s attacker.  ',0,0),
(115368,270116,4,100,'Decreases threat priority of target by 1 position',1,1),
(115369,270116,4,100,'Decreases Hate Gain of target by 10.6%',0,2),
(115370,270116,5,100,'When damaged with a melee weapon this spell has a 33% chance to cast Linked Pain on target''s attacker.  ',0,0),
(115371,270116,5,100,'Decreases threat priority of target by 1 position',1,1),
(115372,270116,5,100,'Decreases Hate Gain of target by 11.5%',0,2),
(115373,270116,7,100,'When damaged with a melee weapon this spell has a 33% chance to cast Linked Pain on target''s attacker.  ',0,0),
(115374,270116,7,100,'Decreases threat priority of target by 1 position',1,1),
(115375,270116,7,100,'Decreases Hate Gain of target by 14.8%',0,2),
(115376,270116,9,100,'When damaged with a melee weapon this spell has a 33% chance to cast Linked Pain on target''s attacker.  ',0,0),
(115377,270116,9,100,'Decreases threat priority of target by 1 position',1,1),
(115378,270116,9,100,'Decreases Hate Gain of target by 15.4%',0,2),
(115379,270117,1,100,'When damaged with a melee weapon this spell has a 33% chance to cast Linked Pain on target''s attacker.  ',0,0),
(115380,270117,1,100,'Decreases threat priority of target by 1 position',1,1),
(115381,270117,1,100,'Decreases Hate Gain of target by 10.7%',0,2),
(115382,270117,2,100,'When damaged with a melee weapon this spell has a 33% chance to cast Linked Pain on target''s attacker.  ',0,0),
(115383,270117,2,100,'Decreases threat priority of target by 1 position',1,1),
(115384,270117,2,100,'Decreases Hate Gain of target by 11.2%',0,2),
(115385,270117,3,100,'When damaged with a melee weapon this spell has a 33% chance to cast Linked Pain on target''s attacker.  ',0,0),
(115386,270117,3,100,'Decreases threat priority of target by 1 position',1,1),
(115387,270117,3,100,'Decreases Hate Gain of target by 11.8%',0,2),
(115388,270117,4,100,'When damaged with a melee weapon this spell has a 33% chance to cast Linked Pain on target''s attacker.  ',0,0),
(115389,270117,4,100,'Decreases threat priority of target by 1 position',1,1),
(115390,270117,4,100,'Decreases Hate Gain of target by 13.0%',0,2),
(115391,270117,5,100,'When damaged with a melee weapon this spell has a 33% chance to cast Linked Pain on target''s attacker.  ',0,0),
(115392,270117,5,100,'Decreases threat priority of target by 1 position',1,1),
(115393,270117,5,100,'Decreases Hate Gain of target by 14.2%',0,2),
(115394,270117,7,100,'When damaged with a melee weapon this spell has a 33% chance to cast Linked Pain on target''s attacker.  ',0,0),
(115395,270117,7,100,'Decreases threat priority of target by 1 position',1,1),
(115396,270117,7,100,'Decreases Hate Gain of target by 18.2%',0,2),
(115397,270117,9,100,'When damaged with a melee weapon this spell has a 33% chance to cast Linked Pain on target''s attacker.  ',0,0),
(115398,270117,9,100,'Decreases threat priority of target by 1 position',1,1),
(115399,270117,9,100,'Decreases Hate Gain of target by 18.9%',0,2),
(115400,270118,1,100,'When damaged with a melee weapon this spell has a 33% chance to cast Linked Pain on target''s attacker.  ',0,0),
(115401,270118,1,100,'Decreases threat priority of target by 1 position',1,1),
(115402,270118,1,100,'Decreases Hate Gain of target by 12.2%',0,2),
(115403,270118,2,100,'When damaged with a melee weapon this spell has a 33% chance to cast Linked Pain on target''s attacker.  ',0,0),
(115404,270118,2,100,'Decreases threat priority of target by 1 position',1,1),
(115405,270118,2,100,'Decreases Hate Gain of target by 12.9%',0,2),
(115406,270118,3,100,'When damaged with a melee weapon this spell has a 33% chance to cast Linked Pain on target''s attacker.  ',0,0),
(115407,270118,3,100,'Decreases threat priority of target by 1 position',1,1),
(115408,270118,3,100,'Decreases Hate Gain of target by 13.6%',0,2),
(115409,270118,4,100,'When damaged with a melee weapon this spell has a 33% chance to cast Linked Pain on target''s attacker.  ',0,0),
(115410,270118,4,100,'Decreases threat priority of target by 1 position',1,1),
(115411,270118,4,100,'Decreases Hate Gain of target by 14.9%',0,2),
(115412,270118,5,100,'When damaged with a melee weapon this spell has a 33% chance to cast Linked Pain on target''s attacker.  ',0,0),
(115413,270118,5,100,'Decreases threat priority of target by 1 position',1,1),
(115414,270118,5,100,'Decreases Hate Gain of target by 16.3%',0,2),
(115415,270118,7,100,'When damaged with a melee weapon this spell has a 33% chance to cast Linked Pain on target''s attacker.  ',0,0),
(115416,270118,7,100,'Decreases threat priority of target by 1 position',1,1),
(115417,270118,7,100,'Decreases Hate Gain of target by 20.9%',0,2),
(115418,270118,9,100,'When damaged with a melee weapon this spell has a 33% chance to cast Linked Pain on target''s attacker.  ',0,0),
(115419,270118,9,100,'Decreases threat priority of target by 1 position',1,1),
(115420,270118,9,100,'Decreases Hate Gain of target by 21.7%',0,2),
(115421,270118,10,100,'When damaged with a melee weapon this spell has a 33% chance to cast Linked Pain on target''s attacker.  ',0,0),
(115422,270118,10,100,'Decreases threat priority of target by 1 position',1,1),
(115423,270118,10,100,'Decreases Hate Gain of target by 22.8%',0,2),
(115424,270119,1,100,'When damaged with a melee weapon this spell has a 40% chance to cast Linked Pain on target''s attacker.  ',0,0),
(115425,270119,1,100,'Decreases threat priority of target by 1 position',1,1),
(115426,270119,1,100,'Decreases Hate Gain of target by 12.9%',0,2),
(115427,270119,2,100,'When damaged with a melee weapon this spell has a 40% chance to cast Linked Pain on target''s attacker.  ',0,0),
(115428,270119,2,100,'Decreases threat priority of target by 1 position',1,1),
(115429,270119,2,100,'Decreases Hate Gain of target by 12.9%',0,2),
(115430,270119,3,100,'When damaged with a melee weapon this spell has a 40% chance to cast Linked Pain on target''s attacker.  ',0,0),
(115431,270119,3,100,'Decreases threat priority of target by 1 position',1,1),
(115432,270119,3,100,'Decreases Hate Gain of target by 14.9%',0,2),
(115433,270119,4,100,'When damaged with a melee weapon this spell has a 40% chance to cast Linked Pain on target''s attacker.  ',0,0),
(115434,270119,4,100,'Decreases threat priority of target by 1 position',1,1),
(115435,270119,4,100,'Decreases Hate Gain of target by 14.9%',0,2),
(115436,270119,5,100,'When damaged with a melee weapon this spell has a 40% chance to cast Linked Pain on target''s attacker.  ',0,0),
(115437,270119,5,100,'Decreases threat priority of target by 1 position',1,1),
(115438,270119,5,100,'Decreases Hate Gain of target by 16.3%',0,2),
(115439,270119,7,100,'When damaged with a melee weapon this spell has a 40% chance to cast Linked Pain on target''s attacker.  ',0,0),
(115440,270119,7,100,'Decreases threat priority of target by 1 position',1,1),
(115441,270119,7,100,'Decreases Hate Gain of target by 19.0%',0,2),
(115442,270119,9,100,'When damaged with a melee weapon this spell has a 40% chance to cast Linked Pain on target''s attacker.  ',0,0),
(115443,270119,9,100,'Decreases threat priority of target by 1 position',1,1),
(115444,270119,9,100,'Decreases Hate Gain of target by 22.0%',0,2),
(115445,270120,1,100,'When damaged with a melee weapon this spell has a 50% chance to cast Linked Pain on target''s attacker.  ',0,0),
(115446,270120,1,100,'Decreases threat priority of target by 1 position',1,1),
(115447,270120,1,100,'Decreases Hate Gain of target by 12.9%',0,2),
(115448,270120,4,100,'When damaged with a melee weapon this spell has a 50% chance to cast Linked Pain on target''s attacker.  ',0,0),
(115449,270120,4,100,'Decreases threat priority of target by 1 position',1,1),
(115450,270120,4,100,'Decreases Hate Gain of target by 14.9%',0,2),
(115451,270120,5,100,'When damaged with a melee weapon this spell has a 50% chance to cast Linked Pain on target''s attacker.  ',0,0),
(115452,270120,5,100,'Decreases threat priority of target by 1 position',1,1),
(115453,270120,5,100,'Decreases Hate Gain of target by 16.3%',0,2),
(115454,270120,7,100,'When damaged with a melee weapon this spell has a 50% chance to cast Linked Pain on target''s attacker.  ',0,0),
(115455,270120,7,100,'Decreases threat priority of target by 1 position',1,1),
(115456,270120,7,100,'Decreases Hate Gain of target by 19.0%',0,2),
(115457,270120,9,100,'When damaged with a melee weapon this spell has a 50% chance to cast Linked Pain on target''s attacker.  ',0,0),
(115458,270120,9,100,'Decreases threat priority of target by 1 position',1,1),
(115459,270120,9,100,'Decreases Hate Gain of target by 22.0%',0,2),
(115460,270120,10,100,'When damaged with a melee weapon this spell has a 50% chance to cast Linked Pain on target''s attacker.  ',0,0),
(115461,270120,10,100,'Decreases threat priority of target by 1 position',1,1),
(115462,270120,10,100,'Decreases Hate Gain of target by 25.0%',0,2),
(115463,270121,1,100,'When damaged with a melee weapon this spell has a 58% chance to cast Linked Pain on target''s attacker.  ',0,0),
(115464,270121,1,100,'Decreases threat priority of target by 1 position',1,1),
(115465,270121,1,100,'Decreases Hate Gain of target by 12.9%',0,2),
(115466,270121,4,100,'When damaged with a melee weapon this spell has a 58% chance to cast Linked Pain on target''s attacker.  ',0,0),
(115467,270121,4,100,'Decreases threat priority of target by 1 position',1,1),
(115468,270121,4,100,'Decreases Hate Gain of target by 14.9%',0,2),
(115469,270121,5,100,'When damaged with a melee weapon this spell has a 58% chance to cast Linked Pain on target''s attacker.  ',0,0),
(115470,270121,5,100,'Decreases threat priority of target by 1 position',1,1),
(115471,270121,5,100,'Decreases Hate Gain of target by 16.3%',0,2),
(115472,270121,7,100,'When damaged with a melee weapon this spell has a 58% chance to cast Linked Pain on target''s attacker.  ',0,0),
(115473,270121,7,100,'Decreases threat priority of target by 1 position',1,1),
(115474,270121,7,100,'Decreases Hate Gain of target by 19.0%',0,2),
(115475,270121,9,100,'When damaged with a melee weapon this spell has a 58% chance to cast Linked Pain on target''s attacker.  ',0,0),
(115476,270121,9,100,'Decreases threat priority of target by 1 position',1,1),
(115477,270121,9,100,'Decreases Hate Gain of target by 22.0%',0,2),
(115478,170136,1,100,'Shapechanges caster into a lion',0,0),
(115479,170136,1,100,'Increases STA of caster by 21.6',0,1),
(115480,170136,1,100,'Adds 2.1% to base avoidance.',0,2),
(115481,170136,1,100,'Grants See Stealth to caster',0,3),
(115482,170136,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 342',0,4),
(115483,170136,2,100,'Shapechanges caster into a lion',0,0),
(115484,170136,2,100,'Increases STA of caster by 22.8',0,1),
(115485,170136,2,100,'Adds 2.2% to base avoidance.',0,2),
(115486,170136,2,100,'Grants See Stealth to caster',0,3),
(115487,170136,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 361',0,4),
(115488,170136,3,100,'Shapechanges caster into a lion',0,0),
(115489,170136,3,100,'Increases STA of caster by 24.0',0,1),
(115490,170136,3,100,'Adds 2.3% to base avoidance.',0,2),
(115491,170136,3,100,'Grants See Stealth to caster',0,3),
(115492,170136,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 380',0,4),
(115493,170136,4,100,'Shapechanges caster into a lion',0,0),
(115494,170136,4,100,'Increases STA of caster by 26.4',0,1),
(115495,170136,4,100,'Adds 2.5% to base avoidance.',0,2),
(115496,170136,4,100,'Grants See Stealth to caster',0,3),
(115497,170136,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 418',0,4),
(115498,170136,5,100,'Shapechanges caster into a lion',0,0),
(115499,170136,5,100,'Increases STA of caster by 28.8',0,1),
(115500,170136,5,100,'Adds 2.8% to base avoidance.',0,2),
(115501,170136,5,100,'Grants See Stealth to caster',0,3),
(115502,170136,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 456',0,4),
(115503,170136,7,100,'Shapechanges caster into a lion',0,0),
(115504,170136,7,100,'Increases STA of caster by 37.0',0,1),
(115505,170136,7,100,'Adds 3.5% to base avoidance.',0,2),
(115506,170136,7,100,'Grants See Stealth to caster',0,3),
(115507,170136,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 585',0,4),
(115508,170136,9,100,'Shapechanges caster into a lion',0,0),
(115509,170136,9,100,'Increases STA of caster by 38.4',0,1),
(115510,170136,9,100,'Adds 3.7% to base avoidance.',0,2),
(115511,170136,9,100,'Grants See Stealth to caster',0,3),
(115512,170136,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 608',0,4),
(115513,170136,10,100,'Shapechanges caster into a lion',0,0),
(115514,170136,10,100,'Increases STA of caster by 40.3',0,1),
(115515,170136,10,100,'Adds 3.9% to base avoidance.',0,2),
(115516,170136,10,100,'Grants See Stealth to caster',0,3),
(115517,170136,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 638',0,4),
(115518,170137,1,100,'Shapechanges caster into a lion',0,0),
(115519,170137,1,100,'Increases STA of caster by 35.4',0,1),
(115520,170137,1,100,'Adds 2.1% to base avoidance.',0,2),
(115521,170137,1,100,'Grants See Stealth to caster',0,3),
(115522,170137,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 581',0,4),
(115523,170137,2,100,'Shapechanges caster into a lion',0,0),
(115524,170137,2,100,'Increases STA of caster by 37.3',0,1),
(115525,170137,2,100,'Adds 2.2% to base avoidance.',0,2),
(115526,170137,2,100,'Grants See Stealth to caster',0,3),
(115527,170137,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 614',0,4),
(115528,170137,3,100,'Shapechanges caster into a lion',0,0),
(115529,170137,3,100,'Increases STA of caster by 39.3',0,1),
(115530,170137,3,100,'Adds 2.3% to base avoidance.',0,2),
(115531,170137,3,100,'Grants See Stealth to caster',0,3),
(115532,170137,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 646',0,4),
(115533,170137,4,100,'Shapechanges caster into a lion',0,0),
(115534,170137,4,100,'Increases STA of caster by 43.2',0,1),
(115535,170137,4,100,'Adds 2.5% to base avoidance.',0,2),
(115536,170137,4,100,'Grants See Stealth to caster',0,3),
(115537,170137,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 711',0,4),
(115538,170137,5,100,'Shapechanges caster into a lion',0,0),
(115539,170137,5,100,'Increases STA of caster by 47.2',0,1),
(115540,170137,5,100,'Adds 2.8% to base avoidance.',0,2),
(115541,170137,5,100,'Grants See Stealth to caster',0,3),
(115542,170137,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 775',0,4),
(115543,170137,7,100,'Shapechanges caster into a lion',0,0),
(115544,170137,7,100,'Increases STA of caster by 60.5',0,1),
(115545,170137,7,100,'Adds 3.5% to base avoidance.',0,2),
(115546,170137,7,100,'Grants See Stealth to caster',0,3),
(115547,170137,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 995',0,4),
(115548,170137,9,100,'Shapechanges caster into a lion',0,0),
(115549,170137,9,100,'Increases STA of caster by 62.9',0,1),
(115550,170137,9,100,'Adds 3.7% to base avoidance.',0,2),
(115551,170137,9,100,'Grants See Stealth to caster',0,3),
(115552,170137,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1034',0,4),
(115553,170137,10,100,'Shapechanges caster into a lion',0,0),
(115554,170137,10,100,'Increases STA of caster by 66.0',0,1),
(115555,170137,10,100,'Adds 3.9% to base avoidance.',0,2),
(115556,170137,10,100,'Grants See Stealth to caster',0,3),
(115557,170137,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1085',0,4),
(115558,170138,1,100,'Shapechanges caster into a lion',0,0),
(115559,170138,1,100,'Increases STA of caster by 50.5',0,1),
(115560,170138,1,100,'Adds 2.1% to base avoidance.',0,2),
(115561,170138,1,100,'Grants See Stealth to caster',0,3),
(115562,170138,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 821',0,4),
(115563,170138,2,100,'Shapechanges caster into a lion',0,0),
(115564,170138,2,100,'Increases STA of caster by 53.3',0,1),
(115565,170138,2,100,'Adds 2.2% to base avoidance.',0,2),
(115566,170138,2,100,'Grants See Stealth to caster',0,3),
(115567,170138,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 866',0,4),
(115568,170138,3,100,'Shapechanges caster into a lion',0,0),
(115569,170138,3,100,'Increases STA of caster by 56.1',0,1),
(115570,170138,3,100,'Adds 2.3% to base avoidance.',0,2),
(115571,170138,3,100,'Grants See Stealth to caster',0,3),
(115572,170138,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 912',0,4),
(115573,170138,4,100,'Shapechanges caster into a lion',0,0),
(115574,170138,4,100,'Increases STA of caster by 61.7',0,1),
(115575,170138,4,100,'Adds 2.5% to base avoidance.',0,2),
(115576,170138,4,100,'Grants See Stealth to caster',0,3),
(115577,170138,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1003',0,4),
(115578,170138,5,100,'Shapechanges caster into a lion',0,0),
(115579,170138,5,100,'Increases STA of caster by 67.3',0,1),
(115580,170138,5,100,'Adds 2.8% to base avoidance.',0,2),
(115581,170138,5,100,'Grants See Stealth to caster',0,3),
(115582,170138,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1094',0,4),
(115583,170138,7,100,'Shapechanges caster into a lion',0,0),
(115584,170138,7,100,'Increases STA of caster by 86.4',0,1),
(115585,170138,7,100,'Adds 3.5% to base avoidance.',0,2),
(115586,170138,7,100,'Grants See Stealth to caster',0,3),
(115587,170138,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1404',0,4),
(115588,170138,9,100,'Shapechanges caster into a lion',0,0),
(115589,170138,9,100,'Increases STA of caster by 89.8',0,1),
(115590,170138,9,100,'Adds 3.7% to base avoidance.',0,2),
(115591,170138,9,100,'Grants See Stealth to caster',0,3),
(115592,170138,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1459',0,4),
(115593,170138,10,100,'Shapechanges caster into a lion',0,0),
(115594,170138,10,100,'Increases STA of caster by 94.2',0,1),
(115595,170138,10,100,'Adds 3.9% to base avoidance.',0,2),
(115596,170138,10,100,'Grants See Stealth to caster',0,3),
(115597,170138,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1532',0,4),
(115598,170139,1,100,'Shapechanges caster into a lion',0,0),
(115599,170139,1,100,'Increases STA of caster by 65.6',0,1),
(115600,170139,1,100,'Adds 2.1% to base avoidance.',0,2),
(115601,170139,1,100,'Grants See Stealth to caster',0,3),
(115602,170139,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1060',0,4),
(115603,170139,2,100,'Shapechanges caster into a lion',0,0),
(115604,170139,2,100,'Increases STA of caster by 69.3',0,1),
(115605,170139,2,100,'Adds 2.2% to base avoidance.',0,2),
(115606,170139,2,100,'Grants See Stealth to caster',0,3),
(115607,170139,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1119',0,4),
(115608,170139,3,100,'Shapechanges caster into a lion',0,0),
(115609,170139,3,100,'Increases STA of caster by 72.9',0,1),
(115610,170139,3,100,'Adds 2.3% to base avoidance.',0,2),
(115611,170139,3,100,'Grants See Stealth to caster',0,3),
(115612,170139,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1178',0,4),
(115613,170139,4,100,'Shapechanges caster into a lion',0,0),
(115614,170139,4,100,'Increases STA of caster by 80.2',0,1),
(115615,170139,4,100,'Adds 2.5% to base avoidance.',0,2),
(115616,170139,4,100,'Grants See Stealth to caster',0,3),
(115617,170139,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1296',0,4),
(115618,170139,5,100,'Shapechanges caster into a lion',0,0),
(115619,170139,5,100,'Increases STA of caster by 87.5',0,1),
(115620,170139,5,100,'Adds 2.8% to base avoidance.',0,2),
(115621,170139,5,100,'Grants See Stealth to caster',0,3),
(115622,170139,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1414',0,4),
(115623,170139,7,100,'Shapechanges caster into a lion',0,0),
(115624,170139,7,100,'Increases STA of caster by 112.3',0,1),
(115625,170139,7,100,'Adds 3.5% to base avoidance.',0,2),
(115626,170139,7,100,'Grants See Stealth to caster',0,3),
(115627,170139,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1814',0,4),
(115628,170139,9,100,'Shapechanges caster into a lion',0,0),
(115629,170139,9,100,'Increases STA of caster by 116.6',0,1),
(115630,170139,9,100,'Adds 3.7% to base avoidance.',0,2),
(115631,170139,9,100,'Grants See Stealth to caster',0,3),
(115632,170139,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1885',0,4),
(115633,170140,1,100,'Shapechanges caster into a lion',0,0),
(115634,170140,1,100,'Increases STA of caster by 83.2',0,1),
(115635,170140,1,100,'Adds 2.1% to base avoidance.',0,2),
(115636,170140,1,100,'Grants See Stealth to caster',0,3),
(115637,170140,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1300',0,4),
(115638,170140,2,100,'Shapechanges caster into a lion',0,0),
(115639,170140,2,100,'Increases STA of caster by 87.8',0,1),
(115640,170140,2,100,'Adds 2.2% to base avoidance.',0,2),
(115641,170140,2,100,'Grants See Stealth to caster',0,3),
(115642,170140,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1372',0,4),
(115643,170140,3,100,'Shapechanges caster into a lion',0,0),
(115644,170140,3,100,'Increases STA of caster by 92.4',0,1),
(115645,170140,3,100,'Adds 2.3% to base avoidance.',0,2),
(115646,170140,3,100,'Grants See Stealth to caster',0,3),
(115647,170140,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1444',0,4),
(115648,170140,4,100,'Shapechanges caster into a lion',0,0),
(115649,170140,4,100,'Increases STA of caster by 101.6',0,1),
(115650,170140,4,100,'Adds 2.5% to base avoidance.',0,2),
(115651,170140,4,100,'Grants See Stealth to caster',0,3),
(115652,170140,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1588',0,4),
(115653,170140,5,100,'Shapechanges caster into a lion',0,0),
(115654,170140,5,100,'Increases STA of caster by 110.9',0,1),
(115655,170140,5,100,'Adds 2.8% to base avoidance.',0,2),
(115656,170140,5,100,'Grants See Stealth to caster',0,3),
(115657,170140,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1733',0,4),
(115658,170140,7,100,'Shapechanges caster into a lion',0,0),
(115659,170140,7,100,'Increases STA of caster by 142.3',0,1),
(115660,170140,7,100,'Adds 3.5% to base avoidance.',0,2),
(115661,170140,7,100,'Grants See Stealth to caster',0,3),
(115662,170140,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2224',0,4),
(115663,170140,9,100,'Shapechanges caster into a lion',0,0),
(115664,170140,9,100,'Increases STA of caster by 147.8',0,1),
(115665,170140,9,100,'Adds 3.7% to base avoidance.',0,2),
(115666,170140,9,100,'Grants See Stealth to caster',0,3),
(115667,170140,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2310',0,4),
(115668,170141,1,100,'Shapechanges caster into a lion',0,0),
(115669,170141,1,100,'Increases STA of caster by 98.0',0,1),
(115670,170141,1,100,'Adds 2.1% to base avoidance.',0,2),
(115671,170141,1,100,'Grants See Stealth to caster',0,3),
(115672,170141,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1471',0,4),
(115673,170141,4,100,'Shapechanges caster into a lion',0,0),
(115674,170141,4,100,'Increases STA of caster by 119.8',0,1),
(115675,170141,4,100,'Adds 2.5% to base avoidance.',0,2),
(115676,170141,4,100,'Grants See Stealth to caster',0,3),
(115677,170141,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1797',0,4),
(115678,170141,5,100,'Shapechanges caster into a lion',0,0),
(115679,170141,5,100,'Increases STA of caster by 130.7',0,1),
(115680,170141,5,100,'Adds 2.8% to base avoidance.',0,2),
(115681,170141,5,100,'Grants See Stealth to caster',0,3),
(115682,170141,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1961',0,4),
(115683,170141,7,100,'Shapechanges caster into a lion',0,0),
(115684,170141,7,100,'Increases STA of caster by 167.7',0,1),
(115685,170141,7,100,'Adds 3.5% to base avoidance.',0,2),
(115686,170141,7,100,'Grants See Stealth to caster',0,3),
(115687,170141,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2516',0,4),
(115688,170141,9,100,'Shapechanges caster into a lion',0,0),
(115689,170141,9,100,'Increases STA of caster by 174.2',0,1),
(115690,170141,9,100,'Adds 3.7% to base avoidance.',0,2),
(115691,170141,9,100,'Grants See Stealth to caster',0,3),
(115692,170141,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2614',0,4),
(115693,170142,1,100,'Shapechanges caster into a lion',0,0),
(115694,170142,1,100,'Increases STA of caster by 112.9',0,1),
(115695,170142,1,100,'Adds 2.1% to base avoidance.',0,2),
(115696,170142,1,100,'Grants See Stealth to caster',0,3),
(115697,170142,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1642',0,4),
(115698,170142,4,100,'Shapechanges caster into a lion',0,0),
(115699,170142,4,100,'Increases STA of caster by 137.9',0,1),
(115700,170142,4,100,'Adds 2.5% to base avoidance.',0,2),
(115701,170142,4,100,'Grants See Stealth to caster',0,3),
(115702,170142,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2006',0,4),
(115703,170142,5,100,'Shapechanges caster into a lion',0,0),
(115704,170142,5,100,'Increases STA of caster by 150.5',0,1),
(115705,170142,5,100,'Adds 2.8% to base avoidance.',0,2),
(115706,170142,5,100,'Grants See Stealth to caster',0,3),
(115707,170142,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2189',0,4),
(115708,170142,7,100,'Shapechanges caster into a lion',0,0),
(115709,170142,7,100,'Increases STA of caster by 193.1',0,1),
(115710,170142,7,100,'Adds 3.5% to base avoidance.',0,2),
(115711,170142,7,100,'Grants See Stealth to caster',0,3),
(115712,170142,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2809',0,4),
(115713,170142,9,100,'Shapechanges caster into a lion',0,0),
(115714,170142,9,100,'Increases STA of caster by 200.6',0,1),
(115715,170142,9,100,'Adds 3.7% to base avoidance.',0,2),
(115716,170142,9,100,'Grants See Stealth to caster',0,3),
(115717,170142,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2918',0,4),
(115718,280011,1,100,'Inflicts 22 - 34 magic damage on target',0,0),
(115719,280011,1,100,'Inflicts 5 - 8 magic damage on target every 4 seconds',0,1),
(115720,280011,2,100,'Inflicts 24 - 36 magic damage on target',0,0),
(115721,280011,2,100,'Inflicts 5 - 8 magic damage on target every 4 seconds',0,1),
(115722,280011,3,100,'Inflicts 25 - 37 magic damage on target',0,0),
(115723,280011,3,100,'Inflicts 6 - 8 magic damage on target every 4 seconds',0,1),
(115724,280011,4,100,'Inflicts 27 - 41 magic damage on target',0,0),
(115725,280011,4,100,'Inflicts 6 - 9 magic damage on target every 4 seconds',0,1),
(115726,280011,5,100,'Inflicts 30 - 45 magic damage on target',0,0),
(115727,280011,5,100,'Inflicts 7 - 10 magic damage on target every 4 seconds',0,1),
(115728,280011,7,100,'Inflicts 38 - 58 magic damage on target',0,0),
(115729,280011,7,100,'Inflicts 9 - 13 magic damage on target every 4 seconds',0,1),
(115730,280011,9,100,'Inflicts 40 - 60 magic damage on target',0,0),
(115731,280011,9,100,'Inflicts 9 - 13 magic damage on target every 4 seconds',0,1),
(115732,140136,1,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(115733,140136,1,100,'Heals target for 34 - 42',1,1),
(115734,140136,1,100,'Grants a total of 5 triggers of the spell.',1,2),
(115735,140136,4,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(115736,140136,4,100,'Heals target for 42 - 51',1,1),
(115737,140136,4,100,'Grants a total of 5 triggers of the spell.',1,2),
(115738,140136,5,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(115739,140136,5,100,'Heals target for 45 - 55',1,1),
(115740,140136,5,100,'Grants a total of 5 triggers of the spell.',1,2),
(115741,140136,7,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(115742,140136,7,100,'Heals target for 58 - 71',1,1),
(115743,140136,7,100,'Grants a total of 5 triggers of the spell.',1,2),
(115744,140136,9,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(115745,140136,9,100,'Heals target for 60 - 74',1,1),
(115746,140136,9,100,'Grants a total of 5 triggers of the spell.',1,2),
(115747,140136,10,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(115748,140136,10,100,'Heals target for 64 - 78',1,1),
(115749,140136,10,100,'Grants a total of 5 triggers of the spell.',1,2),
(115750,140137,1,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(115751,140137,1,100,'Heals target for 54 - 66',1,1),
(115752,140137,1,100,'Grants a total of 5 triggers of the spell.',1,2),
(115753,140137,4,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(115754,140137,4,100,'Heals target for 66 - 80',1,1),
(115755,140137,4,100,'Grants a total of 5 triggers of the spell.',1,2),
(115756,140137,5,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(115757,140137,5,100,'Heals target for 72 - 88',1,1),
(115758,140137,5,100,'Grants a total of 5 triggers of the spell.',1,2),
(115759,140137,7,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(115760,140137,7,100,'Heals target for 92 - 113',1,1),
(115761,140137,7,100,'Grants a total of 5 triggers of the spell.',1,2),
(115762,140137,9,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(115763,140137,9,100,'Heals target for 96 - 117',1,1),
(115764,140137,9,100,'Grants a total of 5 triggers of the spell.',1,2),
(115765,140137,10,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(115766,140137,10,100,'Heals target for 101 - 123',1,1),
(115767,140137,10,100,'Grants a total of 5 triggers of the spell.',1,2),
(115768,140138,1,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(115769,140138,1,100,'Heals target for 77 - 94',1,1),
(115770,140138,1,100,'Grants a total of 5 triggers of the spell.',1,3),
(115771,140138,2,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(115772,140138,2,100,'Heals target for 81 - 99',1,1),
(115773,140138,2,100,'Grants a total of 5 triggers of the spell.',1,3),
(115774,140138,3,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(115775,140138,3,100,'Heals target for 86 - 105',1,1),
(115776,140138,3,100,'Grants a total of 5 triggers of the spell.',1,3),
(115777,140138,4,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(115778,140138,4,100,'Heals target for 94 - 115',1,1),
(115779,140138,4,100,'Grants a total of 5 triggers of the spell.',1,3),
(115780,140138,5,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(115781,140138,5,100,'Heals target for 103 - 126',1,1),
(115782,140138,5,100,'Grants a total of 5 triggers of the spell.',1,3),
(115783,140138,7,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(115784,140138,7,100,'Heals target for 124 - 156',1,1),
(115785,140138,7,100,'Grants a total of 5 triggers of the spell.',1,3),
(115786,140138,9,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(115787,140138,9,100,'Heals target for 137 - 168',1,1),
(115788,140138,9,100,'Grants a total of 5 triggers of the spell.',1,3),
(115789,140139,1,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(115790,140139,1,100,'Heals target for 125 - 152',1,1),
(115791,140139,1,100,'Grants a total of 5 triggers of the spell.',1,2),
(115792,140139,2,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(115793,140139,2,100,'Heals target for 132 - 161',1,1),
(115794,140139,2,100,'Grants a total of 5 triggers of the spell.',1,2),
(115795,140139,3,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(115796,140139,3,100,'Heals target for 139 - 169',1,1),
(115797,140139,3,100,'Grants a total of 5 triggers of the spell.',1,2),
(115798,140139,4,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(115799,140139,4,100,'Heals target for 152 - 186',1,1),
(115800,140139,4,100,'Grants a total of 5 triggers of the spell.',1,2),
(115801,140139,5,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(115802,140139,5,100,'Heals target for 166 - 203',1,1),
(115803,140139,5,100,'Grants a total of 5 triggers of the spell.',1,2),
(115804,140139,7,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(115805,140139,7,100,'Heals target for 213 - 261',1,1),
(115806,140139,7,100,'Grants a total of 5 triggers of the spell.',1,2),
(115807,140139,9,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(115808,140139,9,100,'Heals target for 222 - 271',1,1),
(115809,140139,9,100,'Grants a total of 5 triggers of the spell.',1,2),
(115810,140139,10,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(115811,140139,10,100,'Heals target for 233 - 285',1,1),
(115812,140139,10,100,'Grants a total of 5 triggers of the spell.',1,2),
(115813,140140,1,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(115814,140140,1,100,'Heals target for 421 - 515',1,1),
(115815,140140,1,100,'Grants a total of 5 triggers of the spell.',1,2),
(115816,140140,4,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(115817,140140,4,100,'Heals target for 515 - 629',1,1),
(115818,140140,4,100,'Grants a total of 5 triggers of the spell.',1,2),
(115819,140140,5,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(115820,140140,5,100,'Heals target for 562 - 687',1,1),
(115821,140140,5,100,'Grants a total of 5 triggers of the spell.',1,2),
(115822,140140,7,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(115823,140140,7,100,'Heals target for 721 - 881',1,1),
(115824,140140,7,100,'Grants a total of 5 triggers of the spell.',1,2),
(115825,140140,9,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(115826,140140,9,100,'Heals target for 749 - 915',1,1),
(115827,140140,9,100,'Grants a total of 5 triggers of the spell.',1,2),
(115828,140141,1,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(115829,140141,1,100,'Heals target for 184 - 225',1,1),
(115830,140141,1,100,'Grants a total of 5 triggers of the spell.',1,2),
(115831,140141,2,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(115832,140141,2,100,'Heals target for 195 - 238',1,1),
(115833,140141,2,100,'Grants a total of 5 triggers of the spell.',1,2),
(115834,140141,3,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(115835,140141,3,100,'Heals target for 205 - 250',1,1),
(115836,140141,3,100,'Grants a total of 5 triggers of the spell.',1,2),
(115837,140141,4,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(115838,140141,4,100,'Heals target for 225 - 275',1,1),
(115839,140141,4,100,'Grants a total of 5 triggers of the spell.',1,2),
(115840,140141,5,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(115841,140141,5,100,'Heals target for 246 - 300',1,1),
(115842,140141,5,100,'Grants a total of 5 triggers of the spell.',1,2),
(115843,140141,7,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(115844,140141,7,100,'Heals target for 315 - 385',1,1),
(115845,140141,7,100,'Grants a total of 5 triggers of the spell.',1,2),
(115846,140141,9,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(115847,140141,9,100,'Heals target for 328 - 400',1,1),
(115848,140141,9,100,'Grants a total of 5 triggers of the spell.',1,2),
(115849,140141,10,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(115850,140141,10,100,'Heals target for 344 - 420',1,1),
(115851,140141,10,100,'Grants a total of 5 triggers of the spell.',1,2),
(115852,140142,1,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(115853,140142,1,100,'Heals target for 244 - 298',1,1),
(115854,140142,1,100,'Grants a total of 5 triggers of the spell.',1,2),
(115855,140142,2,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(115856,140142,2,100,'Heals target for 257 - 315',1,1),
(115857,140142,2,100,'Grants a total of 5 triggers of the spell.',1,2),
(115858,140142,3,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(115859,140142,3,100,'Heals target for 271 - 331',1,1),
(115860,140142,3,100,'Grants a total of 5 triggers of the spell.',1,2),
(115861,140142,4,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(115862,140142,4,100,'Heals target for 298 - 364',1,1),
(115863,140142,4,100,'Grants a total of 5 triggers of the spell.',1,2),
(115864,140142,5,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(115865,140142,5,100,'Heals target for 325 - 397',1,1),
(115866,140142,5,100,'Grants a total of 5 triggers of the spell.',1,2),
(115867,140142,7,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(115868,140142,7,100,'Heals target for 417 - 510',1,1),
(115869,140142,7,100,'Grants a total of 5 triggers of the spell.',1,2),
(115870,140142,9,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(115871,140142,9,100,'Heals target for 433 - 530',1,1),
(115872,140142,9,100,'Grants a total of 5 triggers of the spell.',1,2),
(115873,140143,1,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(115874,140143,1,100,'Heals target for 323 - 394',1,1),
(115875,140143,1,100,'Grants a total of 5 triggers of the spell.',1,2),
(115876,140143,2,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(115877,140143,2,100,'Heals target for 341 - 416',1,1),
(115878,140143,2,100,'Grants a total of 5 triggers of the spell.',1,2),
(115879,140143,3,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(115880,140143,3,100,'Heals target for 358 - 438',1,1),
(115881,140143,3,100,'Grants a total of 5 triggers of the spell.',1,2),
(115882,140143,4,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(115883,140143,4,100,'Heals target for 394 - 482',1,1),
(115884,140143,4,100,'Grants a total of 5 triggers of the spell.',1,2),
(115885,140143,5,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(115886,140143,5,100,'Heals target for 430 - 526',1,1),
(115887,140143,5,100,'Grants a total of 5 triggers of the spell.',1,2),
(115888,140143,7,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(115889,140143,7,100,'Heals target for 552 - 675',1,1),
(115890,140143,7,100,'Grants a total of 5 triggers of the spell.',1,2),
(115891,140143,9,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(115892,140143,9,100,'Heals target for 574 - 701',1,1),
(115893,140143,9,100,'Grants a total of 5 triggers of the spell.',1,2),
(115894,140144,1,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(115895,140144,1,100,'Heals target for 392 - 480',1,1),
(115896,140144,1,100,'Grants a total of 5 triggers of the spell.',1,2),
(115897,140144,4,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(115898,140144,4,100,'Heals target for 480 - 586',1,1),
(115899,140144,4,100,'Grants a total of 5 triggers of the spell.',1,2),
(115900,140144,5,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(115901,140144,5,100,'Heals target for 523 - 639',1,1),
(115902,140144,5,100,'Grants a total of 5 triggers of the spell.',1,2),
(115903,140144,7,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(115904,140144,7,100,'Heals target for 671 - 821',1,1),
(115905,140144,7,100,'Grants a total of 5 triggers of the spell.',1,2),
(115906,140144,9,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(115907,140144,9,100,'Heals target for 698 - 853',1,1),
(115908,140144,9,100,'Grants a total of 5 triggers of the spell.',1,2),
(115909,370150,1,100,'When damaged this spell has a 6% chance to cast Stoneskin on target.  Lasts for 20.0 seconds.  ',0,0),
(115910,370150,1,100,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',1,1),
(115911,370150,2,100,'When damaged this spell has a 7% chance to cast Stoneskin on target.  Lasts for 20.0 seconds.  ',0,0),
(115912,370150,2,100,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',1,1),
(115913,370150,3,100,'When damaged this spell has a 8% chance to cast Stoneskin on target.  Lasts for 20.0 seconds.  ',0,0),
(115914,370150,3,100,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',1,1),
(115915,370150,4,100,'When damaged this spell has a 9% chance to cast Stoneskin on target.  Lasts for 20.0 seconds.  ',0,0),
(115916,370150,4,100,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',1,1),
(115917,370150,5,100,'When damaged this spell has a 10% chance to cast Stoneskin on target.  Lasts for 20.0 seconds.  ',0,0),
(115918,370150,5,100,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',1,1),
(115919,370150,7,100,'When damaged this spell has a 11% chance to cast Stoneskin on target.  Lasts for 20.0 seconds.  ',0,0),
(115920,370150,7,100,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',1,1),
(115921,370150,9,100,'When damaged this spell has a 12% chance to cast Stoneskin on target.  Lasts for 20.0 seconds.  ',0,0),
(115922,370150,9,100,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',1,1),
(115923,360129,1,100,'Inflicts 23 - 38 mental damage on target',0,0),
(115924,360129,2,100,'Inflicts 24 - 40 mental damage on target',0,0),
(115925,360129,3,100,'Inflicts 25 - 42 mental damage on target',0,0),
(115926,360129,4,100,'Inflicts 28 - 47 mental damage on target',0,0),
(115927,360129,5,100,'Inflicts 31 - 51 mental damage on target',0,0),
(115928,360129,7,100,'Inflicts 39 - 65 mental damage on target',0,0),
(115929,360129,9,100,'Inflicts 41 - 68 mental damage on target',0,0),
(115930,360130,1,100,'Inflicts 84 - 140 mental damage on target',0,0),
(115931,360130,2,100,'Inflicts 88 - 147 mental damage on target',0,0),
(115932,360130,3,100,'Inflicts 93 - 155 mental damage on target',0,0),
(115933,360130,4,100,'Inflicts 102 - 171 mental damage on target',0,0),
(115934,360130,5,100,'Inflicts 112 - 186 mental damage on target',0,0),
(115935,360130,7,100,'Inflicts 143 - 239 mental damage on target',0,0),
(115936,360130,9,100,'Inflicts 149 - 248 mental damage on target',0,0),
(115937,360130,10,100,'Inflicts 156 - 261 mental damage on target',0,0),
(115938,360131,1,100,'Inflicts 186 - 311 mental damage on target',0,0),
(115939,360131,2,100,'Inflicts 197 - 328 mental damage on target',0,0),
(115940,360131,3,100,'Inflicts 207 - 345 mental damage on target',0,0),
(115941,360131,4,100,'Inflicts 228 - 380 mental damage on target',0,0),
(115942,360131,5,100,'Inflicts 249 - 414 mental damage on target',0,0),
(115943,360131,7,100,'Inflicts 319 - 532 mental damage on target',0,0),
(115944,360131,9,100,'Inflicts 332 - 553 mental damage on target',0,0),
(115945,360132,1,100,'Inflicts 300 - 500 mental damage on target',0,0),
(115946,360132,2,100,'Inflicts 317 - 528 mental damage on target',0,0),
(115947,360132,3,100,'Inflicts 333 - 556 mental damage on target',0,0),
(115948,360132,4,100,'Inflicts 367 - 611 mental damage on target',0,0),
(115949,360132,5,100,'Inflicts 400 - 667 mental damage on target',0,0),
(115950,360132,7,100,'Inflicts 513 - 856 mental damage on target',0,0),
(115951,360132,9,100,'Inflicts 533 - 889 mental damage on target',0,0),
(115952,360133,1,100,'Inflicts 925 - 1541 mental damage on target',0,0),
(115953,360133,4,100,'Inflicts 1130 - 1883 mental damage on target',0,0),
(115954,360133,5,100,'Inflicts 1233 - 2055 mental damage on target',0,0),
(115955,360133,7,100,'Inflicts 1582 - 2637 mental damage on target',0,0),
(115956,360133,9,100,'Inflicts 1644 - 2739 mental damage on target',0,0),
(115957,360134,1,100,'Inflicts 442 - 737 mental damage on target',0,0),
(115958,360134,2,100,'Inflicts 467 - 778 mental damage on target',0,0),
(115959,360134,3,100,'Inflicts 491 - 819 mental damage on target',0,0),
(115960,360134,4,100,'Inflicts 540 - 901 mental damage on target',0,0),
(115961,360134,5,100,'Inflicts 589 - 982 mental damage on target',0,0),
(115962,360134,7,100,'Inflicts 756 - 1261 mental damage on target',0,0),
(115963,360134,9,100,'Inflicts 786 - 1310 mental damage on target',0,0),
(115964,360134,10,100,'Inflicts 825 - 1375 mental damage on target',0,0),
(115965,360135,1,100,'Inflicts 584 - 973 mental damage on target',0,0),
(115966,360135,2,100,'Inflicts 616 - 1027 mental damage on target',0,0),
(115967,360135,3,100,'Inflicts 649 - 1081 mental damage on target',0,0),
(115968,360135,4,100,'Inflicts 714 - 1190 mental damage on target',0,0),
(115969,360135,5,100,'Inflicts 779 - 1298 mental damage on target',0,0),
(115970,360135,7,100,'Inflicts 999 - 1665 mental damage on target',0,0),
(115971,360135,9,100,'Inflicts 1038 - 1730 mental damage on target',0,0),
(115972,360136,1,100,'Inflicts 707 - 1178 mental damage on target',0,0),
(115973,360136,2,100,'Inflicts 746 - 1244 mental damage on target',0,0),
(115974,360136,3,100,'Inflicts 786 - 1309 mental damage on target',0,0),
(115975,360136,4,100,'Inflicts 864 - 1440 mental damage on target',0,0),
(115976,360136,5,100,'Inflicts 943 - 1571 mental damage on target',0,0),
(115977,360136,7,100,'Inflicts 1210 - 2016 mental damage on target',0,0),
(115978,360136,9,100,'Inflicts 1257 - 2095 mental damage on target',0,0),
(115979,360137,1,100,'Inflicts 852 - 1420 mental damage on target',0,0),
(115980,360137,4,100,'Inflicts 1041 - 1735 mental damage on target',0,0),
(115981,360137,5,100,'Inflicts 1136 - 1893 mental damage on target',0,0),
(115982,360137,7,100,'Inflicts 1457 - 2429 mental damage on target',0,0),
(115983,360137,9,100,'Inflicts 1514 - 2524 mental damage on target',0,0),
(115984,360138,1,100,'Increases INT of group members (AE) by 40.9',0,0),
(115985,360138,1,100,'On a hostile spell cast this spell will cast Precise Note on target of spell.  ',0,1),
(115986,360138,1,100,'Inflicts 130 - 159 mental damage on target',1,2),
(115987,360138,2,100,'Increases INT of group members (AE) by 43.1',0,0),
(115988,360138,2,100,'On a hostile spell cast this spell will cast Precise Note on target of spell.  ',0,1),
(115989,360138,2,100,'Inflicts 138 - 168 mental damage on target',1,2),
(115990,360138,3,100,'Increases INT of group members (AE) by 45.4',0,0),
(115991,360138,3,100,'On a hostile spell cast this spell will cast Precise Note on target of spell.  ',0,1),
(115992,360138,3,100,'Inflicts 145 - 177 mental damage on target',1,2),
(115993,360138,4,100,'Increases INT of group members (AE) by 49.9',0,0),
(115994,360138,4,100,'On a hostile spell cast this spell will cast Precise Note on target of spell.  ',0,1),
(115995,360138,4,100,'Inflicts 159 - 195 mental damage on target',1,2),
(115996,360138,5,100,'Increases INT of group members (AE) by 54.5',0,0),
(115997,360138,5,100,'On a hostile spell cast this spell will cast Precise Note on target of spell.  ',0,1),
(115998,360138,5,100,'Inflicts 174 - 212 mental damage on target',1,2),
(115999,360138,7,100,'Increases INT of group members (AE) by 69.9',0,0),
(116000,360138,7,100,'On a hostile spell cast this spell will cast Precise Note on target of spell.  ',0,1),
(116001,360138,7,100,'Inflicts 223 - 273 mental damage on target',1,2),
(116002,360138,9,100,'Increases INT of group members (AE) by 72.6',0,0),
(116003,360138,9,100,'On a hostile spell cast this spell will cast Precise Note on target of spell.  ',0,1),
(116004,360138,9,100,'Inflicts 232 - 283 mental damage on target',1,2),
(116005,360139,1,100,'Increases INT of group members (AE) by 55.4',0,0),
(116006,360139,1,100,'On a hostile spell cast this spell will cast Precise Note on target of spell.  ',0,1),
(116007,360139,1,100,'Inflicts 184 - 225 mental damage on target',1,2),
(116008,360139,2,100,'Increases INT of group members (AE) by 58.5',0,0),
(116009,360139,2,100,'On a hostile spell cast this spell will cast Precise Note on target of spell.  ',0,1),
(116010,360139,2,100,'Inflicts 194 - 237 mental damage on target',1,2),
(116011,360139,3,100,'Increases INT of group members (AE) by 61.6',0,0),
(116012,360139,3,100,'On a hostile spell cast this spell will cast Precise Note on target of spell.  ',0,1),
(116013,360139,3,100,'Inflicts 204 - 250 mental damage on target',1,2),
(116014,360139,4,100,'Increases INT of group members (AE) by 67.8',0,0),
(116015,360139,4,100,'On a hostile spell cast this spell will cast Precise Note on target of spell.  ',0,1),
(116016,360139,4,100,'Inflicts 225 - 275 mental damage on target',1,2),
(116017,360139,5,100,'Increases INT of group members (AE) by 73.9',0,0),
(116018,360139,5,100,'On a hostile spell cast this spell will cast Precise Note on target of spell.  ',0,1),
(116019,360139,5,100,'Inflicts 245 - 300 mental damage on target',1,2),
(116020,360139,7,100,'Increases INT of group members (AE) by 94.9',0,0),
(116021,360139,7,100,'On a hostile spell cast this spell will cast Precise Note on target of spell.  ',0,1),
(116022,360139,7,100,'Inflicts 315 - 385 mental damage on target',1,2),
(116023,360139,9,100,'Increases INT of group members (AE) by 98.6',0,0),
(116024,360139,9,100,'On a hostile spell cast this spell will cast Precise Note on target of spell.  ',0,1),
(116025,360139,9,100,'Inflicts 327 - 400 mental damage on target',1,2),
(116026,360140,1,100,'Increases INT of group members (AE) by 65.3',0,0),
(116027,360140,1,100,'On a hostile spell cast this spell will cast Precise Note on target of spell.  ',0,1),
(116028,360140,1,100,'Inflicts 222 - 271 mental damage on target',1,2),
(116029,360140,4,100,'Increases INT of group members (AE) by 79.9',0,0),
(116030,360140,4,100,'On a hostile spell cast this spell will cast Precise Note on target of spell.  ',0,1),
(116031,360140,4,100,'Inflicts 271 - 332 mental damage on target',1,2),
(116032,360140,5,100,'Increases INT of group members (AE) by 87.1',0,0),
(116033,360140,5,100,'On a hostile spell cast this spell will cast Precise Note on target of spell.  ',0,1),
(116034,360140,5,100,'Inflicts 296 - 362 mental damage on target',1,2),
(116035,360140,7,100,'Increases INT of group members (AE) by 111.8',0,0),
(116036,360140,7,100,'On a hostile spell cast this spell will cast Precise Note on target of spell.  ',0,1),
(116037,360140,7,100,'Inflicts 380 - 464 mental damage on target',1,2),
(116038,360140,9,100,'Increases INT of group members (AE) by 116.2',0,0),
(116039,360140,9,100,'On a hostile spell cast this spell will cast Precise Note on target of spell.  ',0,1),
(116040,360140,9,100,'Inflicts 395 - 482 mental damage on target',1,2),
(116041,360141,1,100,'Increases INT of group members (AE) by 75.2',0,0),
(116042,360141,1,100,'On a hostile spell cast this spell will cast Precise Note on target of spell.  ',0,1),
(116043,360141,1,100,'Inflicts 247 - 302 mental damage on target',1,2),
(116044,360141,4,100,'Increases INT of group members (AE) by 92.0',0,0),
(116045,360141,4,100,'On a hostile spell cast this spell will cast Precise Note on target of spell.  ',0,1),
(116046,360141,4,100,'Inflicts 302 - 369 mental damage on target',1,2),
(116047,360141,5,100,'Increases INT of group members (AE) by 100.3',0,0),
(116048,360141,5,100,'On a hostile spell cast this spell will cast Precise Note on target of spell.  ',0,1),
(116049,360141,5,100,'Inflicts 329 - 402 mental damage on target',1,2),
(116050,360141,7,100,'Increases INT of group members (AE) by 128.7',0,0),
(116051,360141,7,100,'On a hostile spell cast this spell will cast Precise Note on target of spell.  ',0,1),
(116052,360141,7,100,'Inflicts 422 - 516 mental damage on target',1,2),
(116053,360141,9,100,'Increases INT of group members (AE) by 133.8',0,0),
(116054,360141,9,100,'On a hostile spell cast this spell will cast Precise Note on target of spell.  ',0,1),
(116055,360141,9,100,'Inflicts 439 - 536 mental damage on target',1,2),
(116056,350024,1,100,'Increases AGI of caster by 10.0',0,0),
(116057,350024,1,100,'Increases Mitigation vs arcane damage by 156',0,1),
(116058,350024,2,100,'Increases AGI of caster by 10.5',0,0),
(116059,350024,2,100,'Increases Mitigation vs arcane damage by 164',0,1),
(116060,350024,3,100,'Increases AGI of caster by 11.1',0,0),
(116061,350024,3,100,'Increases Mitigation vs arcane damage by 173',0,1),
(116062,350024,4,100,'Increases AGI of caster by 12.2',0,0),
(116063,350024,4,100,'Increases Mitigation vs arcane damage by 190',0,1),
(116064,350024,5,100,'Increases AGI of caster by 13.3',0,0),
(116065,350024,5,100,'Increases Mitigation vs arcane damage by 207',0,1),
(116066,350024,7,100,'Increases AGI of caster by 17.1',0,0),
(116067,350024,7,100,'Increases Mitigation vs arcane damage by 266',0,1),
(116068,350024,9,100,'Increases AGI of caster by 17.8',0,0),
(116069,350024,9,100,'Increases Mitigation vs arcane damage by 276',0,1),
(116070,2000566,1,100,'Improves base auto-attack multiplier of caster by 0.25. Does not apply to spell weapons.',0,0),
(116071,2000566,1,100,'Increases Multi Attack Chance of caster by 33.0',0,1),
(116072,2000566,1,100,'Improves the base damage of spells and combat arts by 15% and improves critical damage by 20%.',0,2),
(116073,2000566,1,100,'Increases the casting time of beneficial spells by 10%.',0,3),
(116074,2000566,1,100,'Reduces heal amount by 10%.',0,4),
(116075,2000567,1,100,'Applies Stoneskin Reaction.  Lasts for 1.0 seconds.',0,0),
(116076,2000567,1,100,'Reduces all damage done to target by 100%',1,1),
(116077,2000567,1,100,'Triggers when a Stoneskin is consumed. Suspends all other stoneskins that match the damage types of this effect.',1,2),
(116078,2000567,1,100,'Applies Perseverance of Divinity on termination.  Lasts for 15.0 seconds.',0,3),
(116079,2000567,1,100,'When any damage is received this spell will cast Divine Perseverance on target.  ',1,4),
(116080,2000567,1,100,'Heals the target based on the amount of damage absorbed by the Stoneskin',2,5),
(116081,2000567,1,100,'Cannot be modified except by direct means',2,6),
(116082,2000567,1,100,'Grants a total of 2 triggers of the spell.',2,7),
(116083,2000567,1,100,'Cannot be modified except by direct means',1,8),
(116084,260125,1,100,'Summons a pet Illusion Ally',0,0),
(116085,260125,2,100,'Summons a pet Illusion Ally',0,0),
(116086,260125,3,100,'Summons a pet Illusion Ally',0,0),
(116087,260125,4,100,'Summons a pet Illusion Ally',0,0),
(116088,260125,5,100,'Summons a pet Illusion Ally',0,0),
(116089,260125,7,100,'Summons a pet Illusion Ally',0,0),
(116090,260125,9,100,'Summons a pet Illusion Ally',0,0),
(116091,260126,1,100,'Summons a pet Illusion Ally',0,0),
(116092,260126,2,100,'Summons a pet Illusion Ally',0,0),
(116093,260126,3,100,'Summons a pet Illusion Ally',0,0),
(116094,260126,4,100,'Summons a pet Illusion Ally',0,0),
(116095,260126,5,100,'Summons a pet Illusion Ally',0,0),
(116096,260126,7,100,'Summons a pet Illusion Ally',0,0),
(116097,260126,9,100,'Summons a pet Illusion Ally',0,0),
(116098,260127,1,100,'Summons a pet Illusion Ally',0,0),
(116099,260127,2,100,'Summons a pet Illusion Ally',0,0),
(116100,260127,3,100,'Summons a pet Illusion Ally',0,0),
(116101,260127,4,100,'Summons a pet Illusion Ally',0,0),
(116102,260127,5,100,'Summons a pet Illusion Ally',0,0),
(116103,260127,7,100,'Summons a pet Illusion Ally',0,0),
(116104,260127,9,100,'Summons a pet Illusion Ally',0,0),
(116105,260128,1,100,'Summons a pet Illusion Ally',0,0),
(116106,260128,2,100,'Summons a pet Illusion Ally',0,0),
(116107,260128,3,100,'Summons a pet Illusion Ally',0,0),
(116108,260128,4,100,'Summons a pet Illusion Ally',0,0),
(116109,260128,5,100,'Summons a pet Illusion Ally',0,0),
(116110,260128,7,100,'Summons a pet Illusion Ally',0,0),
(116111,260128,9,100,'Summons a pet Illusion Ally',0,0),
(116112,260129,1,100,'Summons a pet Illusion Ally',0,0),
(116113,260129,4,100,'Summons a pet Illusion Ally',0,0),
(116114,260129,5,100,'Summons a pet Illusion Ally',0,0),
(116115,260129,7,100,'Summons a pet Illusion Ally',0,0),
(116116,260129,9,100,'Summons a pet Illusion Ally',0,0),
(116117,260130,1,100,'Summons a pet Illusion Ally',0,0),
(116118,260130,2,100,'Summons a pet Illusion Ally',0,0),
(116119,260130,3,100,'Summons a pet Illusion Ally',0,0),
(116120,260130,4,100,'Summons a pet Illusion Ally',0,0),
(116121,260130,5,100,'Summons a pet Illusion Ally',0,0),
(116122,260130,7,100,'Summons a pet Illusion Ally',0,0),
(116123,260130,9,100,'Summons a pet Illusion Ally',0,0),
(116124,260131,1,100,'Summons a pet Illusion Ally',0,0),
(116125,260131,2,100,'Summons a pet Illusion Ally',0,0),
(116126,260131,3,100,'Summons a pet Illusion Ally',0,0),
(116127,260131,4,100,'Summons a pet Illusion Ally',0,0),
(116128,260131,5,100,'Summons a pet Illusion Ally',0,0),
(116129,260131,7,100,'Summons a pet Illusion Ally',0,0),
(116130,260131,9,100,'Summons a pet Illusion Ally',0,0),
(116131,260132,1,100,'Summons a pet Illusion Ally',0,0),
(116132,260132,2,100,'Summons a pet Illusion Ally',0,0),
(116133,260132,3,100,'Summons a pet Illusion Ally',0,0),
(116134,260132,4,100,'Summons a pet Illusion Ally',0,0),
(116135,260132,5,100,'Summons a pet Illusion Ally',0,0),
(116136,260132,7,100,'Summons a pet Illusion Ally',0,0),
(116137,260132,9,100,'Summons a pet Illusion Ally',0,0),
(116138,260133,1,100,'Summons a pet Illusion Ally',0,0),
(116139,260133,4,100,'Summons a pet Illusion Ally',0,0),
(116140,260133,5,100,'Summons a pet Illusion Ally',0,0),
(116141,260133,7,100,'Summons a pet Illusion Ally',0,0),
(116142,260133,9,100,'Summons a pet Illusion Ally',0,0),
(116143,90160,1,100,'Applies Pestilence.  Lasts for 16.0 seconds.',0,0),
(116144,90160,1,100,'Inflicts 199 - 244 disease damage on caster',1,1),
(116145,90160,1,100,'Inflicts 66 - 81 disease damage on caster every 2 seconds',1,2),
(116146,90160,1,100,'On death this spell will cast Pestilence Mark on target.  ',1,3),
(116147,90160,1,100,'Applies Pestilence.  Lasts for 16.0 seconds.',2,4),
(116148,90160,1,100,'Grants a total of 1 trigger of the spell.',2,5),
(116149,90160,2,100,'Applies Pestilence.  Lasts for 16.0 seconds.',0,0),
(116150,90160,2,100,'Inflicts 210 - 257 disease damage on caster',1,1),
(116151,90160,2,100,'Inflicts 70 - 86 disease damage on caster every 2 seconds',1,2),
(116152,90160,2,100,'On death this spell will cast Pestilence Mark on target.  ',1,3),
(116153,90160,2,100,'Applies Pestilence.  Lasts for 16.0 seconds.',2,4),
(116154,90160,2,100,'Grants a total of 1 trigger of the spell.',2,5),
(116155,90160,3,100,'Applies Pestilence.  Lasts for 16.0 seconds.',0,0),
(116156,90160,3,100,'Inflicts 221 - 271 disease damage on caster',1,1),
(116157,90160,3,100,'Inflicts 74 - 90 disease damage on caster every 2 seconds',1,2),
(116158,90160,3,100,'On death this spell will cast Pestilence Mark on target.  ',1,3),
(116159,90160,3,100,'Applies Pestilence.  Lasts for 16.0 seconds.',2,4),
(116160,90160,3,100,'Grants a total of 1 trigger of the spell.',2,5),
(116161,90160,4,100,'Applies Pestilence.  Lasts for 16.0 seconds.',0,0),
(116162,90160,4,100,'Inflicts 244 - 298 disease damage on caster',1,1),
(116163,90160,4,100,'Inflicts 81 - 99 disease damage on caster every 2 seconds',1,2),
(116164,90160,4,100,'On death this spell will cast Pestilence Mark on target.  ',1,3),
(116165,90160,4,100,'Applies Pestilence.  Lasts for 16.0 seconds.',2,4),
(116166,90160,4,100,'Grants a total of 1 trigger of the spell.',2,5),
(116167,90160,5,100,'Applies Pestilence.  Lasts for 16.0 seconds.',0,0),
(116168,90160,5,100,'Inflicts 266 - 325 disease damage on caster',1,1),
(116169,90160,5,100,'Inflicts 89 - 108 disease damage on caster every 2 seconds',1,2),
(116170,90160,5,100,'On death this spell will cast Pestilence Mark on target.  ',1,3),
(116171,90160,5,100,'Applies Pestilence.  Lasts for 16.0 seconds.',2,4),
(116172,90160,5,100,'Grants a total of 1 trigger of the spell.',2,5),
(116173,90160,7,100,'Applies Pestilence.  Lasts for 16.0 seconds.',0,0),
(116174,90160,7,100,'Inflicts 341 - 417 disease damage on caster',1,1),
(116175,90160,7,100,'Inflicts 114 - 139 disease damage on caster every 2 seconds',1,2),
(116176,90160,7,100,'On death this spell will cast Pestilence Mark on target.  ',1,3),
(116177,90160,7,100,'Applies Pestilence.  Lasts for 16.0 seconds.',2,4),
(116178,90160,7,100,'Grants a total of 1 trigger of the spell.',2,5),
(116179,90160,9,100,'Applies Pestilence.  Lasts for 16.0 seconds.',0,0),
(116180,90160,9,100,'Inflicts 354 - 433 disease damage on caster',1,1),
(116181,90160,9,100,'Inflicts 118 - 144 disease damage on caster every 2 seconds',1,2),
(116182,90160,9,100,'On death this spell will cast Pestilence Mark on target.  ',1,3),
(116183,90160,9,100,'Applies Pestilence.  Lasts for 16.0 seconds.',2,4),
(116184,90160,9,100,'Grants a total of 1 trigger of the spell.',2,5),
(116185,90161,1,100,'Applies Pestilence.  Lasts for 16.0 seconds.',0,0),
(116186,90161,1,100,'Inflicts 255 - 311 disease damage on caster',1,1),
(116187,90161,1,100,'Inflicts 85 - 104 disease damage on caster every 2 seconds',1,2),
(116188,90161,1,100,'On death this spell will cast Pestilence Mark on target.  ',1,3),
(116189,90161,1,100,'Applies Pestilence.  Lasts for 16.0 seconds.',2,4),
(116190,90161,1,100,'Grants a total of 1 trigger of the spell.',2,5),
(116191,90161,2,100,'Applies Pestilence.  Lasts for 16.0 seconds.',0,0),
(116192,90161,2,100,'Inflicts 269 - 328 disease damage on caster',1,1),
(116193,90161,2,100,'Inflicts 90 - 109 disease damage on caster every 2 seconds',1,2),
(116194,90161,2,100,'On death this spell will cast Pestilence Mark on target.  ',1,3),
(116195,90161,2,100,'Applies Pestilence.  Lasts for 16.0 seconds.',2,4),
(116196,90161,2,100,'Grants a total of 1 trigger of the spell.',2,5),
(116197,90161,3,100,'Applies Pestilence.  Lasts for 16.0 seconds.',0,0),
(116198,90161,3,100,'Inflicts 283 - 346 disease damage on caster',1,1),
(116199,90161,3,100,'Inflicts 94 - 115 disease damage on caster every 2 seconds',1,2),
(116200,90161,3,100,'On death this spell will cast Pestilence Mark on target.  ',1,3),
(116201,90161,3,100,'Applies Pestilence.  Lasts for 16.0 seconds.',2,4),
(116202,90161,3,100,'Grants a total of 1 trigger of the spell.',2,5),
(116203,90161,4,100,'Applies Pestilence.  Lasts for 16.0 seconds.',0,0),
(116204,90161,4,100,'Inflicts 311 - 380 disease damage on caster',1,1),
(116205,90161,4,100,'Inflicts 104 - 127 disease damage on caster every 2 seconds',1,2),
(116206,90161,4,100,'On death this spell will cast Pestilence Mark on target.  ',1,3),
(116207,90161,4,100,'Applies Pestilence.  Lasts for 16.0 seconds.',2,4),
(116208,90161,4,100,'Grants a total of 1 trigger of the spell.',2,5),
(116209,90161,5,100,'Applies Pestilence.  Lasts for 16.0 seconds.',0,0),
(116210,90161,5,100,'Inflicts 339 - 415 disease damage on caster',1,1),
(116211,90161,5,100,'Inflicts 113 - 138 disease damage on caster every 2 seconds',1,2),
(116212,90161,5,100,'On death this spell will cast Pestilence Mark on target.  ',1,3),
(116213,90161,5,100,'Applies Pestilence.  Lasts for 16.0 seconds.',2,4),
(116214,90161,5,100,'Grants a total of 1 trigger of the spell.',2,5),
(116215,90161,7,100,'Applies Pestilence.  Lasts for 16.0 seconds.',0,0),
(116216,90161,7,100,'Inflicts 436 - 532 disease damage on caster',1,1),
(116217,90161,7,100,'Inflicts 145 - 177 disease damage on caster every 2 seconds',1,2),
(116218,90161,7,100,'On death this spell will cast Pestilence Mark on target.  ',1,3),
(116219,90161,7,100,'Applies Pestilence.  Lasts for 16.0 seconds.',2,4),
(116220,90161,7,100,'Grants a total of 1 trigger of the spell.',2,5),
(116221,90161,9,100,'Applies Pestilence.  Lasts for 16.0 seconds.',0,0),
(116222,90161,9,100,'Inflicts 453 - 553 disease damage on caster',1,1),
(116223,90161,9,100,'Inflicts 151 - 184 disease damage on caster every 2 seconds',1,2),
(116224,90161,9,100,'On death this spell will cast Pestilence Mark on target.  ',1,3),
(116225,90161,9,100,'Applies Pestilence.  Lasts for 16.0 seconds.',2,4),
(116226,90161,9,100,'Grants a total of 1 trigger of the spell.',2,5),
(116227,90162,1,100,'Applies Pestilence.  Lasts for 16.0 seconds.',0,0),
(116228,90162,1,100,'Inflicts 307 - 375 disease damage on caster',1,1),
(116229,90162,1,100,'Inflicts 102 - 125 disease damage on caster every 2 seconds',1,2),
(116230,90162,1,100,'On death this spell will cast Pestilence Mark on target.  ',1,3),
(116231,90162,1,100,'Applies Pestilence.  Lasts for 16.0 seconds.',2,4),
(116232,90162,1,100,'Grants a total of 1 trigger of the spell.',2,5),
(116233,90162,4,100,'Applies Pestilence.  Lasts for 16.0 seconds.',0,0),
(116234,90162,4,100,'Inflicts 375 - 458 disease damage on caster',1,1),
(116235,90162,4,100,'Inflicts 125 - 153 disease damage on caster every 2 seconds',1,2),
(116236,90162,4,100,'On death this spell will cast Pestilence Mark on target.  ',1,3),
(116237,90162,4,100,'Applies Pestilence.  Lasts for 16.0 seconds.',2,4),
(116238,90162,4,100,'Grants a total of 1 trigger of the spell.',2,5),
(116239,90162,5,100,'Applies Pestilence.  Lasts for 16.0 seconds.',0,0),
(116240,90162,5,100,'Inflicts 409 - 500 disease damage on caster',1,1),
(116241,90162,5,100,'Inflicts 136 - 167 disease damage on caster every 2 seconds',1,2),
(116242,90162,5,100,'On death this spell will cast Pestilence Mark on target.  ',1,3),
(116243,90162,5,100,'Applies Pestilence.  Lasts for 16.0 seconds.',2,4),
(116244,90162,5,100,'Grants a total of 1 trigger of the spell.',2,5),
(116245,90162,7,100,'Applies Pestilence.  Lasts for 16.0 seconds.',0,0),
(116246,90162,7,100,'Inflicts 525 - 641 disease damage on caster',1,1),
(116247,90162,7,100,'Inflicts 175 - 214 disease damage on caster every 2 seconds',1,2),
(116248,90162,7,100,'On death this spell will cast Pestilence Mark on target.  ',1,3),
(116249,90162,7,100,'Applies Pestilence.  Lasts for 16.0 seconds.',2,4),
(116250,90162,7,100,'Grants a total of 1 trigger of the spell.',2,5),
(116251,90162,9,100,'Applies Pestilence.  Lasts for 16.0 seconds.',0,0),
(116252,90162,9,100,'Inflicts 545 - 666 disease damage on caster',1,1),
(116253,90162,9,100,'Inflicts 182 - 222 disease damage on caster every 2 seconds',1,2),
(116254,90162,9,100,'On death this spell will cast Pestilence Mark on target.  ',1,3),
(116255,90162,9,100,'Applies Pestilence.  Lasts for 16.0 seconds.',2,4),
(116256,90162,9,100,'Grants a total of 1 trigger of the spell.',2,5),
(116257,90163,1,100,'Applies Pestilence.  Lasts for 16.0 seconds.',0,0),
(116258,90163,1,100,'Inflicts 333 - 407 disease damage on caster',1,1),
(116259,90163,1,100,'Inflicts 111 - 136 disease damage on caster every 2 seconds',1,2),
(116260,90163,1,100,'On death this spell will cast Pestilence Mark on target.  ',1,3),
(116261,90163,1,100,'Applies Pestilence.  Lasts for 16.0 seconds.',2,4),
(116262,90163,1,100,'Grants a total of 1 trigger of the spell.',2,5),
(116263,90163,4,100,'Applies Pestilence.  Lasts for 16.0 seconds.',0,0),
(116264,90163,4,100,'Inflicts 407 - 497 disease damage on caster',1,1),
(116265,90163,4,100,'Inflicts 136 - 166 disease damage on caster every 2 seconds',1,2),
(116266,90163,4,100,'On death this spell will cast Pestilence Mark on target.  ',1,3),
(116267,90163,4,100,'Applies Pestilence.  Lasts for 16.0 seconds.',2,4),
(116268,90163,4,100,'Grants a total of 1 trigger of the spell.',2,5),
(116269,90163,5,100,'Applies Pestilence.  Lasts for 16.0 seconds.',0,0),
(116270,90163,5,100,'Inflicts 444 - 542 disease damage on caster',1,1),
(116271,90163,5,100,'Inflicts 148 - 181 disease damage on caster every 2 seconds',1,2),
(116272,90163,5,100,'On death this spell will cast Pestilence Mark on target.  ',1,3),
(116273,90163,5,100,'Applies Pestilence.  Lasts for 16.0 seconds.',2,4),
(116274,90163,5,100,'Grants a total of 1 trigger of the spell.',2,5),
(116275,90163,7,100,'Applies Pestilence.  Lasts for 16.0 seconds.',0,0),
(116276,90163,7,100,'Inflicts 570 - 696 disease damage on caster',1,1),
(116277,90163,7,100,'Inflicts 190 - 232 disease damage on caster every 2 seconds',1,2),
(116278,90163,7,100,'On death this spell will cast Pestilence Mark on target.  ',1,3),
(116279,90163,7,100,'Applies Pestilence.  Lasts for 16.0 seconds.',2,4),
(116280,90163,7,100,'Grants a total of 1 trigger of the spell.',2,5),
(116281,90163,9,100,'Applies Pestilence.  Lasts for 16.0 seconds.',0,0),
(116282,90163,9,100,'Inflicts 592 - 723 disease damage on caster',1,1),
(116283,90163,9,100,'Inflicts 197 - 241 disease damage on caster every 2 seconds',1,2),
(116284,90163,9,100,'On death this spell will cast Pestilence Mark on target.  ',1,3),
(116285,90163,9,100,'Applies Pestilence.  Lasts for 16.0 seconds.',2,4),
(116286,90163,9,100,'Grants a total of 1 trigger of the spell.',2,5),
(116287,2000568,1,100,'On a melee hit this spell may cast Pestilent Infection on target of attack.  Lasts for 6.0 seconds.  Triggers about 1.8 times per minute. ',0,0),
(116288,2000568,1,100,'Inflicts 1 - 2 disease damage on target',1,1),
(116289,2000568,1,100,'Inflicts 1 disease damage on target every 3 seconds',1,2),
(116290,2000568,1,100,'Decreases Haste of target by 4.5',1,3),
(116291,300149,5,100,'Inflicts 562 disease damage on targets in Area of Effect',0,0),
(116292,300150,5,100,'Inflicts 840 disease damage on targets in Area of Effect',0,0),
(116293,300151,5,100,'Inflicts 562 disease damage on targets in Area of Effect',0,0),
(116294,300151,7,100,'Inflicts 722 disease damage on targets in Area of Effect',0,0),
(116295,300149,7,100,'Inflicts 722 disease damage on targets in Area of Effect',0,0),
(116296,300150,7,100,'Inflicts 1078 disease damage on targets in Area of Effect',0,0),
(116297,300149,9,100,'Inflicts 750 disease damage on targets in Area of Effect',0,0),
(116298,300150,9,100,'Inflicts 1120 disease damage on targets in Area of Effect',0,0),
(116299,300151,9,100,'Inflicts 750 disease damage on targets in Area of Effect',0,0),
(116300,300149,10,100,'Inflicts 787 disease damage on targets in Area of Effect',0,0),
(116301,300150,10,100,'Inflicts 1176 disease damage on targets in Area of Effect',0,0),
(116302,280012,1,100,'Stuns target',0,0),
(116303,280012,1,100,'Does not affect Epic targets',0,1),
(116304,280012,1,100,'Resistibility increases against targets higher than level 29.',0,2),
(116305,290156,1,100,'Inflicts 66 - 81 magic damage on target',0,0),
(116306,290156,1,100,'Stuns target',0,1),
(116307,290156,1,100,'If Target is not Epic',1,2),
(116308,290156,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(116309,280012,2,100,'Stuns target',0,0),
(116310,280012,2,100,'Does not affect Epic targets',0,1),
(116311,280012,2,100,'Resistibility increases against targets higher than level 29.',0,2),
(116312,290156,2,100,'Inflicts 70 - 86 magic damage on target',0,0),
(116313,290156,2,100,'Stuns target',0,1),
(116314,290156,2,100,'If Target is not Epic',1,2),
(116315,290156,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(116316,290156,3,100,'Inflicts 74 - 90 magic damage on target',0,0),
(116317,290156,3,100,'Stuns target',0,1),
(116318,290156,3,100,'If Target is not Epic',1,2),
(116319,290156,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(116320,280012,3,100,'Stuns target',0,0),
(116321,280012,3,100,'Does not affect Epic targets',0,1),
(116322,280012,3,100,'Resistibility increases against targets higher than level 29.',0,2),
(116323,280012,4,100,'Stuns target',0,0),
(116324,280012,4,100,'Does not affect Epic targets',0,1),
(116325,280012,4,100,'Resistibility increases against targets higher than level 29.',0,2),
(116326,290156,4,100,'Inflicts 81 - 99 magic damage on target',0,0),
(116327,290156,4,100,'Stuns target',0,1),
(116328,290156,4,100,'If Target is not Epic',1,2),
(116329,290156,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(116330,290156,5,100,'Inflicts 89 - 108 magic damage on target',0,0),
(116331,290156,5,100,'Stuns target',0,1),
(116332,290156,5,100,'If Target is not Epic',1,2),
(116333,290156,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(116334,280012,5,100,'Stuns target',0,0),
(116335,280012,5,100,'Does not affect Epic targets',0,1),
(116336,280012,5,100,'Resistibility increases against targets higher than level 29.',0,2),
(116337,290156,7,100,'Inflicts 114 - 139 magic damage on target',0,0),
(116338,290156,7,100,'Stuns target',0,1),
(116339,290156,7,100,'If Target is not Epic',1,2),
(116340,290156,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(116341,280012,7,100,'Stuns target',0,0),
(116342,280012,7,100,'Does not affect Epic targets',0,1),
(116343,280012,7,100,'Resistibility increases against targets higher than level 29.',0,2),
(116344,290156,9,100,'Inflicts 118 - 144 magic damage on target',0,0),
(116345,290156,9,100,'Stuns target',0,1),
(116346,290156,9,100,'If Target is not Epic',1,2),
(116347,290156,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(116348,280012,9,100,'Stuns target',0,0),
(116349,280012,9,100,'Does not affect Epic targets',0,1),
(116350,280012,9,100,'Resistibility increases against targets higher than level 29.',0,2),
(116351,290157,1,100,'Inflicts 131 - 161 magic damage on target',0,0),
(116352,290157,1,100,'Stuns target',0,1),
(116353,290157,1,100,'If Target is not Epic',1,2),
(116354,290157,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(116355,290157,2,100,'Inflicts 139 - 169 magic damage on target',0,0),
(116356,290157,2,100,'Stuns target',0,1),
(116357,290157,2,100,'If Target is not Epic',1,2),
(116358,290157,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(116359,290157,3,100,'Inflicts 146 - 178 magic damage on target',0,0),
(116360,290157,3,100,'Stuns target',0,1),
(116361,290157,3,100,'If Target is not Epic',1,2),
(116362,290157,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(116363,290157,4,100,'Inflicts 161 - 196 magic damage on target',0,0),
(116364,290157,4,100,'Stuns target',0,1),
(116365,290157,4,100,'If Target is not Epic',1,2),
(116366,290157,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(116367,290157,5,100,'Inflicts 175 - 214 magic damage on target',0,0),
(116368,290157,5,100,'Stuns target',0,1),
(116369,290157,5,100,'If Target is not Epic',1,2),
(116370,290157,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(116371,290157,7,100,'Inflicts 225 - 275 magic damage on target',0,0),
(116372,290157,7,100,'Stuns target',0,1),
(116373,290157,7,100,'If Target is not Epic',1,2),
(116374,290157,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(116375,290157,9,100,'Inflicts 234 - 285 magic damage on target',0,0),
(116376,290157,9,100,'Stuns target',0,1),
(116377,290157,9,100,'If Target is not Epic',1,2),
(116378,290157,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(116379,290158,1,100,'Inflicts 204 - 250 magic damage on target',0,0),
(116380,290158,1,100,'Stuns target',0,1),
(116381,290158,1,100,'If Target is not Epic',1,2),
(116382,290158,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(116383,290158,2,100,'Inflicts 216 - 264 magic damage on target',0,0),
(116384,290158,2,100,'Stuns target',0,1),
(116385,290158,2,100,'If Target is not Epic',1,2),
(116386,290158,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(116387,290158,3,100,'Inflicts 227 - 278 magic damage on target',0,0),
(116388,290158,3,100,'Stuns target',0,1),
(116389,290158,3,100,'If Target is not Epic',1,2),
(116390,290158,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(116391,290158,4,100,'Inflicts 250 - 305 magic damage on target',0,0),
(116392,290158,4,100,'Stuns target',0,1),
(116393,290158,4,100,'If Target is not Epic',1,2),
(116394,290158,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(116395,290158,5,100,'Inflicts 273 - 333 magic damage on target',0,0),
(116396,290158,5,100,'Stuns target',0,1),
(116397,290158,5,100,'If Target is not Epic',1,2),
(116398,290158,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(116399,290158,7,100,'Inflicts 350 - 427 magic damage on target',0,0),
(116400,290158,7,100,'Stuns target',0,1),
(116401,290158,7,100,'If Target is not Epic',1,2),
(116402,290158,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(116403,290158,9,100,'Inflicts 363 - 444 magic damage on target',0,0),
(116404,290158,9,100,'Stuns target',0,1),
(116405,290158,9,100,'If Target is not Epic',1,2),
(116406,290158,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(116407,290159,1,100,'Inflicts 290 - 354 magic damage on target',0,0),
(116408,290159,1,100,'Stuns target',0,1),
(116409,290159,1,100,'If Target is not Epic',1,2),
(116410,290159,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(116411,290159,2,100,'Inflicts 306 - 374 magic damage on target',0,0),
(116412,290159,2,100,'Stuns target',0,1),
(116413,290159,2,100,'If Target is not Epic',1,2),
(116414,290159,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(116415,290159,3,100,'Inflicts 322 - 393 magic damage on target',0,0),
(116416,290159,3,100,'Stuns target',0,1),
(116417,290159,3,100,'If Target is not Epic',1,2),
(116418,290159,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(116419,290159,4,100,'Inflicts 354 - 433 magic damage on target',0,0),
(116420,290159,4,100,'Stuns target',0,1),
(116421,290159,4,100,'If Target is not Epic',1,2),
(116422,290159,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(116423,290159,5,100,'Inflicts 386 - 472 magic damage on target',0,0),
(116424,290159,5,100,'Stuns target',0,1),
(116425,290159,5,100,'If Target is not Epic',1,2),
(116426,290159,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(116427,290159,7,100,'Inflicts 496 - 606 magic damage on target',0,0),
(116428,290159,7,100,'Stuns target',0,1),
(116429,290159,7,100,'If Target is not Epic',1,2),
(116430,290159,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(116431,290159,9,100,'Inflicts 515 - 629 magic damage on target',0,0),
(116432,290159,9,100,'Stuns target',0,1),
(116433,290159,9,100,'If Target is not Epic',1,2),
(116434,290159,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(116435,290160,1,100,'Inflicts 378 - 462 magic damage on target',0,0),
(116436,290160,1,100,'Stuns target',0,1),
(116437,290160,1,100,'If Target is not Epic',1,2),
(116438,290160,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(116439,290160,2,100,'Inflicts 399 - 488 magic damage on target',0,0),
(116440,290160,2,100,'Stuns target',0,1),
(116441,290160,2,100,'If Target is not Epic',1,2),
(116442,290160,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(116443,290160,3,100,'Inflicts 420 - 513 magic damage on target',0,0),
(116444,290160,3,100,'Stuns target',0,1),
(116445,290160,3,100,'If Target is not Epic',1,2),
(116446,290160,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(116447,290160,4,100,'Inflicts 462 - 565 magic damage on target',0,0),
(116448,290160,4,100,'Stuns target',0,1),
(116449,290160,4,100,'If Target is not Epic',1,2),
(116450,290160,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(116451,290160,5,100,'Inflicts 504 - 616 magic damage on target',0,0),
(116452,290160,5,100,'Stuns target',0,1),
(116453,290160,5,100,'If Target is not Epic',1,2),
(116454,290160,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(116455,290160,7,100,'Inflicts 647 - 791 magic damage on target',0,0),
(116456,290160,7,100,'Stuns target',0,1),
(116457,290160,7,100,'If Target is not Epic',1,2),
(116458,290160,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(116459,290160,9,100,'Inflicts 672 - 821 magic damage on target',0,0),
(116460,290160,9,100,'Stuns target',0,1),
(116461,290160,9,100,'If Target is not Epic',1,2),
(116462,290160,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(116463,290161,1,100,'Inflicts 458 - 559 magic damage on target',0,0),
(116464,290161,1,100,'Stuns target',0,1),
(116465,290161,1,100,'If Target is not Epic',1,2),
(116466,290161,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(116467,290161,4,100,'Inflicts 559 - 683 magic damage on target',0,0),
(116468,290161,4,100,'Stuns target',0,1),
(116469,290161,4,100,'If Target is not Epic',1,2),
(116470,290161,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(116471,290161,5,100,'Inflicts 610 - 746 magic damage on target',0,0),
(116472,290161,5,100,'Stuns target',0,1),
(116473,290161,5,100,'If Target is not Epic',1,2),
(116474,290161,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(116475,290161,7,100,'Inflicts 783 - 957 magic damage on target',0,0),
(116476,290161,7,100,'Stuns target',0,1),
(116477,290161,7,100,'If Target is not Epic',1,2),
(116478,290161,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(116479,290161,9,100,'Inflicts 813 - 994 magic damage on target',0,0),
(116480,290161,9,100,'Stuns target',0,1),
(116481,290161,9,100,'If Target is not Epic',1,2),
(116482,290161,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(116483,290162,1,100,'Inflicts 535 - 654 magic damage on target',0,0),
(116484,290162,1,100,'Stuns target',0,1),
(116485,290162,1,100,'If Target is not Epic',1,2),
(116486,290162,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(116487,290162,4,100,'Inflicts 654 - 800 magic damage on target',0,0),
(116488,290162,4,100,'Stuns target',0,1),
(116489,290162,4,100,'If Target is not Epic',1,2),
(116490,290162,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(116491,290162,5,100,'Inflicts 714 - 872 magic damage on target',0,0),
(116492,290162,5,100,'Stuns target',0,1),
(116493,290162,5,100,'If Target is not Epic',1,2),
(116494,290162,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(116495,290162,7,100,'Inflicts 916 - 1120 magic damage on target',0,0),
(116496,290162,7,100,'Stuns target',0,1),
(116497,290162,7,100,'If Target is not Epic',1,2),
(116498,290162,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(116499,290162,9,100,'Inflicts 952 - 1163 magic damage on target',0,0),
(116500,290162,9,100,'Stuns target',0,1),
(116501,290162,9,100,'If Target is not Epic',1,2),
(116502,290162,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(116503,180008,1,100,'Decreases Threat to targets in Area of Effect by 1,206 ',0,0),
(116504,180008,1,100,'Makes targets in Area of Effect afraid',0,1),
(116505,180008,1,100,'30% chance to dispel when target takes damage',0,2),
(116506,180008,2,100,'Decreases Threat to targets in Area of Effect by 1,273 ',0,0),
(116507,180008,2,100,'Makes targets in Area of Effect afraid',0,1),
(116508,180008,2,100,'30% chance to dispel when target takes damage',0,2),
(116509,180008,3,100,'Decreases Threat to targets in Area of Effect by 1,340 ',0,0),
(116510,180008,3,100,'Makes targets in Area of Effect afraid',0,1),
(116511,180008,3,100,'30% chance to dispel when target takes damage',0,2),
(116512,180008,4,100,'Decreases Threat to targets in Area of Effect by 1,474 ',0,0),
(116513,180008,4,100,'Makes targets in Area of Effect afraid',0,1),
(116514,180008,4,100,'30% chance to dispel when target takes damage',0,2),
(116515,180008,5,100,'Decreases Threat to targets in Area of Effect by 1,608 ',0,0),
(116516,180008,5,100,'Makes targets in Area of Effect afraid',0,1),
(116517,180008,5,100,'30% chance to dispel when target takes damage',0,2),
(116518,180008,7,100,'Decreases Threat to targets in Area of Effect by 2,064 ',0,0),
(116519,180008,7,100,'Makes targets in Area of Effect afraid',0,1),
(116520,180008,7,100,'30% chance to dispel when target takes damage',0,2),
(116521,180008,9,100,'Decreases Threat to targets in Area of Effect by 2,145 ',0,0),
(116522,180008,9,100,'Makes targets in Area of Effect afraid',0,1),
(116523,180008,9,100,'30% chance to dispel when target takes damage',0,2),
(116524,260134,1,100,'Mesmerizes target encounter',0,0),
(116525,260134,1,100,'Prevents AOE (except when direct) ',0,1),
(116526,260134,1,100,'Dispelled when target takes damage',0,2),
(116527,260134,1,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(116528,260134,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(116529,260134,2,100,'Mesmerizes target encounter',0,0),
(116530,260134,2,100,'Prevents AOE (except when direct) ',0,1),
(116531,260134,2,100,'Dispelled when target takes damage',0,2),
(116532,260134,2,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(116533,260134,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(116534,260134,3,100,'Mesmerizes target encounter',0,0),
(116535,260134,3,100,'Prevents AOE (except when direct) ',0,1),
(116536,260134,3,100,'Dispelled when target takes damage',0,2),
(116537,260134,3,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(116538,260134,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(116539,260134,4,100,'Mesmerizes target encounter',0,0),
(116540,260134,4,100,'Prevents AOE (except when direct) ',0,1),
(116541,260134,4,100,'Dispelled when target takes damage',0,2),
(116542,260134,4,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(116543,260134,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(116544,260134,5,100,'Mesmerizes target encounter',0,0),
(116545,260134,5,100,'Prevents AOE (except when direct) ',0,1),
(116546,260134,5,100,'Dispelled when target takes damage',0,2),
(116547,260134,5,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(116548,260134,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(116549,260134,7,100,'Mesmerizes target encounter',0,0),
(116550,260134,7,100,'Prevents AOE (except when direct) ',0,1),
(116551,260134,7,100,'Dispelled when target takes damage',0,2),
(116552,260134,7,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(116553,260134,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(116554,260134,9,100,'Mesmerizes target encounter',0,0),
(116555,260134,9,100,'Prevents AOE (except when direct) ',0,1),
(116556,260134,9,100,'Dispelled when target takes damage',0,2),
(116557,260134,9,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(116558,260134,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(116559,260135,1,100,'Mesmerizes target encounter',0,0),
(116560,260135,1,100,'Prevents AOE (except when direct) ',0,1),
(116561,260135,1,100,'Dispelled when target takes damage',0,2),
(116562,260135,1,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(116563,260135,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(116564,260135,2,100,'Mesmerizes target encounter',0,0),
(116565,260135,2,100,'Prevents AOE (except when direct) ',0,1),
(116566,260135,2,100,'Dispelled when target takes damage',0,2),
(116567,260135,2,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(116568,260135,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(116569,260135,3,100,'Mesmerizes target encounter',0,0),
(116570,260135,3,100,'Prevents AOE (except when direct) ',0,1),
(116571,260135,3,100,'Dispelled when target takes damage',0,2),
(116572,260135,3,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(116573,260135,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(116574,260135,4,100,'Mesmerizes target encounter',0,0),
(116575,260135,4,100,'Prevents AOE (except when direct) ',0,1),
(116576,260135,4,100,'Dispelled when target takes damage',0,2),
(116577,260135,4,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(116578,260135,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(116579,260135,5,100,'Mesmerizes target encounter',0,0),
(116580,260135,5,100,'Prevents AOE (except when direct) ',0,1),
(116581,260135,5,100,'Dispelled when target takes damage',0,2),
(116582,260135,5,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(116583,260135,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(116584,260135,7,100,'Mesmerizes target encounter',0,0),
(116585,260135,7,100,'Prevents AOE (except when direct) ',0,1),
(116586,260135,7,100,'Dispelled when target takes damage',0,2),
(116587,260135,7,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(116588,260135,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(116589,260135,9,100,'Mesmerizes target encounter',0,0),
(116590,260135,9,100,'Prevents AOE (except when direct) ',0,1),
(116591,260135,9,100,'Dispelled when target takes damage',0,2),
(116592,260135,9,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(116593,260135,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(116594,260136,1,100,'Mesmerizes target encounter',0,0),
(116595,260136,1,100,'Prevents AOE (except when direct) ',0,1),
(116596,260136,1,100,'Dispelled when target takes damage',0,2),
(116597,260136,1,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(116598,260136,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(116599,260136,2,100,'Mesmerizes target encounter',0,0),
(116600,260136,2,100,'Prevents AOE (except when direct) ',0,1),
(116601,260136,2,100,'Dispelled when target takes damage',0,2),
(116602,260136,2,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(116603,260136,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(116604,260136,3,100,'Mesmerizes target encounter',0,0),
(116605,260136,3,100,'Prevents AOE (except when direct) ',0,1),
(116606,260136,3,100,'Dispelled when target takes damage',0,2),
(116607,260136,3,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(116608,260136,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(116609,260136,4,100,'Mesmerizes target encounter',0,0),
(116610,260136,4,100,'Prevents AOE (except when direct) ',0,1),
(116611,260136,4,100,'Dispelled when target takes damage',0,2),
(116612,260136,4,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(116613,260136,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(116614,260136,5,100,'Mesmerizes target encounter',0,0),
(116615,260136,5,100,'Prevents AOE (except when direct) ',0,1),
(116616,260136,5,100,'Dispelled when target takes damage',0,2),
(116617,260136,5,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(116618,260136,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(116619,260136,7,100,'Mesmerizes target encounter',0,0),
(116620,260136,7,100,'Prevents AOE (except when direct) ',0,1),
(116621,260136,7,100,'Dispelled when target takes damage',0,2),
(116622,260136,7,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(116623,260136,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(116624,260136,9,100,'Mesmerizes target encounter',0,0),
(116625,260136,9,100,'Prevents AOE (except when direct) ',0,1),
(116626,260136,9,100,'Dispelled when target takes damage',0,2),
(116627,260136,9,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(116628,260136,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(116629,260136,10,100,'Mesmerizes target encounter',0,0),
(116630,260136,10,100,'Prevents AOE (except when direct) ',0,1),
(116631,260136,10,100,'Dispelled when target takes damage',0,2),
(116632,260136,10,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(116633,260136,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(116634,260137,1,100,'Mesmerizes target encounter',0,0),
(116635,260137,1,100,'Prevents AOE (except when direct) ',0,1),
(116636,260137,1,100,'Dispelled when target takes damage',0,2),
(116637,260137,1,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(116638,260137,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(116639,260137,2,100,'Mesmerizes target encounter',0,0),
(116640,260137,2,100,'Prevents AOE (except when direct) ',0,1),
(116641,260137,2,100,'Dispelled when target takes damage',0,2),
(116642,260137,2,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(116643,260137,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(116644,260137,3,100,'Mesmerizes target encounter',0,0),
(116645,260137,3,100,'Prevents AOE (except when direct) ',0,1),
(116646,260137,3,100,'Dispelled when target takes damage',0,2),
(116647,260137,3,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(116648,260137,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(116649,260137,4,100,'Mesmerizes target encounter',0,0),
(116650,260137,4,100,'Prevents AOE (except when direct) ',0,1),
(116651,260137,4,100,'Dispelled when target takes damage',0,2),
(116652,260137,4,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(116653,260137,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(116654,260137,5,100,'Mesmerizes target encounter',0,0),
(116655,260137,5,100,'Prevents AOE (except when direct) ',0,1),
(116656,260137,5,100,'Dispelled when target takes damage',0,2),
(116657,260137,5,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(116658,260137,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(116659,260137,7,100,'Mesmerizes target encounter',0,0),
(116660,260137,7,100,'Prevents AOE (except when direct) ',0,1),
(116661,260137,7,100,'Dispelled when target takes damage',0,2),
(116662,260137,7,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(116663,260137,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(116664,260137,9,100,'Mesmerizes target encounter',0,0),
(116665,260137,9,100,'Prevents AOE (except when direct) ',0,1),
(116666,260137,9,100,'Dispelled when target takes damage',0,2),
(116667,260137,9,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(116668,260137,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(116669,260138,1,100,'Mesmerizes target encounter',0,0),
(116670,260138,1,100,'Prevents AOE (except when direct) ',0,1),
(116671,260138,1,100,'Dispelled when target takes damage',0,2),
(116672,260138,1,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(116673,260138,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(116674,260138,2,100,'Mesmerizes target encounter',0,0),
(116675,260138,2,100,'Prevents AOE (except when direct) ',0,1),
(116676,260138,2,100,'Dispelled when target takes damage',0,2),
(116677,260138,2,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(116678,260138,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(116679,260138,3,100,'Mesmerizes target encounter',0,0),
(116680,260138,3,100,'Prevents AOE (except when direct) ',0,1),
(116681,260138,3,100,'Dispelled when target takes damage',0,2),
(116682,260138,3,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(116683,260138,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(116684,260138,4,100,'Mesmerizes target encounter',0,0),
(116685,260138,4,100,'Prevents AOE (except when direct) ',0,1),
(116686,260138,4,100,'Dispelled when target takes damage',0,2),
(116687,260138,4,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(116688,260138,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(116689,260138,5,100,'Mesmerizes target encounter',0,0),
(116690,260138,5,100,'Prevents AOE (except when direct) ',0,1),
(116691,260138,5,100,'Dispelled when target takes damage',0,2),
(116692,260138,5,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(116693,260138,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(116694,260138,7,100,'Mesmerizes target encounter',0,0),
(116695,260138,7,100,'Prevents AOE (except when direct) ',0,1),
(116696,260138,7,100,'Dispelled when target takes damage',0,2),
(116697,260138,7,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(116698,260138,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(116699,260138,9,100,'Mesmerizes target encounter',0,0),
(116700,260138,9,100,'Prevents AOE (except when direct) ',0,1),
(116701,260138,9,100,'Dispelled when target takes damage',0,2),
(116702,260138,9,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(116703,260138,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(116704,260139,1,100,'Mesmerizes target encounter',0,0),
(116705,260139,1,100,'Prevents AOE (except when direct) ',0,1),
(116706,260139,1,100,'Dispelled when target takes damage',0,2),
(116707,260139,1,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(116708,260139,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(116709,260139,4,100,'Mesmerizes target encounter',0,0),
(116710,260139,4,100,'Prevents AOE (except when direct) ',0,1),
(116711,260139,4,100,'Dispelled when target takes damage',0,2),
(116712,260139,4,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(116713,260139,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(116714,260139,5,100,'Mesmerizes target encounter',0,0),
(116715,260139,5,100,'Prevents AOE (except when direct) ',0,1),
(116716,260139,5,100,'Dispelled when target takes damage',0,2),
(116717,260139,5,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(116718,260139,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(116719,260139,7,100,'Mesmerizes target encounter',0,0),
(116720,260139,7,100,'Prevents AOE (except when direct) ',0,1),
(116721,260139,7,100,'Dispelled when target takes damage',0,2),
(116722,260139,7,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(116723,260139,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(116724,260139,9,100,'Mesmerizes target encounter',0,0),
(116725,260139,9,100,'Prevents AOE (except when direct) ',0,1),
(116726,260139,9,100,'Dispelled when target takes damage',0,2),
(116727,260139,9,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(116728,260139,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(116729,2000569,1,100,'Applies Phantasmal Barrier.  Lasts for 10.0 seconds.',0,0),
(116730,2000569,1,100,'Wards target against 1072 points of all damage',1,1),
(116731,2000569,1,100,'Applies to the two allies with the lowest health. Cannot apply to the same target twice. If all allies are at full health, this ward will fail.',1,2),
(116732,2000569,2,100,'Applies Phantasmal Barrier.  Lasts for 10.0 seconds.',0,0),
(116733,2000569,2,100,'Wards target against 2144 points of all damage',1,1),
(116734,2000569,2,100,'Applies to the two allies with the lowest health. Cannot apply to the same target twice. If all allies are at full health, this ward will fail.',1,2),
(116735,2000569,3,100,'Applies Phantasmal Barrier.  Lasts for 10.0 seconds.',0,0),
(116736,2000569,3,100,'Wards target against 3408 points of all damage',1,1),
(116737,2000569,3,100,'Applies to the two allies with the lowest health. Cannot apply to the same target twice. If all allies are at full health, this ward will fail.',1,2),
(116738,260140,1,100,'Teleports target to a random location within 5 meters.',0,0),
(116739,260140,1,100,'If Target is not Epic',1,1),
(116740,260140,1,100,'Wipes almost all of target''s memory of aggression towards their current target.',0,2),
(116741,260140,2,100,'Teleports target to a random location within 5 meters.',0,0),
(116742,260140,2,100,'If Target is not Epic',1,1),
(116743,260140,2,100,'Wipes almost all of target''s memory of aggression towards their current target.',0,2),
(116744,260140,3,100,'Teleports target to a random location within 5 meters.',0,0),
(116745,260140,3,100,'If Target is not Epic',1,1),
(116746,260140,3,100,'Wipes almost all of target''s memory of aggression towards their current target.',0,2),
(116747,260140,4,100,'Teleports target to a random location within 5 meters.',0,0),
(116748,260140,4,100,'If Target is not Epic',1,1),
(116749,260140,4,100,'Wipes almost all of target''s memory of aggression towards their current target.',0,2),
(116750,260140,5,100,'Teleports target to a random location within 5 meters.',0,0),
(116751,260140,5,100,'If Target is not Epic',1,1),
(116752,260140,5,100,'Wipes almost all of target''s memory of aggression towards their current target.',0,2),
(116753,260140,7,100,'Teleports target to a random location within 5 meters.',0,0),
(116754,260140,7,100,'If Target is not Epic',1,1),
(116755,260140,7,100,'Wipes almost all of target''s memory of aggression towards their current target.',0,2),
(116756,260140,9,100,'Teleports target to a random location within 5 meters.',0,0),
(116757,260140,9,100,'If Target is not Epic',1,1),
(116758,260140,9,100,'Wipes almost all of target''s memory of aggression towards their current target.',0,2),
(116759,160106,1,100,'Heals target for 34 - 42 instantly and every 2 seconds',0,0),
(116760,160106,4,100,'Heals target for 42 - 51 instantly and every 2 seconds',0,0),
(116761,160106,5,100,'Heals target for 45 - 55 instantly and every 2 seconds',0,0),
(116762,160106,7,100,'Heals target for 58 - 71 instantly and every 2 seconds',0,0),
(116763,160106,9,100,'Heals target for 60 - 74 instantly and every 2 seconds',0,0),
(116764,160106,10,100,'Heals target for 64 - 78 instantly and every 2 seconds',0,0),
(116765,160107,1,100,'Heals target for 54 - 66 instantly and every 2 seconds',0,0),
(116766,160107,4,100,'Heals target for 66 - 80 instantly and every 2 seconds',0,0),
(116767,160107,5,100,'Heals target for 72 - 88 instantly and every 2 seconds',0,0),
(116768,160107,7,100,'Heals target for 92 - 113 instantly and every 2 seconds',0,0),
(116769,160107,9,100,'Heals target for 96 - 117 instantly and every 2 seconds',0,0),
(116770,160107,10,100,'Heals target for 101 - 123 instantly and every 2 seconds',0,0),
(116771,160108,1,100,'Heals target for 77 - 94 instantly and every 2 seconds',0,0),
(116772,160108,2,100,'Heals target for 81 - 99 instantly and every 2 seconds',0,0),
(116773,160108,3,100,'Heals target for 86 - 105 instantly and every 2 seconds',0,0),
(116774,160108,4,100,'Heals target for 94 - 115 instantly and every 2 seconds',0,0),
(116775,160108,5,100,'Heals target for 103 - 126 instantly and every 2 seconds',0,0),
(116776,160108,7,100,'Heals target for 132 - 161 instantly and every 2 seconds',0,0),
(116777,160108,9,100,'Heals target for 137 - 168 instantly and every 2 seconds',0,0),
(116778,160109,1,100,'Heals target for 125 - 152 instantly and every 2 seconds',0,0),
(116779,160109,2,100,'Heals target for 132 - 161 instantly and every 2 seconds',0,0),
(116780,160109,3,100,'Heals target for 139 - 169 instantly and every 2 seconds',0,0),
(116781,160109,4,100,'Heals target for 152 - 186 instantly and every 2 seconds',0,0),
(116782,160109,5,100,'Heals target for 166 - 203 instantly and every 2 seconds',0,0),
(116783,160109,7,100,'Heals target for 213 - 261 instantly and every 2 seconds',0,0),
(116784,160109,9,100,'Heals target for 222 - 271 instantly and every 2 seconds',0,0),
(116785,160109,10,100,'Heals target for 233 - 285 instantly and every 2 seconds',0,0),
(116786,160110,1,100,'Heals target for 421 - 515 instantly and every 2 seconds',0,0),
(116787,160110,4,100,'Heals target for 515 - 629 instantly and every 2 seconds',0,0),
(116788,160110,5,100,'Heals target for 562 - 687 instantly and every 2 seconds',0,0),
(116789,160110,7,100,'Heals target for 721 - 881 instantly and every 2 seconds',0,0),
(116790,160110,9,100,'Heals target for 749 - 915 instantly and every 2 seconds',0,0),
(116791,160111,1,100,'Heals target for 184 - 225 instantly and every 2 seconds',0,0),
(116792,160111,2,100,'Heals target for 195 - 238 instantly and every 2 seconds',0,0),
(116793,160111,3,100,'Heals target for 205 - 250 instantly and every 2 seconds',0,0),
(116794,160111,4,100,'Heals target for 225 - 275 instantly and every 2 seconds',0,0),
(116795,160111,5,100,'Heals target for 246 - 300 instantly and every 2 seconds',0,0),
(116796,160111,7,100,'Heals target for 315 - 385 instantly and every 2 seconds',0,0),
(116797,160111,9,100,'Heals target for 328 - 400 instantly and every 2 seconds',0,0),
(116798,160111,10,100,'Heals target for 344 - 420 instantly and every 2 seconds',0,0),
(116799,160112,1,100,'Heals target for 244 - 298 instantly and every 2 seconds',0,0),
(116800,160112,2,100,'Heals target for 257 - 315 instantly and every 2 seconds',0,0),
(116801,160112,3,100,'Heals target for 271 - 331 instantly and every 2 seconds',0,0),
(116802,160112,4,100,'Heals target for 298 - 364 instantly and every 2 seconds',0,0),
(116803,160112,5,100,'Heals target for 325 - 397 instantly and every 2 seconds',0,0),
(116804,160112,7,100,'Heals target for 417 - 510 instantly and every 2 seconds',0,0),
(116805,160112,9,100,'Heals target for 433 - 530 instantly and every 2 seconds',0,0),
(116806,160113,1,100,'Heals target for 323 - 394 instantly and every 2 seconds',0,0),
(116807,160113,2,100,'Heals target for 341 - 416 instantly and every 2 seconds',0,0),
(116808,160113,3,100,'Heals target for 358 - 438 instantly and every 2 seconds',0,0),
(116809,160113,4,100,'Heals target for 394 - 482 instantly and every 2 seconds',0,0),
(116810,160113,5,100,'Heals target for 430 - 526 instantly and every 2 seconds',0,0),
(116811,160113,7,100,'Heals target for 552 - 675 instantly and every 2 seconds',0,0),
(116812,160113,9,100,'Heals target for 574 - 701 instantly and every 2 seconds',0,0),
(116813,160114,1,100,'Heals target for 392 - 480 instantly and every 2 seconds',0,0),
(116814,160114,4,100,'Heals target for 480 - 586 instantly and every 2 seconds',0,0),
(116815,160114,5,100,'Heals target for 523 - 639 instantly and every 2 seconds',0,0),
(116816,160114,7,100,'Heals target for 671 - 821 instantly and every 2 seconds',0,0),
(116817,160114,9,100,'Heals target for 698 - 853 instantly and every 2 seconds',0,0),
(116818,2000570,1,100,'Improves base auto-attack multiplier of caster by 0.15. Does not apply to spell weapons.',0,0),
(116819,2000570,1,100,'Increases Haste of caster by 33.0',0,1),
(116820,2000570,1,100,'Improves the base damage of spells and combat arts by 15% and improves critical damage by 20%.',0,2),
(116821,2000570,1,100,'Increases the casting time of beneficial spells by 10%.',0,3),
(116822,2000570,1,100,'Reduces heal amount by 10%.',0,4),
(116823,350025,1,100,'Inflicts 49 - 82 mental damage on target',0,0),
(116824,350025,2,100,'Inflicts 52 - 86 mental damage on target',0,0),
(116825,350025,3,100,'Inflicts 55 - 91 mental damage on target',0,0),
(116826,350025,4,100,'Inflicts 60 - 100 mental damage on target',0,0),
(116827,350025,5,100,'Inflicts 65 - 109 mental damage on target',0,0),
(116828,350025,7,100,'Inflicts 84 - 140 mental damage on target',0,0),
(116829,350025,9,100,'Inflicts 87 - 145 mental damage on target',0,0),
(116830,2000571,1,100,'Inflicts 1 - 3 piercing damage on target',0,0),
(116831,2000572,1,100,'Inflicts 1 piercing damage on target',0,0),
(116832,2000572,1,100,'Increases Mitigation of target vs physical damage by 0',0,1),
(116833,2000572,1,100,'Inflicts 1 piercing damage on target',0,2),
(116834,2000572,1,100,'Inflicts 1 piercing damage on target',0,3),
(116835,2000573,1,100,'When damaged in combat this spell has a 25% chance to cast Aggressive Vermin on target''s attacker.  ',0,0),
(116836,2000573,1,100,'Increases Threat to target encounter by 46 ',1,1),
(116837,190084,1,100,'Inflicts 4 disease damage on target instantly and every 4 seconds',0,0),
(116838,190084,1,100,'Inflicts 4 disease damage on target instantly and every 4 seconds',0,1),
(116839,190084,1,100,'If target is nightblood',1,2),
(116840,190084,1,100,'Inflicts 4 disease damage on target instantly and every 4 seconds',0,3),
(116841,190084,1,100,'If target is shadowed folk',1,4),
(116842,190084,2,100,'Inflicts 4 disease damage on target instantly and every 4 seconds',0,0),
(116843,190084,2,100,'Inflicts 4 disease damage on target instantly and every 4 seconds',0,1),
(116844,190084,2,100,'If target is nightblood',1,2),
(116845,190084,2,100,'Inflicts 4 disease damage on target instantly and every 4 seconds',0,3),
(116846,190084,2,100,'If target is shadowed folk',1,4),
(116847,190084,3,100,'Inflicts 4 disease damage on target instantly and every 4 seconds',0,0),
(116848,190084,3,100,'Inflicts 4 disease damage on target instantly and every 4 seconds',0,1),
(116849,190084,3,100,'If target is nightblood',1,2),
(116850,190084,3,100,'Inflicts 4 disease damage on target instantly and every 4 seconds',0,3),
(116851,190084,3,100,'If target is shadowed folk',1,4),
(116852,190084,4,100,'Inflicts 4 disease damage on target instantly and every 4 seconds',0,0),
(116853,190084,4,100,'Inflicts 4 disease damage on target instantly and every 4 seconds',0,1),
(116854,190084,4,100,'If target is nightblood',1,2),
(116855,190084,4,100,'Inflicts 4 disease damage on target instantly and every 4 seconds',0,3),
(116856,190084,4,100,'If target is shadowed folk',1,4),
(116857,190084,5,100,'Inflicts 5 disease damage on target instantly and every 4 seconds',0,0),
(116858,190084,5,100,'Inflicts 5 disease damage on target instantly and every 4 seconds',0,1),
(116859,190084,5,100,'If target is nightblood',1,2),
(116860,190084,5,100,'Inflicts 5 disease damage on target instantly and every 4 seconds',0,3),
(116861,190084,5,100,'If target is shadowed folk',1,4),
(116862,190084,7,100,'Inflicts 6 disease damage on target instantly and every 4 seconds',0,0),
(116863,190084,7,100,'Inflicts 6 disease damage on target instantly and every 4 seconds',0,1),
(116864,190084,7,100,'If target is nightblood',1,2),
(116865,190084,7,100,'Inflicts 6 disease damage on target instantly and every 4 seconds',0,3),
(116866,190084,7,100,'If target is shadowed folk',1,4),
(116867,190084,9,100,'Inflicts 7 disease damage on target instantly and every 4 seconds',0,0),
(116868,190084,9,100,'Inflicts 7 disease damage on target instantly and every 4 seconds',0,1),
(116869,190084,9,100,'If target is nightblood',1,2),
(116870,190084,9,100,'Inflicts 7 disease damage on target instantly and every 4 seconds',0,3),
(116871,190084,9,100,'If target is shadowed folk',1,4),
(116872,190085,1,100,'Inflicts 12 disease damage on target instantly and every 4 seconds',0,0),
(116873,190085,1,100,'Inflicts 12 disease damage on target instantly and every 4 seconds',0,1),
(116874,190085,1,100,'If target is nightblood',1,2),
(116875,190085,1,100,'Inflicts 12 disease damage on target instantly and every 4 seconds',0,3),
(116876,190085,1,100,'If target is shadowed folk',1,4),
(116877,190085,2,100,'Inflicts 13 disease damage on target instantly and every 4 seconds',0,0),
(116878,190085,2,100,'Inflicts 13 disease damage on target instantly and every 4 seconds',0,1),
(116879,190085,2,100,'If target is nightblood',1,2),
(116880,190085,2,100,'Inflicts 13 disease damage on target instantly and every 4 seconds',0,3),
(116881,190085,2,100,'If target is shadowed folk',1,4),
(116882,190085,3,100,'Inflicts 14 disease damage on target instantly and every 4 seconds',0,0),
(116883,190085,3,100,'Inflicts 14 disease damage on target instantly and every 4 seconds',0,1),
(116884,190085,3,100,'If target is nightblood',1,2),
(116885,190085,3,100,'Inflicts 14 disease damage on target instantly and every 4 seconds',0,3),
(116886,190085,3,100,'If target is shadowed folk',1,4),
(116887,190085,4,100,'Inflicts 15 disease damage on target instantly and every 4 seconds',0,0),
(116888,190085,4,100,'Inflicts 15 disease damage on target instantly and every 4 seconds',0,1),
(116889,190085,4,100,'If target is nightblood',1,2),
(116890,190085,4,100,'Inflicts 15 disease damage on target instantly and every 4 seconds',0,3),
(116891,190085,4,100,'If target is shadowed folk',1,4),
(116892,190085,5,100,'Inflicts 16 disease damage on target instantly and every 4 seconds',0,0),
(116893,190085,5,100,'Inflicts 16 disease damage on target instantly and every 4 seconds',0,1),
(116894,190085,5,100,'If target is nightblood',1,2),
(116895,190085,5,100,'Inflicts 16 disease damage on target instantly and every 4 seconds',0,3),
(116896,190085,5,100,'If target is shadowed folk',1,4),
(116897,190085,7,100,'Inflicts 21 disease damage on target instantly and every 4 seconds',0,0),
(116898,190085,7,100,'Inflicts 21 disease damage on target instantly and every 4 seconds',0,1),
(116899,190085,7,100,'If target is nightblood',1,2),
(116900,190085,7,100,'Inflicts 21 disease damage on target instantly and every 4 seconds',0,3),
(116901,190085,7,100,'If target is shadowed folk',1,4),
(116902,190085,9,100,'Inflicts 22 disease damage on target instantly and every 4 seconds',0,0),
(116903,190085,9,100,'Inflicts 22 disease damage on target instantly and every 4 seconds',0,1),
(116904,190085,9,100,'If target is nightblood',1,2),
(116905,190085,9,100,'Inflicts 22 disease damage on target instantly and every 4 seconds',0,3),
(116906,190085,9,100,'If target is shadowed folk',1,4),
(116907,190085,10,100,'Inflicts 23 disease damage on target instantly and every 4 seconds',0,0),
(116908,190085,10,100,'Inflicts 23 disease damage on target instantly and every 4 seconds',0,1),
(116909,190085,10,100,'If target is nightblood',1,2),
(116910,190085,10,100,'Inflicts 23 disease damage on target instantly and every 4 seconds',0,3),
(116911,190085,10,100,'If target is shadowed folk',1,4),
(116912,190086,1,100,'Inflicts 29 disease damage on target instantly and every 4 seconds',0,0),
(116913,190086,1,100,'Inflicts 29 disease damage on target instantly and every 4 seconds',0,1),
(116914,190086,1,100,'If target is nightblood',1,2),
(116915,190086,1,100,'Inflicts 29 disease damage on target instantly and every 4 seconds',0,3),
(116916,190086,1,100,'If target is shadowed folk',1,4),
(116917,190086,2,100,'Inflicts 30 disease damage on target instantly and every 4 seconds',0,0),
(116918,190086,2,100,'Inflicts 30 disease damage on target instantly and every 4 seconds',0,1),
(116919,190086,2,100,'If target is nightblood',1,2),
(116920,190086,2,100,'Inflicts 30 disease damage on target instantly and every 4 seconds',0,3),
(116921,190086,2,100,'If target is shadowed folk',1,4),
(116922,190086,3,100,'Inflicts 32 disease damage on target instantly and every 4 seconds',0,0),
(116923,190086,3,100,'Inflicts 32 disease damage on target instantly and every 4 seconds',0,1),
(116924,190086,3,100,'If target is nightblood',1,2),
(116925,190086,3,100,'Inflicts 32 disease damage on target instantly and every 4 seconds',0,3),
(116926,190086,3,100,'If target is shadowed folk',1,4),
(116927,190086,4,100,'Inflicts 35 disease damage on target instantly and every 4 seconds',0,0),
(116928,190086,4,100,'Inflicts 35 disease damage on target instantly and every 4 seconds',0,1),
(116929,190086,4,100,'If target is nightblood',1,2),
(116930,190086,4,100,'Inflicts 35 disease damage on target instantly and every 4 seconds',0,3),
(116931,190086,4,100,'If target is shadowed folk',1,4),
(116932,190086,5,100,'Inflicts 38 disease damage on target instantly and every 4 seconds',0,0),
(116933,190086,5,100,'Inflicts 38 disease damage on target instantly and every 4 seconds',0,1),
(116934,190086,5,100,'If target is nightblood',1,2),
(116935,190086,5,100,'Inflicts 38 disease damage on target instantly and every 4 seconds',0,3),
(116936,190086,5,100,'If target is shadowed folk',1,4),
(116937,190086,7,100,'Inflicts 49 disease damage on target instantly and every 4 seconds',0,0),
(116938,190086,7,100,'Inflicts 49 disease damage on target instantly and every 4 seconds',0,1),
(116939,190086,7,100,'If target is nightblood',1,2),
(116940,190086,7,100,'Inflicts 49 disease damage on target instantly and every 4 seconds',0,3),
(116941,190086,7,100,'If target is shadowed folk',1,4),
(116942,190086,9,100,'Inflicts 51 disease damage on target instantly and every 4 seconds',0,0),
(116943,190086,9,100,'Inflicts 51 disease damage on target instantly and every 4 seconds',0,1),
(116944,190086,9,100,'If target is nightblood',1,2),
(116945,190086,9,100,'Inflicts 51 disease damage on target instantly and every 4 seconds',0,3),
(116946,190086,9,100,'If target is shadowed folk',1,4),
(116947,190087,1,100,'Inflicts 47 disease damage on target instantly and every 4 seconds',0,0),
(116948,190087,1,100,'Inflicts 47 disease damage on target instantly and every 4 seconds',0,1),
(116949,190087,1,100,'If target is nightblood',1,2),
(116950,190087,1,100,'Inflicts 47 disease damage on target instantly and every 4 seconds',0,3),
(116951,190087,1,100,'If target is shadowed folk',1,4),
(116952,190087,2,100,'Inflicts 49 disease damage on target instantly and every 4 seconds',0,0),
(116953,190087,2,100,'Inflicts 49 disease damage on target instantly and every 4 seconds',0,1),
(116954,190087,2,100,'If target is nightblood',1,2),
(116955,190087,2,100,'Inflicts 49 disease damage on target instantly and every 4 seconds',0,3),
(116956,190087,2,100,'If target is shadowed folk',1,4),
(116957,190087,3,100,'Inflicts 52 disease damage on target instantly and every 4 seconds',0,0),
(116958,190087,3,100,'Inflicts 52 disease damage on target instantly and every 4 seconds',0,1),
(116959,190087,3,100,'If target is nightblood',1,2),
(116960,190087,3,100,'Inflicts 52 disease damage on target instantly and every 4 seconds',0,3),
(116961,190087,3,100,'If target is shadowed folk',1,4),
(116962,190087,4,100,'Inflicts 57 disease damage on target instantly and every 4 seconds',0,0),
(116963,190087,4,100,'Inflicts 57 disease damage on target instantly and every 4 seconds',0,1),
(116964,190087,4,100,'If target is nightblood',1,2),
(116965,190087,4,100,'Inflicts 57 disease damage on target instantly and every 4 seconds',0,3),
(116966,190087,4,100,'If target is shadowed folk',1,4),
(116967,190087,5,100,'Inflicts 62 disease damage on target instantly and every 4 seconds',0,0),
(116968,190087,5,100,'Inflicts 62 disease damage on target instantly and every 4 seconds',0,1),
(116969,190087,5,100,'If target is nightblood',1,2),
(116970,190087,5,100,'Inflicts 62 disease damage on target instantly and every 4 seconds',0,3),
(116971,190087,5,100,'If target is shadowed folk',1,4),
(116972,190087,7,100,'Inflicts 80 disease damage on target instantly and every 4 seconds',0,0),
(116973,190087,7,100,'Inflicts 80 disease damage on target instantly and every 4 seconds',0,1),
(116974,190087,7,100,'If target is nightblood',1,2),
(116975,190087,7,100,'Inflicts 80 disease damage on target instantly and every 4 seconds',0,3),
(116976,190087,7,100,'If target is shadowed folk',1,4),
(116977,190087,9,100,'Inflicts 83 disease damage on target instantly and every 4 seconds',0,0),
(116978,190087,9,100,'Inflicts 83 disease damage on target instantly and every 4 seconds',0,1),
(116979,190087,9,100,'If target is nightblood',1,2),
(116980,190087,9,100,'Inflicts 83 disease damage on target instantly and every 4 seconds',0,3),
(116981,190087,9,100,'If target is shadowed folk',1,4),
(116982,190087,10,100,'Inflicts 87 disease damage on target instantly and every 4 seconds',0,0),
(116983,190087,10,100,'Inflicts 87 disease damage on target instantly and every 4 seconds',0,1),
(116984,190087,10,100,'If target is nightblood',1,2),
(116985,190087,10,100,'Inflicts 87 disease damage on target instantly and every 4 seconds',0,3),
(116986,190087,10,100,'If target is shadowed folk',1,4),
(116987,190088,1,100,'Inflicts 148 disease damage on target instantly and every 4 seconds',0,0),
(116988,190088,1,100,'Inflicts 148 disease damage on target instantly and every 4 seconds',0,1),
(116989,190088,1,100,'If target is nightblood',1,2),
(116990,190088,1,100,'Inflicts 148 disease damage on target instantly and every 4 seconds',0,3),
(116991,190088,1,100,'If target is shadowed folk',1,4),
(116992,190088,4,100,'Inflicts 181 disease damage on target instantly and every 4 seconds',0,0),
(116993,190088,4,100,'Inflicts 181 disease damage on target instantly and every 4 seconds',0,1),
(116994,190088,4,100,'If target is nightblood',1,2),
(116995,190088,4,100,'Inflicts 181 disease damage on target instantly and every 4 seconds',0,3),
(116996,190088,4,100,'If target is shadowed folk',1,4),
(116997,190088,5,100,'Inflicts 197 disease damage on target instantly and every 4 seconds',0,0),
(116998,190088,5,100,'Inflicts 197 disease damage on target instantly and every 4 seconds',0,1),
(116999,190088,5,100,'If target is nightblood',1,2),
(117000,190088,5,100,'Inflicts 197 disease damage on target instantly and every 4 seconds',0,3),
(117001,190088,5,100,'If target is shadowed folk',1,4),
(117002,190088,7,100,'Inflicts 253 disease damage on target instantly and every 4 seconds',0,0),
(117003,190088,7,100,'Inflicts 253 disease damage on target instantly and every 4 seconds',0,1),
(117004,190088,7,100,'If target is nightblood',1,2),
(117005,190088,7,100,'Inflicts 253 disease damage on target instantly and every 4 seconds',0,3),
(117006,190088,7,100,'If target is shadowed folk',1,4),
(117007,190088,9,100,'Inflicts 263 disease damage on target instantly and every 4 seconds',0,0),
(117008,190088,9,100,'Inflicts 263 disease damage on target instantly and every 4 seconds',0,1),
(117009,190088,9,100,'If target is nightblood',1,2),
(117010,190088,9,100,'Inflicts 263 disease damage on target instantly and every 4 seconds',0,3),
(117011,190088,9,100,'If target is shadowed folk',1,4),
(117012,190089,1,100,'Inflicts 69 disease damage on target instantly and every 4 seconds',0,0),
(117013,190089,1,100,'Inflicts 69 disease damage on target instantly and every 4 seconds',0,1),
(117014,190089,1,100,'If target is nightblood',1,2),
(117015,190089,1,100,'Inflicts 69 disease damage on target instantly and every 4 seconds',0,3),
(117016,190089,1,100,'If target is shadowed folk',1,4),
(117017,190089,2,100,'Inflicts 73 disease damage on target instantly and every 4 seconds',0,0),
(117018,190089,2,100,'Inflicts 73 disease damage on target instantly and every 4 seconds',0,1),
(117019,190089,2,100,'If target is nightblood',1,2),
(117020,190089,2,100,'Inflicts 73 disease damage on target instantly and every 4 seconds',0,3),
(117021,190089,2,100,'If target is shadowed folk',1,4),
(117022,190089,3,100,'Inflicts 77 disease damage on target instantly and every 4 seconds',0,0),
(117023,190089,3,100,'Inflicts 77 disease damage on target instantly and every 4 seconds',0,1),
(117024,190089,3,100,'If target is nightblood',1,2),
(117025,190089,3,100,'Inflicts 77 disease damage on target instantly and every 4 seconds',0,3),
(117026,190089,3,100,'If target is shadowed folk',1,4),
(117027,190089,4,100,'Inflicts 84 disease damage on target instantly and every 4 seconds',0,0),
(117028,190089,4,100,'Inflicts 84 disease damage on target instantly and every 4 seconds',0,1),
(117029,190089,4,100,'If target is nightblood',1,2),
(117030,190089,4,100,'Inflicts 84 disease damage on target instantly and every 4 seconds',0,3),
(117031,190089,4,100,'If target is shadowed folk',1,4),
(117032,190089,5,100,'Inflicts 92 disease damage on target instantly and every 4 seconds',0,0),
(117033,190089,5,100,'Inflicts 92 disease damage on target instantly and every 4 seconds',0,1),
(117034,190089,5,100,'If target is nightblood',1,2),
(117035,190089,5,100,'Inflicts 92 disease damage on target instantly and every 4 seconds',0,3),
(117036,190089,5,100,'If target is shadowed folk',1,4),
(117037,190089,7,100,'Inflicts 118 disease damage on target instantly and every 4 seconds',0,0),
(117038,190089,7,100,'Inflicts 118 disease damage on target instantly and every 4 seconds',0,1),
(117039,190089,7,100,'If target is nightblood',1,2),
(117040,190089,7,100,'Inflicts 118 disease damage on target instantly and every 4 seconds',0,3),
(117041,190089,7,100,'If target is shadowed folk',1,4),
(117042,190089,9,100,'Inflicts 123 disease damage on target instantly and every 4 seconds',0,0),
(117043,190089,9,100,'Inflicts 123 disease damage on target instantly and every 4 seconds',0,1),
(117044,190089,9,100,'If target is nightblood',1,2),
(117045,190089,9,100,'Inflicts 123 disease damage on target instantly and every 4 seconds',0,3),
(117046,190089,9,100,'If target is shadowed folk',1,4),
(117047,190089,10,100,'Inflicts 129 disease damage on target instantly and every 4 seconds',0,0),
(117048,190089,10,100,'Inflicts 129 disease damage on target instantly and every 4 seconds',0,1),
(117049,190089,10,100,'If target is nightblood',1,2),
(117050,190089,10,100,'Inflicts 129 disease damage on target instantly and every 4 seconds',0,3),
(117051,190089,10,100,'If target is shadowed folk',1,4),
(117052,190090,1,100,'Inflicts 92 disease damage on target instantly and every 4 seconds',0,0),
(117053,190090,1,100,'Inflicts 92 disease damage on target instantly and every 4 seconds',0,1),
(117054,190090,1,100,'If target is nightblood',1,2),
(117055,190090,1,100,'Inflicts 92 disease damage on target instantly and every 4 seconds',0,3),
(117056,190090,1,100,'If target is shadowed folk',1,4),
(117057,190090,2,100,'Inflicts 97 disease damage on target instantly and every 4 seconds',0,0),
(117058,190090,2,100,'Inflicts 97 disease damage on target instantly and every 4 seconds',0,1),
(117059,190090,2,100,'If target is nightblood',1,2),
(117060,190090,2,100,'Inflicts 97 disease damage on target instantly and every 4 seconds',0,3),
(117061,190090,2,100,'If target is shadowed folk',1,4),
(117062,190090,3,100,'Inflicts 102 disease damage on target instantly and every 4 seconds',0,0),
(117063,190090,3,100,'Inflicts 102 disease damage on target instantly and every 4 seconds',0,1),
(117064,190090,3,100,'If target is nightblood',1,2),
(117065,190090,3,100,'Inflicts 102 disease damage on target instantly and every 4 seconds',0,3),
(117066,190090,3,100,'If target is shadowed folk',1,4),
(117067,190090,4,100,'Inflicts 112 disease damage on target instantly and every 4 seconds',0,0),
(117068,190090,4,100,'Inflicts 112 disease damage on target instantly and every 4 seconds',0,1),
(117069,190090,4,100,'If target is nightblood',1,2),
(117070,190090,4,100,'Inflicts 112 disease damage on target instantly and every 4 seconds',0,3),
(117071,190090,4,100,'If target is shadowed folk',1,4),
(117072,190090,5,100,'Inflicts 122 disease damage on target instantly and every 4 seconds',0,0),
(117073,190090,5,100,'Inflicts 122 disease damage on target instantly and every 4 seconds',0,1),
(117074,190090,5,100,'If target is nightblood',1,2),
(117075,190090,5,100,'Inflicts 122 disease damage on target instantly and every 4 seconds',0,3),
(117076,190090,5,100,'If target is shadowed folk',1,4),
(117077,190090,7,100,'Inflicts 157 disease damage on target instantly and every 4 seconds',0,0),
(117078,190090,7,100,'Inflicts 157 disease damage on target instantly and every 4 seconds',0,1),
(117079,190090,7,100,'If target is nightblood',1,2),
(117080,190090,7,100,'Inflicts 157 disease damage on target instantly and every 4 seconds',0,3),
(117081,190090,7,100,'If target is shadowed folk',1,4),
(117082,190090,9,100,'Inflicts 163 disease damage on target instantly and every 4 seconds',0,0),
(117083,190090,9,100,'Inflicts 163 disease damage on target instantly and every 4 seconds',0,1),
(117084,190090,9,100,'If target is nightblood',1,2),
(117085,190090,9,100,'Inflicts 163 disease damage on target instantly and every 4 seconds',0,3),
(117086,190090,9,100,'If target is shadowed folk',1,4),
(117087,190091,1,100,'Inflicts 113 disease damage on target instantly and every 4 seconds',0,0),
(117088,190091,1,100,'Inflicts 113 disease damage on target instantly and every 4 seconds',0,1),
(117089,190091,1,100,'If target is nightblood',1,2),
(117090,190091,1,100,'Inflicts 113 disease damage on target instantly and every 4 seconds',0,3),
(117091,190091,1,100,'If target is shadowed folk',1,4),
(117092,190091,2,100,'Inflicts 119 disease damage on target instantly and every 4 seconds',0,0),
(117093,190091,2,100,'Inflicts 119 disease damage on target instantly and every 4 seconds',0,1),
(117094,190091,2,100,'If target is nightblood',1,2),
(117095,190091,2,100,'Inflicts 119 disease damage on target instantly and every 4 seconds',0,3),
(117096,190091,2,100,'If target is shadowed folk',1,4),
(117097,190091,3,100,'Inflicts 126 disease damage on target instantly and every 4 seconds',0,0),
(117098,190091,3,100,'Inflicts 126 disease damage on target instantly and every 4 seconds',0,1),
(117099,190091,3,100,'If target is nightblood',1,2),
(117100,190091,3,100,'Inflicts 126 disease damage on target instantly and every 4 seconds',0,3),
(117101,190091,3,100,'If target is shadowed folk',1,4),
(117102,190091,4,100,'Inflicts 138 disease damage on target instantly and every 4 seconds',0,0),
(117103,190091,4,100,'Inflicts 138 disease damage on target instantly and every 4 seconds',0,1),
(117104,190091,4,100,'If target is nightblood',1,2),
(117105,190091,4,100,'Inflicts 138 disease damage on target instantly and every 4 seconds',0,3),
(117106,190091,4,100,'If target is shadowed folk',1,4),
(117107,190091,5,100,'Inflicts 151 disease damage on target instantly and every 4 seconds',0,0),
(117108,190091,5,100,'Inflicts 151 disease damage on target instantly and every 4 seconds',0,1),
(117109,190091,5,100,'If target is nightblood',1,2),
(117110,190091,5,100,'Inflicts 151 disease damage on target instantly and every 4 seconds',0,3),
(117111,190091,5,100,'If target is shadowed folk',1,4),
(117112,190091,7,100,'Inflicts 194 disease damage on target instantly and every 4 seconds',0,0),
(117113,190091,7,100,'Inflicts 194 disease damage on target instantly and every 4 seconds',0,1),
(117114,190091,7,100,'If target is nightblood',1,2),
(117115,190091,7,100,'Inflicts 194 disease damage on target instantly and every 4 seconds',0,3),
(117116,190091,7,100,'If target is shadowed folk',1,4),
(117117,190091,9,100,'Inflicts 201 disease damage on target instantly and every 4 seconds',0,0),
(117118,190091,9,100,'Inflicts 201 disease damage on target instantly and every 4 seconds',0,1),
(117119,190091,9,100,'If target is nightblood',1,2),
(117120,190091,9,100,'Inflicts 201 disease damage on target instantly and every 4 seconds',0,3),
(117121,190091,9,100,'If target is shadowed folk',1,4),
(117122,190092,1,100,'Inflicts 136 disease damage on target instantly and every 4 seconds',0,0),
(117123,190092,1,100,'Inflicts 136 disease damage on target instantly and every 4 seconds',0,1),
(117124,190092,1,100,'If target is nightblood',1,2),
(117125,190092,1,100,'Inflicts 136 disease damage on target instantly and every 4 seconds',0,3),
(117126,190092,1,100,'If target is shadowed folk',1,4),
(117127,190092,4,100,'Inflicts 167 disease damage on target instantly and every 4 seconds',0,0),
(117128,190092,4,100,'Inflicts 167 disease damage on target instantly and every 4 seconds',0,1),
(117129,190092,4,100,'If target is nightblood',1,2),
(117130,190092,4,100,'Inflicts 167 disease damage on target instantly and every 4 seconds',0,3),
(117131,190092,4,100,'If target is shadowed folk',1,4),
(117132,190092,5,100,'Inflicts 182 disease damage on target instantly and every 4 seconds',0,0),
(117133,190092,5,100,'Inflicts 182 disease damage on target instantly and every 4 seconds',0,1),
(117134,190092,5,100,'If target is nightblood',1,2),
(117135,190092,5,100,'Inflicts 182 disease damage on target instantly and every 4 seconds',0,3),
(117136,190092,5,100,'If target is shadowed folk',1,4),
(117137,190092,7,100,'Inflicts 233 disease damage on target instantly and every 4 seconds',0,0),
(117138,190092,7,100,'Inflicts 233 disease damage on target instantly and every 4 seconds',0,1),
(117139,190092,7,100,'If target is nightblood',1,2),
(117140,190092,7,100,'Inflicts 233 disease damage on target instantly and every 4 seconds',0,3),
(117141,190092,7,100,'If target is shadowed folk',1,4),
(117142,190092,9,100,'Inflicts 242 disease damage on target instantly and every 4 seconds',0,0),
(117143,190092,9,100,'Inflicts 242 disease damage on target instantly and every 4 seconds',0,1),
(117144,190092,9,100,'If target is nightblood',1,2),
(117145,190092,9,100,'Inflicts 242 disease damage on target instantly and every 4 seconds',0,3),
(117146,190092,9,100,'If target is shadowed folk',1,4),
(117147,2000574,1,100,'Inflicts 2660 - 6208 disease damage on target',0,0),
(117148,2000574,1,100,'Inflicts 665 - 1552 disease damage on target every second',0,1),
(117149,2000575,1,100,'Inflicts 3 - 5 magic damage on target',0,0),
(117150,2000575,1,100,'Inflicts 3 - 5 magic damage on target',0,1),
(117151,2000575,1,100,'Inflicts 3 - 5 magic damage on target',0,2),
(117152,2000575,1,100,'Inflicts 3 - 5 magic damage on target',0,3),
(117153,2000575,1,100,'Inflicts 3 - 5 magic damage on target',0,4),
(117154,2000575,1,100,'Decreases strikethrough chance of target by 7.5%.',0,5),
(117155,2000575,1,100,'Your target must be inflicted with Planar Wrack.',0,6),
(117156,2000576,1,100,'On a damage spell hit this spell may cast Planar Detonation on target of spell.  Lasts for 4.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(117157,2000576,1,100,'Inflicts 166 - 277 magic damage on targets in Area of Effect instantly and every second',1,1),
(117158,2000576,2,100,'On a damage spell hit this spell may cast Planar Detonation on target of spell.  Lasts for 4.0 seconds.  Triggers about 4.0 times per minute. ',0,0),
(117159,2000576,2,100,'Inflicts 166 - 277 magic damage on targets in Area of Effect instantly and every second',1,1),
(117160,2000576,3,100,'On a damage spell hit this spell may cast Planar Detonation on target of spell.  Lasts for 4.0 seconds.  Triggers about 6.0 times per minute. ',0,0),
(117161,2000576,3,100,'Inflicts 222 - 369 magic damage on targets in Area of Effect instantly and every second',1,1),
(117162,2000577,1,100,'Wards caster against 1 - 3 points of damage from all damage',0,0),
(117163,2000577,1,100,'Increases DPS of caster by 6.7 - 11.3',0,1),
(117164,2000578,1,100,'On a damage spell hit this spell may cast Planar Wrack on target of spell.  Lasts for 16.0 seconds.  Triggers about 3.0 times per minute. ',0,0),
(117165,2000578,1,100,'Inflicts 19 - 32 magic damage on target',1,1),
(117166,2000578,1,100,'Inflicts 3 - 5 magic damage on target every 4 seconds',1,2),
(117167,2000578,2,100,'On a damage spell hit this spell may cast Planar Wrack on target of spell.  Lasts for 16.0 seconds.  Triggers about 4.0 times per minute. ',0,0),
(117168,2000578,2,100,'Inflicts 1325 - 2208 magic damage on target',1,1),
(117169,2000578,2,100,'Inflicts 221 - 368 magic damage on target every 4 seconds',1,2),
(117170,2000578,3,100,'On a damage spell hit this spell may cast Planar Wrack on target of spell.  Lasts for 16.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(117171,2000578,3,100,'Inflicts 994 - 1656 magic damage on target',1,1),
(117172,2000578,3,100,'Inflicts 166 - 276 magic damage on target every 4 seconds',1,2),
(117173,290163,1,100,'Applies Plane Shift: Earth.  Lasts for 1 minute.',0,0),
(117174,290163,1,100,'Shapechanges target into an Earth Construct',1,1),
(117175,290163,1,100,'Increases All Attributes of target by 36.0%',1,2),
(117176,290163,1,100,'Increases Combat Health Regen of target by 256.5',1,3),
(117177,290163,1,100,'Greatly increases maximum health',1,4),
(117178,290163,1,100,'Makes target immune to Stun effects',1,5),
(117179,290163,1,100,'Makes target immune to Root effects',1,6),
(117180,290163,1,100,'Makes target immune to Fear effects',1,7),
(117181,290163,1,100,'Makes target immune to Stifle effects',1,8),
(117182,290163,1,100,'Makes target immune to Daze effects',1,9),
(117183,290163,1,100,'On a damage spell hit this spell has a 15% chance to cast Telluric Strike on target of spell.  ',1,10),
(117184,290163,1,100,'Increases Threat to target encounter by 2,942 - 4,544 ',2,11),
(117185,290163,1,100,'Inflicts 78 - 129 magic damage on target encounter',2,12),
(117186,290163,1,100,'Applies Plane Shift: Fire.  Lasts for 1 minute.',0,13),
(117187,290163,1,100,'Shapechanges target into a Fire Devil',1,14),
(117188,290163,1,100,'Enlarges target by 25.0%',1,15),
(117189,290163,1,100,'Increases Crit Chance of target by 36.0',1,16),
(117190,290163,1,100,'Increases Haste of target by 36.0',1,17),
(117191,290163,1,100,'Increases Ability Casting Speed of target by 36.0%',1,18),
(117192,290163,1,100,'Greatly increases maximum health',1,19),
(117193,290163,1,100,'Makes target immune to Stifle effects',1,20),
(117194,290163,1,100,'On a damage spell hit this spell has a 15% chance to cast Igneous Flames on target of spell.  ',1,21),
(117195,290163,1,100,'Inflicts 111 - 185 heat damage on target encounter',2,22),
(117196,290163,1,100,'Applies Plane Shift: Air.  Lasts for 1 minute.',0,23),
(117197,290163,1,100,'Shapechanges target into an Air Avenger',1,24),
(117198,290163,1,100,'Enlarges target by 25.0%',1,25),
(117199,290163,1,100,'Increases Haste of target by 36.0',1,26),
(117200,290163,1,100,'Increases Crit Chance of target by 36.0',1,27),
(117201,290163,1,100,'Increases Ability Reuse Speed of target by 36.0%',1,28),
(117202,290163,1,100,'Increases in-combat movement speed of target by 54.0%',1,29),
(117203,290163,1,100,'Greatly increases maximum health',1,30),
(117204,290163,1,100,'On a damage spell hit this spell has a 15% chance to cast Thunderous Attack on target of spell.  ',1,31),
(117205,290163,1,100,'Interrupts target',2,32),
(117206,290163,1,100,'Inflicts 304 - 507 cold damage on target',2,33),
(117207,290163,2,100,'Applies Plane Shift: Earth.  Lasts for 1 minute.',0,0),
(117208,290163,2,100,'Shapechanges target into an Earth Construct',1,1),
(117209,290163,2,100,'Increases All Attributes of target by 38.0%',1,2),
(117210,290163,2,100,'Increases Combat Health Regen of target by 270.8',1,3),
(117211,290163,2,100,'Greatly increases maximum health',1,4),
(117212,290163,2,100,'Makes target immune to Stun effects',1,5),
(117213,290163,2,100,'Makes target immune to Root effects',1,6),
(117214,290163,2,100,'Makes target immune to Fear effects',1,7),
(117215,290163,2,100,'Makes target immune to Stifle effects',1,8),
(117216,290163,2,100,'Makes target immune to Daze effects',1,9),
(117217,290163,2,100,'On a damage spell hit this spell has a 15% chance to cast Telluric Strike on target of spell.  ',1,10),
(117218,290163,2,100,'Increases Threat to target encounter by 3,076 - 4,767 ',2,11),
(117219,290163,2,100,'Inflicts 82 - 136 magic damage on target encounter',2,12),
(117220,290163,2,100,'Applies Plane Shift: Fire.  Lasts for 1 minute.',0,13),
(117221,290163,2,100,'Shapechanges target into a Fire Devil',1,14),
(117222,290163,2,100,'Enlarges target by 25.0%',1,15),
(117223,290163,2,100,'Increases Crit Chance of target by 38.0',1,16),
(117224,290163,2,100,'Increases Ability Casting Speed of target by 38.0%',1,17),
(117225,290163,2,100,'Increases Haste of target by 38.0',1,18),
(117226,290163,2,100,'Greatly increases maximum health',1,19),
(117227,290163,2,100,'Makes target immune to Stifle effects',1,20),
(117228,290163,2,100,'On a damage spell hit this spell has a 15% chance to cast Igneous Flames on target of spell.  ',1,21),
(117229,290163,2,100,'Inflicts 117 - 195 heat damage on target encounter',2,22),
(117230,290163,2,100,'Applies Plane Shift: Air.  Lasts for 1 minute.',0,23),
(117231,290163,2,100,'Shapechanges target into an Air Avenger',1,24),
(117232,290163,2,100,'Enlarges target by 25.0%',1,25),
(117233,290163,2,100,'Increases Haste of target by 38.0',1,26),
(117234,290163,2,100,'Increases Crit Chance of target by 38.0',1,27),
(117235,290163,2,100,'Increases Ability Reuse Speed of target by 38.0%',1,28),
(117236,290163,2,100,'Increases in-combat movement speed of target by 57.0%',1,29),
(117237,290163,2,100,'Greatly increases maximum health',1,30),
(117238,290163,2,100,'On a damage spell hit this spell has a 15% chance to cast Thunderous Attack on target of spell.  ',1,31),
(117239,290163,2,100,'Interrupts target',2,32),
(117240,290163,2,100,'Inflicts 321 - 536 cold damage on target',2,33),
(117241,290163,3,100,'Applies Plane Shift: Earth.  Lasts for 1 minute.',0,0),
(117242,290163,3,100,'Shapechanges target into an Earth Construct',1,1),
(117243,290163,3,100,'Increases All Attributes of target by 40.0%',1,2),
(117244,290163,3,100,'Increases Combat Health Regen of target by 285.0',1,3),
(117245,290163,3,100,'Greatly increases maximum health',1,4),
(117246,290163,3,100,'Makes target immune to Stun effects',1,5),
(117247,290163,3,100,'Makes target immune to Root effects',1,6),
(117248,290163,3,100,'Makes target immune to Fear effects',1,7),
(117249,290163,3,100,'Makes target immune to Stifle effects',1,8),
(117250,290163,3,100,'Makes target immune to Daze effects',1,9),
(117251,290163,3,100,'On a damage spell hit this spell has a 15% chance to cast Telluric Strike on target of spell.  ',1,10),
(117252,290163,3,100,'Increases Threat to target encounter by 3,210 - 4,990 ',2,11),
(117253,290163,3,100,'Inflicts 86 - 144 magic damage on target encounter',2,12),
(117254,290163,3,100,'Applies Plane Shift: Fire.  Lasts for 1 minute.',0,13),
(117255,290163,3,100,'Shapechanges target into a Fire Devil',1,14),
(117256,290163,3,100,'Enlarges target by 25.0%',1,15),
(117257,290163,3,100,'Increases Crit Chance of target by 40.0',1,16),
(117258,290163,3,100,'Increases Ability Casting Speed of target by 40.0%',1,17),
(117259,290163,3,100,'Increases Haste of target by 40.0',1,18),
(117260,290163,3,100,'Greatly increases maximum health',1,19),
(117261,290163,3,100,'Makes target immune to Stifle effects',1,20),
(117262,290163,3,100,'On a damage spell hit this spell has a 15% chance to cast Igneous Flames on target of spell.  ',1,21),
(117263,290163,3,100,'Inflicts 123 - 205 heat damage on target encounter',2,22),
(117264,290163,3,100,'Applies Plane Shift: Air.  Lasts for 1 minute.',0,23),
(117265,290163,3,100,'Shapechanges target into an Air Avenger',1,24),
(117266,290163,3,100,'Enlarges target by 25.0%',1,25),
(117267,290163,3,100,'Increases Haste of target by 40.0',1,26),
(117268,290163,3,100,'Increases Crit Chance of target by 40.0',1,27),
(117269,290163,3,100,'Increases Ability Reuse Speed of target by 40.0%',1,28),
(117270,290163,3,100,'Increases in-combat movement speed of target by 60.0%',1,29),
(117271,290163,3,100,'Greatly increases maximum health',1,30),
(117272,290163,3,100,'On a damage spell hit this spell has a 15% chance to cast Thunderous Attack on target of spell.  ',1,31),
(117273,290163,3,100,'Interrupts target',2,32),
(117274,290163,3,100,'Inflicts 338 - 564 cold damage on target',2,33),
(117275,290163,4,100,'Applies Plane Shift: Earth.  Lasts for 1 minute.',0,0),
(117276,290163,4,100,'Shapechanges target into an Earth Construct',1,1),
(117277,290163,4,100,'Increases All Attributes of target by 44.0%',1,2),
(117278,290163,4,100,'Increases In-Combat Health Regeneration of target by 313.5',1,3),
(117279,290163,4,100,'Greatly increases maximum health',1,4),
(117280,290163,4,100,'Makes target immune to Stun effects',1,5),
(117281,290163,4,100,'Makes target immune to Root effects',1,6),
(117282,290163,4,100,'Makes target immune to Fear effects',1,7),
(117283,290163,4,100,'Makes target immune to Stifle effects',1,8),
(117284,290163,4,100,'Makes target immune to Daze effects',1,9),
(117285,290163,4,100,'On a damage spell hit this spell has a 15% chance to cast Telluric Strike on target of spell.  ',1,10),
(117286,290163,4,100,'Increases Threat to target encounter by 3,477 - 5,435 ',2,11),
(117287,290163,4,100,'Inflicts 95 - 158 magic damage on target encounter',2,12),
(117288,290163,4,100,'Applies Plane Shift: Fire.  Lasts for 1 minute.',0,13),
(117289,290163,4,100,'Shapechanges target into a Fire Devil',1,14),
(117290,290163,4,100,'Enlarges target by 25.0%',1,15),
(117291,290163,4,100,'Increases Crit Chance of target by 44.0',1,16),
(117292,290163,4,100,'Increases Attack Speed of target by 44.0',1,17),
(117293,290163,4,100,'Increases Ability Casting Speed of target by 44.0%',1,18),
(117294,290163,4,100,'Greatly increases maximum health',1,19),
(117295,290163,4,100,'Makes target immune to Stifle effects',1,20),
(117296,290163,4,100,'On a damage spell hit this spell has a 15% chance to cast Igneous Flames on target of spell.  ',1,21),
(117297,290163,4,100,'Inflicts 135 - 226 heat damage on target encounter',2,22),
(117298,290163,4,100,'Applies Plane Shift: Air.  Lasts for 1 minute.',0,23),
(117299,290163,4,100,'Shapechanges target into an Air Avenger',1,24),
(117300,290163,4,100,'Enlarges target by 25.0%',1,25),
(117301,290163,4,100,'Increases Attack Speed of target by 44.0',1,26),
(117302,290163,4,100,'Increases Ability Reuse Speed of target by 44.0%',1,27),
(117303,290163,4,100,'Increases Crit Chance of target by 44.0',1,28),
(117304,290163,4,100,'Increases in-combat movement speed of target by 66.0%',1,29),
(117305,290163,4,100,'Greatly increases maximum health',1,30),
(117306,290163,4,100,'On a damage spell hit this spell has a 15% chance to cast Thunderous Attack on target of spell.  ',1,31),
(117307,290163,4,100,'Interrupts target',2,32),
(117308,290163,4,100,'Inflicts 372 - 620 cold damage on target',2,33),
(117309,290163,5,100,'Applies Plane Shift: Earth.  Lasts for 1 minute.',0,0),
(117310,290163,5,100,'Shapechanges target into an Earth Construct',1,1),
(117311,290163,5,100,'Increases All Attributes of target by 48.0%',1,2),
(117312,290163,5,100,'Increases Combat Health Regen of target by 342.0',1,3),
(117313,290163,5,100,'Greatly increases maximum health',1,4),
(117314,290163,5,100,'Makes target immune to Stun effects',1,5),
(117315,290163,5,100,'Makes target immune to Root effects',1,6),
(117316,290163,5,100,'Makes target immune to Fear effects',1,7),
(117317,290163,5,100,'Makes target immune to Stifle effects',1,8),
(117318,290163,5,100,'Makes target immune to Daze effects',1,9),
(117319,290163,5,100,'On a damage spell hit this spell has a 15% chance to cast Telluric Strike on target of spell.  ',1,10),
(117320,290163,5,100,'Increases Threat to target encounter by 3,744 - 5,880 ',2,11),
(117321,290163,5,100,'Inflicts 103 - 172 magic damage on target encounter',2,12),
(117322,290163,5,100,'Applies Plane Shift: Fire.  Lasts for 1 minute.',0,13),
(117323,290163,5,100,'Shapechanges target into a Fire Devil',1,14),
(117324,290163,5,100,'Enlarges target by 25.0%',1,15),
(117325,290163,5,100,'Increases Crit Chance of target by 48.0',1,16),
(117326,290163,5,100,'Increases Ability Casting Speed of target by 48.0%',1,17),
(117327,290163,5,100,'Increases Haste of target by 48.0',1,18),
(117328,290163,5,100,'Greatly increases maximum health',1,19),
(117329,290163,5,100,'Makes target immune to Stifle effects',1,20),
(117330,290163,5,100,'On a damage spell hit this spell has a 15% chance to cast Igneous Flames on target of spell.  ',1,21),
(117331,290163,5,100,'Inflicts 148 - 246 heat damage on target encounter',2,22),
(117332,290163,5,100,'Applies Plane Shift: Air.  Lasts for 1 minute.',0,23),
(117333,290163,5,100,'Shapechanges target into an Air Avenger',1,24),
(117334,290163,5,100,'Enlarges target by 25.0%',1,25),
(117335,290163,5,100,'Increases Haste of target by 48.0',1,26),
(117336,290163,5,100,'Increases Crit Chance of target by 48.0',1,27),
(117337,290163,5,100,'Increases Ability Reuse Speed of target by 48.0%',1,28),
(117338,290163,5,100,'Increases in-combat movement speed of target by 72.0%',1,29),
(117339,290163,5,100,'Greatly increases maximum health',1,30),
(117340,290163,5,100,'On a damage spell hit this spell has a 15% chance to cast Thunderous Attack on target of spell.  ',1,31),
(117341,290163,5,100,'Interrupts target',2,32),
(117342,290163,5,100,'Inflicts 406 - 677 cold damage on target',2,33),
(117343,290163,7,100,'Applies Plane Shift: Earth.  Lasts for 1 minute.',0,0),
(117344,290163,7,100,'Shapechanges target into an Earth Construct',1,1),
(117345,290163,7,100,'Increases All Attributes of target by 61.6%',1,2),
(117346,290163,7,100,'Increases Combat Health Regen of target by 438.9',1,3),
(117347,290163,7,100,'Greatly increases maximum health',1,4),
(117348,290163,7,100,'Makes target immune to Stun effects',1,5),
(117349,290163,7,100,'Makes target immune to Root effects',1,6),
(117350,290163,7,100,'Makes target immune to Fear effects',1,7),
(117351,290163,7,100,'Makes target immune to Stifle effects',1,8),
(117352,290163,7,100,'Makes target immune to Daze effects',1,9),
(117353,290163,7,100,'On a damage spell hit this spell has a 15% chance to cast Telluric Strike on target of spell.  ',1,10),
(117354,290163,7,100,'Increases Threat to target encounter by 4,651 - 7,392 ',2,11),
(117355,290163,7,100,'Inflicts 133 - 221 magic damage on target encounter',2,12),
(117356,290163,7,100,'Applies Plane Shift: Fire.  Lasts for 1 minute.',0,13),
(117357,290163,7,100,'Shapechanges target into a Fire Devil',1,14),
(117358,290163,7,100,'Enlarges target by 25.0%',1,15),
(117359,290163,7,100,'Increases Crit Chance of target by 61.6',1,16),
(117360,290163,7,100,'Increases Ability Casting Speed of target by 61.6%',1,17),
(117361,290163,7,100,'Increases Haste of target by 61.6',1,18),
(117362,290163,7,100,'Greatly increases maximum health',1,19),
(117363,290163,7,100,'Makes target immune to Stifle effects',1,20),
(117364,290163,7,100,'On a damage spell hit this spell has a 15% chance to cast Igneous Flames on target of spell.  ',1,21),
(117365,290163,7,100,'Inflicts 189 - 316 heat damage on target encounter',2,22),
(117366,290163,7,100,'Applies Plane Shift: Air.  Lasts for 1 minute.',0,23),
(117367,290163,7,100,'Shapechanges target into an Air Avenger',1,24),
(117368,290163,7,100,'Enlarges target by 25.0%',1,25),
(117369,290163,7,100,'Increases Haste of target by 61.6',1,26),
(117370,290163,7,100,'Increases Crit Chance of target by 61.6',1,27),
(117371,290163,7,100,'Increases Ability Reuse Speed of target by 61.6%',1,28),
(117372,290163,7,100,'Increases in-combat movement speed of target by 92.4%',1,29),
(117373,290163,7,100,'Greatly increases maximum health',1,30),
(117374,290163,7,100,'On a damage spell hit this spell has a 15% chance to cast Thunderous Attack on target of spell.  ',1,31),
(117375,290163,7,100,'Interrupts target',2,32),
(117376,290163,7,100,'Inflicts 521 - 868 cold damage on target',2,33),
(117377,290163,9,100,'Applies Plane Shift: Earth.  Lasts for 1 minute.',0,0),
(117378,290163,9,100,'Shapechanges target into an Earth Construct',1,1),
(117379,290163,9,100,'Increases All Attributes of target by 64.0%',1,2),
(117380,290163,9,100,'Increases Combat Health Regen of target by 456.0',1,3),
(117381,290163,9,100,'Greatly increases maximum health',1,4),
(117382,290163,9,100,'Makes target immune to Stun effects',1,5),
(117383,290163,9,100,'Makes target immune to Root effects',1,6),
(117384,290163,9,100,'Makes target immune to Fear effects',1,7),
(117385,290163,9,100,'Makes target immune to Stifle effects',1,8),
(117386,290163,9,100,'Makes target immune to Daze effects',1,9),
(117387,290163,9,100,'On a damage spell hit this spell has a 15% chance to cast Telluric Strike on target of spell.  ',1,10),
(117388,290163,9,100,'Increases Threat to target encounter by 4,812 - 7,660 ',2,11),
(117389,290163,9,100,'Inflicts 138 - 230 magic damage on target encounter',2,12),
(117390,290163,9,100,'Applies Plane Shift: Fire.  Lasts for 1 minute.',0,13),
(117391,290163,9,100,'Shapechanges target into a Fire Devil',1,14),
(117392,290163,9,100,'Enlarges target by 25.0%',1,15),
(117393,290163,9,100,'Increases Crit Chance of target by 64.0',1,16),
(117394,290163,9,100,'Increases Ability Casting Speed of target by 64.0%',1,17),
(117395,290163,9,100,'Increases Haste of target by 64.0',1,18),
(117396,290163,9,100,'Greatly increases maximum health',1,19),
(117397,290163,9,100,'Makes target immune to Stifle effects',1,20),
(117398,290163,9,100,'On a damage spell hit this spell has a 15% chance to cast Igneous Flames on target of spell.  ',1,21),
(117399,290163,9,100,'Inflicts 197 - 328 heat damage on target encounter',2,22),
(117400,290163,9,100,'Applies Plane Shift: Air.  Lasts for 1 minute.',0,23),
(117401,290163,9,100,'Shapechanges target into an Air Avenger',1,24),
(117402,290163,9,100,'Enlarges target by 25.0%',1,25),
(117403,290163,9,100,'Increases Haste of target by 64.0',1,26),
(117404,290163,9,100,'Increases Crit Chance of target by 64.0',1,27),
(117405,290163,9,100,'Increases Ability Reuse Speed of target by 64.0%',1,28),
(117406,290163,9,100,'Increases in-combat movement speed of target by 96.0%',1,29),
(117407,290163,9,100,'Greatly increases maximum health',1,30),
(117408,290163,9,100,'On a damage spell hit this spell has a 15% chance to cast Thunderous Attack on target of spell.  ',1,31),
(117409,290163,9,100,'Interrupts target',2,32),
(117410,290163,9,100,'Inflicts 541 - 902 cold damage on target',2,33),
(117411,2000579,1,100,'Inflicts 3 disease damage on targets in Area of Effect',0,0),
(117412,440112,1,100,'Inflicts 18 - 30 poison damage on target',0,0),
(117413,2000580,1,100,'Inflicts 1 poison damage on target instantly and every 8 seconds',0,0),
(117414,2000580,1,100,'Inflicts 1 - 2 piercing damage on target',0,1),
(117415,170143,1,100,'Increases Max Health of raid and group members (AE) by 58.5',0,0),
(117416,170143,1,100,'Increases Mitigation of raid and group members (AE) vs all damage by 900',0,1),
(117417,170143,1,100,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',0,2),
(117418,170143,2,100,'Increases Max Health of raid and group members (AE) by 61.7',0,0),
(117419,170143,2,100,'Increases Mitigation of raid and group members (AE) vs all damage by 950',0,1),
(117420,170143,2,100,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',0,2),
(117421,170143,3,100,'Increases Max Health of raid and group members (AE) by 65.0',0,0),
(117422,170143,3,100,'Increases Mitigation of raid and group members (AE) vs all damage by 1000',0,1),
(117423,170143,3,100,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',0,2),
(117424,170143,4,100,'Increases Max Health of raid and group members (AE) by 71.5',0,0),
(117425,170143,4,100,'Increases Mitigation of raid and group members (AE) vs all damage by 1100',0,1),
(117426,170143,4,100,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',0,2),
(117427,170143,5,100,'Increases Max Health of raid and group members (AE) by 78.0',0,0),
(117428,170143,5,100,'Increases Mitigation of raid and group members (AE) vs all damage by 1200',0,1),
(117429,170143,5,100,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',0,2),
(117430,170143,7,100,'Increases Max Health of raid and group members (AE) by 100.1',0,0),
(117431,170143,7,100,'Increases Mitigation of raid and group members (AE) vs all damage by 1540',0,1),
(117432,170143,7,100,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',0,2),
(117433,170143,9,100,'Increases Max Health of raid and group members (AE) by 104.0',0,0),
(117434,170143,9,100,'Increases Mitigation of raid and group members (AE) vs all damage by 1600',0,1),
(117435,170143,9,100,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',0,2),
(117436,170144,1,100,'Increases Max Health of raid and group members (AE) by 58.5',0,0),
(117437,170144,1,100,'Increases Mitigation of raid and group members (AE) vs all damage by 1260',0,1),
(117438,170144,1,100,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',0,2),
(117439,170144,2,100,'Increases Max Health of raid and group members (AE) by 61.7',0,0),
(117440,170144,2,100,'Increases Mitigation of raid and group members (AE) vs all damage by 1330',0,1),
(117441,170144,2,100,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',0,2),
(117442,170144,3,100,'Increases Max Health of raid and group members (AE) by 65.0',0,0),
(117443,170144,3,100,'Increases Mitigation of raid and group members (AE) vs all damage by 1400',0,1),
(117444,170144,3,100,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',0,2),
(117445,170144,4,100,'Increases Max Health of raid and group members (AE) by 71.5',0,0),
(117446,170144,4,100,'Increases Mitigation of raid and group members (AE) vs all damage by 1540',0,1),
(117447,170144,4,100,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',0,2),
(117448,170144,5,100,'Increases Max Health of raid and group members (AE) by 78.0',0,0),
(117449,170144,5,100,'Increases Mitigation of raid and group members (AE) vs all damage by 1680',0,1),
(117450,170144,5,100,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',0,2),
(117451,170144,7,100,'Increases Max Health of raid and group members (AE) by 100.1',0,0),
(117452,170144,7,100,'Increases Mitigation of raid and group members (AE) vs all damage by 2156',0,1),
(117453,170144,7,100,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',0,2),
(117454,170144,9,100,'Increases Max Health of raid and group members (AE) by 104.0',0,0),
(117455,170144,9,100,'Increases Mitigation of raid and group members (AE) vs all damage by 2240',0,1),
(117456,170144,9,100,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',0,2),
(117457,170145,1,100,'Increases Max Health of raid and group members (AE) by 58.5',0,0),
(117458,170145,1,100,'Increases Mitigation of raid and group members (AE) vs all damage by 1512',0,1),
(117459,170145,1,100,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',0,2),
(117460,170145,2,100,'Increases Max Health of raid and group members (AE) by 61.7',0,0),
(117461,170145,2,100,'Increases Mitigation of raid and group members (AE) vs all damage by 1596',0,1),
(117462,170145,2,100,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',0,2),
(117463,170145,3,100,'Increases Max Health of raid and group members (AE) by 65.0',0,0),
(117464,170145,3,100,'Increases Mitigation of raid and group members (AE) vs all damage by 1680',0,1),
(117465,170145,3,100,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',0,2),
(117466,170145,4,100,'Increases Max Health of raid and group members (AE) by 71.5',0,0),
(117467,170145,4,100,'Increases Mitigation of raid and group members (AE) vs all damage by 1848',0,1),
(117468,170145,4,100,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',0,2),
(117469,170145,5,100,'Increases Max Health of raid and group members (AE) by 78.0',0,0),
(117470,170145,5,100,'Increases Mitigation of raid and group members (AE) vs all damage by 2016',0,1),
(117471,170145,5,100,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',0,2),
(117472,170145,7,100,'Increases Max Health of raid and group members (AE) by 100.1',0,0),
(117473,170145,7,100,'Increases Mitigation of raid and group members (AE) vs all damage by 2587',0,1),
(117474,170145,7,100,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',0,2),
(117475,170145,9,100,'Increases Max Health of raid and group members (AE) by 104.0',0,0),
(117476,170145,9,100,'Increases Mitigation of raid and group members (AE) vs all damage by 2688',0,1),
(117477,170145,9,100,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',0,2),
(117478,170146,1,100,'Increases Max Health of raid and group members (AE) by 58.5',0,0),
(117479,170146,1,100,'Increases Mitigation of raid and group members (AE) vs all damage by 1782',0,1),
(117480,170146,1,100,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',0,2),
(117481,170146,4,100,'Increases Max Health of raid and group members (AE) by 71.5',0,0),
(117482,170146,4,100,'Increases Mitigation of raid and group members (AE) vs all damage by 2178',0,1),
(117483,170146,4,100,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',0,2),
(117484,170146,5,100,'Increases Max Health of raid and group members (AE) by 78.0',0,0),
(117485,170146,5,100,'Increases Mitigation of raid and group members (AE) vs all damage by 2376',0,1),
(117486,170146,5,100,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',0,2),
(117487,170146,7,100,'Increases Max Health of raid and group members (AE) by 100.1',0,0),
(117488,170146,7,100,'Increases Mitigation of raid and group members (AE) vs all damage by 3049',0,1),
(117489,170146,7,100,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',0,2),
(117490,170146,9,100,'Increases Max Health of raid and group members (AE) by 104.0',0,0),
(117491,170146,9,100,'Increases Mitigation of raid and group members (AE) vs all damage by 3168',0,1),
(117492,170146,9,100,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',0,2),
(117493,170147,1,100,'Increases Max Health of raid and group members (AE) by 58.5',0,0),
(117494,170147,1,100,'Increases Mitigation of raid and group members (AE) vs all damage by 1980',0,1),
(117495,170147,1,100,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',0,2),
(117496,170147,4,100,'Increases Max Health of raid and group members (AE) by 71.5',0,0),
(117497,170147,4,100,'Increases Mitigation of raid and group members (AE) vs all damage by 2420',0,1),
(117498,170147,4,100,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',0,2),
(117499,170147,5,100,'Increases Max Health of raid and group members (AE) by 78.0',0,0),
(117500,170147,5,100,'Increases Mitigation of raid and group members (AE) vs all damage by 2640',0,1),
(117501,170147,5,100,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',0,2),
(117502,170147,7,100,'Increases Max Health of raid and group members (AE) by 100.1',0,0),
(117503,170147,7,100,'Increases Mitigation of raid and group members (AE) vs all damage by 3388',0,1),
(117504,170147,7,100,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',0,2),
(117505,170147,9,100,'Increases Max Health of raid and group members (AE) by 104.0',0,0),
(117506,170147,9,100,'Increases Mitigation of raid and group members (AE) vs all damage by 3520',0,1),
(117507,170147,9,100,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',0,2),
(117508,230128,1,100,'Teleports caster within the zone',0,0),
(117509,270122,1,100,'Summons a pet possessed essence',0,0),
(117510,270122,2,100,'Summons a pet possessed essence',0,0),
(117511,270122,3,100,'Summons a pet possessed essence',0,0),
(117512,270122,4,100,'Summons a pet possessed essence',0,0),
(117513,270122,5,100,'Summons a pet possessed essence',0,0),
(117514,270122,7,100,'Summons a pet possessed essence',0,0),
(117515,270122,9,100,'Summons a pet possessed essence',0,0),
(117516,2000581,1,100,'Your next primary pet summon will cast instantly and have no recovery time. The second pet summoned will have a base cast time of 4 seconds. After a second pet is summoned, this spell will terminate. This spell can cast while using other abilities.',0,0),
(117517,2000581,1,100,'This spell can only be cast on your primary pet!',0,1),
(117518,2000581,2,100,'Your next primary pet summon will cast instantly and have no recovery time. The second pet summoned will have a base cast time of 4 seconds. After a second pet is summoned, this spell will terminate. This spell can cast while using other abilities.',0,0),
(117519,2000581,2,100,'This spell can only be cast on your primary pet!',0,1),
(117520,2000581,3,100,'Your next primary pet summon will cast instantly and have no recovery time. The second pet summoned will have a base cast time of 4 seconds. After a second pet is summoned, this spell will terminate. This spell can cast while using other abilities.',0,0),
(117521,2000581,3,100,'This spell can only be cast on your primary pet!',0,1),
(117522,2000581,4,100,'Your next primary pet summon will cast instantly and have no recovery time. The second pet summoned will have a base cast time of 4 seconds. After a second pet is summoned, this spell will terminate. This spell can cast while using other abilities.',0,0),
(117523,2000581,4,100,'This spell can only be cast on your primary pet!',0,1),
(117524,2000581,5,100,'Your next primary pet summon will cast instantly and have no recovery time. The second pet summoned will have a base cast time of 4 seconds. After a second pet is summoned, this spell will terminate. This spell can cast while using other abilities.',0,0),
(117525,2000581,5,100,'This spell can only be cast on your primary pet!',0,1),
(117526,2000581,6,100,'Your next primary pet summon will cast instantly and have no recovery time. The second pet summoned will have a base cast time of 4 seconds. After a second pet is summoned, this spell will terminate. This spell can cast while using other abilities.',0,0),
(117527,2000581,6,100,'This spell can only be cast on your primary pet!',0,1),
(117528,2000581,7,100,'Your next primary pet summon will cast instantly and have no recovery time. The second pet summoned will have a base cast time of 4 seconds. After a second pet is summoned, this spell will terminate. This spell can cast while using other abilities.',0,0),
(117529,2000581,7,100,'This spell can only be cast on your primary pet!',0,1),
(117530,2000581,8,100,'Your next primary pet summon will cast instantly and have no recovery time. The second pet summoned will have a base cast time of 4 seconds. After a second pet is summoned, this spell will terminate. This spell can cast while using other abilities.',0,0),
(117531,2000581,8,100,'This spell can only be cast on your primary pet!',0,1),
(117532,2000581,9,100,'Your next primary pet summon will cast instantly and have no recovery time. The second pet summoned will have a base cast time of 4 seconds. After a second pet is summoned, this spell will terminate. This spell can cast while using other abilities.',0,0),
(117533,2000581,9,100,'This spell can only be cast on your primary pet!',0,1),
(117534,2000581,10,100,'Your next primary pet summon will cast instantly and have no recovery time. The second pet summoned will have a base cast time of 4 seconds. After a second pet is summoned, this spell will terminate. This spell can cast while using other abilities.',0,0),
(117535,2000581,10,100,'This spell can only be cast on your primary pet!',0,1),
(117536,2000582,1,100,'Inflicts 0 - 1 slashing damage on target',0,0),
(117537,2000582,1,100,'Stuns target',0,1),
(117538,2000582,1,100,'Epic targets gain an immunity to Stun effects of 5.6 seconds and duration is reduced to 0.6 seconds.',0,2),
(117539,2000582,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(117540,270123,1,100,'Increases Max Power of group members (AE) by 20.8',0,0),
(117541,270123,1,100,'Increases Mitigation of group members (AE) vs arcane damage by 79',0,1),
(117542,270123,2,100,'Increases Max Power of group members (AE) by 21.9',0,0),
(117543,270123,2,100,'Increases Mitigation of group members (AE) vs arcane damage by 83',0,1),
(117544,270123,3,100,'Increases Max Power of group members (AE) by 23.1',0,0),
(117545,270123,3,100,'Increases Mitigation of group members (AE) vs arcane damage by 87',0,1),
(117546,270123,4,100,'Increases Max Power of group members (AE) by 25.4',0,0),
(117547,270123,4,100,'Increases Mitigation of group members (AE) vs arcane damage by 96',0,1),
(117548,270123,5,100,'Increases Max Power of group members (AE) by 27.7',0,0),
(117549,270123,5,100,'Increases Mitigation of group members (AE) vs arcane damage by 105',0,1),
(117550,270123,7,100,'Increases Max Power of group members (AE) by 35.6',0,0),
(117551,270123,7,100,'Increases Mitigation of group members (AE) vs arcane damage by 135',0,1),
(117552,270123,9,100,'Increases Max Power of group members (AE) by 37.0',0,0),
(117553,270123,9,100,'Increases Mitigation of group members (AE) vs arcane damage by 140',0,1),
(117554,270124,1,100,'Increases Max Power of group members (AE) by 64.8',0,0),
(117555,270124,1,100,'Increases Mitigation of group members (AE) vs arcane damage by 151',0,1),
(117556,270124,2,100,'Increases Max Power of group members (AE) by 68.4',0,0),
(117557,270124,2,100,'Increases Mitigation of group members (AE) vs arcane damage by 160',0,1),
(117558,270124,3,100,'Increases Max Power of group members (AE) by 72.0',0,0),
(117559,270124,3,100,'Increases Mitigation of group members (AE) vs arcane damage by 168',0,1),
(117560,270124,4,100,'Increases Max Power of group members (AE) by 79.2',0,0),
(117561,270124,4,100,'Increases Mitigation of group members (AE) vs arcane damage by 185',0,1),
(117562,270124,5,100,'Increases Max Power of group members (AE) by 86.4',0,0),
(117563,270124,5,100,'Increases Mitigation of group members (AE) vs arcane damage by 202',0,1),
(117564,270124,7,100,'Increases Max Power of group members (AE) by 110.9',0,0),
(117565,270124,7,100,'Increases Mitigation of group members (AE) vs arcane damage by 259',0,1),
(117566,270124,9,100,'Increases Max Power of group members (AE) by 115.2',0,0),
(117567,270124,9,100,'Increases Mitigation of group members (AE) vs arcane damage by 269',0,1),
(117568,270125,1,100,'Increases Max Power of group members (AE) by 148.5',0,0),
(117569,270125,1,100,'Increases Mitigation of group members (AE) vs arcane damage by 252',0,1),
(117570,270125,2,100,'Increases Max Power of group members (AE) by 156.8',0,0),
(117571,270125,2,100,'Increases Mitigation of group members (AE) vs arcane damage by 266',0,1),
(117572,270125,3,100,'Increases Max Power of group members (AE) by 165.0',0,0),
(117573,270125,3,100,'Increases Mitigation of group members (AE) vs arcane damage by 280',0,1),
(117574,270125,4,100,'Increases Max Power of group members (AE) by 181.5',0,0),
(117575,270125,4,100,'Increases Mitigation of group members (AE) vs arcane damage by 308',0,1),
(117576,270125,5,100,'Increases Max Power of group members (AE) by 198.0',0,0),
(117577,270125,5,100,'Increases Mitigation of group members (AE) vs arcane damage by 336',0,1),
(117578,270125,7,100,'Increases Max Power of group members (AE) by 254.1',0,0),
(117579,270125,7,100,'Increases Mitigation of group members (AE) vs arcane damage by 431',0,1),
(117580,270125,9,100,'Increases Max Power of group members (AE) by 264.0',0,0),
(117581,270125,9,100,'Increases Mitigation of group members (AE) vs arcane damage by 448',0,1),
(117582,270126,1,100,'Increases Max Power of group members (AE) by 227.3',0,0),
(117583,270126,1,100,'Increases Mitigation of group members (AE) vs arcane damage by 353',0,1),
(117584,270126,2,100,'Increases Max Power of group members (AE) by 240.0',0,0),
(117585,270126,2,100,'Increases Mitigation of group members (AE) vs arcane damage by 372',0,1),
(117586,270126,3,100,'Increases Max Power of group members (AE) by 252.6',0,0),
(117587,270126,3,100,'Increases Mitigation of group members (AE) vs arcane damage by 392',0,1),
(117588,270126,4,100,'Increases Max Power of group members (AE) by 277.9',0,0),
(117589,270126,4,100,'Increases Mitigation of group members (AE) vs arcane damage by 431',0,1),
(117590,270126,5,100,'Increases Max Power of group members (AE) by 303.1',0,0),
(117591,270126,5,100,'Increases Mitigation of group members (AE) vs arcane damage by 470',0,1),
(117592,270126,7,100,'Increases Max Power of group members (AE) by 389.0',0,0),
(117593,270126,7,100,'Increases Mitigation of group members (AE) vs arcane damage by 604',0,1),
(117594,270126,9,100,'Increases Max Power of group members (AE) by 404.2',0,0),
(117595,270126,9,100,'Increases Mitigation of group members (AE) vs arcane damage by 627',0,1),
(117596,270127,1,100,'Increases Max Power of group members (AE) by 293.7',0,0),
(117597,270127,1,100,'Increases Mitigation of group members (AE) vs arcane damage by 454',0,1),
(117598,270127,2,100,'Increases Max Power of group members (AE) by 310.0',0,0),
(117599,270127,2,100,'Increases Mitigation of group members (AE) vs arcane damage by 479',0,1),
(117600,270127,3,100,'Increases Max Power of group members (AE) by 326.3',0,0),
(117601,270127,3,100,'Increases Mitigation of group members (AE) vs arcane damage by 504',0,1),
(117602,270127,4,100,'Increases Max Power of group members (AE) by 359.0',0,0),
(117603,270127,4,100,'Increases Mitigation of group members (AE) vs arcane damage by 554',0,1),
(117604,270127,5,100,'Increases Max Power of group members (AE) by 391.6',0,0),
(117605,270127,5,100,'Increases Mitigation of group members (AE) vs arcane damage by 605',0,1),
(117606,270127,7,100,'Increases Max Power of group members (AE) by 502.6',0,0),
(117607,270127,7,100,'Increases Mitigation of group members (AE) vs arcane damage by 776',0,1),
(117608,270127,9,100,'Increases Max Power of group members (AE) by 522.1',0,0),
(117609,270127,9,100,'Increases Mitigation of group members (AE) vs arcane damage by 806',0,1),
(117610,270128,1,100,'Increases Max Power of group members (AE) by 349.6',0,0),
(117611,270128,1,100,'Increases Mitigation of group members (AE) vs arcane damage by 567',0,1),
(117612,270128,2,100,'Increases Max Power of group members (AE) by 369.1',0,0),
(117613,270128,2,100,'Increases Mitigation of group members (AE) vs arcane damage by 599',0,1),
(117614,270128,3,100,'Increases Max Power of group members (AE) by 388.5',0,0),
(117615,270128,3,100,'Increases Mitigation of group members (AE) vs arcane damage by 630',0,1),
(117616,270128,4,100,'Increases Max Power of group members (AE) by 427.4',0,0),
(117617,270128,4,100,'Increases Mitigation of group members (AE) vs arcane damage by 693',0,1),
(117618,270128,5,100,'Increases Max Power of group members (AE) by 466.2',0,0),
(117619,270128,5,100,'Increases Mitigation of group members (AE) vs arcane damage by 756',0,1),
(117620,270128,7,100,'Increases Max Power of group members (AE) by 598.3',0,0),
(117621,270128,7,100,'Increases Mitigation of group members (AE) vs arcane damage by 970',0,1),
(117622,270128,9,100,'Increases Max Power of group members (AE) by 621.6',0,0),
(117623,270128,9,100,'Increases Mitigation of group members (AE) vs arcane damage by 1008',0,1),
(117624,270128,10,100,'Increases Max Power of group members (AE) by 652.7',0,0),
(117625,270128,10,100,'Increases Mitigation of group members (AE) vs arcane damage by 1058',0,1),
(117626,270129,1,100,'Increases Max Power of group members (AE) by 396.3',0,0),
(117627,270129,1,100,'Increases Mitigation of group members (AE) vs arcane damage by 658',0,1),
(117628,270129,4,100,'Increases Max Power of group members (AE) by 484.3',0,0),
(117629,270129,4,100,'Increases Mitigation of group members (AE) vs arcane damage by 804',0,1),
(117630,270129,5,100,'Increases Max Power of group members (AE) by 528.4',0,0),
(117631,270129,5,100,'Increases Mitigation of group members (AE) vs arcane damage by 877',0,1),
(117632,270129,7,100,'Increases Max Power of group members (AE) by 678.1',0,0),
(117633,270129,7,100,'Increases Mitigation of group members (AE) vs arcane damage by 1126',0,1),
(117634,270129,9,100,'Increases Max Power of group members (AE) by 704.5',0,0),
(117635,270129,9,100,'Increases Mitigation of group members (AE) vs arcane damage by 1170',0,1),
(117636,270130,1,100,'Increases Max Power of group members (AE) by 442.9',0,0),
(117637,270130,1,100,'Increases Mitigation of group members (AE) vs arcane damage by 752',0,1),
(117638,270130,4,100,'Increases Max Power of group members (AE) by 541.3',0,0),
(117639,270130,4,100,'Increases Mitigation of group members (AE) vs arcane damage by 920',0,1),
(117640,270130,5,100,'Increases Max Power of group members (AE) by 590.5',0,0),
(117641,270130,5,100,'Increases Mitigation of group members (AE) vs arcane damage by 1003',0,1),
(117642,270130,7,100,'Increases Max Power of group members (AE) by 757.8',0,0),
(117643,270130,7,100,'Increases Mitigation of group members (AE) vs arcane damage by 1287',0,1),
(117644,270130,9,100,'Increases Max Power of group members (AE) by 787.4',0,0),
(117645,270130,9,100,'Increases Mitigation of group members (AE) vs arcane damage by 1338',0,1),
(117646,120011,1,100,'Heals group members (AE) for 97 - 119',0,0),
(117647,120011,2,100,'Heals group members (AE) for 103 - 125',0,0),
(117648,120011,3,100,'Heals group members (AE) for 108 - 132',0,0),
(117649,120011,4,100,'Heals group members (AE) for 119 - 145',0,0),
(117650,120011,5,100,'Heals group members (AE) for 130 - 158',0,0),
(117651,120011,7,100,'Heals group members (AE) for 166 - 203',0,0),
(117652,120011,9,100,'Heals group members (AE) for 173 - 211',0,0),
(117653,100190,1,100,'Heals group members (AE) for 21 - 25',0,0),
(117654,100190,1,100,'This effect cannot be critically applied.',1,1),
(117655,100190,1,100,'Increases Max Health of group members (AE) by 15.8',0,2),
(117656,100190,1,100,'The healing of this spell cannot be modified except by direct means',0,3),
(117657,100190,2,100,'Heals group members (AE) for 22 - 27',0,0),
(117658,100190,2,100,'This effect cannot be critically applied.',1,1),
(117659,100190,2,100,'Increases Max Health of group members (AE) by 16.7',0,2),
(117660,100190,2,100,'The healing of this spell cannot be modified except by direct means',0,3),
(117661,100190,3,100,'Heals group members (AE) for 23 - 28',0,0),
(117662,100190,3,100,'This effect cannot be critically applied.',1,1),
(117663,100190,3,100,'Increases Max Health of group members (AE) by 17.6',0,2),
(117664,100190,3,100,'The healing of this spell cannot be modified except by direct means',0,3),
(117665,100190,4,100,'Heals group members (AE) for 25 - 31',0,0),
(117666,100190,4,100,'This effect cannot be critically applied.',1,1),
(117667,100190,4,100,'Increases Max Health of group members (AE) by 19.4',0,2),
(117668,100190,4,100,'The healing of this spell cannot be modified except by direct means',0,3),
(117669,100190,5,100,'Heals group members (AE) for 28 - 34',0,0),
(117670,100190,5,100,'This effect cannot be critically applied.',1,1),
(117671,100190,5,100,'Increases Max Health of group members (AE) by 21.1',0,2),
(117672,100190,5,100,'The healing of this spell cannot be modified except by direct means',0,3),
(117673,100190,7,100,'Heals group members (AE) for 36 - 44',0,0),
(117674,100190,7,100,'This effect cannot be critically applied.',1,1),
(117675,100190,7,100,'Increases Max Health of group members (AE) by 27.1',0,2),
(117676,100190,7,100,'The healing of this spell cannot be modified except by direct means',0,3),
(117677,100190,9,100,'Heals group members (AE) for 7.5 - 9.2% of max health',0,0),
(117678,100190,9,100,'This effect cannot be critically applied.',1,1),
(117679,100190,9,100,'Increases Max Health of group members (AE) by 28.2',0,2),
(117680,100190,9,100,'The healing of this spell cannot be modified except by direct means',0,3),
(117681,100191,1,100,'Heals group members (AE) for 111 - 136',0,0),
(117682,100191,1,100,'This effect cannot be critically applied.',1,1),
(117683,100191,1,100,'Increases Max Health of group members (AE) by 60.8',0,2),
(117684,100191,1,100,'The healing of this spell cannot be modified except by direct means',0,3),
(117685,100191,2,100,'Heals group members (AE) for 117 - 143',0,0),
(117686,100191,2,100,'This effect cannot be critically applied.',1,1),
(117687,100191,2,100,'Increases Max Health of group members (AE) by 64.2',0,2),
(117688,100191,2,100,'The healing of this spell cannot be modified except by direct means',0,3),
(117689,100191,3,100,'Heals group members (AE) for 123 - 151',0,0),
(117690,100191,3,100,'This effect cannot be critically applied.',1,1),
(117691,100191,3,100,'Increases Max Health of group members (AE) by 67.6',0,2),
(117692,100191,3,100,'The healing of this spell cannot be modified except by direct means',0,3),
(117693,100191,4,100,'Heals group members (AE) for 136 - 166',0,0),
(117694,100191,4,100,'This effect cannot be critically applied.',1,1),
(117695,100191,4,100,'Increases Max Health of group members (AE) by 74.4',0,2),
(117696,100191,4,100,'The healing of this spell cannot be modified except by direct means',0,3),
(117697,100191,5,100,'Heals group members (AE) for 148 - 181',0,0),
(117698,100191,5,100,'This effect cannot be critically applied.',1,1),
(117699,100191,5,100,'Increases Max Health of group members (AE) by 81.1',0,2),
(117700,100191,5,100,'The healing of this spell cannot be modified except by direct means',0,3),
(117701,100191,7,100,'Heals group members (AE) for 190 - 232',0,0),
(117702,100191,7,100,'This effect cannot be critically applied.',1,1),
(117703,100191,7,100,'Increases Max Health of group members (AE) by 104.1',0,2),
(117704,100191,7,100,'The healing of this spell cannot be modified except by direct means',0,3),
(117705,100191,9,100,'Heals group members (AE) for 197 - 241',0,0),
(117706,100191,9,100,'This effect cannot be critically applied.',1,1),
(117707,100191,9,100,'Increases Max Health of group members (AE) by 108.2',0,2),
(117708,100191,9,100,'The healing of this spell cannot be modified except by direct means',0,3),
(117709,100192,1,100,'Heals group members (AE) for 6.9 - 8.5% of max health',0,0),
(117710,100192,1,100,'This effect cannot be critically applied.',1,1),
(117711,100192,1,100,'Increases Max Health of group members (AE) by 155.7',0,2),
(117712,100192,1,100,'The healing of this spell cannot be modified except by direct means',0,3),
(117713,100192,2,100,'Heals group members (AE) for 7.3 - 9.0% of max health',0,0),
(117714,100192,2,100,'This effect cannot be critically applied.',1,1),
(117715,100192,2,100,'Increases Max Health of group members (AE) by 164.3',0,2),
(117716,100192,2,100,'The healing of this spell cannot be modified except by direct means',0,3),
(117717,100192,3,100,'Heals group members (AE) for 7.7 - 9.4% of max health',0,0),
(117718,100192,3,100,'This effect cannot be critically applied.',1,1),
(117719,100192,3,100,'Increases Max Health of group members (AE) by 173.0',0,2),
(117720,100192,3,100,'The healing of this spell cannot be modified except by direct means',0,3),
(117721,100192,4,100,'Heals group members (AE) for 8.5 - 10.4% of max health',0,0),
(117722,100192,4,100,'This effect cannot be critically applied.',1,1),
(117723,100192,4,100,'Increases Max Health of group members (AE) by 190.3',0,2),
(117724,100192,4,100,'The healing of this spell cannot be modified except by direct means',0,3),
(117725,100192,5,100,'Heals group members (AE) for 9.3 - 11.3% of max health',0,0),
(117726,100192,5,100,'This effect cannot be critically applied.',1,1),
(117727,100192,5,100,'Increases Max Health of group members (AE) by 207.6',0,2),
(117728,100192,5,100,'The healing of this spell cannot be modified except by direct means',0,3),
(117729,100192,7,100,'Heals group members (AE) for 11.9 - 14.5% of max health',0,0),
(117730,100192,7,100,'This effect cannot be critically applied.',1,1),
(117731,100192,7,100,'Increases Max Health of group members (AE) by 266.4',0,2),
(117732,100192,7,100,'The healing of this spell cannot be modified except by direct means',0,3),
(117733,100192,9,100,'Heals group members (AE) for 12.3 - 15.1% of max health',0,0),
(117734,100192,9,100,'This effect cannot be critically applied.',1,1),
(117735,100192,9,100,'Increases Max Health of group members (AE) by 276.8',0,2),
(117736,100192,9,100,'The healing of this spell cannot be modified except by direct means',0,3),
(117737,100192,10,100,'Heals group members (AE) for 13.0 - 15.8% of max health',0,0),
(117738,100192,10,100,'This effect cannot be critically applied.',1,1),
(117739,100192,10,100,'Increases Max Health of group members (AE) by 290.6',0,2),
(117740,100192,10,100,'The healing of this spell cannot be modified except by direct means',0,3),
(117741,100193,1,100,'Heals group members (AE) for 6.9 - 8.5% of max health',0,0),
(117742,100193,1,100,'This effect cannot be critically applied.',1,1),
(117743,100193,1,100,'Increases Max Health of group members (AE) by 264.6',0,2),
(117744,100193,1,100,'The healing of this spell cannot be modified except by direct means',0,3),
(117745,100193,2,100,'Heals group members (AE) for 7.3 - 9.0% of max health',0,0),
(117746,100193,2,100,'This effect cannot be critically applied.',1,1),
(117747,100193,2,100,'Increases Max Health of group members (AE) by 279.3',0,2),
(117748,100193,2,100,'The healing of this spell cannot be modified except by direct means',0,3),
(117749,100193,3,100,'Heals group members (AE) for 7.7 - 9.4% of max health',0,0),
(117750,100193,3,100,'This effect cannot be critically applied.',1,1),
(117751,100193,3,100,'Increases Max Health of group members (AE) by 294.0',0,2),
(117752,100193,3,100,'The healing of this spell cannot be modified except by direct means',0,3),
(117753,100193,4,100,'Heals group members (AE) for 8.5 - 10.4% of max health',0,0),
(117754,100193,4,100,'This effect cannot be critically applied.',1,1),
(117755,100193,4,100,'Increases Max Health of group members (AE) by 323.4',0,2),
(117756,100193,4,100,'The healing of this spell cannot be modified except by direct means',0,3),
(117757,100193,5,100,'Heals group members (AE) for 9.3 - 11.3% of max health',0,0),
(117758,100193,5,100,'This effect cannot be critically applied.',1,1),
(117759,100193,5,100,'Increases Max Health of group members (AE) by 352.8',0,2),
(117760,100193,5,100,'The healing of this spell cannot be modified except by direct means',0,3),
(117761,100193,7,100,'Heals group members (AE) for 11.9 - 14.5% of max health',0,0),
(117762,100193,7,100,'This effect cannot be critically applied.',1,1),
(117763,100193,7,100,'Increases Max Health of group members (AE) by 452.8',0,2),
(117764,100193,7,100,'The healing of this spell cannot be modified except by direct means',0,3),
(117765,100193,9,100,'Heals group members (AE) for 12.3 - 15.1% of max health',0,0),
(117766,100193,9,100,'This effect cannot be critically applied.',1,1),
(117767,100193,9,100,'Increases Max Health of group members (AE) by 470.4',0,2),
(117768,100193,9,100,'The healing of this spell cannot be modified except by direct means',0,3),
(117769,100193,10,100,'Heals group members (AE) for 13.0 - 15.8% of max health',0,0),
(117770,100193,10,100,'This effect cannot be critically applied.',1,1),
(117771,100193,10,100,'Increases Max Health of group members (AE) by 493.9',0,2),
(117772,100193,10,100,'The healing of this spell cannot be modified except by direct means',0,3),
(117773,100194,1,100,'Heals group members (AE) for 6.9 - 8.5% of max health',0,0),
(117774,100194,1,100,'This effect cannot be critically applied.',1,1),
(117775,100194,1,100,'Increases Max Health of group members (AE) by 361.6',0,2),
(117776,100194,1,100,'The healing of this spell cannot be modified except by direct means',0,3),
(117777,100194,2,100,'Heals group members (AE) for 7.3 - 9.0% of max health',0,0),
(117778,100194,2,100,'This effect cannot be critically applied.',1,1),
(117779,100194,2,100,'Increases Max Health of group members (AE) by 381.7',0,2),
(117780,100194,2,100,'The healing of this spell cannot be modified except by direct means',0,3),
(117781,100194,3,100,'Heals group members (AE) for 7.7 - 9.4% of max health',0,0),
(117782,100194,3,100,'This effect cannot be critically applied.',1,1),
(117783,100194,3,100,'Increases Max Health of group members (AE) by 401.8',0,2),
(117784,100194,3,100,'The healing of this spell cannot be modified except by direct means',0,3),
(117785,100194,4,100,'Heals group members (AE) for 8.5 - 10.4% of max health',0,0),
(117786,100194,4,100,'This effect cannot be critically applied.',1,1),
(117787,100194,4,100,'Increases Max Health of group members (AE) by 442.0',0,2),
(117788,100194,4,100,'The healing of this spell cannot be modified except by direct means',0,3),
(117789,100194,5,100,'Heals group members (AE) for 9.3 - 11.3% of max health',0,0),
(117790,100194,5,100,'This effect cannot be critically applied.',1,1),
(117791,100194,5,100,'Increases Max Health of group members (AE) by 482.2',0,2),
(117792,100194,5,100,'The healing of this spell cannot be modified except by direct means',0,3),
(117793,100194,7,100,'Heals group members (AE) for 11.9 - 14.5% of max health',0,0),
(117794,100194,7,100,'This effect cannot be critically applied.',1,1),
(117795,100194,7,100,'Increases Max Health of group members (AE) by 618.8',0,2),
(117796,100194,7,100,'The healing of this spell cannot be modified except by direct means',0,3),
(117797,100194,9,100,'Heals group members (AE) for 12.3 - 15.1% of max health',0,0),
(117798,100194,9,100,'This effect cannot be critically applied.',1,1),
(117799,100194,9,100,'Increases Max Health of group members (AE) by 642.9',0,2),
(117800,100194,9,100,'The healing of this spell cannot be modified except by direct means',0,3),
(117801,100195,1,100,'Heals group members (AE) for 6.9 - 8.5% of max health',0,0),
(117802,100195,1,100,'This effect cannot be critically applied.',1,1),
(117803,100195,1,100,'Increases Max Health of group members (AE) by 456.3',0,2),
(117804,100195,1,100,'The healing of this spell cannot be modified except by direct means',0,3),
(117805,100195,2,100,'Heals group members (AE) for 7.3 - 9.0% of max health',0,0),
(117806,100195,2,100,'This effect cannot be critically applied.',1,1),
(117807,100195,2,100,'Increases Max Health of group members (AE) by 481.6',0,2),
(117808,100195,2,100,'The healing of this spell cannot be modified except by direct means',0,3),
(117809,100195,3,100,'Heals group members (AE) for 5.9 - 7.2% of max health',0,0),
(117810,100195,3,100,'This effect cannot be critically applied.',1,1),
(117811,100195,3,100,'Increases Max Health of group members (AE) by 507.0',0,2),
(117812,100195,3,100,'The healing of this spell cannot be modified except by direct means',0,3),
(117813,100195,4,100,'Heals group members (AE) for 8.5 - 10.4% of max health',0,0),
(117814,100195,4,100,'This effect cannot be critically applied.',1,1),
(117815,100195,4,100,'Increases Max Health of group members (AE) by 557.7',0,2),
(117816,100195,4,100,'The healing of this spell cannot be modified except by direct means',0,3),
(117817,100195,5,100,'Heals group members (AE) for 9.3 - 11.3% of max health',0,0),
(117818,100195,5,100,'This effect cannot be critically applied.',1,1),
(117819,100195,5,100,'Increases Max Health of group members (AE) by 608.4',0,2),
(117820,100195,5,100,'The healing of this spell cannot be modified except by direct means',0,3),
(117821,100195,7,100,'Heals group members (AE) for 11.9 - 14.5% of max health',0,0),
(117822,100195,7,100,'This effect cannot be critically applied.',1,1),
(117823,100195,7,100,'Increases Max Health of group members (AE) by 780.8',0,2),
(117824,100195,7,100,'The healing of this spell cannot be modified except by direct means',0,3),
(117825,100195,9,100,'Heals group members (AE) for 12.3 - 15.1% of max health',0,0),
(117826,100195,9,100,'This effect cannot be critically applied.',1,1),
(117827,100195,9,100,'Increases Max Health of group members (AE) by 811.2',0,2),
(117828,100195,9,100,'The healing of this spell cannot be modified except by direct means',0,3),
(117829,100196,1,100,'Heals group members (AE) for 6.9 - 8.5% of max health',0,0),
(117830,100196,1,100,'This effect cannot be critically applied.',1,1),
(117831,100196,1,100,'Increases Max Health of group members (AE) by 546.3',0,2),
(117832,100196,1,100,'The healing of this spell cannot be modified except by direct means',0,3),
(117833,100196,4,100,'Heals group members (AE) for 8.5 - 10.4% of max health',0,0),
(117834,100196,4,100,'This effect cannot be critically applied.',1,1),
(117835,100196,4,100,'Increases Max Health of group members (AE) by 667.7',0,2),
(117836,100196,4,100,'The healing of this spell cannot be modified except by direct means',0,3),
(117837,100196,5,100,'Heals group members (AE) for 9.3 - 11.3% of max health',0,0),
(117838,100196,5,100,'This effect cannot be critically applied.',1,1),
(117839,100196,5,100,'Increases Max Health of group members (AE) by 728.4',0,2),
(117840,100196,5,100,'The healing of this spell cannot be modified except by direct means',0,3),
(117841,100196,7,100,'Heals group members (AE) for 9.4 - 11.5% of max health',0,0),
(117842,100196,7,100,'This effect cannot be critically applied.',1,1),
(117843,100196,7,100,'Increases Max Health of group members (AE) by 934.8',0,2),
(117844,100196,7,100,'The healing of this spell cannot be modified except by direct means',0,3),
(117845,100196,9,100,'Heals group members (AE) for 12.3 - 15.1% of max health',0,0),
(117846,100196,9,100,'This effect cannot be critically applied.',1,1),
(117847,100196,9,100,'Increases Max Health of group members (AE) by 971.2',0,2),
(117848,100196,9,100,'The healing of this spell cannot be modified except by direct means',0,3),
(117849,100197,1,100,'Heals group members (AE) for 6.9 - 8.5% of max health',0,0),
(117850,100197,1,100,'This effect cannot be critically applied.',1,1),
(117851,100197,1,100,'Increases Max Health of group members (AE) by 636.3',0,2),
(117852,100197,1,100,'The healing of this spell cannot be modified except by direct means',0,3),
(117853,100197,4,100,'Heals group members (AE) for 8.5 - 10.4% of max health',0,0),
(117854,100197,4,100,'This effect cannot be critically applied.',1,1),
(117855,100197,4,100,'Increases Max Health of group members (AE) by 777.7',0,2),
(117856,100197,4,100,'The healing of this spell cannot be modified except by direct means',0,3),
(117857,100197,5,100,'Heals group members (AE) for 9.3 - 11.3% of max health',0,0),
(117858,100197,5,100,'This effect cannot be critically applied.',1,1),
(117859,100197,5,100,'Increases Max Health of group members (AE) by 848.4',0,2),
(117860,100197,5,100,'The healing of this spell cannot be modified except by direct means',0,3),
(117861,100197,7,100,'Heals group members (AE) for 11.9 - 14.5% of max health',0,0),
(117862,100197,7,100,'This effect cannot be critically applied.',1,1),
(117863,100197,7,100,'Increases Max Health of group members (AE) by 1,088.8',0,2),
(117864,100197,7,100,'The healing of this spell cannot be modified except by direct means',0,3),
(117865,100197,9,100,'Heals group members (AE) for 12.3 - 15.1% of max health',0,0),
(117866,100197,9,100,'This effect cannot be critically applied.',1,1),
(117867,100197,9,100,'Increases Max Health of group members (AE) by 1,131.2',0,2),
(117868,100197,9,100,'The healing of this spell cannot be modified except by direct means',0,3),
(117869,190093,1,100,'Increases STA of target by 1.9',0,0),
(117870,190093,1,100,'Increases Max Power of target by 21.9',0,1),
(117871,190093,2,100,'Increases STA of target by 2.0',0,0),
(117872,190093,2,100,'Increases Max Power of target by 23.1',0,1),
(117873,190093,3,100,'Increases STA of target by 2.1',0,0),
(117874,190093,3,100,'Increases Max Power of target by 24.3',0,1),
(117875,190093,4,100,'Increases STA of target by 2.3',0,0),
(117876,190093,4,100,'Increases Max Power of target by 26.7',0,1),
(117877,190093,5,100,'Increases STA of target by 2.5',0,0),
(117878,190093,5,100,'Increases Max Power of target by 29.2',0,1),
(117879,190093,7,100,'Increases STA of target by 3.2',0,0),
(117880,190093,7,100,'Increases Max Power of target by 37.4',0,1),
(117881,190093,9,100,'Increases STA of target by 3.3',0,0),
(117882,190093,9,100,'Increases Max Power of target by 38.9',0,1),
(117883,190094,1,100,'Increases STA of target by 6.1',0,0),
(117884,190094,1,100,'Increases Max Power of target by 68.8',0,1),
(117885,190094,2,100,'Increases STA of target by 6.4',0,0),
(117886,190094,2,100,'Increases Max Power of target by 72.7',0,1),
(117887,190094,3,100,'Increases STA of target by 6.8',0,0),
(117888,190094,3,100,'Increases Max Power of target by 76.5',0,1),
(117889,190094,4,100,'Increases STA of target by 7.4',0,0),
(117890,190094,4,100,'Increases Max Power of target by 84.2',0,1),
(117891,190094,5,100,'Increases STA of target by 8.1',0,0),
(117892,190094,5,100,'Increases Max Power of target by 91.8',0,1),
(117893,190094,7,100,'Increases STA of target by 10.4',0,0),
(117894,190094,7,100,'Increases Max Power of target by 117.8',0,1),
(117895,190094,9,100,'Increases STA of target by 10.8',0,0),
(117896,190094,9,100,'Increases Max Power of target by 122.4',0,1),
(117897,190095,1,100,'Increases STA of target by 15.6',0,0),
(117898,190095,1,100,'Increases Max Power of target by 182.3',0,1),
(117899,190095,2,100,'Increases STA of target by 16.4',0,0),
(117900,190095,2,100,'Increases Max Power of target by 192.4',0,1),
(117901,190095,3,100,'Increases STA of target by 17.3',0,0),
(117902,190095,3,100,'Increases Max Power of target by 202.5',0,1),
(117903,190095,4,100,'Increases STA of target by 19.0',0,0),
(117904,190095,4,100,'Increases Max Power of target by 222.8',0,1),
(117905,190095,5,100,'Increases STA of target by 20.8',0,0),
(117906,190095,5,100,'Increases Max Power of target by 243.0',0,1),
(117907,190095,7,100,'Increases STA of target by 26.6',0,0),
(117908,190095,7,100,'Increases Max Power of target by 311.9',0,1),
(117909,190095,9,100,'Increases STA of target by 27.7',0,0),
(117910,190095,9,100,'Increases Max Power of target by 324.0',0,1),
(117911,190095,10,100,'Increases STA of target by 29.1',0,0),
(117912,190095,10,100,'Increases Max Power of target by 340.2',0,1),
(117913,190096,1,100,'Increases STA of target by 26.5',0,0),
(117914,190096,1,100,'Increases Max Power of target by 297.8',0,1),
(117915,190096,2,100,'Increases STA of target by 27.9',0,0),
(117916,190096,2,100,'Increases Max Power of target by 314.4',0,1),
(117917,190096,3,100,'Increases STA of target by 29.4',0,0),
(117918,190096,3,100,'Increases Max Power of target by 330.9',0,1),
(117919,190096,4,100,'Increases STA of target by 32.3',0,0),
(117920,190096,4,100,'Increases Max Power of target by 364.0',0,1),
(117921,190096,5,100,'Increases STA of target by 35.3',0,0),
(117922,190096,5,100,'Increases Max Power of target by 397.1',0,1),
(117923,190096,7,100,'Increases STA of target by 45.3',0,0),
(117924,190096,7,100,'Increases Max Power of target by 509.6',0,1),
(117925,190096,9,100,'Increases STA of target by 47.0',0,0),
(117926,190096,9,100,'Increases Max Power of target by 529.4',0,1),
(117927,190097,1,100,'Increases STA of target by 36.2',0,0),
(117928,190097,1,100,'Increases Max Power of target by 405.6',0,1),
(117929,190097,2,100,'Increases STA of target by 38.2',0,0),
(117930,190097,2,100,'Increases Max Power of target by 428.1',0,1),
(117931,190097,3,100,'Increases STA of target by 40.2',0,0),
(117932,190097,3,100,'Increases Max Power of target by 450.7',0,1),
(117933,190097,4,100,'Increases STA of target by 44.2',0,0),
(117934,190097,4,100,'Increases Max Power of target by 495.7',0,1),
(117935,190097,5,100,'Increases STA of target by 48.2',0,0),
(117936,190097,5,100,'Increases Max Power of target by 540.8',0,1),
(117937,190097,7,100,'Increases STA of target by 61.9',0,0),
(117938,190097,7,100,'Increases Max Power of target by 694.0',0,1),
(117939,190097,9,100,'Increases STA of target by 64.3',0,0),
(117940,190097,9,100,'Increases Max Power of target by 721.1',0,1),
(117941,190098,1,100,'Increases STA of target by 45.6',0,0),
(117942,190098,1,100,'Increases Max Power of target by 503.5',0,1),
(117943,190098,2,100,'Increases STA of target by 48.2',0,0),
(117944,190098,2,100,'Increases Max Power of target by 531.5',0,1),
(117945,190098,3,100,'Increases STA of target by 50.7',0,0),
(117946,190098,3,100,'Increases Max Power of target by 559.4',0,1),
(117947,190098,4,100,'Increases STA of target by 55.8',0,0),
(117948,190098,4,100,'Increases Max Power of target by 615.4',0,1),
(117949,190098,5,100,'Increases STA of target by 60.8',0,0),
(117950,190098,5,100,'Increases Max Power of target by 671.3',0,1),
(117951,190098,7,100,'Increases STA of target by 78.1',0,0),
(117952,190098,7,100,'Increases Max Power of target by 861.5',0,1),
(117953,190098,9,100,'Increases STA of target by 81.1',0,0),
(117954,190098,9,100,'Increases Max Power of target by 895.1',0,1),
(117955,190099,1,100,'Increases STA of target by 54.6',0,0),
(117956,190099,1,100,'Increases Max Power of target by 573.4',0,1),
(117957,190099,4,100,'Increases STA of target by 66.8',0,0),
(117958,190099,4,100,'Increases Max Power of target by 700.9',0,1),
(117959,190099,5,100,'Increases STA of target by 72.8',0,0),
(117960,190099,5,100,'Increases Max Power of target by 764.6',0,1),
(117961,190099,7,100,'Increases STA of target by 93.5',0,0),
(117962,190099,7,100,'Increases Max Power of target by 981.2',0,1),
(117963,190099,9,100,'Increases STA of target by 97.1',0,0),
(117964,190099,9,100,'Increases Max Power of target by 1,019.4',0,1),
(117965,190100,1,100,'Increases STA of target by 63.6',0,0),
(117966,190100,1,100,'Increases Max Power of target by 643.4',0,1),
(117967,190100,4,100,'Increases STA of target by 77.8',0,0),
(117968,190100,4,100,'Increases Max Power of target by 786.3',0,1),
(117969,190100,5,100,'Increases STA of target by 84.8',0,0),
(117970,190100,5,100,'Increases Max Power of target by 857.8',0,1),
(117971,190100,7,100,'Increases STA of target by 108.9',0,0),
(117972,190100,7,100,'Increases Max Power of target by 1,100.9',0,1),
(117973,190100,9,100,'Increases STA of target by 113.1',0,0),
(117974,190100,9,100,'Increases Max Power of target by 1,143.7',0,1),
(117975,170148,1,100,'Increases STR, AGI, WIS and INT of target by 18.2',0,0),
(117976,170148,1,100,'Adds 1.4% to base avoidance.',0,1),
(117977,170148,1,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 129',0,2),
(117978,170148,1,100,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,3),
(117979,170148,1,100,'Increases Ability Casting Speed of target by 7.2%',1,4),
(117980,170148,1,100,'Increases Haste of target by 21.0',1,5),
(117981,170148,1,100,'Increases Multi Attack of target by 21.0',1,6),
(117982,170148,2,100,'Increases STR, AGI, WIS and INT of target by 19.2',0,0),
(117983,170148,2,100,'Adds 1.5% to base avoidance.',0,1),
(117984,170148,2,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 136',0,2),
(117985,170148,2,100,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,3),
(117986,170148,2,100,'Increases Ability Casting Speed of target by 7.6%',1,4),
(117987,170148,2,100,'Increases Haste of target by 22.2',1,5),
(117988,170148,2,100,'Increases Multi Attack of target by 22.2',1,6),
(117989,170148,3,100,'Increases STR, AGI, WIS and INT of target by 20.2',0,0),
(117990,170148,3,100,'Adds 1.6% to base avoidance.',0,1),
(117991,170148,3,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 144',0,2),
(117992,170148,3,100,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,3),
(117993,170148,3,100,'Increases Ability Casting Speed of target by 8.0%',1,4),
(117994,170148,3,100,'Increases Haste of target by 23.3',1,5),
(117995,170148,3,100,'Increases Multi Attack of target by 23.3',1,6),
(117996,170148,4,100,'Increases STR, AGI, WIS and INT of target by 22.2',0,0),
(117997,170148,4,100,'Adds 1.8% to base avoidance.',0,1),
(117998,170148,4,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 158',0,2),
(117999,170148,4,100,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,3),
(118000,170148,4,100,'Increases Ability Casting Speed of target by 8.8%',1,4),
(118001,170148,4,100,'Increases Haste of target by 25.6',1,5),
(118002,170148,4,100,'Increases Multi Attack of target by 25.6',1,6),
(118003,170148,5,100,'Increases STR, AGI, WIS and INT of target by 24.2',0,0),
(118004,170148,5,100,'Adds 1.9% to base avoidance.',0,1),
(118005,170148,5,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 172',0,2),
(118006,170148,5,100,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,3),
(118007,170148,5,100,'Increases Ability Casting Speed of target by 9.6%',1,4),
(118008,170148,5,100,'Increases Haste of target by 28.0',1,5),
(118009,170148,5,100,'Increases Multi Attack of target by 28.0',1,6),
(118010,170148,7,100,'Increases STR, AGI, WIS and INT of target by 31.1',0,0),
(118011,170148,7,100,'Adds 2.5% to base avoidance.',0,1),
(118012,170148,7,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 221',0,2),
(118013,170148,7,100,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,3),
(118014,170148,7,100,'Increases Ability Casting Speed of target by 12.3%',1,4),
(118015,170148,7,100,'Increases Haste of target by 35.9',1,5),
(118016,170148,7,100,'Increases Multi Attack of target by 35.9',1,6),
(118017,170148,9,100,'Increases STR, AGI, WIS and INT of target by 32.3',0,0),
(118018,170148,9,100,'Adds 2.6% to base avoidance.',0,1),
(118019,170148,9,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 230',0,2),
(118020,170148,9,100,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,3),
(118021,170148,9,100,'Increases Ability Casting Speed of target by 12.8%',1,4),
(118022,170148,9,100,'Increases Haste of target by 37.3',1,5),
(118023,170148,9,100,'Increases Multi Attack of target by 37.3',1,6),
(118024,170149,1,100,'Increases STR, AGI, WIS and INT of target by 27.9',0,0),
(118025,170149,1,100,'Adds 1.4% to base avoidance.',0,1),
(118026,170149,1,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 199',0,2),
(118027,170149,1,100,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,3),
(118028,170149,1,100,'Increases Ability Casting Speed of target by 7.2%',1,4),
(118029,170149,1,100,'Increases Haste of target by 25.2',1,5),
(118030,170149,1,100,'Increases Multi Attack of target by 25.2',1,6),
(118031,170149,2,100,'Increases STR, AGI, WIS and INT of target by 29.4',0,0),
(118032,170149,2,100,'Adds 1.5% to base avoidance.',0,1),
(118033,170149,2,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 210',0,2),
(118034,170149,2,100,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,3),
(118035,170149,2,100,'Increases Ability Casting Speed of target by 7.6%',1,4),
(118036,170149,2,100,'Increases Haste of target by 26.6',1,5),
(118037,170149,2,100,'Increases Multi Attack of target by 26.6',1,6),
(118038,170149,3,100,'Increases STR, AGI, WIS and INT of target by 31.0',0,0),
(118039,170149,3,100,'Adds 1.6% to base avoidance.',0,1),
(118040,170149,3,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 221',0,2),
(118041,170149,3,100,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,3),
(118042,170149,3,100,'Increases Ability Casting Speed of target by 8.0%',1,4),
(118043,170149,3,100,'Increases Haste of target by 28.0',1,5),
(118044,170149,3,100,'Increases Multi Attack of target by 28.0',1,6),
(118045,170149,4,100,'Increases STR, AGI, WIS and INT of target by 34.1',0,0),
(118046,170149,4,100,'Adds 1.8% to base avoidance.',0,1),
(118047,170149,4,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 243',0,2),
(118048,170149,4,100,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,3),
(118049,170149,4,100,'Increases Ability Casting Speed of target by 8.8%',1,4),
(118050,170149,4,100,'Increases Haste of target by 30.8',1,5),
(118051,170149,4,100,'Increases Multi Attack of target by 30.8',1,6),
(118052,170149,5,100,'Increases STR, AGI, WIS and INT of target by 37.2',0,0),
(118053,170149,5,100,'Adds 1.9% to base avoidance.',0,1),
(118054,170149,5,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 265',0,2),
(118055,170149,5,100,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,3),
(118056,170149,5,100,'Increases Ability Casting Speed of target by 9.6%',1,4),
(118057,170149,5,100,'Increases Haste of target by 33.6',1,5),
(118058,170149,5,100,'Increases Multi Attack of target by 33.6',1,6),
(118059,170149,7,100,'Increases STR, AGI, WIS and INT of target by 47.7',0,0),
(118060,170149,7,100,'Adds 2.5% to base avoidance.',0,1),
(118061,170149,7,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 340',0,2),
(118062,170149,7,100,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,3),
(118063,170149,7,100,'Increases Ability Casting Speed of target by 12.3%',1,4),
(118064,170149,7,100,'Increases Haste of target by 43.1',1,5),
(118065,170149,7,100,'Increases Multi Attack of target by 43.1',1,6),
(118066,170149,9,100,'Increases STR, AGI, WIS and INT of target by 49.6',0,0),
(118067,170149,9,100,'Adds 2.6% to base avoidance.',0,1),
(118068,170149,9,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 353',0,2),
(118069,170149,9,100,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,3),
(118070,170149,9,100,'Increases Ability Casting Speed of target by 12.8%',1,4),
(118071,170149,9,100,'Increases Haste of target by 44.8',1,5),
(118072,170149,9,100,'Increases Multi Attack of target by 44.8',1,6),
(118073,170150,1,100,'Increases STR, AGI, WIS and INT of target by 38.0',0,0),
(118074,170150,1,100,'Adds 1.4% to base avoidance.',0,1),
(118075,170150,1,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 268',0,2),
(118076,170150,1,100,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,3),
(118077,170150,1,100,'Increases Ability Casting Speed of target by 7.2%',1,4),
(118078,170150,1,100,'Increases Haste of target by 29.3',1,5),
(118079,170150,1,100,'Increases Multi Attack of target by 29.3',1,6),
(118080,170150,2,100,'Increases STR, AGI, WIS and INT of target by 40.1',0,0),
(118081,170150,2,100,'Adds 1.5% to base avoidance.',0,1),
(118082,170150,2,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 283',0,2),
(118083,170150,2,100,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,3),
(118084,170150,2,100,'Increases Ability Casting Speed of target by 7.6%',1,4),
(118085,170150,2,100,'Increases Haste of target by 31.0',1,5),
(118086,170150,2,100,'Increases Multi Attack of target by 31.0',1,6),
(118087,170150,3,100,'Increases STR, AGI, WIS and INT of target by 42.2',0,0),
(118088,170150,3,100,'Adds 1.6% to base avoidance.',0,1),
(118089,170150,3,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 298',0,2),
(118090,170150,3,100,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,3),
(118091,170150,3,100,'Increases Ability Casting Speed of target by 8.0%',1,4),
(118092,170150,3,100,'Increases Haste of target by 32.6',1,5),
(118093,170150,3,100,'Increases Multi Attack of target by 32.6',1,6),
(118094,170150,4,100,'Increases STR, AGI, WIS and INT of target by 46.4',0,0),
(118095,170150,4,100,'Adds 1.8% to base avoidance.',0,1),
(118096,170150,4,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 328',0,2),
(118097,170150,4,100,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,3),
(118098,170150,4,100,'Increases Ability Casting Speed of target by 8.8%',1,4),
(118099,170150,4,100,'Increases Haste of target by 35.9',1,5),
(118100,170150,4,100,'Increases Multi Attack of target by 35.9',1,6),
(118101,170150,5,100,'Increases STR, AGI, WIS and INT of target by 50.6',0,0),
(118102,170150,5,100,'Adds 1.9% to base avoidance.',0,1),
(118103,170150,5,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 358',0,2),
(118104,170150,5,100,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,3),
(118105,170150,5,100,'Increases Ability Casting Speed of target by 9.6%',1,4),
(118106,170150,5,100,'Increases Haste of target by 39.1',1,5),
(118107,170150,5,100,'Increases Multi Attack of target by 39.1',1,6),
(118108,170150,7,100,'Increases STR, AGI, WIS and INT of target by 65.0',0,0),
(118109,170150,7,100,'Adds 2.5% to base avoidance.',0,1),
(118110,170150,7,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 459',0,2),
(118111,170150,7,100,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,3),
(118112,170150,7,100,'Increases Ability Casting Speed of target by 12.3%',1,4),
(118113,170150,7,100,'Increases Haste of target by 50.2',1,5),
(118114,170150,7,100,'Increases Multi Attack of target by 50.2',1,6),
(118115,170150,9,100,'Increases STR, AGI, WIS and INT of target by 67.5',0,0),
(118116,170150,9,100,'Adds 2.6% to base avoidance.',0,1),
(118117,170150,9,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 477',0,2),
(118118,170150,9,100,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,3),
(118119,170150,9,100,'Increases Ability Casting Speed of target by 12.8%',1,4),
(118120,170150,9,100,'Increases Haste of target by 52.2',1,5),
(118121,170150,9,100,'Increases Multi Attack of target by 52.2',1,6),
(118122,170151,1,100,'Increases STR, AGI, WIS and INT of target by 48.1',0,0),
(118123,170151,1,100,'Adds 1.4% to base avoidance.',0,1),
(118124,170151,1,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 338',0,2),
(118125,170151,1,100,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,3),
(118126,170151,1,100,'Increases Ability Casting Speed of target by 7.2%',1,4),
(118127,170151,1,100,'Increases Haste of target by 33.4',1,5),
(118128,170151,1,100,'Increases Multi Attack of target by 33.4',1,6),
(118129,170151,2,100,'Increases STR, AGI, WIS and INT of target by 50.7',0,0),
(118130,170151,2,100,'Adds 1.5% to base avoidance.',0,1),
(118131,170151,2,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 357',0,2),
(118132,170151,2,100,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,3),
(118133,170151,2,100,'Increases Ability Casting Speed of target by 7.6%',1,4),
(118134,170151,2,100,'Increases Haste of target by 35.3',1,5),
(118135,170151,2,100,'Increases Multi Attack of target by 35.3',1,6),
(118136,170151,3,100,'Increases STR, AGI, WIS and INT of target by 53.4',0,0),
(118137,170151,3,100,'Adds 1.6% to base avoidance.',0,1),
(118138,170151,3,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 375',0,2),
(118139,170151,3,100,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,3),
(118140,170151,3,100,'Increases Ability Casting Speed of target by 8.0%',1,4),
(118141,170151,3,100,'Increases Haste of target by 37.1',1,5),
(118142,170151,3,100,'Increases Multi Attack of target by 37.1',1,6),
(118143,170151,4,100,'Increases STR, AGI, WIS and INT of target by 58.7',0,0),
(118144,170151,4,100,'Adds 1.8% to base avoidance.',0,1),
(118145,170151,4,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 413',0,2),
(118146,170151,4,100,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,3),
(118147,170151,4,100,'Increases Ability Casting Speed of target by 8.8%',1,4),
(118148,170151,4,100,'Increases Attack Speed of target by 40.8',1,5),
(118149,170151,4,100,'Increases Multi Attack Chance of target by 40.8',1,6),
(118150,170151,5,100,'Increases STR, AGI, WIS and INT of target by 64.1',0,0),
(118151,170151,5,100,'Adds 1.9% to base avoidance.',0,1),
(118152,170151,5,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 450',0,2),
(118153,170151,5,100,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,3),
(118154,170151,5,100,'Increases Ability Casting Speed of target by 9.6%',1,4),
(118155,170151,5,100,'Increases Haste of target by 44.6',1,5),
(118156,170151,5,100,'Increases Multi Attack of target by 44.6',1,6),
(118157,170151,7,100,'Increases STR, AGI, WIS and INT of target by 82.2',0,0),
(118158,170151,7,100,'Adds 2.5% to base avoidance.',0,1),
(118159,170151,7,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 578',0,2),
(118160,170151,7,100,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,3),
(118161,170151,7,100,'Increases Ability Casting Speed of target by 12.3%',1,4),
(118162,170151,7,100,'Increases Attack Speed of target by 57.2',1,5),
(118163,170151,7,100,'Increases Multi Attack Chance of target by 57.2',1,6),
(118164,170151,9,100,'Increases STR, AGI, WIS and INT of target by 85.4',0,0),
(118165,170151,9,100,'Adds 2.6% to base avoidance.',0,1),
(118166,170151,9,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 601',0,2),
(118167,170151,9,100,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,3),
(118168,170151,9,100,'Increases Ability Casting Speed of target by 12.8%',1,4),
(118169,170151,9,100,'Increases Haste of target by 59.4',1,5),
(118170,170151,9,100,'Increases Multi Attack of target by 59.4',1,6),
(118171,170152,1,100,'Increases STR, AGI, WIS and INT of target by 58.4',0,0),
(118172,170152,1,100,'Adds 1.4% to base avoidance.',0,1),
(118173,170152,1,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 392',0,2),
(118174,170152,1,100,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,3),
(118175,170152,1,100,'Increases Ability Casting Speed of target by 7.2%',1,4),
(118176,170152,1,100,'Increases Haste of target by 36.6',1,5),
(118177,170152,1,100,'Increases Multi Attack of target by 36.6',1,6),
(118178,170152,2,100,'Increases STR, AGI, WIS and INT of target by 61.7',0,0),
(118179,170152,2,100,'Adds 1.5% to base avoidance.',0,1),
(118180,170152,2,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 414',0,2),
(118181,170152,2,100,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,3),
(118182,170152,2,100,'Increases Ability Casting Speed of target by 7.6%',1,4),
(118183,170152,2,100,'Increases Haste of target by 38.7',1,5),
(118184,170152,2,100,'Increases Multi Attack of target by 38.7',1,6),
(118185,170152,3,100,'Increases STR, AGI, WIS and INT of target by 64.9',0,0),
(118186,170152,3,100,'Adds 1.6% to base avoidance.',0,1),
(118187,170152,3,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 436',0,2),
(118188,170152,3,100,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,3),
(118189,170152,3,100,'Increases Ability Casting Speed of target by 8.0%',1,4),
(118190,170152,3,100,'Increases Haste of target by 40.7',1,5),
(118191,170152,3,100,'Increases Multi Attack of target by 40.7',1,6),
(118192,170152,4,100,'Increases STR, AGI, WIS and INT of target by 71.4',0,0),
(118193,170152,4,100,'Adds 1.8% to base avoidance.',0,1),
(118194,170152,4,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 480',0,2),
(118195,170152,4,100,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,3),
(118196,170152,4,100,'Increases Ability Casting Speed of target by 8.8%',1,4),
(118197,170152,4,100,'Increases Haste of target by 44.8',1,5),
(118198,170152,4,100,'Increases Multi Attack of target by 44.8',1,6),
(118199,170152,5,100,'Increases STR, AGI, WIS and INT of target by 77.9',0,0),
(118200,170152,5,100,'Adds 1.9% to base avoidance.',0,1),
(118201,170152,5,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 523',0,2),
(118202,170152,5,100,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,3),
(118203,170152,5,100,'Increases Ability Casting Speed of target by 9.6%',1,4),
(118204,170152,5,100,'Increases Haste of target by 48.8',1,5),
(118205,170152,5,100,'Increases Multi Attack of target by 48.8',1,6),
(118206,170152,7,100,'Increases STR, AGI, WIS and INT of target by 99.9',0,0),
(118207,170152,7,100,'Adds 2.5% to base avoidance.',0,1),
(118208,170152,7,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 672',0,2),
(118209,170152,7,100,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,3),
(118210,170152,7,100,'Increases Ability Casting Speed of target by 12.3%',1,4),
(118211,170152,7,100,'Increases Haste of target by 62.7',1,5),
(118212,170152,7,100,'Increases Multi Attack of target by 62.7',1,6),
(118213,170152,9,100,'Increases STR, AGI, WIS and INT of target by 103.8',0,0),
(118214,170152,9,100,'Adds 2.6% to base avoidance.',0,1),
(118215,170152,9,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 698',0,2),
(118216,170152,9,100,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,3),
(118217,170152,9,100,'Increases Ability Casting Speed of target by 12.8%',1,4),
(118218,170152,9,100,'Increases Haste of target by 65.1',1,5),
(118219,170152,9,100,'Increases Multi Attack of target by 65.1',1,6),
(118220,170153,1,100,'Increases STR, AGI, WIS and INT of target by 68.3',0,0),
(118221,170153,1,100,'Adds 1.4% to base avoidance.',0,1),
(118222,170153,1,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 442',0,2),
(118223,170153,1,100,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,3),
(118224,170153,1,100,'Increases Ability Casting Speed of target by 7.2%',1,4),
(118225,170153,1,100,'Increases Haste of target by 41.8',1,5),
(118226,170153,1,100,'Increases Multi Attack of target by 41.8',1,6),
(118227,170153,4,100,'Increases STR, AGI, WIS and INT of target by 83.5',0,0),
(118228,170153,4,100,'Adds 1.8% to base avoidance.',0,1),
(118229,170153,4,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 540',0,2),
(118230,170153,4,100,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,3),
(118231,170153,4,100,'Increases Ability Casting Speed of target by 8.8%',1,4),
(118232,170153,4,100,'Increases Haste of target by 51.0',1,5),
(118233,170153,4,100,'Increases Multi Attack of target by 51.0',1,6),
(118234,170153,5,100,'Increases STR, AGI, WIS and INT of target by 91.1',0,0),
(118235,170153,5,100,'Adds 1.9% to base avoidance.',0,1),
(118236,170153,5,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 590',0,2),
(118237,170153,5,100,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,3),
(118238,170153,5,100,'Increases Ability Casting Speed of target by 9.6%',1,4),
(118239,170153,5,100,'Increases Haste of target by 55.7',1,5),
(118240,170153,5,100,'Increases Multi Attack of target by 55.7',1,6),
(118241,170153,7,100,'Increases STR, AGI, WIS and INT of target by 116.9',0,0),
(118242,170153,7,100,'Adds 2.5% to base avoidance.',0,1),
(118243,170153,7,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 757',0,2),
(118244,170153,7,100,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,3),
(118245,170153,7,100,'Increases Ability Casting Speed of target by 12.3%',1,4),
(118246,170153,7,100,'Increases Haste of target by 71.5',1,5),
(118247,170153,7,100,'Increases Multi Attack of target by 71.5',1,6),
(118248,170153,9,100,'Increases STR, AGI, WIS and INT of target by 121.4',0,0),
(118249,170153,9,100,'Adds 2.6% to base avoidance.',0,1),
(118250,170153,9,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 786',0,2),
(118251,170153,9,100,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,3),
(118252,170153,9,100,'Increases Ability Casting Speed of target by 12.8%',1,4),
(118253,170153,9,100,'Increases Haste of target by 74.2',1,5),
(118254,170153,9,100,'Increases Multi Attack of target by 74.2',1,6),
(118255,170154,1,100,'Increases STR, AGI, WIS and INT of target by 78.2',0,0),
(118256,170154,1,100,'Adds 1.4% to base avoidance.',0,1),
(118257,170154,1,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 492',0,2),
(118258,170154,1,100,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,3),
(118259,170154,1,100,'Increases Ability Casting Speed of target by 7.2%',1,4),
(118260,170154,1,100,'Increases Haste of target by 44.7',1,5),
(118261,170154,1,100,'Increases Multi Attack of target by 44.7',1,6),
(118262,170154,4,100,'Increases STR, AGI, WIS and INT of target by 95.6',0,0),
(118263,170154,4,100,'Adds 1.8% to base avoidance.',0,1),
(118264,170154,4,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 601',0,2),
(118265,170154,4,100,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,3),
(118266,170154,4,100,'Increases Ability Casting Speed of target by 8.8%',1,4),
(118267,170154,4,100,'Increases Haste of target by 54.7',1,5),
(118268,170154,4,100,'Increases Multi Attack of target by 54.7',1,6),
(118269,170154,5,100,'Increases STR, AGI, WIS and INT of target by 104.3',0,0),
(118270,170154,5,100,'Adds 1.9% to base avoidance.',0,1),
(118271,170154,5,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 656',0,2),
(118272,170154,5,100,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,3),
(118273,170154,5,100,'Increases Ability Casting Speed of target by 9.6%',1,4),
(118274,170154,5,100,'Increases Haste of target by 59.6',1,5),
(118275,170154,5,100,'Increases Multi Attack of target by 59.6',1,6),
(118276,170154,7,100,'Increases STR, AGI, WIS and INT of target by 133.8',0,0),
(118277,170154,7,100,'Adds 2.5% to base avoidance.',0,1),
(118278,170154,7,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 842',0,2),
(118279,170154,7,100,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,3),
(118280,170154,7,100,'Increases Ability Casting Speed of target by 12.3%',1,4),
(118281,170154,7,100,'Increases Haste of target by 76.5',1,5),
(118282,170154,7,100,'Increases Multi Attack of target by 76.5',1,6),
(118283,170154,9,100,'Increases STR, AGI, WIS and INT of target by 139.0',0,0),
(118284,170154,9,100,'Adds 2.6% to base avoidance.',0,1),
(118285,170154,9,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 874',0,2),
(118286,170154,9,100,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,3),
(118287,170154,9,100,'Increases Ability Casting Speed of target by 12.8%',1,4),
(118288,170154,9,100,'Increases Haste of target by 79.5',1,5),
(118289,170154,9,100,'Increases Multi Attack of target by 79.5',1,6),
(118290,170155,1,100,'Applies Primeval Awakening on termination.  Lasts for 1 minute.',0,0),
(118291,170155,1,100,'Shapechanges target into a treant',1,1),
(118292,170155,1,100,'Increases power of target by 1.0% instantly and every 6 seconds',1,2),
(118293,170155,1,100,'This effect cannot be critically applied.',2,3),
(118294,170155,1,100,'Heals target for 30.0% of max health',1,4),
(118295,170155,1,100,'This effect cannot be critically applied.',2,5),
(118296,170155,1,100,'Increases INT of target by 78.0',1,6),
(118297,170155,1,100,'Increases Disruption, Subjugation and Focus of target by 30.0',1,7),
(118298,170155,1,100,'Resurrects target with 15% health and power',0,8),
(118299,170155,1,100,'If outside an arena',0,9),
(118300,170155,1,100,'Applies Revived Sickness on termination.  Lasts for 2 minutes.',1,10),
(118301,170155,1,100,'Decreases Toughness of target by 145.0',2,11),
(118302,170155,1,100,'Decreases Lethality of target by 145.0',2,12),
(118303,170155,1,100,'Decreases All Attributes of target by 20.0%',2,13),
(118304,170155,1,100,'If not between levels 1 - 6',3,14),
(118305,170155,1,100,'Decreases Attack Speed of target by 20.0',2,15),
(118306,170155,1,100,'If not between levels 1 - 6',3,16),
(118307,170155,1,100,'Decreases All Attributes of target by 5.0%',2,17),
(118308,170155,1,100,'If between levels 1 - 6',3,18),
(118309,170155,1,100,'Decreases Attack Speed of target by 5.0',2,19),
(118310,170155,1,100,'If between levels 1 - 6',3,20),
(118311,170155,1,100,'If outside an arena',0,21),
(118312,260141,1,100,'On a combat hit this spell will cast Prismatic Shock on target of attack.  ',0,0),
(118313,260141,1,100,'Inflicts 103 - 126 mental damage on target',1,1),
(118314,260141,1,100,'Grants a total of 3 triggers of the spell.',1,2),
(118315,260141,2,100,'On a combat hit this spell will cast Prismatic Shock on target of attack.  ',0,0),
(118316,260141,2,100,'Inflicts 109 - 133 mental damage on target',1,1),
(118317,260141,2,100,'Grants a total of 3 triggers of the spell.',1,2),
(118318,260141,3,100,'On a combat hit this spell will cast Prismatic Shock on target of attack.  ',0,0),
(118319,260141,3,100,'Inflicts 115 - 140 mental damage on target',1,1),
(118320,260141,3,100,'Grants a total of 3 triggers of the spell.',1,2),
(118321,260141,4,100,'On a combat hit this spell will cast Prismatic Shock on target of attack.  ',0,0),
(118322,260141,4,100,'Inflicts 126 - 154 mental damage on target',1,1),
(118323,260141,4,100,'Grants a total of 3 triggers of the spell.',1,2),
(118324,260141,5,100,'On a combat hit this spell will cast Prismatic Shock on target of attack.  ',0,0),
(118325,260141,5,100,'Inflicts 138 - 168 mental damage on target',1,1),
(118326,260141,5,100,'Grants a total of 3 triggers of the spell.',1,2),
(118327,260141,7,100,'On a combat hit this spell will cast Prismatic Shock on target of attack.  ',0,0),
(118328,260141,7,100,'Inflicts 177 - 216 mental damage on target',1,1),
(118329,260141,7,100,'Grants a total of 3 triggers of the spell.',1,2),
(118330,260141,9,100,'On a combat hit this spell will cast Prismatic Shock on target of attack.  ',0,0),
(118331,260141,9,100,'Inflicts 184 - 225 mental damage on target',1,1),
(118332,260141,9,100,'Grants a total of 3 triggers of the spell.',1,2),
(118333,260142,1,100,'On a combat hit this spell will cast Prismatic Shock on target of attack.  ',0,0),
(118334,260142,1,100,'Inflicts 163 - 200 mental damage on target',1,1),
(118335,260142,1,100,'Grants a total of 3 triggers of the spell.',1,2),
(118336,260142,2,100,'On a combat hit this spell will cast Prismatic Shock on target of attack.  ',0,0),
(118337,260142,2,100,'Inflicts 172 - 211 mental damage on target',1,1),
(118338,260142,2,100,'Grants a total of 3 triggers of the spell.',1,2),
(118339,260142,3,100,'On a combat hit this spell will cast Prismatic Shock on target of attack.  ',0,0),
(118340,260142,3,100,'Inflicts 182 - 222 mental damage on target',1,1),
(118341,260142,3,100,'Grants a total of 3 triggers of the spell.',1,2),
(118342,260142,4,100,'On a combat hit this spell will cast Prismatic Shock on target of attack.  ',0,0),
(118343,260142,4,100,'Inflicts 200 - 244 mental damage on target',1,1),
(118344,260142,4,100,'Grants a total of 3 triggers of the spell.',1,2),
(118345,260142,5,100,'On a combat hit this spell will cast Prismatic Shock on target of attack.  ',0,0),
(118346,260142,5,100,'Inflicts 218 - 266 mental damage on target',1,1),
(118347,260142,5,100,'Grants a total of 3 triggers of the spell.',1,2),
(118348,260142,7,100,'On a combat hit this spell will cast Prismatic Shock on target of attack.  ',0,0),
(118349,260142,7,100,'Inflicts 280 - 342 mental damage on target',1,1),
(118350,260142,7,100,'Grants a total of 3 triggers of the spell.',1,2),
(118351,260142,9,100,'On a combat hit this spell will cast Prismatic Shock on target of attack.  ',0,0),
(118352,260142,9,100,'Inflicts 290 - 355 mental damage on target',1,1),
(118353,260142,9,100,'Grants a total of 3 triggers of the spell.',1,2),
(118354,260142,10,100,'On a combat hit this spell will cast Prismatic Shock on target of attack.  ',0,0),
(118355,260142,10,100,'Inflicts 305 - 373 mental damage on target',1,1),
(118356,260142,10,100,'Grants a total of 3 triggers of the spell.',1,2),
(118357,260143,1,100,'On a combat hit this spell will cast Prismatic Shock on target of attack.  ',0,0),
(118358,260143,1,100,'Inflicts 236 - 288 mental damage on target',1,1),
(118359,260143,1,100,'Grants a total of 3 triggers of the spell.',1,2),
(118360,260143,2,100,'On a combat hit this spell will cast Prismatic Shock on target of attack.  ',0,0),
(118361,260143,2,100,'Inflicts 249 - 304 mental damage on target',1,1),
(118362,260143,2,100,'Grants a total of 3 triggers of the spell.',1,2),
(118363,260143,3,100,'On a combat hit this spell will cast Prismatic Shock on target of attack.  ',0,0),
(118364,260143,3,100,'Inflicts 262 - 320 mental damage on target',1,1),
(118365,260143,3,100,'Grants a total of 3 triggers of the spell.',1,2),
(118366,260143,4,100,'On a combat hit this spell will cast Prismatic Shock on target of attack.  ',0,0),
(118367,260143,4,100,'Inflicts 288 - 352 mental damage on target',1,1),
(118368,260143,4,100,'Grants a total of 3 triggers of the spell.',1,2),
(118369,260143,5,100,'On a combat hit this spell will cast Prismatic Shock on target of attack.  ',0,0),
(118370,260143,5,100,'Inflicts 314 - 384 mental damage on target',1,1),
(118371,260143,5,100,'Grants a total of 3 triggers of the spell.',1,2),
(118372,260143,7,100,'On a combat hit this spell will cast Prismatic Shock on target of attack.  ',0,0),
(118373,260143,7,100,'Inflicts 403 - 493 mental damage on target',1,1),
(118374,260143,7,100,'Grants a total of 3 triggers of the spell.',1,2),
(118375,260143,9,100,'On a combat hit this spell will cast Prismatic Shock on target of attack.  ',0,0),
(118376,260143,9,100,'Inflicts 419 - 512 mental damage on target',1,1),
(118377,260143,9,100,'Grants a total of 3 triggers of the spell.',1,2),
(118378,260144,1,100,'On a combat hit this spell will cast Prismatic Shock on target of attack.  ',0,0),
(118379,260144,1,100,'Inflicts 308 - 377 mental damage on target',1,1),
(118380,260144,1,100,'Grants a total of 3 triggers of the spell.',1,2),
(118381,260144,2,100,'On a combat hit this spell will cast Prismatic Shock on target of attack.  ',0,0),
(118382,260144,2,100,'Inflicts 325 - 398 mental damage on target',1,1),
(118383,260144,2,100,'Grants a total of 3 triggers of the spell.',1,2),
(118384,260144,3,100,'On a combat hit this spell will cast Prismatic Shock on target of attack.  ',0,0),
(118385,260144,3,100,'Inflicts 342 - 419 mental damage on target',1,1),
(118386,260144,3,100,'Grants a total of 3 triggers of the spell.',1,2),
(118387,260144,4,100,'On a combat hit this spell will cast Prismatic Shock on target of attack.  ',0,0),
(118388,260144,4,100,'Inflicts 377 - 460 mental damage on target',1,1),
(118389,260144,4,100,'Grants a total of 3 triggers of the spell.',1,2),
(118390,260144,5,100,'On a combat hit this spell will cast Prismatic Shock on target of attack.  ',0,0),
(118391,260144,5,100,'Inflicts 411 - 502 mental damage on target',1,1),
(118392,260144,5,100,'Grants a total of 3 triggers of the spell.',1,2),
(118393,260144,7,100,'On a combat hit this spell will cast Prismatic Shock on target of attack.  ',0,0),
(118394,260144,7,100,'Inflicts 527 - 645 mental damage on target',1,1),
(118395,260144,7,100,'Grants a total of 3 triggers of the spell.',1,2),
(118396,260144,9,100,'On a combat hit this spell will cast Prismatic Shock on target of attack.  ',0,0),
(118397,260144,9,100,'Inflicts 548 - 670 mental damage on target',1,1),
(118398,260144,9,100,'Grants a total of 3 triggers of the spell.',1,2),
(118399,260145,1,100,'On a combat hit this spell will cast Prismatic Shock on target of attack.  ',0,0),
(118400,260145,1,100,'Inflicts 374 - 457 mental damage on target',1,1),
(118401,260145,1,100,'Grants a total of 3 triggers of the spell.',1,2),
(118402,260145,2,100,'On a combat hit this spell will cast Prismatic Shock on target of attack.  ',0,0),
(118403,260145,2,100,'Inflicts 394 - 482 mental damage on target',1,1),
(118404,260145,2,100,'Grants a total of 3 triggers of the spell.',1,2),
(118405,260145,3,100,'On a combat hit this spell will cast Prismatic Shock on target of attack.  ',0,0),
(118406,260145,3,100,'Inflicts 415 - 507 mental damage on target',1,1),
(118407,260145,3,100,'Grants a total of 3 triggers of the spell.',1,2),
(118408,260145,4,100,'On a combat hit this spell will cast Prismatic Shock on target of attack.  ',0,0),
(118409,260145,4,100,'Inflicts 457 - 558 mental damage on target',1,1),
(118410,260145,4,100,'Grants a total of 3 triggers of the spell.',1,2),
(118411,260145,5,100,'On a combat hit this spell will cast Prismatic Shock on target of attack.  ',0,0),
(118412,260145,5,100,'Inflicts 498 - 609 mental damage on target',1,1),
(118413,260145,5,100,'Grants a total of 3 triggers of the spell.',1,2),
(118414,260145,7,100,'On a combat hit this spell will cast Prismatic Shock on target of attack.  ',0,0),
(118415,260145,7,100,'Inflicts 639 - 782 mental damage on target',1,1),
(118416,260145,7,100,'Grants a total of 3 triggers of the spell.',1,2),
(118417,260145,9,100,'On a combat hit this spell will cast Prismatic Shock on target of attack.  ',0,0),
(118418,260145,9,100,'Inflicts 664 - 812 mental damage on target',1,1),
(118419,260145,9,100,'Grants a total of 3 triggers of the spell.',1,2),
(118420,260146,1,100,'On a combat hit this spell will cast Prismatic Shock on target of attack.  ',0,0),
(118421,260146,1,100,'Inflicts 450 - 549 mental damage on target',1,1),
(118422,260146,1,100,'Grants a total of 3 triggers of the spell.',1,2),
(118423,260146,4,100,'On a combat hit this spell will cast Prismatic Shock on target of attack.  ',0,0),
(118424,260146,4,100,'Inflicts 549 - 672 mental damage on target',1,1),
(118425,260146,4,100,'Grants a total of 3 triggers of the spell.',1,2),
(118426,260146,5,100,'On a combat hit this spell will cast Prismatic Shock on target of attack.  ',0,0),
(118427,260146,5,100,'Inflicts 599 - 733 mental damage on target',1,1),
(118428,260146,5,100,'Grants a total of 3 triggers of the spell.',1,2),
(118429,260146,7,100,'On a combat hit this spell will cast Prismatic Shock on target of attack.  ',0,0),
(118430,260146,7,100,'Inflicts 769 - 940 mental damage on target',1,1),
(118431,260146,7,100,'Grants a total of 3 triggers of the spell.',1,2),
(118432,260146,9,100,'On a combat hit this spell will cast Prismatic Shock on target of attack.  ',0,0),
(118433,260146,9,100,'Inflicts 799 - 977 mental damage on target',1,1),
(118434,260146,9,100,'Grants a total of 3 triggers of the spell.',1,2),
(118435,260147,1,100,'On a combat hit this spell will cast Prismatic Shock on target of attack.  ',0,0),
(118436,260147,1,100,'Inflicts 477 - 583 mental damage on target',1,1),
(118437,260147,1,100,'Grants a total of 3 triggers of the spell.',1,2),
(118438,260147,4,100,'On a combat hit this spell will cast Prismatic Shock on target of attack.  ',0,0),
(118439,260147,4,100,'Inflicts 583 - 713 mental damage on target',1,1),
(118440,260147,4,100,'Grants a total of 3 triggers of the spell.',1,2),
(118441,260147,5,100,'On a combat hit this spell will cast Prismatic Shock on target of attack.  ',0,0),
(118442,260147,5,100,'Inflicts 636 - 777 mental damage on target',1,1),
(118443,260147,5,100,'Grants a total of 3 triggers of the spell.',1,2),
(118444,260147,7,100,'On a combat hit this spell will cast Prismatic Shock on target of attack.  ',0,0),
(118445,260147,7,100,'Inflicts 816 - 998 mental damage on target',1,1),
(118446,260147,7,100,'Grants a total of 3 triggers of the spell.',1,2),
(118447,260147,9,100,'On a combat hit this spell will cast Prismatic Shock on target of attack.  ',0,0),
(118448,260147,9,100,'Inflicts 848 - 1036 mental damage on target',1,1),
(118449,260147,9,100,'Grants a total of 3 triggers of the spell.',1,2),
(118450,2000583,1,100,'Increases trigger percent by 4 on all spells cast by the group',0,0),
(118451,190101,1,100,'Wards group members (AE) against 13 points of noxious damage',0,0),
(118452,190101,1,100,'Increases Mitigation of group members (AE) vs noxious damage by 261',0,1),
(118453,190101,2,100,'Wards group members (AE) against 14 points of noxious damage',0,0),
(118454,190101,2,100,'Increases Mitigation of group members (AE) vs noxious damage by 276',0,1),
(118455,190101,3,100,'Wards group members (AE) against 15 points of noxious damage',0,0),
(118456,190101,3,100,'Increases Mitigation of group members (AE) vs noxious damage by 290',0,1),
(118457,190101,4,100,'Wards group members (AE) against 16 points of noxious damage',0,0),
(118458,190101,4,100,'Increases Mitigation of group members (AE) vs noxious damage by 319',0,1),
(118459,190101,5,100,'Wards group members (AE) against 18 points of noxious damage',0,0),
(118460,190101,5,100,'Increases Mitigation of group members (AE) vs noxious damage by 348',0,1),
(118461,190101,7,100,'Wards group members (AE) against 23 points of noxious damage',0,0),
(118462,190101,7,100,'Increases Mitigation of group members (AE) vs noxious damage by 447',0,1),
(118463,190101,9,100,'Wards group members (AE) against 24 points of noxious damage',0,0),
(118464,190101,9,100,'Increases Mitigation of group members (AE) vs noxious damage by 464',0,1),
(118465,190102,1,100,'Wards group members (AE) against 13 points of noxious damage',0,0),
(118466,190102,1,100,'Increases Mitigation of group members (AE) vs noxious damage by 387',0,1),
(118467,190102,2,100,'Wards group members (AE) against 14 points of noxious damage',0,0),
(118468,190102,2,100,'Increases Mitigation of group members (AE) vs noxious damage by 409',0,1),
(118469,190102,3,100,'Wards group members (AE) against 15 points of noxious damage',0,0),
(118470,190102,3,100,'Increases Mitigation of group members (AE) vs noxious damage by 430',0,1),
(118471,190102,4,100,'Wards group members (AE) against 16 points of noxious damage',0,0),
(118472,190102,4,100,'Increases Mitigation of group members (AE) vs noxious damage by 473',0,1),
(118473,190102,5,100,'Wards group members (AE) against 18 points of noxious damage',0,0),
(118474,190102,5,100,'Increases Mitigation of group members (AE) vs noxious damage by 516',0,1),
(118475,190102,7,100,'Wards group members (AE) against 23 points of noxious damage',0,0),
(118476,190102,7,100,'Increases Mitigation of group members (AE) vs noxious damage by 662',0,1),
(118477,190102,9,100,'Wards group members (AE) against 24 points of noxious damage',0,0),
(118478,190102,9,100,'Increases Mitigation of group members (AE) vs noxious damage by 688',0,1),
(118479,190103,1,100,'Wards group members (AE) against 13 points of noxious damage',0,0),
(118480,190103,1,100,'Increases Mitigation of group members (AE) vs noxious damage by 513',0,1),
(118481,190103,2,100,'Wards group members (AE) against 14 points of noxious damage',0,0),
(118482,190103,2,100,'Increases Mitigation of group members (AE) vs noxious damage by 542',0,1),
(118483,190103,3,100,'Wards group members (AE) against 15 points of noxious damage',0,0),
(118484,190103,3,100,'Increases Mitigation of group members (AE) vs noxious damage by 570',0,1),
(118485,190103,4,100,'Wards group members (AE) against 16 points of noxious damage',0,0),
(118486,190103,4,100,'Increases Mitigation of group members (AE) vs noxious damage by 627',0,1),
(118487,190103,5,100,'Wards group members (AE) against 18 points of noxious damage',0,0),
(118488,190103,5,100,'Increases Mitigation of group members (AE) vs noxious damage by 684',0,1),
(118489,190103,7,100,'Wards group members (AE) against 23 points of noxious damage',0,0),
(118490,190103,7,100,'Increases Mitigation of group members (AE) vs noxious damage by 878',0,1),
(118491,190103,9,100,'Wards group members (AE) against 24 points of noxious damage',0,0),
(118492,190103,9,100,'Increases Mitigation of group members (AE) vs noxious damage by 912',0,1),
(118493,190104,1,100,'Wards group members (AE) against 13 points of noxious damage',0,0),
(118494,190104,1,100,'Increases Mitigation of group members (AE) vs noxious damage by 671',0,1),
(118495,190104,2,100,'Wards group members (AE) against 14 points of noxious damage',0,0),
(118496,190104,2,100,'Increases Mitigation of group members (AE) vs noxious damage by 708',0,1),
(118497,190104,3,100,'Wards group members (AE) against 15 points of noxious damage',0,0),
(118498,190104,3,100,'Increases Mitigation of group members (AE) vs noxious damage by 746',0,1),
(118499,190104,4,100,'Wards group members (AE) against 16 points of noxious damage',0,0),
(118500,190104,4,100,'Increases Mitigation of group members (AE) vs noxious damage by 820',0,1),
(118501,190104,5,100,'Wards group members (AE) against 18 points of noxious damage',0,0),
(118502,190104,5,100,'Increases Mitigation of group members (AE) vs noxious damage by 895',0,1),
(118503,190104,7,100,'Wards group members (AE) against 23 points of noxious damage',0,0),
(118504,190104,7,100,'Increases Mitigation of group members (AE) vs noxious damage by 1148',0,1),
(118505,190104,9,100,'Wards group members (AE) against 24 points of noxious damage',0,0),
(118506,190104,9,100,'Increases Mitigation of group members (AE) vs noxious damage by 1193',0,1),
(118507,190105,1,100,'Wards group members (AE) against 13 points of noxious damage',0,0),
(118508,190105,1,100,'Increases Mitigation of group members (AE) vs noxious damage by 769',0,1),
(118509,190105,4,100,'Wards group members (AE) against 16 points of noxious damage',0,0),
(118510,190105,4,100,'Increases Mitigation of group members (AE) vs noxious damage by 940',0,1),
(118511,190105,5,100,'Wards group members (AE) against 18 points of noxious damage',0,0),
(118512,190105,5,100,'Increases Mitigation of group members (AE) vs noxious damage by 1025',0,1),
(118513,190105,7,100,'Wards group members (AE) against 23 points of noxious damage',0,0),
(118514,190105,7,100,'Increases Mitigation of group members (AE) vs noxious damage by 1316',0,1),
(118515,190105,9,100,'Wards group members (AE) against 24 points of noxious damage',0,0),
(118516,190105,9,100,'Increases Mitigation of group members (AE) vs noxious damage by 1367',0,1),
(118517,190106,1,100,'Wards group members (AE) against 13 points of noxious damage',0,0),
(118518,190106,1,100,'Increases Mitigation of group members (AE) vs noxious damage by 901',0,1),
(118519,190106,4,100,'Wards group members (AE) against 16 points of noxious damage',0,0),
(118520,190106,4,100,'Increases Mitigation of group members (AE) vs noxious damage by 1101',0,1),
(118521,190106,5,100,'Wards group members (AE) against 18 points of noxious damage',0,0),
(118522,190106,5,100,'Increases Mitigation of group members (AE) vs noxious damage by 1201',0,1),
(118523,190106,7,100,'Wards group members (AE) against 23 points of noxious damage',0,0),
(118524,190106,7,100,'Increases Mitigation of group members (AE) vs noxious damage by 1542',0,1),
(118525,190106,9,100,'Wards group members (AE) against 24 points of noxious damage',0,0),
(118526,190106,9,100,'Increases Mitigation of group members (AE) vs noxious damage by 1602',0,1),
(118527,2000584,1,100,'Monitors the damage done by the druid for 10 seconds after the cast and converts a portion of that damage into a ward for the druid''s group once the spell expires or is toggled off.',0,0),
(118528,230129,1,100,'Summons a limited pet to aid the caster',0,0),
(118529,230129,2,100,'Summons a limited pet to aid the caster',0,0),
(118530,230129,3,100,'Summons a limited pet to aid the caster',0,0),
(118531,230129,4,100,'Summons a limited pet to aid the caster',0,0),
(118532,230129,5,100,'Summons a limited pet to aid the caster',0,0),
(118533,230129,7,100,'Summons a limited pet to aid the caster',0,0),
(118534,230129,9,100,'Summons a limited pet to aid the caster',0,0),
(118535,230129,10,100,'Summons a limited pet to aid the caster',0,0),
(118536,230130,1,100,'Summons a limited pet to aid the caster',0,0),
(118537,230130,2,100,'Summons a limited pet to aid the caster',0,0),
(118538,230130,3,100,'Summons a limited pet to aid the caster',0,0),
(118539,230130,4,100,'Summons a limited pet to aid the caster',0,0),
(118540,230130,5,100,'Summons a limited pet to aid the caster',0,0),
(118541,230130,7,100,'Summons a limited pet to aid the caster',0,0),
(118542,230130,9,100,'Summons a limited pet to aid the caster',0,0),
(118543,230130,10,100,'Summons a limited pet to aid the caster',0,0),
(118544,230131,1,100,'Summons a limited pet to aid the caster',0,0),
(118545,230131,2,100,'Summons a limited pet to aid the caster',0,0),
(118546,230131,3,100,'Summons a limited pet to aid the caster',0,0),
(118547,230131,4,100,'Summons a limited pet to aid the caster',0,0),
(118548,230131,5,100,'Summons a limited pet to aid the caster',0,0),
(118549,230131,7,100,'Summons a limited pet to aid the caster',0,0),
(118550,230131,9,100,'Summons a limited pet to aid the caster',0,0),
(118551,230132,1,100,'Summons a limited pet to aid the caster',0,0),
(118552,230132,4,100,'Summons a limited pet to aid the caster',0,0),
(118553,230132,5,100,'Summons a limited pet to aid the caster',0,0),
(118554,230132,7,100,'Summons a limited pet to aid the caster',0,0),
(118555,230132,9,100,'Summons a limited pet to aid the caster',0,0),
(118556,230133,1,100,'Summons a limited pet to aid the caster',0,0),
(118557,230133,4,100,'Summons a limited pet to aid the caster',0,0),
(118558,230133,5,100,'Summons a limited pet to aid the caster',0,0),
(118559,230133,7,100,'Summons a limited pet to aid the caster',0,0),
(118560,230133,9,100,'Summons a limited pet to aid the caster',0,0),
(118561,2000585,1,100,'Inflicts 1 - 2 melee damage on target',0,0),
(118562,2000585,1,100,'Inflicts 1 poison damage on target instantly and every 8 seconds',0,1),
(118563,2000585,1,100,'On a spell cast this spell may cast Spasms on caster.  Lasts for 0.8 seconds.  Triggers about 2.0 times per minute. ',0,2),
(118564,2000585,1,100,'Stuns target',1,3),
(118565,2000585,1,100,'Epic targets gain an immunity to Stun effects of 2.5 seconds and duration is reduced to 0.3 seconds.',1,4),
(118566,2000585,1,100,'Resistibility increases against targets higher than level 30.',1,5),
(118567,150007,1,100,'Inflicts 14 - 17 divine damage on target instantly and every 3 seconds',0,0),
(118568,150007,1,100,'Decreases Defense of target by 4.6',0,1),
(118569,150007,2,100,'Inflicts 15 - 18 divine damage on target instantly and every 3 seconds',0,0),
(118570,150007,2,100,'Decreases Defense of target by 4.8',0,1),
(118571,150007,3,100,'Inflicts 16 - 19 divine damage on target instantly and every 3 seconds',0,0),
(118572,150007,3,100,'Decreases Defense of target by 5.1',0,1),
(118573,150007,4,100,'Inflicts 17 - 21 divine damage on target instantly and every 3 seconds',0,0),
(118574,150007,4,100,'Decreases Defense of target by 5.6',0,1),
(118575,150007,5,100,'Inflicts 19 - 23 divine damage on target instantly and every 3 seconds',0,0),
(118576,150007,5,100,'Decreases Defense of target by 6.1',0,1),
(118577,150007,7,100,'Inflicts 24 - 29 divine damage on target instantly and every 3 seconds',0,0),
(118578,150007,7,100,'Decreases Defense of target by 7.9',0,1),
(118579,150007,9,100,'Inflicts 25 - 31 divine damage on target instantly and every 3 seconds',0,0),
(118580,150007,9,100,'Decreases Defense of target by 8.2',0,1),
(118581,2000586,1,100,'Inflicts 1 - 2 crushing damage on target',0,0),
(118582,2000586,1,100,'Inflicts 1 poison damage on target every 8 seconds',0,1),
(118583,2000587,1,100,'Inflicts 8 - 12 mental damage on target',0,0),
(118584,2000587,1,100,'Psychic Trauma has an 85% chance to trigger its damage again. It can inflict its damage up to 20 times.',0,1),
(118585,270131,1,100,'Summons 4 limited pets to aid the caster',0,0),
(118586,270131,2,100,'Summons 4 limited pets to aid the caster',0,0),
(118587,270131,3,100,'Summons 4 limited pets to aid the caster',0,0),
(118588,270131,4,100,'Summons 4 limited pets to aid the caster',0,0),
(118589,270131,5,100,'Summons 4 limited pets to aid the caster',0,0),
(118590,270131,7,100,'Summons 4 limited pets to aid the caster',0,0),
(118591,270131,9,100,'Summons 4 limited pets to aid the caster',0,0),
(118592,270132,1,100,'Summons 4 limited pets to aid the caster',0,0),
(118593,270132,1,100,'Summons 3 limited pets to aid the caster',0,1),
(118594,270132,4,100,'Summons 4 limited pets to aid the caster',0,0),
(118595,270132,4,100,'Summons 3 limited pets to aid the caster',0,1),
(118596,270132,5,100,'Summons 4 limited pets to aid the caster',0,0),
(118597,270132,5,100,'Summons 3 limited pets to aid the caster',0,1),
(118598,270132,7,100,'Summons 4 limited pets to aid the caster',0,0),
(118599,270132,7,100,'Summons 3 limited pets to aid the caster',0,1),
(118600,270132,9,100,'Summons 4 limited pets to aid the caster',0,0),
(118601,270132,9,100,'Summons 3 limited pets to aid the caster',0,1),
(118602,270133,1,100,'Summons 4 limited pets to aid the caster',0,0),
(118603,270133,4,100,'Summons 4 limited pets to aid the caster',0,0),
(118604,270133,5,100,'Summons 4 limited pets to aid the caster',0,0),
(118605,270133,7,100,'Summons 4 limited pets to aid the caster',0,0),
(118606,270133,9,100,'Summons 4 limited pets to aid the caster',0,0),
(118607,270134,1,100,'Mesmerizes target encounter',0,0),
(118608,270134,1,100,'Prevents AOE (except when direct) ',0,1),
(118609,270134,1,100,'Dispelled when target takes damage',0,2),
(118610,270134,1,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(118611,270134,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(118612,270134,2,100,'Mesmerizes target encounter',0,0),
(118613,270134,2,100,'Prevents AOE (except when direct) ',0,1),
(118614,270134,2,100,'Dispelled when target takes damage',0,2),
(118615,270134,2,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(118616,270134,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(118617,270134,3,100,'Mesmerizes target encounter',0,0),
(118618,270134,3,100,'Prevents AOE (except when direct) ',0,1),
(118619,270134,3,100,'Dispelled when target takes damage',0,2),
(118620,270134,3,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(118621,270134,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(118622,270134,4,100,'Mesmerizes target encounter',0,0),
(118623,270134,4,100,'Prevents AOE (except when direct) ',0,1),
(118624,270134,4,100,'Dispelled when target takes damage',0,2),
(118625,270134,4,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(118626,270134,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(118627,270134,5,100,'Mesmerizes target encounter',0,0),
(118628,270134,5,100,'Prevents AOE (except when direct) ',0,1),
(118629,270134,5,100,'Dispelled when target takes damage',0,2),
(118630,270134,5,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(118631,270134,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(118632,270134,7,100,'Mesmerizes target encounter',0,0),
(118633,270134,7,100,'Prevents AOE (except when direct) ',0,1),
(118634,270134,7,100,'Dispelled when target takes damage',0,2),
(118635,270134,7,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(118636,270134,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(118637,270134,9,100,'Mesmerizes target encounter',0,0),
(118638,270134,9,100,'Prevents AOE (except when direct) ',0,1),
(118639,270134,9,100,'Dispelled when target takes damage',0,2),
(118640,270134,9,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(118641,270134,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(118642,270135,1,100,'Mesmerizes target encounter',0,0),
(118643,270135,1,100,'Prevents AOE (except when direct) ',0,1),
(118644,270135,1,100,'Dispelled when target takes damage',0,2),
(118645,270135,1,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(118646,270135,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(118647,270135,2,100,'Mesmerizes target encounter',0,0),
(118648,270135,2,100,'Prevents AOE (except when direct) ',0,1),
(118649,270135,2,100,'Dispelled when target takes damage',0,2),
(118650,270135,2,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(118651,270135,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(118652,270135,3,100,'Mesmerizes target encounter',0,0),
(118653,270135,3,100,'Prevents AOE (except when direct) ',0,1),
(118654,270135,3,100,'Dispelled when target takes damage',0,2),
(118655,270135,3,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(118656,270135,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(118657,270135,4,100,'Mesmerizes target encounter',0,0),
(118658,270135,4,100,'Prevents AOE (except when direct) ',0,1),
(118659,270135,4,100,'Dispelled when target takes damage',0,2),
(118660,270135,4,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(118661,270135,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(118662,270135,5,100,'Mesmerizes target encounter',0,0),
(118663,270135,5,100,'Prevents AOE (except when direct) ',0,1),
(118664,270135,5,100,'Dispelled when target takes damage',0,2),
(118665,270135,5,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(118666,270135,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(118667,270135,7,100,'Mesmerizes target encounter',0,0),
(118668,270135,7,100,'Prevents AOE (except when direct) ',0,1),
(118669,270135,7,100,'Dispelled when target takes damage',0,2),
(118670,270135,7,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(118671,270135,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(118672,270135,9,100,'Mesmerizes target encounter',0,0),
(118673,270135,9,100,'Prevents AOE (except when direct) ',0,1),
(118674,270135,9,100,'Dispelled when target takes damage',0,2),
(118675,270135,9,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(118676,270135,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(118677,270136,1,100,'Mesmerizes target encounter',0,0),
(118678,270136,1,100,'Prevents AOE (except when direct) ',0,1),
(118679,270136,1,100,'Dispelled when target takes damage',0,2),
(118680,270136,1,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(118681,270136,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(118682,270136,2,100,'Mesmerizes target encounter',0,0),
(118683,270136,2,100,'Prevents AOE (except when direct) ',0,1),
(118684,270136,2,100,'Dispelled when target takes damage',0,2),
(118685,270136,2,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(118686,270136,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(118687,270136,3,100,'Mesmerizes target encounter',0,0),
(118688,270136,3,100,'Prevents AOE (except when direct) ',0,1),
(118689,270136,3,100,'Dispelled when target takes damage',0,2),
(118690,270136,3,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(118691,270136,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(118692,270136,4,100,'Mesmerizes target encounter',0,0),
(118693,270136,4,100,'Prevents AOE (except when direct) ',0,1),
(118694,270136,4,100,'Dispelled when target takes damage',0,2),
(118695,270136,4,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(118696,270136,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(118697,270136,5,100,'Mesmerizes target encounter',0,0),
(118698,270136,5,100,'Prevents AOE (except when direct) ',0,1),
(118699,270136,5,100,'Dispelled when target takes damage',0,2),
(118700,270136,5,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(118701,270136,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(118702,270136,7,100,'Mesmerizes target encounter',0,0),
(118703,270136,7,100,'Prevents AOE (except when direct) ',0,1),
(118704,270136,7,100,'Dispelled when target takes damage',0,2),
(118705,270136,7,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(118706,270136,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(118707,270136,9,100,'Mesmerizes target encounter',0,0),
(118708,270136,9,100,'Prevents AOE (except when direct) ',0,1),
(118709,270136,9,100,'Dispelled when target takes damage',0,2),
(118710,270136,9,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(118711,270136,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(118712,270137,1,100,'Mesmerizes target encounter',0,0),
(118713,270137,1,100,'Prevents AOE (except when direct) ',0,1),
(118714,270137,1,100,'Dispelled when target takes damage',0,2),
(118715,270137,1,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(118716,270137,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(118717,270137,2,100,'Mesmerizes target encounter',0,0),
(118718,270137,2,100,'Prevents AOE (except when direct) ',0,1),
(118719,270137,2,100,'Dispelled when target takes damage',0,2),
(118720,270137,2,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(118721,270137,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(118722,270137,3,100,'Mesmerizes target encounter',0,0),
(118723,270137,3,100,'Prevents AOE (except when direct) ',0,1),
(118724,270137,3,100,'Dispelled when target takes damage',0,2),
(118725,270137,3,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(118726,270137,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(118727,270137,4,100,'Mesmerizes target encounter',0,0),
(118728,270137,4,100,'Prevents AOE (except when direct) ',0,1),
(118729,270137,4,100,'Dispelled when target takes damage',0,2),
(118730,270137,4,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(118731,270137,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(118732,270137,5,100,'Mesmerizes target encounter',0,0),
(118733,270137,5,100,'Prevents AOE (except when direct) ',0,1),
(118734,270137,5,100,'Dispelled when target takes damage',0,2),
(118735,270137,5,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(118736,270137,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(118737,270137,7,100,'Mesmerizes target encounter',0,0),
(118738,270137,7,100,'Prevents AOE (except when direct) ',0,1),
(118739,270137,7,100,'Dispelled when target takes damage',0,2),
(118740,270137,7,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(118741,270137,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(118742,270137,9,100,'Mesmerizes target encounter',0,0),
(118743,270137,9,100,'Prevents AOE (except when direct) ',0,1),
(118744,270137,9,100,'Dispelled when target takes damage',0,2),
(118745,270137,9,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(118746,270137,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(118747,270138,1,100,'Mesmerizes target encounter',0,0),
(118748,270138,1,100,'Prevents AOE (except when direct) ',0,1),
(118749,270138,1,100,'Dispelled when target takes damage',0,2),
(118750,270138,1,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(118751,270138,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(118752,270138,2,100,'Mesmerizes target encounter',0,0),
(118753,270138,2,100,'Prevents AOE (except when direct) ',0,1),
(118754,270138,2,100,'Dispelled when target takes damage',0,2),
(118755,270138,2,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(118756,270138,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(118757,270138,3,100,'Mesmerizes target encounter',0,0),
(118758,270138,3,100,'Prevents AOE (except when direct) ',0,1),
(118759,270138,3,100,'Dispelled when target takes damage',0,2),
(118760,270138,3,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(118761,270138,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(118762,270138,4,100,'Mesmerizes target encounter',0,0),
(118763,270138,4,100,'Prevents AOE (except when direct) ',0,1),
(118764,270138,4,100,'Dispelled when target takes damage',0,2),
(118765,270138,4,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(118766,270138,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(118767,270138,5,100,'Mesmerizes target encounter',0,0),
(118768,270138,5,100,'Prevents AOE (except when direct) ',0,1),
(118769,270138,5,100,'Dispelled when target takes damage',0,2),
(118770,270138,5,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(118771,270138,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(118772,270138,7,100,'Mesmerizes target encounter',0,0),
(118773,270138,7,100,'Prevents AOE (except when direct) ',0,1),
(118774,270138,7,100,'Dispelled when target takes damage',0,2),
(118775,270138,7,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(118776,270138,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(118777,270138,9,100,'Mesmerizes target encounter',0,0),
(118778,270138,9,100,'Prevents AOE (except when direct) ',0,1),
(118779,270138,9,100,'Dispelled when target takes damage',0,2),
(118780,270138,9,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(118781,270138,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(118782,270139,1,100,'Mesmerizes target encounter',0,0),
(118783,270139,1,100,'Prevents AOE (except when direct) ',0,1),
(118784,270139,1,100,'Dispelled when target takes damage',0,2),
(118785,270139,1,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(118786,270139,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(118787,270139,4,100,'Mesmerizes target encounter',0,0),
(118788,270139,4,100,'Prevents AOE (except when direct) ',0,1),
(118789,270139,4,100,'Dispelled when target takes damage',0,2),
(118790,270139,4,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(118791,270139,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(118792,270139,5,100,'Mesmerizes target encounter',0,0),
(118793,270139,5,100,'Prevents AOE (except when direct) ',0,1),
(118794,270139,5,100,'Dispelled when target takes damage',0,2),
(118795,270139,5,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(118796,270139,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(118797,270139,7,100,'Mesmerizes target encounter',0,0),
(118798,270139,7,100,'Prevents AOE (except when direct) ',0,1),
(118799,270139,7,100,'Dispelled when target takes damage',0,2),
(118800,270139,7,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(118801,270139,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(118802,270139,9,100,'Mesmerizes target encounter',0,0),
(118803,270139,9,100,'Prevents AOE (except when direct) ',0,1),
(118804,270139,9,100,'Dispelled when target takes damage',0,2),
(118805,270139,9,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(118806,270139,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(118807,140145,1,100,'Inflicts 33 - 40 heat damage on target instantly and every 4 seconds',0,0),
(118809,140145,2,100,'Inflicts 35 - 43 heat damage on target instantly and every 4 seconds',0,0),
(118811,140145,3,100,'Inflicts 37 - 45 heat damage on target instantly and every 4 seconds',0,0),
(118813,140145,4,100,'Inflicts 40 - 49 heat damage on target instantly and every 4 seconds',0,0),
(118815,140145,5,100,'Inflicts 44 - 54 heat damage on target instantly and every 4 seconds',0,0),
(118817,140145,7,100,'Inflicts 57 - 69 heat damage on target instantly and every 4 seconds',0,0),
(118819,140145,9,100,'Inflicts 59 - 72 heat damage on target instantly and every 4 seconds',0,0),
(118821,140145,10,100,'Inflicts 62 - 75 heat damage on target instantly and every 4 seconds',0,0),
(118823,140146,1,100,'Inflicts 56 - 69 heat damage on target instantly and every 4 seconds',0,0),
(118825,140146,2,100,'Inflicts 59 - 73 heat damage on target instantly and every 4 seconds',0,0),
(118827,140146,3,100,'Inflicts 62 - 76 heat damage on target instantly and every 4 seconds',0,0),
(118829,140146,4,100,'Inflicts 69 - 84 heat damage on target instantly and every 4 seconds',0,0),
(118831,140146,5,100,'Inflicts 75 - 92 heat damage on target instantly and every 4 seconds',0,0),
(118833,140146,7,100,'Inflicts 96 - 118 heat damage on target instantly and every 4 seconds',0,0),
(118835,140146,9,100,'Inflicts 100 - 122 heat damage on target instantly and every 4 seconds',0,0),
(118837,140147,1,100,'Inflicts 84 - 103 heat damage on target instantly and every 4 seconds',0,0),
(118838,140147,1,100,'Decreases Mitigation of target vs arcane damage by 459',0,1),
(118839,140147,2,100,'Inflicts 89 - 108 heat damage on target instantly and every 4 seconds',0,0),
(118840,140147,2,100,'Decreases Mitigation of target vs arcane damage by 485',0,1),
(118841,140147,3,100,'Inflicts 93 - 114 heat damage on target instantly and every 4 seconds',0,0),
(118842,140147,3,100,'Decreases Mitigation of target vs arcane damage by 510',0,1),
(118843,140147,4,100,'Inflicts 103 - 125 heat damage on target instantly and every 4 seconds',0,0),
(118844,140147,4,100,'Decreases Mitigation of target vs arcane damage by 561',0,1),
(118845,140147,5,100,'Inflicts 112 - 137 heat damage on target instantly and every 4 seconds',0,0),
(118846,140147,5,100,'Decreases Mitigation of target vs arcane damage by 612',0,1),
(118847,140147,7,100,'Inflicts 144 - 176 heat damage on target instantly and every 4 seconds',0,0),
(118848,140147,7,100,'Decreases Mitigation of target vs arcane damage by 785',0,1),
(118849,140147,9,100,'Inflicts 149 - 182 heat damage on target instantly and every 4 seconds',0,0),
(118850,140147,9,100,'Decreases Mitigation of target vs arcane damage by 816',0,1),
(118851,140148,1,100,'Inflicts 113 - 138 heat damage on target instantly and every 4 seconds',0,0),
(118852,140148,1,100,'Decreases Mitigation of target vs arcane damage by 585',0,1),
(118853,140148,2,100,'Inflicts 119 - 146 heat damage on target instantly and every 4 seconds',0,0),
(118854,140148,2,100,'Decreases Mitigation of target vs arcane damage by 618',0,1),
(118855,140148,3,100,'Inflicts 125 - 153 heat damage on target instantly and every 4 seconds',0,0),
(118856,140148,3,100,'Decreases Mitigation of target vs arcane damage by 650',0,1),
(118857,140148,4,100,'Inflicts 138 - 169 heat damage on target instantly and every 4 seconds',0,0),
(118858,140148,4,100,'Decreases Mitigation of target vs arcane damage by 715',0,1),
(118859,140148,5,100,'Inflicts 151 - 184 heat damage on target instantly and every 4 seconds',0,0),
(118860,140148,5,100,'Decreases Mitigation of target vs arcane damage by 780',0,1),
(118861,140148,7,100,'Inflicts 193 - 236 heat damage on target instantly and every 4 seconds',0,0),
(118862,140148,7,100,'Decreases Mitigation of target vs arcane damage by 1001',0,1),
(118863,140148,9,100,'Inflicts 201 - 245 heat damage on target instantly and every 4 seconds',0,0),
(118864,140148,9,100,'Decreases Mitigation of target vs arcane damage by 1040',0,1),
(118865,140149,1,100,'Inflicts 142 - 173 heat damage on target instantly and every 4 seconds',0,0),
(118866,140149,1,100,'Decreases Mitigation of target vs arcane damage by 762',0,1),
(118867,140149,2,100,'Inflicts 149 - 183 heat damage on target instantly and every 4 seconds',0,0),
(118868,140149,2,100,'Decreases Mitigation of target vs arcane damage by 805',0,1),
(118869,140149,3,100,'Inflicts 157 - 192 heat damage on target instantly and every 4 seconds',0,0),
(118870,140149,3,100,'Decreases Mitigation of target vs arcane damage by 847',0,1),
(118871,140149,4,100,'Inflicts 173 - 212 heat damage on target instantly and every 4 seconds',0,0),
(118872,140149,4,100,'Decreases Mitigation of target vs arcane damage by 932',0,1),
(118873,140149,5,100,'Inflicts 189 - 231 heat damage on target instantly and every 4 seconds',0,0),
(118874,140149,5,100,'Decreases Mitigation of target vs arcane damage by 1016',0,1),
(118875,140149,7,100,'Inflicts 242 - 296 heat damage on target instantly and every 4 seconds',0,0),
(118876,140149,7,100,'Decreases Mitigation of target vs arcane damage by 1304',0,1),
(118877,140149,9,100,'Inflicts 252 - 308 heat damage on target instantly and every 4 seconds',0,0),
(118878,140149,9,100,'Decreases Mitigation of target vs arcane damage by 1355',0,1),
(118879,140150,1,100,'Inflicts 171 - 209 heat damage on target instantly and every 4 seconds',0,0),
(118880,140150,1,100,'Decreases Mitigation of target vs arcane damage by 940',0,1),
(118881,140150,4,100,'Inflicts 209 - 255 heat damage on target instantly and every 4 seconds',0,0),
(118882,140150,4,100,'Decreases Mitigation of target vs arcane damage by 1148',0,1),
(118883,140150,5,100,'Inflicts 228 - 278 heat damage on target instantly and every 4 seconds',0,0),
(118884,140150,5,100,'Decreases Mitigation of target vs arcane damage by 1253',0,1),
(118885,140150,7,100,'Inflicts 292 - 357 heat damage on target instantly and every 4 seconds',0,0),
(118886,140150,7,100,'Decreases Mitigation of target vs arcane damage by 1608',0,1),
(118887,140150,9,100,'Inflicts 304 - 371 heat damage on target instantly and every 4 seconds',0,0),
(118888,140150,9,100,'Decreases Mitigation of target vs arcane damage by 1670',0,1),
(118889,140151,1,100,'Inflicts 188 - 229 heat damage on target instantly and every 4 seconds',0,0),
(118890,140151,1,100,'Decreases Mitigation of target vs arcane damage by 1048',0,1),
(118891,140151,4,100,'Inflicts 229 - 280 heat damage on target instantly and every 4 seconds',0,0),
(118892,140151,4,100,'Decreases Mitigation of target vs arcane damage by 1280',0,1),
(118893,140151,5,100,'Inflicts 250 - 306 heat damage on target instantly and every 4 seconds',0,0),
(118894,140151,5,100,'Decreases Mitigation of target vs arcane damage by 1397',0,1),
(118895,140151,7,100,'Inflicts 321 - 392 heat damage on target instantly and every 4 seconds',0,0),
(118896,140151,7,100,'Decreases Mitigation of target vs arcane damage by 1793',0,1),
(118897,140151,9,100,'Inflicts 333 - 407 heat damage on target instantly and every 4 seconds',0,0),
(118898,140151,9,100,'Decreases Mitigation of target vs arcane damage by 1862',0,1),
(118899,200129,3,100,'Wards group members (AE) collectively against 1383 total points of all damage',0,0),
(118900,200130,1,100,'Inflicts 4 poison damage on target instantly and every 4 seconds',0,0),
(118901,200130,1,100,'Decreases WIS of target by 8.0',0,1),
(118902,200130,2,100,'Inflicts 4 poison damage on target instantly and every 4 seconds',0,0),
(118903,200130,2,100,'Decreases WIS of target by 8.4',0,1),
(118904,200130,3,100,'Inflicts 4 poison damage on target instantly and every 4 seconds',0,0),
(118905,200130,3,100,'Decreases WIS of target by 8.9',0,1),
(118906,200130,4,100,'Inflicts 4 poison damage on target instantly and every 4 seconds',0,0),
(118907,200130,4,100,'Decreases WIS of target by 9.7',0,1),
(118908,200130,5,100,'Inflicts 5 poison damage on target instantly and every 4 seconds',0,0),
(118909,200130,5,100,'Decreases WIS of target by 10.6',0,1),
(118910,200130,7,100,'Inflicts 6 poison damage on target instantly and every 4 seconds',0,0),
(118911,200130,7,100,'Decreases WIS of target by 13.6',0,1),
(118912,200130,9,100,'Inflicts 6 poison damage on target instantly and every 4 seconds',0,0),
(118913,200130,9,100,'Decreases WIS of target by 14.2',0,1),
(118914,200131,1,100,'Inflicts 12 poison damage on target instantly and every 4 seconds',0,0),
(118915,200131,1,100,'Decreases WIS of target by 11.9',0,1),
(118916,200131,2,100,'Inflicts 12 poison damage on target instantly and every 4 seconds',0,0),
(118917,200131,2,100,'Decreases WIS of target by 12.5',0,1),
(118918,200131,3,100,'Inflicts 13 poison damage on target instantly and every 4 seconds',0,0),
(118919,200131,3,100,'Decreases WIS of target by 13.2',0,1),
(118920,200131,4,100,'Inflicts 14 poison damage on target instantly and every 4 seconds',0,0),
(118921,200131,4,100,'Decreases WIS of target by 14.5',0,1),
(118922,200131,5,100,'Inflicts 16 poison damage on target instantly and every 4 seconds',0,0),
(118923,200131,5,100,'Decreases WIS of target by 15.8',0,1),
(118924,200131,7,100,'Inflicts 20 poison damage on target instantly and every 4 seconds',0,0),
(118925,200131,7,100,'Decreases WIS of target by 20.3',0,1),
(118926,200131,9,100,'Inflicts 21 poison damage on target instantly and every 4 seconds',0,0),
(118927,200131,9,100,'Decreases WIS of target by 21.1',0,1),
(118928,200131,10,100,'Inflicts 22 poison damage on target instantly and every 4 seconds',0,0),
(118929,200131,10,100,'Decreases WIS of target by 22.2',0,1),
(118930,200132,1,100,'Inflicts 27 poison damage on target instantly and every 4 seconds',0,0),
(118931,200132,1,100,'Decreases WIS of target by 26.3',0,1),
(118932,200132,2,100,'Inflicts 29 poison damage on target instantly and every 4 seconds',0,0),
(118933,200132,2,100,'Decreases WIS of target by 27.8',0,1),
(118934,200132,3,100,'Inflicts 30 poison damage on target instantly and every 4 seconds',0,0),
(118935,200132,3,100,'Decreases WIS of target by 29.3',0,1),
(118936,200132,4,100,'Inflicts 33 poison damage on target instantly and every 4 seconds',0,0),
(118937,200132,4,100,'Decreases WIS of target by 32.2',0,1),
(118938,200132,5,100,'Inflicts 36 poison damage on target instantly and every 4 seconds',0,0),
(118939,200132,5,100,'Decreases WIS of target by 35.1',0,1),
(118940,200132,7,100,'Inflicts 47 poison damage on target instantly and every 4 seconds',0,0),
(118941,200132,7,100,'Decreases WIS of target by 45.0',0,1),
(118942,200132,9,100,'Inflicts 49 poison damage on target instantly and every 4 seconds',0,0),
(118943,200132,9,100,'Decreases WIS of target by 46.8',0,1),
(118944,200133,1,100,'Inflicts 45 poison damage on target instantly and every 4 seconds',0,0),
(118945,200133,1,100,'Decreases WIS of target by 40.8',0,1),
(118946,200133,2,100,'Inflicts 47 poison damage on target instantly and every 4 seconds',0,0),
(118947,200133,2,100,'Decreases WIS of target by 43.0',0,1),
(118948,200133,3,100,'Inflicts 50 poison damage on target instantly and every 4 seconds',0,0),
(118949,200133,3,100,'Decreases WIS of target by 45.3',0,1),
(118950,200133,4,100,'Inflicts 55 poison damage on target instantly and every 4 seconds',0,0),
(118951,200133,4,100,'Decreases WIS of target by 49.8',0,1),
(118952,200133,5,100,'Inflicts 60 poison damage on target instantly and every 4 seconds',0,0),
(118953,200133,5,100,'Decreases WIS of target by 54.4',0,1),
(118954,200133,7,100,'Inflicts 77 poison damage on target instantly and every 4 seconds',0,0),
(118955,200133,7,100,'Decreases WIS of target by 69.8',0,1),
(118956,200133,9,100,'Inflicts 80 poison damage on target instantly and every 4 seconds',0,0),
(118957,200133,9,100,'Decreases WIS of target by 72.5',0,1),
(118958,200133,10,100,'Inflicts 84 poison damage on target instantly and every 4 seconds',0,0),
(118959,200133,10,100,'Decreases WIS of target by 76.1',0,1),
(118960,200134,1,100,'Inflicts 142 poison damage on target instantly and every 4 seconds',0,0),
(118961,200134,1,100,'Decreases WIS of target by 115.8',0,1),
(118962,200134,4,100,'Inflicts 173 poison damage on target instantly and every 4 seconds',0,0),
(118963,200134,4,100,'Decreases WIS of target by 141.6',0,1),
(118964,200134,5,100,'Inflicts 189 poison damage on target instantly and every 4 seconds',0,0),
(118965,200134,5,100,'Decreases WIS of target by 154.4',0,1),
(118966,200134,7,100,'Inflicts 243 poison damage on target instantly and every 4 seconds',0,0),
(118967,200134,7,100,'Decreases WIS of target by 198.2',0,1),
(118968,200134,9,100,'Inflicts 252 poison damage on target instantly and every 4 seconds',0,0),
(118969,200134,9,100,'Decreases WIS of target by 205.9',0,1),
(118970,200135,1,100,'Inflicts 66 poison damage on target instantly and every 4 seconds',0,0),
(118971,200135,1,100,'Decreases WIS of target by 55.9',0,1),
(118972,200135,2,100,'Inflicts 70 poison damage on target instantly and every 4 seconds',0,0),
(118973,200135,2,100,'Decreases WIS of target by 59.0',0,1),
(118974,200135,3,100,'Inflicts 74 poison damage on target instantly and every 4 seconds',0,0),
(118975,200135,3,100,'Decreases WIS of target by 62.1',0,1),
(118976,200135,4,100,'Inflicts 81 poison damage on target instantly and every 4 seconds',0,0),
(118977,200135,4,100,'Decreases WIS of target by 68.3',0,1),
(118978,200135,5,100,'Inflicts 88 poison damage on target instantly and every 4 seconds',0,0),
(118979,200135,5,100,'Decreases WIS of target by 74.5',0,1),
(118980,200135,7,100,'Inflicts 113 poison damage on target instantly and every 4 seconds',0,0),
(118981,200135,7,100,'Decreases WIS of target by 95.6',0,1),
(118982,200135,9,100,'Inflicts 118 poison damage on target instantly and every 4 seconds',0,0),
(118983,200135,9,100,'Decreases WIS of target by 99.4',0,1),
(118984,200136,1,100,'Inflicts 88 poison damage on target instantly and every 4 seconds',0,0),
(118985,200136,1,100,'Decreases WIS of target by 71.0',0,1),
(118986,200136,2,100,'Inflicts 93 poison damage on target instantly and every 4 seconds',0,0),
(118987,200136,2,100,'Decreases WIS of target by 75.0',0,1),
(118988,200136,3,100,'Inflicts 98 poison damage on target instantly and every 4 seconds',0,0),
(118989,200136,3,100,'Decreases WIS of target by 78.9',0,1),
(118990,200136,4,100,'Inflicts 108 poison damage on target instantly and every 4 seconds',0,0),
(118991,200136,4,100,'Decreases WIS of target by 86.8',0,1),
(118992,200136,5,100,'Inflicts 117 poison damage on target instantly and every 4 seconds',0,0),
(118993,200136,5,100,'Decreases WIS of target by 94.7',0,1),
(118994,200136,7,100,'Inflicts 151 poison damage on target instantly and every 4 seconds',0,0),
(118995,200136,7,100,'Decreases WIS of target by 121.5',0,1),
(118996,200136,9,100,'Inflicts 156 poison damage on target instantly and every 4 seconds',0,0),
(118997,200136,9,100,'Decreases WIS of target by 126.2',0,1),
(118998,200137,1,100,'Inflicts 108 poison damage on target instantly and every 4 seconds',0,0),
(118999,200137,1,100,'Decreases WIS of target by 86.1',0,1),
(119000,200137,2,100,'Inflicts 114 poison damage on target instantly and every 4 seconds',0,0),
(119001,200137,2,100,'Decreases WIS of target by 90.9',0,1),
(119002,200137,3,100,'Inflicts 120 poison damage on target instantly and every 4 seconds',0,0),
(119003,200137,3,100,'Decreases WIS of target by 95.7',0,1),
(119004,200137,4,100,'Inflicts 133 poison damage on target instantly and every 4 seconds',0,0),
(119005,200137,4,100,'Decreases WIS of target by 105.3',0,1),
(119006,200137,5,100,'Inflicts 145 poison damage on target instantly and every 4 seconds',0,0),
(119007,200137,5,100,'Decreases WIS of target by 114.8',0,1),
(119008,200137,7,100,'Inflicts 186 poison damage on target instantly and every 4 seconds',0,0),
(119009,200137,7,100,'Decreases WIS of target by 147.4',0,1),
(119010,200137,9,100,'Inflicts 193 poison damage on target instantly and every 4 seconds',0,0),
(119011,200137,9,100,'Decreases WIS of target by 153.1',0,1),
(119012,200138,1,100,'Inflicts 131 poison damage on target instantly and every 4 seconds',0,0),
(119013,200138,1,100,'Decreases WIS of target by 101.0',0,1),
(119014,200138,4,100,'Inflicts 160 poison damage on target instantly and every 4 seconds',0,0),
(119015,200138,4,100,'Decreases WIS of target by 123.4',0,1),
(119016,200138,5,100,'Inflicts 174 poison damage on target instantly and every 4 seconds',0,0),
(119017,200138,5,100,'Decreases WIS of target by 134.6',0,1),
(119018,200138,7,100,'Inflicts 223 poison damage on target instantly and every 4 seconds',0,0),
(119019,200138,7,100,'Decreases WIS of target by 172.8',0,1),
(119020,200138,9,100,'Inflicts 232 poison damage on target instantly and every 4 seconds',0,0),
(119021,200138,9,100,'Decreases WIS of target by 179.5',0,1),
(119022,440113,1,100,'Heals target for 6.0% of max health instantly and every 5 seconds',0,0),
(119023,440113,1,100,'This effect cannot be critically applied.',1,1),
(119024,290164,1,100,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',0,0),
(119025,290164,1,100,'Slows target by 27.9%',1,1),
(119026,290164,1,100,'5% chance to dispel when target receives hostile action',1,2),
(119027,290164,1,100,'5% chance to dispel when target takes damage',1,3),
(119028,290164,1,100,'Roots target',0,4),
(119029,290164,1,100,'15% chance to dispel when target takes damage',0,5),
(119030,290164,1,100,'Does not affect Epic targets',0,6),
(119031,290164,1,100,'Resistibility increases against targets higher than level 29.',0,7),
(119032,290164,2,100,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',0,0),
(119033,290164,2,100,'Slows target by 29.4%',1,1),
(119034,290164,2,100,'5% chance to dispel when target receives hostile action',1,2),
(119035,290164,2,100,'5% chance to dispel when target takes damage',1,3),
(119036,290164,2,100,'Roots target',0,4),
(119037,290164,2,100,'15% chance to dispel when target takes damage',0,5),
(119038,290164,2,100,'Does not affect Epic targets',0,6),
(119039,290164,2,100,'Resistibility increases against targets higher than level 29.',0,7),
(119040,290164,3,100,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',0,0),
(119041,290164,3,100,'Slows target by 31.0%',1,1),
(119042,290164,3,100,'5% chance to dispel when target receives hostile action',1,2),
(119043,290164,3,100,'5% chance to dispel when target takes damage',1,3),
(119044,290164,3,100,'Roots target',0,4),
(119045,290164,3,100,'15% chance to dispel when target takes damage',0,5),
(119046,290164,3,100,'Does not affect Epic targets',0,6),
(119047,290164,3,100,'Resistibility increases against targets higher than level 29.',0,7),
(119048,290164,4,100,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',0,0),
(119049,290164,4,100,'Slows target by 34.1%',1,1),
(119050,290164,4,100,'5% chance to dispel when target receives hostile action',1,2),
(119051,290164,4,100,'5% chance to dispel when target takes damage',1,3),
(119052,290164,4,100,'Roots target',0,4),
(119053,290164,4,100,'15% chance to dispel when target takes damage',0,5),
(119054,290164,4,100,'Does not affect Epic targets',0,6),
(119055,290164,4,100,'Resistibility increases against targets higher than level 29.',0,7),
(119056,290164,5,100,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',0,0),
(119057,290164,5,100,'Slows target by 37.2%',1,1),
(119058,290164,5,100,'5% chance to dispel when target receives hostile action',1,2),
(119059,290164,5,100,'5% chance to dispel when target takes damage',1,3),
(119060,290164,5,100,'Roots target',0,4),
(119061,290164,5,100,'15% chance to dispel when target takes damage',0,5),
(119062,290164,5,100,'Does not affect Epic targets',0,6),
(119063,290164,5,100,'Resistibility increases against targets higher than level 29.',0,7),
(119064,290164,7,100,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',0,0),
(119065,290164,7,100,'Slows target by 47.7%',1,1),
(119066,290164,7,100,'5% chance to dispel when target receives hostile action',1,2),
(119067,290164,7,100,'5% chance to dispel when target takes damage',1,3),
(119068,290164,7,100,'Roots target',0,4),
(119069,290164,7,100,'15% chance to dispel when target takes damage',0,5),
(119070,290164,7,100,'Does not affect Epic targets',0,6),
(119071,290164,7,100,'Resistibility increases against targets higher than level 29.',0,7),
(119072,290164,9,100,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',0,0),
(119073,290164,9,100,'Slows target by 49.6%',1,1),
(119074,290164,9,100,'5% chance to dispel when target receives hostile action',1,2),
(119075,290164,9,100,'5% chance to dispel when target takes damage',1,3),
(119076,290164,9,100,'Roots target',0,4),
(119077,290164,9,100,'15% chance to dispel when target takes damage',0,5),
(119078,290164,9,100,'Does not affect Epic targets',0,6),
(119079,290164,9,100,'Resistibility increases against targets higher than level 29.',0,7),
(119080,290165,1,100,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',0,0),
(119081,290165,1,100,'Slows target by 30.4%',1,1),
(119082,290165,1,100,'5% chance to dispel when target receives hostile action',1,2),
(119083,290165,1,100,'5% chance to dispel when target takes damage',1,3),
(119084,290165,1,100,'Roots target',0,4),
(119085,290165,1,100,'15% chance to dispel when target takes damage',0,5),
(119086,290165,1,100,'Does not affect Epic targets',0,6),
(119087,290165,1,100,'Resistibility increases against targets higher than level 29.',0,7),
(119088,290165,2,100,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',0,0),
(119089,290165,2,100,'Slows target by 32.1%',1,1),
(119090,290165,2,100,'5% chance to dispel when target receives hostile action',1,2),
(119091,290165,2,100,'5% chance to dispel when target takes damage',1,3),
(119092,290165,2,100,'Roots target',0,4),
(119093,290165,2,100,'15% chance to dispel when target takes damage',0,5),
(119094,290165,2,100,'Does not affect Epic targets',0,6),
(119095,290165,2,100,'Resistibility increases against targets higher than level 29.',0,7),
(119096,290165,3,100,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',0,0),
(119097,290165,3,100,'Slows target by 33.8%',1,1),
(119098,290165,3,100,'5% chance to dispel when target receives hostile action',1,2),
(119099,290165,3,100,'5% chance to dispel when target takes damage',1,3),
(119100,290165,3,100,'Roots target',0,4),
(119101,290165,3,100,'15% chance to dispel when target takes damage',0,5),
(119102,290165,3,100,'Does not affect Epic targets',0,6),
(119103,290165,3,100,'Resistibility increases against targets higher than level 29.',0,7),
(119104,290165,4,100,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',0,0),
(119105,290165,4,100,'Slows target by 37.2%',1,1),
(119106,290165,4,100,'5% chance to dispel when target receives hostile action',1,2),
(119107,290165,4,100,'5% chance to dispel when target takes damage',1,3),
(119108,290165,4,100,'Roots target',0,4),
(119109,290165,4,100,'15% chance to dispel when target takes damage',0,5),
(119110,290165,4,100,'Does not affect Epic targets',0,6),
(119111,290165,4,100,'Resistibility increases against targets higher than level 29.',0,7),
(119112,290165,5,100,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',0,0),
(119113,290165,5,100,'Slows target by 40.6%',1,1),
(119114,290165,5,100,'5% chance to dispel when target receives hostile action',1,2),
(119115,290165,5,100,'5% chance to dispel when target takes damage',1,3),
(119116,290165,5,100,'Roots target',0,4),
(119117,290165,5,100,'15% chance to dispel when target takes damage',0,5),
(119118,290165,5,100,'Does not affect Epic targets',0,6),
(119119,290165,5,100,'Resistibility increases against targets higher than level 29.',0,7),
(119120,290165,7,100,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',0,0),
(119121,290165,7,100,'Slows target by 52.1%',1,1),
(119122,290165,7,100,'5% chance to dispel when target receives hostile action',1,2),
(119123,290165,7,100,'5% chance to dispel when target takes damage',1,3),
(119124,290165,7,100,'Roots target',0,4),
(119125,290165,7,100,'15% chance to dispel when target takes damage',0,5),
(119126,290165,7,100,'Does not affect Epic targets',0,6),
(119127,290165,7,100,'Resistibility increases against targets higher than level 29.',0,7),
(119128,290165,9,100,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',0,0),
(119129,290165,9,100,'Slows target by 54.1%',1,1),
(119130,290165,9,100,'5% chance to dispel when target receives hostile action',1,2),
(119131,290165,9,100,'5% chance to dispel when target takes damage',1,3),
(119132,290165,9,100,'Roots target',0,4),
(119133,290165,9,100,'15% chance to dispel when target takes damage',0,5),
(119134,290165,9,100,'Does not affect Epic targets',0,6),
(119135,290165,9,100,'Resistibility increases against targets higher than level 29.',0,7),
(119136,290166,1,100,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',0,0),
(119137,290166,1,100,'Slows target by 32.9%',1,1),
(119138,290166,1,100,'5% chance to dispel when target receives hostile action',1,2),
(119139,290166,1,100,'5% chance to dispel when target takes damage',1,3),
(119140,290166,1,100,'Roots target',0,4),
(119141,290166,1,100,'15% chance to dispel when target takes damage',0,5),
(119142,290166,1,100,'Does not affect Epic targets',0,6),
(119143,290166,1,100,'Resistibility increases against targets higher than level 29.',0,7),
(119144,290166,2,100,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',0,0),
(119145,290166,2,100,'Slows target by 34.8%',1,1),
(119146,290166,2,100,'5% chance to dispel when target receives hostile action',1,2),
(119147,290166,2,100,'5% chance to dispel when target takes damage',1,3),
(119148,290166,2,100,'Roots target',0,4),
(119149,290166,2,100,'15% chance to dispel when target takes damage',0,5),
(119150,290166,2,100,'Does not affect Epic targets',0,6),
(119151,290166,2,100,'Resistibility increases against targets higher than level 29.',0,7),
(119152,290166,3,100,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',0,0),
(119153,290166,3,100,'Slows target by 36.6%',1,1),
(119154,290166,3,100,'5% chance to dispel when target receives hostile action',1,2),
(119155,290166,3,100,'5% chance to dispel when target takes damage',1,3),
(119156,290166,3,100,'Roots target',0,4),
(119157,290166,3,100,'15% chance to dispel when target takes damage',0,5),
(119158,290166,3,100,'Does not affect Epic targets',0,6),
(119159,290166,3,100,'Resistibility increases against targets higher than level 29.',0,7),
(119160,290166,4,100,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',0,0),
(119161,290166,4,100,'Slows target by 40.3%',1,1),
(119162,290166,4,100,'5% chance to dispel when target receives hostile action',1,2),
(119163,290166,4,100,'5% chance to dispel when target takes damage',1,3),
(119164,290166,4,100,'Roots target',0,4),
(119165,290166,4,100,'15% chance to dispel when target takes damage',0,5),
(119166,290166,4,100,'Does not affect Epic targets',0,6),
(119167,290166,4,100,'Resistibility increases against targets higher than level 29.',0,7),
(119168,290166,5,100,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',0,0),
(119169,290166,5,100,'Slows target by 43.9%',1,1),
(119170,290166,5,100,'5% chance to dispel when target receives hostile action',1,2),
(119171,290166,5,100,'5% chance to dispel when target takes damage',1,3),
(119172,290166,5,100,'Roots target',0,4),
(119173,290166,5,100,'15% chance to dispel when target takes damage',0,5),
(119174,290166,5,100,'Does not affect Epic targets',0,6),
(119175,290166,5,100,'Resistibility increases against targets higher than level 29.',0,7),
(119176,290166,7,100,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',0,0),
(119177,290166,7,100,'Slows target by 56.4%',1,1),
(119178,290166,7,100,'5% chance to dispel when target receives hostile action',1,2),
(119179,290166,7,100,'5% chance to dispel when target takes damage',1,3),
(119180,290166,7,100,'Roots target',0,4),
(119181,290166,7,100,'15% chance to dispel when target takes damage',0,5),
(119182,290166,7,100,'Does not affect Epic targets',0,6),
(119183,290166,7,100,'Resistibility increases against targets higher than level 29.',0,7),
(119184,290166,9,100,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',0,0),
(119185,290166,9,100,'Slows target by 58.6%',1,1),
(119186,290166,9,100,'5% chance to dispel when target receives hostile action',1,2),
(119187,290166,9,100,'5% chance to dispel when target takes damage',1,3),
(119188,290166,9,100,'Roots target',0,4),
(119189,290166,9,100,'15% chance to dispel when target takes damage',0,5),
(119190,290166,9,100,'Does not affect Epic targets',0,6),
(119191,290166,9,100,'Resistibility increases against targets higher than level 29.',0,7),
(119192,290167,1,100,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',0,0),
(119193,290167,1,100,'Slows target by 35.5%',1,1),
(119194,290167,1,100,'5% chance to dispel when target receives hostile action',1,2),
(119195,290167,1,100,'5% chance to dispel when target takes damage',1,3),
(119196,290167,1,100,'Roots target',0,4),
(119197,290167,1,100,'15% chance to dispel when target takes damage',0,5),
(119198,290167,1,100,'Does not affect Epic targets',0,6),
(119199,290167,1,100,'Resistibility increases against targets higher than level 29.',0,7),
(119200,290167,2,100,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',0,0),
(119201,290167,2,100,'Slows target by 37.4%',1,1),
(119202,290167,2,100,'5% chance to dispel when target receives hostile action',1,2),
(119203,290167,2,100,'5% chance to dispel when target takes damage',1,3),
(119204,290167,2,100,'Roots target',0,4),
(119205,290167,2,100,'15% chance to dispel when target takes damage',0,5),
(119206,290167,2,100,'Does not affect Epic targets',0,6),
(119207,290167,2,100,'Resistibility increases against targets higher than level 29.',0,7),
(119208,290167,3,100,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',0,0),
(119209,290167,3,100,'Slows target by 39.4%',1,1),
(119210,290167,3,100,'5% chance to dispel when target receives hostile action',1,2),
(119211,290167,3,100,'5% chance to dispel when target takes damage',1,3),
(119212,290167,3,100,'Roots target',0,4),
(119213,290167,3,100,'15% chance to dispel when target takes damage',0,5),
(119214,290167,3,100,'Does not affect Epic targets',0,6),
(119215,290167,3,100,'Resistibility increases against targets higher than level 29.',0,7),
(119216,290167,4,100,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',0,0),
(119217,290167,4,100,'Slows target by 43.3%',1,1),
(119218,290167,4,100,'5% chance to dispel when target receives hostile action',1,2),
(119219,290167,4,100,'5% chance to dispel when target takes damage',1,3),
(119220,290167,4,100,'Roots target',0,4),
(119221,290167,4,100,'15% chance to dispel when target takes damage',0,5),
(119222,290167,4,100,'Does not affect Epic targets',0,6),
(119223,290167,4,100,'Resistibility increases against targets higher than level 29.',0,7),
(119224,290167,5,100,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',0,0),
(119225,290167,5,100,'Slows target by 47.3%',1,1),
(119226,290167,5,100,'5% chance to dispel when target receives hostile action',1,2),
(119227,290167,5,100,'5% chance to dispel when target takes damage',1,3),
(119228,290167,5,100,'Roots target',0,4),
(119229,290167,5,100,'15% chance to dispel when target takes damage',0,5),
(119230,290167,5,100,'Does not affect Epic targets',0,6),
(119231,290167,5,100,'Resistibility increases against targets higher than level 29.',0,7),
(119232,290167,7,100,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',0,0),
(119233,290167,7,100,'Slows target by 60.7%',1,1),
(119234,290167,7,100,'5% chance to dispel when target receives hostile action',1,2),
(119235,290167,7,100,'5% chance to dispel when target takes damage',1,3),
(119236,290167,7,100,'Roots target',0,4),
(119237,290167,7,100,'15% chance to dispel when target takes damage',0,5),
(119238,290167,7,100,'Does not affect Epic targets',0,6),
(119239,290167,7,100,'Resistibility increases against targets higher than level 29.',0,7),
(119240,290167,9,100,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',0,0),
(119241,290167,9,100,'Slows target by 63.0%',1,1),
(119242,290167,9,100,'5% chance to dispel when target receives hostile action',1,2),
(119243,290167,9,100,'5% chance to dispel when target takes damage',1,3),
(119244,290167,9,100,'Roots target',0,4),
(119245,290167,9,100,'15% chance to dispel when target takes damage',0,5),
(119246,290167,9,100,'Does not affect Epic targets',0,6),
(119247,290167,9,100,'Resistibility increases against targets higher than level 29.',0,7),
(119248,290168,1,100,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',0,0),
(119249,290168,1,100,'Slows target by 36.4%',1,1),
(119250,290168,1,100,'5% chance to dispel when target receives hostile action',1,2),
(119251,290168,1,100,'5% chance to dispel when target takes damage',1,3),
(119252,290168,1,100,'Roots target',0,4),
(119253,290168,1,100,'15% chance to dispel when target takes damage',0,5),
(119254,290168,1,100,'Does not affect Epic targets',0,6),
(119255,290168,1,100,'Resistibility increases against targets higher than level 29.',0,7),
(119256,290168,2,100,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',0,0),
(119257,290168,2,100,'Slows target by 38.4%',1,1),
(119258,290168,2,100,'5% chance to dispel when target receives hostile action',1,2),
(119259,290168,2,100,'5% chance to dispel when target takes damage',1,3),
(119260,290168,2,100,'Roots target',0,4),
(119261,290168,2,100,'15% chance to dispel when target takes damage',0,5),
(119262,290168,2,100,'Does not affect Epic targets',0,6),
(119263,290168,2,100,'Resistibility increases against targets higher than level 29.',0,7),
(119264,290168,3,100,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',0,0),
(119265,290168,3,100,'Slows target by 40.4%',1,1),
(119266,290168,3,100,'5% chance to dispel when target receives hostile action',1,2),
(119267,290168,3,100,'5% chance to dispel when target takes damage',1,3),
(119268,290168,3,100,'Roots target',0,4),
(119269,290168,3,100,'15% chance to dispel when target takes damage',0,5),
(119270,290168,3,100,'Does not affect Epic targets',0,6),
(119271,290168,3,100,'Resistibility increases against targets higher than level 29.',0,7),
(119272,290168,4,100,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',0,0),
(119273,290168,4,100,'Slows target by 44.5%',1,1),
(119274,290168,4,100,'5% chance to dispel when target receives hostile action',1,2),
(119275,290168,4,100,'5% chance to dispel when target takes damage',1,3),
(119276,290168,4,100,'Roots target',0,4),
(119277,290168,4,100,'15% chance to dispel when target takes damage',0,5),
(119278,290168,4,100,'Does not affect Epic targets',0,6),
(119279,290168,4,100,'Resistibility increases against targets higher than level 29.',0,7),
(119280,290168,5,100,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',0,0),
(119281,290168,5,100,'Slows target by 48.5%',1,1),
(119282,290168,5,100,'5% chance to dispel when target receives hostile action',1,2),
(119283,290168,5,100,'5% chance to dispel when target takes damage',1,3),
(119284,290168,5,100,'Roots target',0,4),
(119285,290168,5,100,'15% chance to dispel when target takes damage',0,5),
(119286,290168,5,100,'Does not affect Epic targets',0,6),
(119287,290168,5,100,'Resistibility increases against targets higher than level 29.',0,7),
(119288,290168,7,100,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',0,0),
(119289,290168,7,100,'Slows target by 62.3%',1,1),
(119290,290168,7,100,'5% chance to dispel when target receives hostile action',1,2),
(119291,290168,7,100,'5% chance to dispel when target takes damage',1,3),
(119292,290168,7,100,'Roots target',0,4),
(119293,290168,7,100,'15% chance to dispel when target takes damage',0,5),
(119294,290168,7,100,'Does not affect Epic targets',0,6),
(119295,290168,7,100,'Resistibility increases against targets higher than level 29.',0,7),
(119296,290168,9,100,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',0,0),
(119297,290168,9,100,'Slows target by 64.7%',1,1),
(119298,290168,9,100,'5% chance to dispel when target receives hostile action',1,2),
(119299,290168,9,100,'5% chance to dispel when target takes damage',1,3),
(119300,290168,9,100,'Roots target',0,4),
(119301,290168,9,100,'15% chance to dispel when target takes damage',0,5),
(119302,290168,9,100,'Does not affect Epic targets',0,6),
(119303,290168,9,100,'Resistibility increases against targets higher than level 29.',0,7),
(119304,290169,1,100,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',0,0),
(119305,290169,1,100,'Slows target by 36.8%',1,1),
(119306,290169,1,100,'5% chance to dispel when target receives hostile action',1,2),
(119307,290169,1,100,'5% chance to dispel when target takes damage',1,3),
(119308,290169,1,100,'Roots target',0,4),
(119309,290169,1,100,'15% chance to dispel when target takes damage',0,5),
(119310,290169,1,100,'Does not affect Epic targets',0,6),
(119311,290169,1,100,'Resistibility increases against targets higher than level 29.',0,7),
(119312,290169,2,100,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',0,0),
(119313,290169,2,100,'Slows target by 38.9%',1,1),
(119314,290169,2,100,'5% chance to dispel when target receives hostile action',1,2),
(119315,290169,2,100,'5% chance to dispel when target takes damage',1,3),
(119316,290169,2,100,'Roots target',0,4),
(119317,290169,2,100,'15% chance to dispel when target takes damage',0,5),
(119318,290169,2,100,'Does not affect Epic targets',0,6),
(119319,290169,2,100,'Resistibility increases against targets higher than level 29.',0,7),
(119320,290169,3,100,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',0,0),
(119321,290169,3,100,'Slows target by 40.9%',1,1),
(119322,290169,3,100,'5% chance to dispel when target receives hostile action',1,2),
(119323,290169,3,100,'5% chance to dispel when target takes damage',1,3),
(119324,290169,3,100,'Roots target',0,4),
(119325,290169,3,100,'15% chance to dispel when target takes damage',0,5),
(119326,290169,3,100,'Does not affect Epic targets',0,6),
(119327,290169,3,100,'Resistibility increases against targets higher than level 29.',0,7),
(119328,290169,4,100,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',0,0),
(119329,290169,4,100,'Slows target by 45.0%',1,1),
(119330,290169,4,100,'5% chance to dispel when target receives hostile action',1,2),
(119331,290169,4,100,'5% chance to dispel when target takes damage',1,3),
(119332,290169,4,100,'Roots target',0,4),
(119333,290169,4,100,'15% chance to dispel when target takes damage',0,5),
(119334,290169,4,100,'Does not affect Epic targets',0,6),
(119335,290169,4,100,'Resistibility increases against targets higher than level 29.',0,7),
(119336,290169,5,100,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',0,0),
(119337,290169,5,100,'Slows target by 49.1%',1,1),
(119338,290169,5,100,'5% chance to dispel when target receives hostile action',1,2),
(119339,290169,5,100,'5% chance to dispel when target takes damage',1,3),
(119340,290169,5,100,'Roots target',0,4),
(119341,290169,5,100,'15% chance to dispel when target takes damage',0,5),
(119342,290169,5,100,'Does not affect Epic targets',0,6),
(119343,290169,5,100,'Resistibility increases against targets higher than level 29.',0,7),
(119344,290169,7,100,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',0,0),
(119345,290169,7,100,'Slows target by 63.0%',1,1),
(119346,290169,7,100,'5% chance to dispel when target receives hostile action',1,2),
(119347,290169,7,100,'5% chance to dispel when target takes damage',1,3),
(119348,290169,7,100,'Roots target',0,4),
(119349,290169,7,100,'15% chance to dispel when target takes damage',0,5),
(119350,290169,7,100,'Does not affect Epic targets',0,6),
(119351,290169,7,100,'Resistibility increases against targets higher than level 29.',0,7),
(119352,290169,9,100,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',0,0),
(119353,290169,9,100,'Slows target by 65.5%',1,1),
(119354,290169,9,100,'5% chance to dispel when target receives hostile action',1,2),
(119355,290169,9,100,'5% chance to dispel when target takes damage',1,3),
(119356,290169,9,100,'Roots target',0,4),
(119357,290169,9,100,'15% chance to dispel when target takes damage',0,5),
(119358,290169,9,100,'Does not affect Epic targets',0,6),
(119359,290169,9,100,'Resistibility increases against targets higher than level 29.',0,7),
(119360,290170,1,100,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',0,0),
(119361,290170,1,100,'Slows target by 37.2%',1,1),
(119362,290170,1,100,'5% chance to dispel when target receives hostile action',1,2),
(119363,290170,1,100,'5% chance to dispel when target takes damage',1,3),
(119364,290170,1,100,'Roots target',0,4),
(119365,290170,1,100,'15% chance to dispel when target takes damage',0,5),
(119366,290170,1,100,'Does not affect Epic targets',0,6),
(119367,290170,1,100,'Resistibility increases against targets higher than level 29.',0,7),
(119368,290170,4,100,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',0,0),
(119369,290170,4,100,'Slows target by 45.5%',1,1),
(119370,290170,4,100,'5% chance to dispel when target receives hostile action',1,2),
(119371,290170,4,100,'5% chance to dispel when target takes damage',1,3),
(119372,290170,4,100,'Roots target',0,4),
(119373,290170,4,100,'15% chance to dispel when target takes damage',0,5),
(119374,290170,4,100,'Does not affect Epic targets',0,6),
(119375,290170,4,100,'Resistibility increases against targets higher than level 29.',0,7),
(119376,290170,5,100,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',0,0),
(119377,290170,5,100,'Slows target by 49.6%',1,1),
(119378,290170,5,100,'5% chance to dispel when target receives hostile action',1,2),
(119379,290170,5,100,'5% chance to dispel when target takes damage',1,3),
(119380,290170,5,100,'Roots target',0,4),
(119381,290170,5,100,'15% chance to dispel when target takes damage',0,5),
(119382,290170,5,100,'Does not affect Epic targets',0,6),
(119383,290170,5,100,'Resistibility increases against targets higher than level 29.',0,7),
(119384,290170,7,100,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',0,0),
(119385,290170,7,100,'Slows target by 63.6%',1,1),
(119386,290170,7,100,'5% chance to dispel when target receives hostile action',1,2),
(119387,290170,7,100,'5% chance to dispel when target takes damage',1,3),
(119388,290170,7,100,'Roots target',0,4),
(119389,290170,7,100,'15% chance to dispel when target takes damage',0,5),
(119390,290170,7,100,'Does not affect Epic targets',0,6),
(119391,290170,7,100,'Resistibility increases against targets higher than level 29.',0,7),
(119392,290170,9,100,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',0,0),
(119393,290170,9,100,'Slows target by 66.1%',1,1),
(119394,290170,9,100,'5% chance to dispel when target receives hostile action',1,2),
(119395,290170,9,100,'5% chance to dispel when target takes damage',1,3),
(119396,290170,9,100,'Roots target',0,4),
(119397,290170,9,100,'15% chance to dispel when target takes damage',0,5),
(119398,290170,9,100,'Does not affect Epic targets',0,6),
(119399,290170,9,100,'Resistibility increases against targets higher than level 29.',0,7),
(119400,2000588,1,100,'Applies Rabies on termination.',0,0),
(119401,2000588,1,100,'Inflicts 2 - 3 disease damage on target',1,1),
(119402,2000588,1,100,'Inflicts 0 - 1 piercing damage on target',0,2),
(119403,2000588,1,100,'Inflicts 1 disease damage on target instantly and every 8 seconds',0,3),
(119404,2000589,1,100,'Applies Rabies II on termination.  Lasts for 16.0 seconds.',0,0),
(119405,2000589,1,100,'Inflicts 202 - 247 disease damage on target every 4 seconds',1,1),
(119406,2000589,1,100,'Inflicts 1 disease damage on target instantly and every 4 seconds',0,2),
(119407,2000589,2,100,'Applies Rabies II on termination.  Lasts for 16.0 seconds.',0,0),
(119408,2000589,2,100,'Inflicts 284 - 347 disease damage on target every 4 seconds',1,1),
(119409,2000589,2,100,'Inflicts 1 disease damage on target instantly and every 4 seconds',0,2),
(119410,2000589,3,100,'Applies Rabies II on termination.  Lasts for 16.0 seconds.',0,0),
(119411,2000589,3,100,'Inflicts 224 - 274 disease damage on target every 4 seconds',1,1),
(119412,2000589,3,100,'Inflicts 1 disease damage on target instantly and every 4 seconds',0,2),
(119413,2000589,4,100,'Applies Rabies II on termination.  Lasts for 16.0 seconds.',0,0),
(119414,2000589,4,100,'Inflicts 329 - 402 disease damage on target every 4 seconds',1,1),
(119415,2000589,4,100,'Inflicts 1 disease damage on target instantly and every 4 seconds',0,2),
(119416,2000589,5,100,'Applies Rabies II on termination.  Lasts for 16.0 seconds.',0,0),
(119417,2000589,5,100,'Inflicts 269 - 329 disease damage on target every 4 seconds',1,1),
(119418,2000589,5,100,'Inflicts 1 disease damage on target instantly and every 4 seconds',0,2),
(119419,2000589,6,100,'Applies Rabies II on termination.  Lasts for 16.0 seconds.',0,0),
(119420,2000589,6,100,'Inflicts 389 - 475 disease damage on target every 4 seconds',1,1),
(119421,2000589,6,100,'Inflicts 1 disease damage on target instantly and every 4 seconds',0,2),
(119422,2000589,7,100,'Applies Rabies II on termination.  Lasts for 16.0 seconds.',0,0),
(119423,2000589,7,100,'Inflicts 346 - 423 disease damage on target every 4 seconds',1,1),
(119424,2000589,7,100,'Inflicts 1 - 2 disease damage on target instantly and every 4 seconds',0,2),
(119425,2000589,8,100,'Applies Rabies II on termination.  Lasts for 16.0 seconds.',0,0),
(119426,2000589,8,100,'Inflicts 348 - 425 disease damage on target every 4 seconds',1,1),
(119427,2000589,8,100,'Inflicts 1 - 2 disease damage on target instantly and every 4 seconds',0,2),
(119428,2000589,9,100,'Applies Rabies II on termination.  Lasts for 16.0 seconds.',0,0),
(119429,2000589,9,100,'Inflicts 479 - 585 disease damage on target every 4 seconds',1,1),
(119430,2000589,9,100,'Inflicts 1 - 2 disease damage on target instantly and every 4 seconds',0,2),
(119431,2000589,10,100,'Applies Rabies II on termination.  Lasts for 16.0 seconds.',0,0),
(119432,2000589,10,100,'Inflicts 377 - 461 disease damage on target every 4 seconds',1,1),
(119433,2000589,10,100,'Inflicts 1 - 2 disease damage on target instantly and every 4 seconds',0,2),
(119434,120012,3,100,'When any damage is received this spell will cast Radiance on target.  ',0,0),
(119435,120012,3,100,'Heals target for 25 - 37 amount based on level.',1,1),
(119436,120012,3,100,'Grants a total of 5 triggers of the spell.',1,2),
(119437,120013,1,100,'Inflicts 37 - 45 divine damage on target',0,0),
(119438,120013,1,100,'Inflicts 37 - 45 divine damage on target',0,1),
(119439,120013,1,100,'If target is undead',1,2),
(119440,120013,2,100,'Inflicts 38 - 46 divine damage on target',0,0),
(119441,120013,2,100,'Inflicts 39 - 46 divine damage on target',0,1),
(119442,120013,2,100,'If target is undead',1,2),
(119443,120013,3,100,'Inflicts 40 - 48 divine damage on target',0,0),
(119444,120013,3,100,'Inflicts 40 - 48 divine damage on target',0,1),
(119445,120013,3,100,'If target is undead',1,2),
(119446,120013,4,100,'Inflicts 44 - 53 divine damage on target',0,0),
(119447,120013,4,100,'Inflicts 44 - 53 divine damage on target',0,1),
(119448,120013,4,100,'If target is undead',1,2),
(119449,120013,5,100,'Inflicts 48 - 58 divine damage on target',0,0),
(119450,120013,5,100,'Inflicts 48 - 58 divine damage on target',0,1),
(119451,120013,5,100,'If target is undead',1,2),
(119452,120013,7,100,'Inflicts 55 - 68 divine damage on target',0,0),
(119453,120013,7,100,'Inflicts 55 - 68 divine damage on target',0,1),
(119454,120013,7,100,'If target is undead',1,2),
(119455,120013,9,100,'Inflicts 66 - 77 divine damage on target',0,0),
(119456,120013,9,100,'Inflicts 66 - 77 divine damage on target',0,1),
(119457,120013,9,100,'If target is undead',1,2),
(119458,2000590,1,100,'Inflicts 521 - 637 cold damage on targets in Area of Effect',0,0),
(119459,2000590,1,100,'Inflicts 324 - 396 cold damage on targets in Area of Effect every 2 seconds',0,1),
(119460,2000590,1,100,'Inflicts 324 - 396 cold damage on targets in Area of Effect instantly and every 2 seconds',0,2),
(119461,2000590,1,100,'If target is elemental',1,3),
(119462,260148,1,100,'Increases Haste of target by 23.0',0,0),
(119463,260148,2,100,'Increases Haste of target by 24.3',0,0),
(119464,260148,3,100,'Increases Haste of target by 25.6',0,0),
(119465,260148,4,100,'Increases Haste of target by 28.1',0,0),
(119466,260148,5,100,'Increases Haste of target by 30.7',0,0),
(119467,260148,7,100,'Increases Haste of target by 39.4',0,0),
(119468,260148,9,100,'Increases Haste of target by 40.9',0,0),
(119469,260148,10,100,'Increases Haste of target by 42.9',0,0),
(119470,260149,1,100,'Increases Haste of target by 28.1',0,0),
(119471,260149,2,100,'Increases Haste of target by 29.6',0,0),
(119472,260149,3,100,'Increases Haste of target by 31.2',0,0),
(119473,260149,4,100,'Increases Haste of target by 34.3',0,0),
(119474,260149,5,100,'Increases Haste of target by 37.4',0,0),
(119475,260149,7,100,'Increases Haste of target by 48.0',0,0),
(119476,260149,9,100,'Increases Haste of target by 49.9',0,0),
(119477,260149,10,100,'Increases Haste of target by 52.4',0,0),
(119478,260150,1,100,'Increases Haste of target by 33.1',0,0),
(119479,260150,2,100,'Increases Haste of target by 34.9',0,0),
(119480,260150,3,100,'Increases Haste of target by 36.8',0,0),
(119481,260150,4,100,'Increases Haste of target by 40.4',0,0),
(119482,260150,5,100,'Increases Haste of target by 44.1',0,0),
(119483,260150,7,100,'Increases Haste of target by 56.6',0,0),
(119484,260150,9,100,'Increases Haste of target by 58.8',0,0),
(119485,260151,1,100,'Increases Haste of target by 38.0',0,0),
(119486,260151,2,100,'Increases Haste of target by 40.1',0,0),
(119487,260151,3,100,'Increases Haste of target by 42.2',0,0),
(119488,260151,4,100,'Increases Attack Speed of target by 46.4',0,0),
(119489,260151,5,100,'Increases Haste of target by 50.7',0,0),
(119490,260151,7,100,'Increases Attack Speed of target by 65.0',0,0),
(119491,260151,9,100,'Increases Haste of target by 67.6',0,0),
(119492,2000591,1,100,'Inflicts 1 - 2 slashing damage on target',0,0),
(119493,2000591,1,100,'Slows target by 30.0%',0,1),
(119494,2000592,1,100,'Applies Ravenous Protector to qualifying pets.',0,0),
(119495,2000592,1,100,'Increases Crit Chance of target by 20.0',1,1),
(119496,2000592,1,100,'Lowers the cast time of hostile spells by 15%.',0,2),
(119497,2000592,1,100,'Improves the damage of spells and combat arts by 10%.',0,3),
(119498,2000592,1,100,'Increases the critical damage of hostile spells and combat arts by 5%.',0,4),
(119499,2000592,1,100,'Increases the casting time of beneficial spells by 15%',0,5),
(119500,2000592,1,100,'Reduces the mystic''s heals and ward by 10%.',0,6),
(119501,360142,1,100,'Increases AGI, INT and WIS of group members (AE) by 5.2',0,0),
(119502,360142,1,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 13',0,1),
(119503,360142,2,100,'Increases AGI, INT and WIS of group members (AE) by 5.5',0,0),
(119504,360142,2,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 14',0,1),
(119505,360142,3,100,'Increases AGI, INT and WIS of group members (AE) by 5.8',0,0),
(119506,360142,3,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 14',0,1),
(119507,360142,4,100,'Increases AGI, INT and WIS of group members (AE) by 6.4',0,0),
(119508,360142,4,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 16',0,1),
(119509,360142,5,100,'Increases AGI, INT and WIS of group members (AE) by 7.0',0,0),
(119510,360142,5,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 17',0,1),
(119511,360142,7,100,'Increases AGI, INT and WIS of group members (AE) by 8.9',0,0),
(119512,360142,7,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 22',0,1),
(119513,360142,9,100,'Increases AGI, INT and WIS of group members (AE) by 9.3',0,0),
(119514,360142,9,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 23',0,1),
(119515,360143,1,100,'Increases AGI, INT and WIS of group members (AE) by 8.1',0,0),
(119516,360143,1,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 65',0,1),
(119517,360143,2,100,'Increases AGI, INT and WIS of group members (AE) by 8.6',0,0),
(119518,360143,2,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 68',0,1),
(119519,360143,3,100,'Increases AGI, INT and WIS of group members (AE) by 9.0',0,0),
(119520,360143,3,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 72',0,1),
(119521,360143,4,100,'Increases AGI, INT and WIS of group members (AE) by 9.9',0,0),
(119522,360143,4,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 79',0,1),
(119523,360143,5,100,'Increases AGI, INT and WIS of group members (AE) by 10.8',0,0),
(119524,360143,5,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 86',0,1),
(119525,360143,7,100,'Increases AGI, INT and WIS of group members (AE) by 13.9',0,0),
(119526,360143,7,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 111',0,1),
(119527,360143,9,100,'Increases AGI, INT and WIS of group members (AE) by 14.4',0,0),
(119528,360143,9,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 115',0,1),
(119529,360143,10,100,'Increases AGI, INT and WIS of group members (AE) by 15.1',0,0),
(119530,360143,10,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 121',0,1),
(119531,360144,1,100,'Increases AGI, INT and WIS of group members (AE) by 16.9',0,0),
(119532,360144,1,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 156',0,1),
(119533,360144,2,100,'Increases AGI, INT and WIS of group members (AE) by 17.9',0,0),
(119534,360144,2,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 164',0,1),
(119535,360144,3,100,'Increases AGI, INT and WIS of group members (AE) by 18.8',0,0),
(119536,360144,3,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 173',0,1),
(119537,360144,4,100,'Increases AGI, INT and WIS of group members (AE) by 20.7',0,0),
(119538,360144,4,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 190',0,1),
(119539,360144,5,100,'Increases AGI, INT and WIS of group members (AE) by 22.6',0,0),
(119540,360144,5,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 207',0,1),
(119541,360144,7,100,'Increases AGI, INT and WIS of group members (AE) by 29.0',0,0),
(119542,360144,7,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 266',0,1),
(119543,360144,9,100,'Increases AGI, INT and WIS of group members (AE) by 30.1',0,0),
(119544,360144,9,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 276',0,1),
(119545,360144,10,100,'Increases AGI, INT and WIS of group members (AE) by 31.6',0,0),
(119546,360144,10,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 290',0,1),
(119547,360145,1,100,'Increases AGI, INT and WIS of group members (AE) by 26.5',0,0),
(119548,360145,1,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 246',0,1),
(119549,360145,2,100,'Increases AGI, INT and WIS of group members (AE) by 27.9',0,0),
(119550,360145,2,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 260',0,1),
(119551,360145,3,100,'Increases AGI, INT and WIS of group members (AE) by 29.4',0,0),
(119552,360145,3,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 274',0,1),
(119553,360145,4,100,'Increases AGI, INT and WIS of group members (AE) by 32.3',0,0),
(119554,360145,4,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 301',0,1),
(119555,360145,5,100,'Increases AGI, INT and WIS of group members (AE) by 35.3',0,0),
(119556,360145,5,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 328',0,1),
(119557,360145,7,100,'Increases AGI, INT and WIS of group members (AE) by 45.3',0,0),
(119558,360145,7,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 421',0,1),
(119559,360145,9,100,'Increases AGI, INT and WIS of group members (AE) by 47.0',0,0),
(119560,360145,9,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 438',0,1),
(119561,360146,1,100,'Increases AGI, INT and WIS of group members (AE) by 36.5',0,0),
(119562,360146,1,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 337',0,1),
(119563,360146,2,100,'Increases AGI, INT and WIS of group members (AE) by 38.6',0,0),
(119564,360146,2,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 356',0,1),
(119565,360146,3,100,'Increases AGI, INT and WIS of group members (AE) by 40.6',0,0),
(119566,360146,3,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 374',0,1),
(119567,360146,4,100,'Increases AGI, INT and WIS of group members (AE) by 44.7',0,0),
(119568,360146,4,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 412',0,1),
(119569,360146,5,100,'Increases AGI, INT and WIS of group members (AE) by 48.7',0,0),
(119570,360146,5,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 449',0,1),
(119571,360146,7,100,'Increases AGI, INT and WIS of group members (AE) by 62.5',0,0),
(119572,360146,7,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 577',0,1),
(119573,360146,9,100,'Increases AGI, INT and WIS of group members (AE) by 65.0',0,0),
(119574,360146,9,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 599',0,1),
(119575,360146,10,100,'Increases AGI, INT and WIS of group members (AE) by 68.2',0,0),
(119576,360146,10,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 629',0,1),
(119577,360147,1,100,'Increases AGI, INT and WIS of group members (AE) by 46.6',0,0),
(119578,360147,1,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 428',0,1),
(119579,360147,2,100,'Increases AGI, INT and WIS of group members (AE) by 49.2',0,0),
(119580,360147,2,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 451',0,1),
(119581,360147,3,100,'Increases AGI, INT and WIS of group members (AE) by 51.8',0,0),
(119582,360147,3,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 475',0,1),
(119583,360147,4,100,'Increases AGI, INT and WIS of group members (AE) by 57.0',0,0),
(119584,360147,4,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 523',0,1),
(119585,360147,5,100,'Increases AGI, INT and WIS of group members (AE) by 62.2',0,0),
(119586,360147,5,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 570',0,1),
(119587,360147,7,100,'Increases AGI, INT and WIS of group members (AE) by 79.8',0,0),
(119588,360147,7,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 732',0,1),
(119589,360147,9,100,'Increases AGI, INT and WIS of group members (AE) by 82.9',0,0),
(119590,360147,9,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 760',0,1),
(119591,360148,1,100,'Increases AGI, INT and WIS of group members (AE) by 56.4',0,0),
(119592,360148,1,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 499',0,1),
(119593,360148,2,100,'Increases AGI, INT and WIS of group members (AE) by 59.6',0,0),
(119594,360148,2,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 527',0,1),
(119595,360148,3,100,'Increases AGI, INT and WIS of group members (AE) by 62.7',0,0),
(119596,360148,3,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 554',0,1),
(119597,360148,4,100,'Increases AGI, INT and WIS of group members (AE) by 69.0',0,0),
(119598,360148,4,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 610',0,1),
(119599,360148,5,100,'Increases AGI, INT and WIS of group members (AE) by 75.2',0,0),
(119600,360148,5,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 665',0,1),
(119601,360148,7,100,'Increases AGI, INT and WIS of group members (AE) by 96.6',0,0),
(119602,360148,7,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 854',0,1),
(119603,360148,9,100,'Increases AGI, INT and WIS of group members (AE) by 100.3',0,0),
(119604,360148,9,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 887',0,1),
(119605,360149,1,100,'Increases AGI, INT and WIS of group members (AE) by 76.2',0,0),
(119606,360149,1,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 629',0,1),
(119607,360150,1,100,'Increases AGI, INT and WIS of group members (AE) by 66.3',0,0),
(119608,360150,1,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 564',0,1),
(119609,360149,4,100,'Increases AGI, INT and WIS of group members (AE) by 93.2',0,0),
(119610,360149,4,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 768',0,1),
(119611,360150,4,100,'Increases AGI, INT and WIS of group members (AE) by 81.1',0,0),
(119612,360150,4,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 689',0,1),
(119613,360149,5,100,'Increases AGI, INT and WIS of group members (AE) by 101.6',0,0),
(119614,360149,5,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 838',0,1),
(119615,360150,5,100,'Increases AGI, INT and WIS of group members (AE) by 88.4',0,0),
(119616,360150,5,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 752',0,1),
(119617,360149,7,100,'Increases AGI, INT and WIS of group members (AE) by 130.4',0,0),
(119618,360149,7,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 1076',0,1),
(119619,360150,7,100,'Increases AGI, INT and WIS of group members (AE) by 113.5',0,0),
(119620,360150,7,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 965',0,1),
(119621,360149,9,100,'Increases AGI, INT and WIS of group members (AE) by 135.5',0,0),
(119622,360149,9,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 1117',0,1),
(119623,360150,9,100,'Increases AGI, INT and WIS of group members (AE) by 117.9',0,0),
(119624,360150,9,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 1002',0,1),
(119625,230134,1,100,'Inflicts 2149 - 3224 heat damage on target',0,0),
(119626,230134,2,100,'Inflicts 2269 - 3403 heat damage on target',0,0),
(119627,230134,3,100,'Inflicts 2388 - 3582 heat damage on target',0,0),
(119628,230134,4,100,'Inflicts 2627 - 3941 heat damage on target',0,0),
(119629,230134,5,100,'Inflicts 2866 - 4299 heat damage on target',0,0),
(119630,230134,7,100,'Inflicts 3678 - 5517 heat damage on target',0,0),
(119631,230134,9,100,'Inflicts 3821 - 5732 heat damage on target',0,0),
(119632,230135,1,100,'Inflicts 2586 - 3879 heat damage on target',0,0),
(119633,230135,4,100,'Inflicts 3160 - 4741 heat damage on target',0,0),
(119634,230135,5,100,'Inflicts 3448 - 5172 heat damage on target',0,0),
(119635,230135,7,100,'Inflicts 4425 - 6637 heat damage on target',0,0),
(119636,230135,9,100,'Inflicts 4597 - 6895 heat damage on target',0,0),
(119637,230136,1,100,'Inflicts 2744 - 4115 heat damage on target',0,0),
(119638,230136,4,100,'Inflicts 3353 - 5030 heat damage on target',0,0),
(119639,230136,5,100,'Inflicts 3658 - 5487 heat damage on target',0,0),
(119640,230136,7,100,'Inflicts 4695 - 7042 heat damage on target',0,0),
(119641,230136,9,100,'Inflicts 4878 - 7316 heat damage on target',0,0),
(119642,2000593,1,100,'Inflicts 1 - 2 slashing damage on target',0,0),
(119643,2000593,1,100,'Inflicts 1 - 2 slashing damage on target every 8 seconds',0,1),
(119644,200139,1,100,'Applies Reanimate on termination.  Lasts for 1 minute.',0,0),
(119645,200139,1,100,'Heals target for 30.0% of max health',1,1),
(119646,200139,1,100,'This effect cannot be critically applied.',2,2),
(119647,200139,1,100,'Increases power of target by 2.0% instantly and every 4 seconds',1,3),
(119648,200139,1,100,'This effect cannot be critically applied.',2,4),
(119649,200139,1,100,'Applies Revived Sickness on termination.  Lasts for 2 minutes.',0,5),
(119650,200139,1,100,'Decreases All Attributes of target by 20.0%',1,6),
(119651,200139,1,100,'If not between levels 1 - 6',2,7),
(119652,200139,1,100,'Decreases Haste of target by 20.0',1,8),
(119653,200139,1,100,'If not between levels 1 - 6',2,9),
(119654,200139,1,100,'Decreases All Attributes of target by 5.0%',1,10),
(119655,200139,1,100,'If between levels 1 - 6',2,11),
(119656,200139,1,100,'Decreases Haste of target by 5.0',1,12),
(119657,200139,1,100,'If between levels 1 - 6',2,13),
(119658,200139,1,100,'Resurrects target with 15% health and power',0,14),
(119659,200139,1,100,'If outside an arena',0,15),
(119660,200139,1,100,'If between levels 1 - 6',2,16),
(119661,200139,1,100,'If outside an arena',0,17),
(119662,2000594,1,100,'On death this spell will cast Reanimation on target.  ',0,0),
(119663,2000594,1,100,'Dispels 7 levels of any hostile effects on target',1,1),
(119664,2000594,1,100,'Heals target for 100.0% of max health',1,2),
(119665,2000594,1,100,'Clears almost all of the pet''s threat',1,3),
(119666,2000594,1,100,'Cannot be modified except by direct means',1,4),
(119667,2000594,1,100,'Grants a total of 1 trigger of the spell.',1,5),
(119668,2000595,1,100,'Applies Reaping.  Lasts for 30.0 seconds.',0,0),
(119669,2000595,1,100,'When a combat art is used this spell will cast Reap on target of combat art.  Lasts for 15.0 seconds.  ',1,1),
(119670,2000595,1,100,'Inflicts 3 - 5 disease damage on target',2,2),
(119671,2000595,1,100,'Heals caster for 1.6 - 1.9% of max health',2,3),
(119672,2000595,1,100,'This effect cannot be critically applied.',3,4),
(119673,2000595,1,100,'Increases Potency of group members (AE) by 6.0%',2,5),
(119674,2000595,1,100,'Inflicts 2 - 4 disease damage on targets in Area of Effect',0,6),
(119675,2000595,1,100,'Inflicts 3 - 5 disease damage on targets in Area of Effect',0,7),
(119676,2000595,2,100,'Applies Reaping.  Lasts for 30.0 seconds.',0,0),
(119677,2000595,2,100,'When a combat art is used this spell will cast Reap on target of combat art.  Lasts for 15.0 seconds.  ',1,1),
(119678,2000595,2,100,'Inflicts 194 - 360 disease damage on target',2,2),
(119679,2000595,2,100,'Heals caster for 2.0 - 2.4% of max health',2,3),
(119680,2000595,2,100,'This effect cannot be critically applied.',3,4),
(119681,2000595,2,100,'Increases Potency of group members (AE) by 6.9%',2,5),
(119682,2000595,2,100,'Inflicts 2 - 4 disease damage on targets in Area of Effect',0,6),
(119683,2000595,2,100,'Inflicts 3 - 5 disease damage on targets in Area of Effect',0,7),
(119684,2000595,3,100,'Applies Reaping.  Lasts for 30.0 seconds.',0,0),
(119685,2000595,3,100,'When a combat art is used this spell will cast Reap on target of combat art.  Lasts for 15.0 seconds.  ',1,1),
(119686,2000595,3,100,'Inflicts 145 - 270 disease damage on target',2,2),
(119687,2000595,3,100,'Heals caster for 1.9 - 2.3% of max health',2,3),
(119688,2000595,3,100,'This effect cannot be critically applied.',3,4),
(119689,2000595,3,100,'Increases Potency of group members (AE) by 6.9%',2,5),
(119690,2000595,3,100,'Inflicts 2 - 4 disease damage on targets in Area of Effect',0,6),
(119691,2000595,3,100,'The healing of this spell cannot be modified except by direct means',2,7),
(119692,2000596,1,100,'Applies Grim Reaper.  Lasts for 36.0 seconds.',0,0),
(119693,2000596,1,100,'Shapechanges caster into a netherlord',1,1),
(119694,2000596,1,100,'Doom Judgment, Death Cloud, Chaos Cloud, Reaper''s Mist and Unending Agony will cast instantly.',1,2),
(119695,2000596,1,100,'Inflicts 43 - 72 disease damage on targets in Area of Effect',0,3),
(119696,2000597,1,100,'Increases damage of spells by 5%.',0,0),
(119697,2000597,1,100,'On a hostile spell cast this spell will cast Reaver''s Mania on caster.  ',0,1),
(119698,2000597,1,100,'Heals caster for 2.3 - 2.8% of max health',1,2),
(119699,2000597,1,100,'This effect cannot be critically applied.',2,3),
(119700,2000597,1,100,'The healing of this spell cannot be modified except by direct means',1,4),
(119701,2000598,1,100,'Resurrects target with 40% health and power',0,0),
(119702,130116,1,100,'Interrupts target',0,0),
(119703,130116,1,100,'Decreases Mitigation of target vs physical damage by 39',0,1),
(119704,120014,1,100,'Decreases Mitigation of target vs physical damage by 108',0,0),
(119705,120014,2,100,'Decreases Mitigation of target vs physical damage by 114',0,0),
(119706,130116,2,100,'Interrupts target',0,0),
(119707,130116,2,100,'Decreases Mitigation of target vs physical damage by 41',0,1),
(119708,130116,3,100,'Interrupts target',0,0),
(119709,130116,3,100,'Decreases Mitigation of target vs physical damage by 43',0,1),
(119710,120014,3,100,'Decreases Mitigation of target vs physical damage by 120',0,0),
(119711,120014,4,100,'Decreases Mitigation of target vs physical damage by 132',0,0),
(119712,130116,4,100,'Interrupts target',0,0),
(119713,130116,4,100,'Decreases Mitigation of target vs physical damage by 48',0,1),
(119714,130116,5,100,'Interrupts target',0,0),
(119715,130116,5,100,'Decreases Mitigation of target vs physical damage by 52',0,1),
(119716,120014,5,100,'Decreases Mitigation of target vs physical damage by 144',0,0),
(119717,130116,7,100,'Interrupts target',0,0),
(119718,130116,7,100,'Decreases Mitigation of target vs physical damage by 67',0,1),
(119719,120014,7,100,'Decreases Mitigation of target vs physical damage by 185',0,0),
(119720,130116,9,100,'Interrupts target',0,0),
(119721,130116,9,100,'Decreases Mitigation of target vs physical damage by 69',0,1),
(119722,120014,9,100,'Decreases Mitigation of target vs physical damage by 192',0,0),
(119723,130117,1,100,'Interrupts target',0,0),
(119724,130117,1,100,'Decreases Mitigation of target vs physical damage by 108',0,1),
(119725,130117,2,100,'Interrupts target',0,0),
(119726,130117,2,100,'Decreases Mitigation of target vs physical damage by 114',0,1),
(119727,130117,3,100,'Interrupts target',0,0),
(119728,130117,3,100,'Decreases Mitigation of target vs physical damage by 120',0,1),
(119729,130117,4,100,'Interrupts target',0,0),
(119730,130117,4,100,'Decreases Mitigation of target vs physical damage by 132',0,1),
(119731,130117,5,100,'Interrupts target',0,0),
(119732,130117,5,100,'Decreases Mitigation of target vs physical damage by 144',0,1),
(119733,130117,7,100,'Interrupts target',0,0),
(119734,130117,7,100,'Decreases Mitigation of target vs physical damage by 185',0,1),
(119735,130117,9,100,'Interrupts target',0,0),
(119736,130117,9,100,'Decreases Mitigation of target vs physical damage by 192',0,1),
(119737,130117,10,100,'Interrupts target',0,0),
(119738,130117,10,100,'Decreases Mitigation of target vs physical damage by 202',0,1),
(119739,130118,1,100,'Interrupts target',0,0),
(119740,130118,1,100,'Decreases Mitigation of target vs physical damage by 216',0,1),
(119741,130118,2,100,'Interrupts target',0,0),
(119742,130118,2,100,'Decreases Mitigation of target vs physical damage by 228',0,1),
(119743,130118,3,100,'Interrupts target',0,0),
(119744,130118,3,100,'Decreases Mitigation of target vs physical damage by 240',0,1),
(119745,130118,4,100,'Interrupts target',0,0),
(119746,130118,4,100,'Decreases Mitigation of target vs physical damage by 264',0,1),
(119747,130118,5,100,'Interrupts target',0,0),
(119748,130118,5,100,'Decreases Mitigation of target vs physical damage by 288',0,1),
(119749,130118,7,100,'Interrupts target',0,0),
(119750,130118,7,100,'Decreases Mitigation of target vs physical damage by 370',0,1),
(119751,130118,9,100,'Interrupts target',0,0),
(119752,130118,9,100,'Decreases Mitigation of target vs physical damage by 384',0,1),
(119753,130118,10,100,'Interrupts target',0,0),
(119754,130118,10,100,'Decreases Mitigation of target vs physical damage by 403',0,1),
(119755,130119,1,100,'Interrupts target',0,0),
(119756,130119,1,100,'Decreases Mitigation of target vs physical damage by 342',0,1),
(119757,130119,2,100,'Interrupts target',0,0),
(119758,130119,2,100,'Decreases Mitigation of target vs physical damage by 361',0,1),
(119759,130119,3,100,'Interrupts target',0,0),
(119760,130119,3,100,'Decreases Mitigation of target vs physical damage by 380',0,1),
(119761,130119,4,100,'Interrupts target',0,0),
(119762,130119,4,100,'Decreases Mitigation of target vs physical damage by 418',0,1),
(119763,130119,5,100,'Interrupts target',0,0),
(119764,130119,5,100,'Decreases Mitigation of target vs physical damage by 456',0,1),
(119765,130119,7,100,'Interrupts target',0,0),
(119766,130119,7,100,'Decreases Mitigation of target vs physical damage by 585',0,1),
(119767,130119,9,100,'Interrupts target',0,0),
(119768,130119,9,100,'Decreases Mitigation of target vs physical damage by 608',0,1),
(119769,130120,1,100,'Interrupts target',0,0),
(119770,130120,1,100,'Decreases Mitigation of target vs physical damage by 1048',0,1),
(119771,130120,4,100,'Interrupts target',0,0),
(119772,130120,4,100,'Decreases Mitigation of target vs physical damage by 1280',0,1),
(119773,130120,5,100,'Interrupts target',0,0),
(119774,130120,5,100,'Decreases Mitigation of target vs physical damage by 1397',0,1),
(119775,130120,7,100,'Interrupts target',0,0),
(119776,130120,7,100,'Decreases Mitigation of target vs physical damage by 1793',0,1),
(119777,130120,9,100,'Interrupts target',0,0),
(119778,130120,9,100,'Decreases Mitigation of target vs physical damage by 1862',0,1),
(119779,130121,1,100,'Interrupts target',0,0),
(119780,130121,1,100,'Decreases Mitigation of target vs physical damage by 468',0,1),
(119781,130121,2,100,'Interrupts target',0,0),
(119782,130121,2,100,'Decreases Mitigation of target vs physical damage by 494',0,1),
(119783,130121,3,100,'Interrupts target',0,0),
(119784,130121,3,100,'Decreases Mitigation of target vs physical damage by 520',0,1),
(119785,130121,4,100,'Interrupts target',0,0),
(119786,130121,4,100,'Decreases Mitigation of target vs physical damage by 572',0,1),
(119787,130121,5,100,'Interrupts target',0,0),
(119788,130121,5,100,'Decreases Mitigation of target vs physical damage by 624',0,1),
(119789,130121,7,100,'Interrupts target',0,0),
(119790,130121,7,100,'Decreases Mitigation of target vs physical damage by 801',0,1),
(119791,130121,9,100,'Interrupts target',0,0),
(119792,130121,9,100,'Decreases Mitigation of target vs physical damage by 832',0,1),
(119793,130121,10,100,'Interrupts target',0,0),
(119794,130121,10,100,'Decreases Mitigation of target vs physical damage by 874',0,1),
(119795,130122,1,100,'Interrupts target',0,0),
(119796,130122,1,100,'Decreases Mitigation of target vs physical damage by 594',0,1),
(119797,130122,2,100,'Interrupts target',0,0),
(119798,130122,2,100,'Decreases Mitigation of target vs physical damage by 627',0,1),
(119799,130122,3,100,'Interrupts target',0,0),
(119800,130122,3,100,'Decreases Mitigation of target vs physical damage by 660',0,1),
(119801,130122,4,100,'Interrupts target',0,0),
(119802,130122,4,100,'Decreases Mitigation of target vs physical damage by 726',0,1),
(119803,130122,5,100,'Interrupts target',0,0),
(119804,130122,5,100,'Decreases Mitigation of target vs physical damage by 792',0,1),
(119805,130122,7,100,'Interrupts target',0,0),
(119806,130122,7,100,'Decreases Mitigation of target vs physical damage by 1016',0,1),
(119807,130122,9,100,'Interrupts target',0,0),
(119808,130122,9,100,'Decreases Mitigation of target vs physical damage by 1056',0,1),
(119809,130123,1,100,'Interrupts target',0,0),
(119810,130123,1,100,'Decreases Mitigation of target vs physical damage by 762',0,1),
(119811,130123,2,100,'Interrupts target',0,0),
(119812,130123,2,100,'Decreases Mitigation of target vs physical damage by 805',0,1),
(119813,130123,3,100,'Interrupts target',0,0),
(119814,130123,3,100,'Decreases Mitigation of target vs physical damage by 847',0,1),
(119815,130123,4,100,'Interrupts target',0,0),
(119816,130123,4,100,'Decreases Mitigation of target vs physical damage by 932',0,1),
(119817,130123,5,100,'Interrupts target',0,0),
(119818,130123,5,100,'Decreases Mitigation of target vs physical damage by 1016',0,1),
(119819,130123,7,100,'Interrupts target',0,0),
(119820,130123,7,100,'Decreases Mitigation of target vs physical damage by 1304',0,1),
(119821,130123,9,100,'Interrupts target',0,0),
(119822,130123,9,100,'Decreases Mitigation of target vs physical damage by 1355',0,1),
(119823,130124,1,100,'Interrupts target',0,0),
(119824,130124,1,100,'Decreases Mitigation of target vs physical damage by 940',0,1),
(119825,130124,4,100,'Interrupts target',0,0),
(119826,130124,4,100,'Decreases Mitigation of target vs physical damage by 1148',0,1),
(119827,130124,5,100,'Interrupts target',0,0),
(119828,130124,5,100,'Decreases Mitigation of target vs physical damage by 1253',0,1),
(119829,130124,7,100,'Interrupts target',0,0),
(119830,130124,7,100,'Decreases Mitigation of target vs physical damage by 1608',0,1),
(119831,130124,9,100,'Interrupts target',0,0),
(119832,130124,9,100,'Decreases Mitigation of target vs physical damage by 1670',0,1),
(119833,190107,1,100,'Applies Grey Ward on termination.  Lasts for 30.0 seconds.',0,0),
(119834,190107,1,100,'Wards target against 590 points of all damage',1,1),
(119835,190107,1,100,'Heals target for 15.0% of max health',1,2),
(119836,190107,1,100,'This effect cannot be critically applied.',2,3),
(119837,190107,1,100,'Applies Revived Sickness on termination.  Lasts for 2 minutes.',0,4),
(119838,190107,1,100,'Decreases All Attributes of target by 20.0%',1,5),
(119839,190107,1,100,'If not between levels 1 - 6',2,6),
(119840,190107,1,100,'Decreases Haste of target by 20.0',1,7),
(119841,190107,1,100,'If not between levels 1 - 6',2,8),
(119842,190107,1,100,'Decreases All Attributes of target by 5.0%',1,9),
(119843,190107,1,100,'If between levels 1 - 6',2,10),
(119844,190107,1,100,'Decreases Haste of target by 5.0',1,11),
(119845,190107,1,100,'If between levels 1 - 6',2,12),
(119846,190107,1,100,'Resurrects target with 15% health and power',0,13),
(119847,190107,1,100,'If outside an arena',0,14),
(119848,190107,1,100,'If outside an arena',0,15),
(119849,140152,1,100,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',0,0),
(119850,140152,1,100,'Heals target for 512',1,1),
(119851,140152,1,100,'Increases Max Health of target by 362',1,2),
(119852,140152,1,100,'Grants a total of 1 trigger of the spell.',1,3),
(119853,140152,2,100,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',0,0),
(119854,140152,2,100,'Heals target for 540',1,1),
(119855,140152,2,100,'Increases Max Health of target by 382',1,2),
(119856,140152,2,100,'Grants a total of 1 trigger of the spell.',1,3),
(119857,140152,3,100,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',0,0),
(119858,140152,3,100,'Heals target for 569',1,1),
(119859,140152,3,100,'Increases Max Health of target by 402',1,2),
(119860,140152,3,100,'Grants a total of 1 trigger of the spell.',1,3),
(119861,140152,4,100,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',0,0),
(119862,140152,4,100,'Heals target for 626',1,1),
(119863,140152,4,100,'Increases Max Health of target by 443',1,2),
(119864,140152,4,100,'Grants a total of 1 trigger of the spell.',1,3),
(119865,140152,5,100,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',0,0),
(119866,140152,5,100,'Heals target for 683',1,1),
(119867,140152,5,100,'Increases Max Health of target by 483',1,2),
(119868,140152,5,100,'Grants a total of 1 trigger of the spell.',1,3),
(119869,140152,7,100,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',0,0),
(119870,140152,7,100,'Heals target for 876',1,1),
(119871,140152,7,100,'Increases Max Health of target by 620',1,2),
(119872,140152,7,100,'Grants a total of 1 trigger of the spell.',1,3),
(119873,140152,9,100,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',0,0),
(119874,140152,9,100,'Heals target for 910',1,1),
(119875,140152,9,100,'Increases Max Health of target by 644',1,2),
(119876,140152,9,100,'Grants a total of 1 trigger of the spell.',1,3),
(119877,140153,1,100,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',0,0),
(119878,140153,1,100,'Heals target for 748',1,1),
(119879,140153,1,100,'Increases Max Health of target by 513.7',1,2),
(119880,140153,1,100,'Grants a total of 1 trigger of the spell.',1,3),
(119881,140153,2,100,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',0,0),
(119882,140153,2,100,'Heals target for 790',1,1),
(119883,140153,2,100,'Increases Max Health of target by 542.2',1,2),
(119884,140153,2,100,'Grants a total of 1 trigger of the spell.',1,3),
(119885,140153,3,100,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',0,0),
(119886,140153,3,100,'Heals target for 831',1,1),
(119887,140153,3,100,'Increases Max Health of target by 570.7',1,2),
(119888,140153,3,100,'Grants a total of 1 trigger of the spell.',1,3),
(119889,140153,4,100,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',0,0),
(119890,140153,4,100,'Heals target for 914',1,1),
(119891,140153,4,100,'Increases Max Health of target by 627.8',1,2),
(119892,140153,4,100,'Grants a total of 1 trigger of the spell.',1,3),
(119893,140153,5,100,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',0,0),
(119894,140153,5,100,'Heals target for 998',1,1),
(119895,140153,5,100,'Increases Max Health of target by 684.9',1,2),
(119896,140153,5,100,'Grants a total of 1 trigger of the spell.',1,3),
(119897,140153,7,100,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',0,0),
(119898,140153,7,100,'Heals target for 1280',1,1),
(119899,140153,7,100,'Increases Max Health of target by 879.0',1,2),
(119900,140153,7,100,'Grants a total of 1 trigger of the spell.',1,3),
(119901,140153,9,100,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',0,0),
(119902,140153,9,100,'Heals target for 1330',1,1),
(119903,140153,9,100,'Increases Max Health of target by 913.2',1,2),
(119904,140153,9,100,'Grants a total of 1 trigger of the spell.',1,3),
(119905,140154,1,100,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',0,0),
(119906,140154,1,100,'Heals target for 984',1,1),
(119907,140154,1,100,'Increases Max Health of target by 647.9',1,2),
(119908,140154,1,100,'Grants a total of 1 trigger of the spell.',1,3),
(119909,140154,2,100,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',0,0),
(119910,140154,2,100,'Heals target for 1039',1,1),
(119911,140154,2,100,'Increases Max Health of target by 683.9',1,2),
(119912,140154,2,100,'Grants a total of 1 trigger of the spell.',1,3),
(119913,140154,3,100,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',0,0),
(119914,140154,3,100,'Heals target for 1094',1,1),
(119915,140154,3,100,'Increases Max Health of target by 719.8',1,2),
(119916,140154,3,100,'Grants a total of 1 trigger of the spell.',1,3),
(119917,140154,4,100,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',0,0),
(119918,140154,4,100,'Heals target for 1203',1,1),
(119919,140154,4,100,'Increases Max Health of target by 791.8',1,2),
(119920,140154,4,100,'Grants a total of 1 trigger of the spell.',1,3),
(119921,140154,5,100,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',0,0),
(119922,140154,5,100,'Heals target for 1313',1,1),
(119923,140154,5,100,'Increases Max Health of target by 863.8',1,2),
(119924,140154,5,100,'Grants a total of 1 trigger of the spell.',1,3),
(119925,140154,7,100,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',0,0),
(119926,140154,7,100,'Heals target for 1684',1,1),
(119927,140154,7,100,'Increases Max Health of target by 1,108.6',1,2),
(119928,140154,7,100,'Grants a total of 1 trigger of the spell.',1,3),
(119929,140154,9,100,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',0,0),
(119930,140154,9,100,'Heals target for 1750',1,1),
(119931,140154,9,100,'Increases Max Health of target by 1,151.8',1,2),
(119932,140154,9,100,'Grants a total of 1 trigger of the spell.',1,3),
(119933,140155,1,100,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',0,0),
(119934,140155,1,100,'Heals target for 1350',1,1),
(119935,140155,1,100,'Increases Max Health of target by 792.4',1,2),
(119936,140155,1,100,'Grants a total of 1 trigger of the spell.',1,3),
(119937,140155,2,100,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',0,0),
(119938,140155,2,100,'Heals target for 1425',1,1),
(119939,140155,2,100,'Increases Max Health of target by 836.5',1,2),
(119940,140155,2,100,'Grants a total of 1 trigger of the spell.',1,3),
(119941,140155,3,100,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',0,0),
(119942,140155,3,100,'Heals target for 1500',1,1),
(119943,140155,3,100,'Increases Max Health of target by 880.5',1,2),
(119944,140155,3,100,'Grants a total of 1 trigger of the spell.',1,3),
(119945,140155,4,100,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',0,0),
(119946,140155,4,100,'Heals target for 1650',1,1),
(119947,140155,4,100,'Increases Max Health of target by 968.6',1,2),
(119948,140155,4,100,'Grants a total of 1 trigger of the spell.',1,3),
(119949,140155,5,100,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',0,0),
(119950,140155,5,100,'Heals target for 1800',1,1),
(119951,140155,5,100,'Increases Max Health of target by 1,056.6',1,2),
(119952,140155,5,100,'Grants a total of 1 trigger of the spell.',1,3),
(119953,140155,7,100,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',0,0),
(119954,140155,7,100,'Heals target for 2310',1,1),
(119955,140155,7,100,'Increases Max Health of target by 1,356.0',1,2),
(119956,140155,7,100,'Grants a total of 1 trigger of the spell.',1,3),
(119957,140155,9,100,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',0,0),
(119958,140155,9,100,'Heals target for 2400',1,1),
(119959,140155,9,100,'Increases Max Health of target by 1,408.8',1,2),
(119960,140155,9,100,'Grants a total of 1 trigger of the spell.',1,3),
(119961,140156,1,100,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',0,0),
(119962,140156,1,100,'Heals target for 1609',1,1),
(119963,140156,1,100,'Increases Max Health of target by 927.4',1,2),
(119964,140156,1,100,'Grants a total of 1 trigger of the spell.',1,3),
(119965,140156,4,100,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',0,0),
(119966,140156,4,100,'Heals target for 1966',1,1),
(119967,140156,4,100,'Increases Max Health of target by 1,133.6',1,2),
(119968,140156,4,100,'Grants a total of 1 trigger of the spell.',1,3),
(119969,140156,5,100,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',0,0),
(119970,140156,5,100,'Heals target for 2145',1,1),
(119971,140156,5,100,'Increases Max Health of target by 1,236.6',1,2),
(119972,140156,5,100,'Grants a total of 1 trigger of the spell.',1,3),
(119973,140156,7,100,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',0,0),
(119974,140156,7,100,'Heals target for 2753',1,1),
(119975,140156,7,100,'Increases Max Health of target by 1,587.0',1,2),
(119976,140156,7,100,'Grants a total of 1 trigger of the spell.',1,3),
(119977,140156,9,100,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',0,0),
(119978,140156,9,100,'Heals target for 2860',1,1),
(119979,140156,9,100,'Increases Max Health of target by 1,648.8',1,2),
(119980,140156,9,100,'Grants a total of 1 trigger of the spell.',1,3),
(119981,140157,1,100,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',0,0),
(119982,140157,1,100,'Heals target for 1688',1,1),
(119983,140157,1,100,'Increases Max Health of target by 1,062.4',1,2),
(119984,140157,1,100,'Grants a total of 1 trigger of the spell.',1,3),
(119985,140157,4,100,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',0,0),
(119986,140157,4,100,'Heals target for 2063',1,1),
(119987,140157,4,100,'Increases Max Health of target by 1,298.6',1,2),
(119988,140157,4,100,'Grants a total of 1 trigger of the spell.',1,3),
(119989,140157,5,100,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',0,0),
(119990,140157,5,100,'Heals target for 2250',1,1),
(119991,140157,5,100,'Increases Max Health of target by 1,416.6',1,2),
(119992,140157,5,100,'Grants a total of 1 trigger of the spell.',1,3),
(119993,140157,7,100,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',0,0),
(119994,140157,7,100,'Heals target for 2888',1,1),
(119995,140157,7,100,'Increases Max Health of target by 1,818.0',1,2),
(119996,140157,7,100,'Grants a total of 1 trigger of the spell.',1,3),
(119997,140157,9,100,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',0,0),
(119998,140157,9,100,'Heals target for 3000',1,1),
(119999,140157,9,100,'Increases Max Health of target by 1,888.8',1,2),
(120000,140157,9,100,'Grants a total of 1 trigger of the spell.',1,3),
(120001,2000599,1,100,'Improves casting time and reuse speed of heal spells by 15%.',0,0),
(120002,2000599,1,100,'Reduces the damage of hostile spells by 20%',0,1),
(120003,2000599,1,100,'Increases power of hostile spells by 10%',0,2),
(120004,2000599,1,100,'Increases critical heal amount by 5% and base heal amount by 10%.',0,3),
(120005,440114,12,100,'Will absorb all damage when the amount is greater than 20% of the target''s maximum health. This spell will absorb a total of 2 attacks.',0,0),
(120006,440114,12,100,'Does not apply to constructs',0,1),
(120007,120015,1,100,'Increases Max Health of target by 91.3',0,0),
(120008,120015,1,100,'Increases Slashing and Crushing of target by 2.2',0,1),
(120009,120015,1,100,'Increases Piercing of target by 4.3',0,2),
(120010,120015,2,100,'Increases Max Health of target by 96.3',0,0),
(120011,120015,2,100,'Increases Slashing and Crushing of target by 2.3',0,1),
(120012,120015,2,100,'Increases Piercing of target by 4.6',0,2),
(120013,120015,3,100,'Increases Max Health of target by 101.4',0,0),
(120014,120015,3,100,'Increases Slashing and Crushing of target by 2.4',0,1),
(120015,120015,3,100,'Increases Piercing of target by 4.8',0,2),
(120016,120015,4,100,'Increases Max Health of target by 111.5',0,0),
(120017,120015,4,100,'Increases Slashing and Crushing of target by 2.6',0,1),
(120018,120015,4,100,'Increases Piercing of target by 5.3',0,2),
(120019,120015,5,100,'Increases Max Health of target by 121.7',0,0),
(120020,120015,5,100,'Increases Slashing and Crushing of target by 2.9',0,1),
(120021,120015,5,100,'Increases Piercing of target by 5.8',0,2),
(120022,120015,7,100,'Increases Max Health of target by 156.2',0,0),
(120023,120015,7,100,'Increases Slashing and Crushing of target by 3.7',0,1),
(120024,120015,7,100,'Increases Piercing of target by 7.4',0,2),
(120025,120015,9,100,'Increases Max Health of target by 162.2',0,0),
(120026,120015,9,100,'Increases Slashing and Crushing of target by 3.8',0,1),
(120027,120015,9,100,'Increases Piercing of target by 7.7',0,2),
(120028,270140,3,100,'Decreases Threat to targets in Area of Effect by 1,850 ',0,0),
(120029,270140,3,100,'Makes targets in Area of Effect afraid',0,1),
(120030,270140,3,100,'Dispelled when target takes damage',0,2),
(120031,270140,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(120032,140158,1,100,'Applies Reforming Soul on termination.  Lasts for 1 minute.',0,0),
(120033,140158,1,100,'Heals target for 25.0% of max health',1,1),
(120034,140158,1,100,'This effect cannot be critically applied.',2,2),
(120035,140158,1,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 220',1,3),
(120036,140158,1,100,'Applies Revived Sickness on termination.  Lasts for 2 minutes.',0,4),
(120037,140158,1,100,'Decreases All Attributes of target by 20.0%',1,5),
(120038,140158,1,100,'If not between levels 1 - 6',2,6),
(120039,140158,1,100,'Decreases Haste of target by 20.0',1,7),
(120040,140158,1,100,'If not between levels 1 - 6',2,8),
(120041,140158,1,100,'Decreases All Attributes of target by 5.0%',1,9),
(120042,140158,1,100,'If between levels 1 - 6',2,10),
(120043,140158,1,100,'Decreases Haste of target by 5.0',1,11),
(120044,140158,1,100,'If between levels 1 - 6',2,12),
(120045,140158,1,100,'Resurrects target with 15% health and power',0,13),
(120046,140158,1,100,'If outside an arena',0,14),
(120047,140158,1,100,'If between levels 1 - 6',2,15),
(120048,140158,1,100,'If outside an arena',0,16),
(120049,100198,1,100,'Inflicts 255 - 425 divine damage on target',0,0),
(120050,100198,2,100,'Inflicts 269 - 449 divine damage on target',0,0),
(120051,100198,3,100,'Inflicts 283 - 472 divine damage on target',0,0),
(120052,100198,4,100,'Inflicts 312 - 520 divine damage on target',0,0),
(120053,100198,5,100,'Inflicts 340 - 567 divine damage on target',0,0),
(120054,100198,7,100,'Inflicts 436 - 727 divine damage on target',0,0),
(120055,100198,9,100,'Inflicts 453 - 756 divine damage on target',0,0),
(120056,100199,1,100,'Inflicts 376 - 626 divine damage on target',0,0),
(120057,100199,2,100,'Inflicts 397 - 661 divine damage on target',0,0),
(120058,100199,3,100,'Inflicts 418 - 696 divine damage on target',0,0),
(120059,100199,4,100,'Inflicts 459 - 765 divine damage on target',0,0),
(120060,100199,5,100,'Inflicts 501 - 835 divine damage on target',0,0),
(120061,100199,7,100,'Inflicts 643 - 1072 divine damage on target',0,0),
(120062,100199,9,100,'Inflicts 668 - 1113 divine damage on target',0,0),
(120063,100199,10,100,'Inflicts 701 - 1169 divine damage on target',0,0),
(120064,100200,1,100,'Inflicts 496 - 827 divine damage on target',0,0),
(120065,100200,2,100,'Inflicts 524 - 873 divine damage on target',0,0),
(120066,100200,3,100,'Inflicts 552 - 919 divine damage on target',0,0),
(120067,100200,4,100,'Inflicts 607 - 1011 divine damage on target',0,0),
(120068,100200,5,100,'Inflicts 662 - 1103 divine damage on target',0,0),
(120069,100200,7,100,'Inflicts 849 - 1416 divine damage on target',0,0),
(120070,100200,9,100,'Inflicts 882 - 1471 divine damage on target',0,0),
(120071,100201,1,100,'Inflicts 601 - 1002 divine damage on target',0,0),
(120072,100201,2,100,'Inflicts 634 - 1057 divine damage on target',0,0),
(120073,100201,3,100,'Inflicts 668 - 1113 divine damage on target',0,0),
(120074,100201,4,100,'Inflicts 735 - 1224 divine damage on target',0,0),
(120075,100201,5,100,'Inflicts 801 - 1336 divine damage on target',0,0),
(120076,100201,7,100,'Inflicts 1028 - 1714 divine damage on target',0,0),
(120077,100201,9,100,'Inflicts 1068 - 1781 divine damage on target',0,0),
(120078,100202,1,100,'Inflicts 724 - 1207 divine damage on target',0,0),
(120079,100202,4,100,'Inflicts 885 - 1475 divine damage on target',0,0),
(120080,100202,5,100,'Inflicts 965 - 1609 divine damage on target',0,0),
(120081,100202,7,100,'Inflicts 1239 - 2065 divine damage on target',0,0),
(120082,100202,9,100,'Inflicts 1287 - 2145 divine damage on target',0,0),
(120083,100203,1,100,'Inflicts 786 - 1310 divine damage on target',0,0),
(120084,100203,4,100,'Inflicts 961 - 1601 divine damage on target',0,0),
(120085,100203,5,100,'Inflicts 1048 - 1746 divine damage on target',0,0),
(120086,100203,7,100,'Inflicts 1345 - 2241 divine damage on target',0,0),
(120087,100203,9,100,'Inflicts 1397 - 2329 divine damage on target',0,0),
(120088,260152,1,100,'Mesmerizes target',0,0),
(120089,260152,1,100,'Prevents AOE (except when direct) ',0,1),
(120090,260152,1,100,'Dispelled when target takes damage',0,2),
(120091,260152,1,100,'Epic targets gain an immunity to Mesmerize effects of 22.5 seconds and duration is reduced to 2.5 seconds.',0,3),
(120092,260152,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(120093,260152,2,100,'Mesmerizes target',0,0),
(120094,260152,2,100,'Prevents AOE (except when direct) ',0,1),
(120095,260152,2,100,'Dispelled when target takes damage',0,2),
(120096,260152,2,100,'Epic targets gain an immunity to Mesmerize effects of 22.5 seconds and duration is reduced to 2.5 seconds.',0,3),
(120097,260152,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(120098,260152,3,100,'Mesmerizes target',0,0),
(120099,260152,3,100,'Prevents AOE (except when direct) ',0,1),
(120100,260152,3,100,'Dispelled when target takes damage',0,2),
(120101,260152,3,100,'Epic targets gain an immunity to Mesmerize effects of 22.5 seconds and duration is reduced to 2.5 seconds.',0,3),
(120102,260152,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(120103,260152,4,100,'Mesmerizes target',0,0),
(120104,260152,4,100,'Prevents AOE (except when direct) ',0,1),
(120105,260152,4,100,'Dispelled when target takes damage',0,2),
(120106,260152,4,100,'Epic targets gain an immunity to Mesmerize effects of 22.5 seconds and duration is reduced to 2.5 seconds.',0,3),
(120107,260152,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(120108,260152,5,100,'Mesmerizes target',0,0),
(120109,260152,5,100,'Prevents AOE (except when direct) ',0,1),
(120110,260152,5,100,'Dispelled when target takes damage',0,2),
(120111,260152,5,100,'Epic targets gain an immunity to Mesmerize effects of 22.5 seconds and duration is reduced to 2.5 seconds.',0,3),
(120112,260152,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(120113,260152,7,100,'Mesmerizes target',0,0),
(120114,260152,7,100,'Prevents AOE (except when direct) ',0,1),
(120115,260152,7,100,'Dispelled when target takes damage',0,2),
(120116,260152,7,100,'Epic targets gain an immunity to Mesmerize effects of 22.5 seconds and duration is reduced to 2.5 seconds.',0,3),
(120117,260152,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(120118,260152,9,100,'Mesmerizes target',0,0),
(120119,260152,9,100,'Prevents AOE (except when direct) ',0,1),
(120120,260152,9,100,'Dispelled when target takes damage',0,2),
(120121,260152,9,100,'Epic targets gain an immunity to Mesmerize effects of 22.5 seconds and duration is reduced to 2.5 seconds.',0,3),
(120122,260152,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(120123,260153,1,100,'Mesmerizes target',0,0),
(120124,260153,1,100,'Prevents AOE (except when direct) ',0,1),
(120125,260153,1,100,'Dispelled when target takes damage',0,2),
(120126,260153,1,100,'Epic targets gain an immunity to Mesmerize effects of 22.5 seconds and duration is reduced to 2.5 seconds.',0,3),
(120127,260153,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(120128,260153,2,100,'Mesmerizes target',0,0),
(120129,260153,2,100,'Prevents AOE (except when direct) ',0,1),
(120130,260153,2,100,'Dispelled when target takes damage',0,2),
(120131,260153,2,100,'Epic targets gain an immunity to Mesmerize effects of 22.5 seconds and duration is reduced to 2.5 seconds.',0,3),
(120132,260153,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(120133,260153,3,100,'Mesmerizes target',0,0),
(120134,260153,3,100,'Prevents AOE (except when direct) ',0,1),
(120135,260153,3,100,'Dispelled when target takes damage',0,2),
(120136,260153,3,100,'Epic targets gain an immunity to Mesmerize effects of 22.5 seconds and duration is reduced to 2.5 seconds.',0,3),
(120137,260153,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(120138,260153,4,100,'Mesmerizes target',0,0),
(120139,260153,4,100,'Prevents AOE (except when direct) ',0,1),
(120140,260153,4,100,'Dispelled when target takes damage',0,2),
(120141,260153,4,100,'Epic targets gain an immunity to Mesmerize effects of 22.5 seconds and duration is reduced to 2.5 seconds.',0,3),
(120142,260153,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(120143,260153,5,100,'Mesmerizes target',0,0),
(120144,260153,5,100,'Prevents AOE (except when direct) ',0,1),
(120145,260153,5,100,'Dispelled when target takes damage',0,2),
(120146,260153,5,100,'Epic targets gain an immunity to Mesmerize effects of 22.5 seconds and duration is reduced to 2.5 seconds.',0,3),
(120147,260153,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(120148,260153,7,100,'Mesmerizes target',0,0),
(120149,260153,7,100,'Prevents AOE (except when direct) ',0,1),
(120150,260153,7,100,'Dispelled when target takes damage',0,2),
(120151,260153,7,100,'Epic targets gain an immunity to Mesmerize effects of 22.5 seconds and duration is reduced to 2.5 seconds.',0,3),
(120152,260153,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(120153,260153,9,100,'Mesmerizes target',0,0),
(120154,260153,9,100,'Prevents AOE (except when direct) ',0,1),
(120155,260153,9,100,'Dispelled when target takes damage',0,2),
(120156,260153,9,100,'Epic targets gain an immunity to Mesmerize effects of 22.5 seconds and duration is reduced to 2.5 seconds.',0,3),
(120157,260153,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(120158,260154,1,100,'Mesmerizes target',0,0),
(120159,260154,1,100,'Prevents AOE (except when direct) ',0,1),
(120160,260154,1,100,'Dispelled when target takes damage',0,2),
(120161,260154,1,100,'Epic targets gain an immunity to Mesmerize effects of 22.5 seconds and duration is reduced to 2.5 seconds.',0,3),
(120162,260154,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(120163,260154,2,100,'Mesmerizes target',0,0),
(120164,260154,2,100,'Prevents AOE (except when direct) ',0,1),
(120165,260154,2,100,'Dispelled when target takes damage',0,2),
(120166,260154,2,100,'Epic targets gain an immunity to Mesmerize effects of 22.5 seconds and duration is reduced to 2.5 seconds.',0,3),
(120167,260154,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(120168,260154,3,100,'Mesmerizes target',0,0),
(120169,260154,3,100,'Prevents AOE (except when direct) ',0,1),
(120170,260154,3,100,'Dispelled when target takes damage',0,2),
(120171,260154,3,100,'Epic targets gain an immunity to Mesmerize effects of 22.5 seconds and duration is reduced to 2.5 seconds.',0,3),
(120172,260154,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(120173,260154,4,100,'Mesmerizes target',0,0),
(120174,260154,4,100,'Prevents AOE (except when direct) ',0,1),
(120175,260154,4,100,'Dispelled when target takes damage',0,2),
(120176,260154,4,100,'Epic targets gain an immunity to Mesmerize effects of 22.5 seconds and duration is reduced to 2.5 seconds.',0,3),
(120177,260154,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(120178,260154,5,100,'Mesmerizes target',0,0),
(120179,260154,5,100,'Prevents AOE (except when direct) ',0,1),
(120180,260154,5,100,'Dispelled when target takes damage',0,2),
(120181,260154,5,100,'Epic targets gain an immunity to Mesmerize effects of 22.5 seconds and duration is reduced to 2.5 seconds.',0,3),
(120182,260154,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(120183,260154,7,100,'Mesmerizes target',0,0),
(120184,260154,7,100,'Prevents AOE (except when direct) ',0,1),
(120185,260154,7,100,'Dispelled when target takes damage',0,2),
(120186,260154,7,100,'Epic targets gain an immunity to Mesmerize effects of 22.5 seconds and duration is reduced to 2.5 seconds.',0,3),
(120187,260154,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(120188,260154,9,100,'Mesmerizes target',0,0),
(120189,260154,9,100,'Prevents AOE (except when direct) ',0,1),
(120190,260154,9,100,'Dispelled when target takes damage',0,2),
(120191,260154,9,100,'Epic targets gain an immunity to Mesmerize effects of 22.5 seconds and duration is reduced to 2.5 seconds.',0,3),
(120192,260154,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(120193,260155,1,100,'Mesmerizes target',0,0),
(120194,260155,1,100,'Prevents AOE (except when direct) ',0,1),
(120195,260155,1,100,'Dispelled when target takes damage',0,2),
(120196,260155,1,100,'Epic targets gain an immunity to Mesmerize effects of 22.5 seconds and duration is reduced to 2.5 seconds.',0,3),
(120197,260155,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(120198,260155,2,100,'Mesmerizes target',0,0),
(120199,260155,2,100,'Prevents AOE (except when direct) ',0,1),
(120200,260155,2,100,'Dispelled when target takes damage',0,2),
(120201,260155,2,100,'Epic targets gain an immunity to Mesmerize effects of 22.5 seconds and duration is reduced to 2.5 seconds.',0,3),
(120202,260155,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(120203,260155,3,100,'Mesmerizes target',0,0),
(120204,260155,3,100,'Prevents AOE (except when direct) ',0,1),
(120205,260155,3,100,'Dispelled when target takes damage',0,2),
(120206,260155,3,100,'Epic targets gain an immunity to Mesmerize effects of 22.5 seconds and duration is reduced to 2.5 seconds.',0,3),
(120207,260155,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(120208,260155,4,100,'Mesmerizes target',0,0),
(120209,260155,4,100,'Prevents AOE (except when direct) ',0,1),
(120210,260155,4,100,'Dispelled when target takes damage',0,2),
(120211,260155,4,100,'Epic targets gain an immunity to Mesmerize effects of 22.5 seconds and duration is reduced to 2.5 seconds.',0,3),
(120212,260155,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(120213,260155,5,100,'Mesmerizes target',0,0),
(120214,260155,5,100,'Prevents AOE (except when direct) ',0,1),
(120215,260155,5,100,'Dispelled when target takes damage',0,2),
(120216,260155,5,100,'Epic targets gain an immunity to Mesmerize effects of 22.5 seconds and duration is reduced to 2.5 seconds.',0,3),
(120217,260155,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(120218,260155,7,100,'Mesmerizes target',0,0),
(120219,260155,7,100,'Prevents AOE (except when direct) ',0,1),
(120220,260155,7,100,'Dispelled when target takes damage',0,2),
(120221,260155,7,100,'Epic targets gain an immunity to Mesmerize effects of 22.5 seconds and duration is reduced to 2.5 seconds.',0,3),
(120222,260155,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(120223,260155,9,100,'Mesmerizes target',0,0),
(120224,260155,9,100,'Prevents AOE (except when direct) ',0,1),
(120225,260155,9,100,'Dispelled when target takes damage',0,2),
(120226,260155,9,100,'Epic targets gain an immunity to Mesmerize effects of 22.5 seconds and duration is reduced to 2.5 seconds.',0,3),
(120227,260155,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(120228,260156,1,100,'Mesmerizes target',0,0),
(120229,260156,1,100,'Prevents AOE (except when direct) ',0,1),
(120230,260156,1,100,'Dispelled when target takes damage',0,2),
(120231,260156,1,100,'Epic targets gain an immunity to Mesmerize effects of 22.5 seconds and duration is reduced to 2.5 seconds.',0,3),
(120232,260156,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(120233,260156,4,100,'Mesmerizes target',0,0),
(120234,260156,4,100,'Prevents AOE (except when direct) ',0,1),
(120235,260156,4,100,'Dispelled when target takes damage',0,2),
(120236,260156,4,100,'Epic targets gain an immunity to Mesmerize effects of 22.5 seconds and duration is reduced to 2.5 seconds.',0,3),
(120237,260156,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(120238,260156,5,100,'Mesmerizes target',0,0),
(120239,260156,5,100,'Prevents AOE (except when direct) ',0,1),
(120240,260156,5,100,'Dispelled when target takes damage',0,2),
(120241,260156,5,100,'Epic targets gain an immunity to Mesmerize effects of 22.5 seconds and duration is reduced to 2.5 seconds.',0,3),
(120242,260156,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(120243,260156,7,100,'Mesmerizes target',0,0),
(120244,260156,7,100,'Prevents AOE (except when direct) ',0,1),
(120245,260156,7,100,'Dispelled when target takes damage',0,2),
(120246,260156,7,100,'Epic targets gain an immunity to Mesmerize effects of 22.5 seconds and duration is reduced to 2.5 seconds.',0,3),
(120247,260156,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(120248,260156,9,100,'Mesmerizes target',0,0),
(120249,260156,9,100,'Prevents AOE (except when direct) ',0,1),
(120250,260156,9,100,'Dispelled when target takes damage',0,2),
(120251,260156,9,100,'Epic targets gain an immunity to Mesmerize effects of 22.5 seconds and duration is reduced to 2.5 seconds.',0,3),
(120252,260156,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(120253,160115,1,100,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',0,0),
(120254,160115,1,100,'Heals target for 31 - 38 instantly and every 2 seconds',1,1),
(120255,160115,1,100,'If over 50% Health',2,2),
(120256,160115,1,100,'Heals target for 62 - 75 instantly and every 2 seconds',1,3),
(120257,160115,1,100,'If at 50% Health or less',2,4),
(120258,160115,2,100,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',0,0),
(120259,160115,2,100,'Heals target for 65 - 79 instantly and every 2 seconds',1,1),
(120260,160115,2,100,'If at 50% Health or less',2,2),
(120261,160115,2,100,'Heals target for 32 - 40 instantly and every 2 seconds',1,3),
(120262,160115,2,100,'If over 50% Health',2,4),
(120263,160115,3,100,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',0,0),
(120264,160115,3,100,'Heals target for 68 - 84 instantly and every 2 seconds',1,1),
(120265,160115,3,100,'If at 50% Health or less',2,2),
(120266,160115,3,100,'Heals target for 34 - 42 instantly and every 2 seconds',1,3),
(120267,160115,3,100,'If over 50% Health',2,4),
(120268,160115,4,100,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',0,0),
(120269,160115,4,100,'Heals target for 38 - 46 instantly and every 2 seconds',1,1),
(120270,160115,4,100,'If over 50% Health',2,2),
(120271,160115,4,100,'Heals target for 75 - 92 instantly and every 2 seconds',1,3),
(120272,160115,4,100,'If at 50% Health or less',2,4),
(120273,160115,5,100,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',0,0),
(120274,160115,5,100,'Heals target for 41 - 50 instantly and every 2 seconds',1,1),
(120275,160115,5,100,'If over 50% Health',2,2),
(120276,160115,5,100,'Heals target for 82 - 100 instantly and every 2 seconds',1,3),
(120277,160115,5,100,'If at 50% Health or less',2,4),
(120278,160115,7,100,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',0,0),
(120279,160115,7,100,'Heals target for 53 - 64 instantly and every 2 seconds',1,1),
(120280,160115,7,100,'If over 50% Health',2,2),
(120281,160115,7,100,'Heals target for 105 - 129 instantly and every 2 seconds',1,3),
(120282,160115,7,100,'If at 50% Health or less',2,4),
(120283,160115,9,100,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',0,0),
(120284,160115,9,100,'Heals target for 55 - 67 instantly and every 2 seconds',1,1),
(120285,160115,9,100,'If over 50% Health',2,2),
(120286,160115,9,100,'Heals target for 109 - 134 instantly and every 2 seconds',1,3),
(120287,160115,9,100,'If at 50% Health or less',2,4),
(120288,160116,1,100,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',0,0),
(120289,160116,1,100,'Heals target for 47 - 57 instantly and every 2 seconds',1,1),
(120290,160116,1,100,'If over 50% Health',2,2),
(120291,160116,1,100,'Heals target for 93 - 114 instantly and every 2 seconds',1,3),
(120292,160116,1,100,'If at 50% Health or less',2,4),
(120293,160116,2,100,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',0,0),
(120294,160116,2,100,'Heals target for 98 - 120 instantly and every 2 seconds',1,1),
(120295,160116,2,100,'If at 50% Health or less',2,2),
(120296,160116,2,100,'Heals target for 49 - 60 instantly and every 2 seconds',1,3),
(120297,160116,2,100,'If over 50% Health',2,4),
(120298,160116,3,100,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',0,0),
(120299,160116,3,100,'Heals target for 52 - 63 instantly and every 2 seconds',1,1),
(120300,160116,3,100,'If over 50% Health',2,2),
(120301,160116,3,100,'Heals target for 104 - 127 instantly and every 2 seconds',1,3),
(120302,160116,3,100,'If at 50% Health or less',2,4),
(120303,160116,4,100,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',0,0),
(120304,160116,4,100,'Heals target for 114 - 139 instantly and every 2 seconds',1,1),
(120305,160116,4,100,'If at 50% Health or less',2,2),
(120306,160116,4,100,'Heals target for 57 - 70 instantly and every 2 seconds',1,3),
(120307,160116,4,100,'If over 50% Health',2,4),
(120308,160116,5,100,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',0,0),
(120309,160116,5,100,'Heals target for 62 - 76 instantly and every 2 seconds',1,1),
(120310,160116,5,100,'If over 50% Health',2,2),
(120311,160116,5,100,'Heals target for 124 - 152 instantly and every 2 seconds',1,3),
(120312,160116,5,100,'If at 50% Health or less',2,4),
(120313,160116,7,100,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',0,0),
(120314,160116,7,100,'Heals target for 159 - 195 instantly and every 2 seconds',1,1),
(120315,160116,7,100,'If at 50% Health or less',2,2),
(120316,160116,7,100,'Heals target for 80 - 97 instantly and every 2 seconds',1,3),
(120317,160116,7,100,'If over 50% Health',2,4),
(120318,160116,9,100,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',0,0),
(120319,160116,9,100,'Heals target for 83 - 101 instantly and every 2 seconds',1,1),
(120320,160116,9,100,'If over 50% Health',2,2),
(120321,160116,9,100,'Heals target for 166 - 202 instantly and every 2 seconds',1,3),
(120322,160116,9,100,'If at 50% Health or less',2,4),
(120323,160117,1,100,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',0,0),
(120324,160117,1,100,'Heals target for 64 - 78 instantly and every 2 seconds',1,1),
(120325,160117,1,100,'If over 50% Health',2,2),
(120326,160117,1,100,'Heals target for 127 - 155 instantly and every 2 seconds',1,3),
(120327,160117,1,100,'If at 50% Health or less',2,4),
(120328,160117,2,100,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',0,0),
(120329,160117,2,100,'Heals target for 134 - 164 instantly and every 2 seconds',1,1),
(120330,160117,2,100,'If at 50% Health or less',2,2),
(120331,160117,2,100,'Heals target for 67 - 82 instantly and every 2 seconds',1,3),
(120332,160117,2,100,'If over 50% Health',2,4),
(120333,160117,3,100,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',0,0),
(120334,160117,3,100,'Heals target for 71 - 86 instantly and every 2 seconds',1,1),
(120335,160117,3,100,'If over 50% Health',2,2),
(120336,160117,3,100,'Heals target for 141 - 173 instantly and every 2 seconds',1,3),
(120337,160117,3,100,'If at 50% Health or less',2,4),
(120338,160117,4,100,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',0,0),
(120339,160117,4,100,'Heals target for 155 - 190 instantly and every 2 seconds',1,1),
(120340,160117,4,100,'If at 50% Health or less',2,2),
(120341,160117,4,100,'Heals target for 78 - 95 instantly and every 2 seconds',1,3),
(120342,160117,4,100,'If over 50% Health',2,4),
(120343,160117,5,100,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',0,0),
(120344,160117,5,100,'Heals target for 85 - 104 instantly and every 2 seconds',1,1),
(120345,160117,5,100,'If over 50% Health',2,2),
(120346,160117,5,100,'Heals target for 170 - 207 instantly and every 2 seconds',1,3),
(120347,160117,5,100,'If at 50% Health or less',2,4),
(120348,160117,7,100,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',0,0),
(120349,160117,7,100,'Heals target for 218 - 266 instantly and every 2 seconds',1,1),
(120350,160117,7,100,'If at 50% Health or less',2,2),
(120351,160117,7,100,'Heals target for 109 - 133 instantly and every 2 seconds',1,3),
(120352,160117,7,100,'If over 50% Health',2,4),
(120353,160117,9,100,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',0,0),
(120354,160117,9,100,'Heals target for 226 - 276 instantly and every 2 seconds',1,1),
(120355,160117,9,100,'If at 50% Health or less',2,2),
(120356,160117,9,100,'Heals target for 113 - 138 instantly and every 2 seconds',1,3),
(120357,160117,9,100,'If over 50% Health',2,4),
(120358,160117,10,100,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',0,0),
(120359,160117,10,100,'Heals target for 119 - 145 instantly and every 2 seconds',1,1),
(120360,160117,10,100,'If over 50% Health',2,2),
(120361,160117,10,100,'Heals target for 237 - 290 instantly and every 2 seconds',1,3),
(120362,160117,10,100,'If at 50% Health or less',2,4),
(120363,160118,1,100,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',0,0),
(120364,160118,1,100,'Heals target for 85 - 103 instantly and every 2 seconds',1,1),
(120365,160118,1,100,'If over 50% Health',2,2),
(120366,160118,1,100,'Heals target for 169 - 207 instantly and every 2 seconds',1,3),
(120367,160118,1,100,'If at 50% Health or less',2,4),
(120368,160118,2,100,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',0,0),
(120369,160118,2,100,'Heals target for 89 - 109 instantly and every 2 seconds',1,1),
(120370,160118,2,100,'If over 50% Health',2,2),
(120371,160118,2,100,'Heals target for 179 - 218 instantly and every 2 seconds',1,3),
(120372,160118,2,100,'If at 50% Health or less',2,4),
(120373,160118,3,100,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',0,0),
(120374,160118,3,100,'Heals target for 188 - 230 instantly and every 2 seconds',1,1),
(120375,160118,3,100,'If at 50% Health or less',2,2),
(120376,160118,3,100,'Heals target for 94 - 115 instantly and every 2 seconds',1,3),
(120377,160118,3,100,'If over 50% Health',2,4),
(120378,160118,4,100,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',0,0),
(120379,160118,4,100,'Heals target for 103 - 126 instantly and every 2 seconds',1,1),
(120380,160118,4,100,'If over 50% Health',2,2),
(120381,160118,4,100,'Heals target for 207 - 253 instantly and every 2 seconds',1,3),
(120382,160118,4,100,'If at 50% Health or less',2,4),
(120383,160118,5,100,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',0,0),
(120384,160118,5,100,'Heals target for 226 - 276 instantly and every 2 seconds',1,1),
(120385,160118,5,100,'If at 50% Health or less',2,2),
(120386,160118,5,100,'Heals target for 113 - 138 instantly and every 2 seconds',1,3),
(120387,160118,5,100,'If over 50% Health',2,4),
(120388,160118,7,100,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',0,0),
(120389,160118,7,100,'Heals target for 145 - 177 instantly and every 2 seconds',1,1),
(120390,160118,7,100,'If over 50% Health',2,2),
(120391,160118,7,100,'Heals target for 290 - 354 instantly and every 2 seconds',1,3),
(120392,160118,7,100,'If at 50% Health or less',2,4),
(120393,160118,9,100,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',0,0),
(120394,160118,9,100,'Heals target for 301 - 368 instantly and every 2 seconds',1,1),
(120395,160118,9,100,'If at 50% Health or less',2,2),
(120396,160118,9,100,'Heals target for 150 - 184 instantly and every 2 seconds',1,3),
(120397,160118,9,100,'If over 50% Health',2,4),
(120398,160119,1,100,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',0,0),
(120399,160119,1,100,'Heals target for 107 - 130 instantly and every 2 seconds',1,1),
(120400,160119,1,100,'If over 50% Health',2,2),
(120401,160119,1,100,'Heals target for 213 - 260 instantly and every 2 seconds',1,3),
(120402,160119,1,100,'If at 50% Health or less',2,4),
(120403,160119,4,100,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',0,0),
(120404,160119,4,100,'Heals target for 130 - 159 instantly and every 2 seconds',1,1),
(120405,160119,4,100,'If over 50% Health',2,2),
(120406,160119,4,100,'Heals target for 260 - 318 instantly and every 2 seconds',1,3),
(120407,160119,4,100,'If at 50% Health or less',2,4),
(120408,160119,5,100,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',0,0),
(120409,160119,5,100,'Heals target for 284 - 347 instantly and every 2 seconds',1,1),
(120410,160119,5,100,'If at 50% Health or less',2,2),
(120411,160119,5,100,'Heals target for 142 - 174 instantly and every 2 seconds',1,3),
(120412,160119,5,100,'If over 50% Health',2,4),
(120413,160119,7,100,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',0,0),
(120414,160119,7,100,'Heals target for 182 - 223 instantly and every 2 seconds',1,1),
(120415,160119,7,100,'If over 50% Health',2,2),
(120416,160119,7,100,'Heals target for 365 - 446 instantly and every 2 seconds',1,3),
(120417,160119,7,100,'If at 50% Health or less',2,4),
(120418,160119,9,100,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',0,0),
(120419,160119,9,100,'Heals target for 189 - 231 instantly and every 2 seconds',1,1),
(120420,160119,9,100,'If over 50% Health',2,2),
(120421,160119,9,100,'Heals target for 379 - 463 instantly and every 2 seconds',1,3),
(120422,160119,9,100,'If at 50% Health or less',2,4),
(120423,160120,1,100,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',0,0),
(120424,160120,1,100,'Heals target for 119 - 145 instantly and every 2 seconds',1,1),
(120425,160120,1,100,'If over 50% Health',2,2),
(120426,160120,1,100,'Heals target for 237 - 290 instantly and every 2 seconds',1,3),
(120427,160120,1,100,'If at 50% Health or less',2,4),
(120428,160120,4,100,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',0,0),
(120429,160120,4,100,'Heals target for 290 - 355 instantly and every 2 seconds',1,1),
(120430,160120,4,100,'If at 50% Health or less',2,2),
(120431,160120,4,100,'Heals target for 145 - 177 instantly and every 2 seconds',1,3),
(120432,160120,4,100,'If over 50% Health',2,4),
(120433,160120,5,100,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',0,0),
(120434,160120,5,100,'Heals target for 158 - 193 instantly and every 2 seconds',1,1),
(120435,160120,5,100,'If over 50% Health',2,2),
(120436,160120,5,100,'Heals target for 316 - 387 instantly and every 2 seconds',1,3),
(120437,160120,5,100,'If at 50% Health or less',2,4),
(120438,160120,7,100,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',0,0),
(120439,160120,7,100,'Heals target for 203 - 248 instantly and every 2 seconds',1,1),
(120440,160120,7,100,'If over 50% Health',2,2),
(120441,160120,7,100,'Heals target for 406 - 496 instantly and every 2 seconds',1,3),
(120442,160120,7,100,'If at 50% Health or less',2,4),
(120443,160120,9,100,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',0,0),
(120444,160120,9,100,'Heals target for 211 - 258 instantly and every 2 seconds',1,1),
(120445,160120,9,100,'If over 50% Health',2,2),
(120446,160120,9,100,'Heals target for 422 - 516 instantly and every 2 seconds',1,3),
(120447,160120,9,100,'If at 50% Health or less',2,4),
(120448,150008,1,100,'Heals target for 34 - 42 instantly and every 2 seconds',0,0),
(120449,170156,1,100,'Heals target for 34 - 42 instantly and every 2 seconds',0,0),
(120450,150008,2,100,'Heals target for 36 - 44 instantly and every 2 seconds',0,0),
(120451,150008,3,100,'Heals target for 38 - 46 instantly and every 2 seconds',0,0),
(120452,150008,4,100,'Heals target for 42 - 51 instantly and every 2 seconds',0,0),
(120453,170156,4,100,'Heals target for 42 - 51 instantly and every 2 seconds',0,0),
(120454,170156,5,100,'Heals target for 45 - 55 instantly and every 2 seconds',0,0),
(120455,150008,5,100,'Heals target for 45 - 55 instantly and every 2 seconds',0,0),
(120456,150008,7,100,'Heals target for 58 - 71 instantly and every 2 seconds',0,0),
(120457,170156,7,100,'Heals target for 58 - 71 instantly and every 2 seconds',0,0),
(120458,150008,9,100,'Heals target for 60 - 74 instantly and every 2 seconds',0,0),
(120459,170156,9,100,'Heals target for 60 - 74 instantly and every 2 seconds',0,0),
(120460,170156,10,100,'Heals target for 64 - 78 instantly and every 2 seconds',0,0),
(120461,150008,10,100,'Heals target for 64 - 78 instantly and every 2 seconds',0,0),
(120462,170157,1,100,'Heals target for 54 - 66 instantly and every 2 seconds',0,0),
(120463,170157,4,100,'Heals target for 66 - 80 instantly and every 2 seconds',0,0),
(120464,170157,5,100,'Heals target for 72 - 88 instantly and every 2 seconds',0,0),
(120465,170157,7,100,'Heals target for 92 - 113 instantly and every 2 seconds',0,0),
(120466,170157,9,100,'Heals target for 96 - 117 instantly and every 2 seconds',0,0),
(120467,170157,10,100,'Heals target for 101 - 123 instantly and every 2 seconds',0,0),
(120468,170158,1,100,'Heals target for 77 - 94 instantly and every 2 seconds',0,0),
(120469,170158,2,100,'Heals target for 81 - 99 instantly and every 2 seconds',0,0),
(120470,170158,3,100,'Heals target for 86 - 105 instantly and every 2 seconds',0,0),
(120471,170158,4,100,'Heals target for 94 - 115 instantly and every 2 seconds',0,0),
(120472,170158,5,100,'Heals target for 103 - 126 instantly and every 2 seconds',0,0),
(120473,170158,7,100,'Heals target for 132 - 161 instantly and every 2 seconds',0,0),
(120474,170158,9,100,'Heals target for 137 - 168 instantly and every 2 seconds',0,0),
(120475,170159,1,100,'Heals target for 125 - 152 instantly and every 2 seconds',0,0),
(120476,170159,2,100,'Heals target for 132 - 161 instantly and every 2 seconds',0,0),
(120477,170159,3,100,'Heals target for 139 - 169 instantly and every 2 seconds',0,0),
(120478,170159,4,100,'Heals target for 152 - 186 instantly and every 2 seconds',0,0),
(120479,170159,5,100,'Heals target for 166 - 203 instantly and every 2 seconds',0,0),
(120480,170159,7,100,'Heals target for 213 - 261 instantly and every 2 seconds',0,0),
(120481,170159,9,100,'Heals target for 222 - 271 instantly and every 2 seconds',0,0),
(120482,170159,10,100,'Heals target for 233 - 285 instantly and every 2 seconds',0,0),
(120483,170160,1,100,'Heals target for 421 - 515 instantly and every 2 seconds',0,0),
(120484,170160,4,100,'Heals target for 515 - 629 instantly and every 2 seconds',0,0),
(120485,170160,5,100,'Heals target for 562 - 687 instantly and every 2 seconds',0,0),
(120486,170160,7,100,'Heals target for 721 - 881 instantly and every 2 seconds',0,0),
(120487,170160,9,100,'Heals target for 749 - 915 instantly and every 2 seconds',0,0),
(120488,170161,1,100,'Heals target for 184 - 225 instantly and every 2 seconds',0,0),
(120489,170161,2,100,'Heals target for 195 - 238 instantly and every 2 seconds',0,0),
(120490,170161,3,100,'Heals target for 205 - 250 instantly and every 2 seconds',0,0),
(120491,170161,4,100,'Heals target for 225 - 275 instantly and every 2 seconds',0,0),
(120492,170161,5,100,'Heals target for 246 - 300 instantly and every 2 seconds',0,0),
(120493,170161,7,100,'Heals target for 315 - 385 instantly and every 2 seconds',0,0),
(120494,170161,9,100,'Heals target for 328 - 400 instantly and every 2 seconds',0,0),
(120495,170161,10,100,'Heals target for 344 - 420 instantly and every 2 seconds',0,0),
(120496,170162,1,100,'Heals target for 244 - 298 instantly and every 2 seconds',0,0),
(120497,170162,2,100,'Heals target for 257 - 315 instantly and every 2 seconds',0,0),
(120498,170162,3,100,'Heals target for 271 - 331 instantly and every 2 seconds',0,0),
(120499,170162,4,100,'Heals target for 298 - 364 instantly and every 2 seconds',0,0),
(120500,170162,5,100,'Heals target for 325 - 397 instantly and every 2 seconds',0,0),
(120501,170162,7,100,'Heals target for 417 - 510 instantly and every 2 seconds',0,0),
(120502,170162,9,100,'Heals target for 433 - 530 instantly and every 2 seconds',0,0),
(120503,170163,1,100,'Heals target for 323 - 394 instantly and every 2 seconds',0,0),
(120504,170163,2,100,'Heals target for 341 - 416 instantly and every 2 seconds',0,0),
(120505,170163,3,100,'Heals target for 358 - 438 instantly and every 2 seconds',0,0),
(120506,170163,4,100,'Heals target for 394 - 482 instantly and every 2 seconds',0,0),
(120507,170163,5,100,'Heals target for 430 - 526 instantly and every 2 seconds',0,0),
(120508,170163,7,100,'Heals target for 552 - 675 instantly and every 2 seconds',0,0),
(120509,170163,9,100,'Heals target for 574 - 701 instantly and every 2 seconds',0,0),
(120510,170164,1,100,'Heals target for 392 - 480 instantly and every 2 seconds',0,0),
(120511,170164,4,100,'Heals target for 480 - 586 instantly and every 2 seconds',0,0),
(120512,170164,5,100,'Heals target for 523 - 639 instantly and every 2 seconds',0,0),
(120513,170164,7,100,'Heals target for 671 - 821 instantly and every 2 seconds',0,0),
(120514,170164,9,100,'Heals target for 698 - 853 instantly and every 2 seconds',0,0),
(120515,160121,1,100,'Applies Reincarnate on termination.  Lasts for 1 minute.',0,0),
(120516,160121,1,100,'Shapechanges target into a wolf',1,1),
(120517,160121,1,100,'Heals target for 15.0% of max health',1,2),
(120518,160121,1,100,'Heals target for 0.5% of max health every 6 seconds',1,3),
(120519,160121,1,100,'This effect cannot be critically applied.',2,4),
(120520,160121,1,100,'Increases All Attributes of target by 15.0%',1,5),
(120521,160121,1,100,'Increases Haste of target by 31.3',1,6),
(120522,160121,1,100,'Increases DPS of target by 36.0',1,7),
(120523,160121,1,100,'Increases Slashing, Crushing and Piercing of target by 15.0',1,8),
(120524,160121,1,100,'Resurrects target with 15% health and power',0,9),
(120525,160121,1,100,'If outside an arena',0,10),
(120526,160121,1,100,'If between levels 1 - 6',3,11),
(120527,160121,1,100,'Decreases Attack Speed of target by 5.0',2,12),
(120528,160121,1,100,'If between levels 1 - 6',3,13),
(120529,160121,1,100,'Increases All Attributes of target by 15.0%',1,14),
(120530,160121,1,100,'Increases Attack Speed of target by 31.3',1,15),
(120531,160121,1,100,'Increases Damage Per Second of target by 36.0',1,16),
(120532,160121,1,100,'Increases Piercing, Slashing and Crushing of target by 15.0',1,17),
(120533,160121,1,100,'Heals target for 16.6% of max health',1,18),
(120534,160121,1,100,'Heals target for 0.6% of max health every 6 seconds',1,19),
(120535,160121,1,100,'If outside an arena',0,20),
(120536,360151,1,100,'Increases STA of group members (AE) by 15.6',0,0),
(120537,360151,1,100,'Increases Combat Health Regen of group members (AE) by 29.7',0,1),
(120538,360151,2,100,'Increases STA of group members (AE) by 16.4',0,0),
(120539,360151,2,100,'Increases Combat Health Regen of group members (AE) by 31.4',0,1),
(120540,360151,3,100,'Increases STA of group members (AE) by 17.3',0,0),
(120541,360151,3,100,'Increases Combat Health Regen of group members (AE) by 33.0',0,1),
(120542,360151,4,100,'Increases STA of group members (AE) by 19.0',0,0),
(120543,360151,4,100,'Increases Combat Health Regen of group members (AE) by 36.3',0,1),
(120544,360151,5,100,'Increases STA of group members (AE) by 20.8',0,0),
(120545,360151,5,100,'Increases Combat Health Regen of group members (AE) by 39.6',0,1),
(120546,360151,7,100,'Increases STA of group members (AE) by 26.6',0,0),
(120547,360151,7,100,'Increases Combat Health Regen of group members (AE) by 50.8',0,1),
(120548,360151,9,100,'Increases STA of group members (AE) by 27.7',0,0),
(120549,360151,9,100,'Increases Combat Health Regen of group members (AE) by 52.8',0,1),
(120550,360152,1,100,'Increases STA of group members (AE) by 26.5',0,0),
(120551,360152,1,100,'Increases Combat Health Regen of group members (AE) by 48.6',0,1),
(120552,360152,2,100,'Increases STA of group members (AE) by 27.9',0,0),
(120553,360152,2,100,'Increases Combat Health Regen of group members (AE) by 51.3',0,1),
(120554,360152,3,100,'Increases STA of group members (AE) by 29.4',0,0),
(120555,360152,3,100,'Increases Combat Health Regen of group members (AE) by 54.0',0,1),
(120556,360152,4,100,'Increases STA of group members (AE) by 32.3',0,0),
(120557,360152,4,100,'Increases Combat Health Regen of group members (AE) by 59.4',0,1),
(120558,360152,5,100,'Increases STA of group members (AE) by 35.3',0,0),
(120559,360152,5,100,'Increases Combat Health Regen of group members (AE) by 64.8',0,1),
(120560,360152,7,100,'Increases STA of group members (AE) by 45.3',0,0),
(120561,360152,7,100,'Increases Combat Health Regen of group members (AE) by 83.2',0,1),
(120562,360152,9,100,'Increases STA of group members (AE) by 47.0',0,0),
(120563,360152,9,100,'Increases Combat Health Regen of group members (AE) by 86.4',0,1),
(120564,360152,10,100,'Increases STA of group members (AE) by 49.4',0,0),
(120565,360152,10,100,'Increases Combat Health Regen of group members (AE) by 90.7',0,1),
(120566,360153,1,100,'Increases STA of group members (AE) by 36.2',0,0),
(120567,360153,1,100,'Increases Combat Health Regen of group members (AE) by 67.5',0,1),
(120568,360153,2,100,'Increases STA of group members (AE) by 38.2',0,0),
(120569,360153,2,100,'Increases Combat Health Regen of group members (AE) by 71.2',0,1),
(120570,360153,3,100,'Increases STA of group members (AE) by 40.2',0,0),
(120571,360153,3,100,'Increases Combat Health Regen of group members (AE) by 75.0',0,1),
(120572,360153,4,100,'Increases STA of group members (AE) by 44.2',0,0),
(120573,360153,4,100,'Increases Combat Health Regen of group members (AE) by 82.5',0,1),
(120574,360153,5,100,'Increases STA of group members (AE) by 48.2',0,0),
(120575,360153,5,100,'Increases Combat Health Regen of group members (AE) by 90.0',0,1),
(120576,360153,7,100,'Increases STA of group members (AE) by 61.9',0,0),
(120577,360153,7,100,'Increases Combat Health Regen of group members (AE) by 115.5',0,1),
(120578,360153,9,100,'Increases STA of group members (AE) by 64.3',0,0),
(120579,360153,9,100,'Increases Combat Health Regen of group members (AE) by 120.0',0,1),
(120580,360154,1,100,'Increases STA of group members (AE) by 45.6',0,0),
(120581,360154,1,100,'Increases Combat Health Regen of group members (AE) by 87.5',0,1),
(120582,360154,2,100,'Increases STA of group members (AE) by 48.2',0,0),
(120583,360154,2,100,'Increases Combat Health Regen of group members (AE) by 92.3',0,1),
(120584,360154,3,100,'Increases STA of group members (AE) by 50.7',0,0),
(120585,360154,3,100,'Increases Combat Health Regen of group members (AE) by 97.2',0,1),
(120586,360154,4,100,'Increases STA of group members (AE) by 55.8',0,0),
(120587,360154,4,100,'Increases Combat Health Regen of group members (AE) by 106.9',0,1),
(120588,360154,5,100,'Increases STA of group members (AE) by 60.8',0,0),
(120589,360154,5,100,'Increases Combat Health Regen of group members (AE) by 116.6',0,1),
(120590,360154,7,100,'Increases STA of group members (AE) by 78.1',0,0),
(120591,360154,7,100,'Increases In-Combat Health Regeneration of group members (AE) by 149.7',0,1),
(120592,360154,9,100,'Increases STA of group members (AE) by 81.1',0,0),
(120593,360154,9,100,'Increases Combat Health Regen of group members (AE) by 155.5',0,1),
(120594,360155,1,100,'Increases STA of group members (AE) by 54.6',0,0),
(120595,360155,1,100,'Increases Combat Health Regen of group members (AE) by 106.4',0,1),
(120596,360155,4,100,'Increases STA of group members (AE) by 66.8',0,0),
(120597,360155,4,100,'Increases In-Combat Health Regeneration of group members (AE) by 130.0',0,1),
(120598,360155,5,100,'Increases STA of group members (AE) by 72.8',0,0),
(120599,360155,5,100,'Increases Combat Health Regen of group members (AE) by 141.8',0,1),
(120600,360155,7,100,'Increases STA of group members (AE) by 93.5',0,0),
(120601,360155,7,100,'Increases Combat Health Regen of group members (AE) by 182.0',0,1),
(120602,360155,9,100,'Increases STA of group members (AE) by 97.1',0,0),
(120603,360155,9,100,'Increases Combat Health Regen of group members (AE) by 189.1',0,1),
(120604,360156,1,100,'Increases STA of group members (AE) by 63.6',0,0),
(120605,360156,1,100,'Increases Combat Health Regen of group members (AE) by 125.3',0,1),
(120606,360156,4,100,'Increases STA of group members (AE) by 77.8',0,0),
(120607,360156,4,100,'Increases Combat Health Regen of group members (AE) by 153.1',0,1),
(120608,360156,5,100,'Increases STA of group members (AE) by 84.8',0,0),
(120609,360156,5,100,'Increases Combat Health Regen of group members (AE) by 167.0',0,1),
(120610,360156,7,100,'Increases STA of group members (AE) by 108.9',0,0),
(120611,360156,7,100,'Increases Combat Health Regen of group members (AE) by 214.4',0,1),
(120612,360156,9,100,'Increases STA of group members (AE) by 113.1',0,0),
(120613,360156,9,100,'Increases In-Combat Health Regeneration of group members (AE) by 222.7',0,1),
(120614,190108,1,100,'Heals target for 14 - 17',0,0),
(120615,190108,1,100,'Increases Max Health of target by 2.0',0,1),
(120616,190108,2,100,'Heals target for 15 - 18',0,0),
(120617,190108,2,100,'Increases Max Health of target by 2.1',0,1),
(120618,190108,3,100,'Heals target for 15 - 19',0,0),
(120619,190108,3,100,'Increases Max Health of target by 2.2',0,1),
(120620,190108,4,100,'Heals target for 17 - 21',0,0),
(120621,190108,4,100,'Increases Max Health of target by 2.5',0,1),
(120622,190108,5,100,'Heals target for 18 - 22',0,0),
(120623,190108,5,100,'Increases Max Health of target by 2.7',0,1),
(120624,190108,7,100,'Heals target for 24 - 29',0,0),
(120625,190108,7,100,'Increases Max Health of target by 3.4',0,1),
(120626,190108,9,100,'Heals target for 24 - 30',0,0),
(120627,190108,9,100,'Increases Max Health of target by 3.6',0,1),
(120628,190109,1,100,'Heals target for 48 - 59',0,0),
(120629,190109,1,100,'Increases Max Health of target by 5.5',0,1),
(120630,190109,2,100,'Heals target for 51 - 62',0,0),
(120631,190109,2,100,'Increases Max Health of target by 5.8',0,1),
(120632,190109,3,100,'Heals target for 54 - 65',0,0),
(120633,190109,3,100,'Increases Max Health of target by 6.1',0,1),
(120634,190109,4,100,'Heals target for 59 - 72',0,0),
(120635,190109,4,100,'Increases Max Health of target by 6.7',0,1),
(120636,190109,5,100,'Heals target for 64 - 79',0,0),
(120637,190109,5,100,'Increases Max Health of target by 7.3',0,1),
(120638,190109,7,100,'Heals target for 82 - 101',0,0),
(120639,190109,7,100,'Increases Max Health of target by 9.4',0,1),
(120640,190109,9,100,'Heals target for 86 - 105',0,0),
(120641,190109,9,100,'Increases Max Health of target by 9.7',0,1),
(120642,190110,1,100,'Heals target for 103 - 126',0,0),
(120643,190110,1,100,'Increases Max Health of target by 11.3',0,1),
(120644,190110,2,100,'Heals target for 109 - 133',0,0),
(120645,190110,2,100,'Increases Max Health of target by 12.0',0,1),
(120646,190110,3,100,'Heals target for 115 - 140',0,0),
(120647,190110,3,100,'Increases Max Health of target by 12.6',0,1),
(120648,190110,4,100,'Heals target for 126 - 154',0,0),
(120649,190110,4,100,'Increases Max Health of target by 13.9',0,1),
(120650,190110,5,100,'Heals target for 138 - 168',0,0),
(120651,190110,5,100,'Increases Max Health of target by 15.1',0,1),
(120652,190110,7,100,'Heals target for 177 - 216',0,0),
(120653,190110,7,100,'Increases Max Health of target by 19.4',0,1),
(120654,190110,9,100,'Heals target for 184 - 224',0,0),
(120655,190110,9,100,'Increases Max Health of target by 20.2',0,1),
(120656,190111,1,100,'Heals target for 154 - 188',0,0),
(120657,190111,1,100,'Increases Max Health of target by 18.6',0,1),
(120658,190111,2,100,'Heals target for 163 - 199',0,0),
(120659,190111,2,100,'Increases Max Health of target by 19.6',0,1),
(120660,190111,3,100,'Heals target for 171 - 209',0,0),
(120661,190111,3,100,'Increases Max Health of target by 20.7',0,1),
(120662,190111,4,100,'Heals target for 188 - 230',0,0),
(120663,190111,4,100,'Increases Max Health of target by 22.7',0,1),
(120664,190111,5,100,'Heals target for 206 - 251',0,0),
(120665,190111,5,100,'Increases Max Health of target by 24.8',0,1),
(120666,190111,7,100,'Heals target for 264 - 323',0,0),
(120667,190111,7,100,'Increases Max Health of target by 31.8',0,1),
(120668,190111,9,100,'Heals target for 274 - 335',0,0),
(120669,190111,9,100,'Increases Max Health of target by 33.1',0,1),
(120670,190112,1,100,'Heals target for 842 - 1029',0,0),
(120671,190112,1,100,'Increases Max Health of target by 107.5',0,1),
(120672,190112,4,100,'Heals target for 1029 - 1258',0,0),
(120673,190112,4,100,'Increases Max Health of target by 131.3',0,1),
(120674,190112,5,100,'Heals target for 1123 - 1372',0,0),
(120675,190112,5,100,'Increases Max Health of target by 143.3',0,1),
(120676,190112,7,100,'Heals target for 1441 - 1761',0,0),
(120677,190112,7,100,'Increases Max Health of target by 183.9',0,1),
(120678,190112,9,100,'Heals target for 1497 - 1830',0,0),
(120679,190112,9,100,'Increases Max Health of target by 191.0',0,1),
(120680,190113,1,100,'Heals target for 212 - 259',0,0),
(120681,190113,1,100,'Increases Max Health of target by 29.6',0,1),
(120682,190113,2,100,'Heals target for 224 - 274',0,0),
(120683,190113,2,100,'Increases Max Health of target by 31.2',0,1),
(120684,190113,3,100,'Heals target for 236 - 288',0,0),
(120685,190113,3,100,'Increases Max Health of target by 32.9',0,1),
(120686,190113,4,100,'Heals target for 259 - 317',0,0),
(120687,190113,4,100,'Increases Max Health of target by 36.1',0,1),
(120688,190113,5,100,'Heals target for 283 - 346',0,0),
(120689,190113,5,100,'Increases Max Health of target by 39.4',0,1),
(120690,190113,7,100,'Heals target for 363 - 443',0,0),
(120691,190113,7,100,'Increases Max Health of target by 50.6',0,1),
(120692,190113,9,100,'Heals target for 377 - 461',0,0),
(120693,190113,9,100,'Increases Max Health of target by 52.6',0,1),
(120694,190114,1,100,'Heals target for 334 - 408',0,0),
(120695,190114,1,100,'Increases Max Health of target by 51.4',0,1),
(120696,190114,2,100,'Heals target for 352 - 431',0,0),
(120697,190114,2,100,'Increases Max Health of target by 54.2',0,1),
(120698,190114,3,100,'Heals target for 371 - 453',0,0),
(120699,190114,3,100,'Increases Max Health of target by 57.1',0,1),
(120700,190114,4,100,'Heals target for 408 - 499',0,0),
(120701,190114,4,100,'Increases Max Health of target by 62.8',0,1),
(120702,190114,5,100,'Heals target for 445 - 544',0,0),
(120703,190114,5,100,'Increases Max Health of target by 68.5',0,1),
(120704,190114,7,100,'Heals target for 571 - 698',0,0),
(120705,190114,7,100,'Increases Max Health of target by 87.9',0,1),
(120706,190114,9,100,'Heals target for 594 - 726',0,0),
(120707,190114,9,100,'Increases Max Health of target by 91.4',0,1),
(120708,190114,10,100,'Heals target for 623 - 762',0,0),
(120709,190114,10,100,'Increases Max Health of target by 95.9',0,1),
(120710,190115,1,100,'Heals target for 479 - 585',0,0),
(120711,190115,1,100,'Increases Max Health of target by 71.0',0,1),
(120712,190115,2,100,'Heals target for 505 - 617',0,0),
(120713,190115,2,100,'Increases Max Health of target by 75.0',0,1),
(120714,190115,3,100,'Heals target for 532 - 650',0,0),
(120715,190115,3,100,'Increases Max Health of target by 78.9',0,1),
(120716,190115,4,100,'Heals target for 585 - 715',0,0),
(120717,190115,4,100,'Increases Max Health of target by 86.8',0,1),
(120718,190115,5,100,'Heals target for 638 - 780',0,0),
(120719,190115,5,100,'Increases Max Health of target by 94.7',0,1),
(120720,190115,7,100,'Heals target for 819 - 1001',0,0),
(120721,190115,7,100,'Increases Max Health of target by 121.6',0,1),
(120722,190115,9,100,'Heals target for 851 - 1040',0,0),
(120723,190115,9,100,'Increases Max Health of target by 126.3',0,1),
(120724,190116,1,100,'Heals target for 634 - 775',0,0),
(120725,190116,1,100,'Increases Max Health of target by 89.5',0,1),
(120726,190116,2,100,'Heals target for 669 - 818',0,0),
(120727,190116,2,100,'Increases Max Health of target by 94.4',0,1),
(120728,190116,3,100,'Heals target for 705 - 861',0,0),
(120729,190116,3,100,'Increases Max Health of target by 99.4',0,1),
(120730,190116,4,100,'Heals target for 775 - 947',0,0),
(120731,190116,4,100,'Increases Max Health of target by 109.3',0,1),
(120732,190116,5,100,'Heals target for 845 - 1033',0,0),
(120733,190116,5,100,'Increases Max Health of target by 119.3',0,1),
(120734,190116,7,100,'Heals target for 1085 - 1326',0,0),
(120735,190116,7,100,'Increases Max Health of target by 153.1',0,1),
(120736,190116,9,100,'Heals target for 1127 - 1378',0,0),
(120737,190116,9,100,'Increases Max Health of target by 159.0',0,1),
(120738,190117,1,100,'Heals target for 989 - 1209',0,0),
(120739,190117,1,100,'Increases Max Health of target by 125.5',0,1),
(120740,190117,4,100,'Heals target for 1209 - 1478',0,0),
(120741,190117,4,100,'Increases Max Health of target by 153.3',0,1),
(120742,190117,5,100,'Heals target for 1319 - 1612',0,0),
(120743,190117,5,100,'Increases Max Health of target by 167.3',0,1),
(120744,190117,7,100,'Heals target for 1693 - 2069',0,0),
(120745,190117,7,100,'Increases Max Health of target by 214.7',0,1),
(120746,190117,9,100,'Heals target for 1759 - 2150',0,0),
(120747,190117,9,100,'Increases Max Health of target by 223.0',0,1),
(120748,300152,1,100,'Applies Rending to qualifying pets.',0,0),
(120749,300152,1,100,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',1,1),
(120750,300152,1,100,'Increases Haste of target by 12.6',2,2),
(120751,300152,1,100,'Increases DPS of target by 12.6',2,3),
(120752,300152,1,100,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,4),
(120753,300152,1,100,'Increases Haste of target by 12.6',2,5),
(120754,300152,1,100,'Increases DPS of target by 12.6',2,6),
(120755,300152,1,100,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,7),
(120756,300152,1,100,'Increases Haste of target by 12.6',2,8),
(120757,300152,1,100,'Increases DPS of target by 12.6',2,9),
(120758,300152,2,100,'Applies Rending to qualifying pets.',0,0),
(120759,300152,2,100,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',1,1),
(120760,300152,2,100,'Increases Haste of target by 13.3',2,2),
(120761,300152,2,100,'Increases DPS of target by 13.3',2,3),
(120762,300152,2,100,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,4),
(120763,300152,2,100,'Increases Haste of target by 13.3',2,5),
(120764,300152,2,100,'Increases DPS of target by 13.3',2,6),
(120765,300152,2,100,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,7),
(120766,300152,2,100,'Increases Haste of target by 13.3',2,8),
(120767,300152,2,100,'Increases DPS of target by 13.3',2,9),
(120768,300152,3,100,'Applies Rending to qualifying pets.',0,0),
(120769,300152,3,100,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',1,1),
(120770,300152,3,100,'Increases Haste of target by 14.0',2,2),
(120771,300152,3,100,'Increases DPS of target by 14.0',2,3),
(120772,300152,3,100,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,4),
(120773,300152,3,100,'Increases Haste of target by 14.0',2,5),
(120774,300152,3,100,'Increases DPS of target by 14.0',2,6),
(120775,300152,3,100,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,7),
(120776,300152,3,100,'Increases Haste of target by 14.0',2,8),
(120777,300152,3,100,'Increases DPS of target by 14.0',2,9),
(120778,300152,4,100,'Applies Rending to qualifying pets.',0,0),
(120779,300152,4,100,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',1,1),
(120780,300152,4,100,'Increases Attack Speed of target by 15.4',2,2),
(120781,300152,4,100,'Increases Damage Per Second of target by 15.4',2,3),
(120782,300152,4,100,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,4),
(120783,300152,4,100,'Increases Attack Speed of target by 15.4',2,5),
(120784,300152,4,100,'Increases Damage Per Second of target by 15.4',2,6),
(120785,300152,4,100,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,7),
(120786,300152,4,100,'Increases Attack Speed of target by 15.4',2,8),
(120787,300152,4,100,'Increases Damage Per Second of target by 15.4',2,9),
(120788,300152,5,100,'Applies Rending to qualifying pets.',0,0),
(120789,300152,5,100,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',1,1),
(120790,300152,5,100,'Increases Haste of target by 16.8',2,2),
(120791,300152,5,100,'Increases DPS of target by 16.8',2,3),
(120792,300152,5,100,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,4),
(120793,300152,5,100,'Increases Haste of target by 16.8',2,5),
(120794,300152,5,100,'Increases DPS of target by 16.8',2,6),
(120795,300152,5,100,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,7),
(120796,300152,5,100,'Increases Haste of target by 16.8',2,8),
(120797,300152,5,100,'Increases DPS of target by 16.8',2,9),
(120798,300152,7,100,'Applies Rending to qualifying pets.',0,0),
(120799,300152,7,100,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',1,1),
(120800,300152,7,100,'Increases Haste of target by 21.6',2,2),
(120801,300152,7,100,'Increases DPS of target by 21.6',2,3),
(120802,300152,7,100,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,4),
(120803,300152,7,100,'Increases Haste of target by 21.6',2,5),
(120804,300152,7,100,'Increases DPS of target by 21.6',2,6),
(120805,300152,7,100,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,7),
(120806,300152,7,100,'Increases Haste of target by 21.6',2,8),
(120807,300152,7,100,'Increases DPS of target by 21.6',2,9),
(120808,300152,9,100,'Applies Rending to qualifying pets.',0,0),
(120809,300152,9,100,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',1,1),
(120810,300152,9,100,'Increases Haste of target by 22.4',2,2),
(120811,300152,9,100,'Increases DPS of target by 22.4',2,3),
(120812,300152,9,100,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,4),
(120813,300152,9,100,'Increases Haste of target by 22.4',2,5),
(120814,300152,9,100,'Increases DPS of target by 22.4',2,6),
(120815,300152,9,100,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,7),
(120816,300152,9,100,'Increases Haste of target by 22.4',2,8),
(120817,300152,9,100,'Increases DPS of target by 22.4',2,9),
(120818,300152,10,100,'Applies Rending to qualifying pets.',0,0),
(120819,300152,10,100,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',1,1),
(120820,300152,10,100,'Increases Haste of target by 23.5',2,2),
(120821,300152,10,100,'Increases DPS of target by 23.5',2,3),
(120822,300152,10,100,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,4),
(120823,300152,10,100,'Increases Haste of target by 23.5',2,5),
(120824,300152,10,100,'Increases DPS of target by 23.5',2,6),
(120825,300152,10,100,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,7),
(120826,300152,10,100,'Increases Haste of target by 23.5',2,8),
(120827,300152,10,100,'Increases DPS of target by 23.5',2,9),
(120828,300153,1,100,'Applies Rending to qualifying pets.',0,0),
(120829,300153,1,100,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',1,1),
(120830,300153,1,100,'Increases Haste of target by 14.7',2,2),
(120831,300153,1,100,'Increases DPS of target by 14.7',2,3),
(120832,300153,1,100,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,4),
(120833,300153,1,100,'Increases Haste of target by 14.7',2,5),
(120834,300153,1,100,'Increases DPS of target by 14.7',2,6),
(120835,300153,1,100,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,7),
(120836,300153,1,100,'Increases Haste of target by 14.7',2,8),
(120837,300153,1,100,'Increases DPS of target by 14.7',2,9),
(120838,300153,2,100,'Applies Rending to qualifying pets.',0,0),
(120839,300153,2,100,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',1,1),
(120840,300153,2,100,'Increases Haste of target by 15.5',2,2),
(120841,300153,2,100,'Increases DPS of target by 15.5',2,3),
(120842,300153,2,100,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,4),
(120843,300153,2,100,'Increases Haste of target by 15.5',2,5),
(120844,300153,2,100,'Increases DPS of target by 15.5',2,6),
(120845,300153,2,100,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,7),
(120846,300153,2,100,'Increases Haste of target by 15.5',2,8),
(120847,300153,2,100,'Increases DPS of target by 15.5',2,9),
(120848,300153,3,100,'Applies Rending to qualifying pets.',0,0),
(120849,300153,3,100,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',1,1),
(120850,300153,3,100,'Increases Haste of target by 16.3',2,2),
(120851,300153,3,100,'Increases DPS of target by 16.3',2,3),
(120852,300153,3,100,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,4),
(120853,300153,3,100,'Increases Haste of target by 16.3',2,5),
(120854,300153,3,100,'Increases DPS of target by 16.3',2,6),
(120855,300153,3,100,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,7),
(120856,300153,3,100,'Increases Haste of target by 16.3',2,8),
(120857,300153,3,100,'Increases DPS of target by 16.3',2,9),
(120858,300153,4,100,'Applies Rending to qualifying pets.',0,0),
(120859,300153,4,100,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',1,1),
(120860,300153,4,100,'Increases Attack Speed of target by 17.9',2,2),
(120861,300153,4,100,'Increases Damage Per Second of target by 17.9',2,3),
(120862,300153,4,100,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,4),
(120863,300153,4,100,'Increases Attack Speed of target by 17.9',2,5),
(120864,300153,4,100,'Increases Damage Per Second of target by 17.9',2,6),
(120865,300153,4,100,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,7),
(120866,300153,4,100,'Increases Attack Speed of target by 17.9',2,8),
(120867,300153,4,100,'Increases Damage Per Second of target by 17.9',2,9),
(120868,300153,5,100,'Applies Rending to qualifying pets.',0,0),
(120869,300153,5,100,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',1,1),
(120870,300153,5,100,'Increases Attack Speed of target by 19.6',2,2),
(120871,300153,5,100,'Increases Damage Per Second of target by 19.6',2,3),
(120872,300153,5,100,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,4),
(120873,300153,5,100,'Increases Attack Speed of target by 19.6',2,5),
(120874,300153,5,100,'Increases Damage Per Second of target by 19.6',2,6),
(120875,300153,5,100,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,7),
(120876,300153,5,100,'Increases Attack Speed of target by 19.6',2,8),
(120877,300153,5,100,'Increases Damage Per Second of target by 19.6',2,9),
(120878,300153,7,100,'Applies Rending to qualifying pets.',0,0),
(120879,300153,7,100,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',1,1),
(120880,300153,7,100,'Increases Haste of target by 25.1',2,2),
(120881,300153,7,100,'Increases DPS of target by 25.1',2,3),
(120882,300153,7,100,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,4),
(120883,300153,7,100,'Increases Haste of target by 25.1',2,5),
(120884,300153,7,100,'Increases DPS of target by 25.1',2,6),
(120885,300153,7,100,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,7),
(120886,300153,7,100,'Increases Haste of target by 25.1',2,8),
(120887,300153,7,100,'Increases DPS of target by 25.1',2,9),
(120888,300153,9,100,'Applies Rending to qualifying pets.',0,0),
(120889,300153,9,100,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',1,1),
(120890,300153,9,100,'Increases Haste of target by 26.1',2,2),
(120891,300153,9,100,'Increases DPS of target by 26.1',2,3),
(120892,300153,9,100,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,4),
(120893,300153,9,100,'Increases Haste of target by 26.1',2,5),
(120894,300153,9,100,'Increases DPS of target by 26.1',2,6),
(120895,300153,9,100,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,7),
(120896,300153,9,100,'Increases Haste of target by 26.1',2,8),
(120897,300153,9,100,'Increases DPS of target by 26.1',2,9),
(120898,300154,1,100,'Applies Rending to qualifying pets.',0,0),
(120899,300154,1,100,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',1,1),
(120900,300154,1,100,'Increases Haste of target by 16.7',2,2),
(120901,300154,1,100,'Increases DPS of target by 16.7',2,3),
(120902,300154,1,100,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,4),
(120903,300154,1,100,'Increases Haste of target by 16.7',2,5),
(120904,300154,1,100,'Increases DPS of target by 16.7',2,6),
(120905,300154,1,100,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,7),
(120906,300154,1,100,'Increases Haste of target by 16.7',2,8),
(120907,300154,1,100,'Increases DPS of target by 16.7',2,9),
(120908,300154,2,100,'Applies Rending to qualifying pets.',0,0),
(120909,300154,2,100,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',1,1),
(120910,300154,2,100,'Increases Attack Speed of target by 17.6',2,2),
(120911,300154,2,100,'Increases Damage Per Second of target by 17.6',2,3),
(120912,300154,2,100,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,4),
(120913,300154,2,100,'Increases Attack Speed of target by 17.6',2,5),
(120914,300154,2,100,'Increases Damage Per Second of target by 17.6',2,6),
(120915,300154,2,100,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,7),
(120916,300154,2,100,'Increases Attack Speed of target by 17.6',2,8),
(120917,300154,2,100,'Increases Damage Per Second of target by 17.6',2,9),
(120918,300154,3,100,'Applies Rending to qualifying pets.',0,0),
(120919,300154,3,100,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',1,1),
(120920,300154,3,100,'Increases Haste of target by 18.6',2,2),
(120921,300154,3,100,'Increases DPS of target by 18.6',2,3),
(120922,300154,3,100,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,4),
(120923,300154,3,100,'Increases Haste of target by 18.6',2,5),
(120924,300154,3,100,'Increases DPS of target by 18.6',2,6),
(120925,300154,3,100,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,7),
(120926,300154,3,100,'Increases Haste of target by 18.6',2,8),
(120927,300154,3,100,'Increases DPS of target by 18.6',2,9),
(120928,300154,4,100,'Applies Rending to qualifying pets.',0,0),
(120929,300154,4,100,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',1,1),
(120930,300154,4,100,'Increases Haste of target by 20.4',2,2),
(120931,300154,4,100,'Increases DPS of target by 20.4',2,3),
(120932,300154,4,100,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,4),
(120933,300154,4,100,'Increases Haste of target by 20.4',2,5),
(120934,300154,4,100,'Increases DPS of target by 20.4',2,6),
(120935,300154,4,100,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,7),
(120936,300154,4,100,'Increases Haste of target by 20.4',2,8),
(120937,300154,4,100,'Increases DPS of target by 20.4',2,9),
(120938,300154,5,100,'Applies Rending to qualifying pets.',0,0),
(120939,300154,5,100,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',1,1),
(120940,300154,5,100,'Increases Haste of target by 22.3',2,2),
(120941,300154,5,100,'Increases DPS of target by 22.3',2,3),
(120942,300154,5,100,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,4),
(120943,300154,5,100,'Increases Haste of target by 22.3',2,5),
(120944,300154,5,100,'Increases DPS of target by 22.3',2,6),
(120945,300154,5,100,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,7),
(120946,300154,5,100,'Increases Haste of target by 22.3',2,8),
(120947,300154,5,100,'Increases DPS of target by 22.3',2,9),
(120948,300154,7,100,'Applies Rending to qualifying pets.',0,0),
(120949,300154,7,100,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',1,1),
(120950,300154,7,100,'Increases Haste of target by 28.6',2,2),
(120951,300154,7,100,'Increases DPS of target by 28.6',2,3),
(120952,300154,7,100,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,4),
(120953,300154,7,100,'Increases Haste of target by 28.6',2,5),
(120954,300154,7,100,'Increases DPS of target by 28.6',2,6),
(120955,300154,7,100,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,7),
(120956,300154,7,100,'Increases Haste of target by 28.6',2,8),
(120957,300154,7,100,'Increases DPS of target by 28.6',2,9),
(120958,300154,9,100,'Applies Rending to qualifying pets.',0,0),
(120959,300154,9,100,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',1,1),
(120960,300154,9,100,'Increases Attack Speed of target by 29.7',2,2),
(120961,300154,9,100,'Increases Damage Per Second of target by 29.7',2,3),
(120962,300154,9,100,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,4),
(120963,300154,9,100,'Increases Attack Speed of target by 29.7',2,5),
(120964,300154,9,100,'Increases Damage Per Second of target by 29.7',2,6),
(120965,300154,9,100,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,7),
(120966,300154,9,100,'Increases Attack Speed of target by 29.7',2,8),
(120967,300154,9,100,'Increases Damage Per Second of target by 29.7',2,9),
(120968,300155,1,100,'Applies Rending to qualifying pets.',0,0),
(120969,300155,1,100,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',1,1),
(120970,300155,1,100,'Increases Haste of target by 18.2',2,2),
(120971,300155,1,100,'Increases DPS of target by 18.2',2,3),
(120972,300155,1,100,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,4),
(120973,300155,1,100,'Increases Haste of target by 18.2',2,5),
(120974,300155,1,100,'Increases DPS of target by 18.2',2,6),
(120975,300155,1,100,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,7),
(120976,300155,1,100,'Increases Haste of target by 18.2',2,8),
(120977,300155,1,100,'Increases DPS of target by 18.2',2,9),
(120978,300155,2,100,'Applies Rending to qualifying pets.',0,0),
(120979,300155,2,100,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',1,1),
(120980,300155,2,100,'Increases Haste of target by 19.2',2,2),
(120981,300155,2,100,'Increases DPS of target by 19.2',2,3),
(120982,300155,2,100,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,4),
(120983,300155,2,100,'Increases Haste of target by 19.2',2,5),
(120984,300155,2,100,'Increases DPS of target by 19.2',2,6),
(120985,300155,2,100,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,7),
(120986,300155,2,100,'Increases Haste of target by 19.2',2,8),
(120987,300155,2,100,'Increases DPS of target by 19.2',2,9),
(120988,300155,3,100,'Applies Rending to qualifying pets.',0,0),
(120989,300155,3,100,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',1,1),
(120990,300155,3,100,'Increases Haste of target by 20.2',2,2),
(120991,300155,3,100,'Increases DPS of target by 20.2',2,3),
(120992,300155,3,100,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,4),
(120993,300155,3,100,'Increases Haste of target by 20.2',2,5),
(120994,300155,3,100,'Increases DPS of target by 20.2',2,6),
(120995,300155,3,100,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,7),
(120996,300155,3,100,'Increases Haste of target by 20.2',2,8),
(120997,300155,3,100,'Increases DPS of target by 20.2',2,9),
(120998,300155,4,100,'Applies Rending to qualifying pets.',0,0),
(120999,300155,4,100,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',1,1),
(121000,300155,4,100,'Increases Haste of target by 22.2',2,2),
(121001,300155,4,100,'Increases DPS of target by 22.2',2,3),
(121002,300155,4,100,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,4),
(121003,300155,4,100,'Increases Haste of target by 22.2',2,5),
(121004,300155,4,100,'Increases DPS of target by 22.2',2,6),
(121005,300155,4,100,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,7),
(121006,300155,4,100,'Increases Haste of target by 22.2',2,8),
(121007,300155,4,100,'Increases DPS of target by 22.2',2,9),
(121008,300155,5,100,'Applies Rending to qualifying pets.',0,0),
(121009,300155,5,100,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',1,1),
(121010,300155,5,100,'Increases Haste of target by 24.2',2,2),
(121011,300155,5,100,'Increases DPS of target by 24.2',2,3),
(121012,300155,5,100,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,4),
(121013,300155,5,100,'Increases Haste of target by 24.2',2,5),
(121014,300155,5,100,'Increases DPS of target by 24.2',2,6),
(121015,300155,5,100,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,7),
(121016,300155,5,100,'Increases Haste of target by 24.2',2,8),
(121017,300155,5,100,'Increases DPS of target by 24.2',2,9),
(121018,300155,7,100,'Applies Rending to qualifying pets.',0,0),
(121019,300155,7,100,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',1,1),
(121020,300155,7,100,'Increases Haste of target by 31.1',2,2),
(121021,300155,7,100,'Increases DPS of target by 31.1',2,3),
(121022,300155,7,100,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,4),
(121023,300155,7,100,'Increases Haste of target by 31.1',2,5),
(121024,300155,7,100,'Increases DPS of target by 31.1',2,6),
(121025,300155,7,100,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,7),
(121026,300155,7,100,'Increases Haste of target by 31.1',2,8),
(121027,300155,7,100,'Increases DPS of target by 31.1',2,9),
(121028,300155,9,100,'Applies Rending to qualifying pets.',0,0),
(121029,300155,9,100,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',1,1),
(121030,300155,9,100,'Increases Haste of target by 32.3',2,2),
(121031,300155,9,100,'Increases DPS of target by 32.3',2,3),
(121032,300155,9,100,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,4),
(121033,300155,9,100,'Increases Haste of target by 32.3',2,5),
(121034,300155,9,100,'Increases DPS of target by 32.3',2,6),
(121035,300155,9,100,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,7),
(121036,300155,9,100,'Increases Haste of target by 32.3',2,8),
(121037,300155,9,100,'Increases DPS of target by 32.3',2,9),
(121038,300156,1,100,'Applies Rending to qualifying pets.',0,0),
(121039,300156,1,100,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',1,1),
(121040,300156,1,100,'Increases Haste of target by 20.6',2,2),
(121041,300156,1,100,'Increases DPS of target by 20.6',2,3),
(121042,300156,1,100,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,4),
(121043,300156,1,100,'Increases Haste of target by 20.6',2,5),
(121044,300156,1,100,'Increases DPS of target by 20.6',2,6),
(121045,300156,1,100,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,7),
(121046,300156,1,100,'Increases Haste of target by 20.6',2,8),
(121047,300156,1,100,'Increases DPS of target by 20.6',2,9),
(121048,300156,4,100,'Applies Rending to qualifying pets.',0,0),
(121049,300156,4,100,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',1,1),
(121050,300156,4,100,'Increases Haste of target by 25.2',2,2),
(121051,300156,4,100,'Increases DPS of target by 25.2',2,3),
(121052,300156,4,100,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,4),
(121053,300156,4,100,'Increases Haste of target by 25.2',2,5),
(121054,300156,4,100,'Increases DPS of target by 25.2',2,6),
(121055,300156,4,100,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,7),
(121056,300156,4,100,'Increases Haste of target by 25.2',2,8),
(121057,300156,4,100,'Increases DPS of target by 25.2',2,9),
(121058,300156,5,100,'Applies Rending to qualifying pets.',0,0),
(121059,300156,5,100,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',1,1),
(121060,300156,5,100,'Increases Haste of target by 27.5',2,2),
(121061,300156,5,100,'Increases DPS of target by 27.5',2,3),
(121062,300156,5,100,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,4),
(121063,300156,5,100,'Increases Haste of target by 27.5',2,5),
(121064,300156,5,100,'Increases DPS of target by 27.5',2,6),
(121065,300156,5,100,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,7),
(121066,300156,5,100,'Increases Haste of target by 27.5',2,8),
(121067,300156,5,100,'Increases DPS of target by 27.5',2,9),
(121068,300156,7,100,'Applies Rending to qualifying pets.',0,0),
(121069,300156,7,100,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',1,1),
(121070,300156,7,100,'Increases Haste of target by 35.3',2,2),
(121071,300156,7,100,'Increases DPS of target by 35.3',2,3),
(121072,300156,7,100,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,4),
(121073,300156,7,100,'Increases Haste of target by 35.3',2,5),
(121074,300156,7,100,'Increases DPS of target by 35.3',2,6),
(121075,300156,7,100,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,7),
(121076,300156,7,100,'Increases Haste of target by 35.3',2,8),
(121077,300156,7,100,'Increases DPS of target by 35.3',2,9),
(121078,300156,9,100,'Applies Rending to qualifying pets.',0,0),
(121079,300156,9,100,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',1,1),
(121080,300156,9,100,'Increases Haste of target by 36.6',2,2),
(121081,300156,9,100,'Increases DPS of target by 36.6',2,3),
(121082,300156,9,100,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,4),
(121083,300156,9,100,'Increases Haste of target by 36.6',2,5),
(121084,300156,9,100,'Increases DPS of target by 36.6',2,6),
(121085,300156,9,100,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,7),
(121086,300156,9,100,'Increases Haste of target by 36.6',2,8),
(121087,300156,9,100,'Increases DPS of target by 36.6',2,9),
(121088,300157,1,100,'Applies Rending to qualifying pets.',0,0),
(121089,300157,1,100,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',1,1),
(121090,300157,1,100,'Increases Haste of target by 22.2',2,2),
(121091,300157,1,100,'Increases DPS of target by 22.2',2,3),
(121092,300157,1,100,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,4),
(121093,300157,1,100,'Increases Haste of target by 22.2',2,5),
(121094,300157,1,100,'Increases DPS of target by 22.2',2,6),
(121095,300157,1,100,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,7),
(121096,300157,1,100,'Increases Haste of target by 22.2',2,8),
(121097,300157,1,100,'Increases DPS of target by 22.2',2,9),
(121098,300157,4,100,'Applies Rending to qualifying pets.',0,0),
(121099,300157,4,100,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',1,1),
(121100,300157,4,100,'Increases Attack Speed of target by 27.2',2,2),
(121101,300157,4,100,'Increases Damage Per Second of target by 27.2',2,3),
(121102,300157,4,100,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,4),
(121103,300157,4,100,'Increases Attack Speed of target by 27.2',2,5),
(121104,300157,4,100,'Increases Damage Per Second of target by 27.2',2,6),
(121105,300157,4,100,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,7),
(121106,300157,4,100,'Increases Attack Speed of target by 27.2',2,8),
(121107,300157,4,100,'Increases Damage Per Second of target by 27.2',2,9),
(121108,300157,5,100,'Applies Rending to qualifying pets.',0,0),
(121109,300157,5,100,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',1,1),
(121110,300157,5,100,'Increases Haste of target by 29.6',2,2),
(121111,300157,5,100,'Increases DPS of target by 29.6',2,3),
(121112,300157,5,100,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,4),
(121113,300157,5,100,'Increases Haste of target by 29.6',2,5),
(121114,300157,5,100,'Increases DPS of target by 29.6',2,6),
(121115,300157,5,100,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,7),
(121116,300157,5,100,'Increases Haste of target by 29.6',2,8),
(121117,300157,5,100,'Increases DPS of target by 29.6',2,9),
(121118,300157,7,100,'Applies Rending to qualifying pets.',0,0),
(121119,300157,7,100,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',1,1),
(121120,300157,7,100,'Increases Haste of target by 38.0',2,2),
(121121,300157,7,100,'Increases DPS of target by 38.0',2,3),
(121122,300157,7,100,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,4),
(121123,300157,7,100,'Increases Haste of target by 38.0',2,5),
(121124,300157,7,100,'Increases DPS of target by 38.0',2,6),
(121125,300157,7,100,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,7),
(121126,300157,7,100,'Increases Haste of target by 38.0',2,8),
(121127,300157,7,100,'Increases DPS of target by 38.0',2,9),
(121128,300157,9,100,'Applies Rending to qualifying pets.',0,0),
(121129,300157,9,100,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',1,1),
(121130,300157,9,100,'Increases Haste of target by 39.5',2,2),
(121131,300157,9,100,'Increases DPS of target by 39.5',2,3),
(121132,300157,9,100,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,4),
(121133,300157,9,100,'Increases Haste of target by 39.5',2,5),
(121134,300157,9,100,'Increases DPS of target by 39.5',2,6),
(121135,300157,9,100,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,7),
(121136,300157,9,100,'Increases Haste of target by 39.5',2,8),
(121137,300157,9,100,'Increases DPS of target by 39.5',2,9),
(121138,440115,1,100,'Lowers the channeler''s dissonance dissipation by 100%',0,0),
(121139,440115,1,100,'Doubles the Dissonance generated by active Conduits that are not repairs',0,1),
(121140,440115,1,100,'Interpose Redirect, Controlled Backlash and Aura of Crippling cannot trigger while this spell is active',0,2),
(121141,440115,1,100,'The healing of this spell cannot be modified except by direct means',0,3),
(121142,130125,1,100,'Wards target against 17 points of all damage',0,0),
(121143,130125,2,100,'Wards target against 18 points of all damage',0,0),
(121144,130125,3,100,'Wards target against 20 points of all damage',0,0),
(121145,130125,4,100,'Wards target against 22 points of all damage',0,0),
(121146,130125,5,100,'Wards target against 24 points of all damage',0,0),
(121147,130125,7,100,'Wards target against 30 points of all damage',0,0),
(121148,130125,9,100,'Wards target against 32 points of all damage',0,0),
(121149,130126,1,100,'Wards target against 17 points of all damage',0,0),
(121150,130126,4,100,'Wards target against 22 points of all damage',0,0),
(121151,130126,5,100,'Wards target against 24 points of all damage',0,0),
(121152,130126,7,100,'Wards target against 30 points of all damage',0,0),
(121153,130126,9,100,'Wards target against 32 points of all damage',0,0),
(121154,130127,1,100,'Wards target against 17 points of all damage',0,0),
(121155,130127,4,100,'Wards target against 22 points of all damage',0,0),
(121156,130127,5,100,'Wards target against 24 points of all damage',0,0),
(121157,130127,7,100,'Wards target against 30 points of all damage',0,0),
(121158,130127,9,100,'Wards target against 32 points of all damage',0,0),
(121159,140159,1,100,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',0,0),
(121160,140159,1,100,'Inflicts 50 - 83 divine damage on target',1,1),
(121161,140159,1,100,'Stuns target',1,2),
(121162,140159,1,100,'If Target is not Epic',2,3),
(121163,140159,1,100,'Grants a total of 3 triggers of the spell.',1,4),
(121164,140159,2,100,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',0,0),
(121165,140159,2,100,'Inflicts 52 - 87 divine damage on target',1,1),
(121166,140159,2,100,'Stuns target',1,2),
(121167,140159,2,100,'If Target is not Epic',2,3),
(121168,140159,2,100,'Grants a total of 3 triggers of the spell.',1,4),
(121169,140159,3,100,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',0,0),
(121170,140159,3,100,'Inflicts 55 - 92 divine damage on target',1,1),
(121171,140159,3,100,'Stuns target',1,2),
(121172,140159,3,100,'If Target is not Epic',2,3),
(121173,140159,3,100,'Grants a total of 3 triggers of the spell.',1,4),
(121174,140159,4,100,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',0,0),
(121175,140159,4,100,'Inflicts 61 - 101 divine damage on target',1,1),
(121176,140159,4,100,'Stuns target',1,2),
(121177,140159,4,100,'If Target is not Epic',2,3),
(121178,140159,4,100,'Grants a total of 3 triggers of the spell.',1,4),
(121179,140159,5,100,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',0,0),
(121180,140159,5,100,'Inflicts 66 - 110 divine damage on target',1,1),
(121181,140159,5,100,'Stuns target',1,2),
(121182,140159,5,100,'If Target is not Epic',2,3),
(121183,140159,5,100,'Grants a total of 3 triggers of the spell.',1,4),
(121184,140159,7,100,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',0,0),
(121185,140159,7,100,'Inflicts 85 - 142 divine damage on target',1,1),
(121186,140159,7,100,'Stuns target',1,2),
(121187,140159,7,100,'If Target is not Epic',2,3),
(121188,140159,7,100,'Grants a total of 3 triggers of the spell.',1,4),
(121189,140159,9,100,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',0,0),
(121190,140159,9,100,'Inflicts 88 - 147 divine damage on target',1,1),
(121191,140159,9,100,'Stuns target',1,2),
(121192,140159,9,100,'If Target is not Epic',2,3),
(121193,140159,9,100,'Grants a total of 3 triggers of the spell.',1,4),
(121194,140160,1,100,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',0,0),
(121195,140160,1,100,'Inflicts 94 - 157 divine damage on target',1,1),
(121196,140160,1,100,'Stuns target',1,2),
(121197,140160,1,100,'If Target is not Epic',2,3),
(121198,140160,1,100,'Grants a total of 3 triggers of the spell.',1,4),
(121199,140160,2,100,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',0,0),
(121200,140160,2,100,'Inflicts 99 - 165 divine damage on target',1,1),
(121201,140160,2,100,'Stuns target',1,2),
(121202,140160,2,100,'If Target is not Epic',2,3),
(121203,140160,2,100,'Grants a total of 3 triggers of the spell.',1,4),
(121204,140160,3,100,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',0,0),
(121205,140160,3,100,'Inflicts 105 - 174 divine damage on target',1,1),
(121206,140160,3,100,'Stuns target',1,2),
(121207,140160,3,100,'If Target is not Epic',2,3),
(121208,140160,3,100,'Grants a total of 3 triggers of the spell.',1,4),
(121209,140160,4,100,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',0,0),
(121210,140160,4,100,'Inflicts 115 - 192 divine damage on target',1,1),
(121211,140160,4,100,'Stuns target',1,2),
(121212,140160,4,100,'If Target is not Epic',2,3),
(121213,140160,4,100,'Grants a total of 3 triggers of the spell.',1,4),
(121214,140160,5,100,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',0,0),
(121215,140160,5,100,'Inflicts 125 - 209 divine damage on target',1,1),
(121216,140160,5,100,'Stuns target',1,2),
(121217,140160,5,100,'If Target is not Epic',2,3),
(121218,140160,5,100,'Grants a total of 3 triggers of the spell.',1,4),
(121219,140160,7,100,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',0,0),
(121220,140160,7,100,'Inflicts 161 - 268 divine damage on target',1,1),
(121221,140160,7,100,'Stuns target',1,2),
(121222,140160,7,100,'If Target is not Epic',2,3),
(121223,140160,7,100,'Grants a total of 3 triggers of the spell.',1,4),
(121224,140160,9,100,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',0,0),
(121225,140160,9,100,'Inflicts 167 - 279 divine damage on target',1,1),
(121226,140160,9,100,'Stuns target',1,2),
(121227,140160,9,100,'If Target is not Epic',2,3),
(121228,140160,9,100,'Grants a total of 3 triggers of the spell.',1,4),
(121229,140161,1,100,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',0,0),
(121230,140161,1,100,'Inflicts 144 - 241 divine damage on target',1,1),
(121231,140161,1,100,'Stuns target',1,2),
(121232,140161,1,100,'If Target is not Epic',2,3),
(121233,140161,1,100,'Grants a total of 3 triggers of the spell.',1,4),
(121234,140161,2,100,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',0,0),
(121235,140161,2,100,'Inflicts 152 - 254 divine damage on target',1,1),
(121236,140161,2,100,'Stuns target',1,2),
(121237,140161,2,100,'If Target is not Epic',2,3),
(121238,140161,2,100,'Grants a total of 3 triggers of the spell.',1,4),
(121239,140161,3,100,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',0,0),
(121240,140161,3,100,'Inflicts 160 - 267 divine damage on target',1,1),
(121241,140161,3,100,'Stuns target',1,2),
(121242,140161,3,100,'If Target is not Epic',2,3),
(121243,140161,3,100,'Grants a total of 3 triggers of the spell.',1,4),
(121244,140161,4,100,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',0,0),
(121245,140161,4,100,'Inflicts 176 - 294 divine damage on target',1,1),
(121246,140161,4,100,'Stuns target',1,2),
(121247,140161,4,100,'If Target is not Epic',2,3),
(121248,140161,4,100,'Grants a total of 3 triggers of the spell.',1,4),
(121249,140161,5,100,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',0,0),
(121250,140161,5,100,'Inflicts 193 - 321 divine damage on target',1,1),
(121251,140161,5,100,'Stuns target',1,2),
(121252,140161,5,100,'If Target is not Epic',2,3),
(121253,140161,5,100,'Grants a total of 3 triggers of the spell.',1,4),
(121254,140161,7,100,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',0,0),
(121255,140161,7,100,'Inflicts 247 - 412 divine damage on target',1,1),
(121256,140161,7,100,'Stuns target',1,2),
(121257,140161,7,100,'If Target is not Epic',2,3),
(121258,140161,7,100,'Grants a total of 3 triggers of the spell.',1,4),
(121259,140161,9,100,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',0,0),
(121260,140161,9,100,'Inflicts 257 - 428 divine damage on target',1,1),
(121261,140161,9,100,'Stuns target',1,2),
(121262,140161,9,100,'If Target is not Epic',2,3),
(121263,140161,9,100,'Grants a total of 3 triggers of the spell.',1,4),
(121264,140162,1,100,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',0,0),
(121265,140162,1,100,'Inflicts 201 - 335 divine damage on target',1,1),
(121266,140162,1,100,'Stuns target',1,2),
(121267,140162,1,100,'If Target is not Epic',2,3),
(121268,140162,1,100,'Grants a total of 3 triggers of the spell.',1,4),
(121269,140162,2,100,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',0,0),
(121270,140162,2,100,'Inflicts 212 - 354 divine damage on target',1,1),
(121271,140162,2,100,'Stuns target',1,2),
(121272,140162,2,100,'If Target is not Epic',2,3),
(121273,140162,2,100,'Grants a total of 3 triggers of the spell.',1,4),
(121274,140162,3,100,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',0,0),
(121275,140162,3,100,'Inflicts 224 - 373 divine damage on target',1,1),
(121276,140162,3,100,'Stuns target',1,2),
(121277,140162,3,100,'If Target is not Epic',2,3),
(121278,140162,3,100,'Grants a total of 3 triggers of the spell.',1,4),
(121279,140162,4,100,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',0,0),
(121280,140162,4,100,'Inflicts 246 - 410 divine damage on target',1,1),
(121281,140162,4,100,'Stuns target',1,2),
(121282,140162,4,100,'If Target is not Epic',2,3),
(121283,140162,4,100,'Grants a total of 3 triggers of the spell.',1,4),
(121284,140162,5,100,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',0,0),
(121285,140162,5,100,'Inflicts 268 - 447 divine damage on target',1,1),
(121286,140162,5,100,'Stuns target',1,2),
(121287,140162,5,100,'If Target is not Epic',2,3),
(121288,140162,5,100,'Grants a total of 3 triggers of the spell.',1,4),
(121289,140162,7,100,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',0,0),
(121290,140162,7,100,'Inflicts 344 - 574 divine damage on target',1,1),
(121291,140162,7,100,'Stuns target',1,2),
(121292,140162,7,100,'If Target is not Epic',2,3),
(121293,140162,7,100,'Grants a total of 3 triggers of the spell.',1,4),
(121294,140162,9,100,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',0,0),
(121295,140162,9,100,'Inflicts 358 - 596 divine damage on target',1,1),
(121296,140162,9,100,'Stuns target',1,2),
(121297,140162,9,100,'If Target is not Epic',2,3),
(121298,140162,9,100,'Grants a total of 3 triggers of the spell.',1,4),
(121299,140162,10,100,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',0,0),
(121300,140162,10,100,'Inflicts 376 - 626 divine damage on target',1,1),
(121301,140162,10,100,'Stuns target',1,2),
(121302,140162,10,100,'If Target is not Epic',2,3),
(121303,140162,10,100,'Grants a total of 3 triggers of the spell.',1,4),
(121304,140163,1,100,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',0,0),
(121305,140163,1,100,'Inflicts 257 - 429 divine damage on target',1,1),
(121306,140163,1,100,'Stuns target',1,2),
(121307,140163,1,100,'If Target is not Epic',2,3),
(121308,140163,1,100,'Grants a total of 3 triggers of the spell.',1,4),
(121309,140163,2,100,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',0,0),
(121310,140163,2,100,'Inflicts 271 - 452 divine damage on target',1,1),
(121311,140163,2,100,'Stuns target',1,2),
(121312,140163,2,100,'If Target is not Epic',2,3),
(121313,140163,2,100,'Grants a total of 3 triggers of the spell.',1,4),
(121314,140163,3,100,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',0,0),
(121315,140163,3,100,'Inflicts 286 - 476 divine damage on target',1,1),
(121316,140163,3,100,'Stuns target',1,2),
(121317,140163,3,100,'If Target is not Epic',2,3),
(121318,140163,3,100,'Grants a total of 3 triggers of the spell.',1,4),
(121319,140163,4,100,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',0,0),
(121320,140163,4,100,'Inflicts 314 - 524 divine damage on target',1,1),
(121321,140163,4,100,'Stuns target',1,2),
(121322,140163,4,100,'If Target is not Epic',2,3),
(121323,140163,4,100,'Grants a total of 3 triggers of the spell.',1,4),
(121324,140163,5,100,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',0,0),
(121325,140163,5,100,'Inflicts 343 - 571 divine damage on target',1,1),
(121326,140163,5,100,'Stuns target',1,2),
(121327,140163,5,100,'If Target is not Epic',2,3),
(121328,140163,5,100,'Grants a total of 3 triggers of the spell.',1,4),
(121329,140163,7,100,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',0,0),
(121330,140163,7,100,'Inflicts 440 - 733 divine damage on target',1,1),
(121331,140163,7,100,'Stuns target',1,2),
(121332,140163,7,100,'If Target is not Epic',2,3),
(121333,140163,7,100,'Grants a total of 3 triggers of the spell.',1,4),
(121334,140163,9,100,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',0,0),
(121335,140163,9,100,'Inflicts 457 - 762 divine damage on target',1,1),
(121336,140163,9,100,'Stuns target',1,2),
(121337,140163,9,100,'If Target is not Epic',2,3),
(121338,140163,9,100,'Grants a total of 3 triggers of the spell.',1,4),
(121339,140164,1,100,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',0,0),
(121340,140164,1,100,'Inflicts 311 - 518 divine damage on target',1,1),
(121341,140164,1,100,'Stuns target',1,2),
(121342,140164,1,100,'If Target is not Epic',2,3),
(121343,140164,1,100,'Grants a total of 3 triggers of the spell.',1,4),
(121344,140164,4,100,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',0,0),
(121345,140164,4,100,'Inflicts 380 - 633 divine damage on target',1,1),
(121346,140164,4,100,'Stuns target',1,2),
(121347,140164,4,100,'If Target is not Epic',2,3),
(121348,140164,4,100,'Grants a total of 3 triggers of the spell.',1,4),
(121349,140164,5,100,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',0,0),
(121350,140164,5,100,'Inflicts 415 - 691 divine damage on target',1,1),
(121351,140164,5,100,'Stuns target',1,2),
(121352,140164,5,100,'If Target is not Epic',2,3),
(121353,140164,5,100,'Grants a total of 3 triggers of the spell.',1,4),
(121354,140164,7,100,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',0,0),
(121355,140164,7,100,'Inflicts 532 - 887 divine damage on target',1,1),
(121356,140164,7,100,'Stuns target',1,2),
(121357,140164,7,100,'If Target is not Epic',2,3),
(121358,140164,7,100,'Grants a total of 3 triggers of the spell.',1,4),
(121359,140164,9,100,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',0,0),
(121360,140164,9,100,'Inflicts 553 - 921 divine damage on target',1,1),
(121361,140164,9,100,'Stuns target',1,2),
(121362,140164,9,100,'If Target is not Epic',2,3),
(121363,140164,9,100,'Grants a total of 3 triggers of the spell.',1,4),
(121364,140165,1,100,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',0,0),
(121365,140165,1,100,'Inflicts 359 - 598 divine damage on target',1,1),
(121366,140165,1,100,'Stuns target',1,2),
(121367,140165,1,100,'If Target is not Epic',2,3),
(121368,140165,1,100,'Grants a total of 3 triggers of the spell.',1,4),
(121369,140165,4,100,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',0,0),
(121370,140165,4,100,'Inflicts 439 - 731 divine damage on target',1,1),
(121371,140165,4,100,'Stuns target',1,2),
(121372,140165,4,100,'If Target is not Epic',2,3),
(121373,140165,4,100,'Grants a total of 3 triggers of the spell.',1,4),
(121374,140165,5,100,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',0,0),
(121375,140165,5,100,'Inflicts 479 - 798 divine damage on target',1,1),
(121376,140165,5,100,'Stuns target',1,2),
(121377,140165,5,100,'If Target is not Epic',2,3),
(121378,140165,5,100,'Grants a total of 3 triggers of the spell.',1,4),
(121379,140165,7,100,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',0,0),
(121380,140165,7,100,'Inflicts 614 - 1024 divine damage on target',1,1),
(121381,140165,7,100,'Stuns target',1,2),
(121382,140165,7,100,'If Target is not Epic',2,3),
(121383,140165,7,100,'Grants a total of 3 triggers of the spell.',1,4),
(121384,140165,9,100,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',0,0),
(121385,140165,9,100,'Inflicts 638 - 1064 divine damage on target',1,1),
(121386,140165,9,100,'Stuns target',1,2),
(121387,140165,9,100,'If Target is not Epic',2,3),
(121388,140165,9,100,'Grants a total of 3 triggers of the spell.',1,4),
(121389,2000600,1,100,'Wards caster against 0 points of all damage',0,0),
(121390,2000600,1,100,'Regenerates 33% of the ward every 3 seconds',0,1),
(121391,2000600,2,100,'Wards caster against 0 points of all damage',0,0),
(121392,2000600,2,100,'Regenerates 33% of the ward every 3 seconds',0,1),
(121393,2000600,3,100,'Wards caster against 0 points of all damage',0,0),
(121394,2000600,3,100,'Regenerates 33% of the ward every 3 seconds',0,1),
(121395,2000600,4,100,'Wards caster against 1 points of all damage',0,0),
(121396,2000600,4,100,'Regenerates 33% of the ward every 3 seconds',0,1),
(121397,2000600,5,100,'Wards caster against 1 points of all damage',0,0),
(121398,2000600,5,100,'Regenerates 33% of the ward every 3 seconds',0,1),
(121399,2000600,6,100,'Wards caster against 1 points of all damage',0,0),
(121400,2000600,6,100,'Regenerates 33% of the ward every 3 seconds',0,1),
(121401,2000600,7,100,'Wards caster against 2 points of all damage',0,0),
(121402,2000600,7,100,'Regenerates 33% of the ward every 3 seconds',0,1),
(121403,2000600,8,100,'Wards caster against 2 points of all damage',0,0),
(121404,2000600,8,100,'Regenerates 33% of the ward every 3 seconds',0,1),
(121405,2000600,9,100,'Wards caster against 2 points of all damage',0,0),
(121406,2000600,9,100,'Regenerates 33% of the ward every 3 seconds',0,1),
(121407,2000600,10,100,'Wards caster against 3 points of all damage',0,0),
(121408,2000600,10,100,'Regenerates 33% of the ward every 3 seconds',0,1),
(121409,360157,1,100,'When receiving a hostile spell this spell has a 6% chance to cast Requiem of Reflection on target.  Lasts for 2 minutes.  ',0,0),
(121410,360157,1,100,'When damaged this spell will cast Shock of Sound on target''s attacker.  ',1,1),
(121411,360157,1,100,'Inflicts 126 - 153 mental damage on target',2,2),
(121412,360157,2,100,'When receiving a hostile spell this spell has a 7% chance to cast Requiem of Reflection on target.  Lasts for 2 minutes.  ',0,0),
(121413,360157,2,100,'When damaged this spell will cast Shock of Sound on target''s attacker.  ',1,1),
(121414,360157,2,100,'Inflicts 133 - 162 mental damage on target',2,2),
(121415,360157,3,100,'When receiving a hostile spell this spell has a 8% chance to cast Requiem of Reflection on target.  Lasts for 2 minutes.  ',0,0),
(121416,360157,3,100,'When damaged this spell will cast Shock of Sound on target''s attacker.  ',1,1),
(121417,360157,3,100,'Inflicts 140 - 171 mental damage on target',2,2),
(121418,360157,4,100,'When receiving a hostile spell this spell has a 9% chance to cast Requiem of Reflection on target.  Lasts for 2 minutes.  ',0,0),
(121419,360157,4,100,'When damaged this spell will cast Shock of Sound on target''s attacker.  ',1,1),
(121420,360157,4,100,'Inflicts 153 - 188 mental damage on target',2,2),
(121421,360157,5,100,'When receiving a hostile spell this spell has a 10% chance to cast Requiem of Reflection on target.  Lasts for 2 minutes.  ',0,0),
(121422,360157,5,100,'When damaged this spell will cast Shock of Sound on target''s attacker.  ',1,1),
(121423,360157,5,100,'Inflicts 167 - 205 mental damage on target',2,2),
(121424,360157,7,100,'When receiving a hostile spell this spell has a 11% chance to cast Requiem of Reflection on target.  Lasts for 2 minutes.  ',0,0),
(121425,360157,7,100,'When damaged this spell will cast Shock of Sound on target''s attacker.  ',1,1),
(121426,360157,7,100,'Inflicts 215 - 263 mental damage on target',2,2),
(121427,360157,9,100,'When receiving a hostile spell this spell has a 12% chance to cast Requiem of Reflection on target.  Lasts for 2 minutes.  ',0,0),
(121428,360157,9,100,'When damaged this spell will cast Shock of Sound on target''s attacker.  ',1,1),
(121429,360157,9,100,'Inflicts 223 - 273 mental damage on target',2,2),
(121430,140166,1,100,'Dispels 42 levels of any hostile effects on group members (AE)',0,0),
(121431,140166,2,100,'Dispels 45 levels of any hostile effects on group members (AE)',0,0),
(121432,140166,3,100,'Dispels 47 levels of any hostile effects on group members (AE)',0,0),
(121433,140166,4,100,'Dispels 52 levels of any hostile effects on group members (AE)',0,0),
(121434,140166,5,100,'Dispels 57 levels of any hostile effects on group members (AE)',0,0),
(121435,140166,7,100,'Dispels 73 levels of any hostile effects on group members (AE)',0,0),
(121436,140166,9,100,'Dispels 76 levels of any hostile effects on group members (AE)',0,0),
(121437,140167,1,100,'Dispels 56 levels of any hostile effects on group members (AE)',0,0),
(121438,140167,2,100,'Dispels 59 levels of any hostile effects on group members (AE)',0,0),
(121439,140167,3,100,'Dispels 62 levels of any hostile effects on group members (AE)',0,0),
(121440,140167,4,100,'Dispels 69 levels of any hostile effects on group members (AE)',0,0),
(121441,140167,5,100,'Dispels 75 levels of any hostile effects on group members (AE)',0,0),
(121442,140167,7,100,'Dispels 96 levels of any hostile effects on group members (AE)',0,0),
(121443,140167,9,100,'Dispels 100 levels of any hostile effects on group members (AE)',0,0),
(121444,140168,1,100,'Dispels 70 levels of any hostile effects on group members (AE)',0,0),
(121445,140168,2,100,'Dispels 74 levels of any hostile effects on group members (AE)',0,0),
(121446,140168,3,100,'Dispels 78 levels of any hostile effects on group members (AE)',0,0),
(121447,140168,4,100,'Dispels 85 levels of any hostile effects on group members (AE)',0,0),
(121448,140168,5,100,'Dispels 93 levels of any hostile effects on group members (AE)',0,0),
(121449,140168,7,100,'Dispels 120 levels of any hostile effects on group members (AE)',0,0),
(121450,140168,9,100,'Dispels 124 levels of any hostile effects on group members (AE)',0,0),
(121451,2000601,1,100,'Increases range of all spells by 5',0,0),
(121452,130128,1,100,'Heals target for 40 - 49',0,0),
(121453,130128,2,100,'Heals target for 42 - 52',0,0),
(121454,130128,3,100,'Heals target for 45 - 54',0,0),
(121455,130128,4,100,'Heals target for 49 - 60',0,0),
(121456,130128,5,100,'Heals target for 53 - 65',0,0),
(121457,130128,7,100,'Heals target for 69 - 84',0,0),
(121458,130128,9,100,'Heals target for 71 - 87',0,0),
(121459,130129,1,100,'Heals target for 134 - 163',0,0),
(121460,130129,2,100,'Heals target for 141 - 172',0,0),
(121461,130129,3,100,'Heals target for 149 - 182',0,0),
(121462,130129,4,100,'Heals target for 163 - 200',0,0),
(121463,130129,5,100,'Heals target for 178 - 218',0,0),
(121464,130129,7,100,'Heals target for 229 - 280',0,0),
(121465,130129,9,100,'Heals target for 238 - 290',0,0),
(121466,130130,1,100,'Heals target for 241 - 294',0,0),
(121467,130130,2,100,'Heals target for 254 - 310',0,0),
(121468,130130,3,100,'Heals target for 267 - 327',0,0),
(121469,130130,4,100,'Heals target for 294 - 359',0,0),
(121470,130130,5,100,'Heals target for 321 - 392',0,0),
(121471,130130,7,100,'Heals target for 412 - 503',0,0),
(121472,130130,9,100,'Heals target for 428 - 523',0,0),
(121473,130131,1,100,'Heals target for 460 - 562',0,0),
(121474,130131,2,100,'Heals target for 485 - 593',0,0),
(121475,130131,3,100,'Heals target for 511 - 624',0,0),
(121476,130131,4,100,'Heals target for 562 - 687',0,0),
(121477,130131,5,100,'Heals target for 613 - 749',0,0),
(121478,130131,7,100,'Heals target for 787 - 962',0,0),
(121479,130131,9,100,'Heals target for 817 - 999',0,0),
(121480,130131,10,100,'Heals target for 858 - 1049',0,0),
(121481,130132,1,100,'Heals target for 1939 - 2370',0,0),
(121482,130132,4,100,'Heals target for 2370 - 2897',0,0),
(121483,130132,5,100,'Heals target for 2586 - 3160',0,0),
(121484,130132,7,100,'Heals target for 3318 - 4056',0,0),
(121485,130132,9,100,'Heals target for 3448 - 4214',0,0),
(121486,130132,10,100,'Heals target for 3620 - 4424',0,0),
(121487,130133,1,100,'Heals target for 708 - 866',0,0),
(121488,130133,2,100,'Heals target for 748 - 914',0,0),
(121489,130133,3,100,'Heals target for 787 - 962',0,0),
(121490,130133,4,100,'Heals target for 866 - 1058',0,0),
(121491,130133,5,100,'Heals target for 944 - 1154',0,0),
(121492,130133,7,100,'Heals target for 1212 - 1481',0,0),
(121493,130133,9,100,'Heals target for 1259 - 1539',0,0),
(121494,130134,1,100,'Heals target for 989 - 1209',0,0),
(121495,130134,2,100,'Heals target for 1044 - 1276',0,0),
(121496,130134,3,100,'Heals target for 1099 - 1343',0,0),
(121497,130134,4,100,'Heals target for 1209 - 1477',0,0),
(121498,130134,5,100,'Heals target for 1319 - 1612',0,0),
(121499,130134,7,100,'Heals target for 1692 - 2068',0,0),
(121500,130134,9,100,'Heals target for 1758 - 2149',0,0),
(121501,130134,10,100,'Heals target for 1846 - 2256',0,0),
(121502,130135,1,100,'Heals target for 1314 - 1606',0,0),
(121503,130135,2,100,'Heals target for 1387 - 1695',0,0),
(121504,130135,3,100,'Heals target for 1460 - 1784',0,0),
(121505,130135,4,100,'Heals target for 1606 - 1963',0,0),
(121506,130135,5,100,'Heals target for 1752 - 2141',0,0),
(121507,130135,7,100,'Heals target for 2248 - 2748',0,0),
(121508,130135,9,100,'Heals target for 2336 - 2855',0,0),
(121509,130136,1,100,'Heals target for 1696 - 2073',0,0),
(121510,130136,4,100,'Heals target for 2073 - 2534',0,0),
(121511,130136,5,100,'Heals target for 2261 - 2764',0,0),
(121512,130136,7,100,'Heals target for 2902 - 3547',0,0),
(121513,130136,9,100,'Heals target for 3015 - 3685',0,0),
(121514,130136,10,100,'Heals target for 3166 - 3869',0,0),
(121515,140169,1,100,'Applies Reforming Soul on termination.  Lasts for 1 minute.',0,0),
(121516,140169,1,100,'Heals target for 25.0% of max health',1,1),
(121517,140169,1,100,'This effect cannot be critically applied.',2,2),
(121518,140169,1,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 360',1,3),
(121519,140169,1,100,'Applies Revived Sickness on termination.  Lasts for 2 minutes.',0,4),
(121520,140169,1,100,'Decreases All Attributes of target by 20.0%',1,5),
(121521,140169,1,100,'If not between levels 1 - 6',2,6),
(121522,140169,1,100,'Decreases Haste of target by 20.0',1,7),
(121523,140169,1,100,'If not between levels 1 - 6',2,8),
(121524,140169,1,100,'Decreases All Attributes of target by 5.0%',1,9),
(121525,140169,1,100,'If between levels 1 - 6',2,10),
(121526,140169,1,100,'Decreases Haste of target by 5.0',1,11),
(121527,140169,1,100,'If between levels 1 - 6',2,12),
(121528,140169,1,100,'Resurrects target with 15% health and power',0,13),
(121529,140169,1,100,'If outside an arena',0,14),
(121530,140169,1,100,'If between levels 1 - 6',2,15),
(121531,140169,1,100,'If outside an arena',0,16),
(121532,130137,1,100,'Applies Resurrect on termination.',0,0),
(121533,130137,1,100,'Heals target for 100.0% of max health',1,1),
(121534,130137,1,100,'This effect cannot be critically applied.',2,2),
(121535,130137,1,100,'Resurrects target with 15% health and power',0,3),
(121536,2000602,1,100,'Wards caster against 2 - 4 points of damage from all damage',0,0),
(121537,2000603,1,100,'Applies Energetic Reverberation.  Lasts for 30.0 seconds.',0,0),
(121538,2000603,1,100,'On any combat or spell hit this spell will cast Energetic Reverberation on target of attack.  ',1,1),
(121539,2000603,1,100,'Inflicts 259 - 480 magic damage on target encounter',2,2),
(121540,2000603,1,100,'Increases power of group members (AE) by 53 - 98',2,3),
(121541,2000603,1,100,'Inflicts 1 - 3 magic damage on targets in Area of Effect',0,4),
(121542,2000603,2,100,'Applies Energetic Reverberation.  Lasts for 30.0 seconds.',0,0),
(121543,2000603,2,100,'On any combat or spell hit this spell will cast Energetic Reverberation on target of attack.  ',1,1),
(121544,2000603,2,100,'Inflicts 259 - 480 magic damage on target encounter',2,2),
(121545,2000603,2,100,'Increases power of group members (AE) by 53 - 98',2,3),
(121546,2000603,2,100,'Inflicts 1 - 3 magic damage on targets in Area of Effect',0,4),
(121547,2000603,3,100,'Applies Energetic Reverberation.  Lasts for 30.0 seconds.',0,0),
(121548,2000603,3,100,'On any combat or spell hit this spell will cast Energetic Reverberation on target of attack.  ',1,1),
(121549,2000603,3,100,'Inflicts 194 - 360 magic damage on target encounter',2,2),
(121550,2000603,3,100,'Increases power of group members (AE) by 53 - 98',2,3),
(121551,2000603,3,100,'Inflicts 1 - 3 magic damage on targets in Area of Effect',0,4),
(121552,130138,1,100,'Suspends when Windwalk or Sprint is active',0,0),
(121553,130138,1,100,'Reduces Bleedthrough on Target by 2.25%.',0,1),
(121554,130138,2,100,'Suspends when Windwalk or Sprint is active',0,0),
(121555,130138,2,100,'142% of target''s power consumed will be added to target''s health',0,1),
(121556,130138,3,100,'Suspends when Windwalk or Sprint is active',0,0),
(121557,130138,3,100,'150% of target''s power consumed will be added to target''s health',0,1),
(121558,130138,4,100,'Suspends when Windwalk or Sprint is active',0,0),
(121559,130138,4,100,'Reduces Bleedthrough on Target by 2.75%.',0,1),
(121560,130138,5,100,'Suspends when Windwalk or Sprint is active',0,0),
(121561,130138,5,100,'Reduces Bleedthrough on Target by 3%.',0,1),
(121562,130138,7,100,'Suspends when Windwalk or Sprint is active',0,0),
(121563,130138,7,100,'Reduces Bleedthrough on Target by 3.85%.',0,1),
(121564,130138,9,100,'Suspends when Windwalk or Sprint is active',0,0),
(121565,130138,9,100,'Reduces Bleedthrough on Target by 4%.',0,1),
(121566,110013,1,100,'Applies Revived Sickness on termination.  Lasts for 2 minutes.',0,0),
(121567,110013,1,100,'Decreases All Attributes of target by 20.0%',1,1),
(121568,110013,1,100,'If not between levels 1 - 6',2,2),
(121569,110013,1,100,'Decreases Haste of target by 20.0',1,3),
(121570,110013,1,100,'If not between levels 1 - 6',2,4),
(121571,110013,1,100,'Decreases All Attributes of target by 5.0%',1,5),
(121572,110013,1,100,'If between levels 1 - 6',2,6),
(121573,110013,1,100,'Decreases Haste of target by 5.0',1,7),
(121574,110013,1,100,'If between levels 1 - 6',2,8),
(121575,110013,1,100,'Resurrects target with 15% health and power',0,9),
(121576,110013,1,100,'This effect cannot be cast during combat',0,10),
(121577,110013,1,100,'If outside an arena',0,11),
(121578,110013,1,100,'This effect cannot be cast during combat',0,12),
(121579,110013,1,100,'If outside an arena',0,13),
(121580,300158,1,100,'Applies Revived Sickness on termination.  Lasts for 2 minutes.',0,0),
(121581,300158,1,100,'Decreases All Attributes of target by 20.0%',1,1),
(121582,300158,1,100,'If not between levels 1 - 6',2,2),
(121583,300158,1,100,'Decreases Haste of target by 20.0',1,3),
(121584,300158,1,100,'If not between levels 1 - 6',2,4),
(121585,300158,1,100,'Decreases All Attributes of target by 5.0%',1,5),
(121586,300158,1,100,'If between levels 1 - 6',2,6),
(121587,300158,1,100,'Decreases Haste of target by 5.0',1,7),
(121588,300158,1,100,'If between levels 1 - 6',2,8),
(121589,300158,1,100,'Resurrects target with 13% health and power',0,9),
(121590,300158,1,100,'If outside an arena',0,10),
(121591,300158,1,100,'If between levels 1 - 6',2,11),
(121592,300158,1,100,'If outside an arena',0,12),
(121593,300158,2,100,'Applies Revived Sickness on termination.  Lasts for 2 minutes.',0,0),
(121594,300158,2,100,'Decreases Haste of target by 20.0',1,1),
(121595,300158,2,100,'If not between levels 1 - 6',2,2),
(121596,300158,2,100,'Decreases All Attributes of target by 20.0%',1,3),
(121597,300158,2,100,'If not between levels 1 - 6',2,4),
(121598,300158,2,100,'Decreases Haste of target by 5.0',1,5),
(121599,300158,2,100,'If between levels 1 - 6',2,6),
(121600,300158,2,100,'Decreases All Attributes of target by 5.0%',1,7),
(121601,300158,2,100,'If between levels 1 - 6',2,8),
(121602,300158,2,100,'Resurrects target with 14% health and power',0,9),
(121603,300158,2,100,'If outside an arena',0,10),
(121604,300158,2,100,'If between levels 1 - 6',2,11),
(121605,300158,2,100,'If outside an arena',0,12),
(121606,300158,3,100,'Applies Revived Sickness on termination.  Lasts for 2 minutes.',0,0),
(121607,300158,3,100,'Decreases Haste of target by 20.0',1,1),
(121608,300158,3,100,'If not between levels 1 - 6',2,2),
(121609,300158,3,100,'Decreases All Attributes of target by 20.0%',1,3),
(121610,300158,3,100,'If not between levels 1 - 6',2,4),
(121611,300158,3,100,'Decreases Haste of target by 5.0',1,5),
(121612,300158,3,100,'If between levels 1 - 6',2,6),
(121613,300158,3,100,'Decreases All Attributes of target by 5.0%',1,7),
(121614,300158,3,100,'If between levels 1 - 6',2,8),
(121615,300158,3,100,'Resurrects target with 15% health and power',0,9),
(121616,300158,3,100,'If outside an arena',0,10),
(121617,300158,3,100,'If between levels 1 - 6',2,11),
(121618,300158,3,100,'If outside an arena',0,12),
(121619,300158,4,100,'Applies Revived Sickness on termination.  Lasts for 2 minutes.',0,0),
(121620,300158,4,100,'Decreases All Attributes of target by 20.0%',1,1),
(121621,300158,4,100,'If not between levels 1 - 6',2,2),
(121622,300158,4,100,'Decreases Haste of target by 20.0',1,3),
(121623,300158,4,100,'If not between levels 1 - 6',2,4),
(121624,300158,4,100,'Decreases All Attributes of target by 5.0%',1,5),
(121625,300158,4,100,'If between levels 1 - 6',2,6),
(121626,300158,4,100,'Decreases Haste of target by 5.0',1,7),
(121627,300158,4,100,'If between levels 1 - 6',2,8),
(121628,300158,4,100,'Resurrects target with 16% health and power',0,9),
(121629,300158,4,100,'If outside an arena',0,10),
(121630,300158,4,100,'If between levels 1 - 6',2,11),
(121631,300158,4,100,'If outside an arena',0,12),
(121632,300158,5,100,'Applies Revived Sickness on termination.  Lasts for 2 minutes.',0,0),
(121633,300158,5,100,'Decreases Haste of target by 20.0',1,1),
(121634,300158,5,100,'If not between levels 1 - 6',2,2),
(121635,300158,5,100,'Decreases All Attributes of target by 20.0%',1,3),
(121636,300158,5,100,'If not between levels 1 - 6',2,4),
(121637,300158,5,100,'Decreases Haste of target by 5.0',1,5),
(121638,300158,5,100,'If between levels 1 - 6',2,6),
(121639,300158,5,100,'Decreases All Attributes of target by 5.0%',1,7),
(121640,300158,5,100,'If between levels 1 - 6',2,8),
(121641,300158,5,100,'Resurrects target with 18% health and power',0,9),
(121642,300158,5,100,'If outside an arena',0,10),
(121643,300158,5,100,'If between levels 1 - 6',2,11),
(121644,300158,5,100,'If outside an arena',0,12),
(121645,300158,7,100,'Applies Revived Sickness on termination.  Lasts for 2 minutes.',0,0),
(121646,300158,7,100,'Decreases Haste of target by 20.0',1,1),
(121647,300158,7,100,'If not between levels 1 - 6',2,2),
(121648,300158,7,100,'Decreases All Attributes of target by 20.0%',1,3),
(121649,300158,7,100,'If not between levels 1 - 6',2,4),
(121650,300158,7,100,'Decreases Haste of target by 5.0',1,5),
(121651,300158,7,100,'If between levels 1 - 6',2,6),
(121652,300158,7,100,'Decreases All Attributes of target by 5.0%',1,7),
(121653,300158,7,100,'If between levels 1 - 6',2,8),
(121654,300158,7,100,'Resurrects target with 23% health and power',0,9),
(121655,300158,7,100,'If outside an arena',0,10),
(121656,300158,7,100,'If between levels 1 - 6',2,11),
(121657,300158,7,100,'If outside an arena',0,12),
(121658,300158,9,100,'Applies Revived Sickness on termination.  Lasts for 2 minutes.',0,0),
(121659,300158,9,100,'Decreases All Attributes of target by 20.0%',1,1),
(121660,300158,9,100,'If not between levels 1 - 6',2,2),
(121661,300158,9,100,'Decreases Haste of target by 20.0',1,3),
(121662,300158,9,100,'If not between levels 1 - 6',2,4),
(121663,300158,9,100,'Decreases All Attributes of target by 5.0%',1,5),
(121664,300158,9,100,'If between levels 1 - 6',2,6),
(121665,300158,9,100,'Decreases Haste of target by 5.0',1,7),
(121666,300158,9,100,'If between levels 1 - 6',2,8),
(121667,300158,9,100,'Resurrects target with 24% health and power',0,9),
(121668,300158,9,100,'If outside an arena',0,10),
(121669,300158,9,100,'If between levels 1 - 6',2,11),
(121670,300158,9,100,'If outside an arena',0,12),
(121671,2000604,1,100,'Rhythmic Overture is the start of a Victorious Concerto...',0,0),
(121672,2000604,2,100,'Rhythmic Overture is the start of a Victorious Concerto...',0,0),
(121673,370151,1,100,'Increases Multi Attack of group members (AE) by 9.0',0,0),
(121674,370151,2,100,'Increases Multi Attack of group members (AE) by 9.5',0,0),
(121675,370151,3,100,'Increases Multi Attack of group members (AE) by 10.0',0,0),
(121676,370151,4,100,'Increases Multi Attack Chance of group members (AE) by 11.0',0,0),
(121677,370151,5,100,'Increases Multi Attack Chance of group members (AE) by 12.0',0,0),
(121678,370151,7,100,'Increases Multi Attack of group members (AE) by 15.4',0,0),
(121679,370151,9,100,'Increases Multi Attack of group members (AE) by 16.0',0,0),
(121680,370151,10,100,'Increases Multi Attack of group members (AE) by 16.8',0,0),
(121681,370152,1,100,'Increases Multi Attack of group members (AE) by 11.2',0,0),
(121682,370152,2,100,'Increases Multi Attack Chance of group members (AE) by 11.8',0,0),
(121683,370152,3,100,'Increases Multi Attack of group members (AE) by 12.4',0,0),
(121684,370152,4,100,'Increases Multi Attack of group members (AE) by 13.7',0,0),
(121685,370152,5,100,'Increases Multi Attack of group members (AE) by 14.9',0,0),
(121686,370152,7,100,'Increases Multi Attack of group members (AE) by 19.1',0,0),
(121687,370152,9,100,'Increases Multi Attack of group members (AE) by 19.9',0,0),
(121688,370153,1,100,'Increases Multi Attack of group members (AE) by 13.3',0,0),
(121689,370153,2,100,'Increases Multi Attack of group members (AE) by 14.1',0,0),
(121690,370153,3,100,'Increases Multi Attack of group members (AE) by 14.8',0,0),
(121691,370153,4,100,'Increases Multi Attack of group members (AE) by 16.3',0,0),
(121692,370153,5,100,'Increases Multi Attack of group members (AE) by 17.8',0,0),
(121693,370153,7,100,'Increases Multi Attack of group members (AE) by 22.8',0,0),
(121694,370153,9,100,'Increases Multi Attack of group members (AE) by 23.7',0,0),
(121695,370153,10,100,'Increases Multi Attack of group members (AE) by 24.9',0,0),
(121696,370154,1,100,'Increases Multi Attack of group members (AE) by 15.6',0,0),
(121697,370154,2,100,'Increases Multi Attack of group members (AE) by 16.4',0,0),
(121698,370154,3,100,'Increases Multi Attack of group members (AE) by 17.3',0,0),
(121699,370154,4,100,'Increases Multi Attack of group members (AE) by 19.0',0,0),
(121700,370154,5,100,'Increases Multi Attack of group members (AE) by 20.7',0,0),
(121701,370154,7,100,'Increases Multi Attack of group members (AE) by 26.6',0,0),
(121702,370154,9,100,'Increases Multi Attack of group members (AE) by 27.6',0,0),
(121703,370155,1,100,'Increases Multi Attack of group members (AE) by 17.8',0,0),
(121704,370155,2,100,'Increases Multi Attack of group members (AE) by 18.8',0,0),
(121705,370155,3,100,'Increases Multi Attack of group members (AE) by 19.8',0,0),
(121706,370155,4,100,'Increases Multi Attack of group members (AE) by 21.8',0,0),
(121707,370155,5,100,'Increases Multi Attack of group members (AE) by 23.8',0,0),
(121708,370155,7,100,'Increases Multi Attack of group members (AE) by 30.5',0,0),
(121709,370155,9,100,'Increases Multi Attack of group members (AE) by 31.7',0,0),
(121710,370156,1,100,'Increases Multi Attack of group members (AE) by 19.8',0,0),
(121711,370156,2,100,'Increases Multi Attack of group members (AE) by 20.9',0,0),
(121712,370156,3,100,'Increases Multi Attack of group members (AE) by 22.0',0,0),
(121713,370156,4,100,'Increases Multi Attack of group members (AE) by 24.3',0,0),
(121714,370156,5,100,'Increases Multi Attack of group members (AE) by 26.5',0,0),
(121715,370156,7,100,'Increases Multi Attack of group members (AE) by 34.0',0,0),
(121716,370156,9,100,'Increases Multi Attack of group members (AE) by 35.3',0,0),
(121717,370157,1,100,'Increases Multi Attack of group members (AE) by 22.7',0,0),
(121718,370157,4,100,'Increases Multi Attack of group members (AE) by 27.7',0,0),
(121719,370157,5,100,'Increases Multi Attack of group members (AE) by 30.2',0,0),
(121720,370157,7,100,'Increases Multi Attack of group members (AE) by 38.8',0,0),
(121721,370157,9,100,'Increases Multi Attack Chance of group members (AE) by 40.3',0,0),
(121722,370158,1,100,'Increases Multi Attack of group members (AE) by 24.3',0,0),
(121723,370158,4,100,'Increases Multi Attack of group members (AE) by 29.7',0,0),
(121724,370158,5,100,'Increases Multi Attack of group members (AE) by 32.4',0,0),
(121725,370158,7,100,'Increases Multi Attack of group members (AE) by 41.6',0,0),
(121726,370158,9,100,'Increases Multi Attack of group members (AE) by 43.2',0,0),
(121727,240175,1,100,'Throws target back',0,0),
(121728,240175,1,100,'If Target is not Epic',1,1),
(121729,240175,1,100,'Inflicts 1107 - 1845 magic damage on targets in Area of Effect',0,2),
(121730,240175,1,100,'Stuns targets in Area of Effect',0,3),
(121731,240175,1,100,'If Target is not Epic',1,4),
(121732,240175,1,100,'Resistibility increases against targets higher than level 29.',0,5),
(121733,240175,2,100,'Throws target back',0,0),
(121734,240175,2,100,'If Target is not Epic',1,1),
(121735,240175,2,100,'Inflicts 1169 - 1948 magic damage on targets in Area of Effect',0,2),
(121736,240175,2,100,'Stuns targets in Area of Effect',0,3),
(121737,240175,2,100,'If Target is not Epic',1,4),
(121738,240175,2,100,'Resistibility increases against targets higher than level 29.',0,5),
(121739,240175,3,100,'Throws target back',0,0),
(121740,240175,3,100,'If Target is not Epic',1,1),
(121741,240175,3,100,'Inflicts 1230 - 2050 magic damage on targets in Area of Effect',0,2),
(121742,240175,3,100,'Stuns targets in Area of Effect',0,3),
(121743,240175,3,100,'If Target is not Epic',1,4),
(121744,240175,3,100,'Resistibility increases against targets higher than level 29.',0,5),
(121745,240175,4,100,'Throws target back',0,0),
(121746,240175,4,100,'If Target is not Epic',1,1),
(121747,240175,4,100,'Inflicts 1353 - 2255 magic damage on targets in Area of Effect',0,2),
(121748,240175,4,100,'Stuns targets in Area of Effect',0,3),
(121749,240175,4,100,'If Target is not Epic',1,4),
(121750,240175,4,100,'Resistibility increases against targets higher than level 29.',0,5),
(121751,240175,5,100,'Throws target back',0,0),
(121752,240175,5,100,'If Target is not Epic',1,1),
(121753,240175,5,100,'Inflicts 1476 - 2460 magic damage on targets in Area of Effect',0,2),
(121754,240175,5,100,'Stuns targets in Area of Effect',0,3),
(121755,240175,5,100,'If Target is not Epic',1,4),
(121756,240175,5,100,'Resistibility increases against targets higher than level 29.',0,5),
(121757,240175,7,100,'Throws target back',0,0),
(121758,240175,7,100,'If Target is not Epic',1,1),
(121759,240175,7,100,'Inflicts 1895 - 3158 magic damage on targets in Area of Effect',0,2),
(121760,240175,7,100,'Stuns targets in Area of Effect',0,3),
(121761,240175,7,100,'If Target is not Epic',1,4),
(121762,240175,7,100,'Resistibility increases against targets higher than level 29.',0,5),
(121763,240175,9,100,'Throws target back',0,0),
(121764,240175,9,100,'If Target is not Epic',1,1),
(121765,240175,9,100,'Inflicts 1968 - 3281 magic damage on targets in Area of Effect',0,2),
(121766,240175,9,100,'Stuns targets in Area of Effect',0,3),
(121767,240175,9,100,'If Target is not Epic',1,4),
(121768,240175,9,100,'Resistibility increases against targets higher than level 29.',0,5),
(121769,240176,1,100,'Throws target back',0,0),
(121770,240176,1,100,'If Target is not Epic',1,1),
(121771,240176,1,100,'Inflicts 1414 - 2357 magic damage on targets in Area of Effect',0,2),
(121772,240176,1,100,'Stuns targets in Area of Effect',0,3),
(121773,240176,1,100,'If Target is not Epic',1,4),
(121774,240176,1,100,'Resistibility increases against targets higher than level 29.',0,5),
(121775,240176,2,100,'Throws target back',0,0),
(121776,240176,2,100,'If Target is not Epic',1,1),
(121777,240176,2,100,'Inflicts 1493 - 2488 magic damage on targets in Area of Effect',0,2),
(121778,240176,2,100,'Stuns targets in Area of Effect',0,3),
(121779,240176,2,100,'If Target is not Epic',1,4),
(121780,240176,2,100,'Resistibility increases against targets higher than level 29.',0,5),
(121781,240176,3,100,'Throws target back',0,0),
(121782,240176,3,100,'If Target is not Epic',1,1),
(121783,240176,3,100,'Inflicts 1571 - 2619 magic damage on targets in Area of Effect',0,2),
(121784,240176,3,100,'Stuns targets in Area of Effect',0,3),
(121785,240176,3,100,'If Target is not Epic',1,4),
(121786,240176,3,100,'Resistibility increases against targets higher than level 29.',0,5),
(121787,240176,4,100,'Throws target back',0,0),
(121788,240176,4,100,'If Target is not Epic',1,1),
(121789,240176,4,100,'Inflicts 1728 - 2881 magic damage on targets in Area of Effect',0,2),
(121790,240176,4,100,'Stuns targets in Area of Effect',0,3),
(121791,240176,4,100,'If Target is not Epic',1,4),
(121792,240176,4,100,'Resistibility increases against targets higher than level 29.',0,5),
(121793,240176,5,100,'Throws target back',0,0),
(121794,240176,5,100,'If Target is not Epic',1,1),
(121795,240176,5,100,'Inflicts 1885 - 3142 magic damage on targets in Area of Effect',0,2),
(121796,240176,5,100,'Stuns targets in Area of Effect',0,3),
(121797,240176,5,100,'If Target is not Epic',1,4),
(121798,240176,5,100,'Resistibility increases against targets higher than level 29.',0,5),
(121799,240176,7,100,'Throws target back',0,0),
(121800,240176,7,100,'If Target is not Epic',1,1),
(121801,240176,7,100,'Inflicts 2420 - 4033 magic damage on targets in Area of Effect',0,2),
(121802,240176,7,100,'Stuns targets in Area of Effect',0,3),
(121803,240176,7,100,'If Target is not Epic',1,4),
(121804,240176,7,100,'Resistibility increases against targets higher than level 29.',0,5),
(121805,240176,9,100,'Throws target back',0,0),
(121806,240176,9,100,'If Target is not Epic',1,1),
(121807,240176,9,100,'Inflicts 2514 - 4190 magic damage on targets in Area of Effect',0,2),
(121808,240176,9,100,'Stuns targets in Area of Effect',0,3),
(121809,240176,9,100,'If Target is not Epic',1,4),
(121810,240176,9,100,'Resistibility increases against targets higher than level 29.',0,5),
(121811,240177,1,100,'Throws target back',0,0),
(121812,240177,1,100,'If Target is not Epic',1,1),
(121813,240177,1,100,'Inflicts 1704 - 2839 magic damage on targets in Area of Effect',0,2),
(121814,240177,1,100,'Stuns targets in Area of Effect',0,3),
(121815,240177,1,100,'If Target is not Epic',1,4),
(121816,240177,1,100,'Resistibility increases against targets higher than level 29.',0,5),
(121817,240177,4,100,'Throws target back',0,0),
(121818,240177,4,100,'If Target is not Epic',1,1),
(121819,240177,4,100,'Inflicts 2082 - 3470 magic damage on targets in Area of Effect',0,2),
(121820,240177,4,100,'Stuns targets in Area of Effect',0,3),
(121821,240177,4,100,'If Target is not Epic',1,4),
(121822,240177,4,100,'Resistibility increases against targets higher than level 29.',0,5),
(121823,240177,5,100,'Throws target back',0,0),
(121824,240177,5,100,'If Target is not Epic',1,1),
(121825,240177,5,100,'Inflicts 2271 - 3786 magic damage on targets in Area of Effect',0,2),
(121826,240177,5,100,'Stuns targets in Area of Effect',0,3),
(121827,240177,5,100,'If Target is not Epic',1,4),
(121828,240177,5,100,'Resistibility increases against targets higher than level 29.',0,5),
(121829,240177,7,100,'Throws target back',0,0),
(121830,240177,7,100,'If Target is not Epic',1,1),
(121831,240177,7,100,'Inflicts 2915 - 4858 magic damage on targets in Area of Effect',0,2),
(121832,240177,7,100,'Stuns targets in Area of Effect',0,3),
(121833,240177,7,100,'If Target is not Epic',1,4),
(121834,240177,7,100,'Resistibility increases against targets higher than level 29.',0,5),
(121835,240177,9,100,'Throws target back',0,0),
(121836,240177,9,100,'If Target is not Epic',1,1),
(121837,240177,9,100,'Inflicts 3028 - 5047 magic damage on targets in Area of Effect',0,2),
(121838,240177,9,100,'Stuns targets in Area of Effect',0,3),
(121839,240177,9,100,'If Target is not Epic',1,4),
(121840,240177,9,100,'Resistibility increases against targets higher than level 29.',0,5),
(121841,240178,1,100,'Throws target back',0,0),
(121842,240178,1,100,'If Target is not Epic',1,1),
(121843,240178,1,100,'Inflicts 1849 - 3082 magic damage on targets in Area of Effect',0,2),
(121844,240178,1,100,'Stuns targets in Area of Effect',0,3),
(121845,240178,1,100,'If Target is not Epic',1,4),
(121846,240178,1,100,'Resistibility increases against targets higher than level 29.',0,5),
(121847,240178,4,100,'Throws target back',0,0),
(121848,240178,4,100,'If Target is not Epic',1,1),
(121849,240178,4,100,'Inflicts 2260 - 3767 magic damage on targets in Area of Effect',0,2),
(121850,240178,4,100,'Stuns targets in Area of Effect',0,3),
(121851,240178,4,100,'If Target is not Epic',1,4),
(121852,240178,4,100,'Resistibility increases against targets higher than level 29.',0,5),
(121853,240178,5,100,'Throws target back',0,0),
(121854,240178,5,100,'If Target is not Epic',1,1),
(121855,240178,5,100,'Inflicts 2465 - 4109 magic damage on targets in Area of Effect',0,2),
(121856,240178,5,100,'Stuns targets in Area of Effect',0,3),
(121857,240178,5,100,'If Target is not Epic',1,4),
(121858,240178,5,100,'Resistibility increases against targets higher than level 29.',0,5),
(121859,240178,7,100,'Throws target back',0,0),
(121860,240178,7,100,'If Target is not Epic',1,1),
(121861,240178,7,100,'Inflicts 3164 - 5273 magic damage on targets in Area of Effect',0,2),
(121862,240178,7,100,'Stuns targets in Area of Effect',0,3),
(121863,240178,7,100,'If Target is not Epic',1,4),
(121864,240178,7,100,'Resistibility increases against targets higher than level 29.',0,5),
(121865,240178,9,100,'Throws target back',0,0),
(121866,240178,9,100,'If Target is not Epic',1,1),
(121867,240178,9,100,'Inflicts 3287 - 5479 magic damage on targets in Area of Effect',0,2),
(121868,240178,9,100,'Stuns targets in Area of Effect',0,3),
(121869,240178,9,100,'If Target is not Epic',1,4),
(121870,240178,9,100,'Resistibility increases against targets higher than level 29.',0,5),
(121871,80023,1,100,'Interrupts target',0,0),
(121872,80023,1,100,'Inflicts 25 - 41 divine damage on target',0,1),
(121873,80023,2,100,'Interrupts target',0,0),
(121874,80023,2,100,'Inflicts 26 - 44 divine damage on target',0,1),
(121875,80023,3,100,'Interrupts target',0,0),
(121876,80023,3,100,'Inflicts 28 - 46 divine damage on target',0,1),
(121877,80023,4,100,'Interrupts target',0,0),
(121878,80023,4,100,'Inflicts 30 - 51 divine damage on target',0,1),
(121879,80023,5,100,'Interrupts target',0,0),
(121880,80023,5,100,'Inflicts 33 - 55 divine damage on target',0,1),
(121881,80023,7,100,'Interrupts target',0,0),
(121882,80023,7,100,'Inflicts 43 - 71 divine damage on target',0,1),
(121883,80023,9,100,'Interrupts target',0,0),
(121884,80023,9,100,'Inflicts 44 - 74 divine damage on target',0,1),
(121885,170165,1,100,'Summons a limited pet to aid the caster',0,0),
(121886,170165,2,100,'Summons a limited pet to aid the caster',0,0),
(121887,170165,3,100,'Summons a limited pet to aid the caster',0,0),
(121888,170165,4,100,'Summons a limited pet to aid the caster',0,0),
(121889,170165,5,100,'Summons a limited pet to aid the caster',0,0),
(121890,170165,7,100,'Summons a limited pet to aid the caster',0,0),
(121891,170165,9,100,'Summons a limited pet to aid the caster',0,0),
(121892,170166,1,100,'Summons a limited pet to aid the caster',0,0),
(121893,170166,2,100,'Summons a limited pet to aid the caster',0,0),
(121894,170166,3,100,'Summons a limited pet to aid the caster',0,0),
(121895,170166,4,100,'Summons a limited pet to aid the caster',0,0),
(121896,170166,5,100,'Summons a limited pet to aid the caster',0,0),
(121897,170166,7,100,'Summons a limited pet to aid the caster',0,0),
(121898,170166,9,100,'Summons a limited pet to aid the caster',0,0),
(121899,170167,1,100,'Summons a limited pet to aid the caster',0,0),
(121900,170167,4,100,'Summons a limited pet to aid the caster',0,0),
(121901,170167,5,100,'Summons a limited pet to aid the caster',0,0),
(121902,170167,7,100,'Summons a limited pet to aid the caster',0,0),
(121903,170167,9,100,'Summons a limited pet to aid the caster',0,0),
(121904,170168,1,100,'Summons a limited pet to aid the caster',0,0),
(121905,170168,4,100,'Summons a limited pet to aid the caster',0,0),
(121906,170168,5,100,'Summons a limited pet to aid the caster',0,0),
(121907,170168,7,100,'Summons a limited pet to aid the caster',0,0),
(121908,170168,9,100,'Summons a limited pet to aid the caster',0,0),
(121909,230137,1,100,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',0,0),
(121910,230137,1,100,'Slows target by 34.2%',1,1),
(121911,230137,1,100,'5% chance to dispel when target receives hostile action',1,2),
(121912,230137,1,100,'5% chance to dispel when target takes damage',1,3),
(121913,230137,1,100,'Roots target encounter',0,4),
(121914,230137,1,100,'20% chance to dispel when target takes damage',0,5),
(121915,230137,1,100,'Does not affect Epic targets',0,6),
(121916,230137,1,100,'Resistibility increases against targets higher than level 29.',0,7),
(121917,230137,2,100,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',0,0),
(121918,230137,2,100,'Slows target by 36.1%',1,1),
(121919,230137,2,100,'5% chance to dispel when target receives hostile action',1,2),
(121920,230137,2,100,'5% chance to dispel when target takes damage',1,3),
(121921,230137,2,100,'Roots target encounter',0,4),
(121922,230137,2,100,'20% chance to dispel when target takes damage',0,5),
(121923,230137,2,100,'Does not affect Epic targets',0,6),
(121924,230137,2,100,'Resistibility increases against targets higher than level 29.',0,7),
(121925,230137,3,100,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',0,0),
(121926,230137,3,100,'Slows target by 38.0%',1,1),
(121927,230137,3,100,'5% chance to dispel when target receives hostile action',1,2),
(121928,230137,3,100,'5% chance to dispel when target takes damage',1,3),
(121929,230137,3,100,'Roots target encounter',0,4),
(121930,230137,3,100,'20% chance to dispel when target takes damage',0,5),
(121931,230137,3,100,'Does not affect Epic targets',0,6),
(121932,230137,3,100,'Resistibility increases against targets higher than level 29.',0,7),
(121933,230137,4,100,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',0,0),
(121934,230137,4,100,'Slows target by 41.8%',1,1),
(121935,230137,4,100,'5% chance to dispel when target receives hostile action',1,2),
(121936,230137,4,100,'5% chance to dispel when target takes damage',1,3),
(121937,230137,4,100,'Roots target encounter',0,4),
(121938,230137,4,100,'20% chance to dispel when target takes damage',0,5),
(121939,230137,4,100,'Does not affect Epic targets',0,6),
(121940,230137,4,100,'Resistibility increases against targets higher than level 29.',0,7),
(121941,230137,5,100,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',0,0),
(121942,230137,5,100,'Slows target by 45.6%',1,1),
(121943,230137,5,100,'5% chance to dispel when target receives hostile action',1,2),
(121944,230137,5,100,'5% chance to dispel when target takes damage',1,3),
(121945,230137,5,100,'Roots target encounter',0,4),
(121946,230137,5,100,'20% chance to dispel when target takes damage',0,5),
(121947,230137,5,100,'Does not affect Epic targets',0,6),
(121948,230137,5,100,'Resistibility increases against targets higher than level 29.',0,7),
(121949,230137,7,100,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',0,0),
(121950,230137,7,100,'Slows target by 58.5%',1,1),
(121951,230137,7,100,'5% chance to dispel when target receives hostile action',1,2),
(121952,230137,7,100,'5% chance to dispel when target takes damage',1,3),
(121953,230137,7,100,'Roots target encounter',0,4),
(121954,230137,7,100,'20% chance to dispel when target takes damage',0,5),
(121955,230137,7,100,'Does not affect Epic targets',0,6),
(121956,230137,7,100,'Resistibility increases against targets higher than level 29.',0,7),
(121957,230137,9,100,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',0,0),
(121958,230137,9,100,'Slows target by 60.8%',1,1),
(121959,230137,9,100,'5% chance to dispel when target receives hostile action',1,2),
(121960,230137,9,100,'5% chance to dispel when target takes damage',1,3),
(121961,230137,9,100,'Roots target encounter',0,4),
(121962,230137,9,100,'20% chance to dispel when target takes damage',0,5),
(121963,230137,9,100,'Does not affect Epic targets',0,6),
(121964,230137,9,100,'Resistibility increases against targets higher than level 29.',0,7),
(121965,230138,1,100,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',0,0),
(121966,230138,1,100,'Slows target by 36.1%',1,1),
(121967,230138,1,100,'5% chance to dispel when target receives hostile action',1,2),
(121968,230138,1,100,'5% chance to dispel when target takes damage',1,3),
(121969,230138,1,100,'Roots target encounter',0,4),
(121970,230138,1,100,'20% chance to dispel when target takes damage',0,5),
(121971,230138,1,100,'Does not affect Epic targets',0,6),
(121972,230138,1,100,'Resistibility increases against targets higher than level 29.',0,7),
(121973,230138,2,100,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',0,0),
(121974,230138,2,100,'Slows target by 38.2%',1,1),
(121975,230138,2,100,'5% chance to dispel when target receives hostile action',1,2),
(121976,230138,2,100,'5% chance to dispel when target takes damage',1,3),
(121977,230138,2,100,'Roots target encounter',0,4),
(121978,230138,2,100,'20% chance to dispel when target takes damage',0,5),
(121979,230138,2,100,'Does not affect Epic targets',0,6),
(121980,230138,2,100,'Resistibility increases against targets higher than level 29.',0,7),
(121981,230138,3,100,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',0,0),
(121982,230138,3,100,'Slows target by 40.2%',1,1),
(121983,230138,3,100,'5% chance to dispel when target receives hostile action',1,2),
(121984,230138,3,100,'5% chance to dispel when target takes damage',1,3),
(121985,230138,3,100,'Roots target encounter',0,4),
(121986,230138,3,100,'20% chance to dispel when target takes damage',0,5),
(121987,230138,3,100,'Does not affect Epic targets',0,6),
(121988,230138,3,100,'Resistibility increases against targets higher than level 29.',0,7),
(121989,230138,4,100,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',0,0),
(121990,230138,4,100,'Slows target by 44.2%',1,1),
(121991,230138,4,100,'5% chance to dispel when target receives hostile action',1,2),
(121992,230138,4,100,'5% chance to dispel when target takes damage',1,3),
(121993,230138,4,100,'Roots target encounter',0,4),
(121994,230138,4,100,'20% chance to dispel when target takes damage',0,5),
(121995,230138,4,100,'Does not affect Epic targets',0,6),
(121996,230138,4,100,'Resistibility increases against targets higher than level 29.',0,7),
(121997,230138,5,100,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',0,0),
(121998,230138,5,100,'Slows target by 48.2%',1,1),
(121999,230138,5,100,'5% chance to dispel when target receives hostile action',1,2),
(122000,230138,5,100,'5% chance to dispel when target takes damage',1,3),
(122001,230138,5,100,'Roots target encounter',0,4),
(122002,230138,5,100,'20% chance to dispel when target takes damage',0,5),
(122003,230138,5,100,'Does not affect Epic targets',0,6),
(122004,230138,5,100,'Resistibility increases against targets higher than level 29.',0,7),
(122005,230138,7,100,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',0,0),
(122006,230138,7,100,'Slows target by 61.8%',1,1),
(122007,230138,7,100,'5% chance to dispel when target receives hostile action',1,2),
(122008,230138,7,100,'5% chance to dispel when target takes damage',1,3),
(122009,230138,7,100,'Roots target encounter',0,4),
(122010,230138,7,100,'20% chance to dispel when target takes damage',0,5),
(122011,230138,7,100,'Does not affect Epic targets',0,6),
(122012,230138,7,100,'Resistibility increases against targets higher than level 29.',0,7),
(122013,230138,9,100,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',0,0),
(122014,230138,9,100,'Slows target by 64.3%',1,1),
(122015,230138,9,100,'5% chance to dispel when target receives hostile action',1,2),
(122016,230138,9,100,'5% chance to dispel when target takes damage',1,3),
(122017,230138,9,100,'Roots target encounter',0,4),
(122018,230138,9,100,'20% chance to dispel when target takes damage',0,5),
(122019,230138,9,100,'Does not affect Epic targets',0,6),
(122020,230138,9,100,'Resistibility increases against targets higher than level 29.',0,7),
(122021,230139,1,100,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',0,0),
(122022,230139,1,100,'Slows target by 36.6%',1,1),
(122023,230139,1,100,'5% chance to dispel when target receives hostile action',1,2),
(122024,230139,1,100,'5% chance to dispel when target takes damage',1,3),
(122025,230139,1,100,'Roots target encounter',0,4),
(122026,230139,1,100,'20% chance to dispel when target takes damage',0,5),
(122027,230139,1,100,'Does not affect Epic targets',0,6),
(122028,230139,1,100,'Resistibility increases against targets higher than level 29.',0,7),
(122029,230139,2,100,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',0,0),
(122030,230139,2,100,'Slows target by 38.7%',1,1),
(122031,230139,2,100,'5% chance to dispel when target receives hostile action',1,2),
(122032,230139,2,100,'5% chance to dispel when target takes damage',1,3),
(122033,230139,2,100,'Roots target encounter',0,4),
(122034,230139,2,100,'20% chance to dispel when target takes damage',0,5),
(122035,230139,2,100,'Does not affect Epic targets',0,6),
(122036,230139,2,100,'Resistibility increases against targets higher than level 29.',0,7),
(122037,230139,3,100,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',0,0),
(122038,230139,3,100,'Slows target by 40.7%',1,1),
(122039,230139,3,100,'5% chance to dispel when target receives hostile action',1,2),
(122040,230139,3,100,'5% chance to dispel when target takes damage',1,3),
(122041,230139,3,100,'Roots target encounter',0,4),
(122042,230139,3,100,'20% chance to dispel when target takes damage',0,5),
(122043,230139,3,100,'Does not affect Epic targets',0,6),
(122044,230139,3,100,'Resistibility increases against targets higher than level 29.',0,7),
(122045,230139,4,100,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',0,0),
(122046,230139,4,100,'Slows target by 44.8%',1,1),
(122047,230139,4,100,'5% chance to dispel when target receives hostile action',1,2),
(122048,230139,4,100,'5% chance to dispel when target takes damage',1,3),
(122049,230139,4,100,'Roots target encounter',0,4),
(122050,230139,4,100,'20% chance to dispel when target takes damage',0,5),
(122051,230139,4,100,'Does not affect Epic targets',0,6),
(122052,230139,4,100,'Resistibility increases against targets higher than level 29.',0,7),
(122053,230139,5,100,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',0,0),
(122054,230139,5,100,'Slows target by 48.9%',1,1),
(122055,230139,5,100,'5% chance to dispel when target receives hostile action',1,2),
(122056,230139,5,100,'5% chance to dispel when target takes damage',1,3),
(122057,230139,5,100,'Roots target encounter',0,4),
(122058,230139,5,100,'20% chance to dispel when target takes damage',0,5),
(122059,230139,5,100,'Does not affect Epic targets',0,6),
(122060,230139,5,100,'Resistibility increases against targets higher than level 29.',0,7),
(122061,230139,7,100,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',0,0),
(122062,230139,7,100,'Slows target by 62.7%',1,1),
(122063,230139,7,100,'5% chance to dispel when target receives hostile action',1,2),
(122064,230139,7,100,'5% chance to dispel when target takes damage',1,3),
(122065,230139,7,100,'Roots target encounter',0,4),
(122066,230139,7,100,'20% chance to dispel when target takes damage',0,5),
(122067,230139,7,100,'Does not affect Epic targets',0,6),
(122068,230139,7,100,'Resistibility increases against targets higher than level 29.',0,7),
(122069,230139,9,100,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',0,0),
(122070,230139,9,100,'Slows target by 65.2%',1,1),
(122071,230139,9,100,'5% chance to dispel when target receives hostile action',1,2),
(122072,230139,9,100,'5% chance to dispel when target takes damage',1,3),
(122073,230139,9,100,'Roots target encounter',0,4),
(122074,230139,9,100,'20% chance to dispel when target takes damage',0,5),
(122075,230139,9,100,'Does not affect Epic targets',0,6),
(122076,230139,9,100,'Resistibility increases against targets higher than level 29.',0,7),
(122077,230140,1,100,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',0,0),
(122078,230140,1,100,'Slows target by 37.0%',1,1),
(122079,230140,1,100,'5% chance to dispel when target receives hostile action',1,2),
(122080,230140,1,100,'5% chance to dispel when target takes damage',1,3),
(122081,230140,1,100,'Roots target encounter',0,4),
(122082,230140,1,100,'20% chance to dispel when target takes damage',0,5),
(122083,230140,1,100,'Does not affect Epic targets',0,6),
(122084,230140,1,100,'Resistibility increases against targets higher than level 29.',0,7),
(122085,230140,2,100,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',0,0),
(122086,230140,2,100,'Slows target by 39.1%',1,1),
(122087,230140,2,100,'5% chance to dispel when target receives hostile action',1,2),
(122088,230140,2,100,'5% chance to dispel when target takes damage',1,3),
(122089,230140,2,100,'Roots target encounter',0,4),
(122090,230140,2,100,'20% chance to dispel when target takes damage',0,5),
(122091,230140,2,100,'Does not affect Epic targets',0,6),
(122092,230140,2,100,'Resistibility increases against targets higher than level 29.',0,7),
(122093,230140,3,100,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',0,0),
(122094,230140,3,100,'Slows target by 41.1%',1,1),
(122095,230140,3,100,'5% chance to dispel when target receives hostile action',1,2),
(122096,230140,3,100,'5% chance to dispel when target takes damage',1,3),
(122097,230140,3,100,'Roots target encounter',0,4),
(122098,230140,3,100,'20% chance to dispel when target takes damage',0,5),
(122099,230140,3,100,'Does not affect Epic targets',0,6),
(122100,230140,3,100,'Resistibility increases against targets higher than level 29.',0,7),
(122101,230140,4,100,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',0,0),
(122102,230140,4,100,'Slows target by 45.2%',1,1),
(122103,230140,4,100,'5% chance to dispel when target receives hostile action',1,2),
(122104,230140,4,100,'5% chance to dispel when target takes damage',1,3),
(122105,230140,4,100,'Roots target encounter',0,4),
(122106,230140,4,100,'20% chance to dispel when target takes damage',0,5),
(122107,230140,4,100,'Does not affect Epic targets',0,6),
(122108,230140,4,100,'Resistibility increases against targets higher than level 29.',0,7),
(122109,230140,5,100,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',0,0),
(122110,230140,5,100,'Slows target by 49.3%',1,1),
(122111,230140,5,100,'5% chance to dispel when target receives hostile action',1,2),
(122112,230140,5,100,'5% chance to dispel when target takes damage',1,3),
(122113,230140,5,100,'Roots target encounter',0,4),
(122114,230140,5,100,'20% chance to dispel when target takes damage',0,5),
(122115,230140,5,100,'Does not affect Epic targets',0,6),
(122116,230140,5,100,'Resistibility increases against targets higher than level 29.',0,7),
(122117,230140,7,100,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',0,0),
(122118,230140,7,100,'Slows target by 63.3%',1,1),
(122119,230140,7,100,'5% chance to dispel when target receives hostile action',1,2),
(122120,230140,7,100,'5% chance to dispel when target takes damage',1,3),
(122121,230140,7,100,'Roots target encounter',0,4),
(122122,230140,7,100,'20% chance to dispel when target takes damage',0,5),
(122123,230140,7,100,'Does not affect Epic targets',0,6),
(122124,230140,7,100,'Resistibility increases against targets higher than level 29.',0,7),
(122125,230140,9,100,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',0,0),
(122126,230140,9,100,'Slows target by 65.8%',1,1),
(122127,230140,9,100,'5% chance to dispel when target receives hostile action',1,2),
(122128,230140,9,100,'5% chance to dispel when target takes damage',1,3),
(122129,230140,9,100,'Roots target encounter',0,4),
(122130,230140,9,100,'20% chance to dispel when target takes damage',0,5),
(122131,230140,9,100,'Does not affect Epic targets',0,6),
(122132,230140,9,100,'Resistibility increases against targets higher than level 29.',0,7),
(122133,230141,1,100,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',0,0),
(122134,230141,1,100,'Slows target by 37.4%',1,1),
(122135,230141,1,100,'5% chance to dispel when target receives hostile action',1,2),
(122136,230141,1,100,'5% chance to dispel when target takes damage',1,3),
(122137,230141,1,100,'Roots target encounter',0,4),
(122138,230141,1,100,'20% chance to dispel when target takes damage',0,5),
(122139,230141,1,100,'Does not affect Epic targets',0,6),
(122140,230141,1,100,'Resistibility increases against targets higher than level 29.',0,7),
(122141,230141,4,100,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',0,0),
(122142,230141,4,100,'Slows target by 45.7%',1,1),
(122143,230141,4,100,'5% chance to dispel when target receives hostile action',1,2),
(122144,230141,4,100,'5% chance to dispel when target takes damage',1,3),
(122145,230141,4,100,'Roots target encounter',0,4),
(122146,230141,4,100,'20% chance to dispel when target takes damage',0,5),
(122147,230141,4,100,'Does not affect Epic targets',0,6),
(122148,230141,4,100,'Resistibility increases against targets higher than level 29.',0,7),
(122149,230141,5,100,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',0,0),
(122150,230141,5,100,'Slows target by 49.8%',1,1),
(122151,230141,5,100,'5% chance to dispel when target receives hostile action',1,2),
(122152,230141,5,100,'5% chance to dispel when target takes damage',1,3),
(122153,230141,5,100,'Roots target encounter',0,4),
(122154,230141,5,100,'20% chance to dispel when target takes damage',0,5),
(122155,230141,5,100,'Does not affect Epic targets',0,6),
(122156,230141,5,100,'Resistibility increases against targets higher than level 29.',0,7),
(122157,230141,7,100,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',0,0),
(122158,230141,7,100,'Slows target by 63.9%',1,1),
(122159,230141,7,100,'5% chance to dispel when target receives hostile action',1,2),
(122160,230141,7,100,'5% chance to dispel when target takes damage',1,3),
(122161,230141,7,100,'Roots target encounter',0,4),
(122162,230141,7,100,'20% chance to dispel when target takes damage',0,5),
(122163,230141,7,100,'Does not affect Epic targets',0,6),
(122164,230141,7,100,'Resistibility increases against targets higher than level 29.',0,7),
(122165,230141,9,100,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',0,0),
(122166,230141,9,100,'Slows target by 66.4%',1,1),
(122167,230141,9,100,'5% chance to dispel when target receives hostile action',1,2),
(122168,230141,9,100,'5% chance to dispel when target takes damage',1,3),
(122169,230141,9,100,'Roots target encounter',0,4),
(122170,230141,9,100,'20% chance to dispel when target takes damage',0,5),
(122171,230141,9,100,'Does not affect Epic targets',0,6),
(122172,230141,9,100,'Resistibility increases against targets higher than level 29.',0,7),
(122173,230142,1,100,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',0,0),
(122174,230142,1,100,'Slows target by 37.7%',1,1),
(122175,230142,1,100,'5% chance to dispel when target receives hostile action',1,2),
(122176,230142,1,100,'5% chance to dispel when target takes damage',1,3),
(122177,230142,1,100,'Roots target encounter',0,4),
(122178,230142,1,100,'20% chance to dispel when target takes damage',0,5),
(122179,230142,1,100,'Does not affect Epic targets',0,6),
(122180,230142,1,100,'Resistibility increases against targets higher than level 29.',0,7),
(122181,230142,4,100,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',0,0),
(122182,230142,4,100,'Slows target by 46.1%',1,1),
(122183,230142,4,100,'5% chance to dispel when target receives hostile action',1,2),
(122184,230142,4,100,'5% chance to dispel when target takes damage',1,3),
(122185,230142,4,100,'Roots target encounter',0,4),
(122186,230142,4,100,'20% chance to dispel when target takes damage',0,5),
(122187,230142,4,100,'Does not affect Epic targets',0,6),
(122188,230142,4,100,'Resistibility increases against targets higher than level 29.',0,7),
(122189,230142,5,100,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',0,0),
(122190,230142,5,100,'Slows target by 50.3%',1,1),
(122191,230142,5,100,'5% chance to dispel when target receives hostile action',1,2),
(122192,230142,5,100,'5% chance to dispel when target takes damage',1,3),
(122193,230142,5,100,'Roots target encounter',0,4),
(122194,230142,5,100,'20% chance to dispel when target takes damage',0,5),
(122195,230142,5,100,'Does not affect Epic targets',0,6),
(122196,230142,5,100,'Resistibility increases against targets higher than level 29.',0,7),
(122197,230142,7,100,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',0,0),
(122198,230142,7,100,'Slows target by 64.6%',1,1),
(122199,230142,7,100,'5% chance to dispel when target receives hostile action',1,2),
(122200,230142,7,100,'5% chance to dispel when target takes damage',1,3),
(122201,230142,7,100,'Roots target encounter',0,4),
(122202,230142,7,100,'20% chance to dispel when target takes damage',0,5),
(122203,230142,7,100,'Does not affect Epic targets',0,6),
(122204,230142,7,100,'Resistibility increases against targets higher than level 29.',0,7),
(122205,230142,9,100,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',0,0),
(122206,230142,9,100,'Slows target by 67.1%',1,1),
(122207,230142,9,100,'5% chance to dispel when target receives hostile action',1,2),
(122208,230142,9,100,'5% chance to dispel when target takes damage',1,3),
(122209,230142,9,100,'Roots target encounter',0,4),
(122210,230142,9,100,'20% chance to dispel when target takes damage',0,5),
(122211,230142,9,100,'Does not affect Epic targets',0,6),
(122212,230142,9,100,'Resistibility increases against targets higher than level 29.',0,7),
(122213,2000605,1,100,'Your next health replenishment spell or ward will heal 18% more.',0,0),
(122214,2000605,1,100,'Ritual will terminate when a health replenishment spell or ward is cast.',0,1),
(122215,2000605,2,100,'Your next health replenishment spell or ward will heal 20% more.',0,0),
(122216,2000605,2,100,'Ritual will terminate when a health replenishment spell or ward is cast.',0,1),
(122217,2000605,3,100,'Your next health replenishment spell or ward will heal 22% more.',0,0),
(122218,2000605,3,100,'Ritual will terminate when a health replenishment spell or ward is cast.',0,1),
(122219,2000605,4,100,'Your next health replenishment spell or ward will heal 24% more.',0,0),
(122220,2000605,4,100,'Ritual will terminate when a health replenishment spell or ward is cast.',0,1),
(122221,2000605,5,100,'Your next health replenishment spell or ward will heal 26% more.',0,0),
(122222,2000605,5,100,'Ritual will terminate when a health replenishment spell or ward is cast.',0,1),
(122223,2000605,6,100,'Your next health replenishment spell or ward will heal 28% more.',0,0),
(122224,2000605,6,100,'Ritual will terminate when a health replenishment spell or ward is cast.',0,1),
(122225,2000605,7,100,'Your next health replenishment spell or ward will heal 30% more.',0,0),
(122226,2000605,7,100,'Ritual will terminate when a health replenishment spell or ward is cast.',0,1),
(122227,2000605,8,100,'Your next health replenishment spell or ward will heal 32% more.',0,0),
(122228,2000605,8,100,'Ritual will terminate when a health replenishment spell or ward is cast.',0,1),
(122229,2000605,9,100,'Your next health replenishment spell or ward will heal 34% more.',0,0),
(122230,2000605,9,100,'Ritual will terminate when a health replenishment spell or ward is cast.',0,1),
(122231,2000605,10,100,'Your next health replenishment spell or ward will heal 36% more.',0,0),
(122232,2000605,10,100,'Ritual will terminate when a health replenishment spell or ward is cast.',0,1),
(122233,190118,1,100,'Heals target for 36 - 44',0,0),
(122234,190118,1,100,'Increases Max Health of target by 6.3',0,1),
(122235,190118,2,100,'Heals target for 38 - 47',0,0),
(122236,190118,2,100,'Increases Max Health of target by 6.7',0,1),
(122237,190118,3,100,'Heals target for 40 - 49',0,0),
(122238,190118,3,100,'Increases Max Health of target by 7.0',0,1),
(122239,190118,4,100,'Heals target for 44 - 54',0,0),
(122240,190118,4,100,'Increases Max Health of target by 7.7',0,1),
(122241,190118,5,100,'Heals target for 48 - 59',0,0),
(122242,190118,5,100,'Increases Max Health of target by 8.4',0,1),
(122243,190118,7,100,'Heals target for 62 - 75',0,0),
(122244,190118,7,100,'Increases Max Health of target by 10.8',0,1),
(122245,190118,9,100,'Heals target for 64 - 78',0,0),
(122246,190118,9,100,'Increases Max Health of target by 11.3',0,1),
(122247,190119,1,100,'Heals target for 120 - 147',0,0),
(122248,190119,1,100,'Increases Max Health of target by 14.4',0,1),
(122249,190119,2,100,'Heals target for 127 - 155',0,0),
(122250,190119,2,100,'Increases Max Health of target by 15.2',0,1),
(122251,190119,3,100,'Heals target for 134 - 163',0,0),
(122252,190119,3,100,'Increases Max Health of target by 16.0',0,1),
(122253,190119,4,100,'Heals target for 147 - 180',0,0),
(122254,190119,4,100,'Increases Max Health of target by 17.6',0,1),
(122255,190119,5,100,'Heals target for 160 - 196',0,0),
(122256,190119,5,100,'Increases Max Health of target by 19.2',0,1),
(122257,190119,7,100,'Heals target for 206 - 252',0,0),
(122258,190119,7,100,'Increases Max Health of target by 24.6',0,1),
(122259,190119,9,100,'Heals target for 214 - 261',0,0),
(122260,190119,9,100,'Increases Max Health of target by 25.6',0,1),
(122261,190120,1,100,'Heals target for 217 - 265',0,0),
(122262,190120,1,100,'Increases Max Health of target by 27.6',0,1),
(122263,190120,2,100,'Heals target for 229 - 279',0,0),
(122264,190120,2,100,'Increases Max Health of target by 29.2',0,1),
(122265,190120,3,100,'Heals target for 241 - 294',0,0),
(122266,190120,3,100,'Increases Max Health of target by 30.7',0,1),
(122267,190120,4,100,'Heals target for 265 - 323',0,0),
(122268,190120,4,100,'Increases Max Health of target by 33.8',0,1),
(122269,190120,5,100,'Heals target for 289 - 353',0,0),
(122270,190120,5,100,'Increases Max Health of target by 36.9',0,1),
(122271,190120,7,100,'Heals target for 370 - 453',0,0),
(122272,190120,7,100,'Increases Max Health of target by 47.3',0,1),
(122273,190120,9,100,'Heals target for 385 - 470',0,0),
(122274,190120,9,100,'Increases Max Health of target by 49.2',0,1),
(122275,190121,1,100,'Heals target for 414 - 506',0,0),
(122276,190121,1,100,'Increases Max Health of target by 68.5',0,1),
(122277,190121,2,100,'Heals target for 437 - 534',0,0),
(122278,190121,2,100,'Increases Max Health of target by 72.4',0,1),
(122279,190121,3,100,'Heals target for 460 - 562',0,0),
(122280,190121,3,100,'Increases Max Health of target by 76.2',0,1),
(122281,190121,4,100,'Heals target for 506 - 618',0,0),
(122282,190121,4,100,'Increases Max Health of target by 83.8',0,1),
(122283,190121,5,100,'Heals target for 552 - 674',0,0),
(122284,190121,5,100,'Increases Max Health of target by 91.4',0,1),
(122285,190121,7,100,'Heals target for 708 - 865',0,0),
(122286,190121,7,100,'Increases Max Health of target by 117.3',0,1),
(122287,190121,9,100,'Heals target for 736 - 899',0,0),
(122288,190121,9,100,'Increases Max Health of target by 121.9',0,1),
(122289,190121,10,100,'Heals target for 772 - 944',0,0),
(122290,190121,10,100,'Increases Max Health of target by 127.9',0,1),
(122291,190122,1,100,'Heals target for 1745 - 2133',0,0),
(122292,190122,1,100,'Increases Max Health of target by 258.1',0,1),
(122293,190122,4,100,'Heals target for 2133 - 2607',0,0),
(122294,190122,4,100,'Increases Max Health of target by 315.5',0,1),
(122295,190122,5,100,'Heals target for 2327 - 2844',0,0),
(122296,190122,5,100,'Increases Max Health of target by 344.2',0,1),
(122297,190122,7,100,'Heals target for 2986 - 3650',0,0),
(122298,190122,7,100,'Increases Max Health of target by 441.7',0,1),
(122299,190122,9,100,'Heals target for 3103 - 3792',0,0),
(122300,190122,9,100,'Increases Max Health of target by 458.9',0,1),
(122301,190122,10,100,'Heals target for 3258 - 3982',0,0),
(122302,190122,10,100,'Increases Max Health of target by 481.8',0,1),
(122303,190123,1,100,'Heals target for 638 - 779',0,0),
(122304,190123,1,100,'Increases Max Health of target by 112.0',0,1),
(122305,190123,2,100,'Heals target for 673 - 822',0,0),
(122306,190123,2,100,'Increases Max Health of target by 118.2',0,1),
(122307,190123,3,100,'Heals target for 708 - 866',0,0),
(122308,190123,3,100,'Increases Max Health of target by 124.4',0,1),
(122309,190123,4,100,'Heals target for 779 - 952',0,0),
(122310,190123,4,100,'Increases Max Health of target by 136.8',0,1),
(122311,190123,5,100,'Heals target for 850 - 1039',0,0),
(122312,190123,5,100,'Increases Max Health of target by 149.3',0,1),
(122313,190123,7,100,'Heals target for 1091 - 1333',0,0),
(122314,190123,7,100,'Increases Max Health of target by 191.6',0,1),
(122315,190123,9,100,'Heals target for 1133 - 1385',0,0),
(122316,190123,9,100,'Increases Max Health of target by 199.0',0,1),
(122317,190124,1,100,'Heals target for 890 - 1088',0,0),
(122318,190124,1,100,'Increases Max Health of target by 149.8',0,1),
(122319,190124,2,100,'Heals target for 940 - 1148',0,0),
(122320,190124,2,100,'Increases Max Health of target by 158.1',0,1),
(122321,190124,3,100,'Heals target for 989 - 1209',0,0),
(122322,190124,3,100,'Increases Max Health of target by 166.4',0,1),
(122323,190124,4,100,'Heals target for 1088 - 1330',0,0),
(122324,190124,4,100,'Increases Max Health of target by 183.0',0,1),
(122325,190124,5,100,'Heals target for 1187 - 1451',0,0),
(122326,190124,5,100,'Increases Max Health of target by 199.7',0,1),
(122327,190124,7,100,'Heals target for 1523 - 1862',0,0),
(122328,190124,7,100,'Increases Max Health of target by 256.3',0,1),
(122329,190124,9,100,'Heals target for 1582 - 1934',0,0),
(122330,190124,9,100,'Increases Max Health of target by 266.2',0,1),
(122331,190124,10,100,'Heals target for 1662 - 2031',0,0),
(122332,190124,10,100,'Increases Max Health of target by 279.6',0,1),
(122333,190125,1,100,'Heals target for 1182 - 1445',0,0),
(122334,190125,1,100,'Increases Max Health of target by 186.1',0,1),
(122335,190125,2,100,'Heals target for 1248 - 1525',0,0),
(122336,190125,2,100,'Increases Max Health of target by 196.5',0,1),
(122337,190125,3,100,'Heals target for 1314 - 1606',0,0),
(122338,190125,3,100,'Increases Max Health of target by 206.8',0,1),
(122339,190125,4,100,'Heals target for 1445 - 1766',0,0),
(122340,190125,4,100,'Increases Max Health of target by 227.5',0,1),
(122341,190125,5,100,'Heals target for 1577 - 1927',0,0),
(122342,190125,5,100,'Increases Max Health of target by 248.2',0,1),
(122343,190125,7,100,'Heals target for 2023 - 2473',0,0),
(122344,190125,7,100,'Increases Max Health of target by 318.5',0,1),
(122345,190125,9,100,'Heals target for 2102 - 2569',0,0),
(122346,190125,9,100,'Increases Max Health of target by 330.9',0,1),
(122347,190126,1,100,'Heals target for 1526 - 1866',0,0),
(122348,190126,1,100,'Increases Max Health of target by 222.1',0,1),
(122349,190126,4,100,'Heals target for 1866 - 2280',0,0),
(122350,190126,4,100,'Increases Max Health of target by 271.5',0,1),
(122351,190126,5,100,'Heals target for 2035 - 2487',0,0),
(122352,190126,5,100,'Increases Max Health of target by 296.2',0,1),
(122353,190126,7,100,'Heals target for 2612 - 3192',0,0),
(122354,190126,7,100,'Increases Max Health of target by 380.1',0,1),
(122355,190126,9,100,'Heals target for 2714 - 3317',0,0),
(122356,190126,9,100,'Increases Max Health of target by 394.9',0,1),
(122357,190126,10,100,'Heals target for 2849 - 3482',0,0),
(122358,190126,10,100,'Increases Max Health of target by 414.6',0,1),
(122359,2000606,1,100,'Increases Ability Recovery Speed of target by 33.3%',0,0),
(122360,2000606,1,100,'Increases Ability Casting Speed of target by 33.3%',0,1),
(122361,2000606,1,100,'Increases Ability Reuse Speed of target by 33.3%',0,2),
(122362,2000607,1,100,'Improves the casting time of beneficial spells by 15%',0,0),
(122363,2000607,1,100,'Improves heals and wards by 10%.',0,1),
(122364,2000607,1,100,'Improves the critical amount of heals and wards by 5%.',0,2),
(122365,2000607,1,100,'Increases the power and reuse speed of damage based spells and combat arts by 20%',0,3),
(122366,2000607,1,100,'Reduces the damage of hostile spells and combat arts by 13.5%',0,4),
(122367,230143,1,100,'On a combat hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(122368,230143,1,100,'Inflicts 3 - 4 heat damage on target instantly and every second',1,1),
(122369,230143,2,100,'On a combat hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(122370,230143,2,100,'Inflicts 3 - 4 heat damage on target instantly and every second',1,1),
(122371,230143,3,100,'On a combat hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(122372,230143,3,100,'Inflicts 4 heat damage on target instantly and every second',1,1),
(122373,230143,4,100,'On a combat hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(122374,230143,4,100,'Inflicts 4 - 5 heat damage on target instantly and every second',1,1),
(122375,230143,5,100,'On a combat hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(122376,230143,5,100,'Inflicts 4 - 5 heat damage on target instantly and every second',1,1),
(122377,230143,7,100,'On a combat hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(122378,230143,7,100,'Inflicts 6 - 7 heat damage on target instantly and every second',1,1),
(122379,230143,9,100,'On a combat hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(122380,230143,9,100,'Inflicts 6 - 7 heat damage on target instantly and every second',1,1),
(122381,230144,1,100,'On a combat hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(122382,230144,1,100,'Inflicts 7 - 9 heat damage on target instantly and every second',1,1),
(122383,230144,2,100,'On a combat hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(122384,230144,2,100,'Inflicts 8 - 10 heat damage on target instantly and every second',1,1),
(122385,230144,3,100,'On a combat hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(122386,230144,3,100,'Inflicts 8 - 10 heat damage on target instantly and every second',1,1),
(122387,230144,4,100,'On a combat hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(122388,230144,4,100,'Inflicts 9 - 11 heat damage on target instantly and every second',1,1),
(122389,230144,5,100,'On a combat hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(122390,230144,5,100,'Inflicts 10 - 12 heat damage on target instantly and every second',1,1),
(122391,230144,7,100,'On a combat hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(122392,230144,7,100,'Inflicts 13 - 16 heat damage on target instantly and every second',1,1),
(122393,230144,9,100,'On a combat hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(122394,230144,9,100,'Inflicts 13 - 16 heat damage on target instantly and every second',1,1),
(122395,230145,1,100,'On a combat hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(122396,230145,1,100,'Inflicts 12 - 15 heat damage on target instantly and every second',1,1),
(122397,230145,2,100,'On a combat hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(122398,230145,2,100,'Inflicts 13 - 15 heat damage on target instantly and every second',1,1),
(122399,230145,3,100,'On a combat hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(122400,230145,3,100,'Inflicts 13 - 16 heat damage on target instantly and every second',1,1),
(122401,230145,4,100,'On a combat hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(122402,230145,4,100,'Inflicts 15 - 18 heat damage on target instantly and every second',1,1),
(122403,230145,5,100,'On a combat hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(122404,230145,5,100,'Inflicts 16 - 19 heat damage on target instantly and every second',1,1),
(122405,230145,7,100,'On a combat hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(122406,230145,7,100,'Inflicts 20 - 25 heat damage on target instantly and every second',1,1),
(122407,230145,9,100,'On a combat hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(122408,230145,9,100,'Inflicts 21 - 26 heat damage on target instantly and every second',1,1),
(122409,230146,1,100,'On a combat hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(122410,230146,1,100,'Inflicts 18 - 22 heat damage on target instantly and every second',1,1),
(122411,230146,2,100,'On a combat hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(122412,230146,2,100,'Inflicts 19 - 23 heat damage on target instantly and every second',1,1),
(122413,230146,3,100,'On a combat hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(122414,230146,3,100,'Inflicts 20 - 25 heat damage on target instantly and every second',1,1),
(122415,230146,4,100,'On a combat hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(122416,230146,4,100,'Inflicts 22 - 27 heat damage on target instantly and every second',1,1),
(122417,230146,5,100,'On a combat hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(122418,230146,5,100,'Inflicts 24 - 30 heat damage on target instantly and every second',1,1),
(122419,230146,7,100,'On a combat hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(122420,230146,7,100,'Inflicts 31 - 38 heat damage on target instantly and every second',1,1),
(122421,230146,9,100,'On a combat hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(122422,230146,9,100,'Inflicts 32 - 39 heat damage on target instantly and every second',1,1),
(122423,230147,1,100,'On a combat hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(122424,230147,1,100,'Inflicts 24 - 29 heat damage on target instantly and every second',1,1),
(122425,230147,2,100,'On a combat hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(122426,230147,2,100,'Inflicts 25 - 31 heat damage on target instantly and every second',1,1),
(122427,230147,3,100,'On a combat hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(122428,230147,3,100,'Inflicts 27 - 33 heat damage on target instantly and every second',1,1),
(122429,230147,4,100,'On a combat hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(122430,230147,4,100,'Inflicts 29 - 36 heat damage on target instantly and every second',1,1),
(122431,230147,5,100,'On a combat hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(122432,230147,5,100,'Inflicts 32 - 39 heat damage on target instantly and every second',1,1),
(122433,230147,7,100,'On a combat hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(122434,230147,7,100,'Inflicts 41 - 50 heat damage on target instantly and every second',1,1),
(122435,230147,9,100,'On a combat hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(122436,230147,9,100,'Inflicts 43 - 52 heat damage on target instantly and every second',1,1),
(122437,230148,1,100,'On a combat hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(122438,230148,1,100,'Inflicts 30 - 36 heat damage on target instantly and every second',1,1),
(122439,230148,2,100,'On a combat hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(122440,230148,2,100,'Inflicts 31 - 38 heat damage on target instantly and every second',1,1),
(122441,230148,3,100,'On a combat hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(122442,230148,3,100,'Inflicts 33 - 40 heat damage on target instantly and every second',1,1),
(122443,230148,4,100,'On a combat hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(122444,230148,4,100,'Inflicts 36 - 44 heat damage on target instantly and every second',1,1),
(122445,230148,5,100,'On a combat hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(122446,230148,5,100,'Inflicts 40 - 48 heat damage on target instantly and every second',1,1),
(122447,230148,7,100,'On a combat hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(122448,230148,7,100,'Inflicts 51 - 62 heat damage on target instantly and every second',1,1),
(122449,230148,9,100,'On a combat hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(122450,230148,9,100,'Inflicts 53 - 65 heat damage on target instantly and every second',1,1),
(122451,230149,1,100,'On a combat hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(122452,230149,1,100,'Inflicts 36 - 44 heat damage on target instantly and every second',1,1),
(122453,230149,4,100,'On a combat hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(122454,230149,4,100,'Inflicts 44 - 53 heat damage on target instantly and every second',1,1),
(122455,230149,5,100,'On a combat hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(122456,230149,5,100,'Inflicts 48 - 58 heat damage on target instantly and every second',1,1),
(122457,230149,7,100,'On a combat hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(122458,230149,7,100,'Inflicts 61 - 75 heat damage on target instantly and every second',1,1),
(122459,230149,9,100,'On a combat hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(122460,230149,9,100,'Inflicts 64 - 78 heat damage on target instantly and every second',1,1),
(122461,230150,1,100,'On a combat hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(122462,230150,1,100,'Inflicts 39 - 47 heat damage on target instantly and every second',1,1),
(122463,230150,4,100,'On a combat hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(122464,230150,4,100,'Inflicts 47 - 58 heat damage on target instantly and every second',1,1),
(122465,230150,5,100,'On a combat hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(122466,230150,5,100,'Inflicts 52 - 63 heat damage on target instantly and every second',1,1),
(122467,230150,7,100,'On a combat hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(122468,230150,7,100,'Inflicts 66 - 81 heat damage on target instantly and every second',1,1),
(122469,230150,9,100,'On a combat hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(122470,230150,9,100,'Inflicts 69 - 84 heat damage on target instantly and every second',1,1),
(122471,290171,1,100,'Summons a limited pet to aid the caster',0,0),
(122472,290171,2,100,'Summons a limited pet to aid the caster',0,0),
(122473,290171,3,100,'Summons a limited pet to aid the caster',0,0),
(122474,290171,4,100,'Summons a limited pet to aid the caster',0,0),
(122475,290171,5,100,'Summons a limited pet to aid the caster',0,0),
(122476,290171,7,100,'Summons a limited pet to aid the caster',0,0),
(122477,290171,9,100,'Summons a limited pet to aid the caster',0,0),
(122478,290172,1,100,'Summons a limited pet to aid the caster',0,0),
(122479,290172,2,100,'Summons a limited pet to aid the caster',0,0),
(122480,290172,3,100,'Summons a limited pet to aid the caster',0,0),
(122481,290172,4,100,'Summons a limited pet to aid the caster',0,0),
(122482,290172,5,100,'Summons a limited pet to aid the caster',0,0),
(122483,290172,7,100,'Summons a limited pet to aid the caster',0,0),
(122484,290172,9,100,'Summons a limited pet to aid the caster',0,0),
(122485,290173,1,100,'Summons a limited pet to aid the caster',0,0),
(122486,290173,2,100,'Summons a limited pet to aid the caster',0,0),
(122487,290173,3,100,'Summons a limited pet to aid the caster',0,0),
(122488,290173,4,100,'Summons a limited pet to aid the caster',0,0),
(122489,290173,5,100,'Summons a limited pet to aid the caster',0,0),
(122490,290173,7,100,'Summons a limited pet to aid the caster',0,0),
(122491,290173,9,100,'Summons a limited pet to aid the caster',0,0),
(122492,290173,10,100,'Summons a limited pet to aid the caster',0,0),
(122493,290174,1,100,'Summons a limited pet to aid the caster',0,0),
(122494,290174,2,100,'Summons a limited pet to aid the caster',0,0),
(122495,290174,3,100,'Summons a limited pet to aid the caster',0,0),
(122496,290174,4,100,'Summons a limited pet to aid the caster',0,0),
(122497,290174,5,100,'Summons a limited pet to aid the caster',0,0),
(122498,290174,7,100,'Summons a limited pet to aid the caster',0,0),
(122499,290174,9,100,'Summons a limited pet to aid the caster',0,0),
(122500,290175,1,100,'Summons a limited pet to aid the caster',0,0),
(122501,290175,4,100,'Summons a limited pet to aid the caster',0,0),
(122502,290175,5,100,'Summons a limited pet to aid the caster',0,0),
(122503,290175,7,100,'Summons a limited pet to aid the caster',0,0),
(122504,290175,9,100,'Summons a limited pet to aid the caster',0,0),
(122505,290176,1,100,'Summons a limited pet to aid the caster',0,0),
(122506,290176,4,100,'Summons a limited pet to aid the caster',0,0),
(122507,290176,5,100,'Summons a limited pet to aid the caster',0,0),
(122508,290176,7,100,'Summons a limited pet to aid the caster',0,0),
(122509,290176,9,100,'Summons a limited pet to aid the caster',0,0),
(122510,2000608,1,100,'Grants stealth to caster',0,0),
(122511,2000608,1,100,'Suspends caster''s movement speed enhancements',0,1),
(122512,2000608,1,100,'This effect suspends during combat',0,2),
(122513,2000609,1,100,'Roots target',0,0),
(122514,2000609,1,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 1 minute and duration is reduced to 6.7 seconds.',0,1),
(122515,2000609,1,100,'Resistibility increases against targets higher than level 29.',0,2),
(122516,160122,1,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',0,0),
(122517,160122,1,100,'Slows target by 28.3%',1,1),
(122518,160122,1,100,'5% chance to dispel when target receives hostile action',1,2),
(122519,160122,1,100,'5% chance to dispel when target takes damage',1,3),
(122520,160122,1,100,'Roots target',0,4),
(122521,160122,1,100,'5% chance to dispel when target takes damage',0,5),
(122522,160122,1,100,'Does not affect Epic targets',0,6),
(122523,160122,1,100,'Resistibility increases against targets higher than level 29.',0,7),
(122524,160122,2,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',0,0),
(122525,160122,2,100,'Slows target by 29.8%',1,1),
(122526,160122,2,100,'5% chance to dispel when target receives hostile action',1,2),
(122527,160122,2,100,'5% chance to dispel when target takes damage',1,3),
(122528,160122,2,100,'Roots target',0,4),
(122529,160122,2,100,'5% chance to dispel when target takes damage',0,5),
(122530,160122,2,100,'Does not affect Epic targets',0,6),
(122531,160122,2,100,'Resistibility increases against targets higher than level 29.',0,7),
(122532,160122,3,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',0,0),
(122533,160122,3,100,'Slows target by 31.4%',1,1),
(122534,160122,3,100,'5% chance to dispel when target receives hostile action',1,2),
(122535,160122,3,100,'5% chance to dispel when target takes damage',1,3),
(122536,160122,3,100,'Roots target',0,4),
(122537,160122,3,100,'5% chance to dispel when target takes damage',0,5),
(122538,160122,3,100,'Does not affect Epic targets',0,6),
(122539,160122,3,100,'Resistibility increases against targets higher than level 29.',0,7),
(122540,160122,4,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',0,0),
(122541,160122,4,100,'Slows target by 34.5%',1,1),
(122542,160122,4,100,'5% chance to dispel when target receives hostile action',1,2),
(122543,160122,4,100,'5% chance to dispel when target takes damage',1,3),
(122544,160122,4,100,'Roots target',0,4),
(122545,160122,4,100,'5% chance to dispel when target takes damage',0,5),
(122546,160122,4,100,'Does not affect Epic targets',0,6),
(122547,160122,4,100,'Resistibility increases against targets higher than level 29.',0,7),
(122548,160122,5,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',0,0),
(122549,160122,5,100,'Slows target by 37.7%',1,1),
(122550,160122,5,100,'5% chance to dispel when target receives hostile action',1,2),
(122551,160122,5,100,'5% chance to dispel when target takes damage',1,3),
(122552,160122,5,100,'Roots target',0,4),
(122553,160122,5,100,'5% chance to dispel when target takes damage',0,5),
(122554,160122,5,100,'Does not affect Epic targets',0,6),
(122555,160122,5,100,'Resistibility increases against targets higher than level 29.',0,7),
(122556,160122,7,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',0,0),
(122557,160122,7,100,'Slows target by 48.4%',1,1),
(122558,160122,7,100,'5% chance to dispel when target receives hostile action',1,2),
(122559,160122,7,100,'5% chance to dispel when target takes damage',1,3),
(122560,160122,7,100,'Roots target',0,4),
(122561,160122,7,100,'5% chance to dispel when target takes damage',0,5),
(122562,160122,7,100,'Does not affect Epic targets',0,6),
(122563,160122,7,100,'Resistibility increases against targets higher than level 29.',0,7),
(122564,160122,9,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',0,0),
(122565,160122,9,100,'Slows target by 50.2%',1,1),
(122566,160122,9,100,'5% chance to dispel when target receives hostile action',1,2),
(122567,160122,9,100,'5% chance to dispel when target takes damage',1,3),
(122568,160122,9,100,'Roots target',0,4),
(122569,160122,9,100,'5% chance to dispel when target takes damage',0,5),
(122570,160122,9,100,'Does not affect Epic targets',0,6),
(122571,160122,9,100,'Resistibility increases against targets higher than level 29.',0,7),
(122572,160123,1,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',0,0),
(122573,160123,1,100,'Slows target by 30.8%',1,1),
(122574,160123,1,100,'5% chance to dispel when target receives hostile action',1,2),
(122575,160123,1,100,'5% chance to dispel when target takes damage',1,3),
(122576,160123,1,100,'Roots target',0,4),
(122577,160123,1,100,'5% chance to dispel when target takes damage',0,5),
(122578,160123,1,100,'Does not affect Epic targets',0,6),
(122579,160123,1,100,'Resistibility increases against targets higher than level 29.',0,7),
(122580,160123,2,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',0,0),
(122581,160123,2,100,'Slows target by 32.5%',1,1),
(122582,160123,2,100,'5% chance to dispel when target receives hostile action',1,2),
(122583,160123,2,100,'5% chance to dispel when target takes damage',1,3),
(122584,160123,2,100,'Roots target',0,4),
(122585,160123,2,100,'5% chance to dispel when target takes damage',0,5),
(122586,160123,2,100,'Does not affect Epic targets',0,6),
(122587,160123,2,100,'Resistibility increases against targets higher than level 29.',0,7),
(122588,160123,3,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',0,0),
(122589,160123,3,100,'Slows target by 34.2%',1,1),
(122590,160123,3,100,'5% chance to dispel when target receives hostile action',1,2),
(122591,160123,3,100,'5% chance to dispel when target takes damage',1,3),
(122592,160123,3,100,'Roots target',0,4),
(122593,160123,3,100,'5% chance to dispel when target takes damage',0,5),
(122594,160123,3,100,'Does not affect Epic targets',0,6),
(122595,160123,3,100,'Resistibility increases against targets higher than level 29.',0,7),
(122596,160123,4,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',0,0),
(122597,160123,4,100,'Slows target by 37.6%',1,1),
(122598,160123,4,100,'5% chance to dispel when target receives hostile action',1,2),
(122599,160123,4,100,'5% chance to dispel when target takes damage',1,3),
(122600,160123,4,100,'Roots target',0,4),
(122601,160123,4,100,'5% chance to dispel when target takes damage',0,5),
(122602,160123,4,100,'Does not affect Epic targets',0,6),
(122603,160123,4,100,'Resistibility increases against targets higher than level 29.',0,7),
(122604,160123,5,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',0,0),
(122605,160123,5,100,'Slows target by 41.0%',1,1),
(122606,160123,5,100,'5% chance to dispel when target receives hostile action',1,2),
(122607,160123,5,100,'5% chance to dispel when target takes damage',1,3),
(122608,160123,5,100,'Roots target',0,4),
(122609,160123,5,100,'5% chance to dispel when target takes damage',0,5),
(122610,160123,5,100,'Does not affect Epic targets',0,6),
(122611,160123,5,100,'Resistibility increases against targets higher than level 29.',0,7),
(122612,160123,7,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',0,0),
(122613,160123,7,100,'Slows target by 52.7%',1,1),
(122614,160123,7,100,'5% chance to dispel when target receives hostile action',1,2),
(122615,160123,7,100,'5% chance to dispel when target takes damage',1,3),
(122616,160123,7,100,'Roots target',0,4),
(122617,160123,7,100,'5% chance to dispel when target takes damage',0,5),
(122618,160123,7,100,'Does not affect Epic targets',0,6),
(122619,160123,7,100,'Resistibility increases against targets higher than level 29.',0,7),
(122620,160123,9,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',0,0),
(122621,160123,9,100,'Slows target by 54.7%',1,1),
(122622,160123,9,100,'5% chance to dispel when target receives hostile action',1,2),
(122623,160123,9,100,'5% chance to dispel when target takes damage',1,3),
(122624,160123,9,100,'Roots target',0,4),
(122625,160123,9,100,'5% chance to dispel when target takes damage',0,5),
(122626,160123,9,100,'Does not affect Epic targets',0,6),
(122627,160123,9,100,'Resistibility increases against targets higher than level 29.',0,7),
(122628,160124,1,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',0,0),
(122629,160124,1,100,'Slows target by 33.3%',1,1),
(122630,160124,1,100,'5% chance to dispel when target receives hostile action',1,2),
(122631,160124,1,100,'5% chance to dispel when target takes damage',1,3),
(122632,160124,1,100,'Roots target',0,4),
(122633,160124,1,100,'5% chance to dispel when target takes damage',0,5),
(122634,160124,1,100,'Does not affect Epic targets',0,6),
(122635,160124,1,100,'Resistibility increases against targets higher than level 29.',0,7),
(122636,160124,2,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',0,0),
(122637,160124,2,100,'Slows target by 35.1%',1,1),
(122638,160124,2,100,'5% chance to dispel when target receives hostile action',1,2),
(122639,160124,2,100,'5% chance to dispel when target takes damage',1,3),
(122640,160124,2,100,'Roots target',0,4),
(122641,160124,2,100,'5% chance to dispel when target takes damage',0,5),
(122642,160124,2,100,'Does not affect Epic targets',0,6),
(122643,160124,2,100,'Resistibility increases against targets higher than level 29.',0,7),
(122644,160124,3,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',0,0),
(122645,160124,3,100,'Slows target by 37.0%',1,1),
(122646,160124,3,100,'5% chance to dispel when target receives hostile action',1,2),
(122647,160124,3,100,'5% chance to dispel when target takes damage',1,3),
(122648,160124,3,100,'Roots target',0,4),
(122649,160124,3,100,'5% chance to dispel when target takes damage',0,5),
(122650,160124,3,100,'Does not affect Epic targets',0,6),
(122651,160124,3,100,'Resistibility increases against targets higher than level 29.',0,7),
(122652,160124,4,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',0,0),
(122653,160124,4,100,'Slows target by 40.7%',1,1),
(122654,160124,4,100,'5% chance to dispel when target receives hostile action',1,2),
(122655,160124,4,100,'5% chance to dispel when target takes damage',1,3),
(122656,160124,4,100,'Roots target',0,4),
(122657,160124,4,100,'5% chance to dispel when target takes damage',0,5),
(122658,160124,4,100,'Does not affect Epic targets',0,6),
(122659,160124,4,100,'Resistibility increases against targets higher than level 29.',0,7),
(122660,160124,5,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',0,0),
(122661,160124,5,100,'Slows target by 44.4%',1,1),
(122662,160124,5,100,'5% chance to dispel when target receives hostile action',1,2),
(122663,160124,5,100,'5% chance to dispel when target takes damage',1,3),
(122664,160124,5,100,'Roots target',0,4),
(122665,160124,5,100,'5% chance to dispel when target takes damage',0,5),
(122666,160124,5,100,'Does not affect Epic targets',0,6),
(122667,160124,5,100,'Resistibility increases against targets higher than level 29.',0,7),
(122668,160124,7,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',0,0),
(122669,160124,7,100,'Slows target by 57.0%',1,1),
(122670,160124,7,100,'5% chance to dispel when target receives hostile action',1,2),
(122671,160124,7,100,'5% chance to dispel when target takes damage',1,3),
(122672,160124,7,100,'Roots target',0,4),
(122673,160124,7,100,'5% chance to dispel when target takes damage',0,5),
(122674,160124,7,100,'Does not affect Epic targets',0,6),
(122675,160124,7,100,'Resistibility increases against targets higher than level 29.',0,7),
(122676,160124,9,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',0,0),
(122677,160124,9,100,'Slows target by 59.2%',1,1),
(122678,160124,9,100,'5% chance to dispel when target receives hostile action',1,2),
(122679,160124,9,100,'5% chance to dispel when target takes damage',1,3),
(122680,160124,9,100,'Roots target',0,4),
(122681,160124,9,100,'5% chance to dispel when target takes damage',0,5),
(122682,160124,9,100,'Does not affect Epic targets',0,6),
(122683,160124,9,100,'Resistibility increases against targets higher than level 29.',0,7),
(122684,160125,1,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',0,0),
(122685,160125,1,100,'Slows target by 35.8%',1,1),
(122686,160125,1,100,'5% chance to dispel when target receives hostile action',1,2),
(122687,160125,1,100,'5% chance to dispel when target takes damage',1,3),
(122688,160125,1,100,'Roots target',0,4),
(122689,160125,1,100,'5% chance to dispel when target takes damage',0,5),
(122690,160125,1,100,'Does not affect Epic targets',0,6),
(122691,160125,1,100,'Resistibility increases against targets higher than level 29.',0,7),
(122692,160125,2,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',0,0),
(122693,160125,2,100,'Slows target by 37.8%',1,1),
(122694,160125,2,100,'5% chance to dispel when target receives hostile action',1,2),
(122695,160125,2,100,'5% chance to dispel when target takes damage',1,3),
(122696,160125,2,100,'Roots target',0,4),
(122697,160125,2,100,'5% chance to dispel when target takes damage',0,5),
(122698,160125,2,100,'Does not affect Epic targets',0,6),
(122699,160125,2,100,'Resistibility increases against targets higher than level 29.',0,7),
(122700,160125,3,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',0,0),
(122701,160125,3,100,'Slows target by 39.8%',1,1),
(122702,160125,3,100,'5% chance to dispel when target receives hostile action',1,2),
(122703,160125,3,100,'5% chance to dispel when target takes damage',1,3),
(122704,160125,3,100,'Roots target',0,4),
(122705,160125,3,100,'5% chance to dispel when target takes damage',0,5),
(122706,160125,3,100,'Does not affect Epic targets',0,6),
(122707,160125,3,100,'Resistibility increases against targets higher than level 29.',0,7),
(122708,160125,4,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',0,0),
(122709,160125,4,100,'Slows target by 43.8%',1,1),
(122710,160125,4,100,'5% chance to dispel when target receives hostile action',1,2),
(122711,160125,4,100,'5% chance to dispel when target takes damage',1,3),
(122712,160125,4,100,'Roots target',0,4),
(122713,160125,4,100,'5% chance to dispel when target takes damage',0,5),
(122714,160125,4,100,'Does not affect Epic targets',0,6),
(122715,160125,4,100,'Resistibility increases against targets higher than level 29.',0,7),
(122716,160125,5,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',0,0),
(122717,160125,5,100,'Slows target by 47.8%',1,1),
(122718,160125,5,100,'5% chance to dispel when target receives hostile action',1,2),
(122719,160125,5,100,'5% chance to dispel when target takes damage',1,3),
(122720,160125,5,100,'Roots target',0,4),
(122721,160125,5,100,'5% chance to dispel when target takes damage',0,5),
(122722,160125,5,100,'Does not affect Epic targets',0,6),
(122723,160125,5,100,'Resistibility increases against targets higher than level 29.',0,7),
(122724,160125,7,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',0,0),
(122725,160125,7,100,'Slows target by 61.3%',1,1),
(122726,160125,7,100,'5% chance to dispel when target receives hostile action',1,2),
(122727,160125,7,100,'5% chance to dispel when target takes damage',1,3),
(122728,160125,7,100,'Roots target',0,4),
(122729,160125,7,100,'5% chance to dispel when target takes damage',0,5),
(122730,160125,7,100,'Does not affect Epic targets',0,6),
(122731,160125,7,100,'Resistibility increases against targets higher than level 29.',0,7),
(122732,160125,9,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',0,0),
(122733,160125,9,100,'Slows target by 63.7%',1,1),
(122734,160125,9,100,'5% chance to dispel when target receives hostile action',1,2),
(122735,160125,9,100,'5% chance to dispel when target takes damage',1,3),
(122736,160125,9,100,'Roots target',0,4),
(122737,160125,9,100,'5% chance to dispel when target takes damage',0,5),
(122738,160125,9,100,'Does not affect Epic targets',0,6),
(122739,160125,9,100,'Resistibility increases against targets higher than level 29.',0,7),
(122740,160126,1,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',0,0),
(122741,160126,1,100,'Slows target by 36.5%',1,1),
(122742,160126,1,100,'5% chance to dispel when target receives hostile action',1,2),
(122743,160126,1,100,'5% chance to dispel when target takes damage',1,3),
(122744,160126,1,100,'Roots target',0,4),
(122745,160126,1,100,'5% chance to dispel when target takes damage',0,5),
(122746,160126,1,100,'Does not affect Epic targets',0,6),
(122747,160126,1,100,'Resistibility increases against targets higher than level 29.',0,7),
(122748,160126,2,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',0,0),
(122749,160126,2,100,'Slows target by 38.5%',1,1),
(122750,160126,2,100,'5% chance to dispel when target receives hostile action',1,2),
(122751,160126,2,100,'5% chance to dispel when target takes damage',1,3),
(122752,160126,2,100,'Roots target',0,4),
(122753,160126,2,100,'5% chance to dispel when target takes damage',0,5),
(122754,160126,2,100,'Does not affect Epic targets',0,6),
(122755,160126,2,100,'Resistibility increases against targets higher than level 29.',0,7),
(122756,160126,3,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',0,0),
(122757,160126,3,100,'Slows target by 40.6%',1,1),
(122758,160126,3,100,'5% chance to dispel when target receives hostile action',1,2),
(122759,160126,3,100,'5% chance to dispel when target takes damage',1,3),
(122760,160126,3,100,'Roots target',0,4),
(122761,160126,3,100,'5% chance to dispel when target takes damage',0,5),
(122762,160126,3,100,'Does not affect Epic targets',0,6),
(122763,160126,3,100,'Resistibility increases against targets higher than level 29.',0,7),
(122764,160126,4,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',0,0),
(122765,160126,4,100,'Slows target by 44.6%',1,1),
(122766,160126,4,100,'5% chance to dispel when target receives hostile action',1,2),
(122767,160126,4,100,'5% chance to dispel when target takes damage',1,3),
(122768,160126,4,100,'Roots target',0,4),
(122769,160126,4,100,'5% chance to dispel when target takes damage',0,5),
(122770,160126,4,100,'Does not affect Epic targets',0,6),
(122771,160126,4,100,'Resistibility increases against targets higher than level 29.',0,7),
(122772,160126,5,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',0,0),
(122773,160126,5,100,'Slows target by 48.7%',1,1),
(122774,160126,5,100,'5% chance to dispel when target receives hostile action',1,2),
(122775,160126,5,100,'5% chance to dispel when target takes damage',1,3),
(122776,160126,5,100,'Roots target',0,4),
(122777,160126,5,100,'5% chance to dispel when target takes damage',0,5),
(122778,160126,5,100,'Does not affect Epic targets',0,6),
(122779,160126,5,100,'Resistibility increases against targets higher than level 29.',0,7),
(122780,160126,7,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',0,0),
(122781,160126,7,100,'Slows target by 62.5%',1,1),
(122782,160126,7,100,'5% chance to dispel when target receives hostile action',1,2),
(122783,160126,7,100,'5% chance to dispel when target takes damage',1,3),
(122784,160126,7,100,'Roots target',0,4),
(122785,160126,7,100,'5% chance to dispel when target takes damage',0,5),
(122786,160126,7,100,'Does not affect Epic targets',0,6),
(122787,160126,7,100,'Resistibility increases against targets higher than level 29.',0,7),
(122788,160126,9,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',0,0),
(122789,160126,9,100,'Slows target by 64.9%',1,1),
(122790,160126,9,100,'5% chance to dispel when target receives hostile action',1,2),
(122791,160126,9,100,'5% chance to dispel when target takes damage',1,3),
(122792,160126,9,100,'Roots target',0,4),
(122793,160126,9,100,'5% chance to dispel when target takes damage',0,5),
(122794,160126,9,100,'Does not affect Epic targets',0,6),
(122795,160126,9,100,'Resistibility increases against targets higher than level 29.',0,7),
(122796,160127,1,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',0,0),
(122797,160127,1,100,'Slows target by 36.9%',1,1),
(122798,160127,1,100,'5% chance to dispel when target receives hostile action',1,2),
(122799,160127,1,100,'5% chance to dispel when target takes damage',1,3),
(122800,160127,1,100,'Roots target',0,4),
(122801,160127,1,100,'5% chance to dispel when target takes damage',0,5),
(122802,160127,1,100,'Does not affect Epic targets',0,6),
(122803,160127,1,100,'Resistibility increases against targets higher than level 29.',0,7),
(122804,160127,2,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',0,0),
(122805,160127,2,100,'Slows target by 39.0%',1,1),
(122806,160127,2,100,'5% chance to dispel when target receives hostile action',1,2),
(122807,160127,2,100,'5% chance to dispel when target takes damage',1,3),
(122808,160127,2,100,'Roots target',0,4),
(122809,160127,2,100,'5% chance to dispel when target takes damage',0,5),
(122810,160127,2,100,'Does not affect Epic targets',0,6),
(122811,160127,2,100,'Resistibility increases against targets higher than level 29.',0,7),
(122812,160127,3,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',0,0),
(122813,160127,3,100,'Slows target by 41.0%',1,1),
(122814,160127,3,100,'5% chance to dispel when target receives hostile action',1,2),
(122815,160127,3,100,'5% chance to dispel when target takes damage',1,3),
(122816,160127,3,100,'Roots target',0,4),
(122817,160127,3,100,'5% chance to dispel when target takes damage',0,5),
(122818,160127,3,100,'Does not affect Epic targets',0,6),
(122819,160127,3,100,'Resistibility increases against targets higher than level 29.',0,7),
(122820,160127,4,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',0,0),
(122821,160127,4,100,'Slows target by 45.1%',1,1),
(122822,160127,4,100,'5% chance to dispel when target receives hostile action',1,2),
(122823,160127,4,100,'5% chance to dispel when target takes damage',1,3),
(122824,160127,4,100,'Roots target',0,4),
(122825,160127,4,100,'5% chance to dispel when target takes damage',0,5),
(122826,160127,4,100,'Does not affect Epic targets',0,6),
(122827,160127,4,100,'Resistibility increases against targets higher than level 29.',0,7),
(122828,160127,5,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',0,0),
(122829,160127,5,100,'Slows target by 49.2%',1,1),
(122830,160127,5,100,'5% chance to dispel when target receives hostile action',1,2),
(122831,160127,5,100,'5% chance to dispel when target takes damage',1,3),
(122832,160127,5,100,'Roots target',0,4),
(122833,160127,5,100,'5% chance to dispel when target takes damage',0,5),
(122834,160127,5,100,'Does not affect Epic targets',0,6),
(122835,160127,5,100,'Resistibility increases against targets higher than level 29.',0,7),
(122836,160127,7,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',0,0),
(122837,160127,7,100,'Slows target by 63.2%',1,1),
(122838,160127,7,100,'5% chance to dispel when target receives hostile action',1,2),
(122839,160127,7,100,'5% chance to dispel when target takes damage',1,3),
(122840,160127,7,100,'Roots target',0,4),
(122841,160127,7,100,'5% chance to dispel when target takes damage',0,5),
(122842,160127,7,100,'Does not affect Epic targets',0,6),
(122843,160127,7,100,'Resistibility increases against targets higher than level 29.',0,7),
(122844,160127,9,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',0,0),
(122845,160127,9,100,'Slows target by 65.7%',1,1),
(122846,160127,9,100,'5% chance to dispel when target receives hostile action',1,2),
(122847,160127,9,100,'5% chance to dispel when target takes damage',1,3),
(122848,160127,9,100,'Roots target',0,4),
(122849,160127,9,100,'5% chance to dispel when target takes damage',0,5),
(122850,160127,9,100,'Does not affect Epic targets',0,6),
(122851,160127,9,100,'Resistibility increases against targets higher than level 29.',0,7),
(122852,160128,1,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',0,0),
(122853,160128,1,100,'Slows target by 37.3%',1,1),
(122854,160128,1,100,'5% chance to dispel when target receives hostile action',1,2),
(122855,160128,1,100,'5% chance to dispel when target takes damage',1,3),
(122856,160128,1,100,'Roots target',0,4),
(122857,160128,1,100,'5% chance to dispel when target takes damage',0,5),
(122858,160128,1,100,'Does not affect Epic targets',0,6),
(122859,160128,1,100,'Resistibility increases against targets higher than level 29.',0,7),
(122860,160128,4,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',0,0),
(122861,160128,4,100,'Slows target by 45.6%',1,1),
(122862,160128,4,100,'5% chance to dispel when target receives hostile action',1,2),
(122863,160128,4,100,'5% chance to dispel when target takes damage',1,3),
(122864,160128,4,100,'Roots target',0,4),
(122865,160128,4,100,'5% chance to dispel when target takes damage',0,5),
(122866,160128,4,100,'Does not affect Epic targets',0,6),
(122867,160128,4,100,'Resistibility increases against targets higher than level 29.',0,7),
(122868,160128,5,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',0,0),
(122869,160128,5,100,'Slows target by 49.7%',1,1),
(122870,160128,5,100,'5% chance to dispel when target receives hostile action',1,2),
(122871,160128,5,100,'5% chance to dispel when target takes damage',1,3),
(122872,160128,5,100,'Roots target',0,4),
(122873,160128,5,100,'5% chance to dispel when target takes damage',0,5),
(122874,160128,5,100,'Does not affect Epic targets',0,6),
(122875,160128,5,100,'Resistibility increases against targets higher than level 29.',0,7),
(122876,160128,7,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',0,0),
(122877,160128,7,100,'Slows target by 63.8%',1,1),
(122878,160128,7,100,'5% chance to dispel when target receives hostile action',1,2),
(122879,160128,7,100,'5% chance to dispel when target takes damage',1,3),
(122880,160128,7,100,'Roots target',0,4),
(122881,160128,7,100,'5% chance to dispel when target takes damage',0,5),
(122882,160128,7,100,'Does not affect Epic targets',0,6),
(122883,160128,7,100,'Resistibility increases against targets higher than level 29.',0,7),
(122884,160128,9,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',0,0),
(122885,160128,9,100,'Slows target by 66.3%',1,1),
(122886,160128,9,100,'5% chance to dispel when target receives hostile action',1,2),
(122887,160128,9,100,'5% chance to dispel when target takes damage',1,3),
(122888,160128,9,100,'Roots target',0,4),
(122889,160128,9,100,'5% chance to dispel when target takes damage',0,5),
(122890,160128,9,100,'Does not affect Epic targets',0,6),
(122891,160128,9,100,'Resistibility increases against targets higher than level 29.',0,7),
(122892,2000610,1,100,'Increases elemental, noxious and arcane damage done to target by 15%',0,0),
(122893,2000610,1,100,'If Target is not Epic',1,1),
(122894,2000610,1,100,'Increases elemental, noxious and arcane damage done to target by 5%',0,2),
(122895,2000610,1,100,'If Target is Epic',1,3),
(122896,2000610,1,100,'Inflicts 2 - 3 disease damage on target',0,4),
(122897,2000610,2,100,'Increases elemental, noxious and arcane damage done to target by 15%',0,0),
(122898,2000610,2,100,'If Target is not Epic',1,1),
(122899,2000610,2,100,'Increases elemental, noxious and arcane damage done to target by 5%',0,2),
(122900,2000610,2,100,'If Target is Epic',1,3),
(122901,2000610,2,100,'Inflicts 2 - 3 disease damage on target',0,4),
(122902,2000610,3,100,'Increases elemental, noxious and arcane damage done to target by 15%',0,0),
(122903,2000610,3,100,'If Target is not Epic',1,1),
(122904,2000610,3,100,'Increases elemental, noxious and arcane damage done to target by 5%',0,2),
(122905,2000610,3,100,'If Target is Epic',1,3),
(122906,2000610,3,100,'Inflicts 2 - 3 disease damage on target',0,4),
(122907,350026,1,100,'Increases STR, AGI, and STA of group members (AE) by 8.1',0,0),
(122908,350026,2,100,'Increases STR, AGI, and STA of group members (AE) by 8.6',0,0),
(122909,350026,3,100,'Increases STR, AGI, and STA of group members (AE) by 9.0',0,0),
(122910,350026,4,100,'Increases STR, AGI, and STA of group members (AE) by 9.9',0,0),
(122911,350026,5,100,'Increases STR, AGI, and STA of group members (AE) by 10.8',0,0),
(122912,350026,7,100,'Increases STR, AGI, and STA of group members (AE) by 13.9',0,0),
(122913,350026,9,100,'Increases STR, AGI, and STA of group members (AE) by 14.4',0,0),
(122914,2000611,1,100,'Inflicts 1 - 2 crushing damage on target',0,0),
(122915,2000611,1,100,'Stuns target',0,1),
(122916,2000611,1,100,'Epic targets gain an immunity to Stun effects of 5.6 seconds and duration is reduced to 0.6 seconds.',0,2),
(122917,2000611,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(122918,2000612,1,100,'Increases speed of caster by 270.0%',0,0),
(122919,2000612,1,100,'This effect cancels during combat',0,1),
(122920,260157,1,100,'Increases INT and WIS of group members (AE) by 9.4',0,0),
(122921,260157,1,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 60',0,1),
(122922,260157,2,100,'Increases INT and WIS of group members (AE) by 9.9',0,0),
(122923,260157,2,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 63',0,1),
(122924,260157,3,100,'Increases INT and WIS of group members (AE) by 10.4',0,0),
(122925,260157,3,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 66',0,1),
(122926,260157,4,100,'Increases INT and WIS of group members (AE) by 11.4',0,0),
(122927,260157,4,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 73',0,1),
(122928,260157,5,100,'Increases INT and WIS of group members (AE) by 12.5',0,0),
(122929,260157,5,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 79',0,1),
(122930,260157,7,100,'Increases INT and WIS of group members (AE) by 16.0',0,0),
(122931,260157,7,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 102',0,1),
(122932,260157,9,100,'Increases INT and WIS of group members (AE) by 16.6',0,0),
(122933,260157,9,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 106',0,1),
(122934,260158,1,100,'Increases INT and WIS of group members (AE) by 18.2',0,0),
(122935,260158,1,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 129',0,1),
(122936,260158,2,100,'Increases INT and WIS of group members (AE) by 19.2',0,0),
(122937,260158,2,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 136',0,1),
(122938,260158,3,100,'Increases INT and WIS of group members (AE) by 20.2',0,0),
(122939,260158,3,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 144',0,1),
(122940,260158,4,100,'Increases INT and WIS of group members (AE) by 22.2',0,0),
(122941,260158,4,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 158',0,1),
(122942,260158,5,100,'Increases INT and WIS of group members (AE) by 24.2',0,0),
(122943,260158,5,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 172',0,1),
(122944,260158,7,100,'Increases INT and WIS of group members (AE) by 31.1',0,0),
(122945,260158,7,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 221',0,1),
(122946,260158,9,100,'Increases INT and WIS of group members (AE) by 32.3',0,0),
(122947,260158,9,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 230',0,1),
(122948,260159,1,100,'Increases INT and WIS of group members (AE) by 27.9',0,0),
(122949,260159,1,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 199',0,1),
(122950,260159,2,100,'Increases INT and WIS of group members (AE) by 29.4',0,0),
(122951,260159,2,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 210',0,1),
(122952,260159,3,100,'Increases INT and WIS of group members (AE) by 31.0',0,0),
(122953,260159,3,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 221',0,1),
(122954,260159,4,100,'Increases INT and WIS of group members (AE) by 34.1',0,0),
(122955,260159,4,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 243',0,1),
(122956,260159,5,100,'Increases INT and WIS of group members (AE) by 37.2',0,0),
(122957,260159,5,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 265',0,1),
(122958,260159,7,100,'Increases INT and WIS of group members (AE) by 47.7',0,0),
(122959,260159,7,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 340',0,1),
(122960,260159,9,100,'Increases INT and WIS of group members (AE) by 49.6',0,0),
(122961,260159,9,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 353',0,1),
(122962,260159,10,100,'Increases INT and WIS of group members (AE) by 52.1',0,0),
(122963,260159,10,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 371',0,1),
(122964,260160,1,100,'Increases INT and WIS of group members (AE) by 38.0',0,0),
(122965,260160,1,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 268',0,1),
(122966,260160,2,100,'Increases INT and WIS of group members (AE) by 40.1',0,0),
(122967,260160,2,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 283',0,1),
(122968,260160,3,100,'Increases INT and WIS of group members (AE) by 42.2',0,0),
(122969,260160,3,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 298',0,1),
(122970,260160,4,100,'Increases INT and WIS of group members (AE) by 46.4',0,0),
(122971,260160,4,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 328',0,1),
(122972,260160,5,100,'Increases INT and WIS of group members (AE) by 50.6',0,0),
(122973,260160,5,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 358',0,1),
(122974,260160,7,100,'Increases INT and WIS of group members (AE) by 65.0',0,0),
(122975,260160,7,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 459',0,1),
(122976,260160,9,100,'Increases INT and WIS of group members (AE) by 67.5',0,0),
(122977,260160,9,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 477',0,1),
(122978,260160,10,100,'Increases INT and WIS of group members (AE) by 70.9',0,0),
(122979,260160,10,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 501',0,1),
(122980,260161,1,100,'Increases INT and WIS of group members (AE) by 48.1',0,0),
(122981,260161,1,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 338',0,1),
(122982,260161,2,100,'Increases INT and WIS of group members (AE) by 50.7',0,0),
(122983,260161,2,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 357',0,1),
(122984,260161,3,100,'Increases INT and WIS of group members (AE) by 53.4',0,0),
(122985,260161,3,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 375',0,1),
(122986,260161,4,100,'Increases INT and WIS of group members (AE) by 58.7',0,0),
(122987,260161,4,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 413',0,1),
(122988,260161,5,100,'Increases INT and WIS of group members (AE) by 64.1',0,0),
(122989,260161,5,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 450',0,1),
(122990,260161,7,100,'Increases INT and WIS of group members (AE) by 82.2',0,0),
(122991,260161,7,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 578',0,1),
(122992,260161,9,100,'Increases INT and WIS of group members (AE) by 85.4',0,0),
(122993,260161,9,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 601',0,1),
(122994,260162,1,100,'Increases INT and WIS of group members (AE) by 58.4',0,0),
(122995,260162,1,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 392',0,1),
(122996,260162,2,100,'Increases INT and WIS of group members (AE) by 61.7',0,0),
(122997,260162,2,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 414',0,1),
(122998,260162,3,100,'Increases INT and WIS of group members (AE) by 64.9',0,0),
(122999,260162,3,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 436',0,1),
(123000,260162,4,100,'Increases INT and WIS of group members (AE) by 71.4',0,0),
(123001,260162,4,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 480',0,1),
(123002,260162,5,100,'Increases INT and WIS of group members (AE) by 77.9',0,0),
(123003,260162,5,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 523',0,1),
(123004,260162,7,100,'Increases INT and WIS of group members (AE) by 99.9',0,0),
(123005,260162,7,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 672',0,1),
(123006,260162,9,100,'Increases INT and WIS of group members (AE) by 103.8',0,0),
(123007,260162,9,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 698',0,1),
(123008,260163,1,100,'Increases INT and WIS of group members (AE) by 68.3',0,0),
(123009,260163,1,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 442',0,1),
(123010,260163,4,100,'Increases INT and WIS of group members (AE) by 83.5',0,0),
(123011,260163,4,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 540',0,1),
(123012,260163,5,100,'Increases INT and WIS of group members (AE) by 91.1',0,0),
(123013,260163,5,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 590',0,1),
(123014,260163,7,100,'Increases INT and WIS of group members (AE) by 116.9',0,0),
(123015,260163,7,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 757',0,1),
(123016,260163,9,100,'Increases INT and WIS of group members (AE) by 121.4',0,0),
(123017,260163,9,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 786',0,1),
(123018,260164,1,100,'Increases INT and WIS of group members (AE) by 78.2',0,0),
(123019,260164,1,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 492',0,1),
(123020,260164,4,100,'Increases INT and WIS of group members (AE) by 95.6',0,0),
(123021,260164,4,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 601',0,1),
(123022,260164,5,100,'Increases INT and WIS of group members (AE) by 104.3',0,0),
(123023,260164,5,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 656',0,1),
(123024,260164,7,100,'Increases INT and WIS of group members (AE) by 133.8',0,0),
(123025,260164,7,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 842',0,1),
(123026,260164,9,100,'Increases INT and WIS of group members (AE) by 139.0',0,0),
(123027,260164,9,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 874',0,1),
(123028,2000613,1,100,'This effect does not stack with Percussion of Stone.',0,0),
(123029,2000613,1,100,'When any physical damage is received this spell has a 2% chance to cast Runes of Geomancy on target.  Lasts for 1 minute.  ',0,1),
(123030,2000613,1,100,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',1,2),
(123031,2000613,2,100,'This effect does not stack with Percussion of Stone.',0,0),
(123032,2000613,2,100,'When any physical damage is received this spell has a 4% chance to cast Runes of Geomancy on target.  Lasts for 1 minute.  ',0,1),
(123033,2000613,2,100,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',1,2),
(123034,2000613,3,100,'This effect does not stack with Percussion of Stone.',0,0),
(123035,2000613,3,100,'When any physical damage is received this spell has a 6% chance to cast Runes of Geomancy on target.  Lasts for 1 minute.  ',0,1),
(123036,2000613,3,100,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',1,2),
(123037,2000613,4,100,'This effect does not stack with Percussion of Stone.',0,0),
(123038,2000613,4,100,'When any physical damage is received this spell has a 8% chance to cast Runes of Geomancy on target.  Lasts for 1 minute.  ',0,1),
(123039,2000613,4,100,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',1,2),
(123040,2000613,5,100,'This effect does not stack with Percussion of Stone.',0,0),
(123041,2000613,5,100,'When any physical damage is received this spell has a 10% chance to cast Runes of Geomancy on target.  Lasts for 1 minute.  ',0,1),
(123042,2000613,5,100,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',1,2),
(123043,190127,1,100,'Wards group members (AE) against 4 points of physical damage',0,0),
(123044,190127,1,100,'Increases Mitigation of group members (AE) vs physical damage by 93',0,1),
(123045,190127,1,100,'If not fighter',1,2),
(123046,190127,2,100,'Wards group members (AE) against 4 points of physical damage',0,0),
(123047,190127,2,100,'Increases Mitigation of group members (AE) vs physical damage by 98',0,1),
(123048,190127,2,100,'If not fighter',1,2),
(123049,190127,3,100,'Wards group members (AE) against 5 points of physical damage',0,0),
(123050,190127,3,100,'Increases Mitigation of group members (AE) vs physical damage by 103',0,1),
(123051,190127,3,100,'If not fighter',1,2),
(123052,190127,4,100,'Wards group members (AE) against 5 points of physical damage',0,0),
(123053,190127,4,100,'Increases Mitigation of group members (AE) vs physical damage by 114',0,1),
(123054,190127,4,100,'If not fighter',1,2),
(123055,190127,5,100,'Wards group members (AE) against 6 points of physical damage',0,0),
(123056,190127,5,100,'Increases Mitigation of group members (AE) vs physical damage by 124',0,1),
(123057,190127,5,100,'If not fighter',1,2),
(123058,190127,7,100,'Wards group members (AE) against 7 points of physical damage',0,0),
(123059,190127,7,100,'Increases Mitigation of group members (AE) vs physical damage by 159',0,1),
(123060,190127,7,100,'If not fighter',1,2),
(123061,190127,9,100,'Wards group members (AE) against 8 points of physical damage',0,0),
(123062,190127,9,100,'Increases Mitigation of group members (AE) vs physical damage by 166',0,1),
(123063,190127,9,100,'If not fighter',1,2),
(123064,190128,1,100,'Wards group members (AE) against 17 points of physical damage',0,0),
(123065,190128,1,100,'Increases Mitigation of group members (AE) vs physical damage by 201',0,1),
(123066,190128,1,100,'If not fighter',1,2),
(123067,190128,2,100,'Wards group members (AE) against 18 points of physical damage',0,0),
(123068,190128,2,100,'Increases Mitigation of group members (AE) vs physical damage by 212',0,1),
(123069,190128,2,100,'If not fighter',1,2),
(123070,190128,3,100,'Wards group members (AE) against 19 points of physical damage',0,0),
(123071,190128,3,100,'Increases Mitigation of group members (AE) vs physical damage by 223',0,1),
(123072,190128,3,100,'If not fighter',1,2),
(123073,190128,4,100,'Wards group members (AE) against 20 points of physical damage',0,0),
(123074,190128,4,100,'Increases Mitigation of group members (AE) vs physical damage by 245',0,1),
(123075,190128,4,100,'If not fighter',1,2),
(123076,190128,5,100,'Wards group members (AE) against 22 points of physical damage',0,0),
(123077,190128,5,100,'Increases Mitigation of group members (AE) vs physical damage by 267',0,1),
(123078,190128,5,100,'If not fighter',1,2),
(123079,190128,7,100,'Wards group members (AE) against 29 points of physical damage',0,0),
(123080,190128,7,100,'Increases Mitigation of group members (AE) vs physical damage by 343',0,1),
(123081,190128,7,100,'If not fighter',1,2),
(123082,190128,9,100,'Wards group members (AE) against 30 points of physical damage',0,0),
(123083,190128,9,100,'Increases Mitigation of group members (AE) vs physical damage by 357',0,1),
(123084,190128,9,100,'If not fighter',1,2),
(123085,190129,1,100,'Wards group members (AE) against 32 points of physical damage',0,0),
(123086,190129,1,100,'Increases Mitigation of group members (AE) vs physical damage by 342',0,1),
(123087,190129,1,100,'If not fighter',1,2),
(123088,190129,2,100,'Wards group members (AE) against 33 points of physical damage',0,0),
(123089,190129,2,100,'Increases Mitigation of group members (AE) vs physical damage by 361',0,1),
(123090,190129,2,100,'If not fighter',1,2),
(123091,190129,3,100,'Wards group members (AE) against 35 points of physical damage',0,0),
(123092,190129,3,100,'Increases Mitigation of group members (AE) vs physical damage by 380',0,1),
(123093,190129,3,100,'If not fighter',1,2),
(123094,190129,4,100,'Wards group members (AE) against 39 points of physical damage',0,0),
(123095,190129,4,100,'Increases Mitigation of group members (AE) vs physical damage by 417',0,1),
(123096,190129,4,100,'If not fighter',1,2),
(123097,190129,5,100,'Wards group members (AE) against 42 points of physical damage',0,0),
(123098,190129,5,100,'Increases Mitigation of group members (AE) vs physical damage by 455',0,1),
(123099,190129,5,100,'If not fighter',1,2),
(123100,190129,7,100,'Wards group members (AE) against 54 points of physical damage',0,0),
(123101,190129,7,100,'Increases Mitigation of group members (AE) vs physical damage by 584',0,1),
(123102,190129,7,100,'If not fighter',1,2),
(123103,190129,9,100,'Wards group members (AE) against 56 points of physical damage',0,0),
(123104,190129,9,100,'Increases Mitigation of group members (AE) vs physical damage by 607',0,1),
(123105,190129,9,100,'If not fighter',1,2),
(123106,190129,10,100,'Wards group members (AE) against 59 points of physical damage',0,0),
(123107,190129,10,100,'Increases Mitigation of group members (AE) vs physical damage by 638',0,1),
(123108,190129,10,100,'If not fighter',1,2),
(123109,190130,1,100,'Wards group members (AE) against 49 points of physical damage',0,0),
(123110,190130,1,100,'Increases Mitigation of group members (AE) vs physical damage by 486',0,1),
(123111,190130,1,100,'If not fighter',1,2),
(123112,190130,2,100,'Wards group members (AE) against 51 points of physical damage',0,0),
(123113,190130,2,100,'Increases Mitigation of group members (AE) vs physical damage by 513',0,1),
(123114,190130,2,100,'If not fighter',1,2),
(123115,190130,3,100,'Wards group members (AE) against 54 points of physical damage',0,0),
(123116,190130,3,100,'Increases Mitigation of group members (AE) vs physical damage by 541',0,1),
(123117,190130,3,100,'If not fighter',1,2),
(123118,190130,4,100,'Wards group members (AE) against 59 points of physical damage',0,0),
(123119,190130,4,100,'Increases Mitigation of group members (AE) vs physical damage by 595',0,1),
(123120,190130,4,100,'If not fighter',1,2),
(123121,190130,5,100,'Wards group members (AE) against 65 points of physical damage',0,0),
(123122,190130,5,100,'Increases Mitigation of group members (AE) vs physical damage by 649',0,1),
(123123,190130,5,100,'If not fighter',1,2),
(123124,190130,7,100,'Wards group members (AE) against 83 points of physical damage',0,0),
(123125,190130,7,100,'Increases Mitigation of group members (AE) vs physical damage by 832',0,1),
(123126,190130,7,100,'If not fighter',1,2),
(123127,190130,9,100,'Wards group members (AE) against 87 points of physical damage',0,0),
(123128,190130,9,100,'Increases Mitigation of group members (AE) vs physical damage by 865',0,1),
(123129,190130,9,100,'If not fighter',1,2),
(123130,190131,1,100,'Wards group members (AE) against 67 points of physical damage',0,0),
(123131,190131,1,100,'Increases Mitigation of group members (AE) vs physical damage by 631',0,1),
(123132,190131,1,100,'If not fighter',1,2),
(123133,190131,2,100,'Wards group members (AE) against 71 points of physical damage',0,0),
(123134,190131,2,100,'Increases Mitigation of group members (AE) vs physical damage by 666',0,1),
(123135,190131,2,100,'If not fighter',1,2),
(123136,190131,3,100,'Wards group members (AE) against 75 points of physical damage',0,0),
(123137,190131,3,100,'Increases Mitigation of group members (AE) vs physical damage by 702',0,1),
(123138,190131,3,100,'If not fighter',1,2),
(123139,190131,4,100,'Wards group members (AE) against 83 points of physical damage',0,0),
(123140,190131,4,100,'Increases Mitigation of group members (AE) vs physical damage by 772',0,1),
(123141,190131,4,100,'If not fighter',1,2),
(123142,190131,5,100,'Wards group members (AE) against 90 points of physical damage',0,0),
(123143,190131,5,100,'Increases Mitigation of group members (AE) vs physical damage by 842',0,1),
(123144,190131,5,100,'If not fighter',1,2),
(123145,190131,7,100,'Wards group members (AE) against 116 points of physical damage',0,0),
(123146,190131,7,100,'Increases Mitigation of group members (AE) vs physical damage by 1080',0,1),
(123147,190131,7,100,'If not fighter',1,2),
(123148,190131,9,100,'Wards group members (AE) against 120 points of physical damage',0,0),
(123149,190131,9,100,'Increases Mitigation of group members (AE) vs physical damage by 1122',0,1),
(123150,190131,9,100,'If not fighter',1,2),
(123151,190132,1,100,'Wards group members (AE) against 85 points of physical damage',0,0),
(123152,190132,1,100,'Increases Mitigation of group members (AE) vs physical damage by 804',0,1),
(123153,190132,1,100,'If not fighter',1,2),
(123154,190132,2,100,'Wards group members (AE) against 90 points of physical damage',0,0),
(123155,190132,2,100,'Increases Mitigation of group members (AE) vs physical damage by 849',0,1),
(123156,190132,2,100,'If not fighter',1,2),
(123157,190132,3,100,'Wards group members (AE) against 95 points of physical damage',0,0),
(123158,190132,3,100,'Increases Mitigation of group members (AE) vs physical damage by 894',0,1),
(123159,190132,3,100,'If not fighter',1,2),
(123160,190132,4,100,'Wards group members (AE) against 104 points of physical damage',0,0),
(123161,190132,4,100,'Increases Mitigation of group members (AE) vs physical damage by 983',0,1),
(123162,190132,4,100,'If not fighter',1,2),
(123163,190132,5,100,'Wards group members (AE) against 114 points of physical damage',0,0),
(123164,190132,5,100,'Increases Mitigation of group members (AE) vs physical damage by 1072',0,1),
(123165,190132,5,100,'If not fighter',1,2),
(123166,190132,7,100,'Wards group members (AE) against 146 points of physical damage',0,0),
(123167,190132,7,100,'Increases Mitigation of group members (AE) vs physical damage by 1376',0,1),
(123168,190132,7,100,'If not fighter',1,2),
(123169,190132,9,100,'Wards group members (AE) against 152 points of physical damage',0,0),
(123170,190132,9,100,'Increases Mitigation of group members (AE) vs physical damage by 1430',0,1),
(123171,190132,9,100,'If not fighter',1,2),
(123172,190133,1,100,'Wards group members (AE) against 101 points of physical damage',0,0),
(123173,190133,1,100,'Increases Mitigation of group members (AE) vs physical damage by 930',0,1),
(123174,190133,1,100,'If not fighter',1,2),
(123175,190133,4,100,'Wards group members (AE) against 124 points of physical damage',0,0),
(123176,190133,4,100,'Increases Mitigation of group members (AE) vs physical damage by 1137',0,1),
(123177,190133,4,100,'If not fighter',1,2),
(123178,190133,5,100,'Wards group members (AE) against 135 points of physical damage',0,0),
(123179,190133,5,100,'Increases Mitigation of group members (AE) vs physical damage by 1240',0,1),
(123180,190133,5,100,'If not fighter',1,2),
(123181,190133,7,100,'Wards group members (AE) against 173 points of physical damage',0,0),
(123182,190133,7,100,'Increases Mitigation of group members (AE) vs physical damage by 1592',0,1),
(123183,190133,7,100,'If not fighter',1,2),
(123184,190133,9,100,'Wards group members (AE) against 180 points of physical damage',0,0),
(123185,190133,9,100,'Increases Mitigation of group members (AE) vs physical damage by 1654',0,1),
(123186,190133,9,100,'If not fighter',1,2),
(123187,190133,10,100,'Wards group members (AE) against 189 points of physical damage',0,0),
(123188,190133,10,100,'Increases Mitigation of group members (AE) vs physical damage by 1736',0,1),
(123189,190133,10,100,'If not fighter',1,2),
(123190,190134,1,100,'Wards group members (AE) against 116 points of physical damage',0,0),
(123191,190134,1,100,'Increases Max Health of group members (AE) by 10.8%',0,1),
(123192,190134,1,100,'If fighter',1,2),
(123193,190134,1,100,'Increases Mitigation of group members (AE) vs physical damage by 1070',0,3),
(123194,190134,1,100,'If not fighter',1,4),
(123195,190134,4,100,'Wards group members (AE) against 142 points of physical damage',0,0),
(123196,190134,4,100,'Increases Max Health of group members (AE) by 13.2%',0,1),
(123197,190134,4,100,'If fighter',1,2),
(123198,190134,4,100,'Increases Mitigation of group members (AE) vs physical damage by 1308',0,3),
(123199,190134,4,100,'If not fighter',1,4),
(123200,190134,5,100,'Wards group members (AE) against 155 points of physical damage',0,0),
(123201,190134,5,100,'Increases Max Health of group members (AE) by 14.4%',0,1),
(123202,190134,5,100,'If fighter',1,2),
(123203,190134,5,100,'Increases Mitigation of group members (AE) vs physical damage by 1427',0,3),
(123204,190134,5,100,'If not fighter',1,4),
(123205,190134,7,100,'Wards group members (AE) against 198 points of physical damage',0,0),
(123206,190134,7,100,'Increases Max Health of group members (AE) by 18.5%',0,1),
(123207,190134,7,100,'If fighter',1,2),
(123208,190134,7,100,'Increases Mitigation of group members (AE) vs physical damage by 1831',0,3),
(123209,190134,7,100,'If not fighter',1,4),
(123210,190134,9,100,'Wards group members (AE) against 206 points of physical damage',0,0),
(123211,190134,9,100,'Increases Max Health of group members (AE) by 19.2%',0,1),
(123212,190134,9,100,'If fighter',1,2),
(123213,190134,9,100,'Increases Mitigation of group members (AE) vs physical damage by 1903',0,3),
(123214,190134,9,100,'If not fighter',1,4),
(123215,190134,10,100,'Wards group members (AE) against 217 points of physical damage',0,0),
(123216,190134,10,100,'Increases Max Health of group members (AE) by 20.2%',0,1),
(123217,190134,10,100,'If fighter',1,2),
(123218,190134,10,100,'Increases Mitigation of group members (AE) vs physical damage by 1998',0,3),
(123219,190134,10,100,'If not fighter',1,4),
(123220,140170,1,100,'Increases Max Health of group members (AE) by 21.6',0,0),
(123221,140170,1,100,'Increases Mitigation of group members (AE) vs physical damage by 93',0,1),
(123222,140170,1,100,'Increases Mitigation of group members (AE) vs physical damage by 93',0,2),
(123223,140170,1,100,'If not fighter',1,3),
(123225,140170,2,100,'Increases Max Health of group members (AE) by 22.8',0,0),
(123226,140170,2,100,'Increases Mitigation of group members (AE) vs physical damage by 98',0,1),
(123227,140170,2,100,'Increases Mitigation of group members (AE) vs physical damage by 98',0,2),
(123228,140170,2,100,'If not fighter',1,3),
(123230,140170,3,100,'Increases Max Health of group members (AE) by 24.0',0,0),
(123231,140170,3,100,'Increases Mitigation of group members (AE) vs physical damage by 103',0,1),
(123232,140170,3,100,'Increases Mitigation of group members (AE) vs physical damage by 103',0,2),
(123233,140170,3,100,'If not fighter',1,3),
(123235,140170,4,100,'Increases Max Health of group members (AE) by 26.4',0,0),
(123236,140170,4,100,'Increases Mitigation of group members (AE) vs physical damage by 114',0,1),
(123237,140170,4,100,'Increases Mitigation of group members (AE) vs physical damage by 114',0,2),
(123238,140170,4,100,'If not fighter',1,3),
(123240,140170,5,100,'Increases Max Health of group members (AE) by 28.8',0,0),
(123241,140170,5,100,'Increases Mitigation of group members (AE) vs physical damage by 124',0,1),
(123242,140170,5,100,'Increases Mitigation of group members (AE) vs physical damage by 124',0,2),
(123243,140170,5,100,'If not fighter',1,3),
(123245,140170,7,100,'Increases Max Health of group members (AE) by 37.0',0,0),
(123246,140170,7,100,'Increases Mitigation of group members (AE) vs physical damage by 159',0,1),
(123247,140170,7,100,'Increases Mitigation of group members (AE) vs physical damage by 145',0,2),
(123248,140170,7,100,'If not fighter',1,3),
(123250,140170,9,100,'Increases Max Health of group members (AE) by 38.4',0,0),
(123251,140170,9,100,'Increases Mitigation of group members (AE) vs physical damage by 166',0,1),
(123252,140170,9,100,'Increases Mitigation of group members (AE) vs physical damage by 166',0,2),
(123253,140170,9,100,'If not fighter',1,3),
(123255,140171,1,100,'Increases Max Health of group members (AE) by 73.3',0,0),
(123256,140171,1,100,'Increases Mitigation of group members (AE) vs physical damage by 201',0,1),
(123257,140171,1,100,'Increases Mitigation of group members (AE) vs physical damage by 201',0,2),
(123258,140171,1,100,'If not fighter',1,3),
(123260,140171,2,100,'Increases Max Health of group members (AE) by 77.3',0,0),
(123261,140171,2,100,'Increases Mitigation of group members (AE) vs physical damage by 212',0,1),
(123262,140171,2,100,'Increases Mitigation of group members (AE) vs physical damage by 212',0,2),
(123263,140171,2,100,'If not fighter',1,3),
(123265,140171,3,100,'Increases Max Health of group members (AE) by 81.4',0,0),
(123266,140171,3,100,'Increases Mitigation of group members (AE) vs physical damage by 223',0,1),
(123267,140171,3,100,'Increases Mitigation of group members (AE) vs physical damage by 223',0,2),
(123268,140171,3,100,'If not fighter',1,3),
(123270,140171,4,100,'Increases Max Health of group members (AE) by 89.5',0,0),
(123271,140171,4,100,'Increases Mitigation of group members (AE) vs physical damage by 245',0,1),
(123272,140171,4,100,'Increases Mitigation of group members (AE) vs physical damage by 245',0,2),
(123273,140171,4,100,'If not fighter',1,3),
(123275,140171,5,100,'Increases Max Health of group members (AE) by 97.7',0,0),
(123276,140171,5,100,'Increases Mitigation of group members (AE) vs physical damage by 267',0,1),
(123277,140171,5,100,'Increases Mitigation of group members (AE) vs physical damage by 267',0,2),
(123278,140171,5,100,'If not fighter',1,3),
(123280,140171,7,100,'Increases Max Health of group members (AE) by 125.4',0,0),
(123281,140171,7,100,'Increases Mitigation of group members (AE) vs physical damage by 343',0,1),
(123282,140171,7,100,'Increases Mitigation of group members (AE) vs physical damage by 312',0,2),
(123283,140171,7,100,'If not fighter',1,3),
(123285,140171,9,100,'Increases Max Health of group members (AE) by 130.2',0,0),
(123286,140171,9,100,'Increases Mitigation of group members (AE) vs physical damage by 357',0,1),
(123287,140171,9,100,'Increases Mitigation of group members (AE) vs physical damage by 357',0,2),
(123288,140171,9,100,'If not fighter',1,3),
(123290,140172,1,100,'Increases stamina of group members (AE) by 18',0,0),
(123291,140172,1,100,'Increases Mitigation of group members (AE) vs physical damage by 342',0,1),
(123295,140172,2,100,'Increases stamina of group members (AE) by 19',0,0),
(123296,140172,2,100,'Increases Mitigation of group members (AE) vs physical damage by 361',0,1),
(123300,140172,3,100,'Increases stamina of group members (AE) by 20',0,0),
(123302,140172,3,100,'Increases Mitigation of group members (AE) vs physical damage by 380',0,1),
(123305,140172,4,100,'Increases stamina of group members (AE) by 22',0,0),
(123306,140172,4,100,'Increases Mitigation of group members (AE) vs physical damage by 417',0,1),
(123310,140172,5,100,'Increases stamina of group members (AE) by 24',0,0),
(123311,140172,5,100,'Increases Mitigation of group members (AE) vs physical damage by 455',0,1),
(123315,140172,7,100,'Increases stamina of group members (AE) by 29',0,0),
(123316,140172,7,100,'Increases Mitigation of group members (AE) vs physical damage by 584',0,1),
(123320,140172,9,100,'Increases stamina of group members (AE) by 32',0,0),
(123321,140172,9,100,'Increases Mitigation of group members (AE) vs physical damage by 607',0,1),
(123325,140172,10,100,'Increases stamina of group members (AE) by 33',0,0),
(123326,140172,10,100,'Increases Mitigation of group members (AE) vs physical damage by 669',0,1),
(123330,140173,1,100,'Increases stamina of group members (AE) by 28',0,0),
(123335,140173,2,100,'Increases stamina of group members (AE) by 30',0,0),
(123336,140173,2,100,'Increases Mitigation of group members (AE) vs physical damage by 513',0,1),
(123340,140173,3,100,'Increases stamina of group members (AE) by 32',0,0),
(123341,140173,3,100,'Increases Mitigation of group members (AE) vs physical damage by 541',0,1),
(123345,140173,4,100,'Increases stamina of group members (AE) by 35',0,0),
(123346,140173,4,100,'Increases Mitigation of group members (AE) vs physical damage by 595',0,1),
(123350,140173,5,100,'Increases stamina of group members (AE) by 38',0,0),
(123351,140173,5,100,'Increases Mitigation of group members (AE) vs physical damage by 649',0,1),
(123355,140173,7,100,'Increases stamina of group members (AE) by 45',0,0),
(123356,140173,7,100,'Increases Mitigation of group members (AE) vs physical damage by 832',0,1),
(123360,140173,9,100,'Increases stamina of group members (AE) by 51',0,0),
(123361,140173,9,100,'Increases Mitigation of group members (AE) vs physical damage by 865',0,1),
(123365,140174,1,100,'Increases Max Health of group members (AE) by 380.8',0,0),
(123366,140174,1,100,'Increases Mitigation of group members (AE) vs physical damage by 631',0,1),
(123367,140174,1,100,'Increases Mitigation of group members (AE) vs physical damage by 631',0,2),
(123368,140174,1,100,'If not fighter',1,3),
(123369,140174,1,100,'Increases the health of fighters in the group by 3.24 for each point of stamina',0,4),
(123370,140174,2,100,'Increases Max Health of group members (AE) by 401.9',0,0),
(123371,140174,2,100,'Increases Mitigation of group members (AE) vs physical damage by 666',0,1),
(123372,140174,2,100,'Increases Mitigation of group members (AE) vs physical damage by 666',0,2),
(123373,140174,2,100,'If not fighter',1,3),
(123374,140174,2,100,'Increases the health of fighters in the group by 3.42 for each point of stamina',0,4),
(123375,140174,3,100,'Increases Max Health of group members (AE) by 423.1',0,0),
(123376,140174,3,100,'Increases Mitigation of group members (AE) vs physical damage by 702',0,1),
(123377,140174,3,100,'Increases Mitigation of group members (AE) vs physical damage by 702',0,2),
(123378,140174,3,100,'If not fighter',1,3),
(123379,140174,3,100,'Increases the health of fighters in the group by 3.6 for each point of stamina',0,4),
(123380,140174,4,100,'Increases Max Health of group members (AE) by 465.4',0,0),
(123381,140174,4,100,'Increases Mitigation of group members (AE) vs physical damage by 772',0,1),
(123382,140174,4,100,'Increases Mitigation of group members (AE) vs physical damage by 772',0,2),
(123383,140174,4,100,'If not fighter',1,3),
(123384,140174,4,100,'Increases the health of fighters in the group by 3.96 for each point of stamina',0,4),
(123385,140174,5,100,'Increases Max Health of group members (AE) by 507.7',0,0),
(123386,140174,5,100,'Increases Mitigation of group members (AE) vs physical damage by 842',0,1),
(123387,140174,5,100,'Increases Mitigation of group members (AE) vs physical damage by 842',0,2),
(123388,140174,5,100,'If not fighter',1,3),
(123389,140174,5,100,'Increases the health of fighters in the group by 4.32 for each point of stamina',0,4),
(123390,140174,7,100,'Increases Max Health of group members (AE) by 651.6',0,0),
(123391,140174,7,100,'Increases Mitigation of group members (AE) vs physical damage by 1080',0,1),
(123392,140174,7,100,'Increases Mitigation of group members (AE) vs physical damage by 982',0,2),
(123393,140174,7,100,'If not fighter',1,3),
(123394,140174,7,100,'Increases the health of fighters in the group by 5.04 for each point of stamina',0,4),
(123395,140174,9,100,'Increases Max Health of group members (AE) by 677.0',0,0),
(123396,140174,9,100,'Increases Mitigation of group members (AE) vs physical damage by 1122',0,1),
(123397,140174,9,100,'Increases Mitigation of group members (AE) vs physical damage by 1122',0,2),
(123398,140174,9,100,'If not fighter',1,3),
(123399,140174,9,100,'Increases the health of fighters in the group by 5.76 for each point of stamina',0,4),
(123400,140175,1,100,'Increases Max Health of group members (AE) by 474.3',0,0),
(123401,140175,1,100,'Increases Mitigation of group members (AE) vs physical damage by 804',0,1),
(123402,140175,1,100,'Increases Mitigation of group members (AE) vs physical damage by 804',0,2),
(123403,140175,1,100,'If not fighter',1,3),
(123404,140175,1,100,'Increases the health of fighters in the group by 3.24 for each point of stamina',0,4),
(123405,140175,2,100,'Increases Max Health of group members (AE) by 500.6',0,0),
(123406,140175,2,100,'Increases Mitigation of group members (AE) vs physical damage by 849',0,1),
(123407,140175,2,100,'Increases Mitigation of group members (AE) vs physical damage by 849',0,2),
(123408,140175,2,100,'If not fighter',1,3),
(123409,140175,2,100,'Increases the health of fighters in the group by 3.42 for each point of stamina',0,4),
(123410,140175,3,100,'Increases Max Health of group members (AE) by 527.0',0,0),
(123411,140175,3,100,'Increases Mitigation of group members (AE) vs physical damage by 894',0,1),
(123412,140175,3,100,'Increases Mitigation of group members (AE) vs physical damage by 894',0,2),
(123413,140175,3,100,'If not fighter',1,3),
(123414,140175,3,100,'Increases the health of fighters in the group by 3.6 for each point of stamina',0,4),
(123415,140175,4,100,'Increases Max Health of group members (AE) by 579.7',0,0),
(123416,140175,4,100,'Increases Mitigation of group members (AE) vs physical damage by 983',0,1),
(123417,140175,4,100,'Increases Mitigation of group members (AE) vs physical damage by 983',0,2),
(123418,140175,4,100,'If not fighter',1,3),
(123419,140175,4,100,'Increases the health of fighters in the group by 3.96 for each point of stamina',0,4),
(123420,140175,5,100,'Increases Max Health of group members (AE) by 632.4',0,0),
(123421,140175,5,100,'Increases Mitigation of group members (AE) vs physical damage by 1072',0,1),
(123422,140175,5,100,'Increases Mitigation of group members (AE) vs physical damage by 1072',0,2),
(123423,140175,5,100,'If not fighter',1,3),
(123424,140175,5,100,'Increases the health of fighters in the group by 4.32 for each point of stamina',0,4),
(123425,140175,7,100,'Increases Max Health of group members (AE) by 811.6',0,0),
(123426,140175,7,100,'Increases Mitigation of group members (AE) vs physical damage by 1376',0,1),
(123427,140175,7,100,'Increases Mitigation of group members (AE) vs physical damage by 1251',0,2),
(123428,140175,7,100,'If not fighter',1,3),
(123429,140175,7,100,'Increases the health of fighters in the group by 5.04 for each point of stamina',0,4),
(123430,140175,9,100,'Increases Max Health of group members (AE) by 843.2',0,0),
(123431,140175,9,100,'Increases Mitigation of group members (AE) vs physical damage by 1430',0,1),
(123432,140175,9,100,'Increases Mitigation of group members (AE) vs physical damage by 1430',0,2),
(123433,140175,9,100,'If not fighter',1,3),
(123434,140175,9,100,'Increases the health of fighters in the group by 5.76 for each point of stamina',0,4),
(123435,140176,1,100,'Increases Max Health of group members (AE) by 564.3',0,0),
(123436,140176,1,100,'Increases Mitigation of group members (AE) vs physical damage by 930',0,1),
(123437,140176,1,100,'Increases Mitigation of group members (AE) vs physical damage by 930',0,2),
(123438,140176,1,100,'If not fighter',1,3),
(123439,140176,1,100,'Increases the health of fighters in the group by 3.24 for each point of stamina',0,4),
(123440,140176,4,100,'Increases Max Health of group members (AE) by 689.7',0,0),
(123441,140176,4,100,'Increases Mitigation of group members (AE) vs physical damage by 1137',0,1),
(123442,140176,4,100,'Increases Mitigation of group members (AE) vs physical damage by 1137',0,2),
(123443,140176,4,100,'If not fighter',1,3),
(123444,140176,4,100,'Increases the health of fighters in the group by 3.96 for each point of stamina',0,4),
(123445,140176,5,100,'Increases Max Health of group members (AE) by 752.4',0,0),
(123446,140176,5,100,'Increases Mitigation of group members (AE) vs physical damage by 1240',0,1),
(123447,140176,5,100,'Increases Mitigation of group members (AE) vs physical damage by 1240',0,2),
(123448,140176,5,100,'If not fighter',1,3),
(123449,140176,5,100,'Increases the health of fighters in the group by 4.32 for each point of stamina',0,4),
(123450,140176,7,100,'Increases Max Health of group members (AE) by 965.6',0,0),
(123451,140176,7,100,'Increases Mitigation of group members (AE) vs physical damage by 1592',0,1),
(123452,140176,7,100,'Increases Mitigation of group members (AE) vs physical damage by 1447',0,2),
(123453,140176,7,100,'If not fighter',1,3),
(123454,140176,7,100,'Increases the health of fighters in the group by 5.04 for each point of stamina',0,4),
(123455,140176,9,100,'Increases Max Health of group members (AE) by 1,003.2',0,0),
(123456,140176,9,100,'Increases Mitigation of group members (AE) vs physical damage by 1654',0,1),
(123457,140176,9,100,'Increases Mitigation of group members (AE) vs physical damage by 1654',0,2),
(123458,140176,9,100,'If not fighter',1,3),
(123459,140176,9,100,'Increases the health of fighters in the group by 5.76 for each point of stamina',0,4),
(123460,140176,10,100,'Increases Max Health of group members (AE) by 1,053.4',0,0),
(123461,140176,10,100,'Increases Mitigation of group members (AE) vs physical damage by 1736',0,1),
(123462,140176,10,100,'Increases Mitigation of group members (AE) vs physical damage by 1705',0,2),
(123463,140176,10,100,'If not fighter',1,3),
(123464,140176,10,100,'Increases the health of fighters in the group by 5.94 for each point of stamina',0,4),
(123465,140177,1,100,'Increases Mitigation of group members (AE) vs physical damage by 1070',0,0),
(123466,140177,1,100,'Increases the health of group members by 3.24 for each point of stamina',0,1),
(123467,140177,1,100,'Increases the health of fighters in the group by 3.24 for each point of stamina',0,2),
(123468,140177,4,100,'Increases Mitigation of group members (AE) vs physical damage by 1308',0,0),
(123469,140177,4,100,'Increases the health of group members by 3.96 for each point of stamina',0,1),
(123470,140177,4,100,'Increases the health of fighters in the group by 3.96 for each point of stamina',0,2),
(123471,140177,5,100,'Increases Mitigation of group members (AE) vs physical damage by 1427',0,0),
(123472,140177,5,100,'Increases the health of group members by 4.32 for each point of stamina',0,1),
(123473,140177,5,100,'Increases the health of fighters in the group by 4.32 for each point of stamina',0,2),
(123474,140177,7,100,'Increases Mitigation of group members (AE) vs physical damage by 1831',0,0),
(123475,140177,7,100,'Increases the health of group members by 5.54 for each point of stamina',0,1),
(123476,140177,7,100,'Increases the health of fighters in the group by 5.04 for each point of stamina',0,2),
(123477,140177,9,100,'Increases Mitigation of group members (AE) vs physical damage by 1903',0,0),
(123478,140177,9,100,'Increases the health of group members by 5.76 for each point of stamina',0,1),
(123479,140177,9,100,'Increases the health of fighters in the group by 5.76 for each point of stamina',0,2),
(123480,140177,10,100,'Increases Mitigation of group members (AE) vs physical damage by 1998',0,0),
(123481,140177,10,100,'Increases the health of group members by 6.05 for each point of stamina',0,1),
(123482,140177,10,100,'Increases the health of fighters in the group by 5.94 for each point of stamina',0,2),
(123483,2000614,1,100,'Applies Sacred Follower to qualifying pets.',0,0),
(123484,2000614,1,100,'Increases STA of target by 17.6',1,1),
(123485,2000614,1,100,'Increases Crit Bonus of target by 2.0%',1,2),
(123486,2000614,1,100,'Target will have their chance to hit with a weapon increased by 3.0%',1,3),
(123487,2000614,1,100,'Increases Multi Attack Chance of target by 6.0',1,4),
(123488,2000614,2,100,'Applies Sacred Follower to qualifying pets.',0,0),
(123489,2000614,2,100,'Increases STA of target by 35.4',1,1),
(123490,2000614,2,100,'Increases Crit Bonus of target by 4.0%',1,2),
(123491,2000614,2,100,'Target will have their chance to hit with a weapon increased by 6.0%',1,3),
(123492,2000614,2,100,'Increases Multi Attack of target by 12.0',1,4),
(123493,2000614,3,100,'Applies Sacred Follower to qualifying pets.',0,0),
(123494,2000614,3,100,'Increases STA of target by 52.8',1,1),
(123495,2000614,3,100,'Increases Crit Bonus of target by 6.0%',1,2),
(123496,2000614,3,100,'Target will have their chance to hit with a weapon increased by 9.0%',1,3),
(123497,2000614,3,100,'Increases Multi Attack Chance of target by 18.0',1,4),
(123498,2000614,4,100,'Applies Sacred Follower to qualifying pets.',0,0),
(123499,2000614,4,100,'Increases STA of target by 70.4',1,1),
(123500,2000614,4,100,'Increases Crit Bonus of target by 8.0%',1,2),
(123501,2000614,4,100,'Target will have their chance to hit with a weapon increased by 12.0%',1,3),
(123502,2000614,4,100,'Increases Multi Attack Chance of target by 24.0',1,4),
(123503,2000614,5,100,'Applies Sacred Follower to qualifying pets.',0,0),
(123504,2000614,5,100,'Increases STA of target by 88.0',1,1),
(123505,2000614,5,100,'Increases Crit Bonus of target by 10.0%',1,2),
(123506,2000614,5,100,'Target will have their chance to hit with a weapon increased by 15.0%',1,3),
(123507,2000614,5,100,'Increases Multi Attack Chance of target by 30.0',1,4),
(123508,290177,1,100,'Applies Sacrifice.',0,0),
(123509,290177,1,100,'Increases power of group members (AE) by 64',1,1),
(123510,290177,1,100,'Heals group members (AE) for 224',1,2),
(123511,290177,1,100,'Stuns target',0,3),
(123512,2000615,1,100,'Transfers the cleric''s health down to 10% to their targeted ally.',0,0),
(123513,2000615,1,100,'Cannot be modified except by direct means',0,1),
(123514,290177,2,100,'Applies Sacrifice.',0,0),
(123515,290177,2,100,'Increases power of group members (AE) by 68',1,1),
(123516,290177,2,100,'Heals group members (AE) for 237',1,2),
(123517,290177,2,100,'Stuns target',0,3),
(123518,290177,3,100,'Applies Sacrifice.',0,0),
(123519,290177,3,100,'Increases power of group members (AE) by 71',1,1),
(123520,290177,3,100,'Heals group members (AE) for 249',1,2),
(123521,290177,3,100,'Stuns target',0,3),
(123522,290177,4,100,'Applies Sacrifice.',0,0),
(123523,290177,4,100,'Increases power of group members (AE) by 78',1,1),
(123524,290177,4,100,'Heals group members (AE) for 274',1,2),
(123525,290177,4,100,'Stuns target',0,3),
(123526,290177,5,100,'Applies Sacrifice.',0,0),
(123527,290177,5,100,'Increases power of group members (AE) by 85',1,1),
(123528,290177,5,100,'Heals group members (AE) for 299',1,2),
(123529,290177,5,100,'Stuns target',0,3),
(123530,290177,7,100,'Applies Sacrifice.',0,0),
(123531,290177,7,100,'Increases power of group members (AE) by 110',1,1),
(123532,290177,7,100,'Heals group members (AE) for 384',1,2),
(123533,290177,7,100,'Stuns target',0,3),
(123534,290177,9,100,'Applies Sacrifice.',0,0),
(123535,290177,9,100,'Increases power of group members (AE) by 114',1,1),
(123536,290177,9,100,'Heals group members (AE) for 399',1,2),
(123537,290177,9,100,'Stuns target',0,3),
(123538,290178,1,100,'Applies Sacrifice.',0,0),
(123539,290178,1,100,'Increases power of group members (AE) by 98',1,1),
(123540,290178,1,100,'Heals group members (AE) for 343',1,2),
(123541,290178,1,100,'Stuns target',0,3),
(123542,290178,2,100,'Applies Sacrifice.',0,0),
(123543,290178,2,100,'Increases power of group members (AE) by 104',1,1),
(123544,290178,2,100,'Heals group members (AE) for 362',1,2),
(123545,290178,2,100,'Stuns target',0,3),
(123546,290178,3,100,'Applies Sacrifice.',0,0),
(123547,290178,3,100,'Increases power of group members (AE) by 109',1,1),
(123548,290178,3,100,'Heals group members (AE) for 382',1,2),
(123549,290178,3,100,'Stuns target',0,3),
(123550,290178,4,100,'Applies Sacrifice.',0,0),
(123551,290178,4,100,'Increases power of group members (AE) by 120',1,1),
(123552,290178,4,100,'Heals group members (AE) for 420',1,2),
(123553,290178,4,100,'Stuns target',0,3),
(123554,290178,5,100,'Applies Sacrifice.',0,0),
(123555,290178,5,100,'Increases power of group members (AE) by 131',1,1),
(123556,290178,5,100,'Heals group members (AE) for 458',1,2),
(123557,290178,5,100,'Stuns target',0,3),
(123558,290178,7,100,'Applies Sacrifice.',0,0),
(123559,290178,7,100,'Increases power of group members (AE) by 168',1,1),
(123560,290178,7,100,'Heals group members (AE) for 588',1,2),
(123561,290178,7,100,'Stuns target',0,3),
(123562,290178,9,100,'Applies Sacrifice.',0,0),
(123563,290178,9,100,'Increases power of group members (AE) by 174',1,1),
(123564,290178,9,100,'Heals group members (AE) for 610',1,2),
(123565,290178,9,100,'Stuns target',0,3),
(123566,290179,1,100,'Applies Sacrifice.',0,0),
(123567,290179,1,100,'Increases power of group members (AE) by 136',1,1),
(123568,290179,1,100,'Heals group members (AE) for 476',1,2),
(123569,290179,1,100,'Stuns target',0,3),
(123570,290179,2,100,'Applies Sacrifice.',0,0),
(123571,290179,2,100,'Increases power of group members (AE) by 143',1,1),
(123572,290179,2,100,'Heals group members (AE) for 502',1,2),
(123573,290179,2,100,'Stuns target',0,3),
(123574,290179,3,100,'Applies Sacrifice.',0,0),
(123575,290179,3,100,'Increases power of group members (AE) by 151',1,1),
(123576,290179,3,100,'Heals group members (AE) for 529',1,2),
(123577,290179,3,100,'Stuns target',0,3),
(123578,290179,4,100,'Applies Sacrifice.',0,0),
(123579,290179,4,100,'Increases power of group members (AE) by 166',1,1),
(123580,290179,4,100,'Heals group members (AE) for 581',1,2),
(123581,290179,4,100,'Stuns target',0,3),
(123582,290179,5,100,'Applies Sacrifice.',0,0),
(123583,290179,5,100,'Increases power of group members (AE) by 181',1,1),
(123584,290179,5,100,'Heals group members (AE) for 634',1,2),
(123585,290179,5,100,'Stuns target',0,3),
(123586,290179,7,100,'Applies Sacrifice.',0,0),
(123587,290179,7,100,'Increases power of group members (AE) by 233',1,1),
(123588,290179,7,100,'Heals group members (AE) for 814',1,2),
(123589,290179,7,100,'Stuns target',0,3),
(123590,290179,9,100,'Applies Sacrifice.',0,0),
(123591,290179,9,100,'Increases power of group members (AE) by 242',1,1),
(123592,290179,9,100,'Heals group members (AE) for 846',1,2),
(123593,290179,9,100,'Stuns target',0,3),
(123594,290179,10,100,'Applies Sacrifice.',0,0),
(123595,290179,10,100,'Increases power of group members (AE) by 254',1,1),
(123596,290179,10,100,'Heals group members (AE) for 888',1,2),
(123597,290179,10,100,'Stuns target',0,3),
(123598,290180,1,100,'Applies Sacrifice.',0,0),
(123599,290180,1,100,'Increases power of group members (AE) by 183',1,1),
(123600,290180,1,100,'Heals group members (AE) for 639',1,2),
(123601,290180,1,100,'Stuns target',0,3),
(123602,290180,2,100,'Applies Sacrifice.',0,0),
(123603,290180,2,100,'Increases power of group members (AE) by 193',1,1),
(123604,290180,2,100,'Heals group members (AE) for 674',1,2),
(123605,290180,2,100,'Stuns target',0,3),
(123606,290180,3,100,'Applies Sacrifice.',0,0),
(123607,290180,3,100,'Increases power of group members (AE) by 203',1,1),
(123608,290180,3,100,'Heals group members (AE) for 710',1,2),
(123609,290180,3,100,'Stuns target',0,3),
(123610,290180,4,100,'Applies Sacrifice.',0,0),
(123611,290180,4,100,'Increases power of group members (AE) by 223',1,1),
(123612,290180,4,100,'Heals group members (AE) for 781',1,2),
(123613,290180,4,100,'Stuns target',0,3),
(123614,290180,5,100,'Applies Sacrifice.',0,0),
(123615,290180,5,100,'Increases power of group members (AE) by 243',1,1),
(123616,290180,5,100,'Heals group members (AE) for 852',1,2),
(123617,290180,5,100,'Stuns target',0,3),
(123618,290180,7,100,'Applies Sacrifice.',0,0),
(123619,290180,7,100,'Increases power of group members (AE) by 312',1,1),
(123620,290180,7,100,'Heals group members (AE) for 1093',1,2),
(123621,290180,7,100,'Stuns target',0,3),
(123622,290180,9,100,'Applies Sacrifice.',0,0),
(123623,290180,9,100,'Increases power of group members (AE) by 324',1,1),
(123624,290180,9,100,'Heals group members (AE) for 1136',1,2),
(123625,290180,9,100,'Stuns target',0,3),
(123626,290181,1,100,'Applies Sacrifice.',0,0),
(123627,290181,1,100,'Increases power of group members (AE) by 233',1,1),
(123628,290181,1,100,'Heals group members (AE) for 814',1,2),
(123629,290181,1,100,'Stuns target',0,3),
(123630,290181,4,100,'Applies Sacrifice.',0,0),
(123631,290181,4,100,'Increases power of group members (AE) by 284',1,1),
(123632,290181,4,100,'Heals group members (AE) for 995',1,2),
(123633,290181,4,100,'Stuns target',0,3),
(123634,290181,5,100,'Applies Sacrifice.',0,0),
(123635,290181,5,100,'Increases power of group members (AE) by 310',1,1),
(123636,290181,5,100,'Heals group members (AE) for 1085',1,2),
(123637,290181,5,100,'Stuns target',0,3),
(123638,290181,7,100,'Applies Sacrifice.',0,0),
(123639,290181,7,100,'Increases power of group members (AE) by 398',1,1),
(123640,290181,7,100,'Heals group members (AE) for 1393',1,2),
(123641,290181,7,100,'Stuns target',0,3),
(123642,290181,9,100,'Applies Sacrifice.',0,0),
(123643,290181,9,100,'Increases power of group members (AE) by 413',1,1),
(123644,290181,9,100,'Heals group members (AE) for 1447',1,2),
(123645,290181,9,100,'Stuns target',0,3),
(123646,290182,1,100,'Applies Sacrifice.',0,0),
(123647,290182,1,100,'Increases power of group members (AE) by 262',1,1),
(123648,290182,1,100,'Heals group members (AE) for 919',1,2),
(123649,290182,1,100,'Stuns target',0,3),
(123650,290182,4,100,'Applies Sacrifice.',0,0),
(123651,290182,4,100,'Increases power of group members (AE) by 321',1,1),
(123652,290182,4,100,'Heals group members (AE) for 1123',1,2),
(123653,290182,4,100,'Stuns target',0,3),
(123654,290182,5,100,'Applies Sacrifice.',0,0),
(123655,290182,5,100,'Increases power of group members (AE) by 350',1,1),
(123656,290182,5,100,'Heals group members (AE) for 1225',1,2),
(123657,290182,5,100,'Stuns target',0,3),
(123658,290182,7,100,'Applies Sacrifice.',0,0),
(123659,290182,7,100,'Increases power of group members (AE) by 449',1,1),
(123660,290182,7,100,'Heals group members (AE) for 1572',1,2),
(123661,290182,7,100,'Stuns target',0,3),
(123662,290182,9,100,'Applies Sacrifice.',0,0),
(123663,290182,9,100,'Increases power of group members (AE) by 467',1,1),
(123664,290182,9,100,'Heals group members (AE) for 1633',1,2),
(123665,290182,9,100,'Stuns target',0,3),
(123666,200140,1,100,'Heals target for 40 - 49',0,0),
(123667,200140,2,100,'Heals target for 42 - 52',0,0),
(123668,200140,3,100,'Heals target for 45 - 54',0,0),
(123669,200140,4,100,'Heals target for 49 - 60',0,0),
(123670,200140,5,100,'Heals target for 53 - 65',0,0),
(123671,200140,7,100,'Heals target for 69 - 84',0,0),
(123672,200140,9,100,'Heals target for 71 - 87',0,0),
(123673,200141,1,100,'Heals target for 134 - 163',0,0),
(123674,200141,2,100,'Heals target for 141 - 172',0,0),
(123675,200141,3,100,'Heals target for 149 - 182',0,0),
(123676,200141,4,100,'Heals target for 163 - 200',0,0),
(123677,200141,5,100,'Heals target for 178 - 218',0,0),
(123678,200141,7,100,'Heals target for 229 - 280',0,0),
(123679,200141,9,100,'Heals target for 238 - 290',0,0),
(123680,200142,1,100,'Heals target for 241 - 294',0,0),
(123681,200142,2,100,'Heals target for 254 - 310',0,0),
(123682,200142,3,100,'Heals target for 267 - 327',0,0),
(123683,200142,4,100,'Heals target for 294 - 359',0,0),
(123684,200142,5,100,'Heals target for 321 - 392',0,0),
(123685,130139,5,100,'Makes group members (AE) immune to Root effects',0,0),
(123686,130139,5,100,'Makes group members (AE) immune to Stun effects',0,2),
(123687,130139,5,100,'Makes group members (AE) immune to Daze effects',0,4),
(123688,130139,5,100,'1% chance to dispel when target takes damage',0,6),
(123689,130139,5,100,'Makes group members (AE) immune to Mesmerize effects',0,5),
(123690,130139,5,100,'1% chance to dispel when target receives hostile action',0,7),
(123691,130139,5,100,'1% chance to dispel when target takes damage',0,6),
(123692,130139,5,100,'1% chance to dispel when target receives hostile action',0,7),
(123693,130139,7,100,'Makes group members (AE) immune to Root effects',0,0),
(123694,130139,7,100,'Makes group members (AE) immune to Stun effects',0,2),
(123695,130139,7,100,'Makes group members (AE) immune to Daze effects',0,4),
(123696,130139,7,100,'1% chance to dispel when target takes damage',0,6),
(123697,130139,7,100,'Makes group members (AE) immune to Mesmerize effects',0,5),
(123698,130139,7,100,'1% chance to dispel when target receives hostile action',0,7),
(123699,130139,7,100,'1% chance to dispel when target takes damage',0,6),
(123700,130139,7,100,'1% chance to dispel when target receives hostile action',0,7),
(123701,130139,9,100,'Makes group members (AE) immune to Root effects',0,0),
(123702,130139,9,100,'Makes group members (AE) immune to Stun effects',0,2),
(123703,130139,9,100,'Makes group members (AE) immune to Daze effects',0,4),
(123704,130139,9,100,'1% chance to dispel when target takes damage',0,6),
(123705,130139,9,100,'Makes group members (AE) immune to Mesmerize effects',0,5),
(123706,130139,9,100,'1% chance to dispel when target receives hostile action',0,7),
(123707,130139,9,100,'1% chance to dispel when target takes damage',0,6),
(123708,130139,9,100,'1% chance to dispel when target receives hostile action',0,7),
(123709,130140,1,100,'Makes group members (AE) immune to Root effects',0,0),
(123710,130140,1,100,'Makes group members (AE) immune to Stifle effects',0,1),
(123711,130140,1,100,'Makes group members (AE) immune to Stun effects',0,2),
(123712,130140,1,100,'Makes group members (AE) immune to Fear effects',0,3),
(123713,130140,1,100,'Makes group members (AE) immune to Daze effects',0,4),
(123714,130140,1,100,'Makes group members (AE) immune to Mesmerize effects',0,5),
(123715,130140,4,100,'Makes group members (AE) immune to Root effects',0,0),
(123716,130140,4,100,'Makes group members (AE) immune to Stifle effects',0,1),
(123717,130140,4,100,'Makes group members (AE) immune to Stun effects',0,2),
(123718,130140,4,100,'Makes group members (AE) immune to Fear effects',0,3),
(123719,130140,4,100,'Makes group members (AE) immune to Daze effects',0,4),
(123720,130140,4,100,'Makes group members (AE) immune to Mesmerize effects',0,5),
(123721,130140,5,100,'Makes group members (AE) immune to Root effects',0,0),
(123722,130140,5,100,'Makes group members (AE) immune to Stifle effects',0,1),
(123723,130140,5,100,'Makes group members (AE) immune to Stun effects',0,2),
(123724,130140,5,100,'Makes group members (AE) immune to Fear effects',0,3),
(123725,130140,5,100,'Makes group members (AE) immune to Daze effects',0,4),
(123726,130140,5,100,'Makes group members (AE) immune to Mesmerize effects',0,5),
(123727,130140,7,100,'Makes group members (AE) immune to Root effects',0,0),
(123728,130140,7,100,'Makes group members (AE) immune to Stifle effects',0,1),
(123729,130140,7,100,'Makes group members (AE) immune to Stun effects',0,2),
(123730,130140,7,100,'Makes group members (AE) immune to Fear effects',0,3),
(123731,130140,7,100,'Makes group members (AE) immune to Daze effects',0,4),
(123732,130140,7,100,'Makes group members (AE) immune to Mesmerize effects',0,5),
(123733,130140,9,100,'Makes group members (AE) immune to Root effects',0,0),
(123734,130140,9,100,'Makes group members (AE) immune to Stifle effects',0,1),
(123735,130140,9,100,'Makes group members (AE) immune to Stun effects',0,2),
(123736,130140,9,100,'Makes group members (AE) immune to Fear effects',0,3),
(123737,130140,9,100,'Makes group members (AE) immune to Daze effects',0,4),
(123738,130140,9,100,'Makes group members (AE) immune to Mesmerize effects',0,5),
(123739,160129,1,100,'Increases group members (AE)''s chance to block by 9.0%',0,0),
(123740,160129,1,100,'Increases Parry and Deflection of group members (AE) by 6.1',0,1),
(123741,160129,1,100,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',0,2),
(123742,160129,1,100,'Decreases Threat to target encounter by 885 - 1,081 ',1,3),
(123743,160129,1,100,'If not fighter',2,4),
(123744,160129,1,100,'Increases Threat to target encounter by 1,425 - 1,621 ',1,5),
(123745,160129,1,100,'If fighter',2,6),
(123746,160129,1,100,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',0,7),
(123747,160129,1,100,'Decreases Threat to target encounter by 885 - 1,081 ',1,8),
(123748,160129,1,100,'If not fighter',2,9),
(123749,160129,1,100,'Increases Threat to target encounter by 1,425 - 1,621 ',1,10),
(123750,160129,1,100,'If fighter',2,11),
(123751,160129,2,100,'Increases group members (AE)''s chance to block by 9.5%',0,0),
(123752,160129,2,100,'Increases Parry and Deflection of group members (AE) by 6.4',0,1),
(123753,160129,2,100,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',0,2),
(123754,160129,2,100,'Decreases Threat to target encounter by 934 - 1,142 ',1,3),
(123755,160129,2,100,'If not fighter',2,4),
(123756,160129,2,100,'Increases Threat to target encounter by 1,474 - 1,682 ',1,5),
(123757,160129,2,100,'If fighter',2,6),
(123758,160129,2,100,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',0,7),
(123759,160129,2,100,'Decreases Threat to target encounter by 934 - 1,142 ',1,8),
(123760,160129,2,100,'If not fighter',2,9),
(123761,160129,2,100,'Increases Threat to target encounter by 1,474 - 1,682 ',1,10),
(123762,160129,2,100,'If fighter',2,11),
(123763,160129,3,100,'Increases group members (AE)''s chance to block by 10.0%',0,0),
(123764,160129,3,100,'Increases Parry and Deflection of group members (AE) by 6.7',0,1),
(123765,160129,3,100,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',0,2),
(123766,160129,3,100,'Decreases Threat to target encounter by 983 - 1,202 ',1,3),
(123767,160129,3,100,'If not fighter',2,4),
(123768,160129,3,100,'Increases Threat to target encounter by 1,523 - 1,742 ',1,5),
(123769,160129,3,100,'If fighter',2,6),
(123770,160129,3,100,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',0,7),
(123771,160129,3,100,'Decreases Threat to target encounter by 983 - 1,202 ',1,8),
(123772,160129,3,100,'If not fighter',2,9),
(123773,160129,3,100,'Increases Threat to target encounter by 1,523 - 1,742 ',1,10),
(123774,160129,3,100,'If fighter',2,11),
(123775,160129,4,100,'Increases group members (AE)''s chance to block by 11.0%',0,0),
(123776,160129,4,100,'Increases Parry and Deflection of group members (AE) by 7.4',0,1),
(123777,160129,4,100,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',0,2),
(123778,160129,4,100,'Decreases Threat to target encounter by 1,081 - 1,322 ',1,3),
(123779,160129,4,100,'If not fighter',2,4),
(123780,160129,4,100,'Increases Threat to target encounter by 1,621 - 1,862 ',1,5),
(123781,160129,4,100,'If fighter',2,6),
(123782,160129,4,100,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',0,7),
(123783,160129,4,100,'Decreases Threat to target encounter by 1,081 - 1,322 ',1,8),
(123784,160129,4,100,'If not fighter',2,9),
(123785,160129,4,100,'Increases Threat to target encounter by 1,621 - 1,862 ',1,10),
(123786,160129,4,100,'If fighter',2,11),
(123787,160129,5,100,'Increases group members (AE)''s chance to block by 12.0%',0,0),
(123788,160129,5,100,'Increases Parry and Deflection of group members (AE) by 8.1',0,1),
(123789,160129,5,100,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',0,2),
(123790,160129,5,100,'Decreases Threat to target encounter by 1,180 - 1,442 ',1,3),
(123791,160129,5,100,'If not fighter',2,4),
(123792,160129,5,100,'Increases Threat to target encounter by 1,720 - 1,982 ',1,5),
(123793,160129,5,100,'If fighter',2,6),
(123794,160129,5,100,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',0,7),
(123795,160129,5,100,'Decreases Threat to target encounter by 1,180 - 1,442 ',1,8),
(123796,160129,5,100,'If not fighter',2,9),
(123797,160129,5,100,'Increases Threat to target encounter by 1,720 - 1,982 ',1,10),
(123798,160129,5,100,'If fighter',2,11),
(123799,160129,7,100,'Increases group members (AE)''s chance to block by 15.4%',0,0),
(123800,160129,7,100,'Increases Parry and Deflection of group members (AE) by 10.4',0,1),
(123801,160129,7,100,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',0,2),
(123802,160129,7,100,'Decreases Threat to target encounter by 1,514 - 1,851 ',1,3),
(123803,160129,7,100,'If not fighter',2,4),
(123804,160129,7,100,'Increases Threat to target encounter by 2,054 - 2,391 ',1,5),
(123805,160129,7,100,'If fighter',2,6),
(123806,160129,7,100,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',0,7),
(123807,160129,7,100,'Decreases Threat to target encounter by 1,514 - 1,851 ',1,8),
(123808,160129,7,100,'If not fighter',2,9),
(123809,160129,7,100,'Increases Threat to target encounter by 2,054 - 2,391 ',1,10),
(123810,160129,7,100,'If fighter',2,11),
(123811,160129,9,100,'Increases group members (AE)''s chance to block by 16.0%',0,0),
(123812,160129,9,100,'Increases Parry and Deflection of group members (AE) by 10.8',0,1),
(123813,160129,9,100,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',0,2),
(123814,160129,9,100,'Decreases Threat to target encounter by 1,573 - 1,923 ',1,3),
(123815,160129,9,100,'If not fighter',2,4),
(123816,160129,9,100,'Increases Threat to target encounter by 2,113 - 2,463 ',1,5),
(123817,160129,9,100,'If fighter',2,6),
(123818,160129,9,100,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',0,7),
(123819,160129,9,100,'Decreases Threat to target encounter by 1,573 - 1,923 ',1,8),
(123820,160129,9,100,'If not fighter',2,9),
(123821,160129,9,100,'Increases Threat to target encounter by 2,113 - 2,463 ',1,10),
(123822,160129,9,100,'If fighter',2,11),
(123823,160130,1,100,'Increases group members (AE)''s chance to block by 9.0%',0,0),
(123824,160130,1,100,'Increases Parry and Deflection of group members (AE) by 8.0',0,1),
(123825,160130,1,100,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',0,2),
(123826,160130,1,100,'Decreases Threat to target encounter by 1,276 - 1,560 ',1,3),
(123827,160130,1,100,'If not fighter',2,4),
(123828,160130,1,100,'Increases Threat to target encounter by 1,816 - 2,100 ',1,5),
(123829,160130,1,100,'If fighter',2,6),
(123830,160130,1,100,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',0,7),
(123831,160130,1,100,'Decreases Threat to target encounter by 1,276 - 1,560 ',1,8),
(123832,160130,1,100,'If not fighter',2,9),
(123833,160130,1,100,'Increases Threat to target encounter by 1,816 - 2,100 ',1,10),
(123834,160130,1,100,'If fighter',2,11),
(123835,160130,2,100,'Increases group members (AE)''s chance to block by 9.5%',0,0),
(123836,160130,2,100,'Increases Parry and Deflection of group members (AE) by 8.4',0,1),
(123837,160130,2,100,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',0,2),
(123838,160130,2,100,'Decreases Threat to target encounter by 1,347 - 1,646 ',1,3),
(123839,160130,2,100,'If not fighter',2,4),
(123840,160130,2,100,'Increases Threat to target encounter by 1,887 - 2,186 ',1,5),
(123841,160130,2,100,'If fighter',2,6),
(123842,160130,2,100,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',0,7),
(123843,160130,2,100,'Decreases Threat to target encounter by 1,347 - 1,646 ',1,8),
(123844,160130,2,100,'If not fighter',2,9),
(123845,160130,2,100,'Increases Threat to target encounter by 1,887 - 2,186 ',1,10),
(123846,160130,2,100,'If fighter',2,11),
(123847,160130,3,100,'Increases group members (AE)''s chance to block by 10.0%',0,0),
(123848,160130,3,100,'Increases Parry and Deflection of group members (AE) by 8.9',0,1),
(123849,160130,3,100,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',0,2),
(123850,160130,3,100,'Decreases Threat to target encounter by 1,418 - 1,733 ',1,3),
(123851,160130,3,100,'If not fighter',2,4),
(123852,160130,3,100,'Increases Threat to target encounter by 1,958 - 2,273 ',1,5),
(123853,160130,3,100,'If fighter',2,6),
(123854,160130,3,100,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',0,7),
(123855,160130,3,100,'Decreases Threat to target encounter by 1,418 - 1,733 ',1,8),
(123856,160130,3,100,'If not fighter',2,9),
(123857,160130,3,100,'Increases Threat to target encounter by 1,958 - 2,273 ',1,10),
(123858,160130,3,100,'If fighter',2,11),
(123859,160130,4,100,'Increases group members (AE)''s chance to block by 11.0%',0,0),
(123860,160130,4,100,'Increases Parry and Deflection of group members (AE) by 9.7',0,1),
(123861,160130,4,100,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',0,2),
(123862,160130,4,100,'Decreases Threat to target encounter by 1,560 - 1,906 ',1,3),
(123863,160130,4,100,'If not fighter',2,4),
(123864,160130,4,100,'Increases Threat to target encounter by 2,100 - 2,446 ',1,5),
(123865,160130,4,100,'If fighter',2,6),
(123866,160130,4,100,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',0,7),
(123867,160130,4,100,'Decreases Threat to target encounter by 1,560 - 1,906 ',1,8),
(123868,160130,4,100,'If not fighter',2,9),
(123869,160130,4,100,'Increases Threat to target encounter by 2,100 - 2,446 ',1,10),
(123870,160130,4,100,'If fighter',2,11),
(123871,160130,5,100,'Increases group members (AE)''s chance to block by 12.0%',0,0),
(123872,160130,5,100,'Increases Parry and Deflection of group members (AE) by 10.6',0,1),
(123873,160130,5,100,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',0,2),
(123874,160130,5,100,'Decreases Threat to target encounter by 1,701 - 2,080 ',1,3),
(123875,160130,5,100,'If not fighter',2,4),
(123876,160130,5,100,'Increases Threat to target encounter by 2,241 - 2,620 ',1,5),
(123877,160130,5,100,'If fighter',2,6),
(123878,160130,5,100,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',0,7),
(123879,160130,5,100,'Decreases Threat to target encounter by 1,701 - 2,080 ',1,8),
(123880,160130,5,100,'If not fighter',2,9),
(123881,160130,5,100,'Increases Threat to target encounter by 2,241 - 2,620 ',1,10),
(123882,160130,5,100,'If fighter',2,11),
(123883,160130,7,100,'Increases group members (AE)''s chance to block by 15.4%',0,0),
(123884,160130,7,100,'Increases Parry and Deflection of group members (AE) by 13.6',0,1),
(123885,160130,7,100,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',0,2),
(123886,160130,7,100,'Decreases Threat to target encounter by 2,184 - 2,669 ',1,3),
(123887,160130,7,100,'If not fighter',2,4),
(123888,160130,7,100,'Increases Threat to target encounter by 2,724 - 3,209 ',1,5),
(123889,160130,7,100,'If fighter',2,6),
(123890,160130,7,100,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',0,7),
(123891,160130,7,100,'Decreases Threat to target encounter by 2,184 - 2,669 ',1,8),
(123892,160130,7,100,'If not fighter',2,9),
(123893,160130,7,100,'Increases Threat to target encounter by 2,724 - 3,209 ',1,10),
(123894,160130,7,100,'If fighter',2,11),
(123895,160130,9,100,'Increases group members (AE)''s chance to block by 16.0%',0,0),
(123896,160130,9,100,'Increases Parry and Deflection of group members (AE) by 14.2',0,1),
(123897,160130,9,100,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',0,2),
(123898,160130,9,100,'Decreases Threat to target encounter by 2,269 - 2,773 ',1,3),
(123899,160130,9,100,'If not fighter',2,4),
(123900,160130,9,100,'Increases Threat to target encounter by 2,809 - 3,313 ',1,5),
(123901,160130,9,100,'If fighter',2,6),
(123902,160130,9,100,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',0,7),
(123903,160130,9,100,'Decreases Threat to target encounter by 2,269 - 2,773 ',1,8),
(123904,160130,9,100,'If not fighter',2,9),
(123905,160130,9,100,'Increases Threat to target encounter by 2,809 - 3,313 ',1,10),
(123906,160130,9,100,'If fighter',2,11),
(123907,160131,1,100,'Increases group members (AE)''s chance to block by 9.0%',0,0),
(123908,160131,1,100,'Increases Parry and Deflection of group members (AE) by 10.0',0,1),
(123909,160131,1,100,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',0,2),
(123910,160131,1,100,'Decreases Threat to target encounter by 1,718 - 2,100 ',1,3),
(123911,160131,1,100,'If not fighter',2,4),
(123912,160131,1,100,'Increases Threat to target encounter by 2,258 - 2,640 ',1,5),
(123913,160131,1,100,'If fighter',2,6),
(123914,160131,1,100,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',0,7),
(123915,160131,1,100,'Decreases Threat to target encounter by 1,718 - 2,100 ',1,8),
(123916,160131,1,100,'If not fighter',2,9),
(123917,160131,1,100,'Increases Threat to target encounter by 2,258 - 2,640 ',1,10),
(123918,160131,1,100,'If fighter',2,11),
(123919,160131,2,100,'Increases group members (AE)''s chance to block by 9.5%',0,0),
(123920,160131,2,100,'Increases Parry and Deflection of group members (AE) by 10.5',0,1),
(123921,160131,2,100,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',0,2),
(123922,160131,2,100,'Decreases Threat to target encounter by 1,814 - 2,217 ',1,3),
(123923,160131,2,100,'If not fighter',2,4),
(123924,160131,2,100,'Increases Threat to target encounter by 2,354 - 2,757 ',1,5),
(123925,160131,2,100,'If fighter',2,6),
(123926,160131,2,100,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',0,7),
(123927,160131,2,100,'Decreases Threat to target encounter by 1,814 - 2,217 ',1,8),
(123928,160131,2,100,'If not fighter',2,9),
(123929,160131,2,100,'Increases Threat to target encounter by 2,354 - 2,757 ',1,10),
(123930,160131,2,100,'If fighter',2,11),
(123931,160131,3,100,'Increases group members (AE)''s chance to block by 10.0%',0,0),
(123932,160131,3,100,'Increases Parry and Deflection of group members (AE) by 11.1',0,1),
(123933,160131,3,100,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',0,2),
(123934,160131,3,100,'Decreases Threat to target encounter by 1,909 - 2,334 ',1,3),
(123935,160131,3,100,'If not fighter',2,4),
(123936,160131,3,100,'Increases Threat to target encounter by 2,449 - 2,874 ',1,5),
(123937,160131,3,100,'If fighter',2,6),
(123938,160131,3,100,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',0,7),
(123939,160131,3,100,'Decreases Threat to target encounter by 1,909 - 2,334 ',1,8),
(123940,160131,3,100,'If not fighter',2,9),
(123941,160131,3,100,'Increases Threat to target encounter by 2,449 - 2,874 ',1,10),
(123942,160131,3,100,'If fighter',2,11),
(123943,160131,4,100,'Increases group members (AE)''s chance to block by 11.0%',0,0),
(123944,160131,4,100,'Increases Parry and Deflection of group members (AE) by 12.2',0,1),
(123945,160131,4,100,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',0,2),
(123946,160131,4,100,'Decreases Threat to target encounter by 2,100 - 2,567 ',1,3),
(123947,160131,4,100,'If not fighter',2,4),
(123948,160131,4,100,'Increases Threat to target encounter by 2,640 - 3,107 ',1,5),
(123949,160131,4,100,'If fighter',2,6),
(123950,160131,4,100,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',0,7),
(123951,160131,4,100,'Decreases Threat to target encounter by 2,100 - 2,567 ',1,8),
(123952,160131,4,100,'If not fighter',2,9),
(123953,160131,4,100,'Increases Threat to target encounter by 2,640 - 3,107 ',1,10),
(123954,160131,4,100,'If fighter',2,11),
(123955,160131,5,100,'Increases group members (AE)''s chance to block by 12.0%',0,0),
(123956,160131,5,100,'Increases Parry and Deflection of group members (AE) by 13.3',0,1),
(123957,160131,5,100,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',0,2),
(123958,160131,5,100,'Decreases Threat to target encounter by 2,291 - 2,800 ',1,3),
(123959,160131,5,100,'If not fighter',2,4),
(123960,160131,5,100,'Increases Threat to target encounter by 2,831 - 3,340 ',1,5),
(123961,160131,5,100,'If fighter',2,6),
(123962,160131,5,100,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',0,7),
(123963,160131,5,100,'Decreases Threat to target encounter by 2,291 - 2,800 ',1,8),
(123964,160131,5,100,'If not fighter',2,9),
(123965,160131,5,100,'Increases Threat to target encounter by 2,831 - 3,340 ',1,10),
(123966,160131,5,100,'If fighter',2,11),
(123967,160131,7,100,'Increases group members (AE)''s chance to block by 15.4%',0,0),
(123968,160131,7,100,'Increases Parry and Deflection of group members (AE) by 17.1',0,1),
(123969,160131,7,100,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',0,2),
(123970,160131,7,100,'Decreases Threat to target encounter by 2,940 - 3,594 ',1,3),
(123971,160131,7,100,'If not fighter',2,4),
(123972,160131,7,100,'Increases Threat to target encounter by 3,480 - 4,134 ',1,5),
(123973,160131,7,100,'If fighter',2,6),
(123974,160131,7,100,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',0,7),
(123975,160131,7,100,'Decreases Threat to target encounter by 2,940 - 3,594 ',1,8),
(123976,160131,7,100,'If not fighter',2,9),
(123977,160131,7,100,'Increases Threat to target encounter by 3,480 - 4,134 ',1,10),
(123978,160131,7,100,'If fighter',2,11),
(123979,160131,9,100,'Increases group members (AE)''s chance to block by 16.0%',0,0),
(123980,160131,9,100,'Increases Parry and Deflection of group members (AE) by 17.8',0,1),
(123981,160131,9,100,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',0,2),
(123982,160131,9,100,'Decreases Threat to target encounter by 3,055 - 3,734 ',1,3),
(123983,160131,9,100,'If not fighter',2,4),
(123984,160131,9,100,'Increases Threat to target encounter by 3,595 - 4,274 ',1,5),
(123985,160131,9,100,'If fighter',2,6),
(123986,160131,9,100,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',0,7),
(123987,160131,9,100,'Decreases Threat to target encounter by 3,055 - 3,734 ',1,8),
(123988,160131,9,100,'If not fighter',2,9),
(123989,160131,9,100,'Increases Threat to target encounter by 3,595 - 4,274 ',1,10),
(123990,160131,9,100,'If fighter',2,11),
(123991,160132,1,100,'Increases group members (AE)''s chance to block by 9.0%',0,0),
(123992,160132,1,100,'Increases Parry and Deflection of group members (AE) by 11.9',0,1),
(123993,160132,1,100,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',0,2),
(123994,160132,1,100,'Decreases Threat to target encounter by 2,124 - 2,596 ',1,3),
(123995,160132,1,100,'If not fighter',2,4),
(123996,160132,1,100,'Increases Threat to target encounter by 2,664 - 3,136 ',1,5),
(123997,160132,1,100,'If fighter',2,6),
(123998,160132,1,100,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',0,7),
(123999,160132,1,100,'Decreases Threat to target encounter by 2,124 - 2,596 ',1,8),
(124000,160132,1,100,'If not fighter',2,9),
(124001,160132,1,100,'Increases Threat to target encounter by 2,664 - 3,136 ',1,10),
(124002,160132,1,100,'If fighter',2,11),
(124003,160132,4,100,'Increases group members (AE)''s chance to block by 11.0%',0,0),
(124004,160132,4,100,'Increases Parry and Deflection of group members (AE) by 14.6',0,1),
(124005,160132,4,100,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',0,2),
(124006,160132,4,100,'Decreases Threat to target encounter by 2,596 - 3,173 ',1,3),
(124007,160132,4,100,'If not fighter',2,4),
(124008,160132,4,100,'Increases Threat to target encounter by 3,136 - 3,713 ',1,5),
(124009,160132,4,100,'If fighter',2,6),
(124010,160132,4,100,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',0,7),
(124011,160132,4,100,'Decreases Threat to target encounter by 2,596 - 3,173 ',1,8),
(124012,160132,4,100,'If not fighter',2,9),
(124013,160132,4,100,'Increases Threat to target encounter by 3,136 - 3,713 ',1,10),
(124014,160132,4,100,'If fighter',2,11),
(124015,160132,5,100,'Increases group members (AE)''s chance to block by 12.0%',0,0),
(124016,160132,5,100,'Increases Parry and Deflection of group members (AE) by 15.9',0,1),
(124017,160132,5,100,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',0,2),
(124018,160132,5,100,'Decreases Threat to target encounter by 2,832 - 3,462 ',1,3),
(124019,160132,5,100,'If not fighter',2,4),
(124020,160132,5,100,'Increases Threat to target encounter by 3,372 - 4,002 ',1,5),
(124021,160132,5,100,'If fighter',2,6),
(124022,160132,5,100,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',0,7),
(124023,160132,5,100,'Decreases Threat to target encounter by 2,832 - 3,462 ',1,8),
(124024,160132,5,100,'If not fighter',2,9),
(124025,160132,5,100,'Increases Threat to target encounter by 3,372 - 4,002 ',1,10),
(124026,160132,5,100,'If fighter',2,11),
(124027,160132,7,100,'Increases group members (AE)''s chance to block by 15.4%',0,0),
(124028,160132,7,100,'Increases Parry and Deflection of group members (AE) by 20.4',0,1),
(124029,160132,7,100,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',0,2),
(124030,160132,7,100,'Decreases Threat to target encounter by 3,635 - 4,443 ',1,3),
(124031,160132,7,100,'If not fighter',2,4),
(124032,160132,7,100,'Increases Threat to target encounter by 4,175 - 4,983 ',1,5),
(124033,160132,7,100,'If fighter',2,6),
(124034,160132,7,100,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',0,7),
(124035,160132,7,100,'Decreases Threat to target encounter by 3,635 - 4,443 ',1,8),
(124036,160132,7,100,'If not fighter',2,9),
(124037,160132,7,100,'Increases Threat to target encounter by 4,175 - 4,983 ',1,10),
(124038,160132,7,100,'If fighter',2,11),
(124039,160132,9,100,'Increases group members (AE)''s chance to block by 16.0%',0,0),
(124040,160132,9,100,'Increases Parry and Deflection of group members (AE) by 21.2',0,1),
(124041,160132,9,100,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',0,2),
(124042,160132,9,100,'Decreases Threat to target encounter by 3,777 - 4,616 ',1,3),
(124043,160132,9,100,'If not fighter',2,4),
(124044,160132,9,100,'Increases Threat to target encounter by 4,317 - 5,156 ',1,5),
(124045,160132,9,100,'If fighter',2,6),
(124046,160132,9,100,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',0,7),
(124047,160132,9,100,'Decreases Threat to target encounter by 3,777 - 4,616 ',1,8),
(124048,160132,9,100,'If not fighter',2,9),
(124049,160132,9,100,'Increases Threat to target encounter by 4,317 - 5,156 ',1,10),
(124050,160132,9,100,'If fighter',2,11),
(124051,160132,10,100,'Increases group members (AE)''s chance to block by 16.8%',0,0),
(124052,160132,10,100,'Increases Parry and Deflection of group members (AE) by 22.3',0,1),
(124053,160132,10,100,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',0,2),
(124054,160132,10,100,'Decreases Threat to target encounter by 3,965 - 4,847 ',1,3),
(124055,160132,10,100,'If not fighter',2,4),
(124056,160132,10,100,'Increases Threat to target encounter by 4,505 - 5,387 ',1,5),
(124057,160132,10,100,'If fighter',2,6),
(124058,160132,10,100,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',0,7),
(124059,160132,10,100,'Decreases Threat to target encounter by 3,965 - 4,847 ',1,8),
(124060,160132,10,100,'If not fighter',2,9),
(124061,160132,10,100,'Increases Threat to target encounter by 4,505 - 5,387 ',1,10),
(124062,160132,10,100,'If fighter',2,11),
(124063,160133,1,100,'Increases group members (AE)''s chance to block by 9.0%',0,0),
(124064,160133,1,100,'Increases Parry and Deflection of group members (AE) by 14.2',0,1),
(124065,160133,1,100,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',0,2),
(124066,160133,1,100,'Decreases Threat to target encounter by 2,530 - 3,092 ',1,3),
(124067,160133,1,100,'If not fighter',2,4),
(124068,160133,1,100,'Increases Threat to target encounter by 3,070 - 3,632 ',1,5),
(124069,160133,1,100,'If fighter',2,6),
(124070,160133,1,100,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',0,7),
(124071,160133,1,100,'Decreases Threat to target encounter by 2,530 - 3,092 ',1,8),
(124072,160133,1,100,'If not fighter',2,9),
(124073,160133,1,100,'Increases Threat to target encounter by 3,070 - 3,632 ',1,10),
(124074,160133,1,100,'If fighter',2,11),
(124075,160133,4,100,'Increases group members (AE)''s chance to block by 11.0%',0,0),
(124076,160133,4,100,'Increases Parry and Deflection of group members (AE) by 17.3',0,1),
(124077,160133,4,100,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',0,2),
(124078,160133,4,100,'Decreases Threat to target encounter by 3,092 - 3,779 ',1,3),
(124079,160133,4,100,'If not fighter',2,4),
(124080,160133,4,100,'Increases Threat to target encounter by 3,632 - 4,319 ',1,5),
(124081,160133,4,100,'If fighter',2,6),
(124082,160133,4,100,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',0,7),
(124083,160133,4,100,'Decreases Threat to target encounter by 3,092 - 3,779 ',1,8),
(124084,160133,4,100,'If not fighter',2,9),
(124085,160133,4,100,'Increases Threat to target encounter by 3,632 - 4,319 ',1,10),
(124086,160133,4,100,'If fighter',2,11),
(124087,160133,5,100,'Increases group members (AE)''s chance to block by 12.0%',0,0),
(124088,160133,5,100,'Increases Parry and Deflection of group members (AE) by 18.9',0,1),
(124089,160133,5,100,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',0,2),
(124090,160133,5,100,'Decreases Threat to target encounter by 3,373 - 4,123 ',1,3),
(124091,160133,5,100,'If not fighter',2,4),
(124092,160133,5,100,'Increases Threat to target encounter by 3,913 - 4,663 ',1,5),
(124093,160133,5,100,'If fighter',2,6),
(124094,160133,5,100,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',0,7),
(124095,160133,5,100,'Decreases Threat to target encounter by 3,373 - 4,123 ',1,8),
(124096,160133,5,100,'If not fighter',2,9),
(124097,160133,5,100,'Increases Threat to target encounter by 3,913 - 4,663 ',1,10),
(124098,160133,5,100,'If fighter',2,11),
(124099,160133,7,100,'Increases group members (AE)''s chance to block by 15.4%',0,0),
(124100,160133,7,100,'Increases Parry and Deflection of group members (AE) by 24.3',0,1),
(124101,160133,7,100,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',0,2),
(124102,160133,7,100,'Decreases Threat to target encounter by 4,329 - 5,291 ',1,3),
(124103,160133,7,100,'If not fighter',2,4),
(124104,160133,7,100,'Increases Threat to target encounter by 4,869 - 5,831 ',1,5),
(124105,160133,7,100,'If fighter',2,6),
(124106,160133,7,100,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',0,7),
(124107,160133,7,100,'Decreases Threat to target encounter by 4,329 - 5,291 ',1,8),
(124108,160133,7,100,'If not fighter',2,9),
(124109,160133,7,100,'Increases Threat to target encounter by 4,869 - 5,831 ',1,10),
(124110,160133,7,100,'If fighter',2,11),
(124111,160133,9,100,'Increases group members (AE)''s chance to block by 16.0%',0,0),
(124112,160133,9,100,'Increases Parry and Deflection of group members (AE) by 25.2',0,1),
(124113,160133,9,100,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',0,2),
(124114,160133,9,100,'Decreases Threat to target encounter by 4,498 - 5,497 ',1,3),
(124115,160133,9,100,'If not fighter',2,4),
(124116,160133,9,100,'Increases Threat to target encounter by 5,038 - 6,037 ',1,5),
(124117,160133,9,100,'If fighter',2,6),
(124118,160133,9,100,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',0,7),
(124119,160133,9,100,'Decreases Threat to target encounter by 4,498 - 5,497 ',1,8),
(124120,160133,9,100,'If not fighter',2,9),
(124121,160133,9,100,'Increases Threat to target encounter by 5,038 - 6,037 ',1,10),
(124122,160133,9,100,'If fighter',2,11),
(124123,160133,10,100,'Increases group members (AE)''s chance to block by 16.8%',0,0),
(124124,160133,10,100,'Increases Parry and Deflection of group members (AE) by 26.5',0,1),
(124125,160133,10,100,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',0,2),
(124126,160133,10,100,'Decreases Threat to target encounter by 4,723 - 5,772 ',1,3),
(124127,160133,10,100,'If not fighter',2,4),
(124128,160133,10,100,'Increases Threat to target encounter by 5,263 - 6,312 ',1,5),
(124129,160133,10,100,'If fighter',2,6),
(124130,160133,10,100,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',0,7),
(124131,160133,10,100,'Decreases Threat to target encounter by 4,723 - 5,772 ',1,8),
(124132,160133,10,100,'If not fighter',2,9),
(124133,160133,10,100,'Increases Threat to target encounter by 5,263 - 6,312 ',1,10),
(124134,160133,10,100,'If fighter',2,11),
(124135,2000616,1,100,'Increases power of caster by 5.0%',0,0),
(124136,2000616,1,100,'Increases power of caster by 1.0% every second',0,1),
(124137,2000616,1,100,'Increases Potency by 1.5% of the caster''s intelligence.',0,2),
(124138,2000616,1,100,'Any power the sorcerer uses to cast spells is instantly refreshed and the spell instead uses health.',0,3),
(124139,260165,1,100,'Target will lose 31% less power when power is consumed',0,0),
(124140,260165,2,100,'Target will lose 33% less power when power is consumed',0,0),
(124141,260165,3,100,'Target will lose 35% less power when power is consumed',0,0),
(124142,260165,4,100,'Target will lose 38% less power when power is consumed',0,0),
(124143,260165,5,100,'Target will lose 42% less power when power is consumed',0,0),
(124144,260165,7,100,'Target will lose 53% less power when power is consumed',0,0),
(124145,260165,9,100,'Target will lose 56% less power when power is consumed',0,0),
(124146,2000617,1,100,'Inflicts 1 - 3 slashing damage on caster',0,0),
(124147,2000617,1,100,'Inflicts 1 slashing damage on caster every 4 seconds',0,1),
(124148,2000618,1,100,'Wards caster against 0 points of all damage',0,0),
(124149,2000618,1,100,'Regenerates 33% of the ward every 3 seconds',0,1),
(124150,2000618,2,100,'Wards caster against 0 points of all damage',0,0),
(124151,2000618,2,100,'Regenerates 33% of the ward every 3 seconds',0,1),
(124152,2000618,3,100,'Wards caster against 0 points of all damage',0,0),
(124153,2000618,3,100,'Regenerates 33% of the ward every 3 seconds',0,1),
(124154,2000618,4,100,'Wards caster against 1 points of all damage',0,0),
(124155,2000618,4,100,'Regenerates 33% of the ward every 3 seconds',0,1),
(124156,2000618,5,100,'Wards caster against 1 points of all damage',0,0),
(124157,2000618,5,100,'Regenerates 33% of the ward every 3 seconds',0,1),
(124158,2000618,6,100,'Wards caster against 1 points of all damage',0,0),
(124159,2000618,6,100,'Regenerates 33% of the ward every 3 seconds',0,1),
(124160,2000618,7,100,'Wards caster against 2 points of all damage',0,0),
(124161,2000618,7,100,'Regenerates 33% of the ward every 3 seconds',0,1),
(124162,2000618,8,100,'Wards caster against 2 points of all damage',0,0),
(124163,2000618,8,100,'Regenerates 33% of the ward every 3 seconds',0,1),
(124164,2000618,9,100,'Wards caster against 2 points of all damage',0,0),
(124165,2000618,9,100,'Regenerates 33% of the ward every 3 seconds',0,1),
(124166,2000618,10,100,'Wards caster against 3 points of all damage',0,0),
(124167,2000618,10,100,'Regenerates 33% of the ward every 3 seconds',0,1),
(124168,2000619,1,100,'Wards caster against 1 - 2 points of damage from physical damage',0,0),
(124169,2000620,1,100,'Stuns target',0,0),
(124170,2000620,1,100,'Inflicts 1 - 2 crushing damage on target',0,1),
(124171,2000620,1,100,'Epic targets gain an immunity to Stun effects of 3.7 seconds and duration is reduced to 0.4 seconds.',0,2),
(124172,2000620,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(124173,2000621,1,100,'Inflicts 1 - 2 crushing damage on target',0,0),
(124174,2000621,1,100,'Inflicts 1 - 2 slashing damage on target',0,1),
(124175,220016,1,100,'Inflicts 6 - 11 heat damage on target instantly and every 3 seconds',0,0),
(124176,220016,2,100,'Inflicts 6 - 11 heat damage on target instantly and every 3 seconds',0,0),
(124177,220016,3,100,'Inflicts 6 - 12 heat damage on target instantly and every 3 seconds',0,0),
(124178,220016,4,100,'Inflicts 7 - 13 heat damage on target instantly and every 3 seconds',0,0),
(124179,220016,5,100,'Inflicts 8 - 14 heat damage on target instantly and every 3 seconds',0,0),
(124180,220016,7,100,'Inflicts 10 - 18 heat damage on target instantly and every 3 seconds',0,0),
(124181,220016,9,100,'Inflicts 10 - 19 heat damage on target instantly and every 3 seconds',0,0),
(124182,2000622,1,100,'Dispels 138 levels of any beneficial effects on target',0,0),
(124183,2000622,1,100,'Casts Scourging for each successful Dispel.',0,1),
(124184,2000622,1,100,'Inflicts 970 disease damage on target',2,2),
(124185,2000623,1,100,'Increases DPS of group members (AE) by 3.0',0,0),
(124186,2000623,1,100,'Increases Crushing, Piercing, Slashing, Ranged and Defense of group members (AE) by 0.0',0,1),
(124187,300159,12,100,'Damage over time spells increase damage with each tick.  Damage ceases to increase after 5 ticks.',0,0),
(124188,300159,12,100,'Improves the damage of the Necromancer''s pet.',0,1),
(124189,300159,12,100,'On a hostile spell cast this spell has a 12% chance to cast Poisonous Blast on target of spell.  Lasts for 12.0 seconds.  ',0,2),
(124190,300159,12,100,'Applies Poisonous Blast.  Lasts for 12.0 seconds.',1,3),
(124191,300159,12,100,'Prevents AOE (except when direct) ',2,4),
(124192,300159,12,100,'Increases Crit Chance of pet by 20.0',2,5),
(124193,300159,12,100,'Inflicts 786 - 1179 poison damage on target',1,6),
(124194,300159,12,100,'Inflicts 194 - 292 poison damage on target every 3 seconds',1,7),
(124195,300159,12,100,'Cannot be modified except by direct means',1,8),
(124196,300159,12,100,'Cannot be modified except by direct means',0,9),
(124197,210013,1,100,'Grants See Invisibility to target',0,0),
(124198,2000624,1,100,'When damaged in combat this spell has a 10% chance to cast Seeping Poison on target''s attacker.  ',0,0),
(124199,2000624,1,100,'Inflicts 1 - 2 poison damage on target',1,1),
(124200,90164,12,100,'Damage over time spells increase damage with each tick.  Damage ceases to increase after 5 ticks.',0,0),
(124201,90164,12,100,'On any combat or spell hit this spell may cast Seething Hatred on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.4 times per minute. ',0,1),
(124202,90164,12,100,'300% of health regained from lifetaps will be applied as hate to engaged targets.',1,2),
(124203,90164,12,100,'Inflicts 734 - 897 disease damage on target',1,3),
(124204,90164,12,100,'Cannot be modified except by direct means',1,4),
(124205,90164,12,100,'Cannot be modified except by direct means',0,5),
(124206,280013,1,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(124207,280013,1,100,'Throws target back',1,1),
(124208,280013,1,100,'Blurs vision of target',1,2),
(124209,280013,1,100,'Stuns target',1,3),
(124210,280013,1,100,'Does not affect Epic targets',1,4),
(124211,280013,1,100,'Inflicts 52 - 155 magic damage on targets in Area of Effect',0,5),
(124212,280013,2,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(124213,280013,2,100,'Throws target back',1,1),
(124214,280013,2,100,'Blurs vision of target',1,2),
(124215,280013,2,100,'Stuns target',1,3),
(124216,280013,2,100,'Does not affect Epic targets',1,4),
(124217,280013,2,100,'Inflicts 55 - 164 magic damage on targets in Area of Effect',0,5),
(124218,280013,3,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(124219,280013,3,100,'Throws target back',1,1),
(124220,280013,3,100,'Blurs vision of target',1,2),
(124221,280013,3,100,'Stuns target',1,3),
(124222,280013,3,100,'Does not affect Epic targets',1,4),
(124223,280013,3,100,'Inflicts 57 - 172 magic damage on targets in Area of Effect',0,5),
(124224,280013,4,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(124225,280013,4,100,'Throws target back',1,1),
(124226,280013,4,100,'Blurs vision of target',1,2),
(124227,280013,4,100,'Stuns target',1,3),
(124228,280013,4,100,'Does not affect Epic targets',1,4),
(124229,280013,4,100,'Inflicts 63 - 190 magic damage on targets in Area of Effect',0,5);
INSERT INTO `spell_display_effects` VALUES
(124230,280013,5,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(124231,280013,5,100,'Throws target back',1,1),
(124232,280013,5,100,'Blurs vision of target',1,2),
(124233,280013,5,100,'Stuns target',1,3),
(124234,280013,5,100,'Does not affect Epic targets',1,4),
(124235,280013,5,100,'Inflicts 69 - 207 magic damage on targets in Area of Effect',0,5),
(124236,280013,7,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(124237,280013,7,100,'Throws target back',1,1),
(124238,280013,7,100,'Blurs vision of target',1,2),
(124239,280013,7,100,'Stuns target',1,3),
(124240,280013,7,100,'Does not affect Epic targets',1,4),
(124241,280013,7,100,'Inflicts 88 - 265 magic damage on targets in Area of Effect',0,5),
(124242,280013,9,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(124243,280013,9,100,'Throws target back',1,1),
(124244,280013,9,100,'Blurs vision of target',1,2),
(124245,280013,9,100,'Stuns target',1,3),
(124246,280013,9,100,'Does not affect Epic targets',1,4),
(124247,280013,9,100,'Inflicts 92 - 276 magic damage on targets in Area of Effect',0,5),
(124248,2000625,1,100,'Instantly resurrects the necromancer with 100% health and power.',0,0),
(124249,350027,1,100,'Increases speed of group members (AE) by 22.0%',0,0),
(124250,350028,1,100,'Increases speed of group members (AE) by 28.0%',0,0),
(124251,350029,1,100,'Increases speed of group members (AE) by 34.0%',0,0),
(124252,350030,1,100,'Increases speed of group members (AE) by 38.0%',0,0),
(124253,350031,1,100,'Increases speed of group members (AE) by 42.0%',0,0),
(124254,350032,1,100,'Increases speed of group members (AE) by 46.0%',0,0),
(124255,200143,1,100,'Applies Reanimate on termination.  Lasts for 1 minute.',0,0),
(124256,200143,1,100,'Heals target for 30.0% of max health',1,1),
(124257,200143,1,100,'This effect cannot be critically applied.',2,2),
(124258,200143,1,100,'Increases power of target by 2.0% instantly and every 4 seconds',1,3),
(124259,200143,1,100,'This effect cannot be critically applied.',2,4),
(124260,200143,1,100,'Applies Revived Sickness on termination.  Lasts for 2 minutes.',0,5),
(124261,200143,1,100,'Decreases All Attributes of target by 20.0%',1,6),
(124262,200143,1,100,'If not between levels 1 - 6',2,7),
(124263,200143,1,100,'Decreases Haste of target by 20.0',1,8),
(124264,200143,1,100,'If not between levels 1 - 6',2,9),
(124265,200143,1,100,'Decreases All Attributes of target by 5.0%',1,10),
(124266,200143,1,100,'If between levels 1 - 6',2,11),
(124267,200143,1,100,'Decreases Haste of target by 5.0',1,12),
(124268,200143,1,100,'If between levels 1 - 6',2,13),
(124269,200143,1,100,'Resurrects target with 15% health and power',0,14),
(124270,200143,1,100,'If outside an arena',0,15),
(124271,200143,1,100,'If between levels 1 - 6',2,16),
(124272,200143,1,100,'If outside an arena',0,17),
(124273,2000626,1,100,'Heals target for 3672 - 4488',0,0),
(124274,2000626,1,100,'When any damage is received this spell will cast Seraph''s Intervention on target.  ',0,1),
(124275,2000626,1,100,'Heals target for 3164 - 3868',1,2),
(124276,2000626,1,100,'Grants a total of 2 triggers of the spell.',1,3),
(124277,2000627,1,100,'Dispels 5 levels of elemental, noxious and arcane beneficial effects on target',0,0),
(124278,2000627,1,100,'Casts Mana Drain for each successful Dispel.',0,1),
(124279,2000627,1,100,'Drains 2% of caster''s power for each effect dispelled.',2,2),
(124280,2000627,2,100,'Dispels 5 levels of elemental, noxious and arcane beneficial effects on target',0,0),
(124281,2000627,2,100,'Casts Mana Drain for each successful Dispel.',0,1),
(124282,2000627,2,100,'Drains 2% of caster''s power for each effect dispelled.',2,2),
(124283,2000627,3,100,'Dispels 5 levels of elemental, noxious and arcane beneficial effects on target',0,0),
(124284,2000627,3,100,'Casts Mana Drain for each successful Dispel.',0,1),
(124285,2000627,3,100,'Drains 2% of caster''s power for each effect dispelled.',2,2),
(124286,2000627,4,100,'Dispels 6 levels of elemental, noxious and arcane beneficial effects on target',0,0),
(124287,2000627,4,100,'Casts Mana Drain for each successful Dispel.',0,1),
(124288,2000627,4,100,'Drains 2% of caster''s power for each effect dispelled.',2,2),
(124289,2000627,5,100,'Dispels 6 levels of elemental, noxious and arcane beneficial effects on target',0,0),
(124290,2000627,5,100,'Casts Mana Drain for each successful Dispel.',0,1),
(124291,2000627,5,100,'Drains 2% of caster''s power for each effect dispelled.',2,2),
(124292,2000627,6,100,'Dispels 7 levels of elemental, noxious and arcane beneficial effects on target',0,0),
(124293,2000627,6,100,'Casts Mana Drain for each successful Dispel.',0,1),
(124294,2000627,6,100,'Drains 2% of caster''s power for each effect dispelled.',2,2),
(124295,2000627,7,100,'Dispels 8 levels of elemental, noxious and arcane beneficial effects on target',0,0),
(124296,2000627,7,100,'Casts Mana Drain for each successful Dispel.',0,1),
(124297,2000627,7,100,'Drains 2% of caster''s power for each effect dispelled.',2,2),
(124298,2000627,8,100,'Dispels 8 levels of elemental, noxious and arcane beneficial effects on target',0,0),
(124299,2000627,8,100,'Casts Mana Drain for each successful Dispel.',0,1),
(124300,2000627,8,100,'Drains 2% of caster''s power for each effect dispelled.',2,2),
(124301,2000627,9,100,'Dispels 9 levels of elemental, noxious and arcane beneficial effects on target',0,0),
(124302,2000627,9,100,'Casts Mana Drain for each successful Dispel.',0,1),
(124303,2000627,9,100,'Drains 2% of caster''s power for each effect dispelled.',2,2),
(124304,2000627,10,100,'Dispels 9 levels of elemental, noxious and arcane beneficial effects on target',0,0),
(124305,2000627,10,100,'Casts Mana Drain for each successful Dispel.',0,1),
(124306,2000627,10,100,'Drains 2% of caster''s power for each effect dispelled.',2,2),
(124307,2000628,1,100,'Makes caster immune to Stun effects',0,0),
(124308,2000628,1,100,'Prevents caster from being Interrupted',0,1),
(124309,2000629,1,100,'Increases AGI of caster by 4.5',0,0),
(124310,2000629,1,100,'Increases Defense of caster by 0.0',0,1),
(124311,2000630,1,100,'This spell can only trigger if your pet is alive.',0,0),
(124312,2000630,1,100,'If the summoner dies while their pet is still alive, they will instead be healed for the pet''s current health. The pet will be set to 1 health. This spell can only trigger once.',0,1),
(124313,2000630,1,100,'Cannot be modified except by direct means',0,2),
(124314,300160,5,100,'Summons a limited pet to aid the caster',0,0),
(124315,300161,5,100,'Summons a limited pet to aid the caster',0,0),
(124316,300162,5,100,'Summons a limited pet to aid the caster',0,0),
(124317,300160,7,100,'Summons a limited pet to aid the caster',0,0),
(124318,300162,7,100,'Summons a limited pet to aid the caster',0,0),
(124319,300161,7,100,'Summons a limited pet to aid the caster',0,0),
(124320,300160,9,100,'Summons a limited pet to aid the caster',0,0),
(124321,300161,9,100,'Summons a limited pet to aid the caster',0,0),
(124322,300162,9,100,'Summons a limited pet to aid the caster',0,0),
(124323,300160,10,100,'Summons a limited pet to aid the caster',0,0),
(124324,300162,10,100,'Summons a limited pet to aid the caster',0,0),
(124325,2000631,1,100,'Applies Sever Hate.',0,0),
(124326,2000631,1,100,'Decreases threat priority of target by 2 positions',1,1),
(124327,230151,1,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(124328,230151,1,100,'Slows target by 27.9%',1,1),
(124329,230151,1,100,'5% chance to dispel when target receives hostile action',1,2),
(124330,230151,1,100,'5% chance to dispel when target takes damage',1,3),
(124331,230151,1,100,'Roots target',0,4),
(124332,230151,1,100,'15% chance to dispel when target takes damage',0,5),
(124333,230151,1,100,'Does not affect Epic targets',0,6),
(124334,230151,1,100,'Resistibility increases against targets higher than level 29.',0,7),
(124335,230151,2,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(124336,230151,2,100,'Slows target by 29.4%',1,1),
(124337,230151,2,100,'5% chance to dispel when target receives hostile action',1,2),
(124338,230151,2,100,'5% chance to dispel when target takes damage',1,3),
(124339,230151,2,100,'Roots target',0,4),
(124340,230151,2,100,'15% chance to dispel when target takes damage',0,5),
(124341,230151,2,100,'Does not affect Epic targets',0,6),
(124342,230151,2,100,'Resistibility increases against targets higher than level 29.',0,7),
(124343,230151,3,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(124344,230151,3,100,'Slows target by 31.0%',1,1),
(124345,230151,3,100,'5% chance to dispel when target receives hostile action',1,2),
(124346,230151,3,100,'5% chance to dispel when target takes damage',1,3),
(124347,230151,3,100,'Roots target',0,4),
(124348,230151,3,100,'15% chance to dispel when target takes damage',0,5),
(124349,230151,3,100,'Does not affect Epic targets',0,6),
(124350,230151,3,100,'Resistibility increases against targets higher than level 29.',0,7),
(124351,230151,4,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(124352,230151,4,100,'Slows target by 34.1%',1,1),
(124353,230151,4,100,'5% chance to dispel when target receives hostile action',1,2),
(124354,230151,4,100,'5% chance to dispel when target takes damage',1,3),
(124355,230151,4,100,'Roots target',0,4),
(124356,230151,4,100,'15% chance to dispel when target takes damage',0,5),
(124357,230151,4,100,'Does not affect Epic targets',0,6),
(124358,230151,4,100,'Resistibility increases against targets higher than level 29.',0,7),
(124359,230151,5,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(124360,230151,5,100,'Slows target by 37.2%',1,1),
(124361,230151,5,100,'5% chance to dispel when target receives hostile action',1,2),
(124362,230151,5,100,'5% chance to dispel when target takes damage',1,3),
(124363,230151,5,100,'Roots target',0,4),
(124364,230151,5,100,'15% chance to dispel when target takes damage',0,5),
(124365,230151,5,100,'Does not affect Epic targets',0,6),
(124366,230151,5,100,'Resistibility increases against targets higher than level 29.',0,7),
(124367,230151,7,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(124368,230151,7,100,'Slows target by 47.7%',1,1),
(124369,230151,7,100,'5% chance to dispel when target receives hostile action',1,2),
(124370,230151,7,100,'5% chance to dispel when target takes damage',1,3),
(124371,230151,7,100,'Roots target',0,4),
(124372,230151,7,100,'15% chance to dispel when target takes damage',0,5),
(124373,230151,7,100,'Does not affect Epic targets',0,6),
(124374,230151,7,100,'Resistibility increases against targets higher than level 29.',0,7),
(124375,230151,9,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(124376,230151,9,100,'Slows target by 49.6%',1,1),
(124377,230151,9,100,'5% chance to dispel when target receives hostile action',1,2),
(124378,230151,9,100,'5% chance to dispel when target takes damage',1,3),
(124379,230151,9,100,'Roots target',0,4),
(124380,230151,9,100,'15% chance to dispel when target takes damage',0,5),
(124381,230151,9,100,'Does not affect Epic targets',0,6),
(124382,230151,9,100,'Resistibility increases against targets higher than level 29.',0,7),
(124383,230152,1,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(124384,230152,1,100,'Slows target by 30.4%',1,1),
(124385,230152,1,100,'5% chance to dispel when target receives hostile action',1,2),
(124386,230152,1,100,'5% chance to dispel when target takes damage',1,3),
(124387,230152,1,100,'Roots target',0,4),
(124388,230152,1,100,'15% chance to dispel when target takes damage',0,5),
(124389,230152,1,100,'Does not affect Epic targets',0,6),
(124390,230152,1,100,'Resistibility increases against targets higher than level 29.',0,7),
(124391,230152,2,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(124392,230152,2,100,'Slows target by 32.1%',1,1),
(124393,230152,2,100,'5% chance to dispel when target receives hostile action',1,2),
(124394,230152,2,100,'5% chance to dispel when target takes damage',1,3),
(124395,230152,2,100,'Roots target',0,4),
(124396,230152,2,100,'15% chance to dispel when target takes damage',0,5),
(124397,230152,2,100,'Does not affect Epic targets',0,6),
(124398,230152,2,100,'Resistibility increases against targets higher than level 29.',0,7),
(124399,230152,3,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(124400,230152,3,100,'Slows target by 33.8%',1,1),
(124401,230152,3,100,'5% chance to dispel when target receives hostile action',1,2),
(124402,230152,3,100,'5% chance to dispel when target takes damage',1,3),
(124403,230152,3,100,'Roots target',0,4),
(124404,230152,3,100,'15% chance to dispel when target takes damage',0,5),
(124405,230152,3,100,'Does not affect Epic targets',0,6),
(124406,230152,3,100,'Resistibility increases against targets higher than level 29.',0,7),
(124407,230152,4,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(124408,230152,4,100,'Slows target by 37.2%',1,1),
(124409,230152,4,100,'5% chance to dispel when target receives hostile action',1,2),
(124410,230152,4,100,'5% chance to dispel when target takes damage',1,3),
(124411,230152,4,100,'Roots target',0,4),
(124412,230152,4,100,'15% chance to dispel when target takes damage',0,5),
(124413,230152,4,100,'Does not affect Epic targets',0,6),
(124414,230152,4,100,'Resistibility increases against targets higher than level 29.',0,7),
(124415,230152,5,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(124416,230152,5,100,'Slows target by 40.6%',1,1),
(124417,230152,5,100,'5% chance to dispel when target receives hostile action',1,2),
(124418,230152,5,100,'5% chance to dispel when target takes damage',1,3),
(124419,230152,5,100,'Roots target',0,4),
(124420,230152,5,100,'15% chance to dispel when target takes damage',0,5),
(124421,230152,5,100,'Does not affect Epic targets',0,6),
(124422,230152,5,100,'Resistibility increases against targets higher than level 29.',0,7),
(124423,230152,7,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(124424,230152,7,100,'Slows target by 52.1%',1,1),
(124425,230152,7,100,'5% chance to dispel when target receives hostile action',1,2),
(124426,230152,7,100,'5% chance to dispel when target takes damage',1,3),
(124427,230152,7,100,'Roots target',0,4),
(124428,230152,7,100,'15% chance to dispel when target takes damage',0,5),
(124429,230152,7,100,'Does not affect Epic targets',0,6),
(124430,230152,7,100,'Resistibility increases against targets higher than level 29.',0,7),
(124431,230152,9,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(124432,230152,9,100,'Slows target by 54.1%',1,1),
(124433,230152,9,100,'5% chance to dispel when target receives hostile action',1,2),
(124434,230152,9,100,'5% chance to dispel when target takes damage',1,3),
(124435,230152,9,100,'Roots target',0,4),
(124436,230152,9,100,'15% chance to dispel when target takes damage',0,5),
(124437,230152,9,100,'Does not affect Epic targets',0,6),
(124438,230152,9,100,'Resistibility increases against targets higher than level 29.',0,7),
(124439,230153,1,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(124440,230153,1,100,'Slows target by 32.9%',1,1),
(124441,230153,1,100,'5% chance to dispel when target receives hostile action',1,2),
(124442,230153,1,100,'5% chance to dispel when target takes damage',1,3),
(124443,230153,1,100,'Roots target',0,4),
(124444,230153,1,100,'15% chance to dispel when target takes damage',0,5),
(124445,230153,1,100,'Does not affect Epic targets',0,6),
(124446,230153,1,100,'Resistibility increases against targets higher than level 29.',0,7),
(124447,230153,2,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(124448,230153,2,100,'Slows target by 34.8%',1,1),
(124449,230153,2,100,'5% chance to dispel when target receives hostile action',1,2),
(124450,230153,2,100,'5% chance to dispel when target takes damage',1,3),
(124451,230153,2,100,'Roots target',0,4),
(124452,230153,2,100,'15% chance to dispel when target takes damage',0,5),
(124453,230153,2,100,'Does not affect Epic targets',0,6),
(124454,230153,2,100,'Resistibility increases against targets higher than level 29.',0,7),
(124455,230153,3,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(124456,230153,3,100,'Slows target by 36.6%',1,1),
(124457,230153,3,100,'5% chance to dispel when target receives hostile action',1,2),
(124458,230153,3,100,'5% chance to dispel when target takes damage',1,3),
(124459,230153,3,100,'Roots target',0,4),
(124460,230153,3,100,'15% chance to dispel when target takes damage',0,5),
(124461,230153,3,100,'Does not affect Epic targets',0,6),
(124462,230153,3,100,'Resistibility increases against targets higher than level 29.',0,7),
(124463,230153,4,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(124464,230153,4,100,'Slows target by 40.3%',1,1),
(124465,230153,4,100,'5% chance to dispel when target receives hostile action',1,2),
(124466,230153,4,100,'5% chance to dispel when target takes damage',1,3),
(124467,230153,4,100,'Roots target',0,4),
(124468,230153,4,100,'15% chance to dispel when target takes damage',0,5),
(124469,230153,4,100,'Does not affect Epic targets',0,6),
(124470,230153,4,100,'Resistibility increases against targets higher than level 29.',0,7),
(124471,230153,5,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(124472,230153,5,100,'Slows target by 43.9%',1,1),
(124473,230153,5,100,'5% chance to dispel when target receives hostile action',1,2),
(124474,230153,5,100,'5% chance to dispel when target takes damage',1,3),
(124475,230153,5,100,'Roots target',0,4),
(124476,230153,5,100,'15% chance to dispel when target takes damage',0,5),
(124477,230153,5,100,'Does not affect Epic targets',0,6),
(124478,230153,5,100,'Resistibility increases against targets higher than level 29.',0,7),
(124479,230153,7,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(124480,230153,7,100,'Slows target by 56.4%',1,1),
(124481,230153,7,100,'5% chance to dispel when target receives hostile action',1,2),
(124482,230153,7,100,'5% chance to dispel when target takes damage',1,3),
(124483,230153,7,100,'Roots target',0,4),
(124484,230153,7,100,'15% chance to dispel when target takes damage',0,5),
(124485,230153,7,100,'Does not affect Epic targets',0,6),
(124486,230153,7,100,'Resistibility increases against targets higher than level 29.',0,7),
(124487,230153,9,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(124488,230153,9,100,'Slows target by 58.6%',1,1),
(124489,230153,9,100,'5% chance to dispel when target receives hostile action',1,2),
(124490,230153,9,100,'5% chance to dispel when target takes damage',1,3),
(124491,230153,9,100,'Roots target',0,4),
(124492,230153,9,100,'15% chance to dispel when target takes damage',0,5),
(124493,230153,9,100,'Does not affect Epic targets',0,6),
(124494,230153,9,100,'Resistibility increases against targets higher than level 29.',0,7),
(124495,230154,1,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(124496,230154,1,100,'Slows target by 35.5%',1,1),
(124497,230154,1,100,'5% chance to dispel when target receives hostile action',1,2),
(124498,230154,1,100,'5% chance to dispel when target takes damage',1,3),
(124499,230154,1,100,'Roots target',0,4),
(124500,230154,1,100,'15% chance to dispel when target takes damage',0,5),
(124501,230154,1,100,'Does not affect Epic targets',0,6),
(124502,230154,1,100,'Resistibility increases against targets higher than level 29.',0,7),
(124503,230154,2,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(124504,230154,2,100,'Slows target by 37.4%',1,1),
(124505,230154,2,100,'5% chance to dispel when target receives hostile action',1,2),
(124506,230154,2,100,'5% chance to dispel when target takes damage',1,3),
(124507,230154,2,100,'Roots target',0,4),
(124508,230154,2,100,'15% chance to dispel when target takes damage',0,5),
(124509,230154,2,100,'Does not affect Epic targets',0,6),
(124510,230154,2,100,'Resistibility increases against targets higher than level 29.',0,7),
(124511,230154,3,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(124512,230154,3,100,'Slows target by 39.4%',1,1),
(124513,230154,3,100,'5% chance to dispel when target receives hostile action',1,2),
(124514,230154,3,100,'5% chance to dispel when target takes damage',1,3),
(124515,230154,3,100,'Roots target',0,4),
(124516,230154,3,100,'15% chance to dispel when target takes damage',0,5),
(124517,230154,3,100,'Does not affect Epic targets',0,6),
(124518,230154,3,100,'Resistibility increases against targets higher than level 29.',0,7),
(124519,230154,4,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(124520,230154,4,100,'Slows target by 43.3%',1,1),
(124521,230154,4,100,'5% chance to dispel when target receives hostile action',1,2),
(124522,230154,4,100,'5% chance to dispel when target takes damage',1,3),
(124523,230154,4,100,'Roots target',0,4),
(124524,230154,4,100,'15% chance to dispel when target takes damage',0,5),
(124525,230154,4,100,'Does not affect Epic targets',0,6),
(124526,230154,4,100,'Resistibility increases against targets higher than level 29.',0,7),
(124527,230154,5,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(124528,230154,5,100,'Slows target by 47.3%',1,1),
(124529,230154,5,100,'5% chance to dispel when target receives hostile action',1,2),
(124530,230154,5,100,'5% chance to dispel when target takes damage',1,3),
(124531,230154,5,100,'Roots target',0,4),
(124532,230154,5,100,'15% chance to dispel when target takes damage',0,5),
(124533,230154,5,100,'Does not affect Epic targets',0,6),
(124534,230154,5,100,'Resistibility increases against targets higher than level 29.',0,7),
(124535,230154,7,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(124536,230154,7,100,'Slows target by 60.7%',1,1),
(124537,230154,7,100,'5% chance to dispel when target receives hostile action',1,2),
(124538,230154,7,100,'5% chance to dispel when target takes damage',1,3),
(124539,230154,7,100,'Roots target',0,4),
(124540,230154,7,100,'15% chance to dispel when target takes damage',0,5),
(124541,230154,7,100,'Does not affect Epic targets',0,6),
(124542,230154,7,100,'Resistibility increases against targets higher than level 29.',0,7),
(124543,230154,9,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(124544,230154,9,100,'Slows target by 63.0%',1,1),
(124545,230154,9,100,'5% chance to dispel when target receives hostile action',1,2),
(124546,230154,9,100,'5% chance to dispel when target takes damage',1,3),
(124547,230154,9,100,'Roots target',0,4),
(124548,230154,9,100,'15% chance to dispel when target takes damage',0,5),
(124549,230154,9,100,'Does not affect Epic targets',0,6),
(124550,230154,9,100,'Resistibility increases against targets higher than level 29.',0,7),
(124551,230155,1,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(124552,230155,1,100,'Slows target by 36.4%',1,1),
(124553,230155,1,100,'5% chance to dispel when target receives hostile action',1,2),
(124554,230155,1,100,'5% chance to dispel when target takes damage',1,3),
(124555,230155,1,100,'Roots target',0,4),
(124556,230155,1,100,'15% chance to dispel when target takes damage',0,5),
(124557,230155,1,100,'Does not affect Epic targets',0,6),
(124558,230155,1,100,'Resistibility increases against targets higher than level 29.',0,7),
(124559,230155,2,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(124560,230155,2,100,'Slows target by 38.4%',1,1),
(124561,230155,2,100,'5% chance to dispel when target receives hostile action',1,2),
(124562,230155,2,100,'5% chance to dispel when target takes damage',1,3),
(124563,230155,2,100,'Roots target',0,4),
(124564,230155,2,100,'15% chance to dispel when target takes damage',0,5),
(124565,230155,2,100,'Does not affect Epic targets',0,6),
(124566,230155,2,100,'Resistibility increases against targets higher than level 29.',0,7),
(124567,230155,3,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(124568,230155,3,100,'Slows target by 40.4%',1,1),
(124569,230155,3,100,'5% chance to dispel when target receives hostile action',1,2),
(124570,230155,3,100,'5% chance to dispel when target takes damage',1,3),
(124571,230155,3,100,'Roots target',0,4),
(124572,230155,3,100,'15% chance to dispel when target takes damage',0,5),
(124573,230155,3,100,'Does not affect Epic targets',0,6),
(124574,230155,3,100,'Resistibility increases against targets higher than level 29.',0,7),
(124575,230155,4,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(124576,230155,4,100,'Slows target by 44.5%',1,1),
(124577,230155,4,100,'5% chance to dispel when target receives hostile action',1,2),
(124578,230155,4,100,'5% chance to dispel when target takes damage',1,3),
(124579,230155,4,100,'Roots target',0,4),
(124580,230155,4,100,'15% chance to dispel when target takes damage',0,5),
(124581,230155,4,100,'Does not affect Epic targets',0,6),
(124582,230155,4,100,'Resistibility increases against targets higher than level 29.',0,7),
(124583,230155,5,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(124584,230155,5,100,'Slows target by 48.5%',1,1),
(124585,230155,5,100,'5% chance to dispel when target receives hostile action',1,2),
(124586,230155,5,100,'5% chance to dispel when target takes damage',1,3),
(124587,230155,5,100,'Roots target',0,4),
(124588,230155,5,100,'15% chance to dispel when target takes damage',0,5),
(124589,230155,5,100,'Does not affect Epic targets',0,6),
(124590,230155,5,100,'Resistibility increases against targets higher than level 29.',0,7),
(124591,230155,7,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(124592,230155,7,100,'Slows target by 62.3%',1,1),
(124593,230155,7,100,'5% chance to dispel when target receives hostile action',1,2),
(124594,230155,7,100,'5% chance to dispel when target takes damage',1,3),
(124595,230155,7,100,'Roots target',0,4),
(124596,230155,7,100,'15% chance to dispel when target takes damage',0,5),
(124597,230155,7,100,'Does not affect Epic targets',0,6),
(124598,230155,7,100,'Resistibility increases against targets higher than level 29.',0,7),
(124599,230155,9,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(124600,230155,9,100,'Slows target by 64.7%',1,1),
(124601,230155,9,100,'5% chance to dispel when target receives hostile action',1,2),
(124602,230155,9,100,'5% chance to dispel when target takes damage',1,3),
(124603,230155,9,100,'Roots target',0,4),
(124604,230155,9,100,'15% chance to dispel when target takes damage',0,5),
(124605,230155,9,100,'Does not affect Epic targets',0,6),
(124606,230155,9,100,'Resistibility increases against targets higher than level 29.',0,7),
(124607,230156,1,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(124608,230156,1,100,'Slows target by 36.8%',1,1),
(124609,230156,1,100,'5% chance to dispel when target receives hostile action',1,2),
(124610,230156,1,100,'5% chance to dispel when target takes damage',1,3),
(124611,230156,1,100,'Roots target',0,4),
(124612,230156,1,100,'15% chance to dispel when target takes damage',0,5),
(124613,230156,1,100,'Does not affect Epic targets',0,6),
(124614,230156,1,100,'Resistibility increases against targets higher than level 29.',0,7),
(124615,230156,2,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(124616,230156,2,100,'Slows target by 38.9%',1,1),
(124617,230156,2,100,'5% chance to dispel when target receives hostile action',1,2),
(124618,230156,2,100,'5% chance to dispel when target takes damage',1,3),
(124619,230156,2,100,'Roots target',0,4),
(124620,230156,2,100,'15% chance to dispel when target takes damage',0,5),
(124621,230156,2,100,'Does not affect Epic targets',0,6),
(124622,230156,2,100,'Resistibility increases against targets higher than level 29.',0,7),
(124623,230156,3,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(124624,230156,3,100,'Slows target by 40.9%',1,1),
(124625,230156,3,100,'5% chance to dispel when target receives hostile action',1,2),
(124626,230156,3,100,'5% chance to dispel when target takes damage',1,3),
(124627,230156,3,100,'Roots target',0,4),
(124628,230156,3,100,'15% chance to dispel when target takes damage',0,5),
(124629,230156,3,100,'Does not affect Epic targets',0,6),
(124630,230156,3,100,'Resistibility increases against targets higher than level 29.',0,7),
(124631,230156,4,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(124632,230156,4,100,'Slows target by 45.0%',1,1),
(124633,230156,4,100,'5% chance to dispel when target receives hostile action',1,2),
(124634,230156,4,100,'5% chance to dispel when target takes damage',1,3),
(124635,230156,4,100,'Roots target',0,4),
(124636,230156,4,100,'15% chance to dispel when target takes damage',0,5),
(124637,230156,4,100,'Does not affect Epic targets',0,6),
(124638,230156,4,100,'Resistibility increases against targets higher than level 29.',0,7),
(124639,230156,5,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(124640,230156,5,100,'Slows target by 49.1%',1,1),
(124641,230156,5,100,'5% chance to dispel when target receives hostile action',1,2),
(124642,230156,5,100,'5% chance to dispel when target takes damage',1,3),
(124643,230156,5,100,'Roots target',0,4),
(124644,230156,5,100,'15% chance to dispel when target takes damage',0,5),
(124645,230156,5,100,'Does not affect Epic targets',0,6),
(124646,230156,5,100,'Resistibility increases against targets higher than level 29.',0,7),
(124647,230156,7,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(124648,230156,7,100,'Slows target by 63.0%',1,1),
(124649,230156,7,100,'5% chance to dispel when target receives hostile action',1,2),
(124650,230156,7,100,'5% chance to dispel when target takes damage',1,3),
(124651,230156,7,100,'Roots target',0,4),
(124652,230156,7,100,'15% chance to dispel when target takes damage',0,5),
(124653,230156,7,100,'Does not affect Epic targets',0,6),
(124654,230156,7,100,'Resistibility increases against targets higher than level 29.',0,7),
(124655,230156,9,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(124656,230156,9,100,'Slows target by 65.5%',1,1),
(124657,230156,9,100,'5% chance to dispel when target receives hostile action',1,2),
(124658,230156,9,100,'5% chance to dispel when target takes damage',1,3),
(124659,230156,9,100,'Roots target',0,4),
(124660,230156,9,100,'15% chance to dispel when target takes damage',0,5),
(124661,230156,9,100,'Does not affect Epic targets',0,6),
(124662,230156,9,100,'Resistibility increases against targets higher than level 29.',0,7),
(124663,230157,1,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(124664,230157,1,100,'Slows target by 37.2%',1,1),
(124665,230157,1,100,'5% chance to dispel when target receives hostile action',1,2),
(124666,230157,1,100,'5% chance to dispel when target takes damage',1,3),
(124667,230157,1,100,'Roots target',0,4),
(124668,230157,1,100,'15% chance to dispel when target takes damage',0,5),
(124669,230157,1,100,'Does not affect Epic targets',0,6),
(124670,230157,1,100,'Resistibility increases against targets higher than level 29.',0,7),
(124671,230157,4,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(124672,230157,4,100,'Slows target by 45.5%',1,1),
(124673,230157,4,100,'5% chance to dispel when target receives hostile action',1,2),
(124674,230157,4,100,'5% chance to dispel when target takes damage',1,3),
(124675,230157,4,100,'Roots target',0,4),
(124676,230157,4,100,'15% chance to dispel when target takes damage',0,5),
(124677,230157,4,100,'Does not affect Epic targets',0,6),
(124678,230157,4,100,'Resistibility increases against targets higher than level 29.',0,7),
(124679,230157,5,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(124680,230157,5,100,'Slows target by 49.6%',1,1),
(124681,230157,5,100,'5% chance to dispel when target receives hostile action',1,2),
(124682,230157,5,100,'5% chance to dispel when target takes damage',1,3),
(124683,230157,5,100,'Roots target',0,4),
(124684,230157,5,100,'15% chance to dispel when target takes damage',0,5),
(124685,230157,5,100,'Does not affect Epic targets',0,6),
(124686,230157,5,100,'Resistibility increases against targets higher than level 29.',0,7),
(124687,230157,7,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(124688,230157,7,100,'Slows target by 63.6%',1,1),
(124689,230157,7,100,'5% chance to dispel when target receives hostile action',1,2),
(124690,230157,7,100,'5% chance to dispel when target takes damage',1,3),
(124691,230157,7,100,'Roots target',0,4),
(124692,230157,7,100,'15% chance to dispel when target takes damage',0,5),
(124693,230157,7,100,'Does not affect Epic targets',0,6),
(124694,230157,7,100,'Resistibility increases against targets higher than level 29.',0,7),
(124695,230157,9,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(124696,230157,9,100,'Slows target by 66.1%',1,1),
(124697,230157,9,100,'5% chance to dispel when target receives hostile action',1,2),
(124698,230157,9,100,'5% chance to dispel when target takes damage',1,3),
(124699,230157,9,100,'Roots target',0,4),
(124700,230157,9,100,'15% chance to dispel when target takes damage',0,5),
(124701,230157,9,100,'Does not affect Epic targets',0,6),
(124702,230157,9,100,'Resistibility increases against targets higher than level 29.',0,7),
(124703,230158,1,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(124704,230158,1,100,'Slows target by 37.5%',1,1),
(124705,230158,1,100,'5% chance to dispel when target receives hostile action',1,2),
(124706,230158,1,100,'5% chance to dispel when target takes damage',1,3),
(124707,230158,1,100,'Roots target',0,4),
(124708,230158,1,100,'15% chance to dispel when target takes damage',0,5),
(124709,230158,1,100,'Does not affect Epic targets',0,6),
(124710,230158,1,100,'Resistibility increases against targets higher than level 29.',0,7),
(124711,230158,4,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(124712,230158,4,100,'Slows target by 45.9%',1,1),
(124713,230158,4,100,'5% chance to dispel when target receives hostile action',1,2),
(124714,230158,4,100,'5% chance to dispel when target takes damage',1,3),
(124715,230158,4,100,'Roots target',0,4),
(124716,230158,4,100,'15% chance to dispel when target takes damage',0,5),
(124717,230158,4,100,'Does not affect Epic targets',0,6),
(124718,230158,4,100,'Resistibility increases against targets higher than level 29.',0,7),
(124719,230158,5,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(124720,230158,5,100,'Slows target by 50.1%',1,1),
(124721,230158,5,100,'5% chance to dispel when target receives hostile action',1,2),
(124722,230158,5,100,'5% chance to dispel when target takes damage',1,3),
(124723,230158,5,100,'Roots target',0,4),
(124724,230158,5,100,'15% chance to dispel when target takes damage',0,5),
(124725,230158,5,100,'Does not affect Epic targets',0,6),
(124726,230158,5,100,'Resistibility increases against targets higher than level 29.',0,7),
(124727,230158,7,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(124728,230158,7,100,'Slows target by 64.2%',1,1),
(124729,230158,7,100,'5% chance to dispel when target receives hostile action',1,2),
(124730,230158,7,100,'5% chance to dispel when target takes damage',1,3),
(124731,230158,7,100,'Roots target',0,4),
(124732,230158,7,100,'15% chance to dispel when target takes damage',0,5),
(124733,230158,7,100,'Does not affect Epic targets',0,6),
(124734,230158,7,100,'Resistibility increases against targets higher than level 29.',0,7),
(124735,230158,9,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(124736,230158,9,100,'Slows target by 66.8%',1,1),
(124737,230158,9,100,'5% chance to dispel when target receives hostile action',1,2),
(124738,230158,9,100,'5% chance to dispel when target takes damage',1,3),
(124739,230158,9,100,'Roots target',0,4),
(124740,230158,9,100,'15% chance to dispel when target takes damage',0,5),
(124741,230158,9,100,'Does not affect Epic targets',0,6),
(124742,230158,9,100,'Resistibility increases against targets higher than level 29.',0,7),
(124743,90165,1,100,'Inflicts 41 - 62 disease damage on target',0,0),
(124744,90165,1,100,'Inflicts 16 - 25 disease damage on target every 4 seconds',0,1),
(124745,90165,2,100,'Inflicts 43 - 65 disease damage on target',0,0),
(124746,90165,2,100,'Inflicts 17 - 26 disease damage on target every 4 seconds',0,1),
(124747,90165,3,100,'Inflicts 46 - 68 disease damage on target',0,0),
(124748,90165,3,100,'Inflicts 18 - 27 disease damage on target every 4 seconds',0,1),
(124749,90165,4,100,'Inflicts 50 - 75 disease damage on target',0,0),
(124750,90165,4,100,'Inflicts 20 - 30 disease damage on target every 4 seconds',0,1),
(124751,90165,5,100,'Inflicts 55 - 82 disease damage on target',0,0),
(124752,90165,5,100,'Inflicts 22 - 33 disease damage on target every 4 seconds',0,1),
(124753,90165,7,100,'Inflicts 70 - 105 disease damage on target',0,0),
(124754,90165,7,100,'Inflicts 28 - 42 disease damage on target every 4 seconds',0,1),
(124755,90165,9,100,'Inflicts 73 - 110 disease damage on target',0,0),
(124756,90165,9,100,'Inflicts 29 - 44 disease damage on target every 4 seconds',0,1),
(124759,90166,1,100,'Inflicts 71 - 107 disease damage on target',0,0),
(124760,90166,1,100,'Inflicts 29 - 43 disease damage on target every 4 seconds',0,1),
(124761,90166,2,100,'Inflicts 75 - 113 disease damage on target',0,0),
(124762,90166,2,100,'Inflicts 30 - 45 disease damage on target every 4 seconds',0,1),
(124763,90166,3,100,'Inflicts 79 - 119 disease damage on target',0,0),
(124764,90166,3,100,'Inflicts 32 - 48 disease damage on target every 4 seconds',0,1),
(124765,90166,4,100,'Inflicts 87 - 131 disease damage on target',0,0),
(124766,90166,4,100,'Inflicts 35 - 52 disease damage on target every 4 seconds',0,1),
(124767,90166,5,100,'Inflicts 95 - 143 disease damage on target',0,0),
(124768,90166,5,100,'Inflicts 38 - 57 disease damage on target every 4 seconds',0,1),
(124769,90166,7,100,'Inflicts 122 - 183 disease damage on target',0,0),
(124770,90166,7,100,'Inflicts 49 - 73 disease damage on target every 4 seconds',0,1),
(124771,90166,9,100,'Inflicts 127 - 190 disease damage on target',0,0),
(124772,90166,9,100,'Inflicts 51 - 76 disease damage on target every 4 seconds',0,1),
(124773,90167,1,100,'Inflicts 107 - 161 disease damage on target',0,0),
(124774,90167,1,100,'Inflicts 43 - 64 disease damage on target every 4 seconds',0,1),
(124775,90167,2,100,'Inflicts 113 - 170 disease damage on target',0,0),
(124776,90167,2,100,'Inflicts 45 - 68 disease damage on target every 4 seconds',0,1),
(124777,90167,3,100,'Inflicts 119 - 178 disease damage on target',0,0),
(124778,90167,3,100,'Inflicts 48 - 71 disease damage on target every 4 seconds',0,1),
(124779,90167,4,100,'Inflicts 131 - 196 disease damage on target',0,0),
(124780,90167,4,100,'Inflicts 52 - 79 disease damage on target every 4 seconds',0,1),
(124781,90167,5,100,'Inflicts 143 - 214 disease damage on target',0,0),
(124782,90167,5,100,'Inflicts 57 - 86 disease damage on target every 4 seconds',0,1),
(124783,90167,7,100,'Inflicts 183 - 275 disease damage on target',0,0),
(124784,90167,7,100,'Inflicts 73 - 110 disease damage on target every 4 seconds',0,1),
(124785,90167,9,100,'Inflicts 190 - 286 disease damage on target',0,0),
(124786,90167,9,100,'Inflicts 76 - 114 disease damage on target every 4 seconds',0,1),
(124789,90168,1,100,'Inflicts 145 - 217 disease damage on target',0,0),
(124790,90168,1,100,'Inflicts 58 - 87 disease damage on target every 4 seconds',0,1),
(124791,90168,2,100,'Inflicts 153 - 229 disease damage on target',0,0),
(124792,90168,2,100,'Inflicts 61 - 92 disease damage on target every 4 seconds',0,1),
(124793,90168,3,100,'Inflicts 161 - 242 disease damage on target',0,0),
(124794,90168,3,100,'Inflicts 64 - 97 disease damage on target every 4 seconds',0,1),
(124795,90168,4,100,'Inflicts 177 - 266 disease damage on target',0,0),
(124796,90168,4,100,'Inflicts 71 - 106 disease damage on target every 4 seconds',0,1),
(124797,90168,5,100,'Inflicts 193 - 290 disease damage on target',0,0),
(124798,90168,5,100,'Inflicts 77 - 116 disease damage on target every 4 seconds',0,1),
(124799,90168,7,100,'Inflicts 248 - 372 disease damage on target',0,0),
(124800,90168,7,100,'Inflicts 99 - 149 disease damage on target every 4 seconds',0,1),
(124801,90168,9,100,'Inflicts 258 - 386 disease damage on target',0,0),
(124802,90168,9,100,'Inflicts 103 - 155 disease damage on target every 4 seconds',0,1),
(124805,90169,1,100,'Inflicts 182 - 273 disease damage on target',0,0),
(124806,90169,1,100,'Inflicts 73 - 109 disease damage on target every 4 seconds',0,1),
(124807,90169,2,100,'Inflicts 192 - 288 disease damage on target',0,0),
(124808,90169,2,100,'Inflicts 77 - 115 disease damage on target every 4 seconds',0,1),
(124809,90169,3,100,'Inflicts 202 - 303 disease damage on target',0,0),
(124810,90169,3,100,'Inflicts 81 - 121 disease damage on target every 4 seconds',0,1),
(124811,90169,4,100,'Inflicts 222 - 333 disease damage on target',0,0),
(124812,90169,4,100,'Inflicts 89 - 133 disease damage on target every 4 seconds',0,1),
(124813,90169,5,100,'Inflicts 242 - 363 disease damage on target',0,0),
(124814,90169,5,100,'Inflicts 97 - 145 disease damage on target every 4 seconds',0,1),
(124815,90169,7,100,'Inflicts 311 - 466 disease damage on target',0,0),
(124816,90169,7,100,'Inflicts 124 - 187 disease damage on target every 4 seconds',0,1),
(124817,90169,9,100,'Inflicts 323 - 485 disease damage on target',0,0),
(124818,90169,9,100,'Inflicts 129 - 194 disease damage on target every 4 seconds',0,1),
(124819,90170,1,100,'Inflicts 219 - 329 disease damage on target',0,0),
(124820,90170,1,100,'Inflicts 88 - 132 disease damage on target every 4 seconds',0,1),
(124821,90170,4,100,'Inflicts 268 - 402 disease damage on target',0,0),
(124822,90170,4,100,'Inflicts 107 - 161 disease damage on target every 4 seconds',0,1),
(124823,90170,5,100,'Inflicts 292 - 438 disease damage on target',0,0),
(124824,90170,5,100,'Inflicts 117 - 175 disease damage on target every 4 seconds',0,1),
(124825,90170,7,100,'Inflicts 375 - 563 disease damage on target',0,0),
(124826,90170,7,100,'Inflicts 150 - 225 disease damage on target every 4 seconds',0,1),
(124827,90170,9,100,'Inflicts 390 - 585 disease damage on target',0,0),
(124828,90170,9,100,'Inflicts 156 - 234 disease damage on target every 4 seconds',0,1),
(124829,90171,1,100,'Inflicts 244 - 366 disease damage on target',0,0),
(124830,90171,1,100,'Inflicts 97 - 146 disease damage on target every 4 seconds',0,1),
(124831,90171,4,100,'Inflicts 298 - 447 disease damage on target',0,0),
(124832,90171,4,100,'Inflicts 119 - 179 disease damage on target every 4 seconds',0,1),
(124833,90171,5,100,'Inflicts 325 - 487 disease damage on target',0,0),
(124834,90171,5,100,'Inflicts 130 - 195 disease damage on target every 4 seconds',0,1),
(124835,90171,7,100,'Inflicts 417 - 625 disease damage on target',0,0),
(124836,90171,7,100,'Inflicts 167 - 250 disease damage on target every 4 seconds',0,1),
(124837,90171,9,100,'Inflicts 433 - 650 disease damage on target',0,0),
(124838,90171,9,100,'Inflicts 173 - 260 disease damage on target every 4 seconds',0,1),
(124839,240179,1,100,'Grants See Invisibility to group members (AE)',0,0),
(124840,240179,1,100,'Grants Sonic Vision to group members (AE)',0,1),
(124841,2000632,1,100,'Applies Shadow Step.',0,0),
(124842,2000632,1,100,'Inflicts 233 - 389 magic damage on target',1,1),
(124843,2000632,1,100,'Teleports the pet to the target if the pet is a scout or a fighter.',1,2),
(124844,2000632,2,100,'Applies Shadow Step.',0,0),
(124845,2000632,2,100,'Inflicts 328 - 548 magic damage on target',1,1),
(124846,2000632,2,100,'Teleports the pet to the target if the pet is a scout or a fighter.',1,2),
(124847,2000632,3,100,'Applies Shadow Step.',0,0),
(124848,2000632,3,100,'Inflicts 259 - 433 magic damage on target',1,1),
(124849,2000632,3,100,'Teleports the pet to the target if the pet is a scout or a fighter.',1,2),
(124850,2000632,4,100,'Applies Shadow Step.',0,0),
(124851,2000632,4,100,'Inflicts 285 - 476 magic damage on target',1,1),
(124852,2000632,4,100,'Teleports the pet to the target if the pet is a scout or a fighter.',1,2),
(124853,2000632,5,100,'Applies Shadow Step.',0,0),
(124854,2000632,5,100,'Inflicts 415 - 692 magic damage on target',1,1),
(124855,2000632,5,100,'Teleports the pet to the target if the pet is a scout or a fighter.',1,2),
(124856,2000632,6,100,'Applies Shadow Step.',0,0),
(124857,2000632,6,100,'Inflicts 337 - 562 magic damage on target',1,1),
(124858,2000632,6,100,'Teleports the pet to the target if the pet is a scout or a fighter.',1,2),
(124859,2000632,7,100,'Applies Shadow Step.',0,0),
(124860,2000632,7,100,'Inflicts 400 - 666 magic damage on target',1,1),
(124861,2000632,7,100,'Teleports the pet to the target if the pet is a scout or a fighter.',1,2),
(124862,2000632,8,100,'Applies Shadow Step.',0,0),
(124863,2000632,8,100,'Inflicts 402 - 671 magic damage on target',1,1),
(124864,2000632,8,100,'Teleports the pet to the target if the pet is a scout or a fighter.',1,2),
(124865,2000632,9,100,'Applies Shadow Step.',0,0),
(124866,2000632,9,100,'Inflicts 415 - 692 magic damage on target',1,1),
(124867,2000632,9,100,'Teleports the pet to the target if the pet is a scout or a fighter.',1,2),
(124868,2000632,10,100,'Applies Shadow Step.',0,0),
(124869,2000632,10,100,'Inflicts 436 - 727 magic damage on target',1,1),
(124870,2000632,10,100,'Teleports the pet to the target if the pet is a scout or a fighter.',1,2),
(124871,90172,1,100,'Teleports caster and caster''s group within the zone',0,0),
(124872,2000633,1,100,'Shapechanges caster into a tiger',0,0),
(124873,2000633,1,100,'On a melee hit this spell has a 10% chance to cast Tiger Bite on target of attack.  ',0,1),
(124874,2000633,1,100,'Inflicts 4 - 7 slashing damage on target',1,2),
(124875,2000633,2,100,'Shapechanges caster into a tiger',0,0),
(124876,2000633,2,100,'On a melee hit this spell has a 10% chance to cast Tiger Bite on target of attack.  ',0,1),
(124877,2000633,2,100,'Inflicts 277 - 462 slashing damage on target',1,2),
(124878,2000633,3,100,'Shapechanges caster into a tiger',0,0),
(124879,2000633,3,100,'On a melee hit this spell has a 10% chance to cast Tiger Bite on target of attack.  ',0,1),
(124880,2000633,3,100,'Inflicts 208 - 346 slashing damage on target',1,2),
(124881,2000633,4,100,'Shapechanges caster into a tiger',0,0),
(124882,2000633,4,100,'On a melee hit this spell has a 10% chance to cast Tiger Bite on target of attack.  ',0,1),
(124883,2000633,4,100,'Inflicts 208 - 346 slashing damage on target',1,2),
(124884,2000633,5,100,'Shapechanges caster into a tiger',0,0),
(124885,2000633,5,100,'On a melee hit this spell has a 10% chance to cast Tiger Bite on target of attack.  ',0,1),
(124886,2000633,5,100,'Inflicts 277 - 462 slashing damage on target',1,2),
(124887,2000633,6,100,'Shapechanges caster into a tiger',0,0),
(124888,2000633,6,100,'On a melee hit this spell has a 10% chance to cast Tiger Bite on target of attack.  ',0,1),
(124889,2000633,6,100,'Inflicts 277 - 462 slashing damage on target',1,2),
(124890,2000633,7,100,'Shapechanges caster into a tiger',0,0),
(124891,2000633,7,100,'On a melee hit this spell has a 10% chance to cast Tiger Bite on target of attack.  ',0,1),
(124892,2000633,7,100,'Inflicts 208 - 346 slashing damage on target',1,2),
(124893,2000633,8,100,'Shapechanges caster into a tiger',0,0),
(124894,2000633,8,100,'On a melee hit this spell has a 10% chance to cast Tiger Bite on target of attack.  ',0,1),
(124895,2000633,8,100,'Inflicts 208 - 346 slashing damage on target',1,2),
(124896,2000633,9,100,'Shapechanges caster into a tiger',0,0),
(124897,2000633,9,100,'On a melee hit this spell has a 10% chance to cast Tiger Bite on target of attack.  ',0,1),
(124898,2000633,9,100,'Inflicts 277 - 462 slashing damage on target',1,2),
(124899,2000633,10,100,'Shapechanges caster into a tiger',0,0),
(124900,2000633,10,100,'On a melee hit this spell has a 10% chance to cast Tiger Bite on target of attack.  ',0,1),
(124901,2000633,10,100,'Inflicts 277 - 462 slashing damage on target',1,2),
(124902,2000634,1,100,'Shapechanges caster into a treant',0,0),
(124903,2000634,1,100,'Increases base healing by 2%.',0,1),
(124904,2000634,2,100,'Shapechanges caster into a treant',0,0),
(124905,2000634,2,100,'Increases base healing by 2%.',0,1),
(124906,2000634,3,100,'Shapechanges caster into a treant',0,0),
(124907,2000634,3,100,'Increases base healing by 2%.',0,1),
(124908,2000634,4,100,'Shapechanges caster into a treant',0,0),
(124909,2000634,4,100,'Increases base healing by 2%.',0,1),
(124910,2000634,5,100,'Shapechanges caster into a treant',0,0),
(124911,2000634,5,100,'Increases base healing by 2%.',0,1),
(124912,2000634,6,100,'Shapechanges caster into a treant',0,0),
(124913,2000634,6,100,'Increases base healing by 2%.',0,1),
(124914,2000634,7,100,'Shapechanges caster into a treant',0,0),
(124915,2000634,7,100,'Increases base healing by 2%.',0,1),
(124916,2000634,8,100,'Shapechanges caster into a treant',0,0),
(124917,2000634,8,100,'Increases base healing by 2%.',0,1),
(124918,2000634,9,100,'Shapechanges caster into a treant',0,0),
(124919,2000634,9,100,'Increases base healing by 2%.',0,1),
(124920,2000634,10,100,'Shapechanges caster into a treant',0,0),
(124921,2000634,10,100,'Increases base healing by 2%.',0,1),
(124922,2000635,1,100,'Shapechanges caster into a wolf',0,0),
(124923,2000635,1,100,'Increases Crit Chance of caster by 3.5',0,1),
(124924,2000635,2,100,'Shapechanges caster into a wolf',0,0),
(124925,2000635,2,100,'Increases Crit Chance of caster by 3.5',0,1),
(124926,2000635,3,100,'Shapechanges caster into a wolf',0,0),
(124927,2000635,3,100,'Increases Crit Chance of caster by 3.5',0,1),
(124928,2000635,4,100,'Shapechanges caster into a wolf',0,0),
(124929,2000635,4,100,'Increases Crit Chance of caster by 3.5',0,1),
(124930,2000635,5,100,'Shapechanges caster into a wolf',0,0),
(124931,2000635,5,100,'Increases Crit Chance of caster by 3.5',0,1),
(124932,2000635,6,100,'Shapechanges caster into a wolf',0,0),
(124933,2000635,6,100,'Increases Crit Chance of caster by 3.5',0,1),
(124934,2000635,7,100,'Shapechanges caster into a wolf',0,0),
(124935,2000635,7,100,'Increases Crit Chance of caster by 3.5',0,1),
(124936,2000635,8,100,'Shapechanges caster into a wolf',0,0),
(124937,2000635,8,100,'Increases Crit Chance of caster by 3.5',0,1),
(124938,2000635,9,100,'Shapechanges caster into a wolf',0,0),
(124939,2000635,9,100,'Increases Crit Chance of caster by 3.5',0,1),
(124940,2000635,10,100,'Shapechanges caster into a wolf',0,0),
(124941,2000635,10,100,'Increases Crit Chance of caster by 3.5',0,1),
(124942,290183,1,100,'Summon 1 Shard of Essence (Apprentice)',0,0),
(124943,290183,2,100,'Summon 1 Shard of Essence (Apprentice)',0,0),
(124944,290183,3,100,'Summon 1 Shard of Essence (Apprentice)',0,0),
(124945,290183,4,100,'Summon 1 Shard of Essence (Journeyman)',0,0),
(124946,290183,5,100,'Summon 1 Shard of Essence (Adept)',0,0),
(124947,290183,7,100,'Summon 1 Shard of Essence (Expert)',0,0),
(124948,290183,9,100,'Summon 1 Shard of Essence (Master)',0,0),
(124949,2000636,1,100,'Dispels 12 levels of any hostile effects on group members (AE) instantly and every 1 seconds',0,0),
(124950,290184,1,100,'Inflicts 41 - 50 magic damage on target encounter instantly and every second',0,0),
(124951,290184,1,100,'Dazes target encounter',0,1),
(124952,290184,1,100,'If Target is not Epic',1,2),
(124953,290184,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(124954,290184,2,100,'Inflicts 43 - 52 magic damage on target encounter instantly and every second',0,0),
(124955,290184,2,100,'Dazes target encounter',0,1),
(124956,290184,2,100,'If Target is not Epic',1,2),
(124957,290184,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(124958,290184,3,100,'Inflicts 45 - 55 magic damage on target encounter instantly and every second',0,0),
(124959,290184,3,100,'Dazes target encounter',0,1),
(124960,290184,3,100,'If Target is not Epic',1,2),
(124961,290184,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(124962,290184,4,100,'Inflicts 50 - 61 magic damage on target encounter instantly and every second',0,0),
(124963,290184,4,100,'Dazes target encounter',0,1),
(124964,290184,4,100,'If Target is not Epic',1,2),
(124965,290184,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(124966,290184,5,100,'Inflicts 54 - 66 magic damage on target encounter instantly and every second',0,0),
(124967,290184,5,100,'Dazes target encounter',0,1),
(124968,290184,5,100,'If Target is not Epic',1,2),
(124969,290184,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(124970,290184,7,100,'Inflicts 70 - 85 magic damage on target encounter instantly and every second',0,0),
(124971,290184,7,100,'Dazes target encounter',0,1),
(124972,290184,7,100,'If Target is not Epic',1,2),
(124973,290184,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(124974,290184,9,100,'Inflicts 72 - 88 magic damage on target encounter instantly and every second',0,0),
(124975,290184,9,100,'Dazes target encounter',0,1),
(124976,290184,9,100,'If Target is not Epic',1,2),
(124977,290184,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(124978,290185,1,100,'Inflicts 67 - 81 magic damage on target encounter instantly and every second',0,0),
(124979,290185,1,100,'Dazes target encounter',0,1),
(124980,290185,1,100,'If Target is not Epic',1,2),
(124981,290185,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(124982,290185,2,100,'Inflicts 70 - 86 magic damage on target encounter instantly and every second',0,0),
(124983,290185,2,100,'Dazes target encounter',0,1),
(124984,290185,2,100,'If Target is not Epic',1,2),
(124985,290185,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(124986,290185,3,100,'Inflicts 74 - 90 magic damage on target encounter instantly and every second',0,0),
(124987,290185,3,100,'Dazes target encounter',0,1),
(124988,290185,3,100,'If Target is not Epic',1,2),
(124989,290185,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(124990,290185,4,100,'Inflicts 81 - 99 magic damage on target encounter instantly and every second',0,0),
(124991,290185,4,100,'Dazes target encounter',0,1),
(124992,290185,4,100,'If Target is not Epic',1,2),
(124993,290185,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(124994,290185,5,100,'Inflicts 89 - 108 magic damage on target encounter instantly and every second',0,0),
(124995,290185,5,100,'Dazes target encounter',0,1),
(124996,290185,5,100,'If Target is not Epic',1,2),
(124997,290185,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(124998,290185,7,100,'Inflicts 114 - 139 magic damage on target encounter instantly and every second',0,0),
(124999,290185,7,100,'Dazes target encounter',0,1),
(125000,290185,7,100,'If Target is not Epic',1,2),
(125001,290185,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(125002,290185,9,100,'Inflicts 118 - 145 magic damage on target encounter instantly and every second',0,0),
(125003,290185,9,100,'Dazes target encounter',0,1),
(125004,290185,9,100,'If Target is not Epic',1,2),
(125005,290185,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(125006,290186,1,100,'Inflicts 98 - 120 magic damage on target encounter instantly and every second',0,0),
(125007,290186,1,100,'Dazes target encounter',0,1),
(125008,290186,1,100,'If Target is not Epic',1,2),
(125009,290186,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(125010,290186,2,100,'Inflicts 104 - 127 magic damage on target encounter instantly and every second',0,0),
(125011,290186,2,100,'Dazes target encounter',0,1),
(125012,290186,2,100,'If Target is not Epic',1,2),
(125013,290186,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(125014,290186,3,100,'Inflicts 109 - 134 magic damage on target encounter instantly and every second',0,0),
(125015,290186,3,100,'Dazes target encounter',0,1),
(125016,290186,3,100,'If Target is not Epic',1,2),
(125017,290186,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(125018,290186,4,100,'Inflicts 120 - 147 magic damage on target encounter instantly and every second',0,0),
(125019,290186,4,100,'Dazes target encounter',0,1),
(125020,290186,4,100,'If Target is not Epic',1,2),
(125021,290186,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(125022,290186,5,100,'Inflicts 131 - 160 magic damage on target encounter instantly and every second',0,0),
(125023,290186,5,100,'Dazes target encounter',0,1),
(125024,290186,5,100,'If Target is not Epic',1,2),
(125025,290186,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(125026,290186,7,100,'Inflicts 169 - 206 magic damage on target encounter instantly and every second',0,0),
(125027,290186,7,100,'Dazes target encounter',0,1),
(125028,290186,7,100,'If Target is not Epic',1,2),
(125029,290186,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(125030,290186,9,100,'Inflicts 175 - 214 magic damage on target encounter instantly and every second',0,0),
(125031,290186,9,100,'Dazes target encounter',0,1),
(125032,290186,9,100,'If Target is not Epic',1,2),
(125033,290186,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(125034,290187,1,100,'Inflicts 131 - 160 magic damage on target encounter instantly and every second',0,0),
(125035,290187,1,100,'Dazes target encounter',0,1),
(125036,290187,1,100,'If Target is not Epic',1,2),
(125037,290187,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(125038,290187,2,100,'Inflicts 138 - 169 magic damage on target encounter instantly and every second',0,0),
(125039,290187,2,100,'Dazes target encounter',0,1),
(125040,290187,2,100,'If Target is not Epic',1,2),
(125041,290187,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(125042,290187,3,100,'Inflicts 145 - 178 magic damage on target encounter instantly and every second',0,0),
(125043,290187,3,100,'Dazes target encounter',0,1),
(125044,290187,3,100,'If Target is not Epic',1,2),
(125045,290187,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(125046,290187,4,100,'Inflicts 160 - 195 magic damage on target encounter instantly and every second',0,0),
(125047,290187,4,100,'Dazes target encounter',0,1),
(125048,290187,4,100,'If Target is not Epic',1,2),
(125049,290187,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(125050,290187,5,100,'Inflicts 174 - 213 magic damage on target encounter instantly and every second',0,0),
(125051,290187,5,100,'Dazes target encounter',0,1),
(125052,290187,5,100,'If Target is not Epic',1,2),
(125053,290187,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(125054,290187,7,100,'Inflicts 224 - 274 magic damage on target encounter instantly and every second',0,0),
(125055,290187,7,100,'Dazes target encounter',0,1),
(125056,290187,7,100,'If Target is not Epic',1,2),
(125057,290187,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(125058,290187,9,100,'Inflicts 233 - 284 magic damage on target encounter instantly and every second',0,0),
(125059,290187,9,100,'Dazes target encounter',0,1),
(125060,290187,9,100,'If Target is not Epic',1,2),
(125061,290187,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(125062,290188,1,100,'Inflicts 161 - 197 magic damage on target encounter instantly and every second',0,0),
(125063,290188,1,100,'Dazes target encounter',0,1),
(125064,290188,1,100,'If Target is not Epic',1,2),
(125065,290188,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(125066,290188,2,100,'Inflicts 170 - 208 magic damage on target encounter instantly and every second',0,0),
(125067,290188,2,100,'Dazes target encounter',0,1),
(125068,290188,2,100,'If Target is not Epic',1,2),
(125069,290188,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(125070,290188,3,100,'Inflicts 179 - 219 magic damage on target encounter instantly and every second',0,0),
(125071,290188,3,100,'Dazes target encounter',0,1),
(125072,290188,3,100,'If Target is not Epic',1,2),
(125073,290188,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(125074,290188,4,100,'Inflicts 197 - 241 magic damage on target encounter instantly and every second',0,0),
(125075,290188,4,100,'Dazes target encounter',0,1),
(125076,290188,4,100,'If Target is not Epic',1,2),
(125077,290188,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(125078,290188,5,100,'Inflicts 215 - 263 magic damage on target encounter instantly and every second',0,0),
(125079,290188,5,100,'Dazes target encounter',0,1),
(125080,290188,5,100,'If Target is not Epic',1,2),
(125081,290188,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(125082,290188,7,100,'Inflicts 276 - 337 magic damage on target encounter instantly and every second',0,0),
(125083,290188,7,100,'Dazes target encounter',0,1),
(125084,290188,7,100,'If Target is not Epic',1,2),
(125085,290188,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(125086,290188,9,100,'Inflicts 287 - 350 magic damage on target encounter instantly and every second',0,0),
(125087,290188,9,100,'Dazes target encounter',0,1),
(125088,290188,9,100,'If Target is not Epic',1,2),
(125089,290188,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(125090,290189,1,100,'Inflicts 194 - 237 magic damage on target encounter instantly and every second',0,0),
(125091,290189,1,100,'Dazes target encounter',0,1),
(125092,290189,1,100,'If Target is not Epic',1,2),
(125093,290189,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(125094,290189,4,100,'Inflicts 237 - 290 magic damage on target encounter instantly and every second',0,0),
(125095,290189,4,100,'Dazes target encounter',0,1),
(125096,290189,4,100,'If Target is not Epic',1,2),
(125097,290189,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(125098,290189,5,100,'Inflicts 259 - 316 magic damage on target encounter instantly and every second',0,0),
(125099,290189,5,100,'Dazes target encounter',0,1),
(125100,290189,5,100,'If Target is not Epic',1,2),
(125101,290189,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(125102,290189,7,100,'Inflicts 332 - 406 magic damage on target encounter instantly and every second',0,0),
(125103,290189,7,100,'Dazes target encounter',0,1),
(125104,290189,7,100,'If Target is not Epic',1,2),
(125105,290189,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(125106,290189,9,100,'Inflicts 345 - 422 magic damage on target encounter instantly and every second',0,0),
(125107,290189,9,100,'Dazes target encounter',0,1),
(125108,290189,9,100,'If Target is not Epic',1,2),
(125109,290189,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(125110,290190,1,100,'Inflicts 211 - 258 magic damage on target encounter instantly and every second',0,0),
(125111,290190,1,100,'Dazes target encounter',0,1),
(125112,290190,1,100,'If Target is not Epic',1,2),
(125113,290190,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(125114,290190,4,100,'Inflicts 258 - 315 magic damage on target encounter instantly and every second',0,0),
(125115,290190,4,100,'Dazes target encounter',0,1),
(125116,290190,4,100,'If Target is not Epic',1,2),
(125117,290190,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(125118,290190,5,100,'Inflicts 281 - 344 magic damage on target encounter instantly and every second',0,0),
(125119,290190,5,100,'Dazes target encounter',0,1),
(125120,290190,5,100,'If Target is not Epic',1,2),
(125121,290190,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(125122,290190,7,100,'Inflicts 361 - 441 magic damage on target encounter instantly and every second',0,0),
(125123,290190,7,100,'Dazes target encounter',0,1),
(125124,290190,7,100,'If Target is not Epic',1,2),
(125125,290190,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(125126,290190,9,100,'Inflicts 375 - 458 magic damage on target encounter instantly and every second',0,0),
(125127,290190,9,100,'Dazes target encounter',0,1),
(125128,290190,9,100,'If Target is not Epic',1,2),
(125129,290190,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(125130,2000637,1,100,'Inflicts 1 - 2 crushing damage on target',0,0),
(125131,2000637,1,100,'Stuns target',0,1),
(125132,2000637,1,100,'Epic targets gain an immunity to Stun effects of 5.6 seconds and duration is reduced to 0.6 seconds.',0,2),
(125133,2000637,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(125134,2000638,1,100,'Grants target a 6% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(125135,2000638,2,100,'Grants target a 12% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(125136,2000638,3,100,'Grants target a 18% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(125137,2000638,4,100,'Grants target a 24% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(125138,2000638,5,100,'Grants target a 30% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(125139,2000638,6,100,'Grants target a 36% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(125140,2000638,7,100,'Grants target a 42% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(125141,2000638,8,100,'Grants target a 48% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(125142,2000638,9,100,'Grants target a 54% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(125143,2000638,10,100,'Grants target a 60% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(125144,440116,1,100,'Applies Blackwood Shroud.  Lasts for 3.0 seconds.',0,0),
(125145,440116,1,100,'Caster will Dodge 100.0% of incoming attacks',1,1),
(125146,440116,1,100,'Prevents AOE (except when direct) ',1,2),
(125147,440116,1,100,'Interrupts targets in Area of Effect',0,3),
(125148,440116,1,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,4),
(125149,440116,1,100,'Decreases Threat to targets in Area of Effect by 1,169 ',0,5),
(125150,440116,4,100,'Applies Blackwood Shroud.  Lasts for 3.0 seconds.',0,0),
(125151,440116,4,100,'Caster will Dodge 100.0% of incoming attacks',1,1),
(125152,440116,4,100,'Prevents AOE (except when direct) ',1,2),
(125153,440116,4,100,'Interrupts targets in Area of Effect',0,3),
(125154,440116,4,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,4),
(125155,440116,4,100,'Decreases Threat to targets in Area of Effect by 1,430 ',0,5),
(125156,440116,5,100,'Applies Blackwood Shroud.  Lasts for 3.0 seconds.',0,0),
(125157,440116,5,100,'Caster will Dodge 100.0% of incoming attacks',1,1),
(125158,440116,5,100,'Prevents AOE (except when direct) ',1,2),
(125159,440116,5,100,'Interrupts targets in Area of Effect',0,3),
(125160,440116,5,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,4),
(125161,440116,5,100,'Decreases Threat to targets in Area of Effect by 1,560 ',0,5),
(125162,440116,7,100,'Applies Blackwood Shroud.  Lasts for 3.0 seconds.',0,0),
(125163,440116,7,100,'Caster will Dodge 100.0% of incoming attacks',1,1),
(125164,440116,7,100,'Prevents AOE (except when direct) ',1,2),
(125165,440116,7,100,'Interrupts targets in Area of Effect',0,3),
(125166,440116,7,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,4),
(125167,440116,7,100,'Decreases Threat to targets in Area of Effect by 2,001 ',0,5),
(125168,440116,9,100,'Applies Blackwood Shroud.  Lasts for 3.0 seconds.',0,0),
(125169,440116,9,100,'Caster will Dodge 100.0% of incoming attacks',1,1),
(125170,440116,9,100,'Prevents AOE (except when direct) ',1,2),
(125171,440116,9,100,'Interrupts targets in Area of Effect',0,3),
(125172,440116,9,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,4),
(125173,440116,9,100,'Decreases Threat to targets in Area of Effect by 2,080 ',0,5),
(125174,440117,1,100,'Applies Blackwood Shroud.  Lasts for 3.0 seconds.',0,0),
(125175,440117,1,100,'Caster will Dodge 100.0% of incoming attacks',1,1),
(125176,440117,1,100,'Prevents AOE (except when direct) ',1,2),
(125177,440117,1,100,'Interrupts targets in Area of Effect',0,3),
(125178,440117,1,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,4),
(125179,440117,1,100,'Decreases Threat to targets in Area of Effect by 2,140 ',0,5),
(125180,440117,4,100,'Applies Blackwood Shroud.  Lasts for 3.0 seconds.',0,0),
(125181,440117,4,100,'Caster will Dodge 100.0% of incoming attacks',1,1),
(125182,440117,4,100,'Prevents AOE (except when direct) ',1,2),
(125183,440117,4,100,'Interrupts targets in Area of Effect',0,3),
(125184,440117,4,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,4),
(125185,440117,4,100,'Decreases Threat to targets in Area of Effect by 2,615 ',0,5),
(125186,440117,5,100,'Applies Blackwood Shroud.  Lasts for 3.0 seconds.',0,0),
(125187,440117,5,100,'Caster will Dodge 100.0% of incoming attacks',1,1),
(125188,440117,5,100,'Prevents AOE (except when direct) ',1,2),
(125189,440117,5,100,'Interrupts targets in Area of Effect',0,3),
(125190,440117,5,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,4),
(125191,440117,5,100,'Decreases Threat to targets in Area of Effect by 2,853 ',0,5),
(125192,440117,7,100,'Applies Blackwood Shroud.  Lasts for 3.0 seconds.',0,0),
(125193,440117,7,100,'Caster will Dodge 100.0% of incoming attacks',1,1),
(125194,440117,7,100,'Prevents AOE (except when direct) ',1,2),
(125195,440117,7,100,'Interrupts targets in Area of Effect',0,3),
(125196,440117,7,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,4),
(125197,440117,7,100,'Decreases Threat to targets in Area of Effect by 3,662 ',0,5),
(125198,440117,9,100,'Applies Blackwood Shroud.  Lasts for 3.0 seconds.',0,0),
(125199,440117,9,100,'Caster will Dodge 100.0% of incoming attacks',1,1),
(125200,440117,9,100,'Prevents AOE (except when direct) ',1,2),
(125201,440117,9,100,'Interrupts targets in Area of Effect',0,3),
(125202,440117,9,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,4),
(125203,440117,9,100,'Decreases Threat to targets in Area of Effect by 3,804 ',0,5),
(125204,440118,1,100,'Applies Blackwood Shroud.  Lasts for 3.0 seconds.',0,0),
(125205,440118,1,100,'Caster will Dodge 100.0% of incoming attacks',1,1),
(125206,440118,1,100,'Prevents AOE (except when direct) ',1,2),
(125207,440118,1,100,'Interrupts targets in Area of Effect',0,3),
(125208,440118,1,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,4),
(125209,440118,1,100,'Decreases Threat to targets in Area of Effect by 3,290 ',0,5),
(125210,440118,4,100,'Applies Blackwood Shroud.  Lasts for 3.0 seconds.',0,0),
(125211,440118,4,100,'Caster will Dodge 100.0% of incoming attacks',1,1),
(125212,440118,4,100,'Prevents AOE (except when direct) ',1,2),
(125213,440118,4,100,'Interrupts targets in Area of Effect',0,3),
(125214,440118,4,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,4),
(125215,440118,4,100,'Decreases Threat to targets in Area of Effect by 4,021 ',0,5),
(125216,440118,5,100,'Applies Blackwood Shroud.  Lasts for 3.0 seconds.',0,0),
(125217,440118,5,100,'Caster will Dodge 100.0% of incoming attacks',1,1),
(125218,440118,5,100,'Prevents AOE (except when direct) ',1,2),
(125219,440118,5,100,'Interrupts targets in Area of Effect',0,3),
(125220,440118,5,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,4),
(125221,440118,5,100,'Decreases Threat to targets in Area of Effect by 4,387 ',0,5),
(125222,440118,7,100,'Applies Blackwood Shroud.  Lasts for 3.0 seconds.',0,0),
(125223,440118,7,100,'Caster will Dodge 100.0% of incoming attacks',1,1),
(125224,440118,7,100,'Prevents AOE (except when direct) ',1,2),
(125225,440118,7,100,'Interrupts targets in Area of Effect',0,3),
(125226,440118,7,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,4),
(125227,440118,7,100,'Decreases Threat to targets in Area of Effect by 5,630 ',0,5),
(125228,440118,9,100,'Applies Blackwood Shroud.  Lasts for 3.0 seconds.',0,0),
(125229,440118,9,100,'Caster will Dodge 100.0% of incoming attacks',1,1),
(125230,440118,9,100,'Prevents AOE (except when direct) ',1,2),
(125231,440118,9,100,'Interrupts targets in Area of Effect',0,3),
(125232,440118,9,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,4),
(125233,440118,9,100,'Decreases Threat to targets in Area of Effect by 5,849 ',0,5),
(125234,440119,1,100,'Applies Blackwood Shroud.  Lasts for 3.0 seconds.',0,0),
(125235,440119,1,100,'Caster will Dodge 100.0% of incoming attacks',1,1),
(125236,440119,1,100,'Prevents AOE (except when direct) ',1,2),
(125237,440119,1,100,'Interrupts targets in Area of Effect',0,3),
(125238,440119,1,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,4),
(125239,440119,1,100,'Decreases Threat to targets in Area of Effect by 4,572 ',0,5),
(125240,440119,4,100,'Applies Blackwood Shroud.  Lasts for 3.0 seconds.',0,0),
(125241,440119,4,100,'Caster will Dodge 100.0% of incoming attacks',1,1),
(125242,440119,4,100,'Prevents AOE (except when direct) ',1,2),
(125243,440119,4,100,'Interrupts targets in Area of Effect',0,3),
(125244,440119,4,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,4),
(125245,440119,4,100,'Decreases Threat to targets in Area of Effect by 5,589 ',0,5),
(125246,440119,5,100,'Applies Blackwood Shroud.  Lasts for 3.0 seconds.',0,0),
(125247,440119,5,100,'Caster will Dodge 100.0% of incoming attacks',1,1),
(125248,440119,5,100,'Prevents AOE (except when direct) ',1,2),
(125249,440119,5,100,'Interrupts targets in Area of Effect',0,3),
(125250,440119,5,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,4),
(125251,440119,5,100,'Decreases Threat to targets in Area of Effect by 6,097 ',0,5),
(125252,440119,7,100,'Applies Blackwood Shroud.  Lasts for 3.0 seconds.',0,0),
(125253,440119,7,100,'Caster will Dodge 100.0% of incoming attacks',1,1),
(125254,440119,7,100,'Prevents AOE (except when direct) ',1,2),
(125255,440119,7,100,'Interrupts targets in Area of Effect',0,3),
(125256,440119,7,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,4),
(125257,440119,7,100,'Decreases Threat to targets in Area of Effect by 7,824 ',0,5),
(125258,440119,9,100,'Applies Blackwood Shroud.  Lasts for 3.0 seconds.',0,0),
(125259,440119,9,100,'Caster will Dodge 100.0% of incoming attacks',1,1),
(125260,440119,9,100,'Prevents AOE (except when direct) ',1,2),
(125261,440119,9,100,'Interrupts targets in Area of Effect',0,3),
(125262,440119,9,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,4),
(125263,440119,9,100,'Decreases Threat to targets in Area of Effect by 8,129 ',0,5),
(125264,440120,1,100,'Applies Blackwood Shroud.  Lasts for 3.0 seconds.',0,0),
(125265,440120,1,100,'Caster will Dodge 100.0% of incoming attacks',1,1),
(125266,440120,1,100,'Prevents AOE (except when direct) ',1,2),
(125267,440120,1,100,'Interrupts targets in Area of Effect',0,3),
(125268,440120,1,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,4),
(125269,440120,1,100,'Decreases Threat to targets in Area of Effect by 13,994 ',0,5),
(125270,440120,4,100,'Applies Blackwood Shroud.  Lasts for 3.0 seconds.',0,0),
(125271,440120,4,100,'Caster will Dodge 100.0% of incoming attacks',1,1),
(125272,440120,4,100,'Prevents AOE (except when direct) ',1,2),
(125273,440120,4,100,'Interrupts targets in Area of Effect',0,3),
(125274,440120,4,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,4),
(125275,440120,4,100,'Decreases Threat to targets in Area of Effect by 17,105 ',0,5),
(125276,440120,5,100,'Applies Blackwood Shroud.  Lasts for 3.0 seconds.',0,0),
(125277,440120,5,100,'Caster will Dodge 100.0% of incoming attacks',1,1),
(125278,440120,5,100,'Prevents AOE (except when direct) ',1,2),
(125279,440120,5,100,'Interrupts targets in Area of Effect',0,3),
(125280,440120,5,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,4),
(125281,440120,5,100,'Decreases Threat to targets in Area of Effect by 18,660 ',0,5),
(125282,440120,7,100,'Applies Blackwood Shroud.  Lasts for 3.0 seconds.',0,0),
(125283,440120,7,100,'Caster will Dodge 100.0% of incoming attacks',1,1),
(125284,440120,7,100,'Prevents AOE (except when direct) ',1,2),
(125285,440120,7,100,'Interrupts targets in Area of Effect',0,3),
(125286,440120,7,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,4),
(125287,440120,7,100,'Decreases Threat to targets in Area of Effect by 23,946 ',0,5),
(125288,440120,9,100,'Applies Blackwood Shroud.  Lasts for 3.0 seconds.',0,0),
(125289,440120,9,100,'Caster will Dodge 100.0% of incoming attacks',1,1),
(125290,440120,9,100,'Prevents AOE (except when direct) ',1,2),
(125291,440120,9,100,'Interrupts targets in Area of Effect',0,3),
(125292,440120,9,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,4),
(125293,440120,9,100,'Decreases Threat to targets in Area of Effect by 24,880 ',0,5),
(125294,440121,1,100,'Applies Blackwood Shroud.  Lasts for 3.0 seconds.',0,0),
(125295,440121,1,100,'Caster will Dodge 100.0% of incoming attacks',1,1),
(125296,440121,1,100,'Prevents AOE (except when direct) ',1,2),
(125297,440121,1,100,'Interrupts targets in Area of Effect',0,3),
(125298,440121,1,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,4),
(125299,440121,1,100,'Decreases Threat to targets in Area of Effect by 6,097 ',0,5),
(125300,440121,4,100,'Applies Blackwood Shroud.  Lasts for 3.0 seconds.',0,0),
(125301,440121,4,100,'Caster will Dodge 100.0% of incoming attacks',1,1),
(125302,440121,4,100,'Prevents AOE (except when direct) ',1,2),
(125303,440121,4,100,'Interrupts targets in Area of Effect',0,3),
(125304,440121,4,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,4),
(125305,440121,4,100,'Decreases Threat to targets in Area of Effect by 7,452 ',0,5),
(125306,440121,5,100,'Applies Blackwood Shroud.  Lasts for 3.0 seconds.',0,0),
(125307,440121,5,100,'Caster will Dodge 100.0% of incoming attacks',1,1),
(125308,440121,5,100,'Prevents AOE (except when direct) ',1,2),
(125309,440121,5,100,'Interrupts targets in Area of Effect',0,3),
(125310,440121,5,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,4),
(125311,440121,5,100,'Decreases Threat to targets in Area of Effect by 8,130 ',0,5),
(125312,440121,7,100,'Applies Blackwood Shroud.  Lasts for 3.0 seconds.',0,0),
(125313,440121,7,100,'Caster will Dodge 100.0% of incoming attacks',1,1),
(125314,440121,7,100,'Prevents AOE (except when direct) ',1,2),
(125315,440121,7,100,'Interrupts targets in Area of Effect',0,3),
(125316,440121,7,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,4),
(125317,440121,7,100,'Decreases Threat to targets in Area of Effect by 10,433 ',0,5),
(125318,440121,9,100,'Applies Blackwood Shroud.  Lasts for 3.0 seconds.',0,0),
(125319,440121,9,100,'Caster will Dodge 100.0% of incoming attacks',1,1),
(125320,440121,9,100,'Prevents AOE (except when direct) ',1,2),
(125321,440121,9,100,'Interrupts targets in Area of Effect',0,3),
(125322,440121,9,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,4),
(125323,440121,9,100,'Decreases Threat to targets in Area of Effect by 10,840 ',0,5),
(125324,440122,1,100,'Applies Blackwood Shroud.  Lasts for 3.0 seconds.',0,0),
(125325,440122,1,100,'Caster will Dodge 100.0% of incoming attacks',1,1),
(125326,440122,1,100,'Prevents AOE (except when direct) ',1,2),
(125327,440122,1,100,'Interrupts targets in Area of Effect',0,3),
(125328,440122,1,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,4),
(125329,440122,1,100,'Decreases Threat to targets in Area of Effect by 7,685 ',0,5),
(125330,440122,4,100,'Applies Blackwood Shroud.  Lasts for 3.0 seconds.',0,0),
(125331,440122,4,100,'Caster will Dodge 100.0% of incoming attacks',1,1),
(125332,440122,4,100,'Prevents AOE (except when direct) ',1,2),
(125333,440122,4,100,'Interrupts targets in Area of Effect',0,3),
(125334,440122,4,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,4),
(125335,440122,4,100,'Decreases Threat to targets in Area of Effect by 9,394 ',0,5),
(125336,440122,5,100,'Applies Blackwood Shroud.  Lasts for 3.0 seconds.',0,0),
(125337,440122,5,100,'Caster will Dodge 100.0% of incoming attacks',1,1),
(125338,440122,5,100,'Prevents AOE (except when direct) ',1,2),
(125339,440122,5,100,'Interrupts targets in Area of Effect',0,3),
(125340,440122,5,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,4),
(125341,440122,5,100,'Decreases Threat to targets in Area of Effect by 10,248 ',0,5),
(125342,440122,7,100,'Applies Blackwood Shroud.  Lasts for 3.0 seconds.',0,0),
(125343,440122,7,100,'Caster will Dodge 100.0% of incoming attacks',1,1),
(125344,440122,7,100,'Prevents AOE (except when direct) ',1,2),
(125345,440122,7,100,'Interrupts targets in Area of Effect',0,3),
(125346,440122,7,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,4),
(125347,440122,7,100,'Decreases Threat to targets in Area of Effect by 13,151 ',0,5),
(125348,440122,9,100,'Applies Blackwood Shroud.  Lasts for 3.0 seconds.',0,0),
(125349,440122,9,100,'Caster will Dodge 100.0% of incoming attacks',1,1),
(125350,440122,9,100,'Prevents AOE (except when direct) ',1,2),
(125351,440122,9,100,'Interrupts targets in Area of Effect',0,3),
(125352,440122,9,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,4),
(125353,440122,9,100,'Decreases Threat to targets in Area of Effect by 13,664 ',0,5),
(125354,440123,1,100,'Applies Blackwood Shroud.  Lasts for 3.0 seconds.',0,0),
(125355,440123,1,100,'Caster will Dodge 100.0% of incoming attacks',1,1),
(125356,440123,1,100,'Prevents AOE (except when direct) ',1,2),
(125357,440123,1,100,'Interrupts targets in Area of Effect',0,3),
(125358,440123,1,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,4),
(125359,440123,1,100,'Decreases Threat to targets in Area of Effect by 9,494 ',0,5),
(125360,440123,4,100,'Applies Blackwood Shroud.  Lasts for 3.0 seconds.',0,0),
(125361,440123,4,100,'Caster will Dodge 100.0% of incoming attacks',1,1),
(125362,440123,4,100,'Prevents AOE (except when direct) ',1,2),
(125363,440123,4,100,'Interrupts targets in Area of Effect',0,3),
(125364,440123,4,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,4),
(125365,440123,4,100,'Decreases Threat to targets in Area of Effect by 11,605 ',0,5),
(125366,440123,5,100,'Applies Blackwood Shroud.  Lasts for 3.0 seconds.',0,0),
(125367,440123,5,100,'Caster will Dodge 100.0% of incoming attacks',1,1),
(125368,440123,5,100,'Prevents AOE (except when direct) ',1,2),
(125369,440123,5,100,'Interrupts targets in Area of Effect',0,3),
(125370,440123,5,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,4),
(125371,440123,5,100,'Decreases Threat to targets in Area of Effect by 12,660 ',0,5),
(125372,440123,7,100,'Applies Blackwood Shroud.  Lasts for 3.0 seconds.',0,0),
(125373,440123,7,100,'Caster will Dodge 100.0% of incoming attacks',1,1),
(125374,440123,7,100,'Prevents AOE (except when direct) ',1,2),
(125375,440123,7,100,'Interrupts targets in Area of Effect',0,3),
(125376,440123,7,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,4),
(125377,440123,7,100,'Decreases Threat to targets in Area of Effect by 16,246 ',0,5),
(125378,440123,9,100,'Applies Blackwood Shroud.  Lasts for 3.0 seconds.',0,0),
(125379,440123,9,100,'Caster will Dodge 100.0% of incoming attacks',1,1),
(125380,440123,9,100,'Prevents AOE (except when direct) ',1,2),
(125381,440123,9,100,'Interrupts targets in Area of Effect',0,3),
(125382,440123,9,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,4),
(125383,440123,9,100,'Decreases Threat to targets in Area of Effect by 16,880 ',0,5),
(125384,440124,1,100,'Applies Blackwood Shroud.  Lasts for 3.0 seconds.',0,0),
(125385,440124,1,100,'Caster will Dodge 100.0% of incoming attacks',1,1),
(125386,440124,1,100,'Prevents AOE (except when direct) ',1,2),
(125387,440124,1,100,'Interrupts targets in Area of Effect',0,3),
(125388,440124,1,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,4),
(125389,440124,1,100,'Decreases Threat to targets in Area of Effect by 11,744 ',0,5),
(125390,440124,4,100,'Applies Blackwood Shroud.  Lasts for 3.0 seconds.',0,0),
(125391,440124,4,100,'Caster will Dodge 100.0% of incoming attacks',1,1),
(125392,440124,4,100,'Prevents AOE (except when direct) ',1,2),
(125393,440124,4,100,'Interrupts targets in Area of Effect',0,3),
(125394,440124,4,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,4),
(125395,440124,4,100,'Decreases Threat to targets in Area of Effect by 14,355 ',0,5),
(125396,440124,5,100,'Applies Blackwood Shroud.  Lasts for 3.0 seconds.',0,0),
(125397,440124,5,100,'Caster will Dodge 100.0% of incoming attacks',1,1),
(125398,440124,5,100,'Prevents AOE (except when direct) ',1,2),
(125399,440124,5,100,'Interrupts targets in Area of Effect',0,3),
(125400,440124,5,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,4),
(125401,440124,5,100,'Decreases Threat to targets in Area of Effect by 15,660 ',0,5),
(125402,440124,7,100,'Applies Blackwood Shroud.  Lasts for 3.0 seconds.',0,0),
(125403,440124,7,100,'Caster will Dodge 100.0% of incoming attacks',1,1),
(125404,440124,7,100,'Prevents AOE (except when direct) ',1,2),
(125405,440124,7,100,'Interrupts targets in Area of Effect',0,3),
(125406,440124,7,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,4),
(125407,440124,7,100,'Decreases Threat to targets in Area of Effect by 20,096 ',0,5),
(125408,440124,9,100,'Applies Blackwood Shroud.  Lasts for 3.0 seconds.',0,0),
(125409,440124,9,100,'Caster will Dodge 100.0% of incoming attacks',1,1),
(125410,440124,9,100,'Prevents AOE (except when direct) ',1,2),
(125411,440124,9,100,'Interrupts targets in Area of Effect',0,3),
(125412,440124,9,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,4),
(125413,440124,9,100,'Decreases Threat to targets in Area of Effect by 20,880 ',0,5),
(125414,130141,1,100,'Wards group members (AE) against 13 points of arcane damage',0,0),
(125415,130141,1,100,'Increases Mitigation of group members (AE) vs arcane damage by 261',0,1),
(125416,130141,2,100,'Wards group members (AE) against 14 points of arcane damage',0,0),
(125417,130141,2,100,'Increases Mitigation of group members (AE) vs arcane damage by 276',0,1),
(125418,130141,3,100,'Wards group members (AE) against 15 points of arcane damage',0,0),
(125419,130141,3,100,'Increases Mitigation of group members (AE) vs arcane damage by 290',0,1),
(125420,130141,4,100,'Wards group members (AE) against 16 points of arcane damage',0,0),
(125421,130141,4,100,'Increases Mitigation of group members (AE) vs arcane damage by 319',0,1),
(125422,130141,5,100,'Wards group members (AE) against 18 points of arcane damage',0,0),
(125423,130141,5,100,'Increases Mitigation of group members (AE) vs arcane damage by 348',0,1),
(125424,130141,7,100,'Wards group members (AE) against 23 points of arcane damage',0,0),
(125425,130141,7,100,'Increases Mitigation of group members (AE) vs arcane damage by 447',0,1),
(125426,130141,9,100,'Wards group members (AE) against 24 points of arcane damage',0,0),
(125427,130141,9,100,'Increases Mitigation of group members (AE) vs arcane damage by 464',0,1),
(125428,130142,1,100,'Wards group members (AE) against 13 points of arcane damage',0,0),
(125429,130142,1,100,'Increases Mitigation of group members (AE) vs arcane damage by 387',0,1),
(125430,130142,2,100,'Wards group members (AE) against 14 points of arcane damage',0,0),
(125431,130142,2,100,'Increases Mitigation of group members (AE) vs arcane damage by 409',0,1),
(125432,130142,3,100,'Wards group members (AE) against 15 points of arcane damage',0,0),
(125433,130142,3,100,'Increases Mitigation of group members (AE) vs arcane damage by 430',0,1),
(125434,130142,4,100,'Wards group members (AE) against 16 points of arcane damage',0,0),
(125435,130142,4,100,'Increases Mitigation of group members (AE) vs arcane damage by 473',0,1),
(125436,130142,5,100,'Wards group members (AE) against 18 points of arcane damage',0,0),
(125437,130142,5,100,'Increases Mitigation of group members (AE) vs arcane damage by 516',0,1),
(125438,130142,7,100,'Wards group members (AE) against 23 points of arcane damage',0,0),
(125439,130142,7,100,'Increases Mitigation of group members (AE) vs arcane damage by 662',0,1),
(125440,130142,9,100,'Wards group members (AE) against 24 points of arcane damage',0,0),
(125441,130142,9,100,'Increases Mitigation of group members (AE) vs arcane damage by 688',0,1),
(125442,130143,1,100,'Wards group members (AE) against 13 points of arcane damage',0,0),
(125443,130143,1,100,'Increases Mitigation of group members (AE) vs arcane damage by 513',0,1),
(125444,130143,2,100,'Wards group members (AE) against 14 points of arcane damage',0,0),
(125445,130143,2,100,'Increases Mitigation of group members (AE) vs arcane damage by 542',0,1),
(125446,130143,3,100,'Wards group members (AE) against 15 points of arcane damage',0,0),
(125447,130143,3,100,'Increases Mitigation of group members (AE) vs arcane damage by 570',0,1),
(125448,130143,4,100,'Wards group members (AE) against 16 points of arcane damage',0,0),
(125449,130143,4,100,'Increases Mitigation of group members (AE) vs arcane damage by 627',0,1),
(125450,130143,5,100,'Wards group members (AE) against 18 points of arcane damage',0,0),
(125451,130143,5,100,'Increases Mitigation of group members (AE) vs arcane damage by 684',0,1),
(125452,130143,7,100,'Wards group members (AE) against 23 points of arcane damage',0,0),
(125453,130143,7,100,'Increases Mitigation of group members (AE) vs arcane damage by 878',0,1),
(125454,130143,9,100,'Wards group members (AE) against 24 points of arcane damage',0,0),
(125455,130143,9,100,'Increases Mitigation of group members (AE) vs arcane damage by 912',0,1),
(125456,130144,1,100,'Wards group members (AE) against 13 points of arcane damage',0,0),
(125457,130144,1,100,'Increases Mitigation of group members (AE) vs arcane damage by 671',0,1),
(125458,130144,2,100,'Wards group members (AE) against 14 points of arcane damage',0,0),
(125459,130144,2,100,'Increases Mitigation of group members (AE) vs arcane damage by 708',0,1),
(125460,130144,3,100,'Wards group members (AE) against 15 points of arcane damage',0,0),
(125461,130144,3,100,'Increases Mitigation of group members (AE) vs arcane damage by 746',0,1),
(125462,130144,4,100,'Wards group members (AE) against 16 points of arcane damage',0,0),
(125463,130144,4,100,'Increases Mitigation of group members (AE) vs arcane damage by 820',0,1),
(125464,130144,5,100,'Wards group members (AE) against 18 points of arcane damage',0,0),
(125465,130144,5,100,'Increases Mitigation of group members (AE) vs arcane damage by 895',0,1),
(125466,130144,7,100,'Wards group members (AE) against 23 points of arcane damage',0,0),
(125467,130144,7,100,'Increases Mitigation of group members (AE) vs arcane damage by 1148',0,1),
(125468,130144,9,100,'Wards group members (AE) against 24 points of arcane damage',0,0),
(125469,130144,9,100,'Increases Mitigation of group members (AE) vs arcane damage by 1193',0,1),
(125470,2000639,1,100,'On any combat or spell hit this spell will cast Shockwave on target of attack.  ',0,0),
(125471,2000639,1,100,'Applies Knockdown.  Lasts for 1.8 seconds.',1,1),
(125472,2000639,1,100,'Throws target back',2,2),
(125473,2000639,1,100,'Blurs vision of target',2,3),
(125474,2000639,1,100,'Stuns target',2,4),
(125475,2000639,1,100,'Does not affect Epic targets',2,5),
(125476,2000639,1,100,'Inflicts 4 - 7 melee damage on targets in Area of Effect',1,6),
(125477,2000639,1,100,'Grants a total of 1 trigger of the spell.',1,7),
(125478,2000639,2,100,'On any combat or spell hit this spell will cast Shockwave on target of attack.  ',0,0),
(125479,2000639,2,100,'Applies Knockdown.  Lasts for 1.9 seconds.',1,1),
(125480,2000639,2,100,'Throws target back',2,2),
(125481,2000639,2,100,'Blurs vision of target',2,3),
(125482,2000639,2,100,'Stuns target',2,4),
(125483,2000639,2,100,'Does not affect Epic targets',2,5),
(125484,2000639,2,100,'Inflicts 328 - 548 melee damage on targets in Area of Effect',1,6),
(125485,2000639,2,100,'Grants a total of 1 trigger of the spell.',1,7),
(125486,2000639,3,100,'On any combat or spell hit this spell will cast Shockwave on target of attack.  ',0,0),
(125487,2000639,3,100,'Applies Knockdown.  Lasts for 2.0 seconds.',1,1),
(125488,2000639,3,100,'Throws target back',2,2),
(125489,2000639,3,100,'Blurs vision of target',2,3),
(125490,2000639,3,100,'Stuns target',2,4),
(125491,2000639,3,100,'Does not affect Epic targets',2,5),
(125492,2000639,3,100,'Inflicts 259 - 433 melee damage on targets in Area of Effect',1,6),
(125493,2000639,3,100,'Grants a total of 1 trigger of the spell.',1,7),
(125494,2000639,4,100,'On any combat or spell hit this spell will cast Shockwave on target of attack.  ',0,0),
(125495,2000639,4,100,'Applies Knockdown.  Lasts for 2.2 seconds.',1,1),
(125496,2000639,4,100,'Throws target back',2,2),
(125497,2000639,4,100,'Blurs vision of target',2,3),
(125498,2000639,4,100,'Stuns target',2,4),
(125499,2000639,4,100,'Does not affect Epic targets',2,5),
(125500,2000639,4,100,'Inflicts 380 - 634 melee damage on targets in Area of Effect',1,6),
(125501,2000639,4,100,'Grants a total of 1 trigger of the spell.',1,7),
(125502,2000639,5,100,'On any combat or spell hit this spell will cast Shockwave on target of attack.  ',0,0),
(125503,2000639,5,100,'Applies Knockdown.  Lasts for 2.4 seconds.',1,1),
(125504,2000639,5,100,'Throws target back',2,2),
(125505,2000639,5,100,'Blurs vision of target',2,3),
(125506,2000639,5,100,'Stuns target',2,4),
(125507,2000639,5,100,'Does not affect Epic targets',2,5),
(125508,2000639,5,100,'Inflicts 415 - 692 melee damage on targets in Area of Effect',1,6),
(125509,2000639,5,100,'Grants a total of 1 trigger of the spell.',1,7),
(125510,2000639,6,100,'On any combat or spell hit this spell will cast Shockwave on target of attack.  ',0,0),
(125511,2000639,6,100,'Applies Knockdown.  Lasts for 2.6 seconds.',1,1),
(125512,2000639,6,100,'Throws target back',2,2),
(125513,2000639,6,100,'Blurs vision of target',2,3),
(125514,2000639,6,100,'Stuns target',2,4),
(125515,2000639,6,100,'Does not affect Epic targets',2,5),
(125516,2000639,6,100,'Inflicts 450 - 750 melee damage on targets in Area of Effect',1,6),
(125517,2000639,6,100,'Grants a total of 1 trigger of the spell.',1,7),
(125518,2000639,7,100,'On any combat or spell hit this spell will cast Shockwave on target of attack.  ',0,0),
(125519,2000639,7,100,'Applies Knockdown.  Lasts for 2.8 seconds.',1,1),
(125520,2000639,7,100,'Throws target back',2,2),
(125521,2000639,7,100,'Blurs vision of target',2,3),
(125522,2000639,7,100,'Stuns target',2,4),
(125523,2000639,7,100,'Does not affect Epic targets',2,5),
(125524,2000639,7,100,'Inflicts 533 - 888 melee damage on targets in Area of Effect',1,6),
(125525,2000639,7,100,'Grants a total of 1 trigger of the spell.',1,7),
(125526,2000639,8,100,'On any combat or spell hit this spell will cast Shockwave on target of attack.  ',0,0),
(125527,2000639,8,100,'Applies Knockdown.  Lasts for 3.0 seconds.',1,1),
(125528,2000639,8,100,'Throws target back',2,2),
(125529,2000639,8,100,'Blurs vision of target',2,3),
(125530,2000639,8,100,'Stuns target',2,4),
(125531,2000639,8,100,'Does not affect Epic targets',2,5),
(125532,2000639,8,100,'Inflicts 402 - 671 melee damage on targets in Area of Effect',1,6),
(125533,2000639,8,100,'Grants a total of 1 trigger of the spell.',1,7),
(125534,2000639,9,100,'On any combat or spell hit this spell will cast Shockwave on target of attack.  ',0,0),
(125535,2000639,9,100,'Applies Knockdown.  Lasts for 3.2 seconds.',1,1),
(125536,2000639,9,100,'Throws target back',2,2),
(125537,2000639,9,100,'Blurs vision of target',2,3),
(125538,2000639,9,100,'Stuns target',2,4),
(125539,2000639,9,100,'Does not affect Epic targets',2,5),
(125540,2000639,9,100,'Inflicts 554 - 923 melee damage on targets in Area of Effect',1,6),
(125541,2000639,9,100,'Grants a total of 1 trigger of the spell.',1,7),
(125542,2000639,10,100,'On any combat or spell hit this spell will cast Shockwave on target of attack.  ',0,0),
(125543,2000639,10,100,'Applies Knockdown.  Lasts for 3.3 seconds.',1,1),
(125544,2000639,10,100,'Throws target back',2,2),
(125545,2000639,10,100,'Blurs vision of target',2,3),
(125546,2000639,10,100,'Stuns target',2,4),
(125547,2000639,10,100,'Does not affect Epic targets',2,5),
(125548,2000639,10,100,'Inflicts 436 - 727 melee damage on targets in Area of Effect',1,6),
(125549,2000639,10,100,'Grants a total of 1 trigger of the spell.',1,7),
(125550,2000640,1,100,'Inflicts 1 - 2 slashing damage on target',0,0),
(125551,2000640,1,100,'Inflicts 1 slashing damage on target every 12 seconds',0,1),
(125552,2000640,1,100,'Inflicts 1 - 2 slashing damage on target',0,2),
(125553,2000641,1,100,'Increases Slashing, Piercing, Ranged, Defense, Disruption, Ministration, Ordination and Subjugation of targets in Area of Effect by 0.0',0,0),
(125554,2000641,1,100,'Increases Crushing of target encounter by 0.0',0,1),
(125555,440125,3,100,'Applies Shrink Servant to qualifying pets.',0,0),
(125556,440125,3,100,'Shrinks target by 35.0%',1,1),
(125557,2000642,1,100,'Applies Shrink Servant to qualifying pets.',0,0),
(125558,2000642,1,100,'Shrinks target by 35.0%',1,1),
(125559,2000642,2,100,'Applies Shrink Servant to qualifying pets.',0,0),
(125560,2000642,2,100,'Shrinks target by 35.0%',1,1),
(125561,210014,3,100,'Applies Shrink Servant to qualifying pets.',0,0),
(125562,210014,3,100,'Shrinks target by 35.0%',1,1),
(125563,2000642,3,100,'Applies Shrink Servant to qualifying pets.',0,0),
(125564,2000642,3,100,'Shrinks target by 35.0%',1,1),
(125565,2000642,4,100,'Applies Shrink Servant to qualifying pets.',0,0),
(125566,2000642,4,100,'Shrinks target by 35.0%',1,1),
(125567,2000642,5,100,'Applies Shrink Servant to qualifying pets.',0,0),
(125568,2000642,5,100,'Shrinks target by 35.0%',1,1),
(125569,2000642,6,100,'Applies Shrink Servant to qualifying pets.',0,0),
(125570,2000642,6,100,'Shrinks target by 35.0%',1,1),
(125571,2000642,7,100,'Applies Shrink Servant to qualifying pets.',0,0),
(125572,2000642,7,100,'Shrinks target by 35.0%',1,1),
(125573,2000642,8,100,'Applies Shrink Servant to qualifying pets.',0,0),
(125574,2000642,8,100,'Shrinks target by 35.0%',1,1),
(125575,2000642,9,100,'Applies Shrink Servant to qualifying pets.',0,0),
(125576,2000642,9,100,'Shrinks target by 35.0%',1,1),
(125577,2000642,10,100,'Applies Shrink Servant to qualifying pets.',0,0),
(125578,2000642,10,100,'Shrinks target by 35.0%',1,1),
(125579,200144,1,100,'Wards group members (AE) against 8 points of elemental, noxious and arcane damage',0,0),
(125580,200144,1,100,'Increases Mitigation of group members (AE) vs physical damage by 93',0,1),
(125581,200144,1,100,'If not fighter',1,2),
(125582,200144,2,100,'Wards group members (AE) against 9 points of elemental, noxious and arcane damage',0,0),
(125583,200144,2,100,'Increases Mitigation of group members (AE) vs physical damage by 98',0,1),
(125584,200144,2,100,'If not fighter',1,2),
(125585,200144,3,100,'Wards group members (AE) against 10 points of elemental, noxious and arcane damage',0,0),
(125586,200144,3,100,'Increases Mitigation of group members (AE) vs physical damage by 103',0,1),
(125587,200144,3,100,'If not fighter',1,2),
(125588,200144,4,100,'Wards group members (AE) against 11 points of elemental, noxious and arcane damage',0,0),
(125589,200144,4,100,'Increases Mitigation of group members (AE) vs physical damage by 114',0,1),
(125590,200144,4,100,'If not fighter',1,2),
(125591,200144,5,100,'Wards group members (AE) against 12 points of elemental, noxious and arcane damage',0,0),
(125592,200144,5,100,'Increases Mitigation of group members (AE) vs physical damage by 124',0,1),
(125593,200144,5,100,'If not fighter',1,2),
(125594,200144,7,100,'Wards group members (AE) against 15 points of elemental, noxious and arcane damage',0,0),
(125595,200144,7,100,'Increases Mitigation of group members (AE) vs physical damage by 159',0,1),
(125596,200144,7,100,'If not fighter',1,2),
(125597,200144,9,100,'Wards group members (AE) against 16 points of elemental, noxious and arcane damage',0,0),
(125598,200144,9,100,'Increases Mitigation of group members (AE) vs physical damage by 166',0,1),
(125599,200144,9,100,'If not fighter',1,2),
(125600,200145,1,100,'Wards group members (AE) against 34 points of elemental, noxious and arcane damage',0,0),
(125601,200145,1,100,'Increases Mitigation of group members (AE) vs physical damage by 201',0,1),
(125602,200145,1,100,'If not fighter',1,2),
(125603,200145,2,100,'Wards group members (AE) against 36 points of elemental, noxious and arcane damage',0,0),
(125604,200145,2,100,'Increases Mitigation of group members (AE) vs physical damage by 212',0,1),
(125605,200145,2,100,'If not fighter',1,2),
(125606,200145,3,100,'Wards group members (AE) against 38 points of elemental, noxious and arcane damage',0,0),
(125607,200145,3,100,'Increases Mitigation of group members (AE) vs physical damage by 223',0,1),
(125608,200145,3,100,'If not fighter',1,2),
(125609,200145,4,100,'Wards group members (AE) against 41 points of elemental, noxious and arcane damage',0,0),
(125610,200145,4,100,'Increases Mitigation of group members (AE) vs physical damage by 245',0,1),
(125611,200145,4,100,'If not fighter',1,2),
(125612,200145,5,100,'Wards group members (AE) against 45 points of elemental, noxious and arcane damage',0,0),
(125613,200145,5,100,'Increases Mitigation of group members (AE) vs physical damage by 267',0,1),
(125614,200145,5,100,'If not fighter',1,2),
(125615,200145,7,100,'Wards group members (AE) against 58 points of elemental, noxious and arcane damage',0,0),
(125616,200145,7,100,'Increases Mitigation of group members (AE) vs physical damage by 343',0,1),
(125617,200145,7,100,'If not fighter',1,2),
(125618,200145,9,100,'Wards group members (AE) against 60 points of elemental, noxious and arcane damage',0,0),
(125619,200145,9,100,'Increases Mitigation of group members (AE) vs physical damage by 357',0,1),
(125620,200145,9,100,'If not fighter',1,2),
(125621,200146,1,100,'Wards group members (AE) against 64 points of elemental, noxious and arcane damage',0,0),
(125622,200146,1,100,'Increases Mitigation of group members (AE) vs physical damage by 342',0,1),
(125623,200146,1,100,'If not fighter',1,2),
(125624,200146,2,100,'Wards group members (AE) against 67 points of elemental, noxious and arcane damage',0,0),
(125625,200146,2,100,'Increases Mitigation of group members (AE) vs physical damage by 361',0,1),
(125626,200146,2,100,'If not fighter',1,2),
(125627,200146,3,100,'Wards group members (AE) against 71 points of elemental, noxious and arcane damage',0,0),
(125628,200146,3,100,'Increases Mitigation of group members (AE) vs physical damage by 380',0,1),
(125629,200146,3,100,'If not fighter',1,2),
(125630,200146,4,100,'Wards group members (AE) against 78 points of elemental, noxious and arcane damage',0,0),
(125631,200146,4,100,'Increases Mitigation of group members (AE) vs physical damage by 417',0,1),
(125632,200146,4,100,'If not fighter',1,2),
(125633,200146,5,100,'Wards group members (AE) against 85 points of elemental, noxious and arcane damage',0,0),
(125634,200146,5,100,'Increases Mitigation of group members (AE) vs physical damage by 455',0,1),
(125635,200146,5,100,'If not fighter',1,2),
(125636,200146,7,100,'Wards group members (AE) against 109 points of elemental, noxious and arcane damage',0,0),
(125637,200146,7,100,'Increases Mitigation of group members (AE) vs physical damage by 584',0,1),
(125638,200146,7,100,'If not fighter',1,2),
(125639,200146,9,100,'Wards group members (AE) against 113 points of elemental, noxious and arcane damage',0,0),
(125640,200146,9,100,'Increases Mitigation of group members (AE) vs physical damage by 607',0,1),
(125641,200146,9,100,'If not fighter',1,2),
(125642,200146,10,100,'Wards group members (AE) against 119 points of elemental, noxious and arcane damage',0,0),
(125643,200146,10,100,'Increases Mitigation of group members (AE) vs physical damage by 638',0,1),
(125644,200146,10,100,'If not fighter',1,2),
(125645,200147,1,100,'Wards group members (AE) against 98 points of elemental, noxious and arcane damage',0,0),
(125646,200147,1,100,'Increases Mitigation of group members (AE) vs physical damage by 486',0,1),
(125647,200147,1,100,'If not fighter',1,2),
(125648,200147,2,100,'Wards group members (AE) against 103 points of elemental, noxious and arcane damage',0,0),
(125649,200147,2,100,'Increases Mitigation of group members (AE) vs physical damage by 513',0,1),
(125650,200147,2,100,'If not fighter',1,2),
(125651,200147,3,100,'Wards group members (AE) against 109 points of elemental, noxious and arcane damage',0,0),
(125652,200147,3,100,'Increases Mitigation of group members (AE) vs physical damage by 541',0,1),
(125653,200147,3,100,'If not fighter',1,2),
(125654,200147,4,100,'Wards group members (AE) against 119 points of elemental, noxious and arcane damage',0,0),
(125655,200147,4,100,'Increases Mitigation of group members (AE) vs physical damage by 595',0,1),
(125656,200147,4,100,'If not fighter',1,2),
(125657,200147,5,100,'Wards group members (AE) against 130 points of elemental, noxious and arcane damage',0,0),
(125658,200147,5,100,'Increases Mitigation of group members (AE) vs physical damage by 649',0,1),
(125659,200147,5,100,'If not fighter',1,2),
(125660,200147,7,100,'Wards group members (AE) against 167 points of elemental, noxious and arcane damage',0,0),
(125661,200147,7,100,'Increases Mitigation of group members (AE) vs physical damage by 832',0,1),
(125662,200147,7,100,'If not fighter',1,2),
(125663,200147,9,100,'Wards group members (AE) against 174 points of elemental, noxious and arcane damage',0,0),
(125664,200147,9,100,'Increases Mitigation of group members (AE) vs physical damage by 865',0,1),
(125665,200147,9,100,'If not fighter',1,2),
(125666,200148,1,100,'Wards group members (AE) against 135 points of elemental, noxious and arcane damage',0,0),
(125667,200148,1,100,'Increases Mitigation of group members (AE) vs physical damage by 631',0,1),
(125668,200148,1,100,'If not fighter',1,2),
(125669,200148,2,100,'Wards group members (AE) against 143 points of elemental, noxious and arcane damage',0,0),
(125670,200148,2,100,'Increases Mitigation of group members (AE) vs physical damage by 666',0,1),
(125671,200148,2,100,'If not fighter',1,2),
(125672,200148,3,100,'Wards group members (AE) against 151 points of elemental, noxious and arcane damage',0,0),
(125673,200148,3,100,'Increases Mitigation of group members (AE) vs physical damage by 702',0,1),
(125674,200148,3,100,'If not fighter',1,2),
(125675,200148,4,100,'Wards group members (AE) against 166 points of elemental, noxious and arcane damage',0,0),
(125676,200148,4,100,'Increases Mitigation of group members (AE) vs physical damage by 772',0,1),
(125677,200148,4,100,'If not fighter',1,2),
(125678,200148,5,100,'Wards group members (AE) against 181 points of elemental, noxious and arcane damage',0,0),
(125679,200148,5,100,'Increases Mitigation of group members (AE) vs physical damage by 842',0,1),
(125680,200148,5,100,'If not fighter',1,2),
(125681,200148,7,100,'Wards group members (AE) against 232 points of elemental, noxious and arcane damage',0,0),
(125682,200148,7,100,'Increases Mitigation of group members (AE) vs physical damage by 1080',0,1),
(125683,200148,7,100,'If not fighter',1,2),
(125684,200148,9,100,'Wards group members (AE) against 241 points of elemental, noxious and arcane damage',0,0),
(125685,200148,9,100,'Increases Mitigation of group members (AE) vs physical damage by 1122',0,1),
(125686,200148,9,100,'If not fighter',1,2),
(125687,200149,1,100,'Wards group members (AE) against 170 points of elemental, noxious and arcane damage',0,0),
(125688,200149,1,100,'Increases Mitigation of group members (AE) vs physical damage by 804',0,1),
(125689,200149,1,100,'If not fighter',1,2),
(125690,200149,2,100,'Wards group members (AE) against 180 points of elemental, noxious and arcane damage',0,0),
(125691,200149,2,100,'Increases Mitigation of group members (AE) vs physical damage by 849',0,1),
(125692,200149,2,100,'If not fighter',1,2),
(125693,200149,3,100,'Wards group members (AE) against 190 points of elemental, noxious and arcane damage',0,0),
(125694,200149,3,100,'Increases Mitigation of group members (AE) vs physical damage by 894',0,1),
(125695,200149,3,100,'If not fighter',1,2),
(125696,200149,4,100,'Wards group members (AE) against 209 points of elemental, noxious and arcane damage',0,0),
(125697,200149,4,100,'Increases Mitigation of group members (AE) vs physical damage by 983',0,1),
(125698,200149,4,100,'If not fighter',1,2),
(125699,200149,5,100,'Wards group members (AE) against 228 points of elemental, noxious and arcane damage',0,0),
(125700,200149,5,100,'Increases Mitigation of group members (AE) vs physical damage by 1072',0,1),
(125701,200149,5,100,'If not fighter',1,2),
(125702,200149,7,100,'Wards group members (AE) against 292 points of elemental, noxious and arcane damage',0,0),
(125703,200149,7,100,'Increases Mitigation of group members (AE) vs physical damage by 1376',0,1),
(125704,200149,7,100,'If not fighter',1,2),
(125705,200149,9,100,'Wards group members (AE) against 304 points of elemental, noxious and arcane damage',0,0),
(125706,200149,9,100,'Increases Mitigation of group members (AE) vs physical damage by 1430',0,1),
(125707,200149,9,100,'If not fighter',1,2),
(125708,200150,1,100,'Wards group members (AE) against 203 points of elemental, noxious and arcane damage',0,0),
(125709,200150,1,100,'Increases Mitigation of group members (AE) vs physical damage by 930',0,1),
(125710,200150,1,100,'If not fighter',1,2),
(125711,200150,4,100,'Wards group members (AE) against 248 points of elemental, noxious and arcane damage',0,0),
(125712,200150,4,100,'Increases Mitigation of group members (AE) vs physical damage by 1137',0,1),
(125713,200150,4,100,'If not fighter',1,2),
(125714,200150,5,100,'Wards group members (AE) against 270 points of elemental, noxious and arcane damage',0,0),
(125715,200150,5,100,'Increases Mitigation of group members (AE) vs physical damage by 1240',0,1),
(125716,200150,5,100,'If not fighter',1,2),
(125717,200150,7,100,'Wards group members (AE) against 347 points of elemental, noxious and arcane damage',0,0),
(125718,200150,7,100,'Increases Mitigation of group members (AE) vs physical damage by 1592',0,1),
(125719,200150,7,100,'If not fighter',1,2),
(125720,200150,9,100,'Wards group members (AE) against 360 points of elemental, noxious and arcane damage',0,0),
(125721,200150,9,100,'Increases Mitigation of group members (AE) vs physical damage by 1654',0,1),
(125722,200150,9,100,'If not fighter',1,2),
(125723,200150,10,100,'Wards group members (AE) against 379 points of elemental, noxious and arcane damage',0,0),
(125724,200150,10,100,'Increases Mitigation of group members (AE) vs physical damage by 1736',0,1),
(125725,200150,10,100,'If not fighter',1,2),
(125726,200151,1,100,'Wards group members (AE) against 232 points of elemental, noxious and arcane damage',0,0),
(125727,200151,1,100,'Increases Max Health of group members (AE) by 10.8%',0,1),
(125728,200151,1,100,'If fighter',1,2),
(125729,200151,1,100,'Increases Mitigation of group members (AE) vs physical damage by 1070',0,3),
(125730,200151,1,100,'If not fighter',1,4),
(125731,200151,4,100,'Wards group members (AE) against 284 points of elemental, noxious and arcane damage',0,0),
(125732,200151,4,100,'Increases Max Health of group members (AE) by 13.2%',0,1),
(125733,200151,4,100,'If fighter',1,2),
(125734,200151,4,100,'Increases Mitigation of group members (AE) vs physical damage by 1308',0,3),
(125735,200151,4,100,'If not fighter',1,4),
(125736,200151,5,100,'Wards group members (AE) against 310 points of elemental, noxious and arcane damage',0,0),
(125737,200151,5,100,'Increases Max Health of group members (AE) by 14.4%',0,1),
(125738,200151,5,100,'If fighter',1,2),
(125739,200151,5,100,'Increases Mitigation of group members (AE) vs physical damage by 1427',0,3),
(125740,200151,5,100,'If not fighter',1,4),
(125741,200151,7,100,'Wards group members (AE) against 397 points of elemental, noxious and arcane damage',0,0),
(125742,200151,7,100,'Increases Max Health of group members (AE) by 18.5%',0,1),
(125743,200151,7,100,'If fighter',1,2),
(125744,200151,7,100,'Increases Mitigation of group members (AE) vs physical damage by 1831',0,3),
(125745,200151,7,100,'If not fighter',1,4),
(125746,200151,9,100,'Wards group members (AE) against 413 points of elemental, noxious and arcane damage',0,0),
(125747,200151,9,100,'Increases Max Health of group members (AE) by 19.2%',0,1),
(125748,200151,9,100,'If fighter',1,2),
(125749,200151,9,100,'Increases Mitigation of group members (AE) vs physical damage by 1903',0,3),
(125750,200151,9,100,'If not fighter',1,4),
(125751,200151,10,100,'Wards group members (AE) against 434 points of elemental, noxious and arcane damage',0,0),
(125752,200151,10,100,'Increases Max Health of group members (AE) by 20.2%',0,1),
(125753,200151,10,100,'If fighter',1,2),
(125754,200151,10,100,'Increases Mitigation of group members (AE) vs physical damage by 1998',0,3),
(125755,200151,10,100,'If not fighter',1,4),
(125756,240180,1,100,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',0,0),
(125757,240180,1,100,'Inflicts 13 - 16 poison damage on target encounter',1,1),
(125758,240180,2,100,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',0,0),
(125759,240180,2,100,'Inflicts 14 - 17 poison damage on target encounter',1,1),
(125760,240180,3,100,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',0,0),
(125761,240180,3,100,'Inflicts 15 - 18 poison damage on target encounter',1,1),
(125762,240180,4,100,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',0,0),
(125763,240180,4,100,'Inflicts 16 - 20 poison damage on target encounter',1,1),
(125764,240180,5,100,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',0,0),
(125765,240180,5,100,'Inflicts 18 - 22 poison damage on target encounter',1,1),
(125766,240180,7,100,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',0,0),
(125767,240180,7,100,'Inflicts 23 - 28 poison damage on target encounter',1,1),
(125768,240180,9,100,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',0,0),
(125769,240180,9,100,'Inflicts 24 - 29 poison damage on target encounter',1,1),
(125770,240181,1,100,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',0,0),
(125771,240181,1,100,'Inflicts 25 - 30 poison damage on target encounter',1,1),
(125772,240181,2,100,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',0,0),
(125773,240181,2,100,'Inflicts 26 - 32 poison damage on target encounter',1,1),
(125774,240181,3,100,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',0,0),
(125775,240181,3,100,'Inflicts 28 - 34 poison damage on target encounter',1,1),
(125776,240181,4,100,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',0,0),
(125777,240181,4,100,'Inflicts 30 - 37 poison damage on target encounter',1,1),
(125778,240181,5,100,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',0,0),
(125779,240181,5,100,'Inflicts 33 - 41 poison damage on target encounter',1,1),
(125780,240181,7,100,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',0,0),
(125781,240181,7,100,'Inflicts 43 - 52 poison damage on target encounter',1,1),
(125782,240181,9,100,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',0,0),
(125783,240181,9,100,'Inflicts 44 - 54 poison damage on target encounter',1,1),
(125784,240182,1,100,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',0,0),
(125785,240182,1,100,'Inflicts 39 - 47 poison damage on target encounter',1,1),
(125786,240182,2,100,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',0,0),
(125787,240182,2,100,'Inflicts 41 - 50 poison damage on target encounter',1,1),
(125788,240182,3,100,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',0,0),
(125789,240182,3,100,'Inflicts 43 - 52 poison damage on target encounter',1,1),
(125790,240182,4,100,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',0,0),
(125791,240182,4,100,'Inflicts 47 - 58 poison damage on target encounter',1,1),
(125792,240182,5,100,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',0,0),
(125793,240182,5,100,'Inflicts 51 - 63 poison damage on target encounter',1,1),
(125794,240182,7,100,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',0,0),
(125795,240182,7,100,'Inflicts 66 - 81 poison damage on target encounter',1,1),
(125796,240182,9,100,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',0,0),
(125797,240182,9,100,'Inflicts 69 - 84 poison damage on target encounter',1,1),
(125798,240183,1,100,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',0,0),
(125799,240183,1,100,'Inflicts 52 - 64 poison damage on target encounter',1,1),
(125800,240183,2,100,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',0,0),
(125801,240183,2,100,'Inflicts 55 - 67 poison damage on target encounter',1,1),
(125802,240183,3,100,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',0,0),
(125803,240183,3,100,'Inflicts 58 - 71 poison damage on target encounter',1,1),
(125804,240183,4,100,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',0,0),
(125805,240183,4,100,'Inflicts 64 - 78 poison damage on target encounter',1,1),
(125806,240183,5,100,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',0,0),
(125807,240183,5,100,'Inflicts 70 - 85 poison damage on target encounter',1,1),
(125808,240183,7,100,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',0,0),
(125809,240183,7,100,'Inflicts 89 - 109 poison damage on target encounter',1,1),
(125810,240183,9,100,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',0,0),
(125811,240183,9,100,'Inflicts 93 - 113 poison damage on target encounter',1,1),
(125812,240183,10,100,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',0,0),
(125813,240183,10,100,'Inflicts 97 - 119 poison damage on target encounter',1,1),
(125814,240184,1,100,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',0,0),
(125815,240184,1,100,'Inflicts 65 - 80 poison damage on target encounter',1,1),
(125816,240184,2,100,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',0,0),
(125817,240184,2,100,'Inflicts 69 - 84 poison damage on target encounter',1,1),
(125818,240184,3,100,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',0,0),
(125819,240184,3,100,'Inflicts 73 - 89 poison damage on target encounter',1,1),
(125820,240184,4,100,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',0,0),
(125821,240184,4,100,'Inflicts 80 - 98 poison damage on target encounter',1,1),
(125822,240184,5,100,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',0,0),
(125823,240184,5,100,'Inflicts 87 - 107 poison damage on target encounter',1,1),
(125824,240184,7,100,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',0,0),
(125825,240184,7,100,'Inflicts 112 - 137 poison damage on target encounter',1,1),
(125826,240184,9,100,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',0,0),
(125827,240184,9,100,'Inflicts 116 - 142 poison damage on target encounter',1,1),
(125828,240185,1,100,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',0,0),
(125829,240185,1,100,'Inflicts 79 - 96 poison damage on target encounter',1,1),
(125830,240185,4,100,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',0,0),
(125831,240185,4,100,'Inflicts 96 - 118 poison damage on target encounter',1,1),
(125832,240185,5,100,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',0,0),
(125833,240185,5,100,'Inflicts 105 - 129 poison damage on target encounter',1,1),
(125834,240185,7,100,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',0,0),
(125835,240185,7,100,'Inflicts 135 - 165 poison damage on target encounter',1,1),
(125836,240185,9,100,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',0,0),
(125837,240185,9,100,'Inflicts 140 - 171 poison damage on target encounter',1,1),
(125838,240186,1,100,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',0,0),
(125839,240186,1,100,'Inflicts 88 - 107 poison damage on target encounter',1,1),
(125840,240186,4,100,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',0,0),
(125841,240186,4,100,'Inflicts 107 - 131 poison damage on target encounter',1,1),
(125842,240186,5,100,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',0,0),
(125843,240186,5,100,'Inflicts 117 - 143 poison damage on target encounter',1,1),
(125844,240186,7,100,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',0,0),
(125845,240186,7,100,'Inflicts 150 - 183 poison damage on target encounter',1,1),
(125846,240186,9,100,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',0,0),
(125847,240186,9,100,'Inflicts 156 - 191 poison damage on target encounter',1,1),
(125848,2000643,1,100,'Inflicts 1 - 2 crushing damage on target',0,0),
(125849,2000643,1,100,'Stuns target',0,1),
(125850,2000643,1,100,'Epic targets gain an immunity to Stun effects of 5.6 seconds and duration is reduced to 0.6 seconds.',0,2),
(125851,2000643,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(125852,130145,1,100,'Dazes target',0,0),
(125853,130145,1,100,'Does not affect Epic targets',0,1),
(125854,130145,1,100,'Resistibility increases against targets higher than level 29.',0,2),
(125855,130145,2,100,'Dazes target',0,0),
(125856,130145,2,100,'Does not affect Epic targets',0,1),
(125857,130145,2,100,'Resistibility increases against targets higher than level 29.',0,2),
(125858,130145,3,100,'Dazes target',0,0),
(125859,130145,3,100,'Does not affect Epic targets',0,1),
(125860,130145,3,100,'Resistibility increases against targets higher than level 29.',0,2),
(125861,130145,4,100,'Dazes target',0,0),
(125862,130145,4,100,'Does not affect Epic targets',0,1),
(125863,130145,4,100,'Resistibility increases against targets higher than level 29.',0,2),
(125864,130145,5,100,'Dazes target',0,0),
(125865,130145,5,100,'Does not affect Epic targets',0,1),
(125866,130145,5,100,'Resistibility increases against targets higher than level 29.',0,2),
(125867,130145,7,100,'Dazes target',0,0),
(125868,130145,7,100,'Does not affect Epic targets',0,1),
(125869,130145,7,100,'Resistibility increases against targets higher than level 29.',0,2),
(125870,130145,9,100,'Dazes target',0,0),
(125871,130145,9,100,'Does not affect Epic targets',0,1),
(125872,130145,9,100,'Resistibility increases against targets higher than level 29.',0,2),
(125873,130146,1,100,'Dazes target',0,0),
(125874,130146,1,100,'Does not affect Epic targets',0,1),
(125875,130146,1,100,'Resistibility increases against targets higher than level 29.',0,2),
(125876,130146,2,100,'Dazes target',0,0),
(125877,130146,2,100,'Does not affect Epic targets',0,1),
(125878,130146,2,100,'Resistibility increases against targets higher than level 29.',0,2),
(125879,130146,3,100,'Dazes target',0,0),
(125880,130146,3,100,'Does not affect Epic targets',0,1),
(125881,130146,3,100,'Resistibility increases against targets higher than level 29.',0,2),
(125882,130146,4,100,'Dazes target',0,0),
(125883,130146,4,100,'Does not affect Epic targets',0,1),
(125884,130146,4,100,'Resistibility increases against targets higher than level 29.',0,2),
(125885,130146,5,100,'Dazes target',0,0),
(125886,130146,5,100,'Does not affect Epic targets',0,1),
(125887,130146,5,100,'Resistibility increases against targets higher than level 29.',0,2),
(125888,130146,7,100,'Dazes target',0,0),
(125889,130146,7,100,'Does not affect Epic targets',0,1),
(125890,130146,7,100,'Resistibility increases against targets higher than level 29.',0,2),
(125891,130146,9,100,'Dazes target',0,0),
(125892,130146,9,100,'Does not affect Epic targets',0,1),
(125893,130146,9,100,'Resistibility increases against targets higher than level 29.',0,2),
(125894,130146,10,100,'Dazes target',0,0),
(125895,130146,10,100,'Does not affect Epic targets',0,1),
(125896,130146,10,100,'Resistibility increases against targets higher than level 29.',0,2),
(125897,130147,1,100,'Dazes target',0,0),
(125898,130147,1,100,'Does not affect Epic targets',0,1),
(125899,130147,1,100,'Resistibility increases against targets higher than level 29.',0,2),
(125900,130147,2,100,'Dazes target',0,0),
(125901,130147,2,100,'Does not affect Epic targets',0,1),
(125902,130147,2,100,'Resistibility increases against targets higher than level 29.',0,2),
(125903,130147,3,100,'Dazes target',0,0),
(125904,130147,3,100,'Does not affect Epic targets',0,1),
(125905,130147,3,100,'Resistibility increases against targets higher than level 29.',0,2),
(125906,130147,4,100,'Dazes target',0,0),
(125907,130147,4,100,'Does not affect Epic targets',0,1),
(125908,130147,4,100,'Resistibility increases against targets higher than level 29.',0,2),
(125909,130147,5,100,'Dazes target',0,0),
(125910,130147,5,100,'Does not affect Epic targets',0,1),
(125911,130147,5,100,'Resistibility increases against targets higher than level 29.',0,2),
(125912,130147,7,100,'Dazes target',0,0),
(125913,130147,7,100,'Does not affect Epic targets',0,1),
(125914,130147,7,100,'Resistibility increases against targets higher than level 29.',0,2),
(125915,130147,9,100,'Dazes target',0,0),
(125916,130147,9,100,'Does not affect Epic targets',0,1),
(125917,130147,9,100,'Resistibility increases against targets higher than level 29.',0,2),
(125918,130148,1,100,'Dazes target',0,0),
(125919,130148,1,100,'Does not affect Epic targets',0,1),
(125920,130148,1,100,'Resistibility increases against targets higher than level 29.',0,2),
(125921,130148,2,100,'Dazes target',0,0),
(125922,130148,2,100,'Does not affect Epic targets',0,1),
(125923,130148,2,100,'Resistibility increases against targets higher than level 29.',0,2),
(125924,130148,3,100,'Dazes target',0,0),
(125925,130148,3,100,'Does not affect Epic targets',0,1),
(125926,130148,3,100,'Resistibility increases against targets higher than level 29.',0,2),
(125927,130148,4,100,'Dazes target',0,0),
(125928,130148,4,100,'Does not affect Epic targets',0,1),
(125929,130148,4,100,'Resistibility increases against targets higher than level 29.',0,2),
(125930,130148,5,100,'Dazes target',0,0),
(125931,130148,5,100,'Does not affect Epic targets',0,1),
(125932,130148,5,100,'Resistibility increases against targets higher than level 29.',0,2),
(125933,130148,7,100,'Dazes target',0,0),
(125934,130148,7,100,'Does not affect Epic targets',0,1),
(125935,130148,7,100,'Resistibility increases against targets higher than level 29.',0,2),
(125936,130148,9,100,'Dazes target',0,0),
(125937,130148,9,100,'Does not affect Epic targets',0,1),
(125938,130148,9,100,'Resistibility increases against targets higher than level 29.',0,2),
(125939,130149,1,100,'Dazes target',0,0),
(125940,130149,1,100,'Does not affect Epic targets',0,1),
(125941,130149,1,100,'Resistibility increases against targets higher than level 29.',0,2),
(125942,130149,2,100,'Dazes target',0,0),
(125943,130149,2,100,'Does not affect Epic targets',0,1),
(125944,130149,2,100,'Resistibility increases against targets higher than level 29.',0,2),
(125945,130149,3,100,'Dazes target',0,0),
(125946,130149,3,100,'Does not affect Epic targets',0,1),
(125947,130149,3,100,'Resistibility increases against targets higher than level 29.',0,2),
(125948,130149,4,100,'Dazes target',0,0),
(125949,130149,4,100,'Does not affect Epic targets',0,1),
(125950,130149,4,100,'Resistibility increases against targets higher than level 29.',0,2),
(125951,130149,5,100,'Dazes target',0,0),
(125952,130149,5,100,'Does not affect Epic targets',0,1),
(125953,130149,5,100,'Resistibility increases against targets higher than level 29.',0,2),
(125954,130149,7,100,'Dazes target',0,0),
(125955,130149,7,100,'Does not affect Epic targets',0,1),
(125956,130149,7,100,'Resistibility increases against targets higher than level 29.',0,2),
(125957,130149,9,100,'Dazes target',0,0),
(125958,130149,9,100,'Does not affect Epic targets',0,1),
(125959,130149,9,100,'Resistibility increases against targets higher than level 29.',0,2),
(125960,130150,1,100,'Dazes target',0,0),
(125961,130150,1,100,'Does not affect Epic targets',0,1),
(125962,130150,1,100,'Resistibility increases against targets higher than level 29.',0,2),
(125963,130150,2,100,'Dazes target',0,0),
(125964,130150,2,100,'Does not affect Epic targets',0,1),
(125965,130150,2,100,'Resistibility increases against targets higher than level 29.',0,2),
(125966,130150,3,100,'Dazes target',0,0),
(125967,130150,3,100,'Does not affect Epic targets',0,1),
(125968,130150,3,100,'Resistibility increases against targets higher than level 29.',0,2),
(125969,130150,4,100,'Dazes target',0,0),
(125970,130150,4,100,'Does not affect Epic targets',0,1),
(125971,130150,4,100,'Resistibility increases against targets higher than level 29.',0,2),
(125972,130150,5,100,'Dazes target',0,0),
(125973,130150,5,100,'Does not affect Epic targets',0,1),
(125974,130150,5,100,'Resistibility increases against targets higher than level 29.',0,2),
(125975,130150,7,100,'Dazes target',0,0),
(125976,130150,7,100,'Does not affect Epic targets',0,1),
(125977,130150,7,100,'Resistibility increases against targets higher than level 29.',0,2),
(125978,130150,9,100,'Dazes target',0,0),
(125979,130150,9,100,'Does not affect Epic targets',0,1),
(125980,130150,9,100,'Resistibility increases against targets higher than level 29.',0,2),
(125981,130151,1,100,'Dazes target',0,0),
(125982,130151,1,100,'Does not affect Epic targets',0,1),
(125983,130151,1,100,'Resistibility increases against targets higher than level 29.',0,2),
(125984,130151,4,100,'Dazes target',0,0),
(125985,130151,4,100,'Does not affect Epic targets',0,1),
(125986,130151,4,100,'Resistibility increases against targets higher than level 29.',0,2),
(125987,130151,5,100,'Dazes target',0,0),
(125988,130151,5,100,'Does not affect Epic targets',0,1),
(125989,130151,5,100,'Resistibility increases against targets higher than level 29.',0,2),
(125990,130151,7,100,'Dazes target',0,0),
(125991,130151,7,100,'Does not affect Epic targets',0,1),
(125992,130151,7,100,'Resistibility increases against targets higher than level 29.',0,2),
(125993,130151,9,100,'Dazes target',0,0),
(125994,130151,9,100,'Does not affect Epic targets',0,1),
(125995,130151,9,100,'Resistibility increases against targets higher than level 29.',0,2),
(125996,270141,1,100,'Increases INT and AGI of group members (AE) by 9.4',0,0),
(125997,270141,1,100,'Adds 1.4% to base avoidance.',0,1),
(125998,270141,2,100,'Increases INT and AGI of group members (AE) by 9.9',0,0),
(125999,270141,2,100,'Adds 1.5% to base avoidance.',0,1),
(126000,270141,3,100,'Increases INT and AGI of group members (AE) by 10.4',0,0),
(126001,270141,3,100,'Adds 1.6% to base avoidance.',0,1),
(126002,270141,4,100,'Increases INT and AGI of group members (AE) by 11.4',0,0),
(126003,270141,4,100,'Adds 1.8% to base avoidance.',0,1),
(126004,270141,5,100,'Increases INT and AGI of group members (AE) by 12.5',0,0),
(126005,270141,5,100,'Adds 1.9% to base avoidance.',0,1),
(126006,270141,7,100,'Increases INT and AGI of group members (AE) by 16.0',0,0),
(126007,270141,7,100,'Adds 2.5% to base avoidance.',0,1),
(126008,270141,9,100,'Increases INT and AGI of group members (AE) by 16.6',0,0),
(126009,270141,9,100,'Adds 2.6% to base avoidance.',0,1),
(126010,270142,1,100,'Increases INT and AGI of group members (AE) by 18.2',0,0),
(126011,270142,1,100,'Adds 1.4% to base avoidance.',0,1),
(126012,270142,2,100,'Increases INT and AGI of group members (AE) by 19.2',0,0),
(126013,270142,2,100,'Adds 1.5% to base avoidance.',0,1),
(126014,270142,3,100,'Increases INT and AGI of group members (AE) by 20.2',0,0),
(126015,270142,3,100,'Adds 1.6% to base avoidance.',0,1),
(126016,270142,4,100,'Increases INT and AGI of group members (AE) by 22.2',0,0),
(126017,270142,4,100,'Adds 1.8% to base avoidance.',0,1),
(126018,270142,5,100,'Increases INT and AGI of group members (AE) by 24.2',0,0),
(126019,270142,5,100,'Adds 1.9% to base avoidance.',0,1),
(126020,270142,7,100,'Increases INT and AGI of group members (AE) by 31.1',0,0),
(126021,270142,7,100,'Adds 2.5% to base avoidance.',0,1),
(126022,270142,9,100,'Increases INT and AGI of group members (AE) by 32.3',0,0),
(126023,270142,9,100,'Adds 2.6% to base avoidance.',0,1),
(126024,270143,1,100,'Increases INT and AGI of group members (AE) by 27.9',0,0),
(126025,270143,1,100,'Adds 1.4% to base avoidance.',0,1),
(126026,270143,2,100,'Increases INT and AGI of group members (AE) by 29.4',0,0),
(126027,270143,2,100,'Adds 1.5% to base avoidance.',0,1),
(126028,270143,3,100,'Increases INT and AGI of group members (AE) by 31.0',0,0),
(126029,270143,3,100,'Adds 1.6% to base avoidance.',0,1),
(126030,270143,4,100,'Increases INT and AGI of group members (AE) by 34.1',0,0),
(126031,270143,4,100,'Adds 1.8% to base avoidance.',0,1),
(126032,270143,5,100,'Increases INT and AGI of group members (AE) by 37.2',0,0),
(126033,270143,5,100,'Adds 1.9% to base avoidance.',0,1),
(126034,270143,7,100,'Increases INT and AGI of group members (AE) by 47.7',0,0),
(126035,270143,7,100,'Adds 2.5% to base avoidance.',0,1),
(126036,270143,9,100,'Increases INT and AGI of group members (AE) by 49.6',0,0),
(126037,270143,9,100,'Adds 2.6% to base avoidance.',0,1),
(126038,270143,10,100,'Increases INT and AGI of group members (AE) by 52.1',0,0),
(126039,270143,10,100,'Adds 2.7% to base avoidance.',0,1),
(126040,270144,1,100,'Increases INT and AGI of group members (AE) by 38.0',0,0),
(126041,270144,1,100,'Adds 1.4% to base avoidance.',0,1),
(126042,270144,2,100,'Increases INT and AGI of group members (AE) by 40.1',0,0),
(126043,270144,2,100,'Adds 1.5% to base avoidance.',0,1),
(126044,270144,3,100,'Increases INT and AGI of group members (AE) by 42.2',0,0),
(126045,270144,3,100,'Adds 1.6% to base avoidance.',0,1),
(126046,270144,4,100,'Increases INT and AGI of group members (AE) by 46.4',0,0),
(126047,270144,4,100,'Adds 1.8% to base avoidance.',0,1),
(126048,270144,5,100,'Increases INT and AGI of group members (AE) by 50.6',0,0),
(126049,270144,5,100,'Adds 1.9% to base avoidance.',0,1),
(126050,270144,7,100,'Increases INT and AGI of group members (AE) by 65.0',0,0),
(126051,270144,7,100,'Adds 2.5% to base avoidance.',0,1),
(126052,270144,9,100,'Increases INT and AGI of group members (AE) by 67.5',0,0),
(126053,270144,9,100,'Adds 2.6% to base avoidance.',0,1),
(126054,270144,10,100,'Increases INT and AGI of group members (AE) by 70.9',0,0),
(126055,270144,10,100,'Adds 2.7% to base avoidance.',0,1),
(126056,270145,1,100,'Increases INT and AGI of group members (AE) by 48.1',0,0),
(126057,270145,1,100,'Adds 1.4% to base avoidance.',0,1),
(126058,270145,2,100,'Increases INT and AGI of group members (AE) by 50.7',0,0),
(126059,270145,2,100,'Adds 1.5% to base avoidance.',0,1),
(126060,270145,3,100,'Increases INT and AGI of group members (AE) by 53.4',0,0),
(126061,270145,3,100,'Adds 1.6% to base avoidance.',0,1),
(126062,270145,4,100,'Increases INT and AGI of group members (AE) by 58.7',0,0),
(126063,270145,4,100,'Adds 1.8% to base avoidance.',0,1),
(126064,270145,5,100,'Increases INT and AGI of group members (AE) by 64.1',0,0),
(126065,270145,5,100,'Adds 1.9% to base avoidance.',0,1),
(126066,270145,7,100,'Increases INT and AGI of group members (AE) by 82.2',0,0),
(126067,270145,7,100,'Adds 2.5% to base avoidance.',0,1),
(126068,270145,9,100,'Increases INT and AGI of group members (AE) by 85.4',0,0),
(126069,270145,9,100,'Adds 2.6% to base avoidance.',0,1),
(126070,270146,1,100,'Increases INT and AGI of group members (AE) by 58.4',0,0),
(126071,270146,1,100,'Adds 1.4% to base avoidance.',0,1),
(126072,270146,2,100,'Increases INT and AGI of group members (AE) by 61.7',0,0),
(126073,270146,2,100,'Adds 1.5% to base avoidance.',0,1),
(126074,270146,3,100,'Increases INT and AGI of group members (AE) by 64.9',0,0),
(126075,270146,3,100,'Adds 1.6% to base avoidance.',0,1),
(126076,270146,4,100,'Increases INT and AGI of group members (AE) by 71.4',0,0),
(126077,270146,4,100,'Adds 1.8% to base avoidance.',0,1),
(126078,270146,5,100,'Increases INT and AGI of group members (AE) by 77.9',0,0),
(126079,270146,5,100,'Adds 1.9% to base avoidance.',0,1),
(126080,270146,7,100,'Increases INT and AGI of group members (AE) by 99.9',0,0),
(126081,270146,7,100,'Adds 2.5% to base avoidance.',0,1),
(126082,270146,9,100,'Increases INT and AGI of group members (AE) by 103.8',0,0),
(126083,270146,9,100,'Adds 2.6% to base avoidance.',0,1),
(126084,270147,1,100,'Increases INT and AGI of group members (AE) by 68.3',0,0),
(126085,270147,1,100,'Adds 1.4% to base avoidance.',0,1),
(126086,270147,4,100,'Increases INT and AGI of group members (AE) by 83.5',0,0),
(126087,270147,4,100,'Adds 1.8% to base avoidance.',0,1),
(126088,270147,5,100,'Increases INT and AGI of group members (AE) by 91.1',0,0),
(126089,270147,5,100,'Adds 1.9% to base avoidance.',0,1),
(126090,270147,7,100,'Increases INT and AGI of group members (AE) by 116.9',0,0),
(126091,270147,7,100,'Adds 2.5% to base avoidance.',0,1),
(126092,270147,9,100,'Increases INT and AGI of group members (AE) by 121.4',0,0),
(126093,270147,9,100,'Adds 2.6% to base avoidance.',0,1),
(126094,270148,1,100,'Increases INT and AGI of group members (AE) by 78.2',0,0),
(126095,270148,1,100,'Adds 1.4% to base avoidance.',0,1),
(126096,270148,4,100,'Increases INT and AGI of group members (AE) by 95.6',0,0),
(126097,270148,4,100,'Adds 1.8% to base avoidance.',0,1),
(126098,270148,5,100,'Increases INT and AGI of group members (AE) by 104.3',0,0),
(126099,270148,5,100,'Adds 1.9% to base avoidance.',0,1),
(126100,270148,7,100,'Increases INT and AGI of group members (AE) by 133.8',0,0),
(126101,270148,7,100,'Adds 2.5% to base avoidance.',0,1),
(126102,270148,9,100,'Increases INT and AGI of group members (AE) by 139.0',0,0),
(126103,270148,9,100,'Adds 2.6% to base avoidance.',0,1),
(126104,250018,1,100,'Increases INT and AGI of group members (AE) by 9.4',0,0),
(126105,250018,2,100,'Increases INT and AGI of group members (AE) by 9.9',0,0),
(126106,250018,3,100,'Increases INT and AGI of group members (AE) by 10.4',0,0),
(126107,250018,4,100,'Increases INT and AGI of group members (AE) by 11.4',0,0),
(126108,250018,5,100,'Increases INT and AGI of group members (AE) by 12.5',0,0),
(126109,250018,7,100,'Increases INT and AGI of group members (AE) by 16.0',0,0),
(126110,250018,9,100,'Increases INT and AGI of group members (AE) by 16.6',0,0),
(126111,270149,1,100,'Inflicts 40 - 49 mental damage on target',0,0),
(126112,270149,1,100,'Inflicts 13 - 16 mental damage on target every second',0,1),
(126113,270149,1,100,'Stifles target',0,2),
(126114,270149,1,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,3),
(126115,270149,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(126116,270149,2,100,'Inflicts 42 - 51 mental damage on target',0,0),
(126117,270149,2,100,'Inflicts 14 - 17 mental damage on target every second',0,1),
(126118,270149,2,100,'Stifles target',0,2),
(126119,270149,2,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,3),
(126120,270149,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(126121,270149,3,100,'Inflicts 44 - 54 mental damage on target',0,0),
(126122,270149,3,100,'Inflicts 15 - 18 mental damage on target every second',0,1),
(126123,270149,3,100,'Stifles target',0,2),
(126124,270149,3,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,3),
(126125,270149,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(126126,270149,4,100,'Inflicts 49 - 60 mental damage on target',0,0),
(126127,270149,4,100,'Inflicts 16 - 20 mental damage on target every second',0,1),
(126128,270149,4,100,'Stifles target',0,2),
(126129,270149,4,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,3),
(126130,270149,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(126131,270149,5,100,'Inflicts 53 - 65 mental damage on target',0,0),
(126132,270149,5,100,'Inflicts 18 - 22 mental damage on target every second',0,1),
(126133,270149,5,100,'Stifles target',0,2),
(126134,270149,5,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,3),
(126135,270149,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(126136,270149,7,100,'Inflicts 68 - 83 mental damage on target',0,0),
(126137,270149,7,100,'Inflicts 23 - 28 mental damage on target every second',0,1),
(126138,270149,7,100,'Stifles target',0,2),
(126139,270149,7,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,3),
(126140,270149,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(126141,270149,9,100,'Inflicts 71 - 87 mental damage on target',0,0),
(126142,270149,9,100,'Inflicts 24 - 29 mental damage on target every second',0,1),
(126143,270149,9,100,'Stifles target',0,2),
(126144,270149,9,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,3),
(126145,270149,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(126146,270150,1,100,'Inflicts 79 - 96 mental damage on target',0,0),
(126147,270150,1,100,'Inflicts 26 - 32 mental damage on target every second',0,1),
(126148,270150,1,100,'Stifles target',0,2),
(126149,270150,1,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,3),
(126150,270150,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(126151,270150,2,100,'Inflicts 83 - 102 mental damage on target',0,0),
(126152,270150,2,100,'Inflicts 28 - 34 mental damage on target every second',0,1),
(126153,270150,2,100,'Stifles target',0,2),
(126154,270150,2,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,3),
(126155,270150,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(126156,270150,3,100,'Inflicts 88 - 107 mental damage on target',0,0),
(126157,270150,3,100,'Inflicts 29 - 36 mental damage on target every second',0,1),
(126158,270150,3,100,'Stifles target',0,2),
(126159,270150,3,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,3),
(126160,270150,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(126161,270150,4,100,'Inflicts 96 - 118 mental damage on target',0,0),
(126162,270150,4,100,'Inflicts 32 - 39 mental damage on target every second',0,1),
(126163,270150,4,100,'Stifles target',0,2),
(126164,270150,4,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,3),
(126165,270150,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(126166,270150,5,100,'Inflicts 105 - 128 mental damage on target',0,0),
(126167,270150,5,100,'Inflicts 35 - 43 mental damage on target every second',0,1),
(126168,270150,5,100,'Stifles target',0,2),
(126169,270150,5,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,3),
(126170,270150,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(126171,270150,7,100,'Inflicts 135 - 165 mental damage on target',0,0),
(126172,270150,7,100,'Inflicts 45 - 55 mental damage on target every second',0,1),
(126173,270150,7,100,'Stifles target',0,2),
(126174,270150,7,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,3),
(126175,270150,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(126176,270150,9,100,'Inflicts 140 - 171 mental damage on target',0,0),
(126177,270150,9,100,'Inflicts 47 - 57 mental damage on target every second',0,1),
(126178,270150,9,100,'Stifles target',0,2),
(126179,270150,9,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,3),
(126180,270150,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(126181,270151,1,100,'Inflicts 123 - 150 mental damage on target',0,0),
(126182,270151,1,100,'Inflicts 41 - 50 mental damage on target every second',0,1),
(126183,270151,1,100,'Stifles target',0,2),
(126184,270151,1,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,3),
(126185,270151,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(126186,270151,2,100,'Inflicts 129 - 158 mental damage on target',0,0),
(126187,270151,2,100,'Inflicts 43 - 53 mental damage on target every second',0,1),
(126188,270151,2,100,'Stifles target',0,2),
(126189,270151,2,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,3),
(126190,270151,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(126191,270151,3,100,'Inflicts 136 - 167 mental damage on target',0,0),
(126192,270151,3,100,'Inflicts 45 - 56 mental damage on target every second',0,1),
(126193,270151,3,100,'Stifles target',0,2),
(126194,270151,3,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,3),
(126195,270151,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(126196,270151,4,100,'Inflicts 150 - 183 mental damage on target',0,0),
(126197,270151,4,100,'Inflicts 50 - 61 mental damage on target every second',0,1),
(126198,270151,4,100,'Stifles target',0,2),
(126199,270151,4,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,3),
(126200,270151,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(126201,270151,5,100,'Inflicts 164 - 200 mental damage on target',0,0),
(126202,270151,5,100,'Inflicts 55 - 67 mental damage on target every second',0,1),
(126203,270151,5,100,'Stifles target',0,2),
(126204,270151,5,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,3),
(126205,270151,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(126206,270151,7,100,'Inflicts 210 - 256 mental damage on target',0,0),
(126207,270151,7,100,'Inflicts 70 - 85 mental damage on target every second',0,1),
(126208,270151,7,100,'Stifles target',0,2),
(126209,270151,7,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,3),
(126210,270151,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(126211,270151,9,100,'Inflicts 218 - 266 mental damage on target',0,0),
(126212,270151,9,100,'Inflicts 73 - 89 mental damage on target every second',0,1),
(126213,270151,9,100,'Stifles target',0,2),
(126214,270151,9,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,3),
(126215,270151,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(126216,270152,1,100,'Inflicts 174 - 212 mental damage on target',0,0),
(126217,270152,1,100,'Inflicts 58 - 71 mental damage on target every second',0,1),
(126218,270152,1,100,'Stifles target',0,2),
(126219,270152,1,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,3),
(126220,270152,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(126221,270152,2,100,'Inflicts 183 - 224 mental damage on target',0,0),
(126222,270152,2,100,'Inflicts 61 - 75 mental damage on target every second',0,1),
(126223,270152,2,100,'Stifles target',0,2),
(126224,270152,2,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,3),
(126225,270152,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(126226,270152,3,100,'Inflicts 193 - 236 mental damage on target',0,0),
(126227,270152,3,100,'Inflicts 64 - 79 mental damage on target every second',0,1),
(126228,270152,3,100,'Stifles target',0,2),
(126229,270152,3,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,3),
(126230,270152,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(126231,270152,4,100,'Inflicts 212 - 260 mental damage on target',0,0),
(126232,270152,4,100,'Inflicts 71 - 87 mental damage on target every second',0,1),
(126233,270152,4,100,'Stifles target',0,2),
(126234,270152,4,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,3),
(126235,270152,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(126236,270152,5,100,'Inflicts 232 - 283 mental damage on target',0,0),
(126237,270152,5,100,'Inflicts 77 - 94 mental damage on target every second',0,1),
(126238,270152,5,100,'Stifles target',0,2),
(126239,270152,5,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,3),
(126240,270152,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(126241,270152,7,100,'Inflicts 297 - 363 mental damage on target',0,0),
(126242,270152,7,100,'Inflicts 99 - 121 mental damage on target every second',0,1),
(126243,270152,7,100,'Stifles target',0,2),
(126244,270152,7,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,3),
(126245,270152,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(126246,270152,9,100,'Inflicts 309 - 378 mental damage on target',0,0),
(126247,270152,9,100,'Inflicts 103 - 126 mental damage on target every second',0,1),
(126248,270152,9,100,'Stifles target',0,2),
(126249,270152,9,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,3),
(126250,270152,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(126251,270153,1,100,'Inflicts 227 - 277 mental damage on target',0,0),
(126252,270153,1,100,'Inflicts 76 - 92 mental damage on target every second',0,1),
(126253,270153,1,100,'Stifles target',0,2),
(126254,270153,1,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,3),
(126255,270153,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(126256,270153,2,100,'Inflicts 239 - 293 mental damage on target',0,0),
(126257,270153,2,100,'Inflicts 80 - 98 mental damage on target every second',0,1),
(126258,270153,2,100,'Stifles target',0,2),
(126259,270153,2,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,3),
(126260,270153,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(126261,270153,3,100,'Inflicts 252 - 308 mental damage on target',0,0),
(126262,270153,3,100,'Inflicts 84 - 103 mental damage on target every second',0,1),
(126263,270153,3,100,'Stifles target',0,2),
(126264,270153,3,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,3),
(126265,270153,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(126266,270153,4,100,'Inflicts 277 - 339 mental damage on target',0,0),
(126267,270153,4,100,'Inflicts 92 - 113 mental damage on target every second',0,1),
(126268,270153,4,100,'Stifles target',0,2),
(126269,270153,4,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,3),
(126270,270153,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(126271,270153,5,100,'Inflicts 302 - 370 mental damage on target',0,0),
(126272,270153,5,100,'Inflicts 101 - 123 mental damage on target every second',0,1),
(126273,270153,5,100,'Stifles target',0,2),
(126274,270153,5,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,3),
(126275,270153,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(126276,270153,7,100,'Inflicts 388 - 474 mental damage on target',0,0),
(126277,270153,7,100,'Inflicts 129 - 158 mental damage on target every second',0,1),
(126278,270153,7,100,'Stifles target',0,2),
(126279,270153,7,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,3),
(126280,270153,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(126281,270153,9,100,'Inflicts 403 - 493 mental damage on target',0,0),
(126282,270153,9,100,'Inflicts 134 - 164 mental damage on target every second',0,1),
(126283,270153,9,100,'Stifles target',0,2),
(126284,270153,9,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,3),
(126285,270153,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(126286,270153,10,100,'Inflicts 423 - 517 mental damage on target',0,0),
(126287,270153,10,100,'Inflicts 141 - 172 mental damage on target every second',0,1),
(126288,270153,10,100,'Stifles target',0,2),
(126289,270153,10,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,3),
(126290,270153,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(126291,270154,1,100,'Inflicts 275 - 336 mental damage on target',0,0),
(126292,270154,1,100,'Inflicts 92 - 112 mental damage on target every second',0,1),
(126293,270154,1,100,'Stifles target',0,2),
(126294,270154,1,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,3),
(126295,270154,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(126296,270154,4,100,'Inflicts 336 - 410 mental damage on target',0,0),
(126297,270154,4,100,'Inflicts 112 - 137 mental damage on target every second',0,1),
(126298,270154,4,100,'Stifles target',0,2),
(126299,270154,4,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,3),
(126300,270154,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(126301,270154,5,100,'Inflicts 366 - 447 mental damage on target',0,0),
(126302,270154,5,100,'Inflicts 122 - 149 mental damage on target every second',0,1),
(126303,270154,5,100,'Stifles target',0,2),
(126304,270154,5,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,3),
(126305,270154,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(126306,270154,7,100,'Inflicts 470 - 574 mental damage on target',0,0),
(126307,270154,7,100,'Inflicts 157 - 191 mental damage on target every second',0,1),
(126308,270154,7,100,'Stifles target',0,2),
(126309,270154,7,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,3),
(126310,270154,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(126311,270154,9,100,'Inflicts 488 - 596 mental damage on target',0,0),
(126312,270154,9,100,'Inflicts 163 - 199 mental damage on target every second',0,1),
(126313,270154,9,100,'Stifles target',0,2),
(126314,270154,9,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,3),
(126315,270154,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(126316,270155,1,100,'Inflicts 321 - 393 mental damage on target',0,0),
(126317,270155,1,100,'Inflicts 107 - 131 mental damage on target every second',0,1),
(126318,270155,1,100,'Stifles target',0,2),
(126319,270155,1,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,3),
(126320,270155,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(126321,270155,4,100,'Inflicts 393 - 480 mental damage on target',0,0),
(126322,270155,4,100,'Inflicts 131 - 160 mental damage on target every second',0,1),
(126323,270155,4,100,'Stifles target',0,2),
(126324,270155,4,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,3),
(126325,270155,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(126326,270155,5,100,'Inflicts 428 - 523 mental damage on target',0,0),
(126327,270155,5,100,'Inflicts 143 - 174 mental damage on target every second',0,1),
(126328,270155,5,100,'Stifles target',0,2),
(126329,270155,5,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,3),
(126330,270155,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(126331,270155,7,100,'Inflicts 550 - 672 mental damage on target',0,0),
(126332,270155,7,100,'Inflicts 183 - 224 mental damage on target every second',0,1),
(126333,270155,7,100,'Stifles target',0,2),
(126334,270155,7,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,3),
(126335,270155,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(126336,270155,9,100,'Inflicts 571 - 698 mental damage on target',0,0),
(126337,270155,9,100,'Inflicts 190 - 233 mental damage on target every second',0,1),
(126338,270155,9,100,'Stifles target',0,2),
(126339,270155,9,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,3),
(126340,270155,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(126341,270156,1,100,'Inflicts 7 - 8 mental damage on target encounter instantly and every 4 seconds',0,0),
(126342,270156,1,100,'Decreases power of target encounter by 2 instantly and every 4 seconds',0,1),
(126343,270156,2,100,'Inflicts 7 - 9 mental damage on target encounter instantly and every 4 seconds',0,0),
(126344,270156,2,100,'Decreases power of target encounter by 2 instantly and every 4 seconds',0,1),
(126345,270156,3,100,'Inflicts 8 - 9 mental damage on target encounter instantly and every 4 seconds',0,0),
(126346,270156,3,100,'Decreases power of target encounter by 2 instantly and every 4 seconds',0,1),
(126347,270156,4,100,'Inflicts 8 - 10 mental damage on target encounter instantly and every 4 seconds',0,0),
(126348,270156,4,100,'Decreases power of target encounter by 3 instantly and every 4 seconds',0,1),
(126349,270156,5,100,'Inflicts 9 - 11 mental damage on target encounter instantly and every 4 seconds',0,0),
(126350,270156,5,100,'Decreases power of target encounter by 3 instantly and every 4 seconds',0,1),
(126351,270156,7,100,'Inflicts 12 - 14 mental damage on target encounter instantly and every 4 seconds',0,0),
(126352,270156,7,100,'Decreases power of target encounter by 4 instantly and every 4 seconds',0,1),
(126353,270156,9,100,'Inflicts 12 - 15 mental damage on target encounter instantly and every 4 seconds',0,0),
(126354,270156,9,100,'Decreases power of target encounter by 4 instantly and every 4 seconds',0,1),
(126355,270157,1,100,'Inflicts 18 - 23 mental damage on target encounter instantly and every 4 seconds',0,0),
(126356,270157,1,100,'Decreases power of target encounter by 6 instantly and every 4 seconds',0,1),
(126357,270157,2,100,'Inflicts 20 - 24 mental damage on target encounter instantly and every 4 seconds',0,0),
(126358,270157,2,100,'Decreases power of target encounter by 6 instantly and every 4 seconds',0,1),
(126359,270157,3,100,'Inflicts 21 - 25 mental damage on target encounter instantly and every 4 seconds',0,0),
(126360,270157,3,100,'Decreases power of target encounter by 7 instantly and every 4 seconds',0,1),
(126361,270157,4,100,'Inflicts 23 - 28 mental damage on target encounter instantly and every 4 seconds',0,0),
(126362,270157,4,100,'Decreases power of target encounter by 7 instantly and every 4 seconds',0,1),
(126363,270157,5,100,'Inflicts 25 - 30 mental damage on target encounter instantly and every 4 seconds',0,0),
(126364,270157,5,100,'Decreases power of target encounter by 8 instantly and every 4 seconds',0,1),
(126365,270157,7,100,'Inflicts 32 - 39 mental damage on target encounter instantly and every 4 seconds',0,0),
(126366,270157,7,100,'Decreases power of target encounter by 10 instantly and every 4 seconds',0,1),
(126367,270157,9,100,'Inflicts 33 - 40 mental damage on target encounter instantly and every 4 seconds',0,0),
(126368,270157,9,100,'Decreases power of target encounter by 11 instantly and every 4 seconds',0,1),
(126369,270158,1,100,'Inflicts 32 - 39 mental damage on target encounter instantly and every 4 seconds',0,0),
(126370,270158,1,100,'Decreases power of target encounter by 11 instantly and every 4 seconds',0,1),
(126371,270158,2,100,'Inflicts 34 - 41 mental damage on target encounter instantly and every 4 seconds',0,0),
(126372,270158,2,100,'Decreases power of target encounter by 11 instantly and every 4 seconds',0,1),
(126373,270158,3,100,'Inflicts 36 - 44 mental damage on target encounter instantly and every 4 seconds',0,0),
(126374,270158,3,100,'Decreases power of target encounter by 12 instantly and every 4 seconds',0,1),
(126375,270158,4,100,'Inflicts 39 - 48 mental damage on target encounter instantly and every 4 seconds',0,0),
(126376,270158,4,100,'Decreases power of target encounter by 13 instantly and every 4 seconds',0,1),
(126377,270158,5,100,'Inflicts 43 - 52 mental damage on target encounter instantly and every 4 seconds',0,0),
(126378,270158,5,100,'Decreases power of target encounter by 14 instantly and every 4 seconds',0,1),
(126379,270158,7,100,'Inflicts 55 - 67 mental damage on target encounter instantly and every 4 seconds',0,0),
(126380,270158,7,100,'Decreases power of target encounter by 18 instantly and every 4 seconds',0,1),
(126381,270158,9,100,'Inflicts 57 - 70 mental damage on target encounter instantly and every 4 seconds',0,0),
(126382,270158,9,100,'Decreases power of target encounter by 19 instantly and every 4 seconds',0,1),
(126383,270159,1,100,'Inflicts 48 - 59 mental damage on target encounter instantly and every 4 seconds',0,0),
(126384,270159,1,100,'Decreases power of target encounter by 16 instantly and every 4 seconds',0,1),
(126385,270159,2,100,'Inflicts 51 - 62 mental damage on target encounter instantly and every 4 seconds',0,0),
(126386,270159,2,100,'Decreases power of target encounter by 17 instantly and every 4 seconds',0,1),
(126387,270159,3,100,'Inflicts 54 - 65 mental damage on target encounter instantly and every 4 seconds',0,0),
(126388,270159,3,100,'Decreases power of target encounter by 18 instantly and every 4 seconds',0,1),
(126389,270159,4,100,'Inflicts 59 - 72 mental damage on target encounter instantly and every 4 seconds',0,0),
(126390,270159,4,100,'Decreases power of target encounter by 19 instantly and every 4 seconds',0,1),
(126391,270159,5,100,'Inflicts 64 - 79 mental damage on target encounter instantly and every 4 seconds',0,0),
(126392,270159,5,100,'Decreases power of target encounter by 21 instantly and every 4 seconds',0,1),
(126393,270159,7,100,'Inflicts 82 - 101 mental damage on target encounter instantly and every 4 seconds',0,0),
(126394,270159,7,100,'Decreases power of target encounter by 27 instantly and every 4 seconds',0,1),
(126395,270159,9,100,'Inflicts 86 - 105 mental damage on target encounter instantly and every 4 seconds',0,0),
(126396,270159,9,100,'Decreases power of target encounter by 28 instantly and every 4 seconds',0,1),
(126397,270160,1,100,'Inflicts 65 - 80 mental damage on target encounter instantly and every 4 seconds',0,0),
(126398,270160,1,100,'Decreases power of target encounter by 22 instantly and every 4 seconds',0,1),
(126399,270160,2,100,'Inflicts 69 - 84 mental damage on target encounter instantly and every 4 seconds',0,0),
(126400,270160,2,100,'Decreases power of target encounter by 23 instantly and every 4 seconds',0,1),
(126401,270160,3,100,'Inflicts 72 - 89 mental damage on target encounter instantly and every 4 seconds',0,0),
(126402,270160,3,100,'Decreases power of target encounter by 24 instantly and every 4 seconds',0,1),
(126403,270160,4,100,'Inflicts 80 - 97 mental damage on target encounter instantly and every 4 seconds',0,0),
(126404,270160,4,100,'Decreases power of target encounter by 26 instantly and every 4 seconds',0,1),
(126405,270160,5,100,'Inflicts 87 - 106 mental damage on target encounter instantly and every 4 seconds',0,0),
(126406,270160,5,100,'Decreases power of target encounter by 29 instantly and every 4 seconds',0,1),
(126407,270160,7,100,'Inflicts 112 - 136 mental damage on target encounter instantly and every 4 seconds',0,0),
(126408,270160,7,100,'Decreases power of target encounter by 37 instantly and every 4 seconds',0,1),
(126409,270160,9,100,'Inflicts 116 - 142 mental damage on target encounter instantly and every 4 seconds',0,0),
(126410,270160,9,100,'Decreases power of target encounter by 38 instantly and every 4 seconds',0,1),
(126411,270160,10,100,'Inflicts 122 - 149 mental damage on target encounter instantly and every 4 seconds',0,0),
(126412,270160,10,100,'Decreases power of target encounter by 40 instantly and every 4 seconds',0,1),
(126413,270161,1,100,'Inflicts 82 - 100 mental damage on target encounter instantly and every 4 seconds',0,0),
(126414,270161,1,100,'Decreases power of target encounter by 27 instantly and every 4 seconds',0,1),
(126415,270161,2,100,'Inflicts 86 - 105 mental damage on target encounter instantly and every 4 seconds',0,0),
(126416,270161,2,100,'Decreases power of target encounter by 29 instantly and every 4 seconds',0,1),
(126417,270161,3,100,'Inflicts 91 - 111 mental damage on target encounter instantly and every 4 seconds',0,0),
(126418,270161,3,100,'Decreases power of target encounter by 30 instantly and every 4 seconds',0,1),
(126419,270161,4,100,'Inflicts 100 - 122 mental damage on target encounter instantly and every 4 seconds',0,0),
(126420,270161,4,100,'Decreases power of target encounter by 33 instantly and every 4 seconds',0,1),
(126421,270161,5,100,'Inflicts 109 - 133 mental damage on target encounter instantly and every 4 seconds',0,0),
(126422,270161,5,100,'Decreases power of target encounter by 36 instantly and every 4 seconds',0,1),
(126423,270161,7,100,'Inflicts 140 - 171 mental damage on target encounter instantly and every 4 seconds',0,0),
(126424,270161,7,100,'Decreases power of target encounter by 46 instantly and every 4 seconds',0,1),
(126425,270161,9,100,'Inflicts 145 - 178 mental damage on target encounter instantly and every 4 seconds',0,0),
(126426,270161,9,100,'Decreases power of target encounter by 48 instantly and every 4 seconds',0,1),
(126427,270162,1,100,'Inflicts 99 - 121 mental damage on target encounter instantly and every 4 seconds',0,0),
(126428,270162,1,100,'Decreases power of target encounter by 33 instantly and every 4 seconds',0,1),
(126429,270162,4,100,'Inflicts 121 - 147 mental damage on target encounter instantly and every 4 seconds',0,0),
(126430,270162,4,100,'Decreases power of target encounter by 40 instantly and every 4 seconds',0,1),
(126431,270162,5,100,'Inflicts 132 - 161 mental damage on target encounter instantly and every 4 seconds',0,0),
(126432,270162,5,100,'Decreases power of target encounter by 44 instantly and every 4 seconds',0,1),
(126433,270162,7,100,'Inflicts 169 - 206 mental damage on target encounter instantly and every 4 seconds',0,0),
(126434,270162,7,100,'Decreases power of target encounter by 56 instantly and every 4 seconds',0,1),
(126435,270162,9,100,'Inflicts 175 - 214 mental damage on target encounter instantly and every 4 seconds',0,0),
(126436,270162,9,100,'Decreases power of target encounter by 58 instantly and every 4 seconds',0,1),
(126437,270163,1,100,'Inflicts 110 - 134 mental damage on target encounter instantly and every 4 seconds',0,0),
(126438,270163,1,100,'Decreases power of target encounter by 36 instantly and every 4 seconds',0,1),
(126439,270163,4,100,'Inflicts 134 - 164 mental damage on target encounter instantly and every 4 seconds',0,0),
(126440,270163,4,100,'Decreases power of target encounter by 44 instantly and every 4 seconds',0,1),
(126441,270163,5,100,'Inflicts 146 - 179 mental damage on target encounter instantly and every 4 seconds',0,0),
(126442,270163,5,100,'Decreases power of target encounter by 49 instantly and every 4 seconds',0,1),
(126443,270163,7,100,'Inflicts 188 - 229 mental damage on target encounter instantly and every 4 seconds',0,0),
(126444,270163,7,100,'Decreases power of target encounter by 62 instantly and every 4 seconds',0,1),
(126445,270163,9,100,'Inflicts 195 - 238 mental damage on target encounter instantly and every 4 seconds',0,0),
(126446,270163,9,100,'Decreases power of target encounter by 65 instantly and every 4 seconds',0,1),
(126447,200152,1,100,'Shapechanges caster into a chaos essence',0,0),
(126448,200152,1,100,'Increases STA of caster by 7.7',0,1),
(126449,200152,1,100,'Increases WIS of caster by 28.8',0,2),
(126450,200152,1,100,'Grants See Invisibility to caster',0,3),
(126451,200152,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 428',0,4),
(126452,200152,2,100,'Shapechanges caster into a chaos essence',0,0),
(126453,200152,2,100,'Increases STA of caster by 8.2',0,1),
(126454,200152,2,100,'Increases WIS of caster by 30.4',0,2),
(126455,200152,2,100,'Grants See Invisibility to caster',0,3),
(126456,200152,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 451',0,4),
(126457,200152,3,100,'Shapechanges caster into a chaos essence',0,0),
(126458,200152,3,100,'Increases STA of caster by 8.6',0,1),
(126459,200152,3,100,'Increases WIS of caster by 32.0',0,2),
(126460,200152,3,100,'Grants See Invisibility to caster',0,3),
(126461,200152,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 475',0,4),
(126462,200152,4,100,'Shapechanges caster into a chaos essence',0,0),
(126463,200152,4,100,'Increases STA of caster by 9.5',0,1),
(126464,200152,4,100,'Increases WIS of caster by 35.2',0,2),
(126465,200152,4,100,'Grants See Invisibility to caster',0,3),
(126466,200152,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 523',0,4),
(126467,200152,5,100,'Shapechanges caster into a chaos essence',0,0),
(126468,200152,5,100,'Increases STA of caster by 10.3',0,1),
(126469,200152,5,100,'Increases WIS of caster by 38.4',0,2),
(126470,200152,5,100,'Grants See Invisibility to caster',0,3),
(126471,200152,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 570',0,4),
(126472,200152,7,100,'Shapechanges caster into a chaos essence',0,0),
(126473,200152,7,100,'Increases STA of caster by 13.2',0,1),
(126474,200152,7,100,'Increases WIS of caster by 49.3',0,2),
(126475,200152,7,100,'Grants See Invisibility to caster',0,3),
(126476,200152,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 732',0,4),
(126477,200152,9,100,'Shapechanges caster into a chaos essence',0,0),
(126478,200152,9,100,'Increases STA of caster by 13.8',0,1),
(126479,200152,9,100,'Increases WIS of caster by 51.2',0,2),
(126480,200152,9,100,'Grants See Invisibility to caster',0,3),
(126481,200152,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 760',0,4),
(126482,200152,10,100,'Shapechanges caster into a chaos essence',0,0),
(126483,200152,10,100,'Increases STA of caster by 14.4',0,1),
(126484,200152,10,100,'Increases WIS of caster by 53.8',0,2),
(126485,200152,10,100,'Grants See Invisibility to caster',0,3),
(126486,200152,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 798',0,4),
(126487,200153,1,100,'Shapechanges caster into a chaos essence',0,0),
(126488,200153,1,100,'Increases STA of caster by 18.7',0,1),
(126489,200153,1,100,'Increases WIS of caster by 47.2',0,2),
(126490,200153,1,100,'Grants See Invisibility to caster',0,3),
(126491,200153,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 727',0,4),
(126492,200153,2,100,'Shapechanges caster into a chaos essence',0,0),
(126493,200153,2,100,'Increases STA of caster by 19.7',0,1),
(126494,200153,2,100,'Increases WIS of caster by 49.8',0,2),
(126495,200153,2,100,'Grants See Invisibility to caster',0,3),
(126496,200153,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 767',0,4),
(126497,200153,3,100,'Shapechanges caster into a chaos essence',0,0),
(126498,200153,3,100,'Increases STA of caster by 20.8',0,1),
(126499,200153,3,100,'Increases WIS of caster by 52.4',0,2),
(126500,200153,3,100,'Grants See Invisibility to caster',0,3),
(126501,200153,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 808',0,4),
(126502,200153,4,100,'Shapechanges caster into a chaos essence',0,0),
(126503,200153,4,100,'Increases STA of caster by 22.9',0,1),
(126504,200153,4,100,'Increases WIS of caster by 57.6',0,2),
(126505,200153,4,100,'Grants See Invisibility to caster',0,3),
(126506,200153,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 888',0,4),
(126507,200153,5,100,'Shapechanges caster into a chaos essence',0,0),
(126508,200153,5,100,'Increases STA of caster by 24.9',0,1),
(126509,200153,5,100,'Increases WIS of caster by 62.9',0,2),
(126510,200153,5,100,'Grants See Invisibility to caster',0,3),
(126511,200153,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 969',0,4),
(126512,200153,7,100,'Shapechanges caster into a chaos essence',0,0),
(126513,200153,7,100,'Increases STA of caster by 32.0',0,1),
(126514,200153,7,100,'Increases WIS of caster by 80.7',0,2),
(126515,200153,7,100,'Grants See Invisibility to caster',0,3),
(126516,200153,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1244',0,4),
(126517,200153,9,100,'Shapechanges caster into a chaos essence',0,0),
(126518,200153,9,100,'Increases STA of caster by 33.2',0,1),
(126519,200153,9,100,'Increases WIS of caster by 83.8',0,2),
(126520,200153,9,100,'Grants See Invisibility to caster',0,3),
(126521,200153,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1292',0,4),
(126522,200153,10,100,'Shapechanges caster into a chaos essence',0,0),
(126523,200153,10,100,'Increases STA of caster by 34.9',0,1),
(126524,200153,10,100,'Increases WIS of caster by 88.0',0,2),
(126525,200153,10,100,'Grants See Invisibility to caster',0,3),
(126526,200153,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1357',0,4),
(126527,200154,1,100,'Shapechanges caster into a chaos essence',0,0),
(126528,200154,1,100,'Increases STA of caster by 29.5',0,1),
(126529,200154,1,100,'Increases WIS of caster by 67.3',0,2),
(126530,200154,1,100,'Grants See Invisibility to caster',0,3),
(126531,200154,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1026',0,4),
(126532,200154,2,100,'Shapechanges caster into a chaos essence',0,0),
(126533,200154,2,100,'Increases STA of caster by 31.2',0,1),
(126534,200154,2,100,'Increases WIS of caster by 71.1',0,2),
(126535,200154,2,100,'Grants See Invisibility to caster',0,3),
(126536,200154,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1083',0,4),
(126537,200154,3,100,'Shapechanges caster into a chaos essence',0,0),
(126538,200154,3,100,'Increases STA of caster by 32.8',0,1),
(126539,200154,3,100,'Increases WIS of caster by 74.8',0,2),
(126540,200154,3,100,'Grants See Invisibility to caster',0,3),
(126541,200154,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1140',0,4),
(126542,200154,4,100,'Shapechanges caster into a chaos essence',0,0),
(126543,200154,4,100,'Increases STA of caster by 36.1',0,1),
(126544,200154,4,100,'Increases WIS of caster by 82.3',0,2),
(126545,200154,4,100,'Grants See Invisibility to caster',0,3),
(126546,200154,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1254',0,4),
(126547,200154,5,100,'Shapechanges caster into a chaos essence',0,0),
(126548,200154,5,100,'Increases STA of caster by 39.4',0,1),
(126549,200154,5,100,'Increases WIS of caster by 89.8',0,2),
(126550,200154,5,100,'Grants See Invisibility to caster',0,3),
(126551,200154,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1368',0,4),
(126552,200154,7,100,'Shapechanges caster into a chaos essence',0,0),
(126553,200154,7,100,'Increases STA of caster by 50.5',0,1),
(126554,200154,7,100,'Increases WIS of caster by 115.2',0,2),
(126555,200154,7,100,'Grants See Invisibility to caster',0,3),
(126556,200154,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1756',0,4),
(126557,200154,9,100,'Shapechanges caster into a chaos essence',0,0),
(126558,200154,9,100,'Increases STA of caster by 52.5',0,1),
(126559,200154,9,100,'Increases WIS of caster by 119.7',0,2),
(126560,200154,9,100,'Grants See Invisibility to caster',0,3),
(126561,200154,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1824',0,4),
(126562,200154,10,100,'Shapechanges caster into a chaos essence',0,0),
(126563,200154,10,100,'Increases STA of caster by 55.1',0,1),
(126564,200154,10,100,'Increases WIS of caster by 125.7',0,2),
(126565,200154,10,100,'Grants See Invisibility to caster',0,3),
(126566,200154,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1915',0,4),
(126567,200155,1,100,'Shapechanges caster into a chaos essence',0,0),
(126568,200155,1,100,'Increases STA of caster by 38.7',0,1),
(126569,200155,1,100,'Increases WIS of caster by 87.5',0,2),
(126570,200155,1,100,'Grants See Invisibility to caster',0,3),
(126571,200155,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1325',0,4),
(126572,200155,2,100,'Shapechanges caster into a chaos essence',0,0),
(126573,200155,2,100,'Increases STA of caster by 40.9',0,1),
(126574,200155,2,100,'Increases WIS of caster by 92.3',0,2),
(126575,200155,2,100,'Grants See Invisibility to caster',0,3),
(126576,200155,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1399',0,4),
(126577,200155,3,100,'Shapechanges caster into a chaos essence',0,0),
(126578,200155,3,100,'Increases STA of caster by 43.0',0,1),
(126579,200155,3,100,'Increases WIS of caster by 97.2',0,2),
(126580,200155,3,100,'Grants See Invisibility to caster',0,3),
(126581,200155,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1473',0,4),
(126582,200155,4,100,'Shapechanges caster into a chaos essence',0,0),
(126583,200155,4,100,'Increases STA of caster by 47.3',0,1),
(126584,200155,4,100,'Increases WIS of caster by 106.9',0,2),
(126585,200155,4,100,'Grants See Invisibility to caster',0,3),
(126586,200155,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1620',0,4),
(126587,200155,5,100,'Shapechanges caster into a chaos essence',0,0),
(126588,200155,5,100,'Increases STA of caster by 51.6',0,1),
(126589,200155,5,100,'Increases WIS of caster by 116.6',0,2),
(126590,200155,5,100,'Grants See Invisibility to caster',0,3),
(126591,200155,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1767',0,4),
(126592,200155,7,100,'Shapechanges caster into a chaos essence',0,0),
(126593,200155,7,100,'Increases STA of caster by 66.3',0,1),
(126594,200155,7,100,'Increases WIS of caster by 149.7',0,2),
(126595,200155,7,100,'Grants See Invisibility to caster',0,3),
(126596,200155,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2268',0,4),
(126597,200155,9,100,'Shapechanges caster into a chaos essence',0,0),
(126598,200155,9,100,'Increases STA of caster by 68.8',0,1),
(126599,200155,9,100,'Increases WIS of caster by 155.5',0,2),
(126600,200155,9,100,'Grants See Invisibility to caster',0,3),
(126601,200155,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2356',0,4),
(126602,200156,1,100,'Shapechanges caster into a chaos essence',0,0),
(126603,200156,1,100,'Increases STA of caster by 49.2',0,1),
(126604,200156,1,100,'Increases WIS of caster by 110.9',0,2),
(126605,200156,1,100,'Grants See Invisibility to caster',0,3),
(126606,200156,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1625',0,4),
(126607,200156,2,100,'Shapechanges caster into a chaos essence',0,0),
(126608,200156,2,100,'Increases STA of caster by 52.0',0,1),
(126609,200156,2,100,'Increases WIS of caster by 117.0',0,2),
(126610,200156,2,100,'Grants See Invisibility to caster',0,3),
(126611,200156,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1715',0,4),
(126612,200156,3,100,'Shapechanges caster into a chaos essence',0,0),
(126613,200156,3,100,'Increases STA of caster by 54.7',0,1),
(126614,200156,3,100,'Increases WIS of caster by 123.2',0,2),
(126615,200156,3,100,'Grants See Invisibility to caster',0,3),
(126616,200156,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1805',0,4),
(126617,200156,4,100,'Shapechanges caster into a chaos essence',0,0),
(126618,200156,4,100,'Increases STA of caster by 60.2',0,1),
(126619,200156,4,100,'Increases WIS of caster by 135.5',0,2),
(126620,200156,4,100,'Grants See Invisibility to caster',0,3),
(126621,200156,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1985',0,4),
(126622,200156,5,100,'Shapechanges caster into a chaos essence',0,0),
(126623,200156,5,100,'Increases STA of caster by 65.6',0,1),
(126624,200156,5,100,'Increases WIS of caster by 147.8',0,2),
(126625,200156,5,100,'Grants See Invisibility to caster',0,3),
(126626,200156,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2166',0,4),
(126627,200156,7,100,'Shapechanges caster into a chaos essence',0,0),
(126628,200156,7,100,'Increases STA of caster by 84.2',0,1),
(126629,200156,7,100,'Increases WIS of caster by 189.7',0,2),
(126630,200156,7,100,'Grants See Invisibility to caster',0,3),
(126631,200156,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2780',0,4),
(126632,200156,9,100,'Shapechanges caster into a chaos essence',0,0),
(126633,200156,9,100,'Increases STA of caster by 87.5',0,1),
(126634,200156,9,100,'Increases WIS of caster by 197.1',0,2),
(126635,200156,9,100,'Grants See Invisibility to caster',0,3),
(126636,200156,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2888',0,4),
(126637,200157,1,100,'Shapechanges caster into a chaos essence',0,0),
(126638,200157,1,100,'Increases STA of caster by 58.2',0,1),
(126639,200157,1,100,'Increases WIS of caster by 130.7',0,2),
(126640,200157,1,100,'Grants See Invisibility to caster',0,3),
(126641,200157,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1838',0,4),
(126642,200157,4,100,'Shapechanges caster into a chaos essence',0,0),
(126643,200157,4,100,'Increases STA of caster by 71.2',0,1),
(126644,200157,4,100,'Increases WIS of caster by 159.7',0,2),
(126645,200157,4,100,'Grants See Invisibility to caster',0,3),
(126646,200157,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2247',0,4),
(126647,200157,5,100,'Shapechanges caster into a chaos essence',0,0),
(126648,200157,5,100,'Increases STA of caster by 77.6',0,1),
(126649,200157,5,100,'Increases WIS of caster by 174.2',0,2),
(126650,200157,5,100,'Grants See Invisibility to caster',0,3),
(126651,200157,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2451',0,4),
(126652,200157,7,100,'Shapechanges caster into a chaos essence',0,0),
(126653,200157,7,100,'Increases STA of caster by 99.6',0,1),
(126654,200157,7,100,'Increases WIS of caster by 223.6',0,2),
(126655,200157,7,100,'Grants See Invisibility to caster',0,3),
(126656,200157,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 3145',0,4),
(126657,200157,9,100,'Shapechanges caster into a chaos essence',0,0),
(126658,200157,9,100,'Increases STA of caster by 103.5',0,1),
(126659,200157,9,100,'Increases WIS of caster by 232.3',0,2),
(126660,200157,9,100,'Grants See Invisibility to caster',0,3),
(126661,200157,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 3268',0,4),
(126662,200158,1,100,'Shapechanges caster into a chaos essence',0,0),
(126663,200158,1,100,'Increases STA of caster by 67.2',0,1),
(126664,200158,1,100,'Increases WIS of caster by 150.5',0,2),
(126665,200158,1,100,'Grants See Invisibility to caster',0,3),
(126666,200158,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2052',0,4),
(126667,200158,4,100,'Shapechanges caster into a chaos essence',0,0),
(126668,200158,4,100,'Increases STA of caster by 82.2',0,1),
(126669,200158,4,100,'Increases WIS of caster by 183.9',0,2),
(126670,200158,4,100,'Grants See Invisibility to caster',0,3),
(126671,200158,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2508',0,4),
(126672,200158,5,100,'Shapechanges caster into a chaos essence',0,0),
(126673,200158,5,100,'Increases STA of caster by 89.6',0,1),
(126674,200158,5,100,'Increases WIS of caster by 200.6',0,2),
(126675,200158,5,100,'Grants See Invisibility to caster',0,3),
(126676,200158,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2736',0,4),
(126677,200158,7,100,'Shapechanges caster into a chaos essence',0,0),
(126678,200158,7,100,'Increases STA of caster by 115.0',0,1),
(126679,200158,7,100,'Increases WIS of caster by 257.5',0,2),
(126680,200158,7,100,'Grants See Invisibility to caster',0,3),
(126681,200158,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 3511',0,4),
(126682,200158,9,100,'Shapechanges caster into a chaos essence',0,0),
(126683,200158,9,100,'Increases STA of caster by 119.5',0,1),
(126684,200158,9,100,'Increases WIS of caster by 267.5',0,2),
(126685,200158,9,100,'Grants See Invisibility to caster',0,3),
(126686,200158,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 3648',0,4),
(126687,2000644,1,100,'Increases Crushing, Piercing, Ranged and Slashing of target by 0.0',0,0),
(126688,90173,1,100,'Decreases STR and INT of target by 20.7',0,0),
(126689,90173,1,100,'Increases STR and INT of caster by 20.7',0,1),
(126690,90173,2,100,'Decreases STR and INT of target by 21.9',0,0),
(126691,90173,2,100,'Increases STR and INT of caster by 21.9',0,1),
(126692,90173,3,100,'Decreases STR and INT of target by 23.0',0,0),
(126693,90173,3,100,'Increases STR and INT of caster by 23.0',0,1),
(126694,90173,4,100,'Decreases STR and INT of target by 25.3',0,0),
(126695,90173,4,100,'Increases STR and INT of caster by 25.3',0,1),
(126696,90173,5,100,'Decreases STR and INT of target by 27.6',0,0),
(126697,90173,5,100,'Increases STR and INT of caster by 27.6',0,1),
(126698,90173,7,100,'Decreases STR and INT of target by 35.4',0,0),
(126699,90173,7,100,'Increases STR and INT of caster by 35.4',0,1),
(126700,90173,9,100,'Decreases STR and INT of target by 36.8',0,0),
(126701,90173,9,100,'Increases STR and INT of caster by 36.8',0,1),
(126702,90174,1,100,'Decreases STR and INT of target by 30.8',0,0),
(126703,90174,1,100,'Increases STR and INT of caster by 30.8',0,1),
(126704,90174,2,100,'Decreases STR and INT of target by 32.5',0,0),
(126705,90174,2,100,'Increases STR and INT of caster by 32.5',0,1),
(126706,90174,3,100,'Decreases STR and INT of target by 34.2',0,0),
(126707,90174,3,100,'Increases STR and INT of caster by 34.2',0,1),
(126708,90174,4,100,'Decreases STR and INT of target by 37.6',0,0),
(126709,90174,4,100,'Increases STR and INT of caster by 37.6',0,1),
(126710,90174,5,100,'Decreases STR and INT of target by 41.0',0,0),
(126711,90174,5,100,'Increases STR and INT of caster by 41.0',0,1),
(126712,90174,7,100,'Decreases STR and INT of target by 52.7',0,0),
(126713,90174,7,100,'Increases STR and INT of caster by 52.7',0,1),
(126714,90174,9,100,'Decreases STR and INT of target by 54.7',0,0),
(126715,90174,9,100,'Increases STR and INT of caster by 54.7',0,1),
(126716,90174,10,100,'Decreases STR and INT of target by 57.5',0,0),
(126717,90174,10,100,'Increases STR and INT of caster by 57.5',0,1),
(126718,90175,1,100,'Decreases STR and INT of target by 40.9',0,0),
(126719,90175,1,100,'Increases STR and INT of caster by 40.9',0,1),
(126720,90175,2,100,'Decreases STR and INT of target by 43.1',0,0),
(126721,90175,2,100,'Increases STR and INT of caster by 43.1',0,1),
(126722,90175,3,100,'Decreases STR and INT of target by 45.4',0,0),
(126723,90175,3,100,'Increases STR and INT of caster by 45.4',0,1),
(126724,90175,4,100,'Decreases STR and INT of target by 49.9',0,0),
(126725,90175,4,100,'Increases STR and INT of caster by 49.9',0,1),
(126726,90175,5,100,'Decreases STR and INT of target by 54.5',0,0),
(126727,90175,5,100,'Increases STR and INT of caster by 54.5',0,1),
(126728,90175,7,100,'Decreases STR and INT of target by 69.9',0,0),
(126729,90175,7,100,'Increases STR and INT of caster by 69.9',0,1),
(126730,90175,9,100,'Decreases STR and INT of target by 72.6',0,0),
(126731,90175,9,100,'Increases STR and INT of caster by 72.6',0,1),
(126732,90176,1,100,'Decreases STR and INT of target by 51.5',0,0),
(126733,90176,1,100,'Increases STR and INT of caster by 51.5',0,1),
(126734,90176,2,100,'Decreases STR and INT of target by 54.3',0,0),
(126735,90176,2,100,'Increases STR and INT of caster by 54.3',0,1),
(126736,90176,3,100,'Decreases STR and INT of target by 57.2',0,0),
(126737,90176,3,100,'Increases STR and INT of caster by 57.2',0,1),
(126738,90176,4,100,'Decreases STR and INT of target by 62.9',0,0),
(126739,90176,4,100,'Increases STR and INT of caster by 62.9',0,1),
(126740,90176,5,100,'Decreases STR and INT of target by 68.6',0,0),
(126741,90176,5,100,'Increases STR and INT of caster by 68.6',0,1),
(126742,90176,7,100,'Decreases STR and INT of target by 88.1',0,0),
(126743,90176,7,100,'Increases STR and INT of caster by 88.1',0,1),
(126744,90176,9,100,'Decreases STR and INT of target by 91.5',0,0),
(126745,90176,9,100,'Increases STR and INT of caster by 91.5',0,1),
(126746,90177,1,100,'Decreases STR and INT of target by 61.4',0,0),
(126747,90177,1,100,'Increases STR and INT of caster by 61.4',0,1),
(126748,90177,4,100,'Decreases STR and INT of target by 75.0',0,0),
(126749,90177,4,100,'Increases STR and INT of caster by 75.0',0,1),
(126750,90177,5,100,'Decreases STR and INT of target by 81.8',0,0),
(126751,90177,5,100,'Increases STR and INT of caster by 81.8',0,1),
(126752,90177,7,100,'Decreases STR and INT of target by 105.0',0,0),
(126753,90177,7,100,'Increases STR and INT of caster by 105.0',0,1),
(126754,90177,9,100,'Decreases STR and INT of target by 109.1',0,0),
(126755,90177,9,100,'Increases STR and INT of caster by 109.1',0,1),
(126756,90177,10,100,'Decreases STR and INT of target by 114.6',0,0),
(126757,90177,10,100,'Increases STR and INT of caster by 114.6',0,1),
(126758,90178,1,100,'Decreases STR and INT of target by 71.3',0,0),
(126759,90178,1,100,'Increases STR and INT of caster by 71.3',0,1),
(126760,90178,4,100,'Decreases STR and INT of target by 87.1',0,0),
(126761,90178,4,100,'Increases STR and INT of caster by 87.1',0,1),
(126762,90178,5,100,'Decreases STR and INT of target by 95.0',0,0),
(126763,90178,5,100,'Increases STR and INT of caster by 95.0',0,1),
(126764,90178,7,100,'Decreases STR and INT of target by 122.0',0,0),
(126765,90178,7,100,'Increases STR and INT of caster by 122.0',0,1),
(126766,90178,9,100,'Decreases STR and INT of target by 126.7',0,0),
(126767,90178,9,100,'Increases STR and INT of caster by 126.7',0,1),
(126768,90178,10,100,'Decreases STR and INT of target by 133.1',0,0),
(126769,90178,10,100,'Increases STR and INT of caster by 133.1',0,1),
(126770,440126,1,100,'Applies Siphoned Protection.',0,0),
(126771,440126,1,100,'Applies Siphoned Protection.  Lasts for 15.0 seconds.',1,1),
(126772,440126,1,100,'Wards target against 1376 points of all damage',2,2),
(126773,440126,1,100,'Heals target for 1135',1,3),
(126774,440126,1,100,'Requires and consumes 15% of your construct''s health',0,4),
(126775,440126,1,100,'If pet over 15% Health',0,5),
(126776,300163,1,100,'Decreases STR and INT of target by 36.5',0,0),
(126777,300163,1,100,'When the target of this spell dies, the necromancer draws a random soul spell from the enemy. The soul spell can be used three times.',0,1),
(126778,300163,1,100,'Decreases STR of target by 36.5',0,2),
(126779,300163,2,100,'Decreases STR and INT of target by 38.6',0,0),
(126780,300163,2,100,'When the target of this spell dies, the necromancer draws a random soul spell from the enemy. The soul spell can be used three times.',0,1),
(126781,300163,2,100,'Decreases STR of target by 38.6',0,2),
(126782,300163,3,100,'Decreases STR and INT of target by 40.6',0,0),
(126783,300163,3,100,'When the target of this spell dies, the necromancer draws a random soul spell from the enemy. The soul spell can be used three times.',0,1),
(126784,300163,3,100,'Decreases STR of target by 40.6',0,2),
(126785,300163,4,100,'Decreases STR and INT of target by 44.7',0,0),
(126786,300163,4,100,'When the target of this spell dies, the necromancer draws a random soul spell from the enemy. The soul spell can be used three times.',0,1),
(126787,300163,4,100,'Decreases STR of target by 44.7',0,2),
(126788,300163,5,100,'Decreases STR and INT of target by 48.7',0,0),
(126789,300163,5,100,'When the target of this spell dies, the necromancer draws a random soul spell from the enemy. The soul spell can be used three times.',0,1),
(126790,300163,5,100,'Decreases STR of target by 48.7',0,2),
(126791,300163,7,100,'Decreases STR and INT of target by 62.5',0,0),
(126792,300163,7,100,'When the target of this spell dies, the necromancer draws a random soul spell from the enemy. The soul spell can be used three times.',0,1),
(126793,300163,7,100,'Decreases STR of target by 56.8',0,2),
(126794,300163,9,100,'Decreases STR and INT of target by 65.0',0,0),
(126795,300163,9,100,'When the target of this spell dies, the necromancer draws a random soul spell from the enemy. The soul spell can be used three times.',0,1),
(126796,300163,9,100,'Decreases STR of target by 65.0',0,2),
(126797,300164,1,100,'Decreases STR and INT of target by 51.5',0,0),
(126798,300164,1,100,'When the target of this spell dies, the necromancer draws a random soul spell from the enemy. The soul spell can be used three times.',0,1),
(126799,300164,1,100,'Decreases STR of target by 51.5',0,2),
(126800,300164,2,100,'Decreases STR and INT of target by 54.3',0,0),
(126801,300164,2,100,'When the target of this spell dies, the necromancer draws a random soul spell from the enemy. The soul spell can be used three times.',0,1),
(126802,300164,2,100,'Decreases STR of target by 54.3',0,2),
(126803,300164,3,100,'Decreases STR and INT of target by 57.2',0,0),
(126804,300164,3,100,'When the target of this spell dies, the necromancer draws a random soul spell from the enemy. The soul spell can be used three times.',0,1),
(126805,300164,3,100,'Decreases STR of target by 57.2',0,2),
(126806,300164,4,100,'Decreases STR and INT of target by 62.9',0,0),
(126807,300164,4,100,'When the target of this spell dies, the necromancer draws a random soul spell from the enemy. The soul spell can be used three times.',0,1),
(126808,300164,4,100,'Decreases STR of target by 62.9',0,2),
(126809,300164,5,100,'Decreases STR and INT of target by 68.6',0,0),
(126810,300164,5,100,'When the target of this spell dies, the necromancer draws a random soul spell from the enemy. The soul spell can be used three times.',0,1),
(126811,300164,5,100,'Decreases STR of target by 68.6',0,2),
(126812,300164,7,100,'Decreases STR and INT of target by 88.1',0,0),
(126813,300164,7,100,'When the target of this spell dies, the necromancer draws a random soul spell from the enemy. The soul spell can be used three times.',0,1),
(126814,300164,7,100,'Decreases STR of target by 80.1',0,2),
(126815,300164,9,100,'Decreases STR and INT of target by 91.5',0,0),
(126816,300164,9,100,'When the target of this spell dies, the necromancer draws a random soul spell from the enemy. The soul spell can be used three times.',0,1),
(126817,300164,9,100,'Decreases STR of target by 91.5',0,2),
(126818,300164,10,100,'Decreases STR and INT of target by 96.1',0,0),
(126819,300164,10,100,'When the target of this spell dies, the necromancer draws a random soul spell from the enemy. The soul spell can be used three times.',0,1),
(126820,300164,10,100,'Decreases STR of target by 94.4',0,2),
(126821,300165,1,100,'Decreases STR and INT of target by 61.4',0,0),
(126822,300165,1,100,'When the target of this spell dies, the necromancer draws a random soul spell from the enemy. The soul spell can be used three times.',0,1),
(126823,300165,1,100,'Decreases STR of target by 61.4',0,2),
(126824,300165,4,100,'Decreases STR and INT of target by 75.0',0,0),
(126825,300165,4,100,'When the target of this spell dies, the necromancer draws a random soul spell from the enemy. The soul spell can be used three times.',0,1),
(126826,300165,4,100,'Decreases STR of target by 75.0',0,2),
(126827,300165,5,100,'Decreases STR and INT of target by 81.8',0,0),
(126828,300165,5,100,'When the target of this spell dies, the necromancer draws a random soul spell from the enemy. The soul spell can be used three times.',0,1),
(126829,300165,5,100,'Decreases STR of target by 81.8',0,2),
(126830,300165,7,100,'Decreases STR and INT of target by 105.0',0,0),
(126831,300165,7,100,'When the target of this spell dies, the necromancer draws a random soul spell from the enemy. The soul spell can be used three times.',0,1),
(126832,300165,7,100,'Decreases STR of target by 95.5',0,2),
(126833,300165,9,100,'Decreases STR and INT of target by 109.1',0,0),
(126834,300165,9,100,'When the target of this spell dies, the necromancer draws a random soul spell from the enemy. The soul spell can be used three times.',0,1),
(126835,300165,9,100,'Decreases STR of target by 109.1',0,2),
(126836,300165,10,100,'Decreases STR and INT of target by 114.6',0,0),
(126837,300165,10,100,'When the target of this spell dies, the necromancer draws a random soul spell from the enemy. The soul spell can be used three times.',0,1),
(126838,300165,10,100,'Decreases STR of target by 112.5',0,2),
(126839,300166,1,100,'Decreases STR and INT of target by 71.3',0,0),
(126840,300166,1,100,'When the target of this spell dies, the necromancer draws a random soul spell from the enemy. The soul spell can be used three times.',0,1),
(126841,300166,1,100,'Decreases STR of target by 71.3',0,2),
(126842,300166,4,100,'Decreases STR and INT of target by 87.1',0,0),
(126843,300166,4,100,'When the target of this spell dies, the necromancer draws a random soul spell from the enemy. The soul spell can be used three times.',0,1),
(126844,300166,4,100,'Decreases STR of target by 87.1',0,2),
(126845,300166,5,100,'Decreases STR and INT of target by 95.0',0,0),
(126846,300166,5,100,'When the target of this spell dies, the necromancer draws a random soul spell from the enemy. The soul spell can be used three times.',0,1),
(126847,300166,5,100,'Decreases STR of target by 95.0',0,2),
(126848,300166,7,100,'Decreases STR and INT of target by 122.0',0,0),
(126849,300166,7,100,'When the target of this spell dies, the necromancer draws a random soul spell from the enemy. The soul spell can be used three times.',0,1),
(126850,300166,7,100,'Decreases STR of target by 110.9',0,2),
(126851,300166,9,100,'Decreases STR and INT of target by 126.7',0,0),
(126852,300166,9,100,'When the target of this spell dies, the necromancer draws a random soul spell from the enemy. The soul spell can be used three times.',0,1),
(126853,300166,9,100,'Decreases STR of target by 126.7',0,2),
(126854,300166,10,100,'Decreases STR and INT of target by 133.1',0,0),
(126855,300166,10,100,'When the target of this spell dies, the necromancer draws a random soul spell from the enemy. The soul spell can be used three times.',0,1),
(126856,300166,10,100,'Decreases STR of target by 130.7',0,2),
(126857,270164,12,100,'Increases the max health of the coercer''s Possess Essence by 25%',0,0),
(126858,270164,12,100,'Modifies mana flow to be group targeted.  Also reduces duration and fuel cost.',0,1),
(126859,270164,12,100,'On a damage spell hit this spell has a 12% chance to cast Siren''s Gift on the group.  Lasts for 10.0 seconds.  ',0,2),
(126860,270164,12,100,'Reduces the power cost of group members'' spells by 20%',1,3),
(126861,270164,12,100,'Reduces the reuse timers of all spells by 10%',0,4),
(126862,270164,12,100,'Cannot be modified except by direct means',0,5),
(126863,270165,12,100,'Adds mental damage to a fighter''s single target and AE taunts.',0,0),
(126864,240187,1,100,'Roots target encounter',0,0),
(126865,240187,1,100,'15% chance to dispel when target takes damage',0,1),
(126866,240187,1,100,'Does not affect Epic targets',0,2),
(126867,240187,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(126868,240187,2,100,'Roots target encounter',0,0),
(126869,240187,2,100,'15% chance to dispel when target takes damage',0,1),
(126870,240187,2,100,'Does not affect Epic targets',0,2),
(126871,240187,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(126872,240187,3,100,'Roots target encounter',0,0),
(126873,240187,3,100,'15% chance to dispel when target takes damage',0,1),
(126874,240187,3,100,'Does not affect Epic targets',0,2),
(126875,240187,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(126876,240187,4,100,'Roots target encounter',0,0),
(126877,240187,4,100,'15% chance to dispel when target takes damage',0,1),
(126878,240187,4,100,'Does not affect Epic targets',0,2),
(126879,240187,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(126880,240187,5,100,'Roots target encounter',0,0),
(126881,240187,5,100,'15% chance to dispel when target takes damage',0,1),
(126882,240187,5,100,'Does not affect Epic targets',0,2),
(126883,240187,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(126884,240187,7,100,'Roots target encounter',0,0),
(126885,240187,7,100,'15% chance to dispel when target takes damage',0,1),
(126886,240187,7,100,'Does not affect Epic targets',0,2),
(126887,240187,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(126888,240187,9,100,'Roots target encounter',0,0),
(126889,240187,9,100,'15% chance to dispel when target takes damage',0,1),
(126890,240187,9,100,'Does not affect Epic targets',0,2),
(126891,240187,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(126892,240188,1,100,'Roots target encounter',0,0),
(126893,240188,1,100,'15% chance to dispel when target takes damage',0,1),
(126894,240188,1,100,'Does not affect Epic targets',0,2),
(126895,240188,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(126896,240188,2,100,'Roots target encounter',0,0),
(126897,240188,2,100,'15% chance to dispel when target takes damage',0,1),
(126898,240188,2,100,'Does not affect Epic targets',0,2),
(126899,240188,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(126900,240188,3,100,'Roots target encounter',0,0),
(126901,240188,3,100,'15% chance to dispel when target takes damage',0,1),
(126902,240188,3,100,'Does not affect Epic targets',0,2),
(126903,240188,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(126904,240188,4,100,'Roots target encounter',0,0),
(126905,240188,4,100,'15% chance to dispel when target takes damage',0,1),
(126906,240188,4,100,'Does not affect Epic targets',0,2),
(126907,240188,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(126908,240188,5,100,'Roots target encounter',0,0),
(126909,240188,5,100,'15% chance to dispel when target takes damage',0,1),
(126910,240188,5,100,'Does not affect Epic targets',0,2),
(126911,240188,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(126912,240188,7,100,'Roots target encounter',0,0),
(126913,240188,7,100,'15% chance to dispel when target takes damage',0,1),
(126914,240188,7,100,'Does not affect Epic targets',0,2),
(126915,240188,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(126916,240188,9,100,'Roots target encounter',0,0),
(126917,240188,9,100,'15% chance to dispel when target takes damage',0,1),
(126918,240188,9,100,'Does not affect Epic targets',0,2),
(126919,240188,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(126920,240189,1,100,'Roots target encounter',0,0),
(126921,240189,1,100,'15% chance to dispel when target takes damage',0,1),
(126922,240189,1,100,'Does not affect Epic targets',0,2),
(126923,240189,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(126924,240189,2,100,'Roots target encounter',0,0),
(126925,240189,2,100,'15% chance to dispel when target takes damage',0,1),
(126926,240189,2,100,'Does not affect Epic targets',0,2),
(126927,240189,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(126928,240189,3,100,'Roots target encounter',0,0),
(126929,240189,3,100,'15% chance to dispel when target takes damage',0,1),
(126930,240189,3,100,'Does not affect Epic targets',0,2),
(126931,240189,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(126932,240189,4,100,'Roots target encounter',0,0),
(126933,240189,4,100,'15% chance to dispel when target takes damage',0,1),
(126934,240189,4,100,'Does not affect Epic targets',0,2),
(126935,240189,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(126936,240189,5,100,'Roots target encounter',0,0),
(126937,240189,5,100,'15% chance to dispel when target takes damage',0,1),
(126938,240189,5,100,'Does not affect Epic targets',0,2),
(126939,240189,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(126940,240189,7,100,'Roots target encounter',0,0),
(126941,240189,7,100,'15% chance to dispel when target takes damage',0,1),
(126942,240189,7,100,'Does not affect Epic targets',0,2),
(126943,240189,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(126944,240189,9,100,'Roots target encounter',0,0),
(126945,240189,9,100,'15% chance to dispel when target takes damage',0,1),
(126946,240189,9,100,'Does not affect Epic targets',0,2),
(126947,240189,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(126948,240190,1,100,'Roots target encounter',0,0),
(126949,240190,1,100,'15% chance to dispel when target takes damage',0,1),
(126950,240190,1,100,'Does not affect Epic targets',0,2),
(126951,240190,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(126952,240190,2,100,'Roots target encounter',0,0),
(126953,240190,2,100,'15% chance to dispel when target takes damage',0,1),
(126954,240190,2,100,'Does not affect Epic targets',0,2),
(126955,240190,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(126956,240190,3,100,'Roots target encounter',0,0),
(126957,240190,3,100,'15% chance to dispel when target takes damage',0,1),
(126958,240190,3,100,'Does not affect Epic targets',0,2),
(126959,240190,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(126960,240190,4,100,'Roots target encounter',0,0),
(126961,240190,4,100,'15% chance to dispel when target takes damage',0,1),
(126962,240190,4,100,'Does not affect Epic targets',0,2),
(126963,240190,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(126964,240190,5,100,'Roots target encounter',0,0),
(126965,240190,5,100,'15% chance to dispel when target takes damage',0,1),
(126966,240190,5,100,'Does not affect Epic targets',0,2),
(126967,240190,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(126968,240190,7,100,'Roots target encounter',0,0),
(126969,240190,7,100,'15% chance to dispel when target takes damage',0,1),
(126970,240190,7,100,'Does not affect Epic targets',0,2),
(126971,240190,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(126972,240190,9,100,'Roots target encounter',0,0),
(126973,240190,9,100,'15% chance to dispel when target takes damage',0,1),
(126974,240190,9,100,'Does not affect Epic targets',0,2),
(126975,240190,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(126976,240191,1,100,'Roots target encounter',0,0),
(126977,240191,1,100,'15% chance to dispel when target takes damage',0,1),
(126978,240191,1,100,'Does not affect Epic targets',0,2),
(126979,240191,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(126980,240191,4,100,'Roots target encounter',0,0),
(126981,240191,4,100,'15% chance to dispel when target takes damage',0,1),
(126982,240191,4,100,'Does not affect Epic targets',0,2),
(126983,240191,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(126984,240191,5,100,'Roots target encounter',0,0),
(126985,240191,5,100,'15% chance to dispel when target takes damage',0,1),
(126986,240191,5,100,'Does not affect Epic targets',0,2),
(126987,240191,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(126988,240191,7,100,'Roots target encounter',0,0),
(126989,240191,7,100,'15% chance to dispel when target takes damage',0,1),
(126990,240191,7,100,'Does not affect Epic targets',0,2),
(126991,240191,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(126992,240191,9,100,'Roots target encounter',0,0),
(126993,240191,9,100,'15% chance to dispel when target takes damage',0,1),
(126994,240191,9,100,'Does not affect Epic targets',0,2),
(126995,240191,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(126996,240192,1,100,'Roots target encounter',0,0),
(126997,240192,1,100,'15% chance to dispel when target takes damage',0,1),
(126998,240192,1,100,'Does not affect Epic targets',0,2),
(126999,240192,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(127000,240192,4,100,'Roots target encounter',0,0),
(127001,240192,4,100,'15% chance to dispel when target takes damage',0,1),
(127002,240192,4,100,'Does not affect Epic targets',0,2),
(127003,240192,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(127004,240192,5,100,'Roots target encounter',0,0),
(127005,240192,5,100,'15% chance to dispel when target takes damage',0,1),
(127006,240192,5,100,'Does not affect Epic targets',0,2),
(127007,240192,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(127008,240192,7,100,'Roots target encounter',0,0),
(127009,240192,7,100,'15% chance to dispel when target takes damage',0,1),
(127010,240192,7,100,'Does not affect Epic targets',0,2),
(127011,240192,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(127012,240192,9,100,'Roots target encounter',0,0),
(127013,240192,9,100,'15% chance to dispel when target takes damage',0,1),
(127014,240192,9,100,'Does not affect Epic targets',0,2),
(127015,240192,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(127016,2000645,1,100,'Increases Defense of caster by 0.0',0,0),
(127017,2000646,1,100,'Inflicts 0 poison damage on target',0,0),
(127018,2000646,1,100,'Decreases AGI of target by 3.0 - 6.0',0,1),
(127019,2000646,1,100,'Slows target by 27.0%',0,2),
(127020,2000647,1,100,'When damaged with a melee weapon this spell has a 10% chance to cast Slippery Slime on target''s attacker.  Lasts for 0.8 seconds.  ',0,0),
(127021,2000647,1,100,'Stuns target',1,1),
(127022,2000647,1,100,'Epic targets gain an immunity to Stun effects of 2.5 seconds and duration is reduced to 0.3 seconds.',1,2),
(127023,2000647,1,100,'Resistibility increases against targets higher than level 30.',1,3),
(127024,2000648,1,100,'Inflicts 1 - 2 piercing damage on target',0,0),
(127025,2000648,1,100,'Roots target',0,1),
(127026,2000648,1,100,'Epic targets gain an immunity to Root effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,2),
(127027,2000648,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(127028,190135,1,100,'Target will lose 44% more power when power is consumed',0,0),
(127029,190135,1,100,'On a spell cast this spell will cast Sloth''s Habitat on target.  ',0,1),
(127030,190135,1,100,'Inflicts 163 - 199 divine damage on target',1,2),
(127031,190135,1,100,'Grants a total of 3 triggers of the spell.',1,3),
(127032,190135,2,100,'Target will lose 47% more power when power is consumed',0,0),
(127033,190135,2,100,'On a spell cast this spell will cast Sloth''s Habitat on target.  ',0,1),
(127034,190135,2,100,'Inflicts 172 - 210 divine damage on target',1,2),
(127035,190135,2,100,'Grants a total of 3 triggers of the spell.',1,3),
(127036,190135,3,100,'Target will lose 50% more power when power is consumed',0,0),
(127037,190135,3,100,'On a spell cast this spell will cast Sloth''s Habitat on target.  ',0,1),
(127038,190135,3,100,'Inflicts 181 - 221 divine damage on target',1,2),
(127039,190135,3,100,'Grants a total of 3 triggers of the spell.',1,3),
(127040,190135,4,100,'Target will lose 55% more power when power is consumed',0,0),
(127041,190135,4,100,'On a spell cast this spell will cast Sloth''s Habitat on target.  ',0,1),
(127042,190135,4,100,'Inflicts 199 - 243 divine damage on target',1,2),
(127043,190135,4,100,'Grants a total of 3 triggers of the spell.',1,3),
(127044,190135,5,100,'Target will lose 60% more power when power is consumed',0,0),
(127045,190135,5,100,'On a spell cast this spell will cast Sloth''s Habitat on target.  ',0,1),
(127046,190135,5,100,'Inflicts 217 - 265 divine damage on target',1,2),
(127047,190135,5,100,'Grants a total of 3 triggers of the spell.',1,3),
(127048,190135,7,100,'Target will lose 76% more power when power is consumed',0,0),
(127049,190135,7,100,'On a spell cast this spell will cast Sloth''s Habitat on target.  ',0,1),
(127050,190135,7,100,'Inflicts 279 - 340 divine damage on target',1,2),
(127051,190135,7,100,'Grants a total of 3 triggers of the spell.',1,3),
(127052,190135,9,100,'Target will lose 80% more power when power is consumed',0,0),
(127053,190135,9,100,'On a spell cast this spell will cast Sloth''s Habitat on target.  ',0,1),
(127054,190135,9,100,'Inflicts 289 - 354 divine damage on target',1,2),
(127055,190135,9,100,'Grants a total of 3 triggers of the spell.',1,3),
(127056,190136,1,100,'Target will lose 44% more power when power is consumed',0,0),
(127057,190136,1,100,'On a spell cast this spell will cast Sloth''s Habitat on target.  ',0,1),
(127058,190136,1,100,'Inflicts 236 - 288 divine damage on target',1,2),
(127059,190136,1,100,'Grants a total of 3 triggers of the spell.',1,3),
(127060,190136,2,100,'Target will lose 47% more power when power is consumed',0,0),
(127061,190136,2,100,'On a spell cast this spell will cast Sloth''s Habitat on target.  ',0,1),
(127062,190136,2,100,'Inflicts 249 - 305 divine damage on target',1,2),
(127063,190136,2,100,'Grants a total of 3 triggers of the spell.',1,3),
(127064,190136,3,100,'Target will lose 50% more power when power is consumed',0,0),
(127065,190136,3,100,'On a spell cast this spell will cast Sloth''s Habitat on target.  ',0,1),
(127066,190136,3,100,'Inflicts 262 - 321 divine damage on target',1,2),
(127067,190136,3,100,'Grants a total of 3 triggers of the spell.',1,3),
(127068,190136,4,100,'Target will lose 55% more power when power is consumed',0,0),
(127069,190136,4,100,'On a spell cast this spell will cast Sloth''s Habitat on target.  ',0,1),
(127070,190136,4,100,'Inflicts 288 - 353 divine damage on target',1,2),
(127071,190136,4,100,'Grants a total of 3 triggers of the spell.',1,3),
(127072,190136,5,100,'Target will lose 60% more power when power is consumed',0,0),
(127073,190136,5,100,'On a spell cast this spell will cast Sloth''s Habitat on target.  ',0,1),
(127074,190136,5,100,'Inflicts 315 - 385 divine damage on target',1,2),
(127075,190136,5,100,'Grants a total of 3 triggers of the spell.',1,3),
(127076,190136,7,100,'Target will lose 76% more power when power is consumed',0,0),
(127077,190136,7,100,'On a spell cast this spell will cast Sloth''s Habitat on target.  ',0,1),
(127078,190136,7,100,'Inflicts 404 - 494 divine damage on target',1,2),
(127079,190136,7,100,'Grants a total of 3 triggers of the spell.',1,3),
(127080,190136,9,100,'Target will lose 80% more power when power is consumed',0,0),
(127081,190136,9,100,'On a spell cast this spell will cast Sloth''s Habitat on target.  ',0,1),
(127082,190136,9,100,'Inflicts 420 - 513 divine damage on target',1,2),
(127083,190136,9,100,'Grants a total of 3 triggers of the spell.',1,3),
(127084,190136,10,100,'Target will lose 83% more power when power is consumed',0,0),
(127085,190136,10,100,'On a spell cast this spell will cast Sloth''s Habitat on target.  ',0,1),
(127086,190136,10,100,'Inflicts 441 - 539 divine damage on target',1,2),
(127087,190136,10,100,'Grants a total of 3 triggers of the spell.',1,3),
(127088,190137,1,100,'Target will lose 44% more power when power is consumed',0,0),
(127089,190137,1,100,'On a spell cast this spell will cast Sloth''s Habitat on target.  ',0,1),
(127090,190137,1,100,'Inflicts 285 - 349 divine damage on target',1,2),
(127091,190137,1,100,'Grants a total of 3 triggers of the spell.',1,3),
(127092,190137,4,100,'Target will lose 55% more power when power is consumed',0,0),
(127093,190137,4,100,'On a spell cast this spell will cast Sloth''s Habitat on target.  ',0,1),
(127094,190137,4,100,'Inflicts 349 - 426 divine damage on target',1,2),
(127095,190137,4,100,'Grants a total of 3 triggers of the spell.',1,3),
(127096,190137,5,100,'Target will lose 60% more power when power is consumed',0,0),
(127097,190137,5,100,'On a spell cast this spell will cast Sloth''s Habitat on target.  ',0,1),
(127098,190137,5,100,'Inflicts 380 - 465 divine damage on target',1,2),
(127099,190137,5,100,'Grants a total of 3 triggers of the spell.',1,3),
(127100,190137,7,100,'Target will lose 76% more power when power is consumed',0,0),
(127101,190137,7,100,'On a spell cast this spell will cast Sloth''s Habitat on target.  ',0,1),
(127102,190137,7,100,'Inflicts 488 - 596 divine damage on target',1,2),
(127103,190137,7,100,'Grants a total of 3 triggers of the spell.',1,3),
(127104,190137,9,100,'Target will lose 80% more power when power is consumed',0,0),
(127105,190137,9,100,'On a spell cast this spell will cast Sloth''s Habitat on target.  ',0,1),
(127106,190137,9,100,'Inflicts 507 - 620 divine damage on target',1,2),
(127107,190137,9,100,'Grants a total of 3 triggers of the spell.',1,3),
(127108,190137,10,100,'Target will lose 83% more power when power is consumed',0,0),
(127109,190137,10,100,'On a spell cast this spell will cast Sloth''s Habitat on target.  ',0,1),
(127110,190137,10,100,'Inflicts 532 - 651 divine damage on target',1,2),
(127111,190137,10,100,'Grants a total of 3 triggers of the spell.',1,3),
(127112,190138,1,100,'Target will lose 44% more power when power is consumed',0,0),
(127113,190138,1,100,'On a spell cast this spell will cast Sloth''s Habitat on target.  ',0,1),
(127114,190138,1,100,'Inflicts 325 - 397 divine damage on target',1,2),
(127115,190138,1,100,'Grants a total of 3 triggers of the spell.',1,3),
(127116,190138,4,100,'Target will lose 55% more power when power is consumed',0,0),
(127117,190138,4,100,'On a spell cast this spell will cast Sloth''s Habitat on target.  ',0,1),
(127118,190138,4,100,'Inflicts 397 - 486 divine damage on target',1,2),
(127119,190138,4,100,'Grants a total of 3 triggers of the spell.',1,3),
(127120,190138,5,100,'Target will lose 60% more power when power is consumed',0,0),
(127121,190138,5,100,'On a spell cast this spell will cast Sloth''s Habitat on target.  ',0,1),
(127122,190138,5,100,'Inflicts 433 - 530 divine damage on target',1,2),
(127123,190138,5,100,'Grants a total of 3 triggers of the spell.',1,3),
(127124,190138,7,100,'Target will lose 76% more power when power is consumed',0,0),
(127125,190138,7,100,'On a spell cast this spell will cast Sloth''s Habitat on target.  ',0,1),
(127126,190138,7,100,'Inflicts 556 - 680 divine damage on target',1,2),
(127127,190138,7,100,'Grants a total of 3 triggers of the spell.',1,3),
(127128,190138,9,100,'Target will lose 80% more power when power is consumed',0,0),
(127129,190138,9,100,'On a spell cast this spell will cast Sloth''s Habitat on target.  ',0,1),
(127130,190138,9,100,'Inflicts 578 - 706 divine damage on target',1,2),
(127131,190138,9,100,'Grants a total of 3 triggers of the spell.',1,3),
(127132,190138,10,100,'Target will lose 83% more power when power is consumed',0,0),
(127133,190138,10,100,'On a spell cast this spell will cast Sloth''s Habitat on target.  ',0,1),
(127134,190138,10,100,'Inflicts 607 - 742 divine damage on target',1,2),
(127135,190138,10,100,'Grants a total of 3 triggers of the spell.',1,3),
(127136,110014,1,100,'Inflicts 8 - 10 divine damage on target',0,0),
(127137,110014,2,100,'Inflicts 9 - 11 divine damage on target',0,0),
(127138,110014,3,100,'Inflicts 9 - 11 divine damage on target',0,0),
(127139,110014,4,100,'Inflicts 10 - 12 divine damage on target',0,0),
(127140,110014,5,100,'Inflicts 11 - 13 divine damage on target',0,0),
(127141,110014,7,100,'Inflicts 14 - 17 divine damage on target',0,0),
(127142,110014,9,100,'Inflicts 15 - 18 divine damage on target',0,0),
(127143,120016,1,100,'Inflicts 1 divine damage on target instantly and every 4 seconds',0,0),
(127144,120016,1,100,'Decreases WIS of target by 24.3',0,1),
(127145,120016,2,100,'Inflicts 1 divine damage on target instantly and every 4 seconds',0,0),
(127146,120016,2,100,'Decreases WIS of target by 25.6',0,1),
(127147,120016,3,100,'Inflicts 1 divine damage on target instantly and every 4 seconds',0,0),
(127148,120016,3,100,'Decreases WIS of target by 27.0',0,1),
(127149,120016,4,100,'Inflicts 1 divine damage on target instantly and every 4 seconds',0,0),
(127150,120016,4,100,'Decreases WIS of target by 29.7',0,1),
(127151,120016,5,100,'Inflicts 1 divine damage on target instantly and every 4 seconds',0,0),
(127152,120016,5,100,'Decreases WIS of target by 32.4',0,1),
(127153,120016,7,100,'Inflicts 1 - 2 divine damage on target instantly and every 4 seconds',0,0),
(127154,120016,7,100,'Decreases WIS of target by 41.6',0,1),
(127155,120016,9,100,'Inflicts 1 - 2 divine damage on target instantly and every 4 seconds',0,0),
(127156,120016,9,100,'Decreases WIS of target by 43.2',0,1),
(127157,120017,1,100,'Inflicts 1 divine damage on target instantly and every 4 seconds',0,0),
(127158,120017,1,100,'Decreases WIS of target by 37.3',0,1),
(127159,120017,2,100,'Inflicts 1 divine damage on target instantly and every 4 seconds',0,0),
(127160,120017,2,100,'Decreases WIS of target by 39.3',0,1),
(127161,120017,3,100,'Inflicts 1 divine damage on target instantly and every 4 seconds',0,0),
(127162,120017,3,100,'Decreases WIS of target by 41.4',0,1),
(127163,120017,4,100,'Inflicts 1 divine damage on target instantly and every 4 seconds',0,0),
(127164,120017,4,100,'Decreases WIS of target by 45.5',0,1),
(127165,120017,5,100,'Inflicts 1 divine damage on target instantly and every 4 seconds',0,0),
(127166,120017,5,100,'Decreases WIS of target by 49.7',0,1),
(127167,120017,7,100,'Inflicts 1 - 2 divine damage on target instantly and every 4 seconds',0,0),
(127168,120017,7,100,'Decreases WIS of target by 63.8',0,1),
(127169,120017,9,100,'Inflicts 1 - 2 divine damage on target instantly and every 4 seconds',0,0),
(127170,120017,9,100,'Decreases WIS of target by 66.2',0,1),
(127171,120018,1,100,'Inflicts 1 divine damage on target instantly and every 4 seconds',0,0),
(127172,120018,1,100,'Decreases WIS of target by 50.5',0,1),
(127173,120018,2,100,'Inflicts 1 divine damage on target instantly and every 4 seconds',0,0),
(127174,120018,2,100,'Decreases WIS of target by 53.3',0,1),
(127175,120018,3,100,'Inflicts 1 divine damage on target instantly and every 4 seconds',0,0),
(127176,120018,3,100,'Decreases WIS of target by 56.1',0,1),
(127177,120018,4,100,'Inflicts 1 divine damage on target instantly and every 4 seconds',0,0),
(127178,120018,4,100,'Decreases WIS of target by 61.7',0,1),
(127179,120018,5,100,'Inflicts 1 divine damage on target instantly and every 4 seconds',0,0),
(127180,120018,5,100,'Decreases WIS of target by 67.3',0,1),
(127181,120018,7,100,'Inflicts 1 - 2 divine damage on target instantly and every 4 seconds',0,0),
(127182,120018,7,100,'Decreases WIS of target by 86.4',0,1),
(127183,120018,9,100,'Inflicts 1 - 2 divine damage on target instantly and every 4 seconds',0,0),
(127184,120018,9,100,'Decreases WIS of target by 89.8',0,1),
(127185,120019,1,100,'Inflicts 1 divine damage on target instantly and every 4 seconds',0,0),
(127186,120019,1,100,'Decreases WIS of target by 60.4',0,1),
(127187,120019,4,100,'Inflicts 1 divine damage on target instantly and every 4 seconds',0,0),
(127188,120019,4,100,'Decreases WIS of target by 73.8',0,1),
(127189,120019,5,100,'Inflicts 1 divine damage on target instantly and every 4 seconds',0,0),
(127190,120019,5,100,'Decreases WIS of target by 80.5',0,1),
(127191,120019,7,100,'Inflicts 1 - 2 divine damage on target instantly and every 4 seconds',0,0),
(127192,120019,7,100,'Decreases WIS of target by 103.3',0,1),
(127193,120019,9,100,'Inflicts 1 - 2 divine damage on target instantly and every 4 seconds',0,0),
(127194,120019,9,100,'Decreases WIS of target by 107.4',0,1),
(127195,120020,1,100,'Inflicts 1 divine damage on target instantly and every 4 seconds',0,0),
(127196,120020,1,100,'Decreases WIS of target by 70.3',0,1),
(127197,120020,4,100,'Inflicts 1 divine damage on target instantly and every 4 seconds',0,0),
(127198,120020,4,100,'Decreases WIS of target by 85.9',0,1),
(127199,120020,5,100,'Inflicts 1 divine damage on target instantly and every 4 seconds',0,0),
(127200,120020,5,100,'Decreases WIS of target by 93.7',0,1),
(127201,120020,7,100,'Inflicts 1 - 2 divine damage on target instantly and every 4 seconds',0,0),
(127202,120020,7,100,'Decreases WIS of target by 120.3',0,1),
(127203,120020,9,100,'Inflicts 1 - 2 divine damage on target instantly and every 4 seconds',0,0),
(127204,120020,9,100,'Decreases WIS of target by 125.0',0,1),
(127205,2000649,1,100,'Inflicts 13 - 17 divine damage on targets in Area of Effect',0,0),
(127206,2000650,1,100,'On any combat or spell hit this spell will cast Heretical Smite on target.  ',0,0),
(127207,2000650,1,100,'Applies Knockdown.  Lasts for 2.5 seconds.',1,1),
(127208,2000650,1,100,'Throws target back',2,2),
(127209,2000650,1,100,'Blurs vision of target',2,3),
(127210,2000650,1,100,'Stuns target',2,4),
(127211,2000650,1,100,'Does not affect Epic targets',2,5),
(127212,2000650,1,100,'Inflicts 17 - 28 divine damage on target',1,6),
(127213,2000650,1,100,'Grants a total of 3 triggers of the spell.',1,7),
(127214,2000651,1,100,'Stifles target',0,0),
(127215,2000651,1,100,'Epic targets gain an immunity to Stifle effects of 9.0 seconds and duration is reduced to 1.0 second.',0,1),
(127216,2000651,1,100,'Resistibility increases against targets higher than level 29.',0,2),
(127217,2000652,1,100,'Inflicts 2 - 3 crushing damage on target',0,0),
(127218,2000653,1,100,'Inflicts slashing damage on target',0,0),
(127219,2000654,1,100,'Inflicts 1 - 2 piercing damage on target',0,0),
(127220,150009,1,100,'Slows target by 40.0%',0,0),
(127221,150009,1,100,'Does not affect Epic targets',0,1),
(127222,230159,1,100,'Grants See Invisibility to group members (AE)',0,0),
(127223,230159,1,100,'Grants Fish Vision to group members (AE)',0,1),
(127224,230160,1,100,'Inflicts 10 - 20 heat damage on target',0,0),
(127225,230160,2,100,'Inflicts 11 - 21 heat damage on target',0,0),
(127226,230160,3,100,'Inflicts 12 - 22 heat damage on target',0,0),
(127227,230160,4,100,'Inflicts 13 - 24 heat damage on target',0,0),
(127228,230160,5,100,'Inflicts 14 - 26 heat damage on target',0,0),
(127229,230160,7,100,'Inflicts 18 - 34 heat damage on target',0,0),
(127230,230160,9,100,'Inflicts 19 - 35 heat damage on target',0,0),
(127231,230161,1,100,'Inflicts 25 - 47 heat damage on target',0,0),
(127232,230161,2,100,'Inflicts 27 - 50 heat damage on target',0,0),
(127233,230161,3,100,'Inflicts 28 - 52 heat damage on target',0,0),
(127234,230161,4,100,'Inflicts 31 - 58 heat damage on target',0,0),
(127235,230161,5,100,'Inflicts 34 - 63 heat damage on target',0,0),
(127236,230161,7,100,'Inflicts 43 - 81 heat damage on target',0,0),
(127237,230161,9,100,'Inflicts 45 - 84 heat damage on target',0,0),
(127238,230162,1,100,'Inflicts 49 - 91 heat damage on target',0,0),
(127239,230162,2,100,'Inflicts 52 - 97 heat damage on target',0,0),
(127240,230162,3,100,'Inflicts 55 - 102 heat damage on target',0,0),
(127241,230162,4,100,'Inflicts 60 - 112 heat damage on target',0,0),
(127242,230162,5,100,'Inflicts 66 - 122 heat damage on target',0,0),
(127243,230162,7,100,'Inflicts 84 - 156 heat damage on target',0,0),
(127244,230162,9,100,'Inflicts 88 - 163 heat damage on target',0,0),
(127245,230162,10,100,'Inflicts 92 - 171 heat damage on target',0,0),
(127246,230163,1,100,'Inflicts 81 - 150 heat damage on target',0,0),
(127247,230163,2,100,'Inflicts 86 - 159 heat damage on target',0,0),
(127248,230163,3,100,'Inflicts 90 - 167 heat damage on target',0,0),
(127249,230163,4,100,'Inflicts 99 - 184 heat damage on target',0,0),
(127250,230163,5,100,'Inflicts 108 - 201 heat damage on target',0,0),
(127251,230163,7,100,'Inflicts 139 - 257 heat damage on target',0,0),
(127252,230163,9,100,'Inflicts 144 - 267 heat damage on target',0,0),
(127253,230164,1,100,'Inflicts 440 - 816 heat damage on target',0,0),
(127254,230164,4,100,'Inflicts 537 - 998 heat damage on target',0,0),
(127255,230164,5,100,'Inflicts 586 - 1089 heat damage on target',0,0),
(127256,230164,7,100,'Inflicts 752 - 1397 heat damage on target',0,0),
(127257,230164,9,100,'Inflicts 782 - 1451 heat damage on target',0,0),
(127258,230164,10,100,'Inflicts 821 - 1524 heat damage on target',0,0),
(127259,230165,1,100,'Inflicts 124 - 230 heat damage on target',0,0),
(127260,230165,2,100,'Inflicts 131 - 243 heat damage on target',0,0),
(127261,230165,3,100,'Inflicts 138 - 256 heat damage on target',0,0),
(127262,230165,4,100,'Inflicts 152 - 281 heat damage on target',0,0),
(127263,230165,5,100,'Inflicts 165 - 307 heat damage on target',0,0),
(127264,230165,7,100,'Inflicts 212 - 394 heat damage on target',0,0),
(127265,230165,9,100,'Inflicts 220 - 409 heat damage on target',0,0),
(127266,230166,1,100,'Inflicts 194 - 361 heat damage on target',0,0),
(127267,230166,2,100,'Inflicts 205 - 381 heat damage on target',0,0),
(127268,230166,3,100,'Inflicts 216 - 401 heat damage on target',0,0),
(127269,230166,4,100,'Inflicts 238 - 441 heat damage on target',0,0),
(127270,230166,5,100,'Inflicts 259 - 481 heat damage on target',0,0),
(127271,230166,7,100,'Inflicts 333 - 618 heat damage on target',0,0),
(127272,230166,9,100,'Inflicts 345 - 642 heat damage on target',0,0),
(127273,230166,10,100,'Inflicts 363 - 674 heat damage on target',0,0),
(127274,230167,1,100,'Inflicts 278 - 516 heat damage on target',0,0),
(127275,230167,2,100,'Inflicts 293 - 545 heat damage on target',0,0),
(127276,230167,3,100,'Inflicts 309 - 573 heat damage on target',0,0),
(127277,230167,4,100,'Inflicts 340 - 631 heat damage on target',0,0),
(127278,230167,5,100,'Inflicts 370 - 688 heat damage on target',0,0),
(127279,230167,7,100,'Inflicts 475 - 883 heat damage on target',0,0),
(127280,230167,9,100,'Inflicts 494 - 917 heat damage on target',0,0),
(127281,230168,1,100,'Inflicts 363 - 674 heat damage on target',0,0),
(127282,230168,2,100,'Inflicts 383 - 711 heat damage on target',0,0),
(127283,230168,3,100,'Inflicts 403 - 749 heat damage on target',0,0),
(127284,230168,4,100,'Inflicts 444 - 824 heat damage on target',0,0),
(127285,230168,5,100,'Inflicts 484 - 899 heat damage on target',0,0),
(127286,230168,7,100,'Inflicts 621 - 1153 heat damage on target',0,0),
(127287,230168,9,100,'Inflicts 645 - 1198 heat damage on target',0,0),
(127288,230168,10,100,'Inflicts 677 - 1258 heat damage on target',0,0),
(127289,230169,1,100,'Inflicts 521 - 968 heat damage on target',0,0),
(127290,230169,4,100,'Inflicts 637 - 1184 heat damage on target',0,0),
(127291,230169,5,100,'Inflicts 695 - 1291 heat damage on target',0,0),
(127292,230169,7,100,'Inflicts 892 - 1657 heat damage on target',0,0),
(127293,230169,9,100,'Inflicts 927 - 1722 heat damage on target',0,0),
(127294,230169,10,100,'Inflicts 973 - 1808 heat damage on target',0,0),
(127295,360158,1,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 1.4',0,0),
(127296,360158,1,100,'Increases Focus of group members (AE) by 2.9',0,1),
(127297,360158,2,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 1.5',0,0),
(127298,360158,2,100,'Increases Focus of group members (AE) by 3.0',0,1),
(127299,360158,3,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 1.6',0,0),
(127300,360158,3,100,'Increases Focus of group members (AE) by 3.2',0,1),
(127301,360158,4,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 1.8',0,0),
(127302,360158,4,100,'Increases Focus of group members (AE) by 3.5',0,1),
(127303,360158,5,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 1.9',0,0),
(127304,360158,5,100,'Increases Focus of group members (AE) by 3.8',0,1),
(127305,360158,7,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 2.5',0,0),
(127306,360158,7,100,'Increases Focus of group members (AE) by 4.9',0,1),
(127307,360158,9,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 2.6',0,0),
(127308,360158,9,100,'Increases Focus of group members (AE) by 5.1',0,1),
(127309,360159,1,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 4.6',0,0),
(127310,360159,1,100,'Increases Focus of group members (AE) by 9.2',0,1),
(127311,360159,2,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 4.8',0,0),
(127312,360159,2,100,'Increases Focus of group members (AE) by 9.7',0,1),
(127313,360159,3,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 5.1',0,0),
(127314,360159,3,100,'Increases Focus of group members (AE) by 10.2',0,1),
(127315,360159,4,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 5.6',0,0),
(127316,360159,4,100,'Increases Focus of group members (AE) by 11.2',0,1),
(127317,360159,5,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 6.1',0,0),
(127318,360159,5,100,'Increases Focus of group members (AE) by 12.2',0,1),
(127319,360159,7,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 7.9',0,0),
(127320,360159,7,100,'Increases Focus of group members (AE) by 15.7',0,1),
(127321,360159,9,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 8.2',0,0),
(127322,360159,9,100,'Increases Focus of group members (AE) by 16.3',0,1),
(127323,360160,1,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 8.4',0,0),
(127324,360160,1,100,'Increases Focus of group members (AE) by 16.7',0,1),
(127325,360160,2,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 8.8',0,0),
(127326,360160,2,100,'Increases Focus of group members (AE) by 17.7',0,1),
(127327,360160,3,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 9.3',0,0),
(127328,360160,3,100,'Increases Focus of group members (AE) by 18.6',0,1),
(127329,360160,4,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 10.2',0,0),
(127330,360160,4,100,'Increases Focus of group members (AE) by 20.5',0,1),
(127331,360160,5,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 11.2',0,0),
(127332,360160,5,100,'Increases Focus of group members (AE) by 22.3',0,1),
(127333,360160,7,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 14.3',0,0),
(127334,360160,7,100,'Increases Focus of group members (AE) by 28.6',0,1),
(127335,360160,9,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 14.9',0,0),
(127336,360160,9,100,'Increases Focus of group members (AE) by 29.8',0,1),
(127337,360160,10,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 15.6',0,0),
(127338,360160,10,100,'Increases Focus of group members (AE) by 31.2',0,1),
(127339,360161,1,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 12.1',0,0),
(127340,360161,1,100,'Increases Focus of group members (AE) by 24.3',0,1),
(127341,360161,2,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 12.8',0,0),
(127342,360161,2,100,'Increases Focus of group members (AE) by 25.6',0,1),
(127343,360161,3,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 13.5',0,0),
(127344,360161,3,100,'Increases Focus of group members (AE) by 27.0',0,1),
(127345,360161,4,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 14.9',0,0),
(127346,360161,4,100,'Increases Focus of group members (AE) by 29.7',0,1),
(127347,360161,5,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 16.2',0,0),
(127348,360161,5,100,'Increases Focus of group members (AE) by 32.4',0,1),
(127349,360161,7,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 20.8',0,0),
(127350,360161,7,100,'Increases Focus of group members (AE) by 41.6',0,1),
(127351,360161,9,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 21.6',0,0),
(127352,360161,9,100,'Increases Focus of group members (AE) by 43.2',0,1),
(127353,360162,1,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 15.9',0,0),
(127354,360162,1,100,'Increases Focus of group members (AE) by 31.9',0,1),
(127355,360162,2,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 16.8',0,0),
(127356,360162,2,100,'Increases Focus of group members (AE) by 33.6',0,1),
(127357,360162,3,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 17.7',0,0),
(127358,360162,3,100,'Increases Focus of group members (AE) by 35.4',0,1),
(127359,360162,4,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 19.5',0,0),
(127360,360162,4,100,'Increases Focus of group members (AE) by 38.9',0,1),
(127361,360162,5,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 21.2',0,0),
(127362,360162,5,100,'Increases Focus of group members (AE) by 42.5',0,1),
(127363,360162,7,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 27.3',0,0),
(127364,360162,7,100,'Increases Focus of group members (AE) by 54.5',0,1),
(127365,360162,9,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 28.3',0,0),
(127366,360162,9,100,'Increases Focus of group members (AE) by 56.6',0,1),
(127367,360163,1,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 19.4',0,0),
(127368,360163,1,100,'Increases Focus of group members (AE) by 39.2',0,1),
(127369,360163,2,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 20.5',0,0),
(127370,360163,2,100,'Increases Focus of group members (AE) by 41.4',0,1),
(127371,360163,3,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 21.6',0,0),
(127372,360163,3,100,'Increases Focus of group members (AE) by 43.6',0,1),
(127373,360163,4,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 23.8',0,0),
(127374,360163,4,100,'Increases Focus of group members (AE) by 48.0',0,1),
(127375,360163,5,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 25.9',0,0),
(127376,360163,5,100,'Increases Focus of group members (AE) by 52.3',0,1),
(127377,360163,7,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 33.3',0,0),
(127378,360163,7,100,'Increases Focus of group members (AE) by 67.1',0,1),
(127379,360163,9,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 34.6',0,0),
(127380,360163,9,100,'Increases Focus of group members (AE) by 69.8',0,1),
(127381,360164,1,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 22.1',0,0),
(127382,360164,1,100,'Increases Focus of group members (AE) by 46.8',0,1),
(127383,360164,4,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 27.1',0,0),
(127384,360164,4,100,'Increases Focus of group members (AE) by 57.2',0,1),
(127385,360164,5,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 29.5',0,0),
(127386,360164,5,100,'Increases Focus of group members (AE) by 62.4',0,1),
(127387,360164,7,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 37.9',0,0),
(127388,360164,7,100,'Increases Focus of group members (AE) by 80.1',0,1),
(127389,360164,9,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 39.4',0,0),
(127390,360164,9,100,'Increases Focus of group members (AE) by 83.2',0,1),
(127391,360165,1,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 24.8',0,0),
(127392,360165,1,100,'Increases Focus of group members (AE) by 55.8',0,1),
(127393,360165,4,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 30.4',0,0),
(127394,360165,4,100,'Increases Focus of group members (AE) by 68.2',0,1),
(127395,360165,5,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 33.1',0,0),
(127396,360165,5,100,'Increases Focus of group members (AE) by 74.4',0,1),
(127397,360165,7,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 42.5',0,0),
(127398,360165,7,100,'Increases Focus of group members (AE) by 95.5',0,1),
(127399,360165,9,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 44.2',0,0),
(127400,360165,9,100,'Increases Focus of group members (AE) by 99.2',0,1),
(127401,2000655,1,100,'Grants target a 5% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(127402,2000655,2,100,'Grants target a 10% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(127403,2000655,3,100,'Grants target a 15% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(127404,2000655,4,100,'Grants target a 20% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(127405,2000655,5,100,'Grants target a 25% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(127406,2000655,6,100,'Grants target a 30% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(127407,2000655,7,100,'Grants target a 35% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(127408,2000655,8,100,'Grants target a 40% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(127409,2000656,1,100,'Applies Songspinner''s Cunning.  Lasts for 1 minute.',0,0),
(127410,2000656,1,100,'Increases DPS of group members (AE) by 25.0',1,1),
(127411,2000656,1,100,'Must be in front of',1,2),
(127412,2000656,1,100,'If Target is closer than 15 meters',1,3),
(127413,2000656,1,100,'Applies Songspinner''s Intelligence.  Lasts for 1 minute.',0,4),
(127414,2000656,1,100,'Increases INT, WIS, AGI, STR and STA of group members (AE) by 8.4',1,5),
(127415,2000656,1,100,'Must be flanking or behind',1,6),
(127416,2000656,1,100,'If Target is closer than 15 meters',1,7),
(127417,2000656,1,100,'Applies Songspinner''s Defiance.  Lasts for 1 minute.',0,8),
(127418,2000656,1,100,'Increases healing received by 10.00%',1,9),
(127419,2000656,1,100,'If Target is between 15 and 70 meters away',1,10),
(127420,2000656,1,100,'Inflicts 2 piercing damage on target',0,11),
(127421,2000656,1,100,'If Target is closer than 15 meters',1,12),
(127422,350033,1,100,'Increases Slashing, Crushing, Piercing, Ranged, Defense, and \r\nDisruption of group members (AE) by 4.6',0,0),
(127423,370159,1,100,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 1.4',0,0),
(127424,370159,2,100,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 1.5',0,0),
(127425,350033,2,100,'Increases Slashing, Crushing, Piercing, Ranged, Defense, and \r\nDisruption of group members (AE) by 4.8',0,0),
(127426,370159,3,100,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 1.6',0,0),
(127427,350033,3,100,'Increases Slashing, Crushing, Piercing, Ranged, Defense, and \r\nDisruption of group members (AE) by 5.1',0,0),
(127428,350033,4,100,'Increases Slashing, Crushing, Piercing, Ranged, Defense, and \r\nDisruption of group members (AE) by 5.6',0,0),
(127429,370159,4,100,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 1.8',0,0),
(127430,370159,5,100,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 1.9',0,0),
(127431,350033,5,100,'Increases Slashing, Crushing, Piercing, Ranged, Defense, and \r\nDisruption of group members (AE) by 6.1',0,0),
(127432,370159,7,100,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 2.5',0,0),
(127433,350033,7,100,'Increases Slashing, Crushing, Piercing, Ranged, Defense, and \r\nDisruption of group members (AE) by 7.9',0,0),
(127434,350033,9,100,'Increases Slashing, Crushing, Piercing, Ranged, Defense, and \r\nDisruption of group members (AE) by 8.2',0,0),
(127435,370159,9,100,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 2.6',0,0),
(127436,370160,1,100,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 4.6',0,0),
(127437,370160,2,100,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 4.8',0,0),
(127438,370160,3,100,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 5.1',0,0),
(127439,370160,4,100,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 5.6',0,0),
(127440,370160,5,100,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 6.1',0,0),
(127441,370160,7,100,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 7.9',0,0),
(127442,370160,9,100,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 8.2',0,0),
(127443,370161,1,100,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 8.4',0,0),
(127444,370161,2,100,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 8.8',0,0),
(127445,370161,3,100,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 9.3',0,0),
(127446,370161,4,100,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 10.2',0,0),
(127447,370161,5,100,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 11.2',0,0),
(127448,370161,7,100,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 14.3',0,0),
(127449,370161,9,100,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 14.9',0,0),
(127450,370161,10,100,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 15.6',0,0),
(127451,370162,1,100,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 12.1',0,0),
(127452,370162,2,100,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 12.8',0,0),
(127453,370162,3,100,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 13.5',0,0),
(127454,370162,4,100,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 14.9',0,0),
(127455,370162,5,100,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 16.2',0,0),
(127456,370162,7,100,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 20.8',0,0),
(127457,370162,9,100,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 21.6',0,0),
(127458,370163,1,100,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 15.9',0,0),
(127459,370163,2,100,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 16.8',0,0),
(127460,370163,3,100,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 17.7',0,0),
(127461,370163,4,100,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 19.5',0,0),
(127462,370163,5,100,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 21.2',0,0),
(127463,370163,7,100,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 27.3',0,0),
(127464,370163,9,100,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 28.3',0,0),
(127465,370164,1,100,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 19.6',0,0),
(127466,370164,2,100,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 20.7',0,0),
(127467,370164,3,100,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 21.8',0,0),
(127468,370164,4,100,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 24.0',0,0),
(127469,370164,5,100,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 26.2',0,0),
(127470,370164,7,100,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 33.6',0,0),
(127471,370164,9,100,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 34.9',0,0),
(127472,370165,1,100,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 23.4',0,0),
(127473,370165,4,100,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 28.6',0,0),
(127474,370165,5,100,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 31.2',0,0),
(127475,370165,7,100,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 40.0',0,0),
(127476,370165,9,100,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 41.6',0,0),
(127477,370166,1,100,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 27.9',0,0),
(127478,370166,4,100,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 34.1',0,0),
(127479,370166,5,100,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 37.2',0,0),
(127480,370166,7,100,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 47.7',0,0),
(127481,370166,9,100,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 49.6',0,0),
(127482,2000657,1,100,'Applies Stoneskin Reaction.  Lasts for 1.0 seconds.',0,0),
(127483,2000657,1,100,'Reduces all damage done to target by 100%',1,1),
(127484,2000657,1,100,'Triggers when a Stoneskin is consumed. Suspends all other stoneskins that match the damage types of this effect.',1,2),
(127485,2000657,1,100,'Will absorb all damage.  This spell will absorb a total of 3 attacks.',0,3),
(127486,2000657,1,100,'If any of the following are true:',0,4),
(127487,2000657,1,100,'If under 50% Health',1,5),
(127488,2000658,1,100,'Has a 50% chance to interrupt the target encounter on each spell tick.',0,0),
(127489,2000658,1,100,'Inflicts 1 mental damage on target encounter instantly and every 6 seconds',0,1),
(127490,2000658,1,100,'Reduces non-damage hostile spell duration by 30%',0,2),
(127491,2000659,1,100,'Stifles target',0,0),
(127492,2000659,1,100,'Epic targets gain an immunity to Stifle effects of 12.0 seconds and duration is reduced to 1.3 seconds.',0,1),
(127493,2000659,1,100,'Resistibility increases against targets higher than level 29.',0,2),
(127494,120021,1,100,'Reduces Awareness of Enemies ',0,0),
(127495,120021,1,100,'If Target is not Epic',1,1),
(127496,120021,1,100,'Dispelled when target receives hostile action',0,2),
(127497,120021,1,100,'Dispelled when target takes damage',0,3),
(127498,280014,1,100,'Heals target for 85',0,0),
(127499,280014,2,100,'Heals target for 90',0,0),
(127500,280014,3,100,'Heals target for 95',0,0),
(127501,280014,4,100,'Heals target for 104',0,0),
(127502,280014,5,100,'Heals target for 113',0,0),
(127503,280014,7,100,'Heals target for 146',0,0),
(127504,280014,9,100,'Heals target for 151',0,0),
(127505,120022,1,100,'When any damage is received this spell will cast Vitae on target, which can be triggered up to 9 times across all targets.  ',0,0),
(127506,120022,1,100,'Heals target for 40 - 49',1,1),
(127507,120022,2,100,'When any damage is received this spell will cast Vitae on target, which can be triggered up to 9 times across all targets.  ',0,0),
(127508,120022,2,100,'Heals target for 42 - 51',1,1),
(127509,120022,3,100,'When any damage is received this spell will cast Vitae on target, which can be triggered up to 9 times across all targets.  ',0,0),
(127510,120022,3,100,'Heals target for 44 - 54',1,1),
(127511,120022,4,100,'When any damage is received this spell will cast Vitae on target, which can be triggered up to 9 times across all targets.  ',0,0),
(127512,120022,4,100,'Heals target for 49 - 59',1,1),
(127513,120022,5,100,'When any damage is received this spell will cast Vitae on target, which can be triggered up to 9 times across all targets.  ',0,0),
(127514,120022,5,100,'Heals target for 53 - 65',1,1),
(127515,120022,7,100,'When any damage is received this spell will cast Vitae on target, which can be triggered up to 9 times across all targets.  ',0,0),
(127516,120022,7,100,'Heals target for 68 - 83',1,1),
(127517,120022,9,100,'When any damage is received this spell will cast Vitae on target, which can be triggered up to 9 times across all targets.  ',0,0),
(127518,120022,9,100,'Heals target for 71 - 86',1,1),
(127519,120022,10,100,'When any damage is received this spell will cast Vitae on target, which can be triggered up to 9 times across all targets.  ',0,0),
(127520,120022,10,100,'Heals target for 74 - 91',1,1),
(127521,300167,5,100,'Heals target for 89 instantly and every 4 seconds',0,0),
(127522,300168,5,100,'Heals target for 89 instantly and every 4 seconds',0,0),
(127523,300169,5,100,'Heals target for 137 instantly and every 4 seconds',0,0),
(127524,300167,7,100,'Heals target for 115 instantly and every 4 seconds',0,0),
(127525,300168,7,100,'Heals target for 115 instantly and every 4 seconds',0,0),
(127526,300169,7,100,'Heals target for 176 instantly and every 4 seconds',0,0),
(127527,300168,9,100,'Heals target for 119 instantly and every 4 seconds',0,0),
(127528,300169,9,100,'Heals target for 183 instantly and every 4 seconds',0,0),
(127529,300167,9,100,'Heals target for 119 instantly and every 4 seconds',0,0),
(127530,300167,10,100,'Heals target for 125 instantly and every 4 seconds',0,0),
(127531,300169,10,100,'Heals target for 192 instantly and every 4 seconds',0,0),
(127532,200159,1,100,'Inflicts 15 - 19 divine damage on target instantly and every 3 seconds',0,0),
(127533,200159,1,100,'Increases power of caster by 17 instantly and every 3 seconds',0,1),
(127534,200159,2,100,'Inflicts 16 - 20 divine damage on target instantly and every 3 seconds',0,0),
(127535,200159,2,100,'Increases power of caster by 18 instantly and every 3 seconds',0,1),
(127536,200159,3,100,'Inflicts 17 - 21 divine damage on target instantly and every 3 seconds',0,0),
(127537,200159,3,100,'Increases power of caster by 19 instantly and every 3 seconds',0,1),
(127538,200159,4,100,'Inflicts 19 - 23 divine damage on target instantly and every 3 seconds',0,0),
(127539,200159,4,100,'Increases power of caster by 20 instantly and every 3 seconds',0,1),
(127540,200159,5,100,'Inflicts 20 - 25 divine damage on target instantly and every 3 seconds',0,0),
(127541,200159,5,100,'Increases power of caster by 22 instantly and every 3 seconds',0,1),
(127542,200159,7,100,'Inflicts 26 - 32 divine damage on target instantly and every 3 seconds',0,0),
(127543,200159,7,100,'Increases power of caster by 29 instantly and every 3 seconds',0,1),
(127544,200159,9,100,'Inflicts 27 - 33 divine damage on target instantly and every 3 seconds',0,0),
(127545,200159,9,100,'Increases power of caster by 30 instantly and every 3 seconds',0,1),
(127546,200160,1,100,'Inflicts 23 - 28 divine damage on target instantly and every 3 seconds',0,0),
(127547,200160,1,100,'Increases power of caster by 26 instantly and every 3 seconds',0,1),
(127548,200160,2,100,'Inflicts 24 - 29 divine damage on target instantly and every 3 seconds',0,0),
(127549,200160,2,100,'Increases power of caster by 27 instantly and every 3 seconds',0,1),
(127550,200160,3,100,'Inflicts 25 - 31 divine damage on target instantly and every 3 seconds',0,0),
(127551,200160,3,100,'Increases power of caster by 29 instantly and every 3 seconds',0,1),
(127552,200160,4,100,'Inflicts 28 - 34 divine damage on target instantly and every 3 seconds',0,0),
(127553,200160,4,100,'Increases power of caster by 31 instantly and every 3 seconds',0,1),
(127554,200160,5,100,'Inflicts 30 - 37 divine damage on target instantly and every 3 seconds',0,0),
(127555,200160,5,100,'Increases power of caster by 34 instantly and every 3 seconds',0,1),
(127556,200160,7,100,'Inflicts 39 - 47 divine damage on target instantly and every 3 seconds',0,0),
(127557,200160,7,100,'Increases power of caster by 44 instantly and every 3 seconds',0,1),
(127558,200160,9,100,'Inflicts 40 - 49 divine damage on target instantly and every 3 seconds',0,0),
(127559,200160,9,100,'Increases power of caster by 46 instantly and every 3 seconds',0,1),
(127560,200160,10,100,'Inflicts 42 - 52 divine damage on target instantly and every 3 seconds',0,0),
(127561,200160,10,100,'Increases power of caster by 48 instantly and every 3 seconds',0,1),
(127562,200161,1,100,'Inflicts 27 - 34 divine damage on target instantly and every 3 seconds',0,0),
(127563,200161,1,100,'Increases power of caster by 34 instantly and every 3 seconds',0,1),
(127564,200161,4,100,'Inflicts 34 - 41 divine damage on target instantly and every 3 seconds',0,0),
(127565,200161,4,100,'Increases power of caster by 41 instantly and every 3 seconds',0,1),
(127566,200161,5,100,'Inflicts 37 - 45 divine damage on target instantly and every 3 seconds',0,0),
(127567,200161,5,100,'Increases power of caster by 45 instantly and every 3 seconds',0,1),
(127568,200161,7,100,'Inflicts 47 - 57 divine damage on target instantly and every 3 seconds',0,0),
(127569,200161,7,100,'Increases power of caster by 58 instantly and every 3 seconds',0,1),
(127570,200161,9,100,'Inflicts 49 - 60 divine damage on target instantly and every 3 seconds',0,0),
(127571,200161,9,100,'Increases power of caster by 60 instantly and every 3 seconds',0,1),
(127572,200161,10,100,'Inflicts 51 - 63 divine damage on target instantly and every 3 seconds',0,0),
(127573,200161,10,100,'Increases power of caster by 63 instantly and every 3 seconds',0,1),
(127574,200162,1,100,'Inflicts 32 - 39 divine damage on target instantly and every 3 seconds',0,0),
(127575,200162,1,100,'Increases power of caster by 39 instantly and every 3 seconds',0,1),
(127576,200162,4,100,'Inflicts 39 - 48 divine damage on target instantly and every 3 seconds',0,0),
(127577,200162,4,100,'Increases power of caster by 48 instantly and every 3 seconds',0,1),
(127578,200162,5,100,'Inflicts 43 - 52 divine damage on target instantly and every 3 seconds',0,0),
(127579,200162,5,100,'Increases power of caster by 52 instantly and every 3 seconds',0,1),
(127580,200162,7,100,'Inflicts 55 - 67 divine damage on target instantly and every 3 seconds',0,0),
(127581,200162,7,100,'Increases power of caster by 67 instantly and every 3 seconds',0,1),
(127582,200162,9,100,'Inflicts 57 - 70 divine damage on target instantly and every 3 seconds',0,0),
(127583,200162,9,100,'Increases power of caster by 69 instantly and every 3 seconds',0,1),
(127584,200162,10,100,'Inflicts 60 - 73 divine damage on target instantly and every 3 seconds',0,0),
(127585,200162,10,100,'Increases power of caster by 73 instantly and every 3 seconds',0,1),
(127586,2000660,1,100,'Wards target ally from as much damage as was sacrificed by the caster',0,0),
(127587,2000660,1,100,'If at 10% Health or greater',0,1),
(127588,2000660,1,100,'Must be engaged in combat',0,2),
(127589,2000661,1,100,'Applies Soulburn.',0,0),
(127590,2000661,1,100,'Inflicts 9049 - 18793 magic damage on target',1,1),
(127591,2000661,1,100,'Consumes most of the pet''s health',1,2),
(127592,2000661,1,100,'This spell takes the pet 2.5 seconds to cast',1,3),
(127593,2000661,1,100,'Inflicts 150% of the consumed health as instant damage on the pet''s target',1,4),
(127594,2000661,1,100,'Must be engaged in combat',1,5),
(127595,2000661,1,100,'Cannot be modified except by direct means',1,6),
(127596,2000662,1,100,'On a death blow this spell will cast Soulclaim on target.  Lasts for 45.0 seconds.  ',0,0),
(127597,2000662,1,100,'Increases power of group members (AE) by 6.0%',1,1),
(127598,2000662,1,100,'This effect cannot be critically applied.',2,2),
(127599,2000662,1,100,'This effect stacks with itself',1,3),
(127600,2000662,1,100,'Increases the group''s Crit Bonus by 1 for every 3000 strength of the crusader',1,4),
(127601,300170,1,100,'Inflicts 2 disease damage on target instantly and every second',0,0),
(127602,300170,2,100,'Inflicts 2 disease damage on target instantly and every second',0,0),
(127603,300170,3,100,'Inflicts 2 - 3 disease damage on target instantly and every second',0,0),
(127604,300170,4,100,'Inflicts 2 - 3 disease damage on target instantly and every second',0,0),
(127605,300170,5,100,'Inflicts 2 - 3 disease damage on target instantly and every second',0,0),
(127606,300170,7,100,'Inflicts 3 - 4 disease damage on target instantly and every second',0,0),
(127607,300170,9,100,'Inflicts 3 - 4 disease damage on target instantly and every second',0,0),
(127608,300171,1,100,'Inflicts 4 - 6 disease damage on target instantly and every second',0,0),
(127609,300171,2,100,'Inflicts 4 - 6 disease damage on target instantly and every second',0,0),
(127610,300171,3,100,'Inflicts 5 - 6 disease damage on target instantly and every second',0,0),
(127611,300171,4,100,'Inflicts 5 - 7 disease damage on target instantly and every second',0,0),
(127612,300171,5,100,'Inflicts 5 - 7 disease damage on target instantly and every second',0,0),
(127613,300171,7,100,'Inflicts 7 - 10 disease damage on target instantly and every second',0,0),
(127614,300171,9,100,'Inflicts 7 - 10 disease damage on target instantly and every second',0,0),
(127615,300172,1,100,'Inflicts 8 - 11 disease damage on target instantly and every second',0,0),
(127616,300172,2,100,'Inflicts 8 - 11 disease damage on target instantly and every second',0,0),
(127617,300172,3,100,'Inflicts 9 - 12 disease damage on target instantly and every second',0,0),
(127618,300172,4,100,'Inflicts 10 - 13 disease damage on target instantly and every second',0,0),
(127619,300172,5,100,'Inflicts 11 - 14 disease damage on target instantly and every second',0,0),
(127620,300172,7,100,'Inflicts 14 - 18 disease damage on target instantly and every second',0,0),
(127621,300172,9,100,'Inflicts 14 - 19 disease damage on target instantly and every second',0,0),
(127622,300172,10,100,'Inflicts 15 - 20 disease damage on target instantly and every second',0,0),
(127623,300173,1,100,'Inflicts 13 - 18 disease damage on target instantly and every second',0,0),
(127624,300173,2,100,'Inflicts 14 - 19 disease damage on target instantly and every second',0,0),
(127625,300173,3,100,'Inflicts 15 - 20 disease damage on target instantly and every second',0,0),
(127626,300173,4,100,'Inflicts 16 - 22 disease damage on target instantly and every second',0,0),
(127627,300173,5,100,'Inflicts 17 - 24 disease damage on target instantly and every second',0,0),
(127628,300173,7,100,'Inflicts 22 - 30 disease damage on target instantly and every second',0,0),
(127629,300173,9,100,'Inflicts 23 - 32 disease damage on target instantly and every second',0,0),
(127630,300174,1,100,'Inflicts 71 - 96 disease damage on target instantly and every second',0,0),
(127631,300174,4,100,'Inflicts 87 - 118 disease damage on target instantly and every second',0,0),
(127632,300174,5,100,'Inflicts 95 - 128 disease damage on target instantly and every second',0,0),
(127633,300174,7,100,'Inflicts 122 - 165 disease damage on target instantly and every second',0,0),
(127634,300174,9,100,'Inflicts 127 - 171 disease damage on target instantly and every second',0,0),
(127635,300175,1,100,'Inflicts 20 - 27 disease damage on target instantly and every second',0,0),
(127636,300175,2,100,'Inflicts 21 - 29 disease damage on target instantly and every second',0,0),
(127637,300175,3,100,'Inflicts 22 - 30 disease damage on target instantly and every second',0,0),
(127638,300175,4,100,'Inflicts 25 - 33 disease damage on target instantly and every second',0,0),
(127639,300175,5,100,'Inflicts 27 - 36 disease damage on target instantly and every second',0,0),
(127640,300175,7,100,'Inflicts 34 - 46 disease damage on target instantly and every second',0,0),
(127641,300175,9,100,'Inflicts 36 - 48 disease damage on target instantly and every second',0,0),
(127642,300176,1,100,'Inflicts 31 - 43 disease damage on target instantly and every second',0,0),
(127643,300176,2,100,'Inflicts 33 - 45 disease damage on target instantly and every second',0,0),
(127644,300176,3,100,'Inflicts 35 - 47 disease damage on target instantly and every second',0,0),
(127645,300176,4,100,'Inflicts 38 - 52 disease damage on target instantly and every second',0,0),
(127646,300176,5,100,'Inflicts 42 - 57 disease damage on target instantly and every second',0,0),
(127647,300176,7,100,'Inflicts 54 - 73 disease damage on target instantly and every second',0,0),
(127648,300176,9,100,'Inflicts 56 - 76 disease damage on target instantly and every second',0,0),
(127649,300177,1,100,'Inflicts 45 - 61 disease damage on target instantly and every second',0,0),
(127650,300177,2,100,'Inflicts 47 - 64 disease damage on target instantly and every second',0,0),
(127651,300177,3,100,'Inflicts 50 - 68 disease damage on target instantly and every second',0,0),
(127652,300177,4,100,'Inflicts 55 - 74 disease damage on target instantly and every second',0,0),
(127653,300177,5,100,'Inflicts 60 - 81 disease damage on target instantly and every second',0,0),
(127654,300177,7,100,'Inflicts 77 - 104 disease damage on target instantly and every second',0,0),
(127655,300177,9,100,'Inflicts 80 - 108 disease damage on target instantly and every second',0,0),
(127656,300178,1,100,'Inflicts 59 - 79 disease damage on target instantly and every second',0,0),
(127657,300178,2,100,'Inflicts 62 - 84 disease damage on target instantly and every second',0,0),
(127658,300178,3,100,'Inflicts 65 - 88 disease damage on target instantly and every second',0,0),
(127659,300178,4,100,'Inflicts 72 - 97 disease damage on target instantly and every second',0,0),
(127660,300178,5,100,'Inflicts 78 - 106 disease damage on target instantly and every second',0,0),
(127661,300178,7,100,'Inflicts 101 - 136 disease damage on target instantly and every second',0,0),
(127662,300178,9,100,'Inflicts 104 - 141 disease damage on target instantly and every second',0,0),
(127663,300179,1,100,'Inflicts 84 - 114 disease damage on target instantly and every second',0,0),
(127664,300179,4,100,'Inflicts 103 - 140 disease damage on target instantly and every second',0,0),
(127665,300179,5,100,'Inflicts 113 - 152 disease damage on target instantly and every second',0,0),
(127666,300179,7,100,'Inflicts 144 - 195 disease damage on target instantly and every second',0,0),
(127667,300179,9,100,'Inflicts 150 - 203 disease damage on target instantly and every second',0,0),
(127668,180009,1,100,'Wards target against 140 points of all damage',0,0),
(127669,180009,2,100,'Wards target against 148 points of all damage',0,0),
(127670,180009,3,100,'Wards target against 156 points of all damage',0,0),
(127671,180009,4,100,'Wards target against 171 points of all damage',0,0),
(127672,180009,5,100,'Wards target against 187 points of all damage',0,0),
(127673,180009,7,100,'Wards target against 240 points of all damage',0,0),
(127674,180009,9,100,'Wards target against 249 points of all damage',0,0),
(127675,180009,10,100,'Wards target against 262 points of all damage',0,0),
(127676,260166,1,100,'Inflicts 73 - 89 mental damage on target',0,0),
(127677,260166,1,100,'Stifles target',0,1),
(127678,260166,1,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,2),
(127679,260166,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(127680,260166,2,100,'Inflicts 77 - 94 mental damage on target',0,0),
(127681,260166,2,100,'Stifles target',0,1),
(127682,260166,2,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,2),
(127683,260166,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(127684,260166,3,100,'Inflicts 81 - 99 mental damage on target',0,0),
(127685,260166,3,100,'Stifles target',0,1),
(127686,260166,3,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,2),
(127687,260166,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(127688,260166,4,100,'Inflicts 89 - 109 mental damage on target',0,0),
(127689,260166,4,100,'Stifles target',0,1),
(127690,260166,4,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,2),
(127691,260166,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(127692,260166,5,100,'Inflicts 97 - 119 mental damage on target',0,0),
(127693,260166,5,100,'Stifles target',0,1),
(127694,260166,5,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,2),
(127695,260166,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(127696,260166,7,100,'Inflicts 125 - 153 mental damage on target',0,0),
(127697,260166,7,100,'Stifles target',0,1),
(127698,260166,7,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,2),
(127699,260166,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(127700,260166,9,100,'Inflicts 130 - 159 mental damage on target',0,0),
(127701,260166,9,100,'Stifles target',0,1),
(127702,260166,9,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,2),
(127703,260166,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(127704,260167,1,100,'Inflicts 145 - 177 mental damage on target',0,0),
(127705,260167,1,100,'Stifles target',0,1),
(127706,260167,1,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,2),
(127707,260167,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(127708,260167,2,100,'Inflicts 153 - 186 mental damage on target',0,0),
(127709,260167,2,100,'Stifles target',0,1),
(127710,260167,2,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,2),
(127711,260167,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(127712,260167,3,100,'Inflicts 161 - 196 mental damage on target',0,0),
(127713,260167,3,100,'Stifles target',0,1),
(127714,260167,3,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,2),
(127715,260167,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(127716,260167,4,100,'Inflicts 177 - 216 mental damage on target',0,0),
(127717,260167,4,100,'Stifles target',0,1),
(127718,260167,4,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,2),
(127719,260167,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(127720,260167,5,100,'Inflicts 193 - 235 mental damage on target',0,0),
(127721,260167,5,100,'Stifles target',0,1),
(127722,260167,5,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,2),
(127723,260167,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(127724,260167,7,100,'Inflicts 247 - 302 mental damage on target',0,0),
(127725,260167,7,100,'Stifles target',0,1),
(127726,260167,7,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,2),
(127727,260167,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(127728,260167,9,100,'Inflicts 257 - 314 mental damage on target',0,0),
(127729,260167,9,100,'Stifles target',0,1),
(127730,260167,9,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,2),
(127731,260167,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(127732,260168,1,100,'Inflicts 225 - 275 mental damage on target',0,0),
(127733,260168,1,100,'Stifles target',0,1),
(127734,260168,1,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,2),
(127735,260168,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(127736,260168,2,100,'Inflicts 237 - 290 mental damage on target',0,0),
(127737,260168,2,100,'Stifles target',0,1),
(127738,260168,2,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,2),
(127739,260168,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(127740,260168,3,100,'Inflicts 250 - 305 mental damage on target',0,0),
(127741,260168,3,100,'Stifles target',0,1),
(127742,260168,3,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,2),
(127743,260168,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(127744,260168,4,100,'Inflicts 275 - 336 mental damage on target',0,0),
(127745,260168,4,100,'Stifles target',0,1),
(127746,260168,4,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,2),
(127747,260168,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(127748,260168,5,100,'Inflicts 300 - 366 mental damage on target',0,0),
(127749,260168,5,100,'Stifles target',0,1),
(127750,260168,5,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,2),
(127751,260168,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(127752,260168,7,100,'Inflicts 385 - 470 mental damage on target',0,0),
(127753,260168,7,100,'Stifles target',0,1),
(127754,260168,7,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,2),
(127755,260168,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(127756,260168,9,100,'Inflicts 400 - 489 mental damage on target',0,0),
(127757,260168,9,100,'Stifles target',0,1),
(127758,260168,9,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,2),
(127759,260168,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(127760,260169,1,100,'Inflicts 319 - 389 mental damage on target',0,0),
(127761,260169,1,100,'Stifles target',0,1),
(127762,260169,1,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,2),
(127763,260169,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(127764,260169,2,100,'Inflicts 336 - 411 mental damage on target',0,0),
(127765,260169,2,100,'Stifles target',0,1),
(127766,260169,2,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,2),
(127767,260169,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(127768,260169,3,100,'Inflicts 354 - 433 mental damage on target',0,0),
(127769,260169,3,100,'Stifles target',0,1),
(127770,260169,3,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,2),
(127771,260169,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(127772,260169,4,100,'Inflicts 389 - 476 mental damage on target',0,0),
(127773,260169,4,100,'Stifles target',0,1),
(127774,260169,4,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,2),
(127775,260169,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(127776,260169,5,100,'Inflicts 425 - 519 mental damage on target',0,0),
(127777,260169,5,100,'Stifles target',0,1),
(127778,260169,5,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,2),
(127779,260169,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(127780,260169,7,100,'Inflicts 545 - 666 mental damage on target',0,0),
(127781,260169,7,100,'Stifles target',0,1),
(127782,260169,7,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,2),
(127783,260169,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(127784,260169,9,100,'Inflicts 566 - 692 mental damage on target',0,0),
(127785,260169,9,100,'Stifles target',0,1),
(127786,260169,9,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,2),
(127787,260169,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(127788,260170,1,100,'Inflicts 416 - 508 mental damage on target',0,0),
(127789,260170,1,100,'Stifles target',0,1),
(127790,260170,1,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,2),
(127791,260170,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(127792,260170,2,100,'Inflicts 439 - 536 mental damage on target',0,0),
(127793,260170,2,100,'Stifles target',0,1),
(127794,260170,2,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,2),
(127795,260170,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(127796,260170,3,100,'Inflicts 462 - 565 mental damage on target',0,0),
(127797,260170,3,100,'Stifles target',0,1),
(127798,260170,3,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,2),
(127799,260170,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(127800,260170,4,100,'Inflicts 508 - 621 mental damage on target',0,0),
(127801,260170,4,100,'Stifles target',0,1),
(127802,260170,4,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,2),
(127803,260170,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(127804,260170,5,100,'Inflicts 554 - 678 mental damage on target',0,0),
(127805,260170,5,100,'Stifles target',0,1),
(127806,260170,5,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,2),
(127807,260170,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(127808,260170,7,100,'Inflicts 711 - 870 mental damage on target',0,0),
(127809,260170,7,100,'Stifles target',0,1),
(127810,260170,7,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,2),
(127811,260170,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(127812,260170,9,100,'Inflicts 739 - 903 mental damage on target',0,0),
(127813,260170,9,100,'Stifles target',0,1),
(127814,260170,9,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,2),
(127815,260170,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(127816,260171,1,100,'Inflicts 503 - 615 mental damage on target',0,0),
(127817,260171,1,100,'Stifles target',0,1),
(127818,260171,1,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,2),
(127819,260171,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(127820,260171,4,100,'Inflicts 615 - 752 mental damage on target',0,0),
(127821,260171,4,100,'Stifles target',0,1),
(127822,260171,4,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,2),
(127823,260171,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(127824,260171,5,100,'Inflicts 671 - 820 mental damage on target',0,0),
(127825,260171,5,100,'Stifles target',0,1),
(127826,260171,5,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,2),
(127827,260171,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(127828,260171,7,100,'Inflicts 861 - 1052 mental damage on target',0,0),
(127829,260171,7,100,'Stifles target',0,1),
(127830,260171,7,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,2),
(127831,260171,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(127832,260171,9,100,'Inflicts 895 - 1093 mental damage on target',0,0),
(127833,260171,9,100,'Stifles target',0,1),
(127834,260171,9,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,2),
(127835,260171,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(127836,260171,10,100,'Inflicts 939 - 1148 mental damage on target',0,0),
(127837,260171,10,100,'Stifles target',0,1),
(127838,260171,10,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,2),
(127839,260171,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(127840,260172,1,100,'Inflicts 589 - 720 mental damage on target',0,0),
(127841,260172,1,100,'Stifles target',0,1),
(127842,260172,1,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,2),
(127843,260172,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(127844,260172,4,100,'Inflicts 720 - 880 mental damage on target',0,0),
(127845,260172,4,100,'Stifles target',0,1),
(127846,260172,4,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,2),
(127847,260172,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(127848,260172,5,100,'Inflicts 785 - 960 mental damage on target',0,0),
(127849,260172,5,100,'Stifles target',0,1),
(127850,260172,5,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,2),
(127851,260172,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(127852,260172,7,100,'Inflicts 1008 - 1232 mental damage on target',0,0),
(127853,260172,7,100,'Stifles target',0,1),
(127854,260172,7,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,2),
(127855,260172,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(127856,260172,9,100,'Inflicts 1047 - 1280 mental damage on target',0,0),
(127857,260172,9,100,'Stifles target',0,1),
(127858,260172,9,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,2),
(127859,260172,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(127860,260172,10,100,'Inflicts 1099 - 1344 mental damage on target',0,0),
(127861,260172,10,100,'Stifles target',0,1),
(127862,260172,10,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,2),
(127863,260172,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(127864,270166,1,100,'When damaged with a spell this spell will cast Lash on target.  ',0,0),
(127865,270166,1,100,'Inflicts 126 - 154 mental damage on target',1,1),
(127866,270166,1,100,'Grants a total of 3 triggers of the spell.',1,2),
(127867,270166,2,100,'When damaged with a spell this spell will cast Lash on target.  ',0,0),
(127868,270166,2,100,'Inflicts 133 - 163 mental damage on target',1,1),
(127869,270166,2,100,'Grants a total of 3 triggers of the spell.',1,2),
(127870,270166,3,100,'When damaged with a spell this spell will cast Lash on target.  ',0,0),
(127871,270166,3,100,'Inflicts 140 - 171 mental damage on target',1,1),
(127872,270166,3,100,'Grants a total of 3 triggers of the spell.',1,2),
(127873,270166,4,100,'When damaged with a spell this spell will cast Lash on target.  ',0,0),
(127874,270166,4,100,'Inflicts 154 - 188 mental damage on target',1,1),
(127875,270166,4,100,'Grants a total of 3 triggers of the spell.',1,2),
(127876,270166,5,100,'When damaged with a spell this spell will cast Lash on target.  ',0,0),
(127877,270166,5,100,'Inflicts 168 - 205 mental damage on target',1,1),
(127878,270166,5,100,'Grants a total of 3 triggers of the spell.',1,2),
(127879,270166,7,100,'When damaged with a spell this spell will cast Lash on target.  ',0,0),
(127880,270166,7,100,'Inflicts 216 - 264 mental damage on target',1,1),
(127881,270166,7,100,'Grants a total of 3 triggers of the spell.',1,2),
(127882,270166,9,100,'When damaged with a spell this spell will cast Lash on target.  ',0,0),
(127883,270166,9,100,'Inflicts 224 - 274 mental damage on target',1,1),
(127884,270166,9,100,'Grants a total of 3 triggers of the spell.',1,2),
(127885,270166,10,100,'When damaged with a spell this spell will cast Lash on target.  ',0,0),
(127886,270166,10,100,'Inflicts 235 - 288 mental damage on target',1,1),
(127887,270166,10,100,'Grants a total of 3 triggers of the spell.',1,2),
(127888,270167,1,100,'When damaged with a spell this spell will cast Lash on target.  ',0,0),
(127889,270167,1,100,'Inflicts 186 - 227 mental damage on target',1,1),
(127890,270167,1,100,'Grants a total of 3 triggers of the spell.',1,2),
(127891,270167,2,100,'When damaged with a spell this spell will cast Lash on target.  ',0,0),
(127892,270167,2,100,'Inflicts 196 - 240 mental damage on target',1,1),
(127893,270167,2,100,'Grants a total of 3 triggers of the spell.',1,2),
(127894,270167,3,100,'When damaged with a spell this spell will cast Lash on target.  ',0,0),
(127895,270167,3,100,'Inflicts 206 - 252 mental damage on target',1,1),
(127896,270167,3,100,'Grants a total of 3 triggers of the spell.',1,2),
(127897,270167,4,100,'When damaged with a spell this spell will cast Lash on target.  ',0,0),
(127898,270167,4,100,'Inflicts 227 - 277 mental damage on target',1,1),
(127899,270167,4,100,'Grants a total of 3 triggers of the spell.',1,2),
(127900,270167,5,100,'When damaged with a spell this spell will cast Lash on target.  ',0,0),
(127901,270167,5,100,'Inflicts 248 - 303 mental damage on target',1,1),
(127902,270167,5,100,'Grants a total of 3 triggers of the spell.',1,2),
(127903,270167,7,100,'When damaged with a spell this spell will cast Lash on target.  ',0,0),
(127904,270167,7,100,'Inflicts 318 - 388 mental damage on target',1,1),
(127905,270167,7,100,'Grants a total of 3 triggers of the spell.',1,2),
(127906,270167,9,100,'When damaged with a spell this spell will cast Lash on target.  ',0,0),
(127907,270167,9,100,'Inflicts 330 - 403 mental damage on target',1,1),
(127908,270167,9,100,'Grants a total of 3 triggers of the spell.',1,2),
(127909,270168,1,100,'When damaged with a spell this spell will cast Lash on target.  ',0,0),
(127910,270168,1,100,'Inflicts 245 - 300 mental damage on target',1,1),
(127911,270168,1,100,'Grants a total of 3 triggers of the spell.',1,2),
(127912,270168,2,100,'When damaged with a spell this spell will cast Lash on target.  ',0,0),
(127913,270168,2,100,'Inflicts 259 - 316 mental damage on target',1,1),
(127914,270168,2,100,'Grants a total of 3 triggers of the spell.',1,2),
(127915,270168,3,100,'When damaged with a spell this spell will cast Lash on target.  ',0,0),
(127916,270168,3,100,'Inflicts 273 - 333 mental damage on target',1,1),
(127917,270168,3,100,'Grants a total of 3 triggers of the spell.',1,2),
(127918,270168,4,100,'When damaged with a spell this spell will cast Lash on target.  ',0,0),
(127919,270168,4,100,'Inflicts 300 - 366 mental damage on target',1,1),
(127920,270168,4,100,'Grants a total of 3 triggers of the spell.',1,2),
(127921,270168,5,100,'When damaged with a spell this spell will cast Lash on target.  ',0,0),
(127922,270168,5,100,'Inflicts 327 - 400 mental damage on target',1,1),
(127923,270168,5,100,'Grants a total of 3 triggers of the spell.',1,2),
(127924,270168,7,100,'When damaged with a spell this spell will cast Lash on target.  ',0,0),
(127925,270168,7,100,'Inflicts 420 - 513 mental damage on target',1,1),
(127926,270168,7,100,'Grants a total of 3 triggers of the spell.',1,2),
(127927,270168,9,100,'When damaged with a spell this spell will cast Lash on target.  ',0,0),
(127928,270168,9,100,'Inflicts 436 - 533 mental damage on target',1,1),
(127929,270168,9,100,'Grants a total of 3 triggers of the spell.',1,2),
(127930,270169,1,100,'When damaged with a spell this spell will cast Lash on target.  ',0,0),
(127931,270169,1,100,'Inflicts 297 - 363 mental damage on target',1,1),
(127932,270169,1,100,'Grants a total of 3 triggers of the spell.',1,2),
(127933,270169,2,100,'When damaged with a spell this spell will cast Lash on target.  ',0,0),
(127934,270169,2,100,'Inflicts 313 - 383 mental damage on target',1,1),
(127935,270169,2,100,'Grants a total of 3 triggers of the spell.',1,2),
(127936,270169,3,100,'When damaged with a spell this spell will cast Lash on target.  ',0,0),
(127937,270169,3,100,'Inflicts 330 - 403 mental damage on target',1,1),
(127938,270169,3,100,'Grants a total of 3 triggers of the spell.',1,2),
(127939,270169,4,100,'When damaged with a spell this spell will cast Lash on target.  ',0,0),
(127940,270169,4,100,'Inflicts 363 - 444 mental damage on target',1,1),
(127941,270169,4,100,'Grants a total of 3 triggers of the spell.',1,2),
(127942,270169,5,100,'When damaged with a spell this spell will cast Lash on target.  ',0,0),
(127943,270169,5,100,'Inflicts 396 - 484 mental damage on target',1,1),
(127944,270169,5,100,'Grants a total of 3 triggers of the spell.',1,2),
(127945,270169,7,100,'When damaged with a spell this spell will cast Lash on target.  ',0,0),
(127946,270169,7,100,'Inflicts 508 - 621 mental damage on target',1,1),
(127947,270169,7,100,'Grants a total of 3 triggers of the spell.',1,2),
(127948,270169,9,100,'When damaged with a spell this spell will cast Lash on target.  ',0,0),
(127949,270169,9,100,'Inflicts 528 - 645 mental damage on target',1,1),
(127950,270169,9,100,'Grants a total of 3 triggers of the spell.',1,2),
(127951,270170,1,100,'When damaged with a spell this spell will cast Lash on target.  ',0,0),
(127952,270170,1,100,'Inflicts 358 - 437 mental damage on target',1,1),
(127953,270170,1,100,'Grants a total of 3 triggers of the spell.',1,2),
(127954,270170,4,100,'When damaged with a spell this spell will cast Lash on target.  ',0,0),
(127955,270170,4,100,'Inflicts 437 - 534 mental damage on target',1,1),
(127956,270170,4,100,'Grants a total of 3 triggers of the spell.',1,2),
(127957,270170,5,100,'When damaged with a spell this spell will cast Lash on target.  ',0,0),
(127958,270170,5,100,'Inflicts 477 - 583 mental damage on target',1,1),
(127959,270170,5,100,'Grants a total of 3 triggers of the spell.',1,2),
(127960,270170,7,100,'When damaged with a spell this spell will cast Lash on target.  ',0,0),
(127961,270170,7,100,'Inflicts 612 - 748 mental damage on target',1,1),
(127962,270170,7,100,'Grants a total of 3 triggers of the spell.',1,2),
(127963,270170,9,100,'When damaged with a spell this spell will cast Lash on target.  ',0,0),
(127964,270170,9,100,'Inflicts 636 - 777 mental damage on target',1,1),
(127965,270170,9,100,'Grants a total of 3 triggers of the spell.',1,2),
(127966,270171,1,100,'When damaged with a spell this spell will cast Lash on target.  ',0,0),
(127967,270171,1,100,'Inflicts 388 - 475 mental damage on target',1,1),
(127968,270171,1,100,'Grants a total of 3 triggers of the spell.',1,2),
(127969,270171,4,100,'When damaged with a spell this spell will cast Lash on target.  ',0,0),
(127970,270171,4,100,'Inflicts 475 - 580 mental damage on target',1,1),
(127971,270171,4,100,'Grants a total of 3 triggers of the spell.',1,2),
(127972,270171,5,100,'When damaged with a spell this spell will cast Lash on target.  ',0,0),
(127973,270171,5,100,'Inflicts 518 - 633 mental damage on target',1,1),
(127974,270171,5,100,'Grants a total of 3 triggers of the spell.',1,2),
(127975,270171,7,100,'When damaged with a spell this spell will cast Lash on target.  ',0,0),
(127976,270171,7,100,'Inflicts 664 - 812 mental damage on target',1,1),
(127977,270171,7,100,'Grants a total of 3 triggers of the spell.',1,2),
(127978,270171,9,100,'When damaged with a spell this spell will cast Lash on target.  ',0,0),
(127979,270171,9,100,'Inflicts 690 - 844 mental damage on target',1,1),
(127980,270171,9,100,'Grants a total of 3 triggers of the spell.',1,2),
(127981,2000663,1,100,'Increases potency by 25% of the caster''s base potency',0,0),
(127982,260173,1,100,'When damaged this spell will cast Shock of Mana on target''s attacker.  ',0,0),
(127983,260173,2,100,'When damaged this spell will cast Shock of Mana on target''s attacker.  ',0,0),
(127984,260173,3,100,'When damaged this spell will cast Shock of Mana on target''s attacker.  ',0,0),
(127985,260173,4,100,'When damaged this spell will cast Shock of Mana on target''s attacker.  ',0,0),
(127986,260173,5,100,'When damaged this spell will cast Shock of Mana on target''s attacker.  ',0,0),
(127987,260173,7,100,'When damaged this spell will cast Shock of Mana on target''s attacker.  ',0,0),
(127988,260173,9,100,'When damaged this spell will cast Shock of Mana on target''s attacker.  ',0,0),
(127989,2000664,1,100,'Inflicts 3 - 4 piercing damage on target',0,0),
(127990,2000665,1,100,'Wards group members (AE) against 20 points of all damage',0,0),
(127991,2000666,1,100,'Resurrects target with 40% health and power',0,0),
(127992,180010,1,100,'Summon 1 Spirit Guide',0,0),
(127993,180010,1,100,'This effect cannot be cast during combat',0,1),
(127994,190139,12,100,'When a group member inflicts damage, that damage is converted into a heal and power restore for the Mystic''s group.  If the caster enters PVP combat, the duration of this effect will be reduced.',0,0),
(127996,180011,1,100,'Increases Mitigation of group members (AE) vs physical damage by \r\n549',0,0),
(127998,180011,2,100,'Increases Mitigation of group members (AE) vs physical damage by \r\n581',0,0),
(128000,180011,3,100,'Increases Mitigation of group members (AE) vs physical damage by \r\n612',0,0),
(128002,180011,4,100,'Increases Mitigation of group members (AE) vs physical damage by \r\n673',0,0),
(128004,180011,5,100,'Increases Mitigation of group members (AE) vs physical damage by \r\n734',0,0),
(128006,180011,7,100,'Increases Mitigation of group members (AE) vs physical damage by \r\n856',0,0),
(128008,180011,9,100,'Increases Mitigation of group members (AE) vs physical damage by \r\n979',0,0),
(128009,150010,1,100,'Increases AGI of target by 12.1',0,0),
(128010,150010,1,100,'Adds 0.5% to base avoidance.',0,1),
(128011,150010,1,100,'Increases Combat Power Regen of target by 6.1',0,2),
(128012,150010,1,100,'Increases Max Power of target by 74.2',0,3),
(128013,150010,2,100,'Increases AGI of target by 12.8',0,0),
(128014,150010,2,100,'Adds 0.6% to base avoidance.',0,1),
(128015,150010,2,100,'Increases Combat Power Regen of target by 6.4',0,2),
(128016,150010,2,100,'Increases Max Power of target by 78.4',0,3),
(128017,150010,3,100,'Increases AGI of target by 13.5',0,0),
(128018,150010,3,100,'Adds 0.6% to base avoidance.',0,1),
(128019,150010,3,100,'Increases Combat Power Regen of target by 6.7',0,2),
(128020,150010,3,100,'Increases Max Power of target by 82.5',0,3),
(128021,150010,4,100,'Increases AGI of target by 14.9',0,0),
(128022,150010,4,100,'Adds 0.7% to base avoidance.',0,1),
(128023,150010,4,100,'Increases In-Combat Power Regeneration of target by 7.4',0,2),
(128024,150010,4,100,'Increases Max Power of target by 90.7',0,3),
(128025,150010,5,100,'Increases AGI of target by 16.2',0,0),
(128026,150010,5,100,'Adds 0.7% to base avoidance.',0,1),
(128027,150010,5,100,'Increases Combat Power Regen of target by 8.1',0,2),
(128028,150010,5,100,'Increases Max Power of target by 99.0',0,3),
(128029,150010,7,100,'Increases AGI of target by 20.8',0,0),
(128030,150010,7,100,'Adds 0.9% to base avoidance.',0,1),
(128031,150010,7,100,'Increases Combat Power Regen of target by 10.4',0,2),
(128032,150010,7,100,'Increases Max Power of target by 127.0',0,3),
(128033,150010,9,100,'Increases AGI of target by 21.6',0,0),
(128034,150010,9,100,'Adds 1.0% to base avoidance.',0,1),
(128035,150010,9,100,'Increases Combat Power Regen of target by 10.8',0,2),
(128036,150010,9,100,'Increases Max Power of target by 132.0',0,3),
(128037,150011,1,100,'Increases AGI of target by 18.6',0,0),
(128038,150011,1,100,'Adds 0.5% to base avoidance.',0,1),
(128039,150011,1,100,'Increases Combat Power Regen of target by 10.1',0,2),
(128040,150011,1,100,'Increases Max Power of target by 123.5',0,3),
(128041,150011,2,100,'Increases AGI of target by 19.7',0,0),
(128042,150011,2,100,'Adds 0.6% to base avoidance.',0,1),
(128043,150011,2,100,'Increases Combat Power Regen of target by 10.7',0,2),
(128044,150011,2,100,'Increases Max Power of target by 130.4',0,3),
(128045,150011,3,100,'Increases AGI of target by 20.7',0,0),
(128046,150011,3,100,'Adds 0.6% to base avoidance.',0,1),
(128047,150011,3,100,'Increases Combat Power Regen of target by 11.3',0,2),
(128048,150011,3,100,'Increases Max Power of target by 137.3',0,3),
(128049,150011,4,100,'Increases AGI of target by 22.8',0,0),
(128050,150011,4,100,'Adds 0.7% to base avoidance.',0,1),
(128051,150011,4,100,'Increases Combat Power Regen of target by 12.4',0,2),
(128052,150011,4,100,'Increases Max Power of target by 151.0',0,3),
(128053,150011,5,100,'Increases AGI of target by 24.8',0,0),
(128054,150011,5,100,'Adds 0.7% to base avoidance.',0,1),
(128055,150011,5,100,'Increases Combat Power Regen of target by 13.5',0,2),
(128056,150011,5,100,'Increases Max Power of target by 164.7',0,3),
(128057,150011,7,100,'Increases AGI of target by 31.9',0,0),
(128058,150011,7,100,'Adds 0.9% to base avoidance.',0,1),
(128059,150011,7,100,'Increases Combat Power Regen of target by 17.3',0,2),
(128060,150011,7,100,'Increases Max Power of target by 211.4',0,3),
(128061,150011,9,100,'Increases AGI of target by 33.1',0,0),
(128062,150011,9,100,'Adds 1.0% to base avoidance.',0,1),
(128063,150011,9,100,'Increases Combat Power Regen of target by 18.0',0,2),
(128064,150011,9,100,'Increases Max Power of target by 219.6',0,3),
(128065,150012,1,100,'Increases AGI of target by 25.2',0,0),
(128066,150012,1,100,'Adds 0.5% to base avoidance.',0,1),
(128067,150012,1,100,'Increases Combat Power Regen of target by 14.3',0,2),
(128068,150012,1,100,'Increases Max Power of target by 165.5',0,3),
(128069,150012,2,100,'Increases AGI of target by 26.6',0,0),
(128070,150012,2,100,'Adds 0.6% to base avoidance.',0,1),
(128071,150012,2,100,'Increases Combat Power Regen of target by 15.1',0,2),
(128072,150012,2,100,'Increases Max Power of target by 174.7',0,3),
(128073,150012,3,100,'Increases AGI of target by 28.0',0,0),
(128074,150012,3,100,'Adds 0.6% to base avoidance.',0,1),
(128075,150012,3,100,'Increases Combat Power Regen of target by 15.9',0,2),
(128076,150012,3,100,'Increases Max Power of target by 183.9',0,3),
(128077,150012,4,100,'Increases AGI of target by 30.9',0,0),
(128078,150012,4,100,'Adds 0.7% to base avoidance.',0,1),
(128079,150012,4,100,'Increases Combat Power Regen of target by 17.4',0,2),
(128080,150012,4,100,'Increases Max Power of target by 202.3',0,3),
(128081,150012,5,100,'Increases AGI of target by 33.7',0,0),
(128082,150012,5,100,'Adds 0.7% to base avoidance.',0,1),
(128083,150012,5,100,'Increases Combat Power Regen of target by 19.0',0,2),
(128084,150012,5,100,'Increases Max Power of target by 220.7',0,3),
(128085,150012,7,100,'Increases AGI of target by 43.2',0,0),
(128086,150012,7,100,'Adds 0.9% to base avoidance.',0,1),
(128087,150012,7,100,'Increases Combat Power Regen of target by 24.4',0,2),
(128088,150012,7,100,'Increases Max Power of target by 283.2',0,3),
(128089,150012,9,100,'Increases AGI of target by 44.9',0,0),
(128090,150012,9,100,'Adds 1.0% to base avoidance.',0,1),
(128091,150012,9,100,'Increases Combat Power Regen of target by 25.4',0,2),
(128092,150012,9,100,'Increases Max Power of target by 294.2',0,3),
(128093,150013,1,100,'Increases AGI of target by 30.2',0,0),
(128094,150013,1,100,'Adds 0.5% to base avoidance.',0,1),
(128095,150013,1,100,'Increases Combat Power Regen of target by 17.3',0,2),
(128096,150013,1,100,'Increases Max Power of target by 188.8',0,3),
(128097,150013,4,100,'Increases AGI of target by 36.9',0,0),
(128098,150013,4,100,'Adds 0.7% to base avoidance.',0,1),
(128099,150013,4,100,'Increases Combat Power Regen of target by 21.2',0,2),
(128100,150013,4,100,'Increases Max Power of target by 230.8',0,3),
(128101,150013,5,100,'Increases AGI of target by 40.3',0,0),
(128102,150013,5,100,'Adds 0.7% to base avoidance.',0,1),
(128103,150013,5,100,'Increases In-Combat Power Regeneration of target by 23.1',0,2),
(128104,150013,5,100,'Increases Max Power of target by 251.7',0,3),
(128105,150013,7,100,'Increases AGI of target by 51.7',0,0),
(128106,150013,7,100,'Adds 0.9% to base avoidance.',0,1),
(128107,150013,7,100,'Increases Combat Power Regen of target by 29.6',0,2),
(128108,150013,7,100,'Increases Max Power of target by 323.1',0,3),
(128109,150013,9,100,'Increases AGI of target by 53.7',0,0),
(128110,150013,9,100,'Adds 1.0% to base avoidance.',0,1),
(128111,150013,9,100,'Increases Combat Power Regen of target by 30.8',0,2),
(128112,150013,9,100,'Increases Max Power of target by 335.7',0,3),
(128113,150014,1,100,'Increases AGI of target by 35.1',0,0),
(128114,150014,1,100,'Adds 0.5% to base avoidance.',0,1),
(128115,150014,1,100,'Increases Combat Power Regen of target by 19.6',0,2),
(128116,150014,1,100,'Increases Max Power of target by 212.1',0,3),
(128117,150014,4,100,'Increases AGI of target by 43.0',0,0),
(128118,150014,4,100,'Adds 0.7% to base avoidance.',0,1),
(128119,150014,4,100,'Increases Combat Power Regen of target by 23.9',0,2),
(128120,150014,4,100,'Increases Max Power of target by 259.3',0,3),
(128121,150014,5,100,'Increases AGI of target by 46.9',0,0),
(128122,150014,5,100,'Adds 0.7% to base avoidance.',0,1),
(128123,150014,5,100,'Increases In-Combat Power Regeneration of target by 26.1',0,2),
(128124,150014,5,100,'Increases Max Power of target by 282.8',0,3),
(128125,150014,7,100,'Increases AGI of target by 60.1',0,0),
(128126,150014,7,100,'Adds 0.9% to base avoidance.',0,1),
(128127,150014,7,100,'Increases Combat Power Regen of target by 33.5',0,2),
(128128,150014,7,100,'Increases Max Power of target by 363.0',0,3),
(128129,150014,9,100,'Increases AGI of target by 62.5',0,0),
(128130,150014,9,100,'Adds 1.0% to base avoidance.',0,1),
(128131,150014,9,100,'Increases Combat Power Regen of target by 34.8',0,2),
(128132,150014,9,100,'Increases Max Power of target by 377.1',0,3),
(128133,180012,1,100,'Increases STR and STA of group members (AE) by 13.1',0,0),
(128134,180012,2,100,'Increases STR and STA of group members (AE) by 13.9',0,0),
(128135,180012,3,100,'Increases STR and STA of group members (AE) by 14.6',0,0),
(128136,180012,4,100,'Increases STR and STA of group members (AE) by 16.1',0,0),
(128137,180012,5,100,'Increases STR and STA of group members (AE) by 17.5',0,0),
(128138,180012,7,100,'Increases STR and STA of group members (AE) by 22.5',0,0),
(128139,180012,9,100,'Increases STR and STA of group members (AE) by 23.4',0,0),
(128140,190140,1,100,'Increases STR and STA of group members (AE) by 13.1',0,0),
(128141,190140,2,100,'Increases STR and STA of group members (AE) by 13.9',0,0),
(128142,190140,3,100,'Increases STR and STA of group members (AE) by 14.6',0,0),
(128143,190140,4,100,'Increases STR and STA of group members (AE) by 16.1',0,0),
(128144,190140,5,100,'Increases STR and STA of group members (AE) by 17.5',0,0),
(128145,190140,7,100,'Increases STR and STA of group members (AE) by 22.5',0,0),
(128146,190140,9,100,'Increases STR and STA of group members (AE) by 23.4',0,0),
(128147,190141,1,100,'Increases STR and STA of group members (AE) by 22.1',0,0),
(128148,190141,2,100,'Increases STR and STA of group members (AE) by 23.4',0,0),
(128149,190141,3,100,'Increases STR and STA of group members (AE) by 24.6',0,0),
(128150,190141,4,100,'Increases STR and STA of group members (AE) by 27.1',0,0),
(128151,190141,5,100,'Increases STR and STA of group members (AE) by 29.5',0,0),
(128152,190141,7,100,'Increases STR and STA of group members (AE) by 37.9',0,0),
(128153,190141,9,100,'Increases STR and STA of group members (AE) by 39.4',0,0),
(128154,190142,1,100,'Increases STR and STA of group members (AE) by 32.2',0,0),
(128155,190142,2,100,'Increases STR and STA of group members (AE) by 34.0',0,0),
(128156,190142,3,100,'Increases STR and STA of group members (AE) by 35.8',0,0),
(128157,190142,4,100,'Increases STR and STA of group members (AE) by 39.4',0,0),
(128158,190142,5,100,'Increases STR and STA of group members (AE) by 43.0',0,0),
(128159,190142,7,100,'Increases STR and STA of group members (AE) by 55.1',0,0),
(128160,190142,9,100,'Increases STR and STA of group members (AE) by 57.3',0,0),
(128161,190143,1,100,'Increases STR and STA of group members (AE) by 42.3',0,0),
(128162,190143,2,100,'Increases STR and STA of group members (AE) by 44.6',0,0),
(128163,190143,3,100,'Increases STR and STA of group members (AE) by 47.0',0,0),
(128164,190143,4,100,'Increases STR and STA of group members (AE) by 51.7',0,0),
(128165,190143,5,100,'Increases STR and STA of group members (AE) by 56.4',0,0),
(128166,190143,7,100,'Increases STR and STA of group members (AE) by 72.4',0,0),
(128167,190143,9,100,'Increases STR and STA of group members (AE) by 75.2',0,0),
(128168,190144,1,100,'Increases STR and STA of group members (AE) by 52.5',0,0),
(128169,190144,2,100,'Increases STR and STA of group members (AE) by 55.4',0,0),
(128170,190144,3,100,'Increases STR and STA of group members (AE) by 58.3',0,0),
(128171,190144,4,100,'Increases STR and STA of group members (AE) by 64.1',0,0),
(128172,190144,5,100,'Increases STR and STA of group members (AE) by 70.0',0,0),
(128173,190144,7,100,'Increases STR and STA of group members (AE) by 89.8',0,0),
(128174,190144,9,100,'Increases STR and STA of group members (AE) by 93.3',0,0),
(128175,190145,1,100,'Increases STR and STA of group members (AE) by 62.4',0,0),
(128176,190145,4,100,'Increases STR and STA of group members (AE) by 76.2',0,0),
(128177,190145,5,100,'Increases STR and STA of group members (AE) by 83.2',0,0),
(128178,190145,7,100,'Increases STR and STA of group members (AE) by 106.7',0,0),
(128179,190145,9,100,'Increases STR and STA of group members (AE) by 110.9',0,0),
(128180,190146,1,100,'Increases STR and STA of group members (AE) by 72.3',0,0),
(128181,190146,4,100,'Increases STR and STA of group members (AE) by 88.3',0,0),
(128182,190146,5,100,'Increases STR and STA of group members (AE) by 96.4',0,0),
(128183,190146,7,100,'Increases STR and STA of group members (AE) by 123.7',0,0),
(128184,190146,9,100,'Increases STR and STA of group members (AE) by 128.5',0,0),
(128185,180013,1,100,'Increases speed of group members (AE) by 20.0%',0,0),
(128186,180013,1,100,'This effect suspends during combat',0,1),
(128187,150015,1,100,'Increases speed of group members (AE) by 20.0%',0,0),
(128188,150015,1,100,'This effect suspends during combat',0,1),
(128189,2000667,1,100,'Caster will have their chance to hit with a weapon increased by 1.0%',0,0),
(128190,2000667,1,100,'Increases DPS of caster by 2.0',0,1),
(128191,2000667,1,100,'When damaged in combat this spell has a 50% chance to cast Spiritfire on target''s attacker.  ',0,2),
(128192,2000667,1,100,'Inflicts 1 disease damage on target',1,3),
(128193,2000667,2,100,'Caster will have their chance to hit with a weapon increased by 2.0%',0,0),
(128194,2000667,2,100,'Increases Damage Per Second of caster by 4.0',0,1),
(128195,2000667,2,100,'When damaged in combat this spell has a 50% chance to cast Spiritfire on target''s attacker.  ',0,2),
(128196,2000667,2,100,'Inflicts 27 - 41 disease damage on target',1,3),
(128197,2000667,3,100,'Caster will have their chance to hit with a weapon increased by 3.0%',0,0),
(128198,2000667,3,100,'Increases Damage Per Second of caster by 6.0',0,1),
(128199,2000667,3,100,'When damaged in combat this spell has a 50% chance to cast Spiritfire on target''s attacker.  ',0,2),
(128200,2000667,3,100,'Inflicts 41 - 61 disease damage on target',1,3),
(128201,2000667,4,100,'Caster will have their chance to hit with a weapon increased by 4.0%',0,0),
(128202,2000667,4,100,'Increases Damage Per Second of caster by 8.0',0,1),
(128203,2000667,4,100,'When damaged in combat this spell has a 50% chance to cast Spiritfire on target''s attacker.  ',0,2),
(128204,2000667,4,100,'Inflicts 54 - 81 disease damage on target',1,3),
(128205,2000667,5,100,'Caster will have their chance to hit with a weapon increased by 5.0%',0,0),
(128206,2000667,5,100,'Increases DPS of caster by 10.0',0,1),
(128207,2000667,5,100,'When damaged in combat this spell has a 50% chance to cast Spiritfire on target''s attacker.  ',0,2),
(128208,2000667,5,100,'Inflicts 90 - 136 disease damage on target',1,3),
(128209,2000667,6,100,'Caster will have their chance to hit with a weapon increased by 6.0%',0,0),
(128210,2000667,6,100,'Increases DPS of caster by 12.0',0,1),
(128211,2000667,6,100,'When damaged in combat this spell has a 50% chance to cast Spiritfire on target''s attacker.  ',0,2),
(128212,2000667,6,100,'Inflicts 109 - 163 disease damage on target',1,3),
(128213,2000667,7,100,'Caster will have their chance to hit with a weapon increased by 7.0%',0,0),
(128214,2000667,7,100,'Increases Damage Per Second of caster by 14.0',0,1),
(128215,2000667,7,100,'When damaged in combat this spell has a 50% chance to cast Spiritfire on target''s attacker.  ',0,2),
(128216,2000667,7,100,'Inflicts 95 - 143 disease damage on target',1,3),
(128217,2000667,8,100,'Caster will have their chance to hit with a weapon increased by 8.0%',0,0),
(128218,2000667,8,100,'Increases DPS of caster by 16.0',0,1),
(128219,2000667,8,100,'When damaged in combat this spell has a 50% chance to cast Spiritfire on target''s attacker.  ',0,2),
(128220,2000667,8,100,'Inflicts 145 - 217 disease damage on target',1,3),
(128221,2000667,9,100,'Caster will have their chance to hit with a weapon increased by 9.0%',0,0),
(128222,2000667,9,100,'Increases Damage Per Second of caster by 18.0',0,1),
(128223,2000667,9,100,'When damaged in combat this spell has a 50% chance to cast Spiritfire on target''s attacker.  ',0,2),
(128224,2000667,9,100,'Inflicts 122 - 183 disease damage on target',1,3),
(128225,2000667,10,100,'Caster will have their chance to hit with a weapon increased by 10.0%',0,0),
(128226,2000667,10,100,'Increases Damage Per Second of caster by 20.0',0,1),
(128227,2000667,10,100,'When damaged in combat this spell has a 50% chance to cast Spiritfire on target''s attacker.  ',0,2),
(128228,2000667,10,100,'Inflicts 136 - 204 disease damage on target',1,3),
(128229,190147,1,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(128230,190147,1,100,'Decreases Threat to targets in Area of Effect by 1,169 ',0,1),
(128231,190147,1,100,'Mesmerizes targets in Area of Effect',0,2),
(128232,190147,1,100,'If Target is not Epic',1,3),
(128233,190147,1,100,'Dispelled when target takes damage',0,4),
(128234,190147,2,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(128235,190147,2,100,'Decreases Threat to targets in Area of Effect by 1,234 ',0,1),
(128236,190147,2,100,'Mesmerizes targets in Area of Effect',0,2),
(128237,190147,2,100,'If Target is not Epic',1,3),
(128238,190147,2,100,'Dispelled when target takes damage',0,4),
(128239,190147,3,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(128240,190147,3,100,'Decreases Threat to targets in Area of Effect by 1,300 ',0,1),
(128241,190147,3,100,'Mesmerizes targets in Area of Effect',0,2),
(128242,190147,3,100,'If Target is not Epic',1,3),
(128243,190147,3,100,'Dispelled when target takes damage',0,4),
(128244,190147,4,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(128245,190147,4,100,'Decreases Threat to targets in Area of Effect by 1,430 ',0,1),
(128246,190147,4,100,'Mesmerizes targets in Area of Effect',0,2),
(128247,190147,4,100,'If Target is not Epic',1,3),
(128248,190147,4,100,'Dispelled when target takes damage',0,4),
(128249,190147,5,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(128250,190147,5,100,'Decreases Threat to targets in Area of Effect by 1,560 ',0,1),
(128251,190147,5,100,'Mesmerizes targets in Area of Effect',0,2),
(128252,190147,5,100,'If Target is not Epic',1,3),
(128253,190147,5,100,'Dispelled when target takes damage',0,4),
(128254,190147,7,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(128255,190147,7,100,'Decreases Threat to targets in Area of Effect by 2,001 ',0,1),
(128256,190147,7,100,'Mesmerizes targets in Area of Effect',0,2),
(128257,190147,7,100,'If Target is not Epic',1,3),
(128258,190147,7,100,'Dispelled when target takes damage',0,4),
(128259,190147,9,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(128260,190147,9,100,'Decreases Threat to targets in Area of Effect by 2,080 ',0,1),
(128261,190147,9,100,'Mesmerizes targets in Area of Effect',0,2),
(128262,190147,9,100,'If Target is not Epic',1,3),
(128263,190147,9,100,'Dispelled when target takes damage',0,4),
(128264,190148,1,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(128265,190148,1,100,'Decreases Threat to targets in Area of Effect by 2,593 ',0,1),
(128266,190148,1,100,'Mesmerizes targets in Area of Effect',0,2),
(128267,190148,1,100,'If Target is not Epic',1,3),
(128268,190148,1,100,'Dispelled when target takes damage',0,4),
(128269,190148,2,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(128270,190148,2,100,'Decreases Threat to targets in Area of Effect by 2,737 ',0,1),
(128271,190148,2,100,'Mesmerizes targets in Area of Effect',0,2),
(128272,190148,2,100,'If Target is not Epic',1,3),
(128273,190148,2,100,'Dispelled when target takes damage',0,4),
(128274,190148,3,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(128275,190148,3,100,'Decreases Threat to targets in Area of Effect by 2,882 ',0,1),
(128276,190148,3,100,'Mesmerizes targets in Area of Effect',0,2),
(128277,190148,3,100,'If Target is not Epic',1,3),
(128278,190148,3,100,'Dispelled when target takes damage',0,4),
(128279,190148,4,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(128280,190148,4,100,'Decreases Threat to targets in Area of Effect by 3,170 ',0,1),
(128281,190148,4,100,'Mesmerizes targets in Area of Effect',0,2),
(128282,190148,4,100,'If Target is not Epic',1,3),
(128283,190148,4,100,'Dispelled when target takes damage',0,4),
(128284,190148,5,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(128285,190148,5,100,'Decreases Threat to targets in Area of Effect by 3,458 ',0,1),
(128286,190148,5,100,'Mesmerizes targets in Area of Effect',0,2),
(128287,190148,5,100,'If Target is not Epic',1,3),
(128288,190148,5,100,'Dispelled when target takes damage',0,4),
(128289,190148,7,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(128290,190148,7,100,'Decreases Threat to targets in Area of Effect by 4,438 ',0,1),
(128291,190148,7,100,'Mesmerizes targets in Area of Effect',0,2),
(128292,190148,7,100,'If Target is not Epic',1,3),
(128293,190148,7,100,'Dispelled when target takes damage',0,4),
(128294,190148,9,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(128295,190148,9,100,'Decreases Threat to targets in Area of Effect by 4,611 ',0,1),
(128296,190148,9,100,'Mesmerizes targets in Area of Effect',0,2),
(128297,190148,9,100,'If Target is not Epic',1,3),
(128298,190148,9,100,'Dispelled when target takes damage',0,4),
(128299,190149,1,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(128300,190149,1,100,'Decreases Threat to targets in Area of Effect by 4,272 ',0,1),
(128301,190149,1,100,'Mesmerizes targets in Area of Effect',0,2),
(128302,190149,1,100,'If Target is not Epic',1,3),
(128303,190149,1,100,'Dispelled when target takes damage',0,4),
(128304,190149,2,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(128305,190149,2,100,'Decreases Threat to targets in Area of Effect by 4,509 ',0,1),
(128306,190149,2,100,'Mesmerizes targets in Area of Effect',0,2),
(128307,190149,2,100,'If Target is not Epic',1,3),
(128308,190149,2,100,'Dispelled when target takes damage',0,4),
(128309,190149,3,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(128310,190149,3,100,'Decreases Threat to targets in Area of Effect by 4,747 ',0,1),
(128311,190149,3,100,'Mesmerizes targets in Area of Effect',0,2),
(128312,190149,3,100,'If Target is not Epic',1,3),
(128313,190149,3,100,'Dispelled when target takes damage',0,4),
(128314,190149,4,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(128315,190149,4,100,'Decreases Threat to targets in Area of Effect by 5,221 ',0,1),
(128316,190149,4,100,'Mesmerizes targets in Area of Effect',0,2),
(128317,190149,4,100,'If Target is not Epic',1,3),
(128318,190149,4,100,'Dispelled when target takes damage',0,4),
(128319,190149,5,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(128320,190149,5,100,'Decreases Threat to targets in Area of Effect by 5,696 ',0,1),
(128321,190149,5,100,'Mesmerizes targets in Area of Effect',0,2),
(128322,190149,5,100,'If Target is not Epic',1,3),
(128323,190149,5,100,'Dispelled when target takes damage',0,4),
(128324,190149,7,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(128325,190149,7,100,'Decreases Threat to targets in Area of Effect by 7,310 ',0,1),
(128326,190149,7,100,'Mesmerizes targets in Area of Effect',0,2),
(128327,190149,7,100,'If Target is not Epic',1,3),
(128328,190149,7,100,'Dispelled when target takes damage',0,4),
(128329,190149,9,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(128330,190149,9,100,'Decreases Threat to targets in Area of Effect by 7,595 ',0,1),
(128331,190149,9,100,'Mesmerizes targets in Area of Effect',0,2),
(128332,190149,9,100,'If Target is not Epic',1,3),
(128333,190149,9,100,'Dispelled when target takes damage',0,4),
(128334,190150,1,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(128335,190150,1,100,'Decreases Threat to targets in Area of Effect by 6,412 ',0,1),
(128336,190150,1,100,'Mesmerizes targets in Area of Effect',0,2),
(128337,190150,1,100,'If Target is not Epic',1,3),
(128338,190150,1,100,'Dispelled when target takes damage',0,4),
(128339,190150,2,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(128340,190150,2,100,'Decreases Threat to targets in Area of Effect by 6,768 ',0,1),
(128341,190150,2,100,'Mesmerizes targets in Area of Effect',0,2),
(128342,190150,2,100,'If Target is not Epic',1,3),
(128343,190150,2,100,'Dispelled when target takes damage',0,4),
(128344,190150,3,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(128345,190150,3,100,'Decreases Threat to targets in Area of Effect by 7,125 ',0,1),
(128346,190150,3,100,'Mesmerizes targets in Area of Effect',0,2),
(128347,190150,3,100,'If Target is not Epic',1,3),
(128348,190150,3,100,'Dispelled when target takes damage',0,4),
(128349,190150,4,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(128350,190150,4,100,'Decreases Threat to targets in Area of Effect by 7,837 ',0,1),
(128351,190150,4,100,'Mesmerizes targets in Area of Effect',0,2),
(128352,190150,4,100,'If Target is not Epic',1,3),
(128353,190150,4,100,'Dispelled when target takes damage',0,4),
(128354,190150,5,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(128355,190150,5,100,'Decreases Threat to targets in Area of Effect by 8,550 ',0,1),
(128356,190150,5,100,'Mesmerizes targets in Area of Effect',0,2),
(128357,190150,5,100,'If Target is not Epic',1,3),
(128358,190150,5,100,'Dispelled when target takes damage',0,4),
(128359,190150,7,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(128360,190150,7,100,'Decreases Threat to targets in Area of Effect by 10,972 ',0,1),
(128361,190150,7,100,'Mesmerizes targets in Area of Effect',0,2),
(128362,190150,7,100,'If Target is not Epic',1,3),
(128363,190150,7,100,'Dispelled when target takes damage',0,4),
(128364,190150,9,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(128365,190150,9,100,'Decreases Threat to targets in Area of Effect by 11,400 ',0,1),
(128366,190150,9,100,'Mesmerizes targets in Area of Effect',0,2),
(128367,190150,9,100,'If Target is not Epic',1,3),
(128368,190150,9,100,'Dispelled when target takes damage',0,4),
(128369,190151,1,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(128370,190151,1,100,'Decreases Threat to targets in Area of Effect by 8,657 ',0,1),
(128371,190151,1,100,'Mesmerizes targets in Area of Effect',0,2),
(128372,190151,1,100,'If Target is not Epic',1,3),
(128373,190151,1,100,'Dispelled when target takes damage',0,4),
(128374,190151,2,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(128375,190151,2,100,'Decreases Threat to targets in Area of Effect by 9,138 ',0,1),
(128376,190151,2,100,'Mesmerizes targets in Area of Effect',0,2),
(128377,190151,2,100,'If Target is not Epic',1,3),
(128378,190151,2,100,'Dispelled when target takes damage',0,4),
(128379,190151,3,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(128380,190151,3,100,'Decreases Threat to targets in Area of Effect by 9,620 ',0,1),
(128381,190151,3,100,'Mesmerizes targets in Area of Effect',0,2),
(128382,190151,3,100,'If Target is not Epic',1,3),
(128383,190151,3,100,'Dispelled when target takes damage',0,4),
(128384,190151,4,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(128385,190151,4,100,'Decreases Threat to targets in Area of Effect by 10,582 ',0,1),
(128386,190151,4,100,'Mesmerizes targets in Area of Effect',0,2),
(128387,190151,4,100,'If Target is not Epic',1,3),
(128388,190151,4,100,'Dispelled when target takes damage',0,4),
(128389,190151,5,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(128390,190151,5,100,'Decreases Threat to targets in Area of Effect by 11,544 ',0,1),
(128391,190151,5,100,'Mesmerizes targets in Area of Effect',0,2),
(128392,190151,5,100,'If Target is not Epic',1,3),
(128393,190151,5,100,'Dispelled when target takes damage',0,4),
(128394,190151,7,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(128395,190151,7,100,'Decreases Threat to targets in Area of Effect by 14,814 ',0,1),
(128396,190151,7,100,'Mesmerizes targets in Area of Effect',0,2),
(128397,190151,7,100,'If Target is not Epic',1,3),
(128398,190151,7,100,'Dispelled when target takes damage',0,4),
(128399,190151,9,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(128400,190151,9,100,'Decreases Threat to targets in Area of Effect by 15,392 ',0,1),
(128401,190151,9,100,'Mesmerizes targets in Area of Effect',0,2),
(128402,190151,9,100,'If Target is not Epic',1,3),
(128403,190151,9,100,'Dispelled when target takes damage',0,4),
(128404,190152,1,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(128405,190152,1,100,'Decreases Threat to targets in Area of Effect by 10,844 ',0,1),
(128406,190152,1,100,'Mesmerizes targets in Area of Effect',0,2),
(128407,190152,1,100,'If Target is not Epic',1,3),
(128408,190152,1,100,'Dispelled when target takes damage',0,4),
(128409,190152,2,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(128410,190152,2,100,'Decreases Threat to targets in Area of Effect by 11,447 ',0,1),
(128411,190152,2,100,'Mesmerizes targets in Area of Effect',0,2),
(128412,190152,2,100,'If Target is not Epic',1,3),
(128413,190152,2,100,'Dispelled when target takes damage',0,4),
(128414,190152,3,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(128415,190152,3,100,'Decreases Threat to targets in Area of Effect by 12,050 ',0,1),
(128416,190152,3,100,'Mesmerizes targets in Area of Effect',0,2),
(128417,190152,3,100,'If Target is not Epic',1,3),
(128418,190152,3,100,'Dispelled when target takes damage',0,4),
(128419,190152,4,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(128420,190152,4,100,'Decreases Threat to targets in Area of Effect by 13,255 ',0,1),
(128421,190152,4,100,'Mesmerizes targets in Area of Effect',0,2),
(128422,190152,4,100,'If Target is not Epic',1,3),
(128423,190152,4,100,'Dispelled when target takes damage',0,4),
(128424,190152,5,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(128425,190152,5,100,'Decreases Threat to targets in Area of Effect by 14,460 ',0,1),
(128426,190152,5,100,'Mesmerizes targets in Area of Effect',0,2),
(128427,190152,5,100,'If Target is not Epic',1,3),
(128428,190152,5,100,'Dispelled when target takes damage',0,4),
(128429,190152,7,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(128430,190152,7,100,'Decreases Threat to targets in Area of Effect by 18,556 ',0,1),
(128431,190152,7,100,'Mesmerizes targets in Area of Effect',0,2),
(128432,190152,7,100,'If Target is not Epic',1,3),
(128433,190152,7,100,'Dispelled when target takes damage',0,4),
(128434,190152,9,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(128435,190152,9,100,'Decreases Threat to targets in Area of Effect by 19,280 ',0,1),
(128436,190152,9,100,'Mesmerizes targets in Area of Effect',0,2),
(128437,190152,9,100,'If Target is not Epic',1,3),
(128438,190152,9,100,'Dispelled when target takes damage',0,4),
(128439,190153,1,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(128440,190153,1,100,'Decreases Threat to targets in Area of Effect by 13,094 ',0,1),
(128441,190153,1,100,'Mesmerizes targets in Area of Effect',0,2),
(128442,190153,1,100,'If Target is not Epic',1,3),
(128443,190153,1,100,'Dispelled when target takes damage',0,4),
(128444,190153,4,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(128445,190153,4,100,'Decreases Threat to targets in Area of Effect by 16,005 ',0,1),
(128446,190153,4,100,'Mesmerizes targets in Area of Effect',0,2),
(128447,190153,4,100,'If Target is not Epic',1,3),
(128448,190153,4,100,'Dispelled when target takes damage',0,4),
(128449,190153,5,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(128450,190153,5,100,'Decreases Threat to targets in Area of Effect by 17,460 ',0,1),
(128451,190153,5,100,'Mesmerizes targets in Area of Effect',0,2),
(128452,190153,5,100,'If Target is not Epic',1,3),
(128453,190153,5,100,'Dispelled when target takes damage',0,4),
(128454,190153,7,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(128455,190153,7,100,'Decreases Threat to targets in Area of Effect by 22,406 ',0,1),
(128456,190153,7,100,'Mesmerizes targets in Area of Effect',0,2),
(128457,190153,7,100,'If Target is not Epic',1,3),
(128458,190153,7,100,'Dispelled when target takes damage',0,4),
(128459,190153,9,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(128460,190153,9,100,'Decreases Threat to targets in Area of Effect by 23,280 ',0,1),
(128461,190153,9,100,'Mesmerizes targets in Area of Effect',0,2),
(128462,190153,9,100,'If Target is not Epic',1,3),
(128463,190153,9,100,'Dispelled when target takes damage',0,4),
(128464,190154,1,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(128465,190154,1,100,'Decreases Threat to targets in Area of Effect by 15,344 ',0,1),
(128466,190154,1,100,'Mesmerizes targets in Area of Effect',0,2),
(128467,190154,1,100,'If Target is not Epic',1,3),
(128468,190154,1,100,'Dispelled when target takes damage',0,4),
(128469,190154,4,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(128470,190154,4,100,'Decreases Threat to targets in Area of Effect by 18,755 ',0,1),
(128471,190154,4,100,'Mesmerizes targets in Area of Effect',0,2),
(128472,190154,4,100,'If Target is not Epic',1,3),
(128473,190154,4,100,'Dispelled when target takes damage',0,4),
(128474,190154,5,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(128475,190154,5,100,'Decreases Threat to targets in Area of Effect by 20,460 ',0,1),
(128476,190154,5,100,'Mesmerizes targets in Area of Effect',0,2),
(128477,190154,5,100,'If Target is not Epic',1,3),
(128478,190154,5,100,'Dispelled when target takes damage',0,4),
(128479,190154,7,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(128480,190154,7,100,'Decreases Threat to targets in Area of Effect by 26,256 ',0,1),
(128481,190154,7,100,'Mesmerizes targets in Area of Effect',0,2),
(128482,190154,7,100,'If Target is not Epic',1,3),
(128483,190154,7,100,'Dispelled when target takes damage',0,4),
(128484,190154,9,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(128485,190154,9,100,'Decreases Threat to targets in Area of Effect by 27,280 ',0,1),
(128486,190154,9,100,'Mesmerizes targets in Area of Effect',0,2),
(128487,190154,9,100,'If Target is not Epic',1,3),
(128488,190154,9,100,'Dispelled when target takes damage',0,4),
(128489,2000668,1,100,'Applies Spiritual Ally to qualifying pets.',0,0),
(128490,2000668,1,100,'On a melee hit this spell has a 25% chance to cast Spirit Claw on target of attack.  ',1,1),
(128491,2000668,1,100,'Inflicts 388 - 582 disease damage on caster',2,2),
(128492,2000668,1,100,'Improves the damage of hostile spells and combat arts by 10%.',0,3),
(128493,2000668,1,100,'Improves the critical damage of hostile spells and combat arts by 5%.',0,4),
(128494,2000668,1,100,'Increases the casting time of beneficial spells by 15%.',0,5),
(128495,2000668,1,100,'Reduces the defilers heal and ward amounts by 10%.',0,6),
(128496,200163,1,100,'Summons a limited pet to aid the caster',0,0),
(128497,200163,2,100,'Summons a limited pet to aid the caster',0,0),
(128498,200163,3,100,'Summons a limited pet to aid the caster',0,0),
(128499,200163,4,100,'Summons a limited pet to aid the caster',0,0),
(128500,200163,5,100,'Summons a limited pet to aid the caster',0,0),
(128501,200163,7,100,'Summons a limited pet to aid the caster',0,0),
(128502,200163,9,100,'Summons a limited pet to aid the caster',0,0),
(128503,200164,1,100,'Summons a limited pet to aid the caster',0,0),
(128504,200164,2,100,'Summons a limited pet to aid the caster',0,0),
(128505,200164,3,100,'Summons a limited pet to aid the caster',0,0),
(128506,200164,4,100,'Summons a limited pet to aid the caster',0,0),
(128507,200164,5,100,'Summons a limited pet to aid the caster',0,0),
(128508,200164,7,100,'Summons a limited pet to aid the caster',0,0),
(128509,200164,9,100,'Summons a limited pet to aid the caster',0,0),
(128510,200165,1,100,'Summons a limited pet to aid the caster',0,0),
(128511,200165,4,100,'Summons a limited pet to aid the caster',0,0),
(128512,200165,5,100,'Summons a limited pet to aid the caster',0,0),
(128513,200165,7,100,'Summons a limited pet to aid the caster',0,0),
(128514,200165,9,100,'Summons a limited pet to aid the caster',0,0),
(128515,200166,1,100,'Summons a limited pet to aid the caster',0,0),
(128516,200166,4,100,'Summons a limited pet to aid the caster',0,0),
(128517,200166,5,100,'Summons a limited pet to aid the caster',0,0),
(128518,200166,7,100,'Summons a limited pet to aid the caster',0,0),
(128519,200166,9,100,'Summons a limited pet to aid the caster',0,0),
(128520,2000669,1,100,'On death this spell will cast Spiritual Sacrifice on target.  Lasts for 7.5 seconds.  ',0,0),
(128521,2000669,1,100,'Reduces all damage done to target by 70%',1,1),
(128522,2000669,1,100,'Applies to each group member of the player who died',1,2),
(128523,2000669,1,100,'Cannot be modified except by direct means',1,3),
(128524,2000669,1,100,'Increases Max Health of target by 10.0%',0,4),
(128525,2000669,1,100,'Decreases Max Health of caster by 10.0%',0,5),
(128526,180014,1,100,'Increases Max Health of group members (AE) by 30.4',0,0),
(128527,180014,1,100,'Increases Mitigation of group members (AE) vs noxious damage by 156',0,1),
(128528,180014,2,100,'Increases Max Health of group members (AE) by 32.1',0,0),
(128529,180014,2,100,'Increases Mitigation of group members (AE) vs noxious damage by 164',0,1),
(128530,180014,3,100,'Increases Max Health of group members (AE) by 33.8',0,0),
(128531,180014,3,100,'Increases Mitigation of group members (AE) vs noxious damage by 173',0,1),
(128532,180014,4,100,'Increases Max Health of group members (AE) by 37.2',0,0),
(128533,180014,4,100,'Increases Mitigation of group members (AE) vs noxious damage by 190',0,1),
(128534,180014,5,100,'Increases Max Health of group members (AE) by 40.6',0,0),
(128535,180014,5,100,'Increases Mitigation of group members (AE) vs noxious damage by 207',0,1),
(128536,180014,7,100,'Increases Max Health of group members (AE) by 52.1',0,0),
(128537,180014,7,100,'Increases Mitigation of group members (AE) vs noxious damage by 266',0,1),
(128538,180014,9,100,'Increases Max Health of group members (AE) by 54.1',0,0),
(128539,180014,9,100,'Increases Mitigation of group members (AE) vs noxious damage by 276',0,1),
(128540,190155,12,100,'Increases the power of wards by 30% of the mystic''s wisdom',0,0),
(128541,190155,12,100,'On a beneficial spell cast this spell has a 12% chance to cast Tribal Rage on the group.  Lasts for 12.0 seconds.  ',0,1),
(128542,190155,12,100,'Group members (AE) will Double Attack on 15% of attacks',1,2),
(128543,190155,12,100,'Cannot be modified except by direct means',1,3),
(128544,190155,12,100,'Cannot be modified except by direct means',0,4),
(128545,2000670,1,100,'Inflicts 277 poison damage on target',0,0),
(128546,2000670,1,100,'Inflicts 277 poison damage on target every 4 seconds',0,1),
(128547,2000670,1,100,'Decreases WIS of target by 213.4',0,2),
(128548,2000670,1,100,'Decreases AGI, INT and STR of target by 1.4',0,3),
(128549,280015,1,100,'Summon 1 Splinter of Essence (Apprentice I)',0,0),
(128550,280015,2,100,'Summon 1 Splinter of Essence (Apprentice II)',0,0),
(128551,280015,3,100,'Summon 1 Splinter of Essence (Apprentice III)',0,0),
(128552,280015,4,100,'Summon 1 Splinter of Essence (Apprentice IV)',0,0),
(128553,280015,5,100,'Summon 1 Splinter of Essence (Adept I)',0,0),
(128554,280015,7,100,'Summon 1 Splinter of Essence (Adept III)',0,0),
(128555,280015,9,100,'Summon 1 Splinter of Essence (Master I)',0,0),
(128556,2000671,1,100,'Inflicts 1 - 3 poison damage on targets in Area of Effect',0,0),
(128557,2000671,1,100,'Inflicts 1 poison damage on targets in Area of Effect every 3 seconds',0,1),
(128558,2000672,1,100,'Shapechanges group members (AE) into a stag',0,0),
(128559,2000672,1,100,'On a combat hit this spell will cast Stampede on target of attack.  ',0,1),
(128560,2000672,1,100,'Inflicts 17 - 21 crushing damage on target',1,2),
(128561,170169,1,100,'Inflicts 339 - 414 heat damage on target encounter',0,0),
(128562,170169,2,100,'Inflicts 357 - 437 heat damage on target encounter',0,0),
(128563,170169,3,100,'Inflicts 376 - 460 heat damage on target encounter',0,0),
(128564,170169,4,100,'Inflicts 414 - 506 heat damage on target encounter',0,0),
(128565,170169,5,100,'Inflicts 452 - 552 heat damage on target encounter',0,0),
(128566,170169,7,100,'Inflicts 579 - 708 heat damage on target encounter',0,0),
(128567,170169,9,100,'Inflicts 602 - 736 heat damage on target encounter',0,0),
(128568,170169,10,100,'Inflicts 632 - 773 heat damage on target encounter',0,0),
(128569,170170,1,100,'Inflicts 520 - 635 heat damage on target encounter',0,0),
(128570,170170,2,100,'Inflicts 549 - 671 heat damage on target encounter',0,0),
(128571,170170,3,100,'Inflicts 578 - 706 heat damage on target encounter',0,0),
(128572,170170,4,100,'Inflicts 635 - 776 heat damage on target encounter',0,0),
(128573,170170,5,100,'Inflicts 693 - 847 heat damage on target encounter',0,0),
(128574,170170,7,100,'Inflicts 889 - 1087 heat damage on target encounter',0,0),
(128575,170170,9,100,'Inflicts 924 - 1129 heat damage on target encounter',0,0),
(128576,170171,1,100,'Inflicts 724 - 885 heat damage on target encounter',0,0),
(128577,170171,2,100,'Inflicts 764 - 934 heat damage on target encounter',0,0),
(128578,170171,3,100,'Inflicts 805 - 983 heat damage on target encounter',0,0),
(128579,170171,4,100,'Inflicts 885 - 1082 heat damage on target encounter',0,0),
(128580,170171,5,100,'Inflicts 966 - 1180 heat damage on target encounter',0,0),
(128581,170171,7,100,'Inflicts 1239 - 1515 heat damage on target encounter',0,0),
(128582,170171,9,100,'Inflicts 1287 - 1574 heat damage on target encounter',0,0),
(128583,170171,10,100,'Inflicts 1352 - 1652 heat damage on target encounter',0,0),
(128584,170172,1,100,'Inflicts 944 - 1154 heat damage on target encounter',0,0),
(128585,170172,2,100,'Inflicts 997 - 1218 heat damage on target encounter',0,0),
(128586,170172,3,100,'Inflicts 1049 - 1282 heat damage on target encounter',0,0),
(128587,170172,4,100,'Inflicts 1154 - 1410 heat damage on target encounter',0,0),
(128588,170172,5,100,'Inflicts 1259 - 1539 heat damage on target encounter',0,0),
(128589,170172,7,100,'Inflicts 1616 - 1975 heat damage on target encounter',0,0),
(128590,170172,9,100,'Inflicts 1679 - 2052 heat damage on target encounter',0,0),
(128591,170172,10,100,'Inflicts 1762 - 2154 heat damage on target encounter',0,0),
(128592,170173,1,100,'Inflicts 1141 - 1394 heat damage on target encounter',0,0),
(128593,170173,4,100,'Inflicts 1394 - 1704 heat damage on target encounter',0,0),
(128594,170173,5,100,'Inflicts 1521 - 1859 heat damage on target encounter',0,0),
(128595,170173,7,100,'Inflicts 1952 - 2386 heat damage on target encounter',0,0),
(128596,170173,9,100,'Inflicts 2028 - 2479 heat damage on target encounter',0,0),
(128597,170173,10,100,'Inflicts 2130 - 2603 heat damage on target encounter',0,0),
(128599,170174,4,100,'Inflicts 1589 - 1943 heat damage on target encounter',0,0),
(128600,170174,5,100,'Inflicts 1734 - 2119 heat damage on target encounter',0,0),
(128601,170174,7,100,'Inflicts 2225 - 2720 heat damage on target encounter',0,0),
(128602,170174,9,100,'Inflicts 2312 - 2825 heat damage on target encounter',0,0),
(128603,170174,10,100,'Inflicts 2427 - 2967 heat damage on target encounter',0,0),
(128604,2000673,1,100,'Stuns caster',0,0),
(128605,2000673,1,100,'Wards caster against 2 - 4 points of damage from all damage',0,1),
(128606,2000674,1,100,'Inflicts 2 - 4 magic damage on targets in Area of Effect',0,0),
(128607,2000674,2,100,'Inflicts 461 - 768 magic damage on targets in Area of Effect',0,0),
(128608,2000674,3,100,'Inflicts 485 - 808 magic damage on targets in Area of Effect',0,0),
(128609,2000674,4,100,'Inflicts 400 - 667 magic damage on targets in Area of Effect',0,0),
(128610,2000674,5,100,'Inflicts 436 - 727 magic damage on targets in Area of Effect',0,0),
(128611,2000674,6,100,'Inflicts 630 - 1050 magic damage on targets in Area of Effect',0,0),
(128612,2000674,7,100,'Inflicts 560 - 934 magic damage on targets in Area of Effect',0,0),
(128613,2000674,8,100,'Inflicts 751 - 1252 magic damage on targets in Area of Effect',0,0),
(128614,2000674,9,100,'Inflicts 582 - 970 magic damage on targets in Area of Effect',0,0),
(128615,2000674,10,100,'Inflicts 611 - 1018 magic damage on targets in Area of Effect',0,0),
(128616,210015,1,100,'Inflicts 2 - 5 magic damage on target instantly and every 4 seconds',0,0),
(128617,2000675,1,100,'Inflicts 1 - 2 magic damage on target',0,0),
(128618,2000675,1,100,'Roots target',0,1),
(128619,2000675,1,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 4.5 seconds and duration is reduced to 0.5 seconds.',0,2),
(128620,2000675,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(128621,210015,2,100,'Inflicts 3 - 6 magic damage on target instantly and every 4 seconds',0,0),
(128622,210015,3,100,'Inflicts 4 - 7 magic damage on target instantly and every 4 seconds',0,0),
(128623,210015,4,100,'Inflicts 4 - 8 magic damage on target instantly and every 4 \r\nseconds',0,0),
(128624,210015,5,100,'Inflicts 5 - 9 magic damage on target instantly and every 4 \r\nseconds',0,0),
(128625,210015,7,100,'Inflicts 7 - 11 magic damage on target instantly and every 4 \r\nseconds',0,0),
(128626,210015,9,100,'Inflicts 8 - 12 magic damage on target instantly and every 4 \r\nseconds',0,0),
(128627,2000676,1,100,'When damaged with a melee weapon this spell will cast Static Discharge on target''s attacker.  ',0,0),
(128628,2000676,1,100,'Inflicts 1 - 2 magic damage on target',1,1),
(128629,2000676,2,100,'When damaged with a melee weapon this spell will cast Static Discharge on target''s attacker.  ',0,0),
(128630,2000676,2,100,'Inflicts 79 - 132 magic damage on target',1,1),
(128631,2000676,3,100,'When damaged with a melee weapon this spell will cast Static Discharge on target''s attacker.  ',0,0),
(128632,2000676,3,100,'Inflicts 62 - 104 magic damage on target',1,1),
(128633,2000676,4,100,'When damaged with a melee weapon this spell will cast Static Discharge on target''s attacker.  ',0,0),
(128634,2000676,4,100,'Inflicts 69 - 114 magic damage on target',1,1),
(128635,2000676,5,100,'When damaged with a melee weapon this spell will cast Static Discharge on target''s attacker.  ',0,0),
(128636,2000676,5,100,'Inflicts 75 - 125 magic damage on target',1,1),
(128637,2000676,6,100,'When damaged with a melee weapon this spell will cast Static Discharge on target''s attacker.  ',0,0),
(128638,2000676,6,100,'Inflicts 108 - 180 magic damage on target',1,1),
(128639,2000676,7,100,'When damaged with a melee weapon this spell will cast Static Discharge on target''s attacker.  ',0,0),
(128640,2000676,7,100,'Inflicts 96 - 160 magic damage on target',1,1),
(128641,2000676,8,100,'When damaged with a melee weapon this spell will cast Static Discharge on target''s attacker.  ',0,0),
(128642,2000676,8,100,'Inflicts 129 - 215 magic damage on target',1,1),
(128643,2000676,9,100,'When damaged with a melee weapon this spell will cast Static Discharge on target''s attacker.  ',0,0),
(128644,2000676,9,100,'Inflicts 133 - 222 magic damage on target',1,1),
(128645,2000676,10,100,'When damaged with a melee weapon this spell will cast Static Discharge on target''s attacker.  ',0,0),
(128646,2000676,10,100,'Inflicts 140 - 233 magic damage on target',1,1),
(128647,2000677,1,100,'Decreases threat priority of target by 1 position',0,0),
(128648,2000677,1,100,'Mesmerizes target',0,1),
(128649,2000677,1,100,'Dispelled when target takes damage',0,2),
(128650,2000677,1,100,'Epic targets gain an immunity to Mesmerize effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,3),
(128651,2000677,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(128652,2000678,1,100,'Dazes targets in Area of Effect',0,0),
(128653,2000678,1,100,'Epic targets gain an immunity to Daze effects of 9.0 seconds and duration is reduced to 1.0 second.',0,1),
(128654,2000678,1,100,'Resistibility increases against targets higher than level 29.',0,2),
(128655,150016,1,100,'Inflicts 8 - 10 divine damage on target instantly and every 3 seconds',0,0),
(128656,150016,1,100,'Decreases Defense of target by 2.7',0,1),
(128657,150016,2,100,'Inflicts 9 - 11 divine damage on target instantly and every 3 seconds',0,0),
(128658,150016,2,100,'Decreases Defense of target by 2.8',0,1),
(128659,150016,3,100,'Inflicts 9 - 11 divine damage on target instantly and every 3 seconds',0,0),
(128660,150016,3,100,'Decreases Defense of target by 3.0',0,1),
(128661,150016,4,100,'Inflicts 10 - 13 divine damage on target instantly and every 3 seconds',0,0),
(128662,150016,4,100,'Decreases Defense of target by 3.3',0,1),
(128663,150016,5,100,'Inflicts 11 - 14 divine damage on target instantly and every 3 seconds',0,0),
(128664,150016,5,100,'Decreases Defense of target by 3.6',0,1),
(128665,150016,7,100,'Inflicts 14 - 18 divine damage on target instantly and every 3 seconds',0,0),
(128666,150016,7,100,'Decreases Defense of target by 4.6',0,1),
(128667,150016,9,100,'Inflicts 15 - 18 divine damage on target instantly and every 3 seconds',0,0),
(128668,150016,9,100,'Decreases Defense of target by 4.8',0,1),
(128669,2000679,1,100,'Roots target',0,0),
(128670,2000679,1,100,'5% chance to dispel when target takes damage',0,1),
(128671,2000679,1,100,'Does not affect Epic targets',0,2),
(128672,2000679,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(128673,2000679,2,100,'Roots target',0,0),
(128674,2000679,2,100,'5% chance to dispel when target takes damage',0,1),
(128675,2000679,2,100,'Does not affect Epic targets',0,2),
(128676,2000679,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(128677,2000679,3,100,'Roots target',0,0),
(128678,2000679,3,100,'5% chance to dispel when target takes damage',0,1),
(128679,2000679,3,100,'Does not affect Epic targets',0,2),
(128680,2000679,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(128681,2000679,4,100,'Roots target',0,0),
(128682,2000679,4,100,'5% chance to dispel when target takes damage',0,1),
(128683,2000679,4,100,'Does not affect Epic targets',0,2),
(128684,2000679,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(128685,2000679,5,100,'Roots target',0,0),
(128686,2000679,5,100,'5% chance to dispel when target takes damage',0,1),
(128687,2000679,5,100,'Does not affect Epic targets',0,2),
(128688,2000679,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(128689,2000679,6,100,'Roots target',0,0),
(128690,2000679,6,100,'5% chance to dispel when target takes damage',0,1),
(128691,2000679,6,100,'Does not affect Epic targets',0,2),
(128692,2000679,6,100,'Resistibility increases against targets higher than level 29.',0,3),
(128693,2000679,7,100,'Roots target',0,0),
(128694,2000679,7,100,'5% chance to dispel when target takes damage',0,1),
(128695,2000679,7,100,'Does not affect Epic targets',0,2),
(128696,2000679,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(128697,2000679,8,100,'Roots target',0,0),
(128698,2000679,8,100,'5% chance to dispel when target takes damage',0,1),
(128699,2000679,8,100,'Does not affect Epic targets',0,2),
(128700,2000679,8,100,'Resistibility increases against targets higher than level 29.',0,3),
(128701,2000679,9,100,'Roots target',0,0),
(128702,2000679,9,100,'5% chance to dispel when target takes damage',0,1),
(128703,2000679,9,100,'Does not affect Epic targets',0,2),
(128704,2000679,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(128705,2000679,10,100,'Roots target',0,0),
(128706,2000679,10,100,'5% chance to dispel when target takes damage',0,1),
(128707,2000679,10,100,'Does not affect Epic targets',0,2),
(128708,2000679,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(128709,290191,3,100,'Applies Settle.',0,0),
(128710,290191,3,100,'Decreases Threat to targets in Area of Effect by 1,850 ',1,1),
(128711,290191,3,100,'Must be engaged in combat',1,2),
(128712,290191,3,100,'Will absorb all damage.  This spell will absorb a total of 3 attacks.',0,3),
(128713,2000680,1,100,'Will absorb all damage when the amount is less than 50% of the target''s maximum health. This spell will absorb a total of 2 attacks.',0,0),
(128714,2000681,1,100,'Will absorb all damage.  This spell will absorb a total of 3 attacks.',0,0),
(128715,210016,1,100,'Inflicts 13 - 18 magic damage on target encounter',0,0),
(128716,230170,1,100,'Inflicts 8 - 15 magic damage on target encounter instantly and every 2 seconds',0,0),
(128717,210016,2,100,'Inflicts 14 - 19 magic damage on target encounter',0,0),
(128718,230170,2,100,'Inflicts 8 - 15 magic damage on target encounter instantly and every 2 seconds',0,0),
(128719,210016,3,100,'Inflicts 15 - 20 magic damage on target encounter',0,0),
(128720,230170,3,100,'Inflicts 9 - 16 magic damage on target encounter instantly and every 2 seconds',0,0),
(128721,230170,4,100,'Inflicts 10 - 18 magic damage on target encounter instantly and every 2 seconds',0,0),
(128722,210016,4,100,'Inflicts 16 - 21 magic damage on target encounter',0,0),
(128723,210016,5,100,'Inflicts 17 - 22 magic damage on target encounter',0,0),
(128724,230170,5,100,'Inflicts 10 - 19 magic damage on target encounter instantly and every 2 seconds',0,0),
(128725,210016,7,100,'Inflicts 19 - 25 magic damage on target encounter',0,0),
(128726,230170,7,100,'Inflicts 13 - 25 magic damage on target encounter instantly and every 2 seconds',0,0),
(128727,230170,9,100,'Inflicts 14 - 26 magic damage on target encounter instantly and every 2 seconds',0,0),
(128728,210016,9,100,'Inflicts 21 - 28 magic damage on target encounter',0,0),
(128729,230171,1,100,'Inflicts 21 - 40 magic damage on target encounter instantly and every 2 seconds',0,0),
(128730,230171,2,100,'Inflicts 23 - 42 magic damage on target encounter instantly and every 2 seconds',0,0),
(128731,230171,3,100,'Inflicts 24 - 44 magic damage on target encounter instantly and every 2 seconds',0,0),
(128732,230171,4,100,'Inflicts 26 - 48 magic damage on target encounter instantly and every 2 seconds',0,0),
(128733,230171,5,100,'Inflicts 28 - 53 magic damage on target encounter instantly and every 2 seconds',0,0),
(128734,230171,7,100,'Inflicts 37 - 68 magic damage on target encounter instantly and every 2 seconds',0,0),
(128735,230171,9,100,'Inflicts 38 - 70 magic damage on target encounter instantly and every 2 seconds',0,0),
(128736,230172,1,100,'Inflicts 37 - 69 magic damage on target encounter instantly and every 2 seconds',0,0),
(128737,230172,2,100,'Inflicts 39 - 73 magic damage on target encounter instantly and every 2 seconds',0,0),
(128738,230172,3,100,'Inflicts 41 - 77 magic damage on target encounter instantly and every 2 seconds',0,0),
(128739,230172,4,100,'Inflicts 45 - 84 magic damage on target encounter instantly and every 2 seconds',0,0),
(128740,230172,5,100,'Inflicts 49 - 92 magic damage on target encounter instantly and every 2 seconds',0,0),
(128741,230172,7,100,'Inflicts 63 - 118 magic damage on target encounter instantly and every 2 seconds',0,0),
(128742,230172,9,100,'Inflicts 66 - 122 magic damage on target encounter instantly and every 2 seconds',0,0),
(128743,230173,1,100,'Inflicts 56 - 103 magic damage on target encounter instantly and every 2 seconds',0,0),
(128744,230173,2,100,'Inflicts 59 - 109 magic damage on target encounter instantly and every 2 seconds',0,0),
(128745,230173,3,100,'Inflicts 62 - 115 magic damage on target encounter instantly and every 2 seconds',0,0),
(128746,230173,4,100,'Inflicts 68 - 126 magic damage on target encounter instantly and every 2 seconds',0,0),
(128747,230173,5,100,'Inflicts 74 - 138 magic damage on target encounter instantly and every 2 seconds',0,0),
(128748,230173,7,100,'Inflicts 95 - 177 magic damage on target encounter instantly and every 2 seconds',0,0),
(128749,230173,9,100,'Inflicts 99 - 184 magic damage on target encounter instantly and every 2 seconds',0,0),
(128750,230173,10,100,'Inflicts 104 - 193 magic damage on target encounter instantly and every 2 seconds',0,0),
(128751,230174,1,100,'Inflicts 75 - 140 magic damage on target encounter instantly and every 2 seconds',0,0),
(128752,230174,2,100,'Inflicts 80 - 148 magic damage on target encounter instantly and every 2 seconds',0,0),
(128753,230174,3,100,'Inflicts 84 - 155 magic damage on target encounter instantly and every 2 seconds',0,0),
(128754,230174,4,100,'Inflicts 92 - 171 magic damage on target encounter instantly and every 2 seconds',0,0),
(128755,230174,5,100,'Inflicts 100 - 187 magic damage on target encounter instantly and every 2 seconds',0,0),
(128756,230174,7,100,'Inflicts 129 - 239 magic damage on target encounter instantly and every 2 seconds',0,0),
(128757,230174,9,100,'Inflicts 134 - 249 magic damage on target encounter instantly and every 2 seconds',0,0),
(128758,230175,1,100,'Inflicts 94 - 175 magic damage on target encounter instantly and every 2 seconds',0,0),
(128759,230175,2,100,'Inflicts 100 - 185 magic damage on target encounter instantly and every 2 seconds',0,0),
(128760,230175,3,100,'Inflicts 105 - 195 magic damage on target encounter instantly and every 2 seconds',0,0),
(128761,230175,4,100,'Inflicts 115 - 214 magic damage on target encounter instantly and every 2 seconds',0,0),
(128762,230175,5,100,'Inflicts 126 - 234 magic damage on target encounter instantly and every 2 seconds',0,0),
(128763,230175,7,100,'Inflicts 162 - 300 magic damage on target encounter instantly and every 2 seconds',0,0),
(128764,230175,9,100,'Inflicts 168 - 312 magic damage on target encounter instantly and every 2 seconds',0,0),
(128765,230176,1,100,'Inflicts 114 - 212 magic damage on target encounter instantly and every 2 seconds',0,0),
(128766,230176,4,100,'Inflicts 139 - 259 magic damage on target encounter instantly and every 2 seconds',0,0),
(128767,230176,5,100,'Inflicts 152 - 282 magic damage on target encounter instantly and every 2 seconds',0,0),
(128768,230176,7,100,'Inflicts 195 - 362 magic damage on target encounter instantly and every 2 seconds',0,0),
(128769,230176,9,100,'Inflicts 203 - 376 magic damage on target encounter instantly and every 2 seconds',0,0),
(128770,230177,1,100,'Inflicts 127 - 235 magic damage on target encounter instantly and every 2 seconds',0,0),
(128771,230177,4,100,'Inflicts 155 - 287 magic damage on target encounter instantly and every 2 seconds',0,0),
(128772,230177,5,100,'Inflicts 169 - 314 magic damage on target encounter instantly and every 2 seconds',0,0),
(128773,230177,7,100,'Inflicts 217 - 402 magic damage on target encounter instantly and every 2 seconds',0,0),
(128774,230177,9,100,'Inflicts 225 - 418 magic damage on target encounter instantly and every 2 seconds',0,0),
(128775,2000682,1,100,'Inflicts 9 - 11 magic damage on targets in Area of Effect',0,0),
(128776,2000682,2,100,'Inflicts 9 - 11 magic damage on targets in Area of Effect',0,0),
(128777,2000682,3,100,'Inflicts 9 - 11 magic damage on targets in Area of Effect',0,0),
(128778,230178,1,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(128779,230178,1,100,'Throws target back',1,1),
(128780,230178,1,100,'Blurs vision of target',1,2),
(128781,230178,1,100,'Stuns target',1,3),
(128782,230178,1,100,'Does not affect Epic targets',1,4),
(128783,230178,1,100,'Inflicts 4 - 5 magic damage on target instantly and every 8 seconds',0,5),
(128784,230178,2,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(128785,230178,2,100,'Throws target back',1,1),
(128786,230178,2,100,'Blurs vision of target',1,2),
(128787,230178,2,100,'Stuns target',1,3),
(128788,230178,2,100,'Does not affect Epic targets',1,4),
(128789,230178,2,100,'Inflicts 5 - 6 magic damage on target instantly and every 8 seconds',0,5),
(128790,230178,3,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(128791,230178,3,100,'Throws target back',1,1),
(128792,230178,3,100,'Blurs vision of target',1,2),
(128793,230178,3,100,'Stuns target',1,3),
(128794,230178,3,100,'Does not affect Epic targets',1,4),
(128795,230178,3,100,'Inflicts 5 - 6 magic damage on target instantly and every 8 seconds',0,5),
(128796,230178,4,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(128797,230178,4,100,'Throws target back',1,1),
(128798,230178,4,100,'Blurs vision of target',1,2),
(128799,230178,4,100,'Stuns target',1,3),
(128800,230178,4,100,'Does not affect Epic targets',1,4),
(128801,230178,4,100,'Inflicts 5 - 7 magic damage on target instantly and every 8 seconds',0,5),
(128802,230178,5,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(128803,230178,5,100,'Throws target back',1,1),
(128804,230178,5,100,'Blurs vision of target',1,2),
(128805,230178,5,100,'Stuns target',1,3),
(128806,230178,5,100,'Does not affect Epic targets',1,4),
(128807,230178,5,100,'Inflicts 6 - 7 magic damage on target instantly and every 8 seconds',0,5),
(128808,230178,7,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(128809,230178,7,100,'Throws target back',1,1),
(128810,230178,7,100,'Blurs vision of target',1,2),
(128811,230178,7,100,'Stuns target',1,3),
(128812,230178,7,100,'Does not affect Epic targets',1,4),
(128813,230178,7,100,'Inflicts 8 - 9 magic damage on target instantly and every 8 seconds',0,5),
(128814,230178,9,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(128815,230178,9,100,'Throws target back',1,1),
(128816,230178,9,100,'Blurs vision of target',1,2),
(128817,230178,9,100,'Stuns target',1,3),
(128818,230178,9,100,'Does not affect Epic targets',1,4),
(128819,230178,9,100,'Inflicts 8 - 10 magic damage on target instantly and every 8 seconds',0,5),
(128820,230179,1,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(128821,230179,1,100,'Throws target back',1,1),
(128822,230179,1,100,'Blurs vision of target',1,2),
(128823,230179,1,100,'Stuns target',1,3),
(128824,230179,1,100,'Does not affect Epic targets',1,4),
(128825,230179,1,100,'Inflicts 4 - 5 magic damage on target instantly and every 8 seconds',0,5),
(128826,230179,2,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(128827,230179,2,100,'Throws target back',1,1),
(128828,230179,2,100,'Blurs vision of target',1,2),
(128829,230179,2,100,'Stuns target',1,3),
(128830,230179,2,100,'Does not affect Epic targets',1,4),
(128831,230179,2,100,'Inflicts 5 - 6 magic damage on target instantly and every 8 seconds',0,5),
(128832,230179,3,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(128833,230179,3,100,'Throws target back',1,1),
(128834,230179,3,100,'Blurs vision of target',1,2),
(128835,230179,3,100,'Stuns target',1,3),
(128836,230179,3,100,'Does not affect Epic targets',1,4),
(128837,230179,3,100,'Inflicts 5 - 6 magic damage on target instantly and every 8 seconds',0,5),
(128838,230179,4,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(128839,230179,4,100,'Throws target back',1,1),
(128840,230179,4,100,'Blurs vision of target',1,2),
(128841,230179,4,100,'Stuns target',1,3),
(128842,230179,4,100,'Does not affect Epic targets',1,4),
(128843,230179,4,100,'Inflicts 5 - 7 magic damage on target instantly and every 8 seconds',0,5),
(128844,230179,5,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(128845,230179,5,100,'Throws target back',1,1),
(128846,230179,5,100,'Blurs vision of target',1,2),
(128847,230179,5,100,'Stuns target',1,3),
(128848,230179,5,100,'Does not affect Epic targets',1,4),
(128849,230179,5,100,'Inflicts 6 - 7 magic damage on target instantly and every 8 seconds',0,5),
(128850,230179,7,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(128851,230179,7,100,'Throws target back',1,1),
(128852,230179,7,100,'Blurs vision of target',1,2),
(128853,230179,7,100,'Stuns target',1,3),
(128854,230179,7,100,'Does not affect Epic targets',1,4),
(128855,230179,7,100,'Inflicts 8 - 9 magic damage on target instantly and every 8 seconds',0,5),
(128856,230179,9,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(128857,230179,9,100,'Throws target back',1,1),
(128858,230179,9,100,'Blurs vision of target',1,2),
(128859,230179,9,100,'Stuns target',1,3),
(128860,230179,9,100,'Does not affect Epic targets',1,4),
(128861,230179,9,100,'Inflicts 8 - 10 magic damage on target instantly and every 8 seconds',0,5),
(128862,230180,1,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(128863,230180,1,100,'Throws target back',1,1),
(128864,230180,1,100,'Blurs vision of target',1,2),
(128865,230180,1,100,'Stuns target',1,3),
(128866,230180,1,100,'Does not affect Epic targets',1,4),
(128867,230180,1,100,'Inflicts 4 - 5 magic damage on target instantly and every 8 seconds',0,5),
(128868,230180,4,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(128869,230180,4,100,'Throws target back',1,1),
(128870,230180,4,100,'Blurs vision of target',1,2),
(128871,230180,4,100,'Stuns target',1,3),
(128872,230180,4,100,'Does not affect Epic targets',1,4),
(128873,230180,4,100,'Inflicts 5 - 7 magic damage on target instantly and every 8 seconds',0,5),
(128874,230180,5,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(128875,230180,5,100,'Throws target back',1,1),
(128876,230180,5,100,'Blurs vision of target',1,2),
(128877,230180,5,100,'Stuns target',1,3),
(128878,230180,5,100,'Does not affect Epic targets',1,4),
(128879,230180,5,100,'Inflicts 6 - 7 magic damage on target instantly and every 8 seconds',0,5),
(128880,230180,7,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(128881,230180,7,100,'Throws target back',1,1),
(128882,230180,7,100,'Blurs vision of target',1,2),
(128883,230180,7,100,'Stuns target',1,3),
(128884,230180,7,100,'Does not affect Epic targets',1,4),
(128885,230180,7,100,'Inflicts 8 - 9 magic damage on target instantly and every 8 seconds',0,5),
(128886,230180,9,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(128887,230180,9,100,'Throws target back',1,1),
(128888,230180,9,100,'Blurs vision of target',1,2),
(128889,230180,9,100,'Stuns target',1,3),
(128890,230180,9,100,'Does not affect Epic targets',1,4),
(128891,230180,9,100,'Inflicts 8 - 10 magic damage on target instantly and every 8 seconds',0,5),
(128892,230181,1,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(128893,230181,1,100,'Throws target back',1,1),
(128894,230181,1,100,'Blurs vision of target',1,2),
(128895,230181,1,100,'Stuns target',1,3),
(128896,230181,1,100,'Does not affect Epic targets',1,4),
(128897,230181,1,100,'Inflicts 4 - 5 magic damage on target instantly and every 8 seconds',0,5),
(128898,230181,4,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(128899,230181,4,100,'Throws target back',1,1),
(128900,230181,4,100,'Blurs vision of target',1,2),
(128901,230181,4,100,'Stuns target',1,3),
(128902,230181,4,100,'Does not affect Epic targets',1,4),
(128903,230181,4,100,'Inflicts 5 - 7 magic damage on target instantly and every 8 seconds',0,5),
(128904,230181,5,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(128905,230181,5,100,'Throws target back',1,1),
(128906,230181,5,100,'Blurs vision of target',1,2),
(128907,230181,5,100,'Stuns target',1,3),
(128908,230181,5,100,'Does not affect Epic targets',1,4),
(128909,230181,5,100,'Inflicts 6 - 7 magic damage on target instantly and every 8 seconds',0,5),
(128910,230181,7,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(128911,230181,7,100,'Throws target back',1,1),
(128912,230181,7,100,'Blurs vision of target',1,2),
(128913,230181,7,100,'Stuns target',1,3),
(128914,230181,7,100,'Does not affect Epic targets',1,4),
(128915,230181,7,100,'Inflicts 8 - 9 magic damage on target instantly and every 8 seconds',0,5),
(128916,230181,9,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(128917,230181,9,100,'Throws target back',1,1),
(128918,230181,9,100,'Blurs vision of target',1,2),
(128919,230181,9,100,'Stuns target',1,3),
(128920,230181,9,100,'Does not affect Epic targets',1,4),
(128921,230181,9,100,'Inflicts 8 - 10 magic damage on target instantly and every 8 seconds',0,5),
(128922,2000683,1,100,'Inflicts 1 magic damage on target',0,0),
(128923,2000683,1,100,'Blurs vision of target',0,1),
(128924,2000683,1,100,'Decreases Defense of target by 0.9',0,2),
(128925,2000683,1,100,'Stuns target',0,3),
(128926,2000683,1,100,'Epic targets gain an immunity to Stun effects of 9.0 seconds and duration is reduced to 1.0 second.',0,4),
(128927,2000683,1,100,'Resistibility increases against targets higher than level 29.',0,5),
(128928,250019,1,100,'Decreases Threat to target by 590 ',0,0),
(128929,250019,1,100,'Stuns target',0,1),
(128930,250019,1,100,'If Target is not Epic',1,2),
(128931,250019,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(128932,270172,1,100,'Stuns target encounter',0,0),
(128933,270172,1,100,'Epic targets gain an immunity to Stun effects of 12.4 seconds and duration is reduced to 1.4 seconds.',0,1),
(128934,270172,1,100,'Resistibility increases against targets higher than level 29.',0,2),
(128935,250019,2,100,'Decreases Threat to target by 623 ',0,0),
(128936,250019,2,100,'Stuns target',0,1),
(128937,250019,2,100,'If Target is not Epic',1,2),
(128938,250019,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(128939,270172,2,100,'Stuns target encounter',0,0),
(128940,270172,2,100,'Epic targets gain an immunity to Stun effects of 12.4 seconds and duration is reduced to 1.4 seconds.',0,1),
(128941,270172,2,100,'Resistibility increases against targets higher than level 29.',0,2),
(128942,250019,3,100,'Decreases Threat to target by 656 ',0,0),
(128943,250019,3,100,'Stuns target',0,1),
(128944,250019,3,100,'If Target is not Epic',1,2),
(128945,250019,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(128946,270172,3,100,'Stuns target encounter',0,0),
(128947,270172,3,100,'Epic targets gain an immunity to Stun effects of 12.4 seconds and duration is reduced to 1.4 seconds.',0,1),
(128948,270172,3,100,'Resistibility increases against targets higher than level 29.',0,2),
(128949,270172,4,100,'Stuns target encounter',0,0),
(128950,270172,4,100,'Epic targets gain an immunity to Stun effects of 12.4 seconds and duration is reduced to 1.4 seconds.',0,1),
(128951,270172,4,100,'Resistibility increases against targets higher than level 29.',0,2),
(128952,250019,4,100,'Decreases Threat to target by 721 ',0,0),
(128953,250019,4,100,'Stuns target',0,1),
(128954,250019,4,100,'If Target is not Epic',1,2),
(128955,250019,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(128956,270172,5,100,'Stuns target encounter',0,0),
(128957,270172,5,100,'Epic targets gain an immunity to Stun effects of 12.4 seconds and duration is reduced to 1.4 seconds.',0,1),
(128958,270172,5,100,'Resistibility increases against targets higher than level 29.',0,2),
(128959,250019,5,100,'Decreases Threat to target by 787 ',0,0),
(128960,250019,5,100,'Stuns target',0,1),
(128961,250019,5,100,'If Target is not Epic',1,2),
(128962,250019,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(128963,270172,7,100,'Stuns target encounter',0,0),
(128964,270172,7,100,'Epic targets gain an immunity to Stun effects of 12.4 seconds and duration is reduced to 1.4 seconds.',0,1),
(128965,270172,7,100,'Resistibility increases against targets higher than level 29.',0,2),
(128966,250019,7,100,'Decreases Threat to target by 1,010 ',0,0),
(128967,250019,7,100,'Stuns target',0,1),
(128968,250019,7,100,'If Target is not Epic',1,2),
(128969,250019,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(128970,270172,9,100,'Stuns target encounter',0,0),
(128971,270172,9,100,'Epic targets gain an immunity to Stun effects of 12.4 seconds and duration is reduced to 1.4 seconds.',0,1),
(128972,270172,9,100,'Resistibility increases against targets higher than level 29.',0,2),
(128973,250019,9,100,'Decreases Threat to target by 1,050 ',0,0),
(128974,250019,9,100,'Stuns target',0,1),
(128975,250019,9,100,'If Target is not Epic',1,2),
(128976,250019,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(128977,270173,1,100,'Stuns target encounter',0,0),
(128978,270173,1,100,'Epic targets gain an immunity to Stun effects of 12.4 seconds and duration is reduced to 1.4 seconds.',0,1),
(128979,270173,1,100,'Resistibility increases against targets higher than level 29.',0,2),
(128980,270173,2,100,'Stuns target encounter',0,0),
(128981,270173,2,100,'Epic targets gain an immunity to Stun effects of 12.4 seconds and duration is reduced to 1.4 seconds.',0,1),
(128982,270173,2,100,'Resistibility increases against targets higher than level 29.',0,2),
(128983,270173,3,100,'Stuns target encounter',0,0),
(128984,270173,3,100,'Epic targets gain an immunity to Stun effects of 12.4 seconds and duration is reduced to 1.4 seconds.',0,1),
(128985,270173,3,100,'Resistibility increases against targets higher than level 29.',0,2),
(128986,270173,4,100,'Stuns target encounter',0,0),
(128987,270173,4,100,'Epic targets gain an immunity to Stun effects of 12.4 seconds and duration is reduced to 1.4 seconds.',0,1),
(128988,270173,4,100,'Resistibility increases against targets higher than level 29.',0,2),
(128989,270173,5,100,'Stuns target encounter',0,0),
(128990,270173,5,100,'Epic targets gain an immunity to Stun effects of 12.4 seconds and duration is reduced to 1.4 seconds.',0,1),
(128991,270173,5,100,'Resistibility increases against targets higher than level 29.',0,2),
(128992,270173,7,100,'Stuns target encounter',0,0),
(128993,270173,7,100,'Epic targets gain an immunity to Stun effects of 12.4 seconds and duration is reduced to 1.4 seconds.',0,1),
(128994,270173,7,100,'Resistibility increases against targets higher than level 29.',0,2),
(128995,270173,9,100,'Stuns target encounter',0,0),
(128996,270173,9,100,'Epic targets gain an immunity to Stun effects of 12.4 seconds and duration is reduced to 1.4 seconds.',0,1),
(128997,270173,9,100,'Resistibility increases against targets higher than level 29.',0,2),
(128998,270173,10,100,'Stuns target encounter',0,0),
(128999,270173,10,100,'Epic targets gain an immunity to Stun effects of 12.4 seconds and duration is reduced to 1.4 seconds.',0,1),
(129000,270173,10,100,'Resistibility increases against targets higher than level 29.',0,2),
(129001,270174,1,100,'Stuns target encounter',0,0),
(129002,270174,1,100,'Epic targets gain an immunity to Stun effects of 12.4 seconds and duration is reduced to 1.4 seconds.',0,1),
(129003,270174,1,100,'Resistibility increases against targets higher than level 29.',0,2),
(129004,270174,2,100,'Stuns target encounter',0,0),
(129005,270174,2,100,'Epic targets gain an immunity to Stun effects of 12.4 seconds and duration is reduced to 1.4 seconds.',0,1),
(129006,270174,2,100,'Resistibility increases against targets higher than level 29.',0,2),
(129007,270174,3,100,'Stuns target encounter',0,0),
(129008,270174,3,100,'Epic targets gain an immunity to Stun effects of 12.4 seconds and duration is reduced to 1.4 seconds.',0,1),
(129009,270174,3,100,'Resistibility increases against targets higher than level 29.',0,2),
(129010,270174,4,100,'Stuns target encounter',0,0),
(129011,270174,4,100,'Epic targets gain an immunity to Stun effects of 12.4 seconds and duration is reduced to 1.4 seconds.',0,1),
(129012,270174,4,100,'Resistibility increases against targets higher than level 29.',0,2),
(129013,270174,5,100,'Stuns target encounter',0,0),
(129014,270174,5,100,'Epic targets gain an immunity to Stun effects of 12.4 seconds and duration is reduced to 1.4 seconds.',0,1),
(129015,270174,5,100,'Resistibility increases against targets higher than level 29.',0,2),
(129016,270174,7,100,'Stuns target encounter',0,0),
(129017,270174,7,100,'Epic targets gain an immunity to Stun effects of 12.4 seconds and duration is reduced to 1.4 seconds.',0,1),
(129018,270174,7,100,'Resistibility increases against targets higher than level 29.',0,2),
(129019,270174,9,100,'Stuns target encounter',0,0),
(129020,270174,9,100,'Epic targets gain an immunity to Stun effects of 12.4 seconds and duration is reduced to 1.4 seconds.',0,1),
(129021,270174,9,100,'Resistibility increases against targets higher than level 29.',0,2),
(129022,270174,10,100,'Stuns target encounter',0,0),
(129023,270174,10,100,'Epic targets gain an immunity to Stun effects of 12.4 seconds and duration is reduced to 1.4 seconds.',0,1),
(129024,270174,10,100,'Resistibility increases against targets higher than level 29.',0,2),
(129025,270175,1,100,'Stuns target encounter',0,0),
(129026,270175,1,100,'Epic targets gain an immunity to Stun effects of 12.4 seconds and duration is reduced to 1.4 seconds.',0,1),
(129027,270175,1,100,'Resistibility increases against targets higher than level 29.',0,2),
(129028,270175,2,100,'Stuns target encounter',0,0),
(129029,270175,2,100,'Epic targets gain an immunity to Stun effects of 12.4 seconds and duration is reduced to 1.4 seconds.',0,1),
(129030,270175,2,100,'Resistibility increases against targets higher than level 29.',0,2),
(129031,270175,3,100,'Stuns target encounter',0,0),
(129032,270175,3,100,'Epic targets gain an immunity to Stun effects of 12.4 seconds and duration is reduced to 1.4 seconds.',0,1),
(129033,270175,3,100,'Resistibility increases against targets higher than level 29.',0,2),
(129034,270175,4,100,'Stuns target encounter',0,0),
(129035,270175,4,100,'Epic targets gain an immunity to Stun effects of 12.4 seconds and duration is reduced to 1.4 seconds.',0,1),
(129036,270175,4,100,'Resistibility increases against targets higher than level 29.',0,2),
(129037,270175,5,100,'Stuns target encounter',0,0),
(129038,270175,5,100,'Epic targets gain an immunity to Stun effects of 12.4 seconds and duration is reduced to 1.4 seconds.',0,1),
(129039,270175,5,100,'Resistibility increases against targets higher than level 29.',0,2),
(129040,270175,7,100,'Stuns target encounter',0,0),
(129041,270175,7,100,'Epic targets gain an immunity to Stun effects of 12.4 seconds and duration is reduced to 1.4 seconds.',0,1),
(129042,270175,7,100,'Resistibility increases against targets higher than level 29.',0,2),
(129043,270175,9,100,'Stuns target encounter',0,0),
(129044,270175,9,100,'Epic targets gain an immunity to Stun effects of 12.4 seconds and duration is reduced to 1.4 seconds.',0,1),
(129045,270175,9,100,'Resistibility increases against targets higher than level 29.',0,2),
(129046,270176,1,100,'Stuns target encounter',0,0),
(129047,270176,1,100,'Epic targets gain an immunity to Stun effects of 12.4 seconds and duration is reduced to 1.4 seconds.',0,1),
(129048,270176,1,100,'Resistibility increases against targets higher than level 29.',0,2),
(129049,270176,2,100,'Stuns target encounter',0,0),
(129050,270176,2,100,'Epic targets gain an immunity to Stun effects of 12.4 seconds and duration is reduced to 1.4 seconds.',0,1),
(129051,270176,2,100,'Resistibility increases against targets higher than level 29.',0,2),
(129052,270176,3,100,'Stuns target encounter',0,0),
(129053,270176,3,100,'Epic targets gain an immunity to Stun effects of 12.4 seconds and duration is reduced to 1.4 seconds.',0,1),
(129054,270176,3,100,'Resistibility increases against targets higher than level 29.',0,2),
(129055,270176,4,100,'Stuns target encounter',0,0),
(129056,270176,4,100,'Epic targets gain an immunity to Stun effects of 12.4 seconds and duration is reduced to 1.4 seconds.',0,1),
(129057,270176,4,100,'Resistibility increases against targets higher than level 29.',0,2),
(129058,270176,5,100,'Stuns target encounter',0,0),
(129059,270176,5,100,'Epic targets gain an immunity to Stun effects of 12.4 seconds and duration is reduced to 1.4 seconds.',0,1),
(129060,270176,5,100,'Resistibility increases against targets higher than level 29.',0,2),
(129061,270176,7,100,'Stuns target encounter',0,0),
(129062,270176,7,100,'Epic targets gain an immunity to Stun effects of 12.4 seconds and duration is reduced to 1.4 seconds.',0,1),
(129063,270176,7,100,'Resistibility increases against targets higher than level 29.',0,2),
(129064,270176,9,100,'Stuns target encounter',0,0),
(129065,270176,9,100,'Epic targets gain an immunity to Stun effects of 12.4 seconds and duration is reduced to 1.4 seconds.',0,1),
(129066,270176,9,100,'Resistibility increases against targets higher than level 29.',0,2),
(129067,150017,1,100,'Decreases Threat to targets in Area of Effect by 1,206 ',0,0),
(129068,150017,1,100,'Roots targets in Area of Effect',0,1),
(129069,150017,1,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,2),
(129070,150017,2,100,'Decreases Threat to targets in Area of Effect by 1,273 ',0,0),
(129071,150017,2,100,'Roots targets in Area of Effect',0,1),
(129072,150017,2,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,2),
(129073,150017,3,100,'Decreases Threat to targets in Area of Effect by 1,340 ',0,0),
(129074,150017,3,100,'Roots targets in Area of Effect',0,1),
(129075,150017,3,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,2),
(129076,150017,4,100,'Decreases Threat to targets in Area of Effect by 1,474 ',0,0),
(129077,150017,4,100,'Roots targets in Area of Effect',0,1),
(129078,150017,4,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,2),
(129079,150017,5,100,'Decreases Threat to targets in Area of Effect by 1,608 ',0,0),
(129080,150017,5,100,'Roots targets in Area of Effect',0,1),
(129081,150017,5,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,2),
(129082,150017,7,100,'Decreases Threat to targets in Area of Effect by 2,064 ',0,0),
(129083,150017,7,100,'Roots targets in Area of Effect',0,1),
(129084,150017,7,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,2),
(129085,150017,9,100,'Decreases Threat to targets in Area of Effect by 2,145 ',0,0),
(129086,150017,9,100,'Roots targets in Area of Effect',0,1),
(129087,150017,9,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,2),
(129088,2000684,1,100,'Inflicts 1 cold damage on targets in Area of Effect instantly and every 0.5 seconds',0,0),
(129089,2000684,1,100,'Stifles targets in Area of Effect',0,1),
(129090,2000684,1,100,'Epic targets gain an immunity to Stifle effects of 4.5 seconds and duration is reduced to 0.5 seconds.',0,2),
(129091,2000684,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(129092,2000684,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(129093,10023,2,100,'Summons a pet undead knight',0,0),
(129094,2000685,1,100,'Increases Crit Chance of caster by 2.3',0,0),
(129095,2000685,1,100,'Summons a pet arcane tome',0,1),
(129096,2000685,2,100,'Increases Crit Chance of caster by 2.3',0,0),
(129097,2000685,2,100,'Summons a pet arcane tome',0,1),
(129098,2000685,3,100,'Increases Crit Chance of caster by 2.3',0,0),
(129099,2000685,3,100,'Summons a pet arcane tome',0,1),
(129100,2000685,4,100,'Increases Crit Chance of caster by 2.3',0,0),
(129101,2000685,4,100,'Summons a pet arcane tome',0,1),
(129102,2000685,5,100,'Increases Crit Chance of caster by 2.3',0,0),
(129103,2000685,5,100,'Summons a pet arcane tome',0,1),
(129104,2000685,6,100,'Increases Crit Chance of caster by 2.3',0,0),
(129105,2000685,6,100,'Summons a pet arcane tome',0,1),
(129106,2000685,7,100,'Increases Crit Chance of caster by 2.3',0,0),
(129107,2000685,7,100,'Summons a pet arcane tome',0,1),
(129108,2000685,8,100,'Increases Crit Chance of caster by 2.3',0,0),
(129109,2000685,8,100,'Summons a pet arcane tome',0,1),
(129110,2000685,9,100,'Increases Crit Chance of caster by 2.3',0,0),
(129111,2000685,9,100,'Summons a pet arcane tome',0,1),
(129112,2000685,10,100,'Increases Crit Chance of caster by 2.3',0,0),
(129113,2000685,10,100,'Summons a pet arcane tome',0,1),
(129114,2000686,1,100,'Increases Ability Reuse Speed of caster by 1.6%',0,0),
(129115,2000686,1,100,'Summons a pet minor drake',0,1),
(129116,2000686,2,100,'Increases Ability Reuse Speed of caster by 1.6%',0,0),
(129117,2000686,2,100,'Summons a pet minor drake',0,1),
(129118,2000686,3,100,'Increases Ability Reuse Speed of caster by 1.6%',0,0),
(129119,2000686,3,100,'Summons a pet minor drake',0,1),
(129120,2000686,4,100,'Increases Ability Reuse Speed of caster by 1.6%',0,0),
(129121,2000686,4,100,'Summons a pet minor drake',0,1),
(129122,2000686,5,100,'Increases Ability Reuse Speed of caster by 1.6%',0,0),
(129123,2000686,5,100,'Summons a pet minor drake',0,1),
(129124,2000686,6,100,'Increases Ability Reuse Speed of caster by 1.6%',0,0),
(129125,2000686,6,100,'Summons a pet minor drake',0,1),
(129126,2000686,7,100,'Increases Ability Reuse Speed of caster by 1.6%',0,0),
(129127,2000686,7,100,'Summons a pet minor drake',0,1),
(129128,2000686,8,100,'Increases Ability Reuse Speed of caster by 1.6%',0,0),
(129129,2000686,8,100,'Summons a pet minor drake',0,1),
(129130,2000686,9,100,'Increases Ability Reuse Speed of caster by 1.6%',0,0),
(129131,2000686,9,100,'Summons a pet minor drake',0,1),
(129132,2000686,10,100,'Increases Ability Reuse Speed of caster by 1.6%',0,0),
(129133,2000686,10,100,'Summons a pet minor drake',0,1),
(129134,110015,1,100,'Summons 5 Sacred Sustenance - Waters',0,0),
(129135,110015,1,100,'Summons 5 Sacred Sustenance - Foods',0,1),
(129136,110015,1,100,'This effect cannot be cast during combat',0,2),
(129140,2000687,1,100,'Decreases Hate Gain of caster by 4.0%',0,0),
(129141,2000687,1,100,'Summons a pet lesser gargoyle',0,1),
(129142,2000687,2,100,'Decreases Hate Gain of caster by 4.0%',0,0),
(129143,2000687,2,100,'Summons a pet lesser gargoyle',0,1),
(129144,2000687,3,100,'Decreases Hate Gain of caster by 4.0%',0,0),
(129145,2000687,3,100,'Summons a pet lesser gargoyle',0,1),
(129146,2000687,4,100,'Decreases Hate Gain of caster by 4.0%',0,0),
(129147,2000687,4,100,'Summons a pet lesser gargoyle',0,1),
(129148,2000687,5,100,'Decreases Hate Gain of caster by 4.0%',0,0),
(129149,2000687,5,100,'Summons a pet lesser gargoyle',0,1),
(129150,2000687,6,100,'Decreases Hate Gain of caster by 4.0%',0,0),
(129151,2000687,6,100,'Summons a pet lesser gargoyle',0,1),
(129152,2000687,7,100,'Decreases Hate Gain of caster by 4.0%',0,0),
(129153,2000687,7,100,'Summons a pet lesser gargoyle',0,1),
(129154,2000687,8,100,'Decreases Hate Gain of caster by 4.0%',0,0),
(129155,2000687,8,100,'Summons a pet lesser gargoyle',0,1),
(129156,2000687,9,100,'Decreases Hate Gain of caster by 4.0%',0,0),
(129157,2000687,9,100,'Summons a pet lesser gargoyle',0,1),
(129158,2000687,10,100,'Decreases Hate Gain of caster by 4.0%',0,0),
(129159,2000687,10,100,'Summons a pet lesser gargoyle',0,1),
(129160,220017,1,100,'Grants invisibility to target',0,0),
(129161,220017,1,100,'Suspends target''s movement speed enhancements',0,1),
(129162,220017,1,100,'Dispelled when target takes damage',0,2),
(129163,220017,1,100,'This effect cancels during combat',0,3),
(129164,2000688,1,100,'Summons a pet summoned spirit',0,0),
(129165,2000688,1,100,'If mystic',1,1),
(129166,2000688,1,100,'Summons a pet summoned spirit',0,2),
(129167,2000688,1,100,'If defiler',1,3),
(129168,2000688,2,100,'Summons a pet summoned spirit',0,0),
(129169,2000688,2,100,'If defiler',1,1),
(129170,2000688,2,100,'Summons a pet summoned spirit',0,2),
(129171,2000688,2,100,'If mystic',1,3),
(129172,2000688,3,100,'Summons a pet summoned spirit',0,0),
(129173,2000688,3,100,'If mystic',1,1),
(129174,2000688,3,100,'Summons a pet summoned spirit',0,2),
(129175,2000688,3,100,'If defiler',1,3),
(129176,2000688,4,100,'Summons a pet summoned spirit',0,0),
(129177,2000688,4,100,'If mystic',1,1),
(129178,2000688,4,100,'Summons a pet summoned spirit',0,2),
(129179,2000688,4,100,'If defiler',1,3),
(129180,2000688,5,100,'Summons a pet summoned spirit',0,0),
(129181,2000688,5,100,'If mystic',1,1),
(129182,2000688,5,100,'Summons a pet summoned spirit',0,2),
(129183,2000688,5,100,'If defiler',1,3),
(129184,2000688,6,100,'Summons a pet summoned spirit',0,0),
(129185,2000688,6,100,'If defiler',1,1),
(129186,2000688,6,100,'Summons a pet summoned spirit',0,2),
(129187,2000688,6,100,'If mystic',1,3),
(129188,2000688,7,100,'Summons a pet summoned spirit',0,0),
(129189,2000688,7,100,'If defiler',1,1),
(129190,2000688,7,100,'Summons a pet summoned spirit',0,2),
(129191,2000688,7,100,'If mystic',1,3),
(129192,2000688,8,100,'Summons a pet summoned spirit',0,0),
(129193,2000688,8,100,'If mystic',1,1),
(129194,2000688,8,100,'Summons a pet summoned spirit',0,2),
(129195,2000688,8,100,'If defiler',1,3),
(129196,2000688,9,100,'Summons a pet summoned spirit',0,0),
(129197,2000688,9,100,'If mystic',1,1),
(129198,2000688,9,100,'Summons a pet summoned spirit',0,2),
(129199,2000688,9,100,'If defiler',1,3),
(129200,2000688,10,100,'Summons a pet summoned spirit',0,0),
(129201,2000688,10,100,'If mystic',1,1),
(129202,2000688,10,100,'Summons a pet summoned spirit',0,2),
(129203,2000688,10,100,'If defiler',1,3),
(129204,280016,1,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',0,0),
(129205,280016,1,100,'Decreases Mitigation of target vs elemental and arcane damage by 141',1,1),
(129206,280016,1,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(129207,280016,1,100,'Decreases Mitigation of target vs elemental and arcane damage by 141',1,3),
(129208,280016,2,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',0,0),
(129209,280016,2,100,'Decreases Mitigation of target vs elemental and arcane damage by 149',1,1),
(129210,280016,2,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(129211,280016,2,100,'Decreases Mitigation of target vs elemental and arcane damage by 149',1,3),
(129212,280016,3,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',0,0),
(129213,280016,3,100,'Decreases Mitigation of target vs elemental and arcane damage by 157',1,1),
(129214,280016,3,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(129215,280016,3,100,'Decreases Mitigation of target vs elemental and arcane damage by 157',1,3),
(129216,280016,4,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',0,0),
(129217,280016,4,100,'Decreases Mitigation of target vs elemental and arcane damage by 172',1,1),
(129218,280016,4,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(129219,280016,4,100,'Decreases Mitigation of target vs elemental and arcane damage by 172',1,3),
(129220,280016,5,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',0,0),
(129221,280016,5,100,'Decreases Mitigation of target vs elemental and arcane damage by 188',1,1),
(129222,280016,5,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(129223,280016,5,100,'Decreases Mitigation of target vs elemental and arcane damage by 188',1,3),
(129224,280016,7,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',0,0),
(129225,280016,7,100,'Decreases Mitigation of target vs elemental and arcane damage by 241',1,1),
(129226,280016,7,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(129227,280016,7,100,'Decreases Mitigation of target vs elemental and arcane damage by 241',1,3),
(129228,280016,9,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',0,0),
(129229,280016,9,100,'Decreases Mitigation of target vs elemental and arcane damage by 251',1,1),
(129230,280016,9,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(129231,280016,9,100,'Decreases Mitigation of target vs elemental and arcane damage by 251',1,3),
(129232,2000689,1,100,'Applies Revived Sickness on termination.  Lasts for 1 minute 30 seconds.',0,0),
(129233,2000689,1,100,'Decreases Attack Speed of target by 20.0',1,1),
(129234,2000689,1,100,'If not between levels 1 - 6',2,2),
(129235,2000689,1,100,'Decreases All Attributes of target by 20.0%',1,3),
(129236,2000689,1,100,'If not between levels 1 - 6',2,4),
(129237,2000689,1,100,'Decreases All Attributes of target by 5.0%',1,5),
(129238,2000689,1,100,'If between levels 1 - 6',2,6),
(129239,2000689,1,100,'Decreases Attack Speed of target by 5.0',1,7),
(129240,2000689,1,100,'If between levels 1 - 6',2,8),
(129241,2000689,1,100,'Resurrects target with 100% health and power',0,9),
(129242,2000689,1,100,'Must not be engaged in combat',0,10),
(129243,230182,1,100,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',0,0),
(129244,230182,1,100,'Inflicts 10 - 12 heat damage on target instantly and every second',1,1),
(129245,230182,2,100,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',0,0),
(129246,230182,2,100,'Inflicts 10 - 13 heat damage on target instantly and every second',1,1),
(129247,230182,3,100,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',0,0),
(129248,230182,3,100,'Inflicts 11 - 13 heat damage on target instantly and every second',1,1),
(129249,230182,4,100,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',0,0),
(129250,230182,4,100,'Inflicts 12 - 15 heat damage on target instantly and every second',1,1),
(129251,230182,5,100,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',0,0),
(129252,230182,5,100,'Inflicts 13 - 16 heat damage on target instantly and every second',1,1),
(129253,230182,7,100,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',0,0),
(129254,230182,7,100,'Inflicts 17 - 21 heat damage on target instantly and every second',1,1),
(129255,230182,9,100,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',0,0),
(129256,230182,9,100,'Inflicts 18 - 21 heat damage on target instantly and every second',1,1),
(129257,230182,10,100,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',0,0),
(129258,230182,10,100,'Inflicts 18 - 23 heat damage on target instantly and every second',1,1),
(129259,230183,1,100,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',0,0),
(129260,230183,1,100,'Inflicts 15 - 19 heat damage on target instantly and every second',1,1),
(129261,230183,2,100,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',0,0),
(129262,230183,2,100,'Inflicts 16 - 20 heat damage on target instantly and every second',1,1),
(129263,230183,3,100,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',0,0),
(129264,230183,3,100,'Inflicts 17 - 21 heat damage on target instantly and every second',1,1),
(129265,230183,4,100,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',0,0),
(129266,230183,4,100,'Inflicts 19 - 23 heat damage on target instantly and every second',1,1),
(129267,230183,5,100,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',0,0),
(129268,230183,5,100,'Inflicts 20 - 25 heat damage on target instantly and every second',1,1),
(129269,230183,7,100,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',0,0),
(129270,230183,7,100,'Inflicts 26 - 32 heat damage on target instantly and every second',1,1),
(129271,230183,9,100,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',0,0),
(129272,230183,9,100,'Inflicts 27 - 33 heat damage on target instantly and every second',1,1),
(129273,230184,1,100,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',0,0),
(129274,230184,1,100,'Inflicts 21 - 26 heat damage on target instantly and every second',1,1),
(129275,230184,2,100,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',0,0),
(129276,230184,2,100,'Inflicts 22 - 27 heat damage on target instantly and every second',1,1),
(129277,230184,3,100,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',0,0),
(129278,230184,3,100,'Inflicts 23 - 29 heat damage on target instantly and every second',1,1),
(129279,230184,4,100,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',0,0),
(129280,230184,4,100,'Inflicts 26 - 32 heat damage on target instantly and every second',1,1),
(129281,230184,5,100,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',0,0),
(129282,230184,5,100,'Inflicts 28 - 34 heat damage on target instantly and every second',1,1),
(129283,230184,7,100,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',0,0),
(129284,230184,7,100,'Inflicts 36 - 44 heat damage on target instantly and every second',1,1),
(129285,230184,9,100,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',0,0),
(129286,230184,9,100,'Inflicts 38 - 46 heat damage on target instantly and every second',1,1),
(129287,230185,1,100,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',0,0),
(129288,230185,1,100,'Inflicts 27 - 33 heat damage on target instantly and every second',1,1),
(129289,230185,2,100,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',0,0),
(129290,230185,2,100,'Inflicts 28 - 35 heat damage on target instantly and every second',1,1),
(129291,230185,3,100,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',0,0),
(129292,230185,3,100,'Inflicts 30 - 37 heat damage on target instantly and every second',1,1),
(129293,230185,4,100,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',0,0),
(129294,230185,4,100,'Inflicts 33 - 40 heat damage on target instantly and every second',1,1),
(129295,230185,5,100,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',0,0),
(129296,230185,5,100,'Inflicts 36 - 44 heat damage on target instantly and every second',1,1),
(129297,230185,7,100,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',0,0),
(129298,230185,7,100,'Inflicts 46 - 56 heat damage on target instantly and every second',1,1),
(129299,230185,9,100,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',0,0),
(129300,230185,9,100,'Inflicts 48 - 59 heat damage on target instantly and every second',1,1),
(129301,230186,1,100,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',0,0),
(129302,230186,1,100,'Inflicts 33 - 40 heat damage on target instantly and every second',1,1),
(129303,230186,4,100,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',0,0),
(129304,230186,4,100,'Inflicts 40 - 49 heat damage on target instantly and every second',1,1),
(129305,230186,5,100,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',0,0),
(129306,230186,5,100,'Inflicts 44 - 53 heat damage on target instantly and every second',1,1),
(129307,230186,7,100,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',0,0),
(129308,230186,7,100,'Inflicts 56 - 68 heat damage on target instantly and every second',1,1),
(129309,230186,9,100,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',0,0),
(129310,230186,9,100,'Inflicts 58 - 71 heat damage on target instantly and every second',1,1),
(129311,230187,1,100,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',0,0),
(129312,230187,1,100,'Inflicts 38 - 46 heat damage on target instantly and every second',1,1),
(129313,230187,4,100,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',0,0),
(129314,230187,4,100,'Inflicts 46 - 56 heat damage on target instantly and every second',1,1),
(129315,230187,5,100,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',0,0),
(129316,230187,5,100,'Inflicts 50 - 61 heat damage on target instantly and every second',1,1),
(129317,230187,7,100,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',0,0),
(129318,230187,7,100,'Inflicts 65 - 79 heat damage on target instantly and every second',1,1),
(129319,230187,9,100,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',0,0),
(129320,230187,9,100,'Inflicts 67 - 82 heat damage on target instantly and every second',1,1),
(129321,2000690,1,100,'Inflicts 1 slashing damage on target',0,0),
(129322,2000690,1,100,'Inflicts 1 slashing damage on target every 8 seconds',0,1),
(129323,2000690,1,100,'Slows target by 27.0%',0,2),
(129324,2000691,1,100,'Inflicts 1 - 2 piercing damage on target',0,0),
(129325,2000692,1,100,'Summons a limited pet to aid the caster',0,0),
(129326,440127,1,100,'Repairs target for 15.0% of max health',0,0),
(129327,440127,1,100,'This effect cannot be critically applied.',1,1),
(129328,440127,1,100,'Increases Max Health of target by 10.0%',0,2),
(129329,140178,1,100,'Increases Mitigation of target vs elemental damage by 112.1',0,0),
(129330,140178,1,100,'Allows target to breathe under water',0,1),
(129331,160134,1,100,'Heals target for 7 - 9',0,0),
(129332,160134,1,100,'Heals target for 1 every second',0,1),
(129333,160134,2,100,'Heals target for 8 - 9',0,0),
(129334,160134,2,100,'Heals target for 1 - 2 every second',0,1),
(129335,160134,3,100,'Heals target for 8 - 10',0,0),
(129336,160134,3,100,'Heals target for 1 - 2 every second',0,1),
(129337,160134,4,100,'Heals target for 9 - 11',0,0),
(129338,160134,4,100,'Heals target for 1 - 2 every second',0,1),
(129339,160134,5,100,'Heals target for 10 - 12',0,0),
(129340,160134,5,100,'Heals target for 2 every second',0,1),
(129341,160134,7,100,'Heals target for 12 - 15',0,0),
(129342,160134,7,100,'Heals target for 2 - 3 every second',0,1),
(129343,160134,9,100,'Heals target for 13 - 16',0,0),
(129344,160134,9,100,'Heals target for 2 - 3 every second',0,1),
(129345,160135,1,100,'Heals target for 26 - 31',0,0),
(129346,160135,1,100,'Heals target for 4 - 5 every second',0,1),
(129347,160135,2,100,'Heals target for 27 - 33',0,0),
(129348,160135,2,100,'Heals target for 4 - 5 every second',0,1),
(129349,160135,3,100,'Heals target for 28 - 35',0,0),
(129350,160135,3,100,'Heals target for 5 - 6 every second',0,1),
(129351,160135,4,100,'Heals target for 31 - 38',0,0),
(129352,160135,4,100,'Heals target for 5 - 6 every second',0,1),
(129353,160135,5,100,'Heals target for 34 - 42',0,0),
(129354,160135,5,100,'Heals target for 6 - 7 every second',0,1),
(129355,160135,7,100,'Heals target for 44 - 53',0,0),
(129356,160135,7,100,'Heals target for 7 - 9 every second',0,1),
(129357,160135,9,100,'Heals target for 45 - 55',0,0),
(129358,160135,9,100,'Heals target for 8 - 9 every second',0,1),
(129359,160136,1,100,'Heals target for 55 - 67',0,0),
(129360,160136,1,100,'Heals target for 9 - 11 every second',0,1),
(129361,160136,2,100,'Heals target for 58 - 71',0,0),
(129362,160136,2,100,'Heals target for 10 - 12 every second',0,1),
(129363,160136,3,100,'Heals target for 61 - 74',0,0),
(129364,160136,3,100,'Heals target for 10 - 12 every second',0,1),
(129365,160136,4,100,'Heals target for 67 - 82',0,0),
(129366,160136,4,100,'Heals target for 11 - 14 every second',0,1),
(129367,160136,5,100,'Heals target for 73 - 89',0,0),
(129368,160136,5,100,'Heals target for 12 - 15 every second',0,1),
(129369,160136,7,100,'Heals target for 94 - 114',0,0),
(129370,160136,7,100,'Heals target for 16 - 19 every second',0,1),
(129371,160136,9,100,'Heals target for 97 - 119',0,0),
(129372,160136,9,100,'Heals target for 16 - 20 every second',0,1),
(129373,160137,1,100,'Heals target for 82 - 100',0,0),
(129374,160137,1,100,'Heals target for 14 - 17 every second',0,1),
(129375,160137,2,100,'Heals target for 86 - 105',0,0),
(129376,160137,2,100,'Heals target for 14 - 18 every second',0,1),
(129377,160137,3,100,'Heals target for 91 - 111',0,0),
(129378,160137,3,100,'Heals target for 15 - 18 every second',0,1),
(129379,160137,4,100,'Heals target for 100 - 122',0,0),
(129380,160137,4,100,'Heals target for 17 - 20 every second',0,1),
(129381,160137,5,100,'Heals target for 109 - 133',0,0),
(129382,160137,5,100,'Heals target for 18 - 22 every second',0,1),
(129383,160137,7,100,'Heals target for 140 - 171',0,0),
(129384,160137,7,100,'Heals target for 23 - 28 every second',0,1),
(129385,160137,9,100,'Heals target for 145 - 177',0,0),
(129386,160137,9,100,'Heals target for 24 - 30 every second',0,1),
(129387,160138,1,100,'Heals target for 446 - 545',0,0),
(129388,160138,1,100,'Heals target for 74 - 91 every second',0,1),
(129389,160138,4,100,'Heals target for 545 - 666',0,0),
(129390,160138,4,100,'Heals target for 91 - 111 every second',0,1),
(129391,160138,5,100,'Heals target for 594 - 726',0,0),
(129392,160138,5,100,'Heals target for 99 - 121 every second',0,1),
(129393,160138,7,100,'Heals target for 763 - 932',0,0),
(129394,160138,7,100,'Heals target for 127 - 155 every second',0,1),
(129395,160138,9,100,'Heals target for 793 - 969',0,0),
(129396,160138,9,100,'Heals target for 132 - 161 every second',0,1),
(129397,160139,1,100,'Heals target for 112 - 137',0,0),
(129398,160139,1,100,'Heals target for 19 - 23 every second',0,1),
(129399,160139,2,100,'Heals target for 119 - 145',0,0),
(129400,160139,2,100,'Heals target for 20 - 24 every second',0,1),
(129401,160139,3,100,'Heals target for 125 - 152',0,0),
(129402,160139,3,100,'Heals target for 21 - 25 every second',0,1),
(129403,160139,4,100,'Heals target for 137 - 168',0,0),
(129404,160139,4,100,'Heals target for 23 - 28 every second',0,1),
(129405,160139,5,100,'Heals target for 150 - 183',0,0),
(129406,160139,5,100,'Heals target for 25 - 30 every second',0,1),
(129407,160139,7,100,'Heals target for 192 - 235',0,0),
(129408,160139,7,100,'Heals target for 32 - 39 every second',0,1),
(129409,160139,9,100,'Heals target for 200 - 244',0,0),
(129410,160139,9,100,'Heals target for 33 - 41 every second',0,1),
(129411,160140,1,100,'Heals target for 177 - 216',0,0),
(129412,160140,1,100,'Heals target for 29 - 36 every second',0,1),
(129413,160140,2,100,'Heals target for 187 - 228',0,0),
(129414,160140,2,100,'Heals target for 31 - 38 every second',0,1),
(129415,160140,3,100,'Heals target for 196 - 240',0,0),
(129416,160140,3,100,'Heals target for 33 - 40 every second',0,1),
(129417,160140,4,100,'Heals target for 216 - 264',0,0),
(129418,160140,4,100,'Heals target for 36 - 44 every second',0,1),
(129419,160140,5,100,'Heals target for 236 - 288',0,0),
(129420,160140,5,100,'Heals target for 39 - 48 every second',0,1),
(129421,160140,7,100,'Heals target for 302 - 370',0,0),
(129422,160140,7,100,'Heals target for 50 - 62 every second',0,1),
(129423,160140,9,100,'Heals target for 314 - 384',0,0),
(129424,160140,9,100,'Heals target for 52 - 64 every second',0,1),
(129425,160140,10,100,'Heals target for 330 - 403',0,0),
(129426,160140,10,100,'Heals target for 55 - 67 every second',0,1),
(129427,160141,1,100,'Heals target for 253 - 310',0,0),
(129428,160141,1,100,'Heals target for 42 - 52 every second',0,1),
(129429,160141,2,100,'Heals target for 267 - 327',0,0),
(129430,160141,2,100,'Heals target for 45 - 54 every second',0,1),
(129431,160141,3,100,'Heals target for 281 - 344',0,0),
(129432,160141,3,100,'Heals target for 47 - 57 every second',0,1),
(129433,160141,4,100,'Heals target for 310 - 378',0,0),
(129434,160141,4,100,'Heals target for 52 - 63 every second',0,1),
(129435,160141,5,100,'Heals target for 338 - 413',0,0),
(129436,160141,5,100,'Heals target for 56 - 69 every second',0,1),
(129437,160141,7,100,'Heals target for 433 - 530',0,0),
(129438,160141,7,100,'Heals target for 72 - 88 every second',0,1),
(129439,160141,9,100,'Heals target for 450 - 550',0,0),
(129440,160141,9,100,'Heals target for 75 - 92 every second',0,1),
(129441,160142,1,100,'Heals target for 336 - 410',0,0),
(129442,160142,1,100,'Heals target for 56 - 68 every second',0,1),
(129443,160142,2,100,'Heals target for 354 - 433',0,0),
(129444,160142,2,100,'Heals target for 59 - 72 every second',0,1),
(129445,160142,3,100,'Heals target for 373 - 456',0,0),
(129446,160142,3,100,'Heals target for 62 - 76 every second',0,1),
(129447,160142,4,100,'Heals target for 410 - 501',0,0),
(129448,160142,4,100,'Heals target for 68 - 84 every second',0,1),
(129449,160142,5,100,'Heals target for 448 - 547',0,0),
(129450,160142,5,100,'Heals target for 75 - 91 every second',0,1),
(129451,160142,7,100,'Heals target for 574 - 702',0,0),
(129452,160142,7,100,'Heals target for 96 - 117 every second',0,1),
(129453,160142,9,100,'Heals target for 597 - 729',0,0),
(129454,160142,9,100,'Heals target for 99 - 122 every second',0,1),
(129455,160143,1,100,'Heals target for 524 - 640',0,0),
(129456,160143,1,100,'Heals target for 87 - 107 every second',0,1),
(129457,160143,4,100,'Heals target for 640 - 782',0,0),
(129458,160143,4,100,'Heals target for 107 - 130 every second',0,1),
(129459,160143,5,100,'Heals target for 698 - 854',0,0),
(129460,160143,5,100,'Heals target for 116 - 142 every second',0,1),
(129461,160143,7,100,'Heals target for 896 - 1095',0,0),
(129462,160143,7,100,'Heals target for 149 - 183 every second',0,1),
(129463,160143,9,100,'Heals target for 931 - 1138',0,0),
(129464,160143,9,100,'Heals target for 155 - 190 every second',0,1),
(129465,160144,3,100,'Heals group members (AE) for 428 - 524',0,0),
(129466,160144,3,100,'Heals group members (AE) for 176 - 216 every 2 seconds',0,1),
(129469,150019,1,100,'Heals group members (AE) for 61 - 74',0,0),
(129470,150019,1,100,'Heals group members (AE) for 10 - 12 every second',0,1),
(129471,150019,2,100,'Heals group members (AE) for 64 - 78',0,0),
(129472,150019,2,100,'Heals group members (AE) for 11 - 13 every second',0,1),
(129473,150019,3,100,'Heals group members (AE) for 67 - 82',0,0),
(129474,150019,3,100,'Heals group members (AE) for 11 - 14 every second',0,1),
(129475,150019,4,100,'Heals group members (AE) for 74 - 90',0,0),
(129476,150019,4,100,'Heals group members (AE) for 12 - 15 every second',0,1),
(129477,150019,5,100,'Heals group members (AE) for 81 - 99',0,0),
(129478,150019,5,100,'Heals group members (AE) for 14 - 17 every second',0,1),
(129479,150019,7,100,'Heals group members (AE) for 104 - 127',0,0),
(129480,150019,7,100,'Heals group members (AE) for 17 - 21 every second',0,1),
(129481,150019,9,100,'Heals group members (AE) for 108 - 132',0,0),
(129482,150019,9,100,'Heals group members (AE) for 18 - 22 every second',0,1),
(129483,2000693,1,100,'Applies Symbiosis to qualifying pets.',0,0),
(129484,2000693,1,100,'Causes 1% Threat to transfer to target when in combat',1,1),
(129485,2000693,1,100,'If fighter',2,2),
(129486,2000693,1,100,'Transfers 1% of target''s current Threat to the caster',1,3),
(129487,2000693,1,100,'If not fighter',2,4),
(129488,2000693,2,100,'Applies Symbiosis to qualifying pets.',0,0),
(129489,2000693,2,100,'Causes 2% Threat to transfer to target when in combat',1,1),
(129490,2000693,2,100,'If fighter',2,2),
(129491,2000693,2,100,'Transfers 2% of target''s current Threat to the caster',1,3),
(129492,2000693,2,100,'If not fighter',2,4),
(129493,2000693,3,100,'Applies Symbiosis to qualifying pets.',0,0),
(129494,2000693,3,100,'Causes 3% Threat to transfer to target when in combat',1,1),
(129495,2000693,3,100,'If fighter',2,2),
(129496,2000693,3,100,'Transfers 3% of target''s current Threat to the caster',1,3),
(129497,2000693,3,100,'If not fighter',2,4),
(129498,2000693,4,100,'Applies Symbiosis to qualifying pets.',0,0),
(129499,2000693,4,100,'Causes 4% Threat to transfer to target when in combat',1,1),
(129500,2000693,4,100,'If fighter',2,2),
(129501,2000693,4,100,'Transfers 4% of target''s current Threat to the caster',1,3),
(129502,2000693,4,100,'If not fighter',2,4),
(129503,2000693,5,100,'Applies Symbiosis to qualifying pets.',0,0),
(129504,2000693,5,100,'Causes 5% Threat to transfer to target when in combat',1,1),
(129505,2000693,5,100,'If fighter',2,2),
(129506,2000693,5,100,'Transfers 5% of target''s current Threat to the caster',1,3),
(129507,2000693,5,100,'If not fighter',2,4),
(129508,2000693,6,100,'Applies Symbiosis to qualifying pets.',0,0),
(129509,2000693,6,100,'Causes 6% Threat to transfer to target when in combat',1,1),
(129510,2000693,6,100,'If fighter',2,2),
(129511,2000693,6,100,'Transfers 6% of target''s current Threat to the caster',1,3),
(129512,2000693,6,100,'If not fighter',2,4),
(129513,2000693,7,100,'Applies Symbiosis to qualifying pets.',0,0),
(129514,2000693,7,100,'Causes 7% Threat to transfer to target when in combat',1,1),
(129515,2000693,7,100,'If fighter',2,2),
(129516,2000693,7,100,'Transfers 7% of target''s current Threat to the caster',1,3),
(129517,2000693,7,100,'If not fighter',2,4),
(129518,2000693,8,100,'Applies Symbiosis to qualifying pets.',0,0),
(129519,2000693,8,100,'Causes 8% Threat to transfer to target when in combat',1,1),
(129520,2000693,8,100,'If fighter',2,2),
(129521,2000693,8,100,'Transfers 8% of target''s current Threat to the caster',1,3),
(129522,2000693,8,100,'If not fighter',2,4),
(129523,2000693,9,100,'Applies Symbiosis to qualifying pets.',0,0),
(129524,2000693,9,100,'Causes 9% Threat to transfer to target when in combat',1,1),
(129525,2000693,9,100,'If fighter',2,2),
(129526,2000693,9,100,'Transfers 9% of target''s current Threat to the caster',1,3),
(129527,2000693,9,100,'If not fighter',2,4),
(129528,2000693,10,100,'Applies Symbiosis to qualifying pets.',0,0),
(129529,2000693,10,100,'Causes 10% Threat to transfer to target when in combat',1,1),
(129530,2000693,10,100,'If fighter',2,2),
(129531,2000693,10,100,'Transfers 10% of target''s current Threat to the caster',1,3),
(129532,2000693,10,100,'If not fighter',2,4),
(129533,130152,1,100,'Increases STA of group members (AE) by 3.0',0,0),
(129534,130152,1,100,'Increases Mitigation of group members (AE) vs arcane damage by 194',0,1),
(129535,130152,2,100,'Increases STA of group members (AE) by 3.2',0,0),
(129536,130152,2,100,'Increases Mitigation of group members (AE) vs arcane damage by 205',0,1),
(129537,130152,3,100,'Increases STA of group members (AE) by 3.4',0,0),
(129538,130152,3,100,'Increases Mitigation of group members (AE) vs arcane damage by 216',0,1),
(129539,130152,4,100,'Increases STA of group members (AE) by 3.7',0,0),
(129540,130152,4,100,'Increases Mitigation of group members (AE) vs arcane damage by 238',0,1),
(129541,130152,5,100,'Increases STA of group members (AE) by 4.1',0,0),
(129542,130152,5,100,'Increases Mitigation of group members (AE) vs arcane damage by 259',0,1),
(129543,130152,7,100,'Increases STA of group members (AE) by 5.2',0,0),
(129544,130152,7,100,'Increases Mitigation of group members (AE) vs arcane damage by 333',0,1),
(129545,130152,9,100,'Increases STA of group members (AE) by 5.4',0,0),
(129546,130152,9,100,'Increases Mitigation of group members (AE) vs arcane damage by 346',0,1),
(129547,130153,1,100,'Increases STA of group members (AE) by 7.8',0,0),
(129548,130153,1,100,'Increases Mitigation of group members (AE) vs arcane damage by 338',0,1),
(129549,130153,2,100,'Increases STA of group members (AE) by 8.2',0,0),
(129550,130153,2,100,'Increases Mitigation of group members (AE) vs arcane damage by 356',0,1),
(129551,130153,3,100,'Increases STA of group members (AE) by 8.7',0,0),
(129552,130153,3,100,'Increases Mitigation of group members (AE) vs arcane damage by 375',0,1),
(129553,130153,4,100,'Increases STA of group members (AE) by 9.5',0,0),
(129554,130153,4,100,'Increases Mitigation of group members (AE) vs arcane damage by 413',0,1),
(129555,130153,5,100,'Increases STA of group members (AE) by 10.4',0,0),
(129556,130153,5,100,'Increases Mitigation of group members (AE) vs arcane damage by 450',0,1),
(129557,130153,7,100,'Increases STA of group members (AE) by 13.3',0,0),
(129558,130153,7,100,'Increases Mitigation of group members (AE) vs arcane damage by 578',0,1),
(129559,130153,9,100,'Increases STA of group members (AE) by 13.8',0,0),
(129560,130153,9,100,'Increases Mitigation of group members (AE) vs arcane damage by 600',0,1),
(129561,130154,1,100,'Increases STA of group members (AE) by 13.2',0,0),
(129562,130154,1,100,'Increases Mitigation of group members (AE) vs arcane damage by 495',0,1),
(129563,130154,2,100,'Increases STA of group members (AE) by 14.0',0,0),
(129564,130154,2,100,'Increases Mitigation of group members (AE) vs arcane damage by 523',0,1),
(129565,130154,3,100,'Increases STA of group members (AE) by 14.7',0,0),
(129566,130154,3,100,'Increases Mitigation of group members (AE) vs arcane damage by 550',0,1),
(129567,130154,4,100,'Increases STA of group members (AE) by 16.2',0,0),
(129568,130154,4,100,'Increases Mitigation of group members (AE) vs arcane damage by 605',0,1),
(129569,130154,5,100,'Increases STA of group members (AE) by 17.6',0,0),
(129570,130154,5,100,'Increases Mitigation of group members (AE) vs arcane damage by 660',0,1),
(129571,130154,7,100,'Increases STA of group members (AE) by 22.6',0,0),
(129572,130154,7,100,'Increases Mitigation of group members (AE) vs arcane damage by 847',0,1),
(129573,130154,9,100,'Increases STA of group members (AE) by 23.5',0,0),
(129574,130154,9,100,'Increases Mitigation of group members (AE) vs arcane damage by 880',0,1),
(129575,130155,1,100,'Increases STA of group members (AE) by 18.1',0,0),
(129576,130155,1,100,'Increases Mitigation of group members (AE) vs arcane damage by 653',0,1),
(129577,130155,2,100,'Increases STA of group members (AE) by 19.1',0,0),
(129578,130155,2,100,'Increases Mitigation of group members (AE) vs arcane damage by 689',0,1),
(129579,130155,3,100,'Increases STA of group members (AE) by 20.1',0,0),
(129580,130155,3,100,'Increases Mitigation of group members (AE) vs arcane damage by 725',0,1),
(129581,130155,4,100,'Increases STA of group members (AE) by 22.1',0,0),
(129582,130155,4,100,'Increases Mitigation of group members (AE) vs arcane damage by 798',0,1),
(129583,130155,5,100,'Increases STA of group members (AE) by 24.1',0,0),
(129584,130155,5,100,'Increases Mitigation of group members (AE) vs arcane damage by 870',0,1),
(129585,130155,7,100,'Increases STA of group members (AE) by 30.9',0,0),
(129586,130155,7,100,'Increases Mitigation of group members (AE) vs arcane damage by 1117',0,1),
(129587,130155,9,100,'Increases STA of group members (AE) by 32.1',0,0),
(129588,130155,9,100,'Increases Mitigation of group members (AE) vs arcane damage by 1160',0,1),
(129589,130156,1,100,'Increases STA of group members (AE) by 22.8',0,0),
(129590,130156,1,100,'Increases Mitigation of group members (AE) vs arcane damage by 851',0,1),
(129591,130156,2,100,'Increases STA of group members (AE) by 24.1',0,0),
(129592,130156,2,100,'Increases Mitigation of group members (AE) vs arcane damage by 898',0,1),
(129593,130156,3,100,'Increases STA of group members (AE) by 25.4',0,0),
(129594,130156,3,100,'Increases Mitigation of group members (AE) vs arcane damage by 945',0,1),
(129595,130156,4,100,'Increases STA of group members (AE) by 27.9',0,0),
(129596,130156,4,100,'Increases Mitigation of group members (AE) vs arcane damage by 1040',0,1),
(129597,130156,5,100,'Increases STA of group members (AE) by 30.4',0,0),
(129598,130156,5,100,'Increases Mitigation of group members (AE) vs arcane damage by 1134',0,1),
(129599,130156,7,100,'Increases STA of group members (AE) by 39.0',0,0),
(129600,130156,7,100,'Increases Mitigation of group members (AE) vs arcane damage by 1455',0,1),
(129601,130156,9,100,'Increases STA of group members (AE) by 40.6',0,0),
(129602,130156,9,100,'Increases Mitigation of group members (AE) vs arcane damage by 1512',0,1),
(129603,130156,10,100,'Increases STA of group members (AE) by 42.6',0,0),
(129604,130156,10,100,'Increases Mitigation of group members (AE) vs arcane damage by 1588',0,1),
(129605,130157,1,100,'Increases STA of group members (AE) by 27.3',0,0),
(129606,130157,1,100,'Increases Mitigation of group members (AE) vs arcane damage by 978',0,1),
(129607,130157,4,100,'Increases STA of group members (AE) by 33.4',0,0),
(129608,130157,4,100,'Increases Mitigation of group members (AE) vs arcane damage by 1195',0,1),
(129609,130157,5,100,'Increases STA of group members (AE) by 36.4',0,0),
(129610,130157,5,100,'Increases Mitigation of group members (AE) vs arcane damage by 1304',0,1),
(129611,130157,7,100,'Increases STA of group members (AE) by 46.7',0,0),
(129612,130157,7,100,'Increases Mitigation of group members (AE) vs arcane damage by 1673',0,1),
(129613,130157,9,100,'Increases STA of group members (AE) by 48.6',0,0),
(129614,130157,9,100,'Increases Mitigation of group members (AE) vs arcane damage by 1738',0,1),
(129615,130158,1,100,'Increases STA of group members (AE) by 31.8',0,0),
(129616,130158,1,100,'Increases Mitigation of group members (AE) vs arcane damage by 1139',0,1),
(129617,130158,4,100,'Increases STA of group members (AE) by 38.9',0,0),
(129618,130158,4,100,'Increases Mitigation of group members (AE) vs arcane damage by 1392',0,1),
(129619,130158,5,100,'Increases STA of group members (AE) by 42.4',0,0),
(129620,130158,5,100,'Increases Mitigation of group members (AE) vs arcane damage by 1518',0,1),
(129621,130158,7,100,'Increases STA of group members (AE) by 54.4',0,0),
(129622,130158,7,100,'Increases Mitigation of group members (AE) vs arcane damage by 1948',0,1),
(129623,130158,9,100,'Increases STA of group members (AE) by 56.6',0,0),
(129624,130158,9,100,'Increases Mitigation of group members (AE) vs arcane damage by 2024',0,1),
(129625,120023,1,100,'Increases Max Health of group members (AE) by 30.4',0,0),
(129626,120023,1,100,'Increases Mitigation of group members (AE) vs arcane damage by 156',0,1),
(129627,120023,2,100,'Increases Max Health of group members (AE) by 32.1',0,0),
(129628,120023,2,100,'Increases Mitigation of group members (AE) vs arcane damage by 164',0,1),
(129629,120023,3,100,'Increases Max Health of group members (AE) by 33.8',0,0),
(129630,120023,3,100,'Increases Mitigation of group members (AE) vs arcane damage by 173',0,1),
(129631,120023,4,100,'Increases Max Health of group members (AE) by 37.2',0,0),
(129632,120023,4,100,'Increases Mitigation of group members (AE) vs arcane damage by 190',0,1),
(129633,120023,5,100,'Increases Max Health of group members (AE) by 40.6',0,0),
(129634,120023,5,100,'Increases Mitigation of group members (AE) vs arcane damage by 207',0,1),
(129635,120023,7,100,'Increases Max Health of group members (AE) by 52.1',0,0),
(129636,120023,7,100,'Increases Mitigation of group members (AE) vs arcane damage by 266',0,1),
(129637,120023,9,100,'Increases Max Health of group members (AE) by 54.1',0,0),
(129638,120023,9,100,'Increases Mitigation of group members (AE) vs arcane damage by 276',0,1),
(129639,260174,1,100,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',0,0),
(129640,260174,1,100,'Decreases Threat to target by 160 - 196 ',1,1),
(129641,260174,1,100,'If profession other than Fighter',2,2),
(129642,260174,1,100,'Inflicts 70 - 86 mental damage on target',1,3),
(129643,260174,2,100,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',0,0),
(129644,260174,2,100,'Decreases Threat to target by 169 - 207 ',1,1),
(129645,260174,2,100,'If profession other than Fighter',2,2),
(129646,260174,2,100,'Inflicts 74 - 90 mental damage on target',1,3),
(129647,260174,3,100,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',0,0),
(129648,260174,3,100,'Decreases Threat to target by 178 - 218 ',1,1),
(129649,260174,3,100,'If profession other than Fighter',2,2),
(129650,260174,3,100,'Inflicts 78 - 95 mental damage on target',1,3),
(129651,260174,4,100,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',0,0),
(129652,260174,4,100,'Decreases Threat to target by 196 - 239 ',1,1),
(129653,260174,4,100,'If profession other than Fighter',2,2),
(129654,260174,4,100,'Inflicts 86 - 105 mental damage on target',1,3),
(129655,260174,5,100,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',0,0),
(129656,260174,5,100,'Decreases Threat to target by 214 - 261 ',1,1),
(129657,260174,5,100,'If profession other than Fighter',2,2),
(129658,260174,5,100,'Inflicts 93 - 114 mental damage on target',1,3),
(129659,260174,7,100,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',0,0),
(129660,260174,7,100,'Decreases Threat to target by 274 - 335 ',1,1),
(129661,260174,7,100,'If profession other than Fighter',2,2),
(129662,260174,7,100,'Inflicts 120 - 147 mental damage on target',1,3),
(129663,260174,9,100,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',0,0),
(129664,260174,9,100,'Decreases Threat to target by 285 - 348 ',1,1),
(129665,260174,9,100,'If profession other than Fighter',2,2),
(129666,260174,9,100,'Inflicts 125 - 152 mental damage on target',1,3),
(129667,260175,1,100,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',0,0),
(129668,260175,1,100,'Decreases Threat to target by 248 - 303 ',1,1),
(129669,260175,1,100,'If profession other than Fighter',2,2),
(129670,260175,1,100,'Inflicts 106 - 129 mental damage on target',1,3),
(129671,260175,2,100,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',0,0),
(129672,260175,2,100,'Decreases Threat to target by 262 - 320 ',1,1),
(129673,260175,2,100,'If profession other than Fighter',2,2),
(129674,260175,2,100,'Inflicts 112 - 136 mental damage on target',1,3),
(129675,260175,3,100,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',0,0),
(129676,260175,3,100,'Decreases Threat to target by 276 - 337 ',1,1),
(129677,260175,3,100,'If profession other than Fighter',2,2),
(129678,260175,3,100,'Inflicts 117 - 144 mental damage on target',1,3),
(129679,260175,4,100,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',0,0),
(129680,260175,4,100,'Decreases Threat to target by 303 - 371 ',1,1),
(129681,260175,4,100,'If profession other than Fighter',2,2),
(129682,260175,4,100,'Inflicts 129 - 158 mental damage on target',1,3),
(129683,260175,5,100,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',0,0),
(129684,260175,5,100,'Decreases Threat to target by 331 - 404 ',1,1),
(129685,260175,5,100,'If profession other than Fighter',2,2),
(129686,260175,5,100,'Inflicts 141 - 172 mental damage on target',1,3),
(129687,260175,7,100,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',0,0),
(129688,260175,7,100,'Decreases Threat to target by 425 - 519 ',1,1),
(129689,260175,7,100,'If profession other than Fighter',2,2),
(129690,260175,7,100,'Inflicts 181 - 221 mental damage on target',1,3),
(129691,260175,9,100,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',0,0),
(129692,260175,9,100,'Decreases Threat to target by 441 - 539 ',1,1),
(129693,260175,9,100,'If profession other than Fighter',2,2),
(129694,260175,9,100,'Inflicts 188 - 230 mental damage on target',1,3),
(129695,260175,10,100,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',0,0),
(129696,260175,10,100,'Decreases Threat to target by 463 - 566 ',1,1),
(129697,260175,10,100,'If profession other than Fighter',2,2),
(129698,260175,10,100,'Inflicts 197 - 241 mental damage on target',1,3),
(129699,260176,1,100,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',0,0),
(129700,260176,1,100,'Decreases Threat to target by 348 - 425 ',1,1),
(129701,260176,1,100,'If profession other than Fighter',2,2),
(129702,260176,1,100,'Inflicts 144 - 176 mental damage on target',1,3),
(129703,260176,2,100,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',0,0),
(129704,260176,2,100,'Decreases Threat to target by 367 - 449 ',1,1),
(129705,260176,2,100,'If profession other than Fighter',2,2),
(129706,260176,2,100,'Inflicts 152 - 186 mental damage on target',1,3),
(129707,260176,3,100,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',0,0),
(129708,260176,3,100,'Decreases Threat to target by 386 - 472 ',1,1),
(129709,260176,3,100,'If profession other than Fighter',2,2),
(129710,260176,3,100,'Inflicts 160 - 196 mental damage on target',1,3),
(129711,260176,4,100,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',0,0),
(129712,260176,4,100,'Decreases Threat to target by 425 - 520 ',1,1),
(129713,260176,4,100,'If profession other than Fighter',2,2),
(129714,260176,4,100,'Inflicts 176 - 215 mental damage on target',1,3),
(129715,260176,5,100,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',0,0),
(129716,260176,5,100,'Decreases Threat to target by 464 - 567 ',1,1),
(129717,260176,5,100,'If profession other than Fighter',2,2),
(129718,260176,5,100,'Inflicts 192 - 235 mental damage on target',1,3),
(129719,260176,7,100,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',0,0),
(129720,260176,7,100,'Decreases Threat to target by 595 - 728 ',1,1),
(129721,260176,7,100,'If profession other than Fighter',2,2),
(129722,260176,7,100,'Inflicts 246 - 301 mental damage on target',1,3),
(129723,260176,9,100,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',0,0),
(129724,260176,9,100,'Decreases Threat to target by 618 - 756 ',1,1),
(129725,260176,9,100,'If profession other than Fighter',2,2),
(129726,260176,9,100,'Inflicts 256 - 313 mental damage on target',1,3),
(129727,260176,10,100,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',0,0),
(129728,260176,10,100,'Decreases Threat to target by 649 - 794 ',1,1),
(129729,260176,10,100,'If profession other than Fighter',2,2),
(129730,260176,10,100,'Inflicts 269 - 329 mental damage on target',1,3),
(129731,260177,1,100,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',0,0),
(129732,260177,1,100,'Decreases Threat to target by 449 - 549 ',1,1),
(129733,260177,1,100,'If profession other than Fighter',2,2),
(129734,260177,1,100,'Inflicts 180 - 221 mental damage on target',1,3),
(129735,260177,2,100,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',0,0),
(129736,260177,2,100,'Decreases Threat to target by 474 - 580 ',1,1),
(129737,260177,2,100,'If profession other than Fighter',2,2),
(129738,260177,2,100,'Inflicts 191 - 233 mental damage on target',1,3),
(129739,260177,3,100,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',0,0),
(129740,260177,3,100,'Decreases Threat to target by 499 - 611 ',1,1),
(129741,260177,3,100,'If profession other than Fighter',2,2),
(129742,260177,3,100,'Inflicts 201 - 245 mental damage on target',1,3),
(129743,260177,4,100,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',0,0),
(129744,260177,4,100,'Decreases Threat to target by 549 - 672 ',1,1),
(129745,260177,4,100,'If profession other than Fighter',2,2),
(129746,260177,4,100,'Inflicts 221 - 270 mental damage on target',1,3),
(129747,260177,5,100,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',0,0),
(129748,260177,5,100,'Decreases Threat to target by 599 - 733 ',1,1),
(129749,260177,5,100,'If profession other than Fighter',2,2),
(129750,260177,5,100,'Inflicts 241 - 294 mental damage on target',1,3),
(129751,260177,7,100,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',0,0),
(129752,260177,7,100,'Decreases Threat to target by 769 - 941 ',1,1),
(129753,260177,7,100,'If profession other than Fighter',2,2),
(129754,260177,7,100,'Inflicts 309 - 377 mental damage on target',1,3),
(129755,260177,9,100,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',0,0),
(129756,260177,9,100,'Decreases Threat to target by 799 - 977 ',1,1),
(129757,260177,9,100,'If profession other than Fighter',2,2),
(129758,260177,9,100,'Inflicts 321 - 392 mental damage on target',1,3),
(129759,260178,1,100,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',0,0),
(129760,260178,1,100,'Decreases Threat to target by 551 - 673 ',1,1),
(129761,260178,1,100,'If profession other than Fighter',2,2),
(129762,260178,1,100,'Inflicts 218 - 266 mental damage on target',1,3),
(129763,260178,4,100,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',0,0),
(129764,260178,4,100,'Decreases Threat to target by 673 - 823 ',1,1),
(129765,260178,4,100,'If profession other than Fighter',2,2),
(129766,260178,4,100,'Inflicts 266 - 326 mental damage on target',1,3),
(129767,260178,5,100,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',0,0),
(129768,260178,5,100,'Decreases Threat to target by 735 - 898 ',1,1),
(129769,260178,5,100,'If profession other than Fighter',2,2),
(129770,260178,5,100,'Inflicts 291 - 355 mental damage on target',1,3),
(129771,260178,7,100,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',0,0),
(129772,260178,7,100,'Decreases Threat to target by 943 - 1,153 ',1,1),
(129773,260178,7,100,'If profession other than Fighter',2,2),
(129774,260178,7,100,'Inflicts 373 - 456 mental damage on target',1,3),
(129775,260178,9,100,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',0,0),
(129776,260178,9,100,'Decreases Threat to target by 980 - 1,198 ',1,1),
(129777,260178,9,100,'If profession other than Fighter',2,2),
(129778,260178,9,100,'Inflicts 387 - 474 mental damage on target',1,3),
(129779,260178,10,100,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',0,0),
(129780,260178,10,100,'Decreases Threat to target by 1,029 - 1,258 ',1,1),
(129781,260178,10,100,'If profession other than Fighter',2,2),
(129782,260178,10,100,'Inflicts 407 - 497 mental damage on target',1,3),
(129783,260179,1,100,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',0,0),
(129784,260179,1,100,'Decreases Threat to target by 652 - 797 ',1,1),
(129785,260179,1,100,'If profession other than Fighter',2,2),
(129786,260179,1,100,'Inflicts 245 - 300 mental damage on target',1,3),
(129787,260179,4,100,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',0,0),
(129788,260179,4,100,'Decreases Threat to target by 797 - 975 ',1,1),
(129789,260179,4,100,'If profession other than Fighter',2,2),
(129790,260179,4,100,'Inflicts 300 - 366 mental damage on target',1,3),
(129791,260179,5,100,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',0,0),
(129792,260179,5,100,'Decreases Threat to target by 870 - 1,063 ',1,1),
(129793,260179,5,100,'If profession other than Fighter',2,2),
(129794,260179,5,100,'Inflicts 327 - 400 mental damage on target',1,3),
(129795,260179,7,100,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',0,0),
(129796,260179,7,100,'Decreases Threat to target by 1,117 - 1,365 ',1,1),
(129797,260179,7,100,'If profession other than Fighter',2,2),
(129798,260179,7,100,'Inflicts 420 - 513 mental damage on target',1,3),
(129799,260179,9,100,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',0,0),
(129800,260179,9,100,'Decreases Threat to target by 1,160 - 1,418 ',1,1),
(129801,260179,9,100,'If profession other than Fighter',2,2),
(129802,260179,9,100,'Inflicts 436 - 533 mental damage on target',1,3),
(129803,260179,10,100,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',0,0),
(129804,260179,10,100,'Decreases Threat to target by 1,218 - 1,489 ',1,1),
(129805,260179,10,100,'If profession other than Fighter',2,2),
(129806,260179,10,100,'Inflicts 458 - 560 mental damage on target',1,3),
(129807,2000694,1,100,'Stuns target',0,0),
(129808,2000694,1,100,'Inflicts 1 - 2 crushing damage on target',0,1),
(129809,2000694,1,100,'Epic targets gain an immunity to Stun effects of 5.6 seconds and duration is reduced to 0.6 seconds.',0,2),
(129810,2000694,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(129811,2000695,1,100,'Inflicts 4 - 5 poison damage on target',0,0),
(129812,2000696,1,100,'Inflicts 1 - 2 slashing damage on targets in Area of Effect',0,0),
(129813,2000697,1,100,'Inflicts 1 poison damage on target instantly and every 4.8 seconds',0,0),
(129814,2000697,1,100,'Decreases power of target by 1 instantly and every 4.8 seconds',0,1),
(129815,2000697,1,100,'Roots target',0,2),
(129816,2000697,1,100,'15% chance to dispel when target receives hostile action',0,3),
(129817,2000697,1,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 1 minute 12 seconds and duration is reduced to 8.0 seconds.',0,4),
(129818,2000697,1,100,'Resistibility increases against targets higher than level 29.',0,5),
(129819,360166,1,100,'Inflicts 30 - 51 mental damage on target encounter',0,0),
(129820,360166,1,100,'Increases power of group members (AE) by 25 - 42',0,1),
(129821,360166,2,100,'Inflicts 32 - 53 mental damage on target encounter',0,0),
(129822,360166,2,100,'Increases power of group members (AE) by 26 - 44',0,1),
(129823,360166,3,100,'Inflicts 34 - 56 mental damage on target encounter',0,0),
(129824,360166,3,100,'Increases power of group members (AE) by 28 - 46',0,1),
(129825,360166,4,100,'Inflicts 37 - 62 mental damage on target encounter',0,0),
(129826,360166,4,100,'Increases power of group members (AE) by 31 - 51',0,1),
(129827,360166,5,100,'Inflicts 41 - 68 mental damage on target encounter',0,0),
(129828,360166,5,100,'Increases power of group members (AE) by 33 - 56',0,1),
(129829,360166,7,100,'Inflicts 52 - 87 mental damage on target encounter',0,0),
(129830,360166,7,100,'Increases power of group members (AE) by 43 - 71',0,1),
(129831,360166,9,100,'Inflicts 54 - 90 mental damage on target encounter',0,0),
(129832,360166,9,100,'Increases power of group members (AE) by 44 - 74',0,1),
(129833,360167,1,100,'Inflicts 48 - 80 mental damage on target encounter',0,0),
(129834,360167,1,100,'Increases power of group members (AE) by 40 - 66',0,1),
(129835,360167,2,100,'Inflicts 51 - 85 mental damage on target encounter',0,0),
(129836,360167,2,100,'Increases power of group members (AE) by 42 - 70',0,1),
(129837,360167,3,100,'Inflicts 53 - 89 mental damage on target encounter',0,0),
(129838,360167,3,100,'Increases power of group members (AE) by 44 - 73',0,1),
(129839,360167,4,100,'Inflicts 59 - 98 mental damage on target encounter',0,0),
(129840,360167,4,100,'Increases power of group members (AE) by 48 - 81',0,1),
(129841,360167,5,100,'Inflicts 64 - 107 mental damage on target encounter',0,0),
(129842,360167,5,100,'Increases power of group members (AE) by 53 - 88',0,1),
(129843,360167,7,100,'Inflicts 82 - 137 mental damage on target encounter',0,0),
(129844,360167,7,100,'Increases power of group members (AE) by 68 - 113',0,1),
(129845,360167,9,100,'Inflicts 85 - 142 mental damage on target encounter',0,0),
(129846,360167,9,100,'Increases power of group members (AE) by 71 - 118',0,1),
(129847,360168,1,100,'Inflicts 69 - 116 mental damage on target encounter',0,0),
(129848,360168,1,100,'Increases power of group members (AE) by 57 - 96',0,1),
(129849,360168,2,100,'Inflicts 73 - 122 mental damage on target encounter',0,0),
(129850,360168,2,100,'Increases power of group members (AE) by 61 - 101',0,1),
(129851,360168,3,100,'Inflicts 77 - 128 mental damage on target encounter',0,0),
(129852,360168,3,100,'Increases power of group members (AE) by 64 - 106',0,1),
(129853,360168,4,100,'Inflicts 85 - 141 mental damage on target encounter',0,0),
(129854,360168,4,100,'Increases power of group members (AE) by 70 - 117',0,1),
(129855,360168,5,100,'Inflicts 92 - 154 mental damage on target encounter',0,0),
(129856,360168,5,100,'Increases power of group members (AE) by 77 - 128',0,1),
(129857,360168,7,100,'Inflicts 119 - 198 mental damage on target encounter',0,0),
(129858,360168,7,100,'Increases power of group members (AE) by 98 - 164',0,1),
(129859,360168,9,100,'Inflicts 123 - 205 mental damage on target encounter',0,0),
(129860,360168,9,100,'Increases power of group members (AE) by 102 - 170',0,1),
(129861,360169,1,100,'Inflicts 91 - 151 mental damage on target encounter',0,0),
(129862,360169,1,100,'Increases power of group members (AE) by 75 - 125',0,1),
(129863,360169,2,100,'Inflicts 96 - 159 mental damage on target encounter',0,0),
(129864,360169,2,100,'Increases power of group members (AE) by 79 - 132',0,1),
(129865,360169,3,100,'Inflicts 101 - 168 mental damage on target encounter',0,0),
(129866,360169,3,100,'Increases power of group members (AE) by 83 - 139',0,1),
(129867,360169,4,100,'Inflicts 111 - 185 mental damage on target encounter',0,0),
(129868,360169,4,100,'Increases power of group members (AE) by 92 - 153',0,1),
(129869,360169,5,100,'Inflicts 121 - 201 mental damage on target encounter',0,0),
(129870,360169,5,100,'Increases power of group members (AE) by 100 - 167',0,1),
(129871,360169,7,100,'Inflicts 155 - 258 mental damage on target encounter',0,0),
(129872,360169,7,100,'Increases power of group members (AE) by 128 - 214',0,1),
(129873,360169,9,100,'Inflicts 161 - 269 mental damage on target encounter',0,0),
(129874,360169,9,100,'Increases power of group members (AE) by 134 - 223',0,1),
(129875,360170,1,100,'Inflicts 110 - 183 mental damage on target encounter',0,0),
(129876,360170,1,100,'Increases power of group members (AE) by 101 - 169',0,1),
(129877,360170,2,100,'Inflicts 116 - 193 mental damage on target encounter',0,0),
(129878,360170,2,100,'Increases power of group members (AE) by 107 - 178',0,1),
(129879,360170,3,100,'Inflicts 122 - 204 mental damage on target encounter',0,0),
(129880,360170,3,100,'Increases power of group members (AE) by 113 - 188',0,1),
(129881,360170,4,100,'Inflicts 134 - 224 mental damage on target encounter',0,0),
(129882,360170,4,100,'Increases power of group members (AE) by 124 - 206',0,1),
(129883,360170,5,100,'Inflicts 147 - 244 mental damage on target encounter',0,0),
(129884,360170,5,100,'Increases power of group members (AE) by 135 - 225',0,1),
(129885,360170,7,100,'Inflicts 188 - 313 mental damage on target encounter',0,0),
(129886,360170,7,100,'Increases power of group members (AE) by 173 - 289',0,1),
(129887,360170,9,100,'Inflicts 195 - 326 mental damage on target encounter',0,0),
(129888,360170,9,100,'Increases power of group members (AE) by 180 - 300',0,1),
(129889,360171,1,100,'Inflicts 132 - 220 mental damage on target encounter',0,0),
(129890,360171,1,100,'Increases power of group members (AE) by 121 - 201',0,1),
(129891,360171,4,100,'Inflicts 162 - 269 mental damage on target encounter',0,0),
(129892,360171,4,100,'Increases power of group members (AE) by 147 - 246',0,1),
(129893,360171,5,100,'Inflicts 176 - 294 mental damage on target encounter',0,0),
(129894,360171,5,100,'Increases power of group members (AE) by 161 - 268',0,1),
(129895,360171,7,100,'Inflicts 226 - 377 mental damage on target encounter',0,0),
(129896,360171,7,100,'Increases power of group members (AE) by 206 - 344',0,1),
(129897,360171,9,100,'Inflicts 235 - 392 mental damage on target encounter',0,0),
(129898,360171,9,100,'Increases power of group members (AE) by 215 - 358',0,1),
(129899,360172,1,100,'Inflicts 140 - 234 mental damage on target encounter',0,0),
(129900,360172,1,100,'Increases power of group members (AE) by 127 - 211',0,1),
(129901,360172,4,100,'Inflicts 171 - 286 mental damage on target encounter',0,0),
(129902,360172,4,100,'Increases power of group members (AE) by 155 - 258',0,1),
(129903,360172,5,100,'Inflicts 187 - 312 mental damage on target encounter',0,0),
(129904,360172,5,100,'Increases power of group members (AE) by 169 - 281',0,1),
(129905,360172,7,100,'Inflicts 240 - 400 mental damage on target encounter',0,0),
(129906,360172,7,100,'Increases power of group members (AE) by 217 - 361',0,1),
(129907,360172,9,100,'Inflicts 249 - 416 mental damage on target encounter',0,0),
(129908,360172,9,100,'Increases power of group members (AE) by 225 - 375',0,1),
(129909,90179,1,100,'Applies Tap on termination.',0,0),
(129910,90179,1,100,'Inflicts 543 disease damage on target',1,1),
(129911,90179,1,100,'Heals caster for 2.2 - 2.7% of max health',1,2),
(129912,90179,1,100,'This effect cannot be critically applied.',2,3),
(129913,90179,1,100,'The healing of this spell cannot be modified except by direct means',1,4),
(129914,90179,2,100,'Applies Tap on termination.',0,0),
(129915,90179,2,100,'Inflicts 573 disease damage on target',1,1),
(129916,90179,2,100,'Heals caster for 2.3 - 2.8% of max health',1,2),
(129917,90179,2,100,'This effect cannot be critically applied.',2,3),
(129918,90179,2,100,'The healing of this spell cannot be modified except by direct means',1,4),
(129919,90179,3,100,'Applies Tap on termination.',0,0),
(129920,90179,3,100,'Inflicts 603 disease damage on target',1,1),
(129921,90179,3,100,'Heals caster for 2.4 - 3.0% of max health',1,2),
(129922,90179,3,100,'This effect cannot be critically applied.',2,3),
(129923,90179,3,100,'The healing of this spell cannot be modified except by direct means',1,4),
(129924,90179,4,100,'Applies Tap on termination.',0,0),
(129925,90179,4,100,'Inflicts 663 disease damage on target',1,1),
(129926,90179,4,100,'Heals caster for 2.7 - 3.3% of max health',1,2),
(129927,90179,4,100,'This effect cannot be critically applied.',2,3),
(129928,90179,4,100,'The healing of this spell cannot be modified except by direct means',1,4),
(129929,90179,5,100,'Applies Tap on termination.',0,0),
(129930,90179,5,100,'Inflicts 724 disease damage on target',1,1),
(129931,90179,5,100,'Heals caster for 2.9 - 3.6% of max health',1,2),
(129932,90179,5,100,'This effect cannot be critically applied.',2,3),
(129933,90179,5,100,'The healing of this spell cannot be modified except by direct means',1,4),
(129934,90179,7,100,'Applies Tap on termination.',0,0),
(129935,90179,7,100,'Inflicts 929 disease damage on target',1,1),
(129936,90179,7,100,'Heals caster for 3.7 - 4.6% of max health',1,2),
(129937,90179,7,100,'This effect cannot be critically applied.',2,3),
(129938,90179,7,100,'The healing of this spell cannot be modified except by direct means',1,4),
(129939,90179,9,100,'Applies Tap on termination.',0,0),
(129940,90179,9,100,'Inflicts 965 disease damage on target',1,1),
(129941,90179,9,100,'Heals caster for 3.9 - 4.7% of max health',1,2),
(129942,90179,9,100,'This effect cannot be critically applied.',2,3),
(129943,90179,9,100,'The healing of this spell cannot be modified except by direct means',1,4),
(129944,90180,1,100,'Applies Tap on termination.',0,0),
(129945,90180,1,100,'Inflicts 787 disease damage on target',1,1),
(129946,90180,1,100,'Heals caster for 2.4 - 2.9% of max health',1,2),
(129947,90180,1,100,'This effect cannot be critically applied.',2,3),
(129948,90180,1,100,'The healing of this spell cannot be modified except by direct means',1,4),
(129949,90180,2,100,'Applies Tap on termination.',0,0),
(129950,90180,2,100,'Inflicts 831 disease damage on target',1,1),
(129951,90180,2,100,'Heals caster for 2.5 - 3.1% of max health',1,2),
(129952,90180,2,100,'This effect cannot be critically applied.',2,3),
(129953,90180,2,100,'The healing of this spell cannot be modified except by direct means',1,4),
(129954,90180,3,100,'Applies Tap on termination.',0,0),
(129955,90180,3,100,'Inflicts 874 disease damage on target',1,1),
(129956,90180,3,100,'Heals caster for 2.6 - 3.2% of max health',1,2),
(129957,90180,3,100,'This effect cannot be critically applied.',2,3),
(129958,90180,3,100,'The healing of this spell cannot be modified except by direct means',1,4),
(129959,90180,4,100,'Applies Tap on termination.',0,0),
(129960,90180,4,100,'Inflicts 962 disease damage on target',1,1),
(129961,90180,4,100,'Heals caster for 2.9 - 3.5% of max health',1,2),
(129962,90180,4,100,'This effect cannot be critically applied.',2,3),
(129963,90180,4,100,'The healing of this spell cannot be modified except by direct means',1,4),
(129964,90180,5,100,'Applies Tap on termination.',0,0),
(129965,90180,5,100,'Inflicts 1049 disease damage on target',1,1),
(129966,90180,5,100,'Heals caster for 3.2 - 3.9% of max health',1,2),
(129967,90180,5,100,'This effect cannot be critically applied.',2,3),
(129968,90180,5,100,'The healing of this spell cannot be modified except by direct means',1,4),
(129969,90180,7,100,'Applies Tap on termination.',0,0),
(129970,90180,7,100,'Inflicts 1346 disease damage on target',1,1),
(129971,90180,7,100,'Heals caster for 4.0 - 4.9% of max health',1,2),
(129972,90180,7,100,'This effect cannot be critically applied.',2,3),
(129973,90180,7,100,'The healing of this spell cannot be modified except by direct means',1,4),
(129974,90180,9,100,'Applies Tap on termination.',0,0),
(129975,90180,9,100,'Inflicts 1399 disease damage on target',1,1),
(129976,90180,9,100,'Heals caster for 4.2 - 5.1% of max health',1,2),
(129977,90180,9,100,'This effect cannot be critically applied.',2,3),
(129978,90180,9,100,'The healing of this spell cannot be modified except by direct means',1,4),
(129979,90180,10,100,'Applies Tap on termination.',0,0),
(129980,90180,10,100,'Inflicts 1469 disease damage on target',1,1),
(129981,90180,10,100,'Heals caster for 4.4 - 5.4% of max health',1,2),
(129982,90180,10,100,'This effect cannot be critically applied.',2,3),
(129983,90180,10,100,'The healing of this spell cannot be modified except by direct means',1,4),
(129984,90181,1,100,'Applies Tap on termination.',0,0),
(129985,90181,1,100,'Inflicts 951 disease damage on target',1,1),
(129986,90181,1,100,'Heals caster for 2.5 - 3.0% of max health',1,2),
(129987,90181,1,100,'This effect cannot be critically applied.',2,3),
(129988,90181,1,100,'The healing of this spell cannot be modified except by direct means',1,4),
(129989,90181,4,100,'Applies Tap on termination.',0,0),
(129990,90181,4,100,'Inflicts 1162 disease damage on target',1,1),
(129991,90181,4,100,'Heals caster for 3.0 - 3.7% of max health',1,2),
(129992,90181,4,100,'This effect cannot be critically applied.',2,3),
(129993,90181,4,100,'The healing of this spell cannot be modified except by direct means',1,4),
(129994,90181,5,100,'Applies Tap on termination.',0,0),
(129995,90181,5,100,'Inflicts 1268 disease damage on target',1,1),
(129996,90181,5,100,'Heals caster for 3.3 - 4.0% of max health',1,2),
(129997,90181,5,100,'This effect cannot be critically applied.',2,3),
(129998,90181,5,100,'The healing of this spell cannot be modified except by direct means',1,4),
(129999,90181,7,100,'Applies Tap on termination.',0,0),
(130000,90181,7,100,'Inflicts 1627 disease damage on target',1,1),
(130001,90181,7,100,'Heals caster for 4.2 - 5.1% of max health',1,2),
(130002,90181,7,100,'This effect cannot be critically applied.',2,3),
(130003,90181,7,100,'The healing of this spell cannot be modified except by direct means',1,4),
(130004,90181,9,100,'Applies Tap on termination.',0,0),
(130005,90181,9,100,'Inflicts 1690 disease damage on target',1,1),
(130006,90181,9,100,'Heals caster for 4.4 - 5.3% of max health',1,2),
(130007,90181,9,100,'This effect cannot be critically applied.',2,3),
(130008,90181,9,100,'The healing of this spell cannot be modified except by direct means',1,4),
(130009,90181,10,100,'Applies Tap on termination.',0,0),
(130010,90181,10,100,'Inflicts 1775 disease damage on target',1,1),
(130011,90181,10,100,'Heals caster for 4.6 - 5.6% of max health',1,2),
(130012,90181,10,100,'This effect cannot be critically applied.',2,3),
(130013,90181,10,100,'The healing of this spell cannot be modified except by direct means',1,4),
(130014,90182,1,100,'Applies Tap on termination.',0,0),
(130015,90182,1,100,'Inflicts 1084 disease damage on target',1,1),
(130016,90182,1,100,'Heals caster for 2.6 - 3.1% of max health',1,2),
(130017,90182,1,100,'This effect cannot be critically applied.',2,3),
(130018,90182,1,100,'The healing of this spell cannot be modified except by direct means',1,4),
(130019,90182,4,100,'Applies Tap on termination.',0,0),
(130020,90182,4,100,'Inflicts 1324 disease damage on target',1,1),
(130021,90182,4,100,'Heals caster for 3.1 - 3.8% of max health',1,2),
(130022,90182,4,100,'This effect cannot be critically applied.',2,3),
(130023,90182,4,100,'The healing of this spell cannot be modified except by direct means',1,4),
(130024,90182,5,100,'Applies Tap on termination.',0,0),
(130025,90182,5,100,'Inflicts 1445 disease damage on target',1,1),
(130026,90182,5,100,'Heals caster for 3.4 - 4.2% of max health',1,2),
(130027,90182,5,100,'This effect cannot be critically applied.',2,3),
(130028,90182,5,100,'The healing of this spell cannot be modified except by direct means',1,4),
(130029,90182,7,100,'Applies Tap on termination.',0,0),
(130030,90182,7,100,'Inflicts 1854 disease damage on target',1,1),
(130031,90182,7,100,'Heals caster for 4.4 - 5.4% of max health',1,2),
(130032,90182,7,100,'This effect cannot be critically applied.',2,3),
(130033,90182,7,100,'The healing of this spell cannot be modified except by direct means',1,4),
(130034,90182,9,100,'Applies Tap on termination.',0,0),
(130035,90182,9,100,'Inflicts 1926 disease damage on target',1,1),
(130036,90182,9,100,'Heals caster for 4.6 - 5.6% of max health',1,2),
(130037,90182,9,100,'This effect cannot be critically applied.',2,3),
(130038,90182,9,100,'The healing of this spell cannot be modified except by direct means',1,4),
(130039,90182,10,100,'Applies Tap on termination.',0,0),
(130040,90182,10,100,'Inflicts 2023 disease damage on target',1,1),
(130041,90182,10,100,'Heals caster for 4.8 - 5.8% of max health',1,2),
(130042,90182,10,100,'This effect cannot be critically applied.',2,3),
(130043,90182,10,100,'The healing of this spell cannot be modified except by direct means',1,4),
(130044,370167,1,100,'Interrupts target',0,0),
(130045,370167,1,100,'Inflicts 4 - 7 disease damage on target',0,1),
(130046,370167,1,100,'Decreases Defense of target by 2.0',0,2),
(130047,370167,2,100,'Interrupts target',0,0),
(130048,370167,2,100,'Inflicts 5 - 8 disease damage on target',0,1),
(130049,370167,2,100,'Decreases Defense of target by 2.1',0,2),
(130050,370167,3,100,'Interrupts target',0,0),
(130051,370167,3,100,'Inflicts 5 - 8 disease damage on target',0,1),
(130052,370167,3,100,'Decreases Defense of target by 2.2',0,2),
(130053,370167,4,100,'Interrupts target',0,0),
(130054,370167,4,100,'Inflicts 5 - 9 disease damage on target',0,1),
(130055,370167,4,100,'Decreases Defense of target by 2.4',0,2),
(130056,370167,5,100,'Interrupts target',0,0),
(130057,370167,5,100,'Inflicts 6 - 10 disease damage on target',0,1),
(130058,370167,5,100,'Decreases Defense of target by 2.6',0,2),
(130059,370167,7,100,'Interrupts target',0,0),
(130060,370167,7,100,'Inflicts 7 - 12 disease damage on target',0,1),
(130061,370167,7,100,'Decreases Defense of target by 3.4',0,2),
(130062,370167,9,100,'Interrupts target',0,0),
(130063,370167,9,100,'Inflicts 8 - 13 disease damage on target',0,1),
(130064,370167,9,100,'Decreases Defense of target by 3.5',0,2),
(130065,370168,1,100,'Interrupts target',0,0),
(130066,370168,1,100,'Inflicts 15 - 26 disease damage on target',0,1),
(130067,370168,1,100,'Decreases Defense of target by 5.9',0,2),
(130068,370168,2,100,'Interrupts target',0,0),
(130069,370168,2,100,'Inflicts 16 - 27 disease damage on target',0,1),
(130070,370168,2,100,'Decreases Defense of target by 6.3',0,2),
(130071,370168,3,100,'Interrupts target',0,0),
(130072,370168,3,100,'Inflicts 17 - 29 disease damage on target',0,1),
(130073,370168,3,100,'Decreases Defense of target by 6.6',0,2),
(130074,370168,4,100,'Interrupts target',0,0),
(130075,370168,4,100,'Inflicts 19 - 31 disease damage on target',0,1),
(130076,370168,4,100,'Decreases Defense of target by 7.3',0,2),
(130077,370168,5,100,'Interrupts target',0,0),
(130078,370168,5,100,'Inflicts 21 - 34 disease damage on target',0,1),
(130079,370168,5,100,'Decreases Defense of target by 7.9',0,2),
(130080,370168,7,100,'Interrupts target',0,0),
(130081,370168,7,100,'Inflicts 26 - 44 disease damage on target',0,1),
(130082,370168,7,100,'Decreases Defense of target by 10.2',0,2),
(130083,370168,9,100,'Interrupts target',0,0),
(130084,370168,9,100,'Inflicts 27 - 46 disease damage on target',0,1),
(130085,370168,9,100,'Decreases Defense of target by 10.6',0,2),
(130086,370169,1,100,'Interrupts target',0,0),
(130087,370169,1,100,'Inflicts 27 - 45 disease damage on target',0,1),
(130088,370169,1,100,'Decreases Defense of target by 9.7',0,2),
(130089,370169,2,100,'Interrupts target',0,0),
(130090,370169,2,100,'Inflicts 28 - 47 disease damage on target',0,1),
(130091,370169,2,100,'Decreases Defense of target by 10.3',0,2),
(130092,370169,3,100,'Interrupts target',0,0),
(130093,370169,3,100,'Inflicts 30 - 50 disease damage on target',0,1),
(130094,370169,3,100,'Decreases Defense of target by 10.8',0,2),
(130095,370169,4,100,'Interrupts target',0,0),
(130096,370169,4,100,'Inflicts 33 - 55 disease damage on target',0,1),
(130097,370169,4,100,'Decreases Defense of target by 11.9',0,2),
(130098,370169,5,100,'Interrupts target',0,0),
(130099,370169,5,100,'Inflicts 36 - 59 disease damage on target',0,1),
(130100,370169,5,100,'Decreases Defense of target by 13.0',0,2),
(130101,370169,7,100,'Interrupts target',0,0),
(130102,370169,7,100,'Inflicts 46 - 76 disease damage on target',0,1),
(130103,370169,7,100,'Decreases Defense of target by 16.6',0,2),
(130104,370169,9,100,'Interrupts target',0,0),
(130105,370169,9,100,'Inflicts 48 - 79 disease damage on target',0,1),
(130106,370169,9,100,'Decreases Defense of target by 17.3',0,2),
(130107,370170,1,100,'Interrupts target',0,0),
(130108,370170,1,100,'Inflicts 40 - 67 disease damage on target',0,1),
(130109,370170,1,100,'Decreases Defense of target by 13.5',0,2),
(130110,370170,2,100,'Interrupts target',0,0),
(130111,370170,2,100,'Inflicts 42 - 71 disease damage on target',0,1),
(130112,370170,2,100,'Decreases Defense of target by 14.3',0,2),
(130113,370170,3,100,'Interrupts target',0,0),
(130114,370170,3,100,'Inflicts 45 - 74 disease damage on target',0,1),
(130115,370170,3,100,'Decreases Defense of target by 15.0',0,2),
(130116,370170,4,100,'Interrupts target',0,0),
(130117,370170,4,100,'Inflicts 49 - 82 disease damage on target',0,1),
(130118,370170,4,100,'Decreases Defense of target by 16.5',0,2),
(130119,370170,5,100,'Interrupts target',0,0),
(130120,370170,5,100,'Inflicts 54 - 89 disease damage on target',0,1),
(130121,370170,5,100,'Decreases Defense of target by 18.0',0,2),
(130122,370170,7,100,'Interrupts target',0,0),
(130123,370170,7,100,'Inflicts 69 - 115 disease damage on target',0,1),
(130124,370170,7,100,'Decreases Defense of target by 23.1',0,2),
(130125,370170,9,100,'Interrupts target',0,0),
(130126,370170,9,100,'Inflicts 71 - 119 disease damage on target',0,1),
(130127,370170,9,100,'Decreases Defense of target by 24.0',0,2),
(130128,370171,1,100,'Interrupts target',0,0),
(130129,370171,1,100,'Inflicts 54 - 91 disease damage on target',0,1),
(130130,370171,1,100,'Decreases Defense of target by 17.3',0,2),
(130131,370171,2,100,'Interrupts target',0,0),
(130132,370171,2,100,'Inflicts 57 - 96 disease damage on target',0,1),
(130133,370171,2,100,'Decreases Defense of target by 18.2',0,2),
(130134,370171,3,100,'Interrupts target',0,0),
(130135,370171,3,100,'Inflicts 60 - 101 disease damage on target',0,1),
(130136,370171,3,100,'Decreases Defense of target by 19.2',0,2),
(130137,370171,4,100,'Interrupts target',0,0),
(130138,370171,4,100,'Inflicts 66 - 111 disease damage on target',0,1),
(130139,370171,4,100,'Decreases Defense of target by 21.1',0,2),
(130140,370171,5,100,'Interrupts target',0,0),
(130141,370171,5,100,'Inflicts 72 - 121 disease damage on target',0,1),
(130142,370171,5,100,'Decreases Defense of target by 23.0',0,2),
(130143,370171,7,100,'Interrupts target',0,0),
(130144,370171,7,100,'Inflicts 93 - 155 disease damage on target',0,1),
(130145,370171,7,100,'Decreases Defense of target by 29.6',0,2),
(130146,370171,9,100,'Interrupts target',0,0),
(130147,370171,9,100,'Inflicts 97 - 161 disease damage on target',0,1),
(130148,370171,9,100,'Decreases Defense of target by 30.7',0,2),
(130149,370172,1,100,'Interrupts target',0,0),
(130150,370172,1,100,'Inflicts 67 - 111 disease damage on target',0,1),
(130151,370172,1,100,'Decreases Defense of target by 20.7',0,2),
(130152,370172,2,100,'Interrupts target',0,0),
(130153,370172,2,100,'Inflicts 71 - 118 disease damage on target',0,1),
(130154,370172,2,100,'Decreases Defense of target by 21.9',0,2),
(130155,370172,3,100,'Interrupts target',0,0),
(130156,370172,3,100,'Inflicts 74 - 124 disease damage on target',0,1),
(130157,370172,3,100,'Decreases Defense of target by 23.0',0,2),
(130158,370172,4,100,'Interrupts target',0,0),
(130159,370172,4,100,'Inflicts 82 - 136 disease damage on target',0,1),
(130160,370172,4,100,'Decreases Defense of target by 25.3',0,2),
(130161,370172,5,100,'Interrupts target',0,0),
(130162,370172,5,100,'Inflicts 89 - 149 disease damage on target',0,1),
(130163,370172,5,100,'Decreases Defense of target by 27.6',0,2),
(130164,370172,7,100,'Interrupts target',0,0),
(130165,370172,7,100,'Inflicts 114 - 191 disease damage on target',0,1),
(130166,370172,7,100,'Decreases Defense of target by 35.4',0,2),
(130167,370172,9,100,'Interrupts target',0,0),
(130168,370172,9,100,'Inflicts 119 - 198 disease damage on target',0,1),
(130169,370172,9,100,'Decreases Defense of target by 36.8',0,2),
(130170,370172,10,100,'Interrupts target',0,0),
(130171,370172,10,100,'Inflicts 125 - 208 disease damage on target',0,1),
(130172,370172,10,100,'Decreases Defense of target by 38.6',0,2),
(130173,370173,1,100,'Interrupts target',0,0),
(130174,370173,1,100,'Inflicts 81 - 135 disease damage on target',0,1),
(130175,370173,1,100,'Decreases Defense of target by 24.3',0,2),
(130176,370173,4,100,'Interrupts target',0,0),
(130177,370173,4,100,'Inflicts 99 - 164 disease damage on target',0,1),
(130178,370173,4,100,'Decreases Defense of target by 29.7',0,2),
(130179,370173,5,100,'Interrupts target',0,0),
(130180,370173,5,100,'Inflicts 108 - 179 disease damage on target',0,1),
(130181,370173,5,100,'Decreases Defense of target by 32.4',0,2),
(130182,370173,7,100,'Interrupts target',0,0),
(130183,370173,7,100,'Inflicts 138 - 230 disease damage on target',0,1),
(130184,370173,7,100,'Decreases Defense of target by 41.6',0,2),
(130185,370173,9,100,'Interrupts target',0,0),
(130186,370173,9,100,'Inflicts 143 - 239 disease damage on target',0,1),
(130187,370173,9,100,'Decreases Defense of target by 43.2',0,2),
(130188,370174,1,100,'Interrupts target',0,0),
(130189,370174,1,100,'Inflicts 91 - 151 disease damage on target',0,1),
(130190,370174,1,100,'Decreases Defense of target by 27.9',0,2),
(130191,370174,4,100,'Interrupts target',0,0),
(130192,370174,4,100,'Inflicts 111 - 185 disease damage on target',0,1),
(130193,370174,4,100,'Decreases Defense of target by 34.1',0,2),
(130194,370174,5,100,'Interrupts target',0,0),
(130195,370174,5,100,'Inflicts 121 - 202 disease damage on target',0,1),
(130196,370174,5,100,'Decreases Defense of target by 37.2',0,2),
(130197,370174,7,100,'Interrupts target',0,0),
(130198,370174,7,100,'Inflicts 155 - 259 disease damage on target',0,1),
(130199,370174,7,100,'Decreases Defense of target by 47.7',0,2),
(130200,370174,9,100,'Interrupts target',0,0),
(130201,370174,9,100,'Inflicts 161 - 269 disease damage on target',0,1),
(130202,370174,9,100,'Decreases Defense of target by 49.6',0,2),
(130203,2000698,1,100,'Decreases Combat Mitigation of target by 54.72',0,0),
(130204,300180,1,100,'Increases STA and INT of group members (AE) by 9.4',0,0),
(130205,300180,2,100,'Increases STA and INT of group members (AE) by 9.9',0,0),
(130206,300180,3,100,'Increases STA and INT of group members (AE) by 10.4',0,0),
(130207,300180,4,100,'Increases STA and INT of group members (AE) by 11.4',0,0),
(130208,300180,5,100,'Increases STA and INT of group members (AE) by 12.5',0,0),
(130209,300180,7,100,'Increases STA and INT of group members (AE) by 16.0',0,0),
(130210,300180,9,100,'Increases STA and INT of group members (AE) by 16.6',0,0),
(130211,300181,1,100,'Increases STA and INT of group members (AE) by 18.2',0,0),
(130212,300181,2,100,'Increases STA and INT of group members (AE) by 19.2',0,0),
(130213,300181,3,100,'Increases STA and INT of group members (AE) by 20.2',0,0),
(130214,300181,4,100,'Increases STA and INT of group members (AE) by 22.2',0,0),
(130215,300181,5,100,'Increases STA and INT of group members (AE) by 24.2',0,0),
(130216,300181,7,100,'Increases STA and INT of group members (AE) by 31.1',0,0),
(130217,300181,9,100,'Increases STA and INT of group members (AE) by 32.3',0,0),
(130218,300182,1,100,'Increases STA and INT of group members (AE) by 27.9',0,0),
(130219,300182,2,100,'Increases STA and INT of group members (AE) by 29.4',0,0),
(130220,300182,3,100,'Increases STA and INT of group members (AE) by 31.0',0,0),
(130221,300182,4,100,'Increases STA and INT of group members (AE) by 34.1',0,0),
(130222,300182,5,100,'Increases STA and INT of group members (AE) by 37.2',0,0),
(130223,300182,7,100,'Increases STA and INT of group members (AE) by 47.7',0,0),
(130224,300182,9,100,'Increases STA and INT of group members (AE) by 49.6',0,0),
(130225,300183,1,100,'Increases STA and INT of group members (AE) by 38.0',0,0),
(130226,300183,2,100,'Increases STA and INT of group members (AE) by 40.1',0,0),
(130227,300183,3,100,'Increases STA and INT of group members (AE) by 42.2',0,0),
(130228,300183,4,100,'Increases STA and INT of group members (AE) by 46.4',0,0),
(130229,300183,5,100,'Increases STA and INT of group members (AE) by 50.6',0,0),
(130230,300183,7,100,'Increases STA and INT of group members (AE) by 65.0',0,0),
(130231,300183,9,100,'Increases STA and INT of group members (AE) by 67.5',0,0),
(130232,300183,10,100,'Increases STA and INT of group members (AE) by 70.9',0,0),
(130233,300184,1,100,'Increases STA and INT of group members (AE) by 48.1',0,0),
(130234,300184,2,100,'Increases STA and INT of group members (AE) by 50.7',0,0),
(130235,300184,3,100,'Increases STA and INT of group members (AE) by 53.4',0,0),
(130236,300184,4,100,'Increases STA and INT of group members (AE) by 58.7',0,0),
(130237,300184,5,100,'Increases STA and INT of group members (AE) by 64.1',0,0),
(130238,300184,7,100,'Increases STA and INT of group members (AE) by 82.2',0,0),
(130239,300184,9,100,'Increases STA and INT of group members (AE) by 85.4',0,0),
(130240,300185,1,100,'Increases STA and INT of group members (AE) by 58.4',0,0),
(130241,300185,2,100,'Increases STA and INT of group members (AE) by 61.7',0,0),
(130242,300185,3,100,'Increases STA and INT of group members (AE) by 64.9',0,0),
(130243,300185,4,100,'Increases STA and INT of group members (AE) by 71.4',0,0),
(130244,300185,5,100,'Increases STA and INT of group members (AE) by 77.9',0,0),
(130245,300185,7,100,'Increases STA and INT of group members (AE) by 99.9',0,0),
(130246,300185,9,100,'Increases STA and INT of group members (AE) by 103.8',0,0),
(130247,300186,1,100,'Increases STA and INT of group members (AE) by 68.3',0,0),
(130248,300186,4,100,'Increases STA and INT of group members (AE) by 83.5',0,0),
(130249,300186,5,100,'Increases STA and INT of group members (AE) by 91.1',0,0),
(130250,300186,7,100,'Increases STA and INT of group members (AE) by 116.9',0,0),
(130251,300186,9,100,'Increases STA and INT of group members (AE) by 121.4',0,0),
(130252,300187,1,100,'Increases STA and INT of group members (AE) by 78.2',0,0),
(130253,300187,4,100,'Increases STA and INT of group members (AE) by 95.6',0,0),
(130254,300187,5,100,'Increases STA and INT of group members (AE) by 104.3',0,0),
(130255,300187,7,100,'Increases STA and INT of group members (AE) by 133.8',0,0),
(130256,300187,9,100,'Increases STA and INT of group members (AE) by 139.0',0,0),
(130257,2000699,1,100,'Inflicts 2 - 4 slashing damage on target',0,0),
(130258,280017,1,100,'Summons a pet earthen avatar',0,0),
(130259,280017,2,100,'Summons a pet earthen avatar',0,0),
(130260,280017,3,100,'Summons a pet earthen avatar',0,0),
(130261,280017,4,100,'Summons a pet earthen avatar',0,0),
(130262,280017,5,100,'Summons a pet earthen avatar',0,0),
(130263,280017,7,100,'Summons a pet earthen avatar',0,0),
(130264,280017,9,100,'Summons a pet earthen avatar',0,0),
(130265,170175,1,100,'Inflicts 4 - 5 cold damage on target instantly and every 2 seconds',0,0),
(130266,170175,1,100,'Inflicts 4 - 5 cold damage on target instantly and every 2 seconds',0,1),
(130267,170175,1,100,'If target is elemental',1,2),
(130268,170175,2,100,'Inflicts 4 - 5 cold damage on target instantly and every 2 seconds',0,0),
(130269,170175,2,100,'Inflicts 4 - 5 cold damage on target instantly and every 2 seconds',0,1),
(130270,170175,2,100,'If target is elemental',1,2),
(130271,170175,3,100,'Inflicts 5 - 6 cold damage on target instantly and every 2 seconds',0,0),
(130272,170175,3,100,'Inflicts 5 - 6 cold damage on target instantly and every 2 seconds',0,1),
(130273,170175,3,100,'If target is elemental',1,2),
(130274,170175,4,100,'Inflicts 5 - 6 cold damage on target instantly and every 2 seconds',0,0),
(130275,170175,4,100,'Inflicts 5 - 6 cold damage on target instantly and every 2 seconds',0,1),
(130276,170175,4,100,'If target is elemental',1,2),
(130277,170175,5,100,'Inflicts 5 - 7 cold damage on target instantly and every 2 seconds',0,0),
(130278,170175,5,100,'Inflicts 5 - 7 cold damage on target instantly and every 2 seconds',0,1),
(130279,170175,5,100,'If target is elemental',1,2),
(130280,170175,7,100,'Inflicts 7 - 9 cold damage on target instantly and every 2 seconds',0,0),
(130281,170175,7,100,'Inflicts 7 - 9 cold damage on target instantly and every 2 seconds',0,1),
(130282,170175,7,100,'If target is elemental',1,2),
(130283,170175,9,100,'Inflicts 7 - 9 cold damage on target instantly and every 2 seconds',0,0),
(130284,170175,9,100,'Inflicts 7 - 9 cold damage on target instantly and every 2 seconds',0,1),
(130285,170175,9,100,'If target is elemental',1,2),
(130286,170176,1,100,'Inflicts 14 - 17 cold damage on target instantly and every 2 seconds',0,0),
(130287,170176,1,100,'Inflicts 14 - 17 cold damage on target instantly and every 2 seconds',0,1),
(130288,170176,1,100,'If target is elemental',1,2),
(130289,170176,2,100,'Inflicts 15 - 18 cold damage on target instantly and every 2 seconds',0,0),
(130290,170176,2,100,'Inflicts 15 - 18 cold damage on target instantly and every 2 seconds',0,1),
(130291,170176,2,100,'If target is elemental',1,2),
(130292,170176,3,100,'Inflicts 15 - 19 cold damage on target instantly and every 2 seconds',0,0),
(130293,170176,3,100,'Inflicts 15 - 19 cold damage on target instantly and every 2 seconds',0,1),
(130294,170176,3,100,'If target is elemental',1,2),
(130295,170176,4,100,'Inflicts 17 - 21 cold damage on target instantly and every 2 seconds',0,0),
(130296,170176,4,100,'Inflicts 17 - 21 cold damage on target instantly and every 2 seconds',0,1),
(130297,170176,4,100,'If target is elemental',1,2),
(130298,170176,5,100,'Inflicts 18 - 23 cold damage on target instantly and every 2 seconds',0,0),
(130299,170176,5,100,'Inflicts 18 - 23 cold damage on target instantly and every 2 seconds',0,1),
(130300,170176,5,100,'If target is elemental',1,2),
(130301,170176,7,100,'Inflicts 24 - 29 cold damage on target instantly and every 2 seconds',0,0),
(130302,170176,7,100,'Inflicts 24 - 29 cold damage on target instantly and every 2 seconds',0,1),
(130303,170176,7,100,'If target is elemental',1,2),
(130304,170176,9,100,'Inflicts 25 - 30 cold damage on target instantly and every 2 seconds',0,0),
(130305,170176,9,100,'Inflicts 25 - 30 cold damage on target instantly and every 2 seconds',0,1),
(130306,170176,9,100,'If target is elemental',1,2),
(130307,170176,10,100,'Inflicts 26 - 32 cold damage on target instantly and every 2 seconds',0,0),
(130308,170176,10,100,'Inflicts 26 - 32 cold damage on target instantly and every 2 seconds',0,1),
(130309,170176,10,100,'If target is elemental',1,2),
(130310,170177,1,100,'Inflicts 32 - 39 cold damage on target instantly and every 2 seconds',0,0),
(130311,170177,1,100,'Inflicts 32 - 39 cold damage on target instantly and every 2 seconds',0,1),
(130312,170177,1,100,'If target is elemental',1,2),
(130313,170177,2,100,'Inflicts 34 - 41 cold damage on target instantly and every 2 seconds',0,0),
(130314,170177,2,100,'Inflicts 34 - 41 cold damage on target instantly and every 2 seconds',0,1),
(130315,170177,2,100,'If target is elemental',1,2),
(130316,170177,3,100,'Inflicts 36 - 44 cold damage on target instantly and every 2 seconds',0,0),
(130317,170177,3,100,'Inflicts 36 - 44 cold damage on target instantly and every 2 seconds',0,1),
(130318,170177,3,100,'If target is elemental',1,2),
(130319,170177,4,100,'Inflicts 39 - 48 cold damage on target instantly and every 2 seconds',0,0),
(130320,170177,4,100,'Inflicts 39 - 48 cold damage on target instantly and every 2 seconds',0,1),
(130321,170177,4,100,'If target is elemental',1,2),
(130322,170177,5,100,'Inflicts 43 - 52 cold damage on target instantly and every 2 seconds',0,0),
(130323,170177,5,100,'Inflicts 43 - 52 cold damage on target instantly and every 2 seconds',0,1),
(130324,170177,5,100,'If target is elemental',1,2),
(130325,170177,7,100,'Inflicts 55 - 67 cold damage on target instantly and every 2 seconds',0,0),
(130326,170177,7,100,'Inflicts 55 - 67 cold damage on target instantly and every 2 seconds',0,1),
(130327,170177,7,100,'If target is elemental',1,2),
(130328,170177,9,100,'Inflicts 57 - 70 cold damage on target instantly and every 2 seconds',0,0),
(130329,170177,9,100,'Inflicts 57 - 70 cold damage on target instantly and every 2 seconds',0,1),
(130330,170177,9,100,'If target is elemental',1,2),
(130331,170178,1,100,'Inflicts 53 - 64 cold damage on target instantly and every 2 seconds',0,0),
(130332,170178,1,100,'Inflicts 53 - 64 cold damage on target instantly and every 2 seconds',0,1),
(130333,170178,1,100,'If target is elemental',1,2),
(130334,170178,2,100,'Inflicts 55 - 68 cold damage on target instantly and every 2 seconds',0,0),
(130335,170178,2,100,'Inflicts 55 - 68 cold damage on target instantly and every 2 seconds',0,1),
(130336,170178,2,100,'If target is elemental',1,2),
(130337,170178,3,100,'Inflicts 58 - 71 cold damage on target instantly and every 2 seconds',0,0),
(130338,170178,3,100,'Inflicts 58 - 71 cold damage on target instantly and every 2 seconds',0,1),
(130339,170178,3,100,'If target is elemental',1,2),
(130340,170178,4,100,'Inflicts 64 - 78 cold damage on target instantly and every 2 seconds',0,0),
(130341,170178,4,100,'Inflicts 64 - 78 cold damage on target instantly and every 2 seconds',0,1),
(130342,170178,4,100,'If target is elemental',1,2),
(130343,170178,5,100,'Inflicts 70 - 86 cold damage on target instantly and every 2 seconds',0,0),
(130344,170178,5,100,'Inflicts 70 - 86 cold damage on target instantly and every 2 seconds',0,1),
(130345,170178,5,100,'If target is elemental',1,2),
(130346,170178,7,100,'Inflicts 90 - 110 cold damage on target instantly and every 2 seconds',0,0),
(130347,170178,7,100,'Inflicts 90 - 110 cold damage on target instantly and every 2 seconds',0,1),
(130348,170178,7,100,'If target is elemental',1,2),
(130349,170178,9,100,'Inflicts 93 - 114 cold damage on target instantly and every 2 seconds',0,0),
(130350,170178,9,100,'Inflicts 93 - 114 cold damage on target instantly and every 2 seconds',0,1),
(130351,170178,9,100,'If target is elemental',1,2),
(130352,170178,10,100,'Inflicts 98 - 120 cold damage on target instantly and every 2 seconds',0,0),
(130353,170178,10,100,'Inflicts 98 - 120 cold damage on target instantly and every 2 seconds',0,1),
(130354,170178,10,100,'If target is elemental',1,2),
(130355,170179,1,100,'Inflicts 166 - 203 cold damage on target instantly and every 2 seconds',0,0),
(130356,170179,1,100,'Inflicts 166 - 203 cold damage on target instantly and every 2 seconds',0,1),
(130357,170179,1,100,'If target is elemental',1,2),
(130358,170179,4,100,'Inflicts 203 - 249 cold damage on target instantly and every 2 seconds',0,0),
(130359,170179,4,100,'Inflicts 203 - 249 cold damage on target instantly and every 2 seconds',0,1),
(130360,170179,4,100,'If target is elemental',1,2),
(130361,170179,5,100,'Inflicts 222 - 271 cold damage on target instantly and every 2 seconds',0,0),
(130362,170179,5,100,'Inflicts 222 - 271 cold damage on target instantly and every 2 seconds',0,1),
(130363,170179,5,100,'If target is elemental',1,2),
(130364,170179,7,100,'Inflicts 285 - 348 cold damage on target instantly and every 2 seconds',0,0),
(130365,170179,7,100,'Inflicts 285 - 348 cold damage on target instantly and every 2 seconds',0,1),
(130366,170179,7,100,'If target is elemental',1,2),
(130367,170179,9,100,'Inflicts 296 - 362 cold damage on target instantly and every 2 seconds',0,0),
(130368,170179,9,100,'Inflicts 296 - 362 cold damage on target instantly and every 2 seconds',0,1),
(130369,170179,9,100,'If target is elemental',1,2),
(130370,170180,1,100,'Inflicts 78 - 95 cold damage on target instantly and every 2 seconds',0,0),
(130371,170180,1,100,'Inflicts 78 - 95 cold damage on target instantly and every 2 seconds',0,1),
(130372,170180,1,100,'If target is elemental',1,2),
(130373,170180,2,100,'Inflicts 82 - 100 cold damage on target instantly and every 2 seconds',0,0),
(130374,170180,2,100,'Inflicts 82 - 100 cold damage on target instantly and every 2 seconds',0,1),
(130375,170180,2,100,'If target is elemental',1,2),
(130376,170180,3,100,'Inflicts 86 - 106 cold damage on target instantly and every 2 seconds',0,0),
(130377,170180,3,100,'Inflicts 86 - 106 cold damage on target instantly and every 2 seconds',0,1),
(130378,170180,3,100,'If target is elemental',1,2),
(130379,170180,4,100,'Inflicts 95 - 116 cold damage on target instantly and every 2 seconds',0,0),
(130380,170180,4,100,'Inflicts 95 - 116 cold damage on target instantly and every 2 seconds',0,1),
(130381,170180,4,100,'If target is elemental',1,2),
(130382,170180,5,100,'Inflicts 104 - 127 cold damage on target instantly and every 2 seconds',0,0),
(130383,170180,5,100,'Inflicts 104 - 127 cold damage on target instantly and every 2 seconds',0,1),
(130384,170180,5,100,'If target is elemental',1,2),
(130385,170180,7,100,'Inflicts 133 - 163 cold damage on target instantly and every 2 seconds',0,0),
(130386,170180,7,100,'Inflicts 133 - 163 cold damage on target instantly and every 2 seconds',0,1),
(130387,170180,7,100,'If target is elemental',1,2),
(130388,170180,9,100,'Inflicts 138 - 169 cold damage on target instantly and every 2 seconds',0,0),
(130389,170180,9,100,'Inflicts 138 - 169 cold damage on target instantly and every 2 seconds',0,1),
(130390,170180,9,100,'If target is elemental',1,2),
(130391,170181,1,100,'Inflicts 103 - 126 cold damage on target instantly and every 2 seconds',0,0),
(130392,170181,1,100,'Inflicts 103 - 126 cold damage on target instantly and every 2 seconds',0,1),
(130393,170181,1,100,'If target is elemental',1,2),
(130394,170181,2,100,'Inflicts 109 - 133 cold damage on target instantly and every 2 seconds',0,0),
(130395,170181,2,100,'Inflicts 109 - 133 cold damage on target instantly and every 2 seconds',0,1),
(130396,170181,2,100,'If target is elemental',1,2),
(130397,170181,3,100,'Inflicts 115 - 140 cold damage on target instantly and every 2 seconds',0,0),
(130398,170181,3,100,'Inflicts 115 - 140 cold damage on target instantly and every 2 seconds',0,1),
(130399,170181,3,100,'If target is elemental',1,2),
(130400,170181,4,100,'Inflicts 126 - 154 cold damage on target instantly and every 2 seconds',0,0),
(130401,170181,4,100,'Inflicts 126 - 154 cold damage on target instantly and every 2 seconds',0,1),
(130402,170181,4,100,'If target is elemental',1,2),
(130403,170181,5,100,'Inflicts 138 - 168 cold damage on target instantly and every 2 seconds',0,0),
(130404,170181,5,100,'Inflicts 138 - 168 cold damage on target instantly and every 2 seconds',0,1),
(130405,170181,5,100,'If target is elemental',1,2),
(130406,170181,7,100,'Inflicts 177 - 216 cold damage on target instantly and every 2 seconds',0,0),
(130407,170181,7,100,'Inflicts 177 - 216 cold damage on target instantly and every 2 seconds',0,1),
(130408,170181,7,100,'If target is elemental',1,2),
(130409,170181,9,100,'Inflicts 184 - 224 cold damage on target instantly and every 2 seconds',0,0),
(130410,170181,9,100,'Inflicts 184 - 224 cold damage on target instantly and every 2 seconds',0,1),
(130411,170181,9,100,'If target is elemental',1,2),
(130412,170182,1,100,'Inflicts 127 - 156 cold damage on target instantly and every 2 seconds',0,0),
(130413,170182,1,100,'Inflicts 127 - 156 cold damage on target instantly and every 2 seconds',0,1),
(130414,170182,1,100,'If target is elemental',1,2),
(130415,170182,2,100,'Inflicts 134 - 164 cold damage on target instantly and every 2 seconds',0,0),
(130416,170182,2,100,'Inflicts 134 - 164 cold damage on target instantly and every 2 seconds',0,1),
(130417,170182,2,100,'If target is elemental',1,2),
(130418,170182,3,100,'Inflicts 141 - 173 cold damage on target instantly and every 2 seconds',0,0),
(130419,170182,3,100,'Inflicts 141 - 173 cold damage on target instantly and every 2 seconds',0,1),
(130420,170182,3,100,'If target is elemental',1,2),
(130421,170182,4,100,'Inflicts 156 - 190 cold damage on target instantly and every 2 seconds',0,0),
(130422,170182,4,100,'Inflicts 156 - 190 cold damage on target instantly and every 2 seconds',0,1),
(130423,170182,4,100,'If target is elemental',1,2),
(130424,170182,5,100,'Inflicts 170 - 207 cold damage on target instantly and every 2 seconds',0,0),
(130425,170182,5,100,'Inflicts 170 - 207 cold damage on target instantly and every 2 seconds',0,1),
(130426,170182,5,100,'If target is elemental',1,2),
(130427,170182,7,100,'Inflicts 218 - 266 cold damage on target instantly and every 2 seconds',0,0),
(130428,170182,7,100,'Inflicts 218 - 266 cold damage on target instantly and every 2 seconds',0,1),
(130429,170182,7,100,'If target is elemental',1,2),
(130430,170182,9,100,'Inflicts 226 - 277 cold damage on target instantly and every 2 seconds',0,0),
(130431,170182,9,100,'Inflicts 226 - 277 cold damage on target instantly and every 2 seconds',0,1),
(130432,170182,9,100,'If target is elemental',1,2),
(130433,170183,1,100,'Inflicts 153 - 187 cold damage on target instantly and every 2 seconds',0,0),
(130434,170183,1,100,'Inflicts 153 - 187 cold damage on target instantly and every 2 seconds',0,1),
(130435,170183,1,100,'If target is elemental',1,2),
(130436,170183,4,100,'Inflicts 187 - 229 cold damage on target instantly and every 2 seconds',0,0),
(130437,170183,4,100,'Inflicts 187 - 229 cold damage on target instantly and every 2 seconds',0,1),
(130438,170183,4,100,'If target is elemental',1,2),
(130439,170183,5,100,'Inflicts 204 - 250 cold damage on target instantly and every 2 seconds',0,0),
(130440,170183,5,100,'Inflicts 204 - 250 cold damage on target instantly and every 2 seconds',0,1),
(130441,170183,5,100,'If target is elemental',1,2),
(130442,170183,7,100,'Inflicts 262 - 321 cold damage on target instantly and every 2 seconds',0,0),
(130443,170183,7,100,'Inflicts 262 - 321 cold damage on target instantly and every 2 seconds',0,1),
(130444,170183,7,100,'If target is elemental',1,2),
(130445,170183,9,100,'Inflicts 273 - 333 cold damage on target instantly and every 2 seconds',0,0),
(130446,170183,9,100,'Inflicts 273 - 333 cold damage on target instantly and every 2 seconds',0,1),
(130447,170183,9,100,'If target is elemental',1,2),
(130448,140179,1,100,'Increases STA of target by 2.8',0,0),
(130449,140179,1,100,'Increases Multi Attack of target by 8.4',0,1),
(130450,140179,2,100,'Increases STA of target by 3.0',0,0),
(130451,140179,2,100,'Increases Multi Attack of target by 8.8',0,1),
(130452,140179,3,100,'Increases STA of target by 3.1',0,0),
(130453,140179,3,100,'Increases Multi Attack of target by 9.3',0,1),
(130454,140179,4,100,'Increases STA of target by 3.4',0,0),
(130455,140179,4,100,'Increases Multi Attack of target by 10.2',0,1),
(130456,140179,5,100,'Increases STA of target by 3.7',0,0),
(130457,140179,5,100,'Increases Multi Attack of target by 11.2',0,1),
(130458,140179,7,100,'Increases STA of target by 4.8',0,0),
(130459,140179,7,100,'Increases Multi Attack of target by 14.3',0,1),
(130460,140179,9,100,'Increases STA of target by 5.0',0,0),
(130461,140179,9,100,'Increases Multi Attack Chance of target by 14.9',0,1),
(130462,140180,1,100,'Increases STA of target by 9.1',0,0),
(130463,140180,1,100,'Increases Multi Attack of target by 10.3',0,1),
(130464,140180,2,100,'Increases STA of target by 9.6',0,0),
(130465,140180,2,100,'Increases Multi Attack of target by 10.9',0,1),
(130466,140180,3,100,'Increases STA of target by 10.1',0,0),
(130467,140180,3,100,'Increases Multi Attack of target by 11.5',0,1),
(130468,140180,4,100,'Increases STA of target by 11.2',0,0),
(130469,140180,4,100,'Increases Multi Attack of target by 12.6',0,1),
(130470,140180,5,100,'Increases STA of target by 12.2',0,0),
(130471,140180,5,100,'Increases Multi Attack of target by 13.8',0,1),
(130472,140180,7,100,'Increases STA of target by 15.6',0,0),
(130473,140180,7,100,'Increases Multi Attack of target by 17.7',0,1),
(130474,140180,9,100,'Increases STA of target by 16.2',0,0),
(130475,140180,9,100,'Increases Multi Attack of target by 18.4',0,1),
(130476,140181,1,100,'Increases STA of target by 23.4',0,0),
(130477,140181,1,100,'Increases Melee Damage of target by 12.8',0,1),
(130478,140181,2,100,'Increases STA of target by 24.7',0,0),
(130479,140181,2,100,'Increases Melee Damage of target by 13.5',0,1),
(130480,140181,3,100,'Increases STA of target by 26.0',0,0),
(130481,140181,3,100,'Increases Melee Damage Chance of target by 14.2',0,1),
(130482,140181,4,100,'Increases STA of target by 28.5',0,0),
(130483,140181,4,100,'Increases Melee Damage of target by 15.6',0,1),
(130484,140181,5,100,'Increases STA of target by 31.1',0,0),
(130485,140181,5,100,'Increases Melee Damage of target by 17.0',0,1),
(130486,140181,7,100,'Increases STA of target by 40.0',0,0),
(130487,140181,7,100,'Increases Melee Damage of target by 21.8',0,1),
(130488,140181,9,100,'Increases STA of target by 41.5',0,0),
(130489,140181,9,100,'Increases Melee Damage of target by 22.7',0,1),
(130490,140182,1,100,'Increases STA of target by 39.7',0,0),
(130491,140182,1,100,'Increases Multi Attack of target by 15.2',0,1),
(130492,140182,2,100,'Increases STA of target by 41.9',0,0),
(130493,140182,2,100,'Increases Multi Attack of target by 16.0',0,1),
(130494,140182,3,100,'Increases STA of target by 44.1',0,0),
(130495,140182,3,100,'Increases Multi Attack of target by 16.9',0,1),
(130496,140182,4,100,'Increases STA of target by 48.5',0,0),
(130497,140182,4,100,'Increases Multi Attack of target by 18.5',0,1),
(130498,140182,5,100,'Increases STA of target by 52.9',0,0),
(130499,140182,5,100,'Increases Multi Attack of target by 20.2',0,1),
(130500,140182,7,100,'Increases STA of target by 67.9',0,0),
(130501,140182,7,100,'Increases Multi Attack of target by 26.0',0,1),
(130502,140182,9,100,'Increases STA of target by 70.6',0,0),
(130503,140182,9,100,'Increases Multi Attack of target by 27.0',0,1),
(130504,140183,1,100,'Increases STA of target by 54.2',0,0),
(130505,140183,1,100,'Increases Multi Attack of target by 17.6',0,1),
(130506,140183,2,100,'Increases STA of target by 57.3',0,0),
(130507,140183,2,100,'Increases Multi Attack of target by 18.6',0,1),
(130508,140183,3,100,'Increases STA of target by 60.3',0,0),
(130509,140183,3,100,'Increases Multi Attack of target by 19.6',0,1),
(130510,140183,4,100,'Increases STA of target by 66.3',0,0),
(130511,140183,4,100,'Increases Multi Attack Chance of target by 21.6',0,1),
(130512,140183,5,100,'Increases STA of target by 72.3',0,0),
(130513,140183,5,100,'Increases Multi Attack of target by 23.5',0,1),
(130514,140183,7,100,'Increases STA of target by 92.8',0,0),
(130515,140183,7,100,'Increases Multi Attack of target by 30.2',0,1),
(130516,140183,9,100,'Increases STA of target by 96.4',0,0),
(130517,140183,9,100,'Increases Multi Attack Chance of target by 31.4',0,1),
(130518,140184,1,100,'Increases STA of target by 68.4',0,0),
(130519,140184,1,100,'Increases Multi Attack of target by 20.3',0,1),
(130520,140184,2,100,'Increases STA of target by 72.2',0,0),
(130521,140184,2,100,'Increases Multi Attack Chance of target by 21.4',0,1),
(130522,140184,3,100,'Increases STA of target by 76.1',0,0),
(130523,140184,3,100,'Increases Multi Attack of target by 22.5',0,1),
(130524,140184,4,100,'Increases STA of target by 83.7',0,0),
(130525,140184,4,100,'Increases Multi Attack of target by 24.8',0,1),
(130526,140184,5,100,'Increases STA of target by 91.3',0,0),
(130527,140184,5,100,'Increases Multi Attack Chance of target by 27.0',0,1),
(130528,140184,7,100,'Increases STA of target by 117.1',0,0),
(130529,140184,7,100,'Increases Multi Attack of target by 34.6',0,1),
(130530,140184,9,100,'Increases STA of target by 121.7',0,0),
(130531,140184,9,100,'Increases Multi Attack Chance of target by 36.0',0,1),
(130532,140185,1,100,'Increases STA of target by 81.9',0,0),
(130533,140185,1,100,'Increases Multi Attack of target by 22.7',0,1),
(130534,140185,4,100,'Increases STA of target by 100.2',0,0),
(130535,140185,4,100,'Increases Multi Attack of target by 27.7',0,1),
(130536,140185,5,100,'Increases STA of target by 109.3',0,0),
(130537,140185,5,100,'Increases Multi Attack of target by 30.2',0,1),
(130538,140185,7,100,'Increases STA of target by 140.2',0,0),
(130539,140185,7,100,'Increases Multi Attack of target by 38.8',0,1),
(130540,140185,9,100,'Increases STA of target by 145.7',0,0),
(130541,140185,9,100,'Increases Multi Attack of target by 40.3',0,1),
(130542,140186,1,100,'Increases STA of target by 95.4',0,0),
(130543,140186,1,100,'Increases Multi Attack of target by 25.6',0,1),
(130544,140186,4,100,'Increases STA of target by 116.7',0,0),
(130545,140186,4,100,'Increases Multi Attack of target by 31.2',0,1),
(130546,140186,5,100,'Increases STA of target by 127.3',0,0),
(130547,140186,5,100,'Increases Multi Attack of target by 34.1',0,1),
(130548,140186,7,100,'Increases STA of target by 163.3',0,0),
(130549,140186,7,100,'Increases Multi Attack of target by 43.7',0,1),
(130550,140186,9,100,'Increases STA of target by 169.7',0,0),
(130551,140186,9,100,'Increases Multi Attack of target by 45.4',0,1),
(130552,200167,1,100,'When damaged with a melee weapon this spell has a 8% chance to cast Tendrils of Fear on target''s attacker.  Lasts for 36.0 seconds.  ',0,0),
(130553,200167,1,100,'Decreases DPS of target by 15.2',1,1),
(130554,200167,1,100,'Decreases Haste of target by 12.1',1,2),
(130555,200167,2,100,'When damaged with a melee weapon this spell has a 8% chance to cast Tendrils of Fear on target''s attacker.  Lasts for 36.0 seconds.  ',0,0),
(130556,200167,2,100,'Decreases DPS of target by 16.0',1,1),
(130557,200167,2,100,'Decreases Haste of target by 12.8',1,2),
(130558,200167,3,100,'When damaged with a melee weapon this spell has a 8% chance to cast Tendrils of Fear on target''s attacker.  Lasts for 36.0 seconds.  ',0,0),
(130559,200167,3,100,'Decreases DPS of target by 16.9',1,1),
(130560,200167,3,100,'Decreases Haste of target by 13.5',1,2),
(130561,200167,4,100,'When damaged with a melee weapon this spell has a 8% chance to cast Tendrils of Fear on target''s attacker.  Lasts for 36.0 seconds.  ',0,0),
(130562,200167,4,100,'Decreases DPS of target by 18.6',1,1),
(130563,200167,4,100,'Decreases Haste of target by 14.9',1,2),
(130564,200167,5,100,'When damaged with a melee weapon this spell has a 8% chance to cast Tendrils of Fear on target''s attacker.  Lasts for 36.0 seconds.  ',0,0),
(130565,200167,5,100,'Decreases DPS of target by 20.3',1,1),
(130566,200167,5,100,'Decreases Haste of target by 16.2',1,2),
(130567,200167,7,100,'When damaged with a melee weapon this spell has a 8% chance to cast Tendrils of Fear on target''s attacker.  Lasts for 36.0 seconds.  ',0,0),
(130568,200167,7,100,'Decreases DPS of target by 26.0',1,1),
(130569,200167,7,100,'Decreases Haste of target by 20.8',1,2),
(130570,200167,9,100,'When damaged with a melee weapon this spell has a 8% chance to cast Tendrils of Fear on target''s attacker.  Lasts for 36.0 seconds.  ',0,0),
(130571,200167,9,100,'Decreases DPS of target by 27.0',1,1),
(130572,200167,9,100,'Decreases Haste of target by 21.6',1,2),
(130573,200168,1,100,'When damaged with a melee weapon this spell has a 8% chance to cast Tendrils of Fear on target''s attacker.  Lasts for 36.0 seconds.  ',0,0),
(130574,200168,1,100,'Decreases DPS of target by 18.0',1,1),
(130575,200168,1,100,'Decreases Haste of target by 13.4',1,2),
(130576,200168,2,100,'When damaged with a melee weapon this spell has a 8% chance to cast Tendrils of Fear on target''s attacker.  Lasts for 36.0 seconds.  ',0,0),
(130577,200168,2,100,'Decreases DPS of target by 19.0',1,1),
(130578,200168,2,100,'Decreases Haste of target by 14.2',1,2),
(130579,200168,3,100,'When damaged with a melee weapon this spell has a 8% chance to cast Tendrils of Fear on target''s attacker.  Lasts for 36.0 seconds.  ',0,0),
(130580,200168,3,100,'Decreases DPS of target by 20.0',1,1),
(130581,200168,3,100,'Decreases Haste of target by 14.9',1,2),
(130582,200168,4,100,'When damaged with a melee weapon this spell has a 8% chance to cast Tendrils of Fear on target''s attacker.  Lasts for 36.0 seconds.  ',0,0),
(130583,200168,4,100,'Decreases DPS of target by 22.0',1,1),
(130584,200168,4,100,'Decreases Haste of target by 16.4',1,2),
(130585,200168,5,100,'When damaged with a melee weapon this spell has a 8% chance to cast Tendrils of Fear on target''s attacker.  Lasts for 36.0 seconds.  ',0,0),
(130586,200168,5,100,'Decreases DPS of target by 24.0',1,1),
(130587,200168,5,100,'Decreases Haste of target by 17.9',1,2),
(130588,200168,7,100,'When damaged with a melee weapon this spell has a 8% chance to cast Tendrils of Fear on target''s attacker.  Lasts for 36.0 seconds.  ',0,0),
(130589,200168,7,100,'Decreases DPS of target by 30.8',1,1),
(130590,200168,7,100,'Decreases Haste of target by 22.9',1,2),
(130591,200168,9,100,'When damaged with a melee weapon this spell has a 8% chance to cast Tendrils of Fear on target''s attacker.  Lasts for 36.0 seconds.  ',0,0),
(130592,200168,9,100,'Decreases DPS of target by 32.0',1,1),
(130593,200168,9,100,'Decreases Haste of target by 23.8',1,2),
(130594,200169,1,100,'When damaged with a melee weapon this spell has a 8% chance to cast Tendrils of Fear on target''s attacker.  Lasts for 36.0 seconds.  ',0,0),
(130595,200169,1,100,'Decreases DPS of target by 21.0',1,1),
(130596,200169,1,100,'Decreases Haste of target by 14.7',1,2),
(130597,200169,2,100,'When damaged with a melee weapon this spell has a 8% chance to cast Tendrils of Fear on target''s attacker.  Lasts for 36.0 seconds.  ',0,0),
(130598,200169,2,100,'Decreases DPS of target by 22.1',1,1),
(130599,200169,2,100,'Decreases Haste of target by 15.5',1,2),
(130600,200169,3,100,'When damaged with a melee weapon this spell has a 8% chance to cast Tendrils of Fear on target''s attacker.  Lasts for 36.0 seconds.  ',0,0),
(130601,200169,3,100,'Decreases DPS of target by 23.3',1,1),
(130602,200169,3,100,'Decreases Haste of target by 16.3',1,2),
(130603,200169,4,100,'When damaged with a melee weapon this spell has a 8% chance to cast Tendrils of Fear on target''s attacker.  Lasts for 36.0 seconds.  ',0,0),
(130604,200169,4,100,'Decreases DPS of target by 25.6',1,1),
(130605,200169,4,100,'Decreases Haste of target by 17.9',1,2),
(130606,200169,5,100,'When damaged with a melee weapon this spell has a 8% chance to cast Tendrils of Fear on target''s attacker.  Lasts for 36.0 seconds.  ',0,0),
(130607,200169,5,100,'Decreases DPS of target by 28.0',1,1),
(130608,200169,5,100,'Decreases Haste of target by 19.6',1,2),
(130609,200169,7,100,'When damaged with a melee weapon this spell has a 8% chance to cast Tendrils of Fear on target''s attacker.  Lasts for 36.0 seconds.  ',0,0),
(130610,200169,7,100,'Decreases DPS of target by 35.9',1,1),
(130611,200169,7,100,'Decreases Haste of target by 25.1',1,2),
(130612,200169,9,100,'When damaged with a melee weapon this spell has a 8% chance to cast Tendrils of Fear on target''s attacker.  Lasts for 36.0 seconds.  ',0,0),
(130613,200169,9,100,'Decreases DPS of target by 37.3',1,1),
(130614,200169,9,100,'Decreases Haste of target by 26.1',1,2),
(130615,200169,10,100,'When damaged with a melee weapon this spell has a 8% chance to cast Tendrils of Fear on target''s attacker.  Lasts for 36.0 seconds.  ',0,0),
(130616,200169,10,100,'Decreases DPS of target by 39.2',1,1),
(130617,200169,10,100,'Decreases Haste of target by 27.4',1,2),
(130618,200170,1,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(130619,200170,1,100,'Decreases Threat to targets in Area of Effect by 1,169 ',0,1),
(130620,200170,1,100,'Makes targets in Area of Effect afraid',0,2),
(130621,200170,1,100,'If Target is not Epic',1,3),
(130622,200170,1,100,'30% chance to dispel when target takes damage',0,4),
(130623,200170,2,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(130624,200170,2,100,'Decreases Threat to targets in Area of Effect by 1,234 ',0,1),
(130625,200170,2,100,'Makes targets in Area of Effect afraid',0,2),
(130626,200170,2,100,'If Target is not Epic',1,3),
(130627,200170,2,100,'30% chance to dispel when target takes damage',0,4),
(130628,200170,3,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(130629,200170,3,100,'Decreases Threat to targets in Area of Effect by 1,300 ',0,1),
(130630,200170,3,100,'Makes targets in Area of Effect afraid',0,2),
(130631,200170,3,100,'If Target is not Epic',1,3),
(130632,200170,3,100,'30% chance to dispel when target takes damage',0,4),
(130633,200170,4,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(130634,200170,4,100,'Decreases Threat to targets in Area of Effect by 1,430 ',0,1),
(130635,200170,4,100,'Makes targets in Area of Effect afraid',0,2),
(130636,200170,4,100,'If Target is not Epic',1,3),
(130637,200170,4,100,'30% chance to dispel when target takes damage',0,4),
(130638,200170,5,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(130639,200170,5,100,'Decreases Threat to targets in Area of Effect by 1,560 ',0,1),
(130640,200170,5,100,'Makes targets in Area of Effect afraid',0,2),
(130641,200170,5,100,'If Target is not Epic',1,3),
(130642,200170,5,100,'30% chance to dispel when target takes damage',0,4),
(130643,200170,7,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(130644,200170,7,100,'Decreases Threat to targets in Area of Effect by 2,001 ',0,1),
(130645,200170,7,100,'Makes targets in Area of Effect afraid',0,2),
(130646,200170,7,100,'If Target is not Epic',1,3),
(130647,200170,7,100,'30% chance to dispel when target takes damage',0,4),
(130648,200170,9,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(130649,200170,9,100,'Decreases Threat to targets in Area of Effect by 2,080 ',0,1),
(130650,200170,9,100,'Makes targets in Area of Effect afraid',0,2),
(130651,200170,9,100,'If Target is not Epic',1,3),
(130652,200170,9,100,'30% chance to dispel when target takes damage',0,4),
(130653,200171,1,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(130654,200171,1,100,'Decreases Threat to targets in Area of Effect by 2,593 ',0,1),
(130655,200171,1,100,'Makes targets in Area of Effect afraid',0,2),
(130656,200171,1,100,'If Target is not Epic',1,3),
(130657,200171,1,100,'30% chance to dispel when target takes damage',0,4),
(130658,200171,2,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(130659,200171,2,100,'Decreases Threat to targets in Area of Effect by 2,737 ',0,1),
(130660,200171,2,100,'Makes targets in Area of Effect afraid',0,2),
(130661,200171,2,100,'If Target is not Epic',1,3),
(130662,200171,2,100,'30% chance to dispel when target takes damage',0,4),
(130663,200171,3,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(130664,200171,3,100,'Decreases Threat to targets in Area of Effect by 2,882 ',0,1),
(130665,200171,3,100,'Makes targets in Area of Effect afraid',0,2),
(130666,200171,3,100,'If Target is not Epic',1,3),
(130667,200171,3,100,'30% chance to dispel when target takes damage',0,4),
(130668,200171,4,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(130669,200171,4,100,'Decreases Threat to targets in Area of Effect by 3,170 ',0,1),
(130670,200171,4,100,'Makes targets in Area of Effect afraid',0,2),
(130671,200171,4,100,'If Target is not Epic',1,3),
(130672,200171,4,100,'30% chance to dispel when target takes damage',0,4),
(130673,200171,5,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(130674,200171,5,100,'Decreases Threat to targets in Area of Effect by 3,458 ',0,1),
(130675,200171,5,100,'Makes targets in Area of Effect afraid',0,2),
(130676,200171,5,100,'If Target is not Epic',1,3),
(130677,200171,5,100,'30% chance to dispel when target takes damage',0,4),
(130678,200171,7,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(130679,200171,7,100,'Decreases Threat to targets in Area of Effect by 4,438 ',0,1),
(130680,200171,7,100,'Makes targets in Area of Effect afraid',0,2),
(130681,200171,7,100,'If Target is not Epic',1,3),
(130682,200171,7,100,'30% chance to dispel when target takes damage',0,4),
(130683,200171,9,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(130684,200171,9,100,'Decreases Threat to targets in Area of Effect by 4,611 ',0,1),
(130685,200171,9,100,'Makes targets in Area of Effect afraid',0,2),
(130686,200171,9,100,'If Target is not Epic',1,3),
(130687,200171,9,100,'30% chance to dispel when target takes damage',0,4),
(130688,200172,1,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(130689,200172,1,100,'Decreases Threat to targets in Area of Effect by 4,272 ',0,1),
(130690,200172,1,100,'Makes targets in Area of Effect afraid',0,2),
(130691,200172,1,100,'If Target is not Epic',1,3),
(130692,200172,1,100,'30% chance to dispel when target takes damage',0,4),
(130693,200172,2,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(130694,200172,2,100,'Decreases Threat to targets in Area of Effect by 4,509 ',0,1),
(130695,200172,2,100,'Makes targets in Area of Effect afraid',0,2),
(130696,200172,2,100,'If Target is not Epic',1,3),
(130697,200172,2,100,'30% chance to dispel when target takes damage',0,4),
(130698,200172,3,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(130699,200172,3,100,'Decreases Threat to targets in Area of Effect by 4,747 ',0,1),
(130700,200172,3,100,'Makes targets in Area of Effect afraid',0,2),
(130701,200172,3,100,'If Target is not Epic',1,3),
(130702,200172,3,100,'30% chance to dispel when target takes damage',0,4),
(130703,200172,4,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(130704,200172,4,100,'Decreases Threat to targets in Area of Effect by 5,221 ',0,1),
(130705,200172,4,100,'Makes targets in Area of Effect afraid',0,2),
(130706,200172,4,100,'If Target is not Epic',1,3),
(130707,200172,4,100,'30% chance to dispel when target takes damage',0,4),
(130708,200172,5,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(130709,200172,5,100,'Decreases Threat to targets in Area of Effect by 5,696 ',0,1),
(130710,200172,5,100,'Makes targets in Area of Effect afraid',0,2),
(130711,200172,5,100,'If Target is not Epic',1,3),
(130712,200172,5,100,'30% chance to dispel when target takes damage',0,4),
(130713,200172,7,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(130714,200172,7,100,'Decreases Threat to targets in Area of Effect by 7,310 ',0,1),
(130715,200172,7,100,'Makes targets in Area of Effect afraid',0,2),
(130716,200172,7,100,'If Target is not Epic',1,3),
(130717,200172,7,100,'30% chance to dispel when target takes damage',0,4),
(130718,200172,9,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(130719,200172,9,100,'Decreases Threat to targets in Area of Effect by 7,595 ',0,1),
(130720,200172,9,100,'Makes targets in Area of Effect afraid',0,2),
(130721,200172,9,100,'If Target is not Epic',1,3),
(130722,200172,9,100,'30% chance to dispel when target takes damage',0,4),
(130723,200173,1,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(130724,200173,1,100,'Decreases Threat to targets in Area of Effect by 6,412 ',0,1),
(130725,200173,1,100,'Makes targets in Area of Effect afraid',0,2),
(130726,200173,1,100,'If Target is not Epic',1,3),
(130727,200173,1,100,'30% chance to dispel when target takes damage',0,4),
(130728,200173,2,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(130729,200173,2,100,'Decreases Threat to targets in Area of Effect by 6,768 ',0,1),
(130730,200173,2,100,'Makes targets in Area of Effect afraid',0,2),
(130731,200173,2,100,'If Target is not Epic',1,3),
(130732,200173,2,100,'30% chance to dispel when target takes damage',0,4),
(130733,200173,3,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(130734,200173,3,100,'Decreases Threat to targets in Area of Effect by 7,125 ',0,1),
(130735,200173,3,100,'Makes targets in Area of Effect afraid',0,2),
(130736,200173,3,100,'If Target is not Epic',1,3),
(130737,200173,3,100,'30% chance to dispel when target takes damage',0,4),
(130738,200173,4,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(130739,200173,4,100,'Decreases Threat to targets in Area of Effect by 7,837 ',0,1),
(130740,200173,4,100,'Makes targets in Area of Effect afraid',0,2),
(130741,200173,4,100,'If Target is not Epic',1,3),
(130742,200173,4,100,'30% chance to dispel when target takes damage',0,4),
(130743,200173,5,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(130744,200173,5,100,'Decreases Threat to targets in Area of Effect by 8,550 ',0,1),
(130745,200173,5,100,'Makes targets in Area of Effect afraid',0,2),
(130746,200173,5,100,'If Target is not Epic',1,3),
(130747,200173,5,100,'30% chance to dispel when target takes damage',0,4),
(130748,200173,7,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(130749,200173,7,100,'Decreases Threat to targets in Area of Effect by 10,972 ',0,1),
(130750,200173,7,100,'Makes targets in Area of Effect afraid',0,2),
(130751,200173,7,100,'If Target is not Epic',1,3),
(130752,200173,7,100,'30% chance to dispel when target takes damage',0,4),
(130753,200173,9,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(130754,200173,9,100,'Decreases Threat to targets in Area of Effect by 11,400 ',0,1),
(130755,200173,9,100,'Makes targets in Area of Effect afraid',0,2),
(130756,200173,9,100,'If Target is not Epic',1,3),
(130757,200173,9,100,'30% chance to dispel when target takes damage',0,4),
(130758,200174,1,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(130759,200174,1,100,'Decreases Threat to targets in Area of Effect by 8,657 ',0,1),
(130760,200174,1,100,'Makes targets in Area of Effect afraid',0,2),
(130761,200174,1,100,'If Target is not Epic',1,3),
(130762,200174,1,100,'30% chance to dispel when target takes damage',0,4),
(130763,200174,2,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(130764,200174,2,100,'Decreases Threat to targets in Area of Effect by 9,138 ',0,1),
(130765,200174,2,100,'Makes targets in Area of Effect afraid',0,2),
(130766,200174,2,100,'If Target is not Epic',1,3),
(130767,200174,2,100,'30% chance to dispel when target takes damage',0,4),
(130768,200174,3,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(130769,200174,3,100,'Decreases Threat to targets in Area of Effect by 9,620 ',0,1),
(130770,200174,3,100,'Makes targets in Area of Effect afraid',0,2),
(130771,200174,3,100,'If Target is not Epic',1,3),
(130772,200174,3,100,'30% chance to dispel when target takes damage',0,4),
(130773,200174,4,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(130774,200174,4,100,'Decreases Threat to targets in Area of Effect by 10,582 ',0,1),
(130775,200174,4,100,'Makes targets in Area of Effect afraid',0,2),
(130776,200174,4,100,'If Target is not Epic',1,3),
(130777,200174,4,100,'30% chance to dispel when target takes damage',0,4),
(130778,200174,5,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(130779,200174,5,100,'Decreases Threat to targets in Area of Effect by 11,544 ',0,1),
(130780,200174,5,100,'Makes targets in Area of Effect afraid',0,2),
(130781,200174,5,100,'If Target is not Epic',1,3),
(130782,200174,5,100,'30% chance to dispel when target takes damage',0,4),
(130783,200174,7,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(130784,200174,7,100,'Decreases Threat to targets in Area of Effect by 14,814 ',0,1),
(130785,200174,7,100,'Makes targets in Area of Effect afraid',0,2),
(130786,200174,7,100,'If Target is not Epic',1,3),
(130787,200174,7,100,'30% chance to dispel when target takes damage',0,4),
(130788,200174,9,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(130789,200174,9,100,'Decreases Threat to targets in Area of Effect by 15,392 ',0,1),
(130790,200174,9,100,'Makes targets in Area of Effect afraid',0,2),
(130791,200174,9,100,'If Target is not Epic',1,3),
(130792,200174,9,100,'30% chance to dispel when target takes damage',0,4),
(130793,200175,1,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(130794,200175,1,100,'Decreases Threat to targets in Area of Effect by 10,844 ',0,1),
(130795,200175,1,100,'Makes targets in Area of Effect afraid',0,2),
(130796,200175,1,100,'If Target is not Epic',1,3),
(130797,200175,1,100,'30% chance to dispel when target takes damage',0,4),
(130798,200175,2,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(130799,200175,2,100,'Decreases Threat to targets in Area of Effect by 11,447 ',0,1),
(130800,200175,2,100,'Makes targets in Area of Effect afraid',0,2),
(130801,200175,2,100,'If Target is not Epic',1,3),
(130802,200175,2,100,'30% chance to dispel when target takes damage',0,4),
(130803,200175,3,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(130804,200175,3,100,'Decreases Threat to targets in Area of Effect by 12,050 ',0,1),
(130805,200175,3,100,'Makes targets in Area of Effect afraid',0,2),
(130806,200175,3,100,'If Target is not Epic',1,3),
(130807,200175,3,100,'30% chance to dispel when target takes damage',0,4),
(130808,200175,4,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(130809,200175,4,100,'Decreases Threat to targets in Area of Effect by 13,255 ',0,1),
(130810,200175,4,100,'Makes targets in Area of Effect afraid',0,2),
(130811,200175,4,100,'If Target is not Epic',1,3),
(130812,200175,4,100,'30% chance to dispel when target takes damage',0,4),
(130813,200175,5,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(130814,200175,5,100,'Decreases Threat to targets in Area of Effect by 14,460 ',0,1),
(130815,200175,5,100,'Makes targets in Area of Effect afraid',0,2),
(130816,200175,5,100,'If Target is not Epic',1,3),
(130817,200175,5,100,'30% chance to dispel when target takes damage',0,4),
(130818,200175,7,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(130819,200175,7,100,'Decreases Threat to targets in Area of Effect by 18,556 ',0,1),
(130820,200175,7,100,'Makes targets in Area of Effect afraid',0,2),
(130821,200175,7,100,'If Target is not Epic',1,3),
(130822,200175,7,100,'30% chance to dispel when target takes damage',0,4),
(130823,200175,9,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(130824,200175,9,100,'Decreases Threat to targets in Area of Effect by 19,280 ',0,1),
(130825,200175,9,100,'Makes targets in Area of Effect afraid',0,2),
(130826,200175,9,100,'If Target is not Epic',1,3),
(130827,200175,9,100,'30% chance to dispel when target takes damage',0,4),
(130828,200176,1,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(130829,200176,1,100,'Decreases Threat to targets in Area of Effect by 13,094 ',0,1),
(130830,200176,1,100,'Makes targets in Area of Effect afraid',0,2),
(130831,200176,1,100,'If Target is not Epic',1,3),
(130832,200176,1,100,'30% chance to dispel when target takes damage',0,4),
(130833,200176,4,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(130834,200176,4,100,'Decreases Threat to targets in Area of Effect by 16,005 ',0,1),
(130835,200176,4,100,'Makes targets in Area of Effect afraid',0,2),
(130836,200176,4,100,'If Target is not Epic',1,3),
(130837,200176,4,100,'30% chance to dispel when target takes damage',0,4),
(130838,200176,5,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(130839,200176,5,100,'Decreases Threat to targets in Area of Effect by 17,460 ',0,1),
(130840,200176,5,100,'Makes targets in Area of Effect afraid',0,2),
(130841,200176,5,100,'If Target is not Epic',1,3),
(130842,200176,5,100,'30% chance to dispel when target takes damage',0,4),
(130843,200176,7,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(130844,200176,7,100,'Decreases Threat to targets in Area of Effect by 22,406 ',0,1),
(130845,200176,7,100,'Makes targets in Area of Effect afraid',0,2),
(130846,200176,7,100,'If Target is not Epic',1,3),
(130847,200176,7,100,'30% chance to dispel when target takes damage',0,4),
(130848,200176,9,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(130849,200176,9,100,'Decreases Threat to targets in Area of Effect by 23,280 ',0,1),
(130850,200176,9,100,'Makes targets in Area of Effect afraid',0,2),
(130851,200176,9,100,'If Target is not Epic',1,3),
(130852,200176,9,100,'30% chance to dispel when target takes damage',0,4),
(130853,200177,1,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(130854,200177,1,100,'Decreases Threat to targets in Area of Effect by 15,344 ',0,1),
(130855,200177,1,100,'Makes targets in Area of Effect afraid',0,2),
(130856,200177,1,100,'If Target is not Epic',1,3),
(130857,200177,1,100,'30% chance to dispel when target takes damage',0,4),
(130858,200177,4,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(130859,200177,4,100,'Decreases Threat to targets in Area of Effect by 18,755 ',0,1),
(130860,200177,4,100,'Makes targets in Area of Effect afraid',0,2),
(130861,200177,4,100,'If Target is not Epic',1,3),
(130862,200177,4,100,'30% chance to dispel when target takes damage',0,4),
(130863,200177,5,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(130864,200177,5,100,'Decreases Threat to targets in Area of Effect by 20,460 ',0,1),
(130865,200177,5,100,'Makes targets in Area of Effect afraid',0,2),
(130866,200177,5,100,'If Target is not Epic',1,3),
(130867,200177,5,100,'30% chance to dispel when target takes damage',0,4),
(130868,200177,7,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(130869,200177,7,100,'Decreases Threat to targets in Area of Effect by 26,256 ',0,1),
(130870,200177,7,100,'Makes targets in Area of Effect afraid',0,2),
(130871,200177,7,100,'If Target is not Epic',1,3),
(130872,200177,7,100,'30% chance to dispel when target takes damage',0,4),
(130873,200177,9,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(130874,200177,9,100,'Decreases Threat to targets in Area of Effect by 27,280 ',0,1),
(130875,200177,9,100,'Makes targets in Area of Effect afraid',0,2),
(130876,200177,9,100,'If Target is not Epic',1,3),
(130877,200177,9,100,'30% chance to dispel when target takes damage',0,4),
(130878,2000700,1,100,'Inflicts 90 heat damage on target',0,0),
(130879,260180,1,100,'When damaged with a spell this spell will cast Theorems on target.  ',0,0),
(130880,260180,1,100,'Inflicts 145 - 178 mental damage on target',1,1),
(130881,260180,1,100,'Grants a total of 3 triggers of the spell.',1,2),
(130882,260180,2,100,'When damaged with a spell this spell will cast Theorems on target.  ',0,0),
(130883,260180,2,100,'Inflicts 153 - 188 mental damage on target',1,1),
(130884,260180,2,100,'Grants a total of 3 triggers of the spell.',1,2),
(130885,260180,3,100,'When damaged with a spell this spell will cast Theorems on target.  ',0,0),
(130886,260180,3,100,'Inflicts 161 - 197 mental damage on target',1,1),
(130887,260180,3,100,'Grants a total of 3 triggers of the spell.',1,2),
(130888,260180,4,100,'When damaged with a spell this spell will cast Theorems on target.  ',0,0),
(130889,260180,4,100,'Inflicts 178 - 217 mental damage on target',1,1),
(130890,260180,4,100,'Grants a total of 3 triggers of the spell.',1,2),
(130891,260180,5,100,'When damaged with a spell this spell will cast Theorems on target.  ',0,0),
(130892,260180,5,100,'Inflicts 194 - 237 mental damage on target',1,1),
(130893,260180,5,100,'Grants a total of 3 triggers of the spell.',1,2),
(130894,260180,7,100,'When damaged with a spell this spell will cast Theorems on target.  ',0,0),
(130895,260180,7,100,'Inflicts 249 - 304 mental damage on target',1,1),
(130896,260180,7,100,'Grants a total of 3 triggers of the spell.',1,2),
(130897,260180,9,100,'When damaged with a spell this spell will cast Theorems on target.  ',0,0),
(130898,260180,9,100,'Inflicts 258 - 316 mental damage on target',1,1),
(130899,260180,9,100,'Grants a total of 3 triggers of the spell.',1,2),
(130900,260180,10,100,'When damaged with a spell this spell will cast Theorems on target.  ',0,0),
(130901,260180,10,100,'Inflicts 271 - 332 mental damage on target',1,1),
(130902,260180,10,100,'Grants a total of 3 triggers of the spell.',1,2),
(130903,260181,1,100,'When damaged with a spell this spell will cast Theorems on target.  ',0,0),
(130904,260181,1,100,'Inflicts 223 - 273 mental damage on target',1,1),
(130905,260181,1,100,'Grants a total of 3 triggers of the spell.',1,2),
(130906,260181,2,100,'When damaged with a spell this spell will cast Theorems on target.  ',0,0),
(130907,260181,2,100,'Inflicts 235 - 288 mental damage on target',1,1),
(130908,260181,2,100,'Grants a total of 3 triggers of the spell.',1,2),
(130909,260181,3,100,'When damaged with a spell this spell will cast Theorems on target.  ',0,0),
(130910,260181,3,100,'Inflicts 248 - 303 mental damage on target',1,1),
(130911,260181,3,100,'Grants a total of 3 triggers of the spell.',1,2),
(130912,260181,4,100,'When damaged with a spell this spell will cast Theorems on target.  ',0,0),
(130913,260181,4,100,'Inflicts 273 - 333 mental damage on target',1,1),
(130914,260181,4,100,'Grants a total of 3 triggers of the spell.',1,2),
(130915,260181,5,100,'When damaged with a spell this spell will cast Theorems on target.  ',0,0),
(130916,260181,5,100,'Inflicts 297 - 364 mental damage on target',1,1),
(130917,260181,5,100,'Grants a total of 3 triggers of the spell.',1,2),
(130918,260181,7,100,'When damaged with a spell this spell will cast Theorems on target.  ',0,0),
(130919,260181,7,100,'Inflicts 382 - 467 mental damage on target',1,1),
(130920,260181,7,100,'Grants a total of 3 triggers of the spell.',1,2),
(130921,260181,9,100,'When damaged with a spell this spell will cast Theorems on target.  ',0,0),
(130922,260181,9,100,'Inflicts 397 - 485 mental damage on target',1,1),
(130923,260181,9,100,'Grants a total of 3 triggers of the spell.',1,2),
(130924,260182,1,100,'When damaged with a spell this spell will cast Theorems on target.  ',0,0),
(130925,260182,1,100,'Inflicts 311 - 380 mental damage on target',1,1),
(130926,260182,1,100,'Grants a total of 3 triggers of the spell.',1,2),
(130927,260182,2,100,'When damaged with a spell this spell will cast Theorems on target.  ',0,0),
(130928,260182,2,100,'Inflicts 328 - 401 mental damage on target',1,1),
(130929,260182,2,100,'Grants a total of 3 triggers of the spell.',1,2),
(130930,260182,3,100,'When damaged with a spell this spell will cast Theorems on target.  ',0,0),
(130931,260182,3,100,'Inflicts 345 - 422 mental damage on target',1,1),
(130932,260182,3,100,'Grants a total of 3 triggers of the spell.',1,2),
(130933,260182,4,100,'When damaged with a spell this spell will cast Theorems on target.  ',0,0),
(130934,260182,4,100,'Inflicts 380 - 464 mental damage on target',1,1),
(130935,260182,4,100,'Grants a total of 3 triggers of the spell.',1,2),
(130936,260182,5,100,'When damaged with a spell this spell will cast Theorems on target.  ',0,0),
(130937,260182,5,100,'Inflicts 414 - 506 mental damage on target',1,1),
(130938,260182,5,100,'Grants a total of 3 triggers of the spell.',1,2),
(130939,260182,7,100,'When damaged with a spell this spell will cast Theorems on target.  ',0,0),
(130940,260182,7,100,'Inflicts 532 - 650 mental damage on target',1,1),
(130941,260182,7,100,'Grants a total of 3 triggers of the spell.',1,2),
(130942,260182,9,100,'When damaged with a spell this spell will cast Theorems on target.  ',0,0),
(130943,260182,9,100,'Inflicts 553 - 675 mental damage on target',1,1),
(130944,260182,9,100,'Grants a total of 3 triggers of the spell.',1,2),
(130945,260182,10,100,'When damaged with a spell this spell will cast Theorems on target.  ',0,0),
(130946,260182,10,100,'Inflicts 580 - 709 mental damage on target',1,1),
(130947,260182,10,100,'Grants a total of 3 triggers of the spell.',1,2),
(130948,260183,1,100,'When damaged with a spell this spell will cast Theorems on target.  ',0,0),
(130949,260183,1,100,'Inflicts 397 - 486 mental damage on target',1,1),
(130950,260183,1,100,'Grants a total of 3 triggers of the spell.',1,2),
(130951,260183,2,100,'When damaged with a spell this spell will cast Theorems on target.  ',0,0),
(130952,260183,2,100,'Inflicts 419 - 513 mental damage on target',1,1),
(130953,260183,2,100,'Grants a total of 3 triggers of the spell.',1,2),
(130954,260183,3,100,'When damaged with a spell this spell will cast Theorems on target.  ',0,0),
(130955,260183,3,100,'Inflicts 441 - 539 mental damage on target',1,1),
(130956,260183,3,100,'Grants a total of 3 triggers of the spell.',1,2),
(130957,260183,4,100,'When damaged with a spell this spell will cast Theorems on target.  ',0,0),
(130958,260183,4,100,'Inflicts 486 - 593 mental damage on target',1,1),
(130959,260183,4,100,'Grants a total of 3 triggers of the spell.',1,2),
(130960,260183,5,100,'When damaged with a spell this spell will cast Theorems on target.  ',0,0),
(130961,260183,5,100,'Inflicts 530 - 647 mental damage on target',1,1),
(130962,260183,5,100,'Grants a total of 3 triggers of the spell.',1,2),
(130963,260183,7,100,'When damaged with a spell this spell will cast Theorems on target.  ',0,0),
(130964,260183,7,100,'Inflicts 680 - 831 mental damage on target',1,1),
(130965,260183,7,100,'Grants a total of 3 triggers of the spell.',1,2),
(130966,260183,9,100,'When damaged with a spell this spell will cast Theorems on target.  ',0,0),
(130967,260183,9,100,'Inflicts 706 - 863 mental damage on target',1,1),
(130968,260183,9,100,'Grants a total of 3 triggers of the spell.',1,2),
(130969,260183,10,100,'When damaged with a spell this spell will cast Theorems on target.  ',0,0),
(130970,260183,10,100,'Inflicts 742 - 906 mental damage on target',1,1),
(130971,260183,10,100,'Grants a total of 3 triggers of the spell.',1,2),
(130972,260184,1,100,'When damaged with a spell this spell will cast Theorems on target.  ',0,0),
(130973,260184,1,100,'Inflicts 480 - 587 mental damage on target',1,1),
(130974,260184,1,100,'Grants a total of 3 triggers of the spell.',1,2),
(130975,260184,4,100,'When damaged with a spell this spell will cast Theorems on target.  ',0,0),
(130976,260184,4,100,'Inflicts 587 - 718 mental damage on target',1,1),
(130977,260184,4,100,'Grants a total of 3 triggers of the spell.',1,2),
(130978,260184,5,100,'When damaged with a spell this spell will cast Theorems on target.  ',0,0),
(130979,260184,5,100,'Inflicts 641 - 783 mental damage on target',1,1),
(130980,260184,5,100,'Grants a total of 3 triggers of the spell.',1,2),
(130981,260184,7,100,'When damaged with a spell this spell will cast Theorems on target.  ',0,0),
(130982,260184,7,100,'Inflicts 822 - 1005 mental damage on target',1,1),
(130983,260184,7,100,'Grants a total of 3 triggers of the spell.',1,2),
(130984,260184,9,100,'When damaged with a spell this spell will cast Theorems on target.  ',0,0),
(130985,260184,9,100,'Inflicts 854 - 1044 mental damage on target',1,1),
(130986,260184,9,100,'Grants a total of 3 triggers of the spell.',1,2),
(130987,260185,1,100,'When damaged with a spell this spell will cast Theorems on target.  ',0,0),
(130988,260185,1,100,'Inflicts 555 - 678 mental damage on target',1,1),
(130989,260185,1,100,'Grants a total of 3 triggers of the spell.',1,2),
(130990,260185,4,100,'When damaged with a spell this spell will cast Theorems on target.  ',0,0),
(130991,260185,4,100,'Inflicts 678 - 829 mental damage on target',1,1),
(130992,260185,4,100,'Grants a total of 3 triggers of the spell.',1,2),
(130993,260185,5,100,'When damaged with a spell this spell will cast Theorems on target.  ',0,0),
(130994,260185,5,100,'Inflicts 740 - 904 mental damage on target',1,1),
(130995,260185,5,100,'Grants a total of 3 triggers of the spell.',1,2),
(130996,260185,7,100,'When damaged with a spell this spell will cast Theorems on target.  ',0,0),
(130997,260185,7,100,'Inflicts 949 - 1160 mental damage on target',1,1),
(130998,260185,7,100,'Grants a total of 3 triggers of the spell.',1,2),
(130999,260185,9,100,'When damaged with a spell this spell will cast Theorems on target.  ',0,0),
(131000,260185,9,100,'Inflicts 986 - 1205 mental damage on target',1,1),
(131001,260185,9,100,'Grants a total of 3 triggers of the spell.',1,2),
(131002,2000701,1,100,'Inflicts 11 - 19 magic damage on targets in Area of Effect',0,0),
(131003,440128,1,100,'Will absorb all damage when the amount is greater than 30% of the target''s maximum health. This spell will absorb a total of 1 attack.',0,0),
(131004,160145,1,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(131005,160145,1,100,'Inflicts 1 piercing damage on target',1,1),
(131006,160145,2,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(131007,160145,2,100,'Inflicts 1 piercing damage on target',1,1),
(131008,160145,3,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(131009,160145,3,100,'Inflicts 1 piercing damage on target',1,1),
(131010,160145,4,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(131011,160145,4,100,'Inflicts 1 piercing damage on target',1,1),
(131012,160145,5,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(131013,160145,5,100,'Inflicts 1 piercing damage on target',1,1),
(131014,160145,7,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(131015,160145,7,100,'Inflicts 1 piercing damage on target',1,1),
(131016,160145,9,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(131017,160145,9,100,'Inflicts 1 piercing damage on target',1,1),
(131018,160146,1,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(131019,160146,1,100,'Inflicts 3 piercing damage on target',1,1),
(131020,160146,2,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(131021,160146,2,100,'Inflicts 3 piercing damage on target',1,1),
(131022,160146,3,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(131023,160146,3,100,'Inflicts 3 piercing damage on target',1,1),
(131024,160146,4,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(131025,160146,4,100,'Inflicts 3 - 4 piercing damage on target',1,1),
(131026,160146,5,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(131027,160146,5,100,'Inflicts 3 - 4 piercing damage on target',1,1),
(131028,160146,7,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(131029,160146,7,100,'Inflicts 4 - 5 piercing damage on target',1,1),
(131030,160146,9,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(131031,160146,9,100,'Inflicts 4 - 5 piercing damage on target',1,1),
(131032,160146,10,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(131033,160146,10,100,'Inflicts 5 - 6 piercing damage on target',1,1),
(131034,160147,1,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(131035,160147,1,100,'Inflicts 6 - 7 piercing damage on target',1,1),
(131036,160147,2,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(131037,160147,2,100,'Inflicts 6 - 8 piercing damage on target',1,1),
(131038,160147,3,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(131039,160147,3,100,'Inflicts 7 - 8 piercing damage on target',1,1),
(131040,160147,4,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(131041,160147,4,100,'Inflicts 7 - 9 piercing damage on target',1,1),
(131042,160147,5,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(131043,160147,5,100,'Inflicts 8 - 10 piercing damage on target',1,1),
(131044,160147,7,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(131045,160147,7,100,'Inflicts 10 - 13 piercing damage on target',1,1),
(131046,160147,9,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(131047,160147,9,100,'Inflicts 11 - 13 piercing damage on target',1,1),
(131048,160147,10,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(131049,160147,10,100,'Inflicts 11 - 14 piercing damage on target',1,1),
(131050,160148,1,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(131051,160148,1,100,'Inflicts 10 - 12 piercing damage on target',1,1),
(131052,160148,2,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(131053,160148,2,100,'Inflicts 11 - 13 piercing damage on target',1,1),
(131054,160148,3,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(131055,160148,3,100,'Inflicts 11 - 14 piercing damage on target',1,1),
(131056,160148,4,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(131057,160148,4,100,'Inflicts 12 - 15 piercing damage on target',1,1),
(131058,160148,5,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(131059,160148,5,100,'Inflicts 14 - 17 piercing damage on target',1,1),
(131060,160148,7,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(131061,160148,7,100,'Inflicts 17 - 21 piercing damage on target',1,1),
(131062,160148,9,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(131063,160148,9,100,'Inflicts 18 - 22 piercing damage on target',1,1),
(131064,160149,1,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(131065,160149,1,100,'Inflicts 33 - 40 piercing damage on target',1,1),
(131066,160149,4,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(131067,160149,4,100,'Inflicts 40 - 49 piercing damage on target',1,1),
(131068,160149,5,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(131069,160149,5,100,'Inflicts 44 - 54 piercing damage on target',1,1),
(131070,160149,7,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(131071,160149,7,100,'Inflicts 57 - 69 piercing damage on target',1,1),
(131072,160149,9,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(131073,160149,9,100,'Inflicts 59 - 72 piercing damage on target',1,1),
(131074,160150,1,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(131075,160150,1,100,'Inflicts 15 - 19 piercing damage on target',1,1),
(131076,160150,2,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(131077,160150,2,100,'Inflicts 16 - 20 piercing damage on target',1,1),
(131078,160150,3,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(131079,160150,3,100,'Inflicts 17 - 21 piercing damage on target',1,1),
(131080,160150,4,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(131081,160150,4,100,'Inflicts 19 - 23 piercing damage on target',1,1),
(131082,160150,5,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(131083,160150,5,100,'Inflicts 20 - 25 piercing damage on target',1,1),
(131084,160150,7,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(131085,160150,7,100,'Inflicts 26 - 32 piercing damage on target',1,1),
(131086,160150,9,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(131087,160150,9,100,'Inflicts 27 - 33 piercing damage on target',1,1),
(131088,160150,10,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(131089,160150,10,100,'Inflicts 28 - 35 piercing damage on target',1,1),
(131090,160151,1,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(131091,160151,1,100,'Inflicts 20 - 25 piercing damage on target',1,1),
(131092,160151,2,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(131093,160151,2,100,'Inflicts 21 - 26 piercing damage on target',1,1),
(131094,160151,3,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(131095,160151,3,100,'Inflicts 23 - 28 piercing damage on target',1,1),
(131096,160151,4,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(131097,160151,4,100,'Inflicts 25 - 30 piercing damage on target',1,1),
(131098,160151,5,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(131099,160151,5,100,'Inflicts 27 - 33 piercing damage on target',1,1),
(131100,160151,7,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(131101,160151,7,100,'Inflicts 35 - 42 piercing damage on target',1,1),
(131102,160151,9,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(131103,160151,9,100,'Inflicts 36 - 44 piercing damage on target',1,1),
(131104,160152,1,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(131105,160152,1,100,'Inflicts 25 - 31 piercing damage on target',1,1),
(131106,160152,2,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(131107,160152,2,100,'Inflicts 26 - 32 piercing damage on target',1,1),
(131108,160152,3,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(131109,160152,3,100,'Inflicts 28 - 34 piercing damage on target',1,1),
(131110,160152,4,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(131111,160152,4,100,'Inflicts 31 - 37 piercing damage on target',1,1),
(131112,160152,5,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(131113,160152,5,100,'Inflicts 33 - 41 piercing damage on target',1,1),
(131114,160152,7,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(131115,160152,7,100,'Inflicts 43 - 52 piercing damage on target',1,1),
(131116,160152,9,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(131117,160152,9,100,'Inflicts 44 - 54 piercing damage on target',1,1),
(131118,160153,1,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(131119,160153,1,100,'Inflicts 30 - 37 piercing damage on target',1,1),
(131120,160153,4,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(131121,160153,4,100,'Inflicts 37 - 45 piercing damage on target',1,1),
(131122,160153,5,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(131123,160153,5,100,'Inflicts 40 - 49 piercing damage on target',1,1),
(131124,160153,7,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(131125,160153,7,100,'Inflicts 52 - 63 piercing damage on target',1,1),
(131126,160153,9,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(131127,160153,9,100,'Inflicts 54 - 65 piercing damage on target',1,1),
(131128,170184,1,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(131129,170184,1,100,'Inflicts 1 piercing damage on target encounter',1,1),
(131130,170184,2,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(131131,170184,2,100,'Inflicts 1 piercing damage on target encounter',1,1),
(131132,170184,3,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(131133,170184,3,100,'Inflicts 1 piercing damage on target encounter',1,1),
(131134,170184,4,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(131135,170184,4,100,'Inflicts 1 piercing damage on target encounter',1,1),
(131136,170184,5,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(131137,170184,5,100,'Inflicts 1 piercing damage on target encounter',1,1),
(131138,170184,7,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(131139,170184,7,100,'Inflicts 1 piercing damage on target encounter',1,1),
(131140,170184,9,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(131141,170184,9,100,'Inflicts 1 piercing damage on target encounter',1,1),
(131142,170185,1,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(131143,170185,1,100,'Inflicts 2 piercing damage on target encounter',1,1),
(131144,170185,2,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(131145,170185,2,100,'Inflicts 2 piercing damage on target encounter',1,1),
(131146,170185,3,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(131147,170185,3,100,'Inflicts 2 piercing damage on target encounter',1,1),
(131148,170185,4,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(131149,170185,4,100,'Inflicts 2 - 3 piercing damage on target encounter',1,1),
(131150,170185,5,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(131151,170185,5,100,'Inflicts 2 - 3 piercing damage on target encounter',1,1),
(131152,170185,7,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(131153,170185,7,100,'Inflicts 3 - 4 piercing damage on target encounter',1,1),
(131154,170185,9,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(131155,170185,9,100,'Inflicts 3 - 4 piercing damage on target encounter',1,1),
(131156,170185,10,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(131157,170185,10,100,'Inflicts 3 - 4 piercing damage on target encounter',1,1),
(131158,170186,1,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(131159,170186,1,100,'Inflicts 4 - 5 piercing damage on target encounter',1,1),
(131160,170186,2,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(131161,170186,2,100,'Inflicts 4 - 5 piercing damage on target encounter',1,1),
(131162,170186,3,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(131163,170186,3,100,'Inflicts 5 - 6 piercing damage on target encounter',1,1),
(131164,170186,4,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(131165,170186,4,100,'Inflicts 5 - 6 piercing damage on target encounter',1,1),
(131166,170186,5,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(131167,170186,5,100,'Inflicts 5 - 7 piercing damage on target encounter',1,1),
(131168,170186,7,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(131169,170186,7,100,'Inflicts 7 - 9 piercing damage on target encounter',1,1),
(131170,170186,9,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(131171,170186,9,100,'Inflicts 7 - 9 piercing damage on target encounter',1,1),
(131172,170186,10,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(131173,170186,10,100,'Inflicts 8 - 9 piercing damage on target encounter',1,1),
(131174,170187,1,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(131175,170187,1,100,'Inflicts 7 - 8 piercing damage on target encounter',1,1),
(131176,170187,2,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(131177,170187,2,100,'Inflicts 7 - 9 piercing damage on target encounter',1,1),
(131178,170187,3,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(131179,170187,3,100,'Inflicts 8 - 9 piercing damage on target encounter',1,1),
(131180,170187,4,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(131181,170187,4,100,'Inflicts 8 - 10 piercing damage on target encounter',1,1),
(131182,170187,5,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(131183,170187,5,100,'Inflicts 9 - 11 piercing damage on target encounter',1,1),
(131184,170187,7,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(131185,170187,7,100,'Inflicts 12 - 14 piercing damage on target encounter',1,1),
(131186,170187,9,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(131187,170187,9,100,'Inflicts 12 - 15 piercing damage on target encounter',1,1),
(131188,170188,1,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(131189,170188,1,100,'Inflicts 22 - 27 piercing damage on target encounter',1,1),
(131190,170188,4,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(131191,170188,4,100,'Inflicts 27 - 33 piercing damage on target encounter',1,1),
(131192,170188,5,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(131193,170188,5,100,'Inflicts 29 - 36 piercing damage on target encounter',1,1),
(131194,170188,7,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(131195,170188,7,100,'Inflicts 38 - 46 piercing damage on target encounter',1,1),
(131196,170188,9,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(131197,170188,9,100,'Inflicts 39 - 48 piercing damage on target encounter',1,1),
(131198,170189,1,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(131199,170189,1,100,'Inflicts 10 - 12 piercing damage on target encounter',1,1),
(131200,170189,2,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(131201,170189,2,100,'Inflicts 11 - 13 piercing damage on target encounter',1,1),
(131202,170189,3,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(131203,170189,3,100,'Inflicts 11 - 14 piercing damage on target encounter',1,1),
(131204,170189,4,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(131205,170189,4,100,'Inflicts 12 - 15 piercing damage on target encounter',1,1),
(131206,170189,5,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(131207,170189,5,100,'Inflicts 13 - 16 piercing damage on target encounter',1,1),
(131208,170189,7,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(131209,170189,7,100,'Inflicts 17 - 21 piercing damage on target encounter',1,1),
(131210,170189,9,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(131211,170189,9,100,'Inflicts 18 - 22 piercing damage on target encounter',1,1),
(131212,170189,10,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(131213,170189,10,100,'Inflicts 19 - 23 piercing damage on target encounter',1,1),
(131214,170190,1,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(131215,170190,1,100,'Inflicts 14 - 17 piercing damage on target encounter',1,1),
(131216,170190,2,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(131217,170190,2,100,'Inflicts 14 - 17 piercing damage on target encounter',1,1),
(131218,170190,3,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(131219,170190,3,100,'Inflicts 15 - 18 piercing damage on target encounter',1,1),
(131220,170190,4,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(131221,170190,4,100,'Inflicts 17 - 20 piercing damage on target encounter',1,1),
(131222,170190,5,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(131223,170190,5,100,'Inflicts 18 - 22 piercing damage on target encounter',1,1),
(131224,170190,7,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(131225,170190,7,100,'Inflicts 23 - 28 piercing damage on target encounter',1,1),
(131226,170190,9,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(131227,170190,9,100,'Inflicts 24 - 29 piercing damage on target encounter',1,1),
(131228,170191,1,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(131229,170191,1,100,'Inflicts 17 - 20 piercing damage on target encounter',1,1),
(131230,170191,2,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(131231,170191,2,100,'Inflicts 18 - 21 piercing damage on target encounter',1,1),
(131232,170191,3,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(131233,170191,3,100,'Inflicts 19 - 23 piercing damage on target encounter',1,1),
(131234,170191,4,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(131235,170191,4,100,'Inflicts 20 - 25 piercing damage on target encounter',1,1),
(131236,170191,5,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(131237,170191,5,100,'Inflicts 22 - 27 piercing damage on target encounter',1,1),
(131238,170191,7,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(131239,170191,7,100,'Inflicts 29 - 35 piercing damage on target encounter',1,1),
(131240,170191,9,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(131241,170191,9,100,'Inflicts 30 - 36 piercing damage on target encounter',1,1),
(131242,170192,1,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(131243,170192,1,100,'Inflicts 20 - 25 piercing damage on target encounter',1,1),
(131244,170192,4,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(131245,170192,4,100,'Inflicts 25 - 30 piercing damage on target encounter',1,1),
(131246,170192,5,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(131247,170192,5,100,'Inflicts 27 - 33 piercing damage on target encounter',1,1),
(131248,170192,7,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(131249,170192,7,100,'Inflicts 34 - 42 piercing damage on target encounter',1,1),
(131250,170192,9,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(131251,170192,9,100,'Inflicts 36 - 44 piercing damage on target encounter',1,1),
(131252,2000702,1,100,'Prevents target encounter from changing targets',0,0),
(131253,2000702,1,100,'Target encounter is forced to target a random fighter from the caster''s group',0,1),
(131254,170193,1,100,'Inflicts 195 - 324 magic damage on target',0,0),
(131255,170193,2,100,'Inflicts 205 - 342 magic damage on target',0,0),
(131256,170193,3,100,'Inflicts 216 - 360 magic damage on target',0,0),
(131257,170193,4,100,'Inflicts 238 - 396 magic damage on target',0,0),
(131258,170193,5,100,'Inflicts 259 - 432 magic damage on target',0,0),
(131259,170193,7,100,'Inflicts 333 - 555 magic damage on target',0,0),
(131260,170193,9,100,'Inflicts 346 - 576 magic damage on target',0,0),
(131261,170193,10,100,'Inflicts 363 - 605 magic damage on target',0,0),
(131262,170194,1,100,'Inflicts 331 - 551 magic damage on target',0,0),
(131263,170194,2,100,'Inflicts 349 - 582 magic damage on target',0,0),
(131264,170194,3,100,'Inflicts 368 - 613 magic damage on target',0,0),
(131265,170194,4,100,'Inflicts 404 - 674 magic damage on target',0,0),
(131266,170194,5,100,'Inflicts 441 - 735 magic damage on target',0,0),
(131267,170194,7,100,'Inflicts 566 - 944 magic damage on target',0,0),
(131268,170194,9,100,'Inflicts 588 - 980 magic damage on target',0,0),
(131269,170195,1,100,'Inflicts 494 - 823 magic damage on target',0,0),
(131270,170195,2,100,'Inflicts 521 - 869 magic damage on target',0,0),
(131271,170195,3,100,'Inflicts 549 - 915 magic damage on target',0,0),
(131272,170195,4,100,'Inflicts 604 - 1006 magic damage on target',0,0),
(131273,170195,5,100,'Inflicts 659 - 1098 magic damage on target',0,0),
(131274,170195,7,100,'Inflicts 845 - 1409 magic damage on target',0,0),
(131275,170195,9,100,'Inflicts 878 - 1464 magic damage on target',0,0),
(131276,170195,10,100,'Inflicts 922 - 1537 magic damage on target',0,0),
(131277,170196,1,100,'Inflicts 664 - 1107 magic damage on target',0,0),
(131278,170196,2,100,'Inflicts 701 - 1169 magic damage on target',0,0),
(131279,170196,3,100,'Inflicts 738 - 1230 magic damage on target',0,0),
(131280,170196,4,100,'Inflicts 812 - 1353 magic damage on target',0,0),
(131281,170196,5,100,'Inflicts 886 - 1476 magic damage on target',0,0),
(131282,170196,7,100,'Inflicts 1137 - 1895 magic damage on target',0,0),
(131283,170196,9,100,'Inflicts 1181 - 1968 magic damage on target',0,0),
(131284,170197,1,100,'Inflicts 833 - 1388 magic damage on target',0,0),
(131285,170197,2,100,'Inflicts 879 - 1466 magic damage on target',0,0),
(131286,170197,3,100,'Inflicts 926 - 1543 magic damage on target',0,0),
(131287,170197,4,100,'Inflicts 1018 - 1697 magic damage on target',0,0),
(131288,170197,5,100,'Inflicts 1111 - 1851 magic damage on target',0,0),
(131289,170197,7,100,'Inflicts 1425 - 2376 magic damage on target',0,0),
(131290,170197,9,100,'Inflicts 1481 - 2468 magic damage on target',0,0),
(131291,170198,1,100,'Inflicts 1004 - 1674 magic damage on target',0,0),
(131292,170198,4,100,'Inflicts 1227 - 2046 magic damage on target',0,0),
(131293,170198,5,100,'Inflicts 1339 - 2232 magic damage on target',0,0),
(131294,170198,7,100,'Inflicts 1718 - 2864 magic damage on target',0,0),
(131295,170198,9,100,'Inflicts 1785 - 2976 magic damage on target',0,0),
(131296,170199,1,100,'Inflicts 1103 - 1838 magic damage on target',0,0),
(131297,170199,4,100,'Inflicts 1348 - 2247 magic damage on target',0,0),
(131298,170199,5,100,'Inflicts 1471 - 2451 magic damage on target',0,0),
(131299,170199,7,100,'Inflicts 1887 - 3146 magic damage on target',0,0),
(131300,170199,9,100,'Inflicts 1961 - 3268 magic damage on target',0,0),
(131301,2000703,1,100,'Inflicts 7 - 10 magic damage on target',0,0),
(131302,360173,1,100,'Inflicts 84 - 140 mental damage on targets in Area of Effect',0,0),
(131303,360173,2,100,'Inflicts 89 - 148 mental damage on targets in Area of Effect',0,0),
(131304,360173,3,100,'Inflicts 93 - 155 mental damage on targets in Area of Effect',0,0),
(131305,360173,4,100,'Inflicts 103 - 171 mental damage on targets in Area of Effect',0,0),
(131306,360173,5,100,'Inflicts 112 - 186 mental damage on targets in Area of Effect',0,0),
(131307,360173,7,100,'Inflicts 144 - 239 mental damage on targets in Area of Effect',0,0),
(131308,360173,9,100,'Inflicts 149 - 249 mental damage on targets in Area of Effect',0,0),
(131309,360174,1,100,'Inflicts 135 - 225 mental damage on targets in Area of Effect',0,0),
(131310,360174,2,100,'Inflicts 143 - 238 mental damage on targets in Area of Effect',0,0),
(131311,360174,3,100,'Inflicts 150 - 250 mental damage on targets in Area of Effect',0,0),
(131312,360174,4,100,'Inflicts 165 - 275 mental damage on targets in Area of Effect',0,0),
(131313,360174,5,100,'Inflicts 180 - 300 mental damage on targets in Area of Effect',0,0),
(131314,360174,7,100,'Inflicts 231 - 385 mental damage on targets in Area of Effect',0,0),
(131315,360174,9,100,'Inflicts 240 - 400 mental damage on targets in Area of Effect',0,0),
(131316,360175,1,100,'Inflicts 199 - 332 mental damage on targets in Area of Effect',0,0),
(131317,360175,2,100,'Inflicts 210 - 350 mental damage on targets in Area of Effect',0,0),
(131318,360175,3,100,'Inflicts 221 - 368 mental damage on targets in Area of Effect',0,0),
(131319,360175,4,100,'Inflicts 243 - 405 mental damage on targets in Area of Effect',0,0),
(131320,360175,5,100,'Inflicts 265 - 442 mental damage on targets in Area of Effect',0,0),
(131321,360175,7,100,'Inflicts 340 - 567 mental damage on targets in Area of Effect',0,0),
(131322,360175,9,100,'Inflicts 354 - 589 mental damage on targets in Area of Effect',0,0),
(131323,360176,1,100,'Inflicts 263 - 438 mental damage on targets in Area of Effect',0,0),
(131324,360176,2,100,'Inflicts 277 - 462 mental damage on targets in Area of Effect',0,0),
(131325,360176,3,100,'Inflicts 292 - 487 mental damage on targets in Area of Effect',0,0),
(131326,360176,4,100,'Inflicts 321 - 535 mental damage on targets in Area of Effect',0,0),
(131327,360176,5,100,'Inflicts 350 - 584 mental damage on targets in Area of Effect',0,0),
(131328,360176,7,100,'Inflicts 450 - 749 mental damage on targets in Area of Effect',0,0),
(131329,360176,9,100,'Inflicts 467 - 779 mental damage on targets in Area of Effect',0,0),
(131330,360177,1,100,'Inflicts 318 - 530 mental damage on targets in Area of Effect',0,0),
(131331,360177,2,100,'Inflicts 336 - 560 mental damage on targets in Area of Effect',0,0),
(131332,360177,3,100,'Inflicts 354 - 589 mental damage on targets in Area of Effect',0,0),
(131333,360177,4,100,'Inflicts 389 - 648 mental damage on targets in Area of Effect',0,0),
(131334,360177,5,100,'Inflicts 424 - 707 mental damage on targets in Area of Effect',0,0),
(131335,360177,7,100,'Inflicts 544 - 907 mental damage on targets in Area of Effect',0,0),
(131336,360177,9,100,'Inflicts 566 - 943 mental damage on targets in Area of Effect',0,0),
(131337,360178,1,100,'Inflicts 383 - 639 mental damage on targets in Area of Effect',0,0),
(131338,360178,4,100,'Inflicts 468 - 781 mental damage on targets in Area of Effect',0,0),
(131339,360178,5,100,'Inflicts 511 - 852 mental damage on targets in Area of Effect',0,0),
(131340,360178,7,100,'Inflicts 656 - 1093 mental damage on targets in Area of Effect',0,0),
(131341,360178,9,100,'Inflicts 681 - 1136 mental damage on targets in Area of Effect',0,0),
(131342,360179,1,100,'Inflicts 416 - 693 mental damage on targets in Area of Effect',0,0),
(131343,360179,4,100,'Inflicts 509 - 848 mental damage on targets in Area of Effect',0,0),
(131344,360179,5,100,'Inflicts 555 - 925 mental damage on targets in Area of Effect',0,0),
(131345,360179,7,100,'Inflicts 712 - 1187 mental damage on targets in Area of Effect',0,0),
(131346,360179,9,100,'Inflicts 740 - 1233 mental damage on targets in Area of Effect',0,0),
(131347,2000704,1,100,'Inflicts 0 cold damage on target',0,0),
(131348,2000704,1,100,'Inflicts 1 cold damage on target encounter',0,1),
(131349,2000704,1,100,'Stuns target encounter',0,2),
(131350,2000704,1,100,'Epic targets gain an immunity to Stun effects of 5.0 seconds and duration is reduced to 0.6 seconds.',0,3),
(131351,2000704,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(131352,2000705,1,100,'Improves casting speed of spells by 20%',0,0),
(131353,2000705,1,100,'Improves reuse speed of spells by 10%',0,1),
(131354,2000705,1,100,'Improves recovery speed of spells by 40%',0,2),
(131355,2000706,1,100,'Time Warp grants the group spell double attack and increased triggers on their reactives for five seconds after a short wait time.',0,0),
(131356,220018,1,100,'Interrupts target',0,0),
(131357,220018,1,100,'Inflicts 4 - 6 magic damage on target',0,1),
(131358,220018,1,100,'Stifles target',0,2),
(131359,220018,1,100,'If Target is not Epic',1,3),
(131360,220018,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(131361,220018,2,100,'Interrupts target',0,0),
(131362,220018,2,100,'Inflicts 4 - 6 magic damage on target',0,1),
(131363,220018,2,100,'Stifles target',0,2),
(131364,220018,2,100,'If Target is not Epic',1,3),
(131365,220018,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(131366,220018,3,100,'Interrupts target',0,0),
(131367,220018,3,100,'Inflicts 4 - 7 magic damage on target',0,1),
(131368,220018,3,100,'Stifles target',0,2),
(131369,220018,3,100,'If Target is not Epic',1,3),
(131370,220018,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(131371,220018,4,100,'Interrupts target',0,0),
(131372,220018,4,100,'Inflicts 4 - 7 magic damage on target',0,1),
(131373,220018,4,100,'Stifles target',0,2),
(131374,220018,4,100,'If Target is not Epic',1,3),
(131375,220018,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(131376,220018,5,100,'Interrupts target',0,0),
(131377,220018,5,100,'Inflicts 5 - 8 magic damage on target',0,1),
(131378,220018,5,100,'Stifles target',0,2),
(131379,220018,5,100,'If Target is not Epic',1,3),
(131380,220018,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(131381,220018,7,100,'Interrupts target',0,0),
(131382,220018,7,100,'Inflicts 6 - 10 magic damage on target',0,1),
(131383,220018,7,100,'Stifles target',0,2),
(131384,220018,7,100,'If Target is not Epic',1,3),
(131385,220018,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(131386,220018,9,100,'Interrupts target',0,0),
(131387,220018,9,100,'Inflicts 6 - 10 magic damage on target',0,1),
(131388,220018,9,100,'Stifles target',0,2),
(131389,220018,9,100,'If Target is not Epic',1,3),
(131390,220018,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(131391,140187,1,100,'Inflicts 3 mental damage on target instantly and every 3 seconds',0,0),
(131392,140187,1,100,'Decreases Combat Mitigation of target by 8.64',0,1),
(131393,140187,2,100,'Inflicts 3 - 4 mental damage on target instantly and every 3 seconds',0,0),
(131394,140187,2,100,'Decreases Combat Mitigation of target by 9.12',0,1),
(131395,140187,3,100,'Inflicts 3 - 4 mental damage on target instantly and every 3 seconds',0,0),
(131396,140187,3,100,'Decreases Combat Mitigation of target by 9.6',0,1),
(131397,140187,4,100,'Inflicts 3 - 4 mental damage on target instantly and every 3 seconds',0,0),
(131398,140187,4,100,'Decreases Combat Mitigation of target by 10.56',0,1),
(131399,140187,5,100,'Inflicts 4 mental damage on target instantly and every 3 seconds',0,0),
(131400,140187,5,100,'Decreases Combat Mitigation of target by 11.52',0,1),
(131401,140187,7,100,'Inflicts 5 - 6 mental damage on target instantly and every 3 seconds',0,0),
(131402,140187,7,100,'Decreases Combat Mitigation of target by 14.78',0,1),
(131403,140187,9,100,'Inflicts 5 - 6 mental damage on target instantly and every 3 seconds',0,0),
(131404,140187,9,100,'Decreases Combat Mitigation of target by 15.36',0,1),
(131405,140188,1,100,'Inflicts 9 - 11 mental damage on target instantly and every 3 seconds',0,0),
(131406,140188,1,100,'Decreases Combat Mitigation of target by 8.64',0,1),
(131407,140188,2,100,'Inflicts 10 - 12 mental damage on target instantly and every 3 seconds',0,0),
(131408,140188,2,100,'Decreases Combat Mitigation of target by 9.12',0,1),
(131409,140188,3,100,'Inflicts 10 - 13 mental damage on target instantly and every 3 seconds',0,0),
(131410,140188,3,100,'Decreases Combat Mitigation of target by 9.6',0,1),
(131411,140188,4,100,'Inflicts 11 - 14 mental damage on target instantly and every 3 seconds',0,0),
(131412,140188,4,100,'Decreases Combat Mitigation of target by 10.56',0,1),
(131413,140188,5,100,'Inflicts 12 - 15 mental damage on target instantly and every 3 seconds',0,0),
(131414,140188,5,100,'Decreases Combat Mitigation of target by 11.52',0,1),
(131415,140188,7,100,'Inflicts 16 - 19 mental damage on target instantly and every 3 seconds',0,0),
(131416,140188,7,100,'Decreases Combat Mitigation of target by 14.78',0,1),
(131417,140188,9,100,'Inflicts 16 - 20 mental damage on target instantly and every 3 seconds',0,0),
(131418,140188,9,100,'Decreases Combat Mitigation of target by 15.36',0,1),
(131419,140188,10,100,'Inflicts 17 - 21 mental damage on target instantly and every 3 seconds',0,0),
(131420,140188,10,100,'Decreases Combat Mitigation of target by 16.13',0,1),
(131421,140189,1,100,'Inflicts 21 - 26 mental damage on target instantly and every 3 seconds',0,0),
(131423,140189,2,100,'Inflicts 23 - 28 mental damage on target instantly and every 3 seconds',0,0),
(131425,140189,3,100,'Inflicts 24 - 29 mental damage on target instantly and every 3 seconds',0,0),
(131427,140189,4,100,'Inflicts 26 - 32 mental damage on target instantly and every 3 seconds',0,0),
(131429,140189,5,100,'Inflicts 29 - 35 mental damage on target instantly and every 3 seconds',0,0),
(131431,140189,7,100,'Inflicts 37 - 45 mental damage on target instantly and every 3 seconds',0,0),
(131433,140189,9,100,'Inflicts 38 - 47 mental damage on target instantly and every 3 seconds',0,0),
(131435,140190,1,100,'Inflicts 35 - 43 mental damage on target instantly and every 3 seconds',0,0),
(131436,140190,1,100,'Decreases STR and STA of target by 24.0',0,1),
(131437,140190,2,100,'Inflicts 37 - 45 mental damage on target instantly and every 3 seconds',0,0),
(131438,140190,2,100,'Decreases STR and STA of target by 28.0',0,1),
(131439,140190,3,100,'Inflicts 39 - 48 mental damage on target instantly and every 3 seconds',0,0),
(131440,140190,3,100,'Decreases STR and STA of target by 32.0',0,1),
(131441,140190,4,100,'Inflicts 43 - 52 mental damage on target instantly and every 3 seconds',0,0),
(131442,140190,4,100,'Decreases STR and STA of target by 36.0',0,1),
(131443,140190,5,100,'Inflicts 47 - 57 mental damage on target instantly and every 3 seconds',0,0),
(131444,140190,5,100,'Decreases STR and STA of target by 40.0',0,1),
(131445,140190,7,100,'Inflicts 60 - 73 mental damage on target instantly and every 3 seconds',0,0),
(131446,140190,7,100,'Decreases STR and STA of target by 44.0',0,1),
(131447,140190,9,100,'Inflicts 62 - 76 mental damage on target instantly and every 3 seconds',0,0),
(131448,140190,9,100,'Decreases STR and STA of target by 48.0',0,1),
(131449,140191,1,100,'Inflicts 111 - 136 mental damage on target instantly and every 3 seconds',0,0),
(131450,140191,1,100,'Decreases Combat Mitigation of target by 8.64',0,1),
(131451,140191,4,100,'Inflicts 136 - 166 mental damage on target instantly and every 3 seconds',0,0),
(131452,140191,4,100,'Decreases Combat Mitigation of target by 10.56',0,1),
(131453,140191,5,100,'Inflicts 148 - 181 mental damage on target instantly and every 3 seconds',0,0),
(131454,140191,5,100,'Decreases Combat Mitigation of target by 11.52',0,1),
(131455,140191,7,100,'Inflicts 190 - 232 mental damage on target instantly and every 3 seconds',0,0),
(131456,140191,7,100,'Decreases Combat Mitigation of target by 14.78',0,1),
(131457,140191,9,100,'Inflicts 197 - 241 mental damage on target instantly and every 3 seconds',0,0),
(131458,140191,9,100,'Decreases Combat Mitigation of target by 15.36',0,1),
(131459,140192,1,100,'Inflicts 52 - 63 mental damage on target instantly and every 3 seconds',0,0),
(131460,140192,1,100,'Decreases Combat Mitigation of target by 8.64',0,1),
(131461,140192,2,100,'Inflicts 55 - 67 mental damage on target instantly and every 3 seconds',0,0),
(131462,140192,2,100,'Decreases Combat Mitigation of target by 9.12',0,1),
(131463,140192,3,100,'Inflicts 58 - 70 mental damage on target instantly and every 3 seconds',0,0),
(131464,140192,3,100,'Decreases Combat Mitigation of target by 9.6',0,1),
(131465,140192,4,100,'Inflicts 63 - 77 mental damage on target instantly and every 3 seconds',0,0),
(131466,140192,4,100,'Decreases Combat Mitigation of target by 10.56',0,1),
(131467,140192,5,100,'Inflicts 69 - 84 mental damage on target instantly and every 3 seconds',0,0),
(131468,140192,5,100,'Decreases Combat Mitigation of target by 11.52',0,1),
(131469,140192,7,100,'Inflicts 89 - 108 mental damage on target instantly and every 3 seconds',0,0),
(131470,140192,7,100,'Decreases Combat Mitigation of target by 14.78',0,1),
(131471,140192,9,100,'Inflicts 92 - 113 mental damage on target instantly and every 3 seconds',0,0),
(131472,140192,9,100,'Decreases Combat Mitigation of target by 15.36',0,1),
(131473,140192,10,100,'Inflicts 97 - 118 mental damage on target instantly and every 3 seconds',0,0),
(131474,140192,10,100,'Decreases Combat Mitigation of target by 16.13',0,1),
(131475,140193,1,100,'Inflicts 69 - 84 mental damage on target instantly and every 3 seconds',0,0),
(131476,140193,1,100,'Decreases Combat Mitigation of target by 8.64',0,1),
(131477,140193,2,100,'Inflicts 73 - 89 mental damage on target instantly and every 3 seconds',0,0),
(131478,140193,2,100,'Decreases Combat Mitigation of target by 9.12',0,1),
(131479,140193,3,100,'Inflicts 77 - 94 mental damage on target instantly and every 3 seconds',0,0),
(131480,140193,3,100,'Decreases Combat Mitigation of target by 9.6',0,1),
(131481,140193,4,100,'Inflicts 84 - 103 mental damage on target instantly and every 3 seconds',0,0),
(131482,140193,4,100,'Decreases Combat Mitigation of target by 10.56',0,1),
(131483,140193,5,100,'Inflicts 92 - 112 mental damage on target instantly and every 3 seconds',0,0),
(131484,140193,5,100,'Decreases Combat Mitigation of target by 11.52',0,1),
(131485,140193,7,100,'Inflicts 118 - 144 mental damage on target instantly and every 3 seconds',0,0),
(131486,140193,7,100,'Decreases Combat Mitigation of target by 14.78',0,1),
(131487,140193,9,100,'Inflicts 122 - 150 mental damage on target instantly and every 3 seconds',0,0),
(131488,140193,9,100,'Decreases Combat Mitigation of target by 15.36',0,1),
(131489,140194,1,100,'Inflicts 85 - 104 mental damage on target instantly and every 3 seconds',0,0),
(131490,140194,1,100,'Decreases Combat Mitigation of target by 8.64',0,1),
(131491,140194,2,100,'Inflicts 90 - 109 mental damage on target instantly and every 3 seconds',0,0),
(131492,140194,2,100,'Decreases Combat Mitigation of target by 9.12',0,1),
(131493,140194,3,100,'Inflicts 94 - 115 mental damage on target instantly and every 3 seconds',0,0),
(131494,140194,3,100,'Decreases Combat Mitigation of target by 9.6',0,1),
(131495,140194,4,100,'Inflicts 104 - 127 mental damage on target instantly and every 3 seconds',0,0),
(131496,140194,4,100,'Decreases Combat Mitigation of target by 10.56',0,1),
(131497,140194,5,100,'Inflicts 113 - 138 mental damage on target instantly and every 3 seconds',0,0),
(131498,140194,5,100,'Decreases Combat Mitigation of target by 11.52',0,1),
(131499,140194,7,100,'Inflicts 145 - 177 mental damage on target instantly and every 3 seconds',0,0),
(131500,140194,7,100,'Decreases Combat Mitigation of target by 14.78',0,1),
(131501,140194,9,100,'Inflicts 151 - 184 mental damage on target instantly and every 3 seconds',0,0),
(131502,140194,9,100,'Decreases Combat Mitigation of target by 15.36',0,1),
(131503,140195,1,100,'Inflicts 102 - 125 mental damage on target instantly and every 3 seconds',0,0),
(131504,140195,1,100,'Decreases Combat Mitigation of target by 8.64',0,1),
(131505,140195,4,100,'Inflicts 125 - 153 mental damage on target instantly and every 3 seconds',0,0),
(131506,140195,4,100,'Decreases Combat Mitigation of target by 10.56',0,1),
(131507,140195,5,100,'Inflicts 136 - 167 mental damage on target instantly and every 3 seconds',0,0),
(131508,140195,5,100,'Decreases Combat Mitigation of target by 11.52',0,1),
(131509,140195,7,100,'Inflicts 175 - 214 mental damage on target instantly and every 3 seconds',0,0),
(131510,140195,7,100,'Decreases Combat Mitigation of target by 14.78',0,1),
(131511,140195,9,100,'Inflicts 182 - 222 mental damage on target instantly and every 3 seconds',0,0),
(131512,140195,9,100,'Decreases Combat Mitigation of target by 15.36',0,1),
(131513,140196,1,100,'Applies Traumatization on termination.  Lasts for 8.8 seconds.',0,0),
(131514,140196,1,100,'Decreases Threat to target by 2,087  instantly and Decreases Threat by 2,089  every 1.8 seconds thereafter',1,1),
(131515,140196,1,100,'Mesmerizes target',1,2),
(131516,140196,1,100,'Dispelled when target takes damage',1,3),
(131517,140196,1,100,'Epic targets gain an immunity to Mesmerize effects of 26.3 seconds and duration is reduced to 2.9 seconds.',1,4),
(131518,140196,1,100,'Resistibility increases against targets higher than level 76.',1,5),
(131519,140196,1,100,'Makes target afraid',0,6),
(131520,140196,1,100,'30% chance to dispel when target takes damage',0,7),
(131521,140196,1,100,'Does not affect Epic targets',0,8),
(131522,140196,1,100,'Resistibility increases against targets higher than level 29.',0,9),
(131523,140196,2,100,'Applies Traumatization on termination.  Lasts for 8.8 seconds.',0,0),
(131524,140196,2,100,'Decreases Threat to target by 2,203  instantly and Decreases Threat by 2,204  every 1.8 seconds thereafter',1,1),
(131525,140196,2,100,'Mesmerizes target',1,2),
(131526,140196,2,100,'Dispelled when target takes damage',1,3),
(131527,140196,2,100,'Epic targets gain an immunity to Mesmerize effects of 26.3 seconds and duration is reduced to 2.9 seconds.',1,4),
(131528,140196,2,100,'Resistibility increases against targets higher than level 76.',1,5),
(131529,140196,2,100,'Makes target afraid',0,6),
(131530,140196,2,100,'30% chance to dispel when target takes damage',0,7),
(131531,140196,2,100,'Does not affect Epic targets',0,8),
(131532,140196,2,100,'Resistibility increases against targets higher than level 29.',0,9),
(131533,140196,3,100,'Applies Traumatization on termination.  Lasts for 8.8 seconds.',0,0),
(131534,140196,3,100,'Decreases Threat to target by 2,319  instantly and Decreases Threat by 2,319  every 1.8 seconds thereafter',1,1),
(131535,140196,3,100,'Mesmerizes target',1,2),
(131536,140196,3,100,'Dispelled when target takes damage',1,3),
(131537,140196,3,100,'Epic targets gain an immunity to Mesmerize effects of 26.3 seconds and duration is reduced to 2.9 seconds.',1,4),
(131538,140196,3,100,'Resistibility increases against targets higher than level 76.',1,5),
(131539,140196,3,100,'Makes target afraid',0,6),
(131540,140196,3,100,'30% chance to dispel when target takes damage',0,7),
(131541,140196,3,100,'Does not affect Epic targets',0,8),
(131542,140196,3,100,'Resistibility increases against targets higher than level 29.',0,9),
(131543,140196,4,100,'Applies Traumatization on termination.  Lasts for 8.8 seconds.',0,0),
(131544,140196,4,100,'Decreases Threat to target by 2,551  instantly and Decreases Threat by 2,549  every 1.8 seconds thereafter',1,1),
(131545,140196,4,100,'Mesmerizes target',1,2),
(131546,140196,4,100,'Dispelled when target takes damage',1,3),
(131547,140196,4,100,'Epic targets gain an immunity to Mesmerize effects of 26.3 seconds and duration is reduced to 2.9 seconds.',1,4),
(131548,140196,4,100,'Resistibility increases against targets higher than level 76.',1,5),
(131549,140196,4,100,'Makes target afraid',0,6),
(131550,140196,4,100,'30% chance to dispel when target takes damage',0,7),
(131551,140196,4,100,'Does not affect Epic targets',0,8),
(131552,140196,4,100,'Resistibility increases against targets higher than level 29.',0,9),
(131553,140196,5,100,'Applies Traumatization on termination.  Lasts for 8.8 seconds.',0,0),
(131554,140196,5,100,'Decreases Threat to target by 2,783  instantly and Decreases Threat by 2,779  every 1.8 seconds thereafter',1,1),
(131555,140196,5,100,'Mesmerizes target',1,2),
(131556,140196,5,100,'Dispelled when target takes damage',1,3),
(131557,140196,5,100,'Epic targets gain an immunity to Mesmerize effects of 26.3 seconds and duration is reduced to 2.9 seconds.',1,4),
(131558,140196,5,100,'Resistibility increases against targets higher than level 76.',1,5),
(131559,140196,5,100,'Makes target afraid',0,6),
(131560,140196,5,100,'30% chance to dispel when target takes damage',0,7),
(131561,140196,5,100,'Does not affect Epic targets',0,8),
(131562,140196,5,100,'Resistibility increases against targets higher than level 29.',0,9),
(131563,140196,7,100,'Applies Traumatization on termination.  Lasts for 8.8 seconds.',0,0),
(131564,140196,7,100,'Decreases Threat to target by 3,572  instantly and Decreases Threat by 3,561  every 1.8 seconds thereafter',1,1),
(131565,140196,7,100,'Mesmerizes target',1,2),
(131566,140196,7,100,'Dispelled when target takes damage',1,3),
(131567,140196,7,100,'Epic targets gain an immunity to Mesmerize effects of 26.3 seconds and duration is reduced to 2.9 seconds.',1,4),
(131568,140196,7,100,'Resistibility increases against targets higher than level 76.',1,5),
(131569,140196,7,100,'Makes target afraid',0,6),
(131570,140196,7,100,'30% chance to dispel when target takes damage',0,7),
(131571,140196,7,100,'Does not affect Epic targets',0,8),
(131572,140196,7,100,'Resistibility increases against targets higher than level 29.',0,9),
(131573,140196,9,100,'Applies Traumatization on termination.  Lasts for 8.8 seconds.',0,0),
(131574,140196,9,100,'Decreases Threat to target by 3,711  instantly and Decreases Threat by 3,699  every 1.8 seconds thereafter',1,1),
(131575,140196,9,100,'Mesmerizes target',1,2),
(131576,140196,9,100,'Dispelled when target takes damage',1,3),
(131577,140196,9,100,'Epic targets gain an immunity to Mesmerize effects of 26.3 seconds and duration is reduced to 2.9 seconds.',1,4),
(131578,140196,9,100,'Resistibility increases against targets higher than level 76.',1,5),
(131579,140196,9,100,'Makes target afraid',0,6),
(131580,140196,9,100,'30% chance to dispel when target takes damage',0,7),
(131581,140196,9,100,'Does not affect Epic targets',0,8),
(131582,140196,9,100,'Resistibility increases against targets higher than level 29.',0,9),
(131583,140197,1,100,'Applies Traumatization on termination.  Lasts for 10.0 seconds.',0,0),
(131584,140197,1,100,'Decreases Threat to target by 2,964  instantly and Decreases Threat by 2,966  every 2 seconds thereafter',1,1),
(131585,140197,1,100,'Mesmerizes target',1,2),
(131586,140197,1,100,'Dispelled when target takes damage',1,3),
(131587,140197,1,100,'Epic targets gain an immunity to Mesmerize effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,4),
(131588,140197,1,100,'Resistibility increases against targets higher than level 90.',1,5),
(131589,140197,1,100,'Makes target afraid',0,6),
(131590,140197,1,100,'30% chance to dispel when target takes damage',0,7),
(131591,140197,1,100,'Does not affect Epic targets',0,8),
(131592,140197,1,100,'Resistibility increases against targets higher than level 29.',0,9),
(131593,140197,2,100,'Applies Traumatization on termination.  Lasts for 10.0 seconds.',0,0),
(131594,140197,2,100,'Decreases Threat to target by 3,129  instantly and Decreases Threat by 3,130  every 2 seconds thereafter',1,1),
(131595,140197,2,100,'Mesmerizes target',1,2),
(131596,140197,2,100,'Dispelled when target takes damage',1,3),
(131597,140197,2,100,'Epic targets gain an immunity to Mesmerize effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,4),
(131598,140197,2,100,'Resistibility increases against targets higher than level 90.',1,5),
(131599,140197,2,100,'Makes target afraid',0,6),
(131600,140197,2,100,'30% chance to dispel when target takes damage',0,7),
(131601,140197,2,100,'Does not affect Epic targets',0,8),
(131602,140197,2,100,'Resistibility increases against targets higher than level 29.',0,9),
(131603,140197,3,100,'Applies Traumatization on termination.  Lasts for 10.0 seconds.',0,0),
(131604,140197,3,100,'Decreases Threat to target by 3,294  instantly and Decreases Threat by 3,294  every 2 seconds thereafter',1,1),
(131605,140197,3,100,'Mesmerizes target',1,2),
(131606,140197,3,100,'Dispelled when target takes damage',1,3),
(131607,140197,3,100,'Epic targets gain an immunity to Mesmerize effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,4),
(131608,140197,3,100,'Resistibility increases against targets higher than level 90.',1,5),
(131609,140197,3,100,'Makes target afraid',0,6),
(131610,140197,3,100,'30% chance to dispel when target takes damage',0,7),
(131611,140197,3,100,'Does not affect Epic targets',0,8),
(131612,140197,3,100,'Resistibility increases against targets higher than level 29.',0,9),
(131613,140197,4,100,'Applies Traumatization on termination.  Lasts for 10.0 seconds.',0,0),
(131614,140197,4,100,'Decreases Threat to target by 3,623  instantly and Decreases Threat by 3,621  every 2 seconds thereafter',1,1),
(131615,140197,4,100,'Mesmerizes target',1,2),
(131616,140197,4,100,'Dispelled when target takes damage',1,3),
(131617,140197,4,100,'Epic targets gain an immunity to Mesmerize effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,4),
(131618,140197,4,100,'Resistibility increases against targets higher than level 90.',1,5),
(131619,140197,4,100,'Makes target afraid',0,6),
(131620,140197,4,100,'30% chance to dispel when target takes damage',0,7),
(131621,140197,4,100,'Does not affect Epic targets',0,8),
(131622,140197,4,100,'Resistibility increases against targets higher than level 29.',0,9),
(131623,140197,5,100,'Applies Traumatization on termination.  Lasts for 10.0 seconds.',0,0),
(131624,140197,5,100,'Decreases Threat to target by 3,952  instantly and Decreases Threat by 3,948  every 2 seconds thereafter',1,1),
(131625,140197,5,100,'Mesmerizes target',1,2),
(131626,140197,5,100,'Dispelled when target takes damage',1,3),
(131627,140197,5,100,'Epic targets gain an immunity to Mesmerize effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,4),
(131628,140197,5,100,'Resistibility increases against targets higher than level 90.',1,5),
(131629,140197,5,100,'Makes target afraid',0,6),
(131630,140197,5,100,'30% chance to dispel when target takes damage',0,7),
(131631,140197,5,100,'Does not affect Epic targets',0,8),
(131632,140197,5,100,'Resistibility increases against targets higher than level 29.',0,9),
(131633,140197,7,100,'Applies Traumatization on termination.  Lasts for 10.0 seconds.',0,0),
(131634,140197,7,100,'Decreases Threat to target by 5,072  instantly and Decreases Threat by 5,060  every 2 seconds thereafter',1,1),
(131635,140197,7,100,'Mesmerizes target',1,2),
(131636,140197,7,100,'Dispelled when target takes damage',1,3),
(131637,140197,7,100,'Epic targets gain an immunity to Mesmerize effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,4),
(131638,140197,7,100,'Resistibility increases against targets higher than level 90.',1,5),
(131639,140197,7,100,'Makes target afraid',0,6),
(131640,140197,7,100,'30% chance to dispel when target takes damage',0,7),
(131641,140197,7,100,'Does not affect Epic targets',0,8),
(131642,140197,7,100,'Resistibility increases against targets higher than level 29.',0,9),
(131643,140197,9,100,'Applies Traumatization on termination.  Lasts for 10.0 seconds.',0,0),
(131644,140197,9,100,'Decreases Threat to target by 5,270  instantly and Decreases Threat by 5,257  every 2 seconds thereafter',1,1),
(131645,140197,9,100,'Mesmerizes target',1,2),
(131646,140197,9,100,'Dispelled when target takes damage',1,3),
(131647,140197,9,100,'Epic targets gain an immunity to Mesmerize effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,4),
(131648,140197,9,100,'Resistibility increases against targets higher than level 90.',1,5),
(131649,140197,9,100,'Makes target afraid',0,6),
(131650,140197,9,100,'30% chance to dispel when target takes damage',0,7),
(131651,140197,9,100,'Does not affect Epic targets',0,8),
(131652,140197,9,100,'Resistibility increases against targets higher than level 29.',0,9),
(131653,140198,1,100,'Applies Traumatization on termination.  Lasts for 11.3 seconds.',0,0),
(131654,140198,1,100,'Decreases Threat to target by 3,999  instantly and Decreases Threat by 4,002  every 2.2 seconds thereafter',1,1),
(131655,140198,1,100,'Mesmerizes target',1,2),
(131656,140198,1,100,'Dispelled when target takes damage',1,3),
(131657,140198,1,100,'Epic targets gain an immunity to Mesmerize effects of 33.7 seconds and duration is reduced to 3.7 seconds.',1,4),
(131658,140198,1,100,'Resistibility increases against targets higher than level 104.',1,5),
(131659,140198,1,100,'Makes target afraid',0,6),
(131660,140198,1,100,'30% chance to dispel when target takes damage',0,7),
(131661,140198,1,100,'Does not affect Epic targets',0,8),
(131662,140198,1,100,'Resistibility increases against targets higher than level 29.',0,9),
(131663,140198,2,100,'Applies Traumatization on termination.  Lasts for 11.3 seconds.',0,0),
(131664,140198,2,100,'Decreases Threat to target by 4,221  instantly and Decreases Threat by 4,223  every 2.2 seconds thereafter',1,1),
(131665,140198,2,100,'Mesmerizes target',1,2),
(131666,140198,2,100,'Dispelled when target takes damage',1,3),
(131667,140198,2,100,'Epic targets gain an immunity to Mesmerize effects of 33.7 seconds and duration is reduced to 3.7 seconds.',1,4),
(131668,140198,2,100,'Resistibility increases against targets higher than level 104.',1,5),
(131669,140198,2,100,'Makes target afraid',0,6),
(131670,140198,2,100,'30% chance to dispel when target takes damage',0,7),
(131671,140198,2,100,'Does not affect Epic targets',0,8),
(131672,140198,2,100,'Resistibility increases against targets higher than level 29.',0,9),
(131673,140198,3,100,'Applies Traumatization on termination.  Lasts for 11.3 seconds.',0,0),
(131674,140198,3,100,'Decreases Threat to target by 4,444  instantly and Decreases Threat by 4,444  every 2.2 seconds thereafter',1,1),
(131675,140198,3,100,'Mesmerizes target',1,2),
(131676,140198,3,100,'Dispelled when target takes damage',1,3),
(131677,140198,3,100,'Epic targets gain an immunity to Mesmerize effects of 33.7 seconds and duration is reduced to 3.7 seconds.',1,4),
(131678,140198,3,100,'Resistibility increases against targets higher than level 104.',1,5),
(131679,140198,3,100,'Makes target afraid',0,6),
(131680,140198,3,100,'30% chance to dispel when target takes damage',0,7),
(131681,140198,3,100,'Does not affect Epic targets',0,8),
(131682,140198,3,100,'Resistibility increases against targets higher than level 29.',0,9),
(131683,140198,4,100,'Applies Traumatization on termination.  Lasts for 11.3 seconds.',0,0),
(131684,140198,4,100,'Decreases Threat to target by 4,888  instantly and Decreases Threat by 4,886  every 2.2 seconds thereafter',1,1),
(131685,140198,4,100,'Mesmerizes target',1,2),
(131686,140198,4,100,'Dispelled when target takes damage',1,3),
(131687,140198,4,100,'Epic targets gain an immunity to Mesmerize effects of 33.7 seconds and duration is reduced to 3.7 seconds.',1,4),
(131688,140198,4,100,'Resistibility increases against targets higher than level 104.',1,5),
(131689,140198,4,100,'Makes target afraid',0,6),
(131690,140198,4,100,'30% chance to dispel when target takes damage',0,7),
(131691,140198,4,100,'Does not affect Epic targets',0,8),
(131692,140198,4,100,'Resistibility increases against targets higher than level 29.',0,9),
(131693,140198,5,100,'Applies Traumatization on termination.  Lasts for 11.3 seconds.',0,0),
(131694,140198,5,100,'Decreases Threat to target by 5,333  instantly and Decreases Threat by 5,328  every 2.2 seconds thereafter',1,1),
(131695,140198,5,100,'Mesmerizes target',1,2),
(131696,140198,5,100,'Dispelled when target takes damage',1,3),
(131697,140198,5,100,'Epic targets gain an immunity to Mesmerize effects of 33.7 seconds and duration is reduced to 3.7 seconds.',1,4),
(131698,140198,5,100,'Resistibility increases against targets higher than level 104.',1,5),
(131699,140198,5,100,'Makes target afraid',0,6),
(131700,140198,5,100,'30% chance to dispel when target takes damage',0,7),
(131701,140198,5,100,'Does not affect Epic targets',0,8),
(131702,140198,5,100,'Resistibility increases against targets higher than level 29.',0,9),
(131703,140198,7,100,'Applies Traumatization on termination.  Lasts for 11.3 seconds.',0,0),
(131704,140198,7,100,'Decreases Threat to target by 6,844  instantly and Decreases Threat by 6,831  every 2.2 seconds thereafter',1,1),
(131705,140198,7,100,'Mesmerizes target',1,2),
(131706,140198,7,100,'Dispelled when target takes damage',1,3),
(131707,140198,7,100,'Epic targets gain an immunity to Mesmerize effects of 33.7 seconds and duration is reduced to 3.7 seconds.',1,4),
(131708,140198,7,100,'Resistibility increases against targets higher than level 104.',1,5),
(131709,140198,7,100,'Makes target afraid',0,6),
(131710,140198,7,100,'30% chance to dispel when target takes damage',0,7),
(131711,140198,7,100,'Does not affect Epic targets',0,8),
(131712,140198,7,100,'Resistibility increases against targets higher than level 29.',0,9),
(131713,140198,9,100,'Applies Traumatization on termination.  Lasts for 11.3 seconds.',0,0),
(131714,140198,9,100,'Decreases Threat to target by 7,110  instantly and Decreases Threat by 7,096  every 2.2 seconds thereafter',1,1),
(131715,140198,9,100,'Mesmerizes target',1,2),
(131716,140198,9,100,'Dispelled when target takes damage',1,3),
(131717,140198,9,100,'Epic targets gain an immunity to Mesmerize effects of 33.7 seconds and duration is reduced to 3.7 seconds.',1,4),
(131718,140198,9,100,'Resistibility increases against targets higher than level 104.',1,5),
(131719,140198,9,100,'Makes target afraid',0,6),
(131720,140198,9,100,'30% chance to dispel when target takes damage',0,7),
(131721,140198,9,100,'Does not affect Epic targets',0,8),
(131722,140198,9,100,'Resistibility increases against targets higher than level 29.',0,9),
(131723,140199,1,100,'Applies Traumatization on termination.  Lasts for 11.3 seconds.',0,0),
(131724,140199,1,100,'Decreases Threat to target by 4,901  instantly and Decreases Threat by 4,904  every 2.2 seconds thereafter',1,1),
(131725,140199,1,100,'Mesmerizes target',1,2),
(131726,140199,1,100,'Dispelled when target takes damage',1,3),
(131727,140199,1,100,'Epic targets gain an immunity to Mesmerize effects of 33.7 seconds and duration is reduced to 3.7 seconds.',1,4),
(131728,140199,1,100,'Resistibility increases against targets higher than level 114.',1,5),
(131729,140199,1,100,'Makes target afraid',0,6),
(131730,140199,1,100,'30% chance to dispel when target takes damage',0,7),
(131731,140199,1,100,'Does not affect Epic targets',0,8),
(131732,140199,1,100,'Resistibility increases against targets higher than level 29.',0,9),
(131733,140199,4,100,'Applies Traumatization on termination.  Lasts for 11.3 seconds.',0,0),
(131734,140199,4,100,'Decreases Threat to target by 5,990  instantly and Decreases Threat by 5,988  every 2.2 seconds thereafter',1,1),
(131735,140199,4,100,'Mesmerizes target',1,2),
(131736,140199,4,100,'Dispelled when target takes damage',1,3),
(131737,140199,4,100,'Epic targets gain an immunity to Mesmerize effects of 33.7 seconds and duration is reduced to 3.7 seconds.',1,4),
(131738,140199,4,100,'Resistibility increases against targets higher than level 114.',1,5),
(131739,140199,4,100,'Makes target afraid',0,6),
(131740,140199,4,100,'30% chance to dispel when target takes damage',0,7),
(131741,140199,4,100,'Does not affect Epic targets',0,8),
(131742,140199,4,100,'Resistibility increases against targets higher than level 29.',0,9),
(131743,140199,5,100,'Applies Traumatization on termination.  Lasts for 11.3 seconds.',0,0),
(131744,140199,5,100,'Decreases Threat to target by 6,535  instantly and Decreases Threat by 6,530  every 2.2 seconds thereafter',1,1),
(131745,140199,5,100,'Mesmerizes target',1,2),
(131746,140199,5,100,'Dispelled when target takes damage',1,3),
(131747,140199,5,100,'Epic targets gain an immunity to Mesmerize effects of 33.7 seconds and duration is reduced to 3.7 seconds.',1,4),
(131748,140199,5,100,'Resistibility increases against targets higher than level 114.',1,5),
(131749,140199,5,100,'Makes target afraid',0,6),
(131750,140199,5,100,'30% chance to dispel when target takes damage',0,7),
(131751,140199,5,100,'Does not affect Epic targets',0,8),
(131752,140199,5,100,'Resistibility increases against targets higher than level 29.',0,9),
(131753,140199,7,100,'Applies Traumatization on termination.  Lasts for 11.3 seconds.',0,0),
(131754,140199,7,100,'Decreases Threat to target by 8,387  instantly and Decreases Threat by 8,373  every 2.2 seconds thereafter',1,1),
(131755,140199,7,100,'Mesmerizes target',1,2),
(131756,140199,7,100,'Dispelled when target takes damage',1,3),
(131757,140199,7,100,'Epic targets gain an immunity to Mesmerize effects of 33.7 seconds and duration is reduced to 3.7 seconds.',1,4),
(131758,140199,7,100,'Resistibility increases against targets higher than level 114.',1,5),
(131759,140199,7,100,'Makes target afraid',0,6),
(131760,140199,7,100,'30% chance to dispel when target takes damage',0,7),
(131761,140199,7,100,'Does not affect Epic targets',0,8),
(131762,140199,7,100,'Resistibility increases against targets higher than level 29.',0,9),
(131763,140199,9,100,'Applies Traumatization on termination.  Lasts for 11.3 seconds.',0,0),
(131764,140199,9,100,'Decreases Threat to target by 8,713  instantly and Decreases Threat by 8,698  every 2.2 seconds thereafter',1,1),
(131765,140199,9,100,'Mesmerizes target',1,2),
(131766,140199,9,100,'Dispelled when target takes damage',1,3),
(131767,140199,9,100,'Epic targets gain an immunity to Mesmerize effects of 33.7 seconds and duration is reduced to 3.7 seconds.',1,4),
(131768,140199,9,100,'Resistibility increases against targets higher than level 114.',1,5),
(131769,140199,9,100,'Makes target afraid',0,6),
(131770,140199,9,100,'30% chance to dispel when target takes damage',0,7),
(131771,140199,9,100,'Does not affect Epic targets',0,8),
(131772,140199,9,100,'Resistibility increases against targets higher than level 29.',0,9),
(131773,140200,1,100,'Applies Traumatization on termination.  Lasts for 11.3 seconds.',0,0),
(131774,140200,1,100,'Decreases Threat to target by 5,802  instantly and Decreases Threat by 5,805  every 2.2 seconds thereafter',1,1),
(131775,140200,1,100,'Mesmerizes target',1,2),
(131776,140200,1,100,'Dispelled when target takes damage',1,3),
(131777,140200,1,100,'Epic targets gain an immunity to Mesmerize effects of 33.7 seconds and duration is reduced to 3.7 seconds.',1,4),
(131778,140200,1,100,'Resistibility increases against targets higher than level 124.',1,5),
(131779,140200,1,100,'Makes target afraid',0,6),
(131780,140200,1,100,'30% chance to dispel when target takes damage',0,7),
(131781,140200,1,100,'Does not affect Epic targets',0,8),
(131782,140200,1,100,'Resistibility increases against targets higher than level 29.',0,9),
(131783,140200,4,100,'Applies Traumatization on termination.  Lasts for 11.3 seconds.',0,0),
(131784,140200,4,100,'Decreases Threat to target by 7,092  instantly and Decreases Threat by 7,089  every 2.2 seconds thereafter',1,1),
(131785,140200,4,100,'Mesmerizes target',1,2),
(131786,140200,4,100,'Dispelled when target takes damage',1,3),
(131787,140200,4,100,'Epic targets gain an immunity to Mesmerize effects of 33.7 seconds and duration is reduced to 3.7 seconds.',1,4),
(131788,140200,4,100,'Resistibility increases against targets higher than level 124.',1,5),
(131789,140200,4,100,'Makes target afraid',0,6),
(131790,140200,4,100,'30% chance to dispel when target takes damage',0,7),
(131791,140200,4,100,'Does not affect Epic targets',0,8),
(131792,140200,4,100,'Resistibility increases against targets higher than level 29.',0,9),
(131793,140200,5,100,'Applies Traumatization on termination.  Lasts for 11.3 seconds.',0,0),
(131794,140200,5,100,'Decreases Threat to target by 7,737  instantly and Decreases Threat by 7,731  every 2.2 seconds thereafter',1,1),
(131795,140200,5,100,'Mesmerizes target',1,2),
(131796,140200,5,100,'Dispelled when target takes damage',1,3),
(131797,140200,5,100,'Epic targets gain an immunity to Mesmerize effects of 33.7 seconds and duration is reduced to 3.7 seconds.',1,4),
(131798,140200,5,100,'Resistibility increases against targets higher than level 124.',1,5),
(131799,140200,5,100,'Makes target afraid',0,6),
(131800,140200,5,100,'30% chance to dispel when target takes damage',0,7),
(131801,140200,5,100,'Does not affect Epic targets',0,8),
(131802,140200,5,100,'Resistibility increases against targets higher than level 29.',0,9),
(131803,140200,7,100,'Applies Traumatization on termination.  Lasts for 11.3 seconds.',0,0),
(131804,140200,7,100,'Decreases Threat to target by 9,929  instantly and Decreases Threat by 9,914  every 2.2 seconds thereafter',1,1),
(131805,140200,7,100,'Mesmerizes target',1,2),
(131806,140200,7,100,'Dispelled when target takes damage',1,3),
(131807,140200,7,100,'Epic targets gain an immunity to Mesmerize effects of 33.7 seconds and duration is reduced to 3.7 seconds.',1,4),
(131808,140200,7,100,'Resistibility increases against targets higher than level 124.',1,5),
(131809,140200,7,100,'Makes target afraid',0,6),
(131810,140200,7,100,'30% chance to dispel when target takes damage',0,7),
(131811,140200,7,100,'Does not affect Epic targets',0,8),
(131812,140200,7,100,'Resistibility increases against targets higher than level 29.',0,9),
(131813,140200,9,100,'Applies Traumatization on termination.  Lasts for 11.3 seconds.',0,0),
(131814,140200,9,100,'Decreases Threat to target by 10,316  instantly and Decreases Threat by 10,299  every 2.2 seconds thereafter',1,1),
(131815,140200,9,100,'Mesmerizes target',1,2),
(131816,140200,9,100,'Dispelled when target takes damage',1,3),
(131817,140200,9,100,'Epic targets gain an immunity to Mesmerize effects of 33.7 seconds and duration is reduced to 3.7 seconds.',1,4),
(131818,140200,9,100,'Resistibility increases against targets higher than level 124.',1,5),
(131819,140200,9,100,'Makes target afraid',0,6),
(131820,140200,9,100,'30% chance to dispel when target takes damage',0,7),
(131821,140200,9,100,'Does not affect Epic targets',0,8),
(131822,140200,9,100,'Resistibility increases against targets higher than level 29.',0,9),
(131823,190156,1,100,'Wards target against 334 points of all damage',0,0),
(131824,190156,1,100,'Heals target for 100 - 123 every 2 seconds',0,1),
(131825,190156,1,100,'Decreases Haste of target by 25.0',0,2),
(131826,190156,1,100,'Slows target by 50.0%',0,3),
(131827,190156,2,100,'Wards target against 353 points of all damage',0,0),
(131828,190156,2,100,'Heals target for 106 - 130 every 2 seconds',0,1),
(131829,190156,2,100,'Decreases Haste of target by 25.0',0,2),
(131830,190156,2,100,'Slows target by 50.0%',0,3),
(131831,190156,3,100,'Wards target against 372 points of all damage',0,0),
(131832,190156,3,100,'Heals target for 112 - 136 every 2 seconds',0,1),
(131833,190156,3,100,'Decreases Haste of target by 25.0',0,2),
(131834,190156,3,100,'Slows target by 50.0%',0,3),
(131835,190156,4,100,'Wards target against 409 points of all damage',0,0),
(131836,190156,4,100,'Heals target for 123 - 150 every 2 seconds',0,1),
(131837,190156,4,100,'Decreases Haste of target by 25.0',0,2),
(131838,190156,4,100,'Slows target by 50.0%',0,3),
(131839,190156,5,100,'Wards target against 446 points of all damage',0,0),
(131840,190156,5,100,'Heals target for 134 - 164 every 2 seconds',0,1),
(131841,190156,5,100,'Decreases Haste of target by 25.0',0,2),
(131842,190156,5,100,'Slows target by 50.0%',0,3),
(131843,190156,7,100,'Wards target against 572 points of all damage',0,0),
(131844,190156,7,100,'Heals target for 172 - 210 every 2 seconds',0,1),
(131845,190156,7,100,'Decreases Haste of target by 25.0',0,2),
(131846,190156,7,100,'Slows target by 50.0%',0,3),
(131847,190156,9,100,'Wards target against 595 points of all damage',0,0),
(131848,190156,9,100,'Heals target for 179 - 218 every 2 seconds',0,1),
(131849,190156,9,100,'Decreases Haste of target by 25.0',0,2),
(131850,190156,9,100,'Slows target by 50.0%',0,3),
(131851,190157,1,100,'Wards target against 496 points of all damage',0,0),
(131852,190157,1,100,'Heals target for 154 - 188 every 2 seconds',0,1),
(131853,190157,1,100,'Decreases Haste of target by 25.0',0,2),
(131854,190157,1,100,'Slows target by 50.0%',0,3),
(131855,190157,2,100,'Wards target against 524 points of all damage',0,0),
(131856,190157,2,100,'Heals target for 163 - 199 every 2 seconds',0,1),
(131857,190157,2,100,'Decreases Haste of target by 25.0',0,2),
(131858,190157,2,100,'Slows target by 50.0%',0,3),
(131859,190157,3,100,'Wards target against 552 points of all damage',0,0),
(131860,190157,3,100,'Heals target for 171 - 209 every 2 seconds',0,1),
(131861,190157,3,100,'Decreases Haste of target by 25.0',0,2),
(131862,190157,3,100,'Slows target by 50.0%',0,3),
(131863,190157,4,100,'Wards target against 607 points of all damage',0,0),
(131864,190157,4,100,'Heals target for 188 - 230 every 2 seconds',0,1),
(131865,190157,4,100,'Decreases Haste of target by 25.0',0,2),
(131866,190157,4,100,'Slows target by 50.0%',0,3),
(131867,190157,5,100,'Wards target against 662 points of all damage',0,0),
(131868,190157,5,100,'Heals target for 206 - 251 every 2 seconds',0,1),
(131869,190157,5,100,'Decreases Haste of target by 25.0',0,2),
(131870,190157,5,100,'Slows target by 50.0%',0,3),
(131871,190157,7,100,'Wards target against 850 points of all damage',0,0),
(131872,190157,7,100,'Heals target for 264 - 323 every 2 seconds',0,1),
(131873,190157,7,100,'Decreases Attack Speed of target by 25.0',0,2),
(131874,190157,7,100,'Slows target by 50.0%',0,3),
(131875,190157,9,100,'Wards target against 883 points of all damage',0,0),
(131876,190157,9,100,'Heals target for 274 - 335 every 2 seconds',0,1),
(131877,190157,9,100,'Decreases Haste of target by 25.0',0,2),
(131878,190157,9,100,'Slows target by 50.0%',0,3),
(131879,190158,1,100,'Wards target against 585 points of all damage',0,0),
(131880,190158,1,100,'Heals target for 202 - 247 every 2 seconds',0,1),
(131881,190158,1,100,'Decreases Haste of target by 25.0',0,2),
(131882,190158,1,100,'Slows target by 50.0%',0,3),
(131883,190158,4,100,'Wards target against 715 points of all damage',0,0),
(131884,190158,4,100,'Heals target for 247 - 302 every 2 seconds',0,1),
(131885,190158,4,100,'Decreases Haste of target by 25.0',0,2),
(131886,190158,4,100,'Slows target by 50.0%',0,3),
(131887,190158,5,100,'Wards target against 780 points of all damage',0,0),
(131888,190158,5,100,'Heals target for 269 - 329 every 2 seconds',0,1),
(131889,190158,5,100,'Decreases Haste of target by 25.0',0,2),
(131890,190158,5,100,'Slows target by 50.0%',0,3),
(131891,190158,7,100,'Wards target against 1001 points of all damage',0,0),
(131892,190158,7,100,'Heals target for 345 - 422 every 2 seconds',0,1),
(131893,190158,7,100,'Decreases Haste of target by 25.0',0,2),
(131894,190158,7,100,'Slows target by 50.0%',0,3),
(131895,190158,9,100,'Wards target against 1040 points of all damage',0,0),
(131896,190158,9,100,'Heals target for 359 - 439 every 2 seconds',0,1),
(131897,190158,9,100,'Decreases Haste of target by 25.0',0,2),
(131898,190158,9,100,'Slows target by 50.0%',0,3),
(131899,190159,1,100,'Wards target against 689 points of all damage',0,0),
(131900,190159,1,100,'Heals target for 234 - 286 every 2 seconds',0,1),
(131901,190159,1,100,'Decreases Haste of target by 25.0',0,2),
(131902,190159,1,100,'Slows target by 50.0%',0,3),
(131903,190159,4,100,'Wards target against 842 points of all damage',0,0),
(131904,190159,4,100,'Heals target for 286 - 349 every 2 seconds',0,1),
(131905,190159,4,100,'Decreases Haste of target by 25.0',0,2),
(131906,190159,4,100,'Slows target by 50.0%',0,3),
(131907,190159,5,100,'Wards target against 918 points of all damage',0,0),
(131908,190159,5,100,'Heals target for 312 - 381 every 2 seconds',0,1),
(131909,190159,5,100,'Decreases Haste of target by 25.0',0,2),
(131910,190159,5,100,'Slows target by 50.0%',0,3),
(131911,190159,7,100,'Wards target against 1179 points of all damage',0,0),
(131912,190159,7,100,'Heals target for 400 - 489 every 2 seconds',0,1),
(131913,190159,7,100,'Decreases Haste of target by 25.0',0,2),
(131914,190159,7,100,'Slows target by 50.0%',0,3),
(131915,190159,9,100,'Wards target against 1224 points of all damage',0,0),
(131916,190159,9,100,'Heals target for 416 - 508 every 2 seconds',0,1),
(131917,190159,9,100,'Decreases Haste of target by 25.0',0,2),
(131918,190159,9,100,'Slows target by 50.0%',0,3),
(131919,2000707,1,100,'Increases Combat Health Regen of group members (AE) by 4.0',0,0),
(131920,2000707,1,100,'Increases Combat HP Regen of group members (AE) by 50.0%',0,1),
(131921,2000707,1,100,'Increases group members (AE)''s chance to block by 100.0%',0,2),
(131922,2000707,1,100,'Prevents AOE (except when direct) ',0,3),
(131923,180015,1,100,'Heals target for 91 - 111',0,0),
(131924,180015,1,100,'Dispels X levels of noxious hostile effects on target',0,1),
(131925,180015,2,100,'Heals target for 96 - 118',0,0),
(131926,180015,2,100,'Dispels X levels of noxious hostile effects on target',0,1),
(131927,180015,3,100,'Heals target for 101 - 124',0,0),
(131928,180015,3,100,'Dispels X levels of noxious hostile effects on target',0,1),
(131929,180015,4,100,'Heals target for 111 - 136',0,0),
(131930,180015,4,100,'Dispels X levels of noxious hostile effects on target',0,1),
(131931,180015,5,100,'Heals target for 122 - 149',0,0),
(131932,180015,5,100,'Dispels X levels of noxious hostile effects on target',0,1),
(131933,180015,7,100,'Heals target for 156 - 191',0,0),
(131934,180015,7,100,'Dispels X levels of noxious hostile effects on target',0,1),
(131935,180015,9,100,'Heals target for 162 - 198',0,0),
(131936,180015,9,100,'Dispels X levels of noxious hostile effects on target',0,1),
(131937,2000708,1,100,'Heals the group for 25% of the damage the target receives before mitigation and wards',0,0),
(131938,2000708,1,100,'The target of Totemic Protection does not receive the heal unless the target is the shaman',0,1),
(131939,90183,12,100,'Forces target to change their selected target to caster instantly.  Hate gain is increased by 10% for the duration.',0,0),
(131940,90183,12,100,'Will absorb physical damage when the amount is greater than 60% of the target''s maximum health.',0,1),
(131941,2000709,1,100,'Applies Empathic Touch.',0,0),
(131942,2000709,1,100,'Decreases Threat to target by 6,253 ',1,1),
(131943,2000709,2,100,'Applies Empathic Touch.',0,0),
(131944,2000709,2,100,'Decreases Threat to target by 6,617 ',1,1),
(131945,2000709,3,100,'Applies Empathic Touch.',0,0),
(131946,2000709,3,100,'Decreases Threat to target by 6,965 ',1,1),
(131947,2000709,4,100,'Applies Empathic Touch.',0,0),
(131948,2000709,4,100,'Decreases Threat to target by 7,662 ',1,1),
(131949,2000709,5,100,'Applies Empathic Touch.',0,0),
(131950,2000709,5,100,'Decreases Threat to target by 8,359 ',1,1),
(131951,2000709,6,100,'Applies Empathic Touch.',0,0),
(131952,2000709,6,100,'Decreases Threat to target by 9,032 ',1,1),
(131953,2000709,7,100,'Applies Empathic Touch.',0,0),
(131954,2000709,7,100,'Decreases Threat to target by 10,700 ',1,1),
(131955,2000709,8,100,'Applies Empathic Touch.',0,0),
(131956,2000709,8,100,'Decreases Threat to target by 10,797 ',1,1),
(131957,2000709,9,100,'Applies Empathic Touch.',0,0),
(131958,2000709,9,100,'Decreases Threat to target by 11,145 ',1,1),
(131959,2000709,10,100,'Applies Empathic Touch.',0,0),
(131960,2000709,10,100,'Decreases Threat to target by 11,673 ',1,1),
(131961,2000710,5,100,'Heals target encounter for 27.6% of max health',0,0),
(131962,2000711,1,100,'Inflicts 23 - 43 disease damage on target',0,0),
(131963,2000711,1,100,'Inflicts 35 - 65 disease damage on target',0,1),
(131964,2000711,1,100,'Requires 180 increments of Toxic Aura',1,2),
(131965,2000711,1,100,'Inflicts 32 - 59 disease damage on target',0,3),
(131966,2000711,1,100,'Requires 144 increments of Toxic Aura',1,4),
(131967,2000711,1,100,'Inflicts 29 - 54 disease damage on target',0,5),
(131968,2000711,1,100,'Requires 108 increments of Toxic Aura',1,6),
(131969,2000711,1,100,'Inflicts 26 - 49 disease damage on target',0,7),
(131970,2000711,1,100,'Requires 72 increments of Toxic Aura',1,8),
(131971,2000711,1,100,'Consumes all increments of Toxic Aura',0,9),
(131972,2000711,1,100,'You must have at least 36 increments of Toxic Aura to use Toxic Assault!',0,10),
(131973,2000711,2,100,'Inflicts 23 - 43 disease damage on target',0,0),
(131974,2000711,2,100,'Inflicts 35 - 65 disease damage on target',0,1),
(131975,2000711,2,100,'Requires 180 increments of Toxic Aura',1,2),
(131976,2000711,2,100,'Inflicts 32 - 59 disease damage on target',0,3),
(131977,2000711,2,100,'Requires 144 increments of Toxic Aura',1,4),
(131978,2000711,2,100,'Inflicts 29 - 54 disease damage on target',0,5),
(131979,2000711,2,100,'Requires 108 increments of Toxic Aura',1,6),
(131980,2000711,2,100,'Inflicts 26 - 49 disease damage on target',0,7),
(131981,2000711,2,100,'Requires 72 increments of Toxic Aura',1,8),
(131982,2000711,2,100,'Consumes all increments of Toxic Aura',0,9),
(131983,2000711,2,100,'You must have at least 36 increments of Toxic Aura to use Toxic Assault!',0,10),
(131984,2000711,3,100,'Inflicts 23 - 43 disease damage on target',0,0),
(131985,2000711,3,100,'Inflicts 35 - 65 disease damage on target',0,1),
(131986,2000711,3,100,'Requires 180 increments of Toxic Aura',1,2),
(131987,2000711,3,100,'Inflicts 32 - 59 disease damage on target',0,3),
(131988,2000711,3,100,'Requires 144 increments of Toxic Aura',1,4),
(131989,2000711,3,100,'Inflicts 29 - 54 disease damage on target',0,5),
(131990,2000711,3,100,'Requires 108 increments of Toxic Aura',1,6),
(131991,2000711,3,100,'Inflicts 26 - 49 disease damage on target',0,7),
(131992,2000711,3,100,'Requires 72 increments of Toxic Aura',1,8),
(131993,2000711,3,100,'Consumes all increments of Toxic Aura',0,9),
(131994,2000711,3,100,'You must have at least 36 increments of Toxic Aura to use Toxic Assault!',0,10),
(131995,160154,1,100,'Applies Tranquil Healing.',0,0),
(131996,160154,1,100,'Heals target for 385',1,1),
(131997,160154,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,2),
(131998,160154,1,100,'Dispels 5 levels of any hostile effects on target instantly and every 15 seconds',0,3),
(131999,160154,1,100,'Casts Tranquil Healing for each successful Dispel.',0,4),
(132000,160154,2,100,'Applies Tranquil Healing.',0,0),
(132001,160154,2,100,'Heals target for 406',1,1),
(132002,160154,2,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,2),
(132003,160154,2,100,'Dispels 6 levels of any hostile effects on target instantly and every 15 seconds',0,3),
(132004,160154,2,100,'Casts Tranquil Healing for each successful Dispel.',0,4),
(132005,160154,3,100,'Applies Tranquil Healing.',0,0),
(132006,160154,3,100,'Heals target for 428',1,1),
(132007,160154,3,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,2),
(132008,160154,3,100,'Dispels 6 levels of any hostile effects on target instantly and every 15 seconds',0,3),
(132009,160154,3,100,'Casts Tranquil Healing for each successful Dispel.',0,4),
(132010,160154,4,100,'Applies Tranquil Healing.',0,0),
(132011,160154,4,100,'Heals target for 471',1,1),
(132012,160154,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,2),
(132013,160154,4,100,'Dispels 7 levels of any hostile effects on target instantly and every 15 seconds',0,3),
(132014,160154,4,100,'Casts Tranquil Healing for each successful Dispel.',0,4),
(132015,160154,5,100,'Applies Tranquil Healing.',0,0),
(132016,160154,5,100,'Heals target for 513',1,1),
(132017,160154,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,2),
(132018,160154,5,100,'Dispels 7 levels of any hostile effects on target instantly and every 15 seconds',0,3),
(132019,160154,5,100,'Casts Tranquil Healing for each successful Dispel.',0,4),
(132020,160154,7,100,'Applies Tranquil Healing.',0,0),
(132021,160154,7,100,'Heals target for 659',1,1),
(132022,160154,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,2),
(132023,160154,7,100,'Dispels 9 levels of any hostile effects on target instantly and every 15 seconds',0,3),
(132024,160154,7,100,'Casts Tranquil Healing for each successful Dispel.',0,4),
(132025,160154,9,100,'Applies Tranquil Healing.',0,0),
(132026,160154,9,100,'Heals target for 685',1,1),
(132027,160154,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,2),
(132028,160154,9,100,'Dispels 10 levels of any hostile effects on target instantly and every 15 seconds',0,3),
(132029,160154,9,100,'Casts Tranquil Healing for each successful Dispel.',0,4),
(132030,160155,1,100,'Applies Tranquil Healing.',0,0),
(132031,160155,1,100,'Heals target for 538',1,1),
(132032,160155,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,2),
(132033,160155,1,100,'Dispels 5 levels of any hostile effects on target instantly and every 15 seconds',0,3),
(132034,160155,1,100,'Casts Tranquil Healing for each successful Dispel.',0,4),
(132035,160155,2,100,'Applies Tranquil Healing.',0,0),
(132036,160155,2,100,'Heals target for 568',1,1),
(132037,160155,2,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,2),
(132038,160155,2,100,'Dispels 6 levels of any hostile effects on target instantly and every 15 seconds',0,3),
(132039,160155,2,100,'Casts Tranquil Healing for each successful Dispel.',0,4),
(132040,160155,3,100,'Applies Tranquil Healing.',0,0),
(132041,160155,3,100,'Heals target for 597',1,1),
(132042,160155,3,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,2),
(132043,160155,3,100,'Dispels 6 levels of any hostile effects on target instantly and every 15 seconds',0,3),
(132044,160155,3,100,'Casts Tranquil Healing for each successful Dispel.',0,4),
(132045,160155,4,100,'Applies Tranquil Healing.',0,0),
(132046,160155,4,100,'Heals target for 657',1,1),
(132047,160155,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,2),
(132048,160155,4,100,'Dispels 7 levels of any hostile effects on target instantly and every 15 seconds',0,3),
(132049,160155,4,100,'Casts Tranquil Healing for each successful Dispel.',0,4),
(132050,160155,5,100,'Applies Tranquil Healing.',0,0),
(132051,160155,5,100,'Heals target for 717',1,1),
(132052,160155,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,2),
(132053,160155,5,100,'Dispels 7 levels of any hostile effects on target instantly and every 15 seconds',0,3),
(132054,160155,5,100,'Casts Tranquil Healing for each successful Dispel.',0,4),
(132055,160155,7,100,'Applies Tranquil Healing.',0,0),
(132056,160155,7,100,'Heals target for 920',1,1),
(132057,160155,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,2),
(132058,160155,7,100,'Dispels 9 levels of any hostile effects on target instantly and every 15 seconds',0,3),
(132059,160155,7,100,'Casts Tranquil Healing for each successful Dispel.',0,4),
(132060,160155,9,100,'Applies Tranquil Healing.',0,0),
(132061,160155,9,100,'Heals target for 956',1,1),
(132062,160155,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,2),
(132063,160155,9,100,'Dispels 10 levels of any hostile effects on target instantly and every 15 seconds',0,3),
(132064,160155,9,100,'Casts Tranquil Healing for each successful Dispel.',0,4),
(132065,160156,1,100,'Applies Tranquil Healing.',0,0),
(132066,160156,1,100,'Heals target for 654',1,1),
(132067,160156,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,2),
(132068,160156,1,100,'Dispels 5 levels of any hostile effects on target instantly and every 15 seconds',0,3),
(132069,160156,1,100,'Casts Tranquil Healing for each successful Dispel.',0,4),
(132070,160156,4,100,'Applies Tranquil Healing.',0,0),
(132071,160156,4,100,'Heals target for 799',1,1),
(132072,160156,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,2),
(132073,160156,4,100,'Dispels 7 levels of any hostile effects on target instantly and every 15 seconds',0,3),
(132074,160156,4,100,'Casts Tranquil Healing for each successful Dispel.',0,4),
(132075,160156,5,100,'Applies Tranquil Healing.',0,0),
(132076,160156,5,100,'Heals target for 872',1,1),
(132077,160156,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,2),
(132078,160156,5,100,'Dispels 7 levels of any hostile effects on target instantly and every 15 seconds',0,3),
(132079,160156,5,100,'Casts Tranquil Healing for each successful Dispel.',0,4),
(132080,160156,7,100,'Applies Tranquil Healing.',0,0),
(132081,160156,7,100,'Heals target for 1119',1,1),
(132082,160156,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,2),
(132083,160156,7,100,'Dispels 9 levels of any hostile effects on target instantly and every 15 seconds',0,3),
(132084,160156,7,100,'Casts Tranquil Healing for each successful Dispel.',0,4),
(132085,160156,9,100,'Applies Tranquil Healing.',0,0),
(132086,160156,9,100,'Heals target for 1163',1,1),
(132087,160156,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,2),
(132088,160156,9,100,'Dispels 10 levels of any hostile effects on target instantly and every 15 seconds',0,3),
(132089,160156,9,100,'Casts Tranquil Healing for each successful Dispel.',0,4),
(132090,160157,1,100,'Applies Tranquil Healing.',0,0),
(132091,160157,1,100,'Heals target for 702',1,1),
(132092,160157,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,2),
(132093,160157,1,100,'Dispels 5 levels of any hostile effects on target instantly and every 15 seconds',0,3),
(132094,160157,1,100,'Casts Tranquil Healing for each successful Dispel.',0,4),
(132095,160157,4,100,'Applies Tranquil Healing.',0,0),
(132096,160157,4,100,'Heals target for 858',1,1),
(132097,160157,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,2),
(132098,160157,4,100,'Dispels 7 levels of any hostile effects on target instantly and every 15 seconds',0,3),
(132099,160157,4,100,'Casts Tranquil Healing for each successful Dispel.',0,4),
(132100,160157,5,100,'Applies Tranquil Healing.',0,0),
(132101,160157,5,100,'Heals target for 936',1,1),
(132102,160157,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,2),
(132103,160157,5,100,'Dispels 7 levels of any hostile effects on target instantly and every 15 seconds',0,3),
(132104,160157,5,100,'Casts Tranquil Healing for each successful Dispel.',0,4),
(132105,160157,7,100,'Applies Tranquil Healing.',0,0),
(132106,160157,7,100,'Heals target for 1201',1,1),
(132107,160157,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,2),
(132108,160157,7,100,'Dispels 9 levels of any hostile effects on target instantly and every 15 seconds',0,3),
(132109,160157,7,100,'Casts Tranquil Healing for each successful Dispel.',0,4),
(132110,160157,9,100,'Applies Tranquil Healing.',0,0),
(132111,160157,9,100,'Heals target for 1248',1,1),
(132112,160157,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,2),
(132113,160157,9,100,'Dispels 10 levels of any hostile effects on target instantly and every 15 seconds',0,3),
(132114,160157,9,100,'Casts Tranquil Healing for each successful Dispel.',0,4),
(132115,190160,1,100,'Heals group members (AE) for 113 - 139',0,0),
(132116,190160,1,100,'Increases Max Health of group members (AE) by 15.8',0,1),
(132117,190160,2,100,'Heals group members (AE) for 120 - 146',0,0),
(132118,190160,2,100,'Increases Max Health of group members (AE) by 16.6',0,1),
(132119,190160,3,100,'Heals group members (AE) for 126 - 154',0,0),
(132120,190160,3,100,'Increases Max Health of group members (AE) by 17.5',0,1),
(132121,190160,4,100,'Heals group members (AE) for 139 - 169',0,0),
(132122,190160,4,100,'Increases Max Health of group members (AE) by 19.3',0,1),
(132123,190160,5,100,'Heals group members (AE) for 151 - 185',0,0),
(132124,190160,5,100,'Increases Max Health of group members (AE) by 21.0',0,1),
(132125,190160,7,100,'Heals group members (AE) for 194 - 237',0,0),
(132126,190160,7,100,'Increases Max Health of group members (AE) by 27.0',0,1),
(132127,190160,9,100,'Heals group members (AE) for 202 - 246',0,0),
(132128,190160,9,100,'Increases Max Health of group members (AE) by 28.0',0,1),
(132129,190161,1,100,'Heals group members (AE) for 240 - 293',0,0),
(132130,190161,1,100,'Increases Max Health of group members (AE) by 42.0',0,1),
(132131,190161,2,100,'Heals group members (AE) for 253 - 309',0,0),
(132132,190161,2,100,'Increases Max Health of group members (AE) by 44.3',0,1),
(132133,190161,3,100,'Heals group members (AE) for 266 - 326',0,0),
(132134,190161,3,100,'Increases Max Health of group members (AE) by 46.7',0,1),
(132135,190161,4,100,'Heals group members (AE) for 293 - 358',0,0),
(132136,190161,4,100,'Increases Max Health of group members (AE) by 51.3',0,1),
(132137,190161,5,100,'Heals group members (AE) for 320 - 391',0,0),
(132138,190161,5,100,'Increases Max Health of group members (AE) by 56.0',0,1),
(132139,190161,7,100,'Heals group members (AE) for 410 - 501',0,0),
(132140,190161,7,100,'Increases Max Health of group members (AE) by 71.9',0,1),
(132141,190161,9,100,'Heals group members (AE) for 426 - 521',0,0),
(132142,190161,9,100,'Increases Max Health of group members (AE) by 74.7',0,1),
(132143,190162,1,100,'Heals group members (AE) for 381 - 465',0,0),
(132144,190162,1,100,'Increases Max Health of group members (AE) by 74.8',0,1),
(132145,190162,2,100,'Heals group members (AE) for 402 - 491',0,0),
(132146,190162,2,100,'Increases Max Health of group members (AE) by 78.9',0,1),
(132147,190162,3,100,'Heals group members (AE) for 423 - 517',0,0),
(132148,190162,3,100,'Increases Max Health of group members (AE) by 83.1',0,1),
(132149,190162,4,100,'Heals group members (AE) for 465 - 569',0,0),
(132150,190162,4,100,'Increases Max Health of group members (AE) by 91.4',0,1),
(132151,190162,5,100,'Heals group members (AE) for 508 - 620',0,0),
(132152,190162,5,100,'Increases Max Health of group members (AE) by 99.7',0,1),
(132153,190162,7,100,'Heals group members (AE) for 651 - 796',0,0),
(132154,190162,7,100,'Increases Max Health of group members (AE) by 128.0',0,1),
(132155,190162,9,100,'Heals group members (AE) for 677 - 827',0,0),
(132156,190162,9,100,'Increases Max Health of group members (AE) by 133.0',0,1),
(132157,190163,1,100,'Heals group members (AE) for 551 - 673',0,0),
(132158,190163,1,100,'Increases Max Health of group members (AE) by 104.7',0,1),
(132159,190163,2,100,'Heals group members (AE) for 581 - 711',0,0),
(132160,190163,2,100,'Increases Max Health of group members (AE) by 110.5',0,1),
(132161,190163,3,100,'Heals group members (AE) for 612 - 748',0,0),
(132162,190163,3,100,'Increases Max Health of group members (AE) by 116.3',0,1),
(132163,190163,4,100,'Heals group members (AE) for 673 - 823',0,0),
(132164,190163,4,100,'Increases Max Health of group members (AE) by 127.9',0,1),
(132165,190163,5,100,'Heals group members (AE) for 734 - 898',0,0),
(132166,190163,5,100,'Increases Max Health of group members (AE) by 139.5',0,1),
(132167,190163,7,100,'Heals group members (AE) for 942 - 1152',0,0),
(132168,190163,7,100,'Increases Max Health of group members (AE) by 179.1',0,1),
(132169,190163,9,100,'Heals group members (AE) for 979 - 1197',0,0),
(132170,190163,9,100,'Increases Max Health of group members (AE) by 186.0',0,1),
(132171,190164,1,100,'Heals group members (AE) for 721 - 881',0,0),
(132172,190164,1,100,'Increases Max Health of group members (AE) by 131.5',0,1),
(132173,190164,2,100,'Heals group members (AE) for 761 - 930',0,0),
(132174,190164,2,100,'Increases Max Health of group members (AE) by 138.8',0,1),
(132175,190164,3,100,'Heals group members (AE) for 801 - 979',0,0),
(132176,190164,3,100,'Increases Max Health of group members (AE) by 146.1',0,1),
(132177,190164,4,100,'Heals group members (AE) for 881 - 1077',0,0),
(132178,190164,4,100,'Increases Max Health of group members (AE) by 160.7',0,1),
(132179,190164,5,100,'Heals group members (AE) for 961 - 1175',0,0),
(132180,190164,5,100,'Increases Max Health of group members (AE) by 175.3',0,1),
(132181,190164,7,100,'Heals group members (AE) for 1234 - 1508',0,0),
(132182,190164,7,100,'Increases Max Health of group members (AE) by 225.0',0,1),
(132183,190164,9,100,'Heals group members (AE) for 1282 - 1566',0,0),
(132184,190164,9,100,'Increases Max Health of group members (AE) by 233.8',0,1),
(132185,190165,1,100,'Heals group members (AE) for 972 - 1188',0,0),
(132186,190165,1,100,'Increases Max Health of group members (AE) by 158.5',0,1),
(132187,190165,2,100,'Heals group members (AE) for 1026 - 1254',0,0),
(132188,190165,2,100,'Increases Max Health of group members (AE) by 167.3',0,1),
(132189,190165,3,100,'Heals group members (AE) for 1080 - 1320',0,0),
(132190,190165,3,100,'Increases Max Health of group members (AE) by 176.1',0,1),
(132191,190165,4,100,'Heals group members (AE) for 1188 - 1452',0,0),
(132192,190165,4,100,'Increases Max Health of group members (AE) by 193.7',0,1),
(132193,190165,5,100,'Heals group members (AE) for 1296 - 1584',0,0),
(132194,190165,5,100,'Increases Max Health of group members (AE) by 211.3',0,1),
(132195,190165,7,100,'Heals group members (AE) for 1663 - 2033',0,0),
(132196,190165,7,100,'Increases Max Health of group members (AE) by 271.2',0,1),
(132197,190165,9,100,'Heals group members (AE) for 1728 - 2112',0,0),
(132198,190165,9,100,'Increases Max Health of group members (AE) by 281.8',0,1),
(132199,190166,1,100,'Heals group members (AE) for 1158 - 1416',0,0),
(132200,190166,1,100,'Increases Max Health of group members (AE) by 185.5',0,1),
(132201,190166,4,100,'Heals group members (AE) for 1416 - 1730',0,0),
(132202,190166,4,100,'Increases Max Health of group members (AE) by 226.7',0,1),
(132203,190166,5,100,'Heals group members (AE) for 1544 - 1888',0,0),
(132204,190166,5,100,'Increases Max Health of group members (AE) by 247.3',0,1),
(132205,190166,7,100,'Heals group members (AE) for 1982 - 2422',0,0),
(132206,190166,7,100,'Increases Max Health of group members (AE) by 317.4',0,1),
(132207,190166,9,100,'Heals group members (AE) for 2059 - 2517',0,0),
(132208,190166,9,100,'Increases Max Health of group members (AE) by 329.8',0,1),
(132209,190167,1,100,'Heals group members (AE) for 1215 - 1485',0,0),
(132210,190167,1,100,'Increases Max Health of group members (AE) by 212.5',0,1),
(132211,190167,4,100,'Heals group members (AE) for 1485 - 1815',0,0),
(132212,190167,4,100,'Increases Max Health of group members (AE) by 259.7',0,1),
(132213,190167,5,100,'Heals group members (AE) for 1620 - 1980',0,0),
(132214,190167,5,100,'Increases Max Health of group members (AE) by 283.3',0,1),
(132215,190167,7,100,'Heals group members (AE) for 2079 - 2541',0,0),
(132216,190167,7,100,'Increases Max Health of group members (AE) by 363.6',0,1),
(132217,190167,9,100,'Heals group members (AE) for 2160 - 2640',0,0),
(132218,190167,9,100,'Increases Max Health of group members (AE) by 377.8',0,1),
(132219,300188,1,100,'Heals target for 320',0,0),
(132220,300188,2,100,'Heals target for 338',0,0),
(132221,300188,3,100,'Heals target for 356',0,0),
(132222,300188,4,100,'Heals target for 392',0,0),
(132223,300188,5,100,'Heals target for 427',0,0),
(132224,300188,7,100,'Heals target for 548',0,0),
(132225,300188,9,100,'Heals target for 570',0,0),
(132226,300188,10,100,'Heals target for 598',0,0),
(132227,300189,1,100,'Heals target for 491',0,0),
(132228,300189,2,100,'Heals target for 518',0,0),
(132229,300189,3,100,'Heals target for 545',0,0),
(132230,300189,4,100,'Heals target for 600',0,0),
(132231,300189,5,100,'Heals target for 654',0,0),
(132232,300189,7,100,'Heals target for 839',0,0),
(132233,300189,9,100,'Heals target for 872',0,0),
(132234,300190,1,100,'Heals target for 680',0,0),
(132235,300190,2,100,'Heals target for 717',0,0),
(132236,300190,3,100,'Heals target for 755',0,0),
(132237,300190,4,100,'Heals target for 831',0,0),
(132238,300190,5,100,'Heals target for 906',0,0),
(132239,300190,7,100,'Heals target for 1163',0,0),
(132240,300190,9,100,'Heals target for 1208',0,0),
(132241,300190,10,100,'Heals target for 1268',0,0),
(132242,300191,1,100,'Heals target for 913',0,0),
(132243,300191,2,100,'Heals target for 963',0,0),
(132244,300191,3,100,'Heals target for 1014',0,0),
(132245,300191,4,100,'Heals target for 1115',0,0),
(132246,300191,5,100,'Heals target for 1217',0,0),
(132247,300191,7,100,'Heals target for 1562',0,0),
(132248,300191,9,100,'Heals target for 1622',0,0),
(132249,300192,1,100,'Heals target for 1163',0,0),
(132250,300192,4,100,'Heals target for 1421',0,0),
(132251,300192,5,100,'Heals target for 1550',0,0),
(132252,300192,7,100,'Heals target for 1990',0,0),
(132253,300192,9,100,'Heals target for 2067',0,0),
(132254,300193,1,100,'Heals target for 1312',0,0),
(132255,300193,4,100,'Heals target for 1604',0,0),
(132256,300193,5,100,'Heals target for 1750',0,0),
(132257,300193,7,100,'Heals target for 2245',0,0),
(132258,300193,9,100,'Heals target for 2333',0,0),
(132259,2000712,1,100,'Heals target for 911 - 1114',0,0),
(132260,2000712,1,100,'Inflicts 932 - 1139 magic damage on pet',0,1),
(132261,2000712,2,100,'Heals target for 962 - 1176',0,0),
(132262,2000712,2,100,'Inflicts 1242 - 1518 magic damage on pet',0,1),
(132263,2000712,3,100,'Heals target for 1013 - 1238',0,0),
(132264,2000712,3,100,'Inflicts 1242 - 1518 magic damage on pet',0,1),
(132265,2000712,4,100,'Heals target for 1114 - 1361',0,0),
(132266,2000712,4,100,'Inflicts 932 - 1139 magic damage on pet',0,1),
(132267,2000712,5,100,'Heals target for 1215 - 1485',0,0),
(132268,2000712,5,100,'Inflicts 932 - 1139 magic damage on pet',0,1),
(132269,2000712,6,100,'Heals target for 1316 - 1609',0,0),
(132270,2000712,6,100,'Inflicts 1242 - 1518 magic damage on pet',0,1),
(132271,2000712,7,100,'Heals target for 1559 - 1906',0,0),
(132272,2000712,7,100,'Inflicts 1242 - 1518 magic damage on pet',0,1),
(132273,2000712,8,100,'Heals target for 1569 - 1918',0,0),
(132274,2000712,8,100,'Inflicts 932 - 1139 magic damage on pet',0,1),
(132275,2000712,9,100,'Heals target for 1620 - 1980',0,0),
(132276,2000712,9,100,'Inflicts 1242 - 1518 magic damage on pet',0,1),
(132277,2000712,10,100,'Heals target for 1701 - 2079',0,0),
(132278,2000712,10,100,'Inflicts 932 - 1139 magic damage on pet',0,1),
(132279,220019,1,100,'Opens a portal that transports adventurers to any Spire in Norrath.',0,0),
(132280,2000713,1,100,'Stuns target encounter',0,0),
(132281,2000713,1,100,'Epic targets gain an immunity to Stun effects of 3.7 seconds and duration is reduced to 0.4 seconds.',0,1),
(132282,2000713,1,100,'Resistibility increases against targets higher than level 29.',0,2),
(132283,200178,12,100,'Adds additional healing to Carrion Warding',0,0),
(132284,200178,12,100,'Adds additional healing to Ancient Shroud',0,1),
(132285,200178,12,100,'On a beneficial spell cast this spell has a 12% chance to cast Tribal Spirit on the group.  Lasts for 12.0 seconds.  ',0,2),
(132286,200178,12,100,'Reduces elemental, noxious, arcane damage done to group members (AE) by 5%',1,3),
(132287,200178,12,100,'Improves the value of healing and ward spells by 8%.',1,4),
(132288,200178,12,100,'Cannot be modified except by direct means',1,5),
(132289,200178,12,100,'Cannot be modified except by direct means',0,6),
(132290,440129,1,100,'When any damage is received this spell will cast Triggered Rejuvenation on target.  ',0,0),
(132291,440129,1,100,'Repairs target for 3.0% of max health',1,1),
(132292,440129,1,100,'This effect cannot be critically applied.',2,2),
(132293,440129,1,100,'This only triggers when the construct interposes damage!',1,3),
(132294,440130,1,100,'When any damage is received this spell will cast Triggered Restoration on target.  ',0,0),
(132295,440130,1,100,'Repairs target for 2.0% of max health',1,1),
(132296,440130,1,100,'This effect cannot be critically applied.',2,2),
(132297,440130,1,100,'This only triggers when the construct interposes damage!',1,3),
(132298,2000714,1,100,'Reduces all damage done to target by 50%',0,0),
(132299,2000714,1,100,'On any combat or spell hit this spell will cast Divine Rage on target of attack.  ',0,1),
(132300,2000714,1,100,'Increases Threat to target by 40 ',1,2),
(132301,440131,1,100,'Applies Truespirit Defiance.  Lasts for 6.0 seconds.',0,0),
(132302,440131,1,100,'When any damage is received this spell will cast Truespirit Defiance on target.  ',1,1),
(132303,440131,1,100,'Heals target for 538 - 657',2,2),
(132304,440131,1,100,'Grants a total of 50 triggers of the spell.',2,3),
(132305,440131,1,100,'Requires and consumes 15% of your construct''s health',0,4),
(132306,440131,1,100,'If pet over 15% Health',0,5),
(132307,440132,1,100,'Heals target for 464 - 567 instantly and every 2 seconds',0,0),
(132308,2000715,1,100,'Summons a limited pet to aid the caster',0,0),
(132309,2000715,2,100,'Summons a limited pet to aid the caster',0,0),
(132310,2000715,3,100,'Summons a limited pet to aid the caster',0,0),
(132311,2000716,1,100,'Dispels 117 levels of any hostile effects on group members (AE)',0,0),
(132312,2000716,1,100,'Casts Fury of the Storm for each successful Dispel.  Lasts for 10.0 seconds.',0,1),
(132313,2000716,1,100,'On any combat or spell hit this spell will cast Fury of the Storm on target of attack.  ',2,2),
(132314,2000716,1,100,'Inflicts 416 magic damage on target',3,3),
(132315,2000716,1,100,'Grants a total of 3 triggers of the spell.',3,4),
(132316,2000716,2,100,'Dispels 234 levels of any hostile effects on group members (AE)',0,0),
(132317,2000716,2,100,'Casts Fury of the Storm for each successful Dispel.  Lasts for 10.0 seconds.',0,1),
(132318,2000716,2,100,'On any combat or spell hit this spell will cast Fury of the Storm on target of attack.  ',2,2),
(132319,2000716,2,100,'Inflicts 831 magic damage on target',3,3),
(132320,2000716,2,100,'Grants a total of 3 triggers of the spell.',3,4),
(132321,160158,1,100,'On death this spell will cast Nature''s Touch on caster.  Lasts for 24.0 seconds.  ',0,0),
(132322,160158,1,100,'Heals target for 349',1,1),
(132323,160158,1,100,'Heals target for 87 every 2 seconds',1,2),
(132324,160158,1,100,'Increases WIS of target by 36.5',1,3),
(132325,160158,1,100,'Grants a total of 1 trigger of the spell.',1,4),
(132326,160158,2,100,'On death this spell will cast Nature''s Touch on caster.  Lasts for 24.0 seconds.  ',0,0),
(132327,160158,2,100,'Heals target for 368',1,1),
(132328,160158,2,100,'Heals target for 92 every 2 seconds',1,2),
(132329,160158,2,100,'Increases WIS of target by 38.6',1,3),
(132330,160158,2,100,'Grants a total of 1 trigger of the spell.',1,4),
(132331,160158,3,100,'On death this spell will cast Nature''s Touch on caster.  Lasts for 24.0 seconds.  ',0,0),
(132332,160158,3,100,'Heals target for 388',1,1),
(132333,160158,3,100,'Heals target for 97 every 2 seconds',1,2),
(132334,160158,3,100,'Increases WIS of target by 40.6',1,3),
(132335,160158,3,100,'Grants a total of 1 trigger of the spell.',1,4),
(132336,160158,4,100,'On death this spell will cast Nature''s Touch on caster.  Lasts for 24.0 seconds.  ',0,0),
(132337,160158,4,100,'Heals target for 426',1,1),
(132338,160158,4,100,'Heals target for 106 every 2 seconds',1,2),
(132339,160158,4,100,'Increases WIS of target by 44.7',1,3),
(132340,160158,4,100,'Grants a total of 1 trigger of the spell.',1,4),
(132341,160158,5,100,'On death this spell will cast Nature''s Touch on caster.  Lasts for 24.0 seconds.  ',0,0),
(132342,160158,5,100,'Heals target for 465',1,1),
(132343,160158,5,100,'Heals target for 116 every 2 seconds',1,2),
(132344,160158,5,100,'Increases WIS of target by 48.7',1,3),
(132345,160158,5,100,'Grants a total of 1 trigger of the spell.',1,4),
(132346,160158,7,100,'On death this spell will cast Nature''s Touch on caster.  Lasts for 24.0 seconds.  ',0,0),
(132347,160158,7,100,'Heals target for 597',1,1),
(132348,160158,7,100,'Heals target for 149 every 2 seconds',1,2),
(132349,160158,7,100,'Increases WIS of target by 62.5',1,3),
(132350,160158,7,100,'Grants a total of 1 trigger of the spell.',1,4),
(132351,160158,9,100,'On death this spell will cast Nature''s Touch on caster.  Lasts for 24.0 seconds.  ',0,0),
(132352,160158,9,100,'Heals target for 620',1,1),
(132353,160158,9,100,'Heals target for 155 every 2 seconds',1,2),
(132354,160158,9,100,'Increases WIS of target by 65.0',1,3),
(132355,160158,9,100,'Grants a total of 1 trigger of the spell.',1,4),
(132356,230188,1,100,'Increases STR and INT of group members (AE) by 9.4',0,0),
(132357,230188,2,100,'Increases STR and INT of group members (AE) by 9.9',0,0),
(132358,230188,3,100,'Increases STR and INT of group members (AE) by 10.4',0,0),
(132359,230188,4,100,'Increases STR and INT of group members (AE) by 11.4',0,0),
(132360,230188,5,100,'Increases STR and INT of group members (AE) by 12.5',0,0),
(132361,230188,7,100,'Increases STR and INT of group members (AE) by 16.0',0,0),
(132362,230188,9,100,'Increases STR and INT of group members (AE) by 16.6',0,0),
(132363,230189,1,100,'Increases STR and INT of group members (AE) by 18.2',0,0),
(132364,230189,2,100,'Increases STR and INT of group members (AE) by 19.2',0,0),
(132365,230189,3,100,'Increases STR and INT of group members (AE) by 20.2',0,0),
(132366,230189,4,100,'Increases STR and INT of group members (AE) by 22.2',0,0),
(132367,230189,5,100,'Increases STR and INT of group members (AE) by 24.2',0,0),
(132368,230189,7,100,'Increases STR and INT of group members (AE) by 31.1',0,0),
(132369,230189,9,100,'Increases STR and INT of group members (AE) by 32.3',0,0),
(132370,230190,1,100,'Increases STR and INT of group members (AE) by 27.9',0,0),
(132371,230190,2,100,'Increases STR and INT of group members (AE) by 29.4',0,0),
(132372,230190,3,100,'Increases STR and INT of group members (AE) by 31.0',0,0),
(132373,230190,4,100,'Increases STR and INT of group members (AE) by 34.1',0,0),
(132374,230190,5,100,'Increases STR and INT of group members (AE) by 37.2',0,0),
(132375,230190,7,100,'Increases STR and INT of group members (AE) by 47.7',0,0),
(132376,230190,9,100,'Increases STR and INT of group members (AE) by 49.6',0,0),
(132377,230190,10,100,'Increases STR and INT of group members (AE) by 52.1',0,0),
(132378,230191,1,100,'Increases STR and INT of group members (AE) by 38.0',0,0),
(132379,230191,2,100,'Increases STR and INT of group members (AE) by 40.1',0,0),
(132380,230191,3,100,'Increases STR and INT of group members (AE) by 42.2',0,0),
(132381,230191,4,100,'Increases STR and INT of group members (AE) by 46.4',0,0),
(132382,230191,5,100,'Increases STR and INT of group members (AE) by 50.6',0,0),
(132383,230191,7,100,'Increases STR and INT of group members (AE) by 65.0',0,0),
(132384,230191,9,100,'Increases STR and INT of group members (AE) by 67.5',0,0),
(132385,230191,10,100,'Increases STR and INT of group members (AE) by 70.9',0,0),
(132386,230192,1,100,'Increases STR and INT of group members (AE) by 48.1',0,0),
(132387,230192,2,100,'Increases STR and INT of group members (AE) by 50.7',0,0),
(132388,230192,3,100,'Increases STR and INT of group members (AE) by 53.4',0,0),
(132389,230192,4,100,'Increases STR and INT of group members (AE) by 58.7',0,0),
(132390,230192,5,100,'Increases STR and INT of group members (AE) by 64.1',0,0),
(132391,230192,7,100,'Increases STR and INT of group members (AE) by 82.2',0,0),
(132392,230192,9,100,'Increases STR and INT of group members (AE) by 85.4',0,0),
(132393,230193,1,100,'Increases STR and INT of group members (AE) by 58.4',0,0),
(132394,230193,2,100,'Increases STR and INT of group members (AE) by 61.7',0,0),
(132395,230193,3,100,'Increases STR and INT of group members (AE) by 64.9',0,0),
(132396,230193,4,100,'Increases STR and INT of group members (AE) by 71.4',0,0),
(132397,230193,5,100,'Increases STR and INT of group members (AE) by 77.9',0,0),
(132398,230193,7,100,'Increases STR and INT of group members (AE) by 99.9',0,0),
(132399,230193,9,100,'Increases STR and INT of group members (AE) by 103.8',0,0),
(132400,230194,1,100,'Increases STR and INT of group members (AE) by 68.3',0,0),
(132401,230194,4,100,'Increases STR and INT of group members (AE) by 83.5',0,0),
(132402,230194,5,100,'Increases STR and INT of group members (AE) by 91.1',0,0),
(132403,230194,7,100,'Increases STR and INT of group members (AE) by 116.9',0,0),
(132404,230194,9,100,'Increases STR and INT of group members (AE) by 121.4',0,0),
(132405,230195,1,100,'Increases STR and INT of group members (AE) by 78.2',0,0),
(132406,230195,4,100,'Increases STR and INT of group members (AE) by 95.6',0,0),
(132407,230195,5,100,'Increases STR and INT of group members (AE) by 104.3',0,0),
(132408,230195,7,100,'Increases STR and INT of group members (AE) by 133.8',0,0),
(132409,230195,9,100,'Increases STR and INT of group members (AE) by 139.0',0,0),
(132410,260186,1,100,'Inflicts 7 - 10 mental damage on target',0,0),
(132411,260186,2,100,'Inflicts 8 - 10 mental damage on target',0,0),
(132412,260186,3,100,'Inflicts 8 - 11 mental damage on target',0,0),
(132413,260186,4,100,'Inflicts 9 - 12 mental damage on target',0,0),
(132414,260186,5,100,'Inflicts 10 - 13 mental damage on target',0,0),
(132415,260186,7,100,'Inflicts 12 - 17 mental damage on target',0,0),
(132416,260186,9,100,'Inflicts 13 - 17 mental damage on target',0,0),
(132417,260187,1,100,'Inflicts 17 - 23 mental damage on target',0,0),
(132418,260187,2,100,'Inflicts 18 - 24 mental damage on target',0,0),
(132419,260187,3,100,'Inflicts 19 - 26 mental damage on target',0,0),
(132420,260187,4,100,'Inflicts 21 - 28 mental damage on target',0,0),
(132421,260187,5,100,'Inflicts 23 - 31 mental damage on target',0,0),
(132422,260187,7,100,'Inflicts 29 - 40 mental damage on target',0,0),
(132423,260187,9,100,'Inflicts 30 - 41 mental damage on target',0,0),
(132424,260188,1,100,'Inflicts 33 - 45 mental damage on target',0,0),
(132425,260188,2,100,'Inflicts 35 - 47 mental damage on target',0,0),
(132426,260188,3,100,'Inflicts 37 - 50 mental damage on target',0,0),
(132427,260188,4,100,'Inflicts 41 - 55 mental damage on target',0,0),
(132428,260188,5,100,'Inflicts 44 - 60 mental damage on target',0,0),
(132429,260188,7,100,'Inflicts 57 - 77 mental damage on target',0,0),
(132430,260188,9,100,'Inflicts 59 - 80 mental damage on target',0,0),
(132431,260188,10,100,'Inflicts 62 - 84 mental damage on target',0,0),
(132432,260189,1,100,'Inflicts 55 - 74 mental damage on target',0,0),
(132433,260189,2,100,'Inflicts 58 - 78 mental damage on target',0,0),
(132434,260189,3,100,'Inflicts 61 - 82 mental damage on target',0,0),
(132435,260189,4,100,'Inflicts 67 - 90 mental damage on target',0,0),
(132436,260189,5,100,'Inflicts 73 - 99 mental damage on target',0,0),
(132437,260189,7,100,'Inflicts 94 - 127 mental damage on target',0,0),
(132438,260189,9,100,'Inflicts 97 - 131 mental damage on target',0,0),
(132439,260190,1,100,'Inflicts 297 - 401 mental damage on target',0,0),
(132440,260190,4,100,'Inflicts 362 - 490 mental damage on target',0,0),
(132441,260190,5,100,'Inflicts 395 - 535 mental damage on target',0,0),
(132442,260190,7,100,'Inflicts 507 - 687 mental damage on target',0,0),
(132443,260190,9,100,'Inflicts 527 - 713 mental damage on target',0,0),
(132444,260190,10,100,'Inflicts 554 - 749 mental damage on target',0,0),
(132445,260191,1,100,'Inflicts 84 - 113 mental damage on target',0,0),
(132446,260191,2,100,'Inflicts 88 - 119 mental damage on target',0,0),
(132447,260191,3,100,'Inflicts 93 - 126 mental damage on target',0,0),
(132448,260191,4,100,'Inflicts 102 - 138 mental damage on target',0,0),
(132449,260191,5,100,'Inflicts 112 - 151 mental damage on target',0,0),
(132450,260191,7,100,'Inflicts 143 - 194 mental damage on target',0,0),
(132451,260191,9,100,'Inflicts 149 - 201 mental damage on target',0,0),
(132452,260192,1,100,'Inflicts 131 - 177 mental damage on target',0,0),
(132453,260192,2,100,'Inflicts 138 - 187 mental damage on target',0,0),
(132454,260192,3,100,'Inflicts 146 - 197 mental damage on target',0,0),
(132455,260192,4,100,'Inflicts 160 - 217 mental damage on target',0,0),
(132456,260192,5,100,'Inflicts 175 - 236 mental damage on target',0,0),
(132457,260192,7,100,'Inflicts 224 - 303 mental damage on target',0,0),
(132458,260192,9,100,'Inflicts 233 - 315 mental damage on target',0,0),
(132459,260192,10,100,'Inflicts 245 - 331 mental damage on target',0,0),
(132460,260193,1,100,'Inflicts 187 - 254 mental damage on target',0,0),
(132461,260193,2,100,'Inflicts 198 - 268 mental damage on target',0,0),
(132462,260193,3,100,'Inflicts 208 - 282 mental damage on target',0,0),
(132463,260193,4,100,'Inflicts 229 - 310 mental damage on target',0,0),
(132464,260193,5,100,'Inflicts 250 - 338 mental damage on target',0,0),
(132465,260193,7,100,'Inflicts 321 - 434 mental damage on target',0,0),
(132466,260193,9,100,'Inflicts 333 - 451 mental damage on target',0,0),
(132467,260194,1,100,'Inflicts 245 - 331 mental damage on target',0,0),
(132468,260194,2,100,'Inflicts 258 - 350 mental damage on target',0,0),
(132469,260194,3,100,'Inflicts 272 - 368 mental damage on target',0,0),
(132470,260194,4,100,'Inflicts 299 - 405 mental damage on target',0,0),
(132471,260194,5,100,'Inflicts 326 - 442 mental damage on target',0,0),
(132472,260194,7,100,'Inflicts 419 - 567 mental damage on target',0,0),
(132473,260194,9,100,'Inflicts 435 - 589 mental damage on target',0,0),
(132474,260194,10,100,'Inflicts 457 - 618 mental damage on target',0,0),
(132475,260195,1,100,'Inflicts 352 - 476 mental damage on target',0,0),
(132476,260195,4,100,'Inflicts 430 - 582 mental damage on target',0,0),
(132477,260195,5,100,'Inflicts 469 - 635 mental damage on target',0,0),
(132478,260195,7,100,'Inflicts 602 - 814 mental damage on target',0,0),
(132479,260195,9,100,'Inflicts 625 - 846 mental damage on target',0,0),
(132480,260195,10,100,'Inflicts 657 - 888 mental damage on target',0,0),
(132481,180016,1,100,'Decreases DPS of target encounter by 10.6',0,0),
(132482,180016,2,100,'Decreases DPS of target encounter by 11.2',0,0),
(132483,180016,3,100,'Decreases DPS of target encounter by 11.8',0,0),
(132484,180016,4,100,'Decreases DPS of target encounter by 13.0',0,0),
(132485,180016,5,100,'Decreases DPS of target encounter by 14.2',0,0),
(132486,180016,7,100,'Decreases DPS of target encounter by 18.2',0,0),
(132487,180016,9,100,'Decreases DPS of target encounter by 18.9',0,0),
(132488,190168,1,100,'Wards group members (AE) collectively against 296 total points of all damage',0,0),
(132489,190168,4,100,'Wards group members (AE) collectively against 361 total points of all damage',0,0),
(132490,190168,5,100,'Wards group members (AE) collectively against 394 total points of all damage',0,0),
(132491,190168,7,100,'Wards group members (AE) collectively against 506 total points of all damage',0,0),
(132492,190168,9,100,'Wards group members (AE) collectively against 526 total points of all damage',0,0),
(132493,190168,10,100,'Wards group members (AE) collectively against 552 total points of all damage',0,0),
(132494,190169,1,100,'Wards group members (AE) collectively against 626 total points of all damage',0,0),
(132495,190169,2,100,'Wards group members (AE) collectively against 660 total points of all damage',0,0),
(132496,190169,3,100,'Wards group members (AE) collectively against 695 total points of all damage',0,0),
(132497,190169,4,100,'Wards group members (AE) collectively against 765 total points of all damage',0,0),
(132498,190169,5,100,'Wards group members (AE) collectively against 834 total points of all damage',0,0),
(132499,190169,7,100,'Wards group members (AE) collectively against 1071 total points of all damage',0,0),
(132500,190169,9,100,'Wards group members (AE) collectively against 1112 total points of all damage',0,0),
(132501,190170,1,100,'Wards group members (AE) collectively against 994 total points of all damage',0,0),
(132502,190170,2,100,'Wards group members (AE) collectively against 1049 total points of all damage',0,0),
(132503,190170,3,100,'Wards group members (AE) collectively against 1104 total points of all damage',0,0),
(132504,190170,4,100,'Wards group members (AE) collectively against 1214 total points of all damage',0,0),
(132505,190170,5,100,'Wards group members (AE) collectively against 1325 total points of all damage',0,0),
(132506,190170,7,100,'Wards group members (AE) collectively against 1700 total points of all damage',0,0),
(132507,190170,9,100,'Wards group members (AE) collectively against 1767 total points of all damage',0,0),
(132508,190170,10,100,'Wards group members (AE) collectively against 1855 total points of all damage',0,0),
(132509,190171,1,100,'Wards group members (AE) collectively against 1438 total points of all damage',0,0),
(132510,190171,2,100,'Wards group members (AE) collectively against 1518 total points of all damage',0,0),
(132511,190171,3,100,'Wards group members (AE) collectively against 1598 total points of all damage',0,0),
(132512,190171,4,100,'Wards group members (AE) collectively against 1757 total points of all damage',0,0),
(132513,190171,5,100,'Wards group members (AE) collectively against 1917 total points of all damage',0,0),
(132514,190171,7,100,'Wards group members (AE) collectively against 2460 total points of all damage',0,0),
(132515,190171,9,100,'Wards group members (AE) collectively against 2556 total points of all damage',0,0),
(132516,190172,1,100,'Wards group members (AE) collectively against 1882 total points of all damage',0,0),
(132517,190172,2,100,'Wards group members (AE) collectively against 1986 total points of all damage',0,0),
(132518,190172,3,100,'Wards group members (AE) collectively against 2091 total points of all damage',0,0),
(132519,190172,4,100,'Wards group members (AE) collectively against 2300 total points of all damage',0,0),
(132520,190172,5,100,'Wards group members (AE) collectively against 2509 total points of all damage',0,0),
(132521,190172,7,100,'Wards group members (AE) collectively against 3220 total points of all damage',0,0),
(132522,190172,9,100,'Wards group members (AE) collectively against 3346 total points of all damage',0,0),
(132523,190173,1,100,'Wards group members (AE) collectively against 2167 total points of all damage',0,0),
(132524,190173,2,100,'Wards group members (AE) collectively against 2288 total points of all damage',0,0),
(132525,190173,3,100,'Wards group members (AE) collectively against 2408 total points of all damage',0,0),
(132526,190173,4,100,'Wards group members (AE) collectively against 2649 total points of all damage',0,0),
(132527,190173,5,100,'Wards group members (AE) collectively against 2890 total points of all damage',0,0),
(132528,190173,7,100,'Wards group members (AE) collectively against 3709 total points of all damage',0,0),
(132529,190173,9,100,'Wards group members (AE) collectively against 3854 total points of all damage',0,0),
(132530,190174,1,100,'Wards group members (AE) collectively against 2618 total points of all damage',0,0),
(132531,190174,4,100,'Wards group members (AE) collectively against 3200 total points of all damage',0,0),
(132532,190174,5,100,'Wards group members (AE) collectively against 3491 total points of all damage',0,0),
(132533,190174,7,100,'Wards group members (AE) collectively against 4480 total points of all damage',0,0),
(132534,190174,9,100,'Wards group members (AE) collectively against 4654 total points of all damage',0,0),
(132535,190175,1,100,'Wards group members (AE) collectively against 2817 total points of all damage',0,0),
(132536,190175,4,100,'Wards group members (AE) collectively against 3443 total points of all damage',0,0),
(132537,190175,5,100,'Wards group members (AE) collectively against 3756 total points of all damage',0,0),
(132538,190175,7,100,'Wards group members (AE) collectively against 4820 total points of all damage',0,0),
(132539,190175,9,100,'Wards group members (AE) collectively against 5008 total points of all damage',0,0),
(132540,2000719,1,100,'On death this spell will cast Undaunted on target.  ',0,0),
(132541,2000719,1,100,'Heals caster for 100.0% of max health',1,1),
(132542,2000719,1,100,'Grants a total of 1 trigger of the spell.',1,2),
(132543,2000719,1,100,'Does not trigger if a priest death prevention or Equilibrium is active',0,3),
(132544,2000719,1,100,'This effect cannot be cast during combat',0,4),
(132545,2000719,1,100,'Cannot be modified except by direct means',0,5),
(132546,300194,1,100,'Summons 12 limited pets to aid the caster',0,0),
(132547,300194,2,100,'Summons 12 limited pets to aid the caster',0,0),
(132548,300194,3,100,'Summons 12 limited pets to aid the caster',0,0),
(132549,300194,4,100,'Summons 12 limited pets to aid the caster',0,0),
(132550,300194,5,100,'Summons 12 limited pets to aid the caster',0,0),
(132551,300194,7,100,'Summons 12 limited pets to aid the caster',0,0),
(132552,300194,9,100,'Summons 12 limited pets to aid the caster',0,0),
(132553,300195,1,100,'Summons 12 limited pets to aid the caster',0,0),
(132554,300195,2,100,'Summons 12 limited pets to aid the caster',0,0),
(132555,300195,3,100,'Summons 12 limited pets to aid the caster',0,0),
(132556,300195,4,100,'Summons 12 limited pets to aid the caster',0,0),
(132557,300195,5,100,'Summons 12 limited pets to aid the caster',0,0),
(132558,300195,7,100,'Summons 12 limited pets to aid the caster',0,0),
(132559,300195,9,100,'Summons 12 limited pets to aid the caster',0,0),
(132560,300196,1,100,'Summons 12 limited pets to aid the caster',0,0),
(132561,300196,1,100,'Summons a limited pet to aid the caster',0,1),
(132562,300196,4,100,'Summons 12 limited pets to aid the caster',0,0),
(132563,300196,4,100,'Summons a limited pet to aid the caster',0,1),
(132564,300196,5,100,'Summons 12 limited pets to aid the caster',0,0),
(132565,300196,5,100,'Summons a limited pet to aid the caster',0,1),
(132566,300196,7,100,'Summons 12 limited pets to aid the caster',0,0),
(132567,300196,7,100,'Summons a limited pet to aid the caster',0,1),
(132568,300196,9,100,'Summons 12 limited pets to aid the caster',0,0),
(132569,300196,9,100,'Summons a limited pet to aid the caster',0,1),
(132570,300197,1,100,'Summons 12 limited pets to aid the caster',0,0),
(132571,300197,4,100,'Summons 12 limited pets to aid the caster',0,0),
(132572,300197,5,100,'Summons 12 limited pets to aid the caster',0,0),
(132573,300197,7,100,'Summons 12 limited pets to aid the caster',0,0),
(132574,300197,9,100,'Summons 12 limited pets to aid the caster',0,0),
(132575,300198,1,100,'Summons a pet undead knight',0,0),
(132576,300198,2,100,'Summons a pet undead knight',0,0),
(132577,300198,3,100,'Summons a pet undead knight',0,0),
(132578,300198,4,100,'Summons a pet undead knight',0,0),
(132579,300198,5,100,'Summons a pet undead knight',0,0),
(132580,300198,7,100,'Summons a pet undead knight',0,0),
(132581,300198,9,100,'Summons a pet undead knight',0,0),
(132582,300199,1,100,'Summons a pet undead knight',0,0),
(132583,300199,2,100,'Summons a pet undead knight',0,0),
(132584,300199,3,100,'Summons a pet undead knight',0,0),
(132585,300199,4,100,'Summons a pet undead knight',0,0),
(132586,300199,5,100,'Summons a pet undead knight',0,0),
(132587,300199,7,100,'Summons a pet undead knight',0,0),
(132588,300199,9,100,'Summons a pet undead knight',0,0),
(132589,300200,1,100,'Summons a pet undead knight',0,0),
(132590,300200,2,100,'Summons a pet undead knight',0,0),
(132591,300200,3,100,'Summons a pet undead knight',0,0),
(132592,300200,4,100,'Summons a pet undead knight',0,0),
(132593,300200,5,100,'Summons a pet undead knight',0,0),
(132594,300200,7,100,'Summons a pet undead knight',0,0),
(132595,300200,9,100,'Summons a pet undead knight',0,0),
(132596,300201,1,100,'Summons a pet undead knight',0,0),
(132597,300201,2,100,'Summons a pet undead knight',0,0),
(132598,300201,3,100,'Summons a pet undead knight',0,0),
(132599,300201,4,100,'Summons a pet undead knight',0,0),
(132600,300201,5,100,'Summons a pet undead knight',0,0),
(132601,300201,7,100,'Summons a pet undead knight',0,0),
(132602,300201,9,100,'Summons a pet undead knight',0,0),
(132603,300202,1,100,'Summons a pet undead knight',0,0),
(132604,300202,4,100,'Summons a pet undead knight',0,0),
(132605,300202,5,100,'Summons a pet undead knight',0,0),
(132606,300202,7,100,'Summons a pet undead knight',0,0),
(132607,300202,9,100,'Summons a pet undead knight',0,0),
(132608,300203,1,100,'Summons a pet undead knight',0,0),
(132609,300203,2,100,'Summons a pet undead knight',0,0),
(132610,300203,3,100,'Summons a pet undead knight',0,0),
(132611,300203,4,100,'Summons a pet undead knight',0,0),
(132612,300203,5,100,'Summons a pet undead knight',0,0),
(132613,300203,7,100,'Summons a pet undead knight',0,0),
(132614,300203,9,100,'Summons a pet undead knight',0,0),
(132615,300204,1,100,'Summons a pet undead knight',0,0),
(132616,300204,2,100,'Summons a pet undead knight',0,0),
(132617,300204,3,100,'Summons a pet undead knight',0,0),
(132618,300204,4,100,'Summons a pet undead knight',0,0),
(132619,300204,5,100,'Summons a pet undead knight',0,0),
(132620,300204,7,100,'Summons a pet undead knight',0,0),
(132621,300204,9,100,'Summons a pet undead knight',0,0),
(132622,300205,1,100,'Summons a pet undead knight',0,0),
(132623,300205,2,100,'Summons a pet undead knight',0,0),
(132624,300205,3,100,'Summons a pet undead knight',0,0),
(132625,300205,4,100,'Summons a pet undead knight',0,0),
(132626,300205,5,100,'Summons a pet undead knight',0,0),
(132627,300205,7,100,'Summons a pet undead knight',0,0),
(132628,300205,9,100,'Summons a pet undead knight',0,0),
(132629,300206,1,100,'Summons a pet undead knight',0,0),
(132630,300206,4,100,'Summons a pet undead knight',0,0),
(132631,300206,5,100,'Summons a pet undead knight',0,0),
(132632,300206,7,100,'Summons a pet undead knight',0,0),
(132633,300206,9,100,'Summons a pet undead knight',0,0),
(132634,2000720,1,100,'On death this spell will cast Undeath on target.  ',0,0),
(132635,2000720,1,100,'Heals caster for 100.0% of max health',1,1),
(132636,2000720,1,100,'Grants a total of 1 trigger of the spell.',1,2),
(132637,2000720,1,100,'Does not trigger if a priest death prevention or Equilibrium is active',0,3),
(132638,2000720,1,100,'This effect cannot be cast during combat',0,4),
(132639,2000720,1,100,'Cannot be modified except by direct means',0,5),
(132640,160159,1,100,'Applies Natural Undergrowth.  Lasts for 39.0 seconds.',0,0),
(132641,160159,1,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',1,1),
(132642,160159,1,100,'Slows target by 35.5%',2,2),
(132643,160159,1,100,'5% chance to dispel when target receives hostile action',2,3),
(132644,160159,1,100,'5% chance to dispel when target takes damage',2,4),
(132645,160159,1,100,'Roots target',1,5),
(132646,160159,1,100,'5% chance to dispel when target takes damage',1,6),
(132647,160159,1,100,'Does not affect Epic targets',1,7),
(132648,160159,1,100,'Resistibility increases against targets higher than level 76.',1,8),
(132649,160159,1,100,'Interrupts target encounter',0,9),
(132650,160159,1,100,'Decreases AGI of target encounter by 32.9',0,10),
(132651,160159,2,100,'Applies Natural Undergrowth.  Lasts for 39.0 seconds.',0,0),
(132652,160159,2,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',1,1),
(132653,160159,2,100,'Slows target by 37.4%',2,2),
(132654,160159,2,100,'5% chance to dispel when target receives hostile action',2,3),
(132655,160159,2,100,'5% chance to dispel when target takes damage',2,4),
(132656,160159,2,100,'Roots target',1,5),
(132657,160159,2,100,'5% chance to dispel when target takes damage',1,6),
(132658,160159,2,100,'Does not affect Epic targets',1,7),
(132659,160159,2,100,'Resistibility increases against targets higher than level 76.',1,8),
(132660,160159,2,100,'Interrupts target encounter',0,9),
(132661,160159,2,100,'Decreases AGI of target encounter by 34.8',0,10),
(132662,160159,3,100,'Applies Natural Undergrowth.  Lasts for 39.0 seconds.',0,0),
(132663,160159,3,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',1,1),
(132664,160159,3,100,'Slows target by 39.4%',2,2),
(132665,160159,3,100,'5% chance to dispel when target receives hostile action',2,3),
(132666,160159,3,100,'5% chance to dispel when target takes damage',2,4),
(132667,160159,3,100,'Roots target',1,5),
(132668,160159,3,100,'5% chance to dispel when target takes damage',1,6),
(132669,160159,3,100,'Does not affect Epic targets',1,7),
(132670,160159,3,100,'Resistibility increases against targets higher than level 76.',1,8),
(132671,160159,3,100,'Interrupts target encounter',0,9),
(132672,160159,3,100,'Decreases AGI of target encounter by 36.6',0,10),
(132673,160159,4,100,'Applies Natural Undergrowth.  Lasts for 39.0 seconds.',0,0),
(132674,160159,4,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',1,1),
(132675,160159,4,100,'Slows target by 43.3%',2,2),
(132676,160159,4,100,'5% chance to dispel when target receives hostile action',2,3),
(132677,160159,4,100,'5% chance to dispel when target takes damage',2,4),
(132678,160159,4,100,'Roots target',1,5),
(132679,160159,4,100,'5% chance to dispel when target takes damage',1,6),
(132680,160159,4,100,'Does not affect Epic targets',1,7),
(132681,160159,4,100,'Resistibility increases against targets higher than level 76.',1,8),
(132682,160159,4,100,'Interrupts target encounter',0,9),
(132683,160159,4,100,'Decreases AGI of target encounter by 40.3',0,10),
(132684,160159,5,100,'Applies Natural Undergrowth.  Lasts for 39.0 seconds.',0,0),
(132685,160159,5,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',1,1),
(132686,160159,5,100,'Slows target by 47.3%',2,2),
(132687,160159,5,100,'5% chance to dispel when target receives hostile action',2,3),
(132688,160159,5,100,'5% chance to dispel when target takes damage',2,4),
(132689,160159,5,100,'Roots target',1,5),
(132690,160159,5,100,'5% chance to dispel when target takes damage',1,6),
(132691,160159,5,100,'Does not affect Epic targets',1,7),
(132692,160159,5,100,'Resistibility increases against targets higher than level 76.',1,8),
(132693,160159,5,100,'Interrupts target encounter',0,9),
(132694,160159,5,100,'Decreases AGI of target encounter by 43.9',0,10),
(132695,160159,7,100,'Applies Natural Undergrowth.  Lasts for 39.0 seconds.',0,0),
(132696,160159,7,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',1,1),
(132697,160159,7,100,'Slows target by 60.7%',2,2),
(132698,160159,7,100,'5% chance to dispel when target receives hostile action',2,3),
(132699,160159,7,100,'5% chance to dispel when target takes damage',2,4),
(132700,160159,7,100,'Roots target',1,5),
(132701,160159,7,100,'5% chance to dispel when target takes damage',1,6),
(132702,160159,7,100,'Does not affect Epic targets',1,7),
(132703,160159,7,100,'Resistibility increases against targets higher than level 76.',1,8),
(132704,160159,7,100,'Interrupts target encounter',0,9),
(132705,160159,7,100,'Decreases AGI of target encounter by 56.4',0,10),
(132706,160159,9,100,'Applies Natural Undergrowth.  Lasts for 39.0 seconds.',0,0),
(132707,160159,9,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',1,1),
(132708,160159,9,100,'Slows target by 63.0%',2,2),
(132709,160159,9,100,'5% chance to dispel when target receives hostile action',2,3),
(132710,160159,9,100,'5% chance to dispel when target takes damage',2,4),
(132711,160159,9,100,'Roots target',1,5),
(132712,160159,9,100,'5% chance to dispel when target takes damage',1,6),
(132713,160159,9,100,'Does not affect Epic targets',1,7),
(132714,160159,9,100,'Resistibility increases against targets higher than level 76.',1,8),
(132715,160159,9,100,'Interrupts target encounter',0,9),
(132716,160159,9,100,'Decreases AGI of target encounter by 58.6',0,10),
(132717,160160,1,100,'Applies Natural Undergrowth.  Lasts for 46.0 seconds.',0,0),
(132718,160160,1,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',1,1),
(132719,160160,1,100,'Slows target by 36.4%',2,2),
(132720,160160,1,100,'5% chance to dispel when target receives hostile action',2,3),
(132721,160160,1,100,'5% chance to dispel when target takes damage',2,4),
(132722,160160,1,100,'Roots target',1,5),
(132723,160160,1,100,'5% chance to dispel when target takes damage',1,6),
(132724,160160,1,100,'Does not affect Epic targets',1,7),
(132725,160160,1,100,'Resistibility increases against targets higher than level 90.',1,8),
(132726,160160,1,100,'Interrupts target encounter',0,9),
(132727,160160,1,100,'Decreases AGI of target encounter by 43.0',0,10),
(132728,160160,2,100,'Applies Natural Undergrowth.  Lasts for 46.0 seconds.',0,0),
(132729,160160,2,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',1,1),
(132730,160160,2,100,'Slows target by 38.4%',2,2),
(132731,160160,2,100,'5% chance to dispel when target receives hostile action',2,3),
(132732,160160,2,100,'5% chance to dispel when target takes damage',2,4),
(132733,160160,2,100,'Roots target',1,5),
(132734,160160,2,100,'5% chance to dispel when target takes damage',1,6),
(132735,160160,2,100,'Does not affect Epic targets',1,7),
(132736,160160,2,100,'Resistibility increases against targets higher than level 90.',1,8),
(132737,160160,2,100,'Interrupts target encounter',0,9),
(132738,160160,2,100,'Decreases AGI of target encounter by 45.4',0,10),
(132739,160160,3,100,'Applies Natural Undergrowth.  Lasts for 46.0 seconds.',0,0),
(132740,160160,3,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',1,1),
(132741,160160,3,100,'Slows target by 40.4%',2,2),
(132742,160160,3,100,'5% chance to dispel when target receives hostile action',2,3),
(132743,160160,3,100,'5% chance to dispel when target takes damage',2,4),
(132744,160160,3,100,'Roots target',1,5),
(132745,160160,3,100,'5% chance to dispel when target takes damage',1,6),
(132746,160160,3,100,'Does not affect Epic targets',1,7),
(132747,160160,3,100,'Resistibility increases against targets higher than level 90.',1,8),
(132748,160160,3,100,'Interrupts target encounter',0,9),
(132749,160160,3,100,'Decreases AGI of target encounter by 47.8',0,10),
(132750,160160,4,100,'Applies Natural Undergrowth.  Lasts for 46.0 seconds.',0,0),
(132751,160160,4,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',1,1),
(132752,160160,4,100,'Slows target by 44.5%',2,2),
(132753,160160,4,100,'5% chance to dispel when target receives hostile action',2,3),
(132754,160160,4,100,'5% chance to dispel when target takes damage',2,4),
(132755,160160,4,100,'Roots target',1,5),
(132756,160160,4,100,'5% chance to dispel when target takes damage',1,6),
(132757,160160,4,100,'Does not affect Epic targets',1,7),
(132758,160160,4,100,'Resistibility increases against targets higher than level 90.',1,8),
(132759,160160,4,100,'Interrupts target encounter',0,9),
(132760,160160,4,100,'Decreases AGI of target encounter by 52.6',0,10),
(132761,160160,5,100,'Applies Natural Undergrowth.  Lasts for 46.0 seconds.',0,0),
(132762,160160,5,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',1,1),
(132763,160160,5,100,'Slows target by 48.5%',2,2),
(132764,160160,5,100,'5% chance to dispel when target receives hostile action',2,3),
(132765,160160,5,100,'5% chance to dispel when target takes damage',2,4),
(132766,160160,5,100,'Roots target',1,5),
(132767,160160,5,100,'5% chance to dispel when target takes damage',1,6),
(132768,160160,5,100,'Does not affect Epic targets',1,7),
(132769,160160,5,100,'Resistibility increases against targets higher than level 90.',1,8),
(132770,160160,5,100,'Interrupts target encounter',0,9),
(132771,160160,5,100,'Decreases AGI of target encounter by 57.4',0,10),
(132772,160160,7,100,'Applies Natural Undergrowth.  Lasts for 46.0 seconds.',0,0),
(132773,160160,7,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',1,1),
(132774,160160,7,100,'Slows target by 62.3%',2,2),
(132775,160160,7,100,'5% chance to dispel when target receives hostile action',2,3),
(132776,160160,7,100,'5% chance to dispel when target takes damage',2,4),
(132777,160160,7,100,'Roots target',1,5),
(132778,160160,7,100,'5% chance to dispel when target takes damage',1,6),
(132779,160160,7,100,'Does not affect Epic targets',1,7),
(132780,160160,7,100,'Resistibility increases against targets higher than level 90.',1,8),
(132781,160160,7,100,'Interrupts target encounter',0,9),
(132782,160160,7,100,'Decreases AGI of target encounter by 73.6',0,10),
(132783,160160,9,100,'Applies Natural Undergrowth.  Lasts for 46.0 seconds.',0,0),
(132784,160160,9,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',1,1),
(132785,160160,9,100,'Slows target by 64.7%',2,2),
(132786,160160,9,100,'5% chance to dispel when target receives hostile action',2,3),
(132787,160160,9,100,'5% chance to dispel when target takes damage',2,4),
(132788,160160,9,100,'Roots target',1,5),
(132789,160160,9,100,'5% chance to dispel when target takes damage',1,6),
(132790,160160,9,100,'Does not affect Epic targets',1,7),
(132791,160160,9,100,'Resistibility increases against targets higher than level 90.',1,8),
(132792,160160,9,100,'Interrupts target encounter',0,9),
(132793,160160,9,100,'Decreases AGI of target encounter by 76.5',0,10),
(132794,160160,10,100,'Applies Natural Undergrowth.  Lasts for 46.0 seconds.',0,0),
(132795,160160,10,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',1,1),
(132796,160160,10,100,'Slows target by 67.9%',2,2),
(132797,160160,10,100,'5% chance to dispel when target receives hostile action',2,3),
(132798,160160,10,100,'5% chance to dispel when target takes damage',2,4),
(132799,160160,10,100,'Roots target',1,5),
(132800,160160,10,100,'5% chance to dispel when target takes damage',1,6),
(132801,160160,10,100,'Does not affect Epic targets',1,7),
(132802,160160,10,100,'Resistibility increases against targets higher than level 90.',1,8),
(132803,160160,10,100,'Interrupts target encounter',0,9),
(132804,160160,10,100,'Decreases AGI of target encounter by 80.3',0,10),
(132805,160161,1,100,'Applies Natural Undergrowth.  Lasts for 53.0 seconds.',0,0),
(132806,160161,1,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',1,1),
(132807,160161,1,100,'Slows target by 36.9%',2,2),
(132808,160161,1,100,'5% chance to dispel when target receives hostile action',2,3),
(132809,160161,1,100,'5% chance to dispel when target takes damage',2,4),
(132810,160161,1,100,'Roots target',1,5),
(132811,160161,1,100,'5% chance to dispel when target takes damage',1,6),
(132812,160161,1,100,'Does not affect Epic targets',1,7),
(132813,160161,1,100,'Resistibility increases against targets higher than level 104.',1,8),
(132814,160161,1,100,'Interrupts target encounter',0,9),
(132815,160161,1,100,'Decreases AGI of target encounter by 54.4',0,10),
(132816,160161,2,100,'Applies Natural Undergrowth.  Lasts for 53.0 seconds.',0,0),
(132817,160161,2,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',1,1),
(132818,160161,2,100,'Slows target by 39.0%',2,2),
(132819,160161,2,100,'5% chance to dispel when target receives hostile action',2,3),
(132820,160161,2,100,'5% chance to dispel when target takes damage',2,4),
(132821,160161,2,100,'Roots target',1,5),
(132822,160161,2,100,'5% chance to dispel when target takes damage',1,6),
(132823,160161,2,100,'Does not affect Epic targets',1,7),
(132824,160161,2,100,'Resistibility increases against targets higher than level 104.',1,8),
(132825,160161,2,100,'Interrupts target encounter',0,9),
(132826,160161,2,100,'Decreases AGI of target encounter by 57.5',0,10),
(132827,160161,3,100,'Applies Natural Undergrowth.  Lasts for 53.0 seconds.',0,0),
(132828,160161,3,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',1,1),
(132829,160161,3,100,'Slows target by 41.0%',2,2),
(132830,160161,3,100,'5% chance to dispel when target receives hostile action',2,3),
(132831,160161,3,100,'5% chance to dispel when target takes damage',2,4),
(132832,160161,3,100,'Roots target',1,5),
(132833,160161,3,100,'5% chance to dispel when target takes damage',1,6),
(132834,160161,3,100,'Does not affect Epic targets',1,7),
(132835,160161,3,100,'Resistibility increases against targets higher than level 104.',1,8),
(132836,160161,3,100,'Interrupts target encounter',0,9),
(132837,160161,3,100,'Decreases AGI of target encounter by 60.5',0,10),
(132838,160161,4,100,'Applies Natural Undergrowth.  Lasts for 53.0 seconds.',0,0),
(132839,160161,4,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',1,1),
(132840,160161,4,100,'Slows target by 45.1%',2,2),
(132841,160161,4,100,'5% chance to dispel when target receives hostile action',2,3),
(132842,160161,4,100,'5% chance to dispel when target takes damage',2,4),
(132843,160161,4,100,'Roots target',1,5),
(132844,160161,4,100,'5% chance to dispel when target takes damage',1,6),
(132845,160161,4,100,'Does not affect Epic targets',1,7),
(132846,160161,4,100,'Resistibility increases against targets higher than level 104.',1,8),
(132847,160161,4,100,'Interrupts target encounter',0,9),
(132848,160161,4,100,'Decreases AGI of target encounter by 66.6',0,10),
(132849,160161,5,100,'Applies Natural Undergrowth.  Lasts for 53.0 seconds.',0,0),
(132850,160161,5,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',1,1),
(132851,160161,5,100,'Slows target by 49.2%',2,2),
(132852,160161,5,100,'5% chance to dispel when target receives hostile action',2,3),
(132853,160161,5,100,'5% chance to dispel when target takes damage',2,4),
(132854,160161,5,100,'Roots target',1,5),
(132855,160161,5,100,'5% chance to dispel when target takes damage',1,6),
(132856,160161,5,100,'Does not affect Epic targets',1,7),
(132857,160161,5,100,'Resistibility increases against targets higher than level 104.',1,8),
(132858,160161,5,100,'Interrupts target encounter',0,9),
(132859,160161,5,100,'Decreases AGI of target encounter by 72.6',0,10),
(132860,160161,7,100,'Applies Natural Undergrowth.  Lasts for 53.0 seconds.',0,0),
(132861,160161,7,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',1,1),
(132862,160161,7,100,'Slows target by 63.1%',2,2),
(132863,160161,7,100,'5% chance to dispel when target receives hostile action',2,3),
(132864,160161,7,100,'5% chance to dispel when target takes damage',2,4),
(132865,160161,7,100,'Roots target',1,5),
(132866,160161,7,100,'5% chance to dispel when target takes damage',1,6),
(132867,160161,7,100,'Does not affect Epic targets',1,7),
(132868,160161,7,100,'Resistibility increases against targets higher than level 104.',1,8),
(132869,160161,7,100,'Interrupts target encounter',0,9),
(132870,160161,7,100,'Decreases AGI of target encounter by 93.2',0,10),
(132871,160161,9,100,'Applies Natural Undergrowth.  Lasts for 53.0 seconds.',0,0),
(132872,160161,9,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',1,1),
(132873,160161,9,100,'Slows target by 65.6%',2,2),
(132874,160161,9,100,'5% chance to dispel when target receives hostile action',2,3),
(132875,160161,9,100,'5% chance to dispel when target takes damage',2,4),
(132876,160161,9,100,'Roots target',1,5),
(132877,160161,9,100,'5% chance to dispel when target takes damage',1,6),
(132878,160161,9,100,'Does not affect Epic targets',1,7),
(132879,160161,9,100,'Resistibility increases against targets higher than level 104.',1,8),
(132880,160161,9,100,'Interrupts target encounter',0,9),
(132881,160161,9,100,'Decreases AGI of target encounter by 96.8',0,10),
(132882,160162,1,100,'Applies Natural Undergrowth.  Lasts for 53.0 seconds.',0,0),
(132883,160162,1,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',1,1),
(132884,160162,1,100,'Slows target by 37.3%',2,2),
(132885,160162,1,100,'5% chance to dispel when target receives hostile action',2,3),
(132886,160162,1,100,'5% chance to dispel when target takes damage',2,4),
(132887,160162,1,100,'Roots target',1,5),
(132888,160162,1,100,'5% chance to dispel when target takes damage',1,6),
(132889,160162,1,100,'Does not affect Epic targets',1,7),
(132890,160162,1,100,'Resistibility increases against targets higher than level 114.',1,8),
(132891,160162,1,100,'Interrupts target encounter',0,9),
(132892,160162,1,100,'Decreases AGI of target encounter by 64.3',0,10),
(132893,160162,4,100,'Applies Natural Undergrowth.  Lasts for 53.0 seconds.',0,0),
(132894,160162,4,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',1,1),
(132895,160162,4,100,'Slows target by 45.5%',2,2),
(132896,160162,4,100,'5% chance to dispel when target receives hostile action',2,3),
(132897,160162,4,100,'5% chance to dispel when target takes damage',2,4),
(132898,160162,4,100,'Roots target',1,5),
(132899,160162,4,100,'5% chance to dispel when target takes damage',1,6),
(132900,160162,4,100,'Does not affect Epic targets',1,7),
(132901,160162,4,100,'Resistibility increases against targets higher than level 114.',1,8),
(132902,160162,4,100,'Interrupts target encounter',0,9),
(132903,160162,4,100,'Decreases AGI of target encounter by 78.7',0,10),
(132904,160162,5,100,'Applies Natural Undergrowth.  Lasts for 53.0 seconds.',0,0),
(132905,160162,5,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',1,1),
(132906,160162,5,100,'Slows target by 49.7%',2,2),
(132907,160162,5,100,'5% chance to dispel when target receives hostile action',2,3),
(132908,160162,5,100,'5% chance to dispel when target takes damage',2,4),
(132909,160162,5,100,'Roots target',1,5),
(132910,160162,5,100,'5% chance to dispel when target takes damage',1,6),
(132911,160162,5,100,'Does not affect Epic targets',1,7),
(132912,160162,5,100,'Resistibility increases against targets higher than level 114.',1,8),
(132913,160162,5,100,'Interrupts target encounter',0,9),
(132914,160162,5,100,'Decreases AGI of target encounter by 85.8',0,10),
(132915,160162,7,100,'Applies Natural Undergrowth.  Lasts for 53.0 seconds.',0,0),
(132916,160162,7,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',1,1),
(132917,160162,7,100,'Slows target by 63.8%',2,2),
(132918,160162,7,100,'5% chance to dispel when target receives hostile action',2,3),
(132919,160162,7,100,'5% chance to dispel when target takes damage',2,4),
(132920,160162,7,100,'Roots target',1,5),
(132921,160162,7,100,'5% chance to dispel when target takes damage',1,6),
(132922,160162,7,100,'Does not affect Epic targets',1,7),
(132923,160162,7,100,'Resistibility increases against targets higher than level 114.',1,8),
(132924,160162,7,100,'Interrupts target encounter',0,9),
(132925,160162,7,100,'Decreases AGI of target encounter by 110.1',0,10),
(132926,160162,9,100,'Applies Natural Undergrowth.  Lasts for 53.0 seconds.',0,0),
(132927,160162,9,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',1,1),
(132928,160162,9,100,'Slows target by 66.2%',2,2),
(132929,160162,9,100,'5% chance to dispel when target receives hostile action',2,3),
(132930,160162,9,100,'5% chance to dispel when target takes damage',2,4),
(132931,160162,9,100,'Roots target',1,5),
(132932,160162,9,100,'5% chance to dispel when target takes damage',1,6),
(132933,160162,9,100,'Does not affect Epic targets',1,7),
(132934,160162,9,100,'Resistibility increases against targets higher than level 114.',1,8),
(132935,160162,9,100,'Interrupts target encounter',0,9),
(132936,160162,9,100,'Decreases AGI of target encounter by 114.4',0,10),
(132937,160163,1,100,'Applies Natural Undergrowth.  Lasts for 53.0 seconds.',0,0),
(132938,160163,1,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',1,1),
(132939,160163,1,100,'Slows target by 37.6%',2,2),
(132940,160163,1,100,'5% chance to dispel when target receives hostile action',2,3),
(132941,160163,1,100,'5% chance to dispel when target takes damage',2,4),
(132942,160163,1,100,'Roots target',1,5),
(132943,160163,1,100,'5% chance to dispel when target takes damage',1,6),
(132944,160163,1,100,'Does not affect Epic targets',1,7),
(132945,160163,1,100,'Resistibility increases against targets higher than level 124.',1,8),
(132946,160163,1,100,'Interrupts target encounter',0,9),
(132947,160163,1,100,'Decreases AGI of target encounter by 74.2',0,10),
(132948,160163,4,100,'Applies Natural Undergrowth.  Lasts for 53.0 seconds.',0,0),
(132949,160163,4,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',1,1),
(132950,160163,4,100,'Slows target by 46.0%',2,2),
(132951,160163,4,100,'5% chance to dispel when target receives hostile action',2,3),
(132952,160163,4,100,'5% chance to dispel when target takes damage',2,4),
(132953,160163,4,100,'Roots target',1,5),
(132954,160163,4,100,'5% chance to dispel when target takes damage',1,6),
(132955,160163,4,100,'Does not affect Epic targets',1,7),
(132956,160163,4,100,'Resistibility increases against targets higher than level 124.',1,8),
(132957,160163,4,100,'Interrupts target encounter',0,9),
(132958,160163,4,100,'Decreases AGI of target encounter by 90.7',0,10),
(132959,160163,5,100,'Applies Natural Undergrowth.  Lasts for 53.0 seconds.',0,0),
(132960,160163,5,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',1,1),
(132961,160163,5,100,'Slows target by 50.2%',2,2),
(132962,160163,5,100,'5% chance to dispel when target receives hostile action',2,3),
(132963,160163,5,100,'5% chance to dispel when target takes damage',2,4),
(132964,160163,5,100,'Roots target',1,5),
(132965,160163,5,100,'5% chance to dispel when target takes damage',1,6),
(132966,160163,5,100,'Does not affect Epic targets',1,7),
(132967,160163,5,100,'Resistibility increases against targets higher than level 124.',1,8),
(132968,160163,5,100,'Interrupts target encounter',0,9),
(132969,160163,5,100,'Decreases AGI of target encounter by 99.0',0,10),
(132970,160163,7,100,'Applies Natural Undergrowth.  Lasts for 53.0 seconds.',0,0),
(132971,160163,7,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',1,1),
(132972,160163,7,100,'Slows target by 64.4%',2,2),
(132973,160163,7,100,'5% chance to dispel when target receives hostile action',2,3),
(132974,160163,7,100,'5% chance to dispel when target takes damage',2,4),
(132975,160163,7,100,'Roots target',1,5),
(132976,160163,7,100,'5% chance to dispel when target takes damage',1,6),
(132977,160163,7,100,'Does not affect Epic targets',1,7),
(132978,160163,7,100,'Resistibility increases against targets higher than level 124.',1,8),
(132979,160163,7,100,'Interrupts target encounter',0,9),
(132980,160163,7,100,'Decreases AGI of target encounter by 127.0',0,10),
(132981,160163,9,100,'Applies Natural Undergrowth.  Lasts for 53.0 seconds.',0,0),
(132982,160163,9,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',1,1),
(132983,160163,9,100,'Slows target by 66.9%',2,2),
(132984,160163,9,100,'5% chance to dispel when target receives hostile action',2,3),
(132985,160163,9,100,'5% chance to dispel when target takes damage',2,4),
(132986,160163,9,100,'Roots target',1,5),
(132987,160163,9,100,'5% chance to dispel when target takes damage',1,6),
(132988,160163,9,100,'Does not affect Epic targets',1,7),
(132989,160163,9,100,'Resistibility increases against targets higher than level 124.',1,8),
(132990,160163,9,100,'Interrupts target encounter',0,9),
(132991,160163,9,100,'Decreases AGI of target encounter by 132.0',0,10),
(132992,90184,1,100,'Inflicts 29 disease damage on targets in Area of Effect',0,0),
(132993,90184,1,100,'Inflicts 19 disease damage on targets in Area of Effect every 4 seconds',0,1),
(132994,90184,2,100,'Inflicts 30 disease damage on targets in Area of Effect',0,0),
(132995,90184,2,100,'Inflicts 21 disease damage on targets in Area of Effect every 4 seconds',0,1),
(132996,90184,3,100,'Inflicts 32 disease damage on targets in Area of Effect',0,0),
(132997,90184,3,100,'Inflicts 22 disease damage on targets in Area of Effect every 4 seconds',0,1),
(132998,90184,4,100,'Inflicts 35 disease damage on targets in Area of Effect',0,0),
(132999,90184,4,100,'Inflicts 24 disease damage on targets in Area of Effect every 4 seconds',0,1),
(133000,90184,5,100,'Inflicts 38 disease damage on targets in Area of Effect',0,0),
(133001,90184,5,100,'Inflicts 26 disease damage on targets in Area of Effect every 4 seconds',0,1),
(133002,90184,7,100,'Inflicts 49 disease damage on targets in Area of Effect',0,0),
(133003,90184,7,100,'Inflicts 33 disease damage on targets in Area of Effect every 4 seconds',0,1),
(133004,90184,9,100,'Inflicts 51 disease damage on targets in Area of Effect',0,0),
(133005,90184,9,100,'Inflicts 35 disease damage on targets in Area of Effect every 4 seconds',0,1),
(133006,90184,10,100,'Inflicts 53 disease damage on targets in Area of Effect',0,0),
(133007,90184,10,100,'Inflicts 36 disease damage on targets in Area of Effect every 4 seconds',0,1),
(133008,90185,1,100,'Inflicts 59 disease damage on targets in Area of Effect',0,0),
(133009,90185,1,100,'Inflicts 41 disease damage on targets in Area of Effect every 4 seconds',0,1),
(133010,90185,2,100,'Inflicts 63 disease damage on targets in Area of Effect',0,0),
(133011,90185,2,100,'Inflicts 43 disease damage on targets in Area of Effect every 4 seconds',0,1),
(133012,90185,3,100,'Inflicts 66 disease damage on targets in Area of Effect',0,0),
(133013,90185,3,100,'Inflicts 45 disease damage on targets in Area of Effect every 4 seconds',0,1),
(133014,90185,4,100,'Inflicts 73 disease damage on targets in Area of Effect',0,0),
(133015,90185,4,100,'Inflicts 50 disease damage on targets in Area of Effect every 4 seconds',0,1),
(133016,90185,5,100,'Inflicts 79 disease damage on targets in Area of Effect',0,0),
(133017,90185,5,100,'Inflicts 54 disease damage on targets in Area of Effect every 4 seconds',0,1),
(133018,90185,7,100,'Inflicts 102 disease damage on targets in Area of Effect',0,0),
(133019,90185,7,100,'Inflicts 69 disease damage on targets in Area of Effect every 4 seconds',0,1),
(133020,90185,9,100,'Inflicts 106 disease damage on targets in Area of Effect',0,0),
(133021,90185,9,100,'Inflicts 72 disease damage on targets in Area of Effect every 4 seconds',0,1),
(133022,90186,1,100,'Inflicts 94 disease damage on targets in Area of Effect',0,0),
(133023,90186,1,100,'Inflicts 64 disease damage on targets in Area of Effect every 4 seconds',0,1),
(133024,90186,2,100,'Inflicts 99 disease damage on targets in Area of Effect',0,0),
(133025,90186,2,100,'Inflicts 68 disease damage on targets in Area of Effect every 4 seconds',0,1),
(133026,90186,3,100,'Inflicts 104 disease damage on targets in Area of Effect',0,0),
(133027,90186,3,100,'Inflicts 71 disease damage on targets in Area of Effect every 4 seconds',0,1),
(133028,90186,4,100,'Inflicts 115 disease damage on targets in Area of Effect',0,0),
(133029,90186,4,100,'Inflicts 78 disease damage on targets in Area of Effect every 4 seconds',0,1),
(133030,90186,5,100,'Inflicts 125 disease damage on targets in Area of Effect',0,0),
(133031,90186,5,100,'Inflicts 85 disease damage on targets in Area of Effect every 4 seconds',0,1),
(133032,90186,7,100,'Inflicts 161 disease damage on targets in Area of Effect',0,0),
(133033,90186,7,100,'Inflicts 110 disease damage on targets in Area of Effect every 4 seconds',0,1),
(133034,90186,9,100,'Inflicts 167 disease damage on targets in Area of Effect',0,0),
(133035,90186,9,100,'Inflicts 114 disease damage on targets in Area of Effect every 4 seconds',0,1),
(133038,90187,1,100,'Inflicts 136 disease damage on targets in Area of Effect',0,0),
(133039,90187,1,100,'Inflicts 92 disease damage on targets in Area of Effect every 4 seconds',0,1),
(133040,90187,2,100,'Inflicts 143 disease damage on targets in Area of Effect',0,0),
(133041,90187,2,100,'Inflicts 98 disease damage on targets in Area of Effect every 4 seconds',0,1),
(133042,90187,3,100,'Inflicts 151 disease damage on targets in Area of Effect',0,0),
(133043,90187,3,100,'Inflicts 103 disease damage on targets in Area of Effect every 4 seconds',0,1),
(133044,90187,4,100,'Inflicts 166 disease damage on targets in Area of Effect',0,0),
(133045,90187,4,100,'Inflicts 113 disease damage on targets in Area of Effect every 4 seconds',0,1),
(133046,90187,5,100,'Inflicts 181 disease damage on targets in Area of Effect',0,0),
(133047,90187,5,100,'Inflicts 123 disease damage on targets in Area of Effect every 4 seconds',0,1),
(133048,90187,7,100,'Inflicts 232 disease damage on targets in Area of Effect',0,0),
(133049,90187,7,100,'Inflicts 158 disease damage on targets in Area of Effect every 4 seconds',0,1),
(133050,90187,9,100,'Inflicts 241 disease damage on targets in Area of Effect',0,0),
(133051,90187,9,100,'Inflicts 164 disease damage on targets in Area of Effect every 4 seconds',0,1),
(133052,90188,1,100,'Inflicts 177 disease damage on targets in Area of Effect',0,0),
(133053,90188,1,100,'Inflicts 121 disease damage on targets in Area of Effect every 4 seconds',0,1),
(133054,90188,2,100,'Inflicts 187 disease damage on targets in Area of Effect',0,0),
(133055,90188,2,100,'Inflicts 128 disease damage on targets in Area of Effect every 4 seconds',0,1),
(133056,90188,3,100,'Inflicts 197 disease damage on targets in Area of Effect',0,0),
(133057,90188,3,100,'Inflicts 134 disease damage on targets in Area of Effect every 4 seconds',0,1),
(133058,90188,4,100,'Inflicts 217 disease damage on targets in Area of Effect',0,0),
(133059,90188,4,100,'Inflicts 148 disease damage on targets in Area of Effect every 4 seconds',0,1),
(133060,90188,5,100,'Inflicts 236 disease damage on targets in Area of Effect',0,0),
(133061,90188,5,100,'Inflicts 161 disease damage on targets in Area of Effect every 4 seconds',0,1),
(133062,90188,7,100,'Inflicts 303 disease damage on targets in Area of Effect',0,0),
(133063,90188,7,100,'Inflicts 207 disease damage on targets in Area of Effect every 4 seconds',0,1),
(133064,90188,9,100,'Inflicts 315 disease damage on targets in Area of Effect',0,0),
(133065,90188,9,100,'Inflicts 215 disease damage on targets in Area of Effect every 4 seconds',0,1),
(133066,90189,1,100,'Inflicts 215 disease damage on targets in Area of Effect',0,0),
(133067,90189,1,100,'Inflicts 147 disease damage on targets in Area of Effect every 4 seconds',0,1),
(133068,90189,2,100,'Inflicts 227 disease damage on targets in Area of Effect',0,0),
(133069,90189,2,100,'Inflicts 155 disease damage on targets in Area of Effect every 4 seconds',0,1),
(133070,90189,3,100,'Inflicts 239 disease damage on targets in Area of Effect',0,0),
(133071,90189,3,100,'Inflicts 163 disease damage on targets in Area of Effect every 4 seconds',0,1),
(133072,90189,4,100,'Inflicts 263 disease damage on targets in Area of Effect',0,0),
(133073,90189,4,100,'Inflicts 179 disease damage on targets in Area of Effect every 4 seconds',0,1),
(133074,90189,5,100,'Inflicts 287 disease damage on targets in Area of Effect',0,0),
(133075,90189,5,100,'Inflicts 195 disease damage on targets in Area of Effect every 4 seconds',0,1),
(133076,90189,7,100,'Inflicts 368 disease damage on targets in Area of Effect',0,0),
(133077,90189,7,100,'Inflicts 251 disease damage on targets in Area of Effect every 4 seconds',0,1),
(133078,90189,9,100,'Inflicts 382 disease damage on targets in Area of Effect',0,0),
(133079,90189,9,100,'Inflicts 261 disease damage on targets in Area of Effect every 4 seconds',0,1),
(133080,90190,1,100,'Inflicts 259 disease damage on targets in Area of Effect',0,0),
(133081,90190,1,100,'Inflicts 176 disease damage on targets in Area of Effect every 4 seconds',0,1),
(133082,90190,4,100,'Inflicts 316 disease damage on targets in Area of Effect',0,0),
(133083,90190,4,100,'Inflicts 215 disease damage on targets in Area of Effect every 4 seconds',0,1),
(133084,90190,5,100,'Inflicts 345 disease damage on targets in Area of Effect',0,0),
(133085,90190,5,100,'Inflicts 235 disease damage on targets in Area of Effect every 4 seconds',0,1),
(133086,90190,7,100,'Inflicts 442 disease damage on targets in Area of Effect',0,0),
(133087,90190,7,100,'Inflicts 302 disease damage on targets in Area of Effect every 4 seconds',0,1),
(133088,90190,9,100,'Inflicts 460 disease damage on targets in Area of Effect',0,0),
(133089,90190,9,100,'Inflicts 313 disease damage on targets in Area of Effect every 4 seconds',0,1),
(133090,90191,1,100,'Inflicts 274 disease damage on targets in Area of Effect',0,0),
(133091,90191,1,100,'Inflicts 187 disease damage on targets in Area of Effect every 4 seconds',0,1),
(133092,90191,4,100,'Inflicts 335 disease damage on targets in Area of Effect',0,0),
(133093,90191,4,100,'Inflicts 229 disease damage on targets in Area of Effect every 4 seconds',0,1),
(133094,90191,5,100,'Inflicts 366 disease damage on targets in Area of Effect',0,0),
(133095,90191,5,100,'Inflicts 249 disease damage on targets in Area of Effect every 4 seconds',0,1),
(133096,90191,7,100,'Inflicts 469 disease damage on targets in Area of Effect',0,0),
(133097,90191,7,100,'Inflicts 320 disease damage on targets in Area of Effect every 4 seconds',0,1),
(133098,90191,9,100,'Inflicts 488 disease damage on targets in Area of Effect',0,0),
(133099,90191,9,100,'Inflicts 333 disease damage on targets in Area of Effect every 4 seconds',0,1),
(133100,2000721,1,100,'Prevents AOE (except when direct) ',0,0),
(133101,2000721,1,100,'Makes target immune to Stifle effects',0,1),
(133102,2000721,1,100,'Makes target immune to Stun effects',0,2),
(133103,2000721,1,100,'Roots target',0,3),
(133104,2000721,1,100,'Makes target immune to Fear effects',0,4),
(133105,2000721,1,100,'Makes target immune to Daze effects',0,5),
(133106,2000721,1,100,'Makes target immune to Mesmerize effects',0,6),
(133107,90192,1,100,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',0,0),
(133108,90192,1,100,'Inflicts 11 - 14 disease damage on target',1,1),
(133109,90192,1,100,'Heals caster for 1.4 - 1.7% of max health',1,2),
(133110,90192,1,100,'This effect cannot be critically applied.',2,3),
(133111,90192,1,100,'Grants a total of 5 triggers of the spell.',1,4),
(133112,90192,1,100,'Grants a total of 5 triggers of the spell.',1,5),
(133113,90192,2,100,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',0,0),
(133114,90192,2,100,'Inflicts 12 - 14 disease damage on target',1,1),
(133115,90192,2,100,'Heals caster for 1.5 - 1.8% of max health',1,2),
(133116,90192,2,100,'This effect cannot be critically applied.',2,3),
(133117,90192,2,100,'Grants a total of 5 triggers of the spell.',1,4),
(133118,90192,2,100,'Grants a total of 5 triggers of the spell.',1,5),
(133119,90192,3,100,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',0,0),
(133120,90192,3,100,'Inflicts 12 - 15 disease damage on target',1,1),
(133121,90192,3,100,'Heals caster for 1.5 - 1.9% of max health',1,2),
(133122,90192,3,100,'This effect cannot be critically applied.',2,3),
(133123,90192,3,100,'Grants a total of 5 triggers of the spell.',1,4),
(133124,90192,3,100,'Grants a total of 5 triggers of the spell.',1,5),
(133125,90192,4,100,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',0,0),
(133126,90192,4,100,'Inflicts 14 - 17 disease damage on target',1,1),
(133127,90192,4,100,'Heals caster for 1.7 - 2.1% of max health',1,2),
(133128,90192,4,100,'This effect cannot be critically applied.',2,3),
(133129,90192,4,100,'Grants a total of 5 triggers of the spell.',1,4),
(133130,90192,4,100,'Grants a total of 5 triggers of the spell.',1,5),
(133131,90192,5,100,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',0,0),
(133132,90192,5,100,'Inflicts 15 - 18 disease damage on target',1,1),
(133133,90192,5,100,'Heals caster for 1.8 - 2.2% of max health',1,2),
(133134,90192,5,100,'This effect cannot be critically applied.',2,3),
(133135,90192,5,100,'Grants a total of 5 triggers of the spell.',1,4),
(133136,90192,5,100,'Grants a total of 5 triggers of the spell.',1,5),
(133137,90192,7,100,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',0,0),
(133138,90192,7,100,'Inflicts 19 - 23 disease damage on target',1,1),
(133139,90192,7,100,'Heals caster for 2.4 - 2.9% of max health',1,2),
(133140,90192,7,100,'This effect cannot be critically applied.',2,3),
(133141,90192,7,100,'Grants a total of 5 triggers of the spell.',1,4),
(133142,90192,7,100,'Grants a total of 5 triggers of the spell.',1,5),
(133143,90192,9,100,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',0,0),
(133144,90192,9,100,'Inflicts 20 - 24 disease damage on target',1,1),
(133145,90192,9,100,'Heals caster for 2.4 - 3.0% of max health',1,2),
(133146,90192,9,100,'This effect cannot be critically applied.',2,3),
(133147,90192,9,100,'Grants a total of 5 triggers of the spell.',1,4),
(133148,90192,9,100,'Grants a total of 5 triggers of the spell.',1,5),
(133149,90192,10,100,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',0,0),
(133150,90192,10,100,'Inflicts 21 - 25 disease damage on target',1,1),
(133151,90192,10,100,'Heals caster for 2.6 - 3.1% of max health',1,2),
(133152,90192,10,100,'This effect cannot be critically applied.',2,3),
(133153,90192,10,100,'Grants a total of 5 triggers of the spell.',1,4),
(133154,90192,10,100,'Grants a total of 5 triggers of the spell.',1,5),
(133155,90193,1,100,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',0,0),
(133156,90193,1,100,'Inflicts 25 - 30 disease damage on target',1,1),
(133157,90193,1,100,'Heals caster for 1.4 - 1.7% of max health',1,2),
(133158,90193,1,100,'This effect cannot be critically applied.',2,3),
(133159,90193,1,100,'Grants a total of 5 triggers of the spell.',1,4),
(133160,90193,1,100,'Grants a total of 5 triggers of the spell.',1,5),
(133161,90193,2,100,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',0,0),
(133162,90193,2,100,'Inflicts 26 - 32 disease damage on target',1,1),
(133163,90193,2,100,'Heals caster for 1.5 - 1.8% of max health',1,2),
(133164,90193,2,100,'This effect cannot be critically applied.',2,3),
(133165,90193,2,100,'Grants a total of 5 triggers of the spell.',1,4),
(133166,90193,2,100,'Grants a total of 5 triggers of the spell.',1,5),
(133167,90193,3,100,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',0,0),
(133168,90193,3,100,'Inflicts 27 - 33 disease damage on target',1,1),
(133169,90193,3,100,'Heals caster for 1.6 - 1.9% of max health',1,2),
(133170,90193,3,100,'This effect cannot be critically applied.',2,3),
(133171,90193,3,100,'Grants a total of 5 triggers of the spell.',1,4),
(133172,90193,3,100,'Grants a total of 5 triggers of the spell.',1,5),
(133173,90193,4,100,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',0,0),
(133174,90193,4,100,'Inflicts 30 - 37 disease damage on target',1,1),
(133175,90193,4,100,'Heals caster for 1.7 - 2.1% of max health',1,2),
(133176,90193,4,100,'This effect cannot be critically applied.',2,3),
(133177,90193,4,100,'Grants a total of 5 triggers of the spell.',1,4),
(133178,90193,4,100,'Grants a total of 5 triggers of the spell.',1,5),
(133179,90193,5,100,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',0,0),
(133180,90193,5,100,'Inflicts 33 - 40 disease damage on target',1,1),
(133181,90193,5,100,'Heals caster for 1.9 - 2.3% of max health',1,2),
(133182,90193,5,100,'This effect cannot be critically applied.',2,3),
(133183,90193,5,100,'Grants a total of 5 triggers of the spell.',1,4),
(133184,90193,5,100,'Grants a total of 5 triggers of the spell.',1,5),
(133185,90193,7,100,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',0,0),
(133186,90193,7,100,'Inflicts 42 - 51 disease damage on target',1,1),
(133187,90193,7,100,'Heals caster for 2.4 - 2.9% of max health',1,2),
(133188,90193,7,100,'This effect cannot be critically applied.',2,3),
(133189,90193,7,100,'Grants a total of 5 triggers of the spell.',1,4),
(133190,90193,7,100,'Grants a total of 5 triggers of the spell.',1,5),
(133191,90193,9,100,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',0,0),
(133192,90193,9,100,'Inflicts 44 - 53 disease damage on target',1,1),
(133193,90193,9,100,'Heals caster for 2.5 - 3.0% of max health',1,2),
(133194,90193,9,100,'This effect cannot be critically applied.',2,3),
(133195,90193,9,100,'Grants a total of 5 triggers of the spell.',1,4),
(133196,90193,9,100,'Grants a total of 5 triggers of the spell.',1,5),
(133197,90194,1,100,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',0,0),
(133198,90194,1,100,'Inflicts 40 - 48 disease damage on target',1,1),
(133199,90194,1,100,'Heals caster for 1.4 - 1.8% of max health',1,2),
(133200,90194,1,100,'This effect cannot be critically applied.',2,3),
(133201,90194,1,100,'Grants a total of 5 triggers of the spell.',1,4),
(133202,90194,1,100,'Grants a total of 5 triggers of the spell.',1,5),
(133203,90194,2,100,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',0,0),
(133204,90194,2,100,'Inflicts 42 - 51 disease damage on target',1,1),
(133205,90194,2,100,'Heals caster for 1.5 - 1.9% of max health',1,2),
(133206,90194,2,100,'This effect cannot be critically applied.',2,3),
(133207,90194,2,100,'Grants a total of 5 triggers of the spell.',1,4),
(133208,90194,2,100,'Grants a total of 5 triggers of the spell.',1,5),
(133209,90194,3,100,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',0,0),
(133210,90194,3,100,'Inflicts 44 - 54 disease damage on target',1,1),
(133211,90194,3,100,'Heals caster for 1.6 - 2.0% of max health',1,2),
(133212,90194,3,100,'This effect cannot be critically applied.',2,3),
(133213,90194,3,100,'Grants a total of 5 triggers of the spell.',1,4),
(133214,90194,3,100,'Grants a total of 5 triggers of the spell.',1,5),
(133215,90194,4,100,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',0,0),
(133216,90194,4,100,'Inflicts 48 - 59 disease damage on target',1,1),
(133217,90194,4,100,'Heals caster for 1.8 - 2.2% of max health',1,2),
(133218,90194,4,100,'This effect cannot be critically applied.',2,3),
(133219,90194,4,100,'Grants a total of 5 triggers of the spell.',1,4),
(133220,90194,4,100,'Grants a total of 5 triggers of the spell.',1,5),
(133221,90194,5,100,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',0,0),
(133222,90194,5,100,'Inflicts 53 - 65 disease damage on target',1,1),
(133223,90194,5,100,'Heals caster for 1.9 - 2.4% of max health',1,2),
(133224,90194,5,100,'This effect cannot be critically applied.',2,3),
(133225,90194,5,100,'Grants a total of 5 triggers of the spell.',1,4),
(133226,90194,5,100,'Grants a total of 5 triggers of the spell.',1,5),
(133227,90194,7,100,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',0,0),
(133228,90194,7,100,'Inflicts 68 - 83 disease damage on target',1,1),
(133229,90194,7,100,'Heals caster for 2.5 - 3.0% of max health',1,2),
(133230,90194,7,100,'This effect cannot be critically applied.',2,3),
(133231,90194,7,100,'Grants a total of 5 triggers of the spell.',1,4),
(133232,90194,7,100,'Grants a total of 5 triggers of the spell.',1,5),
(133233,90194,9,100,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',0,0),
(133234,90194,9,100,'Inflicts 70 - 86 disease damage on target',1,1),
(133235,90194,9,100,'Heals caster for 2.6 - 3.1% of max health',1,2),
(133236,90194,9,100,'This effect cannot be critically applied.',2,3),
(133237,90194,9,100,'Grants a total of 5 triggers of the spell.',1,4),
(133238,90194,9,100,'Grants a total of 5 triggers of the spell.',1,5),
(133239,90194,10,100,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',0,0),
(133240,90194,10,100,'Inflicts 74 - 90 disease damage on target',1,1),
(133241,90194,10,100,'Heals caster for 2.7 - 3.3% of max health',1,2),
(133242,90194,10,100,'This effect cannot be critically applied.',2,3),
(133243,90194,10,100,'Grants a total of 5 triggers of the spell.',1,4),
(133244,90194,10,100,'Grants a total of 5 triggers of the spell.',1,5),
(133245,90195,1,100,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',0,0),
(133246,90195,1,100,'Inflicts 58 - 71 disease damage on target',1,1),
(133247,90195,1,100,'Heals caster for 1.5 - 1.8% of max health',1,2),
(133248,90195,1,100,'This effect cannot be critically applied.',2,3),
(133249,90195,1,100,'Grants a total of 5 triggers of the spell.',1,4),
(133250,90195,1,100,'Grants a total of 5 triggers of the spell.',1,5),
(133251,90195,2,100,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',0,0),
(133252,90195,2,100,'Inflicts 62 - 75 disease damage on target',1,1),
(133253,90195,2,100,'Heals caster for 1.6 - 1.9% of max health',1,2),
(133254,90195,2,100,'This effect cannot be critically applied.',2,3),
(133255,90195,2,100,'Grants a total of 5 triggers of the spell.',1,4),
(133256,90195,2,100,'Grants a total of 5 triggers of the spell.',1,5),
(133257,90195,3,100,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',0,0),
(133258,90195,3,100,'Inflicts 65 - 79 disease damage on target',1,1),
(133259,90195,3,100,'Heals caster for 1.6 - 2.0% of max health',1,2),
(133260,90195,3,100,'This effect cannot be critically applied.',2,3),
(133261,90195,3,100,'Grants a total of 5 triggers of the spell.',1,4),
(133262,90195,3,100,'Grants a total of 5 triggers of the spell.',1,5),
(133263,90195,4,100,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',0,0),
(133264,90195,4,100,'Inflicts 71 - 87 disease damage on target',1,1),
(133265,90195,4,100,'Heals caster for 1.8 - 2.2% of max health',1,2),
(133266,90195,4,100,'This effect cannot be critically applied.',2,3),
(133267,90195,4,100,'Grants a total of 5 triggers of the spell.',1,4),
(133268,90195,4,100,'Grants a total of 5 triggers of the spell.',1,5),
(133269,90195,5,100,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',0,0),
(133270,90195,5,100,'Inflicts 78 - 95 disease damage on target',1,1),
(133271,90195,5,100,'Heals caster for 2.0 - 2.4% of max health',1,2),
(133272,90195,5,100,'This effect cannot be critically applied.',2,3),
(133273,90195,5,100,'Grants a total of 5 triggers of the spell.',1,4),
(133274,90195,5,100,'Grants a total of 5 triggers of the spell.',1,5),
(133275,90195,7,100,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',0,0),
(133276,90195,7,100,'Inflicts 100 - 122 disease damage on target',1,1),
(133277,90195,7,100,'Heals caster for 2.5 - 3.1% of max health',1,2),
(133278,90195,7,100,'This effect cannot be critically applied.',2,3),
(133279,90195,7,100,'Grants a total of 5 triggers of the spell.',1,4),
(133280,90195,7,100,'Grants a total of 5 triggers of the spell.',1,5),
(133281,90195,9,100,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',0,0),
(133282,90195,9,100,'Inflicts 104 - 127 disease damage on target',1,1),
(133283,90195,9,100,'Heals caster for 2.6 - 3.2% of max health',1,2),
(133284,90195,9,100,'This effect cannot be critically applied.',2,3),
(133285,90195,9,100,'Grants a total of 5 triggers of the spell.',1,4),
(133286,90195,9,100,'Grants a total of 5 triggers of the spell.',1,5),
(133287,90196,1,100,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',0,0),
(133288,90196,1,100,'Inflicts 77 - 94 disease damage on target',1,1),
(133289,90196,1,100,'Heals caster for 1.5 - 1.8% of max health',1,2),
(133290,90196,1,100,'This effect cannot be critically applied.',2,3),
(133291,90196,1,100,'Grants a total of 5 triggers of the spell.',1,4),
(133292,90196,1,100,'Grants a total of 5 triggers of the spell.',1,5),
(133293,90196,2,100,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',0,0),
(133294,90196,2,100,'Inflicts 81 - 99 disease damage on target',1,1),
(133295,90196,2,100,'Heals caster for 1.6 - 1.9% of max health',1,2),
(133296,90196,2,100,'This effect cannot be critically applied.',2,3),
(133297,90196,2,100,'Grants a total of 5 triggers of the spell.',1,4),
(133298,90196,2,100,'Grants a total of 5 triggers of the spell.',1,5),
(133299,90196,3,100,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',0,0),
(133300,90196,3,100,'Inflicts 86 - 105 disease damage on target',1,1),
(133301,90196,3,100,'Heals caster for 1.7 - 2.0% of max health',1,2),
(133302,90196,3,100,'This effect cannot be critically applied.',2,3),
(133303,90196,3,100,'Grants a total of 5 triggers of the spell.',1,4),
(133304,90196,3,100,'Grants a total of 5 triggers of the spell.',1,5),
(133305,90196,4,100,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',0,0),
(133306,90196,4,100,'Inflicts 94 - 115 disease damage on target',1,1),
(133307,90196,4,100,'Heals caster for 1.8 - 2.2% of max health',1,2),
(133308,90196,4,100,'This effect cannot be critically applied.',2,3),
(133309,90196,4,100,'Grants a total of 5 triggers of the spell.',1,4),
(133310,90196,4,100,'Grants a total of 5 triggers of the spell.',1,5),
(133311,90196,5,100,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',0,0),
(133312,90196,5,100,'Inflicts 103 - 126 disease damage on target',1,1),
(133313,90196,5,100,'Heals caster for 2.0 - 2.4% of max health',1,2),
(133314,90196,5,100,'This effect cannot be critically applied.',2,3),
(133315,90196,5,100,'Grants a total of 5 triggers of the spell.',1,4),
(133316,90196,5,100,'Grants a total of 5 triggers of the spell.',1,5),
(133317,90196,7,100,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',0,0),
(133318,90196,7,100,'Inflicts 132 - 161 disease damage on target',1,1),
(133319,90196,7,100,'Heals caster for 2.6 - 3.1% of max health',1,2),
(133320,90196,7,100,'This effect cannot be critically applied.',2,3),
(133321,90196,7,100,'Grants a total of 5 triggers of the spell.',1,4),
(133322,90196,7,100,'Grants a total of 5 triggers of the spell.',1,5),
(133323,90196,9,100,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',0,0),
(133324,90196,9,100,'Inflicts 137 - 168 disease damage on target',1,1),
(133325,90196,9,100,'Heals caster for 2.7 - 3.3% of max health',1,2),
(133326,90196,9,100,'This effect cannot be critically applied.',2,3),
(133327,90196,9,100,'Grants a total of 5 triggers of the spell.',1,4),
(133328,90196,9,100,'Grants a total of 5 triggers of the spell.',1,5),
(133329,90197,1,100,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',0,0),
(133330,90197,1,100,'Inflicts 95 - 116 disease damage on target',1,1),
(133331,90197,1,100,'Heals caster for 1.5 - 1.9% of max health',1,2),
(133332,90197,1,100,'This effect cannot be critically applied.',2,3),
(133333,90197,1,100,'Grants a total of 5 triggers of the spell.',1,4),
(133334,90197,1,100,'Grants a total of 5 triggers of the spell.',1,5),
(133335,90197,2,100,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',0,0),
(133336,90197,2,100,'Inflicts 100 - 123 disease damage on target',1,1),
(133337,90197,2,100,'Heals caster for 1.6 - 2.0% of max health',1,2),
(133338,90197,2,100,'This effect cannot be critically applied.',2,3),
(133339,90197,2,100,'Grants a total of 5 triggers of the spell.',1,4),
(133340,90197,2,100,'Grants a total of 5 triggers of the spell.',1,5),
(133341,90197,3,100,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',0,0),
(133342,90197,3,100,'Inflicts 106 - 129 disease damage on target',1,1),
(133343,90197,3,100,'Heals caster for 1.7 - 2.1% of max health',1,2),
(133344,90197,3,100,'This effect cannot be critically applied.',2,3),
(133345,90197,3,100,'Grants a total of 5 triggers of the spell.',1,4),
(133346,90197,3,100,'Grants a total of 5 triggers of the spell.',1,5),
(133347,90197,4,100,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',0,0),
(133348,90197,4,100,'Inflicts 116 - 142 disease damage on target',1,1),
(133349,90197,4,100,'Heals caster for 1.9 - 2.3% of max health',1,2),
(133350,90197,4,100,'This effect cannot be critically applied.',2,3),
(133351,90197,4,100,'Grants a total of 5 triggers of the spell.',1,4),
(133352,90197,4,100,'Grants a total of 5 triggers of the spell.',1,5),
(133353,90197,5,100,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',0,0),
(133354,90197,5,100,'Inflicts 127 - 155 disease damage on target',1,1),
(133355,90197,5,100,'Heals caster for 2.0 - 2.5% of max health',1,2),
(133356,90197,5,100,'This effect cannot be critically applied.',2,3),
(133357,90197,5,100,'Grants a total of 5 triggers of the spell.',1,4),
(133358,90197,5,100,'Grants a total of 5 triggers of the spell.',1,5),
(133359,90197,7,100,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',0,0),
(133360,90197,7,100,'Inflicts 163 - 199 disease damage on target',1,1),
(133361,90197,7,100,'Heals caster for 2.6 - 3.2% of max health',1,2),
(133362,90197,7,100,'This effect cannot be critically applied.',2,3),
(133363,90197,7,100,'Grants a total of 5 triggers of the spell.',1,4),
(133364,90197,7,100,'Grants a total of 5 triggers of the spell.',1,5),
(133365,90197,9,100,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',0,0),
(133366,90197,9,100,'Inflicts 169 - 206 disease damage on target',1,1),
(133367,90197,9,100,'Heals caster for 2.7 - 3.3% of max health',1,2),
(133368,90197,9,100,'This effect cannot be critically applied.',2,3),
(133369,90197,9,100,'Grants a total of 5 triggers of the spell.',1,4),
(133370,90197,9,100,'Grants a total of 5 triggers of the spell.',1,5),
(133371,90198,1,100,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',0,0),
(133372,90198,1,100,'Inflicts 114 - 140 disease damage on target',1,1),
(133373,90198,1,100,'Heals caster for 1.6 - 1.9% of max health',1,2),
(133374,90198,1,100,'This effect cannot be critically applied.',2,3),
(133375,90198,1,100,'Grants a total of 5 triggers of the spell.',1,4),
(133376,90198,1,100,'Grants a total of 5 triggers of the spell.',1,5),
(133377,90198,4,100,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',0,0),
(133378,90198,4,100,'Inflicts 140 - 171 disease damage on target',1,1),
(133379,90198,4,100,'Heals caster for 1.9 - 2.3% of max health',1,2),
(133380,90198,4,100,'This effect cannot be critically applied.',2,3),
(133381,90198,4,100,'Grants a total of 5 triggers of the spell.',1,4),
(133382,90198,4,100,'Grants a total of 5 triggers of the spell.',1,5),
(133383,90198,5,100,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',0,0),
(133384,90198,5,100,'Inflicts 153 - 186 disease damage on target',1,1),
(133385,90198,5,100,'Heals caster for 2.1 - 2.5% of max health',1,2),
(133386,90198,5,100,'This effect cannot be critically applied.',2,3),
(133387,90198,5,100,'Grants a total of 5 triggers of the spell.',1,4),
(133388,90198,5,100,'Grants a total of 5 triggers of the spell.',1,5),
(133389,90198,7,100,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',0,0),
(133390,90198,7,100,'Inflicts 196 - 239 disease damage on target',1,1),
(133391,90198,7,100,'Heals caster for 2.7 - 3.2% of max health',1,2),
(133392,90198,7,100,'This effect cannot be critically applied.',2,3),
(133393,90198,7,100,'Grants a total of 5 triggers of the spell.',1,4),
(133394,90198,7,100,'Grants a total of 5 triggers of the spell.',1,5),
(133395,90198,9,100,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',0,0),
(133396,90198,9,100,'Inflicts 203 - 249 disease damage on target',1,1),
(133397,90198,9,100,'Heals caster for 2.8 - 3.4% of max health',1,2),
(133398,90198,9,100,'This effect cannot be critically applied.',2,3),
(133399,90198,9,100,'Grants a total of 5 triggers of the spell.',1,4),
(133400,90198,9,100,'Grants a total of 5 triggers of the spell.',1,5),
(133401,90199,1,100,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',0,0),
(133402,90199,1,100,'Inflicts 123 - 150 disease damage on target',1,1),
(133403,90199,1,100,'Heals caster for 1.6 - 1.9% of max health',1,2),
(133404,90199,1,100,'This effect cannot be critically applied.',2,3),
(133405,90199,1,100,'Grants a total of 5 triggers of the spell.',1,4),
(133406,90199,1,100,'Grants a total of 5 triggers of the spell.',1,5),
(133407,90199,4,100,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',0,0),
(133408,90199,4,100,'Inflicts 150 - 183 disease damage on target',1,1),
(133409,90199,4,100,'Heals caster for 1.9 - 2.4% of max health',1,2),
(133410,90199,4,100,'This effect cannot be critically applied.',2,3),
(133411,90199,4,100,'Grants a total of 5 triggers of the spell.',1,4),
(133412,90199,4,100,'Grants a total of 5 triggers of the spell.',1,5),
(133413,90199,5,100,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',0,0),
(133414,90199,5,100,'Inflicts 164 - 200 disease damage on target',1,1),
(133415,90199,5,100,'Heals caster for 2.1 - 2.6% of max health',1,2),
(133416,90199,5,100,'This effect cannot be critically applied.',2,3),
(133417,90199,5,100,'Grants a total of 5 triggers of the spell.',1,4),
(133418,90199,5,100,'Grants a total of 5 triggers of the spell.',1,5),
(133419,90199,7,100,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',0,0),
(133420,90199,7,100,'Inflicts 210 - 257 disease damage on target',1,1),
(133421,90199,7,100,'Heals caster for 2.7 - 3.3% of max health',1,2),
(133422,90199,7,100,'This effect cannot be critically applied.',2,3),
(133423,90199,7,100,'Grants a total of 5 triggers of the spell.',1,4),
(133424,90199,7,100,'Grants a total of 5 triggers of the spell.',1,5),
(133425,90199,9,100,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',0,0),
(133426,90199,9,100,'Inflicts 218 - 267 disease damage on target',1,1),
(133427,90199,9,100,'Heals caster for 2.8 - 3.4% of max health',1,2),
(133428,90199,9,100,'This effect cannot be critically applied.',2,3),
(133429,90199,9,100,'Grants a total of 5 triggers of the spell.',1,4),
(133430,90199,9,100,'Grants a total of 5 triggers of the spell.',1,5),
(133431,300207,1,100,'Increases Max Power of group members (AE) by 20.8',0,0),
(133432,300207,1,100,'Increases Mitigation of group members (AE) vs noxious damage by 79',0,1),
(133433,300207,2,100,'Increases Max Power of group members (AE) by 21.9',0,0),
(133434,300207,2,100,'Increases Mitigation of group members (AE) vs noxious damage by 83',0,1),
(133435,300207,3,100,'Increases Max Power of group members (AE) by 23.1',0,0),
(133436,300207,3,100,'Increases Mitigation of group members (AE) vs noxious damage by 87',0,1),
(133437,300207,4,100,'Increases Max Power of group members (AE) by 25.4',0,0),
(133438,300207,4,100,'Increases Mitigation of group members (AE) vs noxious damage by 96',0,1),
(133439,300207,5,100,'Increases Max Power of group members (AE) by 27.7',0,0),
(133440,300207,5,100,'Increases Mitigation of group members (AE) vs noxious damage by 105',0,1),
(133441,300207,7,100,'Increases Max Power of group members (AE) by 35.6',0,0),
(133442,300207,7,100,'Increases Mitigation of group members (AE) vs noxious damage by 135',0,1),
(133443,300207,9,100,'Increases Max Power of group members (AE) by 37.0',0,0),
(133444,300207,9,100,'Increases Mitigation of group members (AE) vs noxious damage by 140',0,1),
(133445,300208,1,100,'Increases Max Power of group members (AE) by 64.8',0,0),
(133446,300208,1,100,'Increases Mitigation of group members (AE) vs noxious damage by 151',0,1),
(133447,300208,2,100,'Increases Max Power of group members (AE) by 68.4',0,0),
(133448,300208,2,100,'Increases Mitigation of group members (AE) vs noxious damage by 160',0,1),
(133449,300208,3,100,'Increases Max Power of group members (AE) by 72.0',0,0),
(133450,300208,3,100,'Increases Mitigation of group members (AE) vs noxious damage by 168',0,1),
(133451,300208,4,100,'Increases Max Power of group members (AE) by 79.2',0,0),
(133452,300208,4,100,'Increases Mitigation of group members (AE) vs noxious damage by 185',0,1),
(133453,300208,5,100,'Increases Max Power of group members (AE) by 86.4',0,0),
(133454,300208,5,100,'Increases Mitigation of group members (AE) vs noxious damage by 202',0,1),
(133455,300208,7,100,'Increases Max Power of group members (AE) by 110.9',0,0),
(133456,300208,7,100,'Increases Mitigation of group members (AE) vs noxious damage by 259',0,1),
(133457,300208,9,100,'Increases Max Power of group members (AE) by 115.2',0,0),
(133458,300208,9,100,'Increases Mitigation of group members (AE) vs noxious damage by 269',0,1),
(133459,300208,10,100,'Increases Max Power of group members (AE) by 121.0',0,0),
(133460,300208,10,100,'Increases Mitigation of group members (AE) vs noxious damage by 282',0,1),
(133461,300209,1,100,'Increases Max Power of group members (AE) by 148.5',0,0),
(133462,300209,1,100,'Increases Mitigation of group members (AE) vs noxious damage by 252',0,1),
(133463,300209,2,100,'Increases Max Power of group members (AE) by 156.8',0,0),
(133464,300209,2,100,'Increases Mitigation of group members (AE) vs noxious damage by 266',0,1),
(133465,300209,3,100,'Increases Max Power of group members (AE) by 165.0',0,0),
(133466,300209,3,100,'Increases Mitigation of group members (AE) vs noxious damage by 280',0,1),
(133467,300209,4,100,'Increases Max Power of group members (AE) by 181.5',0,0),
(133468,300209,4,100,'Increases Mitigation of group members (AE) vs noxious damage by 308',0,1),
(133469,300209,5,100,'Increases Max Power of group members (AE) by 198.0',0,0),
(133470,300209,5,100,'Increases Mitigation of group members (AE) vs noxious damage by 336',0,1),
(133471,300209,7,100,'Increases Max Power of group members (AE) by 254.1',0,0),
(133472,300209,7,100,'Increases Mitigation of group members (AE) vs noxious damage by 431',0,1),
(133473,300209,9,100,'Increases Max Power of group members (AE) by 264.0',0,0),
(133474,300209,9,100,'Increases Mitigation of group members (AE) vs noxious damage by 448',0,1),
(133475,300210,1,100,'Increases Max Power of group members (AE) by 227.3',0,0),
(133476,300210,1,100,'Increases Mitigation of group members (AE) vs noxious damage by 353',0,1),
(133477,300210,2,100,'Increases Max Power of group members (AE) by 240.0',0,0),
(133478,300210,2,100,'Increases Mitigation of group members (AE) vs noxious damage by 372',0,1),
(133479,300210,3,100,'Increases Max Power of group members (AE) by 252.6',0,0),
(133480,300210,3,100,'Increases Mitigation of group members (AE) vs noxious damage by 392',0,1),
(133481,300210,4,100,'Increases Max Power of group members (AE) by 277.9',0,0),
(133482,300210,4,100,'Increases Mitigation of group members (AE) vs noxious damage by 431',0,1),
(133483,300210,5,100,'Increases Max Power of group members (AE) by 303.1',0,0),
(133484,300210,5,100,'Increases Mitigation of group members (AE) vs noxious damage by 470',0,1),
(133485,300210,7,100,'Increases Max Power of group members (AE) by 389.0',0,0),
(133486,300210,7,100,'Increases Mitigation of group members (AE) vs noxious damage by 604',0,1),
(133487,300210,9,100,'Increases Max Power of group members (AE) by 404.2',0,0),
(133488,300210,9,100,'Increases Mitigation of group members (AE) vs noxious damage by 627',0,1),
(133489,300211,1,100,'Increases Max Power of group members (AE) by 293.7',0,0),
(133490,300211,1,100,'Increases Mitigation of group members (AE) vs noxious damage by 454',0,1),
(133491,300211,2,100,'Increases Max Power of group members (AE) by 310.0',0,0),
(133492,300211,2,100,'Increases Mitigation of group members (AE) vs noxious damage by 479',0,1),
(133493,300211,3,100,'Increases Max Power of group members (AE) by 326.3',0,0),
(133494,300211,3,100,'Increases Mitigation of group members (AE) vs noxious damage by 504',0,1),
(133495,300211,4,100,'Increases Max Power of group members (AE) by 359.0',0,0),
(133496,300211,4,100,'Increases Mitigation of group members (AE) vs noxious damage by 554',0,1),
(133497,300211,5,100,'Increases Max Power of group members (AE) by 391.6',0,0),
(133498,300211,5,100,'Increases Mitigation of group members (AE) vs noxious damage by 605',0,1),
(133499,300211,7,100,'Increases Max Power of group members (AE) by 502.6',0,0),
(133500,300211,7,100,'Increases Mitigation of group members (AE) vs noxious damage by 776',0,1),
(133501,300211,9,100,'Increases Max Power of group members (AE) by 522.1',0,0),
(133502,300211,9,100,'Increases Mitigation of group members (AE) vs noxious damage by 806',0,1),
(133503,300212,1,100,'Increases Max Power of group members (AE) by 349.6',0,0),
(133504,300212,1,100,'Increases Mitigation of group members (AE) vs noxious damage by 567',0,1),
(133505,300212,2,100,'Increases Max Power of group members (AE) by 369.1',0,0),
(133506,300212,2,100,'Increases Mitigation of group members (AE) vs noxious damage by 599',0,1),
(133507,300212,3,100,'Increases Max Power of group members (AE) by 388.5',0,0),
(133508,300212,3,100,'Increases Mitigation of group members (AE) vs noxious damage by 630',0,1),
(133509,300212,4,100,'Increases Max Power of group members (AE) by 427.4',0,0),
(133510,300212,4,100,'Increases Mitigation of group members (AE) vs noxious damage by 693',0,1),
(133511,300212,5,100,'Increases Max Power of group members (AE) by 466.2',0,0),
(133512,300212,5,100,'Increases Mitigation of group members (AE) vs noxious damage by 756',0,1),
(133513,300212,7,100,'Increases Max Power of group members (AE) by 598.3',0,0),
(133514,300212,7,100,'Increases Mitigation of group members (AE) vs noxious damage by 970',0,1),
(133515,300212,9,100,'Increases Max Power of group members (AE) by 621.6',0,0),
(133516,300212,9,100,'Increases Mitigation of group members (AE) vs noxious damage by 1008',0,1),
(133517,300212,10,100,'Increases Max Power of group members (AE) by 652.7',0,0),
(133518,300212,10,100,'Increases Mitigation of group members (AE) vs noxious damage by 1058',0,1),
(133519,300213,1,100,'Increases Max Power of group members (AE) by 396.3',0,0),
(133520,300213,1,100,'Increases Mitigation of group members (AE) vs noxious damage by 658',0,1),
(133521,300213,4,100,'Increases Max Power of group members (AE) by 484.3',0,0),
(133522,300213,4,100,'Increases Mitigation of group members (AE) vs noxious damage by 804',0,1),
(133523,300213,5,100,'Increases Max Power of group members (AE) by 528.4',0,0),
(133524,300213,5,100,'Increases Mitigation of group members (AE) vs noxious damage by 877',0,1),
(133525,300213,7,100,'Increases Max Power of group members (AE) by 678.1',0,0),
(133526,300213,7,100,'Increases Mitigation of group members (AE) vs noxious damage by 1126',0,1),
(133527,300213,9,100,'Increases Max Power of group members (AE) by 704.5',0,0),
(133528,300213,9,100,'Increases Mitigation of group members (AE) vs noxious damage by 1170',0,1),
(133529,300214,1,100,'Increases Max Power of group members (AE) by 442.9',0,0),
(133530,300214,1,100,'Increases Mitigation of group members (AE) vs noxious damage by 752',0,1),
(133531,300214,4,100,'Increases Max Power of group members (AE) by 541.3',0,0),
(133532,300214,4,100,'Increases Mitigation of group members (AE) vs noxious damage by 920',0,1),
(133533,300214,5,100,'Increases Max Power of group members (AE) by 590.5',0,0),
(133534,300214,5,100,'Increases Mitigation of group members (AE) vs noxious damage by 1003',0,1),
(133535,300214,7,100,'Increases Max Power of group members (AE) by 757.8',0,0),
(133536,300214,7,100,'Increases Mitigation of group members (AE) vs noxious damage by 1287',0,1),
(133537,300214,9,100,'Increases Max Power of group members (AE) by 787.4',0,0),
(133538,300214,9,100,'Increases Mitigation of group members (AE) vs noxious damage by 1338',0,1),
(133539,90200,1,100,'Increases STA of raid and group members (AE) by 9.2',0,0),
(133540,90200,1,100,'Increase spell damage of group and raid members by 2.82%.',0,1),
(133541,90200,2,100,'Increases STA of raid and group members (AE) by 9.7',0,0),
(133542,90200,2,100,'Increase spell damage of group and raid members by 2.97%.',0,1),
(133543,90200,3,100,'Increases STA of raid and group members (AE) by 10.2',0,0),
(133544,90200,3,100,'Increase spell damage of group and raid members by 3.13%.',0,1),
(133545,90200,4,100,'Increases STA of raid and group members (AE) by 11.2',0,0),
(133546,90200,4,100,'Increase spell damage of group and raid members by 3.44%.',0,1),
(133547,90200,5,100,'Increases STA of raid and group members (AE) by 12.3',0,0),
(133548,90200,5,100,'Increase spell damage of group and raid members by 3.75%.',0,1),
(133549,90200,7,100,'Increases STA of raid and group members (AE) by 15.7',0,0),
(133550,90200,7,100,'Increase spell damage of group and raid members by 4.82%.',0,1),
(133551,90200,9,100,'Increases STA of raid and group members (AE) by 16.4',0,0),
(133552,90200,9,100,'Increase spell damage of group and raid members by 5%.',0,1),
(133553,90201,1,100,'Increases STA of raid and group members (AE) by 16.0',0,0),
(133554,90201,1,100,'Increase spell damage of group and raid members by 2.82%.',0,1),
(133555,90201,2,100,'Increases STA of raid and group members (AE) by 16.9',0,0),
(133556,90201,2,100,'Increase spell damage of group and raid members by 2.97%.',0,1),
(133557,90201,3,100,'Increases STA of raid and group members (AE) by 17.8',0,0),
(133558,90201,3,100,'Increase spell damage of group and raid members by 3.13%.',0,1),
(133559,90201,4,100,'Increases STA of raid and group members (AE) by 19.6',0,0),
(133560,90201,4,100,'Increase spell damage of group and raid members by 3.44%.',0,1),
(133561,90201,5,100,'Increases STA of raid and group members (AE) by 21.3',0,0),
(133562,90201,5,100,'Increase spell damage of group and raid members by 3.75%.',0,1),
(133563,90201,7,100,'Increases STA of raid and group members (AE) by 27.4',0,0),
(133564,90201,7,100,'Increase spell damage of group and raid members by 4.82%.',0,1),
(133565,90201,9,100,'Increases STA of raid and group members (AE) by 28.4',0,0),
(133566,90201,9,100,'Increase spell damage of group and raid members by 5%.',0,1),
(133567,90201,10,100,'Increases STA of raid and group members (AE) by 29.9',0,0),
(133568,90201,10,100,'Increase spell damage of group and raid members by 5.26%.',0,1),
(133569,90202,1,100,'Increases STA of raid and group members (AE) by 23.1',0,0),
(133570,90202,1,100,'Increase spell damage of group and raid members by 2.82%.',0,1),
(133571,90202,2,100,'Increases STA of raid and group members (AE) by 24.3',0,0),
(133572,90202,2,100,'Increase spell damage of group and raid members by 2.97%.',0,1),
(133573,90202,3,100,'Increases STA of raid and group members (AE) by 25.6',0,0),
(133574,90202,3,100,'Increase spell damage of group and raid members by 3.13%.',0,1),
(133575,90202,4,100,'Increases STA of raid and group members (AE) by 28.2',0,0),
(133576,90202,4,100,'Increase spell damage of group and raid members by 3.44%.',0,1),
(133577,90202,5,100,'Increases STA of raid and group members (AE) by 30.7',0,0),
(133578,90202,5,100,'Increase spell damage of group and raid members by 3.75%.',0,1),
(133579,90202,7,100,'Increases STA of raid and group members (AE) by 39.5',0,0),
(133580,90202,7,100,'Increase spell damage of group and raid members by 4.82%.',0,1),
(133581,90202,9,100,'Increases STA of raid and group members (AE) by 41.0',0,0),
(133582,90202,9,100,'Increase spell damage of group and raid members by 5%.',0,1),
(133583,90203,1,100,'Increases STA of raid and group members (AE) by 30.1',0,0),
(133584,90203,1,100,'Increase spell damage of group and raid members by 2.82%.',0,1),
(133585,90203,2,100,'Increases STA of raid and group members (AE) by 31.8',0,0),
(133586,90203,2,100,'Increase spell damage of group and raid members by 2.97%.',0,1),
(133587,90203,3,100,'Increases STA of raid and group members (AE) by 33.5',0,0),
(133588,90203,3,100,'Increase spell damage of group and raid members by 3.13%.',0,1),
(133589,90203,4,100,'Increases STA of raid and group members (AE) by 36.8',0,0),
(133590,90203,4,100,'Increase spell damage of group and raid members by 3.44%.',0,1),
(133591,90203,5,100,'Increases STA of raid and group members (AE) by 40.2',0,0),
(133592,90203,5,100,'Increase spell damage of group and raid members by 3.75%.',0,1),
(133593,90203,7,100,'Increases STA of raid and group members (AE) by 51.5',0,0),
(133594,90203,7,100,'Increase spell damage of group and raid members by 4.82%.',0,1),
(133595,90203,9,100,'Increases STA of raid and group members (AE) by 53.5',0,0),
(133596,90203,9,100,'Increase spell damage of group and raid members by 5%.',0,1),
(133597,90204,1,100,'Increases STA of raid and group members (AE) by 36.7',0,0),
(133598,90204,1,100,'Increase spell damage of group and raid members by 2.82%.',0,1),
(133599,90204,2,100,'Increases STA of raid and group members (AE) by 38.8',0,0),
(133600,90204,2,100,'Increase spell damage of group and raid members by 2.97%.',0,1),
(133601,90204,3,100,'Increases STA of raid and group members (AE) by 40.8',0,0),
(133602,90204,3,100,'Increase spell damage of group and raid members by 3.13%.',0,1),
(133603,90204,4,100,'Increases STA of raid and group members (AE) by 44.9',0,0),
(133604,90204,4,100,'Increase spell damage of group and raid members by 3.44%.',0,1),
(133605,90204,5,100,'Increases STA of raid and group members (AE) by 49.0',0,0),
(133606,90204,5,100,'Increase spell damage of group and raid members by 3.75%.',0,1),
(133607,90204,7,100,'Increases STA of raid and group members (AE) by 62.8',0,0),
(133608,90204,7,100,'Increase spell damage of group and raid members by 4.82%.',0,1),
(133609,90204,9,100,'Increases STA of raid and group members (AE) by 65.3',0,0),
(133610,90204,9,100,'Increase spell damage of group and raid members by 5%.',0,1),
(133611,90205,1,100,'Increases STA of raid and group members (AE) by 44.4',0,0),
(133612,90205,1,100,'Increase spell damage of group and raid members by 2.82%.',0,1),
(133613,90205,4,100,'Increases STA of raid and group members (AE) by 54.2',0,0),
(133614,90205,4,100,'Increase spell damage of group and raid members by 3.44%.',0,1),
(133615,90205,5,100,'Increases STA of raid and group members (AE) by 59.1',0,0),
(133616,90205,5,100,'Increase spell damage of group and raid members by 3.75%.',0,1),
(133617,90205,7,100,'Increases STA of raid and group members (AE) by 75.9',0,0),
(133618,90205,7,100,'Increase spell damage of group and raid members by 4.82%.',0,1),
(133619,90205,9,100,'Increases STA of raid and group members (AE) by 78.8',0,0),
(133620,90205,9,100,'Increase spell damage of group and raid members by 5%.',0,1),
(133621,90206,1,100,'Increases STA of raid and group members (AE) by 51.3',0,0),
(133622,90206,1,100,'Increase spell damage of group and raid members by 2.82%.',0,1),
(133623,90206,4,100,'Increases STA of raid and group members (AE) by 62.7',0,0),
(133624,90206,4,100,'Increase spell damage of group and raid members by 3.44%.',0,1),
(133625,90206,5,100,'Increases STA of raid and group members (AE) by 68.4',0,0),
(133626,90206,5,100,'Increase spell damage of group and raid members by 3.75%.',0,1),
(133627,90206,7,100,'Increases STA of raid and group members (AE) by 87.7',0,0),
(133628,90206,7,100,'Increase spell damage of group and raid members by 4.82%.',0,1),
(133629,90206,9,100,'Increases STA of raid and group members (AE) by 91.2',0,0),
(133630,90206,9,100,'Increase spell damage of group and raid members by 5%.',0,1),
(133631,300215,1,100,'Grants See Invisibility to group members (AE)',0,0),
(133632,300215,1,100,'Grants Ultravision to group members (AE)',0,1),
(133633,300216,5,100,'Increases Max Health of target by 12.0%',0,0),
(133634,300216,5,100,'Increases Mitigation of target vs physical damage by 312',0,1),
(133635,300217,5,100,'Increases Max Health of target by 12.0%',0,0),
(133636,300217,5,100,'Increases Mitigation of target vs physical damage by 454',0,1),
(133637,300218,5,100,'Increases Max Health of target by 12.0%',0,0),
(133638,300218,5,100,'Increases Mitigation of target vs physical damage by 312',0,1),
(133639,300216,7,100,'Increases Max Health of target by 15.4%',0,0),
(133640,300216,7,100,'Increases Mitigation of target vs physical damage by 400',0,1),
(133641,300217,7,100,'Increases Max Health of target by 15.4%',0,0),
(133642,300217,7,100,'Increases Mitigation of target vs physical damage by 582',0,1),
(133643,300218,7,100,'Increases Max Health of target by 15.4%',0,0),
(133644,300218,7,100,'Increases Mitigation of target vs physical damage by 400',0,1),
(133645,300216,9,100,'Increases Max Health of target by 16.0%',0,0),
(133646,300216,9,100,'Increases Mitigation of target vs physical damage by 416',0,1),
(133647,300218,9,100,'Increases Max Health of target by 16.0%',0,0),
(133648,300218,9,100,'Increases Mitigation of target vs physical damage by 416',0,1),
(133649,300217,9,100,'Increases Max Health of target by 16.0%',0,0),
(133650,300217,9,100,'Increases Mitigation of target vs physical damage by 605',0,1),
(133651,300216,10,100,'Increases Max Health of target by 16.8%',0,0),
(133652,300216,10,100,'Increases Mitigation of target vs physical damage by 437',0,1),
(133653,300217,10,100,'Increases Max Health of target by 16.8%',0,0),
(133654,300217,10,100,'Increases Mitigation of target vs physical damage by 635',0,1),
(133655,130159,1,100,'Summons a pet hammer',0,0),
(133656,130159,2,100,'Summons a pet hammer',0,0),
(133657,130159,3,100,'Summons a pet hammer',0,0),
(133658,130159,4,100,'Summons a pet hammer',0,0),
(133659,130159,5,100,'Summons a pet hammer',0,0),
(133660,130159,7,100,'Summons a pet hammer',0,0),
(133661,130159,9,100,'Summons a pet hammer',0,0),
(133662,130160,1,100,'Summons a pet hammer',0,0),
(133663,130160,2,100,'Summons a pet hammer',0,0),
(133664,130160,3,100,'Summons a pet hammer',0,0),
(133665,130160,4,100,'Summons a pet hammer',0,0),
(133666,130160,5,100,'Summons a pet hammer',0,0),
(133667,130160,7,100,'Summons a pet hammer',0,0),
(133668,130160,9,100,'Summons a pet hammer',0,0),
(133669,130161,1,100,'Summons a pet hammer',0,0),
(133670,130161,4,100,'Summons a pet hammer',0,0),
(133671,130161,5,100,'Summons a pet hammer',0,0),
(133672,130161,7,100,'Summons a pet hammer',0,0),
(133673,130161,9,100,'Summons a pet hammer',0,0),
(133674,130162,1,100,'Summons a pet hammer',0,0),
(133675,130162,4,100,'Summons a pet hammer',0,0),
(133676,130162,5,100,'Summons a pet hammer',0,0),
(133677,130162,7,100,'Summons a pet hammer',0,0),
(133678,130162,9,100,'Summons a pet hammer',0,0),
(133679,170200,1,100,'Heals group members (AE) for 97 - 119',0,0),
(133680,170200,2,100,'Heals group members (AE) for 102 - 125',0,0),
(133681,170200,3,100,'Heals group members (AE) for 108 - 132',0,0),
(133682,170200,4,100,'Heals group members (AE) for 119 - 145',0,0),
(133683,170200,5,100,'Heals group members (AE) for 129 - 158',0,0),
(133684,170200,7,100,'Heals group members (AE) for 166 - 203',0,0),
(133685,170200,9,100,'Heals group members (AE) for 172 - 211',0,0),
(133686,170201,1,100,'Heals group members (AE) for 205 - 251',0,0),
(133687,170201,2,100,'Heals group members (AE) for 216 - 264',0,0),
(133688,170201,3,100,'Heals group members (AE) for 228 - 278',0,0),
(133689,170201,4,100,'Heals group members (AE) for 251 - 306',0,0),
(133690,170201,5,100,'Heals group members (AE) for 273 - 334',0,0),
(133691,170201,7,100,'Heals group members (AE) for 351 - 429',0,0),
(133692,170201,9,100,'Heals group members (AE) for 364 - 445',0,0),
(133693,170202,1,100,'Heals group members (AE) for 325 - 398',0,0),
(133694,170202,2,100,'Heals group members (AE) for 344 - 420',0,0),
(133695,170202,3,100,'Heals group members (AE) for 362 - 442',0,0),
(133696,170202,4,100,'Heals group members (AE) for 398 - 486',0,0),
(133697,170202,5,100,'Heals group members (AE) for 434 - 530',0,0),
(133698,170202,7,100,'Heals group members (AE) for 557 - 681',0,0),
(133699,170202,9,100,'Heals group members (AE) for 579 - 707',0,0),
(133700,170203,1,100,'Heals group members (AE) for 471 - 576',0,0),
(133701,170203,2,100,'Heals group members (AE) for 497 - 608',0,0),
(133702,170203,3,100,'Heals group members (AE) for 523 - 640',0,0),
(133703,170203,4,100,'Heals group members (AE) for 576 - 703',0,0),
(133704,170203,5,100,'Heals group members (AE) for 628 - 767',0,0),
(133705,170203,7,100,'Heals group members (AE) for 806 - 985',0,0),
(133706,170203,9,100,'Heals group members (AE) for 837 - 1023',0,0),
(133707,170204,1,100,'Heals group members (AE) for 616 - 753',0,0),
(133708,170204,2,100,'Heals group members (AE) for 651 - 795',0,0),
(133709,170204,3,100,'Heals group members (AE) for 685 - 837',0,0),
(133710,170204,4,100,'Heals group members (AE) for 753 - 921',0,0),
(133711,170204,5,100,'Heals group members (AE) for 822 - 1004',0,0),
(133712,170204,7,100,'Heals group members (AE) for 1055 - 1289',0,0),
(133713,170204,9,100,'Heals group members (AE) for 1096 - 1339',0,0),
(133714,170205,1,100,'Heals group members (AE) for 831 - 1016',0,0),
(133715,170205,2,100,'Heals group members (AE) for 877 - 1072',0,0),
(133716,170205,3,100,'Heals group members (AE) for 923 - 1129',0,0),
(133717,170205,4,100,'Heals group members (AE) for 1016 - 1241',0,0),
(133718,170205,5,100,'Heals group members (AE) for 1108 - 1354',0,0),
(133719,170205,7,100,'Heals group members (AE) for 1422 - 1738',0,0),
(133720,170205,9,100,'Heals group members (AE) for 1477 - 1806',0,0),
(133721,170206,1,100,'Heals group members (AE) for 990 - 1210',0,0),
(133722,170206,4,100,'Heals group members (AE) for 1210 - 1479',0,0),
(133723,170206,5,100,'Heals group members (AE) for 1320 - 1614',0,0),
(133724,170206,7,100,'Heals group members (AE) for 1695 - 2071',0,0),
(133725,170206,9,100,'Heals group members (AE) for 1761 - 2152',0,0),
(133726,170207,1,100,'Heals group members (AE) for 1039 - 1270',0,0),
(133727,170207,4,100,'Heals group members (AE) for 1270 - 1552',0,0),
(133728,170207,5,100,'Heals group members (AE) for 1385 - 1693',0,0),
(133729,170207,7,100,'Heals group members (AE) for 1778 - 2173',0,0),
(133730,170207,9,100,'Heals group members (AE) for 1847 - 2257',0,0),
(133731,170208,1,100,'Grants invisibility to group members (AE)',0,0),
(133732,170208,1,100,'Suspends group members (AE)''s movement speed enhancements',0,1),
(133733,170208,1,100,'Dispelled when target takes damage',0,2),
(133734,170208,1,100,'This effect cancels during combat',0,3),
(133735,270177,1,100,'Grants See Invisibility to group members (AE)',0,0),
(133736,270177,1,100,'Grants Ultravision to group members (AE)',0,1),
(133737,130163,1,100,'When damaged with a melee weapon this spell has a 4.5% chance to cast Divine Shield on caster.  Lasts for 10.0 seconds.  ',0,0),
(133738,130163,1,100,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',1,1),
(133739,130163,2,100,'When damaged with a melee weapon this spell has a 5% chance to cast Divine Shield on caster.  Lasts for 10.0 seconds.  ',0,0),
(133740,130163,2,100,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',1,1),
(133741,130163,3,100,'When damaged with a melee weapon this spell has a 5.5% chance to cast Divine Shield on caster.  Lasts for 10.0 seconds.  ',0,0),
(133742,130163,3,100,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',1,1),
(133743,130163,4,100,'When damaged with a melee weapon this spell has a 6% chance to cast Divine Shield on caster.  Lasts for 10.0 seconds.  ',0,0),
(133744,130163,4,100,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',1,1),
(133745,130163,5,100,'When damaged with a melee weapon this spell has a 6.5% chance to cast Divine Shield on caster.  Lasts for 10.0 seconds.  ',0,0),
(133746,130163,5,100,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',1,1),
(133747,130163,7,100,'When damaged with a melee weapon this spell has a 7.5% chance to cast Divine Shield on caster.  Lasts for 10.0 seconds.  ',0,0),
(133748,130163,7,100,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',1,1),
(133749,130163,9,100,'When damaged with a melee weapon this spell has a 8.5% chance to cast Divine Shield on caster.  Lasts for 10.0 seconds.  ',0,0),
(133750,130163,9,100,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',1,1),
(133751,130164,1,100,'When damaged with a melee weapon this spell has a 7% chance to cast Divine Shield on caster.  Lasts for 10.0 seconds.  ',0,0),
(133752,130164,1,100,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',1,1),
(133753,130164,2,100,'When damaged with a melee weapon this spell has a 7.5% chance to cast Divine Shield on caster.  Lasts for 10.0 seconds.  ',0,0),
(133754,130164,2,100,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',1,1),
(133755,130164,3,100,'When damaged with a melee weapon this spell has a 8% chance to cast Divine Shield on caster.  Lasts for 10.0 seconds.  ',0,0),
(133756,130164,3,100,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',1,1),
(133757,130164,4,100,'When damaged with a melee weapon this spell has a 8.5% chance to cast Divine Shield on caster.  Lasts for 10.0 seconds.  ',0,0),
(133758,130164,4,100,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',1,1),
(133759,130164,5,100,'When damaged with a melee weapon this spell has a 9% chance to cast Divine Shield on caster.  Lasts for 10.0 seconds.  ',0,0),
(133760,130164,5,100,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',1,1),
(133761,130164,7,100,'When damaged with a melee weapon this spell has a 10% chance to cast Divine Shield on caster.  Lasts for 10.0 seconds.  ',0,0),
(133762,130164,7,100,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',1,1),
(133763,130164,9,100,'When damaged with a melee weapon this spell has a 11% chance to cast Divine Shield on caster.  Lasts for 10.0 seconds.  ',0,0),
(133764,130164,9,100,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',1,1),
(133765,2000722,1,100,'Using a combat art or damage spell will refresh the duration to 5 seconds',0,0),
(133766,2000723,1,100,'Increases Ability Reuse Speed of target by 10.0%',0,0),
(133767,2000723,1,100,'Increases Ability Casting Speed of target by 15.0%',0,1),
(133768,2000723,1,100,'Increases Ability Recovery Speed of target by 25.0%',0,2),
(133769,2000723,1,100,'Increases the number of ticks in a spell or combat art by 1.',0,3),
(133770,190176,1,100,'Shapechanges caster into a bear',0,0),
(133771,190176,1,100,'Increases STA of caster by 7.7',0,1),
(133772,190176,1,100,'Increases WIS of caster by 28.8',0,2),
(133773,190176,1,100,'Grants See Stealth to caster',0,3),
(133774,190176,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 428',0,4),
(133775,190176,2,100,'Shapechanges caster into a bear',0,0),
(133776,190176,2,100,'Increases STA of caster by 8.2',0,1),
(133777,190176,2,100,'Increases WIS of caster by 30.4',0,2),
(133778,190176,2,100,'Grants See Stealth to caster',0,3),
(133779,190176,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 451',0,4),
(133780,190176,3,100,'Shapechanges caster into a bear',0,0),
(133781,190176,3,100,'Increases STA of caster by 8.6',0,1),
(133782,190176,3,100,'Increases WIS of caster by 32.0',0,2),
(133783,190176,3,100,'Grants See Stealth to caster',0,3),
(133784,190176,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 475',0,4),
(133785,190176,4,100,'Shapechanges caster into a bear',0,0),
(133786,190176,4,100,'Increases STA of caster by 9.5',0,1),
(133787,190176,4,100,'Increases WIS of caster by 35.2',0,2),
(133788,190176,4,100,'Grants See Stealth to caster',0,3),
(133789,190176,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 523',0,4),
(133790,190176,5,100,'Shapechanges caster into a bear',0,0),
(133791,190176,5,100,'Increases STA of caster by 10.3',0,1),
(133792,190176,5,100,'Increases WIS of caster by 38.4',0,2),
(133793,190176,5,100,'Grants See Stealth to caster',0,3),
(133794,190176,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 570',0,4),
(133795,190176,7,100,'Shapechanges caster into a bear',0,0),
(133796,190176,7,100,'Increases STA of caster by 13.2',0,1),
(133797,190176,7,100,'Increases WIS of caster by 49.3',0,2),
(133798,190176,7,100,'Grants See Stealth to caster',0,3),
(133799,190176,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 732',0,4),
(133800,190176,9,100,'Shapechanges caster into a bear',0,0),
(133801,190176,9,100,'Increases STA of caster by 13.8',0,1),
(133802,190176,9,100,'Increases WIS of caster by 51.2',0,2),
(133803,190176,9,100,'Grants See Stealth to caster',0,3),
(133804,190176,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 760',0,4),
(133805,190176,10,100,'Shapechanges caster into a bear',0,0),
(133806,190176,10,100,'Increases STA of caster by 14.4',0,1),
(133807,190176,10,100,'Increases WIS of caster by 53.8',0,2),
(133808,190176,10,100,'Grants See Stealth to caster',0,3),
(133809,190176,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 798',0,4),
(133810,190177,1,100,'Shapechanges caster into a bear',0,0),
(133811,190177,1,100,'Increases STA of caster by 18.7',0,1),
(133812,190177,1,100,'Increases WIS of caster by 47.2',0,2),
(133813,190177,1,100,'Grants See Stealth to caster',0,3),
(133814,190177,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 727',0,4),
(133815,190177,2,100,'Shapechanges caster into a bear',0,0),
(133816,190177,2,100,'Increases STA of caster by 19.7',0,1),
(133817,190177,2,100,'Increases WIS of caster by 49.8',0,2),
(133818,190177,2,100,'Grants See Stealth to caster',0,3),
(133819,190177,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 767',0,4),
(133820,190177,3,100,'Shapechanges caster into a bear',0,0),
(133821,190177,3,100,'Increases STA of caster by 20.8',0,1),
(133822,190177,3,100,'Increases WIS of caster by 52.4',0,2),
(133823,190177,3,100,'Grants See Stealth to caster',0,3),
(133824,190177,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 808',0,4),
(133825,190177,4,100,'Shapechanges caster into a bear',0,0),
(133826,190177,4,100,'Increases STA of caster by 22.9',0,1),
(133827,190177,4,100,'Increases WIS of caster by 57.6',0,2),
(133828,190177,4,100,'Grants See Stealth to caster',0,3),
(133829,190177,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 888',0,4),
(133830,190177,5,100,'Shapechanges caster into a bear',0,0),
(133831,190177,5,100,'Increases STA of caster by 24.9',0,1),
(133832,190177,5,100,'Increases WIS of caster by 62.9',0,2),
(133833,190177,5,100,'Grants See Stealth to caster',0,3),
(133834,190177,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 969',0,4),
(133835,190177,7,100,'Shapechanges caster into a bear',0,0),
(133836,190177,7,100,'Increases STA of caster by 32.0',0,1),
(133837,190177,7,100,'Increases WIS of caster by 80.7',0,2),
(133838,190177,7,100,'Grants See Stealth to caster',0,3),
(133839,190177,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1244',0,4),
(133840,190177,9,100,'Shapechanges caster into a bear',0,0),
(133841,190177,9,100,'Increases STA of caster by 33.2',0,1),
(133842,190177,9,100,'Increases WIS of caster by 83.8',0,2),
(133843,190177,9,100,'Grants See Stealth to caster',0,3),
(133844,190177,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1292',0,4),
(133845,190177,10,100,'Shapechanges caster into a bear',0,0),
(133846,190177,10,100,'Increases STA of caster by 34.9',0,1),
(133847,190177,10,100,'Increases WIS of caster by 88.0',0,2),
(133848,190177,10,100,'Grants See Stealth to caster',0,3),
(133849,190177,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1357',0,4),
(133850,190178,1,100,'Shapechanges caster into a bear',0,0),
(133851,190178,1,100,'Increases STA of caster by 29.5',0,1),
(133852,190178,1,100,'Increases WIS of caster by 67.3',0,2),
(133853,190178,1,100,'Grants See Stealth to caster',0,3),
(133854,190178,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1026',0,4),
(133855,190178,2,100,'Shapechanges caster into a bear',0,0),
(133856,190178,2,100,'Increases STA of caster by 31.2',0,1),
(133857,190178,2,100,'Increases WIS of caster by 71.1',0,2),
(133858,190178,2,100,'Grants See Stealth to caster',0,3),
(133859,190178,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1083',0,4),
(133860,190178,3,100,'Shapechanges caster into a bear',0,0),
(133861,190178,3,100,'Increases STA of caster by 32.8',0,1),
(133862,190178,3,100,'Increases WIS of caster by 74.8',0,2),
(133863,190178,3,100,'Grants See Stealth to caster',0,3),
(133864,190178,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1140',0,4),
(133865,190178,4,100,'Shapechanges caster into a bear',0,0),
(133866,190178,4,100,'Increases STA of caster by 36.1',0,1),
(133867,190178,4,100,'Increases WIS of caster by 82.3',0,2),
(133868,190178,4,100,'Grants See Stealth to caster',0,3),
(133869,190178,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1254',0,4),
(133870,190178,5,100,'Shapechanges caster into a bear',0,0),
(133871,190178,5,100,'Increases STA of caster by 39.4',0,1),
(133872,190178,5,100,'Increases WIS of caster by 89.8',0,2),
(133873,190178,5,100,'Grants See Stealth to caster',0,3),
(133874,190178,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1368',0,4),
(133875,190178,7,100,'Shapechanges caster into a bear',0,0),
(133876,190178,7,100,'Increases STA of caster by 50.5',0,1),
(133877,190178,7,100,'Increases WIS of caster by 115.2',0,2),
(133878,190178,7,100,'Grants See Stealth to caster',0,3),
(133879,190178,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1756',0,4),
(133880,190178,9,100,'Shapechanges caster into a bear',0,0),
(133881,190178,9,100,'Increases STA of caster by 52.5',0,1),
(133882,190178,9,100,'Increases WIS of caster by 119.7',0,2),
(133883,190178,9,100,'Grants See Stealth to caster',0,3),
(133884,190178,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1824',0,4),
(133885,190178,10,100,'Shapechanges caster into a bear',0,0),
(133886,190178,10,100,'Increases STA of caster by 55.1',0,1),
(133887,190178,10,100,'Increases WIS of caster by 125.7',0,2),
(133888,190178,10,100,'Grants See Stealth to caster',0,3),
(133889,190178,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1915',0,4),
(133890,190179,1,100,'Shapechanges caster into a bear',0,0),
(133891,190179,1,100,'Increases STA of caster by 38.7',0,1),
(133892,190179,1,100,'Increases WIS of caster by 87.5',0,2),
(133893,190179,1,100,'Grants See Stealth to caster',0,3),
(133894,190179,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1325',0,4),
(133895,190179,2,100,'Shapechanges caster into a bear',0,0),
(133896,190179,2,100,'Increases STA of caster by 40.9',0,1),
(133897,190179,2,100,'Increases WIS of caster by 92.3',0,2),
(133898,190179,2,100,'Grants See Stealth to caster',0,3),
(133899,190179,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1399',0,4),
(133900,190179,3,100,'Shapechanges caster into a bear',0,0),
(133901,190179,3,100,'Increases STA of caster by 43.0',0,1),
(133902,190179,3,100,'Increases WIS of caster by 97.2',0,2),
(133903,190179,3,100,'Grants See Stealth to caster',0,3),
(133904,190179,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1473',0,4),
(133905,190179,4,100,'Shapechanges caster into a bear',0,0),
(133906,190179,4,100,'Increases STA of caster by 47.3',0,1),
(133907,190179,4,100,'Increases WIS of caster by 106.9',0,2),
(133908,190179,4,100,'Grants See Stealth to caster',0,3),
(133909,190179,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1620',0,4),
(133910,190179,5,100,'Shapechanges caster into a bear',0,0),
(133911,190179,5,100,'Increases STA of caster by 51.6',0,1),
(133912,190179,5,100,'Increases WIS of caster by 116.6',0,2),
(133913,190179,5,100,'Grants See Stealth to caster',0,3),
(133914,190179,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1767',0,4),
(133915,190179,7,100,'Shapechanges caster into a bear',0,0),
(133916,190179,7,100,'Increases STA of caster by 66.3',0,1),
(133917,190179,7,100,'Increases WIS of caster by 149.7',0,2),
(133918,190179,7,100,'Grants See Stealth to caster',0,3),
(133919,190179,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2268',0,4),
(133920,190179,9,100,'Shapechanges caster into a bear',0,0),
(133921,190179,9,100,'Increases STA of caster by 68.8',0,1),
(133922,190179,9,100,'Increases WIS of caster by 155.5',0,2),
(133923,190179,9,100,'Grants See Stealth to caster',0,3),
(133924,190179,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2356',0,4),
(133925,190180,1,100,'Shapechanges caster into a bear',0,0),
(133926,190180,1,100,'Increases STA of caster by 49.2',0,1),
(133927,190180,1,100,'Increases WIS of caster by 110.9',0,2),
(133928,190180,1,100,'Grants See Stealth to caster',0,3),
(133929,190180,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1625',0,4),
(133930,190180,2,100,'Shapechanges caster into a bear',0,0),
(133931,190180,2,100,'Increases STA of caster by 52.0',0,1),
(133932,190180,2,100,'Increases WIS of caster by 117.0',0,2),
(133933,190180,2,100,'Grants See Stealth to caster',0,3),
(133934,190180,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1715',0,4),
(133935,190180,3,100,'Shapechanges caster into a bear',0,0),
(133936,190180,3,100,'Increases STA of caster by 54.7',0,1),
(133937,190180,3,100,'Increases WIS of caster by 123.2',0,2),
(133938,190180,3,100,'Grants See Stealth to caster',0,3),
(133939,190180,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1805',0,4),
(133940,190180,4,100,'Shapechanges caster into a bear',0,0),
(133941,190180,4,100,'Increases STA of caster by 60.2',0,1),
(133942,190180,4,100,'Increases WIS of caster by 135.5',0,2),
(133943,190180,4,100,'Grants See Stealth to caster',0,3),
(133944,190180,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1985',0,4),
(133945,190180,5,100,'Shapechanges caster into a bear',0,0),
(133946,190180,5,100,'Increases STA of caster by 65.6',0,1),
(133947,190180,5,100,'Increases WIS of caster by 147.8',0,2),
(133948,190180,5,100,'Grants See Stealth to caster',0,3),
(133949,190180,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2166',0,4),
(133950,190180,7,100,'Shapechanges caster into a bear',0,0),
(133951,190180,7,100,'Increases STA of caster by 84.2',0,1),
(133952,190180,7,100,'Increases WIS of caster by 189.7',0,2),
(133953,190180,7,100,'Grants See Stealth to caster',0,3),
(133954,190180,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2780',0,4),
(133955,190180,9,100,'Shapechanges caster into a bear',0,0),
(133956,190180,9,100,'Increases STA of caster by 87.5',0,1),
(133957,190180,9,100,'Increases WIS of caster by 197.1',0,2),
(133958,190180,9,100,'Grants See Stealth to caster',0,3),
(133959,190180,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2888',0,4),
(133960,190181,1,100,'Shapechanges caster into a bear',0,0),
(133961,190181,1,100,'Increases STA of caster by 58.2',0,1),
(133962,190181,1,100,'Increases WIS of caster by 130.7',0,2),
(133963,190181,1,100,'Grants See Stealth to caster',0,3),
(133964,190181,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1838',0,4),
(133965,190181,4,100,'Shapechanges caster into a bear',0,0),
(133966,190181,4,100,'Increases STA of caster by 71.2',0,1),
(133967,190181,4,100,'Increases WIS of caster by 159.7',0,2),
(133968,190181,4,100,'Grants See Stealth to caster',0,3),
(133969,190181,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2247',0,4),
(133970,190181,5,100,'Shapechanges caster into a bear',0,0),
(133971,190181,5,100,'Increases STA of caster by 77.6',0,1),
(133972,190181,5,100,'Increases WIS of caster by 174.2',0,2),
(133973,190181,5,100,'Grants See Stealth to caster',0,3),
(133974,190181,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2451',0,4),
(133975,190181,7,100,'Shapechanges caster into a bear',0,0),
(133976,190181,7,100,'Increases STA of caster by 99.6',0,1),
(133977,190181,7,100,'Increases WIS of caster by 223.6',0,2),
(133978,190181,7,100,'Grants See Stealth to caster',0,3),
(133979,190181,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 3145',0,4),
(133980,190181,9,100,'Shapechanges caster into a bear',0,0),
(133981,190181,9,100,'Increases STA of caster by 103.5',0,1),
(133982,190181,9,100,'Increases WIS of caster by 232.3',0,2),
(133983,190181,9,100,'Grants See Stealth to caster',0,3),
(133984,190181,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 3268',0,4),
(133985,190182,1,100,'Shapechanges caster into a bear',0,0),
(133986,190182,1,100,'Increases STA of caster by 67.2',0,1),
(133987,190182,1,100,'Increases WIS of caster by 150.5',0,2),
(133988,190182,1,100,'Grants See Stealth to caster',0,3),
(133989,190182,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2052',0,4),
(133990,190182,4,100,'Shapechanges caster into a bear',0,0),
(133991,190182,4,100,'Increases STA of caster by 82.2',0,1),
(133992,190182,4,100,'Increases WIS of caster by 183.9',0,2),
(133993,190182,4,100,'Grants See Stealth to caster',0,3),
(133994,190182,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2508',0,4),
(133995,190182,5,100,'Shapechanges caster into a bear',0,0),
(133996,190182,5,100,'Increases STA of caster by 89.6',0,1),
(133997,190182,5,100,'Increases WIS of caster by 200.6',0,2),
(133998,190182,5,100,'Grants See Stealth to caster',0,3),
(133999,190182,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2736',0,4),
(134000,190182,7,100,'Shapechanges caster into a bear',0,0),
(134001,190182,7,100,'Increases STA of caster by 115.0',0,1),
(134002,190182,7,100,'Increases WIS of caster by 257.5',0,2),
(134003,190182,7,100,'Grants See Stealth to caster',0,3),
(134004,190182,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 3511',0,4),
(134005,190182,9,100,'Shapechanges caster into a bear',0,0),
(134006,190182,9,100,'Increases STA of caster by 119.5',0,1),
(134007,190182,9,100,'Increases WIS of caster by 267.5',0,2),
(134008,190182,9,100,'Grants See Stealth to caster',0,3),
(134009,190182,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 3648',0,4),
(134010,2000724,1,100,'Increases hate gain or loss by 25%',0,0),
(134011,240193,1,100,'Decreases Mitigation of target encounter vs noxious damage by 69',0,0),
(134012,240193,2,100,'Decreases Mitigation of target encounter vs noxious damage by 73',0,0),
(134013,240193,3,100,'Decreases Mitigation of target encounter vs noxious damage by 77',0,0),
(134014,240193,4,100,'Decreases Mitigation of target encounter vs noxious damage by 84',0,0),
(134015,240193,5,100,'Decreases Mitigation of target encounter vs noxious damage by 92',0,0),
(134016,240193,7,100,'Decreases Mitigation of target encounter vs noxious damage by 118',0,0),
(134017,240193,9,100,'Decreases Mitigation of target encounter vs noxious damage by 123',0,0),
(134018,240194,1,100,'Decreases Mitigation of target encounter vs noxious damage by 133',0,0),
(134019,240194,2,100,'Decreases Mitigation of target encounter vs noxious damage by 141',0,0),
(134020,240194,3,100,'Decreases Mitigation of target encounter vs noxious damage by 148',0,0),
(134021,240194,4,100,'Decreases Mitigation of target encounter vs noxious damage by 163',0,0),
(134022,240194,5,100,'Decreases Mitigation of target encounter vs noxious damage by 178',0,0),
(134023,240194,7,100,'Decreases Mitigation of target encounter vs noxious damage by 228',0,0),
(134024,240194,9,100,'Decreases Mitigation of target encounter vs noxious damage by 237',0,0),
(134025,240194,10,100,'Decreases Mitigation of target encounter vs noxious damage by 249',0,0),
(134026,240195,1,100,'Decreases Mitigation of target encounter vs noxious damage by 243',0,0),
(134027,240195,2,100,'Decreases Mitigation of target encounter vs noxious damage by 257',0,0),
(134028,240195,3,100,'Decreases Mitigation of target encounter vs noxious damage by 270',0,0),
(134029,240195,4,100,'Decreases Mitigation of target encounter vs noxious damage by 297',0,0),
(134030,240195,5,100,'Decreases Mitigation of target encounter vs noxious damage by 324',0,0),
(134031,240195,7,100,'Decreases Mitigation of target encounter vs noxious damage by 416',0,0),
(134032,240195,9,100,'Decreases Mitigation of target encounter vs noxious damage by 432',0,0),
(134033,240196,1,100,'Decreases Mitigation of target encounter vs noxious damage by 369',0,0),
(134034,240196,2,100,'Decreases Mitigation of target encounter vs noxious damage by 390',0,0),
(134035,240196,3,100,'Decreases Mitigation of target encounter vs noxious damage by 410',0,0),
(134036,240196,4,100,'Decreases Mitigation of target encounter vs noxious damage by 451',0,0),
(134037,240196,5,100,'Decreases Mitigation of target encounter vs noxious damage by 492',0,0),
(134038,240196,7,100,'Decreases Mitigation of target encounter vs noxious damage by 631',0,0),
(134039,240196,9,100,'Decreases Mitigation of target encounter vs noxious damage by 656',0,0),
(134040,240197,1,100,'Decreases Mitigation of target encounter vs noxious damage by 1069',0,0),
(134041,240197,4,100,'Decreases Mitigation of target encounter vs noxious damage by 1307',0,0),
(134042,240197,5,100,'Decreases Mitigation of target encounter vs noxious damage by 1426',0,0),
(134043,240197,7,100,'Decreases Mitigation of target encounter vs noxious damage by 1830',0,0),
(134044,240197,9,100,'Decreases Mitigation of target encounter vs noxious damage by 1901',0,0),
(134045,240198,1,100,'Decreases Mitigation of target encounter vs noxious damage by 495',0,0),
(134046,240198,2,100,'Decreases Mitigation of target encounter vs noxious damage by 523',0,0),
(134047,240198,3,100,'Decreases Mitigation of target encounter vs noxious damage by 550',0,0),
(134048,240198,4,100,'Decreases Mitigation of target encounter vs noxious damage by 605',0,0),
(134049,240198,5,100,'Decreases Mitigation of target encounter vs noxious damage by 660',0,0),
(134050,240198,7,100,'Decreases Mitigation of target encounter vs noxious damage by 847',0,0),
(134051,240198,9,100,'Decreases Mitigation of target encounter vs noxious damage by 880',0,0),
(134052,240199,1,100,'Decreases Mitigation of target encounter vs noxious damage by 621',0,0),
(134053,240199,2,100,'Decreases Mitigation of target encounter vs noxious damage by 656',0,0),
(134054,240199,3,100,'Decreases Mitigation of target encounter vs noxious damage by 690',0,0),
(134055,240199,4,100,'Decreases Mitigation of target encounter vs noxious damage by 759',0,0),
(134056,240199,5,100,'Decreases Mitigation of target encounter vs noxious damage by 828',0,0),
(134057,240199,7,100,'Decreases Mitigation of target encounter vs noxious damage by 1063',0,0),
(134058,240199,9,100,'Decreases Mitigation of target encounter vs noxious damage by 1104',0,0),
(134059,240200,1,100,'Decreases Mitigation of target encounter vs noxious damage by 802',0,0),
(134060,240200,2,100,'Decreases Mitigation of target encounter vs noxious damage by 847',0,0),
(134061,240200,3,100,'Decreases Mitigation of target encounter vs noxious damage by 892',0,0),
(134062,240200,4,100,'Decreases Mitigation of target encounter vs noxious damage by 981',0,0),
(134063,240200,5,100,'Decreases Mitigation of target encounter vs noxious damage by 1070',0,0),
(134064,240200,7,100,'Decreases Mitigation of target encounter vs noxious damage by 1373',0,0),
(134065,240200,9,100,'Decreases Mitigation of target encounter vs noxious damage by 1427',0,0),
(134066,240201,1,100,'Decreases Mitigation of target encounter vs noxious damage by 961',0,0),
(134067,240201,4,100,'Decreases Mitigation of target encounter vs noxious damage by 1175',0,0),
(134068,240201,5,100,'Decreases Mitigation of target encounter vs noxious damage by 1282',0,0),
(134069,240201,7,100,'Decreases Mitigation of target encounter vs noxious damage by 1645',0,0),
(134070,240201,9,100,'Decreases Mitigation of target encounter vs noxious damage by 1709',0,0),
(134071,280018,1,100,'Inflicts 8 - 12 piercing damage on target instantly and every 4 seconds',0,0),
(134072,280018,1,100,'Decreases Defense of target by 2.7',0,1),
(134073,280018,4,100,'Inflicts 10 - 15 piercing damage on target instantly and every 4 seconds',0,0),
(134074,280018,4,100,'Decreases Defense of target by 3.3',0,1),
(134075,280018,5,100,'Inflicts 11 - 16 piercing damage on target instantly and every 4 seconds',0,0),
(134076,280018,5,100,'Decreases Defense of target by 3.6',0,1),
(134077,280018,7,100,'Inflicts 14 - 21 piercing damage on target instantly and every 4 seconds',0,0),
(134078,280018,7,100,'Decreases Defense of target by 4.6',0,1),
(134079,280018,9,100,'Inflicts 15 - 22 piercing damage on target instantly and every 4 seconds',0,0),
(134080,280018,9,100,'Decreases Defense of target by 4.8',0,1),
(134081,280019,1,100,'Inflicts 30 - 46 piercing damage on target instantly and every 4 seconds',0,0),
(134082,280019,1,100,'Decreases Defense of target by 9.4',0,1),
(134083,280019,2,100,'Inflicts 32 - 48 piercing damage on target instantly and every 4 seconds',0,0),
(134084,280019,2,100,'Decreases Defense of target by 10.0',0,1),
(134085,280019,3,100,'Inflicts 34 - 51 piercing damage on target instantly and every 4 seconds',0,0),
(134086,280019,3,100,'Decreases Defense of target by 10.5',0,1),
(134087,280019,4,100,'Inflicts 37 - 56 piercing damage on target instantly and every 4 seconds',0,0),
(134088,280019,4,100,'Decreases Defense of target by 11.6',0,1),
(134089,280019,5,100,'Inflicts 41 - 61 piercing damage on target instantly and every 4 seconds',0,0),
(134090,280019,5,100,'Decreases Defense of target by 12.6',0,1),
(134091,280019,7,100,'Inflicts 52 - 78 piercing damage on target instantly and every 4 seconds',0,0),
(134092,280019,7,100,'Decreases Defense of target by 16.2',0,1),
(134093,280019,9,100,'Inflicts 54 - 81 piercing damage on target instantly and every 4 seconds',0,0),
(134094,280019,9,100,'Decreases Defense of target by 16.8',0,1),
(134095,280020,1,100,'Inflicts 51 - 76 piercing damage on target instantly and every 4 seconds',0,0),
(134096,280020,1,100,'Decreases Defense of target by 14.3',0,1),
(134097,280020,2,100,'Inflicts 53 - 80 piercing damage on target instantly and every 4 seconds',0,0),
(134098,280020,2,100,'Decreases Defense of target by 15.1',0,1),
(134099,280020,3,100,'Inflicts 56 - 84 piercing damage on target instantly and every 4 seconds',0,0),
(134100,280020,3,100,'Decreases Defense of target by 15.9',0,1),
(134101,280020,4,100,'Inflicts 62 - 93 piercing damage on target instantly and every 4 seconds',0,0),
(134102,280020,4,100,'Decreases Defense of target by 17.5',0,1),
(134103,280020,5,100,'Inflicts 68 - 101 piercing damage on target instantly and every 4 seconds',0,0),
(134104,280020,5,100,'Decreases Defense of target by 19.1',0,1),
(134105,280020,7,100,'Inflicts 87 - 130 piercing damage on target instantly and every 4 seconds',0,0),
(134106,280020,7,100,'Decreases Defense of target by 24.5',0,1),
(134107,280020,9,100,'Inflicts 90 - 135 piercing damage on target instantly and every 4 seconds',0,0),
(134108,280020,9,100,'Decreases Defense of target by 25.4',0,1),
(134109,280021,1,100,'Inflicts 72 - 109 piercing damage on target instantly and every 4 seconds',0,0),
(134110,280021,1,100,'Decreases Defense of target by 19.3',0,1),
(134111,280021,2,100,'Inflicts 76 - 115 piercing damage on target instantly and every 4 seconds',0,0),
(134112,280021,2,100,'Decreases Defense of target by 20.3',0,1),
(134113,280021,3,100,'Inflicts 80 - 121 piercing damage on target instantly and every 4 seconds',0,0),
(134114,280021,3,100,'Decreases Defense of target by 21.4',0,1),
(134115,280021,4,100,'Inflicts 89 - 133 piercing damage on target instantly and every 4 seconds',0,0),
(134116,280021,4,100,'Decreases Defense of target by 23.5',0,1),
(134117,280021,5,100,'Inflicts 97 - 145 piercing damage on target instantly and every 4 seconds',0,0),
(134118,280021,5,100,'Decreases Defense of target by 25.7',0,1),
(134119,280021,7,100,'Inflicts 124 - 186 piercing damage on target instantly and every 4 seconds',0,0),
(134120,280021,7,100,'Decreases Defense of target by 33.0',0,1),
(134121,280021,9,100,'Inflicts 129 - 193 piercing damage on target instantly and every 4 seconds',0,0),
(134122,280021,9,100,'Decreases Defense of target by 34.2',0,1),
(134123,280022,1,100,'Inflicts 88 - 132 piercing damage on target instantly and every 4 seconds',0,0),
(134124,280022,1,100,'Decreases Defense of target by 22.9',0,1),
(134125,280022,4,100,'Inflicts 107 - 161 piercing damage on target instantly and every 4 seconds',0,0),
(134126,280022,4,100,'Decreases Defense of target by 27.9',0,1),
(134127,280022,5,100,'Inflicts 117 - 175 piercing damage on target instantly and every 4 seconds',0,0),
(134128,280022,5,100,'Decreases Defense of target by 30.5',0,1),
(134129,280022,7,100,'Inflicts 150 - 225 piercing damage on target instantly and every 4 seconds',0,0),
(134130,280022,7,100,'Decreases Defense of target by 39.1',0,1),
(134131,280022,9,100,'Inflicts 156 - 234 piercing damage on target instantly and every 4 seconds',0,0),
(134132,280022,9,100,'Decreases Defense of target by 40.6',0,1),
(134133,280022,10,100,'Inflicts 164 - 246 piercing damage on target instantly and every 4 seconds',0,0),
(134134,280022,10,100,'Decreases Defense of target by 42.7',0,1),
(134135,280023,1,100,'Inflicts 104 - 156 piercing damage on target instantly and every 4 seconds',0,0),
(134136,280023,1,100,'Decreases Defense of target by 26.5',0,1),
(134137,280023,4,100,'Inflicts 127 - 191 piercing damage on target instantly and every 4 seconds',0,0),
(134138,280023,4,100,'Decreases Defense of target by 32.3',0,1),
(134139,280023,5,100,'Inflicts 139 - 208 piercing damage on target instantly and every 4 seconds',0,0),
(134140,280023,5,100,'Decreases Defense of target by 35.3',0,1),
(134141,280023,7,100,'Inflicts 178 - 267 piercing damage on target instantly and every 4 seconds',0,0),
(134142,280023,7,100,'Decreases Defense of target by 45.3',0,1),
(134143,280023,9,100,'Inflicts 185 - 277 piercing damage on target instantly and every 4 seconds',0,0),
(134144,280023,9,100,'Decreases Defense of target by 47.0',0,1),
(134145,280023,10,100,'Inflicts 194 - 291 piercing damage on target instantly and every 4 seconds',0,0),
(134146,280023,10,100,'Decreases Defense of target by 49.4',0,1),
(134147,300219,1,100,'Summons a limited pet to aid the caster',0,0),
(134148,300219,2,100,'Summons a limited pet to aid the caster',0,0),
(134149,300219,3,100,'Summons a limited pet to aid the caster',0,0),
(134150,300219,4,100,'Summons a limited pet to aid the caster',0,0),
(134151,300219,5,100,'Summons a limited pet to aid the caster',0,0),
(134152,300219,7,100,'Summons a limited pet to aid the caster',0,0),
(134153,300219,9,100,'Summons a limited pet to aid the caster',0,0),
(134154,300220,1,100,'Summons a limited pet to aid the caster',0,0),
(134155,300220,4,100,'Summons a limited pet to aid the caster',0,0),
(134156,300220,5,100,'Summons a limited pet to aid the caster',0,0),
(134157,300220,7,100,'Summons a limited pet to aid the caster',0,0),
(134158,300220,9,100,'Summons a limited pet to aid the caster',0,0),
(134159,300221,1,100,'Summons a limited pet to aid the caster',0,0),
(134160,300221,4,100,'Summons a limited pet to aid the caster',0,0),
(134161,300221,5,100,'Summons a limited pet to aid the caster',0,0),
(134162,300221,7,100,'Summons a limited pet to aid the caster',0,0),
(134163,300221,9,100,'Summons a limited pet to aid the caster',0,0),
(134164,440133,1,100,'Heals targets in Area of Effect for 660 - 807',0,0),
(134165,440133,4,100,'Heals targets in Area of Effect for 807 - 986',0,0),
(134166,440133,5,100,'Heals targets in Area of Effect for 880 - 1076',0,0),
(134167,440133,7,100,'Heals targets in Area of Effect for 1130 - 1381',0,0),
(134168,440133,9,100,'Heals targets in Area of Effect for 1174 - 1434',0,0),
(134169,440134,1,100,'Heals targets in Area of Effect for 846 - 1035',0,0),
(134170,440134,4,100,'Heals targets in Area of Effect for 1035 - 1264',0,0),
(134171,440134,5,100,'Heals targets in Area of Effect for 1129 - 1379',0,0),
(134172,440134,7,100,'Heals targets in Area of Effect for 1448 - 1770',0,0),
(134173,440134,9,100,'Heals targets in Area of Effect for 1505 - 1839',0,0),
(134174,440135,1,100,'Heals targets in Area of Effect for 1065 - 1302',0,0),
(134175,440135,4,100,'Heals targets in Area of Effect for 1302 - 1591',0,0),
(134176,440135,5,100,'Heals targets in Area of Effect for 1420 - 1736',0,0),
(134177,440135,7,100,'Heals targets in Area of Effect for 1823 - 2228',0,0),
(134178,440135,9,100,'Heals targets in Area of Effect for 1894 - 2314',0,0),
(134179,440135,10,100,'Heals targets in Area of Effect for 1988 - 2430',0,0),
(134180,440136,1,100,'Heals targets in Area of Effect for 1187 - 1450',0,0),
(134181,440136,4,100,'Heals targets in Area of Effect for 1450 - 1773',0,0),
(134182,440136,5,100,'Heals targets in Area of Effect for 1582 - 1934',0,0),
(134183,440136,7,100,'Heals targets in Area of Effect for 2030 - 2482',0,0),
(134184,440136,9,100,'Heals targets in Area of Effect for 2110 - 2578',0,0),
(134185,440136,10,100,'Heals targets in Area of Effect for 2215 - 2707',0,0),
(134186,200179,1,100,'Increases STA of group members (AE) by 6.9',0,0),
(134187,200179,1,100,'Increases STR of group members (AE) by 13.1',0,1),
(134188,200179,2,100,'Increases STA of group members (AE) by 7.3',0,0),
(134189,200179,2,100,'Increases STR of group members (AE) by 13.9',0,1),
(134190,200179,3,100,'Increases STA of group members (AE) by 7.7',0,0),
(134191,200179,3,100,'Increases STR of group members (AE) by 14.6',0,1),
(134192,200179,4,100,'Increases STA of group members (AE) by 8.4',0,0),
(134193,200179,4,100,'Increases STR of group members (AE) by 16.1',0,1),
(134194,200179,5,100,'Increases STA of group members (AE) by 9.2',0,0),
(134195,200179,5,100,'Increases STR of group members (AE) by 17.5',0,1),
(134196,200179,7,100,'Increases STA of group members (AE) by 11.8',0,0),
(134197,200179,7,100,'Increases STR of group members (AE) by 22.5',0,1),
(134198,200179,9,100,'Increases STA of group members (AE) by 12.3',0,0),
(134199,200179,9,100,'Increases STR of group members (AE) by 23.4',0,1),
(134200,200180,1,100,'Increases STA of group members (AE) by 17.1',0,0),
(134201,200180,1,100,'Increases STR of group members (AE) by 22.1',0,1),
(134202,200180,2,100,'Increases STA of group members (AE) by 18.1',0,0),
(134203,200180,2,100,'Increases STR of group members (AE) by 23.4',0,1),
(134204,200180,3,100,'Increases STA of group members (AE) by 19.0',0,0),
(134205,200180,3,100,'Increases STR of group members (AE) by 24.6',0,1),
(134206,200180,4,100,'Increases STA of group members (AE) by 20.9',0,0),
(134207,200180,4,100,'Increases STR of group members (AE) by 27.1',0,1),
(134208,200180,5,100,'Increases STA of group members (AE) by 22.8',0,0),
(134209,200180,5,100,'Increases STR of group members (AE) by 29.5',0,1),
(134210,200180,7,100,'Increases STA of group members (AE) by 29.3',0,0),
(134211,200180,7,100,'Increases STR of group members (AE) by 37.9',0,1),
(134212,200180,9,100,'Increases STA of group members (AE) by 30.5',0,0),
(134213,200180,9,100,'Increases STR of group members (AE) by 39.4',0,1),
(134214,200181,1,100,'Increases STA of group members (AE) by 28.0',0,0),
(134215,200181,1,100,'Increases STR of group members (AE) by 32.2',0,1),
(134216,200181,2,100,'Increases STA of group members (AE) by 29.5',0,0),
(134217,200181,2,100,'Increases STR of group members (AE) by 34.0',0,1),
(134218,200181,3,100,'Increases STA of group members (AE) by 31.1',0,0),
(134219,200181,3,100,'Increases STR of group members (AE) by 35.8',0,1),
(134220,200181,4,100,'Increases STA of group members (AE) by 34.2',0,0),
(134221,200181,4,100,'Increases STR of group members (AE) by 39.4',0,1),
(134222,200181,5,100,'Increases STA of group members (AE) by 37.3',0,0),
(134223,200181,5,100,'Increases STR of group members (AE) by 43.0',0,1),
(134224,200181,7,100,'Increases STA of group members (AE) by 47.9',0,0),
(134225,200181,7,100,'Increases STR of group members (AE) by 55.1',0,1),
(134226,200181,9,100,'Increases STA of group members (AE) by 49.8',0,0),
(134227,200181,9,100,'Increases STR of group members (AE) by 57.3',0,1),
(134228,200182,1,100,'Increases STA of group members (AE) by 37.4',0,0),
(134229,200182,1,100,'Increases STR of group members (AE) by 42.3',0,1),
(134230,200182,2,100,'Increases STA of group members (AE) by 39.5',0,0),
(134231,200182,2,100,'Increases STR of group members (AE) by 44.6',0,1),
(134232,200182,3,100,'Increases STA of group members (AE) by 41.6',0,0),
(134233,200182,3,100,'Increases STR of group members (AE) by 47.0',0,1),
(134234,200182,4,100,'Increases STA of group members (AE) by 45.8',0,0),
(134235,200182,4,100,'Increases STR of group members (AE) by 51.7',0,1),
(134236,200182,5,100,'Increases STA of group members (AE) by 49.9',0,0),
(134237,200182,5,100,'Increases STR of group members (AE) by 56.4',0,1),
(134238,200182,7,100,'Increases STA of group members (AE) by 64.1',0,0),
(134239,200182,7,100,'Increases STR of group members (AE) by 72.4',0,1),
(134240,200182,9,100,'Increases STA of group members (AE) by 66.6',0,0),
(134241,200182,9,100,'Increases STR of group members (AE) by 75.2',0,1),
(134242,200183,1,100,'Increases STA of group members (AE) by 46.5',0,0),
(134243,200183,1,100,'Increases STR of group members (AE) by 52.5',0,1),
(134244,200183,2,100,'Increases STA of group members (AE) by 49.1',0,0),
(134245,200183,2,100,'Increases STR of group members (AE) by 55.4',0,1),
(134246,200183,3,100,'Increases STA of group members (AE) by 51.7',0,0),
(134247,200183,3,100,'Increases STR of group members (AE) by 58.3',0,1),
(134248,200183,4,100,'Increases STA of group members (AE) by 56.9',0,0),
(134249,200183,4,100,'Increases STR of group members (AE) by 64.1',0,1),
(134250,200183,5,100,'Increases STA of group members (AE) by 62.0',0,0),
(134251,200183,5,100,'Increases STR of group members (AE) by 70.0',0,1),
(134252,200183,7,100,'Increases STA of group members (AE) by 79.6',0,0),
(134253,200183,7,100,'Increases STR of group members (AE) by 89.8',0,1),
(134254,200183,9,100,'Increases STA of group members (AE) by 82.7',0,0),
(134255,200183,9,100,'Increases STR of group members (AE) by 93.3',0,1),
(134256,200183,10,100,'Increases STA of group members (AE) by 86.9',0,0),
(134257,200183,10,100,'Increases STR of group members (AE) by 97.9',0,1),
(134258,200184,1,100,'Increases STA of group members (AE) by 55.5',0,0),
(134259,200184,1,100,'Increases STR of group members (AE) by 62.4',0,1),
(134260,200184,4,100,'Increases STA of group members (AE) by 67.9',0,0),
(134261,200184,4,100,'Increases STR of group members (AE) by 76.2',0,1),
(134262,200184,5,100,'Increases STA of group members (AE) by 74.0',0,0),
(134263,200184,5,100,'Increases STR of group members (AE) by 83.2',0,1),
(134264,200184,7,100,'Increases STA of group members (AE) by 95.0',0,0),
(134265,200184,7,100,'Increases STR of group members (AE) by 106.7',0,1),
(134266,200184,9,100,'Increases STA of group members (AE) by 98.7',0,0),
(134267,200184,9,100,'Increases STR of group members (AE) by 110.9',0,1),
(134268,200185,1,100,'Increases STA of group members (AE) by 64.5',0,0),
(134269,200185,1,100,'Increases STR of group members (AE) by 72.3',0,1),
(134270,200185,4,100,'Increases STA of group members (AE) by 78.9',0,0),
(134271,200185,4,100,'Increases STR of group members (AE) by 88.3',0,1),
(134272,200185,5,100,'Increases STA of group members (AE) by 86.0',0,0),
(134273,200185,5,100,'Increases STR of group members (AE) by 96.4',0,1),
(134274,200185,7,100,'Increases STA of group members (AE) by 110.4',0,0),
(134275,200185,7,100,'Increases STR of group members (AE) by 123.7',0,1),
(134276,200185,9,100,'Increases STA of group members (AE) by 114.7',0,0),
(134277,200185,9,100,'Increases STR of group members (AE) by 128.5',0,1),
(134278,290192,1,100,'Increases Defense of target by 10.8',0,0),
(134279,290192,1,100,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',0,1),
(134280,290192,2,100,'Increases Defense of target by 11.4',0,0),
(134281,290192,2,100,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',0,1),
(134282,290192,3,100,'Increases Defense of target by 12.0',0,0),
(134283,290192,3,100,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',0,1),
(134284,290192,4,100,'Increases Defense of target by 13.2',0,0),
(134285,290192,4,100,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',0,1),
(134286,290192,5,100,'Increases Defense of target by 14.4',0,0),
(134287,290192,5,100,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',0,1),
(134288,290192,7,100,'Increases Defense of target by 18.5',0,0),
(134289,290192,7,100,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',0,1),
(134290,290192,9,100,'Increases Defense of target by 19.2',0,0),
(134291,290192,9,100,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',0,1),
(134292,290193,1,100,'Increases Defense of target by 14.6',0,0),
(134293,290193,1,100,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',0,1),
(134294,290193,2,100,'Increases Defense of target by 15.4',0,0),
(134295,290193,2,100,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',0,1),
(134296,290193,3,100,'Increases Defense of target by 16.2',0,0),
(134297,290193,3,100,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',0,1),
(134298,290193,4,100,'Increases Defense of target by 17.8',0,0),
(134299,290193,4,100,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',0,1),
(134300,290193,5,100,'Increases Defense of target by 19.4',0,0),
(134301,290193,5,100,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',0,1),
(134302,290193,7,100,'Increases Defense of target by 24.9',0,0),
(134303,290193,7,100,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',0,1),
(134304,290193,9,100,'Increases Defense of target by 25.9',0,0),
(134305,290193,9,100,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',0,1),
(134306,290194,1,100,'Increases Defense of target by 18.4',0,0),
(134307,290194,1,100,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',0,1),
(134308,290194,2,100,'Increases Defense of target by 19.4',0,0),
(134309,290194,2,100,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',0,1),
(134310,290194,3,100,'Increases Defense of target by 20.4',0,0),
(134311,290194,3,100,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',0,1),
(134312,290194,4,100,'Increases Defense of target by 22.4',0,0),
(134313,290194,4,100,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',0,1),
(134314,290194,5,100,'Increases Defense of target by 24.5',0,0),
(134315,290194,5,100,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',0,1),
(134316,290194,7,100,'Increases Defense of target by 31.4',0,0),
(134317,290194,7,100,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',0,1),
(134318,290194,9,100,'Increases Defense of target by 32.6',0,0),
(134319,290194,9,100,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',0,1),
(134320,290195,1,100,'Increases Defense of target by 21.8',0,0),
(134321,290195,1,100,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',0,1),
(134322,290195,2,100,'Increases Defense of target by 23.0',0,0),
(134323,290195,2,100,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',0,1),
(134324,290195,3,100,'Increases Defense of target by 24.2',0,0),
(134325,290195,3,100,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',0,1),
(134326,290195,4,100,'Increases Defense of target by 26.6',0,0),
(134327,290195,4,100,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',0,1),
(134328,290195,5,100,'Increases Defense of target by 29.0',0,0),
(134329,290195,5,100,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',0,1),
(134330,290195,7,100,'Increases Defense of target by 37.3',0,0),
(134331,290195,7,100,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',0,1),
(134332,290195,9,100,'Increases Defense of target by 38.7',0,0),
(134333,290195,9,100,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',0,1),
(134334,290196,1,100,'Increases Defense of target by 26.1',0,0),
(134335,290196,1,100,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',0,1),
(134336,290196,4,100,'Increases Defense of target by 31.9',0,0),
(134337,290196,4,100,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',0,1),
(134338,290196,5,100,'Increases Defense of target by 34.8',0,0),
(134339,290196,5,100,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',0,1),
(134340,290196,7,100,'Increases Defense of target by 44.7',0,0),
(134341,290196,7,100,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',0,1),
(134342,290196,9,100,'Increases Defense of target by 46.4',0,0),
(134343,290196,9,100,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',0,1),
(134344,290197,1,100,'Increases Defense of target by 30.6',0,0),
(134345,290197,1,100,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',0,1),
(134346,290197,4,100,'Increases Defense of target by 37.4',0,0),
(134347,290197,4,100,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',0,1),
(134348,290197,5,100,'Increases Defense of target by 40.8',0,0),
(134349,290197,5,100,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',0,1),
(134350,290197,7,100,'Increases Defense of target by 52.4',0,0),
(134351,290197,7,100,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',0,1),
(134352,290197,9,100,'Increases Defense of target by 54.4',0,0),
(134353,290197,9,100,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',0,1),
(134354,2000725,1,100,'Reduces all damage done to caster by 16.36%',0,0),
(134355,2000725,1,100,'Caster will Dodge 54.6% of incoming attacks',0,1),
(134356,2000725,2,100,'Reduces all damage done to caster by 17.27%',0,0),
(134357,2000725,2,100,'Caster will Dodge 57.6% of incoming attacks',0,1),
(134358,2000725,3,100,'Reduces all damage done to caster by 18.18%',0,0),
(134359,2000725,3,100,'Caster will Dodge 60.6% of incoming attacks',0,1),
(134360,2000725,4,100,'Reduces all damage done to caster by 20%',0,0),
(134361,2000725,4,100,'Caster will Dodge 66.7% of incoming attacks',0,1),
(134362,2000725,5,100,'Reduces all damage done to caster by 21.82%',0,0),
(134363,2000725,5,100,'Caster will Dodge 72.7% of incoming attacks',0,1),
(134364,2000725,6,100,'Reduces all damage done to caster by 23.63%',0,0),
(134365,2000725,6,100,'Caster will Dodge 78.8% of incoming attacks',0,1),
(134366,2000725,7,100,'Reduces all damage done to caster by 28%',0,0),
(134367,2000725,7,100,'Caster will Dodge 93.4% of incoming attacks',0,1),
(134368,2000725,8,100,'Reduces all damage done to caster by 28.18%',0,0),
(134369,2000725,8,100,'Caster will Dodge 94.0% of incoming attacks',0,1),
(134370,2000725,9,100,'Reduces all damage done to caster by 29.09%',0,0),
(134371,2000725,9,100,'Caster will Dodge 97.0% of incoming attacks',0,1),
(134372,2000725,10,100,'Reduces all damage done to caster by 30.54%',0,0),
(134373,2000725,10,100,'Caster will Dodge 101.8% of incoming attacks',0,1),
(134374,2000725,10,100,'Prevents AOE (except when direct) ',0,2),
(134375,250020,3,100,'Grants invisibility to target',0,0),
(134376,250020,3,100,'Suspends target''s movement speed enhancements',0,1),
(134377,250020,3,100,'Prevents AOE (except when direct) ',0,2),
(134378,250020,3,100,'Dispelled when target takes damage',0,3),
(134379,250020,3,100,'This effect cancels during combat',0,4),
(134380,190183,1,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(134381,190183,1,100,'Slows target by 30.2%',1,1),
(134382,190183,1,100,'5% chance to dispel when target receives hostile action',1,2),
(134383,190183,1,100,'5% chance to dispel when target takes damage',1,3),
(134384,190183,1,100,'Inflicts 8 - 9 cold damage on target',0,4),
(134385,190183,2,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(134386,190183,2,100,'Slows target by 30.2%',1,1),
(134387,190183,2,100,'5% chance to dispel when target receives hostile action',1,2),
(134388,190183,2,100,'5% chance to dispel when target takes damage',1,3),
(134389,190183,2,100,'Inflicts 8 - 10 cold damage on target',0,4),
(134390,190183,3,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(134391,190183,3,100,'Slows target by 30.2%',1,1),
(134392,190183,3,100,'5% chance to dispel when target receives hostile action',1,2),
(134393,190183,3,100,'5% chance to dispel when target takes damage',1,3),
(134394,190183,3,100,'Inflicts 8 - 10 cold damage on target',0,4),
(134395,190183,4,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(134396,190183,4,100,'Slows target by 30.2%',1,1),
(134397,190183,4,100,'5% chance to dispel when target receives hostile action',1,2),
(134398,190183,4,100,'5% chance to dispel when target takes damage',1,3),
(134399,190183,4,100,'Inflicts 9 - 11 cold damage on target',0,4),
(134400,190183,5,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(134401,190183,5,100,'Slows target by 30.2%',1,1),
(134402,190183,5,100,'5% chance to dispel when target receives hostile action',1,2),
(134403,190183,5,100,'5% chance to dispel when target takes damage',1,3),
(134404,190183,5,100,'Inflicts 10 - 12 cold damage on target',0,4),
(134405,190183,7,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(134406,190183,7,100,'Slows target by 30.2%',1,1),
(134407,190183,7,100,'5% chance to dispel when target receives hostile action',1,2),
(134408,190183,7,100,'5% chance to dispel when target takes damage',1,3),
(134409,190183,7,100,'Inflicts 13 - 16 cold damage on target',0,4),
(134410,190183,9,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(134411,190183,9,100,'Slows target by 30.2%',1,1),
(134412,190183,9,100,'5% chance to dispel when target receives hostile action',1,2),
(134413,190183,9,100,'5% chance to dispel when target takes damage',1,3),
(134414,190183,9,100,'Inflicts 14 - 17 cold damage on target',0,4),
(134415,190184,1,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(134416,190184,1,100,'Slows target by 31.8%',1,1),
(134417,190184,1,100,'5% chance to dispel when target receives hostile action',1,2),
(134418,190184,1,100,'5% chance to dispel when target takes damage',1,3),
(134419,190184,1,100,'Inflicts 27 - 33 cold damage on target',0,4),
(134420,190184,2,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(134421,190184,2,100,'Slows target by 31.8%',1,1),
(134422,190184,2,100,'5% chance to dispel when target receives hostile action',1,2),
(134423,190184,2,100,'5% chance to dispel when target takes damage',1,3),
(134424,190184,2,100,'Inflicts 28 - 34 cold damage on target',0,4),
(134425,190184,3,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(134426,190184,3,100,'Slows target by 31.8%',1,1),
(134427,190184,3,100,'5% chance to dispel when target receives hostile action',1,2),
(134428,190184,3,100,'5% chance to dispel when target takes damage',1,3),
(134429,190184,3,100,'Inflicts 30 - 36 cold damage on target',0,4),
(134430,190184,4,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(134431,190184,4,100,'Slows target by 31.8%',1,1),
(134432,190184,4,100,'5% chance to dispel when target receives hostile action',1,2),
(134433,190184,4,100,'5% chance to dispel when target takes damage',1,3),
(134434,190184,4,100,'Inflicts 33 - 40 cold damage on target',0,4),
(134435,190184,5,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(134436,190184,5,100,'Slows target by 31.8%',1,1),
(134437,190184,5,100,'5% chance to dispel when target receives hostile action',1,2),
(134438,190184,5,100,'5% chance to dispel when target takes damage',1,3),
(134439,190184,5,100,'Inflicts 36 - 43 cold damage on target',0,4),
(134440,190184,7,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(134441,190184,7,100,'Slows target by 31.8%',1,1),
(134442,190184,7,100,'5% chance to dispel when target receives hostile action',1,2),
(134443,190184,7,100,'5% chance to dispel when target takes damage',1,3),
(134444,190184,7,100,'Inflicts 46 - 56 cold damage on target',0,4),
(134445,190184,9,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(134446,190184,9,100,'Slows target by 31.8%',1,1),
(134447,190184,9,100,'5% chance to dispel when target receives hostile action',1,2),
(134448,190184,9,100,'5% chance to dispel when target takes damage',1,3),
(134449,190184,9,100,'Inflicts 47 - 58 cold damage on target',0,4),
(134450,190185,1,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(134451,190185,1,100,'Slows target by 33.4%',1,1),
(134452,190185,1,100,'5% chance to dispel when target receives hostile action',1,2),
(134453,190185,1,100,'5% chance to dispel when target takes damage',1,3),
(134454,190185,1,100,'Inflicts 49 - 60 cold damage on target',0,4),
(134455,190185,2,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(134456,190185,2,100,'Slows target by 33.4%',1,1),
(134457,190185,2,100,'5% chance to dispel when target receives hostile action',1,2),
(134458,190185,2,100,'5% chance to dispel when target takes damage',1,3),
(134459,190185,2,100,'Inflicts 52 - 64 cold damage on target',0,4),
(134460,190185,3,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(134461,190185,3,100,'Slows target by 33.4%',1,1),
(134462,190185,3,100,'5% chance to dispel when target receives hostile action',1,2),
(134463,190185,3,100,'5% chance to dispel when target takes damage',1,3),
(134464,190185,3,100,'Inflicts 55 - 67 cold damage on target',0,4),
(134465,190185,4,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(134466,190185,4,100,'Slows target by 33.4%',1,1),
(134467,190185,4,100,'5% chance to dispel when target receives hostile action',1,2),
(134468,190185,4,100,'5% chance to dispel when target takes damage',1,3),
(134469,190185,4,100,'Inflicts 60 - 74 cold damage on target',0,4),
(134470,190185,5,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(134471,190185,5,100,'Slows target by 33.4%',1,1),
(134472,190185,5,100,'5% chance to dispel when target receives hostile action',1,2),
(134473,190185,5,100,'5% chance to dispel when target takes damage',1,3),
(134474,190185,5,100,'Inflicts 66 - 80 cold damage on target',0,4),
(134475,190185,7,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(134476,190185,7,100,'Slows target by 33.4%',1,1),
(134477,190185,7,100,'5% chance to dispel when target receives hostile action',1,2),
(134478,190185,7,100,'5% chance to dispel when target takes damage',1,3),
(134479,190185,7,100,'Inflicts 84 - 103 cold damage on target',0,4),
(134480,190185,9,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(134481,190185,9,100,'Slows target by 33.4%',1,1),
(134482,190185,9,100,'5% chance to dispel when target receives hostile action',1,2),
(134483,190185,9,100,'5% chance to dispel when target takes damage',1,3),
(134484,190185,9,100,'Inflicts 88 - 107 cold damage on target',0,4),
(134485,190186,1,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(134486,190186,1,100,'Slows target by 36.2%',1,1),
(134487,190186,1,100,'5% chance to dispel when target receives hostile action',1,2),
(134488,190186,1,100,'5% chance to dispel when target takes damage',1,3),
(134489,190186,1,100,'Inflicts 95 - 117 cold damage on target',0,4),
(134490,190186,2,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(134491,190186,2,100,'Slows target by 36.2%',1,1),
(134492,190186,2,100,'5% chance to dispel when target receives hostile action',1,2),
(134493,190186,2,100,'5% chance to dispel when target takes damage',1,3),
(134494,190186,2,100,'Inflicts 101 - 123 cold damage on target',0,4),
(134495,190186,3,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(134496,190186,3,100,'Slows target by 36.2%',1,1),
(134497,190186,3,100,'5% chance to dispel when target receives hostile action',1,2),
(134498,190186,3,100,'5% chance to dispel when target takes damage',1,3),
(134499,190186,3,100,'Inflicts 106 - 130 cold damage on target',0,4),
(134500,190186,4,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(134501,190186,4,100,'Slows target by 36.2%',1,1),
(134502,190186,4,100,'5% chance to dispel when target receives hostile action',1,2),
(134503,190186,4,100,'5% chance to dispel when target takes damage',1,3),
(134504,190186,4,100,'Inflicts 117 - 142 cold damage on target',0,4),
(134505,190186,5,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(134506,190186,5,100,'Slows target by 36.2%',1,1),
(134507,190186,5,100,'5% chance to dispel when target receives hostile action',1,2),
(134508,190186,5,100,'5% chance to dispel when target takes damage',1,3),
(134509,190186,5,100,'Inflicts 127 - 155 cold damage on target',0,4),
(134510,190186,7,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(134511,190186,7,100,'Slows target by 36.2%',1,1),
(134512,190186,7,100,'5% chance to dispel when target receives hostile action',1,2),
(134513,190186,7,100,'5% chance to dispel when target takes damage',1,3),
(134514,190186,7,100,'Inflicts 163 - 199 cold damage on target',0,4),
(134515,190186,9,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(134516,190186,9,100,'Slows target by 36.2%',1,1),
(134517,190186,9,100,'5% chance to dispel when target receives hostile action',1,2),
(134518,190186,9,100,'5% chance to dispel when target takes damage',1,3),
(134519,190186,9,100,'Inflicts 170 - 207 cold damage on target',0,4),
(134520,190187,1,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(134521,190187,1,100,'Slows target by 41.7%',1,1),
(134522,190187,1,100,'5% chance to dispel when target receives hostile action',1,2),
(134523,190187,1,100,'5% chance to dispel when target takes damage',1,3),
(134524,190187,1,100,'Inflicts 375 - 458 cold damage on target',0,4),
(134525,190187,4,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(134526,190187,4,100,'Slows target by 41.7%',1,1),
(134527,190187,4,100,'5% chance to dispel when target receives hostile action',1,2),
(134528,190187,4,100,'5% chance to dispel when target takes damage',1,3),
(134529,190187,4,100,'Inflicts 458 - 560 cold damage on target',0,4),
(134530,190187,5,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(134531,190187,5,100,'Slows target by 41.7%',1,1),
(134532,190187,5,100,'5% chance to dispel when target receives hostile action',1,2),
(134533,190187,5,100,'5% chance to dispel when target takes damage',1,3),
(134534,190187,5,100,'Inflicts 500 - 611 cold damage on target',0,4),
(134535,190187,7,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(134536,190187,7,100,'Slows target by 41.7%',1,1),
(134537,190187,7,100,'5% chance to dispel when target receives hostile action',1,2),
(134538,190187,7,100,'5% chance to dispel when target takes damage',1,3),
(134539,190187,7,100,'Inflicts 641 - 784 cold damage on target',0,4),
(134540,190187,9,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(134541,190187,9,100,'Slows target by 41.7%',1,1),
(134542,190187,9,100,'5% chance to dispel when target receives hostile action',1,2),
(134543,190187,9,100,'5% chance to dispel when target takes damage',1,3),
(134544,190187,9,100,'Inflicts 666 - 814 cold damage on target',0,4),
(134545,190188,1,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(134546,190188,1,100,'Slows target by 39.0%',1,1),
(134547,190188,1,100,'5% chance to dispel when target receives hostile action',1,2),
(134548,190188,1,100,'5% chance to dispel when target takes damage',1,3),
(134549,190188,1,100,'Inflicts 147 - 180 cold damage on target',0,4),
(134550,190188,2,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(134551,190188,2,100,'Slows target by 39.0%',1,1),
(134552,190188,2,100,'5% chance to dispel when target receives hostile action',1,2),
(134553,190188,2,100,'5% chance to dispel when target takes damage',1,3),
(134554,190188,2,100,'Inflicts 156 - 190 cold damage on target',0,4),
(134555,190188,3,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(134556,190188,3,100,'Slows target by 39.0%',1,1),
(134557,190188,3,100,'5% chance to dispel when target receives hostile action',1,2),
(134558,190188,3,100,'5% chance to dispel when target takes damage',1,3),
(134559,190188,3,100,'Inflicts 164 - 200 cold damage on target',0,4),
(134560,190188,4,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(134561,190188,4,100,'Slows target by 39.0%',1,1),
(134562,190188,4,100,'5% chance to dispel when target receives hostile action',1,2),
(134563,190188,4,100,'5% chance to dispel when target takes damage',1,3),
(134564,190188,4,100,'Inflicts 180 - 220 cold damage on target',0,4),
(134565,190188,5,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(134566,190188,5,100,'Slows target by 39.0%',1,1),
(134567,190188,5,100,'5% chance to dispel when target receives hostile action',1,2),
(134568,190188,5,100,'5% chance to dispel when target takes damage',1,3),
(134569,190188,5,100,'Inflicts 196 - 240 cold damage on target',0,4),
(134570,190188,7,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(134571,190188,7,100,'Slows target by 39.0%',1,1),
(134572,190188,7,100,'5% chance to dispel when target receives hostile action',1,2),
(134573,190188,7,100,'5% chance to dispel when target takes damage',1,3),
(134574,190188,7,100,'Inflicts 252 - 308 cold damage on target',0,4),
(134575,190188,9,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(134576,190188,9,100,'Slows target by 39.0%',1,1),
(134577,190188,9,100,'5% chance to dispel when target receives hostile action',1,2),
(134578,190188,9,100,'5% chance to dispel when target takes damage',1,3),
(134579,190188,9,100,'Inflicts 262 - 320 cold damage on target',0,4),
(134580,190189,1,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(134581,190189,1,100,'Slows target by 40.4%',1,1),
(134582,190189,1,100,'5% chance to dispel when target receives hostile action',1,2),
(134583,190189,1,100,'5% chance to dispel when target takes damage',1,3),
(134584,190189,1,100,'Inflicts 207 - 253 cold damage on target',0,4),
(134585,190189,2,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(134586,190189,2,100,'Slows target by 40.4%',1,1),
(134587,190189,2,100,'5% chance to dispel when target receives hostile action',1,2),
(134588,190189,2,100,'5% chance to dispel when target takes damage',1,3),
(134589,190189,2,100,'Inflicts 218 - 267 cold damage on target',0,4),
(134590,190189,3,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(134591,190189,3,100,'Slows target by 40.4%',1,1),
(134592,190189,3,100,'5% chance to dispel when target receives hostile action',1,2),
(134593,190189,3,100,'5% chance to dispel when target takes damage',1,3),
(134594,190189,3,100,'Inflicts 230 - 281 cold damage on target',0,4),
(134595,190189,4,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(134596,190189,4,100,'Slows target by 40.4%',1,1),
(134597,190189,4,100,'5% chance to dispel when target receives hostile action',1,2),
(134598,190189,4,100,'5% chance to dispel when target takes damage',1,3),
(134599,190189,4,100,'Inflicts 253 - 309 cold damage on target',0,4),
(134600,190189,5,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(134601,190189,5,100,'Slows target by 40.4%',1,1),
(134602,190189,5,100,'5% chance to dispel when target receives hostile action',1,2),
(134603,190189,5,100,'5% chance to dispel when target takes damage',1,3),
(134604,190189,5,100,'Inflicts 276 - 337 cold damage on target',0,4),
(134605,190189,7,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(134606,190189,7,100,'Slows target by 40.4%',1,1),
(134607,190189,7,100,'5% chance to dispel when target receives hostile action',1,2),
(134608,190189,7,100,'5% chance to dispel when target takes damage',1,3),
(134609,190189,7,100,'Inflicts 354 - 433 cold damage on target',0,4),
(134610,190189,9,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(134611,190189,9,100,'Slows target by 40.4%',1,1),
(134612,190189,9,100,'5% chance to dispel when target receives hostile action',1,2),
(134613,190189,9,100,'5% chance to dispel when target takes damage',1,3),
(134614,190189,9,100,'Inflicts 368 - 450 cold damage on target',0,4),
(134615,190190,1,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(134616,190190,1,100,'Slows target by 40.9%',1,1),
(134617,190190,1,100,'5% chance to dispel when target receives hostile action',1,2),
(134618,190190,1,100,'5% chance to dispel when target takes damage',1,3),
(134619,190190,1,100,'Inflicts 265 - 323 cold damage on target',0,4),
(134620,190190,2,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(134621,190190,2,100,'Slows target by 40.9%',1,1),
(134622,190190,2,100,'5% chance to dispel when target receives hostile action',1,2),
(134623,190190,2,100,'5% chance to dispel when target takes damage',1,3),
(134624,190190,2,100,'Inflicts 279 - 341 cold damage on target',0,4),
(134625,190190,3,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(134626,190190,3,100,'Slows target by 40.9%',1,1),
(134627,190190,3,100,'5% chance to dispel when target receives hostile action',1,2),
(134628,190190,3,100,'5% chance to dispel when target takes damage',1,3),
(134629,190190,3,100,'Inflicts 294 - 359 cold damage on target',0,4),
(134630,190190,4,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(134631,190190,4,100,'Slows target by 40.9%',1,1),
(134632,190190,4,100,'5% chance to dispel when target receives hostile action',1,2),
(134633,190190,4,100,'5% chance to dispel when target takes damage',1,3),
(134634,190190,4,100,'Inflicts 323 - 395 cold damage on target',0,4),
(134635,190190,5,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(134636,190190,5,100,'Slows target by 40.9%',1,1),
(134637,190190,5,100,'5% chance to dispel when target receives hostile action',1,2),
(134638,190190,5,100,'5% chance to dispel when target takes damage',1,3),
(134639,190190,5,100,'Inflicts 353 - 431 cold damage on target',0,4),
(134640,190190,7,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(134641,190190,7,100,'Slows target by 40.9%',1,1),
(134642,190190,7,100,'5% chance to dispel when target receives hostile action',1,2),
(134643,190190,7,100,'5% chance to dispel when target takes damage',1,3),
(134644,190190,7,100,'Inflicts 453 - 553 cold damage on target',0,4),
(134645,190190,9,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(134646,190190,9,100,'Slows target by 40.9%',1,1),
(134647,190190,9,100,'5% chance to dispel when target receives hostile action',1,2),
(134648,190190,9,100,'5% chance to dispel when target takes damage',1,3),
(134649,190190,9,100,'Inflicts 470 - 575 cold damage on target',0,4),
(134650,190190,10,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(134651,190190,10,100,'Slows target by 40.9%',1,1),
(134652,190190,10,100,'5% chance to dispel when target receives hostile action',1,2),
(134653,190190,10,100,'5% chance to dispel when target takes damage',1,3),
(134654,190190,10,100,'Inflicts 494 - 604 cold damage on target',0,4),
(134655,190191,1,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(134656,190191,1,100,'Slows target by 41.3%',1,1),
(134657,190191,1,100,'5% chance to dispel when target receives hostile action',1,2),
(134658,190191,1,100,'5% chance to dispel when target takes damage',1,3),
(134659,190191,1,100,'Inflicts 320 - 391 cold damage on target',0,4),
(134660,190191,4,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(134661,190191,4,100,'Slows target by 41.3%',1,1),
(134662,190191,4,100,'5% chance to dispel when target receives hostile action',1,2),
(134663,190191,4,100,'5% chance to dispel when target takes damage',1,3),
(134664,190191,4,100,'Inflicts 391 - 478 cold damage on target',0,4),
(134665,190191,5,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(134666,190191,5,100,'Slows target by 41.3%',1,1),
(134667,190191,5,100,'5% chance to dispel when target receives hostile action',1,2),
(134668,190191,5,100,'5% chance to dispel when target takes damage',1,3),
(134669,190191,5,100,'Inflicts 427 - 522 cold damage on target',0,4),
(134670,190191,7,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(134671,190191,7,100,'Slows target by 41.3%',1,1),
(134672,190191,7,100,'5% chance to dispel when target receives hostile action',1,2),
(134673,190191,7,100,'5% chance to dispel when target takes damage',1,3),
(134674,190191,7,100,'Inflicts 548 - 670 cold damage on target',0,4),
(134675,190191,9,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(134676,190191,9,100,'Slows target by 41.3%',1,1),
(134677,190191,9,100,'5% chance to dispel when target receives hostile action',1,2),
(134678,190191,9,100,'5% chance to dispel when target takes damage',1,3),
(134679,190191,9,100,'Inflicts 569 - 696 cold damage on target',0,4),
(134680,270178,1,100,'Increases Multi Attack of target by 26.5',0,0),
(134681,270178,2,100,'Increases Multi Attack of target by 27.9',0,0),
(134682,270178,3,100,'Increases Multi Attack of target by 29.4',0,0),
(134683,270178,4,100,'Increases Multi Attack of target by 32.3',0,0),
(134684,270178,5,100,'Increases Multi Attack of target by 35.3',0,0),
(134685,270178,7,100,'Increases Multi Attack of target by 45.3',0,0),
(134686,270178,9,100,'Increases Multi Attack of target by 47.0',0,0),
(134687,270178,10,100,'Increases Multi Attack of target by 49.4',0,0),
(134688,270179,1,100,'Increases Multi Attack of target by 32.3',0,0),
(134689,270179,2,100,'Increases Multi Attack of target by 34.1',0,0),
(134690,270179,3,100,'Increases Multi Attack of target by 35.9',0,0),
(134691,270179,4,100,'Increases Multi Attack of target by 39.5',0,0),
(134692,270179,5,100,'Increases Multi Attack of target by 43.0',0,0),
(134693,270179,7,100,'Increases Multi Attack of target by 55.2',0,0),
(134694,270179,9,100,'Increases Multi Attack of target by 57.4',0,0),
(134695,270179,10,100,'Increases Multi Attack of target by 60.3',0,0),
(134696,270180,1,100,'Increases Multi Attack of target by 38.1',0,0),
(134697,270180,2,100,'Increases Multi Attack of target by 40.2',0,0),
(134698,270180,3,100,'Increases Multi Attack of target by 42.3',0,0),
(134699,270180,4,100,'Increases Multi Attack of target by 46.5',0,0),
(134700,270180,5,100,'Increases Multi Attack of target by 50.7',0,0),
(134701,270180,7,100,'Increases Multi Attack of target by 65.1',0,0),
(134702,270180,9,100,'Increases Multi Attack of target by 67.7',0,0),
(134703,270181,1,100,'Increases Multi Attack of target by 44.1',0,0),
(134704,270181,2,100,'Increases Multi Attack of target by 46.5',0,0),
(134705,270181,3,100,'Increases Multi Attack of target by 49.0',0,0),
(134706,270181,4,100,'Increases Multi Attack of target by 53.9',0,0),
(134707,270181,5,100,'Increases Multi Attack of target by 58.8',0,0),
(134708,270181,7,100,'Increases Multi Attack of target by 75.4',0,0),
(134709,270181,9,100,'Increases Multi Attack of target by 78.3',0,0),
(134710,140201,1,100,'On a melee hit this spell will cast Vengeance on caster.  ',0,0),
(134711,140201,1,100,'Inflicts 56 divine damage on target',1,1),
(134712,140201,1,100,'Grants a total of 5 triggers of the spell.',1,2),
(134713,140201,2,100,'On a melee hit this spell will cast Vengeance on caster.  ',0,0),
(134714,140201,2,100,'Inflicts 59 divine damage on target',1,1),
(134715,140201,2,100,'Grants a total of 5 triggers of the spell.',1,2),
(134716,140201,3,100,'On a melee hit this spell will cast Vengeance on caster.  ',0,0),
(134717,140201,3,100,'Inflicts 62 divine damage on target',1,1),
(134718,140201,3,100,'Grants a total of 5 triggers of the spell.',1,2),
(134719,140201,4,100,'On a melee hit this spell will cast Vengeance on caster.  ',0,0),
(134720,140201,4,100,'Inflicts 69 divine damage on target',1,1),
(134721,140201,4,100,'Grants a total of 5 triggers of the spell.',1,2),
(134722,140201,5,100,'On a melee hit this spell will cast Vengeance on caster.  ',0,0),
(134723,140201,5,100,'Inflicts 75 divine damage on target',1,1),
(134724,140201,5,100,'Grants a total of 5 triggers of the spell.',1,2),
(134725,140201,7,100,'On a melee hit this spell will cast Vengeance on caster.  ',0,0),
(134726,140201,7,100,'Inflicts 89 divine damage on target',1,1),
(134727,140201,7,100,'Grants a total of 5 triggers of the spell.',1,2),
(134728,140201,9,100,'On a melee hit this spell will cast Vengeance on caster.  ',0,0),
(134729,140201,9,100,'Inflicts 100 divine damage on target',1,1),
(134730,140201,9,100,'Grants a total of 5 triggers of the spell.',1,2),
(134731,140202,1,100,'On a melee hit this spell will cast Vengeance on caster.  ',0,0),
(134732,140202,1,100,'Inflicts 88 divine damage on target',1,1),
(134733,140202,1,100,'Grants a total of 5 triggers of the spell.',1,2),
(134734,140202,2,100,'On a melee hit this spell will cast Vengeance on caster.  ',0,0),
(134735,140202,2,100,'Inflicts 93 divine damage on target',1,1),
(134736,140202,2,100,'Grants a total of 5 triggers of the spell.',1,2),
(134737,140202,3,100,'On a melee hit this spell will cast Vengeance on caster.  ',0,0),
(134738,140202,3,100,'Inflicts 98 divine damage on target',1,1),
(134739,140202,3,100,'Grants a total of 5 triggers of the spell.',1,2),
(134740,140202,4,100,'On a melee hit this spell will cast Vengeance on caster.  ',0,0),
(134741,140202,4,100,'Inflicts 108 divine damage on target',1,1),
(134742,140202,4,100,'Grants a total of 5 triggers of the spell.',1,2),
(134743,140202,5,100,'On a melee hit this spell will cast Vengeance on caster.  ',0,0),
(134744,140202,5,100,'Inflicts 118 divine damage on target',1,1),
(134745,140202,5,100,'Grants a total of 5 triggers of the spell.',1,2),
(134746,140202,7,100,'On a melee hit this spell will cast Vengeance on caster.  ',0,0),
(134747,140202,7,100,'Inflicts 151 divine damage on target',1,1),
(134748,140202,7,100,'Grants a total of 5 triggers of the spell.',1,2),
(134749,140202,9,100,'On a melee hit this spell will cast Vengeance on caster.  ',0,0),
(134750,140202,9,100,'Inflicts 157 divine damage on target',1,1),
(134751,140202,9,100,'Grants a total of 5 triggers of the spell.',1,2),
(134752,140202,10,100,'On a melee hit this spell will cast Vengeance on caster.  ',0,0),
(134753,140202,10,100,'Inflicts 165 divine damage on target',1,1),
(134754,140202,10,100,'Grants a total of 5 triggers of the spell.',1,2),
(134755,140203,1,100,'On a melee hit this spell will cast Vengeance on caster.  ',0,0),
(134756,140203,1,100,'Inflicts 126 divine damage on target',1,1),
(134757,140203,1,100,'Grants a total of 5 triggers of the spell.',1,2),
(134758,140203,2,100,'On a melee hit this spell will cast Vengeance on caster.  ',0,0),
(134759,140203,2,100,'Inflicts 133 divine damage on target',1,1),
(134760,140203,2,100,'Grants a total of 5 triggers of the spell.',1,2),
(134761,140203,3,100,'On a melee hit this spell will cast Vengeance on caster.  ',0,0),
(134762,140203,3,100,'Inflicts 140 divine damage on target',1,1),
(134763,140203,3,100,'Grants a total of 5 triggers of the spell.',1,2),
(134764,140203,4,100,'On a melee hit this spell will cast Vengeance on caster.  ',0,0),
(134765,140203,4,100,'Inflicts 154 divine damage on target',1,1),
(134766,140203,4,100,'Grants a total of 5 triggers of the spell.',1,2),
(134767,140203,5,100,'On a melee hit this spell will cast Vengeance on caster.  ',0,0),
(134768,140203,5,100,'Inflicts 168 divine damage on target',1,1),
(134769,140203,5,100,'Grants a total of 5 triggers of the spell.',1,2),
(134770,140203,7,100,'On a melee hit this spell will cast Vengeance on caster.  ',0,0),
(134771,140203,7,100,'Inflicts 216 divine damage on target',1,1),
(134772,140203,7,100,'Grants a total of 5 triggers of the spell.',1,2),
(134773,140203,9,100,'On a melee hit this spell will cast Vengeance on caster.  ',0,0),
(134774,140203,9,100,'Inflicts 224 divine damage on target',1,1),
(134775,140203,9,100,'Grants a total of 5 triggers of the spell.',1,2),
(134776,140204,1,100,'On a melee hit this spell will cast Vengeance on caster.  ',0,0),
(134777,140204,1,100,'Inflicts 165 divine damage on target',1,1),
(134778,140204,1,100,'Grants a total of 5 triggers of the spell.',1,2),
(134779,140204,2,100,'On a melee hit this spell will cast Vengeance on caster.  ',0,0),
(134780,140204,2,100,'Inflicts 174 divine damage on target',1,1),
(134781,140204,2,100,'Grants a total of 5 triggers of the spell.',1,2),
(134782,140204,3,100,'On a melee hit this spell will cast Vengeance on caster.  ',0,0),
(134783,140204,3,100,'Inflicts 183 divine damage on target',1,1),
(134784,140204,3,100,'Grants a total of 5 triggers of the spell.',1,2),
(134785,140204,4,100,'On a melee hit this spell will cast Vengeance on caster.  ',0,0),
(134786,140204,4,100,'Inflicts 201 divine damage on target',1,1),
(134787,140204,4,100,'Grants a total of 5 triggers of the spell.',1,2),
(134788,140204,5,100,'On a melee hit this spell will cast Vengeance on caster.  ',0,0),
(134789,140204,5,100,'Inflicts 219 divine damage on target',1,1),
(134790,140204,5,100,'Grants a total of 5 triggers of the spell.',1,2),
(134791,140204,7,100,'On a melee hit this spell will cast Vengeance on caster.  ',0,0),
(134792,140204,7,100,'Inflicts 282 divine damage on target',1,1),
(134793,140204,7,100,'Grants a total of 5 triggers of the spell.',1,2),
(134794,140204,9,100,'On a melee hit this spell will cast Vengeance on caster.  ',0,0),
(134795,140204,9,100,'Inflicts 293 divine damage on target',1,1),
(134796,140204,9,100,'Grants a total of 5 triggers of the spell.',1,2),
(134797,140204,10,100,'On a melee hit this spell will cast Vengeance on caster.  ',0,0),
(134798,140204,10,100,'Inflicts 307 divine damage on target',1,1),
(134799,140204,10,100,'Grants a total of 5 triggers of the spell.',1,2),
(134800,140205,1,100,'On a melee hit this spell will cast Vengeance on caster.  ',0,0),
(134801,140205,1,100,'Inflicts 199 divine damage on target',1,1),
(134802,140205,1,100,'Grants a total of 5 triggers of the spell.',1,2),
(134803,140205,4,100,'On a melee hit this spell will cast Vengeance on caster.  ',0,0),
(134804,140205,4,100,'Inflicts 244 divine damage on target',1,1),
(134805,140205,4,100,'Grants a total of 5 triggers of the spell.',1,2),
(134806,140205,5,100,'On a melee hit this spell will cast Vengeance on caster.  ',0,0),
(134807,140205,5,100,'Inflicts 266 divine damage on target',1,1),
(134808,140205,5,100,'Grants a total of 5 triggers of the spell.',1,2),
(134809,140205,7,100,'On a melee hit this spell will cast Vengeance on caster.  ',0,0),
(134810,140205,7,100,'Inflicts 341 divine damage on target',1,1),
(134811,140205,7,100,'Grants a total of 5 triggers of the spell.',1,2),
(134812,140205,9,100,'On a melee hit this spell will cast Vengeance on caster.  ',0,0),
(134813,140205,9,100,'Inflicts 354 divine damage on target',1,1),
(134814,140205,9,100,'Grants a total of 5 triggers of the spell.',1,2),
(134815,140206,1,100,'On a melee hit this spell will cast Vengeance on caster.  ',0,0),
(134816,140206,1,100,'Inflicts 237 divine damage on target',1,1),
(134817,140206,1,100,'Grants a total of 5 triggers of the spell.',1,2),
(134818,140206,4,100,'On a melee hit this spell will cast Vengeance on caster.  ',0,0),
(134819,140206,4,100,'Inflicts 289 divine damage on target',1,1),
(134820,140206,4,100,'Grants a total of 5 triggers of the spell.',1,2),
(134821,140206,5,100,'On a melee hit this spell will cast Vengeance on caster.  ',0,0),
(134822,140206,5,100,'Inflicts 315 divine damage on target',1,1),
(134823,140206,5,100,'Grants a total of 5 triggers of the spell.',1,2),
(134824,140206,7,100,'On a melee hit this spell will cast Vengeance on caster.  ',0,0),
(134825,140206,7,100,'Inflicts 405 divine damage on target',1,1),
(134826,140206,7,100,'Grants a total of 5 triggers of the spell.',1,2),
(134827,140206,9,100,'On a melee hit this spell will cast Vengeance on caster.  ',0,0),
(134828,140206,9,100,'Inflicts 420 divine damage on target',1,1),
(134829,140206,9,100,'Grants a total of 5 triggers of the spell.',1,2),
(134830,2000726,1,100,'Inflicts 1 - 2 piercing damage on target',0,0),
(134831,2000726,1,100,'Inflicts 1 - 2 poison damage on target',0,1),
(134832,2000726,1,100,'Inflicts 1 poison damage on target every 9 seconds',0,2),
(134833,2000726,1,100,'Applies Prolonged Venomous Beak on termination.  Lasts for 1.3 seconds.',0,3),
(134834,2000726,1,100,'Stuns target',1,4),
(134835,2000726,1,100,'Epic targets gain an immunity to Stun effects of 3.7 seconds and duration is reduced to 0.4 seconds.',1,5),
(134836,2000727,1,100,'Inflicts 1 power drain on target every 8 seconds',0,0),
(134837,2000727,1,100,'Inflicts 4 piercing damage on target',0,1),
(134838,160164,1,100,'Dispels 42 levels of any hostile effects on group members (AE)',0,0),
(134839,160164,2,100,'Dispels 45 levels of any hostile effects on group members (AE)',0,0),
(134840,160164,3,100,'Dispels 47 levels of any hostile effects on group members (AE)',0,0),
(134841,160164,4,100,'Dispels 52 levels of any hostile effects on group members (AE)',0,0),
(134842,160164,5,100,'Dispels 57 levels of any hostile effects on group members (AE)',0,0),
(134843,160164,7,100,'Dispels 73 levels of any hostile effects on group members (AE)',0,0),
(134844,160164,9,100,'Dispels 76 levels of any hostile effects on group members (AE)',0,0),
(134845,160165,1,100,'Dispels 56 levels of any hostile effects on group members (AE)',0,0),
(134846,160165,2,100,'Dispels 59 levels of any hostile effects on group members (AE)',0,0),
(134847,160165,3,100,'Dispels 62 levels of any hostile effects on group members (AE)',0,0),
(134848,160165,4,100,'Dispels 69 levels of any hostile effects on group members (AE)',0,0),
(134849,160165,5,100,'Dispels 75 levels of any hostile effects on group members (AE)',0,0),
(134850,160165,7,100,'Dispels 96 levels of any hostile effects on group members (AE)',0,0),
(134851,160165,9,100,'Dispels 100 levels of any hostile effects on group members (AE)',0,0),
(134852,160166,1,100,'Dispels 70 levels of any hostile effects on group members (AE)',0,0),
(134853,160166,2,100,'Dispels 74 levels of any hostile effects on group members (AE)',0,0),
(134854,160166,3,100,'Dispels 78 levels of any hostile effects on group members (AE)',0,0),
(134855,160166,4,100,'Dispels 85 levels of any hostile effects on group members (AE)',0,0),
(134856,160166,5,100,'Dispels 93 levels of any hostile effects on group members (AE)',0,0),
(134857,160166,7,100,'Dispels 120 levels of any hostile effects on group members (AE)',0,0),
(134858,160166,9,100,'Dispels 124 levels of any hostile effects on group members (AE)',0,0),
(134859,140207,1,100,'Applies Verdict on termination.',0,0),
(134860,140207,1,100,'Reduces target''s health to 1.',1,1),
(134861,140207,1,100,'If under 5% Health',1,2),
(134862,140207,1,100,'Applies Verdict.',0,3),
(134863,140207,1,100,'Reduces target''s health to 1.',1,4),
(134864,140207,1,100,'If Target is Weak',1,5),
(134865,140207,1,100,'If under 50% Health',1,6),
(134866,140207,1,100,'Applies Verdict.',0,7),
(134867,140207,1,100,'Reduces target''s health to 1.',1,8),
(134868,140207,1,100,'Certain creature strengths only',1,9),
(134869,140207,1,100,'If under 25% Health',1,10),
(134870,140207,1,100,'Applies Verdict.',0,11),
(134871,140207,1,100,'Reduces target''s health to 1.',1,12),
(134872,140207,1,100,'If Target is stronger than Standard',1,13),
(134873,140207,1,100,'If under 10% Health',1,14),
(134874,140207,1,100,'Applies Verdict.',0,15),
(134875,140207,1,100,'Reduces target''s health to 1.',1,16),
(134876,140207,2,100,'Applies Verdict on termination.',0,0),
(134877,140207,2,100,'Reduces target''s health to 1.',1,1),
(134878,140207,2,100,'If under 5% Health',1,2),
(134879,140207,2,100,'Applies Verdict.',0,3),
(134880,140207,2,100,'Reduces target''s health to 1.',1,4),
(134881,140207,2,100,'If Target is Weak',1,5),
(134882,140207,2,100,'If under 50% Health',1,6),
(134883,140207,2,100,'Applies Verdict.',0,7),
(134884,140207,2,100,'Reduces target''s health to 1.',1,8),
(134885,140207,2,100,'Certain creature strengths only',1,9),
(134886,140207,2,100,'If under 25% Health',1,10),
(134887,140207,2,100,'Applies Verdict.',0,11),
(134888,140207,2,100,'Reduces target''s health to 1.',1,12),
(134889,140207,2,100,'If Target is stronger than Standard',1,13),
(134890,140207,2,100,'If under 10% Health',1,14),
(134891,140207,2,100,'Applies Verdict.',0,15),
(134892,140207,2,100,'Reduces target''s health to 1.',1,16),
(134893,140207,3,100,'Applies Verdict on termination.',0,0),
(134894,140207,3,100,'Reduces target''s health to 1.',1,1),
(134895,140207,3,100,'If under 5% Health',1,2),
(134896,140207,3,100,'Applies Verdict.',0,3),
(134897,140207,3,100,'Reduces target''s health to 1.',1,4),
(134898,140207,3,100,'If Target is Weak',1,5),
(134899,140207,3,100,'If under 50% Health',1,6),
(134900,140207,3,100,'Applies Verdict.',0,7),
(134901,140207,3,100,'Reduces target''s health to 1.',1,8),
(134902,140207,3,100,'Certain creature strengths only',1,9),
(134903,140207,3,100,'If under 25% Health',1,10),
(134904,140207,3,100,'Applies Verdict.',0,11),
(134905,140207,3,100,'Reduces target''s health to 1.',1,12),
(134906,140207,3,100,'If Target is stronger than Standard',1,13),
(134907,140207,3,100,'If under 10% Health',1,14),
(134908,140207,3,100,'Applies Verdict.',0,15),
(134909,140207,3,100,'Reduces target''s health to 1.',1,16),
(134910,140207,4,100,'Applies Verdict on termination.',0,0),
(134911,140207,4,100,'Reduces target''s health to 1.',1,1),
(134912,140207,4,100,'If under 5% Health',1,2),
(134913,140207,4,100,'Applies Verdict.',0,3),
(134914,140207,4,100,'Reduces target''s health to 1.',1,4),
(134915,140207,4,100,'If Target is Weak',1,5),
(134916,140207,4,100,'If under 50% Health',1,6),
(134917,140207,4,100,'Applies Verdict.',0,7),
(134918,140207,4,100,'Reduces target''s health to 1.',1,8),
(134919,140207,4,100,'Certain creature strengths only',1,9),
(134920,140207,4,100,'If under 25% Health',1,10),
(134921,140207,4,100,'Applies Verdict.',0,11),
(134922,140207,4,100,'Reduces target''s health to 1.',1,12),
(134923,140207,4,100,'If Target is stronger than Standard',1,13),
(134924,140207,4,100,'If under 10% Health',1,14),
(134925,140207,4,100,'Applies Verdict.',0,15),
(134926,140207,4,100,'Reduces target''s health to 1.',1,16),
(134927,140207,5,100,'Applies Verdict on termination.',0,0),
(134928,140207,5,100,'Reduces target''s health to 1.',1,1),
(134929,140207,5,100,'If under 5% Health',1,2),
(134930,140207,5,100,'Applies Verdict.',0,3),
(134931,140207,5,100,'Reduces target''s health to 1.',1,4),
(134932,140207,5,100,'If Target is Weak',1,5),
(134933,140207,5,100,'If under 50% Health',1,6),
(134934,140207,5,100,'Applies Verdict.',0,7),
(134935,140207,5,100,'Reduces target''s health to 1.',1,8),
(134936,140207,5,100,'Certain creature strengths only',1,9),
(134937,140207,5,100,'If under 25% Health',1,10),
(134938,140207,5,100,'Applies Verdict.',0,11),
(134939,140207,5,100,'Reduces target''s health to 1.',1,12),
(134940,140207,5,100,'If Target is stronger than Standard',1,13),
(134941,140207,5,100,'If under 10% Health',1,14),
(134942,140207,5,100,'Applies Verdict.',0,15),
(134943,140207,5,100,'Reduces target''s health to 1.',1,16),
(134944,140207,7,100,'Applies Verdict on termination.',0,0),
(134945,140207,7,100,'Reduces target''s health to 1.',1,1),
(134946,140207,7,100,'If under 5% Health',1,2),
(134947,140207,7,100,'Applies Verdict.',0,3),
(134948,140207,7,100,'Reduces target''s health to 1.',1,4),
(134949,140207,7,100,'If Target is Weak',1,5),
(134950,140207,7,100,'If under 50% Health',1,6),
(134951,140207,7,100,'Applies Verdict.',0,7),
(134952,140207,7,100,'Reduces target''s health to 1.',1,8),
(134953,140207,7,100,'Certain creature strengths only',1,9),
(134954,140207,7,100,'If under 25% Health',1,10),
(134955,140207,7,100,'Applies Verdict.',0,11),
(134956,140207,7,100,'Reduces target''s health to 1.',1,12),
(134957,140207,7,100,'If Target is stronger than Standard',1,13),
(134958,140207,7,100,'If under 10% Health',1,14),
(134959,140207,7,100,'Applies Verdict.',0,15),
(134960,140207,7,100,'Reduces target''s health to 1.',1,16),
(134961,140207,9,100,'Applies Verdict on termination.',0,0),
(134962,140207,9,100,'Reduces target''s health to 1.',1,1),
(134963,140207,9,100,'If under 5% Health',1,2),
(134964,140207,9,100,'Applies Verdict.',0,3),
(134965,140207,9,100,'Reduces target''s health to 1.',1,4),
(134966,140207,9,100,'If Target is Weak',1,5),
(134967,140207,9,100,'If under 50% Health',1,6),
(134968,140207,9,100,'Applies Verdict.',0,7),
(134969,140207,9,100,'Reduces target''s health to 1.',1,8),
(134970,140207,9,100,'Certain creature strengths only',1,9),
(134971,140207,9,100,'If under 25% Health',1,10),
(134972,140207,9,100,'Applies Verdict.',0,11),
(134973,140207,9,100,'Reduces target''s health to 1.',1,12),
(134974,140207,9,100,'If Target is stronger than Standard',1,13),
(134975,140207,9,100,'If under 10% Health',1,14),
(134976,140207,9,100,'Applies Verdict.',0,15),
(134977,140207,9,100,'Reduces target''s health to 1.',1,16),
(134978,150020,1,100,'Increases Max Health of group members (AE) by 30.4',0,0),
(134979,150020,1,100,'Increases Mitigation of group members (AE) vs elemental damage by 156',0,1),
(134980,150020,2,100,'Increases Max Health of group members (AE) by 32.1',0,0),
(134981,150020,2,100,'Increases Mitigation of group members (AE) vs elemental damage by 164',0,1),
(134982,150020,3,100,'Increases Max Health of group members (AE) by 33.8',0,0),
(134983,150020,3,100,'Increases Mitigation of group members (AE) vs elemental damage by 173',0,1),
(134984,150020,4,100,'Increases Max Health of group members (AE) by 37.2',0,0),
(134985,150020,4,100,'Increases Mitigation of group members (AE) vs elemental damage by 190',0,1),
(134986,150020,5,100,'Increases Max Health of group members (AE) by 40.6',0,0),
(134987,150020,5,100,'Increases Mitigation of group members (AE) vs elemental damage by 207',0,1),
(134988,150020,7,100,'Increases Max Health of group members (AE) by 52.1',0,0),
(134989,150020,7,100,'Increases Mitigation of group members (AE) vs elemental damage by 266',0,1),
(134990,150020,9,100,'Increases Max Health of group members (AE) by 54.1',0,0),
(134991,150020,9,100,'Increases Mitigation of group members (AE) vs elemental damage by 276',0,1),
(134992,160167,1,100,'Teleports caster and caster''s group within the zone',0,0),
(134993,370175,1,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(134994,370175,1,100,'Slows target by 28.3%',1,1),
(134995,370175,1,100,'5% chance to dispel when target receives hostile action',1,2),
(134996,370175,1,100,'5% chance to dispel when target takes damage',1,3),
(134997,370175,1,100,'Decreases Mitigation of target vs noxious damage by 197',0,4),
(134998,370175,2,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(134999,370175,2,100,'Slows target by 29.8%',1,1),
(135000,370175,2,100,'5% chance to dispel when target receives hostile action',1,2),
(135001,370175,2,100,'5% chance to dispel when target takes damage',1,3),
(135002,370175,2,100,'Decreases Mitigation of target vs noxious damage by 207',0,4),
(135003,370175,3,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(135004,370175,3,100,'Slows target by 31.4%',1,1),
(135005,370175,3,100,'5% chance to dispel when target receives hostile action',1,2),
(135006,370175,3,100,'5% chance to dispel when target takes damage',1,3),
(135007,370175,3,100,'Decreases Mitigation of target vs noxious damage by 218',0,4),
(135008,370175,4,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(135009,370175,4,100,'Slows target by 34.5%',1,1),
(135010,370175,4,100,'5% chance to dispel when target receives hostile action',1,2),
(135011,370175,4,100,'5% chance to dispel when target takes damage',1,3),
(135012,370175,4,100,'Decreases Mitigation of target vs noxious damage by 240',0,4),
(135013,370175,5,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(135014,370175,5,100,'Slows target by 37.7%',1,1),
(135015,370175,5,100,'5% chance to dispel when target receives hostile action',1,2),
(135016,370175,5,100,'5% chance to dispel when target takes damage',1,3),
(135017,370175,5,100,'Decreases Mitigation of target vs noxious damage by 262',0,4),
(135018,370175,7,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(135019,370175,7,100,'Slows target by 48.4%',1,1),
(135020,370175,7,100,'5% chance to dispel when target receives hostile action',1,2),
(135021,370175,7,100,'5% chance to dispel when target takes damage',1,3),
(135022,370175,7,100,'Decreases Mitigation of target vs noxious damage by 336',0,4),
(135023,370175,9,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(135024,370175,9,100,'Slows target by 50.2%',1,1),
(135025,370175,9,100,'5% chance to dispel when target receives hostile action',1,2),
(135026,370175,9,100,'5% chance to dispel when target takes damage',1,3),
(135027,370175,9,100,'Decreases Mitigation of target vs noxious damage by 349',0,4),
(135028,370176,1,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(135029,370176,1,100,'Slows target by 31.1%',1,1),
(135030,370176,1,100,'5% chance to dispel when target receives hostile action',1,2),
(135031,370176,1,100,'5% chance to dispel when target takes damage',1,3),
(135032,370176,1,100,'Decreases Mitigation of target vs noxious damage by 414',0,4),
(135033,370176,2,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(135034,370176,2,100,'Slows target by 32.9%',1,1),
(135035,370176,2,100,'5% chance to dispel when target receives hostile action',1,2),
(135036,370176,2,100,'5% chance to dispel when target takes damage',1,3),
(135037,370176,2,100,'Decreases Mitigation of target vs noxious damage by 437',0,4),
(135038,370176,3,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(135039,370176,3,100,'Slows target by 34.6%',1,1),
(135040,370176,3,100,'5% chance to dispel when target receives hostile action',1,2),
(135041,370176,3,100,'5% chance to dispel when target takes damage',1,3),
(135042,370176,3,100,'Decreases Mitigation of target vs noxious damage by 460',0,4),
(135043,370176,4,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(135044,370176,4,100,'Slows target by 38.1%',1,1),
(135045,370176,4,100,'5% chance to dispel when target receives hostile action',1,2),
(135046,370176,4,100,'5% chance to dispel when target takes damage',1,3),
(135047,370176,4,100,'Decreases Mitigation of target vs noxious damage by 506',0,4),
(135048,370176,5,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(135049,370176,5,100,'Slows target by 41.5%',1,1),
(135050,370176,5,100,'5% chance to dispel when target receives hostile action',1,2),
(135051,370176,5,100,'5% chance to dispel when target takes damage',1,3),
(135052,370176,5,100,'Decreases Mitigation of target vs noxious damage by 552',0,4),
(135053,370176,7,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(135054,370176,7,100,'Slows target by 53.3%',1,1),
(135055,370176,7,100,'5% chance to dispel when target receives hostile action',1,2),
(135056,370176,7,100,'5% chance to dispel when target takes damage',1,3),
(135057,370176,7,100,'Decreases Mitigation of target vs noxious damage by 708',0,4),
(135058,370176,9,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(135059,370176,9,100,'Slows target by 55.4%',1,1),
(135060,370176,9,100,'5% chance to dispel when target receives hostile action',1,2),
(135061,370176,9,100,'5% chance to dispel when target takes damage',1,3),
(135062,370176,9,100,'Decreases Mitigation of target vs noxious damage by 736',0,4),
(135063,370177,1,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(135064,370177,1,100,'Slows target by 33.7%',1,1),
(135065,370177,1,100,'5% chance to dispel when target receives hostile action',1,2),
(135066,370177,1,100,'5% chance to dispel when target takes damage',1,3),
(135067,370177,1,100,'Decreases Mitigation of target vs noxious damage by 666',0,4),
(135068,370177,2,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(135069,370177,2,100,'Slows target by 35.5%',1,1),
(135070,370177,2,100,'5% chance to dispel when target receives hostile action',1,2),
(135071,370177,2,100,'5% chance to dispel when target takes damage',1,3),
(135072,370177,2,100,'Decreases Mitigation of target vs noxious damage by 703',0,4),
(135073,370177,3,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(135074,370177,3,100,'Slows target by 37.4%',1,1),
(135075,370177,3,100,'5% chance to dispel when target receives hostile action',1,2),
(135076,370177,3,100,'5% chance to dispel when target takes damage',1,3),
(135077,370177,3,100,'Decreases Mitigation of target vs noxious damage by 740',0,4),
(135078,370177,4,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(135079,370177,4,100,'Slows target by 41.1%',1,1),
(135080,370177,4,100,'5% chance to dispel when target receives hostile action',1,2),
(135081,370177,4,100,'5% chance to dispel when target takes damage',1,3),
(135082,370177,4,100,'Decreases Mitigation of target vs noxious damage by 814',0,4),
(135083,370177,5,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(135084,370177,5,100,'Slows target by 44.9%',1,1),
(135085,370177,5,100,'5% chance to dispel when target receives hostile action',1,2),
(135086,370177,5,100,'5% chance to dispel when target takes damage',1,3),
(135087,370177,5,100,'Decreases Mitigation of target vs noxious damage by 888',0,4),
(135088,370177,7,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(135089,370177,7,100,'Slows target by 57.6%',1,1),
(135090,370177,7,100,'5% chance to dispel when target receives hostile action',1,2),
(135091,370177,7,100,'5% chance to dispel when target takes damage',1,3),
(135092,370177,7,100,'Decreases Mitigation of target vs noxious damage by 1140',0,4),
(135093,370177,9,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(135094,370177,9,100,'Slows target by 59.8%',1,1),
(135095,370177,9,100,'5% chance to dispel when target receives hostile action',1,2),
(135096,370177,9,100,'5% chance to dispel when target takes damage',1,3),
(135097,370177,9,100,'Decreases Mitigation of target vs noxious damage by 1184',0,4),
(135098,370178,1,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(135099,370178,1,100,'Slows target by 36.0%',1,1),
(135100,370178,1,100,'5% chance to dispel when target receives hostile action',1,2),
(135101,370178,1,100,'5% chance to dispel when target takes damage',1,3),
(135102,370178,1,100,'Decreases Mitigation of target vs noxious damage by 918',0,4),
(135103,370178,2,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(135104,370178,2,100,'Slows target by 38.0%',1,1),
(135105,370178,2,100,'5% chance to dispel when target receives hostile action',1,2),
(135106,370178,2,100,'5% chance to dispel when target takes damage',1,3),
(135107,370178,2,100,'Decreases Mitigation of target vs noxious damage by 969',0,4),
(135108,370178,3,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(135109,370178,3,100,'Slows target by 40.0%',1,1),
(135110,370178,3,100,'5% chance to dispel when target receives hostile action',1,2),
(135111,370178,3,100,'5% chance to dispel when target takes damage',1,3),
(135112,370178,3,100,'Decreases Mitigation of target vs noxious damage by 1020',0,4),
(135113,370178,4,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(135114,370178,4,100,'Slows target by 44.0%',1,1),
(135115,370178,4,100,'5% chance to dispel when target receives hostile action',1,2),
(135116,370178,4,100,'5% chance to dispel when target takes damage',1,3),
(135117,370178,4,100,'Decreases Mitigation of target vs noxious damage by 1122',0,4),
(135118,370178,5,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(135119,370178,5,100,'Slows target by 48.0%',1,1),
(135120,370178,5,100,'5% chance to dispel when target receives hostile action',1,2),
(135121,370178,5,100,'5% chance to dispel when target takes damage',1,3),
(135122,370178,5,100,'Decreases Mitigation of target vs noxious damage by 1224',0,4),
(135123,370178,7,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(135124,370178,7,100,'Slows target by 61.7%',1,1),
(135125,370178,7,100,'5% chance to dispel when target receives hostile action',1,2),
(135126,370178,7,100,'5% chance to dispel when target takes damage',1,3),
(135127,370178,7,100,'Decreases Mitigation of target vs noxious damage by 1571',0,4),
(135128,370178,9,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(135129,370178,9,100,'Slows target by 64.1%',1,1),
(135130,370178,9,100,'5% chance to dispel when target receives hostile action',1,2),
(135131,370178,9,100,'5% chance to dispel when target takes damage',1,3),
(135132,370178,9,100,'Decreases Mitigation of target vs noxious damage by 1632',0,4),
(135133,370179,1,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(135134,370179,1,100,'Slows target by 36.5%',1,1),
(135135,370179,1,100,'5% chance to dispel when target receives hostile action',1,2),
(135136,370179,1,100,'5% chance to dispel when target takes damage',1,3),
(135137,370179,1,100,'Decreases Mitigation of target vs noxious damage by 1170',0,4),
(135138,370179,2,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(135139,370179,2,100,'Slows target by 38.6%',1,1),
(135140,370179,2,100,'5% chance to dispel when target receives hostile action',1,2),
(135141,370179,2,100,'5% chance to dispel when target takes damage',1,3),
(135142,370179,2,100,'Decreases Mitigation of target vs noxious damage by 1235',0,4),
(135143,370179,3,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(135144,370179,3,100,'Slows target by 40.6%',1,1),
(135145,370179,3,100,'5% chance to dispel when target receives hostile action',1,2),
(135146,370179,3,100,'5% chance to dispel when target takes damage',1,3),
(135147,370179,3,100,'Decreases Mitigation of target vs noxious damage by 1300',0,4),
(135148,370179,4,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(135149,370179,4,100,'Slows target by 44.7%',1,1),
(135150,370179,4,100,'5% chance to dispel when target receives hostile action',1,2),
(135151,370179,4,100,'5% chance to dispel when target takes damage',1,3),
(135152,370179,4,100,'Decreases Mitigation of target vs noxious damage by 1430',0,4),
(135153,370179,5,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(135154,370179,5,100,'Slows target by 48.7%',1,1),
(135155,370179,5,100,'5% chance to dispel when target receives hostile action',1,2),
(135156,370179,5,100,'5% chance to dispel when target takes damage',1,3),
(135157,370179,5,100,'Decreases Mitigation of target vs noxious damage by 1560',0,4),
(135158,370179,7,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(135159,370179,7,100,'Slows target by 62.5%',1,1),
(135160,370179,7,100,'5% chance to dispel when target receives hostile action',1,2),
(135161,370179,7,100,'5% chance to dispel when target takes damage',1,3),
(135162,370179,7,100,'Decreases Mitigation of target vs noxious damage by 2002',0,4),
(135163,370179,9,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(135164,370179,9,100,'Slows target by 65.0%',1,1),
(135165,370179,9,100,'5% chance to dispel when target receives hostile action',1,2),
(135166,370179,9,100,'5% chance to dispel when target takes damage',1,3),
(135167,370179,9,100,'Decreases Mitigation of target vs noxious damage by 2080',0,4),
(135168,370180,1,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(135169,370180,1,100,'Slows target by 36.9%',1,1),
(135170,370180,1,100,'5% chance to dispel when target receives hostile action',1,2),
(135171,370180,1,100,'5% chance to dispel when target takes damage',1,3),
(135172,370180,1,100,'Decreases Mitigation of target vs noxious damage by 1485',0,4),
(135173,370180,2,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(135174,370180,2,100,'Slows target by 39.0%',1,1),
(135175,370180,2,100,'5% chance to dispel when target receives hostile action',1,2),
(135176,370180,2,100,'5% chance to dispel when target takes damage',1,3),
(135177,370180,2,100,'Decreases Mitigation of target vs noxious damage by 1568',0,4),
(135178,370180,3,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(135179,370180,3,100,'Slows target by 41.0%',1,1),
(135180,370180,3,100,'5% chance to dispel when target receives hostile action',1,2),
(135181,370180,3,100,'5% chance to dispel when target takes damage',1,3),
(135182,370180,3,100,'Decreases Mitigation of target vs noxious damage by 1650',0,4),
(135183,370180,4,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(135184,370180,4,100,'Slows target by 45.1%',1,1),
(135185,370180,4,100,'5% chance to dispel when target receives hostile action',1,2),
(135186,370180,4,100,'5% chance to dispel when target takes damage',1,3),
(135187,370180,4,100,'Decreases Mitigation of target vs noxious damage by 1815',0,4),
(135188,370180,5,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(135189,370180,5,100,'Slows target by 49.2%',1,1),
(135190,370180,5,100,'5% chance to dispel when target receives hostile action',1,2),
(135191,370180,5,100,'5% chance to dispel when target takes damage',1,3),
(135192,370180,5,100,'Decreases Mitigation of target vs noxious damage by 1980',0,4),
(135193,370180,7,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(135194,370180,7,100,'Slows target by 63.2%',1,1),
(135195,370180,7,100,'5% chance to dispel when target receives hostile action',1,2),
(135196,370180,7,100,'5% chance to dispel when target takes damage',1,3),
(135197,370180,7,100,'Decreases Mitigation of target vs noxious damage by 2541',0,4),
(135198,370180,9,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(135199,370180,9,100,'Slows target by 65.7%',1,1),
(135200,370180,9,100,'5% chance to dispel when target receives hostile action',1,2),
(135201,370180,9,100,'5% chance to dispel when target takes damage',1,3),
(135202,370180,9,100,'Decreases Mitigation of target vs noxious damage by 2640',0,4),
(135203,370181,1,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(135204,370181,1,100,'Slows target by 37.3%',1,1),
(135205,370181,1,100,'5% chance to dispel when target receives hostile action',1,2),
(135206,370181,1,100,'5% chance to dispel when target takes damage',1,3),
(135207,370181,1,100,'Decreases Mitigation of target vs noxious damage by 1858',0,4),
(135208,370181,4,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(135209,370181,4,100,'Slows target by 45.6%',1,1),
(135210,370181,4,100,'5% chance to dispel when target receives hostile action',1,2),
(135211,370181,4,100,'5% chance to dispel when target takes damage',1,3),
(135212,370181,4,100,'Decreases Mitigation of target vs noxious damage by 2270',0,4),
(135213,370181,5,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(135214,370181,5,100,'Slows target by 49.7%',1,1),
(135215,370181,5,100,'5% chance to dispel when target receives hostile action',1,2),
(135216,370181,5,100,'5% chance to dispel when target takes damage',1,3),
(135217,370181,5,100,'Decreases Mitigation of target vs noxious damage by 2477',0,4),
(135218,370181,7,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(135219,370181,7,100,'Slows target by 63.8%',1,1),
(135220,370181,7,100,'5% chance to dispel when target receives hostile action',1,2),
(135221,370181,7,100,'5% chance to dispel when target takes damage',1,3),
(135222,370181,7,100,'Decreases Mitigation of target vs noxious damage by 3179',0,4),
(135223,370181,9,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(135224,370181,9,100,'Slows target by 66.3%',1,1),
(135225,370181,9,100,'5% chance to dispel when target receives hostile action',1,2),
(135226,370181,9,100,'5% chance to dispel when target takes damage',1,3),
(135227,370181,9,100,'Decreases Mitigation of target vs noxious damage by 3302',0,4),
(135228,370182,1,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(135229,370182,1,100,'Slows target by 37.7%',1,1),
(135230,370182,1,100,'5% chance to dispel when target receives hostile action',1,2),
(135231,370182,1,100,'5% chance to dispel when target takes damage',1,3),
(135232,370182,1,100,'Decreases Mitigation of target vs noxious damage by 2074',0,4),
(135233,370182,4,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(135234,370182,4,100,'Slows target by 46.0%',1,1),
(135235,370182,4,100,'5% chance to dispel when target receives hostile action',1,2),
(135236,370182,4,100,'5% chance to dispel when target takes damage',1,3),
(135237,370182,4,100,'Decreases Mitigation of target vs noxious damage by 2534',0,4),
(135238,370182,5,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(135239,370182,5,100,'Slows target by 50.2%',1,1),
(135240,370182,5,100,'5% chance to dispel when target receives hostile action',1,2),
(135241,370182,5,100,'5% chance to dispel when target takes damage',1,3),
(135242,370182,5,100,'Decreases Mitigation of target vs noxious damage by 2765',0,4),
(135243,370182,7,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(135244,370182,7,100,'Slows target by 64.4%',1,1),
(135245,370182,7,100,'5% chance to dispel when target receives hostile action',1,2),
(135246,370182,7,100,'5% chance to dispel when target takes damage',1,3),
(135247,370182,7,100,'Decreases Mitigation of target vs noxious damage by 3548',0,4),
(135248,370182,9,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(135249,370182,9,100,'Slows target by 66.9%',1,1),
(135250,370182,9,100,'5% chance to dispel when target receives hostile action',1,2),
(135251,370182,9,100,'5% chance to dispel when target takes damage',1,3),
(135252,370182,9,100,'Decreases Mitigation of target vs noxious damage by 3686',0,4),
(135253,360180,1,100,'Inflicts 4 - 6 magic damage on target',0,0),
(135254,360180,1,100,'Decreases Ability Casting Speed of target by 18.0%',0,1),
(135255,360180,1,100,'Decreases Defense of target by 2.0',0,2),
(135256,360180,1,100,'Target will lose 8% more power when power is consumed',0,3),
(135257,360180,1,100,'8% of target''s power consumed will also be drained from target''s health',0,4),
(135258,360180,2,100,'Inflicts 4 - 7 magic damage on target',0,0),
(135259,360180,2,100,'Decreases Ability Casting Speed of target by 19.0%',0,1),
(135260,360180,2,100,'Decreases Defense of target by 2.1',0,2),
(135261,360180,2,100,'Target will lose 8% more power when power is consumed',0,3),
(135262,360180,2,100,'8% of target''s power consumed will also be drained from target''s health',0,4),
(135263,360180,3,100,'Inflicts 4 - 7 magic damage on target',0,0),
(135264,360180,3,100,'Decreases Ability Casting Speed of target by 20.0%',0,1),
(135265,360180,3,100,'Decreases Defense of target by 2.2',0,2),
(135266,360180,3,100,'Target will lose 9% more power when power is consumed',0,3),
(135267,360180,3,100,'9% of target''s power consumed will also be drained from target''s health',0,4),
(135268,360180,4,100,'Inflicts 5 - 8 magic damage on target',0,0),
(135269,360180,4,100,'Decreases Ability Casting Speed of target by 22.0%',0,1),
(135270,360180,4,100,'Decreases Defense of target by 2.4',0,2),
(135271,360180,4,100,'Target will lose 9% more power when power is consumed',0,3),
(135272,360180,4,100,'9% of target''s power consumed will also be drained from target''s health',0,4),
(135273,360180,5,100,'Inflicts 5 - 9 magic damage on target',0,0),
(135274,360180,5,100,'Decreases Ability Casting Speed of target by 24.0%',0,1),
(135275,360180,5,100,'Decreases Defense of target by 2.6',0,2),
(135276,360180,5,100,'Target will lose 10% more power when power is consumed',0,3),
(135277,360180,5,100,'10% of target''s power consumed will also be drained from target''s health',0,4),
(135278,360180,7,100,'Inflicts 7 - 11 magic damage on target',0,0),
(135279,360180,7,100,'Decreases Ability Casting Speed of target by 30.8%',0,1),
(135280,360180,7,100,'Decreases Defense of target by 3.4',0,2),
(135281,360180,7,100,'Target will lose 13% more power when power is consumed',0,3),
(135282,360180,7,100,'13% of target''s power consumed will also be drained from target''s health',0,4),
(135283,360180,9,100,'Inflicts 7 - 12 magic damage on target',0,0),
(135284,360180,9,100,'Decreases Ability Casting Speed of target by 32.0%',0,1),
(135285,360180,9,100,'Decreases Defense of target by 3.5',0,2),
(135286,360180,9,100,'Target will lose 14% more power when power is consumed',0,3),
(135287,360180,9,100,'14% of target''s power consumed will also be drained from target''s health',0,4),
(135288,360181,1,100,'Inflicts 14 - 23 magic damage on target',0,0),
(135289,360181,1,100,'Decreases Ability Casting Speed of target by 18.0%',0,1),
(135290,360181,1,100,'Decreases Defense of target by 5.9',0,2),
(135291,360181,1,100,'Target will lose 11% more power when power is consumed',0,3),
(135292,360181,1,100,'11% of target''s power consumed will also be drained from target''s health',0,4),
(135293,360181,2,100,'Inflicts 15 - 24 magic damage on target',0,0),
(135294,360181,2,100,'Decreases Ability Casting Speed of target by 19.0%',0,1),
(135295,360181,2,100,'Decreases Defense of target by 6.3',0,2),
(135296,360181,2,100,'Target will lose 12% more power when power is consumed',0,3),
(135297,360181,2,100,'12% of target''s power consumed will also be drained from target''s health',0,4),
(135298,360181,3,100,'Inflicts 15 - 26 magic damage on target',0,0),
(135299,360181,3,100,'Decreases Ability Casting Speed of target by 20.0%',0,1),
(135300,360181,3,100,'Decreases Defense of target by 6.6',0,2),
(135301,360181,3,100,'Target will lose 13% more power when power is consumed',0,3),
(135302,360181,3,100,'13% of target''s power consumed will also be drained from target''s health',0,4),
(135303,360181,4,100,'Inflicts 17 - 28 magic damage on target',0,0),
(135304,360181,4,100,'Decreases Ability Casting Speed of target by 22.0%',0,1),
(135305,360181,4,100,'Decreases Defense of target by 7.3',0,2),
(135306,360181,4,100,'Target will lose 14% more power when power is consumed',0,3),
(135307,360181,4,100,'14% of target''s power consumed will also be drained from target''s health',0,4),
(135308,360181,5,100,'Inflicts 18 - 31 magic damage on target',0,0),
(135309,360181,5,100,'Decreases Ability Casting Speed of target by 24.0%',0,1),
(135310,360181,5,100,'Decreases Defense of target by 7.9',0,2),
(135311,360181,5,100,'Target will lose 15% more power when power is consumed',0,3),
(135312,360181,5,100,'15% of target''s power consumed will also be drained from target''s health',0,4),
(135313,360181,7,100,'Inflicts 24 - 40 magic damage on target',0,0),
(135314,360181,7,100,'Decreases Ability Casting Speed of target by 30.8%',0,1),
(135315,360181,7,100,'Decreases Defense of target by 10.2',0,2),
(135316,360181,7,100,'Target will lose 20% more power when power is consumed',0,3),
(135317,360181,7,100,'20% of target''s power consumed will also be drained from target''s health',0,4),
(135318,360181,9,100,'Inflicts 25 - 41 magic damage on target',0,0),
(135319,360181,9,100,'Decreases Ability Casting Speed of target by 32.0%',0,1),
(135320,360181,9,100,'Decreases Defense of target by 10.6',0,2),
(135321,360181,9,100,'Target will lose 20% more power when power is consumed',0,3),
(135322,360181,9,100,'20% of target''s power consumed will also be drained from target''s health',0,4),
(135323,360181,10,100,'Inflicts 26 - 43 magic damage on target',0,0),
(135324,360181,10,100,'Decreases Ability Casting Speed of target by 33.6%',0,1),
(135325,360181,10,100,'Decreases Defense of target by 11.1',0,2),
(135326,360181,10,100,'Target will lose 21% more power when power is consumed',0,3),
(135327,360181,10,100,'21% of target''s power consumed will also be drained from target''s health',0,4),
(135328,360182,1,100,'Inflicts 24 - 40 magic damage on target',0,0),
(135329,360182,1,100,'Decreases Ability Casting Speed of target by 18.0%',0,1),
(135330,360182,1,100,'Decreases Defense of target by 9.7',0,2),
(135331,360182,1,100,'Target will lose 14% more power when power is consumed',0,3),
(135332,360182,1,100,'14% of target''s power consumed will also be drained from target''s health',0,4),
(135333,360182,2,100,'Inflicts 25 - 42 magic damage on target',0,0),
(135334,360182,2,100,'Decreases Ability Casting Speed of target by 19.0%',0,1),
(135335,360182,2,100,'Decreases Defense of target by 10.3',0,2),
(135336,360182,2,100,'Target will lose 15% more power when power is consumed',0,3),
(135337,360182,2,100,'15% of target''s power consumed will also be drained from target''s health',0,4),
(135338,360182,3,100,'Inflicts 27 - 45 magic damage on target',0,0),
(135339,360182,3,100,'Decreases Ability Casting Speed of target by 20.0%',0,1),
(135340,360182,3,100,'Decreases Defense of target by 10.8',0,2),
(135341,360182,3,100,'Target will lose 16% more power when power is consumed',0,3),
(135342,360182,3,100,'16% of target''s power consumed will also be drained from target''s health',0,4),
(135343,360182,4,100,'Inflicts 29 - 49 magic damage on target',0,0),
(135344,360182,4,100,'Decreases Ability Casting Speed of target by 22.0%',0,1),
(135345,360182,4,100,'Decreases Defense of target by 11.9',0,2),
(135346,360182,4,100,'Target will lose 18% more power when power is consumed',0,3),
(135347,360182,4,100,'18% of target''s power consumed will also be drained from target''s health',0,4),
(135348,360182,5,100,'Inflicts 32 - 54 magic damage on target',0,0),
(135349,360182,5,100,'Decreases Ability Casting Speed of target by 24.0%',0,1),
(135350,360182,5,100,'Decreases Defense of target by 13.0',0,2),
(135351,360182,5,100,'Target will lose 19% more power when power is consumed',0,3),
(135352,360182,5,100,'19% of target''s power consumed will also be drained from target''s health',0,4),
(135353,360182,7,100,'Inflicts 41 - 69 magic damage on target',0,0),
(135354,360182,7,100,'Decreases Ability Casting Speed of target by 30.8%',0,1),
(135355,360182,7,100,'Decreases Defense of target by 16.6',0,2),
(135356,360182,7,100,'Target will lose 25% more power when power is consumed',0,3),
(135357,360182,7,100,'25% of target''s power consumed will also be drained from target''s health',0,4),
(135358,360182,9,100,'Inflicts 43 - 71 magic damage on target',0,0),
(135359,360182,9,100,'Decreases Ability Casting Speed of target by 32.0%',0,1),
(135360,360182,9,100,'Decreases Defense of target by 17.3',0,2),
(135361,360182,9,100,'Target will lose 26% more power when power is consumed',0,3),
(135362,360182,9,100,'26% of target''s power consumed will also be drained from target''s health',0,4),
(135363,360183,1,100,'Inflicts 36 - 60 magic damage on target',0,0),
(135364,360183,1,100,'Decreases Ability Casting Speed of target by 18.0%',0,1),
(135365,360183,1,100,'Decreases Defense of target by 13.5',0,2),
(135366,360183,1,100,'Target will lose 17% more power when power is consumed',0,3),
(135367,360183,1,100,'17% of target''s power consumed will also be drained from target''s health',0,4),
(135368,360183,2,100,'Inflicts 38 - 64 magic damage on target',0,0),
(135369,360183,2,100,'Decreases Ability Casting Speed of target by 19.0%',0,1),
(135370,360183,2,100,'Decreases Defense of target by 14.3',0,2),
(135371,360183,2,100,'Target will lose 18% more power when power is consumed',0,3),
(135372,360183,2,100,'18% of target''s power consumed will also be drained from target''s health',0,4),
(135373,360183,3,100,'Inflicts 40 - 67 magic damage on target',0,0),
(135374,360183,3,100,'Decreases Ability Casting Speed of target by 20.0%',0,1),
(135375,360183,3,100,'Decreases Defense of target by 15.0',0,2),
(135376,360183,3,100,'Target will lose 20% more power when power is consumed',0,3),
(135377,360183,3,100,'20% of target''s power consumed will also be drained from target''s health',0,4),
(135378,360183,4,100,'Inflicts 44 - 74 magic damage on target',0,0),
(135379,360183,4,100,'Decreases Ability Casting Speed of target by 22.0%',0,1),
(135380,360183,4,100,'Decreases Defense of target by 16.5',0,2),
(135381,360183,4,100,'Target will lose 22% more power when power is consumed',0,3),
(135382,360183,4,100,'22% of target''s power consumed will also be drained from target''s health',0,4),
(135383,360183,5,100,'Inflicts 48 - 80 magic damage on target',0,0),
(135384,360183,5,100,'Decreases Ability Casting Speed of target by 24.0%',0,1),
(135385,360183,5,100,'Decreases Defense of target by 18.0',0,2),
(135386,360183,5,100,'Target will lose 24% more power when power is consumed',0,3),
(135387,360183,5,100,'24% of target''s power consumed will also be drained from target''s health',0,4),
(135388,360183,7,100,'Inflicts 62 - 103 magic damage on target',0,0),
(135389,360183,7,100,'Decreases Ability Casting Speed of target by 30.8%',0,1),
(135390,360183,7,100,'Decreases Defense of target by 23.1',0,2),
(135391,360183,7,100,'Target will lose 30% more power when power is consumed',0,3),
(135392,360183,7,100,'30% of target''s power consumed will also be drained from target''s health',0,4),
(135393,360183,9,100,'Inflicts 64 - 107 magic damage on target',0,0),
(135394,360183,9,100,'Decreases Ability Casting Speed of target by 32.0%',0,1),
(135395,360183,9,100,'Decreases Defense of target by 24.0',0,2),
(135396,360183,9,100,'Target will lose 32% more power when power is consumed',0,3),
(135397,360183,9,100,'32% of target''s power consumed will also be drained from target''s health',0,4),
(135398,360184,1,100,'Inflicts 49 - 82 magic damage on target',0,0),
(135399,360184,1,100,'Decreases Ability Casting Speed of target by 18.0%',0,1),
(135400,360184,1,100,'Decreases Defense of target by 17.3',0,2),
(135401,360184,1,100,'Target will lose 21% more power when power is consumed',0,3),
(135402,360184,1,100,'21% of target''s power consumed will also be drained from target''s health',0,4),
(135403,360184,2,100,'Inflicts 52 - 86 magic damage on target',0,0),
(135404,360184,2,100,'Decreases Ability Casting Speed of target by 19.0%',0,1),
(135405,360184,2,100,'Decreases Defense of target by 18.2',0,2),
(135406,360184,2,100,'Target will lose 22% more power when power is consumed',0,3),
(135407,360184,2,100,'22% of target''s power consumed will also be drained from target''s health',0,4),
(135408,360184,3,100,'Inflicts 54 - 91 magic damage on target',0,0),
(135409,360184,3,100,'Decreases Ability Casting Speed of target by 20.0%',0,1),
(135410,360184,3,100,'Decreases Defense of target by 19.2',0,2),
(135411,360184,3,100,'Target will lose 23% more power when power is consumed',0,3),
(135412,360184,3,100,'23% of target''s power consumed will also be drained from target''s health',0,4),
(135413,360184,4,100,'Inflicts 60 - 100 magic damage on target',0,0),
(135414,360184,4,100,'Decreases Ability Casting Speed of target by 22.0%',0,1),
(135415,360184,4,100,'Decreases Defense of target by 21.1',0,2),
(135416,360184,4,100,'Target will lose 25% more power when power is consumed',0,3),
(135417,360184,4,100,'25% of target''s power consumed will also be drained from target''s health',0,4),
(135418,360184,5,100,'Inflicts 65 - 109 magic damage on target',0,0),
(135419,360184,5,100,'Decreases Ability Casting Speed of target by 24.0%',0,1),
(135420,360184,5,100,'Decreases Defense of target by 23.0',0,2),
(135421,360184,5,100,'Target will lose 28% more power when power is consumed',0,3),
(135422,360184,5,100,'28% of target''s power consumed will also be drained from target''s health',0,4),
(135423,360184,7,100,'Inflicts 84 - 139 magic damage on target',0,0),
(135424,360184,7,100,'Decreases Ability Casting Speed of target by 30.8%',0,1),
(135425,360184,7,100,'Decreases Defense of target by 29.6',0,2),
(135426,360184,7,100,'Target will lose 36% more power when power is consumed',0,3),
(135427,360184,7,100,'36% of target''s power consumed will also be drained from target''s health',0,4),
(135428,360184,9,100,'Inflicts 87 - 145 magic damage on target',0,0),
(135429,360184,9,100,'Decreases Ability Casting Speed of target by 32.0%',0,1),
(135430,360184,9,100,'Decreases Defense of target by 30.7',0,2),
(135431,360184,9,100,'Target will lose 37% more power when power is consumed',0,3),
(135432,360184,9,100,'37% of target''s power consumed will also be drained from target''s health',0,4),
(135433,360185,1,100,'Inflicts 60 - 100 magic damage on target',0,0),
(135434,360185,1,100,'Decreases Ability Casting Speed of target by 18.0%',0,1),
(135435,360185,1,100,'Decreases Defense of target by 20.7',0,2),
(135436,360185,1,100,'Target will lose 23% more power when power is consumed',0,3),
(135437,360185,1,100,'23% of target''s power consumed will also be drained from target''s health',0,4),
(135438,360185,2,100,'Inflicts 64 - 106 magic damage on target',0,0),
(135439,360185,2,100,'Decreases Ability Casting Speed of target by 19.0%',0,1),
(135440,360185,2,100,'Decreases Defense of target by 21.9',0,2),
(135441,360185,2,100,'Target will lose 24% more power when power is consumed',0,3),
(135442,360185,2,100,'24% of target''s power consumed will also be drained from target''s health',0,4),
(135443,360185,3,100,'Inflicts 67 - 111 magic damage on target',0,0),
(135444,360185,3,100,'Decreases Ability Casting Speed of target by 20.0%',0,1),
(135445,360185,3,100,'Decreases Defense of target by 23.0',0,2),
(135446,360185,3,100,'Target will lose 26% more power when power is consumed',0,3),
(135447,360185,3,100,'26% of target''s power consumed will also be drained from target''s health',0,4),
(135448,360185,4,100,'Inflicts 74 - 123 magic damage on target',0,0),
(135449,360185,4,100,'Decreases Ability Casting Speed of target by 22.0%',0,1),
(135450,360185,4,100,'Decreases Defense of target by 25.3',0,2),
(135451,360185,4,100,'Target will lose 28% more power when power is consumed',0,3),
(135452,360185,4,100,'28% of target''s power consumed will also be drained from target''s health',0,4),
(135453,360185,5,100,'Inflicts 80 - 134 magic damage on target',0,0),
(135454,360185,5,100,'Decreases Ability Casting Speed of target by 24.0%',0,1),
(135455,360185,5,100,'Decreases Defense of target by 27.6',0,2),
(135456,360185,5,100,'Target will lose 31% more power when power is consumed',0,3),
(135457,360185,5,100,'31% of target''s power consumed will also be drained from target''s health',0,4),
(135458,360185,7,100,'Inflicts 103 - 172 magic damage on target',0,0),
(135459,360185,7,100,'Decreases Ability Casting Speed of target by 30.8%',0,1),
(135460,360185,7,100,'Decreases Defense of target by 35.4',0,2),
(135461,360185,7,100,'Target will lose 40% more power when power is consumed',0,3),
(135462,360185,7,100,'40% of target''s power consumed will also be drained from target''s health',0,4),
(135463,360185,9,100,'Inflicts 107 - 178 magic damage on target',0,0),
(135464,360185,9,100,'Decreases Ability Casting Speed of target by 32.0%',0,1),
(135465,360185,9,100,'Decreases Defense of target by 36.8',0,2),
(135466,360185,9,100,'Target will lose 42% more power when power is consumed',0,3),
(135467,360185,9,100,'42% of target''s power consumed will also be drained from target''s health',0,4),
(135468,360186,1,100,'Inflicts 73 - 121 magic damage on target',0,0),
(135469,360186,1,100,'Decreases Ability Casting Speed of target by 18.0%',0,1),
(135470,360186,1,100,'Decreases Defense of target by 24.3',0,2),
(135471,360186,1,100,'Target will lose 25% more power when power is consumed',0,3),
(135472,360186,1,100,'25% of target''s power consumed will also be drained from target''s health',0,4),
(135473,360186,4,100,'Inflicts 89 - 148 magic damage on target',0,0),
(135474,360186,4,100,'Decreases Ability Casting Speed of target by 22.0%',0,1),
(135475,360186,4,100,'Decreases Defense of target by 29.7',0,2),
(135476,360186,4,100,'Target will lose 31% more power when power is consumed',0,3),
(135477,360186,4,100,'31% of target''s power consumed will also be drained from target''s health',0,4),
(135478,360186,5,100,'Inflicts 97 - 161 magic damage on target',0,0),
(135479,360186,5,100,'Decreases Ability Casting Speed of target by 24.0%',0,1),
(135480,360186,5,100,'Decreases Defense of target by 32.4',0,2),
(135481,360186,5,100,'Target will lose 34% more power when power is consumed',0,3),
(135482,360186,5,100,'34% of target''s power consumed will also be drained from target''s health',0,4),
(135483,360186,7,100,'Inflicts 124 - 207 magic damage on target',0,0),
(135484,360186,7,100,'Decreases Ability Casting Speed of target by 30.8%',0,1),
(135485,360186,7,100,'Decreases Defense of target by 41.6',0,2),
(135486,360186,7,100,'Target will lose 44% more power when power is consumed',0,3),
(135487,360186,7,100,'44% of target''s power consumed will also be drained from target''s health',0,4),
(135488,360186,9,100,'Inflicts 129 - 215 magic damage on target',0,0),
(135489,360186,9,100,'Decreases Ability Casting Speed of target by 32.0%',0,1),
(135490,360186,9,100,'Decreases Defense of target by 43.2',0,2),
(135491,360186,9,100,'Target will lose 46% more power when power is consumed',0,3),
(135492,360186,9,100,'46% of target''s power consumed will also be drained from target''s health',0,4),
(135493,360187,1,100,'Inflicts 82 - 136 magic damage on target',0,0),
(135494,360187,1,100,'Decreases Ability Casting Speed of target by 18.0%',0,1),
(135495,360187,1,100,'Decreases Defense of target by 27.9',0,2),
(135496,360187,1,100,'Target will lose 28% more power when power is consumed',0,3),
(135497,360187,1,100,'28% of target''s power consumed will also be drained from target''s health',0,4),
(135498,360187,4,100,'Inflicts 100 - 167 magic damage on target',0,0),
(135499,360187,4,100,'Decreases Ability Casting Speed of target by 22.0%',0,1),
(135500,360187,4,100,'Decreases Defense of target by 34.1',0,2),
(135501,360187,4,100,'Target will lose 34% more power when power is consumed',0,3),
(135502,360187,4,100,'34% of target''s power consumed will also be drained from target''s health',0,4),
(135503,360187,5,100,'Inflicts 109 - 182 magic damage on target',0,0),
(135504,360187,5,100,'Decreases Ability Casting Speed of target by 24.0%',0,1),
(135505,360187,5,100,'Decreases Defense of target by 37.2',0,2),
(135506,360187,5,100,'Target will lose 37% more power when power is consumed',0,3),
(135507,360187,5,100,'37% of target''s power consumed will also be drained from target''s health',0,4),
(135508,360187,7,100,'Inflicts 140 - 233 magic damage on target',0,0),
(135509,360187,7,100,'Decreases Ability Casting Speed of target by 30.8%',0,1),
(135510,360187,7,100,'Decreases Defense of target by 47.7',0,2),
(135511,360187,7,100,'Target will lose 48% more power when power is consumed',0,3),
(135512,360187,7,100,'48% of target''s power consumed will also be drained from target''s health',0,4),
(135513,360187,9,100,'Inflicts 145 - 242 magic damage on target',0,0),
(135514,360187,9,100,'Decreases Ability Casting Speed of target by 32.0%',0,1),
(135515,360187,9,100,'Decreases Defense of target by 49.6',0,2),
(135516,360187,9,100,'Target will lose 50% more power when power is consumed',0,3),
(135517,360187,9,100,'50% of target''s power consumed will also be drained from target''s health',0,4),
(135518,2000728,1,100,'Victorious Concerto grants the group additional damage based on the amount of damage the bard did while using Rhythmic Overture.',0,0),
(135519,2000728,1,100,'You must cast Rhythmic Overture before casting Victorious Concerto!',0,1),
(135520,2000728,2,100,'Victorious Concerto grants the group additional damage based on the amount of damage the bard did while using Rhythmic Overture.',0,0),
(135521,2000728,2,100,'You must cast Rhythmic Overture before casting Victorious Concerto!',0,1),
(135523,150021,1,100,'Increases Max Power of target by 122',0,0),
(135525,150021,2,100,'Increases Max Power of target by 129',0,0),
(135527,150021,3,100,'Increases Max Power of target by 140',0,0),
(135529,150021,4,100,'Increases Max Power of target by 159',0,0),
(135531,150021,5,100,'Increases Max Power of target by 163',0,0),
(135533,150021,7,100,'Increases Max Power of target by 209',0,0),
(135535,150021,9,100,'Increases Max Power of target by 217',0,0),
(135536,80024,1,100,'Increases WIS and STR of group members (AE) by 9.6',0,0),
(135537,80024,2,100,'Increases WIS and STR of group members (AE) by 10.2',0,0),
(135538,80024,3,100,'Increases WIS and STR of group members (AE) by 10.7',0,0),
(135539,80024,4,100,'Increases WIS and STR of group members (AE) by 11.8',0,0),
(135540,80024,5,100,'Increases WIS and STR of group members (AE) by 12.9',0,0),
(135541,80024,7,100,'Increases WIS and STR of group members (AE) by 16.5',0,0),
(135542,80024,9,100,'Increases WIS and STR of group members (AE) by 17.1',0,0),
(135543,2000729,1,100,'Inflicts 1 - 2 crushing damage on target',0,0),
(135544,2000729,1,100,'Roots target',0,1),
(135545,2000729,1,100,'Epic targets gain an immunity to Root effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,2),
(135546,2000729,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(135547,130165,1,100,'Increases STR and WIS of target by 27.3',0,0),
(135548,130165,1,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 197',0,1),
(135549,130165,2,100,'Increases STR and WIS of target by 28.8',0,0),
(135550,130165,2,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 207',0,1),
(135551,130165,3,100,'Increases STR and WIS of target by 30.3',0,0),
(135552,130165,3,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 218',0,1),
(135553,130165,4,100,'Increases STR and WIS of target by 33.3',0,0),
(135554,130165,4,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 240',0,1),
(135555,130165,5,100,'Increases STR and WIS of target by 36.4',0,0),
(135556,130165,5,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 262',0,1),
(135557,130165,7,100,'Increases STR and WIS of target by 46.7',0,0),
(135558,130165,7,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 336',0,1),
(135559,130165,9,100,'Increases STR and WIS of target by 48.5',0,0),
(135560,130165,9,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 349',0,1),
(135561,130166,1,100,'Increases STR and WIS of target by 41.8',0,0),
(135562,130166,1,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 302',0,1),
(135563,130166,2,100,'Increases STR and WIS of target by 44.2',0,0),
(135564,130166,2,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 319',0,1),
(135565,130166,3,100,'Increases STR and WIS of target by 46.5',0,0),
(135566,130166,3,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 336',0,1),
(135567,130166,4,100,'Increases STR and WIS of target by 51.2',0,0),
(135568,130166,4,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 370',0,1),
(135569,130166,5,100,'Increases STR and WIS of target by 55.8',0,0),
(135570,130166,5,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 403',0,1),
(135571,130166,7,100,'Increases STR and WIS of target by 71.6',0,0),
(135572,130166,7,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 517',0,1),
(135573,130166,9,100,'Increases STR and WIS of target by 74.4',0,0),
(135574,130166,9,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 538',0,1),
(135575,130167,1,100,'Increases STR and WIS of target by 57.0',0,0),
(135576,130167,1,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 408',0,1),
(135577,130167,2,100,'Increases STR and WIS of target by 60.1',0,0),
(135578,130167,2,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 431',0,1),
(135579,130167,3,100,'Increases STR and WIS of target by 63.3',0,0),
(135580,130167,3,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 454',0,1),
(135581,130167,4,100,'Increases STR and WIS of target by 69.6',0,0),
(135582,130167,4,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 499',0,1),
(135583,130167,5,100,'Increases STR and WIS of target by 76.0',0,0),
(135584,130167,5,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 544',0,1),
(135585,130167,7,100,'Increases STR and WIS of target by 97.5',0,0),
(135586,130167,7,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 699',0,1),
(135587,130167,9,100,'Increases STR and WIS of target by 101.3',0,0),
(135588,130167,9,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 726',0,1),
(135589,130167,10,100,'Increases STR and WIS of target by 106.3',0,0),
(135590,130167,10,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 762',0,1),
(135591,130168,1,100,'Increases STR and WIS of target by 72.1',0,0),
(135592,130168,1,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 514',0,1),
(135593,130168,2,100,'Increases STR and WIS of target by 76.1',0,0),
(135594,130168,2,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 543',0,1),
(135595,130168,3,100,'Increases STR and WIS of target by 80.1',0,0),
(135596,130168,3,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 571',0,1),
(135597,130168,4,100,'Increases STR and WIS of target by 88.1',0,0),
(135598,130168,4,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 628',0,1),
(135599,130168,5,100,'Increases STR and WIS of target by 96.1',0,0),
(135600,130168,5,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 685',0,1),
(135601,130168,7,100,'Increases STR and WIS of target by 123.4',0,0),
(135602,130168,7,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 880',0,1),
(135603,130168,9,100,'Increases STR and WIS of target by 128.2',0,0),
(135604,130168,9,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 914',0,1),
(135605,130169,1,100,'Increases STR and WIS of target by 87.6',0,0),
(135606,130169,1,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 597',0,1),
(135607,130169,2,100,'Increases STR and WIS of target by 92.5',0,0),
(135608,130169,2,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 630',0,1),
(135609,130169,3,100,'Increases STR and WIS of target by 97.3',0,0),
(135610,130169,3,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 664',0,1),
(135611,130169,4,100,'Increases STR and WIS of target by 107.1',0,0),
(135612,130169,4,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 730',0,1),
(135613,130169,5,100,'Increases STR and WIS of target by 116.8',0,0),
(135614,130169,5,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 796',0,1),
(135615,130169,7,100,'Increases STR and WIS of target by 149.9',0,0),
(135616,130169,7,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1022',0,1),
(135617,130169,9,100,'Increases STR and WIS of target by 155.8',0,0),
(135618,130169,9,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1062',0,1),
(135619,130170,1,100,'Increases STR and WIS of target by 102.5',0,0),
(135620,130170,1,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 673',0,1),
(135621,130170,4,100,'Increases STR and WIS of target by 125.2',0,0),
(135622,130170,4,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 822',0,1),
(135623,130170,5,100,'Increases STR and WIS of target by 136.6',0,0),
(135624,130170,5,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 897',0,1),
(135625,130170,7,100,'Increases STR and WIS of target by 175.3',0,0),
(135626,130170,7,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1151',0,1),
(135627,130170,9,100,'Increases STR and WIS of target by 182.2',0,0),
(135628,130170,9,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1196',0,1),
(135629,130171,1,100,'Increases STR and WIS of target by 117.3',0,0),
(135630,130171,1,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 748',0,1),
(135631,130171,4,100,'Increases STR and WIS of target by 143.4',0,0),
(135632,130171,4,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 915',0,1),
(135633,130171,5,100,'Increases STR and WIS of target by 156.4',0,0),
(135634,130171,5,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 998',0,1),
(135635,130171,7,100,'Increases STR and WIS of target by 200.7',0,0),
(135636,130171,7,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1281',0,1),
(135637,130171,9,100,'Increases STR and WIS of target by 208.6',0,0),
(135638,130171,9,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1331',0,1),
(135639,130172,1,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(135640,130172,1,100,'Heals target for 34 - 42',1,1),
(135641,130172,1,100,'Grants a total of 5 triggers of the spell.',1,2),
(135642,130172,4,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(135643,130172,4,100,'Heals target for 42 - 51',1,1),
(135644,130172,4,100,'Grants a total of 5 triggers of the spell.',1,2),
(135645,130172,5,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(135646,130172,5,100,'Heals target for 45 - 55',1,1),
(135647,130172,5,100,'Grants a total of 5 triggers of the spell.',1,2),
(135648,130172,7,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(135649,130172,7,100,'Heals target for 58 - 71',1,1),
(135650,130172,7,100,'Grants a total of 5 triggers of the spell.',1,2),
(135651,130172,9,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(135652,130172,9,100,'Heals target for 60 - 74',1,1),
(135653,130172,9,100,'Grants a total of 5 triggers of the spell.',1,2),
(135654,130172,10,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(135655,130172,10,100,'Heals target for 64 - 78',1,1),
(135656,130172,10,100,'Grants a total of 5 triggers of the spell.',1,2),
(135657,130173,1,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(135658,130173,1,100,'Heals target for 54 - 66',1,1),
(135659,130173,1,100,'Grants a total of 5 triggers of the spell.',1,2),
(135660,130173,4,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(135661,130173,4,100,'Heals target for 66 - 80',1,1),
(135662,130173,4,100,'Grants a total of 5 triggers of the spell.',1,2),
(135663,130173,5,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(135664,130173,5,100,'Heals target for 72 - 88',1,1),
(135665,130173,5,100,'Grants a total of 5 triggers of the spell.',1,2),
(135666,130173,7,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(135667,130173,7,100,'Heals target for 92 - 113',1,1),
(135668,130173,7,100,'Grants a total of 5 triggers of the spell.',1,2),
(135669,130173,9,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(135670,130173,9,100,'Heals target for 96 - 117',1,1),
(135671,130173,9,100,'Grants a total of 5 triggers of the spell.',1,2),
(135672,130173,10,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(135673,130173,10,100,'Heals target for 101 - 123',1,1),
(135674,130173,10,100,'Grants a total of 5 triggers of the spell.',1,2),
(135675,130174,1,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(135676,130174,1,100,'Heals target for 77 - 94',1,1),
(135677,130174,1,100,'Grants a total of 5 triggers of the spell.',1,2),
(135678,130174,2,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(135679,130174,2,100,'Heals target for 81 - 99',1,1),
(135680,130174,2,100,'Grants a total of 5 triggers of the spell.',1,2),
(135681,130174,3,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(135682,130174,3,100,'Heals target for 86 - 105',1,1),
(135683,130174,3,100,'Grants a total of 5 triggers of the spell.',1,2),
(135684,130174,4,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(135685,130174,4,100,'Heals target for 94 - 115',1,1),
(135686,130174,4,100,'Grants a total of 5 triggers of the spell.',1,2),
(135687,130174,5,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(135688,130174,5,100,'Heals target for 103 - 126',1,1),
(135689,130174,5,100,'Grants a total of 5 triggers of the spell.',1,2),
(135690,130174,7,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(135691,130174,7,100,'Heals target for 132 - 161',1,1),
(135692,130174,7,100,'Grants a total of 5 triggers of the spell.',1,2),
(135693,130174,9,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(135694,130174,9,100,'Heals target for 137 - 168',1,1),
(135695,130174,9,100,'Grants a total of 5 triggers of the spell.',1,2),
(135696,130175,1,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(135697,130175,1,100,'Heals target for 125 - 152',1,1),
(135698,130175,1,100,'Grants a total of 5 triggers of the spell.',1,2),
(135699,130175,2,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(135700,130175,2,100,'Heals target for 132 - 161',1,1),
(135701,130175,2,100,'Grants a total of 5 triggers of the spell.',1,2),
(135702,130175,3,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(135703,130175,3,100,'Heals target for 139 - 169',1,1),
(135704,130175,3,100,'Grants a total of 5 triggers of the spell.',1,2),
(135705,130175,4,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(135706,130175,4,100,'Heals target for 152 - 186',1,1),
(135707,130175,4,100,'Grants a total of 5 triggers of the spell.',1,2),
(135708,130175,5,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(135709,130175,5,100,'Heals target for 166 - 203',1,1),
(135710,130175,5,100,'Grants a total of 5 triggers of the spell.',1,2),
(135711,130175,7,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(135712,130175,7,100,'Heals target for 213 - 261',1,1),
(135713,130175,7,100,'Grants a total of 5 triggers of the spell.',1,2),
(135714,130175,9,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(135715,130175,9,100,'Heals target for 222 - 271',1,1),
(135716,130175,9,100,'Grants a total of 5 triggers of the spell.',1,2),
(135717,130175,10,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(135718,130175,10,100,'Heals target for 233 - 285',1,1),
(135719,130175,10,100,'Grants a total of 5 triggers of the spell.',1,2),
(135720,130176,1,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(135721,130176,1,100,'Heals target for 421 - 515',1,1),
(135722,130176,1,100,'Grants a total of 5 triggers of the spell.',1,2),
(135723,130176,4,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(135724,130176,4,100,'Heals target for 515 - 629',1,1),
(135725,130176,4,100,'Grants a total of 5 triggers of the spell.',1,2),
(135726,130176,5,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(135727,130176,5,100,'Heals target for 562 - 687',1,1),
(135728,130176,5,100,'Grants a total of 5 triggers of the spell.',1,2),
(135729,130176,7,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(135730,130176,7,100,'Heals target for 721 - 881',1,1),
(135731,130176,7,100,'Grants a total of 5 triggers of the spell.',1,2),
(135732,130176,9,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(135733,130176,9,100,'Heals target for 749 - 915',1,1),
(135734,130176,9,100,'Grants a total of 5 triggers of the spell.',1,2),
(135735,130177,1,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(135736,130177,1,100,'Heals target for 184 - 225',1,1),
(135737,130177,1,100,'Grants a total of 5 triggers of the spell.',1,2),
(135738,130177,2,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(135739,130177,2,100,'Heals target for 195 - 238',1,1),
(135740,130177,2,100,'Grants a total of 5 triggers of the spell.',1,2),
(135741,130177,3,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(135742,130177,3,100,'Heals target for 205 - 250',1,1),
(135743,130177,3,100,'Grants a total of 5 triggers of the spell.',1,2),
(135744,130177,4,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(135745,130177,4,100,'Heals target for 225 - 275',1,1),
(135746,130177,4,100,'Grants a total of 5 triggers of the spell.',1,2),
(135747,130177,5,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(135748,130177,5,100,'Heals target for 246 - 300',1,1),
(135749,130177,5,100,'Grants a total of 5 triggers of the spell.',1,2),
(135750,130177,7,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(135751,130177,7,100,'Heals target for 315 - 385',1,1),
(135752,130177,7,100,'Grants a total of 5 triggers of the spell.',1,2),
(135753,130177,9,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(135754,130177,9,100,'Heals target for 328 - 400',1,1),
(135755,130177,9,100,'Grants a total of 5 triggers of the spell.',1,2),
(135756,130177,10,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(135757,130177,10,100,'Heals target for 344 - 420',1,1),
(135758,130177,10,100,'Grants a total of 5 triggers of the spell.',1,2),
(135759,130178,1,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(135760,130178,1,100,'Heals target for 244 - 298',1,1),
(135761,130178,1,100,'Grants a total of 5 triggers of the spell.',1,2),
(135762,130178,2,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(135763,130178,2,100,'Heals target for 257 - 315',1,1),
(135764,130178,2,100,'Grants a total of 5 triggers of the spell.',1,2),
(135765,130178,3,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(135766,130178,3,100,'Heals target for 271 - 331',1,1),
(135767,130178,3,100,'Grants a total of 5 triggers of the spell.',1,2),
(135768,130178,4,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(135769,130178,4,100,'Heals target for 298 - 364',1,1),
(135770,130178,4,100,'Grants a total of 5 triggers of the spell.',1,2),
(135771,130178,5,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(135772,130178,5,100,'Heals target for 325 - 397',1,1),
(135773,130178,5,100,'Grants a total of 5 triggers of the spell.',1,2),
(135774,130178,7,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(135775,130178,7,100,'Heals target for 417 - 510',1,1),
(135776,130178,7,100,'Grants a total of 5 triggers of the spell.',1,2),
(135777,130178,9,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(135778,130178,9,100,'Heals target for 433 - 530',1,1),
(135779,130178,9,100,'Grants a total of 5 triggers of the spell.',1,2),
(135780,130179,1,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(135781,130179,1,100,'Heals target for 323 - 394',1,1),
(135782,130179,1,100,'Grants a total of 5 triggers of the spell.',1,2),
(135783,130179,2,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(135784,130179,2,100,'Heals target for 341 - 416',1,1),
(135785,130179,2,100,'Grants a total of 5 triggers of the spell.',1,2),
(135786,130179,3,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(135787,130179,3,100,'Heals target for 358 - 438',1,1),
(135788,130179,3,100,'Grants a total of 5 triggers of the spell.',1,2),
(135789,130179,4,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(135790,130179,4,100,'Heals target for 394 - 482',1,1),
(135791,130179,4,100,'Grants a total of 5 triggers of the spell.',1,2),
(135792,130179,5,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(135793,130179,5,100,'Heals target for 430 - 526',1,1),
(135794,130179,5,100,'Grants a total of 5 triggers of the spell.',1,2),
(135795,130179,7,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(135796,130179,7,100,'Heals target for 552 - 675',1,1),
(135797,130179,7,100,'Grants a total of 5 triggers of the spell.',1,2),
(135798,130179,9,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(135799,130179,9,100,'Heals target for 574 - 701',1,1),
(135800,130179,9,100,'Grants a total of 5 triggers of the spell.',1,2),
(135801,130180,1,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(135802,130180,1,100,'Heals target for 392 - 480',1,1),
(135803,130180,1,100,'Grants a total of 5 triggers of the spell.',1,2),
(135804,130180,4,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(135805,130180,4,100,'Heals target for 480 - 586',1,1),
(135806,130180,4,100,'Grants a total of 5 triggers of the spell.',1,2),
(135807,130180,5,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(135808,130180,5,100,'Heals target for 523 - 639',1,1),
(135809,130180,5,100,'Grants a total of 5 triggers of the spell.',1,2),
(135810,130180,7,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(135811,130180,7,100,'Heals target for 671 - 821',1,1),
(135812,130180,7,100,'Grants a total of 5 triggers of the spell.',1,2),
(135813,130180,9,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(135814,130180,9,100,'Heals target for 698 - 853',1,1),
(135815,130180,9,100,'Grants a total of 5 triggers of the spell.',1,2),
(135816,230196,1,100,'Increases power of caster by 29',0,0),
(135817,230196,2,100,'Increases power of caster by 31',0,0),
(135818,230196,3,100,'Increases power of caster by 33',0,0),
(135819,230196,4,100,'Increases power of caster by 36',0,0),
(135820,230196,5,100,'Increases power of caster by 39',0,0),
(135821,230196,7,100,'Increases power of caster by 50',0,0),
(135822,230196,9,100,'Increases power of caster by 52',0,0),
(135823,230197,1,100,'Increases power of caster by 64',0,0),
(135824,230197,2,100,'Increases power of caster by 67',0,0),
(135825,230197,3,100,'Increases power of caster by 71',0,0),
(135826,230197,4,100,'Increases power of caster by 78',0,0),
(135827,230197,5,100,'Increases power of caster by 85',0,0),
(135828,230197,7,100,'Increases power of caster by 109',0,0),
(135829,230197,9,100,'Increases power of caster by 114',0,0),
(135830,230198,1,100,'Increases power of caster by 102',0,0),
(135831,230198,2,100,'Increases power of caster by 108',0,0),
(135832,230198,3,100,'Increases power of caster by 114',0,0),
(135833,230198,4,100,'Increases power of caster by 125',0,0),
(135834,230198,5,100,'Increases power of caster by 137',0,0),
(135835,230198,7,100,'Increases power of caster by 175',0,0),
(135836,230198,9,100,'Increases power of caster by 182',0,0),
(135837,230198,10,100,'Increases power of caster by 191',0,0),
(135838,230199,1,100,'Increases power of caster by 150',0,0),
(135839,230199,2,100,'Increases power of caster by 158',0,0),
(135840,230199,3,100,'Increases power of caster by 166',0,0),
(135841,230199,4,100,'Increases power of caster by 183',0,0),
(135842,230199,5,100,'Increases power of caster by 200',0,0),
(135843,230199,7,100,'Increases power of caster by 256',0,0),
(135844,230199,9,100,'Increases power of caster by 266',0,0),
(135845,230200,1,100,'Increases power of caster by 197',0,0),
(135846,230200,2,100,'Increases power of caster by 208',0,0),
(135847,230200,3,100,'Increases power of caster by 219',0,0),
(135848,230200,4,100,'Increases power of caster by 241',0,0),
(135849,230200,5,100,'Increases power of caster by 263',0,0),
(135850,230200,7,100,'Increases power of caster by 337',0,0),
(135851,230200,9,100,'Increases power of caster by 350',0,0),
(135852,230201,1,100,'Increases power of caster by 263',0,0),
(135853,230201,2,100,'Increases power of caster by 278',0,0),
(135854,230201,3,100,'Increases power of caster by 292',0,0),
(135855,230201,4,100,'Increases power of caster by 321',0,0),
(135856,230201,5,100,'Increases power of caster by 351',0,0),
(135857,230201,7,100,'Increases power of caster by 450',0,0),
(135858,230201,9,100,'Increases power of caster by 468',0,0),
(135859,230202,1,100,'Increases power of caster by 317',0,0),
(135860,230202,4,100,'Increases power of caster by 387',0,0),
(135861,230202,5,100,'Increases power of caster by 422',0,0),
(135862,230202,7,100,'Increases power of caster by 542',0,0),
(135863,230202,9,100,'Increases power of caster by 563',0,0),
(135864,230203,1,100,'Increases power of caster by 336',0,0),
(135865,230203,4,100,'Increases power of caster by 411',0,0),
(135866,230203,5,100,'Increases power of caster by 448',0,0),
(135867,230203,7,100,'Increases power of caster by 575',0,0),
(135868,230203,9,100,'Increases power of caster by 597',0,0),
(135869,200186,1,100,'Applies Vivication on termination.',0,0),
(135870,200186,1,100,'Heals target for 15.0% of max health',1,1),
(135871,200186,1,100,'This effect cannot be critically applied.',2,2),
(135872,200186,1,100,'Resurrects target with 15% health and power',0,3),
(135873,220020,1,100,'Increases STR and INT of group members (AE) by 9.4',0,0),
(135874,220020,2,100,'Increases STR and INT of group members (AE) by 9.9',0,0),
(135875,220020,3,100,'Increases STR and INT of group members (AE) by 10.4',0,0),
(135876,220020,4,100,'Increases STR and INT of group members (AE) by 11.4',0,0),
(135877,220020,5,100,'Increases STR and INT of group members (AE) by 12.5',0,0),
(135878,220020,7,100,'Increases STR and INT of group members (AE) by 16.0',0,0),
(135879,220020,9,100,'Increases STR and INT of group members (AE) by 16.6',0,0),
(135880,200187,1,100,'Dispels 55 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on group members (AE)',0,0),
(135881,200187,2,100,'Dispels 58 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on group members (AE)',0,0),
(135882,200187,3,100,'Dispels 61 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on group members (AE)',0,0),
(135883,200187,4,100,'Dispels 68 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on group members (AE)',0,0),
(135884,200187,5,100,'Dispels 74 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on group members (AE)',0,0),
(135885,200187,7,100,'Dispels 95 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on group members (AE)',0,0),
(135886,200187,9,100,'Dispels 98 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on group members (AE)',0,0),
(135887,200188,1,100,'Dispels 74 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on group members (AE)',0,0),
(135888,200188,2,100,'Dispels 78 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on group members (AE)',0,0),
(135889,200188,3,100,'Dispels 82 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on group members (AE)',0,0),
(135890,200188,4,100,'Dispels 90 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on group members (AE)',0,0),
(135891,200188,5,100,'Dispels 98 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on group members (AE)',0,0),
(135892,200188,7,100,'Dispels 126 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on group members (AE)',0,0),
(135893,200188,9,100,'Dispels 131 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on group members (AE)',0,0),
(135894,200189,1,100,'Dispels 83 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on group members (AE)',0,0),
(135895,200189,4,100,'Dispels 102 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on group members (AE)',0,0),
(135896,200189,5,100,'Dispels 111 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on group members (AE)',0,0),
(135897,200189,7,100,'Dispels 143 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on group members (AE)',0,0),
(135898,200189,9,100,'Dispels 148 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on group members (AE)',0,0),
(135899,200190,1,100,'Dispels 93 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on group members (AE)',0,0),
(135900,200190,4,100,'Dispels 114 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on group members (AE)',0,0),
(135901,200190,5,100,'Dispels 124 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on group members (AE)',0,0),
(135902,200190,7,100,'Dispels 159 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on group members (AE)',0,0),
(135903,200190,9,100,'Dispels 166 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on group members (AE)',0,0),
(135904,240202,1,100,'Increases power of caster by 29',0,0),
(135905,240202,2,100,'Increases power of caster by 31',0,0),
(135906,240202,3,100,'Increases power of caster by 33',0,0),
(135907,240202,4,100,'Increases power of caster by 36',0,0),
(135908,240202,5,100,'Increases power of caster by 39',0,0),
(135909,240202,7,100,'Increases power of caster by 50',0,0),
(135910,240202,9,100,'Increases power of caster by 52',0,0),
(135911,240203,1,100,'Increases power of caster by 64',0,0),
(135912,240203,2,100,'Increases power of caster by 67',0,0),
(135913,240203,3,100,'Increases power of caster by 71',0,0),
(135914,240203,4,100,'Increases power of caster by 78',0,0),
(135915,240203,5,100,'Increases power of caster by 85',0,0),
(135916,240203,7,100,'Increases power of caster by 109',0,0),
(135917,240203,9,100,'Increases power of caster by 114',0,0),
(135918,240204,1,100,'Increases power of caster by 102',0,0),
(135919,240204,2,100,'Increases power of caster by 108',0,0),
(135920,240204,3,100,'Increases power of caster by 114',0,0),
(135921,240204,4,100,'Increases power of caster by 125',0,0),
(135922,240204,5,100,'Increases power of caster by 137',0,0),
(135923,240204,7,100,'Increases power of caster by 175',0,0),
(135924,240204,9,100,'Increases power of caster by 182',0,0),
(135925,240204,10,100,'Increases power of caster by 191',0,0),
(135926,240205,1,100,'Increases power of caster by 150',0,0),
(135927,240205,2,100,'Increases power of caster by 158',0,0),
(135928,240205,3,100,'Increases power of caster by 166',0,0),
(135929,240205,4,100,'Increases power of caster by 183',0,0),
(135930,240205,5,100,'Increases power of caster by 200',0,0),
(135931,240205,7,100,'Increases power of caster by 256',0,0),
(135932,240205,9,100,'Increases power of caster by 266',0,0),
(135933,240206,1,100,'Increases power of caster by 197',0,0),
(135934,240206,2,100,'Increases power of caster by 208',0,0),
(135935,240206,3,100,'Increases power of caster by 219',0,0),
(135936,240206,4,100,'Increases power of caster by 241',0,0),
(135937,240206,5,100,'Increases power of caster by 263',0,0),
(135938,240206,7,100,'Increases power of caster by 337',0,0),
(135939,240206,9,100,'Increases power of caster by 350',0,0),
(135940,240207,1,100,'Increases power of caster by 263',0,0),
(135941,240207,2,100,'Increases power of caster by 278',0,0),
(135942,240207,3,100,'Increases power of caster by 292',0,0),
(135943,240207,4,100,'Increases power of caster by 321',0,0),
(135944,240207,5,100,'Increases power of caster by 351',0,0),
(135945,240207,7,100,'Increases power of caster by 450',0,0),
(135946,240207,9,100,'Increases power of caster by 468',0,0),
(135947,240208,1,100,'Increases power of caster by 317',0,0),
(135948,240208,4,100,'Increases power of caster by 387',0,0),
(135949,240208,5,100,'Increases power of caster by 422',0,0),
(135950,240208,7,100,'Increases power of caster by 542',0,0),
(135951,240208,9,100,'Increases power of caster by 563',0,0),
(135952,240209,1,100,'Increases power of caster by 336',0,0),
(135953,240209,4,100,'Increases power of caster by 411',0,0),
(135954,240209,5,100,'Increases power of caster by 448',0,0),
(135955,240209,7,100,'Increases power of caster by 575',0,0),
(135956,240209,9,100,'Increases power of caster by 597',0,0),
(135957,2000730,1,100,'Increases caster''s spell range and radius by 20%',0,0),
(135958,2000730,1,100,'Reduces target''s spell range and radius by 20%',0,1),
(135959,370183,1,100,'Applies Banshee''s Scream on termination.',0,0),
(135960,370183,1,100,'Inflicts 193 - 321 disease damage on target',1,1),
(135961,370183,1,100,'Inflicts 64 disease damage on target encounter instantly and every 4 seconds',0,2),
(135962,370183,2,100,'Applies Banshee''s Scream on termination.',0,0),
(135963,370183,2,100,'Inflicts 203 - 339 disease damage on target',1,1),
(135964,370183,2,100,'Inflicts 68 disease damage on target encounter instantly and every 4 seconds',0,2),
(135965,370183,3,100,'Applies Banshee''s Scream on termination.',0,0),
(135966,370183,3,100,'Inflicts 214 - 357 disease damage on target',1,1),
(135967,370183,3,100,'Inflicts 71 disease damage on target encounter instantly and every 4 seconds',0,2),
(135968,370183,4,100,'Applies Banshee''s Scream on termination.',0,0),
(135969,370183,4,100,'Inflicts 236 - 393 disease damage on target',1,1),
(135970,370183,4,100,'Inflicts 79 disease damage on target encounter instantly and every 4 seconds',0,2),
(135971,370183,5,100,'Applies Banshee''s Scream on termination.',0,0),
(135972,370183,5,100,'Inflicts 257 - 428 disease damage on target',1,1),
(135973,370183,5,100,'Inflicts 86 disease damage on target encounter instantly and every 4 seconds',0,2),
(135974,370183,7,100,'Applies Banshee''s Scream on termination.',0,0),
(135975,370183,7,100,'Inflicts 330 - 550 disease damage on target',1,1),
(135976,370183,7,100,'Inflicts 110 disease damage on target encounter instantly and every 4 seconds',0,2),
(135977,370183,9,100,'Applies Banshee''s Scream on termination.',0,0),
(135978,370183,9,100,'Inflicts 343 - 571 disease damage on target',1,1),
(135979,370183,9,100,'Inflicts 114 disease damage on target encounter instantly and every 4 seconds',0,2),
(135980,370184,1,100,'Applies Banshee''s Scream on termination.',0,0),
(135981,370184,1,100,'Inflicts 290 - 483 disease damage on target',1,1),
(135982,370184,1,100,'Inflicts 97 disease damage on target encounter instantly and every 4 seconds',0,2),
(135983,370184,2,100,'Applies Banshee''s Scream on termination.',0,0),
(135984,370184,2,100,'Inflicts 306 - 510 disease damage on target',1,1),
(135985,370184,2,100,'Inflicts 102 disease damage on target encounter instantly and every 4 seconds',0,2),
(135986,370184,3,100,'Applies Banshee''s Scream on termination.',0,0),
(135987,370184,3,100,'Inflicts 322 - 537 disease damage on target',1,1),
(135988,370184,3,100,'Inflicts 107 disease damage on target encounter instantly and every 4 seconds',0,2),
(135989,370184,4,100,'Applies Banshee''s Scream on termination.',0,0),
(135990,370184,4,100,'Inflicts 355 - 591 disease damage on target',1,1),
(135991,370184,4,100,'Inflicts 118 disease damage on target encounter instantly and every 4 seconds',0,2),
(135992,370184,5,100,'Applies Banshee''s Scream on termination.',0,0),
(135993,370184,5,100,'Inflicts 387 - 645 disease damage on target',1,1),
(135994,370184,5,100,'Inflicts 129 disease damage on target encounter instantly and every 4 seconds',0,2),
(135995,370184,7,100,'Applies Banshee''s Scream on termination.',0,0),
(135996,370184,7,100,'Inflicts 496 - 827 disease damage on target',1,1),
(135997,370184,7,100,'Inflicts 165 disease damage on target encounter instantly and every 4 seconds',0,2),
(135998,370184,9,100,'Applies Banshee''s Scream on termination.',0,0),
(135999,370184,9,100,'Inflicts 516 - 859 disease damage on target',1,1),
(136000,370184,9,100,'Inflicts 172 disease damage on target encounter instantly and every 4 seconds',0,2),
(136001,370185,1,100,'Applies Banshee''s Scream on termination.',0,0),
(136002,370185,1,100,'Inflicts 352 - 586 disease damage on target',1,1),
(136003,370185,1,100,'Inflicts 117 disease damage on target encounter instantly and every 4 seconds',0,2),
(136004,370185,2,100,'Applies Banshee''s Scream on termination.',0,0),
(136005,370185,2,100,'Inflicts 371 - 619 disease damage on target',1,1),
(136006,370185,2,100,'Inflicts 124 disease damage on target encounter instantly and every 4 seconds',0,2),
(136007,370185,3,100,'Applies Banshee''s Scream on termination.',0,0),
(136008,370185,3,100,'Inflicts 391 - 651 disease damage on target',1,1),
(136009,370185,3,100,'Inflicts 130 disease damage on target encounter instantly and every 4 seconds',0,2),
(136010,370185,4,100,'Applies Banshee''s Scream on termination.',0,0),
(136011,370185,4,100,'Inflicts 430 - 716 disease damage on target',1,1),
(136012,370185,4,100,'Inflicts 143 disease damage on target encounter instantly and every 4 seconds',0,2),
(136013,370185,5,100,'Applies Banshee''s Scream on termination.',0,0),
(136014,370185,5,100,'Inflicts 469 - 782 disease damage on target',1,1),
(136015,370185,5,100,'Inflicts 156 disease damage on target encounter instantly and every 4 seconds',0,2),
(136016,370185,7,100,'Applies Banshee''s Scream on termination.',0,0),
(136017,370185,7,100,'Inflicts 602 - 1003 disease damage on target',1,1),
(136018,370185,7,100,'Inflicts 201 disease damage on target encounter instantly and every 4 seconds',0,2),
(136019,370185,9,100,'Applies Banshee''s Scream on termination.',0,0),
(136020,370185,9,100,'Inflicts 625 - 1042 disease damage on target',1,1),
(136021,370185,9,100,'Inflicts 208 disease damage on target encounter instantly and every 4 seconds',0,2),
(136022,370186,1,100,'Applies Banshee''s Scream on termination.',0,0),
(136023,370186,1,100,'Inflicts 423 - 705 disease damage on target',1,1),
(136024,370186,1,100,'Inflicts 141 disease damage on target encounter instantly and every 4 seconds',0,2),
(136025,370186,4,100,'Applies Banshee''s Scream on termination.',0,0),
(136026,370186,4,100,'Inflicts 517 - 862 disease damage on target',1,1),
(136027,370186,4,100,'Inflicts 172 disease damage on target encounter instantly and every 4 seconds',0,2),
(136028,370186,5,100,'Applies Banshee''s Scream on termination.',0,0),
(136029,370186,5,100,'Inflicts 564 - 940 disease damage on target',1,1),
(136030,370186,5,100,'Inflicts 188 disease damage on target encounter instantly and every 4 seconds',0,2),
(136031,370186,7,100,'Applies Banshee''s Scream on termination.',0,0),
(136032,370186,7,100,'Inflicts 724 - 1207 disease damage on target',1,1),
(136033,370186,7,100,'Inflicts 241 disease damage on target encounter instantly and every 4 seconds',0,2),
(136034,370186,9,100,'Applies Banshee''s Scream on termination.',0,0),
(136035,370186,9,100,'Inflicts 752 - 1254 disease damage on target',1,1),
(136036,370186,9,100,'Inflicts 251 disease damage on target encounter instantly and every 4 seconds',0,2),
(136037,370187,1,100,'Applies Banshee''s Scream on termination.',0,0),
(136038,370187,1,100,'Inflicts 449 - 748 disease damage on target',1,1),
(136039,370187,1,100,'Inflicts 150 disease damage on target encounter instantly and every 4 seconds',0,2),
(136040,370187,4,100,'Applies Banshee''s Scream on termination.',0,0),
(136041,370187,4,100,'Inflicts 549 - 915 disease damage on target',1,1),
(136042,370187,4,100,'Inflicts 183 disease damage on target encounter instantly and every 4 seconds',0,2),
(136043,370187,5,100,'Applies Banshee''s Scream on termination.',0,0),
(136044,370187,5,100,'Inflicts 599 - 998 disease damage on target',1,1),
(136045,370187,5,100,'Inflicts 200 disease damage on target encounter instantly and every 4 seconds',0,2),
(136046,370187,7,100,'Applies Banshee''s Scream on termination.',0,0),
(136047,370187,7,100,'Inflicts 768 - 1280 disease damage on target',1,1),
(136048,370187,7,100,'Inflicts 256 disease damage on target encounter instantly and every 4 seconds',0,2),
(136049,370187,9,100,'Applies Banshee''s Scream on termination.',0,0),
(136050,370187,9,100,'Inflicts 798 - 1330 disease damage on target',1,1),
(136051,370187,9,100,'Inflicts 266 disease damage on target encounter instantly and every 4 seconds',0,2),
(136052,180017,1,100,'Decreases Haste of target by 9.9',0,0),
(136053,180017,2,100,'Decreases Haste of target by 10.4',0,0),
(136054,180017,3,100,'Decreases Haste of target by 11.0',0,0),
(136055,180017,4,100,'Decreases Haste of target by 12.1',0,0),
(136056,180017,5,100,'Decreases Haste of target by 13.2',0,0),
(136057,180017,7,100,'Decreases Haste of target by 16.9',0,0),
(136058,180017,9,100,'Decreases Haste of target by 17.6',0,0),
(136059,2000731,1,100,'Wards caster against 0 points of elemental, noxious and arcane damage',0,0),
(136060,2000731,2,100,'Wards caster against 142 points of elemental, noxious and arcane damage',0,0),
(136061,2000731,3,100,'Wards caster against 213 points of elemental, noxious and arcane damage',0,0),
(136062,2000731,4,100,'Wards caster against 284 points of elemental, noxious and arcane damage',0,0),
(136063,2000731,5,100,'Wards caster against 335 points of elemental, noxious and arcane damage',0,0),
(136064,2000731,6,100,'Wards caster against 426 points of elemental, noxious and arcane damage',0,0),
(136065,2000731,7,100,'Wards caster against 497 points of elemental, noxious and arcane damage',0,0),
(136066,2000731,8,100,'Wards caster against 536 points of elemental, noxious and arcane damage',0,0),
(136067,2000731,9,100,'Wards caster against 639 points of elemental, noxious and arcane damage',0,0),
(136068,2000731,10,100,'Wards caster against 670 points of elemental, noxious and arcane damage',0,0),
(136069,160168,1,100,'Wards group members (AE) against 13 points of elemental damage',0,0),
(136070,160168,1,100,'Increases Mitigation of group members (AE) vs elemental damage by 261',0,1),
(136071,160168,2,100,'Wards group members (AE) against 14 points of elemental damage',0,0),
(136072,160168,2,100,'Increases Mitigation of group members (AE) vs elemental damage by 276',0,1),
(136073,160168,3,100,'Wards group members (AE) against 16 points of elemental damage',0,0),
(136074,160168,3,100,'Increases Mitigation of group members (AE) vs elemental damage by 290',0,1),
(136075,160168,4,100,'Wards group members (AE) against 16 points of elemental damage',0,0),
(136076,160168,4,100,'Increases Mitigation of group members (AE) vs elemental damage by 319',0,1),
(136077,160168,5,100,'Wards group members (AE) against 18 points of elemental damage',0,0),
(136078,160168,5,100,'Increases Mitigation of group members (AE) vs elemental damage by 348',0,1),
(136079,160168,7,100,'Wards group members (AE) against 23 points of elemental damage',0,0),
(136080,160168,7,100,'Increases Mitigation of group members (AE) vs elemental damage by 447',0,1),
(136081,160168,9,100,'Wards group members (AE) against 24 points of elemental damage',0,0),
(136082,160168,9,100,'Increases Mitigation of group members (AE) vs elemental damage by 464',0,1),
(136083,160169,1,100,'Wards group members (AE) against 13 points of elemental damage',0,0),
(136084,160169,1,100,'Increases Mitigation of group members (AE) vs elemental damage by 387',0,1),
(136085,160169,2,100,'Wards group members (AE) against 14 points of elemental damage',0,0),
(136086,160169,2,100,'Increases Mitigation of group members (AE) vs elemental damage by 409',0,1),
(136087,160169,3,100,'Wards group members (AE) against 15 points of elemental damage',0,0),
(136088,160169,3,100,'Increases Mitigation of group members (AE) vs elemental damage by 430',0,1),
(136089,160169,4,100,'Wards group members (AE) against 16 points of elemental damage',0,0),
(136090,160169,4,100,'Increases Mitigation of group members (AE) vs elemental damage by 473',0,1),
(136091,160169,5,100,'Wards group members (AE) against 18 points of elemental damage',0,0),
(136092,160169,5,100,'Increases Mitigation of group members (AE) vs elemental damage by 516',0,1),
(136093,160169,7,100,'Wards group members (AE) against 23 points of elemental damage',0,0),
(136094,160169,7,100,'Increases Mitigation of group members (AE) vs elemental damage by 662',0,1),
(136095,160169,9,100,'Wards group members (AE) against 24 points of elemental damage',0,0),
(136096,160169,9,100,'Increases Mitigation of group members (AE) vs elemental damage by 688',0,1),
(136097,160170,1,100,'Wards group members (AE) against 13 points of elemental damage',0,0),
(136098,160170,1,100,'Increases Mitigation of group members (AE) vs elemental damage by 513',0,1),
(136099,160170,2,100,'Wards group members (AE) against 14 points of elemental damage',0,0),
(136100,160170,2,100,'Increases Mitigation of group members (AE) vs elemental damage by 542',0,1),
(136101,160170,3,100,'Wards group members (AE) against 15 points of elemental damage',0,0),
(136102,160170,3,100,'Increases Mitigation of group members (AE) vs elemental damage by 570',0,1),
(136103,160170,4,100,'Wards group members (AE) against 16 points of elemental damage',0,0),
(136104,160170,4,100,'Increases Mitigation of group members (AE) vs elemental damage by 627',0,1),
(136105,160170,5,100,'Wards group members (AE) against 18 points of elemental damage',0,0),
(136106,160170,5,100,'Increases Mitigation of group members (AE) vs elemental damage by 684',0,1),
(136107,160170,7,100,'Wards group members (AE) against 23 points of elemental damage',0,0),
(136108,160170,7,100,'Increases Mitigation of group members (AE) vs elemental damage by 878',0,1),
(136109,160170,9,100,'Wards group members (AE) against 26 points of elemental damage',0,0),
(136110,160170,9,100,'Increases Mitigation of group members (AE) vs elemental damage by 912',0,1),
(136111,160171,1,100,'Wards group members (AE) against 13 points of elemental damage',0,0),
(136112,160171,1,100,'Increases Mitigation of group members (AE) vs elemental damage by 671',0,1),
(136113,160171,2,100,'Wards group members (AE) against 14 points of elemental damage',0,0),
(136114,160171,2,100,'Increases Mitigation of group members (AE) vs elemental damage by 708',0,1),
(136115,160171,3,100,'Wards group members (AE) against 15 points of elemental damage',0,0),
(136116,160171,3,100,'Increases Mitigation of group members (AE) vs elemental damage by 746',0,1),
(136117,160171,4,100,'Wards group members (AE) against 18 points of elemental damage',0,0),
(136118,160171,4,100,'Increases Mitigation of group members (AE) vs elemental damage by 820',0,1),
(136119,160171,5,100,'Wards group members (AE) against 18 points of elemental damage',0,0),
(136120,160171,5,100,'Increases Mitigation of group members (AE) vs elemental damage by 895',0,1),
(136121,160171,7,100,'Wards group members (AE) against 23 points of elemental damage',0,0),
(136122,160171,7,100,'Increases Mitigation of group members (AE) vs elemental damage by 1044',0,1),
(136123,160171,9,100,'Wards group members (AE) against 24 points of elemental damage',0,0),
(136124,160171,9,100,'Increases Mitigation of group members (AE) vs elemental damage by 1193',0,1),
(136125,160171,10,100,'Wards group members (AE) against 25 points of elemental damage',0,0),
(136126,160171,10,100,'Increases Mitigation of group members (AE) vs elemental damage by 1252',0,1),
(136127,160172,1,100,'Wards group members (AE) against 13 points of elemental damage',0,0),
(136128,160172,1,100,'Increases Mitigation of group members (AE) vs elemental damage by 769',0,1),
(136129,160172,4,100,'Wards group members (AE) against 16 points of elemental damage',0,0),
(136130,160172,4,100,'Increases Mitigation of group members (AE) vs elemental damage by 940',0,1),
(136131,160172,5,100,'Wards group members (AE) against 19 points of elemental damage',0,0),
(136132,160172,5,100,'Increases Mitigation of group members (AE) vs elemental damage by 1025',0,1),
(136133,160172,7,100,'Wards group members (AE) against 23 points of elemental damage',0,0),
(136134,160172,7,100,'Increases Mitigation of group members (AE) vs elemental damage by 1316',0,1),
(136135,160172,9,100,'Wards group members (AE) against 24 points of elemental damage',0,0),
(136136,160172,9,100,'Increases Mitigation of group members (AE) vs elemental damage by 1367',0,1),
(136137,160173,1,100,'Wards group members (AE) against 13 points of elemental damage',0,0),
(136138,160173,1,100,'Increases Mitigation of group members (AE) vs elemental damage by 901',0,1),
(136139,160173,4,100,'Wards group members (AE) against 16 points of elemental damage',0,0),
(136140,160173,4,100,'Increases Mitigation of group members (AE) vs elemental damage by 1101',0,1),
(136141,160173,5,100,'Wards group members (AE) against 19 points of elemental damage',0,0),
(136142,160173,5,100,'Increases Mitigation of group members (AE) vs elemental damage by 1201',0,1),
(136143,160173,7,100,'Wards group members (AE) against 23 points of elemental damage',0,0),
(136144,160173,7,100,'Increases Mitigation of group members (AE) vs elemental damage by 1542',0,1),
(136145,160173,9,100,'Wards group members (AE) against 26 points of elemental damage',0,0),
(136146,160173,9,100,'Increases Mitigation of group members (AE) vs elemental damage by 1602',0,1),
(136147,2000732,1,100,'Carrion Warding and Ancient Shroud will apply a damage shield that hits nearby enemies.',0,0),
(136148,160174,1,100,'Shapechanges caster into a wolf',0,0),
(136149,160174,1,100,'Grants See Invisibility to caster',0,1),
(136150,160174,1,100,'Increases Focus of caster by 8.1',0,2),
(136151,160174,1,100,'Increases Mitigation of caster vs physical damage by 90',0,3),
(136152,160174,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 342',0,4),
(136153,160174,2,100,'Shapechanges caster into a wolf',0,0),
(136154,160174,2,100,'Grants See Invisibility to caster',0,1),
(136155,160174,2,100,'Increases Focus of caster by 8.6',0,2),
(136156,160174,2,100,'Increases Mitigation of caster vs physical damage by 95',0,3),
(136157,160174,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 361',0,4),
(136158,160174,3,100,'Shapechanges caster into a wolf',0,0),
(136159,160174,3,100,'Grants See Invisibility to caster',0,1),
(136160,160174,3,100,'Increases Focus of caster by 9.0',0,2),
(136161,160174,3,100,'Increases Mitigation of caster vs physical damage by 100',0,3),
(136162,160174,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 380',0,4),
(136163,160174,4,100,'Shapechanges caster into a wolf',0,0),
(136164,160174,4,100,'Grants See Invisibility to caster',0,1),
(136165,160174,4,100,'Increases Focus of caster by 9.9',0,2),
(136166,160174,4,100,'Increases Mitigation of caster vs physical damage by 110',0,3),
(136167,160174,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 418',0,4),
(136168,160174,5,100,'Shapechanges caster into a wolf',0,0),
(136169,160174,5,100,'Grants See Invisibility to caster',0,1),
(136170,160174,5,100,'Increases Focus of caster by 10.8',0,2),
(136171,160174,5,100,'Increases Mitigation of caster vs physical damage by 120',0,3),
(136172,160174,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 456',0,4),
(136173,160174,7,100,'Shapechanges caster into a wolf',0,0),
(136174,160174,7,100,'Grants See Invisibility to caster',0,1),
(136175,160174,7,100,'Increases Focus of caster by 13.9',0,2),
(136176,160174,7,100,'Increases Mitigation of caster vs physical damage by 154',0,3),
(136177,160174,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 585',0,4),
(136178,160174,9,100,'Shapechanges caster into a wolf',0,0),
(136179,160174,9,100,'Grants See Invisibility to caster',0,1),
(136180,160174,9,100,'Increases Focus of caster by 14.4',0,2),
(136181,160174,9,100,'Increases Mitigation of caster vs physical damage by 160',0,3),
(136182,160174,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 608',0,4),
(136183,160174,10,100,'Shapechanges caster into a wolf',0,0),
(136184,160174,10,100,'Grants See Invisibility to caster',0,1),
(136185,160174,10,100,'Increases Focus of caster by 15.1',0,2),
(136186,160174,10,100,'Increases Mitigation of caster vs physical damage by 168',0,3),
(136187,160174,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 638',0,4),
(136188,160175,1,100,'Shapechanges caster into a wolf',0,0),
(136189,160175,1,100,'Grants See Invisibility to caster',0,1),
(136190,160175,1,100,'Increases Focus of caster by 13.8',0,2),
(136191,160175,1,100,'Increases Mitigation of caster vs physical damage by 153',0,3),
(136192,160175,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 581',0,4),
(136193,160175,2,100,'Shapechanges caster into a wolf',0,0),
(136194,160175,2,100,'Grants See Invisibility to caster',0,1),
(136195,160175,2,100,'Increases Focus of caster by 14.5',0,2),
(136196,160175,2,100,'Increases Mitigation of caster vs physical damage by 162',0,3),
(136197,160175,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 614',0,4),
(136198,160175,3,100,'Shapechanges caster into a wolf',0,0),
(136199,160175,3,100,'Grants See Invisibility to caster',0,1),
(136200,160175,3,100,'Increases Focus of caster by 15.3',0,2),
(136201,160175,3,100,'Increases Mitigation of caster vs physical damage by 170',0,3),
(136202,160175,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 646',0,4),
(136203,160175,4,100,'Shapechanges caster into a wolf',0,0),
(136204,160175,4,100,'Grants See Invisibility to caster',0,1),
(136205,160175,4,100,'Increases Focus of caster by 16.8',0,2),
(136206,160175,4,100,'Increases Mitigation of caster vs physical damage by 187',0,3),
(136207,160175,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 710',0,4),
(136208,160175,5,100,'Shapechanges caster into a wolf',0,0),
(136209,160175,5,100,'Grants See Invisibility to caster',0,1),
(136210,160175,5,100,'Increases Focus of caster by 18.4',0,2),
(136211,160175,5,100,'Increases Mitigation of caster vs physical damage by 204',0,3),
(136212,160175,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 775',0,4),
(136213,160175,7,100,'Shapechanges caster into a wolf',0,0),
(136214,160175,7,100,'Grants See Invisibility to caster',0,1),
(136215,160175,7,100,'Increases Focus of caster by 23.6',0,2),
(136216,160175,7,100,'Increases Mitigation of caster vs physical damage by 262',0,3),
(136217,160175,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 995',0,4),
(136218,160175,9,100,'Shapechanges caster into a wolf',0,0),
(136219,160175,9,100,'Grants See Invisibility to caster',0,1),
(136220,160175,9,100,'Increases Focus of caster by 24.5',0,2),
(136221,160175,9,100,'Increases Mitigation of caster vs physical damage by 272',0,3),
(136222,160175,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1033',0,4),
(136223,160175,10,100,'Shapechanges caster into a wolf',0,0),
(136224,160175,10,100,'Grants See Invisibility to caster',0,1),
(136225,160175,10,100,'Increases Focus of caster by 25.7',0,2),
(136226,160175,10,100,'Increases Mitigation of caster vs physical damage by 286',0,3),
(136227,160175,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1085',0,4),
(136228,160176,1,100,'Shapechanges caster into a wolf',0,0),
(136229,160176,1,100,'Grants See Invisibility to caster',0,1),
(136230,160176,1,100,'Increases Focus of caster by 19.4',0,2),
(136231,160176,1,100,'Increases Mitigation of caster vs physical damage by 216',0,3),
(136232,160176,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 821',0,4),
(136233,160176,2,100,'Shapechanges caster into a wolf',0,0),
(136234,160176,2,100,'Grants See Invisibility to caster',0,1),
(136235,160176,2,100,'Increases Focus of caster by 20.5',0,2),
(136236,160176,2,100,'Increases Mitigation of caster vs physical damage by 228',0,3),
(136237,160176,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 866',0,4),
(136238,160176,3,100,'Shapechanges caster into a wolf',0,0),
(136239,160176,3,100,'Grants See Invisibility to caster',0,1),
(136240,160176,3,100,'Increases Focus of caster by 21.6',0,2),
(136241,160176,3,100,'Increases Mitigation of caster vs physical damage by 240',0,3),
(136242,160176,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 912',0,4),
(136243,160176,4,100,'Shapechanges caster into a wolf',0,0),
(136244,160176,4,100,'Grants See Invisibility to caster',0,1),
(136245,160176,4,100,'Increases Focus of caster by 23.8',0,2),
(136246,160176,4,100,'Increases Mitigation of caster vs physical damage by 264',0,3),
(136247,160176,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1003',0,4),
(136248,160176,5,100,'Shapechanges caster into a wolf',0,0),
(136249,160176,5,100,'Grants See Invisibility to caster',0,1),
(136250,160176,5,100,'Increases Focus of caster by 25.9',0,2),
(136251,160176,5,100,'Increases Mitigation of caster vs physical damage by 288',0,3),
(136252,160176,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1094',0,4),
(136253,160176,7,100,'Shapechanges caster into a wolf',0,0),
(136254,160176,7,100,'Grants See Invisibility to caster',0,1),
(136255,160176,7,100,'Increases Focus of caster by 33.3',0,2),
(136256,160176,7,100,'Increases Mitigation of caster vs physical damage by 370',0,3),
(136257,160176,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1404',0,4),
(136258,160176,9,100,'Shapechanges caster into a wolf',0,0),
(136259,160176,9,100,'Grants See Invisibility to caster',0,1),
(136260,160176,9,100,'Increases Focus of caster by 34.6',0,2),
(136261,160176,9,100,'Increases Mitigation of caster vs physical damage by 384',0,3),
(136262,160176,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1459',0,4),
(136263,160176,10,100,'Shapechanges caster into a wolf',0,0),
(136264,160176,10,100,'Grants See Invisibility to caster',0,1),
(136265,160176,10,100,'Increases Focus of caster by 36.3',0,2),
(136266,160176,10,100,'Increases Mitigation of caster vs physical damage by 403',0,3),
(136267,160176,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1532',0,4),
(136268,160177,1,100,'Shapechanges caster into a wolf',0,0),
(136269,160177,1,100,'Grants See Invisibility to caster',0,1),
(136270,160177,1,100,'Increases Focus of caster by 25.1',0,2),
(136271,160177,1,100,'Increases Mitigation of caster vs physical damage by 279',0,3),
(136272,160177,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1060',0,4),
(136273,160177,2,100,'Shapechanges caster into a wolf',0,0),
(136274,160177,2,100,'Grants See Invisibility to caster',0,1),
(136275,160177,2,100,'Increases Focus of caster by 26.5',0,2),
(136276,160177,2,100,'Increases Mitigation of caster vs physical damage by 295',0,3),
(136277,160177,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1119',0,4),
(136278,160177,3,100,'Shapechanges caster into a wolf',0,0),
(136279,160177,3,100,'Grants See Invisibility to caster',0,1),
(136280,160177,3,100,'Increases Focus of caster by 27.9',0,2),
(136281,160177,3,100,'Increases Mitigation of caster vs physical damage by 310',0,3),
(136282,160177,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1178',0,4),
(136283,160177,4,100,'Shapechanges caster into a wolf',0,0),
(136284,160177,4,100,'Grants See Invisibility to caster',0,1),
(136285,160177,4,100,'Increases Focus of caster by 30.7',0,2),
(136286,160177,4,100,'Increases Mitigation of caster vs physical damage by 341',0,3),
(136287,160177,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1295',0,4),
(136288,160177,5,100,'Shapechanges caster into a wolf',0,0),
(136289,160177,5,100,'Grants See Invisibility to caster',0,1),
(136290,160177,5,100,'Increases Focus of caster by 33.5',0,2),
(136291,160177,5,100,'Increases Mitigation of caster vs physical damage by 372',0,3),
(136292,160177,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1413',0,4),
(136293,160177,7,100,'Shapechanges caster into a wolf',0,0),
(136294,160177,7,100,'Grants See Invisibility to caster',0,1),
(136295,160177,7,100,'Increases Focus of caster by 43.0',0,2),
(136296,160177,7,100,'Increases Mitigation of caster vs physical damage by 477',0,3),
(136297,160177,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1814',0,4),
(136298,160177,9,100,'Shapechanges caster into a wolf',0,0),
(136299,160177,9,100,'Grants See Invisibility to caster',0,1),
(136300,160177,9,100,'Increases Focus of caster by 44.6',0,2),
(136301,160177,9,100,'Increases Mitigation of caster vs physical damage by 496',0,3),
(136302,160177,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1884',0,4),
(136303,160178,1,100,'Shapechanges caster into a wolf',0,0),
(136304,160178,1,100,'Grants See Invisibility to caster',0,1),
(136305,160178,1,100,'Increases Focus of caster by 31.6',0,2),
(136306,160178,1,100,'Increases Mitigation of caster vs physical damage by 359',0,3),
(136307,160178,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1299',0,4),
(136308,160178,2,100,'Shapechanges caster into a wolf',0,0),
(136309,160178,2,100,'Grants See Invisibility to caster',0,1),
(136310,160178,2,100,'Increases Focus of caster by 33.3',0,2),
(136311,160178,2,100,'Increases Mitigation of caster vs physical damage by 379',0,3),
(136312,160178,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1371',0,4),
(136313,160178,3,100,'Shapechanges caster into a wolf',0,0),
(136314,160178,3,100,'Grants See Invisibility to caster',0,1),
(136315,160178,3,100,'Increases Focus of caster by 35.1',0,2),
(136316,160178,3,100,'Increases Mitigation of caster vs physical damage by 399',0,3),
(136317,160178,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1444',0,4),
(136318,160178,4,100,'Shapechanges caster into a wolf',0,0),
(136319,160178,4,100,'Grants See Invisibility to caster',0,1),
(136320,160178,4,100,'Increases Focus of caster by 38.6',0,2),
(136321,160178,4,100,'Increases Mitigation of caster vs physical damage by 439',0,3),
(136322,160178,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1588',0,4),
(136323,160178,5,100,'Shapechanges caster into a wolf',0,0),
(136324,160178,5,100,'Grants See Invisibility to caster',0,1),
(136325,160178,5,100,'Increases Focus of caster by 42.1',0,2),
(136326,160178,5,100,'Increases Mitigation of caster vs physical damage by 479',0,3),
(136327,160178,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1732',0,4),
(136328,160178,7,100,'Shapechanges caster into a wolf',0,0),
(136329,160178,7,100,'Grants See Invisibility to caster',0,1),
(136330,160178,7,100,'Increases Focus of caster by 54.1',0,2),
(136331,160178,7,100,'Increases Mitigation of caster vs physical damage by 614',0,3),
(136332,160178,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2223',0,4),
(136333,160178,9,100,'Shapechanges caster into a wolf',0,0),
(136334,160178,9,100,'Grants See Invisibility to caster',0,1),
(136335,160178,9,100,'Increases Focus of caster by 56.2',0,2),
(136336,160178,9,100,'Increases Mitigation of caster vs physical damage by 638',0,3),
(136337,160178,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2310',0,4),
(136338,160179,1,100,'Shapechanges caster into a wolf',0,0),
(136339,160179,1,100,'Grants See Invisibility to caster',0,1),
(136340,160179,1,100,'Increases Focus of caster by 37.8',0,2),
(136341,160179,1,100,'Increases Mitigation of caster vs physical damage by 418',0,3),
(136342,160179,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1470',0,4),
(136343,160179,4,100,'Shapechanges caster into a wolf',0,0),
(136344,160179,4,100,'Grants See Invisibility to caster',0,1),
(136345,160179,4,100,'Increases Focus of caster by 46.2',0,2),
(136346,160179,4,100,'Increases Mitigation of caster vs physical damage by 511',0,3),
(136347,160179,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1797',0,4),
(136348,160179,5,100,'Shapechanges caster into a wolf',0,0),
(136349,160179,5,100,'Grants See Invisibility to caster',0,1),
(136350,160179,5,100,'Increases Focus of caster by 50.4',0,2),
(136351,160179,5,100,'Increases Mitigation of caster vs physical damage by 557',0,3),
(136352,160179,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1960',0,4),
(136353,160179,7,100,'Shapechanges caster into a wolf',0,0),
(136354,160179,7,100,'Grants See Invisibility to caster',0,1),
(136355,160179,7,100,'Increases Focus of caster by 64.7',0,2),
(136356,160179,7,100,'Increases Mitigation of caster vs physical damage by 715',0,3),
(136357,160179,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2516',0,4),
(136358,160179,9,100,'Shapechanges caster into a wolf',0,0),
(136359,160179,9,100,'Grants See Invisibility to caster',0,1),
(136360,160179,9,100,'Increases Focus of caster by 67.2',0,2),
(136361,160179,9,100,'Increases Mitigation of caster vs physical damage by 743',0,3),
(136362,160179,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2614',0,4),
(136363,160180,1,100,'Shapechanges caster into a wolf',0,0),
(136364,160180,1,100,'Grants See Invisibility to caster',0,1),
(136365,160180,1,100,'Increases Focus of caster by 44.5',0,2),
(136366,160180,1,100,'Increases Mitigation of caster vs physical damage by 475',0,3),
(136367,160180,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1641',0,4),
(136368,160180,4,100,'Shapechanges caster into a wolf',0,0),
(136369,160180,4,100,'Grants See Invisibility to caster',0,1),
(136370,160180,4,100,'Increases Focus of caster by 54.5',0,2),
(136371,160180,4,100,'Increases Mitigation of caster vs physical damage by 581',0,3),
(136372,160180,4,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2006',0,4),
(136373,160180,5,100,'Shapechanges caster into a wolf',0,0),
(136374,160180,5,100,'Grants See Invisibility to caster',0,1),
(136375,160180,5,100,'Increases Focus of caster by 59.4',0,2),
(136376,160180,5,100,'Increases Mitigation of caster vs physical damage by 634',0,3),
(136377,160180,5,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2188',0,4),
(136378,160180,7,100,'Shapechanges caster into a wolf',0,0),
(136379,160180,7,100,'Grants See Invisibility to caster',0,1),
(136380,160180,7,100,'Increases Focus of caster by 76.2',0,2),
(136381,160180,7,100,'Increases Mitigation of caster vs physical damage by 813',0,3),
(136382,160180,7,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2808',0,4),
(136383,160180,9,100,'Shapechanges caster into a wolf',0,0),
(136384,160180,9,100,'Grants See Invisibility to caster',0,1),
(136385,160180,9,100,'Increases Focus of caster by 79.2',0,2),
(136386,160180,9,100,'Increases Mitigation of caster vs physical damage by 845',0,3),
(136387,160180,9,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2918',0,4),
(136388,2000733,1,100,'Increases the base amount of wards and heals by 15%',0,0),
(136389,2000733,1,100,'Increases the critical amount of wards and heals by 5%.',0,1),
(136390,2000733,1,100,'Reduces the casting time of non damaging debuffs by 15%',0,2),
(136391,2000733,1,100,'Increases the power cost of damaging spells by 30%.',0,3),
(136392,2000733,1,100,'Reduces the damage of hostile spells by 15%',0,4),
(136393,180018,1,100,'Wards group members (AE) collectively against 327 total points of ',0,0),
(136394,180018,2,100,'Wards group members (AE) collectively against 345 total points of ',0,0),
(136395,180018,3,100,'Wards group members (AE) collectively against 363 total points of ',0,0),
(136396,180018,4,100,'Wards group members (AE) collectively against 399 total points of ',0,0),
(136397,180018,5,100,'Wards group members (AE) collectively against 436 total points of ',0,0),
(136398,180018,7,100,'Wards group members (AE) collectively against 508 total points of ',0,0),
(136399,180018,9,100,'Wards group members (AE) collectively against 581 total points of ',0,0),
(136400,180018,10,100,'Wards group members (AE) collectively against 599 total points of ',0,0),
(136401,190192,3,100,'Wards group members (AE) collectively against 1383 total points of all damage',0,0),
(136402,130181,1,100,'Inflicts 58 - 71 divine damage on target',0,0),
(136403,130181,1,100,'Inflicts 24 - 30 divine damage on target every 4 seconds',0,1),
(136404,130181,2,100,'Inflicts 62 - 75 divine damage on target',0,0),
(136405,130181,2,100,'Inflicts 26 - 31 divine damage on target every 4 seconds',0,1),
(136406,130181,3,100,'Inflicts 65 - 79 divine damage on target',0,0),
(136407,130181,3,100,'Inflicts 27 - 33 divine damage on target every 4 seconds',0,1),
(136408,130181,4,100,'Inflicts 71 - 87 divine damage on target',0,0),
(136409,130181,4,100,'Inflicts 30 - 36 divine damage on target every 4 seconds',0,1),
(136410,130181,5,100,'Inflicts 78 - 95 divine damage on target',0,0),
(136411,130181,5,100,'Inflicts 32 - 40 divine damage on target every 4 seconds',0,1),
(136412,130181,7,100,'Inflicts 100 - 122 divine damage on target',0,0),
(136413,130181,7,100,'Inflicts 42 - 51 divine damage on target every 4 seconds',0,1),
(136414,130181,9,100,'Inflicts 104 - 127 divine damage on target',0,0),
(136415,130181,9,100,'Inflicts 43 - 53 divine damage on target every 4 seconds',0,1),
(136416,130181,10,100,'Inflicts 109 - 133 divine damage on target',0,0),
(136417,130181,10,100,'Inflicts 45 - 55 divine damage on target every 4 seconds',0,1),
(136418,130182,1,100,'Inflicts 99 - 121 divine damage on target',0,0),
(136419,130182,1,100,'Inflicts 41 - 51 divine damage on target every 4 seconds',0,1),
(136420,130182,2,100,'Inflicts 105 - 128 divine damage on target',0,0),
(136421,130182,2,100,'Inflicts 44 - 53 divine damage on target every 4 seconds',0,1),
(136422,130182,3,100,'Inflicts 110 - 135 divine damage on target',0,0),
(136423,130182,3,100,'Inflicts 46 - 56 divine damage on target every 4 seconds',0,1),
(136424,130182,4,100,'Inflicts 121 - 148 divine damage on target',0,0),
(136425,130182,4,100,'Inflicts 51 - 62 divine damage on target every 4 seconds',0,1),
(136426,130182,5,100,'Inflicts 132 - 162 divine damage on target',0,0),
(136427,130182,5,100,'Inflicts 55 - 67 divine damage on target every 4 seconds',0,1),
(136428,130182,7,100,'Inflicts 170 - 208 divine damage on target',0,0),
(136429,130182,7,100,'Inflicts 71 - 86 divine damage on target every 4 seconds',0,1),
(136430,130182,9,100,'Inflicts 176 - 216 divine damage on target',0,0),
(136431,130182,9,100,'Inflicts 74 - 90 divine damage on target every 4 seconds',0,1),
(136432,130183,1,100,'Inflicts 148 - 181 divine damage on target',0,0),
(136433,130183,1,100,'Inflicts 62 - 75 divine damage on target every 4 seconds',0,1),
(136434,130183,2,100,'Inflicts 156 - 191 divine damage on target',0,0),
(136435,130183,2,100,'Inflicts 65 - 80 divine damage on target every 4 seconds',0,1),
(136436,130183,3,100,'Inflicts 165 - 201 divine damage on target',0,0),
(136437,130183,3,100,'Inflicts 69 - 84 divine damage on target every 4 seconds',0,1),
(136438,130183,4,100,'Inflicts 181 - 221 divine damage on target',0,0),
(136439,130183,4,100,'Inflicts 75 - 92 divine damage on target every 4 seconds',0,1),
(136440,130183,5,100,'Inflicts 198 - 242 divine damage on target',0,0),
(136441,130183,5,100,'Inflicts 82 - 101 divine damage on target every 4 seconds',0,1),
(136442,130183,7,100,'Inflicts 254 - 310 divine damage on target',0,0),
(136443,130183,7,100,'Inflicts 106 - 129 divine damage on target every 4 seconds',0,1),
(136444,130183,9,100,'Inflicts 263 - 322 divine damage on target',0,0),
(136445,130183,9,100,'Inflicts 110 - 134 divine damage on target every 4 seconds',0,1),
(136446,130184,1,100,'Inflicts 199 - 244 divine damage on target',0,0),
(136447,130184,1,100,'Inflicts 83 - 101 divine damage on target every 4 seconds',0,1),
(136448,130184,2,100,'Inflicts 210 - 257 divine damage on target',0,0),
(136449,130184,2,100,'Inflicts 88 - 107 divine damage on target every 4 seconds',0,1),
(136450,130184,3,100,'Inflicts 221 - 271 divine damage on target',0,0),
(136451,130184,3,100,'Inflicts 92 - 113 divine damage on target every 4 seconds',0,1),
(136452,130184,4,100,'Inflicts 244 - 298 divine damage on target',0,0),
(136453,130184,4,100,'Inflicts 101 - 124 divine damage on target every 4 seconds',0,1),
(136454,130184,5,100,'Inflicts 266 - 325 divine damage on target',0,0),
(136455,130184,5,100,'Inflicts 111 - 135 divine damage on target every 4 seconds',0,1),
(136456,130184,7,100,'Inflicts 341 - 417 divine damage on target',0,0),
(136457,130184,7,100,'Inflicts 142 - 174 divine damage on target every 4 seconds',0,1),
(136458,130184,9,100,'Inflicts 354 - 433 divine damage on target',0,0),
(136459,130184,9,100,'Inflicts 148 - 180 divine damage on target every 4 seconds',0,1),
(136460,130185,1,100,'Inflicts 250 - 305 divine damage on target',0,0),
(136461,130185,1,100,'Inflicts 104 - 127 divine damage on target every 4 seconds',0,1),
(136462,130185,2,100,'Inflicts 264 - 322 divine damage on target',0,0),
(136463,130185,2,100,'Inflicts 110 - 134 divine damage on target every 4 seconds',0,1),
(136464,130185,3,100,'Inflicts 278 - 339 divine damage on target',0,0),
(136465,130185,3,100,'Inflicts 116 - 141 divine damage on target every 4 seconds',0,1),
(136466,130185,4,100,'Inflicts 305 - 373 divine damage on target',0,0),
(136467,130185,4,100,'Inflicts 127 - 156 divine damage on target every 4 seconds',0,1),
(136468,130185,5,100,'Inflicts 333 - 407 divine damage on target',0,0),
(136469,130185,5,100,'Inflicts 139 - 170 divine damage on target every 4 seconds',0,1),
(136470,130185,7,100,'Inflicts 428 - 523 divine damage on target',0,0),
(136471,130185,7,100,'Inflicts 178 - 218 divine damage on target every 4 seconds',0,1),
(136472,130185,9,100,'Inflicts 444 - 543 divine damage on target',0,0),
(136473,130185,9,100,'Inflicts 185 - 226 divine damage on target every 4 seconds',0,1),
(136474,130186,1,100,'Inflicts 301 - 368 divine damage on target',0,0),
(136475,130186,1,100,'Inflicts 126 - 153 divine damage on target every 4 seconds',0,1),
(136476,130186,4,100,'Inflicts 368 - 450 divine damage on target',0,0),
(136477,130186,4,100,'Inflicts 153 - 188 divine damage on target every 4 seconds',0,1),
(136478,130186,5,100,'Inflicts 402 - 491 divine damage on target',0,0),
(136479,130186,5,100,'Inflicts 167 - 205 divine damage on target every 4 seconds',0,1),
(136480,130186,7,100,'Inflicts 516 - 630 divine damage on target',0,0),
(136481,130186,7,100,'Inflicts 215 - 263 divine damage on target every 4 seconds',0,1),
(136482,130186,9,100,'Inflicts 536 - 655 divine damage on target',0,0),
(136483,130186,9,100,'Inflicts 223 - 273 divine damage on target every 4 seconds',0,1),
(136484,130187,1,100,'Inflicts 331 - 404 divine damage on target',0,0),
(136485,130187,1,100,'Inflicts 138 - 169 divine damage on target every 4 seconds',0,1),
(136486,130187,4,100,'Inflicts 404 - 494 divine damage on target',0,0),
(136487,130187,4,100,'Inflicts 169 - 206 divine damage on target every 4 seconds',0,1),
(136488,130187,5,100,'Inflicts 441 - 539 divine damage on target',0,0),
(136489,130187,5,100,'Inflicts 184 - 225 divine damage on target every 4 seconds',0,1),
(136490,130187,7,100,'Inflicts 566 - 692 divine damage on target',0,0),
(136491,130187,7,100,'Inflicts 236 - 288 divine damage on target every 4 seconds',0,1),
(136492,130187,9,100,'Inflicts 588 - 719 divine damage on target',0,0),
(136493,130187,9,100,'Inflicts 245 - 300 divine damage on target every 4 seconds',0,1),
(136494,190193,1,100,'Allows group members (AE) to breathe under water',0,0),
(136495,190193,1,100,'Allows group members (AE) to walk under water',0,1),
(136496,190193,1,100,'Allows group members (AE) to jump under water',0,2),
(136497,130188,1,100,'Increases Swimming of group members (AE) by 69.0',0,0),
(136498,130188,1,100,'Allows group members (AE) to breathe under water',0,1),
(136499,110016,1,100,'Decreases STR of target by 9.6',0,0),
(136500,110016,2,100,'Decreases STR of target by 10.1',0,0),
(136501,2000734,3,100,'When a combat art is used this spell will cast Weakness on target.  Lasts for 3.0 seconds.  ',0,0),
(136502,2000734,3,100,'Dispels when an Advantage is used',1,1),
(136503,2000734,3,100,'Allows the beastlord to use advantages!',1,2),
(136504,2000734,3,100,'Caster will have their chance to hit with a weapon increased by 100.0%',0,3),
(136505,110016,3,100,'Decreases STR of target by 10.6',0,0),
(136506,2000734,4,100,'When a combat art is used this spell will cast Weakness on target.  Lasts for 3.0 seconds.  ',0,0),
(136507,2000734,4,100,'Dispels when an Advantage is used',1,1),
(136508,2000734,4,100,'Allows the beastlord to use advantages!',1,2),
(136509,2000734,4,100,'Caster will have their chance to hit with a weapon increased by 100.0%',0,3),
(136510,110016,4,100,'Decreases STR of target by 11.7',0,0),
(136511,2000734,5,100,'When a combat art is used this spell will cast Weakness on target.  Lasts for 3.0 seconds.  ',0,0),
(136512,2000734,5,100,'Dispels when an Advantage is used',1,1),
(136513,2000734,5,100,'Allows the beastlord to use advantages!',1,2),
(136514,2000734,5,100,'Caster will have their chance to hit with a weapon increased by 100.0%',0,3),
(136515,110016,5,100,'Decreases STR of target by 12.8',0,0),
(136516,2000734,7,100,'When a combat art is used this spell will cast Weakness on target.  Lasts for 3.0 seconds.  ',0,0),
(136517,2000734,7,100,'Dispels when an Advantage is used',1,1),
(136518,2000734,7,100,'Allows the beastlord to use advantages!',1,2),
(136519,2000734,7,100,'Caster will have their chance to hit with a weapon increased by 100.0%',0,3),
(136520,110016,7,100,'Decreases STR of target by 16.4',0,0),
(136521,110016,9,100,'Decreases STR of target by 17.0',0,0),
(136522,2000734,9,100,'When a combat art is used this spell will cast Weakness on target.  Lasts for 3.0 seconds.  ',0,0),
(136523,2000734,9,100,'Dispels when an Advantage is used',1,1),
(136524,2000734,9,100,'Allows the beastlord to use advantages!',1,2),
(136525,2000734,9,100,'Caster will have their chance to hit with a weapon increased by 100.0%',0,3),
(136526,2000734,10,100,'When a combat art is used this spell will cast Weakness on target.  Lasts for 3.0 seconds.  ',0,0),
(136527,2000734,10,100,'Dispels when an Advantage is used',1,1),
(136528,2000734,10,100,'Allows the beastlord to use advantages!',1,2),
(136529,2000734,10,100,'Caster will have their chance to hit with a weapon increased by 100.0%',0,3),
(136530,440137,1,100,'Decreases Weapon Damage of target by 10.0',0,0),
(136531,2000735,1,100,'Stuns targets in Area of Effect',0,0),
(136532,2000735,1,100,'Inflicts 0 - 1 crushing damage on targets in area',0,1),
(136533,2000735,1,100,'Inflicts 0 - 1 crushing damage on targets in area',0,2),
(136534,2000735,1,100,'Epic targets gain an immunity to Stun effects of 3.7 seconds and duration is reduced to 0.4 seconds.',0,3),
(136535,2000735,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(136536,2000736,1,100,'Inflicts 1 - 2 crushing damage on targets in Area of Effect',0,0),
(136537,2000737,1,100,'This debuffs critical chance by 40%.',0,0),
(136538,200191,1,100,'Heals group members (AE) for 113 - 139',0,0),
(136539,200191,2,100,'Heals group members (AE) for 120 - 146',0,0),
(136540,200191,3,100,'Heals group members (AE) for 126 - 154',0,0),
(136541,200191,4,100,'Heals group members (AE) for 139 - 169',0,0),
(136542,200191,5,100,'Heals group members (AE) for 151 - 185',0,0),
(136543,200191,7,100,'Heals group members (AE) for 194 - 237',0,0),
(136544,200191,9,100,'Heals group members (AE) for 202 - 246',0,0),
(136545,200192,1,100,'Heals group members (AE) for 240 - 293',0,0),
(136546,200192,2,100,'Heals group members (AE) for 253 - 309',0,0),
(136547,200192,3,100,'Heals group members (AE) for 266 - 326',0,0),
(136548,200192,4,100,'Heals group members (AE) for 293 - 358',0,0),
(136549,200192,5,100,'Heals group members (AE) for 320 - 391',0,0),
(136550,200192,7,100,'Heals group members (AE) for 410 - 501',0,0),
(136551,200192,9,100,'Heals group members (AE) for 426 - 521',0,0),
(136552,200193,1,100,'Heals group members (AE) for 381 - 465',0,0),
(136553,200193,2,100,'Heals group members (AE) for 402 - 491',0,0),
(136554,200193,3,100,'Heals group members (AE) for 423 - 517',0,0),
(136555,200193,4,100,'Heals group members (AE) for 465 - 569',0,0),
(136556,200193,5,100,'Heals group members (AE) for 508 - 620',0,0),
(136557,200193,7,100,'Heals group members (AE) for 651 - 796',0,0),
(136558,200193,9,100,'Heals group members (AE) for 677 - 827',0,0),
(136559,200194,1,100,'Heals group members (AE) for 551 - 673',0,0),
(136560,200194,2,100,'Heals group members (AE) for 581 - 711',0,0),
(136561,200194,3,100,'Heals group members (AE) for 612 - 748',0,0),
(136562,200194,4,100,'Heals group members (AE) for 673 - 823',0,0),
(136563,200194,5,100,'Heals group members (AE) for 734 - 898',0,0),
(136564,200194,7,100,'Heals group members (AE) for 942 - 1152',0,0),
(136565,200194,9,100,'Heals group members (AE) for 979 - 1197',0,0),
(136566,200195,1,100,'Heals group members (AE) for 721 - 881',0,0),
(136567,200195,2,100,'Heals group members (AE) for 761 - 930',0,0),
(136568,200195,3,100,'Heals group members (AE) for 801 - 979',0,0),
(136569,200195,4,100,'Heals group members (AE) for 881 - 1077',0,0),
(136570,200195,5,100,'Heals group members (AE) for 961 - 1175',0,0),
(136571,200195,7,100,'Heals group members (AE) for 1234 - 1508',0,0),
(136572,200195,9,100,'Heals group members (AE) for 1282 - 1566',0,0),
(136573,200196,1,100,'Heals group members (AE) for 972 - 1188',0,0),
(136574,200196,2,100,'Heals group members (AE) for 1026 - 1254',0,0),
(136575,200196,3,100,'Heals group members (AE) for 1080 - 1320',0,0),
(136576,200196,4,100,'Heals group members (AE) for 1188 - 1452',0,0),
(136577,200196,5,100,'Heals group members (AE) for 1296 - 1584',0,0),
(136578,200196,7,100,'Heals group members (AE) for 1663 - 2033',0,0),
(136579,200196,9,100,'Heals group members (AE) for 1728 - 2112',0,0),
(136580,200197,1,100,'Heals group members (AE) for 1158 - 1416',0,0),
(136581,200197,4,100,'Heals group members (AE) for 1416 - 1730',0,0),
(136582,200197,5,100,'Heals group members (AE) for 1544 - 1888',0,0),
(136583,200197,7,100,'Heals group members (AE) for 1982 - 2422',0,0),
(136584,200197,9,100,'Heals group members (AE) for 2059 - 2517',0,0),
(136585,200198,1,100,'Heals group members (AE) for 1215 - 1485',0,0),
(136586,200198,4,100,'Heals group members (AE) for 1485 - 1815',0,0),
(136587,200198,5,100,'Heals group members (AE) for 1620 - 1980',0,0),
(136588,200198,7,100,'Heals group members (AE) for 2079 - 2541',0,0),
(136589,200198,9,100,'Heals group members (AE) for 2160 - 2640',0,0),
(136590,2000738,1,100,'Increases STR of group members (AE) by 3.4 - 5.6',0,0),
(136591,2000738,1,100,'Increases Damage Per Second of group members (AE) by 6.7 - 11.3',0,1),
(136592,2000738,1,100,'Heals group members (AE) for 1 instantly and every 9 seconds',0,2),
(136593,150022,1,100,'Increases AGI of group members (AE) by 13.1',0,0),
(136594,150022,2,100,'Increases AGI of group members (AE) by 13.9',0,0),
(136595,150022,3,100,'Increases AGI of group members (AE) by 14.6',0,0),
(136596,150022,4,100,'Increases AGI group members (AE) by 16.1',0,0),
(136597,150022,5,100,'Increases AGI of group members (AE) by 17.5',0,0),
(136598,150022,7,100,'Increases AGI of group members (AE) by 22.5',0,0),
(136599,150022,9,100,'Increases AGI of group members (AE) by 23.4',0,0),
(136600,160181,1,100,'Interrupts targets in Area of Effect',0,0),
(136601,160181,1,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,1),
(136602,160181,1,100,'Decreases Threat to targets in Area of Effect by 1,169 ',0,2),
(136603,160181,1,100,'Roots targets in Area of Effect',0,3),
(136604,160181,1,100,'If Target is not Epic',1,4),
(136605,160181,2,100,'Interrupts targets in Area of Effect',0,0),
(136606,160181,2,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,1),
(136607,160181,2,100,'Decreases Threat to targets in Area of Effect by 1,234 ',0,2),
(136608,160181,2,100,'Roots targets in Area of Effect',0,3),
(136609,160181,2,100,'If Target is not Epic',1,4),
(136610,160181,3,100,'Interrupts targets in Area of Effect',0,0),
(136611,160181,3,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,1),
(136612,160181,3,100,'Decreases Threat to targets in Area of Effect by 1,300 ',0,2),
(136613,160181,3,100,'Roots targets in Area of Effect',0,3),
(136614,160181,3,100,'If Target is not Epic',1,4),
(136615,160181,4,100,'Interrupts targets in Area of Effect',0,0),
(136616,160181,4,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,1),
(136617,160181,4,100,'Decreases Threat to targets in Area of Effect by 1,430 ',0,2),
(136618,160181,4,100,'Roots targets in Area of Effect',0,3),
(136619,160181,4,100,'If Target is not Epic',1,4),
(136620,160181,5,100,'Interrupts targets in Area of Effect',0,0),
(136621,160181,5,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,1),
(136622,160181,5,100,'Decreases Threat to targets in Area of Effect by 1,560 ',0,2),
(136623,160181,5,100,'Roots targets in Area of Effect',0,3),
(136624,160181,5,100,'If Target is not Epic',1,4),
(136625,160181,7,100,'Interrupts targets in Area of Effect',0,0),
(136626,160181,7,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,1),
(136627,160181,7,100,'Decreases Threat to targets in Area of Effect by 2,001 ',0,2),
(136628,160181,7,100,'Roots targets in Area of Effect',0,3),
(136629,160181,7,100,'If Target is not Epic',1,4),
(136630,160181,9,100,'Interrupts targets in Area of Effect',0,0),
(136631,160181,9,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,1),
(136632,160181,9,100,'Decreases Threat to targets in Area of Effect by 2,080 ',0,2),
(136633,160181,9,100,'Roots targets in Area of Effect',0,3),
(136634,160181,9,100,'If Target is not Epic',1,4),
(136635,160182,1,100,'Interrupts targets in Area of Effect',0,0),
(136636,160182,1,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,1),
(136637,160182,1,100,'Decreases Threat to targets in Area of Effect by 2,593 ',0,2),
(136638,160182,1,100,'Roots targets in Area of Effect',0,3),
(136639,160182,1,100,'If Target is not Epic',1,4),
(136640,160182,2,100,'Interrupts targets in Area of Effect',0,0),
(136641,160182,2,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,1),
(136642,160182,2,100,'Decreases Threat to targets in Area of Effect by 2,737 ',0,2),
(136643,160182,2,100,'Roots targets in Area of Effect',0,3),
(136644,160182,2,100,'If Target is not Epic',1,4),
(136645,160182,3,100,'Interrupts targets in Area of Effect',0,0),
(136646,160182,3,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,1),
(136647,160182,3,100,'Decreases Threat to targets in Area of Effect by 2,882 ',0,2),
(136648,160182,3,100,'Roots targets in Area of Effect',0,3),
(136649,160182,3,100,'If Target is not Epic',1,4),
(136650,160182,4,100,'Interrupts targets in Area of Effect',0,0),
(136651,160182,4,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,1),
(136652,160182,4,100,'Decreases Threat to targets in Area of Effect by 3,170 ',0,2),
(136653,160182,4,100,'Roots targets in Area of Effect',0,3),
(136654,160182,4,100,'If Target is not Epic',1,4),
(136655,160182,5,100,'Interrupts targets in Area of Effect',0,0),
(136656,160182,5,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,1),
(136657,160182,5,100,'Decreases Threat to targets in Area of Effect by 3,458 ',0,2),
(136658,160182,5,100,'Roots targets in Area of Effect',0,3),
(136659,160182,5,100,'If Target is not Epic',1,4),
(136660,160182,7,100,'Interrupts targets in Area of Effect',0,0),
(136661,160182,7,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,1),
(136662,160182,7,100,'Decreases Threat to targets in Area of Effect by 4,438 ',0,2),
(136663,160182,7,100,'Roots targets in Area of Effect',0,3),
(136664,160182,7,100,'If Target is not Epic',1,4),
(136665,160182,9,100,'Interrupts targets in Area of Effect',0,0),
(136666,160182,9,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,1),
(136667,160182,9,100,'Decreases Threat to targets in Area of Effect by 4,611 ',0,2),
(136668,160182,9,100,'Roots targets in Area of Effect',0,3),
(136669,160182,9,100,'If Target is not Epic',1,4),
(136670,160183,1,100,'Interrupts targets in Area of Effect',0,0),
(136671,160183,1,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,1),
(136672,160183,1,100,'Decreases Threat to targets in Area of Effect by 4,272 ',0,2),
(136673,160183,1,100,'Roots targets in Area of Effect',0,3),
(136674,160183,1,100,'If Target is not Epic',1,4),
(136675,160183,2,100,'Interrupts targets in Area of Effect',0,0),
(136676,160183,2,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,1),
(136677,160183,2,100,'Decreases Threat to targets in Area of Effect by 4,509 ',0,2),
(136678,160183,2,100,'Roots targets in Area of Effect',0,3),
(136679,160183,2,100,'If Target is not Epic',1,4),
(136680,160183,3,100,'Interrupts targets in Area of Effect',0,0),
(136681,160183,3,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,1),
(136682,160183,3,100,'Decreases Threat to targets in Area of Effect by 4,747 ',0,2),
(136683,160183,3,100,'Roots targets in Area of Effect',0,3),
(136684,160183,3,100,'If Target is not Epic',1,4),
(136685,160183,4,100,'Interrupts targets in Area of Effect',0,0),
(136686,160183,4,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,1),
(136687,160183,4,100,'Decreases Threat to targets in Area of Effect by 5,221 ',0,2),
(136688,160183,4,100,'Roots targets in Area of Effect',0,3),
(136689,160183,4,100,'If Target is not Epic',1,4),
(136690,160183,5,100,'Interrupts targets in Area of Effect',0,0),
(136691,160183,5,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,1),
(136692,160183,5,100,'Decreases Threat to targets in Area of Effect by 5,696 ',0,2),
(136693,160183,5,100,'Roots targets in Area of Effect',0,3),
(136694,160183,5,100,'If Target is not Epic',1,4),
(136695,160183,7,100,'Interrupts targets in Area of Effect',0,0),
(136696,160183,7,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,1),
(136697,160183,7,100,'Decreases Threat to targets in Area of Effect by 7,310 ',0,2),
(136698,160183,7,100,'Roots targets in Area of Effect',0,3),
(136699,160183,7,100,'If Target is not Epic',1,4),
(136700,160183,9,100,'Interrupts targets in Area of Effect',0,0),
(136701,160183,9,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,1),
(136702,160183,9,100,'Decreases Threat to targets in Area of Effect by 7,595 ',0,2),
(136703,160183,9,100,'Roots targets in Area of Effect',0,3),
(136704,160183,9,100,'If Target is not Epic',1,4),
(136705,160184,1,100,'Interrupts targets in Area of Effect',0,0),
(136706,160184,1,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,1),
(136707,160184,1,100,'Decreases Threat to targets in Area of Effect by 6,412 ',0,2),
(136708,160184,1,100,'Roots targets in Area of Effect',0,3),
(136709,160184,1,100,'If Target is not Epic',1,4),
(136710,160184,2,100,'Interrupts targets in Area of Effect',0,0),
(136711,160184,2,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,1),
(136712,160184,2,100,'Decreases Threat to targets in Area of Effect by 6,768 ',0,2),
(136713,160184,2,100,'Roots targets in Area of Effect',0,3),
(136714,160184,2,100,'If Target is not Epic',1,4),
(136715,160184,3,100,'Interrupts targets in Area of Effect',0,0),
(136716,160184,3,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,1),
(136717,160184,3,100,'Decreases Threat to targets in Area of Effect by 7,125 ',0,2),
(136718,160184,3,100,'Roots targets in Area of Effect',0,3),
(136719,160184,3,100,'If Target is not Epic',1,4),
(136720,160184,4,100,'Interrupts targets in Area of Effect',0,0),
(136721,160184,4,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,1),
(136722,160184,4,100,'Decreases Threat to targets in Area of Effect by 7,837 ',0,2),
(136723,160184,4,100,'Roots targets in Area of Effect',0,3),
(136724,160184,4,100,'If Target is not Epic',1,4),
(136725,160184,5,100,'Interrupts targets in Area of Effect',0,0),
(136726,160184,5,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,1),
(136727,160184,5,100,'Decreases Threat to targets in Area of Effect by 8,550 ',0,2),
(136728,160184,5,100,'Roots targets in Area of Effect',0,3),
(136729,160184,5,100,'If Target is not Epic',1,4),
(136730,160184,7,100,'Interrupts targets in Area of Effect',0,0),
(136731,160184,7,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,1),
(136732,160184,7,100,'Decreases Threat to targets in Area of Effect by 10,972 ',0,2),
(136733,160184,7,100,'Roots targets in Area of Effect',0,3),
(136734,160184,7,100,'If Target is not Epic',1,4),
(136735,160184,9,100,'Interrupts targets in Area of Effect',0,0),
(136736,160184,9,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,1),
(136737,160184,9,100,'Decreases Threat to targets in Area of Effect by 11,400 ',0,2),
(136738,160184,9,100,'Roots targets in Area of Effect',0,3),
(136739,160184,9,100,'If Target is not Epic',1,4),
(136740,160185,1,100,'Interrupts targets in Area of Effect',0,0),
(136741,160185,1,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,1),
(136742,160185,1,100,'Decreases Threat to targets in Area of Effect by 8,657 ',0,2),
(136743,160185,1,100,'Roots targets in Area of Effect',0,3),
(136744,160185,1,100,'If Target is not Epic',1,4),
(136745,160185,2,100,'Interrupts targets in Area of Effect',0,0),
(136746,160185,2,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,1),
(136747,160185,2,100,'Decreases Threat to targets in Area of Effect by 9,138 ',0,2),
(136748,160185,2,100,'Roots targets in Area of Effect',0,3),
(136749,160185,2,100,'If Target is not Epic',1,4),
(136750,160185,3,100,'Interrupts targets in Area of Effect',0,0),
(136751,160185,3,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,1),
(136752,160185,3,100,'Decreases Threat to targets in Area of Effect by 9,620 ',0,2),
(136753,160185,3,100,'Roots targets in Area of Effect',0,3),
(136754,160185,3,100,'If Target is not Epic',1,4),
(136755,160185,4,100,'Interrupts targets in Area of Effect',0,0),
(136756,160185,4,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,1),
(136757,160185,4,100,'Decreases Threat to targets in Area of Effect by 10,582 ',0,2),
(136758,160185,4,100,'Roots targets in Area of Effect',0,3),
(136759,160185,4,100,'If Target is not Epic',1,4),
(136760,160185,5,100,'Interrupts targets in Area of Effect',0,0),
(136761,160185,5,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,1),
(136762,160185,5,100,'Decreases Threat to targets in Area of Effect by 11,544 ',0,2),
(136763,160185,5,100,'Roots targets in Area of Effect',0,3),
(136764,160185,5,100,'If Target is not Epic',1,4),
(136765,160185,7,100,'Interrupts targets in Area of Effect',0,0),
(136766,160185,7,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,1),
(136767,160185,7,100,'Decreases Threat to targets in Area of Effect by 14,814 ',0,2),
(136768,160185,7,100,'Roots targets in Area of Effect',0,3),
(136769,160185,7,100,'If Target is not Epic',1,4),
(136770,160185,9,100,'Interrupts targets in Area of Effect',0,0),
(136771,160185,9,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,1),
(136772,160185,9,100,'Decreases Threat to targets in Area of Effect by 15,392 ',0,2),
(136773,160185,9,100,'Roots targets in Area of Effect',0,3),
(136774,160185,9,100,'If Target is not Epic',1,4),
(136775,160186,1,100,'Interrupts targets in Area of Effect',0,0),
(136776,160186,1,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,1),
(136777,160186,1,100,'Decreases Threat to targets in Area of Effect by 10,844 ',0,2),
(136778,160186,1,100,'Roots targets in Area of Effect',0,3),
(136779,160186,1,100,'If Target is not Epic',1,4),
(136780,160186,2,100,'Interrupts targets in Area of Effect',0,0),
(136781,160186,2,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,1),
(136782,160186,2,100,'Decreases Threat to targets in Area of Effect by 11,447 ',0,2),
(136783,160186,2,100,'Roots targets in Area of Effect',0,3),
(136784,160186,2,100,'If Target is not Epic',1,4),
(136785,160186,3,100,'Interrupts targets in Area of Effect',0,0),
(136786,160186,3,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,1),
(136787,160186,3,100,'Decreases Threat to targets in Area of Effect by 12,050 ',0,2),
(136788,160186,3,100,'Roots targets in Area of Effect',0,3),
(136789,160186,3,100,'If Target is not Epic',1,4),
(136790,160186,4,100,'Interrupts targets in Area of Effect',0,0),
(136791,160186,4,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,1),
(136792,160186,4,100,'Decreases Threat to targets in Area of Effect by 13,255 ',0,2),
(136793,160186,4,100,'Roots targets in Area of Effect',0,3),
(136794,160186,4,100,'If Target is not Epic',1,4),
(136795,160186,5,100,'Interrupts targets in Area of Effect',0,0),
(136796,160186,5,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,1),
(136797,160186,5,100,'Decreases Threat to targets in Area of Effect by 14,460 ',0,2),
(136798,160186,5,100,'Roots targets in Area of Effect',0,3),
(136799,160186,5,100,'If Target is not Epic',1,4),
(136800,160186,7,100,'Interrupts targets in Area of Effect',0,0),
(136801,160186,7,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,1),
(136802,160186,7,100,'Decreases Threat to targets in Area of Effect by 18,556 ',0,2),
(136803,160186,7,100,'Roots targets in Area of Effect',0,3),
(136804,160186,7,100,'If Target is not Epic',1,4),
(136805,160186,9,100,'Interrupts targets in Area of Effect',0,0),
(136806,160186,9,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,1),
(136807,160186,9,100,'Decreases Threat to targets in Area of Effect by 19,280 ',0,2),
(136808,160186,9,100,'Roots targets in Area of Effect',0,3),
(136809,160186,9,100,'If Target is not Epic',1,4),
(136810,160187,1,100,'Interrupts targets in Area of Effect',0,0),
(136811,160187,1,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,1),
(136812,160187,1,100,'Decreases Threat to targets in Area of Effect by 13,094 ',0,2),
(136813,160187,1,100,'Roots targets in Area of Effect',0,3),
(136814,160187,1,100,'If Target is not Epic',1,4),
(136815,160187,4,100,'Interrupts targets in Area of Effect',0,0),
(136816,160187,4,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,1),
(136817,160187,4,100,'Decreases Threat to targets in Area of Effect by 16,005 ',0,2),
(136818,160187,4,100,'Roots targets in Area of Effect',0,3),
(136819,160187,4,100,'If Target is not Epic',1,4),
(136820,160187,5,100,'Interrupts targets in Area of Effect',0,0),
(136821,160187,5,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,1),
(136822,160187,5,100,'Decreases Threat to targets in Area of Effect by 17,460 ',0,2),
(136823,160187,5,100,'Roots targets in Area of Effect',0,3),
(136824,160187,5,100,'If Target is not Epic',1,4),
(136825,160187,7,100,'Interrupts targets in Area of Effect',0,0),
(136826,160187,7,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,1),
(136827,160187,7,100,'Decreases Threat to targets in Area of Effect by 22,406 ',0,2),
(136828,160187,7,100,'Roots targets in Area of Effect',0,3),
(136829,160187,7,100,'If Target is not Epic',1,4),
(136830,160187,9,100,'Interrupts targets in Area of Effect',0,0),
(136831,160187,9,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,1),
(136832,160187,9,100,'Decreases Threat to targets in Area of Effect by 23,280 ',0,2),
(136833,160187,9,100,'Roots targets in Area of Effect',0,3),
(136834,160187,9,100,'If Target is not Epic',1,4),
(136835,160188,1,100,'Interrupts targets in Area of Effect',0,0),
(136836,160188,1,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,1),
(136837,160188,1,100,'Decreases Threat to targets in Area of Effect by 15,344 ',0,2),
(136838,160188,1,100,'Roots targets in Area of Effect',0,3),
(136839,160188,1,100,'If Target is not Epic',1,4),
(136840,160188,4,100,'Interrupts targets in Area of Effect',0,0),
(136841,160188,4,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,1),
(136842,160188,4,100,'Decreases Threat to targets in Area of Effect by 18,755 ',0,2),
(136843,160188,4,100,'Roots targets in Area of Effect',0,3),
(136844,160188,4,100,'If Target is not Epic',1,4),
(136845,160188,5,100,'Interrupts targets in Area of Effect',0,0),
(136846,160188,5,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,1),
(136847,160188,5,100,'Decreases Threat to targets in Area of Effect by 20,460 ',0,2),
(136848,160188,5,100,'Roots targets in Area of Effect',0,3),
(136849,160188,5,100,'If Target is not Epic',1,4),
(136850,160188,7,100,'Interrupts targets in Area of Effect',0,0),
(136851,160188,7,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,1),
(136852,160188,7,100,'Decreases Threat to targets in Area of Effect by 26,256 ',0,2),
(136853,160188,7,100,'Roots targets in Area of Effect',0,3),
(136854,160188,7,100,'If Target is not Epic',1,4),
(136855,160188,9,100,'Interrupts targets in Area of Effect',0,0),
(136856,160188,9,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,1),
(136857,160188,9,100,'Decreases Threat to targets in Area of Effect by 27,280 ',0,2),
(136858,160188,9,100,'Roots targets in Area of Effect',0,3),
(136859,160188,9,100,'If Target is not Epic',1,4),
(136860,150023,1,100,'Increases STA, AGI, and WIS of group members (AE) by 7.3',0,0),
(136861,150023,1,100,'Increases Mitigation of group members (AE) vs physical damage by \r\n549',0,1),
(136862,150023,2,100,'Increases STA, AGI, and WIS of group members (AE) by 7.7',0,0),
(136863,150023,2,100,'Increases Mitigation of group members (AE) vs physical damage by \r\n581',0,1),
(136864,150023,3,100,'Increases STA, AGI, and WIS of group members (AE) by 8.0',0,0),
(136865,150023,3,100,'Increases Mitigation of group members (AE) vs physical damage by \r\n612',0,1),
(136866,150023,4,100,'Increases STA, AGI, and WIS of group members (AE) by 8.7',0,0),
(136867,150023,4,100,'Increases Mitigation of group members (AE) vs physical damage by \r\n673',0,1),
(136868,150023,5,100,'Increases STA, AGI, and WIS of group members (AE) by 9.4',0,0),
(136869,150023,5,100,'Increases Mitigation of group members (AE) vs physical damage by \r\n734',0,1),
(136870,150023,7,100,'Increases STA, AGI, and WIS of group members (AE) by 11.8',0,0),
(136871,150023,7,100,'Increases Mitigation of group members (AE) vs physical damage by \r\n856',0,1),
(136872,150023,9,100,'Increases STA, AGI, and WIS of group members (AE) by 12.2',0,0),
(136873,150023,9,100,'Increases Mitigation of group members (AE) vs physical damage by \r\n979',0,1),
(136874,2000739,1,100,'On any combat or spell hit this spell may cast Windblade on target of attack.  Triggers about 0.6 times per minute. ',0,0),
(136875,2000739,1,100,'Inflicts 374 - 457 slashing damage on target',1,1),
(136876,2000739,2,100,'On any combat or spell hit this spell may cast Windblade on target of attack.  Triggers about 1.2 times per minute. ',0,0),
(136877,2000739,2,100,'Inflicts 374 - 457 slashing damage on target',1,1),
(136878,2000739,3,100,'On any combat or spell hit this spell may cast Windblade on target of attack.  Triggers about 1.8 times per minute. ',0,0),
(136879,2000739,3,100,'Inflicts 499 - 609 slashing damage on target',1,1),
(136880,2000740,1,100,'Inflicts 1 - 2 crushing damage on target',0,0),
(136881,2000740,1,100,'Stuns target',0,1),
(136882,2000740,1,100,'Epic targets gain an immunity to Stun effects of 5.6 seconds and duration is reduced to 0.6 seconds.',0,2),
(136883,2000740,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(136884,2000741,1,100,'Applies Winds of Growth.  Lasts for 8.0 seconds.',0,0),
(136885,2000741,1,100,'Heals target for 1080 - 1320',1,1),
(136886,2000741,1,100,'Heals target for 135 - 165 every 2 seconds',1,2),
(136887,2000741,1,100,'Applies to the two allies with the lowest health. Cannot apply to the same target twice.',1,3),
(136888,2000741,2,100,'Applies Winds of Growth.  Lasts for 8.0 seconds.',0,0),
(136889,2000741,2,100,'Heals target for 2160 - 2640',1,1),
(136890,2000741,2,100,'Heals target for 270 - 330 every 2 seconds',1,2),
(136891,2000741,2,100,'Applies to the two allies with the lowest health. Cannot apply to the same target twice.',1,3),
(136892,2000741,3,100,'Applies Winds of Growth.  Lasts for 8.0 seconds.',0,0),
(136893,2000741,3,100,'Heals target for 3240 - 3960',1,1),
(136894,2000741,3,100,'Heals target for 405 - 495 every 2 seconds',1,2),
(136895,2000741,3,100,'Applies to the two allies with the lowest health. Cannot apply to the same target twice.',1,3),
(136896,160189,1,100,'Heals group members (AE) for 61 - 74',0,0),
(136897,160189,1,100,'Heals group members (AE) for 10 - 12 every second',0,1),
(136898,160189,2,100,'Heals group members (AE) for 64 - 78',0,0),
(136899,160189,2,100,'Heals group members (AE) for 11 - 13 every second',0,1),
(136900,160189,3,100,'Heals group members (AE) for 67 - 82',0,0),
(136901,160189,3,100,'Heals group members (AE) for 11 - 14 every second',0,1),
(136902,160189,4,100,'Heals group members (AE) for 74 - 90',0,0),
(136903,160189,4,100,'Heals group members (AE) for 12 - 15 every second',0,1),
(136904,160189,5,100,'Heals group members (AE) for 81 - 99',0,0),
(136905,160189,5,100,'Heals group members (AE) for 14 - 17 every second',0,1),
(136906,160189,7,100,'Heals group members (AE) for 104 - 127',0,0),
(136907,160189,7,100,'Heals group members (AE) for 17 - 21 every second',0,1),
(136908,160189,9,100,'Heals group members (AE) for 108 - 132',0,0),
(136909,160189,9,100,'Heals group members (AE) for 18 - 22 every second',0,1),
(136910,160190,1,100,'Heals group members (AE) for 128 - 156',0,0),
(136911,160190,1,100,'Heals group members (AE) for 22 - 26 every second',0,1),
(136912,160190,2,100,'Heals group members (AE) for 135 - 165',0,0),
(136913,160190,2,100,'Heals group members (AE) for 23 - 28 every second',0,1),
(136914,160190,3,100,'Heals group members (AE) for 142 - 174',0,0),
(136915,160190,3,100,'Heals group members (AE) for 24 - 29 every second',0,1),
(136916,160190,4,100,'Heals group members (AE) for 156 - 191',0,0),
(136917,160190,4,100,'Heals group members (AE) for 26 - 32 every second',0,1),
(136918,160190,5,100,'Heals group members (AE) for 171 - 209',0,0),
(136919,160190,5,100,'Heals group members (AE) for 29 - 35 every second',0,1),
(136920,160190,7,100,'Heals group members (AE) for 219 - 268',0,0),
(136921,160190,7,100,'Heals group members (AE) for 37 - 45 every second',0,1),
(136922,160190,9,100,'Heals group members (AE) for 228 - 278',0,0),
(136923,160190,9,100,'Heals group members (AE) for 38 - 47 every second',0,1),
(136924,160191,1,100,'Heals group members (AE) for 203 - 248',0,0),
(136925,160191,1,100,'Heals group members (AE) for 34 - 42 every second',0,1),
(136926,160191,2,100,'Heals group members (AE) for 215 - 262',0,0),
(136927,160191,2,100,'Heals group members (AE) for 36 - 44 every second',0,1),
(136928,160191,3,100,'Heals group members (AE) for 226 - 276',0,0),
(136929,160191,3,100,'Heals group members (AE) for 38 - 47 every second',0,1),
(136930,160191,4,100,'Heals group members (AE) for 248 - 304',0,0),
(136931,160191,4,100,'Heals group members (AE) for 42 - 51 every second',0,1),
(136932,160191,5,100,'Heals group members (AE) for 271 - 331',0,0),
(136933,160191,5,100,'Heals group members (AE) for 46 - 56 every second',0,1),
(136934,160191,7,100,'Heals group members (AE) for 348 - 425',0,0),
(136935,160191,7,100,'Heals group members (AE) for 59 - 72 every second',0,1),
(136936,160191,9,100,'Heals group members (AE) for 361 - 442',0,0),
(136937,160191,9,100,'Heals group members (AE) for 61 - 74 every second',0,1),
(136938,160192,1,100,'Heals group members (AE) for 294 - 359',0,0),
(136939,160192,1,100,'Heals group members (AE) for 50 - 61 every second',0,1),
(136940,160192,2,100,'Heals group members (AE) for 310 - 379',0,0),
(136941,160192,2,100,'Heals group members (AE) for 52 - 64 every second',0,1),
(136942,160192,3,100,'Heals group members (AE) for 327 - 399',0,0),
(136943,160192,3,100,'Heals group members (AE) for 55 - 67 every second',0,1),
(136944,160192,4,100,'Heals group members (AE) for 359 - 439',0,0),
(136945,160192,4,100,'Heals group members (AE) for 61 - 74 every second',0,1),
(136946,160192,5,100,'Heals group members (AE) for 392 - 479',0,0),
(136947,160192,5,100,'Heals group members (AE) for 66 - 81 every second',0,1),
(136948,160192,7,100,'Heals group members (AE) for 503 - 615',0,0),
(136949,160192,7,100,'Heals group members (AE) for 85 - 104 every second',0,1),
(136950,160192,9,100,'Heals group members (AE) for 523 - 639',0,0),
(136951,160192,9,100,'Heals group members (AE) for 88 - 108 every second',0,1),
(136952,160193,1,100,'Heals group members (AE) for 385 - 471',0,0),
(136953,160193,1,100,'Heals group members (AE) for 65 - 79 every second',0,1),
(136954,160193,2,100,'Heals group members (AE) for 406 - 497',0,0),
(136955,160193,2,100,'Heals group members (AE) for 68 - 84 every second',0,1),
(136956,160193,3,100,'Heals group members (AE) for 428 - 523',0,0),
(136957,160193,3,100,'Heals group members (AE) for 72 - 88 every second',0,1),
(136958,160193,4,100,'Heals group members (AE) for 471 - 575',0,0),
(136959,160193,4,100,'Heals group members (AE) for 79 - 97 every second',0,1),
(136960,160193,5,100,'Heals group members (AE) for 513 - 627',0,0),
(136961,160193,5,100,'Heals group members (AE) for 87 - 106 every second',0,1),
(136962,160193,7,100,'Heals group members (AE) for 659 - 805',0,0),
(136963,160193,7,100,'Heals group members (AE) for 111 - 136 every second',0,1),
(136964,160193,9,100,'Heals group members (AE) for 684 - 836',0,0),
(136965,160193,9,100,'Heals group members (AE) for 115 - 141 every second',0,1),
(136966,160194,1,100,'Heals group members (AE) for 519 - 634',0,0),
(136967,160194,1,100,'Heals group members (AE) for 87 - 107 every second',0,1),
(136968,160194,2,100,'Heals group members (AE) for 548 - 670',0,0),
(136969,160194,2,100,'Heals group members (AE) for 92 - 113 every second',0,1),
(136970,160194,3,100,'Heals group members (AE) for 577 - 705',0,0),
(136971,160194,3,100,'Heals group members (AE) for 97 - 119 every second',0,1),
(136972,160194,4,100,'Heals group members (AE) for 634 - 775',0,0),
(136973,160194,4,100,'Heals group members (AE) for 107 - 131 every second',0,1),
(136974,160194,5,100,'Heals group members (AE) for 692 - 846',0,0),
(136975,160194,5,100,'Heals group members (AE) for 117 - 143 every second',0,1),
(136976,160194,7,100,'Heals group members (AE) for 888 - 1086',0,0),
(136977,160194,7,100,'Heals group members (AE) for 150 - 183 every second',0,1),
(136978,160194,9,100,'Heals group members (AE) for 923 - 1128',0,0),
(136979,160194,9,100,'Heals group members (AE) for 156 - 190 every second',0,1),
(136980,160195,1,100,'Heals group members (AE) for 619 - 756',0,0),
(136981,160195,1,100,'Heals group members (AE) for 104 - 127 every second',0,1),
(136982,160195,4,100,'Heals group members (AE) for 756 - 924',0,0),
(136983,160195,4,100,'Heals group members (AE) for 127 - 156 every second',0,1),
(136984,160195,5,100,'Heals group members (AE) for 825 - 1008',0,0),
(136985,160195,5,100,'Heals group members (AE) for 139 - 170 every second',0,1),
(136986,160195,7,100,'Heals group members (AE) for 1058 - 1294',0,0),
(136987,160195,7,100,'Heals group members (AE) for 178 - 218 every second',0,1),
(136988,160195,9,100,'Heals group members (AE) for 1100 - 1344',0,0),
(136989,160195,9,100,'Heals group members (AE) for 185 - 227 every second',0,1),
(136990,160196,1,100,'Heals group members (AE) for 649 - 793',0,0),
(136991,160196,1,100,'Heals group members (AE) for 109 - 134 every second',0,1),
(136992,160196,4,100,'Heals group members (AE) for 793 - 969',0,0),
(136993,160196,4,100,'Heals group members (AE) for 134 - 163 every second',0,1),
(136994,160196,5,100,'Heals group members (AE) for 865 - 1057',0,0),
(136995,160196,5,100,'Heals group members (AE) for 146 - 178 every second',0,1),
(136996,160196,7,100,'Heals group members (AE) for 1110 - 1357',0,0),
(136997,160196,7,100,'Heals group members (AE) for 187 - 229 every second',0,1),
(136998,160196,9,100,'Heals group members (AE) for 1153 - 1410',0,0),
(136999,160196,9,100,'Heals group members (AE) for 194 - 238 every second',0,1),
(137000,160197,1,100,'Inflicts 226 - 276 cold damage on target encounter',0,0),
(137001,160197,1,100,'Decreases Piercing, Slashing and Crushing of target encounter by 8.6',0,1),
(137002,160197,2,100,'Inflicts 238 - 291 cold damage on target encounter',0,0),
(137003,160197,2,100,'Decreases Piercing, Slashing and Crushing of target encounter by 9.1',0,1),
(137004,160197,3,100,'Inflicts 251 - 307 cold damage on target encounter',0,0),
(137005,160197,3,100,'Decreases Piercing, Slashing and Crushing of target encounter by 9.6',0,1),
(137006,160197,4,100,'Inflicts 276 - 337 cold damage on target encounter',0,0),
(137007,160197,4,100,'Decreases Piercing, Slashing and Crushing of target encounter by 10.6',0,1),
(137008,160197,5,100,'Inflicts 301 - 368 cold damage on target encounter',0,0),
(137009,160197,5,100,'Decreases Piercing, Slashing and Crushing of target encounter by 11.5',0,1),
(137010,160197,7,100,'Inflicts 386 - 472 cold damage on target encounter',0,0),
(137011,160197,7,100,'Decreases Piercing, Slashing and Crushing of target encounter by 14.8',0,1),
(137012,160197,9,100,'Inflicts 401 - 491 cold damage on target encounter',0,0),
(137013,160197,9,100,'Decreases Piercing, Slashing and Crushing of target encounter by 15.4',0,1),
(137014,160198,1,100,'Inflicts 347 - 424 cold damage on target encounter',0,0),
(137015,160198,1,100,'Decreases Piercing, Slashing and Crushing of target encounter by 12.4',0,1),
(137016,160198,2,100,'Inflicts 366 - 447 cold damage on target encounter',0,0),
(137017,160198,2,100,'Decreases Piercing, Slashing and Crushing of target encounter by 13.1',0,1),
(137018,160198,3,100,'Inflicts 385 - 471 cold damage on target encounter',0,0),
(137019,160198,3,100,'Decreases Piercing, Slashing and Crushing of target encounter by 13.8',0,1),
(137020,160198,4,100,'Inflicts 424 - 518 cold damage on target encounter',0,0),
(137021,160198,4,100,'Decreases Piercing, Slashing and Crushing of target encounter by 15.2',0,1),
(137022,160198,5,100,'Inflicts 462 - 565 cold damage on target encounter',0,0),
(137023,160198,5,100,'Decreases Piercing, Slashing and Crushing of target encounter by 16.6',0,1),
(137024,160198,7,100,'Inflicts 593 - 725 cold damage on target encounter',0,0),
(137025,160198,7,100,'Decreases Piercing, Slashing and Crushing of target encounter by 21.3',0,1),
(137026,160198,9,100,'Inflicts 616 - 753 cold damage on target encounter',0,0),
(137027,160198,9,100,'Decreases Piercing, Slashing and Crushing of target encounter by 22.1',0,1),
(137028,160199,1,100,'Inflicts 483 - 590 cold damage on target encounter',0,0),
(137029,160199,1,100,'Decreases Piercing, Slashing and Crushing of target encounter by 16.2',0,1),
(137030,160199,2,100,'Inflicts 510 - 623 cold damage on target encounter',0,0),
(137031,160199,2,100,'Decreases Piercing, Slashing and Crushing of target encounter by 17.1',0,1),
(137032,160199,3,100,'Inflicts 536 - 656 cold damage on target encounter',0,0),
(137033,160199,3,100,'Decreases Piercing, Slashing and Crushing of target encounter by 18.0',0,1),
(137034,160199,4,100,'Inflicts 590 - 721 cold damage on target encounter',0,0),
(137035,160199,4,100,'Decreases Piercing, Slashing and Crushing of target encounter by 19.8',0,1),
(137036,160199,5,100,'Inflicts 644 - 787 cold damage on target encounter',0,0),
(137037,160199,5,100,'Decreases Piercing, Slashing and Crushing of target encounter by 21.6',0,1),
(137038,160199,7,100,'Inflicts 826 - 1010 cold damage on target encounter',0,0),
(137039,160199,7,100,'Decreases Piercing, Slashing and Crushing of target encounter by 27.7',0,1),
(137040,160199,9,100,'Inflicts 858 - 1049 cold damage on target encounter',0,0),
(137041,160199,9,100,'Decreases Piercing, Slashing and Crushing of target encounter by 28.8',0,1),
(137042,160199,10,100,'Inflicts 901 - 1102 cold damage on target encounter',0,0),
(137043,160199,10,100,'Decreases Piercing, Slashing and Crushing of target encounter by 30.2',0,1),
(137044,160200,1,100,'Inflicts 629 - 769 cold damage on target encounter',0,0),
(137045,160200,1,100,'Decreases Piercing, Slashing and Crushing of target encounter by 20.3',0,1),
(137046,160200,2,100,'Inflicts 664 - 812 cold damage on target encounter',0,0),
(137047,160200,2,100,'Decreases Piercing, Slashing and Crushing of target encounter by 21.5',0,1),
(137048,160200,3,100,'Inflicts 699 - 855 cold damage on target encounter',0,0),
(137049,160200,3,100,'Decreases Piercing, Slashing and Crushing of target encounter by 22.6',0,1),
(137050,160200,4,100,'Inflicts 769 - 940 cold damage on target encounter',0,0),
(137051,160200,4,100,'Decreases Piercing, Slashing and Crushing of target encounter by 24.9',0,1),
(137052,160200,5,100,'Inflicts 839 - 1026 cold damage on target encounter',0,0),
(137053,160200,5,100,'Decreases Piercing, Slashing and Crushing of target encounter by 27.1',0,1),
(137054,160200,7,100,'Inflicts 1077 - 1316 cold damage on target encounter',0,0),
(137055,160200,7,100,'Decreases Piercing, Slashing and Crushing of target encounter by 34.8',0,1),
(137056,160200,9,100,'Inflicts 1119 - 1368 cold damage on target encounter',0,0),
(137057,160200,9,100,'Decreases Piercing, Slashing and Crushing of target encounter by 36.2',0,1),
(137058,160200,10,100,'Inflicts 1175 - 1436 cold damage on target encounter',0,0),
(137059,160200,10,100,'Decreases Piercing, Slashing and Crushing of target encounter by 38.0',0,1),
(137060,160201,1,100,'Inflicts 761 - 930 cold damage on target encounter',0,0),
(137061,160201,1,100,'Decreases Piercing, Slashing and Crushing of target encounter by 23.9',0,1),
(137062,160201,4,100,'Inflicts 930 - 1136 cold damage on target encounter',0,0),
(137063,160201,4,100,'Decreases Piercing, Slashing and Crushing of target encounter by 29.3',0,1),
(137064,160201,5,100,'Inflicts 1014 - 1239 cold damage on target encounter',0,0),
(137065,160201,5,100,'Decreases Piercing, Slashing and Crushing of target encounter by 31.9',0,1),
(137066,160201,7,100,'Inflicts 1301 - 1591 cold damage on target encounter',0,0),
(137067,160201,7,100,'Decreases Piercing, Slashing and Crushing of target encounter by 41.0',0,1),
(137068,160201,9,100,'Inflicts 1352 - 1653 cold damage on target encounter',0,0),
(137069,160201,9,100,'Decreases Piercing, Slashing and Crushing of target encounter by 42.6',0,1),
(137070,160201,10,100,'Inflicts 1420 - 1735 cold damage on target encounter',0,0),
(137071,160201,10,100,'Decreases Piercing, Slashing and Crushing of target encounter by 44.7',0,1),
(137072,160202,1,100,'Inflicts 867 - 1060 cold damage on target encounter',0,0),
(137073,160202,1,100,'Decreases Piercing, Slashing and Crushing of target encounter by 27.5',0,1),
(137074,160202,4,100,'Inflicts 1060 - 1295 cold damage on target encounter',0,0),
(137075,160202,4,100,'Decreases Piercing, Slashing and Crushing of target encounter by 33.7',0,1),
(137076,160202,5,100,'Inflicts 1156 - 1413 cold damage on target encounter',0,0),
(137077,160202,5,100,'Decreases Piercing, Slashing and Crushing of target encounter by 36.7',0,1),
(137078,160202,7,100,'Inflicts 1483 - 1813 cold damage on target encounter',0,0),
(137079,160202,7,100,'Decreases Piercing, Slashing and Crushing of target encounter by 47.1',0,1),
(137080,160202,9,100,'Inflicts 1541 - 1884 cold damage on target encounter',0,0),
(137081,160202,9,100,'Decreases Piercing, Slashing and Crushing of target encounter by 49.0',0,1),
(137082,160202,10,100,'Inflicts 1618 - 1978 cold damage on target encounter',0,0),
(137083,160202,10,100,'Decreases Piercing, Slashing and Crushing of target encounter by 51.4',0,1),
(137084,150024,1,100,'Heals group members (AE) for 40 - 49 instantly and every 2 seconds',0,0),
(137085,150024,2,100,'Heals group members (AE) for 42 - 51 instantly and every 2 seconds',0,0),
(137086,150024,3,100,'Heals group members (AE) for 44 - 54 instantly and every 2 seconds',0,0),
(137087,150024,4,100,'Heals group members (AE) for 49 - 59 instantly and every 2 seconds',0,0),
(137088,150024,5,100,'Heals group members (AE) for 53 - 65 instantly and every 2 seconds',0,0),
(137089,150024,7,100,'Heals group members (AE) for 68 - 83 instantly and every 2 seconds',0,0),
(137090,150024,9,100,'Heals group members (AE) for 71 - 86 instantly and every 2 seconds',0,0),
(137091,150024,10,100,'Heals group members (AE) for 74 - 91 instantly and every 2 seconds',0,0),
(137092,290198,1,100,'Interrupts target',0,0),
(137093,290198,1,100,'Inflicts 62 - 76 cold damage on target instantly and every 4 seconds',0,1),
(137094,290198,1,100,'Slows target by 75.0%',0,2),
(137095,290198,2,100,'Interrupts target',0,0),
(137096,290198,2,100,'Inflicts 66 - 81 cold damage on target instantly and every 4 seconds',0,1),
(137097,290198,2,100,'Slows target by 75.0%',0,2),
(137098,290198,3,100,'Interrupts target',0,0),
(137099,290198,3,100,'Inflicts 69 - 85 cold damage on target instantly and every 4 seconds',0,1),
(137100,290198,3,100,'Slows target by 75.0%',0,2),
(137101,290198,4,100,'Interrupts target',0,0),
(137102,290198,4,100,'Inflicts 76 - 93 cold damage on target instantly and every 4 seconds',0,1),
(137103,290198,4,100,'Slows target by 75.0%',0,2),
(137104,290198,5,100,'Interrupts target',0,0),
(137105,290198,5,100,'Inflicts 83 - 102 cold damage on target instantly and every 4 seconds',0,1),
(137106,290198,5,100,'Slows target by 75.0%',0,2),
(137107,290198,7,100,'Interrupts target',0,0),
(137108,290198,7,100,'Inflicts 107 - 131 cold damage on target instantly and every 4 seconds',0,1),
(137109,290198,7,100,'Slows target by 75.0%',0,2),
(137110,290198,9,100,'Interrupts target',0,0),
(137111,290198,9,100,'Inflicts 111 - 136 cold damage on target instantly and every 4 seconds',0,1),
(137112,290198,9,100,'Slows target by 75.0%',0,2),
(137113,290199,1,100,'Interrupts target',0,0),
(137114,290199,1,100,'Inflicts 90 - 111 cold damage on target instantly and every 4 seconds',0,1),
(137115,290199,1,100,'Slows target by 75.0%',0,2),
(137116,290199,2,100,'Interrupts target',0,0),
(137117,290199,2,100,'Inflicts 96 - 117 cold damage on target instantly and every 4 seconds',0,1),
(137118,290199,2,100,'Slows target by 75.0%',0,2),
(137119,290199,3,100,'Interrupts target',0,0),
(137120,290199,3,100,'Inflicts 101 - 123 cold damage on target instantly and every 4 seconds',0,1),
(137121,290199,3,100,'Slows target by 75.0%',0,2),
(137122,290199,4,100,'Interrupts target',0,0),
(137123,290199,4,100,'Inflicts 111 - 135 cold damage on target instantly and every 4 seconds',0,1),
(137124,290199,4,100,'Slows target by 75.0%',0,2),
(137125,290199,5,100,'Interrupts target',0,0),
(137126,290199,5,100,'Inflicts 121 - 147 cold damage on target instantly and every 4 seconds',0,1),
(137127,290199,5,100,'Slows target by 75.0%',0,2),
(137128,290199,7,100,'Interrupts target',0,0),
(137129,290199,7,100,'Inflicts 155 - 189 cold damage on target instantly and every 4 seconds',0,1),
(137130,290199,7,100,'Slows target by 75.0%',0,2),
(137131,290199,9,100,'Interrupts target',0,0),
(137132,290199,9,100,'Inflicts 161 - 197 cold damage on target instantly and every 4 seconds',0,1),
(137133,290199,9,100,'Slows target by 75.0%',0,2),
(137134,290199,10,100,'Interrupts target',0,0),
(137135,290199,10,100,'Inflicts 169 - 206 cold damage on target instantly and every 4 seconds',0,1),
(137136,290199,10,100,'Slows target by 75.0%',0,2),
(137137,290200,1,100,'Interrupts target',0,0),
(137138,290200,1,100,'Inflicts 109 - 134 cold damage on target instantly and every 4 seconds',0,1),
(137139,290200,1,100,'Slows target by 75.0%',0,2),
(137140,290200,4,100,'Interrupts target',0,0),
(137141,290200,4,100,'Inflicts 134 - 163 cold damage on target instantly and every 4 seconds',0,1),
(137142,290200,4,100,'Slows target by 75.0%',0,2),
(137143,290200,5,100,'Interrupts target',0,0),
(137144,290200,5,100,'Inflicts 146 - 178 cold damage on target instantly and every 4 seconds',0,1),
(137145,290200,5,100,'Slows target by 75.0%',0,2),
(137146,290200,7,100,'Interrupts target',0,0),
(137147,290200,7,100,'Inflicts 187 - 229 cold damage on target instantly and every 4 seconds',0,1),
(137148,290200,7,100,'Slows target by 75.0%',0,2),
(137149,290200,9,100,'Interrupts target',0,0),
(137150,290200,9,100,'Inflicts 194 - 238 cold damage on target instantly and every 4 seconds',0,1),
(137151,290200,9,100,'Slows target by 75.0%',0,2),
(137152,290200,10,100,'Interrupts target',0,0),
(137153,290200,10,100,'Inflicts 204 - 249 cold damage on target instantly and every 4 seconds',0,1),
(137154,290200,10,100,'Slows target by 75.0%',0,2),
(137155,290201,1,100,'Interrupts target',0,0),
(137156,290201,1,100,'Inflicts 125 - 152 cold damage on target instantly and every 4 seconds',0,1),
(137157,290201,1,100,'Slows target by 75.0%',0,2),
(137158,290201,4,100,'Interrupts target',0,0),
(137159,290201,4,100,'Inflicts 152 - 186 cold damage on target instantly and every 4 seconds',0,1),
(137160,290201,4,100,'Slows target by 75.0%',0,2),
(137161,290201,5,100,'Interrupts target',0,0),
(137162,290201,5,100,'Inflicts 166 - 203 cold damage on target instantly and every 4 seconds',0,1),
(137163,290201,5,100,'Slows target by 75.0%',0,2),
(137164,290201,7,100,'Interrupts target',0,0),
(137165,290201,7,100,'Inflicts 213 - 261 cold damage on target instantly and every 4 seconds',0,1),
(137166,290201,7,100,'Slows target by 75.0%',0,2),
(137167,290201,9,100,'Interrupts target',0,0),
(137168,290201,9,100,'Inflicts 222 - 271 cold damage on target instantly and every 4 seconds',0,1),
(137169,290201,9,100,'Slows target by 75.0%',0,2),
(137170,290201,10,100,'Interrupts target',0,0),
(137171,290201,10,100,'Inflicts 233 - 284 cold damage on target instantly and every 4 seconds',0,1),
(137172,290201,10,100,'Slows target by 75.0%',0,2),
(137173,2000742,1,100,'Stuns target encounter',0,0),
(137174,2000742,1,100,'Epic targets gain an immunity to Stun effects of 5.6 seconds and duration is reduced to 0.6 seconds.',0,1),
(137175,2000742,1,100,'Resistibility increases against targets higher than level 29.',0,2),
(137176,2000743,1,100,'Stuns target',0,0),
(137177,2000743,1,100,'Epic targets gain an immunity to Stun effects of 5.6 seconds and duration is reduced to 0.6 seconds.',0,1),
(137178,2000743,1,100,'Resistibility increases against targets higher than level 29.',0,2),
(137179,2000744,1,100,'Inflicts 1 - 2 piercing damage on target',0,0),
(137180,2000744,1,100,'Inflicts 1 poison damage on target every 8 seconds',0,1),
(137181,160203,2,100,'Inflicts 178 - 217 cold damage on target',0,0),
(137182,160203,3,100,'Inflicts 187 - 229 cold damage on target',0,0),
(137183,160203,4,100,'Inflicts 206 - 252 cold damage on target',0,0),
(137184,160203,5,100,'Inflicts 225 - 274 cold damage on target',0,0),
(137185,160203,7,100,'Inflicts 288 - 352 cold damage on target',0,0),
(137186,160203,9,100,'Inflicts 299 - 366 cold damage on target',0,0),
(137187,160204,1,100,'Inflicts 237 - 289 cold damage on target',0,0),
(137188,160204,2,100,'Inflicts 250 - 305 cold damage on target',0,0),
(137189,160204,3,100,'Inflicts 263 - 321 cold damage on target',0,0),
(137190,160204,4,100,'Inflicts 289 - 353 cold damage on target',0,0),
(137191,160204,5,100,'Inflicts 315 - 385 cold damage on target',0,0),
(137192,160204,7,100,'Inflicts 405 - 495 cold damage on target',0,0),
(137193,160204,9,100,'Inflicts 421 - 514 cold damage on target',0,0),
(137194,2000745,1,100,'Mesmerizes target',0,0),
(137195,2000745,1,100,'Prevents AOE (except when direct) ',0,1),
(137196,2000745,1,100,'Dispelled when target takes damage',0,2),
(137197,2000745,1,100,'Does not affect Epic targets',0,3),
(137198,2000745,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(137199,2000745,2,100,'Mesmerizes target',0,0),
(137200,2000745,2,100,'Prevents AOE (except when direct) ',0,1),
(137201,2000745,2,100,'Dispelled when target takes damage',0,2),
(137202,2000745,2,100,'Does not affect Epic targets',0,3),
(137203,2000745,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(137204,2000745,3,100,'Mesmerizes target',0,0),
(137205,2000745,3,100,'Prevents AOE (except when direct) ',0,1),
(137206,2000745,3,100,'Dispelled when target takes damage',0,2),
(137207,2000745,3,100,'Does not affect Epic targets',0,3),
(137208,2000745,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(137209,2000745,4,100,'Mesmerizes target',0,0),
(137210,2000745,4,100,'Prevents AOE (except when direct) ',0,1),
(137211,2000745,4,100,'Dispelled when target takes damage',0,2),
(137212,2000745,4,100,'Does not affect Epic targets',0,3),
(137213,2000745,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(137214,2000745,5,100,'Mesmerizes target',0,0),
(137215,2000745,5,100,'Prevents AOE (except when direct) ',0,1),
(137216,2000745,5,100,'Dispelled when target takes damage',0,2),
(137217,2000745,5,100,'Does not affect Epic targets',0,3),
(137218,2000745,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(137219,2000745,6,100,'Mesmerizes target',0,0),
(137220,2000745,6,100,'Prevents AOE (except when direct) ',0,1),
(137221,2000745,6,100,'Dispelled when target takes damage',0,2),
(137222,2000745,6,100,'Does not affect Epic targets',0,3),
(137223,2000745,6,100,'Resistibility increases against targets higher than level 29.',0,4),
(137224,2000745,7,100,'Mesmerizes target',0,0),
(137225,2000745,7,100,'Prevents AOE (except when direct) ',0,1),
(137226,2000745,7,100,'Dispelled when target takes damage',0,2),
(137227,2000745,7,100,'Does not affect Epic targets',0,3),
(137228,2000745,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(137229,2000745,8,100,'Mesmerizes target',0,0),
(137230,2000745,8,100,'Prevents AOE (except when direct) ',0,1),
(137231,2000745,8,100,'Dispelled when target takes damage',0,2),
(137232,2000745,8,100,'Does not affect Epic targets',0,3),
(137233,2000745,8,100,'Resistibility increases against targets higher than level 29.',0,4),
(137234,2000745,9,100,'Mesmerizes target',0,0),
(137235,2000745,9,100,'Prevents AOE (except when direct) ',0,1),
(137236,2000745,9,100,'Dispelled when target takes damage',0,2),
(137237,2000745,9,100,'Does not affect Epic targets',0,3),
(137238,2000745,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(137239,2000745,10,100,'Mesmerizes target',0,0),
(137240,2000745,10,100,'Prevents AOE (except when direct) ',0,1),
(137241,2000745,10,100,'Dispelled when target takes damage',0,2),
(137242,2000745,10,100,'Does not affect Epic targets',0,3),
(137243,2000745,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(137244,210017,4,100,'10% chance to apply Flawless Pronunciation on termination.',0,0),
(137245,210017,4,100,'Inflicts 72 - 97 magic damage on target',1,1),
(137246,210017,4,100,'Inflicts 72 - 97 magic damage on target',0,2),
(137247,130189,1,100,'Heals group members (AE) for 128 - 156',0,0),
(137248,130189,2,100,'Heals group members (AE) for 135 - 165',0,0),
(137249,130189,3,100,'Heals group members (AE) for 142 - 173',0,0),
(137250,130189,4,100,'Heals group members (AE) for 156 - 191',0,0),
(137251,130189,5,100,'Heals group members (AE) for 170 - 208',0,0),
(137252,130189,7,100,'Heals group members (AE) for 218 - 267',0,0),
(137253,130189,9,100,'Heals group members (AE) for 227 - 277',0,0),
(137254,130190,1,100,'Heals group members (AE) for 270 - 330',0,0),
(137255,130190,2,100,'Heals group members (AE) for 285 - 348',0,0),
(137256,130190,3,100,'Heals group members (AE) for 300 - 366',0,0),
(137257,130190,4,100,'Heals group members (AE) for 330 - 403',0,0),
(137258,130190,5,100,'Heals group members (AE) for 360 - 440',0,0),
(137259,130190,7,100,'Heals group members (AE) for 462 - 564',0,0),
(137260,130190,9,100,'Heals group members (AE) for 480 - 586',0,0),
(137261,130191,1,100,'Heals group members (AE) for 428 - 523',0,0),
(137262,130191,2,100,'Heals group members (AE) for 452 - 553',0,0),
(137263,130191,3,100,'Heals group members (AE) for 476 - 582',0,0),
(137264,130191,4,100,'Heals group members (AE) for 523 - 640',0,0),
(137265,130191,5,100,'Heals group members (AE) for 571 - 698',0,0),
(137266,130191,7,100,'Heals group members (AE) for 733 - 896',0,0),
(137267,130191,9,100,'Heals group members (AE) for 761 - 931',0,0),
(137268,130192,1,100,'Heals group members (AE) for 620 - 757',0,0),
(137269,130192,2,100,'Heals group members (AE) for 654 - 799',0,0),
(137270,130192,3,100,'Heals group members (AE) for 689 - 842',0,0),
(137271,130192,4,100,'Heals group members (AE) for 757 - 926',0,0),
(137272,130192,5,100,'Heals group members (AE) for 826 - 1010',0,0),
(137273,130192,7,100,'Heals group members (AE) for 1060 - 1296',0,0),
(137274,130192,9,100,'Heals group members (AE) for 1102 - 1346',0,0),
(137275,130193,1,100,'Heals group members (AE) for 811 - 991',0,0),
(137276,130193,2,100,'Heals group members (AE) for 856 - 1046',0,0),
(137277,130193,3,100,'Heals group members (AE) for 901 - 1101',0,0),
(137278,130193,4,100,'Heals group members (AE) for 991 - 1212',0,0),
(137279,130193,5,100,'Heals group members (AE) for 1081 - 1322',0,0),
(137280,130193,7,100,'Heals group members (AE) for 1388 - 1696',0,0),
(137281,130193,9,100,'Heals group members (AE) for 1442 - 1762',0,0),
(137282,130194,1,100,'Heals group members (AE) for 1094 - 1337',0,0),
(137283,130194,2,100,'Heals group members (AE) for 1154 - 1411',0,0),
(137284,130194,3,100,'Heals group members (AE) for 1215 - 1485',0,0),
(137285,130194,4,100,'Heals group members (AE) for 1337 - 1634',0,0),
(137286,130194,5,100,'Heals group members (AE) for 1458 - 1782',0,0),
(137287,130194,7,100,'Heals group members (AE) for 1871 - 2287',0,0),
(137288,130194,9,100,'Heals group members (AE) for 1944 - 2376',0,0),
(137289,130195,1,100,'Heals group members (AE) for 1303 - 1593',0,0),
(137290,130195,4,100,'Heals group members (AE) for 1593 - 1947',0,0),
(137291,130195,5,100,'Heals group members (AE) for 1737 - 2124',0,0),
(137292,130195,7,100,'Heals group members (AE) for 2230 - 2725',0,0),
(137293,130195,9,100,'Heals group members (AE) for 2317 - 2831',0,0),
(137294,130196,1,100,'Heals group members (AE) for 1367 - 1671',0,0),
(137295,130196,4,100,'Heals group members (AE) for 1671 - 2042',0,0),
(137296,130196,5,100,'Heals group members (AE) for 1823 - 2228',0,0),
(137297,130196,7,100,'Heals group members (AE) for 2339 - 2859',0,0),
(137298,130196,9,100,'Heals group members (AE) for 2430 - 2970',0,0),
(137299,2000746,1,100,'Wards target against 19 points of all damage',0,0),
(137300,2000746,1,100,'Only wards damage that would lower the target''s health to below 20%',0,1),
(137301,2000746,2,100,'Wards target against 2698 points of all damage',0,0),
(137302,2000746,2,100,'Only wards damage that would lower the target''s health to below 20%',0,1),
(137303,2000746,3,100,'Wards target against 2546 points of all damage',0,0),
(137304,2000746,3,100,'Only wards damage that would lower the target''s health to below 20%',0,1),
(137305,110017,2,100,'Inflicts 22 - 27 divine damage on target',0,0),
(137306,2000747,1,100,'Inflicts 7 - 11 magic damage on target encounter',0,0),
(137307,2000747,1,100,'Inflicts 2 - 3 magic damage on target encounter every 4 seconds',0,1),
(137308,190194,1,100,'Inflicts 130 - 159 disease damage on target encounter',0,0),
(137309,190194,2,100,'Inflicts 137 - 167 disease damage on target encounter',0,0),
(137310,190194,3,100,'Inflicts 144 - 176 disease damage on target encounter',0,0),
(137311,190194,4,100,'Inflicts 159 - 194 disease damage on target encounter',0,0),
(137312,190194,5,100,'Inflicts 173 - 212 disease damage on target encounter',0,0),
(137313,190194,7,100,'Inflicts 222 - 271 disease damage on target encounter',0,0),
(137314,190194,9,100,'Inflicts 231 - 282 disease damage on target encounter',0,0),
(137315,190195,1,100,'Inflicts 199 - 244 disease damage on target encounter',0,0),
(137316,190195,2,100,'Inflicts 210 - 257 disease damage on target encounter',0,0),
(137317,190195,3,100,'Inflicts 221 - 271 disease damage on target encounter',0,0),
(137318,190195,4,100,'Inflicts 244 - 298 disease damage on target encounter',0,0),
(137319,190195,5,100,'Inflicts 266 - 325 disease damage on target encounter',0,0),
(137320,190195,7,100,'Inflicts 341 - 417 disease damage on target encounter',0,0),
(137321,190195,9,100,'Inflicts 354 - 433 disease damage on target encounter',0,0),
(137322,190196,1,100,'Inflicts 278 - 339 disease damage on target encounter',0,0),
(137323,190196,2,100,'Inflicts 293 - 358 disease damage on target encounter',0,0),
(137324,190196,3,100,'Inflicts 308 - 377 disease damage on target encounter',0,0),
(137325,190196,4,100,'Inflicts 339 - 415 disease damage on target encounter',0,0),
(137326,190196,5,100,'Inflicts 370 - 452 disease damage on target encounter',0,0),
(137327,190196,7,100,'Inflicts 475 - 581 disease damage on target encounter',0,0),
(137328,190196,9,100,'Inflicts 494 - 603 disease damage on target encounter',0,0),
(137329,190196,10,100,'Inflicts 518 - 633 disease damage on target encounter',0,0),
(137330,190197,1,100,'Inflicts 362 - 442 disease damage on target encounter',0,0),
(137331,190197,2,100,'Inflicts 382 - 467 disease damage on target encounter',0,0),
(137332,190197,3,100,'Inflicts 402 - 492 disease damage on target encounter',0,0),
(137333,190197,4,100,'Inflicts 442 - 541 disease damage on target encounter',0,0),
(137334,190197,5,100,'Inflicts 483 - 590 disease damage on target encounter',0,0),
(137335,190197,7,100,'Inflicts 619 - 757 disease damage on target encounter',0,0),
(137336,190197,9,100,'Inflicts 643 - 786 disease damage on target encounter',0,0),
(137337,190197,10,100,'Inflicts 676 - 826 disease damage on target encounter',0,0),
(137338,190198,1,100,'Inflicts 437 - 535 disease damage on target encounter',0,0),
(137339,190198,4,100,'Inflicts 535 - 653 disease damage on target encounter',0,0),
(137340,190198,5,100,'Inflicts 583 - 713 disease damage on target encounter',0,0),
(137341,190198,7,100,'Inflicts 748 - 915 disease damage on target encounter',0,0),
(137342,190198,9,100,'Inflicts 777 - 950 disease damage on target encounter',0,0),
(137343,190198,10,100,'Inflicts 816 - 998 disease damage on target encounter',0,0),
(137344,190199,1,100,'Inflicts 498 - 609 disease damage on target encounter',0,0),
(137345,190199,4,100,'Inflicts 609 - 745 disease damage on target encounter',0,0),
(137346,190199,5,100,'Inflicts 665 - 812 disease damage on target encounter',0,0),
(137347,190199,7,100,'Inflicts 853 - 1042 disease damage on target encounter',0,0),
(137348,190199,9,100,'Inflicts 886 - 1083 disease damage on target encounter',0,0),
(137349,190199,10,100,'Inflicts 930 - 1137 disease damage on target encounter',0,0),
(137350,170209,12,100,'Grants a healer ally bonus healing based on your last direct damage spell amount. This bonus changes every time you cast a damage spell.',0,0),
(137351,2000748,1,100,'Clears the reuse of most modifiable abilities in the priest''s spellbook.',0,0),
(137352,2000748,1,100,'This effect cannot be cast during combat',0,1),
(137353,2000748,1,100,'Cannot be modified except by direct means',0,2),
(137354,2000749,9,100,'Converts certain encounter abilities into standard area of effect abilities.',0,0),
(137355,2000750,9,100,'Decreases STR of target by 184.0',0,0),
(137356,2000750,9,100,'Decreases INT of target by 144.0',0,1),
(137357,2000750,9,100,'Decreases WIS of target by 138.8',0,2),
(137358,2000750,9,100,'Decreases AGI of target by 104.0',0,3),
(137359,2000750,9,100,'Decreases DPS of target by 220.8',0,4),
(137360,2000750,9,100,'Decreases Haste of target by 192.0',0,5),
(137361,2000750,9,100,'Decreases Ability Recovery Speed of target by 50.0%',0,6),
(137362,2000750,9,100,'Decreases Ability Reuse Speed of target by 50.0%',0,7),
(137363,2000750,9,100,'Decreases Ability Casting Speed of target by 48.0%',0,8),
(137364,2000750,9,100,'Decreases Ability Casting Speed of target by 25.0%',0,9),
(137365,2000750,9,100,'Increases Crit Bonus of target by 15.0%',0,10),
(137366,2000750,9,100,'Increases Crit Chance of target by 15.0',0,11),
(137367,2000750,9,100,'Decreases Crushing, Piercing, Slashing and Ranged of target by 16.2',0,12),
(137368,2000750,9,100,'Decreases Ordination, Disruption and Subjugation of target by 10.4',0,13),
(137369,2000750,9,100,'Increases Mitigation of target vs all damage by 0',0,14),
(137370,2000750,9,100,'Decreases Ability Mod of target by 140.0',0,15),
(137371,2000750,9,100,'Increases miss chance of combat arts by 20%',0,16),
(137372,2000750,9,100,'This spell simulates a raid''s debuffs on a single target. This excludes abilities which cannot be maintained 100% of the time and may be missing certain AAs or focus effects.',0,17),
(137373,2000750,9,100,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',0,18),
(137374,2000750,9,100,'Wards target against 16 points of all damage',1,19),
(137375,2000750,9,100,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',0,20),
(137376,2000750,9,100,'Dispels 11 levels of physical hostile effects on target',1,21),
(137377,2000750,9,100,'Heals targets in Area of Effect for 6 - 7',1,22),
(137378,2000750,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,23),
(137379,2000751,1,100,'Increases Haste of caster by 20.0',0,0),
(137380,2000751,1,100,'Increases Multi Attack of caster by 20.0',0,1),
(137381,2000751,1,100,'Increases DPS of caster by 20.0',0,2),
(137382,2000751,1,100,'Decreases Ministration and Focus of caster by 46.5',0,3),
(137383,2000751,2,100,'Increases Attack Speed of caster by 20.0',0,0),
(137384,2000751,2,100,'Increases Multi Attack Chance of caster by 20.0',0,1),
(137385,2000751,2,100,'Increases Damage Per Second of caster by 20.0',0,2),
(137386,2000751,2,100,'Decreases Ministration and Focus of caster by 45.0',0,3),
(137387,2000751,3,100,'Increases Attack Speed of caster by 20.0',0,0),
(137388,2000751,3,100,'Increases Multi Attack Chance of caster by 20.0',0,1),
(137389,2000751,3,100,'Increases Damage Per Second of caster by 20.0',0,2),
(137390,2000751,3,100,'Decreases Ministration and Focus of caster by 45.0',0,3),
(137391,2000751,4,100,'Increases Haste of caster by 20.0',0,0),
(137392,2000751,4,100,'Increases Multi Attack of caster by 20.0',0,1),
(137393,2000751,4,100,'Increases DPS of caster by 20.0',0,2),
(137394,2000751,4,100,'Decreases Ministration and Focus of caster by 46.5',0,3),
(137395,2000751,5,100,'Increases Attack Speed of caster by 20.0',0,0),
(137396,2000751,5,100,'Increases Multi Attack Chance of caster by 20.0',0,1),
(137397,2000751,5,100,'Increases Damage Per Second of caster by 20.0',0,2),
(137398,2000751,5,100,'Decreases Ministration and Focus of caster by 45.0',0,3),
(137399,2000751,6,100,'Increases Attack Speed of caster by 20.0',0,0),
(137400,2000751,6,100,'Increases Multi Attack Chance of caster by 20.0',0,1),
(137401,2000751,6,100,'Increases Damage Per Second of caster by 20.0',0,2),
(137402,2000751,6,100,'Decreases Ministration and Focus of caster by 45.0',0,3),
(137403,2000751,7,100,'Increases Attack Speed of caster by 20.0',0,0),
(137404,2000751,7,100,'Increases Multi Attack Chance of caster by 20.0',0,1),
(137405,2000751,7,100,'Increases Damage Per Second of caster by 20.0',0,2),
(137406,2000751,7,100,'Decreases Ministration and Focus of caster by 45.0',0,3),
(137407,2000751,8,100,'Increases Attack Speed of caster by 20.0',0,0),
(137408,2000751,8,100,'Increases Multi Attack Chance of caster by 20.0',0,1),
(137409,2000751,8,100,'Increases Damage Per Second of caster by 20.0',0,2),
(137410,2000751,8,100,'Decreases Ministration and Focus of caster by 45.0',0,3),
(137411,2000751,9,100,'Increases Haste of caster by 20.0',0,0),
(137412,2000751,9,100,'Increases Multi Attack of caster by 20.0',0,1),
(137413,2000751,9,100,'Increases DPS of caster by 20.0',0,2),
(137414,2000751,9,100,'Decreases Ministration and Focus of caster by 46.5',0,3),
(137415,2000751,10,100,'Increases Haste of caster by 20.0',0,0),
(137416,2000751,10,100,'Increases Multi Attack of caster by 20.0',0,1),
(137417,2000751,10,100,'Increases DPS of caster by 20.0',0,2),
(137418,2000751,10,100,'Decreases Ministration and Focus of caster by 46.5',0,3),
(137419,350035,1,100,'Increases noxious damage done to target encounter by 0.9%',0,0),
(137420,350035,2,100,'Increases noxious damage done to target encounter by 0.95%',0,0),
(137421,350035,3,100,'Increases noxious damage done to target encounter by 1%',0,0),
(137422,350035,4,100,'Increases noxious damage done to target encounter by 1.1%',0,0),
(137423,350035,5,100,'Increases noxious damage done to target encounter by 1.2%',0,0),
(137424,350035,7,100,'Increases noxious damage done to target encounter by 1.54%',0,0),
(137425,350035,9,100,'Increases noxious damage done to target encounter by 1.6%',0,0),
(137426,350036,1,100,'Increases noxious damage done to target encounter by 0.9%',0,0),
(137427,350036,2,100,'Increases noxious damage done to target encounter by 0.95%',0,0),
(137428,350036,3,100,'Increases noxious damage done to target encounter by 1%',0,0),
(137429,350036,4,100,'Increases noxious damage done to target encounter by 1.1%',0,0),
(137430,350036,5,100,'Increases noxious damage done to target encounter by 1.2%',0,0),
(137431,350036,7,100,'Increases noxious damage done to target encounter by 1.54%',0,0),
(137432,350036,9,100,'Increases noxious damage done to target encounter by 1.6%',0,0),
(137433,350037,1,100,'Increases noxious damage done to target encounter by 0.9%',0,0),
(137434,350037,2,100,'Increases noxious damage done to target encounter by 0.95%',0,0),
(137435,350037,3,100,'Increases noxious damage done to target encounter by 1%',0,0),
(137436,350037,4,100,'Increases noxious damage done to target encounter by 1.1%',0,0),
(137437,350037,5,100,'Increases noxious damage done to target encounter by 1.2%',0,0),
(137438,350037,7,100,'Increases noxious damage done to target encounter by 1.54%',0,0),
(137439,350037,9,100,'Increases noxious damage done to target encounter by 1.6%',0,0),
(137440,350038,1,100,'Increases noxious damage done to target encounter by 0.9%',0,0),
(137441,350038,4,100,'Increases noxious damage done to target encounter by 1.1%',0,0),
(137442,350038,5,100,'Increases noxious damage done to target encounter by 1.2%',0,0),
(137443,350038,7,100,'Increases noxious damage done to target encounter by 1.54%',0,0),
(137444,350038,9,100,'Increases noxious damage done to target encounter by 1.6%',0,0),
(137445,350039,1,100,'Increases noxious damage done to target encounter by 0.9%',0,0),
(137446,350039,4,100,'Increases noxious damage done to target encounter by 1.1%',0,0),
(137447,350039,5,100,'Increases noxious damage done to target encounter by 1.2%',0,0),
(137448,350039,7,100,'Increases noxious damage done to target encounter by 1.54%',0,0),
(137449,350039,9,100,'Increases noxious damage done to target encounter by 1.6%',0,0),
(137450,2000752,1,100,'Increases Max Health of target by 25.0%',0,0),
(137451,200142,7,100,'Heals target for 412 - 503',0,0),
(137452,200142,9,100,'Heals target for 428 - 523',0,0),
(137453,200199,1,100,'Heals target for 460 - 562',0,0),
(137454,200199,2,100,'Heals target for 485 - 593',0,0),
(137455,200199,3,100,'Heals target for 511 - 624',0,0),
(137456,200199,4,100,'Heals target for 562 - 687',0,0),
(137457,200199,5,100,'Heals target for 613 - 749',0,0),
(137458,200199,7,100,'Heals target for 787 - 962',0,0),
(137459,200199,9,100,'Heals target for 817 - 999',0,0),
(137460,200199,10,100,'Heals target for 858 - 1049',0,0),
(137461,200200,1,100,'Heals target for 1939 - 2370',0,0),
(137462,200200,4,100,'Heals target for 2370 - 2897',0,0),
(137463,200200,5,100,'Heals target for 2586 - 3160',0,0),
(137464,200200,7,100,'Heals target for 3318 - 4056',0,0),
(137465,200200,9,100,'Heals target for 3448 - 4214',0,0),
(137466,200200,10,100,'Heals target for 3620 - 4424',0,0),
(137467,200201,1,100,'Heals target for 708 - 866',0,0),
(137468,200201,2,100,'Heals target for 748 - 914',0,0),
(137469,200201,3,100,'Heals target for 787 - 962',0,0),
(137470,200201,4,100,'Heals target for 866 - 1058',0,0),
(137471,200201,5,100,'Heals target for 944 - 1154',0,0),
(137472,200201,7,100,'Heals target for 1212 - 1481',0,0),
(137473,200201,9,100,'Heals target for 1259 - 1539',0,0),
(137474,200202,1,100,'Heals target for 989 - 1209',0,0),
(137475,200202,2,100,'Heals target for 1044 - 1276',0,0),
(137476,200202,3,100,'Heals target for 1099 - 1343',0,0),
(137477,200202,4,100,'Heals target for 1209 - 1477',0,0),
(137478,200202,5,100,'Heals target for 1319 - 1612',0,0),
(137479,200202,7,100,'Heals target for 1692 - 2068',0,0),
(137480,200202,9,100,'Heals target for 1758 - 2149',0,0),
(137481,200202,10,100,'Heals target for 1846 - 2256',0,0),
(137482,200203,1,100,'Heals target for 1314 - 1606',0,0),
(137483,200203,2,100,'Heals target for 1387 - 1695',0,0),
(137484,200203,3,100,'Heals target for 1460 - 1784',0,0),
(137485,200203,4,100,'Heals target for 1606 - 1963',0,0),
(137486,200203,5,100,'Heals target for 1752 - 2141',0,0),
(137487,200203,7,100,'Heals target for 2248 - 2748',0,0),
(137488,200203,9,100,'Heals target for 2336 - 2855',0,0),
(137489,200204,1,100,'Heals target for 1696 - 2073',0,0),
(137490,200204,4,100,'Heals target for 2073 - 2534',0,0),
(137491,200204,5,100,'Heals target for 2261 - 2764',0,0),
(137492,200204,7,100,'Heals target for 2902 - 3547',0,0),
(137493,200204,9,100,'Heals target for 3015 - 3685',0,0),
(137494,200204,10,100,'Heals target for 3166 - 3869',0,0),
(137495,440138,1,100,'Heals group members (AE) for 113 - 139',0,0),
(137496,440138,4,100,'Heals group members (AE) for 139 - 169',0,0),
(137497,440138,5,100,'Heals group members (AE) for 151 - 185',0,0),
(137498,440138,7,100,'Heals group members (AE) for 194 - 237',0,0),
(137499,440138,9,100,'Heals group members (AE) for 202 - 246',0,0),
(137500,440138,10,100,'Heals group members (AE) for 212 - 259',0,0),
(137501,440139,1,100,'Heals group members (AE) for 201 - 246',0,0),
(137502,440139,4,100,'Heals group members (AE) for 246 - 300',0,0),
(137503,440139,5,100,'Heals group members (AE) for 268 - 327',0,0),
(137504,440139,7,100,'Heals group members (AE) for 344 - 420',0,0),
(137505,440139,9,100,'Heals group members (AE) for 357 - 436',0,0),
(137506,440139,10,100,'Heals group members (AE) for 375 - 458',0,0),
(137507,440140,1,100,'Heals group members (AE) for 298 - 364',0,0),
(137508,440140,4,100,'Heals group members (AE) for 364 - 445',0,0),
(137509,440140,5,100,'Heals group members (AE) for 397 - 486',0,0),
(137510,440140,7,100,'Heals group members (AE) for 510 - 623',0,0),
(137511,440140,9,100,'Heals group members (AE) for 530 - 648',0,0),
(137512,440140,10,100,'Heals group members (AE) for 556 - 680',0,0),
(137513,440141,1,100,'Heals group members (AE) for 405 - 495',0,0),
(137514,440141,4,100,'Heals group members (AE) for 495 - 605',0,0),
(137515,440141,5,100,'Heals group members (AE) for 540 - 660',0,0),
(137516,440141,7,100,'Heals group members (AE) for 693 - 847',0,0),
(137517,440141,9,100,'Heals group members (AE) for 720 - 880',0,0),
(137518,440142,1,100,'Heals group members (AE) for 1181 - 1443',0,0),
(137519,440142,4,100,'Heals group members (AE) for 1443 - 1764',0,0),
(137520,440142,5,100,'Heals group members (AE) for 1575 - 1925',0,0),
(137521,440142,7,100,'Heals group members (AE) for 2021 - 2470',0,0),
(137522,440142,9,100,'Heals group members (AE) for 2100 - 2566',0,0),
(137523,440143,1,100,'Heals group members (AE) for 527 - 644',0,0),
(137524,440143,4,100,'Heals group members (AE) for 644 - 787',0,0),
(137525,440143,5,100,'Heals group members (AE) for 702 - 858',0,0),
(137526,440143,7,100,'Heals group members (AE) for 901 - 1101',0,0),
(137527,440143,9,100,'Heals group members (AE) for 936 - 1144',0,0),
(137528,440144,1,100,'Heals group members (AE) for 648 - 792',0,0),
(137529,440144,4,100,'Heals group members (AE) for 792 - 968',0,0),
(137530,440144,5,100,'Heals group members (AE) for 864 - 1056',0,0),
(137531,440144,7,100,'Heals group members (AE) for 1109 - 1355',0,0),
(137532,440144,9,100,'Heals group members (AE) for 1152 - 1408',0,0),
(137533,440144,10,100,'Heals group members (AE) for 1210 - 1478',0,0),
(137534,440145,1,100,'Heals group members (AE) for 821 - 1004',0,0),
(137535,440145,4,100,'Heals group members (AE) for 1004 - 1227',0,0),
(137536,440145,5,100,'Heals group members (AE) for 1095 - 1338',0,0),
(137537,440145,7,100,'Heals group members (AE) for 1405 - 1718',0,0),
(137538,440145,9,100,'Heals group members (AE) for 1460 - 1785',0,0),
(137539,440146,1,100,'Heals group members (AE) for 1047 - 1279',0,0),
(137540,440146,4,100,'Heals group members (AE) for 1279 - 1563',0,0),
(137541,440146,5,100,'Heals group members (AE) for 1395 - 1705',0,0),
(137542,440146,7,100,'Heals group members (AE) for 1791 - 2189',0,0),
(137543,440146,9,100,'Heals group members (AE) for 1860 - 2274',0,0),
(137544,2000752,2,100,'Increases Max Health of target by 25.0%',0,0),
(137545,2000752,3,100,'Increases Max Health of target by 25.0%',0,0),
(137546,130139,1,100,'Makes group members (AE) immune to Root effects',0,0),
(137547,130139,1,100,'Makes group members (AE) immune to Stifle effects',0,1),
(137548,130139,1,100,'Makes group members (AE) immune to Stun effects',0,2),
(137549,130139,1,100,'Makes group members (AE) immune to Fear effects',0,3),
(137550,130139,1,100,'Makes group members (AE) immune to Daze effects',0,4),
(137551,130139,1,100,'Makes group members (AE) immune to Mesmerize effects',0,5),
(137552,130139,1,100,'1% chance to dispel when target takes damage',0,6),
(137553,130139,1,100,'1% chance to dispel when target receives hostile action',0,7),
(137554,130139,2,100,'Makes group members (AE) immune to Root effects',0,0),
(137555,130139,2,100,'Makes group members (AE) immune to Stifle effects',0,1),
(137556,130139,2,100,'Makes group members (AE) immune to Stun effects',0,2),
(137557,130139,2,100,'Makes group members (AE) immune to Fear effects',0,3),
(137558,130139,2,100,'Makes group members (AE) immune to Daze effects',0,4),
(137559,130139,2,100,'Makes group members (AE) immune to Mesmerize effects',0,5),
(137560,130139,2,100,'1% chance to dispel when target takes damage',0,6),
(137561,130139,2,100,'1% chance to dispel when target receives hostile action',0,7),
(137562,130139,3,100,'Makes group members (AE) immune to Root effects',0,0),
(137563,130139,3,100,'Makes group members (AE) immune to Stifle effects',0,1),
(137564,130139,3,100,'Makes group members (AE) immune to Stun effects',0,2),
(137565,130139,3,100,'Makes group members (AE) immune to Fear effects',0,3),
(137566,130139,3,100,'Makes group members (AE) immune to Daze effects',0,4),
(137567,130139,3,100,'Makes group members (AE) immune to Mesmerize effects',0,5),
(137568,130139,3,100,'1% chance to dispel when target takes damage',0,6),
(137569,130139,3,100,'1% chance to dispel when target receives hostile action',0,7),
(137570,130139,4,100,'Makes group members (AE) immune to Root effects',0,0),
(137571,130139,4,100,'Makes group members (AE) immune to Stifle effects',0,1),
(137572,130139,4,100,'Makes group members (AE) immune to Stun effects',0,2),
(137573,130139,4,100,'Makes group members (AE) immune to Fear effects',0,3),
(137574,130139,4,100,'Makes group members (AE) immune to Daze effects',0,4),
(137575,130139,4,100,'Makes group members (AE) immune to Mesmerize effects',0,5),
(137576,130139,4,100,'1% chance to dispel when target takes damage',0,6),
(137577,130139,4,100,'1% chance to dispel when target receives hostile action',0,7),
(137578,130139,5,100,'Makes group members (AE) immune to Stifle effects',0,1),
(137579,130139,5,100,'Makes group members (AE) immune to Fear effects',0,3),
(137580,130139,5,100,'Makes group members (AE) immune to Mesmerize effects',0,5),
(137581,130139,5,100,'1% chance to dispel when target receives hostile action',0,7),
(137582,130139,5,100,'1% chance to dispel when target takes damage',0,6),
(137583,130139,5,100,'Makes group members (AE) immune to Mesmerize effects',0,5),
(137584,130139,5,100,'1% chance to dispel when target takes damage',0,6),
(137585,130139,5,100,'1% chance to dispel when target receives hostile action',0,7),
(137586,130139,7,100,'Makes group members (AE) immune to Stifle effects',0,1),
(137587,130139,7,100,'Makes group members (AE) immune to Fear effects',0,3),
(137588,130139,7,100,'Makes group members (AE) immune to Mesmerize effects',0,5),
(137589,130139,7,100,'1% chance to dispel when target receives hostile action',0,7),
(137590,130139,7,100,'1% chance to dispel when target takes damage',0,6),
(137591,130139,7,100,'Makes group members (AE) immune to Mesmerize effects',0,5),
(137592,130139,7,100,'1% chance to dispel when target takes damage',0,6),
(137593,130139,7,100,'1% chance to dispel when target receives hostile action',0,7),
(137594,130139,9,100,'Makes group members (AE) immune to Stifle effects',0,1),
(137595,130139,9,100,'Makes group members (AE) immune to Fear effects',0,3),
(137596,130139,9,100,'Makes group members (AE) immune to Mesmerize effects',0,5),
(137597,130139,9,100,'1% chance to dispel when target receives hostile action',0,7),
(137598,130139,9,100,'1% chance to dispel when target takes damage',0,6),
(137599,130139,9,100,'Makes group members (AE) immune to Mesmerize effects',0,5),
(137600,130139,9,100,'1% chance to dispel when target takes damage',0,6),
(137601,130139,9,100,'1% chance to dispel when target receives hostile action',0,7),
(137602,130197,1,100,'Wards group members (AE) against 13 points of arcane damage',0,0),
(137603,130197,1,100,'Increases Mitigation of group members (AE) vs arcane damage by 769',0,1),
(137604,130197,4,100,'Wards group members (AE) against 16 points of arcane damage',0,0),
(137605,130197,4,100,'Increases Mitigation of group members (AE) vs arcane damage by 940',0,1),
(137606,130197,5,100,'Wards group members (AE) against 18 points of arcane damage',0,0),
(137607,130197,5,100,'Increases Mitigation of group members (AE) vs arcane damage by 1025',0,1),
(137608,130197,7,100,'Wards group members (AE) against 23 points of arcane damage',0,0),
(137609,130197,7,100,'Increases Mitigation of group members (AE) vs arcane damage by 1316',0,1),
(137610,130197,9,100,'Wards group members (AE) against 24 points of arcane damage',0,0),
(137611,130197,9,100,'Increases Mitigation of group members (AE) vs arcane damage by 1367',0,1),
(137612,130198,1,100,'Wards group members (AE) against 13 points of arcane damage',0,0),
(137613,130198,1,100,'Increases Mitigation of group members (AE) vs arcane damage by 901',0,1),
(137614,130198,4,100,'Wards group members (AE) against 16 points of arcane damage',0,0);
INSERT INTO `spell_display_effects` VALUES
(137615,130198,4,100,'Increases Mitigation of group members (AE) vs arcane damage by 1101',0,1),
(137616,130198,5,100,'Wards group members (AE) against 18 points of arcane damage',0,0),
(137617,130198,5,100,'Increases Mitigation of group members (AE) vs arcane damage by 1201',0,1),
(137618,130198,7,100,'Wards group members (AE) against 23 points of arcane damage',0,0),
(137619,130198,7,100,'Increases Mitigation of group members (AE) vs arcane damage by 1542',0,1),
(137620,130198,9,100,'Wards group members (AE) against 24 points of arcane damage',0,0),
(137621,130198,9,100,'Increases Mitigation of group members (AE) vs arcane damage by 1602',0,1),
(137622,270182,1,100,'Increases power of caster by 6 instantly and every 4 seconds',0,0),
(137623,270182,2,100,'Increases power of caster by 6 instantly and every 4 seconds',0,0),
(137624,270182,3,100,'Increases power of caster by 7 instantly and every 4 seconds',0,0),
(137625,270182,4,100,'Increases power of caster by 7 instantly and every 4 seconds',0,0),
(137626,270182,5,100,'Increases power of caster by 8 instantly and every 4 seconds',0,0),
(137627,270182,7,100,'Increases power of caster by 10 instantly and every 4 seconds',0,0),
(137628,270182,9,100,'Increases power of caster by 10 instantly and every 4 seconds',0,0),
(137629,270183,1,100,'Increases power of caster by 13 instantly and every 4 seconds',0,0),
(137630,270183,2,100,'Increases power of caster by 13 instantly and every 4 seconds',0,0),
(137631,270183,3,100,'Increases power of caster by 14 instantly and every 4 seconds',0,0),
(137632,270183,4,100,'Increases power of caster by 16 instantly and every 4 seconds',0,0),
(137633,270183,5,100,'Increases power of caster by 17 instantly and every 4 seconds',0,0),
(137634,270183,7,100,'Increases power of caster by 22 instantly and every 4 seconds',0,0),
(137635,270183,9,100,'Increases power of caster by 23 instantly and every 4 seconds',0,0),
(137636,270184,1,100,'Increases power of caster by 20 instantly and every 4 seconds',0,0),
(137637,270184,2,100,'Increases power of caster by 22 instantly and every 4 seconds',0,0),
(137638,270184,3,100,'Increases power of caster by 23 instantly and every 4 seconds',0,0),
(137639,270184,4,100,'Increases power of caster by 25 instantly and every 4 seconds',0,0),
(137640,270184,5,100,'Increases power of caster by 27 instantly and every 4 seconds',0,0),
(137641,270184,7,100,'Increases power of caster by 35 instantly and every 4 seconds',0,0),
(137642,270184,9,100,'Increases power of caster by 36 instantly and every 4 seconds',0,0),
(137643,270185,1,100,'Increases power of caster by 30 instantly and every 4 seconds',0,0),
(137644,270185,2,100,'Increases power of caster by 32 instantly and every 4 seconds',0,0),
(137645,270185,3,100,'Increases power of caster by 33 instantly and every 4 seconds',0,0),
(137646,270185,4,100,'Increases power of caster by 37 instantly and every 4 seconds',0,0),
(137647,270185,5,100,'Increases power of caster by 40 instantly and every 4 seconds',0,0),
(137648,270185,7,100,'Increases power of caster by 51 instantly and every 4 seconds',0,0),
(137649,270185,9,100,'Increases power of caster by 53 instantly and every 4 seconds',0,0),
(137650,270186,1,100,'Increases power of caster by 39 instantly and every 4 seconds',0,0),
(137651,270186,2,100,'Increases power of caster by 42 instantly and every 4 seconds',0,0),
(137652,270186,3,100,'Increases power of caster by 44 instantly and every 4 seconds',0,0),
(137653,270186,4,100,'Increases power of caster by 48 instantly and every 4 seconds',0,0),
(137654,270186,5,100,'Increases power of caster by 53 instantly and every 4 seconds',0,0),
(137655,270186,7,100,'Increases power of caster by 67 instantly and every 4 seconds',0,0),
(137656,270186,9,100,'Increases power of caster by 70 instantly and every 4 seconds',0,0),
(137657,270187,1,100,'Increases power of caster by 53 instantly and every 4 seconds',0,0),
(137658,270187,2,100,'Increases power of caster by 56 instantly and every 4 seconds',0,0),
(137659,270187,3,100,'Increases power of caster by 58 instantly and every 4 seconds',0,0),
(137660,270187,4,100,'Increases power of caster by 64 instantly and every 4 seconds',0,0),
(137661,270187,5,100,'Increases power of caster by 70 instantly and every 4 seconds',0,0),
(137662,270187,7,100,'Increases power of caster by 90 instantly and every 4 seconds',0,0),
(137663,270187,9,100,'Increases power of caster by 94 instantly and every 4 seconds',0,0),
(137664,270188,1,100,'Increases power of caster by 63 instantly and every 4 seconds',0,0),
(137665,270188,4,100,'Increases power of caster by 77 instantly and every 4 seconds',0,0),
(137666,270188,5,100,'Increases power of caster by 84 instantly and every 4 seconds',0,0),
(137667,270188,7,100,'Increases power of caster by 108 instantly and every 4 seconds',0,0),
(137668,270188,9,100,'Increases power of caster by 113 instantly and every 4 seconds',0,0),
(137669,270189,1,100,'Increases power of caster by 67 instantly and every 4 seconds',0,0),
(137670,270189,4,100,'Increases power of caster by 82 instantly and every 4 seconds',0,0),
(137671,270189,5,100,'Increases power of caster by 90 instantly and every 4 seconds',0,0),
(137672,270189,7,100,'Increases power of caster by 115 instantly and every 4 seconds',0,0),
(137673,270189,9,100,'Increases power of caster by 119 instantly and every 4 seconds',0,0),
(137674,260196,1,100,'Grants See Invisibility to group members (AE)',0,0),
(137675,260196,1,100,'Grants Infravision to group members (AE)',0,1),
(137676,270190,1,100,'Inflicts 402 - 669 mental damage on targets in Area of Effect',0,0),
(137677,270190,1,100,'Stuns targets in Area of Effect',0,1),
(137678,270190,1,100,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(137679,270190,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(137680,270190,2,100,'Inflicts 424 - 706 mental damage on targets in Area of Effect',0,0),
(137681,270190,2,100,'Stuns targets in Area of Effect',0,1),
(137682,270190,2,100,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(137683,270190,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(137684,270190,3,100,'Inflicts 446 - 744 mental damage on targets in Area of Effect',0,0),
(137685,270190,3,100,'Stuns targets in Area of Effect',0,1),
(137686,270190,3,100,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(137687,270190,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(137688,270190,4,100,'Inflicts 491 - 818 mental damage on targets in Area of Effect',0,0),
(137689,270190,4,100,'Stuns targets in Area of Effect',0,1),
(137690,270190,4,100,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(137691,270190,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(137692,270190,5,100,'Inflicts 535 - 892 mental damage on targets in Area of Effect',0,0),
(137693,270190,5,100,'Stuns targets in Area of Effect',0,1),
(137694,270190,5,100,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(137695,270190,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(137696,270190,7,100,'Inflicts 687 - 1145 mental damage on targets in Area of Effect',0,0),
(137697,270190,7,100,'Stuns targets in Area of Effect',0,1),
(137698,270190,7,100,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(137699,270190,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(137700,270190,9,100,'Inflicts 714 - 1190 mental damage on targets in Area of Effect',0,0),
(137701,270190,9,100,'Stuns targets in Area of Effect',0,1),
(137702,270190,9,100,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(137703,270190,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(137704,270191,1,100,'Inflicts 604 - 1007 mental damage on targets in Area of Effect',0,0),
(137705,270191,1,100,'Stuns targets in Area of Effect',0,1),
(137706,270191,1,100,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(137707,270191,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(137708,270191,2,100,'Inflicts 638 - 1063 mental damage on targets in Area of Effect',0,0),
(137709,270191,2,100,'Stuns targets in Area of Effect',0,1),
(137710,270191,2,100,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(137711,270191,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(137712,270191,3,100,'Inflicts 671 - 1119 mental damage on targets in Area of Effect',0,0),
(137713,270191,3,100,'Stuns targets in Area of Effect',0,1),
(137714,270191,3,100,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(137715,270191,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(137716,270191,4,100,'Inflicts 739 - 1231 mental damage on targets in Area of Effect',0,0),
(137717,270191,4,100,'Stuns targets in Area of Effect',0,1),
(137718,270191,4,100,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(137719,270191,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(137720,270191,5,100,'Inflicts 806 - 1343 mental damage on targets in Area of Effect',0,0),
(137721,270191,5,100,'Stuns targets in Area of Effect',0,1),
(137722,270191,5,100,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(137723,270191,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(137724,270191,7,100,'Inflicts 1034 - 1723 mental damage on targets in Area of Effect',0,0),
(137725,270191,7,100,'Stuns targets in Area of Effect',0,1),
(137726,270191,7,100,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(137727,270191,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(137728,270191,9,100,'Inflicts 1074 - 1790 mental damage on targets in Area of Effect',0,0),
(137729,270191,9,100,'Stuns targets in Area of Effect',0,1),
(137730,270191,9,100,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(137731,270191,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(137732,270192,1,100,'Inflicts 733 - 1221 mental damage on targets in Area of Effect',0,0),
(137733,270192,1,100,'Stuns targets in Area of Effect',0,1),
(137734,270192,1,100,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(137735,270192,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(137736,270192,2,100,'Inflicts 773 - 1289 mental damage on targets in Area of Effect',0,0),
(137737,270192,2,100,'Stuns targets in Area of Effect',0,1),
(137738,270192,2,100,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(137739,270192,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(137740,270192,3,100,'Inflicts 814 - 1357 mental damage on targets in Area of Effect',0,0),
(137741,270192,3,100,'Stuns targets in Area of Effect',0,1),
(137742,270192,3,100,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(137743,270192,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(137744,270192,4,100,'Inflicts 896 - 1493 mental damage on targets in Area of Effect',0,0),
(137745,270192,4,100,'Stuns targets in Area of Effect',0,1),
(137746,270192,4,100,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(137747,270192,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(137748,270192,5,100,'Inflicts 977 - 1628 mental damage on targets in Area of Effect',0,0),
(137749,270192,5,100,'Stuns targets in Area of Effect',0,1),
(137750,270192,5,100,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(137751,270192,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(137752,270192,7,100,'Inflicts 1254 - 2090 mental damage on targets in Area of Effect',0,0),
(137753,270192,7,100,'Stuns targets in Area of Effect',0,1),
(137754,270192,7,100,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(137755,270192,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(137756,270192,9,100,'Inflicts 1303 - 2171 mental damage on targets in Area of Effect',0,0),
(137757,270192,9,100,'Stuns targets in Area of Effect',0,1),
(137758,270192,9,100,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(137759,270192,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(137760,270193,1,100,'Inflicts 882 - 1469 mental damage on targets in Area of Effect',0,0),
(137761,270193,1,100,'Stuns targets in Area of Effect',0,1),
(137762,270193,1,100,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(137763,270193,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(137764,270193,4,100,'Inflicts 1077 - 1796 mental damage on targets in Area of Effect',0,0),
(137765,270193,4,100,'Stuns targets in Area of Effect',0,1),
(137766,270193,4,100,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(137767,270193,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(137768,270193,5,100,'Inflicts 1175 - 1959 mental damage on targets in Area of Effect',0,0),
(137769,270193,5,100,'Stuns targets in Area of Effect',0,1),
(137770,270193,5,100,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(137771,270193,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(137772,270193,7,100,'Inflicts 1508 - 2514 mental damage on targets in Area of Effect',0,0),
(137773,270193,7,100,'Stuns targets in Area of Effect',0,1),
(137774,270193,7,100,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(137775,270193,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(137776,270193,9,100,'Inflicts 1567 - 2612 mental damage on targets in Area of Effect',0,0),
(137777,270193,9,100,'Stuns targets in Area of Effect',0,1),
(137778,270193,9,100,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(137779,270193,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(137780,270194,1,100,'Inflicts 935 - 1559 mental damage on targets in Area of Effect',0,0),
(137781,270194,1,100,'Stuns targets in Area of Effect',0,1),
(137782,270194,1,100,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(137783,270194,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(137784,270194,4,100,'Inflicts 1143 - 1905 mental damage on targets in Area of Effect',0,0),
(137785,270194,4,100,'Stuns targets in Area of Effect',0,1),
(137786,270194,4,100,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(137787,270194,4,100,'Resistibility increases against targets higher than level 29.',0,3),
(137788,270194,5,100,'Inflicts 1247 - 2079 mental damage on targets in Area of Effect',0,0),
(137789,270194,5,100,'Stuns targets in Area of Effect',0,1),
(137790,270194,5,100,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(137791,270194,5,100,'Resistibility increases against targets higher than level 29.',0,3),
(137792,270194,7,100,'Inflicts 1600 - 2667 mental damage on targets in Area of Effect',0,0),
(137793,270194,7,100,'Stuns targets in Area of Effect',0,1),
(137794,270194,7,100,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(137795,270194,7,100,'Resistibility increases against targets higher than level 29.',0,3),
(137796,270194,9,100,'Inflicts 1663 - 2771 mental damage on targets in Area of Effect',0,0),
(137797,270194,9,100,'Stuns targets in Area of Effect',0,1),
(137798,270194,9,100,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(137799,270194,9,100,'Resistibility increases against targets higher than level 29.',0,3),
(137800,2000753,1,100,'Inflicts 1 - 2 magic damage on targets in Area of Effect',0,0),
(137801,2000753,1,100,'Stuns targets in Area of Effect',0,1),
(137802,2000753,1,100,'Epic targets gain an immunity to Stun effects of 5.6 seconds and duration is reduced to 0.6 seconds.',0,2),
(137803,2000753,1,100,'Resistibility increases against targets higher than level 29.',0,3),
(137804,5000,1,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(137805,5000,1,100,'Slows target by 30.2%',1,1),
(137806,5000,1,100,'5% chance to dispel when target receives hostile action',1,2),
(137807,5000,1,100,'5% chance to dispel when target takes damage',1,3),
(137808,5001,1,100,'Apply Knockdown',0,0),
(137809,5001,1,100,'Throws target back',1,1),
(137810,5001,1,100,'Stuns target',1,2),
(137811,5001,1,100,'Blurs vision of target',1,3),
(137812,5001,1,100,'Except Epic',1,4),
(137813,110003,1,100,'Dispels 10 levels of any hostile effects on target',0,0),
(137818,150018,1,100,'Heals target for X',0,0),
(137819,150018,1,100,'Heals target for X every 2 seconds',0,1),
(137820,30038,2,100,'Increases STA of group members (AE) by 72.6',0,0),
(137821,30039,2,100,'Increases STA of group members (AE) by 95.9',0,0),
(137822,30205,2,100,'Inflicts 133 - 226 melee damage on target',0,0),
(137823,30205,2,100,'Increases Threat to target by 1,562 - 1847 ',0,1),
(137825,30205,3,100,'Inflicts 143 - 238 melee damage on target',0,0),
(137826,30205,3,100,'Increases Threat to target by 1,672 - 1,994 ',0,1),
(137828,30201,2,100,'Inflicts 145 - 239 melee damage on target',0,0),
(137829,30201,2,100,'Increases Threat to target by 1,842 - 2,199 ',0,1),
(137831,30201,3,100,'Inflicts 155 - 256 melee damage on target',0,0),
(137832,30201,3,100,'Increases Threat to target by 1,912 - 2,246 ',0,1),
(137834,30085,2,100,'Inflicts 293 - 489 crushing damage on target',0,0),
(137835,30085,2,100,'Interrupts target',0,1),
(137837,30085,3,100,'Inflicts 293 - 489 crushing damage on target',0,0),
(137838,30085,3,100,'Interrupts target',0,1),
(137840,30084,2,100,'Inflicts 257 - 429 crushing damage on target',0,0),
(137841,30084,2,100,'Interrupts target',0,1),
(137843,30084,3,100,'Inflicts 257 - 429 crushing damage on target',0,0),
(137844,30084,3,100,'Interrupts target',0,1),
(137846,30078,2,100,'Inflicts 8 - 14 crushing damage on target',0,0),
(137847,30078,2,100,'Interrupts target',0,1),
(137849,30078,3,100,'Inflicts 9 - 14 crushing damage on target',0,0),
(137850,30078,3,100,'Interrupts target',0,1),
(137852,30073,2,100,'Increases STR of caster by 132.8',0,0),
(137853,30073,3,100,'Increases STR of caster by 142.8',0,0),
(137854,30073,2,100,'Decreases Defense of caster by 25.8',0,1),
(137855,30073,2,100,'Increases Slashing, Piercing and Crushing of caster by 37.3',0,2),
(137856,30073,3,100,'Decreases Defense of caster by 25.8',0,1),
(137857,30073,3,100,'Increases Slashing, Piercing and Crushing of caster by 39.2',0,2),
(137858,30074,2,100,'Increases STR of caster by 156.7',0,0),
(137859,30074,2,100,'Decreases Defense of caster by 29.8',0,1),
(137860,30074,2,100,'Increases Slashing, Piercing and Crushing of caster by 44.4',0,2),
(137861,30074,3,100,'Increases STR of caster by 162.8',0,0),
(137862,30074,3,100,'Decreases Defense of caster by 29.8',0,1),
(137863,30074,3,100,'Increases Slashing, Piercing and Crushing of caster by 48.2',0,2),
(137864,30014,3,100,'Inflicts 558 - 912 melee damage on targets in Area of Effect',0,0),
(137865,30015,3,100,'Inflicts 614 - 1001 melee damage on targets in Area of Effect',0,0),
(137866,30124,2,100,'Inflicts 259 - 435 melee damage on target',0,0),
(137867,30124,3,100,'Inflicts 283 - 475 melee damage on target',0,0),
(137868,30125,2,100,'Inflicts 306 - 510 melee damage on target',0,0),
(137869,30125,3,100,'Inflicts 331 - 553 melee damage on target',0,0),
(137870,30024,2,100,'Inflicts 343 - 573 crushing damage on target',0,0),
(137871,30024,3,100,'Inflicts 371 - 603 crushing damage on target',0,0),
(137872,30024,2,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,1),
(137873,30024,2,100,'Blurs vision of target',0,2),
(137874,30024,2,100,'Throws target back',0,3),
(137875,30024,2,100,'Stuns target',0,4),
(137876,30024,2,100,'Does not affect Epic targets',0,5),
(137877,30024,3,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.\r\n',0,1),
(137878,30024,3,100,'Blurs vision of target',0,2),
(137879,30024,3,100,'Throws target back',0,3),
(137880,30024,3,100,'Stuns target',0,4),
(137881,30024,3,100,'Does not affect Epic targets',0,5),
(137882,30020,2,100,'Inflicts 373 - 620 crushing damage on target',0,0),
(137883,30020,2,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,1),
(137884,30020,2,100,'Blurs vision of target',0,2),
(137885,30020,2,100,'Throws target back',0,3),
(137886,30020,2,100,'Stuns target',0,4),
(137887,30020,2,100,'Does not affect Epic targets',0,5),
(137888,30020,3,100,'Inflicts 394 - 651 crushing damage on target',0,0),
(137889,30020,3,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,1),
(137890,30020,3,100,'Blurs vision of target',0,2),
(137891,30020,3,100,'Throws target back',0,3),
(137892,30020,3,100,'Stuns target',0,4),
(137893,30020,3,100,'Does not affect Epic targets',0,5),
(137894,30140,1,100,'Interrupts target',0,0),
(137895,30140,1,100,'Increases Threat to target by 523 - 639 ',0,1),
(137896,30143,2,100,'Increases Threat to target by 2,141 - 2,610 ',0,0),
(137897,30143,2,100,'Interrupts target',0,1),
(137898,30143,3,100,'Increases Threat to target by 2,232 - 2,760 ',0,0),
(137899,30143,3,100,'Interrupts target',0,1),
(137900,30139,1,100,'Interrupts target',0,0),
(137901,30139,1,100,'Increases Threat to target by 135 - 166 ',0,1),
(137902,30139,2,100,'Increases Threat to target by 135 - 166 ',0,1),
(137903,30139,2,100,'Interrupts target',0,0),
(137904,30139,3,100,'Increases Threat to target by 135 - 166 ',0,1),
(137905,30139,3,100,'Interrupts target',0,0),
(137906,30053,2,100,'Increases Slashing, Ranged, Crushing and Piercing of group members (AE) by 19.9',0,0),
(137907,30053,3,100,'Increases Slashing, Ranged, Crushing and Piercing of group members (AE) by 22.0',0,0),
(137908,30054,2,100,'Increases Slashing, Ranged, Crushing and Piercing of group members (AE) by 24.2',0,0),
(137909,30054,3,100,'Increases Slashing, Ranged, Crushing and Piercing of group members (AE) by 25.8',0,0),
(137918,30175,2,100,'Inflicts 130 slashing damage on target instantly and every 4 seconds',0,0),
(137919,30175,2,100,'Decreases Damage Per Second of target by 14.2',0,2),
(137920,30175,2,100,'Inflicts 97 - 162 slashing damage on target',0,1),
(137921,30175,3,100,'Inflicts 130 slashing damage on target instantly and every 4 seconds',0,0),
(137922,30175,3,100,'Decreases Damage Per Second of target by 14.2',0,2),
(137923,30175,3,100,'Inflicts 97 - 162 slashing damage on target',0,1),
(137924,30176,2,100,'Inflicts 138 slashing damage on target instantly and every 4 seconds',0,0),
(137925,30176,2,100,'Decreases Damage Per Second of target by 15.7',0,2),
(137926,30176,2,100,'Inflicts 103 - 172 slashing damage on target',0,1),
(137927,30176,3,100,'Inflicts 138 slashing damage on target instantly and every 4 seconds',0,0),
(137928,30176,3,100,'Decreases Damage Per Second of target by 15.7',0,2),
(137929,30176,3,100,'Inflicts 103 - 172 slashing damage on target',0,1),
(137930,30190,2,100,'Inflicts 892 - 1511 crushing damage on target',0,0),
(137931,30190,3,100,'Inflicts 970 - 1617 crushing damage on target',0,0),
(137932,30191,2,100,'Inflicts 1000 - 1663 crushing damage on target',0,0),
(137933,30191,3,100,'Inflicts 1076 - 1847 crushing damage on target',0,0),
(137934,30177,1,100,'Increases Threat to target encounter by 350 - 427 ',0,0),
(137935,30184,2,100,'Increases Threat to target encounter by 1,800 - 2,219 ',0,0),
(137936,30184,3,100,'Increases Threat to target encounter by 1,900 - 2,319 ',0,0),
(137937,30183,2,100,'Increases Threat to target encounter by 1,580 - 1,850 ',0,0),
(137938,30183,3,100,'Increases Threat to target encounter by 1,680 - 1,950 ',0,0),
(137939,30045,2,100,'Increases STA of raid and group members (AE) by 60.6',0,0),
(137940,30045,2,100,'Increases Defense of raid and group members (AE) by 20.9',0,1),
(137941,30045,3,100,'Increases STA of raid and group members (AE) by 64.3',0,0),
(137942,30045,3,100,'Increases Defense of raid and group members (AE) by 22.1',0,1),
(137949,30046,2,100,'Increases STA of raid and group members (AE) by 70.7',0,0),
(137950,30046,2,100,'Increases Defense of raid and group members (AE) by 23.9',0,1),
(137952,30046,3,100,'Increases STA of raid and group members (AE) by 75.2',0,0),
(137953,30046,3,100,'Increases Defense of raid and group members (AE) by 25.7',0,1),
(137955,30137,2,100,'Inflicts 542 - 862 melee damage on target',0,0),
(137956,30137,3,100,'Inflicts 587 - 989 melee damage on target',0,0),
(137957,30138,2,100,'Inflicts 592 - 976 melee damage on target',0,0),
(137958,30138,3,100,'Inflicts 628 - 1014 melee damage on target',0,0),
(137959,30154,2,100,'Inflicts 683 - 1164 melee damage on target',0,0),
(137960,30154,2,100,'Dazes target',0,1),
(137961,30154,2,100,'If Target is not Epic',1,2),
(137962,30154,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(137966,30154,3,100,'Inflicts 729 - 1239 melee damage on target',0,0),
(137967,30154,3,100,'Dazes target',0,1),
(137968,30154,3,100,'If Target is not Epic',1,2),
(137969,30154,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(137973,30155,2,100,'Inflicts 741 - 1251 melee damage on target',0,0),
(137974,30155,2,100,'Dazes target',0,1),
(137975,30155,2,100,'If Target is not Epic',1,2),
(137976,30155,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(137980,30155,3,100,'Inflicts 793 - 1349 melee damage on target',0,0),
(137981,30155,3,100,'Dazes target',0,1),
(137982,30155,3,100,'If Target is not Epic',1,2),
(137983,30155,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(137987,30195,2,100,'Inflicts 241 - 388 melee damage on target encounter',0,0),
(137988,30195,2,100,'Increases Threat to target encounter by 1,264 ',0,1),
(137990,30195,3,100,'Inflicts 258 - 403 melee damage on target encounter',0,0),
(137991,30195,3,100,'Increases Threat to target encounter by 1,330 ',0,1),
(137993,30196,2,100,'Inflicts 284 - 465 melee damage on target encounter',0,0),
(137994,30196,2,100,'Increases Threat to target encounter by 1,487 ',0,1),
(137996,30196,3,100,'Inflicts 300 - 500 melee damage on target encounter',0,0),
(137997,30196,3,100,'Increases Threat to target encounter by 1,587 ',0,1),
(137999,40177,2,100,'Inflicts 209 - 600 melee damage on target',0,0),
(138000,40177,3,100,'Inflicts 217 - 631 melee damage on target',0,0),
(138001,40176,2,100,'Inflicts 172 - 510 melee damage on target',0,0),
(138002,40176,3,100,'Inflicts 181 - 556 melee damage on target',0,0),
(138003,40064,2,100,'Inflicts 227 - 693 crushing damage on target',0,0),
(138004,40064,2,100,'Stuns target',0,1),
(138005,40064,2,100,'If Target is not Epic',1,2),
(138006,40064,2,100,'Throws target back',0,3),
(138007,40064,2,100,'If Target is not Epic',1,4),
(138008,40064,2,100,'Resistibility increases against targets higher than level 29.',0,5),
(138010,40064,3,100,'Inflicts 248 - 740 crushing damage on target',0,0),
(138011,40064,3,100,'Stuns target',0,1),
(138012,40064,3,100,'If Target is not Epic',1,2),
(138013,40064,3,100,'Throws target back',0,3),
(138014,40064,3,100,'If Target is not Epic',1,4),
(138015,40064,3,100,'Resistibility increases against targets higher than level 29.',0,5),
(138017,40060,2,100,'Inflicts 242 - 737 crushing damage on target',0,0),
(138018,40060,2,100,'Stuns target',0,1),
(138019,40060,2,100,'If Target is not Epic',1,2),
(138020,40060,2,100,'Throws target back',0,3),
(138021,40060,2,100,'If Target is not Epic',1,4),
(138022,40060,2,100,'Resistibility increases against targets higher than level 29.',0,5),
(138024,40060,3,100,'Inflicts 251 - 802 crushing damage on target',0,0),
(138025,40060,3,100,'Stuns target',0,1),
(138026,40060,3,100,'If Target is not Epic',1,2),
(138027,40060,3,100,'Throws target back',0,3),
(138028,40060,3,100,'If Target is not Epic',1,4),
(138029,40060,3,100,'Resistibility increases against targets higher than level 29.',0,5),
(138031,40160,2,100,'Inflicts 133 - 391 melee damage on target',0,0),
(138032,40160,2,100,'Increases Threat to target by 1,464 ',0,1),
(138034,40160,3,100,'Inflicts 143 - 411 melee damage on target',0,0),
(138035,40160,3,100,'Increases Threat to target by 1,564 ',0,1),
(138037,40156,2,100,'Inflicts 145 - 437 melee damage on target',0,0),
(138038,40156,2,100,'Increases Threat to target by 1,660 ',0,1),
(138040,40156,3,100,'Inflicts 155 - 467 melee damage on target',0,0),
(138041,40156,3,100,'Increases Threat to target by 1,760 ',0,1),
(138043,40118,2,100,'Inflicts 4 - 14 crushing damage on target',0,0),
(138044,40118,3,100,'Inflicts 4 - 14 crushing damage on target',0,0),
(138045,40125,2,100,'Inflicts 188 - 574 crushing damage on target',0,0),
(138046,40125,3,100,'Inflicts 198 - 614 crushing damage on target',0,0),
(138047,40124,2,100,'Inflicts 169 - 495 crushing damage on target',0,0),
(138048,40124,3,100,'Inflicts 178 - 538 crushing damage on target',0,0),
(138049,40046,2,100,'Inflicts 443 - 1341 melee damage on targets in Area of Effect',0,0),
(138050,40046,2,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,1),
(138051,40046,2,100,'Throws target back',1,2),
(138052,40046,2,100,'Stuns target',1,3),
(138053,40046,2,100,'Blurs vision of target',1,4),
(138054,40046,2,100,'Does not affect Epic targets',1,5),
(138056,40046,3,100,'Inflicts 473 - 1441 melee damage on targets in Area of Effect',0,0),
(138057,40046,3,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,1),
(138058,40046,3,100,'Throws target back',1,2),
(138059,40046,3,100,'Stuns target',1,3),
(138060,40046,3,100,'Blurs vision of target',1,4),
(138061,40046,3,100,'Does not affect Epic targets',1,5),
(138063,40046,10,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(138064,40046,10,100,'Throws target back',1,1),
(138065,40046,10,100,'Blurs vision of target',1,2),
(138066,40046,10,100,'Stuns target',1,3),
(138067,40046,10,100,'Does not affect Epic targets',1,4),
(138068,40046,10,100,'Inflicts 522 - 1566 melee damage on targets in Area of Effect',0,5),
(138070,40047,2,100,'Inflicts 500 - 1497 melee damage on targets in Area of Effect',0,0),
(138071,40047,2,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,1),
(138072,40047,2,100,'Throws target back',1,2),
(138073,40047,2,100,'Stuns target',1,3),
(138074,40047,2,100,'Blurs vision of target',1,4),
(138075,40047,2,100,'Does not affect Epic targets',1,5),
(138077,40047,3,100,'Inflicts 535 - 1637 melee damage on targets in Area of Effect',0,0),
(138078,40047,3,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,1),
(138079,40047,3,100,'Throws target back',1,2),
(138080,40047,3,100,'Stuns target',1,3),
(138081,40047,3,100,'Blurs vision of target',1,4),
(138082,40047,3,100,'Does not affect Epic targets',1,5),
(138084,40047,10,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(138085,40047,10,100,'Throws target back',1,1),
(138086,40047,10,100,'Blurs vision of target',1,2),
(138087,40047,10,100,'Stuns target',1,3),
(138088,40047,10,100,'Does not affect Epic targets',1,4),
(138089,40047,10,100,'Inflicts 587 - 1763 melee damage on targets in Area of Effect',0,5),
(138091,40054,2,100,'Increases AGI and STR of group members (AE) by 107.0',0,0),
(138092,40054,3,100,'Increases AGI and STR of group members (AE) by 111.0',0,0),
(138095,30065,2,100,'Inflicts 880 - 1467 melee damage on target',0,0),
(138096,30065,2,100,'Decreases Parry, Defense and Deflection of target by 61.7',0,1),
(138098,30065,3,100,'Inflicts 940 - 1567 melee damage on target',0,0),
(138099,30065,3,100,'Decreases Parry, Defense and Deflection of target by 66.0',0,1),
(138101,30064,2,100,'Inflicts 810 - 1359 melee damage on target',0,0),
(138102,30064,2,100,'Decreases Parry, Defense and Deflection of target by 54.2',0,1),
(138104,30064,3,100,'Inflicts 885 - 1459 melee damage on target',0,0),
(138105,30064,3,100,'Decreases Parry, Defense and Deflection of target by 57.8',0,1),
(138107,40132,2,100,'Inflicts 559 - 932 melee damage on target',0,0),
(138108,40132,2,100,'Decreases Slashing, Crushing and Piercing of target by 13.5',0,1),
(138110,40132,3,100,'Inflicts 600 - 1000 melee damage on target',0,0),
(138111,40132,3,100,'Decreases Slashing, Crushing and Piercing of target by 14.5',0,1),
(138113,40133,2,100,'Inflicts 600 - 1000 melee damage on target',0,0),
(138114,40133,2,100,'Decreases Slashing, Crushing and Piercing of target by 15.3',0,1),
(138116,40133,3,100,'Inflicts 641 - 1100 melee damage on target',0,0),
(138117,40133,3,100,'Decreases Slashing, Crushing and Piercing of target by 16.3',0,1),
(138119,40093,1,100,'Increases Threat to target encounter by 350 - 427 ',0,0),
(138120,40134,1,100,'Interrupts target',0,0),
(138121,40134,1,100,'Increases Threat to target by 135 - 166 ',0,1),
(138123,40134,2,100,'Increases Threat to target by 135 - 166',0,0),
(138124,40134,2,100,'Interrupts target',0,1),
(138126,40134,3,100,'Increases Threat to target by 135 - 166 ',0,0),
(138127,40134,3,100,'Interrupts target',0,1),
(138129,40138,2,100,'Increases Threat to target by 2,201 - 2,660 ',0,0),
(138130,40138,2,100,'Interrupts target',0,1),
(138132,40138,3,100,'Increases Threat to target by 2,361 - 2,860 ',0,0),
(138133,40138,3,100,'Interrupts target',0,1),
(138135,40142,2,100,'Increases Threat to target by 1,867 - 2,201 ',0,0),
(138136,40142,2,100,'Interrupts target',0,1),
(138138,40142,3,100,'Increases Threat to target by 2,067 - 2,401 ',0,0),
(138139,40142,3,100,'Interrupts target',0,1),
(138141,40135,1,100,'Interrupts target',0,0),
(138142,40135,1,100,'Increases Threat to target by 523 - 639 ',0,1),
(138144,40099,2,100,'Increases Threat to target encounter by 1,580 - 1,850 ',0,0),
(138145,40099,3,100,'Increases Threat to target encounter by 1,680 - 1,950 ',0,0),
(138146,40100,2,100,'Increases Threat to target encounter by 1,800 - 2,219 ',0,0),
(138147,40100,3,100,'Increases Threat to target encounter by 1,900 - 2,319 ',0,0),
(138148,40092,2,100,'Increases Damage Per Second of raid and group members (AE) by 12.5',0,0),
(138149,40092,3,100,'Increases Damage Per Second of raid and group members (AE) by 13.5',0,0),
(138150,40091,2,100,'Increases Damage Per Second of raid and group members (AE) by 9.8',0,0),
(138151,40091,3,100,'Increases Damage Per Second of raid and group members (AE) by 10.8',0,0),
(138152,30162,2,100,'Inflicts 229 - 380 slashing damage on target',0,0),
(138153,30162,2,100,'Decreases Slashing, Crushing and Piercing of target by 13.5',0,2),
(138154,30162,2,100,'Inflicts 85 - 115 slashing damage on target every 5 seconds',0,1),
(138159,30162,3,100,'Inflicts 251 - 400 slashing damage on target',0,0),
(138160,30162,3,100,'Decreases Slashing, Crushing and Piercing of target by 14.5',0,2),
(138161,30162,3,100,'Inflicts 99 - 127 slashing damage on target every 5 seconds',0,1),
(138166,30163,2,100,'Inflicts 242 - 416 slashing damage on target',0,0),
(138167,30163,2,100,'Decreases Slashing, Crushing and Piercing of target by 15.3',0,2),
(138168,30163,2,100,'Inflicts 109 - 131 slashing damage on target every 5 seconds',0,1),
(138173,30163,3,100,'Inflicts 267 - 446 slashing damage on target',0,0),
(138175,30163,3,100,'Inflicts 112 - 138 slashing damage on target every 5 seconds',0,2),
(138176,30163,3,100,'Decreases Slashing, Crushing and Piercing of target by 16.3',0,3),
(138180,30060,2,100,'Inflicts 299 - 489 crushing damage on target',0,0),
(138181,30060,2,100,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 23.6',0,1),
(138183,30060,3,100,'Inflicts 320 - 519 crushing damage on target',0,0),
(138184,30060,3,100,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 25.4',0,1),
(138186,30061,2,100,'Inflicts 328 - 571 crushing damage on target',0,0),
(138187,30061,2,100,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 26.6',0,1),
(138189,30061,3,100,'Inflicts 358 - 601 crushing damage on target',0,0),
(138190,30061,3,100,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 28.1',0,1),
(138192,40031,2,100,'Inflicts 910 - 1715 melee damage on targets in Area of Effect',0,0),
(138193,40031,3,100,'Inflicts 969 - 1815 melee damage on targets in Area of Effect',0,0),
(138194,40032,2,100,'Inflicts 973 - 1815 melee damage on targets in Area of Effect',0,0),
(138195,40032,3,100,'Inflicts 1023 - 1975 melee damage on targets in Area of Effect',0,0),
(138196,40185,2,100,'Inflicts 571 - 930 melee damage on target encounter',0,0),
(138197,40185,2,100,'Stuns target encounter',0,1),
(138198,40185,2,100,'If Target is not Epic',1,2),
(138199,40185,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(138203,40185,3,100,'Inflicts 600 - 985 melee damage on target encounter',0,0),
(138204,40185,3,100,'Stuns target encounter',0,1),
(138205,40185,3,100,'If Target is not Epic',1,2),
(138206,40185,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(138210,40184,2,100,'Inflicts 489 - 800 melee damage on target encounter',0,0),
(138211,40184,2,100,'Stuns target encounter',0,1),
(138212,40184,2,100,'If Target is not Epic',1,2),
(138213,40184,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(138217,40184,3,100,'Inflicts 524 - 866 melee damage on target encounter',0,0),
(138218,40184,3,100,'Stuns target encounter',0,1),
(138219,40184,3,100,'If Target is not Epic',1,2),
(138220,40184,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(138224,40084,2,100,'Inflicts 397 - 1200 melee damage on target',0,0),
(138225,40084,2,100,'Stifles target',0,1),
(138226,40084,2,100,'If Target is not Epic',1,2),
(138227,40084,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(138231,40084,3,100,'Inflicts 417 - 1283 melee damage on target',0,0),
(138232,40084,3,100,'Stifles target',0,1),
(138233,40084,3,100,'If Target is not Epic',1,2),
(138234,40084,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(138238,40085,2,100,'Inflicts 450 - 1330 melee damage on target',0,0),
(138239,40085,2,100,'Stifles target',0,1),
(138240,40085,2,100,'If Target is not Epic',1,2),
(138241,40085,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(138245,40085,3,100,'Inflicts 483 - 1430 melee damage on target',0,0),
(138246,40085,3,100,'Stifles target',0,1),
(138247,40085,3,100,'If Target is not Epic',1,2),
(138248,40085,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(138252,40105,2,100,'Inflicts 184 - 584 melee damage on target',0,0),
(138253,40105,2,100,'Inflicts 231 - 700 melee damage on target',0,1),
(138254,40105,2,100,'Inflicts 280 - 800 melee damage on target',0,2),
(138255,40105,3,100,'Inflicts 197 - 601 melee damage on target',0,0),
(138256,40105,3,100,'Inflicts 251 - 765 melee damage on target',0,1),
(138257,40105,3,100,'Inflicts 300 - 888 melee damage on target',0,2),
(138258,40104,2,100,'Inflicts 157 - 482 melee damage on target',0,0),
(138259,40104,2,100,'Inflicts 194 - 595 melee damage on target',0,1),
(138260,40104,2,100,'Inflicts 235 - 700 melee damage on target',0,2),
(138261,40104,3,100,'Inflicts 171 - 502 melee damage on target',0,0),
(138262,40104,3,100,'Inflicts 204 - 632 melee damage on target',0,1),
(138263,40104,3,100,'Inflicts 251 - 763 melee damage on target',0,2),
(138264,60159,1,100,'Increases Threat to target by 135 - 166 ',0,0),
(138265,60159,2,100,'Increases Threat to target by 43 - 54 ',0,0),
(138266,60159,3,100,'Increases Threat to target by 47 - 58 ',0,0),
(138267,60160,1,100,'Increases Threat to target by 523 - 639 ',0,0),
(138268,60163,2,100,'Increases Threat to target by 2,261 - 2,660 ',0,0),
(138269,60163,3,100,'Increases Threat to target by 2,361 - 2,860 ',0,0),
(138270,60167,2,100,'Increases Threat to target by 1,867 - 2,201 ',0,0),
(138271,60167,3,100,'Increases Threat to target by 2,067 - 2,401 ',0,0),
(138272,60188,2,100,'Inflicts 311 - 503 melee damage on target',0,0),
(138273,60188,3,100,'Inflicts 321 - 545 melee damage on target',0,0),
(138274,60187,2,100,'Inflicts 215 - 328 melee damage on target',0,0),
(138275,60187,3,100,'Inflicts 245 - 408 melee damage on target',0,0),
(138276,60095,2,100,'Inflicts 572 - 915 cold damage on target',0,0),
(138277,60095,3,100,'Inflicts 601 - 961 cold damage on target',0,0),
(138278,60096,2,100,'Inflicts 652 - 1095 cold damage on target',0,0),
(138279,60096,3,100,'Inflicts 673 - 1155 cold damage on target',0,0),
(138280,60087,2,100,'Increases Attack Speed of caster by 31.7',0,0),
(138281,60087,2,100,'Decreases Defense of caster by 27.0',0,1),
(138282,60087,2,100,'Increases Ranged, Crushing, Piercing and Slashing of caster by 39.1',0,2),
(138283,60087,3,100,'Increases Attack Speed of caster by 34.7',0,0),
(138284,60087,3,100,'Decreases Defense of caster by 27.0',0,1),
(138285,60087,3,100,'Increases Ranged, Crushing, Piercing and Slashing of caster by 41.1',0,2),
(138286,60088,2,100,'Increases Attack Speed of caster by 34.7',0,0),
(138287,60088,2,100,'Decreases Defense of caster by 31.0',0,1),
(138288,60088,2,100,'Increases Ranged, Crushing, Piercing and Slashing of caster by 47.9',0,2),
(138289,60088,3,100,'Increases Attack Speed of caster by 37.7',0,0),
(138290,60088,3,100,'Decreases Defense of caster by 31.0',0,1),
(138291,60088,3,100,'Increases Ranged, Crushing, Piercing and Slashing of caster by 50.9',0,2),
(138292,60146,2,100,'Inflicts 14 - 24 slashing damage on target',0,0),
(138293,60146,3,100,'Inflicts 16 - 26 slashing damage on target',0,0),
(138294,60152,2,100,'Inflicts 281 - 488 slashing damage on target',0,0),
(138295,60152,3,100,'Inflicts 309 - 518 slashing damage on target',0,0),
(138296,60153,2,100,'Inflicts 327 - 562 slashing damage on target',0,0),
(138297,60153,3,100,'Inflicts 352 - 599 slashing damage on target',0,0),
(138298,60049,2,100,'Inflicts 534 - 881 magic damage on targets in Area of Effect',0,0),
(138299,60049,3,100,'Inflicts 573 - 921 magic damage on targets in Area of Effect',0,0),
(138300,60048,2,100,'Inflicts 477 - 793 magic damage on targets in Area of Effect',0,0),
(138301,60048,3,100,'Inflicts 501 - 844 magic damage on targets in Area of Effect',0,0),
(138302,60026,1,100,'Interrupts target encounter',0,0),
(138303,60026,1,100,'Increases Threat to target encounter by 350 - 427 ',0,1),
(138305,60032,2,100,'Increases Threat to target encounter by 1,580 - 1,850 ',0,0),
(138306,60032,2,100,'Interrupts target encounter',0,1),
(138308,60032,3,100,'Increases Threat to target encounter by 1,680 - 1,950 ',0,0),
(138309,60032,3,100,'Interrupts target encounter',0,1),
(138311,60033,2,100,'Increases Threat to target encounter by 1,800 - 2,219 ',0,0),
(138312,60033,2,100,'Interrupts target encounter',0,1),
(138314,60033,3,100,'Increases Threat to target encounter by 1,900 - 2,319 ',0,0),
(138315,60033,3,100,'Interrupts target encounter',0,1),
(138317,60025,2,100,'Increases Ability Casting Speed of raid and group members (AE) by 7.1%',0,0),
(138318,60025,2,100,'Increases Attack Speed of raid and group members (AE) by 17.5',0,1),
(138320,60025,3,100,'Increases Ability Casting Speed of raid and group members (AE) by 7.6%',0,0),
(138321,60025,3,100,'Increases Attack Speed of raid and group members (AE) by 18.5',0,1),
(138323,60024,2,100,'Increases Ability Casting Speed of raid and group members (AE) by 6.4%',0,0),
(138324,60024,2,100,'Increases Attack Speed of raid and group members (AE) by 16.1',0,1),
(138326,60024,3,100,'Increases Ability Casting Speed of raid and group members (AE) by 6.9%',0,0),
(138327,60024,3,100,'Increases Attack Speed of raid and group members (AE) by 17.1',0,1),
(138329,60175,2,100,'Inflicts 578 - 966 melee damage on target',0,0),
(138330,60175,2,100,'Decreases Defense of target by 15.3',0,1),
(138332,60175,3,100,'Inflicts 610 - 1006 melee damage on target',0,0),
(138333,60175,3,100,'Decreases Defense of target by 16.3',0,1),
(138335,60174,2,100,'Inflicts 544 - 884 melee damage on target',0,0),
(138336,60174,2,100,'Decreases Defense of target by 13.5',0,1),
(138338,60174,3,100,'Inflicts 580 - 964 melee damage on target',0,0),
(138339,60174,3,100,'Decreases Defense of target by 14.5',0,1),
(138341,60145,2,100,'Inflicts 573 - 966 melee damage on target',0,0),
(138342,60145,2,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,1),
(138343,60145,2,100,'Throws target back',1,2),
(138344,60145,2,100,'Stuns target',1,3),
(138345,60145,2,100,'Blurs vision of target',1,4),
(138346,60145,2,100,'Does not affect Epic targets',1,5),
(138348,60145,3,100,'Inflicts 613 - 1006 melee damage on target',0,0),
(138349,60145,3,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,1),
(138350,60145,3,100,'Throws target back',1,2),
(138351,60145,3,100,'Stuns target',1,3),
(138352,60145,3,100,'Blurs vision of target',1,4),
(138353,60145,3,100,'Does not affect Epic targets',1,5),
(138355,60144,2,100,'Inflicts 531 - 924 melee damage on target',0,0),
(138356,60144,2,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,1),
(138357,60144,2,100,'Throws target back',1,2),
(138358,60144,2,100,'Stuns target',1,3),
(138359,60144,2,100,'Blurs vision of target',1,4),
(138360,60144,2,100,'Does not affect Epic targets',1,5),
(138362,60144,3,100,'Inflicts 564 - 964 melee damage on target',0,0),
(138363,60144,3,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,1),
(138364,60144,3,100,'Throws target back',1,2),
(138365,60144,3,100,'Stuns target',1,3),
(138366,60144,3,100,'Blurs vision of target',1,4),
(138367,60144,3,100,'Does not affect Epic targets',1,5),
(138369,60104,2,100,'Increases STR of caster by 85.2',0,0),
(138370,60104,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1877',0,1),
(138372,60104,3,100,'Increases STR of caster by 90.2',0,0),
(138373,60104,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1937',0,1),
(138375,60103,2,100,'Increases STR of caster by 72.3',0,0),
(138376,60103,2,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1662',0,1),
(138378,60103,3,100,'Increases STR of caster by 77.3',0,0),
(138379,60103,3,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1762',0,1),
(138381,60041,2,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(138382,60041,2,100,'Blurs vision of target',1,1),
(138383,60041,2,100,'Throws target back',1,2),
(138384,60041,2,100,'Stuns target',1,3),
(138385,60041,2,100,'Does not affect Epic targets',1,4),
(138386,60041,2,100,'Inflicts 331 - 565 melee damage on target',0,5),
(138388,60041,3,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(138389,60041,3,100,'Blurs vision of target',1,1),
(138390,60041,3,100,'Throws target back',1,2),
(138391,60041,3,100,'Stuns target',1,3),
(138392,60041,3,100,'Does not affect Epic targets',1,4),
(138393,60041,3,100,'Inflicts 361 - 600 melee damage on target',0,5),
(138395,60040,2,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(138396,60040,2,100,'Blurs vision of target',1,1),
(138397,60040,2,100,'Throws target back',1,2),
(138398,60040,2,100,'Stuns target',1,3),
(138399,60040,2,100,'Does not affect Epic targets',1,4),
(138400,60040,2,100,'Inflicts 307 - 510 melee damage on target',0,5),
(138402,60040,3,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(138403,60040,3,100,'Blurs vision of target',1,1),
(138404,60040,3,100,'Throws target back',1,2),
(138405,60040,3,100,'Stuns target',1,3),
(138406,60040,3,100,'Does not affect Epic targets',1,4),
(138407,60040,3,100,'Inflicts 328 - 560 melee damage on target',0,5),
(138409,60111,2,100,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',0,0),
(138410,60111,2,100,'Inflicts 99 - 163 magic damage on target',1,1),
(138411,60111,2,100,'Grants a total of 8 triggers of the spell.',1,2),
(138412,60111,3,100,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',0,0),
(138413,60111,3,100,'Inflicts 107 - 173 magic damage on target',1,1),
(138414,60111,3,100,'Grants a total of 8 triggers of the spell.',1,2),
(138415,60110,2,100,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',0,0),
(138416,60110,2,100,'Inflicts 80 - 139 magic damage on target',1,1),
(138417,60110,2,100,'Grants a total of 8 triggers of the spell.',1,2),
(138418,60110,3,100,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',0,0),
(138419,60110,3,100,'Inflicts 87 - 149 magic damage on target',1,1),
(138420,60110,3,100,'Grants a total of 8 triggers of the spell.',1,2),
(138421,60196,2,100,'Dispels 105 levels of elemental, noxious and arcane hostile effects on caster',0,0),
(138422,60196,3,100,'Dispels 115 levels of elemental, noxious and arcane hostile effects on caster',0,0),
(138423,60195,2,100,'Dispels 94 levels of elemental, noxious and arcane hostile effects on caster',0,0),
(138424,60195,3,100,'Dispels 100 levels of elemental, noxious and arcane hostile effects on caster',0,0),
(138425,60079,2,100,'Inflicts 185 - 317 melee damage on target',0,0),
(138426,60079,2,100,'Inflicts 185 - 317 melee damage on target',0,1),
(138427,60079,2,100,'Inflicts 185 - 317 melee damage on target',0,2),
(138428,60079,2,100,'Inflicts 185 - 317 melee damage on target',0,3),
(138429,60079,2,100,'Inflicts 185 - 317 melee damage on target',0,4),
(138432,60079,3,100,'Inflicts 196 - 332 melee damage on target',0,0),
(138433,60079,3,100,'Inflicts 196 - 332 melee damage on target',0,1),
(138434,60079,3,100,'Inflicts 196 - 332 melee damage on target',0,2),
(138435,60079,3,100,'Inflicts 196 - 332 melee damage on target',0,3),
(138436,60079,3,100,'Inflicts 196 - 332 melee damage on target',0,4),
(138439,60080,2,100,'Inflicts 214 - 353 melee damage on target',0,0),
(138440,60080,2,100,'Inflicts 214 - 353 melee damage on target',0,1),
(138441,60080,2,100,'Inflicts 214 - 353 melee damage on target',0,2),
(138442,60080,2,100,'Inflicts 214 - 353 melee damage on target',0,3),
(138443,60080,2,100,'Inflicts 214 - 353 melee damage on target',0,4),
(138446,60080,3,100,'Inflicts 229 - 383 melee damage on target',0,0),
(138447,60080,3,100,'Inflicts 229 - 383 melee damage on target',0,1),
(138448,60080,3,100,'Inflicts 229 - 383 melee damage on target',0,2),
(138449,60080,3,100,'Inflicts 229 - 383 melee damage on target',0,3),
(138450,60080,3,100,'Inflicts 229 - 383 melee damage on target',0,4),
(138453,60136,2,100,'Inflicts 126 - 218 melee damage on target',0,0),
(138454,60136,2,100,'Inflicts 132 - 222 heat damage on target every 4 seconds',0,1),
(138456,60136,3,100,'Inflicts 131 - 232 melee damage on target',0,0),
(138457,60136,3,100,'Inflicts 142 - 233 heat damage on target every 4 seconds',0,1),
(138459,60137,2,100,'Inflicts 145 - 245 melee damage on target',0,0),
(138460,60137,2,100,'Inflicts 145 - 245 heat damage on target every 4 seconds',0,1),
(138462,60137,3,100,'Inflicts 155 - 260 melee damage on target',0,0),
(138463,60137,3,100,'Inflicts 155 - 265 heat damage on target every 4 seconds',0,1),
(138465,60016,2,100,'Roots caster',0,0),
(138466,60016,2,100,'Increases Mitigation of caster vs physical damage by 472',0,1),
(138468,60016,3,100,'Roots caster',0,0),
(138469,60016,3,100,'Increases Mitigation of caster vs physical damage by 500',0,1),
(138471,60017,2,100,'Roots caster',0,0),
(138472,60017,2,100,'Increases Mitigation of caster vs physical damage by 535',0,1),
(138474,60017,3,100,'Roots caster',0,0),
(138475,60017,3,100,'Increases Mitigation of caster vs physical damage by 575',0,1),
(138477,60004,2,100,'Dazes target',0,0),
(138478,60004,2,100,'If Target is not Epic',1,1),
(138479,60004,2,100,'Inflicts 490 - 801 cold damage on target',0,2),
(138480,60004,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(138484,60004,3,100,'Dazes target',0,0),
(138485,60004,3,100,'If Target is not Epic',1,1),
(138486,60004,3,100,'Inflicts 520 - 851 cold damage on target',0,2),
(138487,60004,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(138491,60005,2,100,'Dazes target',0,0),
(138492,60005,2,100,'If Target is not Epic',1,1),
(138493,60005,2,100,'Inflicts 573 - 949 cold damage on target',0,2),
(138494,60005,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(138498,60005,3,100,'Dazes target',0,0),
(138499,60005,3,100,'If Target is not Epic',1,1),
(138500,60005,3,100,'Inflicts 601 - 1009 cold damage on target',0,2),
(138501,60005,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(138505,60065,1,100,'Inflicts 60 - 74 heat damage on targets in Area of Effect instantly and every second',0,2),
(138506,60065,2,100,'Inflicts 63 - 77 heat damage on targets in Area of Effect instantly and every second',0,2),
(138507,60065,3,100,'Inflicts 66 - 81 heat damage on targets in Area of Effect instantly and every second',0,2),
(138508,60065,4,100,'Inflicts 73 - 89 heat damage on targets in Area of Effect instantly and every second',0,2),
(138509,60065,5,100,'Inflicts 79 - 97 heat damage on targets in Area of Effect instantly and every second',0,2),
(138511,60065,7,100,'Inflicts 93 - 113 heat damage on targets in Area of Effect instantly and every second',0,2),
(138512,60065,9,100,'Inflicts 106 - 129 heat damage on targets in Area of Effect instantly and every second',0,2),
(138513,60066,1,100,'Inflicts 75 - 93 heat damage on targets in Area of Effect instantly and every second',0,2),
(138514,60066,2,100,'Inflicts 80 - 98 heat damage on targets in Area of Effect instantly and every second',0,2),
(138515,60066,3,100,'Inflicts 85 - 103 heat damage on targets in Area of Effect instantly and every second',0,2),
(138516,60066,4,100,'Inflicts 93 - 114 heat damage on targets in Area of Effect instantly and every second',0,2),
(138517,60066,5,100,'Inflicts 102 - 142 heat damage on targets in Area of Effect instantly and every second',0,2),
(138518,60066,7,100,'Inflicts 118 - 145 heat damage on targets in Area of Effect instantly and every second',0,2),
(138519,60066,9,100,'Inflicts 135 - 166 heat damage on targets in Area of Effect instantly and every second',0,2),
(138520,60067,1,100,'Inflicts 91 - 117 heat damage on targets in Area of Effect instantly and every second',0,2),
(138521,60067,2,100,'Inflicts 99 - 126 heat damage on targets in Area of Effect instantly and every second',0,2),
(138522,60067,3,100,'Inflicts 106 - 129 heat damage on targets in Area of Effect instantly and every second',0,2),
(138523,60067,4,100,'Inflicts 112 - 137 heat damage on targets in Area of Effect instantly and every second',0,2),
(138524,60067,5,100,'Inflicts 122 - 150 heat damage on targets in Area of Effect instantly and every second',0,2),
(138525,60067,7,100,'Inflicts 143 - 175 heat damage on targets in Area of Effect instantly and every second',0,2),
(138526,60067,9,100,'Inflicts 163 - 200 heat damage on targets in Area of Effect instantly and every second',0,2),
(138527,60067,2,100,'Decreases Ability Casting Speed of targets in Area of Effect by 29.0%',0,0),
(138528,60067,2,100,'Inflicts 102 - 130 heat damage on targets in Area of Effect',0,1),
(138529,60067,3,100,'Inflicts 111 - 138 heat damage on targets in Area of Effect',0,1),
(138530,60067,3,100,'Decreases Ability Casting Speed of targets in Area of Effect by 31.0%',0,0),
(138537,60068,2,100,'Decreases Ability Casting Speed of targets in Area of Effect by 55.0%',0,0),
(138538,60068,2,100,'Inflicts 250 - 300 heat damage on targets in Area of Effect',0,1),
(138540,60068,3,100,'Decreases Ability Casting Speed of targets in Area of Effect by 60.0%',0,0),
(138541,60068,3,100,'Inflicts 300 - 350 heat damage on targets in Area of Effect',0,1),
(138543,60068,1,100,'Inflicts 180 - 220 heat damage on targets in Area of Effect instantly and every second',0,2),
(138544,60068,2,100,'Inflicts 230 - 280 heat damage on targets in Area of Effect instantly and every second',0,2),
(138545,60068,3,100,'Inflicts 280 - 320 heat damage on targets in Area of Effect instantly and every second',0,2),
(138546,60068,4,100,'Inflicts 330 - 380 heat damage on targets in Area of Effect instantly and every second',0,2),
(138547,60068,5,100,'Inflicts 380 - 420 heat damage on targets in Area of Effect instantly and every second',0,2),
(138548,60068,7,100,'Inflicts 430 - 480 heat damage on targets in Area of Effect instantly and every second',0,2),
(138549,60068,9,100,'Inflicts 500 - 600 heat damage on targets in Area of Effect instantly and every second',0,2),
(138550,60156,3,100,'Inflicts 364 - 610 melee damage on target',0,0),
(138551,60156,3,100,'Stifles target',0,1),
(138552,60156,3,100,'If Target is not Epic',1,2),
(138553,60156,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(138557,60157,2,100,'Inflicts 418 - 681 melee damage on target',0,0),
(138558,60157,2,100,'Stifles target',0,1),
(138559,60157,2,100,'If Target is not Epic',1,2),
(138560,60157,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(138564,60157,3,100,'Inflicts 441 - 730 melee damage on target',0,0),
(138565,60157,3,100,'Stifles target',0,1),
(138566,60157,3,100,'If Target is not Epic',1,2),
(138567,60157,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(138571,60158,2,100,'Inflicts 455 - 750 melee damage on target',0,0),
(138572,60158,2,100,'Stifles target',0,1),
(138573,60158,2,100,'If Target is not Epic',1,2),
(138574,60158,2,100,'Resistibility increases against targets higher than level 29.',0,3),
(138578,60158,3,100,'Inflicts 485 - 800 melee damage on target',0,0),
(138579,60158,3,100,'Stifles target',0,1),
(138580,60158,3,100,'If Target is not Epic',1,2),
(138581,60158,3,100,'Resistibility increases against targets higher than level 29.',0,3),
(138585,70139,2,100,'Inflicts 196 - 581 melee damage on target',0,0),
(138586,70139,3,100,'Inflicts 204 - 620 melee damage on target',0,0),
(138587,70140,2,100,'Inflicts 228 - 690 melee damage on target',0,0),
(138588,70140,3,100,'Inflicts 243 - 730 melee damage on target',0,0),
(138589,70173,1,100,'Increases Threat to target by 523 - 639 ',0,0),
(138590,70172,1,100,'Increases Threat to target by 135 - 166 ',0,0),
(138591,70172,2,100,'Increases Threat to target by 43 - 50 ',0,0),
(138592,70172,3,100,'Increases Threat to target by 47 - 55 ',0,0),
(138593,70180,2,100,'Increases Threat to target by 1,899 - 2,222 ',0,0),
(138594,70180,3,100,'Increases Threat to target by 2,007 - 2,401 ',0,0),
(138595,70176,2,100,'Increases Threat to target by 2,203 - 2,660 ',0,0),
(138596,70176,3,100,'Increases Threat to target by 2,361 - 2,817 ',0,0),
(138597,70124,2,100,'Inflicts 672 - 1111 heat damage on target',0,0),
(138598,70124,3,100,'Inflicts 712 - 1193 heat damage on target',0,0),
(138599,70125,2,100,'Inflicts 790 - 1317 heat damage on target',0,0),
(138600,70125,3,100,'Inflicts 850 - 1417 heat damage on target',0,0),
(138601,70147,2,100,'Inflicts 10 - 31 crushing damage on target',0,0),
(138602,70147,3,100,'Inflicts 11 - 33 crushing damage on target',0,0),
(138603,70153,2,100,'Inflicts 199 - 592 crushing damage on target',0,0),
(138604,70153,3,100,'Inflicts 215 - 632 crushing damage on target',0,0),
(138605,70154,2,100,'Inflicts 226 - 691 crushing damage on target',0,0),
(138606,70154,3,100,'Inflicts 248 - 731 crushing damage on target',0,0),
(138607,70014,2,100,'Inflicts 424 - 722 melee damage on targets in Area of Effect',0,0),
(138608,70014,3,100,'Inflicts 458 - 762 melee damage on targets in Area of Effect',0,0),
(138609,70015,2,100,'Inflicts 447 - 800 melee damage on targets in Area of Effect',0,0),
(138610,70015,3,100,'Inflicts 512 - 845 melee damage on targets in Area of Effect',0,0),
(138611,70000,1,100,'Interrupts target encounter',0,0),
(138612,70000,1,100,'Increases Threat to target encounter by 350 - 427 ',0,1),
(138614,70006,2,100,'Increases Threat to target encounter by 1,580 - 1,799 ',0,0),
(138615,70006,2,100,'Interrupts target encounter',0,1),
(138617,70006,3,100,'Increases Threat to target encounter by 1,680 - 1,850 ',0,0),
(138618,70006,3,100,'Interrupts target encounter',0,1),
(138620,70007,2,100,'Increases Threat to target encounter by 1,800 - 2,151 ',0,0),
(138621,70007,2,100,'Interrupts target encounter',0,1),
(138623,70007,3,100,'Increases Threat to target encounter by 1,900 - 2,297 ',0,0),
(138624,70007,3,100,'Interrupts target encounter',0,1),
(138625,70116,2,100,'Inflicts 534 - 903 crushing damage on target',0,0),
(138626,70116,2,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,1),
(138627,70116,2,100,'Throws target back',1,2),
(138628,70116,2,100,'Stuns target',1,3),
(138629,70116,2,100,'Blurs vision of target',1,4),
(138630,70116,2,100,'Does not affect Epic targets',1,5),
(138632,70116,3,100,'Inflicts 574 - 961 crushing damage on target',0,0),
(138633,70116,3,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,1),
(138634,70116,3,100,'Throws target back',1,2),
(138635,70116,3,100,'Stuns target',1,3),
(138636,70116,3,100,'Blurs vision of target',1,4),
(138637,70116,3,100,'Does not affect Epic targets',1,5),
(138639,70117,2,100,'Inflicts 573 - 962 crushing damage on target',0,0),
(138640,70117,2,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,1),
(138641,70117,2,100,'Throws target back',1,2),
(138642,70117,2,100,'Stuns target',1,3),
(138643,70117,2,100,'Blurs vision of target',1,4),
(138644,70117,2,100,'Does not affect Epic targets',1,5),
(138646,70117,3,100,'Inflicts 613 - 1057 crushing damage on target',0,0),
(138647,70117,3,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,1),
(138648,70117,3,100,'Throws target back',1,2),
(138649,70117,3,100,'Stuns target',1,3),
(138650,70117,3,100,'Blurs vision of target',1,4),
(138651,70117,3,100,'Does not affect Epic targets',1,5),
(138653,70022,2,100,'Inflicts 400 - 666 melee damage on target',0,0),
(138654,70022,2,100,'Inflicts 170 heat damage on target every 6 seconds',0,1),
(138656,70022,3,100,'Inflicts 427 - 710 melee damage on target',0,0),
(138657,70022,3,100,'Inflicts 180 heat damage on target every 6 seconds',0,1),
(138659,70023,2,100,'Inflicts 434 - 712 melee damage on target',0,0),
(138660,70023,2,100,'Inflicts 194 heat damage on target every 6 seconds',0,1),
(138662,70023,3,100,'Inflicts 471 - 775 melee damage on target',0,0),
(138663,70023,3,100,'Inflicts 201 heat damage on target every 6 seconds',0,1),
(138665,70083,2,100,'Dispels 94 levels of physical and arcane hostile effects on caster',0,0),
(138666,70083,3,100,'Dispels 100 levels of physical and arcane hostile effects on caster',0,0),
(138667,70084,2,100,'Dispels 105 levels of physical and arcane hostile effects on caster',0,0),
(138668,70084,3,100,'Dispels 110 levels of physical and arcane hostile effects on caster',0,0),
(138669,70166,2,100,'Inflicts 230 - 690 melee damage on target',0,0),
(138670,70166,2,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,1),
(138671,70166,2,100,'Blurs vision of target',1,2),
(138672,70166,2,100,'Throws target back',1,3),
(138673,70166,2,100,'Stuns target',1,4),
(138674,70166,2,100,'Does not affect Epic targets',1,5),
(138676,70166,3,100,'Inflicts 249 - 740 melee damage on target',0,0),
(138677,70166,3,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,1),
(138678,70166,3,100,'Blurs vision of target',1,2),
(138679,70166,3,100,'Throws target back',1,3),
(138680,70166,3,100,'Stuns target',1,4),
(138681,70166,3,100,'Does not affect Epic targets',1,5),
(138683,70167,2,100,'Inflicts 245 - 750 melee damage on target',0,0),
(138684,70167,2,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,1),
(138685,70167,2,100,'Blurs vision of target',1,2),
(138686,70167,2,100,'Throws target back',1,3),
(138687,70167,2,100,'Stuns target',1,4),
(138688,70167,2,100,'Does not affect Epic targets',1,5),
(138690,70167,3,100,'Inflicts 265 - 800 melee damage on target',0,0),
(138691,70167,3,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,1),
(138692,70167,3,100,'Blurs vision of target',1,2),
(138693,70167,3,100,'Throws target back',1,3),
(138694,70167,3,100,'Stuns target',1,4),
(138695,70167,3,100,'Does not affect Epic targets',1,5),
(138697,70101,2,100,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',0,0),
(138698,70101,2,100,'Inflicts 160 magic damage on target',1,1),
(138699,70101,2,100,'Grants a total of 5 triggers of the spell.',1,2),
(138700,70101,3,100,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',0,0),
(138701,70101,3,100,'Inflicts 170 magic damage on target',1,1),
(138702,70101,3,100,'Grants a total of 5 triggers of the spell.',1,2),
(138703,70102,2,100,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',0,0),
(138704,70102,2,100,'Inflicts 185 magic damage on target',1,1),
(138705,70102,2,100,'Grants a total of 5 triggers of the spell.',1,2),
(138706,70102,3,100,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',0,0),
(138707,70102,3,100,'Inflicts 200 magic damage on target',1,1),
(138708,70102,3,100,'Grants a total of 5 triggers of the spell.',1,2),
(138709,70187,2,100,'Decreases Defense of caster by 27.0',0,0),
(138710,70187,2,100,'Increases Ranged, Crushing, Piercing and Slashing of caster by 40.1',0,1),
(138711,70187,2,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,2),
(138712,70187,2,100,'Inflicts 374 - 642 heat damage on target',1,3),
(138716,70187,3,100,'Decreases Defense of caster by 27.0',0,0),
(138717,70187,3,100,'Increases Ranged, Crushing, Piercing and Slashing of caster by 43.3',0,1),
(138718,70187,3,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,2),
(138719,70187,3,100,'Inflicts 412 - 689 heat damage on target',1,3),
(138723,70188,2,100,'Decreases Defense of caster by 31.0',0,0),
(138724,70188,2,100,'Increases Ranged, Crushing, Piercing and Slashing of caster by 46.9',0,1),
(138725,70188,2,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,2),
(138726,70188,2,100,'Inflicts 433 - 742 heat damage on target',1,3),
(138730,70188,3,100,'Decreases Defense of caster by 31.0',0,0),
(138731,70188,3,100,'Increases Ranged, Crushing, Piercing and Slashing of caster by 49.9',0,1),
(138732,70188,3,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,2),
(138733,70188,3,100,'Inflicts 463 - 795 heat damage on target',1,3),
(138737,70132,2,100,'Inflicts 88 - 271 melee damage on target',0,0),
(138738,70132,2,100,'Inflicts 88 - 271 melee damage on target',0,1),
(138739,70132,2,100,'Inflicts 88 - 271 melee damage on target',0,2),
(138740,70132,2,100,'Inflicts 88 - 271 melee damage on target',0,3),
(138741,70132,2,100,'Inflicts 88 - 271 melee damage on target',0,4),
(138742,70132,2,100,'Inflicts 88 - 271 melee damage on target',0,5),
(138743,70132,2,100,'Inflicts 88 - 271 melee damage on target',0,6),
(138744,70132,2,100,'Inflicts 88 - 271 melee damage on target',0,7),
(138752,70132,3,100,'Inflicts 94 - 291 melee damage on target',0,0),
(138753,70132,3,100,'Inflicts 94 - 291 melee damage on target',0,1),
(138754,70132,3,100,'Inflicts 94 - 291 melee damage on target',0,2),
(138755,70132,3,100,'Inflicts 94 - 291 melee damage on target',0,3),
(138756,70132,3,100,'Inflicts 94 - 291 melee damage on target',0,4),
(138757,70132,3,100,'Inflicts 94 - 291 melee damage on target',0,5),
(138758,70132,3,100,'Inflicts 94 - 291 melee damage on target',0,6),
(138759,70132,3,100,'Inflicts 94 - 291 melee damage on target',0,7),
(138767,70131,2,100,'Inflicts 77 - 235 melee damage on target',0,0),
(138768,70131,2,100,'Inflicts 77 - 235 melee damage on target',0,1),
(138769,70131,2,100,'Inflicts 77 - 235 melee damage on target',0,2),
(138770,70131,2,100,'Inflicts 77 - 235 melee damage on target',0,3),
(138771,70131,2,100,'Inflicts 77 - 235 melee damage on target',0,4),
(138772,70131,2,100,'Inflicts 77 - 235 melee damage on target',0,5),
(138773,70131,2,100,'Inflicts 77 - 235 melee damage on target',0,6),
(138774,70131,2,100,'Inflicts 77 - 235 melee damage on target',0,7),
(138782,70131,3,100,'Inflicts 84 - 250 melee damage on target',0,0),
(138783,70131,3,100,'Inflicts 84 - 250 melee damage on target',0,1),
(138784,70131,3,100,'Inflicts 84 - 250 melee damage on target',0,2),
(138785,70131,3,100,'Inflicts 84 - 250 melee damage on target',0,3),
(138786,70131,3,100,'Inflicts 84 - 250 melee damage on target',0,4),
(138787,70131,3,100,'Inflicts 84 - 250 melee damage on target',0,5),
(138788,70131,3,100,'Inflicts 84 - 250 melee damage on target',0,6),
(138789,70131,3,100,'Inflicts 84 - 250 melee damage on target',0,7),
(138797,70069,2,100,'Inflicts 416 - 1273 piercing damage on target',0,0),
(138798,70069,2,100,'Decreases Ranged, Piercing, Slashing and Crushing of target by 42.7',0,1),
(138800,70069,3,100,'Inflicts 451 - 1373 piercing damage on target',0,0),
(138801,70069,3,100,'Decreases Ranged, Piercing, Slashing and Crushing of target by 45.1',0,1),
(138803,70070,2,100,'Inflicts 444 - 1345 piercing damage on target',0,0),
(138804,70070,2,100,'Decreases Ranged, Piercing, Slashing and Crushing of target by 48.5',0,1),
(138806,70070,3,100,'Inflicts 475 - 1445 piercing damage on target',0,0),
(138807,70070,3,100,'Decreases Ranged, Piercing, Slashing and Crushing of target by 51.2',0,1),
(138809,70205,2,100,'Inflicts 400 - 1200 melee damage on target',0,0),
(138810,70205,2,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,1),
(138811,70205,2,100,'Blurs vision of target',1,2),
(138812,70205,2,100,'Throws target back',1,3),
(138813,70205,2,100,'Stuns target',1,4),
(138814,70205,2,100,'Does not affect Epic targets',1,5),
(138816,70205,3,100,'Inflicts 430 - 1300 melee damage on target',0,0),
(138817,70205,3,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,1),
(138818,70205,3,100,'Blurs vision of target',1,2),
(138819,70205,3,100,'Throws target back',1,3),
(138820,70205,3,100,'Stuns target',1,4),
(138821,70205,3,100,'Does not affect Epic targets',1,5),
(138823,70206,2,100,'Inflicts 470 - 1419 melee damage on target',0,0),
(138824,70206,2,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,1),
(138825,70206,2,100,'Blurs vision of target',1,2),
(138826,70206,2,100,'Throws target back',1,3),
(138827,70206,2,100,'Stuns target',1,4),
(138828,70206,2,100,'Does not affect Epic targets',1,5),
(138830,70206,3,100,'Inflicts 500 - 1519 melee damage on target',0,0),
(138831,70206,3,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,1),
(138832,70206,3,100,'Blurs vision of target',1,2),
(138833,70206,3,100,'Throws target back',1,3),
(138834,70206,3,100,'Stuns target',1,4),
(138835,70206,3,100,'Does not affect Epic targets',1,5),
(138837,70198,2,100,'Inflicts 660 - 2000 melee damage on target',0,0),
(138838,70198,2,100,'Dazes target',0,1),
(138839,70198,2,100,'If Target is not Epic',1,2),
(138840,70198,2,100,'Must be flanking or behind',0,3),
(138841,70198,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(138844,70198,3,100,'Inflicts 700 - 2138 melee damage on target',0,0),
(138845,70198,3,100,'Dazes target',0,1),
(138846,70198,3,100,'If Target is not Epic',1,2),
(138847,70198,3,100,'Must be flanking or behind',0,3),
(138848,70198,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(138851,70199,2,100,'Inflicts 750 - 2222 melee damage on target',0,0),
(138852,70199,2,100,'Dazes target',0,1),
(138853,70199,2,100,'If Target is not Epic',1,2),
(138854,70199,2,100,'Must be flanking or behind',0,3),
(138855,70199,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(138858,70199,3,100,'Inflicts 800 - 2464 melee damage on target',0,0),
(138859,70199,3,100,'Dazes target',0,1),
(138860,70199,3,100,'If Target is not Epic',1,2),
(138861,70199,3,100,'Must be flanking or behind',0,3),
(138862,70199,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(138865,70158,2,100,'Inflicts 240 - 720 melee damage on targets in Area of Effect',0,0),
(138866,70158,2,100,'Inflicts 240 - 720 melee damage on targets in Area of Effect',0,1),
(138867,70158,2,100,'Inflicts 240 - 720 melee damage on targets in Area of Effect',0,2),
(138868,70158,2,100,'Inflicts 240 - 720 melee damage on targets in Area of Effect',0,3),
(138872,70158,3,100,'Inflicts 255 - 775 melee damage on targets in Area of Effect',0,0),
(138873,70158,3,100,'Inflicts 255 - 775 melee damage on targets in Area of Effect',0,1),
(138874,70158,3,100,'Inflicts 255 - 775 melee damage on targets in Area of Effect',0,2),
(138875,70158,3,100,'Inflicts 255 - 775 melee damage on targets in Area of Effect',0,3),
(138879,70159,2,100,'Inflicts 258 - 774 melee damage on targets in Area of Effect',0,0),
(138880,70159,2,100,'Inflicts 258 - 774 melee damage on targets in Area of Effect',0,1),
(138881,70159,2,100,'Inflicts 258 - 774 melee damage on targets in Area of Effect',0,2),
(138882,70159,2,100,'Inflicts 258 - 774 melee damage on targets in Area of Effect',0,3),
(138886,70159,3,100,'Inflicts 276 - 834 melee damage on targets in Area of Effect',0,0),
(138887,70159,3,100,'Inflicts 276 - 834 melee damage on targets in Area of Effect',0,1),
(138888,70159,3,100,'Inflicts 276 - 834 melee damage on targets in Area of Effect',0,2),
(138889,70159,3,100,'Inflicts 276 - 834 melee damage on targets in Area of Effect',0,3),
(138893,50017,2,100,'Increases deflection and parry of caster by 6.8',0,0),
(138894,50017,3,100,'Increases deflection and parry of caster by 7.2',0,0),
(138895,50017,4,100,'Increases deflection and parry of caster by 7.9',0,0),
(138896,50017,5,100,'Increases deflection and parry of caster by 8.6',0,0),
(138897,50017,7,100,'Increases deflection and parry of caster by 11.1',0,0),
(138898,50017,9,100,'Increases deflection and parry of caster by 11.5',0,0),
(138899,90151,2,100,'Inflicts 524 - 861 disease damage on target',0,0),
(138900,90151,3,100,'Inflicts 551 - 931 disease damage on target',0,0),
(138901,90147,2,100,'Inflicts 554 - 902 disease damage on target',0,0),
(138902,90147,3,100,'Inflicts 582 - 964 disease damage on target',0,0),
(138903,90021,2,100,'Increases STR of caster by 200.1',0,0),
(138904,90021,2,100,'Decreases Defense of caster by 26.2',0,1),
(138905,90021,2,100,'Increases Crushing, Disruption, Piercing and Slashing of caster by 37.8',0,2),
(138906,90021,3,100,'Increases STR of caster by 211.1',0,0),
(138907,90021,3,100,'Decreases Defense of caster by 26.2',0,1),
(138908,90021,3,100,'Increases Crushing, Disruption, Piercing and Slashing of caster by 39.3',0,2),
(138909,90022,2,100,'Increases STR of caster by 230.8',0,0),
(138910,90022,2,100,'Decreases Defense of caster by 30.2',0,1),
(138911,90022,2,100,'Increases Crushing, Disruption, Piercing and Slashing of caster by 46.5',0,2),
(138912,90022,3,100,'Increases STR of caster by 245.8',0,0),
(138913,90022,3,100,'Decreases Defense of caster by 30.2',0,1),
(138914,90022,3,100,'Increases Crushing, Disruption, Piercing and Slashing of caster by 49.0',0,2),
(138915,90060,2,100,'Inflicts 13 - 21 piercing damage on target',0,0),
(138916,90060,2,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,1),
(138917,90060,2,100,'Throws target back',1,2),
(138918,90060,2,100,'Stuns target',1,3),
(138919,90060,2,100,'Blurs vision of target',1,4),
(138920,90060,2,100,'Does not affect Epic targets',1,5),
(138922,90060,3,100,'Inflicts 14 - 23 piercing damage on target',0,0),
(138923,90060,3,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,1),
(138924,90060,3,100,'Throws target back',1,2),
(138925,90060,3,100,'Stuns target',1,3),
(138926,90060,3,100,'Blurs vision of target',1,4),
(138927,90060,3,100,'Does not affect Epic targets',1,5),
(138929,90066,2,100,'Inflicts 250 - 420 piercing damage on target',0,0),
(138930,90066,2,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,1),
(138931,90066,2,100,'Throws target back',1,2),
(138932,90066,2,100,'Stuns target',1,3),
(138933,90066,2,100,'Blurs vision of target',1,4),
(138934,90066,2,100,'Does not affect Epic targets',1,5),
(138936,90066,3,100,'Inflicts 270 - 451 piercing damage on target',0,0),
(138937,90066,3,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,1),
(138938,90066,3,100,'Throws target back',1,2),
(138939,90066,3,100,'Stuns target',1,3),
(138940,90066,3,100,'Blurs vision of target',1,4),
(138941,90066,3,100,'Does not affect Epic targets',1,5),
(138943,90067,2,100,'Inflicts 287 - 475 piercing damage on target',0,0),
(138944,90067,2,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,1),
(138945,90067,2,100,'Throws target back',1,2),
(138946,90067,2,100,'Stuns target',1,3),
(138947,90067,2,100,'Blurs vision of target',1,4),
(138948,90067,2,100,'Does not affect Epic targets',1,5),
(138950,90067,3,100,'Inflicts 302 - 512 piercing damage on target',0,0),
(138951,90067,3,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,1),
(138952,90067,3,100,'Throws target back',1,2),
(138953,90067,3,100,'Stuns target',1,3),
(138954,90067,3,100,'Blurs vision of target',1,4),
(138955,90067,3,100,'Does not affect Epic targets',1,5),
(138957,90083,2,100,'Inflicts 440 - 750 disease damage on targets in Area of Effect',0,0),
(138958,90083,2,100,'Inflicts 215 - 255 disease damage on targets in Area of Effect every 6 seconds',0,1),
(138960,90083,3,100,'Inflicts 470 - 800 disease damage on targets in Area of Effect',0,0),
(138961,90083,3,100,'Inflicts 225 - 270 disease damage on targets in Area of Effect every 6 seconds',0,1),
(138963,90084,2,100,'Inflicts 500 - 853 disease damage on targets in Area of Effect',0,0),
(138964,90084,2,100,'Inflicts 237 - 290 disease damage on targets in Area of Effect every 6 seconds',0,1),
(138966,90084,3,100,'Inflicts 530 - 913 disease damage on targets in Area of Effect',0,0),
(138967,90084,3,100,'Inflicts 255 - 310 disease damage on targets in Area of Effect every 6 seconds',0,1),
(138969,90074,2,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(138970,90074,2,100,'Inflicts 223 - 380 disease damage on target',1,1),
(138971,90074,2,100,'Heals caster for 0.7 - 1.2% of max health',1,2),
(138972,90074,2,100,'This effect cannot be critically applied.',2,3),
(138973,90074,2,100,'The healing of this spell cannot be modified except by direct means',1,4),
(138976,90074,3,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(138977,90074,3,100,'Inflicts 243 - 400 disease damage on target',1,1),
(138978,90074,3,100,'Heals caster for 0.8 - 1.3 of max health',1,2),
(138979,90074,3,100,'This effect cannot be critically applied.',2,3),
(138980,90074,3,100,'The healing of this spell cannot be modified except by direct means',1,4),
(138983,90050,2,100,'Inflicts 205 - 347 melee damage on target',0,0),
(138984,90050,2,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,1),
(138985,90050,2,100,'Heals caster for 1.1% of max health instantly and every 3 seconds',1,2),
(138986,90050,2,100,'This effect cannot be critically applied.',2,3),
(138987,90050,2,100,'The healing of this spell cannot be modified except by direct means',1,4),
(138988,90050,2,100,'Inflicts 55 disease damage on target every 3 seconds',0,5),
(138989,90050,2,100,'The healing of this spell cannot be modified except by direct means',0,6),
(138990,90050,3,100,'Inflicts 219 - 374 melee damage on target',0,0),
(138991,90050,3,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,1),
(138992,90050,3,100,'Heals caster for 1.2% of max health instantly and every 3 seconds',1,2),
(138993,90050,3,100,'This effect cannot be critically applied.',2,3),
(138994,90050,3,100,'The healing of this spell cannot be modified except by direct means',1,4),
(138995,90050,3,100,'Inflicts 59 disease damage on target every 3 seconds',0,5),
(138996,90050,3,100,'The healing of this spell cannot be modified except by direct means',0,6),
(138997,90051,2,100,'Inflicts 245 - 402 melee damage on target',0,0),
(138998,90051,2,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,1),
(138999,90051,2,100,'Heals caster for 1.1% of max health instantly and every 3 seconds',1,2),
(139000,90051,2,100,'This effect cannot be critically applied.',2,3),
(139001,90051,2,100,'The healing of this spell cannot be modified except by direct means',1,4),
(139002,90051,2,100,'Inflicts 65 disease damage on target every 3 seconds',0,5),
(139003,90051,2,100,'The healing of this spell cannot be modified except by direct means',0,6),
(139004,90051,3,100,'Inflicts 261 - 421 melee damage on target',0,0),
(139005,90051,3,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,1),
(139006,90051,3,100,'Heals caster for 1.2% of max health instantly and every 3 seconds',1,2),
(139007,90051,3,100,'This effect cannot be critically applied.',2,3),
(139008,90051,3,100,'The healing of this spell cannot be modified except by direct means',1,4),
(139009,90051,3,100,'Inflicts 70 disease damage on target every 3 seconds',0,5),
(139010,90051,3,100,'The healing of this spell cannot be modified except by direct means',0,6),
(139011,90142,2,100,'Increases Threat to target by 2,403 - 2,857  instantly and by 650 - 770  every 3 seconds thereafter',0,0),
(139012,90142,2,100,'Inflicts 215 - 265 disease damage on target',0,1),
(139013,90142,2,100,'Inflicts 110 - 134 disease damage on target every 3 seconds',0,2),
(139014,90142,3,100,'Increases Threat to target by 2,503 - 3,057  instantly and by 690 - 798  every 3 seconds thereafter',0,0),
(139015,90142,3,100,'Inflicts 234 - 284 disease damage on target',0,1),
(139016,90142,3,100,'Inflicts 115 - 144 disease damage on target every 3 seconds',0,2),
(139017,90138,2,100,'Increases Threat to target by 2,794 - 3,405  instantly and by 750 - 888  every 3 seconds thereafter',0,0),
(139018,90138,2,100,'Inflicts 255 - 301 disease damage on target',0,1),
(139019,90138,2,100,'Inflicts 125 - 155 disease damage on target every 3 seconds',0,2),
(139020,90138,3,100,'Increases Threat to target by 2,924 - 3,605  instantly and by 780 - 904  every 3 seconds thereafter',0,0),
(139021,90138,3,100,'Inflicts 272 - 333 disease damage on target',0,1),
(139022,90138,3,100,'Inflicts 135 - 165 disease damage on target every 3 seconds',0,2),
(139023,90006,2,100,'Increases Threat to target encounter by 2,359 - 2,801 ',0,0),
(139024,90006,2,100,'Interrupts target encounter',0,1),
(139025,90006,2,100,'Decreases Mitigation of target encounter vs noxious damage by 985',0,2),
(139026,90006,3,100,'Increases Threat to target encounter by 2,559 - 2,941 ',0,0),
(139027,90006,3,100,'Interrupts target encounter',0,1),
(139028,90006,3,100,'Decreases Mitigation of target encounter vs noxious damage by 1050',0,2),
(139029,90007,2,100,'Increases Threat to target encounter by 2,761 - 3,331 ',0,0),
(139030,90007,2,100,'Interrupts target encounter',0,1),
(139031,90007,2,100,'Decreases Mitigation of target encounter vs noxious damage by 1111',0,2),
(139032,90007,3,100,'Increases Threat to target encounter by 2,861 - 3,511 ',0,0),
(139033,90007,3,100,'Interrupts target encounter',0,1),
(139034,90007,3,100,'Decreases Mitigation of target encounter vs noxious damage by 1197',0,2),
(139035,90034,2,100,'Inflicts 204 - 350 disease damage on target',0,0),
(139036,90034,2,100,'Increases Threat to target by 1,504  instantly and by 785  every 3 seconds thereafter',0,1),
(139037,90034,2,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,2),
(139038,90034,2,100,'Blurs vision of target',1,3),
(139039,90034,2,100,'Throws target back',1,4),
(139040,90034,2,100,'Stuns target',1,5),
(139041,90034,2,100,'Does not affect Epic targets',1,6),
(139042,90034,3,100,'Inflicts 222 - 370 disease damage on target',0,0),
(139043,90034,3,100,'Increases Threat to target by 1,604  instantly and by 815  every 3 seconds thereafter',0,1),
(139044,90034,3,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,2),
(139045,90034,3,100,'Blurs vision of target',1,3),
(139046,90034,3,100,'Throws target back',1,4),
(139047,90034,3,100,'Stuns target',1,5),
(139048,90034,3,100,'Does not affect Epic targets',1,6),
(139049,90035,2,100,'Inflicts 216 - 363 disease damage on target',0,0),
(139050,90035,2,100,'Increases Threat to target by 1,700  instantly and by 881  every 3 seconds thereafter',0,1),
(139051,90035,2,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,2),
(139052,90035,2,100,'Blurs vision of target',1,3),
(139053,90035,2,100,'Throws target back',1,4),
(139054,90035,2,100,'Stuns target',1,5),
(139055,90035,2,100,'Does not affect Epic targets',1,6),
(139056,90035,3,100,'Inflicts 236 - 383 disease damage on target',0,0),
(139057,90035,3,100,'Increases Threat to target by 1,800  instantly and by 911  every 3 seconds thereafter',0,1),
(139058,90035,3,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,2),
(139059,90035,3,100,'Blurs vision of target',1,3),
(139060,90035,3,100,'Throws target back',1,4),
(139061,90035,3,100,'Stuns target',1,5),
(139062,90035,3,100,'Does not affect Epic targets',1,6),
(139063,90190,2,100,'Inflicts 405 disease damage on targets in Area of Effect',0,0),
(139064,90190,2,100,'Inflicts 281 disease damage on targets in Area of Effect every 4 seconds',0,1),
(139066,90190,3,100,'Inflicts 432 disease damage on targets in Area of Effect',0,0),
(139067,90190,3,100,'Inflicts 301 disease damage on targets in Area of Effect every 4 seconds',0,1),
(139069,90191,2,100,'Inflicts 436 disease damage on targets in Area of Effect',0,0),
(139070,90191,2,100,'Inflicts 297 disease damage on targets in Area of Effect every 4 seconds',0,1),
(139072,90191,3,100,'Inflicts 466 disease damage on targets in Area of Effect',0,0),
(139073,90191,3,100,'Inflicts 317 disease damage on targets in Area of Effect every 4 seconds',0,1),
(139075,90013,2,100,'Inflicts 416 - 684 disease damage on target',0,0),
(139076,90013,2,100,'Decreases WIS of target by 95.6',0,1),
(139078,90013,3,100,'Inflicts 456 - 734 disease damage on target',0,0),
(139079,90013,3,100,'Decreases WIS of target by 100.6',0,1),
(139081,90014,2,100,'Inflicts 499 - 805 disease damage on target',0,0),
(139082,90014,2,100,'Decreases WIS of target by 110.4',0,1),
(139084,90014,3,100,'Inflicts 529 - 865 disease damage on target',0,0),
(139085,90014,3,100,'Decreases WIS of target by 120.4',0,1),
(139087,90123,2,100,'Inflicts 4499 - 7532 disease damage on target',0,0),
(139088,90123,3,100,'Inflicts 4799 - 7832 disease damage on target',0,0),
(139089,90124,2,100,'Inflicts 4975 - 8291 disease damage on target',0,0),
(139090,90124,3,100,'Inflicts 5275 - 8998 disease damage on target',0,0),
(139091,90170,2,100,'Inflicts 354 - 526 disease damage on target',0,0),
(139092,90170,2,100,'Inflicts 140 - 217 disease damage on target every 4 seconds',0,1),
(139094,90170,3,100,'Inflicts 370 - 566 disease damage on target',0,0),
(139095,90170,3,100,'Inflicts 150 - 229 disease damage on target every 4 seconds',0,1),
(139097,90171,2,100,'Inflicts 381 - 581 disease damage on target',0,0),
(139098,90171,2,100,'Inflicts 154 - 236 disease damage on target every 4 seconds',0,1),
(139100,90171,3,100,'Inflicts 403 - 618 disease damage on target',0,0),
(139101,90171,3,100,'Inflicts 164 - 246 disease damage on target every 4 seconds',0,1),
(139103,100008,1,100,'Increases Threat to target by 101 - 124  instantly and by 20 - 25  every 2 seconds thereafter',0,0),
(139104,100008,2,100,'Increases Threat to target by 34 - 42  instantly and by 6 - 8  every 2 seconds thereafter',0,0),
(139105,100008,3,100,'Increases Threat to target by 36 - 44  instantly and by 7 - 8  every 2 seconds thereafter',0,0),
(139106,100009,1,100,'Increases Threat to target by 392 - 479  instantly and by 78 - 96  every 2 seconds thereafter',0,0),
(139107,100016,2,100,'Increases Threat to target by 1,492 - 1,742  instantly and by 386 - 477  every 2 seconds thereafter',0,0),
(139108,100016,3,100,'Increases Threat to target by 1,592 - 1,842  instantly and by 406 - 501  every 2 seconds thereafter',0,0),
(139109,100012,2,100,'Increases Threat to target by 1,712 - 2,011  instantly and by 468 - 565  every 2 seconds thereafter',0,0),
(139110,100012,3,100,'Increases Threat to target by 1,812 - 2,121  instantly and by 498 - 595  every 2 seconds thereafter',0,0),
(139111,110012,10,100,'Heals target for 68 - 83',0,0),
(139116,90134,1,100,'Increases Threat to target by 180 - 220  instantly and by 34 - 42  every 3 seconds thereafter',0,0),
(139118,90134,1,100,'Inflicts 3 - 4 disease damage on target',0,1),
(139119,90134,1,100,'Inflicts 2 disease damage on target every 3 seconds',0,2),
(139121,90134,4,100,'Increases Threat to target by 220 - 269  instantly and by 40 - 49  every 3 seconds thereafter',0,0),
(139122,90134,4,100,'Inflicts 4 - 5 disease damage on target',0,1),
(139123,90134,4,100,'Inflicts 2 disease damage on target every 3 seconds',0,2),
(139125,90134,5,100,'Increases Threat to target by 240 - 294  instantly and by 44 - 53  every 3 seconds thereafter',0,0),
(139126,90134,5,100,'Inflicts 4 - 5 disease damage on target',0,1),
(139127,90134,5,100,'Inflicts 2 - 3 disease damage on target every 3 seconds',0,2),
(139129,90134,7,100,'Increases Threat to target by 309 - 377  instantly and by 54 - 66  every 3 seconds thereafter',0,0),
(139130,90134,7,100,'Inflicts 6 - 7 disease damage on target',0,1),
(139134,90134,9,100,'Increases Threat to target by 321 - 392  instantly and by 56 - 69  every 3 seconds thereafter',0,0),
(139135,90134,9,100,'Inflicts 6 - 7 disease damage on target',0,1),
(139136,90134,9,100,'Inflicts 3 - 4 disease damage on target every 3 seconds',0,2),
(139138,90134,10,100,'Increases Threat to target by 337 - 412  instantly and by 59 - 72  every 3 seconds thereafter',0,0),
(139139,90134,10,100,'Inflicts 6 - 7 disease damage on target',0,1),
(139140,90134,10,100,'Inflicts 3 - 4 disease damage on target every 3 seconds',0,2),
(139142,90143,10,100,'Inflicts 11 - 19 disease damage on target',0,0),
(139143,90125,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 80',0,0),
(139144,90125,10,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(139145,90125,10,100,'Increases Threat to target by 6 ',1,2),
(139146,90125,10,100,'Inflicts 2 disease damage on target',1,3),
(139150,90077,10,100,'Inflicts 32 - 54 disease damage on targets in Area of Effect',0,0),
(139151,90077,10,100,'Inflicts 14 - 17 disease damage on targets in Area of Effect every 6 seconds',0,1),
(139153,90135,1,100,'Inflicts 11 - 14 disease damage on target',0,1),
(139154,90135,2,100,'Inflicts 12 - 15 disease damage on target',0,1),
(139155,90135,3,100,'Inflicts 13 - 16 disease damage on target',0,1),
(139156,90135,4,100,'Inflicts 14 - 17 disease damage on target',0,1),
(139157,90135,5,100,'Inflicts 15 - 19 disease damage on target',0,1),
(139158,90135,7,100,'Inflicts 20 - 24 disease damage on target',0,1),
(139159,90135,9,100,'Inflicts 20 - 25 disease damage on target',0,1),
(139160,90135,10,100,'Inflicts 21 - 26 disease damage on target',0,1),
(139161,100173,10,100,'Interrupts target',0,0),
(139162,100173,10,100,'Inflicts 10 - 17 divine damage on target',0,1),
(139164,100190,10,100,'Heals group members (AE) for 39 - 48',0,0),
(139165,100190,10,100,'This effect cannot be critically applied.',1,1),
(139166,100190,10,100,'Increases Max Health of group members (AE) by 29.6',0,2),
(139167,100190,10,100,'The healing of this spell cannot be modified except by direct means',0,3),
(139171,270069,10,100,'Interrupts target',0,0),
(139172,270069,10,100,'Inflicts 12 - 17 mental damage on target',0,1),
(139174,270035,10,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(139175,270035,10,100,'Mesmerizes target',1,1),
(139176,270035,10,100,'Dispelled when target takes damage',1,2),
(139177,270035,10,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(139178,270035,10,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(139179,270035,10,100,'Grants Sonic Vision to caster',1,5),
(139180,270035,10,100,'Charms target',0,6),
(139181,270035,10,100,'Increases Power Regen of target by 3.7',0,7),
(139182,270035,10,100,'Increases Health Regen of target by 7.4',0,8),
(139183,270035,10,100,'Certain enemies cannot be charmed',0,9),
(139184,270035,10,100,'Only affects targets level 16 and below',0,10),
(139185,270035,10,100,'Does not affect Epic targets',0,11),
(139189,270086,10,100,'Inflicts 16 - 20 mental damage on target',0,0),
(139190,270086,10,100,'Stuns target',0,1),
(139191,270086,10,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(139192,270086,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(139196,270011,10,100,'Inflicts 16 - 19 mental damage on target instantly and every 6 seconds',0,0),
(139197,270011,10,100,'Decreases power of target by 2 instantly and every 6 seconds',0,1),
(139198,270011,10,100,'Increases power of caster by 9',0,2),
(139199,270062,10,100,'Applies Blind.  Lasts for 4.0 seconds.',0,0),
(139200,270062,10,100,'Blurs vision of target',1,1),
(139201,270062,10,100,'Dazes target',1,2),
(139202,270062,10,100,'Dispelled when target takes damage',1,3),
(139203,270062,10,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',1,4),
(139204,270062,10,100,'Roots target',0,5),
(139205,270062,10,100,'5% chance to dispel when target takes damage',0,6),
(139206,270062,10,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,7),
(139207,270062,10,100,'Resistibility increases against targets higher than level 29.',0,8),
(139214,270070,10,100,'Interrupts target',0,0),
(139215,270070,10,100,'Inflicts 29 - 40 mental damage on target',0,1),
(139217,270123,10,100,'Increases Max Power of group members (AE) by 38.8',0,0),
(139218,270123,10,100,'Increases Mitigation of group members (AE) vs arcane damage by 147',0,1),
(139220,270156,10,100,'Inflicts 13 - 16 mental damage on target encounter instantly and every 4 seconds',0,0),
(139221,270156,10,100,'Decreases power of target encounter by 4 instantly and every 4 seconds',0,1),
(139223,270012,10,100,'Inflicts 49 - 60 mental damage on target instantly and every 6 seconds',0,0),
(139224,270012,10,100,'Decreases power of target by 6 instantly and every 6 seconds',0,1),
(139225,270012,10,100,'Increases power of caster by 29',0,2),
(139226,270036,10,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(139227,270036,10,100,'Mesmerizes target',1,1),
(139228,270036,10,100,'Dispelled when target takes damage',1,2),
(139229,270036,10,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(139230,270036,10,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(139231,270036,10,100,'Grants Sonic Vision to caster',1,5),
(139232,270036,10,100,'Charms target',0,6),
(139233,270036,10,100,'Increases Power Regen of target by 5.0',0,7),
(139234,270036,10,100,'Increases Health Regen of target by 10.1',0,8),
(139235,270036,10,100,'Certain enemies cannot be charmed',0,9),
(139236,270036,10,100,'Only affects targets level 24 and below',0,10),
(139237,270036,10,100,'Does not affect Epic targets',0,11),
(139241,290039,10,100,'Inflicts 15 - 21 magic damage on target',0,0),
(139243,290132,10,100,'Dispels 10 levels of any hostile effects on target',0,0),
(139244,290132,10,100,'Heals target for 29',0,1),
(139246,290141,10,100,'Inflicts 13 - 16 cold damage on target encounter',0,0),
(139247,290141,10,100,'Slows target encounter by 30.4%',0,1),
(139248,290141,10,100,'5% chance to dispel when target takes damage',0,2),
(139249,290141,10,100,'5% chance to dispel when target receives hostile action',0,3),
(139253,290094,10,100,'Inflicts 17 heat damage on target',0,0),
(139254,290094,10,100,'Inflicts 4 heat damage on target every 4 seconds',0,1),
(139256,290164,10,100,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',0,0),
(139257,290164,10,100,'Slows target by 52.1%',1,1),
(139258,290164,10,100,'5% chance to dispel when target receives hostile action',1,2),
(139259,290164,10,100,'5% chance to dispel when target takes damage',1,3),
(139260,290164,10,100,'Roots target',0,4),
(139261,290164,10,100,'15% chance to dispel when target takes damage',0,5),
(139262,290164,10,100,'Does not affect Epic targets',0,6),
(139263,290164,10,100,'Resistibility increases against targets higher than level 29.',0,7),
(139271,290040,10,100,'Inflicts 37 - 49 magic damage on target',0,0),
(139272,290073,10,100,'Increases Max Power of group members (AE) by 38.8',0,0),
(139273,290073,10,100,'Increases Mitigation of group members (AE) vs elemental damage by 147',0,1),
(139275,290142,10,100,'Inflicts 48 - 58 cold damage on target encounter',0,0),
(139276,290142,10,100,'Slows target encounter by 31.6%',0,1),
(139277,290142,10,100,'5% chance to dispel when target takes damage',0,2),
(139278,290142,10,100,'5% chance to dispel when target receives hostile action',0,3),
(139282,290095,10,100,'Inflicts 52 heat damage on target',0,0),
(139283,290095,10,100,'Inflicts 12 heat damage on target every 4 seconds',0,1),
(139285,260186,10,100,'Inflicts 13 - 18 mental damage on target',0,0),
(139286,260116,10,100,'Inflicts 13 - 19 mental damage on target',0,0),
(139287,260116,10,100,'Stuns target',0,1),
(139288,260116,10,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(139289,260116,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(139294,260125,10,100,'Summons a pet Illusion Ally',0,0),
(139295,260023,10,100,'Applies Migraine on termination.',0,0),
(139296,260023,10,100,'Inflicts 15 - 20 mental damage on target',1,1),
(139297,260023,10,100,'Inflicts 7 - 8 mental damage on target instantly and every 6 seconds',0,2),
(139298,260025,10,100,'Applies Migraine on termination.',0,0),
(139299,260025,10,100,'Inflicts 75 - 101 mental damage on target',1,1),
(139300,260025,10,100,'Inflicts 34 - 42 mental damage on target instantly and every 6 seconds',0,2),
(139301,260094,10,100,'Applies Stifle.  Lasts for 4.0 seconds.',0,0),
(139302,260094,10,100,'Blurs vision of target',1,1),
(139303,260094,10,100,'Stifles target',1,2),
(139304,260094,10,100,'If Target is not Epic',2,3),
(139305,260094,10,100,'Dispelled when target takes damage',1,4),
(139306,260094,10,100,'Epic targets gain an immunity to Stifle effects of 12.0 seconds and duration is reduced to 1.3 seconds.',1,5),
(139307,260094,10,100,'Resistibility increases against targets higher than level 34.',1,6),
(139308,260094,10,100,'Roots target',0,7),
(139309,260094,10,100,'5% chance to dispel when target takes damage',0,8),
(139310,260094,10,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,9),
(139316,260094,1,100,'Resistibility increases against targets higher than level 29.',0,10),
(139317,260094,2,100,'Resistibility increases against targets higher than level 29.',0,10),
(139318,260094,3,100,'Resistibility increases against targets higher than level 29.',0,10),
(139319,260094,4,100,'Resistibility increases against targets higher than level 29.',0,10),
(139320,260094,5,100,'Resistibility increases against targets higher than level 29.',0,10),
(139321,260094,7,100,'Resistibility increases against targets higher than level 29.',0,10),
(139322,260094,9,100,'Resistibility increases against targets higher than level 29.',0,10),
(139323,260094,10,100,'Resistibility increases against targets higher than level 29.',0,10),
(139324,260187,10,100,'Inflicts 32 - 43 mental damage on target',0,0),
(139325,260008,10,100,'Increases Max Power of group members (AE) by 38.8',0,0),
(139326,260008,10,100,'Increases Mitigation of group members (AE) vs arcane damage by 147',0,1),
(139328,260037,10,100,'Applies Stumble on termination.',0,0),
(139329,260037,10,100,'Interrupts target',1,1),
(139330,260037,10,100,'Interrupts target encounter',0,2),
(139331,260037,10,100,'Inflicts 13 - 16 mental damage on target encounter instantly and every 2 seconds',0,3),
(139335,260024,10,100,'Applies Migraine on termination.',0,0),
(139336,260024,10,100,'Inflicts 45 - 60 mental damage on target',1,1),
(139337,260024,10,100,'Inflicts 20 - 25 mental damage on target instantly and every 6 seconds',0,2),
(139338,260126,10,100,'Summons a pet Illusion Ally',0,0),
(139339,300170,10,100,'Inflicts 3 - 4 disease damage on target instantly and every second',0,0),
(139340,300198,10,100,'Summons a pet undead knight',0,0),
(139341,300125,10,100,'Dispels 12 levels of any hostile effects on target',0,0),
(139342,300125,10,100,'Heals target for 15',0,1),
(139343,300125,10,100,'Heals target for 3 every second',0,2),
(139344,300140,10,100,'Inflicts 4 disease damage on target encounter instantly and every 3 seconds',0,0),
(139345,300020,10,100,'Inflicts 6 - 8 disease damage on target instantly and every 4 seconds',0,0),
(139346,300037,10,100,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',0,0),
(139347,300037,10,100,'Slows target by 26.0%',1,1),
(139348,300037,10,100,'Makes target afraid',1,2),
(139349,300037,10,100,'30% chance to dispel when target takes damage',1,3),
(139350,300037,10,100,'Resistibility increases against targets higher than level 34.',1,4),
(139351,300037,10,100,'Roots target',0,5),
(139352,300037,10,100,'15% chance to dispel when target takes damage',0,6),
(139353,300037,10,100,'Does not affect Epic targets',0,7),
(139354,300037,10,100,'Resistibility increases against targets higher than level 29.',0,8),
(139361,300171,10,100,'Inflicts 8 - 10 disease damage on target instantly and every second',0,0),
(139362,300207,10,100,'Increases Max Power of group members (AE) by 38.8',0,0),
(139363,300207,10,100,'Increases Mitigation of group members (AE) vs noxious damage by 147',0,1),
(139365,300141,10,100,'Inflicts 13 - 16 disease damage on target encounter instantly and every 3 seconds',0,0),
(139366,300021,10,100,'Inflicts 19 - 23 disease damage on target instantly and every 4 seconds',0,0),
(139367,240104,10,100,'Inflicts 20 - 37 poison damage on target',0,0),
(139368,240046,10,100,'Interrupts targets in Area of Effect',0,0),
(139369,240046,10,100,'Inflicts 5 - 9 poison damage on targets in Area of Effect instantly and every second',0,1),
(139371,240007,10,100,'Inflicts 4 - 7 poison damage on target instantly and every 3 seconds',0,0),
(139372,240193,10,100,'Decreases Mitigation of target encounter vs noxious damage by 129',0,0),
(139373,240158,10,100,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',0,0),
(139374,240158,10,100,'Slows target by 52.1%',1,1),
(139375,240158,10,100,'Makes target afraid',1,2),
(139376,240158,10,100,'30% chance to dispel when target takes damage',1,3),
(139377,240158,10,100,'Does not affect Epic targets',1,4),
(139378,240158,10,100,'Resistibility increases against targets higher than level 34.',1,5),
(139379,240158,10,100,'Roots target',0,6),
(139380,240158,10,100,'15% chance to dispel when target takes damage',0,7),
(139381,240158,10,100,'Does not affect Epic targets',0,8),
(139382,240158,10,100,'Resistibility increases against targets higher than level 29.',0,9),
(139388,240105,10,100,'Inflicts 47 - 88 poison damage on target',0,0),
(139389,240025,10,100,'Increases Max Power of group members (AE) by 38.8',0,0),
(139390,240025,10,100,'Increases Mitigation of group members (AE) vs noxious damage by 147',0,1),
(139392,240073,10,100,'Inflicts 59 - 109 poison damage on target encounter',0,0),
(139393,240073,10,100,'Stuns target encounter',0,1),
(139394,240073,10,100,'If Target is not Epic',1,2),
(139395,240073,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(139399,240008,10,100,'Inflicts 11 - 20 poison damage on target instantly and every 3 seconds',0,0),
(139400,240166,10,100,'Interrupts target encounter',0,0),
(139401,240166,10,100,'Decreases Threat to target encounter by 471 - 576 ',0,1),
(139402,240166,10,100,'Dazes target encounter',0,2),
(139403,240166,10,100,'If Target is not Epic',1,3),
(139404,240166,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(139405,230160,10,100,'Inflicts 20 - 37 heat damage on target',0,0),
(139406,230112,10,100,'Inflicts 36 - 60 heat damage on target',0,0),
(139407,230112,10,100,'Stuns target',0,1),
(139408,230112,10,100,'If Target is not Epic',1,2),
(139409,230112,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(139413,230103,10,100,'Inflicts 3 - 6 heat damage on target instantly and every 2 seconds',0,0),
(139414,230079,10,100,'Inflicts 3 - 6 cold damage on target instantly and every 4 seconds',0,0),
(139415,230079,10,100,'Decreases Mitigation of target vs elemental damage by 129',0,1),
(139417,230161,10,100,'Inflicts 47 - 88 heat damage on target',0,0),
(139418,230038,10,100,'Increases Max Power of group members (AE) by 38.8',0,0),
(139419,230038,10,100,'Increases Mitigation of group members (AE) vs elemental damage by 147',0,1),
(139421,230151,10,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(139422,230151,10,100,'Slows target by 52.1%',1,1),
(139423,230151,10,100,'5% chance to dispel when target receives hostile action',1,2),
(139424,230151,10,100,'5% chance to dispel when target takes damage',1,3),
(139425,230151,10,100,'Roots target',0,4),
(139426,230151,10,100,'15% chance to dispel when target takes damage',0,5),
(139427,230151,10,100,'Does not affect Epic targets',0,6),
(139428,230151,10,100,'Resistibility increases against targets higher than level 29.',0,7),
(139436,230170,10,100,'Inflicts 15 - 27 magic damage on target encounter instantly and every 2 seconds',0,0),
(139437,230104,10,100,'Inflicts 10 - 17 heat damage on target instantly and every 2 seconds',0,0),
(139438,270095,10,100,'Mesmerizes target',0,0),
(139439,270095,10,100,'Prevents AOE (except when direct) ',0,1),
(139440,270095,10,100,'Dispelled when target takes damage',0,2),
(139441,270095,10,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(139442,270095,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(139445,40134,10,100,'Interrupts target',0,0),
(139446,40134,10,100,'Increases Threat to target by 253 - 309 ',0,1),
(139448,40170,10,100,'Inflicts 4 - 14 melee damage on target',0,0),
(139449,40017,10,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(139450,40017,10,100,'Increases Haste of target by 13.1',1,1),
(139451,40017,10,100,'Increases DPS of target by 13.1',1,2),
(139452,40017,10,100,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,3),
(139453,40017,10,100,'Increases Haste of target by 13.1',1,4),
(139454,40017,10,100,'Increases DPS of target by 13.1',1,5),
(139455,40017,10,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(139456,40017,10,100,'Increases Haste of target by 13.1',1,7),
(139457,40017,10,100,'Increases DPS of target by 13.1',1,8),
(139464,40056,10,100,'Throws target back',0,0),
(139465,40056,10,100,'If Target is not Epic',1,1),
(139466,40056,10,100,'Inflicts 4 - 14 crushing damage on target',0,2),
(139467,40056,10,100,'Stuns target',0,3),
(139468,40056,10,100,'If Target is not Epic',1,4),
(139469,40056,10,100,'Resistibility increases against targets higher than level 29.',0,5),
(139471,40009,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 86',0,0),
(139472,40009,10,100,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',0,1),
(139473,40009,10,100,'Increases Threat to target by 37 ',1,2),
(139474,40009,10,100,'Inflicts 6 - 11 slashing damage on target',1,3),
(139475,40009,10,100,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',0,4),
(139476,40009,10,100,'Increases Threat to target by 37 ',1,5),
(139478,40152,10,100,'Inflicts 4 - 12 melee damage on target',0,0),
(139479,40152,10,100,'Increases Threat to target by 227 ',0,1),
(139481,40186,10,100,'Reduces physical damage done to caster by 5%',0,0),
(139482,40186,10,100,'Decreases Slashing, Piercing and Crushing of caster by 1.8',0,1),
(139483,40186,10,100,'Increases Aggression of caster by 1.5',0,2),
(139484,40186,10,100,'Increases Defense and Parry of caster by 3.0',0,3),
(139485,40186,10,100,'Increases Mitigation of caster vs elemental damage by 258',0,4),
(139486,40186,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,5),
(139488,40118,10,100,'Inflicts 9 - 27 crushing damage on target',0,0),
(139489,40171,10,100,'Inflicts 11 - 35 melee damage on target',0,0),
(139490,370036,10,100,'Inflicts 9 - 15 melee damage on target',0,0),
(139491,370036,10,100,'Heals caster for 4',0,1),
(139492,5002,1,100,'Stuns target',0,0),
(139499,30118,10,100,'Inflicts 7 - 12 melee damage on target',0,0),
(139500,30139,10,100,'Interrupts target',0,0),
(139501,30139,10,100,'Increases Threat to target by 253 - 309 ',0,1),
(139503,30016,10,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(139504,30016,10,100,'Throws target back',1,1),
(139505,30016,10,100,'Blurs vision of target',1,2),
(139506,30016,10,100,'Stuns target',1,3),
(139507,30016,10,100,'Does not affect Epic targets',1,4),
(139508,30016,10,100,'Inflicts 7 - 12 crushing damage on target',0,5),
(139510,30086,10,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,0),
(139511,30086,10,100,'Increases Threat to target by 37 ',1,1),
(139512,30086,10,100,'On a block this spell will cast Holding the Line on target''s victim.  ',0,2),
(139513,30086,10,100,'Increases Threat to target by 37 ',1,3),
(139517,30197,10,100,'Inflicts 4 - 7 melee damage on target',0,0),
(139518,30197,10,100,'Increases Threat to target by 255 - 312 ',0,1),
(139520,30000,10,100,'Reduces physical damage done to caster by 5%',0,0),
(139521,30000,10,100,'Adds 2.5% to base avoidance.',0,1),
(139522,30000,10,100,'Decreases Slashing, Piercing and Crushing of caster by 1.8',0,2),
(139523,30000,10,100,'Increases Aggression of caster by 2.3',0,3),
(139524,30000,10,100,'Increases Defense and Parry of caster by 3.6',0,4),
(139525,30000,10,100,'Increases Mitigation of caster vs noxious and arcane damage by 35',0,5),
(139526,30000,10,100,'Increases Mitigation of caster vs elemental damage by 284',0,6),
(139527,30000,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(139535,30067,4,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(139536,30067,5,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(139537,30067,7,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(139538,30067,1,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(139539,30067,2,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(139540,30067,3,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(139541,30067,9,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(139542,30067,1,100,'Increases the amount of Potency gained by 20%',0,4),
(139543,30067,2,100,'Increases the amount of Potency gained by 20%',0,4),
(139544,30067,3,100,'Increases the amount of Potency gained by 20%',0,4),
(139545,30067,4,100,'Increases the amount of Potency gained by 20%',0,4),
(139546,30067,5,100,'Increases the amount of Potency gained by 20%',0,4),
(139547,30067,7,100,'Increases the amount of Potency gained by 20%',0,4),
(139548,30067,9,100,'Increases the amount of Potency gained by 20%',0,4),
(139549,30067,10,100,'Increases STR of caster by 22.2',0,0),
(139550,30067,10,100,'Decreases Defense of caster by 1.8',0,1),
(139552,30067,10,100,'Increases Slashing, Piercing and Crushing of caster by 4.5',0,2),
(139553,30067,10,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(139554,30067,10,100,'Increases the amount of Potency gained by 20%',0,4),
(139555,30078,10,100,'Interrupts target',0,0),
(139556,30078,10,100,'Inflicts 14 - 24 crushing damage on target',0,1),
(139558,30119,10,100,'Inflicts 17 - 29 melee damage on target',0,0),
(139559,30008,10,100,'Inflicts 37 - 62 melee damage on targets in Area of Effect',0,0),
(139560,30177,10,100,'Increases Threat to target encounter by 653 - 798 ',0,0),
(139561,30047,10,100,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 3.5',0,0),
(139562,30140,10,100,'Interrupts target',0,0),
(139563,30140,10,100,'Increases Threat to target by 977 - 1,194 ',0,1),
(139565,30198,10,100,'Inflicts 13 - 21 melee damage on target',0,0),
(139566,30198,10,100,'Increases Threat to target by 812 - 992 ',0,1),
(139568,30156,10,100,'Inflicts 25 - 41 slashing damage on target',0,0),
(139569,30156,10,100,'Inflicts 10 - 13 slashing damage on target every 5 seconds',0,1),
(139570,30156,10,100,'Decreases Slashing, Crushing and Piercing of target by 2.8',0,2),
(139575,30025,10,100,'Increases Mitigation of group members (AE) vs physical damage by 187',0,0),
(139576,30094,10,100,'Decreases Haste of caster by 11.3',0,0),
(139577,30094,10,100,'Increases Mitigation of caster vs physical damage by 249',0,1),
(139578,30094,10,100,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(139579,30094,10,100,'Roots target',1,3),
(139580,30094,10,100,'5% chance to dispel when target takes damage',1,4),
(139581,30094,10,100,'5% chance to dispel when target receives hostile action',1,5),
(139582,30094,10,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,6),
(139583,30087,10,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,0),
(139584,30087,10,100,'Increases Threat to target by 179 ',1,1),
(139585,30087,10,100,'On a block this spell will cast Holding the Line on target''s victim.  ',0,2),
(139586,30087,10,100,'Increases Threat to target by 179 ',1,3),
(139590,30001,10,100,'Reduces physical damage done to caster by 5%',0,0),
(139591,30001,10,100,'Adds 2.5% to base avoidance.',0,1),
(139592,30001,10,100,'Decreases Slashing, Piercing and Crushing of caster by 4.8',0,2),
(139593,30001,10,100,'Increases Aggression of caster by 6.0',0,3),
(139594,30001,10,100,'Increases Defense and Parry of caster by 9.7',0,4),
(139595,30001,10,100,'Increases Mitigation of caster vs noxious and arcane damage by 142',0,5),
(139596,30001,10,100,'Increases Mitigation of caster vs elemental damage by 639',0,6),
(139597,30001,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(139605,30068,1,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(139606,30068,2,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(139607,30068,3,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(139608,30068,4,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(139609,30068,5,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(139610,30068,7,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(139611,30068,9,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(139612,30068,4,100,'Increases STR of caster by 29.0',0,0),
(139613,30068,1,100,'Increases the amount of Potency gained by 20%',0,4),
(139614,30068,2,100,'Increases the amount of Potency gained by 20%',0,4),
(139615,30068,3,100,'Increases the amount of Potency gained by 20%',0,4),
(139616,30068,4,100,'Increases the amount of Potency gained by 20%',0,4),
(139617,30068,5,100,'Increases the amount of Potency gained by 20%',0,4),
(139618,30068,7,100,'Increases the amount of Potency gained by 20%',0,4),
(139619,30068,9,100,'Increases the amount of Potency gained by 20%',0,4),
(139620,30068,10,100,'Increases STR of caster by 44.4',0,0),
(139621,30068,10,100,'Decreases Defense of caster by 4.8',0,1),
(139622,30068,10,100,'Increases Slashing, Piercing and Crushing of caster by 12.1',0,2),
(139623,30068,10,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(139624,30068,10,100,'Increases the amount of Potency gained by 20%',0,4),
(139627,30055,10,100,'Inflicts 52 - 87 crushing damage on target',0,0),
(139628,30055,10,100,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 8.6',0,1),
(139630,30141,10,100,'Interrupts target',0,0),
(139631,30141,10,100,'Increases Threat to target by 1,592 - 1,826 ',0,1),
(139633,300074,10,100,'Summons a pet grim sorcerer',0,0),
(139634,100008,10,100,'Increases Threat to target by 190 - 232  instantly and by 35 - 43  every 2 seconds thereafter',0,0),
(139635,100025,10,100,'Inflicts 7 - 12 divine damage on target',0,0),
(139636,100025,11,100,'Inflicts 8 - 14 divine damage on target',0,0),
(139637,100056,10,100,'Reduces physical damage done to caster by 5%',0,0),
(139638,100056,10,100,'Increases STA of caster by 22.2',0,1),
(139639,100056,10,100,'Adds 5.2% to base avoidance.',0,2),
(139640,100056,10,100,'Decreases Slashing, Piercing and Crushing of caster by 1.4',0,3),
(139641,100056,10,100,'Increases Defense and Aggression of caster by 3.0',0,4),
(139642,100056,10,100,'Increases Mitigation of caster vs arcane damage by 258',0,5),
(139643,100056,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(139644,100056,11,100,'Reduces physical damage done to caster by 5%',0,0),
(139645,100056,11,100,'Increases STA of caster by 26.7',0,1),
(139646,100056,11,100,'Adds 6.3% to base avoidance.',0,2),
(139647,100056,11,100,'Decreases Slashing, Piercing and Crushing of caster by 1.4',0,3),
(139648,100056,11,100,'Increases Defense and Aggression of caster by 3.6',0,4),
(139649,100056,11,100,'Increases Mitigation of caster vs arcane damage by 310',0,5),
(139650,100056,11,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(139651,8004,1,100,'Must not be engaged in pvp combat',0,2),
(139652,8005,1,100,'Must not be engaged in pvp combat',0,2),
(139653,8008,1,100,'Must not be engaged in pvp combat',0,2),
(139654,8009,1,100,'Must not be engaged in pvp combat',0,2),
(139655,8010,1,100,'Must not be engaged in pvp combat',0,4),
(139656,8012,1,100,'Must not be engaged in pvp combat',0,3),
(139657,8013,1,100,'Must not be engaged in pvp combat',0,6),
(139658,8014,1,100,'Decreases Defense of caster by 0.1',0,5),
(139659,8014,1,100,'Increases Slashing, Crushing and Piercing of caster by 0.2',0,6),
(139660,8014,1,100,'Must have completed the Quest &quot;Proof in Strength&quot;',0,7),
(139661,8014,1,100,'Must not be engaged in pvp combat',0,8),
(139662,8015,1,100,'Must not be engaged in pvp combat',0,7),
(139663,8016,1,100,'Must not be engaged in pvp combat',0,3),
(139664,8018,1,100,'Must not be engaged in pvp combat',0,4),
(139665,8019,1,100,'Must not be engaged in combat',0,3),
(139666,8019,2,100,'Must not be engaged in combat',0,3),
(139667,8020,1,100,'Must not be engaged in combat',0,3),
(139668,8021,1,100,'Must not be engaged in combat',0,3),
(139669,8022,1,100,'Must not be engaged in combat',0,3),
(139670,8023,1,100,'Must not be engaged in combat',0,3),
(139671,8023,2,100,'Must not be engaged in combat',0,3),
(139672,8024,1,100,'Must not be engaged in combat',0,3),
(139673,8024,2,100,'Must not be engaged in combat',0,3),
(139674,8025,1,100,'Must not be engaged in combat',0,3),
(139675,8025,2,100,'Must not be engaged in combat',0,3),
(139676,8030,1,100,'This effect cannot be critically applied.',1,3),
(139677,8030,1,100,'Must have completed the Quest &quot;Steppe by Steppe&quot;',0,4),
(139678,8030,1,100,'Must not be engaged in pvp combat',0,5),
(139679,8031,1,100,'Must not be engaged in pvp combat',0,2),
(139680,8032,1,100,'Must not be engaged in pvp combat',0,4),
(139681,8033,1,100,'Must not be engaged in pvp combat',0,2),
(139682,8035,1,100,'Must not be engaged in pvp combat',0,2),
(139683,8036,1,100,'Must not be engaged in pvp combat',0,6),
(139684,8037,1,100,'Must not be engaged in pvp combat',0,3),
(139685,8042,1,100,'Must not be engaged in pvp combat',0,2),
(139686,8044,1,100,'Must not be engaged in pvp combat',0,3),
(139687,8056,1,100,'Must not be engaged in pvp combat',0,3),
(139688,8058,1,100,'Does not affect Epic targets',0,6),
(139689,8072,1,100,'Must not be engaged in pvp combat',0,4),
(139690,8078,1,100,'Must not be engaged in pvp combat',0,2),
(139691,8081,1,100,'Must not be engaged in pvp combat',0,4),
(139692,8087,1,100,'Must not be engaged in pvp combat',0,3),
(139693,8088,1,100,'Must not be engaged in pvp combat',0,4),
(139694,8100,1,100,'Must not be engaged in pvp combat',0,5),
(139695,8101,1,100,'Must not be engaged in pvp combat',0,4),
(139696,8104,1,100,'Must not be engaged in pvp combat',0,2),
(139697,8113,1,100,'Does not affect Epic targets',0,4),
(139698,8117,1,100,'The Tribunal do not allow for judgment to be handed down on a being that has already had judgment done upon them recently.',0,5),
(139699,8121,1,100,'Must not be engaged in pvp combat',0,8),
(139700,8123,1,100,'Resistibility increases against targets higher than level 29.',0,5),
(139701,8136,1,100,'Must not be engaged in pvp combat',0,3),
(139702,8138,2,100,'Must not be engaged in pvp combat',0,2),
(139703,8138,2,100,'This ability may not be used in a PvP zone.',0,3),
(139704,8139,2,100,'Must not be engaged in pvp combat',0,2),
(139705,8139,2,100,'This ability may not be used in a PvP zone.',0,3),
(139706,8140,1,100,'Must not be engaged in pvp combat',0,5),
(139707,8144,1,100,'Must not be engaged in pvp combat',0,3),
(139708,8144,1,100,'The target already has Grin of the Trickster applied and the effects do not stack!',0,4),
(139709,8150,1,100,'Resistibility increases against targets higher than level 29.',0,7),
(139710,8154,1,100,'Must not be engaged in pvp combat',0,2),
(139711,8156,1,100,'Must not be engaged in pvp combat',0,3),
(139712,8161,1,100,'Must not be engaged in pvp combat',0,2),
(139713,8166,1,100,'Must not be engaged in pvp combat',0,7),
(139714,8172,1,100,'Resistibility increases against targets higher than level 29.',0,5),
(139715,8187,1,100,'If under 50% Health',0,3),
(139716,8188,1,100,'Must not be engaged in pvp combat',0,2),
(139717,8190,1,100,'Must not be engaged in pvp combat',0,4),
(139718,8202,1,100,'Must not be engaged in pvp combat',0,3),
(139719,8203,1,100,'If target is undead',0,4),
(139720,8204,1,100,'Does not affect Epic targets',0,6),
(139721,8209,1,100,'Epic targets gain an immunity to Mesmerize effects of 1 minute 12 seconds and duration is reduced to 8.0 seconds.',0,8),
(139722,8210,1,100,'Must not be engaged in pvp combat',0,3),
(139723,8213,1,100,'Must not be engaged in pvp combat',0,2),
(139724,8214,1,100,'Must not be engaged in pvp combat',0,2),
(139725,8215,1,100,'Must not be engaged in pvp combat',0,2),
(139726,8218,1,100,'Must not be engaged in pvp combat',0,2),
(139727,8220,1,100,'Must not be engaged in pvp combat',0,5),
(139728,8221,1,100,'Must not be engaged in pvp combat',0,9),
(139729,8222,1,100,'Must not be engaged in pvp combat',0,2),
(139730,8229,1,100,'Must not be engaged in pvp combat',0,2),
(139731,8230,1,100,'Must not be engaged in pvp combat',0,2),
(139732,8232,1,100,'Must not be engaged in pvp combat',0,4),
(139733,8234,1,100,'Must not be engaged in pvp combat',0,5),
(139734,8235,1,100,'Must not be engaged in pvp combat',0,2),
(139735,8238,1,100,'Must not be engaged in pvp combat',0,4),
(139736,8239,1,100,'Must not be engaged in pvp combat',0,2),
(139737,8241,1,100,'Must not be engaged in pvp combat',0,2),
(139738,8243,1,100,'Must have completed the Quest &quot;Restoring the Underfoot Cathedral &quot;',0,4),
(139739,8243,1,100,'Must not be engaged in pvp combat',0,5),
(139740,8245,1,100,'Must not be engaged in pvp combat',0,5),
(139741,8246,1,100,'Must not be engaged in pvp combat',0,2),
(139742,8247,1,100,'Epic targets gain an immunity to Mesmerize effects of 4 minutes 30 seconds and duration is reduced to 30.0 seconds.',0,8),
(139743,8249,1,100,'Must not be engaged in pvp combat',0,2),
(139744,8252,1,100,'Must have completed the Quest &quot;For The Glory of Rallos!&quot;',0,8),
(139745,8252,1,100,'Must not be engaged in pvp combat',0,9),
(139746,8255,1,100,'Must not be engaged in pvp combat',0,4),
(139747,8256,1,100,'Must not be engaged in pvp combat',0,3),
(139748,8259,1,100,'Must not be engaged in pvp combat',0,2),
(139749,8273,1,100,'Must not be engaged in pvp combat',0,7),
(139750,8274,1,100,'Must not be engaged in pvp combat',0,2),
(139751,8275,1,100,'Must not be engaged in pvp combat',0,5),
(139752,8276,1,100,'Must not be engaged in pvp combat',0,2),
(139753,8277,1,100,'Must not be engaged in pvp combat',0,2),
(139754,8287,1,100,'This effect can only trigger once every 0.1 seconds.',1,3),
(139755,8287,1,100,'Increases Combat Power Regen of caster by 100.0',0,4),
(139756,8287,1,100,'Must have completed the Quest &quot;Peace Through Games&quot;',0,5),
(139757,8287,1,100,'Must not be engaged in pvp combat',0,6),
(139758,8289,1,100,'Must not be engaged in pvp combat',0,4),
(139759,8293,1,100,'Must not be engaged in pvp combat',0,15),
(139760,8298,1,100,'Must not be engaged in pvp combat',0,2),
(139761,8299,1,100,'Grants a total of 5 triggers of the spell.',1,5),
(139762,8299,1,100,'Must have completed the Quest &quot;Ro''s Infernal Device&quot;',0,6),
(139763,8299,1,100,'Must not be engaged in pvp combat',0,7),
(139764,8301,1,100,'Must not be engaged in pvp combat',0,2),
(139765,8302,1,100,'Must not be engaged in pvp combat',0,3),
(139766,8305,1,100,'Must not be engaged in pvp combat',0,3),
(139767,8306,1,100,'Must not be engaged in pvp combat',0,10),
(139768,8309,1,100,'Must not be engaged in pvp combat',0,4),
(139769,8310,1,100,'Must not be engaged in pvp combat',0,2),
(139770,8311,1,100,'Must not be engaged in pvp combat',0,4),
(139771,8419,1,100,'Must not be engaged in pvp combat',0,2),
(139772,8422,1,100,'Heals caster for 22.5 - 27.5% of max health',1,1),
(139773,8422,1,100,'This effect cannot be critically applied.',2,2),
(139774,8422,1,100,'Cannot be modified except by direct means',1,3),
(139775,8422,1,100,'Grants a total of 3 triggers of the spell.',1,4),
(139776,8422,1,100,'Must have completed the Quest &quot;Bristlebane''s Beloved&quot;',0,5),
(139777,8422,1,100,'Must not be engaged in pvp combat',0,6),
(139778,8424,1,100,'Must not be engaged in pvp combat',0,5),
(139779,8425,1,100,'Must not be engaged in pvp combat',0,2),
(139780,8428,1,100,'Must not be engaged in pvp combat',0,2),
(139781,8429,1,100,'Must not be engaged in pvp combat',0,9),
(139782,8430,1,100,'Must not be engaged in pvp combat',0,2),
(139783,8431,1,100,'Does not affect Epic targets',0,8),
(139784,8432,1,100,'Must not be engaged in pvp combat',0,13),
(139785,8434,1,100,'Must not be engaged in pvp combat',0,2),
(139786,8435,1,100,'Must not be engaged in pvp combat',0,3),
(139787,8439,1,100,'Must not be engaged in pvp combat',0,2),
(139788,8443,1,100,'Must not be engaged in pvp combat',0,2),
(139789,8444,1,100,'Must have completed the Quest &quot;The Gathering&quot;',0,5),
(139790,8444,1,100,'Must not be engaged in pvp combat',0,6),
(139791,8448,1,100,'Must not be engaged in pvp combat',0,5),
(139792,8449,1,100,'Must not be engaged in pvp combat',0,6),
(139793,8450,1,100,'Must not be engaged in pvp combat',0,2),
(139794,8451,1,100,'This effect can only trigger once every 0.1 seconds.',1,3),
(139795,8451,1,100,'Will absorb all damage.  This spell will absorb a total of 10 attacks.',0,4),
(139796,8451,1,100,'Must have completed the Quest &quot;Faith&quot;',0,5),
(139797,8451,1,100,'Must not be engaged in pvp combat',0,6),
(139798,8459,1,100,'Must not be engaged in pvp combat',0,4),
(139799,8460,1,100,'Must not be engaged in pvp combat',0,2),
(139800,8465,1,100,'Must not be engaged in pvp combat',0,2),
(139801,8467,1,100,'Must not be engaged in pvp combat',0,5),
(139802,8469,1,100,'Must not be engaged in pvp combat',0,5),
(139803,8470,1,100,'Must not be engaged in pvp combat',0,5),
(139804,8471,1,100,'Must have completed the Quest &quot;A Hatred Repressed&quot;',0,13),
(139805,8471,1,100,'Must not be engaged in pvp combat',0,14),
(139806,8472,1,100,'Must not be engaged in pvp combat',0,4),
(139807,8473,1,100,'Must not be engaged in pvp combat',0,3),
(139808,8475,1,100,'Must not be engaged in pvp combat',0,2),
(139809,8477,1,100,'Must not be engaged in pvp combat',0,4),
(139810,8478,1,100,'Must not be engaged in pvp combat',0,6),
(139811,8479,1,100,'Must not be engaged in pvp combat',0,2),
(139812,8485,1,100,'Must not be engaged in pvp combat',0,5),
(139813,8486,1,100,'Must not be engaged in pvp combat',0,4),
(139814,8491,1,100,'Must not be engaged in pvp combat',0,2),
(139815,9008,1,100,'Must not be engaged in pvp combat',0,3),
(139818,9024,1,100,'Decreases progress by 8.0',0,0),
(139819,9024,1,100,'Increases the amount of durability gained by 20.0.',0,1),
(139820,9025,1,100,'Reduces the amount of durability gained by 8.0.',0,0),
(139821,9025,1,100,'Increases progress by 20.0',0,1),
(139822,9027,1,100,'Decreases success chance by 7.0%',0,0),
(139823,9027,1,100,'Increases progress by 20.0',0,1),
(139824,9045,1,100,'Decreases success chance by 7.0%',0,0),
(139825,9045,1,100,'Increases progress by 20.0',0,1),
(139826,9046,1,100,'Decreases success chance by 7.0%',0,0),
(139827,9046,1,100,'Increases the amount of durability gained by 20.0.',0,1),
(139828,9053,1,100,'Decreases progress by 8.0',0,0),
(139829,9053,1,100,'Increases the amount of durability gained by 20.0.',0,1),
(139830,9056,1,100,'Increases progress by 20.0',0,0),
(139831,9084,1,100,'Increases progress by 20.0',0,0),
(139832,9085,1,100,'Increases the amount of durability gained by 20.0.',0,0),
(139833,9090,1,100,'Increases the amount of durability gained by 20.0.',0,0),
(139834,9096,1,100,'Reduces the amount of durability gained by 8.0.',0,0),
(139835,9096,1,100,'Increases progress by 20.0',0,1),
(139836,10000,10,100,'Increases Crushing, Piercing and Slashing of group members (AE) by 3.5',0,0),
(139837,10004,10,100,'100% chance to intercept all damage on target.On a successful intercept caster takes 50% of attack damage, target takes 49% of attack damage.Spell ends after 2 successful intercepts.',0,0),
(139838,10004,10,100,'If over 50% Health',1,1),
(139839,10004,10,100,'100% chance to intercept all damage on target.On a successful intercept caster takes 50% of attack damage, target takes 49% of attack damage.Spell ends after 3 successful intercepts.',0,2),
(139840,10004,10,100,'If at 50% Health or less',1,3),
(139841,10005,10,100,'100% chance to intercept all damage on target.On a successful intercept caster takes 75% of attack damage, target takes 24% of attack damage.Spell ends after 3 successful intercepts.',0,0),
(139842,10005,10,100,'If at 50% Health or less',1,1),
(139843,10005,10,100,'100% chance to intercept all damage on target.On a successful intercept caster takes 75% of attack damage, target takes 24% of attack damage.Spell ends after 2 successful intercepts.',0,2),
(139844,10005,10,100,'If over 50% Health',1,3),
(139845,10006,10,100,'100% chance to intercept all damage on target.On a successful intercept caster takes 100% of attack damage, target takes 0% of attack damage.Spell ends after 3 successful intercepts.',0,0),
(139846,10006,10,100,'If at 50% Health or less',1,1),
(139847,10006,10,100,'100% chance to intercept all damage on target.On a successful intercept caster takes 100% of attack damage, target takes 0% of attack damage.Spell ends after 2 successful intercepts.',0,2),
(139848,10006,10,100,'If over 50% Health',1,3),
(139849,10007,10,100,'Inflicts 13 - 22 crushing damage on target',0,0),
(139850,10008,9,100,'If one of the following races:',1,5),
(139851,10008,9,100,'[None]',2,6),
(139852,10009,10,100,'Increases Threat to target by 1,082 - 1,309 ',0,0),
(139853,10011,10,100,'Increases threat priority of target by 3 positions',0,0),
(139854,10011,10,100,'Increases Threat to target by 5,928 ',0,1),
(139855,10012,10,100,'Increases Threat to target encounter by 653 - 798 ',0,0),
(139856,10013,10,100,'Increases STR of caster by 18.6',0,0),
(139857,10013,10,100,'Decreases Defense of caster by 2.2',0,1),
(139858,10013,10,100,'Increases Slashing, Piercing and Crushing of caster by 7.4',0,2),
(139859,10014,10,100,'Decreases Slashing, Crushing and Piercing of caster by 1.8',0,0),
(139860,10014,10,100,'Increases Defense and Parry of caster by 3.0',0,1),
(139861,10014,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,2),
(139862,10015,10,100,'Increases Threat to target by 341 - 416 ',0,0),
(139863,10016,10,100,'Increases Threat to target by 253 - 309 ',0,0),
(139864,10017,6,100,'This effect cannot be critically applied.',1,2),
(139865,10018,10,100,'Inflicts 27 - 46 melee damage on targets in Area of Effect',0,0),
(139866,10019,10,100,'Inflicts 9 - 15 melee damage on target',0,0),
(139867,10019,10,100,'If facing target',0,1),
(139868,20000,10,100,'Interrupts target',0,0),
(139869,20000,10,100,'Increases Threat to target by 1,592 - 1,826 ',0,1),
(139870,20001,10,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(139871,20001,10,100,'Throws target back',1,1),
(139872,20001,10,100,'Blurs vision of target',1,2),
(139873,20001,10,100,'Stuns target',1,3),
(139874,20001,10,100,'Does not affect Epic targets',1,4),
(139875,20001,10,100,'Inflicts 26 - 44 crushing damage on target',0,5),
(139876,20003,10,100,'Inflicts 43 - 73 crushing damage on target',0,0),
(139877,20003,10,100,'Decreases power of target by 43 - 71',0,1),
(139878,20004,10,100,'Inflicts 42 - 71 melee damage on target',0,0),
(139879,20006,10,100,'Decreases Haste of caster by 11.3',0,0),
(139880,20006,10,100,'Slows caster by 32.6%',0,1),
(139881,20006,10,100,'Increases Mitigation of caster vs physical damage by 249',0,2),
(139882,20006,10,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,3),
(139883,20006,10,100,'Slows targets in Area of Effect by 54.8%',1,4),
(139884,20006,10,100,'5% chance to dispel when target receives hostile action',1,5),
(139885,20006,10,100,'5% chance to dispel when target takes damage',1,6),
(139886,20007,10,100,'Inflicts 48 - 81 crushing damage on target',0,0),
(139887,20008,10,100,'Inflicts 40 - 67 slashing damage on target',0,0),
(139888,20008,10,100,'Decreases Slashing, Crushing and Piercing of target by 2.8',0,1),
(139889,20009,10,100,'Increases Mitigation of group members (AE) vs physical damage by \r\n910',0,0),
(139890,20010,10,100,'Decreases Slashing, Piercing and Crushing of caster by 4.8',0,0),
(139891,20010,10,100,'Increases Defense and Parry of caster by 8.1',0,1),
(139892,20010,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,2),
(139893,20011,10,100,'Grants target a 23% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(139894,20011,10,100,'Increases Parry of caster by 4.5',0,1),
(139895,20012,10,100,'Inflicts 13 - 21 melee damage on target',0,0),
(139896,20012,10,100,'Increases Threat to target by 812 - 992 ',0,1),
(139897,20013,10,100,'On death this spell will cast Death''s Door on caster.  Lasts for 36.0 seconds.  ',0,0),
(139898,20013,10,100,'Applies Exploding Heart on termination.',1,1),
(139899,20013,10,100,'Heals caster for 105.0% of max health',1,2),
(139900,20013,10,100,'This effect cannot be critically applied.',2,3),
(139901,20013,10,100,'The healing of this spell cannot be modified except by direct means',1,4),
(139902,20013,10,100,'Grants a total of 1 trigger of the spell.',1,5),
(139903,20014,10,100,'Inflicts 13 - 22 slashing damage on target',0,0),
(139904,20014,10,100,'Inflicts 18 slashing damage on target instantly and every 4 seconds',0,1),
(139905,20014,10,100,'Decreases DPS of target by 11.1',0,2),
(139906,30000,3,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(139907,30000,11,100,'Reduces physical damage done to caster by 5%',0,0),
(139908,30000,11,100,'Adds 3.0% to base avoidance.',0,1),
(139909,30000,11,100,'Decreases Slashing, Piercing and Crushing of caster by 1.8',0,2),
(139910,30000,11,100,'Increases Aggression of caster by 2.7',0,3),
(139911,30000,11,100,'Increases Defense and Parry of caster by 4.4',0,4),
(139912,30000,11,100,'Increases Mitigation of caster vs noxious and arcane damage by 43',0,5),
(139913,30000,11,100,'Increases Mitigation of caster vs elemental damage by 341',0,6),
(139914,30000,11,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(139915,30001,11,100,'Reduces physical damage done to caster by 5%',0,0),
(139916,30001,11,100,'Adds 3.0% to base avoidance.',0,1),
(139917,30001,11,100,'Decreases Slashing, Piercing and Crushing of caster by 4.8',0,2),
(139918,30001,11,100,'Increases Aggression of caster by 7.3',0,3),
(139919,30001,11,100,'Increases Defense and Parry of caster by 11.6',0,4),
(139920,30001,11,100,'Increases Mitigation of caster vs noxious and arcane damage by 171',0,5),
(139921,30001,11,100,'Increases Mitigation of caster vs elemental damage by 768',0,6),
(139922,30001,11,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(139923,30002,10,100,'Reduces physical damage done to caster by 5%',0,0),
(139924,30002,10,100,'Adds 2.5% to base avoidance.',0,1),
(139925,30002,10,100,'Decreases Slashing, Piercing and Crushing of caster by 9.0',0,2),
(139926,30002,10,100,'Increases Aggression of caster by 11.3',0,3),
(139927,30002,10,100,'Increases Defense and Parry of caster by 18.1',0,4),
(139928,30002,10,100,'Increases Mitigation of caster vs noxious and arcane damage by 266',0,5),
(139929,30002,10,100,'Increases Mitigation of caster vs elemental damage by 1109',0,6),
(139930,30002,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(139931,30002,11,100,'Reduces physical damage done to caster by 5%',0,0),
(139932,30002,11,100,'Adds 3.0% to base avoidance.',0,1),
(139933,30002,11,100,'Decreases Slashing, Piercing and Crushing of caster by 9.0',0,2),
(139934,30002,11,100,'Increases Aggression of caster by 13.6',0,3),
(139935,30002,11,100,'Increases Defense and Parry of caster by 21.8',0,4),
(139936,30002,11,100,'Increases Mitigation of caster vs noxious and arcane damage by 320',0,5),
(139937,30002,11,100,'Increases Mitigation of caster vs elemental damage by 1333',0,6),
(139938,30002,11,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(139939,30003,10,100,'Reduces physical damage done to caster by 5%',0,0),
(139940,30003,10,100,'Adds 2.5% to base avoidance.',0,1),
(139941,30003,10,100,'Decreases Slashing, Piercing and Crushing of caster by 13.2',0,2),
(139942,30003,10,100,'Increases Aggression of caster by 16.6',0,3),
(139943,30003,10,100,'Increases Defense and Parry of caster by 26.6',0,4),
(139944,30003,10,100,'Increases Mitigation of caster vs noxious and arcane damage by 390',0,5),
(139945,30003,10,100,'Increases Mitigation of caster vs elemental damage by 1626',0,6),
(139946,30003,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(139947,30003,11,100,'Reduces physical damage done to caster by 5%',0,0),
(139948,30003,11,100,'Adds 3.0% to base avoidance.',0,1),
(139949,30003,11,100,'Decreases Slashing, Piercing and Crushing of caster by 13.2',0,2),
(139950,30003,11,100,'Increases Aggression of caster by 20.0',0,3),
(139951,30003,11,100,'Increases Defense and Parry of caster by 32.0',0,4),
(139952,30003,11,100,'Increases Mitigation of caster vs noxious and arcane damage by 469',0,5),
(139953,30003,11,100,'Increases Mitigation of caster vs elemental damage by 1955',0,6),
(139954,30003,11,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(139955,30004,10,100,'Reduces physical damage done to caster by 5%',0,0),
(139956,30004,10,100,'Adds 2.5% to base avoidance.',0,1),
(139957,30004,10,100,'Decreases Slashing, Piercing and Crushing of caster by 17.4',0,2),
(139958,30004,10,100,'Increases Aggression of caster by 21.9',0,3),
(139959,30004,10,100,'Increases Defense and Parry of caster by 35.1',0,4),
(139960,30004,10,100,'Increases Mitigation of caster vs noxious and arcane damage by 514',0,5),
(139961,30004,10,100,'Increases Mitigation of caster vs elemental damage by 2144',0,6),
(139962,30004,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(139963,30004,11,100,'Reduces physical damage done to caster by 5%',0,0),
(139964,30004,11,100,'Adds 3.0% to base avoidance.',0,1),
(139965,30004,11,100,'Decreases Slashing, Piercing and Crushing of caster by 17.4',0,2),
(139966,30004,11,100,'Increases Aggression of caster by 26.4',0,3),
(139967,30004,11,100,'Increases Defense and Parry of caster by 42.2',0,4),
(139968,30004,11,100,'Increases Mitigation of caster vs noxious and arcane damage by 619',0,5),
(139969,30004,11,100,'Increases Mitigation of caster vs elemental damage by 2578',0,6),
(139970,30004,11,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(139971,30005,10,100,'Reduces physical damage done to caster by 5%',0,0),
(139972,30005,10,100,'Adds 2.5% to base avoidance.',0,1),
(139973,30005,10,100,'Decreases Slashing, Piercing and Crushing of caster by 21.8',0,2),
(139974,30005,10,100,'Increases Aggression of caster by 27.5',0,3),
(139975,30005,10,100,'Increases Defense and Parry of caster by 43.9',0,4),
(139976,30005,10,100,'Increases Mitigation of caster vs noxious and arcane damage by 639',0,5),
(139977,30005,10,100,'Increases Mitigation of caster vs elemental damage by 2794',0,6),
(139978,30005,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(139979,30005,11,100,'Reduces physical damage done to caster by 5%',0,0),
(139980,30005,11,100,'Adds 3.0% to base avoidance.',0,1),
(139981,30005,11,100,'Decreases Slashing, Piercing and Crushing of caster by 21.8',0,2),
(139982,30005,11,100,'Increases Aggression of caster by 33.0',0,3),
(139983,30005,11,100,'Increases Defense and Parry of caster by 52.8',0,4),
(139984,30005,11,100,'Increases Mitigation of caster vs noxious and arcane damage by 768',0,5),
(139985,30005,11,100,'Increases Mitigation of caster vs elemental damage by 3360',0,6),
(139986,30005,11,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(139987,30006,10,100,'Reduces physical damage done to caster by 5%',0,0),
(139988,30006,10,100,'Adds 2.5% to base avoidance.',0,1),
(139989,30006,10,100,'Decreases Slashing, Piercing and Crushing of caster by 25.8',0,2),
(139990,30006,10,100,'Increases Aggression of caster by 32.8',0,3),
(139991,30006,10,100,'Increases Defense and Parry of caster by 52.4',0,4),
(139992,30006,10,100,'Increases Mitigation of caster vs noxious and arcane damage by 727',0,5),
(139993,30006,10,100,'Increases Mitigation of caster vs elemental damage by 3213',0,6),
(139994,30006,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(139995,30006,11,100,'Reduces physical damage done to caster by 5%',0,0),
(139996,30006,11,100,'Adds 3.0% to base avoidance.',0,1),
(139997,30006,11,100,'Decreases Slashing, Piercing and Crushing of caster by 25.8',0,2),
(139998,30006,11,100,'Increases Aggression of caster by 39.4',0,3),
(139999,30006,11,100,'Increases Defense and Parry of caster by 63.0',0,4),
(140000,30006,11,100,'Increases Mitigation of caster vs noxious and arcane damage by 875',0,5),
(140001,30006,11,100,'Increases Mitigation of caster vs elemental damage by 3863',0,6),
(140002,30006,11,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(140003,30007,10,100,'Reduces physical damage done to caster by 5%',0,0),
(140004,30007,10,100,'Adds 2.5% to base avoidance.',0,1),
(140005,30007,10,100,'Decreases Slashing, Piercing and Crushing of caster by 29.8',0,2),
(140006,30007,10,100,'Increases Aggression of caster by 39.1',0,3),
(140007,30007,10,100,'Increases Defense and Parry of caster by 62.5',0,4),
(140008,30007,10,100,'Increases Mitigation of caster vs noxious and arcane damage by 816',0,5),
(140009,30007,10,100,'Increases Mitigation of caster vs elemental damage by 3740',0,6),
(140010,30007,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(140011,30007,11,100,'Reduces physical damage done to caster by 5%',0,0),
(140012,30007,11,100,'Adds 3.0% to base avoidance.',0,1),
(140013,30007,11,100,'Decreases Slashing, Piercing and Crushing of caster by 29.8',0,2),
(140014,30007,11,100,'Increases Aggression of caster by 47.0',0,3),
(140015,30007,11,100,'Increases Defense and Parry of caster by 75.1',0,4),
(140016,30007,11,100,'Increases Mitigation of caster vs noxious and arcane damage by 981',0,5),
(140017,30007,11,100,'Increases Mitigation of caster vs elemental damage by 4497',0,6),
(140018,30007,11,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,7),
(140019,30009,10,100,'Inflicts 108 - 181 melee damage on targets in Area of Effect',0,0),
(140020,30010,10,100,'Inflicts 193 - 322 melee damage on targets in Area of Effect',0,0),
(140021,30014,10,100,'Inflicts 602 - 1004 melee damage on targets in Area of Effect',0,0),
(140022,30015,10,100,'Inflicts 678 - 1130 melee damage on targets in Area of Effect',0,0),
(140023,30015,11,100,'Inflicts 815 - 1359 melee damage on targets in Area of Effect',0,0),
(140024,30018,10,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(140025,30018,10,100,'Throws target back',1,1),
(140026,30018,10,100,'Blurs vision of target',1,2),
(140027,30018,10,100,'Stuns target',1,3),
(140028,30018,10,100,'Does not affect Epic targets',1,4),
(140029,30018,10,100,'Inflicts 90 - 151 crushing damage on target',0,5),
(140030,30019,10,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(140031,30019,10,100,'Throws target back',1,1),
(140032,30019,10,100,'Blurs vision of target',1,2),
(140033,30019,10,100,'Stuns target',1,3),
(140034,30019,10,100,'Does not affect Epic targets',1,4),
(140035,30019,10,100,'Inflicts 144 - 241 crushing damage on target',0,5),
(140036,30019,11,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(140037,30019,11,100,'Throws target back',1,1),
(140038,30019,11,100,'Blurs vision of target',1,2),
(140039,30019,11,100,'Stuns target',1,3),
(140040,30019,11,100,'Does not affect Epic targets',1,4),
(140041,30019,11,100,'Inflicts 174 - 290 crushing damage on target',0,5),
(140042,30020,10,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(140043,30020,10,100,'Throws target back',1,1),
(140044,30020,10,100,'Blurs vision of target',1,2),
(140045,30020,10,100,'Stuns target',1,3),
(140046,30020,10,100,'Does not affect Epic targets',1,4),
(140047,30020,10,100,'Inflicts 433 - 723 crushing damage on target',0,5),
(140048,30020,11,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(140049,30020,11,100,'Throws target back',1,1),
(140050,30020,11,100,'Blurs vision of target',1,2),
(140051,30020,11,100,'Stuns target',1,3),
(140052,30020,11,100,'Does not affect Epic targets',1,4),
(140053,30020,11,100,'Inflicts 521 - 869 crushing damage on target',0,5),
(140054,30021,10,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(140055,30021,10,100,'Throws target back',1,1),
(140056,30021,10,100,'Blurs vision of target',1,2),
(140057,30021,10,100,'Stuns target',1,3),
(140058,30021,10,100,'Does not affect Epic targets',1,4),
(140059,30021,10,100,'Inflicts 211 - 351 crushing damage on target',0,5),
(140060,30022,10,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(140061,30022,10,100,'Throws target back',1,1),
(140062,30022,10,100,'Blurs vision of target',1,2),
(140063,30022,10,100,'Stuns target',1,3),
(140064,30022,10,100,'Does not affect Epic targets',1,4),
(140065,30022,10,100,'Inflicts 277 - 462 crushing damage on target',0,5),
(140066,30023,10,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(140067,30023,10,100,'Throws target back',1,1),
(140068,30023,10,100,'Blurs vision of target',1,2),
(140069,30023,10,100,'Stuns target',1,3),
(140070,30023,10,100,'Does not affect Epic targets',1,4),
(140071,30023,10,100,'Inflicts 335 - 559 crushing damage on target',0,5),
(140072,30024,10,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(140073,30024,10,100,'Throws target back',1,1),
(140074,30024,10,100,'Blurs vision of target',1,2),
(140075,30024,10,100,'Stuns target',1,3),
(140076,30024,10,100,'Does not affect Epic targets',1,4),
(140077,30024,10,100,'Inflicts 404 - 674 crushing damage on target',0,5),
(140078,30026,10,100,'Increases Mitigation of group members (AE) vs physical damage by 349',0,0),
(140079,30027,10,100,'Increases Mitigation of group members (AE) vs physical damage by 538',0,0),
(140080,30028,10,100,'Increases Mitigation of group members (AE) vs physical damage by 726',0,0),
(140081,30029,10,100,'Increases Mitigation of group members (AE) vs physical damage by 914',0,0),
(140082,30030,10,100,'Increases Mitigation of group members (AE) vs physical damage by 1115',0,0),
(140083,30031,10,100,'Increases Mitigation of group members (AE) vs physical damage by 1310',0,0),
(140084,30032,10,100,'Increases Mitigation of group members (AE) vs physical damage by 1464',0,0),
(140085,30032,11,100,'Increases Mitigation of group members (AE) vs physical damage by 1760',0,0),
(140086,30033,10,100,'Increases STA of group members (AE) by 15.5',0,0),
(140087,30035,10,100,'Increases STA of group members (AE) by 64.4',0,0),
(140088,30036,10,100,'Increases STA of group members (AE) by 85.3',0,0),
(140089,30038,10,100,'Increases STA of group members (AE) by 124.4',0,0),
(140090,30039,10,100,'Increases STA of group members (AE) by 144.5',0,0),
(140091,30039,11,100,'Increases STA of group members (AE) by 173.8',0,0),
(140093,30040,10,100,'Increases Defense of raid and group members (AE) by 9.1',0,0),
(140095,30040,11,100,'Increases Defense of raid and group members (AE) by 10.9',0,0),
(140096,30041,10,100,'Increases STA of raid and group members (AE) by 38.7',0,0),
(140097,30041,10,100,'Increases Defense of raid and group members (AE) by 14.4',0,1),
(140098,30041,11,100,'Increases STA of raid and group members (AE) by 46.6',0,0),
(140099,30041,11,100,'Increases Defense of raid and group members (AE) by 17.3',0,1),
(140100,30042,11,100,'Increases STA of raid and group members (AE) by 68.9',0,0),
(140101,30042,11,100,'Increases Defense of raid and group members (AE) by 23.6',0,1),
(140102,30043,10,100,'Increases STA of raid and group members (AE) by 73.2',0,0),
(140103,30043,10,100,'Increases Defense of raid and group members (AE) by 24.9',0,1),
(140104,30043,11,100,'Increases STA of raid and group members (AE) by 88.0',0,0),
(140105,30043,11,100,'Increases Defense of raid and group members (AE) by 30.0',0,1),
(140106,30044,10,100,'Increases STA of raid and group members (AE) by 88.9',0,0),
(140107,30044,10,100,'Increases Defense of raid and group members (AE) by 30.0',0,1),
(140108,30044,11,100,'Increases STA of raid and group members (AE) by 106.9',0,0),
(140109,30044,11,100,'Increases Defense of raid and group members (AE) by 36.1',0,1),
(140110,30045,10,100,'Increases STA of raid and group members (AE) by 104.9',0,0),
(140111,30045,10,100,'Increases Defense of raid and group members (AE) by 35.9',0,1),
(140112,30045,11,100,'Increases STA of raid and group members (AE) by 126.1',0,0),
(140113,30045,11,100,'Increases Defense of raid and group members (AE) by 43.2',0,1),
(140114,30046,10,100,'Increases STA of raid and group members (AE) by 120.8',0,0),
(140115,30046,10,100,'Increases Defense of raid and group members (AE) by 42.2',0,1),
(140116,30046,11,100,'Increases STA of raid and group members (AE) by 145.3',0,0),
(140117,30046,11,100,'Increases Defense of raid and group members (AE) by 50.8',0,1),
(140118,30049,10,100,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 14.0',0,0),
(140119,30050,10,100,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 19.3',0,0),
(140120,30051,10,100,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 24.6',0,0),
(140121,30052,10,100,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 29.5',0,0),
(140122,30053,10,100,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 35.3',0,0),
(140123,30054,10,100,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 41.6',0,0),
(140124,30054,11,100,'Increases Crushing, Piercing, Slashing and Ranged of group members (AE) by 50.0',0,0),
(140125,30056,10,100,'Inflicts 101 - 169 crushing damage on target',0,0),
(140126,30056,10,100,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 15.6',0,1),
(140127,30057,10,100,'Inflicts 157 - 261 crushing damage on target',0,0),
(140128,30057,10,100,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 22.7',0,1),
(140129,30058,10,100,'Inflicts 220 - 367 crushing damage on target',0,0),
(140130,30058,10,100,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 29.7',0,1),
(140131,30060,10,100,'Inflicts 348 - 580 crushing damage on target',0,0),
(140132,30060,10,100,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 41.8',0,1),
(140133,30061,10,100,'Inflicts 402 - 670 crushing damage on target',0,0),
(140134,30061,10,100,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 46.9',0,1),
(140135,30061,11,100,'Inflicts 483 - 805 crushing damage on target',0,0),
(140136,30061,11,100,'Decreases Ordination, Ministration, Disruption and Subjugation of target by 56.4',0,1),
(140137,30062,10,100,'Inflicts 620 - 1033 melee damage on target',0,0),
(140138,30062,10,100,'Decreases Defense, Parry and Deflection of target by 65.5',0,1),
(140139,30062,11,100,'Inflicts 745 - 1242 melee damage on target',0,0),
(140140,30062,11,100,'Decreases Defense, Parry and Deflection of target by 78.8',0,1),
(140141,30063,10,100,'Inflicts 791 - 1319 melee damage on target',0,0),
(140142,30063,10,100,'Decreases Defense, Parry and Deflection of target by 81.3',0,1),
(140143,30063,11,100,'Inflicts 952 - 1586 melee damage on target',0,0),
(140144,30063,11,100,'Decreases Defense, Parry and Deflection of target by 97.8',0,1),
(140145,30064,10,100,'Inflicts 953 - 1589 melee damage on target',0,0),
(140146,30064,10,100,'Decreases Defense, Parry and Deflection of target by 94.8',0,1),
(140147,30064,11,100,'Inflicts 1147 - 1911 melee damage on target',0,0),
(140148,30064,11,100,'Decreases Defense, Parry and Deflection of target by 113.9',0,1),
(140149,30065,10,100,'Inflicts 1035 - 1725 melee damage on target',0,0),
(140150,30065,10,100,'Decreases Defense, Parry and Deflection of target by 108.2',0,1),
(140151,30065,11,100,'Inflicts 1245 - 2075 melee damage on target',0,0),
(140152,30065,11,100,'Decreases Defense, Parry and Deflection of target by 130.1',0,1),
(140153,30069,1,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(140154,30069,1,100,'Increases the amount of Potency gained by 20%',0,4),
(140155,30069,2,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(140156,30069,2,100,'Increases the amount of Potency gained by 20%',0,4),
(140157,30069,3,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(140158,30069,3,100,'Increases the amount of Potency gained by 20%',0,4),
(140159,30069,4,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(140160,30069,4,100,'Increases the amount of Potency gained by 20%',0,4),
(140161,30069,5,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(140162,30069,5,100,'Increases the amount of Potency gained by 20%',0,4),
(140163,30069,7,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(140164,30069,7,100,'Increases the amount of Potency gained by 20%',0,4),
(140165,30069,9,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(140166,30069,9,100,'Increases the amount of Potency gained by 20%',0,4),
(140167,30069,10,100,'Increases STR of caster by 77.3',0,0),
(140168,30069,10,100,'Decreases Defense of caster by 9.0',0,1),
(140169,30069,10,100,'Increases Slashing, Piercing and Crushing of caster by 22.7',0,2),
(140170,30069,10,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(140171,30069,10,100,'Increases the amount of Potency gained by 20%',0,4),
(140172,30070,1,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(140173,30070,1,100,'Increases the amount of Potency gained by 20%',0,4),
(140174,30070,2,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(140175,30070,2,100,'Increases the amount of Potency gained by 20%',0,4),
(140176,30070,3,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(140177,30070,3,100,'Increases the amount of Potency gained by 20%',0,4),
(140178,30070,4,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(140179,30070,4,100,'Increases the amount of Potency gained by 20%',0,4),
(140180,30070,5,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(140181,30070,5,100,'Increases the amount of Potency gained by 20%',0,4),
(140182,30070,7,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(140183,30070,7,100,'Increases the amount of Potency gained by 20%',0,4),
(140184,30070,9,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(140185,30070,9,100,'Increases the amount of Potency gained by 20%',0,4),
(140186,30070,10,100,'Increases STR of caster by 114.9',0,0),
(140187,30070,10,100,'Decreases Defense of caster by 13.2',0,1),
(140188,30070,10,100,'Increases Slashing, Piercing and Crushing of caster by 33.3',0,2),
(140189,30070,10,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(140190,30070,10,100,'Increases the amount of Potency gained by 20%',0,4),
(140191,30071,1,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(140192,30071,1,100,'Increases the amount of Potency gained by 20%',0,4),
(140193,30071,2,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(140194,30071,2,100,'Increases the amount of Potency gained by 20%',0,4),
(140195,30071,3,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(140196,30071,3,100,'Increases the amount of Potency gained by 20%',0,4),
(140197,30071,4,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(140198,30071,4,100,'Increases the amount of Potency gained by 20%',0,4),
(140199,30071,5,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(140200,30071,5,100,'Increases the amount of Potency gained by 20%',0,4),
(140201,30071,7,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(140202,30071,7,100,'Increases the amount of Potency gained by 20%',0,4),
(140203,30071,9,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(140204,30071,9,100,'Increases the amount of Potency gained by 20%',0,4),
(140205,30071,10,100,'Increases STR of caster by 152.5',0,0),
(140206,30071,10,100,'Decreases Defense of caster by 17.4',0,1),
(140207,30071,10,100,'Increases Slashing, Piercing and Crushing of caster by 43.8',0,2),
(140208,30071,10,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(140209,30071,10,100,'Increases the amount of Potency gained by 20%',0,4),
(140210,30072,1,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(140211,30072,1,100,'Increases the amount of Potency gained by 20%',0,4),
(140212,30072,2,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(140213,30072,2,100,'Increases the amount of Potency gained by 20%',0,4),
(140214,30072,3,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(140215,30072,3,100,'Increases the amount of Potency gained by 20%',0,4),
(140216,30072,4,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(140217,30072,4,100,'Increases the amount of Potency gained by 20%',0,4),
(140218,30072,5,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(140219,30072,5,100,'Increases the amount of Potency gained by 20%',0,4),
(140220,30072,7,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(140221,30072,7,100,'Increases the amount of Potency gained by 20%',0,4),
(140222,30072,9,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(140223,30072,9,100,'Increases the amount of Potency gained by 20%',0,4),
(140224,30072,10,100,'Increases STR of caster by 192.2',0,0),
(140225,30072,10,100,'Decreases Defense of caster by 21.8',0,1),
(140226,30072,10,100,'Increases Slashing, Piercing and Crushing of caster by 54.9',0,2),
(140227,30072,10,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(140228,30072,10,100,'Increases the amount of Potency gained by 20%',0,4),
(140229,30073,1,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(140230,30073,1,100,'Increases the amount of Potency gained by 20%',0,4),
(140231,30073,4,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(140232,30073,4,100,'Increases the amount of Potency gained by 20%',0,4),
(140233,30073,5,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(140234,30073,5,100,'Increases the amount of Potency gained by 20%',0,4),
(140235,30073,7,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(140236,30073,7,100,'Increases the amount of Potency gained by 20%',0,4),
(140237,30073,9,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(140238,30073,9,100,'Increases the amount of Potency gained by 20%',0,4),
(140239,30073,10,100,'Increases STR of caster by 229.2',0,0),
(140240,30073,10,100,'Decreases Defense of caster by 25.8',0,1),
(140241,30073,10,100,'Increases Slashing, Piercing and Crushing of caster by 65.5',0,2),
(140242,30073,10,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(140243,30073,10,100,'Increases the amount of Potency gained by 20%',0,4),
(140244,30074,1,100,'Increases Slashing, Piercing and Crushing of caster by 41.8',0,3),
(140245,30074,1,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,4),
(140246,30074,1,100,'Increases the amount of Potency gained by 20%',0,5),
(140247,30074,4,100,'Increases Slashing, Piercing and Crushing of caster by 51.2',0,3),
(140248,30074,4,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,4),
(140249,30074,4,100,'Increases the amount of Potency gained by 20%',0,5),
(140250,30074,5,100,'Increases Slashing, Piercing and Crushing of caster by 55.8',0,3),
(140251,30074,5,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,4),
(140252,30074,5,100,'Increases the amount of Potency gained by 20%',0,5),
(140253,30074,7,100,'Increases Slashing, Piercing and Crushing of caster by 71.6',0,3),
(140254,30074,7,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,4),
(140255,30074,7,100,'Increases the amount of Potency gained by 20%',0,5),
(140256,30074,9,100,'Increases Slashing, Piercing and Crushing of caster by 74.4',0,3),
(140257,30074,9,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,4),
(140258,30074,9,100,'Increases the amount of Potency gained by 20%',0,5),
(140259,30074,10,100,'Increases STR of caster by 266.1',0,0),
(140260,30074,10,100,'Increases Potency of caster by 2.7%',0,1),
(140261,30074,10,100,'Decreases Defense of caster by 29.8',0,2),
(140262,30074,10,100,'Increases Slashing, Piercing and Crushing of caster by 78.1',0,3),
(140263,30074,10,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,4),
(140264,30074,10,100,'Increases the amount of Potency gained by 20%',0,5),
(140265,30074,11,100,'Increases STR of caster by 320.0',0,0),
(140266,30074,11,100,'Increases Potency of caster by 3.2%',0,1),
(140267,30074,11,100,'Decreases Defense of caster by 29.8',0,2),
(140268,30074,11,100,'Increases Slashing, Piercing and Crushing of caster by 93.9',0,3),
(140269,30074,11,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,4),
(140270,30074,11,100,'Increases the amount of Potency gained by 20%',0,5),
(140271,30075,10,100,'When damaged this spell has a 25% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,0),
(140272,30075,10,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,1),
(140273,30075,10,100,'When damaged this spell has a 50% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,2),
(140274,30075,10,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,3),
(140275,30076,10,100,'When damaged this spell has a 25% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,0),
(140276,30076,10,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,1),
(140277,30076,10,100,'When damaged this spell has a 50% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,2),
(140278,30076,10,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,3),
(140279,30077,10,100,'When damaged this spell has a 25% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,0),
(140280,30077,10,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,1),
(140281,30077,10,100,'When damaged this spell has a 50% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,2),
(140282,30077,10,100,'Will absorb all damage.  This spell will absorb a total of 1 attack.',1,3),
(140283,30079,10,100,'Interrupts target',0,0),
(140284,30079,10,100,'Inflicts 53 - 89 crushing damage on target',0,1),
(140285,30080,10,100,'Interrupts target',0,0),
(140286,30080,10,100,'Inflicts 99 - 166 crushing damage on target',0,1),
(140287,30081,10,100,'Interrupts target',0,0),
(140288,30081,10,100,'Inflicts 152 - 253 crushing damage on target',0,1),
(140289,30082,10,100,'Interrupts target',0,0),
(140290,30082,10,100,'Inflicts 210 - 351 crushing damage on target',0,1),
(140291,30083,10,100,'Interrupts target',0,0),
(140292,30083,10,100,'Inflicts 269 - 448 crushing damage on target',0,1),
(140293,30084,10,100,'Interrupts target',0,0),
(140294,30084,10,100,'Inflicts 325 - 542 crushing damage on target',0,1),
(140295,30085,10,100,'Interrupts target',0,0),
(140296,30085,10,100,'Inflicts 370 - 618 crushing damage on target',0,1),
(140297,30085,11,100,'Interrupts target',0,0),
(140298,30085,11,100,'Inflicts 445 - 743 crushing damage on target',0,1),
(140299,30088,10,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,0),
(140300,30088,10,100,'Increases Threat to target by 371 ',1,1),
(140301,30088,10,100,'On a block this spell will cast Holding the Line on target''s victim.  ',0,2),
(140302,30088,10,100,'Increases Threat to target by 371 ',1,3),
(140303,30090,10,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,0),
(140304,30090,10,100,'Increases Threat to target by 882 ',1,1),
(140305,30090,10,100,'On a block this spell will cast Holding the Line on target''s victim.  ',0,2),
(140306,30090,10,100,'Increases Threat to target by 882 ',1,3),
(140307,30091,10,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,0),
(140308,30091,10,100,'Increases Threat to target by 1,185 ',1,1),
(140309,30091,10,100,'On a block this spell will cast Holding the Line on target''s victim.  ',0,2),
(140310,30091,10,100,'Increases Threat to target by 1,185 ',1,3),
(140311,30093,11,100,'When damaged this spell has a 50% chance to cast Holding the Line on target''s attacker.  ',0,0),
(140312,30093,11,100,'Increases Threat to target by 1,761 ',1,1),
(140313,30093,11,100,'On a block this spell will cast Holding the Line on target''s victim.  ',0,2),
(140314,30093,11,100,'Increases Threat to target by 1,761 ',1,3),
(140315,30095,10,100,'Decreases Haste of caster by 12.7',0,0),
(140316,30095,10,100,'Increases Mitigation of caster vs physical damage by 454',0,1),
(140317,30095,10,100,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(140318,30095,10,100,'Roots target',1,3),
(140319,30095,10,100,'5% chance to dispel when target takes damage',1,4),
(140320,30095,10,100,'5% chance to dispel when target receives hostile action',1,5),
(140321,30095,10,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,6),
(140322,30096,10,100,'Decreases Haste of caster by 14.1',0,0),
(140323,30096,10,100,'Increases Mitigation of caster vs physical damage by 689',0,1),
(140324,30096,10,100,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(140325,30096,10,100,'Roots target',1,3),
(140326,30096,10,100,'5% chance to dispel when target takes damage',1,4),
(140327,30096,10,100,'5% chance to dispel when target receives hostile action',1,5),
(140328,30096,10,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,6),
(140329,30097,10,100,'Decreases Haste of caster by 15.5',0,0),
(140330,30097,10,100,'Increases Mitigation of caster vs physical damage by 924',0,1),
(140331,30097,10,100,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(140332,30097,10,100,'Roots target',1,3),
(140333,30097,10,100,'5% chance to dispel when target takes damage',1,4),
(140334,30097,10,100,'5% chance to dispel when target receives hostile action',1,5),
(140335,30097,10,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,6),
(140336,30098,10,100,'Decreases Attack Speed of caster by 16.9',0,0),
(140337,30098,10,100,'Increases Mitigation of caster vs physical damage by 1159',0,1),
(140338,30098,10,100,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(140339,30098,10,100,'Roots target',1,3),
(140340,30098,10,100,'5% chance to dispel when target takes damage',1,4),
(140341,30098,10,100,'5% chance to dispel when target receives hostile action',1,5),
(140342,30098,10,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,6),
(140343,30099,10,100,'Decreases Haste of caster by 17.9',0,0),
(140344,30099,10,100,'Increases Mitigation of caster vs physical damage by 1394',0,1),
(140345,30099,10,100,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(140346,30099,10,100,'Roots target',1,3),
(140347,30099,10,100,'5% chance to dispel when target takes damage',1,4),
(140348,30099,10,100,'5% chance to dispel when target receives hostile action',1,5),
(140349,30099,10,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,6),
(140350,30100,10,100,'Decreases Haste of caster by 18.9',0,0),
(140351,30100,10,100,'Increases Mitigation of caster vs physical damage by 1637',0,1),
(140352,30100,10,100,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(140353,30100,10,100,'Roots target',1,3),
(140354,30100,10,100,'5% chance to dispel when target takes damage',1,4),
(140355,30100,10,100,'5% chance to dispel when target receives hostile action',1,5),
(140356,30100,10,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,6),
(140357,30101,10,100,'Decreases Haste of caster by 19.9',0,0),
(140358,30101,10,100,'Increases Mitigation of caster vs physical damage by 1830',0,1),
(140359,30101,10,100,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(140360,30101,10,100,'Roots target',1,3),
(140361,30101,10,100,'5% chance to dispel when target takes damage',1,4),
(140362,30101,10,100,'5% chance to dispel when target receives hostile action',1,5),
(140363,30101,10,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,6),
(140364,30101,11,100,'Decreases Haste of caster by 19.9',0,0),
(140365,30101,11,100,'Increases Mitigation of caster vs physical damage by 2200',0,1),
(140366,30101,11,100,'On a melee hit this spell may cast Pin on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(140367,30101,11,100,'Roots target',1,3),
(140368,30101,11,100,'5% chance to dispel when target takes damage',1,4),
(140369,30101,11,100,'5% chance to dispel when target receives hostile action',1,5),
(140370,30101,11,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,6),
(140371,30102,10,100,'Increases STA of caster by 27.2',0,0),
(140374,30104,10,100,'Increases STA of caster by 55.2',0,0),
(140375,30104,10,100,'Reduces slow effects on caster by 19.3%',0,1),
(140376,30104,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1451',0,2),
(140377,30105,10,100,'Increases STA of caster by 69.3',0,0),
(140378,30105,10,100,'Reduces slow effects on caster by 25.2%',0,1),
(140379,30105,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1814',0,2),
(140380,30106,10,100,'Increases STA of caster by 83.2',0,0),
(140381,30106,10,100,'Reduces slow effects on caster by 33.6%',0,1),
(140382,30106,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2073',0,2),
(140383,30107,10,100,'Increases STA of caster by 97.0',0,0),
(140384,30107,10,100,'Reduces slow effects on caster by 37.8%',0,1),
(140385,30107,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2682',0,2),
(140386,30108,10,100,'Increases STA of caster by 110.9',0,0),
(140387,30108,10,100,'Reduces slow effects on caster by 42.0%',0,1),
(140388,30108,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2980',0,2),
(140389,30108,11,100,'Increases STA of caster by 133.3',0,0),
(140390,30108,11,100,'Reduces slow effects on caster by 50.5%',0,1),
(140391,30108,11,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 3583',0,2),
(140392,30110,10,100,'Grants target a 26% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(140393,30110,10,100,'Decreases Hate Gain of target by 11.2%',0,1),
(140394,30111,10,100,'Grants target a 37% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(140395,30111,10,100,'Decreases Hate Gain of target by 11.2%',0,1),
(140396,30112,10,100,'Grants target a 49% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(140397,30112,10,100,'Decreases Hate Gain of target by 11.2%',0,1),
(140398,30113,10,100,'Grants target a 58% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(140399,30113,10,100,'Decreases Hate Gain of target by 11.2%',0,1),
(140400,30114,10,100,'Grants target a 26% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(140401,30114,10,100,'Increases Parry of caster by 5.3',0,1),
(140402,30116,10,100,'Grants target a 47% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(140403,30116,10,100,'Increases Parry of caster by 11.6',0,1),
(140404,30117,10,100,'Grants target a 57% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(140405,30117,10,100,'Increases Parry of caster by 15.1',0,1),
(140407,30121,10,100,'Inflicts 135 - 226 melee damage on target',0,0),
(140408,30122,10,100,'Inflicts 194 - 323 melee damage on target',0,0),
(140409,30123,10,100,'Inflicts 253 - 422 melee damage on target',0,0),
(140410,30124,10,100,'Inflicts 307 - 511 melee damage on target',0,0),
(140411,30125,10,100,'Inflicts 364 - 607 melee damage on target',0,0),
(140412,30125,11,100,'Inflicts 437 - 729 melee damage on target',0,0),
(140413,30126,10,100,'Forces targets in Area of Effect to change their selected target to caster.',0,0),
(140414,30126,10,100,'Increases Threat to targets in Area of Effect by 82 ',0,1),
(140415,30126,10,100,'Prevents targets in Area of Effect from changing targets',0,2),
(140416,30127,10,100,'Forces targets in Area of Effect to change their selected target to caster.',0,0),
(140417,30127,10,100,'Increases Threat to targets in Area of Effect by 82 ',0,1),
(140418,30127,10,100,'Prevents targets in Area of Effect from changing targets',0,2),
(140419,30128,10,100,'Forces targets in Area of Effect to change their selected target to caster.',0,0),
(140420,30128,10,100,'Increases Threat to targets in Area of Effect by 82 ',0,1),
(140421,30128,10,100,'Prevents targets in Area of Effect from changing targets',0,2),
(140422,30129,10,100,'Forces targets in Area of Effect to change their selected target to caster.',0,0),
(140423,30129,10,100,'Increases Threat to targets in Area of Effect by 82 ',0,1),
(140424,30129,10,100,'Prevents targets in Area of Effect from changing targets',0,2),
(140425,30130,10,100,'Forces targets in Area of Effect to change their selected target to caster.',0,0),
(140426,30130,10,100,'Increases Threat to targets in Area of Effect by 82 ',0,1),
(140427,30130,10,100,'Prevents targets in Area of Effect from changing targets',0,2),
(140428,30131,10,100,'Forces targets in Area of Effect to change their selected target to caster.',0,0),
(140429,30131,10,100,'Increases Threat to targets in Area of Effect by 82 ',0,1),
(140430,30131,10,100,'Prevents targets in Area of Effect from changing targets',0,2),
(140431,30131,11,100,'Forces targets in Area of Effect to change their selected target to caster.',0,0),
(140432,30131,11,100,'Increases Threat to targets in Area of Effect by 99 ',0,1),
(140433,30131,11,100,'Prevents targets in Area of Effect from changing targets',0,2),
(140434,30132,10,100,'Inflicts 139 - 232 melee damage on target',0,0),
(140435,30133,10,100,'Inflicts 224 - 373 melee damage on target',0,0),
(140436,30134,10,100,'Inflicts 330 - 550 melee damage on target',0,0),
(140437,30135,10,100,'Inflicts 436 - 726 melee damage on target',0,0),
(140438,30136,10,100,'Inflicts 527 - 879 melee damage on target',0,0),
(140439,30137,10,100,'Inflicts 635 - 1059 melee damage on target',0,0),
(140440,30138,10,100,'Inflicts 690 - 1150 melee damage on target',0,0),
(140441,30138,11,100,'Inflicts 830 - 1383 melee damage on target',0,0),
(140442,30143,10,100,'Interrupts target',0,0),
(140443,30143,10,100,'Increases Threat to target by 9,834 - 11,900 ',0,1),
(140444,30143,11,100,'Interrupts target',0,0),
(140445,30143,11,100,'Increases Threat to target by 11,715 - 14,199 ',0,1),
(140446,30144,10,100,'Interrupts target',0,0),
(140447,30144,10,100,'Increases Threat to target by 3,844 - 4,579 ',0,1),
(140448,30145,10,100,'Interrupts target',0,0),
(140449,30145,10,100,'Increases Threat to target by 5,305 - 6,364 ',0,1),
(140450,30148,10,100,'Reduces the hate position of all non-fighter group members on target encounter.',0,0),
(140451,30148,10,100,'Increases the hate position of all other fighter allies that are hated by every enemy in target encounter.',0,1),
(140452,30149,10,100,'On a melee hit this spell will cast Reinforcement on target of attack.  ',0,0),
(140453,30149,10,100,'Increases threat priority of target by 1 position',1,1),
(140454,30149,10,100,'Increases Threat to target by 1,657 ',1,2),
(140455,30152,10,100,'Inflicts 545 - 908 melee damage on target',0,0),
(140456,30152,10,100,'Dazes target',0,1),
(140457,30152,10,100,'If Target is not Epic',1,2),
(140458,30152,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(140459,30153,10,100,'Inflicts 659 - 1099 melee damage on target',0,0),
(140460,30153,10,100,'Dazes target',0,1),
(140461,30153,10,100,'If Target is not Epic',1,2),
(140462,30153,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(140463,30154,10,100,'Inflicts 794 - 1324 melee damage on target',0,0),
(140464,30154,10,100,'Dazes target',0,1),
(140465,30154,10,100,'If Target is not Epic',1,2),
(140466,30154,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(140467,30155,10,100,'Inflicts 862 - 1438 melee damage on target',0,0),
(140468,30155,10,100,'Dazes target',0,1),
(140469,30155,10,100,'If Target is not Epic',1,2),
(140470,30155,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(140471,30155,11,100,'Inflicts 1037 - 1729 melee damage on target',0,0),
(140472,30155,11,100,'Dazes target',0,1),
(140473,30155,11,100,'If Target is not Epic',1,2),
(140474,30155,11,100,'Resistibility increases against targets higher than level 29.',0,3),
(140475,30157,10,100,'Inflicts 58 - 97 slashing damage on target',0,0),
(140476,30157,10,100,'Inflicts 24 - 29 slashing damage on target every 5 seconds',0,1),
(140477,30157,10,100,'Decreases Slashing, Crushing and Piercing of target by 6.3',0,2),
(140478,30158,10,100,'Inflicts 95 - 158 slashing damage on target',0,0),
(140479,30158,10,100,'Inflicts 39 - 48 slashing damage on target every 5 seconds',0,1),
(140480,30158,10,100,'Decreases Slashing, Crushing and Piercing of target by 9.8',0,2),
(140481,30159,10,100,'Inflicts 141 - 235 slashing damage on target',0,0),
(140482,30159,10,100,'Inflicts 58 - 71 slashing damage on target every 5 seconds',0,1),
(140483,30159,10,100,'Decreases Slashing, Crushing and Piercing of target by 13.4',0,2),
(140484,30160,10,100,'Inflicts 187 - 312 slashing damage on target',0,0),
(140485,30160,10,100,'Inflicts 77 - 94 slashing damage on target every 5 seconds',0,1),
(140486,30160,10,100,'Decreases Slashing, Crushing and Piercing of target by 16.9',0,2),
(140487,30161,10,100,'Inflicts 226 - 377 slashing damage on target',0,0),
(140488,30161,10,100,'Inflicts 93 - 114 slashing damage on target every 5 seconds',0,1),
(140489,30161,10,100,'Decreases Slashing, Crushing and Piercing of target by 20.0',0,2),
(140490,30162,10,100,'Inflicts 273 - 455 slashing damage on target',0,0),
(140491,30162,10,100,'Inflicts 112 - 137 slashing damage on target every 5 seconds',0,1),
(140492,30162,10,100,'Decreases Slashing, Crushing and Piercing of target by 23.4',0,2),
(140493,30163,10,100,'Inflicts 300 - 500 slashing damage on target',0,0),
(140494,30163,10,100,'Inflicts 124 - 151 slashing damage on target every 5 seconds',0,1),
(140495,30163,10,100,'Decreases Slashing, Crushing and Piercing of target by 26.7',0,2),
(140496,30163,11,100,'Inflicts 361 - 601 slashing damage on target',0,0),
(140497,30163,11,100,'Inflicts 149 - 182 slashing damage on target every 5 seconds',0,1),
(140498,30163,11,100,'Decreases Slashing, Crushing and Piercing of target by 32.1',0,2),
(140499,30164,10,100,'When damaged this spell has a 10% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,0),
(140500,30164,10,100,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',1,1),
(140501,30164,10,100,'If profession other than Fighter',0,2),
(140502,30164,10,100,'If profession other than Scout',0,3),
(140503,30166,10,100,'When damaged this spell has a 14% chance to cast Stoneskin on target.  Lasts for 10.0 seconds.  ',0,0),
(140504,30166,10,100,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',1,1),
(140505,30166,10,100,'If profession other than Fighter',0,2),
(140506,30166,10,100,'If profession other than Scout',0,3),
(140507,30168,10,100,'On death this spell will cast Sentry Watch Guard on target.  Lasts for 15.0 seconds.  ',0,0),
(140508,30168,10,100,'Reduces all damage done to target by 84% This spell will absorb a total of 1 attack.',1,1),
(140509,30168,10,100,'Heals target for 30.0% of max health',1,2),
(140510,30168,10,100,'This effect cannot be critically applied.',2,3),
(140511,30168,10,100,'When damaged this spell will cast Reinforcement on target''s attacker.  ',1,4),
(140512,30168,10,100,'Increases threat priority of target by 1 position',2,5),
(140513,30168,10,100,'Increases Threat to target by 1,745 ',2,6),
(140514,30168,10,100,'The healing of this spell cannot be modified except by direct means',1,7),
(140515,30168,10,100,'Grants a total of 1 trigger of the spell.',1,8),
(140516,30170,10,100,'Inflicts 28 - 47 slashing damage on target',0,0),
(140517,30170,10,100,'Inflicts 38 slashing damage on target instantly and every 4 seconds',0,1),
(140518,30170,10,100,'Decreases DPS of target by 13.0',0,2),
(140519,30171,10,100,'Inflicts 44 - 74 slashing damage on target',0,0),
(140520,30171,10,100,'Inflicts 60 slashing damage on target instantly and every 4 seconds',0,1),
(140521,30171,10,100,'Decreases DPS of target by 15.4',0,2),
(140522,30172,10,100,'Inflicts 64 - 107 slashing damage on target',0,0),
(140523,30172,10,100,'Inflicts 86 slashing damage on target instantly and every 4 seconds',0,1),
(140524,30172,10,100,'Decreases DPS of target by 18.2',0,2),
(140525,30173,10,100,'Inflicts 84 - 140 slashing damage on target',0,0),
(140526,30173,10,100,'Inflicts 113 slashing damage on target instantly and every 4 seconds',0,1),
(140527,30173,10,100,'Decreases Damage Per Second of target by 21.0',0,2),
(140528,30174,10,100,'Inflicts 102 - 170 slashing damage on target',0,0),
(140529,30174,10,100,'Inflicts 137 slashing damage on target instantly and every 4 seconds',0,1),
(140530,30174,10,100,'Decreases DPS of target by 23.7',0,2),
(140531,30175,10,100,'Inflicts 123 - 205 slashing damage on target',0,0),
(140532,30175,10,100,'Inflicts 165 slashing damage on target instantly and every 4 seconds',0,1),
(140533,30175,10,100,'Decreases Damage Per Second of target by 26.5',0,2),
(140534,30176,10,100,'Inflicts 130 - 218 slashing damage on target',0,0),
(140535,30176,10,100,'Inflicts 175 slashing damage on target instantly and every 4 seconds',0,1),
(140536,30176,10,100,'Decreases DPS of target by 29.2',0,2),
(140537,30176,11,100,'Inflicts 157 - 262 slashing damage on target',0,0),
(140538,30176,11,100,'Inflicts 210 slashing damage on target instantly and every 4 seconds',0,1),
(140539,30176,11,100,'Decreases DPS of target by 35.2',0,2),
(140540,30177,11,100,'Increases Threat to target encounter by 785 - 960 ',0,0),
(140541,30178,11,100,'Increases Threat to target encounter by 1,791 - 2,069 ',0,0),
(140542,30179,10,100,'Increases Threat to target encounter by 2,398 - 2,812 ',0,0),
(140544,30180,1,100,'Increases Threat to target encounter by 2,071 - 2,411 ',0,0),
(140546,30182,10,100,'Increases Threat to target encounter by 5,693 - 6,838 ',0,0),
(140548,30183,10,100,'Increases Threat to target encounter by 6,829 - 8,227 ',0,0),
(140549,30183,11,100,'Increases Threat to target encounter by 8,102 - 9,783 ',0,0),
(140550,30184,10,100,'Increases Threat to target encounter by 7,965 - 9,615 ',0,0),
(140551,30184,11,100,'Increases Threat to target encounter by 9,468 - 11,452 ',0,0),
(140552,30185,11,100,'Inflicts 241 - 403 crushing damage on target',0,0),
(140553,30186,10,100,'Inflicts 349 - 582 crushing damage on target',0,0),
(140554,30186,11,100,'Inflicts 420 - 700 crushing damage on target',0,0),
(140555,30187,10,100,'Inflicts 524 - 874 crushing damage on target',0,0),
(140556,30187,11,100,'Inflicts 630 - 1051 crushing damage on target',0,0),
(140557,30188,11,100,'Inflicts 853 - 1423 crushing damage on target',0,0),
(140558,30189,10,100,'Inflicts 890 - 1483 crushing damage on target',0,0),
(140559,30189,11,100,'Inflicts 1070 - 1784 crushing damage on target',0,0),
(140560,30190,10,100,'Inflicts 1074 - 1790 crushing damage on target',0,0),
(140561,30190,11,100,'Inflicts 1291 - 2152 crushing damage on target',0,0),
(140562,30191,10,100,'Inflicts 1194 - 1990 crushing damage on target',0,0),
(140563,30191,11,100,'Inflicts 1435 - 2392 crushing damage on target',0,0),
(140564,30192,11,100,'Inflicts 152 - 254 melee damage on target encounter',0,0),
(140565,30192,11,100,'Increases Threat to target encounter by 3,720 ',0,1),
(140566,30193,10,100,'Inflicts 180 - 300 melee damage on target encounter',0,0),
(140567,30193,10,100,'Increases Threat to target encounter by 4,395 ',0,1),
(140568,30193,11,100,'Inflicts 216 - 361 melee damage on target encounter',0,0),
(140569,30193,11,100,'Increases Threat to target encounter by 5,175 ',0,1),
(140570,30194,10,100,'Inflicts 230 - 383 melee damage on target encounter',0,0),
(140571,30194,10,100,'Increases Threat to target encounter by 5,605 ',0,1),
(140572,30194,11,100,'Inflicts 277 - 461 melee damage on target encounter',0,0),
(140573,30194,11,100,'Increases Threat to target encounter by 6,630 ',0,1),
(140574,30195,10,100,'Inflicts 279 - 465 melee damage on target encounter',0,0),
(140575,30195,10,100,'Increases Threat to target encounter by 6,865 ',0,1),
(140576,30195,11,100,'Inflicts 335 - 559 melee damage on target encounter',0,0),
(140577,30195,11,100,'Increases Threat to target encounter by 8,145 ',0,1),
(140578,30196,10,100,'Inflicts 331 - 551 melee damage on target encounter',0,0),
(140579,30196,10,100,'Increases Threat to target encounter by 8,125 ',0,1),
(140580,30196,11,100,'Inflicts 398 - 663 melee damage on target encounter',0,0),
(140581,30196,11,100,'Increases Threat to target encounter by 9,660 ',0,1),
(140582,30200,10,100,'Inflicts 52 - 88 melee damage on target',0,0),
(140583,30200,10,100,'Increases Threat to target by 2,518 - 2,958 ',0,1),
(140584,30201,10,100,'Inflicts 171 - 285 melee damage on target',0,0),
(140585,30201,10,100,'Increases Threat to target by 8,078 - 9,754 ',0,1),
(140586,30201,11,100,'Inflicts 206 - 343 melee damage on target',0,0),
(140587,30201,11,100,'Increases Threat to target by 9,604 - 11,618 ',0,1),
(140588,30202,10,100,'Inflicts 78 - 131 melee damage on target',0,0),
(140589,30202,10,100,'Increases Threat to target by 3,557 - 4,227 ',0,1),
(140590,30203,10,100,'Inflicts 105 - 175 melee damage on target',0,0),
(140591,30203,10,100,'Increases Threat to target by 4,684 - 5,605 ',0,1),
(140592,30204,10,100,'Inflicts 129 - 215 melee damage on target',0,0),
(140593,30204,10,100,'Increases Threat to target by 5,807 - 6,977 ',0,1),
(140594,30205,10,100,'Inflicts 156 - 260 melee damage on target',0,0),
(140595,30205,10,100,'Increases Threat to target by 6,943 - 8,366 ',0,1),
(140596,30206,10,100,'Applies Stoneskin Reaction.  Lasts for 1.0 seconds.',0,0),
(140597,30206,10,100,'Reduces all damage done to target by 100%',1,1),
(140598,30206,10,100,'Triggers when a Stoneskin is consumed. Suspends all other stoneskins that match the damage types of this effect.',1,2),
(140599,30206,10,100,'Will absorb all damage when the amount is greater than 10% of the target''s maximum health. This spell will absorb a total of 4 attacks.',0,3),
(140600,30207,9,100,'Caster is immune to riposte damage.',0,0),
(140601,30207,9,100,'On a melee hit this spell may cast Shielding of Vel`Arek on caster.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',0,1),
(140602,30207,9,100,'Makes caster immune to Root effects',1,2),
(140603,30207,9,100,'Makes caster immune to Daze effects',1,3),
(140604,30207,9,100,'Makes caster immune to Fear effects',1,4),
(140605,30207,9,100,'Makes caster immune to Stifle effects',1,5),
(140606,30207,9,100,'Makes caster immune to Stun effects',1,6),
(140607,30207,9,100,'Cannot be modified except by direct means',1,7),
(140608,30207,9,100,'On a melee hit this spell may cast Wrath of the Warrior on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.4 times per minute. ',0,8),
(140609,30207,9,100,'Reduces physical damage done to caster by 5%',1,9),
(140610,30207,9,100,'Inflicts 635 - 953 slashing damage on target',1,10),
(140611,30207,9,100,'Cannot be modified except by direct means',1,11),
(140612,30207,9,100,'Cannot be modified except by direct means',0,12),
(140613,30207,10,100,'Caster is immune to riposte damage.',0,0),
(140614,30207,10,100,'On a melee hit this spell may cast Shielding of Vel`Arek on caster.  Lasts for 10.0 seconds.  Triggers about 1.8 times per minute. ',0,1),
(140615,30207,10,100,'Makes caster immune to Root effects',1,2),
(140616,30207,10,100,'Makes caster immune to Daze effects',1,3),
(140617,30207,10,100,'Makes caster immune to Fear effects',1,4),
(140618,30207,10,100,'Makes caster immune to Stifle effects',1,5),
(140619,30207,10,100,'Makes caster immune to Stun effects',1,6),
(140620,30207,10,100,'Cannot be modified except by direct means',1,7),
(140621,30207,10,100,'On a melee hit this spell may cast Wrath of the Warrior on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.4 times per minute. ',0,8),
(140622,30207,10,100,'Reduces physical damage done to caster by 5%',1,9),
(140623,30207,10,100,'Inflicts 635 - 953 slashing damage on target',1,10),
(140624,30207,10,100,'Cannot be modified except by direct means',1,11),
(140625,30207,10,100,'Cannot be modified except by direct means',0,12),
(140626,40000,1,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(140627,40000,1,100,'Inflicts 5 - 9 melee damage on target encounter',1,5),
(140628,40000,2,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(140629,40000,2,100,'Inflicts 6 - 10 melee damage on target encounter',1,5),
(140630,40000,3,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(140631,40000,3,100,'Inflicts 6 - 10 melee damage on target encounter',1,5),
(140632,40000,4,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(140633,40000,4,100,'Inflicts 7 - 12 melee damage on target encounter',1,5),
(140634,40000,5,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(140635,40000,5,100,'Inflicts 7 - 13 melee damage on target encounter',1,5),
(140636,40000,7,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(140637,40000,7,100,'Inflicts 10 - 16 melee damage on target encounter',1,5),
(140638,40000,9,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(140639,40000,9,100,'Inflicts 10 - 17 melee damage on target encounter',1,5),
(140640,40000,10,100,'Decreases Defense of caster by 1.8',0,0),
(140641,40000,10,100,'Increases Slashing, Piercing and Crushing of caster by 4.5',0,1),
(140642,40000,10,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(140643,40000,10,100,'Increases the amount of Potency gained by 20%',0,3),
(140644,40000,10,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(140645,40000,10,100,'Inflicts 11 - 18 melee damage on target encounter',1,5),
(140646,40001,1,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(140647,40001,1,100,'Inflicts 22 - 36 melee damage on target encounter',1,5),
(140648,40001,2,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(140649,40001,2,100,'Inflicts 23 - 38 melee damage on target encounter',1,5),
(140650,40001,3,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(140651,40001,3,100,'Inflicts 24 - 41 melee damage on target encounter',1,5),
(140652,40001,4,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(140653,40001,4,100,'Inflicts 27 - 45 melee damage on target encounter',1,5),
(140654,40001,5,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(140655,40001,5,100,'Inflicts 29 - 49 melee damage on target encounter',1,5),
(140656,40001,7,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(140657,40001,7,100,'Inflicts 37 - 63 melee damage on target encounter',1,5),
(140658,40001,9,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(140659,40001,9,100,'Inflicts 39 - 65 melee damage on target encounter',1,5),
(140660,40001,10,100,'Decreases Defense of caster by 4.8',0,0),
(140661,40001,10,100,'Increases Slashing, Piercing and Crushing of caster by 12.1',0,1),
(140662,40001,10,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(140663,40001,10,100,'Increases the amount of Potency gained by 20%',0,3),
(140664,40001,10,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(140665,40001,10,100,'Inflicts 41 - 68 melee damage on target encounter',1,5),
(140666,40002,1,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(140667,40002,1,100,'Inflicts 53 - 89 melee damage on target encounter',1,5),
(140668,40002,2,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(140669,40002,2,100,'Inflicts 56 - 94 melee damage on target encounter',1,5),
(140670,40002,3,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(140671,40002,3,100,'Inflicts 59 - 99 melee damage on target encounter',1,5),
(140672,40002,4,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(140673,40002,4,100,'Inflicts 65 - 109 melee damage on target encounter',1,5),
(140674,40002,5,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(140675,40002,5,100,'Inflicts 71 - 118 melee damage on target encounter',1,5),
(140676,40002,7,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(140677,40002,7,100,'Inflicts 91 - 152 melee damage on target encounter',1,5),
(140678,40002,9,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(140679,40002,9,100,'Inflicts 95 - 158 melee damage on target encounter',1,5),
(140680,40002,10,100,'Decreases Defense of caster by 10.8',0,0),
(140681,40002,10,100,'Increases Slashing, Piercing and Crushing of caster by 27.2',0,1),
(140682,40002,10,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(140683,40002,10,100,'Increases the amount of Potency gained by 20%',0,3),
(140684,40002,10,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(140685,40002,10,100,'Inflicts 99 - 166 melee damage on target encounter',1,5),
(140686,40003,1,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(140687,40003,1,100,'Inflicts 80 - 133 melee damage on target encounter',1,5),
(140688,40003,2,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(140689,40003,2,100,'Inflicts 84 - 141 melee damage on target encounter',1,5),
(140690,40003,3,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(140691,40003,3,100,'Inflicts 89 - 148 melee damage on target encounter',1,5),
(140692,40003,4,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(140693,40003,4,100,'Inflicts 98 - 163 melee damage on target encounter',1,5),
(140694,40003,5,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(140695,40003,5,100,'Inflicts 107 - 178 melee damage on target encounter',1,5),
(140696,40003,7,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(140697,40003,7,100,'Inflicts 137 - 229 melee damage on target encounter',1,5),
(140698,40003,9,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(140699,40003,9,100,'Inflicts 142 - 237 melee damage on target encounter',1,5),
(140700,40003,10,100,'Decreases Defense of caster by 15.0',0,0),
(140701,40003,10,100,'Increases Slashing, Piercing and Crushing of caster by 37.8',0,1),
(140702,40003,10,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(140703,40003,10,100,'Increases the amount of Potency gained by 20%',0,3),
(140704,40003,10,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(140705,40003,10,100,'Inflicts 149 - 249 melee damage on target encounter',1,5),
(140706,40004,1,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(140707,40004,1,100,'Inflicts 108 - 181 melee damage on target encounter',1,5),
(140708,40004,2,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(140709,40004,2,100,'Inflicts 114 - 191 melee damage on target encounter',1,5),
(140710,40004,3,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(140711,40004,3,100,'Inflicts 120 - 201 melee damage on target encounter',1,5),
(140712,40004,4,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(140713,40004,4,100,'Inflicts 132 - 221 melee damage on target encounter',1,5),
(140714,40004,5,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(140715,40004,5,100,'Inflicts 144 - 241 melee damage on target encounter',1,5),
(140716,40004,7,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(140717,40004,7,100,'Inflicts 185 - 309 melee damage on target encounter',1,5),
(140718,40004,9,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(140719,40004,9,100,'Inflicts 193 - 322 melee damage on target encounter',1,5),
(140720,40004,10,100,'Decreases Defense of caster by 19.2',0,0),
(140721,40004,10,100,'Increases Slashing, Piercing and Crushing of caster by 48.4',0,1),
(140722,40004,10,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(140723,40004,10,100,'Increases the amount of Potency gained by 20%',0,3),
(140724,40004,10,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(140725,40004,10,100,'Inflicts 202 - 338 melee damage on target encounter',1,5),
(140726,40005,1,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(140727,40005,1,100,'Inflicts 136 - 227 melee damage on target encounter',1,5),
(140728,40005,2,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(140729,40005,2,100,'Inflicts 143 - 239 melee damage on target encounter',1,5),
(140730,40005,3,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(140731,40005,3,100,'Inflicts 151 - 252 melee damage on target encounter',1,5),
(140732,40005,4,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(140733,40005,4,100,'Inflicts 166 - 277 melee damage on target encounter',1,5),
(140734,40005,5,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(140735,40005,5,100,'Inflicts 181 - 302 melee damage on target encounter',1,5),
(140736,40005,7,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(140737,40005,7,100,'Inflicts 233 - 388 melee damage on target encounter',1,5),
(140738,40005,9,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(140739,40005,9,100,'Inflicts 242 - 403 melee damage on target encounter',1,5),
(140740,40005,10,100,'Decreases Defense of caster by 23.4',0,0),
(140741,40005,10,100,'Increases Slashing, Piercing and Crushing of caster by 59.0',0,1),
(140742,40005,10,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(140743,40005,10,100,'Increases the amount of Potency gained by 20%',0,3),
(140744,40005,10,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(140745,40005,10,100,'Inflicts 254 - 423 melee damage on target encounter',1,5),
(140746,40006,1,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(140747,40006,1,100,'Inflicts 164 - 274 melee damage on target encounter',1,5),
(140748,40006,4,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(140749,40006,4,100,'Inflicts 200 - 334 melee damage on target encounter',1,5),
(140750,40006,5,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(140751,40006,5,100,'Inflicts 219 - 365 melee damage on target encounter',1,5),
(140752,40006,7,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(140753,40006,7,100,'Inflicts 281 - 468 melee damage on target encounter',1,5),
(140754,40006,9,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(140755,40006,9,100,'Inflicts 292 - 487 melee damage on target encounter',1,5),
(140756,40006,10,100,'Decreases Defense of caster by 27.4',0,0),
(140757,40006,10,100,'Increases Slashing, Piercing and Crushing of caster by 70.6',0,1),
(140758,40006,10,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(140759,40006,10,100,'Increases the amount of Potency gained by 20%',0,3),
(140760,40006,10,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(140761,40006,10,100,'Inflicts 306 - 511 melee damage on target encounter',1,5),
(140762,40007,1,100,'Increases the amount of Potency gained by 20%',0,4),
(140763,40007,1,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,5),
(140764,40007,1,100,'Inflicts 210 - 350 melee damage on target encounter',1,6),
(140765,40007,4,100,'Increases the amount of Potency gained by 20%',0,4),
(140766,40007,4,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,5),
(140767,40007,4,100,'Inflicts 256 - 428 melee damage on target encounter',1,6),
(140768,40007,5,100,'Increases the amount of Potency gained by 20%',0,4),
(140769,40007,5,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,5),
(140770,40007,5,100,'Inflicts 280 - 467 melee damage on target encounter',1,6),
(140771,40007,7,100,'Increases the amount of Potency gained by 20%',0,4),
(140772,40007,7,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,5),
(140773,40007,7,100,'Inflicts 359 - 599 melee damage on target encounter',1,6),
(140774,40007,9,100,'Increases the amount of Potency gained by 20%',0,4),
(140775,40007,9,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,5),
(140776,40007,9,100,'Inflicts 373 - 622 melee damage on target encounter',1,6),
(140777,40007,10,100,'Increases Potency of caster by 2.7%',0,0),
(140778,40007,10,100,'Decreases Defense of caster by 31.4',0,1),
(140779,40007,10,100,'Increases Slashing, Piercing and Crushing of caster by 83.2',0,2),
(140780,40007,10,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(140781,40007,10,100,'Increases the amount of Potency gained by 20%',0,4),
(140782,40007,10,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,5),
(140783,40007,10,100,'Inflicts 392 - 653 melee damage on target encounter',1,6),
(140784,40007,11,100,'Increases Potency of caster by 3.2%',0,0),
(140785,40007,11,100,'Decreases Defense of caster by 31.4',0,1),
(140786,40007,11,100,'Increases Slashing, Piercing and Crushing of caster by 100.0',0,2),
(140787,40007,11,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(140788,40007,11,100,'Increases the amount of Potency gained by 20%',0,4),
(140789,40007,11,100,'On a melee hit this spell may cast Furious Assault on target of attack.  Triggers about 2.0 times per minute. ',0,5),
(140790,40007,11,100,'Inflicts 471 - 786 melee damage on target encounter',1,6),
(140791,40008,10,100,'Applies Lost Adrenaline on termination.  Lasts for 30.0 seconds.',0,0),
(140792,40008,10,100,'Drains power instantly and every 3 seconds.',1,1),
(140793,40008,10,100,'Cannot be modified except by direct means',1,2),
(140794,40008,10,100,'50% of all damage received by the caster is instantly regenerated.',0,3),
(140795,40008,10,100,'Adrenaline can only be used while berserk!',0,4),
(140796,40010,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 432',0,0),
(140797,40010,10,100,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',0,1),
(140798,40010,10,100,'Increases Threat to target by 179 ',1,2),
(140799,40010,10,100,'Inflicts 29 - 49 slashing damage on target',1,3),
(140800,40010,10,100,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',0,4),
(140801,40010,10,100,'Increases Threat to target by 179 ',1,5),
(140802,40011,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 835',0,0),
(140803,40011,10,100,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',0,1),
(140804,40011,10,100,'Increases Threat to target by 371 ',1,2),
(140805,40011,10,100,'Inflicts 59 - 98 slashing damage on target',1,3),
(140806,40011,10,100,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',0,4),
(140807,40011,10,100,'Increases Threat to target by 371 ',1,5),
(140808,40013,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1641',0,0),
(140809,40013,10,100,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',0,1),
(140810,40013,10,100,'Increases Threat to target by 882 ',1,2),
(140811,40013,10,100,'Inflicts 132 - 221 slashing damage on target',1,3),
(140812,40013,10,100,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',0,4),
(140813,40013,10,100,'Increases Threat to target by 882 ',1,5),
(140814,40014,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2044',0,0),
(140815,40014,10,100,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',0,1),
(140816,40014,10,100,'Increases Threat to target by 1,185 ',1,2),
(140817,40014,10,100,'Inflicts 173 - 288 slashing damage on target',1,3),
(140818,40014,10,100,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',0,4),
(140819,40014,10,100,'Increases Threat to target by 1,185 ',1,5),
(140820,40015,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2332',0,0),
(140821,40015,10,100,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',0,1),
(140822,40015,10,100,'Increases Threat to target by 1,387 ',1,2),
(140823,40015,10,100,'Inflicts 209 - 349 slashing damage on target',1,3),
(140824,40015,10,100,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',0,4),
(140825,40015,10,100,'Increases Threat to target by 1,387 ',1,5),
(140826,40016,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 3013',0,0),
(140827,40016,10,100,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',0,1),
(140828,40016,10,100,'Increases Threat to target by 1,555 ',1,2),
(140829,40016,10,100,'Inflicts 248 - 414 slashing damage on target',1,3),
(140830,40016,10,100,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',0,4),
(140831,40016,10,100,'Increases Threat to target by 1,555 ',1,5),
(140832,40016,11,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 3622',0,0),
(140833,40016,11,100,'When damaged with a melee weapon this spell has a 20% chance to cast Provoking Counterattack on target''s attacker.  ',0,1),
(140834,40016,11,100,'Increases Threat to target by 1,761 ',1,2),
(140835,40016,11,100,'Inflicts 299 - 498 slashing damage on target',1,3),
(140836,40016,11,100,'On a block this spell will cast Provoking Counterattack on target''s victim.  ',0,4),
(140837,40016,11,100,'Increases Threat to target by 1,761 ',1,5),
(140838,40018,10,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(140839,40018,10,100,'Increases Haste of target by 15.1',1,1),
(140840,40018,10,100,'Increases DPS of target by 15.1',1,2),
(140841,40018,10,100,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,3),
(140842,40018,10,100,'Increases Haste of target by 15.1',1,4),
(140843,40018,10,100,'Increases DPS of target by 15.1',1,5),
(140844,40018,10,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(140845,40018,10,100,'Increases Haste of target by 15.1',1,7),
(140846,40018,10,100,'Increases DPS of target by 15.1',1,8),
(140847,40020,10,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(140848,40020,10,100,'Increases Haste of target by 21.8',1,1),
(140849,40020,10,100,'Increases DPS of target by 21.8',1,2),
(140850,40020,10,100,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,3),
(140851,40020,10,100,'Increases Haste of target by 21.8',1,4),
(140852,40020,10,100,'Increases DPS of target by 21.8',1,5),
(140853,40020,10,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(140854,40020,10,100,'Increases Haste of target by 21.8',1,7),
(140855,40020,10,100,'Increases DPS of target by 21.8',1,8),
(140856,40021,11,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(140857,40021,11,100,'Increases Haste of target by 48.7',1,1),
(140858,40021,11,100,'Increases DPS of target by 48.7',1,2),
(140859,40021,11,100,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,3),
(140860,40021,11,100,'Increases Haste of target by 48.7',1,4),
(140861,40021,11,100,'Increases DPS of target by 48.7',1,5),
(140862,40021,11,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(140863,40021,11,100,'Increases Haste of target by 48.7',1,7),
(140864,40021,11,100,'Increases DPS of target by 48.7',1,8),
(140865,40026,10,100,'Inflicts 252 - 468 melee damage on targets in Area of Effect',0,0),
(140866,40026,11,100,'Inflicts 303 - 563 melee damage on targets in Area of Effect',0,0),
(140867,40027,11,100,'Inflicts 479 - 891 melee damage on targets in Area of Effect',0,0),
(140868,40028,10,100,'Inflicts 575 - 1069 melee damage on targets in Area of Effect',0,0),
(140869,40028,11,100,'Inflicts 692 - 1286 melee damage on targets in Area of Effect',0,0),
(140870,40029,10,100,'Inflicts 752 - 1397 melee damage on targets in Area of Effect',0,0),
(140871,40029,11,100,'Inflicts 905 - 1680 melee damage on targets in Area of Effect',0,0),
(140872,40030,10,100,'Inflicts 912 - 1695 melee damage on targets in Area of Effect',0,0),
(140873,40030,11,100,'Inflicts 1097 - 2038 melee damage on targets in Area of Effect',0,0),
(140874,40031,10,100,'Inflicts 1098 - 2039 melee damage on targets in Area of Effect',0,0),
(140875,40031,11,100,'Inflicts 1320 - 2452 melee damage on targets in Area of Effect',0,0),
(140876,40032,10,100,'Inflicts 1165 - 2163 melee damage on targets in Area of Effect',0,0),
(140877,40032,11,100,'Inflicts 1400 - 2601 melee damage on targets in Area of Effect',0,0),
(140882,40040,10,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(140883,40040,10,100,'Throws target back',1,1),
(140884,40040,10,100,'Blurs vision of target',1,2),
(140885,40040,10,100,'Stuns target',1,3),
(140886,40040,10,100,'Does not affect Epic targets',1,4),
(140887,40040,10,100,'Inflicts 32 - 97 melee damage on targets in Area of Effect',0,5),
(140893,40041,10,100,'Inflicts 94 - 283 melee damage on targets in Area of Effect',0,0),
(140899,40041,11,100,'Inflicts 113 - 340 melee damage on targets in Area of Effect',0,0),
(140900,40042,10,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(140901,40042,10,100,'Throws target back',1,1),
(140902,40042,10,100,'Blurs vision of target',1,2),
(140903,40042,10,100,'Stuns target',1,3),
(140904,40042,10,100,'Does not affect Epic targets',1,4),
(140905,40042,10,100,'Inflicts 167 - 503 melee damage on targets in Area of Effect',0,5),
(140906,40043,10,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(140907,40043,10,100,'Throws target back',1,1),
(140908,40043,10,100,'Blurs vision of target',1,2),
(140909,40043,10,100,'Stuns target',1,3),
(140910,40043,10,100,'Does not affect Epic targets',1,4),
(140911,40043,10,100,'Inflicts 253 - 759 melee damage on targets in Area of Effect',0,5),
(140912,40047,11,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(140913,40047,11,100,'Throws target back',1,1),
(140914,40047,11,100,'Blurs vision of target',1,2),
(140915,40047,11,100,'Stuns target',1,3),
(140916,40047,11,100,'Does not affect Epic targets',1,4),
(140917,40047,11,100,'Inflicts 706 - 2120 melee damage on targets in Area of Effect',0,5),
(140918,40048,10,100,'Increases STR and AGI of group members (AE) by 21.7',0,0),
(140919,40050,10,100,'Increases STR and AGI of group members (AE) by 72.1',0,0),
(140920,40051,10,100,'Increases STR and AGI of group members (AE) by 100.3',0,0),
(140921,40052,10,100,'Increases STR and AGI of group members (AE) by 128.5',0,0),
(140922,40053,10,100,'Increases STR and AGI of group members (AE) by 155.2',0,0),
(140923,40054,10,100,'Increases STR and AGI of group members (AE) by 183.0',0,0),
(140926,40058,10,100,'Throws target back',0,0),
(140927,40058,10,100,'If Target is not Epic',1,1),
(140928,40058,10,100,'Inflicts 60 - 181 crushing damage on target',0,2),
(140929,40058,10,100,'Stuns target',0,3),
(140930,40058,10,100,'If Target is not Epic',1,4),
(140931,40058,10,100,'Resistibility increases against targets higher than level 29.',0,5),
(140932,40059,10,100,'Throws target back',0,0),
(140933,40059,10,100,'If Target is not Epic',1,1),
(140934,40059,10,100,'Inflicts 96 - 289 crushing damage on target',0,2),
(140935,40059,10,100,'Stuns target',0,3),
(140936,40059,10,100,'If Target is not Epic',1,4),
(140937,40059,10,100,'Resistibility increases against targets higher than level 29.',0,5),
(140938,40060,10,100,'Throws target back',0,0),
(140939,40060,10,100,'If Target is not Epic',1,1),
(140940,40060,10,100,'Inflicts 289 - 867 crushing damage on target',0,2),
(140941,40060,10,100,'Stuns target',0,3),
(140942,40060,10,100,'If Target is not Epic',1,4),
(140943,40060,10,100,'Resistibility increases against targets higher than level 29.',0,5),
(140944,40060,11,100,'Throws target back',0,0),
(140945,40060,11,100,'If Target is not Epic',1,1),
(140946,40060,11,100,'Inflicts 347 - 1043 crushing damage on target',0,2),
(140947,40060,11,100,'Stuns target',0,3),
(140948,40060,11,100,'If Target is not Epic',1,4),
(140949,40060,11,100,'Resistibility increases against targets higher than level 29.',0,5),
(140950,40061,10,100,'Throws target back',0,0),
(140951,40061,10,100,'If Target is not Epic',1,1),
(140952,40061,10,100,'Inflicts 140 - 422 crushing damage on target',0,2),
(140953,40061,10,100,'Stuns target',0,3),
(140954,40061,10,100,'If Target is not Epic',1,4),
(140955,40061,10,100,'Resistibility increases against targets higher than level 29.',0,5),
(140956,40062,10,100,'Throws target back',0,0),
(140957,40062,10,100,'If Target is not Epic',1,1),
(140958,40062,10,100,'Inflicts 184 - 554 crushing damage on target',0,2),
(140959,40062,10,100,'Stuns target',0,3),
(140960,40062,10,100,'If Target is not Epic',1,4),
(140961,40062,10,100,'Resistibility increases against targets higher than level 29.',0,5),
(140962,40063,10,100,'Throws target back',0,0),
(140963,40063,10,100,'If Target is not Epic',1,1),
(140964,40063,10,100,'Inflicts 223 - 671 crushing damage on target',0,2),
(140965,40063,10,100,'Stuns target',0,3),
(140966,40063,10,100,'If Target is not Epic',1,4),
(140967,40063,10,100,'Resistibility increases against targets higher than level 29.',0,5),
(140968,40064,10,100,'Throws target back',0,0),
(140969,40064,10,100,'If Target is not Epic',1,1),
(140970,40064,10,100,'Inflicts 269 - 808 crushing damage on target',0,2),
(140971,40064,10,100,'Stuns target',0,3),
(140972,40064,10,100,'If Target is not Epic',1,4),
(140973,40064,10,100,'Resistibility increases against targets higher than level 29.',0,5),
(140974,40065,10,100,'Increases Mitigation of group members (AE) vs physical damage by 175',0,0),
(140975,40066,10,100,'Increases Mitigation of group members (AE) vs physical damage by 328',0,0),
(140976,40067,10,100,'Increases Mitigation of group members (AE) vs physical damage by 504',0,0),
(140977,40069,10,100,'Increases Mitigation of group members (AE) vs physical damage by 857',0,0),
(140978,40070,10,100,'Increases Mitigation of group members (AE) vs physical damage by 1045',0,0),
(140979,40071,10,100,'Increases Mitigation of group members (AE) vs physical damage by 1228',0,0),
(140980,40072,10,100,'Increases Mitigation of group members (AE) vs physical damage by 1372',0,0),
(140981,40072,11,100,'Increases Mitigation of group members (AE) vs physical damage by 1650',0,0),
(140987,40074,10,100,'Increases caster''s chance to block by 10.0%',0,0),
(140988,40074,10,100,'Decreases Haste of caster by 14.0',0,1),
(140989,40074,10,100,'Decreases Multi Attack of caster by 14.0',0,2),
(140990,40074,10,100,'Increases Parry of caster by 20.2',0,3),
(140991,40074,10,100,'Increases Defense of caster by 20.2',0,4),
(140992,40075,10,100,'Increases caster''s chance to block by 10.0%',0,0),
(140993,40075,10,100,'Decreases Haste of caster by 15.4',0,1),
(140994,40075,10,100,'Decreases Multi Attack of caster by 15.4',0,2),
(140995,40075,10,100,'Increases Parry of caster by 27.2',0,3),
(140996,40075,10,100,'Increases Defense of caster by 27.2',0,4),
(140997,40076,10,100,'Increases caster''s chance to block by 10.0%',0,0),
(140998,40076,10,100,'Decreases Haste of caster by 16.8',0,1),
(140999,40076,10,100,'Decreases Multi Attack of caster by 16.8',0,2),
(141000,40076,10,100,'Increases Parry of caster by 34.3',0,3),
(141001,40076,10,100,'Increases Defense of caster by 34.3',0,4),
(141002,40077,10,100,'Increases caster''s chance to block by 10.0%',0,0),
(141003,40077,10,100,'Decreases Haste of caster by 17.8',0,1),
(141004,40077,10,100,'Decreases Multi Attack of caster by 17.8',0,2),
(141005,40077,10,100,'Increases Parry of caster by 40.7',0,3),
(141006,40077,10,100,'Increases Defense of caster by 40.7',0,4),
(141007,40078,10,100,'Increases caster''s chance to block by 10.0%',0,0),
(141008,40078,10,100,'Decreases Haste of caster by 18.8',0,1),
(141009,40078,10,100,'Decreases Multi Attack of caster by 18.8',0,2),
(141010,40078,10,100,'Increases Parry of caster by 48.7',0,3),
(141011,40078,10,100,'Increases Defense of caster by 48.7',0,4),
(141012,40079,10,100,'Increases caster''s chance to block by 10.0%',0,0),
(141013,40079,10,100,'Decreases Haste of caster by 19.8',0,1),
(141014,40079,10,100,'Decreases Multi Attack of caster by 19.8',0,2),
(141015,40079,10,100,'Increases Parry of caster by 57.1',0,3),
(141016,40079,10,100,'Increases Defense of caster by 57.1',0,4),
(141017,40079,11,100,'Increases caster''s chance to block by 10.0%',0,0),
(141018,40079,11,100,'Decreases Haste of caster by 19.8',0,1),
(141019,40079,11,100,'Decreases Multi Attack of caster by 19.8',0,2),
(141020,40079,11,100,'Increases Parry of caster by 68.7',0,3),
(141021,40079,11,100,'Increases Defense of caster by 68.7',0,4),
(141022,40080,10,100,'Inflicts 168 - 504 melee damage on target',0,0),
(141023,40080,10,100,'Stifles target',0,1),
(141024,40080,10,100,'If Target is not Epic',1,2),
(141025,40080,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(141026,40082,10,100,'Inflicts 327 - 981 melee damage on target',0,0),
(141027,40082,10,100,'Stifles target',0,1),
(141028,40082,10,100,'If Target is not Epic',1,2),
(141029,40082,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(141030,40083,10,100,'Inflicts 395 - 1187 melee damage on target',0,0),
(141031,40083,10,100,'Stifles target',0,1),
(141032,40083,10,100,'If Target is not Epic',1,2),
(141033,40083,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(141034,40084,10,100,'Inflicts 476 - 1430 melee damage on target',0,0),
(141035,40084,10,100,'Stifles target',0,1),
(141036,40084,10,100,'If Target is not Epic',1,2),
(141037,40084,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(141038,40085,10,100,'Inflicts 517 - 1553 melee damage on target',0,0),
(141039,40085,10,100,'Stifles target',0,1),
(141040,40085,10,100,'If Target is not Epic',1,2),
(141041,40085,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(141042,40085,11,100,'Inflicts 622 - 1867 melee damage on target',0,0),
(141043,40085,11,100,'Stifles target',0,1),
(141044,40085,11,100,'If Target is not Epic',1,2),
(141045,40085,11,100,'Resistibility increases against targets higher than level 29.',0,3),
(141046,40086,10,100,'Increases DPS of raid and group members (AE) by 6.1',0,0),
(141047,40086,11,100,'Increases DPS of raid and group members (AE) by 7.3',0,0),
(141048,40087,11,100,'Increases DPS of raid and group members (AE) by 9.2',0,0),
(141049,40088,10,100,'Increases DPS of raid and group members (AE) by 9.9',0,0),
(141050,40088,11,100,'Increases DPS of raid and group members (AE) by 11.9',0,0),
(141051,40089,11,100,'Increases DPS of raid and group members (AE) by 15.4',0,0),
(141052,40090,10,100,'Increases DPS of raid and group members (AE) by 18.4',0,0),
(141053,40090,11,100,'Increases DPS of raid and group members (AE) by 22.1',0,0),
(141054,40091,10,100,'Increases DPS of raid and group members (AE) by 20.9',0,0),
(141055,40091,11,100,'Increases DPS of raid and group members (AE) by 25.1',0,0),
(141056,40092,10,100,'Increases DPS of raid and group members (AE) by 25.0',0,0),
(141057,40092,11,100,'Gives raid and group members (AE) a 10.5% chance to strikethrough a successful avoidance check',0,0),
(141058,40092,11,100,'Increases DPS of raid and group members (AE) by 30.1',0,1),
(141059,40093,10,100,'Increases Threat to target encounter by 653 - 798 ',0,0),
(141060,40093,11,100,'Increases Threat to target encounter by 785 - 960 ',0,0),
(141062,40095,10,100,'Increases Threat to target encounter by 2,398 - 2,812 ',0,0),
(141063,40095,11,100,'Increases Threat to target encounter by 2,775 - 3,271 ',0,0),
(141064,40096,11,100,'Increases Threat to target encounter by 3,976 - 4,740 ',0,0),
(141065,40097,11,100,'Increases Threat to target encounter by 5,326 - 6,390 ',0,0),
(141066,40098,10,100,'Increases Threat to target encounter by 5,693 - 6,838 ',0,0),
(141067,40098,11,100,'Increases Threat to target encounter by 6,736 - 8,113 ',0,0),
(141068,40099,10,100,'Increases Threat to target encounter by 6,829 - 8,227 ',0,0),
(141069,40099,11,100,'Increases Threat to target encounter by 8,102 - 9,783 ',0,0),
(141070,40100,10,100,'Increases Threat to target encounter by 7,965 - 9,615 ',0,0),
(141071,40100,11,100,'Increases Threat to target encounter by 9,468 - 11,452 ',0,0),
(141072,40101,11,100,'Inflicts 101 - 305 melee damage on target',0,0),
(141073,40101,11,100,'Inflicts 127 - 382 melee damage on target',0,1),
(141074,40101,11,100,'Inflicts 152 - 458 melee damage on target',0,2),
(141075,40102,10,100,'Inflicts 120 - 360 melee damage on target',0,0),
(141076,40102,10,100,'Inflicts 150 - 450 melee damage on target',0,1),
(141077,40102,10,100,'Inflicts 180 - 540 melee damage on target',0,2),
(141078,40102,11,100,'Inflicts 144 - 433 melee damage on target',0,0),
(141079,40102,11,100,'Inflicts 180 - 541 melee damage on target',0,1),
(141080,40102,11,100,'Inflicts 216 - 649 melee damage on target',0,2),
(141081,40103,11,100,'Inflicts 184 - 554 melee damage on target',0,0),
(141082,40103,11,100,'Inflicts 230 - 692 melee damage on target',0,1),
(141083,40103,11,100,'Inflicts 277 - 831 melee damage on target',0,2),
(141084,40104,10,100,'Inflicts 186 - 558 melee damage on target',0,0),
(141085,40104,10,100,'Inflicts 232 - 697 melee damage on target',0,1),
(141086,40104,10,100,'Inflicts 279 - 837 melee damage on target',0,2),
(141087,40104,11,100,'Inflicts 223 - 671 melee damage on target',0,0),
(141088,40104,11,100,'Inflicts 279 - 838 melee damage on target',0,1),
(141089,40104,11,100,'Inflicts 335 - 1006 melee damage on target',0,2),
(141090,40105,10,100,'Inflicts 220 - 662 melee damage on target',0,0),
(141091,40105,10,100,'Inflicts 275 - 827 melee damage on target',0,1),
(141092,40105,10,100,'Inflicts 331 - 993 melee damage on target',0,2),
(141093,40105,11,100,'Inflicts 265 - 796 melee damage on target',0,0),
(141094,40105,11,100,'Inflicts 331 - 995 melee damage on target',0,1),
(141095,40105,11,100,'Inflicts 398 - 1194 melee damage on target',0,2),
(141096,40106,10,100,'Interrupts target',0,0),
(141097,40106,10,100,'Inflicts 43 - 131 crushing damage on target',0,1),
(141098,40106,10,100,'Decreases Focus of target by 12.9',0,2),
(141099,40107,10,100,'Interrupts target',0,0),
(141100,40107,10,100,'Inflicts 84 - 254 crushing damage on target',0,1),
(141101,40107,10,100,'Decreases Focus of target by 23.4',0,2),
(141102,40108,10,100,'Interrupts target',0,0),
(141103,40108,10,100,'Inflicts 130 - 392 crushing damage on target',0,1),
(141104,40108,10,100,'Decreases Focus of target by 34.0',0,2),
(141105,40109,10,100,'Interrupts target',0,0),
(141106,40109,10,100,'Inflicts 183 - 551 crushing damage on target',0,1),
(141107,40109,10,100,'Decreases Focus of target by 44.6',0,2),
(141108,40110,10,100,'Interrupts target',0,0),
(141109,40110,10,100,'Inflicts 239 - 719 crushing damage on target',0,1),
(141110,40110,10,100,'Decreases Focus of target by 55.9',0,2),
(141111,40111,10,100,'Interrupts target',0,0),
(141112,40111,10,100,'Inflicts 290 - 870 crushing damage on target',0,1),
(141113,40111,10,100,'Decreases Focus of target by 66.0',0,2),
(141114,40112,10,100,'Interrupts target',0,0),
(141115,40112,10,100,'Inflicts 335 - 1005 crushing damage on target',0,1),
(141116,40112,10,100,'Decreases Focus of target by 76.1',0,2),
(141117,40112,11,100,'Interrupts target',0,0),
(141118,40112,11,100,'Inflicts 402 - 1208 crushing damage on target',0,1),
(141119,40112,11,100,'Decreases Focus of target by 91.5',0,2),
(141120,40113,10,100,'Applies Insolent Assault.',0,0),
(141121,40113,10,100,'Inflicts 755 - 1133 melee damage on targets in Area of Effect',1,1),
(141122,40113,10,100,'Applies Insolent Gibe.',0,2),
(141123,40113,10,100,'Increases Threat to targets in Area of Effect by 5,904 - 8,586 ',1,3),
(141124,40113,10,100,'When any damage is received this spell has a 50% chance to cast Insolent Gibe on target''s attacker.  ',0,4),
(141125,40113,10,100,'Increases Threat to target encounter by 2,551 - 2,998 ',1,5),
(141126,40114,10,100,'Applies Insolent Assault.',0,0),
(141127,40114,10,100,'Inflicts 1128 - 1693 melee damage on targets in Area of Effect',1,1),
(141128,40114,10,100,'Applies Insolent Gibe.',0,2),
(141129,40114,10,100,'Increases Threat to targets in Area of Effect by 8,893 - 13,069 ',1,3),
(141130,40114,10,100,'When any damage is received this spell has a 50% chance to cast Insolent Gibe on target''s attacker.  ',0,4),
(141131,40114,10,100,'Increases Threat to target encounter by 3,672 - 4,368 ',1,5),
(141132,40115,10,100,'Applies Insolent Assault.',0,0),
(141133,40115,10,100,'Inflicts 1366 - 2049 melee damage on targets in Area of Effect',1,1),
(141134,40115,10,100,'Applies Insolent Gibe.',0,2),
(141135,40115,10,100,'Increases Threat to targets in Area of Effect by 10,913 - 16,100 ',1,3),
(141136,40115,10,100,'When any damage is received this spell has a 50% chance to cast Insolent Gibe on target''s attacker.  ',0,4),
(141137,40115,10,100,'Increases Threat to target encounter by 4,430 - 5,294 ',1,5),
(141138,40116,10,100,'Applies Insolent Assault.',0,0),
(141139,40116,10,100,'Inflicts 1838 - 2758 melee damage on targets in Area of Effect',1,1),
(141140,40116,10,100,'Applies Insolent Gibe.',0,2),
(141141,40116,10,100,'Increases Threat to targets in Area of Effect by 12,933 - 19,129 ',1,3),
(141142,40116,10,100,'When any damage is received this spell has a 50% chance to cast Insolent Gibe on target''s attacker.  ',0,4),
(141143,40116,10,100,'Increases Threat to target encounter by 5,187 - 6,220 ',1,5),
(141144,40116,11,100,'Applies Insolent Assault.',0,0),
(141145,40116,11,100,'Inflicts 2210 - 3316 melee damage on targets in Area of Effect',1,1),
(141146,40116,11,100,'Applies Insolent Gibe.',0,2),
(141147,40116,11,100,'Increases Threat to targets in Area of Effect by 15,441 - 22,891 ',1,3),
(141148,40116,11,100,'When any damage is received this spell has a 50% chance to cast Insolent Gibe on target''s attacker.  ',0,4),
(141149,40116,11,100,'Increases Threat to target encounter by 6,127 - 7,369 ',1,5),
(141150,40117,10,100,'Increases Crit Bonus of caster by 28.6%',0,0),
(141151,40117,10,100,'Decreases Defense and Parry of caster by 1.2',0,1),
(141152,40117,10,100,'Decreases Mitigation of caster vs all damage by 1857',0,2),
(141153,40117,10,100,'All combat arts have their damage increased by 17%',0,3),
(141154,40117,10,100,'If any of the following are true:',0,4),
(141155,40117,10,100,'This ability can only be used while berserk!',1,5),
(141156,40119,10,100,'Inflicts 32 - 97 crushing damage on target',0,0),
(141157,40120,10,100,'Inflicts 60 - 181 crushing damage on target',0,0),
(141158,40121,10,100,'Inflicts 92 - 277 crushing damage on target',0,0),
(141159,40122,10,100,'Inflicts 127 - 383 crushing damage on target',0,0),
(141160,40123,10,100,'Inflicts 163 - 489 crushing damage on target',0,0),
(141161,40124,10,100,'Inflicts 197 - 591 crushing damage on target',0,0),
(141162,40125,10,100,'Inflicts 224 - 674 crushing damage on target',0,0),
(141163,40125,11,100,'Inflicts 270 - 810 crushing damage on target',0,0),
(141164,40126,10,100,'Inflicts 60 - 100 melee damage on target',0,0),
(141165,40126,10,100,'Decreases Slashing, Crushing and Piercing of target by 2.8',0,1),
(141168,40128,10,100,'Inflicts 228 - 381 melee damage on target',0,0),
(141169,40128,10,100,'Decreases Slashing, Crushing and Piercing of target by 9.8',0,1),
(141170,40129,10,100,'Inflicts 338 - 564 melee damage on target',0,0),
(141171,40129,10,100,'Decreases Slashing, Crushing and Piercing of target by 13.4',0,1),
(141172,40130,10,100,'Inflicts 449 - 749 melee damage on target',0,0),
(141173,40130,10,100,'Decreases Slashing, Crushing and Piercing of target by 16.9',0,1),
(141174,40131,10,100,'Inflicts 544 - 907 melee damage on target',0,0),
(141175,40131,10,100,'Decreases Slashing, Crushing and Piercing of target by 20.0',0,1),
(141176,40132,10,100,'Inflicts 656 - 1093 melee damage on target',0,0),
(141177,40132,10,100,'Decreases Slashing, Crushing and Piercing of target by 23.4',0,1),
(141178,40133,10,100,'Inflicts 720 - 1201 melee damage on target',0,0),
(141179,40133,10,100,'Decreases Slashing, Crushing and Piercing of target by 26.7',0,1),
(141180,40133,11,100,'Inflicts 866 - 1444 melee damage on target',0,0),
(141181,40133,11,100,'Decreases Slashing, Crushing and Piercing of target by 32.1',0,1),
(141182,40135,10,100,'Interrupts target',0,0),
(141183,40135,10,100,'Increases Threat to target by 977 - 1,194 ',0,1),
(141184,40136,10,100,'Interrupts target',0,0),
(141185,40136,10,100,'Increases Threat to target by 1,592 - 1,826 ',0,1),
(141186,40138,10,100,'Interrupts target',0,0),
(141187,40138,10,100,'Increases Threat to target by 9,834 - 11,900 ',0,1),
(141188,40138,11,100,'Interrupts target',0,0),
(141189,40138,11,100,'Increases Threat to target by 11,715 - 14,199 ',0,1),
(141190,40139,10,100,'Interrupts target',0,0),
(141191,40139,10,100,'Increases Threat to target by 3,844 - 4,579 ',0,1),
(141192,40140,10,100,'Interrupts target',0,0),
(141193,40140,10,100,'Increases Threat to target by 5,305 - 6,364 ',0,1),
(141194,40142,10,100,'Interrupts target',0,0),
(141195,40142,10,100,'Increases Threat to target by 8,320 - 10,049 ',0,1),
(141196,40144,10,100,'Inflicts 18 - 56 slashing damage on target',0,0),
(141197,40144,10,100,'Inflicts 38 slashing damage on target instantly and every 4 seconds',0,1),
(141198,40144,10,100,'Has a chance to go berserk',0,2),
(141199,40145,10,100,'Inflicts 29 - 89 slashing damage on target',0,0),
(141200,40145,10,100,'Inflicts 60 slashing damage on target instantly and every 4 seconds',0,1),
(141201,40145,10,100,'Decreases Haste of target by 11.9',0,2),
(141202,40146,10,100,'Inflicts 43 - 129 slashing damage on target',0,0),
(141203,40146,10,100,'Inflicts 86 slashing damage on target instantly and every 4 seconds',0,1),
(141204,40146,10,100,'Decreases Haste of target by 13.1',0,2),
(141205,40147,10,100,'Inflicts 56 - 169 slashing damage on target',0,0),
(141206,40147,10,100,'Inflicts 113 slashing damage on target instantly and every 4 seconds',0,1),
(141207,40147,10,100,'Decreases Haste of target by 14.3',0,2),
(141208,40148,10,100,'Inflicts 68 - 205 slashing damage on target',0,0),
(141209,40148,10,100,'Inflicts 137 slashing damage on target instantly and every 4 seconds',0,1),
(141210,40148,10,100,'Decreases Haste of target by 15.1',0,2),
(141211,40149,10,100,'Inflicts 82 - 246 slashing damage on target',0,0),
(141212,40149,10,100,'Inflicts 165 slashing damage on target instantly and every 4 seconds',0,1),
(141213,40149,10,100,'Decreases Haste of target by 16.0',0,2),
(141214,40150,10,100,'Inflicts 87 - 261 slashing damage on target',0,0),
(141215,40150,10,100,'Inflicts 175 slashing damage on target instantly and every 4 seconds',0,1),
(141216,40150,10,100,'Decreases Haste of target by 16.8',0,2),
(141217,40150,11,100,'Inflicts 104 - 314 slashing damage on target',0,0),
(141218,40150,11,100,'Inflicts 210 slashing damage on target instantly and every 4 seconds',0,1),
(141219,40150,11,100,'Decreases Haste of target by 20.2',0,2),
(141220,40151,10,100,'Applies Open Wounds.',0,0),
(141221,40151,10,100,'Inflicts 126 - 234 slashing damage on targets in Area of Effect',1,1),
(141222,40151,10,100,'Increases Haste of caster by 57.1',0,2),
(141223,40151,10,100,'Caster has a 100.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,3),
(141224,40155,10,100,'Inflicts 52 - 158 melee damage on target',0,0),
(141225,40155,10,100,'Increases Threat to target by 2,298 ',0,1),
(141226,40156,10,100,'Inflicts 171 - 514 melee damage on target',0,0),
(141227,40156,10,100,'Increases Threat to target by 7,241 ',0,1),
(141228,40156,11,100,'Inflicts 206 - 618 melee damage on target',0,0),
(141229,40156,11,100,'Increases Threat to target by 8,597 ',0,1),
(141230,40157,10,100,'Inflicts 78 - 236 melee damage on target',0,0),
(141231,40157,10,100,'Increases Threat to target by 3,222 ',0,1),
(141232,40158,10,100,'Inflicts 105 - 315 melee damage on target',0,0),
(141233,40158,10,100,'Increases Threat to target by 4,223 ',0,1),
(141234,40159,10,100,'Inflicts 129 - 388 melee damage on target',0,0),
(141235,40159,10,100,'Increases Threat to target by 5,221 ',0,1),
(141236,40160,10,100,'Inflicts 156 - 468 melee damage on target',0,0),
(141237,40160,10,100,'Increases Threat to target by 6,231 ',0,1),
(141238,40161,10,100,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',0,0),
(141239,40161,10,100,'Inflicts 174 - 324 melee damage on targets in Area of Effect',1,1),
(141240,40161,10,100,'Grants a total of 10 triggers of the spell.',1,2),
(141241,40162,10,100,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',0,0),
(141242,40162,10,100,'Inflicts 263 - 488 melee damage on targets in Area of Effect',1,1),
(141243,40162,10,100,'Grants a total of 10 triggers of the spell.',1,2),
(141244,40163,10,100,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',0,0),
(141245,40163,10,100,'Inflicts 319 - 592 melee damage on targets in Area of Effect',1,1),
(141246,40163,10,100,'Grants a total of 10 triggers of the spell.',1,2),
(141247,40164,10,100,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',0,0),
(141248,40164,10,100,'Inflicts 441 - 819 melee damage on targets in Area of Effect',1,1),
(141249,40164,10,100,'Grants a total of 10 triggers of the spell.',1,2),
(141250,40165,10,100,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',0,0),
(141251,40165,10,100,'Inflicts 468 - 870 melee damage on targets in Area of Effect',1,1),
(141252,40165,10,100,'Grants a total of 10 triggers of the spell.',1,2),
(141253,40165,11,100,'On a melee hit this spell will cast Rampaging Blow on target of attack.  ',0,0),
(141254,40165,11,100,'Inflicts 563 - 1046 melee damage on targets in Area of Effect',1,1),
(141255,40165,11,100,'Grants a total of 10 triggers of the spell.',1,2),
(141256,40166,10,100,'Grants target a 26% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(141257,40166,10,100,'Adds 1.5% to base avoidance.',0,1),
(141258,40168,10,100,'Grants target a 47% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(141259,40168,10,100,'Adds 1.5% to base avoidance.',0,1),
(141260,40169,10,100,'Grants target a 57% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(141261,40169,10,100,'Adds 1.5% to base avoidance.',0,1),
(141262,40172,10,100,'Inflicts 57 - 173 melee damage on target',0,0),
(141263,40173,10,100,'Inflicts 90 - 271 melee damage on target',0,0),
(141264,40174,10,100,'Inflicts 129 - 388 melee damage on target',0,0),
(141265,40175,10,100,'Inflicts 168 - 506 melee damage on target',0,0),
(141266,40176,10,100,'Inflicts 204 - 614 melee damage on target',0,0),
(141267,40177,10,100,'Inflicts 242 - 728 melee damage on target',0,0),
(141268,40177,11,100,'Inflicts 291 - 875 melee damage on target',0,0),
(141269,40180,10,100,'Inflicts 175 - 292 melee damage on target encounter',0,0),
(141270,40180,10,100,'Stuns target encounter',0,1),
(141271,40180,10,100,'If Target is not Epic',1,2),
(141272,40180,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(141273,40181,10,100,'Inflicts 269 - 449 melee damage on target encounter',0,0),
(141274,40181,10,100,'Stuns target encounter',0,1),
(141275,40181,10,100,'If Target is not Epic',1,2),
(141276,40181,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(141277,40182,10,100,'Inflicts 375 - 625 melee damage on target encounter',0,0),
(141278,40182,10,100,'Stuns target encounter',0,1),
(141279,40182,10,100,'If Target is not Epic',1,2),
(141280,40182,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(141281,40183,10,100,'Inflicts 479 - 799 melee damage on target encounter',0,0),
(141282,40183,10,100,'Stuns target encounter',0,1),
(141283,40183,10,100,'If Target is not Epic',1,2),
(141284,40183,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(141285,40184,10,100,'Inflicts 580 - 967 melee damage on target encounter',0,0),
(141286,40184,10,100,'Stuns target encounter',0,1),
(141287,40184,10,100,'If Target is not Epic',1,2),
(141288,40184,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(141289,40185,10,100,'Inflicts 670 - 1117 melee damage on target encounter',0,0),
(141290,40185,10,100,'Stuns target encounter',0,1),
(141291,40185,10,100,'If Target is not Epic',1,2),
(141292,40185,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(141293,40185,11,100,'Inflicts 805 - 1343 melee damage on target encounter',0,0),
(141294,40185,11,100,'Stuns target encounter',0,1),
(141295,40185,11,100,'If Target is not Epic',1,2),
(141296,40185,11,100,'Resistibility increases against targets higher than level 29.',0,3),
(141297,40186,11,100,'Reduces physical damage done to caster by 5%',0,0),
(141298,40186,11,100,'Decreases Slashing, Piercing and Crushing of caster by 1.8',0,1),
(141299,40186,11,100,'Increases Aggression of caster by 1.8',0,2),
(141300,40186,11,100,'Increases Defense and Parry of caster by 3.6',0,3),
(141301,40186,11,100,'Increases Mitigation of caster vs elemental damage by 310',0,4),
(141302,40186,11,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,5),
(141303,40187,10,100,'Reduces physical damage done to caster by 5%',0,0),
(141304,40187,10,100,'Decreases Slashing, Piercing and Crushing of caster by 4.8',0,1),
(141305,40187,10,100,'Increases Aggression of caster by 4.0',0,2),
(141306,40187,10,100,'Increases Defense and Parry of caster by 8.1',0,3),
(141307,40187,10,100,'Increases Mitigation of caster vs elemental damage by 581',0,4),
(141308,40187,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,5),
(141309,40187,11,100,'Reduces physical damage done to caster by 5%',0,0),
(141310,40187,11,100,'Decreases Slashing, Piercing and Crushing of caster by 4.8',0,1),
(141311,40187,11,100,'Increases Aggression of caster by 4.8',0,2),
(141312,40187,11,100,'Increases Defense and Parry of caster by 9.7',0,3),
(141313,40187,11,100,'Increases Mitigation of caster vs elemental damage by 698',0,4),
(141314,40187,11,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,5),
(141316,40188,10,100,'Decreases Slashing, Piercing and Crushing of caster by 9.0',0,0),
(141318,40188,10,100,'Increases Defense and Parry of caster by 15.1',0,1),
(141322,40188,11,100,'Decreases Slashing, Piercing and Crushing of caster by 9.0',0,0),
(141324,40188,11,100,'Increases Defense and Parry of caster by 18.2',0,1),
(141327,40189,10,100,'Reduces physical damage done to caster by 5%',0,0),
(141328,40189,10,100,'Decreases Slashing, Piercing and Crushing of caster by 13.2',0,1),
(141329,40189,10,100,'Increases Aggression of caster by 11.1',0,2),
(141330,40189,10,100,'Increases Defense and Parry of caster by 22.2',0,3),
(141331,40189,10,100,'Increases Mitigation of caster vs elemental damage by 1478',0,4),
(141332,40189,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,5),
(141333,40189,11,100,'Reduces physical damage done to caster by 5%',0,0),
(141334,40189,11,100,'Decreases Slashing, Piercing and Crushing of caster by 13.2',0,1),
(141335,40189,11,100,'Increases Aggression of caster by 13.3',0,2),
(141336,40189,11,100,'Increases Defense and Parry of caster by 26.7',0,3),
(141337,40189,11,100,'Increases Mitigation of caster vs elemental damage by 1778',0,4),
(141338,40189,11,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,5),
(141339,40190,10,100,'Reduces physical damage done to caster by 5%',0,0),
(141340,40190,10,100,'Decreases Slashing, Piercing and Crushing of caster by 17.4',0,1),
(141341,40190,10,100,'Increases Aggression of caster by 14.6',0,2),
(141342,40190,10,100,'Increases Defense and Parry of caster by 29.2',0,3),
(141343,40190,10,100,'Increases Mitigation of caster vs elemental damage by 1949',0,4),
(141344,40190,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,5),
(141345,40190,11,100,'Reduces physical damage done to caster by 5%',0,0),
(141346,40190,11,100,'Decreases Slashing, Piercing and Crushing of caster by 17.4',0,1),
(141347,40190,11,100,'Increases Aggression of caster by 17.6',0,2),
(141348,40190,11,100,'Increases Defense and Parry of caster by 35.1',0,3),
(141349,40190,11,100,'Increases Mitigation of caster vs elemental damage by 2343',0,4),
(141350,40190,11,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,5),
(141351,40191,10,100,'Reduces physical damage done to caster by 5%',0,0),
(141352,40191,10,100,'Decreases Slashing, Piercing and Crushing of caster by 21.8',0,1),
(141353,40191,10,100,'Increases Aggression of caster by 18.3',0,2),
(141354,40191,10,100,'Increases Defense and Parry of caster by 36.6',0,3),
(141355,40191,10,100,'Increases Mitigation of caster vs elemental damage by 2540',0,4),
(141356,40191,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,5),
(141357,40191,11,100,'Reduces physical damage done to caster by 5%',0,0),
(141358,40191,11,100,'Decreases Slashing, Piercing and Crushing of caster by 21.8',0,1),
(141359,40191,11,100,'Increases Aggression of caster by 22.0',0,2),
(141360,40191,11,100,'Increases Defense and Parry of caster by 44.0',0,3),
(141361,40191,11,100,'Increases Mitigation of caster vs elemental damage by 3054',0,4),
(141362,40191,11,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,5),
(141363,40192,10,100,'Reduces physical damage done to caster by 5%',0,0),
(141364,40192,10,100,'Decreases Slashing, Piercing and Crushing of caster by 25.8',0,1),
(141365,40192,10,100,'Increases Aggression of caster by 21.8',0,2),
(141366,40192,10,100,'Increases Defense and Parry of caster by 43.7',0,3),
(141367,40192,10,100,'Increases Mitigation of caster vs elemental damage by 2921',0,4),
(141368,40192,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,5),
(141369,40192,11,100,'Reduces physical damage done to caster by 5%',0,0),
(141370,40192,11,100,'Decreases Slashing, Piercing and Crushing of caster by 25.8',0,1),
(141371,40192,11,100,'Increases Aggression of caster by 26.3',0,2),
(141372,40192,11,100,'Increases Defense and Parry of caster by 52.5',0,3),
(141373,40192,11,100,'Increases Mitigation of caster vs elemental damage by 3512',0,4),
(141374,40192,11,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,5),
(141375,40193,10,100,'Reduces physical damage done to caster by 5%',0,0),
(141376,40193,10,100,'Decreases Slashing, Piercing and Crushing of caster by 29.8',0,1),
(141377,40193,10,100,'Increases Aggression of caster by 26.0',0,2),
(141378,40193,10,100,'Increases Defense and Parry of caster by 52.1',0,3),
(141379,40193,10,100,'Increases Mitigation of caster vs elemental damage by 3400',0,4),
(141380,40193,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,5),
(141381,40193,11,100,'Reduces physical damage done to caster by 5%',0,0),
(141382,40193,11,100,'Decreases Slashing, Piercing and Crushing of caster by 29.8',0,1),
(141383,40193,11,100,'Increases Aggression of caster by 31.3',0,2),
(141384,40193,11,100,'Increases Defense and Parry of caster by 62.6',0,3),
(141385,40193,11,100,'Increases Mitigation of caster vs elemental damage by 4088',0,4),
(141386,40193,11,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,5),
(141387,40194,10,100,'On death this spell will cast Madness on caster.  Lasts for 5.0 seconds.  ',0,0),
(141388,40194,10,100,'Heals caster for 5.0% of max health instantly and every second',1,1),
(141389,40194,10,100,'This effect cannot be critically applied.',2,2),
(141390,40194,10,100,'If target is not berserk',2,3),
(141391,40194,10,100,'Heals caster for 25.2% of max health instantly and every second',1,4),
(141392,40194,10,100,'This effect cannot be critically applied.',2,5),
(141393,40194,10,100,'If target is berserk',2,6),
(141394,40194,10,100,'Grants a total of 1 trigger of the spell.',1,7),
(141395,40195,9,100,'Adds a hate position increase to the initial taunt portion of Insolence.',0,0),
(141396,40195,9,100,'25% of the damage done to the berserker will be added back to the attacker as additional hate.',0,1),
(141397,40195,9,100,'On a melee hit this spell may cast Enrage on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.4 times per minute. ',0,2),
(141398,40195,9,100,'Inflicts 562 - 842 heat damage on target encounter',1,3),
(141399,40195,9,100,'Increases DPS of caster by 10.0',1,4),
(141400,40195,9,100,'Increases Crit Chance of caster by 15.0',1,5),
(141401,40195,9,100,'Cannot be modified except by direct means',1,6),
(141402,40195,9,100,'Cannot be modified except by direct means',0,7),
(141403,40195,10,100,'Adds a hate position increase to the initial taunt portion of Insolence.',0,0),
(141404,40195,10,100,'25% of the damage done to the berserker will be added back to the attacker as additional hate.',0,1),
(141405,40195,10,100,'On a melee hit this spell may cast Enrage on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.4 times per minute. ',0,2),
(141406,40195,10,100,'Inflicts 562 - 842 heat damage on target encounter',1,3),
(141407,40195,10,100,'Increases DPS of caster by 10.0',1,4),
(141408,40195,10,100,'Increases Crit Chance of caster by 15.0',1,5),
(141409,40195,10,100,'Cannot be modified except by direct means',1,6),
(141410,40195,10,100,'Cannot be modified except by direct means',0,7),
(141411,40196,10,100,'Decreases Haste of caster by 11.3',0,0),
(141412,40196,10,100,'Increases Mitigation of caster vs physical damage by 249',0,1),
(141413,40196,10,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(141414,40196,10,100,'Slows targets in Area of Effect by 54.8%',1,3),
(141415,40196,10,100,'5% chance to dispel when target receives hostile action',1,4),
(141416,40196,10,100,'5% chance to dispel when target takes damage',1,5),
(141417,40197,10,100,'Decreases Haste of caster by 12.7',0,0),
(141418,40197,10,100,'Increases Mitigation of caster vs physical damage by 454',0,1),
(141419,40197,10,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(141420,40197,10,100,'Slows targets in Area of Effect by 59.5%',1,3),
(141421,40197,10,100,'5% chance to dispel when target receives hostile action',1,4),
(141422,40197,10,100,'5% chance to dispel when target takes damage',1,5),
(141423,40198,10,100,'Decreases Haste of caster by 14.1',0,0),
(141424,40198,10,100,'Increases Mitigation of caster vs physical damage by 689',0,1),
(141425,40198,10,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(141426,40198,10,100,'Slows targets in Area of Effect by 64.2%',1,3),
(141427,40198,10,100,'5% chance to dispel when target receives hostile action',1,4),
(141428,40198,10,100,'5% chance to dispel when target takes damage',1,5),
(141429,40199,10,100,'Decreases Haste of caster by 15.5',0,0),
(141430,40199,10,100,'Increases Mitigation of caster vs physical damage by 924',0,1),
(141431,40199,10,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(141432,40199,10,100,'Slows targets in Area of Effect by 67.5%',1,3),
(141433,40199,10,100,'5% chance to dispel when target receives hostile action',1,4),
(141434,40199,10,100,'5% chance to dispel when target takes damage',1,5),
(141435,40200,10,100,'Decreases Haste of caster by 16.9',0,0),
(141436,40200,10,100,'Increases Mitigation of caster vs physical damage by 1159',0,1),
(141437,40200,10,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(141438,40200,10,100,'Slows targets in Area of Effect by 68.5%',1,3),
(141439,40200,10,100,'5% chance to dispel when target receives hostile action',1,4),
(141440,40200,10,100,'5% chance to dispel when target takes damage',1,5),
(141441,40201,10,100,'Decreases Haste of caster by 17.9',0,0),
(141442,40201,10,100,'Increases Mitigation of caster vs physical damage by 1394',0,1),
(141443,40201,10,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(141444,40201,10,100,'Slows targets in Area of Effect by 69.1%',1,3),
(141445,40201,10,100,'5% chance to dispel when target receives hostile action',1,4),
(141446,40201,10,100,'5% chance to dispel when target takes damage',1,5),
(141447,40202,10,100,'Decreases Haste of caster by 18.9',0,0),
(141448,40202,10,100,'Increases Mitigation of caster vs physical damage by 1637',0,1),
(141449,40202,10,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(141450,40202,10,100,'Slows targets in Area of Effect by 69.8%',1,3),
(141451,40202,10,100,'5% chance to dispel when target receives hostile action',1,4),
(141452,40202,10,100,'5% chance to dispel when target takes damage',1,5),
(141453,40203,10,100,'Decreases Haste of caster by 19.9',0,0),
(141454,40203,10,100,'Increases Mitigation of caster vs physical damage by 1830',0,1),
(141455,40203,10,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(141456,40203,10,100,'Slows targets in Area of Effect by 70.5%',1,3),
(141457,40203,10,100,'5% chance to dispel when target receives hostile action',1,4),
(141458,40203,10,100,'5% chance to dispel when target takes damage',1,5),
(141459,40203,11,100,'Decreases Haste of caster by 19.9',0,0),
(141460,40203,11,100,'Increases Mitigation of caster vs physical damage by 2200',0,1),
(141461,40203,11,100,'On a melee hit this spell may cast Cripple on target of attack.  Lasts for 10.0 seconds.  Triggers about 5.0 times per minute. ',0,2),
(141462,40203,11,100,'Slows targets in Area of Effect by 84.8%',1,3),
(141463,40203,11,100,'5% chance to dispel when target receives hostile action',1,4),
(141464,40203,11,100,'5% chance to dispel when target takes damage',1,5),
(141465,40204,10,100,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,0),
(141466,40204,10,100,'Increases DPS and Haste of target by 19.0',1,1),
(141467,40204,10,100,'Decreases Defense, Block, and Parry of target by 10.0',1,2),
(141468,40204,10,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,3),
(141469,40204,10,100,'Increases DPS and Haste of target by 19.0',1,4),
(141470,40204,10,100,'Decreases Defense, Block, and Parry of target by 10.0',1,5),
(141471,40204,10,100,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(141472,40204,10,100,'Increases DPS and Haste of target by 19.0',1,7),
(141473,40204,10,100,'Decreases Defense, Block, and Parry of target by 10.0',1,8),
(141474,40205,10,100,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,0),
(141475,40205,10,100,'Increases Haste of target by 23.0',1,1),
(141476,40205,10,100,'Increases DPS of target by 23.0',1,2),
(141477,40205,10,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,3),
(141478,40205,10,100,'Increases Haste of target by 23.0',1,4),
(141479,40205,10,100,'Increases DPS of target by 23.0',1,5),
(141480,40205,10,100,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(141481,40205,10,100,'Increases Haste of target by 23.0',1,7),
(141482,40205,10,100,'Increases DPS of target by 23.0',1,8),
(141483,40206,10,100,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,0),
(141484,40206,10,100,'Increases Haste of target by 26.8',1,1),
(141485,40206,10,100,'Increases DPS of target by 26.8',1,2),
(141486,40206,10,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,3),
(141487,40206,10,100,'Increases Haste of target by 26.8',1,4),
(141488,40206,10,100,'Increases DPS of target by 26.8',1,5),
(141489,40206,10,100,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(141490,40206,10,100,'Increases Haste of target by 26.8',1,7),
(141491,40206,10,100,'Increases DPS of target by 26.8',1,8),
(141492,40207,10,100,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,0),
(141493,40207,10,100,'Increases Haste of target by 30.6',1,1),
(141494,40207,10,100,'Increases DPS of target by 30.6',1,2),
(141495,40207,10,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,3),
(141496,40207,10,100,'Increases Haste of target by 30.6',1,4),
(141497,40207,10,100,'Increases DPS of target by 30.6',1,5),
(141498,40207,10,100,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(141499,40207,10,100,'Increases Haste of target by 30.6',1,7),
(141500,40207,10,100,'Increases DPS of target by 30.6',1,8),
(141501,40208,10,100,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,0),
(141502,40208,10,100,'Increases Haste of target by 33.6',1,1),
(141503,40208,10,100,'Increases DPS of target by 33.6',1,2),
(141504,40208,10,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,3),
(141505,40208,10,100,'Increases Haste of target by 33.6',1,4),
(141506,40208,10,100,'Increases DPS of target by 33.6',1,5),
(141507,40208,10,100,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(141508,40208,10,100,'Increases Haste of target by 33.6',1,7),
(141509,40208,10,100,'Increases DPS of target by 33.6',1,8),
(141510,40209,10,100,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,0),
(141511,40209,10,100,'Increases Haste of target by 38.0',1,1),
(141512,40209,10,100,'Increases DPS of target by 38.0',1,2),
(141513,40209,10,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,3),
(141514,40209,10,100,'Increases Haste of target by 38.0',1,4),
(141515,40209,10,100,'Increases DPS of target by 38.0',1,5),
(141516,40209,10,100,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(141517,40209,10,100,'Increases Haste of target by 38.0',1,7),
(141518,40209,10,100,'Increases DPS of target by 38.0',1,8),
(141519,40210,10,100,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,0),
(141520,40210,10,100,'Increases Haste of target by 41.2',1,1),
(141521,40210,10,100,'Increases DPS of target by 41.2',1,2),
(141522,40210,10,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,3),
(141523,40210,10,100,'Increases Haste of target by 41.2',1,4),
(141524,40210,10,100,'Increases DPS of target by 41.2',1,5),
(141525,40210,10,100,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(141526,40210,10,100,'Increases Haste of target by 41.2',1,7),
(141527,40210,10,100,'Increases DPS of target by 41.2',1,8),
(141528,40210,11,100,'When damaged this spell has a 5% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,0),
(141529,40210,11,100,'Increases Haste of target by 49.6',1,1),
(141530,40210,11,100,'Increases DPS of target by 49.6',1,2),
(141531,40210,11,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 3.0 times per minute. ',0,3),
(141532,40210,11,100,'Increases Haste of target by 49.6',1,4),
(141533,40210,11,100,'Increases DPS of target by 49.6',1,5),
(141534,40210,11,100,'On a kill this spell has a 50% chance to cast Berserk on target.  Lasts for 10.0 seconds.  ',0,6),
(141535,40210,11,100,'Increases Haste of target by 49.6',1,7),
(141536,40210,11,100,'Increases DPS of target by 49.6',1,8),
(141540,40212,11,100,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',0,0),
(141541,40212,11,100,'Inflicts 152 - 254 melee damage on target',1,1),
(141542,40212,11,100,'Grants a total of 3 triggers of the spell.',1,2),
(141543,40213,10,100,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',0,0),
(141544,40213,10,100,'Inflicts 180 - 300 melee damage on target',1,1),
(141545,40213,10,100,'Grants a total of 3 triggers of the spell.',1,2),
(141546,40213,11,100,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',0,0),
(141547,40213,11,100,'Inflicts 216 - 361 melee damage on target',1,1),
(141548,40213,11,100,'Grants a total of 3 triggers of the spell.',1,2),
(141549,40214,10,100,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',0,0),
(141550,40214,10,100,'Inflicts 235 - 391 melee damage on target',1,1),
(141551,40214,10,100,'Grants a total of 3 triggers of the spell.',1,2),
(141552,40214,11,100,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',0,0),
(141553,40214,11,100,'Inflicts 282 - 471 melee damage on target',1,1),
(141554,40214,11,100,'Grants a total of 3 triggers of the spell.',1,2),
(141555,40215,10,100,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',0,0),
(141556,40215,10,100,'Inflicts 284 - 474 melee damage on target',1,1),
(141557,40215,10,100,'Grants a total of 3 triggers of the spell.',1,2),
(141558,40215,11,100,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',0,0),
(141559,40215,11,100,'Inflicts 342 - 570 melee damage on target',1,1),
(141560,40215,11,100,'Grants a total of 3 triggers of the spell.',1,2),
(141561,40216,10,100,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',0,0),
(141562,40216,10,100,'Inflicts 383 - 638 melee damage on target',1,1),
(141563,40216,10,100,'Grants a total of 3 triggers of the spell.',1,2),
(141564,40216,11,100,'When damaged with a melee weapon this spell will cast Counterattack on target''s attacker.  ',0,0),
(141565,40216,11,100,'Inflicts 460 - 767 melee damage on target',1,1),
(141566,40216,11,100,'Grants a total of 3 triggers of the spell.',1,2),
(141567,40217,9,100,'Reduces physical damage done to caster by 5%',0,0),
(141568,40217,9,100,'Caster has a 100.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,1),
(141569,40217,10,100,'Reduces physical damage done to caster by 5%',0,0),
(141570,40217,10,100,'Caster has a 100.0% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,1),
(141571,50000,10,100,'Inflicts 98 - 164 melee damage on target',0,0),
(141572,50000,10,100,'If facing target',0,1),
(141573,50001,10,100,'Inflicts 968 - 1614 melee damage on target',0,0),
(141574,50001,10,100,'Inflicts 100.0% of max health in crushing damage on target',0,1),
(141575,50001,10,100,'If Target is Standard or weaker',1,2),
(141576,50002,10,100,'Inflicts 1461 - 2435 melee damage on target',0,0),
(141577,50002,10,100,'Inflicts 100.0% of max health in crushing damage on target',0,1),
(141578,50002,10,100,'If Target is Standard or weaker',1,2),
(141579,50003,10,100,'Inflicts 1991 - 3318 melee damage on target',0,0),
(141580,50003,10,100,'Inflicts 100.0% of max health in crushing damage on target',0,1),
(141581,50003,10,100,'If Target is Standard or weaker',1,2),
(141582,50004,10,100,'Inflicts 2399 - 3999 melee damage on target',0,0),
(141583,50004,10,100,'Inflicts 100.0% of max health in crushing damage on target',0,1),
(141584,50004,10,100,'If Target is Standard or weaker',1,2),
(141585,50005,10,100,'Inflicts 2902 - 4837 melee damage on target',0,0),
(141586,50005,10,100,'Inflicts 100.0% of max health in crushing damage on target',0,1),
(141587,50005,10,100,'If Target is Standard or weaker',1,2),
(141588,50006,10,100,'Inflicts 3351 - 5585 melee damage on target',0,0),
(141589,50006,10,100,'Inflicts 100.0% of max health in crushing damage on target',0,1),
(141590,50006,10,100,'If Target is Standard or weaker',1,2),
(141591,50006,11,100,'Inflicts 4029 - 6715 melee damage on target',0,0),
(141592,50006,11,100,'Inflicts 100.0% of max health in crushing damage on target',0,1),
(141593,50006,11,100,'If Target is Standard or weaker',1,2),
(141594,50007,10,100,'Feigns Death with 67% chance of success',0,0),
(141595,50008,10,100,'Feigns Death with 77% chance of success',0,0),
(141596,50009,10,100,'Feigns Death with 87% chance of success',0,0),
(141597,50010,10,100,'Feigns Death with 97% chance of success',0,0),
(141598,50011,10,100,'Feigns Death with 98% chance of success',0,0),
(141599,50012,10,100,'Inflicts 56 - 93 crushing damage on target',0,0),
(141600,50013,10,100,'Inflicts 47 - 78 melee damage on target',0,0),
(141601,50014,10,100,'Dispels 27 levels of arcane hostile effects on caster',0,0),
(141602,50015,10,100,'Makes target afraid',0,0),
(141603,50015,10,100,'30% chance to dispel when target takes damage',0,1),
(141604,50015,10,100,'Does not affect Epic targets',0,2),
(141605,50015,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(141606,50016,10,100,'Makes target afraid',0,0),
(141607,50016,10,100,'30% chance to dispel when target takes damage',0,1),
(141608,50016,10,100,'Does not affect Epic targets',0,2),
(141609,50016,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(141610,50018,10,100,'Inflicts 52 - 87 melee damage on target',0,0),
(141611,50018,10,100,'Interrupts target',0,1),
(141612,50018,10,100,'If facing target',0,2),
(141613,50019,10,100,'Inflicts 36 - 61 melee damage on target',0,0),
(141614,50019,10,100,'Inflicts 36 - 61 melee damage on target',0,1),
(141615,50019,10,100,'Inflicts 36 - 61 melee damage on target',0,2),
(141616,50019,10,100,'Inflicts 36 - 61 melee damage on target',0,3),
(141617,50019,10,100,'If facing target',0,4),
(141621,50020,10,100,'Inflicts 38 - 63 crushing damage on target',0,0),
(141622,50020,10,100,'Stuns target',0,1),
(141623,50020,10,100,'Does not affect Epic targets',1,2),
(141626,50022,10,100,'Decreases Slashing, Piercing and Crushing of caster by 4.8',0,0),
(141627,50022,10,100,'Increases Defense and Deflection of caster by 8.1',0,1),
(141629,50023,10,100,'Increases Threat to target by 1,592 - 1,826 ',0,0),
(141635,50024,10,100,'Inflicts 57 - 95 crushing damage on target',0,5),
(141636,50024,10,100,'If facing target',0,6),
(141637,50025,10,100,'Grants the brawler a small chance to briefly stun their target with \r\neach melee hit. ',0,0),
(141640,60000,10,100,'Inflicts 163 - 272 cold damage on target',0,0),
(141641,60000,10,100,'Dazes target',0,1),
(141642,60000,10,100,'If Target is not Epic',1,2),
(141643,60000,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(141644,60001,10,100,'Inflicts 254 - 423 cold damage on target',0,0),
(141645,60001,10,100,'Dazes target',0,1),
(141646,60001,10,100,'If Target is not Epic',1,2),
(141647,60001,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(141648,60002,10,100,'Inflicts 360 - 600 cold damage on target',0,0),
(141649,60002,10,100,'Dazes target',0,1),
(141650,60002,10,100,'If Target is not Epic',1,2),
(141651,60002,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(141652,60003,10,100,'Inflicts 470 - 783 cold damage on target',0,0),
(141653,60003,10,100,'Dazes target',0,1),
(141654,60003,10,100,'If Target is not Epic',1,2),
(141655,60003,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(141656,60004,10,100,'Inflicts 569 - 948 cold damage on target',0,0),
(141657,60004,10,100,'Dazes target',0,1),
(141658,60004,10,100,'If Target is not Epic',1,2),
(141659,60004,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(141660,60005,10,100,'Inflicts 666 - 1110 cold damage on target',0,0),
(141661,60005,10,100,'Dazes target',0,1),
(141662,60005,10,100,'If Target is not Epic',1,2),
(141663,60005,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(141664,60005,11,100,'Inflicts 801 - 1335 cold damage on target',0,0),
(141665,60005,11,100,'Dazes target',0,1),
(141666,60005,11,100,'If Target is not Epic',1,2),
(141667,60005,11,100,'Resistibility increases against targets higher than level 29.',0,3),
(141668,60011,10,100,'Increases Mitigation of caster vs physical damage by 218',0,0),
(141669,60011,10,100,'Roots caster',0,1),
(141670,60012,10,100,'Increases Mitigation of caster vs physical damage by 336',0,0),
(141671,60012,10,100,'Roots caster',0,1),
(141672,60013,10,100,'Increases Mitigation of caster vs physical damage by 454',0,0),
(141673,60013,10,100,'Roots caster',0,1),
(141674,60014,10,100,'Increases Mitigation of caster vs physical damage by 571',0,0),
(141675,60014,10,100,'Roots caster',0,1),
(141676,60015,10,100,'Increases Mitigation of caster vs physical damage by 688',0,0),
(141677,60015,10,100,'Roots caster',0,1),
(141678,60016,10,100,'Increases Mitigation of caster vs physical damage by 806',0,0),
(141679,60016,10,100,'Roots caster',0,1),
(141680,60017,10,100,'Increases Mitigation of caster vs physical damage by 906',0,0),
(141681,60017,10,100,'Roots caster',0,1),
(141682,60017,11,100,'Increases Mitigation of caster vs physical damage by 1089',0,0),
(141683,60017,11,100,'Roots caster',0,1),
(141684,60018,10,100,'Increases Ability Casting Speed of raid and group members (AE) by 4.5%',0,0),
(141685,60018,10,100,'Increases Haste of raid and group members (AE) by 11.2',0,1),
(141686,60018,11,100,'Increases Ability Casting Speed of raid and group members (AE) by 5.4%',0,0),
(141687,60018,11,100,'Increases Haste of raid and group members (AE) by 13.4',0,1),
(141690,60020,10,100,'Increases Ability Casting Speed of raid and group members (AE) by 6.8%',0,0),
(141691,60020,10,100,'Increases Attack Speed of raid and group members (AE) by 17.0',0,1),
(141692,60020,11,100,'Increases Ability Casting Speed of raid and group members (AE) by 8.2%',0,0),
(141693,60020,11,100,'Increases Haste of raid and group members (AE) by 20.5',0,1),
(141694,60021,11,100,'Increases Ability Casting Speed of raid and group members (AE) by 9.6%',0,0),
(141695,60021,11,100,'Increases Haste of raid and group members (AE) by 24.0',0,1),
(141696,60022,10,100,'Increases Ability Casting Speed of raid and group members (AE) by 9.1%',0,0),
(141697,60022,10,100,'Increases Haste of raid and group members (AE) by 22.8',0,1),
(141698,60022,11,100,'Increases Ability Casting Speed of raid and group members (AE) by 11.0%',0,0),
(141699,60022,11,100,'Increases Haste of raid and group members (AE) by 27.4',0,1),
(141700,60023,10,100,'Increases Ability Casting Speed of raid and group members (AE) by 10.0%',0,0),
(141701,60023,10,100,'Increases Haste of raid and group members (AE) by 25.0',0,1),
(141702,60023,11,100,'Increases Ability Casting Speed of raid and group members (AE) by 12.0%',0,0),
(141703,60023,11,100,'Increases Attack Speed of raid and group members (AE) by 30.1',0,1),
(141704,60024,10,100,'Increases Ability Casting Speed of raid and group members (AE) by 11.2%',0,0),
(141705,60024,10,100,'Increases Haste of raid and group members (AE) by 28.1',0,1),
(141706,60024,11,100,'Increases Ability Casting Speed of raid and group members (AE) by 13.5%',0,0),
(141707,60024,11,100,'Increases Haste of raid and group members (AE) by 33.8',0,1),
(141708,60025,10,100,'Increases Ability Casting Speed of raid and group members (AE) by 12.3%',0,0),
(141709,60025,10,100,'Increases Haste of raid and group members (AE) by 30.7',0,1),
(141710,60025,11,100,'Increases Ability Casting Speed of raid and group members (AE) by 14.8%',0,0),
(141711,60025,11,100,'Increases Haste of raid and group members (AE) by 37.0',0,1),
(141712,60026,10,100,'Interrupts target encounter',0,0),
(141713,60026,10,100,'Increases Threat to target encounter by 653 - 798 ',0,1),
(141714,60026,11,100,'Interrupts target encounter',0,0),
(141715,60026,11,100,'Increases Threat to target encounter by 785 - 960 ',0,1),
(141716,60027,11,100,'Interrupts target encounter',0,0),
(141717,60027,11,100,'Increases Threat to target encounter by 1,791 - 2,069 ',0,1),
(141718,60028,10,100,'Interrupts target encounter',0,0),
(141719,60028,10,100,'Increases Threat to target encounter by 2,398 - 2,812 ',0,1),
(141720,60028,11,100,'Interrupts target encounter',0,0),
(141721,60028,11,100,'Increases Threat to target encounter by 2,775 - 3,271 ',0,1),
(141722,60029,11,100,'Interrupts target encounter',0,0),
(141723,60029,11,100,'Increases Threat to target encounter by 3,976 - 4,740 ',0,1),
(141724,60030,11,100,'Interrupts target encounter',0,0),
(141725,60030,11,100,'Increases Threat to target encounter by 5,326 - 6,390 ',0,1),
(141726,60031,10,100,'Interrupts target encounter',0,0),
(141727,60031,10,100,'Increases Threat to target encounter by 5,693 - 6,838 ',0,1),
(141728,60031,11,100,'Interrupts target encounter',0,0),
(141729,60031,11,100,'Increases Threat to target encounter by 6,736 - 8,113 ',0,1),
(141730,60032,10,100,'Interrupts target encounter',0,0),
(141731,60032,10,100,'Increases Threat to target encounter by 6,829 - 8,227 ',0,1),
(141732,60032,11,100,'Interrupts target encounter',0,0),
(141733,60032,11,100,'Increases Threat to target encounter by 8,102 - 9,783 ',0,1),
(141734,60033,10,100,'Interrupts target encounter',0,0),
(141735,60033,10,100,'Increases Threat to target encounter by 7,965 - 9,615 ',0,1),
(141736,60033,11,100,'Interrupts target encounter',0,0),
(141737,60033,11,100,'Increases Threat to target encounter by 9,468 - 11,452 ',0,1),
(141743,60035,1,100,'Decreases AGI of target by 30.1',0,1),
(141744,60036,10,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(141745,60036,10,100,'Throws target back',1,1),
(141746,60036,10,100,'Blurs vision of target',1,2),
(141747,60036,10,100,'Stuns target',1,3),
(141748,60036,10,100,'Does not affect Epic targets',1,4),
(141749,60036,10,100,'Inflicts 130 - 217 melee damage on target',0,5),
(141750,60037,10,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(141751,60037,10,100,'Throws target back',1,1),
(141752,60037,10,100,'Blurs vision of target',1,2),
(141753,60037,10,100,'Stuns target',1,3),
(141754,60037,10,100,'Does not affect Epic targets',1,4),
(141755,60037,10,100,'Inflicts 189 - 316 melee damage on target',0,5),
(141756,60038,10,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(141757,60038,10,100,'Throws target back',1,1),
(141758,60038,10,100,'Blurs vision of target',1,2),
(141759,60038,10,100,'Stuns target',1,3),
(141760,60038,10,100,'Does not affect Epic targets',1,4),
(141761,60038,10,100,'Inflicts 249 - 415 melee damage on target',0,5),
(141762,60039,10,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(141763,60039,10,100,'Throws target back',1,1),
(141764,60039,10,100,'Blurs vision of target',1,2),
(141765,60039,10,100,'Stuns target',1,3),
(141766,60039,10,100,'Does not affect Epic targets',1,4),
(141767,60039,10,100,'Inflicts 302 - 503 melee damage on target',0,5),
(141768,60040,10,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(141769,60040,10,100,'Throws target back',1,1),
(141770,60040,10,100,'Blurs vision of target',1,2),
(141771,60040,10,100,'Stuns target',1,3),
(141772,60040,10,100,'Does not affect Epic targets',1,4),
(141773,60040,10,100,'Inflicts 363 - 606 melee damage on target',0,5),
(141774,60041,10,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(141775,60041,10,100,'Throws target back',1,1),
(141776,60041,10,100,'Blurs vision of target',1,2),
(141777,60041,10,100,'Stuns target',1,3),
(141778,60041,10,100,'Does not affect Epic targets',1,4),
(141779,60041,10,100,'Inflicts 390 - 650 melee damage on target',0,5),
(141780,60041,11,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(141781,60041,11,100,'Throws target back',1,1),
(141782,60041,11,100,'Blurs vision of target',1,2),
(141783,60041,11,100,'Stuns target',1,3),
(141784,60041,11,100,'Does not affect Epic targets',1,4),
(141785,60041,11,100,'Inflicts 469 - 782 melee damage on target',0,5),
(141786,60042,10,100,'Inflicts 34 - 57 magic damage on targets in Area of Effect',0,0),
(141787,60044,10,100,'Inflicts 177 - 296 magic damage on targets in Area of Effect',0,0),
(141788,60045,10,100,'Inflicts 268 - 446 magic damage on targets in Area of Effect',0,0),
(141789,60048,10,100,'Inflicts 552 - 921 magic damage on targets in Area of Effect',0,0),
(141790,60049,10,100,'Inflicts 622 - 1037 magic damage on targets in Area of Effect',0,0),
(141791,60049,11,100,'Inflicts 748 - 1247 magic damage on targets in Area of Effect',0,0),
(141792,60050,10,100,'Reduces physical damage done to caster by 5%',0,0),
(141793,60050,10,100,'Adds 2.5% to base avoidance.',0,1),
(141794,60050,10,100,'Caster will deflect 16.8% of incoming attacks.',0,2),
(141795,60050,10,100,'Increases Parry of caster by 3.0',0,3),
(141796,60050,10,100,'Decreases Slashing, Piercing and Crushing of caster by 1.8',0,4),
(141797,60050,10,100,'Increases Aggression of caster by 1.8',0,5),
(141798,60050,10,100,'Increases Defense and Deflection of caster by 3.0',0,6),
(141799,60050,10,100,'Increases Mitigation of caster vs arcane damage by 258',0,7),
(141800,60050,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(141801,60050,11,100,'Reduces physical damage done to caster by 5%',0,0),
(141802,60050,11,100,'Adds 3.0% to base avoidance.',0,1),
(141803,60050,11,100,'Caster will deflect 20.2% of incoming attacks.',0,2),
(141804,60050,11,100,'Increases Parry of caster by 3.6',0,3),
(141805,60050,11,100,'Decreases Slashing, Piercing and Crushing of caster by 1.8',0,4),
(141806,60050,11,100,'Increases Aggression of caster by 2.2',0,5),
(141807,60050,11,100,'Increases Defense and Deflection of caster by 3.6',0,6),
(141808,60050,11,100,'Increases Mitigation of caster vs arcane damage by 310',0,7),
(141809,60050,11,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(141810,60051,10,100,'Reduces physical damage done to caster by 5%',0,0),
(141811,60051,10,100,'Adds 2.5% to base avoidance.',0,1),
(141812,60051,10,100,'Caster will deflect 16.8% of incoming attacks.',0,2),
(141813,60051,10,100,'Increases Parry of caster by 8.1',0,3),
(141814,60051,10,100,'Decreases Slashing, Piercing and Crushing of caster by 4.8',0,4),
(141815,60051,10,100,'Increases Aggression of caster by 4.8',0,5),
(141816,60051,10,100,'Increases Defense and Deflection of caster by 8.1',0,6),
(141817,60051,10,100,'Increases Mitigation of caster vs arcane damage by 581',0,7),
(141818,60051,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(141819,60051,11,100,'Reduces physical damage done to caster by 5%',0,0),
(141820,60051,11,100,'Adds 3.0% to base avoidance.',0,1),
(141821,60051,11,100,'Caster will deflect 20.2% of incoming attacks.',0,2),
(141822,60051,11,100,'Increases Parry of caster by 9.7',0,3),
(141823,60051,11,100,'Decreases Slashing, Piercing and Crushing of caster by 4.8',0,4),
(141824,60051,11,100,'Increases Aggression of caster by 5.8',0,5),
(141825,60051,11,100,'Increases Defense and Deflection of caster by 9.7',0,6),
(141826,60051,11,100,'Increases Mitigation of caster vs arcane damage by 698',0,7),
(141827,60051,11,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(141846,60053,10,100,'Reduces physical damage done to caster by 5%',0,0),
(141847,60053,10,100,'Adds 2.5% to base avoidance.',0,1),
(141848,60053,10,100,'Caster will deflect 16.8% of incoming attacks.',0,2),
(141849,60053,10,100,'Increases Parry of caster by 22.2',0,3),
(141850,60053,10,100,'Decreases Slashing, Piercing and Crushing of caster by 13.2',0,4),
(141851,60053,10,100,'Increases Aggression of caster by 13.3',0,5),
(141852,60053,10,100,'Increases Defense and Deflection of caster by 22.2',0,6),
(141853,60053,10,100,'Increases Mitigation of caster vs arcane damage by 1478',0,7),
(141854,60053,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(141855,60053,11,100,'Reduces physical damage done to caster by 5%',0,0),
(141856,60053,11,100,'Adds 3.0% to base avoidance.',0,1),
(141857,60053,11,100,'Caster will deflect 20.2% of incoming attacks.',0,2),
(141858,60053,11,100,'Increases Parry of caster by 26.7',0,3),
(141859,60053,11,100,'Decreases Slashing, Piercing and Crushing of caster by 13.2',0,4),
(141860,60053,11,100,'Increases Aggression of caster by 16.0',0,5),
(141861,60053,11,100,'Increases Defense and Deflection of caster by 26.7',0,6),
(141862,60053,11,100,'Increases Mitigation of caster vs arcane damage by 1778',0,7),
(141863,60053,11,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(141864,60054,10,100,'Reduces physical damage done to caster by 5%',0,0),
(141865,60054,10,100,'Adds 2.5% to base avoidance.',0,1),
(141866,60054,10,100,'Caster will deflect 16.8% of incoming attacks.',0,2),
(141867,60054,10,100,'Increases Parry of caster by 29.2',0,3),
(141868,60054,10,100,'Decreases Slashing, Piercing and Crushing of caster by 17.4',0,4),
(141869,60054,10,100,'Increases Aggression of caster by 17.5',0,5),
(141870,60054,10,100,'Increases Defense and Deflection of caster by 29.2',0,6),
(141871,60054,10,100,'Increases Mitigation of caster vs arcane damage by 1949',0,7),
(141872,60054,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(141873,60054,11,100,'Reduces physical damage done to caster by 5%',0,0),
(141874,60054,11,100,'Adds 3.0% to base avoidance.',0,1),
(141875,60054,11,100,'Caster will deflect 20.2% of incoming attacks.',0,2),
(141876,60054,11,100,'Increases Parry of caster by 35.1',0,3),
(141877,60054,11,100,'Decreases Slashing, Piercing and Crushing of caster by 17.4',0,4),
(141878,60054,11,100,'Increases Aggression of caster by 21.1',0,5),
(141879,60054,11,100,'Increases Defense and Deflection of caster by 35.1',0,6),
(141880,60054,11,100,'Increases Mitigation of caster vs arcane damage by 2343',0,7),
(141881,60054,11,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(141882,60055,10,100,'Reduces physical damage done to caster by 5%',0,0),
(141883,60055,10,100,'Adds 2.5% to base avoidance.',0,1),
(141884,60055,10,100,'Caster will deflect 16.8% of incoming attacks.',0,2),
(141885,60055,10,100,'Increases Parry of caster by 36.6',0,3),
(141886,60055,10,100,'Decreases Slashing, Piercing and Crushing of caster by 21.8',0,4),
(141887,60055,10,100,'Increases Aggression of caster by 22.0',0,5),
(141888,60055,10,100,'Increases Defense and Deflection of caster by 36.6',0,6),
(141889,60055,10,100,'Increases Mitigation of caster vs arcane damage by 2540',0,7),
(141890,60055,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(141891,60055,11,100,'Reduces physical damage done to caster by 5%',0,0),
(141892,60055,11,100,'Adds 3.0% to base avoidance.',0,1),
(141893,60055,11,100,'Caster will deflect 20.2% of incoming attacks.',0,2),
(141894,60055,11,100,'Increases Parry of caster by 44.0',0,3),
(141895,60055,11,100,'Decreases Slashing, Piercing and Crushing of caster by 21.8',0,4),
(141896,60055,11,100,'Increases Aggression of caster by 26.4',0,5),
(141897,60055,11,100,'Increases Defense and Deflection of caster by 44.0',0,6),
(141898,60055,11,100,'Increases Mitigation of caster vs arcane damage by 3054',0,7),
(141899,60055,11,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(141900,60056,10,100,'Reduces physical damage done to caster by 5%',0,0),
(141901,60056,10,100,'Adds 2.5% to base avoidance.',0,1),
(141902,60056,10,100,'Caster will deflect 16.8% of incoming attacks.',0,2),
(141903,60056,10,100,'Increases Parry of caster by 43.7',0,3),
(141904,60056,10,100,'Decreases Slashing, Piercing and Crushing of caster by 25.8',0,4),
(141905,60056,10,100,'Increases Aggression of caster by 26.2',0,5),
(141906,60056,10,100,'Increases Defense and Deflection of caster by 43.7',0,6),
(141907,60056,10,100,'Increases Mitigation of caster vs arcane damage by 2921',0,7),
(141908,60056,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(141909,60056,11,100,'Reduces physical damage done to caster by 5%',0,0),
(141910,60056,11,100,'Adds 3.0% to base avoidance.',0,1),
(141911,60056,11,100,'Caster will deflect 20.2% of incoming attacks.',0,2),
(141912,60056,11,100,'Increases Parry of caster by 52.5',0,3),
(141913,60056,11,100,'Decreases Slashing, Piercing and Crushing of caster by 25.8',0,4),
(141914,60056,11,100,'Increases Aggression of caster by 31.5',0,5),
(141915,60056,11,100,'Increases Defense and Deflection of caster by 52.5',0,6),
(141916,60056,11,100,'Increases Mitigation of caster vs arcane damage by 3512',0,7),
(141917,60056,11,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(141918,60057,10,100,'Reduces physical damage done to caster by 5%',0,0),
(141919,60057,10,100,'Adds 2.5% to base avoidance.',0,1),
(141920,60057,10,100,'Caster will deflect 16.8% of incoming attacks.',0,2),
(141921,60057,10,100,'Increases Parry of caster by 52.1',0,3),
(141922,60057,10,100,'Decreases Slashing, Piercing and Crushing of caster by 29.8',0,4),
(141923,60057,10,100,'Increases Aggression of caster by 31.2',0,5),
(141924,60057,10,100,'Increases Defense and Deflection of caster by 52.1',0,6),
(141925,60057,10,100,'Increases Mitigation of caster vs arcane damage by 3400',0,7),
(141926,60057,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(141927,60057,11,100,'Reduces physical damage done to caster by 5%',0,0),
(141928,60057,11,100,'Adds 3.0% to base avoidance.',0,1),
(141929,60057,11,100,'Caster will deflect 20.2% of incoming attacks.',0,2),
(141930,60057,11,100,'Increases Parry of caster by 62.6',0,3),
(141931,60057,11,100,'Decreases Slashing, Piercing and Crushing of caster by 29.8',0,4),
(141932,60057,11,100,'Increases Aggression of caster by 37.6',0,5),
(141933,60057,11,100,'Increases Defense and Deflection of caster by 62.6',0,6),
(141934,60057,11,100,'Increases Mitigation of caster vs arcane damage by 4088',0,7),
(141935,60057,11,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(141938,60060,10,100,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',0,0),
(141939,60060,10,100,'Increases Threat to target by 4,246 ',1,1),
(141940,60061,10,100,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',0,0),
(141941,60061,10,100,'Increases Threat to target by 5,508 ',1,1),
(141942,60062,10,100,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',0,0),
(141943,60062,10,100,'Increases Threat to target by 6,771 ',1,1),
(141944,60063,10,100,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',0,0),
(141945,60063,10,100,'Increases Threat to target by 8,033 ',1,1),
(141946,60064,10,100,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',0,0),
(141947,60064,10,100,'Increases Threat to target by 9,295 ',1,1),
(141948,60064,11,100,'On a melee hit this spell may cast Dragon Stance on target of attack.  Triggers about 10.0 times per minute. ',0,0),
(141949,60064,11,100,'Increases Threat to target by 11,066 ',1,1),
(141950,60065,10,100,'Inflicts 1 - 2 heat damage on targets in Area of Effect instantly and every second',0,0),
(141951,60065,10,100,'Decreases Ability Casting Speed of targets in Area of Effect by 50.4%',0,1),
(141952,60065,11,100,'Inflicts 2 heat damage on targets in Area of Effect instantly and every second',0,0),
(141953,60065,11,100,'Decreases Ability Casting Speed of targets in Area of Effect by 60.6%',0,1),
(141954,60066,10,100,'Inflicts 1 - 2 heat damage on targets in Area of Effect instantly and every second',0,0),
(141955,60066,10,100,'Decreases Ability Casting Speed of targets in Area of Effect by 50.4%',0,1),
(141956,60066,11,100,'Inflicts 2 heat damage on targets in Area of Effect instantly and every second',0,0),
(141957,60066,11,100,'Decreases Ability Casting Speed of targets in Area of Effect by 60.6%',0,1),
(141958,60067,10,100,'Inflicts 1 - 2 heat damage on targets in Area of Effect instantly and every second',0,0),
(141959,60067,10,100,'Decreases Ability Casting Speed of targets in Area of Effect by 50.4%',0,1),
(141960,60067,11,100,'Inflicts 2 heat damage on targets in Area of Effect instantly and every second',0,0),
(141961,60067,11,100,'Decreases Ability Casting Speed of targets in Area of Effect by 60.6%',0,1),
(141962,60068,10,100,'Inflicts 1 - 2 heat damage on targets in Area of Effect instantly and every second',0,0),
(141963,60068,10,100,'Decreases Ability Casting Speed of targets in Area of Effect by 50.4%',0,1),
(141964,60068,11,100,'Inflicts 2 heat damage on targets in Area of Effect instantly and every second',0,0),
(141965,60068,11,100,'Decreases Ability Casting Speed of targets in Area of Effect by 60.6%',0,1),
(141966,60070,10,100,'Increases Haste of caster by 37.8',0,0),
(141967,60071,10,100,'Increases Haste of caster by 43.5',0,0),
(141968,60072,10,100,'Increases Haste of caster by 48.8',0,0),
(141969,60073,10,100,'Feigns Death with 92% chance of success',0,0),
(141970,60074,10,100,'Inflicts 36 - 61 melee damage on target',0,0),
(141971,60074,10,100,'Inflicts 36 - 61 melee damage on target',0,1),
(141972,60074,10,100,'Inflicts 36 - 61 melee damage on target',0,2),
(141973,60074,10,100,'Inflicts 36 - 61 melee damage on target',0,3),
(141974,60074,10,100,'Inflicts 36 - 61 melee damage on target',0,4),
(141975,60074,11,100,'Inflicts 44 - 73 melee damage on target',0,0),
(141976,60074,11,100,'Inflicts 44 - 73 melee damage on target',0,1),
(141977,60074,11,100,'Inflicts 44 - 73 melee damage on target',0,2),
(141978,60074,11,100,'Inflicts 44 - 73 melee damage on target',0,3),
(141979,60074,11,100,'Inflicts 44 - 73 melee damage on target',0,4),
(141980,60075,10,100,'Inflicts 68 - 113 melee damage on target',0,0),
(141981,60075,10,100,'Inflicts 68 - 113 melee damage on target',0,1),
(141982,60075,10,100,'Inflicts 68 - 113 melee damage on target',0,2),
(141983,60075,10,100,'Inflicts 68 - 113 melee damage on target',0,3),
(141984,60075,10,100,'Inflicts 68 - 113 melee damage on target',0,4),
(141985,60075,11,100,'Inflicts 81 - 136 melee damage on target',0,0),
(141986,60075,11,100,'Inflicts 81 - 136 melee damage on target',0,1),
(141987,60075,11,100,'Inflicts 81 - 136 melee damage on target',0,2),
(141988,60075,11,100,'Inflicts 81 - 136 melee damage on target',0,3),
(141989,60075,11,100,'Inflicts 81 - 136 melee damage on target',0,4),
(141990,60076,10,100,'Inflicts 103 - 173 melee damage on target',0,0),
(141991,60076,10,100,'Inflicts 103 - 173 melee damage on target',0,1),
(141992,60076,10,100,'Inflicts 103 - 173 melee damage on target',0,2),
(141993,60076,10,100,'Inflicts 103 - 173 melee damage on target',0,3),
(141994,60076,10,100,'Inflicts 103 - 173 melee damage on target',0,4),
(141995,60076,11,100,'Inflicts 124 - 208 melee damage on target',0,0),
(141996,60076,11,100,'Inflicts 124 - 208 melee damage on target',0,1),
(141997,60076,11,100,'Inflicts 124 - 208 melee damage on target',0,2),
(141998,60076,11,100,'Inflicts 124 - 208 melee damage on target',0,3),
(141999,60076,11,100,'Inflicts 124 - 208 melee damage on target',0,4),
(142000,60077,10,100,'Inflicts 146 - 244 melee damage on target',0,0),
(142001,60077,10,100,'Inflicts 146 - 244 melee damage on target',0,1),
(142002,60077,10,100,'Inflicts 146 - 244 melee damage on target',0,2),
(142003,60077,10,100,'Inflicts 146 - 244 melee damage on target',0,3),
(142004,60077,10,100,'Inflicts 146 - 244 melee damage on target',0,4),
(142005,60077,11,100,'Inflicts 176 - 293 melee damage on target',0,0),
(142006,60077,11,100,'Inflicts 176 - 293 melee damage on target',0,1),
(142007,60077,11,100,'Inflicts 176 - 293 melee damage on target',0,2),
(142008,60077,11,100,'Inflicts 176 - 293 melee damage on target',0,3),
(142009,60077,11,100,'Inflicts 176 - 293 melee damage on target',0,4),
(142010,60078,10,100,'Inflicts 183 - 305 melee damage on target',0,0),
(142011,60078,10,100,'Inflicts 183 - 305 melee damage on target',0,1),
(142012,60078,10,100,'Inflicts 183 - 305 melee damage on target',0,2),
(142013,60078,10,100,'Inflicts 183 - 305 melee damage on target',0,3),
(142014,60078,10,100,'Inflicts 183 - 305 melee damage on target',0,4),
(142015,60078,11,100,'Inflicts 220 - 367 melee damage on target',0,0),
(142016,60078,11,100,'Inflicts 220 - 367 melee damage on target',0,1),
(142017,60078,11,100,'Inflicts 220 - 367 melee damage on target',0,2),
(142018,60078,11,100,'Inflicts 220 - 367 melee damage on target',0,3),
(142019,60078,11,100,'Inflicts 220 - 367 melee damage on target',0,4),
(142020,60079,10,100,'Inflicts 221 - 369 melee damage on target',0,0),
(142021,60079,10,100,'Inflicts 221 - 369 melee damage on target',0,1),
(142022,60079,10,100,'Inflicts 221 - 369 melee damage on target',0,2),
(142023,60079,10,100,'Inflicts 221 - 369 melee damage on target',0,3),
(142024,60079,10,100,'Inflicts 221 - 369 melee damage on target',0,4),
(142025,60079,11,100,'Inflicts 266 - 444 melee damage on target',0,0),
(142026,60079,11,100,'Inflicts 266 - 444 melee damage on target',0,1),
(142027,60079,11,100,'Inflicts 266 - 444 melee damage on target',0,2),
(142028,60079,11,100,'Inflicts 266 - 444 melee damage on target',0,3),
(142029,60079,11,100,'Inflicts 266 - 444 melee damage on target',0,4),
(142030,60080,10,100,'Inflicts 252 - 421 melee damage on target',0,0),
(142031,60080,10,100,'Inflicts 252 - 421 melee damage on target',0,1),
(142032,60080,10,100,'Inflicts 252 - 421 melee damage on target',0,2),
(142033,60080,10,100,'Inflicts 252 - 421 melee damage on target',0,3),
(142034,60080,10,100,'Inflicts 252 - 421 melee damage on target',0,4),
(142035,60080,11,100,'Inflicts 304 - 506 melee damage on target',0,0),
(142036,60080,11,100,'Inflicts 304 - 506 melee damage on target',0,1),
(142037,60080,11,100,'Inflicts 304 - 506 melee damage on target',0,2),
(142038,60080,11,100,'Inflicts 304 - 506 melee damage on target',0,3),
(142039,60080,11,100,'Inflicts 304 - 506 melee damage on target',0,4),
(142040,60081,1,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(142041,60081,1,100,'Increases the amount of Potency gained by 20%',0,4),
(142042,60081,2,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(142043,60081,2,100,'Increases the amount of Potency gained by 20%',0,4),
(142044,60081,3,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(142045,60081,3,100,'Increases the amount of Potency gained by 20%',0,4),
(142046,60081,4,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(142047,60081,4,100,'Increases the amount of Potency gained by 20%',0,4),
(142048,60081,5,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(142049,60081,5,100,'Increases the amount of Potency gained by 20%',0,4),
(142050,60081,7,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(142051,60081,7,100,'Increases the amount of Potency gained by 20%',0,4),
(142052,60081,9,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(142053,60081,9,100,'Increases the amount of Potency gained by 20%',0,4),
(142054,60081,10,100,'Increases Haste of caster by 20.4',0,0),
(142055,60081,10,100,'Decreases Defense of caster by 1.8',0,1),
(142056,60081,10,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 4.5',0,2),
(142057,60081,10,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(142058,60081,10,100,'Increases the amount of Potency gained by 20%',0,4),
(142059,60082,1,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(142060,60082,1,100,'Increases the amount of Potency gained by 20%',0,4),
(142061,60082,2,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(142062,60082,2,100,'Increases the amount of Potency gained by 20%',0,4),
(142063,60082,3,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(142064,60082,3,100,'Increases the amount of Potency gained by 20%',0,4),
(142065,60082,4,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(142066,60082,4,100,'Increases the amount of Potency gained by 20%',0,4),
(142067,60082,5,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(142068,60082,5,100,'Increases the amount of Potency gained by 20%',0,4),
(142069,60082,7,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(142070,60082,7,100,'Increases the amount of Potency gained by 20%',0,4),
(142071,60082,9,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(142072,60082,9,100,'Increases the amount of Potency gained by 20%',0,4),
(142073,60082,10,100,'Increases Haste of caster by 25.2',0,0),
(142074,60082,10,100,'Decreases Defense of caster by 4.8',0,1),
(142075,60082,10,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 12.1',0,2),
(142076,60082,10,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(142077,60082,10,100,'Increases the amount of Potency gained by 20%',0,4),
(142078,60083,1,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(142079,60083,1,100,'Increases the amount of Potency gained by 20%',0,4),
(142080,60083,2,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(142081,60083,2,100,'Increases the amount of Potency gained by 20%',0,4),
(142082,60083,3,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(142083,60083,3,100,'Increases the amount of Potency gained by 20%',0,4),
(142084,60083,4,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(142085,60083,4,100,'Increases the amount of Potency gained by 20%',0,4),
(142086,60083,5,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(142087,60083,5,100,'Increases the amount of Potency gained by 20%',0,4),
(142088,60083,7,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(142089,60083,7,100,'Increases the amount of Potency gained by 20%',0,4),
(142090,60083,9,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(142091,60083,9,100,'Increases the amount of Potency gained by 20%',0,4),
(142092,60083,10,100,'Increases Haste of caster by 33.2',0,0),
(142093,60083,10,100,'Decreases Defense of caster by 10.5',0,1),
(142094,60083,10,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 26.5',0,2),
(142095,60083,10,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(142096,60083,10,100,'Increases the amount of Potency gained by 20%',0,4),
(142097,60084,1,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(142098,60084,1,100,'Increases the amount of Potency gained by 20%',0,4),
(142099,60084,2,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(142100,60084,2,100,'Increases the amount of Potency gained by 20%',0,4),
(142101,60084,3,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(142102,60084,3,100,'Increases the amount of Potency gained by 20%',0,4),
(142103,60084,4,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(142104,60084,4,100,'Increases the amount of Potency gained by 20%',0,4),
(142105,60084,5,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(142106,60084,5,100,'Increases the amount of Potency gained by 20%',0,4),
(142107,60084,7,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(142108,60084,7,100,'Increases the amount of Potency gained by 20%',0,4),
(142109,60084,9,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(142110,60084,9,100,'Increases the amount of Potency gained by 20%',0,4),
(142111,60084,10,100,'Increases Haste of caster by 39.0',0,0),
(142112,60084,10,100,'Decreases Defense of caster by 14.7',0,1),
(142113,60084,10,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 37.0',0,2),
(142114,60084,10,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(142115,60084,10,100,'Increases the amount of Potency gained by 20%',0,4),
(142116,60085,1,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(142117,60085,1,100,'Increases the amount of Potency gained by 20%',0,4),
(142118,60085,2,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(142119,60085,2,100,'Increases the amount of Potency gained by 20%',0,4),
(142120,60085,3,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(142121,60085,3,100,'Increases the amount of Potency gained by 20%',0,4),
(142122,60085,4,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(142123,60085,4,100,'Increases the amount of Potency gained by 20%',0,4),
(142124,60085,5,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(142125,60085,5,100,'Increases the amount of Potency gained by 20%',0,4),
(142126,60085,7,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(142127,60085,7,100,'Increases the amount of Potency gained by 20%',0,4),
(142128,60085,9,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(142129,60085,9,100,'Increases the amount of Potency gained by 20%',0,4),
(142130,60085,10,100,'Increases Haste of caster by 44.7',0,0),
(142131,60085,10,100,'Decreases Defense of caster by 18.9',0,1),
(142132,60085,10,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 47.6',0,2),
(142133,60085,10,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(142134,60085,10,100,'Increases the amount of Potency gained by 20%',0,4),
(142135,60086,1,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(142136,60086,1,100,'Increases the amount of Potency gained by 20%',0,4),
(142137,60086,2,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(142138,60086,2,100,'Increases the amount of Potency gained by 20%',0,4),
(142139,60086,3,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(142140,60086,3,100,'Increases the amount of Potency gained by 20%',0,4),
(142141,60086,4,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(142142,60086,4,100,'Increases the amount of Potency gained by 20%',0,4),
(142143,60086,5,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(142144,60086,5,100,'Increases the amount of Potency gained by 20%',0,4),
(142145,60086,7,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(142146,60086,7,100,'Increases the amount of Potency gained by 20%',0,4),
(142147,60086,9,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(142148,60086,9,100,'Increases the amount of Potency gained by 20%',0,4),
(142149,60086,10,100,'Increases Haste of caster by 49.6',0,0),
(142150,60086,10,100,'Decreases Defense of caster by 23.0',0,1),
(142151,60086,10,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 58.0',0,2),
(142152,60086,10,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(142153,60086,10,100,'Increases the amount of Potency gained by 20%',0,4),
(142154,60087,1,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(142155,60087,1,100,'Increases the amount of Potency gained by 20%',0,4),
(142156,60087,4,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(142157,60087,4,100,'Increases the amount of Potency gained by 20%',0,4),
(142158,60087,5,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(142159,60087,5,100,'Increases the amount of Potency gained by 20%',0,4),
(142160,60087,7,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(142161,60087,7,100,'Increases the amount of Potency gained by 20%',0,4),
(142162,60087,9,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(142163,60087,9,100,'Increases the amount of Potency gained by 20%',0,4),
(142164,60087,10,100,'Increases Haste of caster by 55.5',0,0),
(142165,60087,10,100,'Decreases Defense of caster by 27.0',0,1),
(142166,60087,10,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 69.3',0,2),
(142167,60087,10,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(142168,60087,10,100,'Increases the amount of Potency gained by 20%',0,4),
(142169,60088,1,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 43.9',0,3),
(142170,60088,1,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,4),
(142171,60088,1,100,'Increases the amount of Potency gained by 20%',0,5),
(142172,60088,4,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 53.6',0,3),
(142173,60088,4,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,4),
(142174,60088,4,100,'Increases the amount of Potency gained by 20%',0,5),
(142175,60088,5,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 58.5',0,3),
(142176,60088,5,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,4),
(142177,60088,5,100,'Increases the amount of Potency gained by 20%',0,5),
(142178,60088,7,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 75.1',0,3),
(142179,60088,7,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,4),
(142180,60088,7,100,'Increases the amount of Potency gained by 20%',0,5),
(142181,60088,9,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 78.0',0,3),
(142182,60088,9,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,4),
(142183,60088,9,100,'Increases the amount of Potency gained by 20%',0,5),
(142184,60088,10,100,'Increases Potency of caster by 2.7%',0,0),
(142185,60088,10,100,'Increases Haste of caster by 61.1',0,1),
(142186,60088,10,100,'Decreases Defense of caster by 31.0',0,2),
(142187,60088,10,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 81.9',0,3),
(142188,60088,10,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,4),
(142189,60088,10,100,'Increases the amount of Potency gained by 20%',0,5),
(142190,60088,11,100,'Increases Potency of caster by 3.2%',0,0),
(142191,60088,11,100,'Increases Haste of caster by 73.5',0,1),
(142192,60088,11,100,'Decreases Defense of caster by 31.0',0,2),
(142193,60088,11,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 98.5',0,3),
(142194,60088,11,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,4),
(142195,60088,11,100,'Increases the amount of Potency gained by 20%',0,5),
(142196,60089,10,100,'Inflicts 13 - 22 cold damage on target',0,0),
(142197,60089,11,100,'Inflicts 16 - 27 cold damage on target',0,0),
(142198,60090,10,100,'Inflicts 98 - 164 cold damage on target',0,0),
(142199,60090,11,100,'Inflicts 118 - 197 cold damage on target',0,0),
(142200,60091,10,100,'Inflicts 190 - 317 cold damage on target',0,0),
(142201,60091,11,100,'Inflicts 229 - 382 cold damage on target',0,0),
(142202,60092,10,100,'Inflicts 294 - 491 cold damage on target',0,0),
(142203,60092,11,100,'Inflicts 354 - 590 cold damage on target',0,0),
(142204,60093,10,100,'Inflicts 413 - 689 cold damage on target',0,0),
(142205,60093,11,100,'Inflicts 497 - 829 cold damage on target',0,0),
(142206,60094,10,100,'Inflicts 539 - 899 cold damage on target',0,0),
(142207,60094,11,100,'Inflicts 649 - 1082 cold damage on target',0,0),
(142208,60095,10,100,'Inflicts 652 - 1088 cold damage on target',0,0),
(142209,60095,11,100,'Inflicts 785 - 1308 cold damage on target',0,0),
(142210,60096,10,100,'Inflicts 754 - 1256 cold damage on target',0,0),
(142211,60096,11,100,'Inflicts 906 - 1511 cold damage on target',0,0),
(142214,60099,10,100,'Increases STR of caster by 52.1',0,0),
(142215,60099,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1310',0,1),
(142216,60101,10,100,'Increases STR of caster by 89.7',0,0),
(142217,60101,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2228',0,1),
(142218,60102,10,100,'Increases STR of caster by 109.0',0,0),
(142219,60102,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2588',0,1),
(142220,60103,10,100,'Increases STR of caster by 127.5',0,0),
(142221,60103,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2916',0,1),
(142222,60104,10,100,'Increases STR of caster by 146.0',0,0),
(142223,60104,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 3243',0,1),
(142224,60104,11,100,'Increases STR of caster by 175.5',0,0),
(142225,60104,11,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 3900',0,1),
(142226,60105,10,100,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',0,0),
(142227,60105,10,100,'Inflicts 14 - 23 magic damage on target',1,1),
(142228,60105,10,100,'Grants a total of 8 triggers of the spell.',1,2),
(142229,60106,10,100,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',0,0),
(142230,60106,10,100,'Inflicts 28 - 46 magic damage on target',1,1),
(142231,60106,10,100,'Grants a total of 8 triggers of the spell.',1,2),
(142232,60108,10,100,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',0,0),
(142233,60108,10,100,'Inflicts 62 - 103 magic damage on target',1,1),
(142234,60108,10,100,'Grants a total of 8 triggers of the spell.',1,2),
(142235,60109,10,100,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',0,0),
(142236,60109,10,100,'Inflicts 81 - 134 magic damage on target',1,1),
(142237,60109,10,100,'Grants a total of 8 triggers of the spell.',1,2),
(142238,60110,10,100,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',0,0),
(142239,60110,10,100,'Inflicts 98 - 163 magic damage on target',1,1),
(142240,60110,10,100,'Grants a total of 8 triggers of the spell.',1,2),
(142241,60111,10,100,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',0,0),
(142242,60111,10,100,'Inflicts 116 - 193 magic damage on target',1,1),
(142243,60111,10,100,'Grants a total of 8 triggers of the spell.',1,2),
(142244,60111,11,100,'On a melee hit this spell will cast Jolting Strike on target of attack.  ',0,0),
(142245,60111,11,100,'Inflicts 139 - 232 magic damage on target',1,1),
(142246,60111,11,100,'Grants a total of 8 triggers of the spell.',1,2),
(142247,60112,10,100,'Dispels 14 levels of noxious hostile effects on target',0,0),
(142248,60112,10,100,'Heals target for 12 - 15',0,1),
(142249,60112,10,100,'This effect cannot be critically applied.',1,2),
(142250,60112,10,100,'The healing of this spell cannot be modified except by direct means',0,3),
(142251,60113,10,100,'Dispels 22 levels of noxious hostile effects on target',0,0),
(142252,60113,10,100,'Heals target for 9 - 11',0,1),
(142253,60113,10,100,'This effect cannot be critically applied.',1,2),
(142254,60113,10,100,'The healing of this spell cannot be modified except by direct means',0,3),
(142256,60114,10,100,'Heals target for 15.1 - 18.5% of max health',0,0),
(142257,60114,10,100,'This effect cannot be critically applied.',1,1),
(142258,60114,10,100,'The healing of this spell cannot be modified except by direct means',0,2),
(142259,60115,10,100,'Dispels 66 levels of noxious hostile effects on target',0,0),
(142260,60115,10,100,'Heals target for 22.7 - 27.7% of max health',0,1),
(142261,60115,10,100,'This effect cannot be critically applied.',1,2),
(142262,60115,10,100,'The healing of this spell cannot be modified except by direct means',0,3),
(142263,60116,10,100,'Dispels 90 levels of noxious hostile effects on target',0,0),
(142264,60116,10,100,'Heals target for 30.2 - 37.0% of max health',0,1),
(142265,60116,10,100,'This effect cannot be critically applied.',1,2),
(142266,60116,10,100,'The healing of this spell cannot be modified except by direct means',0,3),
(142267,60117,10,100,'Increases Mitigation of caster vs physical damage by 1344',0,0),
(142268,60117,10,100,'Dazes caster',0,1),
(142269,60117,10,100,'Roots caster',0,2),
(142270,60118,10,100,'Increases Mitigation of caster vs physical damage by 1814',0,0),
(142271,60118,10,100,'Dazes caster',0,1),
(142272,60118,10,100,'Roots caster',0,2),
(142273,60119,10,100,'Increases Mitigation of caster vs physical damage by 2285',0,0),
(142274,60119,10,100,'Dazes caster',0,1),
(142275,60119,10,100,'Roots caster',0,2),
(142276,60120,10,100,'Increases Mitigation of caster vs physical damage by 2752',0,0),
(142277,60120,10,100,'Dazes caster',0,1),
(142278,60120,10,100,'Roots caster',0,2),
(142279,60121,10,100,'Increases Mitigation of caster vs physical damage by 3223',0,0),
(142280,60121,10,100,'Dazes caster',0,1),
(142281,60121,10,100,'Roots caster',0,2),
(142282,60122,10,100,'Increases Mitigation of caster vs physical damage by 3622',0,0),
(142283,60122,10,100,'Dazes caster',0,1),
(142284,60122,10,100,'Roots caster',0,2),
(142285,60122,11,100,'Increases Mitigation of caster vs physical damage by 4355',0,0),
(142286,60122,11,100,'Dazes caster',0,1),
(142287,60122,11,100,'Roots caster',0,2),
(142288,60123,10,100,'Wards caster against 5207 points of elemental, noxious and arcane damage',0,0),
(142289,60124,10,100,'Wards caster against 7727 points of elemental, noxious and arcane damage',0,0),
(142290,60126,11,100,'Wards caster against 12887 points of elemental, noxious and arcane damage',0,0),
(142291,60127,10,100,'Applies Wane on termination.  Lasts for 20.0 seconds.',0,0),
(142292,60127,10,100,'Increases Threat to target by 8,764 - 10,592  instantly and by 5,763 - 6,923  every 4 seconds thereafter',1,1),
(142293,60127,10,100,'Forces target to change their selected target to caster instantly and every 2 seconds.',0,2),
(142294,60127,10,100,'Increases threat priority of target by 4 positions',0,3),
(142295,60127,10,100,'Increases Threat to target by 424 - 518  instantly and by 265 - 323  every 2 seconds thereafter',0,4),
(142296,60127,10,100,'Prevents target from changing targets',0,5),
(142297,60127,10,100,'Must be not at the top of the hate list of your current target.',0,6),
(142298,60128,10,100,'Applies Wane on termination.  Lasts for 20.0 seconds.',0,0),
(142299,60128,10,100,'Increases Threat to target by 10,431 - 12,629  instantly and by 6,822 - 8,218  every 4 seconds thereafter',1,1),
(142300,60128,10,100,'Forces target to change their selected target to caster instantly and every 2 seconds.',0,2),
(142301,60128,10,100,'Increases threat priority of target by 4 positions',0,3),
(142302,60128,10,100,'Increases Threat to target by 424 - 518  instantly and by 265 - 323  every 2 seconds thereafter',0,4),
(142303,60128,10,100,'Prevents target from changing targets',0,5),
(142304,60128,10,100,'Must be not at the top of the hate list of your current target.',0,6),
(142305,60129,10,100,'Applies Wane on termination.  Lasts for 20.0 seconds.',0,0),
(142306,60129,10,100,'Increases Threat to target by 12,096 - 14,664  instantly and by 7,882 - 9,513  every 4 seconds thereafter',1,1),
(142307,60129,10,100,'Forces target to change their selected target to caster instantly and every 2 seconds.',0,2),
(142308,60129,10,100,'Increases threat priority of target by 4 positions',0,3),
(142309,60129,10,100,'Increases Threat to target by 424 - 518  instantly and by 264 - 323  every 2 seconds thereafter',0,4),
(142310,60129,10,100,'Prevents target from changing targets',0,5),
(142311,60129,10,100,'Must be not at the top of the hate list of your current target.',0,6),
(142312,60129,11,100,'Applies Wane on termination.  Lasts for 20.0 seconds.',0,0),
(142313,60129,11,100,'Increases Threat to target by 14,435 - 17,523  instantly and by 9,364 - 11,325  every 4 seconds thereafter',1,1),
(142314,60129,11,100,'Forces target to change their selected target to caster instantly and every 2 seconds.',0,2),
(142315,60129,11,100,'Increases threat priority of target by 4 positions',0,3),
(142316,60129,11,100,'Increases Threat to target by 510 - 623  instantly and by 318 - 389  every 2 seconds thereafter',0,4),
(142317,60129,11,100,'Prevents target from changing targets',0,5),
(142318,60129,11,100,'Must be not at the top of the hate list of your current target.',0,6),
(142319,60130,9,100,'Gives caster an extra 20.0% mitigation to their worn armor',0,0),
(142320,60130,9,100,'Gives caster a 50.0% chance to strikethrough a successful avoidance check',0,1),
(142321,60130,9,100,'Caster will deflect 5.0% of incoming attacks.',0,2),
(142322,60130,9,100,'Increases caster''s chance to block by 15.0%',0,3),
(142323,60130,9,100,'On a melee hit this spell may cast Serene Strike on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.4 times per minute. ',0,4),
(142324,60130,9,100,'Inflicts 586 - 1088 crushing damage on target',1,5),
(142325,60130,9,100,'Increases DPS of caster by 15.0',1,6),
(142326,60130,9,100,'Cannot be modified except by direct means',1,7),
(142327,60130,9,100,'Cannot be modified except by direct means',0,8),
(142328,60130,10,100,'Gives caster an extra 20.0% mitigation to their worn armor',0,0),
(142329,60130,10,100,'Gives caster a 50.0% chance to strikethrough a successful avoidance check',0,1),
(142330,60130,10,100,'Caster will deflect 5.0% of incoming attacks.',0,2),
(142331,60130,10,100,'Increases caster''s chance to block by 15.0%',0,3),
(142332,60130,10,100,'On a melee hit this spell may cast Serene Strike on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.4 times per minute. ',0,4),
(142333,60130,10,100,'Inflicts 586 - 1088 crushing damage on target',1,5),
(142334,60130,10,100,'Increases Damage Per Second of caster by 15.0',1,6),
(142335,60130,10,100,'Cannot be modified except by direct means',1,7),
(142336,60130,10,100,'Cannot be modified except by direct means',0,8),
(142337,60131,10,100,'Inflicts 127 - 211 crushing damage on target',0,0),
(142339,60132,10,100,'Inflicts 49 - 83 melee damage on target',0,0),
(142340,60132,10,100,'Inflicts 50 - 83 heat damage on target every 4 seconds',0,1),
(142341,60133,10,100,'Inflicts 74 - 124 melee damage on target',0,0),
(142342,60133,10,100,'Inflicts 75 - 125 heat damage on target every 4 seconds',0,1),
(142343,60134,10,100,'Inflicts 101 - 169 melee damage on target',0,0),
(142344,60134,10,100,'Inflicts 101 - 169 heat damage on target every 4 seconds',0,1),
(142345,60135,10,100,'Inflicts 127 - 211 melee damage on target',0,0),
(142346,60135,10,100,'Inflicts 127 - 212 heat damage on target every 4 seconds',0,1),
(142347,60136,10,100,'Inflicts 153 - 255 melee damage on target',0,0),
(142348,60136,10,100,'Inflicts 153 - 256 heat damage on target every 4 seconds',0,1),
(142349,60137,10,100,'Inflicts 170 - 284 melee damage on target',0,0),
(142350,60137,10,100,'Inflicts 171 - 284 heat damage on target every 4 seconds',0,1),
(142351,60137,11,100,'Inflicts 205 - 341 melee damage on target',0,0),
(142352,60137,11,100,'Inflicts 205 - 342 heat damage on target every 4 seconds',0,1),
(142353,60139,10,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(142354,60139,10,100,'Throws target back',1,1),
(142355,60139,10,100,'Blurs vision of target',1,2),
(142356,60139,10,100,'Stuns target',1,3),
(142357,60139,10,100,'Does not affect Epic targets',1,4),
(142358,60139,10,100,'Inflicts 133 - 221 melee damage on target',0,5),
(142359,60140,10,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(142360,60140,10,100,'Throws target back',1,1),
(142361,60140,10,100,'Blurs vision of target',1,2),
(142362,60140,10,100,'Stuns target',1,3),
(142363,60140,10,100,'Does not affect Epic targets',1,4),
(142364,60140,10,100,'Inflicts 217 - 363 melee damage on target',0,5),
(142365,60142,10,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(142366,60142,10,100,'Throws target back',1,1),
(142367,60142,10,100,'Blurs vision of target',1,2),
(142368,60142,10,100,'Stuns target',1,3),
(142369,60142,10,100,'Does not affect Epic targets',1,4),
(142370,60142,10,100,'Inflicts 428 - 714 melee damage on target',0,5),
(142371,60143,10,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(142372,60143,10,100,'Throws target back',1,1),
(142373,60143,10,100,'Blurs vision of target',1,2),
(142374,60143,10,100,'Stuns target',1,3),
(142375,60143,10,100,'Does not affect Epic targets',1,4),
(142376,60143,10,100,'Inflicts 518 - 863 melee damage on target',0,5),
(142377,60144,10,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(142378,60144,10,100,'Throws target back',1,1),
(142379,60144,10,100,'Blurs vision of target',1,2),
(142380,60144,10,100,'Stuns target',1,3),
(142381,60144,10,100,'Does not affect Epic targets',1,4),
(142382,60144,10,100,'Inflicts 624 - 1041 melee damage on target',0,5),
(142383,60145,10,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(142384,60145,10,100,'Throws target back',1,1),
(142385,60145,10,100,'Blurs vision of target',1,2),
(142386,60145,10,100,'Stuns target',1,3),
(142387,60145,10,100,'Does not affect Epic targets',1,4),
(142388,60145,10,100,'Inflicts 686 - 1143 melee damage on target',0,5),
(142389,60145,11,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(142390,60145,11,100,'Throws target back',1,1),
(142391,60145,11,100,'Blurs vision of target',1,2),
(142392,60145,11,100,'Stuns target',1,3),
(142393,60145,11,100,'Does not affect Epic targets',1,4),
(142394,60145,11,100,'Inflicts 825 - 1375 melee damage on target',0,5),
(142395,60146,10,100,'Inflicts 15 - 26 slashing damage on target',0,0),
(142396,60147,10,100,'Inflicts 56 - 93 slashing damage on target',0,0),
(142397,60148,10,100,'Inflicts 104 - 174 slashing damage on target',0,0),
(142398,60149,10,100,'Inflicts 159 - 265 slashing damage on target',0,0),
(142399,60150,10,100,'Inflicts 220 - 367 slashing damage on target',0,0),
(142400,60151,10,100,'Inflicts 281 - 469 slashing damage on target',0,0),
(142401,60152,10,100,'Inflicts 340 - 566 slashing damage on target',0,0),
(142402,60153,10,100,'Inflicts 387 - 646 slashing damage on target',0,0),
(142403,60153,11,100,'Inflicts 466 - 776 slashing damage on target',0,0),
(142404,60154,10,100,'Inflicts 224 - 374 melee damage on target',0,0),
(142405,60154,10,100,'Stifles target',0,1),
(142406,60154,10,100,'If Target is not Epic',1,2),
(142407,60154,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(142408,60155,10,100,'Inflicts 338 - 563 melee damage on target',0,0),
(142409,60155,10,100,'Stifles target',0,1),
(142410,60155,10,100,'If Target is not Epic',1,2),
(142411,60155,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(142412,60156,10,100,'Inflicts 410 - 683 melee damage on target',0,0),
(142413,60156,10,100,'Stifles target',0,1),
(142414,60156,10,100,'If Target is not Epic',1,2),
(142415,60156,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(142416,60157,10,100,'Inflicts 493 - 822 melee damage on target',0,0),
(142417,60157,10,100,'Stifles target',0,1),
(142418,60157,10,100,'If Target is not Epic',1,2),
(142419,60157,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(142420,60158,10,100,'Inflicts 523 - 872 melee damage on target',0,0),
(142421,60158,10,100,'Stifles target',0,1),
(142422,60158,10,100,'If Target is not Epic',1,2),
(142423,60158,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(142424,60158,11,100,'Inflicts 629 - 1049 melee damage on target',0,0),
(142425,60158,11,100,'Stifles target',0,1),
(142426,60158,11,100,'If Target is not Epic',1,2),
(142427,60158,11,100,'Resistibility increases against targets higher than level 29.',0,3),
(142428,60159,10,100,'Increases Threat to target by 253 - 309 ',0,0),
(142429,60160,10,100,'Increases Threat to target by 977 - 1,194 ',0,0),
(142430,60161,10,100,'Increases Threat to target by 1,592 - 1,826 ',0,0),
(142431,60163,10,100,'Increases Threat to target by 9,834 - 11,900 ',0,0),
(142432,60163,11,100,'Increases Threat to target by 11,715 - 14,199 ',0,0),
(142433,60164,10,100,'Increases Threat to target by 3,844 - 4,579 ',0,0),
(142434,60165,10,100,'Increases Threat to target by 5,305 - 6,364 ',0,0),
(142435,60167,10,100,'Increases Threat to target by 8,320 - 10,049 ',0,0),
(142436,60168,10,100,'Inflicts 52 - 87 melee damage on target',0,0),
(142437,60168,10,100,'Decreases Defense of target by 2.5',0,1),
(142438,60170,10,100,'Inflicts 211 - 353 melee damage on target',0,0),
(142439,60170,10,100,'Decreases Defense of target by 9.6',0,1),
(142440,60171,10,100,'Inflicts 314 - 524 melee damage on target',0,0),
(142441,60171,10,100,'Decreases Defense of target by 13.1',0,1),
(142442,60172,10,100,'Inflicts 420 - 701 melee damage on target',0,0),
(142443,60172,10,100,'Decreases Defense of target by 16.6',0,1),
(142444,60173,10,100,'Inflicts 518 - 863 melee damage on target',0,0),
(142445,60173,10,100,'Decreases Defense of target by 20.0',0,1),
(142446,60174,10,100,'Inflicts 624 - 1041 melee damage on target',0,0),
(142447,60174,10,100,'Decreases Defense of target by 23.4',0,1),
(142448,60175,10,100,'Inflicts 686 - 1143 melee damage on target',0,0),
(142449,60175,10,100,'Decreases Defense of target by 26.7',0,1),
(142450,60175,11,100,'Inflicts 825 - 1375 melee damage on target',0,0),
(142451,60175,11,100,'Decreases Defense of target by 32.1',0,1),
(142452,60176,10,100,'Grants target a 26% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(142453,60176,10,100,'Increases Deflection of caster by 5.3',0,1),
(142454,60178,10,100,'Grants target a 47% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(142455,60178,10,100,'Increases Deflection of caster by 11.6',0,1),
(142456,60179,10,100,'Grants target a 57% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(142457,60179,10,100,'Increases Deflection of caster by 15.1',0,1),
(142458,60180,10,100,'Caster will Riposte 100.0% of incoming frontal attacks.  Attacks from other quadrants have the same chance of being Parried',0,0),
(142459,60180,10,100,'Makes caster immune to strikethrough attacks.',0,1),
(142460,60181,10,100,'Inflicts 7 - 12 melee damage on target',0,0),
(142461,60182,10,100,'Inflicts 17 - 29 melee damage on target',0,0),
(142462,60183,10,100,'Inflicts 87 - 145 melee damage on target',0,0),
(142463,60184,10,100,'Inflicts 136 - 228 melee damage on target',0,0),
(142464,60185,10,100,'Inflicts 195 - 326 melee damage on target',0,0),
(142465,60186,10,100,'Inflicts 255 - 426 melee damage on target',0,0),
(142466,60187,10,100,'Inflicts 309 - 516 melee damage on target',0,0),
(142467,60188,10,100,'Inflicts 367 - 612 melee damage on target',0,0),
(142468,60188,11,100,'Inflicts 441 - 736 melee damage on target',0,0),
(142469,60189,1,100,'Makes caster immune to Root effects',0,1),
(142470,60189,1,100,'Makes caster immune to Daze effects',0,2),
(142471,60189,1,100,'Makes caster immune to Stun effects',0,3),
(142472,60189,2,100,'Makes caster immune to Root effects',0,1),
(142473,60189,2,100,'Makes caster immune to Daze effects',0,2),
(142474,60189,2,100,'Makes caster immune to Stun effects',0,3),
(142475,60189,3,100,'Makes caster immune to Root effects',0,1),
(142476,60189,3,100,'Makes caster immune to Daze effects',0,2),
(142477,60189,3,100,'Makes caster immune to Stun effects',0,3),
(142478,60189,4,100,'Makes caster immune to Root effects',0,1),
(142479,60189,4,100,'Makes caster immune to Daze effects',0,2),
(142480,60189,4,100,'Makes caster immune to Stun effects',0,3),
(142481,60189,5,100,'Makes caster immune to Root effects',0,1),
(142482,60189,5,100,'Makes caster immune to Daze effects',0,2),
(142483,60189,5,100,'Makes caster immune to Stun effects',0,3),
(142484,60189,7,100,'Makes caster immune to Root effects',0,1),
(142485,60189,7,100,'Makes caster immune to Daze effects',0,2),
(142486,60189,7,100,'Makes caster immune to Stun effects',0,3),
(142487,60189,9,100,'Makes caster immune to Root effects',0,1),
(142488,60189,9,100,'Makes caster immune to Daze effects',0,2),
(142489,60189,9,100,'Makes caster immune to Stun effects',0,3),
(142490,60189,10,100,'Dispels 27 levels of elemental, noxious and arcane hostile effects on caster',0,0),
(142491,60189,10,100,'Makes caster immune to Root effects',0,1),
(142492,60189,10,100,'Makes caster immune to Daze effects',0,2),
(142493,60189,10,100,'Makes caster immune to Stun effects',0,3),
(142519,60191,1,100,'Makes caster immune to Root effects',0,1),
(142520,60191,1,100,'Makes caster immune to Daze effects',0,2),
(142521,60191,1,100,'Makes caster immune to Stun effects',0,3),
(142522,60191,2,100,'Makes caster immune to Root effects',0,1),
(142523,60191,2,100,'Makes caster immune to Daze effects',0,2),
(142524,60191,2,100,'Makes caster immune to Stun effects',0,3),
(142525,60191,3,100,'Makes caster immune to Root effects',0,1),
(142526,60191,3,100,'Makes caster immune to Daze effects',0,2),
(142527,60191,3,100,'Makes caster immune to Stun effects',0,3),
(142528,60191,4,100,'Makes caster immune to Root effects',0,1),
(142529,60191,4,100,'Makes caster immune to Daze effects',0,2),
(142530,60191,4,100,'Makes caster immune to Stun effects',0,3),
(142531,60191,5,100,'Makes caster immune to Root effects',0,1),
(142532,60191,5,100,'Makes caster immune to Daze effects',0,2),
(142533,60191,5,100,'Makes caster immune to Stun effects',0,3),
(142534,60191,7,100,'Makes caster immune to Root effects',0,1),
(142535,60191,7,100,'Makes caster immune to Daze effects',0,2),
(142536,60191,7,100,'Makes caster immune to Stun effects',0,3),
(142537,60191,9,100,'Makes caster immune to Root effects',0,1),
(142538,60191,9,100,'Makes caster immune to Daze effects',0,2),
(142539,60191,9,100,'Makes caster immune to Stun effects',0,3),
(142540,60191,10,100,'Makes caster immune to Root effects',0,1),
(142541,60191,10,100,'Makes caster immune to Daze effects',0,2),
(142542,60191,10,100,'Makes caster immune to Stun effects',0,3),
(142543,60192,1,100,'Makes caster immune to Root effects',0,1),
(142544,60192,1,100,'Makes caster immune to Daze effects',0,2),
(142545,60192,1,100,'Makes caster immune to Stun effects',0,3),
(142546,60192,2,100,'Makes caster immune to Root effects',0,1),
(142547,60192,2,100,'Makes caster immune to Daze effects',0,2),
(142548,60192,2,100,'Makes caster immune to Stun effects',0,3),
(142549,60192,3,100,'Makes caster immune to Root effects',0,1),
(142550,60192,3,100,'Makes caster immune to Daze effects',0,2),
(142551,60192,3,100,'Makes caster immune to Stun effects',0,3),
(142552,60192,4,100,'Makes caster immune to Root effects',0,1),
(142553,60192,4,100,'Makes caster immune to Daze effects',0,2),
(142554,60192,4,100,'Makes caster immune to Stun effects',0,3),
(142555,60192,5,100,'Makes caster immune to Root effects',0,1),
(142556,60192,5,100,'Makes caster immune to Daze effects',0,2),
(142557,60192,5,100,'Makes caster immune to Stun effects',0,3),
(142558,60192,7,100,'Makes caster immune to Root effects',0,1),
(142559,60192,7,100,'Makes caster immune to Daze effects',0,2),
(142560,60192,7,100,'Makes caster immune to Stun effects',0,3),
(142561,60192,9,100,'Makes caster immune to Root effects',0,1),
(142562,60192,9,100,'Makes caster immune to Daze effects',0,2),
(142563,60192,9,100,'Makes caster immune to Stun effects',0,3),
(142564,60192,10,100,'Dispels 103 levels of elemental, noxious and arcane hostile effects on caster',0,0),
(142565,60192,10,100,'Makes caster immune to Root effects',0,1),
(142566,60192,10,100,'Makes caster immune to Daze effects',0,2),
(142567,60192,10,100,'Makes caster immune to Stun effects',0,3),
(142568,60193,1,100,'Makes caster immune to Root effects',0,1),
(142569,60193,1,100,'Makes caster immune to Daze effects',0,2),
(142570,60193,1,100,'Makes caster immune to Stun effects',0,3),
(142571,60193,2,100,'Makes caster immune to Root effects',0,1),
(142572,60193,2,100,'Makes caster immune to Daze effects',0,2),
(142573,60193,2,100,'Makes caster immune to Stun effects',0,3),
(142574,60193,3,100,'Makes caster immune to Root effects',0,1),
(142575,60193,3,100,'Makes caster immune to Daze effects',0,2),
(142576,60193,3,100,'Makes caster immune to Stun effects',0,3),
(142577,60193,4,100,'Makes caster immune to Root effects',0,1),
(142578,60193,4,100,'Makes caster immune to Daze effects',0,2),
(142579,60193,4,100,'Makes caster immune to Stun effects',0,3),
(142580,60193,5,100,'Makes caster immune to Root effects',0,1),
(142581,60193,5,100,'Makes caster immune to Daze effects',0,2),
(142582,60193,5,100,'Makes caster immune to Stun effects',0,3),
(142583,60193,7,100,'Makes caster immune to Root effects',0,1),
(142584,60193,7,100,'Makes caster immune to Daze effects',0,2),
(142585,60193,7,100,'Makes caster immune to Stun effects',0,3),
(142586,60193,9,100,'Makes caster immune to Root effects',0,1),
(142587,60193,9,100,'Makes caster immune to Daze effects',0,2),
(142588,60193,9,100,'Makes caster immune to Stun effects',0,3),
(142589,60193,10,100,'Dispels 129 levels of elemental, noxious and arcane hostile effects on caster',0,0),
(142590,60193,10,100,'Makes caster immune to Root effects',0,1),
(142591,60193,10,100,'Makes caster immune to Daze effects',0,2),
(142592,60193,10,100,'Makes caster immune to Stun effects',0,3),
(142593,60194,1,100,'Makes caster immune to Root effects',0,1),
(142594,60194,1,100,'Makes caster immune to Daze effects',0,2),
(142595,60194,1,100,'Makes caster immune to Stun effects',0,3),
(142596,60194,2,100,'Makes caster immune to Root effects',0,1),
(142597,60194,2,100,'Makes caster immune to Daze effects',0,2),
(142598,60194,2,100,'Makes caster immune to Stun effects',0,3),
(142599,60194,3,100,'Makes caster immune to Root effects',0,1),
(142600,60194,3,100,'Makes caster immune to Daze effects',0,2),
(142601,60194,3,100,'Makes caster immune to Stun effects',0,3),
(142602,60194,4,100,'Makes caster immune to Root effects',0,1),
(142603,60194,4,100,'Makes caster immune to Daze effects',0,2),
(142604,60194,4,100,'Makes caster immune to Stun effects',0,3),
(142605,60194,5,100,'Makes caster immune to Root effects',0,1),
(142606,60194,5,100,'Makes caster immune to Daze effects',0,2),
(142607,60194,5,100,'Makes caster immune to Stun effects',0,3),
(142608,60194,7,100,'Makes caster immune to Root effects',0,1),
(142609,60194,7,100,'Makes caster immune to Daze effects',0,2),
(142610,60194,7,100,'Makes caster immune to Stun effects',0,3),
(142611,60194,9,100,'Makes caster immune to Root effects',0,1),
(142612,60194,9,100,'Makes caster immune to Daze effects',0,2),
(142613,60194,9,100,'Makes caster immune to Stun effects',0,3),
(142614,60194,10,100,'Dispels 147 levels of elemental, noxious and arcane hostile effects on caster',0,0),
(142615,60194,10,100,'Makes caster immune to Root effects',0,1),
(142616,60194,10,100,'Makes caster immune to Daze effects',0,2),
(142617,60194,10,100,'Makes caster immune to Stun effects',0,3),
(142618,60195,1,100,'Makes caster immune to Root effects',0,1),
(142619,60195,1,100,'Makes caster immune to Daze effects',0,2),
(142620,60195,1,100,'Makes caster immune to Stun effects',0,3),
(142621,60195,4,100,'Makes caster immune to Root effects',0,1),
(142622,60195,4,100,'Makes caster immune to Daze effects',0,2),
(142623,60195,4,100,'Makes caster immune to Stun effects',0,3),
(142624,60195,5,100,'Makes caster immune to Root effects',0,1),
(142625,60195,5,100,'Makes caster immune to Daze effects',0,2),
(142626,60195,5,100,'Makes caster immune to Stun effects',0,3),
(142627,60195,7,100,'Makes caster immune to Root effects',0,1),
(142628,60195,7,100,'Makes caster immune to Daze effects',0,2),
(142629,60195,7,100,'Makes caster immune to Stun effects',0,3),
(142630,60195,9,100,'Makes caster immune to Root effects',0,1),
(142631,60195,9,100,'Makes caster immune to Daze effects',0,2),
(142632,60195,9,100,'Makes caster immune to Stun effects',0,3),
(142633,60195,10,100,'Dispels 165 levels of elemental, noxious and arcane hostile effects on caster',0,0),
(142634,60195,10,100,'Makes caster immune to Root effects',0,1),
(142635,60195,10,100,'Makes caster immune to Daze effects',0,2),
(142636,60195,10,100,'Makes caster immune to Stun effects',0,3),
(142637,60196,1,100,'Makes caster immune to Root effects',0,1),
(142638,60196,1,100,'Makes caster immune to Daze effects',0,2),
(142639,60196,1,100,'Makes caster immune to Stun effects',0,3),
(142640,60196,4,100,'Makes caster immune to Root effects',0,1),
(142641,60196,4,100,'Makes caster immune to Daze effects',0,2),
(142642,60196,4,100,'Makes caster immune to Stun effects',0,3),
(142643,60196,5,100,'Makes caster immune to Root effects',0,1),
(142644,60196,5,100,'Makes caster immune to Daze effects',0,2),
(142645,60196,5,100,'Makes caster immune to Stun effects',0,3),
(142646,60196,7,100,'Makes caster immune to Root effects',0,1),
(142647,60196,7,100,'Makes caster immune to Daze effects',0,2),
(142648,60196,7,100,'Makes caster immune to Stun effects',0,3),
(142649,60196,9,100,'Makes caster immune to Root effects',0,1),
(142650,60196,9,100,'Makes caster immune to Daze effects',0,2),
(142651,60196,9,100,'Makes caster immune to Stun effects',0,3),
(142652,60196,10,100,'Dispels 183 levels of elemental, noxious and arcane hostile effects on caster',0,0),
(142653,60196,10,100,'Makes caster immune to Root effects',0,1),
(142654,60196,10,100,'Makes caster immune to Daze effects',0,2),
(142655,60196,10,100,'Makes caster immune to Stun effects',0,3),
(142656,60196,11,100,'Dispels 220 levels of elemental, noxious and arcane hostile effects on caster',0,0),
(142657,60196,11,100,'Makes caster immune to Root effects',0,1),
(142658,60196,11,100,'Makes caster immune to Daze effects',0,2),
(142659,60196,11,100,'Makes caster immune to Stun effects',0,3),
(142660,70000,10,100,'Interrupts target encounter',0,0),
(142661,70000,10,100,'Increases Threat to target encounter by 653 - 798 ',0,1),
(142662,70000,11,100,'Interrupts target encounter',0,0),
(142663,70000,11,100,'Increases Threat to target encounter by 785 - 960 ',0,1),
(142664,70001,10,100,'Fears target',0,0),
(142665,70001,10,100,'Increases Threat to target encounter by 1,580 - 1,811 ',0,1),
(142666,70001,11,100,'Fears target',0,0),
(142667,70001,11,100,'Increases Threat to target encounter by 1,791 - 2,069 ',0,1),
(142668,70002,10,100,'Interrupts target encounter',0,0),
(142669,70002,10,100,'Increases Threat to target encounter by 2,398 - 2,812 ',0,1),
(142670,70002,11,100,'Interrupts target encounter',0,0),
(142671,70002,11,100,'Increases Threat to target encounter by 2,775 - 3,271 ',0,1),
(142672,70003,10,100,'Interrupts target encounter',0,0),
(142673,70003,10,100,'Increases Threat to target encounter by 3,398 - 4,033 ',0,1),
(142674,70003,11,100,'Interrupts target encounter',0,0),
(142675,70003,11,100,'Increases Threat to target encounter by 3,976 - 4,740 ',0,1),
(142676,70004,10,100,'Interrupts target encounter',0,0),
(142677,70004,10,100,'Increases Threat to target encounter by 4,520 - 5,405 ',0,1),
(142678,70004,11,100,'Interrupts target encounter',0,0),
(142679,70004,11,100,'Increases Threat to target encounter by 5,326 - 6,390 ',0,1),
(142680,70005,10,100,'Interrupts target encounter',0,0),
(142681,70005,10,100,'Increases Threat to target encounter by 5,693 - 6,838 ',0,1),
(142682,70005,11,100,'Interrupts target encounter',0,0),
(142683,70005,11,100,'Increases Threat to target encounter by 6,736 - 8,113 ',0,1),
(142684,70006,10,100,'Interrupts target encounter',0,0),
(142685,70006,10,100,'Increases Threat to target encounter by 6,829 - 8,227 ',0,1),
(142686,70006,11,100,'Interrupts target encounter',0,0),
(142687,70006,11,100,'Increases Threat to target encounter by 8,102 - 9,783 ',0,1),
(142688,70007,10,100,'Interrupts target encounter',0,0),
(142689,70007,10,100,'Increases Threat to target encounter by 7,965 - 9,615 ',0,1),
(142690,70007,11,100,'Interrupts target encounter',0,0),
(142691,70007,11,100,'Increases Threat to target encounter by 9,468 - 11,452 ',0,1),
(142692,70008,10,100,'Inflicts 31 - 51 melee damage on targets in Area of Effect',0,0),
(142693,70010,10,100,'Inflicts 161 - 268 melee damage on targets in Area of Effect',0,0),
(142694,70011,10,100,'Inflicts 243 - 405 melee damage on targets in Area of Effect',0,0),
(142695,70012,10,100,'Inflicts 331 - 552 melee damage on targets in Area of Effect',0,0),
(142696,70013,10,100,'Inflicts 415 - 692 melee damage on targets in Area of Effect',0,0),
(142697,70014,10,100,'Inflicts 501 - 836 melee damage on targets in Area of Effect',0,0),
(142698,70015,10,100,'Inflicts 564 - 941 melee damage on targets in Area of Effect',0,0),
(142699,70015,11,100,'Inflicts 678 - 1131 melee damage on targets in Area of Effect',0,0),
(142700,70017,10,100,'Inflicts 99 - 166 melee damage on target',0,0),
(142701,70017,10,100,'Inflicts 43 heat damage on target every 6 seconds',0,1),
(142702,70018,10,100,'Inflicts 163 - 272 melee damage on target',0,0),
(142703,70018,10,100,'Inflicts 70 heat damage on target every 6 seconds',0,1),
(142704,70019,10,100,'Inflicts 241 - 403 melee damage on target',0,0),
(142705,70019,10,100,'Inflicts 104 heat damage on target every 6 seconds',0,1),
(142706,70020,10,100,'Inflicts 321 - 535 melee damage on target',0,0),
(142707,70020,10,100,'Inflicts 139 heat damage on target every 6 seconds',0,1),
(142708,70021,10,100,'Inflicts 388 - 647 melee damage on target',0,0),
(142709,70021,10,100,'Inflicts 168 heat damage on target every 6 seconds',0,1),
(142710,70022,10,100,'Inflicts 468 - 781 melee damage on target',0,0),
(142711,70022,10,100,'Inflicts 202 heat damage on target every 6 seconds',0,1),
(142712,70023,10,100,'Inflicts 514 - 857 melee damage on target',0,0),
(142713,70023,10,100,'Inflicts 222 heat damage on target every 6 seconds',0,1),
(142714,70023,11,100,'Inflicts 618 - 1031 melee damage on target',0,0),
(142715,70023,11,100,'Inflicts 267 heat damage on target every 6 seconds',0,1),
(142719,70028,10,100,'Increases STR of caster by 89.7',0,0),
(142720,70028,10,100,'Adds 4.7% to base avoidance.',0,1),
(142721,70028,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1782',0,2),
(142722,70029,10,100,'Increases STR of caster by 109.0',0,0),
(142723,70029,10,100,'Adds 4.7% to base avoidance.',0,1),
(142724,70029,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2070',0,2),
(142725,70030,10,100,'Increases STR of caster by 127.5',0,0),
(142726,70030,10,100,'Adds 4.7% to base avoidance.',0,1),
(142727,70030,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2333',0,2),
(142728,70031,10,100,'Increases STR of caster by 146.0',0,0),
(142729,70031,10,100,'Adds 5.4% to base avoidance.',0,1),
(142730,70031,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2984',0,2),
(142731,70031,11,100,'Increases STR of caster by 175.5',0,0),
(142732,70031,11,100,'Adds 6.5% to base avoidance.',0,1),
(142733,70031,11,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 3588',0,2),
(142734,70032,10,100,'Reduces physical damage done to caster by 5%',0,0),
(142735,70032,10,100,'Adds 2.5% to base avoidance.',0,1),
(142736,70032,10,100,'Caster will deflect 16.8% of incoming attacks.',0,2),
(142737,70032,10,100,'Increases Parry of caster by 3.0',0,3),
(142738,70032,10,100,'Decreases Slashing, Piercing and Crushing of caster by 1.8',0,4),
(142739,70032,10,100,'Increases Aggression of caster by 2.3',0,5),
(142740,70032,10,100,'Increases Defense and Deflection of caster by 3.0',0,6),
(142741,70032,10,100,'Increases Mitigation of caster vs noxious damage by 258',0,7),
(142742,70032,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(142743,70032,11,100,'Reduces physical damage done to caster by 5%',0,0),
(142744,70032,11,100,'Adds 3.0% to base avoidance.',0,1),
(142745,70032,11,100,'Caster will deflect 20.2% of incoming attacks.',0,2),
(142746,70032,11,100,'Increases Parry of caster by 3.6',0,3),
(142747,70032,11,100,'Decreases Slashing, Piercing and Crushing of caster by 1.8',0,4),
(142748,70032,11,100,'Increases Aggression of caster by 2.7',0,5),
(142749,70032,11,100,'Increases Defense and Deflection of caster by 3.6',0,6),
(142750,70032,11,100,'Increases Mitigation of caster vs noxious damage by 310',0,7),
(142751,70032,11,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(142752,70033,10,100,'Reduces physical damage done to caster by 5%',0,0),
(142753,70033,10,100,'Adds 2.5% to base avoidance.',0,1),
(142754,70033,10,100,'Caster will deflect 16.8% of incoming attacks.',0,2),
(142755,70033,10,100,'Increases Parry of caster by 8.1',0,3),
(142756,70033,10,100,'Decreases Slashing, Piercing and Crushing of caster by 4.8',0,4),
(142757,70033,10,100,'Increases Aggression of caster by 6.0',0,5),
(142758,70033,10,100,'Increases Defense and Deflection of caster by 8.1',0,6),
(142759,70033,10,100,'Increases Mitigation of caster vs noxious damage by 581',0,7),
(142760,70033,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(142761,70033,11,100,'Reduces physical damage done to caster by 5%',0,0),
(142762,70033,11,100,'Adds 3.0% to base avoidance.',0,1),
(142763,70033,11,100,'Caster will deflect 20.2% of incoming attacks.',0,2),
(142764,70033,11,100,'Increases Parry of caster by 9.7',0,3),
(142765,70033,11,100,'Decreases Slashing, Piercing and Crushing of caster by 4.8',0,4),
(142766,70033,11,100,'Increases Aggression of caster by 7.3',0,5),
(142767,70033,11,100,'Increases Defense and Deflection of caster by 9.7',0,6),
(142768,70033,11,100,'Increases Mitigation of caster vs noxious damage by 698',0,7),
(142769,70033,11,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(142774,70034,10,100,'Decreases Slashing, Piercing and Crushing of caster by 9.0',0,1),
(142776,70034,10,100,'Increases Defense, Deflection, Parry, and Physicality of caster by \r\n15.1',0,0),
(142783,70034,11,100,'Decreases Slashing, Piercing and Crushing of caster by 9.0',0,1),
(142785,70034,11,100,'Increases Defense, Deflection, Parry, and Physicality of caster by \r\n18.2',0,0),
(142788,70035,10,100,'Reduces physical damage done to caster by 5%',0,0),
(142789,70035,10,100,'Adds 2.5% to base avoidance.',0,1),
(142790,70035,10,100,'Caster will deflect 16.8% of incoming attacks.',0,2),
(142791,70035,10,100,'Increases Parry of caster by 22.2',0,3),
(142792,70035,10,100,'Decreases Slashing, Piercing and Crushing of caster by 13.2',0,4),
(142793,70035,10,100,'Increases Aggression of caster by 16.6',0,5),
(142794,70035,10,100,'Increases Defense and Deflection of caster by 22.2',0,6),
(142795,70035,10,100,'Increases Mitigation of caster vs noxious damage by 1478',0,7),
(142796,70035,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(142797,70035,11,100,'Reduces physical damage done to caster by 5%',0,0),
(142798,70035,11,100,'Adds 3.0% to base avoidance.',0,1),
(142799,70035,11,100,'Caster will deflect 20.2% of incoming attacks.',0,2),
(142800,70035,11,100,'Increases Parry of caster by 26.7',0,3),
(142801,70035,11,100,'Decreases Slashing, Piercing and Crushing of caster by 13.2',0,4),
(142802,70035,11,100,'Increases Aggression of caster by 20.0',0,5),
(142803,70035,11,100,'Increases Defense and Deflection of caster by 26.7',0,6),
(142804,70035,11,100,'Increases Mitigation of caster vs noxious damage by 1778',0,7),
(142805,70035,11,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(142806,70036,10,100,'Reduces physical damage done to caster by 5%',0,0),
(142807,70036,10,100,'Adds 2.5% to base avoidance.',0,1),
(142808,70036,10,100,'Caster will deflect 16.8% of incoming attacks.',0,2),
(142809,70036,10,100,'Increases Parry of caster by 29.2',0,3),
(142810,70036,10,100,'Decreases Slashing, Piercing and Crushing of caster by 17.4',0,4),
(142811,70036,10,100,'Increases Aggression of caster by 21.9',0,5),
(142812,70036,10,100,'Increases Defense and Deflection of caster by 29.2',0,6),
(142813,70036,10,100,'Increases Mitigation of caster vs noxious damage by 1949',0,7),
(142814,70036,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(142815,70036,11,100,'Reduces physical damage done to caster by 5%',0,0),
(142816,70036,11,100,'Adds 3.0% to base avoidance.',0,1),
(142817,70036,11,100,'Caster will deflect 20.2% of incoming attacks.',0,2),
(142818,70036,11,100,'Increases Parry of caster by 35.1',0,3),
(142819,70036,11,100,'Decreases Slashing, Piercing and Crushing of caster by 17.4',0,4),
(142820,70036,11,100,'Increases Aggression of caster by 26.4',0,5),
(142821,70036,11,100,'Increases Defense and Deflection of caster by 35.1',0,6),
(142822,70036,11,100,'Increases Mitigation of caster vs noxious damage by 2343',0,7),
(142823,70036,11,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(142824,70037,10,100,'Reduces physical damage done to caster by 5%',0,0),
(142825,70037,10,100,'Adds 2.5% to base avoidance.',0,1),
(142826,70037,10,100,'Caster will deflect 16.8% of incoming attacks.',0,2),
(142827,70037,10,100,'Increases Parry of caster by 36.6',0,3),
(142828,70037,10,100,'Decreases Slashing, Piercing and Crushing of caster by 21.8',0,4),
(142829,70037,10,100,'Increases Aggression of caster by 27.5',0,5),
(142830,70037,10,100,'Increases Defense and Deflection of caster by 36.6',0,6),
(142831,70037,10,100,'Increases Mitigation of caster vs noxious damage by 2540',0,7),
(142832,70037,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(142833,70037,11,100,'Reduces physical damage done to caster by 5%',0,0),
(142834,70037,11,100,'Adds 3.0% to base avoidance.',0,1),
(142835,70037,11,100,'Caster will deflect 20.2% of incoming attacks.',0,2),
(142836,70037,11,100,'Increases Parry of caster by 44.0',0,3),
(142837,70037,11,100,'Decreases Slashing, Piercing and Crushing of caster by 21.8',0,4),
(142838,70037,11,100,'Increases Aggression of caster by 33.0',0,5),
(142839,70037,11,100,'Increases Defense and Deflection of caster by 44.0',0,6),
(142840,70037,11,100,'Increases Mitigation of caster vs noxious damage by 3054',0,7),
(142841,70037,11,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(142842,70038,10,100,'Reduces physical damage done to caster by 5%',0,0),
(142843,70038,10,100,'Adds 2.5% to base avoidance.',0,1),
(142844,70038,10,100,'Caster will deflect 16.8% of incoming attacks.',0,2),
(142845,70038,10,100,'Increases Parry of caster by 43.7',0,3),
(142846,70038,10,100,'Decreases Slashing, Piercing and Crushing of caster by 25.8',0,4),
(142847,70038,10,100,'Increases Aggression of caster by 32.8',0,5),
(142848,70038,10,100,'Increases Defense and Deflection of caster by 43.7',0,6),
(142849,70038,10,100,'Increases Mitigation of caster vs noxious damage by 2921',0,7),
(142850,70038,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(142851,70038,11,100,'Reduces physical damage done to caster by 5%',0,0),
(142852,70038,11,100,'Adds 3.0% to base avoidance.',0,1),
(142853,70038,11,100,'Caster will deflect 20.2% of incoming attacks.',0,2),
(142854,70038,11,100,'Increases Parry of caster by 52.5',0,3),
(142855,70038,11,100,'Decreases Slashing, Piercing and Crushing of caster by 25.8',0,4),
(142856,70038,11,100,'Increases Aggression of caster by 39.4',0,5),
(142857,70038,11,100,'Increases Defense and Deflection of caster by 52.5',0,6),
(142858,70038,11,100,'Increases Mitigation of caster vs noxious damage by 3512',0,7),
(142859,70038,11,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(142860,70039,10,100,'Reduces physical damage done to caster by 5%',0,0),
(142861,70039,10,100,'Adds 2.5% to base avoidance.',0,1),
(142862,70039,10,100,'Caster will deflect 16.8% of incoming attacks.',0,2),
(142863,70039,10,100,'Increases Parry of caster by 52.1',0,3),
(142864,70039,10,100,'Decreases Slashing, Piercing and Crushing of caster by 29.8',0,4),
(142865,70039,10,100,'Increases Aggression of caster by 39.1',0,5),
(142866,70039,10,100,'Increases Defense and Deflection of caster by 52.1',0,6),
(142867,70039,10,100,'Increases Mitigation of caster vs noxious damage by 3400',0,7),
(142868,70039,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(142869,70039,11,100,'Reduces physical damage done to caster by 5%',0,0),
(142870,70039,11,100,'Adds 3.0% to base avoidance.',0,1),
(142871,70039,11,100,'Caster will deflect 20.2% of incoming attacks.',0,2),
(142872,70039,11,100,'Increases Parry of caster by 62.6',0,3),
(142873,70039,11,100,'Decreases Slashing, Piercing and Crushing of caster by 29.8',0,4),
(142874,70039,11,100,'Increases Aggression of caster by 47.0',0,5),
(142875,70039,11,100,'Increases Defense and Deflection of caster by 62.6',0,6),
(142876,70039,11,100,'Increases Mitigation of caster vs noxious damage by 4088',0,7),
(142877,70039,11,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 25%',0,8),
(142878,70044,10,100,'Increases Mitigation of caster vs physical damage by 1150',0,0),
(142879,70045,10,100,'Increases Mitigation of caster vs physical damage by 470',0,0),
(142880,70046,10,100,'Increases Mitigation of caster vs physical damage by 635',0,0),
(142881,70047,10,100,'Increases Mitigation of caster vs physical damage by 800',0,0),
(142882,70048,10,100,'Increases Mitigation of caster vs physical damage by 963',0,0),
(142883,70049,10,100,'Increases Mitigation of caster vs physical damage by 1128',0,0),
(142884,70050,10,100,'Increases Mitigation of caster vs physical damage by 1268',0,0),
(142885,70050,11,100,'Increases Mitigation of caster vs physical damage by 1524',0,0),
(142886,70052,1,100,'Improves the base amount of combat arts by 2.81%.',0,4),
(142887,70052,2,100,'Improves the base amount of combat arts by 2.97%.',0,4),
(142888,70052,3,100,'Improves the base amount of combat arts by 3.12%.',0,4),
(142889,70052,4,100,'Improves the base amount of combat arts by 3.44%.',0,4),
(142890,70052,5,100,'Improves the base amount of combat arts by 3.75%.',0,4),
(142891,70052,7,100,'Improves the base amount of combat arts by 4.81%.',0,4),
(142892,70052,9,100,'Improves the base amount of combat arts by 5%.',0,4),
(142893,70052,10,100,'Increases STR and AGI of raid and group members (AE) by 10.1',0,0),
(142894,70052,10,100,'Adds 1.7% to base avoidance.',0,1),
(142895,70052,10,100,'Improves the base amount of taunts by 16.8%.',0,2),
(142896,70052,10,100,'Improves the base amount of spells by 1.6%.',0,3),
(142897,70052,10,100,'Improves the base amount of combat arts by 5.25%.',0,4),
(142898,70052,11,100,'Increases STR and AGI of raid and group members (AE) by 12.2',0,0),
(142899,70052,11,100,'Adds 2.0% to base avoidance.',0,1),
(142900,70052,11,100,'Improves the base amount of taunts by 20.2%.',0,2),
(142901,70052,11,100,'Improves the base amount of spells by 1.92%.',0,3),
(142902,70052,11,100,'Improves the base amount of combat arts by 6.31%.',0,4),
(142920,70054,1,100,'Improves the base amount of combat arts by 2.81%.',0,4),
(142921,70054,2,100,'Improves the base amount of combat arts by 2.97%.',0,4),
(142922,70054,3,100,'Improves the base amount of combat arts by 3.12%.',0,4),
(142923,70054,4,100,'Improves the base amount of combat arts by 3.44%.',0,4),
(142924,70054,5,100,'Improves the base amount of combat arts by 3.75%.',0,4),
(142925,70054,7,100,'Improves the base amount of combat arts by 4.81%.',0,4),
(142926,70054,9,100,'Improves the base amount of combat arts by 5%.',0,4),
(142927,70054,10,100,'Increases STR and AGI of raid and group members (AE) by 33.6',0,0),
(142928,70054,10,100,'Adds 1.7% to base avoidance.',0,1),
(142929,70054,10,100,'Improves the base amount of taunts by 16.8%.',0,2),
(142930,70054,10,100,'Improves the base amount of spells by 1.6%.',0,3),
(142931,70054,10,100,'Improves the base amount of combat arts by 5.25%.',0,4),
(142932,70054,11,100,'Increases STR and AGI of raid and group members (AE) by 40.4',0,0),
(142933,70054,11,100,'Adds 2.0% to base avoidance.',0,1),
(142934,70054,11,100,'Improves the base amount of taunts by 20.2%.',0,2),
(142935,70054,11,100,'Improves the base amount of spells by 1.92%.',0,3),
(142936,70054,11,100,'Improves the base amount of combat arts by 6.31%.',0,4),
(142937,70055,1,100,'Improves the base amount of combat arts by 2.81%.',0,4),
(142938,70055,2,100,'Improves the base amount of combat arts by 2.97%.',0,4),
(142939,70055,3,100,'Improves the base amount of combat arts by 3.12%.',0,4),
(142940,70055,4,100,'Improves the base amount of combat arts by 3.44%.',0,4),
(142941,70055,5,100,'Improves the base amount of combat arts by 3.75%.',0,4),
(142942,70055,7,100,'Improves the base amount of combat arts by 4.81%.',0,4),
(142943,70055,9,100,'Improves the base amount of combat arts by 5%.',0,4),
(142944,70055,10,100,'Increases STR and AGI of raid and group members (AE) by 46.8',0,0),
(142945,70055,10,100,'Adds 1.7% to base avoidance.',0,1),
(142946,70055,10,100,'Improves the base amount of taunts by 16.8%.',0,2),
(142947,70055,10,100,'Improves the base amount of spells by 1.6%.',0,3),
(142948,70055,10,100,'Improves the base amount of combat arts by 5.25%.',0,4),
(142949,70055,11,100,'Increases STR and AGI of raid and group members (AE) by 56.3',0,0),
(142950,70055,11,100,'Adds 2.0% to base avoidance.',0,1),
(142951,70055,11,100,'Improves the base amount of taunts by 20.2%.',0,2),
(142952,70055,11,100,'Improves the base amount of spells by 1.92%.',0,3),
(142953,70055,11,100,'Improves the base amount of combat arts by 6.31%.',0,4),
(142954,70056,1,100,'Improves the base amount of combat arts by 2.81%.',0,4),
(142955,70056,2,100,'Improves the base amount of combat arts by 2.97%.',0,4),
(142956,70056,3,100,'Improves the base amount of combat arts by 3.12%.',0,4),
(142957,70056,4,100,'Improves the base amount of combat arts by 3.44%.',0,4),
(142958,70056,5,100,'Improves the base amount of combat arts by 3.75%.',0,4),
(142959,70056,7,100,'Improves the base amount of combat arts by 4.81%.',0,4),
(142960,70056,9,100,'Improves the base amount of combat arts by 5%.',0,4),
(142961,70056,10,100,'Increases STR and AGI of raid and group members (AE) by 60.0',0,0),
(142962,70056,10,100,'Adds 1.7% to base avoidance.',0,1),
(142963,70056,10,100,'Improves the base amount of taunts by 16.8%.',0,2),
(142964,70056,10,100,'Improves the base amount of spells by 1.6%.',0,3),
(142965,70056,10,100,'Improves the base amount of combat arts by 5.25%.',0,4),
(142966,70056,11,100,'Increases STR and AGI of raid and group members (AE) by 72.1',0,0),
(142967,70056,11,100,'Adds 2.0% to base avoidance.',0,1),
(142968,70056,11,100,'Improves the base amount of taunts by 20.2%.',0,2),
(142969,70056,11,100,'Improves the base amount of spells by 1.92%.',0,3),
(142970,70056,11,100,'Improves the base amount of combat arts by 6.31%.',0,4),
(142971,70057,1,100,'Improves the base amount of combat arts by 2.81%.',0,4),
(142972,70057,2,100,'Improves the base amount of combat arts by 2.97%.',0,4),
(142973,70057,3,100,'Improves the base amount of combat arts by 3.12%.',0,4),
(142974,70057,4,100,'Improves the base amount of combat arts by 3.44%.',0,4),
(142975,70057,5,100,'Improves the base amount of combat arts by 3.75%.',0,4),
(142976,70057,7,100,'Improves the base amount of combat arts by 4.81%.',0,4),
(142977,70057,9,100,'Improves the base amount of combat arts by 5%.',0,4),
(142978,70057,10,100,'Increases STR and AGI of raid and group members (AE) by 72.4',0,0),
(142979,70057,10,100,'Adds 1.7% to base avoidance.',0,1),
(142980,70057,10,100,'Improves the base amount of taunts by 16.8%.',0,2),
(142981,70057,10,100,'Improves the base amount of spells by 1.6%.',0,3),
(142982,70057,10,100,'Improves the base amount of combat arts by 5.25%.',0,4),
(142983,70057,11,100,'Increases STR and AGI of raid and group members (AE) by 87.1',0,0),
(142984,70057,11,100,'Adds 2.0% to base avoidance.',0,1),
(142985,70057,11,100,'Improves the base amount of taunts by 20.2%.',0,2),
(142986,70057,11,100,'Improves the base amount of spells by 1.92%.',0,3),
(142987,70057,11,100,'Improves the base amount of combat arts by 6.31%.',0,4),
(142988,70058,1,100,'Improves the base amount of combat arts by 2.81%.',0,4),
(142989,70058,4,100,'Improves the base amount of combat arts by 3.44%.',0,4),
(142990,70058,5,100,'Improves the base amount of combat arts by 3.75%.',0,4),
(142991,70058,7,100,'Improves the base amount of combat arts by 4.81%.',0,4),
(142992,70058,9,100,'Improves the base amount of combat arts by 5%.',0,4),
(142993,70058,10,100,'Increases STR and AGI of raid and group members (AE) by 85.4',0,0),
(142994,70058,10,100,'Adds 1.7% to base avoidance.',0,1),
(142995,70058,10,100,'Improves the base amount of taunts by 16.8%.',0,2),
(142996,70058,10,100,'Improves the base amount of spells by 1.6%.',0,3),
(142997,70058,10,100,'Improves the base amount of combat arts by 5.25%.',0,4),
(142998,70058,11,100,'Increases STR and AGI of raid and group members (AE) by 102.7',0,0),
(142999,70058,11,100,'Adds 2.0% to base avoidance.',0,1),
(143000,70058,11,100,'Improves the base amount of taunts by 20.2%.',0,2),
(143001,70058,11,100,'Improves the base amount of spells by 1.92%.',0,3),
(143002,70058,11,100,'Improves the base amount of combat arts by 6.31%.',0,4),
(143003,70059,1,100,'Improves the base amount of combat arts by 2.81%.',0,4),
(143004,70059,4,100,'Improves the base amount of combat arts by 3.44%.',0,4),
(143005,70059,5,100,'Improves the base amount of combat arts by 3.75%.',0,4),
(143006,70059,7,100,'Improves the base amount of combat arts by 4.81%.',0,4),
(143007,70059,9,100,'Improves the base amount of combat arts by 5%.',0,4),
(143008,70059,10,100,'Increases STR and AGI of raid and group members (AE) by 98.3',0,0),
(143009,70059,10,100,'Adds 1.9% to base avoidance.',0,1),
(143010,70059,10,100,'Improves the base amount of taunts by 16.8%.',0,2),
(143011,70059,10,100,'Improves the base amount of spells by 1.6%.',0,3),
(143012,70059,10,100,'Improves the base amount of combat arts by 5.25%.',0,4),
(143013,70059,11,100,'Increases STR and AGI of raid and group members (AE) by 118.2',0,0),
(143014,70059,11,100,'Adds 2.3% to base avoidance.',0,1),
(143015,70059,11,100,'Improves the base amount of taunts by 20.2%.',0,2),
(143016,70059,11,100,'Improves the base amount of spells by 1.92%.',0,3),
(143017,70059,11,100,'Improves the base amount of combat arts by 6.31%.',0,4),
(143018,70060,10,100,'Makes caster immune to Root effects',0,0),
(143019,70060,10,100,'Makes caster immune to Stun effects',0,1),
(143020,70060,10,100,'Makes caster immune to Stifle effects',0,2),
(143021,70060,10,100,'Makes caster immune to Fear effects',0,3),
(143022,70060,10,100,'Makes caster immune to Daze effects',0,4),
(143023,70060,10,100,'Makes caster immune to Mesmerize effects',0,5),
(143024,70061,10,100,'Increases threat priority of target encounter by 2 positions',0,0),
(143025,70061,10,100,'Increases Threat to target encounter by 141 - 212 ',0,1),
(143026,70061,10,100,'Forces half of the target encounter to target and attack you. Upgrades to this spell increase the duration the target must target you from a range of 4 to 8 seconds.',0,2),
(143027,70062,10,100,'Increases threat priority of target encounter by 2 positions',0,0),
(143028,70062,10,100,'Increases Threat to target encounter by 141 - 212 ',0,1),
(143029,70062,10,100,'Forces half of the target encounter to target and attack you. Upgrades to this spell increase the duration the target must target you from a range of 4 to 8 seconds.',0,2),
(143030,70063,10,100,'Increases threat priority of target encounter by 2 positions',0,0),
(143031,70063,10,100,'Increases Threat to target encounter by 141 - 212 ',0,1),
(143032,70063,10,100,'Forces half of the target encounter to target and attack you. Upgrades to this spell increase the duration the target must target you from a range of 4 to 8 seconds.',0,2),
(143033,70063,11,100,'Increases threat priority of target encounter by 2 positions',0,0),
(143034,70063,11,100,'Increases Threat to target encounter by 170 - 255 ',0,1),
(143035,70063,11,100,'Forces half of the target encounter to target and attack you. Upgrades to this spell increase the duration the target must target you from a range of 4 to 8 seconds.',0,2),
(143036,70064,10,100,'Inflicts 113 - 340 piercing damage on target',0,0),
(143037,70064,10,100,'Decreases Slashing, Crushing, Piercing and Ranged of target by 21.2',0,1),
(143038,70065,10,100,'Inflicts 179 - 538 piercing damage on target',0,0),
(143039,70065,10,100,'Decreases Slashing, Crushing, Piercing and Ranged of target by 31.8',0,1),
(143040,70066,10,100,'Inflicts 258 - 776 piercing damage on target',0,0),
(143041,70066,10,100,'Decreases Slashing, Crushing, Piercing and Ranged of target by 42.3',0,1),
(143042,70067,10,100,'Inflicts 338 - 1015 piercing damage on target',0,0),
(143043,70067,10,100,'Decreases Slashing, Crushing, Piercing and Ranged of target by 52.9',0,1),
(143044,70068,10,100,'Inflicts 410 - 1231 piercing damage on target',0,0),
(143045,70068,10,100,'Decreases Slashing, Crushing, Piercing and Ranged of target by 63.0',0,1),
(143046,70069,10,100,'Inflicts 567 - 1703 piercing damage on target',0,0),
(143047,70069,10,100,'Decreases Slashing, Crushing, Piercing and Ranged of target by 73.1',0,1),
(143048,70070,10,100,'Inflicts 602 - 1807 piercing damage on target',0,0),
(143049,70070,10,100,'Decreases Slashing, Crushing, Piercing and Ranged of target by 83.2',0,1),
(143050,70070,11,100,'Inflicts 724 - 2172 piercing damage on target',0,0),
(143051,70070,11,100,'Decreases Slashing, Crushing, Piercing and Ranged of target by 100.0',0,1),
(143052,70071,9,100,'Reduces physical damage done to caster by 10%',0,0),
(143053,70071,9,100,'Caster will deflect 5.0% of incoming attacks.',0,1),
(143054,70071,9,100,'On a combat hit this spell may cast Strike of Anger on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.4 times per minute. ',0,2),
(143055,70071,9,100,'Inflicts 626 - 940 crushing damage on target',1,3),
(143056,70071,9,100,'Increases Crit Chance of caster by 12.0',1,4),
(143057,70071,9,100,'Cannot be modified except by direct means',1,5),
(143058,70071,9,100,'Attacker must be behind or flanking',1,6),
(143059,70071,9,100,'On a combat hit this spell may cast Strike of Anger on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.4 times per minute. ',0,7),
(143060,70071,9,100,'Increases Threat to target by 13,371 ',1,8),
(143061,70071,9,100,'Inflicts 562 - 842 crushing damage on target',1,9),
(143062,70071,9,100,'Increases Crit Chance of caster by 12.0',1,10),
(143063,70071,9,100,'Cannot be modified except by direct means',1,11),
(143064,70071,9,100,'Attacker must be in front of',1,12),
(143065,70071,9,100,'Cannot be modified except by direct means',0,13),
(143066,70071,10,100,'Reduces physical damage done to caster by 10%',0,0),
(143067,70071,10,100,'Caster will deflect 5.0% of incoming attacks.',0,1),
(143068,70071,10,100,'On a combat hit this spell may cast Strike of Anger on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.4 times per minute. ',0,2),
(143069,70071,10,100,'Inflicts 626 - 940 crushing damage on target',1,3),
(143070,70071,10,100,'Increases Crit Chance of caster by 12.0',1,4),
(143071,70071,10,100,'Cannot be modified except by direct means',1,5),
(143072,70071,10,100,'Attacker must be behind or flanking',1,6),
(143073,70071,10,100,'On a combat hit this spell may cast Strike of Anger on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.4 times per minute. ',0,7),
(143074,70071,10,100,'Increases Threat to target by 14,012 ',1,8),
(143075,70071,10,100,'Inflicts 562 - 842 crushing damage on target',1,9),
(143076,70071,10,100,'Increases Crit Chance of caster by 12.0',1,10),
(143077,70071,10,100,'Cannot be modified except by direct means',1,11),
(143078,70071,10,100,'Attacker must be in front of',1,12),
(143079,70071,10,100,'Cannot be modified except by direct means',0,13),
(143080,70072,10,100,'Heals caster for 15 - 18',0,0),
(143081,70072,10,100,'This effect cannot be critically applied.',1,1),
(143082,70072,10,100,'The healing of this spell cannot be modified except by direct means',0,2),
(143083,70073,10,100,'Heals caster for 11 - 13',0,0),
(143084,70073,10,100,'This effect cannot be critically applied.',1,1),
(143085,70073,10,100,'The healing of this spell cannot be modified except by direct means',0,2),
(143086,70074,10,100,'Heals caster for 18.1 - 22.2% of max health',0,0),
(143087,70074,10,100,'This effect cannot be critically applied.',1,1),
(143088,70074,10,100,'The healing of this spell cannot be modified except by direct means',0,2),
(143089,70075,10,100,'Heals caster for 27.2 - 33.3% of max health',0,0),
(143090,70075,10,100,'This effect cannot be critically applied.',1,1),
(143091,70075,10,100,'The healing of this spell cannot be modified except by direct means',0,2),
(143092,70076,10,100,'Heals caster for 36.3 - 44.4% of max health',0,0),
(143093,70076,10,100,'This effect cannot be critically applied.',1,1),
(143094,70076,10,100,'The healing of this spell cannot be modified except by direct means',0,2),
(143095,70077,10,100,'Dispels 27 levels of physical and arcane hostile effects on caster',0,0),
(143096,70078,10,100,'Dispels 53 levels of physical and arcane hostile effects on caster',0,0),
(143097,70080,10,100,'Dispels 103 levels of physical and arcane hostile effects on caster',0,0),
(143098,70081,10,100,'Dispels 129 levels of physical and arcane hostile effects on caster',0,0),
(143099,70082,10,100,'Dispels 147 levels of physical and arcane hostile effects on caster',0,0),
(143100,70083,10,100,'Dispels 165 levels of physical and arcane hostile effects on caster',0,0),
(143101,70084,10,100,'Dispels 183 levels of physical and arcane hostile effects on caster',0,0),
(143102,70084,11,100,'Dispels 220 levels of physical and arcane hostile effects on caster',0,0),
(143103,70085,10,100,'Mesmerizes target',0,0),
(143105,70085,10,100,'Dispelled when target takes damage',0,2),
(143106,70085,10,100,'Does not affect Epic targets',0,3),
(143107,70085,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(143108,70086,10,100,'Mesmerizes target',0,0),
(143109,70086,10,100,'Prevents AOE (except when direct) ',0,1),
(143110,70086,10,100,'Dispelled when target takes damage',0,2),
(143111,70086,10,100,'Does not affect Epic targets',0,3),
(143112,70086,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(143113,70087,10,100,'Mesmerizes target',0,0),
(143114,70087,10,100,'Prevents AOE (except when direct) ',0,1),
(143115,70087,10,100,'Dispelled when target takes damage',0,2),
(143116,70087,10,100,'Does not affect Epic targets',0,3),
(143117,70087,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(143118,70088,10,100,'Mesmerizes target',0,0),
(143119,70088,10,100,'Prevents AOE (except when direct) ',0,1),
(143120,70088,10,100,'Dispelled when target takes damage',0,2),
(143121,70088,10,100,'Does not affect Epic targets',0,3),
(143122,70088,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(143123,70089,10,100,'Mesmerizes target',0,0),
(143124,70089,10,100,'Prevents AOE (except when direct) ',0,1),
(143125,70089,10,100,'Dispelled when target takes damage',0,2),
(143126,70089,10,100,'Does not affect Epic targets',0,3),
(143127,70089,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(143128,70090,10,100,'Mesmerizes target',0,0),
(143129,70090,10,100,'Prevents AOE (except when direct) ',0,1),
(143130,70090,10,100,'Dispelled when target takes damage',0,2),
(143131,70090,10,100,'Does not affect Epic targets',0,3),
(143132,70090,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(143133,70091,10,100,'Mesmerizes target',0,0),
(143134,70091,10,100,'Prevents AOE (except when direct) ',0,1),
(143135,70091,10,100,'Dispelled when target takes damage',0,2),
(143136,70091,10,100,'Does not affect Epic targets',0,3),
(143137,70091,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(143138,70091,11,100,'Mesmerizes target',0,0),
(143139,70091,11,100,'Prevents AOE (except when direct) ',0,1),
(143140,70091,11,100,'Dispelled when target takes damage',0,2),
(143141,70091,11,100,'Does not affect Epic targets',0,3),
(143142,70091,11,100,'Resistibility increases against targets higher than level 29.',0,4),
(143143,70092,10,100,'When a combat art is used this spell will cast Shove on target of combat art.  Lasts for 1.0 second.  ',0,0),
(143144,70092,10,100,'Inflicts 137 - 413 melee damage on target',1,1),
(143145,70092,10,100,'Stuns target',1,2),
(143146,70092,10,100,'If Target is not Epic',2,3),
(143147,70092,10,100,'Resistibility increases against targets higher than level 94.',1,4),
(143148,70093,10,100,'When a combat art is used this spell will cast Shove on target of combat art.  Lasts for 1.0 second.  ',0,0),
(143149,70093,10,100,'Inflicts 175 - 527 melee damage on target',1,1),
(143150,70093,10,100,'Stuns target',1,2),
(143151,70093,10,100,'If Target is not Epic',2,3),
(143152,70093,10,100,'Resistibility increases against targets higher than level 107.',1,4),
(143153,70094,10,100,'When a combat art is used this spell will cast Shove on target of combat art.  Lasts for 1.0 second.  ',0,0),
(143154,70094,10,100,'Inflicts 211 - 635 melee damage on target',1,1),
(143155,70094,10,100,'Stuns target',1,2),
(143156,70094,10,100,'If Target is not Epic',2,3),
(143157,70094,10,100,'Resistibility increases against targets higher than level 117.',1,4),
(143158,70095,10,100,'When a combat art is used this spell will cast Shove on target of combat art.  Lasts for 1.0 second.  ',0,0),
(143159,70095,10,100,'Inflicts 264 - 793 melee damage on target',1,1),
(143160,70095,10,100,'Stuns target',1,2),
(143161,70095,10,100,'If Target is not Epic',2,3),
(143162,70095,10,100,'Resistibility increases against targets higher than level 127.',1,4),
(143163,70095,11,100,'When a combat art is used this spell will cast Shove on target of combat art.  Lasts for 1.0 second.  ',0,0),
(143164,70095,11,100,'Inflicts 318 - 954 melee damage on target',1,1),
(143165,70095,11,100,'Stuns target',1,2),
(143166,70095,11,100,'If Target is not Epic',2,3),
(143167,70095,11,100,'Resistibility increases against targets higher than level 127.',1,4),
(143168,70096,10,100,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',0,0),
(143169,70096,10,100,'Inflicts 26 magic damage on target',1,1),
(143170,70096,10,100,'Grants a total of 5 triggers of the spell.',1,2),
(143171,70097,10,100,'On a melee hit this spell has a chance to cast Fiery Fist on target \r\nof attack. ',0,0),
(143172,70097,10,100,'Inflicts 9 - 15 fire damage on target',1,1),
(143174,70099,10,100,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',0,0),
(143175,70099,10,100,'Inflicts 118 magic damage on target',1,1),
(143176,70099,10,100,'Grants a total of 5 triggers of the spell.',1,2),
(143177,70100,10,100,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',0,0),
(143178,70100,10,100,'Inflicts 154 magic damage on target',1,1),
(143179,70100,10,100,'Grants a total of 5 triggers of the spell.',1,2),
(143180,70101,10,100,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',0,0),
(143181,70101,10,100,'Inflicts 186 magic damage on target',1,1),
(143182,70101,10,100,'Grants a total of 5 triggers of the spell.',1,2),
(143183,70102,10,100,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',0,0),
(143184,70102,10,100,'Inflicts 221 magic damage on target',1,1),
(143185,70102,10,100,'Grants a total of 5 triggers of the spell.',1,2),
(143186,70102,11,100,'On a melee hit this spell will cast Thunder Fist on target of attack.  ',0,0),
(143187,70102,11,100,'Inflicts 265 magic damage on target',1,1),
(143188,70102,11,100,'Grants a total of 5 triggers of the spell.',1,2),
(143189,70104,10,100,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',0,0),
(143190,70104,10,100,'Inflicts 39 - 66 melee damage on target',1,1),
(143191,70104,10,100,'Increases Threat to target by 1,366 ',1,2),
(143192,70107,10,100,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',0,0),
(143193,70107,10,100,'Inflicts 101 - 169 melee damage on target',1,1),
(143194,70107,10,100,'Increases Threat to target by 2,830 ',1,2),
(143195,70108,10,100,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',0,0),
(143196,70108,10,100,'Inflicts 122 - 204 melee damage on target',1,1),
(143197,70108,10,100,'Increases Threat to target by 3,335 ',1,2),
(143198,70109,10,100,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',0,0),
(143199,70109,10,100,'Inflicts 156 - 261 melee damage on target',1,1),
(143200,70109,10,100,'Increases Threat to target by 3,840 ',1,2),
(143201,70109,11,100,'On a melee hit this spell may cast Roughhousing on target of attack.  Triggers about 5.0 times per minute. ',0,0),
(143202,70109,11,100,'Inflicts 188 - 314 melee damage on target',1,1),
(143203,70109,11,100,'Increases Threat to target by 4,508 ',1,2),
(143204,70110,10,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(143205,70110,10,100,'Throws target back',1,1),
(143206,70110,10,100,'Blurs vision of target',1,2),
(143207,70110,10,100,'Stuns target',1,3),
(143208,70110,10,100,'Does not affect Epic targets',1,4),
(143209,70110,10,100,'Inflicts 52 - 87 crushing damage on target',0,5),
(143210,70111,10,100,'Interrupts target',0,0),
(143215,70111,10,100,'Inflicts 127 - 211 crushing damage on target',0,5),
(143216,70112,10,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(143217,70112,10,100,'Throws target back',1,1),
(143218,70112,10,100,'Blurs vision of target',1,2),
(143219,70112,10,100,'Stuns target',1,3),
(143220,70112,10,100,'Does not affect Epic targets',1,4),
(143221,70112,10,100,'Inflicts 211 - 353 crushing damage on target',0,5),
(143222,70113,10,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(143223,70113,10,100,'Throws target back',1,1),
(143224,70113,10,100,'Blurs vision of target',1,2),
(143225,70113,10,100,'Stuns target',1,3),
(143226,70113,10,100,'Does not affect Epic targets',1,4),
(143227,70113,10,100,'Inflicts 314 - 524 crushing damage on target',0,5),
(143228,70114,10,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(143229,70114,10,100,'Throws target back',1,1),
(143230,70114,10,100,'Blurs vision of target',1,2),
(143231,70114,10,100,'Stuns target',1,3),
(143232,70114,10,100,'Does not affect Epic targets',1,4),
(143233,70114,10,100,'Inflicts 420 - 701 crushing damage on target',0,5),
(143234,70115,10,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(143235,70115,10,100,'Throws target back',1,1),
(143236,70115,10,100,'Blurs vision of target',1,2),
(143237,70115,10,100,'Stuns target',1,3),
(143238,70115,10,100,'Does not affect Epic targets',1,4),
(143239,70115,10,100,'Inflicts 518 - 863 crushing damage on target',0,5),
(143240,70116,10,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(143241,70116,10,100,'Throws target back',1,1),
(143242,70116,10,100,'Blurs vision of target',1,2),
(143243,70116,10,100,'Stuns target',1,3),
(143244,70116,10,100,'Does not affect Epic targets',1,4),
(143245,70116,10,100,'Inflicts 624 - 1041 crushing damage on target',0,5),
(143246,70117,10,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(143247,70117,10,100,'Throws target back',1,1),
(143248,70117,10,100,'Blurs vision of target',1,2),
(143249,70117,10,100,'Stuns target',1,3),
(143250,70117,10,100,'Does not affect Epic targets',1,4),
(143251,70117,10,100,'Inflicts 686 - 1143 crushing damage on target',0,5),
(143252,70117,11,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(143253,70117,11,100,'Throws target back',1,1),
(143254,70117,11,100,'Blurs vision of target',1,2),
(143255,70117,11,100,'Stuns target',1,3),
(143256,70117,11,100,'Does not affect Epic targets',1,4),
(143257,70117,11,100,'Inflicts 825 - 1375 crushing damage on target',0,5),
(143258,70118,10,100,'Inflicts 16 - 27 heat damage on target',0,0),
(143259,70119,10,100,'Inflicts 120 - 201 heat damage on target',0,0),
(143260,70120,10,100,'Inflicts 233 - 388 heat damage on target',0,0),
(143261,70121,10,100,'Inflicts 360 - 600 heat damage on target',0,0),
(143262,70122,10,100,'Inflicts 505 - 843 heat damage on target',0,0),
(143263,70123,10,100,'Inflicts 659 - 1099 heat damage on target',0,0),
(143264,70124,10,100,'Inflicts 798 - 1330 heat damage on target',0,0),
(143265,70125,10,100,'Inflicts 921 - 1535 heat damage on target',0,0),
(143266,70125,11,100,'Inflicts 1108 - 1846 heat damage on target',0,0),
(143267,70126,10,100,'Inflicts 15 - 45 melee damage on target',0,0),
(143268,70126,10,100,'Inflicts 15 - 45 melee damage on target',0,1),
(143269,70126,10,100,'Inflicts 15 - 45 melee damage on target',0,2),
(143270,70126,10,100,'Inflicts 15 - 45 melee damage on target',0,3),
(143271,70126,10,100,'Inflicts 15 - 45 melee damage on target',0,4),
(143272,70126,10,100,'Inflicts 15 - 45 melee damage on target',0,5),
(143273,70126,10,100,'Inflicts 15 - 45 melee damage on target',0,6),
(143274,70126,10,100,'Inflicts 15 - 45 melee damage on target',0,7),
(143275,70126,11,100,'Inflicts 18 - 55 melee damage on target',0,0),
(143276,70126,11,100,'Inflicts 18 - 55 melee damage on target',0,1),
(143277,70126,11,100,'Inflicts 18 - 55 melee damage on target',0,2),
(143278,70126,11,100,'Inflicts 18 - 55 melee damage on target',0,3),
(143279,70126,11,100,'Inflicts 18 - 55 melee damage on target',0,4),
(143280,70126,11,100,'Inflicts 18 - 55 melee damage on target',0,5),
(143281,70126,11,100,'Inflicts 18 - 55 melee damage on target',0,6),
(143282,70126,11,100,'Inflicts 18 - 55 melee damage on target',0,7),
(143283,70127,11,100,'Inflicts 34 - 102 melee damage on target',0,0),
(143284,70127,11,100,'Inflicts 34 - 102 melee damage on target',0,1),
(143285,70127,11,100,'Inflicts 34 - 102 melee damage on target',0,2),
(143286,70127,11,100,'Inflicts 34 - 102 melee damage on target',0,3),
(143287,70127,11,100,'Inflicts 34 - 102 melee damage on target',0,4),
(143288,70127,11,100,'Inflicts 34 - 102 melee damage on target',0,5),
(143289,70127,11,100,'Inflicts 34 - 102 melee damage on target',0,6),
(143290,70127,11,100,'Inflicts 34 - 102 melee damage on target',0,7),
(143291,70128,10,100,'Inflicts 43 - 130 melee damage on target',0,0),
(143292,70128,10,100,'Inflicts 43 - 130 melee damage on target',0,1),
(143293,70128,10,100,'Inflicts 43 - 130 melee damage on target',0,2),
(143294,70128,10,100,'Inflicts 43 - 130 melee damage on target',0,3),
(143295,70128,10,100,'Inflicts 43 - 130 melee damage on target',0,4),
(143296,70128,10,100,'Inflicts 43 - 130 melee damage on target',0,5),
(143297,70128,10,100,'Inflicts 43 - 130 melee damage on target',0,6),
(143298,70128,10,100,'Inflicts 43 - 130 melee damage on target',0,7),
(143299,70128,11,100,'Inflicts 52 - 156 melee damage on target',0,0),
(143300,70128,11,100,'Inflicts 52 - 156 melee damage on target',0,1),
(143301,70128,11,100,'Inflicts 52 - 156 melee damage on target',0,2),
(143302,70128,11,100,'Inflicts 52 - 156 melee damage on target',0,3),
(143303,70128,11,100,'Inflicts 52 - 156 melee damage on target',0,4),
(143304,70128,11,100,'Inflicts 52 - 156 melee damage on target',0,5),
(143305,70128,11,100,'Inflicts 52 - 156 melee damage on target',0,6),
(143306,70128,11,100,'Inflicts 52 - 156 melee damage on target',0,7),
(143307,70129,11,100,'Inflicts 73 - 220 melee damage on target',0,0),
(143308,70129,11,100,'Inflicts 73 - 220 melee damage on target',0,1),
(143309,70129,11,100,'Inflicts 73 - 220 melee damage on target',0,2),
(143310,70129,11,100,'Inflicts 73 - 220 melee damage on target',0,3),
(143311,70129,11,100,'Inflicts 73 - 220 melee damage on target',0,4),
(143312,70129,11,100,'Inflicts 73 - 220 melee damage on target',0,5),
(143313,70129,11,100,'Inflicts 73 - 220 melee damage on target',0,6),
(143314,70129,11,100,'Inflicts 73 - 220 melee damage on target',0,7),
(143315,70130,10,100,'Inflicts 76 - 230 melee damage on target',0,0),
(143316,70130,10,100,'Inflicts 76 - 230 melee damage on target',0,1),
(143317,70130,10,100,'Inflicts 76 - 230 melee damage on target',0,2),
(143318,70130,10,100,'Inflicts 76 - 230 melee damage on target',0,3),
(143319,70130,10,100,'Inflicts 76 - 230 melee damage on target',0,4),
(143320,70130,10,100,'Inflicts 76 - 230 melee damage on target',0,5),
(143321,70130,10,100,'Inflicts 76 - 230 melee damage on target',0,6),
(143322,70130,10,100,'Inflicts 76 - 230 melee damage on target',0,7),
(143323,70130,11,100,'Inflicts 92 - 276 melee damage on target',0,0),
(143324,70130,11,100,'Inflicts 92 - 276 melee damage on target',0,1),
(143325,70130,11,100,'Inflicts 92 - 276 melee damage on target',0,2),
(143326,70130,11,100,'Inflicts 92 - 276 melee damage on target',0,3),
(143327,70130,11,100,'Inflicts 92 - 276 melee damage on target',0,4),
(143328,70130,11,100,'Inflicts 92 - 276 melee damage on target',0,5),
(143329,70130,11,100,'Inflicts 92 - 276 melee damage on target',0,6),
(143330,70130,11,100,'Inflicts 92 - 276 melee damage on target',0,7),
(143331,70131,10,100,'Inflicts 92 - 278 melee damage on target',0,0),
(143332,70131,10,100,'Inflicts 92 - 278 melee damage on target',0,1),
(143333,70131,10,100,'Inflicts 92 - 278 melee damage on target',0,2),
(143334,70131,10,100,'Inflicts 92 - 278 melee damage on target',0,3),
(143335,70131,10,100,'Inflicts 92 - 278 melee damage on target',0,4),
(143336,70131,10,100,'Inflicts 92 - 278 melee damage on target',0,5),
(143337,70131,10,100,'Inflicts 92 - 278 melee damage on target',0,6),
(143338,70131,10,100,'Inflicts 92 - 278 melee damage on target',0,7),
(143339,70131,11,100,'Inflicts 111 - 334 melee damage on target',0,0),
(143340,70131,11,100,'Inflicts 111 - 334 melee damage on target',0,1),
(143341,70131,11,100,'Inflicts 111 - 334 melee damage on target',0,2),
(143342,70131,11,100,'Inflicts 111 - 334 melee damage on target',0,3),
(143343,70131,11,100,'Inflicts 111 - 334 melee damage on target',0,4),
(143344,70131,11,100,'Inflicts 111 - 334 melee damage on target',0,5),
(143345,70131,11,100,'Inflicts 111 - 334 melee damage on target',0,6),
(143346,70131,11,100,'Inflicts 111 - 334 melee damage on target',0,7),
(143347,70132,10,100,'Inflicts 105 - 316 melee damage on target',0,0),
(143348,70132,10,100,'Inflicts 105 - 316 melee damage on target',0,1),
(143349,70132,10,100,'Inflicts 105 - 316 melee damage on target',0,2),
(143350,70132,10,100,'Inflicts 105 - 316 melee damage on target',0,3),
(143351,70132,10,100,'Inflicts 105 - 316 melee damage on target',0,4),
(143352,70132,10,100,'Inflicts 105 - 316 melee damage on target',0,5),
(143353,70132,10,100,'Inflicts 105 - 316 melee damage on target',0,6),
(143354,70132,10,100,'Inflicts 105 - 316 melee damage on target',0,7),
(143355,70132,11,100,'Inflicts 127 - 381 melee damage on target',0,0),
(143356,70132,11,100,'Inflicts 127 - 381 melee damage on target',0,1),
(143357,70132,11,100,'Inflicts 127 - 381 melee damage on target',0,2),
(143358,70132,11,100,'Inflicts 127 - 381 melee damage on target',0,3),
(143359,70132,11,100,'Inflicts 127 - 381 melee damage on target',0,4),
(143360,70132,11,100,'Inflicts 127 - 381 melee damage on target',0,5),
(143361,70132,11,100,'Inflicts 127 - 381 melee damage on target',0,6),
(143362,70132,11,100,'Inflicts 127 - 381 melee damage on target',0,7),
(143363,70133,10,100,'Inflicts 5 - 16 melee damage on target',0,0),
(143364,70134,10,100,'Inflicts 13 - 39 melee damage on target',0,0),
(143365,70135,10,100,'Inflicts 64 - 192 melee damage on target',0,0),
(143366,70136,10,100,'Inflicts 100 - 301 melee damage on target',0,0),
(143367,70137,10,100,'Inflicts 143 - 430 melee damage on target',0,0),
(143368,70139,10,100,'Inflicts 227 - 681 melee damage on target',0,0),
(143369,70140,10,100,'Inflicts 269 - 807 melee damage on target',0,0),
(143370,70140,11,100,'Inflicts 323 - 971 melee damage on target',0,0),
(143371,70141,10,100,'Decreases Weapon Damage of caster by 50.0',0,0),
(143372,70141,10,100,'Slows caster by 47.6%',0,1),
(143373,70141,10,100,'Increases Mitigation of caster vs physical damage by 1344',0,2),
(143374,70142,10,100,'Decreases Weapon Damage of caster by 50.0',0,0),
(143375,70142,10,100,'Slows caster by 47.6%',0,1),
(143376,70142,10,100,'Increases Mitigation of caster vs physical damage by 1814',0,2),
(143377,70143,10,100,'Decreases Weapon Damage of caster by 50.0',0,0),
(143378,70143,10,100,'Slows caster by 47.6%',0,1),
(143379,70143,10,100,'Increases Mitigation of caster vs physical damage by 2285',0,2),
(143380,70144,10,100,'Decreases Weapon Damage of caster by 50.0',0,0),
(143381,70144,10,100,'Slows caster by 47.6%',0,1),
(143382,70144,10,100,'Increases Mitigation of caster vs physical damage by 2752',0,2),
(143383,70145,10,100,'Decreases Weapon Damage of caster by 50.0',0,0),
(143384,70145,10,100,'Slows caster by 47.6%',0,1),
(143385,70145,10,100,'Increases Mitigation of caster vs physical damage by 3223',0,2),
(143386,70146,10,100,'Decreases Weapon Damage of caster by 50.0',0,0),
(143387,70146,10,100,'Slows caster by 47.6%',0,1),
(143388,70146,10,100,'Increases Mitigation of caster vs physical damage by 3622',0,2),
(143389,70146,11,100,'Decreases Weapon Damage of caster by 50.0',0,0),
(143390,70146,11,100,'Slows caster by 39.6%',0,1),
(143391,70146,11,100,'Increases Mitigation of caster vs physical damage by 4355',0,2),
(143392,70147,10,100,'Inflicts 10 - 32 crushing damage on target',0,0),
(143393,70148,10,100,'Inflicts 39 - 117 crushing damage on target',0,0),
(143394,70149,10,100,'Inflicts 72 - 217 crushing damage on target',0,0),
(143395,70150,10,100,'Inflicts 110 - 332 crushing damage on target',0,0),
(143396,70151,10,100,'Inflicts 153 - 459 crushing damage on target',0,0),
(143397,70152,10,100,'Inflicts 195 - 587 crushing damage on target',0,0),
(143398,70153,10,100,'Inflicts 236 - 709 crushing damage on target',0,0),
(143399,70154,10,100,'Inflicts 269 - 809 crushing damage on target',0,0),
(143400,70154,11,100,'Inflicts 324 - 972 crushing damage on target',0,0),
(143401,70155,10,100,'Inflicts 129 - 389 melee damage on targets in Area of Effect',0,0),
(143402,70155,10,100,'Inflicts 129 - 389 melee damage on targets in Area of Effect',0,1),
(143403,70155,10,100,'Inflicts 129 - 389 melee damage on targets in Area of Effect',0,2),
(143404,70155,10,100,'Inflicts 129 - 389 melee damage on targets in Area of Effect',0,3),
(143405,70155,11,100,'Inflicts 156 - 468 melee damage on targets in Area of Effect',0,0),
(143406,70155,11,100,'Inflicts 156 - 468 melee damage on targets in Area of Effect',0,1),
(143407,70155,11,100,'Inflicts 156 - 468 melee damage on targets in Area of Effect',0,2),
(143408,70155,11,100,'Inflicts 156 - 468 melee damage on targets in Area of Effect',0,3),
(143409,70156,10,100,'Inflicts 195 - 586 melee damage on targets in Area of Effect',0,0),
(143410,70156,10,100,'Inflicts 195 - 586 melee damage on targets in Area of Effect',0,1),
(143411,70156,10,100,'Inflicts 195 - 586 melee damage on targets in Area of Effect',0,2),
(143412,70156,10,100,'Inflicts 195 - 586 melee damage on targets in Area of Effect',0,3),
(143413,70156,11,100,'Inflicts 235 - 705 melee damage on targets in Area of Effect',0,0),
(143414,70156,11,100,'Inflicts 235 - 705 melee damage on targets in Area of Effect',0,1),
(143415,70156,11,100,'Inflicts 235 - 705 melee damage on targets in Area of Effect',0,2),
(143416,70156,11,100,'Inflicts 235 - 705 melee damage on targets in Area of Effect',0,3),
(143417,70157,10,100,'Inflicts 237 - 711 melee damage on targets in Area of Effect',0,0),
(143418,70157,10,100,'Inflicts 237 - 711 melee damage on targets in Area of Effect',0,1),
(143419,70157,10,100,'Inflicts 237 - 711 melee damage on targets in Area of Effect',0,2),
(143420,70157,10,100,'Inflicts 237 - 711 melee damage on targets in Area of Effect',0,3),
(143421,70157,11,100,'Inflicts 285 - 855 melee damage on targets in Area of Effect',0,0),
(143422,70157,11,100,'Inflicts 285 - 855 melee damage on targets in Area of Effect',0,1),
(143423,70157,11,100,'Inflicts 285 - 855 melee damage on targets in Area of Effect',0,2),
(143424,70157,11,100,'Inflicts 285 - 855 melee damage on targets in Area of Effect',0,3),
(143425,70158,10,100,'Inflicts 285 - 855 melee damage on targets in Area of Effect',0,0),
(143426,70158,10,100,'Inflicts 285 - 855 melee damage on targets in Area of Effect',0,1),
(143427,70158,10,100,'Inflicts 285 - 855 melee damage on targets in Area of Effect',0,2),
(143428,70158,10,100,'Inflicts 285 - 855 melee damage on targets in Area of Effect',0,3),
(143429,70158,11,100,'Inflicts 342 - 1028 melee damage on targets in Area of Effect',0,0),
(143430,70158,11,100,'Inflicts 342 - 1028 melee damage on targets in Area of Effect',0,1),
(143431,70158,11,100,'Inflicts 342 - 1028 melee damage on targets in Area of Effect',0,2),
(143432,70158,11,100,'Inflicts 342 - 1028 melee damage on targets in Area of Effect',0,3),
(143433,70159,10,100,'Inflicts 302 - 907 melee damage on targets in Area of Effect',0,0),
(143434,70159,10,100,'Inflicts 302 - 907 melee damage on targets in Area of Effect',0,1),
(143435,70159,10,100,'Inflicts 302 - 907 melee damage on targets in Area of Effect',0,2),
(143436,70159,10,100,'Inflicts 302 - 907 melee damage on targets in Area of Effect',0,3),
(143437,70159,11,100,'Inflicts 363 - 1091 melee damage on targets in Area of Effect',0,0),
(143438,70159,11,100,'Inflicts 363 - 1091 melee damage on targets in Area of Effect',0,1),
(143439,70159,11,100,'Inflicts 363 - 1091 melee damage on targets in Area of Effect',0,2),
(143440,70159,11,100,'Inflicts 363 - 1091 melee damage on targets in Area of Effect',0,3),
(143444,70161,10,100,'Stuns target',1,3),
(143445,70161,10,100,'Does not affect Epic targets',1,4),
(143446,70161,10,100,'Inflicts 60 - 181 melee damage on target',0,5),
(143447,70162,10,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(143448,70162,10,100,'Throws target back',1,1),
(143449,70162,10,100,'Blurs vision of target',1,2),
(143450,70162,10,100,'Stuns target',1,3),
(143451,70162,10,100,'Does not affect Epic targets',1,4),
(143452,70162,10,100,'Inflicts 96 - 289 melee damage on target',0,5),
(143453,70163,10,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(143454,70163,10,100,'Throws target back',1,1),
(143455,70163,10,100,'Blurs vision of target',1,2),
(143456,70163,10,100,'Stuns target',1,3),
(143457,70163,10,100,'Does not affect Epic targets',1,4),
(143458,70163,10,100,'Inflicts 140 - 422 melee damage on target',0,5),
(143459,70164,10,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(143460,70164,10,100,'Throws target back',1,1),
(143461,70164,10,100,'Blurs vision of target',1,2),
(143462,70164,10,100,'Stuns target',1,3),
(143463,70164,10,100,'Does not affect Epic targets',1,4),
(143464,70164,10,100,'Inflicts 184 - 554 melee damage on target',0,5),
(143465,70165,10,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(143466,70165,10,100,'Throws target back',1,1),
(143467,70165,10,100,'Blurs vision of target',1,2),
(143468,70165,10,100,'Stuns target',1,3),
(143469,70165,10,100,'Does not affect Epic targets',1,4),
(143470,70165,10,100,'Inflicts 223 - 671 melee damage on target',0,5),
(143471,70166,10,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(143472,70166,10,100,'Throws target back',1,1),
(143473,70166,10,100,'Blurs vision of target',1,2),
(143474,70166,10,100,'Stuns target',1,3),
(143475,70166,10,100,'Does not affect Epic targets',1,4),
(143476,70166,10,100,'Inflicts 269 - 808 melee damage on target',0,5),
(143477,70167,10,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(143478,70167,10,100,'Throws target back',1,1),
(143479,70167,10,100,'Blurs vision of target',1,2),
(143480,70167,10,100,'Stuns target',1,3),
(143481,70167,10,100,'Does not affect Epic targets',1,4),
(143482,70167,10,100,'Inflicts 289 - 867 melee damage on target',0,5),
(143483,70167,11,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(143484,70167,11,100,'Throws target back',1,1),
(143485,70167,11,100,'Blurs vision of target',1,2),
(143486,70167,11,100,'Stuns target',1,3),
(143487,70167,11,100,'Does not affect Epic targets',1,4),
(143488,70167,11,100,'Inflicts 347 - 1043 melee damage on target',0,5),
(143489,70168,10,100,'Grants target a 26% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(143490,70168,10,100,'Adds 1.5% to base avoidance.',0,1),
(143491,70170,10,100,'Grants target a 47% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(143492,70170,10,100,'Adds 1.5% to base avoidance.',0,1),
(143493,70171,10,100,'Grants target a 57% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(143494,70171,10,100,'Adds 1.5% to base avoidance.',0,1),
(143495,70172,10,100,'Increases Threat to target by 253 - 309 ',0,0),
(143496,70173,10,100,'Increases Threat to target by 977 - 1,194 ',0,0),
(143497,70174,10,100,'Increases Threat to target by 1,592 - 1,826 ',0,0),
(143498,70175,10,100,'Increases Threat to target by 2,618 - 3,080 ',0,0),
(143499,70176,10,100,'Increases Threat to target by 9,834 - 11,900 ',0,0),
(143500,70176,11,100,'Increases Threat to target by 11,715 - 14,199 ',0,0),
(143501,70177,10,100,'Increases Threat to target by 3,844 - 4,579 ',0,0),
(143502,70178,10,100,'Increases Threat to target by 5,305 - 6,364 ',0,0),
(143503,70179,10,100,'Increases Threat to target by 6,804 - 8,197 ',0,0),
(143504,70180,10,100,'Increases Threat to target by 8,320 - 10,049 ',0,0),
(143505,70181,1,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(143506,70181,1,100,'Inflicts 9 - 15 heat damage on target',1,5),
(143507,70181,2,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(143508,70181,2,100,'Inflicts 9 - 16 heat damage on target',1,5),
(143509,70181,3,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(143510,70181,3,100,'Inflicts 10 - 16 heat damage on target',1,5),
(143511,70181,4,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(143512,70181,4,100,'Inflicts 11 - 18 heat damage on target',1,5),
(143513,70181,5,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(143514,70181,5,100,'Inflicts 12 - 20 heat damage on target',1,5),
(143515,70181,7,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(143516,70181,7,100,'Inflicts 15 - 25 heat damage on target',1,5),
(143517,70181,9,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(143518,70181,9,100,'Inflicts 16 - 26 heat damage on target',1,5),
(143519,70181,10,100,'Decreases Defense of caster by 1.8',0,0),
(143520,70181,10,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 4.5',0,1),
(143521,70181,10,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(143522,70181,10,100,'Increases the amount of Potency gained by 20%',0,3),
(143523,70181,10,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(143524,70181,10,100,'Inflicts 17 - 28 heat damage on target',1,5),
(143525,70182,1,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(143526,70182,1,100,'Inflicts 33 - 55 heat damage on target',1,5),
(143527,70182,2,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(143528,70182,2,100,'Inflicts 35 - 58 heat damage on target',1,5),
(143529,70182,3,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(143530,70182,3,100,'Inflicts 37 - 62 heat damage on target',1,5),
(143531,70182,4,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(143532,70182,4,100,'Inflicts 41 - 68 heat damage on target',1,5),
(143533,70182,5,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(143534,70182,5,100,'Inflicts 44 - 74 heat damage on target',1,5),
(143535,70182,7,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(143536,70182,7,100,'Inflicts 57 - 95 heat damage on target',1,5),
(143537,70182,9,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(143538,70182,9,100,'Inflicts 59 - 98 heat damage on target',1,5),
(143539,70182,10,100,'Decreases Defense of caster by 4.8',0,0),
(143540,70182,10,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 12.1',0,1),
(143541,70182,10,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(143542,70182,10,100,'Increases the amount of Potency gained by 20%',0,3),
(143543,70182,10,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(143544,70182,10,100,'Inflicts 62 - 103 heat damage on target',1,5),
(143545,70183,1,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(143546,70183,1,100,'Inflicts 78 - 130 heat damage on target',1,5),
(143547,70183,2,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(143548,70183,2,100,'Inflicts 82 - 137 heat damage on target',1,5),
(143549,70183,3,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(143550,70183,3,100,'Inflicts 87 - 144 heat damage on target',1,5),
(143551,70183,4,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(143552,70183,4,100,'Inflicts 95 - 159 heat damage on target',1,5),
(143553,70183,5,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(143554,70183,5,100,'Inflicts 104 - 173 heat damage on target',1,5),
(143555,70183,7,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(143556,70183,7,100,'Inflicts 133 - 222 heat damage on target',1,5),
(143557,70183,9,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(143558,70183,9,100,'Inflicts 138 - 231 heat damage on target',1,5),
(143559,70183,10,100,'Decreases Defense of caster by 10.5',0,0),
(143560,70183,10,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 26.5',0,1),
(143561,70183,10,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(143562,70183,10,100,'Increases the amount of Potency gained by 20%',0,3),
(143563,70183,10,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(143564,70183,10,100,'Inflicts 145 - 242 heat damage on target',1,5),
(143565,70184,1,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(143566,70184,1,100,'Inflicts 117 - 196 heat damage on target',1,5),
(143567,70184,2,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(143568,70184,2,100,'Inflicts 124 - 207 heat damage on target',1,5),
(143569,70184,3,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(143570,70184,3,100,'Inflicts 130 - 217 heat damage on target',1,5),
(143571,70184,4,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(143572,70184,4,100,'Inflicts 144 - 239 heat damage on target',1,5),
(143573,70184,5,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(143574,70184,5,100,'Inflicts 157 - 261 heat damage on target',1,5),
(143575,70184,7,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(143576,70184,7,100,'Inflicts 201 - 335 heat damage on target',1,5),
(143577,70184,9,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(143578,70184,9,100,'Inflicts 209 - 348 heat damage on target',1,5),
(143579,70184,10,100,'Decreases Defense of caster by 14.7',0,0),
(143580,70184,10,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 37.0',0,1),
(143581,70184,10,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(143582,70184,10,100,'Increases the amount of Potency gained by 20%',0,3),
(143583,70184,10,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(143584,70184,10,100,'Inflicts 219 - 365 heat damage on target',1,5),
(143585,70185,1,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(143586,70185,1,100,'Inflicts 160 - 267 heat damage on target',1,5),
(143587,70185,2,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(143588,70185,2,100,'Inflicts 169 - 281 heat damage on target',1,5),
(143589,70185,3,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(143590,70185,3,100,'Inflicts 178 - 296 heat damage on target',1,5),
(143591,70185,4,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(143592,70185,4,100,'Inflicts 196 - 326 heat damage on target',1,5),
(143593,70185,5,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(143594,70185,5,100,'Inflicts 213 - 356 heat damage on target',1,5),
(143595,70185,7,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(143596,70185,7,100,'Inflicts 274 - 456 heat damage on target',1,5),
(143597,70185,9,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(143598,70185,9,100,'Inflicts 284 - 474 heat damage on target',1,5),
(143599,70185,10,100,'Decreases Defense of caster by 18.9',0,0),
(143600,70185,10,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 47.6',0,1),
(143601,70185,10,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(143602,70185,10,100,'Increases the amount of Potency gained by 20%',0,3),
(143603,70185,10,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(143604,70185,10,100,'Inflicts 299 - 498 heat damage on target',1,5),
(143605,70186,1,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(143606,70186,1,100,'Inflicts 201 - 334 heat damage on target',1,5),
(143607,70186,2,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(143608,70186,2,100,'Inflicts 212 - 353 heat damage on target',1,5),
(143609,70186,3,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(143610,70186,3,100,'Inflicts 223 - 371 heat damage on target',1,5),
(143611,70186,4,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(143612,70186,4,100,'Inflicts 245 - 409 heat damage on target',1,5),
(143613,70186,5,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(143614,70186,5,100,'Inflicts 267 - 446 heat damage on target',1,5),
(143615,70186,7,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(143616,70186,7,100,'Inflicts 343 - 572 heat damage on target',1,5),
(143617,70186,9,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(143618,70186,9,100,'Inflicts 357 - 594 heat damage on target',1,5),
(143619,70186,10,100,'Decreases Defense of caster by 23.0',0,0),
(143620,70186,10,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 58.0',0,1),
(143621,70186,10,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(143622,70186,10,100,'Increases the amount of Potency gained by 20%',0,3),
(143623,70186,10,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(143624,70186,10,100,'Inflicts 374 - 624 heat damage on target',1,5),
(143625,70187,1,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(143626,70187,1,100,'Inflicts 242 - 404 heat damage on target',1,5),
(143627,70187,4,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(143628,70187,4,100,'Inflicts 296 - 493 heat damage on target',1,5),
(143629,70187,5,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(143630,70187,5,100,'Inflicts 323 - 538 heat damage on target',1,5),
(143631,70187,7,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(143632,70187,7,100,'Inflicts 414 - 691 heat damage on target',1,5),
(143633,70187,9,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(143634,70187,9,100,'Inflicts 430 - 717 heat damage on target',1,5),
(143635,70187,10,100,'Decreases Defense of caster by 27.0',0,0),
(143636,70187,10,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 69.3',0,1),
(143637,70187,10,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,2),
(143638,70187,10,100,'Increases the amount of Potency gained by 20%',0,3),
(143639,70187,10,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,4),
(143640,70187,10,100,'Inflicts 452 - 753 heat damage on target',1,5),
(143641,70188,1,100,'Increases the amount of Potency gained by 20%',0,4),
(143642,70188,1,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,5),
(143643,70188,1,100,'Inflicts 273 - 454 heat damage on target',1,6),
(143644,70188,4,100,'Increases the amount of Potency gained by 20%',0,4),
(143645,70188,4,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,5),
(143646,70188,4,100,'Inflicts 333 - 555 heat damage on target',1,6),
(143647,70188,5,100,'Increases the amount of Potency gained by 20%',0,4),
(143648,70188,5,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,5),
(143649,70188,5,100,'Inflicts 363 - 606 heat damage on target',1,6),
(143650,70188,7,100,'Increases the amount of Potency gained by 20%',0,4),
(143651,70188,7,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,5),
(143652,70188,7,100,'Inflicts 466 - 777 heat damage on target',1,6),
(143653,70188,9,100,'Increases the amount of Potency gained by 20%',0,4),
(143654,70188,9,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,5),
(143655,70188,9,100,'Inflicts 484 - 807 heat damage on target',1,6),
(143656,70188,10,100,'Increases Potency of caster by 2.7%',0,0),
(143657,70188,10,100,'Decreases Defense of caster by 31.0',0,1),
(143658,70188,10,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 81.9',0,2),
(143659,70188,10,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(143660,70188,10,100,'Increases the amount of Potency gained by 20%',0,4),
(143661,70188,10,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,5),
(143662,70188,10,100,'Inflicts 509 - 848 heat damage on target',1,6),
(143663,70188,11,100,'Increases Potency of caster by 3.2%',0,0),
(143664,70188,11,100,'Decreases Defense of caster by 31.0',0,1),
(143665,70188,11,100,'Increases Slashing, Piercing, Crushing and Ranged of caster by 98.5',0,2),
(143666,70188,11,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(143667,70188,11,100,'Increases the amount of Potency gained by 20%',0,4),
(143668,70188,11,100,'On a melee hit this spell may cast Engulf on target of attack.  Triggers about 2.0 times per minute. ',0,5),
(143669,70188,11,100,'Inflicts 612 - 1019 heat damage on target',1,6),
(143670,70189,10,100,'Interrupts target',0,0),
(143671,70189,10,100,'Inflicts 506 - 844 melee damage on target',0,1),
(143672,70190,10,100,'Interrupts target',0,0),
(143673,70190,10,100,'Inflicts 734 - 1223 melee damage on target',0,1),
(143674,70192,11,100,'Interrupts target',0,0),
(143675,70192,11,100,'Inflicts 1216 - 2026 melee damage on target',0,1),
(143676,70193,10,100,'Will absorb elemental, noxious and arcane damage when the amount is greater than 30% of the target''s maximum health. This spell will absorb a total of 3 attacks.',0,0),
(143677,70195,10,100,'Inflicts 359 - 1078 melee damage on target',0,0),
(143678,70195,10,100,'Dazes target',0,1),
(143679,70195,10,100,'If Target is not Epic',1,2),
(143680,70195,10,100,'Must be flanking or behind',0,3),
(143681,70195,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(143682,70196,10,100,'Inflicts 500 - 1502 melee damage on target',0,0),
(143683,70196,10,100,'Dazes target',0,1),
(143684,70196,10,100,'If Target is not Epic',1,2),
(143685,70196,10,100,'Must be flanking or behind',0,3),
(143686,70196,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(143687,70197,10,100,'Inflicts 639 - 1919 melee damage on target',0,0),
(143688,70197,10,100,'Dazes target',0,1),
(143689,70197,10,100,'If Target is not Epic',1,2),
(143690,70197,10,100,'Must be flanking or behind',0,3),
(143691,70197,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(143692,70198,10,100,'Inflicts 773 - 2321 melee damage on target',0,0),
(143693,70198,10,100,'Dazes target',0,1),
(143694,70198,10,100,'If Target is not Epic',1,2),
(143695,70198,10,100,'Must be flanking or behind',0,3),
(143696,70198,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(143697,70199,10,100,'Inflicts 893 - 2680 melee damage on target',0,0),
(143698,70199,10,100,'Dazes target',0,1),
(143699,70199,10,100,'If Target is not Epic',1,2),
(143700,70199,10,100,'Must be flanking or behind',0,3),
(143701,70199,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(143702,70199,11,100,'Inflicts 1074 - 3223 melee damage on target',0,0),
(143703,70199,11,100,'Dazes target',0,1),
(143704,70199,11,100,'If Target is not Epic',1,2),
(143705,70199,11,100,'Must be flanking or behind',0,3),
(143706,70199,11,100,'Resistibility increases against targets higher than level 29.',0,4),
(143707,70200,9,100,'Heals caster for 10.0% of max health',0,0),
(143708,70200,9,100,'Heals caster for 5.0% of max health every second',0,1),
(143709,70200,9,100,'This effect cannot be critically applied.',1,2),
(143710,70200,9,100,'Caster will Dodge 100.0% of incoming attacks',0,3),
(143711,70200,9,100,'Makes caster immune to strikethrough attacks.',0,4),
(143712,70200,9,100,'Suspends Recklessness',0,5),
(143713,70200,10,100,'Heals caster for 10.0% of max health',0,0),
(143714,70200,10,100,'Heals caster for 5.0% of max health every second',0,1),
(143715,70200,10,100,'This effect cannot be critically applied.',1,2),
(143716,70200,10,100,'Caster will Dodge 100.0% of incoming attacks',0,3),
(143717,70200,10,100,'Makes caster immune to strikethrough attacks.',0,4),
(143718,70200,10,100,'Suspends Recklessness',0,5),
(143719,70201,10,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(143720,70201,10,100,'Throws target back',1,1),
(143721,70201,10,100,'Blurs vision of target',1,2),
(143722,70201,10,100,'Stuns target',1,3),
(143723,70201,10,100,'Does not affect Epic targets',1,4),
(143724,70201,10,100,'Inflicts 136 - 408 melee damage on target',0,5),
(143725,70201,11,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(143726,70201,11,100,'Throws target back',1,1),
(143727,70201,11,100,'Blurs vision of target',1,2),
(143728,70201,11,100,'Stuns target',1,3),
(143729,70201,11,100,'Does not affect Epic targets',1,4),
(143730,70201,11,100,'Inflicts 163 - 491 melee damage on target',0,5),
(143731,70202,11,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(143732,70202,11,100,'Throws target back',1,1),
(143733,70202,11,100,'Blurs vision of target',1,2),
(143734,70202,11,100,'Stuns target',1,3),
(143735,70202,11,100,'Does not affect Epic targets',1,4),
(143736,70202,11,100,'Inflicts 254 - 764 melee damage on target',0,5),
(143737,70203,10,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(143738,70203,10,100,'Throws target back',1,1),
(143739,70203,10,100,'Blurs vision of target',1,2),
(143740,70203,10,100,'Stuns target',1,3),
(143741,70203,10,100,'Does not affect Epic targets',1,4),
(143742,70203,10,100,'Inflicts 300 - 900 melee damage on target',0,5),
(143743,70203,11,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(143744,70203,11,100,'Throws target back',1,1),
(143745,70203,11,100,'Blurs vision of target',1,2),
(143746,70203,11,100,'Stuns target',1,3),
(143747,70203,11,100,'Does not affect Epic targets',1,4),
(143748,70203,11,100,'Inflicts 361 - 1083 melee damage on target',0,5),
(143749,70204,11,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(143750,70204,11,100,'Throws target back',1,1),
(143751,70204,11,100,'Blurs vision of target',1,2),
(143752,70204,11,100,'Stuns target',1,3),
(143753,70204,11,100,'Does not affect Epic targets',1,4),
(143754,70204,11,100,'Inflicts 471 - 1413 melee damage on target',0,5),
(143755,70205,10,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(143756,70205,10,100,'Throws target back',1,1),
(143757,70205,10,100,'Blurs vision of target',1,2),
(143758,70205,10,100,'Stuns target',1,3),
(143759,70205,10,100,'Does not affect Epic targets',1,4),
(143760,70205,10,100,'Inflicts 474 - 1423 melee damage on target',0,5),
(143761,70205,11,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(143762,70205,11,100,'Throws target back',1,1),
(143763,70205,11,100,'Blurs vision of target',1,2),
(143764,70205,11,100,'Stuns target',1,3),
(143765,70205,11,100,'Does not affect Epic targets',1,4),
(143766,70205,11,100,'Inflicts 570 - 1711 melee damage on target',0,5),
(143767,70206,10,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(143768,70206,10,100,'Throws target back',1,1),
(143769,70206,10,100,'Blurs vision of target',1,2),
(143770,70206,10,100,'Stuns target',1,3),
(143771,70206,10,100,'Does not affect Epic targets',1,4),
(143772,70206,10,100,'Inflicts 555 - 1665 melee damage on target',0,5),
(143773,70206,11,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(143774,70206,11,100,'Throws target back',1,1),
(143775,70206,11,100,'Blurs vision of target',1,2),
(143776,70206,11,100,'Stuns target',1,3),
(143777,70206,11,100,'Does not affect Epic targets',1,4),
(143778,70206,11,100,'Inflicts 667 - 2002 melee damage on target',0,5),
(143779,80000,10,100,'Grants target a 26% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(143780,80000,10,100,'Increases Parry of caster by 5.3',0,1),
(143781,80001,10,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(143782,80001,10,100,'Throws target back',1,1),
(143783,80001,10,100,'Blurs vision of target',1,2),
(143784,80001,10,100,'Stuns target',1,3),
(143785,80001,10,100,'Does not affect Epic targets',1,4),
(143786,80001,10,100,'Inflicts 48 - 81 crushing damage on target',0,5),
(143787,80002,10,100,'Dispels 20 levels of noxious and arcane beneficial effects on targets in Area of Effect',0,0),
(143788,80002,10,100,'Inflicts 363 - 605 melee damage on targets in Area of Effect',0,1),
(143789,80003,10,100,'Dispels 20 levels of noxious and arcane beneficial effects on targets in Area of Effect',0,0),
(143790,80003,10,100,'Inflicts 604 - 1007 melee damage on targets in Area of Effect',0,1),
(143791,80004,10,100,'Dispels 20 levels of noxious and arcane beneficial effects on targets in Area of Effect',0,0),
(143792,80004,10,100,'Inflicts 863 - 1439 melee damage on targets in Area of Effect',0,1),
(143793,80005,10,100,'Dispels 20 levels of noxious and arcane beneficial effects on targets in Area of Effect',0,0),
(143794,80005,10,100,'Inflicts 1046 - 1744 melee damage on targets in Area of Effect',0,1),
(143795,80006,10,100,'Dispels 20 levels of noxious and arcane beneficial effects on targets in Area of Effect',0,0),
(143796,80006,10,100,'Inflicts 1427 - 2379 melee damage on targets in Area of Effect',0,1),
(143797,80006,11,100,'Dispels 24 levels of noxious and arcane beneficial effects on targets in Area of Effect',0,0),
(143798,80006,11,100,'Inflicts 1716 - 2861 melee damage on targets in Area of Effect',0,1),
(143799,80007,1,100,'This effect cannot be critically applied.',1,2),
(143800,80007,2,100,'This effect cannot be critically applied.',1,2),
(143801,80007,3,100,'This effect cannot be critically applied.',1,2),
(143802,80007,4,100,'This effect cannot be critically applied.',1,2),
(143803,80007,5,100,'This effect cannot be critically applied.',1,2),
(143804,80007,7,100,'This effect cannot be critically applied.',1,2),
(143805,80007,9,100,'This effect cannot be critically applied.',1,2),
(143806,80007,10,100,'Inflicts 38 - 64 melee damage on target',0,0),
(143807,80007,10,100,'Heals caster for 2.3 - 2.8% of max health',0,1),
(143808,80007,10,100,'This effect cannot be critically applied.',1,2),
(143809,80008,10,100,'Increases Threat to target by 1,215 - 1,592  instantly and by 241 - 362  every 3 seconds thereafter',0,0),
(143810,80009,10,100,'Increases Mitigation of target vs physical damage by 136',0,0),
(143811,80009,10,100,'Decreases Mitigation of caster vs physical damage by 162',0,1),
(143812,80010,10,100,'Increases Mitigation of target vs physical damage by 234',0,0),
(143813,80010,10,100,'Decreases Mitigation of caster vs physical damage by 279',0,1),
(143814,80011,10,100,'Increases Mitigation of target vs physical damage by 340',0,0),
(143815,80011,10,100,'Decreases Mitigation of caster vs physical damage by 405',0,1),
(143816,80012,10,100,'Increases Mitigation of target vs physical damage by 446',0,0),
(143817,80012,10,100,'Decreases Mitigation of caster vs physical damage by 531',0,1),
(143818,80013,10,100,'Increases Mitigation of target vs physical damage by 579',0,0),
(143819,80013,10,100,'Decreases Mitigation of caster vs physical damage by 685',0,1),
(143820,80014,10,100,'Increases Mitigation of target vs physical damage by 668',0,0),
(143821,80014,10,100,'Decreases Mitigation of caster vs physical damage by 886',0,1),
(143822,80015,10,100,'Increases Mitigation of target vs physical damage by 773',0,0),
(143823,80015,10,100,'Decreases Mitigation of caster vs physical damage by 1004',0,1),
(143824,80015,11,100,'Increases Mitigation of target vs physical damage by 930',0,0),
(143825,80015,11,100,'Decreases Mitigation of caster vs physical damage by 1004',0,1),
(143826,80016,10,100,'Inflicts 58 - 97 divine damage on target',0,0),
(143827,80016,10,100,'Decreases Parry of target by 7.6',0,1),
(143828,80016,10,100,'If Two-Handed weapon equipped in Primary',0,2),
(143829,80017,10,100,'Applies Blessed Strike on termination.',0,0),
(143830,80017,10,100,'Inflicts 43 - 72 divine damage on target',1,1),
(143831,80017,10,100,'Inflicts 17 - 29 divine damage on target',0,2),
(143833,80018,1,100,'Increases chance to block with a shield.',0,2),
(143834,80018,2,100,'Increases chance to block with a shield.',0,2),
(143836,80019,10,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(143837,80019,10,100,'Throws target back',1,1),
(143838,80019,10,100,'Blurs vision of target',1,2),
(143839,80019,10,100,'Stuns target',1,3),
(143840,80019,10,100,'Does not affect Epic targets',1,4),
(143841,80019,10,100,'Inflicts 21 - 35 crushing damage on target',0,5),
(143842,80019,10,100,'Increases Threat to target by 1,440 ',0,6),
(143843,80019,10,100,'If Shield equipped in Secondary',0,7),
(143844,80021,10,100,'Inflicts 64 - 106 divine damage on targets in Area of Effect',0,0),
(143845,80022,10,100,'Wards target against 201 points of all damage',0,0),
(143846,80023,10,100,'Interrupts target',0,0),
(143847,80023,10,100,'Inflicts 46 - 77 divine damage on target',0,1),
(143848,80024,10,100,'Increases WIS and STR of group members (AE) by 18.0',0,0),
(143849,90000,10,100,'Interrupts target encounter',0,0),
(143850,90000,10,100,'Increases Threat to target encounter by 1,045 - 1,277 ',0,1),
(143851,90000,10,100,'Decreases Mitigation of target encounter vs noxious damage by 194',0,2),
(143852,90000,11,100,'Interrupts target encounter',0,0),
(143853,90000,11,100,'Increases Threat to target encounter by 1,256 - 1,436 ',0,1),
(143854,90000,11,100,'Decreases Mitigation of target encounter vs noxious damage by 233',0,2),
(143855,90001,10,100,'Interrupts target encounter',0,0),
(143856,90001,10,100,'Increases Threat to target encounter by 2,204 - 2,574 ',0,1),
(143857,90001,10,100,'Decreases Mitigation of target encounter vs noxious damage by 370',0,2),
(143858,90001,11,100,'Interrupts target encounter',0,0),
(143859,90001,11,100,'Increases Threat to target encounter by 2,541 - 2,986 ',0,1),
(143860,90001,11,100,'Decreases Mitigation of target encounter vs noxious damage by 444',0,2),
(143861,90002,10,100,'Interrupts target encounter',0,0),
(143862,90002,10,100,'Increases Threat to target encounter by 3,514 - 4,175 ',0,1),
(143863,90002,10,100,'Decreases Mitigation of target encounter vs noxious damage by 605',0,2),
(143864,90002,11,100,'Interrupts target encounter',0,0),
(143865,90002,11,100,'Increases Threat to target encounter by 4,116 - 4,910 ',0,1),
(143866,90002,11,100,'Decreases Mitigation of target encounter vs noxious damage by 727',0,2),
(143867,90003,10,100,'Interrupts target encounter',0,0),
(143868,90003,10,100,'Increases Threat to target encounter by 5,113 - 6,129 ',0,1),
(143869,90003,10,100,'Decreases Mitigation of target encounter vs noxious damage by 840',0,2),
(143870,90003,11,100,'Interrupts target encounter',0,0),
(143871,90003,11,100,'Increases Threat to target encounter by 6,038 - 7,260 ',0,1),
(143872,90003,11,100,'Decreases Mitigation of target encounter vs noxious damage by 1010',0,2),
(143873,90004,10,100,'Interrupts target encounter',0,0),
(143874,90004,10,100,'Increases Threat to target encounter by 6,909 - 8,324 ',0,1),
(143875,90004,10,100,'Decreases Mitigation of target encounter vs noxious damage by 1075',0,2),
(143876,90004,11,100,'Interrupts target encounter',0,0),
(143877,90004,11,100,'Increases Threat to target encounter by 8,198 - 9,900 ',0,1),
(143878,90004,11,100,'Decreases Mitigation of target encounter vs noxious damage by 1293',0,2),
(143879,90005,10,100,'Interrupts target encounter',0,0),
(143880,90005,10,100,'Increases Threat to target encounter by 8,785 - 10,617 ',0,1),
(143881,90005,10,100,'Decreases Mitigation of target encounter vs noxious damage by 1386',0,2),
(143882,90005,11,100,'Interrupts target encounter',0,0),
(143883,90005,11,100,'Increases Threat to target encounter by 10,454 - 12,657 ',0,1),
(143884,90005,11,100,'Decreases Mitigation of target encounter vs noxious damage by 1667',0,2),
(143885,90006,10,100,'Interrupts target encounter',0,0),
(143886,90006,10,100,'Increases Threat to target encounter by 10,603 - 12,839 ',0,1),
(143887,90006,10,100,'Decreases Mitigation of target encounter vs noxious damage by 1734',0,2),
(143888,90006,11,100,'Interrupts target encounter',0,0),
(143889,90006,11,100,'Increases Threat to target encounter by 12,639 - 15,328 ',0,1),
(143890,90006,11,100,'Decreases Mitigation of target encounter vs noxious damage by 2085',0,2),
(143891,90007,10,100,'Interrupts target encounter',0,0),
(143892,90007,10,100,'Increases Threat to target encounter by 12,420 - 15,060 ',0,1),
(143893,90007,10,100,'Decreases Mitigation of target encounter vs noxious damage by 1935',0,2),
(143894,90007,11,100,'Interrupts target encounter',0,0),
(143895,90007,11,100,'Increases Threat to target encounter by 14,824 - 17,999 ',0,1),
(143896,90007,11,100,'Decreases Mitigation of target encounter vs noxious damage by 2327',0,2),
(143897,90008,10,100,'Inflicts 67 - 113 disease damage on target',0,0),
(143898,90008,10,100,'Decreases WIS of target by 30.2',0,1),
(143901,90010,10,100,'Inflicts 215 - 359 disease damage on target',0,0),
(143902,90010,10,100,'Decreases WIS of target by 84.2',0,1),
(143903,90011,10,100,'Inflicts 308 - 514 disease damage on target',0,0),
(143904,90011,10,100,'Decreases WIS of target by 112.4',0,1),
(143905,90012,10,100,'Inflicts 403 - 671 disease damage on target',0,0),
(143906,90012,10,100,'Decreases WIS of target by 141.4',0,1),
(143907,90013,10,100,'Inflicts 488 - 814 disease damage on target',0,0),
(143908,90013,10,100,'Decreases WIS of target by 169.1',0,1),
(143909,90014,10,100,'Inflicts 666 - 1110 disease damage on target',0,0),
(143910,90014,10,100,'Decreases WIS of target by 196.8',0,1),
(143911,90014,11,100,'Inflicts 801 - 1335 disease damage on target',0,0),
(143912,90014,11,100,'Decreases WIS of target by 236.6',0,1),
(143913,90015,1,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(143914,90015,1,100,'Increases bleedthrough on target by 30%.',0,4),
(143915,90015,2,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(143916,90015,2,100,'Increases bleedthrough on target by 30%.',0,4),
(143917,90015,3,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(143918,90015,3,100,'Increases bleedthrough on target by 30%.',0,4),
(143919,90015,4,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(143920,90015,4,100,'Increases bleedthrough on target by 30%.',0,4),
(143921,90015,5,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(143922,90015,5,100,'Increases bleedthrough on target by 30%.',0,4),
(143923,90015,7,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(143924,90015,7,100,'Increases bleedthrough on target by 30%.',0,4),
(143925,90015,9,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(143926,90015,9,100,'Increases bleedthrough on target by 30%.',0,4),
(143927,90015,10,100,'Increases STR of caster by 33.3',0,0),
(143928,90015,10,100,'Decreases Defense of caster by 1.8',0,1),
(143929,90015,10,100,'Increases Slashing, Piercing, Crushing and Disruption of caster by 4.5',0,2),
(143930,90015,10,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(143931,90015,10,100,'Increases bleedthrough on target by 30%.',0,4),
(143932,90016,1,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(143933,90016,1,100,'Increases the amount of Potency gained by 20%',0,4),
(143934,90016,2,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(143935,90016,2,100,'Increases the amount of Potency gained by 20%',0,4),
(143936,90016,3,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(143937,90016,3,100,'Increases the amount of Potency gained by 20%',0,4),
(143938,90016,4,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(143939,90016,4,100,'Increases the amount of Potency gained by 20%',0,4),
(143940,90016,5,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(143941,90016,5,100,'Increases the amount of Potency gained by 20%',0,4),
(143942,90016,7,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(143943,90016,7,100,'Increases the amount of Potency gained by 20%',0,4),
(143944,90016,9,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(143945,90016,9,100,'Increases the amount of Potency gained by 20%',0,4),
(143946,90016,10,100,'Increases STR of caster by 66.5',0,0),
(143947,90016,10,100,'Decreases Defense of caster by 4.8',0,1),
(143948,90016,10,100,'Increases Slashing, Piercing, Crushing and Disruption of caster by 12.1',0,2),
(143949,90016,10,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(143950,90016,10,100,'Increases the amount of Potency gained by 20%',0,4),
(143951,90017,1,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(143952,90017,1,100,'Increases the amount of Potency gained by 20%',0,4),
(143953,90017,2,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(143954,90017,2,100,'Increases the amount of Potency gained by 20%',0,4),
(143955,90017,3,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(143956,90017,3,100,'Increases the amount of Potency gained by 20%',0,4),
(143957,90017,4,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(143958,90017,4,100,'Increases the amount of Potency gained by 20%',0,4),
(143959,90017,5,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(143960,90017,5,100,'Increases the amount of Potency gained by 20%',0,4),
(143961,90017,7,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(143962,90017,7,100,'Increases the amount of Potency gained by 20%',0,4),
(143963,90017,9,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(143964,90017,9,100,'Increases the amount of Potency gained by 20%',0,4),
(143965,90017,10,100,'Increases STR of caster by 124.0',0,0),
(143966,90017,10,100,'Decreases Defense of caster by 9.6',0,1),
(143967,90017,10,100,'Increases Slashing, Piercing, Crushing and Disruption of caster by 24.2',0,2),
(143968,90017,10,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(143969,90017,10,100,'Increases the amount of Potency gained by 20%',0,4),
(143970,90018,1,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(143971,90018,1,100,'Increases the amount of Potency gained by 20%',0,4),
(143972,90018,2,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(143973,90018,2,100,'Increases the amount of Potency gained by 20%',0,4),
(143974,90018,3,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(143975,90018,3,100,'Increases the amount of Potency gained by 20%',0,4),
(143976,90018,4,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(143977,90018,4,100,'Increases the amount of Potency gained by 20%',0,4),
(143978,90018,5,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(143979,90018,5,100,'Increases the amount of Potency gained by 20%',0,4),
(143980,90018,7,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(143981,90018,7,100,'Increases the amount of Potency gained by 20%',0,4),
(143982,90018,9,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(143983,90018,9,100,'Increases the amount of Potency gained by 20%',0,4),
(143984,90018,10,100,'Increases STR of caster by 180.4',0,0),
(143985,90018,10,100,'Decreases Defense of caster by 13.8',0,1),
(143986,90018,10,100,'Increases Slashing, Piercing, Crushing and Disruption of caster by 34.8',0,2),
(143987,90018,10,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(143988,90018,10,100,'Increases the amount of Potency gained by 20%',0,4),
(143989,90019,1,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(143990,90019,1,100,'Increases the amount of Potency gained by 20%',0,4),
(143991,90019,2,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(143992,90019,2,100,'Increases the amount of Potency gained by 20%',0,4),
(143993,90019,3,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(143994,90019,3,100,'Increases the amount of Potency gained by 20%',0,4),
(143995,90019,4,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(143996,90019,4,100,'Increases the amount of Potency gained by 20%',0,4),
(143997,90019,5,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(143998,90019,5,100,'Increases the amount of Potency gained by 20%',0,4),
(143999,90019,7,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(144000,90019,7,100,'Increases the amount of Potency gained by 20%',0,4),
(144001,90019,9,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(144002,90019,9,100,'Increases the amount of Potency gained by 20%',0,4),
(144003,90019,10,100,'Increases STR of caster by 236.9',0,0),
(144004,90019,10,100,'Decreases Defense of caster by 18.0',0,1),
(144005,90019,10,100,'Increases Slashing, Piercing, Crushing and Disruption of caster by 45.4',0,2),
(144006,90019,10,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(144007,90019,10,100,'Increases the amount of Potency gained by 20%',0,4),
(144008,90020,1,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(144009,90020,1,100,'Increases the amount of Potency gained by 20%',0,4),
(144010,90020,2,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(144011,90020,2,100,'Increases the amount of Potency gained by 20%',0,4),
(144012,90020,3,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(144013,90020,3,100,'Increases the amount of Potency gained by 20%',0,4),
(144014,90020,4,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(144015,90020,4,100,'Increases the amount of Potency gained by 20%',0,4),
(144016,90020,5,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(144017,90020,5,100,'Increases the amount of Potency gained by 20%',0,4),
(144018,90020,7,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(144019,90020,7,100,'Increases the amount of Potency gained by 20%',0,4),
(144020,90020,9,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(144021,90020,9,100,'Increases the amount of Potency gained by 20%',0,4),
(144022,90020,10,100,'Increases STR of caster by 293.8',0,0),
(144023,90020,10,100,'Decreases Defense of caster by 22.2',0,1),
(144024,90020,10,100,'Increases Slashing, Piercing, Crushing and Disruption of caster by 55.9',0,2),
(144025,90020,10,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(144026,90020,10,100,'Increases the amount of Potency gained by 20%',0,4),
(144027,90021,1,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(144028,90021,1,100,'Increases the amount of Potency gained by 20%',0,4),
(144029,90021,4,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(144030,90021,4,100,'Increases the amount of Potency gained by 20%',0,4),
(144031,90021,5,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(144032,90021,5,100,'Increases the amount of Potency gained by 20%',0,4),
(144033,90021,7,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(144034,90021,7,100,'Increases the amount of Potency gained by 20%',0,4),
(144035,90021,9,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(144036,90021,9,100,'Increases the amount of Potency gained by 20%',0,4),
(144037,90021,10,100,'Increases STR of caster by 349.3',0,0),
(144038,90021,10,100,'Decreases Defense of caster by 26.2',0,1),
(144039,90021,10,100,'Increases Slashing, Piercing, Crushing and Disruption of caster by 66.8',0,2),
(144040,90021,10,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(144041,90021,10,100,'Increases the amount of Potency gained by 20%',0,4),
(144042,90022,1,100,'Increases Slashing, Piercing, Crushing and Disruption of caster by 42.5',0,3),
(144043,90022,1,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,4),
(144044,90022,1,100,'Increases the amount of Potency gained by 20%',0,5),
(144045,90022,4,100,'Increases Slashing, Piercing, Crushing and Disruption of caster by 52.0',0,3),
(144046,90022,4,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,4),
(144047,90022,4,100,'Increases the amount of Potency gained by 20%',0,5),
(144048,90022,5,100,'Increases Slashing, Piercing, Crushing and Disruption of caster by 56.7',0,3),
(144049,90022,5,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,4),
(144050,90022,5,100,'Increases the amount of Potency gained by 20%',0,5),
(144051,90022,7,100,'Increases Slashing, Piercing, Crushing and Disruption of caster by 72.8',0,3),
(144052,90022,7,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,4),
(144053,90022,7,100,'Increases the amount of Potency gained by 20%',0,5),
(144054,90022,9,100,'Increases Slashing, Piercing, Crushing and Disruption of caster by 75.6',0,3),
(144055,90022,9,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,4),
(144056,90022,9,100,'Increases the amount of Potency gained by 20%',0,5),
(144057,90022,10,100,'Increases STR of caster by 404.7',0,0),
(144058,90022,10,100,'Increases Potency of caster by 2.7%',0,1),
(144059,90022,10,100,'Decreases Defense of caster by 30.2',0,2),
(144060,90022,10,100,'Increases Slashing, Piercing, Crushing and Disruption of caster by 79.4',0,3),
(144061,90022,10,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,4),
(144062,90022,10,100,'Increases the amount of Potency gained by 20%',0,5),
(144063,90022,11,100,'Increases STR of caster by 486.6',0,0),
(144064,90022,11,100,'Increases Potency of caster by 3.2%',0,1),
(144065,90022,11,100,'Decreases Defense of caster by 30.2',0,2),
(144066,90022,11,100,'Increases Slashing, Piercing, Crushing and Disruption of caster by 95.4',0,3),
(144067,90022,11,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,4),
(144068,90022,11,100,'Increases the amount of Potency gained by 20%',0,5),
(144069,90023,10,100,'Applies On the March.  Lasts for 10.0 seconds.',0,0),
(144070,90023,10,100,'Increases INT of group members (AE) by 190.7',1,1),
(144071,90023,10,100,'Increases Ability Casting Speed of group members (AE) by 65.9%',1,2),
(144072,90023,10,100,'Increases Multi Attack of group members (AE) by 65.9',1,3),
(144073,90023,10,100,'Makes group members (AE) immune to Root, Stifle, Stun, Fear and Daze effects',1,4),
(144074,90023,10,100,'On a kill this spell will cast On the March on target.  Lasts for 10.0 seconds.  ',0,5),
(144075,90023,10,100,'Increases INT of group members (AE) by 190.7',1,6),
(144076,90023,10,100,'Increases Ability Casting Speed of group members (AE) by 65.9%',1,7),
(144077,90023,10,100,'Increases Multi Attack of group members (AE) by 65.9',1,8),
(144078,90023,10,100,'Makes group members (AE) immune to Root, Stifle, Stun, Fear and Daze effects',1,9),
(144079,90024,10,100,'Grants target a 26% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(144080,90024,10,100,'Increases Parry of caster by 5.3',0,1),
(144081,90026,10,100,'Grants target a 47% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(144082,90026,10,100,'Increases Parry of caster by 11.6',0,1),
(144083,90027,10,100,'Grants target a 57% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(144084,90027,10,100,'Increases Parry of caster by 15.1',0,1),
(144085,90028,10,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(144086,90028,10,100,'Throws target back',1,1),
(144087,90028,10,100,'Blurs vision of target',1,2),
(144088,90028,10,100,'Stuns target',1,3),
(144089,90028,10,100,'Does not affect Epic targets',1,4),
(144090,90028,10,100,'Inflicts 25 - 42 disease damage on target',0,5),
(144091,90028,10,100,'Increases Threat to target by 933  instantly and by 386  every 3 seconds thereafter',0,6),
(144092,90029,10,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(144093,90029,10,100,'Throws target back',1,1),
(144094,90029,10,100,'Blurs vision of target',1,2),
(144095,90029,10,100,'Stuns target',1,3),
(144096,90029,10,100,'Does not affect Epic targets',1,4),
(144097,90029,10,100,'Inflicts 54 - 90 disease damage on target',0,5),
(144098,90029,10,100,'Increases Threat to target by 1,719  instantly and by 851  every 3 seconds thereafter',0,6),
(144099,90030,10,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(144100,90030,10,100,'Throws target back',1,1),
(144101,90030,10,100,'Blurs vision of target',1,2),
(144102,90030,10,100,'Stuns target',1,3),
(144103,90030,10,100,'Does not affect Epic targets',1,4),
(144104,90030,10,100,'Inflicts 86 - 144 disease damage on target',0,5),
(144105,90030,10,100,'Increases Threat to target by 2,473  instantly and by 1,342  every 3 seconds thereafter',0,6),
(144106,90031,10,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(144107,90031,10,100,'Throws target back',1,1),
(144108,90031,10,100,'Blurs vision of target',1,2),
(144109,90031,10,100,'Stuns target',1,3),
(144110,90031,10,100,'Does not affect Epic targets',1,4),
(144111,90031,10,100,'Inflicts 126 - 211 disease damage on target',0,5),
(144112,90031,10,100,'Increases Threat to target by 3,434  instantly and by 1,742  every 3 seconds thereafter',0,6),
(144113,90032,10,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(144114,90032,10,100,'Throws target back',1,1),
(144115,90032,10,100,'Blurs vision of target',1,2),
(144116,90032,10,100,'Stuns target',1,3),
(144117,90032,10,100,'Does not affect Epic targets',1,4),
(144118,90032,10,100,'Inflicts 166 - 277 disease damage on target',0,5),
(144119,90032,10,100,'Increases Threat to target by 4,441  instantly and by 2,161  every 3 seconds thereafter',0,6),
(144120,90033,10,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(144121,90033,10,100,'Throws target back',1,1),
(144122,90033,10,100,'Blurs vision of target',1,2),
(144123,90033,10,100,'Stuns target',1,3),
(144124,90033,10,100,'Does not affect Epic targets',1,4),
(144125,90033,10,100,'Inflicts 201 - 335 disease damage on target',0,5),
(144126,90033,10,100,'Increases Threat to target by 5,423  instantly and by 2,570  every 3 seconds thereafter',0,6),
(144127,90034,10,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(144128,90034,10,100,'Throws target back',1,1),
(144129,90034,10,100,'Blurs vision of target',1,2),
(144130,90034,10,100,'Stuns target',1,3),
(144131,90034,10,100,'Does not affect Epic targets',1,4),
(144132,90034,10,100,'Inflicts 242 - 404 disease damage on target',0,5),
(144133,90034,10,100,'Increases Threat to target by 6,433  instantly and by 2,991  every 3 seconds thereafter',0,6),
(144134,90035,10,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(144135,90035,10,100,'Throws target back',1,1),
(144136,90035,10,100,'Blurs vision of target',1,2),
(144137,90035,10,100,'Stuns target',1,3),
(144138,90035,10,100,'Does not affect Epic targets',1,4),
(144139,90035,10,100,'Inflicts 260 - 433 disease damage on target',0,5),
(144140,90035,10,100,'Increases Threat to target by 7,443  instantly and by 3,411  every 3 seconds thereafter',0,6),
(144141,90035,11,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(144142,90035,11,100,'Throws target back',1,1),
(144143,90035,11,100,'Blurs vision of target',1,2),
(144144,90035,11,100,'Stuns target',1,3),
(144145,90035,11,100,'Does not affect Epic targets',1,4),
(144146,90035,11,100,'Inflicts 313 - 521 disease damage on target',0,5),
(144147,90035,11,100,'Increases Threat to target by 8,840  instantly and by 3,991  every 3 seconds thereafter',0,6),
(144148,90036,10,100,'Reduces physical damage done to caster by 5%',0,0),
(144149,90036,10,100,'Increases STA of caster by 22.2',0,1),
(144150,90036,10,100,'Adds 5.2% to base avoidance.',0,2),
(144151,90036,10,100,'Decreases Slashing, Piercing and Crushing of caster by 1.4',0,3),
(144152,90036,10,100,'Increases Defense and Aggression of caster by 3.0',0,4),
(144153,90036,10,100,'Increases Mitigation of caster vs noxious damage by 258',0,5),
(144154,90036,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(144155,90036,11,100,'Reduces physical damage done to caster by 5%',0,0),
(144156,90036,11,100,'Increases STA of caster by 26.7',0,1),
(144157,90036,11,100,'Adds 6.3% to base avoidance.',0,2),
(144158,90036,11,100,'Decreases Slashing, Piercing and Crushing of caster by 1.4',0,3),
(144159,90036,11,100,'Increases Defense and Aggression of caster by 3.6',0,4),
(144160,90036,11,100,'Increases Mitigation of caster vs noxious damage by 310',0,5),
(144161,90036,11,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(144162,90037,10,100,'Reduces physical damage done to caster by 5%',0,0),
(144163,90037,10,100,'Increases STA of caster by 44.4',0,1),
(144164,90037,10,100,'Adds 5.2% to base avoidance.',0,2),
(144165,90037,10,100,'Decreases Slashing, Piercing and Crushing of caster by 3.6',0,3),
(144166,90037,10,100,'Increases Defense and Aggression of caster by 8.1',0,4),
(144167,90037,10,100,'Increases Mitigation of caster vs noxious damage by 581',0,5),
(144168,90037,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(144169,90037,11,100,'Reduces physical damage done to caster by 5%',0,0),
(144170,90037,11,100,'Increases STA of caster by 53.3',0,1),
(144171,90037,11,100,'Adds 6.3% to base avoidance.',0,2),
(144172,90037,11,100,'Decreases Slashing, Piercing and Crushing of caster by 3.6',0,3),
(144173,90037,11,100,'Increases Defense and Aggression of caster by 9.7',0,4),
(144174,90037,11,100,'Increases Mitigation of caster vs noxious damage by 698',0,5),
(144175,90037,11,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(144176,90038,10,100,'Reduces physical damage done to caster by 5%',0,0),
(144177,90038,10,100,'Increases STA of caster by 77.3',0,1),
(144178,90038,10,100,'Adds 5.2% to base avoidance.',0,2),
(144179,90038,10,100,'Decreases Slashing, Piercing and Crushing of caster by 6.7',0,3),
(144180,90038,10,100,'Increases Defense and Aggression of caster by 15.1',0,4),
(144181,90038,10,100,'Increases Mitigation of caster vs noxious damage by 1008',0,5),
(144182,90038,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(144183,90038,11,100,'Reduces physical damage done to caster by 5%',0,0),
(144184,90038,11,100,'Increases STA of caster by 92.9',0,1),
(144185,90038,11,100,'Adds 6.3% to base avoidance.',0,2),
(144186,90038,11,100,'Decreases Slashing, Piercing and Crushing of caster by 6.7',0,3),
(144187,90038,11,100,'Increases Defense and Aggression of caster by 18.2',0,4),
(144188,90038,11,100,'Increases Mitigation of caster vs noxious damage by 1212',0,5),
(144189,90038,11,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(144190,90039,10,100,'Reduces physical damage done to caster by 5%',0,0),
(144191,90039,10,100,'Increases STA of caster by 114.9',0,1),
(144192,90039,10,100,'Adds 5.2% to base avoidance.',0,2),
(144193,90039,10,100,'Decreases Slashing, Piercing and Crushing of caster by 9.9',0,3),
(144194,90039,10,100,'Increases Defense and Aggression of caster by 22.2',0,4),
(144195,90039,10,100,'Increases Mitigation of caster vs noxious damage by 1478',0,5),
(144196,90039,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(144197,90039,11,100,'Reduces physical damage done to caster by 5%',0,0),
(144198,90039,11,100,'Increases STA of caster by 138.2',0,1),
(144199,90039,11,100,'Adds 6.3% to base avoidance.',0,2),
(144200,90039,11,100,'Decreases Slashing, Piercing and Crushing of caster by 9.9',0,3),
(144201,90039,11,100,'Increases Defense and Aggression of caster by 26.7',0,4),
(144202,90039,11,100,'Increases Mitigation of caster vs noxious damage by 1778',0,5),
(144203,90039,11,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(144204,90040,10,100,'Reduces physical damage done to caster by 5%',0,0),
(144205,90040,10,100,'Increases STA of caster by 152.5',0,1),
(144206,90040,10,100,'Adds 5.2% to base avoidance.',0,2),
(144207,90040,10,100,'Decreases Slashing, Piercing and Crushing of caster by 13.1',0,3),
(144208,90040,10,100,'Increases Defense and Aggression of caster by 29.2',0,4),
(144209,90040,10,100,'Increases Mitigation of caster vs noxious damage by 1949',0,5),
(144210,90040,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(144211,90040,11,100,'Reduces physical damage done to caster by 5%',0,0),
(144212,90040,11,100,'Increases STA of caster by 183.4',0,1),
(144213,90040,11,100,'Adds 6.3% to base avoidance.',0,2),
(144214,90040,11,100,'Decreases Slashing, Piercing and Crushing of caster by 13.1',0,3),
(144215,90040,11,100,'Increases Defense and Aggression of caster by 35.1',0,4),
(144216,90040,11,100,'Increases Mitigation of caster vs noxious damage by 2343',0,5),
(144217,90040,11,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(144218,90041,10,100,'Reduces physical damage done to caster by 5%',0,0),
(144219,90041,10,100,'Increases STA of caster by 192.2',0,1),
(144220,90041,10,100,'Adds 5.2% to base avoidance.',0,2),
(144221,90041,10,100,'Decreases Slashing, Piercing and Crushing of caster by 16.4',0,3),
(144222,90041,10,100,'Increases Defense and Aggression of caster by 36.6',0,4),
(144223,90041,10,100,'Increases Mitigation of caster vs noxious damage by 2540',0,5),
(144224,90041,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(144225,90041,11,100,'Reduces physical damage done to caster by 5%',0,0),
(144226,90041,11,100,'Increases STA of caster by 231.1',0,1),
(144227,90041,11,100,'Adds 6.3% to base avoidance.',0,2),
(144228,90041,11,100,'Decreases Slashing, Piercing and Crushing of caster by 16.4',0,3),
(144229,90041,11,100,'Increases Defense and Aggression of caster by 44.0',0,4),
(144230,90041,11,100,'Increases Mitigation of caster vs noxious damage by 3054',0,5),
(144231,90041,11,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(144232,90042,10,100,'Reduces physical damage done to caster by 5%',0,0),
(144233,90042,10,100,'Increases STA of caster by 229.2',0,1),
(144234,90042,10,100,'Adds 5.2% to base avoidance.',0,2),
(144235,90042,10,100,'Decreases Slashing, Piercing and Crushing of caster by 19.4',0,3),
(144236,90042,10,100,'Increases Defense and Aggression of caster by 43.7',0,4),
(144237,90042,10,100,'Increases Mitigation of caster vs noxious damage by 2921',0,5),
(144238,90042,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(144239,90042,11,100,'Reduces physical damage done to caster by 5%',0,0),
(144240,90042,11,100,'Increases STA of caster by 275.5',0,1),
(144241,90042,11,100,'Adds 6.3% to base avoidance.',0,2),
(144242,90042,11,100,'Decreases Slashing, Piercing and Crushing of caster by 19.4',0,3),
(144243,90042,11,100,'Increases Defense and Aggression of caster by 52.5',0,4),
(144244,90042,11,100,'Increases Mitigation of caster vs noxious damage by 3512',0,5),
(144245,90042,11,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(144246,90043,10,100,'Reduces physical damage done to caster by 5%',0,0),
(144247,90043,10,100,'Increases STA of caster by 266.1',0,1),
(144248,90043,10,100,'Adds 5.2% to base avoidance.',0,2),
(144249,90043,10,100,'Decreases Slashing, Piercing and Crushing of caster by 22.4',0,3),
(144250,90043,10,100,'Increases Defense and Aggression of caster by 52.1',0,4),
(144251,90043,10,100,'Increases Mitigation of caster vs noxious damage by 3400',0,5),
(144252,90043,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(144253,90043,11,100,'Reduces physical damage done to caster by 5%',0,0),
(144254,90043,11,100,'Increases STA of caster by 320.0',0,1),
(144255,90043,11,100,'Adds 6.3% to base avoidance.',0,2),
(144256,90043,11,100,'Decreases Slashing, Piercing and Crushing of caster by 22.4',0,3),
(144257,90043,11,100,'Increases Defense and Aggression of caster by 62.6',0,4),
(144258,90043,11,100,'Increases Mitigation of caster vs noxious damage by 4088',0,5),
(144259,90043,11,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(144260,90044,10,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,0),
(144261,90044,10,100,'Heals caster for 4 instantly and every 3 seconds',1,1),
(144263,90044,10,100,'This effect cannot be critically applied.',2,2),
(144264,90044,10,100,'Inflicts 5 - 9 melee damage on target',0,3),
(144265,90044,10,100,'Inflicts 2 disease damage on target every 3 seconds',0,4),
(144266,90045,10,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,0),
(144267,90045,10,100,'Heals caster for 12 instantly and every 3 seconds',1,1),
(144268,90045,10,100,'This effect cannot be critically applied.',2,2),
(144269,90045,10,100,'Inflicts 14 - 23 melee damage on target',0,3),
(144270,90045,10,100,'Inflicts 4 disease damage on target every 3 seconds',0,4),
(144271,90046,10,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,0),
(144272,90046,10,100,'Heals caster for 2.0% of max health instantly and every 3 seconds',1,1),
(144273,90046,10,100,'This effect cannot be critically applied.',2,2),
(144274,90046,10,100,'Inflicts 68 - 114 melee damage on target',0,3),
(144275,90046,10,100,'Inflicts 18 disease damage on target every 3 seconds',0,4),
(144276,90047,10,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,0),
(144277,90047,10,100,'Heals caster for 2.0% of max health instantly and every 3 seconds',1,1),
(144278,90047,10,100,'This effect cannot be critically applied.',2,2),
(144279,90047,10,100,'Inflicts 107 - 179 melee damage on target',0,3),
(144280,90047,10,100,'Inflicts 29 disease damage on target every 3 seconds',0,4),
(144281,90048,10,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,0),
(144282,90048,10,100,'Heals caster for 2.0% of max health instantly and every 3 seconds',1,1),
(144283,90048,10,100,'This effect cannot be critically applied.',2,2),
(144284,90048,10,100,'Inflicts 154 - 257 melee damage on target',0,3),
(144285,90048,10,100,'Inflicts 41 disease damage on target every 3 seconds',0,4),
(144286,90049,10,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,0),
(144287,90049,10,100,'Heals caster for 2.0% of max health instantly and every 3 seconds',1,1),
(144288,90049,10,100,'This effect cannot be critically applied.',2,2),
(144289,90049,10,100,'Inflicts 201 - 335 melee damage on target',0,3),
(144290,90049,10,100,'Inflicts 54 disease damage on target every 3 seconds',0,4),
(144291,90050,10,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,0),
(144292,90050,10,100,'Heals caster for 2.0% of max health instantly and every 3 seconds',1,1),
(144293,90050,10,100,'This effect cannot be critically applied.',2,2),
(144294,90050,10,100,'Inflicts 244 - 407 melee damage on target',0,3),
(144295,90050,10,100,'Inflicts 65 disease damage on target every 3 seconds',0,4),
(144296,90051,10,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,0),
(144297,90051,10,100,'Heals caster for 2.0% of max health instantly and every 3 seconds',1,1),
(144298,90051,10,100,'This effect cannot be critically applied.',2,2),
(144299,90051,10,100,'Inflicts 289 - 482 melee damage on target',0,3),
(144300,90051,10,100,'Inflicts 77 disease damage on target every 3 seconds',0,4),
(144301,90051,11,100,'Applies Painbringer.  Lasts for 9.0 seconds.',0,0),
(144302,90051,11,100,'Heals caster for 2.4% of max health instantly and every 3 seconds',1,1),
(144303,90051,11,100,'This effect cannot be critically applied.',2,2),
(144304,90051,11,100,'Inflicts 348 - 580 melee damage on target',0,3),
(144305,90051,11,100,'Inflicts 93 disease damage on target every 3 seconds',0,4),
(144306,90052,10,100,'Applies Life Draw on termination.',0,0),
(144307,90052,10,100,'Inflicts 86 - 144 disease damage on target',1,1),
(144308,90052,10,100,'Heals caster for 1.8 - 2.2% of max health',1,2),
(144309,90052,10,100,'This effect cannot be critically applied.',2,3),
(144310,90052,10,100,'Inflicts 25 - 41 disease damage on target',0,4),
(144311,90052,11,100,'Applies Life Draw on termination.',0,0),
(144312,90052,11,100,'Inflicts 104 - 173 disease damage on target',1,1),
(144313,90052,11,100,'Heals caster for 2.2 - 2.7% of max health',1,2),
(144314,90052,11,100,'This effect cannot be critically applied.',2,3),
(144315,90052,11,100,'Inflicts 30 - 50 disease damage on target',0,4),
(144316,90053,10,100,'Applies Life Draw on termination.',0,0),
(144317,90053,10,100,'Inflicts 200 - 333 disease damage on target',1,1),
(144318,90053,10,100,'Heals caster for 1.9 - 2.3% of max health',1,2),
(144319,90053,10,100,'This effect cannot be critically applied.',2,3),
(144320,90053,10,100,'Inflicts 58 - 97 disease damage on target',0,4),
(144321,90053,11,100,'Applies Life Draw on termination.',0,0),
(144322,90053,11,100,'Inflicts 240 - 400 disease damage on target',1,1),
(144323,90053,11,100,'Heals caster for 2.3 - 2.8% of max health',1,2),
(144324,90053,11,100,'This effect cannot be critically applied.',2,3),
(144325,90053,11,100,'Inflicts 70 - 116 disease damage on target',0,4),
(144326,90054,10,100,'Applies Life Draw on termination.',0,0),
(144327,90054,10,100,'Inflicts 327 - 545 disease damage on target',1,1),
(144328,90054,10,100,'Heals caster for 2.0 - 2.4% of max health',1,2),
(144329,90054,10,100,'This effect cannot be critically applied.',2,3),
(144330,90054,10,100,'Inflicts 95 - 158 disease damage on target',0,4),
(144331,90054,11,100,'Applies Life Draw on termination.',0,0),
(144332,90054,11,100,'Inflicts 393 - 655 disease damage on target',1,1),
(144333,90054,11,100,'Heals caster for 2.4 - 2.9% of max health',1,2),
(144334,90054,11,100,'This effect cannot be critically applied.',2,3),
(144335,90054,11,100,'Inflicts 114 - 191 disease damage on target',0,4),
(144336,90055,10,100,'Applies Life Draw on termination.',0,0),
(144337,90055,10,100,'Inflicts 484 - 806 disease damage on target',1,1),
(144338,90055,10,100,'Heals caster for 2.1 - 2.6% of max health',1,2),
(144339,90055,10,100,'This effect cannot be critically applied.',2,3),
(144340,90055,10,100,'Inflicts 141 - 235 disease damage on target',0,4),
(144341,90055,11,100,'Applies Life Draw on termination.',0,0),
(144342,90055,11,100,'Inflicts 582 - 969 disease damage on target',1,1),
(144343,90055,11,100,'Heals caster for 2.5 - 3.1% of max health',1,2),
(144344,90055,11,100,'This effect cannot be critically applied.',2,3),
(144345,90055,11,100,'Inflicts 169 - 282 disease damage on target',0,4),
(144346,90056,10,100,'Applies Life Draw on termination.',0,0),
(144347,90056,10,100,'Inflicts 643 - 1071 disease damage on target',1,1),
(144348,90056,10,100,'Heals caster for 2.2 - 2.7% of max health',1,2),
(144349,90056,10,100,'This effect cannot be critically applied.',2,3),
(144350,90056,10,100,'Inflicts 187 - 312 disease damage on target',0,4),
(144351,90056,11,100,'Applies Life Draw on termination.',0,0),
(144352,90056,11,100,'Inflicts 773 - 1288 disease damage on target',1,1),
(144353,90056,11,100,'Heals caster for 2.6 - 3.2% of max health',1,2),
(144354,90056,11,100,'This effect cannot be critically applied.',2,3),
(144355,90056,11,100,'Inflicts 225 - 375 disease damage on target',0,4),
(144356,90057,10,100,'Applies Life Draw on termination.',0,0),
(144357,90057,10,100,'Inflicts 778 - 1296 disease damage on target',1,1),
(144358,90057,10,100,'Heals caster for 2.3 - 2.8% of max health',1,2),
(144359,90057,10,100,'This effect cannot be critically applied.',2,3),
(144360,90057,10,100,'Inflicts 226 - 377 disease damage on target',0,4),
(144361,90057,11,100,'Applies Life Draw on termination.',0,0),
(144362,90057,11,100,'Inflicts 935 - 1558 disease damage on target',1,1),
(144363,90057,11,100,'Heals caster for 2.8 - 3.4% of max health',1,2),
(144364,90057,11,100,'This effect cannot be critically applied.',2,3),
(144365,90057,11,100,'Inflicts 272 - 454 disease damage on target',0,4),
(144366,90058,10,100,'Applies Life Draw on termination.',0,0),
(144367,90058,10,100,'Inflicts 937 - 1562 disease damage on target',1,1),
(144368,90058,10,100,'Heals caster for 2.4 - 2.9% of max health',1,2),
(144369,90058,10,100,'This effect cannot be critically applied.',2,3),
(144370,90058,10,100,'Inflicts 273 - 455 disease damage on target',0,4),
(144371,90058,11,100,'Applies Life Draw on termination.',0,0),
(144372,90058,11,100,'Inflicts 1127 - 1878 disease damage on target',1,1),
(144373,90058,11,100,'Heals caster for 2.9 - 3.5% of max health',1,2),
(144374,90058,11,100,'This effect cannot be critically applied.',2,3),
(144375,90058,11,100,'Inflicts 328 - 547 disease damage on target',0,4),
(144376,90059,10,100,'Applies Life Draw on termination.',0,0),
(144377,90059,10,100,'Inflicts 1029 - 1716 disease damage on target',1,1),
(144378,90059,10,100,'Heals caster for 2.5 - 3.0% of max health',1,2),
(144379,90059,10,100,'This effect cannot be critically applied.',2,3),
(144380,90059,10,100,'Inflicts 345 - 575 disease damage on target',0,4),
(144381,90059,11,100,'Applies Life Draw on termination.',0,0),
(144382,90059,11,100,'Inflicts 1238 - 2063 disease damage on target',1,1),
(144383,90059,11,100,'Heals caster for 3.0 - 3.6% of max health',1,2),
(144384,90059,11,100,'This effect cannot be critically applied.',2,3),
(144385,90059,11,100,'Inflicts 415 - 691 disease damage on target',0,4),
(144386,90060,10,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(144387,90060,10,100,'Throws target back',1,1),
(144388,90060,10,100,'Blurs vision of target',1,2),
(144389,90060,10,100,'Stuns target',1,3),
(144390,90060,10,100,'Does not affect Epic targets',1,4),
(144391,90060,10,100,'Inflicts 13 - 22 piercing damage on target',0,5),
(144392,90061,10,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(144393,90061,10,100,'Throws target back',1,1),
(144394,90061,10,100,'Blurs vision of target',1,2),
(144395,90061,10,100,'Stuns target',1,3),
(144396,90061,10,100,'Does not affect Epic targets',1,4),
(144397,90061,10,100,'Inflicts 48 - 81 piercing damage on target',0,5),
(144398,90062,10,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(144399,90062,10,100,'Throws target back',1,1),
(144400,90062,10,100,'Blurs vision of target',1,2),
(144401,90062,10,100,'Stuns target',1,3),
(144402,90062,10,100,'Does not affect Epic targets',1,4),
(144403,90062,10,100,'Inflicts 90 - 151 piercing damage on target',0,5),
(144404,90063,10,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(144405,90063,10,100,'Throws target back',1,1),
(144406,90063,10,100,'Blurs vision of target',1,2),
(144407,90063,10,100,'Stuns target',1,3),
(144408,90063,10,100,'Does not affect Epic targets',1,4),
(144409,90063,10,100,'Inflicts 138 - 230 piercing damage on target',0,5),
(144410,90064,10,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(144411,90064,10,100,'Throws target back',1,1),
(144412,90064,10,100,'Blurs vision of target',1,2),
(144413,90064,10,100,'Stuns target',1,3),
(144414,90064,10,100,'Does not affect Epic targets',1,4),
(144415,90064,10,100,'Inflicts 191 - 319 piercing damage on target',0,5),
(144416,90065,10,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(144417,90065,10,100,'Throws target back',1,1),
(144418,90065,10,100,'Blurs vision of target',1,2),
(144419,90065,10,100,'Stuns target',1,3),
(144420,90065,10,100,'Does not affect Epic targets',1,4),
(144421,90065,10,100,'Inflicts 244 - 407 piercing damage on target',0,5),
(144422,90066,10,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(144423,90066,10,100,'Throws target back',1,1),
(144424,90066,10,100,'Blurs vision of target',1,2),
(144425,90066,10,100,'Stuns target',1,3),
(144426,90066,10,100,'Does not affect Epic targets',1,4),
(144427,90066,10,100,'Inflicts 295 - 492 piercing damage on target',0,5),
(144428,90067,10,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(144429,90067,10,100,'Throws target back',1,1),
(144430,90067,10,100,'Blurs vision of target',1,2),
(144431,90067,10,100,'Stuns target',1,3),
(144432,90067,10,100,'Does not affect Epic targets',1,4),
(144433,90067,10,100,'Inflicts 337 - 561 piercing damage on target',0,5),
(144434,90067,11,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(144435,90067,11,100,'Throws target back',1,1),
(144436,90067,11,100,'Blurs vision of target',1,2),
(144437,90067,11,100,'Stuns target',1,3),
(144438,90067,11,100,'Does not affect Epic targets',1,4),
(144439,90067,11,100,'Inflicts 405 - 675 piercing damage on target',0,5),
(144440,90068,10,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(144441,90068,10,100,'Inflicts 21 - 35 disease damage on target',1,1),
(144442,90068,10,100,'Heals caster for 2.3 - 2.8% of max health',1,2),
(144443,90068,10,100,'This effect cannot be critically applied.',2,3),
(144444,90069,10,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(144445,90069,10,100,'Inflicts 53 - 88 disease damage on target',1,1),
(144446,90069,10,100,'Heals caster for 2.3 - 2.8% of max health',1,2),
(144447,90069,10,100,'This effect cannot be critically applied.',2,3),
(144448,90070,10,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(144449,90070,10,100,'Inflicts 90 - 150 disease damage on target',1,1),
(144450,90070,10,100,'Heals caster for 2.4 - 2.9% of max health',1,2),
(144451,90070,10,100,'This effect cannot be critically applied.',2,3),
(144452,90071,10,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(144453,90071,10,100,'Inflicts 134 - 224 disease damage on target',1,1),
(144454,90071,10,100,'Heals caster for 2.4 - 3.0% of max health',1,2),
(144455,90071,10,100,'This effect cannot be critically applied.',2,3),
(144456,90072,10,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(144457,90072,10,100,'Inflicts 181 - 301 disease damage on target',1,1),
(144458,90072,10,100,'Heals caster for 2.5 - 3.0% of max health',1,2),
(144459,90072,10,100,'This effect cannot be critically applied.',2,3),
(144460,90073,10,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(144461,90073,10,100,'Inflicts 223 - 371 disease damage on target',1,1),
(144462,90073,10,100,'Heals caster for 2.5 - 3.0% of max health',1,2),
(144463,90073,10,100,'This effect cannot be critically applied.',2,3),
(144464,90074,10,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(144465,90074,10,100,'Inflicts 269 - 448 disease damage on target',1,1),
(144466,90074,10,100,'Heals caster for 2.5 - 3.1% of max health',1,2),
(144467,90074,10,100,'This effect cannot be critically applied.',2,3),
(144468,90075,10,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(144469,90075,10,100,'Inflicts 299 - 498 disease damage on target',1,1),
(144470,90075,10,100,'Heals caster for 2.6 - 3.1% of max health',1,2),
(144471,90075,10,100,'This effect cannot be critically applied.',2,3),
(144472,90075,11,100,'On a hit this spell may cast Unholy Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(144473,90075,11,100,'Inflicts 359 - 598 disease damage on target',1,1),
(144474,90075,11,100,'Heals caster for 3.1 - 3.8% of max health',1,2),
(144475,90075,11,100,'This effect cannot be critically applied.',2,3),
(144476,90076,10,100,'On death this spell will cast Bloodletter on target.  ',0,0),
(144477,90076,10,100,'Heals caster for 100.0% of max health',1,1),
(144478,90076,10,100,'This effect cannot be critically applied.',2,2),
(144479,90076,10,100,'Grants a total of 1 trigger of the spell.',1,3),
(144480,90076,10,100,'Does not trigger if a priest has a death prevention spell on the shadowknight',0,4),
(144481,90078,10,100,'Inflicts 94 - 283 disease damage on targets in Area of Effect',0,0),
(144483,90079,10,100,'Inflicts 169 - 282 disease damage on targets in Area of Effect',0,0),
(144484,90079,10,100,'Inflicts 73 - 89 disease damage on targets in Area of Effect every 6 seconds',0,1),
(144485,90080,10,100,'Inflicts 255 - 426 disease damage on targets in Area of Effect',0,0),
(144486,90080,10,100,'Inflicts 110 - 134 disease damage on targets in Area of Effect every 6 seconds',0,1),
(144487,90081,10,100,'Inflicts 348 - 580 disease damage on targets in Area of Effect',0,0),
(144488,90081,10,100,'Inflicts 149 - 183 disease damage on targets in Area of Effect every 6 seconds',0,1),
(144489,90082,10,100,'Inflicts 436 - 727 disease damage on targets in Area of Effect',0,0),
(144490,90082,10,100,'Inflicts 187 - 229 disease damage on targets in Area of Effect every 6 seconds',0,1),
(144491,90083,10,100,'Inflicts 527 - 878 disease damage on targets in Area of Effect',0,0),
(144492,90083,10,100,'Inflicts 226 - 276 disease damage on targets in Area of Effect every 6 seconds',0,1),
(144493,90084,10,100,'Inflicts 682 - 1137 disease damage on targets in Area of Effect',0,0),
(144494,90084,10,100,'Inflicts 254 - 311 disease damage on targets in Area of Effect every 6 seconds',0,1),
(144495,90084,11,100,'Inflicts 820 - 1367 disease damage on targets in Area of Effect',0,0),
(144496,90084,11,100,'Inflicts 306 - 374 disease damage on targets in Area of Effect every 6 seconds',0,1),
(144497,90085,10,100,'Inflicts 182 - 222 disease damage on target',0,0),
(144498,90085,10,100,'Heals caster for 6.4 - 7.8% of max health',0,1),
(144499,90085,10,100,'This effect cannot be critically applied.',1,2),
(144500,90087,10,100,'Inflicts 414 - 506 disease damage on target',0,0),
(144501,90087,10,100,'Heals caster for 6.9 - 8.5% of max health',0,1),
(144502,90087,10,100,'This effect cannot be critically applied.',1,2),
(144503,90088,10,100,'Inflicts 541 - 662 disease damage on target',0,0),
(144504,90088,10,100,'Heals caster for 7.4 - 9.0% of max health',0,1),
(144505,90088,10,100,'This effect cannot be critically applied.',1,2),
(144506,90089,10,100,'Inflicts 657 - 802 disease damage on target',0,0),
(144507,90089,10,100,'Heals caster for 7.6 - 9.3% of max health',0,1),
(144508,90089,10,100,'This effect cannot be critically applied.',1,2),
(144509,90090,10,100,'Inflicts 790 - 965 disease damage on target',0,0),
(144510,90090,10,100,'Heals caster for 7.9 - 9.6% of max health',0,1),
(144511,90090,10,100,'This effect cannot be critically applied.',1,2),
(144512,90091,10,100,'Inflicts 838 - 1024 disease damage on target',0,0),
(144513,90091,10,100,'Heals caster for 8.3 - 10.2% of max health',0,1),
(144514,90091,10,100,'This effect cannot be critically applied.',1,2),
(144515,90091,11,100,'Inflicts 1008 - 1232 disease damage on target',0,0),
(144516,90091,11,100,'Heals caster for 10.0 - 12.2% of max health',0,1),
(144517,90091,11,100,'This effect cannot be critically applied.',1,2),
(144518,90092,10,100,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',0,0),
(144519,90092,10,100,'Increases Mitigation of caster vs physical damage by 252',1,1),
(144520,90092,10,100,'Decreases Mitigation of target encounter vs physical damage by 1260',0,2),
(144521,90093,10,100,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',0,0),
(144522,90093,10,100,'Increases Mitigation of caster vs physical damage by 353',1,1),
(144523,90093,10,100,'Decreases Mitigation of target encounter vs physical damage by 1764',0,2),
(144524,90094,10,100,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',0,0),
(144525,90094,10,100,'Increases Mitigation of caster vs physical damage by 403',1,1),
(144526,90094,10,100,'Decreases Mitigation of target encounter vs physical damage by 2304',0,2),
(144527,90095,10,100,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',0,0),
(144528,90095,10,100,'Increases Mitigation of caster vs physical damage by 454',1,1),
(144529,90095,10,100,'Decreases Mitigation of target encounter vs physical damage by 2722',0,2),
(144530,90096,10,100,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',0,0),
(144531,90096,10,100,'Increases Mitigation of caster vs physical damage by 504',1,1),
(144532,90096,10,100,'Decreases Mitigation of target encounter vs physical damage by 3024',0,2),
(144533,90096,11,100,'Applies Devouring Mist.  Lasts for 1 minute 12 seconds.',0,0),
(144534,90096,11,100,'Increases Mitigation of caster vs physical damage by 606',1,1),
(144535,90096,11,100,'Decreases Mitigation of target encounter vs physical damage by 3636',0,2),
(144536,90097,10,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(144537,90097,10,100,'Slows target by 63.8%',1,1),
(144538,90097,10,100,'5% chance to dispel when target receives hostile action',1,2),
(144539,90097,10,100,'5% chance to dispel when target takes damage',1,3),
(144540,90097,10,100,'Inflicts 406 - 677 disease damage on target',0,4),
(144541,90098,10,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(144542,90098,10,100,'Slows target by 67.5%',1,1),
(144543,90098,10,100,'5% chance to dispel when target receives hostile action',1,2),
(144544,90098,10,100,'5% chance to dispel when target takes damage',1,3),
(144545,90098,10,100,'Inflicts 598 - 997 disease damage on target',0,4),
(144546,90099,10,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(144547,90099,10,100,'Slows target by 68.4%',1,1),
(144548,90099,10,100,'5% chance to dispel when target receives hostile action',1,2),
(144549,90099,10,100,'5% chance to dispel when target takes damage',1,3),
(144550,90099,10,100,'Inflicts 790 - 1317 disease damage on target',0,4),
(144551,90100,10,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(144552,90100,10,100,'Slows target by 69.1%',1,1),
(144553,90100,10,100,'5% chance to dispel when target receives hostile action',1,2),
(144554,90100,10,100,'5% chance to dispel when target takes damage',1,3),
(144555,90100,10,100,'Inflicts 957 - 1595 disease damage on target',0,4),
(144556,90101,10,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(144557,90101,10,100,'Slows target by 69.8%',1,1),
(144558,90101,10,100,'5% chance to dispel when target receives hostile action',1,2),
(144559,90101,10,100,'5% chance to dispel when target takes damage',1,3),
(144560,90101,10,100,'Inflicts 1153 - 1921 disease damage on target',0,4),
(144561,90102,10,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(144562,90102,10,100,'Slows target by 70.4%',1,1),
(144563,90102,10,100,'5% chance to dispel when target receives hostile action',1,2),
(144564,90102,10,100,'5% chance to dispel when target takes damage',1,3),
(144565,90102,10,100,'Inflicts 1251 - 2085 disease damage on target',0,4),
(144566,90102,11,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(144567,90102,11,100,'Slows target by 84.7%',1,1),
(144568,90102,11,100,'5% chance to dispel when target receives hostile action',1,2),
(144569,90102,11,100,'5% chance to dispel when target takes damage',1,3),
(144570,90102,11,100,'Inflicts 1504 - 2507 disease damage on target',0,4),
(144571,90103,10,100,'Increases threat priority of targets in Area of Effect by 2 positions',0,0),
(144572,90103,10,100,'Increases Threat to targets in Area of Effect by 533 - 652  instantly and by 532 - 650  every 4 seconds thereafter',0,1),
(144573,90103,10,100,'Inflicts 10 - 15 disease damage on targets in Area of Effect',0,2),
(144574,90103,10,100,'Inflicts 5 - 8 disease damage on targets in Area of Effect every 4 seconds',0,3),
(144575,90104,10,100,'Increases threat priority of targets in Area of Effect by 2 positions',0,0),
(144576,90104,10,100,'Increases Threat to targets in Area of Effect by 532 - 650  instantly and by 531 - 649  every 4 seconds thereafter',0,1),
(144577,90104,10,100,'Inflicts 10 - 15 disease damage on targets in Area of Effect',0,2),
(144578,90104,10,100,'Inflicts 5 - 8 disease damage on targets in Area of Effect every 4 seconds',0,3),
(144579,90105,10,100,'Increases threat priority of targets in Area of Effect by 2 positions',0,0),
(144580,90105,10,100,'Increases Threat to targets in Area of Effect by 531 - 649  instantly and by 530 - 648  every 4 seconds thereafter',0,1),
(144581,90105,10,100,'Inflicts 10 - 15 disease damage on targets in Area of Effect',0,2),
(144582,90105,10,100,'Inflicts 5 - 8 disease damage on targets in Area of Effect every 4 seconds',0,3),
(144583,90106,10,100,'Increases threat priority of targets in Area of Effect by 2 positions',0,0),
(144584,90106,10,100,'Increases Threat to targets in Area of Effect by 531 - 649  instantly and by 530 - 648  every 4 seconds thereafter',0,1),
(144585,90106,10,100,'Inflicts 10 - 15 disease damage on targets in Area of Effect',0,2),
(144586,90106,10,100,'Inflicts 5 - 8 disease damage on targets in Area of Effect every 4 seconds',0,3),
(144587,90107,10,100,'Increases threat priority of targets in Area of Effect by 2 positions',0,0),
(144588,90107,10,100,'Increases Threat to targets in Area of Effect by 530 - 648  instantly and by 530 - 647  every 4 seconds thereafter',0,1),
(144589,90107,10,100,'Inflicts 10 - 15 disease damage on targets in Area of Effect',0,2),
(144590,90107,10,100,'Inflicts 5 - 8 disease damage on targets in Area of Effect every 4 seconds',0,3),
(144591,90108,10,100,'Increases threat priority of targets in Area of Effect by 2 positions',0,0),
(144592,90108,10,100,'Increases Threat to targets in Area of Effect by 530 - 648  instantly and by 530 - 647  every 4 seconds thereafter',0,1),
(144593,90108,10,100,'Inflicts 10 - 15 disease damage on targets in Area of Effect',0,2),
(144594,90108,10,100,'Inflicts 5 - 8 disease damage on targets in Area of Effect every 4 seconds',0,3),
(144595,90109,10,100,'Increases threat priority of targets in Area of Effect by 2 positions',0,0),
(144596,90109,10,100,'Increases Threat to targets in Area of Effect by 530 - 648  instantly and by 529 - 647  every 4 seconds thereafter',0,1),
(144597,90109,10,100,'Inflicts 10 - 15 disease damage on targets in Area of Effect',0,2),
(144598,90109,10,100,'Inflicts 5 - 8 disease damage on targets in Area of Effect every 4 seconds',0,3),
(144599,90109,11,100,'Increases threat priority of targets in Area of Effect by 2 positions',0,0),
(144600,90109,11,100,'Increases Threat to targets in Area of Effect by 637 - 779  instantly and by 637 - 778  every 4 seconds thereafter',0,1),
(144601,90109,11,100,'Inflicts 12 - 18 disease damage on targets in Area of Effect',0,2),
(144602,90109,11,100,'Inflicts 6 - 9 disease damage on targets in Area of Effect every 4 seconds',0,3),
(144603,90110,11,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(144604,90110,11,100,'Inflicts 47 - 79 disease damage on target',1,1),
(144605,90110,11,100,'Heals caster for 2.8 - 3.4% of max health',1,2),
(144606,90110,11,100,'This effect cannot be critically applied.',2,3),
(144607,90111,11,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(144608,90111,11,100,'Inflicts 115 - 191 disease damage on target',1,1),
(144609,90111,11,100,'Heals caster for 2.8 - 3.5% of max health',1,2),
(144610,90111,11,100,'This effect cannot be critically applied.',2,3),
(144611,90112,10,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(144612,90112,10,100,'Inflicts 159 - 265 disease damage on target',1,1),
(144613,90112,10,100,'Heals caster for 2.4 - 2.9% of max health',1,2),
(144614,90112,10,100,'This effect cannot be critically applied.',2,3),
(144615,90112,11,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(144616,90112,11,100,'Inflicts 191 - 319 disease damage on target',1,1),
(144617,90112,11,100,'Heals caster for 2.9 - 3.5% of max health',1,2),
(144618,90112,11,100,'This effect cannot be critically applied.',2,3),
(144619,90113,11,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(144620,90113,11,100,'Inflicts 284 - 473 disease damage on target',1,1),
(144621,90113,11,100,'Heals caster for 3.0 - 3.6% of max health',1,2),
(144622,90113,11,100,'This effect cannot be critically applied.',2,3),
(144623,90114,10,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(144624,90114,10,100,'Inflicts 316 - 526 disease damage on target',1,1),
(144625,90114,10,100,'Heals caster for 2.5 - 3.0% of max health',1,2),
(144626,90114,10,100,'This effect cannot be critically applied.',2,3),
(144627,90114,11,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(144628,90114,11,100,'Inflicts 380 - 633 disease damage on target',1,1),
(144629,90114,11,100,'Heals caster for 3.0 - 3.7% of max health',1,2),
(144630,90114,11,100,'This effect cannot be critically applied.',2,3),
(144631,90115,10,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(144632,90115,10,100,'Inflicts 389 - 648 disease damage on target',1,1),
(144633,90115,10,100,'Heals caster for 2.5 - 3.1% of max health',1,2),
(144634,90115,10,100,'This effect cannot be critically applied.',2,3),
(144635,90115,11,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(144636,90115,11,100,'Inflicts 467 - 779 disease damage on target',1,1),
(144637,90115,11,100,'Heals caster for 3.0 - 3.7% of max health',1,2),
(144638,90115,11,100,'This effect cannot be critically applied.',2,3),
(144639,90116,10,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(144640,90116,10,100,'Inflicts 469 - 781 disease damage on target',1,1),
(144641,90116,10,100,'Heals caster for 2.6 - 3.1% of max health',1,2),
(144642,90116,10,100,'This effect cannot be critically applied.',2,3),
(144643,90116,11,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(144644,90116,11,100,'Inflicts 564 - 939 disease damage on target',1,1),
(144645,90116,11,100,'Heals caster for 3.1 - 3.8% of max health',1,2),
(144646,90116,11,100,'This effect cannot be critically applied.',2,3),
(144647,90117,10,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(144648,90117,10,100,'Inflicts 515 - 858 disease damage on target',1,1),
(144649,90117,10,100,'Heals caster for 2.6 - 3.2% of max health',1,2),
(144650,90117,10,100,'This effect cannot be critically applied.',2,3),
(144651,90117,11,100,'On a melee hit this spell may cast Grim Strike on target of attack.  Triggers about 3.0 times per minute. ',0,0),
(144652,90117,11,100,'Inflicts 619 - 1032 disease damage on target',1,1),
(144653,90117,11,100,'Heals caster for 3.1 - 3.8% of max health',1,2),
(144654,90117,11,100,'This effect cannot be critically applied.',2,3),
(144655,90118,10,100,'Inflicts 900 - 1500 disease damage on target',0,0),
(144656,90119,10,100,'Inflicts 1642 - 2737 disease damage on target',0,0),
(144657,90120,10,100,'Inflicts 2491 - 4151 disease damage on target',0,0),
(144658,90121,10,100,'Inflicts 3418 - 5697 disease damage on target',0,0),
(144659,90122,10,100,'Inflicts 4284 - 7140 disease damage on target',0,0),
(144660,90123,10,100,'Inflicts 5176 - 8627 disease damage on target',0,0),
(144661,90124,10,100,'Inflicts 5900 - 9833 disease damage on target',0,0),
(144662,90124,11,100,'Inflicts 7094 - 11823 disease damage on target',0,0),
(144663,90126,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 322',0,0),
(144664,90126,10,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(144665,90126,10,100,'Increases Threat to target by 23 ',1,2),
(144666,90126,10,100,'Inflicts 6 disease damage on target',1,3),
(144667,90128,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1019',0,0),
(144668,90128,10,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(144669,90128,10,100,'Increases Threat to target by 81 ',1,2),
(144670,90128,10,100,'Inflicts 21 disease damage on target',1,3),
(144671,90129,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2990',0,0),
(144672,90129,10,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(144673,90129,10,100,'Increases Threat to target by 312 ',1,2),
(144674,90129,10,100,'Inflicts 69 disease damage on target',1,3),
(144675,90129,11,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 3595',0,0),
(144676,90129,11,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(144677,90129,11,100,'Increases Threat to target by 375 ',1,2),
(144678,90129,11,100,'Inflicts 83 disease damage on target',1,3),
(144679,90131,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1769',0,0),
(144680,90131,10,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(144681,90131,10,100,'Increases Threat to target by 171 ',1,2),
(144682,90131,10,100,'Inflicts 42 disease damage on target',1,3),
(144683,90132,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2064',0,0),
(144684,90132,10,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(144685,90132,10,100,'Increases Threat to target by 217 ',1,2),
(144686,90132,10,100,'Inflicts 52 disease damage on target',1,3),
(144687,90133,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2332',0,0),
(144688,90133,10,100,'When damaged with a melee weapon this spell will cast Caress Feedback on target''s attacker.  ',0,1),
(144689,90133,10,100,'Increases Threat to target by 265 ',1,2),
(144690,90133,10,100,'Inflicts 62 disease damage on target',1,3),
(144691,90136,10,100,'Increases Threat to target by 1,940 - 2,251  instantly and by 453 - 554  every 3 seconds thereafter',0,0),
(144692,90136,10,100,'Inflicts 39 - 48 disease damage on target',0,1),
(144693,90136,10,100,'Inflicts 20 - 24 disease damage on target every 3 seconds',0,2),
(144694,90137,10,100,'Increases Threat to target by 3,304 - 3,918  instantly and by 901 - 1,101  every 3 seconds thereafter',0,0),
(144695,90137,10,100,'Inflicts 76 - 93 disease damage on target',0,1),
(144696,90137,10,100,'Inflicts 38 - 47 disease damage on target every 3 seconds',0,2),
(144697,90138,10,100,'Increases Threat to target by 12,902 - 15,649  instantly and by 2,859 - 3,374  every 3 seconds thereafter',0,0),
(144698,90138,10,100,'Inflicts 300 - 366 disease damage on target',0,1),
(144699,90138,10,100,'Inflicts 150 - 183 disease damage on target every 3 seconds',0,2),
(144700,90138,11,100,'Increases Threat to target by 15,403 - 18,706  instantly and by 3,327 - 3,947  every 3 seconds thereafter',0,0),
(144701,90138,11,100,'Inflicts 360 - 441 disease damage on target',0,1),
(144702,90138,11,100,'Inflicts 180 - 220 disease damage on target every 3 seconds',0,2),
(144703,90139,10,100,'Increases Threat to target by 4,935 - 5,912  instantly and by 1,363 - 1,546  every 3 seconds thereafter',0,0),
(144704,90139,10,100,'Inflicts 118 - 144 disease damage on target',0,1),
(144705,90139,10,100,'Inflicts 59 - 72 disease damage on target every 3 seconds',0,2),
(144706,90140,10,100,'Increases Threat to target by 6,878 - 8,286  instantly and by 1,728 - 1,992  every 3 seconds thereafter',0,0),
(144707,90140,10,100,'Inflicts 166 - 202 disease damage on target',0,1),
(144708,90140,10,100,'Inflicts 83 - 101 disease damage on target every 3 seconds',0,2),
(144709,90141,10,100,'Increases Threat to target by 8,872 - 10,724  instantly and by 2,102 - 2,449  every 3 seconds thereafter',0,0),
(144710,90141,10,100,'Inflicts 212 - 259 disease damage on target',0,1),
(144711,90141,10,100,'Inflicts 106 - 129 disease damage on target every 3 seconds',0,2),
(144712,90142,10,100,'Increases Threat to target by 10,887 - 13,187  instantly and by 2,481 - 2,912  every 3 seconds thereafter',0,0),
(144713,90142,10,100,'Inflicts 256 - 313 disease damage on target',0,1),
(144714,90142,10,100,'Inflicts 128 - 157 disease damage on target every 3 seconds',0,2),
(144715,90144,10,100,'Inflicts 63 - 106 disease damage on target',0,0),
(144716,90145,10,100,'Inflicts 136 - 227 disease damage on target',0,0),
(144717,90146,10,100,'Inflicts 217 - 362 disease damage on target',0,0),
(144718,90147,10,100,'Inflicts 651 - 1085 disease damage on target',0,0),
(144719,90147,11,100,'Inflicts 783 - 1305 disease damage on target',0,0),
(144720,90148,10,100,'Inflicts 317 - 528 disease damage on target',0,0),
(144721,90149,10,100,'Inflicts 416 - 693 disease damage on target',0,0),
(144722,90150,10,100,'Inflicts 504 - 840 disease damage on target',0,0),
(144723,90151,10,100,'Inflicts 607 - 1011 disease damage on target',0,0),
(144724,90152,10,100,'Inflicts 236 - 394 disease damage on target',0,0),
(144725,90152,10,100,'Inflicts 59 - 98 disease damage on target every 4 seconds',0,1),
(144726,90152,10,100,'Increases power of caster by 117 - 195',0,2),
(144727,90152,10,100,'Increases power of caster by 25 - 42 every 4 seconds',0,3),
(144728,90153,10,100,'Inflicts 353 - 588 disease damage on target',0,0),
(144729,90153,10,100,'Inflicts 88 - 147 disease damage on target every 4 seconds',0,1),
(144730,90153,10,100,'Increases power of caster by 180 - 300',0,2),
(144731,90153,10,100,'Increases power of caster by 39 - 65 every 4 seconds',0,3),
(144732,90154,10,100,'Inflicts 427 - 712 disease damage on target',0,0),
(144733,90154,10,100,'Inflicts 107 - 178 disease damage on target every 4 seconds',0,1),
(144734,90154,10,100,'Increases power of caster by 235 - 392',0,2),
(144735,90154,10,100,'Increases power of caster by 51 - 85 every 4 seconds',0,3),
(144736,90155,10,100,'Inflicts 500 - 833 disease damage on target',0,0),
(144737,90155,10,100,'Inflicts 125 - 208 disease damage on target every 4 seconds',0,1),
(144738,90155,10,100,'Increases power of caster by 273 - 455',0,2),
(144739,90155,10,100,'Increases power of caster by 59 - 99 every 4 seconds',0,3),
(144740,90155,11,100,'Inflicts 601 - 1001 disease damage on target',0,0),
(144741,90155,11,100,'Inflicts 150 - 250 disease damage on target every 4 seconds',0,1),
(144742,90155,11,100,'Increases power of caster by 328 - 547',0,2),
(144743,90155,11,100,'Increases power of caster by 71 - 118 every 4 seconds',0,3),
(144744,90156,10,100,'Feigns Death with 66% chance of success',0,0),
(144745,90157,10,100,'Feigns Death with 76% chance of success',0,0),
(144746,90158,10,100,'Feigns Death with 86% chance of success',0,0),
(144747,90159,10,100,'Feigns Death with 96% chance of success',0,0),
(144748,90160,10,100,'Applies Pestilence.  Lasts for 16.0 seconds.',0,0),
(144749,90160,10,100,'Inflicts 372 - 455 disease damage on caster',1,1),
(144750,90160,10,100,'Inflicts 124 - 152 disease damage on caster every 2 seconds',1,2),
(144751,90160,10,100,'On death this spell will cast Pestilence Mark on target.  ',1,3),
(144752,90160,10,100,'Applies Pestilence.  Lasts for 16.0 seconds.',2,4),
(144753,90160,10,100,'Grants a total of 1 trigger of the spell.',2,5),
(144754,90161,10,100,'Applies Pestilence.  Lasts for 16.0 seconds.',0,0),
(144755,90161,10,100,'Inflicts 475 - 581 disease damage on caster',1,1),
(144756,90161,10,100,'Inflicts 158 - 194 disease damage on caster every 2 seconds',1,2),
(144757,90161,10,100,'On death this spell will cast Pestilence Mark on target.  ',1,3),
(144758,90161,10,100,'Applies Pestilence.  Lasts for 16.0 seconds.',2,4),
(144759,90161,10,100,'Grants a total of 1 trigger of the spell.',2,5),
(144760,90162,10,100,'Applies Pestilence.  Lasts for 16.0 seconds.',0,0),
(144761,90162,10,100,'Inflicts 572 - 700 disease damage on caster',1,1),
(144762,90162,10,100,'Inflicts 191 - 233 disease damage on caster every 2 seconds',1,2),
(144763,90162,10,100,'On death this spell will cast Pestilence Mark on target.  ',1,3),
(144764,90162,10,100,'Applies Pestilence.  Lasts for 16.0 seconds.',2,4),
(144765,90162,10,100,'Grants a total of 1 trigger of the spell.',2,5),
(144766,90163,10,100,'Applies Pestilence.  Lasts for 16.0 seconds.',0,0),
(144767,90163,10,100,'Inflicts 621 - 759 disease damage on caster',1,1),
(144768,90163,10,100,'Inflicts 207 - 253 disease damage on caster every 2 seconds',1,2),
(144769,90163,10,100,'On death this spell will cast Pestilence Mark on target.  ',1,3),
(144770,90163,10,100,'Applies Pestilence.  Lasts for 16.0 seconds.',2,4),
(144771,90163,10,100,'Grants a total of 1 trigger of the spell.',2,5),
(144772,90163,11,100,'Applies Pestilence.  Lasts for 16.0 seconds.',0,0),
(144773,90163,11,100,'Inflicts 747 - 913 disease damage on caster',1,1),
(144774,90163,11,100,'Inflicts 249 - 304 disease damage on caster every 2 seconds',1,2),
(144775,90163,11,100,'On death this spell will cast Pestilence Mark on target.  ',1,3),
(144776,90163,11,100,'Applies Pestilence.  Lasts for 16.0 seconds.',2,4),
(144777,90163,11,100,'Grants a total of 1 trigger of the spell.',2,5),
(144778,90164,9,100,'Damage over time spells increase damage with each tick.  Damage ceases to increase after 5 ticks.',0,0),
(144779,90164,9,100,'On any combat or spell hit this spell may cast Seething Hatred on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.4 times per minute. ',0,1),
(144780,90164,9,100,'Inflicts 734 - 897 disease damage on target',1,2),
(144781,90164,9,100,'300% of health regained from lifetaps will be applied as hate to engaged targets.',1,3),
(144782,90164,9,100,'Cannot be modified except by direct means',1,4),
(144783,90164,9,100,'Cannot be modified except by direct means',0,5),
(144784,90164,10,100,'Damage over time spells increase damage with each tick.  Damage ceases to increase after 5 ticks.',0,0),
(144785,90164,10,100,'On any combat or spell hit this spell may cast Seething Hatred on target of attack.  Lasts for 15.0 seconds.  Triggers about 2.4 times per minute. ',0,1),
(144786,90164,10,100,'Inflicts 734 - 897 disease damage on target',1,2),
(144787,90164,10,100,'300% of health regained from lifetaps will be applied as hate to engaged targets.',1,3),
(144788,90164,10,100,'Cannot be modified except by direct means',1,4),
(144789,90164,10,100,'Cannot be modified except by direct means',0,5),
(144790,90165,10,100,'Inflicts 77 - 115 disease damage on target',0,0),
(144791,90165,10,100,'Inflicts 31 - 46 disease damage on target every 4 seconds',0,1),
(144792,90166,10,100,'Inflicts 133 - 200 disease damage on target',0,0),
(144793,90166,10,100,'Inflicts 53 - 80 disease damage on target every 4 seconds',0,1),
(144794,90167,10,100,'Inflicts 200 - 300 disease damage on target',0,0),
(144795,90167,10,100,'Inflicts 80 - 120 disease damage on target every 4 seconds',0,1),
(144796,90168,10,100,'Inflicts 271 - 406 disease damage on target',0,0),
(144797,90168,10,100,'Inflicts 108 - 162 disease damage on target every 4 seconds',0,1),
(144798,90169,10,100,'Inflicts 339 - 509 disease damage on target',0,0),
(144799,90169,10,100,'Inflicts 136 - 204 disease damage on target every 4 seconds',0,1),
(144800,90170,10,100,'Inflicts 409 - 614 disease damage on target',0,0),
(144801,90170,10,100,'Inflicts 164 - 246 disease damage on target every 4 seconds',0,1),
(144802,90171,10,100,'Inflicts 455 - 682 disease damage on target',0,0),
(144803,90171,10,100,'Inflicts 182 - 273 disease damage on target every 4 seconds',0,1),
(144804,90171,11,100,'Inflicts 547 - 820 disease damage on target',0,0),
(144805,90171,11,100,'Inflicts 219 - 328 disease damage on target every 4 seconds',0,1),
(144806,90173,10,100,'Decreases STR and INT of target by 38.6',0,0),
(144807,90173,10,100,'Increases STR and INT of caster by 38.6',0,1),
(144808,90175,10,100,'Decreases STR and INT of target by 76.3',0,0),
(144809,90175,10,100,'Increases STR and INT of caster by 76.3',0,1),
(144810,90176,10,100,'Decreases STR and INT of target by 96.1',0,0),
(144811,90176,10,100,'Increases STR and INT of caster by 96.1',0,1),
(144812,90178,11,100,'Decreases STR and INT of target by 160.0',0,0),
(144813,90178,11,100,'Increases STR and INT of caster by 160.0',0,1),
(144814,90179,10,100,'Applies Tap on termination.',0,0),
(144815,90179,10,100,'Inflicts 1013 disease damage on target',1,1),
(144816,90179,10,100,'Heals caster for 4.1 - 5.0% of max health',1,2),
(144817,90179,10,100,'This effect cannot be critically applied.',2,3),
(144818,90179,11,100,'Applies Tap on termination.',0,0),
(144819,90179,11,100,'Inflicts 1218 disease damage on target',1,1),
(144820,90179,11,100,'Heals caster for 4.9 - 6.0% of max health',1,2),
(144821,90179,11,100,'This effect cannot be critically applied.',2,3),
(144822,90180,11,100,'Applies Tap on termination.',0,0),
(144823,90180,11,100,'Inflicts 1766 disease damage on target',1,1),
(144824,90180,11,100,'Heals caster for 5.3 - 6.5% of max health',1,2),
(144825,90180,11,100,'This effect cannot be critically applied.',2,3),
(144826,90181,11,100,'Applies Tap on termination.',0,0),
(144827,90181,11,100,'Inflicts 2134 disease damage on target',1,1),
(144828,90181,11,100,'Heals caster for 5.5 - 6.7% of max health',1,2),
(144829,90181,11,100,'This effect cannot be critically applied.',2,3),
(144830,90182,11,100,'Applies Tap on termination.',0,0),
(144831,90182,11,100,'Inflicts 2432 disease damage on target',1,1),
(144832,90182,11,100,'Heals caster for 5.8 - 7.0% of max health',1,2),
(144833,90182,11,100,'This effect cannot be critically applied.',2,3),
(144834,90183,9,100,'Forces target to change their selected target to caster instantly.  Hate gain is increased by 10% for the duration.',0,0),
(144835,90183,9,100,'Will absorb physical damage when the amount is greater than 60% of the target''s maximum health.',0,1),
(144836,90183,10,100,'Forces target to change their selected target to caster instantly.  Hate gain is increased by 10% for the duration.',0,0),
(144837,90183,10,100,'Will absorb physical damage when the amount is greater than 60% of the target''s maximum health.',0,1),
(144838,90185,10,100,'Inflicts 111 disease damage on targets in Area of Effect',0,0),
(144839,90185,10,100,'Inflicts 76 disease damage on targets in Area of Effect every 4 seconds',0,1),
(144840,90186,10,100,'Inflicts 175 disease damage on targets in Area of Effect',0,0),
(144841,90186,10,100,'Inflicts 120 disease damage on targets in Area of Effect every 4 seconds',0,1),
(144842,90187,10,100,'Inflicts 253 disease damage on targets in Area of Effect',0,0),
(144843,90187,10,100,'Inflicts 173 disease damage on targets in Area of Effect every 4 seconds',0,1),
(144844,90188,10,100,'Inflicts 331 disease damage on targets in Area of Effect',0,0),
(144845,90188,10,100,'Inflicts 226 disease damage on targets in Area of Effect every 4 seconds',0,1),
(144846,90189,10,100,'Inflicts 401 disease damage on targets in Area of Effect',0,0),
(144847,90189,10,100,'Inflicts 274 disease damage on targets in Area of Effect every 4 seconds',0,1),
(144848,90190,10,100,'Inflicts 483 disease damage on targets in Area of Effect',0,0),
(144849,90190,10,100,'Inflicts 329 disease damage on targets in Area of Effect every 4 seconds',0,1),
(144850,90191,10,100,'Inflicts 512 disease damage on targets in Area of Effect',0,0),
(144851,90191,10,100,'Inflicts 349 disease damage on targets in Area of Effect every 4 seconds',0,1),
(144852,90191,11,100,'Inflicts 616 disease damage on targets in Area of Effect',0,0),
(144853,90191,11,100,'Inflicts 420 disease damage on targets in Area of Effect every 4 seconds',0,1),
(144854,90193,10,100,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',0,0),
(144855,90193,10,100,'Inflicts 46 - 56 disease damage on target',1,1),
(144856,90193,10,100,'Heals caster for 2.6 - 3.2% of max health',1,2),
(144857,90193,10,100,'This effect cannot be critically applied.',2,3),
(144858,90193,10,100,'Grants a total of 5 triggers of the spell.',1,4),
(144859,90195,10,100,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',0,0),
(144860,90195,10,100,'Inflicts 109 - 133 disease damage on target',1,1),
(144861,90195,10,100,'Heals caster for 2.7 - 3.4% of max health',1,2),
(144862,90195,10,100,'This effect cannot be critically applied.',2,3),
(144863,90195,10,100,'Grants a total of 5 triggers of the spell.',1,4),
(144864,90196,10,100,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',0,0),
(144865,90196,10,100,'Inflicts 144 - 176 disease damage on target',1,1),
(144866,90196,10,100,'Heals caster for 2.8 - 3.4% of max health',1,2),
(144867,90196,10,100,'This effect cannot be critically applied.',2,3),
(144868,90196,10,100,'Grants a total of 5 triggers of the spell.',1,4),
(144869,90197,10,100,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',0,0),
(144870,90197,10,100,'Inflicts 177 - 217 disease damage on target',1,1),
(144871,90197,10,100,'Heals caster for 2.8 - 3.5% of max health',1,2),
(144872,90197,10,100,'This effect cannot be critically applied.',2,3),
(144873,90197,10,100,'Grants a total of 5 triggers of the spell.',1,4),
(144874,90198,10,100,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',0,0),
(144875,90198,10,100,'Inflicts 214 - 261 disease damage on target',1,1),
(144876,90198,10,100,'Heals caster for 2.9 - 3.5% of max health',1,2),
(144877,90198,10,100,'This effect cannot be critically applied.',2,3),
(144878,90198,10,100,'Grants a total of 5 triggers of the spell.',1,4),
(144879,90199,10,100,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',0,0),
(144880,90199,10,100,'Inflicts 229 - 280 disease damage on target',1,1),
(144881,90199,10,100,'Heals caster for 3.0 - 3.6% of max health',1,2),
(144882,90199,10,100,'This effect cannot be critically applied.',2,3),
(144883,90199,10,100,'Grants a total of 5 triggers of the spell.',1,4),
(144884,90199,11,100,'When damaged this spell will cast Voracious Soul on target''s attacker.  ',0,0),
(144885,90199,11,100,'Inflicts 276 - 337 disease damage on target',1,1),
(144886,90199,11,100,'Heals caster for 3.6 - 4.3% of max health',1,2),
(144887,90199,11,100,'This effect cannot be critically applied.',2,3),
(144888,90199,11,100,'Grants a total of 5 triggers of the spell.',1,4),
(144889,90200,10,100,'Increases STA of raid and group members (AE) by 17.2',0,0),
(144890,90200,10,100,'Increase spell damage of group and raid members by 5.26%.',0,1),
(144891,90200,11,100,'Increases STA of raid and group members (AE) by 20.6',0,0),
(144892,90200,11,100,'Increase spell damage of group and raid members by 6.32%.',0,1),
(144893,90201,11,100,'Increases STA of raid and group members (AE) by 35.9',0,0),
(144894,90201,11,100,'Increase spell damage of group and raid members by 6.32%.',0,1),
(144895,90202,10,100,'Increases STA of raid and group members (AE) by 43.0',0,0),
(144896,90202,10,100,'Increase spell damage of group and raid members by 5.26%.',0,1),
(144897,90202,11,100,'Increases STA of raid and group members (AE) by 51.8',0,0),
(144898,90202,11,100,'Increase spell damage of group and raid members by 6.32%.',0,1),
(144899,90203,10,100,'Increases STA of raid and group members (AE) by 56.2',0,0),
(144900,90203,10,100,'Increase spell damage of group and raid members by 5.26%.',0,1),
(144901,90203,11,100,'Increases STA of raid and group members (AE) by 67.6',0,0),
(144902,90203,11,100,'Increase spell damage of group and raid members by 6.32%.',0,1),
(144903,90204,10,100,'Increases STA of raid and group members (AE) by 68.6',0,0),
(144904,90204,10,100,'Increase spell damage of group and raid members by 5.26%.',0,1),
(144905,90204,11,100,'Increases STA of raid and group members (AE) by 82.4',0,0),
(144906,90204,11,100,'Increase spell damage of group and raid members by 6.32%.',0,1),
(144907,90205,10,100,'Increases STA of raid and group members (AE) by 82.8',0,0),
(144908,90205,10,100,'Increase spell damage of group and raid members by 5.26%.',0,1),
(144909,90205,11,100,'Increases STA of raid and group members (AE) by 99.5',0,0),
(144910,90205,11,100,'Increase spell damage of group and raid members by 6.32%.',0,1),
(144911,90206,10,100,'Increases STA of raid and group members (AE) by 95.7',0,0),
(144912,90206,10,100,'Increase spell damage of group and raid members by 5.26%.',0,1),
(144913,90206,11,100,'Increases STA of raid and group members (AE) by 115.1',0,0),
(144914,90206,11,100,'Increase spell damage of group and raid members by 6.32%.',0,1),
(144915,100001,10,100,'Inflicts 132 - 221 divine damage on targets in Area of Effect',0,0),
(144916,100001,10,100,'Stuns targets in Area of Effect',0,1),
(144917,100001,10,100,'If Target is not Epic',1,2),
(144918,100001,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(144919,100003,10,100,'Inflicts 302 - 503 divine damage on targets in Area of Effect',0,0),
(144920,100003,10,100,'Stuns targets in Area of Effect',0,1),
(144921,100003,10,100,'If Target is not Epic',1,2),
(144922,100003,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(144923,100004,10,100,'Inflicts 395 - 658 divine damage on targets in Area of Effect',0,0),
(144924,100004,10,100,'Stuns targets in Area of Effect',0,1),
(144925,100004,10,100,'If Target is not Epic',1,2),
(144926,100004,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(144927,100005,10,100,'Inflicts 479 - 798 divine damage on targets in Area of Effect',0,0),
(144928,100005,10,100,'Stuns targets in Area of Effect',0,1),
(144929,100005,10,100,'If Target is not Epic',1,2),
(144930,100005,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(144931,100006,10,100,'Inflicts 576 - 960 divine damage on targets in Area of Effect',0,0),
(144932,100006,10,100,'Stuns targets in Area of Effect',0,1),
(144933,100006,10,100,'If Target is not Epic',1,2),
(144934,100006,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(144935,100007,10,100,'Inflicts 611 - 1018 divine damage on targets in Area of Effect',0,0),
(144936,100007,10,100,'Stuns targets in Area of Effect',0,1),
(144937,100007,10,100,'If Target is not Epic',1,2),
(144938,100007,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(144939,100007,11,100,'Inflicts 735 - 1225 divine damage on targets in Area of Effect',0,0),
(144940,100007,11,100,'Stuns targets in Area of Effect',0,1),
(144941,100007,11,100,'If Target is not Epic',1,2),
(144942,100007,11,100,'Resistibility increases against targets higher than level 29.',0,3),
(144943,100009,10,100,'Increases Threat to target by 732 - 895  instantly and by 145 - 177  every 2 seconds thereafter',0,0),
(144944,100010,10,100,'Increases Threat to target by 1,329 - 1,505  instantly and by 272 - 332  every 2 seconds thereafter',0,0),
(144945,100011,10,100,'Increases Threat to target by 2,098 - 2,445  instantly and by 540 - 661  every 2 seconds thereafter',0,0),
(144946,100012,10,100,'Increases Threat to target by 7,511 - 9,060  instantly and by 1,931 - 2,240  every 2 seconds thereafter',0,0),
(144947,100012,11,100,'Increases Threat to target by 8,921 - 10,784  instantly and by 2,212 - 2,584  every 2 seconds thereafter',0,0),
(144948,100013,10,100,'Increases Threat to target by 3,018 - 3,569  instantly and by 862 - 1,053  every 2 seconds thereafter',0,0),
(144949,100014,10,100,'Increases Threat to target by 4,114 - 4,908  instantly and by 1,245 - 1,411  every 2 seconds thereafter',0,0),
(144950,100015,10,100,'Increases Threat to target by 5,238 - 6,282  instantly and by 1,477 - 1,685  every 2 seconds thereafter',0,0),
(144951,100016,10,100,'Increases Threat to target by 6,375 - 7,671  instantly and by 1,704 - 1,963  every 2 seconds thereafter',0,0),
(144952,100017,10,100,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(144953,100017,10,100,'Inflicts 18 - 30 divine damage on target',1,1),
(144954,100017,10,100,'Inflicts 18 - 30 divine damage on target',1,2),
(144955,100017,10,100,'If target is undead',2,3),
(144956,100018,10,100,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(144957,100018,10,100,'Inflicts 45 - 76 divine damage on target',1,1),
(144958,100018,10,100,'Inflicts 45 - 76 divine damage on target',1,2),
(144959,100018,10,100,'If target is undead',2,3),
(144960,100019,10,100,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(144961,100019,10,100,'Inflicts 77 - 129 divine damage on target',1,1),
(144962,100019,10,100,'Inflicts 77 - 129 divine damage on target',1,2),
(144963,100019,10,100,'If target is undead',2,3),
(144964,100020,10,100,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(144965,100020,10,100,'Inflicts 115 - 192 divine damage on target',1,1),
(144966,100020,10,100,'Inflicts 115 - 192 divine damage on target',1,2),
(144967,100020,10,100,'If target is undead',2,3),
(144968,100021,10,100,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(144969,100021,10,100,'Inflicts 155 - 258 divine damage on target',1,1),
(144970,100021,10,100,'Inflicts 155 - 258 divine damage on target',1,2),
(144971,100021,10,100,'If target is undead',2,3),
(144972,100022,10,100,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(144973,100022,10,100,'Inflicts 191 - 318 divine damage on target',1,1),
(144974,100022,10,100,'Inflicts 191 - 318 divine damage on target',1,2),
(144975,100022,10,100,'If target is undead',2,3),
(144976,100023,10,100,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(144977,100023,10,100,'Inflicts 230 - 384 divine damage on target',1,1),
(144978,100023,10,100,'Inflicts 230 - 384 divine damage on target',1,2),
(144979,100023,10,100,'If target is undead',2,3),
(144980,100024,10,100,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(144981,100024,10,100,'Inflicts 256 - 426 divine damage on target',1,1),
(144982,100024,10,100,'Inflicts 256 - 426 divine damage on target',1,2),
(144983,100024,10,100,'If target is undead',2,3),
(144984,100024,11,100,'On a hit this spell may cast Divine Strike on target of attack.  Triggers about 1.6 times per minute. ',0,0),
(144985,100024,11,100,'Inflicts 308 - 513 divine damage on target',1,1),
(144986,100024,11,100,'Inflicts 308 - 513 divine damage on target',1,2),
(144987,100024,11,100,'If target is undead',2,3),
(144988,100026,10,100,'Inflicts 17 - 29 divine damage on target',0,0),
(144989,100026,11,100,'Inflicts 21 - 35 divine damage on target',0,0),
(144990,100026,11,100,'Heals caster for 2.7 - 3.3% of max health',0,1),
(144991,100026,11,100,'This effect cannot be critically applied.',1,2),
(144992,100027,10,100,'Inflicts 86 - 144 divine damage on target',0,0),
(144993,100027,10,100,'Heals caster for 2.3 - 2.8% of max health',0,1),
(144994,100027,10,100,'This effect cannot be critically applied.',1,2),
(144995,100027,11,100,'Inflicts 104 - 173 divine damage on target',0,0),
(144996,100027,11,100,'Heals caster for 2.8 - 3.4% of max health',0,1),
(144997,100027,11,100,'This effect cannot be critically applied.',1,2),
(144998,100028,10,100,'Inflicts 135 - 226 divine damage on target',0,0),
(144999,100028,10,100,'Heals caster for 2.4 - 2.9% of max health',0,1),
(145000,100028,10,100,'This effect cannot be critically applied.',1,2),
(145001,100028,11,100,'Inflicts 163 - 271 divine damage on target',0,0),
(145002,100028,11,100,'Heals caster for 2.9 - 3.5% of max health',0,1),
(145003,100028,11,100,'This effect cannot be critically applied.',1,2),
(145004,100029,10,100,'Inflicts 194 - 323 divine damage on target',0,0),
(145005,100029,10,100,'Heals caster for 2.4 - 3.0% of max health',0,1),
(145006,100029,10,100,'This effect cannot be critically applied.',1,2),
(145007,100029,11,100,'Inflicts 233 - 388 divine damage on target',0,0),
(145008,100029,11,100,'Heals caster for 2.9 - 3.6% of max health',0,1),
(145009,100029,11,100,'This effect cannot be critically applied.',1,2),
(145010,100030,11,100,'Inflicts 304 - 507 divine damage on target',0,0),
(145011,100030,11,100,'Heals caster for 3.0 - 3.7% of max health',0,1),
(145012,100030,11,100,'This effect cannot be critically applied.',1,2),
(145013,100031,10,100,'Inflicts 307 - 511 divine damage on target',0,0),
(145014,100031,10,100,'Heals caster for 2.5 - 3.1% of max health',0,1),
(145015,100031,10,100,'This effect cannot be critically applied.',1,2),
(145016,100031,11,100,'Inflicts 369 - 615 divine damage on target',0,0),
(145017,100031,11,100,'Heals caster for 3.0 - 3.7% of max health',0,1),
(145018,100031,11,100,'This effect cannot be critically applied.',1,2),
(145019,100032,10,100,'Inflicts 364 - 607 divine damage on target',0,0),
(145020,100032,10,100,'Heals caster for 2.6 - 3.1% of max health',0,1),
(145021,100032,10,100,'This effect cannot be critically applied.',1,2),
(145022,100032,11,100,'Inflicts 437 - 729 divine damage on target',0,0),
(145023,100032,11,100,'Heals caster for 3.1 - 3.8% of max health',0,1),
(145024,100032,11,100,'This effect cannot be critically applied.',1,2),
(145025,100033,10,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(145026,100033,10,100,'Throws target back',1,1),
(145027,100033,10,100,'Blurs vision of target',1,2),
(145028,100033,10,100,'Stuns target',1,3),
(145029,100033,10,100,'Does not affect Epic targets',1,4),
(145030,100033,10,100,'Inflicts 21 - 35 divine damage on target',0,5),
(145031,100033,10,100,'Increases Threat to target by 1,440 ',0,6),
(145032,100034,10,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(145033,100034,10,100,'Throws target back',1,1),
(145034,100034,10,100,'Blurs vision of target',1,2),
(145035,100034,10,100,'Stuns target',1,3),
(145036,100034,10,100,'Does not affect Epic targets',1,4),
(145037,100034,10,100,'Inflicts 45 - 75 divine damage on target',0,5),
(145038,100034,10,100,'Increases Threat to target by 2,506 ',0,6),
(145039,100035,10,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(145040,100035,10,100,'Throws target back',1,1),
(145041,100035,10,100,'Blurs vision of target',1,2),
(145042,100035,10,100,'Stuns target',1,3),
(145043,100035,10,100,'Does not affect Epic targets',1,4),
(145044,100035,10,100,'Inflicts 72 - 120 divine damage on target',0,5),
(145045,100035,10,100,'Increases Threat to target by 3,761 ',0,6),
(145046,100036,10,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(145047,100036,10,100,'Throws target back',1,1),
(145048,100036,10,100,'Blurs vision of target',1,2),
(145049,100036,10,100,'Stuns target',1,3),
(145050,100036,10,100,'Does not affect Epic targets',1,4),
(145051,100036,10,100,'Inflicts 105 - 175 divine damage on target',0,5),
(145052,100036,10,100,'Increases Threat to target by 5,363 ',0,6),
(145053,100037,10,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(145054,100037,10,100,'Throws target back',1,1),
(145055,100037,10,100,'Blurs vision of target',1,2),
(145056,100037,10,100,'Stuns target',1,3),
(145057,100037,10,100,'Does not affect Epic targets',1,4),
(145058,100037,10,100,'Inflicts 138 - 231 divine damage on target',0,5),
(145059,100037,10,100,'Increases Threat to target by 7,043 ',0,6),
(145060,100038,10,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(145061,100038,10,100,'Throws target back',1,1),
(145062,100038,10,100,'Blurs vision of target',1,2),
(145063,100038,10,100,'Stuns target',1,3),
(145064,100038,10,100,'Does not affect Epic targets',1,4),
(145065,100038,10,100,'Inflicts 167 - 279 divine damage on target',0,5),
(145066,100038,10,100,'Increases Threat to target by 8,679 ',0,6),
(145067,100039,10,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(145068,100039,10,100,'Throws target back',1,1),
(145069,100039,10,100,'Blurs vision of target',1,2),
(145070,100039,10,100,'Stuns target',1,3),
(145071,100039,10,100,'Does not affect Epic targets',1,4),
(145072,100039,10,100,'Inflicts 202 - 337 divine damage on target',0,5),
(145073,100039,10,100,'Increases Threat to target by 10,362 ',0,6),
(145074,100040,10,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(145075,100040,10,100,'Throws target back',1,1),
(145076,100040,10,100,'Blurs vision of target',1,2),
(145077,100040,10,100,'Stuns target',1,3),
(145078,100040,10,100,'Does not affect Epic targets',1,4),
(145079,100040,10,100,'Inflicts 216 - 361 divine damage on target',0,5),
(145080,100040,10,100,'Increases Threat to target by 12,045 ',0,6),
(145081,100040,11,100,'Applies Knockdown.  Lasts for 2.5 seconds.',0,0),
(145082,100040,11,100,'Throws target back',1,1),
(145083,100040,11,100,'Blurs vision of target',1,2),
(145084,100040,11,100,'Stuns target',1,3),
(145085,100040,11,100,'Does not affect Epic targets',1,4),
(145086,100040,11,100,'Inflicts 260 - 434 divine damage on target',0,5),
(145087,100040,11,100,'Increases Threat to target by 14,373 ',0,6),
(145088,100041,10,100,'Inflicts 27 - 46 divine damage on targets in Area of Effect',0,0),
(145089,100041,10,100,'Heals group members (AE) for 3.0 - 3.7% of max health',0,1),
(145090,100041,10,100,'This effect cannot be critically applied.',1,2),
(145091,100042,10,100,'Inflicts 81 - 136 divine damage on targets in Area of Effect',0,0),
(145092,100042,10,100,'Heals group members (AE) for 3.1 - 3.8% of max health',0,1),
(145093,100042,10,100,'This effect cannot be critically applied.',1,2),
(145094,100043,10,100,'Inflicts 145 - 242 divine damage on targets in Area of Effect',0,0),
(145095,100043,10,100,'Heals group members (AE) for 3.2 - 3.9% of max health',0,1),
(145096,100043,10,100,'This effect cannot be critically applied.',1,2),
(145097,100044,10,100,'Inflicts 219 - 365 divine damage on targets in Area of Effect',0,0),
(145098,100044,10,100,'Heals group members (AE) for 3.3 - 4.0% of max health',0,1),
(145099,100044,10,100,'This effect cannot be critically applied.',1,2),
(145100,100047,10,100,'Inflicts 451 - 753 divine damage on targets in Area of Effect',0,0),
(145101,100047,10,100,'Heals group members (AE) for 3.5 - 4.3% of max health',0,1),
(145102,100047,10,100,'This effect cannot be critically applied.',1,2),
(145103,100048,10,100,'Inflicts 508 - 847 divine damage on targets in Area of Effect',0,0),
(145104,100048,10,100,'Heals group members (AE) for 3.6 - 4.4% of max health',0,1),
(145105,100048,10,100,'This effect cannot be critically applied.',1,2),
(145106,100048,11,100,'Inflicts 611 - 1019 divine damage on targets in Area of Effect',0,0),
(145107,100048,11,100,'Heals group members (AE) for 4.4 - 5.3% of max health',0,1),
(145108,100048,11,100,'This effect cannot be critically applied.',1,2),
(145109,100049,10,100,'Inflicts 132 - 220 divine damage on target',0,0),
(145110,100049,10,100,'Inflicts 53 - 88 divine damage on target every 4 seconds',0,1),
(145111,100051,10,100,'Inflicts 302 - 503 divine damage on target',0,0),
(145112,100051,10,100,'Inflicts 121 - 201 divine damage on target every 4 seconds',0,1),
(145113,100052,10,100,'Inflicts 394 - 657 divine damage on target',0,0),
(145114,100052,10,100,'Inflicts 158 - 263 divine damage on target every 4 seconds',0,1),
(145115,100053,10,100,'Inflicts 478 - 797 divine damage on target',0,0),
(145116,100053,10,100,'Inflicts 191 - 319 divine damage on target every 4 seconds',0,1),
(145117,100054,10,100,'Inflicts 575 - 959 divine damage on target',0,0),
(145118,100054,10,100,'Inflicts 230 - 384 divine damage on target every 4 seconds',0,1),
(145119,100055,10,100,'Inflicts 611 - 1018 divine damage on target',0,0),
(145120,100055,10,100,'Inflicts 244 - 407 divine damage on target every 4 seconds',0,1),
(145121,100055,11,100,'Inflicts 734 - 1224 divine damage on target',0,0),
(145122,100055,11,100,'Inflicts 294 - 490 divine damage on target every 4 seconds',0,1),
(145123,100057,10,100,'Reduces physical damage done to caster by 5%',0,0),
(145124,100057,10,100,'Increases STA of caster by 44.4',0,1),
(145125,100057,10,100,'Adds 5.2% to base avoidance.',0,2),
(145126,100057,10,100,'Decreases Slashing, Piercing and Crushing of caster by 3.6',0,3),
(145127,100057,10,100,'Increases Defense and Aggression of caster by 8.1',0,4),
(145128,100057,10,100,'Increases Mitigation of caster vs arcane damage by 581',0,5),
(145129,100057,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(145130,100057,11,100,'Reduces physical damage done to caster by 5%',0,0),
(145131,100057,11,100,'Increases STA of caster by 53.3',0,1),
(145132,100057,11,100,'Adds 6.3% to base avoidance.',0,2),
(145133,100057,11,100,'Decreases Slashing, Piercing and Crushing of caster by 3.6',0,3),
(145134,100057,11,100,'Increases Defense and Aggression of caster by 9.7',0,4),
(145135,100057,11,100,'Increases Mitigation of caster vs arcane damage by 698',0,5),
(145136,100057,11,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(145137,100058,10,100,'Reduces physical damage done to caster by 5%',0,0),
(145138,100058,10,100,'Increases STA of caster by 77.3',0,1),
(145139,100058,10,100,'Adds 5.2% to base avoidance.',0,2),
(145140,100058,10,100,'Decreases Slashing, Piercing and Crushing of caster by 6.7',0,3),
(145141,100058,10,100,'Increases Defense and Aggression of caster by 15.1',0,4),
(145142,100058,10,100,'Increases Mitigation of caster vs arcane damage by 1008',0,5),
(145143,100058,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(145144,100058,11,100,'Reduces physical damage done to caster by 5%',0,0),
(145145,100058,11,100,'Increases STA of caster by 92.9',0,1),
(145146,100058,11,100,'Adds 6.3% to base avoidance.',0,2),
(145147,100058,11,100,'Decreases Slashing, Piercing and Crushing of caster by 6.7',0,3),
(145148,100058,11,100,'Increases Defense and Aggression of caster by 18.2',0,4),
(145149,100058,11,100,'Increases Mitigation of caster vs arcane damage by 1212',0,5),
(145150,100058,11,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(145151,100059,10,100,'Reduces physical damage done to caster by 5%',0,0),
(145152,100059,10,100,'Increases STA of caster by 114.9',0,1),
(145153,100059,10,100,'Adds 5.2% to base avoidance.',0,2),
(145154,100059,10,100,'Decreases Slashing, Piercing and Crushing of caster by 9.9',0,3),
(145155,100059,10,100,'Increases Defense and Aggression of caster by 22.2',0,4),
(145156,100059,10,100,'Increases Mitigation of caster vs arcane damage by 1478',0,5),
(145157,100059,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(145158,100059,11,100,'Reduces physical damage done to caster by 5%',0,0),
(145159,100059,11,100,'Increases STA of caster by 138.2',0,1),
(145160,100059,11,100,'Adds 6.3% to base avoidance.',0,2),
(145161,100059,11,100,'Decreases Slashing, Piercing and Crushing of caster by 9.9',0,3),
(145162,100059,11,100,'Increases Defense and Aggression of caster by 26.7',0,4),
(145163,100059,11,100,'Increases Mitigation of caster vs arcane damage by 1778',0,5),
(145164,100059,11,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(145165,100060,10,100,'Reduces physical damage done to caster by 5%',0,0),
(145166,100060,10,100,'Increases STA of caster by 152.5',0,1),
(145167,100060,10,100,'Adds 5.2% to base avoidance.',0,2),
(145168,100060,10,100,'Decreases Slashing, Piercing and Crushing of caster by 13.1',0,3),
(145169,100060,10,100,'Increases Defense and Aggression of caster by 29.2',0,4),
(145170,100060,10,100,'Increases Mitigation of caster vs arcane damage by 1949',0,5),
(145171,100060,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(145172,100060,11,100,'Reduces physical damage done to caster by 5%',0,0),
(145173,100060,11,100,'Increases STA of caster by 183.4',0,1),
(145174,100060,11,100,'Adds 6.3% to base avoidance.',0,2),
(145175,100060,11,100,'Decreases Slashing, Piercing and Crushing of caster by 13.1',0,3),
(145176,100060,11,100,'Increases Defense and Aggression of caster by 35.1',0,4),
(145177,100060,11,100,'Increases Mitigation of caster vs arcane damage by 2343',0,5),
(145178,100060,11,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(145179,100061,10,100,'Reduces physical damage done to caster by 5%',0,0),
(145180,100061,10,100,'Increases STA of caster by 192.2',0,1),
(145181,100061,10,100,'Adds 5.2% to base avoidance.',0,2),
(145182,100061,10,100,'Decreases Slashing, Piercing and Crushing of caster by 16.4',0,3),
(145183,100061,10,100,'Increases Defense and Aggression of caster by 36.6',0,4),
(145184,100061,10,100,'Increases Mitigation of caster vs arcane damage by 2540',0,5),
(145185,100061,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(145186,100061,11,100,'Reduces physical damage done to caster by 5%',0,0),
(145187,100061,11,100,'Increases STA of caster by 231.1',0,1),
(145188,100061,11,100,'Adds 6.3% to base avoidance.',0,2),
(145189,100061,11,100,'Decreases Slashing, Piercing and Crushing of caster by 16.4',0,3),
(145190,100061,11,100,'Increases Defense and Aggression of caster by 44.0',0,4),
(145191,100061,11,100,'Increases Mitigation of caster vs arcane damage by 3054',0,5),
(145192,100061,11,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(145193,100062,10,100,'Reduces physical damage done to caster by 5%',0,0),
(145194,100062,10,100,'Increases STA of caster by 229.2',0,1),
(145195,100062,10,100,'Adds 5.2% to base avoidance.',0,2),
(145196,100062,10,100,'Decreases Slashing, Piercing and Crushing of caster by 19.4',0,3),
(145197,100062,10,100,'Increases Defense and Aggression of caster by 43.7',0,4),
(145198,100062,10,100,'Increases Mitigation of caster vs arcane damage by 2921',0,5),
(145199,100062,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(145200,100062,11,100,'Reduces physical damage done to caster by 5%',0,0),
(145201,100062,11,100,'Increases STA of caster by 275.5',0,1),
(145202,100062,11,100,'Adds 6.3% to base avoidance.',0,2),
(145203,100062,11,100,'Decreases Slashing, Piercing and Crushing of caster by 19.4',0,3),
(145204,100062,11,100,'Increases Defense and Aggression of caster by 52.5',0,4),
(145205,100062,11,100,'Increases Mitigation of caster vs arcane damage by 3512',0,5),
(145206,100062,11,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(145207,100063,10,100,'Reduces physical damage done to caster by 5%',0,0),
(145208,100063,10,100,'Increases STA of caster by 266.1',0,1),
(145209,100063,10,100,'Adds 5.2% to base avoidance.',0,2),
(145210,100063,10,100,'Decreases Slashing, Piercing and Crushing of caster by 22.4',0,3),
(145211,100063,10,100,'Increases Defense and Aggression of caster by 52.1',0,4),
(145212,100063,10,100,'Increases Mitigation of caster vs arcane damage by 3400',0,5),
(145213,100063,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(145214,100063,11,100,'Reduces physical damage done to caster by 5%',0,0),
(145215,100063,11,100,'Increases STA of caster by 320.0',0,1),
(145216,100063,11,100,'Adds 6.3% to base avoidance.',0,2),
(145217,100063,11,100,'Decreases Slashing, Piercing and Crushing of caster by 22.4',0,3),
(145218,100063,11,100,'Increases Defense and Aggression of caster by 62.6',0,4),
(145219,100063,11,100,'Increases Mitigation of caster vs arcane damage by 4088',0,5),
(145220,100063,11,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 15%',0,6),
(145221,100064,10,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(145222,100064,10,100,'Throws target back',1,1),
(145223,100064,10,100,'Blurs vision of target',1,2),
(145224,100064,10,100,'Stuns target',1,3),
(145225,100064,10,100,'Does not affect Epic targets',1,4),
(145226,100064,10,100,'Inflicts 13 - 22 divine damage on target',0,5),
(145227,100065,10,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(145228,100065,10,100,'Throws target back',1,1),
(145229,100065,10,100,'Blurs vision of target',1,2),
(145230,100065,10,100,'Stuns target',1,3),
(145231,100065,10,100,'Does not affect Epic targets',1,4),
(145232,100065,10,100,'Inflicts 48 - 81 divine damage on target',0,5),
(145233,100066,10,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(145234,100066,10,100,'Throws target back',1,1),
(145235,100066,10,100,'Blurs vision of target',1,2),
(145236,100066,10,100,'Stuns target',1,3),
(145237,100066,10,100,'Does not affect Epic targets',1,4),
(145238,100066,10,100,'Inflicts 90 - 151 divine damage on target',0,5),
(145239,100067,10,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(145240,100067,10,100,'Throws target back',1,1),
(145241,100067,10,100,'Blurs vision of target',1,2),
(145242,100067,10,100,'Stuns target',1,3),
(145243,100067,10,100,'Does not affect Epic targets',1,4),
(145244,100067,10,100,'Inflicts 138 - 230 divine damage on target',0,5),
(145245,100068,10,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(145246,100068,10,100,'Throws target back',1,1),
(145247,100068,10,100,'Blurs vision of target',1,2),
(145248,100068,10,100,'Stuns target',1,3),
(145249,100068,10,100,'Does not affect Epic targets',1,4),
(145250,100068,10,100,'Inflicts 191 - 319 divine damage on target',0,5),
(145251,100069,10,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(145252,100069,10,100,'Throws target back',1,1),
(145253,100069,10,100,'Blurs vision of target',1,2),
(145254,100069,10,100,'Stuns target',1,3),
(145255,100069,10,100,'Does not affect Epic targets',1,4),
(145256,100069,10,100,'Inflicts 244 - 407 divine damage on target',0,5),
(145257,100071,11,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(145258,100071,11,100,'Throws target back',1,1),
(145259,100071,11,100,'Blurs vision of target',1,2),
(145260,100071,11,100,'Stuns target',1,3),
(145261,100071,11,100,'Does not affect Epic targets',1,4),
(145262,100071,11,100,'Inflicts 405 - 675 divine damage on target',0,5),
(145263,100072,10,100,'Inflicts 46 - 77 divine damage on target',0,0),
(145264,100073,10,100,'Inflicts 94 - 157 divine damage on target',0,0),
(145265,100074,10,100,'Inflicts 148 - 246 divine damage on target',0,0),
(145266,100075,10,100,'Inflicts 211 - 352 divine damage on target',0,0),
(145267,100076,10,100,'Inflicts 276 - 460 divine damage on target',0,0),
(145268,100077,10,100,'Inflicts 334 - 558 divine damage on target',0,0),
(145269,100078,10,100,'Inflicts 397 - 662 divine damage on target',0,0),
(145270,100078,11,100,'Inflicts 477 - 796 divine damage on target',0,0),
(145271,100079,10,100,'Grants target a 26% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(145272,100079,10,100,'Increases Defense of caster by 5.3',0,1),
(145273,100081,10,100,'Grants target a 47% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(145274,100081,10,100,'Increases Defense of caster by 11.6',0,1),
(145275,100082,10,100,'Grants target a 57% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(145276,100082,10,100,'Increases Defense of caster by 15.1',0,1),
(145277,100083,10,100,'Increases Threat to target encounter by 653 - 798 ',0,0),
(145278,100083,10,100,'Decreases Mitigation of target encounter vs arcane damage by 194',0,1),
(145279,100083,11,100,'Increases Threat to target encounter by 785 - 960 ',0,0),
(145280,100083,11,100,'Decreases Mitigation of target encounter vs arcane damage by 233',0,1),
(145281,100084,11,100,'Increases Threat to target encounter by 1,791 - 2,069 ',0,0),
(145282,100084,11,100,'Decreases Mitigation of target encounter vs arcane damage by 444',0,1),
(145283,100085,10,100,'Increases Threat to target encounter by 2,398 - 2,812 ',0,0),
(145284,100085,10,100,'Decreases Mitigation of target encounter vs arcane damage by 605',0,1),
(145285,100085,11,100,'Increases Threat to target encounter by 2,775 - 3,271 ',0,0),
(145286,100085,11,100,'Decreases Mitigation of target encounter vs arcane damage by 727',0,1),
(145287,100086,11,100,'Increases Threat to target encounter by 3,976 - 4,740 ',0,0),
(145288,100086,11,100,'Decreases Mitigation of target encounter vs arcane damage by 1010',0,1),
(145289,100087,11,100,'Increases Threat to target encounter by 5,326 - 6,390 ',0,0),
(145290,100087,11,100,'Decreases Mitigation of target encounter vs arcane damage by 1293',0,1),
(145291,100088,10,100,'Increases Threat to target encounter by 5,693 - 6,838 ',0,0),
(145292,100088,10,100,'Decreases Mitigation of target encounter vs arcane damage by 1386',0,1),
(145293,100088,11,100,'Increases Threat to target encounter by 6,736 - 8,113 ',0,0),
(145294,100088,11,100,'Decreases Mitigation of target encounter vs arcane damage by 1667',0,1),
(145295,100089,10,100,'Increases Threat to target encounter by 6,829 - 8,227 ',0,0),
(145296,100089,10,100,'Decreases Mitigation of target encounter vs arcane damage by 1734',0,1),
(145297,100089,11,100,'Increases Threat to target encounter by 8,102 - 9,783 ',0,0),
(145298,100089,11,100,'Decreases Mitigation of target encounter vs arcane damage by 2085',0,1),
(145299,100090,10,100,'Increases Threat to target encounter by 7,965 - 9,615 ',0,0),
(145300,100090,10,100,'Decreases Mitigation of target encounter vs arcane damage by 1935',0,1),
(145301,100090,11,100,'Increases Threat to target encounter by 9,468 - 11,452 ',0,0),
(145302,100090,11,100,'Decreases Mitigation of target encounter vs arcane damage by 2327',0,1),
(145303,100091,10,100,'Transfers 38% of group members (AE)''s current Threat to the caster',0,0),
(145304,100092,1,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(145305,100092,1,100,'Increases the amount of Potency gained by 20%',0,4),
(145306,100092,2,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(145307,100092,2,100,'Increases the amount of Potency gained by 20%',0,4),
(145308,100092,3,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(145309,100092,3,100,'Increases the amount of Potency gained by 20%',0,4),
(145310,100092,4,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(145311,100092,4,100,'Increases the amount of Potency gained by 20%',0,4),
(145312,100092,5,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(145313,100092,5,100,'Increases the amount of Potency gained by 20%',0,4),
(145314,100092,7,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(145315,100092,7,100,'Increases the amount of Potency gained by 20%',0,4),
(145316,100092,9,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(145317,100092,9,100,'Increases the amount of Potency gained by 20%',0,4),
(145318,100092,10,100,'Increases STR of caster by 22.2',0,0),
(145319,100092,10,100,'Decreases Defense of caster by 1.8',0,1),
(145320,100092,10,100,'Increases Crushing, Piercing, Slashing and Disruption of caster by 4.5',0,2),
(145321,100092,10,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(145322,100092,10,100,'Increases the amount of Potency gained by 20%',0,4),
(145323,100093,1,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(145324,100093,1,100,'Increases the amount of Potency gained by 20%',0,4),
(145325,100093,2,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(145326,100093,2,100,'Increases the amount of Potency gained by 20%',0,4),
(145327,100093,3,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(145328,100093,3,100,'Increases the amount of Potency gained by 20%',0,4),
(145329,100093,4,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(145330,100093,4,100,'Increases the amount of Potency gained by 20%',0,4),
(145331,100093,5,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(145332,100093,5,100,'Increases the amount of Potency gained by 20%',0,4),
(145333,100093,7,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(145334,100093,7,100,'Increases the amount of Potency gained by 20%',0,4),
(145335,100093,9,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(145336,100093,9,100,'Increases the amount of Potency gained by 20%',0,4),
(145337,100093,10,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(145338,100093,10,100,'Increases the amount of Potency gained by 20%',0,4),
(145339,100094,1,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(145340,100094,1,100,'Increases the amount of Potency gained by 20%',0,4),
(145341,100094,2,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(145342,100094,2,100,'Increases the amount of Potency gained by 20%',0,4),
(145343,100094,3,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(145344,100094,3,100,'Increases the amount of Potency gained by 20%',0,4),
(145345,100094,4,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(145346,100094,4,100,'Increases the amount of Potency gained by 20%',0,4),
(145347,100094,5,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(145348,100094,5,100,'Increases the amount of Potency gained by 20%',0,4),
(145349,100094,7,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(145350,100094,7,100,'Increases the amount of Potency gained by 20%',0,4),
(145351,100094,9,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(145352,100094,9,100,'Increases the amount of Potency gained by 20%',0,4),
(145353,100094,10,100,'Increases STR of caster by 82.7',0,0),
(145354,100094,10,100,'Decreases Defense of caster by 9.6',0,1),
(145355,100094,10,100,'Increases Crushing, Piercing, Slashing and Disruption of caster by 24.2',0,2),
(145356,100094,10,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(145357,100094,10,100,'Increases the amount of Potency gained by 20%',0,4),
(145358,100095,1,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(145359,100095,1,100,'Increases the amount of Potency gained by 20%',0,4),
(145360,100095,2,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(145361,100095,2,100,'Increases the amount of Potency gained by 20%',0,4),
(145362,100095,3,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(145363,100095,3,100,'Increases the amount of Potency gained by 20%',0,4),
(145364,100095,4,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(145365,100095,4,100,'Increases the amount of Potency gained by 20%',0,4),
(145366,100095,5,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(145367,100095,5,100,'Increases the amount of Potency gained by 20%',0,4),
(145368,100095,7,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(145369,100095,7,100,'Increases the amount of Potency gained by 20%',0,4),
(145370,100095,9,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(145371,100095,9,100,'Increases the amount of Potency gained by 20%',0,4),
(145372,100095,10,100,'Increases STR of caster by 120.3',0,0),
(145373,100095,10,100,'Decreases Defense of caster by 13.8',0,1),
(145374,100095,10,100,'Increases Crushing, Piercing, Slashing and Disruption of caster by 34.8',0,2),
(145375,100095,10,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(145376,100095,10,100,'Increases the amount of Potency gained by 20%',0,4),
(145377,100096,1,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(145378,100096,1,100,'Increases the amount of Potency gained by 20%',0,4),
(145379,100096,2,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(145380,100096,2,100,'Increases the amount of Potency gained by 20%',0,4),
(145381,100096,3,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(145382,100096,3,100,'Increases the amount of Potency gained by 20%',0,4),
(145383,100096,4,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(145384,100096,4,100,'Increases the amount of Potency gained by 20%',0,4),
(145385,100096,5,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(145386,100096,5,100,'Increases the amount of Potency gained by 20%',0,4),
(145387,100096,7,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(145388,100096,7,100,'Increases the amount of Potency gained by 20%',0,4),
(145389,100096,9,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(145390,100096,9,100,'Increases the amount of Potency gained by 20%',0,4),
(145391,100096,10,100,'Increases STR of caster by 157.9',0,0),
(145392,100096,10,100,'Decreases Defense of caster by 18.0',0,1),
(145393,100096,10,100,'Increases Crushing, Piercing, Slashing and Disruption of caster by 45.4',0,2),
(145394,100096,10,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(145395,100096,10,100,'Increases the amount of Potency gained by 20%',0,4),
(145396,100097,1,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(145397,100097,1,100,'Increases the amount of Potency gained by 20%',0,4),
(145398,100097,2,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(145399,100097,2,100,'Increases the amount of Potency gained by 20%',0,4),
(145400,100097,3,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(145401,100097,3,100,'Increases the amount of Potency gained by 20%',0,4),
(145402,100097,4,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(145403,100097,4,100,'Increases the amount of Potency gained by 20%',0,4),
(145404,100097,5,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(145405,100097,5,100,'Increases the amount of Potency gained by 20%',0,4),
(145406,100097,7,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(145407,100097,7,100,'Increases the amount of Potency gained by 20%',0,4),
(145408,100097,9,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(145409,100097,9,100,'Increases the amount of Potency gained by 20%',0,4),
(145410,100097,10,100,'Increases STR of caster by 195.9',0,0),
(145411,100097,10,100,'Decreases Defense of caster by 22.2',0,1),
(145412,100097,10,100,'Increases Crushing, Piercing, Slashing and Disruption of caster by 55.9',0,2),
(145413,100097,10,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(145414,100097,10,100,'Increases the amount of Potency gained by 20%',0,4),
(145415,100098,1,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(145416,100098,1,100,'Increases the amount of Potency gained by 20%',0,4),
(145417,100098,4,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(145418,100098,4,100,'Increases the amount of Potency gained by 20%',0,4),
(145419,100098,5,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(145420,100098,5,100,'Increases the amount of Potency gained by 20%',0,4),
(145421,100098,7,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(145422,100098,7,100,'Increases the amount of Potency gained by 20%',0,4),
(145423,100098,9,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(145424,100098,9,100,'Increases the amount of Potency gained by 20%',0,4),
(145425,100098,10,100,'Increases STR of caster by 232.8',0,0),
(145426,100098,10,100,'Decreases Defense of caster by 26.2',0,1),
(145427,100098,10,100,'Increases Crushing, Piercing, Slashing and Disruption of caster by 66.8',0,2),
(145428,100098,10,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,3),
(145429,100098,10,100,'Increases the amount of Potency gained by 20%',0,4),
(145430,100099,1,100,'Increases Crushing, Piercing, Slashing and Disruption of caster by 42.5',0,3),
(145431,100099,1,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,4),
(145432,100099,1,100,'Increases the amount of Potency gained by 20%',0,5),
(145433,100099,4,100,'Increases Crushing, Piercing, Slashing and Disruption of caster by 52.0',0,3),
(145434,100099,4,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,4),
(145435,100099,4,100,'Increases the amount of Potency gained by 20%',0,5),
(145436,100099,5,100,'Increases Crushing, Piercing, Slashing and Disruption of caster by 56.7',0,3),
(145437,100099,5,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,4),
(145438,100099,5,100,'Increases the amount of Potency gained by 20%',0,5),
(145439,100099,7,100,'Increases Crushing, Piercing, Slashing and Disruption of caster by 72.8',0,3),
(145440,100099,7,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,4),
(145441,100099,7,100,'Increases the amount of Potency gained by 20%',0,5),
(145442,100099,9,100,'Increases Crushing, Piercing, Slashing and Disruption of caster by 75.6',0,3),
(145443,100099,9,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,4),
(145444,100099,9,100,'Increases the amount of Potency gained by 20%',0,5),
(145445,100099,10,100,'Increases STR of caster by 269.8',0,0),
(145446,100099,10,100,'Increases Potency of caster by 2.7%',0,1),
(145447,100099,10,100,'Decreases Defense of caster by 30.2',0,2),
(145448,100099,10,100,'Increases Crushing, Piercing, Slashing and Disruption of caster by 79.4',0,3),
(145449,100099,10,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,4),
(145450,100099,10,100,'Increases the amount of Potency gained by 20%',0,5),
(145451,100099,11,100,'Increases STR of caster by 324.4',0,0),
(145452,100099,11,100,'Increases Potency of caster by 3.2%',0,1),
(145453,100099,11,100,'Decreases Defense of caster by 30.2',0,2),
(145454,100099,11,100,'Increases Crushing, Piercing, Slashing and Disruption of caster by 95.4',0,3),
(145455,100099,11,100,'The caster may not benefit from any stoneskin, death prevent, or 100% avoidance abilities while under this effect and for 5 seconds after the effect has been removed.',0,4),
(145456,100099,11,100,'Increases the amount of Potency gained by 20%',0,5),
(145457,100101,10,100,'Transfers 40% of target''s current Threat to the caster',0,0),
(145458,100102,10,100,'Transfers 47% of target''s current Threat to the caster',0,0),
(145459,100103,11,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(145460,100103,11,100,'Inflicts 55 - 92 divine damage on target',1,1),
(145461,100103,11,100,'Inflicts 47 - 79 divine damage on target',1,2),
(145462,100103,11,100,'If target is undead',2,3),
(145463,100103,11,100,'Stuns target',1,4),
(145464,100103,11,100,'If Target is not Epic',2,5),
(145465,100104,10,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(145466,100104,10,100,'Inflicts 111 - 185 divine damage on target',1,1),
(145467,100104,10,100,'Inflicts 95 - 159 divine damage on target',1,2),
(145468,100104,10,100,'If target is undead',2,3),
(145469,100104,10,100,'Stuns target',1,4),
(145470,100104,10,100,'If Target is not Epic',2,5),
(145471,100104,11,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(145472,100104,11,100,'Inflicts 134 - 223 divine damage on target',1,1),
(145473,100104,11,100,'Inflicts 115 - 191 divine damage on target',1,2),
(145474,100104,11,100,'If target is undead',2,3),
(145475,100104,11,100,'Stuns target',1,4),
(145476,100104,11,100,'If Target is not Epic',2,5),
(145477,100105,10,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(145478,100105,10,100,'Inflicts 185 - 309 divine damage on target',1,1),
(145479,100105,10,100,'Inflicts 159 - 265 divine damage on target',1,2),
(145480,100105,10,100,'If target is undead',2,3),
(145481,100105,10,100,'Stuns target',1,4),
(145482,100105,10,100,'If Target is not Epic',2,5),
(145483,100105,11,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(145484,100105,11,100,'Inflicts 223 - 372 divine damage on target',1,1),
(145485,100105,11,100,'Inflicts 191 - 319 divine damage on target',1,2),
(145486,100105,11,100,'If target is undead',2,3),
(145487,100105,11,100,'Stuns target',1,4),
(145488,100105,11,100,'If Target is not Epic',2,5),
(145489,100106,11,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(145490,100106,11,100,'Inflicts 331 - 552 divine damage on target',1,1),
(145491,100106,11,100,'Inflicts 284 - 473 divine damage on target',1,2),
(145492,100106,11,100,'If target is undead',2,3),
(145493,100106,11,100,'Stuns target',1,4),
(145494,100106,11,100,'If Target is not Epic',2,5),
(145495,100107,10,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(145496,100107,10,100,'Inflicts 368 - 614 divine damage on target',1,1),
(145497,100107,10,100,'Inflicts 316 - 526 divine damage on target',1,2),
(145498,100107,10,100,'If target is undead',2,3),
(145499,100107,10,100,'Stuns target',1,4),
(145500,100107,10,100,'If Target is not Epic',2,5),
(145501,100107,11,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(145502,100107,11,100,'Inflicts 443 - 738 divine damage on target',1,1),
(145503,100107,11,100,'Inflicts 380 - 633 divine damage on target',1,2),
(145504,100107,11,100,'If target is undead',2,3),
(145505,100107,11,100,'Stuns target',1,4),
(145506,100107,11,100,'If Target is not Epic',2,5),
(145507,100108,10,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(145508,100108,10,100,'Inflicts 454 - 756 divine damage on target',1,1),
(145509,100108,10,100,'Inflicts 389 - 648 divine damage on target',1,2),
(145510,100108,10,100,'If target is undead',2,3),
(145511,100108,10,100,'Stuns target',1,4),
(145512,100108,10,100,'If Target is not Epic',2,5),
(145513,100108,11,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(145514,100108,11,100,'Inflicts 545 - 909 divine damage on target',1,1),
(145515,100108,11,100,'Inflicts 467 - 779 divine damage on target',1,2),
(145516,100108,11,100,'If target is undead',2,3),
(145517,100108,11,100,'Stuns target',1,4),
(145518,100108,11,100,'If Target is not Epic',2,5),
(145519,100109,10,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(145520,100109,10,100,'Inflicts 547 - 911 divine damage on target',1,1),
(145521,100109,10,100,'Inflicts 469 - 781 divine damage on target',1,2),
(145522,100109,10,100,'If target is undead',2,3),
(145523,100109,10,100,'Stuns target',1,4),
(145524,100109,10,100,'If Target is not Epic',2,5),
(145525,100109,11,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(145526,100109,11,100,'Inflicts 657 - 1096 divine damage on target',1,1),
(145527,100109,11,100,'Inflicts 564 - 939 divine damage on target',1,2),
(145528,100109,11,100,'If target is undead',2,3),
(145529,100109,11,100,'Stuns target',1,4),
(145530,100109,11,100,'If Target is not Epic',2,5),
(145531,100110,10,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(145532,100110,10,100,'Inflicts 601 - 1001 divine damage on target',1,1),
(145533,100110,10,100,'Inflicts 515 - 858 divine damage on target',1,2),
(145534,100110,10,100,'If target is undead',2,3),
(145535,100110,10,100,'Stuns target',1,4),
(145536,100110,10,100,'If Target is not Epic',2,5),
(145537,100110,11,100,'On a melee hit this spell may cast Glorious Strike on target of attack.  Lasts for 2.0 seconds.  Triggers about 1.6 times per minute. ',0,0),
(145538,100110,11,100,'Inflicts 722 - 1203 divine damage on target',1,1),
(145539,100110,11,100,'Inflicts 619 - 1032 divine damage on target',1,2),
(145540,100110,11,100,'If target is undead',2,3),
(145541,100110,11,100,'Stuns target',1,4),
(145542,100110,11,100,'If Target is not Epic',2,5),
(145543,100111,10,100,'Increases STA of caster by 10.1',0,0),
(145544,100111,10,100,'Increases STR of caster by 23.7',0,1),
(145545,100111,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 643',0,2),
(145546,100112,10,100,'Increases STA of caster by 20.4',0,0),
(145547,100112,10,100,'Increases STR of caster by 37.0',0,1),
(145548,100112,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1019',0,2),
(145549,100113,10,100,'Increases STA of caster by 30.2',0,0),
(145550,100113,10,100,'Increases STR of caster by 51.2',0,1),
(145551,100113,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1394',0,2),
(145552,100114,10,100,'Increases STA of caster by 38.5',0,0),
(145553,100114,10,100,'Increases STR of caster by 65.3',0,1),
(145554,100114,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1769',0,2),
(145555,100115,10,100,'Increases STA of caster by 46.8',0,0),
(145556,100115,10,100,'Increases STR of caster by 79.0',0,1),
(145557,100115,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2064',0,2),
(145558,100116,10,100,'Increases STA of caster by 55.2',0,0),
(145559,100116,10,100,'Increases STR of caster by 92.9',0,1),
(145560,100116,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2332',0,2),
(145561,100117,10,100,'Increases STA of caster by 63.6',0,0),
(145562,100117,10,100,'Increases STR of caster by 106.7',0,1),
(145563,100117,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2990',0,2),
(145564,100117,11,100,'Increases STA of caster by 76.5',0,0),
(145565,100117,11,100,'Increases STR of caster by 128.3',0,1),
(145566,100117,11,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 3595',0,2),
(145567,100118,10,100,'Applies Castigate.',0,0),
(145568,100118,10,100,'Inflicts 517 - 861 divine damage on targets in Area of Effect',1,1),
(145569,100118,10,100,'Dispels 121 levels of any hostile effects on caster',0,2),
(145570,100118,10,100,'Casts Castigate for each successful Dispel.',0,3),
(145571,100118,10,100,'Inflicts 517 - 861 divine damage on targets in Area of Effect',2,4),
(145572,100119,10,100,'Applies Castigate.',0,0),
(145573,100119,10,100,'Inflicts 660 - 1100 divine damage on targets in Area of Effect',1,1),
(145574,100119,10,100,'Dispels 145 levels of any hostile effects on caster',0,2),
(145575,100119,10,100,'Casts Castigate for each successful Dispel.',0,3),
(145576,100119,10,100,'Inflicts 660 - 1100 divine damage on targets in Area of Effect',2,4),
(145577,100120,10,100,'Applies Castigate.',0,0),
(145578,100120,10,100,'Inflicts 795 - 1325 divine damage on targets in Area of Effect',1,1),
(145579,100120,10,100,'Dispels 163 levels of any hostile effects on caster',0,2),
(145580,100120,10,100,'Casts Castigate for each successful Dispel.',0,3),
(145581,100120,10,100,'Inflicts 795 - 1325 divine damage on targets in Area of Effect',2,4),
(145582,100121,10,100,'Applies Castigate.',0,0),
(145583,100121,10,100,'Inflicts 863 - 1438 divine damage on targets in Area of Effect',1,1),
(145584,100121,10,100,'Dispels 181 levels of any hostile effects on caster',0,2),
(145585,100121,10,100,'Casts Castigate for each successful Dispel.',0,3),
(145586,100121,10,100,'Inflicts 863 - 1438 divine damage on targets in Area of Effect',2,4),
(145587,100121,11,100,'Applies Castigate.',0,0),
(145588,100121,11,100,'Inflicts 1038 - 1729 divine damage on targets in Area of Effect',1,1),
(145589,100121,11,100,'Dispels 218 levels of any hostile effects on caster',0,2),
(145590,100121,11,100,'Casts Castigate for each successful Dispel.',0,3),
(145591,100121,11,100,'Inflicts 1038 - 1729 divine damage on targets in Area of Effect',2,4),
(145592,100122,10,100,'Applies Consecration.',0,0),
(145593,100122,10,100,'Inflicts 152 - 186 divine damage on targets in Area of Effect',1,1),
(145594,100122,11,100,'Applies Consecration.',0,0),
(145595,100122,11,100,'Inflicts 183 - 223 divine damage on targets in Area of Effect',1,1),
(145596,100123,11,100,'Applies Consecration.',0,0),
(145597,100123,11,100,'Inflicts 265 - 324 divine damage on targets in Area of Effect',1,1),
(145598,100124,11,100,'Applies Consecration.',0,0),
(145599,100124,11,100,'Inflicts 320 - 391 divine damage on targets in Area of Effect',1,1),
(145600,100125,11,100,'Applies Consecration.',0,0),
(145601,100125,11,100,'Inflicts 365 - 446 divine damage on targets in Area of Effect',1,1),
(145602,100126,10,100,'Increases WIS of raid and group members (AE) by 17.2',0,0),
(145603,100126,10,100,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 145',0,1),
(145604,100126,10,100,'Increases heal amounts of raid members by 5.26%.',0,2),
(145605,100126,11,100,'Increases WIS of raid and group members (AE) by 20.6',0,0),
(145606,100126,11,100,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 175',0,1),
(145607,100126,11,100,'Increases heal amounts of raid members by 6.32%.',0,2),
(145608,100127,11,100,'Increases WIS of raid and group members (AE) by 35.9',0,0),
(145609,100127,11,100,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 320',0,1),
(145610,100127,11,100,'Increases heal amounts of raid members by 6.32%.',0,2),
(145611,100128,10,100,'Increases WIS of raid and group members (AE) by 43.0',0,0),
(145612,100128,10,100,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 379',0,1),
(145613,100128,10,100,'Increases heal amounts of raid members by 5.26%.',0,2),
(145614,100128,11,100,'Increases WIS of raid and group members (AE) by 51.8',0,0),
(145615,100128,11,100,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 456',0,1),
(145616,100128,11,100,'Increases heal amounts of raid members by 6.32%.',0,2),
(145617,100129,10,100,'Increases WIS of raid and group members (AE) by 56.2',0,0),
(145618,100129,10,100,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 492',0,1),
(145619,100129,10,100,'Increases heal amounts of raid members by 5.26%.',0,2),
(145620,100129,11,100,'Increases WIS of raid and group members (AE) by 67.6',0,0),
(145621,100129,11,100,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 591',0,1),
(145622,100129,11,100,'Increases heal amounts of raid members by 6.32%.',0,2),
(145623,100130,10,100,'Increases WIS of raid and group members (AE) by 68.6',0,0),
(145624,100130,10,100,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 589',0,1),
(145625,100130,10,100,'Increases heal amounts of raid members by 5.26%.',0,2),
(145626,100130,11,100,'Increases WIS of raid and group members (AE) by 82.4',0,0),
(145627,100130,11,100,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 708',0,1),
(145628,100130,11,100,'Increases heal amounts of raid members by 6.32%.',0,2),
(145629,100131,10,100,'Increases WIS of raid and group members (AE) by 82.8',0,0),
(145630,100131,10,100,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 677',0,1),
(145631,100131,10,100,'Increases heal amounts of raid members by 5.26%.',0,2),
(145632,100131,11,100,'Increases WIS of raid and group members (AE) by 99.5',0,0),
(145633,100131,11,100,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 814',0,1),
(145634,100131,11,100,'Increases heal amounts of raid members by 6.32%.',0,2),
(145635,100132,10,100,'Increases WIS of raid and group members (AE) by 95.7',0,0),
(145636,100132,10,100,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 758',0,1),
(145637,100132,10,100,'Increases heal amounts of raid members by 5.26%.',0,2),
(145638,100132,11,100,'Increases WIS of raid and group members (AE) by 115.1',0,0),
(145639,100132,11,100,'Increases Mitigation of raid and group members (AE) vs elemental, noxious and arcane damage by 911',0,1),
(145640,100132,11,100,'Increases heal amounts of raid members by 6.32%.',0,2),
(145641,100133,10,100,'Interrupts target encounter',0,0),
(145642,100133,10,100,'Inflicts 259 - 431 divine damage on target encounter',0,1),
(145643,100134,10,100,'Interrupts target encounter',0,0),
(145644,100134,10,100,'Inflicts 389 - 649 divine damage on target encounter',0,1),
(145645,100135,10,100,'Interrupts target encounter',0,0),
(145646,100135,10,100,'Inflicts 472 - 786 divine damage on target encounter',0,1),
(145647,100136,10,100,'Interrupts target encounter',0,0),
(145648,100136,10,100,'Inflicts 568 - 946 divine damage on target encounter',0,1),
(145649,100137,10,100,'Interrupts target encounter',0,0),
(145650,100137,10,100,'Inflicts 602 - 1004 divine damage on target encounter',0,1),
(145651,100137,11,100,'Interrupts target encounter',0,0),
(145652,100137,11,100,'Inflicts 724 - 1207 divine damage on target encounter',0,1),
(145653,100139,10,100,'Wards target against 420 points of all damage',0,0),
(145654,100141,10,100,'Wards target against 1004 points of all damage',0,0),
(145655,100142,10,100,'Wards target against 1329 points of all damage',0,0),
(145656,100143,10,100,'Wards target against 1584 points of all damage',0,0),
(145657,100144,10,100,'Wards target against 1913 points of all damage',0,0),
(145658,100145,10,100,'Wards target against 2058 points of all damage',0,0),
(145659,100145,11,100,'Wards target against 2475 points of all damage',0,0),
(145660,100146,10,100,'Heals caster for 59.0 - 72.1% of max health',0,0),
(145661,100146,10,100,'This effect cannot be critically applied.',1,1),
(145662,100146,10,100,'Increases Max Health of caster by 232.2',0,2),
(145663,100146,10,100,'The healing of this spell cannot be modified except by direct means',0,3),
(145664,100147,10,100,'Heals caster for 59.0 - 72.1% of max health',0,0),
(145665,100147,10,100,'This effect cannot be critically applied.',1,1),
(145666,100147,10,100,'Increases Max Health of caster by 436.8',0,2),
(145667,100147,10,100,'The healing of this spell cannot be modified except by direct means',0,3),
(145668,100148,10,100,'Heals caster for 59.0 - 72.1% of max health',0,0),
(145669,100148,10,100,'This effect cannot be critically applied.',1,1),
(145670,100148,10,100,'Increases Max Health of caster by 627.3',0,2),
(145671,100148,10,100,'The healing of this spell cannot be modified except by direct means',0,3),
(145672,100149,10,100,'Heals caster for 59.0 - 72.1% of max health',0,0),
(145673,100149,10,100,'This effect cannot be critically applied.',1,1),
(145674,100149,10,100,'Increases Max Health of caster by 794.3',0,2),
(145675,100149,10,100,'The healing of this spell cannot be modified except by direct means',0,3),
(145676,100150,10,100,'Heals caster for 38.7 - 47.3% of max health',0,0),
(145677,100150,10,100,'This effect cannot be critically applied.',1,1),
(145678,100150,10,100,'Increases Max Health of caster by 952.6',0,2),
(145679,100150,10,100,'The healing of this spell cannot be modified except by direct means',0,3),
(145680,100151,10,100,'Heals caster for 59.0 - 72.1% of max health',0,0),
(145681,100151,10,100,'This effect cannot be critically applied.',1,1),
(145682,100151,10,100,'Increases Max Health of caster by 1,120.6',0,2),
(145683,100151,10,100,'The healing of this spell cannot be modified except by direct means',0,3),
(145684,100152,10,100,'Heals caster for 59.0 - 72.1% of max health',0,0),
(145685,100152,10,100,'This effect cannot be critically applied.',1,1),
(145686,100152,10,100,'Increases Max Health of caster by 1,288.6',0,2),
(145687,100152,10,100,'The healing of this spell cannot be modified except by direct means',0,3),
(145688,100152,11,100,'Heals caster for 50.4 - 61.6% of max health',0,0),
(145689,100152,11,100,'This effect cannot be critically applied.',1,1),
(145690,100152,11,100,'Increases Max Health of caster by 1,549.3',0,2),
(145691,100152,11,100,'The healing of this spell cannot be modified except by direct means',0,3),
(145692,100153,10,100,'On death this spell will cast Divine Favor on caster.  Lasts for 12.0 seconds.  ',0,0),
(145693,100153,10,100,'Heals caster for 84.0% of max health',1,1),
(145694,100153,10,100,'This effect cannot be critically applied.',2,2),
(145695,100153,10,100,'Dazes caster',1,3),
(145696,100153,10,100,'Stifles caster',1,4),
(145697,100153,10,100,'The healing of this spell cannot be modified except by direct means',1,5),
(145698,100153,10,100,'Grants a total of 1 trigger of the spell.',1,6),
(145699,100154,10,100,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',0,0),
(145700,100154,10,100,'Inflicts 50 - 84 divine damage on target',1,1),
(145701,100154,10,100,'Inflicts 43 - 72 divine damage on target',1,2),
(145702,100154,10,100,'If target is undead',2,3),
(145703,100154,10,100,'Stuns target',1,4),
(145704,100154,10,100,'If Target is not Epic',2,5),
(145705,100154,10,100,'Inflicts 21 - 35 divine damage on target',0,6),
(145706,100155,10,100,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',0,0),
(145707,100155,10,100,'Inflicts 117 - 194 divine damage on target',1,1),
(145708,100155,10,100,'Inflicts 100 - 166 divine damage on target',1,2),
(145709,100155,10,100,'If target is undead',2,3),
(145710,100155,10,100,'Stuns target',1,4),
(145711,100155,10,100,'If Target is not Epic',2,5),
(145712,100155,10,100,'Inflicts 49 - 83 divine damage on target',0,6),
(145713,100156,10,100,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',0,0),
(145714,100156,10,100,'Inflicts 191 - 318 divine damage on target',1,1),
(145715,100156,10,100,'Inflicts 163 - 272 divine damage on target',1,2),
(145716,100156,10,100,'If target is undead',2,3),
(145717,100156,10,100,'Stuns target',1,4),
(145718,100156,10,100,'If Target is not Epic',2,5),
(145719,100156,10,100,'Inflicts 81 - 136 divine damage on target',0,6),
(145720,100157,10,100,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',0,0),
(145721,100157,10,100,'Inflicts 282 - 470 divine damage on target',1,1),
(145722,100157,10,100,'Inflicts 242 - 403 divine damage on target',1,2),
(145723,100157,10,100,'If target is undead',2,3),
(145724,100157,10,100,'Stuns target',1,4),
(145725,100157,10,100,'If Target is not Epic',2,5),
(145726,100157,10,100,'Inflicts 120 - 201 divine damage on target',0,6),
(145727,100158,10,100,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',0,0),
(145728,100158,10,100,'Inflicts 375 - 625 divine damage on target',1,1),
(145729,100158,10,100,'Inflicts 321 - 536 divine damage on target',1,2),
(145730,100158,10,100,'If target is undead',2,3),
(145731,100158,10,100,'Stuns target',1,4),
(145732,100158,10,100,'If Target is not Epic',2,5),
(145733,100158,10,100,'Inflicts 160 - 267 divine damage on target',0,6),
(145734,100159,10,100,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',0,0),
(145735,100159,10,100,'Inflicts 454 - 756 divine damage on target',1,1),
(145736,100159,10,100,'Inflicts 389 - 648 divine damage on target',1,2),
(145737,100159,10,100,'If target is undead',2,3),
(145738,100159,10,100,'Stuns target',1,4),
(145739,100159,10,100,'If Target is not Epic',2,5),
(145740,100159,10,100,'Inflicts 194 - 323 divine damage on target',0,6),
(145741,100160,10,100,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',0,0),
(145742,100160,10,100,'Inflicts 547 - 911 divine damage on target',1,1),
(145743,100160,10,100,'Inflicts 469 - 781 divine damage on target',1,2),
(145744,100160,10,100,'If target is undead',2,3),
(145745,100160,10,100,'Stuns target',1,4),
(145746,100160,10,100,'If Target is not Epic',2,5),
(145747,100160,10,100,'Inflicts 234 - 390 divine damage on target',0,6),
(145748,100161,10,100,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',0,0),
(145749,100161,10,100,'Inflicts 601 - 1001 divine damage on target',1,1),
(145750,100161,10,100,'Inflicts 515 - 858 divine damage on target',1,2),
(145751,100161,10,100,'If target is undead',2,3),
(145752,100161,10,100,'Stuns target',1,4),
(145753,100161,10,100,'If Target is not Epic',2,5),
(145754,100161,10,100,'Inflicts 257 - 428 divine damage on target',0,6),
(145755,100161,11,100,'Applies Glorious Strike on termination.  Lasts for 2.0 seconds.',0,0),
(145756,100161,11,100,'Inflicts 722 - 1203 divine damage on target',1,1),
(145757,100161,11,100,'Inflicts 619 - 1032 divine damage on target',1,2),
(145758,100161,11,100,'If target is undead',2,3),
(145759,100161,11,100,'Stuns target',1,4),
(145760,100161,11,100,'If Target is not Epic',2,5),
(145761,100161,11,100,'Inflicts 309 - 515 divine damage on target',0,6),
(145762,100163,10,100,'Heals target for 326 - 398',0,0),
(145763,100163,10,100,'This effect cannot be critically applied.',1,1),
(145764,100163,10,100,'Increases Mitigation of target vs physical damage by 142',0,2),
(145765,100163,10,100,'The healing of this spell cannot be modified except by direct means',0,3),
(145766,100165,10,100,'Heals target for 28.7 - 35.1% of max health',0,0),
(145767,100165,10,100,'This effect cannot be critically applied.',1,1),
(145768,100165,10,100,'Increases Mitigation of target vs physical damage by 393',0,2),
(145769,100165,10,100,'The healing of this spell cannot be modified except by direct means',0,3),
(145770,100168,10,100,'Heals target for 28.7 - 35.1% of max health',0,0),
(145771,100168,10,100,'This effect cannot be critically applied.',1,1),
(145772,100168,10,100,'Increases Mitigation of target vs physical damage by 871',0,2),
(145773,100168,10,100,'The healing of this spell cannot be modified except by direct means',0,3),
(145774,100169,10,100,'Heals target for 21.5 - 26.2% of max health',0,0),
(145775,100169,10,100,'This effect cannot be critically applied.',1,1),
(145776,100169,10,100,'Increases Mitigation of target vs physical damage by 1014',0,2),
(145777,100169,10,100,'The healing of this spell cannot be modified except by direct means',0,3),
(145778,100170,10,100,'Heals target for 28.7 - 35.1% of max health',0,0),
(145779,100170,10,100,'This effect cannot be critically applied.',1,1),
(145780,100170,10,100,'Increases Mitigation of target vs physical damage by 1153',0,2),
(145781,100170,10,100,'The healing of this spell cannot be modified except by direct means',0,3),
(145782,100170,11,100,'Heals target for 34.5 - 42.2% of max health',0,0),
(145783,100170,11,100,'This effect cannot be critically applied.',1,1),
(145784,100170,11,100,'Increases Mitigation of target vs physical damage by 1387',0,2),
(145785,100170,11,100,'The healing of this spell cannot be modified except by direct means',0,3),
(145786,100171,9,100,'Summons a Holy Avenger that transfers life from surrounding enemies to your allies.',0,0),
(145787,100171,10,100,'Summons a Holy Avenger that transfers life from surrounding enemies to your allies.',0,0),
(145788,100172,10,100,'Applies Holy Ground.',0,0),
(145789,100172,10,100,'Increases threat priority of targets in Area of Effect by 1 position',1,1),
(145790,100172,10,100,'Increases Threat to targets in Area of Effect by 15,494 - 18,817 ',1,2),
(145791,100172,10,100,'On any combat or spell hit this spell will cast Holy Ground on target of attack.  ',0,3),
(145792,100172,10,100,'Increases Threat to target by 6,895 - 8,308 ',1,4),
(145793,100172,10,100,'Inflicts 361 - 441 divine damage on target',1,5),
(145794,100174,10,100,'Interrupts target',0,0),
(145795,100174,10,100,'Inflicts 59 - 99 divine damage on target',0,1),
(145796,100175,10,100,'Interrupts target',0,0),
(145797,100175,10,100,'Inflicts 127 - 212 divine damage on target',0,1),
(145798,100176,10,100,'Interrupts target',0,0),
(145799,100176,10,100,'Inflicts 203 - 338 divine damage on target',0,1),
(145800,100177,10,100,'Interrupts target',0,0),
(145801,100177,10,100,'Inflicts 608 - 1013 divine damage on target',0,1),
(145802,100177,11,100,'Interrupts target',0,0),
(145803,100177,11,100,'Inflicts 731 - 1218 divine damage on target',0,1),
(145804,100178,10,100,'Interrupts target',0,0),
(145805,100178,10,100,'Inflicts 295 - 492 divine damage on target',0,1),
(145806,100179,10,100,'Interrupts target',0,0),
(145807,100179,10,100,'Inflicts 388 - 647 divine damage on target',0,1),
(145808,100180,10,100,'Interrupts target',0,0),
(145809,100180,10,100,'Inflicts 470 - 784 divine damage on target',0,1),
(145810,100181,10,100,'Interrupts target',0,0),
(145811,100181,10,100,'Inflicts 566 - 944 divine damage on target',0,1),
(145812,100182,10,100,'Heals target for 78.6 - 96.1% of max health',0,0),
(145813,100182,10,100,'This effect cannot be critically applied.',1,1),
(145814,100182,10,100,'Increases Max Health of target by 180.6',0,2),
(145815,100182,10,100,'Increases Mitigation of target vs physical damage by 336',0,3),
(145816,100182,10,100,'The healing of this spell cannot be modified except by direct means',0,4),
(145817,100183,10,100,'Heals target for 78.6 - 96.1% of max health',0,0),
(145818,100183,10,100,'This effect cannot be critically applied.',1,1),
(145819,100183,10,100,'Increases Max Health of target by 436.4',0,2),
(145820,100183,10,100,'Increases Mitigation of target vs physical damage by 571',0,3),
(145821,100183,10,100,'The healing of this spell cannot be modified except by direct means',0,4),
(145822,100184,10,100,'Heals target for 78.6 - 96.1% of max health',0,0),
(145823,100184,10,100,'This effect cannot be critically applied.',1,1),
(145824,100184,10,100,'Increases Max Health of target by 688.8',0,2),
(145825,100184,10,100,'Increases Mitigation of target vs physical damage by 806',0,3),
(145826,100184,10,100,'The healing of this spell cannot be modified except by direct means',0,4),
(145827,100186,10,100,'Heals target for 78.6 - 96.1% of max health',0,0),
(145828,100186,10,100,'This effect cannot be critically applied.',1,1),
(145829,100186,10,100,'Increases Max Health of target by 1,106.7',0,2),
(145830,100186,10,100,'Increases Mitigation of target vs physical damage by 1305',0,3),
(145831,100186,10,100,'The healing of this spell cannot be modified except by direct means',0,4),
(145832,100188,11,100,'Heals target for 94.5 - 115.5% of max health',0,0),
(145833,100188,11,100,'This effect cannot be critically applied.',1,1),
(145834,100188,11,100,'Increases Max Health of target by 1,835.7',0,2),
(145835,100188,11,100,'Increases Mitigation of target vs physical damage by 2089',0,3),
(145836,100188,11,100,'The healing of this spell cannot be modified except by direct means',0,4),
(145837,100189,9,100,'Reduces physical damage done to caster by 10%',0,0),
(145838,100189,9,100,'When the paladin takes damage, they will heal themselves for 10% of the damage amount.',0,1),
(145839,100189,9,100,'On a spell cast this spell has a 15% chance to cast Marr''s Favor on caster.  Lasts for 15.0 seconds.  ',0,2),
(145840,100189,9,100,'Increases the damage of spells by up to 25% of your total strength',1,3),
(145841,100189,9,100,'On a combat hit this spell may cast Marr''s Fury on target of attack.  Triggers about 3.0 times per minute. ',0,4),
(145842,100189,9,100,'Inflicts 734 - 897 divine damage on target',1,5),
(145843,100189,9,100,'Cannot be modified except by direct means',0,6),
(145844,100189,10,100,'Reduces physical damage done to caster by 10%',0,0),
(145845,100189,10,100,'When the paladin takes damage, they will heal themselves for 10% of the damage amount.',0,1),
(145846,100189,10,100,'On a spell cast this spell has a 15% chance to cast Marr''s Favor on caster.  Lasts for 15.0 seconds.  ',0,2),
(145847,100189,10,100,'Increases the damage of spells by up to 25% of your total strength',1,3),
(145848,100189,10,100,'On a combat hit this spell may cast Marr''s Fury on target of attack.  Triggers about 3.0 times per minute. ',0,4),
(145849,100189,10,100,'Inflicts 734 - 897 divine damage on target',1,5),
(145850,100189,10,100,'Cannot be modified except by direct means',0,6),
(145851,100191,10,100,'Heals group members (AE) for 207 - 253',0,0),
(145852,100191,10,100,'This effect cannot be critically applied.',1,1),
(145853,100191,10,100,'Increases Max Health of group members (AE) by 113.6',0,2),
(145854,100191,10,100,'The healing of this spell cannot be modified except by direct means',0,3),
(145855,100194,10,100,'Heals group members (AE) for 13.0 - 15.8% of max health',0,0),
(145856,100194,10,100,'This effect cannot be critically applied.',1,1),
(145857,100194,10,100,'Increases Max Health of group members (AE) by 675.0',0,2),
(145858,100194,10,100,'The healing of this spell cannot be modified except by direct means',0,3),
(145859,100195,10,100,'Heals group members (AE) for 13.0 - 15.8% of max health',0,0),
(145860,100195,10,100,'This effect cannot be critically applied.',1,1),
(145861,100195,10,100,'Increases Max Health of group members (AE) by 851.8',0,2),
(145862,100195,10,100,'The healing of this spell cannot be modified except by direct means',0,3),
(145863,100196,10,100,'Heals group members (AE) for 13.0 - 15.8% of max health',0,0),
(145864,100196,10,100,'This effect cannot be critically applied.',1,1),
(145865,100196,10,100,'Increases Max Health of group members (AE) by 1,019.8',0,2),
(145866,100196,10,100,'The healing of this spell cannot be modified except by direct means',0,3),
(145867,100197,10,100,'Heals group members (AE) for 13.0 - 15.8% of max health',0,0),
(145868,100197,10,100,'This effect cannot be critically applied.',1,1),
(145869,100197,10,100,'Increases Max Health of group members (AE) by 1,187.8',0,2),
(145870,100197,10,100,'The healing of this spell cannot be modified except by direct means',0,3),
(145871,100197,11,100,'Heals group members (AE) for 15.6 - 19.0% of max health',0,0),
(145872,100197,11,100,'This effect cannot be critically applied.',1,1),
(145873,100197,11,100,'Increases Max Health of group members (AE) by 1,428.1',0,2),
(145874,100197,11,100,'The healing of this spell cannot be modified except by direct means',0,3),
(145875,100198,10,100,'Inflicts 476 - 793 divine damage on target',0,0),
(145876,100200,10,100,'Inflicts 927 - 1544 divine damage on target',0,0),
(145877,100201,10,100,'Inflicts 1122 - 1870 divine damage on target',0,0),
(145878,100202,10,100,'Inflicts 1351 - 2252 divine damage on target',0,0),
(145879,100203,10,100,'Inflicts 1467 - 2445 divine damage on target',0,0),
(145880,100203,11,100,'Inflicts 1764 - 2940 divine damage on target',0,0),
(145881,110002,10,100,'Increases STA of group members (AE) by 11.8',0,0),
(145882,110002,10,100,'Increases Mitigation of group members (AE) vs physical damage by 113',0,1),
(145883,110003,3,100,'Dispels 10 levels of any hostile effects on target',0,0),
(145884,110003,3,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(145885,110004,3,100,'Cannot be modified except by direct means',0,2),
(145886,110005,3,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(145887,110008,10,100,'Heals target for 181 - 222',0,0),
(145888,110009,10,100,'Heals target for 170 - 208',0,0),
(145889,110010,9,100,'If one of the following races:',1,6),
(145890,110010,9,100,'[None]',2,7),
(145891,110011,10,100,'Heals target for 76 - 92',0,0),
(145892,110014,10,100,'Inflicts 15 - 19 divine damage on target',0,0),
(145893,110016,10,100,'Decreases STR of target by 17.9',0,0),
(145894,120000,10,100,'Inflicts 47 - 58 divine damage on target',0,0),
(145895,120000,10,100,'Dazes target',0,1),
(145896,120000,10,100,'If Target is not Epic',1,2),
(145897,120000,10,100,'Dispelled when target receives hostile action',0,3),
(145898,120000,10,100,'Dispelled when target takes damage',0,4),
(145899,120000,10,100,'Resistibility increases against targets higher than level 29.',0,5),
(145900,120001,10,100,'Heals target for 340 - 416',0,0),
(145901,120004,10,100,'Heals target for 170 - 208',0,0),
(145902,120005,10,100,'Increases STA of group members (AE) by 25.7',0,0),
(145903,120005,10,100,'Increases Mitigation of group members (AE) vs physical damage by \r\n990',0,1),
(145904,120006,10,100,'Decreases Threat to targets in Area of Effect by 2,252 ',0,0),
(145905,120006,10,100,'Heals caster for 68 - 83',0,1),
(145909,120008,10,100,'Inflicts 79 - 97 divine damage on target',0,0),
(145910,120008,10,100,'Dazes target',0,1),
(145911,120008,10,100,'If Target is not Epic',1,2),
(145912,120008,10,100,'Dispelled when target receives hostile action',0,3),
(145913,120008,10,100,'Dispelled when target takes damage',0,4),
(145914,120008,10,100,'Resistibility increases against targets higher than level 29.',0,5),
(145915,120009,10,100,'Decreases Mitigation of target vs arcane damage by 314',0,0),
(145916,120009,10,100,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',0,1),
(145917,120009,10,100,'Heals target for 12 instantly and every 2 seconds',1,2),
(145918,120011,10,100,'Heals group members (AE) for 181 - 222',0,0),
(145919,120013,10,100,'Inflicts 82 - 100 divine damage on target',0,0),
(145920,120013,10,100,'Inflicts 82 - 100 divine damage on target',0,1),
(145921,120013,10,100,'If target is undead',1,2),
(145922,120014,10,100,'Decreases Mitigation of target vs physical damage by 202',0,0),
(145923,120015,10,100,'Increases Max Health of target by 170.4',0,0),
(145924,120015,10,100,'Increases Slashing and Crushing of target by 4.0',0,1),
(145925,120015,10,100,'Increases Piercing of target by 8.1',0,2),
(145926,120016,10,100,'Inflicts 2 divine damage on target instantly and every 4 seconds',0,0),
(145927,120016,10,100,'Decreases WIS of target by 45.4',0,1),
(145928,120017,10,100,'Inflicts 2 divine damage on target instantly and every 4 seconds',0,0),
(145929,120017,10,100,'Decreases WIS of target by 69.6',0,1),
(145930,120018,10,100,'Inflicts 2 divine damage on target instantly and every 4 seconds',0,0),
(145931,120018,10,100,'Decreases WIS of target by 94.2',0,1),
(145932,120019,10,100,'Inflicts 2 divine damage on target instantly and every 4 seconds',0,0),
(145933,120019,10,100,'Decreases WIS of target by 112.7',0,1),
(145934,120020,10,100,'Inflicts 2 divine damage on target instantly and every 4 seconds',0,0),
(145935,120020,10,100,'Decreases WIS of target by 131.2',0,1),
(145936,120020,11,100,'Inflicts 2 divine damage on target instantly and every 4 seconds',0,0),
(145937,120020,11,100,'Decreases WIS of target by 157.8',0,1),
(145938,120023,10,100,'Increases Max Health of group members (AE) by 56.8',0,0),
(145939,120023,10,100,'Increases Mitigation of group members (AE) vs arcane damage by 290',0,1),
(145940,130000,10,100,'Increases STA of target by 5.2',0,0),
(145941,130000,10,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 1.5',0,1),
(145942,130001,10,100,'Increases STA of target by 17.0',0,0),
(145943,130001,10,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 4.0',0,1),
(145944,130003,10,100,'Increases STA of target by 74.1',0,0),
(145945,130003,10,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 11.1',0,1),
(145946,130004,10,100,'Increases STA of target by 101.3',0,0),
(145947,130004,10,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 14.6',0,1),
(145948,130005,10,100,'Increases STA of target by 127.8',0,0),
(145949,130005,10,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 18.3',0,1),
(145950,130006,10,100,'Increases STA of target by 153.0',0,0),
(145951,130006,10,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 21.8',0,1),
(145952,130007,10,100,'Increases STA of target by 178.2',0,0),
(145953,130007,10,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 26.0',0,1),
(145954,130007,11,100,'Increases STA of target by 214.2',0,0),
(145955,130007,11,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 31.3',0,1),
(145956,130008,10,100,'Stuns target',0,0),
(145957,130008,10,100,'Does not affect Epic targets',0,1),
(145958,130008,10,100,'Resistibility increases against targets higher than level 29.',0,2),
(145959,130009,10,100,'Stuns target',0,0),
(145960,130009,10,100,'Does not affect Epic targets',0,1),
(145961,130009,10,100,'Resistibility increases against targets higher than level 29.',0,2),
(145962,130010,10,100,'Stuns target',0,0),
(145963,130010,10,100,'Does not affect Epic targets',0,1),
(145964,130010,10,100,'Resistibility increases against targets higher than level 29.',0,2),
(145965,130011,10,100,'Stuns target',0,0),
(145966,130011,10,100,'Does not affect Epic targets',0,1),
(145967,130011,10,100,'Resistibility increases against targets higher than level 29.',0,2),
(145968,130012,10,100,'Stuns target',0,0),
(145969,130012,10,100,'Does not affect Epic targets',0,1),
(145970,130012,10,100,'Resistibility increases against targets higher than level 29.',0,2),
(145971,130015,10,100,'Inflicts 234 divine damage on target encounter',0,0),
(145972,130016,10,100,'Inflicts 359 divine damage on target encounter',0,0),
(145973,130020,11,100,'Inflicts 1081 divine damage on target encounter',0,0),
(145974,130022,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(145975,130022,2,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(145976,130022,3,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(145977,130022,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(145978,130022,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(145979,130022,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(145980,130022,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(145981,130022,10,100,'Dispels 79 levels of any hostile effects on group members (AE)',0,0),
(145982,130022,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(145983,130023,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(145984,130023,2,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(145985,130023,3,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(145986,130023,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(145987,130023,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(145988,130023,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(145989,130023,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(145990,130023,10,100,'Dispels 105 levels of any hostile effects on group members (AE)',0,0),
(145991,130023,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(145992,130024,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(145993,130024,2,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(145994,130024,3,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(145995,130024,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(145996,130024,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(145997,130024,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(145998,130024,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(145999,130024,10,100,'Dispels 130 levels of any hostile effects on group members (AE)',0,0),
(146000,130024,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(146001,130025,10,100,'Distributes the group members'' total combined health evenly among all the members',0,0),
(146002,130026,9,100,'When damaged this spell will cast Shock of Light on target''s attacker.  ',0,0),
(146003,130026,9,100,'Inflicts 1866 - 2281 divine damage on target',1,1),
(146004,130026,9,100,'This effect can only trigger once every 0.1 seconds.',1,2),
(146005,130026,9,100,'Reduces all damage done to the target by 8%.',0,3),
(146006,130026,10,100,'When damaged this spell will cast Shock of Light on target''s attacker.  ',0,0),
(146007,130026,10,100,'Inflicts 1960 - 2395 divine damage on target',1,1),
(146008,130026,10,100,'This effect can only trigger once every 0.1 seconds.',1,2),
(146009,130026,10,100,'Reduces all damage done to the target by 8%.',0,3),
(146010,130027,10,100,'Inflicts 14 - 17 divine damage on target',0,0),
(146011,130028,10,100,'Inflicts 50 - 61 divine damage on target',0,0),
(146012,130029,10,100,'Inflicts 92 - 113 divine damage on target',0,0),
(146013,130031,10,100,'Inflicts 700 - 855 divine damage on target',0,0),
(146014,130031,11,100,'Inflicts 841 - 1028 divine damage on target',0,0),
(146015,130032,10,100,'Inflicts 275 - 336 divine damage on target',0,0),
(146016,130033,10,100,'Inflicts 386 - 472 divine damage on target',0,0),
(146017,130035,10,100,'Inflicts 598 - 731 divine damage on target',0,0),
(146018,130036,10,100,'Inflicts 26 - 31 divine damage on target',0,0),
(146019,130036,10,100,'Inflicts 26 - 31 divine damage on target',0,1),
(146020,130036,10,100,'If target is undead',1,2),
(146021,130038,10,100,'Inflicts 200 - 244 divine damage on target',0,0),
(146022,130038,10,100,'Inflicts 200 - 244 divine damage on target',0,1),
(146023,130038,10,100,'If target is undead',1,2),
(146024,130040,10,100,'Inflicts 1036 - 1266 divine damage on target',0,0),
(146025,130040,10,100,'Inflicts 1036 - 1266 divine damage on target',0,1),
(146026,130040,10,100,'If target is undead',1,2),
(146027,130040,11,100,'Inflicts 1245 - 1522 divine damage on target',0,0),
(146028,130040,11,100,'Inflicts 1245 - 1522 divine damage on target',0,1),
(146029,130040,11,100,'If target is undead',1,2),
(146030,130042,10,100,'Inflicts 643 - 786 divine damage on target',0,0),
(146031,130042,10,100,'Inflicts 643 - 786 divine damage on target',0,1),
(146032,130042,10,100,'If target is undead',1,2),
(146033,130043,10,100,'Inflicts 792 - 968 divine damage on target',0,0),
(146034,130043,10,100,'Inflicts 792 - 968 divine damage on target',0,1),
(146035,130043,10,100,'If target is undead',1,2),
(146036,130044,10,100,'Inflicts 954 - 1166 divine damage on target',0,0),
(146037,130044,10,100,'Inflicts 954 - 1166 divine damage on target',0,1),
(146038,130044,10,100,'If target is undead',1,2),
(146039,130045,10,100,'When any damage is received this spell will cast Benefaction on target.  ',0,0),
(146040,130045,10,100,'Heals target for 580 - 709',1,1),
(146041,130045,10,100,'Grants a total of 8 triggers of the spell.',1,2),
(146042,130045,11,100,'When any damage is received this spell will cast Benefaction on target.  ',0,0),
(146043,130045,11,100,'Heals target for 697 - 852',1,1),
(146044,130045,11,100,'Grants a total of 8 triggers of the spell.',1,2),
(146045,130046,10,100,'When any damage is received this spell will cast Benefaction on target.  ',0,0),
(146046,130046,10,100,'Heals target for 875 - 1069',1,1),
(146047,130046,10,100,'Grants a total of 8 triggers of the spell.',1,2),
(146048,130046,11,100,'When any damage is received this spell will cast Benefaction on target.  ',0,0),
(146049,130046,11,100,'Heals target for 1052 - 1285',1,1),
(146050,130046,11,100,'Grants a total of 8 triggers of the spell.',1,2),
(146051,130047,10,100,'When any damage is received this spell will cast Benefaction on target.  ',0,0),
(146052,130047,10,100,'Heals target for 1179 - 1441',1,1),
(146053,130047,10,100,'Grants a total of 8 triggers of the spell.',1,2),
(146054,130047,11,100,'When any damage is received this spell will cast Benefaction on target.  ',0,0),
(146055,130047,11,100,'Heals target for 1418 - 1733',1,1),
(146056,130047,11,100,'Grants a total of 8 triggers of the spell.',1,2),
(146057,130048,10,100,'When any damage is received this spell will cast Benefaction on target.  ',0,0),
(146058,130048,10,100,'Heals target for 1405 - 1718',1,1),
(146059,130048,10,100,'Grants a total of 8 triggers of the spell.',1,2),
(146060,130048,11,100,'When any damage is received this spell will cast Benefaction on target.  ',0,0),
(146061,130048,11,100,'Heals target for 1690 - 2065',1,1),
(146062,130048,11,100,'Grants a total of 8 triggers of the spell.',1,2),
(146063,130049,10,100,'When any damage is received this spell will cast Benefaction on target.  ',0,0),
(146064,130049,10,100,'Heals target for 1474 - 1802',1,1),
(146065,130049,10,100,'Grants a total of 8 triggers of the spell.',1,2),
(146066,130049,11,100,'When any damage is received this spell will cast Benefaction on target.  ',0,0),
(146067,130049,11,100,'Heals target for 1773 - 2166',1,1),
(146068,130049,11,100,'Grants a total of 8 triggers of the spell.',1,2),
(146069,130050,10,100,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',0,0),
(146070,130050,10,100,'Heals group members (AE) for 458',1,1),
(146071,130050,11,100,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',0,0),
(146072,130050,11,100,'Heals group members (AE) for 550',1,1),
(146073,130051,11,100,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',0,0),
(146074,130051,11,100,'Heals group members (AE) for 763',1,1),
(146075,130052,10,100,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',0,0),
(146076,130052,10,100,'Heals group members (AE) for 878',1,1),
(146077,130052,11,100,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',0,0),
(146078,130052,11,100,'Heals group members (AE) for 1055',1,1),
(146079,130053,11,100,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',0,0),
(146080,130053,11,100,'Heals group members (AE) for 1328',1,1),
(146081,130054,11,100,'On a hit this spell may cast Combat Glory on target.  Triggers about 1.0 times per minute. ',0,0),
(146082,130054,11,100,'Heals group members (AE) for 1480',1,1),
(146083,130055,10,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(146084,130055,10,100,'Decreases Threat to targets in Area of Effect by 2,183 ',0,1),
(146085,130055,10,100,'Dazes targets in Area of Effect',0,2),
(146086,130055,10,100,'If Target is not Epic',1,3),
(146087,130055,10,100,'Dispelled when target receives hostile action',0,4),
(146088,130055,10,100,'Dispelled when target takes damage',0,5),
(146089,130056,10,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(146090,130056,10,100,'Decreases Threat to targets in Area of Effect by 4,841 ',0,1),
(146091,130056,10,100,'Dazes targets in Area of Effect',0,2),
(146092,130056,10,100,'If Target is not Epic',1,3),
(146093,130056,10,100,'Dispelled when target receives hostile action',0,4),
(146094,130056,10,100,'Dispelled when target takes damage',0,5),
(146095,130057,10,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(146096,130057,10,100,'Decreases Threat to targets in Area of Effect by 7,974 ',0,1),
(146097,130057,10,100,'Dazes targets in Area of Effect',0,2),
(146098,130057,10,100,'If Target is not Epic',1,3),
(146099,130057,10,100,'Dispelled when target receives hostile action',0,4),
(146100,130057,10,100,'Dispelled when target takes damage',0,5),
(146101,130058,10,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(146102,130058,10,100,'Decreases Threat to targets in Area of Effect by 11,969 ',0,1),
(146103,130058,10,100,'Dazes targets in Area of Effect',0,2),
(146104,130058,10,100,'If Target is not Epic',1,3),
(146105,130058,10,100,'Dispelled when target receives hostile action',0,4),
(146106,130058,10,100,'Dispelled when target takes damage',0,5),
(146107,130059,10,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(146108,130059,10,100,'Decreases Threat to targets in Area of Effect by 16,161 ',0,1),
(146109,130059,10,100,'Dazes targets in Area of Effect',0,2),
(146110,130059,10,100,'If Target is not Epic',1,3),
(146111,130059,10,100,'Dispelled when target receives hostile action',0,4),
(146112,130059,10,100,'Dispelled when target takes damage',0,5),
(146113,130060,10,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(146114,130060,10,100,'Decreases Threat to targets in Area of Effect by 20,243 ',0,1),
(146115,130060,10,100,'Dazes targets in Area of Effect',0,2),
(146116,130060,10,100,'If Target is not Epic',1,3),
(146117,130060,10,100,'Dispelled when target receives hostile action',0,4),
(146118,130060,10,100,'Dispelled when target takes damage',0,5),
(146119,130061,10,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(146120,130061,10,100,'Decreases Threat to targets in Area of Effect by 24,443 ',0,1),
(146121,130061,10,100,'Dazes targets in Area of Effect',0,2),
(146122,130061,10,100,'If Target is not Epic',1,3),
(146123,130061,10,100,'Dispelled when target receives hostile action',0,4),
(146124,130061,10,100,'Dispelled when target takes damage',0,5),
(146125,130062,10,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(146126,130062,10,100,'Decreases Threat to targets in Area of Effect by 28,643 ',0,1),
(146127,130062,10,100,'Dazes targets in Area of Effect',0,2),
(146128,130062,10,100,'If Target is not Epic',1,3),
(146129,130062,10,100,'Dispelled when target receives hostile action',0,4),
(146130,130062,10,100,'Dispelled when target takes damage',0,5),
(146131,130062,11,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(146132,130062,11,100,'Decreases Threat to targets in Area of Effect by 34,440 ',0,1),
(146133,130062,11,100,'Dazes targets in Area of Effect',0,2),
(146134,130062,11,100,'If Target is not Epic',1,3),
(146135,130062,11,100,'Dispelled when target receives hostile action',0,4),
(146136,130062,11,100,'Dispelled when target takes damage',0,5),
(146137,130064,10,100,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',0,0),
(146138,130064,10,100,'Heals group members (AE) for 526',1,1),
(146139,130065,10,100,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',0,0),
(146140,130065,10,100,'Heals group members (AE) for 800',1,1),
(146141,130066,10,100,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',0,0),
(146142,130066,10,100,'Heals group members (AE) for 1100',1,1),
(146143,130067,10,100,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',0,0),
(146144,130067,10,100,'Heals group members (AE) for 1537',1,1),
(146145,130068,10,100,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',0,0),
(146146,130068,10,100,'Heals group members (AE) for 1911',1,1),
(146147,130069,10,100,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',0,0),
(146148,130069,10,100,'Heals group members (AE) for 2102',1,1),
(146149,130069,11,100,'When target receives a reduction in health of 20% this spell will cast Fate of Healing on caster.  ',0,0),
(146150,130069,11,100,'Heals group members (AE) for 2527',1,1),
(146151,130070,10,100,'Increases Max Health of group members (AE) by 40.3',0,0),
(146152,130070,10,100,'If fighter',1,1),
(146153,130070,10,100,'Increases Mitigation of group members (AE) vs physical damage by 174',0,2),
(146154,130070,10,100,'If not fighter',1,3),
(146155,130071,10,100,'Increases Max Health of group members (AE) by 136.8',0,0),
(146156,130071,10,100,'If fighter',1,1),
(146157,130071,10,100,'Increases Mitigation of group members (AE) vs physical damage by 374',0,2),
(146158,130071,10,100,'If not fighter',1,3),
(146159,130073,10,100,'Increases Max Health of group members (AE) by 536.8',0,0),
(146160,130073,10,100,'If fighter',1,1),
(146161,130073,10,100,'Increases Mitigation of group members (AE) vs physical damage by 908',0,2),
(146162,130073,10,100,'If not fighter',1,3),
(146163,130074,10,100,'Increases Max Health of group members (AE) by 710.8',0,0),
(146164,130074,10,100,'If fighter',1,1),
(146165,130074,10,100,'Increases Mitigation of group members (AE) vs physical damage by 1179',0,2),
(146166,130074,10,100,'If not fighter',1,3),
(146167,130075,10,100,'Increases Max Health of group members (AE) by 885.4',0,0),
(146168,130075,10,100,'If fighter',1,1),
(146169,130075,10,100,'Increases Mitigation of group members (AE) vs physical damage by 1501',0,2),
(146170,130075,10,100,'If not fighter',1,3),
(146171,130077,11,100,'Increases Mitigation of group members (AE) vs physical damage by 2402',0,0),
(146172,130077,11,100,'If not fighter',1,1),
(146173,130077,11,100,'Increases the health of fighters in the group by 7.27 for each point of stamina',0,2),
(146174,130078,11,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(146175,130078,11,100,'Heals target for 89 - 109',1,1),
(146176,130079,10,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(146177,130079,10,100,'Heals target for 157 - 191',1,1),
(146178,130079,11,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(146179,130079,11,100,'Heals target for 188 - 230',1,1),
(146180,130080,11,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(146181,130080,11,100,'Heals target for 299 - 366',1,1),
(146182,130081,10,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(146183,130081,10,100,'Heals target for 360 - 440',1,1),
(146184,130081,11,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(146185,130081,11,100,'Heals target for 433 - 529',1,1),
(146186,130082,10,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(146187,130082,10,100,'Heals target for 471 - 576',1,1),
(146188,130082,11,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(146189,130082,11,100,'Heals target for 566 - 692',1,1),
(146190,130083,10,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(146191,130083,10,100,'Heals target for 619 - 756',1,1),
(146192,130083,11,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(146193,130083,11,100,'Heals target for 744 - 909',1,1),
(146194,130084,10,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(146195,130084,10,100,'Heals target for 745 - 910',1,1),
(146196,130084,11,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(146197,130084,11,100,'Heals target for 895 - 1094',1,1),
(146198,130085,10,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(146199,130085,10,100,'Heals target for 790 - 966',1,1),
(146200,130085,11,100,'When any damage is received this spell will cast Divine Prayer on target, which can be triggered up to 9 times across all targets.  ',0,0),
(146201,130085,11,100,'Heals target for 950 - 1161',1,1),
(146202,130086,10,100,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',0,0),
(146203,130086,10,100,'Heals target for 955',1,1),
(146204,130086,10,100,'Increases Mitigation of target vs physical damage by 689',1,2),
(146205,130086,10,100,'Grants a total of 1 trigger of the spell.',1,3),
(146206,130087,10,100,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',0,0),
(146207,130087,10,100,'Heals target for 1396',1,1),
(146208,130087,10,100,'Increases Mitigation of target vs physical damage by 924',1,2),
(146209,130087,10,100,'Grants a total of 1 trigger of the spell.',1,3),
(146210,130088,10,100,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',0,0),
(146211,130088,10,100,'Heals target for 1838',1,1),
(146212,130088,10,100,'Increases Mitigation of target vs physical damage by 1159',1,2),
(146213,130088,10,100,'Grants a total of 1 trigger of the spell.',1,3),
(146214,130089,10,100,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',0,0),
(146215,130089,10,100,'Heals target for 2520',1,1),
(146216,130089,10,100,'Increases Mitigation of target vs physical damage by 1411',1,2),
(146217,130089,10,100,'Grants a total of 1 trigger of the spell.',1,3),
(146218,130090,10,100,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',0,0),
(146219,130090,10,100,'Heals target for 3003',1,1),
(146220,130090,10,100,'Increases Mitigation of target vs physical damage by 1663',1,2),
(146221,130090,10,100,'Grants a total of 1 trigger of the spell.',1,3),
(146222,130091,10,100,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',0,0),
(146223,130091,10,100,'Heals target for 3150',1,1),
(146224,130091,10,100,'Increases Mitigation of target vs physical damage by 1848',1,2),
(146225,130091,10,100,'Grants a total of 1 trigger of the spell.',1,3),
(146226,130091,11,100,'On death this spell will cast Salvation on target.  Lasts for 36.0 seconds.  ',0,0),
(146227,130091,11,100,'Heals target for 3788',1,1),
(146228,130091,11,100,'Increases Mitigation of target vs physical damage by 2222',1,2),
(146229,130091,11,100,'Grants a total of 1 trigger of the spell.',1,3),
(146230,130092,9,100,'Makes Aegolism a group wide spell adding additional haste, defense, parry, deflection and aggression',0,0),
(146231,130092,9,100,'Increases the heal amount of Supplicant''s Prayer and Divine Prayer by 20% of the templar''s wisdom.',0,1),
(146232,130092,9,100,'On a beneficial spell cast this spell has a 12% chance to cast Impenetrable Faith on caster.  Lasts for 15.0 seconds.  ',0,2),
(146233,130092,9,100,'Makes caster immune to Stun effects and increases casting speed by 20%',1,3),
(146234,130092,9,100,'Cannot be modified except by direct means',0,4),
(146235,130092,10,100,'Makes Aegolism a group wide spell adding additional haste, defense, parry, deflection and aggression',0,0),
(146236,130092,10,100,'Increases the heal amount of Supplicant''s Prayer and Divine Prayer by 20% of the templar''s wisdom.',0,1),
(146237,130092,10,100,'On a beneficial spell cast this spell has a 12% chance to cast Impenetrable Faith on caster.  Lasts for 15.0 seconds.  ',0,2),
(146238,130092,10,100,'Makes caster immune to Stun effects and increases casting speed by 20%',1,3),
(146239,130092,10,100,'Cannot be modified except by direct means',0,4),
(146240,130093,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,3),
(146241,130093,2,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,3),
(146242,130093,3,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,3),
(146243,130093,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,3),
(146244,130093,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,3),
(146245,130093,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,3),
(146246,130093,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,3),
(146247,130093,10,100,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(146248,130093,10,100,'Dispels 67 levels of physical hostile effects on target',1,1),
(146249,130093,10,100,'Heals targets in Area of Effect for 115 - 140',1,2),
(146250,130093,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,3),
(146251,130094,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,3),
(146252,130094,2,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,3),
(146253,130094,3,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,3),
(146254,130094,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,3),
(146255,130094,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,3),
(146256,130094,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,3),
(146257,130094,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,3),
(146258,130094,10,100,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(146259,130094,10,100,'Dispels 92 levels of physical hostile effects on target',1,1),
(146260,130094,10,100,'Heals targets in Area of Effect for 174 - 213',1,2),
(146261,130094,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,3),
(146262,130095,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,3),
(146263,130095,2,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,3),
(146264,130095,3,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,3),
(146265,130095,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,3),
(146266,130095,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,3),
(146267,130095,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,3),
(146268,130095,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,3),
(146269,130095,10,100,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(146270,130095,10,100,'Dispels 118 levels of physical hostile effects on target',1,1),
(146271,130095,10,100,'Heals targets in Area of Effect for 237 - 290',1,2),
(146272,130095,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,3),
(146273,130096,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,3),
(146274,130096,2,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,3),
(146275,130096,3,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,3),
(146276,130096,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,3),
(146277,130096,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,3),
(146278,130096,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,3),
(146279,130096,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,3),
(146280,130096,10,100,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(146281,130096,10,100,'Dispels 139 levels of physical hostile effects on target',1,1),
(146282,130096,10,100,'Heals targets in Area of Effect for 316 - 386',1,2),
(146283,130096,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,3),
(146284,130097,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,3),
(146285,130097,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,3),
(146286,130097,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,3),
(146287,130097,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,3),
(146288,130097,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,3),
(146289,130097,10,100,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(146290,130097,10,100,'Dispels 158 levels of physical hostile effects on target',1,1),
(146291,130097,10,100,'Heals targets in Area of Effect for 398 - 486',1,2),
(146292,130097,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,3),
(146293,130098,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,3),
(146294,130098,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,3),
(146295,130098,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,3),
(146296,130098,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,3),
(146297,130098,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,3),
(146298,130098,10,100,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(146299,130098,10,100,'Dispels 176 levels of physical hostile effects on target',1,1),
(146300,130098,10,100,'Heals targets in Area of Effect for 443 - 541',1,2),
(146301,130098,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,3),
(146302,130098,11,100,'On any combat or spell hit this spell may cast Involuntary Cure on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(146303,130098,11,100,'Dispels 211 levels of physical hostile effects on target',1,1),
(146304,130098,11,100,'Heals targets in Area of Effect for 533 - 651',1,2),
(146305,130098,11,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,3),
(146306,130099,10,100,'Decreases Mitigation of target vs arcane damage by 314',0,0),
(146307,130099,10,100,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',0,1),
(146308,130099,10,100,'Heals target for 12 instantly and every 2 seconds',1,2),
(146309,130100,10,100,'Decreases Mitigation of target vs arcane damage by 538',0,0),
(146310,130100,10,100,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',0,1),
(146311,130100,10,100,'Heals target for 23 instantly and every 2 seconds',1,2),
(146312,130101,10,100,'Decreases Mitigation of target vs arcane damage by 773',0,0),
(146313,130101,10,100,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',0,1),
(146314,130101,10,100,'Heals target for 36 instantly and every 2 seconds',1,2),
(146315,130104,10,100,'Decreases Mitigation of target vs arcane damage by 1653',0,0),
(146316,130104,10,100,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',0,1),
(146317,130104,10,100,'Heals target for 85 instantly and every 2 seconds',1,2),
(146318,130105,10,100,'Decreases Mitigation of target vs arcane damage by 1875',0,0),
(146319,130105,10,100,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',0,1),
(146320,130105,10,100,'Heals target for 98 instantly and every 2 seconds',1,2),
(146321,130105,11,100,'Decreases Mitigation of target vs arcane damage by 2254',0,0),
(146322,130105,11,100,'When damaged with a melee weapon this spell has a 20% chance to cast Mark of Nobility on target''s attacker.  Lasts for 8.0 seconds.  ',0,1),
(146323,130105,11,100,'Heals target for 117 instantly and every 2 seconds',1,2),
(146324,130106,10,100,'Heals target for 28 - 35',0,0),
(146325,130106,11,100,'Heals target for 34 - 42',0,0),
(146326,130107,10,100,'Heals target for 99 - 122',0,0),
(146327,130107,11,100,'Heals target for 120 - 146',0,0),
(146328,130108,10,100,'Heals target for 213 - 261',0,0),
(146329,130108,11,100,'Heals target for 256 - 313',0,0),
(146330,130109,10,100,'Heals target for 318 - 389',0,0),
(146331,130109,11,100,'Heals target for 383 - 468',0,0),
(146332,130110,10,100,'Heals target for 1738 - 2124',0,0),
(146333,130110,11,100,'Heals target for 2090 - 2554',0,0),
(146334,130111,10,100,'Heals target for 438 - 535',0,0),
(146335,130111,11,100,'Heals target for 526 - 643',0,0),
(146336,130112,11,100,'Heals target for 829 - 1013',0,0),
(146337,130113,10,100,'Heals target for 988 - 1207',0,0),
(146338,130113,11,100,'Heals target for 1188 - 1452',0,0),
(146339,130114,10,100,'Heals target for 1309 - 1600',0,0),
(146340,130114,11,100,'Heals target for 1574 - 1924',0,0),
(146341,130115,10,100,'Heals target for 2042 - 2496',0,0),
(146342,130115,11,100,'Heals target for 2456 - 3001',0,0),
(146343,130116,10,100,'Interrupts target',0,0),
(146344,130116,10,100,'Decreases Mitigation of target vs physical damage by 73',0,1),
(146345,130119,10,100,'Interrupts target',0,0),
(146346,130119,10,100,'Decreases Mitigation of target vs physical damage by 638',0,1),
(146347,130120,10,100,'Interrupts target',0,0),
(146348,130120,10,100,'Decreases Mitigation of target vs physical damage by 1956',0,1),
(146349,130120,11,100,'Interrupts target',0,0),
(146350,130120,11,100,'Decreases Mitigation of target vs physical damage by 2351',0,1),
(146351,130122,10,100,'Interrupts target',0,0),
(146352,130122,10,100,'Decreases Mitigation of target vs physical damage by 1109',0,1),
(146353,130123,10,100,'Interrupts target',0,0),
(146354,130123,10,100,'Decreases Mitigation of target vs physical damage by 1423',0,1),
(146355,130124,10,100,'Interrupts target',0,0),
(146356,130124,10,100,'Decreases Mitigation of target vs physical damage by 1754',0,1),
(146357,130125,10,100,'Wards target against 33 points of all damage',0,0),
(146358,130126,10,100,'Wards target against 33 points of all damage',0,0),
(146359,130127,10,100,'Wards target against 33 points of all damage',0,0),
(146360,130127,11,100,'Wards target against 40 points of all damage',0,0),
(146361,130128,10,100,'Heals target for 75 - 91',0,0),
(146362,130129,10,100,'Heals target for 249 - 305',0,0),
(146363,130130,10,100,'Heals target for 449 - 549',0,0),
(146364,130132,11,100,'Heals target for 4353 - 5320',0,0),
(146365,130133,10,100,'Heals target for 1322 - 1616',0,0),
(146366,130135,10,100,'Heals target for 2452 - 2997',0,0),
(146367,130137,1,100,'If outside an arena',0,4),
(146368,130138,1,100,'134% of target''s power consumed will be added to target''s health',0,2),
(146369,130138,4,100,'165% of target''s power consumed will be added to target''s health',0,2),
(146370,130138,5,100,'180% of target''s power consumed will be added to target''s health',0,2),
(146371,130138,7,100,'230% of target''s power consumed will be added to target''s health',0,2),
(146372,130138,9,100,'240% of target''s power consumed will be added to target''s health',0,2),
(146373,130138,10,100,'Suspends when Windwalk or Sprint is active',0,0),
(146374,130138,10,100,'Reduces Bleedthrough on Target by 4.2%.',0,1),
(146375,130138,10,100,'251% of target''s power consumed will be added to target''s health',0,2),
(146376,130139,10,100,'Makes group members (AE) immune to Root effects',0,0),
(146377,130139,10,100,'Makes group members (AE) immune to Stifle effects',0,1),
(146378,130139,10,100,'Makes group members (AE) immune to Stun effects',0,2),
(146379,130139,10,100,'Makes group members (AE) immune to Fear effects',0,3),
(146380,130139,10,100,'Makes group members (AE) immune to Daze effects',0,4),
(146381,130139,10,100,'Makes group members (AE) immune to Mesmerize effects',0,5),
(146382,130139,10,100,'1% chance to dispel when target takes damage',0,6),
(146383,130139,10,100,'1% chance to dispel when target receives hostile action',0,7),
(146384,130140,10,100,'Makes group members (AE) immune to Root effects',0,0),
(146385,130140,10,100,'Makes group members (AE) immune to Stifle effects',0,1),
(146386,130140,10,100,'Makes group members (AE) immune to Stun effects',0,2),
(146387,130140,10,100,'Makes group members (AE) immune to Fear effects',0,3),
(146388,130140,10,100,'Makes group members (AE) immune to Daze effects',0,4),
(146389,130140,10,100,'Makes group members (AE) immune to Mesmerize effects',0,5),
(146390,130140,11,100,'Makes group members (AE) immune to Root effects',0,0),
(146391,130140,11,100,'Makes group members (AE) immune to Stifle effects',0,1),
(146392,130140,11,100,'Makes group members (AE) immune to Stun effects',0,2),
(146393,130140,11,100,'Makes group members (AE) immune to Fear effects',0,3),
(146394,130140,11,100,'Makes group members (AE) immune to Daze effects',0,4),
(146395,130140,11,100,'Makes group members (AE) immune to Mesmerize effects',0,5),
(146396,130141,10,100,'Wards group members (AE) against 25 points of arcane damage',0,0),
(146397,130141,10,100,'Increases Mitigation of group members (AE) vs arcane damage by 487',0,1),
(146398,130142,10,100,'Wards group members (AE) against 25 points of arcane damage',0,0),
(146399,130142,10,100,'Increases Mitigation of group members (AE) vs arcane damage by 722',0,1),
(146400,130143,10,100,'Wards group members (AE) against 25 points of arcane damage',0,0),
(146401,130143,10,100,'Increases Mitigation of group members (AE) vs arcane damage by 958',0,1),
(146402,130144,10,100,'Wards group members (AE) against 25 points of arcane damage',0,0),
(146403,130144,10,100,'Increases Mitigation of group members (AE) vs arcane damage by 1252',0,1),
(146404,130145,10,100,'Dazes target',0,0),
(146405,130145,10,100,'Does not affect Epic targets',0,1),
(146406,130145,10,100,'Resistibility increases against targets higher than level 29.',0,2),
(146407,130147,10,100,'Dazes target',0,0),
(146408,130147,10,100,'Does not affect Epic targets',0,1),
(146409,130147,10,100,'Resistibility increases against targets higher than level 29.',0,2),
(146410,130148,10,100,'Dazes target',0,0),
(146411,130148,10,100,'Does not affect Epic targets',0,1),
(146412,130148,10,100,'Resistibility increases against targets higher than level 29.',0,2),
(146413,130149,10,100,'Dazes target',0,0),
(146414,130149,10,100,'Does not affect Epic targets',0,1),
(146415,130149,10,100,'Resistibility increases against targets higher than level 29.',0,2),
(146416,130150,10,100,'Dazes target',0,0),
(146417,130150,10,100,'Does not affect Epic targets',0,1),
(146418,130150,10,100,'Resistibility increases against targets higher than level 29.',0,2),
(146419,130151,10,100,'Dazes target',0,0),
(146420,130151,10,100,'Does not affect Epic targets',0,1),
(146421,130151,10,100,'Resistibility increases against targets higher than level 29.',0,2),
(146422,130152,10,100,'Increases STA of group members (AE) by 5.7',0,0),
(146423,130152,10,100,'Increases Mitigation of group members (AE) vs arcane damage by 363',0,1),
(146424,130153,10,100,'Increases STA of group members (AE) by 14.5',0,0),
(146425,130153,10,100,'Increases Mitigation of group members (AE) vs arcane damage by 630',0,1),
(146426,130154,10,100,'Increases STA of group members (AE) by 24.7',0,0),
(146427,130154,10,100,'Increases Mitigation of group members (AE) vs arcane damage by 924',0,1),
(146428,130155,10,100,'Increases STA of group members (AE) by 33.8',0,0),
(146429,130155,10,100,'Increases Mitigation of group members (AE) vs arcane damage by 1218',0,1),
(146430,130157,10,100,'Increases STA of group members (AE) by 51.0',0,0),
(146431,130157,10,100,'Increases Mitigation of group members (AE) vs arcane damage by 1825',0,1),
(146432,130158,10,100,'Increases STA of group members (AE) by 59.4',0,0),
(146433,130158,10,100,'Increases Mitigation of group members (AE) vs arcane damage by 2125',0,1),
(146434,130158,11,100,'Increases STA of group members (AE) by 71.4',0,0),
(146435,130158,11,100,'Increases Mitigation of group members (AE) vs arcane damage by 2555',0,1),
(146436,130159,10,100,'Summons a pet hammer',0,0),
(146437,130160,10,100,'Summons a pet hammer',0,0),
(146438,130161,10,100,'Summons a pet hammer',0,0),
(146439,130162,10,100,'Summons a pet hammer',0,0),
(146440,130162,11,100,'Summons a pet hammer',0,0),
(146441,130163,10,100,'When damaged with a melee weapon this spell has a 9% chance to cast Divine Shield on caster.  Lasts for 10.0 seconds.  ',0,0),
(146442,130163,10,100,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',1,1),
(146443,130164,10,100,'When damaged with a melee weapon this spell has a 11.5% chance to cast Divine Shield on caster.  Lasts for 10.0 seconds.  ',0,0),
(146444,130164,10,100,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',1,1),
(146445,130165,10,100,'Increases STR and WIS of target by 50.9',0,0),
(146446,130165,10,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 367',0,1),
(146447,130166,10,100,'Increases STR and WIS of target by 78.1',0,0),
(146448,130166,10,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 564',0,1),
(146449,130168,10,100,'Increases STR and WIS of target by 134.6',0,0),
(146450,130168,10,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 960',0,1),
(146451,130169,10,100,'Increases STR and WIS of target by 163.5',0,0),
(146452,130169,10,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1115',0,1),
(146453,130170,10,100,'Increases STR and WIS of target by 191.3',0,0),
(146454,130170,10,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1256',0,1),
(146455,130171,10,100,'Increases STR and WIS of target by 219.0',0,0),
(146456,130171,10,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1397',0,1),
(146457,130171,11,100,'Increases STR and WIS of target by 263.3',0,0),
(146458,130171,11,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1680',0,1),
(146459,130172,11,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(146460,130172,11,100,'Heals target for 76 - 93',1,1),
(146461,130172,11,100,'Grants a total of 5 triggers of the spell.',1,2),
(146462,130173,11,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(146463,130173,11,100,'Heals target for 121 - 148',1,1),
(146464,130173,11,100,'Grants a total of 5 triggers of the spell.',1,2),
(146465,130174,10,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(146466,130174,10,100,'Heals target for 144 - 176',1,1),
(146467,130174,10,100,'Grants a total of 5 triggers of the spell.',1,2),
(146468,130174,11,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(146469,130174,11,100,'Heals target for 173 - 212',1,1),
(146470,130174,11,100,'Grants a total of 5 triggers of the spell.',1,2),
(146471,130175,11,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(146472,130175,11,100,'Heals target for 280 - 342',1,1),
(146473,130175,11,100,'Grants a total of 5 triggers of the spell.',1,2),
(146474,130176,10,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(146475,130176,10,100,'Heals target for 786 - 961',1,1),
(146476,130176,10,100,'Grants a total of 5 triggers of the spell.',1,2),
(146477,130176,11,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(146478,130176,11,100,'Heals target for 946 - 1156',1,1),
(146479,130176,11,100,'Grants a total of 5 triggers of the spell.',1,2),
(146480,130177,11,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(146481,130177,11,100,'Heals target for 414 - 506',1,1),
(146482,130177,11,100,'Grants a total of 5 triggers of the spell.',1,2),
(146483,130178,10,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(146484,130178,10,100,'Heals target for 455 - 556',1,1),
(146485,130178,10,100,'Grants a total of 5 triggers of the spell.',1,2),
(146486,130178,11,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(146487,130178,11,100,'Heals target for 547 - 669',1,1),
(146488,130178,11,100,'Grants a total of 5 triggers of the spell.',1,2),
(146489,130179,10,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(146490,130179,10,100,'Heals target for 602 - 736',1,1),
(146491,130179,10,100,'Grants a total of 5 triggers of the spell.',1,2),
(146492,130179,11,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(146493,130179,11,100,'Heals target for 724 - 885',1,1),
(146494,130179,11,100,'Grants a total of 5 triggers of the spell.',1,2),
(146495,130180,10,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(146496,130180,10,100,'Heals target for 732 - 895',1,1),
(146497,130180,10,100,'Grants a total of 5 triggers of the spell.',1,2),
(146498,130180,11,100,'When any damage is received this spell will cast Supplicant''s Prayer on target.  ',0,0),
(146499,130180,11,100,'Heals target for 881 - 1076',1,1),
(146500,130180,11,100,'Grants a total of 5 triggers of the spell.',1,2),
(146501,130182,10,100,'Inflicts 185 - 226 divine damage on target',0,0),
(146502,130182,10,100,'Inflicts 77 - 94 divine damage on target every 4 seconds',0,1),
(146503,130183,10,100,'Inflicts 277 - 338 divine damage on target',0,0),
(146504,130183,10,100,'Inflicts 115 - 141 divine damage on target every 4 seconds',0,1),
(146505,130184,10,100,'Inflicts 372 - 455 divine damage on target',0,0),
(146506,130184,10,100,'Inflicts 155 - 189 divine damage on target every 4 seconds',0,1),
(146507,130185,10,100,'Inflicts 467 - 570 divine damage on target',0,0),
(146508,130185,10,100,'Inflicts 194 - 238 divine damage on target every 4 seconds',0,1),
(146509,130186,10,100,'Inflicts 562 - 687 divine damage on target',0,0),
(146510,130186,10,100,'Inflicts 234 - 286 divine damage on target every 4 seconds',0,1),
(146511,130187,10,100,'Inflicts 618 - 755 divine damage on target',0,0),
(146512,130187,10,100,'Inflicts 257 - 315 divine damage on target every 4 seconds',0,1),
(146513,130187,11,100,'Inflicts 743 - 908 divine damage on target',0,0),
(146514,130187,11,100,'Inflicts 309 - 378 divine damage on target every 4 seconds',0,1),
(146515,130189,10,100,'Heals group members (AE) for 238 - 291',0,0),
(146516,130189,11,100,'Heals group members (AE) for 286 - 350',0,0),
(146517,130190,10,100,'Heals group members (AE) for 503 - 615',0,0),
(146518,130190,11,100,'Heals group members (AE) for 605 - 740',0,0),
(146519,130191,10,100,'Heals group members (AE) for 799 - 977',0,0),
(146520,130191,11,100,'Heals group members (AE) for 961 - 1175',0,0),
(146521,130192,10,100,'Heals group members (AE) for 1157 - 1414',0,0),
(146522,130192,11,100,'Heals group members (AE) for 1391 - 1700',0,0),
(146523,130193,10,100,'Heals group members (AE) for 1514 - 1850',0,0),
(146524,130193,11,100,'Heals group members (AE) for 1820 - 2225',0,0),
(146525,130194,10,100,'Heals group members (AE) for 2041 - 2495',0,0),
(146526,130194,11,100,'Heals group members (AE) for 2454 - 3000',0,0),
(146527,130195,10,100,'Heals group members (AE) for 2432 - 2973',0,0),
(146528,130195,11,100,'Heals group members (AE) for 2925 - 3575',0,0),
(146529,130196,10,100,'Heals group members (AE) for 2551 - 3118',0,0),
(146530,130196,11,100,'Heals group members (AE) for 3068 - 3750',0,0),
(146531,130197,10,100,'Wards group members (AE) against 25 points of arcane damage',0,0),
(146532,130197,10,100,'Increases Mitigation of group members (AE) vs arcane damage by 1436',0,1),
(146533,130198,10,100,'Wards group members (AE) against 25 points of arcane damage',0,0),
(146534,130198,10,100,'Increases Mitigation of group members (AE) vs arcane damage by 1682',0,1),
(146535,130198,11,100,'Wards group members (AE) against 30 points of arcane damage',0,0),
(146536,130198,11,100,'Increases Mitigation of group members (AE) vs arcane damage by 2022',0,1),
(146537,140000,9,100,'Has a 50% chance to cast an additional heal 0.5 seconds after Alleviation, Fanatical Healing or Ministration is cast.',0,0),
(146538,140000,9,100,'Improves the casting and reuse speed of heals by 15%',0,1),
(146539,140000,9,100,'On a combat hit this spell may cast Penitent Smite on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',0,2),
(146540,140000,9,100,'Inflicts 652 - 978 divine damage on target',1,3),
(146541,140000,9,100,'Makes group members (AE) immune to Daze and Stifle effects',1,4),
(146542,140000,9,100,'Cannot be modified except by direct means',1,5),
(146543,140000,9,100,'Cannot be modified except by direct means',0,6),
(146544,140000,10,100,'Has a 50% chance to cast an additional heal 0.5 seconds after Alleviation, Fanatical Healing or Ministration is cast.',0,0),
(146545,140000,10,100,'Improves the casting and reuse speed of heals by 15%',0,1),
(146546,140000,10,100,'On a combat hit this spell may cast Penitent Smite on target of attack.  Lasts for 12.0 seconds.  Triggers about 1.8 times per minute. ',0,2),
(146547,140000,10,100,'Inflicts 652 - 978 divine damage on target',1,3),
(146548,140000,10,100,'Makes group members (AE) immune to Daze and Stifle effects',1,4),
(146549,140000,10,100,'Cannot be modified except by direct means',1,5),
(146550,140000,10,100,'Cannot be modified except by direct means',0,6),
(146551,140001,10,100,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Each ally will only deal this additional damage once.',0,0),
(146552,140001,10,100,'Inflicts 155 divine damage on target',1,1),
(146553,140001,11,100,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Each ally will only deal this additional damage once.',0,0),
(146554,140001,11,100,'Inflicts 186 divine damage on target',1,1),
(146555,140002,11,100,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',0,0),
(146556,140002,11,100,'Inflicts 281 divine damage on target',1,1),
(146557,140003,11,100,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',0,0),
(146558,140003,11,100,'Inflicts 383 divine damage on target',1,1),
(146559,140004,10,100,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',0,0),
(146560,140004,10,100,'Inflicts 399 divine damage on target',1,1),
(146561,140004,11,100,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',0,0),
(146562,140004,11,100,'Inflicts 480 divine damage on target',1,1),
(146563,140005,10,100,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',0,0),
(146564,140005,10,100,'Inflicts 482 divine damage on target',1,1),
(146565,140005,11,100,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',0,0),
(146566,140005,11,100,'Inflicts 580 divine damage on target',1,1),
(146567,140006,10,100,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',0,0),
(146568,140006,10,100,'Inflicts 543 divine damage on target',1,1),
(146569,140006,11,100,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Triggers about 1.0 times per minute. ',0,0),
(146570,140006,11,100,'Inflicts 652 divine damage on target',1,1),
(146571,140007,11,100,'Heals group members (AE) for 218 - 267',0,0),
(146572,140008,10,100,'Heals group members (AE) for 384 - 469',0,0),
(146573,140008,11,100,'Heals group members (AE) for 461 - 564',0,0),
(146574,140009,10,100,'Heals group members (AE) for 609 - 744',0,0),
(146575,140009,11,100,'Heals group members (AE) for 732 - 895',0,0),
(146576,140010,10,100,'Heals group members (AE) for 881 - 1077',0,0),
(146577,140010,11,100,'Heals group members (AE) for 1059 - 1295',0,0),
(146578,140011,10,100,'Heals group members (AE) for 1153 - 1410',0,0),
(146579,140011,11,100,'Heals group members (AE) for 1387 - 1695',0,0),
(146580,140012,10,100,'Heals group members (AE) for 1555 - 1900',0,0),
(146581,140012,11,100,'Heals group members (AE) for 1870 - 2285',0,0),
(146582,140013,10,100,'Heals group members (AE) for 1853 - 2265',0,0),
(146583,140013,11,100,'Heals group members (AE) for 2228 - 2723',0,0),
(146584,140014,10,100,'Heals group members (AE) for 1944 - 2376',0,0),
(146585,140014,11,100,'Heals group members (AE) for 2337 - 2856',0,0),
(146586,140015,9,100,'Dispels 166 levels of physical, elemental, noxious, arcane hostile effects on group members (AE)',0,0),
(146587,140015,9,100,'Casts Penitent Cleansing for each successful Dispel.',0,1),
(146588,140015,9,100,'Heals target for 646 - 969',2,2),
(146589,140015,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,3),
(146590,140015,10,100,'Dispels 174 levels of physical, elemental, noxious, arcane hostile effects on group members (AE)',0,0),
(146591,140015,10,100,'Casts Penitent Cleansing for each successful Dispel.',0,1),
(146592,140015,10,100,'Heals target for 646 - 969',2,2),
(146593,140015,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,3),
(146594,140016,10,100,'Decreases Mitigation of target vs all damage by 44',0,0),
(146595,140019,10,100,'Decreases Mitigation of target vs all damage by 383',0,0),
(146596,140020,10,100,'Decreases Mitigation of target vs all damage by 1173',0,0),
(146597,140020,11,100,'Decreases Mitigation of target vs all damage by 1411',0,0),
(146598,140022,10,100,'Decreases Mitigation of target vs all damage by 665',0,0),
(146599,140023,10,100,'Decreases Mitigation of target vs all damage by 854',0,0),
(146600,140024,10,100,'Decreases Mitigation of target vs all damage by 1052',0,0),
(146601,140026,1,100,'Reduces the target''s ability to bleed through wards by 1.3%',0,1),
(146602,140026,4,100,'Reduces the target''s ability to bleed through wards by 1.6%',0,1),
(146603,140026,5,100,'Reduces the target''s ability to bleed through wards by 1.8%',0,1),
(146604,140026,7,100,'Reduces the target''s ability to bleed through wards by 2.3%',0,1),
(146605,140026,9,100,'Reduces the target''s ability to bleed through wards by 2.4%',0,1),
(146606,140026,10,100,'Decreases INT and STR of target by 11.9',0,0),
(146607,140026,10,100,'Reduces the target''s ability to bleed through wards by 2.5%',0,1),
(146619,140028,10,100,'Decreases INT and STR of target by 45.4',0,0),
(146621,140029,1,100,'Reduces the target''s ability to bleed through wards by 1.3%',0,1),
(146622,140029,4,100,'Reduces the target''s ability to bleed through wards by 1.6%',0,1),
(146623,140029,5,100,'Reduces the target''s ability to bleed through wards by 1.8%',0,1),
(146624,140029,7,100,'Reduces the target''s ability to bleed through wards by 2.3%',0,1),
(146625,140029,9,100,'Reduces the target''s ability to bleed through wards by 2.4%',0,1),
(146626,140029,10,100,'Decreases INT and STR of target by 64.2',0,0),
(146627,140029,10,100,'Reduces the target''s ability to bleed through wards by 2.5%',0,1),
(146628,140030,1,100,'Reduces the target''s ability to bleed through wards by 1.3%',0,1),
(146629,140030,4,100,'Reduces the target''s ability to bleed through wards by 1.6%',0,1),
(146630,140030,5,100,'Reduces the target''s ability to bleed through wards by 1.8%',0,1),
(146631,140030,7,100,'Reduces the target''s ability to bleed through wards by 2.3%',0,1),
(146632,140030,9,100,'Reduces the target''s ability to bleed through wards by 2.4%',0,1),
(146633,140030,10,100,'Decreases INT and STR of target by 84.3',0,0),
(146634,140030,10,100,'Reduces the target''s ability to bleed through wards by 2.5%',0,1),
(146635,140031,1,100,'Reduces the target''s ability to bleed through wards by 1.3%',0,1),
(146636,140031,4,100,'Reduces the target''s ability to bleed through wards by 1.6%',0,1),
(146637,140031,5,100,'Reduces the target''s ability to bleed through wards by 1.8%',0,1),
(146638,140031,7,100,'Reduces the target''s ability to bleed through wards by 2.3%',0,1),
(146639,140031,9,100,'Reduces the target''s ability to bleed through wards by 2.4%',0,1),
(146640,140031,10,100,'Decreases INT and STR of target by 103.5',0,0),
(146641,140031,10,100,'Reduces the target''s ability to bleed through wards by 2.5%',0,1),
(146642,140032,1,100,'Reduces the target''s ability to bleed through wards by 1.3%',0,1),
(146643,140032,4,100,'Reduces the target''s ability to bleed through wards by 1.6%',0,1),
(146644,140032,5,100,'Reduces the target''s ability to bleed through wards by 1.8%',0,1),
(146645,140032,7,100,'Reduces the target''s ability to bleed through wards by 2.3%',0,1),
(146646,140032,9,100,'Reduces the target''s ability to bleed through wards by 2.4%',0,1),
(146647,140032,10,100,'Decreases INT and STR of target by 122.0',0,0),
(146648,140032,10,100,'Reduces the target''s ability to bleed through wards by 2.5%',0,1),
(146649,140033,1,100,'Reduces the target''s ability to bleed through wards by 1.3%',0,1),
(146650,140033,4,100,'Reduces the target''s ability to bleed through wards by 1.6%',0,1),
(146651,140033,5,100,'Reduces the target''s ability to bleed through wards by 1.8%',0,1),
(146652,140033,7,100,'Reduces the target''s ability to bleed through wards by 2.3%',0,1),
(146653,140033,9,100,'Reduces the target''s ability to bleed through wards by 2.4%',0,1),
(146654,140033,10,100,'Decreases INT and STR of target by 140.4',0,0),
(146655,140033,10,100,'Reduces the target''s ability to bleed through wards by 2.5%',0,1),
(146656,140033,11,100,'Decreases INT and STR of target by 168.9',0,0),
(146657,140033,11,100,'Reduces the target''s ability to bleed through wards by 3%',0,1),
(146658,140034,10,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(146659,140034,10,100,'Decreases Threat to targets in Area of Effect by 2,183 ',0,1),
(146660,140034,10,100,'Stuns targets in Area of Effect',0,2),
(146661,140034,10,100,'If Target is not Epic',1,3),
(146662,140035,10,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(146663,140035,10,100,'Decreases Threat to targets in Area of Effect by 4,841 ',0,1),
(146664,140035,10,100,'Stuns targets in Area of Effect',0,2),
(146665,140035,10,100,'If Target is not Epic',1,3),
(146666,140036,10,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(146667,140036,10,100,'Decreases Threat to targets in Area of Effect by 7,974 ',0,1),
(146668,140036,10,100,'Stuns targets in Area of Effect',0,2),
(146669,140036,10,100,'If Target is not Epic',1,3),
(146670,140037,10,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(146671,140037,10,100,'Decreases Threat to targets in Area of Effect by 11,969 ',0,1),
(146672,140037,10,100,'Stuns targets in Area of Effect',0,2),
(146673,140037,10,100,'If Target is not Epic',1,3),
(146674,140038,10,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(146675,140038,10,100,'Decreases Threat to targets in Area of Effect by 16,161 ',0,1),
(146676,140038,10,100,'Stuns targets in Area of Effect',0,2),
(146677,140038,10,100,'If Target is not Epic',1,3),
(146678,140039,10,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(146679,140039,10,100,'Decreases Threat to targets in Area of Effect by 20,243 ',0,1),
(146680,140039,10,100,'Stuns targets in Area of Effect',0,2),
(146681,140039,10,100,'If Target is not Epic',1,3),
(146682,140040,10,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(146683,140040,10,100,'Decreases Threat to targets in Area of Effect by 24,443 ',0,1),
(146684,140040,10,100,'Stuns targets in Area of Effect',0,2),
(146685,140040,10,100,'If Target is not Epic',1,3),
(146686,140041,10,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(146687,140041,10,100,'Decreases Threat to targets in Area of Effect by 28,643 ',0,1),
(146688,140041,10,100,'Stuns targets in Area of Effect',0,2),
(146689,140041,10,100,'If Target is not Epic',1,3),
(146690,140041,11,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(146691,140041,11,100,'Decreases Threat to targets in Area of Effect by 34,440 ',0,1),
(146692,140041,11,100,'Stuns targets in Area of Effect',0,2),
(146693,140041,11,100,'If Target is not Epic',1,3),
(146694,140042,10,100,'On a beneficial spell cast this spell will cast Convert Ally on target of spell cast.  ',0,0),
(146695,140042,10,100,'Heals target for 239',1,1),
(146696,140043,10,100,'On a beneficial spell cast this spell will cast Convert Ally on target of spell cast.  ',0,0),
(146697,140043,10,100,'Heals target for 362',1,1),
(146698,140044,10,100,'On a beneficial spell cast this spell will cast Convert Ally on target of spell cast.  ',0,0),
(146699,140044,10,100,'Heals target for 450',1,1),
(146700,140045,10,100,'On a beneficial spell cast this spell will cast Convert Ally on target of spell cast.  ',0,0),
(146701,140045,10,100,'Heals target for 495',1,1),
(146702,140045,11,100,'On a beneficial spell cast this spell will cast Convert Ally on target of spell cast.  ',0,0),
(146703,140045,11,100,'Heals target for 595',1,1),
(146704,140047,10,100,'Increases STA of group members (AE) by 5.7',0,0),
(146705,140047,10,100,'Increases Mitigation of group members (AE) vs arcane damage by 363',0,1),
(146706,140048,10,100,'Increases STA of group members (AE) by 14.5',0,0),
(146707,140048,10,100,'Increases Mitigation of group members (AE) vs arcane damage by 630',0,1),
(146708,140049,10,100,'Increases STA of group members (AE) by 24.7',0,0),
(146709,140049,10,100,'Increases Mitigation of group members (AE) vs arcane damage by 924',0,1),
(146710,140050,10,100,'Increases STA of group members (AE) by 33.8',0,0),
(146711,140050,10,100,'Increases Mitigation of group members (AE) vs arcane damage by 1218',0,1),
(146712,140052,10,100,'Increases STA of group members (AE) by 51.0',0,0),
(146713,140052,10,100,'Increases Mitigation of group members (AE) vs arcane damage by 1825',0,1),
(146714,140053,10,100,'Increases STA of group members (AE) by 59.4',0,0),
(146715,140053,10,100,'Increases Mitigation of group members (AE) vs arcane damage by 2125',0,1),
(146716,140053,11,100,'Increases STA of group members (AE) by 71.4',0,0),
(146717,140053,11,100,'Increases Mitigation of group members (AE) vs arcane damage by 2555',0,1),
(146718,140054,10,100,'Heals target for 57 - 69',0,0),
(146719,140055,10,100,'Heals target for 189 - 231',0,0),
(146720,140056,10,100,'Heals target for 340 - 416',0,0),
(146721,140058,11,100,'Heals target for 3297 - 4030',0,0),
(146722,140059,10,100,'Heals target for 1002 - 1224',0,0),
(146723,140061,10,100,'Heals target for 1858 - 2271',0,0),
(146724,140063,10,100,'Increases INT, AGI, STR and WIS of group members (AE) by 65.5',0,0),
(146725,140063,10,100,'Adds 2.9% to base avoidance.',0,1),
(146726,140063,10,100,'Increases Haste of group members (AE) by 52.6',0,2),
(146727,140063,10,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 464',0,3),
(146728,140064,10,100,'Increases INT, AGI, STR and WIS of group members (AE) by 92.4',0,0),
(146729,140064,10,100,'Adds 2.9% to base avoidance.',0,1),
(146730,140064,10,100,'Increases Ability Reuse Speed of group members (AE) by 10.1%',0,2),
(146731,140064,10,100,'Increases Haste of group members (AE) by 63.5',0,3),
(146732,140064,10,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 649',0,4),
(146733,140065,10,100,'Increases INT, AGI, STR and WIS of group members (AE) by 110.9',0,0),
(146734,140065,10,100,'Adds 2.9% to base avoidance.',0,1),
(146735,140065,10,100,'Increases Ability Reuse Speed of group members (AE) by 10.1%',0,2),
(146736,140065,10,100,'Increases Haste of group members (AE) by 68.9',0,3),
(146737,140065,10,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 742',0,4),
(146738,140066,10,100,'Increases INT, AGI, STR and WIS of group members (AE) by 129.4',0,0),
(146739,140066,10,100,'Adds 2.9% to base avoidance.',0,1),
(146740,140066,10,100,'Increases Ability Reuse Speed of group members (AE) by 10.1%',0,2),
(146741,140066,10,100,'Increases Haste of group members (AE) by 79.0',0,3),
(146742,140066,10,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 835',0,4),
(146743,140067,10,100,'Increases INT, AGI, STR and WIS of group members (AE) by 147.8',0,0),
(146744,140067,10,100,'Adds 2.9% to base avoidance.',0,1),
(146745,140067,10,100,'Increases Ability Reuse Speed of group members (AE) by 10.1%',0,2),
(146746,140067,10,100,'Increases Haste of group members (AE) by 84.0',0,3),
(146747,140067,10,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 927',0,4),
(146748,140067,11,100,'Increases INT, AGI, STR and WIS of group members (AE) by 177.8',0,0),
(146749,140067,11,100,'Adds 3.4% to base avoidance.',0,1),
(146750,140067,11,100,'Increases Ability Reuse Speed of group members (AE) by 12.1%',0,2),
(146751,140067,11,100,'Increases Haste of group members (AE) by 101.0',0,3),
(146752,140067,11,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 1115',0,4),
(146753,140068,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(146754,140068,2,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(146755,140068,3,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(146756,140068,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(146757,140068,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(146758,140068,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(146759,140068,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(146760,140068,10,100,'Dispels 155 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on caster',0,0),
(146761,140068,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(146762,140069,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(146763,140069,2,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(146764,140069,3,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(146765,140069,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(146766,140069,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(146767,140069,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(146768,140069,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(146769,140069,10,100,'Dispels 206 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on caster',0,0),
(146770,140069,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(146771,140070,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(146772,140070,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(146773,140070,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(146774,140070,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(146775,140070,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(146776,140070,10,100,'Dispels 234 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on caster',0,0),
(146777,140070,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(146778,140071,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(146779,140071,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(146780,140071,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(146781,140071,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(146782,140071,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(146783,140071,10,100,'Dispels 261 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on caster',0,0),
(146784,140071,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(146785,140071,11,100,'Dispels 314 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on caster',0,0),
(146786,140071,11,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(146787,140072,10,100,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 9.1',0,0),
(146788,140074,10,100,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 21.8',0,0),
(146789,140076,10,100,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 35.4',0,0),
(146790,140077,10,100,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 41.4',0,0),
(146791,140078,10,100,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 47.5',0,0),
(146792,140078,11,100,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 57.1',0,0),
(146793,140079,10,100,'On a spell cast this spell will cast Heretical Strike on target.  ',0,0),
(146794,140079,10,100,'Applies Knockdown.  Lasts for 2.5 seconds.',1,1),
(146795,140079,10,100,'Throws target back',2,2),
(146796,140079,10,100,'Blurs vision of target',2,3),
(146797,140079,10,100,'Stuns target',2,4),
(146798,140079,10,100,'Does not affect Epic targets',2,5),
(146799,140079,10,100,'Inflicts 394 - 656 divine damage on target',1,6),
(146800,140079,10,100,'Grants a total of 3 triggers of the spell.',1,7),
(146801,140080,10,100,'On a spell cast this spell will cast Heretical Strike on target.  ',0,0),
(146802,140080,10,100,'Applies Knockdown.  Lasts for 2.5 seconds.',1,1),
(146803,140080,10,100,'Throws target back',2,2),
(146804,140080,10,100,'Blurs vision of target',2,3),
(146805,140080,10,100,'Stuns target',2,4),
(146806,140080,10,100,'Does not affect Epic targets',2,5),
(146807,140080,10,100,'Inflicts 588 - 980 divine damage on target',1,6),
(146808,140080,10,100,'Grants a total of 3 triggers of the spell.',1,7),
(146809,140081,10,100,'On a spell cast this spell will cast Heretical Strike on target.  ',0,0),
(146810,140081,10,100,'Applies Knockdown.  Lasts for 2.5 seconds.',1,1),
(146811,140081,10,100,'Throws target back',2,2),
(146812,140081,10,100,'Blurs vision of target',2,3),
(146813,140081,10,100,'Stuns target',2,4),
(146814,140081,10,100,'Does not affect Epic targets',2,5),
(146815,140081,10,100,'Inflicts 712 - 1186 divine damage on target',1,6),
(146816,140081,10,100,'Grants a total of 3 triggers of the spell.',1,7),
(146817,140082,10,100,'On a spell cast this spell will cast Heretical Strike on target.  ',0,0),
(146818,140082,10,100,'Applies Knockdown.  Lasts for 2.5 seconds.',1,1),
(146819,140082,10,100,'Throws target back',2,2),
(146820,140082,10,100,'Blurs vision of target',2,3),
(146821,140082,10,100,'Stuns target',2,4),
(146822,140082,10,100,'Does not affect Epic targets',2,5),
(146823,140082,10,100,'Inflicts 833 - 1388 divine damage on target',1,6),
(146824,140082,10,100,'Grants a total of 3 triggers of the spell.',1,7),
(146825,140082,11,100,'On a spell cast this spell will cast Heretical Strike on target.  ',0,0),
(146826,140082,11,100,'Applies Knockdown.  Lasts for 2.5 seconds.',1,1),
(146827,140082,11,100,'Throws target back',2,2),
(146828,140082,11,100,'Blurs vision of target',2,3),
(146829,140082,11,100,'Stuns target',2,4),
(146830,140082,11,100,'Does not affect Epic targets',2,5),
(146831,140082,11,100,'Inflicts 1001 - 1669 divine damage on target',1,6),
(146832,140082,11,100,'Grants a total of 3 triggers of the spell.',1,7),
(146833,140083,10,100,'Inflicts 209 - 255 heat damage on target encounter',0,0),
(146834,140084,10,100,'Inflicts 336 - 411 heat damage on target encounter',0,0),
(146835,140085,10,100,'Inflicts 506 - 619 heat damage on target encounter',0,0),
(146836,140086,10,100,'Inflicts 654 - 799 heat damage on target encounter',0,0),
(146837,140087,10,100,'Inflicts 806 - 985 heat damage on target encounter',0,0),
(146838,140088,10,100,'Inflicts 971 - 1186 heat damage on target encounter',0,0),
(146839,140089,10,100,'Inflicts 1042 - 1273 heat damage on target encounter',0,0),
(146840,140089,11,100,'Inflicts 1252 - 1531 heat damage on target encounter',0,0),
(146841,140090,10,100,'Roots target',0,0),
(146843,140090,10,100,'If Target is not Epic',1,1),
(146847,140091,10,100,'Roots target',0,0),
(146848,140091,10,100,'Stifles target',0,1),
(146849,140091,10,100,'If Target is not Epic',1,2),
(146850,140091,10,100,'20% chance to dispel when target takes damage',0,3),
(146851,140091,10,100,'Does not affect Epic targets',0,4),
(146852,140091,10,100,'Resistibility increases against targets higher than level 29.',0,5),
(146853,140092,10,100,'Roots target',0,0),
(146854,140092,10,100,'Stifles target',0,1),
(146855,140092,10,100,'If Target is not Epic',1,2),
(146856,140092,10,100,'20% chance to dispel when target takes damage',0,3),
(146857,140092,10,100,'Does not affect Epic targets',0,4),
(146858,140092,10,100,'Resistibility increases against targets higher than level 29.',0,5),
(146859,140093,10,100,'Roots target',0,0),
(146860,140093,10,100,'Stifles target',0,1),
(146861,140093,10,100,'If Target is not Epic',1,2),
(146862,140093,10,100,'20% chance to dispel when target takes damage',0,3),
(146863,140093,10,100,'Does not affect Epic targets',0,4),
(146864,140093,10,100,'Resistibility increases against targets higher than level 29.',0,5),
(146865,140094,10,100,'Roots target',0,0),
(146866,140094,10,100,'Stifles target',0,1),
(146867,140094,10,100,'If Target is not Epic',1,2),
(146868,140094,10,100,'20% chance to dispel when target takes damage',0,3),
(146869,140094,10,100,'Does not affect Epic targets',0,4),
(146870,140094,10,100,'Resistibility increases against targets higher than level 29.',0,5),
(146871,140095,1,100,'Increases power of caster by 0.4%',1,3),
(146872,140095,1,100,'This effect cannot be critically applied.',2,4),
(146873,140095,2,100,'Increases power of caster by 0.5%',1,3),
(146874,140095,2,100,'This effect cannot be critically applied.',2,4),
(146875,140095,3,100,'Increases power of caster by 0.5%',1,3),
(146876,140095,3,100,'This effect cannot be critically applied.',2,4),
(146877,140095,4,100,'Increases power of caster by 0.6%',1,3),
(146878,140095,4,100,'This effect cannot be critically applied.',2,4),
(146879,140095,5,100,'Increases power of caster by 0.6%',1,3),
(146880,140095,5,100,'This effect cannot be critically applied.',2,4),
(146881,140095,7,100,'Increases power of caster by 0.8%',1,3),
(146882,140095,7,100,'This effect cannot be critically applied.',2,4),
(146883,140095,9,100,'Increases power of caster by 0.8%',1,3),
(146884,140095,9,100,'This effect cannot be critically applied.',2,4),
(146885,140095,10,100,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',0,0),
(146886,140095,10,100,'Decreases power of target by 1.7%',1,1),
(146887,140095,10,100,'This effect cannot be critically applied.',2,2),
(146888,140095,10,100,'Increases power of caster by 0.8%',1,3),
(146889,140095,10,100,'This effect cannot be critically applied.',2,4),
(146890,140096,1,100,'Increases power of caster by 0.4%',1,3),
(146891,140096,1,100,'This effect cannot be critically applied.',2,4),
(146892,140096,2,100,'Increases power of caster by 0.5%',1,3),
(146893,140096,2,100,'This effect cannot be critically applied.',2,4),
(146894,140096,3,100,'Increases power of caster by 0.5%',1,3),
(146895,140096,3,100,'This effect cannot be critically applied.',2,4),
(146896,140096,4,100,'Increases power of caster by 0.6%',1,3),
(146897,140096,4,100,'This effect cannot be critically applied.',2,4),
(146898,140096,5,100,'Increases power of caster by 0.6%',1,3),
(146899,140096,5,100,'This effect cannot be critically applied.',2,4),
(146900,140096,7,100,'Increases power of caster by 0.8%',1,3),
(146901,140096,7,100,'This effect cannot be critically applied.',2,4),
(146902,140096,9,100,'Increases power of caster by 0.8%',1,3),
(146903,140096,9,100,'This effect cannot be critically applied.',2,4),
(146904,140096,10,100,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',0,0),
(146905,140096,10,100,'Decreases power of target by 1.7%',1,1),
(146906,140096,10,100,'This effect cannot be critically applied.',2,2),
(146907,140096,10,100,'Increases power of caster by 0.8%',1,3),
(146908,140096,10,100,'This effect cannot be critically applied.',2,4),
(146909,140097,1,100,'Increases power of caster by 0.4%',1,3),
(146910,140097,1,100,'This effect cannot be critically applied.',2,4),
(146911,140097,2,100,'Increases power of caster by 0.5%',1,3),
(146912,140097,2,100,'This effect cannot be critically applied.',2,4),
(146913,140097,3,100,'Increases power of caster by 0.5%',1,3),
(146914,140097,3,100,'This effect cannot be critically applied.',2,4),
(146915,140097,4,100,'Increases power of caster by 0.6%',1,3),
(146916,140097,4,100,'This effect cannot be critically applied.',2,4),
(146917,140097,5,100,'Increases power of caster by 0.6%',1,3),
(146918,140097,5,100,'This effect cannot be critically applied.',2,4),
(146919,140097,7,100,'Increases power of caster by 0.8%',1,3),
(146920,140097,7,100,'This effect cannot be critically applied.',2,4),
(146921,140097,9,100,'Increases power of caster by 0.8%',1,3),
(146922,140097,9,100,'This effect cannot be critically applied.',2,4),
(146923,140097,10,100,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',0,0),
(146924,140097,10,100,'Decreases power of target by 1.7%',1,1),
(146925,140097,10,100,'This effect cannot be critically applied.',2,2),
(146926,140097,10,100,'Increases power of caster by 0.8%',1,3),
(146927,140097,10,100,'This effect cannot be critically applied.',2,4),
(146928,140098,1,100,'Increases power of caster by 0.4%',1,3),
(146929,140098,1,100,'This effect cannot be critically applied.',2,4),
(146930,140098,4,100,'Increases power of caster by 0.6%',1,3),
(146931,140098,4,100,'This effect cannot be critically applied.',2,4),
(146932,140098,5,100,'Increases power of caster by 0.6%',1,3),
(146933,140098,5,100,'This effect cannot be critically applied.',2,4),
(146934,140098,7,100,'Increases power of caster by 0.8%',1,3),
(146935,140098,7,100,'This effect cannot be critically applied.',2,4),
(146936,140098,9,100,'Increases power of caster by 0.8%',1,3),
(146937,140098,9,100,'This effect cannot be critically applied.',2,4),
(146938,140098,10,100,'Increases power of caster by 0.8%',1,3),
(146939,140098,10,100,'This effect cannot be critically applied.',2,4),
(146940,140099,1,100,'Increases power of caster by 0.4%',1,3),
(146941,140099,1,100,'This effect cannot be critically applied.',2,4),
(146942,140099,4,100,'Increases power of caster by 0.6%',1,3),
(146943,140099,4,100,'This effect cannot be critically applied.',2,4),
(146944,140099,5,100,'Increases power of caster by 0.6%',1,3),
(146945,140099,5,100,'This effect cannot be critically applied.',2,4),
(146946,140099,7,100,'Increases power of caster by 0.8%',1,3),
(146947,140099,7,100,'This effect cannot be critically applied.',2,4),
(146948,140099,9,100,'Increases power of caster by 0.8%',1,3),
(146949,140099,9,100,'This effect cannot be critically applied.',2,4),
(146950,140099,10,100,'Increases power of caster by 0.8%',1,3),
(146951,140099,10,100,'This effect cannot be critically applied.',2,4),
(146952,140099,11,100,'On any combat or spell hit this spell has a 10% chance to cast The Pain of Confession on target of attack.  ',0,0),
(146953,140099,11,100,'Decreases power of target by 2.0%',1,1),
(146954,140099,11,100,'This effect cannot be critically applied.',2,2),
(146955,140099,11,100,'Increases power of caster by 1.0%',1,3),
(146956,140099,11,100,'This effect cannot be critically applied.',2,4),
(146957,140100,10,100,'Applies Inquisition.',0,0),
(146958,140100,10,100,'Heals group members (AE) for 590 - 721',1,1),
(146959,140100,10,100,'If Target is closer than 8 meters',2,2),
(146960,140100,10,100,'Heals group members (AE) for 218 - 266',1,3),
(146961,140100,10,100,'If Target is between 8 and 15 meters away',2,4),
(146962,140100,11,100,'Applies Inquisition.',0,0),
(146963,140100,11,100,'Heals group members (AE) for 709 - 867',1,1),
(146964,140100,11,100,'If Target is closer than 8 meters',2,2),
(146965,140100,11,100,'Heals group members (AE) for 262 - 320',1,3),
(146966,140100,11,100,'If Target is between 8 and 15 meters away',2,4),
(146967,140101,10,100,'Applies Inquisition.',0,0),
(146968,140101,10,100,'Heals group members (AE) for 703 - 859',1,1),
(146969,140101,10,100,'If Target is closer than 8 meters',2,2),
(146970,140101,10,100,'Heals group members (AE) for 259 - 317',1,3),
(146971,140101,10,100,'If Target is between 8 and 15 meters away',2,4),
(146972,140101,11,100,'Applies Inquisition.',0,0),
(146973,140101,11,100,'Heals group members (AE) for 845 - 1033',1,1),
(146974,140101,11,100,'If Target is closer than 8 meters',2,2),
(146975,140101,11,100,'Heals group members (AE) for 312 - 381',1,3),
(146976,140101,11,100,'If Target is between 8 and 15 meters away',2,4),
(146977,140102,10,100,'Applies Inquisition.',0,0),
(146978,140102,10,100,'Heals group members (AE) for 737 - 901',1,1),
(146979,140102,10,100,'If Target is closer than 8 meters',2,2),
(146980,140102,10,100,'Heals group members (AE) for 272 - 333',1,3),
(146981,140102,10,100,'If Target is between 8 and 15 meters away',2,4),
(146982,140102,11,100,'Applies Inquisition.',0,0),
(146983,140102,11,100,'Heals group members (AE) for 886 - 1083',1,1),
(146984,140102,11,100,'If Target is closer than 8 meters',2,2),
(146985,140102,11,100,'Heals group members (AE) for 327 - 400',1,3),
(146986,140102,11,100,'If Target is between 8 and 15 meters away',2,4),
(146987,140103,10,100,'Interrupts target',0,0),
(146988,140103,10,100,'Inflicts 14 - 17 divine damage on target',0,1),
(146989,140104,10,100,'Interrupts target',0,0),
(146990,140104,10,100,'Inflicts 50 - 61 divine damage on target',0,1),
(146991,140105,10,100,'Interrupts target',0,0),
(146992,140105,10,100,'Inflicts 92 - 113 divine damage on target',0,1),
(146993,140107,10,100,'Interrupts target',0,0),
(146994,140107,10,100,'Inflicts 700 - 855 divine damage on target',0,1),
(146995,140107,11,100,'Interrupts target',0,0),
(146996,140107,11,100,'Inflicts 841 - 1028 divine damage on target',0,1),
(146997,140108,10,100,'Interrupts target',0,0),
(146998,140108,10,100,'Inflicts 275 - 336 divine damage on target',0,1),
(146999,140109,10,100,'Interrupts target',0,0),
(147000,140109,10,100,'Inflicts 386 - 472 divine damage on target',0,1),
(147001,140111,10,100,'Interrupts target',0,0),
(147002,140111,10,100,'Inflicts 598 - 731 divine damage on target',0,1),
(147004,140112,10,100,'Inflicts 184 - 225 divine damage on target encounter',0,0),
(147005,140113,10,100,'Interrupts target encounter',0,0),
(147006,140113,10,100,'Inflicts 283 - 346 divine damage on target encounter',0,1),
(147007,140114,10,100,'Interrupts target encounter',0,0),
(147008,140114,10,100,'Inflicts 394 - 482 divine damage on target encounter',0,1),
(147009,140117,11,100,'Interrupts target encounter',0,0),
(147010,140117,11,100,'Inflicts 851 - 1040 divine damage on target encounter',0,1),
(147011,140118,10,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(147012,140118,10,100,'Heals target for 74 - 91',1,1),
(147013,140118,11,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(147014,140118,11,100,'Heals target for 89 - 109',1,1),
(147015,140119,10,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(147016,140119,10,100,'Heals target for 157 - 191',1,1),
(147017,140119,11,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(147018,140119,11,100,'Heals target for 188 - 230',1,1),
(147019,140120,11,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(147020,140120,11,100,'Heals target for 299 - 366',1,1),
(147021,140121,10,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(147022,140121,10,100,'Heals target for 360 - 440',1,1),
(147023,140121,11,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(147024,140121,11,100,'Heals target for 433 - 529',1,1),
(147025,140122,10,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(147026,140122,10,100,'Heals target for 471 - 576',1,1),
(147027,140122,11,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(147028,140122,11,100,'Heals target for 566 - 692',1,1),
(147029,140123,10,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(147030,140123,10,100,'Heals target for 619 - 756',1,1),
(147031,140123,11,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(147032,140123,11,100,'Heals target for 744 - 909',1,1),
(147033,140124,10,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(147034,140124,10,100,'Heals target for 745 - 910',1,1),
(147035,140124,11,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(147036,140124,11,100,'Heals target for 895 - 1094',1,1),
(147037,140125,10,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(147038,140125,10,100,'Heals target for 790 - 966',1,1),
(147039,140125,11,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(147040,140125,11,100,'Heals target for 950 - 1161',1,1),
(147041,140126,10,100,'Heals target for 23 - 28',0,0),
(147042,140126,11,100,'Heals target for 27 - 33',0,0),
(147043,140127,10,100,'Heals target for 79 - 97',0,0),
(147044,140127,11,100,'Heals target for 95 - 117',0,0),
(147045,140128,10,100,'Heals target for 170 - 208',0,0),
(147046,140128,11,100,'Heals target for 205 - 250',0,0),
(147047,140129,10,100,'Heals target for 254 - 310',0,0),
(147048,140129,11,100,'Heals target for 305 - 373',0,0),
(147049,140130,10,100,'Heals target for 1387 - 1695',0,0),
(147050,140130,11,100,'Heals target for 1668 - 2038',0,0),
(147051,140131,10,100,'Heals target for 349 - 427',0,0),
(147052,140131,11,100,'Heals target for 365 - 450',0,0),
(147053,140132,11,100,'Heals target for 661 - 808',0,0),
(147054,140133,10,100,'Heals target for 788 - 963',0,0),
(147055,140133,11,100,'Heals target for 948 - 1158',0,0),
(147056,140134,10,100,'Heals target for 1044 - 1277',0,0),
(147057,140134,11,100,'Heals target for 1256 - 1535',0,0),
(147058,140135,10,100,'Heals target for 1630 - 1992',0,0),
(147059,140135,11,100,'Heals target for 1959 - 2395',0,0),
(147060,140136,11,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(147061,140136,11,100,'Heals target for 76 - 93',1,1),
(147062,140136,11,100,'Grants a total of 5 triggers of the spell.',1,2),
(147063,140137,11,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(147064,140137,11,100,'Heals target for 121 - 148',1,1),
(147065,140137,11,100,'Grants a total of 5 triggers of the spell.',1,2),
(147066,140138,10,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(147067,140138,10,100,'Heals target for 144 - 176',1,1),
(147068,140138,10,100,'Grants a total of 5 triggers of the spell.',1,3),
(147069,140138,11,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(147070,140138,11,100,'Heals target for 173 - 212',1,1),
(147071,140138,11,100,'Grants a total of 5 triggers of the spell.',1,3),
(147072,140139,11,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(147073,140139,11,100,'Heals target for 280 - 342',1,1),
(147074,140139,11,100,'Grants a total of 5 triggers of the spell.',1,2),
(147075,140140,10,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(147076,140140,10,100,'Heals target for 786 - 961',1,1),
(147077,140140,10,100,'Grants a total of 5 triggers of the spell.',1,2),
(147078,140140,11,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(147079,140140,11,100,'Heals target for 946 - 1156',1,1),
(147080,140140,11,100,'Grants a total of 5 triggers of the spell.',1,2),
(147081,140141,11,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(147082,140141,11,100,'Heals target for 414 - 506',1,1),
(147083,140141,11,100,'Grants a total of 5 triggers of the spell.',1,2),
(147084,140142,10,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(147085,140142,10,100,'Heals target for 455 - 556',1,1),
(147086,140142,10,100,'Grants a total of 5 triggers of the spell.',1,2),
(147087,140142,11,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(147088,140142,11,100,'Heals target for 547 - 669',1,1),
(147089,140142,11,100,'Grants a total of 5 triggers of the spell.',1,2),
(147090,140143,10,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(147091,140143,10,100,'Heals target for 602 - 736',1,1),
(147092,140143,10,100,'Grants a total of 5 triggers of the spell.',1,2),
(147093,140143,11,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(147094,140143,11,100,'Heals target for 724 - 885',1,1),
(147095,140143,11,100,'Grants a total of 5 triggers of the spell.',1,2),
(147096,140144,10,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(147097,140144,10,100,'Heals target for 732 - 895',1,1),
(147098,140144,10,100,'Grants a total of 5 triggers of the spell.',1,2),
(147099,140144,11,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(147100,140144,11,100,'Heals target for 881 - 1076',1,1),
(147101,140144,11,100,'Grants a total of 5 triggers of the spell.',1,2),
(147102,140146,10,100,'Inflicts 105 - 128 heat damage on target instantly and every 4 seconds',0,0),
(147104,140147,10,100,'Inflicts 157 - 192 heat damage on target instantly and every 4 seconds',0,0),
(147105,140147,10,100,'Decreases Mitigation of target vs arcane damage by 857',0,1),
(147106,140148,10,100,'Inflicts 211 - 258 heat damage on target instantly and every 4 seconds',0,0),
(147107,140148,10,100,'Decreases Mitigation of target vs arcane damage by 1092',0,1),
(147108,140149,10,100,'Inflicts 264 - 323 heat damage on target instantly and every 4 seconds',0,0),
(147109,140149,10,100,'Decreases Mitigation of target vs arcane damage by 1423',0,1),
(147110,140150,10,100,'Inflicts 319 - 390 heat damage on target instantly and every 4 seconds',0,0),
(147111,140150,10,100,'Decreases Mitigation of target vs arcane damage by 1754',0,1),
(147112,140151,10,100,'Inflicts 350 - 428 heat damage on target instantly and every 4 seconds',0,0),
(147113,140151,10,100,'Decreases Mitigation of target vs arcane damage by 1956',0,1),
(147114,140151,11,100,'Inflicts 421 - 514 heat damage on target instantly and every 4 seconds',0,0),
(147115,140151,11,100,'Decreases Mitigation of target vs arcane damage by 2351',0,1),
(147116,140152,10,100,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',0,0),
(147117,140152,10,100,'Heals target for 955',1,1),
(147118,140152,10,100,'Increases Max Health of target by 676',1,2),
(147119,140152,10,100,'Grants a total of 1 trigger of the spell.',1,3),
(147120,140153,10,100,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',0,0),
(147121,140153,10,100,'Heals target for 1396',1,1),
(147122,140153,10,100,'Increases Max Health of target by 958.9',1,2),
(147123,140153,10,100,'Grants a total of 1 trigger of the spell.',1,3),
(147124,140154,10,100,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',0,0),
(147125,140154,10,100,'Heals target for 1838',1,1),
(147126,140154,10,100,'Increases Max Health of target by 1,209.3',1,2),
(147127,140154,10,100,'Grants a total of 1 trigger of the spell.',1,3),
(147128,140155,10,100,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',0,0),
(147129,140155,10,100,'Heals target for 2520',1,1),
(147130,140155,10,100,'Increases Max Health of target by 1,479.2',1,2),
(147131,140155,10,100,'Grants a total of 1 trigger of the spell.',1,3),
(147132,140156,10,100,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',0,0),
(147133,140156,10,100,'Heals target for 3003',1,1),
(147134,140156,10,100,'Increases Max Health of target by 1,731.2',1,2),
(147135,140156,10,100,'Grants a total of 1 trigger of the spell.',1,3),
(147136,140157,10,100,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',0,0),
(147137,140157,10,100,'Heals target for 3150',1,1),
(147138,140157,10,100,'Increases Max Health of target by 1,983.2',1,2),
(147139,140157,10,100,'Grants a total of 1 trigger of the spell.',1,3),
(147140,140157,11,100,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',0,0),
(147141,140157,11,100,'Heals target for 3788',1,1),
(147142,140157,11,100,'Increases Max Health of target by 2,384.6',1,2),
(147143,140157,11,100,'Grants a total of 1 trigger of the spell.',1,3),
(147144,140159,10,100,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',0,0),
(147145,140159,10,100,'Inflicts 93 - 155 divine damage on target',1,1),
(147146,140159,10,100,'Stuns target',1,2),
(147147,140159,10,100,'If Target is not Epic',2,3),
(147148,140159,10,100,'Grants a total of 3 triggers of the spell.',1,4),
(147149,140160,10,100,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',0,0),
(147150,140160,10,100,'Inflicts 176 - 293 divine damage on target',1,1),
(147151,140160,10,100,'Stuns target',1,2),
(147152,140160,10,100,'If Target is not Epic',2,3),
(147153,140160,10,100,'Grants a total of 3 triggers of the spell.',1,4),
(147154,140161,10,100,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',0,0),
(147155,140161,10,100,'Inflicts 270 - 449 divine damage on target',1,1),
(147156,140161,10,100,'Stuns target',1,2),
(147157,140161,10,100,'If Target is not Epic',2,3),
(147158,140161,10,100,'Grants a total of 3 triggers of the spell.',1,4),
(147159,140163,10,100,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',0,0),
(147160,140163,10,100,'Inflicts 480 - 800 divine damage on target',1,1),
(147161,140163,10,100,'Stuns target',1,2),
(147162,140163,10,100,'If Target is not Epic',2,3),
(147163,140163,10,100,'Grants a total of 3 triggers of the spell.',1,4),
(147164,140164,10,100,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',0,0),
(147165,140164,10,100,'Inflicts 580 - 967 divine damage on target',1,1),
(147166,140164,10,100,'Stuns target',1,2),
(147167,140164,10,100,'If Target is not Epic',2,3),
(147168,140164,10,100,'Grants a total of 3 triggers of the spell.',1,4),
(147169,140165,10,100,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',0,0),
(147170,140165,10,100,'Inflicts 670 - 1117 divine damage on target',1,1),
(147171,140165,10,100,'Stuns target',1,2),
(147172,140165,10,100,'If Target is not Epic',2,3),
(147173,140165,10,100,'Grants a total of 3 triggers of the spell.',1,4),
(147174,140165,11,100,'On any combat or spell hit this spell will cast Repenting Strike on caster.  Lasts for 2.5 seconds.  ',0,0),
(147175,140165,11,100,'Inflicts 806 - 1343 divine damage on target',1,1),
(147176,140165,11,100,'Stuns target',1,2),
(147177,140165,11,100,'If Target is not Epic',2,3),
(147178,140165,11,100,'Grants a total of 3 triggers of the spell.',1,4),
(147179,140166,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(147180,140166,2,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(147181,140166,3,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(147182,140166,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(147183,140166,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(147184,140166,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(147185,140166,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(147186,140166,10,100,'Dispels 79 levels of any hostile effects on group members (AE)',0,0),
(147187,140166,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(147188,140167,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(147189,140167,2,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(147190,140167,3,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(147191,140167,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(147192,140167,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(147193,140167,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(147194,140167,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(147195,140167,10,100,'Dispels 105 levels of any hostile effects on group members (AE)',0,0),
(147196,140167,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(147197,140168,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(147198,140168,2,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(147199,140168,3,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(147200,140168,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(147201,140168,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(147202,140168,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(147203,140168,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(147204,140168,10,100,'Dispels 130 levels of any hostile effects on group members (AE)',0,0),
(147205,140168,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(147206,140170,10,100,'Increases Max Health of group members (AE) by 40.3',0,0),
(147207,140170,10,100,'Increases Mitigation of group members (AE) vs physical damage by 174',0,1),
(147208,140171,10,100,'Increases Max Health of group members (AE) by 136.8',0,0),
(147209,140171,10,100,'Increases Mitigation of group members (AE) vs physical damage by 374',0,1),
(147210,140173,10,100,'Increases stamina of group members (AE) by 54',0,0),
(147211,140173,10,100,'Increases Mitigation of group members (AE) vs physical damage by 908',0,1),
(147212,140174,10,100,'Increases Max Health of group members (AE) by 710.8',0,0),
(147213,140174,10,100,'Increases Mitigation of group members (AE) vs physical damage by 1179',0,1),
(147214,140175,10,100,'Increases Max Health of group members (AE) by 885.4',0,0),
(147215,140175,10,100,'Increases Mitigation of group members (AE) vs physical damage by 1501',0,1),
(147216,140177,11,100,'Increases Mitigation of group members (AE) vs physical damage by 2402',0,0),
(147217,140177,11,100,'Increases the health of group members by 7.27 for each point of stamina',0,1),
(147218,140179,10,100,'Increases STA of target by 5.2',0,0),
(147219,140179,10,100,'Increases Multi Attack of target by 15.6',0,1),
(147220,140180,10,100,'Increases STA of target by 17.0',0,0),
(147221,140180,10,100,'Increases Multi Attack of target by 19.3',0,1),
(147222,140181,10,100,'Increases STA of target by 43.6',0,0),
(147223,140181,10,100,'Increases Melee Damage of target by 23.8',0,1),
(147224,140182,10,100,'Increases STA of target by 74.1',0,0),
(147225,140182,10,100,'Increases Multi Attack of target by 28.3',0,1),
(147226,140183,10,100,'Increases STA of target by 101.3',0,0),
(147227,140183,10,100,'Increases Multi Attack Chance of target by 32.9',0,1),
(147228,140184,10,100,'Increases STA of target by 127.8',0,0),
(147229,140184,10,100,'Increases Multi Attack of target by 37.8',0,1),
(147230,140185,10,100,'Increases STA of target by 153.0',0,0),
(147231,140185,10,100,'Increases Multi Attack of target by 42.3',0,1),
(147232,140186,10,100,'Increases STA of target by 178.2',0,0),
(147233,140186,10,100,'Increases Multi Attack of target by 47.7',0,1),
(147234,140186,11,100,'Increases STA of target by 214.2',0,0),
(147235,140186,11,100,'Increases Multi Attack of target by 57.4',0,1),
(147236,140187,1,100,'Decreases Mitigation of target vs arcane damage by 55',0,2),
(147237,140187,2,100,'Decreases Mitigation of target vs arcane damage by 58',0,2),
(147238,140187,3,100,'Decreases Mitigation of target vs arcane damage by 61',0,2),
(147239,140187,4,100,'Decreases Mitigation of target vs arcane damage by 67',0,2),
(147240,140187,5,100,'Decreases Mitigation of target vs arcane damage by 73',0,2),
(147241,140187,7,100,'Decreases Mitigation of target vs arcane damage by 94',0,2),
(147242,140187,9,100,'Decreases Mitigation of target vs arcane damage by 98',0,2),
(147243,140187,10,100,'Inflicts 5 - 6 mental damage on target instantly and every 3 seconds',0,0),
(147244,140187,10,100,'Decreases Combat Mitigation of target by 16.13',0,1),
(147245,140187,10,100,'Decreases Mitigation of target vs arcane damage by 103',0,2),
(147246,140188,1,100,'Decreases Mitigation of target vs arcane damage by 117',0,2),
(147247,140188,2,100,'Decreases Mitigation of target vs arcane damage by 123',0,2),
(147248,140188,3,100,'Decreases Mitigation of target vs arcane damage by 130',0,2),
(147249,140188,4,100,'Decreases Mitigation of target vs arcane damage by 143',0,2),
(147250,140188,5,100,'Decreases Mitigation of target vs arcane damage by 156',0,2),
(147251,140188,7,100,'Decreases Mitigation of target vs arcane damage by 200',0,2),
(147252,140188,9,100,'Decreases Mitigation of target vs arcane damage by 208',0,2),
(147253,140188,10,100,'Decreases Mitigation of target vs arcane damage by 218',0,2),
(147254,140189,1,100,'Decreases STR and STA of target by 17.0',0,1),
(147255,140189,2,100,'Decreases STR and STA of target by 17.9',0,1),
(147256,140189,3,100,'Decreases STR and STA of target by 18.7',0,1),
(147257,140189,4,100,'Decreases STR and STA of target by 20.4',0,1),
(147258,140189,5,100,'Decreases STR and STA of target by 22.0',0,1),
(147259,140189,7,100,'Decreases STR and STA of target by 27.7',0,1),
(147260,140189,9,100,'Decreases STR and STA of target by 29.7',0,1),
(147261,140189,10,100,'Inflicts 40 - 49 mental damage on target instantly and every 3 seconds',0,0),
(147263,140189,10,100,'Decreases STR and STA of target by 31.1',0,1),
(147271,140190,10,100,'Inflicts 65 - 80 mental damage on target instantly and every 3 seconds',0,0),
(147272,140190,10,100,'Decreases STR and STA of target by 52.0',0,1),
(147274,140191,1,100,'Decreases Mitigation of target vs arcane damage by 1058',0,2),
(147275,140191,4,100,'Decreases Mitigation of target vs arcane damage by 1294',0,2),
(147276,140191,5,100,'Decreases Mitigation of target vs arcane damage by 1411',0,2),
(147277,140191,7,100,'Decreases Mitigation of target vs arcane damage by 1811',0,2),
(147278,140191,9,100,'Decreases Mitigation of target vs arcane damage by 1882',0,2),
(147279,140191,10,100,'Inflicts 207 - 253 mental damage on target instantly and every 3 seconds',0,0),
(147280,140191,10,100,'Decreases Combat Mitigation of target by 16.13',0,1),
(147281,140191,10,100,'Decreases Mitigation of target vs arcane damage by 1976',0,2),
(147282,140191,11,100,'Inflicts 249 - 304 mental damage on target instantly and every 3 seconds',0,0),
(147283,140191,11,100,'Decreases Combat Mitigation of target by 19.39',0,1),
(147284,140191,11,100,'Decreases Mitigation of target vs arcane damage by 2376',0,2),
(147285,140192,1,100,'Decreases Mitigation of target vs arcane damage by 477',0,2),
(147286,140192,2,100,'Decreases Mitigation of target vs arcane damage by 504',0,2),
(147287,140192,3,100,'Decreases Mitigation of target vs arcane damage by 530',0,2),
(147288,140192,4,100,'Decreases Mitigation of target vs arcane damage by 583',0,2),
(147289,140192,5,100,'Decreases Mitigation of target vs arcane damage by 636',0,2),
(147290,140192,7,100,'Decreases Mitigation of target vs arcane damage by 816',0,2),
(147291,140192,9,100,'Decreases Mitigation of target vs arcane damage by 848',0,2),
(147292,140192,10,100,'Decreases Mitigation of target vs arcane damage by 890',0,2),
(147293,140193,1,100,'Decreases Mitigation of target vs arcane damage by 603',0,2),
(147294,140193,2,100,'Decreases Mitigation of target vs arcane damage by 637',0,2),
(147295,140193,3,100,'Decreases Mitigation of target vs arcane damage by 670',0,2),
(147296,140193,4,100,'Decreases Mitigation of target vs arcane damage by 737',0,2),
(147297,140193,5,100,'Decreases Mitigation of target vs arcane damage by 804',0,2),
(147298,140193,7,100,'Decreases Mitigation of target vs arcane damage by 1032',0,2),
(147299,140193,9,100,'Decreases Mitigation of target vs arcane damage by 1072',0,2),
(147300,140193,10,100,'Inflicts 129 - 157 mental damage on target instantly and every 3 seconds',0,0),
(147301,140193,10,100,'Decreases Combat Mitigation of target by 16.13',0,1),
(147302,140193,10,100,'Decreases Mitigation of target vs arcane damage by 1126',0,2),
(147303,140194,1,100,'Decreases Mitigation of target vs arcane damage by 782',0,2),
(147304,140194,2,100,'Decreases Mitigation of target vs arcane damage by 826',0,2),
(147305,140194,3,100,'Decreases Mitigation of target vs arcane damage by 869',0,2),
(147306,140194,4,100,'Decreases Mitigation of target vs arcane damage by 956',0,2),
(147307,140194,5,100,'Decreases Mitigation of target vs arcane damage by 1043',0,2),
(147308,140194,7,100,'Decreases Mitigation of target vs arcane damage by 1338',0,2),
(147309,140194,9,100,'Decreases Mitigation of target vs arcane damage by 1391',0,2),
(147310,140194,10,100,'Inflicts 158 - 194 mental damage on target instantly and every 3 seconds',0,0),
(147311,140194,10,100,'Decreases Combat Mitigation of target by 16.13',0,1),
(147312,140194,10,100,'Decreases Mitigation of target vs arcane damage by 1460',0,2),
(147313,140195,1,100,'Decreases Mitigation of target vs arcane damage by 950',0,2),
(147314,140195,4,100,'Decreases Mitigation of target vs arcane damage by 1162',0,2),
(147315,140195,5,100,'Decreases Mitigation of target vs arcane damage by 1267',0,2),
(147316,140195,7,100,'Decreases Mitigation of target vs arcane damage by 1626',0,2),
(147317,140195,9,100,'Decreases Mitigation of target vs arcane damage by 1690',0,2),
(147318,140195,10,100,'Inflicts 191 - 233 mental damage on target instantly and every 3 seconds',0,0),
(147319,140195,10,100,'Decreases Combat Mitigation of target by 16.13',0,1),
(147320,140195,10,100,'Decreases Mitigation of target vs arcane damage by 1774',0,2),
(147321,140196,10,100,'Applies Traumatization on termination.  Lasts for 8.8 seconds.',0,0),
(147322,140196,10,100,'Decreases Threat to target by 3,897  instantly and Decreases Threat by 3,883  every 1.8 seconds thereafter',1,1),
(147323,140196,10,100,'Mesmerizes target',1,2),
(147324,140196,10,100,'Dispelled when target takes damage',1,3),
(147325,140196,10,100,'Epic targets gain an immunity to Mesmerize effects of 26.3 seconds and duration is reduced to 2.9 seconds.',1,4),
(147326,140196,10,100,'Resistibility increases against targets higher than level 76.',1,5),
(147327,140196,10,100,'Makes target afraid',0,6),
(147328,140196,10,100,'30% chance to dispel when target takes damage',0,7),
(147329,140196,10,100,'Does not affect Epic targets',0,8),
(147330,140196,10,100,'Resistibility increases against targets higher than level 29.',0,9),
(147331,140197,10,100,'Applies Traumatization on termination.  Lasts for 10.0 seconds.',0,0),
(147332,140197,10,100,'Decreases Threat to target by 5,533  instantly and Decreases Threat by 5,518  every 2 seconds thereafter',1,1),
(147333,140197,10,100,'Mesmerizes target',1,2),
(147334,140197,10,100,'Dispelled when target takes damage',1,3),
(147335,140197,10,100,'Epic targets gain an immunity to Mesmerize effects of 30.0 seconds and duration is reduced to 3.3 seconds.',1,4),
(147336,140197,10,100,'Resistibility increases against targets higher than level 90.',1,5),
(147337,140197,10,100,'Makes target afraid',0,6),
(147338,140197,10,100,'30% chance to dispel when target takes damage',0,7),
(147339,140197,10,100,'Does not affect Epic targets',0,8),
(147340,140197,10,100,'Resistibility increases against targets higher than level 29.',0,9),
(147341,140198,10,100,'Applies Traumatization on termination.  Lasts for 11.3 seconds.',0,0),
(147342,140198,10,100,'Decreases Threat to target by 7,466  instantly and Decreases Threat by 7,449  every 2.2 seconds thereafter',1,1),
(147343,140198,10,100,'Mesmerizes target',1,2),
(147344,140198,10,100,'Dispelled when target takes damage',1,3),
(147345,140198,10,100,'Epic targets gain an immunity to Mesmerize effects of 33.7 seconds and duration is reduced to 3.7 seconds.',1,4),
(147346,140198,10,100,'Resistibility increases against targets higher than level 104.',1,5),
(147347,140198,10,100,'Makes target afraid',0,6),
(147348,140198,10,100,'30% chance to dispel when target takes damage',0,7),
(147349,140198,10,100,'Does not affect Epic targets',0,8),
(147350,140198,10,100,'Resistibility increases against targets higher than level 29.',0,9),
(147351,140199,10,100,'Applies Traumatization on termination.  Lasts for 11.3 seconds.',0,0),
(147352,140199,10,100,'Decreases Threat to target by 9,149  instantly and Decreases Threat by 9,131  every 2.2 seconds thereafter',1,1),
(147353,140199,10,100,'Mesmerizes target',1,2),
(147354,140199,10,100,'Dispelled when target takes damage',1,3),
(147355,140199,10,100,'Epic targets gain an immunity to Mesmerize effects of 33.7 seconds and duration is reduced to 3.7 seconds.',1,4),
(147356,140199,10,100,'Resistibility increases against targets higher than level 114.',1,5),
(147357,140199,10,100,'Makes target afraid',0,6),
(147358,140199,10,100,'30% chance to dispel when target takes damage',0,7),
(147359,140199,10,100,'Does not affect Epic targets',0,8),
(147360,140199,10,100,'Resistibility increases against targets higher than level 29.',0,9),
(147361,140200,10,100,'Applies Traumatization on termination.  Lasts for 11.3 seconds.',0,0),
(147362,140200,10,100,'Decreases Threat to target by 10,832  instantly and Decreases Threat by 10,813  every 2.2 seconds thereafter',1,1),
(147363,140200,10,100,'Mesmerizes target',1,2),
(147364,140200,10,100,'Dispelled when target takes damage',1,3),
(147365,140200,10,100,'Epic targets gain an immunity to Mesmerize effects of 33.7 seconds and duration is reduced to 3.7 seconds.',1,4),
(147366,140200,10,100,'Resistibility increases against targets higher than level 124.',1,5),
(147367,140200,10,100,'Makes target afraid',0,6),
(147368,140200,10,100,'30% chance to dispel when target takes damage',0,7),
(147369,140200,10,100,'Does not affect Epic targets',0,8),
(147370,140200,10,100,'Resistibility increases against targets higher than level 29.',0,9),
(147371,140200,11,100,'Applies Traumatization on termination.  Lasts for 11.3 seconds.',0,0),
(147372,140200,11,100,'Decreases Threat to target by 13,024  instantly and Decreases Threat by 12,996  every 2.2 seconds thereafter',1,1),
(147373,140200,11,100,'Mesmerizes target',1,2),
(147374,140200,11,100,'Dispelled when target takes damage',1,3),
(147375,140200,11,100,'Epic targets gain an immunity to Mesmerize effects of 33.7 seconds and duration is reduced to 3.7 seconds.',1,4),
(147376,140200,11,100,'Resistibility increases against targets higher than level 124.',1,5),
(147377,140200,11,100,'Makes target afraid',0,6),
(147378,140200,11,100,'30% chance to dispel when target takes damage',0,7),
(147379,140200,11,100,'Does not affect Epic targets',0,8),
(147380,140200,11,100,'Resistibility increases against targets higher than level 29.',0,9),
(147381,140201,10,100,'On a melee hit this spell will cast Vengeance on caster.  ',0,0),
(147382,140201,10,100,'Inflicts 105 divine damage on target',1,1),
(147383,140201,10,100,'Grants a total of 5 triggers of the spell.',1,2),
(147384,140203,10,100,'On a melee hit this spell will cast Vengeance on caster.  ',0,0),
(147385,140203,10,100,'Inflicts 235 divine damage on target',1,1),
(147386,140203,10,100,'Grants a total of 5 triggers of the spell.',1,2),
(147387,140205,10,100,'On a melee hit this spell will cast Vengeance on caster.  ',0,0),
(147388,140205,10,100,'Inflicts 372 divine damage on target',1,1),
(147389,140205,10,100,'Grants a total of 5 triggers of the spell.',1,2),
(147390,140206,10,100,'On a melee hit this spell will cast Vengeance on caster.  ',0,0),
(147391,140206,10,100,'Inflicts 441 divine damage on target',1,1),
(147392,140206,10,100,'Grants a total of 5 triggers of the spell.',1,2),
(147393,140206,11,100,'On a melee hit this spell will cast Vengeance on caster.  ',0,0),
(147394,140206,11,100,'Inflicts 531 divine damage on target',1,1),
(147395,140206,11,100,'Grants a total of 5 triggers of the spell.',1,2),
(147396,140207,1,100,'If Target is Epic',1,17),
(147397,140207,1,100,'If under 2% Health',1,18),
(147398,140207,1,100,'Cannot be modified except by direct means',0,19),
(147399,140207,2,100,'If Target is Epic',1,17),
(147400,140207,2,100,'If under 2% Health',1,18),
(147401,140207,2,100,'Cannot be modified except by direct means',0,19),
(147402,140207,3,100,'If Target is Epic',1,17),
(147403,140207,3,100,'If under 2% Health',1,18),
(147404,140207,3,100,'Cannot be modified except by direct means',0,19),
(147405,140207,4,100,'If Target is Epic',1,17),
(147406,140207,4,100,'If under 2% Health',1,18),
(147407,140207,4,100,'Cannot be modified except by direct means',0,19),
(147408,140207,5,100,'If Target is Epic',1,17),
(147409,140207,5,100,'If under 2% Health',1,18),
(147410,140207,5,100,'Cannot be modified except by direct means',0,19),
(147411,140207,7,100,'If Target is Epic',1,17),
(147412,140207,7,100,'If under 2% Health',1,18),
(147413,140207,7,100,'Cannot be modified except by direct means',0,19),
(147414,140207,9,100,'If Target is Epic',1,17),
(147415,140207,9,100,'If under 2% Health',1,18),
(147416,140207,9,100,'Cannot be modified except by direct means',0,19),
(147417,140207,10,100,'Applies Verdict on termination.',0,0),
(147418,140207,10,100,'Reduces target''s health to 1.',1,1),
(147419,140207,10,100,'If under 5% Health',1,2),
(147420,140207,10,100,'Applies Verdict.',0,3),
(147421,140207,10,100,'Reduces target''s health to 1.',1,4),
(147422,140207,10,100,'If Target is Weak',1,5),
(147423,140207,10,100,'If under 50% Health',1,6),
(147424,140207,10,100,'Applies Verdict.',0,7),
(147425,140207,10,100,'Reduces target''s health to 1.',1,8),
(147426,140207,10,100,'Certain creature strengths only',1,9),
(147427,140207,10,100,'If under 25% Health',1,10),
(147428,140207,10,100,'Applies Verdict.',0,11),
(147429,140207,10,100,'Reduces target''s health to 1.',1,12),
(147430,140207,10,100,'If Target is stronger than Standard',1,13),
(147431,140207,10,100,'If under 10% Health',1,14),
(147432,140207,10,100,'Applies Verdict.',0,15),
(147433,140207,10,100,'Reduces target''s health to 1.',1,16),
(147434,140207,10,100,'If Target is Epic',1,17),
(147435,140207,10,100,'If under 2% Health',1,18),
(147436,140207,10,100,'Cannot be modified except by direct means',0,19),
(147437,150000,10,100,'Heals target for 102 - 125',0,0),
(147438,150000,10,100,'Heals target for 17 - 21 every second',0,1),
(147439,150001,10,100,'Inflicts 103 - 126 cold damage on target',0,0),
(147440,150001,10,100,'Inflicts 103 - 126 cold damage on target',0,1),
(147441,150001,10,100,'If target is elemental',1,2),
(147442,150003,10,100,'Heals target for 191 - 233',0,0),
(147443,150003,10,100,'Heals target for 24 - 30 every second',0,1),
(147444,150006,10,100,'When damaged with a melee weapon this spell will cast Nettleshield Thorns on target''s attacker.  ',0,0),
(147445,150006,10,100,'Inflicts 5 piercing damage on target',1,1),
(147446,150007,10,100,'Inflicts 26 - 32 divine damage on target instantly and every 3 seconds',0,0),
(147447,150007,10,100,'Decreases Defense of target by 8.6',0,1),
(147448,150010,10,100,'Increases AGI of target by 22.7',0,0),
(147449,150010,10,100,'Adds 1.0% to base avoidance.',0,1),
(147450,150010,10,100,'Increases Combat Power Regen of target by 11.3',0,2),
(147451,150010,10,100,'Increases Max Power of target by 138.6',0,3),
(147452,150011,10,100,'Increases AGI of target by 34.8',0,0),
(147453,150011,10,100,'Adds 1.0% to base avoidance.',0,1),
(147454,150011,10,100,'Increases Combat Power Regen of target by 18.9',0,2),
(147455,150011,10,100,'Increases Max Power of target by 230.6',0,3),
(147456,150012,10,100,'Increases AGI of target by 47.1',0,0),
(147457,150012,10,100,'Adds 1.0% to base avoidance.',0,1),
(147458,150012,10,100,'Increases Combat Power Regen of target by 26.6',0,2),
(147459,150012,10,100,'Increases Max Power of target by 308.9',0,3),
(147460,150013,10,100,'Increases AGI of target by 56.4',0,0),
(147461,150013,10,100,'Adds 1.0% to base avoidance.',0,1),
(147462,150013,10,100,'Increases Combat Power Regen of target by 32.3',0,2),
(147463,150013,10,100,'Increases Max Power of target by 352.4',0,3),
(147464,150014,10,100,'Increases AGI of target by 65.6',0,0),
(147465,150014,10,100,'Adds 1.0% to base avoidance.',0,1),
(147466,150014,10,100,'Increases Combat Power Regen of target by 36.5',0,2),
(147467,150014,10,100,'Increases Max Power of target by 396.0',0,3),
(147468,150014,11,100,'Increases AGI of target by 78.9',0,0),
(147469,150014,11,100,'Adds 1.2% to base avoidance.',0,1),
(147470,150014,11,100,'Increases Combat Power Regen of target by 43.9',0,2),
(147471,150014,11,100,'Increases Max Power of target by 476.1',0,3),
(147472,150016,10,100,'Inflicts 16 - 19 divine damage on target instantly and every 3 seconds',0,0),
(147473,150016,10,100,'Decreases Defense of target by 5.0',0,1),
(147474,150017,10,100,'Decreases Threat to targets in Area of Effect by 2,252 ',0,0),
(147475,150017,10,100,'Roots targets in Area of Effect',0,1),
(147476,150017,10,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,2),
(147479,150019,10,100,'Heals group members (AE) for 113 - 138',0,0),
(147480,150019,10,100,'Heals group members (AE) for 19 - 23 every second',0,1),
(147481,150020,10,100,'Increases Max Health of group members (AE) by 56.8',0,0),
(147482,150020,10,100,'Increases Mitigation of group members (AE) vs elemental damage by 290',0,1),
(147484,150021,10,100,'Increases Max Power of target by 228',0,0),
(147485,150022,1,100,'Increases arcane resistance of group members by 52',0,1),
(147486,150023,10,100,'Increases STA, AGI, and WIS of group members (AE) by 12.8',0,0),
(147487,150023,10,100,'Increases Mitigation of group members (AE) vs physical damage by \r\n990',0,1),
(147488,160000,10,100,'Increases Max Health of group members (AE) by 40.3',0,0),
(147489,160000,10,100,'If fighter',1,1),
(147490,160000,10,100,'Increases Mitigation of group members (AE) vs physical damage by 174',0,2),
(147491,160000,10,100,'If not fighter',1,3),
(147492,160001,10,100,'Increases Max Health of group members (AE) by 136.8',0,0),
(147493,160001,10,100,'If fighter',1,1),
(147494,160001,10,100,'Increases Mitigation of group members (AE) vs physical damage by 374',0,2),
(147495,160001,10,100,'If not fighter',1,3),
(147496,160003,10,100,'Increases Max Health of group members (AE) by 536.8',0,0),
(147497,160003,10,100,'If fighter',1,1),
(147498,160003,10,100,'Increases Mitigation of group members (AE) vs physical damage by 908',0,2),
(147499,160003,10,100,'If not fighter',1,3),
(147500,160004,10,100,'Increases Max Health of group members (AE) by 710.8',0,0),
(147501,160004,10,100,'If fighter',1,1),
(147502,160004,10,100,'Increases Mitigation of group members (AE) vs physical damage by 1179',0,2),
(147503,160004,10,100,'If not fighter',1,3),
(147504,160005,10,100,'Increases Max Health of group members (AE) by 885.4',0,0),
(147505,160005,10,100,'If fighter',1,1),
(147506,160005,10,100,'Increases Mitigation of group members (AE) vs physical damage by 1501',0,2),
(147507,160005,10,100,'If not fighter',1,3),
(147508,160007,11,100,'Increases the Stamina Bonus of Group members (AE) by 979.4',0,0),
(147509,160007,11,100,'If fighter',1,1),
(147510,160007,11,100,'Increases Mitigation of group members (AE) vs physical damage by 2402',0,2),
(147511,160007,11,100,'If not fighter',1,3),
(147512,160008,10,100,'Increases STA of target by 5.2',0,0),
(147513,160008,10,100,'Increases WIS of target by 16.6',0,1),
(147514,160008,10,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 52',0,2),
(147515,160009,10,100,'Increases STA of target by 17.0',0,0),
(147516,160009,10,100,'Increases WIS of target by 33.3',0,1),
(147517,160009,10,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 206',0,2),
(147518,160010,10,100,'Increases STA of target by 43.6',0,0),
(147519,160010,10,100,'Increases WIS of target by 58.0',0,1),
(147520,160010,10,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 387',0,2),
(147521,160011,10,100,'Increases STA of target by 74.1',0,0),
(147522,160011,10,100,'Increases WIS of target by 86.2',0,1),
(147523,160011,10,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 568',0,2),
(147524,160012,10,100,'Increases STA of target by 101.3',0,0),
(147525,160012,10,100,'Increases WIS of target by 114.4',0,1),
(147526,160012,10,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 748',0,2),
(147527,160013,10,100,'Increases STA of target by 127.8',0,0),
(147528,160013,10,100,'Increases WIS of target by 144.1',0,1),
(147529,160013,10,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 929',0,2),
(147530,160015,10,100,'Increases STA of target by 178.2',0,0),
(147531,160015,10,100,'Increases WIS of target by 199.6',0,1),
(147532,160015,10,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1187',0,2),
(147533,160015,11,100,'Increases STA of target by 214.2',0,0),
(147534,160015,11,100,'Increases WIS of target by 240.0',0,1),
(147535,160015,11,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1427',0,2),
(147536,160016,10,100,'Inflicts 18 - 22 heat damage on target',0,0),
(147537,160017,10,100,'Inflicts 64 - 78 heat damage on target',0,0),
(147538,160018,10,100,'Inflicts 118 - 145 heat damage on target',0,0),
(147539,160020,11,100,'Inflicts 1081 - 1322 heat damage on target',0,0),
(147540,160021,10,100,'Inflicts 354 - 432 heat damage on target',0,0),
(147541,160022,10,100,'Inflicts 497 - 607 heat damage on target',0,0),
(147542,160026,10,100,'Increases STA of group members (AE) by 5.7',0,0),
(147543,160026,10,100,'Increases Mitigation of group members (AE) vs elemental damage by 363',0,1),
(147544,160027,10,100,'Increases STA of group members (AE) by 14.5',0,0),
(147545,160027,10,100,'Increases Mitigation of group members (AE) vs elemental damage by 630',0,1),
(147546,160028,10,100,'Increases STA of group members (AE) by 24.7',0,0),
(147547,160028,10,100,'Increases Mitigation of group members (AE) vs elemental damage by 924',0,1),
(147548,160029,10,100,'Increases STA of group members (AE) by 33.8',0,0),
(147549,160029,10,100,'Increases Mitigation of group members (AE) vs elemental damage by 1218',0,1),
(147550,160031,10,100,'Increases STA of group members (AE) by 51.0',0,0),
(147551,160031,10,100,'Increases Mitigation of group members (AE) vs elemental damage by 1825',0,1),
(147552,160032,10,100,'Increases STA of group members (AE) by 59.4',0,0),
(147553,160032,10,100,'Increases Mitigation of group members (AE) vs elemental damage by 2125',0,1),
(147554,160032,11,100,'Increases STA of group members (AE) by 71.4',0,0),
(147555,160032,11,100,'Increases Mitigation of group members (AE) vs elemental damage by 2555',0,1),
(147556,160033,10,100,'Summons a limited pet to aid the caster',0,0),
(147557,160034,10,100,'Summons a limited pet to aid the caster',0,0),
(147558,160035,10,100,'Summons a limited pet to aid the caster',0,0),
(147559,160035,11,100,'Summons a limited pet to aid the caster',0,0),
(147560,160036,10,100,'Increases AGI and WIS of group members (AE) by 24.5',0,0),
(147561,160036,10,100,'Adds 2.5% to base avoidance.',0,1),
(147562,160036,10,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 160',0,2),
(147563,160037,10,100,'Increases AGI and WIS of group members (AE) by 41.3',0,0),
(147564,160037,10,100,'Adds 2.5% to base avoidance.',0,1),
(147565,160037,10,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 284',0,2),
(147566,160038,10,100,'Increases AGI and WIS of group members (AE) by 60.1',0,0),
(147567,160038,10,100,'Adds 2.5% to base avoidance.',0,1),
(147568,160038,10,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 408',0,2),
(147569,160039,10,100,'Increases AGI and WIS of group members (AE) by 79.0',0,0),
(147570,160039,10,100,'Adds 2.5% to base avoidance.',0,1),
(147571,160039,10,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 532',0,2),
(147572,160040,10,100,'Increases AGI and WIS of group members (AE) by 97.9',0,0),
(147573,160040,10,100,'Adds 2.5% to base avoidance.',0,1),
(147574,160040,10,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 648',0,2),
(147575,160041,10,100,'Increases AGI and WIS of group members (AE) by 116.4',0,0),
(147576,160041,10,100,'Adds 2.5% to base avoidance.',0,1),
(147577,160041,10,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 736',0,2),
(147578,160042,10,100,'Increases AGI and WIS of group members (AE) by 134.9',0,0),
(147579,160042,10,100,'Adds 2.5% to base avoidance.',0,1),
(147580,160042,10,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 825',0,2),
(147581,160042,11,100,'Increases AGI and WIS of group members (AE) by 162.2',0,0),
(147582,160042,11,100,'Adds 3.0% to base avoidance.',0,1),
(147583,160042,11,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 992',0,2),
(147584,160044,10,100,'Inflicts 108 - 132 cold damage on target instantly and every 4 seconds',0,0),
(147585,160044,10,100,'Decreases Mitigation of target vs elemental damage by 622',0,1),
(147586,160045,10,100,'Inflicts 161 - 197 cold damage on target instantly and every 4 seconds',0,0),
(147587,160045,10,100,'Decreases Mitigation of target vs elemental damage by 857',0,1),
(147588,160046,10,100,'Inflicts 217 - 265 cold damage on target instantly and every 4 seconds',0,0),
(147589,160046,10,100,'Decreases Mitigation of target vs elemental damage by 1092',0,1),
(147590,160047,10,100,'Inflicts 272 - 333 cold damage on target instantly and every 4 seconds',0,0),
(147591,160047,10,100,'Decreases Mitigation of target vs elemental damage by 1423',0,1),
(147592,160048,10,100,'Inflicts 328 - 401 cold damage on target instantly and every 4 seconds',0,0),
(147593,160048,10,100,'Decreases Mitigation of target vs elemental damage by 1754',0,1),
(147594,160049,10,100,'Inflicts 360 - 440 cold damage on target instantly and every 4 seconds',0,0),
(147595,160049,10,100,'Decreases Mitigation of target vs elemental damage by 1956',0,1),
(147596,160049,11,100,'Inflicts 433 - 530 cold damage on target instantly and every 4 seconds',0,0),
(147597,160049,11,100,'Decreases Mitigation of target vs elemental damage by 2351',0,1),
(147598,160050,10,100,'Summons a limited pet to aid the caster',0,0),
(147599,160051,10,100,'Summons a limited pet to aid the caster',0,0),
(147600,160052,10,100,'Summons a limited pet to aid the caster',0,0),
(147601,160053,10,100,'Summons a limited pet to aid the caster',0,0),
(147602,160053,11,100,'Summons a limited pet to aid the caster',0,0),
(147603,160054,11,100,'Heals group members (AE) for 89 - 109 instantly and every 2 seconds',0,0),
(147604,160055,10,100,'Heals group members (AE) for 157 - 191 instantly and every 2 seconds',0,0),
(147605,160055,11,100,'Heals group members (AE) for 188 - 230 instantly and every 2 seconds',0,0),
(147606,160056,11,100,'Heals group members (AE) for 299 - 366 instantly and every 2 seconds',0,0),
(147607,160057,10,100,'Heals group members (AE) for 360 - 440 instantly and every 2 seconds',0,0),
(147608,160057,11,100,'Heals group members (AE) for 433 - 529 instantly and every 2 seconds',0,0),
(147609,160058,10,100,'Heals group members (AE) for 471 - 576 instantly and every 2 seconds',0,0),
(147610,160058,11,100,'Heals group members (AE) for 566 - 692 instantly and every 2 seconds',0,0),
(147611,160059,10,100,'Heals group members (AE) for 619 - 756 instantly and every 2 seconds',0,0),
(147612,160059,11,100,'Heals group members (AE) for 744 - 909 instantly and every 2 seconds',0,0),
(147613,160060,10,100,'Heals group members (AE) for 745 - 910 instantly and every 2 seconds',0,0),
(147614,160060,11,100,'Heals group members (AE) for 895 - 1094 instantly and every 2 seconds',0,0),
(147615,160061,10,100,'Heals group members (AE) for 790 - 966 instantly and every 2 seconds',0,0),
(147616,160061,11,100,'Heals group members (AE) for 950 - 1161 instantly and every 2 seconds',0,0),
(147617,160062,10,100,'Heals target for 401 - 491 instantly and every 2 seconds',0,0),
(147618,160062,10,100,'Increases power of target by 31 - 38 instantly and every 2 seconds',0,1),
(147619,160063,10,100,'Heals target for 606 - 740 instantly and every 2 seconds',0,0),
(147620,160063,10,100,'Increases power of target by 47 - 58 instantly and every 2 seconds',0,1),
(147621,160064,10,100,'Heals target for 816 - 998 instantly and every 2 seconds',0,0),
(147622,160064,10,100,'Increases power of target by 64 - 78 instantly and every 2 seconds',0,1),
(147623,160065,10,100,'Increases power of target by 76 - 92 instantly and every 2 seconds',0,0),
(147624,160065,10,100,'Heals target for 973 - 1189 instantly and every 2 seconds',0,1),
(147625,160066,10,100,'Heals target for 1021 - 1247 instantly and every 2 seconds',0,0),
(147626,160066,10,100,'Increases power of target by 79 - 97 instantly and every 2 seconds',0,1),
(147627,160066,11,100,'Heals target for 1227 - 1500 instantly and every 2 seconds',0,0),
(147628,160066,11,100,'Increases power of target by 95 - 117 instantly and every 2 seconds',0,1),
(147629,160067,10,100,'Inflicts 36 - 44 cold damage on target',0,0),
(147630,160067,10,100,'Inflicts 36 - 44 cold damage on target',0,1),
(147631,160067,10,100,'If target is elemental',1,2),
(147632,160069,10,100,'Inflicts 280 - 342 cold damage on target',0,0),
(147633,160069,10,100,'Inflicts 280 - 342 cold damage on target',0,1),
(147634,160069,10,100,'If target is elemental',1,2),
(147635,160071,10,100,'Inflicts 1450 - 1772 cold damage on target',0,0),
(147636,160071,10,100,'Inflicts 1450 - 1772 cold damage on target',0,1),
(147637,160071,10,100,'If target is elemental',1,2),
(147638,160071,11,100,'Inflicts 1743 - 2130 cold damage on target',0,0),
(147639,160071,11,100,'Inflicts 1743 - 2130 cold damage on target',0,1),
(147640,160071,11,100,'If target is elemental',1,2),
(147641,160073,10,100,'Inflicts 900 - 1100 cold damage on target',0,0),
(147642,160073,10,100,'Inflicts 900 - 1100 cold damage on target',0,1),
(147643,160073,10,100,'If target is elemental',1,2),
(147644,160074,10,100,'Inflicts 1109 - 1355 cold damage on target',0,0),
(147645,160074,10,100,'Inflicts 1109 - 1355 cold damage on target',0,1),
(147646,160074,10,100,'If target is elemental',1,2),
(147647,160075,10,100,'Inflicts 1336 - 1632 cold damage on target',0,0),
(147648,160075,10,100,'Inflicts 1336 - 1632 cold damage on target',0,1),
(147649,160075,10,100,'If target is elemental',1,2),
(147650,160076,9,100,'Applies Stoneskin Reaction.  Lasts for 1.0 seconds.',0,0),
(147651,160076,9,100,'Reduces all damage done to target by 100%',1,1),
(147652,160076,9,100,'Triggers when a Stoneskin is consumed. Suspends all other stoneskins that match the damage types of this effect.',1,2),
(147653,160076,9,100,'Will absorb physical, elemental, noxious, arcane damage. ',0,3),
(147654,160076,9,100,'When damaged this spell will cast Infuriating Thorns on target''s attacker.  Lasts for 1.0 second.  ',0,4),
(147655,160076,9,100,'Inflicts 896 piercing damage on target',1,5),
(147656,160076,9,100,'Cannot be modified except by direct means',1,6),
(147657,160076,9,100,'Grants a total of 3 triggers of the spell.',1,7),
(147658,160076,10,100,'Applies Stoneskin Reaction.  Lasts for 1.0 seconds.',0,0),
(147659,160076,10,100,'Reduces all damage done to target by 100%',1,1),
(147660,160076,10,100,'Triggers when a Stoneskin is consumed. Suspends all other stoneskins that match the damage types of this effect.',1,2),
(147661,160076,10,100,'Will absorb physical, elemental, noxious, arcane damage. ',0,3),
(147662,160076,10,100,'When damaged this spell will cast Infuriating Thorns on target''s attacker.  Lasts for 1.0 second.  ',0,4),
(147663,160076,10,100,'Inflicts 896 piercing damage on target',1,5),
(147664,160076,10,100,'Cannot be modified except by direct means',1,6),
(147665,160076,10,100,'Grants a total of 3 triggers of the spell.',1,7),
(147666,160077,1,100,'On a hostile ability cast this spell may cast Primal Instincts on target of spell.  Lasts for 6.0 seconds.  Triggers about 7.0 times per minute. ',0,4),
(147667,160077,1,100,'Inflicts 90 - 109 piercing damage on target',1,5),
(147668,160077,1,100,'Inflicts 45 - 55 piercing damage on target every 3 seconds',1,6),
(147669,160077,1,100,'This effect can only trigger once every 8.0 seconds.',1,7),
(147670,160077,1,100,'If target is a player or a mercenary',1,8),
(147671,160077,1,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 14.0',0,9),
(147672,160077,1,100,'Pets cannot trigger Primal Instincts.',0,10),
(147673,160077,2,100,'On a hostile ability cast this spell may cast Primal Instincts on target of spell.  Lasts for 6.0 seconds.  Triggers about 7.0 times per minute. ',0,4),
(147674,160077,2,100,'Inflicts 94 - 115 piercing damage on target',1,5),
(147675,160077,2,100,'Inflicts 47 - 58 piercing damage on target every 3 seconds',1,6),
(147676,160077,2,100,'This effect can only trigger once every 8.0 seconds.',1,7),
(147677,160077,2,100,'If target is a player or a mercenary',1,8),
(147678,160077,2,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 14.8',0,9),
(147679,160077,2,100,'Pets cannot trigger Primal Instincts.',0,10),
(147680,160077,3,100,'On a hostile ability cast this spell may cast Primal Instincts on target of spell.  Lasts for 6.0 seconds.  Triggers about 7.0 times per minute. ',0,4),
(147681,160077,3,100,'Inflicts 99 - 122 piercing damage on target',1,5),
(147682,160077,3,100,'Inflicts 50 - 61 piercing damage on target every 3 seconds',1,6),
(147683,160077,3,100,'This effect can only trigger once every 8.0 seconds.',1,7),
(147684,160077,3,100,'If target is a player or a mercenary',1,8),
(147685,160077,3,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 15.6',0,9),
(147686,160077,3,100,'Pets cannot trigger Primal Instincts.',0,10),
(147687,160077,4,100,'On a hostile ability cast this spell may cast Primal Instincts on target of spell.  Lasts for 6.0 seconds.  Triggers about 7.0 times per minute. ',0,4),
(147688,160077,4,100,'Inflicts 109 - 134 piercing damage on target',1,5),
(147689,160077,4,100,'Inflicts 55 - 67 piercing damage on target every 3 seconds',1,6),
(147690,160077,4,100,'This effect can only trigger once every 8.0 seconds.',1,7),
(147691,160077,4,100,'If target is a player or a mercenary',1,8),
(147692,160077,4,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 17.2',0,9),
(147693,160077,4,100,'Pets cannot trigger Primal Instincts.',0,10),
(147694,160077,5,100,'On a hostile ability cast this spell may cast Primal Instincts on target of spell.  Lasts for 6.0 seconds.  Triggers about 7.0 times per minute. ',0,4),
(147695,160077,5,100,'Inflicts 119 - 146 piercing damage on target',1,5),
(147696,160077,5,100,'Inflicts 60 - 73 piercing damage on target every 3 seconds',1,6),
(147697,160077,5,100,'This effect can only trigger once every 8.0 seconds.',1,7),
(147698,160077,5,100,'If target is a player or a mercenary',1,8),
(147699,160077,5,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 18.7',0,9),
(147700,160077,5,100,'Pets cannot trigger Primal Instincts.',0,10),
(147701,160077,7,100,'On a hostile ability cast this spell may cast Primal Instincts on target of spell.  Lasts for 6.0 seconds.  Triggers about 7.0 times per minute. ',0,4),
(147702,160077,7,100,'Inflicts 153 - 187 piercing damage on target',1,5),
(147703,160077,7,100,'Inflicts 77 - 94 piercing damage on target every 3 seconds',1,6),
(147704,160077,7,100,'This effect can only trigger once every 8.0 seconds.',1,7),
(147705,160077,7,100,'If target is a player or a mercenary',1,8),
(147706,160077,7,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 24.0',0,9),
(147707,160077,7,100,'Pets cannot trigger Primal Instincts.',0,10),
(147708,160077,9,100,'On a hostile ability cast this spell may cast Primal Instincts on target of spell.  Lasts for 6.0 seconds.  Triggers about 7.0 times per minute. ',0,4),
(147709,160077,9,100,'Inflicts 159 - 195 piercing damage on target',1,5),
(147710,160077,9,100,'Inflicts 80 - 97 piercing damage on target every 3 seconds',1,6),
(147711,160077,9,100,'This effect can only trigger once every 8.0 seconds.',1,7),
(147712,160077,9,100,'If target is a player or a mercenary',1,8),
(147713,160077,9,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 25.0',0,9),
(147714,160077,9,100,'Pets cannot trigger Primal Instincts.',0,10),
(147715,160077,10,100,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(147716,160077,10,100,'Inflicts 167 - 204 piercing damage on target',1,1),
(147717,160077,10,100,'Inflicts 84 - 102 piercing damage on target every 3 seconds',1,2),
(147718,160077,10,100,'If target is a player or a mercenary',1,3),
(147719,160077,10,100,'On a hostile ability cast this spell may cast Primal Instincts on target of spell.  Lasts for 6.0 seconds.  Triggers about 7.0 times per minute. ',0,4),
(147720,160077,10,100,'Inflicts 167 - 204 piercing damage on target',1,5),
(147721,160077,10,100,'Inflicts 84 - 102 piercing damage on target every 3 seconds',1,6),
(147722,160077,10,100,'This effect can only trigger once every 8.0 seconds.',1,7),
(147723,160077,10,100,'If target is a player or a mercenary',1,8),
(147724,160077,10,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 26.2',0,9),
(147725,160077,10,100,'Pets cannot trigger Primal Instincts.',0,10),
(147726,160077,11,100,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(147727,160077,11,100,'Inflicts 201 - 246 piercing damage on target',1,1),
(147728,160077,11,100,'Inflicts 100 - 123 piercing damage on target every 3 seconds',1,2),
(147729,160077,11,100,'If target is a player or a mercenary',1,3),
(147730,160077,11,100,'On a hostile ability cast this spell may cast Primal Instincts on target of spell.  Lasts for 6.0 seconds.  Triggers about 7.0 times per minute. ',0,4),
(147731,160077,11,100,'Inflicts 201 - 246 piercing damage on target',1,5),
(147732,160077,11,100,'Inflicts 100 - 123 piercing damage on target every 3 seconds',1,6),
(147733,160077,11,100,'This effect can only trigger once every 8.0 seconds.',1,7),
(147734,160077,11,100,'If target is a player or a mercenary',1,8),
(147735,160077,11,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 31.5',0,9),
(147736,160077,11,100,'Pets cannot trigger Primal Instincts.',0,10),
(147737,160078,1,100,'On a hostile ability cast this spell may cast Primal Instincts on target of spell.  Lasts for 6.0 seconds.  Triggers about 7.0 times per minute. ',0,4),
(147738,160078,1,100,'Inflicts 144 - 176 piercing damage on target',1,5),
(147739,160078,1,100,'Inflicts 72 - 88 piercing damage on target every 3 seconds',1,6),
(147740,160078,1,100,'This effect can only trigger once every 8.0 seconds.',1,7),
(147741,160078,1,100,'If target is a player or a mercenary',1,8),
(147742,160078,1,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 21.6',0,9),
(147743,160078,1,100,'Pets cannot trigger Primal Instincts.',0,10),
(147744,160078,2,100,'On a hostile ability cast this spell may cast Primal Instincts on target of spell.  Lasts for 6.0 seconds.  Triggers about 7.0 times per minute. ',0,4),
(147745,160078,2,100,'Inflicts 152 - 186 piercing damage on target',1,5),
(147746,160078,2,100,'Inflicts 76 - 93 piercing damage on target every 3 seconds',1,6),
(147747,160078,2,100,'This effect can only trigger once every 8.0 seconds.',1,7),
(147748,160078,2,100,'If target is a player or a mercenary',1,8),
(147749,160078,2,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 22.8',0,9),
(147750,160078,2,100,'Pets cannot trigger Primal Instincts.',0,10),
(147751,160078,3,100,'On a hostile ability cast this spell may cast Primal Instincts on target of spell.  Lasts for 6.0 seconds.  Triggers about 7.0 times per minute. ',0,4),
(147752,160078,3,100,'Inflicts 160 - 196 piercing damage on target',1,5),
(147753,160078,3,100,'Inflicts 80 - 98 piercing damage on target every 3 seconds',1,6),
(147754,160078,3,100,'This effect can only trigger once every 8.0 seconds.',1,7),
(147755,160078,3,100,'If target is a player or a mercenary',1,8),
(147756,160078,3,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 24.0',0,9),
(147757,160078,3,100,'Pets cannot trigger Primal Instincts.',0,10),
(147758,160078,4,100,'On a hostile ability cast this spell may cast Primal Instincts on target of spell.  Lasts for 6.0 seconds.  Triggers about 7.0 times per minute. ',0,4),
(147759,160078,4,100,'Inflicts 176 - 215 piercing damage on target',1,5),
(147760,160078,4,100,'Inflicts 88 - 108 piercing damage on target every 3 seconds',1,6),
(147761,160078,4,100,'This effect can only trigger once every 8.0 seconds.',1,7),
(147762,160078,4,100,'If target is a player or a mercenary',1,8),
(147763,160078,4,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 26.4',0,9),
(147764,160078,4,100,'Pets cannot trigger Primal Instincts.',0,10),
(147765,160078,5,100,'On a hostile ability cast this spell may cast Primal Instincts on target of spell.  Lasts for 6.0 seconds.  Triggers about 7.0 times per minute. ',0,4),
(147766,160078,5,100,'Inflicts 192 - 235 piercing damage on target',1,5),
(147767,160078,5,100,'Inflicts 96 - 117 piercing damage on target every 3 seconds',1,6),
(147768,160078,5,100,'This effect can only trigger once every 8.0 seconds.',1,7),
(147769,160078,5,100,'If target is a player or a mercenary',1,8),
(147770,160078,5,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 28.8',0,9),
(147771,160078,5,100,'Pets cannot trigger Primal Instincts.',0,10),
(147772,160078,7,100,'On a hostile ability cast this spell may cast Primal Instincts on target of spell.  Lasts for 6.0 seconds.  Triggers about 7.0 times per minute. ',0,4),
(147773,160078,7,100,'Inflicts 246 - 301 piercing damage on target',1,5),
(147774,160078,7,100,'Inflicts 123 - 151 piercing damage on target every 3 seconds',1,6),
(147775,160078,7,100,'This effect can only trigger once every 8.0 seconds.',1,7),
(147776,160078,7,100,'If target is a player or a mercenary',1,8),
(147777,160078,7,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 37.0',0,9),
(147778,160078,7,100,'Pets cannot trigger Primal Instincts.',0,10),
(147779,160078,9,100,'On a hostile ability cast this spell may cast Primal Instincts on target of spell.  Lasts for 6.0 seconds.  Triggers about 7.0 times per minute. ',0,4),
(147780,160078,9,100,'Inflicts 256 - 313 piercing damage on target',1,5),
(147781,160078,9,100,'Inflicts 128 - 156 piercing damage on target every 3 seconds',1,6),
(147782,160078,9,100,'This effect can only trigger once every 8.0 seconds.',1,7),
(147783,160078,9,100,'If target is a player or a mercenary',1,8),
(147784,160078,9,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 38.4',0,9),
(147785,160078,9,100,'Pets cannot trigger Primal Instincts.',0,10),
(147786,160078,10,100,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(147787,160078,10,100,'Inflicts 269 - 329 piercing damage on target',1,1),
(147788,160078,10,100,'Inflicts 134 - 164 piercing damage on target every 3 seconds',1,2),
(147789,160078,10,100,'If target is a player or a mercenary',1,3),
(147790,160078,10,100,'On a hostile ability cast this spell may cast Primal Instincts on target of spell.  Lasts for 6.0 seconds.  Triggers about 7.0 times per minute. ',0,4),
(147791,160078,10,100,'Inflicts 269 - 329 piercing damage on target',1,5),
(147792,160078,10,100,'Inflicts 134 - 164 piercing damage on target every 3 seconds',1,6),
(147793,160078,10,100,'This effect can only trigger once every 8.0 seconds.',1,7),
(147794,160078,10,100,'If target is a player or a mercenary',1,8),
(147795,160078,10,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 40.3',0,9),
(147796,160078,10,100,'Pets cannot trigger Primal Instincts.',0,10),
(147797,160078,11,100,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(147798,160078,11,100,'Inflicts 323 - 395 piercing damage on target',1,1),
(147799,160078,11,100,'Inflicts 162 - 198 piercing damage on target every 3 seconds',1,2),
(147800,160078,11,100,'If target is a player or a mercenary',1,3),
(147801,160078,11,100,'On a hostile ability cast this spell may cast Primal Instincts on target of spell.  Lasts for 6.0 seconds.  Triggers about 7.0 times per minute. ',0,4),
(147802,160078,11,100,'Inflicts 323 - 395 piercing damage on target',1,5),
(147803,160078,11,100,'Inflicts 162 - 198 piercing damage on target every 3 seconds',1,6),
(147804,160078,11,100,'This effect can only trigger once every 8.0 seconds.',1,7),
(147805,160078,11,100,'If target is a player or a mercenary',1,8),
(147806,160078,11,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 48.5',0,9),
(147807,160078,11,100,'Pets cannot trigger Primal Instincts.',0,10),
(147808,160079,1,100,'On a hostile ability cast this spell may cast Primal Instincts on target of spell.  Lasts for 6.0 seconds.  Triggers about 7.0 times per minute. ',0,4),
(147809,160079,1,100,'Inflicts 212 - 259 piercing damage on target',1,5),
(147810,160079,1,100,'Inflicts 106 - 130 piercing damage on target every 3 seconds',1,6),
(147811,160079,1,100,'This effect can only trigger once every 8.0 seconds.',1,7),
(147812,160079,1,100,'If target is a player or a mercenary',1,8),
(147813,160079,1,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 29.2',0,9),
(147814,160079,1,100,'Pets cannot trigger Primal Instincts.',0,10),
(147815,160079,2,100,'On a hostile ability cast this spell may cast Primal Instincts on target of spell.  Lasts for 6.0 seconds.  Triggers about 7.0 times per minute. ',0,4),
(147816,160079,2,100,'Inflicts 224 - 274 piercing damage on target',1,5),
(147817,160079,2,100,'Inflicts 112 - 137 piercing damage on target every 3 seconds',1,6),
(147818,160079,2,100,'This effect can only trigger once every 8.0 seconds.',1,7),
(147819,160079,2,100,'If target is a player or a mercenary',1,8),
(147820,160079,2,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 30.8',0,9),
(147821,160079,2,100,'Pets cannot trigger Primal Instincts.',0,10),
(147822,160079,3,100,'On a hostile ability cast this spell may cast Primal Instincts on target of spell.  Lasts for 6.0 seconds.  Triggers about 7.0 times per minute. ',0,4),
(147823,160079,3,100,'Inflicts 236 - 288 piercing damage on target',1,5),
(147824,160079,3,100,'Inflicts 118 - 144 piercing damage on target every 3 seconds',1,6),
(147825,160079,3,100,'This effect can only trigger once every 8.0 seconds.',1,7),
(147826,160079,3,100,'If target is a player or a mercenary',1,8),
(147827,160079,3,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 32.4',0,9),
(147828,160079,3,100,'Pets cannot trigger Primal Instincts.',0,10),
(147829,160079,4,100,'On a hostile ability cast this spell may cast Primal Instincts on target of spell.  Lasts for 6.0 seconds.  Triggers about 7.0 times per minute. ',0,4),
(147830,160079,4,100,'Inflicts 259 - 317 piercing damage on target',1,5),
(147831,160079,4,100,'Inflicts 130 - 158 piercing damage on target every 3 seconds',1,6),
(147832,160079,4,100,'This effect can only trigger once every 8.0 seconds.',1,7),
(147833,160079,4,100,'If target is a player or a mercenary',1,8),
(147834,160079,4,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 35.6',0,9),
(147835,160079,4,100,'Pets cannot trigger Primal Instincts.',0,10),
(147836,160079,5,100,'On a hostile ability cast this spell may cast Primal Instincts on target of spell.  Lasts for 6.0 seconds.  Triggers about 7.0 times per minute. ',0,4),
(147837,160079,5,100,'Inflicts 283 - 346 piercing damage on target',1,5),
(147838,160079,5,100,'Inflicts 141 - 173 piercing damage on target every 3 seconds',1,6),
(147839,160079,5,100,'This effect can only trigger once every 8.0 seconds.',1,7),
(147840,160079,5,100,'If target is a player or a mercenary',1,8),
(147841,160079,5,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 38.9',0,9),
(147842,160079,5,100,'Pets cannot trigger Primal Instincts.',0,10),
(147843,160079,7,100,'On a hostile ability cast this spell may cast Primal Instincts on target of spell.  Lasts for 6.0 seconds.  Triggers about 7.0 times per minute. ',0,4),
(147844,160079,7,100,'Inflicts 363 - 444 piercing damage on target',1,5),
(147845,160079,7,100,'Inflicts 182 - 222 piercing damage on target every 3 seconds',1,6),
(147846,160079,7,100,'This effect can only trigger once every 8.0 seconds.',1,7),
(147847,160079,7,100,'If target is a player or a mercenary',1,8),
(147848,160079,7,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 49.9',0,9),
(147849,160079,7,100,'Pets cannot trigger Primal Instincts.',0,10),
(147850,160079,9,100,'On a hostile ability cast this spell may cast Primal Instincts on target of spell.  Lasts for 6.0 seconds.  Triggers about 7.0 times per minute. ',0,4),
(147851,160079,9,100,'Inflicts 377 - 461 piercing damage on target',1,5),
(147852,160079,9,100,'Inflicts 189 - 231 piercing damage on target every 3 seconds',1,6),
(147853,160079,9,100,'This effect can only trigger once every 8.0 seconds.',1,7),
(147854,160079,9,100,'If target is a player or a mercenary',1,8),
(147855,160079,9,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 51.8',0,9),
(147856,160079,9,100,'Pets cannot trigger Primal Instincts.',0,10),
(147857,160079,10,100,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(147858,160079,10,100,'Inflicts 396 - 484 piercing damage on target',1,1),
(147859,160079,10,100,'Inflicts 198 - 242 piercing damage on target every 3 seconds',1,2),
(147860,160079,10,100,'If target is a player or a mercenary',1,3),
(147861,160079,10,100,'On a hostile ability cast this spell may cast Primal Instincts on target of spell.  Lasts for 6.0 seconds.  Triggers about 7.0 times per minute. ',0,4),
(147862,160079,10,100,'Inflicts 396 - 484 piercing damage on target',1,5),
(147863,160079,10,100,'Inflicts 198 - 242 piercing damage on target every 3 seconds',1,6),
(147864,160079,10,100,'This effect can only trigger once every 8.0 seconds.',1,7),
(147865,160079,10,100,'If target is a player or a mercenary',1,8),
(147866,160079,10,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 54.4',0,9),
(147867,160079,10,100,'Pets cannot trigger Primal Instincts.',0,10),
(147868,160079,11,100,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(147869,160079,11,100,'Inflicts 476 - 582 piercing damage on target',1,1),
(147870,160079,11,100,'Inflicts 238 - 291 piercing damage on target every 3 seconds',1,2),
(147871,160079,11,100,'If target is a player or a mercenary',1,3),
(147872,160079,11,100,'On a hostile ability cast this spell may cast Primal Instincts on target of spell.  Lasts for 6.0 seconds.  Triggers about 7.0 times per minute. ',0,4),
(147873,160079,11,100,'Inflicts 476 - 582 piercing damage on target',1,5),
(147874,160079,11,100,'Inflicts 238 - 291 piercing damage on target every 3 seconds',1,6),
(147875,160079,11,100,'This effect can only trigger once every 8.0 seconds.',1,7),
(147876,160079,11,100,'If target is a player or a mercenary',1,8),
(147877,160079,11,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 65.4',0,9),
(147878,160079,11,100,'Pets cannot trigger Primal Instincts.',0,10),
(147879,160080,1,100,'On a hostile ability cast this spell may cast Primal Instincts on target of spell.  Lasts for 6.0 seconds.  Triggers about 7.0 times per minute. ',0,4),
(147880,160080,1,100,'Inflicts 280 - 343 piercing damage on target',1,5),
(147881,160080,1,100,'Inflicts 140 - 171 piercing damage on target every 3 seconds',1,6),
(147882,160080,1,100,'This effect can only trigger once every 8.0 seconds.',1,7),
(147883,160080,1,100,'If target is a player or a mercenary',1,8),
(147884,160080,1,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 36.7',0,9),
(147885,160080,1,100,'Pets cannot trigger Primal Instincts.',0,10),
(147886,160080,2,100,'On a hostile ability cast this spell may cast Primal Instincts on target of spell.  Lasts for 6.0 seconds.  Triggers about 7.0 times per minute. ',0,4),
(147887,160080,2,100,'Inflicts 296 - 362 piercing damage on target',1,5),
(147888,160080,2,100,'Inflicts 148 - 181 piercing damage on target every 3 seconds',1,6),
(147889,160080,2,100,'This effect can only trigger once every 8.0 seconds.',1,7),
(147890,160080,2,100,'If target is a player or a mercenary',1,8),
(147891,160080,2,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 38.8',0,9),
(147892,160080,2,100,'Pets cannot trigger Primal Instincts.',0,10),
(147893,160080,3,100,'On a hostile ability cast this spell may cast Primal Instincts on target of spell.  Lasts for 6.0 seconds.  Triggers about 7.0 times per minute. ',0,4),
(147894,160080,3,100,'Inflicts 311 - 381 piercing damage on target',1,5),
(147895,160080,3,100,'Inflicts 156 - 190 piercing damage on target every 3 seconds',1,6),
(147896,160080,3,100,'This effect can only trigger once every 8.0 seconds.',1,7),
(147897,160080,3,100,'If target is a player or a mercenary',1,8),
(147898,160080,3,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 40.8',0,9),
(147899,160080,3,100,'Pets cannot trigger Primal Instincts.',0,10),
(147900,160080,4,100,'On a hostile ability cast this spell may cast Primal Instincts on target of spell.  Lasts for 6.0 seconds.  Triggers about 7.0 times per minute. ',0,4),
(147901,160080,4,100,'Inflicts 343 - 419 piercing damage on target',1,5),
(147902,160080,4,100,'Inflicts 171 - 209 piercing damage on target every 3 seconds',1,6),
(147903,160080,4,100,'This effect can only trigger once every 8.0 seconds.',1,7),
(147904,160080,4,100,'If target is a player or a mercenary',1,8),
(147905,160080,4,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 44.9',0,9),
(147906,160080,4,100,'Pets cannot trigger Primal Instincts.',0,10),
(147907,160080,5,100,'On a hostile ability cast this spell may cast Primal Instincts on target of spell.  Lasts for 6.0 seconds.  Triggers about 7.0 times per minute. ',0,4),
(147908,160080,5,100,'Inflicts 374 - 457 piercing damage on target',1,5),
(147909,160080,5,100,'Inflicts 187 - 228 piercing damage on target every 3 seconds',1,6),
(147910,160080,5,100,'This effect can only trigger once every 8.0 seconds.',1,7),
(147911,160080,5,100,'If target is a player or a mercenary',1,8),
(147912,160080,5,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 49.0',0,9),
(147913,160080,5,100,'Pets cannot trigger Primal Instincts.',0,10),
(147914,160080,7,100,'On a hostile ability cast this spell may cast Primal Instincts on target of spell.  Lasts for 6.0 seconds.  Triggers about 7.0 times per minute. ',0,4),
(147915,160080,7,100,'Inflicts 480 - 586 piercing damage on target',1,5),
(147916,160080,7,100,'Inflicts 240 - 293 piercing damage on target every 3 seconds',1,6),
(147917,160080,7,100,'This effect can only trigger once every 8.0 seconds.',1,7),
(147918,160080,7,100,'If target is a player or a mercenary',1,8),
(147919,160080,7,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 62.8',0,9),
(147920,160080,7,100,'Pets cannot trigger Primal Instincts.',0,10),
(147921,160080,9,100,'On a hostile ability cast this spell may cast Primal Instincts on target of spell.  Lasts for 6.0 seconds.  Triggers about 7.0 times per minute. ',0,4),
(147922,160080,9,100,'Inflicts 498 - 609 piercing damage on target',1,5),
(147923,160080,9,100,'Inflicts 249 - 305 piercing damage on target every 3 seconds',1,6),
(147924,160080,9,100,'This effect can only trigger once every 8.0 seconds.',1,7),
(147925,160080,9,100,'If target is a player or a mercenary',1,8),
(147926,160080,9,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 65.3',0,9),
(147927,160080,9,100,'Pets cannot trigger Primal Instincts.',0,10),
(147928,160080,10,100,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(147929,160080,10,100,'Inflicts 523 - 640 piercing damage on target',1,1),
(147930,160080,10,100,'Inflicts 262 - 320 piercing damage on target every 3 seconds',1,2),
(147931,160080,10,100,'If target is a player or a mercenary',1,3),
(147932,160080,10,100,'On a hostile ability cast this spell may cast Primal Instincts on target of spell.  Lasts for 6.0 seconds.  Triggers about 7.0 times per minute. ',0,4),
(147933,160080,10,100,'Inflicts 523 - 640 piercing damage on target',1,5),
(147934,160080,10,100,'Inflicts 262 - 320 piercing damage on target every 3 seconds',1,6),
(147935,160080,10,100,'This effect can only trigger once every 8.0 seconds.',1,7),
(147936,160080,10,100,'If target is a player or a mercenary',1,8),
(147937,160080,10,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 68.5',0,9),
(147938,160080,10,100,'Pets cannot trigger Primal Instincts.',0,10),
(147939,160080,11,100,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(147940,160080,11,100,'Inflicts 629 - 769 piercing damage on target',1,1),
(147941,160080,11,100,'Inflicts 315 - 384 piercing damage on target every 3 seconds',1,2),
(147942,160080,11,100,'If target is a player or a mercenary',1,3),
(147943,160080,11,100,'On a hostile ability cast this spell may cast Primal Instincts on target of spell.  Lasts for 6.0 seconds.  Triggers about 7.0 times per minute. ',0,4),
(147944,160080,11,100,'Inflicts 629 - 769 piercing damage on target',1,5),
(147945,160080,11,100,'Inflicts 315 - 384 piercing damage on target every 3 seconds',1,6),
(147946,160080,11,100,'This effect can only trigger once every 8.0 seconds.',1,7),
(147947,160080,11,100,'If target is a player or a mercenary',1,8),
(147948,160080,11,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 82.4',0,9),
(147949,160080,11,100,'Pets cannot trigger Primal Instincts.',0,10),
(147950,160081,1,100,'On a hostile ability cast this spell may cast Primal Instincts on target of spell.  Lasts for 6.0 seconds.  Triggers about 7.0 times per minute. ',0,4),
(147951,160081,1,100,'Inflicts 346 - 422 piercing damage on target',1,5),
(147952,160081,1,100,'Inflicts 173 - 211 piercing damage on target every 3 seconds',1,6),
(147953,160081,1,100,'This effect can only trigger once every 8.0 seconds.',1,7),
(147954,160081,1,100,'If target is a player or a mercenary',1,8),
(147955,160081,1,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 44.3',0,9),
(147956,160081,1,100,'Pets cannot trigger Primal Instincts.',0,10),
(147957,160081,2,100,'On a hostile ability cast this spell may cast Primal Instincts on target of spell.  Lasts for 6.0 seconds.  Triggers about 7.0 times per minute. ',0,4),
(147958,160081,2,100,'Inflicts 365 - 446 piercing damage on target',1,5),
(147959,160081,2,100,'Inflicts 182 - 223 piercing damage on target every 3 seconds',1,6),
(147960,160081,2,100,'This effect can only trigger once every 8.0 seconds.',1,7),
(147961,160081,2,100,'If target is a player or a mercenary',1,8),
(147962,160081,2,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 46.7',0,9),
(147963,160081,2,100,'Pets cannot trigger Primal Instincts.',0,10),
(147964,160081,3,100,'On a hostile ability cast this spell may cast Primal Instincts on target of spell.  Lasts for 6.0 seconds.  Triggers about 7.0 times per minute. ',0,4),
(147965,160081,3,100,'Inflicts 384 - 469 piercing damage on target',1,5),
(147966,160081,3,100,'Inflicts 192 - 235 piercing damage on target every 3 seconds',1,6),
(147967,160081,3,100,'This effect can only trigger once every 8.0 seconds.',1,7),
(147968,160081,3,100,'If target is a player or a mercenary',1,8),
(147969,160081,3,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 49.2',0,9),
(147970,160081,3,100,'Pets cannot trigger Primal Instincts.',0,10),
(147971,160081,4,100,'On a hostile ability cast this spell may cast Primal Instincts on target of spell.  Lasts for 6.0 seconds.  Triggers about 7.0 times per minute. ',0,4),
(147972,160081,4,100,'Inflicts 422 - 516 piercing damage on target',1,5),
(147973,160081,4,100,'Inflicts 211 - 258 piercing damage on target every 3 seconds',1,6),
(147974,160081,4,100,'This effect can only trigger once every 8.0 seconds.',1,7),
(147975,160081,4,100,'If target is a player or a mercenary',1,8),
(147976,160081,4,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 54.1',0,9),
(147977,160081,4,100,'Pets cannot trigger Primal Instincts.',0,10),
(147978,160081,5,100,'On a hostile ability cast this spell may cast Primal Instincts on target of spell.  Lasts for 6.0 seconds.  Triggers about 7.0 times per minute. ',0,4),
(147979,160081,5,100,'Inflicts 461 - 563 piercing damage on target',1,5),
(147980,160081,5,100,'Inflicts 230 - 282 piercing damage on target every 3 seconds',1,6),
(147981,160081,5,100,'This effect can only trigger once every 8.0 seconds.',1,7),
(147982,160081,5,100,'If target is a player or a mercenary',1,8),
(147983,160081,5,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 59.0',0,9),
(147984,160081,5,100,'Pets cannot trigger Primal Instincts.',0,10),
(147985,160081,7,100,'On a hostile ability cast this spell may cast Primal Instincts on target of spell.  Lasts for 6.0 seconds.  Triggers about 7.0 times per minute. ',0,4),
(147986,160081,7,100,'Inflicts 591 - 723 piercing damage on target',1,5),
(147987,160081,7,100,'Inflicts 296 - 361 piercing damage on target every 3 seconds',1,6),
(147988,160081,7,100,'This effect can only trigger once every 8.0 seconds.',1,7),
(147989,160081,7,100,'If target is a player or a mercenary',1,8),
(147990,160081,7,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 75.8',0,9),
(147991,160081,7,100,'Pets cannot trigger Primal Instincts.',0,10),
(147992,160081,9,100,'On a hostile ability cast this spell may cast Primal Instincts on target of spell.  Lasts for 6.0 seconds.  Triggers about 7.0 times per minute. ',0,4),
(147993,160081,9,100,'Inflicts 614 - 751 piercing damage on target',1,5),
(147994,160081,9,100,'Inflicts 307 - 375 piercing damage on target every 3 seconds',1,6),
(147995,160081,9,100,'This effect can only trigger once every 8.0 seconds.',1,7),
(147996,160081,9,100,'If target is a player or a mercenary',1,8),
(147997,160081,9,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 78.7',0,9),
(147998,160081,9,100,'Pets cannot trigger Primal Instincts.',0,10),
(147999,160081,10,100,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(148000,160081,10,100,'Inflicts 645 - 788 piercing damage on target',1,1),
(148001,160081,10,100,'Inflicts 323 - 394 piercing damage on target every 3 seconds',1,2),
(148002,160081,10,100,'If target is a player or a mercenary',1,3),
(148003,160081,10,100,'On a hostile ability cast this spell may cast Primal Instincts on target of spell.  Lasts for 6.0 seconds.  Triggers about 7.0 times per minute. ',0,4),
(148004,160081,10,100,'Inflicts 645 - 788 piercing damage on target',1,5),
(148005,160081,10,100,'Inflicts 323 - 394 piercing damage on target every 3 seconds',1,6),
(148006,160081,10,100,'This effect can only trigger once every 8.0 seconds.',1,7),
(148007,160081,10,100,'If target is a player or a mercenary',1,8),
(148008,160081,10,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 82.7',0,9),
(148009,160081,10,100,'Pets cannot trigger Primal Instincts.',0,10),
(148010,160081,11,100,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(148011,160081,11,100,'Inflicts 776 - 948 piercing damage on target',1,1),
(148012,160081,11,100,'Inflicts 388 - 474 piercing damage on target every 3 seconds',1,2),
(148013,160081,11,100,'If target is a player or a mercenary',1,3),
(148014,160081,11,100,'On a hostile ability cast this spell may cast Primal Instincts on target of spell.  Lasts for 6.0 seconds.  Triggers about 7.0 times per minute. ',0,4),
(148015,160081,11,100,'Inflicts 776 - 948 piercing damage on target',1,5),
(148016,160081,11,100,'Inflicts 388 - 474 piercing damage on target every 3 seconds',1,6),
(148017,160081,11,100,'This effect can only trigger once every 8.0 seconds.',1,7),
(148018,160081,11,100,'If target is a player or a mercenary',1,8),
(148019,160081,11,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 99.4',0,9),
(148020,160081,11,100,'Pets cannot trigger Primal Instincts.',0,10),
(148021,160082,1,100,'On a hostile ability cast this spell may cast Primal Instincts on target of spell.  Lasts for 6.0 seconds.  Triggers about 7.0 times per minute. ',0,4),
(148022,160082,1,100,'Inflicts 416 - 508 piercing damage on target',1,5),
(148023,160082,1,100,'Inflicts 208 - 254 piercing damage on target every 3 seconds',1,6),
(148024,160082,1,100,'This effect can only trigger once every 8.0 seconds.',1,7),
(148025,160082,1,100,'If target is a player or a mercenary',1,8),
(148026,160082,1,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 53.1',0,9),
(148027,160082,1,100,'Pets cannot trigger Primal Instincts.',0,10),
(148028,160082,4,100,'On a hostile ability cast this spell may cast Primal Instincts on target of spell.  Lasts for 6.0 seconds.  Triggers about 7.0 times per minute. ',0,4),
(148029,160082,4,100,'Inflicts 508 - 621 piercing damage on target',1,5),
(148030,160082,4,100,'Inflicts 254 - 311 piercing damage on target every 3 seconds',1,6),
(148031,160082,4,100,'This effect can only trigger once every 8.0 seconds.',1,7),
(148032,160082,4,100,'If target is a player or a mercenary',1,8),
(148033,160082,4,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 64.9',0,9),
(148034,160082,4,100,'Pets cannot trigger Primal Instincts.',0,10),
(148035,160082,5,100,'On a hostile ability cast this spell may cast Primal Instincts on target of spell.  Lasts for 6.0 seconds.  Triggers about 7.0 times per minute. ',0,4),
(148036,160082,5,100,'Inflicts 555 - 678 piercing damage on target',1,5),
(148037,160082,5,100,'Inflicts 277 - 339 piercing damage on target every 3 seconds',1,6),
(148038,160082,5,100,'This effect can only trigger once every 8.0 seconds.',1,7),
(148039,160082,5,100,'If target is a player or a mercenary',1,8),
(148040,160082,5,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 70.8',0,9),
(148041,160082,5,100,'Pets cannot trigger Primal Instincts.',0,10),
(148042,160082,7,100,'On a hostile ability cast this spell may cast Primal Instincts on target of spell.  Lasts for 6.0 seconds.  Triggers about 7.0 times per minute. ',0,4),
(148043,160082,7,100,'Inflicts 712 - 870 piercing damage on target',1,5),
(148044,160082,7,100,'Inflicts 356 - 435 piercing damage on target every 3 seconds',1,6),
(148045,160082,7,100,'This effect can only trigger once every 8.0 seconds.',1,7),
(148046,160082,7,100,'If target is a player or a mercenary',1,8),
(148047,160082,7,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 90.9',0,9),
(148048,160082,7,100,'Pets cannot trigger Primal Instincts.',0,10),
(148049,160082,9,100,'On a hostile ability cast this spell may cast Primal Instincts on target of spell.  Lasts for 6.0 seconds.  Triggers about 7.0 times per minute. ',0,4),
(148050,160082,9,100,'Inflicts 740 - 904 piercing damage on target',1,5),
(148051,160082,9,100,'Inflicts 370 - 452 piercing damage on target every 3 seconds',1,6),
(148052,160082,9,100,'This effect can only trigger once every 8.0 seconds.',1,7),
(148053,160082,9,100,'If target is a player or a mercenary',1,8),
(148054,160082,9,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 94.4',0,9),
(148055,160082,9,100,'Pets cannot trigger Primal Instincts.',0,10),
(148056,160082,10,100,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(148057,160082,10,100,'Inflicts 777 - 949 piercing damage on target',1,1),
(148058,160082,10,100,'Inflicts 388 - 475 piercing damage on target every 3 seconds',1,2),
(148059,160082,10,100,'If target is a player or a mercenary',1,3),
(148060,160082,10,100,'On a hostile ability cast this spell may cast Primal Instincts on target of spell.  Lasts for 6.0 seconds.  Triggers about 7.0 times per minute. ',0,4),
(148061,160082,10,100,'Inflicts 777 - 949 piercing damage on target',1,5),
(148062,160082,10,100,'Inflicts 388 - 475 piercing damage on target every 3 seconds',1,6),
(148063,160082,10,100,'This effect can only trigger once every 8.0 seconds.',1,7),
(148064,160082,10,100,'If target is a player or a mercenary',1,8),
(148065,160082,10,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 99.1',0,9),
(148066,160082,10,100,'Pets cannot trigger Primal Instincts.',0,10),
(148067,160082,11,100,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(148068,160082,11,100,'Inflicts 934 - 1141 piercing damage on target',1,1),
(148069,160082,11,100,'Inflicts 467 - 571 piercing damage on target every 3 seconds',1,2),
(148070,160082,11,100,'If target is a player or a mercenary',1,3),
(148071,160082,11,100,'On a hostile ability cast this spell may cast Primal Instincts on target of spell.  Lasts for 6.0 seconds.  Triggers about 7.0 times per minute. ',0,4),
(148072,160082,11,100,'Inflicts 934 - 1141 piercing damage on target',1,5),
(148073,160082,11,100,'Inflicts 467 - 571 piercing damage on target every 3 seconds',1,6),
(148074,160082,11,100,'This effect can only trigger once every 8.0 seconds.',1,7),
(148075,160082,11,100,'If target is a player or a mercenary',1,8),
(148076,160082,11,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 119.2',0,9),
(148077,160082,11,100,'Pets cannot trigger Primal Instincts.',0,10),
(148078,160083,1,100,'On a hostile ability cast this spell may cast Primal Instincts on target of spell.  Lasts for 6.0 seconds.  Triggers about 7.0 times per minute. ',0,4),
(148079,160083,1,100,'Inflicts 446 - 546 piercing damage on target',1,5),
(148080,160083,1,100,'Inflicts 223 - 273 piercing damage on target every 3 seconds',1,6),
(148081,160083,1,100,'This effect can only trigger once every 8.0 seconds.',1,7),
(148082,160083,1,100,'If target is a player or a mercenary',1,8),
(148083,160083,1,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 62.1',0,9),
(148084,160083,1,100,'Pets cannot trigger Primal Instincts.',0,10),
(148085,160083,4,100,'On a hostile ability cast this spell may cast Primal Instincts on target of spell.  Lasts for 6.0 seconds.  Triggers about 7.0 times per minute. ',0,4),
(148086,160083,4,100,'Inflicts 546 - 667 piercing damage on target',1,5),
(148087,160083,4,100,'Inflicts 273 - 333 piercing damage on target every 3 seconds',1,6),
(148088,160083,4,100,'This effect can only trigger once every 8.0 seconds.',1,7),
(148089,160083,4,100,'If target is a player or a mercenary',1,8),
(148090,160083,4,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 75.9',0,9),
(148091,160083,4,100,'Pets cannot trigger Primal Instincts.',0,10),
(148092,160083,5,100,'On a hostile ability cast this spell may cast Primal Instincts on target of spell.  Lasts for 6.0 seconds.  Triggers about 7.0 times per minute. ',0,4),
(148093,160083,5,100,'Inflicts 595 - 727 piercing damage on target',1,5),
(148094,160083,5,100,'Inflicts 298 - 364 piercing damage on target every 3 seconds',1,6),
(148095,160083,5,100,'This effect can only trigger once every 8.0 seconds.',1,7),
(148096,160083,5,100,'If target is a player or a mercenary',1,8),
(148097,160083,5,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 82.8',0,9),
(148098,160083,5,100,'Pets cannot trigger Primal Instincts.',0,10),
(148099,160083,7,100,'On a hostile ability cast this spell may cast Primal Instincts on target of spell.  Lasts for 6.0 seconds.  Triggers about 7.0 times per minute. ',0,4),
(148100,160083,7,100,'Inflicts 764 - 934 piercing damage on target',1,5),
(148101,160083,7,100,'Inflicts 382 - 467 piercing damage on target every 3 seconds',1,6),
(148102,160083,7,100,'This effect can only trigger once every 8.0 seconds.',1,7),
(148103,160083,7,100,'If target is a player or a mercenary',1,8),
(148104,160083,7,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 106.3',0,9),
(148105,160083,7,100,'Pets cannot trigger Primal Instincts.',0,10),
(148106,160083,9,100,'On a hostile ability cast this spell may cast Primal Instincts on target of spell.  Lasts for 6.0 seconds.  Triggers about 7.0 times per minute. ',0,4),
(148107,160083,9,100,'Inflicts 794 - 970 piercing damage on target',1,5),
(148108,160083,9,100,'Inflicts 397 - 485 piercing damage on target every 3 seconds',1,6),
(148109,160083,9,100,'This effect can only trigger once every 8.0 seconds.',1,7),
(148110,160083,9,100,'If target is a player or a mercenary',1,8),
(148111,160083,9,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 110.4',0,9),
(148112,160083,9,100,'Pets cannot trigger Primal Instincts.',0,10),
(148113,160083,10,100,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(148114,160083,10,100,'Inflicts 833 - 1018 piercing damage on target',1,1),
(148115,160083,10,100,'Inflicts 417 - 509 piercing damage on target every 3 seconds',1,2),
(148116,160083,10,100,'If target is a player or a mercenary',1,3),
(148117,160083,10,100,'On a hostile ability cast this spell may cast Primal Instincts on target of spell.  Lasts for 6.0 seconds.  Triggers about 7.0 times per minute. ',0,4),
(148118,160083,10,100,'Inflicts 833 - 1018 piercing damage on target',1,5),
(148119,160083,10,100,'Inflicts 417 - 509 piercing damage on target every 3 seconds',1,6),
(148120,160083,10,100,'This effect can only trigger once every 8.0 seconds.',1,7),
(148121,160083,10,100,'If target is a player or a mercenary',1,8),
(148122,160083,10,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 115.9',0,9),
(148123,160083,10,100,'Pets cannot trigger Primal Instincts.',0,10),
(148124,160083,11,100,'On a combat hit this spell may cast Primal Instincts on target of attack.  Lasts for 6.0 seconds.  Triggers about 2.4 times per minute. ',0,0),
(148125,160083,11,100,'Inflicts 1002 - 1224 piercing damage on target',1,1),
(148126,160083,11,100,'Inflicts 501 - 612 piercing damage on target every 3 seconds',1,2),
(148127,160083,11,100,'If target is a player or a mercenary',1,3),
(148128,160083,11,100,'On a hostile ability cast this spell may cast Primal Instincts on target of spell.  Lasts for 6.0 seconds.  Triggers about 7.0 times per minute. ',0,4),
(148129,160083,11,100,'Inflicts 1002 - 1224 piercing damage on target',1,5),
(148130,160083,11,100,'Inflicts 501 - 612 piercing damage on target every 3 seconds',1,6),
(148131,160083,11,100,'This effect can only trigger once every 8.0 seconds.',1,7),
(148132,160083,11,100,'If target is a player or a mercenary',1,8),
(148133,160083,11,100,'Increases Crushing, Piercing, Slashing and Ranged of target by 139.4',0,9),
(148134,160083,11,100,'Pets cannot trigger Primal Instincts.',0,10),
(148135,160084,10,100,'Heals target for 32 - 39',0,0),
(148136,160084,10,100,'Heals target for 4 - 5 every second',0,1),
(148137,160084,11,100,'Heals target for 38 - 47',0,0),
(148138,160084,11,100,'Heals target for 5 - 6 every second',0,1),
(148139,160085,10,100,'Heals target for 106 - 129',0,0),
(148140,160085,10,100,'Heals target for 14 - 17 every second',0,1),
(148141,160085,11,100,'Heals target for 127 - 156',0,0),
(148142,160085,11,100,'Heals target for 16 - 20 every second',0,1),
(148143,160086,10,100,'Heals target for 191 - 233',0,0),
(148144,160086,10,100,'Heals target for 24 - 30 every second',0,1),
(148145,160086,11,100,'Heals target for 229 - 280',0,0),
(148146,160086,11,100,'Heals target for 29 - 36 every second',0,1),
(148147,160087,11,100,'Heals target for 438 - 535',0,0),
(148148,160087,11,100,'Heals target for 56 - 69 every second',0,1),
(148149,160088,11,100,'Heals target for 1847 - 2257',0,0),
(148150,160088,11,100,'Heals target for 237 - 290 every second',0,1),
(148151,160089,10,100,'Heals target for 561 - 686',0,0),
(148152,160089,10,100,'Heals target for 72 - 88 every second',0,1),
(148153,160089,11,100,'Heals target for 674 - 824',0,0),
(148154,160089,11,100,'Heals target for 87 - 106 every second',0,1),
(148155,160090,11,100,'Heals target for 942 - 1151',0,0),
(148156,160090,11,100,'Heals target for 121 - 148 every second',0,1),
(148157,160091,10,100,'Heals target for 1040 - 1272',0,0),
(148158,160091,10,100,'Heals target for 134 - 163 every second',0,1),
(148159,160091,11,100,'Heals target for 1251 - 1529',0,0),
(148160,160091,11,100,'Heals target for 161 - 197 every second',0,1),
(148161,160092,11,100,'Heals target for 1615 - 1974',0,0),
(148162,160092,11,100,'Heals target for 208 - 254 every second',0,1),
(148163,160093,10,100,'Summons 4 limited pets to aid the caster',0,0),
(148164,160094,10,100,'Summons 4 limited pets to aid the caster',0,0),
(148165,160095,10,100,'Summons 4 limited pets to aid the caster',0,0),
(148166,160096,10,100,'Summons 4 limited pets to aid the caster',0,0),
(148167,160096,11,100,'Summons 4 limited pets to aid the caster',0,0),
(148168,160097,10,100,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',0,0),
(148169,160097,10,100,'Heals target for 478',1,1),
(148170,160097,10,100,'Heals target for 119 every 2 seconds',1,2),
(148171,160097,10,100,'Increases WIS of target by 53.4',1,3),
(148172,160097,10,100,'Grants a total of 1 trigger of the spell.',1,4),
(148173,160098,10,100,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',0,0),
(148174,160098,10,100,'Heals target for 698',1,1),
(148175,160098,10,100,'Heals target for 174 every 2 seconds',1,2),
(148176,160098,10,100,'Increases WIS of target by 72.2',1,3),
(148177,160098,10,100,'Grants a total of 1 trigger of the spell.',1,4),
(148178,160099,10,100,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',0,0),
(148179,160099,10,100,'Heals target for 919',1,1),
(148180,160099,10,100,'Heals target for 229 every 2 seconds',1,2),
(148181,160099,10,100,'Increases WIS of target by 91.1',1,3),
(148182,160099,10,100,'Grants a total of 1 trigger of the spell.',1,4),
(148183,160100,10,100,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',0,0),
(148184,160100,10,100,'Heals target for 1260',1,1),
(148185,160100,10,100,'Heals target for 314 every 2 seconds',1,2),
(148186,160100,10,100,'Increases WIS of target by 110.9',1,3),
(148187,160100,10,100,'Grants a total of 1 trigger of the spell.',1,4),
(148188,160101,10,100,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',0,0),
(148189,160101,10,100,'Heals target for 1502',1,1),
(148190,160101,10,100,'Heals target for 375 every 2 seconds',1,2),
(148191,160101,10,100,'Increases WIS of target by 129.4',1,3),
(148192,160101,10,100,'Grants a total of 1 trigger of the spell.',1,4),
(148193,160102,10,100,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',0,0),
(148194,160102,10,100,'Heals target for 1575',1,1),
(148195,160102,10,100,'Heals target for 393 every 2 seconds',1,2),
(148196,160102,10,100,'Increases WIS of target by 147.8',1,3),
(148197,160102,10,100,'Grants a total of 1 trigger of the spell.',1,4),
(148198,160102,11,100,'On death this spell will cast Nature''s Touch on target.  Lasts for 24.0 seconds.  ',0,0),
(148199,160102,11,100,'Heals target for 1894',1,1),
(148200,160102,11,100,'Heals target for 473 every 2 seconds',1,2),
(148201,160102,11,100,'Increases WIS of target by 177.8',1,3),
(148202,160102,11,100,'Grants a total of 1 trigger of the spell.',1,4),
(148203,160103,9,100,'Heal over time spells increase healing with each tick.  Healing ceases to increase after 5 ticks.',0,0),
(148204,160103,9,100,'On a healing spell cast this spell has a 50% chance to cast Splash of Nature on caster.  ',0,1),
(148205,160103,9,100,'Increases power of caster by 394 - 590',1,2),
(148206,160103,9,100,'Cannot be modified except by direct means',1,3),
(148207,160103,9,100,'Cannot be modified except by direct means',0,4),
(148208,160103,10,100,'Heal over time spells increase healing with each tick.  Healing ceases to increase after 5 ticks.',0,0),
(148209,160103,10,100,'On a healing spell cast this spell has a 50% chance to cast Splash of Nature on caster.  ',0,1),
(148210,160103,10,100,'Increases power of caster by 394 - 590',1,2),
(148211,160103,10,100,'Cannot be modified except by direct means',1,3),
(148212,160103,10,100,'Cannot be modified except by direct means',0,4),
(148213,160106,11,100,'Heals target for 76 - 93 instantly and every 2 seconds',0,0),
(148214,160107,11,100,'Heals target for 121 - 148 instantly and every 2 seconds',0,0),
(148215,160108,10,100,'Heals target for 144 - 176 instantly and every 2 seconds',0,0),
(148216,160108,11,100,'Heals target for 173 - 212 instantly and every 2 seconds',0,0),
(148217,160109,11,100,'Heals target for 280 - 342 instantly and every 2 seconds',0,0),
(148218,160110,10,100,'Heals target for 786 - 961 instantly and every 2 seconds',0,0),
(148219,160110,11,100,'Heals target for 946 - 1156 instantly and every 2 seconds',0,0),
(148220,160111,11,100,'Heals target for 414 - 506 instantly and every 2 seconds',0,0),
(148221,160112,10,100,'Heals target for 455 - 556 instantly and every 2 seconds',0,0),
(148222,160112,11,100,'Heals target for 547 - 669 instantly and every 2 seconds',0,0),
(148223,160113,10,100,'Heals target for 602 - 736 instantly and every 2 seconds',0,0),
(148224,160113,11,100,'Heals target for 724 - 885 instantly and every 2 seconds',0,0),
(148225,160114,10,100,'Heals target for 732 - 895 instantly and every 2 seconds',0,0),
(148226,160114,11,100,'Heals target for 881 - 1076 instantly and every 2 seconds',0,0),
(148227,160115,10,100,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',0,0),
(148228,160115,10,100,'Heals target for 57 - 70 instantly and every 2 seconds',1,1),
(148229,160115,10,100,'If over 50% Health',2,2),
(148230,160115,10,100,'Heals target for 115 - 140 instantly and every 2 seconds',1,3),
(148231,160115,10,100,'If at 50% Health or less',2,4),
(148232,160116,10,100,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',0,0),
(148233,160116,10,100,'Heals target for 174 - 213 instantly and every 2 seconds',1,1),
(148234,160116,10,100,'If at 50% Health or less',2,2),
(148235,160116,10,100,'Heals target for 87 - 106 instantly and every 2 seconds',1,3),
(148236,160116,10,100,'If over 50% Health',2,4),
(148237,160118,10,100,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',0,0),
(148238,160118,10,100,'Heals target for 158 - 193 instantly and every 2 seconds',1,1),
(148239,160118,10,100,'If over 50% Health',2,2),
(148240,160118,10,100,'Heals target for 316 - 386 instantly and every 2 seconds',1,3),
(148241,160118,10,100,'If at 50% Health or less',2,4),
(148242,160119,10,100,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',0,0),
(148243,160119,10,100,'Heals target for 398 - 486 instantly and every 2 seconds',1,1),
(148244,160119,10,100,'If at 50% Health or less',2,2),
(148245,160119,10,100,'Heals target for 199 - 243 instantly and every 2 seconds',1,3),
(148246,160119,10,100,'If over 50% Health',2,4),
(148247,160120,10,100,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',0,0),
(148248,160120,10,100,'Heals target for 443 - 541 instantly and every 2 seconds',1,1),
(148249,160120,10,100,'If at 50% Health or less',2,2),
(148250,160120,10,100,'Heals target for 222 - 271 instantly and every 2 seconds',1,3),
(148251,160120,10,100,'If over 50% Health',2,4),
(148252,160120,11,100,'When damaged this spell has a 8% chance to cast Spores on target.  Lasts for 10.0 seconds.  ',0,0),
(148253,160120,11,100,'Heals target for 533 - 651 instantly and every 2 seconds',1,1),
(148254,160120,11,100,'If at 50% Health or less',2,2),
(148255,160120,11,100,'Heals target for 266 - 326 instantly and every 2 seconds',1,3),
(148256,160120,11,100,'If over 50% Health',2,4),
(148257,160122,10,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',0,0),
(148258,160122,10,100,'Slows target by 52.8%',1,1),
(148259,160122,10,100,'5% chance to dispel when target receives hostile action',1,2),
(148260,160122,10,100,'5% chance to dispel when target takes damage',1,3),
(148261,160122,10,100,'Roots target',0,4),
(148262,160122,10,100,'5% chance to dispel when target takes damage',0,5),
(148263,160122,10,100,'Does not affect Epic targets',0,6),
(148264,160122,10,100,'Resistibility increases against targets higher than level 29.',0,7),
(148265,160123,10,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',0,0),
(148266,160123,10,100,'Slows target by 57.5%',1,1),
(148267,160123,10,100,'5% chance to dispel when target receives hostile action',1,2),
(148268,160123,10,100,'5% chance to dispel when target takes damage',1,3),
(148269,160123,10,100,'Roots target',0,4),
(148270,160123,10,100,'5% chance to dispel when target takes damage',0,5),
(148271,160123,10,100,'Does not affect Epic targets',0,6),
(148272,160123,10,100,'Resistibility increases against targets higher than level 29.',0,7),
(148273,160124,10,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',0,0),
(148274,160124,10,100,'Slows target by 62.2%',1,1),
(148275,160124,10,100,'5% chance to dispel when target receives hostile action',1,2),
(148276,160124,10,100,'5% chance to dispel when target takes damage',1,3),
(148277,160124,10,100,'Roots target',0,4),
(148278,160124,10,100,'5% chance to dispel when target takes damage',0,5),
(148279,160124,10,100,'Does not affect Epic targets',0,6),
(148280,160124,10,100,'Resistibility increases against targets higher than level 29.',0,7),
(148281,160125,10,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',0,0),
(148282,160125,10,100,'Slows target by 66.9%',1,1),
(148283,160125,10,100,'5% chance to dispel when target receives hostile action',1,2),
(148284,160125,10,100,'5% chance to dispel when target takes damage',1,3),
(148285,160125,10,100,'Roots target',0,4),
(148286,160125,10,100,'5% chance to dispel when target takes damage',0,5),
(148287,160125,10,100,'Does not affect Epic targets',0,6),
(148288,160125,10,100,'Resistibility increases against targets higher than level 29.',0,7),
(148289,160126,10,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',0,0),
(148290,160126,10,100,'Slows target by 68.1%',1,1),
(148291,160126,10,100,'5% chance to dispel when target receives hostile action',1,2),
(148292,160126,10,100,'5% chance to dispel when target takes damage',1,3),
(148293,160126,10,100,'Roots target',0,4),
(148294,160126,10,100,'5% chance to dispel when target takes damage',0,5),
(148295,160126,10,100,'Does not affect Epic targets',0,6),
(148296,160126,10,100,'Resistibility increases against targets higher than level 29.',0,7),
(148297,160127,10,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',0,0),
(148298,160127,10,100,'Slows target by 68.9%',1,1),
(148299,160127,10,100,'5% chance to dispel when target receives hostile action',1,2),
(148300,160127,10,100,'5% chance to dispel when target takes damage',1,3),
(148301,160127,10,100,'Roots target',0,4),
(148302,160127,10,100,'5% chance to dispel when target takes damage',0,5),
(148303,160127,10,100,'Does not affect Epic targets',0,6),
(148304,160127,10,100,'Resistibility increases against targets higher than level 29.',0,7),
(148305,160128,10,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',0,0),
(148306,160128,10,100,'Slows target by 69.6%',1,1),
(148307,160128,10,100,'5% chance to dispel when target receives hostile action',1,2),
(148308,160128,10,100,'5% chance to dispel when target takes damage',1,3),
(148309,160128,10,100,'Roots target',0,4),
(148310,160128,10,100,'5% chance to dispel when target takes damage',0,5),
(148311,160128,10,100,'Does not affect Epic targets',0,6),
(148312,160128,10,100,'Resistibility increases against targets higher than level 29.',0,7),
(148313,160129,10,100,'Increases group members (AE)''s chance to block by 16.8%',0,0),
(148314,160129,10,100,'Increases Parry and Deflection of group members (AE) by 11.3',0,1),
(148315,160129,10,100,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',0,2),
(148316,160129,10,100,'Decreases Threat to target encounter by 1,652 - 2,019 ',1,3),
(148317,160129,10,100,'If not fighter',2,4),
(148318,160129,10,100,'Increases Threat to target encounter by 2,192 - 2,559 ',1,5),
(148319,160129,10,100,'If fighter',2,6),
(148320,160129,10,100,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',0,7),
(148321,160129,10,100,'Decreases Threat to target encounter by 1,652 - 2,019 ',1,8),
(148322,160129,10,100,'If not fighter',2,9),
(148323,160129,10,100,'Increases Threat to target encounter by 2,192 - 2,559 ',1,10),
(148324,160129,10,100,'If fighter',2,11),
(148325,160130,10,100,'Increases group members (AE)''s chance to block by 16.8%',0,0),
(148326,160130,10,100,'Increases Parry and Deflection of group members (AE) by 14.9',0,1),
(148327,160130,10,100,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',0,2),
(148328,160130,10,100,'Decreases Threat to target encounter by 2,382 - 2,912 ',1,3),
(148329,160130,10,100,'If not fighter',2,4),
(148330,160130,10,100,'Increases Threat to target encounter by 2,922 - 3,452 ',1,5),
(148331,160130,10,100,'If fighter',2,6),
(148332,160130,10,100,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',0,7),
(148333,160130,10,100,'Decreases Threat to target encounter by 2,382 - 2,912 ',1,8),
(148334,160130,10,100,'If not fighter',2,9),
(148335,160130,10,100,'Increases Threat to target encounter by 2,922 - 3,452 ',1,10),
(148336,160130,10,100,'If fighter',2,11),
(148337,160131,10,100,'Increases group members (AE)''s chance to block by 16.8%',0,0),
(148338,160131,10,100,'Increases Parry and Deflection of group members (AE) by 18.6',0,1),
(148339,160131,10,100,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',0,2),
(148340,160131,10,100,'Decreases Threat to target encounter by 3,208 - 3,921 ',1,3),
(148341,160131,10,100,'If not fighter',2,4),
(148342,160131,10,100,'Increases Threat to target encounter by 3,748 - 4,461 ',1,5),
(148343,160131,10,100,'If fighter',2,6),
(148344,160131,10,100,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',0,7),
(148345,160131,10,100,'Decreases Threat to target encounter by 3,208 - 3,921 ',1,8),
(148346,160131,10,100,'If not fighter',2,9),
(148347,160131,10,100,'Increases Threat to target encounter by 3,748 - 4,461 ',1,10),
(148348,160131,10,100,'If fighter',2,11),
(148349,160133,11,100,'Increases group members (AE)''s chance to block by 20.2%',0,0),
(148350,160133,11,100,'Increases Parry and Deflection of group members (AE) by 31.8',0,1),
(148351,160133,11,100,'On avoiding an attack this spell has a 20% chance to cast Dust Storm on target''s victim.  ',0,2),
(148352,160133,11,100,'Decreases Threat to target encounter by 5,678 - 6,940 ',1,3),
(148353,160133,11,100,'If not fighter',2,4),
(148354,160133,11,100,'Increases Threat to target encounter by 6,218 - 7,480 ',1,5),
(148355,160133,11,100,'If fighter',2,6),
(148356,160133,11,100,'When damaged with a melee weapon this spell has a 20% chance to cast Dust Storm on target''s attacker.  ',0,7),
(148357,160133,11,100,'Decreases Threat to target encounter by 5,678 - 6,940 ',1,8),
(148358,160133,11,100,'If not fighter',2,9),
(148359,160133,11,100,'Increases Threat to target encounter by 6,218 - 7,480 ',1,10),
(148360,160133,11,100,'If fighter',2,11),
(148361,160134,10,100,'Heals target for 14 - 17',0,0),
(148362,160134,10,100,'Heals target for 2 - 3 every second',0,1),
(148363,160135,10,100,'Heals target for 48 - 58',0,0),
(148364,160135,10,100,'Heals target for 8 - 10 every second',0,1),
(148365,160136,10,100,'Heals target for 102 - 125',0,0),
(148366,160136,10,100,'Heals target for 17 - 21 every second',0,1),
(148367,160137,10,100,'Heals target for 152 - 186',0,0),
(148368,160137,10,100,'Heals target for 25 - 31 every second',0,1),
(148369,160138,10,100,'Heals target for 832 - 1017',0,0),
(148370,160138,10,100,'Heals target for 139 - 170 every second',0,1),
(148371,160139,10,100,'Heals target for 210 - 256',0,0),
(148372,160139,10,100,'Heals target for 35 - 43 every second',0,1),
(148373,160141,10,100,'Heals target for 473 - 578',0,0),
(148374,160141,10,100,'Heals target for 79 - 96 every second',0,1),
(148375,160142,10,100,'Heals target for 627 - 766',0,0),
(148376,160142,10,100,'Heals target for 104 - 128 every second',0,1),
(148377,160143,10,100,'Heals target for 978 - 1195',0,0),
(148378,160143,10,100,'Heals target for 163 - 199 every second',0,1),
(148379,160143,11,100,'Heals target for 1176 - 1437',0,0),
(148380,160143,11,100,'Heals target for 196 - 239 every second',0,1),
(148381,160145,10,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(148382,160145,10,100,'Inflicts 1 piercing damage on target',1,1),
(148383,160148,10,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(148384,160148,10,100,'Inflicts 19 - 23 piercing damage on target',1,1),
(148385,160149,10,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(148386,160149,10,100,'Inflicts 62 - 75 piercing damage on target',1,1),
(148387,160149,11,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(148388,160149,11,100,'Inflicts 74 - 91 piercing damage on target',1,1),
(148389,160151,10,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(148390,160151,10,100,'Inflicts 38 - 46 piercing damage on target',1,1),
(148391,160152,10,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(148392,160152,10,100,'Inflicts 47 - 57 piercing damage on target',1,1),
(148393,160153,10,100,'When damaged with a melee weapon this spell will cast Thorns on target''s attacker.  ',0,0),
(148394,160153,10,100,'Inflicts 56 - 69 piercing damage on target',1,1),
(148395,160154,1,100,'Heals target for 385',2,5),
(148396,160154,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,6),
(148397,160154,2,100,'Heals target for 406',2,5),
(148398,160154,2,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,6),
(148399,160154,3,100,'Heals target for 428',2,5),
(148400,160154,3,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,6),
(148401,160154,4,100,'Heals target for 471',2,5),
(148402,160154,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,6),
(148403,160154,5,100,'Heals target for 513',2,5),
(148404,160154,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,6),
(148405,160154,7,100,'Heals target for 659',2,5),
(148406,160154,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,6),
(148407,160154,9,100,'Heals target for 685',2,5),
(148408,160154,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,6),
(148409,160154,10,100,'Applies Tranquil Healing.',0,0),
(148410,160154,10,100,'Heals target for 719',1,1),
(148411,160154,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,2),
(148412,160154,10,100,'Dispels 10 levels of any hostile effects on target instantly and every 15 seconds',0,3),
(148413,160154,10,100,'Casts Tranquil Healing for each successful Dispel.',0,4),
(148414,160154,10,100,'Heals target for 719',2,5),
(148415,160154,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,6),
(148416,160154,11,100,'Applies Tranquil Healing.',0,0),
(148417,160154,11,100,'Heals target for 864',1,1),
(148418,160154,11,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,2),
(148419,160154,11,100,'Dispels 12 levels of any hostile effects on target instantly and every 15 seconds',0,3),
(148420,160154,11,100,'Casts Tranquil Healing for each successful Dispel.',0,4),
(148421,160154,11,100,'Heals target for 864',2,5),
(148422,160154,11,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,6),
(148423,160155,1,100,'Heals target for 538',2,5),
(148424,160155,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,6),
(148425,160155,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,7),
(148426,160155,2,100,'Heals target for 568',2,5),
(148427,160155,2,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,6),
(148428,160155,2,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,7),
(148429,160155,3,100,'Heals target for 597',2,5),
(148430,160155,3,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,6),
(148431,160155,3,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,7),
(148432,160155,4,100,'Heals target for 657',2,5),
(148433,160155,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,6),
(148434,160155,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,7),
(148435,160155,5,100,'Heals target for 717',2,5),
(148436,160155,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,6),
(148437,160155,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,7),
(148438,160155,7,100,'Heals target for 920',2,5),
(148439,160155,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,6),
(148440,160155,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,7),
(148441,160155,9,100,'Heals target for 956',2,5),
(148442,160155,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,6),
(148443,160155,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,7),
(148444,160155,10,100,'Applies Tranquil Healing.',0,0),
(148445,160155,10,100,'Heals target for 1004',1,1),
(148446,160155,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,2),
(148447,160155,10,100,'Dispels 10 levels of any hostile effects on target instantly and every 15 seconds',0,3),
(148448,160155,10,100,'Casts Tranquil Healing for each successful Dispel.',0,4),
(148449,160155,10,100,'Heals target for 1004',2,5),
(148450,160155,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,6),
(148451,160155,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,7),
(148452,160155,11,100,'Applies Tranquil Healing.',0,0),
(148453,160155,11,100,'Heals target for 1207',1,1),
(148454,160155,11,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,2),
(148455,160155,11,100,'Dispels 12 levels of any hostile effects on target instantly and every 15 seconds',0,3),
(148456,160155,11,100,'Casts Tranquil Healing for each successful Dispel.',0,4),
(148457,160155,11,100,'Heals target for 1207',2,5),
(148458,160155,11,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,6),
(148459,160155,11,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,7),
(148460,160156,1,100,'Heals target for 654',2,5),
(148461,160156,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,6),
(148462,160156,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,7),
(148463,160156,4,100,'Heals target for 799',2,5),
(148464,160156,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,6),
(148465,160156,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,7),
(148466,160156,5,100,'Heals target for 872',2,5),
(148467,160156,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,6),
(148468,160156,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,7),
(148469,160156,7,100,'Heals target for 1119',2,5),
(148470,160156,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,6),
(148471,160156,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,7),
(148472,160156,9,100,'Heals target for 1163',2,5),
(148473,160156,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,6),
(148474,160156,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,7),
(148475,160156,10,100,'Applies Tranquil Healing.',0,0),
(148476,160156,10,100,'Heals target for 1221',1,1),
(148477,160156,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,2),
(148478,160156,10,100,'Dispels 10 levels of any hostile effects on target instantly and every 15 seconds',0,3),
(148479,160156,10,100,'Casts Tranquil Healing for each successful Dispel.',0,4),
(148480,160156,10,100,'Heals target for 1221',2,5),
(148481,160156,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,6),
(148482,160156,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,7),
(148483,160156,11,100,'Applies Tranquil Healing.',0,0),
(148484,160156,11,100,'Heals target for 1468',1,1),
(148485,160156,11,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,2),
(148486,160156,11,100,'Dispels 12 levels of any hostile effects on target instantly and every 15 seconds',0,3),
(148487,160156,11,100,'Casts Tranquil Healing for each successful Dispel.',0,4),
(148488,160156,11,100,'Heals target for 1468',2,5),
(148489,160156,11,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,6),
(148490,160156,11,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,7),
(148491,160157,1,100,'Heals target for 702',2,5),
(148492,160157,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,6),
(148493,160157,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,7),
(148494,160157,4,100,'Heals target for 858',2,5),
(148495,160157,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,6),
(148496,160157,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,7),
(148497,160157,5,100,'Heals target for 936',2,5),
(148498,160157,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,6),
(148499,160157,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,7),
(148500,160157,7,100,'Heals target for 1201',2,5),
(148501,160157,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,6),
(148502,160157,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,7),
(148503,160157,9,100,'Heals target for 1248',2,5),
(148504,160157,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,6),
(148505,160157,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,7),
(148506,160157,10,100,'Applies Tranquil Healing.',0,0),
(148507,160157,10,100,'Heals target for 1311',1,1),
(148508,160157,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,2),
(148509,160157,10,100,'Dispels 10 levels of any hostile effects on target instantly and every 15 seconds',0,3),
(148510,160157,10,100,'Casts Tranquil Healing for each successful Dispel.',0,4),
(148511,160157,10,100,'Heals target for 1311',2,5),
(148512,160157,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,6),
(148513,160157,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,7),
(148514,160157,11,100,'Applies Tranquil Healing.',0,0),
(148515,160157,11,100,'Heals target for 1576',1,1),
(148516,160157,11,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',1,2),
(148517,160157,11,100,'Dispels 12 levels of any hostile effects on target instantly and every 15 seconds',0,3),
(148518,160157,11,100,'Casts Tranquil Healing for each successful Dispel.',0,4),
(148519,160157,11,100,'Heals target for 1576',2,5),
(148520,160157,11,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,6),
(148521,160157,11,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,7),
(148522,160158,10,100,'On death this spell will cast Nature''s Touch on caster.  Lasts for 24.0 seconds.  ',0,0),
(148523,160158,10,100,'Heals target for 651',1,1),
(148524,160158,10,100,'Heals target for 162 every 2 seconds',1,2),
(148525,160158,10,100,'Increases WIS of target by 68.2',1,3),
(148526,160158,10,100,'Grants a total of 1 trigger of the spell.',1,4),
(148527,160159,10,100,'Applies Natural Undergrowth.  Lasts for 39.0 seconds.',0,0),
(148528,160159,10,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',1,1),
(148529,160159,10,100,'Slows target by 66.2%',2,2),
(148530,160159,10,100,'5% chance to dispel when target receives hostile action',2,3),
(148531,160159,10,100,'5% chance to dispel when target takes damage',2,4),
(148532,160159,10,100,'Roots target',1,5),
(148533,160159,10,100,'5% chance to dispel when target takes damage',1,6),
(148534,160159,10,100,'Does not affect Epic targets',1,7),
(148535,160159,10,100,'Resistibility increases against targets higher than level 76.',1,8),
(148536,160159,10,100,'Interrupts target encounter',0,9),
(148537,160159,10,100,'Decreases AGI of target encounter by 61.5',0,10),
(148538,160161,10,100,'Applies Natural Undergrowth.  Lasts for 53.0 seconds.',0,0),
(148539,160161,10,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',1,1),
(148540,160161,10,100,'Slows target by 68.9%',2,2),
(148541,160161,10,100,'5% chance to dispel when target receives hostile action',2,3),
(148542,160161,10,100,'5% chance to dispel when target takes damage',2,4),
(148543,160161,10,100,'Roots target',1,5),
(148544,160161,10,100,'5% chance to dispel when target takes damage',1,6),
(148545,160161,10,100,'Does not affect Epic targets',1,7),
(148546,160161,10,100,'Resistibility increases against targets higher than level 104.',1,8),
(148547,160161,10,100,'Interrupts target encounter',0,9),
(148548,160161,10,100,'Decreases AGI of target encounter by 101.6',0,10),
(148549,160162,10,100,'Applies Natural Undergrowth.  Lasts for 53.0 seconds.',0,0),
(148550,160162,10,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',1,1),
(148551,160162,10,100,'Slows target by 69.6%',2,2),
(148552,160162,10,100,'5% chance to dispel when target receives hostile action',2,3),
(148553,160162,10,100,'5% chance to dispel when target takes damage',2,4),
(148554,160162,10,100,'Roots target',1,5),
(148555,160162,10,100,'5% chance to dispel when target takes damage',1,6),
(148556,160162,10,100,'Does not affect Epic targets',1,7),
(148557,160162,10,100,'Resistibility increases against targets higher than level 114.',1,8),
(148558,160162,10,100,'Interrupts target encounter',0,9),
(148559,160162,10,100,'Decreases AGI of target encounter by 120.1',0,10),
(148560,160163,10,100,'Applies Natural Undergrowth.  Lasts for 53.0 seconds.',0,0),
(148561,160163,10,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',1,1),
(148562,160163,10,100,'Slows target by 70.2%',2,2),
(148563,160163,10,100,'5% chance to dispel when target receives hostile action',2,3),
(148564,160163,10,100,'5% chance to dispel when target takes damage',2,4),
(148565,160163,10,100,'Roots target',1,5),
(148566,160163,10,100,'5% chance to dispel when target takes damage',1,6),
(148567,160163,10,100,'Does not affect Epic targets',1,7),
(148568,160163,10,100,'Resistibility increases against targets higher than level 124.',1,8),
(148569,160163,10,100,'Interrupts target encounter',0,9),
(148570,160163,10,100,'Decreases AGI of target encounter by 138.6',0,10),
(148571,160163,11,100,'Applies Natural Undergrowth.  Lasts for 53.0 seconds.',0,0),
(148572,160163,11,100,'Applies Ensnare on termination.  Lasts for 12.0 seconds.',1,1),
(148573,160163,11,100,'Slows target by 84.4%',2,2),
(148574,160163,11,100,'5% chance to dispel when target receives hostile action',2,3),
(148575,160163,11,100,'5% chance to dispel when target takes damage',2,4),
(148576,160163,11,100,'Roots target',1,5),
(148577,160163,11,100,'5% chance to dispel when target takes damage',1,6),
(148578,160163,11,100,'Does not affect Epic targets',1,7),
(148579,160163,11,100,'Resistibility increases against targets higher than level 124.',1,8),
(148580,160163,11,100,'Interrupts target encounter',0,9),
(148581,160163,11,100,'Decreases AGI of target encounter by 166.6',0,10),
(148582,160164,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(148583,160164,2,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(148584,160164,3,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(148585,160164,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(148586,160164,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(148587,160164,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(148588,160164,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(148589,160164,10,100,'Dispels 79 levels of any hostile effects on group members (AE)',0,0),
(148590,160164,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(148591,160165,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(148592,160165,2,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(148593,160165,3,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(148594,160165,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(148595,160165,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(148596,160165,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(148597,160165,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(148598,160165,10,100,'Dispels 105 levels of any hostile effects on group members (AE)',0,0),
(148599,160165,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(148600,160166,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(148601,160166,2,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(148602,160166,3,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(148603,160166,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(148604,160166,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(148605,160166,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(148606,160166,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(148607,160166,10,100,'Dispels 130 levels of any hostile effects on group members (AE)',0,0),
(148608,160166,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(148609,160168,10,100,'Wards group members (AE) against 25 points of elemental damage',0,0),
(148610,160168,10,100,'Increases Mitigation of group members (AE) vs elemental damage by 487',0,1),
(148611,160169,10,100,'Wards group members (AE) against 25 points of elemental damage',0,0),
(148612,160169,10,100,'Increases Mitigation of group members (AE) vs elemental damage by 722',0,1),
(148613,160170,10,100,'Wards group members (AE) against 25 points of elemental damage',0,0),
(148614,160170,10,100,'Increases Mitigation of group members (AE) vs elemental damage by 958',0,1),
(148615,160173,10,100,'Wards group members (AE) against 25 points of elemental damage',0,0),
(148616,160173,10,100,'Increases Mitigation of group members (AE) vs elemental damage by 1682',0,1),
(148617,160177,10,100,'Shapechanges caster into a wolf',0,0),
(148618,160177,10,100,'Grants See Invisibility to caster',0,1),
(148619,160177,10,100,'Increases Focus of caster by 46.9',0,2),
(148620,160177,10,100,'Increases Mitigation of caster vs physical damage by 521',0,3),
(148621,160177,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1979',0,4),
(148622,160178,10,100,'Shapechanges caster into a wolf',0,0),
(148623,160178,10,100,'Grants See Invisibility to caster',0,1),
(148624,160178,10,100,'Increases Focus of caster by 59.0',0,2),
(148625,160178,10,100,'Increases Mitigation of caster vs physical damage by 670',0,3),
(148626,160178,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2425',0,4),
(148627,160179,10,100,'Shapechanges caster into a wolf',0,0),
(148628,160179,10,100,'Grants See Invisibility to caster',0,1),
(148629,160179,10,100,'Increases Focus of caster by 70.6',0,2),
(148630,160179,10,100,'Increases Mitigation of caster vs physical damage by 780',0,3),
(148631,160179,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2744',0,4),
(148632,160180,10,100,'Shapechanges caster into a wolf',0,0),
(148633,160180,10,100,'Grants See Invisibility to caster',0,1),
(148634,160180,10,100,'Increases Focus of caster by 83.2',0,2),
(148635,160180,10,100,'Increases Mitigation of caster vs physical damage by 887',0,3),
(148636,160180,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 3064',0,4),
(148637,160180,11,100,'Shapechanges caster into a wolf',0,0),
(148638,160180,11,100,'Grants See Invisibility to caster',0,1),
(148639,160180,11,100,'Increases Focus of caster by 100.0',0,2),
(148640,160180,11,100,'Increases Mitigation of caster vs physical damage by 1067',0,3),
(148641,160180,11,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 3684',0,4),
(148642,160181,10,100,'Interrupts targets in Area of Effect',0,0),
(148643,160181,10,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,1),
(148644,160181,10,100,'Decreases Threat to targets in Area of Effect by 2,183 ',0,2),
(148645,160181,10,100,'Roots targets in Area of Effect',0,3),
(148646,160181,10,100,'If Target is not Epic',1,4),
(148647,160182,10,100,'Interrupts targets in Area of Effect',0,0),
(148648,160182,10,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,1),
(148649,160182,10,100,'Decreases Threat to targets in Area of Effect by 4,841 ',0,2),
(148650,160182,10,100,'Roots targets in Area of Effect',0,3),
(148651,160182,10,100,'If Target is not Epic',1,4),
(148652,160183,10,100,'Interrupts targets in Area of Effect',0,0),
(148653,160183,10,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,1),
(148654,160183,10,100,'Decreases Threat to targets in Area of Effect by 7,974 ',0,2),
(148655,160183,10,100,'Roots targets in Area of Effect',0,3),
(148656,160183,10,100,'If Target is not Epic',1,4),
(148657,160184,10,100,'Interrupts targets in Area of Effect',0,0),
(148658,160184,10,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,1),
(148659,160184,10,100,'Decreases Threat to targets in Area of Effect by 11,969 ',0,2),
(148660,160184,10,100,'Roots targets in Area of Effect',0,3),
(148661,160184,10,100,'If Target is not Epic',1,4),
(148662,160185,10,100,'Interrupts targets in Area of Effect',0,0),
(148663,160185,10,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,1),
(148664,160185,10,100,'Decreases Threat to targets in Area of Effect by 16,161 ',0,2),
(148665,160185,10,100,'Roots targets in Area of Effect',0,3),
(148666,160185,10,100,'If Target is not Epic',1,4),
(148667,160186,10,100,'Interrupts targets in Area of Effect',0,0),
(148668,160186,10,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,1),
(148669,160186,10,100,'Decreases Threat to targets in Area of Effect by 20,243 ',0,2),
(148670,160186,10,100,'Roots targets in Area of Effect',0,3),
(148671,160186,10,100,'If Target is not Epic',1,4),
(148672,160187,10,100,'Interrupts targets in Area of Effect',0,0),
(148673,160187,10,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,1),
(148674,160187,10,100,'Decreases Threat to targets in Area of Effect by 24,443 ',0,2),
(148675,160187,10,100,'Roots targets in Area of Effect',0,3),
(148676,160187,10,100,'If Target is not Epic',1,4),
(148677,160188,10,100,'Interrupts targets in Area of Effect',0,0),
(148678,160188,10,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,1),
(148679,160188,10,100,'Decreases Threat to targets in Area of Effect by 28,643 ',0,2),
(148680,160188,10,100,'Roots targets in Area of Effect',0,3),
(148681,160188,10,100,'If Target is not Epic',1,4),
(148682,160188,11,100,'Interrupts targets in Area of Effect',0,0),
(148683,160188,11,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,1),
(148684,160188,11,100,'Decreases Threat to targets in Area of Effect by 34,440 ',0,2),
(148685,160188,11,100,'Roots targets in Area of Effect',0,3),
(148686,160188,11,100,'If Target is not Epic',1,4),
(148687,160189,10,100,'Heals group members (AE) for 113 - 138',0,0),
(148688,160189,10,100,'Heals group members (AE) for 19 - 23 every second',0,1),
(148689,160189,11,100,'Heals group members (AE) for 136 - 166',0,0),
(148690,160189,11,100,'Heals group members (AE) for 23 - 28 every second',0,1),
(148691,160190,10,100,'Heals group members (AE) for 239 - 292',0,0),
(148692,160190,10,100,'Heals group members (AE) for 40 - 49 every second',0,1),
(148693,160190,11,100,'Heals group members (AE) for 287 - 351',0,0),
(148694,160190,11,100,'Heals group members (AE) for 48 - 59 every second',0,1),
(148695,160191,10,100,'Heals group members (AE) for 379 - 464',0,0),
(148696,160191,10,100,'Heals group members (AE) for 64 - 78 every second',0,1),
(148697,160191,11,100,'Heals group members (AE) for 456 - 558',0,0),
(148698,160191,11,100,'Heals group members (AE) for 77 - 94 every second',0,1),
(148699,160192,10,100,'Heals group members (AE) for 549 - 671',0,0),
(148700,160192,10,100,'Heals group members (AE) for 93 - 113 every second',0,1),
(148701,160192,11,100,'Heals group members (AE) for 660 - 807',0,0),
(148702,160192,11,100,'Heals group members (AE) for 111 - 136 every second',0,1),
(148703,160193,10,100,'Heals group members (AE) for 719 - 878',0,0),
(148704,160193,10,100,'Heals group members (AE) for 121 - 148 every second',0,1),
(148705,160193,11,100,'Heals group members (AE) for 864 - 1056',0,0),
(148706,160193,11,100,'Heals group members (AE) for 146 - 178 every second',0,1),
(148707,160194,10,100,'Heals group members (AE) for 969 - 1184',0,0),
(148708,160194,10,100,'Heals group members (AE) for 163 - 200 every second',0,1),
(148709,160194,11,100,'Heals group members (AE) for 1165 - 1424',0,0),
(148710,160194,11,100,'Heals group members (AE) for 196 - 240 every second',0,1),
(148711,160195,10,100,'Heals group members (AE) for 1155 - 1411',0,0),
(148712,160195,10,100,'Heals group members (AE) for 195 - 238 every second',0,1),
(148713,160195,11,100,'Heals group members (AE) for 1388 - 1697',0,0),
(148714,160195,11,100,'Heals group members (AE) for 234 - 286 every second',0,1),
(148715,160196,10,100,'Heals group members (AE) for 1211 - 1480',0,0),
(148716,160196,10,100,'Heals group members (AE) for 204 - 249 every second',0,1),
(148717,160196,11,100,'Heals group members (AE) for 1456 - 1780',0,0),
(148718,160196,11,100,'Heals group members (AE) for 245 - 300 every second',0,1),
(148719,160197,10,100,'Inflicts 421 - 515 cold damage on target encounter',0,0),
(148720,160197,10,100,'Decreases Piercing, Slashing and Crushing of target encounter by 16.1',0,1),
(148721,160198,10,100,'Inflicts 647 - 791 cold damage on target encounter',0,0),
(148722,160198,10,100,'Decreases Piercing, Slashing and Crushing of target encounter by 23.2',0,1),
(148723,160202,11,100,'Inflicts 1946 - 2378 cold damage on target encounter',0,0),
(148724,160202,11,100,'Decreases Piercing, Slashing and Crushing of target encounter by 61.8',0,1),
(148725,170000,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(148726,170000,2,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(148727,170000,3,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(148728,170000,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(148729,170000,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(148730,170000,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(148731,170000,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(148732,170000,10,100,'Dispels 79 levels of any hostile effects on group members (AE)',0,0),
(148733,170000,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(148734,170001,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(148735,170001,2,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(148736,170001,3,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(148737,170001,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(148738,170001,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(148739,170001,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(148740,170001,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(148741,170001,10,100,'Dispels 105 levels of any hostile effects on group members (AE)',0,0),
(148742,170001,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(148743,170002,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(148744,170002,2,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(148745,170002,3,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(148746,170002,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(148747,170002,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(148748,170002,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(148749,170002,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(148750,170002,10,100,'Dispels 130 levels of any hostile effects on group members (AE)',0,0),
(148751,170002,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(148752,170003,10,100,'Increases Max Health of group members (AE) by 40.3',0,0),
(148753,170003,10,100,'Increases Mitigation of group members (AE) vs physical damage by 174',0,1),
(148754,170004,10,100,'Increases Max Health of group members (AE) by 136.8',0,0),
(148755,170004,10,100,'Increases Mitigation of group members (AE) vs physical damage by 374',0,1),
(148756,170006,10,100,'Increases Max Health of group members (AE) by 536.8',0,0),
(148757,170006,10,100,'Increases Mitigation of group members (AE) vs physical damage by 908',0,1),
(148758,170007,10,100,'Increases Max Health of group members (AE) by 710.8',0,0),
(148759,170007,10,100,'Increases Mitigation of group members (AE) vs physical damage by 1179',0,1),
(148760,170008,10,100,'Increases Max Health of group members (AE) by 885.4',0,0),
(148761,170008,10,100,'Increases Mitigation of group members (AE) vs physical damage by 1501',0,1),
(148762,170010,11,100,'Increases the Stamina Bonus of Group members (AE) by 979.4',0,0),
(148763,170010,11,100,'Increases Mitigation of group members (AE) vs physical damage by 2402',0,1),
(148764,170011,11,100,'Heals group members (AE) for 89 - 109 instantly and every 2 seconds',0,0),
(148765,170012,10,100,'Heals group members (AE) for 157 - 191 instantly and every 2 seconds',0,0),
(148766,170012,11,100,'Heals group members (AE) for 188 - 230 instantly and every 2 seconds',0,0),
(148767,170013,11,100,'Heals group members (AE) for 299 - 366 instantly and every 2 seconds',0,0),
(148768,170014,10,100,'Heals group members (AE) for 360 - 440 instantly and every 2 seconds',0,0),
(148769,170014,11,100,'Heals group members (AE) for 433 - 529 instantly and every 2 seconds',0,0),
(148770,170015,10,100,'Heals group members (AE) for 471 - 576 instantly and every 2 seconds',0,0),
(148771,170015,11,100,'Heals group members (AE) for 566 - 692 instantly and every 2 seconds',0,0),
(148772,170016,10,100,'Heals group members (AE) for 619 - 756 instantly and every 2 seconds',0,0),
(148773,170016,11,100,'Heals group members (AE) for 744 - 909 instantly and every 2 seconds',0,0),
(148774,170017,10,100,'Heals group members (AE) for 745 - 910 instantly and every 2 seconds',0,0),
(148775,170017,11,100,'Heals group members (AE) for 895 - 1094 instantly and every 2 seconds',0,0),
(148776,170018,10,100,'Heals group members (AE) for 790 - 966 instantly and every 2 seconds',0,0),
(148777,170018,11,100,'Heals group members (AE) for 950 - 1161 instantly and every 2 seconds',0,0),
(148778,170019,10,100,'Heals target for 750 - 917',0,0),
(148779,170019,10,100,'If over 50% Health',1,1),
(148780,170019,10,100,'Heals target for 1500 - 1833',0,2),
(148781,170019,10,100,'If at 50% Health or less',1,3),
(148782,170019,11,100,'Heals target for 902 - 1102',0,0),
(148783,170019,11,100,'If over 50% Health',1,1),
(148784,170019,11,100,'Heals target for 1803 - 2204',0,2),
(148785,170019,11,100,'If at 50% Health or less',1,3),
(148786,170020,10,100,'Heals target for 1152 - 1407',0,0),
(148787,170020,10,100,'If over 50% Health',1,1),
(148788,170020,10,100,'Heals target for 2303 - 2815',0,2),
(148789,170020,10,100,'If at 50% Health or less',1,3),
(148790,170020,11,100,'Heals target for 1385 - 1692',0,0),
(148791,170020,11,100,'If over 50% Health',1,1),
(148792,170020,11,100,'Heals target for 2769 - 3385',0,2),
(148793,170020,11,100,'If at 50% Health or less',1,3),
(148794,170021,10,100,'Heals target for 1507 - 1842',0,0),
(148795,170021,10,100,'If over 50% Health',1,1),
(148796,170021,10,100,'Heals target for 3014 - 3684',0,2),
(148797,170021,10,100,'If at 50% Health or less',1,3),
(148798,170021,11,100,'Heals target for 1812 - 2215',0,0),
(148799,170021,11,100,'If over 50% Health',1,1),
(148800,170021,11,100,'Heals target for 3624 - 4430',0,2),
(148801,170021,11,100,'If at 50% Health or less',1,3),
(148802,170022,10,100,'Heals target for 1747 - 2135',0,0),
(148803,170022,10,100,'If over 50% Health',1,1),
(148804,170022,10,100,'Heals target for 3493 - 4270',0,2),
(148805,170022,10,100,'If at 50% Health or less',1,3),
(148806,170022,11,100,'Heals target for 2100 - 2567',0,0),
(148807,170022,11,100,'If over 50% Health',1,1),
(148808,170022,11,100,'Heals target for 4200 - 5134',0,2),
(148809,170022,11,100,'If at 50% Health or less',1,3),
(148810,170023,10,100,'Summons a limited pet to aid the caster',0,0),
(148811,170024,10,100,'Summons a limited pet to aid the caster',0,0),
(148812,170025,10,100,'Summons a limited pet to aid the caster',0,0),
(148813,170025,11,100,'Summons a limited pet to aid the caster',0,0),
(148814,170026,10,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(148815,170026,10,100,'Decreases Threat to targets in Area of Effect by 2,183 ',0,1),
(148816,170026,10,100,'Slows targets in Area of Effect by 58.8%',0,2),
(148817,170026,10,100,'Stifles targets in Area of Effect',0,3),
(148818,170026,10,100,'If Target is not Epic',1,4),
(148819,170026,10,100,'10% chance to dispel when target receives hostile action',0,5),
(148820,170026,10,100,'10% chance to dispel when target takes damage',0,6),
(148821,170027,10,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(148822,170027,10,100,'Decreases Threat to targets in Area of Effect by 4,841 ',0,1),
(148823,170027,10,100,'Slows targets in Area of Effect by 58.8%',0,2),
(148824,170027,10,100,'Stifles targets in Area of Effect',0,3),
(148825,170027,10,100,'If Target is not Epic',1,4),
(148826,170027,10,100,'10% chance to dispel when target receives hostile action',0,5),
(148827,170027,10,100,'10% chance to dispel when target takes damage',0,6),
(148828,170028,10,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(148829,170028,10,100,'Decreases Threat to targets in Area of Effect by 7,974 ',0,1),
(148830,170028,10,100,'Slows targets in Area of Effect by 58.8%',0,2),
(148831,170028,10,100,'Stifles targets in Area of Effect',0,3),
(148832,170028,10,100,'If Target is not Epic',1,4),
(148833,170028,10,100,'10% chance to dispel when target receives hostile action',0,5),
(148834,170028,10,100,'10% chance to dispel when target takes damage',0,6),
(148835,170029,10,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(148836,170029,10,100,'Decreases Threat to targets in Area of Effect by 11,969 ',0,1),
(148837,170029,10,100,'Slows targets in Area of Effect by 58.8%',0,2),
(148838,170029,10,100,'Stifles targets in Area of Effect',0,3),
(148839,170029,10,100,'If Target is not Epic',1,4),
(148840,170029,10,100,'10% chance to dispel when target receives hostile action',0,5),
(148841,170029,10,100,'10% chance to dispel when target takes damage',0,6),
(148842,170030,10,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(148843,170030,10,100,'Decreases Threat to targets in Area of Effect by 16,161 ',0,1),
(148844,170030,10,100,'Slows targets in Area of Effect by 58.8%',0,2),
(148845,170030,10,100,'Stifles targets in Area of Effect',0,3),
(148846,170030,10,100,'If Target is not Epic',1,4),
(148847,170030,10,100,'10% chance to dispel when target receives hostile action',0,5),
(148848,170030,10,100,'10% chance to dispel when target takes damage',0,6),
(148849,170031,10,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(148850,170031,10,100,'Decreases Threat to targets in Area of Effect by 20,243 ',0,1),
(148851,170031,10,100,'Slows targets in Area of Effect by 58.8%',0,2),
(148852,170031,10,100,'Stifles targets in Area of Effect',0,3),
(148853,170031,10,100,'If Target is not Epic',1,4),
(148854,170031,10,100,'10% chance to dispel when target receives hostile action',0,5),
(148855,170031,10,100,'10% chance to dispel when target takes damage',0,6),
(148856,170032,10,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(148857,170032,10,100,'Decreases Threat to targets in Area of Effect by 24,443 ',0,1),
(148858,170032,10,100,'Slows targets in Area of Effect by 58.8%',0,2),
(148859,170032,10,100,'Stifles targets in Area of Effect',0,3),
(148860,170032,10,100,'If Target is not Epic',1,4),
(148861,170032,10,100,'10% chance to dispel when target receives hostile action',0,5),
(148862,170032,10,100,'10% chance to dispel when target takes damage',0,6),
(148863,170033,10,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(148864,170033,10,100,'Decreases Threat to targets in Area of Effect by 28,643 ',0,1),
(148865,170033,10,100,'Slows targets in Area of Effect by 58.8%',0,2),
(148866,170033,10,100,'Stifles targets in Area of Effect',0,3),
(148867,170033,10,100,'If Target is not Epic',1,4),
(148868,170033,10,100,'10% chance to dispel when target receives hostile action',0,5),
(148869,170033,10,100,'10% chance to dispel when target takes damage',0,6),
(148870,170033,11,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(148871,170033,11,100,'Decreases Threat to targets in Area of Effect by 34,440 ',0,1),
(148872,170033,11,100,'Slows targets in Area of Effect by 70.7%',0,2),
(148873,170033,11,100,'Stifles targets in Area of Effect',0,3),
(148874,170033,11,100,'If Target is not Epic',1,4),
(148875,170033,11,100,'10% chance to dispel when target receives hostile action',0,5),
(148876,170033,11,100,'10% chance to dispel when target takes damage',0,6),
(148877,170034,10,100,'Inflicts 1364 - 1667 magic damage on targets in Area of Effect',0,0),
(148878,170035,10,100,'Inflicts 1742 - 2129 magic damage on targets in Area of Effect',0,0),
(148879,170036,10,100,'Inflicts 2099 - 2565 magic damage on targets in Area of Effect',0,0),
(148880,170037,10,100,'Inflicts 2278 - 2784 magic damage on targets in Area of Effect',0,0),
(148881,170037,11,100,'Inflicts 2739 - 3348 magic damage on targets in Area of Effect',0,0),
(148882,170039,10,100,'Inflicts 6 - 7 divine damage on target instantly and every 3 seconds',0,0),
(148883,170039,10,100,'Decreases Defense of target by 2.0',0,1),
(148884,170040,10,100,'Inflicts 21 - 26 divine damage on target instantly and every 3 seconds',0,0),
(148885,170040,10,100,'Decreases Defense of target by 4.7',0,1),
(148886,170041,10,100,'Inflicts 39 - 48 divine damage on target instantly and every 3 seconds',0,0),
(148887,170041,10,100,'Decreases Defense of target by 8.6',0,1),
(148888,170042,10,100,'Inflicts 76 - 93 divine damage on target instantly and every 3 seconds',0,0),
(148889,170042,10,100,'Decreases Defense of target by 15.6',0,1),
(148890,170043,11,100,'Inflicts 360 - 441 divine damage on target instantly and every 3 seconds',0,0),
(148891,170043,11,100,'Decreases Defense of target by 60.2',0,1),
(148892,170044,10,100,'Inflicts 118 - 144 divine damage on target instantly and every 3 seconds',0,0),
(148893,170044,10,100,'Decreases Defense of target by 22.7',0,1),
(148894,170045,10,100,'Inflicts 166 - 202 divine damage on target instantly and every 3 seconds',0,0),
(148895,170045,10,100,'Decreases Defense of target by 29.7',0,1),
(148896,170048,10,100,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',0,0),
(148897,170048,10,100,'Inflicts 363 heat damage on target',1,1),
(148898,170048,10,100,'Grants a total of 3 triggers of the spell.',1,2),
(148899,170049,10,100,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',0,0),
(148900,170049,10,100,'Inflicts 548 heat damage on target',1,1),
(148901,170049,10,100,'Grants a total of 3 triggers of the spell.',1,2),
(148902,170051,10,100,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',0,0),
(148903,170051,10,100,'Inflicts 936 heat damage on target',1,1),
(148904,170051,10,100,'Grants a total of 3 triggers of the spell.',1,2),
(148905,170053,10,100,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',0,0),
(148906,170053,10,100,'Inflicts 1272 heat damage on target',1,1),
(148907,170053,10,100,'Grants a total of 3 triggers of the spell.',1,2),
(148908,170053,11,100,'On any combat or spell hit this spell will cast Fae Fires on target of attack.  ',0,0),
(148909,170053,11,100,'Inflicts 1529 heat damage on target',1,1),
(148910,170053,11,100,'Grants a total of 3 triggers of the spell.',1,2),
(148911,170054,10,100,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',0,0),
(148912,170054,10,100,'Heals group members (AE) for 47 - 57 instantly and every 3 seconds',1,1),
(148913,170054,10,100,'Increases STR, AGI, WIS and INT of group members (AE) by 18.7',1,2),
(148914,170054,10,100,'Increases STA of group members (AE) by 37.5',1,3),
(148915,170054,10,100,'Adds 1.0% to base avoidance.',1,4),
(148916,170054,10,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 49',1,5),
(148917,170054,10,100,'Reduces the power cost of spells cast by group members by 5.25%',1,6),
(148918,170055,10,100,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',0,0),
(148919,170055,10,100,'Heals group members (AE) for 73 - 90 instantly and every 3 seconds',1,1),
(148920,170055,10,100,'Increases STR, AGI, WIS and INT of group members (AE) by 28.1',1,2),
(148921,170055,10,100,'Increases STA of group members (AE) by 56.1',1,3),
(148922,170055,10,100,'Adds 1.0% to base avoidance.',1,4),
(148923,170055,10,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 72',1,5),
(148924,170055,10,100,'Reduces the power cost of spells cast by group members by 5.25%',1,6),
(148925,170056,10,100,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',0,0),
(148926,170056,10,100,'Heals group members (AE) for 105 - 128 instantly and every 3 seconds',1,1),
(148927,170056,10,100,'Increases STR, AGI, WIS and INT of group members (AE) by 37.5',1,2),
(148928,170056,10,100,'Increases STA of group members (AE) by 74.9',1,3),
(148929,170056,10,100,'Adds 1.0% to base avoidance.',1,4),
(148930,170056,10,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 96',1,5),
(148931,170056,10,100,'Reduces the power cost of spells cast by group members by 5.25%',1,6),
(148932,170059,10,100,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',0,0),
(148933,170059,10,100,'Heals group members (AE) for 217 - 266 instantly and every 3 seconds',1,1),
(148934,170059,10,100,'Increases STR, AGI, WIS and INT of group members (AE) by 65.6',1,2),
(148935,170059,10,100,'Increases STA of group members (AE) by 131.2',1,3),
(148936,170059,10,100,'Adds 1.0% to base avoidance.',1,4),
(148937,170059,10,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 168',1,5),
(148938,170059,10,100,'Reduces the power cost of spells cast by group members by 5.25%',1,6),
(148939,170059,11,100,'When target receives a reduction in health of 20% this spell will cast Savage Feast on caster.  Lasts for 18.0 seconds.  ',0,0),
(148940,170059,11,100,'Heals group members (AE) for 261 - 319 instantly and every 3 seconds',1,1),
(148941,170059,11,100,'Increases STR, AGI, WIS and INT of group members (AE) by 78.9',1,2),
(148942,170059,11,100,'Increases STA of group members (AE) by 157.8',1,3),
(148943,170059,11,100,'Adds 1.2% to base avoidance.',1,4),
(148944,170059,11,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 202',1,5),
(148945,170059,11,100,'Reduces the power cost of spells cast by group members by 6.31%',1,6),
(148946,170061,10,100,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',0,0),
(148947,170061,10,100,'Heals target for 478',1,1),
(148948,170061,10,100,'Heals target for 119 every 2 seconds',1,2),
(148949,170061,10,100,'Increases AGI of target by 53.4',1,3),
(148950,170061,10,100,'Grants a total of 1 trigger of the spell.',1,4),
(148951,170062,10,100,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',0,0),
(148952,170062,10,100,'Heals target for 698',1,1),
(148953,170062,10,100,'Heals target for 174 every 2 seconds',1,2),
(148954,170062,10,100,'Increases AGI of target by 72.2',1,3),
(148955,170062,10,100,'Grants a total of 1 trigger of the spell.',1,4),
(148956,170063,10,100,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',0,0),
(148957,170063,10,100,'Heals target for 919',1,1),
(148958,170063,10,100,'Heals target for 229 every 2 seconds',1,2),
(148959,170063,10,100,'Increases AGI of target by 91.1',1,3),
(148960,170063,10,100,'Grants a total of 1 trigger of the spell.',1,4),
(148961,170064,10,100,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',0,0),
(148962,170064,10,100,'Heals target for 1260',1,1),
(148963,170064,10,100,'Heals target for 314 every 2 seconds',1,2),
(148964,170064,10,100,'Increases AGI of target by 110.9',1,3),
(148965,170064,10,100,'Grants a total of 1 trigger of the spell.',1,4),
(148966,170065,10,100,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',0,0),
(148967,170065,10,100,'Heals target for 1502',1,1),
(148968,170065,10,100,'Heals target for 375 every 2 seconds',1,2),
(148969,170065,10,100,'Increases AGI of target by 129.4',1,3),
(148970,170065,10,100,'Grants a total of 1 trigger of the spell.',1,4),
(148971,170066,10,100,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',0,0),
(148972,170066,10,100,'Heals target for 1575',1,1),
(148973,170066,10,100,'Heals target for 393 every 2 seconds',1,2),
(148974,170066,10,100,'Increases AGI of target by 147.8',1,3),
(148975,170066,10,100,'Grants a total of 1 trigger of the spell.',1,4),
(148976,170066,11,100,'On death this spell will cast Feral Tenacity on target.  Lasts for 24.0 seconds.  ',0,0),
(148977,170066,11,100,'Heals target for 1894',1,1),
(148978,170066,11,100,'Heals target for 473 every 2 seconds',1,2),
(148979,170066,11,100,'Increases AGI of target by 177.8',1,3),
(148980,170066,11,100,'Grants a total of 1 trigger of the spell.',1,4),
(148981,170069,10,100,'Increases INT and WIS of group members (AE) by 24.5',0,0),
(148982,170069,10,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 160',0,1),
(148983,170070,10,100,'Increases INT and WIS of group members (AE) by 41.3',0,0),
(148984,170070,10,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 284',0,1),
(148985,170071,10,100,'Increases INT and WIS of group members (AE) by 60.1',0,0),
(148986,170071,10,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 408',0,1),
(148987,170072,10,100,'Increases INT and WIS of group members (AE) by 79.0',0,0),
(148988,170072,10,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 532',0,1),
(148989,170072,11,100,'Increases INT and WIS of group members (AE) by 94.9',0,0),
(148990,170072,11,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 640',0,1),
(148991,170073,10,100,'Increases INT and WIS of group members (AE) by 97.9',0,0),
(148992,170073,10,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 648',0,1),
(148993,170074,10,100,'Increases INT and WIS of group members (AE) by 116.4',0,0),
(148994,170074,10,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 736',0,1),
(148995,170075,10,100,'Increases INT and WIS of group members (AE) by 134.9',0,0),
(148996,170075,10,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 825',0,1),
(148997,170075,11,100,'Increases INT and WIS of group members (AE) by 162.2',0,0),
(148998,170075,11,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 992',0,1),
(148999,170076,10,100,'Applies Awakening on termination.',0,0),
(149000,170076,10,100,'Heals target for 1342 - 1640',1,1),
(149001,170077,10,100,'Applies Awakening on termination.',0,0),
(149002,170077,10,100,'Heals target for 2034 - 2486',1,1),
(149003,170078,10,100,'Applies Awakening on termination.',0,0),
(149004,170078,10,100,'Heals target for 2529 - 3091',1,1),
(149005,170079,10,100,'Applies Awakening on termination.',0,0),
(149006,170079,10,100,'Heals target for 2782 - 3400',1,1),
(149007,170079,11,100,'Applies Awakening on termination.',0,0),
(149008,170079,11,100,'Heals target for 3345 - 4088',1,1),
(149009,170080,10,100,'Decreases AGI and WIS of target by 11.9',0,0),
(149010,170081,10,100,'Decreases AGI and WIS of target by 28.1',0,0),
(149011,170082,10,100,'Decreases AGI and WIS of target by 45.4',0,0),
(149012,170083,10,100,'Decreases AGI and WIS of target by 64.2',0,0),
(149013,170085,10,100,'Decreases AGI and WIS of target by 103.5',0,0),
(149014,170086,10,100,'Decreases AGI and WIS of target by 122.0',0,0),
(149015,170087,10,100,'Decreases AGI and WIS of target by 140.4',0,0),
(149016,170087,11,100,'Decreases AGI and WIS of target by 168.9',0,0),
(149017,170088,10,100,'Roots target',0,0),
(149018,170088,10,100,'5% chance to dispel when target takes damage',0,1),
(149019,170088,10,100,'Does not affect Epic targets',0,2),
(149020,170088,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(149021,170089,10,100,'Roots target',0,0),
(149022,170089,10,100,'5% chance to dispel when target takes damage',0,1),
(149023,170089,10,100,'Does not affect Epic targets',0,2),
(149024,170089,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(149025,170090,10,100,'Roots target',0,0),
(149026,170090,10,100,'5% chance to dispel when target takes damage',0,1),
(149027,170090,10,100,'Does not affect Epic targets',0,2),
(149028,170090,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(149029,170091,10,100,'Roots target',0,0),
(149030,170091,10,100,'5% chance to dispel when target takes damage',0,1),
(149031,170091,10,100,'Does not affect Epic targets',0,2),
(149032,170091,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(149033,170092,10,100,'Roots target',0,0),
(149034,170092,10,100,'5% chance to dispel when target takes damage',0,1),
(149035,170092,10,100,'Does not affect Epic targets',0,2),
(149036,170092,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(149037,170093,10,100,'Roots target',0,0),
(149038,170093,10,100,'5% chance to dispel when target takes damage',0,1),
(149039,170093,10,100,'Does not affect Epic targets',0,2),
(149040,170093,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(149041,170094,10,100,'Roots target',0,0),
(149042,170094,10,100,'5% chance to dispel when target takes damage',0,1),
(149043,170094,10,100,'Does not affect Epic targets',0,2),
(149044,170094,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(149045,170095,10,100,'Increases STA of target by 4.9',0,0),
(149046,170095,10,100,'Increases INT of target by 16.6',0,1),
(149047,170096,10,100,'Increases STA of target by 15.9',0,0),
(149048,170096,10,100,'Increases INT of target by 33.3',0,1),
(149049,170097,10,100,'Increases STA of target by 40.7',0,0),
(149050,170097,10,100,'Increases INT of target by 58.0',0,1),
(149051,170098,10,100,'Increases STA of target by 69.1',0,0),
(149052,170098,10,100,'Increases INT of target by 86.2',0,1),
(149053,170099,10,100,'Increases STA of target by 94.5',0,0),
(149054,170099,10,100,'Increases INT of target by 114.4',0,1),
(149055,170100,10,100,'Increases STA of target by 119.2',0,0),
(149056,170100,10,100,'Increases INT of target by 144.1',0,1),
(149057,170102,10,100,'Increases STA of target by 166.3',0,0),
(149058,170102,10,100,'Increases INT of target by 199.6',0,1),
(149059,170102,11,100,'Increases STA of target by 199.9',0,0),
(149060,170102,11,100,'Increases INT of target by 240.0',0,1),
(149061,170103,10,100,'Interrupts target encounter',0,0),
(149062,170103,10,100,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 28.4',0,1),
(149063,170104,10,100,'Interrupts target encounter',0,0),
(149064,170104,10,100,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 36.9',0,1),
(149065,170105,10,100,'Interrupts target encounter',0,0),
(149066,170105,10,100,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 45.4',0,1),
(149067,170106,10,100,'Interrupts target encounter',0,0),
(149068,170106,10,100,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 51.4',0,1),
(149069,170107,10,100,'Interrupts target encounter',0,0),
(149070,170107,10,100,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 57.5',0,1),
(149071,170107,11,100,'Interrupts target encounter',0,0),
(149072,170107,11,100,'Decreases Disruption, Ordination, Ministration, Subjugation, Focus and Aggression of target encounter by 69.1',0,1),
(149073,170108,10,100,'Increases STA of group members (AE) by 5.7',0,0),
(149074,170108,10,100,'Increases Mitigation of group members (AE) vs elemental damage by 363',0,1),
(149075,170109,10,100,'Increases STA of group members (AE) by 14.5',0,0),
(149076,170109,10,100,'Increases Mitigation of group members (AE) vs elemental damage by 630',0,1),
(149077,170110,10,100,'Increases STA of group members (AE) by 24.7',0,0),
(149078,170110,10,100,'Increases Mitigation of group members (AE) vs elemental damage by 924',0,1),
(149079,170111,10,100,'Increases STA of group members (AE) by 33.8',0,0),
(149080,170111,10,100,'Increases Mitigation of group members (AE) vs elemental damage by 1218',0,1),
(149081,170113,10,100,'Increases STA of group members (AE) by 51.0',0,0),
(149082,170113,10,100,'Increases Mitigation of group members (AE) vs elemental damage by 1825',0,1),
(149083,170114,10,100,'Increases STA of group members (AE) by 59.4',0,0),
(149084,170114,10,100,'Increases Mitigation of group members (AE) vs elemental damage by 2125',0,1),
(149085,170114,11,100,'Increases STA of group members (AE) by 71.4',0,0),
(149086,170114,11,100,'Increases Mitigation of group members (AE) vs elemental damage by 2555',0,1),
(149087,170115,10,100,'Heals target for 53 - 64',0,0),
(149088,170115,11,100,'Heals target for 63 - 77',0,0),
(149089,170116,10,100,'Heals target for 175 - 214',0,0),
(149090,170116,11,100,'Heals target for 211 - 258',0,0),
(149091,170117,10,100,'Heals target for 316 - 386',0,0),
(149092,170117,11,100,'Heals target for 380 - 464',0,0),
(149093,170118,11,100,'Heals target for 725 - 887',0,0),
(149094,170119,11,100,'Heals target for 3060 - 3740',0,0),
(149095,170120,10,100,'Heals target for 930 - 1136',0,0),
(149096,170120,11,100,'Heals target for 1118 - 1366',0,0),
(149097,170121,11,100,'Heals target for 1561 - 1907',0,0),
(149098,170122,10,100,'Heals target for 1724 - 2107',0,0),
(149099,170122,11,100,'Heals target for 2073 - 2534',0,0),
(149100,170123,11,100,'Heals target for 2676 - 3271',0,0),
(149101,170124,10,100,'Heals target for 22 - 27',0,0),
(149102,170125,10,100,'Heals target for 76 - 93',0,0),
(149103,170126,10,100,'Heals target for 163 - 200',0,0),
(149104,170127,10,100,'Heals target for 244 - 298',0,0),
(149105,170128,10,100,'Heals target for 1331 - 1627',0,0),
(149106,170129,10,100,'Heals target for 335 - 410',0,0),
(149107,170131,10,100,'Heals target for 757 - 925',0,0),
(149108,170132,10,100,'Heals target for 1003 - 1225',0,0),
(149109,170133,10,100,'Heals target for 1564 - 1912',0,0),
(149110,170133,11,100,'Heals target for 1881 - 2299',0,0),
(149111,170134,9,100,'Improves the damage of hostile spells by 10% of the fury''s wisdom.',0,0),
(149112,170134,9,100,'Improves the fury''s heals by 10% of their wisdom.',0,1),
(149113,170134,9,100,'On a hostile spell cast this spell has a 12% chance to cast Nature''s Wrath on target of spell.  Lasts for 10.0 seconds.  ',0,2),
(149114,170134,9,100,'Inflicts 622 - 933 heat damage on target',1,3),
(149115,170134,9,100,'On a hit this spell will cast Nature''s Soothing on target of attack.  ',1,4),
(149116,170134,9,100,'Heals target for 323 - 599',2,5),
(149117,170134,9,100,'Cannot be modified except by direct means',1,6),
(149118,170134,9,100,'Cannot be modified except by direct means',0,7),
(149119,170134,10,100,'Improves the damage of hostile spells by 10% of the fury''s wisdom.',0,0),
(149120,170134,10,100,'Improves the fury''s heals by 10% of their wisdom.',0,1),
(149121,170134,10,100,'On a hostile spell cast this spell has a 12% chance to cast Nature''s Wrath on target of spell.  Lasts for 10.0 seconds.  ',0,2),
(149122,170134,10,100,'Inflicts 622 - 933 heat damage on target',1,3),
(149123,170134,10,100,'On a hit this spell will cast Nature''s Soothing on target of attack.  ',1,4),
(149124,170134,10,100,'Heals target for 339 - 629',2,5),
(149125,170134,10,100,'Cannot be modified except by direct means',1,6),
(149126,170134,10,100,'Cannot be modified except by direct means',0,7),
(149127,170135,1,100,'Dispels 32 levels of hostile Root effects on group members (AE)',0,2),
(149128,170135,1,100,'Increases in-combat movement speed of group members (AE) by 36.0%',0,3),
(149129,170135,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,4),
(149130,170135,2,100,'Dispels 33 levels of hostile Root effects on group members (AE)',0,2),
(149131,170135,2,100,'Increases in-combat movement speed of group members (AE) by 38.0%',0,3),
(149132,170135,2,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,4),
(149133,170135,3,100,'Dispels 35 levels of hostile Root effects on group members (AE)',0,2),
(149134,170135,3,100,'Increases in-combat movement speed of group members (AE) by 40.0%',0,3),
(149135,170135,3,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,4),
(149136,170135,4,100,'Dispels 39 levels of hostile Root effects on group members (AE)',0,2),
(149137,170135,4,100,'Increases in-combat movement speed of group members (AE) by 44.0%',0,3),
(149138,170135,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,4),
(149139,170135,5,100,'Dispels 42 levels of hostile Root effects on group members (AE)',0,2),
(149140,170135,5,100,'Increases in-combat movement speed of group members (AE) by 48.0%',0,3),
(149141,170135,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,4),
(149142,170135,7,100,'Dispels 54 levels of hostile Root effects on group members (AE)',0,2),
(149143,170135,7,100,'Increases in-combat movement speed of group members (AE) by 61.6%',0,3),
(149144,170135,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,4),
(149145,170135,9,100,'Dispels 56 levels of hostile Root effects on group members (AE)',0,2),
(149146,170135,9,100,'Increases in-combat movement speed of group members (AE) by 64.0%',0,3),
(149147,170135,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,4),
(149148,170135,10,100,'Reduces all damage done to group members (AE) by 42%',0,0),
(149149,170135,10,100,'If level above 95',1,1),
(149150,170135,10,100,'Dispels 59 levels of hostile Root effects on group members (AE)',0,2),
(149151,170135,10,100,'Increases in-combat movement speed of group members (AE) by 67.2%',0,3),
(149152,170135,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,4),
(149153,170139,10,100,'Shapechanges caster into a lion',0,0),
(149154,170139,10,100,'Increases STA of caster by 122.5',0,1),
(149155,170139,10,100,'Adds 3.9% to base avoidance.',0,2),
(149156,170139,10,100,'Grants See Stealth to caster',0,3),
(149157,170139,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1979',0,4),
(149158,170140,10,100,'Shapechanges caster into a lion',0,0),
(149159,170140,10,100,'Increases STA of caster by 155.2',0,1),
(149160,170140,10,100,'Adds 3.9% to base avoidance.',0,2),
(149161,170140,10,100,'Grants See Stealth to caster',0,3),
(149162,170140,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2426',0,4),
(149163,170141,10,100,'Shapechanges caster into a lion',0,0),
(149164,170141,10,100,'Increases STA of caster by 183.0',0,1),
(149165,170141,10,100,'Adds 3.9% to base avoidance.',0,2),
(149166,170141,10,100,'Grants See Stealth to caster',0,3),
(149167,170141,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2745',0,4),
(149168,170142,10,100,'Shapechanges caster into a lion',0,0),
(149169,170142,10,100,'Increases STA of caster by 210.7',0,1),
(149170,170142,10,100,'Adds 3.9% to base avoidance.',0,2),
(149171,170142,10,100,'Grants See Stealth to caster',0,3),
(149172,170142,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 3064',0,4),
(149173,170142,11,100,'Shapechanges caster into a lion',0,0),
(149174,170142,11,100,'Increases STA of caster by 253.3',0,1),
(149175,170142,11,100,'Adds 4.6% to base avoidance.',0,2),
(149176,170142,11,100,'Grants See Stealth to caster',0,3),
(149177,170142,11,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 3684',0,4),
(149178,170143,1,100,'Inflicts 80 divine damage on target',1,3),
(149179,170143,2,100,'Inflicts 85 divine damage on target',1,3),
(149180,170143,3,100,'Inflicts 89 divine damage on target',1,3),
(149181,170143,4,100,'Inflicts 98 divine damage on target',1,3),
(149182,170143,5,100,'Inflicts 107 divine damage on target',1,3),
(149183,170143,7,100,'Inflicts 137 divine damage on target',1,3),
(149184,170143,9,100,'Inflicts 143 divine damage on target',1,3),
(149185,170143,10,100,'Increases Max Health of raid and group members (AE) by 109.2',0,0),
(149186,170143,10,100,'Increases Mitigation of raid and group members (AE) vs all damage by 1680',0,1),
(149187,170143,10,100,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',0,2),
(149188,170143,10,100,'Inflicts 150 divine damage on target',1,3),
(149189,170144,1,100,'Inflicts 121 divine damage on target',1,3),
(149190,170144,2,100,'Inflicts 128 divine damage on target',1,3),
(149191,170144,3,100,'Inflicts 134 divine damage on target',1,3),
(149192,170144,4,100,'Inflicts 148 divine damage on target',1,3),
(149193,170144,5,100,'Inflicts 161 divine damage on target',1,3),
(149194,170144,7,100,'Inflicts 207 divine damage on target',1,3),
(149195,170144,9,100,'Inflicts 215 divine damage on target',1,3),
(149196,170144,10,100,'Increases Max Health of raid and group members (AE) by 109.2',0,0),
(149197,170144,10,100,'Increases Mitigation of raid and group members (AE) vs all damage by 2352',0,1),
(149198,170144,10,100,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',0,2),
(149199,170144,10,100,'Inflicts 226 divine damage on target',1,3),
(149200,170145,1,100,'Inflicts 147 divine damage on target',1,3),
(149201,170145,2,100,'Inflicts 155 divine damage on target',1,3),
(149202,170145,3,100,'Inflicts 163 divine damage on target',1,3),
(149203,170145,4,100,'Inflicts 179 divine damage on target',1,3),
(149204,170145,5,100,'Inflicts 195 divine damage on target',1,3),
(149205,170145,7,100,'Inflicts 251 divine damage on target',1,3),
(149206,170145,9,100,'Inflicts 261 divine damage on target',1,3),
(149207,170145,10,100,'Increases Max Health of raid and group members (AE) by 109.2',0,0),
(149208,170145,10,100,'Increases Mitigation of raid and group members (AE) vs all damage by 2822',0,1),
(149209,170145,10,100,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',0,2),
(149210,170145,10,100,'Inflicts 274 divine damage on target',1,3),
(149211,170146,1,100,'Inflicts 176 divine damage on target',1,3),
(149212,170146,4,100,'Inflicts 215 divine damage on target',1,3),
(149213,170146,5,100,'Inflicts 235 divine damage on target',1,3),
(149214,170146,7,100,'Inflicts 302 divine damage on target',1,3),
(149215,170146,9,100,'Inflicts 313 divine damage on target',1,3),
(149216,170146,10,100,'Increases Max Health of raid and group members (AE) by 109.2',0,0),
(149217,170146,10,100,'Increases Mitigation of raid and group members (AE) vs all damage by 3326',0,1),
(149218,170146,10,100,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',0,2),
(149219,170146,10,100,'Inflicts 329 divine damage on target',1,3),
(149220,170147,1,100,'Inflicts 187 divine damage on target',1,3),
(149221,170147,4,100,'Inflicts 229 divine damage on target',1,3),
(149222,170147,5,100,'Inflicts 249 divine damage on target',1,3),
(149223,170147,7,100,'Inflicts 320 divine damage on target',1,3),
(149224,170147,9,100,'Inflicts 333 divine damage on target',1,3),
(149225,170147,10,100,'Increases Max Health of raid and group members (AE) by 109.2',0,0),
(149226,170147,10,100,'Increases Mitigation of raid and group members (AE) vs all damage by 3696',0,1),
(149227,170147,10,100,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',0,2),
(149228,170147,10,100,'Inflicts 349 divine damage on target',1,3),
(149229,170147,11,100,'Increases Max Health of raid and group members (AE) by 131.3',0,0),
(149230,170147,11,100,'Increases Mitigation of raid and group members (AE) vs all damage by 4444',0,1),
(149231,170147,11,100,'When any damage is received this spell will cast Porcupine Quills on target''s attacker, which can be triggered up to 50 times across all targets.  ',0,2),
(149232,170147,11,100,'Inflicts 420 divine damage on target',1,3),
(149233,170148,10,100,'Increases STR, AGI, WIS and INT of target by 33.9',0,0),
(149234,170148,10,100,'Adds 2.7% to base avoidance.',0,1),
(149235,170148,10,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 241',0,2),
(149236,170148,10,100,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,3),
(149237,170148,10,100,'Increases Ability Casting Speed of target by 13.4%',1,4),
(149238,170148,10,100,'Increases Haste of target by 39.2',1,5),
(149239,170148,10,100,'Increases Multi Attack of target by 39.2',1,6),
(149240,170148,11,100,'Increases STR, AGI, WIS and INT of target by 40.8',0,0),
(149241,170148,11,100,'Adds 3.2% to base avoidance.',0,1),
(149242,170148,11,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 290',0,2),
(149243,170148,11,100,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,3),
(149244,170148,11,100,'Increases Ability Casting Speed of target by 16.2%',1,4),
(149245,170148,11,100,'Increases Haste of target by 47.1',1,5),
(149246,170148,11,100,'Increases Multi Attack of target by 47.1',1,6),
(149247,170149,10,100,'Increases STR, AGI, WIS and INT of target by 52.1',0,0),
(149248,170149,10,100,'Adds 2.7% to base avoidance.',0,1),
(149249,170149,10,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 371',0,2),
(149250,170149,10,100,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,3),
(149251,170149,10,100,'Increases Ability Casting Speed of target by 13.4%',1,4),
(149252,170149,10,100,'Increases Haste of target by 47.0',1,5),
(149253,170149,10,100,'Increases Multi Attack of target by 47.0',1,6),
(149254,170149,11,100,'Increases STR, AGI, WIS and INT of target by 62.6',0,0),
(149255,170149,11,100,'Adds 3.2% to base avoidance.',0,1),
(149256,170149,11,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 446',0,2),
(149257,170149,11,100,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,3),
(149258,170149,11,100,'Increases Ability Casting Speed of target by 16.2%',1,4),
(149259,170149,11,100,'Increases Haste of target by 56.6',1,5),
(149260,170149,11,100,'Increases Multi Attack of target by 56.6',1,6),
(149261,170150,10,100,'Increases STR, AGI, WIS and INT of target by 70.9',0,0),
(149262,170150,10,100,'Adds 2.7% to base avoidance.',0,1),
(149263,170150,10,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 501',0,2),
(149264,170150,10,100,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,3),
(149265,170150,10,100,'Increases Ability Casting Speed of target by 13.4%',1,4),
(149266,170150,10,100,'Increases Haste of target by 54.8',1,5),
(149267,170150,10,100,'Increases Multi Attack of target by 54.8',1,6),
(149268,170150,11,100,'Increases STR, AGI, WIS and INT of target by 85.2',0,0),
(149269,170150,11,100,'Adds 3.2% to base avoidance.',0,1),
(149270,170150,11,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 602',0,2),
(149271,170150,11,100,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,3),
(149272,170150,11,100,'Increases Ability Casting Speed of target by 16.2%',1,4),
(149273,170150,11,100,'Increases Haste of target by 65.8',1,5),
(149274,170150,11,100,'Increases Multi Attack of target by 65.8',1,6),
(149275,170151,10,100,'Increases STR, AGI, WIS and INT of target by 89.7',0,0),
(149276,170151,10,100,'Adds 2.7% to base avoidance.',0,1),
(149277,170151,10,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 631',0,2),
(149278,170151,10,100,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,3),
(149279,170151,10,100,'Increases Ability Casting Speed of target by 13.4%',1,4),
(149280,170151,10,100,'Increases Haste of target by 62.4',1,5),
(149281,170151,10,100,'Increases Multi Attack of target by 62.4',1,6),
(149282,170151,11,100,'Increases STR, AGI, WIS and INT of target by 107.9',0,0),
(149283,170151,11,100,'Adds 3.2% to base avoidance.',0,1),
(149284,170151,11,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 758',0,2),
(149285,170151,11,100,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,3),
(149286,170151,11,100,'Increases Ability Casting Speed of target by 16.2%',1,4),
(149287,170151,11,100,'Increases Attack Speed of target by 75.0',1,5),
(149288,170151,11,100,'Increases Multi Attack Chance of target by 75.0',1,6),
(149289,170152,10,100,'Increases STR, AGI, WIS and INT of target by 109.0',0,0),
(149290,170152,10,100,'Adds 2.7% to base avoidance.',0,1),
(149291,170152,10,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 733',0,2),
(149292,170152,10,100,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,3),
(149293,170152,10,100,'Increases Ability Casting Speed of target by 13.4%',1,4),
(149294,170152,10,100,'Increases Haste of target by 68.4',1,5),
(149295,170152,10,100,'Increases Multi Attack of target by 68.4',1,6),
(149296,170152,11,100,'Increases STR, AGI, WIS and INT of target by 131.1',0,0),
(149297,170152,11,100,'Adds 3.2% to base avoidance.',0,1),
(149298,170152,11,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 881',0,2),
(149299,170152,11,100,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,3),
(149300,170152,11,100,'Increases Ability Casting Speed of target by 16.2%',1,4),
(149301,170152,11,100,'Increases Haste of target by 82.2',1,5),
(149302,170152,11,100,'Increases Multi Attack of target by 82.2',1,6),
(149303,170153,10,100,'Increases STR, AGI, WIS and INT of target by 127.5',0,0),
(149304,170153,10,100,'Adds 2.7% to base avoidance.',0,1),
(149305,170153,10,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 825',0,2),
(149306,170153,10,100,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,3),
(149307,170153,10,100,'Increases Ability Casting Speed of target by 13.4%',1,4),
(149308,170153,10,100,'Increases Haste of target by 78.0',1,5),
(149309,170153,10,100,'Increases Multi Attack of target by 78.0',1,6),
(149310,170153,11,100,'Increases STR, AGI, WIS and INT of target by 153.3',0,0),
(149311,170153,11,100,'Adds 3.2% to base avoidance.',0,1),
(149312,170153,11,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 992',0,2),
(149313,170153,11,100,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,3),
(149314,170153,11,100,'Increases Ability Casting Speed of target by 16.2%',1,4),
(149315,170153,11,100,'Increases Haste of target by 93.7',1,5),
(149316,170153,11,100,'Increases Multi Attack of target by 93.7',1,6),
(149317,170154,10,100,'Increases STR, AGI, WIS and INT of target by 146.0',0,0),
(149318,170154,10,100,'Adds 2.7% to base avoidance.',0,1),
(149319,170154,10,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 918',0,2),
(149320,170154,10,100,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,3),
(149321,170154,10,100,'Increases Ability Casting Speed of target by 13.4%',1,4),
(149322,170154,10,100,'Increases Attack Speed of target by 83.5',1,5),
(149323,170154,10,100,'Increases Multi Attack Chance of target by 83.5',1,6),
(149324,170154,11,100,'Increases STR, AGI, WIS and INT of target by 175.5',0,0),
(149325,170154,11,100,'Adds 3.2% to base avoidance.',0,1),
(149326,170154,11,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1104',0,2),
(149327,170154,11,100,'On any combat or spell hit this spell may cast Battle Fury on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,3),
(149328,170154,11,100,'Increases Ability Casting Speed of target by 16.2%',1,4),
(149329,170154,11,100,'Increases Haste of target by 100.4',1,5),
(149330,170154,11,100,'Increases Multi Attack of target by 100.4',1,6),
(149331,170156,11,100,'Heals target for 76 - 93 instantly and every 2 seconds',0,0),
(149332,170157,11,100,'Heals target for 121 - 148 instantly and every 2 seconds',0,0),
(149333,170158,10,100,'Heals target for 144 - 176 instantly and every 2 seconds',0,0),
(149334,170158,11,100,'Heals target for 173 - 212 instantly and every 2 seconds',0,0),
(149335,170159,11,100,'Heals target for 280 - 342 instantly and every 2 seconds',0,0),
(149336,170160,10,100,'Heals target for 786 - 961 instantly and every 2 seconds',0,0),
(149337,170160,11,100,'Heals target for 946 - 1156 instantly and every 2 seconds',0,0),
(149338,170161,11,100,'Heals target for 414 - 506 instantly and every 2 seconds',0,0),
(149339,170162,10,100,'Heals target for 455 - 556 instantly and every 2 seconds',0,0),
(149340,170162,11,100,'Heals target for 547 - 669 instantly and every 2 seconds',0,0),
(149341,170163,10,100,'Heals target for 602 - 736 instantly and every 2 seconds',0,0),
(149342,170163,11,100,'Heals target for 724 - 885 instantly and every 2 seconds',0,0),
(149343,170164,10,100,'Heals target for 732 - 895 instantly and every 2 seconds',0,0),
(149344,170164,11,100,'Heals target for 881 - 1076 instantly and every 2 seconds',0,0),
(149345,170165,10,100,'Summons a limited pet to aid the caster',0,0),
(149346,170166,10,100,'Summons a limited pet to aid the caster',0,0),
(149347,170167,10,100,'Summons a limited pet to aid the caster',0,0),
(149348,170168,10,100,'Summons a limited pet to aid the caster',0,0),
(149349,170168,11,100,'Summons a limited pet to aid the caster',0,0),
(149350,170170,10,100,'Inflicts 970 - 1186 heat damage on target encounter',0,0),
(149351,170174,11,100,'Inflicts 2919 - 3567 heat damage on target encounter',0,0),
(149352,170175,10,100,'Inflicts 8 - 9 cold damage on target instantly and every 2 seconds',0,0),
(149353,170175,10,100,'Inflicts 8 - 9 cold damage on target instantly and every 2 seconds',0,1),
(149354,170175,10,100,'If target is elemental',1,2),
(149355,170177,10,100,'Inflicts 60 - 73 cold damage on target instantly and every 2 seconds',0,0),
(149356,170177,10,100,'Inflicts 60 - 73 cold damage on target instantly and every 2 seconds',0,1),
(149357,170177,10,100,'If target is elemental',1,2),
(149358,170179,10,100,'Inflicts 311 - 380 cold damage on target instantly and every 2 seconds',0,0),
(149359,170179,10,100,'Inflicts 311 - 380 cold damage on target instantly and every 2 seconds',0,1),
(149360,170179,10,100,'If target is elemental',1,2),
(149361,170179,11,100,'Inflicts 374 - 457 cold damage on target instantly and every 2 seconds',0,0),
(149362,170179,11,100,'Inflicts 374 - 457 cold damage on target instantly and every 2 seconds',0,1),
(149363,170179,11,100,'If target is elemental',1,2),
(149364,170180,10,100,'Inflicts 145 - 177 cold damage on target instantly and every 2 seconds',0,0),
(149365,170180,10,100,'Inflicts 145 - 177 cold damage on target instantly and every 2 seconds',0,1),
(149366,170180,10,100,'If target is elemental',1,2),
(149367,170181,10,100,'Inflicts 193 - 236 cold damage on target instantly and every 2 seconds',0,0),
(149368,170181,10,100,'Inflicts 193 - 236 cold damage on target instantly and every 2 seconds',0,1),
(149369,170181,10,100,'If target is elemental',1,2),
(149370,170182,10,100,'Inflicts 238 - 290 cold damage on target instantly and every 2 seconds',0,0),
(149371,170182,10,100,'Inflicts 238 - 290 cold damage on target instantly and every 2 seconds',0,1),
(149372,170182,10,100,'If target is elemental',1,2),
(149373,170183,10,100,'Inflicts 286 - 350 cold damage on target instantly and every 2 seconds',0,0),
(149374,170183,10,100,'Inflicts 286 - 350 cold damage on target instantly and every 2 seconds',0,1),
(149375,170183,10,100,'If target is elemental',1,2),
(149376,170184,10,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(149377,170184,10,100,'Inflicts 1 piercing damage on target encounter',1,1),
(149378,170187,10,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(149379,170187,10,100,'Inflicts 13 - 16 piercing damage on target encounter',1,1),
(149380,170188,10,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(149381,170188,10,100,'Inflicts 41 - 50 piercing damage on target encounter',1,1),
(149382,170188,11,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(149383,170188,11,100,'Inflicts 50 - 61 piercing damage on target encounter',1,1),
(149384,170190,10,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(149385,170190,10,100,'Inflicts 25 - 31 piercing damage on target encounter',1,1),
(149386,170191,10,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(149387,170191,10,100,'Inflicts 31 - 38 piercing damage on target encounter',1,1),
(149388,170192,10,100,'When damaged with a melee weapon this spell will cast Thornstorm on target''s attacker.  ',0,0),
(149389,170192,10,100,'Inflicts 37 - 46 piercing damage on target encounter',1,1),
(149390,170194,10,100,'Inflicts 618 - 1029 magic damage on target',0,0),
(149391,170196,10,100,'Inflicts 1240 - 2067 magic damage on target',0,0),
(149392,170197,10,100,'Inflicts 1555 - 2592 magic damage on target',0,0),
(149393,170198,10,100,'Inflicts 1875 - 3124 magic damage on target',0,0),
(149394,170199,10,100,'Inflicts 2059 - 3432 magic damage on target',0,0),
(149395,170199,11,100,'Inflicts 2476 - 4126 magic damage on target',0,0),
(149396,170200,10,100,'Heals group members (AE) for 181 - 221',0,0),
(149397,170200,11,100,'Heals group members (AE) for 218 - 266',0,0),
(149398,170201,10,100,'Heals group members (AE) for 383 - 468',0,0),
(149399,170201,11,100,'Heals group members (AE) for 460 - 562',0,0),
(149400,170202,10,100,'Heals group members (AE) for 608 - 743',0,0),
(149401,170202,11,100,'Heals group members (AE) for 731 - 893',0,0),
(149402,170203,10,100,'Heals group members (AE) for 879 - 1074',0,0),
(149403,170203,11,100,'Heals group members (AE) for 1057 - 1292',0,0),
(149404,170204,10,100,'Heals group members (AE) for 1151 - 1406',0,0),
(149405,170204,11,100,'Heals group members (AE) for 1383 - 1691',0,0),
(149406,170205,10,100,'Heals group members (AE) for 1551 - 1896',0,0),
(149407,170205,11,100,'Heals group members (AE) for 1865 - 2280',0,0),
(149408,170206,10,100,'Heals group members (AE) for 1849 - 2259',0,0),
(149409,170206,11,100,'Heals group members (AE) for 2223 - 2717',0,0),
(149410,170207,10,100,'Heals group members (AE) for 1939 - 2370',0,0),
(149411,170207,11,100,'Heals group members (AE) for 2332 - 2850',0,0),
(149412,170209,9,100,'Grants a healer ally bonus healing based on your last direct damage spell amount. This bonus changes every time you cast a damage spell.',0,0),
(149413,170209,10,100,'Grants a healer ally bonus healing based on your last direct damage spell amount. This bonus changes every time you cast a damage spell.',0,0),
(149414,180000,10,100,'Increases Max Power of target by 107.1',0,0),
(149415,180000,10,100,'Increases Max Health of target by 142.0',0,1),
(149416,180001,10,100,'Heals group members (AE) for 181 - 222',0,0),
(149418,180002,10,100,'Applies Grey Winds.  Lasts for 10.0 seconds.',0,0),
(149419,180002,10,100,'Slows target by 32.0%',1,1),
(149420,180002,10,100,'5% chance to dispel when target receives hostile action',1,2),
(149421,180002,10,100,'5% chance to dispel when target takes damage',1,3),
(149422,180002,10,100,'Inflicts 47 - 58 cold damage on target',0,4),
(149423,180003,10,100,'Inflicts 23 disease damage on target instantly and every 4 seconds',0,0),
(149424,180003,10,100,'Inflicts 23 disease damage on target instantly and every 4 seconds',0,1),
(149425,180003,10,100,'If target is nightblood',1,2),
(149426,180003,10,100,'Inflicts 23 disease damage on target instantly and every 4 seconds',0,3),
(149427,180003,10,100,'If target is shadowed folk',1,4),
(149428,180006,10,100,'Applies Grey Winds.  Lasts for 10.0 seconds.',0,0),
(149429,180006,10,100,'Slows target by 33.4%',1,1),
(149430,180006,10,100,'5% chance to dispel when target receives hostile action',1,2),
(149431,180006,10,100,'5% chance to dispel when target takes damage',1,3),
(149432,180006,10,100,'Inflicts 79 - 97 cold damage on target',0,4),
(149435,180008,10,100,'Decreases Threat to targets in Area of Effect by 2,252 ',0,0),
(149436,180008,10,100,'Makes targets in Area of Effect afraid',0,1),
(149437,180008,10,100,'30% chance to dispel when target takes damage',0,2),
(149439,180011,5,100,'Increases Strength of group members (AE) by 15',0,1),
(149440,180012,10,100,'Increases STR and STA of group members (AE) by 24.5',0,0),
(149441,180014,2,100,'Increases Mitigation of group members (AE) vs divine damage by 164',0,2),
(149442,180014,1,100,'Increases Mitigation of group members (AE) vs divine damage by 156',0,2),
(149443,180015,10,100,'Heals target for 170 - 208',0,0),
(149444,180015,10,100,'Dispels X levels of noxious hostile effects on target',0,1),
(149445,180016,10,100,'Decreases DPS of target encounter by 19.8',0,0),
(149446,180017,10,100,'Decreases Haste of target by 18.5',0,0),
(149447,190000,10,100,'Increases AGI, STR and STA of target by 61.5',0,0),
(149448,190000,10,100,'Adds 2.5% to base avoidance.',0,1),
(149449,190002,10,100,'Increases AGI, STR and STA of target by 101.6',0,0),
(149450,190002,10,100,'Adds 2.5% to base avoidance.',0,1),
(149451,190003,10,100,'Increases AGI, STR and STA of target by 120.1',0,0),
(149452,190003,10,100,'Adds 2.5% to base avoidance.',0,1),
(149453,190004,10,100,'Increases AGI, STR and STA of target by 138.6',0,0),
(149454,190004,10,100,'Adds 2.5% to base avoidance.',0,1),
(149455,190004,11,100,'Increases AGI, STR and STA of target by 166.6',0,0),
(149456,190004,11,100,'Adds 3.0% to base avoidance.',0,1),
(149457,190005,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,16),
(149458,190005,1,100,'Dispels 52 levels of hostile Stun effects on target',0,17),
(149459,190005,1,100,'Casts Ancestral Balm Stun Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,18),
(149460,190005,1,100,'Makes target immune to Stun effects',2,19),
(149461,190005,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,20),
(149462,190005,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,21),
(149463,190005,2,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,16),
(149464,190005,2,100,'Dispels 55 levels of hostile Stun effects on target',0,17),
(149465,190005,2,100,'Casts Ancestral Balm Stun Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,18),
(149466,190005,2,100,'Makes target immune to Stun effects',2,19),
(149467,190005,2,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,20),
(149468,190005,2,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,21),
(149469,190005,3,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,16),
(149470,190005,3,100,'Dispels 58 levels of hostile Stun effects on target',0,17),
(149471,190005,3,100,'Casts Ancestral Balm Stun Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,18),
(149472,190005,3,100,'Makes target immune to Stun effects',2,19),
(149473,190005,3,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,20),
(149474,190005,3,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,21),
(149475,190005,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,16),
(149476,190005,4,100,'Dispels 64 levels of hostile Stun effects on target',0,17),
(149477,190005,4,100,'Casts Ancestral Balm Stun Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,18),
(149478,190005,4,100,'Makes target immune to Stun effects',2,19),
(149479,190005,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,20),
(149480,190005,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,21),
(149481,190005,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,16),
(149482,190005,5,100,'Dispels 70 levels of hostile Stun effects on target',0,17),
(149483,190005,5,100,'Casts Ancestral Balm Stun Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,18),
(149484,190005,5,100,'Makes target immune to Stun effects',2,19),
(149485,190005,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,20),
(149486,190005,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,21),
(149487,190005,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,16),
(149488,190005,7,100,'Dispels 90 levels of hostile Stun effects on target',0,17),
(149489,190005,7,100,'Casts Ancestral Balm Stun Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,18),
(149490,190005,7,100,'Makes target immune to Stun effects',2,19),
(149491,190005,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,20),
(149492,190005,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,21),
(149493,190005,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,16),
(149494,190005,9,100,'Dispels 93 levels of hostile Stun effects on target',0,17),
(149495,190005,9,100,'Casts Ancestral Balm Stun Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,18),
(149496,190005,9,100,'Makes target immune to Stun effects',2,19),
(149497,190005,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,20),
(149498,190005,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,21),
(149499,190005,10,100,'Dispels 98 levels of any hostile effects on target',0,0),
(149500,190005,10,100,'Dispels 98 levels of hostile Fear effects on target',0,1),
(149501,190005,10,100,'Casts Ancestral Balm Fear Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,2),
(149502,190005,10,100,'Makes target immune to Fear effects',2,3),
(149503,190005,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,4),
(149504,190005,10,100,'Dispels 98 levels of hostile Daze effects on target',0,5),
(149505,190005,10,100,'Casts Ancestral Balm Daze Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,6),
(149506,190005,10,100,'Makes target immune to Daze effects',2,7),
(149507,190005,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,8),
(149508,190005,10,100,'Dispels 98 levels of hostile Root effects on target',0,9),
(149509,190005,10,100,'Casts Ancestral Balm Root Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,10),
(149510,190005,10,100,'Makes target immune to Root effects',2,11),
(149511,190005,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,12),
(149512,190005,10,100,'Dispels 98 levels of hostile Stifle effects on target',0,13),
(149513,190005,10,100,'Casts Ancestral Balm Stifle Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,14),
(149514,190005,10,100,'Makes target immune to Stifle effects',2,15),
(149515,190005,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,16),
(149516,190005,10,100,'Dispels 98 levels of hostile Stun effects on target',0,17),
(149517,190005,10,100,'Casts Ancestral Balm Stun Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,18),
(149518,190005,10,100,'Makes target immune to Stun effects',2,19),
(149519,190005,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,20),
(149520,190005,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,21),
(149521,190006,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,16),
(149522,190006,1,100,'Dispels 68 levels of hostile Stun effects on target',0,17),
(149523,190006,1,100,'Casts Ancestral Balm Stun Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,18),
(149524,190006,1,100,'Makes target immune to Stun effects',2,19),
(149525,190006,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,20),
(149526,190006,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,21),
(149527,190006,2,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,16),
(149528,190006,2,100,'Dispels 72 levels of hostile Stun effects on target',0,17),
(149529,190006,2,100,'Casts Ancestral Balm Stun Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,18),
(149530,190006,2,100,'Makes target immune to Stun effects',2,19),
(149531,190006,2,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,20),
(149532,190006,2,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,21),
(149533,190006,3,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,16),
(149534,190006,3,100,'Dispels 76 levels of hostile Stun effects on target',0,17),
(149535,190006,3,100,'Casts Ancestral Balm Stun Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,18),
(149536,190006,3,100,'Makes target immune to Stun effects',2,19),
(149537,190006,3,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,20),
(149538,190006,3,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,21),
(149539,190006,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,16),
(149540,190006,4,100,'Dispels 83 levels of hostile Stun effects on target',0,17),
(149541,190006,4,100,'Casts Ancestral Balm Stun Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,18),
(149542,190006,4,100,'Makes target immune to Stun effects',2,19),
(149543,190006,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,20),
(149544,190006,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,21),
(149545,190006,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,16),
(149546,190006,5,100,'Dispels 91 levels of hostile Stun effects on target',0,17),
(149547,190006,5,100,'Casts Ancestral Balm Stun Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,18),
(149548,190006,5,100,'Makes target immune to Stun effects',2,19),
(149549,190006,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,20),
(149550,190006,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,21),
(149551,190006,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,16),
(149552,190006,7,100,'Dispels 117 levels of hostile Stun effects on target',0,17),
(149553,190006,7,100,'Casts Ancestral Balm Stun Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,18),
(149554,190006,7,100,'Makes target immune to Stun effects',2,19),
(149555,190006,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,20),
(149556,190006,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,21),
(149557,190006,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,16),
(149558,190006,9,100,'Dispels 121 levels of hostile Stun effects on target',0,17),
(149559,190006,9,100,'Casts Ancestral Balm Stun Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,18),
(149560,190006,9,100,'Makes target immune to Stun effects',2,19),
(149561,190006,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,20),
(149562,190006,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,21),
(149563,190006,10,100,'Dispels 127 levels of any hostile effects on target',0,0),
(149564,190006,10,100,'Dispels 127 levels of hostile Fear effects on target',0,1),
(149565,190006,10,100,'Casts Ancestral Balm Fear Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,2),
(149566,190006,10,100,'Makes target immune to Fear effects',2,3),
(149567,190006,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,4),
(149568,190006,10,100,'Dispels 127 levels of hostile Daze effects on target',0,5),
(149569,190006,10,100,'Casts Ancestral Balm Daze Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,6),
(149570,190006,10,100,'Makes target immune to Daze effects',2,7),
(149571,190006,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,8),
(149572,190006,10,100,'Dispels 127 levels of hostile Root effects on target',0,9),
(149573,190006,10,100,'Casts Ancestral Balm Root Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,10),
(149574,190006,10,100,'Makes target immune to Root effects',2,11),
(149575,190006,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,12),
(149576,190006,10,100,'Dispels 127 levels of hostile Stifle effects on target',0,13),
(149577,190006,10,100,'Casts Ancestral Balm Stifle Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,14),
(149578,190006,10,100,'Makes target immune to Stifle effects',2,15),
(149579,190006,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,16),
(149580,190006,10,100,'Dispels 127 levels of hostile Stun effects on target',0,17),
(149581,190006,10,100,'Casts Ancestral Balm Stun Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,18),
(149582,190006,10,100,'Makes target immune to Stun effects',2,19),
(149583,190006,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,20),
(149584,190006,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,21),
(149585,190007,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,16),
(149586,190007,1,100,'Dispels 77 levels of hostile Stun effects on target',0,17),
(149587,190007,1,100,'Casts Ancestral Balm Stun Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,18),
(149588,190007,1,100,'Makes target immune to Stun effects',2,19),
(149589,190007,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,20),
(149590,190007,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,21),
(149591,190007,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,16),
(149592,190007,4,100,'Dispels 94 levels of hostile Stun effects on target',0,17),
(149593,190007,4,100,'Casts Ancestral Balm Stun Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,18),
(149594,190007,4,100,'Makes target immune to Stun effects',2,19),
(149595,190007,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,20),
(149596,190007,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,21),
(149597,190007,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,16),
(149598,190007,5,100,'Dispels 102 levels of hostile Stun effects on target',0,17),
(149599,190007,5,100,'Casts Ancestral Balm Stun Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,18),
(149600,190007,5,100,'Makes target immune to Stun effects',2,19),
(149601,190007,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,20),
(149602,190007,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,21),
(149603,190007,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,16),
(149604,190007,7,100,'Dispels 132 levels of hostile Stun effects on target',0,17),
(149605,190007,7,100,'Casts Ancestral Balm Stun Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,18),
(149606,190007,7,100,'Makes target immune to Stun effects',2,19),
(149607,190007,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,20),
(149608,190007,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,21),
(149609,190007,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,16),
(149610,190007,9,100,'Dispels 137 levels of hostile Stun effects on target',0,17),
(149611,190007,9,100,'Casts Ancestral Balm Stun Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,18),
(149612,190007,9,100,'Makes target immune to Stun effects',2,19),
(149613,190007,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,20),
(149614,190007,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,21),
(149615,190007,10,100,'Dispels 143 levels of any hostile effects on target',0,0),
(149616,190007,10,100,'Dispels 143 levels of hostile Fear effects on target',0,1),
(149617,190007,10,100,'Casts Ancestral Balm Fear Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,2),
(149618,190007,10,100,'Makes target immune to Fear effects',2,3),
(149619,190007,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,4),
(149620,190007,10,100,'Dispels 143 levels of hostile Daze effects on target',0,5),
(149621,190007,10,100,'Casts Ancestral Balm Daze Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,6),
(149622,190007,10,100,'Makes target immune to Daze effects',2,7),
(149623,190007,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,8),
(149624,190007,10,100,'Dispels 143 levels of hostile Root effects on target',0,9),
(149625,190007,10,100,'Casts Ancestral Balm Root Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,10),
(149626,190007,10,100,'Makes target immune to Root effects',2,11),
(149627,190007,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,12),
(149628,190007,10,100,'Dispels 143 levels of hostile Stifle effects on target',0,13),
(149629,190007,10,100,'Casts Ancestral Balm Stifle Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,14),
(149630,190007,10,100,'Makes target immune to Stifle effects',2,15),
(149631,190007,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,16),
(149632,190007,10,100,'Dispels 143 levels of hostile Stun effects on target',0,17),
(149633,190007,10,100,'Casts Ancestral Balm Stun Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,18),
(149634,190007,10,100,'Makes target immune to Stun effects',2,19),
(149635,190007,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,20),
(149636,190007,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,21),
(149637,190008,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,16),
(149638,190008,1,100,'Dispels 86 levels of hostile Stun effects on target',0,17),
(149639,190008,1,100,'Casts Ancestral Balm Stun Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,18),
(149640,190008,1,100,'Makes target immune to Stun effects',2,19),
(149641,190008,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,20),
(149642,190008,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,21),
(149643,190008,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,16),
(149644,190008,4,100,'Dispels 105 levels of hostile Stun effects on target',0,17),
(149645,190008,4,100,'Casts Ancestral Balm Stun Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,18),
(149646,190008,4,100,'Makes target immune to Stun effects',2,19),
(149647,190008,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,20),
(149648,190008,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,21),
(149649,190008,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,16),
(149650,190008,5,100,'Dispels 114 levels of hostile Stun effects on target',0,17),
(149651,190008,5,100,'Casts Ancestral Balm Stun Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,18),
(149652,190008,5,100,'Makes target immune to Stun effects',2,19),
(149653,190008,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,20),
(149654,190008,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,21),
(149655,190008,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,16),
(149656,190008,7,100,'Dispels 146 levels of hostile Stun effects on target',0,17),
(149657,190008,7,100,'Casts Ancestral Balm Stun Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,18),
(149658,190008,7,100,'Makes target immune to Stun effects',2,19),
(149659,190008,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,20),
(149660,190008,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,21),
(149661,190008,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,16),
(149662,190008,9,100,'Dispels 152 levels of hostile Stun effects on target',0,17),
(149663,190008,9,100,'Casts Ancestral Balm Stun Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,18),
(149664,190008,9,100,'Makes target immune to Stun effects',2,19),
(149665,190008,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,20),
(149666,190008,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,21),
(149667,190008,10,100,'Dispels 160 levels of any hostile effects on target',0,0),
(149668,190008,10,100,'Dispels 160 levels of hostile Fear effects on target',0,1),
(149669,190008,10,100,'Casts Ancestral Balm Fear Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,2),
(149670,190008,10,100,'Makes target immune to Fear effects',2,3),
(149671,190008,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,4),
(149672,190008,10,100,'Dispels 160 levels of hostile Daze effects on target',0,5),
(149673,190008,10,100,'Casts Ancestral Balm Daze Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,6),
(149674,190008,10,100,'Makes target immune to Daze effects',2,7),
(149675,190008,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,8),
(149676,190008,10,100,'Dispels 160 levels of hostile Root effects on target',0,9),
(149677,190008,10,100,'Casts Ancestral Balm Root Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,10),
(149678,190008,10,100,'Makes target immune to Root effects',2,11),
(149679,190008,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,12),
(149680,190008,10,100,'Dispels 160 levels of hostile Stifle effects on target',0,13),
(149681,190008,10,100,'Casts Ancestral Balm Stifle Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,14),
(149682,190008,10,100,'Makes target immune to Stifle effects',2,15),
(149683,190008,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,16),
(149684,190008,10,100,'Dispels 160 levels of hostile Stun effects on target',0,17),
(149685,190008,10,100,'Casts Ancestral Balm Stun Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,18),
(149686,190008,10,100,'Makes target immune to Stun effects',2,19),
(149687,190008,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,20),
(149688,190008,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,21),
(149689,190008,11,100,'Dispels 192 levels of any hostile effects on target',0,0),
(149690,190008,11,100,'Dispels 192 levels of hostile Fear effects on target',0,1),
(149691,190008,11,100,'Casts Ancestral Balm Fear Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,2),
(149692,190008,11,100,'Makes target immune to Fear effects',2,3),
(149693,190008,11,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,4),
(149694,190008,11,100,'Dispels 192 levels of hostile Daze effects on target',0,5),
(149695,190008,11,100,'Casts Ancestral Balm Daze Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,6),
(149696,190008,11,100,'Makes target immune to Daze effects',2,7),
(149697,190008,11,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,8),
(149698,190008,11,100,'Dispels 192 levels of hostile Root effects on target',0,9),
(149699,190008,11,100,'Casts Ancestral Balm Root Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,10),
(149700,190008,11,100,'Makes target immune to Root effects',2,11),
(149701,190008,11,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,12),
(149702,190008,11,100,'Dispels 192 levels of hostile Stifle effects on target',0,13),
(149703,190008,11,100,'Casts Ancestral Balm Stifle Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,14),
(149704,190008,11,100,'Makes target immune to Stifle effects',2,15),
(149705,190008,11,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,16),
(149706,190008,11,100,'Dispels 192 levels of hostile Stun effects on target',0,17),
(149707,190008,11,100,'Casts Ancestral Balm Stun Immunity for each successful Dispel.  Lasts for 10.0 seconds.',0,18),
(149708,190008,11,100,'Makes target immune to Stun effects',2,19),
(149709,190008,11,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,20),
(149710,190008,11,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,21),
(149711,190009,10,100,'Increases STA of group members (AE) by 5.7',0,0),
(149712,190009,10,100,'Increases Mitigation of group members (AE) vs noxious damage by 363',0,1),
(149713,190010,10,100,'Increases STA of group members (AE) by 14.5',0,0),
(149714,190010,10,100,'Increases Mitigation of group members (AE) vs noxious damage by 630',0,1),
(149715,190011,10,100,'Increases STA of group members (AE) by 24.7',0,0),
(149716,190011,10,100,'Increases Mitigation of group members (AE) vs noxious damage by 924',0,1),
(149717,190012,10,100,'Increases STA of group members (AE) by 33.8',0,0),
(149718,190012,10,100,'Increases Mitigation of group members (AE) vs noxious damage by 1218',0,1),
(149719,190014,10,100,'Increases STA of group members (AE) by 51.0',0,0),
(149720,190014,10,100,'Increases Mitigation of group members (AE) vs noxious damage by 1825',0,1),
(149721,190015,10,100,'Increases STA of group members (AE) by 59.4',0,0),
(149722,190015,10,100,'Increases Mitigation of group members (AE) vs noxious damage by 2125',0,1),
(149723,190015,11,100,'Increases STA of group members (AE) by 71.4',0,0),
(149724,190015,11,100,'Increases Mitigation of group members (AE) vs noxious damage by 2555',0,1),
(149725,190016,10,100,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',0,0),
(149726,190016,10,100,'Wards target against 611 points of all damage',1,1),
(149727,190016,10,100,'Heals target for 497',1,2),
(149728,190016,10,100,'Increases power of target by 115 every 6 seconds',1,3),
(149729,190016,10,100,'Grants a total of 1 trigger of the spell.',1,4),
(149730,190017,10,100,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',0,0),
(149731,190017,10,100,'Wards target against 893 points of all damage',1,1),
(149732,190017,10,100,'Heals target for 726',1,2),
(149733,190017,10,100,'Increases power of target by 168 every 6 seconds',1,3),
(149734,190017,10,100,'Grants a total of 1 trigger of the spell.',1,4),
(149735,190018,10,100,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',0,0),
(149736,190018,10,100,'Wards target against 1175 points of all damage',1,1),
(149737,190018,10,100,'Heals target for 956',1,2),
(149738,190018,10,100,'Increases power of target by 221 every 6 seconds',1,3),
(149739,190018,10,100,'Grants a total of 1 trigger of the spell.',1,4),
(149740,190019,10,100,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',0,0),
(149741,190019,10,100,'Wards target against 1397 points of all damage',1,1),
(149742,190019,10,100,'Heals target for 1310',1,2),
(149743,190019,10,100,'Increases power of target by 302 every 6 seconds',1,3),
(149744,190019,10,100,'Grants a total of 1 trigger of the spell.',1,4),
(149745,190020,10,100,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',0,0),
(149746,190020,10,100,'Wards target against 1693 points of all damage',1,1),
(149747,190020,10,100,'Heals target for 1562',1,2),
(149748,190020,10,100,'Increases power of target by 360 every 6 seconds',1,3),
(149749,190020,10,100,'Grants a total of 1 trigger of the spell.',1,4),
(149750,190021,10,100,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',0,0),
(149751,190021,10,100,'Wards target against 1800 points of all damage',1,1),
(149752,190021,10,100,'Heals target for 1638',1,2),
(149753,190021,10,100,'Increases power of target by 378 every 6 seconds',1,3),
(149754,190021,10,100,'Grants a total of 1 trigger of the spell.',1,4),
(149755,190021,11,100,'On death this spell will cast Eidolic Savior on caster.  Lasts for 36.0 seconds.  ',0,0),
(149756,190021,11,100,'Wards target against 2165 points of all damage',1,1),
(149757,190021,11,100,'Heals target for 1970',1,2),
(149758,190021,11,100,'Increases power of target by 455 every 6 seconds',1,3),
(149759,190021,11,100,'Grants a total of 1 trigger of the spell.',1,4),
(149760,190022,10,100,'Summons a limited pet to aid the caster',0,0),
(149761,190023,10,100,'Summons a limited pet to aid the caster',0,0),
(149762,190024,10,100,'Summons a limited pet to aid the caster',0,0),
(149763,190024,11,100,'Summons a limited pet to aid the caster',0,0),
(149764,190025,11,100,'Wards target against 315 points of all damage',0,0),
(149765,190026,11,100,'Wards target against 498 points of all damage',0,0),
(149766,190027,10,100,'Wards target against 594 points of all damage',0,0),
(149767,190027,11,100,'Wards target against 714 points of all damage',0,0),
(149768,190028,11,100,'Wards target against 1155 points of all damage',0,0),
(149769,190029,10,100,'Wards target against 2891 points of all damage',0,0),
(149770,190029,11,100,'Wards target against 3476 points of all damage',0,0),
(149771,190030,11,100,'Wards target against 1706 points of all damage',0,0),
(149772,190031,10,100,'Wards target against 1878 points of all damage',0,0),
(149773,190031,11,100,'Wards target against 2258 points of all damage',0,0),
(149774,190032,10,100,'Wards target against 2205 points of all damage',0,0),
(149775,190032,11,100,'Wards target against 2652 points of all damage',0,0),
(149776,190033,10,100,'Wards target against 2655 points of all damage',0,0),
(149777,190033,11,100,'Wards target against 3193 points of all damage',0,0),
(149778,190034,10,100,'Increases All Attributes of target by 21.0%',0,0),
(149779,190034,10,100,'Enlarges target by 57.1%',0,1),
(149780,190034,11,100,'Increases All Attributes of target by 25.3%',0,0),
(149781,190034,11,100,'Enlarges target by 68.7%',0,1),
(149782,190035,10,100,'Decreases STR and AGI of target by 14.9',0,0),
(149783,190037,10,100,'Decreases STR and AGI of target by 56.7',0,0),
(149784,190038,10,100,'Decreases STR and AGI of target by 80.2',0,0),
(149785,190039,10,100,'Decreases STR and AGI of target by 105.4',0,0),
(149786,190040,10,100,'Decreases STR and AGI of target by 129.4',0,0),
(149787,190041,10,100,'Decreases STR and AGI of target by 152.5',0,0),
(149788,190042,10,100,'Decreases STR and AGI of target by 175.6',0,0),
(149789,190042,11,100,'Decreases STR and AGI of target by 211.1',0,0),
(149790,190043,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(149791,190043,2,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(149792,190043,3,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(149793,190043,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(149794,190043,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(149795,190043,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(149796,190043,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(149797,190043,10,100,'Dispels 79 levels of any hostile effects on group members (AE)',0,0),
(149798,190043,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(149799,190044,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(149800,190044,2,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(149801,190044,3,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(149802,190044,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(149803,190044,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(149804,190044,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(149805,190044,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(149806,190044,10,100,'Dispels 105 levels of any hostile effects on group members (AE)',0,0),
(149807,190044,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(149808,190045,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(149809,190045,2,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(149810,190045,3,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(149811,190045,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(149812,190045,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(149813,190045,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(149814,190045,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(149815,190045,10,100,'Dispels 130 levels of any hostile effects on group members (AE)',0,0),
(149816,190045,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(149817,190046,10,100,'Increases all damage done to target encounter by 2.52%',0,0),
(149818,190046,10,100,'Interrupts target encounter',0,1),
(149819,190046,10,100,'Decreases Mitigation of target encounter vs elemental and noxious damage by 437',0,2),
(149820,190047,10,100,'Increases all damage done to target encounter by 2.52%',0,0),
(149821,190047,10,100,'Interrupts target encounter',0,1),
(149822,190047,10,100,'Decreases Mitigation of target encounter vs elemental and noxious damage by 672',0,2),
(149823,190048,10,100,'Increases all damage done to target encounter by 2.52%',0,0),
(149824,190048,10,100,'Interrupts target encounter',0,1),
(149825,190048,10,100,'Decreases Mitigation of target encounter vs elemental and noxious damage by 907',0,2),
(149826,190049,10,100,'Increases all damage done to target encounter by 2.52%',0,0),
(149827,190049,10,100,'Interrupts target encounter',0,1),
(149828,190049,10,100,'Decreases Mitigation of target encounter vs elemental and noxious damage by 1142',0,2),
(149829,190050,10,100,'Increases all damage done to target encounter by 2.52%',0,0),
(149830,190050,10,100,'Interrupts target encounter',0,1),
(149831,190050,10,100,'Decreases Mitigation of target encounter vs elemental and noxious damage by 1498',0,2),
(149832,190051,10,100,'Increases all damage done to target encounter by 2.52%',0,0),
(149833,190051,10,100,'Interrupts target encounter',0,1),
(149834,190051,10,100,'Decreases Mitigation of target encounter vs elemental and noxious damage by 1794',0,2),
(149835,190052,10,100,'Increases all damage done to target encounter by 2.52%',0,0),
(149836,190052,10,100,'Interrupts target encounter',0,1),
(149837,190052,10,100,'Decreases Mitigation of target encounter vs elemental and noxious damage by 1996',0,2),
(149838,190052,11,100,'Increases all damage done to target encounter by 3.03%',0,0),
(149839,190052,11,100,'Interrupts target encounter',0,1),
(149840,190052,11,100,'Decreases Mitigation of target encounter vs elemental and noxious damage by 2400',0,2),
(149841,190053,1,100,'If outside an arena',0,15),
(149842,190055,10,100,'Inflicts 108 - 132 cold damage on target instantly and every 3 seconds',0,0),
(149843,190056,10,100,'Inflicts 161 - 197 cold damage on target instantly and every 3 seconds',0,0),
(149844,190057,10,100,'Inflicts 217 - 265 cold damage on target instantly and every 3 seconds',0,0),
(149845,190058,10,100,'Inflicts 272 - 333 cold damage on target instantly and every 3 seconds',0,0),
(149846,190059,10,100,'Inflicts 328 - 401 cold damage on target instantly and every 3 seconds',0,0),
(149847,190060,10,100,'Inflicts 360 - 440 cold damage on target instantly and every 3 seconds',0,0),
(149848,190060,11,100,'Inflicts 433 - 530 cold damage on target instantly and every 3 seconds',0,0),
(149849,190061,10,100,'Decreases Attack Speed of target by 17.1',0,0),
(149850,190061,10,100,'Decreases Crushing, Slashing and Piercing of target by 1.2',0,1),
(149851,190064,10,100,'Decreases Attack Speed of target by 23.2',0,0),
(149852,190064,10,100,'Decreases Crushing, Slashing and Piercing of target by 9.6',0,1),
(149853,190066,10,100,'Decreases Haste of target by 27.9',0,0),
(149854,190066,10,100,'Decreases Crushing, Slashing and Piercing of target by 16.6',0,1),
(149855,190067,10,100,'Decreases DPS of target by 29.7',0,0),
(149856,190068,10,100,'Decreases DPS of target by 35.2',0,0),
(149857,190069,10,100,'Decreases DPS of target by 40.7',0,0),
(149858,190070,10,100,'Decreases Attack Speed of target encounter by 22.7',0,0),
(149859,190071,10,100,'Decreases Haste of target encounter by 25.0',0,0),
(149860,190073,10,100,'Summons a limited pet to aid the caster',0,0),
(149861,190074,10,100,'Summons a limited pet to aid the caster',0,0),
(149862,190075,10,100,'Summons a limited pet to aid the caster',0,0),
(149863,190076,10,100,'Summons a limited pet to aid the caster',0,0),
(149864,190077,10,100,'Summons a limited pet to aid the caster',0,0),
(149865,190077,11,100,'Summons a limited pet to aid the caster',0,0),
(149866,190078,10,100,'Wards target against 1982 points of all damage',0,0),
(149867,190078,11,100,'Wards target against 2383 points of all damage',0,0),
(149868,190079,10,100,'Wards target against 2990 points of all damage',0,0),
(149869,190079,11,100,'Wards target against 3595 points of all damage',0,0),
(149870,190080,10,100,'Wards target against 3494 points of all damage',0,0),
(149871,190080,11,100,'Wards target against 4201 points of all damage',0,0),
(149872,190081,10,100,'Wards target against 4233 points of all damage',0,0),
(149873,190081,11,100,'Wards target against 5090 points of all damage',0,0),
(149874,190082,10,100,'Wards target against 4502 points of all damage',0,0),
(149875,190082,11,100,'Wards target against 5413 points of all damage',0,0),
(149876,190083,1,100,'If outside an arena',0,15),
(149877,190084,10,100,'Inflicts 7 disease damage on target instantly and every 4 seconds',0,0),
(149878,190084,10,100,'Inflicts 7 disease damage on target instantly and every 4 seconds',0,1),
(149879,190084,10,100,'If target is nightblood',1,2),
(149880,190084,10,100,'Inflicts 7 disease damage on target instantly and every 4 seconds',0,3),
(149881,190084,10,100,'If target is shadowed folk',1,4),
(149882,190086,10,100,'Inflicts 53 disease damage on target instantly and every 4 seconds',0,0),
(149883,190086,10,100,'Inflicts 53 disease damage on target instantly and every 4 seconds',0,1),
(149884,190086,10,100,'If target is nightblood',1,2),
(149885,190086,10,100,'Inflicts 53 disease damage on target instantly and every 4 seconds',0,3),
(149886,190086,10,100,'If target is shadowed folk',1,4),
(149887,190088,10,100,'Inflicts 276 disease damage on target instantly and every 4 seconds',0,0),
(149888,190088,10,100,'Inflicts 276 disease damage on target instantly and every 4 seconds',0,1),
(149889,190088,10,100,'If target is nightblood',1,2),
(149890,190088,10,100,'Inflicts 276 disease damage on target instantly and every 4 seconds',0,3),
(149891,190088,10,100,'If target is shadowed folk',1,4),
(149892,190088,11,100,'Inflicts 332 disease damage on target instantly and every 4 seconds',0,0),
(149893,190088,11,100,'Inflicts 332 disease damage on target instantly and every 4 seconds',0,1),
(149894,190088,11,100,'If target is nightblood',1,2),
(149895,190088,11,100,'Inflicts 332 disease damage on target instantly and every 4 seconds',0,3),
(149896,190088,11,100,'If target is shadowed folk',1,4),
(149897,190090,10,100,'Inflicts 171 disease damage on target instantly and every 4 seconds',0,0),
(149898,190090,10,100,'Inflicts 171 disease damage on target instantly and every 4 seconds',0,1),
(149899,190090,10,100,'If target is nightblood',1,2),
(149900,190090,10,100,'Inflicts 171 disease damage on target instantly and every 4 seconds',0,3),
(149901,190090,10,100,'If target is shadowed folk',1,4),
(149902,190091,10,100,'Inflicts 211 disease damage on target instantly and every 4 seconds',0,0),
(149903,190091,10,100,'Inflicts 211 disease damage on target instantly and every 4 seconds',0,1),
(149904,190091,10,100,'If target is nightblood',1,2),
(149905,190091,10,100,'Inflicts 211 disease damage on target instantly and every 4 seconds',0,3),
(149906,190091,10,100,'If target is shadowed folk',1,4),
(149907,190092,10,100,'Inflicts 254 disease damage on target instantly and every 4 seconds',0,0),
(149908,190092,10,100,'Inflicts 254 disease damage on target instantly and every 4 seconds',0,1),
(149909,190092,10,100,'If target is nightblood',1,2),
(149910,190092,10,100,'Inflicts 254 disease damage on target instantly and every 4 seconds',0,3),
(149911,190092,10,100,'If target is shadowed folk',1,4),
(149912,190093,10,100,'Increases STA of target by 3.5',0,0),
(149913,190093,10,100,'Increases Max Power of target by 40.8',0,1),
(149914,190094,10,100,'Increases STA of target by 11.4',0,0),
(149915,190094,10,100,'Increases Max Power of target by 128.5',0,1),
(149916,190096,10,100,'Increases STA of target by 49.4',0,0),
(149917,190096,10,100,'Increases Max Power of target by 555.9',0,1),
(149918,190097,10,100,'Increases STA of target by 67.5',0,0),
(149919,190097,10,100,'Increases Max Power of target by 757.1',0,1),
(149920,190098,10,100,'Increases STA of target by 85.2',0,0),
(149921,190098,10,100,'Increases Max Power of target by 939.9',0,1),
(149922,190099,10,100,'Increases STA of target by 102.0',0,0),
(149923,190099,10,100,'Increases Max Power of target by 1,070.4',0,1),
(149924,190100,10,100,'Increases STA of target by 118.8',0,0),
(149925,190100,10,100,'Increases Max Power of target by 1,200.9',0,1),
(149926,190100,11,100,'Increases STA of target by 142.8',0,0),
(149927,190100,11,100,'Increases Max Power of target by 1,444.0',0,1),
(149928,190101,10,100,'Wards group members (AE) against 25 points of noxious damage',0,0),
(149929,190101,10,100,'Increases Mitigation of group members (AE) vs noxious damage by 487',0,1),
(149930,190102,10,100,'Wards group members (AE) against 25 points of noxious damage',0,0),
(149931,190102,10,100,'Increases Mitigation of group members (AE) vs noxious damage by 722',0,1),
(149932,190103,10,100,'Wards group members (AE) against 25 points of noxious damage',0,0),
(149933,190103,10,100,'Increases Mitigation of group members (AE) vs noxious damage by 958',0,1),
(149934,190104,10,100,'Wards group members (AE) against 25 points of noxious damage',0,0),
(149935,190104,10,100,'Increases Mitigation of group members (AE) vs noxious damage by 1252',0,1),
(149936,190105,10,100,'Wards group members (AE) against 25 points of noxious damage',0,0),
(149937,190105,10,100,'Increases Mitigation of group members (AE) vs noxious damage by 1436',0,1),
(149938,190106,10,100,'Wards group members (AE) against 25 points of noxious damage',0,0),
(149939,190106,10,100,'Increases Mitigation of group members (AE) vs noxious damage by 1682',0,1),
(149940,190106,11,100,'Wards group members (AE) against 30 points of noxious damage',0,0),
(149941,190106,11,100,'Increases Mitigation of group members (AE) vs noxious damage by 2022',0,1),
(149942,190108,10,100,'Heals target for 26 - 31',0,0),
(149943,190108,10,100,'Increases Max Health of target by 3.8',0,1),
(149944,190109,10,100,'Heals target for 90 - 110',0,0),
(149945,190109,10,100,'Increases Max Health of target by 10.2',0,1),
(149946,190110,10,100,'Heals target for 193 - 236',0,0),
(149947,190110,10,100,'Increases Max Health of target by 21.2',0,1),
(149948,190111,10,100,'Heals target for 288 - 352',0,0),
(149949,190111,10,100,'Increases Max Health of target by 34.7',0,1),
(149950,190112,10,100,'Heals target for 1572 - 1921',0,0),
(149951,190112,10,100,'Increases Max Health of target by 200.6',0,1),
(149952,190113,10,100,'Heals target for 396 - 484',0,0),
(149953,190113,10,100,'Increases Max Health of target by 55.2',0,1),
(149954,190115,10,100,'Heals target for 893 - 1092',0,0),
(149955,190115,10,100,'Increases Max Health of target by 132.6',0,1),
(149956,190116,10,100,'Heals target for 1184 - 1447',0,0),
(149957,190116,10,100,'Increases Max Health of target by 167.0',0,1),
(149958,190117,10,100,'Heals target for 1847 - 2257',0,0),
(149959,190117,10,100,'Increases Max Health of target by 234.2',0,1),
(149960,190117,11,100,'Heals target for 2221 - 2714',0,0),
(149961,190117,11,100,'Increases Max Health of target by 281.6',0,1),
(149962,190118,10,100,'Heals target for 67 - 82',0,0),
(149963,190118,10,100,'Increases Max Health of target by 11.8',0,1),
(149964,190118,11,100,'Heals target for 81 - 99',0,0),
(149965,190118,11,100,'Increases Max Health of target by 14.2',0,1),
(149966,190119,10,100,'Heals target for 225 - 274',0,0),
(149967,190119,10,100,'Increases Max Health of target by 26.9',0,1),
(149968,190119,11,100,'Heals target for 270 - 330',0,0),
(149969,190119,11,100,'Increases Max Health of target by 32.3',0,1),
(149970,190120,10,100,'Heals target for 404 - 494',0,0),
(149971,190120,10,100,'Increases Max Health of target by 51.6',0,1),
(149972,190120,11,100,'Heals target for 486 - 594',0,0),
(149973,190120,11,100,'Increases Max Health of target by 62.1',0,1),
(149974,190121,11,100,'Heals target for 929 - 1135',0,0),
(149975,190121,11,100,'Increases Max Health of target by 153.8',0,1),
(149976,190122,11,100,'Heals target for 3917 - 4788',0,0),
(149977,190122,11,100,'Increases Max Health of target by 579.3',0,1),
(149978,190123,10,100,'Heals target for 1190 - 1454',0,0),
(149979,190123,10,100,'Increases Max Health of target by 209.0',0,1),
(149980,190123,11,100,'Heals target for 1431 - 1749',0,0),
(149981,190123,11,100,'Increases Max Health of target by 251.3',0,1),
(149982,190124,11,100,'Heals target for 1998 - 2442',0,0),
(149983,190124,11,100,'Increases Max Health of target by 336.1',0,1),
(149984,190125,10,100,'Heals target for 2207 - 2698',0,0),
(149985,190125,10,100,'Increases Max Health of target by 347.4',0,1),
(149986,190125,11,100,'Heals target for 2654 - 3244',0,0),
(149987,190125,11,100,'Increases Max Health of target by 417.7',0,1),
(149988,190126,11,100,'Heals target for 3426 - 4187',0,0),
(149989,190126,11,100,'Increases Max Health of target by 498.5',0,1),
(149990,190127,10,100,'Wards group members (AE) against 8 points of physical damage',0,0),
(149991,190127,10,100,'Increases Mitigation of group members (AE) vs physical damage by 174',0,1),
(149992,190127,10,100,'If not fighter',1,2),
(149993,190128,10,100,'Wards group members (AE) against 31 points of physical damage',0,0),
(149994,190128,10,100,'Increases Mitigation of group members (AE) vs physical damage by 374',0,1),
(149995,190128,10,100,'If not fighter',1,2),
(149996,190130,10,100,'Wards group members (AE) against 91 points of physical damage',0,0),
(149997,190130,10,100,'Increases Mitigation of group members (AE) vs physical damage by 908',0,1),
(149998,190130,10,100,'If not fighter',1,2),
(149999,190131,10,100,'Wards group members (AE) against 126 points of physical damage',0,0),
(150000,190131,10,100,'Increases Mitigation of group members (AE) vs physical damage by 1179',0,1),
(150001,190131,10,100,'If not fighter',1,2),
(150002,190132,10,100,'Wards group members (AE) against 159 points of physical damage',0,0),
(150003,190132,10,100,'Increases Mitigation of group members (AE) vs physical damage by 1501',0,1),
(150004,190132,10,100,'If not fighter',1,2),
(150005,190134,11,100,'Wards group members (AE) against 260 points of physical damage',0,0),
(150006,190134,11,100,'Increases Max Health of group members (AE) by 24.2%',0,1),
(150007,190134,11,100,'If fighter',1,2),
(150008,190134,11,100,'Increases Mitigation of group members (AE) vs physical damage by 2402',0,3),
(150009,190134,11,100,'If not fighter',1,4),
(150010,190135,10,100,'Target will lose 83% more power when power is consumed',0,0),
(150011,190135,10,100,'On a spell cast this spell will cast Sloth''s Habitat on target.  ',0,1),
(150012,190135,10,100,'Inflicts 304 - 371 divine damage on target',1,2),
(150013,190135,10,100,'Grants a total of 3 triggers of the spell.',1,3),
(150014,190138,11,100,'Target will lose 100% more power when power is consumed',0,0),
(150015,190138,11,100,'On a spell cast this spell will cast Sloth''s Habitat on target.  ',0,1),
(150016,190138,11,100,'Inflicts 730 - 892 divine damage on target',1,2),
(150017,190138,11,100,'Grants a total of 3 triggers of the spell.',1,3),
(150018,190139,9,100,'Restores 10% of group members health and power every 0.5 seconds.',0,0),
(150019,190139,10,100,'Restores 10% of group members health and power every 0.5 seconds.',0,0),
(150020,190140,10,100,'Increases STR and STA of group members (AE) by 24.5',0,0),
(150021,190141,10,100,'Increases STR and STA of group members (AE) by 41.3',0,0),
(150022,190142,10,100,'Increases STR and STA of group members (AE) by 60.1',0,0),
(150023,190143,10,100,'Increases STR and STA of group members (AE) by 79.0',0,0),
(150024,190144,10,100,'Increases STR and STA of group members (AE) by 97.9',0,0),
(150025,190145,10,100,'Increases STR and STA of group members (AE) by 116.4',0,0),
(150026,190146,10,100,'Increases STR and STA of group members (AE) by 134.9',0,0),
(150027,190146,11,100,'Increases STR and STA of group members (AE) by 162.2',0,0),
(150028,190147,10,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(150029,190147,10,100,'Decreases Threat to targets in Area of Effect by 2,183 ',0,1),
(150030,190147,10,100,'Mesmerizes targets in Area of Effect',0,2),
(150031,190147,10,100,'If Target is not Epic',1,3),
(150032,190147,10,100,'Dispelled when target takes damage',0,4),
(150033,190148,10,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(150034,190148,10,100,'Decreases Threat to targets in Area of Effect by 4,841 ',0,1),
(150035,190148,10,100,'Mesmerizes targets in Area of Effect',0,2),
(150036,190148,10,100,'If Target is not Epic',1,3),
(150037,190148,10,100,'Dispelled when target takes damage',0,4),
(150038,190149,10,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(150039,190149,10,100,'Decreases Threat to targets in Area of Effect by 7,974 ',0,1),
(150040,190149,10,100,'Mesmerizes targets in Area of Effect',0,2),
(150041,190149,10,100,'If Target is not Epic',1,3),
(150042,190149,10,100,'Dispelled when target takes damage',0,4),
(150043,190150,10,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(150044,190150,10,100,'Decreases Threat to targets in Area of Effect by 11,969 ',0,1),
(150045,190150,10,100,'Mesmerizes targets in Area of Effect',0,2),
(150046,190150,10,100,'If Target is not Epic',1,3),
(150047,190150,10,100,'Dispelled when target takes damage',0,4),
(150048,190151,10,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(150049,190151,10,100,'Decreases Threat to targets in Area of Effect by 16,161 ',0,1),
(150050,190151,10,100,'Mesmerizes targets in Area of Effect',0,2),
(150051,190151,10,100,'If Target is not Epic',1,3),
(150052,190151,10,100,'Dispelled when target takes damage',0,4),
(150053,190152,10,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(150054,190152,10,100,'Decreases Threat to targets in Area of Effect by 20,243 ',0,1),
(150055,190152,10,100,'Mesmerizes targets in Area of Effect',0,2),
(150056,190152,10,100,'If Target is not Epic',1,3),
(150057,190152,10,100,'Dispelled when target takes damage',0,4),
(150058,190153,10,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(150059,190153,10,100,'Decreases Threat to targets in Area of Effect by 24,443 ',0,1),
(150060,190153,10,100,'Mesmerizes targets in Area of Effect',0,2),
(150061,190153,10,100,'If Target is not Epic',1,3),
(150062,190153,10,100,'Dispelled when target takes damage',0,4),
(150063,190154,10,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(150064,190154,10,100,'Decreases Threat to targets in Area of Effect by 28,643 ',0,1),
(150065,190154,10,100,'Mesmerizes targets in Area of Effect',0,2),
(150066,190154,10,100,'If Target is not Epic',1,3),
(150067,190154,10,100,'Dispelled when target takes damage',0,4),
(150068,190154,11,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(150069,190154,11,100,'Decreases Threat to targets in Area of Effect by 34,440 ',0,1),
(150070,190154,11,100,'Mesmerizes targets in Area of Effect',0,2),
(150071,190154,11,100,'If Target is not Epic',1,3),
(150072,190154,11,100,'Dispelled when target takes damage',0,4),
(150073,190155,9,100,'Increases the power of wards by 30% of the mystic''s wisdom',0,0),
(150074,190155,9,100,'On a beneficial spell cast this spell has a 12% chance to cast Tribal Rage on the group.  Lasts for 12.0 seconds.  ',0,1),
(150075,190155,9,100,'Increases Damage Per Second of group members (AE) by 15.0',1,2),
(150076,190155,9,100,'Cannot be modified except by direct means',1,3),
(150077,190155,9,100,'Cannot be modified except by direct means',0,4),
(150078,190155,10,100,'Increases the power of wards by 30% of the mystic''s wisdom',0,0),
(150079,190155,10,100,'On a beneficial spell cast this spell has a 12% chance to cast Tribal Rage on the group.  Lasts for 12.0 seconds.  ',0,1),
(150080,190155,10,100,'Increases DPS of group members (AE) by 15.0',1,2),
(150081,190155,10,100,'Cannot be modified except by direct means',1,3),
(150082,190155,10,100,'Cannot be modified except by direct means',0,4),
(150083,190156,10,100,'Wards target against 624 points of all damage',0,0),
(150084,190156,10,100,'Heals target for 187 - 229 every 2 seconds',0,1),
(150085,190156,10,100,'Decreases Haste of target by 25.0',0,2),
(150086,190156,10,100,'Slows target by 50.0%',0,3),
(150087,190157,10,100,'Wards target against 927 points of all damage',0,0),
(150088,190157,10,100,'Heals target for 288 - 352 every 2 seconds',0,1),
(150089,190157,10,100,'Decreases Haste of target by 25.0',0,2),
(150090,190157,10,100,'Slows target by 50.0%',0,3),
(150091,190158,10,100,'Wards target against 1092 points of all damage',0,0),
(150092,190158,10,100,'Heals target for 377 - 461 every 2 seconds',0,1),
(150093,190158,10,100,'Decreases Haste of target by 25.0',0,2),
(150094,190158,10,100,'Slows target by 50.0%',0,3),
(150095,190159,10,100,'Wards target against 1286 points of all damage',0,0),
(150096,190159,10,100,'Heals target for 437 - 534 every 2 seconds',0,1),
(150097,190159,10,100,'Decreases Haste of target by 25.0',0,2),
(150098,190159,10,100,'Slows target by 50.0%',0,3),
(150099,190159,11,100,'Wards target against 1546 points of all damage',0,0),
(150100,190159,11,100,'Heals target for 525 - 642 every 2 seconds',0,1),
(150101,190159,11,100,'Decreases Haste of target by 25.0',0,2),
(150102,190159,11,100,'Slows target by 50.0%',0,3),
(150103,190160,10,100,'Heals group members (AE) for 212 - 259',0,0),
(150104,190160,10,100,'Increases Max Health of group members (AE) by 29.4',0,1),
(150105,190160,11,100,'Heals group members (AE) for 255 - 311',0,0),
(150106,190160,11,100,'Increases Max Health of group members (AE) by 35.4',0,1),
(150107,190161,10,100,'Heals group members (AE) for 448 - 547',0,0),
(150108,190161,10,100,'Increases Max Health of group members (AE) by 78.4',0,1),
(150109,190161,11,100,'Heals group members (AE) for 538 - 658',0,0),
(150110,190161,11,100,'Increases Max Health of group members (AE) by 94.3',0,1),
(150111,190162,10,100,'Heals group members (AE) for 711 - 869',0,0),
(150112,190162,10,100,'Increases Max Health of group members (AE) by 139.6',0,1),
(150113,190162,11,100,'Heals group members (AE) for 854 - 1044',0,0),
(150114,190162,11,100,'Increases Max Health of group members (AE) by 167.9',0,1),
(150115,190163,10,100,'Heals group members (AE) for 1028 - 1257',0,0),
(150116,190163,10,100,'Increases Max Health of group members (AE) by 195.4',0,1),
(150117,190163,11,100,'Heals group members (AE) for 1236 - 1511',0,0),
(150118,190163,11,100,'Increases Max Health of group members (AE) by 234.9',0,1),
(150119,190164,10,100,'Heals group members (AE) for 1346 - 1645',0,0),
(150120,190164,10,100,'Increases Max Health of group members (AE) by 245.4',0,1),
(150121,190164,11,100,'Heals group members (AE) for 1618 - 1978',0,0),
(150122,190164,11,100,'Increases Max Health of group members (AE) by 295.1',0,1),
(150123,190165,10,100,'Heals group members (AE) for 1814 - 2218',0,0),
(150124,190165,10,100,'Increases Max Health of group members (AE) by 295.8',0,1),
(150125,190165,11,100,'Heals group members (AE) for 2182 - 2666',0,0),
(150126,190165,11,100,'Increases Max Health of group members (AE) by 355.7',0,1),
(150127,190166,10,100,'Heals group members (AE) for 2162 - 2643',0,0),
(150128,190166,10,100,'Increases Max Health of group members (AE) by 346.2',0,1),
(150129,190166,11,100,'Heals group members (AE) for 2600 - 3177',0,0),
(150130,190166,11,100,'Increases Max Health of group members (AE) by 416.3',0,1),
(150131,190167,10,100,'Heals group members (AE) for 2268 - 2772',0,0),
(150132,190167,10,100,'Increases Max Health of group members (AE) by 396.6',0,1),
(150133,190167,11,100,'Heals group members (AE) for 2727 - 3333',0,0),
(150134,190167,11,100,'Increases Max Health of group members (AE) by 476.9',0,1),
(150135,190168,11,100,'Wards group members (AE) collectively against 664 total points of all damage',0,0),
(150136,190169,10,100,'Wards group members (AE) collectively against 1168 total points of all damage',0,0),
(150137,190169,11,100,'Wards group members (AE) collectively against 1405 total points of all damage',0,0),
(150138,190170,11,100,'Wards group members (AE) collectively against 2231 total points of all damage',0,0),
(150139,190171,10,100,'Wards group members (AE) collectively against 2684 total points of all damage',0,0),
(150140,190171,11,100,'Wards group members (AE) collectively against 3227 total points of all damage',0,0),
(150141,190172,10,100,'Wards group members (AE) collectively against 3513 total points of all damage',0,0),
(150142,190172,11,100,'Wards group members (AE) collectively against 4224 total points of all damage',0,0),
(150143,190173,10,100,'Wards group members (AE) collectively against 4046 total points of all damage',0,0),
(150144,190173,11,100,'Wards group members (AE) collectively against 4865 total points of all damage',0,0),
(150145,190174,10,100,'Wards group members (AE) collectively against 4887 total points of all damage',0,0),
(150146,190174,11,100,'Wards group members (AE) collectively against 5876 total points of all damage',0,0),
(150147,190175,10,100,'Wards group members (AE) collectively against 5258 total points of all damage',0,0),
(150148,190175,11,100,'Wards group members (AE) collectively against 6323 total points of all damage',0,0),
(150149,190179,10,100,'Shapechanges caster into a bear',0,0),
(150150,190179,10,100,'Increases STA of caster by 72.3',0,1),
(150151,190179,10,100,'Increases WIS of caster by 163.3',0,2),
(150152,190179,10,100,'Grants See Stealth to caster',0,3),
(150153,190179,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2474',0,4),
(150154,190180,10,100,'Shapechanges caster into a bear',0,0),
(150155,190180,10,100,'Increases STA of caster by 91.9',0,1),
(150156,190180,10,100,'Increases WIS of caster by 207.0',0,2),
(150157,190180,10,100,'Grants See Stealth to caster',0,3),
(150158,190180,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 3032',0,4),
(150159,190181,10,100,'Shapechanges caster into a bear',0,0),
(150160,190181,10,100,'Increases STA of caster by 108.7',0,1),
(150161,190181,10,100,'Increases WIS of caster by 243.9',0,2),
(150162,190181,10,100,'Grants See Stealth to caster',0,3),
(150163,190181,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 3431',0,4),
(150164,190182,10,100,'Shapechanges caster into a bear',0,0),
(150165,190182,10,100,'Increases STA of caster by 125.5',0,1),
(150166,190182,10,100,'Increases WIS of caster by 280.9',0,2),
(150167,190182,10,100,'Grants See Stealth to caster',0,3),
(150168,190182,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 3830',0,4),
(150169,190182,11,100,'Shapechanges caster into a bear',0,0),
(150170,190182,11,100,'Increases STA of caster by 150.9',0,1),
(150171,190182,11,100,'Increases WIS of caster by 337.7',0,2),
(150172,190182,11,100,'Grants See Stealth to caster',0,3),
(150173,190182,11,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 4606',0,4),
(150174,190183,10,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(150175,190183,10,100,'Slows target by 30.2%',1,1),
(150176,190183,10,100,'5% chance to dispel when target receives hostile action',1,2),
(150177,190183,10,100,'5% chance to dispel when target takes damage',1,3),
(150178,190183,10,100,'Inflicts 14 - 17 cold damage on target',0,4),
(150179,190184,10,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(150180,190184,10,100,'Slows target by 31.8%',1,1),
(150181,190184,10,100,'5% chance to dispel when target receives hostile action',1,2),
(150182,190184,10,100,'5% chance to dispel when target takes damage',1,3),
(150183,190184,10,100,'Inflicts 50 - 61 cold damage on target',0,4),
(150184,190185,10,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(150185,190185,10,100,'Slows target by 33.4%',1,1),
(150186,190185,10,100,'5% chance to dispel when target receives hostile action',1,2),
(150187,190185,10,100,'5% chance to dispel when target takes damage',1,3),
(150188,190185,10,100,'Inflicts 92 - 113 cold damage on target',0,4),
(150189,190186,10,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(150190,190186,10,100,'Slows target by 36.2%',1,1),
(150191,190186,10,100,'5% chance to dispel when target receives hostile action',1,2),
(150192,190186,10,100,'5% chance to dispel when target takes damage',1,3),
(150193,190186,10,100,'Inflicts 178 - 218 cold damage on target',0,4),
(150194,190187,10,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(150195,190187,10,100,'Slows target by 41.7%',1,1),
(150196,190187,10,100,'5% chance to dispel when target receives hostile action',1,2),
(150197,190187,10,100,'5% chance to dispel when target takes damage',1,3),
(150198,190187,10,100,'Inflicts 700 - 855 cold damage on target',0,4),
(150199,190187,11,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(150200,190187,11,100,'Slows target by 41.7%',1,1),
(150201,190187,11,100,'5% chance to dispel when target receives hostile action',1,2),
(150202,190187,11,100,'5% chance to dispel when target takes damage',1,3),
(150203,190187,11,100,'Inflicts 841 - 1028 cold damage on target',0,4),
(150204,190188,10,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(150205,190188,10,100,'Slows target by 39.0%',1,1),
(150206,190188,10,100,'5% chance to dispel when target receives hostile action',1,2),
(150207,190188,10,100,'5% chance to dispel when target takes damage',1,3),
(150208,190188,10,100,'Inflicts 275 - 336 cold damage on target',0,4),
(150209,190189,10,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(150210,190189,10,100,'Slows target by 40.4%',1,1),
(150211,190189,10,100,'5% chance to dispel when target receives hostile action',1,2),
(150212,190189,10,100,'5% chance to dispel when target takes damage',1,3),
(150213,190189,10,100,'Inflicts 386 - 472 cold damage on target',0,4),
(150214,190191,10,100,'Applies Touch of the Grey.  Lasts for 10.0 seconds.',0,0),
(150215,190191,10,100,'Slows target by 41.3%',1,1),
(150216,190191,10,100,'5% chance to dispel when target receives hostile action',1,2),
(150217,190191,10,100,'5% chance to dispel when target takes damage',1,3),
(150218,190191,10,100,'Inflicts 598 - 731 cold damage on target',0,4),
(150219,190194,10,100,'Inflicts 242 - 296 disease damage on target encounter',0,0),
(150220,190195,10,100,'Inflicts 372 - 455 disease damage on target encounter',0,0),
(150221,190199,11,100,'Inflicts 1119 - 1367 disease damage on target encounter',0,0),
(150222,200000,10,100,'Decreases STR, AGI and WIS of target by 61.5',0,0),
(150223,200001,10,100,'Decreases STR, AGI and WIS of target by 80.3',0,0),
(150224,200002,10,100,'Decreases STR, AGI and WIS of target by 101.6',0,0),
(150225,200004,11,100,'Decreases STR, AGI and WIS of target by 166.6',0,0),
(150226,200005,10,100,'Decreases STR, AGI, WIS and INT of target by 5.0',0,0),
(150227,200005,10,100,'Decreases Max Health of target by 1.0%',0,1),
(150228,200007,10,100,'Decreases STR, AGI, WIS and INT of target by 5.0',0,0),
(150229,200007,10,100,'Decreases Max Health of target by 1.0%',0,1),
(150230,200008,10,100,'Decreases STR, AGI, WIS and INT of target by 5.0',0,0),
(150231,200008,10,100,'Decreases Max Health of target by 1.0%',0,1),
(150232,200010,10,100,'Decreases STR, AGI, WIS and INT of target by 5.0',0,0),
(150233,200010,10,100,'Decreases Max Health of target by 1.0%',0,1),
(150234,200011,10,100,'Decreases STR, AGI, WIS and INT of target by 5.0',0,0),
(150235,200011,10,100,'Decreases Max Health of target by 1.0%',0,1),
(150236,200012,10,100,'Decreases STR, AGI, WIS and INT of target by 5.0',0,0),
(150237,200012,10,100,'Decreases Max Health of target by 1.0%',0,1),
(150238,200012,11,100,'Decreases STR, AGI, WIS and INT of target by 6.1',0,0),
(150239,200012,11,100,'Decreases Max Health of target by 1.2%',0,1),
(150240,200014,10,100,'Interrupts target encounter',0,0),
(150241,200014,10,100,'Inflicts 45 - 55 disease damage on target encounter instantly and every 3 seconds',0,1),
(150242,200014,10,100,'Decreases Mitigation of target encounter vs noxious damage by 538',0,2),
(150243,200015,10,100,'Interrupts target encounter',0,0),
(150244,200015,10,100,'Inflicts 70 - 85 disease damage on target encounter instantly and every 3 seconds',0,1),
(150245,200015,10,100,'Decreases Mitigation of target encounter vs noxious damage by 773',0,2),
(150246,200018,10,100,'Interrupts target encounter',0,0),
(150247,200018,10,100,'Inflicts 153 - 187 disease damage on target encounter instantly and every 3 seconds',0,1),
(150248,200018,10,100,'Decreases Mitigation of target encounter vs noxious damage by 1693',0,2),
(150249,200019,10,100,'Interrupts target encounter',0,0),
(150250,200019,10,100,'Inflicts 174 - 213 disease damage on target encounter instantly and every 3 seconds',0,1),
(150251,200019,10,100,'Decreases Mitigation of target encounter vs noxious damage by 1895',0,2),
(150252,200019,11,100,'Interrupts target encounter',0,0),
(150253,200019,11,100,'Inflicts 209 - 256 disease damage on target encounter instantly and every 3 seconds',0,1),
(150254,200019,11,100,'Decreases Mitigation of target encounter vs noxious damage by 2279',0,2),
(150255,200020,9,100,'Grants a total of 1 trigger of the spell.',1,6),
(150256,200020,10,100,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',0,0),
(150257,200020,10,100,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',1,1),
(150258,200020,10,100,'Wards caster against 611 points of all damage',2,2),
(150259,200020,10,100,'Heals caster for 478',2,3),
(150260,200020,10,100,'Summons a limited pet to aid the caster',1,4),
(150261,200020,10,100,'Grants a total of 1 trigger of the spell.',1,5),
(150262,200021,10,100,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',0,0),
(150263,200021,10,100,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',1,1),
(150264,200021,10,100,'Wards caster against 893 points of all damage',2,2),
(150265,200021,10,100,'Heals caster for 698',2,3),
(150266,200021,10,100,'Summons a limited pet to aid the caster',1,4),
(150267,200021,10,100,'Grants a total of 1 trigger of the spell.',1,5),
(150268,200022,10,100,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',0,0),
(150269,200022,10,100,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',1,1),
(150270,200022,10,100,'Wards caster against 1175 points of all damage',2,2),
(150271,200022,10,100,'Heals caster for 919',2,3),
(150272,200022,10,100,'Summons a limited pet to aid the caster',1,4),
(150273,200022,10,100,'Grants a total of 1 trigger of the spell.',1,5),
(150274,200023,10,100,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',0,0),
(150275,200023,10,100,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',1,1),
(150276,200023,10,100,'Wards caster against 1397 points of all damage',2,2),
(150277,200023,10,100,'Heals caster for 1260',2,3),
(150278,200023,10,100,'Summons a limited pet to aid the caster',1,4),
(150279,200023,10,100,'Grants a total of 1 trigger of the spell.',1,5),
(150280,200024,10,100,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',0,0),
(150281,200024,10,100,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',1,1),
(150282,200024,10,100,'Wards caster against 1693 points of all damage',2,2),
(150283,200024,10,100,'Heals caster for 1502',2,3),
(150284,200024,10,100,'Summons a limited pet to aid the caster',1,4),
(150285,200024,10,100,'Grants a total of 1 trigger of the spell.',1,5),
(150286,200025,1,100,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',0,0),
(150287,200025,1,100,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',1,1),
(150288,200025,1,100,'Wards caster against 964 points of all damage',2,2),
(150289,200025,1,100,'Heals caster for 844',2,3),
(150290,200025,1,100,'Summons a limited pet to aid the caster',1,4),
(150291,200025,1,100,'Grants a total of 1 trigger of the spell.',1,5),
(150292,200025,4,100,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',0,0),
(150293,200025,4,100,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',1,1),
(150294,200025,4,100,'Wards caster against 1179 points of all damage',2,2),
(150295,200025,4,100,'Heals caster for 1031',2,3),
(150296,200025,4,100,'Summons a limited pet to aid the caster',1,4),
(150297,200025,4,100,'Grants a total of 1 trigger of the spell.',1,5),
(150298,200025,5,100,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',0,0),
(150299,200025,5,100,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',1,1),
(150300,200025,5,100,'Wards caster against 1286 points of all damage',2,2),
(150301,200025,5,100,'Heals caster for 1125',2,3),
(150302,200025,5,100,'Summons a limited pet to aid the caster',1,4),
(150303,200025,5,100,'Grants a total of 1 trigger of the spell.',1,5),
(150304,200025,7,100,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',0,0),
(150305,200025,7,100,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',1,1),
(150306,200025,7,100,'Wards caster against 1650 points of all damage',2,2),
(150307,200025,7,100,'Heals caster for 1444',2,3),
(150308,200025,7,100,'Summons a limited pet to aid the caster',1,4),
(150309,200025,7,100,'Grants a total of 1 trigger of the spell.',1,5),
(150310,200025,9,100,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',0,0),
(150311,200025,9,100,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',1,1),
(150312,200025,9,100,'Wards caster against 1715 points of all damage',2,2),
(150313,200025,9,100,'Heals caster for 1500',2,3),
(150314,200025,9,100,'Summons a limited pet to aid the caster',1,4),
(150315,200025,9,100,'Grants a total of 1 trigger of the spell.',1,5),
(150316,200025,10,100,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',0,0),
(150317,200025,10,100,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',1,1),
(150318,200025,10,100,'Wards caster against 1800 points of all damage',2,2),
(150319,200025,10,100,'Heals caster for 1575',2,3),
(150320,200025,10,100,'Summons a limited pet to aid the caster',1,4),
(150321,200025,10,100,'Grants a total of 1 trigger of the spell.',1,5),
(150322,200025,11,100,'On death this spell will cast Eerie Avenger on target''s attacker.  Lasts for 15.0 seconds.  ',0,0),
(150323,200025,11,100,'Applies Eerie Avenger.  Lasts for 15.0 seconds.',1,1),
(150324,200025,11,100,'Wards caster against 2165 points of all damage',2,2),
(150325,200025,11,100,'Heals caster for 1894',2,3),
(150326,200025,11,100,'Summons a limited pet to aid the caster',1,4),
(150327,200025,11,100,'Grants a total of 1 trigger of the spell.',1,5),
(150328,200026,11,100,'Wards target against 315 points of all damage',0,0),
(150329,200027,11,100,'Wards target against 498 points of all damage',0,0),
(150330,200028,10,100,'Wards target against 594 points of all damage',0,0),
(150331,200028,11,100,'Wards target against 714 points of all damage',0,0),
(150332,200029,11,100,'Wards target against 1155 points of all damage',0,0),
(150333,200030,10,100,'Wards target against 2891 points of all damage',0,0),
(150334,200030,11,100,'Wards target against 3476 points of all damage',0,0),
(150335,200031,11,100,'Wards target against 1706 points of all damage',0,0),
(150336,200032,10,100,'Wards target against 1878 points of all damage',0,0),
(150337,200032,11,100,'Wards target against 2258 points of all damage',0,0),
(150338,200033,10,100,'Wards target against 2205 points of all damage',0,0),
(150339,200033,11,100,'Wards target against 2652 points of all damage',0,0),
(150340,200034,10,100,'Wards target against 2655 points of all damage',0,0),
(150341,200034,11,100,'Wards target against 3193 points of all damage',0,0),
(150342,200035,10,100,'Makes target afraid',0,0),
(150343,200035,10,100,'30% chance to dispel when target takes damage',0,1),
(150344,200035,10,100,'Does not affect Epic targets',0,2),
(150345,200035,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(150346,200037,10,100,'Makes target afraid',0,0),
(150347,200037,10,100,'30% chance to dispel when target takes damage',0,1),
(150348,200037,10,100,'Does not affect Epic targets',0,2),
(150349,200037,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(150350,200038,10,100,'Makes target afraid',0,0),
(150351,200038,10,100,'30% chance to dispel when target takes damage',0,1),
(150352,200038,10,100,'Does not affect Epic targets',0,2),
(150353,200038,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(150354,200039,10,100,'Makes target afraid',0,0),
(150355,200039,10,100,'30% chance to dispel when target takes damage',0,1),
(150356,200039,10,100,'Does not affect Epic targets',0,2),
(150357,200039,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(150358,200040,10,100,'Decreases Haste of target by 17.1',0,0),
(150359,200040,10,100,'Decreases DPS of target by 9.9',0,1),
(150360,200043,10,100,'Decreases Haste of target by 23.2',0,0),
(150361,200043,10,100,'Decreases DPS of target by 14.7',0,1),
(150362,200045,10,100,'Decreases Haste of target by 27.9',0,0),
(150363,200045,10,100,'Decreases DPS of target by 20.2',0,1),
(150364,200046,10,100,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(150365,200046,10,100,'Wards target against 228 points of all damage',1,1),
(150366,200047,10,100,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(150367,200047,10,100,'Wards target against 369 points of all damage',1,1),
(150368,200048,10,100,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(150369,200048,10,100,'Wards target against 545 points of all damage',1,1),
(150370,200049,10,100,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(150371,200049,10,100,'Wards target against 722 points of all damage',1,1),
(150372,200050,10,100,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(150373,200050,10,100,'Wards target against 860 points of all damage',1,1),
(150374,200051,10,100,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(150375,200051,10,100,'Wards target against 1039 points of all damage',1,1),
(150376,200052,10,100,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(150377,200052,10,100,'Wards target against 1118 points of all damage',1,1),
(150378,200052,11,100,'On any combat or spell hit this spell may cast Curse of Shielding on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(150379,200052,11,100,'Wards target against 1345 points of all damage',1,1),
(150380,200053,11,100,'Wards group members (AE) collectively against 664 total points of all damage',0,0),
(150381,200054,10,100,'Wards group members (AE) collectively against 1168 total points of all damage',0,0),
(150382,200054,11,100,'Wards group members (AE) collectively against 1405 total points of all damage',0,0),
(150383,200055,11,100,'Wards group members (AE) collectively against 2231 total points of all damage',0,0),
(150384,200056,10,100,'Wards group members (AE) collectively against 2684 total points of all damage',0,0),
(150385,200056,11,100,'Wards group members (AE) collectively against 3227 total points of all damage',0,0),
(150386,200057,10,100,'Wards group members (AE) collectively against 3513 total points of all damage',0,0),
(150387,200057,11,100,'Wards group members (AE) collectively against 4224 total points of all damage',0,0),
(150388,200058,10,100,'Wards group members (AE) collectively against 4046 total points of all damage',0,0),
(150389,200058,11,100,'Wards group members (AE) collectively against 4865 total points of all damage',0,0),
(150390,200059,10,100,'Wards group members (AE) collectively against 4887 total points of all damage',0,0),
(150391,200059,11,100,'Wards group members (AE) collectively against 5876 total points of all damage',0,0),
(150392,200060,10,100,'Wards group members (AE) collectively against 5258 total points of all damage',0,0),
(150393,200060,11,100,'Wards group members (AE) collectively against 6323 total points of all damage',0,0),
(150394,200061,10,100,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',0,0),
(150395,200061,10,100,'Summon 1 Distilled Soul (Grandmaster)',1,1),
(150396,200062,10,100,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',0,0),
(150397,200062,10,100,'Summon 1 Crystallized Soul (Grandmaster)',1,1),
(150398,200063,10,100,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',0,0),
(150399,200063,10,100,'Summon 1 Crystallized Spirit (Grandmaster)',1,1),
(150400,200064,10,100,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',0,0),
(150401,200064,10,100,'Summon 1 Crystallized Essence (Grandmaster)',1,1),
(150402,200065,10,100,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',0,0),
(150403,200065,10,100,'Summon 1 Crystallized Essence (Grandmaster)',1,1),
(150404,200066,10,100,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',0,0),
(150405,200066,10,100,'Summon 1 Crystallized Essence (Grandmaster)',1,1),
(150406,200066,11,100,'On a kill this spell has a 30% chance to cast Crystallize Soul on caster.  ',0,0),
(150407,200067,10,100,'Wards target against all damage. The amount is increased the closer the ally is to death.',0,0),
(150408,200068,10,100,'Wards target against all damage. The amount is increased the closer the ally is to death.',0,0),
(150409,200069,10,100,'Wards target against all damage. The amount is increased the closer the ally is to death.',0,0),
(150410,200069,11,100,'Wards target against all damage. The amount is increased the closer the ally is to death.',0,0),
(150411,200070,10,100,'Applies Defile.',0,0),
(150412,200070,10,100,'Inflicts 62 disease damage on targets in Area of Effect',1,1),
(150413,200070,10,100,'If under 100% Health',2,2),
(150414,200070,10,100,'Inflicts 62 disease damage on targets in Area of Effect',1,3),
(150415,200070,10,100,'If under 90% Health',2,4),
(150416,200070,10,100,'Inflicts 62 disease damage on targets in Area of Effect',1,5),
(150417,200070,10,100,'If under 10% Health',2,6),
(150418,200070,10,100,'Inflicts 62 disease damage on targets in Area of Effect',1,7),
(150419,200070,10,100,'If under 20% Health',2,8),
(150420,200070,10,100,'Inflicts 62 disease damage on targets in Area of Effect',1,9),
(150421,200070,10,100,'If under 30% Health',2,10),
(150422,200070,10,100,'Inflicts 62 disease damage on targets in Area of Effect',1,11),
(150423,200070,10,100,'If under 80% Health',2,12),
(150424,200070,10,100,'Inflicts 62 disease damage on targets in Area of Effect',1,13),
(150425,200070,10,100,'If under 70% Health',2,14),
(150426,200070,10,100,'Inflicts 62 disease damage on targets in Area of Effect',1,15),
(150427,200070,10,100,'If under 60% Health',2,16),
(150428,200070,10,100,'Inflicts 62 disease damage on targets in Area of Effect',1,17),
(150429,200070,10,100,'If under 40% Health',2,18),
(150430,200070,10,100,'Inflicts 62 disease damage on targets in Area of Effect',1,19),
(150431,200070,10,100,'If under 50% Health',2,20),
(150432,200070,11,100,'Applies Defile.',0,0),
(150433,200070,11,100,'Inflicts 75 disease damage on targets in Area of Effect',1,1),
(150434,200070,11,100,'If under 10% Health',2,2),
(150435,200070,11,100,'Inflicts 75 disease damage on targets in Area of Effect',1,3),
(150436,200070,11,100,'If under 20% Health',2,4),
(150437,200070,11,100,'Inflicts 75 disease damage on targets in Area of Effect',1,5),
(150438,200070,11,100,'If under 40% Health',2,6),
(150439,200070,11,100,'Inflicts 75 disease damage on targets in Area of Effect',1,7),
(150440,200070,11,100,'If under 50% Health',2,8),
(150441,200070,11,100,'Inflicts 75 disease damage on targets in Area of Effect',1,9),
(150442,200070,11,100,'If under 60% Health',2,10),
(150443,200070,11,100,'Inflicts 75 disease damage on targets in Area of Effect',1,11),
(150444,200070,11,100,'If under 70% Health',2,12),
(150445,200070,11,100,'Inflicts 75 disease damage on targets in Area of Effect',1,13),
(150446,200070,11,100,'If under 80% Health',2,14),
(150447,200070,11,100,'Inflicts 75 disease damage on targets in Area of Effect',1,15),
(150448,200070,11,100,'If under 90% Health',2,16),
(150449,200070,11,100,'Inflicts 75 disease damage on targets in Area of Effect',1,17),
(150450,200070,11,100,'If under 100% Health',2,18),
(150451,200070,11,100,'Inflicts 75 disease damage on targets in Area of Effect',1,19),
(150452,200070,11,100,'If under 30% Health',2,20),
(150453,200071,10,100,'Applies Defile.',0,0),
(150454,200071,10,100,'Inflicts 79 disease damage on targets in Area of Effect',1,1),
(150455,200071,10,100,'If under 40% Health',2,2),
(150456,200071,10,100,'Inflicts 79 disease damage on targets in Area of Effect',1,3),
(150457,200071,10,100,'If under 60% Health',2,4),
(150458,200071,10,100,'Inflicts 79 disease damage on targets in Area of Effect',1,5),
(150459,200071,10,100,'If under 50% Health',2,6),
(150460,200071,10,100,'Inflicts 79 disease damage on targets in Area of Effect',1,7),
(150461,200071,10,100,'If under 70% Health',2,8),
(150462,200071,10,100,'Inflicts 79 disease damage on targets in Area of Effect',1,9),
(150463,200071,10,100,'If under 80% Health',2,10),
(150464,200071,10,100,'Inflicts 79 disease damage on targets in Area of Effect',1,11),
(150465,200071,10,100,'If under 90% Health',2,12),
(150466,200071,10,100,'Inflicts 79 disease damage on targets in Area of Effect',1,13),
(150467,200071,10,100,'If under 100% Health',2,14),
(150468,200071,10,100,'Inflicts 79 disease damage on targets in Area of Effect',1,15),
(150469,200071,10,100,'If under 30% Health',2,16),
(150470,200071,10,100,'Inflicts 79 disease damage on targets in Area of Effect',1,17),
(150471,200071,10,100,'If under 20% Health',2,18),
(150472,200071,10,100,'Inflicts 79 disease damage on targets in Area of Effect',1,19),
(150473,200071,10,100,'If under 10% Health',2,20),
(150474,200071,11,100,'Applies Defile.',0,0),
(150475,200071,11,100,'Inflicts 95 disease damage on targets in Area of Effect',1,1),
(150476,200071,11,100,'If under 10% Health',2,2),
(150477,200071,11,100,'Inflicts 95 disease damage on targets in Area of Effect',1,3),
(150478,200071,11,100,'If under 20% Health',2,4),
(150479,200071,11,100,'Inflicts 95 disease damage on targets in Area of Effect',1,5),
(150480,200071,11,100,'If under 40% Health',2,6),
(150481,200071,11,100,'Inflicts 95 disease damage on targets in Area of Effect',1,7),
(150482,200071,11,100,'If under 50% Health',2,8),
(150483,200071,11,100,'Inflicts 95 disease damage on targets in Area of Effect',1,9),
(150484,200071,11,100,'If under 60% Health',2,10),
(150485,200071,11,100,'Inflicts 95 disease damage on targets in Area of Effect',1,11),
(150486,200071,11,100,'If under 70% Health',2,12),
(150487,200071,11,100,'Inflicts 95 disease damage on targets in Area of Effect',1,13),
(150488,200071,11,100,'If under 80% Health',2,14),
(150489,200071,11,100,'Inflicts 95 disease damage on targets in Area of Effect',1,15),
(150490,200071,11,100,'If under 90% Health',2,16),
(150491,200071,11,100,'Inflicts 95 disease damage on targets in Area of Effect',1,17),
(150492,200071,11,100,'If under 100% Health',2,18),
(150493,200071,11,100,'Inflicts 95 disease damage on targets in Area of Effect',1,19),
(150494,200071,11,100,'If under 30% Health',2,20),
(150495,200072,10,100,'Applies Defile.',0,0),
(150496,200072,10,100,'Inflicts 95 disease damage on targets in Area of Effect',1,1),
(150497,200072,10,100,'If under 10% Health',2,2),
(150498,200072,10,100,'Inflicts 95 disease damage on targets in Area of Effect',1,3),
(150499,200072,10,100,'If under 20% Health',2,4),
(150500,200072,10,100,'Inflicts 95 disease damage on targets in Area of Effect',1,5),
(150501,200072,10,100,'If under 40% Health',2,6),
(150502,200072,10,100,'Inflicts 95 disease damage on targets in Area of Effect',1,7),
(150503,200072,10,100,'If under 50% Health',2,8),
(150504,200072,10,100,'Inflicts 95 disease damage on targets in Area of Effect',1,9),
(150505,200072,10,100,'If under 60% Health',2,10),
(150506,200072,10,100,'Inflicts 95 disease damage on targets in Area of Effect',1,11),
(150507,200072,10,100,'If under 70% Health',2,12),
(150508,200072,10,100,'Inflicts 95 disease damage on targets in Area of Effect',1,13),
(150509,200072,10,100,'If under 80% Health',2,14),
(150510,200072,10,100,'Inflicts 95 disease damage on targets in Area of Effect',1,15),
(150511,200072,10,100,'If under 90% Health',2,16),
(150512,200072,10,100,'Inflicts 95 disease damage on targets in Area of Effect',1,17),
(150513,200072,10,100,'If under 100% Health',2,18),
(150514,200072,10,100,'Inflicts 95 disease damage on targets in Area of Effect',1,19),
(150515,200072,10,100,'If under 30% Health',2,20),
(150516,200072,11,100,'Applies Defile.',0,0),
(150517,200072,11,100,'Inflicts 115 disease damage on targets in Area of Effect',1,1),
(150518,200072,11,100,'If under 10% Health',2,2),
(150519,200072,11,100,'Inflicts 115 disease damage on targets in Area of Effect',1,3),
(150520,200072,11,100,'If under 20% Health',2,4),
(150521,200072,11,100,'Inflicts 115 disease damage on targets in Area of Effect',1,5),
(150522,200072,11,100,'If under 40% Health',2,6),
(150523,200072,11,100,'Inflicts 115 disease damage on targets in Area of Effect',1,7),
(150524,200072,11,100,'If under 50% Health',2,8),
(150525,200072,11,100,'Inflicts 115 disease damage on targets in Area of Effect',1,9),
(150526,200072,11,100,'If under 60% Health',2,10),
(150527,200072,11,100,'Inflicts 115 disease damage on targets in Area of Effect',1,11),
(150528,200072,11,100,'If under 70% Health',2,12),
(150529,200072,11,100,'Inflicts 115 disease damage on targets in Area of Effect',1,13),
(150530,200072,11,100,'If under 80% Health',2,14),
(150531,200072,11,100,'Inflicts 115 disease damage on targets in Area of Effect',1,15),
(150532,200072,11,100,'If under 90% Health',2,16),
(150533,200072,11,100,'Inflicts 115 disease damage on targets in Area of Effect',1,17),
(150534,200072,11,100,'If under 100% Health',2,18),
(150535,200072,11,100,'Inflicts 115 disease damage on targets in Area of Effect',1,19),
(150536,200072,11,100,'If under 30% Health',2,20),
(150537,200073,10,100,'Applies Defile.',0,0),
(150538,200073,10,100,'Inflicts 104 disease damage on targets in Area of Effect',1,1),
(150539,200073,10,100,'If under 40% Health',2,2),
(150540,200073,10,100,'Inflicts 104 disease damage on targets in Area of Effect',1,3),
(150541,200073,10,100,'If under 60% Health',2,4),
(150542,200073,10,100,'Inflicts 104 disease damage on targets in Area of Effect',1,5),
(150543,200073,10,100,'If under 50% Health',2,6),
(150544,200073,10,100,'Inflicts 104 disease damage on targets in Area of Effect',1,7),
(150545,200073,10,100,'If under 70% Health',2,8),
(150546,200073,10,100,'Inflicts 104 disease damage on targets in Area of Effect',1,9),
(150547,200073,10,100,'If under 80% Health',2,10),
(150548,200073,10,100,'Inflicts 104 disease damage on targets in Area of Effect',1,11),
(150549,200073,10,100,'If under 90% Health',2,12),
(150550,200073,10,100,'Inflicts 104 disease damage on targets in Area of Effect',1,13),
(150551,200073,10,100,'If under 100% Health',2,14),
(150552,200073,10,100,'Inflicts 104 disease damage on targets in Area of Effect',1,15),
(150553,200073,10,100,'If under 20% Health',2,16),
(150554,200073,10,100,'Inflicts 104 disease damage on targets in Area of Effect',1,17),
(150555,200073,10,100,'If under 10% Health',2,18),
(150556,200073,10,100,'Inflicts 104 disease damage on targets in Area of Effect',1,19),
(150557,200073,10,100,'If under 30% Health',2,20),
(150558,200073,11,100,'Applies Defile.',0,0),
(150559,200073,11,100,'Inflicts 125 disease damage on targets in Area of Effect',1,1),
(150560,200073,11,100,'If under 10% Health',2,2),
(150561,200073,11,100,'Inflicts 125 disease damage on targets in Area of Effect',1,3),
(150562,200073,11,100,'If under 20% Health',2,4),
(150563,200073,11,100,'Inflicts 125 disease damage on targets in Area of Effect',1,5),
(150564,200073,11,100,'If under 40% Health',2,6),
(150565,200073,11,100,'Inflicts 125 disease damage on targets in Area of Effect',1,7),
(150566,200073,11,100,'If under 50% Health',2,8),
(150567,200073,11,100,'Inflicts 125 disease damage on targets in Area of Effect',1,9),
(150568,200073,11,100,'If under 60% Health',2,10),
(150569,200073,11,100,'Inflicts 125 disease damage on targets in Area of Effect',1,11),
(150570,200073,11,100,'If under 70% Health',2,12),
(150571,200073,11,100,'Inflicts 125 disease damage on targets in Area of Effect',1,13),
(150572,200073,11,100,'If under 80% Health',2,14),
(150573,200073,11,100,'Inflicts 125 disease damage on targets in Area of Effect',1,15),
(150574,200073,11,100,'If under 90% Health',2,16),
(150575,200073,11,100,'Inflicts 125 disease damage on targets in Area of Effect',1,17),
(150576,200073,11,100,'If under 100% Health',2,18),
(150577,200073,11,100,'Inflicts 125 disease damage on targets in Area of Effect',1,19),
(150578,200073,11,100,'If under 30% Health',2,20),
(150579,200074,10,100,'Heals target for 28 - 35',0,0),
(150580,200075,10,100,'Heals target for 99 - 122',0,0),
(150581,200076,10,100,'Heals target for 213 - 261',0,0),
(150582,200077,10,100,'Heals target for 318 - 389',0,0),
(150583,200078,10,100,'Heals target for 1738 - 2124',0,0),
(150584,200079,10,100,'Heals target for 438 - 535',0,0),
(150585,200081,10,100,'Heals target for 988 - 1207',0,0),
(150586,200082,10,100,'Heals target for 1309 - 1600',0,0),
(150587,200083,10,100,'Heals target for 2042 - 2496',0,0),
(150588,200083,11,100,'Heals target for 2456 - 3001',0,0),
(150589,200085,10,100,'Inflicts 105 - 128 disease damage on target instantly and every 4 seconds',0,0),
(150590,200085,10,100,'Decreases Haste of target by 11.5',0,1),
(150591,200086,10,100,'Inflicts 157 - 192 disease damage on target instantly and every 4 seconds',0,0),
(150592,200086,10,100,'Decreases Haste of target by 12.7',0,1),
(150593,200087,10,100,'Inflicts 211 - 258 disease damage on target instantly and every 4 seconds',0,0),
(150594,200087,10,100,'Decreases Haste of target by 13.9',0,1),
(150595,200088,10,100,'Inflicts 264 - 323 disease damage on target instantly and every 4 seconds',0,0),
(150596,200088,10,100,'Decreases Haste of target by 14.9',0,1),
(150597,200089,10,100,'Inflicts 319 - 390 disease damage on target instantly and every 4 seconds',0,0),
(150598,200089,10,100,'Decreases Haste of target by 15.7',0,1),
(150599,200090,10,100,'Inflicts 350 - 428 disease damage on target instantly and every 4 seconds',0,0),
(150600,200090,10,100,'Decreases Haste of target by 16.5',0,1),
(150601,200090,11,100,'Inflicts 421 - 514 disease damage on target instantly and every 4 seconds',0,0),
(150602,200090,11,100,'Decreases Haste of target by 19.9',0,1),
(150603,200091,10,100,'Increases STA of target by 5.2',0,0),
(150604,200091,10,100,'Increases Max Power of target by 27.2',0,1),
(150605,200092,10,100,'Increases STA of target by 17.0',0,0),
(150606,200092,10,100,'Increases Max Power of target by 85.7',0,1),
(150607,200094,10,100,'Increases STA of target by 74.1',0,0),
(150608,200094,10,100,'Increases Max Power of target by 370.6',0,1),
(150609,200095,10,100,'Increases STA of target by 101.3',0,0),
(150610,200095,10,100,'Increases Max Power of target by 504.7',0,1),
(150611,200096,10,100,'Increases STA of target by 127.8',0,0),
(150612,200096,10,100,'Increases Max Power of target by 626.6',0,1),
(150613,200097,10,100,'Increases STA of target by 153.0',0,0),
(150614,200097,10,100,'Increases Max Power of target by 713.6',0,1),
(150615,200098,10,100,'Increases STA of target by 178.2',0,0),
(150616,200098,10,100,'Increases Max Power of target by 800.6',0,1),
(150617,200098,11,100,'Increases STA of target by 214.2',0,0),
(150618,200098,11,100,'Increases Max Power of target by 962.7',0,1),
(150619,200099,10,100,'Inflicts 14 - 17 disease damage on target',0,0),
(150620,200099,10,100,'Decreases Mitigation of target vs noxious damage by 38',0,1),
(150621,200100,10,100,'Inflicts 50 - 61 disease damage on target',0,0),
(150622,200100,10,100,'Decreases Mitigation of target vs noxious damage by 200',0,1),
(150623,200101,10,100,'Inflicts 92 - 113 disease damage on target',0,0),
(150624,200101,10,100,'Decreases Mitigation of target vs noxious damage by 303',0,1),
(150625,200102,10,100,'Inflicts 178 - 218 disease damage on target',0,0),
(150626,200102,10,100,'Decreases Mitigation of target vs noxious damage by 521',0,1),
(150627,200103,10,100,'Inflicts 700 - 855 disease damage on target',0,0),
(150628,200103,10,100,'Decreases Mitigation of target vs noxious damage by 1855',0,1),
(150629,200103,11,100,'Inflicts 841 - 1028 disease damage on target',0,0),
(150630,200103,11,100,'Decreases Mitigation of target vs noxious damage by 2230',0,1),
(150631,200104,10,100,'Inflicts 275 - 336 disease damage on target',0,0),
(150632,200104,10,100,'Decreases Mitigation of target vs noxious damage by 756',0,1),
(150633,200105,10,100,'Inflicts 386 - 472 disease damage on target',0,0),
(150634,200105,10,100,'Decreases Mitigation of target vs noxious damage by 991',0,1),
(150635,200106,10,100,'Inflicts 494 - 604 disease damage on target',0,0),
(150636,200106,10,100,'Decreases Mitigation of target vs noxious damage by 1244',0,1),
(150637,200107,10,100,'Inflicts 598 - 731 disease damage on target',0,0),
(150638,200107,10,100,'Decreases Mitigation of target vs noxious damage by 1614',0,1),
(150639,200108,10,100,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(150640,200108,10,100,'Inflicts 65 disease damage on target instantly and every 4 seconds',1,1),
(150641,200108,10,100,'83% of target''s power consumed will also be drained from target''s health',1,2),
(150642,200109,10,100,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(150643,200109,10,100,'Inflicts 92 disease damage on target instantly and every 4 seconds',1,1),
(150644,200109,10,100,'83% of target''s power consumed will also be drained from target''s health',1,2),
(150645,200111,10,100,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(150646,200111,10,100,'Inflicts 145 disease damage on target instantly and every 4 seconds',1,1),
(150647,200111,10,100,'83% of target''s power consumed will also be drained from target''s health',1,2),
(150648,200112,10,100,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(150649,200112,10,100,'Inflicts 168 disease damage on target instantly and every 4 seconds',1,1),
(150650,200112,10,100,'83% of target''s power consumed will also be drained from target''s health',1,2),
(150651,200112,11,100,'On a hit this spell may cast Deadly Invective on target of attack.  Lasts for 24.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(150652,200112,11,100,'Inflicts 201 disease damage on target instantly and every 4 seconds',1,1),
(150653,200112,11,100,'100% of target''s power consumed will also be drained from target''s health',1,2),
(150654,200113,10,100,'Inflicts 270 - 330 disease damage on target encounter instantly and every 5 seconds',0,0),
(150655,200113,10,100,'Decreases power of target encounter by 45 - 55 instantly and every 5 seconds',0,1),
(150656,200113,10,100,'Heals group members (AE) for 268 - 327 instantly and every 5 seconds',0,2),
(150657,200113,10,100,'Increases power of group members (AE) by 45 - 55 instantly and every 5 seconds',0,3),
(150658,200113,11,100,'Inflicts 324 - 397 disease damage on target encounter instantly and every 5 seconds',0,0),
(150659,200113,11,100,'Decreases power of target encounter by 54 - 66 instantly and every 5 seconds',0,1),
(150660,200113,11,100,'Heals group members (AE) for 322 - 393 instantly and every 5 seconds',0,2),
(150661,200113,11,100,'Increases power of group members (AE) by 54 - 66 instantly and every 5 seconds',0,3),
(150662,200114,10,100,'Inflicts 406 - 496 disease damage on target encounter instantly and every 5 seconds',0,0),
(150663,200114,10,100,'Decreases power of target encounter by 67 - 82 instantly and every 5 seconds',0,1),
(150664,200114,10,100,'Heals group members (AE) for 404 - 493 instantly and every 5 seconds',0,2),
(150665,200114,10,100,'Increases power of group members (AE) by 67 - 82 instantly and every 5 seconds',0,3),
(150666,200114,11,100,'Inflicts 488 - 597 disease damage on target encounter instantly and every 5 seconds',0,0),
(150667,200114,11,100,'Decreases power of target encounter by 81 - 99 instantly and every 5 seconds',0,1),
(150668,200114,11,100,'Heals group members (AE) for 485 - 593 instantly and every 5 seconds',0,2),
(150669,200114,11,100,'Increases power of group members (AE) by 81 - 99 instantly and every 5 seconds',0,3),
(150670,200115,10,100,'Inflicts 492 - 602 disease damage on target encounter instantly and every 5 seconds',0,0),
(150671,200115,10,100,'Decreases power of target encounter by 82 - 100 instantly and every 5 seconds',0,1),
(150672,200115,10,100,'Heals group members (AE) for 544 - 665 instantly and every 5 seconds',0,2),
(150673,200115,10,100,'Increases power of group members (AE) by 91 - 111 instantly and every 5 seconds',0,3),
(150674,200115,11,100,'Inflicts 592 - 724 disease damage on target encounter instantly and every 5 seconds',0,0),
(150675,200115,11,100,'Decreases power of target encounter by 98 - 120 instantly and every 5 seconds',0,1),
(150676,200115,11,100,'Heals group members (AE) for 654 - 800 instantly and every 5 seconds',0,2),
(150677,200115,11,100,'Increases power of group members (AE) by 109 - 133 instantly and every 5 seconds',0,3),
(150678,200116,10,100,'Inflicts 592 - 724 disease damage on target encounter instantly and every 5 seconds',0,0),
(150679,200116,10,100,'Decreases power of target encounter by 98 - 120 instantly and every 5 seconds',0,1),
(150680,200116,10,100,'Heals group members (AE) for 649 - 793 instantly and every 5 seconds',0,2),
(150681,200116,10,100,'Increases power of group members (AE) by 108 - 132 instantly and every 5 seconds',0,3),
(150682,200116,11,100,'Inflicts 712 - 871 disease damage on target encounter instantly and every 5 seconds',0,0),
(150683,200116,11,100,'Decreases power of target encounter by 118 - 144 instantly and every 5 seconds',0,1),
(150684,200116,11,100,'Heals group members (AE) for 780 - 953 instantly and every 5 seconds',0,2),
(150685,200116,11,100,'Increases power of group members (AE) by 130 - 159 instantly and every 5 seconds',0,3),
(150686,200117,10,100,'Inflicts 629 - 768 disease damage on target encounter instantly and every 5 seconds',0,0),
(150687,200117,10,100,'Decreases power of target encounter by 104 - 128 instantly and every 5 seconds',0,1),
(150688,200117,10,100,'Heals group members (AE) for 680 - 832 instantly and every 5 seconds',0,2),
(150689,200117,10,100,'Increases power of group members (AE) by 113 - 139 instantly and every 5 seconds',0,3),
(150690,200117,11,100,'Inflicts 756 - 924 disease damage on target encounter instantly and every 5 seconds',0,0),
(150691,200117,11,100,'Decreases power of target encounter by 125 - 153 instantly and every 5 seconds',0,1),
(150692,200117,11,100,'Heals group members (AE) for 818 - 1000 instantly and every 5 seconds',0,2),
(150693,200117,11,100,'Increases power of group members (AE) by 136 - 167 instantly and every 5 seconds',0,3),
(150694,200118,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(150695,200118,2,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(150696,200118,3,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(150697,200118,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(150698,200118,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(150699,200118,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(150700,200118,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(150701,200118,10,100,'Dispels 79 levels of any hostile effects on group members (AE)',0,0),
(150702,200118,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(150703,200119,10,100,'Dispels 105 levels of any hostile effects on group members (AE)',0,0),
(150704,200120,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(150705,200120,2,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(150706,200120,3,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(150707,200120,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(150708,200120,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(150709,200120,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(150710,200120,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(150711,200120,10,100,'Dispels 130 levels of any hostile effects on group members (AE)',0,0),
(150712,200120,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(150713,200121,9,100,'Inflicts 729 - 891 disease damage on target encounter instantly and every 4 seconds',0,0),
(150714,200121,9,100,'Heals group members (AE) for 5 - 6 instantly and every 4 seconds',0,1),
(150715,200121,10,100,'Inflicts 729 - 891 disease damage on target encounter instantly and every 4 seconds',0,0),
(150716,200121,10,100,'Heals group members (AE) for 5 - 6 instantly and every 4 seconds',0,1),
(150717,200122,10,100,'Increases STA of group members (AE) by 5.7',0,0),
(150718,200122,10,100,'Increases Mitigation of group members (AE) vs noxious damage by 363',0,1),
(150719,200123,10,100,'Increases STA of group members (AE) by 14.5',0,0),
(150720,200123,10,100,'Increases Mitigation of group members (AE) vs noxious damage by 630',0,1),
(150721,200124,10,100,'Increases STA of group members (AE) by 24.7',0,0),
(150722,200124,10,100,'Increases Mitigation of group members (AE) vs noxious damage by 924',0,1),
(150723,200125,10,100,'Increases STA of group members (AE) by 33.8',0,0),
(150724,200125,10,100,'Increases Mitigation of group members (AE) vs noxious damage by 1218',0,1),
(150725,200126,10,100,'Increases STA of group members (AE) by 42.6',0,0),
(150726,200126,10,100,'Increases Mitigation of group members (AE) vs noxious damage by 1588',0,1),
(150727,200127,10,100,'Increases STA of group members (AE) by 51.0',0,0),
(150728,200127,10,100,'Increases Mitigation of group members (AE) vs noxious damage by 1825',0,1),
(150729,200128,10,100,'Increases STA of group members (AE) by 59.4',0,0),
(150730,200128,10,100,'Increases Mitigation of group members (AE) vs noxious damage by 2125',0,1),
(150731,200128,11,100,'Increases STA of group members (AE) by 71.4',0,0),
(150732,200128,11,100,'Increases Mitigation of group members (AE) vs noxious damage by 2555',0,1),
(150733,200130,10,100,'Inflicts 7 poison damage on target instantly and every 4 seconds',0,0),
(150734,200130,10,100,'Decreases WIS of target by 14.9',0,1),
(150735,200132,10,100,'Inflicts 51 poison damage on target instantly and every 4 seconds',0,0),
(150736,200132,10,100,'Decreases WIS of target by 49.1',0,1),
(150737,200134,10,100,'Inflicts 265 poison damage on target instantly and every 4 seconds',0,0),
(150738,200134,10,100,'Decreases WIS of target by 216.2',0,1),
(150739,200134,11,100,'Inflicts 318 poison damage on target instantly and every 4 seconds',0,0),
(150740,200134,11,100,'Decreases WIS of target by 260.0',0,1),
(150741,200135,10,100,'Inflicts 124 poison damage on target instantly and every 4 seconds',0,0),
(150742,200135,10,100,'Decreases WIS of target by 104.3',0,1),
(150743,200136,10,100,'Inflicts 164 poison damage on target instantly and every 4 seconds',0,0),
(150744,200136,10,100,'Decreases WIS of target by 132.6',0,1),
(150745,200137,10,100,'Inflicts 202 poison damage on target instantly and every 4 seconds',0,0),
(150746,200137,10,100,'Decreases WIS of target by 160.8',0,1),
(150747,200138,10,100,'Inflicts 244 poison damage on target instantly and every 4 seconds',0,0),
(150748,200138,10,100,'Decreases WIS of target by 188.5',0,1),
(150749,200140,10,100,'Heals target for 75 - 91',0,0),
(150750,200140,11,100,'Heals target for 90 - 110',0,0),
(150751,200141,10,100,'Heals target for 249 - 305',0,0),
(150752,200141,11,100,'Heals target for 300 - 367',0,0),
(150753,200142,10,100,'Heals target for 449 - 549',0,0),
(150754,200142,11,100,'Heals target for 540 - 660',0,0),
(150755,200144,10,100,'Wards group members (AE) against 16 points of elemental, noxious and arcane damage',0,0),
(150756,200144,10,100,'Increases Mitigation of group members (AE) vs physical damage by 174',0,1),
(150757,200144,10,100,'If not fighter',1,2),
(150758,200145,10,100,'Wards group members (AE) against 63 points of elemental, noxious and arcane damage',0,0),
(150759,200145,10,100,'Increases Mitigation of group members (AE) vs physical damage by 374',0,1),
(150760,200145,10,100,'If not fighter',1,2),
(150761,200147,10,100,'Wards group members (AE) against 183 points of elemental, noxious and arcane damage',0,0),
(150762,200147,10,100,'Increases Mitigation of group members (AE) vs physical damage by 908',0,1),
(150763,200147,10,100,'If not fighter',1,2),
(150764,200148,10,100,'Wards group members (AE) against 253 points of elemental, noxious and arcane damage',0,0),
(150765,200148,10,100,'Increases Mitigation of group members (AE) vs physical damage by 1179',0,1),
(150766,200148,10,100,'If not fighter',1,2),
(150767,200149,10,100,'Wards group members (AE) against 319 points of elemental, noxious and arcane damage',0,0),
(150768,200149,10,100,'Increases Mitigation of group members (AE) vs physical damage by 1501',0,1),
(150769,200149,10,100,'If not fighter',1,2),
(150770,200151,11,100,'Wards group members (AE) against 521 points of elemental, noxious and arcane damage',0,0),
(150771,200151,11,100,'Increases Max Health of group members (AE) by 24.2%',0,1),
(150772,200151,11,100,'If fighter',1,2),
(150773,200151,11,100,'Increases Mitigation of group members (AE) vs physical damage by 2402',0,3),
(150774,200151,11,100,'If not fighter',1,4),
(150775,200155,10,100,'Shapechanges caster into a chaos essence',0,0),
(150776,200155,10,100,'Increases STA of caster by 72.3',0,1),
(150777,200155,10,100,'Increases WIS of caster by 163.3',0,2),
(150778,200155,10,100,'Grants See Invisibility to caster',0,3),
(150779,200155,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2474',0,4),
(150780,200156,10,100,'Shapechanges caster into a chaos essence',0,0),
(150781,200156,10,100,'Increases STA of caster by 91.9',0,1),
(150782,200156,10,100,'Increases WIS of caster by 207.0',0,2),
(150783,200156,10,100,'Grants See Invisibility to caster',0,3),
(150784,200156,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 3032',0,4),
(150785,200157,10,100,'Shapechanges caster into a chaos essence',0,0),
(150786,200157,10,100,'Increases STA of caster by 108.7',0,1),
(150787,200157,10,100,'Increases WIS of caster by 243.9',0,2),
(150788,200157,10,100,'Grants See Invisibility to caster',0,3),
(150789,200157,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 3431',0,4),
(150790,200158,10,100,'Shapechanges caster into a chaos essence',0,0),
(150791,200158,10,100,'Increases STA of caster by 125.5',0,1),
(150792,200158,10,100,'Increases WIS of caster by 280.9',0,2),
(150793,200158,10,100,'Grants See Invisibility to caster',0,3),
(150794,200158,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 3830',0,4),
(150795,200158,11,100,'Shapechanges caster into a chaos essence',0,0),
(150796,200158,11,100,'Increases STA of caster by 150.9',0,1),
(150797,200158,11,100,'Increases WIS of caster by 337.7',0,2),
(150798,200158,11,100,'Grants See Invisibility to caster',0,3),
(150799,200158,11,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 4606',0,4),
(150800,200159,10,100,'Inflicts 28 - 35 divine damage on target instantly and every 3 seconds',0,0),
(150801,200159,10,100,'Increases power of caster by 31 instantly and every 3 seconds',0,1),
(150802,200162,11,100,'Inflicts 72 - 88 divine damage on target instantly and every 3 seconds',0,0),
(150803,200162,11,100,'Increases power of caster by 88 instantly and every 3 seconds',0,1),
(150804,200163,10,100,'Summons a limited pet to aid the caster',0,0),
(150805,200164,10,100,'Summons a limited pet to aid the caster',0,0),
(150806,200165,10,100,'Summons a limited pet to aid the caster',0,0),
(150807,200166,10,100,'Summons a limited pet to aid the caster',0,0),
(150808,200166,11,100,'Summons a limited pet to aid the caster',0,0),
(150809,200167,10,100,'When damaged with a melee weapon this spell has a 8% chance to cast Tendrils of Fear on target''s attacker.  Lasts for 36.0 seconds.  ',0,0),
(150810,200167,10,100,'Decreases DPS of target by 28.3',1,1),
(150811,200167,10,100,'Decreases Haste of target by 22.7',1,2),
(150812,200168,10,100,'When damaged with a melee weapon this spell has a 8% chance to cast Tendrils of Fear on target''s attacker.  Lasts for 36.0 seconds.  ',0,0),
(150813,200168,10,100,'Decreases DPS of target by 33.6',1,1),
(150814,200168,10,100,'Decreases Haste of target by 25.0',1,2),
(150815,200170,10,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(150816,200170,10,100,'Decreases Threat to targets in Area of Effect by 2,183 ',0,1),
(150817,200170,10,100,'Makes targets in Area of Effect afraid',0,2),
(150818,200170,10,100,'If Target is not Epic',1,3),
(150819,200170,10,100,'30% chance to dispel when target takes damage',0,4),
(150820,200171,10,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(150821,200171,10,100,'Decreases Threat to targets in Area of Effect by 4,841 ',0,1),
(150822,200171,10,100,'Makes targets in Area of Effect afraid',0,2),
(150823,200171,10,100,'If Target is not Epic',1,3),
(150824,200171,10,100,'30% chance to dispel when target takes damage',0,4),
(150825,200172,10,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(150826,200172,10,100,'Decreases Threat to targets in Area of Effect by 7,974 ',0,1),
(150827,200172,10,100,'Makes targets in Area of Effect afraid',0,2),
(150828,200172,10,100,'If Target is not Epic',1,3),
(150829,200172,10,100,'30% chance to dispel when target takes damage',0,4),
(150830,200173,10,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(150831,200173,10,100,'Decreases Threat to targets in Area of Effect by 11,969 ',0,1),
(150832,200173,10,100,'Makes targets in Area of Effect afraid',0,2),
(150833,200173,10,100,'If Target is not Epic',1,3),
(150834,200173,10,100,'30% chance to dispel when target takes damage',0,4),
(150835,200174,10,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(150836,200174,10,100,'Decreases Threat to targets in Area of Effect by 16,161 ',0,1),
(150837,200174,10,100,'Makes targets in Area of Effect afraid',0,2),
(150838,200174,10,100,'If Target is not Epic',1,3),
(150839,200174,10,100,'30% chance to dispel when target takes damage',0,4),
(150840,200175,10,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(150841,200175,10,100,'Decreases Threat to targets in Area of Effect by 20,243 ',0,1),
(150842,200175,10,100,'Makes targets in Area of Effect afraid',0,2),
(150843,200175,10,100,'If Target is not Epic',1,3),
(150844,200175,10,100,'30% chance to dispel when target takes damage',0,4),
(150845,200176,10,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(150846,200176,10,100,'Decreases Threat to targets in Area of Effect by 24,443 ',0,1),
(150847,200176,10,100,'Makes targets in Area of Effect afraid',0,2),
(150848,200176,10,100,'If Target is not Epic',1,3),
(150849,200176,10,100,'30% chance to dispel when target takes damage',0,4),
(150850,200177,10,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(150851,200177,10,100,'Decreases Threat to targets in Area of Effect by 28,643 ',0,1),
(150852,200177,10,100,'Makes targets in Area of Effect afraid',0,2),
(150853,200177,10,100,'If Target is not Epic',1,3),
(150854,200177,10,100,'30% chance to dispel when target takes damage',0,4),
(150855,200177,11,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(150856,200177,11,100,'Decreases Threat to targets in Area of Effect by 34,440 ',0,1),
(150857,200177,11,100,'Makes targets in Area of Effect afraid',0,2),
(150858,200177,11,100,'If Target is not Epic',1,3),
(150859,200177,11,100,'30% chance to dispel when target takes damage',0,4),
(150860,200178,9,100,'Adds additional healing to Ancient Shroud',0,0),
(150861,200178,9,100,'Adds additional healing to Carrion Warding',0,1),
(150862,200178,9,100,'On a beneficial spell cast this spell has a 12% chance to cast Tribal Spirit on the group.  Lasts for 12.0 seconds.  ',0,2),
(150863,200178,9,100,'Reduces elemental, noxious, arcane damage done to group members (AE) by 5%',1,3),
(150864,200178,9,100,'Improves the value of healing and ward spells by 8%.',1,4),
(150865,200178,9,100,'Cannot be modified except by direct means',1,5),
(150866,200178,9,100,'Cannot be modified except by direct means',0,6),
(150867,200178,10,100,'Adds additional healing to Ancient Shroud',0,0),
(150868,200178,10,100,'Adds additional healing to Carrion Warding',0,1),
(150869,200178,10,100,'On a beneficial spell cast this spell has a 12% chance to cast Tribal Spirit on the group.  Lasts for 12.0 seconds.  ',0,2),
(150870,200178,10,100,'Reduces elemental, noxious, arcane damage done to group members (AE) by 5%',1,3),
(150871,200178,10,100,'Improves the value of healing and ward spells by 8%.',1,4),
(150872,200178,10,100,'Cannot be modified except by direct means',1,5),
(150873,200178,10,100,'Cannot be modified except by direct means',0,6),
(150874,200179,10,100,'Increases STA of group members (AE) by 12.9',0,0),
(150875,200179,10,100,'Increases STR of group members (AE) by 24.5',0,1),
(150876,200180,10,100,'Increases STA of group members (AE) by 32.0',0,0),
(150877,200180,10,100,'Increases STR of group members (AE) by 41.3',0,1),
(150878,200181,10,100,'Increases STA of group members (AE) by 52.2',0,0),
(150879,200181,10,100,'Increases STR of group members (AE) by 60.1',0,1),
(150880,200182,10,100,'Increases STA of group members (AE) by 69.9',0,0),
(150881,200182,10,100,'Increases STR of group members (AE) by 79.0',0,1),
(150882,200184,10,100,'Increases STA of group members (AE) by 103.7',0,0),
(150883,200184,10,100,'Increases STR of group members (AE) by 116.4',0,1),
(150884,200185,10,100,'Increases STA of group members (AE) by 120.5',0,0),
(150885,200185,10,100,'Increases STR of group members (AE) by 134.9',0,1),
(150886,200185,11,100,'Increases STA of group members (AE) by 144.8',0,0),
(150887,200185,11,100,'Increases STR of group members (AE) by 162.2',0,1),
(150888,200186,1,100,'If outside an arena',0,4),
(150889,200187,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(150890,200187,2,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(150891,200187,3,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(150892,200187,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(150893,200187,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1);
INSERT INTO `spell_display_effects` VALUES
(150894,200187,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(150895,200187,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(150896,200187,10,100,'Dispels 103 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on group members (AE)',0,0),
(150897,200187,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(150898,200188,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(150899,200188,2,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(150900,200188,3,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(150901,200188,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(150902,200188,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(150903,200188,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(150904,200188,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(150905,200188,10,100,'Dispels 138 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on group members (AE)',0,0),
(150906,200188,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(150907,200189,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(150908,200189,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(150909,200189,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(150910,200189,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(150911,200189,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(150912,200189,10,100,'Dispels 156 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on group members (AE)',0,0),
(150913,200189,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(150914,200190,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(150915,200190,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(150916,200190,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(150917,200190,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(150918,200190,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(150919,200190,10,100,'Dispels 174 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on group members (AE)',0,0),
(150920,200190,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(150921,200190,11,100,'Dispels 209 levels of hostile Fear, hostile Root, hostile Stifle, hostile Stun, hostile Daze and hostile Mesmerize effects on group members (AE)',0,0),
(150922,200190,11,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(150923,200191,10,100,'Heals group members (AE) for 212 - 259',0,0),
(150924,200191,11,100,'Heals group members (AE) for 255 - 311',0,0),
(150925,200192,10,100,'Heals group members (AE) for 448 - 547',0,0),
(150926,200192,11,100,'Heals group members (AE) for 538 - 658',0,0),
(150927,200193,10,100,'Heals group members (AE) for 711 - 869',0,0),
(150928,200193,11,100,'Heals group members (AE) for 854 - 1044',0,0),
(150929,200194,10,100,'Heals group members (AE) for 1028 - 1257',0,0),
(150930,200194,11,100,'Heals group members (AE) for 1236 - 1511',0,0),
(150931,200195,10,100,'Heals group members (AE) for 1346 - 1645',0,0),
(150932,200195,11,100,'Heals group members (AE) for 1618 - 1978',0,0),
(150933,200196,10,100,'Heals group members (AE) for 1814 - 2218',0,0),
(150934,200196,11,100,'Heals group members (AE) for 2182 - 2666',0,0),
(150935,200197,10,100,'Heals group members (AE) for 2162 - 2643',0,0),
(150936,200197,11,100,'Heals group members (AE) for 2600 - 3177',0,0),
(150937,200198,10,100,'Heals group members (AE) for 2268 - 2772',0,0),
(150938,200198,11,100,'Heals group members (AE) for 2727 - 3333',0,0),
(150939,200199,11,100,'Heals target for 1032 - 1261',0,0),
(150940,200200,11,100,'Heals target for 4353 - 5320',0,0),
(150941,200201,10,100,'Heals target for 1322 - 1616',0,0),
(150942,200201,11,100,'Heals target for 1590 - 1943',0,0),
(150943,200202,11,100,'Heals target for 2220 - 2713',0,0),
(150944,200203,10,100,'Heals target for 2452 - 2997',0,0),
(150945,200203,11,100,'Heals target for 2949 - 3604',0,0),
(150946,200204,11,100,'Heals target for 3807 - 4653',0,0),
(150947,210003,10,100,'Roots target',0,0),
(150948,210003,10,100,'10% chance to dispel when target receives hostile action',0,1),
(150949,210003,10,100,'10% chance to dispel when target takes damage',0,2),
(150950,210003,10,100,'Does not affect Epic targets',0,3),
(150951,210003,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(150952,210007,10,100,'Increases Max Power of group members (AE) by 38.8',0,0),
(150953,210007,10,100,'Increases Mitigation of group members (AE) vs arcane damage by 229',0,1),
(150954,210009,10,100,'Inflicts 18 - 23 magic damage on target',0,0),
(150955,210010,10,100,'Inflicts 37 - 50 magic damage on target',0,0),
(150956,210015,10,100,'Inflicts 9 - 13 magic damage on target instantly and every 4 \r\nseconds',0,0),
(150957,210016,10,100,'Inflicts 22 - 29 magic damage on target encounter',0,0),
(150958,220004,10,100,'Inflicts 122 - 227 heat damage on targets in Area of Effect',0,0),
(150959,220005,10,100,'Inflicts 355 heat damage on target',0,0),
(150960,220005,10,100,'Inflicts 355 cold damage on target',0,1),
(150961,220005,10,100,'Slows target by 62.2%',0,2),
(150962,220006,10,100,'Inflicts 591 heat damage on target',0,0),
(150963,220006,10,100,'Inflicts 591 cold damage on target',0,1),
(150964,220006,10,100,'Slows target by 67.4%',0,2),
(150965,220007,10,100,'Inflicts 845 heat damage on target',0,0),
(150966,220007,10,100,'Inflicts 845 cold damage on target',0,1),
(150967,220007,10,100,'Slows target by 68.6%',0,2),
(150968,220008,10,100,'Inflicts 1023 heat damage on target',0,0),
(150969,220008,10,100,'Inflicts 1023 cold damage on target',0,1),
(150970,220008,10,100,'Slows target by 69.3%',0,2),
(150971,220009,10,100,'Inflicts 1214 heat damage on target',0,0),
(150972,220009,10,100,'Inflicts 1214 cold damage on target',0,1),
(150973,220009,10,100,'Slows target by 70.0%',0,2),
(150974,220009,11,100,'Inflicts 1460 heat damage on target',0,0),
(150975,220009,11,100,'Inflicts 1460 cold damage on target',0,1),
(150976,220009,11,100,'Slows target by 84.1%',0,2),
(150977,220010,10,100,'Inflicts 248 - 303 cold damage on target',0,0),
(150978,220010,10,100,'Stuns target',0,1),
(150979,220010,10,100,'If Target is not Epic',1,2),
(150980,220010,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(150981,220011,10,100,'Inflicts 10 - 19 cold damage on target instantly and every 4 seconds',0,0),
(150982,220011,10,100,'Decreases Mitigation of target vs elemental damage by 249',0,1),
(150983,220012,10,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(150984,220012,10,100,'Slows target by 56.8%',1,1),
(150985,220012,10,100,'5% chance to dispel when target receives hostile action',1,2),
(150986,220012,10,100,'5% chance to dispel when target takes damage',1,3),
(150987,220012,10,100,'Roots target',0,4),
(150988,220012,10,100,'10% chance to dispel when target receives hostile action',0,5),
(150989,220012,10,100,'10% chance to dispel when target takes damage',0,6),
(150990,220012,10,100,'Does not affect Epic targets',0,7),
(150991,220012,10,100,'Resistibility increases against targets higher than level 29.',0,8),
(150992,220013,10,100,'Inflicts 85 - 157 cold damage on target',0,0),
(150993,220014,10,100,'Inflicts 18 - 34 heat damage on target instantly and every 3 seconds',0,0),
(150994,220015,10,100,'Increases power of caster by 55',0,0),
(150995,220016,10,100,'Inflicts 11 - 20 heat damage on target instantly and every 3 seconds',0,0),
(150996,220018,10,100,'Interrupts target',0,0),
(150997,220018,10,100,'Inflicts 7 - 11 magic damage on target',0,1),
(150998,220018,10,100,'Stifles target',0,2),
(150999,220018,10,100,'If Target is not Epic',1,3),
(151000,220018,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(151001,220020,10,100,'Increases STR and INT of group members (AE) by 17.5',0,0),
(151002,230000,10,100,'Mesmerizes target',0,0),
(151003,230000,10,100,'Prevents AOE (except when direct) ',0,1),
(151004,230000,10,100,'Roots caster',0,2),
(151005,230000,10,100,'Dispelled when target takes damage',0,3),
(151006,230000,10,100,'Does not affect Epic targets',0,4),
(151007,230000,10,100,'Resistibility increases against targets higher than level 29.',0,5),
(151008,230001,10,100,'Mesmerizes target',0,0),
(151009,230001,10,100,'Prevents AOE (except when direct) ',0,1),
(151010,230001,10,100,'Roots caster',0,2),
(151011,230001,10,100,'Dispelled when target takes damage',0,3),
(151012,230001,10,100,'Does not affect Epic targets',0,4),
(151013,230001,10,100,'Resistibility increases against targets higher than level 29.',0,5),
(151014,230002,10,100,'Mesmerizes target',0,0),
(151015,230002,10,100,'Prevents AOE (except when direct) ',0,1),
(151016,230002,10,100,'Roots caster',0,2),
(151017,230002,10,100,'Dispelled when target takes damage',0,3),
(151018,230002,10,100,'Does not affect Epic targets',0,4),
(151019,230002,10,100,'Resistibility increases against targets higher than level 29.',0,5),
(151020,230003,10,100,'Mesmerizes target',0,0),
(151021,230003,10,100,'Prevents AOE (except when direct) ',0,1),
(151022,230003,10,100,'Roots caster',0,2),
(151023,230003,10,100,'Dispelled when target takes damage',0,3),
(151024,230003,10,100,'Does not affect Epic targets',0,4),
(151025,230003,10,100,'Resistibility increases against targets higher than level 29.',0,5),
(151026,230004,10,100,'Mesmerizes target',0,0),
(151027,230004,10,100,'Prevents AOE (except when direct) ',0,1),
(151028,230004,10,100,'Roots caster',0,2),
(151029,230004,10,100,'Dispelled when target takes damage',0,3),
(151030,230004,10,100,'Does not affect Epic targets',0,4),
(151031,230004,10,100,'Resistibility increases against targets higher than level 29.',0,5),
(151032,230005,10,100,'Mesmerizes target',0,0),
(151033,230005,10,100,'Prevents AOE (except when direct) ',0,1),
(151034,230005,10,100,'Roots caster',0,2),
(151035,230005,10,100,'Dispelled when target takes damage',0,3),
(151036,230005,10,100,'Does not affect Epic targets',0,4),
(151037,230005,10,100,'Resistibility increases against targets higher than level 29.',0,5),
(151038,230006,11,100,'Inflicts 484 - 899 heat damage on target',0,0),
(151039,230007,10,100,'Inflicts 685 - 1271 heat damage on target',0,0),
(151040,230007,11,100,'Inflicts 823 - 1529 heat damage on target',0,0),
(151041,230008,11,100,'Inflicts 1229 - 2282 heat damage on target',0,0),
(151042,230009,10,100,'Inflicts 1374 - 2552 heat damage on target',0,0),
(151043,230009,11,100,'Inflicts 1653 - 3069 heat damage on target',0,0),
(151044,230010,10,100,'Inflicts 1723 - 3201 heat damage on target',0,0),
(151045,230010,11,100,'Inflicts 2072 - 3849 heat damage on target',0,0),
(151046,230011,10,100,'Inflicts 2078 - 3859 heat damage on target',0,0),
(151047,230011,11,100,'Inflicts 2498 - 4640 heat damage on target',0,0),
(151048,230012,10,100,'Inflicts 2282 - 4238 heat damage on target',0,0),
(151049,230012,11,100,'Inflicts 2744 - 5096 heat damage on target',0,0),
(151050,230013,10,100,'Interrupts target',0,0),
(151051,230013,10,100,'Decreases Threat to target by 629 - 769 ',0,1),
(151052,230013,10,100,'Stifles target',0,2),
(151053,230013,10,100,'If Target is not Epic',1,3),
(151054,230013,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(151055,230014,10,100,'Interrupts target',0,0),
(151056,230014,10,100,'Decreases Threat to target by 1,540 - 1,882 ',0,1),
(151057,230014,10,100,'Stifles target',0,2),
(151058,230014,10,100,'If Target is not Epic',1,3),
(151059,230014,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(151060,230015,10,100,'Interrupts target',0,0),
(151061,230015,10,100,'Decreases Threat to target by 2,638 - 3,224 ',0,1),
(151062,230015,10,100,'Stifles target',0,2),
(151063,230015,10,100,'If Target is not Epic',1,3),
(151064,230015,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(151065,230016,10,100,'Interrupts target',0,0),
(151066,230016,10,100,'Decreases Threat to target by 4,023 - 4,917 ',0,1),
(151067,230016,10,100,'Stifles target',0,2),
(151068,230016,10,100,'If Target is not Epic',1,3),
(151069,230016,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(151070,230017,10,100,'Interrupts target',0,0),
(151071,230017,10,100,'Decreases Threat to target by 5,525 - 6,753 ',0,1),
(151072,230017,10,100,'Stifles target',0,2),
(151073,230017,10,100,'If Target is not Epic',1,3),
(151074,230017,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(151075,230018,10,100,'Interrupts target',0,0),
(151076,230018,10,100,'Decreases Threat to target by 7,022 - 8,583 ',0,1),
(151077,230018,10,100,'Stifles target',0,2),
(151078,230018,10,100,'If Target is not Epic',1,3),
(151079,230018,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(151080,230019,10,100,'Interrupts target',0,0),
(151081,230019,10,100,'Decreases Threat to target by 8,537 - 10,434 ',0,1),
(151082,230019,10,100,'Stifles target',0,2),
(151083,230019,10,100,'If Target is not Epic',1,3),
(151084,230019,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(151085,230020,10,100,'Interrupts target',0,0),
(151086,230020,10,100,'Decreases Threat to target by 10,051 - 12,285 ',0,1),
(151087,230020,10,100,'Stifles target',0,2),
(151088,230020,10,100,'If Target is not Epic',1,3),
(151089,230020,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(151090,230020,11,100,'Interrupts target',0,0),
(151091,230020,11,100,'Decreases Threat to target by 12,086 - 14,771 ',0,1),
(151092,230020,11,100,'Stifles target',0,2),
(151093,230020,11,100,'If Target is not Epic',1,3),
(151094,230020,11,100,'Resistibility increases against targets higher than level 29.',0,4),
(151095,230021,10,100,'Causes 4% Threat to transfer to target when in combat',0,0),
(151096,230021,10,100,'If Fighter',1,1),
(151097,230021,10,100,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',0,2),
(151098,230021,10,100,'Increases power of target by 23',1,3),
(151099,230021,10,100,'Increases power of caster by 23',1,4),
(151100,230022,10,100,'Causes 4% Threat to transfer to target when in combat',0,0),
(151101,230022,10,100,'If Fighter',1,1),
(151102,230022,10,100,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',0,2),
(151103,230022,10,100,'Increases power of target by 45',1,3),
(151104,230022,10,100,'Increases power of caster by 45',1,4),
(151105,230023,10,100,'Causes 4% Threat to transfer to target when in combat',0,0),
(151106,230023,10,100,'If Fighter',1,1),
(151107,230023,10,100,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',0,2),
(151108,230023,10,100,'Increases power of target by 69',1,3),
(151109,230023,10,100,'Increases power of caster by 69',1,4),
(151110,230024,10,100,'Causes 4% Threat to transfer to target when in combat',0,0),
(151111,230024,10,100,'If Fighter',1,1),
(151112,230024,10,100,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',0,2),
(151113,230024,10,100,'Increases power of target by 95',1,3),
(151114,230024,10,100,'Increases power of caster by 95',1,4),
(151115,230025,10,100,'Causes 4% Threat to transfer to target when in combat',0,0),
(151116,230025,10,100,'If Fighter',1,1),
(151117,230025,10,100,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',0,2),
(151118,230025,10,100,'Increases power of target by 124',1,3),
(151119,230025,10,100,'Increases power of caster by 124',1,4),
(151120,230027,11,100,'Causes 4% Threat to transfer to target when in combat',0,0),
(151121,230027,11,100,'If Fighter',1,1),
(151122,230027,11,100,'When damaged with a melee weapon this spell has a 10% chance to cast Concurrence on target.  ',0,2),
(151123,230027,11,100,'Increases power of target by 220',1,3),
(151124,230027,11,100,'Increases power of caster by 220',1,4),
(151125,230029,11,100,'Inflicts 147 - 272 heat damage on targets in Area of Effect',0,0),
(151126,230030,10,100,'Inflicts 254 - 472 heat damage on targets in Area of Effect',0,0),
(151127,230030,11,100,'Inflicts 306 - 568 heat damage on targets in Area of Effect',0,0),
(151128,230031,11,100,'Inflicts 483 - 897 heat damage on targets in Area of Effect',0,0),
(151129,230032,10,100,'Inflicts 580 - 1077 heat damage on targets in Area of Effect',0,0),
(151130,230032,11,100,'Inflicts 697 - 1295 heat damage on targets in Area of Effect',0,0),
(151131,230033,10,100,'Inflicts 758 - 1408 heat damage on targets in Area of Effect',0,0),
(151132,230033,11,100,'Inflicts 911 - 1693 heat damage on targets in Area of Effect',0,0),
(151133,230034,10,100,'Inflicts 919 - 1707 heat damage on targets in Area of Effect',0,0),
(151134,230034,11,100,'Inflicts 1105 - 2052 heat damage on targets in Area of Effect',0,0),
(151135,230035,10,100,'Inflicts 1106 - 2054 heat damage on targets in Area of Effect',0,0),
(151136,230035,11,100,'Inflicts 1330 - 2469 heat damage on targets in Area of Effect',0,0),
(151137,230036,10,100,'Inflicts 1173 - 2179 heat damage on targets in Area of Effect',0,0),
(151138,230036,11,100,'Inflicts 1411 - 2620 heat damage on targets in Area of Effect',0,0),
(151139,230037,9,100,'Increases Spell Doublecast of caster by 10.0%',0,0),
(151140,230037,9,100,'Increases the damage of all hostile spells by 10%',0,1),
(151141,230037,9,100,'On a damage spell hit this spell has a 12% chance to cast Fire of Intellect on target of spell.  Lasts for 15.0 seconds.  ',0,2),
(151142,230037,9,100,'Inflicts 588 - 881 heat damage on target',1,3),
(151143,230037,9,100,'Adds normalized spell damage based on 30% of the wizard''s intelligence',1,4),
(151144,230037,9,100,'Cannot be modified except by direct means',1,5),
(151145,230037,9,100,'Cannot be modified except by direct means',0,6),
(151146,230037,10,100,'Increases Spell Doublecast of caster by 10.0%',0,0),
(151147,230037,10,100,'Increases the damage of all hostile spells by 10%',0,1),
(151148,230037,10,100,'On a damage spell hit this spell has a 12% chance to cast Fire of Intellect on target of spell.  Lasts for 15.0 seconds.  ',0,2),
(151149,230037,10,100,'Inflicts 588 - 881 heat damage on target',1,3),
(151150,230037,10,100,'Adds normalized spell damage based on 30% of the wizard''s intelligence',1,4),
(151151,230037,10,100,'Cannot be modified except by direct means',1,5),
(151152,230037,10,100,'Cannot be modified except by direct means',0,6),
(151153,230040,10,100,'Increases Max Power of group members (AE) by 277.2',0,0),
(151154,230040,10,100,'Increases Mitigation of group members (AE) vs elemental damage by 470',0,1),
(151155,230041,10,100,'Increases Max Power of group members (AE) by 424.4',0,0),
(151156,230041,10,100,'Increases Mitigation of group members (AE) vs elemental damage by 659',0,1),
(151157,230042,10,100,'Increases Max Power of group members (AE) by 548.3',0,0),
(151158,230042,10,100,'Increases Mitigation of group members (AE) vs elemental damage by 847',0,1),
(151159,230044,10,100,'Increases Max Power of group members (AE) by 739.7',0,0),
(151160,230044,10,100,'Increases Mitigation of group members (AE) vs elemental damage by 1228',0,1),
(151161,230045,10,100,'Increases Max Power of group members (AE) by 826.7',0,0),
(151162,230045,10,100,'Increases Mitigation of group members (AE) vs elemental damage by 1404',0,1),
(151163,230045,11,100,'Increases Max Power of group members (AE) by 994.0',0,0),
(151164,230045,11,100,'Increases Mitigation of group members (AE) vs elemental damage by 1689',0,1),
(151165,230046,10,100,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',0,0),
(151166,230046,10,100,'Inflicts 102 - 124 cold damage on target',1,1),
(151167,230046,10,100,'Slows target by 62.2%',1,2),
(151168,230046,10,100,'5% chance to dispel when target receives hostile action',1,3),
(151169,230046,10,100,'5% chance to dispel when target takes damage',1,4),
(151170,230047,10,100,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',0,0),
(151171,230047,10,100,'Inflicts 153 - 188 cold damage on target',1,1),
(151172,230047,10,100,'Slows target by 66.9%',1,2),
(151173,230047,10,100,'5% chance to dispel when target receives hostile action',1,3),
(151174,230047,10,100,'5% chance to dispel when target takes damage',1,4),
(151175,230049,10,100,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',0,0),
(151176,230049,10,100,'Inflicts 262 - 320 cold damage on target',1,1),
(151177,230049,10,100,'Slows target by 68.9%',1,2),
(151178,230049,10,100,'5% chance to dispel when target receives hostile action',1,3),
(151179,230049,10,100,'5% chance to dispel when target takes damage',1,4),
(151180,230051,11,100,'On a hostile spell cast this spell will cast Ice Lash on target of spell.  Lasts for 6.0 seconds.  ',0,0),
(151181,230051,11,100,'Inflicts 428 - 523 cold damage on target',1,1),
(151182,230051,11,100,'Slows target by 84.4%',1,2),
(151183,230051,11,100,'5% chance to dispel when target receives hostile action',1,3),
(151184,230051,11,100,'5% chance to dispel when target takes damage',1,4),
(151185,230052,10,100,'Summons a limited pet to aid the caster',0,0),
(151186,230053,10,100,'Summons a limited pet to aid the caster',0,0),
(151187,230054,10,100,'Summons a limited pet to aid the caster',0,0),
(151188,230055,10,100,'Summons a limited pet to aid the caster',0,0),
(151189,230055,11,100,'Summons a limited pet to aid the caster',0,0),
(151190,230056,10,100,'Throws target back',0,0),
(151191,230056,10,100,'If Target is not Epic',1,1),
(151192,230056,10,100,'Inflicts 57 - 95 cold damage on targets in Area of Effect',0,2),
(151193,230056,10,100,'Stuns targets in Area of Effect',0,3),
(151194,230056,10,100,'If Target is not Epic',1,4),
(151195,230056,10,100,'Resistibility increases against targets higher than level 29.',0,5),
(151196,230057,10,100,'Throws target back',0,0),
(151197,230057,10,100,'If Target is not Epic',1,1),
(151198,230057,10,100,'Inflicts 57 - 95 cold damage on targets in Area of Effect',0,2),
(151199,230057,10,100,'Stuns targets in Area of Effect',0,3),
(151200,230057,10,100,'If Target is not Epic',1,4),
(151201,230057,10,100,'Resistibility increases against targets higher than level 29.',0,5),
(151202,230058,10,100,'Throws target back',0,0),
(151203,230058,10,100,'If Target is not Epic',1,1),
(151204,230058,10,100,'Inflicts 57 - 95 cold damage on targets in Area of Effect',0,2),
(151205,230058,10,100,'Stuns targets in Area of Effect',0,3),
(151206,230058,10,100,'If Target is not Epic',1,4),
(151207,230058,10,100,'Resistibility increases against targets higher than level 29.',0,5),
(151208,230059,10,100,'Throws target back',0,0),
(151209,230059,10,100,'If Target is not Epic',1,1),
(151210,230059,10,100,'Inflicts 57 - 95 cold damage on targets in Area of Effect',0,2),
(151211,230059,10,100,'Stuns targets in Area of Effect',0,3),
(151212,230059,10,100,'If Target is not Epic',1,4),
(151213,230059,10,100,'Resistibility increases against targets higher than level 29.',0,5),
(151214,230059,11,100,'Throws target back',0,0),
(151215,230059,11,100,'If Target is not Epic',1,1),
(151216,230059,11,100,'Inflicts 68 - 114 cold damage on targets in Area of Effect',0,2),
(151217,230059,11,100,'Stuns targets in Area of Effect',0,3),
(151218,230059,11,100,'If Target is not Epic',1,4),
(151219,230059,11,100,'Resistibility increases against targets higher than level 29.',0,5),
(151220,230062,10,100,'Inflicts 239 - 444 cold damage on target encounter instantly and every 3 seconds',0,0),
(151221,230064,10,100,'Inflicts 419 - 779 cold damage on target encounter instantly and every 3 seconds',0,0),
(151222,230066,11,100,'Inflicts 685 - 1272 cold damage on target encounter instantly and every 3 seconds',0,0),
(151223,230067,10,100,'Increases power of caster by 12 instantly and every second',0,0),
(151224,230067,10,100,'Stifles caster',0,1),
(151225,230068,10,100,'Increases power of caster by 20 instantly and every second',0,0),
(151226,230068,10,100,'Stifles caster',0,1),
(151227,230069,10,100,'Increases power of caster by 29 instantly and every second',0,0),
(151228,230069,10,100,'Stifles caster',0,1),
(151229,230070,10,100,'Increases power of caster by 37 instantly and every second',0,0),
(151230,230070,10,100,'Stifles caster',0,1),
(151231,230071,10,100,'Increases power of caster by 50 instantly and every second',0,0),
(151232,230071,10,100,'Stifles caster',0,1),
(151233,230072,10,100,'Increases power of caster by 60 instantly and every second',0,0),
(151234,230072,10,100,'Stifles caster',0,1),
(151235,230073,10,100,'Increases power of caster by 63 instantly and every second',0,0),
(151236,230073,10,100,'Stifles caster',0,1),
(151237,230073,11,100,'Increases power of caster by 76 instantly and every second',0,0),
(151238,230073,11,100,'Stifles caster',0,1),
(151239,230074,10,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(151240,230074,10,100,'Throws target back',1,1),
(151241,230074,10,100,'Blurs vision of target',1,2),
(151242,230074,10,100,'Stuns target',1,3),
(151243,230074,10,100,'Does not affect Epic targets',1,4),
(151244,230074,10,100,'Inflicts 2273 - 4222 cold damage on target',0,5),
(151245,230075,10,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(151246,230075,10,100,'Throws target back',1,1),
(151247,230075,10,100,'Blurs vision of target',1,2),
(151248,230075,10,100,'Stuns target',1,3),
(151249,230075,10,100,'Does not affect Epic targets',1,4),
(151250,230075,10,100,'Inflicts 3422 - 6354 cold damage on target',0,5),
(151251,230076,10,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(151252,230076,10,100,'Throws target back',1,1),
(151253,230076,10,100,'Blurs vision of target',1,2),
(151254,230076,10,100,'Stuns target',1,3),
(151255,230076,10,100,'Does not affect Epic targets',1,4),
(151256,230076,10,100,'Inflicts 4149 - 7705 cold damage on target',0,5),
(151257,230077,10,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(151258,230077,10,100,'Throws target back',1,1),
(151259,230077,10,100,'Blurs vision of target',1,2),
(151260,230077,10,100,'Stuns target',1,3),
(151261,230077,10,100,'Does not affect Epic targets',1,4),
(151262,230077,10,100,'Inflicts 4991 - 9270 cold damage on target',0,5),
(151263,230078,10,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(151264,230078,10,100,'Throws target back',1,1),
(151265,230078,10,100,'Blurs vision of target',1,2),
(151266,230078,10,100,'Stuns target',1,3),
(151267,230078,10,100,'Does not affect Epic targets',1,4),
(151268,230078,10,100,'Inflicts 5296 - 9836 cold damage on target',0,5),
(151269,230078,11,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(151270,230078,11,100,'Throws target back',1,1),
(151271,230078,11,100,'Blurs vision of target',1,2),
(151272,230078,11,100,'Stuns target',1,3),
(151273,230078,11,100,'Does not affect Epic targets',1,4),
(151274,230078,11,100,'Inflicts 6368 - 11826 cold damage on target',0,5),
(151275,230079,11,100,'Inflicts 4 - 8 cold damage on target instantly and every 4 seconds',0,0),
(151276,230079,11,100,'Decreases Mitigation of target vs elemental damage by 155',0,1),
(151277,230080,11,100,'Inflicts 12 - 23 cold damage on target instantly and every 4 seconds',0,0),
(151278,230080,11,100,'Decreases Mitigation of target vs elemental damage by 299',0,1),
(151279,230081,10,100,'Inflicts 22 - 41 cold damage on target instantly and every 4 seconds',0,0),
(151280,230081,10,100,'Decreases Mitigation of target vs elemental damage by 454',0,1),
(151281,230081,11,100,'Inflicts 26 - 49 cold damage on target instantly and every 4 seconds',0,0),
(151282,230081,11,100,'Decreases Mitigation of target vs elemental damage by 545',0,1),
(151283,230082,10,100,'Inflicts 35 - 65 cold damage on target instantly and every 4 seconds',0,0),
(151284,230082,10,100,'Decreases Mitigation of target vs elemental damage by 689',0,1),
(151285,230082,11,100,'Inflicts 42 - 78 cold damage on target instantly and every 4 seconds',0,0),
(151286,230082,11,100,'Decreases Mitigation of target vs elemental damage by 828',0,1),
(151287,230083,10,100,'Inflicts 105 - 196 cold damage on target instantly and every 4 seconds',0,0),
(151288,230083,10,100,'Decreases Mitigation of target vs elemental damage by 1996',0,1),
(151289,230083,11,100,'Inflicts 127 - 235 cold damage on target instantly and every 4 seconds',0,0),
(151290,230083,11,100,'Decreases Mitigation of target vs elemental damage by 2400',0,1),
(151291,230084,10,100,'Inflicts 51 - 95 cold damage on target instantly and every 4 seconds',0,0),
(151292,230084,10,100,'Decreases Mitigation of target vs elemental damage by 924',0,1),
(151293,230084,11,100,'Inflicts 62 - 114 cold damage on target instantly and every 4 seconds',0,0),
(151294,230084,11,100,'Decreases Mitigation of target vs elemental damage by 1111',0,1),
(151295,230085,10,100,'Inflicts 67 - 125 cold damage on target instantly and every 4 seconds',0,0),
(151296,230085,10,100,'Decreases Mitigation of target vs elemental damage by 1159',0,1),
(151297,230085,11,100,'Inflicts 81 - 150 cold damage on target instantly and every 4 seconds',0,0),
(151298,230085,11,100,'Decreases Mitigation of target vs elemental damage by 1394',0,1),
(151299,230086,10,100,'Inflicts 82 - 151 cold damage on target instantly and every 4 seconds',0,0),
(151300,230086,10,100,'Decreases Mitigation of target vs elemental damage by 1498',0,1),
(151301,230086,11,100,'Inflicts 98 - 182 cold damage on target instantly and every 4 seconds',0,0),
(151302,230086,11,100,'Decreases Mitigation of target vs elemental damage by 1801',0,1),
(151303,230087,10,100,'Inflicts 98 - 182 cold damage on target instantly and every 4 seconds',0,0),
(151304,230087,10,100,'Decreases Mitigation of target vs elemental damage by 1794',0,1),
(151305,230087,11,100,'Inflicts 118 - 219 cold damage on target instantly and every 4 seconds',0,0),
(151306,230087,11,100,'Decreases Mitigation of target vs elemental damage by 2157',0,1),
(151307,230088,10,100,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',0,0),
(151308,230088,10,100,'Inflicts 154 - 189 cold damage on target',1,1),
(151309,230088,10,100,'Grants a total of 3 triggers of the spell.',1,2),
(151310,230089,10,100,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',0,0),
(151311,230089,10,100,'Inflicts 291 - 355 cold damage on target',1,1),
(151312,230089,10,100,'Grants a total of 3 triggers of the spell.',1,2),
(151313,230092,10,100,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',0,0),
(151314,230092,10,100,'Inflicts 763 - 933 cold damage on target',1,1),
(151315,230092,10,100,'Grants a total of 3 triggers of the spell.',1,2),
(151316,230093,10,100,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',0,0),
(151317,230093,10,100,'Inflicts 921 - 1125 cold damage on target',1,1),
(151318,230093,10,100,'Grants a total of 3 triggers of the spell.',1,2),
(151319,230094,10,100,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',0,0),
(151320,230094,10,100,'Inflicts 1023 - 1251 cold damage on target',1,1),
(151321,230094,10,100,'Grants a total of 3 triggers of the spell.',1,2),
(151322,230094,11,100,'When damaged with a melee weapon this spell will cast Frost Spikes on target''s attacker.  ',0,0),
(151323,230094,11,100,'Inflicts 1231 - 1504 cold damage on target',1,1),
(151324,230094,11,100,'Grants a total of 3 triggers of the spell.',1,2),
(151325,230097,10,100,'Inflicts 178 - 331 heat damage on target',0,0),
(151326,230097,10,100,'Inflicts 67 - 124 heat damage on target every 2 seconds',0,1),
(151327,230098,10,100,'Inflicts 265 - 491 heat damage on target',0,0),
(151328,230098,10,100,'Inflicts 99 - 184 heat damage on target every 2 seconds',0,1),
(151329,230099,10,100,'Inflicts 354 - 657 heat damage on target',0,0),
(151330,230099,10,100,'Inflicts 133 - 246 heat damage on target every 2 seconds',0,1),
(151331,230100,10,100,'Inflicts 435 - 809 heat damage on target',0,0),
(151332,230100,10,100,'Inflicts 163 - 303 heat damage on target every 2 seconds',0,1),
(151333,230101,10,100,'Inflicts 525 - 975 heat damage on target',0,0),
(151334,230101,10,100,'Inflicts 197 - 366 heat damage on target every 2 seconds',0,1),
(151335,230102,10,100,'Inflicts 577 - 1071 heat damage on target',0,0),
(151336,230102,10,100,'Inflicts 216 - 401 heat damage on target every 2 seconds',0,1),
(151337,230102,11,100,'Inflicts 693 - 1287 heat damage on target',0,0),
(151338,230102,11,100,'Inflicts 260 - 483 heat damage on target every 2 seconds',0,1),
(151339,230103,11,100,'Inflicts 4 - 7 heat damage on target instantly and every 2 seconds',0,0),
(151340,230104,11,100,'Inflicts 12 - 20 heat damage on target instantly and every 2 seconds',0,0),
(151341,230105,10,100,'Inflicts 17 - 28 heat damage on target instantly and every 2 seconds',0,0),
(151342,230105,11,100,'Inflicts 20 - 34 heat damage on target instantly and every 2 seconds',0,0),
(151343,230106,11,100,'Inflicts 39 - 66 heat damage on target instantly and every 2 seconds',0,0),
(151344,230107,10,100,'Inflicts 129 - 215 heat damage on target instantly and every 2 seconds',0,0),
(151345,230107,11,100,'Inflicts 155 - 259 heat damage on target instantly and every 2 seconds',0,0),
(151346,230108,10,100,'Inflicts 51 - 85 heat damage on target instantly and every 2 seconds',0,0),
(151347,230108,11,100,'Inflicts 61 - 102 heat damage on target instantly and every 2 seconds',0,0),
(151348,230109,10,100,'Inflicts 71 - 119 heat damage on target instantly and every 2 seconds',0,0),
(151349,230109,11,100,'Inflicts 86 - 143 heat damage on target instantly and every 2 seconds',0,0),
(151350,230110,10,100,'Inflicts 91 - 152 heat damage on target instantly and every 2 seconds',0,0),
(151351,230110,11,100,'Inflicts 110 - 183 heat damage on target instantly and every 2 seconds',0,0),
(151352,230111,10,100,'Inflicts 110 - 184 heat damage on target instantly and every 2 seconds',0,0),
(151353,230111,11,100,'Inflicts 133 - 221 heat damage on target instantly and every 2 seconds',0,0),
(151354,230113,10,100,'Inflicts 248 - 413 heat damage on target',0,0),
(151355,230113,10,100,'Stuns target',0,1),
(151356,230113,10,100,'If Target is not Epic',1,2),
(151357,230113,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(151358,230114,10,100,'Inflicts 490 - 817 heat damage on target',0,0),
(151359,230114,10,100,'Stuns target',0,1),
(151360,230114,10,100,'If Target is not Epic',1,2),
(151361,230114,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(151362,230115,10,100,'Inflicts 763 - 1272 heat damage on target',0,0),
(151363,230115,10,100,'Stuns target',0,1),
(151364,230115,10,100,'If Target is not Epic',1,2),
(151365,230115,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(151366,230116,10,100,'Inflicts 1081 - 1802 heat damage on target',0,0),
(151367,230116,10,100,'Stuns target',0,1),
(151368,230116,10,100,'If Target is not Epic',1,2),
(151369,230116,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(151370,230118,10,100,'Inflicts 1708 - 2847 heat damage on target',0,0),
(151371,230118,10,100,'Stuns target',0,1),
(151372,230118,10,100,'If Target is not Epic',1,2),
(151373,230118,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(151374,230119,10,100,'Inflicts 1999 - 3331 heat damage on target',0,0),
(151375,230119,10,100,'Stuns target',0,1),
(151376,230119,10,100,'If Target is not Epic',1,2),
(151377,230119,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(151378,230119,11,100,'Inflicts 2403 - 4005 heat damage on target',0,0),
(151379,230119,11,100,'Stuns target',0,1),
(151380,230119,11,100,'If Target is not Epic',1,2),
(151381,230119,11,100,'Resistibility increases against targets higher than level 29.',0,3),
(151382,230122,10,100,'Increases power of target by 183',0,0),
(151383,230123,10,100,'Increases power of target by 254',0,0),
(151384,230125,10,100,'Increases power of target by 434',0,0),
(151385,230126,10,100,'Increases power of target by 490',0,0),
(151386,230126,11,100,'Increases power of target by 589',0,0),
(151387,230127,10,100,'Slows targets in Area of Effect by 75.0%',0,0),
(151388,230127,10,100,'On a melee hit this spell may cast Dire Frost on target.  Lasts for 20.0 seconds.  Triggers about 6.0 times per minute. ',0,1),
(151389,230127,10,100,'Roots target',1,2),
(151390,230127,10,100,'If Target is not Epic',2,3),
(151391,230127,10,100,'5% chance to dispel when target takes damage',1,4),
(151392,230127,10,100,'Resistibility increases against targets higher than level 81.',1,5),
(151393,230127,10,100,'Does not affect Epic targets',0,6),
(151394,230131,10,100,'Summons a limited pet to aid the caster',0,0),
(151395,230132,10,100,'Summons a limited pet to aid the caster',0,0),
(151396,230133,10,100,'Summons a limited pet to aid the caster',0,0),
(151397,230133,11,100,'Summons a limited pet to aid the caster',0,0),
(151398,230134,10,100,'Inflicts 4012 - 6018 heat damage on target',0,0),
(151399,230134,11,100,'Inflicts 4824 - 7236 heat damage on target',0,0),
(151400,230135,10,100,'Inflicts 4827 - 7240 heat damage on target',0,0),
(151401,230135,11,100,'Inflicts 5804 - 8705 heat damage on target',0,0),
(151402,230136,10,100,'Inflicts 5121 - 7682 heat damage on target',0,0),
(151403,230136,11,100,'Inflicts 6158 - 9237 heat damage on target',0,0),
(151404,230137,10,100,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',0,0),
(151405,230137,10,100,'Slows target by 63.8%',1,1),
(151406,230137,10,100,'5% chance to dispel when target receives hostile action',1,2),
(151407,230137,10,100,'5% chance to dispel when target takes damage',1,3),
(151408,230137,10,100,'Roots target encounter',0,4),
(151409,230137,10,100,'20% chance to dispel when target takes damage',0,5),
(151410,230137,10,100,'Does not affect Epic targets',0,6),
(151411,230137,10,100,'Resistibility increases against targets higher than level 29.',0,7),
(151412,230138,10,100,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',0,0),
(151413,230138,10,100,'Slows target by 67.5%',1,1),
(151414,230138,10,100,'5% chance to dispel when target receives hostile action',1,2),
(151415,230138,10,100,'5% chance to dispel when target takes damage',1,3),
(151416,230138,10,100,'Roots target encounter',0,4),
(151417,230138,10,100,'20% chance to dispel when target takes damage',0,5),
(151418,230138,10,100,'Does not affect Epic targets',0,6),
(151419,230138,10,100,'Resistibility increases against targets higher than level 29.',0,7),
(151420,230139,10,100,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',0,0),
(151421,230139,10,100,'Slows target by 68.4%',1,1),
(151422,230139,10,100,'5% chance to dispel when target receives hostile action',1,2),
(151423,230139,10,100,'5% chance to dispel when target takes damage',1,3),
(151424,230139,10,100,'Roots target encounter',0,4),
(151425,230139,10,100,'20% chance to dispel when target takes damage',0,5),
(151426,230139,10,100,'Does not affect Epic targets',0,6),
(151427,230139,10,100,'Resistibility increases against targets higher than level 29.',0,7),
(151428,230140,10,100,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',0,0),
(151429,230140,10,100,'Slows target by 69.1%',1,1),
(151430,230140,10,100,'5% chance to dispel when target receives hostile action',1,2),
(151431,230140,10,100,'5% chance to dispel when target takes damage',1,3),
(151432,230140,10,100,'Roots target encounter',0,4),
(151433,230140,10,100,'20% chance to dispel when target takes damage',0,5),
(151434,230140,10,100,'Does not affect Epic targets',0,6),
(151435,230140,10,100,'Resistibility increases against targets higher than level 29.',0,7),
(151436,230141,10,100,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',0,0),
(151437,230141,10,100,'Slows target by 69.8%',1,1),
(151438,230141,10,100,'5% chance to dispel when target receives hostile action',1,2),
(151439,230141,10,100,'5% chance to dispel when target takes damage',1,3),
(151440,230141,10,100,'Roots target encounter',0,4),
(151441,230141,10,100,'20% chance to dispel when target takes damage',0,5),
(151442,230141,10,100,'Does not affect Epic targets',0,6),
(151443,230141,10,100,'Resistibility increases against targets higher than level 29.',0,7),
(151444,230142,10,100,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',0,0),
(151445,230142,10,100,'Slows target by 70.4%',1,1),
(151446,230142,10,100,'5% chance to dispel when target receives hostile action',1,2),
(151447,230142,10,100,'5% chance to dispel when target takes damage',1,3),
(151448,230142,10,100,'Roots target encounter',0,4),
(151449,230142,10,100,'20% chance to dispel when target takes damage',0,5),
(151450,230142,10,100,'Does not affect Epic targets',0,6),
(151451,230142,10,100,'Resistibility increases against targets higher than level 29.',0,7),
(151452,230142,11,100,'Applies Icy Grasp on termination.  Lasts for 12.0 seconds.',0,0),
(151453,230142,11,100,'Slows target by 84.7%',1,1),
(151454,230142,11,100,'5% chance to dispel when target receives hostile action',1,2),
(151455,230142,11,100,'5% chance to dispel when target takes damage',1,3),
(151456,230142,11,100,'Roots target encounter',0,4),
(151457,230142,11,100,'20% chance to dispel when target takes damage',0,5),
(151458,230142,11,100,'Does not affect Epic targets',0,6),
(151459,230142,11,100,'Resistibility increases against targets higher than level 29.',0,7),
(151460,230143,10,100,'On a combat hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(151461,230143,10,100,'Inflicts 6 - 7 heat damage on target instantly and every second',1,1),
(151462,230144,10,100,'On a combat hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(151463,230144,10,100,'Inflicts 14 - 17 heat damage on target instantly and every second',1,1),
(151464,230145,10,100,'On a combat hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(151465,230145,10,100,'Inflicts 22 - 27 heat damage on target instantly and every second',1,1),
(151466,230146,10,100,'On a combat hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(151467,230146,10,100,'Inflicts 34 - 41 heat damage on target instantly and every second',1,1),
(151468,230147,10,100,'On a combat hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(151469,230147,10,100,'Inflicts 45 - 55 heat damage on target instantly and every second',1,1),
(151470,230148,10,100,'On a combat hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(151471,230148,10,100,'Inflicts 55 - 68 heat damage on target instantly and every second',1,1),
(151472,230149,10,100,'On a combat hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(151473,230149,10,100,'Inflicts 67 - 82 heat damage on target instantly and every second',1,1),
(151474,230150,10,100,'On a combat hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(151475,230150,10,100,'Inflicts 72 - 89 heat damage on target instantly and every second',1,1),
(151476,230150,11,100,'On a combat hit this spell may cast Flametongue on target of attack.  Lasts for 3.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(151477,230150,11,100,'Inflicts 87 - 107 heat damage on target instantly and every second',1,1),
(151478,230152,10,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(151479,230152,10,100,'Slows target by 56.8%',1,1),
(151480,230152,10,100,'5% chance to dispel when target receives hostile action',1,2),
(151481,230152,10,100,'5% chance to dispel when target takes damage',1,3),
(151482,230152,10,100,'Roots target',0,4),
(151483,230152,10,100,'15% chance to dispel when target takes damage',0,5),
(151484,230152,10,100,'Does not affect Epic targets',0,6),
(151485,230152,10,100,'Resistibility increases against targets higher than level 29.',0,7),
(151486,230153,10,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(151487,230153,10,100,'Slows target by 61.5%',1,1),
(151488,230153,10,100,'5% chance to dispel when target receives hostile action',1,2),
(151489,230153,10,100,'5% chance to dispel when target takes damage',1,3),
(151490,230153,10,100,'Roots target',0,4),
(151491,230153,10,100,'15% chance to dispel when target takes damage',0,5),
(151492,230153,10,100,'Does not affect Epic targets',0,6),
(151493,230153,10,100,'Resistibility increases against targets higher than level 29.',0,7),
(151494,230154,10,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(151495,230154,10,100,'Slows target by 66.2%',1,1),
(151496,230154,10,100,'5% chance to dispel when target receives hostile action',1,2),
(151497,230154,10,100,'5% chance to dispel when target takes damage',1,3),
(151498,230154,10,100,'Roots target',0,4),
(151499,230154,10,100,'15% chance to dispel when target takes damage',0,5),
(151500,230154,10,100,'Does not affect Epic targets',0,6),
(151501,230154,10,100,'Resistibility increases against targets higher than level 29.',0,7),
(151502,230155,10,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(151503,230155,10,100,'Slows target by 67.9%',1,1),
(151504,230155,10,100,'5% chance to dispel when target receives hostile action',1,2),
(151505,230155,10,100,'5% chance to dispel when target takes damage',1,3),
(151506,230155,10,100,'Roots target',0,4),
(151507,230155,10,100,'15% chance to dispel when target takes damage',0,5),
(151508,230155,10,100,'Does not affect Epic targets',0,6),
(151509,230155,10,100,'Resistibility increases against targets higher than level 29.',0,7),
(151510,230156,10,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(151511,230156,10,100,'Slows target by 68.7%',1,1),
(151512,230156,10,100,'5% chance to dispel when target receives hostile action',1,2),
(151513,230156,10,100,'5% chance to dispel when target takes damage',1,3),
(151514,230156,10,100,'Roots target',0,4),
(151515,230156,10,100,'15% chance to dispel when target takes damage',0,5),
(151516,230156,10,100,'Does not affect Epic targets',0,6),
(151517,230156,10,100,'Resistibility increases against targets higher than level 29.',0,7),
(151518,230157,10,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(151519,230157,10,100,'Slows target by 69.4%',1,1),
(151520,230157,10,100,'5% chance to dispel when target receives hostile action',1,2),
(151521,230157,10,100,'5% chance to dispel when target takes damage',1,3),
(151522,230157,10,100,'Roots target',0,4),
(151523,230157,10,100,'15% chance to dispel when target takes damage',0,5),
(151524,230157,10,100,'Does not affect Epic targets',0,6),
(151525,230157,10,100,'Resistibility increases against targets higher than level 29.',0,7),
(151526,230158,10,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(151527,230158,10,100,'Slows target by 70.1%',1,1),
(151528,230158,10,100,'5% chance to dispel when target receives hostile action',1,2),
(151529,230158,10,100,'5% chance to dispel when target takes damage',1,3),
(151530,230158,10,100,'Roots target',0,4),
(151531,230158,10,100,'15% chance to dispel when target takes damage',0,5),
(151532,230158,10,100,'Does not affect Epic targets',0,6),
(151533,230158,10,100,'Resistibility increases against targets higher than level 29.',0,7),
(151534,230158,11,100,'Applies Root on termination.  Lasts for 10.0 seconds.',0,0),
(151535,230158,11,100,'Slows target by 84.3%',1,1),
(151536,230158,11,100,'5% chance to dispel when target receives hostile action',1,2),
(151537,230158,11,100,'5% chance to dispel when target takes damage',1,3),
(151538,230158,11,100,'Roots target',0,4),
(151539,230158,11,100,'15% chance to dispel when target takes damage',0,5),
(151540,230158,11,100,'Does not affect Epic targets',0,6),
(151541,230158,11,100,'Resistibility increases against targets higher than level 29.',0,7),
(151542,230163,10,100,'Inflicts 151 - 281 heat damage on target',0,0),
(151543,230165,10,100,'Inflicts 231 - 430 heat damage on target',0,0),
(151544,230167,10,100,'Inflicts 519 - 963 heat damage on target',0,0),
(151545,230169,11,100,'Inflicts 1170 - 2174 heat damage on target',0,0),
(151546,230171,10,100,'Inflicts 40 - 74 magic damage on target encounter instantly and every 2 seconds',0,0),
(151547,230172,10,100,'Inflicts 69 - 129 magic damage on target encounter instantly and every 2 seconds',0,0),
(151548,230174,10,100,'Inflicts 141 - 261 magic damage on target encounter instantly and every 2 seconds',0,0),
(151549,230175,10,100,'Inflicts 176 - 327 magic damage on target encounter instantly and every 2 seconds',0,0),
(151550,230176,10,100,'Inflicts 213 - 395 magic damage on target encounter instantly and every 2 seconds',0,0),
(151551,230177,10,100,'Inflicts 236 - 439 magic damage on target encounter instantly and every 2 seconds',0,0),
(151552,230177,11,100,'Inflicts 284 - 528 magic damage on target encounter instantly and every 2 seconds',0,0),
(151553,230178,10,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(151554,230178,10,100,'Throws target back',1,1),
(151555,230178,10,100,'Blurs vision of target',1,2),
(151556,230178,10,100,'Stuns target',1,3),
(151557,230178,10,100,'Does not affect Epic targets',1,4),
(151558,230178,10,100,'Inflicts 8 - 10 magic damage on target instantly and every 8 seconds',0,5),
(151559,230178,11,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(151560,230178,11,100,'Throws target back',1,1),
(151561,230178,11,100,'Blurs vision of target',1,2),
(151562,230178,11,100,'Stuns target',1,3),
(151563,230178,11,100,'Does not affect Epic targets',1,4),
(151564,230178,11,100,'Inflicts 10 - 12 magic damage on target instantly and every 8 seconds',0,5),
(151565,230179,10,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(151566,230179,10,100,'Throws target back',1,1),
(151567,230179,10,100,'Blurs vision of target',1,2),
(151568,230179,10,100,'Stuns target',1,3),
(151569,230179,10,100,'Does not affect Epic targets',1,4),
(151570,230179,10,100,'Inflicts 8 - 10 magic damage on target instantly and every 8 seconds',0,5),
(151571,230179,11,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(151572,230179,11,100,'Throws target back',1,1),
(151573,230179,11,100,'Blurs vision of target',1,2),
(151574,230179,11,100,'Stuns target',1,3),
(151575,230179,11,100,'Does not affect Epic targets',1,4),
(151576,230179,11,100,'Inflicts 10 - 12 magic damage on target instantly and every 8 seconds',0,5),
(151577,230180,10,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(151578,230180,10,100,'Throws target back',1,1),
(151579,230180,10,100,'Blurs vision of target',1,2),
(151580,230180,10,100,'Stuns target',1,3),
(151581,230180,10,100,'Does not affect Epic targets',1,4),
(151582,230180,10,100,'Inflicts 8 - 10 magic damage on target instantly and every 8 seconds',0,5),
(151583,230180,11,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(151584,230180,11,100,'Throws target back',1,1),
(151585,230180,11,100,'Blurs vision of target',1,2),
(151586,230180,11,100,'Stuns target',1,3),
(151587,230180,11,100,'Does not affect Epic targets',1,4),
(151588,230180,11,100,'Inflicts 10 - 12 magic damage on target instantly and every 8 seconds',0,5),
(151589,230181,10,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(151590,230181,10,100,'Throws target back',1,1),
(151591,230181,10,100,'Blurs vision of target',1,2),
(151592,230181,10,100,'Stuns target',1,3),
(151593,230181,10,100,'Does not affect Epic targets',1,4),
(151594,230181,10,100,'Inflicts 8 - 10 magic damage on target instantly and every 8 seconds',0,5),
(151595,230181,11,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(151596,230181,11,100,'Throws target back',1,1),
(151597,230181,11,100,'Blurs vision of target',1,2),
(151598,230181,11,100,'Stuns target',1,3),
(151599,230181,11,100,'Does not affect Epic targets',1,4),
(151600,230181,11,100,'Inflicts 10 - 12 magic damage on target instantly and every 8 seconds',0,5),
(151601,230183,10,100,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',0,0),
(151602,230183,10,100,'Inflicts 28 - 35 heat damage on target instantly and every second',1,1),
(151603,230184,10,100,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',0,0),
(151604,230184,10,100,'Inflicts 39 - 48 heat damage on target instantly and every second',1,1),
(151605,230185,10,100,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',0,0),
(151606,230185,10,100,'Inflicts 50 - 62 heat damage on target instantly and every second',1,1),
(151607,230186,10,100,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',0,0),
(151608,230186,10,100,'Inflicts 61 - 74 heat damage on target instantly and every second',1,1),
(151609,230187,10,100,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',0,0),
(151610,230187,10,100,'Inflicts 70 - 86 heat damage on target instantly and every second',1,1),
(151611,230187,11,100,'On a hostile spell cast this spell will cast Flame Surge on target of spell.  Lasts for 3.0 seconds.  ',0,0),
(151612,230187,11,100,'Inflicts 85 - 103 heat damage on target instantly and every second',1,1),
(151613,230188,10,100,'Increases STR and INT of group members (AE) by 17.5',0,0),
(151614,230189,10,100,'Increases STR and INT of group members (AE) by 33.9',0,0),
(151615,230192,10,100,'Increases STR and INT of group members (AE) by 89.7',0,0),
(151616,230193,10,100,'Increases STR and INT of group members (AE) by 109.0',0,0),
(151617,230194,10,100,'Increases STR and INT of group members (AE) by 127.5',0,0),
(151618,230195,10,100,'Increases STR and INT of group members (AE) by 146.0',0,0),
(151619,230195,11,100,'Increases STR and INT of group members (AE) by 175.5',0,0),
(151620,230196,10,100,'Increases power of caster by 55',0,0),
(151621,230197,10,100,'Increases power of caster by 119',0,0),
(151622,230199,10,100,'Increases power of caster by 279',0,0),
(151623,230200,10,100,'Increases power of caster by 368',0,0),
(151624,230201,10,100,'Increases power of caster by 491',0,0),
(151625,230202,10,100,'Increases power of caster by 591',0,0),
(151626,230203,10,100,'Increases power of caster by 627',0,0),
(151627,230203,11,100,'Increases power of caster by 754',0,0),
(151628,240002,10,100,'Inflicts 897 - 1665 disease damage on target encounter',0,0),
(151629,240006,11,100,'Inflicts 2569 - 4771 disease damage on target encounter',0,0),
(151630,240007,11,100,'Inflicts 4 - 8 poison damage on target instantly and every 3 seconds',0,0),
(151631,240008,11,100,'Inflicts 13 - 24 poison damage on target instantly and every 3 seconds',0,0),
(151632,240009,10,100,'Inflicts 18 - 34 poison damage on target instantly and every 3 seconds',0,0),
(151633,240009,11,100,'Inflicts 22 - 41 poison damage on target instantly and every 3 seconds',0,0),
(151634,240010,11,100,'Inflicts 42 - 78 poison damage on target instantly and every 3 seconds',0,0),
(151635,240011,11,100,'Inflicts 166 - 308 poison damage on target instantly and every 3 seconds',0,0),
(151636,240012,9,100,'Increases Crit Bonus of caster by 10.0%',0,0),
(151637,240012,9,100,'On a damage spell hit this spell has a 12% chance to cast Acid Rain on target of spell.  ',0,1),
(151638,240012,9,100,'Decreases threat priority of target encounter by 1 position',1,2),
(151639,240012,9,100,'Inflicts 605 - 907 poison damage on target encounter',1,3),
(151640,240012,9,100,'Cannot be modified except by direct means',1,4),
(151641,240012,9,100,'Cannot be modified except by direct means',0,5),
(151642,240012,10,100,'Increases Crit Bonus of caster by 10.0%',0,0),
(151643,240012,10,100,'On a damage spell hit this spell has a 12% chance to cast Acid Rain on target of spell.  ',0,1),
(151644,240012,10,100,'Decreases threat priority of target encounter by 1 position',1,2),
(151645,240012,10,100,'Inflicts 605 - 907 poison damage on target encounter',1,3),
(151646,240012,10,100,'Cannot be modified except by direct means',1,4),
(151647,240012,10,100,'Cannot be modified except by direct means',0,5),
(151648,240013,10,100,'Summons a limited pet to aid the caster',0,0),
(151649,240014,10,100,'Summons a limited pet to aid the caster',0,0),
(151650,240015,10,100,'Summons a limited pet to aid the caster',0,0),
(151651,240015,11,100,'Summons a limited pet to aid the caster',0,0),
(151652,240016,10,100,'Inflicts 54 - 101 poison damage on target instantly and every 3 seconds',0,0),
(151653,240016,11,100,'Inflicts 65 - 121 poison damage on target instantly and every 3 seconds',0,0),
(151654,240017,10,100,'Inflicts 76 - 141 poison damage on target instantly and every 3 seconds',0,0),
(151655,240017,11,100,'Inflicts 92 - 170 poison damage on target instantly and every 3 seconds',0,0),
(151656,240018,11,100,'Inflicts 117 - 217 poison damage on target instantly and every 3 seconds',0,0),
(151657,240019,11,100,'Inflicts 142 - 263 poison damage on target instantly and every 3 seconds',0,0),
(151658,240020,10,100,'Inflicts 357 - 663 poison damage on target encounter instantly and every 1.5 seconds',0,0),
(151659,240020,11,100,'Inflicts 429 - 797 poison damage on target encounter instantly and every 1.5 seconds',0,0),
(151660,240021,10,100,'Inflicts 537 - 997 poison damage on target encounter instantly and every 1.5 seconds',0,0),
(151661,240021,11,100,'Inflicts 646 - 1199 poison damage on target encounter instantly and every 1.5 seconds',0,0),
(151662,240022,10,100,'Inflicts 651 - 1209 poison damage on target encounter instantly and every 1.5 seconds',0,0),
(151663,240022,11,100,'Inflicts 783 - 1454 poison damage on target encounter instantly and every 1.5 seconds',0,0),
(151664,240023,10,100,'Inflicts 783 - 1455 poison damage on target encounter instantly and every 1.5 seconds',0,0),
(151665,240023,11,100,'Inflicts 942 - 1749 poison damage on target encounter instantly and every 1.5 seconds',0,0),
(151666,240024,10,100,'Inflicts 831 - 1543 poison damage on target encounter instantly and every 1.5 seconds',0,0),
(151667,240024,11,100,'Inflicts 999 - 1856 poison damage on target encounter instantly and every 1.5 seconds',0,0),
(151668,240027,10,100,'Increases Max Power of group members (AE) by 277.2',0,0),
(151669,240027,10,100,'Increases Mitigation of group members (AE) vs noxious damage by 470',0,1),
(151670,240028,10,100,'Increases Max Power of group members (AE) by 424.4',0,0),
(151671,240028,10,100,'Increases Mitigation of group members (AE) vs noxious damage by 659',0,1),
(151672,240029,10,100,'Increases Max Power of group members (AE) by 548.3',0,0),
(151673,240029,10,100,'Increases Mitigation of group members (AE) vs noxious damage by 847',0,1),
(151674,240031,10,100,'Increases Max Power of group members (AE) by 739.7',0,0),
(151675,240031,10,100,'Increases Mitigation of group members (AE) vs noxious damage by 1228',0,1),
(151676,240032,10,100,'Increases Max Power of group members (AE) by 826.7',0,0),
(151677,240032,10,100,'Increases Mitigation of group members (AE) vs noxious damage by 1404',0,1),
(151678,240032,11,100,'Increases Max Power of group members (AE) by 994.0',0,0),
(151679,240032,11,100,'Increases Mitigation of group members (AE) vs noxious damage by 1689',0,1),
(151680,240033,10,100,'When damaged with a spell this spell will cast Aura of Pain on target.  ',0,0),
(151681,240033,10,100,'Inflicts 233 - 284 disease damage on target',1,1),
(151682,240033,10,100,'Grants a total of 3 triggers of the spell.',1,2),
(151683,240034,10,100,'When damaged with a spell this spell will cast Aura of Pain on target.  ',0,0),
(151684,240034,10,100,'Inflicts 351 - 429 disease damage on target',1,1),
(151685,240034,10,100,'Grants a total of 3 triggers of the spell.',1,2),
(151686,240036,10,100,'When damaged with a spell this spell will cast Aura of Pain on target.  ',0,0),
(151687,240036,10,100,'Inflicts 599 - 732 disease damage on target',1,1),
(151688,240036,10,100,'Grants a total of 3 triggers of the spell.',1,2),
(151689,240037,10,100,'When damaged with a spell this spell will cast Aura of Pain on target.  ',0,0),
(151690,240037,10,100,'Inflicts 723 - 884 disease damage on target',1,1),
(151691,240037,10,100,'Grants a total of 3 triggers of the spell.',1,2),
(151692,240038,10,100,'When damaged with a spell this spell will cast Aura of Pain on target.  ',0,0),
(151693,240038,10,100,'Inflicts 814 - 995 disease damage on target',1,1),
(151694,240038,10,100,'Grants a total of 3 triggers of the spell.',1,2),
(151695,240038,11,100,'When damaged with a spell this spell will cast Aura of Pain on target.  ',0,0),
(151696,240038,11,100,'Inflicts 979 - 1196 disease damage on target',1,1),
(151697,240038,11,100,'Grants a total of 3 triggers of the spell.',1,2),
(151698,240039,10,100,'Causes 4% Threat to transfer to target when in combat',0,0),
(151699,240039,10,100,'If Fighter',1,1),
(151700,240039,10,100,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',0,2),
(151701,240039,10,100,'Increases power of target by 6 instantly and every 4 seconds',1,3),
(151702,240039,10,100,'Increases power of caster by 6 instantly and every 4 seconds',1,4),
(151703,240040,10,100,'Causes 4% Threat to transfer to target when in combat',0,0),
(151704,240040,10,100,'If Fighter',1,1),
(151705,240040,10,100,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',0,2),
(151706,240040,10,100,'Increases power of target by 12 instantly and every 4 seconds',1,3),
(151707,240040,10,100,'Increases power of caster by 12 instantly and every 4 seconds',1,4),
(151708,240041,10,100,'Causes 4% Threat to transfer to target when in combat',0,0),
(151709,240041,10,100,'If Fighter',1,1),
(151710,240041,10,100,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',0,2),
(151711,240041,10,100,'Increases power of target by 18 instantly and every 4 seconds',1,3),
(151712,240041,10,100,'Increases power of caster by 18 instantly and every 4 seconds',1,4),
(151713,240042,10,100,'Causes 4% Threat to transfer to target when in combat',0,0),
(151714,240042,10,100,'If Fighter',1,1),
(151715,240042,10,100,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',0,2),
(151716,240042,10,100,'Increases power of target by 25 instantly and every 4 seconds',1,3),
(151717,240042,10,100,'Increases power of caster by 25 instantly and every 4 seconds',1,4),
(151718,240043,10,100,'Causes 4% Threat to transfer to target when in combat',0,0),
(151719,240043,10,100,'If Fighter',1,1),
(151720,240043,10,100,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',0,2),
(151721,240043,10,100,'Increases power of target by 33 instantly and every 4 seconds',1,3),
(151722,240043,10,100,'Increases power of caster by 33 instantly and every 4 seconds',1,4),
(151723,240045,11,100,'Causes 4% Threat to transfer to target when in combat',0,0),
(151724,240045,11,100,'If Fighter',1,1),
(151725,240045,11,100,'When damaged with a melee weapon this spell has a 10% chance to cast Mana Boon on target.  Lasts for 16.0 seconds.  ',0,2),
(151726,240045,11,100,'Increases power of target by 59 instantly and every 4 seconds',1,3),
(151727,240045,11,100,'Increases power of caster by 59 instantly and every 4 seconds',1,4),
(151728,240046,11,100,'Interrupts targets in Area of Effect',0,0),
(151729,240046,11,100,'Inflicts 6 - 11 poison damage on targets in Area of Effect instantly and every second',0,1),
(151730,240047,11,100,'Interrupts targets in Area of Effect',0,0),
(151731,240047,11,100,'Inflicts 37 - 68 poison damage on targets in Area of Effect instantly and every second',0,1),
(151732,240048,10,100,'Interrupts targets in Area of Effect',0,0),
(151733,240048,10,100,'Inflicts 64 - 118 poison damage on targets in Area of Effect instantly and every second',0,1),
(151734,240048,11,100,'Interrupts targets in Area of Effect',0,0),
(151735,240048,11,100,'Inflicts 76 - 142 poison damage on targets in Area of Effect instantly and every second',0,1),
(151736,240049,11,100,'Interrupts targets in Area of Effect',0,0),
(151737,240049,11,100,'Inflicts 121 - 224 poison damage on targets in Area of Effect instantly and every second',0,1),
(151738,240050,10,100,'Interrupts targets in Area of Effect',0,0),
(151739,240050,10,100,'Inflicts 293 - 545 poison damage on targets in Area of Effect instantly and every second',0,1),
(151740,240050,11,100,'Interrupts targets in Area of Effect',0,0),
(151741,240050,11,100,'Inflicts 353 - 655 poison damage on targets in Area of Effect instantly and every second',0,1),
(151742,240051,10,100,'Interrupts targets in Area of Effect',0,0),
(151743,240051,10,100,'Inflicts 145 - 269 poison damage on targets in Area of Effect instantly and every second',0,1),
(151744,240051,11,100,'Interrupts targets in Area of Effect',0,0),
(151745,240051,11,100,'Inflicts 174 - 324 poison damage on targets in Area of Effect instantly and every second',0,1),
(151746,240052,10,100,'Interrupts targets in Area of Effect',0,0),
(151747,240052,10,100,'Inflicts 190 - 352 poison damage on targets in Area of Effect instantly and every second',0,1),
(151748,240052,11,100,'Interrupts targets in Area of Effect',0,0),
(151749,240052,11,100,'Inflicts 228 - 423 poison damage on targets in Area of Effect instantly and every second',0,1),
(151750,240053,10,100,'Interrupts targets in Area of Effect',0,0),
(151751,240053,10,100,'Inflicts 230 - 427 poison damage on targets in Area of Effect instantly and every second',0,1),
(151752,240053,11,100,'Interrupts targets in Area of Effect',0,0),
(151753,240053,11,100,'Inflicts 276 - 513 poison damage on targets in Area of Effect instantly and every second',0,1),
(151754,240054,10,100,'Interrupts targets in Area of Effect',0,0),
(151755,240054,10,100,'Inflicts 276 - 513 poison damage on targets in Area of Effect instantly and every second',0,1),
(151756,240054,11,100,'Interrupts targets in Area of Effect',0,0),
(151757,240054,11,100,'Inflicts 332 - 617 poison damage on targets in Area of Effect instantly and every second',0,1),
(151758,240055,10,100,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',0,0),
(151759,240055,10,100,'Inflicts 54 - 66 poison damage on target encounter',1,1),
(151760,240056,10,100,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',0,0),
(151761,240056,10,100,'Inflicts 88 - 108 poison damage on target encounter',1,1),
(151762,240057,10,100,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',0,0),
(151763,240057,10,100,'Inflicts 131 - 160 poison damage on target encounter',1,1),
(151764,240058,10,100,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',0,0),
(151765,240058,10,100,'Inflicts 174 - 212 poison damage on target encounter',1,1),
(151766,240059,10,100,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',0,0),
(151767,240059,10,100,'Inflicts 214 - 261 poison damage on target encounter',1,1),
(151768,240060,10,100,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',0,0),
(151769,240060,10,100,'Inflicts 258 - 315 poison damage on target encounter',1,1),
(151770,240061,10,100,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',0,0),
(151771,240061,10,100,'Inflicts 280 - 342 poison damage on target encounter',1,1),
(151772,240061,11,100,'On a hostile spell cast this spell will cast Curse of Darkness on target of spell.  ',0,0),
(151773,240061,11,100,'Inflicts 336 - 411 poison damage on target encounter',1,1),
(151774,240062,10,100,'Decreases STR and INT of target by 36.3',0,0),
(151775,240062,10,100,'Only affects targets level 20 and above',0,1),
(151776,240063,10,100,'Decreases STR and INT of target by 54.8',0,0),
(151777,240063,10,100,'Only affects targets level 20 and above',0,1),
(151778,240064,10,100,'Decreases STR and INT of target by 73.6',0,0),
(151779,240064,10,100,'Only affects targets level 20 and above',0,1),
(151780,240065,10,100,'Decreases STR and INT of target by 92.4',0,0),
(151781,240065,10,100,'Only affects targets level 20 and above',0,1),
(151782,240066,10,100,'Decreases STR and INT of target by 110.9',0,0),
(151783,240066,10,100,'Only affects targets level 20 and above',0,1),
(151784,240067,10,100,'Decreases STR and INT of target by 129.4',0,0),
(151785,240067,10,100,'Only affects targets level 20 and above',0,1),
(151786,240068,10,100,'Decreases STR and INT of target by 147.8',0,0),
(151787,240068,10,100,'Only affects targets level 20 and above',0,1),
(151788,240068,11,100,'Decreases STR and INT of target by 177.8',0,0),
(151789,240068,11,100,'Only affects targets level 20 and above',0,1),
(151790,240069,10,100,'Inflicts 189 - 231 poison damage on target instantly and every 4 seconds',0,0),
(151791,240069,10,100,'When damaged with a spell this spell has a 35% chance to cast Dark Broodlings on target.  Lasts for 6.0 seconds.  ',0,1),
(151792,240069,10,100,'Summons 3 limited pets to aid the caster',1,2),
(151793,240069,10,100,'Grants a total of 1 trigger of the spell.',1,3),
(151794,240070,10,100,'Inflicts 282 - 345 poison damage on target instantly and every 4 seconds',0,0),
(151795,240070,10,100,'When damaged with a spell this spell has a 35% chance to cast Dark Broodlings on target.  Lasts for 6.0 seconds.  ',0,1),
(151796,240070,10,100,'Summons 3 limited pets to aid the caster',1,2),
(151797,240070,10,100,'Grants a total of 1 trigger of the spell.',1,3),
(151798,240071,10,100,'Inflicts 342 - 418 poison damage on target instantly and every 4 seconds',0,0),
(151799,240071,10,100,'When damaged with a spell this spell has a 35% chance to cast Dark Broodlings on target.  Lasts for 6.0 seconds.  ',0,1),
(151800,240071,10,100,'Summons 3 limited pets to aid the caster',1,2),
(151801,240071,10,100,'Grants a total of 1 trigger of the spell.',1,3),
(151802,240072,10,100,'Inflicts 400 - 489 poison damage on target instantly and every 4 seconds',0,0),
(151803,240072,10,100,'When damaged with a spell this spell has a 35% chance to cast Dark Broodlings on target.  Lasts for 6.0 seconds.  ',0,1),
(151804,240072,10,100,'Summons 3 limited pets to aid the caster',1,2),
(151805,240072,10,100,'Grants a total of 1 trigger of the spell.',1,3),
(151806,240072,11,100,'Inflicts 481 - 587 poison damage on target instantly and every 4 seconds',0,0),
(151807,240072,11,100,'When damaged with a spell this spell has a 35% chance to cast Dark Broodlings on target.  Lasts for 6.0 seconds.  ',0,1),
(151808,240072,11,100,'Summons 3 limited pets to aid the caster',1,2),
(151809,240072,11,100,'Grants a total of 1 trigger of the spell.',1,3),
(151810,240074,10,100,'Inflicts 159 - 296 poison damage on target encounter',0,0),
(151811,240074,10,100,'Stuns target encounter',0,1),
(151812,240074,10,100,'If Target is not Epic',1,2),
(151813,240074,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(151814,240075,10,100,'Inflicts 277 - 514 poison damage on target encounter',0,0),
(151815,240075,10,100,'Stuns target encounter',0,1),
(151816,240075,10,100,'If Target is not Epic',1,2),
(151817,240075,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(151818,240077,10,100,'Inflicts 562 - 1044 poison damage on target encounter',0,0),
(151819,240077,10,100,'Stuns target encounter',0,1),
(151820,240077,10,100,'If Target is not Epic',1,2),
(151821,240077,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(151822,240078,10,100,'Inflicts 705 - 1310 poison damage on target encounter',0,0),
(151823,240078,10,100,'Stuns target encounter',0,1),
(151824,240078,10,100,'If Target is not Epic',1,2),
(151825,240078,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(151826,240079,10,100,'Inflicts 851 - 1580 poison damage on target encounter',0,0),
(151827,240079,10,100,'Stuns target encounter',0,1),
(151828,240079,10,100,'If Target is not Epic',1,2),
(151829,240079,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(151830,240080,10,100,'Inflicts 946 - 1756 poison damage on target encounter',0,0),
(151831,240080,10,100,'Stuns target encounter',0,1),
(151832,240080,10,100,'If Target is not Epic',1,2),
(151833,240080,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(151834,240080,11,100,'Inflicts 1137 - 2112 poison damage on target encounter',0,0),
(151835,240080,11,100,'Stuns target encounter',0,1),
(151836,240080,11,100,'If Target is not Epic',1,2),
(151837,240080,11,100,'Resistibility increases against targets higher than level 29.',0,3),
(151838,240081,10,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 6.0',0,0),
(151839,240082,10,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 13.1',0,0),
(151840,240085,10,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 34.3',0,0),
(151841,240086,10,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 39.8',0,0),
(151842,240087,10,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 44.9',0,0),
(151843,240088,10,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 49.9',0,0),
(151844,240088,11,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 60.0',0,0),
(151845,240089,11,100,'Inflicts 33 - 61 disease damage on target',0,0),
(151846,240089,11,100,'Inflicts 20 - 37 disease damage on target every 2 seconds',0,1),
(151847,240090,11,100,'Inflicts 80 - 149 disease damage on target',0,0),
(151848,240090,11,100,'Inflicts 48 - 89 disease damage on target every 2 seconds',0,1),
(151849,240091,10,100,'Inflicts 111 - 207 disease damage on target',0,0),
(151850,240091,10,100,'Inflicts 67 - 124 disease damage on target every 2 seconds',0,1),
(151851,240091,11,100,'Inflicts 134 - 248 disease damage on target',0,0),
(151852,240091,11,100,'Inflicts 80 - 149 disease damage on target every 2 seconds',0,1),
(151853,240092,10,100,'Inflicts 165 - 307 disease damage on target',0,0),
(151854,240092,10,100,'Inflicts 99 - 184 disease damage on target every 2 seconds',0,1),
(151855,240092,11,100,'Inflicts 199 - 369 disease damage on target',0,0),
(151856,240092,11,100,'Inflicts 119 - 222 disease damage on target every 2 seconds',0,1),
(151857,240093,10,100,'Inflicts 221 - 410 disease damage on target',0,0),
(151858,240093,10,100,'Inflicts 133 - 246 disease damage on target every 2 seconds',0,1),
(151859,240093,11,100,'Inflicts 266 - 493 disease damage on target',0,0),
(151860,240093,11,100,'Inflicts 159 - 296 disease damage on target every 2 seconds',0,1),
(151861,240094,10,100,'Inflicts 272 - 505 disease damage on target',0,0),
(151862,240094,10,100,'Inflicts 163 - 303 disease damage on target every 2 seconds',0,1),
(151863,240094,11,100,'Inflicts 327 - 608 disease damage on target',0,0),
(151864,240094,11,100,'Inflicts 196 - 365 disease damage on target every 2 seconds',0,1),
(151865,240095,10,100,'Inflicts 328 - 609 disease damage on target',0,0),
(151866,240095,10,100,'Inflicts 197 - 366 disease damage on target every 2 seconds',0,1),
(151867,240095,11,100,'Inflicts 394 - 733 disease damage on target',0,0),
(151868,240095,11,100,'Inflicts 237 - 440 disease damage on target every 2 seconds',0,1),
(151869,240096,10,100,'Inflicts 360 - 669 disease damage on target',0,0),
(151870,240096,10,100,'Inflicts 216 - 401 disease damage on target every 2 seconds',0,1),
(151871,240096,11,100,'Inflicts 433 - 805 disease damage on target',0,0),
(151872,240096,11,100,'Inflicts 260 - 483 disease damage on target every 2 seconds',0,1),
(151873,240097,1,100,'This effect cannot be critically applied.',1,4),
(151874,240097,2,100,'This effect cannot be critically applied.',1,4),
(151875,240097,3,100,'Heals group members (AE) for 13 - 24 instantly and every 3 seconds',0,4),
(151876,240097,4,100,'This effect cannot be critically applied.',1,4),
(151877,240097,5,100,'This effect cannot be critically applied.',1,4),
(151878,240097,7,100,'This effect cannot be critically applied.',1,4),
(151879,240097,9,100,'This effect cannot be critically applied.',1,4),
(151880,240097,10,100,'Decreases power of target encounter by 19 - 23 instantly and every 3 seconds',0,0),
(151881,240097,10,100,'Inflicts 44 - 83 poison damage on target encounter instantly and every 3 seconds',0,1),
(151882,240097,10,100,'Heals group members (AE) for 22 - 41 instantly and every 3 seconds',0,2),
(151883,240097,10,100,'Increases power of group members (AE) by 2.4% instantly and every 3 seconds',0,3),
(151884,240097,10,100,'This effect cannot be critically applied.',1,4),
(151885,240097,11,100,'Decreases power of target encounter by 23 - 28 instantly and every 3 seconds',0,0),
(151886,240097,11,100,'Inflicts 53 - 99 poison damage on target encounter instantly and every 3 seconds',0,1),
(151887,240097,11,100,'Heals group members (AE) for 26 - 49 instantly and every 3 seconds',0,2),
(151888,240097,11,100,'Increases power of group members (AE) by 2.8% instantly and every 3 seconds',0,3),
(151889,240097,11,100,'This effect cannot be critically applied.',1,4),
(151890,240098,1,100,'This effect cannot be critically applied.',1,4),
(151891,240098,2,100,'This effect cannot be critically applied.',1,4),
(151892,240098,3,100,'This effect cannot be critically applied.',1,4),
(151893,240098,4,100,'This effect cannot be critically applied.',1,4),
(151894,240098,5,100,'This effect cannot be critically applied.',1,4),
(151895,240098,7,100,'This effect cannot be critically applied.',1,4),
(151896,240098,9,100,'This effect cannot be critically applied.',1,4),
(151897,240098,10,100,'Decreases power of target encounter by 31 - 38 instantly and every 3 seconds',0,0),
(151898,240098,10,100,'Inflicts 74 - 138 poison damage on target encounter instantly and every 3 seconds',0,1),
(151899,240098,10,100,'Heals group members (AE) for 37 - 68 instantly and every 3 seconds',0,2),
(151900,240098,10,100,'Increases power of group members (AE) by 2.4% instantly and every 3 seconds',0,3),
(151901,240098,10,100,'This effect cannot be critically applied.',1,4),
(151902,240098,11,100,'Decreases power of target encounter by 38 - 46 instantly and every 3 seconds',0,0),
(151903,240098,11,100,'Inflicts 89 - 166 poison damage on target encounter instantly and every 3 seconds',0,1),
(151904,240098,11,100,'Heals group members (AE) for 44 - 82 instantly and every 3 seconds',0,2),
(151905,240098,11,100,'Increases power of group members (AE) by 2.8% instantly and every 3 seconds',0,3),
(151906,240098,11,100,'This effect cannot be critically applied.',1,4),
(151907,240099,1,100,'This effect cannot be critically applied.',1,4),
(151908,240099,2,100,'This effect cannot be critically applied.',1,4),
(151909,240099,3,100,'This effect cannot be critically applied.',1,4),
(151910,240099,4,100,'This effect cannot be critically applied.',1,4),
(151911,240099,5,100,'This effect cannot be critically applied.',1,4),
(151912,240099,7,100,'This effect cannot be critically applied.',1,4),
(151913,240099,9,100,'This effect cannot be critically applied.',1,4),
(151914,240099,10,100,'This effect cannot be critically applied.',1,4),
(151915,240099,11,100,'Decreases power of target encounter by 56 - 69 instantly and every 3 seconds',0,0),
(151916,240099,11,100,'Inflicts 133 - 246 poison damage on target encounter instantly and every 3 seconds',0,1),
(151917,240099,11,100,'Heals group members (AE) for 66 - 122 instantly and every 3 seconds',0,2),
(151918,240099,11,100,'Increases power of group members (AE) by 2.8% instantly and every 3 seconds',0,3),
(151919,240099,11,100,'This effect cannot be critically applied.',1,4),
(151920,240100,1,100,'This effect cannot be critically applied.',1,4),
(151921,240100,2,100,'This effect cannot be critically applied.',1,4),
(151922,240100,3,100,'This effect cannot be critically applied.',1,4),
(151923,240100,4,100,'This effect cannot be critically applied.',1,4),
(151924,240100,5,100,'This effect cannot be critically applied.',1,4),
(151925,240100,7,100,'This effect cannot be critically applied.',1,4),
(151926,240100,9,100,'This effect cannot be critically applied.',1,4),
(151927,240100,10,100,'Decreases power of target encounter by 63 - 77 instantly and every 3 seconds',0,0),
(151928,240100,10,100,'Inflicts 147 - 274 poison damage on target encounter instantly and every 3 seconds',0,1),
(151929,240100,10,100,'Heals group members (AE) for 73 - 136 instantly and every 3 seconds',0,2),
(151930,240100,10,100,'Increases power of group members (AE) by 2.4% instantly and every 3 seconds',0,3),
(151931,240100,10,100,'This effect cannot be critically applied.',1,4),
(151932,240100,11,100,'Decreases power of target encounter by 75 - 92 instantly and every 3 seconds',0,0),
(151933,240100,11,100,'Inflicts 177 - 329 poison damage on target encounter instantly and every 3 seconds',0,1),
(151934,240100,11,100,'Heals group members (AE) for 88 - 163 instantly and every 3 seconds',0,2),
(151935,240100,11,100,'Increases power of group members (AE) by 2.8% instantly and every 3 seconds',0,3),
(151936,240100,11,100,'This effect cannot be critically applied.',1,4),
(151937,240101,1,100,'This effect cannot be critically applied.',1,4),
(151938,240101,2,100,'Heals group members (AE) for 55 - 103 instantly and every 3 seconds',0,4),
(151939,240101,3,100,'This effect cannot be critically applied.',1,4),
(151940,240101,4,100,'This effect cannot be critically applied.',1,4),
(151941,240101,5,100,'This effect cannot be critically applied.',1,4),
(151942,240101,7,100,'This effect cannot be critically applied.',1,4),
(151943,240101,9,100,'This effect cannot be critically applied.',1,4),
(151944,240101,10,100,'Decreases power of target encounter by 77 - 95 instantly and every 3 seconds',0,0),
(151945,240101,10,100,'Inflicts 181 - 337 poison damage on target encounter instantly and every 3 seconds',0,1),
(151946,240101,10,100,'Heals group members (AE) for 98 - 181 instantly and every 3 seconds',0,2),
(151947,240101,10,100,'Increases power of group members (AE) by 2.4% instantly and every 3 seconds',0,3),
(151948,240101,10,100,'This effect cannot be critically applied.',1,4),
(151949,240101,11,100,'Decreases power of target encounter by 93 - 114 instantly and every 3 seconds',0,0),
(151950,240101,11,100,'Inflicts 218 - 405 poison damage on target encounter instantly and every 3 seconds',0,1),
(151951,240101,11,100,'Heals group members (AE) for 117 - 218 instantly and every 3 seconds',0,2),
(151952,240101,11,100,'Increases power of group members (AE) by 2.8% instantly and every 3 seconds',0,3),
(151953,240101,11,100,'This effect cannot be critically applied.',1,4),
(151954,240102,1,100,'This effect cannot be critically applied.',1,4),
(151955,240102,4,100,'This effect cannot be critically applied.',1,4),
(151956,240102,5,100,'This effect cannot be critically applied.',1,4),
(151957,240102,7,100,'This effect cannot be critically applied.',1,4),
(151958,240102,9,100,'This effect cannot be critically applied.',1,4),
(151959,240102,10,100,'Decreases power of target encounter by 93 - 114 instantly and every 3 seconds',0,0),
(151960,240102,10,100,'Inflicts 219 - 406 poison damage on target encounter instantly and every 3 seconds',0,1),
(151961,240102,10,100,'Heals group members (AE) for 120 - 223 instantly and every 3 seconds',0,2),
(151962,240102,10,100,'Increases power of group members (AE) by 2.4% instantly and every 3 seconds',0,3),
(151963,240102,10,100,'This effect cannot be critically applied.',1,4),
(151964,240102,11,100,'Decreases power of target encounter by 112 - 137 instantly and every 3 seconds',0,0),
(151965,240102,11,100,'Inflicts 263 - 488 poison damage on target encounter instantly and every 3 seconds',0,1),
(151966,240102,11,100,'Increases power of group members (AE) by 2.8% instantly and every 3 seconds',0,2),
(151967,240102,11,100,'This effect cannot be critically applied.',1,3),
(151968,240102,11,100,'Heals group members (AE) for 144 - 268 instantly and every 3 seconds',0,4),
(151969,240103,1,100,'This effect cannot be critically applied.',1,4),
(151970,240103,4,100,'This effect cannot be critically applied.',1,4),
(151971,240103,5,100,'This effect cannot be critically applied.',1,4),
(151972,240103,7,100,'This effect cannot be critically applied.',1,4),
(151973,240103,9,100,'This effect cannot be critically applied.',1,4),
(151974,240103,10,100,'Decreases power of target encounter by 103 - 125 instantly and every 3 seconds',0,0),
(151975,240103,10,100,'Inflicts 240 - 446 poison damage on target encounter instantly and every 3 seconds',0,1),
(151976,240103,10,100,'Heals group members (AE) for 130 - 242 instantly and every 3 seconds',0,2),
(151977,240103,10,100,'Increases power of group members (AE) by 2.4% instantly and every 3 seconds',0,3),
(151978,240103,10,100,'This effect cannot be critically applied.',1,4),
(151979,240103,11,100,'Decreases power of target encounter by 123 - 151 instantly and every 3 seconds',0,0),
(151980,240103,11,100,'Inflicts 289 - 536 poison damage on target encounter instantly and every 3 seconds',0,1),
(151981,240103,11,100,'Heals group members (AE) for 157 - 291 instantly and every 3 seconds',0,2),
(151982,240103,11,100,'Increases power of group members (AE) by 2.8% instantly and every 3 seconds',0,3),
(151983,240103,11,100,'This effect cannot be critically applied.',1,4),
(151984,240107,10,100,'Inflicts 151 - 281 poison damage on target',0,0),
(151985,240108,10,100,'Inflicts 821 - 1524 poison damage on target',0,0),
(151986,240109,10,100,'Inflicts 231 - 430 poison damage on target',0,0),
(151987,240111,10,100,'Inflicts 519 - 963 poison damage on target',0,0),
(151988,240112,10,100,'Inflicts 677 - 1258 poison damage on target',0,0),
(151989,240113,10,100,'Inflicts 973 - 1808 poison damage on target',0,0),
(151990,240113,11,100,'Inflicts 1170 - 2174 poison damage on target',0,0),
(151991,240114,11,100,'Inflicts 484 - 899 poison damage on target',0,0),
(151992,240114,11,100,'Increases power of caster by 48',0,1),
(151993,240115,10,100,'Inflicts 685 - 1271 poison damage on target',0,0),
(151994,240115,10,100,'Increases power of caster by 68',0,1),
(151995,240115,11,100,'Inflicts 823 - 1529 poison damage on target',0,0),
(151996,240115,11,100,'Increases power of caster by 82',0,1),
(151997,240116,11,100,'Inflicts 1229 - 2282 poison damage on target',0,0),
(151998,240116,11,100,'Increases power of caster by 122',0,1),
(151999,240117,10,100,'Inflicts 1374 - 2552 poison damage on target',0,0),
(152000,240117,10,100,'Increases power of caster by 137',0,1),
(152001,240117,11,100,'Inflicts 1653 - 3069 poison damage on target',0,0),
(152002,240117,11,100,'Increases power of caster by 165',0,1),
(152003,240118,10,100,'Inflicts 1723 - 3201 poison damage on target',0,0),
(152004,240118,10,100,'Increases power of caster by 186',0,1),
(152005,240118,11,100,'Inflicts 2072 - 3849 poison damage on target',0,0),
(152006,240118,11,100,'Increases power of caster by 224',0,1),
(152007,240119,10,100,'Inflicts 2078 - 3859 poison damage on target',0,0),
(152008,240119,10,100,'Increases power of caster by 229',0,1),
(152009,240119,11,100,'Inflicts 2498 - 4640 poison damage on target',0,0),
(152010,240119,11,100,'Increases power of caster by 275',0,1),
(152011,240120,10,100,'Inflicts 2282 - 4238 poison damage on target',0,0),
(152012,240120,10,100,'Increases power of caster by 248',0,1),
(152013,240120,11,100,'Inflicts 2744 - 5096 poison damage on target',0,0),
(152014,240120,11,100,'Increases power of caster by 299',0,1),
(152015,240121,10,100,'Inflicts 207 - 345 cold damage on target',0,0),
(152016,240121,10,100,'Stuns target',0,1),
(152017,240121,10,100,'If Target is not Epic',1,2),
(152018,240121,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(152019,240122,10,100,'Inflicts 409 - 681 cold damage on target',0,0),
(152020,240122,10,100,'Stuns target',0,1),
(152021,240122,10,100,'If Target is not Epic',1,2),
(152022,240122,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(152023,240123,10,100,'Inflicts 636 - 1060 cold damage on target',0,0),
(152024,240123,10,100,'Stuns target',0,1),
(152025,240123,10,100,'If Target is not Epic',1,2),
(152026,240123,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(152027,240124,10,100,'Inflicts 901 - 1502 cold damage on target',0,0),
(152028,240124,10,100,'Stuns target',0,1),
(152029,240124,10,100,'If Target is not Epic',1,2),
(152030,240124,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(152031,240125,10,100,'Inflicts 1176 - 1960 cold damage on target',0,0),
(152032,240125,10,100,'Stuns target',0,1),
(152033,240125,10,100,'If Target is not Epic',1,2),
(152034,240125,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(152035,240126,10,100,'Inflicts 1423 - 2372 cold damage on target',0,0),
(152036,240126,10,100,'Stuns target',0,1),
(152037,240126,10,100,'If Target is not Epic',1,2),
(152038,240126,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(152039,240127,10,100,'Inflicts 1666 - 2776 cold damage on target',0,0),
(152040,240127,10,100,'Stuns target',0,1),
(152041,240127,10,100,'If Target is not Epic',1,2),
(152042,240127,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(152043,240127,11,100,'Inflicts 2003 - 3338 cold damage on target',0,0),
(152044,240127,11,100,'Stuns target',0,1),
(152045,240127,11,100,'If Target is not Epic',1,2),
(152046,240127,11,100,'Resistibility increases against targets higher than level 29.',0,3),
(152047,240129,10,100,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',0,0),
(152048,240129,10,100,'Inflicts 34 - 63 poison damage on target encounter',1,1),
(152049,240130,10,100,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',0,0),
(152050,240130,10,100,'Inflicts 47 - 88 poison damage on target encounter',1,1),
(152051,240131,10,100,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',0,0),
(152052,240131,10,100,'Inflicts 60 - 112 poison damage on target encounter',1,1),
(152053,240133,11,100,'On a hostile spell cast this spell will cast Abhorrence on target of spell.  ',0,0),
(152054,240133,11,100,'Inflicts 102 - 189 poison damage on target encounter',1,1),
(152055,240134,10,100,'On a combat hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(152056,240134,10,100,'Inflicts 18 - 22 poison damage on target instantly and every 4 seconds',1,1),
(152057,240135,10,100,'On a combat hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(152058,240135,10,100,'Inflicts 42 - 51 poison damage on target instantly and every 4 seconds',1,1),
(152059,240136,10,100,'On a combat hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(152060,240136,10,100,'Inflicts 69 - 84 poison damage on target instantly and every 4 seconds',1,1),
(152061,240137,10,100,'On a combat hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(152062,240137,10,100,'Inflicts 102 - 124 poison damage on target instantly and every 4 seconds',1,1),
(152063,240138,10,100,'On a combat hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(152064,240138,10,100,'Inflicts 135 - 165 poison damage on target instantly and every 4 seconds',1,1),
(152065,240139,10,100,'On a combat hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(152066,240139,10,100,'Inflicts 166 - 203 poison damage on target instantly and every 4 seconds',1,1),
(152067,240140,10,100,'On a combat hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(152068,240140,10,100,'Inflicts 200 - 245 poison damage on target instantly and every 4 seconds',1,1),
(152069,240141,10,100,'On a combat hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(152070,240141,10,100,'Inflicts 217 - 266 poison damage on target instantly and every 4 seconds',1,1),
(152071,240141,11,100,'On a combat hit this spell may cast Venomous Runes on target of attack.  Lasts for 16.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(152072,240141,11,100,'Inflicts 261 - 320 poison damage on target instantly and every 4 seconds',1,1),
(152073,240143,10,100,'Increases power of target by 40 instantly and every 4 seconds',0,0),
(152074,240144,10,100,'Increases power of target by 56 instantly and every 4 seconds',0,0),
(152075,240146,10,100,'Increases power of target by 96 instantly and every 4 seconds',0,0),
(152076,240147,10,100,'Increases power of target by 108 instantly and every 4 seconds',0,0),
(152077,240147,11,100,'Increases power of target by 130 instantly and every 4 seconds',0,0),
(152078,240148,9,100,'Changes damage based encounter AE spells into single target.  Improves their damage by 30%',0,0),
(152079,240148,10,100,'Changes damage based encounter AE spells into single target.  Improves their damage by 30%',0,0),
(152080,240149,10,100,'Applies Netherous Cascade.  Lasts for 5.0 seconds.',0,0),
(152081,240149,10,100,'When damaged with a spell this spell will cast Nether Void on target.  ',1,1),
(152082,240149,10,100,'Inflicts 324 - 396 poison damage on target',2,2),
(152083,240149,10,100,'Grants a total of 1 trigger of the spell.',2,3),
(152084,240150,10,100,'Applies Netherous Cascade.  Lasts for 5.0 seconds.',0,0),
(152085,240150,10,100,'When damaged with a spell this spell will cast Nether Void on target.  ',1,1),
(152086,240150,10,100,'Inflicts 458 - 560 poison damage on target',2,2),
(152087,240150,10,100,'Grants a total of 1 trigger of the spell.',2,3),
(152088,240151,10,100,'Applies Netherous Cascade.  Lasts for 5.0 seconds.',0,0),
(152089,240151,10,100,'When damaged with a spell this spell will cast Nether Void on target.  ',1,1),
(152090,240151,10,100,'Inflicts 552 - 675 poison damage on target',2,2),
(152091,240151,10,100,'Grants a total of 1 trigger of the spell.',2,3),
(152092,240152,10,100,'Applies Netherous Cascade.  Lasts for 5.0 seconds.',0,0),
(152093,240152,10,100,'When damaged with a spell this spell will cast Nether Void on target.  ',1,1),
(152094,240152,10,100,'Inflicts 614 - 751 poison damage on target',2,2),
(152095,240152,10,100,'Grants a total of 1 trigger of the spell.',2,3),
(152096,240152,11,100,'Applies Netherous Cascade.  Lasts for 5.0 seconds.',0,0),
(152097,240152,11,100,'When damaged with a spell this spell will cast Nether Void on target.  ',1,1),
(152098,240152,11,100,'Inflicts 738 - 902 poison damage on target',2,2),
(152099,240152,11,100,'Grants a total of 1 trigger of the spell.',2,3),
(152100,240155,10,100,'Summons a limited pet to aid the caster',0,0),
(152101,240156,10,100,'Summons a limited pet to aid the caster',0,0),
(152102,240157,10,100,'Summons a limited pet to aid the caster',0,0),
(152103,240157,11,100,'Summons a limited pet to aid the caster',0,0),
(152104,240159,10,100,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',0,0),
(152105,240159,10,100,'Slows target by 56.8%',1,1),
(152106,240159,10,100,'Makes target afraid',1,2),
(152107,240159,10,100,'30% chance to dispel when target takes damage',1,3),
(152108,240159,10,100,'Does not affect Epic targets',1,4),
(152109,240159,10,100,'Resistibility increases against targets higher than level 48.',1,5),
(152110,240159,10,100,'Roots target',0,6),
(152111,240159,10,100,'15% chance to dispel when target takes damage',0,7),
(152112,240159,10,100,'Does not affect Epic targets',0,8),
(152113,240159,10,100,'Resistibility increases against targets higher than level 29.',0,9),
(152114,240160,10,100,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',0,0),
(152115,240160,10,100,'Slows target by 61.5%',1,1),
(152116,240160,10,100,'Makes target afraid',1,2),
(152117,240160,10,100,'30% chance to dispel when target takes damage',1,3),
(152118,240160,10,100,'Does not affect Epic targets',1,4),
(152119,240160,10,100,'Resistibility increases against targets higher than level 62.',1,5),
(152120,240160,10,100,'Roots target',0,6),
(152121,240160,10,100,'15% chance to dispel when target takes damage',0,7),
(152122,240160,10,100,'Does not affect Epic targets',0,8),
(152123,240160,10,100,'Resistibility increases against targets higher than level 29.',0,9),
(152124,240161,10,100,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',0,0),
(152125,240161,10,100,'Slows target by 66.2%',1,1),
(152126,240161,10,100,'Makes target afraid',1,2),
(152127,240161,10,100,'30% chance to dispel when target takes damage',1,3),
(152128,240161,10,100,'Does not affect Epic targets',1,4),
(152129,240161,10,100,'Resistibility increases against targets higher than level 76.',1,5),
(152130,240161,10,100,'Roots target',0,6),
(152131,240161,10,100,'15% chance to dispel when target takes damage',0,7),
(152132,240161,10,100,'Does not affect Epic targets',0,8),
(152133,240161,10,100,'Resistibility increases against targets higher than level 29.',0,9),
(152134,240162,10,100,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',0,0),
(152135,240162,10,100,'Slows target by 67.9%',1,1),
(152136,240162,10,100,'Makes target afraid',1,2),
(152137,240162,10,100,'30% chance to dispel when target takes damage',1,3),
(152138,240162,10,100,'Does not affect Epic targets',1,4),
(152139,240162,10,100,'Resistibility increases against targets higher than level 90.',1,5),
(152140,240162,10,100,'Roots target',0,6),
(152141,240162,10,100,'15% chance to dispel when target takes damage',0,7),
(152142,240162,10,100,'Does not affect Epic targets',0,8),
(152143,240162,10,100,'Resistibility increases against targets higher than level 29.',0,9),
(152144,240163,10,100,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',0,0),
(152145,240163,10,100,'Slows target by 68.7%',1,1),
(152146,240163,10,100,'Makes target afraid',1,2),
(152147,240163,10,100,'30% chance to dispel when target takes damage',1,3),
(152148,240163,10,100,'Does not affect Epic targets',1,4),
(152149,240163,10,100,'Resistibility increases against targets higher than level 102.',1,5),
(152150,240163,10,100,'Roots target',0,6),
(152151,240163,10,100,'15% chance to dispel when target takes damage',0,7),
(152152,240163,10,100,'Does not affect Epic targets',0,8),
(152153,240163,10,100,'Resistibility increases against targets higher than level 29.',0,9),
(152154,240164,10,100,'Applies Element of Fear on termination.  Lasts for 5.0 seconds.',0,0),
(152155,240164,10,100,'Slows target by 69.4%',1,1),
(152156,240164,10,100,'Makes target afraid',1,2),
(152157,240164,10,100,'30% chance to dispel when target takes damage',1,3),
(152158,240164,10,100,'Does not affect Epic targets',1,4),
(152159,240164,10,100,'Resistibility increases against targets higher than level 112.',1,5),
(152160,240164,10,100,'Roots target',0,6),
(152161,240164,10,100,'15% chance to dispel when target takes damage',0,7),
(152162,240164,10,100,'Does not affect Epic targets',0,8),
(152163,240164,10,100,'Resistibility increases against targets higher than level 29.',0,9),
(152164,240165,10,100,'Applies Disorientation.  Lasts for 10.0 seconds.',0,0),
(152165,240165,10,100,'Teleports target to a random location within 25 meters.',1,1),
(152166,240165,10,100,'Slows target by 75.0%',1,2),
(152167,240165,10,100,'10% chance to dispel when target takes damage',1,3),
(152168,240165,10,100,'If Target is not Epic',1,4),
(152169,240165,10,100,'Decreases Threat to targets in Area of Effect by 3,617 ',0,5),
(152170,240167,10,100,'Interrupts target encounter',0,0),
(152171,240167,10,100,'Decreases Threat to target encounter by 1,155 - 1,411 ',0,1),
(152172,240167,10,100,'Dazes target encounter',0,2),
(152173,240167,10,100,'If Target is not Epic',1,3),
(152174,240167,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(152175,240168,10,100,'Interrupts target encounter',0,0),
(152176,240168,10,100,'Decreases Threat to target encounter by 1,978 - 2,418 ',0,1),
(152177,240168,10,100,'Dazes target encounter',0,2),
(152178,240168,10,100,'If Target is not Epic',1,3),
(152179,240168,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(152180,240169,10,100,'Interrupts target encounter',0,0),
(152181,240169,10,100,'Decreases Threat to target encounter by 3,017 - 3,687 ',0,1),
(152182,240169,10,100,'Dazes target encounter',0,2),
(152183,240169,10,100,'If Target is not Epic',1,3),
(152184,240169,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(152185,240170,10,100,'Interrupts target encounter',0,0),
(152186,240170,10,100,'Decreases Threat to target encounter by 4,144 - 5,065 ',0,1),
(152187,240170,10,100,'Dazes target encounter',0,2),
(152188,240170,10,100,'If Target is not Epic',1,3),
(152189,240170,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(152190,240171,10,100,'Interrupts target encounter',0,0),
(152191,240171,10,100,'Decreases Threat to target encounter by 5,267 - 6,437 ',0,1),
(152192,240171,10,100,'Dazes target encounter',0,2),
(152193,240171,10,100,'If Target is not Epic',1,3),
(152194,240171,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(152195,240172,10,100,'Interrupts target encounter',0,0),
(152196,240172,10,100,'Decreases Threat to target encounter by 6,403 - 7,826 ',0,1),
(152197,240172,10,100,'Dazes target encounter',0,2),
(152198,240172,10,100,'If Target is not Epic',1,3),
(152199,240172,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(152200,240173,10,100,'Interrupts target encounter',0,0),
(152201,240173,10,100,'Decreases Threat to target encounter by 7,538 - 9,214 ',0,1),
(152202,240173,10,100,'Dazes target encounter',0,2),
(152203,240173,10,100,'If Target is not Epic',1,3),
(152204,240173,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(152205,240173,11,100,'Interrupts target encounter',0,0),
(152206,240173,11,100,'Decreases Threat to target encounter by 9,064 - 11,078 ',0,1),
(152207,240173,11,100,'Dazes target encounter',0,2),
(152208,240173,11,100,'If Target is not Epic',1,3),
(152209,240173,11,100,'Resistibility increases against targets higher than level 29.',0,4),
(152210,240175,10,100,'Throws target back',0,0),
(152211,240175,10,100,'If Target is not Epic',1,1),
(152212,240175,10,100,'Inflicts 2067 - 3445 magic damage on targets in Area of Effect',0,2),
(152213,240175,10,100,'Stuns targets in Area of Effect',0,3),
(152214,240175,10,100,'If Target is not Epic',1,4),
(152215,240175,10,100,'Resistibility increases against targets higher than level 29.',0,5),
(152216,240176,10,100,'Throws target back',0,0),
(152217,240176,10,100,'If Target is not Epic',1,1),
(152218,240176,10,100,'Inflicts 2640 - 4399 magic damage on targets in Area of Effect',0,2),
(152219,240176,10,100,'Stuns targets in Area of Effect',0,3),
(152220,240176,10,100,'If Target is not Epic',1,4),
(152221,240176,10,100,'Resistibility increases against targets higher than level 29.',0,5),
(152222,240177,10,100,'Throws target back',0,0),
(152223,240177,10,100,'If Target is not Epic',1,1),
(152224,240177,10,100,'Inflicts 3180 - 5300 magic damage on targets in Area of Effect',0,2),
(152225,240177,10,100,'Stuns targets in Area of Effect',0,3),
(152226,240177,10,100,'If Target is not Epic',1,4),
(152227,240177,10,100,'Resistibility increases against targets higher than level 29.',0,5),
(152228,240178,10,100,'Throws target back',0,0),
(152229,240178,10,100,'If Target is not Epic',1,1),
(152230,240178,10,100,'Inflicts 3452 - 5753 magic damage on targets in Area of Effect',0,2),
(152231,240178,10,100,'Stuns targets in Area of Effect',0,3),
(152232,240178,10,100,'If Target is not Epic',1,4),
(152233,240178,10,100,'Resistibility increases against targets higher than level 29.',0,5),
(152234,240178,11,100,'Throws target back',0,0),
(152235,240178,11,100,'If Target is not Epic',1,1),
(152236,240178,11,100,'Inflicts 4150 - 6917 magic damage on targets in Area of Effect',0,2),
(152237,240178,11,100,'Stuns targets in Area of Effect',0,3),
(152238,240178,11,100,'If Target is not Epic',1,4),
(152239,240178,11,100,'Resistibility increases against targets higher than level 29.',0,5),
(152240,240180,10,100,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',0,0),
(152241,240180,10,100,'Inflicts 25 - 30 poison damage on target encounter',1,1),
(152242,240181,10,100,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',0,0),
(152243,240181,10,100,'Inflicts 47 - 57 poison damage on target encounter',1,1),
(152244,240182,10,100,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',0,0),
(152245,240182,10,100,'Inflicts 72 - 88 poison damage on target encounter',1,1),
(152246,240184,10,100,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',0,0),
(152247,240184,10,100,'Inflicts 122 - 149 poison damage on target encounter',1,1),
(152248,240185,10,100,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',0,0),
(152249,240185,10,100,'Inflicts 147 - 180 poison damage on target encounter',1,1),
(152250,240186,10,100,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',0,0),
(152251,240186,10,100,'Inflicts 164 - 200 poison damage on target encounter',1,1),
(152252,240186,11,100,'When damaged this spell has a 25% chance to cast Nihilistics on target''s attacker.  ',0,0),
(152253,240186,11,100,'Inflicts 197 - 241 poison damage on target encounter',1,1),
(152254,240187,10,100,'Roots target encounter',0,0),
(152255,240187,10,100,'15% chance to dispel when target takes damage',0,1),
(152256,240187,10,100,'Does not affect Epic targets',0,2),
(152257,240187,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(152258,240188,10,100,'Roots target encounter',0,0),
(152259,240188,10,100,'15% chance to dispel when target takes damage',0,1),
(152260,240188,10,100,'Does not affect Epic targets',0,2),
(152261,240188,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(152262,240189,10,100,'Roots target encounter',0,0),
(152263,240189,10,100,'15% chance to dispel when target takes damage',0,1),
(152264,240189,10,100,'Does not affect Epic targets',0,2),
(152265,240189,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(152266,240190,10,100,'Roots target encounter',0,0),
(152267,240190,10,100,'15% chance to dispel when target takes damage',0,1),
(152268,240190,10,100,'Does not affect Epic targets',0,2),
(152269,240190,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(152270,240191,10,100,'Roots target encounter',0,0),
(152271,240191,10,100,'15% chance to dispel when target takes damage',0,1),
(152272,240191,10,100,'Does not affect Epic targets',0,2),
(152273,240191,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(152274,240192,10,100,'Roots target encounter',0,0),
(152275,240192,10,100,'15% chance to dispel when target takes damage',0,1),
(152276,240192,10,100,'Does not affect Epic targets',0,2),
(152277,240192,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(152278,240192,11,100,'Roots target encounter',0,0),
(152279,240192,11,100,'15% chance to dispel when target takes damage',0,1),
(152280,240192,11,100,'Does not affect Epic targets',0,2),
(152281,240192,11,100,'Resistibility increases against targets higher than level 29.',0,3),
(152282,240195,10,100,'Decreases Mitigation of target encounter vs noxious damage by 454',0,0),
(152283,240196,10,100,'Decreases Mitigation of target encounter vs noxious damage by 689',0,0),
(152284,240197,10,100,'Decreases Mitigation of target encounter vs noxious damage by 1996',0,0),
(152285,240197,11,100,'Decreases Mitigation of target encounter vs noxious damage by 2400',0,0),
(152286,240198,10,100,'Decreases Mitigation of target encounter vs noxious damage by 924',0,0),
(152287,240199,10,100,'Decreases Mitigation of target encounter vs noxious damage by 1159',0,0),
(152288,240200,10,100,'Decreases Mitigation of target encounter vs noxious damage by 1498',0,0),
(152289,240201,10,100,'Decreases Mitigation of target encounter vs noxious damage by 1794',0,0),
(152290,240202,10,100,'Increases power of caster by 55',0,0),
(152291,240203,10,100,'Increases power of caster by 119',0,0),
(152292,240205,10,100,'Increases power of caster by 279',0,0),
(152293,240206,10,100,'Increases power of caster by 368',0,0),
(152294,240207,10,100,'Increases power of caster by 491',0,0),
(152295,240208,10,100,'Increases power of caster by 591',0,0),
(152296,240209,10,100,'Increases power of caster by 627',0,0),
(152297,240209,11,100,'Increases power of caster by 754',0,0),
(152307,250002,10,100,'Increases In-Combat Power Regeneration of group members (AE) by 10.4',0,0),
(152308,250003,10,100,'Applies Migraine on termination.',0,0),
(152309,250003,10,100,'Inflicts 75 - 101 mental damage on target',1,1),
(152310,250003,10,100,'Inflicts 26 - 32 mental damage on target instantly and every 6 seconds',0,2),
(152311,250004,10,100,'Applies Migraine on termination.',0,0),
(152312,250004,10,100,'Inflicts 45 - 60 mental damage on target',1,1),
(152313,250004,10,100,'Inflicts 16 - 19 mental damage on target instantly and every 6 seconds',0,2),
(152314,250005,10,100,'Charms target',0,0),
(152315,250005,10,100,'Increases Power Regen of target by 5.0',0,1),
(152316,250005,10,100,'Increases Health Regen of target by 10.1',0,2),
(152317,250005,10,100,'If outside an arena',0,3),
(152318,250005,10,100,'Certain enemies cannot be charmed',0,4),
(152319,250005,10,100,'Only affects targets level 24 and below',0,5),
(152320,250005,10,100,'Does not affect Epic targets',0,6),
(152321,250006,10,100,'Increases power of caster by 11 instantly and every 4 seconds',0,0),
(152322,250007,10,100,'Decreases power of target by 147 - 180',0,0),
(152323,250007,10,100,'Stuns target',0,1),
(152324,250007,10,100,'If Target is not Epic',1,2),
(152325,250007,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(152326,250008,10,100,'Inflicts 78 - 95 mental damage on target',0,0),
(152327,250008,10,100,'Roots target',0,1),
(152328,250008,10,100,'5% chance to dispel when target takes damage',0,2),
(152329,250008,10,100,'5% chance to dispel when target receives hostile action',0,3),
(152330,250008,10,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,4),
(152331,250008,10,100,'Resistibility increases against targets higher than level 29.',0,5),
(152332,250009,10,100,'Stuns target',0,0),
(152333,250009,10,100,'Prevents AOE (except when direct) ',0,1),
(152334,250009,10,100,'Dispelled when target takes damage',0,2),
(152335,250009,10,100,'Does not affect Epic targets',0,3),
(152336,250009,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(152337,250010,10,100,'Inflicts 22 - 27 mental damage on target instantly and every 6 seconds',0,0),
(152338,250010,10,100,'Decreases Mitigation of target vs arcane damage by 263',0,1),
(152339,250011,10,100,'When any damage is received this spell will cast Breeze on target.  ',0,0),
(152340,250011,10,100,'Increases power of caster by 192',1,1),
(152341,250011,10,100,'Grants a total of 3 triggers of the spell.',1,2),
(152342,250012,10,100,'When any damage is received this spell will cast Breeze on target.  ',0,0),
(152343,250012,10,100,'Increases power of caster by 320',1,1),
(152344,250012,10,100,'Grants a total of 3 triggers of the spell.',1,2),
(152345,250013,10,100,'When any damage is received this spell will cast Breeze on target.  ',0,0),
(152346,250013,10,100,'Increases power of caster by 464',1,1),
(152347,250013,10,100,'Grants a total of 3 triggers of the spell.',1,2),
(152348,250015,11,100,'When any damage is received this spell will cast Breeze on target.  ',0,0),
(152349,250015,11,100,'Increases power of caster by 871',1,1),
(152350,250015,11,100,'Grants a total of 3 triggers of the spell.',1,2),
(152351,250016,10,100,'Inflicts 57 - 77 mental damage on target',0,0),
(152352,250017,10,100,'Decreases power of target by 24 - 30 instantly and every second',0,0),
(152353,250017,10,100,'Stifles target',0,1),
(152354,250017,10,100,'If Target is not Epic',1,2),
(152355,250017,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(152356,250018,1,100,'Increases Mental Mitigation of group members (AE) by 38',0,1),
(152357,250019,10,100,'Decreases Threat to target by 1,102 ',0,0),
(152358,250019,10,100,'Stuns target',0,1),
(152359,250019,10,100,'If Target is not Epic',1,2),
(152360,250019,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(152361,250020,3,100,'Grants invisibility to target',0,0),
(152362,250020,3,100,'Suspends target''s movement speed enhancements',0,1),
(152363,250020,3,100,'Prevents AOE (except when direct) ',0,2),
(152364,250020,3,100,'Dispelled when target takes damage',0,3),
(152365,250020,3,100,'This effect cancels during combat',0,4),
(152366,260001,10,100,'Inflicts 160 - 195 mental damage on target',0,0),
(152367,260001,10,100,'Dazes target',0,1),
(152368,260001,10,100,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',0,2),
(152369,260001,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(152370,260002,10,100,'Inflicts 262 - 320 mental damage on target',0,0),
(152371,260002,10,100,'Dazes target',0,1),
(152372,260002,10,100,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',0,2),
(152373,260002,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(152374,260003,10,100,'Inflicts 387 - 473 mental damage on target',0,0),
(152375,260003,10,100,'Dazes target',0,1),
(152376,260003,10,100,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',0,2),
(152377,260003,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(152378,260004,10,100,'Inflicts 514 - 628 mental damage on target',0,0),
(152379,260004,10,100,'Dazes target',0,1),
(152380,260004,10,100,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',0,2),
(152381,260004,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(152382,260005,10,100,'Inflicts 634 - 774 mental damage on target',0,0),
(152383,260005,10,100,'Dazes target',0,1),
(152384,260005,10,100,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',0,2),
(152385,260005,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(152386,260006,10,100,'Inflicts 763 - 933 mental damage on target',0,0),
(152387,260006,10,100,'Dazes target',0,1),
(152388,260006,10,100,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',0,2),
(152389,260006,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(152390,260007,10,100,'Inflicts 828 - 1012 mental damage on target',0,0),
(152391,260007,10,100,'Dazes target',0,1),
(152392,260007,10,100,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',0,2),
(152393,260007,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(152394,260007,11,100,'Inflicts 996 - 1217 mental damage on target',0,0),
(152395,260007,11,100,'Dazes target',0,1),
(152396,260007,11,100,'Epic targets gain an immunity to Daze effects of 13.5 seconds and duration is reduced to 1.5 seconds.',0,2),
(152397,260007,11,100,'Resistibility increases against targets higher than level 29.',0,3),
(152398,260010,10,100,'Increases Max Power of group members (AE) by 277.2',0,0),
(152399,260010,10,100,'Increases Mitigation of group members (AE) vs arcane damage by 470',0,1),
(152400,260011,10,100,'Increases Max Power of group members (AE) by 424.4',0,0),
(152401,260011,10,100,'Increases Mitigation of group members (AE) vs arcane damage by 659',0,1),
(152402,260012,10,100,'Increases Max Power of group members (AE) by 548.3',0,0),
(152403,260012,10,100,'Increases Mitigation of group members (AE) vs arcane damage by 847',0,1),
(152404,260014,10,100,'Increases Max Power of group members (AE) by 739.7',0,0),
(152405,260014,10,100,'Increases Mitigation of group members (AE) vs arcane damage by 1228',0,1),
(152406,260015,10,100,'Increases Max Power of group members (AE) by 826.7',0,0),
(152407,260015,10,100,'Increases Mitigation of group members (AE) vs arcane damage by 1404',0,1),
(152408,260015,11,100,'Increases Max Power of group members (AE) by 994.0',0,0),
(152409,260015,11,100,'Increases Mitigation of group members (AE) vs arcane damage by 1689',0,1),
(152410,260017,10,100,'Stuns target encounter',0,0),
(152411,260017,10,100,'Epic targets gain an immunity to Stun effects of 8.3 seconds and duration is reduced to 0.9 seconds.',0,1),
(152412,260017,10,100,'Resistibility increases against targets higher than level 29.',0,2),
(152413,260018,10,100,'Stuns target encounter',0,0),
(152414,260018,10,100,'Epic targets gain an immunity to Stun effects of 8.3 seconds and duration is reduced to 0.9 seconds.',0,1),
(152415,260018,10,100,'Resistibility increases against targets higher than level 29.',0,2),
(152416,260020,10,100,'Stuns target encounter',0,0),
(152417,260020,10,100,'Epic targets gain an immunity to Stun effects of 8.3 seconds and duration is reduced to 0.9 seconds.',0,1),
(152418,260020,10,100,'Resistibility increases against targets higher than level 29.',0,2),
(152419,260021,10,100,'Stuns target encounter',0,0),
(152420,260021,10,100,'Epic targets gain an immunity to Stun effects of 8.3 seconds and duration is reduced to 0.9 seconds.',0,1),
(152421,260021,10,100,'Resistibility increases against targets higher than level 29.',0,2),
(152422,260022,10,100,'Stuns target encounter',0,0),
(152423,260022,10,100,'Epic targets gain an immunity to Stun effects of 8.3 seconds and duration is reduced to 0.9 seconds.',0,1),
(152424,260022,10,100,'Resistibility increases against targets higher than level 29.',0,2),
(152425,260023,11,100,'Applies Migraine on termination.',0,0),
(152426,260023,11,100,'Inflicts 17 - 24 mental damage on target',1,1),
(152427,260023,11,100,'Inflicts 8 - 10 mental damage on target instantly and every 6 seconds',0,2),
(152428,260024,11,100,'Applies Migraine on termination.',0,0),
(152429,260024,11,100,'Inflicts 54 - 73 mental damage on target',1,1),
(152430,260024,11,100,'Inflicts 25 - 30 mental damage on target instantly and every 6 seconds',0,2),
(152431,260025,11,100,'Applies Migraine on termination.',0,0),
(152432,260025,11,100,'Inflicts 90 - 121 mental damage on target',1,1),
(152433,260025,11,100,'Inflicts 41 - 50 mental damage on target instantly and every 6 seconds',0,2),
(152434,260026,11,100,'Applies Migraine on termination.',0,0),
(152435,260026,11,100,'Inflicts 173 - 234 mental damage on target',1,1),
(152436,260026,11,100,'Inflicts 80 - 97 mental damage on target instantly and every 6 seconds',0,2),
(152437,260027,10,100,'Applies Migraine on termination.',0,0),
(152438,260027,10,100,'Inflicts 566 - 766 mental damage on target',1,1),
(152439,260027,10,100,'Inflicts 260 - 318 mental damage on target instantly and every 6 seconds',0,2),
(152440,260027,11,100,'Applies Migraine on termination.',0,0),
(152441,260027,11,100,'Inflicts 681 - 921 mental damage on target',1,1),
(152442,260027,11,100,'Inflicts 312 - 382 mental damage on target instantly and every 6 seconds',0,2),
(152443,260028,10,100,'Applies Migraine on termination.',0,0),
(152444,260028,10,100,'Inflicts 223 - 301 mental damage on target',1,1),
(152445,260028,10,100,'Inflicts 102 - 125 mental damage on target instantly and every 6 seconds',0,2),
(152446,260028,11,100,'Applies Migraine on termination.',0,0),
(152447,260028,11,100,'Inflicts 268 - 362 mental damage on target',1,1),
(152448,260028,11,100,'Inflicts 123 - 150 mental damage on target instantly and every 6 seconds',0,2),
(152449,260029,10,100,'Applies Migraine on termination.',0,0),
(152450,260029,10,100,'Inflicts 313 - 423 mental damage on target',1,1),
(152451,260029,10,100,'Inflicts 143 - 175 mental damage on target instantly and every 6 seconds',0,2),
(152452,260029,11,100,'Applies Migraine on termination.',0,0),
(152453,260029,11,100,'Inflicts 376 - 509 mental damage on target',1,1),
(152454,260029,11,100,'Inflicts 173 - 211 mental damage on target instantly and every 6 seconds',0,2),
(152455,260030,11,100,'Applies Migraine on termination.',0,0),
(152456,260030,11,100,'Inflicts 481 - 650 mental damage on target',1,1),
(152457,260030,11,100,'Inflicts 221 - 270 mental damage on target instantly and every 6 seconds',0,2),
(152458,260031,10,100,'Applies Migraine on termination.',0,0),
(152459,260031,10,100,'Inflicts 484 - 655 mental damage on target',1,1),
(152460,260031,10,100,'Inflicts 222 - 271 mental damage on target instantly and every 6 seconds',0,2),
(152461,260031,11,100,'Applies Migraine on termination.',0,0),
(152462,260031,11,100,'Inflicts 582 - 787 mental damage on target',1,1),
(152463,260031,11,100,'Inflicts 267 - 326 mental damage on target instantly and every 6 seconds',0,2),
(152464,260032,10,100,'Inflicts 193 - 236 mental damage on target encounter instantly and every second',0,0),
(152465,260032,10,100,'Stifles target encounter',0,1),
(152466,260032,10,100,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(152467,260032,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(152468,260032,11,100,'Inflicts 233 - 284 mental damage on target encounter instantly and every second',0,0),
(152469,260032,11,100,'Stifles target encounter',0,1),
(152470,260032,11,100,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(152471,260032,11,100,'Resistibility increases against targets higher than level 29.',0,3),
(152472,260033,10,100,'Inflicts 291 - 356 mental damage on target encounter instantly and every second',0,0),
(152473,260033,10,100,'Stifles target encounter',0,1),
(152474,260033,10,100,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(152475,260033,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(152476,260033,11,100,'Inflicts 350 - 428 mental damage on target encounter instantly and every second',0,0),
(152477,260033,11,100,'Stifles target encounter',0,1),
(152478,260033,11,100,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(152479,260033,11,100,'Resistibility increases against targets higher than level 29.',0,3),
(152480,260034,10,100,'Inflicts 353 - 431 mental damage on target encounter instantly and every second',0,0),
(152481,260034,10,100,'Stifles target encounter',0,1),
(152482,260034,10,100,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(152483,260034,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(152484,260034,11,100,'Inflicts 424 - 519 mental damage on target encounter instantly and every second',0,0),
(152485,260034,11,100,'Stifles target encounter',0,1),
(152486,260034,11,100,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(152487,260034,11,100,'Resistibility increases against targets higher than level 29.',0,3),
(152488,260035,10,100,'Inflicts 425 - 519 mental damage on target encounter instantly and every second',0,0),
(152489,260035,10,100,'Stifles target encounter',0,1),
(152490,260035,10,100,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(152491,260035,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(152492,260035,11,100,'Inflicts 510 - 624 mental damage on target encounter instantly and every second',0,0),
(152493,260035,11,100,'Stifles target encounter',0,1),
(152494,260035,11,100,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(152495,260035,11,100,'Resistibility increases against targets higher than level 29.',0,3),
(152496,260036,10,100,'Inflicts 450 - 551 mental damage on target encounter instantly and every second',0,0),
(152497,260036,10,100,'Stifles target encounter',0,1),
(152498,260036,10,100,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(152499,260036,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(152500,260036,11,100,'Inflicts 542 - 662 mental damage on target encounter instantly and every second',0,0),
(152501,260036,11,100,'Stifles target encounter',0,1),
(152502,260036,11,100,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(152503,260036,11,100,'Resistibility increases against targets higher than level 29.',0,3),
(152504,260039,10,100,'Applies Stumble on termination.',0,0),
(152505,260039,10,100,'Interrupts target',1,1),
(152506,260039,10,100,'Interrupts target encounter',0,2),
(152507,260039,10,100,'Inflicts 60 - 73 mental damage on target encounter instantly and every 2 seconds',0,3),
(152508,260040,10,100,'Applies Stumble on termination.',0,0),
(152509,260040,10,100,'Interrupts target',1,1),
(152510,260040,10,100,'Interrupts target encounter',0,2),
(152511,260040,10,100,'Inflicts 90 - 110 mental damage on target encounter instantly and every 2 seconds',0,3),
(152512,260042,10,100,'Applies Stumble on termination.',0,0),
(152513,260042,10,100,'Interrupts target',1,1),
(152514,260042,10,100,'Interrupts target encounter',0,2),
(152515,260042,10,100,'Inflicts 153 - 187 mental damage on target encounter instantly and every 2 seconds',0,3),
(152516,260043,10,100,'Applies Stumble on termination.',0,0),
(152517,260043,10,100,'Interrupts target',1,1),
(152518,260043,10,100,'Interrupts target encounter',0,2),
(152519,260043,10,100,'Inflicts 184 - 225 mental damage on target encounter instantly and every 2 seconds',0,3),
(152520,260044,10,100,'Applies Stumble on termination.',0,0),
(152521,260044,10,100,'Interrupts target',1,1),
(152522,260044,10,100,'Interrupts target encounter',0,2),
(152523,260044,10,100,'Inflicts 205 - 250 mental damage on target encounter instantly and every 2 seconds',0,3),
(152524,260044,11,100,'Applies Stumble on termination.',0,0),
(152525,260044,11,100,'Interrupts target',1,1),
(152526,260044,11,100,'Interrupts target encounter',0,2),
(152527,260044,11,100,'Inflicts 246 - 301 mental damage on target encounter instantly and every 2 seconds',0,3),
(152528,260045,10,100,'Decreases Crushing, Piercing, Slashing and Ranged of target by 15.1',0,0),
(152529,260046,10,100,'Decreases Crushing, Piercing, Slashing and Ranged of target by 26.5',0,0),
(152530,260047,10,100,'Decreases Crushing, Piercing, Slashing and Ranged of target by 37.8',0,0),
(152531,260048,10,100,'Decreases Crushing, Piercing, Slashing and Ranged of target by 48.4',0,0),
(152532,260049,10,100,'Decreases Crushing, Piercing, Slashing and Ranged of target by 59.0',0,0),
(152533,260050,10,100,'Decreases Crushing, Piercing, Slashing and Ranged of target by 69.0',0,0),
(152534,260051,10,100,'Decreases Crushing, Piercing, Slashing and Ranged of target by 79.1',0,0),
(152535,260051,11,100,'Decreases Crushing, Piercing, Slashing and Ranged of target by 95.1',0,0),
(152536,260052,10,100,'Summons a limited pet to aid the caster',0,0),
(152537,260053,10,100,'Summons a limited pet to aid the caster',0,0),
(152538,260054,10,100,'Summons a limited pet to aid the caster',0,0),
(152539,260054,11,100,'Summons a limited pet to aid the caster',0,0),
(152540,260055,1,100,'Mesmerizes target',0,0),
(152541,260055,1,100,'Prevents AOE (except when direct) ',0,1),
(152542,260055,1,100,'Dispelled when target takes damage',0,2),
(152543,260055,1,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(152544,260055,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(152545,260058,10,100,'Mesmerizes target',0,0),
(152546,260058,10,100,'Prevents AOE (except when direct) ',0,1),
(152547,260058,10,100,'Dispelled when target takes damage',0,2),
(152548,260058,10,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(152549,260058,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(152550,260060,10,100,'Mesmerizes target',0,0),
(152551,260060,10,100,'Prevents AOE (except when direct) ',0,1),
(152552,260060,10,100,'Dispelled when target takes damage',0,2),
(152553,260060,10,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(152554,260060,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(152555,260061,10,100,'Mesmerizes target',0,0),
(152556,260061,10,100,'Prevents AOE (except when direct) ',0,1),
(152557,260061,10,100,'Dispelled when target takes damage',0,2),
(152558,260061,10,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(152559,260061,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(152560,260062,10,100,'Mesmerizes target',0,0),
(152561,260062,10,100,'Prevents AOE (except when direct) ',0,1),
(152562,260062,10,100,'Dispelled when target takes damage',0,2),
(152563,260062,10,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(152564,260062,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(152565,260063,10,100,'Increases Combat Power Regen of group members (AE) by 10.4',0,0),
(152566,260065,10,100,'Increases Combat Power Regen of group members (AE) by 32.8',0,0),
(152567,260067,10,100,'Increases Combat Power Regen of group members (AE) by 55.6',0,0),
(152568,260068,10,100,'Increases Combat Power Regen of group members (AE) by 66.4',0,0),
(152569,260069,10,100,'Increases Combat Power Regen of group members (AE) by 74.8',0,0),
(152570,260069,11,100,'Increases Combat Power Regen of group members (AE) by 89.9',0,0),
(152571,260070,10,100,'Increases power of caster by 11 instantly and every 4 seconds',0,0),
(152572,260071,10,100,'Increases power of caster by 24 instantly and every 4 seconds',0,0),
(152573,260072,10,100,'Increases power of caster by 38 instantly and every 4 seconds',0,0),
(152574,260073,10,100,'Increases power of caster by 56 instantly and every 4 seconds',0,0),
(152575,260074,10,100,'Increases power of caster by 74 instantly and every 4 seconds',0,0),
(152576,260075,10,100,'Increases power of caster by 98 instantly and every 4 seconds',0,0),
(152577,260076,10,100,'Increases power of caster by 118 instantly and every 4 seconds',0,0),
(152578,260077,10,100,'Increases power of caster by 125 instantly and every 4 seconds',0,0),
(152579,260077,11,100,'Increases power of caster by 151 instantly and every 4 seconds',0,0),
(152580,260078,10,100,'Increases INT of group members (AE) by 65.5',0,0),
(152581,260078,10,100,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 25.2',0,1),
(152582,260079,10,100,'Increases INT of group members (AE) by 101.5',0,0),
(152583,260079,10,100,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 39.3',0,1),
(152584,260080,10,100,'Increases INT of group members (AE) by 139.1',0,0),
(152585,260080,10,100,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 53.4',0,1),
(152586,260081,10,100,'Increases INT of group members (AE) by 176.7',0,0),
(152587,260081,10,100,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 67.5',0,1),
(152588,260082,10,100,'Increases INT of group members (AE) by 214.4',0,0),
(152589,260082,10,100,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 78.6',0,1),
(152590,260083,10,100,'Increases INT of group members (AE) by 251.3',0,0),
(152591,260083,10,100,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 88.7',0,1),
(152592,260084,10,100,'Increases INT of group members (AE) by 288.3',0,0),
(152593,260084,10,100,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 98.8',0,1),
(152594,260084,11,100,'Increases INT of group members (AE) by 346.6',0,0),
(152595,260084,11,100,'Increases Focus, Disruption, Subjugation, Ministration and Ordination of group members (AE) by 118.8',0,1),
(152596,260089,10,100,'Applies Memory Wipe on termination.  Lasts for 1.0 second.',0,0),
(152597,260089,10,100,'Wipes most of the target''s memory of aggression',1,1),
(152598,260089,10,100,'Summons 6 limited pets to aid the caster',0,2),
(152599,260090,10,100,'Applies Memory Wipe on termination.  Lasts for 1.0 second.',0,0),
(152600,260090,10,100,'Wipes most of the target''s memory of aggression',1,1),
(152601,260090,10,100,'Summons 6 limited pets to aid the caster',0,2),
(152602,260091,10,100,'Applies Memory Wipe on termination.  Lasts for 1.0 second.',0,0),
(152603,260091,10,100,'Wipes most of the target''s memory of aggression',1,1),
(152604,260091,10,100,'Summons 6 limited pets to aid the caster',0,2),
(152605,260092,10,100,'Applies Memory Wipe on termination.  Lasts for 1.0 second.',0,0),
(152606,260092,10,100,'Wipes most of the target''s memory of aggression',1,1),
(152607,260092,10,100,'Summons 6 limited pets to aid the caster',0,2),
(152608,260092,11,100,'Applies Memory Wipe on termination.  Lasts for 1.0 second.',0,0),
(152609,260092,11,100,'Wipes most of the target''s memory of aggression',1,1),
(152610,260092,11,100,'Summons 6 limited pets to aid the caster',0,2),
(152611,260095,1,100,'Resistibility increases against targets higher than level 29.',0,10),
(152612,260095,2,100,'Resistibility increases against targets higher than level 29.',0,10),
(152613,260095,3,100,'Resistibility increases against targets higher than level 29.',0,10),
(152614,260095,4,100,'Resistibility increases against targets higher than level 29.',0,10),
(152615,260095,5,100,'Resistibility increases against targets higher than level 29.',0,10),
(152616,260095,7,100,'Resistibility increases against targets higher than level 29.',0,10),
(152617,260095,9,100,'Resistibility increases against targets higher than level 29.',0,10),
(152618,260095,10,100,'Applies Stifle.  Lasts for 5.0 seconds.',0,0),
(152619,260095,10,100,'Blurs vision of target',1,1),
(152620,260095,10,100,'Stifles target',1,2),
(152621,260095,10,100,'If Target is not Epic',2,3),
(152622,260095,10,100,'Dispelled when target takes damage',1,4),
(152623,260095,10,100,'Epic targets gain an immunity to Stifle effects of 15.0 seconds and duration is reduced to 1.7 seconds.',1,5),
(152624,260095,10,100,'Resistibility increases against targets higher than level 48.',1,6),
(152625,260095,10,100,'Roots target',0,7),
(152626,260095,10,100,'5% chance to dispel when target takes damage',0,8),
(152627,260095,10,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,9),
(152628,260095,10,100,'Resistibility increases against targets higher than level 29.',0,10),
(152629,260096,1,100,'Resistibility increases against targets higher than level 29.',0,10),
(152630,260096,2,100,'Resistibility increases against targets higher than level 29.',0,10),
(152631,260096,3,100,'Resistibility increases against targets higher than level 29.',0,10),
(152632,260096,4,100,'Resistibility increases against targets higher than level 29.',0,10),
(152633,260096,5,100,'Resistibility increases against targets higher than level 29.',0,10),
(152634,260096,7,100,'Resistibility increases against targets higher than level 29.',0,10),
(152635,260096,9,100,'Resistibility increases against targets higher than level 29.',0,10),
(152636,260096,10,100,'Applies Stifle.  Lasts for 6.0 seconds.',0,0),
(152637,260096,10,100,'Blurs vision of target',1,1),
(152638,260096,10,100,'Stifles target',1,2),
(152639,260096,10,100,'If Target is not Epic',2,3),
(152640,260096,10,100,'Dispelled when target takes damage',1,4),
(152641,260096,10,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',1,5),
(152642,260096,10,100,'Resistibility increases against targets higher than level 62.',1,6),
(152643,260096,10,100,'Roots target',0,7),
(152644,260096,10,100,'5% chance to dispel when target takes damage',0,8),
(152645,260096,10,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,9),
(152646,260096,10,100,'Resistibility increases against targets higher than level 29.',0,10),
(152647,260097,1,100,'Resistibility increases against targets higher than level 29.',0,10),
(152648,260097,2,100,'Resistibility increases against targets higher than level 29.',0,10),
(152649,260097,3,100,'Resistibility increases against targets higher than level 29.',0,10),
(152650,260097,4,100,'Resistibility increases against targets higher than level 29.',0,10),
(152651,260097,5,100,'Resistibility increases against targets higher than level 29.',0,10),
(152652,260097,7,100,'Resistibility increases against targets higher than level 29.',0,10),
(152653,260097,9,100,'Resistibility increases against targets higher than level 29.',0,10),
(152654,260097,10,100,'Applies Stifle.  Lasts for 7.0 seconds.',0,0),
(152655,260097,10,100,'Blurs vision of target',1,1),
(152656,260097,10,100,'Stifles target',1,2),
(152657,260097,10,100,'If Target is not Epic',2,3),
(152658,260097,10,100,'Dispelled when target takes damage',1,4),
(152659,260097,10,100,'Epic targets gain an immunity to Stifle effects of 21.0 seconds and duration is reduced to 2.3 seconds.',1,5),
(152660,260097,10,100,'Resistibility increases against targets higher than level 76.',1,6),
(152661,260097,10,100,'Roots target',0,7),
(152662,260097,10,100,'5% chance to dispel when target takes damage',0,8),
(152663,260097,10,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,9),
(152664,260097,10,100,'Resistibility increases against targets higher than level 29.',0,10),
(152665,260098,1,100,'Resistibility increases against targets higher than level 29.',0,10),
(152666,260098,2,100,'Resistibility increases against targets higher than level 29.',0,10),
(152667,260098,3,100,'Resistibility increases against targets higher than level 29.',0,10),
(152668,260098,4,100,'Resistibility increases against targets higher than level 29.',0,10),
(152669,260098,5,100,'Resistibility increases against targets higher than level 29.',0,10),
(152670,260098,7,100,'Resistibility increases against targets higher than level 29.',0,10),
(152671,260098,9,100,'Resistibility increases against targets higher than level 29.',0,10),
(152672,260098,10,100,'Applies Stifle.  Lasts for 8.0 seconds.',0,0),
(152673,260098,10,100,'Blurs vision of target',1,1),
(152674,260098,10,100,'Stifles target',1,2),
(152675,260098,10,100,'If Target is not Epic',2,3),
(152676,260098,10,100,'Dispelled when target takes damage',1,4),
(152677,260098,10,100,'Epic targets gain an immunity to Stifle effects of 24.0 seconds and duration is reduced to 2.7 seconds.',1,5),
(152678,260098,10,100,'Resistibility increases against targets higher than level 90.',1,6),
(152679,260098,10,100,'Roots target',0,7),
(152680,260098,10,100,'5% chance to dispel when target takes damage',0,8),
(152681,260098,10,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,9),
(152682,260098,10,100,'Resistibility increases against targets higher than level 29.',0,10),
(152683,260099,1,100,'Resistibility increases against targets higher than level 29.',0,10),
(152684,260099,2,100,'Resistibility increases against targets higher than level 29.',0,10),
(152685,260099,3,100,'Resistibility increases against targets higher than level 29.',0,10),
(152686,260099,4,100,'Resistibility increases against targets higher than level 29.',0,10),
(152687,260099,5,100,'Resistibility increases against targets higher than level 29.',0,10),
(152688,260099,7,100,'Resistibility increases against targets higher than level 29.',0,10),
(152689,260099,9,100,'Resistibility increases against targets higher than level 29.',0,10),
(152690,260099,10,100,'Applies Stifle.  Lasts for 9.0 seconds.',0,0),
(152691,260099,10,100,'Blurs vision of target',1,1),
(152692,260099,10,100,'Stifles target',1,2),
(152693,260099,10,100,'If Target is not Epic',2,3),
(152694,260099,10,100,'Dispelled when target takes damage',1,4),
(152695,260099,10,100,'Epic targets gain an immunity to Stifle effects of 27.0 seconds and duration is reduced to 3.0 seconds.',1,5),
(152696,260099,10,100,'Resistibility increases against targets higher than level 102.',1,6),
(152697,260099,10,100,'Roots target',0,7),
(152698,260099,10,100,'5% chance to dispel when target takes damage',0,8),
(152699,260099,10,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,9),
(152700,260099,10,100,'Resistibility increases against targets higher than level 29.',0,10),
(152701,260100,1,100,'Resistibility increases against targets higher than level 29.',0,10),
(152702,260100,4,100,'Resistibility increases against targets higher than level 29.',0,10),
(152703,260100,5,100,'Resistibility increases against targets higher than level 29.',0,10),
(152704,260100,7,100,'Resistibility increases against targets higher than level 29.',0,10),
(152705,260100,9,100,'Resistibility increases against targets higher than level 29.',0,10),
(152706,260100,10,100,'Applies Stifle.  Lasts for 9.0 seconds.',0,0),
(152707,260100,10,100,'Blurs vision of target',1,1),
(152708,260100,10,100,'Stifles target',1,2),
(152709,260100,10,100,'If Target is not Epic',2,3),
(152710,260100,10,100,'Dispelled when target takes damage',1,4),
(152711,260100,10,100,'Epic targets gain an immunity to Stifle effects of 27.0 seconds and duration is reduced to 3.0 seconds.',1,5),
(152712,260100,10,100,'Resistibility increases against targets higher than level 112.',1,6),
(152713,260100,10,100,'Roots target',0,7),
(152714,260100,10,100,'5% chance to dispel when target takes damage',0,8),
(152715,260100,10,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,9),
(152716,260100,10,100,'Resistibility increases against targets higher than level 29.',0,10),
(152717,260101,10,100,'Decreases power of target encounter by 37 instantly and every 4 seconds',0,0),
(152718,260101,10,100,'Increases power of group members (AE) by 25 instantly and every 4 seconds',0,1),
(152719,260102,10,100,'Decreases power of target encounter by 56 instantly and every 4 seconds',0,0),
(152720,260102,10,100,'Increases power of group members (AE) by 38 instantly and every 4 seconds',0,1),
(152721,260103,10,100,'Decreases power of target encounter by 78 instantly and every 4 seconds',0,0),
(152722,260103,10,100,'Increases power of group members (AE) by 52 instantly and every 4 seconds',0,1),
(152723,260104,10,100,'Decreases power of target encounter by 97 instantly and every 4 seconds',0,0),
(152724,260104,10,100,'Increases power of group members (AE) by 68 instantly and every 4 seconds',0,1),
(152725,260105,10,100,'Decreases power of target encounter by 118 instantly and every 4 seconds',0,0),
(152726,260105,10,100,'Increases power of group members (AE) by 87 instantly and every 4 seconds',0,1),
(152727,260106,10,100,'Decreases power of target encounter by 134 instantly and every 4 seconds',0,0),
(152728,260106,10,100,'Increases power of group members (AE) by 98 instantly and every 4 seconds',0,1),
(152729,260106,11,100,'Decreases power of target encounter by 161 instantly and every 4 seconds',0,0),
(152730,260106,11,100,'Increases power of group members (AE) by 118 instantly and every 4 seconds',0,1),
(152731,260107,9,100,'Increases the max health of the illusionist''s Personae Reflection by 25%',0,0),
(152732,260107,9,100,'Changes Rapidity to a group buff and adds 10 Damage Per Second',0,1),
(152733,260107,9,100,'On a hostile spell cast this spell has a 12% chance to cast Soothing Mind on the group.  Lasts for 15.0 seconds.  ',0,2),
(152734,260107,9,100,'On any combat or spell hit this spell will cast Soothing Mind on target.  Lasts for 15.0 seconds.  ',1,3),
(152735,260107,9,100,'Increases power of target by 360',2,4),
(152736,260107,9,100,'Grants a total of 1 trigger of the spell.',2,5),
(152737,260107,9,100,'Cannot be modified except by direct means',1,6),
(152738,260107,9,100,'Cannot be modified except by direct means',0,7),
(152739,260107,10,100,'Increases the max health of the illusionist''s Personae Reflection by 25%',0,0),
(152740,260107,10,100,'Changes Rapidity to a group buff and adds 10 Damage Per Second',0,1),
(152741,260107,10,100,'On a hostile spell cast this spell has a 12% chance to cast Soothing Mind on the group.  Lasts for 15.0 seconds.  ',0,2),
(152742,260107,10,100,'On any combat or spell hit this spell will cast Soothing Mind on target.  Lasts for 15.0 seconds.  ',1,3),
(152743,260107,10,100,'Increases power of target by 360',2,4),
(152744,260107,10,100,'Grants a total of 1 trigger of the spell.',2,5),
(152745,260107,10,100,'Cannot be modified except by direct means',1,6),
(152746,260107,10,100,'Cannot be modified except by direct means',0,7),
(152747,260108,11,100,'Inflicts 26 - 32 mental damage on target instantly and every 6 seconds',0,0),
(152748,260108,11,100,'Decreases Mitigation of target vs arcane damage by 317',0,1),
(152749,260109,10,100,'Inflicts 45 - 56 mental damage on target instantly and every 6 seconds',0,0),
(152750,260109,10,100,'Decreases Mitigation of target vs arcane damage by 470',0,1),
(152751,260109,11,100,'Inflicts 55 - 67 mental damage on target instantly and every 6 seconds',0,0),
(152752,260109,11,100,'Decreases Mitigation of target vs arcane damage by 566',0,1),
(152753,260110,10,100,'Inflicts 72 - 88 mental damage on target instantly and every 6 seconds',0,0),
(152754,260110,10,100,'Decreases Mitigation of target vs arcane damage by 706',0,1),
(152755,260110,11,100,'Inflicts 86 - 105 mental damage on target instantly and every 6 seconds',0,0),
(152756,260110,11,100,'Decreases Mitigation of target vs arcane damage by 848',0,1),
(152757,260111,10,100,'Inflicts 104 - 127 mental damage on target instantly and every 6 seconds',0,0),
(152758,260111,10,100,'Decreases Mitigation of target vs arcane damage by 941',0,1),
(152759,260111,11,100,'Inflicts 125 - 152 mental damage on target instantly and every 6 seconds',0,0),
(152760,260111,11,100,'Decreases Mitigation of target vs arcane damage by 1131',0,1),
(152761,260112,10,100,'Inflicts 135 - 165 mental damage on target instantly and every 6 seconds',0,0),
(152762,260112,10,100,'Decreases Mitigation of target vs arcane damage by 1176',0,1),
(152763,260112,11,100,'Inflicts 163 - 199 mental damage on target instantly and every 6 seconds',0,0),
(152764,260112,11,100,'Decreases Mitigation of target vs arcane damage by 1414',0,1),
(152765,260113,10,100,'Inflicts 164 - 201 mental damage on target instantly and every 6 seconds',0,0),
(152766,260113,10,100,'Decreases Mitigation of target vs arcane damage by 1536',0,1),
(152767,260113,11,100,'Inflicts 197 - 241 mental damage on target instantly and every 6 seconds',0,0),
(152768,260113,11,100,'Decreases Mitigation of target vs arcane damage by 1847',0,1),
(152769,260114,10,100,'Inflicts 197 - 241 mental damage on target instantly and every 6 seconds',0,0),
(152770,260114,10,100,'Decreases Mitigation of target vs arcane damage by 1814',0,1),
(152771,260114,11,100,'Inflicts 237 - 290 mental damage on target instantly and every 6 seconds',0,0),
(152772,260114,11,100,'Decreases Mitigation of target vs arcane damage by 2182',0,1),
(152773,260115,10,100,'Inflicts 210 - 256 mental damage on target instantly and every 6 seconds',0,0),
(152774,260115,10,100,'Decreases Mitigation of target vs arcane damage by 2016',0,1),
(152775,260115,11,100,'Inflicts 252 - 308 mental damage on target instantly and every 6 seconds',0,0),
(152776,260115,11,100,'Decreases Mitigation of target vs arcane damage by 2424',0,1),
(152777,260117,10,100,'Inflicts 72 - 108 mental damage on target',0,0),
(152778,260117,10,100,'Stuns target',0,1),
(152779,260117,10,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(152780,260117,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(152781,260118,10,100,'Inflicts 155 - 232 mental damage on target',0,0),
(152782,260118,10,100,'Stuns target',0,1),
(152783,260118,10,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(152784,260118,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(152785,260119,10,100,'Inflicts 247 - 371 mental damage on target',0,0),
(152786,260119,10,100,'Stuns target',0,1),
(152787,260119,10,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(152788,260119,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(152789,260120,10,100,'Inflicts 741 - 1111 mental damage on target',0,0),
(152790,260120,10,100,'Stuns target',0,1),
(152791,260120,10,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(152792,260120,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(152793,260120,11,100,'Inflicts 891 - 1336 mental damage on target',0,0),
(152794,260120,11,100,'Stuns target',0,1),
(152795,260120,11,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(152796,260120,11,100,'Resistibility increases against targets higher than level 29.',0,3),
(152797,260121,10,100,'Inflicts 360 - 540 mental damage on target',0,0),
(152798,260121,10,100,'Stuns target',0,1),
(152799,260121,10,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(152800,260121,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(152801,260122,10,100,'Inflicts 473 - 710 mental damage on target',0,0),
(152802,260122,10,100,'Stuns target',0,1),
(152803,260122,10,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(152804,260122,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(152805,260123,10,100,'Inflicts 573 - 860 mental damage on target',0,0),
(152806,260123,10,100,'Stuns target',0,1),
(152807,260123,10,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(152808,260123,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(152809,260124,10,100,'Inflicts 690 - 1035 mental damage on target',0,0),
(152810,260124,10,100,'Stuns target',0,1),
(152811,260124,10,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(152812,260124,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(152813,260127,10,100,'Summons a pet Illusion Ally',0,0),
(152814,260128,10,100,'Summons a pet Illusion Ally',0,0),
(152815,260129,10,100,'Summons a pet Illusion Ally',0,0),
(152816,260129,11,100,'Summons a pet Illusion Ally',0,0),
(152817,260130,10,100,'Summons a pet Illusion Ally',0,0),
(152818,260131,10,100,'Summons a pet Illusion Ally',0,0),
(152819,260132,10,100,'Summons a pet Illusion Ally',0,0),
(152820,260133,10,100,'Summons a pet Illusion Ally',0,0),
(152821,260134,10,100,'Mesmerizes target encounter',0,0),
(152822,260134,10,100,'Prevents AOE (except when direct) ',0,1),
(152823,260134,10,100,'Dispelled when target takes damage',0,2),
(152824,260134,10,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(152825,260134,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(152826,260135,10,100,'Mesmerizes target encounter',0,0),
(152827,260135,10,100,'Prevents AOE (except when direct) ',0,1),
(152828,260135,10,100,'Dispelled when target takes damage',0,2),
(152829,260135,10,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(152830,260135,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(152831,260137,10,100,'Mesmerizes target encounter',0,0),
(152832,260137,10,100,'Prevents AOE (except when direct) ',0,1),
(152833,260137,10,100,'Dispelled when target takes damage',0,2),
(152834,260137,10,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(152835,260137,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(152836,260138,10,100,'Mesmerizes target encounter',0,0),
(152837,260138,10,100,'Prevents AOE (except when direct) ',0,1),
(152838,260138,10,100,'Dispelled when target takes damage',0,2),
(152839,260138,10,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(152840,260138,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(152841,260139,10,100,'Mesmerizes target encounter',0,0),
(152842,260139,10,100,'Prevents AOE (except when direct) ',0,1),
(152843,260139,10,100,'Dispelled when target takes damage',0,2),
(152844,260139,10,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(152845,260139,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(152846,260140,10,100,'Teleports target to a random location within 5 meters.',0,0),
(152847,260140,10,100,'If Target is not Epic',1,1),
(152848,260140,10,100,'Wipes almost all of target''s memory of aggression towards their current target.',0,2),
(152849,260141,10,100,'On a combat hit this spell will cast Prismatic Shock on target of attack.  ',0,0),
(152850,260141,10,100,'Inflicts 193 - 236 mental damage on target',1,1),
(152851,260141,10,100,'Grants a total of 3 triggers of the spell.',1,2),
(152852,260141,11,100,'On a combat hit this spell will cast Prismatic Shock on target of attack.  ',0,0),
(152853,260141,11,100,'Inflicts 232 - 284 mental damage on target',1,1),
(152854,260141,11,100,'Grants a total of 3 triggers of the spell.',1,2),
(152855,260142,11,100,'On a combat hit this spell will cast Prismatic Shock on target of attack.  ',0,0),
(152856,260142,11,100,'Inflicts 367 - 448 mental damage on target',1,1),
(152857,260142,11,100,'Grants a total of 3 triggers of the spell.',1,2),
(152858,260143,10,100,'On a combat hit this spell will cast Prismatic Shock on target of attack.  ',0,0),
(152859,260143,10,100,'Inflicts 440 - 538 mental damage on target',1,1),
(152860,260143,10,100,'Grants a total of 3 triggers of the spell.',1,2),
(152861,260143,11,100,'On a combat hit this spell will cast Prismatic Shock on target of attack.  ',0,0),
(152862,260143,11,100,'Inflicts 529 - 647 mental damage on target',1,1),
(152863,260143,11,100,'Grants a total of 3 triggers of the spell.',1,2),
(152864,260144,10,100,'On a combat hit this spell will cast Prismatic Shock on target of attack.  ',0,0),
(152865,260144,10,100,'Inflicts 575 - 703 mental damage on target',1,1),
(152866,260144,10,100,'Grants a total of 3 triggers of the spell.',1,2),
(152867,260144,11,100,'On a combat hit this spell will cast Prismatic Shock on target of attack.  ',0,0),
(152868,260144,11,100,'Inflicts 692 - 845 mental damage on target',1,1),
(152869,260144,11,100,'Grants a total of 3 triggers of the spell.',1,2),
(152870,260145,10,100,'On a combat hit this spell will cast Prismatic Shock on target of attack.  ',0,0),
(152871,260145,10,100,'Inflicts 698 - 853 mental damage on target',1,1),
(152872,260145,10,100,'Grants a total of 3 triggers of the spell.',1,2),
(152873,260145,11,100,'On a combat hit this spell will cast Prismatic Shock on target of attack.  ',0,0),
(152874,260145,11,100,'Inflicts 839 - 1025 mental damage on target',1,1),
(152875,260145,11,100,'Grants a total of 3 triggers of the spell.',1,2),
(152876,260146,10,100,'On a combat hit this spell will cast Prismatic Shock on target of attack.  ',0,0),
(152877,260146,10,100,'Inflicts 839 - 1026 mental damage on target',1,1),
(152878,260146,10,100,'Grants a total of 3 triggers of the spell.',1,2),
(152879,260146,11,100,'On a combat hit this spell will cast Prismatic Shock on target of attack.  ',0,0),
(152880,260146,11,100,'Inflicts 1009 - 1233 mental damage on target',1,1),
(152881,260146,11,100,'Grants a total of 3 triggers of the spell.',1,2),
(152882,260147,10,100,'On a combat hit this spell will cast Prismatic Shock on target of attack.  ',0,0),
(152883,260147,10,100,'Inflicts 890 - 1088 mental damage on target',1,1),
(152884,260147,10,100,'Grants a total of 3 triggers of the spell.',1,2),
(152885,260147,11,100,'On a combat hit this spell will cast Prismatic Shock on target of attack.  ',0,0),
(152886,260147,11,100,'Inflicts 1071 - 1309 mental damage on target',1,1),
(152887,260147,11,100,'Grants a total of 3 triggers of the spell.',1,2),
(152888,260150,10,100,'Increases Haste of target by 61.8',0,0),
(152889,260151,10,100,'Increases Haste of target by 70.9',0,0),
(152890,260152,10,100,'Mesmerizes target',0,0),
(152891,260152,10,100,'Prevents AOE (except when direct) ',0,1),
(152892,260152,10,100,'Dispelled when target takes damage',0,2),
(152893,260152,10,100,'Epic targets gain an immunity to Mesmerize effects of 22.5 seconds and duration is reduced to 2.5 seconds.',0,3),
(152894,260152,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(152895,260153,10,100,'Mesmerizes target',0,0),
(152896,260153,10,100,'Prevents AOE (except when direct) ',0,1),
(152897,260153,10,100,'Dispelled when target takes damage',0,2),
(152898,260153,10,100,'Epic targets gain an immunity to Mesmerize effects of 22.5 seconds and duration is reduced to 2.5 seconds.',0,3),
(152899,260153,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(152900,260154,10,100,'Mesmerizes target',0,0),
(152901,260154,10,100,'Prevents AOE (except when direct) ',0,1),
(152902,260154,10,100,'Dispelled when target takes damage',0,2),
(152903,260154,10,100,'Epic targets gain an immunity to Mesmerize effects of 22.5 seconds and duration is reduced to 2.5 seconds.',0,3),
(152904,260154,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(152905,260155,10,100,'Mesmerizes target',0,0),
(152906,260155,10,100,'Prevents AOE (except when direct) ',0,1),
(152907,260155,10,100,'Dispelled when target takes damage',0,2),
(152908,260155,10,100,'Epic targets gain an immunity to Mesmerize effects of 22.5 seconds and duration is reduced to 2.5 seconds.',0,3),
(152909,260155,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(152910,260156,10,100,'Mesmerizes target',0,0),
(152911,260156,10,100,'Prevents AOE (except when direct) ',0,1),
(152912,260156,10,100,'Dispelled when target takes damage',0,2),
(152913,260156,10,100,'Epic targets gain an immunity to Mesmerize effects of 22.5 seconds and duration is reduced to 2.5 seconds.',0,3),
(152914,260156,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(152915,260157,10,100,'Increases INT and WIS of group members (AE) by 17.5',0,0),
(152916,260157,10,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 111',0,1),
(152917,260158,10,100,'Increases INT and WIS of group members (AE) by 33.9',0,0),
(152918,260158,10,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 241',0,1),
(152919,260161,10,100,'Increases INT and WIS of group members (AE) by 89.7',0,0),
(152920,260161,10,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 631',0,1),
(152921,260162,10,100,'Increases INT and WIS of group members (AE) by 109.0',0,0),
(152922,260162,10,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 733',0,1),
(152923,260163,10,100,'Increases INT and WIS of group members (AE) by 127.5',0,0),
(152924,260163,10,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 825',0,1),
(152925,260164,10,100,'Increases INT and WIS of group members (AE) by 146.0',0,0),
(152926,260164,10,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 918',0,1),
(152927,260164,11,100,'Increases INT and WIS of group members (AE) by 175.5',0,0),
(152928,260164,11,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 1104',0,1),
(152929,260165,10,100,'Target will lose 58% less power when power is consumed',0,0),
(152930,260166,10,100,'Inflicts 136 - 167 mental damage on target',0,0),
(152931,260166,10,100,'Stifles target',0,1),
(152932,260166,10,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,2),
(152933,260166,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(152934,260167,10,100,'Inflicts 270 - 330 mental damage on target',0,0),
(152935,260167,10,100,'Stifles target',0,1),
(152936,260167,10,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,2),
(152937,260167,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(152938,260168,10,100,'Inflicts 420 - 513 mental damage on target',0,0),
(152939,260168,10,100,'Stifles target',0,1),
(152940,260168,10,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,2),
(152941,260168,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(152942,260169,10,100,'Inflicts 595 - 727 mental damage on target',0,0),
(152943,260169,10,100,'Stifles target',0,1),
(152944,260169,10,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,2),
(152945,260169,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(152946,260170,10,100,'Inflicts 776 - 949 mental damage on target',0,0),
(152947,260170,10,100,'Stifles target',0,1),
(152948,260170,10,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,2),
(152949,260170,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(152950,260172,11,100,'Inflicts 1322 - 1615 mental damage on target',0,0),
(152951,260172,11,100,'Stifles target',0,1),
(152952,260172,11,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,2),
(152953,260172,11,100,'Resistibility increases against targets higher than level 29.',0,3),
(152954,260173,1,100,'Inflicts 32 - 39 magic damage on target',1,1),
(152955,260173,1,100,'Grants a total of 5 triggers of the spell.',1,2),
(152956,260173,1,100,'This effect can only trigger once every 1.0 second.',1,3),
(152957,260173,2,100,'Inflicts 33 - 41 magic damage on target',1,1),
(152958,260173,2,100,'Grants a total of 5 triggers of the spell.',1,2),
(152959,260173,2,100,'This effect can only trigger once every 1.0 second.',1,3),
(152960,260173,3,100,'Inflicts 35 - 43 magic damage on target',1,1),
(152961,260173,3,100,'Grants a total of 5 triggers of the spell.',1,2),
(152962,260173,3,100,'This effect can only trigger once every 1.0 second.',1,3),
(152963,260173,4,100,'Inflicts 39 - 47 magic damage on target',1,1),
(152964,260173,4,100,'Grants a total of 5 triggers of the spell.',1,2),
(152965,260173,4,100,'This effect can only trigger once every 1.0 second.',1,3),
(152966,260173,5,100,'Inflicts 42 - 52 magic damage on target',1,1),
(152967,260173,5,100,'Grants a total of 5 triggers of the spell.',1,2),
(152968,260173,5,100,'This effect can only trigger once every 1.0 second.',1,3),
(152969,260173,7,100,'Inflicts 54 - 66 magic damage on target',1,1),
(152970,260173,7,100,'Grants a total of 5 triggers of the spell.',1,2),
(152971,260173,7,100,'This effect can only trigger once every 1.0 second.',1,3),
(152972,260173,9,100,'Inflicts 56 - 69 magic damage on target',1,1),
(152973,260173,9,100,'Grants a total of 5 triggers of the spell.',1,2),
(152974,260173,9,100,'This effect can only trigger once every 1.0 second.',1,3),
(152975,260173,10,100,'When damaged this spell will cast Shock of Mana on target''s attacker.  ',0,0),
(152976,260173,10,100,'Inflicts 59 - 72 magic damage on target',1,1),
(152977,260173,10,100,'Grants a total of 5 triggers of the spell.',1,2),
(152978,260173,10,100,'This effect can only trigger once every 1.0 second.',1,3),
(152979,260174,10,100,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',0,0),
(152980,260174,10,100,'Decreases Threat to target by 299 - 366 ',1,1),
(152981,260174,10,100,'If profession other than Fighter',2,2),
(152982,260174,10,100,'Inflicts 131 - 160 mental damage on target',1,3),
(152983,260177,10,100,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',0,0),
(152984,260177,10,100,'Decreases Threat to target by 839 - 1,026 ',1,1),
(152985,260177,10,100,'If profession other than Fighter',2,2),
(152986,260177,10,100,'Inflicts 337 - 412 mental damage on target',1,3),
(152987,260179,11,100,'On a hostile spell hit this spell has a 33% chance to cast Dynamism on target of spell.  ',0,0),
(152988,260179,11,100,'Decreases Threat to target by 1,465 - 1,790 ',1,1),
(152989,260179,11,100,'If profession other than Fighter',2,2),
(152990,260179,11,100,'Inflicts 550 - 673 mental damage on target',1,3),
(152991,260180,11,100,'When damaged with a spell this spell will cast Theorems on target.  ',0,0),
(152992,260180,11,100,'Inflicts 326 - 399 mental damage on target',1,1),
(152993,260180,11,100,'Grants a total of 3 triggers of the spell.',1,2),
(152994,260181,10,100,'When damaged with a spell this spell will cast Theorems on target.  ',0,0),
(152995,260181,10,100,'Inflicts 416 - 509 mental damage on target',1,1),
(152996,260181,10,100,'Grants a total of 3 triggers of the spell.',1,2),
(152997,260181,11,100,'When damaged with a spell this spell will cast Theorems on target.  ',0,0),
(152998,260181,11,100,'Inflicts 501 - 612 mental damage on target',1,1),
(152999,260181,11,100,'Grants a total of 3 triggers of the spell.',1,2),
(153000,260182,11,100,'When damaged with a spell this spell will cast Theorems on target.  ',0,0),
(153001,260182,11,100,'Inflicts 698 - 853 mental damage on target',1,1),
(153002,260182,11,100,'Grants a total of 3 triggers of the spell.',1,2),
(153003,260183,11,100,'When damaged with a spell this spell will cast Theorems on target.  ',0,0),
(153004,260183,11,100,'Inflicts 892 - 1090 mental damage on target',1,1),
(153005,260183,11,100,'Grants a total of 3 triggers of the spell.',1,2),
(153006,260184,10,100,'When damaged with a spell this spell will cast Theorems on target.  ',0,0),
(153007,260184,10,100,'Inflicts 897 - 1096 mental damage on target',1,1),
(153008,260184,10,100,'Grants a total of 3 triggers of the spell.',1,2),
(153009,260184,11,100,'When damaged with a spell this spell will cast Theorems on target.  ',0,0),
(153010,260184,11,100,'Inflicts 1078 - 1318 mental damage on target',1,1),
(153011,260184,11,100,'Grants a total of 3 triggers of the spell.',1,2),
(153012,260185,10,100,'When damaged with a spell this spell will cast Theorems on target.  ',0,0),
(153013,260185,10,100,'Inflicts 1036 - 1266 mental damage on target',1,1),
(153014,260185,10,100,'Grants a total of 3 triggers of the spell.',1,2),
(153015,260185,11,100,'When damaged with a spell this spell will cast Theorems on target.  ',0,0),
(153016,260185,11,100,'Inflicts 1245 - 1522 mental damage on target',1,1),
(153017,260185,11,100,'Grants a total of 3 triggers of the spell.',1,2),
(153018,260186,11,100,'Inflicts 16 - 22 mental damage on target',0,0),
(153019,260187,11,100,'Inflicts 38 - 52 mental damage on target',0,0),
(153020,260188,11,100,'Inflicts 75 - 101 mental damage on target',0,0),
(153021,260189,10,100,'Inflicts 102 - 138 mental damage on target',0,0),
(153022,260189,11,100,'Inflicts 123 - 166 mental damage on target',0,0),
(153023,260190,11,100,'Inflicts 666 - 901 mental damage on target',0,0),
(153024,260191,10,100,'Inflicts 156 - 211 mental damage on target',0,0),
(153025,260191,11,100,'Inflicts 188 - 254 mental damage on target',0,0),
(153026,260192,11,100,'Inflicts 294 - 398 mental damage on target',0,0),
(153027,260193,10,100,'Inflicts 350 - 473 mental damage on target',0,0),
(153028,260193,11,100,'Inflicts 421 - 569 mental damage on target',0,0),
(153029,260194,11,100,'Inflicts 549 - 743 mental damage on target',0,0),
(153030,260195,11,100,'Inflicts 790 - 1068 mental damage on target',0,0),
(153031,270000,10,100,'Stuns target',0,0),
(153032,270000,10,100,'Wipes target''s memory of any aggression',0,1),
(153033,270000,10,100,'Epic targets gain an immunity to Stun effects of 4.5 seconds and duration is reduced to 0.5 seconds.',0,2),
(153034,270000,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(153035,270001,10,100,'Stuns target',0,0),
(153036,270001,10,100,'Wipes target''s memory of any aggression',0,1),
(153037,270001,10,100,'Epic targets gain an immunity to Stun effects of 4.5 seconds and duration is reduced to 0.5 seconds.',0,2),
(153038,270001,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(153039,270002,10,100,'Stuns target',0,0),
(153040,270002,10,100,'Wipes target''s memory of any aggression',0,1),
(153041,270002,10,100,'Epic targets gain an immunity to Stun effects of 4.5 seconds and duration is reduced to 0.5 seconds.',0,2),
(153042,270002,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(153043,270004,10,100,'Applies Forceful Headache on termination.',0,0),
(153044,270004,10,100,'Inflicts 227 - 378 mental damage on target',1,1),
(153045,270004,10,100,'If over 50% power',2,2),
(153046,270004,10,100,'Inflicts 91 - 111 mental damage on target instantly and every 6 seconds',0,3),
(153047,270004,10,100,'Decreases Mitigation of target vs arcane damage by 470',0,4),
(153048,270005,10,100,'Applies Forceful Headache on termination.',0,0),
(153049,270005,10,100,'Inflicts 359 - 598 mental damage on target',1,1),
(153050,270005,10,100,'If over 50% power',2,2),
(153051,270005,10,100,'Inflicts 144 - 175 mental damage on target instantly and every 6 seconds',0,3),
(153052,270005,10,100,'Decreases Mitigation of target vs arcane damage by 706',0,4),
(153053,270006,10,100,'Applies Forceful Headache on termination.',0,0),
(153054,270006,10,100,'Inflicts 518 - 863 mental damage on target',1,1),
(153055,270006,10,100,'If over 50% power',2,2),
(153056,270006,10,100,'Inflicts 207 - 253 mental damage on target instantly and every 6 seconds',0,3),
(153057,270006,10,100,'Decreases Mitigation of target vs arcane damage by 941',0,4),
(153058,270007,10,100,'Applies Forceful Headache on termination.',0,0),
(153059,270007,10,100,'Inflicts 677 - 1128 mental damage on target',1,1),
(153060,270007,10,100,'If over 50% power',2,2),
(153061,270007,10,100,'Inflicts 271 - 331 mental damage on target instantly and every 6 seconds',0,3),
(153062,270007,10,100,'Decreases Mitigation of target vs arcane damage by 1176',0,4),
(153063,270008,10,100,'Applies Forceful Headache on termination.',0,0),
(153064,270008,10,100,'Inflicts 821 - 1368 mental damage on target',1,1),
(153065,270008,10,100,'If over 50% power',2,2),
(153066,270008,10,100,'Inflicts 328 - 401 mental damage on target instantly and every 6 seconds',0,3),
(153067,270008,10,100,'Decreases Mitigation of target vs arcane damage by 1536',0,4),
(153068,270009,10,100,'Applies Forceful Headache on termination.',0,0),
(153069,270009,10,100,'Inflicts 987 - 1645 mental damage on target',1,1),
(153070,270009,10,100,'If over 50% power',2,2),
(153071,270009,10,100,'Inflicts 395 - 483 mental damage on target instantly and every 6 seconds',0,3),
(153072,270009,10,100,'Decreases Mitigation of target vs arcane damage by 1814',0,4),
(153073,270010,10,100,'Applies Forceful Headache on termination.',0,0),
(153074,270010,10,100,'Inflicts 1048 - 1746 mental damage on target',1,1),
(153075,270010,10,100,'If over 50% power',2,2),
(153076,270010,10,100,'Inflicts 419 - 512 mental damage on target instantly and every 6 seconds',0,3),
(153077,270010,10,100,'Decreases Mitigation of target vs arcane damage by 2016',0,4),
(153078,270010,11,100,'Applies Forceful Headache on termination.',0,0),
(153079,270010,11,100,'Inflicts 1260 - 2099 mental damage on target',1,1),
(153080,270010,11,100,'If over 50% power',2,2),
(153081,270010,11,100,'Inflicts 504 - 616 mental damage on target instantly and every 6 seconds',0,3),
(153082,270010,11,100,'Decreases Mitigation of target vs arcane damage by 2424',0,4),
(153083,270011,11,100,'Inflicts 19 - 23 mental damage on target instantly and every 6 seconds',0,0),
(153084,270011,11,100,'Decreases power of target by 2 instantly and every 6 seconds',0,1),
(153085,270011,11,100,'Increases power of caster by 11',0,2),
(153086,270012,11,100,'Inflicts 59 - 72 mental damage on target instantly and every 6 seconds',0,0),
(153087,270012,11,100,'Decreases power of target by 7 instantly and every 6 seconds',0,1),
(153088,270012,11,100,'Increases power of caster by 35',0,2),
(153089,270013,10,100,'Inflicts 82 - 100 mental damage on target instantly and every 6 seconds',0,0),
(153090,270013,10,100,'Decreases power of target by 10 instantly and every 6 seconds',0,1),
(153091,270013,10,100,'Increases power of caster by 50',0,2),
(153092,270013,11,100,'Inflicts 98 - 120 mental damage on target instantly and every 6 seconds',0,0),
(153093,270013,11,100,'Decreases power of target by 12 instantly and every 6 seconds',0,1),
(153094,270013,11,100,'Increases power of caster by 60',0,2),
(153095,270014,11,100,'Inflicts 190 - 232 mental damage on target instantly and every 6 seconds',0,0),
(153096,270014,11,100,'Decreases power of target by 23 instantly and every 6 seconds',0,1),
(153097,270014,11,100,'Increases power of caster by 117',0,2),
(153098,270015,11,100,'Inflicts 745 - 911 mental damage on target instantly and every 6 seconds',0,0),
(153099,270015,11,100,'Decreases power of target by 93 instantly and every 6 seconds',0,1),
(153100,270015,11,100,'Increases power of caster by 510',0,2),
(153101,270016,10,100,'Inflicts 244 - 298 mental damage on target instantly and every 6 seconds',0,0),
(153102,270016,10,100,'Decreases power of target by 30 instantly and every 6 seconds',0,1),
(153103,270016,10,100,'Increases power of caster by 151',0,2),
(153104,270016,11,100,'Inflicts 293 - 358 mental damage on target instantly and every 6 seconds',0,0),
(153105,270016,11,100,'Decreases power of target by 36 instantly and every 6 seconds',0,1),
(153106,270016,11,100,'Increases power of caster by 182',0,2),
(153107,270017,10,100,'Inflicts 342 - 418 mental damage on target instantly and every 6 seconds',0,0),
(153108,270017,10,100,'Decreases power of target by 43 instantly and every 6 seconds',0,1),
(153109,270017,10,100,'Increases power of caster by 213',0,2),
(153110,270017,11,100,'Inflicts 411 - 503 mental damage on target instantly and every 6 seconds',0,0),
(153111,270017,11,100,'Decreases power of target by 51 instantly and every 6 seconds',0,1),
(153112,270017,11,100,'Increases power of caster by 256',0,2),
(153113,270018,11,100,'Inflicts 526 - 643 mental damage on target instantly and every 6 seconds',0,0),
(153114,270018,11,100,'Decreases power of target by 66 instantly and every 6 seconds',0,1),
(153115,270018,11,100,'Increases power of caster by 337',0,2),
(153116,270019,11,100,'Inflicts 637 - 778 mental damage on target instantly and every 6 seconds',0,0),
(153117,270019,11,100,'Decreases power of target by 79 instantly and every 6 seconds',0,1),
(153118,270019,11,100,'Increases power of caster by 440',0,2),
(153119,270020,10,100,'Increases Combat Power Regen of group members (AE) by 10.4',0,0),
(153120,270022,10,100,'Increases Combat Power Regen of group members (AE) by 32.8',0,0),
(153121,270024,10,100,'Increases Combat Power Regen of group members (AE) by 55.6',0,0),
(153122,270025,10,100,'Increases Combat Power Regen of group members (AE) by 66.4',0,0),
(153123,270026,10,100,'Increases Combat Power Regen of group members (AE) by 74.8',0,0),
(153124,270026,11,100,'Increases Combat Power Regen of group members (AE) by 89.9',0,0),
(153125,270027,10,100,'Increases power of group members (AE) by 20 instantly and every 6 seconds',0,0),
(153126,270027,10,100,'Decreases INT of target by 82.7',0,1),
(153127,270028,10,100,'Increases power of group members (AE) by 31 instantly and every 6 seconds',0,0),
(153128,270028,10,100,'Decreases INT of target by 120.3',0,1),
(153129,270029,10,100,'Increases power of group members (AE) by 44 instantly and every 6 seconds',0,0),
(153130,270029,10,100,'Decreases INT of target by 157.9',0,1),
(153131,270030,10,100,'Increases power of group members (AE) by 58 instantly and every 6 seconds',0,0),
(153132,270030,10,100,'Decreases INT of target by 195.9',0,1),
(153133,270032,11,100,'Increases power of group members (AE) by 103 instantly and every 6 seconds',0,0),
(153134,270032,11,100,'Decreases INT of target by 324.4',0,1),
(153135,270033,10,100,'Distributes the group members'' total combined power evenly among all the members',0,0),
(153136,270034,10,100,'Distributes the group members'' total combined power evenly among all the members',0,0),
(153137,270037,10,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(153138,270037,10,100,'Mesmerizes target',1,1),
(153139,270037,10,100,'Dispelled when target takes damage',1,2),
(153140,270037,10,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(153141,270037,10,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(153142,270037,10,100,'Grants Sonic Vision to caster',1,5),
(153143,270037,10,100,'Charms target',0,6),
(153144,270037,10,100,'Increases Power Regen of target by 11.8',0,7),
(153145,270037,10,100,'Increases Health Regen of target by 23.5',0,8),
(153146,270037,10,100,'Certain enemies cannot be charmed',0,9),
(153147,270037,10,100,'Does not affect Epic targets',0,10),
(153148,270038,10,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(153149,270038,10,100,'Mesmerizes target',1,1),
(153150,270038,10,100,'Dispelled when target takes damage',1,2),
(153151,270038,10,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(153152,270038,10,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(153153,270038,10,100,'Grants Sonic Vision to caster',1,5),
(153154,270038,10,100,'Charms target',0,6),
(153155,270038,10,100,'Increases Power Regen of target by 21.0',0,7),
(153156,270038,10,100,'Increases Health Regen of target by 42.0',0,8),
(153157,270038,10,100,'Certain enemies cannot be charmed',0,9),
(153158,270038,10,100,'Does not affect Epic targets',0,10),
(153159,270039,10,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(153160,270039,10,100,'Mesmerizes target',1,1),
(153161,270039,10,100,'Dispelled when target takes damage',1,2),
(153162,270039,10,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(153163,270039,10,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(153164,270039,10,100,'Grants Sonic Vision to caster',1,5),
(153165,270039,10,100,'Charms target',0,6),
(153166,270039,10,100,'Increases Power Regen of target by 75.6',0,7),
(153167,270039,10,100,'Increases Health Regen of target by 160.6',0,8),
(153168,270039,10,100,'Certain enemies cannot be charmed',0,9),
(153169,270039,10,100,'Does not affect Epic targets',0,10),
(153170,270039,11,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(153171,270039,11,100,'Mesmerizes target',1,1),
(153172,270039,11,100,'Dispelled when target takes damage',1,2),
(153173,270039,11,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(153174,270039,11,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(153175,270039,11,100,'Grants Sonic Vision to caster',1,5),
(153176,270039,11,100,'Charms target',0,6),
(153177,270039,11,100,'Increases Power Regen of target by 90.9',0,7),
(153178,270039,11,100,'Increases Health Regen of target by 193.1',0,8),
(153179,270039,11,100,'Certain enemies cannot be charmed',0,9),
(153180,270039,11,100,'Does not affect Epic targets',0,10),
(153181,270040,10,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(153182,270040,10,100,'Mesmerizes target',1,1),
(153183,270040,10,100,'Dispelled when target takes damage',1,2),
(153184,270040,10,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(153185,270040,10,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(153186,270040,10,100,'Grants Sonic Vision to caster',1,5),
(153187,270040,10,100,'Charms target',0,6),
(153188,270040,10,100,'Increases Power Regen of target by 32.8',0,7),
(153189,270040,10,100,'Increases Health Regen of target by 65.5',0,8),
(153190,270040,10,100,'Certain enemies cannot be charmed',0,9),
(153191,270040,10,100,'Does not affect Epic targets',0,10),
(153192,270041,10,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(153193,270041,10,100,'Mesmerizes target',1,1),
(153194,270041,10,100,'Dispelled when target takes damage',1,2),
(153195,270041,10,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(153196,270041,10,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(153197,270041,10,100,'Grants Sonic Vision to caster',1,5),
(153198,270041,10,100,'Charms target',0,6),
(153199,270041,10,100,'Increases Power Regen of target by 44.5',0,7),
(153200,270041,10,100,'Increases Health Regen of target by 89.0',0,8),
(153201,270041,10,100,'Certain enemies cannot be charmed',0,9),
(153202,270041,10,100,'Does not affect Epic targets',0,10),
(153203,270042,10,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(153204,270042,10,100,'Mesmerizes target',1,1),
(153205,270042,10,100,'Dispelled when target takes damage',1,2),
(153206,270042,10,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(153207,270042,10,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(153208,270042,10,100,'Grants Sonic Vision to caster',1,5),
(153209,270042,10,100,'Charms target',0,6),
(153210,270042,10,100,'Increases Power Regen of target by 56.8',0,7),
(153211,270042,10,100,'Increases Health Regen of target by 113.6',0,8),
(153212,270042,10,100,'Certain enemies cannot be charmed',0,9),
(153213,270042,10,100,'Does not affect Epic targets',0,10),
(153214,270043,10,100,'Applies Disorientation on termination.  Lasts for 3.0 seconds.',0,0),
(153215,270043,10,100,'Mesmerizes target',1,1),
(153216,270043,10,100,'Dispelled when target takes damage',1,2),
(153217,270043,10,100,'Epic targets gain an immunity to Mesmerize effects of 9.0 seconds and duration is reduced to 1.0 second.',1,3),
(153218,270043,10,100,'Applies Warning on termination.  Lasts for 0.5 seconds.',0,4),
(153219,270043,10,100,'Grants Sonic Vision to caster',1,5),
(153220,270043,10,100,'Charms target',0,6),
(153221,270043,10,100,'Increases Power Regen of target by 67.2',0,7),
(153222,270043,10,100,'Increases Health Regen of target by 137.1',0,8),
(153223,270043,10,100,'Certain enemies cannot be charmed',0,9),
(153224,270043,10,100,'Does not affect Epic targets',0,10),
(153225,270044,10,100,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',0,0),
(153226,270044,10,100,'Inflicts 204 - 250 mental damage on target',1,1),
(153227,270044,10,100,'Grants a total of 3 triggers of the spell.',1,2),
(153228,270044,11,100,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',0,0),
(153229,270044,11,100,'Inflicts 246 - 300 mental damage on target',1,1),
(153230,270044,11,100,'Grants a total of 3 triggers of the spell.',1,2),
(153231,270045,11,100,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',0,0),
(153232,270045,11,100,'Inflicts 388 - 475 mental damage on target',1,1),
(153233,270045,11,100,'Grants a total of 3 triggers of the spell.',1,2),
(153234,270046,10,100,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',0,0),
(153235,270046,10,100,'Inflicts 466 - 570 mental damage on target',1,1),
(153236,270046,10,100,'Grants a total of 3 triggers of the spell.',1,2),
(153237,270046,11,100,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',0,0),
(153238,270046,11,100,'Inflicts 560 - 685 mental damage on target',1,1),
(153239,270046,11,100,'Grants a total of 3 triggers of the spell.',1,2),
(153240,270047,10,100,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',0,0),
(153241,270047,10,100,'Inflicts 609 - 744 mental damage on target',1,1),
(153242,270047,10,100,'Grants a total of 3 triggers of the spell.',1,2),
(153243,270047,11,100,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',0,0),
(153244,270047,11,100,'Inflicts 732 - 895 mental damage on target',1,1),
(153245,270047,11,100,'Grants a total of 3 triggers of the spell.',1,2),
(153246,270048,10,100,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',0,0),
(153247,270048,10,100,'Inflicts 739 - 903 mental damage on target',1,1),
(153248,270048,10,100,'Grants a total of 3 triggers of the spell.',1,2),
(153249,270048,11,100,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',0,0),
(153250,270048,11,100,'Inflicts 888 - 1085 mental damage on target',1,1),
(153251,270048,11,100,'Grants a total of 3 triggers of the spell.',1,2),
(153252,270049,10,100,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',0,0),
(153253,270049,10,100,'Inflicts 889 - 1086 mental damage on target',1,1),
(153254,270049,10,100,'Grants a total of 3 triggers of the spell.',1,2),
(153255,270049,11,100,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',0,0),
(153256,270049,11,100,'Inflicts 1068 - 1306 mental damage on target',1,1),
(153257,270049,11,100,'Grants a total of 3 triggers of the spell.',1,2),
(153258,270050,10,100,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',0,0),
(153259,270050,10,100,'Inflicts 943 - 1152 mental damage on target',1,1),
(153260,270050,10,100,'Grants a total of 3 triggers of the spell.',1,2),
(153261,270050,11,100,'On a damage spell hit this spell will cast Despotic Mind on target of spell.  ',0,0),
(153262,270050,11,100,'Inflicts 1134 - 1386 mental damage on target',1,1),
(153263,270050,11,100,'Grants a total of 3 triggers of the spell.',1,2),
(153264,270052,10,100,'Inflicts 160 - 195 mental damage on target encounter',0,0),
(153265,270052,10,100,'Dazes target encounter',0,1),
(153266,270052,10,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',0,2),
(153267,270052,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(153268,270053,10,100,'Inflicts 262 - 320 mental damage on target encounter',0,0),
(153269,270053,10,100,'Dazes target encounter',0,1),
(153270,270053,10,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',0,2),
(153271,270053,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(153272,270054,10,100,'Inflicts 387 - 473 mental damage on target encounter',0,0),
(153273,270054,10,100,'Dazes target encounter',0,1),
(153274,270054,10,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',0,2),
(153275,270054,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(153276,270055,10,100,'Inflicts 514 - 628 mental damage on target encounter',0,0),
(153277,270055,10,100,'Dazes target encounter',0,1),
(153278,270055,10,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',0,2),
(153279,270055,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(153280,270056,10,100,'Inflicts 634 - 774 mental damage on target encounter',0,0),
(153281,270056,10,100,'Dazes target encounter',0,1),
(153282,270056,10,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',0,2),
(153283,270056,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(153284,270057,10,100,'Inflicts 763 - 933 mental damage on target encounter',0,0),
(153285,270057,10,100,'Dazes target encounter',0,1),
(153286,270057,10,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',0,2),
(153287,270057,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(153288,270058,10,100,'Inflicts 828 - 1012 mental damage on target encounter',0,0),
(153289,270058,10,100,'Dazes target encounter',0,1),
(153290,270058,10,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',0,2),
(153291,270058,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(153292,270058,11,100,'Inflicts 996 - 1217 mental damage on target encounter',0,0),
(153293,270058,11,100,'Dazes target encounter',0,1),
(153294,270058,11,100,'Epic targets gain an immunity to Daze effects of 12.0 seconds and duration is reduced to 1.3 seconds.',0,2),
(153295,270058,11,100,'Resistibility increases against targets higher than level 29.',0,3),
(153296,270059,10,100,'Causes 6% Threat to transfer to target when in combat',0,0),
(153297,270059,10,100,'Increases Hate Gain of target by 11.5%',0,1),
(153298,270060,10,100,'Causes 6% Threat to transfer to target when in combat',0,0),
(153299,270060,10,100,'Increases Hate Gain of target by 14.8%',0,1),
(153300,270061,10,100,'Causes 6% Threat to transfer to target when in combat',0,0),
(153301,270061,10,100,'Increases Hate Gain of target by 18.0%',0,1),
(153302,270063,10,100,'Applies Blind.  Lasts for 5.0 seconds.',0,0),
(153303,270063,10,100,'Blurs vision of target',1,1),
(153304,270063,10,100,'Dazes target',1,2),
(153305,270063,10,100,'Dispelled when target takes damage',1,3),
(153306,270063,10,100,'Epic targets gain an immunity to Daze effects of 15.0 seconds and duration is reduced to 1.7 seconds.',1,4),
(153307,270063,10,100,'Roots target',0,5),
(153308,270063,10,100,'5% chance to dispel when target takes damage',0,6),
(153309,270063,10,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,7),
(153310,270063,10,100,'Resistibility increases against targets higher than level 29.',0,8),
(153311,270064,10,100,'Applies Blind.  Lasts for 6.0 seconds.',0,0),
(153312,270064,10,100,'Blurs vision of target',1,1),
(153313,270064,10,100,'Dazes target',1,2),
(153314,270064,10,100,'Dispelled when target takes damage',1,3),
(153315,270064,10,100,'Epic targets gain an immunity to Daze effects of 18.0 seconds and duration is reduced to 2.0 seconds.',1,4),
(153316,270064,10,100,'Roots target',0,5),
(153317,270064,10,100,'5% chance to dispel when target takes damage',0,6),
(153318,270064,10,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,7),
(153319,270064,10,100,'Resistibility increases against targets higher than level 29.',0,8),
(153320,270065,10,100,'Applies Blind.  Lasts for 7.0 seconds.',0,0),
(153321,270065,10,100,'Blurs vision of target',1,1),
(153322,270065,10,100,'Dazes target',1,2),
(153323,270065,10,100,'Dispelled when target takes damage',1,3),
(153324,270065,10,100,'Epic targets gain an immunity to Daze effects of 21.0 seconds and duration is reduced to 2.3 seconds.',1,4),
(153325,270065,10,100,'Roots target',0,5),
(153326,270065,10,100,'5% chance to dispel when target takes damage',0,6),
(153327,270065,10,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,7),
(153328,270065,10,100,'Resistibility increases against targets higher than level 29.',0,8),
(153329,270066,10,100,'Applies Blind.  Lasts for 8.0 seconds.',0,0),
(153330,270066,10,100,'Blurs vision of target',1,1),
(153331,270066,10,100,'Dazes target',1,2),
(153332,270066,10,100,'Dispelled when target takes damage',1,3),
(153333,270066,10,100,'Epic targets gain an immunity to Daze effects of 24.0 seconds and duration is reduced to 2.7 seconds.',1,4),
(153334,270066,10,100,'Roots target',0,5),
(153335,270066,10,100,'5% chance to dispel when target takes damage',0,6),
(153336,270066,10,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,7),
(153337,270066,10,100,'Resistibility increases against targets higher than level 29.',0,8),
(153338,270067,10,100,'Applies Blind.  Lasts for 9.0 seconds.',0,0),
(153339,270067,10,100,'Blurs vision of target',1,1),
(153340,270067,10,100,'Dazes target',1,2),
(153341,270067,10,100,'Dispelled when target takes damage',1,3),
(153342,270067,10,100,'Epic targets gain an immunity to Daze effects of 27.0 seconds and duration is reduced to 3.0 seconds.',1,4),
(153343,270067,10,100,'Roots target',0,5),
(153344,270067,10,100,'5% chance to dispel when target takes damage',0,6),
(153345,270067,10,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,7),
(153346,270067,10,100,'Resistibility increases against targets higher than level 29.',0,8),
(153347,270068,10,100,'Applies Blind.  Lasts for 9.0 seconds.',0,0),
(153348,270068,10,100,'Blurs vision of target',1,1),
(153349,270068,10,100,'Dazes target',1,2),
(153350,270068,10,100,'Dispelled when target takes damage',1,3),
(153351,270068,10,100,'Epic targets gain an immunity to Daze effects of 27.0 seconds and duration is reduced to 3.0 seconds.',1,4),
(153352,270068,10,100,'Roots target',0,5),
(153353,270068,10,100,'5% chance to dispel when target takes damage',0,6),
(153354,270068,10,100,'Epic targets gain an immunity to Root and Ability attacks will hit for their maximum damage. effects of 54.0 seconds and duration is reduced to 6.0 seconds.',0,7),
(153355,270068,10,100,'Resistibility increases against targets higher than level 29.',0,8),
(153356,270069,11,100,'Interrupts target',0,0),
(153357,270069,11,100,'Inflicts 15 - 20 mental damage on target',0,1),
(153358,270070,11,100,'Interrupts target',0,0),
(153359,270070,11,100,'Inflicts 35 - 48 mental damage on target',0,1),
(153360,270071,11,100,'Interrupts target',0,0),
(153361,270071,11,100,'Inflicts 68 - 92 mental damage on target',0,1),
(153362,270072,10,100,'Interrupts target',0,0),
(153363,270072,10,100,'Inflicts 93 - 126 mental damage on target',0,1),
(153364,270072,11,100,'Interrupts target',0,0),
(153365,270072,11,100,'Inflicts 112 - 152 mental damage on target',0,1),
(153366,270073,11,100,'Interrupts target',0,0),
(153367,270073,11,100,'Inflicts 609 - 823 mental damage on target',0,1),
(153368,270074,10,100,'Interrupts target',0,0),
(153369,270074,10,100,'Inflicts 143 - 193 mental damage on target',0,1),
(153370,270074,11,100,'Interrupts target',0,0),
(153371,270074,11,100,'Inflicts 172 - 232 mental damage on target',0,1),
(153372,270075,10,100,'Interrupts target',0,0),
(153373,270075,10,100,'Inflicts 224 - 303 mental damage on target',0,1),
(153374,270075,11,100,'Interrupts target',0,0),
(153375,270075,11,100,'Inflicts 269 - 364 mental damage on target',0,1),
(153376,270076,10,100,'Interrupts target',0,0),
(153377,270076,10,100,'Inflicts 320 - 433 mental damage on target',0,1),
(153378,270076,11,100,'Interrupts target',0,0),
(153379,270076,11,100,'Inflicts 385 - 520 mental damage on target',0,1),
(153380,270077,11,100,'Interrupts target',0,0),
(153381,270077,11,100,'Inflicts 502 - 680 mental damage on target',0,1),
(153382,270078,11,100,'Interrupts target',0,0),
(153383,270078,11,100,'Inflicts 722 - 977 mental damage on target',0,1),
(153384,270079,11,100,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',0,0),
(153385,270079,11,100,'Inflicts 197 - 240 mental damage on target',1,1),
(153386,270079,11,100,'Grants a total of 3 triggers of the spell.',1,2),
(153387,270080,10,100,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',0,0),
(153388,270080,10,100,'Inflicts 278 - 340 mental damage on target',1,1),
(153389,270080,10,100,'Grants a total of 3 triggers of the spell.',1,2),
(153390,270080,11,100,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',0,0),
(153391,270080,11,100,'Inflicts 334 - 408 mental damage on target',1,1),
(153392,270080,11,100,'Grants a total of 3 triggers of the spell.',1,2),
(153393,270081,11,100,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',0,0),
(153394,270081,11,100,'Inflicts 499 - 610 mental damage on target',1,1),
(153395,270081,11,100,'Grants a total of 3 triggers of the spell.',1,2),
(153396,270082,10,100,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',0,0),
(153397,270082,10,100,'Inflicts 558 - 682 mental damage on target',1,1),
(153398,270082,10,100,'Grants a total of 3 triggers of the spell.',1,2),
(153399,270082,11,100,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',0,0),
(153400,270082,11,100,'Inflicts 671 - 820 mental damage on target',1,1),
(153401,270082,11,100,'Grants a total of 3 triggers of the spell.',1,2),
(153402,270083,10,100,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',0,0),
(153403,270083,10,100,'Inflicts 700 - 855 mental damage on target',1,1),
(153404,270083,10,100,'Grants a total of 3 triggers of the spell.',1,2),
(153405,270083,11,100,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',0,0),
(153406,270083,11,100,'Inflicts 841 - 1028 mental damage on target',1,1),
(153407,270083,11,100,'Grants a total of 3 triggers of the spell.',1,2),
(153408,270084,10,100,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',0,0),
(153409,270084,10,100,'Inflicts 844 - 1031 mental damage on target',1,1),
(153410,270084,10,100,'Grants a total of 3 triggers of the spell.',1,2),
(153411,270084,11,100,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',0,0),
(153412,270084,11,100,'Inflicts 1014 - 1240 mental damage on target',1,1),
(153413,270084,11,100,'Grants a total of 3 triggers of the spell.',1,2),
(153414,270085,10,100,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',0,0),
(153415,270085,10,100,'Inflicts 927 - 1132 mental damage on target',1,1),
(153416,270085,10,100,'Grants a total of 3 triggers of the spell.',1,2),
(153417,270085,11,100,'When damaged with a melee weapon this spell will cast Convulsions on target.  ',0,0),
(153418,270085,11,100,'Inflicts 1114 - 1362 mental damage on target',1,1),
(153419,270085,11,100,'Grants a total of 3 triggers of the spell.',1,2),
(153420,270087,10,100,'Inflicts 91 - 111 mental damage on target',0,0),
(153421,270087,10,100,'Stuns target',0,1),
(153422,270087,10,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(153423,270087,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(153424,270088,10,100,'Inflicts 196 - 240 mental damage on target',0,0),
(153425,270088,10,100,'Stuns target',0,1),
(153426,270088,10,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(153427,270088,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(153428,270089,10,100,'Inflicts 313 - 382 mental damage on target',0,0),
(153429,270089,10,100,'Stuns target',0,1),
(153430,270089,10,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(153431,270089,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(153432,270090,10,100,'Inflicts 937 - 1146 mental damage on target',0,0),
(153433,270090,10,100,'Stuns target',0,1),
(153434,270090,10,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(153435,270090,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(153436,270090,11,100,'Inflicts 1127 - 1378 mental damage on target',0,0),
(153437,270090,11,100,'Stuns target',0,1),
(153438,270090,11,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(153439,270090,11,100,'Resistibility increases against targets higher than level 29.',0,3),
(153440,270091,10,100,'Inflicts 456 - 557 mental damage on target',0,0),
(153441,270091,10,100,'Stuns target',0,1),
(153442,270091,10,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(153443,270091,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(153444,270092,10,100,'Inflicts 599 - 732 mental damage on target',0,0),
(153445,270092,10,100,'Stuns target',0,1),
(153446,270092,10,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(153447,270092,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(153448,270093,10,100,'Inflicts 726 - 887 mental damage on target',0,0),
(153449,270093,10,100,'Stuns target',0,1),
(153450,270093,10,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(153451,270093,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(153452,270094,10,100,'Inflicts 874 - 1068 mental damage on target',0,0),
(153453,270094,10,100,'Stuns target',0,1),
(153454,270094,10,100,'Epic targets gain an immunity to Stun effects of 16.5 seconds and duration is reduced to 1.8 seconds.',0,2),
(153455,270094,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(153456,270095,1,100,'Mesmerizes target',0,0),
(153457,270095,1,100,'Prevents AOE (except when direct) ',0,1),
(153458,270095,1,100,'Dispelled when target takes damage',0,2),
(153459,270095,1,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(153460,270095,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(153461,270098,10,100,'Mesmerizes target',0,0),
(153462,270098,10,100,'Prevents AOE (except when direct) ',0,1),
(153463,270098,10,100,'Dispelled when target takes damage',0,2),
(153464,270098,10,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(153465,270098,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(153466,270100,10,100,'Mesmerizes target',0,0),
(153467,270100,10,100,'Prevents AOE (except when direct) ',0,1),
(153468,270100,10,100,'Dispelled when target takes damage',0,2),
(153469,270100,10,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(153470,270100,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(153471,270101,10,100,'Mesmerizes target',0,0),
(153472,270101,10,100,'Prevents AOE (except when direct) ',0,1),
(153473,270101,10,100,'Dispelled when target takes damage',0,2),
(153474,270101,10,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(153475,270101,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(153476,270102,10,100,'Mesmerizes target',0,0),
(153477,270102,10,100,'Prevents AOE (except when direct) ',0,1),
(153478,270102,10,100,'Dispelled when target takes damage',0,2),
(153479,270102,10,100,'Epic targets gain an immunity to Mesmerize effects of 45.0 seconds and duration is reduced to 5.0 seconds.',0,3),
(153480,270102,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(153481,270103,10,100,'Increases Combat Power Regen of group members (AE) by 11.8',0,0),
(153482,270104,10,100,'Increases Combat Power Regen of group members (AE) by 15.9',0,0),
(153483,270105,10,100,'Increases Combat Power Regen of group members (AE) by 19.9',0,0),
(153484,270106,10,100,'Increases Combat Power Regen of group members (AE) by 23.5',0,0),
(153485,270107,10,100,'Increases Combat Power Regen of group members (AE) by 26.5',0,0),
(153486,270107,11,100,'Increases Combat Power Regen of group members (AE) by 31.8',0,0),
(153487,270108,10,100,'On any combat or spell hit this spell will cast Disorientation on target.  Lasts for 4.0 seconds.  ',0,0),
(153488,270108,10,100,'Stuns target',1,1),
(153489,270108,10,100,'If Target is not Epic',2,2),
(153490,270108,10,100,'Grants a total of 3 triggers of the spell.',1,3),
(153491,270110,10,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 588',0,0),
(153492,270113,10,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1386',0,0),
(153493,270114,10,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1734',0,0),
(153494,270115,10,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1935',0,0),
(153495,270115,11,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 2327',0,0),
(153496,270116,10,100,'When damaged with a melee weapon this spell has a 33% chance to cast Linked Pain on target''s attacker.  ',0,0),
(153497,270116,10,100,'Decreases threat priority of target by 1 position',1,1),
(153498,270116,10,100,'Decreases Hate Gain of target by 16.1%',0,2),
(153499,270117,10,100,'When damaged with a melee weapon this spell has a 33% chance to cast Linked Pain on target''s attacker.  ',0,0),
(153500,270117,10,100,'Decreases threat priority of target by 1 position',1,1),
(153501,270117,10,100,'Decreases Hate Gain of target by 19.9%',0,2),
(153502,270119,10,100,'When damaged with a melee weapon this spell has a 40% chance to cast Linked Pain on target''s attacker.  ',0,0),
(153503,270119,10,100,'Decreases threat priority of target by 1 position',1,1),
(153504,270119,10,100,'Decreases Hate Gain of target by 25.0%',0,2),
(153505,270121,10,100,'When damaged with a melee weapon this spell has a 58% chance to cast Linked Pain on target''s attacker.  ',0,0),
(153506,270121,10,100,'Decreases threat priority of target by 1 position',1,1),
(153507,270121,10,100,'Decreases Hate Gain of target by 25.0%',0,2),
(153508,270121,11,100,'When damaged with a melee weapon this spell has a 58% chance to cast Linked Pain on target''s attacker.  ',0,0),
(153509,270121,11,100,'Decreases threat priority of target by 1 position',1,1),
(153510,270121,11,100,'Decreases Hate Gain of target by 25.0%',0,2),
(153511,270122,1,100,'Certain enemies cannot be targetted by Possess Essence',0,1),
(153512,270122,2,100,'Certain enemies cannot be targetted by Possess Essence',0,1),
(153513,270122,3,100,'Certain enemies cannot be targetted by Possess Essence',0,1),
(153514,270122,4,100,'Certain enemies cannot be targetted by Possess Essence',0,1),
(153515,270122,5,100,'Certain enemies cannot be targetted by Possess Essence',0,1),
(153516,270122,7,100,'Certain enemies cannot be targetted by Possess Essence',0,1),
(153517,270122,9,100,'Certain enemies cannot be targetted by Possess Essence',0,1),
(153518,270122,10,100,'Summons a pet possessed essence',0,0),
(153519,270122,10,100,'Certain enemies cannot be targetted by Possess Essence',0,1),
(153520,270124,10,100,'Increases Max Power of group members (AE) by 121.0',0,0),
(153521,270124,10,100,'Increases Mitigation of group members (AE) vs arcane damage by 282',0,1),
(153522,270125,10,100,'Increases Max Power of group members (AE) by 277.2',0,0),
(153523,270125,10,100,'Increases Mitigation of group members (AE) vs arcane damage by 470',0,1),
(153524,270126,10,100,'Increases Max Power of group members (AE) by 424.4',0,0),
(153525,270126,10,100,'Increases Mitigation of group members (AE) vs arcane damage by 659',0,1),
(153526,270127,10,100,'Increases Max Power of group members (AE) by 548.3',0,0),
(153527,270127,10,100,'Increases Mitigation of group members (AE) vs arcane damage by 847',0,1),
(153528,270129,10,100,'Increases Max Power of group members (AE) by 739.7',0,0),
(153529,270129,10,100,'Increases Mitigation of group members (AE) vs arcane damage by 1228',0,1),
(153530,270130,10,100,'Increases Max Power of group members (AE) by 826.7',0,0),
(153531,270130,10,100,'Increases Mitigation of group members (AE) vs arcane damage by 1404',0,1),
(153532,270130,11,100,'Increases Max Power of group members (AE) by 994.0',0,0),
(153533,270130,11,100,'Increases Mitigation of group members (AE) vs arcane damage by 1689',0,1),
(153534,270131,10,100,'Summons 4 limited pets to aid the caster',0,0),
(153535,270132,10,100,'Summons 4 limited pets to aid the caster',0,0),
(153536,270133,10,100,'Summons 4 limited pets to aid the caster',0,0),
(153537,270133,11,100,'Summons 4 limited pets to aid the caster',0,0),
(153538,270134,10,100,'Mesmerizes target encounter',0,0),
(153539,270134,10,100,'Prevents AOE (except when direct) ',0,1),
(153540,270134,10,100,'Dispelled when target takes damage',0,2),
(153541,270134,10,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(153542,270134,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(153543,270135,10,100,'Mesmerizes target encounter',0,0),
(153544,270135,10,100,'Prevents AOE (except when direct) ',0,1),
(153545,270135,10,100,'Dispelled when target takes damage',0,2),
(153546,270135,10,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(153547,270135,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(153548,270136,10,100,'Mesmerizes target encounter',0,0),
(153549,270136,10,100,'Prevents AOE (except when direct) ',0,1),
(153550,270136,10,100,'Dispelled when target takes damage',0,2),
(153551,270136,10,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(153552,270136,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(153553,270137,10,100,'Mesmerizes target encounter',0,0),
(153554,270137,10,100,'Prevents AOE (except when direct) ',0,1),
(153555,270137,10,100,'Dispelled when target takes damage',0,2),
(153556,270137,10,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(153557,270137,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(153558,270138,10,100,'Mesmerizes target encounter',0,0),
(153559,270138,10,100,'Prevents AOE (except when direct) ',0,1),
(153560,270138,10,100,'Dispelled when target takes damage',0,2),
(153561,270138,10,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(153562,270138,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(153563,270139,10,100,'Mesmerizes target encounter',0,0),
(153564,270139,10,100,'Prevents AOE (except when direct) ',0,1),
(153565,270139,10,100,'Dispelled when target takes damage',0,2),
(153566,270139,10,100,'Epic targets gain an immunity to Mesmerize effects of 27.0 seconds and duration is reduced to 3.0 seconds.',0,3),
(153567,270139,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(153568,270141,10,100,'Increases INT and AGI of group members (AE) by 17.5',0,0),
(153569,270141,10,100,'Adds 2.7% to base avoidance.',0,1),
(153570,270142,10,100,'Increases INT and AGI of group members (AE) by 33.9',0,0),
(153571,270142,10,100,'Adds 2.7% to base avoidance.',0,1),
(153572,270145,10,100,'Increases INT and AGI of group members (AE) by 89.7',0,0),
(153573,270145,10,100,'Adds 2.7% to base avoidance.',0,1),
(153574,270146,10,100,'Increases INT and AGI of group members (AE) by 109.0',0,0),
(153575,270146,10,100,'Adds 2.7% to base avoidance.',0,1),
(153576,270147,10,100,'Increases INT and AGI of group members (AE) by 127.5',0,0),
(153577,270147,10,100,'Adds 2.7% to base avoidance.',0,1),
(153578,270148,10,100,'Increases INT and AGI of group members (AE) by 146.0',0,0),
(153579,270148,10,100,'Adds 2.7% to base avoidance.',0,1),
(153580,270148,11,100,'Increases INT and AGI of group members (AE) by 175.5',0,0),
(153581,270148,11,100,'Adds 3.2% to base avoidance.',0,1),
(153582,270149,10,100,'Inflicts 74 - 91 mental damage on target',0,0),
(153583,270149,10,100,'Inflicts 25 - 30 mental damage on target every second',0,1),
(153584,270149,10,100,'Stifles target',0,2),
(153585,270149,10,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,3),
(153586,270149,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(153587,270150,10,100,'Inflicts 147 - 180 mental damage on target',0,0),
(153588,270150,10,100,'Inflicts 49 - 60 mental damage on target every second',0,1),
(153589,270150,10,100,'Stifles target',0,2),
(153590,270150,10,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,3),
(153591,270150,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(153592,270151,10,100,'Inflicts 229 - 280 mental damage on target',0,0),
(153593,270151,10,100,'Inflicts 76 - 93 mental damage on target every second',0,1),
(153594,270151,10,100,'Stifles target',0,2),
(153595,270151,10,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,3),
(153596,270151,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(153597,270152,10,100,'Inflicts 324 - 396 mental damage on target',0,0),
(153598,270152,10,100,'Inflicts 108 - 132 mental damage on target every second',0,1),
(153599,270152,10,100,'Stifles target',0,2),
(153600,270152,10,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,3),
(153601,270152,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(153602,270154,10,100,'Inflicts 512 - 626 mental damage on target',0,0),
(153603,270154,10,100,'Inflicts 171 - 209 mental damage on target every second',0,1),
(153604,270154,10,100,'Stifles target',0,2),
(153605,270154,10,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,3),
(153606,270154,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(153607,270155,10,100,'Inflicts 600 - 733 mental damage on target',0,0),
(153608,270155,10,100,'Inflicts 200 - 244 mental damage on target every second',0,1),
(153609,270155,10,100,'Stifles target',0,2),
(153610,270155,10,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,3),
(153611,270155,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(153612,270155,11,100,'Inflicts 721 - 881 mental damage on target',0,0),
(153613,270155,11,100,'Inflicts 240 - 294 mental damage on target every second',0,1),
(153614,270155,11,100,'Stifles target',0,2),
(153615,270155,11,100,'Epic targets gain an immunity to Stifle effects of 18.0 seconds and duration is reduced to 2.0 seconds.',0,3),
(153616,270155,11,100,'Resistibility increases against targets higher than level 29.',0,4),
(153617,270157,10,100,'Inflicts 34 - 42 mental damage on target encounter instantly and every 4 seconds',0,0),
(153618,270157,10,100,'Decreases power of target encounter by 11 instantly and every 4 seconds',0,1),
(153619,270158,10,100,'Inflicts 60 - 73 mental damage on target encounter instantly and every 4 seconds',0,0),
(153620,270158,10,100,'Decreases power of target encounter by 20 instantly and every 4 seconds',0,1),
(153621,270159,10,100,'Inflicts 90 - 110 mental damage on target encounter instantly and every 4 seconds',0,0),
(153622,270159,10,100,'Decreases power of target encounter by 30 instantly and every 4 seconds',0,1),
(153623,270161,10,100,'Inflicts 153 - 187 mental damage on target encounter instantly and every 4 seconds',0,0),
(153624,270161,10,100,'Decreases power of target encounter by 51 instantly and every 4 seconds',0,1),
(153625,270162,10,100,'Inflicts 184 - 225 mental damage on target encounter instantly and every 4 seconds',0,0),
(153626,270162,10,100,'Decreases power of target encounter by 61 instantly and every 4 seconds',0,1),
(153627,270163,10,100,'Inflicts 205 - 250 mental damage on target encounter instantly and every 4 seconds',0,0),
(153628,270163,10,100,'Decreases power of target encounter by 68 instantly and every 4 seconds',0,1),
(153629,270163,11,100,'Inflicts 246 - 301 mental damage on target encounter instantly and every 4 seconds',0,0),
(153630,270163,11,100,'Decreases power of target encounter by 82 instantly and every 4 seconds',0,1),
(153631,270164,9,100,'Increases the max health of the coercer''s Possess Essence by 25%',0,0),
(153632,270164,9,100,'Reduces the duration and cost of Mana Flow. Additionally, Mana Flow will cast instantly and apply to the target''s group.',0,1),
(153633,270164,9,100,'Reduces the reuse timers of all spells by 10%',0,2),
(153634,270164,9,100,'On a damage spell hit this spell has a 12% chance to cast Siren''s Gift on the group.  Lasts for 10.0 seconds.  ',0,3),
(153635,270164,9,100,'Reduces the power cost of group members'' spells by 20%',1,4),
(153636,270164,9,100,'Cannot be modified except by direct means',0,5),
(153637,270164,10,100,'Increases the max health of the coercer''s Possess Essence by 25%',0,0),
(153638,270164,10,100,'Reduces the duration and cost of Mana Flow. Additionally, Mana Flow will cast instantly and apply to the target''s group.',0,1),
(153639,270164,10,100,'Reduces the reuse timers of all spells by 10%',0,2),
(153640,270164,10,100,'On a damage spell hit this spell has a 12% chance to cast Siren''s Gift on the group.  Lasts for 10.0 seconds.  ',0,3),
(153641,270164,10,100,'Reduces the power cost of group members'' spells by 20%',1,4),
(153642,270164,10,100,'Cannot be modified except by direct means',0,5),
(153643,270165,9,100,'Adds mental damage to a fighter''s single target and AE taunts.',0,0),
(153644,270165,10,100,'Adds mental damage to a fighter''s single target and AE taunts.',0,0),
(153645,270166,11,100,'When damaged with a spell this spell will cast Lash on target.  ',0,0),
(153646,270166,11,100,'Inflicts 283 - 346 mental damage on target',1,1),
(153647,270166,11,100,'Grants a total of 3 triggers of the spell.',1,2),
(153648,270167,10,100,'When damaged with a spell this spell will cast Lash on target.  ',0,0),
(153649,270167,10,100,'Inflicts 347 - 424 mental damage on target',1,1),
(153650,270167,10,100,'Grants a total of 3 triggers of the spell.',1,2),
(153651,270167,11,100,'When damaged with a spell this spell will cast Lash on target.  ',0,0),
(153652,270167,11,100,'Inflicts 417 - 509 mental damage on target',1,1),
(153653,270167,11,100,'Grants a total of 3 triggers of the spell.',1,2),
(153654,270168,10,100,'When damaged with a spell this spell will cast Lash on target.  ',0,0),
(153655,270168,10,100,'Inflicts 458 - 560 mental damage on target',1,1),
(153656,270168,10,100,'Grants a total of 3 triggers of the spell.',1,2),
(153657,270168,11,100,'When damaged with a spell this spell will cast Lash on target.  ',0,0),
(153658,270168,11,100,'Inflicts 551 - 673 mental damage on target',1,1),
(153659,270168,11,100,'Grants a total of 3 triggers of the spell.',1,2),
(153660,270169,10,100,'When damaged with a spell this spell will cast Lash on target.  ',0,0),
(153661,270169,10,100,'Inflicts 554 - 678 mental damage on target',1,1),
(153662,270169,10,100,'Grants a total of 3 triggers of the spell.',1,2),
(153663,270169,11,100,'When damaged with a spell this spell will cast Lash on target.  ',0,0),
(153664,270169,11,100,'Inflicts 667 - 815 mental damage on target',1,1),
(153665,270169,11,100,'Grants a total of 3 triggers of the spell.',1,2),
(153666,270170,10,100,'When damaged with a spell this spell will cast Lash on target.  ',0,0),
(153667,270170,10,100,'Inflicts 668 - 816 mental damage on target',1,1),
(153668,270170,10,100,'Grants a total of 3 triggers of the spell.',1,2),
(153669,270170,11,100,'When damaged with a spell this spell will cast Lash on target.  ',0,0),
(153670,270170,11,100,'Inflicts 803 - 981 mental damage on target',1,1),
(153671,270170,11,100,'Grants a total of 3 triggers of the spell.',1,2),
(153672,270171,10,100,'When damaged with a spell this spell will cast Lash on target.  ',0,0),
(153673,270171,10,100,'Inflicts 725 - 886 mental damage on target',1,1),
(153674,270171,10,100,'Grants a total of 3 triggers of the spell.',1,2),
(153675,270171,11,100,'When damaged with a spell this spell will cast Lash on target.  ',0,0),
(153676,270171,11,100,'Inflicts 872 - 1065 mental damage on target',1,1),
(153677,270171,11,100,'Grants a total of 3 triggers of the spell.',1,2),
(153678,270172,10,100,'Stuns target encounter',0,0),
(153679,270172,10,100,'Epic targets gain an immunity to Stun effects of 12.4 seconds and duration is reduced to 1.4 seconds.',0,1),
(153680,270172,10,100,'Resistibility increases against targets higher than level 29.',0,2),
(153681,270175,10,100,'Stuns target encounter',0,0),
(153682,270175,10,100,'Epic targets gain an immunity to Stun effects of 12.4 seconds and duration is reduced to 1.4 seconds.',0,1),
(153683,270175,10,100,'Resistibility increases against targets higher than level 29.',0,2),
(153684,270176,10,100,'Stuns target encounter',0,0),
(153685,270176,10,100,'Epic targets gain an immunity to Stun effects of 12.4 seconds and duration is reduced to 1.4 seconds.',0,1),
(153686,270176,10,100,'Resistibility increases against targets higher than level 29.',0,2),
(153687,270180,10,100,'Increases Multi Attack of target by 71.0',0,0),
(153688,270181,10,100,'Increases Multi Attack of target by 82.3',0,0),
(153689,270182,10,100,'Increases power of caster by 11 instantly and every 4 seconds',0,0),
(153690,270183,10,100,'Increases power of caster by 24 instantly and every 4 seconds',0,0),
(153691,270184,10,100,'Increases power of caster by 38 instantly and every 4 seconds',0,0),
(153692,270185,10,100,'Increases power of caster by 56 instantly and every 4 seconds',0,0),
(153693,270186,10,100,'Increases power of caster by 74 instantly and every 4 seconds',0,0),
(153694,270187,10,100,'Increases power of caster by 98 instantly and every 4 seconds',0,0),
(153695,270188,10,100,'Increases power of caster by 118 instantly and every 4 seconds',0,0),
(153696,270189,10,100,'Increases power of caster by 125 instantly and every 4 seconds',0,0),
(153697,270189,11,100,'Increases power of caster by 151 instantly and every 4 seconds',0,0),
(153698,270190,10,100,'Inflicts 750 - 1249 mental damage on targets in Area of Effect',0,0),
(153699,270190,10,100,'Stuns targets in Area of Effect',0,1),
(153700,270190,10,100,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(153701,270190,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(153702,270190,11,100,'Inflicts 901 - 1502 mental damage on targets in Area of Effect',0,0),
(153703,270190,11,100,'Stuns targets in Area of Effect',0,1),
(153704,270190,11,100,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(153705,270190,11,100,'Resistibility increases against targets higher than level 29.',0,3),
(153706,270191,10,100,'Inflicts 1128 - 1880 mental damage on targets in Area of Effect',0,0),
(153707,270191,10,100,'Stuns targets in Area of Effect',0,1),
(153708,270191,10,100,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(153709,270191,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(153710,270191,11,100,'Inflicts 1356 - 2260 mental damage on targets in Area of Effect',0,0),
(153711,270191,11,100,'Stuns targets in Area of Effect',0,1),
(153712,270191,11,100,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(153713,270191,11,100,'Resistibility increases against targets higher than level 29.',0,3),
(153714,270192,10,100,'Inflicts 1368 - 2280 mental damage on targets in Area of Effect',0,0),
(153715,270192,10,100,'Stuns targets in Area of Effect',0,1),
(153716,270192,10,100,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(153717,270192,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(153718,270192,11,100,'Inflicts 1645 - 2741 mental damage on targets in Area of Effect',0,0),
(153719,270192,11,100,'Stuns targets in Area of Effect',0,1),
(153720,270192,11,100,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(153721,270192,11,100,'Resistibility increases against targets higher than level 29.',0,3),
(153722,270193,10,100,'Inflicts 1645 - 2742 mental damage on targets in Area of Effect',0,0),
(153723,270193,10,100,'Stuns targets in Area of Effect',0,1),
(153724,270193,10,100,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(153725,270193,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(153726,270193,11,100,'Inflicts 1978 - 3297 mental damage on targets in Area of Effect',0,0),
(153727,270193,11,100,'Stuns targets in Area of Effect',0,1),
(153728,270193,11,100,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(153729,270193,11,100,'Resistibility increases against targets higher than level 29.',0,3),
(153730,270194,10,100,'Inflicts 1746 - 2910 mental damage on targets in Area of Effect',0,0),
(153731,270194,10,100,'Stuns targets in Area of Effect',0,1),
(153732,270194,10,100,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(153733,270194,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(153734,270194,11,100,'Inflicts 2099 - 3499 mental damage on targets in Area of Effect',0,0),
(153735,270194,11,100,'Stuns targets in Area of Effect',0,1),
(153736,270194,11,100,'Epic targets gain an immunity to Stun effects of 15.0 seconds and duration is reduced to 1.7 seconds.',0,2),
(153737,270194,11,100,'Resistibility increases against targets higher than level 29.',0,3),
(153738,280001,10,100,'Inflicts 70 - 105 magic damage on target',0,0),
(153739,280001,10,100,'Inflicts 16 - 24 magic damage on target every 4 seconds',0,1),
(153740,280002,10,100,'Inflicts 61 - 92 magic damage on target',0,0),
(153741,280003,10,100,'Increases Defense of group members'' pets (AE) by 3.8',0,0),
(153742,280003,10,100,'Increases Mitigation of group members (AE) vs all damage by 70',0,1),
(153743,280004,10,100,'Inflicts 111 magic damage on target',0,0),
(153744,280004,10,100,'Increases power of caster by 55',0,1),
(153745,280005,10,100,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',0,0),
(153746,280005,10,100,'Slows target by 56.8%',1,1),
(153747,280005,10,100,'5% chance to dispel when target receives hostile action',1,2),
(153748,280005,10,100,'5% chance to dispel when target takes damage',1,3),
(153749,280005,10,100,'Roots target',0,4),
(153750,280005,10,100,'10% chance to dispel when target receives hostile action',0,5),
(153751,280005,10,100,'10% chance to dispel when target takes damage',0,6),
(153752,280005,10,100,'Does not affect Epic targets',0,7),
(153753,280005,10,100,'Resistibility increases against targets higher than level 29.',0,8),
(153754,280006,3,100,'Grants invisibility to target',0,0),
(153755,280006,3,100,'Suspends target''s movement speed enhancements',0,1),
(153756,280006,3,100,'Grants invisibility to pet',0,2),
(153757,280006,3,100,'Suspends pet''s movement speed enhancements',0,3),
(153758,280006,3,100,'Dispelled when target takes damage',0,4),
(153759,280006,3,100,'This effect cancels during combat',0,5),
(153760,280009,10,100,'Increases INT of target by 40.7',0,0),
(153761,280009,10,100,'Increases Haste of target by 30.8',0,1),
(153762,280009,10,100,'Decreases Defense and Parry of target by 4.9',0,2),
(153763,280009,10,100,'Increases Slashing, Crushing and Piercing of target by 5.5',0,3),
(153764,280010,10,100,'Wards target against 23 points of all damage',0,0),
(153765,280010,10,100,'Decreases INT of target by 28.0',0,1),
(153766,280010,10,100,'Decreases Attack Speed of target by 25.0',0,2),
(153767,280010,10,100,'Increases Max Health of target by 16.8%',0,3),
(153768,280010,10,100,'Increases Hate Gain of target by 22.3%',0,4),
(153769,280010,10,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 235',0,5),
(153770,280011,10,100,'Inflicts 42 - 63 magic damage on target',0,0),
(153771,280011,10,100,'Inflicts 9 - 14 magic damage on target every 4 seconds',0,1),
(153772,280012,10,100,'Stuns target',0,0),
(153773,280012,10,100,'Does not affect Epic targets',0,1),
(153774,280012,10,100,'Resistibility increases against targets higher than level 29.',0,2),
(153775,280013,1,100,'Decreases Mitigation of target vs arcane damage by 168',0,6),
(153776,280013,2,100,'Decreases Mitigation of target vs arcane damage by 178',0,6),
(153777,280013,3,100,'Decreases Mitigation of target vs arcane damage by 187',0,6),
(153778,280013,4,100,'Decreases Mitigation of target vs arcane damage by 206',0,6),
(153779,280013,5,100,'Decreases Mitigation of target vs arcane damage by 225',0,6),
(153780,280013,7,100,'Decreases Mitigation of target vs arcane damage by 288',0,6),
(153781,280014,10,100,'Heals target for 159',0,0),
(153782,280015,10,100,'Summon 1 Splinter of Essence (Master I)',0,0),
(153783,280017,10,100,'Summons a pet earthen avatar',0,0),
(153784,280018,10,100,'Inflicts 15 - 23 piercing damage on target instantly and every 4 seconds',0,0),
(153785,280018,10,100,'Decreases Defense of target by 5.0',0,1),
(153786,280019,10,100,'Inflicts 57 - 85 piercing damage on target instantly and every 4 seconds',0,0),
(153787,280019,10,100,'Decreases Defense of target by 17.6',0,1),
(153788,280020,10,100,'Inflicts 95 - 142 piercing damage on target instantly and every 4 seconds',0,0),
(153789,280020,10,100,'Decreases Defense of target by 26.7',0,1),
(153790,280021,10,100,'Inflicts 135 - 203 piercing damage on target instantly and every 4 seconds',0,0),
(153791,280021,10,100,'Decreases Defense of target by 36.0',0,1),
(153792,280023,11,100,'Inflicts 234 - 350 piercing damage on target instantly and every 4 seconds',0,0),
(153793,280023,11,100,'Decreases Defense of target by 59.4',0,1),
(153794,290000,10,100,'Summons a pet aery hunter',0,0),
(153795,290001,10,100,'Summons a pet aery hunter',0,0),
(153796,290002,10,100,'Summons a pet aery hunter',0,0),
(153797,290003,10,100,'Summons a pet aery hunter',0,0),
(153798,290004,10,100,'Summons a pet aery hunter',0,0),
(153799,290005,10,100,'Summons a pet aery hunter',0,0),
(153800,290005,11,100,'Summons a pet aery hunter',0,0),
(153801,290007,10,100,'Applies Antagonize to qualifying pets.',0,0),
(153802,290007,10,100,'Increases Potency of target by 3.9%',1,1),
(153803,290007,10,100,'Increases Haste of target by 38.6',1,2),
(153804,290007,10,100,'Decreases Defense and Parry of target by 11.3',1,3),
(153805,290007,10,100,'Increases Slashing, Piercing and Crushing of target by 12.6',1,4),
(153806,290010,10,100,'Applies Antagonize to qualifying pets.',0,0),
(153807,290010,10,100,'Increases Potency of target by 5.8%',1,1),
(153808,290010,10,100,'Increases Haste of target by 61.8',1,2),
(153809,290010,10,100,'Decreases Defense and Parry of target by 30.1',1,3),
(153810,290010,10,100,'Increases Slashing, Piercing and Crushing of target by 33.8',1,4),
(153811,290011,10,100,'Applies Antagonize to qualifying pets.',0,0),
(153812,290011,10,100,'Increases Potency of target by 6.6%',1,1),
(153813,290011,10,100,'Increases Haste of target by 67.8',1,2),
(153814,290011,10,100,'Decreases Defense and Parry of target by 36.3',1,3),
(153815,290011,10,100,'Increases Slashing, Piercing and Crushing of target by 40.7',1,4),
(153816,290012,10,100,'Applies Antagonize to qualifying pets.',0,0),
(153817,290012,10,100,'Increases Potency of target by 7.6%',1,1),
(153818,290012,10,100,'Increases Haste of target by 77.0',1,2),
(153819,290012,10,100,'Decreases Defense and Parry of target by 42.3',1,3),
(153820,290012,10,100,'Increases Slashing, Piercing and Crushing of target by 48.7',1,4),
(153821,290013,10,100,'Applies Antagonize to qualifying pets.',0,0),
(153822,290013,10,100,'Increases Potency of target by 8.7%',1,1),
(153823,290013,10,100,'Increases Haste of target by 83.0',1,2),
(153824,290013,10,100,'Decreases Defense and Parry of target by 48.3',1,3),
(153825,290013,10,100,'Increases Slashing, Piercing and Crushing of target by 57.1',1,4),
(153826,290013,11,100,'Applies Antagonize to qualifying pets.',0,0),
(153827,290013,11,100,'Increases Potency of target by 10.4%',1,1),
(153828,290013,11,100,'Increases Haste of target by 99.8',1,2),
(153829,290013,11,100,'Decreases Defense and Parry of target by 48.3',1,3),
(153830,290013,11,100,'Increases Slashing, Piercing and Crushing of target by 68.7',1,4),
(153831,290014,11,100,'Summons 3 limited pets to aid the caster',0,0),
(153832,290015,10,100,'Summons 3 limited pets to aid the caster',0,0),
(153833,290015,11,100,'Summons 3 limited pets to aid the caster',0,0),
(153834,290016,11,100,'Summons 3 limited pets to aid the caster',0,0),
(153835,290017,10,100,'Summons 3 limited pets to aid the caster',0,0),
(153836,290017,11,100,'Summons 3 limited pets to aid the caster',0,0),
(153837,290018,10,100,'Summons 3 limited pets to aid the caster',0,0),
(153838,290018,11,100,'Summons 3 limited pets to aid the caster',0,0),
(153839,290019,10,100,'Summons 3 limited pets to aid the caster',0,0),
(153840,290019,11,100,'Summons 3 limited pets to aid the caster',0,0),
(153841,290020,10,100,'Summons 3 limited pets to aid the caster',0,0),
(153842,290020,11,100,'Summons 3 limited pets to aid the caster',0,0),
(153843,290021,10,100,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',0,0),
(153844,290021,10,100,'Inflicts 270 - 450 heat damage on target',1,1),
(153845,290021,10,100,'Grants a total of 5 triggers of the spell.',1,2),
(153846,290021,10,100,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',0,3),
(153847,290021,10,100,'Inflicts 270 - 450 heat damage on target',1,4),
(153848,290021,10,100,'Grants a total of 5 triggers of the spell.',1,5),
(153849,290021,11,100,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',0,0),
(153850,290021,11,100,'Inflicts 324 - 541 heat damage on target',1,1),
(153851,290021,11,100,'Grants a total of 5 triggers of the spell.',1,2),
(153852,290021,11,100,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',0,3),
(153853,290021,11,100,'Inflicts 324 - 541 heat damage on target',1,4),
(153854,290021,11,100,'Grants a total of 5 triggers of the spell.',1,5),
(153855,290022,10,100,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',0,0),
(153856,290022,10,100,'Inflicts 406 - 677 heat damage on target',1,1),
(153857,290022,10,100,'Grants a total of 5 triggers of the spell.',1,2),
(153858,290022,10,100,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',0,3),
(153859,290022,10,100,'Inflicts 406 - 677 heat damage on target',1,4),
(153860,290022,10,100,'Grants a total of 5 triggers of the spell.',1,5),
(153861,290022,11,100,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',0,0),
(153862,290022,11,100,'Inflicts 488 - 814 heat damage on target',1,1),
(153863,290022,11,100,'Grants a total of 5 triggers of the spell.',1,2),
(153864,290022,11,100,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',0,3),
(153865,290022,11,100,'Inflicts 488 - 814 heat damage on target',1,4),
(153866,290022,11,100,'Grants a total of 5 triggers of the spell.',1,5),
(153867,290023,10,100,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',0,0),
(153868,290023,10,100,'Inflicts 492 - 821 heat damage on target',1,1),
(153869,290023,10,100,'Grants a total of 5 triggers of the spell.',1,2),
(153870,290023,10,100,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',0,3),
(153871,290023,10,100,'Inflicts 492 - 821 heat damage on target',1,4),
(153872,290023,10,100,'Grants a total of 5 triggers of the spell.',1,5),
(153873,290023,11,100,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',0,0),
(153874,290023,11,100,'Inflicts 592 - 987 heat damage on target',1,1),
(153875,290023,11,100,'Grants a total of 5 triggers of the spell.',1,2),
(153876,290023,11,100,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',0,3),
(153877,290023,11,100,'Inflicts 592 - 987 heat damage on target',1,4),
(153878,290023,11,100,'Grants a total of 5 triggers of the spell.',1,5),
(153879,290024,10,100,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',0,0),
(153880,290024,10,100,'Inflicts 592 - 987 heat damage on target',1,1),
(153881,290024,10,100,'Grants a total of 5 triggers of the spell.',1,2),
(153882,290024,10,100,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',0,3),
(153883,290024,10,100,'Inflicts 592 - 987 heat damage on target',1,4),
(153884,290024,10,100,'Grants a total of 5 triggers of the spell.',1,5),
(153885,290024,11,100,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',0,0),
(153886,290024,11,100,'Inflicts 712 - 1187 heat damage on target',1,1),
(153887,290024,11,100,'Grants a total of 5 triggers of the spell.',1,2),
(153888,290024,11,100,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',0,3),
(153889,290024,11,100,'Inflicts 712 - 1187 heat damage on target',1,4),
(153890,290024,11,100,'Grants a total of 5 triggers of the spell.',1,5),
(153891,290025,10,100,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',0,0),
(153892,290025,10,100,'Inflicts 629 - 1048 heat damage on target',1,1),
(153893,290025,10,100,'Grants a total of 5 triggers of the spell.',1,2),
(153894,290025,10,100,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',0,3),
(153895,290025,10,100,'Inflicts 629 - 1048 heat damage on target',1,4),
(153896,290025,10,100,'Grants a total of 5 triggers of the spell.',1,5),
(153897,290025,11,100,'When damaged with a melee weapon this spell will cast Blaze on target''s attacker.  ',0,0),
(153898,290025,11,100,'Inflicts 756 - 1260 heat damage on target',1,1),
(153899,290025,11,100,'Grants a total of 5 triggers of the spell.',1,2),
(153900,290025,11,100,'On any combat or spell hit this spell will cast Blaze on target of attack.  ',0,3),
(153901,290025,11,100,'Inflicts 756 - 1260 heat damage on target',1,4),
(153902,290025,11,100,'Grants a total of 5 triggers of the spell.',1,5),
(153903,290028,10,100,'Summons three powerful planar beings to attack the conjuror''s enemies.',0,0),
(153904,290029,10,100,'Summons three powerful planar beings to attack the conjuror''s enemies.',0,0),
(153905,290030,10,100,'Summons three powerful planar beings to attack the conjuror''s enemies.',0,0),
(153906,290030,11,100,'Summons three powerful planar beings to attack the conjuror''s enemies.',0,0),
(153907,290031,10,100,'Applies Conjuror''s Pact to qualifying pets.',0,0),
(153908,290031,10,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',1,1),
(153909,290031,10,100,'Decreases Mitigation of target vs elemental and arcane damage by 263',2,2),
(153910,290031,10,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,3),
(153911,290031,10,100,'Decreases Mitigation of target vs elemental and arcane damage by 263',2,4),
(153912,290032,10,100,'Applies Conjuror''s Pact to qualifying pets.',0,0),
(153913,290032,10,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',1,1),
(153914,290032,10,100,'Decreases Mitigation of target vs elemental and arcane damage by 470',2,2),
(153915,290032,10,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,3),
(153916,290032,10,100,'Decreases Mitigation of target vs elemental and arcane damage by 470',2,4),
(153917,290033,10,100,'Applies Conjuror''s Pact to qualifying pets.',0,0),
(153918,290033,10,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',1,1),
(153919,290033,10,100,'Decreases Mitigation of target vs elemental and arcane damage by 706',2,2),
(153920,290033,10,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,3),
(153921,290033,10,100,'Decreases Mitigation of target vs elemental and arcane damage by 706',2,4),
(153922,290034,10,100,'Applies Conjuror''s Pact to qualifying pets.',0,0),
(153923,290034,10,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',1,1),
(153924,290034,10,100,'Decreases Mitigation of target vs elemental and arcane damage by 941',2,2),
(153925,290034,10,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,3),
(153926,290034,10,100,'Decreases Mitigation of target vs elemental and arcane damage by 941',2,4),
(153927,290035,10,100,'Applies Conjuror''s Pact to qualifying pets.',0,0),
(153928,290035,10,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',1,1),
(153929,290035,10,100,'Decreases Mitigation of target vs elemental and arcane damage by 1176',2,2),
(153930,290035,10,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,3),
(153931,290035,10,100,'Decreases Mitigation of target vs elemental and arcane damage by 1176',2,4),
(153932,290036,10,100,'Applies Conjuror''s Pact to qualifying pets.',0,0),
(153933,290036,10,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',1,1),
(153934,290036,10,100,'Decreases Mitigation of target vs elemental and arcane damage by 1536',2,2),
(153935,290036,10,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,3),
(153936,290036,10,100,'Decreases Mitigation of target vs elemental and arcane damage by 1536',2,4),
(153937,290037,10,100,'Applies Conjuror''s Pact to qualifying pets.',0,0),
(153938,290037,10,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(153939,290037,10,100,'Decreases Mitigation of target vs elemental and arcane damage by 1814',2,2),
(153940,290037,10,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(153941,290037,10,100,'Decreases Mitigation of target vs elemental and arcane damage by 1814',2,4),
(153942,290038,10,100,'Applies Conjuror''s Pact to qualifying pets.',0,0),
(153943,290038,10,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',1,1),
(153944,290038,10,100,'Decreases Mitigation of target vs elemental and arcane damage by 2016',2,2),
(153945,290038,10,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,3),
(153946,290038,10,100,'Decreases Mitigation of target vs elemental and arcane damage by 2016',2,4),
(153947,290038,11,100,'Applies Conjuror''s Pact to qualifying pets.',0,0),
(153948,290038,11,100,'When damaged this spell has a 25% chance to cast Exposed Elements on target''s attacker.  Lasts for 20.0 seconds.  ',1,1),
(153949,290038,11,100,'Decreases Mitigation of target vs elemental and arcane damage by 2424',2,2),
(153950,290038,11,100,'On any combat or spell hit this spell may cast Exposed Elements on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,3),
(153951,290038,11,100,'Decreases Mitigation of target vs elemental and arcane damage by 2424',2,4),
(153952,290039,11,100,'Inflicts 18 - 25 magic damage on target',0,0),
(153953,290040,11,100,'Inflicts 44 - 59 magic damage on target',0,0),
(153954,290041,11,100,'Inflicts 85 - 115 magic damage on target',0,0),
(153955,290042,10,100,'Inflicts 117 - 158 magic damage on target',0,0),
(153956,290042,11,100,'Inflicts 140 - 190 magic damage on target',0,0),
(153957,290043,11,100,'Inflicts 761 - 1029 magic damage on target',0,0),
(153958,290044,11,100,'Inflicts 215 - 290 magic damage on target',0,0),
(153959,290045,11,100,'Inflicts 336 - 455 magic damage on target',0,0),
(153960,290046,10,100,'Inflicts 400 - 541 magic damage on target',0,0),
(153961,290046,11,100,'Inflicts 481 - 650 magic damage on target',0,0),
(153962,290047,10,100,'Inflicts 522 - 707 magic damage on target',0,0),
(153963,290047,11,100,'Inflicts 628 - 850 magic damage on target',0,0),
(153964,290048,11,100,'Inflicts 902 - 1221 magic damage on target',0,0),
(153965,290052,10,100,'Applies Defensive Haven to qualifying pets.',0,0),
(153966,290052,10,100,'Wards target against 114 points of all damage',1,1),
(153967,290052,10,100,'Decreases Haste of target by 25.0',1,2),
(153968,290052,10,100,'Increases Max Health of target by 16.8%',1,3),
(153969,290052,10,100,'Increases Hate Gain of target by 45.4%',1,4),
(153970,290052,10,100,'Increases Aggression of target by 14.1',1,5),
(153971,290052,10,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 941',1,6),
(153972,290052,10,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,7),
(153973,290052,10,100,'Increases Threat to target encounter by 931 - 1,137 ',2,8),
(153974,290053,10,100,'Applies Defensive Haven to qualifying pets.',0,0),
(153975,290053,10,100,'Wards target against 149 points of all damage',1,1),
(153976,290053,10,100,'Decreases Haste of target by 25.0',1,2),
(153977,290053,10,100,'Increases Max Health of target by 16.8%',1,3),
(153978,290053,10,100,'Increases Hate Gain of target by 48.4%',1,4),
(153979,290053,10,100,'Increases Aggression of target by 17.6',1,5),
(153980,290053,10,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1176',1,6),
(153981,290053,10,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,7),
(153982,290053,10,100,'Increases Threat to target encounter by 1,248 - 1,414 ',2,8),
(153983,290054,10,100,'Applies Defensive Haven to qualifying pets.',0,0),
(153984,290054,10,100,'Wards target against 174 points of all damage',1,1),
(153985,290054,10,100,'Decreases Haste of target by 25.0',1,2),
(153986,290054,10,100,'Increases Max Health of target by 16.8%',1,3),
(153987,290054,10,100,'Increases Hate Gain of target by 46.0%',1,4),
(153988,290054,10,100,'Increases Aggression of target by 21.0',1,5),
(153989,290054,10,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1344',1,6),
(153990,290054,10,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,7),
(153991,290054,10,100,'Increases Threat to target encounter by 1,437 - 1,636 ',2,8),
(153992,290055,10,100,'Applies Defensive Haven to qualifying pets.',0,0),
(153993,290055,10,100,'Wards target against 211 points of all damage',1,1),
(153994,290055,10,100,'Decreases Haste of target by 25.0',1,2),
(153995,290055,10,100,'Increases Max Health of target by 16.8%',1,3),
(153996,290055,10,100,'Increases Hate Gain of target by 46.0%',1,4),
(153997,290055,10,100,'Increases Aggression of target by 25.2',1,5),
(153998,290055,10,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1512',1,6),
(153999,290055,10,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,7),
(154000,290055,10,100,'Increases Threat to target encounter by 1,619 - 1,858 ',2,8),
(154001,290056,10,100,'Applies Defensive Haven to qualifying pets.',0,0),
(154002,290056,10,100,'Wards target against 225 points of all damage',1,1),
(154003,290056,10,100,'Decreases Haste of target by 25.0',1,2),
(154004,290056,10,100,'Increases Max Health of target by 16.8%',1,3),
(154005,290056,10,100,'Increases Hate Gain of target by 46.0%',1,4),
(154006,290056,10,100,'Increases Aggression of target by 29.4',1,5),
(154007,290056,10,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1680',1,6),
(154008,290056,10,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,7),
(154009,290056,10,100,'Increases Threat to target encounter by 1,800 - 2,080 ',2,8),
(154010,290056,11,100,'Applies Defensive Haven to qualifying pets.',0,0),
(154011,290056,11,100,'Wards target against 270 points of all damage',1,1),
(154012,290056,11,100,'Decreases Haste of target by 25.0',1,2),
(154013,290056,11,100,'Increases Max Health of target by 20.2%',1,3),
(154014,290056,11,100,'Increases Hate Gain of target by 46.0%',1,4),
(154015,290056,11,100,'Increases Aggression of target by 35.3',1,5),
(154016,290056,11,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 2020',1,6),
(154017,290056,11,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,7),
(154020,290059,10,100,'Summons a pet earthen avatar',0,0),
(154021,290060,10,100,'Summons a pet earthen avatar',0,0),
(154022,290061,10,100,'Summons a pet earthen avatar',0,0),
(154023,290061,11,100,'Summons a pet earthen avatar',0,0),
(154024,290062,10,100,'Summons a pet earthen avatar',0,0),
(154025,290063,10,100,'Summons a pet earthen avatar',0,0),
(154026,290064,10,100,'Summons a pet earthen avatar',0,0),
(154027,290065,10,100,'Summons a pet earthen avatar',0,0),
(154028,290066,1,100,'Inflicts 52 - 155 magic damage on targets in Area of Effect',0,6),
(154029,290066,2,100,'Inflicts 55 - 164 magic damage on targets in Area of Effect',0,6),
(154030,290066,3,100,'Inflicts 57 - 172 magic damage on targets in Area of Effect',0,6),
(154031,290066,4,100,'Inflicts 63 - 190 magic damage on targets in Area of Effect',0,6),
(154032,290066,5,100,'Inflicts 69 - 207 magic damage on targets in Area of Effect',0,6),
(154033,290066,7,100,'Inflicts 88 - 265 magic damage on targets in Area of Effect',0,6),
(154034,290066,9,100,'Inflicts 92 - 276 magic damage on targets in Area of Effect',0,6),
(154035,290066,10,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(154036,290066,10,100,'Throws target back',1,1),
(154037,290066,10,100,'Blurs vision of target',1,2),
(154038,290066,10,100,'Stuns target',1,3),
(154039,290066,10,100,'Does not affect Epic targets',1,4),
(154040,290066,10,100,'Interrupts targets in Area of Effect',0,5),
(154041,290066,10,100,'Inflicts 96 - 289 magic damage on targets in Area of Effect',0,6),
(154042,290066,11,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(154043,290066,11,100,'Throws target back',1,1),
(154044,290066,11,100,'Blurs vision of target',1,2),
(154045,290066,11,100,'Stuns target',1,3),
(154046,290066,11,100,'Does not affect Epic targets',1,4),
(154047,290066,11,100,'Interrupts targets in Area of Effect',0,5),
(154048,290066,11,100,'Inflicts 116 - 348 magic damage on targets in Area of Effect',0,6),
(154049,290067,1,100,'Inflicts 102 - 307 magic damage on targets in Area of Effect',0,6),
(154050,290067,2,100,'Inflicts 108 - 324 magic damage on targets in Area of Effect',0,6),
(154051,290067,3,100,'Inflicts 114 - 341 magic damage on targets in Area of Effect',0,6),
(154052,290067,4,100,'Inflicts 125 - 375 magic damage on targets in Area of Effect',0,6),
(154053,290067,5,100,'Inflicts 136 - 409 magic damage on targets in Area of Effect',0,6),
(154054,290067,7,100,'Inflicts 175 - 525 magic damage on targets in Area of Effect',0,6),
(154055,290067,9,100,'Inflicts 182 - 545 magic damage on targets in Area of Effect',0,6),
(154056,290067,10,100,'Inflicts 191 - 572 magic damage on targets in Area of Effect',0,6),
(154057,290067,11,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(154058,290067,11,100,'Throws target back',1,1),
(154059,290067,11,100,'Blurs vision of target',1,2),
(154060,290067,11,100,'Stuns target',1,3),
(154061,290067,11,100,'Does not affect Epic targets',1,4),
(154062,290067,11,100,'Interrupts targets in Area of Effect',0,5),
(154063,290067,11,100,'Inflicts 229 - 688 magic damage on targets in Area of Effect',0,6),
(154064,290068,1,100,'Inflicts 159 - 477 magic damage on targets in Area of Effect',0,6),
(154065,290068,2,100,'Inflicts 168 - 503 magic damage on targets in Area of Effect',0,6),
(154066,290068,3,100,'Inflicts 177 - 530 magic damage on targets in Area of Effect',0,6),
(154067,290068,4,100,'Inflicts 194 - 583 magic damage on targets in Area of Effect',0,6),
(154068,290068,5,100,'Inflicts 212 - 636 magic damage on targets in Area of Effect',0,6),
(154069,290068,7,100,'Inflicts 272 - 816 magic damage on targets in Area of Effect',0,6),
(154070,290068,9,100,'Inflicts 283 - 848 magic damage on targets in Area of Effect',0,6),
(154071,290068,10,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(154072,290068,10,100,'Throws target back',1,1),
(154073,290068,10,100,'Blurs vision of target',1,2),
(154074,290068,10,100,'Stuns target',1,3),
(154075,290068,10,100,'Does not affect Epic targets',1,4),
(154076,290068,10,100,'Interrupts targets in Area of Effect',0,5),
(154077,290068,10,100,'Inflicts 297 - 890 magic damage on targets in Area of Effect',0,6),
(154078,290068,11,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(154079,290068,11,100,'Throws target back',1,1),
(154080,290068,11,100,'Blurs vision of target',1,2),
(154081,290068,11,100,'Stuns target',1,3),
(154082,290068,11,100,'Does not affect Epic targets',1,4),
(154083,290068,11,100,'Interrupts targets in Area of Effect',0,5),
(154084,290068,11,100,'Inflicts 357 - 1070 magic damage on targets in Area of Effect',0,6),
(154085,290069,1,100,'Inflicts 225 - 676 magic damage on targets in Area of Effect',0,6),
(154086,290069,2,100,'Inflicts 238 - 713 magic damage on targets in Area of Effect',0,6),
(154087,290069,3,100,'Inflicts 250 - 751 magic damage on targets in Area of Effect',0,6),
(154088,290069,4,100,'Inflicts 275 - 826 magic damage on targets in Area of Effect',0,6),
(154089,290069,5,100,'Inflicts 300 - 901 magic damage on targets in Area of Effect',0,6),
(154090,290069,7,100,'Inflicts 385 - 1156 magic damage on targets in Area of Effect',0,6),
(154091,290069,9,100,'Inflicts 400 - 1201 magic damage on targets in Area of Effect',0,6),
(154092,290069,10,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(154093,290069,10,100,'Throws target back',1,1),
(154094,290069,10,100,'Blurs vision of target',1,2),
(154095,290069,10,100,'Stuns target',1,3),
(154096,290069,10,100,'Does not affect Epic targets',1,4),
(154097,290069,10,100,'Interrupts targets in Area of Effect',0,5),
(154098,290069,10,100,'Inflicts 420 - 1261 magic damage on targets in Area of Effect',0,6),
(154099,290069,11,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(154100,290069,11,100,'Throws target back',1,1),
(154101,290069,11,100,'Blurs vision of target',1,2),
(154102,290069,11,100,'Stuns target',1,3),
(154103,290069,11,100,'Does not affect Epic targets',1,4),
(154104,290069,11,100,'Interrupts targets in Area of Effect',0,5),
(154105,290069,11,100,'Inflicts 506 - 1517 magic damage on targets in Area of Effect',0,6),
(154106,290070,1,100,'Inflicts 288 - 864 magic damage on targets in Area of Effect',0,6),
(154107,290070,2,100,'Inflicts 304 - 912 magic damage on targets in Area of Effect',0,6),
(154108,290070,3,100,'Inflicts 320 - 960 magic damage on targets in Area of Effect',0,6),
(154109,290070,4,100,'Inflicts 352 - 1056 magic damage on targets in Area of Effect',0,6),
(154110,290070,5,100,'Inflicts 384 - 1152 magic damage on targets in Area of Effect',0,6),
(154111,290070,7,100,'Inflicts 493 - 1478 magic damage on targets in Area of Effect',0,6),
(154112,290070,9,100,'Inflicts 512 - 1536 magic damage on targets in Area of Effect',0,6),
(154113,290070,10,100,'Inflicts 538 - 1613 magic damage on targets in Area of Effect',0,6),
(154114,290070,11,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(154115,290070,11,100,'Throws target back',1,1),
(154116,290070,11,100,'Blurs vision of target',1,2),
(154117,290070,11,100,'Stuns target',1,3),
(154118,290070,11,100,'Does not affect Epic targets',1,4),
(154119,290070,11,100,'Interrupts targets in Area of Effect',0,5),
(154120,290070,11,100,'Inflicts 646 - 1939 magic damage on targets in Area of Effect',0,6),
(154121,290071,1,100,'Inflicts 349 - 1047 magic damage on targets in Area of Effect',0,6),
(154122,290071,4,100,'Inflicts 426 - 1279 magic damage on targets in Area of Effect',0,6),
(154123,290071,5,100,'Inflicts 465 - 1396 magic damage on targets in Area of Effect',0,6),
(154124,290071,7,100,'Inflicts 597 - 1791 magic damage on targets in Area of Effect',0,6),
(154125,290071,9,100,'Inflicts 620 - 1861 magic damage on targets in Area of Effect',0,6),
(154126,290071,10,100,'Inflicts 651 - 1954 magic damage on targets in Area of Effect',0,6),
(154127,290071,11,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(154128,290071,11,100,'Throws target back',1,1),
(154129,290071,11,100,'Blurs vision of target',1,2),
(154130,290071,11,100,'Stuns target',1,3),
(154131,290071,11,100,'Does not affect Epic targets',1,4),
(154132,290071,11,100,'Interrupts targets in Area of Effect',0,5),
(154133,290071,11,100,'Inflicts 783 - 2349 magic damage on targets in Area of Effect',0,6),
(154134,290072,1,100,'Inflicts 414 - 1242 magic damage on targets in Area of Effect',0,6),
(154135,290072,4,100,'Inflicts 506 - 1518 magic damage on targets in Area of Effect',0,6),
(154136,290072,5,100,'Inflicts 552 - 1656 magic damage on targets in Area of Effect',0,6),
(154137,290072,7,100,'Inflicts 708 - 2125 magic damage on targets in Area of Effect',0,6),
(154138,290072,9,100,'Inflicts 736 - 2207 magic damage on targets in Area of Effect',0,6),
(154139,290072,10,100,'Inflicts 773 - 2318 magic damage on targets in Area of Effect',0,6),
(154140,290072,11,100,'Applies Knockdown on termination.  Lasts for 1.5 seconds.',0,0),
(154141,290072,11,100,'Throws target back',1,1),
(154142,290072,11,100,'Blurs vision of target',1,2),
(154143,290072,11,100,'Stuns target',1,3),
(154144,290072,11,100,'Does not affect Epic targets',1,4),
(154145,290072,11,100,'Interrupts targets in Area of Effect',0,5),
(154146,290072,11,100,'Inflicts 929 - 2787 magic damage on targets in Area of Effect',0,6),
(154147,290074,10,100,'Increases Max Power of group members (AE) by 121.0',0,0),
(154148,290074,10,100,'Increases Mitigation of group members (AE) vs elemental damage by 282',0,1),
(154149,290075,10,100,'Increases Max Power of group members (AE) by 277.2',0,0),
(154150,290075,10,100,'Increases Mitigation of group members (AE) vs elemental damage by 470',0,1),
(154151,290076,10,100,'Increases Max Power of group members (AE) by 424.4',0,0),
(154152,290076,10,100,'Increases Mitigation of group members (AE) vs elemental damage by 659',0,1),
(154153,290077,10,100,'Increases Max Power of group members (AE) by 548.3',0,0),
(154154,290077,10,100,'Increases Mitigation of group members (AE) vs elemental damage by 847',0,1),
(154155,290079,10,100,'Increases Max Power of group members (AE) by 739.7',0,0),
(154156,290079,10,100,'Increases Mitigation of group members (AE) vs elemental damage by 1228',0,1),
(154157,290080,10,100,'Increases Max Power of group members (AE) by 826.7',0,0),
(154158,290080,10,100,'Increases Mitigation of group members (AE) vs elemental damage by 1404',0,1),
(154159,290080,11,100,'Increases Max Power of group members (AE) by 994.0',0,0),
(154160,290080,11,100,'Increases Mitigation of group members (AE) vs elemental damage by 1689',0,1),
(154161,290081,9,100,'Improves the damage of the Conjuror''s pet.',0,0),
(154162,290081,9,100,'Increases the base damage of hostile spells by 10%',0,1),
(154163,290081,9,100,'On a hostile spell cast this spell has a 12% chance to cast Inferno on target of spell.  Lasts for 12.0 seconds.  ',0,2),
(154164,290081,9,100,'Applies Inferno.  Lasts for 12.0 seconds.',1,3),
(154165,290081,9,100,'Increases Crit Chance of pet by 20.0',2,4),
(154166,290081,9,100,'Prevents AOE (except when direct) ',2,5),
(154167,290081,9,100,'Inflicts 592 - 888 heat damage on target',1,6),
(154168,290081,9,100,'Inflicts 194 - 292 heat damage on target every 3 seconds',1,7),
(154169,290081,9,100,'Cannot be modified except by direct means',1,8),
(154170,290081,9,100,'Cannot be modified except by direct means',0,9),
(154171,290081,10,100,'Improves the damage of the Conjuror''s pet.',0,0),
(154172,290081,10,100,'Increases the base damage of hostile spells by 10%',0,1),
(154173,290081,10,100,'On a hostile spell cast this spell has a 12% chance to cast Inferno on target of spell.  Lasts for 12.0 seconds.  ',0,2),
(154174,290081,10,100,'Applies Inferno.  Lasts for 12.0 seconds.',1,3),
(154175,290081,10,100,'Increases Crit Chance of pet by 20.0',2,4),
(154176,290081,10,100,'Prevents AOE (except when direct) ',2,5),
(154177,290081,10,100,'Inflicts 592 - 888 heat damage on target',1,6),
(154178,290081,10,100,'Inflicts 194 - 292 heat damage on target every 3 seconds',1,7),
(154179,290081,10,100,'Cannot be modified except by direct means',1,8),
(154180,290081,10,100,'Cannot be modified except by direct means',0,9),
(154181,290082,1,100,'On any combat or spell hit this spell will cast Force of the Elements on target of attack.  ',1,1),
(154182,290082,1,100,'Inflicts 77 heat damage on target encounter',2,2),
(154183,290082,1,100,'Inflicts 77 cold damage on target encounter',2,3),
(154184,290082,1,100,'Grants a total of 1 trigger of the spell.',2,4),
(154185,290082,2,100,'On any combat or spell hit this spell will cast Force of the Elements on target of attack.  ',1,1),
(154186,290082,2,100,'Inflicts 82 heat damage on target encounter',2,2),
(154187,290082,2,100,'Inflicts 82 cold damage on target encounter',2,3),
(154188,290082,2,100,'Grants a total of 1 trigger of the spell.',2,4),
(154189,290082,3,100,'On any combat or spell hit this spell will cast Force of the Elements on target of attack.  ',1,1),
(154190,290082,3,100,'Inflicts 86 heat damage on target encounter',2,2),
(154191,290082,3,100,'Inflicts 86 cold damage on target encounter',2,3),
(154192,290082,3,100,'Grants a total of 1 trigger of the spell.',2,4),
(154193,290082,4,100,'On any combat or spell hit this spell will cast Force of the Elements on target of attack.  ',1,1),
(154194,290082,4,100,'Inflicts 94 heat damage on target encounter',2,2),
(154195,290082,4,100,'Inflicts 94 cold damage on target encounter',2,3),
(154196,290082,4,100,'Grants a total of 1 trigger of the spell.',2,4),
(154197,290082,5,100,'On any combat or spell hit this spell will cast Force of the Elements on target of attack.  ',1,1),
(154198,290082,5,100,'Inflicts 103 heat damage on target encounter',2,2),
(154199,290082,5,100,'Inflicts 103 cold damage on target encounter',2,3),
(154200,290082,5,100,'Grants a total of 1 trigger of the spell.',2,4),
(154201,290082,7,100,'On any combat or spell hit this spell will cast Force of the Elements on target of attack.  ',1,1),
(154202,290082,7,100,'Inflicts 132 heat damage on target encounter',2,2),
(154203,290082,7,100,'Inflicts 132 cold damage on target encounter',2,3),
(154204,290082,7,100,'Grants a total of 1 trigger of the spell.',2,4),
(154205,290082,9,100,'On any combat or spell hit this spell will cast Force of the Elements on target of attack.  ',1,1),
(154206,290082,9,100,'Inflicts 137 heat damage on target encounter',2,2),
(154207,290082,9,100,'Inflicts 137 cold damage on target encounter',2,3),
(154208,290082,9,100,'Grants a total of 1 trigger of the spell.',2,4),
(154209,290082,10,100,'On a spell cast this spell will cast Elemental Vestment on target.  Lasts for 15.0 seconds.  ',0,0),
(154210,290082,10,100,'On any combat or spell hit this spell will cast Force of the Elements on target of attack.  ',1,1),
(154211,290082,10,100,'Inflicts 144 heat damage on target encounter',2,2),
(154212,290082,10,100,'Inflicts 144 cold damage on target encounter',2,3),
(154213,290082,10,100,'Grants a total of 1 trigger of the spell.',2,4),
(154214,290083,1,100,'On any combat or spell hit this spell will cast Force of the Elements on target of attack.  ',1,1),
(154215,290083,1,100,'Inflicts 109 heat damage on target encounter',2,2),
(154216,290083,1,100,'Inflicts 109 cold damage on target encounter',2,3),
(154217,290083,1,100,'Grants a total of 1 trigger of the spell.',2,4),
(154218,290083,2,100,'On any combat or spell hit this spell will cast Force of the Elements on target of attack.  ',1,1),
(154219,290083,2,100,'Inflicts 115 heat damage on target encounter',2,2),
(154220,290083,2,100,'Inflicts 115 cold damage on target encounter',2,3),
(154221,290083,2,100,'Grants a total of 1 trigger of the spell.',2,4),
(154222,290083,3,100,'On any combat or spell hit this spell will cast Force of the Elements on target of attack.  ',1,1),
(154223,290083,3,100,'Inflicts 121 heat damage on target encounter',2,2),
(154224,290083,3,100,'Inflicts 121 cold damage on target encounter',2,3),
(154225,290083,3,100,'Grants a total of 1 trigger of the spell.',2,4),
(154226,290083,4,100,'On any combat or spell hit this spell will cast Force of the Elements on target of attack.  ',1,1),
(154227,290083,4,100,'Inflicts 133 heat damage on target encounter',2,2),
(154228,290083,4,100,'Inflicts 133 cold damage on target encounter',2,3),
(154229,290083,4,100,'Grants a total of 1 trigger of the spell.',2,4),
(154230,290083,5,100,'On any combat or spell hit this spell will cast Force of the Elements on target of attack.  ',1,1),
(154231,290083,5,100,'Inflicts 145 heat damage on target encounter',2,2),
(154232,290083,5,100,'Inflicts 145 cold damage on target encounter',2,3),
(154233,290083,5,100,'Grants a total of 1 trigger of the spell.',2,4),
(154234,290083,7,100,'On any combat or spell hit this spell will cast Force of the Elements on target of attack.  ',1,1),
(154235,290083,7,100,'Inflicts 187 heat damage on target encounter',2,2),
(154236,290083,7,100,'Inflicts 187 cold damage on target encounter',2,3),
(154237,290083,7,100,'Grants a total of 1 trigger of the spell.',2,4),
(154238,290083,9,100,'On any combat or spell hit this spell will cast Force of the Elements on target of attack.  ',1,1),
(154239,290083,9,100,'Inflicts 194 heat damage on target encounter',2,2),
(154240,290083,9,100,'Inflicts 194 cold damage on target encounter',2,3),
(154241,290083,9,100,'Grants a total of 1 trigger of the spell.',2,4),
(154242,290083,10,100,'On a spell cast this spell will cast Elemental Vestment on target.  Lasts for 15.0 seconds.  ',0,0),
(154243,290083,10,100,'On any combat or spell hit this spell will cast Force of the Elements on target of attack.  ',1,1),
(154244,290083,10,100,'Inflicts 204 heat damage on target encounter',2,2),
(154245,290083,10,100,'Inflicts 204 cold damage on target encounter',2,3),
(154246,290083,10,100,'Grants a total of 1 trigger of the spell.',2,4),
(154247,290084,1,100,'On any combat or spell hit this spell will cast Force of the Elements on target of attack.  ',1,1),
(154248,290084,1,100,'Inflicts 132 heat damage on target encounter',2,2),
(154249,290084,1,100,'Inflicts 132 cold damage on target encounter',2,3),
(154250,290084,1,100,'Grants a total of 1 trigger of the spell.',2,4),
(154251,290084,4,100,'On any combat or spell hit this spell will cast Force of the Elements on target of attack.  ',1,1),
(154252,290084,4,100,'Inflicts 161 heat damage on target encounter',2,2),
(154253,290084,4,100,'Inflicts 161 cold damage on target encounter',2,3),
(154254,290084,4,100,'Grants a total of 1 trigger of the spell.',2,4),
(154255,290084,5,100,'On any combat or spell hit this spell will cast Force of the Elements on target of attack.  ',1,1),
(154256,290084,5,100,'Inflicts 175 heat damage on target encounter',2,2),
(154257,290084,5,100,'Inflicts 175 cold damage on target encounter',2,3),
(154258,290084,5,100,'Grants a total of 1 trigger of the spell.',2,4),
(154259,290084,7,100,'On any combat or spell hit this spell will cast Force of the Elements on target of attack.  ',1,1),
(154260,290084,7,100,'Inflicts 225 heat damage on target encounter',2,2),
(154261,290084,7,100,'Inflicts 225 cold damage on target encounter',2,3),
(154262,290084,7,100,'Grants a total of 1 trigger of the spell.',2,4),
(154263,290084,9,100,'On any combat or spell hit this spell will cast Force of the Elements on target of attack.  ',1,1),
(154264,290084,9,100,'Inflicts 234 heat damage on target encounter',2,2),
(154265,290084,9,100,'Inflicts 234 cold damage on target encounter',2,3),
(154266,290084,9,100,'Grants a total of 1 trigger of the spell.',2,4),
(154267,290084,10,100,'On a spell cast this spell will cast Elemental Vestment on target.  Lasts for 15.0 seconds.  ',0,0),
(154268,290084,10,100,'On any combat or spell hit this spell will cast Force of the Elements on target of attack.  ',1,1),
(154269,290084,10,100,'Inflicts 246 heat damage on target encounter',2,2),
(154270,290084,10,100,'Inflicts 246 cold damage on target encounter',2,3),
(154271,290084,10,100,'Grants a total of 1 trigger of the spell.',2,4),
(154272,290085,1,100,'On any combat or spell hit this spell will cast Force of the Elements on target of attack.  ',1,1),
(154273,290085,1,100,'Inflicts 146 heat damage on target encounter',2,2),
(154274,290085,1,100,'Inflicts 146 cold damage on target encounter',2,3),
(154275,290085,1,100,'Grants a total of 1 trigger of the spell.',2,4),
(154276,290085,4,100,'On any combat or spell hit this spell will cast Force of the Elements on target of attack.  ',1,1),
(154277,290085,4,100,'Inflicts 179 heat damage on target encounter',2,2),
(154278,290085,4,100,'Inflicts 179 cold damage on target encounter',2,3),
(154279,290085,4,100,'Grants a total of 1 trigger of the spell.',2,4),
(154280,290085,5,100,'On any combat or spell hit this spell will cast Force of the Elements on target of attack.  ',1,1),
(154281,290085,5,100,'Inflicts 195 heat damage on target encounter',2,2),
(154282,290085,5,100,'Inflicts 195 cold damage on target encounter',2,3),
(154283,290085,5,100,'Grants a total of 1 trigger of the spell.',2,4),
(154284,290085,7,100,'On any combat or spell hit this spell will cast Force of the Elements on target of attack.  ',1,1),
(154285,290085,7,100,'Inflicts 250 heat damage on target encounter',2,2),
(154286,290085,7,100,'Inflicts 250 cold damage on target encounter',2,3),
(154287,290085,7,100,'Grants a total of 1 trigger of the spell.',2,4),
(154288,290085,9,100,'On any combat or spell hit this spell will cast Force of the Elements on target of attack.  ',1,1),
(154289,290085,9,100,'Inflicts 260 heat damage on target encounter',2,2),
(154290,290085,9,100,'Inflicts 260 cold damage on target encounter',2,3),
(154291,290085,9,100,'Grants a total of 1 trigger of the spell.',2,4),
(154292,290085,10,100,'On a spell cast this spell will cast Elemental Vestment on target.  Lasts for 15.0 seconds.  ',0,0),
(154293,290085,10,100,'On any combat or spell hit this spell will cast Force of the Elements on target of attack.  ',1,1),
(154294,290085,10,100,'Inflicts 273 heat damage on target encounter',2,2),
(154295,290085,10,100,'Inflicts 273 cold damage on target encounter',2,3),
(154296,290085,10,100,'Grants a total of 1 trigger of the spell.',2,4),
(154297,290085,11,100,'On a spell cast this spell will cast Elemental Vestment on target.  Lasts for 15.0 seconds.  ',0,0),
(154298,290085,11,100,'On any combat or spell hit this spell will cast Force of the Elements on target of attack.  ',1,1),
(154299,290085,11,100,'Inflicts 328 heat damage on target encounter',2,2),
(154300,290085,11,100,'Inflicts 328 cold damage on target encounter',2,3),
(154301,290085,11,100,'Grants a total of 1 trigger of the spell.',2,4),
(154302,290086,10,100,'Inflicts 111 magic damage on target',0,0),
(154303,290086,10,100,'Increases power of caster by 55',0,1),
(154304,290087,10,100,'Inflicts 241 magic damage on target',0,0),
(154305,290087,10,100,'Increases power of caster by 119',0,1),
(154306,290088,10,100,'Inflicts 387 magic damage on target',0,0),
(154307,290088,10,100,'Increases power of caster by 191',0,1),
(154308,290089,10,100,'Inflicts 565 magic damage on target',0,0),
(154309,290089,10,100,'Increases power of caster by 279',0,1),
(154310,290090,10,100,'Inflicts 744 magic damage on target',0,0),
(154311,290090,10,100,'Increases power of caster by 368',0,1),
(154312,290091,10,100,'Inflicts 902 magic damage on target',0,0),
(154313,290091,10,100,'Increases power of caster by 491',0,1),
(154314,290092,10,100,'Inflicts 1086 magic damage on target',0,0),
(154315,290092,10,100,'Increases power of caster by 591',0,1),
(154316,290093,10,100,'Inflicts 1166 magic damage on target',0,0),
(154317,290093,10,100,'Increases power of caster by 627',0,1),
(154318,290093,11,100,'Inflicts 1166 magic damage on target',0,0),
(154319,290093,11,100,'Increases power of caster by 754',0,1),
(154320,290094,11,100,'Inflicts 21 heat damage on target',0,0),
(154321,290094,11,100,'Inflicts 5 heat damage on target every 4 seconds',0,1),
(154322,290095,11,100,'Inflicts 63 heat damage on target',0,0),
(154323,290095,11,100,'Inflicts 14 heat damage on target every 4 seconds',0,1),
(154324,290096,10,100,'Inflicts 88 heat damage on target',0,0),
(154325,290096,10,100,'Inflicts 20 heat damage on target every 4 seconds',0,1),
(154326,290096,11,100,'Inflicts 105 heat damage on target',0,0),
(154327,290096,11,100,'Inflicts 24 heat damage on target every 4 seconds',0,1),
(154328,290097,11,100,'Inflicts 204 heat damage on target',0,0),
(154329,290097,11,100,'Inflicts 46 heat damage on target every 4 seconds',0,1),
(154330,290098,11,100,'Inflicts 801 heat damage on target',0,0),
(154331,290098,11,100,'Inflicts 179 heat damage on target every 4 seconds',0,1),
(154332,290099,10,100,'Inflicts 262 heat damage on target',0,0),
(154333,290099,10,100,'Inflicts 58 heat damage on target every 4 seconds',0,1),
(154334,290099,11,100,'Inflicts 315 heat damage on target',0,0),
(154335,290099,11,100,'Inflicts 70 heat damage on target every 4 seconds',0,1),
(154336,290100,10,100,'Inflicts 368 heat damage on target',0,0),
(154337,290100,10,100,'Inflicts 82 heat damage on target every 4 seconds',0,1),
(154338,290100,11,100,'Inflicts 442 heat damage on target',0,0),
(154339,290100,11,100,'Inflicts 99 heat damage on target every 4 seconds',0,1),
(154340,290101,11,100,'Inflicts 566 heat damage on target',0,0),
(154341,290101,11,100,'Inflicts 126 heat damage on target every 4 seconds',0,1),
(154342,290102,11,100,'Inflicts 685 heat damage on target',0,0),
(154343,290102,11,100,'Inflicts 153 heat damage on target every 4 seconds',0,1),
(154344,290103,10,100,'Summons a pet igneous apprentice',0,0),
(154345,290104,10,100,'Summons a pet fiery magician',0,0),
(154346,290105,10,100,'Summons a pet fiery magician',0,0),
(154347,290106,10,100,'Summons a pet fiery magician',0,0),
(154348,290107,10,100,'Summons a pet fiery magician',0,0),
(154349,290108,10,100,'Summons a pet fiery magician',0,0),
(154350,290109,10,100,'Summons a pet fiery magician',0,0),
(154351,290109,11,100,'Summons a pet fiery magician',0,0),
(154352,290111,10,100,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',0,0),
(154353,290111,10,100,'Inflicts 28 - 34 heat damage on target instantly and every 4 seconds',1,1),
(154354,290111,10,100,'On death this spell will cast Blooming Flames on caster.  ',1,2),
(154355,290111,10,100,'Inflicts 124 - 151 heat damage on target encounter',2,3),
(154356,290111,10,100,'Grants a total of 1 trigger of the spell.',2,4),
(154357,290112,10,100,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',0,0),
(154358,290112,10,100,'Inflicts 41 - 51 heat damage on target instantly and every 4 seconds',1,1),
(154359,290112,10,100,'On death this spell will cast Blooming Flames on caster.  ',1,2),
(154360,290112,10,100,'Inflicts 184 - 225 heat damage on target encounter',2,3),
(154361,290112,10,100,'Grants a total of 1 trigger of the spell.',2,4),
(154362,290113,10,100,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',0,0),
(154363,290113,10,100,'Inflicts 56 - 68 heat damage on target instantly and every 4 seconds',1,1),
(154364,290113,10,100,'On death this spell will cast Blooming Flames on caster.  ',1,2),
(154365,290113,10,100,'Inflicts 248 - 303 heat damage on target encounter',2,3),
(154366,290113,10,100,'Grants a total of 1 trigger of the spell.',2,4),
(154367,290114,10,100,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',0,0),
(154368,290114,10,100,'Inflicts 70 - 86 heat damage on target instantly and every 4 seconds',1,1),
(154369,290114,10,100,'On death this spell will cast Blooming Flames on caster.  ',1,2),
(154370,290114,10,100,'Inflicts 311 - 380 heat damage on target encounter',2,3),
(154371,290114,10,100,'Grants a total of 1 trigger of the spell.',2,4),
(154372,290115,10,100,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',0,0),
(154373,290115,10,100,'Inflicts 84 - 103 heat damage on target instantly and every 4 seconds',1,1),
(154374,290115,10,100,'On death this spell will cast Blooming Flames on caster.  ',1,2),
(154375,290115,10,100,'Inflicts 375 - 458 heat damage on target encounter',2,3),
(154376,290115,10,100,'Grants a total of 1 trigger of the spell.',2,4),
(154377,290116,10,100,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',0,0),
(154378,290116,10,100,'Inflicts 93 - 113 heat damage on target instantly and every 4 seconds',1,1),
(154379,290116,10,100,'On death this spell will cast Blooming Flames on caster.  ',1,2),
(154380,290116,10,100,'Inflicts 412 - 503 heat damage on target encounter',2,3),
(154381,290116,10,100,'Grants a total of 1 trigger of the spell.',2,4),
(154382,290116,11,100,'On a combat hit this spell has a 20% chance to cast Seed of Fire on target of attack.  Lasts for 16.0 seconds.  ',0,0),
(154383,290116,11,100,'Inflicts 111 - 136 heat damage on target instantly and every 4 seconds',1,1),
(154384,290116,11,100,'On death this spell will cast Blooming Flames on caster.  ',1,2),
(154385,290116,11,100,'Inflicts 495 - 605 heat damage on target encounter',2,3),
(154386,290116,11,100,'Grants a total of 1 trigger of the spell.',2,4),
(154387,290118,10,100,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',0,0),
(154388,290118,10,100,'Inflicts 19 heat damage on target',1,1),
(154389,290121,10,100,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',0,0),
(154390,290121,10,100,'Inflicts 51 heat damage on target',1,1),
(154391,290122,10,100,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',0,0),
(154392,290122,10,100,'Inflicts 61 heat damage on target',1,1),
(154393,290123,10,100,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',0,0),
(154394,290123,10,100,'Inflicts 68 heat damage on target',1,1),
(154395,290123,11,100,'When damaged with a melee weapon this spell will cast Flameshield on target''s attacker.  ',0,0),
(154396,290123,11,100,'Inflicts 82 heat damage on target',1,1),
(154397,290124,10,100,'Increases Defense of group members'' pets (AE) by 3.8',0,0),
(154398,290124,10,100,'Increases Mitigation of group members (AE) vs all damage by 70',0,1),
(154399,290125,10,100,'Increases Defense of group members'' pets (AE) by 8.2',0,0),
(154400,290125,10,100,'Increases Mitigation of group members (AE) vs all damage by 131',0,1),
(154401,290126,10,100,'Increases Defense of group members'' pets (AE) by 12.6',0,0),
(154402,290126,10,100,'Increases Mitigation of group members (AE) vs all damage by 202',0,1),
(154403,290128,10,100,'Increases Defense of group members'' pets (AE) by 21.4',0,0),
(154404,290128,10,100,'Increases Mitigation of group members (AE) vs all damage by 343',0,1),
(154405,290129,10,100,'Increases Defense of group members'' pets (AE) by 25.8',0,0),
(154406,290129,10,100,'Increases Mitigation of group members (AE) vs all damage by 418',0,1),
(154407,290130,10,100,'Increases Defense of group members'' pets (AE) by 31.0',0,0),
(154408,290130,10,100,'Increases Mitigation of group members (AE) vs all damage by 491',0,1),
(154409,290131,10,100,'Increases Defense of group members'' pets (AE) by 36.2',0,0),
(154410,290131,10,100,'Increases Mitigation of group members (AE) vs all damage by 549',0,1),
(154411,290131,11,100,'Increases Defense of group members'' pets (AE) by 43.6',0,0),
(154412,290131,11,100,'Increases Mitigation of group members (AE) vs all damage by 660',0,1),
(154413,290134,10,100,'Dispels 46 levels of any hostile effects on target',0,0),
(154414,290134,10,100,'Heals target for 430',0,1),
(154415,290136,10,100,'Dispels 153 levels of any hostile effects on target',0,0),
(154416,290136,10,100,'Heals target for 2180',0,1),
(154417,290136,11,100,'Dispels 184 levels of any hostile effects on target',0,0),
(154418,290136,11,100,'Heals target for 2621',0,1),
(154419,290137,10,100,'Dispels 87 levels of any hostile effects on target',0,0),
(154420,290137,10,100,'Heals target for 988',0,1),
(154421,290138,10,100,'Dispels 108 levels of any hostile effects on target',0,0),
(154422,290138,10,100,'Heals target for 1293',0,1),
(154423,290139,10,100,'Dispels 123 levels of any hostile effects on target',0,0),
(154424,290139,10,100,'Heals target for 1744',0,1),
(154425,290140,10,100,'Dispels 138 levels of any hostile effects on target',0,0),
(154426,290140,10,100,'Heals target for 2078',0,1),
(154427,290144,10,100,'Inflicts 225 - 275 cold damage on target encounter',0,0),
(154428,290144,10,100,'Slows target encounter by 37.2%',0,1),
(154429,290144,10,100,'5% chance to dispel when target takes damage',0,2),
(154430,290144,10,100,'5% chance to dispel when target receives hostile action',0,3),
(154431,290145,10,100,'Inflicts 768 - 938 cold damage on target encounter',0,0),
(154432,290145,10,100,'Slows target encounter by 41.8%',0,1),
(154433,290145,10,100,'5% chance to dispel when target takes damage',0,2),
(154434,290145,10,100,'5% chance to dispel when target receives hostile action',0,3),
(154435,290145,11,100,'Inflicts 923 - 1128 cold damage on target encounter',0,0),
(154436,290145,11,100,'Slows target encounter by 41.8%',0,1),
(154437,290145,11,100,'5% chance to dispel when target takes damage',0,2),
(154438,290145,11,100,'5% chance to dispel when target receives hostile action',0,3),
(154439,290146,10,100,'Inflicts 337 - 412 cold damage on target encounter',0,0),
(154440,290146,10,100,'Slows target encounter by 40.0%',0,1),
(154441,290146,10,100,'5% chance to dispel when target takes damage',0,2),
(154442,290146,10,100,'5% chance to dispel when target receives hostile action',0,3),
(154443,290148,10,100,'Inflicts 572 - 700 cold damage on target encounter',0,0),
(154444,290148,10,100,'Slows target encounter by 41.0%',0,1),
(154445,290148,10,100,'5% chance to dispel when target takes damage',0,2),
(154446,290148,10,100,'5% chance to dispel when target receives hostile action',0,3),
(154447,290149,10,100,'Inflicts 690 - 844 cold damage on target encounter',0,0),
(154448,290149,10,100,'Slows target encounter by 41.4%',0,1),
(154449,290149,10,100,'5% chance to dispel when target takes damage',0,2),
(154450,290149,10,100,'5% chance to dispel when target receives hostile action',0,3),
(154451,290150,10,100,'On death this spell will cast Protect Servant on target.  ',0,0),
(154452,290150,10,100,'Dispels 90 levels of any hostile effects on target',1,1),
(154453,290150,10,100,'Heals target for 941',1,2),
(154454,290150,10,100,'Grants a total of 1 trigger of the spell.',1,3),
(154455,290151,10,100,'On death this spell will cast Protect Servant on target.  ',0,0),
(154456,290151,10,100,'Dispels 116 levels of any hostile effects on target',1,1),
(154457,290151,10,100,'Heals target for 1294',1,2),
(154458,290151,10,100,'Grants a total of 1 trigger of the spell.',1,3),
(154459,290152,10,100,'On death this spell will cast Protect Servant on target.  ',0,0),
(154460,290152,10,100,'Dispels 138 levels of any hostile effects on target',1,1),
(154461,290152,10,100,'Heals target for 1704',1,2),
(154462,290152,10,100,'Grants a total of 1 trigger of the spell.',1,3),
(154463,290153,10,100,'On death this spell will cast Protect Servant on target.  ',0,0),
(154464,290153,10,100,'Dispels 156 levels of any hostile effects on target',1,1),
(154465,290153,10,100,'Heals target for 2171',1,2),
(154466,290153,10,100,'Grants a total of 1 trigger of the spell.',1,3),
(154467,290154,10,100,'On death this spell will cast Protect Servant on target.  ',0,0),
(154468,290154,10,100,'Dispels 174 levels of any hostile effects on target',1,1),
(154469,290154,10,100,'Heals target for 2449',1,2),
(154470,290154,10,100,'Grants a total of 1 trigger of the spell.',1,3),
(154471,290154,11,100,'On death this spell will cast Protect Servant on target.  ',0,0),
(154472,290154,11,100,'Dispels 209 levels of any hostile effects on target',1,1),
(154473,290154,11,100,'Heals target for 2945',1,2),
(154474,290154,11,100,'Grants a total of 1 trigger of the spell.',1,3),
(154475,290155,10,100,'Summon 1 Shard of Essence (Grandmaster)',0,0),
(154476,290155,10,100,'Must not be engaged in combat',0,1),
(154477,290156,10,100,'Inflicts 124 - 152 magic damage on target',0,0),
(154478,290156,10,100,'Stuns target',0,1),
(154479,290156,10,100,'If Target is not Epic',1,2),
(154480,290156,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(154481,290157,10,100,'Inflicts 245 - 300 magic damage on target',0,0),
(154482,290157,10,100,'Stuns target',0,1),
(154483,290157,10,100,'If Target is not Epic',1,2),
(154484,290157,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(154485,290158,10,100,'Inflicts 382 - 466 magic damage on target',0,0),
(154486,290158,10,100,'Stuns target',0,1),
(154487,290158,10,100,'If Target is not Epic',1,2),
(154488,290158,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(154489,290159,10,100,'Inflicts 541 - 661 magic damage on target',0,0),
(154490,290159,10,100,'Stuns target',0,1),
(154491,290159,10,100,'If Target is not Epic',1,2),
(154492,290159,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(154493,290160,10,100,'Inflicts 706 - 862 magic damage on target',0,0),
(154494,290160,10,100,'Stuns target',0,1),
(154495,290160,10,100,'If Target is not Epic',1,2),
(154496,290160,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(154497,290161,10,100,'Inflicts 854 - 1044 magic damage on target',0,0),
(154498,290161,10,100,'Stuns target',0,1),
(154499,290161,10,100,'If Target is not Epic',1,2),
(154500,290161,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(154501,290162,10,100,'Inflicts 999 - 1221 magic damage on target',0,0),
(154502,290162,10,100,'Stuns target',0,1),
(154503,290162,10,100,'If Target is not Epic',1,2),
(154504,290162,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(154505,290162,11,100,'Inflicts 1202 - 1469 magic damage on target',0,0),
(154506,290162,11,100,'Stuns target',0,1),
(154507,290162,11,100,'If Target is not Epic',1,2),
(154508,290162,11,100,'Resistibility increases against targets higher than level 29.',0,3),
(154509,290163,1,100,'Applies Plane Shift: Water.  Lasts for 1 minute.',0,34),
(154510,290163,1,100,'Shapechanges target into a Water Construct',1,35),
(154511,290163,1,100,'Increases Ability Casting Speed of target by 36.0%',1,36),
(154512,290163,1,100,'Increases Haste of target by 36.0',1,37),
(154513,290163,1,100,'Increases Crit Chance of target by 90.0',1,38),
(154514,290163,1,100,'Enlarges target by 350.0%',1,39),
(154515,290163,1,100,'Greatly increases maximum health',1,40),
(154516,290163,1,100,'Makes target immune to Stifle effects',1,41),
(154517,290163,1,100,'On a damage spell hit this spell has a 15% chance to cast Downpour on target of spell.  ',1,42),
(154518,290163,1,100,'Inflicts 298 - 497 cold damage on target',2,43),
(154519,290163,1,100,'The healing of this spell cannot be modified except by direct means',2,44),
(154520,290163,2,100,'Applies Plane Shift: Water.  Lasts for 1 minute.',0,34),
(154521,290163,2,100,'Shapechanges target into a Water Construct',1,35),
(154522,290163,2,100,'Increases Ability Casting Speed of target by 38.0%',1,36),
(154523,290163,2,100,'Increases Haste of target by 38.0',1,37),
(154524,290163,2,100,'Increases Crit Chance of target by 95.0',1,38),
(154525,290163,2,100,'Enlarges target by 350.0%',1,39),
(154526,290163,2,100,'Greatly increases maximum health',1,40),
(154527,290163,2,100,'Makes target immune to Stifle effects',1,41),
(154528,290163,2,100,'On a damage spell hit this spell has a 15% chance to cast Downpour on target of spell.  ',1,42),
(154529,290163,2,100,'Inflicts 315 - 524 cold damage on target',2,43),
(154530,290163,2,100,'The healing of this spell cannot be modified except by direct means',2,44),
(154531,290163,3,100,'Applies Plane Shift: Water.  Lasts for 1 minute.',0,34),
(154532,290163,3,100,'Shapechanges target into a Water Construct',1,35),
(154533,290163,3,100,'Increases Ability Casting Speed of target by 40.0%',1,36),
(154534,290163,3,100,'Increases Haste of target by 40.0',1,37),
(154535,290163,3,100,'Increases Crit Chance of target by 100.0',1,38),
(154536,290163,3,100,'Enlarges target by 350.0%',1,39),
(154537,290163,3,100,'Greatly increases maximum health',1,40),
(154538,290163,3,100,'Makes target immune to Stifle effects',1,41),
(154539,290163,3,100,'On a damage spell hit this spell has a 15% chance to cast Downpour on target of spell.  ',1,42),
(154540,290163,3,100,'Inflicts 331 - 552 cold damage on target',2,43),
(154541,290163,3,100,'The healing of this spell cannot be modified except by direct means',2,44),
(154542,290163,4,100,'Applies Plane Shift: Water.  Lasts for 1 minute.',0,34),
(154543,290163,4,100,'Shapechanges target into a Water Construct',1,35),
(154544,290163,4,100,'Increases Ability Casting Speed of target by 44.0%',1,36),
(154545,290163,4,100,'Increases Attack Speed of target by 44.0',1,37),
(154546,290163,4,100,'Increases Crit Chance of target by 110.0',1,38),
(154547,290163,4,100,'Enlarges target by 350.0%',1,39),
(154548,290163,4,100,'Greatly increases maximum health',1,40),
(154549,290163,4,100,'Makes target immune to Stifle effects',1,41),
(154550,290163,4,100,'On a damage spell hit this spell has a 15% chance to cast Downpour on target of spell.  ',1,42),
(154551,290163,4,100,'Inflicts 364 - 607 cold damage on target',2,43),
(154552,290163,4,100,'The healing of this spell cannot be modified except by direct means',2,44),
(154553,290163,5,100,'Applies Plane Shift: Water.  Lasts for 1 minute.',0,34),
(154554,290163,5,100,'Shapechanges target into a Water Construct',1,35),
(154555,290163,5,100,'Increases Ability Casting Speed of target by 48.0%',1,36),
(154556,290163,5,100,'Increases Haste of target by 48.0',1,37),
(154557,290163,5,100,'Increases Crit Chance of target by 120.0',1,38),
(154558,290163,5,100,'Enlarges target by 350.0%',1,39),
(154559,290163,5,100,'Greatly increases maximum health',1,40),
(154560,290163,5,100,'Makes target immune to Stifle effects',1,41),
(154561,290163,5,100,'On a damage spell hit this spell has a 15% chance to cast Downpour on target of spell.  ',1,42),
(154562,290163,5,100,'Inflicts 397 - 662 cold damage on target',2,43),
(154563,290163,5,100,'The healing of this spell cannot be modified except by direct means',2,44),
(154564,290163,7,100,'Applies Plane Shift: Water.  Lasts for 1 minute.',0,34),
(154565,290163,7,100,'Shapechanges target into a Water Construct',1,35),
(154566,290163,7,100,'Increases Ability Casting Speed of target by 61.6%',1,36),
(154567,290163,7,100,'Increases Haste of target by 61.6',1,37),
(154568,290163,7,100,'Increases Crit Chance of target by 154.0',1,38),
(154569,290163,7,100,'Enlarges target by 350.0%',1,39),
(154570,290163,7,100,'Greatly increases maximum health',1,40),
(154571,290163,7,100,'Makes target immune to Stifle effects',1,41),
(154572,290163,7,100,'On a damage spell hit this spell has a 15% chance to cast Downpour on target of spell.  ',1,42),
(154573,290163,7,100,'Inflicts 510 - 850 cold damage on target',2,43),
(154574,290163,7,100,'The healing of this spell cannot be modified except by direct means',2,44),
(154575,290163,9,100,'Applies Plane Shift: Water.  Lasts for 1 minute.',0,34),
(154576,290163,9,100,'Shapechanges target into a Water Construct',1,35),
(154577,290163,9,100,'Increases Ability Casting Speed of target by 64.0%',1,36),
(154578,290163,9,100,'Increases Haste of target by 64.0',1,37),
(154579,290163,9,100,'Increases Crit Chance of target by 160.0',1,38),
(154580,290163,9,100,'Enlarges target by 350.0%',1,39),
(154581,290163,9,100,'Greatly increases maximum health',1,40),
(154582,290163,9,100,'Makes target immune to Stifle effects',1,41),
(154583,290163,9,100,'On a damage spell hit this spell has a 15% chance to cast Downpour on target of spell.  ',1,42),
(154584,290163,9,100,'Inflicts 530 - 883 cold damage on target',2,43),
(154585,290163,9,100,'The healing of this spell cannot be modified except by direct means',2,44),
(154586,290163,10,100,'Applies Plane Shift: Earth.  Lasts for 1 minute.',0,0),
(154587,290163,10,100,'Shapechanges target into an Earth Construct',1,1),
(154588,290163,10,100,'Increases All Attributes of target by 67.2%',1,2),
(154589,290163,10,100,'Increases Combat Health Regen of target by 478.8',1,3),
(154590,290163,10,100,'Greatly increases maximum health',1,4),
(154591,290163,10,100,'Makes target immune to Stun effects',1,5),
(154592,290163,10,100,'Makes target immune to Root effects',1,6),
(154593,290163,10,100,'Makes target immune to Fear effects',1,7),
(154594,290163,10,100,'Makes target immune to Stifle effects',1,8),
(154595,290163,10,100,'Makes target immune to Daze effects',1,9),
(154596,290163,10,100,'On a damage spell hit this spell has a 15% chance to cast Telluric Strike on target of spell.  ',1,10),
(154597,290163,10,100,'Increases Threat to target encounter by 5,025 - 8,015 ',2,11),
(154598,290163,10,100,'Inflicts 145 - 241 magic damage on target encounter',2,12),
(154599,290163,10,100,'Applies Plane Shift: Fire.  Lasts for 1 minute.',0,13),
(154600,290163,10,100,'Shapechanges target into a Fire Devil',1,14),
(154601,290163,10,100,'Enlarges target by 25.0%',1,15),
(154602,290163,10,100,'Increases Crit Chance of target by 67.2',1,16),
(154603,290163,10,100,'Increases Ability Casting Speed of target by 67.2%',1,17),
(154604,290163,10,100,'Increases Haste of target by 67.2',1,18),
(154605,290163,10,100,'Greatly increases maximum health',1,19),
(154606,290163,10,100,'Makes target immune to Stifle effects',1,20),
(154607,290163,10,100,'On a damage spell hit this spell has a 15% chance to cast Igneous Flames on target of spell.  ',1,21),
(154608,290163,10,100,'Inflicts 207 - 344 heat damage on target encounter',2,22),
(154609,290163,10,100,'Applies Plane Shift: Air.  Lasts for 1 minute.',0,23),
(154610,290163,10,100,'Shapechanges target into an Air Avenger',1,24),
(154611,290163,10,100,'Enlarges target by 25.0%',1,25),
(154612,290163,10,100,'Increases Haste of target by 67.2',1,26),
(154613,290163,10,100,'Increases Crit Chance of target by 67.2',1,27),
(154614,290163,10,100,'Increases Ability Reuse Speed of target by 67.2%',1,28),
(154615,290163,10,100,'Increases in-combat movement speed of target by 100.8%',1,29),
(154616,290163,10,100,'Greatly increases maximum health',1,30),
(154617,290163,10,100,'On a damage spell hit this spell has a 15% chance to cast Thunderous Attack on target of spell.  ',1,31),
(154618,290163,10,100,'Interrupts target',2,32),
(154619,290163,10,100,'Inflicts 568 - 947 cold damage on target',2,33),
(154620,290163,10,100,'Applies Plane Shift: Water.  Lasts for 1 minute.',0,34),
(154621,290163,10,100,'Shapechanges target into a Water Construct',1,35),
(154622,290163,10,100,'Increases Ability Casting Speed of target by 67.2%',1,36),
(154623,290163,10,100,'Increases Haste of target by 67.2',1,37),
(154624,290163,10,100,'Increases Crit Chance of target by 168.0',1,38),
(154625,290163,10,100,'Enlarges target by 350.0%',1,39),
(154626,290163,10,100,'Greatly increases maximum health',1,40),
(154627,290163,10,100,'Makes target immune to Stifle effects',1,41),
(154628,290163,10,100,'On a damage spell hit this spell has a 15% chance to cast Downpour on target of spell.  ',1,42),
(154629,290163,10,100,'Inflicts 556 - 927 cold damage on target',2,43),
(154630,290163,10,100,'The healing of this spell cannot be modified except by direct means',2,44),
(154631,290165,10,100,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',0,0),
(154632,290165,10,100,'Slows target by 56.8%',1,1),
(154633,290165,10,100,'5% chance to dispel when target receives hostile action',1,2),
(154634,290165,10,100,'5% chance to dispel when target takes damage',1,3),
(154635,290165,10,100,'Roots target',0,4),
(154636,290165,10,100,'15% chance to dispel when target takes damage',0,5),
(154637,290165,10,100,'Does not affect Epic targets',0,6),
(154638,290165,10,100,'Resistibility increases against targets higher than level 29.',0,7),
(154639,290166,10,100,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',0,0),
(154640,290166,10,100,'Slows target by 61.5%',1,1),
(154641,290166,10,100,'5% chance to dispel when target receives hostile action',1,2),
(154642,290166,10,100,'5% chance to dispel when target takes damage',1,3),
(154643,290166,10,100,'Roots target',0,4),
(154644,290166,10,100,'15% chance to dispel when target takes damage',0,5),
(154645,290166,10,100,'Does not affect Epic targets',0,6),
(154646,290166,10,100,'Resistibility increases against targets higher than level 29.',0,7),
(154647,290167,10,100,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',0,0),
(154648,290167,10,100,'Slows target by 66.2%',1,1),
(154649,290167,10,100,'5% chance to dispel when target receives hostile action',1,2),
(154650,290167,10,100,'5% chance to dispel when target takes damage',1,3),
(154651,290167,10,100,'Roots target',0,4),
(154652,290167,10,100,'15% chance to dispel when target takes damage',0,5),
(154653,290167,10,100,'Does not affect Epic targets',0,6),
(154654,290167,10,100,'Resistibility increases against targets higher than level 29.',0,7),
(154655,290168,10,100,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',0,0),
(154656,290168,10,100,'Slows target by 67.9%',1,1),
(154657,290168,10,100,'5% chance to dispel when target receives hostile action',1,2),
(154658,290168,10,100,'5% chance to dispel when target takes damage',1,3),
(154659,290168,10,100,'Roots target',0,4),
(154660,290168,10,100,'15% chance to dispel when target takes damage',0,5),
(154661,290168,10,100,'Does not affect Epic targets',0,6),
(154662,290168,10,100,'Resistibility increases against targets higher than level 29.',0,7),
(154663,290169,10,100,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',0,0),
(154664,290169,10,100,'Slows target by 68.7%',1,1),
(154665,290169,10,100,'5% chance to dispel when target receives hostile action',1,2),
(154666,290169,10,100,'5% chance to dispel when target takes damage',1,3),
(154667,290169,10,100,'Roots target',0,4),
(154668,290169,10,100,'15% chance to dispel when target takes damage',0,5),
(154669,290169,10,100,'Does not affect Epic targets',0,6),
(154670,290169,10,100,'Resistibility increases against targets higher than level 29.',0,7),
(154671,290170,10,100,'Applies Quicksand on termination.  Lasts for 10.0 seconds.',0,0),
(154672,290170,10,100,'Slows target by 69.4%',1,1),
(154673,290170,10,100,'5% chance to dispel when target receives hostile action',1,2),
(154674,290170,10,100,'5% chance to dispel when target takes damage',1,3),
(154675,290170,10,100,'Roots target',0,4),
(154676,290170,10,100,'15% chance to dispel when target takes damage',0,5),
(154677,290170,10,100,'Does not affect Epic targets',0,6),
(154678,290170,10,100,'Resistibility increases against targets higher than level 29.',0,7),
(154679,290171,10,100,'Summons a limited pet to aid the caster',0,0),
(154680,290172,10,100,'Summons a limited pet to aid the caster',0,0),
(154681,290174,10,100,'Summons a limited pet to aid the caster',0,0),
(154682,290175,10,100,'Summons a limited pet to aid the caster',0,0),
(154683,290176,10,100,'Summons a limited pet to aid the caster',0,0),
(154684,290176,11,100,'Summons a limited pet to aid the caster',0,0),
(154685,290177,10,100,'Applies Sacrifice.',0,0),
(154686,290177,10,100,'Increases power of group members (AE) by 120',1,1),
(154687,290177,10,100,'Heals group members (AE) for 419',1,2),
(154688,290177,10,100,'Stuns target',0,3),
(154689,290178,10,100,'Applies Sacrifice.',0,0),
(154690,290178,10,100,'Increases power of group members (AE) by 183',1,1),
(154691,290178,10,100,'Heals group members (AE) for 641',1,2),
(154692,290178,10,100,'Stuns target',0,3),
(154693,290180,10,100,'Applies Sacrifice.',0,0),
(154694,290180,10,100,'Increases power of group members (AE) by 341',1,1),
(154695,290180,10,100,'Heals group members (AE) for 1192',1,2),
(154696,290180,10,100,'Stuns target',0,3),
(154697,290181,10,100,'Applies Sacrifice.',0,0),
(154698,290181,10,100,'Increases power of group members (AE) by 434',1,1),
(154699,290181,10,100,'Heals group members (AE) for 1519',1,2),
(154700,290181,10,100,'Stuns target',0,3),
(154701,290182,10,100,'Applies Sacrifice.',0,0),
(154702,290182,10,100,'Increases power of group members (AE) by 490',1,1),
(154703,290182,10,100,'Heals group members (AE) for 1715',1,2),
(154704,290182,10,100,'Stuns target',0,3),
(154705,290182,11,100,'Applies Sacrifice.',0,0),
(154706,290182,11,100,'Increases power of group members (AE) by 589',1,1),
(154707,290182,11,100,'Heals group members (AE) for 2062',1,2),
(154708,290182,11,100,'Stuns target',0,3),
(154709,290183,10,100,'Summon 1 Shard of Essence (Grandmaster)',0,0),
(154710,290184,10,100,'Inflicts 76 - 93 magic damage on target encounter instantly and every second',0,0),
(154711,290184,10,100,'Dazes target encounter',0,1),
(154712,290184,10,100,'If Target is not Epic',1,2),
(154713,290184,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(154714,290185,10,100,'Inflicts 124 - 152 magic damage on target encounter instantly and every second',0,0),
(154715,290185,10,100,'Dazes target encounter',0,1),
(154716,290185,10,100,'If Target is not Epic',1,2),
(154717,290185,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(154718,290186,10,100,'Inflicts 184 - 225 magic damage on target encounter instantly and every second',0,0),
(154719,290186,10,100,'Dazes target encounter',0,1),
(154720,290186,10,100,'If Target is not Epic',1,2),
(154721,290186,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(154722,290187,10,100,'Inflicts 244 - 299 magic damage on target encounter instantly and every second',0,0),
(154723,290187,10,100,'Dazes target encounter',0,1),
(154724,290187,10,100,'If Target is not Epic',1,2),
(154725,290187,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(154726,290188,10,100,'Inflicts 301 - 368 magic damage on target encounter instantly and every second',0,0),
(154727,290188,10,100,'Dazes target encounter',0,1),
(154728,290188,10,100,'If Target is not Epic',1,2),
(154729,290188,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(154730,290189,10,100,'Inflicts 363 - 443 magic damage on target encounter instantly and every second',0,0),
(154731,290189,10,100,'Dazes target encounter',0,1),
(154732,290189,10,100,'If Target is not Epic',1,2),
(154733,290189,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(154734,290190,10,100,'Inflicts 393 - 481 magic damage on target encounter instantly and every second',0,0),
(154735,290190,10,100,'Dazes target encounter',0,1),
(154736,290190,10,100,'If Target is not Epic',1,2),
(154737,290190,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(154738,290190,11,100,'Inflicts 473 - 578 magic damage on target encounter instantly and every second',0,0),
(154739,290190,11,100,'Dazes target encounter',0,1),
(154740,290190,11,100,'If Target is not Epic',1,2),
(154741,290190,11,100,'Resistibility increases against targets higher than level 29.',0,3),
(154742,290192,10,100,'Increases Defense of target by 20.2',0,0),
(154743,290192,10,100,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',0,1),
(154744,290193,10,100,'Increases Defense of target by 27.2',0,0),
(154745,290193,10,100,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',0,1),
(154746,290194,10,100,'Increases Defense of target by 34.3',0,0),
(154747,290194,10,100,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',0,1),
(154748,290195,10,100,'Increases Defense of target by 40.7',0,0),
(154749,290195,10,100,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',0,1),
(154750,290196,10,100,'Increases Defense of target by 48.7',0,0),
(154751,290196,10,100,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',0,1),
(154752,290197,10,100,'Increases Defense of target by 57.1',0,0),
(154753,290197,10,100,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',0,1),
(154754,290197,11,100,'Increases Defense of target by 68.7',0,0),
(154755,290197,11,100,'Will absorb physical damage.  This spell will absorb a total of 3 attacks.',0,1),
(154756,290198,10,100,'Interrupts target',0,0),
(154757,290198,10,100,'Inflicts 116 - 142 cold damage on target instantly and every 4 seconds',0,1),
(154758,290198,10,100,'Slows target by 75.0%',0,2),
(154759,290198,11,100,'Interrupts target',0,0),
(154760,290198,11,100,'Inflicts 140 - 171 cold damage on target instantly and every 4 seconds',0,1),
(154761,290198,11,100,'Slows target by 75.0%',0,2),
(154762,290199,11,100,'Interrupts target',0,0),
(154763,290199,11,100,'Inflicts 203 - 248 cold damage on target instantly and every 4 seconds',0,1),
(154764,290199,11,100,'Slows target by 75.0%',0,2),
(154765,290200,11,100,'Interrupts target',0,0),
(154766,290200,11,100,'Inflicts 245 - 300 cold damage on target instantly and every 4 seconds',0,1),
(154767,290200,11,100,'Slows target by 75.0%',0,2),
(154768,290201,11,100,'Interrupts target',0,0),
(154769,290201,11,100,'Inflicts 280 - 342 cold damage on target instantly and every 4 seconds',0,1),
(154770,290201,11,100,'Slows target by 75.0%',0,2),
(154771,300000,10,100,'Summons a limited pet to aid the caster',0,0),
(154772,300001,10,100,'Summons a limited pet to aid the caster',0,0),
(154773,300003,10,100,'Summons a limited pet to aid the caster',0,0),
(154774,300004,10,100,'Summons a limited pet to aid the caster',0,0),
(154775,300005,10,100,'Summons a limited pet to aid the caster',0,0),
(154776,300005,11,100,'Summons a limited pet to aid the caster',0,0),
(154777,300006,11,100,'Summons 3 limited pets to aid the caster',0,0),
(154778,300007,10,100,'Summons 3 limited pets to aid the caster',0,0),
(154779,300007,11,100,'Summons 3 limited pets to aid the caster',0,0),
(154780,300008,11,100,'Summons 3 limited pets to aid the caster',0,0),
(154781,300009,10,100,'Summons 3 limited pets to aid the caster',0,0),
(154782,300009,11,100,'Summons 3 limited pets to aid the caster',0,0),
(154783,300010,10,100,'Summons 3 limited pets to aid the caster',0,0),
(154784,300010,11,100,'Summons 3 limited pets to aid the caster',0,0),
(154785,300011,10,100,'Summons 3 limited pets to aid the caster',0,0),
(154786,300011,11,100,'Summons 3 limited pets to aid the caster',0,0),
(154787,300012,10,100,'Summons 3 limited pets to aid the caster',0,0),
(154788,300012,11,100,'Summons 3 limited pets to aid the caster',0,0),
(154789,300013,10,100,'Heals caster for 126',0,0),
(154790,300013,10,100,'Inflicts 193 disease damage on targets in Area of Effect',0,1),
(154791,300013,11,100,'Heals caster for 152',0,0),
(154792,300013,11,100,'Inflicts 232 disease damage on targets in Area of Effect',0,1),
(154793,300014,11,100,'Heals caster for 303',0,0),
(154794,300014,11,100,'Inflicts 459 disease damage on targets in Area of Effect',0,1),
(154795,300015,10,100,'Heals caster for 394',0,0),
(154796,300015,10,100,'Inflicts 593 disease damage on targets in Area of Effect',0,1),
(154797,300015,11,100,'Heals caster for 474',0,0),
(154798,300015,11,100,'Inflicts 714 disease damage on targets in Area of Effect',0,1),
(154799,300016,10,100,'Heals caster for 559',0,0),
(154800,300016,10,100,'Inflicts 841 disease damage on targets in Area of Effect',0,1),
(154801,300016,11,100,'Heals caster for 673',0,0),
(154802,300016,11,100,'Inflicts 1011 disease damage on targets in Area of Effect',0,1),
(154803,300017,11,100,'Heals caster for 873',0,0),
(154804,300017,11,100,'Inflicts 1293 disease damage on targets in Area of Effect',0,1),
(154805,300018,11,100,'Heals caster for 1159',0,0),
(154806,300018,11,100,'Inflicts 1566 disease damage on targets in Area of Effect',0,1),
(154807,300019,11,100,'Heals caster for 1361',0,0),
(154808,300019,11,100,'Inflicts 1858 disease damage on targets in Area of Effect',0,1),
(154809,300020,11,100,'Inflicts 7 - 9 disease damage on target instantly and every 4 seconds',0,0),
(154810,300021,11,100,'Inflicts 23 - 28 disease damage on target instantly and every 4 seconds',0,0),
(154811,300022,10,100,'Inflicts 32 - 39 disease damage on target instantly and every 4 seconds',0,0),
(154812,300022,11,100,'Inflicts 38 - 46 disease damage on target instantly and every 4 seconds',0,0),
(154813,300023,11,100,'Inflicts 73 - 90 disease damage on target instantly and every 4 seconds',0,0),
(154814,300024,11,100,'Inflicts 288 - 352 disease damage on target instantly and every 4 seconds',0,0),
(154815,300025,10,100,'Inflicts 94 - 115 disease damage on target instantly and every 4 seconds',0,0),
(154816,300025,11,100,'Inflicts 113 - 139 disease damage on target instantly and every 4 seconds',0,0),
(154817,300026,10,100,'Inflicts 132 - 162 disease damage on target instantly and every 4 seconds',0,0),
(154818,300026,11,100,'Inflicts 159 - 195 disease damage on target instantly and every 4 seconds',0,0),
(154819,300027,11,100,'Inflicts 204 - 249 disease damage on target instantly and every 4 seconds',0,0),
(154820,300028,11,100,'Inflicts 246 - 301 disease damage on target instantly and every 4 seconds',0,0),
(154821,300029,10,100,'Inflicts 19 magic damage on target instantly and every 4 seconds',0,0),
(154822,300029,10,100,'Increases power of caster by 11 instantly and every 4 seconds',0,1),
(154823,300030,10,100,'Inflicts 41 magic damage on target instantly and every 4 seconds',0,0),
(154824,300030,10,100,'Increases power of caster by 24 instantly and every 4 seconds',0,1),
(154825,300031,10,100,'Inflicts 66 magic damage on target instantly and every 4 seconds',0,0),
(154826,300031,10,100,'Increases power of caster by 38 instantly and every 4 seconds',0,1),
(154827,300032,10,100,'Inflicts 96 magic damage on target instantly and every 4 seconds',0,0),
(154828,300032,10,100,'Increases power of caster by 56 instantly and every 4 seconds',0,1),
(154829,300033,10,100,'Inflicts 127 magic damage on target instantly and every 4 seconds',0,0),
(154830,300033,10,100,'Increases power of caster by 74 instantly and every 4 seconds',0,1),
(154831,300034,10,100,'Inflicts 154 magic damage on target instantly and every 4 seconds',0,0),
(154832,300034,10,100,'Increases power of caster by 98 instantly and every 4 seconds',0,1),
(154833,300035,10,100,'Inflicts 185 magic damage on target instantly and every 4 seconds',0,0),
(154834,300035,10,100,'Increases power of caster by 118 instantly and every 4 seconds',0,1),
(154835,300036,10,100,'Inflicts 199 magic damage on target instantly and every 4 seconds',0,0),
(154836,300036,10,100,'Increases power of caster by 125 instantly and every 4 seconds',0,1),
(154837,300036,11,100,'Inflicts 199 magic damage on target instantly and every 4 seconds',0,0),
(154838,300036,11,100,'Increases power of caster by 151 instantly and every 4 seconds',0,1),
(154839,300038,10,100,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',0,0),
(154840,300038,10,100,'Slows target by 28.4%',1,1),
(154841,300038,10,100,'Makes target afraid',1,2),
(154842,300038,10,100,'30% chance to dispel when target takes damage',1,3),
(154843,300038,10,100,'Resistibility increases against targets higher than level 48.',1,4),
(154844,300038,10,100,'Roots target',0,5),
(154845,300038,10,100,'15% chance to dispel when target takes damage',0,6),
(154846,300038,10,100,'Does not affect Epic targets',0,7),
(154847,300038,10,100,'Resistibility increases against targets higher than level 29.',0,8),
(154848,300039,10,100,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',0,0),
(154849,300039,10,100,'Slows target by 30.7%',1,1),
(154850,300039,10,100,'Makes target afraid',1,2),
(154851,300039,10,100,'30% chance to dispel when target takes damage',1,3),
(154852,300039,10,100,'Resistibility increases against targets higher than level 62.',1,4),
(154853,300039,10,100,'Roots target',0,5),
(154854,300039,10,100,'15% chance to dispel when target takes damage',0,6),
(154855,300039,10,100,'Does not affect Epic targets',0,7),
(154856,300039,10,100,'Resistibility increases against targets higher than level 29.',0,8),
(154857,300040,10,100,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',0,0),
(154858,300040,10,100,'Slows target by 33.1%',1,1),
(154859,300040,10,100,'Makes target afraid',1,2),
(154860,300040,10,100,'30% chance to dispel when target takes damage',1,3),
(154861,300040,10,100,'Resistibility increases against targets higher than level 76.',1,4),
(154862,300040,10,100,'Roots target',0,5),
(154863,300040,10,100,'15% chance to dispel when target takes damage',0,6),
(154864,300040,10,100,'Does not affect Epic targets',0,7),
(154865,300040,10,100,'Resistibility increases against targets higher than level 29.',0,8),
(154866,300041,10,100,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',0,0),
(154867,300041,10,100,'Slows target by 34.0%',1,1),
(154868,300041,10,100,'Makes target afraid',1,2),
(154869,300041,10,100,'30% chance to dispel when target takes damage',1,3),
(154870,300041,10,100,'Resistibility increases against targets higher than level 90.',1,4),
(154871,300041,10,100,'Roots target',0,5),
(154872,300041,10,100,'15% chance to dispel when target takes damage',0,6),
(154873,300041,10,100,'Does not affect Epic targets',0,7),
(154874,300041,10,100,'Resistibility increases against targets higher than level 29.',0,8),
(154875,300042,10,100,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',0,0),
(154876,300042,10,100,'Slows target by 34.4%',1,1),
(154877,300042,10,100,'Makes target afraid',1,2),
(154878,300042,10,100,'30% chance to dispel when target takes damage',1,3),
(154879,300042,10,100,'Resistibility increases against targets higher than level 102.',1,4),
(154880,300042,10,100,'Roots target',0,5),
(154881,300042,10,100,'15% chance to dispel when target takes damage',0,6),
(154882,300042,10,100,'Does not affect Epic targets',0,7),
(154883,300042,10,100,'Resistibility increases against targets higher than level 29.',0,8),
(154884,300043,10,100,'Applies Chains of Torment on termination.  Lasts for 5.0 seconds.',0,0),
(154885,300043,10,100,'Slows target by 34.7%',1,1),
(154886,300043,10,100,'Makes target afraid',1,2),
(154887,300043,10,100,'30% chance to dispel when target takes damage',1,3),
(154888,300043,10,100,'Resistibility increases against targets higher than level 112.',1,4),
(154889,300043,10,100,'Roots target',0,5),
(154890,300043,10,100,'15% chance to dispel when target takes damage',0,6),
(154891,300043,10,100,'Does not affect Epic targets',0,7),
(154892,300043,10,100,'Resistibility increases against targets higher than level 29.',0,8),
(154893,300044,10,100,'On any combat or spell hit this spell will cast Consume on target of attack.  ',0,0),
(154894,300044,10,100,'Inflicts 240 disease damage on target',1,1),
(154895,300044,10,100,'Heals caster for 119',1,2),
(154896,300044,10,100,'Heals group members'' pets for 119',1,3),
(154897,300045,10,100,'On any combat or spell hit this spell will cast Consume on target of attack.  ',0,0),
(154898,300045,10,100,'Inflicts 339 disease damage on target',1,1),
(154899,300045,10,100,'Heals caster for 181',1,2),
(154900,300045,10,100,'Heals group members'' pets for 181',1,3),
(154901,300046,10,100,'On any combat or spell hit this spell will cast Consume on target of attack.  ',0,0),
(154902,300046,10,100,'Inflicts 409 disease damage on target',1,1),
(154903,300046,10,100,'Heals caster for 225',1,2),
(154904,300046,10,100,'Heals group members'' pets for 225',1,3),
(154905,300047,10,100,'On any combat or spell hit this spell will cast Consume on target of attack.  ',0,0),
(154906,300047,10,100,'Inflicts 455 disease damage on target',1,1),
(154907,300047,10,100,'Heals caster for 247',1,2),
(154908,300047,10,100,'Heals group members'' pets for 247',1,3),
(154909,300047,11,100,'On any combat or spell hit this spell will cast Consume on target of attack.  ',0,0),
(154910,300047,11,100,'Inflicts 547 disease damage on target',1,1),
(154911,300047,11,100,'Heals caster for 297',1,2),
(154912,300047,11,100,'Heals group members'' pets for 297',1,3),
(154913,300048,10,100,'Charms target',0,0),
(154914,300048,10,100,'If outside an arena',0,1),
(154915,300048,10,100,'Certain enemies cannot be charmed',0,2),
(154916,300048,10,100,'Does not affect Epic targets',0,3),
(154917,300049,10,100,'Charms target',0,0),
(154918,300049,10,100,'If outside an arena',0,1),
(154919,300049,10,100,'Certain enemies cannot be charmed',0,2),
(154920,300049,10,100,'Does not affect Epic targets',0,3),
(154921,300050,10,100,'Charms target',0,0),
(154922,300050,10,100,'If outside an arena',0,1),
(154923,300050,10,100,'Certain enemies cannot be charmed',0,2),
(154924,300050,10,100,'Does not affect Epic targets',0,3),
(154925,300050,11,100,'Charms target',0,0),
(154926,300050,11,100,'If outside an arena',0,1),
(154927,300050,11,100,'Certain enemies cannot be charmed',0,2),
(154928,300050,11,100,'Does not affect Epic targets',0,3),
(154929,300051,10,100,'Summon 1 Dark Heart (Grandmaster)',0,0),
(154930,300053,10,100,'Applies Dooming Darkness.  Lasts for 24.0 seconds.',0,0),
(154931,300053,10,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',1,1),
(154932,300053,10,100,'Slows target by 57.5%',2,2),
(154933,300053,10,100,'5% chance to dispel when target receives hostile action',2,3),
(154934,300053,10,100,'5% chance to dispel when target takes damage',2,4),
(154935,300053,10,100,'Slows target by 57.5%',1,5),
(154936,300053,10,100,'5% chance to dispel when target receives hostile action',1,6),
(154937,300053,10,100,'5% chance to dispel when target takes damage',1,7),
(154938,300053,10,100,'Interrupts target',0,8),
(154939,300053,10,100,'Inflicts 16 - 20 disease damage on target every 4 seconds',0,9),
(154940,300054,10,100,'Applies Dooming Darkness.  Lasts for 24.0 seconds.',0,0),
(154941,300054,10,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',1,1),
(154942,300054,10,100,'Slows target by 62.5%',2,2),
(154943,300054,10,100,'5% chance to dispel when target receives hostile action',2,3),
(154944,300054,10,100,'5% chance to dispel when target takes damage',2,4),
(154945,300054,10,100,'Slows target by 62.5%',1,5),
(154946,300054,10,100,'5% chance to dispel when target receives hostile action',1,6),
(154947,300054,10,100,'5% chance to dispel when target takes damage',1,7),
(154948,300054,10,100,'Interrupts target',0,8),
(154949,300054,10,100,'Inflicts 30 - 37 disease damage on target every 4 seconds',0,9),
(154950,300055,10,100,'Applies Dooming Darkness.  Lasts for 24.0 seconds.',0,0),
(154951,300055,10,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',1,1),
(154952,300055,10,100,'Slows target by 67.3%',2,2),
(154953,300055,10,100,'5% chance to dispel when target receives hostile action',2,3),
(154954,300055,10,100,'5% chance to dispel when target takes damage',2,4),
(154955,300055,10,100,'Slows target by 67.3%',1,5),
(154956,300055,10,100,'5% chance to dispel when target receives hostile action',1,6),
(154957,300055,10,100,'5% chance to dispel when target takes damage',1,7),
(154958,300055,10,100,'Interrupts target',0,8),
(154959,300055,10,100,'Inflicts 46 - 56 disease damage on target every 4 seconds',0,9),
(154960,300056,10,100,'Makes target afraid',0,0),
(154961,300056,10,100,'30% chance to dispel when target takes damage',0,1),
(154962,300056,10,100,'Does not affect Epic targets',0,2),
(154963,300056,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(154964,300057,10,100,'Makes target afraid',0,0),
(154965,300057,10,100,'30% chance to dispel when target takes damage',0,1),
(154966,300057,10,100,'Does not affect Epic targets',0,2),
(154967,300057,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(154968,300058,10,100,'Makes target afraid',0,0),
(154969,300058,10,100,'30% chance to dispel when target takes damage',0,1),
(154970,300058,10,100,'Does not affect Epic targets',0,2),
(154971,300058,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(154972,300059,10,100,'Makes target afraid',0,0),
(154973,300059,10,100,'30% chance to dispel when target takes damage',0,1),
(154974,300059,10,100,'Does not affect Epic targets',0,2),
(154975,300059,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(154976,300060,10,100,'Makes target afraid',0,0),
(154977,300060,10,100,'30% chance to dispel when target takes damage',0,1),
(154978,300060,10,100,'Does not affect Epic targets',0,2),
(154979,300060,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(154980,300061,10,100,'Makes target afraid',0,0),
(154981,300061,10,100,'30% chance to dispel when target takes damage',0,1),
(154982,300061,10,100,'Does not affect Epic targets',0,2),
(154983,300061,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(154984,300068,10,100,'Stuns target',0,0),
(154985,300068,10,100,'Does not affect Epic targets',0,1),
(154986,300068,10,100,'Resistibility increases against targets higher than level 29.',0,2),
(154987,300069,10,100,'Stuns target',0,0),
(154988,300069,10,100,'Does not affect Epic targets',0,1),
(154989,300069,10,100,'Resistibility increases against targets higher than level 29.',0,2),
(154990,300070,10,100,'Stuns target',0,0),
(154991,300070,10,100,'Does not affect Epic targets',0,1),
(154992,300070,10,100,'Resistibility increases against targets higher than level 29.',0,2),
(154993,300071,10,100,'Stuns target',0,0),
(154994,300071,10,100,'Does not affect Epic targets',0,1),
(154995,300071,10,100,'Resistibility increases against targets higher than level 29.',0,2),
(154996,300072,10,100,'Stuns target',0,0),
(154997,300072,10,100,'Does not affect Epic targets',0,1),
(154998,300072,10,100,'Resistibility increases against targets higher than level 29.',0,2),
(154999,300073,10,100,'Stuns target',0,0),
(155000,300073,10,100,'Does not affect Epic targets',0,1),
(155001,300073,10,100,'Resistibility increases against targets higher than level 29.',0,2),
(155002,300075,10,100,'Summons a pet grim sorcerer',0,0),
(155003,300076,10,100,'Summons a pet grim sorcerer',0,0),
(155004,300077,10,100,'Summons a pet grim sorcerer',0,0),
(155005,300078,10,100,'Summons a pet grim sorcerer',0,0),
(155006,300079,10,100,'Summons a pet grim sorcerer',0,0),
(155007,300080,10,100,'Summons a pet grim sorcerer',0,0),
(155008,300080,11,100,'Summons a pet grim sorcerer',0,0),
(155009,300084,10,100,'Applies Grisly Protection to qualifying pets.',0,0),
(155010,300084,10,100,'Decreases Haste of target by 25.0',1,1),
(155011,300084,10,100,'Increases Max Health of target by 16.8%',1,2),
(155012,300084,10,100,'Increases Hate Gain of target by 45.4%',1,3),
(155013,300084,10,100,'Increases Aggression of target by 14.1',1,4),
(155014,300084,10,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 941',1,5),
(155015,300084,10,100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',1,6),
(155016,300084,10,100,'Inflicts 35 disease damage on target',2,7),
(155017,300084,10,100,'Heals caster for 26',2,8),
(155018,300084,10,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,9),
(155019,300084,10,100,'Increases Threat to target encounter by 931 - 1,137 ',2,10),
(155020,300085,10,100,'Applies Grisly Protection to qualifying pets.',0,0),
(155021,300085,10,100,'Decreases Attack Speed of target by 25.0',1,1),
(155022,300085,10,100,'Increases Max Health of target by 16.8%',1,2),
(155023,300085,10,100,'Increases Hate Gain of target by 48.4%',1,3),
(155024,300085,10,100,'Increases Aggression of target by 17.6',1,4),
(155025,300085,10,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1176',1,5),
(155026,300085,10,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,6),
(155027,300085,10,100,'Increases Threat to target encounter by 1,248 - 1,414 ',2,7),
(155028,300085,10,100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',1,8),
(155029,300085,10,100,'Inflicts 45 disease damage on target',2,9),
(155030,300085,10,100,'Heals caster for 34',2,10),
(155031,300086,10,100,'Applies Grisly Protection to qualifying pets.',0,0),
(155032,300086,10,100,'Decreases Haste of target by 25.0',1,1),
(155033,300086,10,100,'Increases Max Health of target by 16.8%',1,2),
(155034,300086,10,100,'Increases Hate Gain of target by 46.0%',1,3),
(155035,300086,10,100,'Increases Aggression of target by 21.0',1,4),
(155036,300086,10,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1344',1,5),
(155037,300086,10,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,6),
(155038,300086,10,100,'Increases Threat to target encounter by 1,437 - 1,636 ',2,7),
(155039,300086,10,100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',1,8),
(155040,300086,10,100,'Inflicts 55 disease damage on target',2,9),
(155041,300086,10,100,'Heals caster for 45',2,10),
(155042,300087,10,100,'Applies Grisly Protection to qualifying pets.',0,0),
(155043,300087,10,100,'Decreases Haste of target by 25.0',1,1),
(155044,300087,10,100,'Increases Max Health of target by 16.8%',1,2),
(155045,300087,10,100,'Increases Hate Gain of target by 46.0%',1,3),
(155046,300087,10,100,'Increases Aggression of target by 25.2',1,4),
(155047,300087,10,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1512',1,5),
(155048,300087,10,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,6),
(155049,300087,10,100,'Increases Threat to target encounter by 1,619 - 1,858 ',2,7),
(155050,300087,10,100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',1,8),
(155051,300087,10,100,'Inflicts 66 disease damage on target',2,9),
(155052,300087,10,100,'Heals caster for 54',2,10),
(155053,300088,10,100,'Applies Grisly Protection to qualifying pets.',0,0),
(155054,300088,10,100,'Decreases Haste of target by 25.0',1,1),
(155055,300088,10,100,'Increases Max Health of target by 16.8%',1,2),
(155056,300088,10,100,'Increases Hate Gain of target by 46.0%',1,3),
(155057,300088,10,100,'Increases Aggression of target by 29.4',1,4),
(155058,300088,10,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 1680',1,5),
(155059,300088,10,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,6),
(155060,300088,10,100,'Increases Threat to target encounter by 1,800 - 2,080 ',2,7),
(155061,300088,10,100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',1,8),
(155062,300088,10,100,'Inflicts 70 disease damage on target',2,9),
(155063,300088,10,100,'Heals caster for 57',2,10),
(155064,300088,11,100,'Applies Grisly Protection to qualifying pets.',0,0),
(155065,300088,11,100,'Decreases Haste of target by 25.0',1,1),
(155066,300088,11,100,'Increases Max Health of target by 20.2%',1,2),
(155067,300088,11,100,'Increases Hate Gain of target by 46.0%',1,3),
(155068,300088,11,100,'Increases Aggression of target by 35.3',1,4),
(155069,300088,11,100,'Increases Mitigation of target vs elemental, noxious and arcane damage by 2020',1,5),
(155070,300088,11,100,'On any combat or spell hit this spell will cast Shout on target of attack.  ',1,6),
(155071,300088,11,100,'Increases Threat to target encounter by 2,055 - 2,392 ',2,7),
(155072,300088,11,100,'When damaged this spell will cast Grisly Feedback on target''s attacker.  ',1,8),
(155073,300088,11,100,'Inflicts 84 disease damage on target',2,9),
(155074,300088,11,100,'Heals caster for 68',2,10),
(155075,300090,10,100,'Applies Howl of the Damned to qualifying pets.',0,0),
(155076,300090,10,100,'Increases Haste of target by 38.6',1,1),
(155077,300090,10,100,'Decreases Defense and Parry of target by 11.3',1,2),
(155078,300090,10,100,'Increases Disruption, Subjugation and Focus of target by 18.9',1,3),
(155079,300090,10,100,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',1,4),
(155080,300090,10,100,'Inflicts 120 disease damage on target',2,5),
(155081,300090,10,100,'Heals caster for 39',2,6),
(155082,300093,10,100,'Applies Howl of the Damned to qualifying pets.',0,0),
(155083,300093,10,100,'Increases Haste of target by 61.8',1,1),
(155084,300093,10,100,'Decreases Defense and Parry of target by 30.1',1,2),
(155085,300093,10,100,'Increases Disruption, Subjugation and Focus of target by 50.7',1,3),
(155086,300093,10,100,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',1,4),
(155087,300093,10,100,'Inflicts 386 disease damage on target',2,5),
(155088,300093,10,100,'Heals caster for 128',2,6),
(155089,300094,10,100,'Applies Howl of the Damned to qualifying pets.',0,0),
(155090,300094,10,100,'Increases Haste of target by 67.8',1,1),
(155091,300094,10,100,'Decreases Defense and Parry of target by 36.3',1,2),
(155092,300094,10,100,'Increases Disruption and Subjugation of target by 59.0',1,3),
(155093,300094,10,100,'Increases Focus of target by 61.0',1,4),
(155094,300094,10,100,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',1,5),
(155095,300094,10,100,'Inflicts 475 disease damage on target',2,6),
(155096,300094,10,100,'Heals caster for 172',2,7),
(155097,300095,10,100,'Applies Howl of the Damned to qualifying pets.',0,0),
(155098,300095,10,100,'Increases Haste of target by 77.0',1,1),
(155099,300095,10,100,'Decreases Defense and Parry of target by 42.3',1,2),
(155100,300095,10,100,'Increases Disruption and Subjugation of target by 66.5',1,3),
(155101,300095,10,100,'Increases Focus of target by 73.1',1,4),
(155102,300095,10,100,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',1,5),
(155103,300095,10,100,'Inflicts 572 disease damage on target',2,6),
(155104,300095,10,100,'Heals caster for 209',2,7),
(155105,300096,10,100,'Applies Howl of the Damned to qualifying pets.',0,0),
(155106,300096,10,100,'Increases Haste of target by 83.0',1,1),
(155107,300096,10,100,'Decreases Defense and Parry of target by 48.3',1,2),
(155108,300096,10,100,'Increases Disruption and Subjugation of target by 74.1',1,3),
(155109,300096,10,100,'Increases Focus of target by 85.7',1,4),
(155110,300096,10,100,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',1,5),
(155111,300096,10,100,'Inflicts 621 disease damage on target',2,6),
(155112,300096,10,100,'Heals caster for 225',2,7),
(155113,300096,11,100,'Applies Howl of the Damned to qualifying pets.',0,0),
(155114,300096,11,100,'Increases Haste of target by 99.8',1,1),
(155115,300096,11,100,'Decreases Defense and Parry of target by 48.3',1,2),
(155116,300096,11,100,'Increases Disruption and Subjugation of target by 89.1',1,3),
(155117,300096,11,100,'Increases Focus of target by 103.0',1,4),
(155118,300096,11,100,'On any combat or spell hit this spell may cast Clawing of the Soul on target of attack.  Triggers about 2.0 times per minute. ',1,5),
(155119,300096,11,100,'Inflicts 747 disease damage on target',2,6),
(155120,300096,11,100,'Heals caster for 270',2,7),
(155121,300097,10,100,'Shapechanges caster into a lich',0,0),
(155122,300097,10,100,'Increases power of caster by 6.7% instantly and every 6 seconds',0,1),
(155123,300097,10,100,'This effect cannot be critically applied.',1,2),
(155124,300097,10,100,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',0,3),
(155125,300097,10,100,'Inflicts 135 disease damage on target',1,4),
(155126,300097,10,100,'Heals caster for 89',1,5),
(155127,300098,10,100,'Shapechanges caster into an archlich',0,0),
(155128,300098,10,100,'Increases power of caster by 6.7% instantly and every 6 seconds',0,1),
(155129,300098,10,100,'This effect cannot be critically applied.',1,2),
(155130,300098,10,100,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',0,3),
(155131,300098,10,100,'Inflicts 203 disease damage on target',1,4),
(155132,300098,10,100,'Heals caster for 135',1,5),
(155133,300099,10,100,'Shapechanges caster into a demilich',0,0),
(155134,300099,10,100,'Increases power of caster by 6.7% instantly and every 6 seconds',0,1),
(155135,300099,10,100,'This effect cannot be critically applied.',1,2),
(155136,300099,10,100,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',0,3),
(155137,300099,10,100,'Inflicts 246 disease damage on target',1,4),
(155138,300099,10,100,'Heals caster for 181',1,5),
(155139,300100,10,100,'Shapechanges caster into a necrolich',0,0),
(155140,300100,10,100,'Increases power of caster by 6.7% instantly and every 6 seconds',0,1),
(155141,300100,10,100,'This effect cannot be critically applied.',1,2),
(155142,300100,10,100,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',0,3),
(155143,300100,10,100,'Inflicts 296 disease damage on target',1,4),
(155144,300100,10,100,'Heals caster for 216',1,5),
(155145,300101,10,100,'Increases power of caster by 6.7% instantly and every 6 seconds',0,0),
(155146,300101,10,100,'This effect cannot be critically applied.',1,1),
(155147,300101,10,100,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',0,2),
(155148,300101,10,100,'Inflicts 314 disease damage on target',1,3),
(155149,300101,10,100,'Heals caster for 227',1,4),
(155150,300101,11,100,'Increases power of caster by 8.1% instantly and every 6 seconds',0,0),
(155151,300101,11,100,'This effect cannot be critically applied.',1,1),
(155152,300101,11,100,'On a hostile spell cast this spell will cast Lich''s Siphoning on target of spell.  ',0,2),
(155153,300101,11,100,'Inflicts 378 disease damage on target',1,3),
(155154,300101,11,100,'Heals caster for 273',1,4),
(155155,300102,1,100,'Heals caster for 90',0,2),
(155156,300102,2,100,'Heals caster for 95',0,2),
(155157,300102,3,100,'Heals caster for 100',0,2),
(155158,300102,4,100,'Heals caster for 110',0,2),
(155159,300102,5,100,'Heals caster for 120',0,2),
(155160,300102,7,100,'Heals caster for 154',0,2),
(155161,300102,10,100,'Heals caster for 168',0,2),
(155162,300102,11,100,'Inflicts 309 disease damage on target',0,0),
(155163,300102,11,100,'Heals caster for 202',0,1),
(155164,300102,11,100,'Heals caster for 202',0,2),
(155165,300103,1,100,'Heals caster for 171',0,2),
(155166,300103,2,100,'Heals caster for 181',0,2),
(155167,300103,3,100,'Heals caster for 190',0,2),
(155168,300103,4,100,'Heals caster for 209',0,2),
(155169,300103,5,100,'Heals caster for 228',0,2),
(155170,300103,7,100,'Heals caster for 293',0,2),
(155171,300103,9,100,'Heals caster for 304',0,2),
(155172,300103,10,100,'Inflicts 484 disease damage on target',0,0),
(155173,300103,10,100,'Heals caster for 319',0,1),
(155174,300103,10,100,'Heals caster for 319',0,2),
(155175,300103,11,100,'Inflicts 582 disease damage on target',0,0),
(155176,300103,11,100,'Heals caster for 384',0,1),
(155177,300103,11,100,'Heals caster for 384',0,2),
(155178,300104,1,100,'Heals caster for 266',0,2),
(155179,300104,2,100,'Heals caster for 280',0,2),
(155180,300104,3,100,'Heals caster for 295',0,2),
(155181,300104,4,100,'Heals caster for 325',0,2),
(155182,300104,5,100,'Heals caster for 354',0,2),
(155183,300104,7,100,'Heals caster for 454',0,2),
(155184,300104,9,100,'Heals caster for 472',0,2),
(155185,300104,10,100,'Heals caster for 496',0,2),
(155186,300104,11,100,'Inflicts 901 disease damage on target',0,0),
(155187,300104,11,100,'Heals caster for 596',0,1),
(155188,300104,11,100,'Heals caster for 596',0,2),
(155189,300105,1,100,'Heals caster for 360',0,2),
(155190,300105,2,100,'Heals caster for 380',0,2),
(155191,300105,3,100,'Heals caster for 400',0,2),
(155192,300105,4,100,'Heals caster for 440',0,2),
(155193,300105,5,100,'Heals caster for 480',0,2),
(155194,300105,7,100,'Heals caster for 616',0,2),
(155195,300105,9,100,'Heals caster for 640',0,2),
(155196,300105,10,100,'Heals caster for 672',0,2),
(155197,300105,11,100,'Inflicts 1220 disease damage on target',0,0),
(155198,300105,11,100,'Heals caster for 808',0,1),
(155199,300106,1,100,'Heals caster for 484',0,2),
(155200,300106,2,100,'Heals caster for 511',0,2),
(155201,300106,3,100,'Heals caster for 538',0,2),
(155202,300106,4,100,'Heals caster for 592',0,2),
(155203,300106,5,100,'Heals caster for 646',0,2),
(155204,300106,9,100,'Heals caster for 861',0,2),
(155205,300106,10,100,'Inflicts 1272 disease damage on target',0,0),
(155206,300106,10,100,'Heals caster for 904',0,1),
(155207,300106,10,100,'Heals caster for 904',0,2),
(155208,300106,11,100,'Inflicts 1529 disease damage on target',0,0),
(155209,300106,11,100,'Heals caster for 1087',0,1),
(155210,300106,11,100,'Heals caster for 1087',0,2),
(155211,300107,1,100,'Heals caster for 602',0,2),
(155212,300107,4,100,'Heals caster for 736',0,2),
(155213,300107,5,100,'Heals caster for 803',0,2),
(155214,300107,7,100,'Heals caster for 1030',0,2),
(155215,300107,9,100,'Heals caster for 1070',0,2),
(155216,300107,10,100,'Inflicts 1534 disease damage on target',0,0),
(155217,300107,10,100,'Heals caster for 1124',0,1),
(155218,300107,10,100,'Heals caster for 1124',0,2),
(155219,300107,11,100,'Inflicts 1845 disease damage on target',0,0),
(155220,300107,11,100,'Heals caster for 1351',0,1),
(155221,300108,1,100,'Heals caster for 662',0,2),
(155222,300108,4,100,'Heals caster for 810',0,2),
(155223,300108,5,100,'Heals caster for 883',0,2),
(155224,300108,7,100,'Heals caster for 1133',0,2),
(155225,300108,9,100,'Heals caster for 1178',0,2),
(155226,300108,10,100,'Inflicts 1706 disease damage on target',0,0),
(155227,300108,10,100,'Heals caster for 1236',0,1),
(155228,300108,10,100,'Heals caster for 1236',0,2),
(155229,300108,11,100,'Inflicts 2051 disease damage on target',0,0),
(155230,300108,11,100,'Heals caster for 1487',0,1),
(155231,300108,11,100,'Heals caster for 1487',0,2),
(155232,300109,10,100,'Summon 1 Dark Heart (Grandmaster)',0,0),
(155233,300109,10,100,'Must not be engaged in combat',0,1),
(155234,300110,10,100,'Increases all damage done to target by 1.68%',0,0),
(155235,300110,10,100,'Decreases WIS of target by 32.8',0,1),
(155236,300110,10,100,'Increases WIS and STA of caster by 32.8',0,2),
(155237,300110,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 252',0,3),
(155238,300110,10,100,'Only affects targets level 17 and above',0,4),
(155239,300111,10,100,'Increases all damage done to target by 1.68%',0,0),
(155240,300111,10,100,'Decreases WIS of target by 50.7',0,1),
(155241,300111,10,100,'Increases WIS and STA of caster by 50.7',0,2),
(155242,300111,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 393',0,3),
(155243,300111,10,100,'Only affects targets level 17 and above',0,4),
(155244,300112,10,100,'Increases all damage done to target by 1.68%',0,0),
(155245,300112,10,100,'Decreases WIS of target by 69.6',0,1),
(155246,300112,10,100,'Increases WIS and STA of caster by 69.6',0,2),
(155247,300112,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 534',0,3),
(155248,300112,10,100,'Only affects targets level 17 and above',0,4),
(155249,300113,10,100,'Increases all damage done to target by 1.68%',0,0),
(155250,300113,10,100,'Decreases WIS of target by 88.4',0,1),
(155251,300113,10,100,'Increases WIS and STA of caster by 88.4',0,2),
(155252,300113,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 675',0,3),
(155253,300113,10,100,'Only affects targets level 17 and above',0,4),
(155254,300114,10,100,'Increases all damage done to target by 1.68%',0,0),
(155255,300114,10,100,'Decreases WIS of target by 107.2',0,1),
(155256,300114,10,100,'Increases WIS and STA of caster by 107.2',0,2),
(155257,300114,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 786',0,3),
(155258,300114,10,100,'Only affects targets level 17 and above',0,4),
(155259,300115,10,100,'Increases all damage done to target by 1.68%',0,0),
(155260,300115,10,100,'Decreases WIS of target by 125.7',0,1),
(155261,300115,10,100,'Increases WIS and STA of caster by 125.7',0,2),
(155262,300115,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 887',0,3),
(155263,300115,10,100,'Only affects targets level 17 and above',0,4),
(155264,300116,10,100,'Increases all damage done to target by 1.68%',0,0),
(155265,300116,10,100,'Decreases WIS of target by 144.1',0,1),
(155266,300116,10,100,'Increases WIS and STA of caster by 144.1',0,2),
(155267,300116,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 988',0,3),
(155268,300116,10,100,'Only affects targets level 17 and above',0,4),
(155269,300116,11,100,'Increases all damage done to target by 2.02%',0,0),
(155270,300116,11,100,'Decreases WIS of target by 173.3',0,1),
(155271,300116,11,100,'Increases WIS and STA of caster by 173.3',0,2),
(155272,300116,11,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1188',0,3),
(155273,300116,11,100,'Only affects targets level 17 and above',0,4),
(155274,300117,10,100,'Applies Necromantic Pact to qualifying pets.',0,0),
(155275,300117,10,100,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(155276,300117,10,100,'Decreases Mitigation of target vs noxious damage by 263',2,2),
(155277,300117,10,100,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(155278,300117,10,100,'Decreases Mitigation of target vs noxious damage by 263',2,4),
(155279,300118,10,100,'Applies Necromantic Pact to qualifying pets.',0,0),
(155280,300118,10,100,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(155281,300118,10,100,'Decreases Mitigation of target vs noxious damage by 470',2,2),
(155282,300118,10,100,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(155283,300118,10,100,'Decreases Mitigation of target vs noxious damage by 470',2,4),
(155284,300119,10,100,'Applies Necromantic Pact to qualifying pets.',0,0),
(155285,300119,10,100,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(155286,300119,10,100,'Decreases Mitigation of target vs noxious damage by 706',2,2),
(155287,300119,10,100,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(155288,300119,10,100,'Decreases Mitigation of target vs noxious damage by 706',2,4),
(155289,300120,10,100,'Applies Necromantic Pact to qualifying pets.',0,0),
(155290,300120,10,100,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(155291,300120,10,100,'Decreases Mitigation of target vs noxious damage by 941',2,2),
(155292,300120,10,100,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(155293,300120,10,100,'Decreases Mitigation of target vs noxious damage by 941',2,4),
(155294,300121,10,100,'Applies Necromantic Pact to qualifying pets.',0,0),
(155295,300121,10,100,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(155296,300121,10,100,'Decreases Mitigation of target vs noxious damage by 1176',2,2),
(155297,300121,10,100,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(155298,300121,10,100,'Decreases Mitigation of target vs noxious damage by 1176',2,4),
(155299,300122,10,100,'Applies Necromantic Pact to qualifying pets.',0,0),
(155300,300122,10,100,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(155301,300122,10,100,'Decreases Mitigation of target vs noxious damage by 1536',2,2),
(155302,300122,10,100,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(155303,300122,10,100,'Decreases Mitigation of target vs noxious damage by 1536',2,4),
(155304,300123,10,100,'Applies Necromantic Pact to qualifying pets.',0,0),
(155305,300123,10,100,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(155306,300123,10,100,'Decreases Mitigation of target vs noxious damage by 1814',2,2),
(155307,300123,10,100,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(155308,300123,10,100,'Decreases Mitigation of target vs noxious damage by 1814',2,4),
(155309,300124,10,100,'Applies Necromantic Pact to qualifying pets.',0,0),
(155310,300124,10,100,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(155311,300124,10,100,'Decreases Mitigation of target vs noxious damage by 2016',2,2),
(155312,300124,10,100,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(155313,300124,10,100,'Decreases Mitigation of target vs noxious damage by 2016',2,4),
(155314,300124,11,100,'Applies Necromantic Pact to qualifying pets.',0,0),
(155315,300124,11,100,'On any combat or spell hit this spell may cast Exposed Noxious on target of attack.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',1,1),
(155316,300124,11,100,'Decreases Mitigation of target vs noxious damage by 2424',2,2),
(155317,300124,11,100,'When damaged this spell has a 25% chance to cast Exposed Noxious on target''s attacker.  Lasts for 20.0 seconds.  ',1,3),
(155318,300124,11,100,'Decreases Mitigation of target vs noxious damage by 2424',2,4),
(155319,300127,10,100,'Dispels 55 levels of any hostile effects on caster',0,0),
(155320,300127,10,100,'Heals target for 224',0,1),
(155321,300127,10,100,'Heals target for 37 every second',0,2),
(155322,300129,10,100,'Dispels 185 levels of any hostile effects on target',0,0),
(155323,300129,10,100,'Heals target for 1134',0,1),
(155324,300129,10,100,'Heals target for 189 every second',0,2),
(155325,300129,11,100,'Dispels 222 levels of any hostile effects on target',0,0),
(155326,300129,11,100,'Heals target for 1364',0,1),
(155327,300129,11,100,'Heals target for 227 every second',0,2),
(155328,300130,10,100,'Dispels 105 levels of any hostile effects on caster',0,0),
(155329,300130,10,100,'Heals target for 514',0,1),
(155330,300130,10,100,'Heals target for 86 every second',0,2),
(155331,300131,10,100,'Dispels 130 levels of any hostile effects on caster',0,0),
(155332,300131,10,100,'Heals target for 673',0,1),
(155333,300131,10,100,'Heals target for 112 every second',0,2),
(155334,300132,10,100,'Dispels 149 levels of any hostile effects on target',0,0),
(155335,300132,10,100,'Heals target for 907',0,1),
(155336,300132,10,100,'Heals target for 151 every second',0,2),
(155337,300133,10,100,'Dispels 167 levels of any hostile effects on target',0,0),
(155338,300133,10,100,'Heals target for 1081',0,1),
(155339,300133,10,100,'Heals target for 180 every second',0,2),
(155340,300134,10,100,'Summons a pet nightshade',0,0),
(155341,300135,10,100,'Summons a pet nightshade',0,0),
(155342,300136,10,100,'Summons a pet nightshade',0,0),
(155343,300137,10,100,'Summons a pet nightshade',0,0),
(155344,300138,10,100,'Summons a pet nightshade',0,0),
(155345,300139,10,100,'Summons a pet nightshade',0,0),
(155346,300139,11,100,'Summons a pet nightshade',0,0),
(155347,300143,10,100,'Inflicts 60 - 73 disease damage on target encounter instantly and every 3 seconds',0,0),
(155348,300144,10,100,'Inflicts 205 - 250 disease damage on target encounter instantly and every 3 seconds',0,0),
(155349,300144,11,100,'Inflicts 246 - 301 disease damage on target encounter instantly and every 3 seconds',0,0),
(155350,300145,10,100,'Inflicts 90 - 110 disease damage on target encounter instantly and every 3 seconds',0,0),
(155351,300147,10,100,'Inflicts 153 - 187 disease damage on target encounter instantly and every 3 seconds',0,0),
(155352,300148,10,100,'Inflicts 184 - 225 disease damage on target encounter instantly and every 3 seconds',0,0),
(155353,300153,10,100,'Applies Rending to qualifying pets.',0,0),
(155354,300153,10,100,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',1,1),
(155355,300153,10,100,'Increases Haste of target by 27.4',2,2),
(155356,300153,10,100,'Increases DPS of target by 27.4',2,3),
(155357,300153,10,100,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,4),
(155358,300153,10,100,'Increases Haste of target by 27.4',2,5),
(155359,300153,10,100,'Increases DPS of target by 27.4',2,6),
(155360,300153,10,100,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,7),
(155361,300153,10,100,'Increases Haste of target by 27.4',2,8),
(155362,300153,10,100,'Increases DPS of target by 27.4',2,9),
(155363,300154,10,100,'Applies Rending to qualifying pets.',0,0),
(155364,300154,10,100,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',1,1),
(155365,300154,10,100,'Increases Haste of target by 31.2',2,2),
(155366,300154,10,100,'Increases DPS of target by 31.2',2,3),
(155367,300154,10,100,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,4),
(155368,300154,10,100,'Increases Haste of target by 31.2',2,5),
(155369,300154,10,100,'Increases DPS of target by 31.2',2,6),
(155370,300154,10,100,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,7),
(155371,300154,10,100,'Increases Haste of target by 31.2',2,8),
(155372,300154,10,100,'Increases DPS of target by 31.2',2,9),
(155373,300155,10,100,'Applies Rending to qualifying pets.',0,0),
(155374,300155,10,100,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',1,1),
(155375,300155,10,100,'Increases Attack Speed of target by 33.9',2,2),
(155376,300155,10,100,'Increases Damage Per Second of target by 33.9',2,3),
(155377,300155,10,100,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,4),
(155378,300155,10,100,'Increases Attack Speed of target by 33.9',2,5),
(155379,300155,10,100,'Increases Damage Per Second of target by 33.9',2,6),
(155380,300155,10,100,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,7),
(155381,300155,10,100,'Increases Attack Speed of target by 33.9',2,8),
(155382,300155,10,100,'Increases Damage Per Second of target by 33.9',2,9),
(155383,300156,10,100,'Applies Rending to qualifying pets.',0,0),
(155384,300156,10,100,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',1,1),
(155385,300156,10,100,'Increases Haste of target by 38.5',2,2),
(155386,300156,10,100,'Increases DPS of target by 38.5',2,3),
(155387,300156,10,100,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,4),
(155388,300156,10,100,'Increases Haste of target by 38.5',2,5),
(155389,300156,10,100,'Increases DPS of target by 38.5',2,6),
(155390,300156,10,100,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,7),
(155391,300156,10,100,'Increases Haste of target by 38.5',2,8),
(155392,300156,10,100,'Increases DPS of target by 38.5',2,9),
(155393,300157,10,100,'Applies Rending to qualifying pets.',0,0),
(155394,300157,10,100,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',1,1),
(155395,300157,10,100,'Increases Haste of target by 41.5',2,2),
(155396,300157,10,100,'Increases DPS of target by 41.5',2,3),
(155397,300157,10,100,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,4),
(155398,300157,10,100,'Increases Haste of target by 41.5',2,5),
(155399,300157,10,100,'Increases DPS of target by 41.5',2,6),
(155400,300157,10,100,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,7),
(155401,300157,10,100,'Increases Haste of target by 41.5',2,8),
(155402,300157,10,100,'Increases DPS of target by 41.5',2,9),
(155403,300157,11,100,'Applies Rending to qualifying pets.',0,0),
(155404,300157,11,100,'On any combat or spell hit this spell may cast Berserk on caster.  Lasts for 10.0 seconds.  Triggers about 4.0 times per minute. ',1,1),
(155405,300157,11,100,'Increases Haste of target by 49.9',2,2),
(155406,300157,11,100,'Increases DPS of target by 49.9',2,3),
(155407,300157,11,100,'When damaged this spell has a 50% chance to cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,4),
(155408,300157,11,100,'Increases Haste of target by 49.9',2,5),
(155409,300157,11,100,'Increases DPS of target by 49.9',2,6),
(155410,300157,11,100,'On a kill this spell will cast Berserk on caster.  Lasts for 10.0 seconds.  ',1,7),
(155411,300157,11,100,'Increases Haste of target by 49.9',2,8),
(155412,300157,11,100,'Increases DPS of target by 49.9',2,9),
(155413,300158,10,100,'Applies Revived Sickness on termination.  Lasts for 2 minutes.',0,0),
(155414,300158,10,100,'Decreases Haste of target by 20.0',1,1),
(155415,300158,10,100,'If not between levels 1 - 6',2,2),
(155416,300158,10,100,'Decreases All Attributes of target by 20.0%',1,3),
(155417,300158,10,100,'If not between levels 1 - 6',2,4),
(155418,300158,10,100,'Decreases Haste of target by 5.0',1,5),
(155419,300158,10,100,'If between levels 1 - 6',2,6),
(155420,300158,10,100,'Decreases All Attributes of target by 5.0%',1,7),
(155421,300158,10,100,'If between levels 1 - 6',2,8),
(155422,300158,10,100,'Resurrects target with 25% health and power',0,9),
(155423,300158,10,100,'If outside an arena',0,10),
(155424,300159,9,100,'Improves the damage of the Necromancer''s pet.',0,0),
(155425,300159,9,100,'Damage over time spells increase damage with each tick.  Damage ceases to increase after 5 ticks.',0,1),
(155426,300159,9,100,'On a hostile spell cast this spell has a 12% chance to cast Poisonous Blast on target of spell.  Lasts for 12.0 seconds.  ',0,2),
(155427,300159,9,100,'Applies Poisonous Blast.  Lasts for 12.0 seconds.',1,3),
(155428,300159,9,100,'Increases Crit Chance of pet by 20.0',2,4),
(155429,300159,9,100,'Prevents AOE (except when direct) ',2,5),
(155430,300159,9,100,'Inflicts 786 - 1179 poison damage on target',1,6),
(155431,300159,9,100,'Inflicts 194 - 292 poison damage on target every 3 seconds',1,7),
(155432,300159,9,100,'Cannot be modified except by direct means',1,8),
(155433,300159,9,100,'Cannot be modified except by direct means',0,9),
(155434,300159,10,100,'Improves the damage of the Necromancer''s pet.',0,0),
(155435,300159,10,100,'Damage over time spells increase damage with each tick.  Damage ceases to increase after 5 ticks.',0,1),
(155436,300159,10,100,'On a hostile spell cast this spell has a 12% chance to cast Poisonous Blast on target of spell.  Lasts for 12.0 seconds.  ',0,2),
(155437,300159,10,100,'Applies Poisonous Blast.  Lasts for 12.0 seconds.',1,3),
(155438,300159,10,100,'Increases Crit Chance of pet by 20.0',2,4),
(155439,300159,10,100,'Prevents AOE (except when direct) ',2,5),
(155440,300159,10,100,'Inflicts 786 - 1179 poison damage on target',1,6),
(155441,300159,10,100,'Inflicts 194 - 292 poison damage on target every 3 seconds',1,7),
(155442,300159,10,100,'Cannot be modified except by direct means',1,8),
(155443,300159,10,100,'Cannot be modified except by direct means',0,9),
(155444,300163,10,100,'Decreases STR and INT of target by 68.2',0,0),
(155445,300163,10,100,'When the target of this spell dies, the necromancer draws a random soul spell from the enemy. The soul spell can be used three times.',0,1),
(155446,300166,11,100,'Decreases STR and INT of target by 160.0',0,0),
(155447,300166,11,100,'When the target of this spell dies, the necromancer draws a random soul spell from the enemy. The soul spell can be used three times.',0,1),
(155448,300170,11,100,'Inflicts 4 - 5 disease damage on target instantly and every second',0,0),
(155449,300171,11,100,'Inflicts 9 - 12 disease damage on target instantly and every second',0,0),
(155450,300172,11,100,'Inflicts 18 - 24 disease damage on target instantly and every second',0,0),
(155451,300173,10,100,'Inflicts 24 - 33 disease damage on target instantly and every second',0,0),
(155452,300173,11,100,'Inflicts 29 - 40 disease damage on target instantly and every second',0,0),
(155453,300174,10,100,'Inflicts 133 - 180 disease damage on target instantly and every second',0,0),
(155454,300174,11,100,'Inflicts 160 - 216 disease damage on target instantly and every second',0,0),
(155455,300175,10,100,'Inflicts 37 - 51 disease damage on target instantly and every second',0,0),
(155456,300175,11,100,'Inflicts 45 - 61 disease damage on target instantly and every second',0,0),
(155457,300176,10,100,'Inflicts 59 - 79 disease damage on target instantly and every second',0,0),
(155458,300176,11,100,'Inflicts 71 - 96 disease damage on target instantly and every second',0,0),
(155459,300177,10,100,'Inflicts 84 - 114 disease damage on target instantly and every second',0,0),
(155460,300177,11,100,'Inflicts 101 - 137 disease damage on target instantly and every second',0,0),
(155461,300178,10,100,'Inflicts 110 - 148 disease damage on target instantly and every second',0,0),
(155462,300178,11,100,'Inflicts 132 - 178 disease damage on target instantly and every second',0,0),
(155463,300179,10,100,'Inflicts 158 - 213 disease damage on target instantly and every second',0,0),
(155464,300179,11,100,'Inflicts 190 - 256 disease damage on target instantly and every second',0,0),
(155465,300180,10,100,'Increases STA and INT of group members (AE) by 17.5',0,0),
(155466,300181,10,100,'Increases STA and INT of group members (AE) by 33.9',0,0),
(155467,300182,10,100,'Increases STA and INT of group members (AE) by 52.1',0,0),
(155468,300184,10,100,'Increases STA and INT of group members (AE) by 89.7',0,0),
(155469,300185,10,100,'Increases STA and INT of group members (AE) by 109.0',0,0),
(155470,300186,10,100,'Increases STA and INT of group members (AE) by 127.5',0,0),
(155471,300187,10,100,'Increases STA and INT of group members (AE) by 146.0',0,0),
(155472,300187,11,100,'Increases STA and INT of group members (AE) by 175.5',0,0),
(155473,300189,10,100,'Heals target for 916',0,0),
(155474,300191,10,100,'Heals target for 1704',0,0),
(155475,300192,10,100,'Heals target for 2171',0,0),
(155476,300193,10,100,'Heals target for 2449',0,0),
(155477,300193,11,100,'Heals target for 2945',0,0),
(155478,300194,10,100,'Summons 12 limited pets to aid the caster',0,0),
(155479,300195,10,100,'Summons 12 limited pets to aid the caster',0,0),
(155480,300196,10,100,'Summons 12 limited pets to aid the caster',0,0),
(155481,300197,10,100,'Summons 12 limited pets to aid the caster',0,0),
(155482,300197,11,100,'Summons 12 limited pets to aid the caster',0,0),
(155483,300199,10,100,'Summons a pet undead knight',0,0),
(155484,300200,10,100,'Summons a pet undead knight',0,0),
(155485,300201,10,100,'Summons a pet undead knight',0,0),
(155486,300202,10,100,'Summons a pet undead knight',0,0),
(155487,300202,11,100,'Summons a pet undead knight',0,0),
(155488,300203,10,100,'Summons a pet undead knight',0,0),
(155489,300204,10,100,'Summons a pet undead knight',0,0),
(155490,300205,10,100,'Summons a pet undead knight',0,0),
(155491,300206,10,100,'Summons a pet undead knight',0,0),
(155492,300209,10,100,'Increases Max Power of group members (AE) by 277.2',0,0),
(155493,300209,10,100,'Increases Mitigation of group members (AE) vs noxious damage by 470',0,1),
(155494,300210,10,100,'Increases Max Power of group members (AE) by 424.4',0,0),
(155495,300210,10,100,'Increases Mitigation of group members (AE) vs noxious damage by 659',0,1),
(155496,300211,10,100,'Increases Max Power of group members (AE) by 548.3',0,0),
(155497,300211,10,100,'Increases Mitigation of group members (AE) vs noxious damage by 847',0,1),
(155498,300213,10,100,'Increases Max Power of group members (AE) by 739.7',0,0),
(155499,300213,10,100,'Increases Mitigation of group members (AE) vs noxious damage by 1228',0,1),
(155500,300214,10,100,'Increases Max Power of group members (AE) by 826.7',0,0),
(155501,300214,10,100,'Increases Mitigation of group members (AE) vs noxious damage by 1404',0,1),
(155502,300214,11,100,'Increases Max Power of group members (AE) by 994.0',0,0),
(155503,300214,11,100,'Increases Mitigation of group members (AE) vs noxious damage by 1689',0,1),
(155504,300219,10,100,'Summons a limited pet to aid the caster',0,0),
(155505,300219,11,100,'Summons a limited pet to aid the caster',0,0),
(155506,300220,10,100,'Summons a limited pet to aid the caster',0,0),
(155507,300220,11,100,'Summons a limited pet to aid the caster',0,0),
(155508,300221,10,100,'Summons a limited pet to aid the caster',0,0),
(155509,300221,11,100,'Summons a limited pet to aid the caster',0,0),
(155510,310000,10,100,'Inflicts 22 - 37 melee damage on target',0,0),
(155511,310000,10,100,'You must be sneaking to use this ability.',0,1),
(155512,310001,10,100,'Inflicts 49 - 82 melee damage on target',0,0),
(155513,310001,10,100,'You must be sneaking to use this ability.',0,1),
(155514,310003,10,100,'Decreases Defense of target by 4.4',0,0),
(155515,310003,10,100,'If facing target',0,1),
(155516,310005,10,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(155517,310005,10,100,'Slows target by 53.4%',1,1),
(155518,310005,10,100,'5% chance to dispel when target receives hostile action',1,2),
(155519,310005,10,100,'5% chance to dispel when target takes damage',1,3),
(155528,310007,10,100,'Decreases Threat to target by 322 - 537 ',0,0),
(155530,310008,1,100,'Caster is immune to riposte damage.',0,1),
(155531,310008,2,100,'Caster is immune to riposte damage.',0,1),
(155532,310008,3,100,'Caster is immune to riposte damage.',0,1),
(155533,310008,4,100,'Caster is immune to riposte damage.',0,1),
(155534,310008,5,100,'Caster is immune to riposte damage.',0,1),
(155535,310008,7,100,'Caster is immune to riposte damage.',0,1),
(155536,310008,9,100,'Caster is immune to riposte damage.',0,1),
(155537,310008,10,100,'Decreases Threat to target by 927 - 1,546 ',0,0),
(155538,310008,10,100,'Caster is immune to riposte damage.',0,1),
(155539,310009,1,100,'Caster is immune to riposte damage.',0,1),
(155540,310009,2,100,'Caster is immune to riposte damage.',0,1),
(155541,310009,3,100,'Caster is immune to riposte damage.',0,1),
(155542,310009,4,100,'Caster is immune to riposte damage.',0,1),
(155543,310009,5,100,'Caster is immune to riposte damage.',0,1),
(155544,310009,7,100,'Caster is immune to riposte damage.',0,1),
(155545,310009,9,100,'Caster is immune to riposte damage.',0,1),
(155546,310009,10,100,'Decreases Threat to target by 1,798 - 2,998 ',0,0),
(155547,310009,10,100,'Caster is immune to riposte damage.',0,1),
(155548,310010,1,100,'Caster is immune to riposte damage.',0,1),
(155549,310010,2,100,'Caster is immune to riposte damage.',0,1),
(155550,310010,3,100,'Caster is immune to riposte damage.',0,1),
(155551,310010,4,100,'Caster is immune to riposte damage.',0,1),
(155552,310010,5,100,'Caster is immune to riposte damage.',0,1),
(155553,310010,7,100,'Caster is immune to riposte damage.',0,1),
(155554,310010,9,100,'Caster is immune to riposte damage.',0,1),
(155555,310010,10,100,'Decreases Threat to target by 2,838 - 4,730 ',0,0),
(155556,310010,10,100,'Caster is immune to riposte damage.',0,1),
(155557,310011,1,100,'Caster is immune to riposte damage.',0,1),
(155558,310011,2,100,'Caster is immune to riposte damage.',0,1),
(155559,310011,3,100,'Caster is immune to riposte damage.',0,1),
(155560,310011,4,100,'Caster is immune to riposte damage.',0,1),
(155561,310011,5,100,'Caster is immune to riposte damage.',0,1),
(155562,310011,7,100,'Caster is immune to riposte damage.',0,1),
(155563,310011,9,100,'Caster is immune to riposte damage.',0,1),
(155564,310011,10,100,'Decreases Threat to target by 4,059 - 6,765 ',0,0),
(155565,310011,10,100,'Caster is immune to riposte damage.',0,1),
(155566,310012,1,100,'Caster is immune to riposte damage.',0,1),
(155567,310012,2,100,'Caster is immune to riposte damage.',0,1),
(155568,310012,3,100,'Caster is immune to riposte damage.',0,1),
(155569,310012,4,100,'Caster is immune to riposte damage.',0,1),
(155570,310012,5,100,'Caster is immune to riposte damage.',0,1),
(155571,310012,7,100,'Caster is immune to riposte damage.',0,1),
(155572,310012,9,100,'Caster is immune to riposte damage.',0,1),
(155573,310012,10,100,'Decreases Threat to target by 5,347 - 8,911 ',0,0),
(155574,310012,10,100,'Caster is immune to riposte damage.',0,1),
(155575,310013,1,100,'Caster is immune to riposte damage.',0,1),
(155576,310013,4,100,'Caster is immune to riposte damage.',0,1),
(155577,310013,5,100,'Caster is immune to riposte damage.',0,1),
(155578,310013,7,100,'Caster is immune to riposte damage.',0,1),
(155579,310013,9,100,'Caster is immune to riposte damage.',0,1),
(155580,310013,10,100,'Decreases Threat to target by 6,609 - 11,016 ',0,0),
(155581,310013,10,100,'Caster is immune to riposte damage.',0,1),
(155582,310014,1,100,'Caster is immune to riposte damage.',0,1),
(155583,310014,4,100,'Caster is immune to riposte damage.',0,1),
(155584,310014,5,100,'Caster is immune to riposte damage.',0,1),
(155585,310014,7,100,'Caster is immune to riposte damage.',0,1),
(155586,310014,9,100,'Caster is immune to riposte damage.',0,1),
(155587,310014,10,100,'Decreases Threat to target by 7,871 - 13,119 ',0,0),
(155588,310014,10,100,'Caster is immune to riposte damage.',0,1),
(155589,310014,11,100,'Decreases Threat to target by 9,464 - 15,774 ',0,0),
(155590,310014,11,100,'Caster is immune to riposte damage.',0,1),
(155591,310015,10,100,'Inflicts 31 - 52 melee damage on target',0,0),
(155592,310018,10,100,'Inflicts 11 - 18 melee damage on target',0,0),
(155593,310020,10,100,'Inflicts 27 - 45 melee damage on target',0,0),
(155594,310020,10,100,'Must be flanking or behind',0,1),
(155595,320000,10,100,'Inflicts 87 - 145 melee damage on target',0,0),
(155596,320000,10,100,'Decreases AGI of target by 13.4',0,1),
(155597,320000,10,100,'Must be flanking or behind',0,2),
(155600,320002,10,100,'Interrupts targets in Area of Effect',0,0),
(155601,320002,10,100,'Inflicts 16 - 22 melee damage on targets in Area of Effect',0,1),
(155603,320003,1,100,'Decreases Defense of caster by 3.9',0,7),
(155604,320003,1,100,'Increases Piercing, Slashing, Ranged and Crushing of caster by 5.3',0,8),
(155606,320003,2,100,'Decreases Defense of caster by 3.9',0,7),
(155607,320003,2,100,'Increases Piercing, Slashing, Ranged and Crushing of caster by 5.6',0,8),
(155609,320003,3,100,'Decreases Defense of caster by 3.9',0,7),
(155610,320003,3,100,'Increases Piercing, Slashing, Ranged and Crushing of caster by 5.8',0,8),
(155612,320003,4,100,'Decreases Defense of caster by 3.9',0,7),
(155613,320003,4,100,'Increases Piercing, Slashing, Ranged and Crushing of caster by 6.4',0,8),
(155615,320003,5,100,'Decreases Defense of caster by 3.9',0,7),
(155616,320003,5,100,'Increases Piercing, Slashing, Ranged and Crushing of caster by 7.0',0,8),
(155618,320003,7,100,'Decreases Defense of caster by 3.9',0,7),
(155619,320003,7,100,'Increases Piercing, Slashing, Ranged and Crushing of caster by 9.0',0,8),
(155621,320003,9,100,'Decreases Defense of caster by 3.9',0,7),
(155622,320003,9,100,'Increases Piercing, Slashing, Ranged and Crushing of caster by 9.4',0,8),
(155623,320003,10,100,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(155627,320003,10,100,'Interrupts target',1,4),
(155628,320003,10,100,'Inflicts 99 melee damage on target',1,5),
(155630,320003,10,100,'Decreases Defense of caster by 3.9',0,7),
(155631,320003,10,100,'Increases Piercing, Slashing, Ranged and Crushing of caster by 9.8',0,8),
(155632,320004,1,100,'Increases Fervor of caster by 5.0',0,6),
(155633,320004,1,100,'Decreases Defense of caster by 8.1',0,7),
(155634,320004,1,100,'Increases Piercing, Slashing, Ranged and Crushing of caster by 10.9',0,8),
(155635,320004,2,100,'Increases Fervor of caster by 5.0',0,6),
(155636,320004,2,100,'Decreases Defense of caster by 8.1',0,7),
(155637,320004,2,100,'Increases Piercing, Slashing, Ranged and Crushing of caster by 11.5',0,8),
(155638,320004,3,100,'Increases Fervor of caster by 5.0',0,6),
(155639,320004,3,100,'Decreases Defense of caster by 8.1',0,7),
(155640,320004,3,100,'Increases Piercing, Slashing, Ranged and Crushing of caster by 12.1',0,8),
(155641,320004,4,100,'Increases Fervor of caster by 5.0',0,6),
(155642,320004,4,100,'Decreases Defense of caster by 8.1',0,7),
(155643,320004,4,100,'Increases Piercing, Slashing, Ranged and Crushing of caster by 13.4',0,8),
(155644,320004,5,100,'Increases Fervor of caster by 5.0',0,6),
(155645,320004,5,100,'Decreases Defense of caster by 8.1',0,7),
(155646,320004,5,100,'Increases Piercing, Slashing, Ranged and Crushing of caster by 14.6',0,8),
(155647,320004,7,100,'Increases Fervor of caster by 5.0',0,6),
(155648,320004,7,100,'Decreases Defense of caster by 8.1',0,7),
(155649,320004,7,100,'Increases Piercing, Slashing, Ranged and Crushing of caster by 18.7',0,8),
(155650,320004,9,100,'Increases Fervor of caster by 5.0',0,6),
(155651,320004,9,100,'Decreases Defense of caster by 8.1',0,7),
(155652,320004,9,100,'Increases Piercing, Slashing, Ranged and Crushing of caster by 19.4',0,8),
(155653,320004,10,100,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(155654,320004,10,100,'Interrupts target',1,1),
(155655,320004,10,100,'Inflicts 43 melee damage on target',1,2),
(155656,320004,10,100,'On a hostile ability cast this spell will cast Interrupt on target of spell.  ',0,3),
(155657,320004,10,100,'Interrupts target',1,4),
(155658,320004,10,100,'Inflicts 213 melee damage on target',1,5),
(155659,320004,10,100,'Increases Fervor of caster by 5.0',0,6),
(155660,320004,10,100,'Decreases Defense of caster by 8.1',0,7),
(155661,320004,10,100,'Increases Piercing, Slashing, Ranged and Crushing of caster by 20.4',0,8),
(155662,320005,1,100,'Increases Fervor of caster by 5.0',0,6),
(155663,320005,1,100,'Decreases Defense of caster by 12.3',0,7),
(155664,320005,1,100,'Increases Piercing, Slashing, Ranged and Crushing of caster by 16.6',0,8),
(155665,320005,2,100,'Increases Fervor of caster by 5.0',0,6),
(155666,320005,2,100,'Decreases Defense of caster by 12.3',0,7),
(155667,320005,2,100,'Increases Piercing, Slashing, Ranged and Crushing of caster by 17.5',0,8),
(155668,320005,3,100,'Increases Fervor of caster by 5.0',0,6),
(155669,320005,3,100,'Decreases Defense of caster by 12.3',0,7),
(155670,320005,3,100,'Increases Piercing, Slashing, Ranged and Crushing of caster by 18.5',0,8),
(155671,320005,4,100,'Increases Fervor of caster by 5.0',0,6),
(155672,320005,4,100,'Decreases Defense of caster by 12.3',0,7),
(155673,320005,4,100,'Increases Piercing, Slashing, Ranged and Crushing of caster by 20.3',0,8),
(155674,320005,5,100,'Increases Fervor of caster by 5.0',0,6),
(155675,320005,5,100,'Decreases Defense of caster by 12.3',0,7),
(155676,320005,5,100,'Increases Piercing, Slashing, Ranged and Crushing of caster by 22.1',0,8),
(155677,320005,7,100,'Increases Fervor of caster by 5.0',0,6),
(155678,320005,7,100,'Decreases Defense of caster by 12.3',0,7),
(155679,320005,7,100,'Increases Piercing, Slashing, Ranged and Crushing of caster by 28.4',0,8),
(155680,320005,9,100,'Increases Fervor of caster by 5.0',0,6),
(155681,320005,9,100,'Decreases Defense of caster by 12.3',0,7),
(155682,320005,9,100,'Increases Piercing, Slashing, Ranged and Crushing of caster by 29.5',0,8),
(155683,320005,10,100,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(155684,320005,10,100,'Interrupts target',1,1),
(155685,320005,10,100,'Inflicts 69 melee damage on target',1,2),
(155686,320005,10,100,'On a hostile ability cast this spell will cast Interrupt on target of spell.  ',0,3),
(155687,320005,10,100,'Interrupts target',1,4),
(155688,320005,10,100,'Inflicts 339 melee damage on target',1,5),
(155689,320005,10,100,'Increases Fervor of caster by 5.0',0,6),
(155690,320005,10,100,'Decreases Defense of caster by 12.3',0,7),
(155691,320005,10,100,'Increases Piercing, Slashing, Ranged and Crushing of caster by 31.0',0,8),
(155692,320006,1,100,'Increases Fervor of caster by 5.0',0,6),
(155693,320006,1,100,'Decreases Defense of caster by 16.5',0,7),
(155694,320006,1,100,'Increases Piercing, Slashing, Ranged and Crushing of caster by 22.3',0,8),
(155695,320006,2,100,'Increases Fervor of caster by 5.0',0,6),
(155696,320006,2,100,'Decreases Defense of caster by 16.5',0,7),
(155697,320006,2,100,'Increases Piercing, Slashing, Ranged and Crushing of caster by 23.5',0,8),
(155698,320006,3,100,'Increases Fervor of caster by 5.0',0,6),
(155699,320006,3,100,'Decreases Defense of caster by 16.5',0,7),
(155700,320006,3,100,'Increases Piercing, Slashing, Ranged and Crushing of caster by 24.8',0,8),
(155701,320006,4,100,'Increases Fervor of caster by 5.0',0,6),
(155702,320006,4,100,'Decreases Defense of caster by 16.5',0,7),
(155703,320006,4,100,'Increases Piercing, Slashing, Ranged and Crushing of caster by 27.2',0,8),
(155704,320006,5,100,'Increases Fervor of caster by 5.0',0,6),
(155705,320006,5,100,'Decreases Defense of caster by 16.5',0,7),
(155706,320006,5,100,'Increases Piercing, Slashing, Ranged and Crushing of caster by 29.7',0,8),
(155707,320006,7,100,'Increases Fervor of caster by 5.0',0,6),
(155708,320006,7,100,'Decreases Defense of caster by 16.5',0,7),
(155709,320006,7,100,'Increases Piercing, Slashing, Ranged and Crushing of caster by 38.1',0,8),
(155710,320006,9,100,'Increases Fervor of caster by 5.0',0,6),
(155711,320006,9,100,'Decreases Defense of caster by 16.5',0,7),
(155712,320006,9,100,'Increases Piercing, Slashing, Ranged and Crushing of caster by 39.6',0,8),
(155713,320006,10,100,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(155714,320006,10,100,'Interrupts target',1,1),
(155715,320006,10,100,'Inflicts 101 melee damage on target',1,2),
(155716,320006,10,100,'On a hostile ability cast this spell will cast Interrupt on target of spell.  ',0,3),
(155717,320006,10,100,'Interrupts target',1,4),
(155718,320006,10,100,'Inflicts 495 melee damage on target',1,5),
(155719,320006,10,100,'Increases Fervor of caster by 5.0',0,6),
(155720,320006,10,100,'Decreases Defense of caster by 16.5',0,7),
(155721,320006,10,100,'Increases Piercing, Slashing, Ranged and Crushing of caster by 41.6',0,8),
(155722,320007,1,100,'Increases Fervor of caster by 5.0',0,6),
(155723,320007,1,100,'Decreases Defense of caster by 20.7',0,7),
(155724,320007,1,100,'Increases Piercing, Slashing, Ranged and Crushing of caster by 27.9',0,8),
(155725,320007,2,100,'Increases Fervor of caster by 5.0',0,6),
(155726,320007,2,100,'Decreases Defense of caster by 20.7',0,7),
(155727,320007,2,100,'Increases Piercing, Slashing, Ranged and Crushing of caster by 29.5',0,8),
(155728,320007,3,100,'Increases Fervor of caster by 5.0',0,6),
(155729,320007,3,100,'Decreases Defense of caster by 20.7',0,7),
(155730,320007,3,100,'Increases Piercing, Slashing, Ranged and Crushing of caster by 31.0',0,8),
(155731,320007,4,100,'Increases Fervor of caster by 5.0',0,6),
(155732,320007,4,100,'Decreases Defense of caster by 20.7',0,7),
(155733,320007,4,100,'Increases Piercing, Slashing, Ranged and Crushing of caster by 34.2',0,8),
(155734,320007,5,100,'Increases Fervor of caster by 5.0',0,6),
(155735,320007,5,100,'Decreases Defense of caster by 20.7',0,7),
(155736,320007,5,100,'Increases Piercing, Slashing, Ranged and Crushing of caster by 37.3',0,8),
(155737,320007,7,100,'Increases Fervor of caster by 5.0',0,6),
(155738,320007,7,100,'Decreases Defense of caster by 20.7',0,7),
(155739,320007,7,100,'Increases Piercing, Slashing, Ranged and Crushing of caster by 47.8',0,8),
(155740,320007,9,100,'Increases Fervor of caster by 5.0',0,6),
(155741,320007,9,100,'Decreases Defense of caster by 20.7',0,7),
(155742,320007,9,100,'Increases Piercing, Slashing, Ranged and Crushing of caster by 49.7',0,8),
(155743,320007,10,100,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(155744,320007,10,100,'Interrupts target',1,1),
(155745,320007,10,100,'Inflicts 133 melee damage on target',1,2),
(155746,320007,10,100,'On a hostile ability cast this spell will cast Interrupt on target of spell.  ',0,3),
(155747,320007,10,100,'Interrupts target',1,4),
(155748,320007,10,100,'Inflicts 650 melee damage on target',1,5),
(155749,320007,10,100,'Increases Fervor of caster by 5.0',0,6),
(155750,320007,10,100,'Decreases Defense of caster by 20.7',0,7),
(155751,320007,10,100,'Increases Piercing, Slashing, Ranged and Crushing of caster by 52.2',0,8),
(155752,320008,1,100,'Increases Fervor of caster by 5.0',0,6),
(155753,320008,1,100,'Decreases Defense of caster by 24.6',0,7),
(155754,320008,1,100,'Increases Piercing, Slashing, Ranged and Crushing of caster by 33.2',0,8),
(155755,320008,2,100,'Increases Fervor of caster by 5.0',0,6),
(155756,320008,2,100,'Decreases Defense of caster by 24.6',0,7),
(155757,320008,2,100,'Increases Piercing, Slashing, Ranged and Crushing of caster by 35.1',0,8),
(155758,320008,3,100,'Increases Fervor of caster by 5.0',0,6),
(155759,320008,3,100,'Decreases Defense of caster by 24.6',0,7),
(155760,320008,3,100,'Increases Piercing, Slashing, Ranged and Crushing of caster by 36.9',0,8),
(155761,320008,4,100,'Increases Fervor of caster by 5.0',0,6),
(155762,320008,4,100,'Decreases Defense of caster by 24.6',0,7),
(155763,320008,4,100,'Increases Piercing, Slashing, Ranged and Crushing of caster by 40.6',0,8),
(155764,320008,5,100,'Increases Fervor of caster by 5.0',0,6),
(155765,320008,5,100,'Decreases Defense of caster by 24.6',0,7),
(155766,320008,5,100,'Increases Piercing, Slashing, Ranged and Crushing of caster by 44.3',0,8),
(155767,320008,7,100,'Increases Fervor of caster by 5.0',0,6),
(155768,320008,7,100,'Decreases Defense of caster by 24.6',0,7),
(155769,320008,7,100,'Increases Piercing, Slashing, Ranged and Crushing of caster by 56.8',0,8),
(155770,320008,9,100,'Increases Fervor of caster by 5.0',0,6),
(155771,320008,9,100,'Decreases Defense of caster by 24.6',0,7),
(155772,320008,9,100,'Increases Piercing, Slashing, Ranged and Crushing of caster by 59.0',0,8),
(155773,320008,10,100,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(155774,320008,10,100,'Interrupts target',1,1),
(155775,320008,10,100,'Inflicts 161 melee damage on target',1,2),
(155776,320008,10,100,'On a hostile ability cast this spell will cast Interrupt on target of spell.  ',0,3),
(155777,320008,10,100,'Interrupts target',1,4),
(155778,320008,10,100,'Inflicts 788 melee damage on target',1,5),
(155779,320008,10,100,'Increases Fervor of caster by 5.0',0,6),
(155780,320008,10,100,'Decreases Defense of caster by 24.6',0,7),
(155781,320008,10,100,'Increases Piercing, Slashing, Ranged and Crushing of caster by 62.0',0,8),
(155782,320009,1,100,'Increases Fervor of caster by 5.0',0,6),
(155783,320009,1,100,'Decreases Defense of caster by 28.6',0,7),
(155784,320009,1,100,'Increases Piercing, Slashing, Ranged and Crushing of caster by 39.8',0,8),
(155785,320009,4,100,'Increases Fervor of caster by 5.0',0,6),
(155786,320009,4,100,'Decreases Defense of caster by 28.6',0,7),
(155787,320009,4,100,'Increases Piercing, Slashing, Ranged and Crushing of caster by 48.7',0,8),
(155788,320009,5,100,'Increases Fervor of caster by 5.0',0,6),
(155789,320009,5,100,'Decreases Defense of caster by 28.6',0,7),
(155790,320009,5,100,'Increases Piercing, Slashing, Ranged and Crushing of caster by 53.1',0,8),
(155791,320009,7,100,'Increases Fervor of caster by 5.0',0,6),
(155792,320009,7,100,'Decreases Defense of caster by 28.6',0,7),
(155793,320009,7,100,'Increases Piercing, Slashing, Ranged and Crushing of caster by 68.1',0,8),
(155794,320009,9,100,'Increases Fervor of caster by 5.0',0,6),
(155795,320009,9,100,'Decreases Defense of caster by 28.6',0,7),
(155796,320009,9,100,'Increases Piercing, Slashing, Ranged and Crushing of caster by 70.8',0,8),
(155797,320009,10,100,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(155798,320009,10,100,'Interrupts target',1,1),
(155799,320009,10,100,'Inflicts 194 melee damage on target',1,2),
(155800,320009,10,100,'On a hostile ability cast this spell will cast Interrupt on target of spell.  ',0,3),
(155801,320009,10,100,'Interrupts target',1,4),
(155802,320009,10,100,'Inflicts 949 melee damage on target',1,5),
(155803,320009,10,100,'Increases Fervor of caster by 5.0',0,6),
(155804,320009,10,100,'Decreases Defense of caster by 28.6',0,7),
(155805,320009,10,100,'Increases Piercing, Slashing, Ranged and Crushing of caster by 74.3',0,8),
(155806,320010,1,100,'Increases Fervor of caster by 5.0',0,6),
(155807,320010,1,100,'Decreases Defense of caster by 32.6',0,7),
(155808,320010,1,100,'Increases Piercing, Slashing, Ranged and Crushing of caster by 46.6',0,8),
(155809,320010,4,100,'Increases Fervor of caster by 5.0',0,6),
(155810,320010,4,100,'Decreases Defense of caster by 32.6',0,7),
(155811,320010,4,100,'Increases Piercing, Slashing, Ranged and Crushing of caster by 56.9',0,8),
(155812,320010,5,100,'Increases Fervor of caster by 5.0',0,6),
(155813,320010,5,100,'Decreases Defense of caster by 32.6',0,7),
(155814,320010,5,100,'Increases Piercing, Slashing, Ranged and Crushing of caster by 62.1',0,8),
(155815,320010,7,100,'Increases Fervor of caster by 5.0',0,6),
(155816,320010,7,100,'Decreases Defense of caster by 32.6',0,7),
(155817,320010,7,100,'Increases Piercing, Slashing, Ranged and Crushing of caster by 79.7',0,8),
(155818,320010,9,100,'Increases Fervor of caster by 5.0',0,6),
(155819,320010,9,100,'Decreases Defense of caster by 32.6',0,7),
(155820,320010,9,100,'Increases Piercing, Slashing, Ranged and Crushing of caster by 82.8',0,8),
(155821,320010,10,100,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(155822,320010,10,100,'Interrupts target',1,1),
(155823,320010,10,100,'Inflicts 270 melee damage on target',1,2),
(155824,320010,10,100,'On a hostile ability cast this spell will cast Interrupt on target of spell.  ',0,3),
(155825,320010,10,100,'Interrupts target',1,4),
(155826,320010,10,100,'Inflicts 1323 melee damage on target',1,5),
(155827,320010,10,100,'Increases Fervor of caster by 5.0',0,6),
(155828,320010,10,100,'Decreases Defense of caster by 32.6',0,7),
(155829,320010,10,100,'Increases Piercing, Slashing, Ranged and Crushing of caster by 86.9',0,8),
(155830,320010,11,100,'On a melee hit this spell may cast Interrupt on target of attack.  Triggers about 6.0 times per minute. ',0,0),
(155831,320010,11,100,'Interrupts target',1,1),
(155832,320010,11,100,'Inflicts 325 melee damage on target',1,2),
(155833,320010,11,100,'On a hostile ability cast this spell will cast Interrupt on target of spell.  ',0,3),
(155834,320010,11,100,'Interrupts target',1,4),
(155835,320010,11,100,'Inflicts 1591 melee damage on target',1,5),
(155836,320010,11,100,'Increases Fervor of caster by 5.0',0,6),
(155837,320010,11,100,'Decreases Defense of caster by 32.6',0,7),
(155838,320010,11,100,'Increases Piercing, Slashing, Ranged and Crushing of caster by 104.5',0,8),
(155839,320011,10,100,'Interrupts target',0,0),
(155840,320011,10,100,'Inflicts 97 - 163 melee damage on target',0,1),
(155841,320011,10,100,'Must be flanking or behind',0,2),
(155843,320012,10,100,'Increases Parry of caster by 9.1',0,0),
(155845,320013,10,100,'Inflicts 103 - 172 melee damage on target',0,0),
(155846,320013,10,100,'Decreases Parry of target by 22.7',0,1),
(155847,320013,10,100,'Must be in front of or flanking',0,2),
(155848,320014,10,100,'Inflicts 45 - 76 melee damage on target',0,0),
(155849,320014,10,100,'Inflicts 45 - 76 melee damage on target',0,1),
(155850,320015,10,100,'Increases Multi Attack of caster by 50.9',0,0),
(155851,320016,10,100,'On any combat or spell hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(155852,320016,10,100,'Decreases Threat to target by 1,169 ',1,1),
(155853,320017,10,100,'Applies Lie Low on termination.  Lasts for 12 hours.',0,0),
(155854,320017,10,100,'Grants stealth to caster',1,1),
(155855,320017,10,100,'Suspends caster''s movement speed enhancements',1,2),
(155856,320017,10,100,'Decreases threat priority of target by 1 position',0,3),
(155857,320017,10,100,'Decreases Threat to target by 1,915 ',0,4),
(155858,320018,10,100,'Applies Lie Low on termination.  Lasts for 12 hours.',0,0),
(155859,320018,10,100,'Grants stealth to caster',1,1),
(155860,320018,10,100,'Suspends caster''s movement speed enhancements',1,2),
(155861,320018,10,100,'Decreases threat priority of target by 1 position',0,3),
(155862,320018,10,100,'Decreases Threat to target by 3,685 ',0,4),
(155863,320019,10,100,'Applies Lie Low on termination.  Lasts for 12 hours.',0,0),
(155864,320019,10,100,'Grants stealth to caster',1,1),
(155865,320019,10,100,'Suspends caster''s movement speed enhancements',1,2),
(155866,320019,10,100,'Decreases threat priority of target by 1 position',0,3),
(155867,320019,10,100,'Decreases Threat to target by 5,794 ',0,4),
(155868,320020,10,100,'Applies Lie Low on termination.  Lasts for 12 hours.',0,0),
(155869,320020,10,100,'Grants stealth to caster',1,1),
(155870,320020,10,100,'Suspends caster''s movement speed enhancements',1,2),
(155871,320020,10,100,'Decreases threat priority of target by 1 position',0,3),
(155872,320020,10,100,'Decreases Threat to target by 8,245 ',0,4),
(155880,320024,10,100,'Increases AGI of caster by 18.6',0,0),
(155881,320024,10,100,'Increases STR of caster by 28.0',0,1),
(155882,330000,10,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(155883,330000,10,100,'Slows target by 55.8%',1,1),
(155884,330000,10,100,'5% chance to dispel when target receives hostile action',1,2),
(155885,330000,10,100,'5% chance to dispel when target takes damage',1,3),
(155886,330000,10,100,'Inflicts 59 - 99 cold damage on target',0,4),
(155887,330000,10,100,'Inflicts 59 - 99 cold damage on target',0,5),
(155888,330000,10,100,'If weapon equipped in Ranged',0,6),
(155889,330001,10,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(155890,330001,10,100,'Slows target by 60.5%',1,1),
(155891,330001,10,100,'5% chance to dispel when target receives hostile action',1,2),
(155892,330001,10,100,'5% chance to dispel when target takes damage',1,3),
(155893,330001,10,100,'Inflicts 118 - 197 cold damage on target',0,4),
(155894,330001,10,100,'Inflicts 118 - 197 cold damage on target',0,5),
(155895,330001,10,100,'If weapon equipped in Ranged',0,6),
(155896,330002,10,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(155897,330002,10,100,'Slows target by 65.2%',1,1),
(155898,330002,10,100,'5% chance to dispel when target receives hostile action',1,2),
(155899,330002,10,100,'5% chance to dispel when target takes damage',1,3),
(155900,330002,10,100,'Inflicts 184 - 307 cold damage on target',0,4),
(155901,330002,10,100,'Inflicts 184 - 307 cold damage on target',0,5),
(155902,330002,10,100,'If weapon equipped in Ranged',0,6),
(155903,330003,10,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(155904,330003,10,100,'Slows target by 67.7%',1,1),
(155905,330003,10,100,'5% chance to dispel when target receives hostile action',1,2),
(155906,330003,10,100,'5% chance to dispel when target takes damage',1,3),
(155907,330003,10,100,'Inflicts 261 - 435 cold damage on target',0,4),
(155908,330003,10,100,'Inflicts 261 - 435 cold damage on target',0,5),
(155909,330003,10,100,'If weapon equipped in Ranged',0,6),
(155910,330004,10,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(155911,330004,10,100,'Slows target by 68.6%',1,1),
(155912,330004,10,100,'5% chance to dispel when target receives hostile action',1,2),
(155913,330004,10,100,'5% chance to dispel when target takes damage',1,3),
(155914,330004,10,100,'Inflicts 334 - 556 cold damage on target',0,4),
(155915,330004,10,100,'Inflicts 334 - 556 cold damage on target',0,5),
(155916,330004,10,100,'If weapon equipped in Ranged',0,6),
(155917,330005,10,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(155918,330005,10,100,'Slows target by 69.3%',1,1),
(155919,330005,10,100,'5% chance to dispel when target receives hostile action',1,2),
(155920,330005,10,100,'5% chance to dispel when target takes damage',1,3),
(155921,330005,10,100,'Inflicts 404 - 674 cold damage on target',0,4),
(155922,330005,10,100,'Inflicts 404 - 674 cold damage on target',0,5),
(155923,330005,10,100,'If weapon equipped in Ranged',0,6),
(155924,330006,10,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(155925,330006,10,100,'Slows target by 70.0%',1,1),
(155926,330006,10,100,'5% chance to dispel when target receives hostile action',1,2),
(155927,330006,10,100,'5% chance to dispel when target takes damage',1,3),
(155928,330006,10,100,'Inflicts 480 - 800 cold damage on target',0,4),
(155929,330006,10,100,'Inflicts 480 - 800 cold damage on target',0,5),
(155930,330006,10,100,'If weapon equipped in Ranged',0,6),
(155931,330006,11,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(155932,330006,11,100,'Slows target by 84.1%',1,1),
(155933,330006,11,100,'5% chance to dispel when target receives hostile action',1,2),
(155934,330006,11,100,'5% chance to dispel when target takes damage',1,3),
(155935,330006,11,100,'Inflicts 577 - 962 cold damage on target',0,4),
(155936,330006,11,100,'Inflicts 577 - 962 cold damage on target',0,5),
(155937,330006,11,100,'If weapon equipped in Ranged',0,6),
(155938,330007,10,100,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(155939,330007,10,100,'Decreases Threat to target by 292 ',1,1),
(155940,330008,10,100,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(155941,330008,10,100,'Decreases Threat to target by 577 ',1,1),
(155942,330009,10,100,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(155943,330009,10,100,'Decreases Threat to target by 918 ',1,1),
(155944,330010,10,100,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(155945,330010,10,100,'Decreases Threat to target by 1,323 ',1,1),
(155946,330011,10,100,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(155947,330011,10,100,'Decreases Threat to target by 1,740 ',1,1),
(155948,330012,10,100,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(155949,330012,10,100,'Decreases Threat to target by 2,161 ',1,1),
(155950,330013,10,100,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(155951,330013,10,100,'Decreases Threat to target by 2,581 ',1,1),
(155952,330013,11,100,'On a melee hit this spell may cast Evade on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(155953,330013,11,100,'Decreases Threat to target by 3,104 ',1,1),
(155954,330015,10,100,'Increases STA of caster by 1.3',0,0),
(155955,330015,10,100,'Increases AGI of caster by 52.7',0,1),
(155956,330015,10,100,'Adds 26.2% to base avoidance.',0,2),
(155957,330015,10,100,'Increases Mitigation of caster vs physical damage by 544',0,3),
(155958,330015,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 708',0,4),
(155959,330017,10,100,'Increases STA of caster by 1.3',0,0),
(155960,330017,10,100,'Increases AGI of caster by 108.4',0,1),
(155961,330017,10,100,'Adds 26.2% to base avoidance.',0,2),
(155962,330017,10,100,'Increases Mitigation of caster vs physical damage by 1109',0,3),
(155963,330017,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1441',0,4),
(155964,330018,10,100,'Increases STA of caster by 1.3',0,0),
(155965,330018,10,100,'Increases AGI of caster by 136.6',0,1),
(155966,330018,10,100,'Adds 26.2% to base avoidance.',0,2),
(155967,330018,10,100,'Increases Mitigation of caster vs physical damage by 1391',0,3),
(155968,330018,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1808',0,4),
(155969,330019,10,100,'Increases STA of caster by 1.3',0,0),
(155970,330019,10,100,'Increases AGI of caster by 163.5',0,1),
(155971,330019,10,100,'Adds 26.2% to base avoidance.',0,2),
(155972,330019,10,100,'Increases Mitigation of caster vs physical damage by 1593',0,3),
(155973,330019,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2070',0,4),
(155974,330020,10,100,'Increases STA of caster by 1.3',0,0),
(155975,330020,10,100,'Increases AGI of caster by 191.3',0,1),
(155976,330020,10,100,'Adds 26.2% to base avoidance.',0,2),
(155977,330020,10,100,'Increases Mitigation of caster vs physical damage by 1794',0,3),
(155978,330020,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2333',0,4),
(155979,330021,10,100,'Increases STA of caster by 1.3',0,0),
(155980,330021,10,100,'Increases AGI of caster by 219.0',0,1),
(155981,330021,10,100,'Adds 34.1% to base avoidance.',0,2),
(155982,330021,10,100,'Increases Mitigation of caster vs physical damage by 2595',0,3),
(155983,330021,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 3373',0,4),
(155984,330021,11,100,'Increases STA of caster by 1.5',0,0),
(155985,330021,11,100,'Increases AGI of caster by 263.3',0,1),
(155986,330021,11,100,'Adds 41.0% to base avoidance.',0,2),
(155987,330021,11,100,'Increases Mitigation of caster vs physical damage by 3120',0,3),
(155988,330021,11,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 4056',0,4),
(155995,330023,11,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(155996,330023,11,100,'Throws target back',1,1),
(155997,330023,11,100,'Blurs vision of target',1,2),
(155998,330023,11,100,'Stuns target',1,3),
(155999,330023,11,100,'Does not affect Epic targets',1,4),
(156000,330023,11,100,'Inflicts 372 - 620 melee damage on targets in Area of Effect',0,5),
(156001,330024,11,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(156002,330024,11,100,'Throws target back',1,1),
(156003,330024,11,100,'Blurs vision of target',1,2),
(156004,330024,11,100,'Stuns target',1,3),
(156005,330024,11,100,'Does not affect Epic targets',1,4),
(156006,330024,11,100,'Inflicts 564 - 941 melee damage on targets in Area of Effect',0,5),
(156007,330025,11,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(156008,330025,11,100,'Throws target back',1,1),
(156009,330025,11,100,'Blurs vision of target',1,2),
(156010,330025,11,100,'Stuns target',1,3),
(156011,330025,11,100,'Does not affect Epic targets',1,4),
(156012,330025,11,100,'Inflicts 775 - 1291 melee damage on targets in Area of Effect',0,5),
(156013,330026,10,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(156014,330026,10,100,'Throws target back',1,1),
(156015,330026,10,100,'Blurs vision of target',1,2),
(156016,330026,10,100,'Stuns target',1,3),
(156017,330026,10,100,'Does not affect Epic targets',1,4),
(156018,330026,10,100,'Inflicts 807 - 1346 melee damage on targets in Area of Effect',0,5),
(156019,330026,11,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(156020,330026,11,100,'Throws target back',1,1),
(156021,330026,11,100,'Blurs vision of target',1,2),
(156022,330026,11,100,'Stuns target',1,3),
(156023,330026,11,100,'Does not affect Epic targets',1,4),
(156024,330026,11,100,'Inflicts 971 - 1618 melee damage on targets in Area of Effect',0,5),
(156025,330027,11,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(156026,330027,11,100,'Throws target back',1,1),
(156027,330027,11,100,'Blurs vision of target',1,2),
(156028,330027,11,100,'Stuns target',1,3),
(156029,330027,11,100,'Does not affect Epic targets',1,4),
(156030,330027,11,100,'Inflicts 1173 - 1955 melee damage on targets in Area of Effect',0,5),
(156031,330028,11,100,'Applies Knockdown.  Lasts for 1.5 seconds.',0,0),
(156032,330028,11,100,'Throws target back',1,1),
(156033,330028,11,100,'Blurs vision of target',1,2),
(156034,330028,11,100,'Stuns target',1,3),
(156035,330028,11,100,'Does not affect Epic targets',1,4),
(156036,330028,11,100,'Inflicts 1738 - 2898 melee damage on targets in Area of Effect',0,5),
(156037,330029,10,100,'Inflicts 237 - 290 melee damage on target',0,0),
(156038,330029,10,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(156039,330029,10,100,'Increases Hate Gain of target by 30.0%',1,2),
(156040,330029,10,100,'Grants a total of 1 trigger of the spell.',1,3),
(156041,330030,10,100,'Inflicts 370 - 452 melee damage on target',0,0),
(156042,330030,10,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(156043,330030,10,100,'Increases Hate Gain of target by 30.0%',1,2),
(156044,330030,10,100,'Grants a total of 1 trigger of the spell.',1,3),
(156045,330031,10,100,'Inflicts 524 - 640 melee damage on target',0,0),
(156046,330031,10,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(156047,330031,10,100,'Increases Hate Gain of target by 30.0%',1,2),
(156048,330031,10,100,'Grants a total of 1 trigger of the spell.',1,3),
(156049,330033,10,100,'Inflicts 828 - 1012 melee damage on target',0,0),
(156050,330033,10,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(156051,330033,10,100,'Increases Hate Gain of target by 30.0%',1,2),
(156052,330033,10,100,'Grants a total of 1 trigger of the spell.',1,3),
(156053,330034,10,100,'Inflicts 969 - 1184 melee damage on target',0,0),
(156054,330034,10,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(156055,330034,10,100,'Increases Hate Gain of target by 30.0%',1,2),
(156056,330034,10,100,'Grants a total of 1 trigger of the spell.',1,3),
(156057,330034,11,100,'Inflicts 1165 - 1424 melee damage on target',0,0),
(156058,330034,11,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(156059,330034,11,100,'Increases Hate Gain of target by 30.0%',1,2),
(156060,330034,11,100,'Grants a total of 1 trigger of the spell.',1,3),
(156061,330035,10,100,'Mesmerizes target',0,0),
(156062,330035,10,100,'Prevents AOE (except when direct) ',0,1),
(156063,330035,10,100,'Dispelled when target takes damage',0,2),
(156064,330035,10,100,'Does not affect Epic targets',0,3),
(156065,330035,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(156066,330037,10,100,'Mesmerizes target',0,0),
(156067,330037,10,100,'Prevents AOE (except when direct) ',0,1),
(156068,330037,10,100,'Dispelled when target takes damage',0,2),
(156069,330037,10,100,'Does not affect Epic targets',0,3),
(156070,330037,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(156071,330038,10,100,'Mesmerizes target',0,0),
(156072,330038,10,100,'Prevents AOE (except when direct) ',0,1),
(156073,330038,10,100,'Dispelled when target takes damage',0,2),
(156074,330038,10,100,'Does not affect Epic targets',0,3),
(156075,330038,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(156076,330039,10,100,'Mesmerizes target',0,0),
(156077,330039,10,100,'Prevents AOE (except when direct) ',0,1),
(156078,330039,10,100,'Dispelled when target takes damage',0,2),
(156079,330039,10,100,'Does not affect Epic targets',0,3),
(156080,330039,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(156081,330040,10,100,'Mesmerizes target',0,0),
(156082,330040,10,100,'Prevents AOE (except when direct) ',0,1),
(156083,330040,10,100,'Dispelled when target takes damage',0,2),
(156084,330040,10,100,'Does not affect Epic targets',0,3),
(156085,330040,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(156086,330041,1,100,'Decreases Defense of target by 2.0',0,2),
(156087,330041,2,100,'Decreases Defense of target by 2.1',0,2),
(156088,330041,3,100,'Decreases Defense of target by 2.2',0,2),
(156089,330041,4,100,'Decreases Defense of target by 2.4',0,2),
(156090,330041,5,100,'Decreases Defense of target by 2.6',0,2),
(156091,330041,7,100,'Decreases Defense of target by 3.4',0,2),
(156092,330041,9,100,'Decreases Defense of target by 3.5',0,2),
(156093,330041,10,100,'Increases elemental damage done to target by up to 3.',0,0),
(156094,330041,10,100,'Decreases WIS of target by 11.4',0,1),
(156095,330041,10,100,'Decreases Defense of target by 3.7',0,2),
(156096,330042,1,100,'Decreases Defense of target by 5.9',0,2),
(156097,330042,2,100,'Decreases Defense of target by 6.3',0,2),
(156098,330042,3,100,'Decreases Defense of target by 6.6',0,2),
(156099,330042,4,100,'Decreases Defense of target by 7.3',0,2),
(156100,330042,5,100,'Decreases Defense of target by 7.9',0,2),
(156101,330042,7,100,'Decreases Defense of target by 10.2',0,2),
(156102,330042,9,100,'Decreases Defense of target by 10.6',0,2),
(156103,330042,10,100,'Increases elemental damage done to target by up to 3.',0,0),
(156104,330042,10,100,'Decreases WIS of target by 29.2',0,1),
(156105,330042,10,100,'Decreases Defense of target by 11.1',0,2),
(156106,330043,1,100,'Decreases Defense of target by 9.7',0,2),
(156107,330043,2,100,'Decreases Defense of target by 10.3',0,2),
(156108,330043,3,100,'Decreases Defense of target by 10.8',0,2),
(156109,330043,4,100,'Decreases Defense of target by 11.9',0,2),
(156110,330043,5,100,'Decreases Defense of target by 13.0',0,2),
(156111,330043,7,100,'Decreases Defense of target by 16.6',0,2),
(156112,330043,9,100,'Decreases Defense of target by 17.3',0,2),
(156113,330043,10,100,'Increases elemental damage done to target by up to 3.',0,0),
(156114,330043,10,100,'Decreases WIS of target by 46.7',0,1),
(156115,330043,10,100,'Decreases Defense of target by 18.1',0,2),
(156116,330044,1,100,'Decreases Defense of target by 13.5',0,2),
(156117,330044,2,100,'Decreases Defense of target by 14.3',0,2),
(156118,330044,3,100,'Decreases Defense of target by 15.0',0,2),
(156119,330044,4,100,'Decreases Defense of target by 16.5',0,2),
(156120,330044,5,100,'Decreases Defense of target by 18.0',0,2),
(156121,330044,7,100,'Decreases Defense of target by 23.1',0,2),
(156122,330044,9,100,'Decreases Defense of target by 24.0',0,2),
(156123,330044,10,100,'Increases elemental damage done to target by up to 3.',0,0),
(156124,330044,10,100,'Decreases WIS of target by 65.5',0,1),
(156125,330044,10,100,'Decreases Defense of target by 25.2',0,2),
(156126,330045,1,100,'Decreases Defense of target by 17.3',0,2),
(156127,330045,2,100,'Decreases Defense of target by 18.2',0,2),
(156128,330045,3,100,'Decreases Defense of target by 19.2',0,2),
(156129,330045,4,100,'Decreases Defense of target by 21.1',0,2),
(156130,330045,5,100,'Decreases Defense of target by 23.0',0,2),
(156131,330045,7,100,'Decreases Defense of target by 29.6',0,2),
(156132,330045,9,100,'Decreases Defense of target by 30.7',0,2),
(156133,330045,10,100,'Increases elemental damage done to target by up to 3.',0,0),
(156134,330045,10,100,'Decreases WIS of target by 84.3',0,1),
(156135,330045,10,100,'Decreases Defense of target by 32.3',0,2),
(156136,330046,1,100,'Decreases Defense of target by 20.7',0,2),
(156137,330046,2,100,'Decreases Defense of target by 21.9',0,2),
(156138,330046,3,100,'Decreases Defense of target by 23.0',0,2),
(156139,330046,4,100,'Decreases Defense of target by 25.3',0,2),
(156140,330046,5,100,'Decreases Defense of target by 27.6',0,2),
(156141,330046,7,100,'Decreases Defense of target by 35.4',0,2),
(156142,330046,9,100,'Decreases Defense of target by 36.8',0,2),
(156143,330046,10,100,'Increases elemental damage done to target by up to 3.',0,0),
(156144,330046,10,100,'Decreases WIS of target by 101.6',0,1),
(156145,330046,10,100,'Decreases Defense of target by 38.6',0,2),
(156146,330047,1,100,'Decreases Defense of target by 24.3',0,2),
(156147,330047,4,100,'Decreases Defense of target by 29.7',0,2),
(156148,330047,5,100,'Decreases Defense of target by 32.4',0,2),
(156149,330047,7,100,'Decreases Defense of target by 41.6',0,2),
(156150,330047,9,100,'Decreases Defense of target by 43.2',0,2),
(156151,330047,10,100,'Increases elemental damage done to target by up to 3.',0,0),
(156152,330047,10,100,'Decreases WIS of target by 120.1',0,1),
(156153,330047,10,100,'Decreases Defense of target by 45.4',0,2),
(156154,330048,1,100,'Decreases Defense of target by 27.9',0,2),
(156155,330048,4,100,'Decreases Defense of target by 34.1',0,2),
(156156,330048,5,100,'Decreases Defense of target by 37.2',0,2),
(156157,330048,7,100,'Decreases Defense of target by 47.7',0,2),
(156158,330048,9,100,'Decreases Defense of target by 49.6',0,2),
(156159,330048,10,100,'Increases elemental damage done to target by up to 3.',0,0),
(156160,330048,10,100,'Decreases WIS of target by 138.6',0,1),
(156161,330048,10,100,'Decreases Defense of target by 52.1',0,2),
(156162,330048,11,100,'Increases elemental damage done to target by up to 3.6.',0,0),
(156163,330048,11,100,'Decreases WIS of target by 166.6',0,1),
(156164,330048,11,100,'Decreases Defense of target by 62.6',0,2),
(156165,330049,10,100,'When a combat art is used this spell has a 15% chance to cast Counterattack on target of combat art.  ',0,0),
(156166,330049,10,100,'Inflicts 310 - 516 melee damage on target',1,1),
(156167,330049,10,100,'When blocked this spell will cast Counterattack on target''s victim.  ',0,2),
(156168,330049,10,100,'Inflicts 310 - 516 melee damage on target',1,3),
(156169,330049,10,100,'When parried this spell will cast Counterattack on target''s victim.  ',0,4),
(156170,330049,10,100,'Inflicts 310 - 516 melee damage on target',1,5),
(156171,330049,10,100,'When deflected this spell will cast Counterattack on target''s victim.  ',0,6),
(156172,330049,10,100,'Inflicts 310 - 516 melee damage on target',1,7),
(156173,330049,10,100,'When riposted this spell will cast Counterattack on target''s victim.  ',0,8),
(156174,330049,10,100,'Inflicts 310 - 516 melee damage on target',1,9),
(156175,330049,10,100,'On a block this spell will cast Counterattack on target''s victim.  ',0,10),
(156176,330049,10,100,'Inflicts 310 - 516 melee damage on target',1,11),
(156177,330049,10,100,'On a riposte this spell will cast Counterattack on target''s victim.  ',0,12),
(156178,330049,10,100,'Inflicts 310 - 516 melee damage on target',1,13),
(156179,330049,10,100,'On a parry this spell will cast Counterattack on target''s victim.  ',0,14),
(156180,330049,10,100,'Inflicts 310 - 516 melee damage on target',1,15),
(156181,330050,10,100,'When a combat art is used this spell has a 15% chance to cast Counterattack on target of combat art.  ',0,0),
(156182,330050,10,100,'Inflicts 395 - 659 melee damage on target',1,1),
(156183,330050,10,100,'When blocked this spell will cast Counterattack on target''s victim.  ',0,2),
(156184,330050,10,100,'Inflicts 395 - 659 melee damage on target',1,3),
(156185,330050,10,100,'When parried this spell will cast Counterattack on target''s victim.  ',0,4),
(156186,330050,10,100,'Inflicts 395 - 659 melee damage on target',1,5),
(156187,330050,10,100,'When deflected this spell will cast Counterattack on target''s victim.  ',0,6),
(156188,330050,10,100,'Inflicts 395 - 659 melee damage on target',1,7),
(156189,330050,10,100,'When riposted this spell will cast Counterattack on target''s victim.  ',0,8),
(156190,330050,10,100,'Inflicts 395 - 659 melee damage on target',1,9),
(156191,330050,10,100,'On a block this spell will cast Counterattack on target''s victim.  ',0,10),
(156192,330050,10,100,'Inflicts 395 - 659 melee damage on target',1,11),
(156193,330050,10,100,'On a riposte this spell will cast Counterattack on target''s victim.  ',0,12),
(156194,330050,10,100,'Inflicts 395 - 659 melee damage on target',1,13),
(156195,330050,10,100,'On a parry this spell will cast Counterattack on target''s victim.  ',0,14),
(156196,330050,10,100,'Inflicts 395 - 659 melee damage on target',1,15),
(156197,330051,10,100,'When a combat art is used this spell has a 15% chance to cast Counterattack on target of combat art.  ',0,0),
(156198,330051,10,100,'Inflicts 476 - 794 melee damage on target',1,1),
(156199,330051,10,100,'When blocked this spell will cast Counterattack on target''s victim.  ',0,2),
(156200,330051,10,100,'Inflicts 476 - 794 melee damage on target',1,3),
(156201,330051,10,100,'When parried this spell will cast Counterattack on target''s victim.  ',0,4),
(156202,330051,10,100,'Inflicts 476 - 794 melee damage on target',1,5),
(156203,330051,10,100,'When deflected this spell will cast Counterattack on target''s victim.  ',0,6),
(156204,330051,10,100,'Inflicts 476 - 794 melee damage on target',1,7),
(156205,330051,10,100,'When riposted this spell will cast Counterattack on target''s victim.  ',0,8),
(156206,330051,10,100,'Inflicts 476 - 794 melee damage on target',1,9),
(156207,330051,10,100,'On a block this spell will cast Counterattack on target''s victim.  ',0,10),
(156208,330051,10,100,'Inflicts 476 - 794 melee damage on target',1,11),
(156209,330051,10,100,'On a riposte this spell will cast Counterattack on target''s victim.  ',0,12),
(156210,330051,10,100,'Inflicts 476 - 794 melee damage on target',1,13),
(156211,330051,10,100,'On a parry this spell will cast Counterattack on target''s victim.  ',0,14),
(156212,330051,10,100,'Inflicts 476 - 794 melee damage on target',1,15),
(156213,330052,10,100,'When a combat art is used this spell has a 15% chance to cast Counterattack on target of combat art.  ',0,0),
(156214,330052,10,100,'Inflicts 673 - 1121 melee damage on target',1,1),
(156215,330052,10,100,'When blocked this spell will cast Counterattack on target''s victim.  ',0,2),
(156216,330052,10,100,'Inflicts 673 - 1121 melee damage on target',1,3),
(156217,330052,10,100,'When parried this spell will cast Counterattack on target''s victim.  ',0,4),
(156218,330052,10,100,'Inflicts 673 - 1121 melee damage on target',1,5),
(156219,330052,10,100,'When deflected this spell will cast Counterattack on target''s victim.  ',0,6),
(156220,330052,10,100,'Inflicts 673 - 1121 melee damage on target',1,7),
(156221,330052,10,100,'When riposted this spell will cast Counterattack on target''s victim.  ',0,8),
(156222,330052,10,100,'Inflicts 673 - 1121 melee damage on target',1,9),
(156223,330052,10,100,'On a block this spell will cast Counterattack on target''s victim.  ',0,10),
(156224,330052,10,100,'Inflicts 673 - 1121 melee damage on target',1,11),
(156225,330052,10,100,'On a riposte this spell will cast Counterattack on target''s victim.  ',0,12),
(156226,330052,10,100,'Inflicts 673 - 1121 melee damage on target',1,13),
(156227,330052,10,100,'On a parry this spell will cast Counterattack on target''s victim.  ',0,14),
(156228,330052,10,100,'Inflicts 673 - 1121 melee damage on target',1,15),
(156229,330052,11,100,'When a combat art is used this spell has a 15% chance to cast Counterattack on target of combat art.  ',0,0),
(156230,330052,11,100,'Inflicts 809 - 1348 melee damage on target',1,1),
(156231,330052,11,100,'When blocked this spell will cast Counterattack on target''s victim.  ',0,2),
(156232,330052,11,100,'Inflicts 809 - 1348 melee damage on target',1,3),
(156233,330052,11,100,'When parried this spell will cast Counterattack on target''s victim.  ',0,4),
(156234,330052,11,100,'Inflicts 809 - 1348 melee damage on target',1,5),
(156235,330052,11,100,'When deflected this spell will cast Counterattack on target''s victim.  ',0,6),
(156236,330052,11,100,'Inflicts 809 - 1348 melee damage on target',1,7),
(156237,330052,11,100,'When riposted this spell will cast Counterattack on target''s victim.  ',0,8),
(156238,330052,11,100,'Inflicts 809 - 1348 melee damage on target',1,9),
(156239,330052,11,100,'On a block this spell will cast Counterattack on target''s victim.  ',0,10),
(156240,330052,11,100,'Inflicts 809 - 1348 melee damage on target',1,11),
(156241,330052,11,100,'On a riposte this spell will cast Counterattack on target''s victim.  ',0,12),
(156242,330052,11,100,'Inflicts 809 - 1348 melee damage on target',1,13),
(156243,330052,11,100,'On a parry this spell will cast Counterattack on target''s victim.  ',0,14),
(156244,330052,11,100,'Inflicts 809 - 1348 melee damage on target',1,15),
(156245,330053,10,100,'Decreases Slashing, Piercing and Crushing of caster by 13.8',0,0),
(156246,330053,10,100,'Increases Aggression of caster by 4.5',0,1),
(156247,330053,10,100,'Increases Defense and Parry of caster by 9.1',0,2),
(156248,330053,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(156249,330054,10,100,'Decreases Slashing, Piercing and Crushing of caster by 16.3',0,0),
(156250,330054,10,100,'Increases Aggression of caster by 8.1',0,1),
(156251,330054,10,100,'Increases Defense and Parry of caster by 16.1',0,2),
(156252,330054,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(156253,330055,10,100,'Decreases Slashing, Piercing and Crushing of caster by 19.3',0,0),
(156254,330055,10,100,'Increases Aggression of caster by 11.6',0,1),
(156255,330055,10,100,'Increases Defense and Parry of caster by 23.2',0,2),
(156256,330055,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(156257,330056,10,100,'Decreases Slashing, Piercing and Crushing of caster by 22.6',0,0),
(156258,330056,10,100,'Increases Aggression of caster by 15.1',0,1),
(156259,330056,10,100,'Increases Defense and Parry of caster by 30.2',0,2),
(156260,330056,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(156261,330057,10,100,'Decreases Slashing, Piercing and Crushing of caster by 25.9',0,0),
(156262,330057,10,100,'Increases Aggression of caster by 18.6',0,1),
(156263,330057,10,100,'Increases Defense and Parry of caster by 37.3',0,2),
(156264,330057,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(156265,330058,10,100,'Decreases Slashing, Piercing and Crushing of caster by 29.2',0,0),
(156266,330058,10,100,'Increases Aggression of caster by 22.3',0,1),
(156267,330058,10,100,'Increases Defense and Parry of caster by 44.5',0,2),
(156268,330058,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(156269,330059,10,100,'Decreases Slashing, Piercing and Crushing of caster by 32.5',0,0),
(156270,330059,10,100,'Increases Aggression of caster by 26.5',0,1),
(156271,330059,10,100,'Increases Defense and Parry of caster by 52.9',0,2),
(156272,330059,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(156273,330059,11,100,'Decreases Slashing, Piercing and Crushing of caster by 32.5',0,0),
(156274,330059,11,100,'Increases Aggression of caster by 31.8',0,1),
(156275,330059,11,100,'Increases Defense and Parry of caster by 63.6',0,2),
(156276,330059,11,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(156277,330060,10,100,'Inflicts 190 - 317 melee damage on target',0,0),
(156278,330060,10,100,'Decreases INT of target by 114.9',0,1),
(156279,330061,10,100,'Inflicts 270 - 450 melee damage on target',0,0),
(156280,330061,10,100,'Decreases INT of target by 152.5',0,1),
(156281,330062,10,100,'Inflicts 352 - 587 melee damage on target',0,0),
(156282,330062,10,100,'Decreases INT of target by 192.2',0,1),
(156283,330064,11,100,'Inflicts 600 - 1001 melee damage on target',0,0),
(156284,330064,11,100,'Decreases INT of target by 320.0',0,1),
(156285,330065,10,100,'Inflicts 10 - 13 melee damage on target',0,0),
(156286,330065,10,100,'Decreases DPS of target by 19.5',0,1),
(156287,330065,11,100,'Inflicts 13 - 15 melee damage on target',0,0),
(156288,330065,11,100,'Decreases DPS of target by 23.5',0,1),
(156289,330066,10,100,'Inflicts 33 - 41 melee damage on target',0,0),
(156290,330066,10,100,'Decreases DPS of target by 20.9',0,1),
(156291,330066,11,100,'Inflicts 40 - 49 melee damage on target',0,0),
(156292,330066,11,100,'Decreases DPS of target by 25.1',0,1),
(156293,330067,10,100,'Inflicts 62 - 76 melee damage on target',0,0),
(156294,330067,10,100,'Decreases DPS of target by 22.5',0,1),
(156295,330067,11,100,'Inflicts 74 - 91 melee damage on target',0,0),
(156296,330067,11,100,'Decreases Damage Per Second of target by 27.0',0,1),
(156297,330068,10,100,'Inflicts 126 - 154 melee damage on target',0,0),
(156298,330068,10,100,'Decreases DPS of target by 26.3',0,1),
(156299,330068,11,100,'Inflicts 151 - 185 melee damage on target',0,0),
(156300,330068,11,100,'Decreases DPS of target by 31.7',0,1),
(156301,330069,10,100,'Inflicts 530 - 648 melee damage on target',0,0),
(156302,330069,10,100,'Decreases DPS of target by 53.5',0,1),
(156303,330069,11,100,'Inflicts 637 - 779 melee damage on target',0,0),
(156304,330069,11,100,'Decreases DPS of target by 64.4',0,1),
(156305,330070,11,100,'Inflicts 237 - 290 melee damage on target',0,0),
(156306,330070,11,100,'Decreases DPS of target by 37.6',0,1),
(156307,330071,10,100,'Inflicts 282 - 345 melee damage on target',0,0),
(156308,330071,10,100,'Decreases DPS of target by 36.8',0,1),
(156309,330071,11,100,'Inflicts 339 - 415 melee damage on target',0,0),
(156310,330071,11,100,'Decreases DPS of target by 44.2',0,1),
(156311,330072,11,100,'Inflicts 443 - 542 melee damage on target',0,0),
(156312,330072,11,100,'Decreases DPS of target by 51.1',0,1),
(156313,330073,10,100,'Inflicts 447 - 546 melee damage on target',0,0),
(156314,330073,10,100,'Decreases DPS of target by 48.0',0,1),
(156315,330073,11,100,'Inflicts 537 - 657 melee damage on target',0,0),
(156316,330073,11,100,'Decreases DPS of target by 57.7',0,1),
(156317,330074,10,100,'Inflicts 75 - 126 melee damage on target',0,0),
(156318,330074,10,100,'Inflicts 75 - 126 melee damage on target',0,1),
(156319,330074,10,100,'Inflicts 75 - 126 melee damage on target',0,2),
(156320,330074,10,100,'Decreases Mitigation of target vs physical damage by 353',0,3),
(156321,330075,10,100,'Inflicts 119 - 199 melee damage on target',0,0),
(156322,330075,10,100,'Inflicts 119 - 199 melee damage on target',0,1),
(156323,330075,10,100,'Inflicts 119 - 199 melee damage on target',0,2),
(156324,330075,10,100,'Decreases Mitigation of target vs physical damage by 529',0,3),
(156325,330076,10,100,'Inflicts 172 - 287 melee damage on target',0,0),
(156326,330076,10,100,'Inflicts 172 - 287 melee damage on target',0,1),
(156327,330076,10,100,'Inflicts 172 - 287 melee damage on target',0,2),
(156328,330076,10,100,'Decreases Mitigation of target vs physical damage by 706',0,3),
(156329,330077,10,100,'Inflicts 225 - 375 melee damage on target',0,0),
(156330,330077,10,100,'Inflicts 225 - 375 melee damage on target',0,1),
(156331,330077,10,100,'Inflicts 225 - 375 melee damage on target',0,2),
(156332,330077,10,100,'Decreases Mitigation of target vs physical damage by 882',0,3),
(156333,330078,10,100,'Inflicts 273 - 455 melee damage on target',0,0),
(156334,330078,10,100,'Inflicts 273 - 455 melee damage on target',0,1),
(156335,330078,10,100,'Inflicts 273 - 455 melee damage on target',0,2),
(156336,330078,10,100,'Decreases Mitigation of target vs physical damage by 1152',0,3),
(156337,330079,10,100,'Inflicts 329 - 548 melee damage on target',0,0),
(156338,330079,10,100,'Inflicts 329 - 548 melee damage on target',0,1),
(156339,330079,10,100,'Inflicts 427 - 713 melee damage on target',0,2),
(156340,330079,10,100,'Decreases Mitigation of target vs physical damage by 1361',0,3),
(156341,330080,10,100,'Inflicts 349 - 581 melee damage on target',0,0),
(156342,330080,10,100,'Inflicts 349 - 581 melee damage on target',0,1),
(156343,330080,10,100,'Inflicts 453 - 756 melee damage on target',0,2),
(156344,330080,10,100,'Decreases Mitigation of target vs physical damage by 1512',0,3),
(156345,330080,11,100,'Inflicts 419 - 699 melee damage on target',0,0),
(156346,330080,11,100,'Inflicts 419 - 699 melee damage on target',0,1),
(156347,330080,11,100,'Inflicts 545 - 909 melee damage on target',0,2),
(156348,330080,11,100,'Decreases Mitigation of target vs physical damage by 1818',0,3),
(156349,330082,10,100,'Inflicts 116 - 193 melee damage on target',0,0),
(156350,330082,10,100,'Slows target by 62.5%',0,1),
(156351,330082,10,100,'5% chance to dispel when target receives hostile action',0,2),
(156352,330082,10,100,'5% chance to dispel when target takes damage',0,3),
(156353,330085,10,100,'Inflicts 290 - 484 melee damage on target',0,0),
(156354,330085,10,100,'Slows target by 68.9%',0,1),
(156355,330085,10,100,'5% chance to dispel when target receives hostile action',0,2),
(156356,330085,10,100,'5% chance to dispel when target takes damage',0,3),
(156357,330086,10,100,'Inflicts 351 - 585 melee damage on target',0,0),
(156358,330086,10,100,'Slows target by 69.6%',0,1),
(156359,330086,10,100,'5% chance to dispel when target receives hostile action',0,2),
(156360,330086,10,100,'5% chance to dispel when target takes damage',0,3),
(156361,330087,10,100,'Inflicts 395 - 658 melee damage on target',0,0),
(156362,330087,10,100,'Slows target by 70.2%',0,1),
(156363,330087,10,100,'5% chance to dispel when target receives hostile action',0,2),
(156364,330087,10,100,'5% chance to dispel when target takes damage',0,3),
(156365,330087,11,100,'Inflicts 475 - 791 melee damage on target',0,0),
(156366,330087,11,100,'Slows target by 84.4%',0,1),
(156367,330087,11,100,'5% chance to dispel when target receives hostile action',0,2),
(156368,330087,11,100,'5% chance to dispel when target takes damage',0,3),
(156369,330088,1,100,'Decreases Mitigation of target vs arcane damage by 197',0,5),
(156370,330088,2,100,'Decreases Mitigation of target vs arcane damage by 207',0,5),
(156371,330088,3,100,'Decreases Mitigation of target vs arcane damage by 218',0,5),
(156372,330088,4,100,'Decreases Mitigation of target vs arcane damage by 240',0,5),
(156373,330088,5,100,'Decreases Mitigation of target vs arcane damage by 262',0,5),
(156374,330088,7,100,'Decreases Mitigation of target vs arcane damage by 336',0,5),
(156375,330088,9,100,'Decreases Mitigation of target vs arcane damage by 349',0,5),
(156376,330088,10,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(156377,330088,10,100,'Slows target by 52.8%',1,1),
(156378,330088,10,100,'5% chance to dispel when target receives hostile action',1,2),
(156379,330088,10,100,'5% chance to dispel when target takes damage',1,3),
(156380,330088,10,100,'Decreases Combat Mitigation of target by 283.08',0,4),
(156381,330088,10,100,'Decreases Mitigation of target vs arcane damage by 367',0,5),
(156382,330089,1,100,'Decreases Mitigation of target vs arcane damage by 414',0,5),
(156383,330089,2,100,'Decreases Mitigation of target vs arcane damage by 437',0,5),
(156384,330089,3,100,'Decreases Mitigation of target vs arcane damage by 460',0,5),
(156385,330089,4,100,'Decreases Mitigation of target vs arcane damage by 506',0,5),
(156386,330089,5,100,'Decreases Mitigation of target vs arcane damage by 552',0,5),
(156387,330089,7,100,'Decreases Mitigation of target vs arcane damage by 708',0,5),
(156388,330089,9,100,'Decreases Mitigation of target vs arcane damage by 736',0,5),
(156389,330089,10,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(156390,330089,10,100,'Slows target by 58.1%',1,1),
(156391,330089,10,100,'5% chance to dispel when target receives hostile action',1,2),
(156392,330089,10,100,'5% chance to dispel when target takes damage',1,3),
(156393,330089,10,100,'Decreases Combat Mitigation of target by 283.08',0,4),
(156394,330089,10,100,'Decreases Mitigation of target vs arcane damage by 773',0,5),
(156395,330090,1,100,'Decreases Mitigation of target vs arcane damage by 666',0,5),
(156396,330090,2,100,'Decreases Mitigation of target vs arcane damage by 703',0,5),
(156397,330090,3,100,'Decreases Mitigation of target vs arcane damage by 740',0,5),
(156398,330090,4,100,'Decreases Mitigation of target vs arcane damage by 814',0,5),
(156399,330090,5,100,'Decreases Mitigation of target vs arcane damage by 888',0,5),
(156400,330090,7,100,'Decreases Mitigation of target vs arcane damage by 1140',0,5),
(156401,330090,9,100,'Decreases Mitigation of target vs arcane damage by 1184',0,5),
(156402,330090,10,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(156403,330090,10,100,'Slows target by 62.8%',1,1),
(156404,330090,10,100,'5% chance to dispel when target receives hostile action',1,2),
(156405,330090,10,100,'5% chance to dispel when target takes damage',1,3),
(156406,330090,10,100,'Decreases Combat Mitigation of target by 283.08',0,4),
(156407,330090,10,100,'Decreases Mitigation of target vs arcane damage by 1243',0,5),
(156408,330091,1,100,'Decreases Mitigation of target vs arcane damage by 918',0,5),
(156409,330091,2,100,'Decreases Mitigation of target vs arcane damage by 969',0,5),
(156410,330091,3,100,'Decreases Mitigation of target vs arcane damage by 1020',0,5),
(156411,330091,4,100,'Decreases Mitigation of target vs arcane damage by 1122',0,5),
(156412,330091,5,100,'Decreases Mitigation of target vs arcane damage by 1224',0,5),
(156413,330091,7,100,'Decreases Mitigation of target vs arcane damage by 1571',0,5),
(156414,330091,9,100,'Decreases Mitigation of target vs arcane damage by 1632',0,5),
(156415,330091,10,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(156416,330091,10,100,'Slows target by 67.3%',1,1),
(156417,330091,10,100,'5% chance to dispel when target receives hostile action',1,2),
(156418,330091,10,100,'5% chance to dispel when target takes damage',1,3),
(156419,330091,10,100,'Decreases Combat Mitigation of target by 283.08',0,4),
(156420,330091,10,100,'Decreases Mitigation of target vs arcane damage by 1714',0,5),
(156421,330092,1,100,'Decreases Mitigation of target vs arcane damage by 1170',0,5),
(156422,330092,2,100,'Decreases Mitigation of target vs arcane damage by 1235',0,5),
(156423,330092,3,100,'Decreases Mitigation of target vs arcane damage by 1300',0,5),
(156424,330092,4,100,'Decreases Mitigation of target vs arcane damage by 1430',0,5),
(156425,330092,5,100,'Decreases Mitigation of target vs arcane damage by 1560',0,5),
(156426,330092,7,100,'Decreases Mitigation of target vs arcane damage by 2002',0,5),
(156427,330092,9,100,'Decreases Mitigation of target vs arcane damage by 2080',0,5),
(156428,330092,10,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(156429,330092,10,100,'Slows target by 68.2%',1,1),
(156430,330092,10,100,'5% chance to dispel when target receives hostile action',1,2),
(156431,330092,10,100,'5% chance to dispel when target takes damage',1,3),
(156432,330092,10,100,'Decreases Combat Mitigation of target by 283.08',0,4),
(156433,330092,10,100,'Decreases Mitigation of target vs arcane damage by 2184',0,5),
(156434,330093,1,100,'Decreases Mitigation of target vs arcane damage by 1485',0,5),
(156435,330093,2,100,'Decreases Mitigation of target vs arcane damage by 1568',0,5),
(156436,330093,3,100,'Decreases Mitigation of target vs arcane damage by 1650',0,5),
(156437,330093,4,100,'Decreases Mitigation of target vs arcane damage by 1815',0,5),
(156438,330093,5,100,'Decreases Mitigation of target vs arcane damage by 1980',0,5),
(156439,330093,7,100,'Decreases Mitigation of target vs arcane damage by 2541',0,5),
(156440,330093,9,100,'Decreases Mitigation of target vs arcane damage by 2640',0,5),
(156441,330093,10,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(156442,330093,10,100,'Slows target by 68.9%',1,1),
(156443,330093,10,100,'5% chance to dispel when target receives hostile action',1,2),
(156444,330093,10,100,'5% chance to dispel when target takes damage',1,3),
(156445,330093,10,100,'Decreases Combat Mitigation of target by 283.08',0,4),
(156446,330093,10,100,'Decreases Mitigation of target vs arcane damage by 2772',0,5),
(156447,330094,1,100,'Decreases Mitigation of target vs arcane damage by 1858',0,5),
(156448,330094,4,100,'Decreases Mitigation of target vs arcane damage by 2270',0,5),
(156449,330094,5,100,'Decreases Mitigation of target vs arcane damage by 2477',0,5),
(156450,330094,7,100,'Decreases Mitigation of target vs arcane damage by 3179',0,5),
(156451,330094,9,100,'Decreases Mitigation of target vs arcane damage by 3302',0,5),
(156452,330094,10,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(156453,330094,10,100,'Slows target by 69.6%',1,1),
(156454,330094,10,100,'5% chance to dispel when target receives hostile action',1,2),
(156455,330094,10,100,'5% chance to dispel when target takes damage',1,3),
(156456,330094,10,100,'Decreases Combat Mitigation of target by 283.08',0,4),
(156457,330094,10,100,'Decreases Mitigation of target vs arcane damage by 3468',0,5),
(156458,330095,1,100,'Decreases Mitigation of target vs arcane damage by 2074',0,5),
(156459,330095,4,100,'Decreases Mitigation of target vs arcane damage by 2534',0,5),
(156460,330095,5,100,'Decreases Mitigation of target vs arcane damage by 2765',0,5),
(156461,330095,7,100,'Decreases Mitigation of target vs arcane damage by 3548',0,5),
(156462,330095,9,100,'Decreases Mitigation of target vs arcane damage by 3686',0,5),
(156463,330095,10,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(156464,330095,10,100,'Slows target by 70.3%',1,1),
(156465,330095,10,100,'5% chance to dispel when target receives hostile action',1,2),
(156466,330095,10,100,'5% chance to dispel when target takes damage',1,3),
(156467,330095,10,100,'Decreases Combat Mitigation of target by 283.08',0,4),
(156468,330095,10,100,'Decreases Mitigation of target vs arcane damage by 3871',0,5),
(156469,330095,11,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(156470,330095,11,100,'Slows target by 84.5%',1,1),
(156471,330095,11,100,'5% chance to dispel when target receives hostile action',1,2),
(156472,330095,11,100,'5% chance to dispel when target takes damage',1,3),
(156473,330095,11,100,'Decreases Combat Mitigation of target by 340.37',0,4),
(156474,330095,11,100,'Decreases Mitigation of target vs arcane damage by 4654',0,5),
(156475,330096,10,100,'Caster has a 52.5% chance of having one of their weapons'' auto-attack affect multiple targets they are facing, who are within range of that weapon.',0,0),
(156476,330097,10,100,'On a melee hit this spell will cast Daring Attack on target of attack.  ',0,0),
(156477,330097,10,100,'Inflicts 149 - 249 piercing damage on target',1,1),
(156478,330097,11,100,'On a melee hit this spell will cast Daring Attack on target of attack.  ',0,0),
(156479,330097,11,100,'Inflicts 180 - 300 piercing damage on target',1,1),
(156480,330098,10,100,'On a melee hit this spell will cast Daring Attack on target of attack.  ',0,0),
(156481,330098,10,100,'Inflicts 225 - 375 piercing damage on target',1,1),
(156482,330098,11,100,'On a melee hit this spell will cast Daring Attack on target of attack.  ',0,0),
(156483,330098,11,100,'Inflicts 271 - 452 piercing damage on target',1,1),
(156484,330099,10,100,'On a melee hit this spell will cast Daring Attack on target of attack.  ',0,0),
(156485,330099,10,100,'Inflicts 273 - 455 piercing damage on target',1,1),
(156486,330099,11,100,'On a melee hit this spell will cast Daring Attack on target of attack.  ',0,0),
(156487,330099,11,100,'Inflicts 328 - 548 piercing damage on target',1,1),
(156488,330100,10,100,'On a melee hit this spell will cast Daring Attack on target of attack.  ',0,0),
(156489,330100,10,100,'Inflicts 427 - 713 piercing damage on target',1,1),
(156490,330100,11,100,'On a melee hit this spell will cast Daring Attack on target of attack.  ',0,0),
(156491,330100,11,100,'Inflicts 514 - 857 piercing damage on target',1,1),
(156492,330101,10,100,'On a melee hit this spell will cast Daring Attack on target of attack.  ',0,0),
(156493,330101,10,100,'Inflicts 453 - 756 piercing damage on target',1,1),
(156494,330101,11,100,'On a melee hit this spell will cast Daring Attack on target of attack.  ',0,0),
(156495,330101,11,100,'Inflicts 545 - 909 piercing damage on target',1,1),
(156496,330102,10,100,'Inflicts 32 - 39 melee damage on target',0,0),
(156497,330102,10,100,'Decreases Mitigation of target vs physical damage by 101',0,1),
(156498,330102,10,100,'Must be flanking or behind',0,2),
(156499,330102,11,100,'Inflicts 39 - 47 melee damage on target',0,0),
(156500,330102,11,100,'Decreases Mitigation of target vs physical damage by 121',0,1),
(156501,330102,11,100,'Must be flanking or behind',0,2),
(156502,330103,10,100,'Inflicts 117 - 143 melee damage on target',0,0),
(156503,330103,10,100,'Decreases Mitigation of target vs physical damage by 383',0,1),
(156504,330103,10,100,'Must be flanking or behind',0,2),
(156505,330103,11,100,'Inflicts 141 - 172 melee damage on target',0,0),
(156506,330103,11,100,'Decreases Mitigation of target vs physical damage by 461',0,1),
(156507,330103,11,100,'Must be flanking or behind',0,2),
(156508,330104,11,100,'Inflicts 262 - 320 melee damage on target',0,0),
(156509,330104,11,100,'Decreases Mitigation of target vs physical damage by 800',0,1),
(156510,330104,11,100,'Must be flanking or behind',0,2),
(156511,330105,10,100,'Inflicts 332 - 406 melee damage on target',0,0),
(156512,330105,10,100,'Decreases Mitigation of target vs physical damage by 948',0,1),
(156513,330105,10,100,'Must be flanking or behind',0,2),
(156514,330105,11,100,'Inflicts 399 - 488 melee damage on target',0,0),
(156515,330105,11,100,'Decreases Mitigation of target vs physical damage by 1139',0,1),
(156516,330105,11,100,'Must be flanking or behind',0,2),
(156517,330106,11,100,'Inflicts 552 - 675 melee damage on target',0,0),
(156518,330106,11,100,'Decreases Mitigation of target vs physical damage by 1479',0,1),
(156519,330106,11,100,'Must be flanking or behind',0,2),
(156520,330107,11,100,'Inflicts 706 - 863 melee damage on target',0,0),
(156521,330107,11,100,'Decreases Mitigation of target vs physical damage by 1794',0,1),
(156522,330107,11,100,'Must be flanking or behind',0,2),
(156523,330108,10,100,'Inflicts 709 - 867 melee damage on target',0,0),
(156524,330108,10,100,'Decreases Mitigation of target vs physical damage by 1693',0,1),
(156525,330108,10,100,'Must be flanking or behind',0,2),
(156526,330108,11,100,'Inflicts 853 - 1043 melee damage on target',0,0),
(156527,330108,11,100,'Decreases Mitigation of target vs physical damage by 2036',0,1),
(156528,330108,11,100,'Must be flanking or behind',0,2),
(156529,330109,10,100,'Inflicts 809 - 988 melee damage on target',0,0),
(156530,330109,10,100,'Decreases Mitigation of target vs physical damage by 1895',0,1),
(156531,330109,10,100,'Must be flanking or behind',0,2),
(156532,330109,11,100,'Inflicts 972 - 1189 melee damage on target',0,0),
(156533,330109,11,100,'Decreases Mitigation of target vs physical damage by 2279',0,1),
(156534,330109,11,100,'Must be flanking or behind',0,2),
(156535,330110,10,100,'Inflicts 18 - 31 melee damage on targets in Area of Effect',0,0),
(156536,330112,10,100,'Inflicts 166 - 277 melee damage on targets in Area of Effect',0,0),
(156537,330113,10,100,'Inflicts 263 - 438 melee damage on targets in Area of Effect',0,0),
(156538,330114,10,100,'Inflicts 768 - 1280 melee damage on targets in Area of Effect',0,0),
(156539,330114,11,100,'Inflicts 923 - 1539 melee damage on targets in Area of Effect',0,0),
(156540,330115,10,100,'Inflicts 379 - 632 melee damage on targets in Area of Effect',0,0),
(156541,330116,10,100,'Inflicts 496 - 827 melee damage on targets in Area of Effect',0,0),
(156542,330117,10,100,'Inflicts 601 - 1003 melee damage on targets in Area of Effect',0,0),
(156543,330118,10,100,'Inflicts 724 - 1206 melee damage on targets in Area of Effect',0,0),
(156544,330119,10,100,'Inflicts 360 - 600 melee damage on target',0,0),
(156545,330119,10,100,'Decreases strikethrough chance of target by 8.4%.',0,1),
(156546,330119,10,100,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation and Ordination of target by 58.5',0,2),
(156547,330119,10,100,'Must be flanking or behind',0,3),
(156548,330120,10,100,'Inflicts 508 - 847 melee damage on target',0,0),
(156549,330120,10,100,'Decreases strikethrough chance of target by 8.4%.',0,1),
(156550,330120,10,100,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation and Ordination of target by 78.6',0,2),
(156551,330120,10,100,'Must be flanking or behind',0,3),
(156552,330121,10,100,'Inflicts 613 - 1022 melee damage on target',0,0),
(156553,330121,10,100,'Decreases strikethrough chance of target by 8.4%.',0,1),
(156554,330121,10,100,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation and Ordination of target by 92.1',0,2),
(156555,330121,10,100,'Must be flanking or behind',0,3),
(156556,330122,10,100,'Inflicts 682 - 1137 melee damage on target',0,0),
(156557,330122,10,100,'Decreases strikethrough chance of target by 10.9%.',0,1),
(156558,330122,10,100,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation and Ordination of target by 105.5',0,2),
(156559,330122,10,100,'Must be flanking or behind',0,3),
(156560,330122,11,100,'Inflicts 820 - 1367 melee damage on target',0,0),
(156561,330122,11,100,'Decreases strikethrough chance of target by 13.1%.',0,1),
(156562,330122,11,100,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation and Ordination of target by 126.9',0,2),
(156563,330122,11,100,'Must be flanking or behind',0,3),
(156564,330123,10,100,'Increases Haste of caster by 34.9',0,0),
(156565,330123,10,100,'Increases Multi Attack of caster by 40.1',0,1),
(156566,330124,10,100,'Increases Haste of caster by 40.7',0,0),
(156567,330124,10,100,'Increases Multi Attack of caster by 46.9',0,1),
(156568,330125,10,100,'Increases Haste of caster by 46.4',0,0),
(156569,330125,10,100,'Increases Multi Attack of caster by 53.9',0,1),
(156570,330126,10,100,'Inflicts 103 - 172 melee damage on target',0,0),
(156571,330126,10,100,'Decreases Parry of target by 15.1',0,1),
(156572,330126,10,100,'Must be in front of or flanking',0,2),
(156573,330129,10,100,'Inflicts 470 - 783 melee damage on target',0,0),
(156574,330129,10,100,'Decreases Parry of target by 57.5',0,1),
(156575,330129,10,100,'Must be in front of or flanking',0,2),
(156576,330130,10,100,'Inflicts 613 - 1023 melee damage on target',0,0),
(156577,330130,10,100,'Decreases Parry of target by 71.9',0,1),
(156578,330130,10,100,'Must be in front of or flanking',0,2),
(156579,330132,11,100,'Inflicts 1060 - 1768 melee damage on target',0,0),
(156580,330132,11,100,'Decreases Parry of target by 118.8',0,1),
(156581,330132,11,100,'Must be in front of or flanking',0,2),
(156582,330133,10,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(156583,330133,10,100,'Throws target back',1,1),
(156584,330133,10,100,'Blurs vision of target',1,2),
(156585,330133,10,100,'Stuns target',1,3),
(156586,330133,10,100,'Does not affect Epic targets',1,4),
(156587,330133,10,100,'Inflicts 15 - 26 melee damage on target',0,5),
(156588,330133,10,100,'You must be sneaking to use this ability.',0,6),
(156589,330134,10,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(156590,330134,10,100,'Throws target back',1,1),
(156591,330134,10,100,'Blurs vision of target',1,2),
(156592,330134,10,100,'Stuns target',1,3),
(156593,330134,10,100,'Does not affect Epic targets',1,4),
(156594,330134,10,100,'Inflicts 63 - 105 melee damage on target',0,5),
(156595,330134,10,100,'You must be sneaking to use this ability.',0,6),
(156596,330136,10,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(156597,330136,10,100,'Throws target back',1,1),
(156598,330136,10,100,'Blurs vision of target',1,2),
(156599,330136,10,100,'Stuns target',1,3),
(156600,330136,10,100,'Does not affect Epic targets',1,4),
(156601,330136,10,100,'Inflicts 258 - 430 melee damage on target',0,5),
(156602,330136,10,100,'You must be sneaking to use this ability.',0,6),
(156603,330137,11,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(156604,330137,11,100,'Throws target back',1,1),
(156605,330137,11,100,'Blurs vision of target',1,2),
(156606,330137,11,100,'Stuns target',1,3),
(156607,330137,11,100,'Does not affect Epic targets',1,4),
(156608,330137,11,100,'Inflicts 1086 - 1811 melee damage on target',0,5),
(156609,330137,11,100,'You must be sneaking to use this ability.',0,6),
(156610,330138,10,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(156611,330138,10,100,'Throws target back',1,1),
(156612,330138,10,100,'Blurs vision of target',1,2),
(156613,330138,10,100,'Stuns target',1,3),
(156614,330138,10,100,'Does not affect Epic targets',1,4),
(156615,330138,10,100,'Inflicts 389 - 648 melee damage on target',0,5),
(156616,330138,10,100,'You must be sneaking to use this ability.',0,6),
(156617,330139,10,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(156618,330139,10,100,'Throws target back',1,1),
(156619,330139,10,100,'Blurs vision of target',1,2),
(156620,330139,10,100,'Stuns target',1,3),
(156621,330139,10,100,'Does not affect Epic targets',1,4),
(156622,330139,10,100,'Inflicts 530 - 884 melee damage on target',0,5),
(156623,330139,10,100,'You must be sneaking to use this ability.',0,6),
(156624,330142,10,100,'Applies Sleight of Hand Immunity on termination.  Lasts for 2 minutes.',0,0),
(156625,330142,10,100,'Target of this spell cannot have Sleight of Hand used on them',1,1),
(156626,330142,10,100,'Cannot be modified except by direct means',1,2),
(156627,330142,10,100,'Decreases Threat to target by 3,100 ',0,3),
(156628,330142,10,100,'If profession other than Fighter',1,4),
(156629,330142,10,100,'Increases Threat to target by 3,640 ',0,5),
(156630,330142,10,100,'If Fighter',1,6),
(156631,330142,10,100,'Swaps your current hate position with your target''s hate position.',0,7),
(156632,330142,10,100,'Must be engaged in combat',0,8),
(156633,330142,10,100,'Cannot cast this on a player who has recently had Sleight of Hand used on them.',0,9),
(156634,330143,10,100,'Applies Sleight of Hand Immunity on termination.  Lasts for 2 minutes.',0,0),
(156635,330143,10,100,'Target of this spell cannot have Sleight of Hand used on them',1,1),
(156636,330143,10,100,'Cannot be modified except by direct means',1,2),
(156637,330143,10,100,'Decreases Threat to target by 3,574 ',0,3),
(156638,330143,10,100,'If profession other than Fighter',1,4),
(156639,330143,10,100,'Increases Threat to target by 4,114 ',0,5),
(156640,330143,10,100,'If Fighter',1,6),
(156641,330143,10,100,'Swaps your current hate position with your target''s hate position.',0,7),
(156642,330143,10,100,'Must be engaged in combat',0,8),
(156643,330143,10,100,'Cannot cast this on a player who has recently had Sleight of Hand used on them.',0,9),
(156644,330144,10,100,'Applies Sleight of Hand Immunity on termination.  Lasts for 2 minutes.',0,0),
(156645,330144,10,100,'Target of this spell cannot have Sleight of Hand used on them',1,1),
(156646,330144,10,100,'Cannot be modified except by direct means',1,2),
(156647,330144,10,100,'Decreases Threat to target by 4,048 ',0,3),
(156648,330144,10,100,'If profession other than Fighter',1,4),
(156649,330144,10,100,'Increases Threat to target by 4,588 ',0,5),
(156650,330144,10,100,'If Fighter',1,6),
(156651,330144,10,100,'Swaps your current hate position with your target''s hate position.',0,7),
(156652,330144,10,100,'Must be engaged in combat',0,8),
(156653,330144,10,100,'Cannot cast this on a player who has recently had Sleight of Hand used on them.',0,9),
(156654,330144,11,100,'Applies Sleight of Hand Immunity on termination.  Lasts for 2 minutes.',0,0),
(156655,330144,11,100,'Target of this spell cannot have Sleight of Hand used on them',1,1),
(156656,330144,11,100,'Cannot be modified except by direct means',1,2),
(156657,330144,11,100,'Decreases Threat to target by 4,867 ',0,3),
(156658,330144,11,100,'If profession other than Fighter',1,4),
(156659,330144,11,100,'Increases Threat to target by 5,407 ',0,5),
(156660,330144,11,100,'If Fighter',1,6),
(156661,330144,11,100,'Swaps your current hate position with your target''s hate position.',0,7),
(156662,330144,11,100,'Must be engaged in combat',0,8),
(156663,330144,11,100,'Cannot cast this on a player who has recently had Sleight of Hand used on them.',0,9),
(156664,330145,11,100,'Inflicts 55 - 91 melee damage on target',0,0),
(156665,330145,11,100,'Inflicts 55 - 91 melee damage on target',0,1),
(156666,330146,10,100,'Inflicts 101 - 169 melee damage on target',0,0),
(156667,330146,10,100,'Inflicts 101 - 169 melee damage on target',0,1),
(156668,330146,11,100,'Inflicts 122 - 204 melee damage on target',0,0),
(156669,330146,11,100,'Inflicts 122 - 204 melee damage on target',0,1),
(156670,330147,10,100,'Inflicts 164 - 273 melee damage on target',0,0),
(156671,330147,10,100,'Inflicts 164 - 273 melee damage on target',0,1),
(156672,330147,11,100,'Inflicts 197 - 328 melee damage on target',0,0),
(156673,330147,11,100,'Inflicts 197 - 328 melee damage on target',0,1),
(156674,330148,11,100,'Inflicts 290 - 484 melee damage on target',0,0),
(156675,330148,11,100,'Inflicts 290 - 484 melee damage on target',0,1),
(156676,330149,10,100,'Inflicts 319 - 532 melee damage on target',0,0),
(156677,330149,10,100,'Inflicts 319 - 532 melee damage on target',0,1),
(156678,330149,11,100,'Inflicts 384 - 640 melee damage on target',0,0),
(156679,330149,11,100,'Inflicts 384 - 640 melee damage on target',0,1),
(156680,330150,10,100,'Inflicts 386 - 644 melee damage on target',0,0),
(156681,330150,10,100,'Inflicts 386 - 644 melee damage on target',0,1),
(156682,330150,11,100,'Inflicts 464 - 774 melee damage on target',0,0),
(156683,330150,11,100,'Inflicts 464 - 774 melee damage on target',0,1),
(156684,330151,10,100,'Inflicts 465 - 776 melee damage on target',0,0),
(156685,330151,10,100,'Inflicts 465 - 776 melee damage on target',0,1),
(156686,330151,11,100,'Inflicts 560 - 933 melee damage on target',0,0),
(156687,330151,11,100,'Inflicts 560 - 933 melee damage on target',0,1),
(156688,330152,10,100,'Inflicts 505 - 842 melee damage on target',0,0),
(156689,330152,10,100,'Inflicts 505 - 842 melee damage on target',0,1),
(156690,330152,11,100,'Inflicts 608 - 1013 melee damage on target',0,0),
(156691,330152,11,100,'Inflicts 608 - 1013 melee damage on target',0,1),
(156692,330154,10,100,'On a melee hit this spell may cast Bravado on caster.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(156693,330154,10,100,'Increases Hate Gain of caster by 5.0%',1,1),
(156694,330154,10,100,'Increases Haste of caster by 63.0',1,2),
(156695,330154,10,100,'Dispelled when target takes damage',1,3),
(156696,330155,10,100,'On a melee hit this spell may cast Bravado on caster.  Lasts for 20.0 seconds.  Triggers about 5.0 times per minute. ',0,0),
(156697,330155,10,100,'Increases Hate Gain of caster by 5.0%',1,1),
(156698,330155,10,100,'Increases Haste of caster by 72.5',1,2),
(156699,330155,10,100,'Dispelled when target takes damage',1,3),
(156700,330156,10,100,'Inflicts 557 - 928 ranged damage on targets in Area of Effect',0,0),
(156701,330156,10,100,'If weapon equipped in Ranged',0,1),
(156702,330157,10,100,'Inflicts 807 - 1346 ranged damage on targets in Area of Effect',0,0),
(156703,330157,10,100,'If weapon equipped in Ranged',0,1),
(156704,330158,10,100,'Inflicts 976 - 1626 ranged damage on targets in Area of Effect',0,0),
(156705,330158,10,100,'If weapon equipped in Ranged',0,1),
(156706,330159,10,100,'Inflicts 1112 - 1854 ranged damage on targets in Area of Effect',0,0),
(156707,330159,10,100,'If weapon equipped in Ranged',0,1),
(156708,330159,11,100,'Inflicts 1337 - 2229 ranged damage on targets in Area of Effect',0,0),
(156709,330159,11,100,'If weapon equipped in Ranged',0,1),
(156710,330160,10,100,'Causes 11% Threat to transfer to target when in combat',0,0),
(156711,330161,10,100,'Causes 13% Threat to transfer to target when in combat',0,0),
(156712,330162,10,100,'Causes 16% Threat to transfer to target when in combat',0,0),
(156713,330164,9,100,'Increases Potency of caster by 10.0%',0,0),
(156714,330164,9,100,'Flamboyant Strike will gain an additional effect that causes the target to reduce their spell damage by 10%',0,1),
(156715,330164,9,100,'On a melee hit this spell may cast Swarthy Chaos on target of attack.  Lasts for 12.0 seconds.  Triggers about 3.0 times per minute. ',0,2),
(156716,330164,9,100,'Inflicts 475 - 713 piercing damage on target',1,3),
(156717,330164,9,100,'Inflicts 173 - 259 piercing damage on target every 3 seconds',1,4),
(156718,330164,9,100,'Adds an additional 8% hate transfer to Swarthy Deception IV',1,5),
(156719,330164,9,100,'Cannot be modified except by direct means',1,6),
(156720,330164,9,100,'Cannot be modified except by direct means',0,7),
(156721,330164,10,100,'Increases Potency of caster by 10.0%',0,0),
(156722,330164,10,100,'Flamboyant Strike will gain an additional effect that causes the target to reduce their spell damage by 10%',0,1),
(156723,330164,10,100,'On a melee hit this spell may cast Swarthy Chaos on target of attack.  Lasts for 12.0 seconds.  Triggers about 3.0 times per minute. ',0,2),
(156724,330164,10,100,'Inflicts 475 - 713 piercing damage on target',1,3),
(156725,330164,10,100,'Inflicts 173 - 259 piercing damage on target every 3 seconds',1,4),
(156726,330164,10,100,'Adds an additional 8% hate transfer to Swarthy Deception IV',1,5),
(156727,330164,10,100,'Cannot be modified except by direct means',1,6),
(156728,330164,10,100,'Cannot be modified except by direct means',0,7),
(156729,330165,10,100,'Dispels 43 levels of arcane beneficial effects on target',0,0),
(156730,330165,10,100,'Interrupts target',0,1),
(156731,330165,10,100,'Increases Threat to target by 2,251 ',0,2),
(156732,330166,10,100,'Dispels 65 levels of arcane beneficial effects on target',0,0),
(156733,330166,10,100,'Interrupts target',0,1),
(156734,330166,10,100,'Increases Threat to target by 3,471 ',0,2),
(156735,330167,10,100,'Dispels 88 levels of arcane beneficial effects on target',0,0),
(156736,330167,10,100,'Interrupts target',0,1),
(156737,330167,10,100,'Increases Threat to target by 5,010 ',0,2),
(156738,330168,10,100,'Dispels 111 levels of arcane beneficial effects on target',0,0),
(156739,330168,10,100,'Interrupts target',0,1),
(156740,330168,10,100,'Increases Threat to target by 6,679 ',0,2),
(156741,330169,10,100,'Dispels 129 levels of arcane beneficial effects on target',0,0),
(156742,330169,10,100,'Interrupts target',0,1),
(156743,330169,10,100,'Increases Threat to target by 8,343 ',0,2),
(156744,330170,10,100,'Dispels 145 levels of arcane beneficial effects on target',0,0),
(156745,330170,10,100,'Interrupts target',0,1),
(156746,330170,10,100,'Increases Threat to target by 10,026 ',0,2),
(156747,330171,10,100,'Dispels 161 levels of arcane beneficial effects on target',0,0),
(156748,330171,10,100,'Interrupts target',0,1),
(156749,330171,10,100,'Increases Threat to target by 11,708 ',0,2),
(156750,330171,11,100,'Dispels 194 levels of arcane beneficial effects on target',0,0),
(156751,330171,11,100,'Interrupts target',0,1),
(156752,330171,11,100,'Increases Threat to target by 13,969 ',0,2),
(156753,330172,10,100,'Inflicts 19 - 33 melee damage on target',0,0),
(156754,330172,10,100,'Decreases AGI of target by 9.4',0,1),
(156755,330172,10,100,'Must be flanking or behind',0,2),
(156756,330172,11,100,'Inflicts 24 - 40 melee damage on target',0,0),
(156757,330172,11,100,'Decreases AGI of target by 11.3',0,1),
(156758,330172,11,100,'Must be flanking or behind',0,2),
(156759,330173,11,100,'Inflicts 105 - 175 melee damage on target',0,0),
(156760,330173,11,100,'Decreases AGI of target by 16.2',0,1),
(156761,330173,11,100,'Must be flanking or behind',0,2),
(156762,330174,11,100,'Inflicts 254 - 424 melee damage on target',0,0),
(156763,330174,11,100,'Decreases AGI of target by 38.0',0,1),
(156764,330174,11,100,'Must be flanking or behind',0,2),
(156765,330175,10,100,'Inflicts 353 - 588 melee damage on target',0,0),
(156766,330175,10,100,'Decreases AGI of target by 49.4',0,1),
(156767,330175,10,100,'Must be flanking or behind',0,2),
(156768,330175,11,100,'Inflicts 424 - 708 melee damage on target',0,0),
(156769,330175,11,100,'Decreases AGI of target by 59.4',0,1),
(156770,330175,11,100,'Must be flanking or behind',0,2),
(156771,330176,10,100,'Inflicts 1144 - 1907 melee damage on target',0,0),
(156772,330176,10,100,'Decreases AGI of target by 142.3',0,1),
(156773,330176,10,100,'Must be flanking or behind',0,2),
(156774,330176,11,100,'Inflicts 1376 - 2293 melee damage on target',0,0),
(156775,330176,11,100,'Decreases AGI of target by 171.1',0,1),
(156776,330176,11,100,'Must be flanking or behind',0,2),
(156777,330177,11,100,'Inflicts 631 - 1052 melee damage on target',0,0),
(156778,330177,11,100,'Decreases AGI of target by 82.0',0,1),
(156779,330177,11,100,'Must be flanking or behind',0,2),
(156780,330178,10,100,'Inflicts 701 - 1169 melee damage on target',0,0),
(156781,330178,10,100,'Decreases AGI of target by 87.0',0,1),
(156782,330178,10,100,'Must be flanking or behind',0,2),
(156783,330178,11,100,'Inflicts 843 - 1406 melee damage on target',0,0),
(156784,330178,11,100,'Decreases AGI of target by 104.6',0,1),
(156785,330178,11,100,'Must be flanking or behind',0,2),
(156786,330179,10,100,'Inflicts 864 - 1440 melee damage on target',0,0),
(156787,330179,10,100,'Decreases AGI of target by 105.3',0,1),
(156788,330179,10,100,'Must be flanking or behind',0,2),
(156789,330179,11,100,'Inflicts 1039 - 1732 melee damage on target',0,0),
(156790,330179,11,100,'Decreases AGI of target by 126.7',0,1),
(156791,330179,11,100,'Must be flanking or behind',0,2),
(156792,330180,10,100,'Inflicts 1041 - 1736 melee damage on target',0,0),
(156793,330180,10,100,'Decreases AGI of target by 123.8',0,1),
(156794,330180,10,100,'Must be flanking or behind',0,2),
(156795,330180,11,100,'Inflicts 1252 - 2088 melee damage on target',0,0),
(156796,330180,11,100,'Decreases AGI of target by 148.9',0,1),
(156797,330180,11,100,'Must be flanking or behind',0,2),
(156798,340000,10,100,'When a combat art is used this spell has a 30% chance to cast Reflexes on target.  Lasts for 5.0 seconds.  ',0,0),
(156799,340000,10,100,'Prevents AOE (except when direct) ',1,1),
(156800,340000,10,100,'Cannot be modified except by direct means',0,2),
(156801,340001,10,100,'Inflicts 11 - 19 melee damage on target',0,0),
(156802,340001,10,100,'Inflicts 4 piercing damage on target instantly and every 4 seconds',0,1),
(156803,340001,10,100,'Must be flanking or behind',0,2),
(156804,340001,11,100,'Inflicts 14 - 24 melee damage on target',0,0),
(156805,340001,11,100,'Inflicts 5 piercing damage on target instantly and every 4 seconds',0,1),
(156806,340001,11,100,'Must be flanking or behind',0,2),
(156807,340002,11,100,'Inflicts 63 - 105 melee damage on target',0,0),
(156808,340002,11,100,'Inflicts 21 piercing damage on target instantly and every 4 seconds',0,1),
(156809,340002,11,100,'Must be flanking or behind',0,2),
(156810,340003,11,100,'Inflicts 152 - 254 melee damage on target',0,0),
(156811,340003,11,100,'Inflicts 51 piercing damage on target instantly and every 4 seconds',0,1),
(156812,340003,11,100,'Must be flanking or behind',0,2),
(156813,340004,10,100,'Inflicts 211 - 353 melee damage on target',0,0),
(156814,340004,10,100,'Inflicts 71 piercing damage on target instantly and every 4 seconds',0,1),
(156815,340004,10,100,'Must be flanking or behind',0,2),
(156816,340004,11,100,'Inflicts 254 - 424 melee damage on target',0,0),
(156817,340004,11,100,'Inflicts 85 piercing damage on target instantly and every 4 seconds',0,1),
(156818,340004,11,100,'Must be flanking or behind',0,2),
(156819,340005,10,100,'Inflicts 686 - 1143 melee damage on target',0,0),
(156820,340005,10,100,'Inflicts 229 piercing damage on target instantly and every 4 seconds',0,1),
(156821,340005,10,100,'Must be flanking or behind',0,2),
(156822,340005,11,100,'Inflicts 825 - 1375 melee damage on target',0,0),
(156823,340005,11,100,'Inflicts 275 piercing damage on target instantly and every 4 seconds',0,1),
(156824,340005,11,100,'Must be flanking or behind',0,2),
(156825,340006,11,100,'Inflicts 378 - 631 melee damage on target',0,0),
(156826,340006,11,100,'Inflicts 126 piercing damage on target instantly and every 4 seconds',0,1),
(156827,340006,11,100,'Must be flanking or behind',0,2),
(156828,340007,10,100,'Inflicts 420 - 701 melee damage on target',0,0),
(156829,340007,10,100,'Inflicts 140 piercing damage on target instantly and every 4 seconds',0,1),
(156830,340007,10,100,'Must be flanking or behind',0,2),
(156831,340007,11,100,'Inflicts 506 - 843 melee damage on target',0,0),
(156832,340007,11,100,'Inflicts 169 piercing damage on target instantly and every 4 seconds',0,1),
(156833,340007,11,100,'Must be flanking or behind',0,2),
(156834,340008,10,100,'Inflicts 518 - 863 melee damage on target',0,0),
(156835,340008,10,100,'Inflicts 173 piercing damage on target instantly and every 4 seconds',0,1),
(156836,340008,10,100,'Must be flanking or behind',0,2),
(156837,340008,11,100,'Inflicts 623 - 1038 melee damage on target',0,0),
(156838,340008,11,100,'Inflicts 208 piercing damage on target instantly and every 4 seconds',0,1),
(156839,340008,11,100,'Must be flanking or behind',0,2),
(156840,340009,10,100,'Inflicts 624 - 1041 melee damage on target',0,0),
(156841,340009,10,100,'Inflicts 208 piercing damage on target instantly and every 4 seconds',0,1),
(156842,340009,10,100,'Must be flanking or behind',0,2),
(156843,340009,11,100,'Inflicts 751 - 1252 melee damage on target',0,0),
(156844,340009,11,100,'Inflicts 250 piercing damage on target instantly and every 4 seconds',0,1),
(156845,340009,11,100,'Must be flanking or behind',0,2),
(156846,340010,10,100,'Summons 3 limited pets to aid the caster',0,0),
(156847,340011,10,100,'Summons 3 limited pets to aid the caster',0,0),
(156848,340012,10,100,'Summons 3 limited pets to aid the caster',0,0),
(156849,340013,10,100,'Summons 3 limited pets to aid the caster',0,0),
(156850,340013,11,100,'Summons 3 limited pets to aid the caster',0,0),
(156851,340015,10,100,'Interrupts targets in Area of Effect',0,0),
(156852,340015,10,100,'Inflicts 151 - 252 melee damage on targets in Area of Effect',0,1),
(156853,340016,10,100,'Interrupts targets in Area of Effect',0,0),
(156854,340016,10,100,'Inflicts 239 - 398 melee damage on targets in Area of Effect',0,1),
(156855,340017,10,100,'Interrupts targets in Area of Effect',0,0),
(156856,340017,10,100,'Inflicts 345 - 575 melee damage on targets in Area of Effect',0,1),
(156857,340018,10,100,'Interrupts targets in Area of Effect',0,0),
(156858,340018,10,100,'Inflicts 451 - 751 melee damage on targets in Area of Effect',0,1),
(156859,340019,10,100,'Interrupts targets in Area of Effect',0,0),
(156860,340019,10,100,'Inflicts 547 - 911 melee damage on targets in Area of Effect',0,1),
(156861,340020,10,100,'Interrupts targets in Area of Effect',0,0),
(156862,340020,10,100,'Inflicts 658 - 1096 melee damage on targets in Area of Effect',0,1),
(156863,340021,10,100,'Interrupts targets in Area of Effect',0,0),
(156864,340021,10,100,'Inflicts 698 - 1163 melee damage on targets in Area of Effect',0,1),
(156865,340021,11,100,'Interrupts targets in Area of Effect',0,0),
(156866,340021,11,100,'Inflicts 839 - 1399 melee damage on targets in Area of Effect',0,1),
(156867,340022,10,100,'Inflicts 13 - 22 melee damage on target',0,0),
(156868,340022,10,100,'Inflicts 13 - 22 melee damage on target',0,1),
(156869,340024,10,100,'Inflicts 112 - 187 melee damage on target',0,0),
(156870,340024,10,100,'Inflicts 112 - 187 melee damage on target',0,1),
(156871,340025,10,100,'Inflicts 180 - 301 melee damage on target',0,0),
(156872,340025,10,100,'Inflicts 180 - 301 melee damage on target',0,1),
(156873,340026,10,100,'Inflicts 557 - 929 melee damage on target',0,0),
(156874,340026,10,100,'Inflicts 557 - 929 melee damage on target',0,1),
(156875,340026,11,100,'Inflicts 670 - 1117 melee damage on target',0,0),
(156876,340026,11,100,'Inflicts 670 - 1117 melee damage on target',0,1),
(156877,340028,10,100,'Inflicts 352 - 586 melee damage on target',0,0),
(156878,340028,10,100,'Inflicts 352 - 586 melee damage on target',0,1),
(156879,340029,10,100,'Inflicts 426 - 710 melee damage on target',0,0),
(156880,340029,10,100,'Inflicts 426 - 710 melee damage on target',0,1),
(156881,340030,10,100,'Inflicts 513 - 855 melee damage on target',0,0),
(156882,340030,10,100,'Inflicts 513 - 855 melee damage on target',0,1),
(156883,340031,10,100,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(156884,340031,10,100,'Decreases Threat to target by 292 ',1,1),
(156885,340032,10,100,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(156886,340032,10,100,'Decreases Threat to target by 577 ',1,1),
(156887,340033,10,100,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(156888,340033,10,100,'Decreases Threat to target by 918 ',1,1),
(156889,340034,10,100,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(156890,340034,10,100,'Decreases Threat to target by 1,323 ',1,1),
(156891,340035,10,100,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(156892,340035,10,100,'Decreases Threat to target by 1,740 ',1,1),
(156893,340036,10,100,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(156894,340036,10,100,'Decreases Threat to target by 2,161 ',1,1),
(156895,340037,10,100,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(156896,340037,10,100,'Decreases Threat to target by 2,581 ',1,1),
(156897,340037,11,100,'On a melee hit this spell may cast Baffle on target of attack.  Triggers about 4.0 times per minute. ',0,0),
(156898,340037,11,100,'Decreases Threat to target by 3,104 ',1,1),
(156899,340038,10,100,'Reduces all damage done to target by 60.9% This spell will absorb a total of 3 attacks.',0,0),
(156900,340038,10,100,'When damaged this spell will cast Beg on target''s attacker.  ',0,1),
(156901,340038,10,100,'Decreases threat priority of target encounter by 1 position',1,2),
(156902,340038,10,100,'Decreases Threat to target encounter by 1,881 ',1,3),
(156903,340038,10,100,'Grants a total of 3 triggers of the spell.',1,4),
(156904,340038,10,100,'If profession other than Fighter',0,5),
(156905,340039,10,100,'Reduces all damage done to target by 60.9% This spell will absorb a total of 3 attacks.',0,0),
(156906,340039,10,100,'When damaged this spell will cast Beg on target''s attacker.  ',0,1),
(156907,340039,10,100,'Decreases threat priority of target encounter by 1 position',1,2),
(156908,340039,10,100,'Decreases Threat to target encounter by 3,109 ',1,3),
(156909,340039,10,100,'Grants a total of 3 triggers of the spell.',1,4),
(156910,340039,10,100,'If profession other than Fighter',0,5),
(156911,340040,10,100,'Reduces all damage done to target by 60.9% This spell will absorb a total of 3 attacks.',0,0),
(156912,340040,10,100,'When damaged this spell will cast Beg on target''s attacker.  ',0,1),
(156913,340040,10,100,'Decreases threat priority of target encounter by 1 position',1,2),
(156914,340040,10,100,'Decreases Threat to target encounter by 4,705 ',1,3),
(156915,340040,10,100,'Grants a total of 3 triggers of the spell.',1,4),
(156916,340040,10,100,'If profession other than Fighter',0,5),
(156917,340041,10,100,'Reduces all damage done to target by 60.9% This spell will absorb a total of 3 attacks.',0,0),
(156918,340041,10,100,'When damaged this spell will cast Beg on target''s attacker.  ',0,1),
(156919,340041,10,100,'Decreases threat priority of target encounter by 1 position',1,2),
(156920,340041,10,100,'Decreases Threat to target encounter by 6,381 ',1,3),
(156921,340041,10,100,'Grants a total of 3 triggers of the spell.',1,4),
(156922,340041,10,100,'If profession other than Fighter',0,5),
(156923,340043,10,100,'Inflicts 299 - 499 crushing damage on target',0,0),
(156924,340043,10,100,'Prevents target from changing direction while active.',0,1),
(156925,340043,10,100,'If Target is not Epic',1,2),
(156926,340043,10,100,'Roots target',0,3),
(156927,340043,10,100,'If Target is not Epic',1,4),
(156928,340043,10,100,'Resistibility increases against targets higher than level 29.',0,5),
(156929,340046,10,100,'Inflicts 748 - 1247 crushing damage on target',0,0),
(156930,340046,10,100,'Prevents target from changing direction while active.',0,1),
(156931,340046,10,100,'If Target is not Epic',1,2),
(156932,340046,10,100,'Roots target',0,3),
(156933,340046,10,100,'If Target is not Epic',1,4),
(156934,340046,10,100,'Resistibility increases against targets higher than level 29.',0,5),
(156935,340047,10,100,'Inflicts 903 - 1506 crushing damage on target',0,0),
(156936,340047,10,100,'Prevents target from changing direction while active.',0,1),
(156937,340047,10,100,'If Target is not Epic',1,2),
(156938,340047,10,100,'Roots target',0,3),
(156939,340047,10,100,'If Target is not Epic',1,4),
(156940,340047,10,100,'Resistibility increases against targets higher than level 29.',0,5),
(156941,340048,10,100,'Inflicts 1017 - 1695 crushing damage on target',0,0),
(156942,340048,10,100,'Prevents target from changing direction while active.',0,1),
(156943,340048,10,100,'If Target is not Epic',1,2),
(156944,340048,10,100,'Roots target',0,3),
(156945,340048,10,100,'If Target is not Epic',1,4),
(156946,340048,10,100,'Resistibility increases against targets higher than level 29.',0,5),
(156947,340048,11,100,'Inflicts 1223 - 2038 crushing damage on target',0,0),
(156948,340048,11,100,'Prevents target from changing direction while active.',0,1),
(156949,340048,11,100,'If Target is not Epic',1,2),
(156950,340048,11,100,'Roots target',0,3),
(156951,340048,11,100,'If Target is not Epic',1,4),
(156952,340048,11,100,'Resistibility increases against targets higher than level 29.',0,5),
(156953,340049,10,100,'Decreases Slashing, Piercing and Crushing of caster by 13.8',0,0),
(156954,340049,10,100,'Increases Aggression of caster by 4.5',0,1),
(156955,340049,10,100,'Increases Defense and Parry of caster by 9.1',0,2),
(156956,340049,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(156957,340050,10,100,'Decreases Slashing, Piercing and Crushing of caster by 16.3',0,0),
(156958,340050,10,100,'Increases Aggression of caster by 8.1',0,1),
(156959,340050,10,100,'Increases Defense and Parry of caster by 16.1',0,2),
(156960,340050,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(156961,340051,10,100,'Decreases Slashing, Piercing and Crushing of caster by 19.3',0,0),
(156962,340051,10,100,'Increases Aggression of caster by 11.6',0,1),
(156963,340051,10,100,'Increases Defense and Parry of caster by 23.2',0,2),
(156964,340051,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(156965,340052,10,100,'Decreases Slashing, Piercing and Crushing of caster by 22.6',0,0),
(156966,340052,10,100,'Increases Aggression of caster by 15.1',0,1),
(156967,340052,10,100,'Increases Defense and Parry of caster by 30.2',0,2),
(156968,340052,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(156969,340053,10,100,'Decreases Slashing, Piercing and Crushing of caster by 25.9',0,0),
(156970,340053,10,100,'Increases Aggression of caster by 18.6',0,1),
(156971,340053,10,100,'Increases Defense and Parry of caster by 37.3',0,2),
(156972,340053,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(156973,340054,10,100,'Decreases Slashing, Piercing and Crushing of caster by 29.2',0,0),
(156974,340054,10,100,'Increases Aggression of caster by 22.3',0,1),
(156975,340054,10,100,'Increases Defense and Parry of caster by 44.5',0,2),
(156976,340054,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(156977,340055,10,100,'Decreases Slashing, Piercing and Crushing of caster by 32.5',0,0),
(156978,340055,10,100,'Increases Aggression of caster by 26.5',0,1),
(156979,340055,10,100,'Increases Defense and Parry of caster by 52.9',0,2),
(156980,340055,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(156981,340055,11,100,'Decreases Slashing, Piercing and Crushing of caster by 32.5',0,0),
(156982,340055,11,100,'Increases Aggression of caster by 31.8',0,1),
(156983,340055,11,100,'Increases Defense and Parry of caster by 63.6',0,2),
(156984,340055,11,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 18%',0,3),
(156985,340056,10,100,'Interrupts target',0,0),
(156986,340056,10,100,'Inflicts 27 - 45 melee damage on target',0,1),
(156987,340056,10,100,'Must be flanking or behind',0,2),
(156988,340057,10,100,'Interrupts target',0,0),
(156989,340057,10,100,'Inflicts 97 - 163 melee damage on target',0,1),
(156990,340057,10,100,'Must be flanking or behind',0,2),
(156991,340059,10,100,'Interrupts target',0,0),
(156992,340059,10,100,'Inflicts 277 - 461 melee damage on target',0,1),
(156993,340059,10,100,'Must be flanking or behind',0,2),
(156994,340062,10,100,'Interrupts target',0,0),
(156995,340062,10,100,'Inflicts 591 - 985 melee damage on target',0,1),
(156996,340062,10,100,'Must be flanking or behind',0,2),
(156997,340063,10,100,'Interrupts target',0,0),
(156998,340063,10,100,'Inflicts 674 - 1123 melee damage on target',0,1),
(156999,340063,10,100,'Must be flanking or behind',0,2),
(157000,340063,11,100,'Interrupts target',0,0),
(157001,340063,11,100,'Inflicts 810 - 1351 melee damage on target',0,1),
(157002,340063,11,100,'Must be flanking or behind',0,2),
(157003,340064,10,100,'Dispels 72 levels of arcane beneficial effects on target',0,0),
(157004,340064,10,100,'Interrupts target',0,1),
(157005,340064,10,100,'Increases Threat to target by 2,251 ',0,2),
(157006,340065,10,100,'Dispels 108 levels of arcane beneficial effects on target',0,0),
(157007,340065,10,100,'Interrupts target',0,1),
(157008,340065,10,100,'Increases Threat to target by 3,471 ',0,2),
(157009,340066,10,100,'Dispels 147 levels of arcane beneficial effects on target',0,0),
(157010,340066,10,100,'Interrupts target',0,1),
(157011,340066,10,100,'Increases Threat to target by 5,010 ',0,2),
(157012,340067,10,100,'Dispels 185 levels of arcane beneficial effects on target',0,0),
(157013,340067,10,100,'Interrupts target',0,1),
(157014,340067,10,100,'Increases Threat to target by 6,679 ',0,2),
(157015,340068,10,100,'Dispels 215 levels of arcane beneficial effects on target',0,0),
(157016,340068,10,100,'Interrupts target',0,1),
(157017,340068,10,100,'Increases Threat to target by 8,343 ',0,2),
(157018,340069,10,100,'Dispels 242 levels of arcane beneficial effects on target',0,0),
(157019,340069,10,100,'Interrupts target',0,1),
(157020,340069,10,100,'Increases Threat to target by 10,026 ',0,2),
(157021,340070,10,100,'Dispels 269 levels of arcane beneficial effects on target',0,0),
(157022,340070,10,100,'Interrupts target',0,1),
(157023,340070,10,100,'Increases Threat to target by 11,708 ',0,2),
(157024,340070,11,100,'Dispels 323 levels of arcane beneficial effects on target',0,0),
(157025,340070,11,100,'Interrupts target',0,1),
(157026,340070,11,100,'Increases Threat to target by 13,969 ',0,2),
(157027,340071,10,100,'Inflicts 449 - 749 melee damage on target',0,0),
(157028,340071,10,100,'Decreases Mitigation of target vs physical damage by 1680',0,1),
(157029,340071,10,100,'Must be flanking or behind',0,2),
(157030,340071,11,100,'Inflicts 540 - 901 melee damage on target',0,0),
(157031,340071,11,100,'Decreases Mitigation of target vs physical damage by 2020',0,1),
(157032,340071,11,100,'Must be flanking or behind',0,2),
(157033,340072,10,100,'Inflicts 676 - 1127 melee damage on target',0,0),
(157034,340072,10,100,'Decreases Mitigation of target vs physical damage by 2352',0,1),
(157035,340072,10,100,'Must be flanking or behind',0,2),
(157036,340072,11,100,'Inflicts 813 - 1356 melee damage on target',0,0),
(157037,340072,11,100,'Decreases Mitigation of target vs physical damage by 2828',0,1),
(157038,340072,11,100,'Must be flanking or behind',0,2),
(157039,340073,10,100,'Inflicts 820 - 1367 melee damage on target',0,0),
(157040,340073,10,100,'Decreases Mitigation of target vs physical damage by 3072',0,1),
(157041,340073,10,100,'Must be flanking or behind',0,2),
(157042,340073,11,100,'Inflicts 986 - 1644 melee damage on target',0,0),
(157043,340073,11,100,'Decreases Mitigation of target vs physical damage by 3694',0,1),
(157044,340073,11,100,'Must be flanking or behind',0,2),
(157045,340074,10,100,'Inflicts 987 - 1645 melee damage on target',0,0),
(157046,340074,10,100,'Decreases Mitigation of target vs physical damage by 3629',0,1),
(157047,340074,10,100,'Must be flanking or behind',0,2),
(157048,340074,11,100,'Inflicts 1187 - 1978 melee damage on target',0,0),
(157049,340074,11,100,'Decreases Mitigation of target vs physical damage by 4363',0,1),
(157050,340074,11,100,'Must be flanking or behind',0,2),
(157051,340075,10,100,'Inflicts 1047 - 1745 melee damage on target',0,0),
(157052,340075,10,100,'Decreases Mitigation of target vs physical damage by 4032',0,1),
(157053,340075,10,100,'Must be flanking or behind',0,2),
(157054,340075,11,100,'Inflicts 1259 - 2099 melee damage on target',0,0),
(157055,340075,11,100,'Decreases Mitigation of target vs physical damage by 4848',0,1),
(157056,340075,11,100,'Must be flanking or behind',0,2),
(157057,340076,10,100,'Increases Haste of caster by 34.9',0,0),
(157058,340076,10,100,'On a melee hit this spell may cast Knockdown on target of attack.  Lasts for 2.5 seconds.  Triggers about 4.0 times per minute. ',0,1),
(157059,340076,10,100,'Throws target back',1,2),
(157060,340076,10,100,'Blurs vision of target',1,3),
(157061,340076,10,100,'Stuns target',1,4),
(157062,340076,10,100,'Does not affect Epic targets',1,5),
(157063,340077,10,100,'Increases Haste of caster by 40.7',0,0),
(157064,340077,10,100,'On a melee hit this spell may cast Knockdown on target of attack.  Lasts for 2.5 seconds.  Triggers about 4.0 times per minute. ',0,1),
(157065,340077,10,100,'Throws target back',1,2),
(157066,340077,10,100,'Blurs vision of target',1,3),
(157067,340077,10,100,'Stuns target',1,4),
(157068,340077,10,100,'Does not affect Epic targets',1,5),
(157069,340078,10,100,'Increases Haste of caster by 46.4',0,0),
(157070,340078,10,100,'On a melee hit this spell may cast Knockdown on target of attack.  Lasts for 2.5 seconds.  Triggers about 4.0 times per minute. ',0,1),
(157071,340078,10,100,'Throws target back',1,2),
(157072,340078,10,100,'Blurs vision of target',1,3),
(157073,340078,10,100,'Stuns target',1,4),
(157074,340078,10,100,'Does not affect Epic targets',1,5),
(157075,340079,10,100,'Inflicts 339 - 565 melee damage on target',0,0),
(157076,340079,10,100,'Decreases Defense of target by 22.2',0,1),
(157077,340079,10,100,'Decreases Defense of caster by 13.2',0,2),
(157078,340080,10,100,'Inflicts 480 - 800 melee damage on target',0,0),
(157079,340080,10,100,'Decreases Defense of target by 29.2',0,1),
(157080,340080,10,100,'Decreases Defense of caster by 17.4',0,2),
(157081,340082,10,100,'Inflicts 759 - 1265 melee damage on target',0,0),
(157082,340082,10,100,'Decreases Defense of target by 43.3',0,1),
(157083,340082,10,100,'Decreases Defense of caster by 25.8',0,2),
(157084,340083,10,100,'Inflicts 888 - 1480 melee damage on target',0,0),
(157085,340083,10,100,'Decreases Defense of target by 50.1',0,1),
(157086,340083,10,100,'Decreases Defense of caster by 29.8',0,2),
(157087,340083,11,100,'Inflicts 1068 - 1780 melee damage on target',0,0),
(157088,340083,11,100,'Decreases Defense of target by 60.2',0,1),
(157089,340083,11,100,'Decreases Defense of caster by 29.8',0,2),
(157090,340084,1,100,'Decreases Mitigation of target vs arcane damage by 1980',0,4),
(157091,340084,1,100,'Must be flanking or behind',0,5),
(157092,340084,2,100,'Decreases Mitigation of target vs arcane damage by 2090',0,4),
(157093,340084,2,100,'Must be flanking or behind',0,5),
(157094,340084,3,100,'Decreases Mitigation of target vs arcane damage by 2200',0,4),
(157095,340084,3,100,'Must be flanking or behind',0,5),
(157096,340084,4,100,'Decreases Mitigation of target vs arcane damage by 2420',0,4),
(157097,340084,4,100,'Must be flanking or behind',0,5),
(157098,340084,5,100,'Decreases Mitigation of target vs arcane damage by 2640',0,4),
(157099,340084,5,100,'Must be flanking or behind',0,5),
(157100,340084,7,100,'Decreases Mitigation of target vs arcane damage by 3388',0,4),
(157101,340084,7,100,'Must be flanking or behind',0,5),
(157102,340084,9,100,'Decreases Mitigation of target vs arcane damage by 3520',0,4),
(157103,340084,9,100,'Must be flanking or behind',0,5),
(157104,340084,10,100,'Inflicts 506 - 844 melee damage on target',0,0),
(157105,340084,10,100,'Decreases Mitigation of target vs physical damage by 3696',0,1),
(157106,340084,10,100,'Decreases Mitigation of target vs elemental damage by 3696',0,2),
(157107,340084,10,100,'Decreases Mitigation of target vs noxious damage by 3696',0,3),
(157108,340084,10,100,'Decreases Mitigation of target vs arcane damage by 3696',0,4),
(157109,340084,10,100,'Must be flanking or behind',0,5),
(157110,340084,11,100,'Inflicts 608 - 1014 melee damage on target',0,0),
(157111,340084,11,100,'Decreases Mitigation of target vs physical damage by 4444',0,1),
(157112,340084,11,100,'Decreases Mitigation of target vs elemental damage by 4444',0,2),
(157113,340084,11,100,'Decreases Mitigation of target vs noxious damage by 4444',0,3),
(157114,340084,11,100,'Decreases Mitigation of target vs arcane damage by 4444',0,4),
(157115,340084,11,100,'Must be flanking or behind',0,5),
(157116,340085,1,100,'Decreases Mitigation of target vs arcane damage by 2816',0,4),
(157117,340085,1,100,'Must be flanking or behind',0,5),
(157118,340085,2,100,'Decreases Mitigation of target vs arcane damage by 2973',0,4),
(157119,340085,2,100,'Must be flanking or behind',0,5),
(157120,340085,3,100,'Decreases Mitigation of target vs arcane damage by 3129',0,4),
(157121,340085,3,100,'Must be flanking or behind',0,5),
(157122,340085,4,100,'Decreases Mitigation of target vs arcane damage by 3442',0,4),
(157123,340085,4,100,'Must be flanking or behind',0,5),
(157124,340085,5,100,'Decreases Mitigation of target vs arcane damage by 3755',0,4),
(157125,340085,5,100,'Must be flanking or behind',0,5),
(157126,340085,7,100,'Decreases Mitigation of target vs arcane damage by 4819',0,4),
(157127,340085,7,100,'Must be flanking or behind',0,5),
(157128,340085,9,100,'Decreases Mitigation of target vs arcane damage by 5007',0,4),
(157129,340085,9,100,'Must be flanking or behind',0,5),
(157130,340085,10,100,'Inflicts 734 - 1223 melee damage on target',0,0),
(157131,340085,10,100,'Decreases Mitigation of target vs physical damage by 5257',0,1),
(157132,340085,10,100,'Decreases Mitigation of target vs elemental damage by 5257',0,2),
(157133,340085,10,100,'Decreases Mitigation of target vs noxious damage by 5257',0,3),
(157134,340085,10,100,'Decreases Mitigation of target vs arcane damage by 5257',0,4),
(157135,340085,10,100,'Must be flanking or behind',0,5),
(157136,340085,11,100,'Inflicts 882 - 1471 melee damage on target',0,0),
(157137,340085,11,100,'Decreases Mitigation of target vs physical damage by 6321',0,1),
(157138,340085,11,100,'Decreases Mitigation of target vs elemental damage by 6321',0,2),
(157139,340085,11,100,'Decreases Mitigation of target vs noxious damage by 6321',0,3),
(157140,340085,11,100,'Decreases Mitigation of target vs arcane damage by 6321',0,4),
(157141,340085,11,100,'Must be flanking or behind',0,5),
(157142,340086,1,100,'Decreases Mitigation of target vs arcane damage by 3629',0,4),
(157143,340086,1,100,'Must be flanking or behind',0,5),
(157144,340086,4,100,'Decreases Mitigation of target vs arcane damage by 4435',0,4),
(157145,340086,4,100,'Must be flanking or behind',0,5),
(157146,340086,5,100,'Decreases Mitigation of target vs arcane damage by 4838',0,4),
(157147,340086,5,100,'Must be flanking or behind',0,5),
(157148,340086,7,100,'Decreases Mitigation of target vs arcane damage by 6209',0,4),
(157149,340086,7,100,'Must be flanking or behind',0,5),
(157150,340086,9,100,'Decreases Mitigation of target vs arcane damage by 6451',0,4),
(157151,340086,9,100,'Must be flanking or behind',0,5),
(157152,340086,10,100,'Inflicts 887 - 1478 melee damage on target',0,0),
(157153,340086,10,100,'Decreases Mitigation of target vs physical damage by 6774',0,1),
(157154,340086,10,100,'Decreases Mitigation of target vs elemental damage by 6774',0,2),
(157155,340086,10,100,'Decreases Mitigation of target vs noxious damage by 6774',0,3),
(157156,340086,10,100,'Decreases Mitigation of target vs arcane damage by 6774',0,4),
(157157,340086,10,100,'Must be flanking or behind',0,5),
(157158,340086,11,100,'Inflicts 1066 - 1778 melee damage on target',0,0),
(157159,340086,11,100,'Decreases Mitigation of target vs physical damage by 8145',0,1),
(157160,340086,11,100,'Decreases Mitigation of target vs elemental damage by 8145',0,2),
(157161,340086,11,100,'Decreases Mitigation of target vs noxious damage by 8145',0,3),
(157162,340086,11,100,'Decreases Mitigation of target vs arcane damage by 8145',0,4),
(157163,340086,11,100,'Must be flanking or behind',0,5),
(157164,340087,1,100,'Decreases Mitigation of target vs arcane damage by 4061',0,4),
(157165,340087,1,100,'Must be flanking or behind',0,5),
(157166,340087,4,100,'Decreases Mitigation of target vs arcane damage by 4963',0,4),
(157167,340087,4,100,'Must be flanking or behind',0,5),
(157168,340087,5,100,'Decreases Mitigation of target vs arcane damage by 5414',0,4),
(157169,340087,5,100,'Must be flanking or behind',0,5),
(157170,340087,7,100,'Decreases Mitigation of target vs arcane damage by 6948',0,4),
(157171,340087,7,100,'Must be flanking or behind',0,5),
(157172,340087,9,100,'Decreases Mitigation of target vs arcane damage by 7219',0,4),
(157173,340087,9,100,'Must be flanking or behind',0,5),
(157174,340087,10,100,'Inflicts 1011 - 1685 melee damage on target',0,0),
(157175,340087,10,100,'Decreases Mitigation of target vs physical damage by 7580',0,1),
(157176,340087,10,100,'Decreases Mitigation of target vs elemental damage by 7580',0,2),
(157177,340087,10,100,'Decreases Mitigation of target vs noxious damage by 7580',0,3),
(157178,340087,10,100,'Decreases Mitigation of target vs arcane damage by 7580',0,4),
(157179,340087,10,100,'Must be flanking or behind',0,5),
(157180,340087,11,100,'Inflicts 1216 - 2026 melee damage on target',0,0),
(157181,340087,11,100,'Decreases Mitigation of target vs physical damage by 9114',0,1),
(157182,340087,11,100,'Decreases Mitigation of target vs elemental damage by 9114',0,2),
(157183,340087,11,100,'Decreases Mitigation of target vs noxious damage by 9114',0,3),
(157184,340087,11,100,'Decreases Mitigation of target vs arcane damage by 9114',0,4),
(157185,340087,11,100,'Must be flanking or behind',0,5),
(157186,340088,10,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(157187,340088,10,100,'Throws target back',1,1),
(157188,340088,10,100,'Blurs vision of target',1,2),
(157189,340088,10,100,'Stuns target',1,3),
(157190,340088,10,100,'Does not affect Epic targets',1,4),
(157191,340088,10,100,'Inflicts 59 - 99 ranged damage on target',0,5),
(157192,340088,10,100,'Inflicts 59 - 99 ranged damage on target',0,6),
(157193,340088,10,100,'If weapon equipped in Ranged',0,7),
(157194,340089,10,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(157195,340089,10,100,'Throws target back',1,1),
(157196,340089,10,100,'Blurs vision of target',1,2),
(157197,340089,10,100,'Stuns target',1,3),
(157198,340089,10,100,'Does not affect Epic targets',1,4),
(157199,340089,10,100,'Inflicts 118 - 197 ranged damage on target',0,5),
(157200,340089,10,100,'Inflicts 118 - 197 ranged damage on target',0,6),
(157201,340089,10,100,'If weapon equipped in Ranged',0,7),
(157202,340090,10,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(157203,340090,10,100,'Throws target back',1,1),
(157204,340090,10,100,'Blurs vision of target',1,2),
(157205,340090,10,100,'Stuns target',1,3),
(157206,340090,10,100,'Does not affect Epic targets',1,4),
(157207,340090,10,100,'Inflicts 184 - 307 ranged damage on target',0,5),
(157208,340090,10,100,'Inflicts 184 - 307 ranged damage on target',0,6),
(157209,340090,10,100,'If weapon equipped in Ranged',0,7),
(157210,340091,10,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(157211,340091,10,100,'Throws target back',1,1),
(157212,340091,10,100,'Blurs vision of target',1,2),
(157213,340091,10,100,'Stuns target',1,3),
(157214,340091,10,100,'Does not affect Epic targets',1,4),
(157215,340091,10,100,'Inflicts 261 - 435 ranged damage on target',0,5),
(157216,340091,10,100,'Inflicts 261 - 435 ranged damage on target',0,6),
(157217,340091,10,100,'If weapon equipped in Ranged',0,7),
(157218,340092,10,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(157219,340092,10,100,'Throws target back',1,1),
(157220,340092,10,100,'Blurs vision of target',1,2),
(157221,340092,10,100,'Stuns target',1,3),
(157222,340092,10,100,'Does not affect Epic targets',1,4),
(157223,340092,10,100,'Inflicts 334 - 556 ranged damage on target',0,5),
(157224,340092,10,100,'Inflicts 334 - 556 ranged damage on target',0,6),
(157225,340092,10,100,'If weapon equipped in Ranged',0,7),
(157226,340093,10,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(157227,340093,10,100,'Throws target back',1,1),
(157228,340093,10,100,'Blurs vision of target',1,2),
(157229,340093,10,100,'Stuns target',1,3),
(157230,340093,10,100,'Does not affect Epic targets',1,4),
(157231,340093,10,100,'Inflicts 404 - 674 ranged damage on target',0,5),
(157232,340093,10,100,'Inflicts 404 - 674 ranged damage on target',0,6),
(157233,340093,10,100,'If weapon equipped in Ranged',0,7),
(157234,340094,10,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(157235,340094,10,100,'Throws target back',1,1),
(157236,340094,10,100,'Blurs vision of target',1,2),
(157237,340094,10,100,'Stuns target',1,3),
(157238,340094,10,100,'Does not affect Epic targets',1,4),
(157239,340094,10,100,'Inflicts 480 - 800 ranged damage on target',0,5),
(157240,340094,10,100,'Inflicts 480 - 800 ranged damage on target',0,6),
(157241,340094,10,100,'If weapon equipped in Ranged',0,7),
(157242,340094,11,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(157243,340094,11,100,'Throws target back',1,1),
(157244,340094,11,100,'Blurs vision of target',1,2),
(157245,340094,11,100,'Stuns target',1,3),
(157246,340094,11,100,'Does not affect Epic targets',1,4),
(157247,340094,11,100,'Inflicts 577 - 962 ranged damage on target',0,5),
(157248,340094,11,100,'Inflicts 577 - 962 ranged damage on target',0,6),
(157249,340094,11,100,'If weapon equipped in Ranged',0,7),
(157250,340095,10,100,'Instantly recasts any offensive Combat Art the brigand uses.',0,0),
(157251,340096,10,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(157252,340096,10,100,'Slows target by 59.8%',1,1),
(157253,340096,10,100,'5% chance to dispel when target receives hostile action',1,2),
(157254,340096,10,100,'5% chance to dispel when target takes damage',1,3),
(157255,340096,10,100,'Slows target encounter by 71.8%',0,4),
(157256,340096,10,100,'5% chance to dispel when target takes damage',0,5),
(157257,340097,10,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(157258,340097,10,100,'Slows target by 64.5%',1,1),
(157259,340097,10,100,'5% chance to dispel when target receives hostile action',1,2),
(157260,340097,10,100,'5% chance to dispel when target takes damage',1,3),
(157261,340097,10,100,'Slows target encounter by 77.4%',0,4),
(157262,340097,10,100,'5% chance to dispel when target takes damage',0,5),
(157263,340098,10,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(157264,340098,10,100,'Slows target by 67.6%',1,1),
(157265,340098,10,100,'5% chance to dispel when target receives hostile action',1,2),
(157266,340098,10,100,'5% chance to dispel when target takes damage',1,3),
(157267,340098,10,100,'Slows target encounter by 81.1%',0,4),
(157268,340098,10,100,'5% chance to dispel when target takes damage',0,5),
(157269,340099,10,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(157270,340099,10,100,'Slows target by 68.5%',1,1),
(157271,340099,10,100,'5% chance to dispel when target receives hostile action',1,2),
(157272,340099,10,100,'5% chance to dispel when target takes damage',1,3),
(157273,340099,10,100,'Slows target encounter by 82.3%',0,4),
(157274,340099,10,100,'5% chance to dispel when target takes damage',0,5),
(157275,340100,10,100,'Inflicts 103 - 172 melee damage on target',0,0),
(157276,340100,10,100,'Decreases Parry of target by 15.1',0,1),
(157277,340100,10,100,'Must be in front of or flanking',0,2),
(157278,340101,10,100,'Inflicts 209 - 349 melee damage on target',0,0),
(157279,340101,10,100,'Decreases Parry of target by 29.2',0,1),
(157280,340101,10,100,'Must be in front of or flanking',0,2),
(157281,340103,10,100,'Inflicts 470 - 783 melee damage on target',0,0),
(157282,340103,10,100,'Decreases Parry of target by 57.5',0,1),
(157283,340103,10,100,'Must be in front of or flanking',0,2),
(157284,340104,10,100,'Inflicts 613 - 1023 melee damage on target',0,0),
(157285,340104,10,100,'Decreases Parry of target by 71.9',0,1),
(157286,340104,10,100,'Must be in front of or flanking',0,2),
(157287,340106,11,100,'Inflicts 1060 - 1768 melee damage on target',0,0),
(157288,340106,11,100,'Decreases Parry of target by 118.8',0,1),
(157289,340106,11,100,'Must be in front of or flanking',0,2),
(157290,340107,9,100,'Improves the Brigand''s profession debuffs by 10%.',0,0),
(157291,340107,9,100,'Improves the damage of Murderous Rake, Dispatch, Debilitate and Backstab by 30%',0,1),
(157292,340107,9,100,'On a combat hit this spell may cast Havoc''s Treachery on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.4 times per minute. ',0,2),
(157293,340107,9,100,'Inflicts 605 - 907 piercing damage on target',1,3),
(157294,340107,9,100,'Increases DPS of caster by 15.0',1,4),
(157295,340107,9,100,'Cannot be modified except by direct means',1,5),
(157296,340107,9,100,'Cannot be modified except by direct means',0,6),
(157297,340107,10,100,'Improves the Brigand''s profession debuffs by 10%.',0,0),
(157298,340107,10,100,'Improves the damage of Murderous Rake, Dispatch, Debilitate and Backstab by 30%',0,1),
(157299,340107,10,100,'On a combat hit this spell may cast Havoc''s Treachery on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.4 times per minute. ',0,2),
(157300,340107,10,100,'Inflicts 605 - 907 piercing damage on target',1,3),
(157301,340107,10,100,'Increases DPS of caster by 15.0',1,4),
(157302,340107,10,100,'Cannot be modified except by direct means',1,5),
(157303,340107,10,100,'Cannot be modified except by direct means',0,6),
(157304,340108,10,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(157305,340108,10,100,'Slows target by 52.8%',1,1),
(157306,340108,10,100,'5% chance to dispel when target receives hostile action',1,2),
(157307,340108,10,100,'5% chance to dispel when target takes damage',1,3),
(157308,340108,10,100,'Decreases Mitigation of target vs elemental damage by 367',0,4),
(157309,340109,10,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(157310,340109,10,100,'Slows target by 58.1%',1,1),
(157311,340109,10,100,'5% chance to dispel when target receives hostile action',1,2),
(157312,340109,10,100,'5% chance to dispel when target takes damage',1,3),
(157313,340109,10,100,'Decreases Mitigation of target vs elemental damage by 773',0,4),
(157314,340110,10,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(157315,340110,10,100,'Slows target by 62.8%',1,1),
(157316,340110,10,100,'5% chance to dispel when target receives hostile action',1,2),
(157317,340110,10,100,'5% chance to dispel when target takes damage',1,3),
(157318,340110,10,100,'Decreases Mitigation of target vs elemental damage by 1243',0,4),
(157319,340111,10,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(157320,340111,10,100,'Slows target by 67.3%',1,1),
(157321,340111,10,100,'5% chance to dispel when target receives hostile action',1,2),
(157322,340111,10,100,'5% chance to dispel when target takes damage',1,3),
(157323,340111,10,100,'Decreases Mitigation of target vs elemental damage by 1714',0,4),
(157324,340112,10,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(157325,340112,10,100,'Slows target by 68.2%',1,1),
(157326,340112,10,100,'5% chance to dispel when target receives hostile action',1,2),
(157327,340112,10,100,'5% chance to dispel when target takes damage',1,3),
(157328,340112,10,100,'Decreases Mitigation of target vs elemental damage by 2184',0,4),
(157329,340113,10,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(157330,340113,10,100,'Slows target by 68.9%',1,1),
(157331,340113,10,100,'5% chance to dispel when target receives hostile action',1,2),
(157332,340113,10,100,'5% chance to dispel when target takes damage',1,3),
(157333,340113,10,100,'Decreases Mitigation of target vs elemental damage by 2772',0,4),
(157334,340114,10,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(157335,340114,10,100,'Slows target by 69.6%',1,1),
(157336,340114,10,100,'5% chance to dispel when target receives hostile action',1,2),
(157337,340114,10,100,'5% chance to dispel when target takes damage',1,3),
(157338,340114,10,100,'Decreases Mitigation of target vs elemental damage by 3468',0,4),
(157339,340115,10,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(157340,340115,10,100,'Slows target by 70.3%',1,1),
(157341,340115,10,100,'5% chance to dispel when target receives hostile action',1,2),
(157342,340115,10,100,'5% chance to dispel when target takes damage',1,3),
(157343,340115,10,100,'Decreases Mitigation of target vs elemental damage by 3871',0,4),
(157344,340115,11,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(157345,340115,11,100,'Slows target by 84.5%',1,1),
(157346,340115,11,100,'5% chance to dispel when target receives hostile action',1,2),
(157347,340115,11,100,'5% chance to dispel when target takes damage',1,3),
(157348,340115,11,100,'Decreases Mitigation of target vs elemental damage by 4654',0,4),
(157349,340116,10,100,'Decreases AGI of target by 11.4',0,0),
(157350,340116,10,100,'Decreases Defense of target by 3.7',0,1),
(157351,340117,10,100,'Decreases AGI of target by 29.2',0,0),
(157352,340117,10,100,'Decreases Defense of target by 11.1',0,1),
(157353,340118,10,100,'Decreases AGI of target by 46.7',0,0),
(157354,340118,10,100,'Decreases Defense of target by 18.1',0,1),
(157355,340119,10,100,'Decreases AGI of target by 65.5',0,0),
(157356,340119,10,100,'Decreases Defense of target by 25.2',0,1),
(157357,340120,10,100,'Decreases AGI of target by 84.3',0,0),
(157358,340120,10,100,'Decreases Defense of target by 32.3',0,1),
(157359,340121,10,100,'Decreases AGI of target by 101.6',0,0),
(157360,340121,10,100,'Decreases Defense of target by 38.6',0,1),
(157361,340122,10,100,'Decreases AGI of target by 120.1',0,0),
(157362,340122,10,100,'Decreases Defense of target by 45.4',0,1),
(157363,340123,10,100,'Decreases AGI of target by 138.6',0,0),
(157364,340123,10,100,'Decreases Defense of target by 52.1',0,1),
(157365,340123,11,100,'Decreases AGI of target by 166.6',0,0),
(157366,340123,11,100,'Decreases Defense of target by 62.6',0,1),
(157367,340124,11,100,'Inflicts 185 - 309 melee damage on target',0,0),
(157368,340124,11,100,'Decreases Combat Mitigation of target by 25.05',0,1),
(157369,340124,11,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 808',0,2),
(157370,340124,11,100,'Must be flanking or behind',0,3),
(157371,340125,11,100,'Inflicts 338 - 564 melee damage on target',0,0),
(157372,340125,11,100,'Decreases Combat Mitigation of target by 25.05',0,1),
(157373,340125,11,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1374',0,2),
(157374,340125,11,100,'Must be flanking or behind',0,3),
(157375,340126,11,100,'Inflicts 513 - 855 melee damage on target',0,0),
(157376,340126,11,100,'Decreases Combat Mitigation of target by 25.05',0,1),
(157377,340126,11,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1939',0,2),
(157378,340126,11,100,'Must be flanking or behind',0,3),
(157379,340127,11,100,'Inflicts 704 - 1174 melee damage on target',0,0),
(157380,340127,11,100,'Decreases Combat Mitigation of target by 25.05',0,1),
(157381,340127,11,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 2505',0,2),
(157382,340127,11,100,'Must be flanking or behind',0,3),
(157383,340128,10,100,'Inflicts 734 - 1223 melee damage on target',0,0),
(157384,340128,10,100,'Decreases Combat Mitigation of target by 20.83',0,1),
(157385,340128,10,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 2628',0,2),
(157386,340128,10,100,'Must be flanking or behind',0,3),
(157387,340128,11,100,'Inflicts 882 - 1471 melee damage on target',0,0),
(157388,340128,11,100,'Decreases Combat Mitigation of target by 25.05',0,1),
(157389,340128,11,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 3160',0,2),
(157390,340128,11,100,'Must be flanking or behind',0,3),
(157391,340129,11,100,'Inflicts 1066 - 1778 melee damage on target',0,0),
(157392,340129,11,100,'Decreases Combat Mitigation of target by 25.05',0,1),
(157393,340129,11,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 4072',0,2),
(157394,340129,11,100,'Must be flanking or behind',0,3),
(157395,340130,11,100,'Inflicts 1216 - 2026 melee damage on target',0,0),
(157396,340130,11,100,'Decreases Combat Mitigation of target by 25.05',0,1),
(157397,340130,11,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 4557',0,2),
(157398,340130,11,100,'Must be flanking or behind',0,3),
(157399,340131,10,100,'Inflicts 9 - 15 melee damage on target',0,0),
(157400,340131,10,100,'Decreases Haste of target by 17.0',0,1),
(157401,340131,11,100,'Inflicts 10 - 18 melee damage on target',0,0),
(157402,340131,11,100,'Decreases Haste of target by 20.4',0,1),
(157403,340132,10,100,'Inflicts 28 - 47 melee damage on target',0,0),
(157404,340132,10,100,'Decreases Haste of target by 18.1',0,1),
(157405,340132,11,100,'Inflicts 33 - 56 melee damage on target',0,0),
(157406,340132,11,100,'Decreases Haste of target by 21.8',0,1),
(157407,340133,10,100,'Inflicts 51 - 86 melee damage on target',0,0),
(157408,340133,10,100,'Decreases Haste of target by 19.3',0,1),
(157409,340133,11,100,'Inflicts 62 - 103 melee damage on target',0,0),
(157410,340133,11,100,'Decreases Haste of target by 23.2',0,1),
(157411,340134,10,100,'Inflicts 105 - 175 melee damage on target',0,0),
(157412,340134,10,100,'Decreases Haste of target by 21.7',0,1),
(157413,340134,11,100,'Inflicts 126 - 210 melee damage on target',0,0),
(157414,340134,11,100,'Decreases Haste of target by 26.1',0,1),
(157415,340135,10,100,'Inflicts 442 - 736 melee damage on target',0,0),
(157416,340135,10,100,'Decreases Haste of target by 32.1',0,1),
(157417,340135,11,100,'Inflicts 531 - 885 melee damage on target',0,0),
(157418,340135,11,100,'Decreases Haste of target by 38.6',0,1),
(157419,340136,11,100,'Inflicts 198 - 330 melee damage on target',0,0),
(157420,340136,11,100,'Decreases Haste of target by 28.9',0,1),
(157421,340137,10,100,'Inflicts 235 - 392 melee damage on target',0,0),
(157422,340137,10,100,'Decreases Haste of target by 26.4',0,1),
(157423,340137,11,100,'Inflicts 283 - 471 melee damage on target',0,0),
(157424,340137,11,100,'Decreases Haste of target by 31.7',0,1),
(157425,340138,11,100,'Inflicts 369 - 616 melee damage on target',0,0),
(157426,340138,11,100,'Decreases Haste of target by 34.5',0,1),
(157427,340139,10,100,'Inflicts 372 - 621 melee damage on target',0,0),
(157428,340139,10,100,'Decreases Haste of target by 30.4',0,1),
(157429,340139,11,100,'Inflicts 448 - 746 melee damage on target',0,0),
(157430,340139,11,100,'Decreases Haste of target by 36.6',0,1),
(157431,340140,10,100,'Inflicts 15 - 26 melee damage on target',0,0),
(157432,340140,10,100,'Decreases STR of target by 9.4',0,1),
(157433,340140,10,100,'You must be sneaking to use this ability.',0,2),
(157434,340141,10,100,'Inflicts 63 - 105 melee damage on target',0,0),
(157435,340141,10,100,'Decreases STR of target by 12.9',0,1),
(157436,340141,10,100,'You must be sneaking to use this ability.',0,2),
(157437,340142,10,100,'Inflicts 145 - 241 melee damage on target',0,0),
(157438,340142,10,100,'Decreases STR of target by 28.1',0,1),
(157439,340142,10,100,'You must be sneaking to use this ability.',0,2),
(157440,340143,10,100,'Inflicts 258 - 430 melee damage on target',0,0),
(157441,340143,10,100,'Decreases STR of target by 45.4',0,1),
(157442,340143,10,100,'You must be sneaking to use this ability.',0,2),
(157443,340144,10,100,'Inflicts 903 - 1506 melee damage on target',0,0),
(157444,340144,10,100,'Decreases STR of target by 138.6',0,1),
(157445,340144,10,100,'You must be sneaking to use this ability.',0,2),
(157446,340144,11,100,'Inflicts 1086 - 1811 melee damage on target',0,0),
(157447,340144,11,100,'Decreases STR of target by 166.6',0,1),
(157448,340144,11,100,'You must be sneaking to use this ability.',0,2),
(157449,340145,10,100,'Inflicts 389 - 648 melee damage on target',0,0),
(157450,340145,10,100,'Decreases STR of target by 64.2',0,1),
(157451,340145,10,100,'You must be sneaking to use this ability.',0,2),
(157452,340146,10,100,'Inflicts 530 - 884 melee damage on target',0,0),
(157453,340146,10,100,'Decreases STR of target by 83.0',0,1),
(157454,340146,10,100,'You must be sneaking to use this ability.',0,2),
(157455,340148,10,100,'Inflicts 803 - 1338 melee damage on target',0,0),
(157456,340148,10,100,'Decreases STR of target by 120.1',0,1),
(157457,340148,10,100,'You must be sneaking to use this ability.',0,2),
(157458,340149,11,100,'Inflicts 158 - 263 melee damage on target',0,0),
(157459,340149,11,100,'Inflicts 114 piercing damage on target instantly and every 4 seconds',0,1),
(157460,340149,11,100,'Must be flanking or behind',0,2),
(157461,340150,10,100,'Inflicts 202 - 336 melee damage on target',0,0),
(157462,340150,10,100,'Inflicts 146 piercing damage on target instantly and every 4 seconds',0,1),
(157463,340150,10,100,'Must be flanking or behind',0,2),
(157464,340150,11,100,'Inflicts 243 - 405 melee damage on target',0,0),
(157465,340150,11,100,'Inflicts 176 piercing damage on target instantly and every 4 seconds',0,1),
(157466,340150,11,100,'Must be flanking or behind',0,2),
(157467,340151,10,100,'Inflicts 281 - 469 melee damage on target',0,0),
(157468,340151,10,100,'Inflicts 203 piercing damage on target instantly and every 4 seconds',0,1),
(157469,340151,10,100,'Must be flanking or behind',0,2),
(157470,340151,11,100,'Inflicts 338 - 564 melee damage on target',0,0),
(157471,340151,11,100,'Inflicts 245 piercing damage on target instantly and every 4 seconds',0,1),
(157472,340151,11,100,'Must be flanking or behind',0,2),
(157473,340152,10,100,'Inflicts 359 - 599 melee damage on target',0,0),
(157474,340152,10,100,'Inflicts 260 piercing damage on target instantly and every 4 seconds',0,1),
(157475,340152,10,100,'Must be flanking or behind',0,2),
(157476,340152,11,100,'Inflicts 432 - 721 melee damage on target',0,0),
(157477,340152,11,100,'Inflicts 313 piercing damage on target instantly and every 4 seconds',0,1),
(157478,340152,11,100,'Must be flanking or behind',0,2),
(157479,340153,11,100,'Inflicts 523 - 872 melee damage on target',0,0),
(157480,340153,11,100,'Inflicts 378 piercing damage on target instantly and every 4 seconds',0,1),
(157481,340153,11,100,'Must be flanking or behind',0,2),
(157482,340154,11,100,'Inflicts 604 - 1007 melee damage on target',0,0),
(157483,340154,11,100,'Inflicts 437 piercing damage on target instantly and every 4 seconds',0,1),
(157484,340154,11,100,'Must be flanking or behind',0,2),
(157485,340157,10,100,'Increases threat priority of target by 2 positions',0,0),
(157486,340157,10,100,'Decreases Defense and Parry of caster by 216.0',0,1),
(157487,340157,10,100,'Stuns caster',0,2),
(157488,340157,10,100,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',0,3),
(157489,340157,10,100,'Inflicts 1243 - 2071 piercing damage on target',1,4),
(157490,340157,10,100,'Grants a total of 1 trigger of the spell.',1,5),
(157491,340159,10,100,'Increases threat priority of target by 2 positions',0,0),
(157492,340159,10,100,'Decreases Defense and Parry of caster by 339.0',0,1),
(157493,340159,10,100,'Stuns caster',0,2),
(157494,340159,10,100,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',0,3),
(157495,340159,10,100,'Inflicts 2137 - 3562 piercing damage on target',1,4),
(157496,340159,10,100,'Grants a total of 1 trigger of the spell.',1,5),
(157497,340160,10,100,'Increases threat priority of target by 2 positions',0,0),
(157498,340160,10,100,'Decreases Defense and Parry of caster by 399.0',0,1),
(157499,340160,10,100,'Stuns caster',0,2),
(157500,340160,10,100,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',0,3),
(157501,340160,10,100,'Inflicts 2582 - 4304 piercing damage on target',1,4),
(157502,340160,10,100,'Grants a total of 1 trigger of the spell.',1,5),
(157503,340161,10,100,'Increases threat priority of target by 2 positions',0,0),
(157504,340161,10,100,'Decreases Defense and Parry of caster by 459.0',0,1),
(157505,340161,10,100,'Stuns caster',0,2),
(157506,340161,10,100,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',0,3),
(157507,340161,10,100,'Inflicts 2943 - 4905 piercing damage on target',1,4),
(157508,340161,10,100,'Grants a total of 1 trigger of the spell.',1,5),
(157509,340161,11,100,'Increases threat priority of target by 2 positions',0,0),
(157510,340161,11,100,'Decreases Defense and Parry of caster by 459.0',0,1),
(157511,340161,11,100,'Stuns caster',0,2),
(157512,340161,11,100,'When damaged with a melee weapon this spell will cast Surprise Attack on target''s attacker.  ',0,3),
(157513,340161,11,100,'Inflicts 3539 - 5898 piercing damage on target',1,4),
(157514,340161,11,100,'Grants a total of 1 trigger of the spell.',1,5),
(157515,340163,10,100,'Increases AGI of caster by 52.7',0,0),
(157516,340163,10,100,'Adds 26.2% to base avoidance.',0,1),
(157517,340163,10,100,'Increases Mitigation of caster vs physical damage by 703',0,2),
(157518,340163,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 708',0,3),
(157519,340165,10,100,'Increases AGI of caster by 108.4',0,0),
(157520,340165,10,100,'Adds 26.2% to base avoidance.',0,1),
(157521,340165,10,100,'Increases Mitigation of caster vs physical damage by 1432',0,2),
(157522,340165,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1441',0,3),
(157523,340166,10,100,'Increases AGI of caster by 136.6',0,0),
(157524,340166,10,100,'Adds 26.2% to base avoidance.',0,1),
(157525,340166,10,100,'Increases Mitigation of caster vs physical damage by 1797',0,2),
(157526,340166,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1808',0,3),
(157527,340167,10,100,'Increases AGI of caster by 163.5',0,0),
(157528,340167,10,100,'Adds 26.2% to base avoidance.',0,1),
(157529,340167,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2070',0,2),
(157530,340167,10,100,'Increases Mitigation of caster vs physical damage by 2160',0,3),
(157531,340168,10,100,'Increases AGI of caster by 191.3',0,0),
(157532,340168,10,100,'Adds 26.2% to base avoidance.',0,1),
(157533,340168,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2333',0,2),
(157534,340168,10,100,'Increases Mitigation of caster vs physical damage by 2538',0,3),
(157535,340169,10,100,'Increases AGI of caster by 219.0',0,0),
(157536,340169,10,100,'Adds 34.1% to base avoidance.',0,1),
(157537,340169,10,100,'Increases Mitigation of caster vs physical damage by 2836',0,2),
(157538,340169,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 3373',0,3),
(157539,340169,11,100,'Increases AGI of caster by 263.3',0,0),
(157540,340169,11,100,'Adds 41.0% to base avoidance.',0,1),
(157541,340169,11,100,'Increases Mitigation of caster vs physical damage by 3410',0,2),
(157542,340169,11,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 4056',0,3),
(157543,340170,10,100,'Inflicts 217 - 363 melee damage on target',0,0),
(157544,340170,10,100,'Stuns target',0,1),
(157545,340170,10,100,'If Target is not Epic',1,2),
(157546,340170,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(157547,340172,10,100,'Inflicts 480 - 800 melee damage on target',0,0),
(157548,340172,10,100,'Stuns target',0,1),
(157549,340172,10,100,'If Target is not Epic',1,2),
(157550,340172,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(157551,340173,10,100,'Inflicts 627 - 1045 melee damage on target',0,0),
(157552,340173,10,100,'Stuns target',0,1),
(157553,340173,10,100,'If Target is not Epic',1,2),
(157554,340173,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(157555,340175,11,100,'Inflicts 1068 - 1780 melee damage on target',0,0),
(157556,340175,11,100,'Stuns target',0,1),
(157557,340175,11,100,'If Target is not Epic',1,2),
(157558,340175,11,100,'Resistibility increases against targets higher than level 29.',0,3),
(157559,340176,10,100,'Applies Accomplice: Increases potency of the partner by 10%.',0,0),
(157560,340176,10,100,'If three combat arts are used within five seconds.',1,1),
(157561,340176,10,100,'Applies Partners in Crime: Increases potency of the partner by 15%.',0,2),
(157562,340176,10,100,'If five combat arts are used within five seconds.',1,3),
(157563,340176,10,100,'Both Accomplice and Partners in Crime can be active at once.',0,4),
(157564,340176,10,100,'If not brigand',0,5),
(157565,340176,10,100,'Thieves Guild cannot be cast on someone who is in another brigand''s Thieves Guild',0,6),
(157566,350001,10,100,'Inflicts 41 - 68 mental damage on target',0,0),
(157567,350001,10,100,'Inflicts 41 - 68 mental damage on target',0,1),
(157570,350001,10,100,'If weapon equipped in Ranged',0,2),
(157574,350003,10,100,'Inflicts 97 - 163 melee damage on target',0,0),
(157576,350003,10,100,'Must be flanking or behind',0,2),
(157577,350004,10,100,'Inflicts 51 - 86 mental damage on target',0,0),
(157578,350004,10,100,'Decreases power of target by 19 - 32',0,1),
(157579,350005,10,100,'Inflicts 85 - 142 mental damage on target encounter',0,0),
(157580,360200,10,100,'Increases Combat Power Regen of group members (AE) by 16.5',0,0),
(157581,350009,10,100,'Increases Combat Power Regen of group members (AE) by 39.5',0,0),
(157582,350010,10,100,'Increases Combat Power Regen of group members (AE) by 51.2',0,0),
(157583,350011,10,100,'Increases Combat Power Regen of group members (AE) by 62.7',0,0),
(157584,350012,10,100,'Increases Combat Power Regen of group members (AE) by 71.4',0,0),
(157585,350013,10,100,'Increases Combat Power Regen of group members (AE) by 79.8',0,0),
(157586,350013,11,100,'Increases Combat Power Regen of group members (AE) by 95.9',0,0),
(157587,350014,10,100,'Decreases STR and AGI of target encounter by 51.1',0,0),
(157588,350015,10,100,'Decreases STR and AGI of target encounter by 85.3',0,0),
(157589,350016,10,100,'Decreases STR and AGI of target encounter by 123.0',0,0),
(157590,350017,10,100,'Decreases STR and AGI of target encounter by 160.6',0,0),
(157591,350018,10,100,'Decreases STR and AGI of target encounter by 195.9',0,0),
(157592,350020,11,100,'Decreases STR and AGI of target encounter by 324.4',0,0),
(157593,350022,10,100,'Increases Defense of group members (AE) by 9.1',0,0),
(157594,350023,10,100,'Increases Haste of group members (AE) by 14.6',0,0),
(157595,350024,10,100,'Increases AGI of caster by 18.6',0,0),
(157596,350024,10,100,'Increases Mitigation vs arcane damage by 290',0,1),
(157597,350025,10,100,'Inflicts 92 - 153 mental damage on target',0,0),
(157598,350026,10,100,'Increases STR, AGI, and STA of group members (AE) by 15.1',0,0),
(157599,350033,10,100,'Increases Slashing, Crushing, Piercing, Ranged, Defense, and \r\nDisruption of group members (AE) by 8.6',0,0),
(157600,350035,1,100,'Increases arcane damage done to target encounter by 0.9%',0,1),
(157601,350035,1,100,'Decreases Combat Mitigation of target by 15.48',0,2),
(157602,350035,1,100,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 315',0,3),
(157603,350035,2,100,'Increases arcane damage done to target encounter by 0.95%',0,1),
(157604,350035,2,100,'Decreases Combat Mitigation of target by 16.34',0,2),
(157605,350035,2,100,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 333',0,3),
(157606,350035,3,100,'Increases arcane damage done to target encounter by 1%',0,1),
(157607,350035,3,100,'Decreases Combat Mitigation of target by 17.2',0,2),
(157608,350035,3,100,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 350',0,3),
(157609,350035,4,100,'Increases arcane damage done to target encounter by 1.1%',0,1),
(157610,350035,4,100,'Decreases Combat Mitigation of target by 18.92',0,2),
(157611,350035,4,100,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 385',0,3),
(157612,350035,5,100,'Increases arcane damage done to target encounter by 1.2%',0,1),
(157613,350035,5,100,'Decreases Combat Mitigation of target by 20.64',0,2),
(157614,350035,5,100,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 420',0,3),
(157615,350035,7,100,'Increases arcane damage done to target encounter by 1.54%',0,1),
(157616,350035,7,100,'Decreases Combat Mitigation of target by 26.49',0,2),
(157617,350035,7,100,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 539',0,3),
(157618,350035,9,100,'Increases arcane damage done to target encounter by 1.6%',0,1),
(157619,350035,9,100,'Decreases Combat Mitigation of target by 27.52',0,2),
(157620,350035,9,100,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 560',0,3),
(157621,350035,10,100,'Increases noxious damage done to target encounter by 1.68%',0,0),
(157622,350035,10,100,'Increases arcane damage done to target encounter by 1.68%',0,1),
(157623,350035,10,100,'Decreases Combat Mitigation of target by 28.9',0,2),
(157624,350035,10,100,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 588',0,3),
(157625,350036,1,100,'Increases arcane damage done to target encounter by 0.9%',0,1),
(157626,350036,1,100,'Decreases Combat Mitigation of target by 15.48',0,2),
(157627,350036,1,100,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 477',0,3),
(157628,350036,2,100,'Increases arcane damage done to target encounter by 0.95%',0,1),
(157629,350036,2,100,'Decreases Combat Mitigation of target by 16.34',0,2),
(157630,350036,2,100,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 504',0,3),
(157631,350036,3,100,'Increases arcane damage done to target encounter by 1%',0,1),
(157632,350036,3,100,'Decreases Combat Mitigation of target by 17.2',0,2),
(157633,350036,3,100,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 530',0,3),
(157634,350036,4,100,'Increases arcane damage done to target encounter by 1.1%',0,1),
(157635,350036,4,100,'Decreases Combat Mitigation of target by 18.92',0,2),
(157636,350036,4,100,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 583',0,3),
(157637,350036,5,100,'Increases arcane damage done to target encounter by 1.2%',0,1),
(157638,350036,5,100,'Decreases Combat Mitigation of target by 20.64',0,2),
(157639,350036,5,100,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 636',0,3),
(157640,350036,7,100,'Increases arcane damage done to target encounter by 1.54%',0,1),
(157641,350036,7,100,'Decreases Combat Mitigation of target by 26.49',0,2),
(157642,350036,7,100,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 816',0,3),
(157643,350036,9,100,'Increases arcane damage done to target encounter by 1.6%',0,1),
(157644,350036,9,100,'Decreases Combat Mitigation of target by 27.52',0,2),
(157645,350036,9,100,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 848',0,3),
(157646,350036,10,100,'Increases noxious damage done to target encounter by 1.68%',0,0),
(157647,350036,10,100,'Increases arcane damage done to target encounter by 1.68%',0,1),
(157648,350036,10,100,'Decreases Combat Mitigation of target by 28.9',0,2),
(157649,350036,10,100,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 890',0,3),
(157650,350037,1,100,'Increases arcane damage done to target encounter by 0.9%',0,1),
(157651,350037,1,100,'Decreases Combat Mitigation of target by 15.48',0,2),
(157652,350037,1,100,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 648',0,3),
(157653,350037,2,100,'Increases arcane damage done to target encounter by 0.95%',0,1),
(157654,350037,2,100,'Decreases Combat Mitigation of target by 16.34',0,2),
(157655,350037,2,100,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 684',0,3),
(157656,350037,3,100,'Increases arcane damage done to target encounter by 1%',0,1),
(157657,350037,3,100,'Decreases Combat Mitigation of target by 17.2',0,2),
(157658,350037,3,100,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 720',0,3),
(157659,350037,4,100,'Increases arcane damage done to target encounter by 1.1%',0,1),
(157660,350037,4,100,'Decreases Combat Mitigation of target by 18.92',0,2),
(157661,350037,4,100,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 792',0,3),
(157662,350037,5,100,'Increases arcane damage done to target encounter by 1.2%',0,1),
(157663,350037,5,100,'Decreases Combat Mitigation of target by 20.64',0,2),
(157664,350037,5,100,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 864',0,3),
(157665,350037,7,100,'Increases arcane damage done to target encounter by 1.54%',0,1),
(157666,350037,7,100,'Decreases Combat Mitigation of target by 26.49',0,2),
(157667,350037,7,100,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 1109',0,3),
(157668,350037,9,100,'Increases arcane damage done to target encounter by 1.6%',0,1),
(157669,350037,9,100,'Decreases Combat Mitigation of target by 27.52',0,2),
(157670,350037,9,100,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 1152',0,3),
(157671,350037,10,100,'Increases noxious damage done to target encounter by 1.68%',0,0),
(157672,350037,10,100,'Increases arcane damage done to target encounter by 1.68%',0,1),
(157673,350037,10,100,'Decreases Combat Mitigation of target by 28.9',0,2),
(157674,350037,10,100,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 1210',0,3),
(157675,350038,1,100,'Increases arcane damage done to target encounter by 0.9%',0,1),
(157676,350038,1,100,'Decreases Combat Mitigation of target by 15.48',0,2),
(157677,350038,1,100,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 844',0,3),
(157678,350038,4,100,'Increases arcane damage done to target encounter by 1.1%',0,1),
(157679,350038,4,100,'Decreases Combat Mitigation of target by 18.92',0,2),
(157680,350038,4,100,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 1031',0,3),
(157681,350038,5,100,'Increases arcane damage done to target encounter by 1.2%',0,1),
(157682,350038,5,100,'Decreases Combat Mitigation of target by 20.64',0,2),
(157683,350038,5,100,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 1125',0,3),
(157684,350038,7,100,'Increases arcane damage done to target encounter by 1.54%',0,1),
(157685,350038,7,100,'Decreases Combat Mitigation of target by 26.49',0,2),
(157686,350038,7,100,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 1443',0,3),
(157687,350038,9,100,'Increases arcane damage done to target encounter by 1.6%',0,1),
(157688,350038,9,100,'Decreases Combat Mitigation of target by 27.52',0,2),
(157689,350038,9,100,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 1500',0,3),
(157690,350038,10,100,'Increases noxious damage done to target encounter by 1.68%',0,0),
(157691,350038,10,100,'Increases arcane damage done to target encounter by 1.68%',0,1),
(157692,350038,10,100,'Decreases Combat Mitigation of target by 28.9',0,2),
(157693,350038,10,100,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 1575',0,3),
(157694,350039,1,100,'Increases arcane damage done to target encounter by 0.9%',0,1),
(157695,350039,1,100,'Decreases Combat Mitigation of target by 15.48',0,2),
(157696,350039,1,100,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 983',0,3),
(157697,350039,4,100,'Increases arcane damage done to target encounter by 1.1%',0,1),
(157698,350039,4,100,'Decreases Combat Mitigation of target by 18.92',0,2),
(157699,350039,4,100,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 1201',0,3),
(157700,350039,5,100,'Increases arcane damage done to target encounter by 1.2%',0,1),
(157701,350039,5,100,'Decreases Combat Mitigation of target by 20.64',0,2),
(157702,350039,5,100,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 1310',0,3),
(157703,350039,7,100,'Increases arcane damage done to target encounter by 1.54%',0,1),
(157704,350039,7,100,'Decreases Combat Mitigation of target by 26.49',0,2),
(157705,350039,7,100,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 1682',0,3),
(157706,350039,9,100,'Increases arcane damage done to target encounter by 1.6%',0,1),
(157707,350039,9,100,'Decreases Combat Mitigation of target by 27.52',0,2),
(157708,350039,9,100,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 1747',0,3),
(157709,350039,10,100,'Increases noxious damage done to target encounter by 1.68%',0,0),
(157710,350039,10,100,'Increases arcane damage done to target encounter by 1.68%',0,1),
(157711,350039,10,100,'Decreases Combat Mitigation of target by 28.9',0,2),
(157712,350039,10,100,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 1835',0,3),
(157713,350039,11,100,'Increases noxious damage done to target encounter by 2.02%',0,0),
(157714,350039,11,100,'Increases arcane damage done to target encounter by 2.02%',0,1),
(157715,350039,11,100,'Decreases Combat Mitigation of target by 34.74',0,2),
(157716,350039,11,100,'Decreases Mitigation of target encounter vs elemental, noxious and arcane damage by 2206',0,3),
(157717,360000,10,100,'Inflicts 34 - 57 mental damage on target',0,0),
(157718,360000,10,100,'Inflicts 34 - 57 mental damage on target',0,1),
(157719,360001,10,100,'Inflicts 80 - 134 mental damage on target',0,0),
(157720,360001,10,100,'Inflicts 80 - 134 mental damage on target',0,1),
(157721,360002,10,100,'Inflicts 131 - 219 mental damage on target',0,0),
(157722,360002,10,100,'Inflicts 131 - 219 mental damage on target',0,1),
(157723,360003,10,100,'Inflicts 195 - 325 mental damage on target',0,0),
(157724,360003,10,100,'Inflicts 195 - 325 mental damage on target',0,1),
(157725,360004,10,100,'Inflicts 259 - 432 mental damage on target',0,0),
(157726,360004,10,100,'Inflicts 259 - 432 mental damage on target',0,1),
(157727,360005,10,100,'Inflicts 307 - 512 mental damage on target',0,0),
(157728,360005,10,100,'Inflicts 307 - 512 mental damage on target',0,1),
(157729,360006,10,100,'Inflicts 371 - 618 mental damage on target',0,0),
(157730,360006,10,100,'Inflicts 371 - 618 mental damage on target',0,1),
(157731,360007,10,100,'Inflicts 412 - 687 mental damage on target',0,0),
(157732,360007,10,100,'Inflicts 412 - 687 mental damage on target',0,1),
(157733,360007,11,100,'Inflicts 496 - 827 mental damage on target',0,0),
(157734,360007,11,100,'Inflicts 496 - 827 mental damage on target',0,1),
(157735,360008,1,100,'Inflicts 18 - 30 mental damage on target',1,8),
(157736,360008,2,100,'Inflicts 19 - 32 mental damage on target',1,8),
(157737,360008,3,100,'Inflicts 20 - 34 mental damage on target',1,8),
(157738,360008,4,100,'Inflicts 22 - 37 mental damage on target',1,8),
(157739,360008,5,100,'Inflicts 24 - 40 mental damage on target',1,8),
(157740,360008,7,100,'Inflicts 31 - 52 mental damage on target',1,8),
(157741,360008,9,100,'Inflicts 32 - 54 mental damage on target',1,8),
(157742,360008,10,100,'Increases AGI of caster by 46.6',0,0),
(157743,360008,10,100,'Increases Fervor of caster by 2.0',0,1),
(157744,360008,10,100,'Adds 26.2% to base avoidance.',0,2),
(157745,360008,10,100,'Increases Mitigation of caster vs physical damage by 262',0,3),
(157746,360008,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 341',0,4),
(157747,360008,10,100,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,5),
(157748,360008,10,100,'Inflicts 34 - 56 mental damage on target',1,6),
(157749,360008,10,100,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,7),
(157750,360008,10,100,'Inflicts 34 - 56 mental damage on target',1,8),
(157751,360009,1,100,'Inflicts 39 - 65 mental damage on target',1,8),
(157752,360009,2,100,'Inflicts 41 - 68 mental damage on target',1,8),
(157753,360009,3,100,'Inflicts 43 - 72 mental damage on target',1,8),
(157754,360009,4,100,'Inflicts 48 - 79 mental damage on target',1,8),
(157755,360009,5,100,'Inflicts 52 - 86 mental damage on target',1,8),
(157756,360009,7,100,'Inflicts 67 - 111 mental damage on target',1,8),
(157757,360009,9,100,'Inflicts 69 - 115 mental damage on target',1,8),
(157758,360009,10,100,'Increases AGI of caster by 87.8',0,0),
(157759,360009,10,100,'Increases Fervor of caster by 2.0',0,1),
(157760,360009,10,100,'Adds 26.2% to base avoidance.',0,2),
(157761,360009,10,100,'Increases Mitigation of caster vs physical damage by 544',0,3),
(157762,360009,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 708',0,4),
(157763,360009,10,100,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,5),
(157764,360009,10,100,'Inflicts 73 - 121 mental damage on target',1,6),
(157765,360009,10,100,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,7),
(157766,360009,10,100,'Inflicts 73 - 121 mental damage on target',1,8),
(157767,360010,1,100,'Inflicts 62 - 103 mental damage on target',1,8),
(157768,360010,2,100,'Inflicts 65 - 109 mental damage on target',1,8),
(157769,360010,3,100,'Inflicts 69 - 115 mental damage on target',1,8),
(157770,360010,4,100,'Inflicts 76 - 126 mental damage on target',1,8),
(157771,360010,5,100,'Inflicts 83 - 138 mental damage on target',1,8),
(157772,360010,7,100,'Inflicts 106 - 177 mental damage on target',1,8),
(157773,360010,9,100,'Inflicts 110 - 184 mental damage on target',1,8),
(157774,360010,10,100,'Increases AGI of caster by 133.6',0,0),
(157775,360010,10,100,'Increases Fervor of caster by 2.0',0,1),
(157776,360010,10,100,'Adds 26.2% to base avoidance.',0,2),
(157777,360010,10,100,'Increases Mitigation of caster vs physical damage by 827',0,3),
(157778,360010,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1075',0,4),
(157779,360010,10,100,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,5),
(157780,360010,10,100,'Inflicts 116 - 193 mental damage on target',1,6),
(157781,360010,10,100,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,7),
(157782,360010,10,100,'Inflicts 116 - 193 mental damage on target',1,8),
(157783,360011,1,100,'Inflicts 90 - 151 mental damage on target',1,8),
(157784,360011,2,100,'Inflicts 95 - 159 mental damage on target',1,8),
(157785,360011,3,100,'Inflicts 100 - 167 mental damage on target',1,8),
(157786,360011,4,100,'Inflicts 111 - 184 mental damage on target',1,8),
(157787,360011,5,100,'Inflicts 121 - 201 mental damage on target',1,8),
(157788,360011,7,100,'Inflicts 155 - 258 mental damage on target',1,8),
(157789,360011,9,100,'Inflicts 161 - 268 mental damage on target',1,8),
(157790,360011,10,100,'Increases AGI of caster by 180.6',0,0),
(157791,360011,10,100,'Increases Fervor of caster by 2.0',0,1),
(157792,360011,10,100,'Adds 26.2% to base avoidance.',0,2),
(157793,360011,10,100,'Increases Mitigation of caster vs physical damage by 1109',0,3),
(157794,360011,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1441',0,4),
(157795,360011,10,100,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,5),
(157796,360011,10,100,'Inflicts 169 - 281 mental damage on target',1,6),
(157797,360011,10,100,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,7),
(157798,360011,10,100,'Inflicts 169 - 281 mental damage on target',1,8),
(157799,360012,1,100,'Inflicts 119 - 198 mental damage on target',1,8),
(157800,360012,2,100,'Inflicts 125 - 209 mental damage on target',1,8),
(157801,360012,3,100,'Inflicts 132 - 220 mental damage on target',1,8),
(157802,360012,4,100,'Inflicts 145 - 242 mental damage on target',1,8),
(157803,360012,5,100,'Inflicts 158 - 264 mental damage on target',1,8),
(157804,360012,7,100,'Inflicts 203 - 339 mental damage on target',1,8),
(157805,360012,9,100,'Inflicts 211 - 352 mental damage on target',1,8),
(157806,360012,10,100,'Increases AGI of caster by 227.6',0,0),
(157807,360012,10,100,'Increases Fervor of caster by 2.0',0,1),
(157808,360012,10,100,'Adds 26.2% to base avoidance.',0,2),
(157809,360012,10,100,'Increases Mitigation of caster vs physical damage by 1391',0,3),
(157810,360012,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1808',0,4),
(157811,360012,10,100,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,5),
(157812,360012,10,100,'Inflicts 222 - 370 mental damage on target',1,6),
(157813,360012,10,100,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,7),
(157814,360012,10,100,'Inflicts 222 - 370 mental damage on target',1,8),
(157815,360013,1,100,'Inflicts 144 - 240 mental damage on target',1,8),
(157816,360013,2,100,'Inflicts 152 - 253 mental damage on target',1,8),
(157817,360013,3,100,'Inflicts 160 - 267 mental damage on target',1,8),
(157818,360013,4,100,'Inflicts 176 - 293 mental damage on target',1,8),
(157819,360013,5,100,'Inflicts 192 - 320 mental damage on target',1,8),
(157820,360013,7,100,'Inflicts 246 - 411 mental damage on target',1,8),
(157821,360013,9,100,'Inflicts 256 - 427 mental damage on target',1,8),
(157822,360013,10,100,'Increases AGI of caster by 272.6',0,0),
(157823,360013,10,100,'Increases Fervor of caster by 2.0',0,1),
(157824,360013,10,100,'Adds 26.2% to base avoidance.',0,2),
(157825,360013,10,100,'Increases Mitigation of caster vs physical damage by 1593',0,3),
(157826,360013,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2070',0,4),
(157827,360013,10,100,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,5),
(157828,360013,10,100,'Inflicts 269 - 448 mental damage on target',1,6),
(157829,360013,10,100,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,7),
(157830,360013,10,100,'Inflicts 269 - 448 mental damage on target',1,8),
(157831,360014,1,100,'Inflicts 173 - 289 mental damage on target',1,8),
(157832,360014,4,100,'Inflicts 212 - 353 mental damage on target',1,8),
(157833,360014,5,100,'Inflicts 231 - 385 mental damage on target',1,8),
(157834,360014,7,100,'Inflicts 297 - 494 mental damage on target',1,8),
(157835,360014,9,100,'Inflicts 308 - 514 mental damage on target',1,8),
(157836,360014,10,100,'Increases AGI of caster by 318.8',0,0),
(157837,360014,10,100,'Increases Fervor of caster by 2.0',0,1),
(157838,360014,10,100,'Adds 26.2% to base avoidance.',0,2),
(157839,360014,10,100,'Increases Mitigation of caster vs physical damage by 1794',0,3),
(157840,360014,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2333',0,4),
(157841,360014,10,100,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,5),
(157842,360014,10,100,'Inflicts 324 - 539 mental damage on target',1,6),
(157843,360014,10,100,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,7),
(157844,360014,10,100,'Inflicts 324 - 539 mental damage on target',1,8),
(157845,360015,1,100,'Inflicts 186 - 310 mental damage on target',1,8),
(157846,360015,4,100,'Inflicts 227 - 379 mental damage on target',1,8),
(157847,360015,5,100,'Inflicts 248 - 413 mental damage on target',1,8),
(157848,360015,7,100,'Inflicts 318 - 530 mental damage on target',1,8),
(157849,360015,9,100,'Inflicts 331 - 551 mental damage on target',1,8),
(157850,360015,10,100,'Increases AGI of caster by 365.0',0,0),
(157851,360015,10,100,'Increases Fervor of caster by 2.0',0,1),
(157852,360015,10,100,'Adds 34.1% to base avoidance.',0,2),
(157853,360015,10,100,'Increases Mitigation of caster vs physical damage by 2595',0,3),
(157854,360015,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 3373',0,4),
(157855,360015,10,100,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,5),
(157856,360015,10,100,'Inflicts 347 - 579 mental damage on target',1,6),
(157857,360015,10,100,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,7),
(157858,360015,10,100,'Inflicts 347 - 579 mental damage on target',1,8),
(157859,360015,11,100,'Increases AGI of caster by 438.8',0,0),
(157860,360015,11,100,'Increases Fervor of caster by 2.0',0,1),
(157861,360015,11,100,'Adds 41.0% to base avoidance.',0,2),
(157862,360015,11,100,'Increases Mitigation of caster vs physical damage by 3120',0,3),
(157863,360015,11,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 4056',0,4),
(157864,360015,11,100,'When damaged with a melee weapon this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,5),
(157865,360015,11,100,'Inflicts 417 - 696 mental damage on target',1,6),
(157866,360015,11,100,'When damaged with a spell this spell has a 20% chance to cast Song Barrier on target''s attacker.  ',0,7),
(157867,360015,11,100,'Inflicts 417 - 696 mental damage on target',1,8),
(157868,360016,10,100,'Inflicts 27 - 45 melee damage on target',0,0),
(157869,360016,10,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 98',0,1),
(157870,360016,10,100,'Must be flanking or behind',0,2),
(157871,360016,11,100,'Inflicts 32 - 54 melee damage on target',0,0),
(157872,360016,11,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 118',0,1),
(157873,360016,11,100,'Must be flanking or behind',0,2),
(157874,360017,10,100,'Inflicts 97 - 163 melee damage on target',0,0),
(157875,360017,10,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 212',0,1),
(157876,360017,10,100,'Must be flanking or behind',0,2),
(157877,360017,11,100,'Inflicts 117 - 196 melee damage on target',0,0),
(157878,360017,11,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 254',0,1),
(157879,360017,11,100,'Must be flanking or behind',0,2),
(157880,360018,11,100,'Inflicts 218 - 364 melee damage on target',0,0),
(157881,360018,11,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 433',0,1),
(157882,360018,11,100,'Must be flanking or behind',0,2),
(157883,360019,10,100,'Inflicts 277 - 461 melee damage on target',0,0),
(157884,360019,10,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 513',0,1),
(157885,360019,10,100,'Must be flanking or behind',0,2),
(157886,360019,11,100,'Inflicts 333 - 555 melee damage on target',0,0),
(157887,360019,11,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 617',0,1),
(157888,360019,11,100,'Must be flanking or behind',0,2),
(157889,360020,11,100,'Inflicts 460 - 767 melee damage on target',0,0),
(157890,360020,11,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 801',0,1),
(157891,360020,11,100,'Must be flanking or behind',0,2),
(157892,360021,11,100,'Inflicts 588 - 981 melee damage on target',0,0),
(157893,360021,11,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1027',0,1),
(157894,360021,11,100,'Must be flanking or behind',0,2),
(157895,360022,11,100,'Inflicts 711 - 1185 melee damage on target',0,0),
(157896,360022,11,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1324',0,1),
(157897,360022,11,100,'Must be flanking or behind',0,2),
(157898,360023,11,100,'Inflicts 810 - 1351 melee damage on target',0,0),
(157899,360023,11,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 1481',0,1),
(157900,360023,11,100,'Must be flanking or behind',0,2),
(157901,360024,10,100,'Inflicts 21 - 36 melee damage on target',0,0),
(157902,360024,10,100,'Decreases INT of target by 14.1',0,1),
(157903,360024,10,100,'You must be sneaking to use this ability.',0,2),
(157904,360025,10,100,'Inflicts 86 - 144 melee damage on target',0,0),
(157905,360025,10,100,'Decreases INT of target by 19.4',0,1),
(157906,360025,10,100,'You must be sneaking to use this ability.',0,2),
(157907,360027,10,100,'Inflicts 355 - 591 melee damage on target',0,0),
(157908,360027,10,100,'Decreases INT of target by 68.0',0,1),
(157909,360027,10,100,'You must be sneaking to use this ability.',0,2),
(157910,360028,11,100,'Inflicts 1494 - 2490 melee damage on target',0,0),
(157911,360028,11,100,'Decreases INT of target by 250.0',0,1),
(157912,360028,11,100,'You must be sneaking to use this ability.',0,2),
(157913,360029,10,100,'Inflicts 535 - 892 melee damage on target',0,0),
(157914,360029,10,100,'Decreases INT of target by 96.3',0,1),
(157915,360029,10,100,'You must be sneaking to use this ability.',0,2),
(157916,360030,10,100,'Inflicts 729 - 1216 melee damage on target',0,0),
(157917,360030,10,100,'Decreases INT of target by 124.5',0,1),
(157918,360030,10,100,'You must be sneaking to use this ability.',0,2),
(157919,360031,10,100,'Inflicts 914 - 1524 melee damage on target',0,0),
(157920,360031,10,100,'Decreases INT of target by 152.5',0,1),
(157921,360031,10,100,'You must be sneaking to use this ability.',0,2),
(157922,360033,10,100,'Inflicts 9 - 15 mental damage on target',0,0),
(157923,360033,10,100,'Decreases power of target by 6 - 11',0,1),
(157924,360033,10,100,'Increases power of caster by 4 - 6',0,2),
(157925,360033,11,100,'Inflicts 10 - 18 mental damage on target',0,0),
(157926,360033,11,100,'Decreases power of target by 8 - 13',0,1),
(157927,360033,11,100,'Increases power of caster by 5 - 8',0,2),
(157928,360034,10,100,'Inflicts 28 - 47 mental damage on target',0,0),
(157929,360034,10,100,'Decreases power of target by 25 - 42',0,1),
(157930,360034,10,100,'Increases power of caster by 15 - 25',0,2),
(157931,360034,11,100,'Inflicts 33 - 56 mental damage on target',0,0),
(157932,360034,11,100,'Decreases power of target by 30 - 51',0,1),
(157933,360034,11,100,'Increases power of caster by 18 - 30',0,2),
(157934,360035,10,100,'Inflicts 51 - 86 mental damage on target',0,0),
(157935,360035,10,100,'Decreases power of target by 47 - 79',0,1),
(157936,360035,10,100,'Increases power of caster by 28 - 47',0,2),
(157937,360035,11,100,'Inflicts 62 - 103 mental damage on target',0,0),
(157938,360035,11,100,'Decreases power of target by 57 - 95',0,1),
(157939,360035,11,100,'Increases power of caster by 34 - 57',0,2),
(157940,360036,10,100,'Inflicts 105 - 175 mental damage on target',0,0),
(157941,360036,10,100,'Decreases power of target by 97 - 162',0,1),
(157942,360036,10,100,'Increases power of caster by 58 - 97',0,2),
(157943,360036,11,100,'Inflicts 126 - 210 mental damage on target',0,0),
(157944,360036,11,100,'Decreases power of target by 117 - 194',0,1),
(157945,360036,11,100,'Increases power of caster by 70 - 117',0,2),
(157946,360037,10,100,'Inflicts 442 - 736 mental damage on target',0,0),
(157947,360037,10,100,'Decreases power of target by 412 - 687',0,1),
(157948,360037,10,100,'Increases power of caster by 272 - 453',0,2),
(157949,360037,11,100,'Inflicts 531 - 885 mental damage on target',0,0),
(157950,360037,11,100,'Decreases power of target by 495 - 826',0,1),
(157951,360037,11,100,'Increases power of caster by 327 - 544',0,2),
(157952,360038,11,100,'Inflicts 198 - 330 mental damage on target',0,0),
(157953,360038,11,100,'Decreases power of target by 184 - 306',0,1),
(157954,360038,11,100,'Increases power of caster by 110 - 184',0,2),
(157955,360039,10,100,'Inflicts 235 - 392 mental damage on target',0,0),
(157956,360039,10,100,'Decreases power of target by 219 - 365',0,1),
(157957,360039,10,100,'Increases power of caster by 131 - 219',0,2),
(157958,360039,11,100,'Inflicts 283 - 471 mental damage on target',0,0),
(157959,360039,11,100,'Decreases power of target by 263 - 439',0,1),
(157960,360039,11,100,'Increases power of caster by 158 - 263',0,2),
(157961,360040,11,100,'Inflicts 369 - 616 mental damage on target',0,0),
(157962,360040,11,100,'Decreases power of target by 344 - 574',0,1),
(157963,360040,11,100,'Increases power of caster by 209 - 349',0,2),
(157964,360041,10,100,'Inflicts 372 - 621 mental damage on target',0,0),
(157965,360041,10,100,'Decreases power of target by 347 - 579',0,1),
(157966,360041,10,100,'Increases power of caster by 231 - 385',0,2),
(157967,360041,11,100,'Inflicts 448 - 746 mental damage on target',0,0),
(157968,360041,11,100,'Decreases power of target by 417 - 696',0,1),
(157969,360041,11,100,'Increases power of caster by 278 - 463',0,2),
(157970,360042,10,100,'Inflicts 46 - 77 mental damage on target',0,0),
(157971,360042,10,100,'Inflicts 46 - 77 mental damage on target',0,1),
(157972,360042,10,100,'Stifles target',0,2),
(157973,360042,10,100,'If Target is not Epic',1,3),
(157974,360042,10,100,'If weapon equipped in Ranged',0,4),
(157975,360042,10,100,'Resistibility increases against targets higher than level 29.',0,5),
(157976,360043,10,100,'Inflicts 91 - 153 mental damage on target',0,0),
(157977,360043,10,100,'Inflicts 91 - 153 mental damage on target',0,1),
(157978,360043,10,100,'Stifles target',0,2),
(157979,360043,10,100,'If Target is not Epic',1,3),
(157980,360043,10,100,'If weapon equipped in Ranged',0,4),
(157981,360043,10,100,'Resistibility increases against targets higher than level 29.',0,5),
(157982,360044,10,100,'Inflicts 143 - 238 mental damage on target',0,0),
(157983,360044,10,100,'Inflicts 143 - 238 mental damage on target',0,1),
(157984,360044,10,100,'Stifles target',0,2),
(157985,360044,10,100,'If Target is not Epic',1,3),
(157986,360044,10,100,'If weapon equipped in Ranged',0,4),
(157987,360044,10,100,'Resistibility increases against targets higher than level 29.',0,5),
(157988,360045,10,100,'Inflicts 202 - 337 mental damage on target',0,0),
(157989,360045,10,100,'Inflicts 202 - 337 mental damage on target',0,1),
(157990,360045,10,100,'Stifles target',0,2),
(157991,360045,10,100,'If Target is not Epic',1,3),
(157992,360045,10,100,'If weapon equipped in Ranged',0,4),
(157993,360045,10,100,'Resistibility increases against targets higher than level 29.',0,5),
(157994,360046,10,100,'Inflicts 259 - 431 mental damage on target',0,0),
(157995,360046,10,100,'Inflicts 259 - 431 mental damage on target',0,1),
(157996,360046,10,100,'Stifles target',0,2),
(157997,360046,10,100,'If Target is not Epic',1,3),
(157998,360046,10,100,'If weapon equipped in Ranged',0,4),
(157999,360046,10,100,'Resistibility increases against targets higher than level 29.',0,5),
(158000,360047,10,100,'Inflicts 314 - 523 mental damage on target',0,0),
(158001,360047,10,100,'Inflicts 314 - 523 mental damage on target',0,1),
(158002,360047,10,100,'Stifles target',0,2),
(158003,360047,10,100,'If Target is not Epic',1,3),
(158004,360047,10,100,'If weapon equipped in Ranged',0,4),
(158005,360047,10,100,'Resistibility increases against targets higher than level 29.',0,5),
(158006,360048,10,100,'Inflicts 372 - 620 mental damage on target',0,0),
(158007,360048,10,100,'Inflicts 372 - 620 mental damage on target',0,1),
(158008,360048,10,100,'Stifles target',0,2),
(158009,360048,10,100,'If Target is not Epic',1,3),
(158010,360048,10,100,'If weapon equipped in Ranged',0,4),
(158011,360048,10,100,'Resistibility increases against targets higher than level 29.',0,5),
(158012,360048,11,100,'Inflicts 447 - 746 mental damage on target',0,0),
(158013,360048,11,100,'Inflicts 447 - 746 mental damage on target',0,1),
(158014,360048,11,100,'Stifles target',0,2),
(158015,360048,11,100,'If Target is not Epic',1,3),
(158016,360048,11,100,'If weapon equipped in Ranged',0,4),
(158017,360048,11,100,'Resistibility increases against targets higher than level 29.',0,5),
(158018,360049,10,100,'Decreases Hate Gain of group members (AE) by 20.0%',0,0),
(158019,360049,10,100,'If not fighter',1,1),
(158020,360049,10,100,'When damaged this spell will cast Serenade on target''s attacker.  ',0,2),
(158021,360049,10,100,'Decreases Threat to target by 42 ',1,3),
(158022,360049,10,100,'If not fighter',1,4),
(158023,360050,10,100,'Decreases Hate Gain of group members (AE) by 25.7%',0,0),
(158024,360050,10,100,'If not fighter',1,1),
(158025,360050,10,100,'When damaged this spell will cast Serenade on target''s attacker.  ',0,2),
(158026,360050,10,100,'Decreases Threat to target by 73 ',1,3),
(158027,360050,10,100,'If not fighter',1,4),
(158028,360051,10,100,'Decreases Hate Gain of group members (AE) by 31.2%',0,0),
(158029,360051,10,100,'If not fighter',1,1),
(158030,360051,10,100,'When damaged this spell will cast Serenade on target''s attacker.  ',0,2),
(158031,360051,10,100,'Decreases Threat to target by 111 ',1,3),
(158032,360051,10,100,'If not fighter',1,4),
(158033,360052,10,100,'Decreases Hate Gain of group members (AE) by 35.5%',0,0),
(158034,360052,10,100,'If not fighter',1,1),
(158035,360052,10,100,'When damaged this spell will cast Serenade on target''s attacker.  ',0,2),
(158036,360052,10,100,'Decreases Threat to target by 153 ',1,3),
(158037,360052,10,100,'If not fighter',1,4),
(158038,360054,10,100,'Increases Haste of group members (AE) by 18.1',0,0),
(158039,360056,10,100,'Increases Haste of group members (AE) by 25.1',0,0),
(158040,360057,10,100,'Increases Haste of group members (AE) by 28.6',0,0),
(158041,360058,10,100,'Increases Haste of group members (AE) by 31.0',0,0),
(158042,360059,10,100,'Increases Haste of group members (AE) by 35.5',0,0),
(158043,360060,10,100,'Increases Haste of group members (AE) by 37.8',0,0),
(158044,360060,11,100,'Increases Haste of group members (AE) by 45.4',0,0),
(158045,360061,1,100,'Increases Mitigation of group members (AE) vs arcane damage by 252',1,1),
(158046,360061,1,100,'Increases Mitigation of raid and group members (AE) vs arcane damage by 252',0,2),
(158047,360061,2,100,'Increases Mitigation of group members (AE) vs arcane damage by 266',1,1),
(158048,360061,2,100,'Increases Mitigation of raid and group members (AE) vs arcane damage by 266',0,2),
(158049,360061,3,100,'Increases Mitigation of group members (AE) vs arcane damage by 280',1,1),
(158050,360061,3,100,'Increases Mitigation of raid and group members (AE) vs arcane damage by 280',0,2),
(158051,360061,4,100,'Increases Mitigation of group members (AE) vs arcane damage by 308',1,1),
(158052,360061,4,100,'Increases Mitigation of raid and group members (AE) vs arcane damage by 308',0,2),
(158053,360061,5,100,'Increases Mitigation of group members (AE) vs arcane damage by 336',1,1),
(158054,360061,5,100,'Increases Mitigation of raid and group members (AE) vs arcane damage by 336',0,2),
(158055,360061,7,100,'Increases Mitigation of group members (AE) vs arcane damage by 431',1,1),
(158056,360061,7,100,'Increases Mitigation of raid and group members (AE) vs arcane damage by 431',0,2),
(158057,360061,9,100,'Increases Mitigation of group members (AE) vs arcane damage by 448',1,1),
(158058,360061,9,100,'Increases Mitigation of raid and group members (AE) vs arcane damage by 448',0,2),
(158059,360061,10,100,'Applies Orchestrated Symphony.',0,0),
(158060,360061,10,100,'Increases Mitigation of group members (AE) vs arcane damage by 470',1,1),
(158061,360061,10,100,'Increases Mitigation of raid and group members (AE) vs arcane damage by 470',0,2),
(158062,360062,1,100,'Increases Mitigation of group members (AE) vs arcane damage by 428',1,1),
(158063,360062,1,100,'Increases Mitigation of raid and group members (AE) vs arcane damage by 428',0,2),
(158064,360062,2,100,'Increases Mitigation of group members (AE) vs arcane damage by 452',1,1),
(158065,360062,2,100,'Increases Mitigation of raid and group members (AE) vs arcane damage by 452',0,2),
(158066,360062,3,100,'Increases Mitigation of group members (AE) vs arcane damage by 476',1,1),
(158067,360062,3,100,'Increases Mitigation of raid and group members (AE) vs arcane damage by 476',0,2),
(158068,360062,4,100,'Increases Mitigation of group members (AE) vs arcane damage by 524',1,1),
(158069,360062,4,100,'Increases Mitigation of raid and group members (AE) vs arcane damage by 524',0,2),
(158070,360062,5,100,'Increases Mitigation of group members (AE) vs arcane damage by 571',1,1),
(158071,360062,5,100,'Increases Mitigation of raid and group members (AE) vs arcane damage by 571',0,2),
(158072,360062,7,100,'Increases Mitigation of group members (AE) vs arcane damage by 733',1,1),
(158073,360062,7,100,'Increases Mitigation of raid and group members (AE) vs arcane damage by 733',0,2),
(158074,360062,9,100,'Increases Mitigation of group members (AE) vs arcane damage by 762',1,1),
(158075,360062,9,100,'Increases Mitigation of raid and group members (AE) vs arcane damage by 762',0,2),
(158076,360062,10,100,'Applies Orchestrated Symphony.',0,0),
(158077,360062,10,100,'Increases Mitigation of group members (AE) vs arcane damage by 800',1,1),
(158078,360062,10,100,'Increases Mitigation of raid and group members (AE) vs arcane damage by 800',0,2),
(158079,360063,1,100,'Increases Mitigation of group members (AE) vs arcane damage by 605',1,1),
(158080,360063,1,100,'Increases Mitigation of raid and group members (AE) vs arcane damage by 605',0,2),
(158081,360063,2,100,'Increases Mitigation of group members (AE) vs arcane damage by 638',1,1),
(158082,360063,2,100,'Increases Mitigation of raid and group members (AE) vs arcane damage by 638',0,2),
(158083,360063,3,100,'Increases Mitigation of group members (AE) vs arcane damage by 672',1,1),
(158084,360063,3,100,'Increases Mitigation of raid and group members (AE) vs arcane damage by 672',0,2),
(158085,360063,4,100,'Increases Mitigation of group members (AE) vs arcane damage by 739',1,1),
(158086,360063,4,100,'Increases Mitigation of raid and group members (AE) vs arcane damage by 739',0,2),
(158087,360063,5,100,'Increases Mitigation of group members (AE) vs arcane damage by 806',1,1),
(158088,360063,5,100,'Increases Mitigation of raid and group members (AE) vs arcane damage by 806',0,2),
(158089,360063,7,100,'Increases Mitigation of group members (AE) vs arcane damage by 1035',1,1),
(158090,360063,7,100,'Increases Mitigation of raid and group members (AE) vs arcane damage by 1035',0,2),
(158091,360063,9,100,'Increases Mitigation of group members (AE) vs arcane damage by 1075',1,1),
(158092,360063,9,100,'Increases Mitigation of raid and group members (AE) vs arcane damage by 1075',0,2),
(158093,360063,10,100,'Increases Mitigation of group members (AE) vs arcane damage by 1129',1,1),
(158094,360063,10,100,'Increases Mitigation of raid and group members (AE) vs arcane damage by 1129',0,2),
(158095,360064,1,100,'Increases Mitigation of group members (AE) vs arcane damage by 781',1,1),
(158096,360064,1,100,'Increases Mitigation of raid and group members (AE) vs arcane damage by 781',0,2),
(158097,360064,2,100,'Increases Mitigation of group members (AE) vs arcane damage by 825',1,1),
(158098,360064,2,100,'Increases Mitigation of raid and group members (AE) vs arcane damage by 825',0,2),
(158099,360064,3,100,'Increases Mitigation of group members (AE) vs arcane damage by 868',1,1),
(158100,360064,3,100,'Increases Mitigation of raid and group members (AE) vs arcane damage by 868',0,2),
(158101,360064,4,100,'Increases Mitigation of group members (AE) vs arcane damage by 955',1,1),
(158102,360064,4,100,'Increases Mitigation of raid and group members (AE) vs arcane damage by 955',0,2),
(158103,360064,5,100,'Increases Mitigation of group members (AE) vs arcane damage by 1042',1,1),
(158104,360064,5,100,'Increases Mitigation of raid and group members (AE) vs arcane damage by 1042',0,2),
(158105,360064,7,100,'Increases Mitigation of group members (AE) vs arcane damage by 1337',1,1),
(158106,360064,7,100,'Increases Mitigation of raid and group members (AE) vs arcane damage by 1337',0,2),
(158107,360064,9,100,'Increases Mitigation of group members (AE) vs arcane damage by 1389',1,1),
(158108,360064,9,100,'Increases Mitigation of raid and group members (AE) vs arcane damage by 1389',0,2),
(158109,360064,10,100,'Increases Mitigation of group members (AE) vs arcane damage by 1458',1,1),
(158110,360064,10,100,'Increases Mitigation of raid and group members (AE) vs arcane damage by 1458',0,2),
(158111,360065,1,100,'Increases Mitigation of group members (AE) vs arcane damage by 979',1,1),
(158112,360065,1,100,'Increases Mitigation of raid and group members (AE) vs arcane damage by 979',0,2),
(158113,360065,2,100,'Increases Mitigation of group members (AE) vs arcane damage by 1033',1,1),
(158114,360065,2,100,'Increases Mitigation of raid and group members (AE) vs arcane damage by 1033',0,2),
(158115,360065,3,100,'Increases Mitigation of group members (AE) vs arcane damage by 1088',1,1),
(158116,360065,3,100,'Increases Mitigation of raid and group members (AE) vs arcane damage by 1088',0,2),
(158117,360065,4,100,'Increases Mitigation of group members (AE) vs arcane damage by 1197',1,1),
(158118,360065,4,100,'Increases Mitigation of raid and group members (AE) vs arcane damage by 1197',0,2),
(158119,360065,5,100,'Increases Mitigation of group members (AE) vs arcane damage by 1305',1,1),
(158120,360065,5,100,'Increases Mitigation of raid and group members (AE) vs arcane damage by 1305',0,2),
(158121,360065,7,100,'Increases Mitigation of group members (AE) vs arcane damage by 1675',1,1),
(158122,360065,7,100,'Increases Mitigation of raid and group members (AE) vs arcane damage by 1675',0,2),
(158123,360065,9,100,'Increases Mitigation of group members (AE) vs arcane damage by 1740',1,1),
(158124,360065,9,100,'Increases Mitigation of raid and group members (AE) vs arcane damage by 1740',0,2),
(158125,360065,10,100,'Applies Orchestrated Symphony.',0,0),
(158126,360065,10,100,'Increases Mitigation of group members (AE) vs arcane damage by 1828',1,1),
(158127,360065,10,100,'Increases Mitigation of raid and group members (AE) vs arcane damage by 1828',0,2),
(158128,360066,1,100,'Increases Mitigation of group members (AE) vs arcane damage by 1132',1,1),
(158129,360066,1,100,'Increases Mitigation of raid and group members (AE) vs arcane damage by 1132',0,2),
(158130,360066,4,100,'Increases Mitigation of group members (AE) vs arcane damage by 1384',1,1),
(158131,360066,4,100,'Increases Mitigation of raid and group members (AE) vs arcane damage by 1384',0,2),
(158132,360066,5,100,'Increases Mitigation of group members (AE) vs arcane damage by 1510',1,1),
(158133,360066,5,100,'Increases Mitigation of raid and group members (AE) vs arcane damage by 1510',0,2),
(158134,360066,7,100,'Increases Mitigation of group members (AE) vs arcane damage by 1938',1,1),
(158135,360066,7,100,'Increases Mitigation of raid and group members (AE) vs arcane damage by 1938',0,2),
(158136,360066,9,100,'Increases Mitigation of group members (AE) vs arcane damage by 2013',1,1),
(158137,360066,9,100,'Increases Mitigation of raid and group members (AE) vs arcane damage by 2013',0,2),
(158138,360066,10,100,'Increases Mitigation of group members (AE) vs arcane damage by 2114',1,1),
(158139,360066,10,100,'Increases Mitigation of raid and group members (AE) vs arcane damage by 2114',0,2),
(158140,360067,1,100,'Increases Mitigation of group members (AE) vs arcane damage by 1303',1,1),
(158141,360067,1,100,'Increases Mitigation of raid and group members (AE) vs arcane damage by 1303',0,2),
(158142,360067,4,100,'Increases Mitigation of group members (AE) vs arcane damage by 1592',1,1),
(158143,360067,4,100,'Increases Mitigation of raid and group members (AE) vs arcane damage by 1592',0,2),
(158144,360067,5,100,'Increases Mitigation of group members (AE) vs arcane damage by 1737',1,1),
(158145,360067,5,100,'Increases Mitigation of raid and group members (AE) vs arcane damage by 1737',0,2),
(158146,360067,7,100,'Increases Mitigation of group members (AE) vs arcane damage by 2229',1,1),
(158147,360067,7,100,'Increases Mitigation of raid and group members (AE) vs arcane damage by 2229',0,2),
(158148,360067,9,100,'Increases Mitigation of group members (AE) vs arcane damage by 2316',1,1),
(158149,360067,9,100,'Increases Mitigation of raid and group members (AE) vs arcane damage by 2316',0,2),
(158150,360067,10,100,'Increases Mitigation of group members (AE) vs arcane damage by 2432',1,1),
(158151,360067,10,100,'Increases Mitigation of raid and group members (AE) vs arcane damage by 2432',0,2),
(158152,360067,11,100,'Applies Orchestrated Symphony.',0,0),
(158153,360067,11,100,'Increases Mitigation of group members (AE) vs arcane damage by 2924',1,1),
(158154,360067,11,100,'Increases Mitigation of raid and group members (AE) vs arcane damage by 2924',0,2),
(158155,360068,11,100,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',0,0),
(158156,360068,11,100,'Inflicts 69 - 115 mental damage on target',1,1),
(158157,360069,10,100,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',0,0),
(158158,360069,10,100,'Inflicts 100 - 167 mental damage on target',1,1),
(158159,360069,11,100,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',0,0),
(158160,360069,11,100,'Inflicts 120 - 200 mental damage on target',1,1),
(158161,360070,11,100,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',0,0),
(158162,360070,11,100,'Inflicts 180 - 300 mental damage on target',1,1),
(158163,360071,11,100,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',0,0),
(158164,360071,11,100,'Inflicts 244 - 407 mental damage on target',1,1),
(158165,360072,10,100,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',0,0),
(158166,360072,10,100,'Inflicts 250 - 416 mental damage on target',1,1),
(158167,360072,11,100,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',0,0),
(158168,360072,11,100,'Inflicts 300 - 500 mental damage on target',1,1),
(158169,360073,10,100,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',0,0),
(158170,360073,10,100,'Inflicts 301 - 502 mental damage on target',1,1),
(158171,360073,11,100,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',0,0),
(158172,360073,11,100,'Inflicts 362 - 604 mental damage on target',1,1),
(158173,360074,10,100,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',0,0),
(158174,360074,10,100,'Inflicts 339 - 565 mental damage on target',1,1),
(158175,360074,11,100,'On a hostile spell hit this spell has a 30% chance to cast Dissonant Note on target of spell.  ',0,0),
(158176,360074,11,100,'Inflicts 408 - 680 mental damage on target',1,1),
(158177,360075,9,100,'Applies the effects of Perfection of the Maestro to all raid members.',0,0),
(158178,360075,9,100,'Aria of Magic will improve hostile spell damage by 10%',0,1),
(158179,360075,9,100,'On any combat or spell hit this spell may cast Ayonic Hymn on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.4 times per minute. ',0,2),
(158180,360075,9,100,'Inflicts 626 - 940 mental damage on target',1,3),
(158181,360075,9,100,'Increases Crit Chance of caster by 15.0',1,4),
(158182,360075,9,100,'Cannot be modified except by direct means',1,5),
(158183,360075,9,100,'Cannot be modified except by direct means',0,6),
(158184,360075,10,100,'Applies the effects of Perfection of the Maestro to all raid members.',0,0),
(158185,360075,10,100,'Aria of Magic will improve hostile spell damage by 10%',0,1),
(158186,360075,10,100,'On any combat or spell hit this spell may cast Ayonic Hymn on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.4 times per minute. ',0,2),
(158187,360075,10,100,'Inflicts 626 - 940 mental damage on target',1,3),
(158188,360075,10,100,'Increases Crit Chance of caster by 15.0',1,4),
(158189,360075,10,100,'Cannot be modified except by direct means',1,5),
(158190,360075,10,100,'Cannot be modified except by direct means',0,6),
(158191,360076,10,100,'9% chance to apply Knockdown.  Lasts for 1.5 seconds.',0,0),
(158192,360076,10,100,'Throws target back',1,1),
(158193,360076,10,100,'Blurs vision of target',1,2),
(158194,360076,10,100,'Stuns target',1,3),
(158195,360076,10,100,'Does not affect Epic targets',1,4),
(158196,360076,10,100,'Interrupts target encounter',0,5),
(158197,360076,10,100,'Blurs vision of target encounter',0,6),
(158198,360077,10,100,'14% chance to apply Knockdown.  Lasts for 1.5 seconds.',0,0),
(158199,360077,10,100,'Throws target back',1,1),
(158200,360077,10,100,'Blurs vision of target',1,2),
(158201,360077,10,100,'Stuns target',1,3),
(158202,360077,10,100,'Does not affect Epic targets',1,4),
(158203,360077,10,100,'Interrupts target encounter',0,5),
(158204,360077,10,100,'Blurs vision of target encounter',0,6),
(158205,360078,10,100,'19% chance to apply Knockdown.  Lasts for 1.5 seconds.',0,0),
(158206,360078,10,100,'Throws target back',1,1),
(158207,360078,10,100,'Blurs vision of target',1,2),
(158208,360078,10,100,'Stuns target',1,3),
(158209,360078,10,100,'Does not affect Epic targets',1,4),
(158210,360078,10,100,'Interrupts target encounter',0,5),
(158211,360078,10,100,'Blurs vision of target encounter',0,6),
(158212,360079,10,100,'Charms target',0,0),
(158213,360079,10,100,'Certain enemies cannot be charmed',0,1),
(158214,360079,10,100,'Does not affect Epic targets',0,2),
(158215,360080,10,100,'Charms target',0,0),
(158216,360080,10,100,'Certain enemies cannot be charmed',0,1),
(158217,360080,10,100,'Does not affect Epic targets',0,2),
(158218,360081,10,100,'Charms target',0,0),
(158219,360081,10,100,'Certain enemies cannot be charmed',0,1),
(158220,360081,10,100,'Does not affect Epic targets',0,2),
(158221,360082,10,100,'Charms target',0,0),
(158222,360082,10,100,'If outside an arena',0,1),
(158223,360082,10,100,'Certain enemies cannot be charmed',0,2),
(158224,360082,10,100,'Does not affect Epic targets',0,3),
(158225,360083,10,100,'Charms target',0,0),
(158226,360083,10,100,'If outside an arena',0,1),
(158227,360083,10,100,'Certain enemies cannot be charmed',0,2),
(158228,360083,10,100,'Does not affect Epic targets',0,3),
(158229,360084,10,100,'Charms target',0,0),
(158230,360084,10,100,'If outside an arena',0,1),
(158231,360084,10,100,'Certain enemies cannot be charmed',0,2),
(158232,360084,10,100,'Does not affect Epic targets',0,3),
(158233,360085,10,100,'Charms target',0,0),
(158234,360085,10,100,'If outside an arena',0,1),
(158235,360085,10,100,'Certain enemies cannot be charmed',0,2),
(158236,360085,10,100,'Does not affect Epic targets',0,3),
(158237,360085,11,100,'Charms target',0,0),
(158238,360085,11,100,'If outside an arena',0,1),
(158239,360085,11,100,'Certain enemies cannot be charmed',0,2),
(158240,360085,11,100,'Does not affect Epic targets',0,3),
(158241,360087,10,100,'Inflicts 90 mental damage on target encounter instantly and every 6 seconds',0,0),
(158242,360087,10,100,'Decreases WIS of target encounter by 60.1',0,1),
(158243,360090,10,100,'Inflicts 193 mental damage on target encounter instantly and every 6 seconds',0,0),
(158244,360090,10,100,'Decreases WIS of target encounter by 116.4',0,1),
(158245,360091,10,100,'Inflicts 223 mental damage on target encounter instantly and every 6 seconds',0,0),
(158246,360091,10,100,'Decreases WIS of target encounter by 134.9',0,1),
(158247,360091,11,100,'Inflicts 269 mental damage on target encounter instantly and every 6 seconds',0,0),
(158248,360091,11,100,'Decreases WIS of target encounter by 162.2',0,1),
(158249,360092,1,100,'Increases Ability Mod of group members (AE) by 675.0',1,2),
(158250,360092,1,100,'Cannot be modified except by direct means',1,3),
(158251,360092,1,100,'Target will reduce the chance for one of their weapons'' auto-attack to affect multiple targets by 56.2%',0,4),
(158252,360092,1,100,'Decreases the damage done by the next spell cast by 10 percent',0,5),
(158253,360092,2,100,'Increases Ability Mod of group members (AE) by 712.5',1,2),
(158254,360092,2,100,'Cannot be modified except by direct means',1,3),
(158255,360092,2,100,'Target will reduce the chance for one of their weapons'' auto-attack to affect multiple targets by 59.4%',0,4),
(158256,360092,2,100,'Decreases the damage done by the next spell cast by 20 percent',0,5),
(158257,360092,3,100,'Increases Ability Mod of group members (AE) by 750.0',1,2),
(158258,360092,3,100,'Cannot be modified except by direct means',1,3),
(158259,360092,3,100,'Target will reduce the chance for one of their weapons'' auto-attack to affect multiple targets by 62.5%',0,4),
(158260,360092,3,100,'Decreases the damage done by the next spell cast by 30 percent',0,5),
(158261,360092,4,100,'Increases Ability Mod of group members (AE) by 825.0',1,2),
(158262,360092,4,100,'Cannot be modified except by direct means',1,3),
(158263,360092,4,100,'Target will reduce the chance for one of their weapons'' auto-attack to affect multiple targets by 68.7%',0,4),
(158264,360092,4,100,'Decreases the damage done by the next spell cast by 40 percent',0,5),
(158265,360092,5,100,'Increases Ability Mod of group members (AE) by 900.0',1,2),
(158266,360092,5,100,'Cannot be modified except by direct means',1,3),
(158267,360092,5,100,'Target will reduce the chance for one of their weapons'' auto-attack to affect multiple targets by 75.0%',0,4),
(158268,360092,5,100,'Decreases the damage done by the next spell cast by 50 percent',0,5),
(158269,360092,7,100,'Increases Ability Mod of group members (AE) by 1,155.0',1,2),
(158270,360092,7,100,'Cannot be modified except by direct means',1,3),
(158271,360092,7,100,'Target will reduce the chance for one of their weapons'' auto-attack to affect multiple targets by 96.2%',0,4),
(158272,360092,7,100,'Decreases the damage done by the next spell cast by 70 percent',0,5),
(158273,360092,9,100,'Increases Ability Mod of group members (AE) by 1,200.0',1,2),
(158274,360092,9,100,'Cannot be modified except by direct means',1,3),
(158275,360092,9,100,'Target will reduce the chance for one of their weapons'' auto-attack to affect multiple targets by 100.0%',0,4),
(158276,360092,9,100,'Decreases the damage done by the next spell cast by 90 percent',0,5),
(158277,360092,10,100,'Applies Stolen Breath.  Lasts for 1 minute.',0,0),
(158278,360092,10,100,'Increases Potency of group members (AE) by 30.2%',1,1),
(158279,360092,10,100,'Increases Ability Mod of group members (AE) by 1,260.0',1,2),
(158280,360092,10,100,'Cannot be modified except by direct means',1,3),
(158281,360092,10,100,'Target will reduce the chance for one of their weapons'' auto-attack to affect multiple targets by 105.0%',0,4),
(158282,360092,10,100,'Decreases the damage done by the next spell cast by 100 percent',0,5),
(158283,360093,1,100,'Cannot be modified except by direct means',1,2),
(158284,360093,1,100,'Decreases AGI, STR, INT and WIS of target encounter by 58.0',0,3),
(158285,360093,1,100,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation, Ordination and Aggression of target encounter by 14.8',0,4),
(158286,360093,2,100,'Cannot be modified except by direct means',1,2),
(158287,360093,2,100,'Decreases AGI, STR, INT and WIS of target encounter by 61.3',0,3),
(158288,360093,2,100,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation, Ordination and Aggression of target encounter by 15.7',0,4),
(158289,360093,3,100,'Cannot be modified except by direct means',1,2),
(158290,360093,3,100,'Decreases AGI, STR, INT and WIS of target encounter by 64.5',0,3),
(158291,360093,3,100,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation, Ordination and Aggression of target encounter by 16.5',0,4),
(158292,360093,4,100,'Cannot be modified except by direct means',1,2),
(158293,360093,4,100,'Decreases AGI, STR, INT and WIS of target encounter by 71.0',0,3),
(158294,360093,4,100,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation, Ordination and Aggression of target encounter by 18.1',0,4),
(158295,360093,5,100,'Cannot be modified except by direct means',1,2),
(158296,360093,5,100,'Decreases AGI, STR, INT and WIS of target encounter by 77.4',0,3),
(158297,360093,5,100,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation, Ordination and Aggression of target encounter by 19.8',0,4),
(158298,360093,7,100,'Cannot be modified except by direct means',1,2),
(158299,360093,7,100,'Decreases AGI, STR, INT and WIS of target encounter by 99.3',0,3),
(158300,360093,7,100,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation, Ordination and Aggression of target encounter by 25.4',0,4),
(158301,360093,9,100,'Cannot be modified except by direct means',1,2),
(158302,360093,9,100,'Decreases AGI, STR, INT and WIS of target encounter by 103.2',0,3),
(158303,360093,9,100,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation, Ordination and Aggression of target encounter by 26.4',0,4),
(158304,360093,10,100,'Applies Unsettled March.  Lasts for 1 minute.',0,0),
(158305,360093,10,100,'Increases Fervor of group members (AE) by 3.9',1,1),
(158306,360093,10,100,'Cannot be modified except by direct means',1,2),
(158307,360093,10,100,'Decreases AGI, STR, INT and WIS of target encounter by 108.4',0,3),
(158308,360093,10,100,'Decreases Slashing, Crushing, Piercing, Ranged, Focus, Disruption, Subjugation, Ordination and Aggression of target encounter by 27.7',0,4),
(158309,360094,1,100,'Decreases AGI, STR, INT and WIS of target encounter by 80.2',0,3),
(158310,360094,1,100,'Decreases Slashing, Crushing, Piercing, Ranged and Focus of target encounter by 20.3',0,4),
(158311,360094,1,100,'Decreases Disruption, Subjugation, Ordination and Aggression of target encounter by 20.0',0,5),
(158312,360094,2,100,'Decreases AGI, STR, INT and WIS of target encounter by 84.6',0,3),
(158313,360094,2,100,'Decreases Slashing, Crushing, Piercing, Ranged and Focus of target encounter by 21.5',0,4),
(158314,360094,2,100,'Decreases Disruption, Subjugation, Ordination and Aggression of target encounter by 21.1',0,5),
(158315,360094,3,100,'Decreases AGI, STR, INT and WIS of target encounter by 89.1',0,3),
(158316,360094,3,100,'Decreases Slashing, Crushing, Piercing, Ranged and Focus of target encounter by 22.6',0,4),
(158317,360094,3,100,'Decreases Disruption, Subjugation, Ordination and Aggression of target encounter by 22.2',0,5),
(158318,360094,4,100,'Decreases AGI, STR, INT and WIS of target encounter by 98.0',0,3),
(158319,360094,4,100,'Decreases Slashing, Crushing, Piercing, Ranged and Focus of target encounter by 24.9',0,4),
(158320,360094,4,100,'Decreases Disruption, Subjugation, Ordination and Aggression of target encounter by 24.4',0,5),
(158321,360094,5,100,'Decreases AGI, STR, INT and WIS of target encounter by 106.9',0,3),
(158322,360094,5,100,'Decreases Slashing, Crushing, Piercing, Ranged and Focus of target encounter by 27.1',0,4),
(158323,360094,5,100,'Decreases Disruption, Subjugation, Ordination and Aggression of target encounter by 26.6',0,5),
(158324,360094,7,100,'Decreases AGI, STR, INT and WIS of target encounter by 137.2',0,3),
(158325,360094,7,100,'Decreases Slashing, Crushing, Piercing, Ranged and Focus of target encounter by 34.8',0,4),
(158326,360094,7,100,'Decreases Disruption, Subjugation, Ordination and Aggression of target encounter by 34.2',0,5),
(158327,360094,9,100,'Decreases AGI, STR, INT and WIS of target encounter by 142.6',0,3),
(158328,360094,9,100,'Decreases Slashing, Crushing, Piercing, Ranged and Focus of target encounter by 36.2',0,4),
(158329,360094,9,100,'Decreases Disruption, Subjugation, Ordination and Aggression of target encounter by 35.5',0,5),
(158330,360094,10,100,'Applies Unsettled March.  Lasts for 1 minute.',0,0),
(158331,360094,10,100,'Increases Fervor of group members (AE) by 3.9',1,1),
(158332,360094,10,100,'Cannot be modified except by direct means',1,2),
(158333,360094,10,100,'Decreases AGI, STR, INT and WIS of target encounter by 149.7',0,3),
(158334,360094,10,100,'Decreases Slashing, Crushing, Piercing, Ranged and Focus of target encounter by 38.0',0,4),
(158335,360094,10,100,'Decreases Disruption, Subjugation, Ordination and Aggression of target encounter by 37.3',0,5),
(158336,360095,1,100,'Decreases AGI, STR, INT and WIS of target encounter by 95.0',0,3),
(158337,360095,1,100,'Decreases Slashing, Crushing, Piercing, Ranged and Focus of target encounter by 23.9',0,4),
(158338,360095,1,100,'Decreases Disruption, Subjugation, Ordination and Aggression of target encounter by 22.7',0,5),
(158339,360095,4,100,'Decreases AGI, STR, INT and WIS of target encounter by 116.2',0,3),
(158340,360095,4,100,'Decreases Slashing, Crushing, Piercing, Ranged and Focus of target encounter by 29.3',0,4),
(158341,360095,4,100,'Decreases Disruption, Subjugation, Ordination and Aggression of target encounter by 27.7',0,5),
(158342,360095,5,100,'Decreases AGI, STR, INT and WIS of target encounter by 126.7',0,3),
(158343,360095,5,100,'Decreases Slashing, Crushing, Piercing, Ranged and Focus of target encounter by 31.9',0,4),
(158344,360095,5,100,'Decreases Disruption, Subjugation, Ordination and Aggression of target encounter by 30.2',0,5),
(158345,360095,7,100,'Decreases AGI, STR, INT and WIS of target encounter by 162.6',0,3),
(158346,360095,7,100,'Decreases Slashing, Crushing, Piercing, Ranged and Focus of target encounter by 41.0',0,4),
(158347,360095,7,100,'Decreases Disruption, Subjugation, Ordination and Aggression of target encounter by 38.8',0,5),
(158348,360095,9,100,'Decreases AGI, STR, INT and WIS of target encounter by 169.0',0,3),
(158349,360095,9,100,'Decreases Slashing, Crushing, Piercing, Ranged and Focus of target encounter by 42.6',0,4),
(158350,360095,9,100,'Decreases Disruption, Subjugation, Ordination and Aggression of target encounter by 40.3',0,5),
(158351,360095,10,100,'Applies Unsettled March.  Lasts for 1 minute.',0,0),
(158352,360095,10,100,'Increases Fervor of group members (AE) by 3.9',1,1),
(158353,360095,10,100,'Cannot be modified except by direct means',1,2),
(158354,360095,10,100,'Decreases AGI, STR, INT and WIS of target encounter by 177.4',0,3),
(158355,360095,10,100,'Decreases Slashing, Crushing, Piercing, Ranged and Focus of target encounter by 44.7',0,4),
(158356,360095,10,100,'Decreases Disruption, Subjugation, Ordination and Aggression of target encounter by 42.3',0,5),
(158357,360096,1,100,'Decreases AGI, STR, INT and WIS of target encounter by 109.9',0,3),
(158358,360096,1,100,'Decreases Slashing, Crushing, Piercing, Ranged and Focus of target encounter by 27.5',0,4),
(158359,360096,1,100,'Decreases Disruption, Subjugation, Ordination and Aggression of target encounter by 25.4',0,5),
(158360,360096,4,100,'Decreases AGI, STR, INT and WIS of target encounter by 134.3',0,3),
(158361,360096,4,100,'Decreases Slashing, Crushing, Piercing, Ranged and Focus of target encounter by 33.7',0,4),
(158362,360096,4,100,'Decreases Disruption, Subjugation, Ordination and Aggression of target encounter by 31.0',0,5),
(158363,360096,5,100,'Decreases AGI, STR, INT and WIS of target encounter by 146.5',0,3),
(158364,360096,5,100,'Decreases Slashing, Crushing, Piercing, Ranged and Focus of target encounter by 36.7',0,4),
(158365,360096,5,100,'Decreases Disruption, Subjugation, Ordination and Aggression of target encounter by 33.8',0,5),
(158366,360096,7,100,'Decreases AGI, STR, INT and WIS of target encounter by 188.0',0,3),
(158367,360096,7,100,'Decreases Slashing, Crushing, Piercing, Ranged and Focus of target encounter by 47.1',0,4),
(158368,360096,7,100,'Decreases Disruption, Subjugation, Ordination and Aggression of target encounter by 43.4',0,5),
(158369,360096,9,100,'Decreases AGI, STR, INT and WIS of target encounter by 195.4',0,3),
(158370,360096,9,100,'Decreases Slashing, Crushing, Piercing, Ranged and Focus of target encounter by 49.0',0,4),
(158371,360096,9,100,'Decreases Disruption, Subjugation, Ordination and Aggression of target encounter by 45.1',0,5),
(158372,360096,10,100,'Applies Unsettled March.  Lasts for 1 minute.',0,0),
(158373,360096,10,100,'Increases Fervor of group members (AE) by 3.9',1,1),
(158374,360096,10,100,'Cannot be modified except by direct means',1,2),
(158375,360096,10,100,'Decreases AGI, STR, INT and WIS of target encounter by 205.1',0,3),
(158376,360096,10,100,'Decreases Slashing, Crushing, Piercing, Ranged and Focus of target encounter by 51.4',0,4),
(158377,360096,10,100,'Decreases Disruption, Subjugation, Ordination and Aggression of target encounter by 47.4',0,5),
(158378,360096,11,100,'Applies Unsettled March.  Lasts for 1 minute.',0,0),
(158379,360096,11,100,'Increases Fervor of group members (AE) by 4.6',1,1),
(158380,360096,11,100,'Cannot be modified except by direct means',1,2),
(158381,360096,11,100,'Decreases AGI, STR, INT and WIS of target encounter by 246.6',0,3),
(158382,360096,11,100,'Decreases Slashing, Crushing, Piercing, Ranged and Focus of target encounter by 61.8',0,4),
(158383,360096,11,100,'Decreases Disruption, Subjugation, Ordination and Aggression of target encounter by 57.0',0,5),
(158384,360097,10,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(158385,360097,10,100,'Slows target by 52.8%',1,1),
(158386,360097,10,100,'5% chance to dispel when target receives hostile action',1,2),
(158387,360097,10,100,'5% chance to dispel when target takes damage',1,3),
(158388,360097,10,100,'Decreases Mitigation of target vs arcane damage by 367',0,4),
(158389,360098,10,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(158390,360098,10,100,'Slows target by 58.1%',1,1),
(158391,360098,10,100,'5% chance to dispel when target receives hostile action',1,2),
(158392,360098,10,100,'5% chance to dispel when target takes damage',1,3),
(158393,360098,10,100,'Decreases Mitigation of target vs arcane damage by 773',0,4),
(158394,360099,10,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(158395,360099,10,100,'Slows target by 62.8%',1,1),
(158396,360099,10,100,'5% chance to dispel when target receives hostile action',1,2),
(158397,360099,10,100,'5% chance to dispel when target takes damage',1,3),
(158398,360099,10,100,'Decreases Mitigation of target vs arcane damage by 1243',0,4),
(158399,360100,10,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(158400,360100,10,100,'Slows target by 67.3%',1,1),
(158401,360100,10,100,'5% chance to dispel when target receives hostile action',1,2),
(158402,360100,10,100,'5% chance to dispel when target takes damage',1,3),
(158403,360100,10,100,'Decreases Mitigation of target vs arcane damage by 1714',0,4),
(158404,360101,10,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(158405,360101,10,100,'Slows target by 68.2%',1,1),
(158406,360101,10,100,'5% chance to dispel when target receives hostile action',1,2),
(158407,360101,10,100,'5% chance to dispel when target takes damage',1,3),
(158408,360101,10,100,'Decreases Mitigation of target vs arcane damage by 2184',0,4),
(158409,360102,10,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(158410,360102,10,100,'Slows target by 68.9%',1,1),
(158411,360102,10,100,'5% chance to dispel when target receives hostile action',1,2),
(158412,360102,10,100,'5% chance to dispel when target takes damage',1,3),
(158413,360102,10,100,'Decreases Mitigation of target vs arcane damage by 2772',0,4),
(158414,360103,10,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(158415,360103,10,100,'Slows target by 69.6%',1,1),
(158416,360103,10,100,'5% chance to dispel when target receives hostile action',1,2),
(158417,360103,10,100,'5% chance to dispel when target takes damage',1,3),
(158418,360103,10,100,'Decreases Mitigation of target vs arcane damage by 3468',0,4),
(158419,360104,10,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(158420,360104,10,100,'Slows target by 70.3%',1,1),
(158421,360104,10,100,'5% chance to dispel when target receives hostile action',1,2),
(158422,360104,10,100,'5% chance to dispel when target takes damage',1,3),
(158423,360104,10,100,'Decreases Mitigation of target vs arcane damage by 3871',0,4),
(158424,360104,11,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(158425,360104,11,100,'Slows target by 84.5%',1,1),
(158426,360104,11,100,'5% chance to dispel when target receives hostile action',1,2),
(158427,360104,11,100,'5% chance to dispel when target takes damage',1,3),
(158428,360104,11,100,'Decreases Mitigation of target vs arcane damage by 4654',0,4),
(158429,360105,1,100,'Increases Mitigation of group members (AE) vs elemental damage by 554',1,1),
(158430,360105,1,100,'Increases Mitigation of raid and group members (AE) vs elemental damage by 554',0,2),
(158431,360105,2,100,'Increases Mitigation of group members (AE) vs elemental damage by 585',1,1),
(158432,360105,2,100,'Increases Mitigation of raid and group members (AE) vs elemental damage by 585',0,2),
(158433,360105,3,100,'Increases Mitigation of group members (AE) vs elemental damage by 616',1,1),
(158434,360105,3,100,'Increases Mitigation of raid and group members (AE) vs elemental damage by 616',0,2),
(158435,360105,4,100,'Increases Mitigation of group members (AE) vs elemental damage by 678',1,1),
(158436,360105,4,100,'Increases Mitigation of raid and group members (AE) vs elemental damage by 678',0,2),
(158437,360105,5,100,'Increases Mitigation of group members (AE) vs elemental damage by 739',1,1),
(158438,360105,5,100,'Increases Mitigation of raid and group members (AE) vs elemental damage by 739',0,2),
(158439,360105,7,100,'Increases Mitigation of group members (AE) vs elemental damage by 949',1,1),
(158440,360105,7,100,'Increases Mitigation of raid and group members (AE) vs elemental damage by 949',0,2),
(158441,360105,9,100,'Increases Mitigation of group members (AE) vs elemental damage by 986',1,1),
(158442,360105,9,100,'Increases Mitigation of raid and group members (AE) vs elemental damage by 986',0,2),
(158443,360105,10,100,'Applies Orchestrated Symphony.',0,0),
(158444,360105,10,100,'Increases Mitigation of group members (AE) vs elemental damage by 1035',1,1),
(158445,360105,10,100,'Increases Mitigation of raid and group members (AE) vs elemental damage by 1035',0,2),
(158446,360106,1,100,'Increases Mitigation of group members (AE) vs elemental damage by 731',1,1),
(158447,360106,1,100,'Increases Mitigation of raid and group members (AE) vs elemental damage by 731',0,2),
(158448,360106,2,100,'Increases Mitigation of group members (AE) vs elemental damage by 771',1,1),
(158449,360106,2,100,'Increases Mitigation of raid and group members (AE) vs elemental damage by 771',0,2),
(158450,360106,3,100,'Increases Mitigation of group members (AE) vs elemental damage by 812',1,1),
(158451,360106,3,100,'Increases Mitigation of raid and group members (AE) vs elemental damage by 812',0,2),
(158452,360106,4,100,'Increases Mitigation of group members (AE) vs elemental damage by 893',1,1),
(158453,360106,4,100,'Increases Mitigation of raid and group members (AE) vs elemental damage by 893',0,2),
(158454,360106,5,100,'Increases Mitigation of group members (AE) vs elemental damage by 974',1,1),
(158455,360106,5,100,'Increases Mitigation of raid and group members (AE) vs elemental damage by 974',0,2),
(158456,360106,7,100,'Increases Mitigation of group members (AE) vs elemental damage by 1250',1,1),
(158457,360106,7,100,'Increases Mitigation of raid and group members (AE) vs elemental damage by 1250',0,2),
(158458,360106,9,100,'Increases Mitigation of group members (AE) vs elemental damage by 1299',1,1),
(158459,360106,9,100,'Increases Mitigation of raid and group members (AE) vs elemental damage by 1299',0,2),
(158460,360106,10,100,'Applies Orchestrated Symphony.',0,0),
(158461,360106,10,100,'Increases Mitigation of group members (AE) vs elemental damage by 1364',1,1),
(158462,360106,10,100,'Increases Mitigation of raid and group members (AE) vs elemental damage by 1364',0,2),
(158463,360107,1,100,'Increases Mitigation of group members (AE) vs elemental damage by 953',1,1),
(158464,360107,1,100,'Increases Mitigation of raid and group members (AE) vs elemental damage by 953',0,2),
(158465,360107,2,100,'Increases Mitigation of group members (AE) vs elemental damage by 1005',1,1),
(158466,360107,2,100,'Increases Mitigation of raid and group members (AE) vs elemental damage by 1005',0,2),
(158467,360107,3,100,'Increases Mitigation of group members (AE) vs elemental damage by 1058',1,1),
(158468,360107,3,100,'Increases Mitigation of raid and group members (AE) vs elemental damage by 1058',0,2),
(158469,360107,4,100,'Increases Mitigation of group members (AE) vs elemental damage by 1164',1,1),
(158470,360107,4,100,'Increases Mitigation of raid and group members (AE) vs elemental damage by 1164',0,2),
(158471,360107,5,100,'Increases Mitigation of group members (AE) vs elemental damage by 1270',1,1),
(158472,360107,5,100,'Increases Mitigation of raid and group members (AE) vs elemental damage by 1270',0,2),
(158473,360107,7,100,'Increases Mitigation of group members (AE) vs elemental damage by 1630',1,1),
(158474,360107,7,100,'Increases Mitigation of raid and group members (AE) vs elemental damage by 1630',0,2),
(158475,360107,9,100,'Increases Mitigation of group members (AE) vs elemental damage by 1693',1,1),
(158476,360107,9,100,'Increases Mitigation of raid and group members (AE) vs elemental damage by 1693',0,2),
(158477,360107,10,100,'Applies Orchestrated Symphony.',0,0),
(158478,360107,10,100,'Increases Mitigation of group members (AE) vs elemental damage by 1778',1,1),
(158479,360107,10,100,'Increases Mitigation of raid and group members (AE) vs elemental damage by 1778',0,2),
(158480,360108,1,100,'Increases Mitigation of group members (AE) vs elemental damage by 1095',1,1),
(158481,360108,1,100,'Increases Mitigation of raid and group members (AE) vs elemental damage by 1095',0,2),
(158482,360108,4,100,'Increases Mitigation of group members (AE) vs elemental damage by 1339',1,1),
(158483,360108,4,100,'Increases Mitigation of raid and group members (AE) vs elemental damage by 1339',0,2),
(158484,360108,5,100,'Increases Mitigation of group members (AE) vs elemental damage by 1460',1,1),
(158485,360108,5,100,'Increases Mitigation of raid and group members (AE) vs elemental damage by 1460',0,2),
(158486,360108,7,100,'Increases Mitigation of group members (AE) vs elemental damage by 1874',1,1),
(158487,360108,7,100,'Increases Mitigation of raid and group members (AE) vs elemental damage by 1874',0,2),
(158488,360108,9,100,'Increases Mitigation of group members (AE) vs elemental damage by 1947',1,1),
(158489,360108,9,100,'Increases Mitigation of raid and group members (AE) vs elemental damage by 1947',0,2),
(158490,360108,10,100,'Applies Orchestrated Symphony.',0,0),
(158491,360108,10,100,'Increases Mitigation of group members (AE) vs elemental damage by 2044',1,1),
(158492,360108,10,100,'Increases Mitigation of raid and group members (AE) vs elemental damage by 2044',0,2),
(158493,360109,1,100,'Increases Mitigation of group members (AE) vs elemental damage by 1275',1,1),
(158494,360109,1,100,'Increases Mitigation of raid and group members (AE) vs elemental damage by 1275',0,2),
(158495,360109,4,100,'Increases Mitigation of group members (AE) vs elemental damage by 1558',1,1),
(158496,360109,4,100,'Increases Mitigation of raid and group members (AE) vs elemental damage by 1558',0,2),
(158497,360109,5,100,'Increases Mitigation of group members (AE) vs elemental damage by 1700',1,1),
(158498,360109,5,100,'Increases Mitigation of raid and group members (AE) vs elemental damage by 1700',0,2),
(158499,360109,7,100,'Increases Mitigation of group members (AE) vs elemental damage by 2182',1,1),
(158500,360109,7,100,'Increases Mitigation of raid and group members (AE) vs elemental damage by 2182',0,2),
(158501,360109,9,100,'Increases Mitigation of group members (AE) vs elemental damage by 2267',1,1),
(158502,360109,9,100,'Increases Mitigation of raid and group members (AE) vs elemental damage by 2267',0,2),
(158503,360109,10,100,'Applies Orchestrated Symphony.',0,0),
(158504,360109,10,100,'Increases Mitigation of group members (AE) vs elemental damage by 2380',1,1),
(158505,360109,10,100,'Increases Mitigation of raid and group members (AE) vs elemental damage by 2380',0,2),
(158506,360109,11,100,'Applies Orchestrated Symphony.',0,0),
(158507,360109,11,100,'Increases Mitigation of group members (AE) vs elemental damage by 2862',1,1),
(158508,360109,11,100,'Increases Mitigation of raid and group members (AE) vs elemental damage by 2862',0,2),
(158509,360110,10,100,'Increases Defense of group members (AE) by 9.1',0,0),
(158510,360112,10,100,'Increases Defense of group members (AE) by 23.2',0,0),
(158511,360113,10,100,'Increases Defense of group members (AE) by 30.2',0,0),
(158512,360114,10,100,'Increases Defense of group members (AE) by 37.3',0,0),
(158513,360116,11,100,'Increases Defense of group members (AE) by 63.6',0,0),
(158514,360117,10,100,'Increases Ability Reuse Speed of target by 42.0%',0,0),
(158515,360118,10,100,'Mesmerizes target',0,0),
(158516,360118,10,100,'Prevents AOE (except when direct) ',0,1),
(158517,360118,10,100,'Dispelled when target takes damage',0,2),
(158518,360118,10,100,'Does not affect Epic targets',0,3),
(158519,360118,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(158520,360119,10,100,'Mesmerizes target',0,0),
(158521,360119,10,100,'Prevents AOE (except when direct) ',0,1),
(158522,360119,10,100,'Dispelled when target takes damage',0,2),
(158523,360119,10,100,'Does not affect Epic x2 targets',0,3),
(158524,360119,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(158525,360120,10,100,'Mesmerizes target',0,0),
(158526,360120,10,100,'Prevents AOE (except when direct) ',0,1),
(158527,360120,10,100,'Dispelled when target takes damage',0,2),
(158528,360120,10,100,'Does not affect Epic targets',0,3),
(158529,360120,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(158530,360121,10,100,'Mesmerizes target',0,0),
(158531,360121,10,100,'Prevents AOE (except when direct) ',0,1),
(158532,360121,10,100,'Dispelled when target takes damage',0,2),
(158533,360121,10,100,'Does not affect Epic targets',0,3),
(158534,360121,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(158535,360122,10,100,'Interrupts target encounter',0,0),
(158536,360122,10,100,'Inflicts 116 - 194 mental damage on target encounter',0,1),
(158537,360123,10,100,'Interrupts target encounter',0,0),
(158538,360123,10,100,'Inflicts 236 - 394 mental damage on target encounter',0,1),
(158539,360124,10,100,'Interrupts target encounter',0,0),
(158540,360124,10,100,'Inflicts 370 - 617 mental damage on target encounter',0,1),
(158541,360125,10,100,'Interrupts target encounter',0,0),
(158542,360125,10,100,'Inflicts 529 - 882 mental damage on target encounter',0,1),
(158543,360127,10,100,'Interrupts target encounter',0,0),
(158544,360127,10,100,'Inflicts 837 - 1396 mental damage on target encounter',0,1),
(158545,360128,10,100,'Interrupts target encounter',0,0),
(158546,360128,10,100,'Inflicts 993 - 1656 mental damage on target encounter',0,1),
(158547,360128,11,100,'Interrupts target encounter',0,0),
(158548,360128,11,100,'Inflicts 1194 - 1991 mental damage on target encounter',0,1),
(158549,360129,10,100,'Inflicts 43 - 71 mental damage on target',0,0),
(158550,360129,11,100,'Inflicts 51 - 86 mental damage on target',0,0),
(158551,360130,11,100,'Inflicts 188 - 313 mental damage on target',0,0),
(158552,360131,10,100,'Inflicts 348 - 580 mental damage on target',0,0),
(158553,360131,11,100,'Inflicts 419 - 698 mental damage on target',0,0),
(158554,360132,10,100,'Inflicts 560 - 933 mental damage on target',0,0),
(158555,360132,11,100,'Inflicts 673 - 1122 mental damage on target',0,0),
(158556,360133,10,100,'Inflicts 1726 - 2876 mental damage on target',0,0),
(158557,360133,11,100,'Inflicts 2075 - 3459 mental damage on target',0,0),
(158558,360134,11,100,'Inflicts 992 - 1654 mental damage on target',0,0),
(158559,360135,10,100,'Inflicts 1090 - 1817 mental damage on target',0,0),
(158560,360135,11,100,'Inflicts 1311 - 2185 mental damage on target',0,0),
(158561,360136,10,100,'Inflicts 1320 - 2200 mental damage on target',0,0),
(158562,360136,11,100,'Inflicts 1587 - 2645 mental damage on target',0,0),
(158563,360137,10,100,'Inflicts 1590 - 2650 mental damage on target',0,0),
(158564,360137,11,100,'Inflicts 1912 - 3186 mental damage on target',0,0),
(158565,360138,10,100,'Increases INT of group members (AE) by 76.3',0,0),
(158566,360138,10,100,'On a hostile spell cast this spell will cast Precise Note on target of spell.  ',0,1),
(158567,360138,10,100,'Inflicts 243 - 297 mental damage on target',1,2),
(158568,360138,11,100,'Increases INT of group members (AE) by 91.7',0,0),
(158569,360138,11,100,'On a hostile spell cast this spell will cast Precise Note on target of spell.  ',0,1),
(158570,360138,11,100,'Inflicts 292 - 357 mental damage on target',1,2),
(158571,360139,10,100,'Increases INT of group members (AE) by 103.5',0,0),
(158572,360139,10,100,'On a hostile spell cast this spell will cast Precise Note on target of spell.  ',0,1),
(158573,360139,10,100,'Inflicts 343 - 420 mental damage on target',1,2),
(158574,360139,11,100,'Increases INT of group members (AE) by 124.4',0,0),
(158575,360139,11,100,'On a hostile spell cast this spell will cast Precise Note on target of spell.  ',0,1),
(158576,360139,11,100,'Inflicts 413 - 505 mental damage on target',1,2),
(158577,360140,10,100,'Increases INT of group members (AE) by 122.0',0,0),
(158578,360140,10,100,'On a hostile spell cast this spell will cast Precise Note on target of spell.  ',0,1),
(158579,360140,10,100,'Inflicts 414 - 506 mental damage on target',1,2),
(158580,360140,11,100,'Increases INT of group members (AE) by 146.7',0,0),
(158581,360140,11,100,'On a hostile spell cast this spell will cast Precise Note on target of spell.  ',0,1),
(158582,360140,11,100,'Inflicts 498 - 609 mental damage on target',1,2),
(158583,360141,10,100,'Increases INT of group members (AE) by 140.4',0,0),
(158584,360141,10,100,'On a hostile spell cast this spell will cast Precise Note on target of spell.  ',0,1),
(158585,360141,10,100,'Inflicts 461 - 563 mental damage on target',1,2),
(158586,360141,11,100,'Increases INT of group members (AE) by 168.9',0,0),
(158587,360141,11,100,'On a hostile spell cast this spell will cast Precise Note on target of spell.  ',0,1),
(158588,360141,11,100,'Inflicts 554 - 677 mental damage on target',1,2),
(158589,360142,10,100,'Increases AGI, INT and WIS of group members (AE) by 9.7',0,0),
(158590,360142,10,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 24',0,1),
(158591,360145,10,100,'Increases AGI, INT and WIS of group members (AE) by 49.4',0,0),
(158592,360145,10,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 460',0,1),
(158593,360147,10,100,'Increases AGI, INT and WIS of group members (AE) by 87.0',0,0),
(158594,360147,10,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 798',0,1),
(158595,360148,10,100,'Increases AGI, INT and WIS of group members (AE) by 105.3',0,0),
(158596,360148,10,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 931',0,1),
(158597,360149,10,100,'Increases AGI, INT and WIS of group members (AE) by 142.3',0,0),
(158598,360149,10,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 1173',0,1),
(158599,360149,11,100,'Increases AGI, INT and WIS of group members (AE) by 171.1',0,0),
(158600,360149,11,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 1411',0,1),
(158601,360150,10,100,'Increases AGI, INT and WIS of group members (AE) by 123.8',0,0),
(158602,360150,10,100,'Increases Mitigation of group members (AE) vs elemental, noxious and arcane damage by 1052',0,1),
(158603,360151,10,100,'Increases STA of group members (AE) by 29.1',0,0),
(158604,360151,10,100,'Increases Combat Health Regen of group members (AE) by 55.4',0,1),
(158605,360153,10,100,'Increases STA of group members (AE) by 67.5',0,0),
(158606,360153,10,100,'Increases Combat Health Regen of group members (AE) by 126.0',0,1),
(158607,360154,10,100,'Increases STA of group members (AE) by 85.2',0,0),
(158608,360154,10,100,'Increases Combat Health Regen of group members (AE) by 163.3',0,1),
(158609,360155,10,100,'Increases STA of group members (AE) by 102.0',0,0),
(158610,360155,10,100,'Increases Combat Health Regen of group members (AE) by 198.6',0,1),
(158611,360156,10,100,'Increases STA of group members (AE) by 118.8',0,0),
(158612,360156,10,100,'Increases Combat Health Regen of group members (AE) by 233.9',0,1),
(158613,360156,11,100,'Increases STA of group members (AE) by 142.8',0,0),
(158614,360156,11,100,'Increases Combat Health Regen of group members (AE) by 281.2',0,1),
(158615,360157,1,100,'Grants a total of 3 triggers of the spell.',2,3),
(158616,360157,1,100,'Will absorb elemental, noxious and arcane damage.  This spell will absorb a total of 1 attack.',1,4),
(158617,360157,2,100,'Grants a total of 3 triggers of the spell.',2,3),
(158618,360157,2,100,'Will absorb elemental, noxious and arcane damage.  This spell will absorb a total of 1 attack.',1,4),
(158619,360157,3,100,'Grants a total of 3 triggers of the spell.',2,3),
(158620,360157,3,100,'Will absorb elemental, noxious and arcane damage.  This spell will absorb a total of 1 attack.',1,4),
(158621,360157,4,100,'Grants a total of 3 triggers of the spell.',2,3),
(158622,360157,4,100,'Will absorb elemental, noxious and arcane damage.  This spell will absorb a total of 1 attack.',1,4),
(158623,360157,5,100,'Grants a total of 3 triggers of the spell.',2,3),
(158624,360157,5,100,'Will absorb elemental, noxious and arcane damage.  This spell will absorb a total of 1 attack.',1,4),
(158625,360157,7,100,'Grants a total of 3 triggers of the spell.',2,3),
(158626,360157,7,100,'Will absorb elemental, noxious and arcane damage.  This spell will absorb a total of 1 attack.',1,4),
(158627,360157,9,100,'Grants a total of 3 triggers of the spell.',2,3),
(158628,360157,9,100,'Will absorb elemental, noxious and arcane damage.  This spell will absorb a total of 1 attack.',1,4),
(158629,360157,10,100,'When receiving a hostile spell this spell has a 13% chance to cast Requiem of Reflection on target.  Lasts for 2 minutes.  ',0,0),
(158630,360157,10,100,'When damaged this spell will cast Shock of Sound on target''s attacker.  ',1,1),
(158631,360157,10,100,'Inflicts 234 - 286 mental damage on target',2,2),
(158632,360157,10,100,'Grants a total of 3 triggers of the spell.',2,3),
(158633,360157,10,100,'Will absorb elemental, noxious and arcane damage.  This spell will absorb a total of 1 attack.',1,4),
(158634,360158,10,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 2.7',0,0),
(158635,360158,10,100,'Increases Focus of group members (AE) by 5.4',0,1),
(158636,360159,10,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 8.6',0,0),
(158637,360159,10,100,'Increases Focus of group members (AE) by 17.1',0,1),
(158638,360161,10,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 22.7',0,0),
(158639,360161,10,100,'Increases Focus of group members (AE) by 45.4',0,1),
(158640,360162,10,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 29.7',0,0),
(158641,360162,10,100,'Increases Focus of group members (AE) by 59.5',0,1),
(158642,360163,10,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 36.3',0,0),
(158643,360163,10,100,'Increases Focus of group members (AE) by 73.2',0,1),
(158644,360164,10,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 41.3',0,0),
(158645,360164,10,100,'Increases Focus of group members (AE) by 87.4',0,1),
(158646,360165,10,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 46.4',0,0),
(158647,360165,10,100,'Increases Focus of group members (AE) by 104.2',0,1),
(158648,360165,11,100,'Increases Disruption, Subjugation, Ordination, Ministration and Aggression of group members (AE) by 55.8',0,0),
(158649,360165,11,100,'Increases Focus of group members (AE) by 125.2',0,1),
(158650,360166,10,100,'Inflicts 57 - 95 mental damage on target encounter',0,0),
(158651,360166,10,100,'Increases power of group members (AE) by 47 - 78',0,1),
(158652,360167,10,100,'Inflicts 90 - 149 mental damage on target encounter',0,0),
(158653,360167,10,100,'Increases power of group members (AE) by 74 - 123',0,1),
(158654,360168,10,100,'Inflicts 129 - 216 mental damage on target encounter',0,0),
(158655,360168,10,100,'Increases power of group members (AE) by 107 - 179',0,1),
(158656,360169,10,100,'Inflicts 169 - 282 mental damage on target encounter',0,0),
(158657,360169,10,100,'Increases power of group members (AE) by 140 - 234',0,1),
(158658,360170,10,100,'Inflicts 205 - 342 mental damage on target encounter',0,0),
(158659,360170,10,100,'Increases power of group members (AE) by 189 - 315',0,1),
(158660,360171,10,100,'Inflicts 247 - 411 mental damage on target encounter',0,0),
(158661,360171,10,100,'Increases power of group members (AE) by 225 - 375',0,1),
(158662,360172,10,100,'Inflicts 262 - 436 mental damage on target encounter',0,0),
(158663,360172,10,100,'Increases power of group members (AE) by 236 - 394',0,1),
(158664,360172,11,100,'Inflicts 315 - 525 mental damage on target encounter',0,0),
(158665,360172,11,100,'Increases power of group members (AE) by 284 - 473',0,1),
(158666,360173,10,100,'Inflicts 157 - 261 mental damage on targets in Area of Effect',0,0),
(158667,360173,11,100,'Inflicts 188 - 314 mental damage on targets in Area of Effect',0,0),
(158668,360174,10,100,'Inflicts 252 - 420 mental damage on targets in Area of Effect',0,0),
(158669,360174,11,100,'Inflicts 303 - 505 mental damage on targets in Area of Effect',0,0),
(158670,360175,10,100,'Inflicts 371 - 619 mental damage on targets in Area of Effect',0,0),
(158671,360175,11,100,'Inflicts 447 - 744 mental damage on targets in Area of Effect',0,0),
(158672,360176,10,100,'Inflicts 491 - 818 mental damage on targets in Area of Effect',0,0),
(158673,360176,11,100,'Inflicts 590 - 983 mental damage on targets in Area of Effect',0,0),
(158674,360177,10,100,'Inflicts 594 - 990 mental damage on targets in Area of Effect',0,0),
(158675,360177,11,100,'Inflicts 714 - 1190 mental damage on targets in Area of Effect',0,0),
(158676,360178,10,100,'Inflicts 715 - 1192 mental damage on targets in Area of Effect',0,0),
(158677,360178,11,100,'Inflicts 860 - 1434 mental damage on targets in Area of Effect',0,0),
(158678,360179,10,100,'Inflicts 777 - 1294 mental damage on targets in Area of Effect',0,0),
(158679,360179,11,100,'Inflicts 934 - 1556 mental damage on targets in Area of Effect',0,0),
(158680,360180,10,100,'Inflicts 7 - 12 magic damage on target',0,0),
(158681,360180,10,100,'Decreases Ability Casting Speed of target by 33.6%',0,1),
(158682,360180,10,100,'Decreases Defense of target by 3.7',0,2),
(158683,360180,10,100,'Target will lose 15% more power when power is consumed',0,3),
(158684,360180,10,100,'15% of target''s power consumed will also be drained from target''s health',0,4),
(158685,360182,10,100,'Inflicts 45 - 75 magic damage on target',0,0),
(158686,360182,10,100,'Decreases Ability Casting Speed of target by 33.6%',0,1),
(158687,360182,10,100,'Decreases Defense of target by 18.1',0,2),
(158688,360182,10,100,'Target will lose 27% more power when power is consumed',0,3),
(158689,360182,10,100,'27% of target''s power consumed will also be drained from target''s health',0,4),
(158690,360183,10,100,'Inflicts 67 - 112 magic damage on target',0,0),
(158691,360183,10,100,'Decreases Ability Casting Speed of target by 33.6%',0,1),
(158692,360183,10,100,'Decreases Defense of target by 25.2',0,2),
(158693,360183,10,100,'Target will lose 33% more power when power is consumed',0,3),
(158694,360183,10,100,'33% of target''s power consumed will also be drained from target''s health',0,4),
(158695,360184,10,100,'Inflicts 91 - 152 magic damage on target',0,0),
(158696,360184,10,100,'Decreases Ability Casting Speed of target by 33.6%',0,1),
(158697,360184,10,100,'Decreases Defense of target by 32.3',0,2),
(158698,360184,10,100,'Target will lose 39% more power when power is consumed',0,3),
(158699,360184,10,100,'39% of target''s power consumed will also be drained from target''s health',0,4),
(158700,360185,10,100,'Inflicts 112 - 187 magic damage on target',0,0),
(158701,360185,10,100,'Decreases Ability Casting Speed of target by 33.6%',0,1),
(158702,360185,10,100,'Decreases Defense of target by 38.6',0,2),
(158703,360185,10,100,'Target will lose 44% more power when power is consumed',0,3),
(158704,360185,10,100,'44% of target''s power consumed will also be drained from target''s health',0,4),
(158705,360186,10,100,'Inflicts 136 - 226 magic damage on target',0,0),
(158706,360186,10,100,'Decreases Ability Casting Speed of target by 33.6%',0,1),
(158707,360186,10,100,'Decreases Defense of target by 45.4',0,2),
(158708,360186,10,100,'Target will lose 48% more power when power is consumed',0,3),
(158709,360186,10,100,'48% of target''s power consumed will also be drained from target''s health',0,4),
(158710,360187,10,100,'Inflicts 153 - 254 magic damage on target',0,0),
(158711,360187,10,100,'Decreases Ability Casting Speed of target by 33.6%',0,1),
(158712,360187,10,100,'Decreases Defense of target by 52.1',0,2),
(158713,360187,10,100,'Target will lose 52% more power when power is consumed',0,3),
(158714,360187,10,100,'52% of target''s power consumed will also be drained from target''s health',0,4),
(158715,360187,11,100,'Inflicts 183 - 306 magic damage on target',0,0),
(158716,360187,11,100,'Decreases Ability Casting Speed of target by 40.4%',0,1),
(158717,360187,11,100,'Decreases Defense of target by 62.6',0,2),
(158718,360187,11,100,'Target will lose 63% more power when power is consumed',0,3),
(158719,360187,11,100,'63% of target''s power consumed will also be drained from target''s health',0,4),
(158720,370000,10,100,'Inflicts 26 - 44 disease damage on target',0,0),
(158721,370000,10,100,'Inflicts 26 - 44 disease damage on target',0,1),
(158722,370000,10,100,'Inflicts 11 disease damage on target instantly and every 6 seconds',0,2),
(158723,370001,10,100,'Inflicts 61 - 102 disease damage on target',0,0),
(158724,370001,10,100,'Inflicts 61 - 102 disease damage on target',0,1),
(158725,370001,10,100,'Inflicts 27 disease damage on target instantly and every 6 seconds',0,2),
(158726,370002,10,100,'Inflicts 100 - 168 disease damage on target',0,0),
(158727,370002,10,100,'Inflicts 100 - 168 disease damage on target',0,1),
(158728,370002,10,100,'Inflicts 44 disease damage on target instantly and every 6 seconds',0,2),
(158729,370003,10,100,'Inflicts 149 - 248 disease damage on target',0,0),
(158730,370003,10,100,'Inflicts 149 - 248 disease damage on target',0,1),
(158731,370003,10,100,'Inflicts 65 disease damage on target instantly and every 6 seconds',0,2),
(158732,370004,10,100,'Inflicts 198 - 330 disease damage on target',0,0),
(158733,370004,10,100,'Inflicts 198 - 330 disease damage on target',0,1),
(158734,370004,10,100,'Inflicts 86 disease damage on target instantly and every 6 seconds',0,2),
(158735,370005,10,100,'Inflicts 235 - 392 disease damage on target',0,0),
(158736,370005,10,100,'Inflicts 235 - 392 disease damage on target',0,1),
(158737,370005,10,100,'Inflicts 102 disease damage on target instantly and every 6 seconds',0,2),
(158738,370006,10,100,'Inflicts 283 - 473 disease damage on target',0,0),
(158739,370006,10,100,'Inflicts 283 - 473 disease damage on target',0,1),
(158740,370006,10,100,'Inflicts 123 disease damage on target instantly and every 6 seconds',0,2),
(158741,370007,10,100,'Inflicts 315 - 525 disease damage on target',0,0),
(158742,370007,10,100,'Inflicts 315 - 525 disease damage on target',0,1),
(158743,370007,10,100,'Inflicts 136 disease damage on target instantly and every 6 seconds',0,2),
(158744,370007,11,100,'Inflicts 379 - 632 disease damage on target',0,0),
(158745,370007,11,100,'Inflicts 379 - 632 disease damage on target',0,1),
(158746,370007,11,100,'Inflicts 164 disease damage on target instantly and every 6 seconds',0,2),
(158747,370008,10,100,'Inflicts 27 - 45 melee damage on target',0,0),
(158748,370008,10,100,'Decreases DPS of target by 20.3',0,1),
(158749,370008,10,100,'Must be flanking or behind',0,2),
(158750,370008,11,100,'Inflicts 32 - 54 melee damage on target',0,0),
(158751,370008,11,100,'Decreases DPS of target by 24.4',0,1),
(158752,370008,11,100,'Must be flanking or behind',0,2),
(158753,370009,10,100,'Inflicts 97 - 163 melee damage on target',0,0),
(158754,370009,10,100,'Decreases DPS of target by 23.4',0,1),
(158755,370009,10,100,'Must be flanking or behind',0,2),
(158756,370009,11,100,'Inflicts 117 - 196 melee damage on target',0,0),
(158757,370009,11,100,'Decreases DPS of target by 28.2',0,1),
(158758,370009,11,100,'Must be flanking or behind',0,2),
(158759,370010,11,100,'Inflicts 218 - 364 melee damage on target',0,0),
(158760,370010,11,100,'Decreases DPS of target by 33.3',0,1),
(158761,370010,11,100,'Must be flanking or behind',0,2),
(158762,370011,10,100,'Inflicts 277 - 461 melee damage on target',0,0),
(158763,370011,10,100,'Decreases DPS of target by 32.8',0,1),
(158764,370011,10,100,'Must be flanking or behind',0,2),
(158765,370011,11,100,'Inflicts 333 - 555 melee damage on target',0,0),
(158766,370011,11,100,'Decreases DPS of target by 39.5',0,1),
(158767,370011,11,100,'Must be flanking or behind',0,2),
(158768,370012,10,100,'Inflicts 383 - 638 melee damage on target',0,0),
(158769,370012,10,100,'Decreases DPS of target by 38.4',0,1),
(158770,370012,10,100,'Must be flanking or behind',0,2),
(158771,370012,11,100,'Inflicts 460 - 767 melee damage on target',0,0),
(158772,370012,11,100,'Decreases DPS of target by 46.1',0,1),
(158773,370012,11,100,'Must be flanking or behind',0,2),
(158774,370013,11,100,'Inflicts 588 - 981 melee damage on target',0,0),
(158775,370013,11,100,'Decreases Damage Per Second of target by 53.1',0,1),
(158776,370013,11,100,'Must be flanking or behind',0,2),
(158777,370014,10,100,'Inflicts 591 - 985 melee damage on target',0,0),
(158778,370014,10,100,'Decreases DPS of target by 49.7',0,1),
(158779,370014,10,100,'Must be flanking or behind',0,2),
(158780,370014,11,100,'Inflicts 711 - 1185 melee damage on target',0,0),
(158781,370014,11,100,'Decreases DPS of target by 59.7',0,1),
(158782,370014,11,100,'Must be flanking or behind',0,2),
(158783,370015,10,100,'Inflicts 674 - 1123 melee damage on target',0,0),
(158784,370015,10,100,'Decreases DPS of target by 55.2',0,1),
(158785,370015,10,100,'Must be flanking or behind',0,2),
(158786,370015,11,100,'Inflicts 810 - 1351 melee damage on target',0,0),
(158787,370015,11,100,'Decreases DPS of target by 66.3',0,1),
(158788,370015,11,100,'Must be flanking or behind',0,2),
(158789,370016,10,100,'Inflicts 46 - 77 disease damage on target',0,0),
(158790,370016,10,100,'Inflicts 46 - 77 disease damage on target',0,1),
(158791,370016,10,100,'Roots target',0,2),
(158792,370016,10,100,'If Target is not Epic',1,3),
(158793,370016,10,100,'If weapon equipped in Ranged',0,4),
(158794,370016,10,100,'Resistibility increases against targets higher than level 29.',0,5),
(158795,370017,10,100,'Inflicts 91 - 153 disease damage on target',0,0),
(158796,370017,10,100,'Inflicts 91 - 153 disease damage on target',0,1),
(158797,370017,10,100,'Roots target',0,2),
(158798,370017,10,100,'If Target is not Epic',1,3),
(158799,370017,10,100,'If weapon equipped in Ranged',0,4),
(158800,370017,10,100,'Resistibility increases against targets higher than level 29.',0,5),
(158801,370018,10,100,'Inflicts 143 - 238 disease damage on target',0,0),
(158802,370018,10,100,'Inflicts 143 - 238 disease damage on target',0,1),
(158803,370018,10,100,'Roots target',0,2),
(158804,370018,10,100,'If Target is not Epic',1,3),
(158805,370018,10,100,'If weapon equipped in Ranged',0,4),
(158806,370018,10,100,'Resistibility increases against targets higher than level 29.',0,5),
(158807,370019,10,100,'Inflicts 202 - 337 disease damage on target',0,0),
(158808,370019,10,100,'Inflicts 202 - 337 disease damage on target',0,1),
(158809,370019,10,100,'Roots target',0,2),
(158810,370019,10,100,'If Target is not Epic',1,3),
(158811,370019,10,100,'If weapon equipped in Ranged',0,4),
(158812,370019,10,100,'Resistibility increases against targets higher than level 29.',0,5),
(158813,370020,10,100,'Inflicts 259 - 431 disease damage on target',0,0),
(158814,370020,10,100,'Inflicts 259 - 431 disease damage on target',0,1),
(158815,370020,10,100,'Roots target',0,2),
(158816,370020,10,100,'If Target is not Epic',1,3),
(158817,370020,10,100,'If weapon equipped in Ranged',0,4),
(158818,370020,10,100,'Resistibility increases against targets higher than level 29.',0,5),
(158819,370021,10,100,'Inflicts 314 - 523 disease damage on target',0,0),
(158820,370021,10,100,'Inflicts 314 - 523 disease damage on target',0,1),
(158821,370021,10,100,'Roots target',0,2),
(158822,370021,10,100,'If Target is not Epic',1,3),
(158823,370021,10,100,'If weapon equipped in Ranged',0,4),
(158824,370021,10,100,'Resistibility increases against targets higher than level 29.',0,5),
(158825,370022,10,100,'Inflicts 372 - 620 disease damage on target',0,0),
(158826,370022,10,100,'Inflicts 372 - 620 disease damage on target',0,1),
(158827,370022,10,100,'Roots target',0,2),
(158828,370022,10,100,'If Target is not Epic',1,3),
(158829,370022,10,100,'If weapon equipped in Ranged',0,4),
(158830,370022,10,100,'Resistibility increases against targets higher than level 29.',0,5),
(158831,370022,11,100,'Inflicts 447 - 746 disease damage on target',0,0),
(158832,370022,11,100,'Inflicts 447 - 746 disease damage on target',0,1),
(158833,370022,11,100,'Roots target',0,2),
(158834,370022,11,100,'If Target is not Epic',1,3),
(158835,370022,11,100,'If weapon equipped in Ranged',0,4),
(158836,370022,11,100,'Resistibility increases against targets higher than level 29.',0,5),
(158837,370023,10,100,'Inflicts 21 - 36 melee damage on target',0,0),
(158838,370023,10,100,'Decreases WIS of target by 9.4',0,1),
(158839,370023,10,100,'You must be sneaking to use this ability.',0,2),
(158840,370024,10,100,'Inflicts 86 - 144 melee damage on target',0,0),
(158841,370024,10,100,'Decreases WIS of target by 12.9',0,1),
(158842,370024,10,100,'You must be sneaking to use this ability.',0,2),
(158843,370025,10,100,'Inflicts 199 - 332 melee damage on target',0,0),
(158844,370025,10,100,'Decreases WIS of target by 28.1',0,1),
(158845,370025,10,100,'You must be sneaking to use this ability.',0,2),
(158846,370026,10,100,'Inflicts 355 - 591 melee damage on target',0,0),
(158847,370026,10,100,'Decreases WIS of target by 45.4',0,1),
(158848,370026,10,100,'You must be sneaking to use this ability.',0,2),
(158849,370027,10,100,'Inflicts 1242 - 2071 melee damage on target',0,0),
(158850,370027,10,100,'Decreases WIS of target by 138.6',0,1),
(158851,370027,10,100,'You must be sneaking to use this ability.',0,2),
(158852,370027,11,100,'Inflicts 1494 - 2490 melee damage on target',0,0),
(158853,370027,11,100,'Decreases WIS of target by 166.6',0,1),
(158854,370027,11,100,'You must be sneaking to use this ability.',0,2),
(158855,370028,10,100,'Inflicts 535 - 892 melee damage on target',0,0),
(158856,370028,10,100,'Decreases WIS of target by 64.2',0,1),
(158857,370028,10,100,'You must be sneaking to use this ability.',0,2),
(158858,370029,10,100,'Inflicts 729 - 1216 melee damage on target',0,0),
(158859,370029,10,100,'Decreases WIS of target by 83.0',0,1),
(158860,370029,10,100,'You must be sneaking to use this ability.',0,2),
(158861,370030,10,100,'Inflicts 914 - 1524 melee damage on target',0,0),
(158862,370030,10,100,'Decreases WIS of target by 101.6',0,1),
(158863,370030,10,100,'You must be sneaking to use this ability.',0,2),
(158864,370031,10,100,'Inflicts 1104 - 1840 melee damage on target',0,0),
(158865,370031,10,100,'Decreases WIS of target by 120.1',0,1),
(158866,370031,10,100,'You must be sneaking to use this ability.',0,2),
(158867,370032,10,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',0,0),
(158868,370032,10,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',1,1),
(158869,370032,10,100,'Inflicts 253 disease damage on target every 3 seconds',2,2),
(158870,370032,10,100,'Inflicts 169 disease damage on target every 3 seconds',1,3),
(158871,370032,10,100,'Inflicts 422 - 703 melee damage on target',0,4),
(158872,370032,10,100,'Inflicts 84 disease damage on target every 3 seconds',0,5),
(158873,370032,10,100,'You must be sneaking to use this ability.',0,6),
(158874,370032,10,100,'Must be flanking or behind',0,7),
(158875,370032,11,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',0,0),
(158876,370032,11,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',1,1),
(158877,370032,11,100,'Inflicts 304 disease damage on target every 3 seconds',2,2),
(158878,370032,11,100,'Inflicts 203 disease damage on target every 3 seconds',1,3),
(158879,370032,11,100,'Inflicts 507 - 845 melee damage on target',0,4),
(158880,370032,11,100,'Inflicts 101 disease damage on target every 3 seconds',0,5),
(158881,370032,11,100,'You must be sneaking to use this ability.',0,6),
(158882,370032,11,100,'Must be flanking or behind',0,7),
(158883,370033,10,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',0,0),
(158884,370033,10,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',1,1),
(158885,370033,10,100,'Inflicts 367 disease damage on target every 3 seconds',2,2),
(158886,370033,10,100,'Inflicts 245 disease damage on target every 3 seconds',1,3),
(158887,370033,10,100,'Inflicts 611 - 1019 melee damage on target',0,4),
(158888,370033,10,100,'Inflicts 122 disease damage on target every 3 seconds',0,5),
(158889,370033,10,100,'You must be sneaking to use this ability.',0,6),
(158890,370033,10,100,'Must be flanking or behind',0,7),
(158891,370033,11,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',0,0),
(158892,370033,11,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',1,1),
(158893,370033,11,100,'Inflicts 441 disease damage on target every 3 seconds',2,2),
(158894,370033,11,100,'Inflicts 294 disease damage on target every 3 seconds',1,3),
(158895,370033,11,100,'Inflicts 735 - 1226 melee damage on target',0,4),
(158896,370033,11,100,'Inflicts 147 disease damage on target every 3 seconds',0,5),
(158897,370033,11,100,'You must be sneaking to use this ability.',0,6),
(158898,370033,11,100,'Must be flanking or behind',0,7),
(158899,370034,11,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',0,0),
(158900,370034,11,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',1,1),
(158901,370034,11,100,'Inflicts 533 disease damage on target every 3 seconds',2,2),
(158902,370034,11,100,'Inflicts 356 disease damage on target every 3 seconds',1,3),
(158903,370034,11,100,'Inflicts 889 - 1481 melee damage on target',0,4),
(158904,370034,11,100,'Inflicts 178 disease damage on target every 3 seconds',0,5),
(158905,370034,11,100,'You must be sneaking to use this ability.',0,6),
(158906,370034,11,100,'Must be flanking or behind',0,7),
(158907,370035,11,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',0,0),
(158908,370035,11,100,'Applies Scream of Death on termination.  Lasts for 15.0 seconds.',1,1),
(158909,370035,11,100,'Inflicts 608 disease damage on target every 3 seconds',2,2),
(158910,370035,11,100,'Inflicts 405 disease damage on target every 3 seconds',1,3),
(158911,370035,11,100,'Inflicts 1013 - 1689 melee damage on target',0,4),
(158912,370035,11,100,'Inflicts 203 disease damage on target every 3 seconds',0,5),
(158913,370035,11,100,'You must be sneaking to use this ability.',0,6),
(158914,370035,11,100,'Must be flanking or behind',0,7),
(158915,370036,11,100,'Inflicts 10 - 18 melee damage on target',0,0),
(158916,370036,11,100,'Heals caster for 5',0,1),
(158917,370037,10,100,'Inflicts 28 - 47 melee damage on target',0,0),
(158918,370037,10,100,'Heals caster for 18',0,1),
(158919,370037,11,100,'Inflicts 33 - 56 melee damage on target',0,0),
(158920,370037,11,100,'Heals caster for 21',0,1),
(158921,370038,10,100,'Inflicts 51 - 86 melee damage on target',0,0),
(158922,370038,10,100,'Heals caster for 34',0,1),
(158923,370038,11,100,'Inflicts 62 - 103 melee damage on target',0,0),
(158924,370038,11,100,'Heals caster for 40',0,1),
(158925,370039,10,100,'Inflicts 105 - 175 melee damage on target',0,0),
(158926,370039,10,100,'Heals caster for 69',0,1),
(158927,370039,11,100,'Inflicts 126 - 210 melee damage on target',0,0),
(158928,370039,11,100,'Heals caster for 83',0,1),
(158929,370040,10,100,'Inflicts 442 - 736 melee damage on target',0,0),
(158930,370040,10,100,'Heals caster for 321',0,1),
(158931,370040,11,100,'Inflicts 531 - 885 melee damage on target',0,0),
(158932,370040,11,100,'Heals caster for 386',0,1),
(158933,370041,10,100,'Inflicts 164 - 274 melee damage on target',0,0),
(158934,370041,10,100,'Heals caster for 108',0,1),
(158935,370041,11,100,'Inflicts 198 - 330 melee damage on target',0,0),
(158936,370041,11,100,'Heals caster for 130',0,1),
(158937,370042,10,100,'Inflicts 235 - 392 melee damage on target',0,0),
(158938,370042,10,100,'Heals caster for 155',0,1),
(158939,370042,11,100,'Inflicts 283 - 471 melee damage on target',0,0),
(158940,370042,11,100,'Heals caster for 187',0,1),
(158941,370043,11,100,'Inflicts 369 - 616 melee damage on target',0,0),
(158942,370043,11,100,'Heals caster for 247',0,1),
(158943,370044,10,100,'Inflicts 372 - 621 melee damage on target',0,0),
(158944,370044,10,100,'Heals caster for 273',0,1),
(158945,370044,11,100,'Inflicts 448 - 746 melee damage on target',0,0),
(158946,370044,11,100,'Heals caster for 329',0,1),
(158947,370045,10,100,'Increases Haste of group members (AE) by 56.9',0,0),
(158948,370045,10,100,'On a hit this spell will cast Blade Chime on target of attack.  ',0,1),
(158949,370045,10,100,'Inflicts 76 - 127 disease damage on target',1,2),
(158950,370045,11,100,'Increases Haste of group members (AE) by 68.5',0,0),
(158951,370045,11,100,'On a hit this spell will cast Blade Chime on target of attack.  ',0,1),
(158952,370045,11,100,'Inflicts 92 - 153 disease damage on target',1,2),
(158953,370046,10,100,'Increases Attack Speed of group members (AE) by 66.7',0,0),
(158954,370046,10,100,'On a hit this spell will cast Blade Chime on target of attack.  ',0,1),
(158955,370046,10,100,'Inflicts 108 - 180 disease damage on target',1,2),
(158956,370046,11,100,'Increases Haste of group members (AE) by 80.2',0,0),
(158957,370046,11,100,'On a hit this spell will cast Blade Chime on target of attack.  ',0,1),
(158958,370046,11,100,'Inflicts 129 - 216 disease damage on target',1,2),
(158959,370047,10,100,'Increases Haste of group members (AE) by 74.9',0,0),
(158960,370047,10,100,'On a hit this spell will cast Blade Chime on target of attack.  ',0,1),
(158961,370047,10,100,'Inflicts 130 - 217 disease damage on target',1,2),
(158962,370047,11,100,'Increases Haste of group members (AE) by 90.1',0,0),
(158963,370047,11,100,'On a hit this spell will cast Blade Chime on target of attack.  ',0,1),
(158964,370047,11,100,'Inflicts 156 - 261 disease damage on target',1,2),
(158965,370048,10,100,'Increases Haste of group members (AE) by 82.0',0,0),
(158966,370048,10,100,'On a hit this spell will cast Blade Chime on target of attack.  ',0,1),
(158967,370048,10,100,'Inflicts 188 - 314 disease damage on target',1,2),
(158968,370048,11,100,'Increases Haste of group members (AE) by 98.6',0,0),
(158969,370048,11,100,'On a hit this spell will cast Blade Chime on target of attack.  ',0,1),
(158970,370048,11,100,'Inflicts 226 - 377 disease damage on target',1,2),
(158971,370049,1,100,'Increases Fervor of group members (AE) by 3.1',1,1),
(158972,370049,1,100,'Cannot be modified except by direct means',1,2),
(158973,370049,1,100,'Decreases Mitigation of target encounter vs physical damage by 216',0,3),
(158974,370049,2,100,'Increases Fervor of group members (AE) by 3.2',1,1),
(158975,370049,2,100,'Cannot be modified except by direct means',1,2),
(158976,370049,2,100,'Decreases Mitigation of target encounter vs physical damage by 228',0,3),
(158977,370049,3,100,'Increases Fervor of group members (AE) by 3.4',1,1),
(158978,370049,3,100,'Cannot be modified except by direct means',1,2),
(158979,370049,3,100,'Decreases Mitigation of target encounter vs physical damage by 240',0,3),
(158980,370049,4,100,'Increases Fervor of group members (AE) by 3.7',1,1),
(158981,370049,4,100,'Cannot be modified except by direct means',1,2),
(158982,370049,4,100,'Decreases Mitigation of target encounter vs physical damage by 264',0,3),
(158983,370049,5,100,'Increases Fervor of group members (AE) by 4.1',1,1),
(158984,370049,5,100,'Cannot be modified except by direct means',1,2),
(158985,370049,5,100,'Decreases Mitigation of target encounter vs physical damage by 288',0,3),
(158986,370049,7,100,'Increases Fervor of group members (AE) by 5.2',1,1),
(158987,370049,7,100,'Cannot be modified except by direct means',1,2),
(158988,370049,7,100,'Decreases Mitigation of target encounter vs physical damage by 370',0,3),
(158989,370049,9,100,'Increases Fervor of group members (AE) by 5.4',1,1),
(158990,370049,9,100,'Cannot be modified except by direct means',1,2),
(158991,370049,9,100,'Decreases Mitigation of target encounter vs physical damage by 384',0,3),
(158992,370049,10,100,'Increases Fervor of group members (AE) by 5.7',1,1),
(158993,370049,10,100,'Cannot be modified except by direct means',1,2),
(158994,370049,10,100,'Decreases Mitigation of target encounter vs physical damage by 403',0,3),
(158995,370050,1,100,'Increases Fervor of group members (AE) by 3.1',1,1),
(158996,370050,1,100,'Cannot be modified except by direct means',1,2),
(158997,370050,1,100,'Decreases Mitigation of target encounter vs physical damage by 342',0,3),
(158998,370050,2,100,'Increases Fervor of group members (AE) by 3.2',1,1),
(158999,370050,2,100,'Cannot be modified except by direct means',1,2),
(159000,370050,2,100,'Decreases Mitigation of target encounter vs physical damage by 361',0,3),
(159001,370050,3,100,'Increases Fervor of group members (AE) by 3.4',1,1),
(159002,370050,3,100,'Cannot be modified except by direct means',1,2),
(159003,370050,3,100,'Decreases Mitigation of target encounter vs physical damage by 380',0,3),
(159004,370050,4,100,'Increases Fervor of group members (AE) by 3.7',1,1),
(159005,370050,4,100,'Cannot be modified except by direct means',1,2),
(159006,370050,4,100,'Decreases Mitigation of target encounter vs physical damage by 418',0,3),
(159007,370050,5,100,'Increases Fervor of group members (AE) by 4.1',1,1),
(159008,370050,5,100,'Cannot be modified except by direct means',1,2),
(159009,370050,5,100,'Decreases Mitigation of target encounter vs physical damage by 456',0,3),
(159010,370050,7,100,'Increases Fervor of group members (AE) by 5.2',1,1),
(159011,370050,7,100,'Cannot be modified except by direct means',1,2),
(159012,370050,7,100,'Decreases Mitigation of target encounter vs physical damage by 585',0,3),
(159013,370050,9,100,'Increases Fervor of group members (AE) by 5.4',1,1),
(159014,370050,9,100,'Cannot be modified except by direct means',1,2),
(159015,370050,9,100,'Decreases Mitigation of target encounter vs physical damage by 608',0,3),
(159016,370050,10,100,'Applies Empowerment of Chaos.  Lasts for 1 minute.',0,0),
(159017,370050,10,100,'Increases Fervor of group members (AE) by 5.7',1,1),
(159018,370050,10,100,'Cannot be modified except by direct means',1,2),
(159019,370050,10,100,'Decreases Mitigation of target encounter vs physical damage by 638',0,3),
(159020,370051,1,100,'Increases Fervor of group members (AE) by 3.1',1,1),
(159021,370051,1,100,'Cannot be modified except by direct means',1,2),
(159022,370051,1,100,'Decreases Mitigation of target encounter vs physical damage by 468',0,3),
(159023,370051,2,100,'Increases Fervor of group members (AE) by 3.2',1,1),
(159024,370051,2,100,'Cannot be modified except by direct means',1,2),
(159025,370051,2,100,'Decreases Mitigation of target encounter vs physical damage by 494',0,3),
(159026,370051,3,100,'Increases Fervor of group members (AE) by 3.4',1,1),
(159027,370051,3,100,'Cannot be modified except by direct means',1,2),
(159028,370051,3,100,'Decreases Mitigation of target encounter vs physical damage by 520',0,3),
(159029,370051,4,100,'Increases Fervor of group members (AE) by 3.7',1,1),
(159030,370051,4,100,'Cannot be modified except by direct means',1,2),
(159031,370051,4,100,'Decreases Mitigation of target encounter vs physical damage by 572',0,3),
(159032,370051,5,100,'Increases Fervor of group members (AE) by 4.1',1,1),
(159033,370051,5,100,'Cannot be modified except by direct means',1,2),
(159034,370051,5,100,'Decreases Mitigation of target encounter vs physical damage by 624',0,3),
(159035,370051,7,100,'Increases Fervor of group members (AE) by 5.2',1,1),
(159036,370051,7,100,'Cannot be modified except by direct means',1,2),
(159037,370051,7,100,'Decreases Mitigation of target encounter vs physical damage by 801',0,3),
(159038,370051,9,100,'Increases Fervor of group members (AE) by 5.4',1,1),
(159039,370051,9,100,'Cannot be modified except by direct means',1,2),
(159040,370051,9,100,'Decreases Mitigation of target encounter vs physical damage by 832',0,3),
(159041,370051,10,100,'Applies Empowerment of Chaos.  Lasts for 1 minute.',0,0),
(159042,370051,10,100,'Increases Fervor of group members (AE) by 5.7',1,1),
(159043,370051,10,100,'Cannot be modified except by direct means',1,2),
(159044,370051,10,100,'Decreases Mitigation of target encounter vs physical damage by 874',0,3),
(159045,370052,1,100,'Increases Fervor of group members (AE) by 3.1',1,1),
(159046,370052,1,100,'Cannot be modified except by direct means',1,2),
(159047,370052,1,100,'Decreases Mitigation of target encounter vs physical damage by 594',0,3),
(159048,370052,2,100,'Increases Fervor of group members (AE) by 3.2',1,1),
(159049,370052,2,100,'Cannot be modified except by direct means',1,2),
(159050,370052,2,100,'Decreases Mitigation of target encounter vs physical damage by 627',0,3),
(159051,370052,3,100,'Increases Fervor of group members (AE) by 3.4',1,1),
(159052,370052,3,100,'Cannot be modified except by direct means',1,2),
(159053,370052,3,100,'Decreases Mitigation of target encounter vs physical damage by 660',0,3),
(159054,370052,4,100,'Increases Fervor of group members (AE) by 3.7',1,1),
(159055,370052,4,100,'Cannot be modified except by direct means',1,2),
(159056,370052,4,100,'Decreases Mitigation of target encounter vs physical damage by 726',0,3),
(159057,370052,5,100,'Increases Fervor of group members (AE) by 4.1',1,1),
(159058,370052,5,100,'Cannot be modified except by direct means',1,2),
(159059,370052,5,100,'Decreases Mitigation of target encounter vs physical damage by 792',0,3),
(159060,370052,7,100,'Increases Fervor of group members (AE) by 5.2',1,1),
(159061,370052,7,100,'Cannot be modified except by direct means',1,2),
(159062,370052,7,100,'Decreases Mitigation of target encounter vs physical damage by 1016',0,3),
(159063,370052,9,100,'Increases Fervor of group members (AE) by 5.4',1,1),
(159064,370052,9,100,'Cannot be modified except by direct means',1,2),
(159065,370052,9,100,'Decreases Mitigation of target encounter vs physical damage by 1056',0,3),
(159066,370052,10,100,'Applies Empowerment of Chaos.  Lasts for 1 minute.',0,0),
(159067,370052,10,100,'Increases Fervor of group members (AE) by 5.7',1,1),
(159068,370052,10,100,'Cannot be modified except by direct means',1,2),
(159069,370052,10,100,'Decreases Mitigation of target encounter vs physical damage by 1109',0,3),
(159070,370053,1,100,'Increases Fervor of group members (AE) by 3.1',1,1),
(159071,370053,1,100,'Cannot be modified except by direct means',1,2),
(159072,370053,1,100,'Decreases Mitigation of target encounter vs physical damage by 762',0,3),
(159073,370053,2,100,'Increases Fervor of group members (AE) by 3.2',1,1),
(159074,370053,2,100,'Cannot be modified except by direct means',1,2),
(159075,370053,2,100,'Decreases Mitigation of target encounter vs physical damage by 805',0,3),
(159076,370053,3,100,'Increases Fervor of group members (AE) by 3.4',1,1),
(159077,370053,3,100,'Cannot be modified except by direct means',1,2),
(159078,370053,3,100,'Decreases Mitigation of target encounter vs physical damage by 847',0,3),
(159079,370053,4,100,'Increases Fervor of group members (AE) by 3.7',1,1),
(159080,370053,4,100,'Cannot be modified except by direct means',1,2),
(159081,370053,4,100,'Decreases Mitigation of target encounter vs physical damage by 932',0,3),
(159082,370053,5,100,'Increases Fervor of group members (AE) by 4.1',1,1),
(159083,370053,5,100,'Cannot be modified except by direct means',1,2),
(159084,370053,5,100,'Decreases Mitigation of target encounter vs physical damage by 1016',0,3),
(159085,370053,7,100,'Increases Fervor of group members (AE) by 5.2',1,1),
(159086,370053,7,100,'Cannot be modified except by direct means',1,2),
(159087,370053,7,100,'Decreases Mitigation of target encounter vs physical damage by 1304',0,3),
(159088,370053,9,100,'Increases Fervor of group members (AE) by 5.4',1,1),
(159089,370053,9,100,'Cannot be modified except by direct means',1,2),
(159090,370053,9,100,'Decreases Mitigation of target encounter vs physical damage by 1355',0,3),
(159091,370053,10,100,'Applies Empowerment of Chaos.  Lasts for 1 minute.',0,0),
(159092,370053,10,100,'Increases Fervor of group members (AE) by 5.7',1,1),
(159093,370053,10,100,'Cannot be modified except by direct means',1,2),
(159094,370053,10,100,'Decreases Mitigation of target encounter vs physical damage by 1423',0,3),
(159095,370054,1,100,'Increases Fervor of group members (AE) by 3.1',1,1),
(159096,370054,1,100,'Cannot be modified except by direct means',1,2),
(159097,370054,1,100,'Decreases Mitigation of target encounter vs physical damage by 940',0,3),
(159098,370054,4,100,'Increases Fervor of group members (AE) by 3.7',1,1),
(159099,370054,4,100,'Cannot be modified except by direct means',1,2),
(159100,370054,4,100,'Decreases Mitigation of target encounter vs physical damage by 1148',0,3),
(159101,370054,5,100,'Increases Fervor of group members (AE) by 4.1',1,1),
(159102,370054,5,100,'Cannot be modified except by direct means',1,2),
(159103,370054,5,100,'Decreases Mitigation of target encounter vs physical damage by 1253',0,3),
(159104,370054,7,100,'Increases Fervor of group members (AE) by 5.2',1,1),
(159105,370054,7,100,'Cannot be modified except by direct means',1,2),
(159106,370054,7,100,'Decreases Mitigation of target encounter vs physical damage by 1608',0,3),
(159107,370054,9,100,'Increases Fervor of group members (AE) by 5.4',1,1),
(159108,370054,9,100,'Cannot be modified except by direct means',1,2),
(159109,370054,9,100,'Decreases Mitigation of target encounter vs physical damage by 1670',0,3),
(159110,370054,10,100,'Applies Empowerment of Chaos.  Lasts for 1 minute.',0,0),
(159111,370054,10,100,'Increases Fervor of group members (AE) by 5.7',1,1),
(159112,370054,10,100,'Cannot be modified except by direct means',1,2),
(159113,370054,10,100,'Decreases Mitigation of target encounter vs physical damage by 1754',0,3),
(159114,370055,1,100,'Increases Fervor of group members (AE) by 3.1',1,1),
(159115,370055,1,100,'Cannot be modified except by direct means',1,2),
(159116,370055,1,100,'Decreases Mitigation of target encounter vs physical damage by 1048',0,3),
(159117,370055,4,100,'Increases Fervor of group members (AE) by 3.7',1,1),
(159118,370055,4,100,'Cannot be modified except by direct means',1,2),
(159119,370055,4,100,'Decreases Mitigation of target encounter vs physical damage by 1280',0,3),
(159120,370055,5,100,'Increases Fervor of group members (AE) by 4.1',1,1),
(159121,370055,5,100,'Cannot be modified except by direct means',1,2),
(159122,370055,5,100,'Decreases Mitigation of target encounter vs physical damage by 1397',0,3),
(159123,370055,7,100,'Increases Fervor of group members (AE) by 5.2',1,1),
(159124,370055,7,100,'Cannot be modified except by direct means',1,2),
(159125,370055,7,100,'Decreases Mitigation of target encounter vs physical damage by 1793',0,3),
(159126,370055,9,100,'Increases Fervor of group members (AE) by 5.4',1,1),
(159127,370055,9,100,'Cannot be modified except by direct means',1,2),
(159128,370055,9,100,'Decreases Mitigation of target encounter vs physical damage by 1862',0,3),
(159129,370055,10,100,'Applies Empowerment of Chaos.  Lasts for 1 minute.',0,0),
(159130,370055,10,100,'Increases Fervor of group members (AE) by 5.7',1,1),
(159131,370055,10,100,'Cannot be modified except by direct means',1,2),
(159132,370055,10,100,'Decreases Mitigation of target encounter vs physical damage by 1956',0,3),
(159133,370055,11,100,'Applies Empowerment of Chaos.  Lasts for 1 minute.',0,0),
(159134,370055,11,100,'Increases Fervor of group members (AE) by 6.9',1,1),
(159135,370055,11,100,'Cannot be modified except by direct means',1,2),
(159136,370055,11,100,'Decreases Mitigation of target encounter vs physical damage by 2351',0,3),
(159137,370056,10,100,'Decreases Attack Speed of target encounter by 21.8',0,0),
(159138,370056,10,100,'Slows target encounter by 30.2%',0,1),
(159139,370058,10,100,'Decreases Haste of target encounter by 26.5',0,0),
(159140,370058,10,100,'Slows target encounter by 33.9%',0,1),
(159141,370059,10,100,'Decreases Haste of target encounter by 28.9',0,0),
(159142,370059,10,100,'Slows target encounter by 34.3%',0,1),
(159143,370060,10,100,'Decreases Haste of target encounter by 30.6',0,0),
(159144,370060,10,100,'Slows target encounter by 34.7%',0,1),
(159145,370061,10,100,'Decreases Haste of target encounter by 32.3',0,0),
(159146,370061,10,100,'Slows target encounter by 35.0%',0,1),
(159147,370061,11,100,'Decreases Haste of target encounter by 38.8',0,0),
(159148,370061,11,100,'Slows target encounter by 42.1%',0,1),
(159149,370062,11,100,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',0,0),
(159150,370062,11,100,'Inflicts 69 - 115 disease damage on target',1,1),
(159151,370063,10,100,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',0,0),
(159152,370063,10,100,'Inflicts 99 - 166 disease damage on target',1,1),
(159153,370063,11,100,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',0,0),
(159154,370063,11,100,'Inflicts 120 - 200 disease damage on target',1,1),
(159155,370064,11,100,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',0,0),
(159156,370064,11,100,'Inflicts 180 - 300 disease damage on target',1,1),
(159157,370065,11,100,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',0,0),
(159158,370065,11,100,'Inflicts 243 - 406 disease damage on target',1,1),
(159159,370066,10,100,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',0,0),
(159160,370066,10,100,'Inflicts 249 - 415 disease damage on target',1,1),
(159161,370066,11,100,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',0,0),
(159162,370066,11,100,'Inflicts 300 - 500 disease damage on target',1,1),
(159163,370067,11,100,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',0,0),
(159164,370067,11,100,'Inflicts 362 - 603 disease damage on target',1,1),
(159165,370068,11,100,'On a combat hit this spell has a 12% chance to cast Crypt''s Revenge on target of attack.  ',0,0),
(159166,370068,11,100,'Inflicts 530 - 883 disease damage on target',1,1),
(159167,370069,1,100,'Inflicts 18 - 30 disease damage on target',1,6),
(159168,370069,2,100,'Inflicts 19 - 32 disease damage on target',1,6),
(159169,370069,3,100,'Inflicts 20 - 34 disease damage on target',1,6),
(159170,370069,4,100,'Inflicts 22 - 37 disease damage on target',1,6),
(159171,370069,5,100,'Inflicts 24 - 40 disease damage on target',1,6),
(159172,370069,7,100,'Inflicts 31 - 52 disease damage on target',1,6),
(159173,370069,9,100,'Inflicts 32 - 54 disease damage on target',1,6),
(159174,370069,10,100,'Increases AGI of caster by 32.6',0,0),
(159175,370069,10,100,'Increases Fervor of caster by 2.0',0,1),
(159176,370069,10,100,'Adds 26.2% to base avoidance.',0,2),
(159177,370069,10,100,'Increases Mitigation of caster vs physical damage by 262',0,3),
(159178,370069,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 341',0,4),
(159179,370069,10,100,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',0,5),
(159180,370069,10,100,'Inflicts 34 - 56 disease damage on target',1,6),
(159181,370070,1,100,'Inflicts 39 - 65 disease damage on target',1,6),
(159182,370070,2,100,'Inflicts 41 - 68 disease damage on target',1,6),
(159183,370070,3,100,'Inflicts 43 - 72 disease damage on target',1,6),
(159184,370070,4,100,'Inflicts 48 - 79 disease damage on target',1,6),
(159185,370070,5,100,'Inflicts 52 - 86 disease damage on target',1,6),
(159186,370070,7,100,'Inflicts 67 - 111 disease damage on target',1,6),
(159187,370070,9,100,'Inflicts 69 - 115 disease damage on target',1,6),
(159188,370070,10,100,'Increases AGI of caster by 61.4',0,0),
(159189,370070,10,100,'Increases Fervor of caster by 2.0',0,1),
(159190,370070,10,100,'Adds 26.2% to base avoidance.',0,2),
(159191,370070,10,100,'Increases Mitigation of caster vs physical damage by 544',0,3),
(159192,370070,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 708',0,4),
(159193,370070,10,100,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',0,5),
(159194,370070,10,100,'Inflicts 73 - 121 disease damage on target',1,6),
(159195,370071,1,100,'Inflicts 62 - 103 disease damage on target',1,6),
(159196,370071,2,100,'Inflicts 65 - 109 disease damage on target',1,6),
(159197,370071,3,100,'Inflicts 69 - 115 disease damage on target',1,6),
(159198,370071,4,100,'Inflicts 76 - 126 disease damage on target',1,6),
(159199,370071,5,100,'Inflicts 83 - 138 disease damage on target',1,6),
(159200,370071,7,100,'Inflicts 106 - 177 disease damage on target',1,6),
(159201,370071,9,100,'Inflicts 110 - 184 disease damage on target',1,6),
(159202,370071,10,100,'Increases AGI of caster by 93.5',0,0),
(159203,370071,10,100,'Increases Fervor of caster by 2.0',0,1),
(159204,370071,10,100,'Adds 26.2% to base avoidance.',0,2),
(159205,370071,10,100,'Increases Mitigation of caster vs physical damage by 827',0,3),
(159206,370071,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1075',0,4),
(159207,370071,10,100,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',0,5),
(159208,370071,10,100,'Inflicts 116 - 193 disease damage on target',1,6),
(159209,370072,1,100,'Inflicts 90 - 151 disease damage on target',1,6),
(159210,370072,2,100,'Inflicts 95 - 159 disease damage on target',1,6),
(159211,370072,3,100,'Inflicts 100 - 167 disease damage on target',1,6),
(159212,370072,4,100,'Inflicts 111 - 184 disease damage on target',1,6),
(159213,370072,5,100,'Inflicts 121 - 201 disease damage on target',1,6),
(159214,370072,7,100,'Inflicts 155 - 258 disease damage on target',1,6),
(159215,370072,9,100,'Inflicts 161 - 268 disease damage on target',1,6),
(159216,370072,10,100,'Increases AGI of caster by 126.4',0,0),
(159217,370072,10,100,'Increases Fervor of caster by 2.0',0,1),
(159218,370072,10,100,'Adds 26.2% to base avoidance.',0,2),
(159219,370072,10,100,'Increases Mitigation of caster vs physical damage by 1109',0,3),
(159220,370072,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1441',0,4),
(159221,370072,10,100,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',0,5),
(159222,370072,10,100,'Inflicts 169 - 281 disease damage on target',1,6),
(159223,370073,1,100,'Inflicts 119 - 198 disease damage on target',1,6),
(159224,370073,2,100,'Inflicts 125 - 209 disease damage on target',1,6),
(159225,370073,3,100,'Inflicts 132 - 220 disease damage on target',1,6),
(159226,370073,4,100,'Inflicts 145 - 242 disease damage on target',1,6),
(159227,370073,5,100,'Inflicts 158 - 264 disease damage on target',1,6),
(159228,370073,7,100,'Inflicts 203 - 339 disease damage on target',1,6),
(159229,370073,9,100,'Inflicts 211 - 352 disease damage on target',1,6),
(159230,370073,10,100,'Increases AGI of caster by 159.3',0,0),
(159231,370073,10,100,'Increases Fervor of caster by 2.0',0,1),
(159232,370073,10,100,'Adds 26.2% to base avoidance.',0,2),
(159233,370073,10,100,'Increases Mitigation of caster vs physical damage by 1391',0,3),
(159234,370073,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1808',0,4),
(159235,370073,10,100,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',0,5),
(159236,370073,10,100,'Inflicts 222 - 370 disease damage on target',1,6),
(159237,370074,1,100,'Inflicts 144 - 240 disease damage on target',1,6),
(159238,370074,2,100,'Inflicts 152 - 253 disease damage on target',1,6),
(159239,370074,3,100,'Inflicts 160 - 267 disease damage on target',1,6),
(159240,370074,4,100,'Inflicts 176 - 293 disease damage on target',1,6),
(159241,370074,5,100,'Inflicts 192 - 320 disease damage on target',1,6),
(159242,370074,7,100,'Inflicts 246 - 411 disease damage on target',1,6),
(159243,370074,9,100,'Inflicts 256 - 427 disease damage on target',1,6),
(159244,370074,10,100,'Increases AGI of caster by 190.8',0,0),
(159245,370074,10,100,'Increases Fervor of caster by 2.0',0,1),
(159246,370074,10,100,'Adds 26.2% to base avoidance.',0,2),
(159247,370074,10,100,'Increases Mitigation of caster vs physical damage by 1593',0,3),
(159248,370074,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2070',0,4),
(159249,370074,10,100,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',0,5),
(159250,370074,10,100,'Inflicts 269 - 448 disease damage on target',1,6),
(159251,370075,1,100,'Inflicts 173 - 289 disease damage on target',1,6),
(159252,370075,4,100,'Inflicts 212 - 353 disease damage on target',1,6),
(159253,370075,5,100,'Inflicts 231 - 385 disease damage on target',1,6),
(159254,370075,7,100,'Inflicts 297 - 494 disease damage on target',1,6),
(159255,370075,9,100,'Inflicts 308 - 514 disease damage on target',1,6),
(159256,370075,10,100,'Increases AGI of caster by 223.1',0,0),
(159257,370075,10,100,'Increases Fervor of caster by 2.0',0,1),
(159258,370075,10,100,'Adds 26.2% to base avoidance.',0,2),
(159259,370075,10,100,'Increases Mitigation of caster vs physical damage by 1794',0,3),
(159260,370075,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2333',0,4),
(159261,370075,10,100,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',0,5),
(159262,370075,10,100,'Inflicts 324 - 539 disease damage on target',1,6),
(159263,370076,1,100,'Inflicts 186 - 310 disease damage on target',1,6),
(159264,370076,4,100,'Inflicts 227 - 379 disease damage on target',1,6),
(159265,370076,5,100,'Inflicts 248 - 413 disease damage on target',1,6),
(159266,370076,7,100,'Inflicts 318 - 530 disease damage on target',1,6),
(159267,370076,9,100,'Inflicts 331 - 551 disease damage on target',1,6),
(159268,370076,10,100,'Increases AGI of caster by 255.5',0,0),
(159269,370076,10,100,'Increases Fervor of caster by 2.0',0,1),
(159270,370076,10,100,'Adds 34.1% to base avoidance.',0,2),
(159271,370076,10,100,'Increases Mitigation of caster vs physical damage by 2595',0,3),
(159272,370076,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 3373',0,4),
(159273,370076,10,100,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',0,5),
(159274,370076,10,100,'Inflicts 347 - 579 disease damage on target',1,6),
(159275,370076,11,100,'Increases AGI of caster by 307.2',0,0),
(159276,370076,11,100,'Increases Fervor of caster by 2.0',0,1),
(159277,370076,11,100,'Adds 41.0% to base avoidance.',0,2),
(159278,370076,11,100,'Increases Mitigation of caster vs physical damage by 3120',0,3),
(159279,370076,11,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 4056',0,4),
(159280,370076,11,100,'When damaged this spell has a 25% chance to cast Death Barrier on target''s attacker.  ',0,5),
(159281,370076,11,100,'Inflicts 417 - 696 disease damage on target',1,6),
(159282,370077,1,100,'If outside an arena',0,15),
(159283,370079,10,100,'Makes target afraid',0,0),
(159284,370079,10,100,'30% chance to dispel when target takes damage',0,1),
(159285,370079,10,100,'Does not affect Epic targets',0,2),
(159286,370079,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(159287,370080,10,100,'Makes target afraid',0,0),
(159288,370080,10,100,'30% chance to dispel when target takes damage',0,1),
(159289,370080,10,100,'Does not affect Epic targets',0,2),
(159290,370080,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(159291,370081,10,100,'Makes target afraid',0,0),
(159292,370081,10,100,'30% chance to dispel when target takes damage',0,1),
(159293,370081,10,100,'Does not affect Epic targets',0,2),
(159294,370081,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(159295,370082,10,100,'Makes target afraid',0,0),
(159296,370082,10,100,'30% chance to dispel when target takes damage',0,1),
(159297,370082,10,100,'Does not affect Epic targets',0,2),
(159298,370082,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(159299,370083,10,100,'Makes target afraid',0,0),
(159300,370083,10,100,'30% chance to dispel when target takes damage',0,1),
(159301,370083,10,100,'Does not affect Epic targets',0,2),
(159302,370083,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(159303,370084,10,100,'Makes target afraid',0,0),
(159304,370084,10,100,'30% chance to dispel when target takes damage',0,1),
(159305,370084,10,100,'Does not affect Epic targets',0,2),
(159306,370084,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(159307,370085,1,100,'Increases the Fervor of all priest damaging profession abilities by 2.2.',0,2),
(159308,370085,2,100,'Increases the Fervor of all priest damaging profession abilities by 4.4.',0,2),
(159309,370085,3,100,'Increases the Fervor of all priest damaging profession abilities by 6.6.',0,2),
(159310,370085,4,100,'Increases the Fervor of all priest damaging profession abilities by 8.8.',0,2),
(159311,370085,5,100,'Increases the Fervor of all priest damaging profession abilities by 11.',0,2),
(159312,370085,7,100,'Increases the Fervor of all priest damaging profession abilities by 15.4.',0,2),
(159313,370085,9,100,'Increases the Fervor of all priest damaging profession abilities by 19.8.',0,2),
(159314,370085,10,100,'Increases the healing and ward of target ally by 33.6%',0,0),
(159315,370085,10,100,'Increases the resurrect restoration amount of target ally by 33.6%',0,1),
(159316,370085,10,100,'Increases the Fervor of all priest damaging profession abilities by 22.',0,2),
(159317,370086,10,100,'Increases STR and AGI of group members (AE) by 9.7',0,0),
(159318,370086,10,100,'Adds 2.6% to base avoidance.',0,1),
(159319,370089,10,100,'Increases STR and AGI of group members (AE) by 49.4',0,0),
(159320,370089,10,100,'Adds 2.6% to base avoidance.',0,1),
(159321,370090,10,100,'Increases STR and AGI of group members (AE) by 142.3',0,0),
(159322,370090,10,100,'Adds 3.4% to base avoidance.',0,1),
(159323,370090,11,100,'Increases STR and AGI of group members (AE) by 171.1',0,0),
(159324,370090,11,100,'Adds 4.1% to base avoidance.',0,1),
(159325,370092,10,100,'Increases STR and AGI of group members (AE) by 87.0',0,0),
(159326,370092,10,100,'Adds 2.6% to base avoidance.',0,1),
(159327,370093,10,100,'Increases STR and AGI of group members (AE) by 105.3',0,0),
(159328,370093,10,100,'Adds 2.6% to base avoidance.',0,1),
(159329,370094,10,100,'Increases STR and AGI of group members (AE) by 123.8',0,0),
(159330,370094,10,100,'Adds 2.6% to base avoidance.',0,1),
(159331,370095,10,100,'Inflicts 114 - 189 disease damage on target',0,0),
(159332,370095,10,100,'Heals caster for 75 - 124',0,1),
(159333,370097,10,100,'Inflicts 259 - 432 disease damage on target',0,0),
(159334,370097,10,100,'Heals caster for 171 - 286',0,1),
(159335,370098,10,100,'Inflicts 338 - 564 disease damage on target',0,0),
(159336,370098,10,100,'Heals caster for 224 - 374',0,1),
(159337,370099,10,100,'Inflicts 410 - 684 disease damage on target',0,0),
(159338,370099,10,100,'Heals caster for 302 - 504',0,1),
(159339,370100,10,100,'Inflicts 494 - 823 disease damage on target',0,0),
(159340,370100,10,100,'Heals caster for 360 - 601',0,1),
(159341,370101,10,100,'Inflicts 524 - 873 disease damage on target',0,0),
(159342,370101,10,100,'Heals caster for 378 - 630',0,1),
(159343,370101,11,100,'Inflicts 630 - 1050 disease damage on target',0,0),
(159344,370101,11,100,'Heals caster for 455 - 758',0,1),
(159345,370102,10,100,'9% chance to apply Knockdown.  Lasts for 1.5 seconds.',0,0),
(159346,370102,10,100,'Throws target back',1,1),
(159347,370102,10,100,'Blurs vision of target',1,2),
(159348,370102,10,100,'Stuns target',1,3),
(159349,370102,10,100,'Does not affect Epic targets',1,4),
(159350,370102,10,100,'Interrupts targets in Area of Effect',0,5),
(159351,370102,10,100,'Blurs vision of targets in Area of Effect',0,6),
(159359,370104,10,100,'19% chance to apply Knockdown.  Lasts for 1.5 seconds.',0,0),
(159360,370104,10,100,'Throws target back',1,1),
(159361,370104,10,100,'Blurs vision of target',1,2),
(159362,370104,10,100,'Stuns target',1,3),
(159363,370104,10,100,'Does not affect Epic targets',1,4),
(159364,370104,10,100,'Interrupts targets in Area of Effect',0,5),
(159365,370104,10,100,'Blurs vision of targets in Area of Effect',0,6),
(159366,370105,10,100,'Increases Hate Gain of target by 26.1%',0,0),
(159367,370105,10,100,'Increases Aggression of target by 16.1',0,1),
(159368,370106,10,100,'Increases Hate Gain of target by 32.6%',0,0),
(159369,370106,10,100,'Increases Aggression of target by 23.2',0,1),
(159370,370108,10,100,'Increases Parry of group members (AE) by 13.6',0,0),
(159371,370110,10,100,'Increases Parry of group members (AE) by 34.8',0,0),
(159372,370111,10,100,'Increases Parry of group members (AE) by 45.4',0,0),
(159373,370112,10,100,'Increases Parry of group members (AE) by 55.9',0,0),
(159374,370113,10,100,'Increases Parry of group members (AE) by 66.8',0,0),
(159375,370114,10,100,'Increases Parry of group members (AE) by 79.4',0,0),
(159376,370114,11,100,'Increases Parry of group members (AE) by 95.4',0,0),
(159377,370115,10,100,'Inflicts 85 - 142 disease damage on target encounter',0,0),
(159378,370116,10,100,'Inflicts 173 - 289 disease damage on target encounter',0,0),
(159379,370117,10,100,'Inflicts 271 - 452 disease damage on target encounter',0,0),
(159380,370118,10,100,'Inflicts 388 - 647 disease damage on target encounter',0,0),
(159381,370120,10,100,'Inflicts 614 - 1023 disease damage on target encounter',0,0),
(159382,370121,10,100,'Inflicts 728 - 1214 disease damage on target encounter',0,0),
(159383,370121,11,100,'Inflicts 876 - 1460 disease damage on target encounter',0,0),
(159384,370126,10,100,'Inflicts 428 - 714 disease damage on target',0,0),
(159385,370126,10,100,'Dazes target',0,1),
(159386,370126,10,100,'If Target is not Epic',1,2),
(159387,370126,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(159388,370127,10,100,'Inflicts 518 - 863 disease damage on target',0,0),
(159389,370127,10,100,'Dazes target',0,1),
(159390,370127,10,100,'If Target is not Epic',1,2),
(159391,370127,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(159392,370128,10,100,'Inflicts 590 - 983 disease damage on target',0,0),
(159393,370128,10,100,'Dazes target',0,1),
(159394,370128,10,100,'If Target is not Epic',1,2),
(159395,370128,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(159396,370128,11,100,'Inflicts 709 - 1182 disease damage on target',0,0),
(159397,370128,11,100,'Dazes target',0,1),
(159398,370128,11,100,'If Target is not Epic',1,2),
(159399,370128,11,100,'Resistibility increases against targets higher than level 29.',0,3),
(159400,370129,10,100,'Inflicts 30 - 51 disease damage on target',0,0),
(159401,370129,11,100,'Inflicts 36 - 61 disease damage on target',0,0),
(159402,370130,11,100,'Inflicts 133 - 222 disease damage on target',0,0),
(159403,370131,10,100,'Inflicts 247 - 412 disease damage on target',0,0),
(159404,370131,11,100,'Inflicts 297 - 495 disease damage on target',0,0),
(159405,370132,10,100,'Inflicts 398 - 663 disease damage on target',0,0),
(159406,370132,11,100,'Inflicts 478 - 797 disease damage on target',0,0),
(159407,370133,10,100,'Inflicts 1225 - 2042 disease damage on target',0,0),
(159408,370133,11,100,'Inflicts 1473 - 2456 disease damage on target',0,0),
(159409,370134,11,100,'Inflicts 704 - 1174 disease damage on target',0,0),
(159410,370135,10,100,'Inflicts 774 - 1290 disease damage on target',0,0),
(159411,370135,11,100,'Inflicts 931 - 1551 disease damage on target',0,0),
(159412,370136,10,100,'Inflicts 937 - 1562 disease damage on target',0,0),
(159413,370136,11,100,'Inflicts 1127 - 1878 disease damage on target',0,0),
(159414,370137,10,100,'Inflicts 1129 - 1881 disease damage on target',0,0),
(159415,370137,11,100,'Inflicts 1357 - 2262 disease damage on target',0,0),
(159416,370138,9,100,'Riana''s Relentless Tune will improve combat art damage by 10%',0,0),
(159417,370138,9,100,'Applies the effects of Cacophony of Blades to all raid members.',0,1),
(159418,370138,9,100,'On a melee hit this spell may cast Intrepid Strike on caster.  Lasts for 12.0 seconds.  Triggers about 2.4 times per minute. ',0,2),
(159419,370138,9,100,'Caster has a 25.0% chance of having one of their weapons'' auto-attack strike the target multiple times.',1,3),
(159420,370138,9,100,'Increases Potency of caster by 25.0%',1,4),
(159421,370138,9,100,'Cannot be modified except by direct means',1,5),
(159422,370138,9,100,'Cannot be modified except by direct means',0,6),
(159423,370138,10,100,'Riana''s Relentless Tune will improve combat art damage by 10%',0,0),
(159424,370138,10,100,'Applies the effects of Cacophony of Blades to all raid members.',0,1),
(159425,370138,10,100,'On a melee hit this spell may cast Intrepid Strike on caster.  Lasts for 12.0 seconds.  Triggers about 2.4 times per minute. ',0,2),
(159426,370138,10,100,'Caster has a 25.0% chance of having one of their weapons'' auto-attack strike the target multiple times.',1,3),
(159427,370138,10,100,'Increases Potency of caster by 25.0%',1,4),
(159428,370138,10,100,'Cannot be modified except by direct means',1,5),
(159429,370138,10,100,'Cannot be modified except by direct means',0,6),
(159430,370139,1,100,'Increases Mitigation of group members (AE) vs noxious damage by 252',1,1),
(159431,370139,1,100,'Increases Mitigation of raid and group members (AE) vs noxious damage by 252',0,2),
(159432,370139,2,100,'Increases Mitigation of group members (AE) vs noxious damage by 266',1,1),
(159433,370139,2,100,'Increases Mitigation of raid and group members (AE) vs noxious damage by 266',0,2),
(159434,370139,3,100,'Increases Mitigation of group members (AE) vs noxious damage by 280',1,1),
(159435,370139,3,100,'Increases Mitigation of raid and group members (AE) vs noxious damage by 280',0,2),
(159436,370139,4,100,'Increases Mitigation of group members (AE) vs noxious damage by 308',1,1),
(159437,370139,4,100,'Increases Mitigation of raid and group members (AE) vs noxious damage by 308',0,2),
(159438,370139,5,100,'Increases Mitigation of group members (AE) vs noxious damage by 336',1,1),
(159439,370139,5,100,'Increases Mitigation of raid and group members (AE) vs noxious damage by 336',0,2),
(159440,370139,7,100,'Increases Mitigation of group members (AE) vs noxious damage by 431',1,1),
(159441,370139,7,100,'Increases Mitigation of raid and group members (AE) vs noxious damage by 431',0,2),
(159442,370139,9,100,'Increases Mitigation of group members (AE) vs noxious damage by 448',1,1),
(159443,370139,9,100,'Increases Mitigation of raid and group members (AE) vs noxious damage by 448',0,2),
(159444,370139,10,100,'Applies Concentrated Symphony.',0,0),
(159445,370139,10,100,'Increases Mitigation of group members (AE) vs noxious damage by 470',1,1),
(159446,370139,10,100,'Increases Mitigation of raid and group members (AE) vs noxious damage by 470',0,2),
(159447,370140,1,100,'Increases Mitigation of group members (AE) vs noxious damage by 428',1,1),
(159448,370140,1,100,'Increases Mitigation of raid and group members (AE) vs noxious damage by 428',0,2),
(159449,370140,2,100,'Increases Mitigation of group members (AE) vs noxious damage by 452',1,1),
(159450,370140,2,100,'Increases Mitigation of raid and group members (AE) vs noxious damage by 452',0,2),
(159451,370140,3,100,'Increases Mitigation of group members (AE) vs noxious damage by 476',1,1),
(159452,370140,3,100,'Increases Mitigation of raid and group members (AE) vs noxious damage by 476',0,2),
(159453,370140,4,100,'Increases Mitigation of group members (AE) vs noxious damage by 524',1,1),
(159454,370140,4,100,'Increases Mitigation of raid and group members (AE) vs noxious damage by 524',0,2),
(159455,370140,5,100,'Increases Mitigation of group members (AE) vs noxious damage by 571',1,1),
(159456,370140,5,100,'Increases Mitigation of raid and group members (AE) vs noxious damage by 571',0,2),
(159457,370140,7,100,'Increases Mitigation of group members (AE) vs noxious damage by 733',1,1),
(159458,370140,7,100,'Increases Mitigation of raid and group members (AE) vs noxious damage by 733',0,2),
(159459,370140,9,100,'Increases Mitigation of group members (AE) vs noxious damage by 762',1,1),
(159460,370140,9,100,'Increases Mitigation of raid and group members (AE) vs noxious damage by 762',0,2),
(159461,370140,10,100,'Applies Concentrated Symphony.',0,0),
(159462,370140,10,100,'Increases Mitigation of group members (AE) vs noxious damage by 800',1,1),
(159463,370140,10,100,'Increases Mitigation of raid and group members (AE) vs noxious damage by 800',0,2),
(159464,370141,1,100,'Increases Mitigation of group members (AE) vs noxious damage by 605',1,1),
(159465,370141,1,100,'Increases Mitigation of raid and group members (AE) vs noxious damage by 605',0,2),
(159466,370141,2,100,'Increases Mitigation of group members (AE) vs noxious damage by 638',1,1),
(159467,370141,2,100,'Increases Mitigation of raid and group members (AE) vs noxious damage by 638',0,2),
(159468,370141,3,100,'Increases Mitigation of group members (AE) vs noxious damage by 672',1,1),
(159469,370141,3,100,'Increases Mitigation of raid and group members (AE) vs noxious damage by 672',0,2),
(159470,370141,4,100,'Increases Mitigation of group members (AE) vs noxious damage by 739',1,1),
(159471,370141,4,100,'Increases Mitigation of raid and group members (AE) vs noxious damage by 739',0,2),
(159472,370141,5,100,'Increases Mitigation of group members (AE) vs noxious damage by 806',1,1),
(159473,370141,5,100,'Increases Mitigation of raid and group members (AE) vs noxious damage by 806',0,2),
(159474,370141,7,100,'Increases Mitigation of group members (AE) vs noxious damage by 1035',1,1),
(159475,370141,7,100,'Increases Mitigation of raid and group members (AE) vs noxious damage by 1035',0,2),
(159476,370141,9,100,'Increases Mitigation of group members (AE) vs noxious damage by 1075',1,1),
(159477,370141,9,100,'Increases Mitigation of raid and group members (AE) vs noxious damage by 1075',0,2),
(159478,370141,10,100,'Applies Concentrated Symphony.',0,0),
(159479,370141,10,100,'Increases Mitigation of group members (AE) vs noxious damage by 1129',1,1),
(159480,370141,10,100,'Increases Mitigation of raid and group members (AE) vs noxious damage by 1129',0,2),
(159481,370142,1,100,'Increases Mitigation of group members (AE) vs noxious damage by 781',1,1),
(159482,370142,1,100,'Increases Mitigation of raid and group members (AE) vs noxious damage by 781',0,2),
(159483,370142,2,100,'Increases Mitigation of group members (AE) vs noxious damage by 825',1,1),
(159484,370142,2,100,'Increases Mitigation of raid and group members (AE) vs noxious damage by 825',0,2),
(159485,370142,3,100,'Increases Mitigation of group members (AE) vs noxious damage by 868',1,1),
(159486,370142,3,100,'Increases Mitigation of raid and group members (AE) vs noxious damage by 868',0,2),
(159487,370142,4,100,'Increases Mitigation of group members (AE) vs noxious damage by 955',1,1),
(159488,370142,4,100,'Increases Mitigation of raid and group members (AE) vs noxious damage by 955',0,2),
(159489,370142,5,100,'Increases Mitigation of group members (AE) vs noxious damage by 1042',1,1),
(159490,370142,5,100,'Increases Mitigation of raid and group members (AE) vs noxious damage by 1042',0,2),
(159491,370142,7,100,'Increases Mitigation of group members (AE) vs noxious damage by 1337',1,1),
(159492,370142,7,100,'Increases Mitigation of raid and group members (AE) vs noxious damage by 1337',0,2),
(159493,370142,9,100,'Increases Mitigation of group members (AE) vs noxious damage by 1389',1,1),
(159494,370142,9,100,'Increases Mitigation of raid and group members (AE) vs noxious damage by 1389',0,2),
(159495,370142,10,100,'Increases Mitigation of group members (AE) vs noxious damage by 1458',1,1),
(159496,370142,10,100,'Increases Mitigation of raid and group members (AE) vs noxious damage by 1458',0,2),
(159497,370143,1,100,'Increases Mitigation of group members (AE) vs noxious damage by 979',1,1),
(159498,370143,1,100,'Increases Mitigation of raid and group members (AE) vs noxious damage by 979',0,2),
(159499,370143,2,100,'Increases Mitigation of group members (AE) vs noxious damage by 1033',1,1),
(159500,370143,2,100,'Increases Mitigation of raid and group members (AE) vs noxious damage by 1033',0,2),
(159501,370143,3,100,'Increases Mitigation of group members (AE) vs noxious damage by 1088',1,1),
(159502,370143,3,100,'Increases Mitigation of raid and group members (AE) vs noxious damage by 1088',0,2),
(159503,370143,4,100,'Increases Mitigation of group members (AE) vs noxious damage by 1197',1,1),
(159504,370143,4,100,'Increases Mitigation of raid and group members (AE) vs noxious damage by 1197',0,2),
(159505,370143,5,100,'Increases Mitigation of group members (AE) vs noxious damage by 1305',1,1),
(159506,370143,5,100,'Increases Mitigation of raid and group members (AE) vs noxious damage by 1305',0,2),
(159507,370143,7,100,'Increases Mitigation of group members (AE) vs noxious damage by 1675',1,1),
(159508,370143,7,100,'Increases Mitigation of raid and group members (AE) vs noxious damage by 1675',0,2),
(159509,370143,9,100,'Increases Mitigation of group members (AE) vs noxious damage by 1740',1,1),
(159510,370143,9,100,'Increases Mitigation of raid and group members (AE) vs noxious damage by 1740',0,2),
(159511,370143,10,100,'Applies Concentrated Symphony.',0,0),
(159512,370143,10,100,'Increases Mitigation of group members (AE) vs noxious damage by 1828',1,1),
(159513,370143,10,100,'Increases Mitigation of raid and group members (AE) vs noxious damage by 1828',0,2),
(159514,370144,1,100,'Increases Mitigation of group members (AE) vs noxious damage by 1132',1,1),
(159515,370144,1,100,'Increases Mitigation of raid and group members (AE) vs noxious damage by 1132',0,2),
(159516,370144,4,100,'Increases Mitigation of group members (AE) vs noxious damage by 1384',1,1),
(159517,370144,4,100,'Increases Mitigation of raid and group members (AE) vs noxious damage by 1384',0,2),
(159518,370144,5,100,'Increases Mitigation of group members (AE) vs noxious damage by 1510',1,1),
(159519,370144,5,100,'Increases Mitigation of raid and group members (AE) vs noxious damage by 1510',0,2),
(159520,370144,7,100,'Increases Mitigation of group members (AE) vs noxious damage by 1938',1,1),
(159521,370144,7,100,'Increases Mitigation of raid and group members (AE) vs noxious damage by 1938',0,2),
(159522,370144,9,100,'Increases Mitigation of group members (AE) vs noxious damage by 2013',1,1),
(159523,370144,9,100,'Increases Mitigation of raid and group members (AE) vs noxious damage by 2013',0,2),
(159524,370144,10,100,'Increases Mitigation of group members (AE) vs noxious damage by 2114',1,1),
(159525,370144,10,100,'Increases Mitigation of raid and group members (AE) vs noxious damage by 2114',0,2),
(159526,370145,1,100,'Increases Mitigation of group members (AE) vs noxious damage by 1303',1,1),
(159527,370145,1,100,'Increases Mitigation of raid and group members (AE) vs noxious damage by 1303',0,2),
(159528,370145,4,100,'Increases Mitigation of group members (AE) vs noxious damage by 1592',1,1),
(159529,370145,4,100,'Increases Mitigation of raid and group members (AE) vs noxious damage by 1592',0,2),
(159530,370145,5,100,'Increases Mitigation of group members (AE) vs noxious damage by 1737',1,1),
(159531,370145,5,100,'Increases Mitigation of raid and group members (AE) vs noxious damage by 1737',0,2),
(159532,370145,7,100,'Increases Mitigation of group members (AE) vs noxious damage by 2229',1,1),
(159533,370145,7,100,'Increases Mitigation of raid and group members (AE) vs noxious damage by 2229',0,2),
(159534,370145,9,100,'Increases Mitigation of group members (AE) vs noxious damage by 2316',1,1),
(159535,370145,9,100,'Increases Mitigation of raid and group members (AE) vs noxious damage by 2316',0,2),
(159536,370145,10,100,'Increases Mitigation of group members (AE) vs noxious damage by 2432',1,1),
(159537,370145,10,100,'Increases Mitigation of raid and group members (AE) vs noxious damage by 2432',0,2),
(159538,370145,11,100,'Applies Concentrated Symphony.',0,0),
(159539,370145,11,100,'Increases Mitigation of group members (AE) vs noxious damage by 2924',1,1),
(159540,370145,11,100,'Increases Mitigation of raid and group members (AE) vs noxious damage by 2924',0,2),
(159541,370146,1,100,'On any combat or spell hit this spell will cast Fierce Combat on target of attack.  ',0,2),
(159542,370146,1,100,'Inflicts 1661 - 2768 disease damage on target',1,3),
(159543,370146,1,100,'This effect can only trigger once every 1.5 second.',1,4),
(159544,370146,2,100,'On any combat or spell hit this spell will cast Fierce Combat on target of attack.  ',0,2),
(159545,370146,2,100,'Inflicts 1753 - 2922 disease damage on target',1,3),
(159546,370146,2,100,'This effect can only trigger once every 1.5 second.',1,4),
(159547,370146,3,100,'On any combat or spell hit this spell will cast Fierce Combat on target of attack.  ',0,2),
(159548,370146,3,100,'Inflicts 1845 - 3075 disease damage on target',1,3),
(159549,370146,3,100,'This effect can only trigger once every 1.5 second.',1,4),
(159550,370146,4,100,'On any combat or spell hit this spell will cast Fierce Combat on target of attack.  ',0,2),
(159551,370146,4,100,'Inflicts 2030 - 3383 disease damage on target',1,3),
(159552,370146,4,100,'This effect can only trigger once every 1.5 second.',1,4),
(159553,370146,5,100,'On any combat or spell hit this spell will cast Fierce Combat on target of attack.  ',0,2),
(159554,370146,5,100,'Inflicts 2214 - 3691 disease damage on target',1,3),
(159555,370146,5,100,'This effect can only trigger once every 1.5 second.',1,4),
(159556,370146,7,100,'On any combat or spell hit this spell will cast Fierce Combat on target of attack.  ',0,2),
(159557,370146,7,100,'Inflicts 2842 - 4736 disease damage on target',1,3),
(159558,370146,7,100,'This effect can only trigger once every 1.5 second.',1,4),
(159559,370146,9,100,'On any combat or spell hit this spell will cast Fierce Combat on target of attack.  ',0,2),
(159560,370146,9,100,'Inflicts 2952 - 4921 disease damage on target',1,3),
(159561,370146,9,100,'This effect can only trigger once every 1.5 second.',1,4),
(159562,370146,10,100,'Heals target for 1 instantly and every 0.3 seconds',0,0),
(159563,370146,10,100,'Stifles caster',0,1),
(159564,370146,10,100,'On any combat or spell hit this spell will cast Fierce Combat on target of attack.  ',0,2),
(159565,370146,10,100,'Inflicts 3100 - 5167 disease damage on target',1,3),
(159566,370146,10,100,'This effect can only trigger once every 1.5 second.',1,4),
(159567,370147,1,100,'On any combat or spell hit this spell will cast Fierce Combat on target of attack.  ',0,2),
(159568,370147,1,100,'Inflicts 2121 - 3535 disease damage on target',1,3),
(159569,370147,1,100,'This effect can only trigger once every 1.5 second.',1,4),
(159570,370147,2,100,'On any combat or spell hit this spell will cast Fierce Combat on target of attack.  ',0,2),
(159571,370147,2,100,'Inflicts 2239 - 3732 disease damage on target',1,3),
(159572,370147,2,100,'This effect can only trigger once every 1.5 second.',1,4),
(159573,370147,3,100,'On any combat or spell hit this spell will cast Fierce Combat on target of attack.  ',0,2),
(159574,370147,3,100,'Inflicts 2357 - 3928 disease damage on target',1,3),
(159575,370147,3,100,'This effect can only trigger once every 1.5 second.',1,4),
(159576,370147,4,100,'On any combat or spell hit this spell will cast Fierce Combat on target of attack.  ',0,2),
(159577,370147,4,100,'Inflicts 2592 - 4321 disease damage on target',1,3),
(159578,370147,4,100,'This effect can only trigger once every 1.5 second.',1,4),
(159579,370147,5,100,'On any combat or spell hit this spell will cast Fierce Combat on target of attack.  ',0,2),
(159580,370147,5,100,'Inflicts 2828 - 4714 disease damage on target',1,3),
(159581,370147,5,100,'This effect can only trigger once every 1.5 second.',1,4),
(159582,370147,7,100,'On any combat or spell hit this spell will cast Fierce Combat on target of attack.  ',0,2),
(159583,370147,7,100,'Inflicts 3629 - 6049 disease damage on target',1,3),
(159584,370147,7,100,'This effect can only trigger once every 1.5 second.',1,4),
(159585,370147,9,100,'On any combat or spell hit this spell will cast Fierce Combat on target of attack.  ',0,2),
(159586,370147,9,100,'Inflicts 3771 - 6285 disease damage on target',1,3),
(159587,370147,9,100,'This effect can only trigger once every 1.5 second.',1,4),
(159588,370147,10,100,'Heals target for 1 instantly and every 0.3 seconds',0,0),
(159589,370147,10,100,'Stifles caster',0,1),
(159590,370147,10,100,'On any combat or spell hit this spell will cast Fierce Combat on target of attack.  ',0,2),
(159591,370147,10,100,'Inflicts 3959 - 6599 disease damage on target',1,3),
(159592,370147,10,100,'This effect can only trigger once every 1.5 second.',1,4),
(159593,370148,1,100,'On any combat or spell hit this spell will cast Fierce Combat on target of attack.  ',0,2),
(159594,370148,1,100,'Inflicts 2466 - 4110 disease damage on target',1,3),
(159595,370148,1,100,'This effect can only trigger once every 1.5 second.',1,4),
(159596,370148,4,100,'On any combat or spell hit this spell will cast Fierce Combat on target of attack.  ',0,2),
(159597,370148,4,100,'Inflicts 3014 - 5023 disease damage on target',1,3),
(159598,370148,4,100,'This effect can only trigger once every 1.5 second.',1,4),
(159599,370148,5,100,'On any combat or spell hit this spell will cast Fierce Combat on target of attack.  ',0,2),
(159600,370148,5,100,'Inflicts 3288 - 5480 disease damage on target',1,3),
(159601,370148,5,100,'This effect can only trigger once every 1.5 second.',1,4),
(159602,370148,7,100,'On any combat or spell hit this spell will cast Fierce Combat on target of attack.  ',0,2),
(159603,370148,7,100,'Inflicts 4219 - 7032 disease damage on target',1,3),
(159604,370148,7,100,'This effect can only trigger once every 1.5 second.',1,4),
(159605,370148,9,100,'On any combat or spell hit this spell will cast Fierce Combat on target of attack.  ',0,2),
(159606,370148,9,100,'Inflicts 4384 - 7306 disease damage on target',1,3),
(159607,370148,9,100,'This effect can only trigger once every 1.5 second.',1,4),
(159608,370148,10,100,'Heals target for 1 instantly and every 0.3 seconds',0,0),
(159609,370148,10,100,'Stifles caster',0,1),
(159610,370148,10,100,'On any combat or spell hit this spell will cast Fierce Combat on target of attack.  ',0,2),
(159611,370148,10,100,'Inflicts 4603 - 7672 disease damage on target',1,3),
(159612,370148,10,100,'This effect can only trigger once every 1.5 second.',1,4),
(159613,370149,1,100,'On any combat or spell hit this spell will cast Fierce Combat on target of attack.  ',0,2),
(159614,370149,1,100,'Inflicts 2741 - 4569 disease damage on target',1,3),
(159615,370149,1,100,'This effect can only trigger once every 1.5 second.',1,4),
(159616,370149,4,100,'On any combat or spell hit this spell will cast Fierce Combat on target of attack.  ',0,2),
(159617,370149,4,100,'Inflicts 3350 - 5584 disease damage on target',1,3),
(159618,370149,4,100,'This effect can only trigger once every 1.5 second.',1,4),
(159619,370149,5,100,'On any combat or spell hit this spell will cast Fierce Combat on target of attack.  ',0,2),
(159620,370149,5,100,'Inflicts 3655 - 6092 disease damage on target',1,3),
(159621,370149,5,100,'This effect can only trigger once every 1.5 second.',1,4),
(159622,370149,7,100,'On any combat or spell hit this spell will cast Fierce Combat on target of attack.  ',0,2),
(159623,370149,7,100,'Inflicts 4691 - 7818 disease damage on target',1,3),
(159624,370149,7,100,'This effect can only trigger once every 1.5 second.',1,4),
(159625,370149,9,100,'On any combat or spell hit this spell will cast Fierce Combat on target of attack.  ',0,2),
(159626,370149,9,100,'Inflicts 4873 - 8122 disease damage on target',1,3),
(159627,370149,9,100,'This effect can only trigger once every 1.5 second.',1,4),
(159628,370149,10,100,'Heals target for 1 instantly and every 0.3 seconds',0,0),
(159629,370149,10,100,'Stifles caster',0,1),
(159630,370149,10,100,'On any combat or spell hit this spell will cast Fierce Combat on target of attack.  ',0,2),
(159631,370149,10,100,'Inflicts 5117 - 8528 disease damage on target',1,3),
(159632,370149,10,100,'This effect can only trigger once every 1.5 second.',1,4),
(159633,370149,11,100,'Heals target for 2 instantly and every 0.3 seconds',0,0),
(159634,370149,11,100,'Stifles caster',0,1),
(159635,370149,11,100,'On any combat or spell hit this spell will cast Fierce Combat on target of attack.  ',0,2),
(159636,370149,11,100,'Inflicts 6153 - 10254 disease damage on target',1,3),
(159637,370149,11,100,'This effect can only trigger once every 1.5 second.',1,4),
(159638,370150,10,100,'When damaged this spell has a 13% chance to cast Stoneskin on target.  Lasts for 20.0 seconds.  ',0,0),
(159639,370150,10,100,'Will absorb physical damage.  This spell will absorb a total of 1 attack.',1,1),
(159640,370151,1,100,'Increases Fervor of Combat Arts by 0.45.',0,1),
(159641,370151,2,100,'Increases Fervor of Combat Arts by 0.47.',0,1),
(159642,370151,3,100,'Increases Fervor of Combat Arts by 0.5.',0,1),
(159643,370151,4,100,'Increases Fervor of Combat Arts by 0.55.',0,1),
(159644,370151,5,100,'Increases Fervor of Combat Arts by 0.6.',0,1),
(159645,370151,7,100,'Increases Fervor of Combat Arts by 0.77.',0,1),
(159646,370151,9,100,'Increases Fervor of Combat Arts by 0.8.',0,1),
(159647,370151,10,100,'Increases Fervor of Combat Arts by 0.84.',0,1),
(159648,370152,1,100,'Increases Fervor of Combat Arts by 0.72.',0,1),
(159649,370152,2,100,'Increases Fervor of Combat Arts by 0.76.',0,1),
(159650,370152,3,100,'Increases Fervor of Combat Arts by 0.8.',0,1),
(159651,370152,4,100,'Increases Fervor of Combat Arts by 0.88.',0,1),
(159652,370152,5,100,'Increases Fervor of Combat Arts by 0.96.',0,1),
(159653,370152,7,100,'Increases Fervor of Combat Arts by 1.23.',0,1),
(159654,370152,9,100,'Increases Fervor of Combat Arts by 1.28.',0,1),
(159655,370152,10,100,'Increases Multi Attack of group members (AE) by 20.9',0,0),
(159656,370152,10,100,'Increases Fervor of Combat Arts by 1.34.',0,1),
(159657,370153,1,100,'Increases Fervor of Combat Arts by 1.08.',0,1),
(159658,370153,2,100,'Increases Fervor of Combat Arts by 1.14.',0,1),
(159659,370153,3,100,'Increases Fervor of Combat Arts by 1.2.',0,1),
(159660,370153,4,100,'Increases Fervor of Combat Arts by 1.32.',0,1),
(159661,370153,5,100,'Increases Fervor of Combat Arts by 1.44.',0,1),
(159662,370153,7,100,'Increases Fervor of Combat Arts by 1.85.',0,1),
(159663,370153,9,100,'Increases Fervor of Combat Arts by 1.92.',0,1),
(159664,370153,10,100,'Increases Fervor of Combat Arts by 2.02.',0,1),
(159665,370154,1,100,'Increases Fervor of Combat Arts by 1.62.',0,1),
(159666,370154,2,100,'Increases Fervor of Combat Arts by 1.71.',0,1),
(159667,370154,3,100,'Increases Fervor of Combat Arts by 1.8.',0,1),
(159668,370154,4,100,'Increases Fervor of Combat Arts by 1.98.',0,1),
(159669,370154,5,100,'Increases Fervor of Combat Arts by 2.16.',0,1),
(159670,370154,7,100,'Increases Fervor of Combat Arts by 2.77.',0,1),
(159671,370154,9,100,'Increases Fervor of Combat Arts by 2.88.',0,1),
(159672,370154,10,100,'Increases Multi Attack of group members (AE) by 29.0',0,0),
(159673,370154,10,100,'Increases Fervor of Combat Arts by 3.02.',0,1),
(159674,370155,1,100,'Increases Fervor of Combat Arts by 3.6.',0,1),
(159675,370155,2,100,'Increases Fervor of Combat Arts by 3.8.',0,1),
(159676,370155,3,100,'Increases Fervor of Combat Arts by 4.',0,1),
(159677,370155,4,100,'Increases Fervor of Combat Arts by 4.4.',0,1),
(159678,370155,5,100,'Increases Fervor of Combat Arts by 4.8.',0,1),
(159679,370155,7,100,'Increases Fervor of Combat Arts by 6.16.',0,1),
(159680,370155,9,100,'Increases Fervor of Combat Arts by 6.4.',0,1),
(159681,370155,10,100,'Increases Multi Attack of group members (AE) by 33.3',0,0),
(159682,370155,10,100,'Increases Fervor of Combat Arts by 6.72.',0,1),
(159683,370156,1,100,'Increases Fervor of Combat Arts by 4.95.',0,1),
(159684,370156,2,100,'Increases Fervor of Combat Arts by 5.22.',0,1),
(159685,370156,3,100,'Increases Fervor of Combat Arts by 5.5.',0,1),
(159686,370156,4,100,'Increases Fervor of Combat Arts by 6.05.',0,1),
(159687,370156,5,100,'Increases Fervor of Combat Arts by 6.6.',0,1),
(159688,370156,7,100,'Increases Fervor of Combat Arts by 8.47.',0,1),
(159689,370156,9,100,'Increases Fervor of Combat Arts by 8.8.',0,1),
(159690,370156,10,100,'Increases Multi Attack of group members (AE) by 37.0',0,0),
(159691,370156,10,100,'Increases Fervor of Combat Arts by 9.24.',0,1),
(159692,370157,1,100,'Increases Fervor of Combat Arts by 6.84.',0,1),
(159693,370157,4,100,'Increases Fervor of Combat Arts by 8.36.',0,1),
(159694,370157,5,100,'Increases Fervor of Combat Arts by 9.12.',0,1),
(159695,370157,7,100,'Increases Fervor of Combat Arts by 11.7.',0,1),
(159696,370157,9,100,'Increases Fervor of Combat Arts by 12.16.',0,1),
(159697,370157,10,100,'Increases Multi Attack of group members (AE) by 42.3',0,0),
(159698,370157,10,100,'Increases Fervor of Combat Arts by 12.77.',0,1),
(159699,370158,1,100,'Increases Fervor of Combat Arts by 9.54.',0,1),
(159700,370158,4,100,'Increases Fervor of Combat Arts by 11.66.',0,1),
(159701,370158,5,100,'Increases Fervor of Combat Arts by 12.72.',0,1),
(159702,370158,7,100,'Increases Fervor of Combat Arts by 16.32.',0,1),
(159703,370158,9,100,'Increases Fervor of Combat Arts by 16.96.',0,1),
(159704,370158,10,100,'Increases Multi Attack of group members (AE) by 45.4',0,0),
(159705,370158,10,100,'Increases Fervor of Combat Arts by 17.81.',0,1),
(159706,370158,11,100,'Increases Multi Attack of group members (AE) by 54.5',0,0),
(159707,370158,11,100,'Increases Fervor of Combat Arts by 21.41.',0,1),
(159708,370159,10,100,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 2.7',0,0),
(159709,370160,10,100,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 8.6',0,0),
(159710,370162,10,100,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 22.7',0,0),
(159711,370163,10,100,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 29.7',0,0),
(159712,370164,10,100,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 36.6',0,0),
(159713,370165,10,100,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 43.7',0,0),
(159714,370166,10,100,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 52.1',0,0),
(159715,370166,11,100,'Increases Slashing, Crushing, Piercing and Ranged of group members (AE) by 62.6',0,0),
(159716,370167,10,100,'Interrupts target',0,0),
(159717,370167,10,100,'Inflicts 8 - 13 disease damage on target',0,1),
(159718,370167,10,100,'Decreases Defense of target by 3.7',0,2),
(159719,370168,10,100,'Interrupts target',0,0),
(159720,370168,10,100,'Inflicts 29 - 48 disease damage on target',0,1),
(159721,370168,10,100,'Decreases Defense of target by 11.1',0,2),
(159722,370169,10,100,'Interrupts target',0,0),
(159723,370169,10,100,'Inflicts 50 - 83 disease damage on target',0,1),
(159724,370169,10,100,'Decreases Defense of target by 18.1',0,2),
(159725,370170,10,100,'Interrupts target',0,0),
(159726,370170,10,100,'Inflicts 75 - 125 disease damage on target',0,1),
(159727,370170,10,100,'Decreases Defense of target by 25.2',0,2),
(159728,370171,10,100,'Interrupts target',0,0),
(159729,370171,10,100,'Inflicts 101 - 169 disease damage on target',0,1),
(159730,370171,10,100,'Decreases Defense of target by 32.3',0,2),
(159731,370173,10,100,'Interrupts target',0,0),
(159732,370173,10,100,'Inflicts 151 - 251 disease damage on target',0,1),
(159733,370173,10,100,'Decreases Defense of target by 45.4',0,2),
(159734,370174,10,100,'Interrupts target',0,0),
(159735,370174,10,100,'Inflicts 170 - 283 disease damage on target',0,1),
(159736,370174,10,100,'Decreases Defense of target by 52.1',0,2),
(159737,370174,11,100,'Interrupts target',0,0),
(159738,370174,11,100,'Inflicts 204 - 340 disease damage on target',0,1),
(159739,370174,11,100,'Decreases Defense of target by 62.6',0,2),
(159740,370175,10,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(159741,370175,10,100,'Slows target by 52.8%',1,1),
(159742,370175,10,100,'5% chance to dispel when target receives hostile action',1,2),
(159743,370175,10,100,'5% chance to dispel when target takes damage',1,3),
(159744,370175,10,100,'Decreases Mitigation of target vs noxious damage by 367',0,4),
(159745,370176,10,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(159746,370176,10,100,'Slows target by 58.1%',1,1),
(159747,370176,10,100,'5% chance to dispel when target receives hostile action',1,2),
(159748,370176,10,100,'5% chance to dispel when target takes damage',1,3),
(159749,370176,10,100,'Decreases Mitigation of target vs noxious damage by 773',0,4),
(159750,370177,10,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(159751,370177,10,100,'Slows target by 62.8%',1,1),
(159752,370177,10,100,'5% chance to dispel when target receives hostile action',1,2),
(159753,370177,10,100,'5% chance to dispel when target takes damage',1,3),
(159754,370177,10,100,'Decreases Mitigation of target vs noxious damage by 1243',0,4),
(159755,370178,10,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(159756,370178,10,100,'Slows target by 67.3%',1,1),
(159757,370178,10,100,'5% chance to dispel when target receives hostile action',1,2),
(159758,370178,10,100,'5% chance to dispel when target takes damage',1,3),
(159759,370178,10,100,'Decreases Mitigation of target vs noxious damage by 1714',0,4),
(159760,370179,10,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(159761,370179,10,100,'Slows target by 68.2%',1,1),
(159762,370179,10,100,'5% chance to dispel when target receives hostile action',1,2),
(159763,370179,10,100,'5% chance to dispel when target takes damage',1,3),
(159764,370179,10,100,'Decreases Mitigation of target vs noxious damage by 2184',0,4),
(159765,370180,10,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(159766,370180,10,100,'Slows target by 68.9%',1,1),
(159767,370180,10,100,'5% chance to dispel when target receives hostile action',1,2),
(159768,370180,10,100,'5% chance to dispel when target takes damage',1,3),
(159769,370180,10,100,'Decreases Mitigation of target vs noxious damage by 2772',0,4),
(159770,370181,10,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(159771,370181,10,100,'Slows target by 69.6%',1,1),
(159772,370181,10,100,'5% chance to dispel when target receives hostile action',1,2),
(159773,370181,10,100,'5% chance to dispel when target takes damage',1,3),
(159774,370181,10,100,'Decreases Mitigation of target vs noxious damage by 3468',0,4),
(159775,370182,10,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(159776,370182,10,100,'Slows target by 70.3%',1,1),
(159777,370182,10,100,'5% chance to dispel when target receives hostile action',1,2),
(159778,370182,10,100,'5% chance to dispel when target takes damage',1,3),
(159779,370182,10,100,'Decreases Mitigation of target vs noxious damage by 3871',0,4),
(159780,370182,11,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(159781,370182,11,100,'Slows target by 84.5%',1,1),
(159782,370182,11,100,'5% chance to dispel when target receives hostile action',1,2),
(159783,370182,11,100,'5% chance to dispel when target takes damage',1,3),
(159784,370182,11,100,'Decreases Mitigation of target vs noxious damage by 4654',0,4),
(159785,370183,10,100,'Applies Banshee''s Scream on termination.',0,0),
(159786,370183,10,100,'Inflicts 360 - 600 disease damage on target',1,1),
(159787,370183,10,100,'Inflicts 120 disease damage on target encounter instantly and every 4 seconds',0,2),
(159788,370184,10,100,'Applies Banshee''s Scream on termination.',0,0),
(159789,370184,10,100,'Inflicts 541 - 902 disease damage on target',1,1),
(159790,370184,10,100,'Inflicts 180 disease damage on target encounter instantly and every 4 seconds',0,2),
(159791,370185,10,100,'Applies Banshee''s Scream on termination.',0,0),
(159792,370185,10,100,'Inflicts 657 - 1094 disease damage on target',1,1),
(159793,370185,10,100,'Inflicts 219 disease damage on target encounter instantly and every 4 seconds',0,2),
(159794,370186,10,100,'Applies Banshee''s Scream on termination.',0,0),
(159795,370186,10,100,'Inflicts 790 - 1316 disease damage on target',1,1),
(159796,370186,10,100,'Inflicts 263 disease damage on target encounter instantly and every 4 seconds',0,2),
(159797,370187,10,100,'Applies Banshee''s Scream on termination.',0,0),
(159798,370187,10,100,'Inflicts 838 - 1397 disease damage on target',1,1),
(159799,370187,10,100,'Inflicts 279 disease damage on target encounter instantly and every 4 seconds',0,2),
(159800,370187,11,100,'Applies Banshee''s Scream on termination.',0,0),
(159801,370187,11,100,'Inflicts 1008 - 1679 disease damage on target',1,1),
(159802,370187,11,100,'Inflicts 336 disease damage on target encounter instantly and every 4 seconds',0,2),
(159803,380000,10,100,'Inflicts 199 - 332 ranged damage on target',0,0),
(159804,380000,10,100,'If weapon equipped in Ranged',0,1),
(159805,380000,10,100,'Must be flanking or behind',0,2),
(159808,380001,10,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,2),
(159809,380001,10,100,'Inflicts 65 - 109 melee damage on target',1,3),
(159810,380002,10,100,'Inflicts 7 - 13 melee damage on target',0,0),
(159811,380002,10,100,'Inflicts 16 - 26 piercing damage on target instantly and every 4 seconds',0,1),
(159812,380002,10,100,'If facing target',0,2),
(159813,380003,10,100,'Increases Haste of caster by 44.2',0,0),
(159814,380004,10,100,'Increases AGI of caster by 16.3',0,0),
(159816,380005,10,100,'Inflicts 37 - 61 piercing damage on target',0,0),
(159817,380005,10,100,'Inflicts 10 - 17 piercing damage on target instantly and every 4 seconds',0,1),
(159818,380005,10,100,'If facing target',0,2),
(159819,380006,10,100,'Inflicts 45 - 75 ranged damage on target',0,0),
(159820,380006,10,100,'Inflicts 45 - 75 ranged damage on target',0,1),
(159821,380006,10,100,'If weapon equipped in Ranged',0,2),
(159822,380007,10,100,'Inflicts 51 - 86 melee damage on target',0,0),
(159824,380008,10,100,'Inflicts 215 - 358 melee damage on target encounter',0,0),
(159825,380008,10,100,'You must be in stealth to use this!',0,1),
(159826,380009,10,100,'Decreases Hate Gain of caster by 24.2%',0,0),
(159827,380010,10,100,'Inflicts 154 - 256 melee damage on target',0,0),
(159828,380010,10,100,'You must be sneaking to use this ability.',0,1),
(159829,380010,10,100,'Must be flanking or behind',0,2),
(159830,380011,10,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(159831,380011,10,100,'Grants stealth to caster',1,1),
(159832,380011,10,100,'Suspends caster''s movement speed enhancements',1,2),
(159833,380011,10,100,'Inflicts 97 - 163 melee damage on target',0,3),
(159834,380011,10,100,'Must be flanking or behind',0,4),
(159835,380012,10,100,'Decreases Threat to target by 726 - 1,210 ',0,0),
(159836,380012,10,100,'Grants stealth to caster',0,1),
(159837,380012,10,100,'Suspends caster''s movement speed enhancements',0,2),
(159838,380013,10,100,'Decreases Threat to target by 1,538 - 2,563 ',0,0),
(159839,380013,10,100,'Grants stealth to caster',0,1),
(159840,380013,10,100,'Suspends caster''s movement speed enhancements',0,2),
(159841,380014,10,100,'Decreases Threat to target by 2,500 - 4,168 ',0,0),
(159842,380014,10,100,'Grants stealth to caster',0,1),
(159843,380014,10,100,'Suspends caster''s movement speed enhancements',0,2),
(159844,380015,10,100,'Decreases Threat to target by 3,706 - 6,176 ',0,0),
(159845,380015,10,100,'Grants stealth to caster',0,1),
(159846,380015,10,100,'Suspends caster''s movement speed enhancements',0,2),
(159847,380016,10,100,'Decreases Threat to target by 4,968 - 8,280 ',0,0),
(159848,380016,10,100,'Grants stealth to caster',0,1),
(159849,380016,10,100,'Suspends caster''s movement speed enhancements',0,2),
(159850,380017,10,100,'Decreases Threat to target by 6,231 - 10,385 ',0,0),
(159851,380017,10,100,'Grants stealth to caster',0,1),
(159852,380017,10,100,'Suspends caster''s movement speed enhancements',0,2),
(159853,380018,10,100,'Decreases Threat to target by 7,493 - 12,488 ',0,0),
(159854,380018,10,100,'Grants stealth to caster',0,1),
(159855,380018,10,100,'Suspends caster''s movement speed enhancements',0,2),
(159858,380020,1,100,'Decreases Attack Speed of caster by 13.6',0,2),
(159859,380020,9,100,'Increases Defense of caster by 17.3',0,1),
(159860,390000,1,100,'Inflicts 47 ranged damage on target',1,4),
(159861,390000,2,100,'Inflicts 49 ranged damage on target',1,4),
(159862,390000,3,100,'Inflicts 52 ranged damage on target',1,4),
(159863,390000,4,100,'Inflicts 57 ranged damage on target',1,4),
(159864,390000,5,100,'Inflicts 62 ranged damage on target',1,4),
(159865,390000,7,100,'Inflicts 80 ranged damage on target',1,4),
(159866,390000,9,100,'Inflicts 83 ranged damage on target',1,4),
(159867,390000,10,100,'Increases Fervor of caster by 5.0',0,0),
(159868,390000,10,100,'Decreases Defense of caster by 5.1',0,1),
(159869,390000,10,100,'Increases Crushing, Piercing, Ranged and Slashing of caster by 12.9',0,2),
(159870,390000,10,100,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',0,3),
(159871,390000,10,100,'Inflicts 87 ranged damage on target',1,4),
(159872,390000,11,100,'Increases Fervor of caster by 5.0',0,0),
(159873,390000,11,100,'Decreases Defense of caster by 5.1',0,1),
(159874,390000,11,100,'Increases Crushing, Piercing, Ranged and Slashing of caster by 15.5',0,2),
(159875,390000,11,100,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',0,3),
(159876,390000,11,100,'Inflicts 105 ranged damage on target',1,4),
(159877,390001,1,100,'Inflicts 90 ranged damage on target',1,4),
(159878,390001,2,100,'Inflicts 95 ranged damage on target',1,4),
(159879,390001,3,100,'Inflicts 100 ranged damage on target',1,4),
(159880,390001,4,100,'Inflicts 111 ranged damage on target',1,4),
(159881,390001,5,100,'Inflicts 121 ranged damage on target',1,4),
(159882,390001,7,100,'Inflicts 155 ranged damage on target',1,4),
(159883,390001,9,100,'Inflicts 161 ranged damage on target',1,4),
(159884,390001,10,100,'Increases Fervor of caster by 5.0',0,0),
(159885,390001,10,100,'Decreases Defense of caster by 9.3',0,1),
(159886,390001,10,100,'Increases Crushing, Piercing, Ranged and Slashing of caster by 23.4',0,2),
(159887,390001,10,100,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',0,3),
(159888,390001,10,100,'Inflicts 169 ranged damage on target',1,4),
(159889,390001,11,100,'Increases Fervor of caster by 5.0',0,0),
(159890,390001,11,100,'Decreases Defense of caster by 9.3',0,1),
(159891,390001,11,100,'Increases Crushing, Piercing, Ranged and Slashing of caster by 28.2',0,2),
(159892,390001,11,100,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',0,3),
(159893,390001,11,100,'Inflicts 203 ranged damage on target',1,4),
(159894,390002,1,100,'Inflicts 140 ranged damage on target',1,4),
(159895,390002,2,100,'Inflicts 148 ranged damage on target',1,4),
(159896,390002,3,100,'Inflicts 155 ranged damage on target',1,4),
(159897,390002,4,100,'Inflicts 171 ranged damage on target',1,4),
(159898,390002,5,100,'Inflicts 187 ranged damage on target',1,4),
(159899,390002,7,100,'Inflicts 240 ranged damage on target',1,4),
(159900,390002,9,100,'Inflicts 249 ranged damage on target',1,4),
(159901,390002,10,100,'Increases Fervor of caster by 5.0',0,0),
(159902,390002,10,100,'Decreases Defense of caster by 13.5',0,1),
(159903,390002,10,100,'Increases Crushing, Piercing, Ranged and Slashing of caster by 34.0',0,2),
(159904,390002,10,100,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',0,3),
(159905,390002,10,100,'Inflicts 261 ranged damage on target',1,4),
(159906,390002,11,100,'Increases Fervor of caster by 5.0',0,0),
(159907,390002,11,100,'Decreases Defense of caster by 13.5',0,1),
(159908,390002,11,100,'Increases Crushing, Piercing, Ranged and Slashing of caster by 40.9',0,2),
(159909,390002,11,100,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',0,3),
(159910,390002,11,100,'Inflicts 314 ranged damage on target',1,4),
(159911,390003,1,100,'Inflicts 197 ranged damage on target',1,4),
(159912,390003,2,100,'Inflicts 208 ranged damage on target',1,4),
(159913,390003,3,100,'Inflicts 219 ranged damage on target',1,4),
(159914,390003,4,100,'Inflicts 240 ranged damage on target',1,4),
(159915,390003,5,100,'Inflicts 262 ranged damage on target',1,4),
(159916,390003,7,100,'Inflicts 337 ranged damage on target',1,4),
(159917,390003,9,100,'Inflicts 350 ranged damage on target',1,4),
(159918,390003,10,100,'Increases Fervor of caster by 5.0',0,0),
(159919,390003,10,100,'Decreases Defense of caster by 17.7',0,1),
(159920,390003,10,100,'Increases Crushing, Piercing, Ranged and Slashing of caster by 44.6',0,2),
(159921,390003,10,100,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',0,3),
(159922,390003,10,100,'Inflicts 367 ranged damage on target',1,4),
(159923,390003,11,100,'Increases Fervor of caster by 5.0',0,0),
(159924,390003,11,100,'Decreases Defense of caster by 17.7',0,1),
(159925,390003,11,100,'Increases Crushing, Piercing, Ranged and Slashing of caster by 53.6',0,2),
(159926,390003,11,100,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',0,3),
(159927,390003,11,100,'Inflicts 442 ranged damage on target',1,4),
(159928,390004,1,100,'Inflicts 251 ranged damage on target',1,4),
(159929,390004,2,100,'Inflicts 265 ranged damage on target',1,4),
(159930,390004,3,100,'Inflicts 279 ranged damage on target',1,4),
(159931,390004,4,100,'Inflicts 307 ranged damage on target',1,4),
(159932,390004,5,100,'Inflicts 335 ranged damage on target',1,4),
(159933,390004,7,100,'Inflicts 431 ranged damage on target',1,4),
(159934,390004,9,100,'Inflicts 447 ranged damage on target',1,4),
(159935,390004,10,100,'Increases Fervor of caster by 5.0',0,0),
(159936,390004,10,100,'Decreases Defense of caster by 21.8',0,1),
(159937,390004,10,100,'Increases Crushing, Piercing, Ranged and Slashing of caster by 54.9',0,2),
(159938,390004,10,100,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',0,3),
(159939,390004,10,100,'Inflicts 470 ranged damage on target',1,4),
(159940,390004,11,100,'Increases Fervor of caster by 5.0',0,0),
(159941,390004,11,100,'Decreases Defense of caster by 21.8',0,1),
(159942,390004,11,100,'Increases Crushing, Piercing, Ranged and Slashing of caster by 66.1',0,2),
(159943,390004,11,100,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',0,3),
(159944,390004,11,100,'Inflicts 565 ranged damage on target',1,4),
(159945,390005,1,100,'Inflicts 305 ranged damage on target',1,4),
(159946,390005,4,100,'Inflicts 372 ranged damage on target',1,4),
(159947,390005,5,100,'Inflicts 406 ranged damage on target',1,4),
(159948,390005,7,100,'Inflicts 521 ranged damage on target',1,4),
(159949,390005,9,100,'Inflicts 542 ranged damage on target',1,4),
(159950,390005,10,100,'Increases Fervor of caster by 5.0',0,0),
(159951,390005,10,100,'Decreases Defense of caster by 25.8',0,1),
(159952,390005,10,100,'Increases Crushing, Piercing, Ranged and Slashing of caster by 65.5',0,2),
(159953,390005,10,100,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',0,3),
(159954,390005,10,100,'Inflicts 569 ranged damage on target',1,4),
(159955,390005,11,100,'Increases Fervor of caster by 5.0',0,0),
(159956,390005,11,100,'Decreases Defense of caster by 25.8',0,1),
(159957,390005,11,100,'Increases Crushing, Piercing, Ranged and Slashing of caster by 78.8',0,2),
(159958,390005,11,100,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',0,3),
(159959,390005,11,100,'Inflicts 684 ranged damage on target',1,4),
(159960,390006,1,100,'Inflicts 463 ranged damage on target',1,4),
(159961,390006,4,100,'Inflicts 567 ranged damage on target',1,4),
(159962,390006,5,100,'Inflicts 618 ranged damage on target',1,4),
(159963,390006,7,100,'Inflicts 793 ranged damage on target',1,4),
(159964,390006,9,100,'Inflicts 824 ranged damage on target',1,4),
(159965,390006,10,100,'Increases Fervor of caster by 5.0',0,0),
(159966,390006,10,100,'Decreases Defense of caster by 29.8',0,1),
(159967,390006,10,100,'Increases Crushing, Piercing, Ranged and Slashing of caster by 78.1',0,2),
(159968,390006,10,100,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',0,3),
(159969,390006,10,100,'Inflicts 866 ranged damage on target',1,4),
(159970,390006,11,100,'Increases Fervor of caster by 5.0',0,0),
(159971,390006,11,100,'Decreases Defense of caster by 29.8',0,1),
(159972,390006,11,100,'Increases Crushing, Piercing, Ranged and Slashing of caster by 93.9',0,2),
(159973,390006,11,100,'On a ranged hit this spell has a 30% chance to cast Quick Shot on target of attack.  ',0,3),
(159974,390006,11,100,'Inflicts 1041 ranged damage on target',1,4),
(159975,390007,10,100,'Inflicts 163 - 272 melee damage on target',0,0),
(159976,390007,10,100,'Returns the last arrow used to the ranger.',0,1),
(159977,390008,10,100,'Inflicts 254 - 423 melee damage on target',0,0),
(159978,390008,10,100,'Returns the last arrow used to the ranger.',0,1),
(159979,390009,10,100,'Inflicts 396 - 660 melee damage on target',0,0),
(159980,390009,10,100,'Returns the last arrow used to the ranger.',0,1),
(159981,390011,10,100,'Inflicts 626 - 1043 melee damage on target',0,0),
(159982,390011,10,100,'Returns the last arrow used to the ranger.',0,1),
(159983,390012,10,100,'Inflicts 952 - 1587 melee damage on target',0,0),
(159984,390012,10,100,'Returns the last arrow used to the ranger.',0,1),
(159985,390012,11,100,'Inflicts 1145 - 1909 melee damage on target',0,0),
(159986,390012,11,100,'Returns the last arrow used to the ranger.',0,1),
(159987,390013,11,100,'Inflicts 14 - 23 melee damage on target',0,0),
(159988,390013,11,100,'Inflicts 38 piercing damage on target instantly and every 2.6 seconds',0,1),
(159989,390014,10,100,'Inflicts 26 - 43 melee damage on target',0,0),
(159990,390014,10,100,'Inflicts 70 piercing damage on target instantly and every 2.6 seconds',0,1),
(159991,390014,11,100,'Inflicts 31 - 52 melee damage on target',0,0),
(159992,390014,11,100,'Inflicts 84 piercing damage on target instantly and every 2.6 seconds',0,1),
(159993,390015,10,100,'Inflicts 42 - 70 melee damage on target',0,0),
(159994,390015,10,100,'Inflicts 112 piercing damage on target instantly and every 2.6 seconds',0,1),
(159995,390015,11,100,'Inflicts 50 - 84 melee damage on target',0,0),
(159996,390015,11,100,'Inflicts 135 piercing damage on target instantly and every 2.6 seconds',0,1),
(159997,390016,11,100,'Inflicts 74 - 124 melee damage on target',0,0),
(159998,390016,11,100,'Inflicts 198 piercing damage on target instantly and every 2.6 seconds',0,1),
(159999,390017,10,100,'Inflicts 81 - 136 melee damage on target',0,0),
(160000,390017,10,100,'Inflicts 218 piercing damage on target instantly and every 2.6 seconds',0,1),
(160001,390017,11,100,'Inflicts 98 - 163 melee damage on target',0,0),
(160002,390017,11,100,'Inflicts 262 piercing damage on target instantly and every 2.6 seconds',0,1),
(160003,390018,10,100,'Inflicts 98 - 164 melee damage on target',0,0),
(160004,390018,10,100,'Inflicts 264 piercing damage on target instantly and every 2.6 seconds',0,1),
(160005,390018,11,100,'Inflicts 119 - 198 melee damage on target',0,0),
(160006,390018,11,100,'Inflicts 317 piercing damage on target instantly and every 2.6 seconds',0,1),
(160007,390019,10,100,'Inflicts 119 - 198 melee damage on target',0,0),
(160008,390019,10,100,'Inflicts 318 piercing damage on target instantly and every 2.6 seconds',0,1),
(160009,390019,11,100,'Inflicts 143 - 238 melee damage on target',0,0),
(160010,390019,11,100,'Inflicts 382 piercing damage on target instantly and every 2.6 seconds',0,1),
(160011,390020,10,100,'Inflicts 129 - 215 melee damage on target',0,0),
(160012,390020,10,100,'Inflicts 345 piercing damage on target instantly and every 2.6 seconds',0,1),
(160013,390020,11,100,'Inflicts 155 - 259 melee damage on target',0,0),
(160014,390020,11,100,'Inflicts 415 piercing damage on target instantly and every 2.6 seconds',0,1),
(160015,390021,10,100,'Increases damage of your next stealth attack by 33.6%',0,0),
(160016,390021,10,100,'Grants stealth to caster',0,1),
(160017,390021,10,100,'Suspends caster''s movement speed enhancements',0,2),
(160018,390021,10,100,'You must execute certain combat arts before you can use this ability.',0,3),
(160019,390024,10,100,'Inflicts 517 - 862 ranged damage on target',0,0),
(160020,390024,10,100,'Decreases Deflection and Parry of target by 48.4',0,1),
(160021,390024,10,100,'Requires bow or aim',0,2),
(160022,390028,11,100,'Inflicts 1473 - 2455 ranged damage on target',0,0),
(160023,390028,11,100,'Decreases Deflection and Parry of target by 123.6',0,1),
(160024,390028,11,100,'Requires bow or aim',0,2),
(160025,390029,9,100,'Improves base auto-attack multiplier of caster by 0.20. Does not apply to spell weapons.',0,0),
(160026,390029,9,100,'Improves the combat art damage of the ranger by 10%',0,1),
(160027,390029,9,100,'On a ranged hit this spell may cast Talon Strike on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.4 times per minute. ',0,2),
(160028,390029,9,100,'Inflicts 454 - 680 slashing damage on target',1,3),
(160029,390029,9,100,'Gives caster a 60.0% chance to not use ammunition on an attack',1,4),
(160030,390029,9,100,'Adds normalized combat art damage based on 20% of your current agility.',1,5),
(160031,390029,9,100,'Cannot be modified except by direct means',1,6),
(160032,390029,9,100,'Cannot be modified except by direct means',0,7),
(160033,390029,10,100,'Improves base auto-attack multiplier of caster by 0.20. Does not apply to spell weapons.',0,0),
(160034,390029,10,100,'Improves the combat art damage of the ranger by 10%',0,1),
(160035,390029,10,100,'On a ranged hit this spell may cast Talon Strike on target of attack.  Lasts for 10.0 seconds.  Triggers about 2.4 times per minute. ',0,2),
(160036,390029,10,100,'Inflicts 454 - 680 slashing damage on target',1,3),
(160037,390029,10,100,'Gives caster a 60.0% chance to not use ammunition on an attack',1,4),
(160038,390029,10,100,'Adds normalized combat art damage based on 20% of your current agility.',1,5),
(160039,390029,10,100,'Cannot be modified except by direct means',1,6),
(160040,390029,10,100,'Cannot be modified except by direct means',0,7),
(160041,390030,10,100,'Inflicts 17 - 28 heat damage on target',0,0),
(160042,390030,10,100,'You must be sneaking to use this ability.',0,1),
(160043,390030,11,100,'Inflicts 20 - 34 heat damage on target',0,0),
(160044,390030,11,100,'You must be sneaking to use this ability.',0,1),
(160045,390031,10,100,'Inflicts 68 - 114 heat damage on target',0,0),
(160046,390031,10,100,'You must be sneaking to use this ability.',0,1),
(160047,390031,11,100,'Inflicts 82 - 137 heat damage on target',0,0),
(160048,390031,11,100,'You must be sneaking to use this ability.',0,1),
(160049,390032,11,100,'Inflicts 189 - 316 heat damage on target',0,0),
(160050,390032,11,100,'You must be sneaking to use this ability.',0,1),
(160051,390033,10,100,'Inflicts 280 - 468 heat damage on target',0,0),
(160052,390033,10,100,'You must be sneaking to use this ability.',0,1),
(160053,390033,11,100,'Inflicts 337 - 563 heat damage on target',0,0),
(160054,390033,11,100,'You must be sneaking to use this ability.',0,1),
(160055,390034,11,100,'Inflicts 1182 - 1970 heat damage on target',0,0),
(160056,390034,11,100,'You must be sneaking to use this ability.',0,1),
(160057,390035,10,100,'Inflicts 423 - 706 heat damage on target',0,0),
(160058,390035,10,100,'You must be sneaking to use this ability.',0,1),
(160059,390035,11,100,'Inflicts 509 - 849 heat damage on target',0,0),
(160060,390035,11,100,'You must be sneaking to use this ability.',0,1),
(160061,390036,10,100,'Inflicts 577 - 962 heat damage on target',0,0),
(160062,390036,10,100,'You must be sneaking to use this ability.',0,1),
(160063,390036,11,100,'Inflicts 694 - 1157 heat damage on target',0,0),
(160064,390036,11,100,'You must be sneaking to use this ability.',0,1),
(160065,390037,10,100,'Inflicts 723 - 1206 heat damage on target',0,0),
(160066,390037,10,100,'You must be sneaking to use this ability.',0,1),
(160067,390037,11,100,'Inflicts 870 - 1450 heat damage on target',0,0),
(160068,390037,11,100,'You must be sneaking to use this ability.',0,1),
(160069,390038,11,100,'Inflicts 1050 - 1751 heat damage on target',0,0),
(160070,390038,11,100,'You must be sneaking to use this ability.',0,1),
(160071,390039,10,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(160072,390039,10,100,'Slows target by 52.8%',1,1),
(160073,390039,10,100,'5% chance to dispel when target receives hostile action',1,2),
(160074,390039,10,100,'5% chance to dispel when target takes damage',1,3),
(160075,390039,10,100,'Decreases Mitigation of target vs elemental damage by 367',0,4),
(160076,390040,10,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(160077,390040,10,100,'Slows target by 58.1%',1,1),
(160078,390040,10,100,'5% chance to dispel when target receives hostile action',1,2),
(160079,390040,10,100,'5% chance to dispel when target takes damage',1,3),
(160080,390040,10,100,'Decreases Mitigation of target vs elemental damage by 773',0,4),
(160081,390041,10,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(160082,390041,10,100,'Slows target by 62.8%',1,1),
(160083,390041,10,100,'5% chance to dispel when target receives hostile action',1,2),
(160084,390041,10,100,'5% chance to dispel when target takes damage',1,3),
(160085,390041,10,100,'Decreases Mitigation of target vs elemental damage by 1243',0,4),
(160086,390042,10,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(160087,390042,10,100,'Slows target by 67.3%',1,1),
(160088,390042,10,100,'5% chance to dispel when target receives hostile action',1,2),
(160089,390042,10,100,'5% chance to dispel when target takes damage',1,3),
(160090,390042,10,100,'Decreases Mitigation of target vs elemental damage by 1714',0,4),
(160091,390043,10,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(160092,390043,10,100,'Slows target by 68.2%',1,1),
(160093,390043,10,100,'5% chance to dispel when target receives hostile action',1,2),
(160094,390043,10,100,'5% chance to dispel when target takes damage',1,3),
(160095,390043,10,100,'Decreases Mitigation of target vs elemental damage by 2184',0,4),
(160096,390044,10,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(160097,390044,10,100,'Slows target by 68.9%',1,1),
(160098,390044,10,100,'5% chance to dispel when target receives hostile action',1,2),
(160099,390044,10,100,'5% chance to dispel when target takes damage',1,3),
(160100,390044,10,100,'Decreases Mitigation of target vs elemental damage by 2772',0,4),
(160101,390045,10,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(160102,390045,10,100,'Slows target by 69.6%',1,1),
(160103,390045,10,100,'5% chance to dispel when target receives hostile action',1,2),
(160104,390045,10,100,'5% chance to dispel when target takes damage',1,3),
(160105,390045,10,100,'Decreases Mitigation of target vs elemental damage by 3468',0,4),
(160106,390046,10,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(160107,390046,10,100,'Slows target by 70.3%',1,1),
(160108,390046,10,100,'5% chance to dispel when target receives hostile action',1,2),
(160109,390046,10,100,'5% chance to dispel when target takes damage',1,3),
(160110,390046,10,100,'Decreases Mitigation of target vs elemental damage by 3871',0,4),
(160111,390046,11,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(160112,390046,11,100,'Slows target by 84.5%',1,1),
(160113,390046,11,100,'5% chance to dispel when target receives hostile action',1,2),
(160114,390046,11,100,'5% chance to dispel when target takes damage',1,3),
(160115,390046,11,100,'Decreases Mitigation of target vs elemental damage by 4654',0,4),
(160116,390047,10,100,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',0,0),
(160117,390047,10,100,'Group members (AE) will have their chance to hit with a weapon increased by 25.2%',1,1),
(160118,390047,10,100,'Increases Crushing of group members (AE) by 44.4',1,2),
(160119,390047,10,100,'Increases Piercing of group members (AE) by 44.4',1,3),
(160120,390047,10,100,'If profession other than Ranger',2,4),
(160121,390047,10,100,'Increases Slashing of group members (AE) by 44.4',1,5),
(160122,390047,10,100,'If profession other than Ranger',2,6),
(160123,390047,10,100,'Caster will have their chance to hit with a weapon increased by 8.4%',0,7),
(160124,390047,10,100,'Increases Haste of caster by 55.4',0,8),
(160125,390047,10,100,'Increases Multi Attack of caster by 63.7',0,9),
(160126,390047,10,100,'Decreases Slashing and Piercing of caster by 66.0',0,10),
(160127,390047,10,100,'Increases Ranged of caster by 44.4',0,11),
(160128,390048,10,100,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',0,0),
(160129,390048,10,100,'Group members (AE) will have their chance to hit with a weapon increased by 25.2%',1,1),
(160130,390048,10,100,'Increases Crushing of group members (AE) by 72.6',1,2),
(160131,390048,10,100,'Increases Piercing of group members (AE) by 72.6',1,3),
(160132,390048,10,100,'If profession other than Ranger',2,4),
(160133,390048,10,100,'Increases Slashing of group members (AE) by 72.6',1,5),
(160134,390048,10,100,'If profession other than Ranger',2,6),
(160135,390048,10,100,'Caster will have their chance to hit with a weapon increased by 8.4%',0,7),
(160136,390048,10,100,'Increases Haste of caster by 67.2',0,8),
(160137,390048,10,100,'Increases Multi Attack of caster by 77.3',0,9),
(160138,390048,10,100,'Decreases Slashing and Piercing of caster by 108.0',0,10),
(160139,390048,10,100,'Increases Ranged of caster by 72.6',0,11),
(160140,390049,10,100,'Applies Nature''s Focus.  Lasts for 10.0 seconds.',0,0),
(160141,390049,10,100,'Group members (AE) will have their chance to hit with a weapon increased by 25.2%',1,1),
(160142,390049,10,100,'Increases Crushing of group members (AE) by 100.8',1,2),
(160143,390049,10,100,'Increases Piercing of group members (AE) by 100.8',1,3),
(160144,390049,10,100,'If profession other than Ranger',2,4),
(160145,390049,10,100,'Increases Slashing of group members (AE) by 100.8',1,5),
(160146,390049,10,100,'If profession other than Ranger',2,6),
(160147,390049,10,100,'Caster will have their chance to hit with a weapon increased by 8.4%',0,7),
(160148,390049,10,100,'Increases Haste of caster by 78.9',0,8),
(160149,390049,10,100,'Increases Multi Attack of caster by 90.7',0,9),
(160150,390049,10,100,'Decreases Slashing and Piercing of caster by 150.0',0,10),
(160151,390049,10,100,'Increases Ranged of caster by 100.8',0,11),
(160152,390051,10,100,'Summons a pet attack hawk',0,0),
(160153,390052,10,100,'Summons a pet attack hawk',0,0),
(160154,390053,10,100,'Summons a pet attack hawk',0,0),
(160155,390054,10,100,'Summons a pet attack hawk',0,0),
(160156,390054,11,100,'Summons a pet attack hawk',0,0),
(160157,390055,10,100,'Inflicts 556 - 928 ranged damage on target',0,0),
(160158,390055,10,100,'I need to be stealthed!',0,1),
(160159,390055,10,100,'Requires bow or aim',0,2),
(160160,390058,10,100,'Inflicts 1744 - 2907 ranged damage on target',0,0),
(160161,390058,10,100,'I need to be stealthed!',0,1),
(160162,390058,10,100,'Requires bow or aim',0,2),
(160163,390059,10,100,'Inflicts 2111 - 3519 ranged damage on target',0,0),
(160164,390059,10,100,'I need to be stealthed!',0,1),
(160165,390059,10,100,'Requires bow or aim',0,2),
(160166,390060,10,100,'Inflicts 2543 - 4239 ranged damage on target',0,0),
(160167,390060,10,100,'I need to be stealthed!',0,1),
(160168,390060,10,100,'Requires bow or aim',0,2),
(160169,390061,10,100,'Inflicts 2761 - 4602 ranged damage on target',0,0),
(160170,390061,10,100,'I need to be stealthed!',0,1),
(160171,390061,10,100,'Requires bow or aim',0,2),
(160172,390061,11,100,'Inflicts 3320 - 5533 ranged damage on target',0,0),
(160173,390061,11,100,'I need to be stealthed!',0,1),
(160174,390061,11,100,'Requires bow or aim',0,2),
(160175,390063,10,100,'Increases AGI of caster by 35.1',0,0),
(160176,390063,10,100,'Increases Haste of caster by 29.8',0,1),
(160177,390063,10,100,'Increases in-combat movement speed of caster by 8.4%',0,2),
(160178,390063,10,100,'Adds 26.2% to base avoidance.',0,3),
(160179,390063,10,100,'Increases Mitigation of caster vs physical damage by 544',0,4),
(160180,390063,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 708',0,5),
(160181,390064,10,100,'Increases AGI of caster by 53.4',0,0),
(160182,390064,10,100,'Increases Haste of caster by 35.7',0,1),
(160183,390064,10,100,'Increases in-combat movement speed of caster by 8.4%',0,2),
(160184,390064,10,100,'Adds 26.2% to base avoidance.',0,3),
(160185,390064,10,100,'Increases Mitigation of caster vs physical damage by 827',0,4),
(160186,390064,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1075',0,5),
(160187,390065,10,100,'Increases AGI of caster by 72.2',0,0),
(160188,390065,10,100,'Increases Haste of caster by 41.5',0,1),
(160189,390065,10,100,'Increases in-combat movement speed of caster by 8.4%',0,2),
(160190,390065,10,100,'Adds 26.2% to base avoidance.',0,3),
(160191,390065,10,100,'Increases Mitigation of caster vs physical damage by 1109',0,4),
(160192,390065,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1441',0,5),
(160193,390066,10,100,'Increases AGI of caster by 91.1',0,0),
(160194,390066,10,100,'Increases Haste of caster by 47.2',0,1),
(160195,390066,10,100,'Increases in-combat movement speed of caster by 8.4%',0,2),
(160196,390066,10,100,'Adds 26.2% to base avoidance.',0,3),
(160197,390066,10,100,'Increases Mitigation of caster vs physical damage by 1391',0,4),
(160198,390066,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1808',0,5),
(160199,390067,10,100,'Increases AGI of caster by 109.0',0,0),
(160200,390067,10,100,'Increases Haste of caster by 51.3',0,1),
(160201,390067,10,100,'Increases in-combat movement speed of caster by 8.4%',0,2),
(160202,390067,10,100,'Adds 26.2% to base avoidance.',0,3),
(160203,390067,10,100,'Increases Mitigation of caster vs physical damage by 1593',0,4),
(160204,390067,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2070',0,5),
(160205,390068,10,100,'Increases AGI of caster by 127.5',0,0),
(160206,390068,10,100,'Increases Haste of caster by 58.5',0,1),
(160207,390068,10,100,'Increases in-combat movement speed of caster by 8.4%',0,2),
(160208,390068,10,100,'Adds 26.2% to base avoidance.',0,3),
(160209,390068,10,100,'Increases Mitigation of caster vs physical damage by 1794',0,4),
(160210,390068,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2333',0,5),
(160211,390069,10,100,'Increases AGI of caster by 146.0',0,0),
(160212,390069,10,100,'Increases Haste of caster by 62.6',0,1),
(160213,390069,10,100,'Increases in-combat movement speed of caster by 8.4%',0,2),
(160214,390069,10,100,'Adds 34.1% to base avoidance.',0,3),
(160215,390069,10,100,'Increases Mitigation of caster vs physical damage by 2595',0,4),
(160216,390069,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 3373',0,5),
(160217,390069,11,100,'Increases AGI of caster by 175.5',0,0),
(160218,390069,11,100,'Increases Haste of caster by 75.3',0,1),
(160219,390069,11,100,'Increases in-combat movement speed of caster by 10.1%',0,2),
(160220,390069,11,100,'Adds 41.0% to base avoidance.',0,3),
(160221,390069,11,100,'Increases Mitigation of caster vs physical damage by 3120',0,4),
(160222,390069,11,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 4056',0,5),
(160223,390071,10,100,'Inflicts 132 - 221 melee damage on target',0,0),
(160224,390071,10,100,'Roots target',0,1),
(160225,390071,10,100,'If Target is not Epic',1,2),
(160226,390071,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(160227,390072,10,100,'Inflicts 211 - 353 melee damage on target',0,0),
(160228,390072,10,100,'Roots target',0,1),
(160229,390072,10,100,'If Target is not Epic',1,2),
(160230,390072,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(160231,390073,10,100,'Inflicts 308 - 514 melee damage on target',0,0),
(160232,390073,10,100,'Roots target',0,1),
(160233,390073,10,100,'If Target is not Epic',1,2),
(160234,390073,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(160235,390074,10,100,'Inflicts 405 - 676 melee damage on target',0,0),
(160236,390074,10,100,'Roots target',0,1),
(160237,390074,10,100,'If Target is not Epic',1,2),
(160238,390074,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(160239,390075,10,100,'Inflicts 491 - 819 melee damage on target',0,0),
(160240,390075,10,100,'Roots target',0,1),
(160241,390075,10,100,'If Target is not Epic',1,2),
(160242,390075,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(160243,390076,10,100,'Inflicts 592 - 986 melee damage on target',0,0),
(160244,390076,10,100,'Roots target',0,1),
(160245,390076,10,100,'If Target is not Epic',1,2),
(160246,390076,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(160247,390077,10,100,'Inflicts 635 - 1058 melee damage on target',0,0),
(160248,390077,10,100,'Roots target',0,1),
(160249,390077,10,100,'If Target is not Epic',1,2),
(160250,390077,10,100,'Resistibility increases against targets higher than level 29.',0,3),
(160251,390077,11,100,'Inflicts 763 - 1273 melee damage on target',0,0),
(160252,390077,11,100,'Roots target',0,1),
(160253,390077,11,100,'If Target is not Epic',1,2),
(160254,390077,11,100,'Resistibility increases against targets higher than level 29.',0,3),
(160255,390078,10,100,'Increases Multi Attack of caster by 81.1',0,0),
(160256,390078,10,100,'Increases Ranged of caster by 30.2',0,1),
(160257,390079,10,100,'Increases Multi Attack of caster by 94.8',0,0),
(160258,390079,10,100,'Increases Ranged of caster by 40.8',0,1),
(160259,390080,10,100,'Increases Multi Attack of caster by 107.9',0,0),
(160260,390080,10,100,'Increases Ranged of caster by 50.7',0,1),
(160261,390081,10,100,'Inflicts 11 - 18 heat damage on target',0,0),
(160262,390082,10,100,'Inflicts 34 - 58 heat damage on target',0,0),
(160263,390083,10,100,'Inflicts 64 - 106 heat damage on target',0,0),
(160264,390084,10,100,'Inflicts 129 - 216 heat damage on target',0,0),
(160265,390085,10,100,'Inflicts 546 - 910 heat damage on target',0,0),
(160266,390085,11,100,'Inflicts 656 - 1094 heat damage on target',0,0),
(160267,390087,10,100,'Inflicts 291 - 485 heat damage on target',0,0),
(160268,390088,10,100,'Inflicts 380 - 633 heat damage on target',0,0),
(160269,390089,10,100,'Inflicts 460 - 767 heat damage on target',0,0),
(160270,390090,11,100,'On a ranged hit this spell may cast Makeshift Arrow on target of attack.  Triggers about 14.4 times per minute. ',0,0),
(160271,390090,11,100,'Inflicts 82 piercing damage on target',1,1),
(160272,390090,11,100,'This effect can only trigger once every 0.1 seconds.',1,2),
(160273,390091,11,100,'On a ranged hit this spell may cast Makeshift Arrow on target of attack.  Triggers about 14.4 times per minute. ',0,0),
(160274,390091,11,100,'Inflicts 150 piercing damage on target',1,1),
(160275,390091,11,100,'This effect can only trigger once every 0.1 seconds.',1,2),
(160276,390092,11,100,'On a ranged hit this spell may cast Makeshift Arrow on target of attack.  Triggers about 14.4 times per minute. ',0,0),
(160277,390092,11,100,'Inflicts 228 piercing damage on target',1,1),
(160278,390092,11,100,'This effect can only trigger once every 0.1 seconds.',1,2),
(160279,390093,10,100,'On a ranged hit this spell may cast Makeshift Arrow on target of attack.  Triggers about 14.4 times per minute. ',0,0),
(160280,390093,10,100,'Inflicts 260 piercing damage on target',1,1),
(160281,390093,10,100,'This effect can only trigger once every 0.1 seconds.',1,2),
(160282,390093,11,100,'On a ranged hit this spell may cast Makeshift Arrow on target of attack.  Triggers about 14.4 times per minute. ',0,0),
(160283,390093,11,100,'Inflicts 313 piercing damage on target',1,1),
(160284,390093,11,100,'This effect can only trigger once every 0.1 seconds.',1,2),
(160285,390094,10,100,'On a ranged hit this spell may cast Makeshift Arrow on target of attack.  Triggers about 14.4 times per minute. ',0,0),
(160286,390094,10,100,'Inflicts 326 piercing damage on target',1,1),
(160287,390094,10,100,'This effect can only trigger once every 0.1 seconds.',1,2),
(160288,390094,11,100,'On a ranged hit this spell may cast Makeshift Arrow on target of attack.  Triggers about 14.4 times per minute. ',0,0),
(160289,390094,11,100,'Inflicts 392 piercing damage on target',1,1),
(160290,390094,11,100,'This effect can only trigger once every 0.1 seconds.',1,2),
(160291,390095,10,100,'On a ranged hit this spell may cast Makeshift Arrow on target of attack.  Triggers about 14.4 times per minute. ',0,0),
(160292,390095,10,100,'Inflicts 372 piercing damage on target',1,1),
(160293,390095,10,100,'This effect can only trigger once every 0.1 seconds.',1,2),
(160294,390095,11,100,'On a ranged hit this spell may cast Makeshift Arrow on target of attack.  Triggers about 14.4 times per minute. ',0,0),
(160295,390095,11,100,'Inflicts 447 piercing damage on target',1,1),
(160296,390095,11,100,'This effect can only trigger once every 0.1 seconds.',1,2),
(160297,390096,10,100,'On a ranged hit this spell may cast Makeshift Arrow on target of attack.  Triggers about 14.4 times per minute. ',0,0),
(160298,390096,10,100,'Inflicts 441 piercing damage on target',1,1),
(160299,390096,10,100,'This effect can only trigger once every 0.1 seconds.',1,2),
(160300,390096,11,100,'On a ranged hit this spell may cast Makeshift Arrow on target of attack.  Triggers about 14.4 times per minute. ',0,0),
(160301,390096,11,100,'Inflicts 531 piercing damage on target',1,1),
(160302,390096,11,100,'This effect can only trigger once every 0.1 seconds.',1,2),
(160303,390098,10,100,'Inflicts 488 - 814 ranged damage on target',0,0),
(160304,390098,10,100,'Requires you to currently have line of sight or to have acquired the target with line of sight',0,1),
(160305,390098,10,100,'Requires bow or aim',0,2),
(160306,390099,10,100,'Inflicts 680 - 1134 ranged damage on target',0,0),
(160307,390099,10,100,'Requires you to currently have line of sight or to have acquired the target with line of sight',0,1),
(160308,390099,10,100,'Requires bow or aim',0,2),
(160309,390100,10,100,'Inflicts 869 - 1449 ranged damage on target',0,0),
(160310,390100,10,100,'Requires you to currently have line of sight or to have acquired the target with line of sight',0,1),
(160311,390100,10,100,'Requires bow or aim',0,2),
(160312,390102,11,100,'Inflicts 1460 - 2434 ranged damage on target',0,0),
(160313,390102,11,100,'Requires you to currently have line of sight or to have acquired the target with line of sight',0,1),
(160314,390102,11,100,'Requires bow or aim',0,2),
(160315,390103,10,100,'Inflicts 195 - 326 ranged damage on targets in Area of Effect',0,0),
(160316,390103,10,100,'You must be in stealth to use this!',0,1),
(160317,390103,10,100,'Requires bow or aim',0,2),
(160318,390104,10,100,'Inflicts 363 - 605 ranged damage on targets in Area of Effect',0,0),
(160319,390104,10,100,'You must be in stealth to use this!',0,1),
(160320,390104,10,100,'Requires bow or aim',0,2),
(160321,390105,10,100,'Inflicts 554 - 923 ranged damage on targets in Area of Effect',0,0),
(160322,390105,10,100,'You must be in stealth to use this!',0,1),
(160323,390105,10,100,'Requires bow or aim',0,2),
(160324,390107,10,100,'Inflicts 959 - 1599 ranged damage on targets in Area of Effect',0,0),
(160325,390107,10,100,'You must be in stealth to use this!',0,1),
(160326,390107,10,100,'Requires bow or aim',0,2),
(160327,390109,11,100,'Inflicts 1611 - 2686 ranged damage on targets in Area of Effect',0,0),
(160328,390109,11,100,'I need to be stealthed!',0,1),
(160329,390109,11,100,'Requires bow or aim',0,2),
(160330,390110,1,100,'Decreases Hate Gain of caster by 7.4%',0,0),
(160331,390110,10,100,'Decreases Hate Gain of caster by 13.8%',0,0),
(160332,390111,10,100,'Decreases Hate Gain of caster by 18.5%',0,0),
(160333,390112,10,100,'Decreases Hate Gain of caster by 23.2%',0,0),
(160334,390113,10,100,'Decreases Hate Gain of caster by 27.9%',0,0),
(160335,390116,10,100,'Inflicts 662 - 1103 melee damage on target',0,0),
(160336,390116,10,100,'You must be sneaking to use this ability.',0,1),
(160337,390116,10,100,'Must be flanking or behind',0,2),
(160338,390118,10,100,'Inflicts 1315 - 2192 melee damage on target',0,0),
(160339,390118,10,100,'You must be sneaking to use this ability.',0,1),
(160340,390118,10,100,'Must be flanking or behind',0,2),
(160341,390119,10,100,'Inflicts 1619 - 2699 melee damage on target',0,0),
(160342,390119,10,100,'You must be sneaking to use this ability.',0,1),
(160343,390119,10,100,'Must be flanking or behind',0,2),
(160344,390120,10,100,'Inflicts 1952 - 3254 melee damage on target',0,0),
(160345,390120,10,100,'You must be sneaking to use this ability.',0,1),
(160346,390120,10,100,'Must be flanking or behind',0,2),
(160347,390121,10,100,'Inflicts 2144 - 3574 melee damage on target',0,0),
(160348,390121,10,100,'You must be sneaking to use this ability.',0,1),
(160349,390121,10,100,'Must be flanking or behind',0,2),
(160350,390121,11,100,'Inflicts 2578 - 4298 melee damage on target',0,0),
(160351,390121,11,100,'You must be sneaking to use this ability.',0,1),
(160352,390121,11,100,'Must be flanking or behind',0,2),
(160353,390122,10,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(160354,390122,10,100,'Slows target by 51.1%',1,1),
(160355,390122,10,100,'5% chance to dispel when target receives hostile action',1,2),
(160356,390122,10,100,'5% chance to dispel when target takes damage',1,3),
(160357,390122,10,100,'Inflicts 27 - 46 ranged damage on target',0,4),
(160358,390122,10,100,'Must be flanking or behind',0,5),
(160359,390122,10,100,'Requires bow or aim',0,6),
(160360,390123,10,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(160361,390123,10,100,'Slows target by 55.4%',1,1),
(160362,390123,10,100,'5% chance to dispel when target receives hostile action',1,2),
(160363,390123,10,100,'5% chance to dispel when target takes damage',1,3),
(160364,390123,10,100,'Inflicts 181 - 301 ranged damage on target',0,4),
(160365,390123,10,100,'Must be flanking or behind',0,5),
(160366,390123,10,100,'Requires bow or aim',0,6),
(160367,390124,10,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(160368,390124,10,100,'Slows target by 60.1%',1,1),
(160369,390124,10,100,'5% chance to dispel when target receives hostile action',1,2),
(160370,390124,10,100,'5% chance to dispel when target takes damage',1,3),
(160371,390124,10,100,'Inflicts 367 - 612 ranged damage on target',0,4),
(160372,390124,10,100,'Must be flanking or behind',0,5),
(160373,390124,10,100,'Requires bow or aim',0,6),
(160374,390125,10,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(160375,390125,10,100,'Slows target by 64.8%',1,1),
(160376,390125,10,100,'5% chance to dispel when target receives hostile action',1,2),
(160377,390125,10,100,'5% chance to dispel when target takes damage',1,3),
(160378,390125,10,100,'Inflicts 575 - 959 ranged damage on target',0,4),
(160379,390125,10,100,'Must be flanking or behind',0,5),
(160380,390125,10,100,'Requires bow or aim',0,6),
(160381,390126,10,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(160382,390126,10,100,'Slows target by 67.7%',1,1),
(160383,390126,10,100,'5% chance to dispel when target receives hostile action',1,2),
(160384,390126,10,100,'5% chance to dispel when target takes damage',1,3),
(160385,390126,10,100,'Inflicts 823 - 1371 ranged damage on target',0,4),
(160386,390126,10,100,'Must be flanking or behind',0,5),
(160387,390126,10,100,'Requires bow or aim',0,6),
(160388,390127,10,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(160389,390127,10,100,'Slows target by 68.6%',1,1),
(160390,390127,10,100,'5% chance to dispel when target receives hostile action',1,2),
(160391,390127,10,100,'5% chance to dispel when target takes damage',1,3),
(160392,390127,10,100,'Inflicts 1075 - 1791 ranged damage on target',0,4),
(160393,390127,10,100,'Must be flanking or behind',0,5),
(160394,390127,10,100,'Requires bow or aim',0,6),
(160395,390128,10,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(160396,390128,10,100,'Slows target by 69.3%',1,1),
(160397,390128,10,100,'5% chance to dispel when target receives hostile action',1,2),
(160398,390128,10,100,'5% chance to dispel when target takes damage',1,3),
(160399,390128,10,100,'Inflicts 1302 - 2170 ranged damage on target',0,4),
(160400,390128,10,100,'Must be flanking or behind',0,5),
(160401,390128,10,100,'Requires bow or aim',0,6),
(160402,390129,10,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(160403,390129,10,100,'Slows target by 70.0%',1,1),
(160404,390129,10,100,'5% chance to dispel when target receives hostile action',1,2),
(160405,390129,10,100,'5% chance to dispel when target takes damage',1,3),
(160406,390129,10,100,'Inflicts 1545 - 2575 ranged damage on target',0,4),
(160407,390129,10,100,'Must be flanking or behind',0,5),
(160408,390129,10,100,'Requires bow or aim',0,6),
(160409,390129,11,100,'Applies Snare on termination.  Lasts for 24.0 seconds.',0,0),
(160410,390129,11,100,'Slows target by 84.1%',1,1),
(160411,390129,11,100,'5% chance to dispel when target receives hostile action',1,2),
(160412,390129,11,100,'5% chance to dispel when target takes damage',1,3),
(160413,390129,11,100,'Inflicts 1857 - 3096 ranged damage on target',0,4),
(160414,390129,11,100,'Must be flanking or behind',0,5),
(160415,390129,11,100,'Requires bow or aim',0,6),
(160416,390130,10,100,'Inflicts 11 - 18 heat damage on target',0,0),
(160417,390130,10,100,'Inflicts 11 - 18 heat damage on target',0,1),
(160418,390130,10,100,'Requires bow or aim',0,2),
(160419,390131,10,100,'Inflicts 53 - 89 heat damage on target',0,0),
(160420,390131,10,100,'Inflicts 53 - 89 heat damage on target',0,1),
(160421,390131,10,100,'Requires bow or aim',0,2),
(160422,390132,10,100,'Inflicts 106 - 177 heat damage on target',0,0),
(160423,390132,10,100,'Inflicts 106 - 177 heat damage on target',0,1),
(160424,390132,10,100,'Requires bow or aim',0,2),
(160425,390133,10,100,'Inflicts 165 - 275 heat damage on target',0,0),
(160426,390133,10,100,'Inflicts 165 - 275 heat damage on target',0,1),
(160427,390133,10,100,'Requires bow or aim',0,2),
(160428,390134,10,100,'Inflicts 234 - 390 heat damage on target',0,0),
(160429,390134,10,100,'Inflicts 234 - 390 heat damage on target',0,1),
(160430,390134,10,100,'Requires bow or aim',0,2),
(160431,390136,10,100,'Inflicts 362 - 604 heat damage on target',0,0),
(160432,390136,10,100,'Inflicts 362 - 604 heat damage on target',0,1),
(160433,390136,10,100,'Requires bow or aim',0,2),
(160434,390137,10,100,'Inflicts 430 - 717 heat damage on target',0,0),
(160435,390137,10,100,'Inflicts 430 - 717 heat damage on target',0,1),
(160436,390137,10,100,'Requires bow or aim',0,2),
(160437,390137,11,100,'Inflicts 517 - 862 heat damage on target',0,0),
(160438,390137,11,100,'Inflicts 517 - 862 heat damage on target',0,1),
(160439,390137,11,100,'Requires bow or aim',0,2),
(160440,390139,10,100,'Inflicts 261 - 435 ranged damage on target',0,0),
(160441,390139,10,100,'Slows target by 67.7%',0,1),
(160442,390139,10,100,'10% chance to dispel when target receives hostile action',0,2),
(160443,390139,10,100,'Requires bow or aim',0,3),
(160444,390140,10,100,'Inflicts 341 - 568 ranged damage on target',0,0),
(160445,390140,10,100,'Slows target by 68.7%',0,1),
(160446,390140,10,100,'10% chance to dispel when target receives hostile action',0,2),
(160447,390140,10,100,'Requires bow or aim',0,3),
(160448,390141,10,100,'Inflicts 412 - 687 ranged damage on target',0,0),
(160449,390141,10,100,'Slows target by 69.4%',0,1),
(160450,390141,10,100,'10% chance to dispel when target receives hostile action',0,2),
(160451,390141,10,100,'Requires bow or aim',0,3),
(160452,390142,10,100,'Inflicts 483 - 805 ranged damage on target',0,0),
(160453,390142,10,100,'Slows target by 70.0%',0,1),
(160454,390142,10,100,'10% chance to dispel when target receives hostile action',0,2),
(160455,390142,10,100,'Requires bow or aim',0,3),
(160456,390142,11,100,'Inflicts 580 - 967 ranged damage on target',0,0),
(160457,390142,11,100,'Slows target by 84.2%',0,1),
(160458,390142,11,100,'10% chance to dispel when target receives hostile action',0,2),
(160459,390142,11,100,'Requires bow or aim',0,3),
(160460,390143,10,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(160461,390143,10,100,'Grants stealth to caster',1,1),
(160462,390143,10,100,'Suspends caster''s movement speed enhancements',1,2),
(160463,390143,10,100,'Inflicts 29 - 49 melee damage on target',0,3),
(160464,390143,10,100,'Must be flanking or behind',0,4),
(160465,390144,10,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(160466,390144,10,100,'Grants stealth to caster',1,1),
(160467,390144,10,100,'Suspends caster''s movement speed enhancements',1,2),
(160468,390144,10,100,'Inflicts 107 - 179 melee damage on target',0,3),
(160469,390144,10,100,'Must be flanking or behind',0,4),
(160470,390146,10,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(160471,390146,10,100,'Grants stealth to caster',1,1),
(160472,390146,10,100,'Suspends caster''s movement speed enhancements',1,2),
(160473,390146,10,100,'Inflicts 304 - 507 melee damage on target',0,3),
(160474,390146,10,100,'Must be flanking or behind',0,4),
(160475,390149,10,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(160476,390149,10,100,'Grants stealth to caster',1,1),
(160477,390149,10,100,'Suspends caster''s movement speed enhancements',1,2),
(160478,390149,10,100,'Inflicts 650 - 1084 melee damage on target',0,3),
(160479,390149,10,100,'Must be flanking or behind',0,4),
(160480,390150,10,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(160481,390150,10,100,'Grants stealth to caster',1,1),
(160482,390150,10,100,'Suspends caster''s movement speed enhancements',1,2),
(160483,390150,10,100,'Inflicts 741 - 1236 melee damage on target',0,3),
(160484,390150,10,100,'Must be flanking or behind',0,4),
(160485,390150,11,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(160486,390150,11,100,'Grants stealth to caster',1,1),
(160487,390150,11,100,'Suspends caster''s movement speed enhancements',1,2),
(160488,390150,11,100,'Inflicts 891 - 1486 melee damage on target',0,3),
(160489,390150,11,100,'Must be flanking or behind',0,4),
(160490,390151,10,100,'Decreases Defense of target by 6.6',0,0),
(160491,390152,10,100,'Decreases Defense of target by 16.6',0,0),
(160492,390153,10,100,'Decreases Defense of target by 27.2',0,0),
(160493,390154,10,100,'Decreases Defense of target by 37.8',0,0),
(160494,390155,10,100,'Decreases Defense of target by 48.4',0,0),
(160495,390156,10,100,'Decreases Defense of target by 58.0',0,0),
(160496,390157,10,100,'Decreases Defense of target by 68.0',0,0),
(160497,390158,10,100,'Decreases Defense of target by 78.1',0,0),
(160498,390158,11,100,'Decreases Defense of target by 93.9',0,0),
(160499,390159,10,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(160500,390159,10,100,'Throws target back',1,1),
(160501,390159,10,100,'Blurs vision of target',1,2),
(160502,390159,10,100,'Stuns target',1,3),
(160503,390159,10,100,'Does not affect Epic targets',1,4),
(160504,390159,10,100,'Inflicts 4819 - 8033 ranged damage on target',0,5),
(160505,390159,10,100,'I need to be stealthed!',0,6),
(160506,390159,10,100,'Requires bow or aim',0,7),
(160507,390159,11,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(160508,390159,11,100,'Throws target back',1,1),
(160509,390159,11,100,'Blurs vision of target',1,2),
(160510,390159,11,100,'Stuns target',1,3),
(160511,390159,11,100,'Does not affect Epic targets',1,4),
(160512,390159,11,100,'Inflicts 5795 - 9659 ranged damage on target',0,5),
(160513,390159,11,100,'I need to be stealthed!',0,6),
(160514,390159,11,100,'Requires bow or aim',0,7),
(160515,390160,10,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(160516,390160,10,100,'Throws target back',1,1),
(160517,390160,10,100,'Blurs vision of target',1,2),
(160518,390160,10,100,'Stuns target',1,3),
(160519,390160,10,100,'Does not affect Epic targets',1,4),
(160520,390160,10,100,'Inflicts 6804 - 11340 ranged damage on target',0,5),
(160521,390160,10,100,'I need to be stealthed!',0,6),
(160522,390160,10,100,'Requires bow or aim',0,7),
(160523,390160,11,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(160524,390160,11,100,'Throws target back',1,1),
(160525,390160,11,100,'Blurs vision of target',1,2),
(160526,390160,11,100,'Stuns target',1,3),
(160527,390160,11,100,'Does not affect Epic targets',1,4),
(160528,390160,11,100,'Inflicts 8181 - 13636 ranged damage on target',0,5),
(160529,390160,11,100,'I need to be stealthed!',0,6),
(160530,390160,11,100,'Requires bow or aim',0,7),
(160531,390161,10,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(160532,390161,10,100,'Throws target back',1,1),
(160533,390161,10,100,'Blurs vision of target',1,2),
(160534,390161,10,100,'Stuns target',1,3),
(160535,390161,10,100,'Does not affect Epic targets',1,4),
(160536,390161,10,100,'Inflicts 8209 - 13681 ranged damage on target',0,5),
(160537,390161,10,100,'I need to be stealthed!',0,6),
(160538,390161,10,100,'Requires bow or aim',0,7),
(160539,390161,11,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(160540,390161,11,100,'Throws target back',1,1),
(160541,390161,11,100,'Blurs vision of target',1,2),
(160542,390161,11,100,'Stuns target',1,3),
(160543,390161,11,100,'Does not affect Epic targets',1,4),
(160544,390161,11,100,'Inflicts 9870 - 16450 ranged damage on target',0,5),
(160545,390161,11,100,'I need to be stealthed!',0,6),
(160546,390161,11,100,'Requires bow or aim',0,7),
(160547,390162,10,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(160548,390162,10,100,'Throws target back',1,1),
(160549,390162,10,100,'Blurs vision of target',1,2),
(160550,390162,10,100,'Stuns target',1,3),
(160551,390162,10,100,'Does not affect Epic targets',1,4),
(160552,390162,10,100,'Inflicts 9125 - 15209 ranged damage on target',0,5),
(160553,390162,10,100,'I need to be stealthed!',0,6),
(160554,390162,10,100,'Requires bow or aim',0,7),
(160555,390162,11,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(160556,390162,11,100,'Throws target back',1,1),
(160557,390162,11,100,'Blurs vision of target',1,2),
(160558,390162,11,100,'Stuns target',1,3),
(160559,390162,11,100,'Does not affect Epic targets',1,4),
(160560,390162,11,100,'Inflicts 10972 - 18287 ranged damage on target',0,5),
(160561,390162,11,100,'I need to be stealthed!',0,6),
(160562,390162,11,100,'Requires bow or aim',0,7),
(160563,390164,10,100,'Inflicts 1124 - 1873 ranged damage on target encounter',0,0),
(160564,390164,10,100,'Requires bow or aim',0,1),
(160565,390164,11,100,'Inflicts 1351 - 2252 ranged damage on target encounter',0,0),
(160566,390164,11,100,'Requires bow or aim',0,1),
(160567,390165,10,100,'Inflicts 1691 - 2819 ranged damage on target encounter',0,0),
(160568,390165,10,100,'Requires bow or aim',0,1),
(160569,390165,11,100,'Inflicts 2034 - 3390 ranged damage on target encounter',0,0),
(160570,390165,11,100,'Requires bow or aim',0,1),
(160571,390166,10,100,'Inflicts 2051 - 3419 ranged damage on target encounter',0,0),
(160572,390166,10,100,'Requires bow or aim',0,1),
(160573,390166,11,100,'Inflicts 2466 - 4111 ranged damage on target encounter',0,0),
(160574,390166,11,100,'Requires bow or aim',0,1),
(160575,390167,10,100,'Inflicts 3208 - 5347 ranged damage on target encounter',0,0),
(160576,390167,10,100,'Requires bow or aim',0,1),
(160577,390167,11,100,'Inflicts 3858 - 6430 ranged damage on target encounter',0,0),
(160578,390167,11,100,'Requires bow or aim',0,1),
(160579,390168,10,100,'Inflicts 3404 - 5674 ranged damage on target encounter',0,0),
(160580,390168,10,100,'Requires bow or aim',0,1),
(160581,390168,11,100,'Inflicts 4093 - 6822 ranged damage on target encounter',0,0),
(160582,390168,11,100,'Requires bow or aim',0,1),
(160583,390169,10,100,'Inflicts 1519 - 1857 ranged damage on targets in Area of Effect',0,0),
(160584,390169,11,100,'Inflicts 1826 - 2232 ranged damage on targets in Area of Effect',0,0),
(160585,390170,10,100,'Inflicts 2203 - 2692 ranged damage on targets in Area of Effect',0,0),
(160586,390170,11,100,'Inflicts 2648 - 3237 ranged damage on targets in Area of Effect',0,0),
(160587,390171,10,100,'Inflicts 2661 - 3253 ranged damage on targets in Area of Effect',0,0),
(160588,390171,11,100,'Inflicts 3200 - 3911 ranged damage on targets in Area of Effect',0,0),
(160589,390172,10,100,'Inflicts 3944 - 4820 ranged damage on targets in Area of Effect',0,0),
(160590,390172,11,100,'Inflicts 4742 - 5796 ranged damage on targets in Area of Effect',0,0),
(160591,390173,10,100,'Increases AGI of caster by 24.5',0,0),
(160592,390173,10,100,'Adds 2.6% to base avoidance.',0,1),
(160593,390173,10,100,'Decreases Slashing and Piercing of caster by 13.8',0,2),
(160594,390173,10,100,'Increases Parry of caster by 13.6',0,3),
(160595,390173,10,100,'Increases Defense of caster by 18.1',0,4),
(160596,390174,10,100,'Increases AGI of caster by 41.3',0,0),
(160597,390174,10,100,'Adds 2.6% to base avoidance.',0,1),
(160598,390174,10,100,'Decreases Slashing and Piercing of caster by 16.3',0,2),
(160599,390174,10,100,'Increases Parry of caster by 24.2',0,3),
(160600,390174,10,100,'Increases Defense of caster by 32.3',0,4),
(160601,390175,10,100,'Increases AGI of caster by 60.1',0,0),
(160602,390175,10,100,'Adds 2.6% to base avoidance.',0,1),
(160603,390175,10,100,'Decreases Slashing and Piercing of caster by 19.3',0,2),
(160604,390175,10,100,'Increases Parry of caster by 34.8',0,3),
(160605,390175,10,100,'Increases Defense of caster by 46.4',0,4),
(160606,390176,10,100,'Increases AGI of caster by 79.0',0,0),
(160607,390176,10,100,'Adds 2.6% to base avoidance.',0,1),
(160608,390176,10,100,'Decreases Slashing and Piercing of caster by 22.6',0,2),
(160609,390176,10,100,'Increases Parry of caster by 45.4',0,3),
(160610,390176,10,100,'Increases Defense of caster by 60.5',0,4),
(160611,390177,10,100,'Increases AGI of caster by 97.9',0,0),
(160612,390177,10,100,'Adds 2.6% to base avoidance.',0,1),
(160613,390177,10,100,'Decreases Slashing and Piercing of caster by 25.9',0,2),
(160614,390177,10,100,'Increases Parry of caster by 55.9',0,3),
(160615,390177,10,100,'Increases Defense of caster by 74.6',0,4),
(160616,390178,10,100,'Increases AGI of caster by 116.4',0,0),
(160617,390178,10,100,'Adds 2.6% to base avoidance.',0,1),
(160618,390178,10,100,'Decreases Slashing and Piercing of caster by 29.2',0,2),
(160619,390178,10,100,'Increases Parry of caster by 66.8',0,3),
(160620,390178,10,100,'Increases Defense of caster by 89.0',0,4),
(160621,390179,10,100,'Increases AGI of caster by 134.9',0,0),
(160622,390179,10,100,'Adds 3.4% to base avoidance.',0,1),
(160623,390179,10,100,'Decreases Slashing and Piercing of caster by 32.5',0,2),
(160624,390179,10,100,'Increases Parry of caster by 79.4',0,3),
(160625,390179,10,100,'Increases Defense of caster by 105.8',0,4),
(160626,390179,11,100,'Increases AGI of caster by 162.2',0,0),
(160627,390179,11,100,'Adds 4.1% to base avoidance.',0,1),
(160628,390179,11,100,'Decreases Slashing and Piercing of caster by 32.5',0,2),
(160629,390179,11,100,'Increases Parry of caster by 95.4',0,3),
(160630,390179,11,100,'Increases Defense of caster by 127.3',0,4),
(160631,390180,10,100,'Sets a trap',0,0),
(160632,390181,10,100,'Sets a trap',0,0),
(160633,390182,10,100,'Sets a trap',0,0),
(160634,390183,10,100,'Inflicts 184 - 307 ranged damage on target',0,0),
(160635,390183,10,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(160636,390183,10,100,'Increases Hate Gain of target by 30.0%',1,2),
(160637,390183,10,100,'Grants a total of 1 trigger of the spell.',1,3),
(160638,390183,10,100,'Requires bow or aim',0,4),
(160639,390184,10,100,'Inflicts 307 - 512 ranged damage on target',0,0),
(160640,390184,10,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(160641,390184,10,100,'Increases Hate Gain of target by 30.0%',1,2),
(160642,390184,10,100,'Grants a total of 1 trigger of the spell.',1,3),
(160643,390184,10,100,'Requires bow or aim',0,4),
(160644,390185,10,100,'Inflicts 456 - 761 ranged damage on target',0,0),
(160645,390185,10,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(160646,390185,10,100,'Increases Hate Gain of target by 30.0%',1,2),
(160647,390185,10,100,'Grants a total of 1 trigger of the spell.',1,3),
(160648,390185,10,100,'Requires bow or aim',0,4),
(160649,390186,10,100,'Inflicts 610 - 1017 ranged damage on target',0,0),
(160650,390186,10,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(160651,390186,10,100,'Increases Hate Gain of target by 30.0%',1,2),
(160652,390186,10,100,'Grants a total of 1 trigger of the spell.',1,3),
(160653,390186,10,100,'Requires bow or aim',0,4),
(160654,390187,10,100,'Inflicts 751 - 1252 ranged damage on target',0,0),
(160655,390187,10,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(160656,390187,10,100,'Increases Hate Gain of target by 30.0%',1,2),
(160657,390187,10,100,'Grants a total of 1 trigger of the spell.',1,3),
(160658,390187,10,100,'Requires bow or aim',0,4),
(160659,390188,10,100,'Inflicts 906 - 1510 ranged damage on target',0,0),
(160660,390188,10,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(160661,390188,10,100,'Increases Hate Gain of target by 30.0%',1,2),
(160662,390188,10,100,'Grants a total of 1 trigger of the spell.',1,3),
(160663,390188,10,100,'Requires bow or aim',0,4),
(160664,390189,10,100,'Inflicts 995 - 1658 ranged damage on target',0,0),
(160665,390189,10,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(160666,390189,10,100,'Increases Hate Gain of target by 30.0%',1,2),
(160667,390189,10,100,'Grants a total of 1 trigger of the spell.',1,3),
(160668,390189,10,100,'Requires bow or aim',0,4),
(160669,390189,11,100,'Inflicts 1196 - 1994 ranged damage on target',0,0),
(160670,390189,11,100,'On a melee hit this spell will cast Blamed on target of attack.  Lasts for 10.0 seconds.  ',0,1),
(160671,390189,11,100,'Increases Hate Gain of target by 30.0%',1,2),
(160672,390189,11,100,'Grants a total of 1 trigger of the spell.',1,3),
(160673,390189,11,100,'Requires bow or aim',0,4),
(160674,390190,10,100,'Inflicts 60 - 100 ranged damage on target',0,0),
(160675,390190,10,100,'Inflicts 121 - 201 ranged damage on target',0,1),
(160676,390190,10,100,'Inflicts 181 - 302 ranged damage on target',0,2),
(160677,390190,10,100,'Requires bow or aim',0,3),
(160678,390192,10,100,'Inflicts 138 - 230 ranged damage on target',0,0),
(160679,390192,10,100,'Inflicts 276 - 460 ranged damage on target',0,1),
(160680,390192,10,100,'Inflicts 414 - 690 ranged damage on target',0,2),
(160681,390192,10,100,'Requires bow or aim',0,3),
(160682,390193,10,100,'Inflicts 180 - 300 ranged damage on target',0,0),
(160683,390193,10,100,'Inflicts 360 - 601 ranged damage on target',0,1),
(160684,390193,10,100,'Inflicts 541 - 902 ranged damage on target',0,2),
(160685,390193,10,100,'Requires bow or aim',0,3),
(160686,390194,10,100,'Inflicts 218 - 364 ranged damage on target',0,0),
(160687,390194,10,100,'Inflicts 437 - 729 ranged damage on target',0,1),
(160688,390194,10,100,'Inflicts 656 - 1094 ranged damage on target',0,2),
(160689,390194,10,100,'Requires bow or aim',0,3),
(160690,390195,10,100,'Inflicts 263 - 438 ranged damage on target',0,0),
(160691,390195,10,100,'Inflicts 526 - 877 ranged damage on target',0,1),
(160692,390195,10,100,'Inflicts 789 - 1316 ranged damage on target',0,2),
(160693,390195,10,100,'Requires bow or aim',0,3),
(160694,390196,10,100,'Inflicts 279 - 465 ranged damage on target',0,0),
(160695,390196,10,100,'Inflicts 558 - 931 ranged damage on target',0,1),
(160696,390196,10,100,'Inflicts 838 - 1396 ranged damage on target',0,2),
(160697,390196,10,100,'Requires bow or aim',0,3),
(160698,390196,11,100,'Inflicts 335 - 559 ranged damage on target',0,0),
(160699,390196,11,100,'Inflicts 671 - 1119 ranged damage on target',0,1),
(160700,390196,11,100,'Inflicts 1007 - 1679 ranged damage on target',0,2),
(160701,390196,11,100,'Requires bow or aim',0,3),
(160702,400000,10,100,'Inflicts 17 - 29 melee damage on target',0,0),
(160703,400000,10,100,'You must be sneaking to use this ability.',0,1),
(160704,400001,10,100,'Inflicts 69 - 115 melee damage on target',0,0),
(160705,400001,10,100,'You must be sneaking to use this ability.',0,1),
(160706,400003,10,100,'Inflicts 283 - 473 melee damage on target',0,0),
(160707,400003,10,100,'You must be sneaking to use this ability.',0,1),
(160708,400004,10,100,'Inflicts 993 - 1656 melee damage on target',0,0),
(160709,400004,10,100,'You must be sneaking to use this ability.',0,1),
(160710,400004,11,100,'Inflicts 1194 - 1991 melee damage on target',0,0),
(160711,400004,11,100,'You must be sneaking to use this ability.',0,1),
(160712,400006,10,100,'Inflicts 583 - 972 melee damage on target',0,0),
(160713,400006,10,100,'You must be sneaking to use this ability.',0,1),
(160714,400008,10,100,'Inflicts 882 - 1471 melee damage on target',0,0),
(160715,400008,10,100,'You must be sneaking to use this ability.',0,1),
(160716,400009,10,100,'On a melee hit this spell may cast Assassin''s Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',0,0),
(160717,400009,10,100,'Inflicts 236 poison damage on target instantly and every 4 seconds',1,1),
(160718,400009,10,100,'If profession other than Predator',0,2),
(160719,400009,10,100,'If profession other than Rogue',0,3),
(160720,400010,10,100,'On a melee hit this spell may cast Assassin''s Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',0,0),
(160721,400010,10,100,'Inflicts 353 poison damage on target instantly and every 4 seconds',1,1),
(160722,400010,10,100,'If profession other than Predator',0,2),
(160723,400010,10,100,'If profession other than Rogue',0,3),
(160724,400011,10,100,'On a melee hit this spell may cast Assassin''s Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',0,0),
(160725,400011,10,100,'Inflicts 427 poison damage on target instantly and every 4 seconds',1,1),
(160726,400011,10,100,'If profession other than Predator',0,2),
(160727,400011,10,100,'If profession other than Rogue',0,3),
(160728,400012,10,100,'On a melee hit this spell may cast Assassin''s Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',0,0),
(160729,400012,10,100,'Inflicts 500 poison damage on target instantly and every 4 seconds',1,1),
(160730,400012,10,100,'If profession other than Predator',0,2),
(160731,400012,10,100,'If profession other than Rogue',0,3),
(160732,400012,11,100,'On a melee hit this spell may cast Assassin''s Hemotoxin on target of attack.  Lasts for 24.0 seconds.  Triggers about 3.0 times per minute. ',0,0),
(160733,400012,11,100,'Inflicts 601 poison damage on target instantly and every 4 seconds',1,1),
(160734,400012,11,100,'If profession other than Predator',0,2),
(160735,400012,11,100,'If profession other than Rogue',0,3),
(160736,400013,9,100,'Caster has a 15.0% chance of having one of their weapons'' auto-attack strike the target multiple times.',0,0),
(160737,400013,9,100,'Increases the damage of stealth attacks by 30%.',0,1),
(160738,400013,9,100,'On a combat hit this spell may cast Flurry of Poison on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.4 times per minute. ',0,2),
(160739,400013,9,100,'Inflicts 648 - 972 poison damage on target',1,3),
(160740,400013,9,100,'Increases Crit Chance of caster by 15.0',1,4),
(160741,400013,9,100,'Cannot be modified except by direct means',1,5),
(160742,400013,9,100,'Cannot be modified except by direct means',0,6),
(160743,400013,10,100,'Caster has a 15.0% chance of having one of their weapons'' auto-attack strike the target multiple times.',0,0),
(160744,400013,10,100,'Increases the damage of stealth attacks by 30%.',0,1),
(160745,400013,10,100,'On a combat hit this spell may cast Flurry of Poison on target of attack.  Lasts for 12.0 seconds.  Triggers about 2.4 times per minute. ',0,2),
(160746,400013,10,100,'Inflicts 648 - 972 poison damage on target',1,3),
(160747,400013,10,100,'Increases Crit Chance of caster by 15.0',1,4),
(160748,400013,10,100,'Cannot be modified except by direct means',1,5),
(160749,400013,10,100,'Cannot be modified except by direct means',0,6),
(160750,400014,10,100,'Inflicts 3747 - 6245 melee damage on target',0,0),
(160751,400014,10,100,'You must be stealthed to use this ability',0,1),
(160752,400014,11,100,'Inflicts 4505 - 7509 melee damage on target',0,0),
(160753,400014,11,100,'You must be stealthed to use this ability',0,1),
(160754,400015,10,100,'Inflicts 5639 - 9399 melee damage on target',0,0),
(160755,400015,10,100,'You must be stealthed to use this ability',0,1),
(160756,400015,11,100,'Inflicts 6781 - 11302 melee damage on target',0,0),
(160757,400015,11,100,'You must be stealthed to use this ability',0,1),
(160758,400016,10,100,'Inflicts 6838 - 11398 melee damage on target',0,0),
(160759,400016,10,100,'You must be stealthed to use this ability',0,1),
(160760,400016,11,100,'Inflicts 8223 - 13705 melee damage on target',0,0),
(160761,400016,11,100,'You must be stealthed to use this ability',0,1),
(160762,400017,10,100,'Inflicts 10695 - 17826 melee damage on target',0,0),
(160763,400017,10,100,'You must be stealthed to use this ability',0,1),
(160764,400017,11,100,'Inflicts 12860 - 21433 melee damage on target',0,0),
(160765,400017,11,100,'You must be stealthed to use this ability',0,1),
(160766,400018,10,100,'Inflicts 11348 - 18914 melee damage on target',0,0),
(160767,400018,10,100,'You must be stealthed to use this ability',0,1),
(160768,400018,11,100,'Inflicts 13645 - 22742 melee damage on target',0,0),
(160769,400018,11,100,'You must be stealthed to use this ability',0,1),
(160770,400019,10,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(160771,400019,10,100,'Slows target by 52.8%',1,1),
(160772,400019,10,100,'5% chance to dispel when target receives hostile action',1,2),
(160773,400019,10,100,'5% chance to dispel when target takes damage',1,3),
(160774,400019,10,100,'Decreases Mitigation of target vs noxious damage by 367',0,4),
(160775,400020,10,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(160776,400020,10,100,'Slows target by 58.1%',1,1),
(160777,400020,10,100,'5% chance to dispel when target receives hostile action',1,2),
(160778,400020,10,100,'5% chance to dispel when target takes damage',1,3),
(160779,400020,10,100,'Decreases Mitigation of target vs noxious damage by 773',0,4),
(160780,400021,10,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(160781,400021,10,100,'Slows target by 62.8%',1,1),
(160782,400021,10,100,'5% chance to dispel when target receives hostile action',1,2),
(160783,400021,10,100,'5% chance to dispel when target takes damage',1,3),
(160784,400021,10,100,'Decreases Mitigation of target vs noxious damage by 1243',0,4),
(160785,400022,10,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(160786,400022,10,100,'Slows target by 67.3%',1,1),
(160787,400022,10,100,'5% chance to dispel when target receives hostile action',1,2),
(160788,400022,10,100,'5% chance to dispel when target takes damage',1,3),
(160789,400022,10,100,'Decreases Mitigation of target vs noxious damage by 1714',0,4),
(160790,400023,10,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(160791,400023,10,100,'Slows target by 68.2%',1,1),
(160792,400023,10,100,'5% chance to dispel when target receives hostile action',1,2),
(160793,400023,10,100,'5% chance to dispel when target takes damage',1,3),
(160794,400023,10,100,'Decreases Mitigation of target vs noxious damage by 2184',0,4),
(160795,400024,10,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(160796,400024,10,100,'Slows target by 68.9%',1,1),
(160797,400024,10,100,'5% chance to dispel when target receives hostile action',1,2),
(160798,400024,10,100,'5% chance to dispel when target takes damage',1,3),
(160799,400024,10,100,'Decreases Mitigation of target vs noxious damage by 2772',0,4),
(160800,400025,10,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(160801,400025,10,100,'Slows target by 69.6%',1,1),
(160802,400025,10,100,'5% chance to dispel when target receives hostile action',1,2),
(160803,400025,10,100,'5% chance to dispel when target takes damage',1,3),
(160804,400025,10,100,'Decreases Mitigation of target vs noxious damage by 3468',0,4),
(160805,400026,10,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(160806,400026,10,100,'Slows target by 70.3%',1,1),
(160807,400026,10,100,'5% chance to dispel when target receives hostile action',1,2),
(160808,400026,10,100,'5% chance to dispel when target takes damage',1,3),
(160809,400026,10,100,'Decreases Mitigation of target vs noxious damage by 3871',0,4),
(160810,400026,11,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(160811,400026,11,100,'Slows target by 84.5%',1,1),
(160812,400026,11,100,'5% chance to dispel when target receives hostile action',1,2),
(160813,400026,11,100,'5% chance to dispel when target takes damage',1,3),
(160814,400026,11,100,'Decreases Mitigation of target vs noxious damage by 4654',0,4),
(160815,400027,10,100,'Decreases Hate Gain of caster by 42.0%',0,0),
(160816,400027,10,100,'On a combat hit this spell will cast Combat Stealth on target.  Lasts for 0.1 seconds.  ',0,1),
(160817,400027,10,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',1,2),
(160818,400027,10,100,'Grants stealth to caster',2,3),
(160819,400027,10,100,'Suspends caster''s movement speed enhancements',2,4),
(160820,400028,10,100,'Inflicts 508 - 847 melee damage on target',0,0),
(160821,400028,10,100,'Decreases Defense of target by 33.3',0,1),
(160822,400028,10,100,'Must be flanking or behind',0,2),
(160823,400029,10,100,'Inflicts 720 - 1201 melee damage on target',0,0),
(160824,400029,10,100,'Decreases Defense of target by 43.8',0,1),
(160825,400029,10,100,'Must be flanking or behind',0,2),
(160826,400030,10,100,'Inflicts 940 - 1567 melee damage on target',0,0),
(160827,400030,10,100,'Decreases Defense of target by 54.9',0,1),
(160828,400030,10,100,'Must be flanking or behind',0,2),
(160829,400031,10,100,'Inflicts 1138 - 1897 melee damage on target',0,0),
(160830,400031,10,100,'Decreases Defense of target by 65.0',0,1),
(160831,400031,10,100,'Must be flanking or behind',0,2),
(160832,400032,10,100,'Inflicts 1332 - 2220 melee damage on target',0,0),
(160833,400032,10,100,'Decreases Defense of target by 75.1',0,1),
(160834,400032,10,100,'Must be flanking or behind',0,2),
(160835,400032,11,100,'Inflicts 1602 - 2670 melee damage on target',0,0),
(160836,400032,11,100,'Decreases Defense of target by 90.3',0,1),
(160837,400032,11,100,'Must be flanking or behind',0,2),
(160838,400033,10,100,'Increases AGI of caster by 24.5',0,0),
(160839,400033,10,100,'Adds 2.6% to base avoidance.',0,1),
(160840,400033,10,100,'Decreases Slashing and Piercing of caster by 13.8',0,2),
(160841,400033,10,100,'Increases Parry of caster by 13.6',0,3),
(160842,400033,10,100,'Increases Defense of caster by 18.1',0,4),
(160843,400034,10,100,'Increases AGI of caster by 41.3',0,0),
(160844,400034,10,100,'Adds 2.6% to base avoidance.',0,1),
(160845,400034,10,100,'Decreases Slashing and Piercing of caster by 16.3',0,2),
(160846,400034,10,100,'Increases Parry of caster by 24.2',0,3),
(160847,400034,10,100,'Increases Defense of caster by 32.3',0,4),
(160848,400035,10,100,'Increases AGI of caster by 60.1',0,0),
(160849,400035,10,100,'Adds 2.6% to base avoidance.',0,1),
(160850,400035,10,100,'Decreases Slashing and Piercing of caster by 19.3',0,2),
(160851,400035,10,100,'Increases Parry of caster by 34.8',0,3),
(160852,400035,10,100,'Increases Defense of caster by 46.4',0,4),
(160853,400036,10,100,'Increases AGI of caster by 79.0',0,0),
(160854,400036,10,100,'Adds 2.6% to base avoidance.',0,1),
(160855,400036,10,100,'Decreases Slashing and Piercing of caster by 22.6',0,2),
(160856,400036,10,100,'Increases Parry of caster by 45.4',0,3),
(160857,400036,10,100,'Increases Defense of caster by 60.5',0,4),
(160858,400037,10,100,'Increases AGI of caster by 97.9',0,0),
(160859,400037,10,100,'Adds 2.6% to base avoidance.',0,1),
(160860,400037,10,100,'Decreases Slashing and Piercing of caster by 25.9',0,2),
(160861,400037,10,100,'Increases Parry of caster by 55.9',0,3),
(160862,400037,10,100,'Increases Defense of caster by 74.6',0,4),
(160863,400038,10,100,'Increases AGI of caster by 116.4',0,0),
(160864,400038,10,100,'Adds 2.6% to base avoidance.',0,1),
(160865,400038,10,100,'Decreases Slashing and Piercing of caster by 29.2',0,2),
(160866,400038,10,100,'Increases Parry of caster by 66.8',0,3),
(160867,400038,10,100,'Increases Defense of caster by 89.0',0,4),
(160868,400039,10,100,'Increases AGI of caster by 134.9',0,0),
(160869,400039,10,100,'Adds 3.4% to base avoidance.',0,1),
(160870,400039,10,100,'Decreases Slashing and Piercing of caster by 32.5',0,2),
(160871,400039,10,100,'Increases Parry of caster by 79.4',0,3),
(160872,400039,10,100,'Increases Defense of caster by 105.8',0,4),
(160873,400039,11,100,'Increases AGI of caster by 162.2',0,0),
(160874,400039,11,100,'Adds 4.1% to base avoidance.',0,1),
(160875,400039,11,100,'Decreases Slashing and Piercing of caster by 32.5',0,2),
(160876,400039,11,100,'Increases Parry of caster by 95.4',0,3),
(160877,400039,11,100,'Increases Defense of caster by 127.3',0,4),
(160878,400040,10,100,'Caster will have their chance to hit with a weapon increased by 8.4%',0,0),
(160879,400040,10,100,'Increases Multi Attack of caster by 54.1',0,1),
(160880,400040,10,100,'Increases Piercing, Slashing and Crushing of caster by 20.2',0,2),
(160881,400041,10,100,'Caster will have their chance to hit with a weapon increased by 8.4%',0,0),
(160882,400041,10,100,'Increases Multi Attack of caster by 63.2',0,1),
(160883,400041,10,100,'Increases Piercing, Slashing and Crushing of caster by 27.2',0,2),
(160884,400042,10,100,'Caster will have their chance to hit with a weapon increased by 8.4%',0,0),
(160885,400042,10,100,'Increases Multi Attack of caster by 71.9',0,1),
(160886,400042,10,100,'Increases Piercing, Slashing and Crushing of caster by 33.8',0,2),
(160887,400043,10,100,'Caster will have their chance to hit with a weapon increased by 8.4%',0,0),
(160888,400043,10,100,'Increases Multi Attack of caster by 90.6',0,1),
(160889,400043,10,100,'Increases Piercing, Slashing and Crushing of caster by 47.9',0,2),
(160890,400044,10,100,'Caster will have their chance to hit with a weapon increased by 8.4%',0,0),
(160891,400044,10,100,'Increases Multi Attack of caster by 98.8',0,1),
(160892,400044,10,100,'Increases Piercing, Slashing and Crushing of caster by 56.3',0,2),
(160893,400044,11,100,'Caster will have their chance to hit with a weapon increased by 10.1%',0,0),
(160894,400044,11,100,'Increases Multi Attack of caster by 118.8',0,1),
(160895,400044,11,100,'Increases Piercing, Slashing and Crushing of caster by 67.7',0,2),
(160896,400045,10,100,'Inflicts 9 - 15 ranged damage on target',0,0),
(160897,400045,10,100,'Inflicts 9 - 15 ranged damage on target',0,1),
(160898,400045,10,100,'If weapon equipped in Ranged',0,2),
(160899,400046,10,100,'Inflicts 45 - 75 ranged damage on target',0,0),
(160900,400046,10,100,'Inflicts 45 - 75 ranged damage on target',0,1),
(160901,400046,10,100,'If weapon equipped in Ranged',0,2),
(160902,400048,10,100,'Inflicts 139 - 233 ranged damage on target',0,0),
(160903,400048,10,100,'Inflicts 139 - 233 ranged damage on target',0,1),
(160904,400048,10,100,'If weapon equipped in Ranged',0,2),
(160905,400049,10,100,'Inflicts 198 - 330 ranged damage on target',0,0),
(160906,400049,10,100,'Inflicts 198 - 330 ranged damage on target',0,1),
(160907,400049,10,100,'If weapon equipped in Ranged',0,2),
(160908,400050,10,100,'Inflicts 253 - 422 ranged damage on target',0,0),
(160909,400050,10,100,'Inflicts 253 - 422 ranged damage on target',0,1),
(160910,400050,10,100,'If weapon equipped in Ranged',0,2),
(160911,400051,10,100,'Inflicts 307 - 511 ranged damage on target',0,0),
(160912,400051,10,100,'Inflicts 307 - 511 ranged damage on target',0,1),
(160913,400051,10,100,'If weapon equipped in Ranged',0,2),
(160914,400052,10,100,'Inflicts 364 - 607 ranged damage on target',0,0),
(160915,400052,10,100,'Inflicts 364 - 607 ranged damage on target',0,1),
(160916,400052,10,100,'If weapon equipped in Ranged',0,2),
(160917,400052,11,100,'Inflicts 437 - 729 ranged damage on target',0,0),
(160918,400052,11,100,'Inflicts 437 - 729 ranged damage on target',0,1),
(160919,400052,11,100,'If weapon equipped in Ranged',0,2),
(160920,400053,10,100,'Inflicts 675 - 1126 melee damage on target',0,0),
(160921,400053,10,100,'If over 33% Health',1,1),
(160922,400053,10,100,'Inflicts 2027 - 3378 melee damage on target',0,2),
(160923,400053,10,100,'If under 33% Health',1,3),
(160924,400053,10,100,'Must be flanking or behind',0,4),
(160925,400054,10,100,'Inflicts 953 - 1589 melee damage on target',0,0),
(160926,400054,10,100,'If over 33% Health',1,1),
(160927,400054,10,100,'Inflicts 2861 - 4769 melee damage on target',0,2),
(160928,400054,10,100,'If under 33% Health',1,3),
(160929,400054,10,100,'Must be flanking or behind',0,4),
(160930,400055,10,100,'Inflicts 1150 - 1918 melee damage on target',0,0),
(160931,400055,10,100,'If over 33% Health',1,1),
(160932,400055,10,100,'Inflicts 3452 - 5754 melee damage on target',0,2),
(160933,400055,10,100,'If under 33% Health',1,3),
(160934,400055,10,100,'Must be flanking or behind',0,4),
(160935,400056,10,100,'Inflicts 1279 - 2132 melee damage on target',0,0),
(160936,400056,10,100,'If over 33% Health',1,1),
(160937,400056,10,100,'Inflicts 3837 - 6396 melee damage on target',0,2),
(160938,400056,10,100,'If under 33% Health',1,3),
(160939,400056,10,100,'Must be flanking or behind',0,4),
(160940,400056,11,100,'Inflicts 1538 - 2563 melee damage on target',0,0),
(160941,400056,11,100,'If over 33% Health',1,1),
(160942,400056,11,100,'Inflicts 4614 - 7691 melee damage on target',0,2),
(160943,400056,11,100,'If under 33% Health',1,3),
(160944,400056,11,100,'Must be flanking or behind',0,4),
(160945,400057,10,100,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',0,0),
(160946,400057,10,100,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',1,1),
(160947,400057,10,100,'Inflicts 84 - 141 piercing damage on target',2,2),
(160948,400057,10,100,'Grants a total of 5 triggers of the spell.',2,3),
(160949,400057,10,100,'Grants a total of 1 trigger of the spell.',1,4),
(160950,400057,11,100,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',0,0),
(160951,400057,11,100,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',1,1),
(160952,400057,11,100,'Inflicts 102 - 170 piercing damage on target',2,2),
(160953,400057,11,100,'Grants a total of 5 triggers of the spell.',2,3),
(160954,400057,11,100,'Grants a total of 1 trigger of the spell.',1,4),
(160955,400058,10,100,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',0,0),
(160956,400058,10,100,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',1,1),
(160957,400058,10,100,'Inflicts 154 - 258 piercing damage on target',2,2),
(160958,400058,10,100,'Grants a total of 5 triggers of the spell.',2,3),
(160959,400058,10,100,'Grants a total of 1 trigger of the spell.',1,4),
(160960,400058,11,100,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',0,0),
(160961,400058,11,100,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',1,1),
(160962,400058,11,100,'Inflicts 186 - 310 piercing damage on target',2,2),
(160963,400058,11,100,'Grants a total of 5 triggers of the spell.',2,3),
(160964,400058,11,100,'Grants a total of 1 trigger of the spell.',1,4),
(160965,400059,10,100,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',0,0),
(160966,400059,10,100,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',1,1),
(160967,400059,10,100,'Inflicts 234 - 391 piercing damage on target',2,2),
(160968,400059,10,100,'Grants a total of 5 triggers of the spell.',2,3),
(160969,400059,10,100,'Grants a total of 1 trigger of the spell.',1,4),
(160970,400059,11,100,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',0,0),
(160971,400059,11,100,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',1,1),
(160972,400059,11,100,'Inflicts 282 - 470 piercing damage on target',2,2),
(160973,400059,11,100,'Grants a total of 5 triggers of the spell.',2,3),
(160974,400059,11,100,'Grants a total of 1 trigger of the spell.',1,4),
(160975,400060,11,100,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',0,0),
(160976,400060,11,100,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',1,1),
(160977,400060,11,100,'Inflicts 387 - 645 piercing damage on target',2,2),
(160978,400060,11,100,'Grants a total of 5 triggers of the spell.',2,3),
(160979,400060,11,100,'Grants a total of 1 trigger of the spell.',1,4),
(160980,400061,11,100,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',0,0),
(160981,400061,11,100,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',1,1),
(160982,400061,11,100,'Inflicts 485 - 809 piercing damage on target',2,2),
(160983,400061,11,100,'Grants a total of 5 triggers of the spell.',2,3),
(160984,400061,11,100,'Grants a total of 1 trigger of the spell.',1,4),
(160985,400062,11,100,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',0,0),
(160986,400062,11,100,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',1,1),
(160987,400062,11,100,'Inflicts 586 - 977 piercing damage on target',2,2),
(160988,400062,11,100,'Grants a total of 5 triggers of the spell.',2,3),
(160989,400062,11,100,'Grants a total of 1 trigger of the spell.',1,4),
(160990,400063,11,100,'When damaged with a melee weapon this spell has a 5% chance to cast Marked on target.  Lasts for 36.0 seconds.  ',0,0),
(160991,400063,11,100,'When damaged with a melee weapon this spell will cast Agonizing Pain on target.  ',1,1),
(160992,400063,11,100,'Inflicts 869 - 1449 piercing damage on target',2,2),
(160993,400063,11,100,'Grants a total of 5 triggers of the spell.',2,3),
(160994,400063,11,100,'Grants a total of 1 trigger of the spell.',1,4),
(160995,400064,11,100,'Inflicts 185 - 308 melee damage on target',0,0),
(160996,400064,11,100,'You must be sneaking to use this ability.',0,1),
(160997,400064,11,100,'Must be flanking or behind',0,2),
(160998,400065,11,100,'Inflicts 448 - 748 melee damage on target',0,0),
(160999,400065,11,100,'You must be sneaking to use this ability.',0,1),
(161000,400065,11,100,'Must be flanking or behind',0,2),
(161001,400066,10,100,'Inflicts 622 - 1037 melee damage on target',0,0),
(161002,400066,10,100,'You must be sneaking to use this ability.',0,1),
(161003,400066,10,100,'Must be flanking or behind',0,2),
(161004,400066,11,100,'Inflicts 748 - 1247 melee damage on target',0,0),
(161005,400066,11,100,'You must be sneaking to use this ability.',0,1),
(161006,400066,11,100,'Must be flanking or behind',0,2),
(161007,400067,11,100,'Inflicts 1112 - 1853 melee damage on target',0,0),
(161008,400067,11,100,'You must be sneaking to use this ability.',0,1),
(161009,400067,11,100,'Must be flanking or behind',0,2),
(161010,400068,10,100,'Inflicts 1236 - 2060 melee damage on target',0,0),
(161011,400068,10,100,'You must be sneaking to use this ability.',0,1),
(161012,400068,10,100,'Must be flanking or behind',0,2),
(161013,400068,11,100,'Inflicts 1486 - 2477 melee damage on target',0,0),
(161014,400068,11,100,'You must be sneaking to use this ability.',0,1),
(161015,400068,11,100,'Must be flanking or behind',0,2),
(161016,400069,10,100,'Inflicts 1522 - 2537 melee damage on target',0,0),
(161017,400069,10,100,'You must be sneaking to use this ability.',0,1),
(161018,400069,10,100,'Must be flanking or behind',0,2),
(161019,400069,11,100,'Inflicts 1830 - 3051 melee damage on target',0,0),
(161020,400069,11,100,'You must be sneaking to use this ability.',0,1),
(161021,400069,11,100,'Must be flanking or behind',0,2),
(161022,400070,10,100,'Inflicts 1835 - 3059 melee damage on target',0,0),
(161023,400070,10,100,'You must be sneaking to use this ability.',0,1),
(161024,400070,10,100,'Must be flanking or behind',0,2),
(161025,400070,11,100,'Inflicts 2207 - 3678 melee damage on target',0,0),
(161026,400070,11,100,'You must be sneaking to use this ability.',0,1),
(161027,400070,11,100,'Must be flanking or behind',0,2),
(161028,400071,10,100,'Inflicts 2016 - 3360 melee damage on target',0,0),
(161029,400071,10,100,'You must be sneaking to use this ability.',0,1),
(161030,400071,10,100,'Must be flanking or behind',0,2),
(161031,400071,11,100,'Inflicts 2424 - 4040 melee damage on target',0,0),
(161032,400071,11,100,'You must be sneaking to use this ability.',0,1),
(161033,400071,11,100,'Must be flanking or behind',0,2),
(161034,400072,10,100,'All attack-based combat arts with a reuse timer of under 1 minute will deal 30% more melee damage and have their reuse timers lowered.',0,0),
(161035,400073,10,100,'Inflicts 820 - 1003 melee damage on target',0,0),
(161036,400073,10,100,'You must execute certain stealthed combat arts before you can use this ability.',0,1),
(161037,400073,11,100,'Inflicts 986 - 1206 melee damage on target',0,0),
(161038,400073,11,100,'You must execute certain stealthed combat arts before you can use this ability.',0,1),
(161039,400074,10,100,'Inflicts 1135 - 1387 melee damage on target',0,0),
(161040,400074,10,100,'You must execute certain stealthed combat arts before you can use this ability.',0,1),
(161041,400074,11,100,'Inflicts 1365 - 1668 melee damage on target',0,0),
(161042,400074,11,100,'You must execute certain stealthed combat arts before you can use this ability.',0,1),
(161043,400075,10,100,'Inflicts 1386 - 1695 melee damage on target',0,0),
(161044,400075,10,100,'You must execute certain stealthed combat arts before you can use this ability.',0,1),
(161045,400075,11,100,'Inflicts 1667 - 2038 melee damage on target',0,0),
(161046,400075,11,100,'You must execute certain stealthed combat arts before you can use this ability.',0,1),
(161047,400076,10,100,'Applies Untreated Bleeding on termination.',0,0),
(161048,400076,10,100,'Inflicts 10 - 17 piercing damage on target',1,1),
(161049,400076,10,100,'Inflicts 1 - 2 melee damage on target',0,2),
(161050,400076,10,100,'Inflicts 2 - 4 piercing damage on target instantly and every 4 seconds',0,3),
(161051,400078,10,100,'Applies Untreated Bleeding on termination.',0,0),
(161052,400078,10,100,'Inflicts 122 - 203 piercing damage on target',1,1),
(161053,400078,10,100,'Inflicts 17 - 29 melee damage on target',0,2),
(161054,400078,10,100,'Inflicts 26 - 44 piercing damage on target instantly and every 4 seconds',0,3),
(161055,400079,10,100,'Applies Untreated Bleeding on termination.',0,0),
(161056,400079,10,100,'Inflicts 196 - 327 piercing damage on target',1,1),
(161057,400079,10,100,'Inflicts 28 - 46 melee damage on target',0,2),
(161058,400079,10,100,'Inflicts 42 - 70 piercing damage on target instantly and every 4 seconds',0,3),
(161059,400080,10,100,'Applies Untreated Bleeding on termination.',0,0),
(161060,400080,10,100,'Inflicts 604 - 1007 piercing damage on target',1,1),
(161061,400080,10,100,'Inflicts 86 - 143 melee damage on target',0,2),
(161062,400080,10,100,'Inflicts 129 - 216 piercing damage on target instantly and every 4 seconds',0,3),
(161063,400080,11,100,'Applies Untreated Bleeding on termination.',0,0),
(161064,400080,11,100,'Inflicts 726 - 1210 piercing damage on target',1,1),
(161065,400080,11,100,'Inflicts 103 - 172 melee damage on target',0,2),
(161066,400080,11,100,'Inflicts 156 - 259 piercing damage on target instantly and every 4 seconds',0,3),
(161067,400082,10,100,'Applies Untreated Bleeding on termination.',0,0),
(161068,400082,10,100,'Inflicts 382 - 636 piercing damage on target',1,1),
(161069,400082,10,100,'Inflicts 54 - 90 melee damage on target',0,2),
(161070,400082,10,100,'Inflicts 82 - 136 piercing damage on target instantly and every 4 seconds',0,3),
(161071,400083,10,100,'Applies Untreated Bleeding on termination.',0,0),
(161072,400083,10,100,'Inflicts 462 - 770 piercing damage on target',1,1),
(161073,400083,10,100,'Inflicts 65 - 109 melee damage on target',0,2),
(161074,400083,10,100,'Inflicts 99 - 165 piercing damage on target instantly and every 4 seconds',0,3),
(161075,400084,10,100,'Applies Untreated Bleeding on termination.',0,0),
(161076,400084,10,100,'Inflicts 556 - 927 piercing damage on target',1,1),
(161077,400084,10,100,'Inflicts 79 - 132 melee damage on target',0,2),
(161078,400084,10,100,'Inflicts 119 - 199 piercing damage on target instantly and every 4 seconds',0,3),
(161079,400085,10,100,'Inflicts 357 - 595 ranged damage on target',0,0),
(161080,400085,10,100,'If weapon equipped in Ranged',0,1),
(161081,400085,10,100,'Must be flanking or behind',0,2),
(161082,400087,10,100,'Inflicts 846 - 1411 ranged damage on target',0,0),
(161083,400087,10,100,'If weapon equipped in Ranged',0,1),
(161084,400087,10,100,'Must be flanking or behind',0,2),
(161085,400088,10,100,'Inflicts 1118 - 1864 ranged damage on target',0,0),
(161086,400088,10,100,'If weapon equipped in Ranged',0,1),
(161087,400088,10,100,'Must be flanking or behind',0,2),
(161088,400089,10,100,'Inflicts 1354 - 2256 ranged damage on target',0,0),
(161089,400089,10,100,'If weapon equipped in Ranged',0,1),
(161090,400089,10,100,'Must be flanking or behind',0,2),
(161091,400090,10,100,'Inflicts 1631 - 2718 ranged damage on target',0,0),
(161092,400090,10,100,'If weapon equipped in Ranged',0,1),
(161093,400090,10,100,'Must be flanking or behind',0,2),
(161094,400091,10,100,'Inflicts 1770 - 2951 ranged damage on target',0,0),
(161095,400091,10,100,'If weapon equipped in Ranged',0,1),
(161096,400091,10,100,'Must be flanking or behind',0,2),
(161097,400091,11,100,'Inflicts 2129 - 3548 ranged damage on target',0,0),
(161098,400091,11,100,'If weapon equipped in Ranged',0,1),
(161099,400091,11,100,'Must be flanking or behind',0,2),
(161100,400093,10,100,'Inflicts 79 - 133 piercing damage on target',0,0),
(161101,400093,10,100,'Inflicts 22 - 36 piercing damage on target instantly and every 4 seconds',0,1),
(161102,400095,10,100,'Inflicts 185 - 309 piercing damage on target',0,0),
(161103,400095,10,100,'Inflicts 51 - 84 piercing damage on target instantly and every 4 seconds',0,1),
(161104,400096,10,100,'Inflicts 243 - 406 piercing damage on target',0,0),
(161105,400096,10,100,'Inflicts 67 - 111 piercing damage on target instantly and every 4 seconds',0,1),
(161106,400097,10,100,'Inflicts 295 - 492 piercing damage on target',0,0),
(161107,400097,10,100,'Inflicts 81 - 134 piercing damage on target instantly and every 4 seconds',0,1),
(161108,400098,10,100,'Inflicts 355 - 593 piercing damage on target',0,0),
(161109,400098,10,100,'Inflicts 97 - 162 piercing damage on target instantly and every 4 seconds',0,1),
(161110,400099,10,100,'Inflicts 381 - 636 piercing damage on target',0,0),
(161111,400099,10,100,'Inflicts 104 - 174 piercing damage on target instantly and every 4 seconds',0,1),
(161112,400099,11,100,'Inflicts 459 - 765 piercing damage on target',0,0),
(161113,400099,11,100,'Inflicts 125 - 209 piercing damage on target instantly and every 4 seconds',0,1),
(161114,400100,10,100,'Inflicts 183 - 306 piercing damage on target',0,0),
(161115,400102,10,100,'Inflicts 405 - 675 piercing damage on target',0,0),
(161116,400103,10,100,'Inflicts 529 - 881 piercing damage on target',0,0),
(161117,400104,10,100,'Inflicts 640 - 1067 piercing damage on target',0,0),
(161118,400105,10,100,'Inflicts 749 - 1249 piercing damage on target',0,0),
(161119,400105,11,100,'Inflicts 901 - 1501 piercing damage on target',0,0),
(161120,400108,10,100,'Inflicts 640 - 1067 slashing damage on target',0,0),
(161121,400108,10,100,'Stifles target',0,1),
(161122,400108,10,100,'If Target is not Epic',1,2),
(161123,400108,10,100,'You must be in stealth.',0,3),
(161124,400108,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(161125,400110,10,100,'Inflicts 1101 - 1835 slashing damage on target',0,0),
(161126,400110,10,100,'Stifles target',0,1),
(161127,400110,10,100,'If Target is not Epic',1,2),
(161128,400110,10,100,'You must be in stealth.',0,3),
(161129,400110,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(161130,400112,11,100,'Inflicts 1824 - 3040 slashing damage on target',0,0),
(161131,400112,11,100,'Stifles target',0,1),
(161132,400112,11,100,'If Target is not Epic',1,2),
(161133,400112,11,100,'You must be in stealth.',0,3),
(161134,400112,11,100,'Resistibility increases against targets higher than level 29.',0,4),
(161135,400113,10,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(161136,400113,10,100,'Grants stealth to caster',1,1),
(161137,400113,10,100,'Suspends caster''s movement speed enhancements',1,2),
(161138,400113,10,100,'Inflicts 27 - 45 melee damage on target',0,3),
(161139,400113,10,100,'Must be flanking or behind',0,4),
(161140,400114,10,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(161141,400114,10,100,'Grants stealth to caster',1,1),
(161142,400114,10,100,'Suspends caster''s movement speed enhancements',1,2),
(161143,400114,10,100,'Inflicts 97 - 163 melee damage on target',0,3),
(161144,400114,10,100,'Must be flanking or behind',0,4),
(161145,400116,10,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(161146,400116,10,100,'Grants stealth to caster',1,1),
(161147,400116,10,100,'Suspends caster''s movement speed enhancements',1,2),
(161148,400116,10,100,'Inflicts 277 - 461 melee damage on target',0,3),
(161149,400116,10,100,'Must be flanking or behind',0,4),
(161150,400118,10,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(161151,400118,10,100,'Grants stealth to caster',1,1),
(161152,400118,10,100,'Suspends caster''s movement speed enhancements',1,2),
(161153,400118,10,100,'Inflicts 489 - 815 melee damage on target',0,3),
(161154,400118,10,100,'Must be flanking or behind',0,4),
(161155,400120,11,100,'Applies Shroud on termination.  Lasts for 36.0 seconds.',0,0),
(161156,400120,11,100,'Grants stealth to caster',1,1),
(161157,400120,11,100,'Suspends caster''s movement speed enhancements',1,2),
(161158,400120,11,100,'Inflicts 810 - 1351 melee damage on target',0,3),
(161159,400120,11,100,'Must be flanking or behind',0,4),
(161160,400121,10,100,'Inflicts 215 - 358 melee damage on targets in Area of Effect',0,0),
(161161,400121,10,100,'You must be in stealth to use this!',0,1),
(161162,400122,10,100,'Inflicts 399 - 666 melee damage on targets in Area of Effect',0,0),
(161163,400122,10,100,'You must be in stealth to use this!',0,1),
(161164,400123,10,100,'Inflicts 609 - 1015 melee damage on targets in Area of Effect',0,0),
(161165,400123,10,100,'You must be in stealth to use this!',0,1),
(161166,400126,10,100,'Inflicts 1276 - 2128 melee damage on targets in Area of Effect',0,0),
(161167,400126,10,100,'You must be in stealth to use this!',0,1),
(161168,400127,10,100,'Inflicts 1474 - 2457 melee damage on targets in Area of Effect',0,0),
(161169,400127,10,100,'You must be in stealth to use this!',0,1),
(161170,400127,11,100,'Inflicts 1772 - 2954 melee damage on targets in Area of Effect',0,0),
(161171,400127,11,100,'You must be in stealth to use this!',0,1),
(161172,400129,10,100,'Inflicts 1245 - 2075 melee damage on target',0,0),
(161173,400129,10,100,'You must be in stealth.',0,1),
(161174,400131,10,100,'Inflicts 2472 - 4121 melee damage on target',0,0),
(161175,400131,10,100,'You must be in stealth.',0,1),
(161176,400132,10,100,'Inflicts 3045 - 5075 melee damage on target',0,0),
(161177,400132,10,100,'You must be in stealth.',0,1),
(161178,400133,10,100,'Inflicts 3671 - 6118 melee damage on target',0,0),
(161179,400133,10,100,'You must be in stealth.',0,1),
(161180,400134,10,100,'Inflicts 4032 - 6720 melee damage on target',0,0),
(161181,400134,10,100,'You must be in stealth.',0,1),
(161182,400134,11,100,'Inflicts 4848 - 8080 melee damage on target',0,0),
(161183,400134,11,100,'You must be in stealth.',0,1),
(161184,400135,1,100,'Causes 5% Threat to transfer to target when in combat',0,0),
(161185,400135,10,100,'Causes 10% Threat to transfer to target when in combat',0,0),
(161186,400136,10,100,'Causes 13% Threat to transfer to target when in combat',0,0),
(161187,400137,10,100,'Causes 16% Threat to transfer to target when in combat',0,0),
(161188,400138,10,100,'Causes 20% Threat to transfer to target when in combat',0,0),
(161189,400140,10,100,'Inflicts 539 - 898 melee damage on target',0,0),
(161190,400140,10,100,'Roots target',0,1),
(161191,400140,10,100,'If Target is not Epic',1,2),
(161192,400140,10,100,'5% chance to dispel when target takes damage',0,3),
(161193,400140,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(161194,400141,10,100,'Inflicts 751 - 1251 melee damage on target',0,0),
(161195,400141,10,100,'Roots target',0,1),
(161196,400141,10,100,'If Target is not Epic',1,2),
(161197,400141,10,100,'5% chance to dispel when target takes damage',0,3),
(161198,400141,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(161199,400142,10,100,'Inflicts 959 - 1599 melee damage on target',0,0),
(161200,400142,10,100,'Roots target',0,1),
(161201,400142,10,100,'If Target is not Epic',1,2),
(161202,400142,10,100,'5% chance to dispel when target takes damage',0,3),
(161203,400142,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(161204,400144,11,100,'Inflicts 1611 - 2686 melee damage on target',0,0),
(161205,400144,11,100,'Roots target',0,1),
(161206,400144,11,100,'If Target is not Epic',1,2),
(161207,400144,11,100,'5% chance to dispel when target takes damage',0,3),
(161208,400144,11,100,'Resistibility increases against targets higher than level 29.',0,4),
(161209,400145,10,100,'Inflicts 9 - 15 melee damage on target',0,0),
(161210,400145,10,100,'Inflicts 2 slashing damage on target every 4 seconds',0,1),
(161211,400146,10,100,'Inflicts 28 - 47 melee damage on target',0,0),
(161212,400146,10,100,'Inflicts 6 slashing damage on target every 4 seconds',0,1),
(161213,400147,10,100,'Inflicts 51 - 86 melee damage on target',0,0),
(161214,400147,10,100,'Inflicts 10 slashing damage on target every 4 seconds',0,1),
(161215,400148,10,100,'Inflicts 105 - 175 melee damage on target',0,0),
(161216,400148,10,100,'Inflicts 21 slashing damage on target every 4 seconds',0,1),
(161217,400149,10,100,'Inflicts 442 - 736 melee damage on target',0,0),
(161218,400149,10,100,'Inflicts 88 slashing damage on target every 4 seconds',0,1),
(161219,400149,11,100,'Inflicts 531 - 885 melee damage on target',0,0),
(161220,400149,11,100,'Inflicts 106 slashing damage on target every 4 seconds',0,1),
(161221,400151,10,100,'Inflicts 235 - 392 melee damage on target',0,0),
(161222,400151,10,100,'Inflicts 47 slashing damage on target every 4 seconds',0,1),
(161223,400153,10,100,'Inflicts 372 - 621 melee damage on target',0,0),
(161224,400153,10,100,'Inflicts 74 slashing damage on target every 4 seconds',0,1),
(161225,400155,10,100,'Inflicts 199 - 332 ranged damage on target',0,0),
(161226,400155,10,100,'If weapon equipped in Ranged',0,1),
(161227,400155,10,100,'Must be flanking or behind',0,2),
(161228,400156,10,100,'Inflicts 404 - 673 ranged damage on target',0,0),
(161229,400156,10,100,'If weapon equipped in Ranged',0,1),
(161230,400156,10,100,'Must be flanking or behind',0,2),
(161231,400157,10,100,'Inflicts 633 - 1055 ranged damage on target',0,0),
(161232,400157,10,100,'If weapon equipped in Ranged',0,1),
(161233,400157,10,100,'Must be flanking or behind',0,2),
(161234,400158,10,100,'Inflicts 905 - 1509 ranged damage on target',0,0),
(161235,400158,10,100,'If weapon equipped in Ranged',0,1),
(161236,400158,10,100,'Must be flanking or behind',0,2),
(161237,400159,10,100,'Inflicts 1183 - 1971 ranged damage on target',0,0),
(161238,400159,10,100,'If weapon equipped in Ranged',0,1),
(161239,400159,10,100,'Must be flanking or behind',0,2),
(161240,400160,10,100,'Inflicts 1433 - 2388 ranged damage on target',0,0),
(161241,400160,10,100,'If weapon equipped in Ranged',0,1),
(161242,400160,10,100,'Must be flanking or behind',0,2),
(161243,400161,10,100,'Inflicts 1700 - 2833 ranged damage on target',0,0),
(161244,400161,10,100,'If weapon equipped in Ranged',0,1),
(161245,400161,10,100,'Must be flanking or behind',0,2),
(161246,400161,11,100,'Inflicts 2044 - 3407 ranged damage on target',0,0),
(161247,400161,11,100,'If weapon equipped in Ranged',0,1),
(161248,400161,11,100,'Must be flanking or behind',0,2),
(161249,400162,10,100,'Inflicts 166 - 277 melee damage on targets in Area of Effect',0,0),
(161250,400162,10,100,'Inflicts 50 piercing damage on targets in Area of Effect instantly and every 2 seconds',0,1),
(161251,400162,10,100,'You must be in stealth or have Bloody Assault.',0,2),
(161252,400162,11,100,'Inflicts 200 - 333 melee damage on targets in Area of Effect',0,0),
(161253,400162,11,100,'Inflicts 61 piercing damage on targets in Area of Effect instantly and every 2 seconds',0,1),
(161254,400162,11,100,'You must be in stealth or have Bloody Assault.',0,2),
(161255,400163,10,100,'Inflicts 263 - 438 melee damage on targets in Area of Effect',0,0),
(161256,400163,10,100,'Inflicts 80 piercing damage on targets in Area of Effect instantly and every 2 seconds',0,1),
(161257,400163,10,100,'You must be in stealth or have Bloody Assault.',0,2),
(161258,400163,11,100,'Inflicts 316 - 527 melee damage on targets in Area of Effect',0,0),
(161259,400163,11,100,'Inflicts 96 piercing damage on targets in Area of Effect instantly and every 2 seconds',0,1),
(161260,400163,11,100,'You must be in stealth or have Bloody Assault.',0,2),
(161261,400164,10,100,'Inflicts 379 - 632 melee damage on targets in Area of Effect',0,0),
(161262,400164,10,100,'Inflicts 115 piercing damage on targets in Area of Effect instantly and every 2 seconds',0,1),
(161263,400164,10,100,'You must be in stealth or have Bloody Assault.',0,2),
(161264,400164,11,100,'Inflicts 456 - 761 melee damage on targets in Area of Effect',0,0),
(161265,400164,11,100,'Inflicts 138 piercing damage on targets in Area of Effect instantly and every 2 seconds',0,1),
(161266,400164,11,100,'You must be in stealth or have Bloody Assault.',0,2),
(161267,400165,10,100,'Inflicts 496 - 827 melee damage on targets in Area of Effect',0,0),
(161268,400165,10,100,'Inflicts 150 piercing damage on targets in Area of Effect instantly and every 2 seconds',0,1),
(161269,400165,10,100,'You must be in stealth or have Bloody Assault.',0,2),
(161270,400165,11,100,'Inflicts 596 - 994 melee damage on targets in Area of Effect',0,0),
(161271,400165,11,100,'Inflicts 181 piercing damage on targets in Area of Effect instantly and every 2 seconds',0,1),
(161272,400165,11,100,'You must be in stealth or have Bloody Assault.',0,2),
(161273,400166,10,100,'Inflicts 601 - 1003 melee damage on targets in Area of Effect',0,0),
(161274,400166,10,100,'Inflicts 182 piercing damage on targets in Area of Effect instantly and every 2 seconds',0,1),
(161275,400166,10,100,'You must be in stealth or have Bloody Assault.',0,2),
(161276,400166,11,100,'Inflicts 723 - 1206 melee damage on targets in Area of Effect',0,0),
(161277,400166,11,100,'Inflicts 219 piercing damage on targets in Area of Effect instantly and every 2 seconds',0,1),
(161278,400166,11,100,'You must be in stealth or have Bloody Assault.',0,2),
(161279,400167,10,100,'Inflicts 724 - 1206 melee damage on targets in Area of Effect',0,0),
(161280,400167,10,100,'Inflicts 219 piercing damage on targets in Area of Effect instantly and every 2 seconds',0,1),
(161281,400167,10,100,'You must be in stealth or have Bloody Assault.',0,2),
(161282,400167,11,100,'Inflicts 870 - 1450 melee damage on targets in Area of Effect',0,0),
(161283,400167,11,100,'Inflicts 264 piercing damage on targets in Area of Effect instantly and every 2 seconds',0,1),
(161284,400167,11,100,'You must be in stealth or have Bloody Assault.',0,2),
(161285,400168,10,100,'Inflicts 768 - 1280 melee damage on targets in Area of Effect',0,0),
(161286,400168,10,100,'Inflicts 233 piercing damage on targets in Area of Effect instantly and every 2 seconds',0,1),
(161287,400168,10,100,'You must be in stealth or have Bloody Assault.',0,2),
(161288,400168,11,100,'Inflicts 923 - 1539 melee damage on targets in Area of Effect',0,0),
(161289,400168,11,100,'Inflicts 280 piercing damage on targets in Area of Effect instantly and every 2 seconds',0,1),
(161290,400168,11,100,'You must be in stealth or have Bloody Assault.',0,2),
(161291,400169,10,100,'Decreases Defense of target by 4.4',0,0),
(161292,400169,10,100,'Decreases Mitigation of target vs physical damage by 97',0,1),
(161293,400170,10,100,'Decreases Defense of target by 11.1',0,0),
(161294,400170,10,100,'Decreases Mitigation of target vs physical damage by 185',0,1),
(161295,400171,10,100,'Decreases Defense of target by 18.1',0,0),
(161296,400171,10,100,'Decreases Mitigation of target vs physical damage by 302',0,1),
(161297,400172,10,100,'Decreases Defense of target by 25.2',0,0),
(161298,400172,10,100,'Decreases Mitigation of target vs physical damage by 420',0,1),
(161299,400173,10,100,'Decreases Defense of target by 32.3',0,0),
(161300,400173,10,100,'Decreases Mitigation of target vs physical damage by 538',0,1),
(161301,400174,10,100,'Decreases Defense of target by 38.6',0,0),
(161302,400174,10,100,'Decreases Mitigation of target vs physical damage by 675',0,1),
(161303,400175,10,100,'Decreases Defense of target by 45.4',0,0),
(161304,400175,10,100,'Decreases Mitigation of target vs physical damage by 857',0,1),
(161305,400176,10,100,'Decreases Defense of target by 52.1',0,0),
(161306,400176,10,100,'Decreases Mitigation of target vs physical damage by 958',0,1),
(161307,400176,11,100,'Decreases Defense of target by 62.6',0,0),
(161308,400176,11,100,'Decreases Mitigation of target vs physical damage by 1151',0,1),
(161309,400178,10,100,'Increases AGI of caster by 35.1',0,0),
(161310,400178,10,100,'Adds 26.2% to base avoidance.',0,1),
(161311,400178,10,100,'Increases Multi Attack of caster by 45.7',0,2),
(161312,400178,10,100,'Increases Mitigation of caster vs physical damage by 544',0,3),
(161313,400178,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 708',0,4),
(161314,400179,10,100,'Increases AGI of caster by 53.4',0,0),
(161315,400179,10,100,'Adds 26.2% to base avoidance.',0,1),
(161316,400179,10,100,'Increases Multi Attack of caster by 54.7',0,2),
(161317,400179,10,100,'Increases Mitigation of caster vs physical damage by 827',0,3),
(161318,400179,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1075',0,4),
(161319,400180,10,100,'Increases AGI of caster by 72.2',0,0),
(161320,400180,10,100,'Adds 26.2% to base avoidance.',0,1),
(161321,400180,10,100,'Increases Multi Attack of caster by 63.8',0,2),
(161322,400180,10,100,'Increases Mitigation of caster vs physical damage by 1109',0,3),
(161323,400180,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1441',0,4),
(161324,400181,10,100,'Increases AGI of caster by 91.1',0,0),
(161325,400181,10,100,'Adds 26.2% to base avoidance.',0,1),
(161326,400181,10,100,'Increases Multi Attack of caster by 73.2',0,2),
(161327,400181,10,100,'Increases Mitigation of caster vs physical damage by 1391',0,3),
(161328,400181,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 1808',0,4),
(161329,400182,10,100,'Increases AGI of caster by 109.0',0,0),
(161330,400182,10,100,'Adds 26.2% to base avoidance.',0,1),
(161331,400182,10,100,'Increases Multi Attack of caster by 81.5',0,2),
(161332,400182,10,100,'Increases Mitigation of caster vs physical damage by 1593',0,3),
(161333,400182,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2070',0,4),
(161334,400183,10,100,'Increases AGI of caster by 127.5',0,0),
(161335,400183,10,100,'Adds 26.2% to base avoidance.',0,1),
(161336,400183,10,100,'Increases Multi Attack of caster by 92.9',0,2),
(161337,400183,10,100,'Increases Mitigation of caster vs physical damage by 1794',0,3),
(161338,400183,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 2333',0,4),
(161339,400184,10,100,'Increases AGI of caster by 146.0',0,0),
(161340,400184,10,100,'Adds 34.1% to base avoidance.',0,1),
(161341,400184,10,100,'Increases Multi Attack of caster by 100.1',0,2),
(161342,400184,10,100,'Increases Mitigation of caster vs physical damage by 2595',0,3),
(161343,400184,10,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 3373',0,4),
(161344,400184,11,100,'Increases AGI of caster by 175.5',0,0),
(161345,400184,11,100,'Adds 41.0% to base avoidance.',0,1),
(161346,400184,11,100,'Increases Multi Attack of caster by 120.4',0,2),
(161347,400184,11,100,'Increases Mitigation of caster vs physical damage by 3120',0,3),
(161348,400184,11,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 4056',0,4),
(161349,400185,1,100,'Inflicts 35 - 58 melee damage on target',1,4),
(161350,400185,2,100,'Inflicts 37 - 62 melee damage on target',1,4),
(161351,400185,3,100,'Inflicts 39 - 65 melee damage on target',1,4),
(161352,400185,4,100,'Inflicts 43 - 71 melee damage on target',1,4),
(161353,400185,5,100,'Inflicts 47 - 78 melee damage on target',1,4),
(161354,400185,7,100,'Inflicts 60 - 100 melee damage on target',1,4),
(161355,400185,9,100,'Inflicts 62 - 104 melee damage on target',1,4),
(161356,400185,10,100,'Increases Fervor of caster by 5.0',0,0),
(161357,400185,10,100,'Decreases Defense of caster by 5.1',0,1),
(161358,400185,10,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 12.9',0,2),
(161359,400185,10,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,3),
(161360,400185,10,100,'Inflicts 65 - 109 melee damage on target',1,4),
(161361,400185,11,100,'Increases Fervor of caster by 5.0',0,0),
(161362,400185,11,100,'Decreases Defense of caster by 5.1',0,1),
(161363,400185,11,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 15.5',0,2),
(161364,400185,11,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,3),
(161365,400185,11,100,'Inflicts 79 - 131 melee damage on target',1,4),
(161366,400186,1,100,'Inflicts 68 - 113 melee damage on target',1,4),
(161367,400186,2,100,'Inflicts 71 - 119 melee damage on target',1,4),
(161368,400186,3,100,'Inflicts 75 - 126 melee damage on target',1,4),
(161369,400186,4,100,'Inflicts 83 - 138 melee damage on target',1,4),
(161370,400186,5,100,'Inflicts 90 - 151 melee damage on target',1,4),
(161371,400186,7,100,'Inflicts 116 - 194 melee damage on target',1,4),
(161372,400186,9,100,'Inflicts 121 - 201 melee damage on target',1,4),
(161373,400186,10,100,'Increases Fervor of caster by 5.0',0,0),
(161374,400186,10,100,'Decreases Defense of caster by 9.3',0,1),
(161375,400186,10,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 23.4',0,2),
(161376,400186,10,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,3),
(161377,400186,10,100,'Inflicts 127 - 211 melee damage on target',1,4),
(161378,400186,11,100,'Increases Fervor of caster by 5.0',0,0),
(161379,400186,11,100,'Decreases Defense of caster by 9.3',0,1),
(161380,400186,11,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 28.2',0,2),
(161381,400186,11,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,3),
(161382,400186,11,100,'Inflicts 152 - 254 melee damage on target',1,4),
(161383,400187,1,100,'Inflicts 105 - 175 melee damage on target',1,4),
(161384,400187,2,100,'Inflicts 111 - 185 melee damage on target',1,4),
(161385,400187,3,100,'Inflicts 116 - 194 melee damage on target',1,4),
(161386,400187,4,100,'Inflicts 128 - 214 melee damage on target',1,4),
(161387,400187,5,100,'Inflicts 140 - 233 melee damage on target',1,4),
(161388,400187,7,100,'Inflicts 180 - 300 melee damage on target',1,4),
(161389,400187,9,100,'Inflicts 187 - 311 melee damage on target',1,4),
(161390,400187,10,100,'Increases Fervor of caster by 5.0',0,0),
(161391,400187,10,100,'Decreases Defense of caster by 13.5',0,1),
(161392,400187,10,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 34.0',0,2),
(161393,400187,10,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,3),
(161394,400187,10,100,'Inflicts 196 - 327 melee damage on target',1,4),
(161395,400187,11,100,'Increases Fervor of caster by 5.0',0,0),
(161396,400187,11,100,'Decreases Defense of caster by 13.5',0,1),
(161397,400187,11,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 40.9',0,2),
(161398,400187,11,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,3),
(161399,400187,11,100,'Inflicts 236 - 393 melee damage on target',1,4),
(161400,400188,1,100,'Inflicts 147 - 246 melee damage on target',1,4),
(161401,400188,2,100,'Inflicts 156 - 260 melee damage on target',1,4),
(161402,400188,3,100,'Inflicts 164 - 273 melee damage on target',1,4),
(161403,400188,4,100,'Inflicts 180 - 301 melee damage on target',1,4),
(161404,400188,5,100,'Inflicts 197 - 328 melee damage on target',1,4),
(161405,400188,7,100,'Inflicts 252 - 421 melee damage on target',1,4),
(161406,400188,9,100,'Inflicts 262 - 438 melee damage on target',1,4),
(161407,400188,10,100,'Increases Fervor of caster by 5.0',0,0),
(161408,400188,10,100,'Decreases Defense of caster by 17.7',0,1),
(161409,400188,10,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 44.6',0,2),
(161410,400188,10,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,3),
(161411,400188,10,100,'Inflicts 275 - 459 melee damage on target',1,4),
(161412,400188,11,100,'Increases Fervor of caster by 5.0',0,0),
(161413,400188,11,100,'Decreases Defense of caster by 17.7',0,1),
(161414,400188,11,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 53.6',0,2),
(161415,400188,11,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,3),
(161416,400188,11,100,'Inflicts 331 - 553 melee damage on target',1,4),
(161417,400189,1,100,'Inflicts 188 - 314 melee damage on target',1,4),
(161418,400189,2,100,'Inflicts 199 - 332 melee damage on target',1,4),
(161419,400189,3,100,'Inflicts 209 - 349 melee damage on target',1,4),
(161420,400189,4,100,'Inflicts 230 - 384 melee damage on target',1,4),
(161421,400189,5,100,'Inflicts 251 - 419 melee damage on target',1,4),
(161422,400189,7,100,'Inflicts 323 - 538 melee damage on target',1,4),
(161423,400189,9,100,'Inflicts 335 - 559 melee damage on target',1,4),
(161424,400189,10,100,'Increases Fervor of caster by 5.0',0,0),
(161425,400189,10,100,'Decreases Defense of caster by 21.8',0,1),
(161426,400189,10,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 54.9',0,2),
(161427,400189,10,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,3),
(161428,400189,10,100,'Inflicts 352 - 587 melee damage on target',1,4),
(161429,400189,11,100,'Increases Fervor of caster by 5.0',0,0),
(161430,400189,11,100,'Decreases Defense of caster by 21.8',0,1),
(161431,400189,11,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 66.1',0,2),
(161432,400189,11,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,3),
(161433,400189,11,100,'Inflicts 424 - 706 melee damage on target',1,4),
(161434,400190,1,100,'Inflicts 228 - 381 melee damage on target',1,4),
(161435,400190,4,100,'Inflicts 279 - 465 melee damage on target',1,4),
(161436,400190,5,100,'Inflicts 305 - 508 melee damage on target',1,4),
(161437,400190,7,100,'Inflicts 391 - 652 melee damage on target',1,4),
(161438,400190,9,100,'Inflicts 406 - 677 melee damage on target',1,4),
(161439,400190,10,100,'Increases Fervor of caster by 5.0',0,0),
(161440,400190,10,100,'Decreases Defense of caster by 25.8',0,1),
(161441,400190,10,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 65.5',0,2),
(161442,400190,10,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,3),
(161443,400190,10,100,'Inflicts 427 - 711 melee damage on target',1,4),
(161444,400190,11,100,'Increases Fervor of caster by 5.0',0,0),
(161445,400190,11,100,'Decreases Defense of caster by 25.8',0,1),
(161446,400190,11,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 78.8',0,2),
(161447,400190,11,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,3),
(161448,400190,11,100,'Inflicts 513 - 855 melee damage on target',1,4),
(161449,400191,1,100,'Inflicts 347 - 579 melee damage on target',1,4),
(161450,400191,4,100,'Inflicts 425 - 708 melee damage on target',1,4),
(161451,400191,5,100,'Inflicts 463 - 773 melee damage on target',1,4),
(161452,400191,7,100,'Inflicts 595 - 992 melee damage on target',1,4),
(161453,400191,9,100,'Inflicts 618 - 1031 melee damage on target',1,4),
(161454,400191,10,100,'Increases Fervor of caster by 5.0',0,0),
(161455,400191,10,100,'Decreases Defense of caster by 29.8',0,1),
(161456,400191,10,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 78.1',0,2),
(161457,400191,10,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,3),
(161458,400191,10,100,'Inflicts 649 - 1082 melee damage on target',1,4),
(161459,400191,11,100,'Increases Fervor of caster by 5.0',0,0),
(161460,400191,11,100,'Decreases Defense of caster by 29.8',0,1),
(161461,400191,11,100,'Increases Slashing, Piercing, Ranged and Crushing of caster by 93.9',0,2),
(161462,400191,11,100,'On a melee hit this spell may cast Swipe on target of attack.  Triggers about 2.0 times per minute. ',0,3),
(161463,400191,11,100,'Inflicts 781 - 1301 melee damage on target',1,4),
(161464,420009,11,100,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(161465,420009,11,100,'Inflicts 109 - 133 cold damage on target',1,1),
(161466,420010,11,100,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(161467,420010,11,100,'Inflicts 153 - 187 cold damage on target',1,1),
(161468,420011,10,100,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(161469,420011,10,100,'Inflicts 171 - 209 cold damage on target',1,1),
(161470,420011,11,100,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(161471,420011,11,100,'Inflicts 205 - 251 cold damage on target',1,1),
(161472,420012,11,100,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(161473,420012,11,100,'Inflicts 260 - 318 cold damage on target',1,1),
(161474,420013,11,100,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(161475,420013,11,100,'Inflicts 315 - 384 cold damage on target',1,1),
(161476,420014,10,100,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(161477,420014,10,100,'Inflicts 317 - 387 cold damage on target',1,1),
(161478,420014,11,100,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(161479,420014,11,100,'Inflicts 381 - 466 cold damage on target',1,1),
(161480,420015,10,100,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(161481,420015,10,100,'Inflicts 382 - 466 cold damage on target',1,1),
(161482,420015,11,100,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(161483,420015,11,100,'Inflicts 459 - 561 cold damage on target',1,1),
(161484,420016,10,100,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(161485,420016,10,100,'Inflicts 414 - 506 cold damage on target',1,1),
(161486,420016,11,100,'On any combat or spell hit this spell may cast Chilling Claws on target of attack.  Triggers about 2.4 times per minute. ',0,0),
(161487,420016,11,100,'Inflicts 498 - 609 cold damage on target',1,1),
(161488,420024,1,100,'Using a Primal will activate Feral Rampage on the Beastlord',0,3),
(161489,420036,10,100,'Inflicts 17 - 29 cold damage on target',0,0),
(161490,420036,10,100,'If weapon equipped in Ranged',0,1),
(161491,420037,10,100,'Inflicts 49 - 82 cold damage on target',0,0),
(161492,420037,10,100,'If weapon equipped in Ranged',0,1),
(161493,420041,10,100,'Inflicts 197 - 328 cold damage on target',0,0),
(161494,420041,10,100,'If weapon equipped in Ranged',0,1),
(161495,420042,10,100,'Inflicts 267 - 445 cold damage on target',0,0),
(161496,420042,10,100,'If weapon equipped in Ranged',0,1),
(161497,420046,11,100,'Inflicts 851 - 1418 cold damage on target',0,0),
(161498,420046,11,100,'If weapon equipped in Ranged',0,1),
(161499,420052,9,100,'Increases the damage, ward or heal amount of Primals by 20%.',0,0),
(161500,420052,9,100,'Reduces the cost of Feral Rampage and Spirituality by 15%',0,1),
(161501,420052,9,100,'Increases the base damage (before modifications) of all combat arts by 15% when attacking a target below 90% health.',0,2),
(161502,420052,9,100,'On any combat or spell hit this spell may cast Primal Rage on caster.  Lasts for 12.0 seconds.  Triggers about 2.4 times per minute. ',0,3),
(161503,420052,9,100,'Increases Crit Bonus of pet by 20.0%',1,4),
(161504,420052,9,100,'Prevents AOE on pet (except when direct)',1,5),
(161505,420052,9,100,'Cannot be modified except by direct means',1,6),
(161506,420052,9,100,'Cannot be modified except by direct means',0,7),
(161507,420052,10,100,'Increases the damage, ward or heal amount of Primals by 20%.',0,0),
(161508,420052,10,100,'Reduces the cost of Feral Rampage and Spirituality by 15%',0,1),
(161509,420052,10,100,'Increases the base damage (before modifications) of all combat arts by 15% when attacking a target below 90% health.',0,2),
(161510,420052,10,100,'On any combat or spell hit this spell may cast Primal Rage on caster.  Lasts for 12.0 seconds.  Triggers about 2.4 times per minute. ',0,3),
(161511,420052,10,100,'Increases Crit Bonus of pet by 20.0%',1,4),
(161512,420052,10,100,'Prevents AOE on pet (except when direct)',1,5),
(161513,420052,10,100,'Cannot be modified except by direct means',1,6),
(161514,420052,10,100,'Cannot be modified except by direct means',0,7),
(161515,420055,9,100,'You must have your warder active to use this ability.',0,5),
(161516,420056,10,100,'Inflicts 11 - 18 melee damage on target',0,0),
(161517,420056,10,100,'Decreases DPS of target by 7.8',0,1),
(161518,420056,10,100,'Decreases Haste of target by 6.8',0,2),
(161519,420057,10,100,'Inflicts 30 - 50 melee damage on target',0,0),
(161520,420057,10,100,'Decreases DPS of target by 8.3',0,1),
(161521,420057,10,100,'Decreases Haste of target by 7.2',0,2),
(161522,420064,10,100,'Inflicts 317 - 529 melee damage on target',0,0),
(161523,420064,10,100,'Decreases DPS of target by 15.5',0,1),
(161524,420064,10,100,'Decreases Haste of target by 10.9',0,2),
(161525,420066,11,100,'Inflicts 650 - 1084 melee damage on target',0,0),
(161526,420066,11,100,'Decreases DPS of target by 26.0',0,1),
(161527,420066,11,100,'Decreases Haste of target by 15.5',0,2),
(161528,420069,10,100,'Inflicts 6 - 10 melee damage on target',0,0),
(161529,420069,10,100,'Inflicts 6 - 10 melee damage on target',0,1),
(161530,420069,10,100,'Inflicts 6 - 10 melee damage on target',0,2),
(161531,420069,10,100,'Inflicts 6 - 10 melee damage on target',0,3),
(161532,420069,10,100,'Inflicts 6 - 10 melee damage on target',0,4),
(161533,420069,11,100,'Inflicts 7 - 13 melee damage on target',0,0),
(161534,420069,11,100,'Inflicts 7 - 13 melee damage on target',0,1),
(161535,420069,11,100,'Inflicts 7 - 13 melee damage on target',0,2),
(161536,420069,11,100,'Inflicts 7 - 13 melee damage on target',0,3),
(161537,420069,11,100,'Inflicts 7 - 13 melee damage on target',0,4),
(161538,420070,10,100,'Inflicts 23 - 38 melee damage on target',0,0),
(161539,420070,10,100,'Inflicts 23 - 38 melee damage on target',0,1),
(161540,420070,10,100,'Inflicts 23 - 38 melee damage on target',0,2),
(161541,420070,10,100,'Inflicts 23 - 38 melee damage on target',0,3),
(161542,420070,10,100,'Inflicts 23 - 38 melee damage on target',0,4),
(161543,420070,11,100,'Inflicts 28 - 46 melee damage on target',0,0),
(161544,420070,11,100,'Inflicts 28 - 46 melee damage on target',0,1),
(161545,420070,11,100,'Inflicts 28 - 46 melee damage on target',0,2),
(161546,420070,11,100,'Inflicts 28 - 46 melee damage on target',0,3),
(161547,420070,11,100,'Inflicts 28 - 46 melee damage on target',0,4),
(161548,420071,11,100,'Inflicts 44 - 74 melee damage on target',0,0),
(161549,420071,11,100,'Inflicts 44 - 74 melee damage on target',0,1),
(161550,420071,11,100,'Inflicts 44 - 74 melee damage on target',0,2),
(161551,420071,11,100,'Inflicts 44 - 74 melee damage on target',0,3),
(161552,420071,11,100,'Inflicts 44 - 74 melee damage on target',0,4),
(161553,420072,11,100,'Inflicts 80 - 133 melee damage on target',0,0),
(161554,420072,11,100,'Inflicts 80 - 133 melee damage on target',0,1),
(161555,420072,11,100,'Inflicts 80 - 133 melee damage on target',0,2),
(161556,420072,11,100,'Inflicts 80 - 133 melee damage on target',0,3),
(161557,420072,11,100,'Inflicts 80 - 133 melee damage on target',0,4),
(161558,420073,11,100,'Inflicts 317 - 529 melee damage on target',0,0),
(161559,420073,11,100,'Inflicts 317 - 529 melee damage on target',0,1),
(161560,420073,11,100,'Inflicts 317 - 529 melee damage on target',0,2),
(161561,420073,11,100,'Inflicts 317 - 529 melee damage on target',0,3),
(161562,420073,11,100,'Inflicts 317 - 529 melee damage on target',0,4),
(161563,420074,10,100,'Inflicts 99 - 166 melee damage on target',0,0),
(161564,420074,10,100,'Inflicts 99 - 166 melee damage on target',0,1),
(161565,420074,10,100,'Inflicts 99 - 166 melee damage on target',0,2),
(161566,420074,10,100,'Inflicts 99 - 166 melee damage on target',0,3),
(161567,420074,10,100,'Inflicts 99 - 166 melee damage on target',0,4),
(161568,420074,11,100,'Inflicts 120 - 200 melee damage on target',0,0),
(161569,420074,11,100,'Inflicts 120 - 200 melee damage on target',0,1),
(161570,420074,11,100,'Inflicts 120 - 200 melee damage on target',0,2),
(161571,420074,11,100,'Inflicts 120 - 200 melee damage on target',0,3),
(161572,420074,11,100,'Inflicts 120 - 200 melee damage on target',0,4),
(161573,420075,11,100,'Inflicts 163 - 271 melee damage on target',0,0),
(161574,420075,11,100,'Inflicts 163 - 271 melee damage on target',0,1),
(161575,420075,11,100,'Inflicts 163 - 271 melee damage on target',0,2),
(161576,420075,11,100,'Inflicts 163 - 271 melee damage on target',0,3),
(161577,420075,11,100,'Inflicts 163 - 271 melee damage on target',0,4),
(161578,420076,10,100,'Inflicts 177 - 295 melee damage on target',0,0),
(161579,420076,10,100,'Inflicts 177 - 295 melee damage on target',0,1),
(161580,420076,10,100,'Inflicts 177 - 295 melee damage on target',0,2),
(161581,420076,10,100,'Inflicts 177 - 295 melee damage on target',0,3),
(161582,420076,10,100,'Inflicts 177 - 295 melee damage on target',0,4),
(161583,420076,11,100,'Inflicts 213 - 355 melee damage on target',0,0),
(161584,420076,11,100,'Inflicts 213 - 355 melee damage on target',0,1),
(161585,420076,11,100,'Inflicts 213 - 355 melee damage on target',0,2),
(161586,420076,11,100,'Inflicts 213 - 355 melee damage on target',0,3),
(161587,420076,11,100,'Inflicts 213 - 355 melee damage on target',0,4),
(161588,420077,11,100,'Inflicts 263 - 438 melee damage on target',0,0),
(161589,420077,11,100,'Inflicts 263 - 438 melee damage on target',0,1),
(161590,420077,11,100,'Inflicts 263 - 438 melee damage on target',0,2),
(161591,420077,11,100,'Inflicts 263 - 438 melee damage on target',0,3),
(161592,420077,11,100,'Inflicts 263 - 438 melee damage on target',0,4),
(161593,420078,11,100,'Inflicts 383 - 639 melee damage on target',0,0),
(161594,420078,11,100,'Inflicts 383 - 639 melee damage on target',0,1),
(161595,420078,11,100,'Inflicts 383 - 639 melee damage on target',0,2),
(161596,420078,11,100,'Inflicts 383 - 639 melee damage on target',0,3),
(161597,420078,11,100,'Inflicts 383 - 639 melee damage on target',0,4),
(161598,420079,11,100,'Inflicts 443 - 738 melee damage on target',0,0),
(161599,420079,11,100,'Inflicts 443 - 738 melee damage on target',0,1),
(161600,420079,11,100,'Inflicts 443 - 738 melee damage on target',0,2),
(161601,420079,11,100,'Inflicts 443 - 738 melee damage on target',0,3),
(161602,420079,11,100,'Inflicts 443 - 738 melee damage on target',0,4),
(161603,420083,11,100,'Increases Mitigation of caster vs physical damage by 703',0,0),
(161604,420083,11,100,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',0,1),
(161605,420083,11,100,'Inflicts 114 - 139 slashing damage on target',1,2),
(161606,420084,10,100,'Increases Mitigation of caster vs physical damage by 786',0,0),
(161607,420084,10,100,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',0,1),
(161608,420084,10,100,'Inflicts 131 - 160 slashing damage on target',1,2),
(161609,420084,11,100,'Increases Mitigation of caster vs physical damage by 945',0,0),
(161610,420084,11,100,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',0,1),
(161611,420084,11,100,'Inflicts 157 - 192 slashing damage on target',1,2),
(161612,420085,11,100,'Increases Mitigation of caster vs physical damage by 1188',0,0),
(161613,420085,11,100,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',0,1),
(161614,420085,11,100,'Inflicts 211 - 258 slashing damage on target',1,2),
(161615,420086,10,100,'Increases Mitigation of caster vs physical damage by 1189',0,0),
(161616,420086,10,100,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',0,1),
(161617,420086,10,100,'Inflicts 221 - 270 slashing damage on target',1,2),
(161618,420086,11,100,'Increases Mitigation of caster vs physical damage by 1430',0,0),
(161619,420086,11,100,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',0,1),
(161620,420086,11,100,'Inflicts 265 - 324 slashing damage on target',1,2),
(161621,420087,10,100,'Increases Mitigation of caster vs physical damage by 1391',0,0),
(161622,420087,10,100,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',0,1),
(161623,420087,10,100,'Inflicts 266 - 325 slashing damage on target',1,2),
(161624,420087,11,100,'Increases Mitigation of caster vs physical damage by 1673',0,0),
(161625,420087,11,100,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',0,1),
(161626,420087,11,100,'Inflicts 320 - 391 slashing damage on target',1,2),
(161627,420088,11,100,'Increases Mitigation of caster vs physical damage by 1915',0,0),
(161628,420088,11,100,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',0,1),
(161629,420088,11,100,'Inflicts 388 - 474 slashing damage on target',1,2),
(161630,420089,11,100,'Increases Mitigation of caster vs physical damage by 2157',0,0),
(161631,420089,11,100,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',0,1),
(161632,420089,11,100,'Inflicts 467 - 571 slashing damage on target',1,2),
(161633,420090,10,100,'Increases Mitigation of caster vs physical damage by 2595',0,0),
(161634,420090,10,100,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',0,1),
(161635,420090,10,100,'Inflicts 417 - 509 slashing damage on target',1,2),
(161636,420090,11,100,'Increases Mitigation of caster vs physical damage by 3120',0,0),
(161637,420090,11,100,'On any combat or spell hit this spell may cast Savage Ruin on target of attack.  Triggers about 5.0 times per minute. ',0,1),
(161638,420090,11,100,'Inflicts 501 - 612 slashing damage on target',1,2),
(161639,420096,9,100,'Inflicts 608 - 1013 piercing damage on target',0,0),
(161640,420096,9,100,'Inflicts 4 - 6 piercing damage on target every 2 seconds',0,1),
(161641,420096,9,100,'The effect of this ability grows based on Savagery and Feral Rampage level.',0,2),
(161642,420096,9,100,'You must be in stealth.',0,3),
(161643,420096,9,100,'You must have your warder active to use this ability.',0,4),
(161644,420098,10,100,'Inflicts 13 - 22 poison damage on target',0,0),
(161645,420098,10,100,'Inflicts 3 - 6 poison damage on target instantly and every 4 seconds',0,1),
(161646,420098,11,100,'Inflicts 16 - 27 poison damage on target',0,0),
(161647,420098,11,100,'Inflicts 4 - 7 poison damage on target instantly and every 4 seconds',0,1),
(161648,420099,11,100,'Inflicts 34 - 57 poison damage on target',0,0),
(161649,420099,11,100,'Inflicts 9 - 14 poison damage on target instantly and every 4 seconds',0,1),
(161650,420100,10,100,'Inflicts 43 - 73 poison damage on target',0,0),
(161651,420100,10,100,'Inflicts 11 - 18 poison damage on target instantly and every 4 seconds',0,1),
(161652,420100,11,100,'Inflicts 52 - 87 poison damage on target',0,0),
(161653,420100,11,100,'Inflicts 13 - 22 poison damage on target instantly and every 4 seconds',0,1),
(161654,420101,11,100,'Inflicts 87 - 145 poison damage on target',0,0),
(161655,420101,11,100,'Inflicts 22 - 36 poison damage on target instantly and every 4 seconds',0,1),
(161656,420102,10,100,'Inflicts 259 - 431 poison damage on target',0,0),
(161657,420102,10,100,'Inflicts 65 - 108 poison damage on target instantly and every 4 seconds',0,1),
(161658,420102,11,100,'Inflicts 311 - 519 poison damage on target',0,0),
(161659,420102,11,100,'Inflicts 78 - 130 poison damage on target instantly and every 4 seconds',0,1),
(161660,420103,11,100,'Inflicts 123 - 206 poison damage on target',0,0),
(161661,420103,11,100,'Inflicts 31 - 52 poison damage on target instantly and every 4 seconds',0,1),
(161662,420104,11,100,'Inflicts 166 - 277 poison damage on target',0,0),
(161663,420104,11,100,'Inflicts 42 - 69 poison damage on target instantly and every 4 seconds',0,1),
(161664,420105,10,100,'Inflicts 176 - 294 poison damage on target',0,0),
(161665,420105,10,100,'Inflicts 44 - 74 poison damage on target instantly and every 4 seconds',0,1),
(161666,420105,11,100,'Inflicts 212 - 353 poison damage on target',0,0),
(161667,420105,11,100,'Inflicts 53 - 88 poison damage on target instantly and every 4 seconds',0,1),
(161668,420106,10,100,'Inflicts 214 - 357 poison damage on target',0,0),
(161669,420106,10,100,'Inflicts 54 - 89 poison damage on target instantly and every 4 seconds',0,1),
(161670,420106,11,100,'Inflicts 257 - 429 poison damage on target',0,0),
(161671,420106,11,100,'Inflicts 64 - 107 poison damage on target instantly and every 4 seconds',0,1),
(161672,420107,10,100,'Inflicts 312 - 520 poison damage on target',0,0),
(161673,420107,10,100,'Inflicts 78 - 130 poison damage on target instantly and every 4 seconds',0,1),
(161674,420107,11,100,'Inflicts 375 - 626 poison damage on target',0,0),
(161675,420107,11,100,'Inflicts 94 - 157 poison damage on target instantly and every 4 seconds',0,1),
(161676,420108,10,100,'Inflicts 343 - 571 poison damage on target',0,0),
(161677,420108,10,100,'Inflicts 86 - 143 poison damage on target instantly and every 4 seconds',0,1),
(161678,420108,11,100,'Inflicts 412 - 687 poison damage on target',0,0),
(161679,420108,11,100,'Inflicts 103 - 172 poison damage on target instantly and every 4 seconds',0,1),
(161680,420147,10,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(161681,420147,10,100,'Slows target by 52.4%',1,1),
(161682,420147,10,100,'5% chance to dispel when target receives hostile action',1,2),
(161683,420147,10,100,'5% chance to dispel when target takes damage',1,3),
(161684,420147,10,100,'Decreases Mitigation of target vs elemental and noxious damage by 169',0,4),
(161685,420149,10,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(161686,420149,10,100,'Slows target by 59.1%',1,1),
(161687,420149,10,100,'5% chance to dispel when target receives hostile action',1,2),
(161688,420149,10,100,'5% chance to dispel when target takes damage',1,3),
(161689,420149,10,100,'Decreases Mitigation of target vs elemental and noxious damage by 437',0,4),
(161690,420150,10,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(161691,420150,10,100,'Slows target by 62.5%',1,1),
(161692,420150,10,100,'5% chance to dispel when target receives hostile action',1,2),
(161693,420150,10,100,'5% chance to dispel when target takes damage',1,3),
(161694,420150,10,100,'Decreases Mitigation of target vs elemental and noxious damage by 605',0,4),
(161695,420151,10,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(161696,420151,10,100,'Slows target by 69.6%',1,1),
(161697,420151,10,100,'5% chance to dispel when target receives hostile action',1,2),
(161698,420151,10,100,'5% chance to dispel when target takes damage',1,3),
(161699,420151,10,100,'Decreases Mitigation of target vs elemental and noxious damage by 1734',0,4),
(161700,420152,10,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(161701,420152,10,100,'Slows target by 65.9%',1,1),
(161702,420152,10,100,'5% chance to dispel when target receives hostile action',1,2),
(161703,420152,10,100,'5% chance to dispel when target takes damage',1,3),
(161704,420152,10,100,'Decreases Mitigation of target vs elemental and noxious damage by 773',0,4),
(161705,420154,10,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(161706,420154,10,100,'Slows target by 68.3%',1,1),
(161707,420154,10,100,'5% chance to dispel when target receives hostile action',1,2),
(161708,420154,10,100,'5% chance to dispel when target takes damage',1,3),
(161709,420154,10,100,'Decreases Mitigation of target vs elemental and noxious damage by 1109',0,4),
(161710,420155,10,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(161711,420155,10,100,'Slows target by 68.9%',1,1),
(161712,420155,10,100,'5% chance to dispel when target receives hostile action',1,2),
(161713,420155,10,100,'5% chance to dispel when target takes damage',1,3),
(161714,420155,10,100,'Decreases Mitigation of target vs elemental and noxious damage by 1386',0,4),
(161715,420156,10,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(161716,420156,10,100,'Slows target by 70.3%',1,1),
(161717,420156,10,100,'5% chance to dispel when target receives hostile action',1,2),
(161718,420156,10,100,'5% chance to dispel when target takes damage',1,3),
(161719,420156,10,100,'Decreases Mitigation of target vs elemental and noxious damage by 1935',0,4),
(161720,420156,11,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(161721,420156,11,100,'Slows target by 84.5%',1,1),
(161722,420156,11,100,'5% chance to dispel when target receives hostile action',1,2),
(161723,420156,11,100,'5% chance to dispel when target takes damage',1,3),
(161724,420156,11,100,'Decreases Mitigation of target vs elemental and noxious damage by 2327',0,4),
(161725,440001,10,100,'Inflicts 25 - 42 ranged damage on targets in Area of Effect',0,0),
(161726,440001,10,100,'Inflicts 25 - 42 ranged damage on targets in Area of Effect',0,1),
(161727,440001,10,100,'Inflicts 25 - 42 ranged damage on targets in Area of Effect',0,2),
(161728,440001,10,100,'Requires bow or aim',0,3),
(161729,440003,10,100,'Inflicts 56 - 93 ranged damage on targets in Area of Effect',0,0),
(161730,440003,10,100,'Inflicts 56 - 93 ranged damage on targets in Area of Effect',0,1),
(161731,440003,10,100,'Inflicts 56 - 93 ranged damage on targets in Area of Effect',0,2),
(161732,440003,10,100,'Requires bow or aim',0,3),
(161733,440004,10,100,'Inflicts 164 - 274 ranged damage on targets in Area of Effect',0,0),
(161734,440004,10,100,'Inflicts 164 - 274 ranged damage on targets in Area of Effect',0,1),
(161735,440004,10,100,'Inflicts 164 - 274 ranged damage on targets in Area of Effect',0,2),
(161736,440004,10,100,'Requires bow or aim',0,3),
(161737,440006,10,100,'Inflicts 93 - 156 ranged damage on targets in Area of Effect',0,0),
(161738,440006,10,100,'Inflicts 93 - 156 ranged damage on targets in Area of Effect',0,1),
(161739,440006,10,100,'Inflicts 93 - 156 ranged damage on targets in Area of Effect',0,2),
(161740,440006,10,100,'Requires bow or aim',0,3),
(161741,440007,10,100,'Inflicts 112 - 187 ranged damage on targets in Area of Effect',0,0),
(161742,440007,10,100,'Inflicts 112 - 187 ranged damage on targets in Area of Effect',0,1),
(161743,440007,10,100,'Inflicts 112 - 187 ranged damage on targets in Area of Effect',0,2),
(161744,440007,10,100,'Requires bow or aim',0,3),
(161745,440008,10,100,'Inflicts 136 - 227 ranged damage on targets in Area of Effect',0,0),
(161746,440008,10,100,'Inflicts 136 - 227 ranged damage on targets in Area of Effect',0,1),
(161747,440008,10,100,'Inflicts 136 - 227 ranged damage on targets in Area of Effect',0,2),
(161748,440008,10,100,'Requires bow or aim',0,3),
(161749,440009,10,100,'Inflicts 174 - 290 ranged damage on targets in Area of Effect',0,0),
(161750,440009,10,100,'Inflicts 174 - 290 ranged damage on targets in Area of Effect',0,1),
(161751,440009,10,100,'Inflicts 174 - 290 ranged damage on targets in Area of Effect',0,2),
(161752,440009,10,100,'Requires bow or aim',0,3),
(161753,440009,11,100,'Inflicts 209 - 349 ranged damage on targets in Area of Effect',0,0),
(161754,440009,11,100,'Inflicts 209 - 349 ranged damage on targets in Area of Effect',0,1),
(161755,440009,11,100,'Inflicts 209 - 349 ranged damage on targets in Area of Effect',0,2),
(161756,440009,11,100,'Requires bow or aim',0,3),
(161757,440011,10,100,'Applies Construct''s Sacrifice.  Lasts for 20.0 seconds.',0,0),
(161758,440011,10,100,'On any combat or spell hit this spell will cast Construct''s Sacrifice on target of attack.  ',1,1),
(161759,440011,10,100,'Inflicts 58 - 97 poison damage on target',2,2),
(161760,440011,10,100,'Grants a total of 5 triggers of the spell.',2,3),
(161761,440011,10,100,'Requires and consumes 25% of the construct''s maximum health. This spell will fail if the construct''s health is too low!',0,4),
(161762,440015,10,100,'Applies Construct''s Sacrifice.  Lasts for 20.0 seconds.',0,0),
(161763,440015,10,100,'On any combat or spell hit this spell will cast Construct''s Sacrifice on target of attack.  ',1,1),
(161764,440015,10,100,'Inflicts 521 - 868 poison damage on target',2,2),
(161765,440015,10,100,'Grants a total of 5 triggers of the spell.',2,3),
(161766,440015,10,100,'Requires and consumes 25% of the construct''s maximum health. This spell will fail if the construct''s health is too low!',0,4),
(161767,440015,11,100,'Applies Construct''s Sacrifice.  Lasts for 20.0 seconds.',0,0),
(161768,440015,11,100,'On any combat or spell hit this spell will cast Construct''s Sacrifice on target of attack.  ',1,1),
(161769,440015,11,100,'Inflicts 626 - 1044 poison damage on target',2,2),
(161770,440015,11,100,'Grants a total of 5 triggers of the spell.',2,3),
(161771,440015,11,100,'Requires and consumes 25% of the construct''s maximum health. This spell will fail if the construct''s health is too low!',0,4),
(161772,440016,10,100,'Applies Construct''s Sacrifice.  Lasts for 20.0 seconds.',0,0),
(161773,440016,10,100,'On any combat or spell hit this spell will cast Construct''s Sacrifice on target of attack.  ',1,1),
(161774,440016,10,100,'Inflicts 276 - 460 poison damage on target',2,2),
(161775,440016,10,100,'Grants a total of 5 triggers of the spell.',2,3),
(161776,440016,10,100,'Requires and consumes 25% of the construct''s maximum health. This spell will fail if the construct''s health is too low!',0,4),
(161777,440017,10,100,'Applies Construct''s Sacrifice.  Lasts for 20.0 seconds.',0,0),
(161778,440017,10,100,'On any combat or spell hit this spell will cast Construct''s Sacrifice on target of attack.  ',1,1),
(161779,440017,10,100,'Inflicts 333 - 555 poison damage on target',2,2),
(161780,440017,10,100,'Grants a total of 5 triggers of the spell.',2,3),
(161781,440017,10,100,'Requires and consumes 25% of the construct''s maximum health. This spell will fail if the construct''s health is too low!',0,4),
(161782,440018,10,100,'Applies Construct''s Sacrifice.  Lasts for 20.0 seconds.',0,0),
(161783,440018,10,100,'On any combat or spell hit this spell will cast Construct''s Sacrifice on target of attack.  ',1,1),
(161784,440018,10,100,'Inflicts 403 - 672 poison damage on target',2,2),
(161785,440018,10,100,'Grants a total of 5 triggers of the spell.',2,3),
(161786,440018,10,100,'Requires and consumes 25% of the construct''s maximum health. This spell will fail if the construct''s health is too low!',0,4),
(161787,440019,10,100,'Applies Construct''s Sacrifice.  Lasts for 20.0 seconds.',0,0),
(161788,440019,10,100,'On any combat or spell hit this spell will cast Construct''s Sacrifice on target of attack.  ',1,1),
(161789,440019,10,100,'Inflicts 485 - 809 poison damage on target',2,2),
(161790,440019,10,100,'Grants a total of 5 triggers of the spell.',2,3),
(161791,440019,10,100,'Requires and consumes 25% of the construct''s maximum health. This spell will fail if the construct''s health is too low!',0,4),
(161792,440020,10,100,'Inflicts 681 - 1135 ranged damage on target',0,0),
(161793,440020,10,100,'Grants a very high chance to force the target to miss their attacks. Each time the target misses, an increment of this effect is removed.',0,1),
(161794,440020,10,100,'Does not generate threat',0,2),
(161795,440020,10,100,'Requires bow or aim',0,3),
(161796,440020,11,100,'Inflicts 818 - 1364 ranged damage on target',0,0),
(161797,440020,11,100,'Grants a very high chance to force the target to miss their attacks. Each time the target misses, an increment of this effect is removed.',0,1),
(161798,440020,11,100,'Does not generate threat',0,2),
(161799,440020,11,100,'Requires bow or aim',0,3),
(161800,440021,11,100,'Inflicts 1146 - 1911 ranged damage on target',0,0),
(161801,440021,11,100,'Grants a very high chance to force the target to miss their attacks. Each time the target misses, an increment of this effect is removed.',0,1),
(161802,440021,11,100,'Does not generate threat',0,2),
(161803,440021,11,100,'Requires bow or aim',0,3),
(161804,440022,10,100,'Inflicts 1280 - 2134 ranged damage on target',0,0),
(161805,440022,10,100,'Grants a very high chance to force the target to miss their attacks. Each time the target misses, an increment of this effect is removed.',0,1),
(161806,440022,10,100,'Does not generate threat',0,2),
(161807,440022,10,100,'Requires bow or aim',0,3),
(161808,440022,11,100,'Inflicts 1540 - 2566 ranged damage on target',0,0),
(161809,440022,11,100,'Grants a very high chance to force the target to miss their attacks. Each time the target misses, an increment of this effect is removed.',0,1),
(161810,440022,11,100,'Does not generate threat',0,2),
(161811,440022,11,100,'Requires bow or aim',0,3),
(161812,440023,11,100,'Inflicts 1949 - 3249 ranged damage on target',0,0),
(161813,440023,11,100,'Grants a very high chance to force the target to miss their attacks. Each time the target misses, an increment of this effect is removed.',0,1),
(161814,440023,11,100,'Does not generate threat',0,2),
(161815,440023,11,100,'Requires bow or aim',0,3),
(161816,440024,10,100,'Inflicts 1962 - 3270 ranged damage on target',0,0),
(161817,440024,10,100,'Grants a very high chance to force the target to miss their attacks. Each time the target misses, an increment of this effect is removed.',0,1),
(161818,440024,10,100,'Does not generate threat',0,2),
(161819,440024,10,100,'Requires bow or aim',0,3),
(161820,440024,11,100,'Inflicts 2359 - 3932 ranged damage on target',0,0),
(161821,440024,11,100,'Grants a very high chance to force the target to miss their attacks. Each time the target misses, an increment of this effect is removed.',0,1),
(161822,440024,11,100,'Does not generate threat',0,2),
(161823,440024,11,100,'Requires bow or aim',0,3),
(161824,440025,10,100,'Inflicts 2375 - 3959 ranged damage on target',0,0),
(161825,440025,10,100,'Grants a very high chance to force the target to miss their attacks. Each time the target misses, an increment of this effect is removed.',0,1),
(161826,440025,10,100,'Does not generate threat',0,2),
(161827,440025,10,100,'Requires bow or aim',0,3),
(161828,440025,11,100,'Inflicts 2856 - 4760 ranged damage on target',0,0),
(161829,440025,11,100,'Grants a very high chance to force the target to miss their attacks. Each time the target misses, an increment of this effect is removed.',0,1),
(161830,440025,11,100,'Does not generate threat',0,2),
(161831,440025,11,100,'Requires bow or aim',0,3),
(161832,440026,10,100,'Inflicts 2861 - 4769 ranged damage on target',0,0),
(161833,440026,10,100,'Grants a very high chance to force the target to miss their attacks. Each time the target misses, an increment of this effect is removed.',0,1),
(161834,440026,10,100,'Does not generate threat',0,2),
(161835,440026,10,100,'Requires bow or aim',0,3),
(161836,440026,11,100,'Inflicts 3441 - 5735 ranged damage on target',0,0),
(161837,440026,11,100,'Grants a very high chance to force the target to miss their attacks. Each time the target misses, an increment of this effect is removed.',0,1),
(161838,440026,11,100,'Does not generate threat',0,2),
(161839,440026,11,100,'Requires bow or aim',0,3),
(161840,440027,10,100,'Inflicts 3106 - 5177 ranged damage on target',0,0),
(161841,440027,10,100,'Grants a very high chance to force the target to miss their attacks. Each time the target misses, an increment of this effect is removed.',0,1),
(161842,440027,10,100,'Does not generate threat',0,2),
(161843,440027,10,100,'Requires bow or aim',0,3),
(161844,440027,11,100,'Inflicts 3735 - 6225 ranged damage on target',0,0),
(161845,440027,11,100,'Grants a very high chance to force the target to miss their attacks. Each time the target misses, an increment of this effect is removed.',0,1),
(161846,440027,11,100,'Does not generate threat',0,2),
(161847,440027,11,100,'Requires bow or aim',0,3),
(161848,440028,10,100,'Applies Healing Arrow.  Lasts for 8.0 seconds.',0,0),
(161849,440028,10,100,'Heals targets in Area of Effect for 36 - 44',1,1),
(161850,440028,10,100,'Applies to the enemy''s target if they are in the same group or raid as the channeler and within 50 meters of them. Otherwise, applies to the channeler.',1,2),
(161851,440028,10,100,'Inflicts 2 - 4 ranged damage on target',0,3),
(161852,440028,10,100,'Requires bow or aim',0,4),
(161853,440031,10,100,'Applies Healing Arrow.  Lasts for 8.0 seconds.',0,0),
(161854,440031,10,100,'Heals targets in Area of Effect for 592 - 724',1,1),
(161855,440031,10,100,'Applies to the enemy''s target if they are in the same group or raid as the channeler and within 50 meters of them. Otherwise, applies to the channeler.',1,2),
(161856,440031,10,100,'Inflicts 42 - 70 ranged damage on target',0,3),
(161857,440031,10,100,'Requires bow or aim',0,4),
(161858,440033,10,100,'Applies Healing Arrow.  Lasts for 8.0 seconds.',0,0),
(161859,440033,10,100,'Heals targets in Area of Effect for 812 - 992',1,1),
(161860,440033,10,100,'Applies to the enemy''s target if they are in the same group or raid as the channeler and within 50 meters of them. Otherwise, applies to the channeler.',1,2),
(161861,440033,10,100,'Inflicts 57 - 96 ranged damage on target',0,3),
(161862,440033,10,100,'Requires bow or aim',0,4),
(161863,440034,10,100,'Applies Healing Arrow.  Lasts for 8.0 seconds.',0,0),
(161864,440034,10,100,'Heals targets in Area of Effect for 1079 - 1319',1,1),
(161865,440034,10,100,'Applies to the enemy''s target if they are in the same group or raid as the channeler and within 50 meters of them. Otherwise, applies to the channeler.',1,2),
(161866,440034,10,100,'Inflicts 76 - 128 ranged damage on target',0,3),
(161867,440034,10,100,'Requires bow or aim',0,4),
(161868,440035,10,100,'Applies Healing Arrow.  Lasts for 8.0 seconds.',0,0),
(161869,440035,10,100,'Heals targets in Area of Effect for 1347 - 1646',1,1),
(161870,440035,10,100,'Applies to the enemy''s target if they are in the same group or raid as the channeler and within 50 meters of them. Otherwise, applies to the channeler.',1,2),
(161871,440035,10,100,'Inflicts 95 - 159 ranged damage on target',0,3),
(161872,440035,10,100,'Requires bow or aim',0,4),
(161873,440037,11,100,'Applies Healing Arrow.  Lasts for 8.0 seconds.',0,0),
(161874,440037,11,100,'Heals targets in Area of Effect for 3083 - 3768',1,1),
(161875,440037,11,100,'Applies to the enemy''s target if they are in the same group or raid as the channeler and within 50 meters of them. Otherwise, applies to the channeler.',1,2),
(161876,440037,11,100,'Inflicts 199 - 331 ranged damage on target',0,3),
(161877,440037,11,100,'Requires bow or aim',0,4),
(161878,440039,10,100,'Interrupts targets in Area of Effect',0,0),
(161879,440039,10,100,'Slows targets in Area of Effect by 52.8%',0,1),
(161880,440040,10,100,'Interrupts targets in Area of Effect',0,0),
(161881,440040,10,100,'Slows targets in Area of Effect by 56.1%',0,1),
(161882,440043,10,100,'Interrupts targets in Area of Effect',0,0),
(161883,440043,10,100,'Slows targets in Area of Effect by 69.7%',0,1),
(161884,440044,10,100,'Interrupts targets in Area of Effect',0,0),
(161885,440044,10,100,'Slows targets in Area of Effect by 66.2%',0,1),
(161886,440045,10,100,'Interrupts targets in Area of Effect',0,0),
(161887,440045,10,100,'Slows targets in Area of Effect by 67.7%',0,1),
(161888,440047,10,100,'Interrupts targets in Area of Effect',0,0),
(161889,440047,10,100,'Slows targets in Area of Effect by 69.0%',0,1),
(161890,440048,10,100,'Interrupts targets in Area of Effect',0,0),
(161891,440048,10,100,'Slows targets in Area of Effect by 70.4%',0,1),
(161892,440048,11,100,'Interrupts targets in Area of Effect',0,0),
(161893,440048,11,100,'Slows targets in Area of Effect by 84.6%',0,1),
(161894,440050,10,100,'Inflicts 10 - 16 ranged damage on target',0,0),
(161895,440050,10,100,'Requires bow or aim',0,1),
(161896,440050,11,100,'Inflicts 12 - 20 ranged damage on target',0,0),
(161897,440050,11,100,'Requires bow or aim',0,1),
(161898,440051,10,100,'Inflicts 12 - 21 ranged damage on target',0,0),
(161899,440051,10,100,'Requires bow or aim',0,1),
(161900,440051,11,100,'Inflicts 15 - 25 ranged damage on target',0,0),
(161901,440051,11,100,'Requires bow or aim',0,1),
(161902,440052,11,100,'Inflicts 56 - 93 ranged damage on target',0,0),
(161903,440052,11,100,'Requires bow or aim',0,1),
(161904,440053,11,100,'Inflicts 103 - 172 ranged damage on target',0,0),
(161905,440053,11,100,'Requires bow or aim',0,1),
(161906,440054,11,100,'Inflicts 424 - 706 ranged damage on target',0,0),
(161907,440054,11,100,'Requires bow or aim',0,1),
(161908,440055,10,100,'Inflicts 131 - 219 ranged damage on target',0,0),
(161909,440055,10,100,'Requires bow or aim',0,1),
(161910,440055,11,100,'Inflicts 158 - 263 ranged damage on target',0,0),
(161911,440055,11,100,'Requires bow or aim',0,1),
(161912,440056,11,100,'Inflicts 215 - 359 ranged damage on target',0,0),
(161913,440056,11,100,'Requires bow or aim',0,1),
(161914,440057,11,100,'Inflicts 284 - 473 ranged damage on target',0,0),
(161915,440057,11,100,'Requires bow or aim',0,1),
(161916,440058,11,100,'Inflicts 352 - 587 ranged damage on target',0,0),
(161917,440058,11,100,'Requires bow or aim',0,1),
(161918,440059,11,100,'Inflicts 513 - 855 ranged damage on target',0,0),
(161919,440059,11,100,'Requires bow or aim',0,1),
(161920,440060,11,100,'Inflicts 600 - 1001 ranged damage on target',0,0),
(161921,440060,11,100,'Requires bow or aim',0,1),
(161922,440071,9,100,'Applies Blackwood''s Focus to qualifying pets.',0,0),
(161923,440071,9,100,'Heals target for 1.0% of max health instantly and every 3 seconds',1,1),
(161924,440071,9,100,'This effect cannot be critically applied.',2,2),
(161925,440071,9,100,'Cannot be modified except by direct means',1,3),
(161926,440071,9,100,'Improves the channeler''s heals by 20% of their wisdom.',0,4),
(161927,440071,9,100,'Cannot be modified except by direct means',0,5),
(161928,440071,10,100,'Applies Blackwood''s Focus to qualifying pets.',0,0),
(161929,440071,10,100,'Heals target for 1.0% of max health instantly and every 3 seconds',1,1),
(161930,440071,10,100,'This effect cannot be critically applied.',2,2),
(161931,440071,10,100,'Cannot be modified except by direct means',1,3),
(161932,440071,10,100,'Improves the channeler''s heals by 20% of their wisdom.',0,4),
(161933,440071,10,100,'Cannot be modified except by direct means',0,5),
(161934,440072,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(161935,440072,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(161936,440072,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(161937,440072,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(161938,440072,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(161939,440072,10,100,'Dispels 79 levels of any hostile effects on group members (AE)',0,0),
(161940,440072,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(161941,440073,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(161942,440073,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(161943,440073,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(161944,440073,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(161945,440073,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(161946,440073,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(161947,440074,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(161948,440074,4,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(161949,440074,5,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(161950,440074,7,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(161951,440074,9,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(161952,440074,10,100,'Dispels 130 levels of any hostile effects on group members (AE)',0,0),
(161953,440074,10,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(161954,440077,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',2,3),
(161955,440077,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,4),
(161956,440080,10,100,'On death this spell will cast Channeler''s Protection on caster.  Lasts for 36.0 seconds.  ',0,0),
(161957,440080,10,100,'Heals target for 924',1,1),
(161958,440080,10,100,'Target will Dodge 13.4% of incoming attacks',1,2),
(161959,440080,10,100,'Grants a total of 1 trigger of the spell.',1,3),
(161960,440081,10,100,'On death this spell will cast Channeler''s Protection on caster.  Lasts for 36.0 seconds.  ',0,0),
(161961,440081,10,100,'Heals target for 1239',1,1),
(161962,440081,10,100,'Target will Dodge 13.4% of incoming attacks',1,2),
(161963,440081,10,100,'Grants a total of 1 trigger of the spell.',1,3),
(161964,440082,10,100,'On death this spell will cast Channeler''s Protection on caster.  Lasts for 36.0 seconds.  ',0,0),
(161965,440082,10,100,'Heals target for 1554',1,1),
(161966,440082,10,100,'Target will Dodge 13.4% of incoming attacks',1,2),
(161967,440082,10,100,'Grants a total of 1 trigger of the spell.',1,3),
(161968,440083,10,100,'On death this spell will cast Channeler''s Protection on caster.  Lasts for 36.0 seconds.  ',0,0),
(161969,440083,10,100,'Heals target for 1869',1,1),
(161970,440083,10,100,'Target will Dodge 13.4% of incoming attacks',1,2),
(161971,440083,10,100,'Grants a total of 1 trigger of the spell.',1,3),
(161972,440084,10,100,'On death this spell will cast Channeler''s Protection on caster.  Lasts for 36.0 seconds.  ',0,0),
(161973,440084,10,100,'Heals target for 2520',1,1),
(161974,440084,10,100,'Target will Dodge 13.4% of incoming attacks',1,2),
(161975,440084,10,100,'Grants a total of 1 trigger of the spell.',1,3),
(161976,440085,10,100,'On death this spell will cast Channeler''s Protection on caster.  Lasts for 36.0 seconds.  ',0,0),
(161977,440085,10,100,'Heals target for 3003',1,1),
(161978,440085,10,100,'Target will Dodge 13.4% of incoming attacks',1,2),
(161979,440085,10,100,'Grants a total of 1 trigger of the spell.',1,3),
(161980,440086,10,100,'On death this spell will cast Channeler''s Protection on caster.  Lasts for 36.0 seconds.  ',0,0),
(161981,440086,10,100,'Heals target for 3150',1,1),
(161982,440086,10,100,'Target will Dodge 13.4% of incoming attacks',1,2),
(161983,440086,10,100,'Grants a total of 1 trigger of the spell.',1,3),
(161984,440086,11,100,'On death this spell will cast Channeler''s Protection on caster.  Lasts for 36.0 seconds.  ',0,0),
(161985,440086,11,100,'Heals target for 3788',1,1),
(161986,440086,11,100,'Target will Dodge 16.2% of incoming attacks',1,2),
(161987,440086,11,100,'Grants a total of 1 trigger of the spell.',1,3),
(161988,440089,1,100,'The healing of this spell cannot be modified except by direct means',0,2),
(161989,440095,1,100,'The healing of this spell cannot be modified except by direct means',0,3),
(161990,440096,1,100,'The healing of this spell cannot be modified except by direct means',1,4),
(161991,440099,4,100,'If not fighter',1,3),
(161992,440099,4,100,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 114',0,4),
(161993,440099,5,100,'If not fighter',1,3),
(161994,440099,5,100,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 124',0,4),
(161995,440099,7,100,'If not fighter',1,3),
(161996,440099,7,100,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 160',0,4),
(161997,440099,9,100,'If not fighter',1,3),
(161998,440099,9,100,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 166',0,4),
(161999,440099,10,100,'Increases Max Health of group members (AE) by 45.4',0,0),
(162000,440099,10,100,'If fighter',1,1),
(162001,440099,10,100,'Increases Mitigation of group members (AE) vs physical damage by 161',0,2),
(162002,440099,10,100,'If not fighter',1,3),
(162003,440099,10,100,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 174',0,4),
(162004,440101,10,100,'Increases Max Health of group members (AE) by 282.8',0,0),
(162005,440101,10,100,'If fighter',1,1),
(162006,440101,10,100,'Increases Mitigation of group members (AE) vs physical damage by 525',0,2),
(162007,440101,10,100,'If not fighter',1,3),
(162008,440101,10,100,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 567',0,4),
(162009,440102,10,100,'Increases Max Health of group members (AE) by 472.8',0,0),
(162010,440102,10,100,'If fighter',1,1),
(162011,440102,10,100,'Increases Mitigation of group members (AE) vs physical damage by 735',0,2),
(162012,440102,10,100,'If not fighter',1,3),
(162013,440102,10,100,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 794',0,4),
(162014,440105,10,100,'Increases Max Health of group members (AE) by 831.0',0,0),
(162015,440105,10,100,'If fighter',1,1),
(162016,440105,10,100,'Increases Mitigation of group members (AE) vs physical damage by 1155',0,2),
(162017,440105,10,100,'If not fighter',1,3),
(162018,440105,10,100,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 1247',0,4),
(162019,440106,10,100,'Increases Max Health of group members (AE) by 986.1',0,0),
(162020,440106,10,100,'If fighter',1,1),
(162021,440106,10,100,'Increases Mitigation of group members (AE) vs physical damage by 1365',0,2),
(162022,440106,10,100,'If not fighter',1,3),
(162023,440106,10,100,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 1474',0,4),
(162024,440108,11,100,'Increases Max Health of group members (AE) by 24.2%',0,0),
(162025,440108,11,100,'If fighter',1,1),
(162026,440108,11,100,'Increases Mitigation of group members (AE) vs physical damage by 2639',0,2),
(162027,440108,11,100,'If not fighter',1,3),
(162028,440108,11,100,'Increases Mitigation of group members (AE) vs elemental and noxious damage by 2850',0,4),
(162029,440113,1,100,'The healing of this spell cannot be modified except by direct means',0,2),
(162030,440114,9,100,'Does not apply to constructs',0,0),
(162031,440114,9,100,'Will absorb all damage when the amount is greater than 20% of the target''s maximum health. This spell will absorb a total of 2 attacks.',0,1),
(162032,440114,10,100,'Does not apply to constructs',0,0),
(162033,440114,10,100,'Will absorb all damage when the amount is greater than 20% of the target''s maximum health. This spell will absorb a total of 2 attacks.',0,1),
(162034,440116,10,100,'Applies Blackwood Shroud.  Lasts for 3.0 seconds.',0,0),
(162035,440116,10,100,'Caster will Dodge 100.0% of incoming attacks',1,1),
(162036,440116,10,100,'Prevents AOE (except when direct) ',1,2),
(162037,440116,10,100,'Interrupts targets in Area of Effect',0,3),
(162038,440116,10,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,4),
(162039,440116,10,100,'Decreases Threat to targets in Area of Effect by 2,183 ',0,5),
(162040,440117,10,100,'Applies Blackwood Shroud.  Lasts for 3.0 seconds.',0,0),
(162041,440117,10,100,'Caster will Dodge 100.0% of incoming attacks',1,1),
(162042,440117,10,100,'Prevents AOE (except when direct) ',1,2),
(162043,440117,10,100,'Interrupts targets in Area of Effect',0,3),
(162044,440117,10,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,4),
(162045,440117,10,100,'Decreases Threat to targets in Area of Effect by 3,995 ',0,5),
(162046,440118,10,100,'Applies Blackwood Shroud.  Lasts for 3.0 seconds.',0,0),
(162047,440118,10,100,'Caster will Dodge 100.0% of incoming attacks',1,1),
(162048,440118,10,100,'Prevents AOE (except when direct) ',1,2),
(162049,440118,10,100,'Interrupts targets in Area of Effect',0,3),
(162050,440118,10,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,4),
(162051,440118,10,100,'Decreases Threat to targets in Area of Effect by 6,142 ',0,5),
(162052,440119,10,100,'Applies Blackwood Shroud.  Lasts for 3.0 seconds.',0,0),
(162053,440119,10,100,'Caster will Dodge 100.0% of incoming attacks',1,1),
(162054,440119,10,100,'Prevents AOE (except when direct) ',1,2),
(162055,440119,10,100,'Interrupts targets in Area of Effect',0,3),
(162056,440119,10,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,4),
(162057,440119,10,100,'Decreases Threat to targets in Area of Effect by 8,536 ',0,5),
(162058,440120,10,100,'Applies Blackwood Shroud.  Lasts for 3.0 seconds.',0,0),
(162059,440120,10,100,'Caster will Dodge 100.0% of incoming attacks',1,1),
(162060,440120,10,100,'Prevents AOE (except when direct) ',1,2),
(162061,440120,10,100,'Interrupts targets in Area of Effect',0,3),
(162062,440120,10,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,4),
(162063,440120,10,100,'Decreases Threat to targets in Area of Effect by 26,123 ',0,5),
(162064,440120,11,100,'Applies Blackwood Shroud.  Lasts for 3.0 seconds.',0,0),
(162065,440120,11,100,'Caster will Dodge 100.0% of incoming attacks',1,1),
(162066,440120,11,100,'Prevents AOE (except when direct) ',1,2),
(162067,440120,11,100,'Interrupts targets in Area of Effect',0,3),
(162068,440120,11,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,4),
(162069,440120,11,100,'Decreases Threat to targets in Area of Effect by 31,410 ',0,5),
(162070,440121,10,100,'Applies Blackwood Shroud.  Lasts for 3.0 seconds.',0,0),
(162071,440121,10,100,'Caster will Dodge 100.0% of incoming attacks',1,1),
(162072,440121,10,100,'Prevents AOE (except when direct) ',1,2),
(162073,440121,10,100,'Interrupts targets in Area of Effect',0,3),
(162074,440121,10,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,4),
(162075,440121,10,100,'Decreases Threat to targets in Area of Effect by 11,381 ',0,5),
(162076,440122,10,100,'Applies Blackwood Shroud.  Lasts for 3.0 seconds.',0,0),
(162077,440122,10,100,'Caster will Dodge 100.0% of incoming attacks',1,1),
(162078,440122,10,100,'Prevents AOE (except when direct) ',1,2),
(162079,440122,10,100,'Interrupts targets in Area of Effect',0,3),
(162080,440122,10,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,4),
(162081,440122,10,100,'Decreases Threat to targets in Area of Effect by 14,347 ',0,5),
(162082,440123,10,100,'Applies Blackwood Shroud.  Lasts for 3.0 seconds.',0,0),
(162083,440123,10,100,'Caster will Dodge 100.0% of incoming attacks',1,1),
(162084,440123,10,100,'Prevents AOE (except when direct) ',1,2),
(162085,440123,10,100,'Interrupts targets in Area of Effect',0,3),
(162086,440123,10,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,4),
(162087,440123,10,100,'Decreases Threat to targets in Area of Effect by 17,723 ',0,5),
(162088,440124,10,100,'Applies Blackwood Shroud.  Lasts for 3.0 seconds.',0,0),
(162089,440124,10,100,'Caster will Dodge 100.0% of incoming attacks',1,1),
(162090,440124,10,100,'Prevents AOE (except when direct) ',1,2),
(162091,440124,10,100,'Interrupts targets in Area of Effect',0,3),
(162092,440124,10,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,4),
(162093,440124,10,100,'Decreases Threat to targets in Area of Effect by 21,923 ',0,5),
(162094,440127,1,100,'The healing of this spell cannot be modified except by direct means',0,3),
(162095,440129,1,100,'The healing of this spell cannot be modified except by direct means',1,4),
(162096,440130,1,100,'The healing of this spell cannot be modified except by direct means',1,4),
(162097,440133,10,100,'Heals targets in Area of Effect for 1232 - 1506',0,0),
(162098,440133,11,100,'Heals targets in Area of Effect for 1482 - 1811',0,0),
(162099,440134,10,100,'Heals targets in Area of Effect for 1580 - 1931',0,0),
(162100,440134,11,100,'Heals targets in Area of Effect for 1900 - 2322',0,0),
(162101,440135,11,100,'Heals targets in Area of Effect for 2391 - 2922',0,0),
(162102,440136,11,100,'Heals targets in Area of Effect for 2663 - 3255',0,0),
(162103,440138,11,100,'Heals group members (AE) for 255 - 311',0,0),
(162104,440139,11,100,'Heals group members (AE) for 451 - 551',0,0),
(162105,440140,11,100,'Heals group members (AE) for 669 - 818',0,0),
(162106,440141,10,100,'Heals group members (AE) for 756 - 924',0,0),
(162107,440141,11,100,'Heals group members (AE) for 909 - 1111',0,0),
(162108,440142,10,100,'Heals group members (AE) for 2204 - 2694',0,0),
(162109,440142,11,100,'Heals group members (AE) for 2651 - 3240',0,0),
(162110,440143,10,100,'Heals group members (AE) for 983 - 1201',0,0),
(162111,440143,11,100,'Heals group members (AE) for 1182 - 1444',0,0),
(162112,440144,11,100,'Heals group members (AE) for 1454 - 1778',0,0),
(162113,440145,10,100,'Heals group members (AE) for 1533 - 1874',0,0),
(162114,440145,11,100,'Heals group members (AE) for 1843 - 2253',0,0),
(162115,440146,10,100,'Heals group members (AE) for 1954 - 2388',0,0),
(162116,440146,11,100,'Heals group members (AE) for 2349 - 2871',0,0),
(162117,1000051,5,100,'Reduce the target''s combat mitigation by 20.64.',0,1),
(162118,1000238,5,100,'Reduces the target''s combat mitigation.',0,1),
(162119,1000296,3,100,'Possess Essence may no longer by directly targeted and is immune to most damage.',1,2),
(162120,1000357,1,100,'For every 35 Crit Bonus, the caster gains 1% Max Health.',0,1),
(162121,1000399,5,100,'Adds an effect which reduces combat mitigation.',0,1),
(162122,1000472,5,100,'Adds an effect which reduces combat mitigation.',0,1),
(162123,1000481,1,100,'For every 334 Potency the group member possesses, they gain 1 additional Potency.',0,1),
(162124,1000481,2,100,'For every 167 Potency the group member possesses, they gain 1 additional Potency.',0,1),
(162125,1000481,3,100,'For every 112 Potency the group member possesses, they gain 1 additional Potency.',0,1),
(162126,1000481,4,100,'For every 84 Potency the group member possesses, they gain 1 additional Potency.',0,1),
(162127,1000481,5,100,'For every 67 Potency the group member possesses, they gain 1 additional Potency.',0,1),
(162128,1000481,6,100,'For every 56 Potency the group member possesses, they gain 1 additional Potency.',0,1),
(162129,1000481,7,100,'For every 48 Potency the group member possesses, they gain 1 additional Potency.',0,1),
(162130,1000481,8,100,'For every 42 Potency the group member possesses, they gain 1 additional Potency.',0,1),
(162131,1000489,1,100,'For every 35 Crit Bonus, the caster gains 1% Max Health.',0,1),
(162132,1000566,1,100,'If Occult Bolt is cast while Voided is active, the warlock gains 2% fervor for a short duration.',0,1),
(162133,1000566,2,100,'If Occult Bolt is cast while Voided is active, the warlock gains 4% fervor for a short duration.',0,1),
(162134,1000566,3,100,'If Occult Bolt is cast while Voided is active, the warlock gains 6% fervor for a short duration.',0,1),
(162135,1000607,1,100,'Improves Crit Bonus by 1',0,1),
(162136,1000607,4,100,'Improves Crit Bonus by 4',0,1),
(162137,1000631,5,100,'Reduces the target''s combat mitigation.',0,1),
(162138,1000636,1,100,'Increases duration by 1 seconds',0,1),
(162139,1000636,2,100,'Increases duration by 2 seconds',0,1),
(162140,1000636,3,100,'Increases duration by 3 seconds',0,1),
(162141,1000636,4,100,'Increases duration by 4 seconds',0,1),
(162142,1000636,5,100,'Increases duration by 5 seconds',0,1),
(162143,1000641,1,100,'Improves reuse speed by 2 seconds',0,2),
(162144,1000641,2,100,'Improves reuse speed by 4 seconds',0,2),
(162145,1000641,4,100,'Improves reuse speed by 8 seconds',0,2),
(162146,1000641,5,100,'Improves reuse speed by 10 seconds',0,2),
(162147,1000649,5,100,'Increases disease resist reduction by 40%',0,1),
(162148,1000656,1,100,'Increases duration by 1 seconds',0,1),
(162149,1000656,3,100,'Increases duration by 3 seconds',0,1),
(162150,1000656,4,100,'Increases duration by 4 seconds',0,1),
(162151,1000656,5,100,'Increases duration by 5 seconds',0,1),
(162152,1000708,5,100,'Adds an effect which reduces combat mitigation.',0,2),
(162153,1000747,5,100,'Adds an effect which reduces combat mitigation.',0,1),
(162154,1000771,5,100,'Adds an effect which reduces combat mitigation.',0,1),
(162155,1000777,5,100,'Adds an effect which reduces combat mitigation.',0,2),
(162156,1000784,5,100,'Adds an effect which reduces combat mitigation.',0,1),
(162157,1000803,10,100,'Adds an extra tick to Elemental Toxicity at rank 10.',0,1),
(162158,1000845,5,100,'Adds an effect which reduces combat mitigation.',0,1),
(162159,1000847,3,100,'Decreases resistability by 3%',0,2),
(162160,1000847,4,100,'Decreases resistability by 4%',0,2),
(162161,1000847,5,100,'Decreases resistability by 5%',0,2),
(162162,1000900,1,100,'Duration by 1 seconds',0,1),
(162163,1000900,3,100,'Duration by 3 seconds',0,1),
(162164,1000900,4,100,'Duration by 4 seconds',0,1),
(162165,1000900,5,100,'Duration by 5 seconds',0,1),
(162166,1000925,5,100,'Adds an effect which reduces combat mitigation.',0,1),
(162167,1000934,1,100,'Improves duration by 1 seconds',0,1),
(162168,1000934,2,100,'Improves duration by 2 seconds',0,1),
(162169,1000934,4,100,'Improves duration by 4 seconds',0,1),
(162170,1000934,5,100,'Improves duration by 5 seconds',0,1),
(162171,1000949,5,100,'Adds an effect which reduces combat mitigation.',0,1),
(162172,1000960,1,100,'Increases Crit Bonus overcap and Fervor overcap by 1.',0,1),
(162173,1000960,2,100,'Increases Crit Bonus overcap and Fervor overcap by 2.',0,1),
(162174,1000960,3,100,'Increases Crit Bonus overcap and Fervor overcap by 3.',0,1),
(162175,1000960,4,100,'Increases Crit Bonus overcap and Fervor overcap by 4.',0,1),
(162176,1000960,5,100,'Increases Crit Bonus overcap and Fervor overcap by 5.',0,1),
(162177,1000988,5,100,'Reduces the target''s combat mitigation.',0,1),
(162178,1001035,5,100,'Adds an effect which reduces combat mitigation.',0,2),
(162179,1001053,5,100,'Adds an effect which reduces combat mitigation.',0,1),
(162180,1001054,4,100,'Improves the Crit Bonus by 4%',0,1),
(162181,1001102,1,100,'Improved Crit Bonus by 1',0,2),
(162182,1001102,2,100,'Improved Crit Bonus by 2',0,2),
(162183,1001102,3,100,'Improved Crit Bonus by 3',0,2),
(162184,1001128,1,100,'Increases duration by 1 seconds',0,1),
(162185,1001128,3,100,'Increases duration by 3 seconds',0,1),
(162186,1001128,4,100,'Increases duration by 4 seconds',0,1),
(162187,1001128,5,100,'Increases duration by 5 seconds',0,1),
(162188,1001143,1,100,'Improves Crit Bonus by 1',0,2),
(162189,1001143,2,100,'Improves Crit Bonus by 2',0,2),
(162190,1001143,3,100,'Improves Crit Bonus by 3',0,2),
(162191,1001143,5,100,'Improves Crit Bonus by 5',0,2),
(162192,1001146,1,100,'increases duration by 0.1 seconds',0,2),
(162193,1001146,2,100,'increases duration by 0.2 seconds',0,2),
(162194,1001146,5,100,'increases duration by 0.5 seconds',0,2),
(162195,1001205,5,100,'Reduces the target''s combat mitigation.',0,1),
(162196,1001335,1,100,'Adds Physical mitigation to Fanatic''s Faith.',0,2),
(162197,1001335,2,100,'Adds Physical mitigation to Fanatic''s Faith.',0,2),
(162198,1001335,3,100,'Adds Physical mitigation to Fanatic''s Faith.',0,2),
(162199,1001335,4,100,'Adds Physical mitigation to Fanatic''s Faith.',0,2),
(162200,1001335,5,100,'Adds Physical mitigation to Fanatic''s Faith.',0,2),
(162201,1001753,1,100,'Gravitas will increase the Fervor of melee and ranged attack by 2%.',0,1),
(162202,1001753,2,100,'Gravitas will increase the Fervor of melee and ranged attack by 4%.',0,1),
(162203,1001753,3,100,'Gravitas will increase the Fervor of melee and ranged attack by 6%.',0,1),
(162204,1001753,4,100,'Gravitas will increase the Fervor of melee and ranged attack by 8%.',0,1),
(162205,1001753,5,100,'Gravitas will increase the Fervor of melee and ranged attack by 10%.',0,1),
(162206,1001787,1,100,'For every 35 Crit Bonus, the caster gains 1% Max Health.',0,1),
(162207,1001814,4,100,'Reduces physical and elemental damage done to caster by 6%',0,1),
(162208,1001814,5,100,'Reduces physical and elemental damage done to caster by 7.5%',0,1),
(162209,1001814,8,100,'Reduces physical and elemental damage done to caster by 12%',0,1),
(162210,1001866,1,100,'Velocity will increase the base auto-attack multiplier of group members by 0.5.',0,1),
(162211,1001920,1,100,'Does not affect Epic targets',1,3),
(162212,1001920,2,100,'Does not affect Epic targets',1,3),
(162213,1001920,3,100,'Does not affect Epic targets',1,3),
(162214,1001920,4,100,'Does not affect Epic targets',1,3),
(162215,1001920,5,100,'Does not affect Epic targets',1,3),
(162216,1001920,6,100,'Does not affect Epic targets',1,3),
(162217,1001920,7,100,'Does not affect Epic targets',1,3),
(162218,1001920,8,100,'Does not affect Epic targets',1,3),
(162219,1001920,9,100,'Does not affect Epic targets',1,3),
(162220,1001920,10,100,'Does not affect Epic targets',1,3),
(162221,1001975,1,100,'Increases Potency of caster by 1.0%',1,1),
(162222,1001975,2,100,'Increases Potency of caster by 2.0%',1,1),
(162223,1001975,3,100,'Increases Potency of caster by 3.0%',1,1),
(162224,1001975,4,100,'Increases Potency of caster by 4.0%',1,1),
(162225,1001975,5,100,'Increases Potency of caster by 5.0%',1,1),
(162226,1001975,6,100,'Increases Potency of caster by 6.0%',1,1),
(162227,1001975,7,100,'Increases Potency of caster by 7.0%',1,1),
(162228,1001975,8,100,'Increases Potency of caster by 8.0%',1,1),
(162229,1001979,1,100,'This effect can only trigger once every 1.0 second.',1,7),
(162230,1001979,2,100,'This effect can only trigger once every 1.0 second.',1,7),
(162231,1001979,3,100,'This effect can only trigger once every 1.0 second.',1,7),
(162232,1001979,4,100,'This effect can only trigger once every 1.0 second.',1,7),
(162233,1001979,5,100,'This effect can only trigger once every 1.0 second.',1,7),
(162234,1002048,1,100,'Songsters Luck will increase group members potency by 8.',0,1),
(162235,1002048,1,100,'Songsters Luck will increase group members crit bonus overcap by 10.',0,2),
(162236,1002048,2,100,'Songsters Luck will increase group members crit bonus overcap by 20.',0,1),
(162237,1002048,2,100,'Songsters Luck will increase group members potency by 16.',0,2),
(162238,1002048,3,100,'Songsters Luck will increase group members crit bonus overcap by 30.',0,1),
(162239,1002048,3,100,'Songsters Luck will increase group members potency by 24.',0,2),
(162240,1002048,4,100,'Songsters Luck will increase group members crit bonus overcap by 40.',0,1),
(162241,1002048,4,100,'Songsters Luck will increase group members potency by 32.',0,2),
(162242,1002048,5,100,'Songsters Luck will increase group members potency by 40.',0,1),
(162243,1002048,5,100,'Songsters Luck will increase group members crit bonus overcap by 50.',0,2),
(162244,1002048,6,100,'Songsters Luck will increase group members crit bonus overcap by 60.',0,1),
(162245,1002048,6,100,'Songsters Luck will increase group members potency by 48.',0,2),
(162246,1002048,7,100,'Songsters Luck will increase group members crit bonus overcap by 70.',0,1),
(162247,1002048,7,100,'Songsters Luck will increase group members potency by 56.',0,2),
(162248,1002048,8,100,'Songsters Luck will increase group members potency by 64.',0,1),
(162249,1002048,8,100,'Songsters Luck will increase group members crit bonus overcap by 80.',0,2),
(162250,1002048,9,100,'Songsters Luck will increase group members potency by 72.',0,1),
(162251,1002048,9,100,'Songsters Luck will increase group members crit bonus overcap by 90.',0,2),
(162252,1002048,10,100,'Songsters Luck will increase group members crit bonus overcap by 100.',0,1),
(162253,1002048,10,100,'Songsters Luck will increase group members potency by 80.',0,2),
(162254,1002161,3,100,'Target cannot be attacked directly.',1,2),
(162255,1002193,5,100,'Using Vengeful Arrow will reduce the target''s combat mitigation.',0,1),
(162256,1002277,1,100,'Cannot be modified except by direct means',1,5),
(162257,1002392,4,100,'This effect cannot be critically applied.',3,3),
(162258,1002392,8,100,'This effect cannot be critically applied.',3,3),
(162259,1002392,9,100,'This effect cannot be critically applied.',3,3),
(162260,1002393,3,100,'This effect cannot be critically applied.',3,3),
(162261,1002393,5,100,'This effect cannot be critically applied.',3,3),
(162262,1002393,6,100,'This effect cannot be critically applied.',3,3),
(162263,1002393,8,100,'This effect cannot be critically applied.',3,3),
(162264,1002393,9,100,'This effect cannot be critically applied.',3,3),
(162265,1002394,3,100,'This effect cannot be critically applied.',3,3),
(162266,1002394,4,100,'This effect cannot be critically applied.',3,3),
(162267,1002394,8,100,'This effect cannot be critically applied.',3,3),
(162268,1002394,9,100,'This effect cannot be critically applied.',3,3),
(162269,1002395,2,100,'This effect cannot be critically applied.',3,3),
(162270,1002395,3,100,'This effect cannot be critically applied.',3,3),
(162271,1002395,4,100,'This effect cannot be critically applied.',3,3),
(162272,1002395,6,100,'This effect cannot be critically applied.',3,3),
(162273,1002395,7,100,'This effect cannot be critically applied.',3,3),
(162274,1002395,9,100,'This effect cannot be critically applied.',3,3),
(162275,1002395,10,100,'This effect cannot be critically applied.',3,3),
(162276,1002397,2,100,'This effect cannot be critically applied.',3,3),
(162277,1002397,3,100,'This effect cannot be critically applied.',3,3),
(162278,1002397,4,100,'This effect cannot be critically applied.',3,3),
(162279,1002397,5,100,'This effect cannot be critically applied.',3,3),
(162280,1002397,7,100,'This effect cannot be critically applied.',3,3),
(162281,1002397,9,100,'This effect cannot be critically applied.',3,3),
(162282,1002397,10,100,'This effect cannot be critically applied.',3,3),
(162283,1002398,4,100,'This effect cannot be critically applied.',3,3),
(162284,1002398,5,100,'This effect cannot be critically applied.',3,3),
(162285,1002398,6,100,'This effect cannot be critically applied.',3,3),
(162286,1002398,9,100,'This effect cannot be critically applied.',3,3),
(162287,1002492,1,100,'For every 35 Crit Bonus, the caster gains 1% Max Health.',0,1),
(162288,1002523,1,100,'Fortissimo will increase the base auto-attack multiplier of group members by 0.1.',0,1),
(162289,1002523,2,100,'Fortissimo will increase the base auto-attack multiplier of group members by 0.2.',0,1),
(162290,1002523,3,100,'Fortissimo will increase the base auto-attack multiplier of group members by 0.3.',0,1),
(162291,1002523,4,100,'Fortissimo will increase the base auto-attack multiplier of group members by 0.4.',0,1),
(162292,1002523,5,100,'Fortissimo will increase the base auto-attack multiplier of group members by 0.5.',0,1),
(162293,1002650,1,100,'Cannot be modified except by direct means',1,5),
(162294,1002663,1,100,'For every 3 Crit Bonus, the caster gains 1 Potency.',0,1),
(162295,1002748,1,100,'Inspired Daring will grant 3% Ability Doublecast.',0,3),
(162296,1002748,1,100,'Perfect Finesse will grant 2.5% Ability Doublecast.',0,4),
(162297,1002748,1,100,'Ruthless Cunning will grant 2.5% Ability Doublecast.',0,5),
(162298,1002825,1,100,'For every 35 Crit Bonus, the caster gains 1% Max Health.',0,1),
(162299,2000004,1,100,'Decreases Threat to target by 10 ',1,2),
(162300,2000004,2,100,'Decreases Threat to target by 1,393 ',1,2),
(162301,2000004,3,100,'Decreases Threat to target by 2,089 ',1,2),
(162302,2000004,4,100,'Decreases Threat to target by 2,786 ',1,2),
(162303,2000004,5,100,'Decreases Threat to target by 3,482 ',1,2),
(162304,2000016,1,100,'This effect can only trigger once every 1.0 second.',1,4),
(162305,2000077,1,100,'Grants a total of 1 trigger of the spell.',1,5),
(162306,2000081,1,100,'Decreases Threat to group members (AE) by 4,702 - 7,836 ',0,3),
(162307,2000081,1,100,'If not fighter',1,4),
(162308,2000136,1,100,'Makes caster immune to strikethrough attacks.',0,2),
(162309,2000178,1,100,'Decreases Mitigation of target vs arcane damage by 1228',0,2),
(162310,2000178,2,100,'Decreases Mitigation of target vs arcane damage by 1296',0,2),
(162311,2000178,3,100,'Decreases Mitigation of target vs arcane damage by 1200',0,2),
(162312,2000178,4,100,'Decreases Mitigation of target vs arcane damage by 1320',0,2),
(162313,2000178,5,100,'Decreases Mitigation of target vs arcane damage by 1637',0,2),
(162314,2000178,6,100,'Decreases Mitigation of target vs arcane damage by 1773',0,2),
(162315,2000178,7,100,'Decreases Mitigation of target vs arcane damage by 2101',0,2),
(162316,2000178,8,100,'Decreases Mitigation of target vs arcane damage by 1860',0,2),
(162317,2000178,9,100,'Decreases Mitigation of target vs arcane damage by 1920',0,2),
(162318,2000178,10,100,'Decreases Mitigation of target vs arcane damage by 2292',0,2),
(162319,2000182,1,100,'This effect can only trigger once every 15.0 seconds.',1,7),
(162320,2000220,2,100,'Increases Focus, Slashing, Piercing and Crushing of caster by 33.7',0,2),
(162321,2000220,3,100,'Increases Focus, Slashing, Piercing and Crushing of caster by 35.5',0,2),
(162322,2000220,4,100,'Increases Focus, Slashing, Piercing and Crushing of caster by 39.0',0,2),
(162323,2000220,5,100,'Increases Focus, Slashing, Piercing and Crushing of caster by 42.6',0,2),
(162324,2000220,6,100,'Increases Focus, Slashing, Piercing and Crushing of caster by 46.1',0,2),
(162325,2000220,7,100,'Increases Focus, Slashing, Piercing and Crushing of caster by 54.7',0,2),
(162326,2000220,8,100,'Increases Focus, Slashing, Piercing and Crushing of caster by 54.2',0,2),
(162327,2000220,9,100,'Increases Focus, Slashing, Piercing and Crushing of caster by 56.8',0,2),
(162328,2000220,10,100,'Increases Focus, Slashing, Piercing and Crushing of caster by 58.8',0,2),
(162329,2000228,1,100,'Decreases Combat Mitigation of target by 25.2',0,5),
(162330,2000228,2,100,'Decreases Combat Mitigation of target by 50.4',0,5),
(162331,2000228,3,100,'Decreases Combat Mitigation of target by 75.6',0,5),
(162332,2000266,1,100,'Inflicts 3646 - 4456 melee damage on target',0,4),
(162333,2000266,1,100,'Decreases Ability Mod of target by 152.5',0,5),
(162334,2000305,1,100,'Decreases Mitigation of target vs arcane damage by 2376',0,3),
(162335,2000305,2,100,'Decreases Mitigation of target vs arcane damage by 2508',0,3),
(162336,2000305,3,100,'Decreases Mitigation of target vs arcane damage by 2640',0,3),
(162337,2000305,4,100,'Decreases Mitigation of target vs arcane damage by 2640',0,3),
(162338,2000305,5,100,'Decreases Mitigation of target vs arcane damage by 2880',0,3),
(162339,2000333,1,100,'This effect can only trigger once every 20.0 seconds.',1,2),
(162340,2000333,1,100,'If level above 100',1,3),
(162341,2000333,1,100,'If level above 100',1,4),
(162342,2000333,1,100,'Target has a 5.0% chance of having one of their weapons'' auto-attack strike the target multiple times.',0,5),
(162343,2000333,1,100,'Increases DPS of target by 15.0',0,6),
(162344,2000333,1,100,'Increases target''s Potency by 25% of the target''s Multi Attack chance.',0,7),
(162345,2000350,1,100,'Dispelled when target casts a hostile spell',0,3),
(162346,2000375,1,100,'Increases targets potency by 70% of the targets ability reuse.',0,4),
(162347,2000412,1,100,'This effect can only trigger once every 0.2 seconds.',1,3),
(162348,2000412,2,100,'This effect can only trigger once every 0.2 seconds.',1,3),
(162349,2000430,1,100,'Increases targets potency by 180% of the targets flurry chance.',0,2),
(162350,2000430,1,100,'Cannot be modified except by direct means',0,3),
(162351,2000447,1,100,'Reduces all damage done to the target by 100%.  The damage reduced is reflected on the attacker.',0,2),
(162352,2000447,1,100,'Cannot be modified except by direct means',0,3),
(162353,2000447,2,100,'Reduces all damage done to the target by 100%.  The damage reduced is reflected on the attacker.',0,2),
(162354,2000447,2,100,'Cannot be modified except by direct means',0,3),
(162355,2000450,1,100,'Increases Max Health of group members (AE) by 15.0%',1,1),
(162356,2000450,1,100,'This spell starts at twelve increments and decreases each time the target takes damage.',1,2),
(162357,2000450,1,100,'Increases healing received by 10.00%',0,3),
(162358,2000450,2,100,'Increases Max Health of group members (AE) by 30.0%',1,1),
(162359,2000450,2,100,'This spell starts at twelve increments and decreases each time the target takes damage.',1,2),
(162360,2000450,2,100,'Increases healing received by 10.00%',0,3),
(162361,2000450,3,100,'Increases Max Health of group members (AE) by 45.0%',1,1),
(162362,2000450,3,100,'This spell starts at twelve increments and decreases each time the target takes damage.',1,2),
(162363,2000450,3,100,'Increases healing received by 10.00%',0,3),
(162364,2000459,1,100,'Increases Potency by 25% of the caster''s base Crit Bonus',0,3),
(162365,2000475,1,100,'Decreases Haste of target by 9.1',1,4),
(162366,2000490,1,100,'Cannot be modified except by direct means',0,3),
(162367,2000490,1,100,'The healing of this spell cannot be modified except by direct means',0,4),
(162368,2000546,1,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(162369,2000567,1,100,'Will absorb all damage when the amount is greater than 10% of the target''s maximum health. This spell will absorb a total of 2 attacks.',0,9),
(162370,2000614,1,100,'Gives target a 20.0% chance to strikethrough a successful avoidance check',1,5),
(162371,2000614,2,100,'Gives target a 40.0% chance to strikethrough a successful avoidance check',1,5),
(162372,2000614,3,100,'Gives target a 60.0% chance to strikethrough a successful avoidance check',1,5),
(162373,2000614,4,100,'Gives target a 80.0% chance to strikethrough a successful avoidance check',1,5),
(162374,2000614,5,100,'Gives target a 100.0% chance to strikethrough a successful avoidance check',1,5),
(162375,2000630,1,100,'The healing of this spell cannot be modified except by direct means',0,3),
(162376,2000641,1,100,'Must not be charmed.',0,2),
(162377,2000661,1,100,'Must be engaged in combat',0,7),
(162378,2000661,1,100,'Only works on primary pets',0,8),
(162379,2000698,1,100,'Decreases Mitigation of target vs elemental, noxious and arcane damage by 7800',0,1),
(162380,2000705,1,100,'Improves crit bonus of spells by 1%',0,3),
(162381,2000717,1,100,'Wards group members (AE) collectively against 5665 total points of all damage',0,0),
(162382,2000722,1,100,'Increases the priest''s Crit Bonus by 15% of their base Crit Bonus value.',0,1),
(162383,2000734,3,100,'Gives caster a 100.0% chance to strikethrough a successful avoidance check',0,4),
(162384,2000734,3,100,'This effect can only trigger once every 4 seconds.',0,5),
(162385,2000734,4,100,'Gives caster a 100.0% chance to strikethrough a successful avoidance check',0,4),
(162386,2000734,4,100,'This effect can only trigger once every 4 seconds.',0,5),
(162387,2000734,5,100,'Gives caster a 100.0% chance to strikethrough a successful avoidance check',0,4),
(162388,2000734,5,100,'This effect can only trigger once every 4 seconds.',0,5),
(162389,2000734,7,100,'Gives caster a 100.0% chance to strikethrough a successful avoidance check',0,4),
(162390,2000734,7,100,'This effect can only trigger once every 4 seconds.',0,5),
(162391,2000734,9,100,'Gives caster a 100.0% chance to strikethrough a successful avoidance check',0,4),
(162392,2000734,9,100,'This effect can only trigger once every 4 seconds.',0,5),
(162393,2000734,10,100,'Gives caster a 100.0% chance to strikethrough a successful avoidance check',0,4),
(162394,2000734,10,100,'This effect can only trigger once every 4 seconds.',0,5),
(162395,9022,1,100,'Decreases success chance by 7.0%',0,0),
(162396,9022,1,100,'Increases the amount of durability gained by 20.0.',0,1),
(162398,400002,1,100,'Inflicts 85 - 142 melee damage on target',0,0),
(162399,40060,12,100,'Throws target back',0,0),
(162400,40060,12,100,'If Target is not Epic',1,1),
(162401,40060,12,100,'Inflicts 154 - 464 crushing damage on target',0,2),
(162402,40060,12,100,'Stuns target',0,3),
(162403,40060,12,100,'If Target is not Epic',1,4),
(162404,40060,12,100,'Resistibility increases against targets higher than level 29.',0,5),
(162406,90134,7,100,'Inflicts 3 disease damage on target every 3 seconds',0,2),
(162407,90044,10,100,'The healing of this spell cannot be modified except by direct means',0,5),
(162408,90045,10,100,'The healing of this spell cannot be modified except by direct means',0,5),
(162409,2550001,1,100,'Inflicts 11 - 20 poison damage on target',0,0),
(162410,2550001,2,100,'Inflicts 11 - 21 poison damage on target',0,0),
(162411,2550001,3,100,'Inflicts 12 - 22 poison damage on target',0,0),
(162412,2550001,4,100,'Inflicts 13 - 24 poison damage on target',0,0),
(162413,2550001,5,100,'Inflicts 14 - 26 poison damage on target',0,0),
(162414,2550001,7,100,'Inflicts 18 - 34 poison damage on target',0,0),
(162415,2550001,9,100,'Inflicts 19 - 35 poison damage on target',0,0),
(162416,2550001,10,100,'Inflicts 20 - 37 poison damage on target',0,0),
(162431,5003,1,100,'Applies Basic Firework when Activated.  Lasts for 3.0 seconds.',0,0),
(162432,5004,1,100,'Applies Basic Firework when Activated.  Lasts for 3.0 seconds.',0,0),
(162434,5005,1,100,'Applies Basic Firework when Activated.  Lasts for 3.0 seconds.',0,0),
(162435,5006,1,100,'Applies Basic Firework when Activated.  Lasts for 3.0 seconds.',0,0),
(162436,5007,1,100,'Applies Basic Firework when Activated.  Lasts for 3.0 seconds.',0,0),
(162437,5008,1,100,'Applies Basic Firework when Activated.  Lasts for 3.0 seconds.',0,0),
(162440,5009,2,100,'Increases Out-of-Combat Power Regeneration of target by 15.0',0,0),
(162441,5009,1,100,'Increases Out-of-Combat Power Regeneration of target by 6.0',0,0),
(162442,5010,1,100,'Increases Out-of-Combat Health Regeneration of target by 4.0',0,0),
(162443,5010,2,100,'Increases Out-of-Combat Health Regeneration of target by 10.0',0,0),
(162452,5011,1,100,'Increases Out-of-Combat Health Regeneration of target by 4.0',0,0),
(162453,5011,1,100,'This effect suspends during combat',0,1),
(162454,5011,3,100,'Increases Out-of-Combat Health Regeneration of target by 21.0',0,0),
(162455,5011,3,100,'This effect suspends during combat',0,1),
(162456,5011,2,100,'Increases Out-of-Combat Health Regeneration of target by 11.0',0,0),
(162457,5011,2,100,'This effect suspends during combat',0,1),
(162458,5011,4,100,'Increases Out-of-Combat Health Regeneration of target by 31.0',0,0),
(162459,5011,5,100,'This effect suspends during combat',0,1),
(162460,5011,5,100,'Increases Out-of-Combat Health Regeneration of target by 41.0\r\n',0,0),
(162461,5011,4,100,'This effect suspends during combat',0,1),
(162462,5011,6,100,'Increases Out-of-Combat Health Regeneration of target by 51.0',0,0),
(162463,5011,6,100,'This effect suspends during combat',0,1),
(162464,5011,7,100,'Increases Out-of-Combat Health Regeneration of target by 63.5',0,0),
(162465,5011,7,100,'This effect suspends during combat',0,1),
(162466,5011,8,100,'Increases Out-of-Combat Health Regeneration of target by 76.0',0,0),
(162467,5011,8,100,'This effect suspends during combat',0,1),
(162490,5009,3,100,'Increases Out-of-Combat Power Regeneration of target by 15.0',0,0),
(162491,5009,4,100,'Increases Out-of-Combat Power Regeneration of target by 15.0',0,0),
(162587,5012,1,100,'Applies Basic Firework when Activated.  Lasts for 3.0 seconds.',0,0),
(162588,8167,3,100,'Reduces maximum falling speed of caster',0,0),
(162589,8167,3,100,'You cannot use this spell while riding on a mount.',0,1),
(162591,240005,2,100,'Inflicts 1017 - 1889 disease damage on target encounter',0,0),
(162592,240005,3,100,'Inflicts 1017 - 1889 disease damage on target encounter',0,0),
(162593,5013,1,100,'Increases power of caster by 1.3 - 1.5%',0,0),
(162594,5014,5,100,'Increases power of caster by 4.6 - 5.6%',0,0),
(162595,5013,1,100,'Increases power of caster by 0.6 - 0.8% every 4 seconds',0,0),
(162596,5013,2,100,'Increases power of caster by 1.3 - 1.6%',0,0),
(162597,5013,3,100,'Increases power of caster by 1.4 - 1.7%',0,0),
(162598,5013,7,100,'Increases power of caster by 2.1 - 2.6%\r\n',0,0),
(162599,5013,9,100,'Increases power of caster by 2.2 - 2.7%',0,0),
(162600,5013,5,100,'Increases power of caster by 1.7 - 2.0%',0,0),
(162601,5013,1,100,'This effect cannot be critically applied.',0,0),
(162602,5013,5,100,'Increases power of caster by 0.8 - 1.0% every 4 seconds',0,0),
(162603,5013,5,100,'This effect cannot be critically applied.',0,0),
(162604,5013,2,100,'Increases power of caster by 0.7 - 0.8% every 4 seconds',0,0),
(162605,5013,2,100,'This effect cannot be critically applied.',0,0),
(162606,5013,3,100,'Increases power of caster by 0.7 - 0.9% every 4 seconds',0,0),
(162607,5013,3,100,'This effect cannot be critically applied.',0,0),
(162608,5013,4,100,'Increases power of caster by 1.5 - 1.9%',0,0),
(162609,5013,4,100,'Increases power of caster by 0.8 - 1.0% every 4 seconds',0,0),
(162610,5013,4,100,'This effect cannot be critically applied.',0,0),
(162611,5013,7,100,'Increases power of caster by 1.1 - 1.3% every 4 seconds',0,0),
(162612,5013,7,100,'This effect cannot be critically applied.',0,0),
(162613,5013,9,100,'Increases power of caster by 1.1 - 1.4% every 4 seconds',0,0),
(162614,5013,9,100,'This effect cannot be critically applied.',0,0),
(162615,5014,2,100,'Increases power of caster by 3.7 - 4.5%',0,0),
(162616,5014,3,100,'Increases power of caster by 3.8 - 4.7%',0,0),
(162617,5014,4,100,'Increases power of caster by 4.2 - 5.2%',0,0),
(162619,5014,7,100,'Increases power of caster by 5.9 - 7.2%',0,0),
(162620,5014,9,100,'Increases power of caster by 6.2 - 7.5%',0,0),
(162621,5014,5,100,'This effect cannot be critically applied.',0,0),
(162622,5014,5,100,'Requires 775 Health to cast.',0,0),
(162623,5014,1,100,'Increases power of caster by 3.5 - 4.2%',0,0),
(162624,5014,1,100,'This effect cannot be critically applied.',0,0),
(162625,5014,1,100,'Requires 775 Health to cast.',0,0),
(162626,5014,2,100,'This effect cannot be critically applied.',0,0),
(162627,5014,2,100,'Requires 775 Health to cast.',0,0),
(162628,5014,3,100,'This effect cannot be critically applied.',0,0),
(162629,5014,3,100,'Requires 775 Health to cast.',0,0),
(162630,5014,4,100,'This effect cannot be critically applied.',0,0),
(162631,5014,4,100,'Requires 775 Health to cast.',0,0),
(162632,5014,7,100,'This effect cannot be critically applied.',0,0),
(162633,5014,7,100,'Requires 775 Health to cast.',0,0),
(162634,5014,9,100,'This effect cannot be critically applied.',0,0),
(162635,5014,9,100,'Requires 775 Health to cast.',0,0),
(162652,5016,1,100,'Reduces maximum falling speed of caster.',0,0),
(162653,5016,1,100,'Summons a mount to ride.',0,0),
(162654,5016,1,100,'Increases your ground speed by 130%.',0,1),
(162655,5017,1,100,'Increases Max Health of caster by 150.0',0,0),
(162656,5017,1,100,'Increases Max Power of caster by 150.0',0,0),
(162657,5017,1,100,'Increases Ranged and Slashing of caster by 7.0',0,0),
(162658,5017,1,100,'Summons a mount to ride',0,0),
(162659,5017,1,100,'Increases your ground speed by 130%',0,0),
(162660,5017,1,100,'Increases Piercing, Disruption and Crushing of caster by 7.0',0,0),
(162661,5017,1,100,'Requires Evil Alignment.',0,0),
(162662,5018,1,100,'Increases Max Health of caster by 150.0',0,0),
(162663,5018,1,100,'Increases Max Power of caster by 150.0',0,0),
(162664,5018,1,100,'Increases Ranged and Slashing of caster by 7.0',0,0),
(162665,5018,1,100,'Summons a mount to ride',0,0),
(162666,5018,1,100,'Increases your ground speed by 130%',0,0),
(162667,5018,1,100,'Increases Piercing, Disruption and Crushing of caster by 7.0',0,0),
(162668,5018,1,100,'Requires Evil Alignment.',0,0),
(162669,5019,1,100,'Increases Max Health of caster by 150.0',0,0),
(162670,5019,1,100,'Increases Max Power of caster by 150.0',0,0),
(162671,5019,1,100,'Increases Ranged and Slashing of caster by 7.0',0,0),
(162672,5019,1,100,'Summons a mount to ride',0,0),
(162673,5019,1,100,'Increases your ground speed by 130%',0,0),
(162674,5019,1,100,'Increases Piercing, Disruption and Crushing of caster by 7.0',0,0),
(162675,5019,1,100,'Requires Evil Alignment.',0,0),
(162676,5020,1,100,'Increases Max Health of caster by 150.0',0,0),
(162677,5020,1,100,'Increases Max Power of caster by 150.0',0,0),
(162678,5020,1,100,'Increases Ranged and Slashing of caster by 7.0',0,0),
(162679,5020,1,100,'Summons a mount to ride',0,0),
(162680,5020,1,100,'Increases your ground speed by 130%',0,0),
(162681,5020,1,100,'Increases Piercing, Disruption and Crushing of caster by 7.0',0,0),
(162682,5020,1,100,'Requires Evil Alignment.',0,0),
(162683,5021,1,100,'Summons a mount to ride that increases your air speed by 150%',0,0),
(162690,5022,1,100,'Increase Focus, Disruption, Ministration, Subjugation, Ordination, Slashing, Piercing, Crushing, Aggression and Ranged of caster by 5',0,0),
(162691,5022,1,100,'Summons a mount to ride that increases your speed by 130%',0,0),
(162693,5022,1,100,'Increases your air speed by 150%',0,0),
(162694,5023,1,100,'Increase Focus, Disruption, Ministration, Subjugation, Ordination, Slashing, Piercing, Crushing, Aggression and Ranged of caster by 5',0,0),
(162695,5023,1,100,'Summons a mount to ride that increases your speed by 130%',0,0),
(162696,5023,1,100,'Increases your air speed by 150%',0,0),
(162697,5024,1,100,'Increase Focus, Disruption, Ministration, Subjugation, Ordination, Slashing, Piercing, Crushing, Aggression and Ranged of caster by 5',0,0),
(162698,5024,1,100,'Summons a mount to ride that increases your speed by 130%',0,0),
(162699,5024,1,100,'Increases your air speed by 150%',0,0),
(162700,5025,1,100,'Increase Focus, Disruption, Ministration, Subjugation and Ordination of caster by 5',0,0),
(162701,5025,1,100,'Summons a mount to ride that increases your speed by 130%',0,0),
(162707,5026,1,100,'Increases your ground speed by 135%',0,0),
(162710,5026,1,100,'Increases Mitigation of caster vs elemental, noxious and arcane damage by 450',0,0),
(162711,5027,1,100,'Increases Max Health of caster by 100.0',0,0),
(162712,5027,1,100,'Increases Max Power of caster by 100.0',0,0),
(162713,5027,1,100,'Increases, Piercing, Slashing, Crushing, Ranged and Disruption by 7.0',0,0),
(162718,5027,1,100,'Increases your ground speed by 130%',0,0),
(162719,5028,1,100,'--Increases Oridination, Subjugation, Ministration, Disruption and Focus by 5.0',0,0),
(162720,5028,1,100,'Summons a mount to ride that increases your speed by 130%',0,0),
(162723,5029,1,100,'Summons a mount to ride that increases your ground speed by 75%',0,0),
(162725,5029,1,100,'Increases your air speed by 150%',0,0),
(162726,5030,1,100,'Increases Max Health of caster by 100.0',0,0),
(162727,5030,1,100,'Increases Max Power of caster by 100.0',0,0),
(162728,5030,1,100,'Increases, Piercing, Slashing, Crushing, Ranged and Disruption by 7.0',0,0),
(162729,5030,1,100,'Increases your ground speed by 130%',0,0),
(162736,5031,1,100,'Increases your ground speed by 130%',0,0),
(162740,5032,1,100,'Increases your ground speed by 130%',0,0),
(162741,5032,1,100,'Increases Fishing, Trapping, Mining, Foresting, Gathering and \r\nTransmuting of caster by 14.3',0,0),
(162742,5033,1,100,'Increase Focus, Disruption, Ministration, Subjugation, Ordination, Slashing, Piercing, Crushing, Aggression and Ranged of caster by 5',0,0),
(162743,5033,1,100,'Summons a mount to ride that increases your ground speed by 60%',0,0),
(162745,5033,1,100,'Summons a mount to ride that increases your air speed by 200%',0,0),
(162750,5034,1,100,'Summons a mount to ride',0,0),
(162751,5034,1,100,'Increases your ground speed by 130%',0,0),
(162752,5034,1,100,'Increases Focus, Crushing, Piercing, Slashing and Ranged of caster by 7',0,0),
(162754,5035,1,100,'Summons a mount to ride',0,0),
(162755,5035,1,100,'Increases your ground speed by 130%',0,0),
(162756,5035,1,100,'Increases Focus, Crushing, Piercing, Slashing and Ranged of caster by 7',0,0),
(162757,5036,1,100,'Summons a mount to ride',0,0),
(162758,5036,1,100,'Increases Max Health of caster by 150.',0,0),
(162759,5036,1,100,'Increases your ground speed by 130%',0,0),
(162760,5036,1,100,'Increases Defense of caster by 5.0',0,0),
(162761,5036,1,100,'Increases Slashing, Piercing, Ranged, Crushing and Focus of caster by 7.0',0,0),
(162762,5037,1,100,'Increases your ground speed by 130%',0,0),
(162763,5037,1,100,'Increases Slashing, Piercing, Focus and Crushing of caster by 4.7',0,0),
(162764,5038,1,100,'Summons a mount to ride',0,0),
(162765,5038,1,100,'Increases Max Health of caster by 200.',0,1),
(162766,5038,1,100,'Increases Max Power by 200.0',0,2),
(162767,5038,1,100,'increases your ground speed by 130% ',0,3),
(162768,5038,1,100,'Increases Crit Chance by 2.0%',0,4),
(162771,5038,1,100,'Increases Ability Casting Speed by 2.0%',0,5),
(162772,5039,1,100,'Increases your ground speed by 135%',0,0),
(162773,5039,1,100,'Increases Focus, Disruption, Ministration, Subjugation, \r\nOrdination, Slashing, Piercing, Crushing, Aggression and Ranged \r\nof caster by 5.0',0,0),
(162775,5040,1,100,'Increases your ground speed by 130%',0,0),
(162778,5041,1,100,'Increases your ground speed by 130%',0,0),
(162779,5041,1,100,'Increases Piercing, Ranged, Slashing, Crushing and Focus of caster \r\nby 7.0',0,0),
(162781,5042,1,100,'Summons a mount to ride',0,0),
(162782,5042,1,100,'Increases your ground speed by 130%',0,1),
(162783,5042,1,100,'Increases Defense of caster by 5.0',0,4),
(162784,5042,1,100,'Increases Max Health of caster by 150.',0,2),
(162785,5042,1,100,'Increases Slashing, Piercing, Ranged, Crushing and Focus of caster by 7.0',0,3),
(162788,5043,1,100,'Summons a mount to ride',0,0),
(162790,5043,1,100,'Increases your ground speed by 130%',0,1),
(162795,5043,1,100,'Reduces maximum falling speed of caster',0,2),
(162796,5044,1,100,'Increases your ground speed by 130%',0,0),
(162797,5044,1,100,'Increases Piercing, Ranged, Slashing, Crushing and Focus of caster \r\nby 7.0',0,0),
(162799,5045,1,100,'Increases your ground speed by 130%',0,0),
(162800,5045,1,100,'Increases Piercing, Ranged, Slashing, Crushing and Focus of \r\ncaster \r\nby 7.0',0,0),
(162802,5046,1,100,'Increases your ground speed by 130%',0,0),
(162803,5046,1,100,'Increases Piercing, Ranged, Slashing, Crushing and Focus of caster \r\nby 7.0',0,0),
(162805,5047,1,100,'Increases your ground speed by 130%',0,0),
(162806,5047,1,100,'Increases Piercing, Ranged, Slashing, Crushing and Focus of caster \r\nby 7.0',0,0),
(162808,5048,1,100,'Increases your ground speed by 135%',0,0),
(162809,5048,1,100,'Increases Focus, Disruption, Ministration, Subjugation, \r\nOrdination, Slashing, Piercing, Crushing, Aggression and Ranged \r\nof caster by 5.0',0,0),
(162811,5049,1,100,'Increases Max Health of caster by 100.0',0,0),
(162812,5049,1,100,'Increases Crushing, Focus, Piercing, Ranged and Slashing of caster \r\nby 7.0',0,0),
(162813,5049,1,100,'Increases Defense of caster by 3.0',0,0),
(162814,5050,1,100,'Increases Crushing, Focus, Piercing, Ranged and Slashing of caster \r\nby 7.0',0,0),
(162815,5050,1,100,'Increases Defense of caster by 3.0',0,0),
(162816,5050,1,100,'Increases your ground speed by 130%',0,0),
(162817,5051,1,100,'Increases your ground speed by 130%',0,0),
(162818,5051,1,100,'Increases Max Health of caster by 100.0',0,0),
(162819,5051,1,100,'Increases Crushing, Focus, Piercing, Ranged and Slashing of caster \r\nby 7.0',0,0),
(162820,5052,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(162821,5052,1,100,'Increases your Crushing, Disruption, Piercing, Slashing and Ranged \r\nby 7.0',0,0),
(162822,5052,1,100,'Increases damage done by spells and combat arts by upto 30.',0,0),
(162823,5053,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(162824,5053,1,100,'Increases your Crushing, Disruption, Piercing, Slashing and Ranged \r\nby 7.0',0,0),
(162825,5053,1,100,'Increases damage done by spells and combat arts by upto 30.',0,0),
(162826,5054,1,100,'Summons a mount to ride that increases your ground speed by 135%',0,0),
(162827,5054,1,100,'Increases your Crushing, Disruption, Piercing, Slashing and Ranged by 7.0',0,0),
(162828,5054,1,100,'Increases damage done by spells and combat arts by upto 30.',0,0),
(162829,5048,1,100,'Reduces maximum falling speed of caster.',0,0),
(162830,5049,1,100,'Increases your ground speed by 130%',0,0),
(162831,5056,1,100,'Increase Focus, Disruption, Ministration, Subjugation, \r\nOrdination, Slashing, Piercing, Crushing, Aggression and \r\nRanged of caster by 5.0',0,0),
(162832,5056,1,100,'Summons a mount to ride that increases your ground speed by 135%',0,0),
(162835,5050,1,100,'Increases Max Health of caster by 100.0',0,0),
(162836,5051,1,100,'Increases Defense of caster by 3.0',0,0),
(162837,5057,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(162838,5057,1,100,'Increases your Crushing, Disruption, Piercing, Slashing and Ranged \r\nby 7.0',0,0),
(162839,5057,1,100,'Increases damage done by spells and combat arts by upto 30.',0,0),
(162840,5058,1,100,'Increases damage done by spells and combat arts by upto 30.',0,0),
(162843,5059,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(162844,5059,1,100,'Increases your Crushing, Disruption, Piercing, Slashing and Ranged \r\nby 7.0',0,0),
(162845,5059,1,100,'Increases damage done by spells and combat arts by upto 50.',0,0),
(162846,5060,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(162847,5060,1,100,'Increases your Crushing, Disruption, Piercing, Slashing and Ranged \r\nby 7.0',0,0),
(162848,5060,1,100,'Increases damage done by spells and combat arts by upto 50.',0,0),
(162849,5061,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(162850,5061,1,100,'Increases your Crushing, Disruption, Piercing, Slashing and Ranged \r\nby 7.0',0,0),
(162851,5061,1,100,'Increases damage done by spells and combat arts by upto 50.',0,0),
(162852,5062,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(162853,5062,1,100,'Increases your Crushing, Disruption, Piercing, Slashing and Ranged \r\nby 7.0',0,0),
(162854,5062,1,100,'Increases damage done by spells and combat arts by upto 50.',0,0),
(162855,5063,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(162856,5063,1,100,'Increases your Crushing, Disruption, Piercing, Slashing and Ranged \r\nby 7.0',0,0),
(162857,5063,1,100,'Increases damage done by spells and combat arts by upto 50.',0,0),
(162858,5064,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(162859,5064,1,100,'Increases your Crushing, Disruption, Piercing, Slashing and Ranged \r\nby 7.0',0,0),
(162860,5064,1,100,'Increases damage done by spells and combat arts by upto 50.',0,0),
(162861,5065,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(162862,5065,1,100,'Increases your Crushing, Disruption, Piercing, Slashing and Ranged \r\nby 7.0',0,0),
(162863,5065,1,100,'Increases damage done by spells and combat arts by upto 50.',0,0),
(162864,5066,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(162865,5066,1,100,'Increases your Crushing, Disruption, Piercing, Slashing and Ranged \r\nby 7.0',0,0),
(162866,5066,1,100,'Increases damage done by spells and combat arts by upto 50.',0,0),
(162867,5067,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(162868,5067,1,100,'Increases your Crushing, Disruption, Piercing, Slashing and Ranged \r\nby 7.0',0,0),
(162869,5067,1,100,'Increases damage done by spells and combat arts by upto 50.',0,0),
(162870,5068,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(162871,5068,1,100,'Increases your Crushing, Disruption, Piercing, Slashing and Ranged \r\nby 7.0',0,0),
(162872,5068,1,100,'Increases damage done by spells and combat arts by upto 50.',0,0),
(162873,5069,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(162874,5069,1,100,'Increases your Crushing, Disruption, Piercing, Slashing and Ranged \r\nby 7.0',0,0),
(162875,5069,1,100,'Increases damage done by spells and combat arts by upto 50.',0,0),
(162876,5070,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(162877,5070,1,100,'Increases your Crushing, Disruption, Piercing, Slashing and Ranged \r\nby 7.0',0,0),
(162878,5070,1,100,'Increases damage done by spells and combat arts by upto 30.',0,0),
(162879,5071,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(162880,5071,1,100,'Increases your Crushing, Disruption, Piercing, Slashing and Ranged \r\nby 7.0',0,0),
(162881,5071,1,100,'Increases damage done by spells and combat arts by upto 30.',0,0),
(162882,5072,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(162883,5072,1,100,'Increases your Crushing, Disruption, Piercing, Slashing and Ranged \r\nby 7.0',0,0),
(162884,5072,1,100,'Increases damage done by spells and combat arts by upto 30.',0,0),
(162885,5073,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(162886,5073,1,100,'Increases your Crushing, Disruption, Piercing, Slashing and Ranged \r\nby 7.0',0,0),
(162887,5073,1,100,'Increases damage done by spells and combat arts by upto 30.',0,0),
(162888,5074,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(162889,5074,1,100,'Increases your Crushing, Disruption, Piercing, Slashing and Ranged \r\nby 7.0',0,0),
(162890,5074,1,100,'Increases damage done by spells and combat arts by upto 30.',0,0),
(162891,5075,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(162892,5075,1,100,'Increases your Crushing, Disruption, Piercing, Slashing and Ranged \r\nby 7.0',0,0),
(162893,5075,1,100,'Increases damage done by spells and combat arts by upto 30.',0,0),
(162894,5076,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(162895,5076,1,100,'Increases your Crushing, Disruption, Piercing, Slashing and Ranged \r\nby 7.0',0,0),
(162896,5076,1,100,'Increases damage done by spells and combat arts by upto 30.',0,0),
(162897,5077,1,100,'Increase Focus, Disruption, Ministration, Subjugation, \r\nOrdination, \r\nSlashing, Piercing, Crushing, Aggression and Ranged of caster by \r\n5%.',0,0),
(162898,5077,1,100,'Summons a mount to ride that increases your speed by 75%',0,0),
(162899,5077,1,100,'--Increases your air speed by 150%',0,0),
(162900,5078,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(162901,5078,1,100,'Increases your Crushing, Disruption, Piercing, Slashing and Ranged \r\nby 7.0',0,0),
(162902,5078,1,100,'Increases damage done by spells and combat arts by upto 75.',0,0),
(162903,5079,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(162904,5079,1,100,'Increases your Crushing, Disruption, Piercing, Slashing and Ranged \r\nby 7.0',0,0),
(162905,5079,1,100,'Increases damage done by spells and combat arts by upto 75.',0,0),
(162906,5080,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(162907,5080,1,100,'Increases your Crushing, Disruption, Piercing, Slashing and Ranged \r\nby 7.0',0,0),
(162908,5080,1,100,'Increases damage done by spells and combat arts by upto 75.',0,0),
(162909,5081,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(162910,5081,1,100,'Increases your Crushing, Disruption, Piercing, Slashing and Ranged \r\nby 7.0',0,0),
(162911,5081,1,100,'Increases damage done by spells and combat arts by upto 75.',0,0),
(162912,5082,1,100,'Increase Focus, Disruption, Ministration, Subjugation, Ordination, \r\nSlashing, Piercing, Crushing, Aggression and Ranged of caster by 5%',0,0),
(162913,5082,1,100,'Summons a mount to ride that increases your speed by 60%',0,0),
(162914,5082,1,100,'--Increases your air speed by 200%',0,0),
(162915,5083,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(162916,5083,1,100,'Increases your Crushing, Disruption, Piercing, Slashing and Ranged \r\nby 7.0',0,0),
(162917,5083,1,100,'Increases damage done by spells and combat arts by upto 50.',0,0),
(162918,5084,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(162919,5084,1,100,'Increases your Crushing, Disruption, Piercing, Slashing and Ranged \r\nby 7.0',0,0),
(162920,5084,1,100,'Increases damage done by spells and combat arts by upto 30.',0,0),
(162921,5085,1,100,'Summons a mount to ride',0,0),
(162922,5085,1,100,'Increases Max Health of caster by 200.',0,0),
(162923,5085,1,100,'Increases Max Power by 200.0',0,0),
(162924,5086,1,100,'Summons a mount to ride',0,0),
(162925,5086,1,100,'Increases Max Health of caster by 200.',0,0),
(162926,5086,1,100,'Increases Max Power by 200.0',0,0),
(162927,5087,1,100,'Increase Focus, Disruption, Ministration, Subjugation, Ordination, \r\nSlashing, Piercing, Crushing, Aggression and Ranged of caster by 5',0,0),
(162928,5087,1,100,'Summons a mount to ride that increases your ground speed by 75%',0,0),
(162929,5087,1,100,'Summons a mount to ride that increases your air speed by 150%',0,0),
(162930,5088,1,100,'Increase Focus, Disruption, Ministration, Subjugation, \r\nOrdination, Slashing, Piercing, Crushing, Aggression and \r\nRanged of caster by 5',0,0),
(162931,5088,1,100,'Summons a mount to ride that increases your ground speed by 75%',0,0),
(162932,5088,1,100,'Summons a mount to ride that increases your air speed by 150%',0,0),
(162933,5085,1,100,'increases your ground speed by 130% ',0,0),
(162934,5085,1,100,'Increases Multi Attack Chance by 2.0%',0,0),
(162935,5085,1,100,'Increases Ability Casting Speed by 2.0%',0,0),
(162936,5086,1,100,'increases your ground speed by 130% ',0,0),
(162937,5086,1,100,'Increases Ability Reuse Speed by 1.0%',0,0),
(162938,5086,1,100,'Increases Ability Casting Speed by 2.0%',0,0),
(162939,5089,1,100,'Increase Focus, Disruption, Ministration, Subjugation, Ordination, \r\nSlashing, Piercing, Crushing, Aggression and Ranged of caster by 5',0,0),
(162940,5089,1,100,'Summons a mount to ride that increases your speed by 60%',0,0),
(162941,5089,1,100,'--Increases your air speed by 200%',0,0),
(162942,5090,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(162945,5091,1,100,'Increases your ground speed by 130%',0,0),
(162946,5091,1,100,'Increases Max Health of caster by 150.0',0,0),
(162947,5091,1,100,'Increases Crushing, Focus, Piercing, Ranged and Slashing of caster \r\nby 7.0',0,0),
(162948,5092,1,100,'Summons a mount to ride',0,0),
(162949,5092,1,100,'Increases your ground speed by 135%',0,0),
(162950,5092,1,100,'Increases Focus, Crushing, Piercing, Slashing and Ranged of caster \r\nby 7',0,0),
(162951,5093,1,100,'Summons a mount to ride that increases your ground speed by 150%',0,3),
(162952,5093,1,100,'Increases your Subjugation, Ministration, Ranged, Disruption, \r\nOrdination, Slashing, Piercing, Crushing, Aggression, and Focus \r\nof caster by 5.0.',0,1),
(162953,5093,1,100,'Increases your Ground Speed by 75%',0,2),
(162954,5094,1,100,'Increases your Subjugation, Ministration, Ranged, Disruption, \r\nOrdination, Slashing, Piercing, Crushing, Aggression, and Focus \r\nof caster by 5.0%.',0,0),
(162955,5094,1,100,'Summons a mount to ride that increases your ground speed by 75%',0,0),
(162956,5094,1,100,'Summons a mount to ride that increases your air speed by 150%',0,0),
(162957,5095,1,100,'Increases your ground speed by 130%',0,0),
(162958,5095,1,100,'Increases Max Health of caster by 150.0',0,0),
(162959,5095,1,100,'Increases Crushing, Focus, Piercing, Ranged and \r\nSlashing of caster by 7.0',0,0),
(162960,5091,1,100,'Increases Defense of caster by 5.0',0,0),
(162961,5096,1,100,'Summons a mount to ride that increases your ground speed \r\nby 130%',0,0),
(162964,5097,1,100,'Summons a mount to ride',0,0),
(162965,5097,1,100,'Increase Focus, Disruption, Ministration, Subjugation, \r\nOrdination, Slashing, Piercing, Crushing, Aggression and \r\nRanged of caster by 5',0,0),
(162966,5097,1,100,'Increases your ground speed by 135%',0,0),
(162967,5098,1,100,'Summons a mount to ride',0,0),
(162968,5098,1,100,'Increase Focus, Disruption, Ministration, Subjugation, \r\nOrdination, Slashing, Piercing, Crushing, Aggression and \r\nRanged of caster by 5',0,0),
(162969,5098,1,100,'Increases your ground speed by 135%',0,0),
(162970,5099,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(162974,5100,1,100,'Increase Focus, Disruption, Ministration, Subjugation, \r\nOrdination, Slashing, Piercing, Crushing, Aggression and \r\nRanged of caster by 5.0',0,0),
(162975,5100,1,100,'Summons a mount to ride that increases your ground speed by 135%',0,0),
(162976,5101,1,100,'Increases your ground speed by 130%',0,0),
(162978,5101,1,100,'--Increases Mitigation of caster vs elemental, noxious and \r\narcane damage by 200',0,0),
(162979,5102,1,100,'Increases your ground speed by 130%',0,0),
(162980,5102,1,100,'--Increases Mitigation of caster vs elemental, noxious and \r\narcane damage by 200',0,0),
(162982,5103,1,100,'Increases your ground speed by 130%',0,0),
(162983,5103,1,100,'--Increases Mitigation of caster vs elemental, noxious and \r\narcane damage by 200',0,0),
(162988,5095,1,100,'Increases Defense of caster by 5.0',0,0),
(162989,5106,1,100,'Summons a mount to ride',0,0),
(162990,5106,1,100,'Increases your ground speed by 135%',0,0),
(162991,5106,1,100,'Increases Max Health of caster by 150.',0,0),
(162992,5107,1,100,'Summons a mount to ride',0,0),
(162993,5107,1,100,'Increases your ground speed by 130%',0,0),
(162994,5107,1,100,'Increases Max Health of caster by 150.',0,0),
(162995,5108,1,100,'Summons a mount to ride',0,0),
(162996,5108,1,100,'Increases your ground speed by 130%',0,0),
(162997,5108,1,100,'Increases Max Health of caster by 150.',0,0),
(162998,5109,1,100,'Summons a mount to ride',0,0),
(162999,5109,1,100,'Increases your ground speed by 130%',0,0),
(163000,5109,1,100,'Increases Max Health of caster by 150.',0,0),
(163001,5110,1,100,'Summons a mount to ride',0,0),
(163002,5110,1,100,'Increases your ground speed by 130%',0,0),
(163003,5110,1,100,'Increases Max Health of caster by 150.',0,0),
(163004,5111,1,100,'Summons a mount to ride that increases your ground speed by \r\n130%',0,0),
(163005,5111,1,100,'Increases your Crushing, Disruption, Piercing, Slashing and \r\nRanged by 7.0',0,0),
(163006,5111,1,100,'Increases damage done by spells and combat arts by upto 50.',0,0),
(163007,5112,1,100,'Summons a mount to ride that increases your ground speed by \r\n130%',0,0),
(163008,5112,1,100,'Increases your Crushing, Disruption, Piercing, Slashing and \r\nRanged by 7.0',0,0),
(163009,5112,1,100,'Increases damage done by spells and combat arts by upto 50.',0,0),
(163010,5113,1,100,'Summons a mount to ride that increases your ground speed by \r\n130%',0,0),
(163011,5113,1,100,'Increases your Crushing, Disruption, Piercing, Slashing and \r\nRanged by 7.0',0,0),
(163012,5113,1,100,'Increases damage done by spells and combat arts by upto 30.',0,0),
(163013,5114,1,100,'Summons a mount to ride that increases your ground speed by \r\n130%',0,0),
(163014,5114,1,100,'Increases your Crushing, Disruption, Piercing, Slashing and \r\nRanged by 7.0',0,0),
(163015,5114,1,100,'Increases damage done by spells and combat arts by upto 30.',0,0),
(163016,5115,1,100,'Increases your ground speed by 130%',0,0),
(163019,5116,1,100,'Increases your ground speed by 130%',0,0),
(163022,5117,1,100,'Increases your ground speed by 130%',0,0),
(163025,5106,1,100,'Increases Slashing, Piercing, Ranged, Crushing and Focus of caster \r\nby 7.0',0,0),
(163026,5106,1,100,'Increases Defense of caster by 5.0',0,0),
(163027,5107,1,100,'Increases Slashing, Piercing, Ranged, Crushing and Focus of caster \r\nby 7.0',0,0),
(163028,5107,1,100,'Increases Defense of caster by 5.0',0,0),
(163029,5108,1,100,'Increases Slashing, Piercing, Ranged, Crushing and Focus of caster \r\nby 7.0',0,0),
(163030,5108,1,100,'Increases Defense of caster by 5.0',0,0),
(163031,5109,1,100,'Increases Slashing, Piercing, Ranged, Crushing and Focus of caster \r\nby 7.0',0,0),
(163032,5109,1,100,'Increases Defense of caster by 5.0',0,0),
(163033,5110,1,100,'Increases Slashing, Piercing, Ranged, Crushing and Focus of caster \r\nby 7.0',0,0),
(163034,5110,1,100,'Increases Defense of caster by 5.0',0,0),
(163042,240166,1,100,'Interrupts target encounter',0,0),
(163043,240166,1,100,'Decreases Threat to target encounter by 266 - 326 ',0,1),
(163044,240166,1,100,'Dazes target encounter',0,2),
(163045,240166,1,100,'If Target is not Epic',1,3),
(163046,240166,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(163052,230087,7,100,'Inflicts 53 - 98 cold damage on target instantly and every 4 seconds',0,0),
(163053,230087,7,100,'Decreases Mitigation of target vs elemental damage by 961',0,1),
(163055,230001,9,100,'Mesmerizes target',0,0),
(163056,230001,9,100,'Prevents AOE (except when direct) ',0,1),
(163057,230001,9,100,'Roots caster',0,2),
(163058,230001,9,100,'Dispelled when target takes damage',0,3),
(163059,230001,9,100,'Does not affect Epic targets',0,4),
(163060,230001,9,100,'Resistibility increases against targets higher than level 29.',0,5),
(163062,170011,2,100,'Heals group members (AE) for 40 - 49 instantly and every 2 seconds',0,0),
(163063,170011,3,100,'Heals group members (AE) for 40 - 49 instantly and every 2 seconds',0,0),
(163064,170174,1,100,'Inflicts 1589 - 1943 heat damage on target encounter',0,0),
(163065,5118,1,100,'Increases your ground speed by 130%',0,0),
(163066,5119,1,100,'Increases your ground speed by 130%',0,0),
(163067,5120,1,100,'Increases your ground speed by 130%',0,0),
(163068,5121,1,100,'Increases damage done by spells and combat arts by upto 50.',0,0),
(163069,5122,1,100,'Increases damage done by spells and combat arts by upto 30.',0,0),
(163070,5123,1,100,'Increases damage done by spells and combat arts by upto 50.',0,0),
(163071,5124,1,100,'Increases damage done by spells and combat arts by upto 30.',0,0),
(163072,5125,1,100,'Increases your ground speed by 135%',0,0),
(163073,5126,1,100,'Summons a mount to ride',0,0),
(163074,5127,1,100,'Increases your ground speed by 130%',0,0),
(163075,5121,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(163076,5121,1,100,'Increases your Crushing, Disruption, Piercing, Slashing and Ranged \r\nby 7.0',0,0),
(163077,5122,1,100,'Summons a mount to ride that increases your ground speed by \r\n130%',0,0),
(163078,5122,1,100,'Increases your Crushing, Disruption, Piercing, Slashing and \r\nRanged by 7.0',0,0),
(163079,5123,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(163080,5123,1,100,'Increases your Crushing, Disruption, Piercing, Slashing and Ranged \r\nby 7.0',0,0),
(163081,5124,1,100,'Summons a mount to ride that increases your ground speed by \r\n130%',0,0),
(163082,5124,1,100,'Increases your Crushing, Disruption, Piercing, Slashing and \r\nRanged by 7.0',0,0),
(163083,5125,1,100,'Increases Focus, Disruption, Ministration, Subjugation, \r\nOrdination, Slashing, Piercing, Crushing, Aggression and Ranged \r\nof caster by 5.0',0,0),
(163084,5126,1,100,'Increases your ground speed by 130%',0,0),
(163085,5126,1,100,'Increases Max Health of caster by 150.',0,0),
(163086,5126,1,100,'Increases Slashing, Piercing, Ranged, Crushing and Focus of caster \r\nby 7.0',0,0),
(163087,5126,1,100,'Increases Defense of caster by 5.0',0,0),
(163088,5127,1,100,'Increases Slashing, Piercing, Focus and Crushing of caster by 4.7',0,0),
(163089,5128,1,100,'Increases your ground speed by 130%',0,0),
(163092,5129,1,100,'Increases your ground speed by 135%',0,0),
(163093,5129,1,100,'Increases Focus, Disruption, Ministration, Subjugation, \r\nOrdination, Slashing, Piercing, Crushing, Aggression and Ranged \r\nof caster by 5.0',0,0),
(163095,5130,1,100,'Increase Focus, Disruption, Ministration, Subjugation, Ordination, \r\nSlashing, Piercing, Crushing, Aggression and Ranged of caster by 5',0,0),
(163096,5130,1,100,'Summons a mount to ride that increases your ground speed by 75%',0,0),
(163098,5131,1,100,'Increases your ground speed by 135%',0,0),
(163099,5131,1,100,'Increases Focus, Disruption, Ministration, Subjugation, \r\nOrdination, Slashing, Piercing, Crushing, Aggression and Ranged \r\nof caster by 5.0',0,0),
(163101,5132,1,100,'Summons a mount to ride',0,0),
(163102,5132,1,100,'Increases Max Health of caster by 100.',0,0),
(163104,5133,1,100,'Summons a mount to ride',0,0),
(163105,5133,1,100,'Increases Max Health of caster by 100.',0,0),
(163107,5134,1,100,'Increases your ground speed by 130%',0,0),
(163110,5135,1,100,'Increase Focus, Disruption, Ministration, Subjugation, Ordination, \r\nSlashing, Piercing, Crushing, Aggression and Ranged of caster by 5%',0,0),
(163111,5135,1,100,'Summons a mount to ride that increases your ground speed by 60%',0,0),
(163113,5136,1,100,'Increase Focus, Disruption, Ministration, Subjugation, Ordination, \r\nSlashing, Piercing, Crushing, Aggression and Ranged of caster by 5',0,0),
(163114,5136,1,100,'Summons a mount to ride that increases your speed by 75%',0,0),
(163116,5137,1,100,'Increase Focus, Disruption, Ministration, Subjugation, Ordination, \r\nSlashing, Piercing, Crushing, Aggression and Ranged of caster by 5',0,0),
(163117,5137,1,100,'Summons a mount to ride that increases your speed by 75%',0,0),
(163119,5138,1,100,'Increases your ground speed by 135%',0,0),
(163120,5138,1,100,'Increase Focus, Disruption, Ministration, Subjugation, Ordination, Slashing, Piercing, Crushing, Aggression and Ranged of caster by 5',0,0),
(163122,5139,1,100,'Increase Focus, Disruption, Ministration, Subjugation, Ordination, \r\nSlashing, Piercing, Crushing, Aggression and Ranged of caster by 5',0,0),
(163123,5139,1,100,'Summons a mount to ride that increases your ground speed by 60%',0,0),
(163125,5140,1,100,'Increase Focus, Disruption, Ministration, Subjugation, Ordination, \r\nSlashing, Piercing, Crushing, Aggression and Ranged of caster by 5',0,0),
(163126,5140,1,100,'Summons a mount to ride that increases your ground speed by 75%',0,0),
(163128,5141,1,100,'Increases your ground speed by 135%',0,0),
(163129,5141,1,100,'Increases Slashing, Piercing, Focus and Crushing of caster by 5',0,0),
(163131,5142,1,100,'Increase Focus, Disruption, Ministration, Subjugation, Ordination, \r\nSlashing, Piercing, Crushing, Aggression and Ranged of caster by 5%',0,0),
(163132,5142,1,100,'Summons a mount to ride that increases your ground speed by 60%',0,0),
(163134,5143,1,100,'Increase Focus, Disruption, Ministration, Subjugation, Ordination, \r\nSlashing, Piercing, Crushing, Aggression and Ranged of caster by 5',0,0),
(163135,5143,1,100,'Summons a mount to ride that increases your ground speed by 75%',0,0),
(163137,5144,1,100,'Increases your ground speed by 135%',0,0),
(163138,5144,1,100,'Increases Focus, Disruption, Ministration, Subjugation, \r\nOrdination, Slashing, Piercing, Crushing, Aggression and Ranged \r\nof caster by 5.0',0,0),
(163140,5145,1,100,'Increases your ground speed by 135%',0,0),
(163141,5145,1,100,'Increases Focus, Disruption, Ministration, Subjugation, \r\nOrdination, Slashing, Piercing, Crushing, Aggression and Ranged \r\nof caster by 5.0%',0,0),
(163143,5146,1,100,'Increase Focus, Disruption, Ministration, Subjugation, Ordination, \r\nSlashing, Piercing, Crushing, Aggression and Ranged of caster by 5%',0,0),
(163144,5146,1,100,'Summons a mount to ride that increases your speed by 60%',0,0),
(163146,5147,1,100,'Summons a mount to ride that increases your speed by 130%',0,0),
(163147,5147,1,100,'--Increases your air speed by 200%',0,0),
(163149,5148,1,100,'Summons a mount to ride that increases your speed by 130%',0,0),
(163150,5148,1,100,'--Increases your air speed by 200%',0,0),
(163152,5149,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(163153,5149,1,100,'Summons a mount to ride that increases your air speed by 200%',0,0),
(163155,5150,1,100,'Increases Crit Chance of caster by 20.0%',0,0),
(163156,5150,1,100,'Increases Max Power of caster by 600.0',0,0),
(163158,5151,1,100,'Increase Focus, Disruption, Ministration, Subjugation, \r\nOrdination, Slashing, Piercing, Crushing, Aggression and Ranged \r\nof caster by 5%.',0,0),
(163159,5151,1,100,'Summons a mount to ride that increases your air speed by 150%',0,0),
(163161,5152,1,100,'Increases Crit Chance of caster by 50.0%',0,0),
(163162,5152,1,100,'Increases Max Power of caster by 2000.0',0,0),
(163164,70085,2,100,'Mesmerizes target',0,0),
(163166,70085,2,100,'Dispelled when target takes damage',0,2),
(163167,70085,2,100,'Does not affect Epic targets',0,3),
(163168,70085,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(163171,370103,10,100,'6% chance to apply Knockdown.  Lasts for 1.5 seconds.',0,0),
(163172,370103,10,100,'Throws target back',1,1),
(163173,370103,10,100,'Blurs vision of target',1,2),
(163174,370103,10,100,'Stuns target',1,3),
(163175,370103,10,100,'Does not affect Epic targets',1,4),
(163176,370103,10,100,'Interrupts targets in Area of Effect',0,5),
(163177,370103,10,100,'Blurs vision of targets in Area of Effect',0,6),
(163178,5130,1,100,'Summons a mount to ride that increases your air speed by 150%',0,0),
(163179,330065,12,100,'Inflicts 5 - 7 melee damage on target',0,0),
(163180,330065,12,100,'Decreases DPS of target by 10.5',0,1),
(163189,5132,1,100,'Increases your ground speed by 130%',0,0),
(163190,5132,1,100,'Increases Defense of caster by 3.0',0,0),
(163191,5132,1,100,'Increases Slashing, Piercing, Ranged, Crushing and Focus of caster \r\nby 7.0',0,0),
(163193,5133,1,100,'Increases your ground speed by 130%',0,0),
(163194,5133,1,100,'Increases Defense of caster by 3.0',0,0),
(163195,5133,1,100,'Increases Slashing, Piercing, Ranged, Crushing and Focus of caster \r\nby 7.0',0,0),
(163196,5135,1,100,'Summons a mount to ride that increases your air speed by 200%',0,0),
(163197,5136,1,100,'--Increases your air speed by 150%',0,0),
(163198,5137,1,100,'--Increases your air speed by 150%',0,0),
(163199,5153,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(163200,5153,1,100,'Summons a mount to ride that increases your air speed by 150%',0,0),
(163202,5154,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(163203,5154,1,100,'Summons a mount to ride that increases your air speed by 150%',0,0),
(163205,5155,1,100,'Increases your ground speed by 130%',0,0),
(163206,5155,1,100,'Increases your air speed by 150%',0,0),
(163208,5156,1,100,'Increases your ground speed by 75%',0,0),
(163209,5156,1,100,'Increases your air speed by 150%',0,0),
(163211,5157,1,100,'Summons a mount to ride that increases your ground speed by 75%',0,0),
(163212,5157,1,100,'Summons a mount to ride that increases your air speed by 150%',0,0),
(163214,5158,1,100,'Increase Focus, Disruption, Ministration, Subjugation, \r\nOrdination, Slashing, Piercing, Crushing, Aggression and Ranged \r\nof caster by 5%.',0,0),
(163215,5158,1,100,'Summons a mount to ride that increases your ground speed by 75%',0,1),
(163217,5159,1,100,'Summons a mount to ride that increases your ground speed by 75%',0,0),
(163218,5159,1,100,'Summons a mount to ride that increases your air speed by 150%',0,0),
(163220,5160,1,100,'Summons a mount to ride that increases your ground speed by 75%',0,0),
(163221,5160,1,100,'Summons a mount to ride that increases your air speed by 150%',0,0),
(163223,5161,1,100,'Applies Mystic Moppet Disguise when activated.',0,0),
(163224,5161,1,100,'Shrinks caster by 40.0%',0,2),
(163226,5162,1,100,'Decreases All Attributes of target by 20.0%',0,0),
(163227,5162,1,100,'Decreases Haste of target by 20.0',0,2),
(163232,5164,1,100,'Increases Ability Casting Speed of target by 7.2%',0,0),
(163233,5164,1,100,'Increases Haste of target by 21.0',0,1),
(163235,5139,1,100,'Summons a mount to ride that increases your air speed by 200%',0,0),
(163236,5140,1,100,'Summons a mount to ride that increases your air speed by 150%',0,0),
(163237,5142,1,100,'Summons a mount to ride that increases your air speed by 200%',0,0),
(163238,5143,1,100,'Summons a mount to ride that increases your air speed by 150%',0,0),
(163239,390140,2,100,'Inflicts 182 - 304 ranged damage on target',0,0),
(163240,390140,2,100,'Slows target by 36.8%',0,1),
(163241,390140,2,100,'10% chance to dispel when target receives hostile action',0,2),
(163242,390140,2,100,'Requires bow or aim',0,3),
(163246,270007,9,100,'Applies Forceful Headache on termination.',0,0),
(163247,270007,9,100,'Inflicts 363 - 604 mental damage on target',1,1),
(163248,270007,9,100,'If over 50% power',2,2),
(163249,270007,9,100,'Inflicts 145 - 177 mental damage on target instantly and every 6 seconds',0,3),
(163250,270007,9,100,'Decreases Mitigation of target vs arcane damage by 630',0,4),
(163380,5165,1,100,'Applies On the March.  Lasts for 10.0 seconds.',0,0),
(163381,5165,1,100,'Increases INT of group members (AE) by 102.1',1,1),
(163382,5165,1,100,'Increases Ability Casting Speed of group members (AE) by 35.3%',1,2),
(163383,5165,1,100,'Increases Multi Attack of group members (AE) by 35.3',1,3),
(163384,5165,1,100,'Makes group members (AE) immune to Root, Stifle, Stun, Fear and Daze effects',1,4),
(163507,5165,2,100,'Applies On the March.  Lasts for 10.0 seconds.',0,0),
(163508,5165,2,100,'Increases INT of group members (AE) by 107.8',1,1),
(163509,5165,2,100,'Increases Ability Casting Speed of group members (AE) by 37.2%',1,2),
(163510,5165,2,100,'Increases Multi Attack of group members (AE) by 37.2',1,3),
(163511,5165,2,100,'Makes group members (AE) immune to Root, Stifle, Stun, Fear and Daze effects',1,4),
(163522,5165,3,100,'Applies On the March.  Lasts for 10.0 seconds.',0,0),
(163523,5165,3,100,'Increases INT of group members (AE) by 113.5',1,1),
(163524,5165,3,100,'Increases Ability Casting Speed of group members (AE) by 39.2%',1,2),
(163525,5165,3,100,'Increases Multi Attack of group members (AE) by 39.2',1,3),
(163526,5165,3,100,'Makes group members (AE) immune to Root, Stifle, Stun, Fear and Daze effects',1,4),
(163537,5165,4,100,'Applies On the March.  Lasts for 10.0 seconds.',0,0),
(163538,5165,4,100,'Increases INT of group members (AE) by 124.9',1,1),
(163539,5165,4,100,'Increases Ability Casting Speed of group members (AE) by 43.1%',1,2),
(163540,5165,4,100,'Increases Multi Attack of group members (AE) by 43.1',1,3),
(163541,5165,4,100,'Makes group members (AE) immune to Root, Stifle, Stun, Fear and Daze effects',1,4),
(163552,5165,5,100,'Applies On the March.  Lasts for 10.0 seconds.',0,0),
(163553,5165,5,100,'Increases INT of group members (AE) by 136.2',1,1),
(163554,5165,5,100,'Increases Ability Casting Speed of group members (AE) by 47.0%',1,2),
(163555,5165,5,100,'Increases Multi Attack of group members (AE) by 47.0',1,3),
(163556,5165,5,100,'Makes group members (AE) immune to Root, Stifle, Stun, Fear and Daze effects',1,4),
(163582,5165,7,100,'Applies On the March.  Lasts for 10.0 seconds.',0,0),
(163583,5165,7,100,'Increases INT of group members (AE) by 174.8',1,1),
(163584,5165,7,100,'Increases Ability Casting Speed of group members (AE) by 60.4%',1,2),
(163585,5165,7,100,'Increases Multi Attack of group members (AE) by 60.4',1,3),
(163586,5165,7,100,'Makes group members (AE) immune to Root, Stifle, Stun, Fear and Daze effects',1,4),
(163597,5165,9,100,'Applies On the March.  Lasts for 10.0 seconds.',0,0),
(163598,5165,9,100,'Increases INT of group members (AE) by 181.6',1,1),
(163599,5165,9,100,'Increases Ability Casting Speed of group members (AE) by 62.7%',1,2),
(163600,5165,9,100,'Increases Multi Attack of group members (AE) by 62.7',1,3),
(163601,5165,9,100,'Makes group members (AE) immune to Root, Stifle, Stun, Fear and Daze effects',1,4),
(163612,5165,10,100,'Applies On the March.  Lasts for 10.0 seconds.',0,0),
(163613,5165,10,100,'Increases INT of group members (AE) by 190.7',1,1),
(163614,5165,10,100,'Increases Ability Casting Speed of group members (AE) by 65.9%',1,2),
(163615,5165,10,100,'Increases Multi Attack of group members (AE) by 65.9',1,3),
(163616,5165,10,100,'Makes group members (AE) immune to Root, Stifle, Stun, Fear and Daze effects',1,4),
(163628,5164,1,100,'Increases Multi Attack of target by 21.0',0,2),
(163629,5164,2,100,'Increases Ability Casting Speed of target by 7.6%',0,0),
(163630,5164,2,100,'Increases Haste of target by 22.2',0,1),
(163631,5164,2,100,'Increases Multi Attack of target by 22.2',0,2),
(163632,5164,3,100,'Increases Ability Casting Speed of target by 8.0%',0,0),
(163633,5164,3,100,'Increases Haste of target by 23.3',0,1),
(163634,5164,3,100,'Increases Multi Attack of target by 23.3',0,2),
(163635,5164,4,100,'Increases Ability Casting Speed of target by 8.8%',0,0),
(163636,5164,4,100,'Increases Haste of target by 25.6',0,1),
(163637,5164,4,100,'Increases Multi Attack of target by 25.6',0,2),
(163638,5164,5,100,'Increases Ability Casting Speed of target by 9.6%',0,0),
(163639,5164,5,100,'Increases Haste of target by 28.0',0,1),
(163640,5164,5,100,'Increases Multi Attack of target by 28.0',0,2),
(163641,5164,7,100,'Increases Ability Casting Speed of target by 12.3%',0,0),
(163642,5164,7,100,'Increases Haste of target by 35.9',0,1),
(163643,5164,7,100,'Increases Multi Attack of target by 35.9',0,2),
(163644,5164,9,100,'Increases Ability Casting Speed of target by 12.8%',0,0),
(163645,5164,9,100,'Increases Haste of target by 37.3',0,1),
(163646,5164,9,100,'Increases Multi Attack of target by 37.3',0,2),
(163647,5164,10,100,'Increases Ability Casting Speed of target by 13.4%',0,0),
(163648,5164,10,100,'Increases Haste of target by 39.2',0,1),
(163649,5164,10,100,'Increases Multi Attack of target by 39.2',0,2),
(163650,5164,11,100,'Increases Ability Casting Speed of target by 16.2%',0,0),
(163651,5164,11,100,'Increases Haste of target by 47.1',0,1),
(163652,5164,11,100,'Increases Multi Attack of target by 47.1',0,2),
(163653,5166,1,100,'Increases Multi Attack of target by 21.0',0,2),
(163654,5166,1,100,'Increases Ability Casting Speed of target by 7.2%',0,0),
(163655,5166,1,100,'Increases Haste of target by 21.0',0,1),
(163656,5166,2,100,'Increases Ability Casting Speed of target by 7.6%',0,0),
(163657,5166,2,100,'Increases Haste of target by 22.2',0,1),
(163658,5166,2,100,'Increases Multi Attack of target by 22.2',0,2),
(163659,5166,3,100,'Increases Ability Casting Speed of target by 8.0%',0,0),
(163660,5166,3,100,'Increases Haste of target by 23.3',0,1),
(163661,5166,3,100,'Increases Multi Attack of target by 23.3',0,2),
(163662,5166,4,100,'Increases Ability Casting Speed of target by 8.8%',0,0),
(163663,5166,4,100,'Increases Haste of target by 25.6',0,1),
(163664,5166,4,100,'Increases Multi Attack of target by 25.6',0,2),
(163665,5166,5,100,'Increases Ability Casting Speed of target by 9.6%',0,0),
(163666,5166,5,100,'Increases Haste of target by 28.0',0,1),
(163667,5166,5,100,'Increases Multi Attack of target by 28.0',0,2),
(163668,5166,7,100,'Increases Ability Casting Speed of target by 12.3%',0,0),
(163669,5166,7,100,'Increases Haste of target by 35.9',0,1),
(163670,5166,7,100,'Increases Multi Attack of target by 35.9',0,2),
(163671,5166,9,100,'Increases Ability Casting Speed of target by 12.8%',0,0),
(163672,5166,9,100,'Increases Haste of target by 37.3',0,1),
(163673,5166,9,100,'Increases Multi Attack of target by 37.3',0,2),
(163674,5166,10,100,'Increases Ability Casting Speed of target by 13.4%',0,0),
(163675,5166,10,100,'Increases Haste of target by 39.2',0,1),
(163676,5166,10,100,'Increases Multi Attack of target by 39.2',0,2),
(163677,5166,11,100,'Increases Ability Casting Speed of target by 16.2%',0,0),
(163678,5166,11,100,'Increases Haste of target by 47.1',0,1),
(163679,5166,11,100,'Increases Multi Attack of target by 47.1',0,2),
(163684,5167,1,100,'Increases Multi Attack of target by 21.0',0,2),
(163685,5167,1,100,'Increases Ability Casting Speed of target by 7.2%',0,0),
(163686,5167,1,100,'Increases Haste of target by 21.0',0,1),
(163687,5167,2,100,'Increases Ability Casting Speed of target by 7.6%',0,0),
(163688,5167,2,100,'Increases Haste of target by 22.2',0,1),
(163689,5167,2,100,'Increases Multi Attack of target by 22.2',0,2),
(163690,5167,3,100,'Increases Ability Casting Speed of target by 8.0%',0,0),
(163691,5167,3,100,'Increases Haste of target by 23.3',0,1),
(163692,5167,3,100,'Increases Multi Attack of target by 23.3',0,2),
(163693,5167,4,100,'Increases Ability Casting Speed of target by 8.8%',0,0),
(163694,5167,4,100,'Increases Haste of target by 25.6',0,1),
(163695,5167,4,100,'Increases Multi Attack of target by 25.6',0,2),
(163696,5167,5,100,'Increases Ability Casting Speed of target by 9.6%',0,0),
(163697,5167,5,100,'Increases Haste of target by 28.0',0,1),
(163698,5167,5,100,'Increases Multi Attack of target by 28.0',0,2),
(163699,5167,7,100,'Increases Ability Casting Speed of target by 12.3%',0,0),
(163700,5167,7,100,'Increases Haste of target by 35.9',0,1),
(163701,5167,7,100,'Increases Multi Attack of target by 35.9',0,2),
(163702,5167,9,100,'Increases Ability Casting Speed of target by 12.8%',0,0),
(163703,5167,9,100,'Increases Haste of target by 37.3',0,1),
(163704,5167,9,100,'Increases Multi Attack of target by 37.3',0,2),
(163705,5167,10,100,'Increases Ability Casting Speed of target by 13.4%',0,0),
(163706,5167,10,100,'Increases Haste of target by 39.2',0,1),
(163707,5167,10,100,'Increases Multi Attack of target by 39.2',0,2),
(163708,5167,11,100,'Increases Ability Casting Speed of target by 16.2%',0,0),
(163709,5167,11,100,'Increases Haste of target by 47.1',0,1),
(163710,5167,11,100,'Increases Multi Attack of target by 47.1',0,2),
(163715,5168,1,100,'Increases Multi Attack of target by 21.0',0,2),
(163716,5168,1,100,'Increases Ability Casting Speed of target by 7.2%',0,0),
(163717,5168,1,100,'Increases Haste of target by 21.0',0,1),
(163718,5168,2,100,'Increases Ability Casting Speed of target by 7.6%',0,0),
(163719,5168,2,100,'Increases Haste of target by 22.2',0,1),
(163720,5168,2,100,'Increases Multi Attack of target by 22.2',0,2),
(163721,5168,3,100,'Increases Ability Casting Speed of target by 8.0%',0,0),
(163722,5168,3,100,'Increases Haste of target by 23.3',0,1),
(163723,5168,3,100,'Increases Multi Attack of target by 23.3',0,2),
(163724,5168,4,100,'Increases Ability Casting Speed of target by 8.8%',0,0),
(163725,5168,4,100,'Increases Haste of target by 25.6',0,1),
(163726,5168,4,100,'Increases Multi Attack of target by 25.6',0,2),
(163727,5168,5,100,'Increases Ability Casting Speed of target by 9.6%',0,0),
(163728,5168,5,100,'Increases Haste of target by 28.0',0,1),
(163729,5168,5,100,'Increases Multi Attack of target by 28.0',0,2),
(163730,5168,7,100,'Increases Ability Casting Speed of target by 12.3%',0,0),
(163731,5168,7,100,'Increases Haste of target by 35.9',0,1),
(163732,5168,7,100,'Increases Multi Attack of target by 35.9',0,2),
(163733,5168,9,100,'Increases Ability Casting Speed of target by 12.8%',0,0),
(163734,5168,9,100,'Increases Haste of target by 37.3',0,1),
(163735,5168,9,100,'Increases Multi Attack of target by 37.3',0,2),
(163736,5168,10,100,'Increases Ability Casting Speed of target by 13.4%',0,0),
(163737,5168,10,100,'Increases Haste of target by 39.2',0,1),
(163738,5168,10,100,'Increases Multi Attack of target by 39.2',0,2),
(163739,5168,11,100,'Increases Ability Casting Speed of target by 16.2%',0,0),
(163740,5168,11,100,'Increases Haste of target by 47.1',0,1),
(163741,5168,11,100,'Increases Multi Attack of target by 47.1',0,2),
(163746,5169,1,100,'Increases Multi Attack of target by 21.0',0,2),
(163747,5169,1,100,'Increases Ability Casting Speed of target by 7.2%',0,0),
(163748,5169,1,100,'Increases Haste of target by 21.0',0,1),
(163749,5169,2,100,'Increases Ability Casting Speed of target by 7.6%',0,0),
(163750,5169,2,100,'Increases Haste of target by 22.2',0,1),
(163751,5169,2,100,'Increases Multi Attack of target by 22.2',0,2),
(163752,5169,3,100,'Increases Ability Casting Speed of target by 8.0%',0,0),
(163753,5169,3,100,'Increases Haste of target by 23.3',0,1),
(163754,5169,3,100,'Increases Multi Attack of target by 23.3',0,2),
(163755,5169,4,100,'Increases Ability Casting Speed of target by 8.8%',0,0),
(163756,5169,4,100,'Increases Haste of target by 25.6',0,1),
(163757,5169,4,100,'Increases Multi Attack of target by 25.6',0,2),
(163758,5169,5,100,'Increases Ability Casting Speed of target by 9.6%',0,0),
(163759,5169,5,100,'Increases Haste of target by 28.0',0,1),
(163760,5169,5,100,'Increases Multi Attack of target by 28.0',0,2),
(163761,5169,7,100,'Increases Ability Casting Speed of target by 12.3%',0,0),
(163762,5169,7,100,'Increases Haste of target by 35.9',0,1),
(163763,5169,7,100,'Increases Multi Attack of target by 35.9',0,2),
(163764,5169,9,100,'Increases Ability Casting Speed of target by 12.8%',0,0),
(163765,5169,9,100,'Increases Haste of target by 37.3',0,1),
(163766,5169,9,100,'Increases Multi Attack of target by 37.3',0,2),
(163767,5169,10,100,'Increases Ability Casting Speed of target by 13.4%',0,0),
(163768,5169,10,100,'Increases Haste of target by 39.2',0,1),
(163769,5169,10,100,'Increases Multi Attack of target by 39.2',0,2),
(163770,5169,11,100,'Increases Ability Casting Speed of target by 16.2%',0,0),
(163771,5169,11,100,'Increases Haste of target by 47.1',0,1),
(163772,5169,11,100,'Increases Multi Attack of target by 47.1',0,2),
(163777,5170,1,100,'Increases Multi Attack of target by 21.0',0,2),
(163778,5170,1,100,'Increases Ability Casting Speed of target by 7.2%',0,0),
(163779,5170,1,100,'Increases Haste of target by 21.0',0,1),
(163780,5170,2,100,'Increases Ability Casting Speed of target by 7.6%',0,0),
(163781,5170,2,100,'Increases Haste of target by 22.2',0,1),
(163782,5170,2,100,'Increases Multi Attack of target by 22.2',0,2),
(163783,5170,3,100,'Increases Ability Casting Speed of target by 8.0%',0,0),
(163784,5170,3,100,'Increases Haste of target by 23.3',0,1),
(163785,5170,3,100,'Increases Multi Attack of target by 23.3',0,2),
(163786,5170,4,100,'Increases Ability Casting Speed of target by 8.8%',0,0),
(163787,5170,4,100,'Increases Haste of target by 25.6',0,1),
(163788,5170,4,100,'Increases Multi Attack of target by 25.6',0,2),
(163789,5170,5,100,'Increases Ability Casting Speed of target by 9.6%',0,0),
(163790,5170,5,100,'Increases Haste of target by 28.0',0,1),
(163791,5170,5,100,'Increases Multi Attack of target by 28.0',0,2),
(163792,5170,7,100,'Increases Ability Casting Speed of target by 12.3%',0,0),
(163793,5170,7,100,'Increases Haste of target by 35.9',0,1),
(163794,5170,7,100,'Increases Multi Attack of target by 35.9',0,2),
(163795,5170,9,100,'Increases Ability Casting Speed of target by 12.8%',0,0),
(163796,5170,9,100,'Increases Haste of target by 37.3',0,1),
(163797,5170,9,100,'Increases Multi Attack of target by 37.3',0,2),
(163798,5170,10,100,'Increases Ability Casting Speed of target by 13.4%',0,0),
(163799,5170,10,100,'Increases Haste of target by 39.2',0,1),
(163800,5170,10,100,'Increases Multi Attack of target by 39.2',0,2),
(163801,5170,11,100,'Increases Ability Casting Speed of target by 16.2%',0,0),
(163802,5170,11,100,'Increases Haste of target by 47.1',0,1),
(163803,5170,11,100,'Increases Multi Attack of target by 47.1',0,2),
(163808,5171,1,100,'Increases Multi Attack of target by 21.0',0,2),
(163809,5171,1,100,'Increases Ability Casting Speed of target by 7.2%',0,0),
(163810,5171,1,100,'Increases Haste of target by 21.0',0,1),
(163811,5171,2,100,'Increases Ability Casting Speed of target by 7.6%',0,0),
(163812,5171,2,100,'Increases Haste of target by 22.2',0,1),
(163813,5171,2,100,'Increases Multi Attack of target by 22.2',0,2),
(163814,5171,3,100,'Increases Ability Casting Speed of target by 8.0%',0,0),
(163815,5171,3,100,'Increases Haste of target by 23.3',0,1),
(163816,5171,3,100,'Increases Multi Attack of target by 23.3',0,2),
(163817,5171,4,100,'Increases Ability Casting Speed of target by 8.8%',0,0),
(163818,5171,4,100,'Increases Haste of target by 25.6',0,1),
(163819,5171,4,100,'Increases Multi Attack of target by 25.6',0,2),
(163820,5171,5,100,'Increases Ability Casting Speed of target by 9.6%',0,0),
(163821,5171,5,100,'Increases Haste of target by 28.0',0,1),
(163822,5171,5,100,'Increases Multi Attack of target by 28.0',0,2),
(163823,5171,7,100,'Increases Ability Casting Speed of target by 12.3%',0,0),
(163824,5171,7,100,'Increases Haste of target by 35.9',0,1),
(163825,5171,7,100,'Increases Multi Attack of target by 35.9',0,2),
(163826,5171,9,100,'Increases Ability Casting Speed of target by 12.8%',0,0),
(163827,5171,9,100,'Increases Haste of target by 37.3',0,1),
(163828,5171,9,100,'Increases Multi Attack of target by 37.3',0,2),
(163829,5171,10,100,'Increases Ability Casting Speed of target by 13.4%',0,0),
(163830,5171,10,100,'Increases Haste of target by 39.2',0,1),
(163831,5171,10,100,'Increases Multi Attack of target by 39.2',0,2),
(163832,5171,11,100,'Increases Ability Casting Speed of target by 16.2%',0,0),
(163833,5171,11,100,'Increases Haste of target by 47.1',0,1),
(163834,5171,11,100,'Increases Multi Attack of target by 47.1',0,2),
(163870,5172,4,100,'Increases Haste of target by 8.6',0,0),
(163873,5172,4,100,'Increases DPS of target by 8.6',0,1),
(163874,40017,1,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(163875,40017,2,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(163876,40017,3,100,'On any combat or spell hit this spell may cast Berserk on target.  Lasts for 10.0 seconds.  Triggers about 2.0 times per minute. ',0,0),
(163877,40017,1,100,'Increases Haste of target by 7.0',1,1),
(163878,40017,2,100,'Increases Haste of target by 7.4',1,1),
(163879,40017,3,100,'Increases Haste of target by 7.8',1,1),
(163880,40017,1,100,'Increases DPS of target by 7.0',1,2),
(163881,40017,2,100,'Increases DPS of target by 7.4',1,2),
(163882,40017,3,100,'Increases DPS of target by 7.8',1,2),
(163883,40017,1,100,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.',0,3),
(163884,40017,2,100,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.',0,3),
(163885,40017,3,100,'When damaged this spell has a 30% chance to cast Berserk on target.  Lasts for 10.0 seconds.',0,3),
(163886,40017,1,100,'Increases Haste of target by 7.0',1,4),
(163887,40017,2,100,'Increases Haste of target by 7.4',1,4),
(163888,40017,3,100,'Increases Haste of target by 7.8',1,4),
(163889,40017,1,100,'Increases DPS of target by 7.0',1,5),
(163890,40017,2,100,'Increases DPS of target by 7.4',1,5),
(163891,40017,3,100,'Increases DPS of target by 7.8',1,5),
(163892,40017,1,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.',0,6),
(163893,40017,2,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.',0,6),
(163894,40017,3,100,'On a kill this spell will cast Berserk on target.  Lasts for 10.0 seconds.',0,6),
(163895,40017,1,100,'Increases Haste of target by 7.0',1,7),
(163896,40017,2,100,'Increases Haste of target by 7.4',1,7),
(163897,40017,3,100,'Increases Haste of target by 7.8',1,7),
(163898,40017,1,100,'Increases DPS of target by 7.0',1,8),
(163899,40017,2,100,'Increases DPS of target by 7.4',1,8),
(163900,40017,3,100,'Increases DPS of target by 7.8',1,8),
(163901,5172,1,100,'Increases Haste of target by 7.0',0,0),
(163903,5172,1,100,'Increases DPS of target by 7.0',0,1),
(163904,5172,2,100,'Increases Haste of target by 7.4',0,0),
(163906,5172,2,100,'Increases DPS of target by 7.4',0,1),
(163907,5172,3,100,'Increases Haste of target by 7.8',0,0),
(163908,5172,3,100,'Increases DPS of target by 7.8',0,1),
(163909,5172,5,100,'Increases Haste of target by 9.4',0,0),
(163910,5172,5,100,'Increases DPS of target by 9.4',0,1),
(163911,5172,7,100,'Increases Haste of target by 12.0',0,0),
(163912,5172,7,100,'Increases DPS of target by 12.0',0,1),
(163913,5172,9,100,'Increases Haste of target by 12.5',0,0),
(163915,5172,9,100,'Increases DPS of target by 12.5',0,1),
(163916,5172,10,100,'Increases Haste of target by 13.1',0,0),
(163917,5172,10,100,'Increases DPS of target by 13.1',0,1),
(163918,5173,1,100,'Increases Haste of target by 7.0',0,0),
(163919,5173,1,100,'Increases DPS of target by 7.0',0,1),
(163920,5173,2,100,'Increases Haste of target by 7.4',0,0),
(163921,5173,2,100,'Increases DPS of target by 7.4',0,1),
(163922,5173,3,100,'Increases Haste of target by 7.8',0,0),
(163923,5173,3,100,'Increases DPS of target by 7.8',0,1),
(163924,5173,4,100,'Increases Haste of target by 8.6',0,0),
(163925,5173,4,100,'Increases DPS of target by 8.6',0,1),
(163926,5173,5,100,'Increases Haste of target by 9.4',0,0),
(163927,5173,5,100,'Increases DPS of target by 9.4',0,1),
(163928,5173,7,100,'Increases Haste of target by 12.0',0,0),
(163929,5173,7,100,'Increases DPS of target by 12.0',0,1),
(163930,5173,9,100,'Increases Haste of target by 12.5',0,0),
(163931,5173,9,100,'Increases DPS of target by 12.5',0,1),
(163932,5173,10,100,'Increases Haste of target by 13.1',0,0),
(163933,5173,10,100,'Increases DPS of target by 13.1',0,1),
(163949,5174,1,100,'Increases Haste of target by 7.0',0,0),
(163950,5174,1,100,'Increases DPS of target by 7.0',0,1),
(163951,5174,2,100,'Increases Haste of target by 7.4',0,0),
(163952,5174,2,100,'Increases DPS of target by 7.4',0,1),
(163953,5174,3,100,'Increases Haste of target by 7.8',0,0),
(163954,5174,3,100,'Increases DPS of target by 7.8',0,1),
(163955,5174,4,100,'Increases Haste of target by 8.6',0,0),
(163956,5174,4,100,'Increases DPS of target by 8.6',0,1),
(163957,5174,5,100,'Increases Haste of target by 9.4',0,0),
(163958,5174,5,100,'Increases DPS of target by 9.4',0,1),
(163959,5174,7,100,'Increases Haste of target by 12.0',0,0),
(163960,5174,7,100,'Increases DPS of target by 12.0',0,1),
(163961,5174,9,100,'Increases Haste of target by 12.5',0,0),
(163962,5174,9,100,'Increases DPS of target by 12.5',0,1),
(163963,5174,10,100,'Increases Haste of target by 13.1',0,0),
(163964,5174,10,100,'Increases DPS of target by 13.1',0,1),
(163980,5175,1,100,'Increases Haste of target by 7.0',0,0),
(163981,5175,1,100,'Increases DPS of target by 7.0',0,1),
(163982,5175,2,100,'Increases Haste of target by 7.4',0,0),
(163983,5175,2,100,'Increases DPS of target by 7.4',0,1),
(163984,5175,3,100,'Increases Haste of target by 7.8',0,0),
(163985,5175,3,100,'Increases DPS of target by 7.8',0,1),
(163986,5175,4,100,'Increases Haste of target by 8.6',0,0),
(163987,5175,4,100,'Increases DPS of target by 8.6',0,1),
(163988,5175,5,100,'Increases Haste of target by 9.4',0,0),
(163989,5175,5,100,'Increases DPS of target by 9.4',0,1),
(163990,5175,7,100,'Increases Haste of target by 12.0',0,0),
(163991,5175,7,100,'Increases DPS of target by 12.0',0,1),
(163992,5175,9,100,'Increases Haste of target by 12.5',0,0),
(163993,5175,9,100,'Increases DPS of target by 12.5',0,1),
(163994,5175,10,100,'Increases Haste of target by 13.1',0,0),
(163995,5175,10,100,'Increases DPS of target by 13.1',0,1),
(164011,5176,1,100,'Increases Haste of target by 7.0',0,0),
(164012,5176,1,100,'Increases DPS of target by 7.0',0,1),
(164013,5176,2,100,'Increases Haste of target by 7.4',0,0),
(164014,5176,2,100,'Increases DPS of target by 7.4',0,1),
(164015,5176,3,100,'Increases Haste of target by 7.8',0,0),
(164016,5176,3,100,'Increases DPS of target by 7.8',0,1),
(164017,5176,4,100,'Increases Haste of target by 8.6',0,0),
(164018,5176,4,100,'Increases DPS of target by 8.6',0,1),
(164019,5176,5,100,'Increases Haste of target by 9.4',0,0),
(164020,5176,5,100,'Increases DPS of target by 9.4',0,1),
(164021,5176,7,100,'Increases Haste of target by 12.0',0,0),
(164022,5176,7,100,'Increases DPS of target by 12.0',0,1),
(164023,5176,9,100,'Increases Haste of target by 12.5',0,0),
(164024,5176,9,100,'Increases DPS of target by 12.5',0,1),
(164025,5176,10,100,'Increases Haste of target by 13.1',0,0),
(164026,5176,10,100,'Increases DPS of target by 13.1',0,1),
(164042,5177,1,100,'Increases Haste of target by 7.0',0,0),
(164043,5177,1,100,'Increases DPS of target by 7.0',0,1),
(164044,5177,2,100,'Increases Haste of target by 7.4',0,0),
(164045,5177,2,100,'Increases DPS of target by 7.4',0,1),
(164046,5177,3,100,'Increases Haste of target by 7.8',0,0),
(164047,5177,3,100,'Increases DPS of target by 7.8',0,1),
(164048,5177,4,100,'Increases Haste of target by 8.6',0,0),
(164049,5177,4,100,'Increases DPS of target by 8.6',0,1),
(164050,5177,5,100,'Increases Haste of target by 9.4',0,0),
(164051,5177,5,100,'Increases DPS of target by 9.4',0,1),
(164052,5177,7,100,'Increases Haste of target by 12.0',0,0),
(164053,5177,7,100,'Increases DPS of target by 12.0',0,1),
(164054,5177,9,100,'Increases Haste of target by 12.5',0,0),
(164055,5177,9,100,'Increases DPS of target by 12.5',0,1),
(164056,5177,10,100,'Increases Haste of target by 13.1',0,0),
(164057,5177,10,100,'Increases DPS of target by 13.1',0,1),
(164073,5178,1,100,'Increases Haste of target by 7.0',0,0),
(164074,5178,1,100,'Increases DPS of target by 7.0',0,1),
(164075,5178,2,100,'Increases Haste of target by 7.4',0,0),
(164076,5178,2,100,'Increases DPS of target by 7.4',0,1),
(164077,5178,3,100,'Increases Haste of target by 7.8',0,0),
(164078,5178,3,100,'Increases DPS of target by 7.8',0,1),
(164079,5178,4,100,'Increases Haste of target by 8.6',0,0),
(164080,5178,4,100,'Increases DPS of target by 8.6',0,1),
(164081,5178,5,100,'Increases Haste of target by 9.4',0,0),
(164082,5178,5,100,'Increases DPS of target by 9.4',0,1),
(164083,5178,7,100,'Increases Haste of target by 12.0',0,0),
(164084,5178,7,100,'Increases DPS of target by 12.0',0,1),
(164085,5178,9,100,'Increases Haste of target by 12.5',0,0),
(164086,5178,9,100,'Increases DPS of target by 12.5',0,1),
(164087,5178,10,100,'Increases Haste of target by 13.1',0,0),
(164088,5178,10,100,'Increases DPS of target by 13.1',0,1),
(164104,5179,1,100,'Increases Haste of target by 7.0',0,0),
(164105,5179,1,100,'Increases DPS of target by 7.0',0,1),
(164106,5179,2,100,'Increases Haste of target by 7.4',0,0),
(164107,5179,2,100,'Increases DPS of target by 7.4',0,1),
(164108,5179,3,100,'Increases Haste of target by 7.8',0,0),
(164109,5179,3,100,'Increases DPS of target by 7.8',0,1),
(164110,5179,4,100,'Increases Haste of target by 8.6',0,0),
(164111,5179,4,100,'Increases DPS of target by 8.6',0,1),
(164112,5179,5,100,'Increases Haste of target by 9.4',0,0),
(164113,5179,5,100,'Increases DPS of target by 9.4',0,1),
(164114,5179,7,100,'Increases Haste of target by 12.0',0,0),
(164115,5179,7,100,'Increases DPS of target by 12.0',0,1),
(164116,5179,9,100,'Increases Haste of target by 12.5',0,0),
(164117,5179,9,100,'Increases DPS of target by 12.5',0,1),
(164118,5179,10,100,'Increases Haste of target by 13.1',0,0),
(164119,5179,10,100,'Increases DPS of target by 13.1',0,1),
(164135,5180,1,100,'Increases Haste of target by 7.0',0,0),
(164136,5180,1,100,'Increases DPS of target by 7.0',0,1),
(164137,5180,2,100,'Increases Haste of target by 7.4',0,0),
(164138,5180,2,100,'Increases DPS of target by 7.4',0,1),
(164139,5180,3,100,'Increases Haste of target by 7.8',0,0),
(164140,5180,3,100,'Increases DPS of target by 7.8',0,1),
(164141,5180,4,100,'Increases Haste of target by 8.6',0,0),
(164142,5180,4,100,'Increases DPS of target by 8.6',0,1),
(164143,5180,5,100,'Increases Haste of target by 9.4',0,0),
(164144,5180,5,100,'Increases DPS of target by 9.4',0,1),
(164145,5180,7,100,'Increases Haste of target by 12.0',0,0),
(164146,5180,7,100,'Increases DPS of target by 12.0',0,1),
(164147,5180,9,100,'Increases Haste of target by 12.5',0,0),
(164148,5180,9,100,'Increases DPS of target by 12.5',0,1),
(164149,5180,10,100,'Increases Haste of target by 13.1',0,0),
(164150,5180,10,100,'Increases DPS of target by 13.1',0,1),
(164166,5161,1,100,'Shapechanges caster into a Form of a mystic moppet.',0,1),
(164167,5161,1,100,'This effect cannot be cast during combat',0,3),
(164168,5146,1,100,'--Increases your air speed by 200%',0,0),
(164169,5147,1,100,'Increase Focus, Disruption, Ministration, Subjugation, Ordination, \r\nSlashing, Piercing, Crushing, Aggression and Ranged of caster by 5%',0,0),
(164170,5148,1,100,'Increase Focus, Disruption, Ministration, Subjugation, Ordination, \r\nSlashing, Piercing, Crushing, Aggression and Ranged of caster by 5%',0,0),
(164171,5149,1,100,'Increase Focus, Disruption, Ministration, Subjugation, Ordination, \r\nSlashing, Piercing, Crushing, Aggression and Ranged of caster by 5%',0,0),
(164175,5021,1,100,'Increase Focus, Disruption, Ministration, Subjugation, \r\nOrdination, Slashing, Piercing, Crushing, Aggression and \r\nRanged of caster by 5',0,0),
(164176,5021,1,100,'Summons a mount to ride that increases your ground speed by 75%',0,0),
(164177,5150,1,100,'Increases Potency of caster by 6.0%',0,0),
(164178,5150,1,100,'Increases Crit Bonus Potency of caster by 6.0%',0,0),
(164179,5150,1,100,'Increases Max Health of caster by 600.0',0,0),
(164180,5150,1,100,'Increases your ground speed by 130%',0,0),
(164181,5150,1,100,'Increases your air speed by 150%',0,0),
(164182,5151,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(164183,5152,1,100,'Increases Potency of caster by 12.0%',0,0),
(164184,5152,1,100,'Increases Crit Bonus Potency of caster by 12.0%',0,0),
(164185,5152,1,100,'Increases Max Health of caster by 2000.0',0,0),
(164186,5152,1,100,'Increases your ground speed by 130%',0,0),
(164187,5152,1,100,'Increases your air speed by 150%',0,0),
(164188,5153,1,100,'Increase Focus, Disruption, Ministration, Subjugation, \r\nOrdination, Slashing, Piercing, Crushing, Aggression and Ranged \r\nof caster by 5%.',0,0),
(164189,5154,1,100,'Increase Focus, Disruption, Ministration, Subjugation, \r\nOrdination, Slashing, Piercing, Crushing, Aggression and Ranged \r\nof caster by 5%.',0,0),
(164190,5155,1,100,'Increases Potency of caster by 7.0%',0,0),
(164191,5155,1,100,'Increases Crit Bonus Potency of caster by 7.0%',0,0),
(164192,5155,1,100,'Increases Crit Chance of caster by 22.0%',0,0),
(164193,5155,1,100,'Increases Max Health of caster by 900.0',0,0),
(164194,5155,1,100,'Increases Max Power of caster by 900.0',0,0),
(164195,5156,1,100,'Increases Potency of caster by 3.0%',0,0),
(164196,5156,1,100,'Increases Crit Bonus Potency of caster by 3.0%',0,0),
(164197,5156,1,100,'Increases Crit Chance of caster by 10.0%',0,0),
(164198,5156,1,100,'Increases Max Health of caster by 300.0',0,0),
(164199,5156,1,100,'Increases Max Power of caster by 300.0',0,0),
(164200,5157,1,100,'Increase Focus, Disruption, Ministration, Subjugation, \r\nOrdination, Slashing, Piercing, Crushing, Aggression and Ranged \r\nof caster by 5%.',0,0),
(164201,5158,1,100,'Summons a mount to ride that increases your air speed by 150%',0,2),
(164202,5159,1,100,'Increase Focus, Disruption, Ministration, Subjugation, \r\nOrdination, Slashing, Piercing, Crushing, Aggression and Ranged \r\nof caster by 5%.',0,0),
(164203,5160,1,100,'Increase Focus, Disruption, Ministration, Subjugation, \r\nOrdination, Slashing, Piercing, Crushing, Aggression and Ranged \r\nof caster by 5%.',0,0),
(164204,5241,1,100,'Increase Focus, Disruption, Ministration, Subjugation, \r\nOrdination, Slashing, Piercing, Crushing, Aggression and Ranged \r\nof caster by 5%.',0,0),
(164205,5241,1,100,'Summons a mount to ride that increases your ground speed by 75%',0,0),
(164206,5241,1,100,'Summons a mount to ride that increases your air speed by 150%',0,0),
(164208,5242,1,100,'Summons a mount to ride that increases your ground speed by 75%',0,0),
(164209,5242,1,100,'Summons a mount to ride that increases your air speed by 150%',0,0),
(164210,5243,1,100,'Increases Potency of caster by 7.0%',0,0),
(164211,5243,1,100,'Increases Crit Bonus Potency of caster by 7.0%',0,0),
(164212,5243,1,100,'Increases Crit Chance of caster by 32.0%',0,0),
(164213,5244,1,100,'Increase Focus, Disruption, Ministration, Subjugation, \r\nOrdination, Slashing, Piercing, Crushing, Aggression and Ranged \r\nof caster by 5%.',0,0),
(164214,5244,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(164215,5244,1,100,'Summons a mount to ride that increases your air speed by 150%',0,0),
(164216,5245,1,100,'Increase Focus, Disruption, Ministration, Subjugation, \r\nOrdination, Slashing, Piercing, Crushing, Aggression and Ranged \r\nof caster by 5%.',0,0),
(164217,5245,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(164218,5245,1,100,'Summons a mount to ride that increases your air speed by 150%',0,0),
(164219,5246,1,100,'Increase Focus, Disruption, Ministration, Subjugation, \r\nOrdination, Slashing, Piercing, Crushing, Aggression and Ranged \r\nof caster by 5%.',0,0),
(164220,5246,1,100,'Summons a mount to ride that increases your ground speed by 75%',0,0),
(164221,5246,1,100,'Summons a mount to ride that increases your air speed by 150%',0,0),
(164222,5247,1,100,'Increase Focus, Disruption, Ministration, Subjugation, \r\nOrdination, Slashing, Piercing, Crushing, Aggression and Ranged \r\nof caster by 5%.',0,0),
(164223,5247,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(164224,5247,1,100,'Summons a mount to ride that increases your air speed by 150%',0,0),
(164225,5248,1,100,'Increase Focus, Disruption, Ministration, Subjugation, \r\nOrdination, Slashing, Piercing, Crushing, Aggression and Ranged \r\nof caster by 5%.',0,0),
(164226,5248,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(164227,5248,1,100,'Summons a mount to ride that increases your air speed by 150%',0,0),
(164228,5249,1,100,'Increase Focus, Disruption, Ministration, Subjugation, \r\nOrdination, Slashing, Piercing, Crushing, Aggression and Ranged \r\nof caster by 5%.',0,0),
(164229,5249,1,100,'Summons a mount to ride that increases your ground speed by 75%',0,0),
(164230,5249,1,100,'Summons a mount to ride that increases your air speed by 150%',0,0),
(164231,5250,1,100,'Increase Focus, Disruption, Ministration, Subjugation, \r\nOrdination, Slashing, Piercing, Crushing, Aggression and Ranged \r\nof caster by 5%.',0,0),
(164232,5250,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(164233,5250,1,100,'Summons a mount to ride that increases your air speed by 150%',0,0),
(164234,5251,1,100,'Increases Potency of caster by 10.0%',0,0),
(164235,5251,1,100,'Increases Crit Bonus Potency of caster by 10.0%',0,0),
(164236,5251,1,100,'Increases Crit Chance of caster by 35.0%',0,0),
(164237,5252,1,100,'Increase Focus, Disruption, Ministration, Subjugation, \r\nOrdination, Slashing, Piercing, Crushing, Aggression and Ranged \r\nof caster by 5%.',0,0),
(164238,5252,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(164239,5252,1,100,'Summons a mount to ride that increases your air speed by 150%',0,0),
(164240,5253,1,100,'Increase Focus, Disruption, Ministration, Subjugation, \r\nOrdination, Slashing, Piercing, Crushing, Aggression and Ranged \r\nof caster by 5%.',0,0),
(164241,5253,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(164242,5253,1,100,'Summons a mount to ride that increases your air speed by 150%',0,0),
(164243,5254,1,100,'Increases Potency of caster by 8.0%',0,0),
(164244,5254,1,100,'Increases Crit Bonus Potency of caster by 8.0%',0,0),
(164245,5254,1,100,'Increases Crit Chance of caster by 28.0%',0,0),
(164246,5255,1,100,'Increase Focus, Disruption, Ministration, Subjugation, \r\nOrdination, Slashing, Piercing, Crushing, Aggression and Ranged \r\nof caster by 5%.',0,0),
(164247,5255,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(164248,5255,1,100,'Summons a mount to ride that increases your air speed by 150%',0,0),
(164249,5256,1,100,'Increase Focus, Disruption, Ministration, Subjugation, \r\nOrdination, Slashing, Piercing, Crushing, Aggression and Ranged \r\nof caster by 5%.',0,0),
(164250,5256,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(164251,5256,1,100,'Summons a mount to ride that increases your air speed by 150%',0,0),
(164252,5257,1,100,'Increase Focus, Disruption, Ministration, Subjugation, \r\nOrdination, Slashing, Piercing, Crushing, Aggression and Ranged \r\nof caster by 5%.',0,0),
(164253,5257,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(164254,5257,1,100,'Summons a mount to ride that increases your air speed by 150%',0,0),
(164255,5258,1,100,'Increases Potency of caster by 3.0%',0,0),
(164256,5258,1,100,'Increases Crit Bonus Potency of caster by 3.0%',0,0),
(164257,5258,1,100,'Increases Crit Chance of caster by 10.0%',0,0),
(164258,5259,1,100,'Increases Potency of caster by 1.0%',0,0),
(164259,5259,1,100,'Increases Max Power of caster by 200.0',0,0),
(164260,5259,1,100,'Increases Max Health of caster by 200.0',0,0),
(164261,5260,1,100,'Increases your ground speed by 130%',0,0),
(164264,5261,1,100,'Increase Combat XP Gain of target by 10%',0,0),
(164265,5261,1,100,'Summons a mount to ride that increases your speed by 130%',0,0),
(164267,5262,1,100,'Increases your ground speed by 130%',0,0),
(164268,5262,1,100,'Increases Slashing, Piercing, Crushing, Aggression and Ranged \r\nof caster by 5.0%',0,0),
(164270,5263,1,100,'Increases your ground speed by 130%',0,0),
(164271,5263,1,100,'Increases Slashing, Piercing, Crushing, Aggression and Ranged \r\nof caster by 5.0%',0,0),
(164273,5264,1,100,'Increases Crit Bonus Potency of caster by 1.0%',0,0),
(164274,5264,1,100,'Increases Crit Chance of caster by 3.0%',0,0),
(164275,5264,1,100,'Increases Max Power of caster by 200.0',0,0),
(164276,5265,1,100,'Increase Crushing, Piercing, Slashing, Ranged and Disruption of \r\ncaster by 7',0,0),
(164277,5265,1,100,'Increase health of caster by 150',0,0),
(164278,5265,1,100,'Increase max mana of caster by 150',0,0),
(164279,5243,1,100,'Increases Max Health of caster by 900.0',0,0),
(164280,5243,1,100,'Increases Max Power of caster by 900.0',0,0),
(164281,5243,1,100,'Increases your ground speed by 130%',0,0),
(164282,5243,1,100,'Increases your air speed by 150%',0,0),
(164283,5188,1,100,'Inflicts magic damage on target.',0,0),
(164284,5251,1,100,'Increases Max Health of caster by 1500.0',0,0),
(164285,5251,1,100,'Increases Max Power of caster by 1500.0',0,0),
(164286,5251,1,100,'Increases your ground speed by 130%',0,0),
(164287,5251,1,100,'Increases your air speed by 150%',0,0),
(164288,5254,1,100,'Increases Max Health of caster by 1000.0',0,0),
(164289,5254,1,100,'Increases Max Power of caster by 1000.0',0,0),
(164290,5254,1,100,'Increases your ground speed by 130%',0,0),
(164291,5254,1,100,'Increases your air speed by 150%',0,0),
(164292,5258,1,100,'Increases Max Health of caster by 400.0',0,0),
(164293,5258,1,100,'Increases Max Power of caster by 300.0',0,0),
(164294,5258,1,100,'Increases your ground speed by 130%',0,0),
(164295,5258,1,100,'Increases your air speed by 150%',0,0),
(164298,5266,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(164300,5267,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(164303,5268,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(164306,5269,1,100,'Summons a mount to ride that increases your ground speed by 35%',0,0),
(164308,5270,1,100,'Increases your ground speed by 130%',0,0),
(164309,5270,1,100,'--Increases Mitigation of caster vs elemental, noxious and arcane \r\ndamage by 200',0,0),
(164311,5271,1,100,'Increases Potency of caster by 1.0%',0,0),
(164312,5271,1,100,'Increases Crit Chance of caster by 1.0%',0,0),
(164313,5271,1,100,'Increases Max Health of caster by 200.0',0,0),
(164314,5272,1,100,'Increase max health of caster by 400.0',0,0),
(164315,5272,1,100,'Increase max power of caster by 400.0',0,0),
(164316,5272,1,100,'Increase crit bonus of caster by 3.0%',0,0),
(164317,5273,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(164318,5273,1,100,'Increases your Crushing, Disruption, Piercing, Slashing and Ranged \r\nby 7.0.',0,0),
(164319,5273,1,100,'Increases damage done by spells and combat arts by upto 75.',0,0),
(164320,5274,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(164321,5274,1,100,'Increases your Crushing, Disruption, Piercing, Slashing and Ranged \r\nby 7.0.',0,0),
(164322,5274,1,100,'Increases damage done by spells and combat arts by upto 75.',0,0),
(164323,5275,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(164324,5275,1,100,'Increases your Crushing, Disruption, Piercing, Slashing and Ranged \r\nby 7.0.',0,0),
(164325,5275,1,100,'Increases damage done by spells and combat arts by upto 75.',0,0),
(164326,5276,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(164327,5276,1,100,'Increases your Crushing, Disruption, Piercing, Slashing and Ranged \r\nby 7.0.',0,0),
(164328,5276,1,100,'Increases damage done by spells and combat arts by upto 75.',0,0),
(164331,5277,1,100,'Summons a mount to ride that increases your speed by 130%',0,0),
(164334,5278,1,100,'Summons a mount to ride that increases your speed by 130%',0,0),
(164337,5279,1,100,'Summons a mount to ride that increases your speed by 130%',0,0),
(164340,5280,1,100,'Summons a mount to ride that increases your speed by 130%',0,0),
(164341,5259,1,100,'Increases your ground speed by 130%',0,0),
(164342,5264,1,100,'Increases your ground speed by 130%',0,0),
(164343,5265,1,100,'Summons a mount to ride that increases your speed by 130%',0,0),
(164344,5271,1,100,'Increases Max Power of caster by 200.0',0,0),
(164345,5271,1,100,'Increases your ground speed by 130%',0,0),
(164346,5272,1,100,'Increase potency of caster by 3.0%',0,0),
(164347,5272,1,100,'Increase double attack caster by 14.0%',0,0),
(164348,5272,1,100,'Increases your ground speed by 130%',0,0),
(164349,5232,1,100,'Increases Piercing, Crushing, Slashing and Ranged by Character level',0,0),
(164350,5211,1,100,'Increases Mitigation of caster vs physical damage by based on character level',0,0),
(164351,5195,1,100,'Increases power of caster by 30.0% instantly and every 30 seconds',0,0),
(164352,5195,1,100,'This effect cannot be critically applied',0,1),
(164353,5212,1,100,'Inflict X to Y damage based on Clevel',0,0),
(164355,5212,1,100,'Increases Focus of caster by X based on Clevel',0,1),
(164356,5221,1,100,'Deals x to y damage to target based on clevel',0,0),
(164358,5225,1,100,'Deals x to y slashing damage based on clevel',0,0),
(164359,5203,1,100,'Deals X to Y damage on encounter',0,0),
(164360,5187,1,100,'Increases power of caster by 20.0%',0,0),
(164362,5187,1,100,'This effect cannot be critically applied.',1,0),
(164363,5187,1,100,'When Damage is received this spell has a 50% chance to cast Enlightenment on caster. Lasts for 1 minute 30 seconds.',0,1),
(164364,5187,1,100,'Increases power of caster by 40.0%',3,3),
(164366,5187,1,100,'This effect cannot be critically apllied.',4,4),
(164368,5187,1,100,'Grants 8 triggers of the spell.',5,5),
(164369,5058,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(164370,5058,1,100,'Increases your Crushing, Disruption, Piercing, Slashing and Ranged \r\nby 7.0',0,0),
(164374,5281,1,100,'Increases power of caster by 40.0%',1,0),
(164375,5281,1,100,'This effect cannot be critically apllied.',1,2),
(164378,5205,1,100,'Deals X to Y Divine Damage on target based on clevel',0,0),
(164379,5240,1,100,'Encounter Magic AoE DD',0,0),
(164380,5282,1,100,'Summons a mount to ride that increases your speed by 130%',0,0),
(164381,5283,1,100,'Increase Focus, Disruption, Ministration, Subjugation, Ordination, \r\nSlashing, Piercing, Crushing, Aggression and Ranged of caster by 5',0,0),
(164382,5284,1,100,'Increases Focus, Disruption, Ministration, Subjugation and \r\nOrdination of caster by 5',0,0),
(164383,5285,1,100,'Increases Focus, Disruption, Ministration, Subjugation and \r\nOrdination of caster by 5',0,0),
(164384,5283,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(164385,5284,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(164386,5231,1,100,'Increases group''s Piercing, Slashing, Crushing and ranged by X to Y based on level.',0,0),
(164387,5194,1,100,'Increases AGI and STR of caster by x to y based on level.',0,0),
(164388,5213,1,100,'Deals X - Y piercing damage on target based on level.',0,0),
(164389,5219,1,100,'Deals x - y slashing damage based on level to target.',0,0),
(164390,5285,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(164391,5286,1,100,'Increases Focus, Disruption, Ministration, Subjugation and \r\nOrdination of caster by 5',0,0),
(164392,5286,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(164394,5287,1,100,'Increases Potency of caster by 3.0%',0,0),
(164396,5287,1,100,'Increases Max Health of caster by 300.0',0,0),
(164397,5287,1,100,'Increases Max Power of caster by 300.0',0,0),
(164398,5287,1,100,'Increases your ground speed by 130%',0,0),
(164401,5288,1,100,'Increases Crit Chance of caster by 2.0%',0,0),
(164402,5288,1,100,'Increases Max Health of caster by 150.0',0,0),
(164403,5288,1,100,'Increases Max Power of caster by 150.0',0,0),
(164404,5288,1,100,'Increases your ground speed by 130%',0,0),
(164408,5289,1,100,'Applies Basic Firework when Activated.  Lasts for 3.0 seconds.',0,0),
(164409,5290,1,100,'Increases power of caster by 2 instantly and every 5 seconds.',0,0),
(164410,5291,1,100,'Increases power regen of caster by 12.0',1,0),
(164411,5291,1,100,'This effect suspends during combat',1,0),
(164412,5291,1,100,'Only affects targets level 1 and above',1,0),
(164413,5292,1,100,'Increases Health Regen of caster by 8.0',1,0),
(164414,5292,1,100,'This effect suspends during combat',1,0),
(164415,5292,1,100,'Only affects targets level 1 and above',1,0),
(164416,5293,1,100,'Increases Power Regen of caster by 24.0',1,0),
(164417,5293,1,100,'This effect suspends during combat',1,0),
(164418,5293,1,100,'Only affects targets level 10 and above',1,0),
(164419,5293,1,100,'Shapechanges caster into a rat',0,0),
(164420,5294,1,100,'Increases Power Regen of caster by 96.0',1,0),
(164421,5294,1,100,'This effect suspends during combat',1,0),
(164422,5294,1,100,'Only affects targets level 70 and above',1,0),
(164423,5294,1,100,'Shapechanges caster into a goblin',1,0),
(164427,5295,1,100,'Increases Health Regen of caster by 228.0',1,0),
(164428,5295,1,100,'This effect suspends during combat',1,0),
(164429,5295,1,100,'Only affects targets level 70 and above',1,0),
(164430,5295,1,100,'Shapechanges caster into a cockatrice',1,0),
(164434,5296,1,100,'Increases Power Regen of caster by 60.0',1,0),
(164435,5296,1,100,'This effect suspends during combat',1,0),
(164441,5296,1,100,'Only affects targets level 40 and above',1,0),
(164442,5296,1,100,'Shapechanges caster into a hawk',1,0),
(164443,5297,1,100,'Increases Power Regen of caster by 72.0',1,0),
(164444,5297,1,100,'This effect suspends during combat',1,0),
(164445,5297,1,100,'Only affects targets level 50 and above',1,0),
(164446,5297,1,100,'Shapechanges caster into a monkey',1,0),
(164450,5298,1,100,'Increases Power Regen of caster by 108.0',1,0),
(164451,5298,1,100,'This effect suspends during combat',1,0),
(164452,5298,1,100,'Only affects targets level 80 and above',1,0),
(164457,5299,1,100,'Increases Power Regen of caster by 265.5',1,0),
(164458,5299,1,100,'This effect suspends during combat',1,0),
(164459,5299,1,100,'Only affects targets level 80 and above',1,0),
(164460,5300,1,100,'Increases Health Regen of caster by 82.0',1,0),
(164461,5300,1,100,'This effect suspends during combat',1,0),
(164462,5300,1,100,'Only affects targets level 40 and above',1,0),
(164463,5300,1,100,'Shapechanges caster into a lion',1,0),
(164467,5301,1,100,'Increases Speed of caster by 24.0%',1,0),
(164468,5301,1,100,'This effect suspends during combat',1,0),
(164469,5301,1,100,'Only affects targets level 40 and above',1,0),
(164470,5301,1,100,'Shapechanges caster into a wolf',1,0),
(164474,5301,1,100,'Increases in-combat movement speed of caster by 3.0%',1,0),
(164476,5302,1,100,'Increases Health Regen of caster by 22.0',1,0),
(164477,5302,1,100,'This effect suspends during combat',1,0),
(164478,5302,1,100,'Only affects targets level 10 and above',1,0),
(164479,5302,1,100,'Shapechanges caster into a bear',1,0),
(164483,5303,1,100,'Allows caster to walk under water',1,0),
(164484,5303,1,100,'Allows caster to breathe under water',1,0),
(164485,5303,1,100,'Grants Fish Vision to caster',1,0),
(164486,5303,1,100,'Only affects targets level 80 and above',1,0),
(164487,5304,1,100,'Increases your ground speed by 130%',0,0),
(164488,5304,1,100,'Increases Slashing, Piercing, Focus and Crushing of caster by 4.7',0,0),
(164490,5305,1,100,'Increases your ground speed by 130%',0,0),
(164491,5305,1,100,'Increases Slashing, Piercing, Focus and Crushing of caster by 4.7',0,0),
(164493,5306,1,100,'Increases your ground speed by 130%',0,0),
(164494,5306,1,100,'Increases Slashing, Piercing, Focus and Crushing of caster by 4.7',0,0),
(164496,5307,1,100,'Increases your ground speed by 130%',0,0),
(164497,5307,1,100,'Increases Slashing, Piercing, Focus and Crushing of caster by 4.7',0,0),
(164499,5308,1,100,'Increases your ground speed by 130%',0,0),
(164500,5308,1,100,'Increases Slashing, Piercing, Focus and Crushing of caster by 4.7',0,0),
(164502,5309,1,100,'Increases your ground speed by 130%',0,0),
(164503,5309,1,100,'Increases Slashing, Piercing, Focus and Crushing of caster by 4.7',0,0),
(164505,5310,1,100,'Increases your ground speed by 130%',0,0),
(164506,5310,1,100,'Increases Slashing, Piercing, Focus and Crushing of caster by 4.7',0,0),
(164508,5311,1,100,'Increases your ground speed by 130%',0,0),
(164509,5311,1,100,'Increases Slashing, Piercing, Focus and Crushing of caster by 4.7',0,0),
(164518,5312,1,100,'Increases Power Regen of caster by 84.0',1,0),
(164519,5312,1,100,'This effect suspends during combat',1,0),
(164520,5312,1,100,'Only affects targets level 60 and above',1,0),
(164521,5312,1,100,'Shapechanges caster into a beholder',1,0),
(164525,5313,1,100,'Increases Speed of caster by 45.0%',1,0),
(164526,5313,1,100,'This effect suspends during combat',1,0),
(164527,5313,1,100,'Only affects targets level 65 and above',1,0),
(164528,5313,1,100,'Shapechanges caster into a chokidai',1,0),
(164532,5314,1,100,'Increases Health Regen of caster by 127.0',1,0),
(164533,5314,1,100,'This effect suspends during combat',1,0),
(164534,5314,1,100,'Only affects targets level 60 and above',1,0),
(164535,5314,1,100,'Shapechanges caster into a carnivorous plant',1,0),
(164539,5315,1,100,'Increases Health Regen of caster by 102.0',1,0),
(164540,5315,1,100,'This effect suspends during combat',1,0),
(164541,5315,1,100,'Only affects targets level 49 and above',1,0),
(164542,5315,1,100,'Shapechanges caster into a cobra',1,0),
(164546,5316,1,100,'Increases Power Regen of caster by 48.0',1,0),
(164547,5316,1,100,'This effect suspends during combat',1,0),
(164548,5316,1,100,'Only affects targets level 30 and above',1,0),
(164549,5316,1,100,'Shapechanges caster into a bat',1,0),
(164553,5317,1,100,'Increases Health Regen of caster by 42.0',1,0),
(164554,5317,1,100,'This effect suspends during combat',1,0),
(164555,5317,1,100,'Only affects targets level 10 and above',1,0),
(164556,5317,1,100,'Shapechanges caster into a bear',1,0),
(164560,5318,1,100,'Increases Power Regen of caster by 36.0',1,0),
(164561,5318,1,100,'This effect suspends during combat',1,0),
(164562,5318,1,100,'Only affects targets level 20 and above',1,0),
(164563,5318,1,100,'Shapechanges caster into a flying snake',1,0),
(164567,5319,1,100,'Increases Health Regen of caster by 62.0',1,0),
(164568,5319,1,100,'This effect suspends during combat',1,0),
(164569,5319,1,100,'Only affects targets level 30 and above',1,0),
(164570,5319,1,100,'Shapechanges caster into a lion',1,0),
(164574,5320,1,100,'Increases your ground speed by 130%',0,0),
(164579,5320,1,100,'Increase max health of caster by 300.0',0,0),
(164580,5321,1,100,'Increases your ground speed by 130%',0,0),
(164581,5321,1,100,'Increase max health of caster by 300.0',0,0),
(164583,5322,1,100,'Increases your ground speed by 130%',0,0),
(164584,5322,1,100,'Increase max health of caster by 200.0',0,0),
(164586,5322,1,100,'Increase max mana of caster by 200.0',0,0),
(164591,5204,1,100,'deals x to y damage to target based on clevel',0,0),
(164592,5206,1,100,'Heals caster for x - y instantly based on Clevel.',0,0),
(164593,5206,1,100,'Heals caster for x - y every 12 seconds.',0,0),
(164595,5201,1,100,'When any damage received this spell has a 5% chance to cast Hasten on caster. Lasts for 30.0 seconds.',0,0),
(164596,5201,1,100,'Increases Haste of target by x - y Based on CLevel',0,1),
(164597,5201,1,100,'Grants a total of 30 triggers of the spell.',0,1),
(164598,5185,1,100,'Increases Mitigation of group (AE) vs Physical and Arcane damage by x - y based on Clevel',0,0),
(164599,5227,1,100,'On a combat hit this spell may cast Hasten on caster. Lasts for 30.0 seconds. Triggers about  6.6 times per minute.',0,0),
(164600,5227,1,100,'Increases Haste of target by x - y based on CLevel',0,1),
(164601,5228,1,100,'Encounter AoE Magic Damage X - Y based on Clevel',0,0),
(164602,5200,1,100,'Wards target against 5118 points of all damage',0,0),
(164603,5200,1,100,'Heals target for x - y based on Clevel',0,0),
(164604,5200,1,100,'Heals target for x -y based on Clevel every 90 seconds+',0,0),
(164605,5189,1,100,'Instant group power Restoration by x - y based on Clevel',0,0),
(164606,5199,1,100,'heals caster from x to y based on Clevel',0,0),
(164607,5181,1,100,'Instantly heal A - B Power and X - Y Health based on CLevel',0,0),
(164608,5186,1,100,'Increase Power of Group Member by x - y based on Clevel',0,0),
(164609,5230,1,100,'Deals X - Y magic damage based on CLevel.',0,0),
(164610,5323,1,100,'Increases your ground speed by 130%',0,0),
(164611,5323,1,100,'Increase Focus, Disruption, Ministration, Subjugation, Ordination, Slashing, Piercing, Crushing, Aggression and Ranged of caster by 5',0,0),
(164613,5324,1,100,'Increases your ground speed by 130%',0,0),
(164614,5324,1,100,'Increase Focus, Disruption, Ministration, Subjugation, Ordination, Slashing, Piercing, Crushing, Aggression and Ranged of caster by 5',0,0),
(164616,5325,1,100,'Increases your ground speed by 130%',0,0),
(164617,5325,1,100,'Increase Focus, Disruption, Ministration, Subjugation and Ordination of caster by 5',0,0),
(164619,5326,1,100,'Increases your ground speed by 130%',0,0),
(164620,5326,1,100,'Increase Focus, Disruption, Ministration, Subjugation and Ordination of caster by 5',0,0),
(164622,5327,1,100,'Increases your ground speed by 130%',0,0),
(164623,5328,1,100,'Increases your ground speed by 135%',0,0),
(164624,5328,1,100,'Increases Focus, Disruption, Ministration, Subjugation, \r\nOrdination, Slashing, Piercing, Crushing, Aggression and Ranged \r\nof caster by 5.0',0,0),
(164626,5329,1,100,'Increases your ground speed by 130%',0,0),
(164627,5329,1,100,'Increases Focus, Disruption, Ministration, Subjugation, \r\nOrdination, Slashing, Piercing, Crushing, Aggression and Ranged \r\nof caster by 5.0',0,0),
(164629,5330,1,100,'Increases your ground speed by 130%',0,0),
(164630,5330,1,100,'Increases Focus, Disruption, Ministration, Subjugation, \r\nOrdination, Slashing, Piercing, Crushing, Aggression and Ranged \r\nof caster by 5.0',0,0),
(164632,5190,1,100,'Inflicts x - y magic damage on target based on CLevel.',0,0),
(164633,5190,1,100,'Increases Mitigation of caster vs physical and arcane from x - y based on CLevel.',0,0),
(164634,5224,1,100,'On a combat hit this spell may cast Daggers on target of attack. Triggers about 5.0 per minute.',0,0),
(164635,5224,1,100,'inflicts x - y damage based on character level',0,1),
(164636,5235,1,100,'Deals x - y damage on target instantly and every 6 seconds.',0,0),
(164637,5220,1,100,'increases power of group members by x instantly and every 12 seconds',0,0),
(164638,5209,1,100,'Increases power by 20.0%',0,0),
(164639,5209,1,100,'Increases Defense of caster by 20.4',0,0),
(164640,5208,1,100,'increases Mitigation of group members vs physical damage by X based on Clevel',0,0),
(164641,5218,1,100,'Deals X - Y piercing damage to target based on CLevel',0,0),
(164642,5207,1,100,'Deals x - y damage to target based on CLevel',0,0),
(164643,5331,1,100,'Increases Potency of caster by 1.5% ',0,0),
(164644,5331,1,100,'Increases Max Health of caster by 250.0 ',0,0),
(164645,5331,1,100,'Increases Max Power of caster by 250.0',0,0),
(164646,5331,1,100,'Increases your ground speed by 130%',0,0),
(164647,5331,1,100,'Reduces maximum falling speed of caster ',0,0),
(164650,5332,1,100,'Increases your ground speed by 130%',0,0),
(164651,5332,1,100,'Increase Focus, Disruption, Ministration, Subjugation and Ordination of caster by 5',0,0),
(164653,5333,1,100,'Increases your ground speed by 130%',0,0),
(164654,5333,1,100,'Increase Slashing, Piercing, Crushing, Aggression and Ranged of caster by 5',0,0),
(164656,5334,1,100,'Increases your ground speed by 130%',0,0),
(164657,5334,1,100,'Increase Slashing, Piercing, Crushing, Aggression and Ranged of caster by 5',0,0),
(164659,5335,1,100,'Increases your ground speed by 130%',0,2),
(164660,5335,1,100,'Increase Focus and Defense of caster by 6',0,1),
(164666,5336,1,100,'Increases your ground speed by 130%',0,0),
(164667,5336,1,100,'Increase Slashing, Piercing, Crushing, Aggression and Ranged of caster by 5',0,0),
(164669,5337,1,100,'Increases your ground speed by 130%',0,0),
(164670,5337,1,100,'Increase Slashing, Piercing, Crushing, Aggression and Ranged of caster by 5',0,0),
(164672,5338,1,100,'Increases your ground speed by 130%',0,0),
(164673,5338,1,100,'Increases Focus, Disruption, Ministration, Subjugation, \r\nOrdination, Slashing, Piercing, Crushing, Aggression and Ranged of caster by 5.0',0,0),
(164675,5339,1,100,'Increases your ground speed by 130%',0,0),
(164676,5339,1,100,'Increase Focus, Disruption, Ministration, Subjugation and Ordination of caster by 5',0,0),
(164678,5340,1,100,'Increases your ground speed by 130%',0,0),
(164679,5340,1,100,'Increase Slashing, Piercing, Crushing, Aggression and Ranged of caster by 5',0,0),
(164681,5341,1,100,'Increases your ground speed by 130%',0,0),
(164682,5341,1,100,'Increases Focus, Disruption, Ministration, Subjugation, \r\nOrdination, Slashing, Piercing, Crushing, Aggression and Ranged \r\nof caster by 5.0',0,0),
(164684,290049,2,100,'On any combat or spell hit this spell will cast Shout on target of attack.',1,7),
(164685,290056,11,100,'Increases Threat to target encounter by 2,055 - 2,392 ',2,8),
(164686,5342,1,100,'Increases Max Power of caster by 300.0 ',0,0),
(164687,5342,1,100,'Increases Max Health of caster by 300.0 ',0,0),
(164688,5342,1,100,'Increases your ground speed by 130% ',0,0),
(164695,5343,1,100,'Increases your ground speed by 130% ',0,0),
(164696,5344,1,100,'Increases Max Power of caster by 300.0 ',0,0),
(164697,5344,1,100,'Increases Max Health of caster by 300.0 ',0,0),
(164698,5344,1,100,'Increases your ground speed by 130% ',0,0),
(164701,5345,1,100,'Increases your ground speed by 130% ',0,0),
(164702,5346,1,100,'Increases your ground speed by 130% ',0,0),
(164703,5347,1,100,'Increases your ground speed by 130% ',0,0),
(164704,5348,1,100,'Increase health of caster by 200',0,0),
(164705,5348,1,100,'Increase critchance of caster by 3',0,0),
(164706,5348,1,100,'Increase critbonus of caster by 1',0,0),
(164707,5348,1,100,'Summons a mount to ride that increases your speed by 130%',0,0),
(164711,5349,1,100,'Increases your ground speed by 130%',0,0),
(164712,5349,1,100,'Increases Fishing, Trapping, Mining, Foresting, Gathering and Transmuting of caster by 9.5',0,0),
(164714,5350,1,100,'Summons a mount to ride that increases your speed by 130%',0,0),
(164715,5351,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(164718,5352,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(164719,5353,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(164720,5354,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(164721,5355,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(164722,5356,1,100,'Increases your ground speed by 130%',0,0),
(164723,5356,1,100,'Increases Fishing, Trapping, Mining, Foresting, Gathering and Transmuting of caster by 23.8',0,0),
(164725,5357,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(164726,5358,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(164727,5359,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(164728,5360,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(164729,5361,1,100,'Increase Out-of-Combat Power Regeneration Per Tick of caster by 15',0,0),
(164730,5361,1,100,'Increase Out-of-Combat Health Regeneration Per Tick of caster by 15',0,0),
(164731,5361,1,100,'Increase health of caster by 150',0,0),
(164732,5361,1,100,'Increase critbonus of caster by 1',0,0),
(164733,5361,1,100,'Summons a mount to ride that increases your speed by 130%',0,0),
(164736,5362,1,100,'Increases your ground speed by 130%',0,0),
(164737,5362,1,100,'Increases Focus, Disruption, Ministration, Subjugation, \r\nOrdination, Slashing, Piercing, Crushing, Aggression and Ranged \r\nof caster by 5.0',0,0),
(164744,5363,1,100,'Launches a goblin into oblivion.',0,0),
(164749,5364,1,100,'Increases your ground speed by 130%',0,0),
(164750,5364,1,100,'Increase Focus, Disruption, Ministration, Subjugation and Ordination of caster by 5',0,0),
(164752,5365,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(164753,5366,1,100,'Increases your ground speed by 130%',0,0),
(164754,5366,1,100,'Increase Focus, Disruption, Ministration, Subjugation and Ordination of caster by 5',0,0),
(164756,5367,1,100,'Increases your ground speed by 130%',0,0),
(164757,5367,1,100,'Increases Focus, Disruption, Ministration, Subjugation, \r\nOrdination, Slashing, Piercing, Crushing, Aggression and Ranged \r\nof caster by 5.0',0,0),
(164759,5368,1,100,'Increases your ground speed by 130%',0,0),
(164760,5368,1,100,'Increase Crushing, Piercing, Slashing, Ranged and Disruption of caster by 7',0,0),
(164762,5368,1,100,'Increase health of caster by 150',0,0),
(164763,5368,1,100,'Increase maxmana of caster by 150',0,0),
(164764,5369,1,100,'Increases your ground speed by 130%',0,0),
(164765,5369,1,100,'Increase Crushing, Piercing, Slashing, Ranged and Disruption of caster by 7',0,0),
(164766,5369,1,100,'Increase health of caster by 150',0,0),
(164767,5369,1,100,'Increase maxmana of caster by 150',0,0),
(164771,5370,1,100,'Increases your ground speed by 130%',0,0),
(164772,5370,1,100,'Increase Crushing, Piercing, Slashing, Ranged and Disruption of caster by 7',0,0),
(164773,5370,1,100,'Increase health of caster by 150',0,0),
(164774,5370,1,100,'Increase maxmana of caster by 150',0,0),
(164778,5371,1,100,'Increases your ground speed by 130%',0,0),
(164779,5371,1,100,'Increase Crushing, Piercing, Slashing, Ranged and Disruption of caster by 7',0,0),
(164780,5371,1,100,'Increase health of caster by 150',0,0),
(164781,5371,1,100,'Increase maxmana of caster by 150',0,0),
(164785,5372,1,100,'Increases your ground speed by 130%',0,0),
(164786,5372,1,100,'--Increases Mitigation of caster vs elemental, noxious and arcane damage by 200',0,0),
(164788,5373,1,100,'Increases your ground speed by 130%',0,0),
(164789,5373,1,100,'--Increases Mitigation of caster vs elemental, noxious and arcane damage by 200',0,0),
(164791,5374,1,100,'Increases your ground speed by 130%',0,0),
(164792,5374,1,100,'Increases Focus, Disruption, Ministration, Subjugation, \r\nOrdination, Slashing, Piercing, Crushing, Aggression and Ranged \r\nof caster by 5.0',0,0),
(164794,5375,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(164795,5376,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(164796,5377,1,100,'Summons a mount to ride that increases your ground speed by 130%',0,0),
(164797,5378,1,100,'Increase maxmana of caster by 150',0,0),
(164798,5378,1,100,'Increase health of caster by 150',0,0),
(164799,5378,1,100,'Increase Ability Casting Time of caster by 3',0,0),
(164800,5378,1,100,'Summons a mount to ride that increases your speed by 130%',0,0),
(164804,5379,1,100,'Summons a mount to ride that increases your ground speed \r\nby 130%',0,0),
(164805,5380,1,100,'Increases your ground speed by 130%',0,0),
(164806,5380,1,100,'Increases Focus, Disruption, Ministration, Subjugation, \r\nOrdination, Slashing, Piercing, Crushing, Aggression and Ranged \r\nof caster by 5.0',0,0),
(164808,5381,1,100,'Increases your ground speed by 130%',0,0),
(164809,5381,1,100,'Increase Focus, Crushing, Piercing & Slashing of caster by 4.75',0,0),
(164811,5382,1,100,'Increases your ground speed by 130%',0,0),
(164812,5382,1,100,'Increase Focus, Crushing, Piercing & Slashing of caster by 4.75',0,0),
(164814,5383,1,100,'Increases your ground speed by 130%',0,0),
(164815,5383,1,100,'Increase Focus, Crushing, Piercing & Slashing of caster by 4.75',0,0),
(164817,5384,1,100,'Increases your ground speed by 130%',0,0),
(164818,5384,1,100,'Increase Focus, Crushing, Piercing & Slashing of caster by 4.75',0,0),
(164820,5385,1,100,'Increases your ground speed by 130%',0,0),
(164821,5385,1,100,'Increase Focus, Crushing, Piercing & Slashing of caster by 4.75',0,0),
(164823,5386,1,100,'Increases your ground speed by 130%',0,0),
(164824,5386,1,100,'Increase Focus, Crushing, Piercing & Slashing of caster by 4.75',0,0),
(164826,5387,1,100,'Increases your ground speed by 130%',0,0),
(164827,5387,1,100,'Increase Focus, Crushing, Piercing & Slashing of caster by 4.75',0,0),
(164829,5388,1,100,'Increases your ground speed by 130%',0,0),
(164830,5388,1,100,'Increase Focus, Crushing, Piercing & Slashing of caster by 4.75',0,0),
(164832,5389,1,100,'Increase maxmana of caster by 250',0,0),
(164833,5389,1,100,'Increase Ability Reuse Time of caster by 3',0,0),
(164834,5389,1,100,'Summons a mount to ride that increases your speed by 130%',0,0),
(164839,5390,1,100,'Increase maxmana of caster by 250',0,0),
(164840,5390,1,100,'Increase Ability Reuse Time of caster by 3',0,0),
(164841,5390,1,100,'Summons a mount to ride that increases your speed by 130%',0,0),
(164842,5391,1,100,'Increase maxmana of caster by 250',0,0),
(164843,5391,1,100,'Increase Ability Reuse Time of caster by 3',0,0),
(164844,5391,1,100,'Summons a mount to ride that increases your speed by 130%',0,0),
(164845,5392,1,100,'Increase maxmana of caster by 250',0,0),
(164846,5392,1,100,'Increase Ability Reuse Time of caster by 3',0,0),
(164847,5392,1,100,'Summons a mount to ride that increases your speed by 130%',0,0),
(164848,5393,1,100,'Increase maxmana of caster by 250',0,0),
(164849,5393,1,100,'Increase Ability Reuse Time of caster by 3',0,0),
(164850,5393,1,100,'Summons a mount to ride that increases your speed by 130%',0,0),
(164851,5394,1,100,'Increase maxmana of caster by 250',0,0),
(164852,5394,1,100,'Increase Ability Reuse Time of caster by 3',0,0),
(164853,5394,1,100,'Summons a mount to ride that increases your speed by 130%',0,0),
(164854,5395,1,100,'Increases your ground speed by 130%',0,0),
(164855,5395,1,100,'Increases Focus, Disruption, Ministration, Subjugation, \r\nOrdination, Slashing, Piercing, Crushing, Aggression and Ranged \r\nof caster by 5.0',0,0),
(164857,5396,1,100,'Increases your ground speed by 130%',0,0),
(164858,5396,1,100,'Increases Focus, Disruption, Ministration, Subjugation, \r\nOrdination, Slashing, Piercing, Crushing, Aggression and Ranged \r\nof caster by 5.0',0,0),
(164860,5397,1,100,'Increases your ground speed by 130%',0,0),
(164861,5397,1,100,'Increases Focus, Disruption, Ministration, Subjugation, \r\nOrdination, Slashing, Piercing, Crushing, Aggression and Ranged \r\nof caster by 5.0',0,0),
(164863,5398,1,100,'Increases your ground speed by 130%',0,0),
(164864,5398,1,100,'Increases Focus, Disruption, Ministration, Subjugation, \r\nOrdination, Slashing, Piercing, Crushing, Aggression and Ranged \r\nof caster by 5.0',0,0),
(164866,5399,1,100,'Increases Focus, Disruption, Ministration, Subjugation &\r\nOrdination of caster by 5.0',0,0),
(164867,5399,1,100,'Increases your ground speed by 130%',0,0),
(164869,5400,1,100,'Increases Focus, Disruption, Ministration, Subjugation, \r\nOrdination, Slashing, Piercing, Crushing, Aggression and Ranged \r\nof caster by 5.0',0,0),
(164870,5400,1,100,'Increases your ground speed by 130%',0,0),
(164872,5401,1,100,'Increases Focus, Disruption, Ministration, Subjugation, \r\nOrdination, Slashing, Piercing, Crushing, Aggression and Ranged \r\nof caster by 5.0',0,0),
(164873,5401,1,100,'Increases your ground speed by 130%',0,0),
(164875,5402,1,100,'Increases Ranged, Aggression, Piercing, Crushing and Slashing of caster by 5.0 ',0,0),
(164876,5402,1,100,'Increases your ground speed by 130%',0,0),
(164878,5403,1,100,'Increases Out-of-Combat Power Regeneration Per tick of caster by 90',0,1),
(164882,5403,1,100,'Increases Out-of-Combat Health Regeneration Per Tick of caster by 90 ',0,2),
(164883,5403,1,100,'Increases spell damage by 15.0',0,3),
(164884,5403,1,100,'Increases your ground speed by 130% ',0,6),
(164885,5403,1,100,'Increases heal amount by 15.0',0,4),
(164886,5403,1,100,'Increases melee damage by 15.0',0,5),
(164887,5404,1,100,'Increase maxmana of caster by 150',0,0),
(164888,5404,1,100,'Increase health of caster by 150',0,0),
(164889,5404,1,100,'Increases Damage Per Second of caster by 5.0',0,0),
(164890,5404,1,100,'Summons a mount to ride that increases your speed by 130%',0,0),
(164894,5405,1,100,'Increases STA of caster by 20.0',0,0),
(164897,5405,1,100,'Summons a mount to ride that increases your speed by 130%',0,0),
(164901,5406,1,100,'Increases your ground speed by 130%',0,0),
(164902,5406,1,100,'Increases Fishing, Trapping, Mining, Foresting, Gathering and Transmuting of caster by 47.5',0,0),
(164904,5407,1,100,'Increases Ranged, Aggression, Piercing, Crushing and Slashing of caster by 5.0 ',0,0),
(164905,5407,1,100,'Increases your ground speed by 130%',0,0),
(164907,5408,1,100,'Increases Ranged, Aggression, Piercing, Crushing and Slashing of caster by 5.0 ',0,0),
(164908,5408,1,100,'Increases your ground speed by 130%',0,0),
(164910,420148,4,100,'Applies Snare.  Lasts for 24.0 seconds.',0,0),
(164911,420148,4,100,'Slows target by 29.9%',1,1),
(164912,420148,4,100,'5% chance to dispel when target receives hostile action',1,2),
(164913,420148,4,100,'5% chance to dispel when target takes damage',1,3),
(164914,420148,4,100,'Decreases Mitigation of target vs elemental and noxious damage by 156',0,4),
(164917,5409,1,100,'Increases your ground speed by 130%',0,0),
(164920,5410,1,100,'Increases your ground speed by 130%',0,0),
(164921,5411,1,100,'Increases Potency of caster by 4.0%',0,2),
(164922,5411,1,100,'Increases Crit Bonus Potency of caster by 4.0%',0,1),
(164923,5411,1,100,'Increases Crit Chance of caster by 15.0%',0,3),
(164924,5411,1,100,'Increases Max Health of caster by 600.0',0,4),
(164925,5411,1,100,'Increases Max Power of caster by 600.0',0,5),
(164926,5411,1,100,'Increases your ground speed by 130%',0,6),
(164928,5412,1,100,'Increases your ground speed by 130%',0,0),
(164929,5413,1,100,'Increases Ranged, Aggression, Piercing, Crushing and Slashing of caster by 5.0 ',0,0),
(164930,5413,1,100,'Increases your ground speed by 130%',0,0),
(164932,5414,1,100,'Increases your ground speed by 130%',0,0),
(164933,5414,1,100,'Increases Focus, Disruption, Ministration, Subjugation, \r\nOrdination, Slashing, Piercing, Crushing, Aggression and Ranged \r\nof caster by 5.0',0,0),
(164935,5415,1,100,'Increases Health Regen of caster by 15.0 ',0,2),
(164936,5415,1,100,'Increases Power Regen of caster by 15.0',0,1),
(164937,5415,1,100,'Increases Ability Mod of caster by 15.0 ',0,3),
(164940,5415,1,100,'Increases your ground speed by 130%',0,6),
(164943,5416,1,100,'Increase melee weapon range of caster by 1',0,1),
(164945,5416,1,100,'Increases your ground speed by 130%',0,6),
(164950,5417,1,100,'Increases your ground speed by 130%',0,3),
(164952,5417,1,100,'Increase Combat XP Gain of target by 10%',0,2),
(164953,5418,1,100,'Increases the potency of all abilities by 2.0%',0,2),
(164954,5418,1,100,'Increases Max Power of caster by 300.0 ',0,3),
(164955,5418,1,100,'Increases Max Health of caster by 300.0 ',0,4),
(164956,5418,1,100,'Increases your ground speed by 130%',0,5),
(164960,5418,1,100,'Increases Crit Bonus of caster by 2.0%',0,1),
(164962,5419,1,100,'Increases Max Power of caster by 150.0 ',0,3),
(164963,5419,1,100,'Increases Max Health of caster by 150.0 ',0,4),
(164964,5419,1,100,'Increases your ground speed by 130%',0,5),
(164965,5419,1,100,'Increases Crit Chance of caster by 2.0%',0,1),
(164968,5420,1,100,'Increases your ground speed by 130%',0,0),
(164969,5421,1,100,'Increases Health Regen of caster by 15.0 ',0,3),
(164970,5421,1,100,'Increases Max Health of caster by 100.0 ',0,4),
(164971,5421,1,100,'Increases your ground speed by 130%',0,5),
(164972,5421,1,100,'Increases Power Regen of caster by 15.0',0,1),
(164976,5422,1,100,'Increases your ground speed by 130%',0,0),
(164977,5423,1,100,'Increases your ground speed by 130%',0,0),
(164978,5423,1,100,'Increases Focus, Disruption, Ministration, Subjugation, \r\nOrdination, Slashing, Piercing, Crushing, Aggression and Ranged \r\nof caster by 5.0',0,0),
(164982,5424,1,100,'Increases your ground speed by 130%',0,5),
(164983,5424,1,100,'Increases Potency of caster by 2.0%',0,1),
(164987,5425,1,100,'Increases Focus, Disruption, Ministration, Subjugation, \r\nOrdination, Slashing, Piercing, Crushing, Aggression and Ranged \r\nof caster by 5.0',0,0),
(164988,5425,1,100,'Increases your ground speed by 130%',0,0),
(164990,5426,1,100,'Increases Potency of caster by 2.0% ',0,0),
(164991,5426,1,100,'Increases Crit Bonus of caster by 2.0% ',0,0),
(164993,5426,1,100,'Increases Max Power of caster by 200.0 ',0,0),
(164994,5426,1,100,'Increases your ground speed by 130% ',0,0),
(164995,5427,1,100,'Increases Focus, Disruption, Ministration, Subjugation, \r\nOrdination, Slashing, Piercing, Crushing, Aggression and Ranged \r\nof caster by 5.0',0,0),
(164996,5427,1,100,'Increases your ground speed by 130%',0,0),
(164998,5428,1,100,'Increases your ground speed by 130%',0,0),
(164999,5429,1,100,'Increases Ordination, Subjugation, Ministration, Focus & Disruption of caster by 5.0 ',0,0),
(165000,5429,1,100,'Increases your ground speed by 130%',0,0),
(165002,5430,1,100,'On a hostile spell cast this spell will cast Malefic Fury on target of spell.  ',0,0),
(165003,5430,1,100,'Inflicts 229 mental damage on target',1,1),
(165004,5430,1,100,'Increases Threat to target by 1,660 ',1,2),
(165005,5430,1,100,'Cannot be modified except by direct means',1,3),
(165009,5086,1,100,'Reduces maximum falling speed of caster',0,0),
(165010,5085,1,100,'Reduces maximum falling speed of caster',0,0),
(165011,5098,1,100,'Reduces maximum falling speed of target',0,1),
(165012,5097,1,100,'Reduces maximum falling speed of target',0,1),
(165013,5103,1,100,'Requires Evil Alignment.',0,1),
(165014,5027,1,100,'Requires evil alignment',0,1),
(165015,5030,1,100,'Requires evil alignment',0,1),
(165016,5078,1,100,'Requires evil alignment',0,1),
(165017,5079,1,100,'Requires evil alignment',0,1),
(165018,5080,1,100,'Requires evil alignment',0,1),
(165019,5081,1,100,'Requires evil alignment\r\n',0,1),
(165020,5101,1,100,'Requires evil alignment',0,1),
(165021,5102,1,100,'Requires evil alignment',0,1),
(165022,5288,1,100,'Reduces maximum falling speed of caster',0,1),
(165023,5320,1,100,'Reduces maximum falling speed of caster ',0,1),
(165024,5321,1,100,'Reduces maximum falling speed of caster ',0,1),
(165025,5322,1,100,'Reduces maximum falling speed of target',0,1),
(165026,5325,1,100,'Reduces maximum falling speed of caster ',0,1),
(165027,5330,1,100,'Reduces maximum falling speed of caster ',0,2),
(165028,5350,1,100,'Reduces maximum falling speed of caster ',0,2),
(165029,5358,1,100,'Reduces maximum falling speed of caster ',0,2),
(165030,5364,1,100,'Reduces maximum falling speed of target',0,2),
(165031,5365,1,100,'Reduces maximum falling speed of caster ',0,1),
(165032,5402,1,100,'Reduces maximum falling speed of caster ',0,1),
(165033,5403,1,100,'Reduces the maximum falling speed of caster ',0,7),
(165034,5405,1,100,'Reduces maximum falling speed of caster ',0,2),
(165035,5418,1,100,'Reduces maximum falling speed of caster ',0,6),
(165036,5419,1,100,'Reduces maximum falling speed of caster ',0,6),
(165037,5429,1,100,'Reduces maximum falling speed of caster ',0,1),
(165042,5432,1,100,'On a hostile spell cast this spell will cast Malefic Fury on target of spell.  ',0,0),
(165049,5432,2,100,'On a hostile spell cast this spell will cast Malefic Fury on target of spell.  ',0,0),
(165087,5444,1,100,'-- Decreases Hate Gain of target by 10.7%',0,0),
(165088,5444,2,100,'-- Decreases Hate Gain of target by 10.7%',0,0),
(165089,5444,3,100,'-- Decreases Hate Gain of target by 10.7%',0,0),
(165090,5444,4,100,'-- Decreases Hate Gain of target by 10.7%',0,0),
(165091,5444,5,100,'-- Decreases Hate Gain of target by 10.7%',0,0),
(165092,5444,7,100,'-- Decreases Hate Gain of target by 10.7%',0,0),
(165093,5444,9,100,'-- Decreases Hate Gain of target by 10.7%',0,0),
(165094,5444,10,100,'-- Decreases Hate Gain of target by 10.7%',0,0),
(165110,5446,1,100,'Increases hate gain by X',0,0),
(165111,5446,2,100,'Increases hate gain by X',0,0),
(165112,5446,3,100,'Increases hate gain by X',0,0),
(165113,5446,4,100,'Increases hate gain by X',0,0),
(165114,5446,5,100,'Increases hate gain by X',0,0),
(165115,5446,7,100,'Increases hate gain by X',0,0),
(165116,5446,9,100,'Increases hate gain by X',0,0),
(165117,5446,10,100,'Increases hate gain by X',0,0),
(165118,5447,1,100,'Heals Group for X',0,0),
(165140,5447,2,100,'Heals Group for X',0,0),
(165141,5447,3,100,'Heals Group for X',0,0),
(165142,5447,4,100,'Heals Group for X',0,0),
(165143,5447,5,100,'Heals Group for X',0,0),
(165144,5447,7,100,'Heals Group for X',0,0),
(165145,5447,9,100,'Heals Group for X',0,0),
(165146,5447,10,100,'Heals Group for X',0,0),
(165147,5448,1,100,'Heals Group for X',0,0),
(165162,5448,2,100,'Heals Group for X',0,0),
(165163,5448,3,100,'Heals Group for X',0,0),
(165164,5448,4,100,'Heals Group for X',0,0),
(165165,5448,5,100,'Heals Group for X',0,0),
(165166,5448,7,100,'Heals Group for X',0,0),
(165167,5448,9,100,'Heals Group for X',0,0),
(165169,5448,1,100,'Increases Mitigation of target vs physical damage by 369',1,0),
(165170,5448,2,100,'Increases Mitigation of target vs physical damage by 369',1,0),
(165171,5448,3,100,'Increases Mitigation of target vs physical damage by 369',1,0),
(165172,5448,4,100,'Increases Mitigation of target vs physical damage by 369',1,0),
(165173,5448,5,100,'Increases Mitigation of target vs physical damage by 369',1,0),
(165174,5448,7,100,'Increases Mitigation of target vs physical damage by 369',1,0),
(165175,5448,9,100,'Increases Mitigation of target vs physical damage by 369',1,0),
(165176,5448,10,100,'Heals Group for X',0,0),
(165177,5449,1,100,'Heals Group for X',0,0),
(165192,5449,2,100,'Heals Group for X',0,0),
(165193,5449,3,100,'Heals Group for X',0,0),
(165194,5449,4,100,'Heals Group for X',0,0),
(165195,5449,5,100,'Heals Group for X',0,0),
(165196,5449,7,100,'Heals Group for X',0,0),
(165197,5449,9,100,'Heals Group for X',0,0),
(165198,5449,10,100,'Heals Group for X',0,0),
(165199,5450,1,100,'Decreases DPS of target by X',0,0),
(165214,5450,1,100,'Decreases Haste of target by X',0,0),
(165222,5450,2,100,'Decreases DPS of target by X',0,0),
(165223,5450,3,100,'Decreases DPS of target by X',0,0),
(165224,5450,4,100,'Decreases DPS of target by X',0,0),
(165225,5450,5,100,'Decreases DPS of target by X',0,0),
(165226,5450,7,100,'Decreases DPS of target by X',0,0),
(165227,5450,9,100,'Decreases DPS of target by X',0,0),
(165228,5450,10,100,'Decreases DPS of target by X',0,0),
(165229,5451,1,100,'Heals Group for X',0,0),
(165230,5451,2,100,'Heals Group for X',0,0),
(165231,5451,3,100,'Heals Group for X',0,0),
(165232,5451,4,100,'Heals Group for X',0,0),
(165233,5451,5,100,'Heals Group for X',0,0),
(165234,5451,7,100,'Heals Group for X',0,0),
(165235,5451,9,100,'Heals Group for X',0,0),
(165236,5451,10,100,'Heals Group for X',0,0),
(165244,5452,1,100,'Increases hate gain by X',0,0),
(165245,5452,2,100,'Increases hate gain by X',0,0),
(165246,5452,3,100,'Increases hate gain by X',0,0),
(165247,5452,4,100,'Increases hate gain by X',0,0),
(165248,5452,5,100,'Increases hate gain by X',0,0),
(165249,5452,7,100,'Increases hate gain by X',0,0),
(165250,5452,9,100,'Increases hate gain by X',0,0),
(165251,5452,10,100,'Increases hate gain by X',0,0),
(165252,5453,1,100,'Resurrects target with 15% health and power\r\n',0,0),
(165267,5454,1,100,'Resurrects target with 15% health and power\r\n',0,0),
(165268,5455,1,100,'Heals target for 40 - 49\r\n',0,0),
(165269,5455,2,100,'Heals target for 40 - 49',0,0),
(165270,5455,3,100,'Heals target for 40 - 49',0,0),
(165271,5455,4,100,'Heals target for 40 - 49',0,0),
(165272,5455,5,100,'Heals target for 40 - 49',0,0),
(165273,5455,7,100,'Heals target for 40 - 49',0,0),
(165274,5455,9,100,'Heals target for 40 - 49',0,0),
(165275,5455,10,100,'Heals target for 40 - 49',0,0),
(165283,5001,2,100,'Apply Knockdown',0,0),
(165284,5001,2,100,'Throws target back',1,1),
(165285,5001,2,100,'Stuns target',1,2),
(165286,5001,2,100,'Blurs vision of target',1,3),
(165287,5001,2,100,'Except Epic',1,4),
(165290,5001,3,100,'Apply Knockdown',0,0),
(165291,5001,3,100,'Throws target back',1,1),
(165292,5001,3,100,'Stuns target',1,2),
(165293,5001,3,100,'Blurs vision of target',1,3),
(165294,5001,3,100,'Except Epic',1,4),
(165297,5001,4,100,'Apply Knockdown',0,0),
(165298,5001,4,100,'Throws target back',1,1),
(165299,5001,4,100,'Stuns target',1,2),
(165300,5001,4,100,'Blurs vision of target',1,3),
(165301,5001,4,100,'Except Epic',1,4),
(165304,5001,5,100,'Apply Knockdown',0,0),
(165305,5001,5,100,'Throws target back',1,1),
(165306,5001,5,100,'Stuns target',1,2),
(165307,5001,5,100,'Blurs vision of target',1,3),
(165308,5001,5,100,'Except Epic',1,4),
(165311,5001,7,100,'Apply Knockdown',0,0),
(165312,5001,7,100,'Throws target back',1,1),
(165313,5001,7,100,'Stuns target',1,2),
(165314,5001,7,100,'Blurs vision of target',1,3),
(165315,5001,7,100,'Except Epic',1,4),
(165318,5001,9,100,'Apply Knockdown',0,0),
(165319,5001,9,100,'Throws target back',1,1),
(165320,5001,9,100,'Stuns target',1,2),
(165321,5001,9,100,'Blurs vision of target',1,3),
(165322,5001,9,100,'Except Epic',1,4),
(165325,5001,10,100,'Apply Knockdown',0,0),
(165326,5001,10,100,'Throws target back',1,1),
(165327,5001,10,100,'Stuns target',1,2),
(165328,5001,10,100,'Blurs vision of target',1,3),
(165329,5001,10,100,'Except Epic',1,4),
(165332,2550024,9,100,'Decrease AGI and STR of target by 20',0,0),
(165333,2550024,9,100,'Decrease Attack Speed of target by 10%',0,1),
(165334,2550024,9,100,'Inflict 105 - 129 damage on target',0,2),
(165336,2550262,2,100,'Increase WIS of caster by 2',0,0),
(165337,2550262,2,100,'Increase Out-of-Combat Power Regeneration Per Tick of caster by 5%',0,1),
(165338,2550207,6,100,'Increases Mitigation of target vs cold, mental and divine damage by 67',0,0),
(165339,2550207,6,100,'Heal target for 97',0,1),
(165340,2550207,6,100,'Increase health of target by 80 every 4 seconds',0,2),
(165341,2550207,6,100,'Increases Mitigation of target vs magic damage by 67',0,3),
(165342,2550263,6,100,'Inflict 65 - 88 damage on target',0,0),
(165343,2550263,6,100,'Interrupts target',0,1),
(165344,2550341,1,100,'Decrease success chance by 6%',0,0),
(165345,2550341,1,100,'Increase progress by 18',0,1),
(165346,2550342,1,100,'Decrease success chance by 3%',0,0),
(165347,2550342,1,100,'Increase progress by 9',0,1),
(165348,2550344,1,100,'Decrease success chance by 6%',0,0),
(165349,2550344,1,100,'Increase progress by 16',0,1),
(165350,2550346,1,100,'Decrease success chance by 6%',0,0),
(165351,2550346,1,100,'Increase progress by 16',0,1),
(165352,2550347,1,100,'Decrease progress by 24',0,0),
(165353,2550347,1,100,'Increase durability by 10',0,1),
(165354,2550348,1,100,'Decrease success chance by 6%',0,0),
(165355,2550348,1,100,'Increase progress by 18',0,1),
(165356,2550351,1,100,'Decrease durability by 6',0,0),
(165357,2550351,1,100,'Increase progress by 16',0,1),
(165358,2550353,1,100,'Decrease durability by 3',0,0),
(165359,2550353,1,100,'Increase progress by 9',0,1),
(165360,2550354,1,100,'Decrease durability by 3',0,0),
(165361,2550354,1,100,'Increase progress by 8',0,1),
(165362,2550355,1,100,'Decrease success chance by 3%',0,0),
(165363,2550355,1,100,'Increase durability by 10',0,1),
(165364,2550356,1,100,'Decrease progress by 20',0,0),
(165365,2550356,1,100,'Increase durability by 10',0,1),
(165366,2550358,1,100,'Decrease durability by 6',0,0),
(165367,2550358,1,100,'Increase progress by 16',0,1),
(165368,2550360,1,100,'Decrease durability by 3',0,0),
(165369,2550360,1,100,'Increase progress by 8',0,1),
(165370,2550361,1,100,'Decrease success chance by 12%',0,0),
(165371,2550361,1,100,'Increase progress by 32',0,1),
(165372,2550362,1,100,'Decrease progress by 24',0,0),
(165373,2550362,1,100,'Increase durability by 10',0,1),
(165374,2550363,1,100,'Decrease progress by 24',0,0),
(165375,2550363,1,100,'Increase durability by 10',0,1),
(165376,2550364,1,100,'Increase progress by 18',0,0),
(165377,2550365,1,100,'Decrease success chance by 12%',0,0),
(165378,2550365,1,100,'Increase progress by 32',0,1),
(165379,2550366,1,100,'Increase durability by 10',0,0),
(165380,2550367,1,100,'Decrease durability by 3',0,0),
(165381,2550367,1,100,'Increase progress by 8',0,1),
(165382,2550368,1,100,'Decrease success chance by 6%',0,0),
(165383,2550368,1,100,'Increase durability by 10',0,1),
(165384,2550369,1,100,'Increase progress by 9',0,0),
(165385,2550370,1,100,'Decrease durability by 6',0,0),
(165386,2550370,1,100,'Increase progress by 16',0,1),
(165387,2550371,1,100,'Decrease success chance by 6%',0,0),
(165388,2550371,1,100,'Increase durability by 10',0,1),
(165389,2550372,1,100,'Increase progress by 6',0,0),
(165390,2550373,1,100,'Decrease success chance by 6%',0,0),
(165391,2550373,1,100,'Increase progress by 16',0,1),
(165392,2550374,1,100,'Increase durability by 10',0,0),
(165393,2550375,1,100,'Increase progress by 18',0,0),
(165394,2550126,2,100,'Grants level 25 invisibility to target',0,0),
(165395,2550126,2,100,'Slows target by 25%',0,1),
(165396,2550126,2,100,'This effect cancels during combat',0,2),
(165397,5456,1,100,'Slows target by 20.0%',0,0),
(165398,5457,1,100,'Slows target by 20.0%',0,0),
(165399,5458,1,100,'Slows target by 20.0%',0,0),
(165401,5461,1,100,'',0,0),
(165409,5461,2,100,'',0,0),
(165410,5461,3,100,'',0,0),
(165411,5461,4,100,'',0,0),
(165412,5461,5,100,'',0,0),
(165413,5461,7,100,'',0,0),
(165414,5461,9,100,'',0,0),
(165415,5461,10,100,'',0,0),
(165416,5431,1,100,'',0,0),
(165417,5431,2,100,'',0,0),
(165418,5431,3,100,'',0,0),
(165419,5431,4,100,'',0,0),
(165420,5431,5,100,'',0,0),
(165421,5431,7,100,'',0,0),
(165422,5431,9,100,'',0,0),
(165423,5431,10,100,'',0,0),
(165424,5462,1,100,'Increases Out-of-Combat Health Regeneration of target by 4.0',0,0),
(165425,5462,2,100,'Increases Out-of-Combat Health Regeneration of target by 10.0',0,0),
(165427,5463,1,100,'Increases Out-of-Combat Power Regeneration of target by 6.0',0,0),
(165428,5463,2,100,'Increases Out-of-Combat Power Regeneration of target by 15.0',0,0),
(165429,5463,3,100,'Increases Out-of-Combat Power Regeneration of target by 15.0',0,0),
(165430,5463,4,100,'Increases Out-of-Combat Power Regeneration of target by 15.0',0,0),
(165434,5464,1,100,'Increases Out-of-Combat Health Regeneration of target by 4.0',0,0),
(165435,5464,1,100,'This effect suspends during combat',0,1),
(165436,5464,2,100,'Increases Out-of-Combat Health Regeneration of target by 11.0',0,0),
(165437,5464,2,100,'This effect suspends during combat',0,1),
(165438,5464,3,100,'Increases Out-of-Combat Health Regeneration of target by 21.0',0,0),
(165439,5464,3,100,'This effect suspends during combat',0,1),
(165440,5464,4,100,'Increases Out-of-Combat Health Regeneration of target by 31.0',0,0),
(165441,5464,4,100,'This effect suspends during combat',0,1),
(165442,5464,5,100,'This effect suspends during combat',0,1),
(165443,5464,5,100,'Increases Out-of-Combat Health Regeneration of target by 41.0\r\n',0,0),
(165444,5464,6,100,'Increases Out-of-Combat Health Regeneration of target by 51.0',0,0),
(165445,5464,6,100,'This effect suspends during combat',0,1),
(165446,5464,7,100,'Increases Out-of-Combat Health Regeneration of target by 63.5',0,0),
(165447,5464,7,100,'This effect suspends during combat',0,1),
(165448,5464,8,100,'Increases Out-of-Combat Health Regeneration of target by 76.0',0,0),
(165449,5464,8,100,'This effect suspends during combat',0,1),
(165465,5465,1,100,'Increases Out-of-Combat Health Regeneration of target by 4.0',0,0),
(165466,5465,1,100,'This effect suspends during combat',0,1),
(165467,5465,2,100,'Increases Out-of-Combat Health Regeneration of target by 11.0',0,0),
(165468,5465,2,100,'This effect suspends during combat',0,1),
(165469,5465,3,100,'Increases Out-of-Combat Health Regeneration of target by 21.0',0,0),
(165470,5465,3,100,'This effect suspends during combat',0,1),
(165471,5465,4,100,'Increases Out-of-Combat Health Regeneration of target by 31.0',0,0),
(165472,5465,4,100,'This effect suspends during combat',0,1),
(165473,5465,5,100,'This effect suspends during combat',0,1),
(165474,5465,5,100,'Increases Out-of-Combat Health Regeneration of target by 41.0\r\n',0,0),
(165475,5465,6,100,'Increases Out-of-Combat Health Regeneration of target by 51.0',0,0),
(165476,5465,6,100,'This effect suspends during combat',0,1),
(165477,5465,7,100,'Increases Out-of-Combat Health Regeneration of target by 63.5',0,0),
(165478,5465,7,100,'This effect suspends during combat',0,1),
(165479,5465,8,100,'Increases Out-of-Combat Health Regeneration of target by 76.0',0,0),
(165480,5465,8,100,'This effect suspends during combat',0,1),
(165496,5466,1,100,'Increases Out-of-Combat Health Regeneration of target by 4.0',0,0),
(165497,5466,1,100,'This effect suspends during combat',0,1),
(165498,5466,2,100,'Increases Out-of-Combat Health Regeneration of target by 11.0',0,0),
(165499,5466,2,100,'This effect suspends during combat',0,1),
(165500,5466,3,100,'Increases Out-of-Combat Health Regeneration of target by 21.0',0,0),
(165501,5466,3,100,'This effect suspends during combat',0,1),
(165502,5466,4,100,'Increases Out-of-Combat Health Regeneration of target by 31.0',0,0),
(165503,5466,4,100,'This effect suspends during combat',0,1),
(165504,5466,5,100,'This effect suspends during combat',0,1),
(165505,5466,5,100,'Increases Out-of-Combat Health Regeneration of target by 41.0\r\n',0,0),
(165506,5466,6,100,'Increases Out-of-Combat Health Regeneration of target by 51.0',0,0),
(165507,5466,6,100,'This effect suspends during combat',0,1),
(165508,5466,7,100,'Increases Out-of-Combat Health Regeneration of target by 63.5',0,0),
(165509,5466,7,100,'This effect suspends during combat',0,1),
(165510,5466,8,100,'Increases Out-of-Combat Health Regeneration of target by 76.0',0,0),
(165511,5466,8,100,'This effect suspends during combat',0,1),
(165527,5467,1,100,'Increases Out-of-Combat Health Regeneration of target by 4.0',0,0),
(165528,5467,1,100,'This effect suspends during combat',0,1),
(165529,5467,2,100,'Increases Out-of-Combat Health Regeneration of target by 11.0',0,0),
(165530,5467,2,100,'This effect suspends during combat',0,1),
(165531,5467,3,100,'Increases Out-of-Combat Health Regeneration of target by 21.0',0,0),
(165532,5467,3,100,'This effect suspends during combat',0,1),
(165533,5467,4,100,'Increases Out-of-Combat Health Regeneration of target by 31.0',0,0),
(165534,5467,4,100,'This effect suspends during combat',0,1),
(165535,5467,5,100,'This effect suspends during combat',0,1),
(165536,5467,5,100,'Increases Out-of-Combat Health Regeneration of target by 41.0\r\n',0,0),
(165537,5467,6,100,'Increases Out-of-Combat Health Regeneration of target by 51.0',0,0),
(165538,5467,6,100,'This effect suspends during combat',0,1),
(165539,5467,7,100,'Increases Out-of-Combat Health Regeneration of target by 63.5',0,0),
(165540,5467,7,100,'This effect suspends during combat',0,1),
(165541,5467,8,100,'Increases Out-of-Combat Health Regeneration of target by 76.0',0,0),
(165542,5467,8,100,'This effect suspends during combat',0,1),
(165558,5463,5,100,'Increases Out-of-Combat Power Regeneration of target by 15.0',0,0),
(165559,5463,7,100,'Increases Out-of-Combat Power Regeneration of target by 15.0',0,0),
(165560,5463,9,100,'Increases Out-of-Combat Power Regeneration of target by 15.0',0,0),
(165562,5462,3,100,'Increases Out-of-Combat Health Regeneration of target by 10.0',0,0),
(165563,5462,4,100,'Increases Out-of-Combat Health Regeneration of target by 10.0',0,0),
(165564,5462,5,100,'Increases Out-of-Combat Health Regeneration of target by 10.0',0,0),
(165565,5462,7,100,'Increases Out-of-Combat Health Regeneration of target by 10.0',0,0),
(165566,5462,9,100,'Increases Out-of-Combat Health Regeneration of target by 10.0',0,0),
(165569,5463,2,100,'Increases AGI of target by 10.0',0,1),
(165570,5463,3,100,'Increases Max Heath of Target',0,1),
(165572,5468,1,100,'Increases Out-of-Combat Health Regeneration of target by 4.0',0,0),
(165573,5468,1,100,'This effect suspends during combat',0,1),
(165574,5468,2,100,'Increases Out-of-Combat Health Regeneration of target by 11.0',0,0),
(165575,5468,2,100,'This effect suspends during combat',0,1),
(165576,5468,3,100,'Increases Out-of-Combat Health Regeneration of target by 21.0',0,0),
(165577,5468,3,100,'This effect suspends during combat',0,1),
(165578,5468,4,100,'Increases Out-of-Combat Health Regeneration of target by 31.0',0,0),
(165579,5468,4,100,'This effect suspends during combat',0,1),
(165580,5468,5,100,'This effect suspends during combat',0,1),
(165581,5468,5,100,'Increases Out-of-Combat Health Regeneration of target by 41.0\r\n',0,0),
(165582,5468,6,100,'Increases Out-of-Combat Health Regeneration of target by 51.0',0,0),
(165583,5468,6,100,'This effect suspends during combat',0,1),
(165584,5468,7,100,'Increases Out-of-Combat Health Regeneration of target by 63.5',0,0),
(165585,5468,7,100,'This effect suspends during combat',0,1),
(165586,5468,8,100,'Increases Out-of-Combat Health Regeneration of target by 76.0',0,0),
(165587,5468,8,100,'This effect suspends during combat',0,1),
(165588,5469,1,100,'Increases Out-of-Combat Health Regeneration of target by 4.0',0,0),
(165589,5469,1,100,'This effect suspends during combat',0,1),
(165590,5469,2,100,'Increases Out-of-Combat Health Regeneration of target by 11.0',0,0);
INSERT INTO `spell_display_effects` VALUES
(165591,5469,2,100,'This effect suspends during combat',0,1),
(165592,5469,3,100,'Increases Out-of-Combat Health Regeneration of target by 21.0',0,0),
(165593,5469,3,100,'This effect suspends during combat',0,1),
(165594,5469,4,100,'Increases Out-of-Combat Health Regeneration of target by 31.0',0,0),
(165595,5469,4,100,'This effect suspends during combat',0,1),
(165596,5469,5,100,'This effect suspends during combat',0,1),
(165597,5469,5,100,'Increases Out-of-Combat Health Regeneration of target by 41.0\r\n',0,0),
(165598,5469,6,100,'Increases Out-of-Combat Health Regeneration of target by 51.0',0,0),
(165599,5469,6,100,'This effect suspends during combat',0,1),
(165600,5469,7,100,'Increases Out-of-Combat Health Regeneration of target by 63.5',0,0),
(165601,5469,7,100,'This effect suspends during combat',0,1),
(165602,5469,8,100,'Increases Out-of-Combat Health Regeneration of target by 76.0',0,0),
(165603,5469,8,100,'This effect suspends during combat',0,1),
(165604,5470,1,100,'Decreases power of target by 6.3% instantly and every second.',0,0),
(165605,5470,2,100,'Decreases power of target by 6.3% instantly and every second.',0,0),
(165606,5470,3,100,'Decreases power of target by 6.3% instantly and every second.',0,0),
(165607,5470,4,100,'Decreases power of target by 6.3% instantly and every second.',0,0),
(165608,5470,5,100,'Decreases power of target by 6.3% instantly and every second.',0,0),
(165609,5470,7,100,'Decreases power of target by 6.3% instantly and every second.',0,0),
(165610,5470,9,100,'Decreases power of target by 6.3% instantly and every second.',0,0),
(165611,5470,10,100,'Decreases power of target by 6.3% instantly and every second.',0,0),
(165619,5471,1,100,'Decreases AGI, INT, STA, STR and WIS of target by 5.0.',0,0),
(165620,5471,2,100,'Decreases AGI, INT, STA, STR and WIS of target by 5.0.',0,0),
(165621,5471,3,100,'Decreases AGI, INT, STA, STR and WIS of target by 5.0.',0,0),
(165622,5471,4,100,'Decreases AGI, INT, STA, STR and WIS of target by 5.0.',0,0),
(165623,5471,5,100,'Decreases AGI, INT, STA, STR and WIS of target by 5.0',0,0),
(165624,5471,7,100,'Decreases AGI, INT, STA, STR and WIS of target by 5.0.',0,0),
(165625,5471,9,100,'Decreases AGI, INT, STA, STR and WIS of target by 5.0.',0,0),
(165626,5471,10,100,'Decreases AGI, INT, STA, STR and WIS of target by 5.0.',0,0),
(165634,5472,1,100,'When damaged with a melee weapon this spell will cast Spiteweed Rash Irritation on target.',0,0),
(165649,5472,1,100,'Inflicts X poison damage on target.',0,1),
(165650,210018,1,100,'Inflicts 44-58 magic damage on target\r\n',0,0),
(165651,5473,1,100,'AoE DD Crushing damage X - Y raid.',0,0),
(165659,5474,1,100,'DD Focus Damage X - Y.',0,0),
(165660,5475,1,100,'AoE DD Crushing damage X - Y to Target.',0,0),
(165661,5476,1,100,'Inflicts 7 - 10 mental damage on target',0,0),
(165662,5476,2,100,'Inflicts 8 - 10 mental damage on target',0,0),
(165663,5476,3,100,'Inflicts 8 - 11 mental damage on target',0,0),
(165664,5476,4,100,'Inflicts 9 - 12 mental damage on target',0,0),
(165665,5476,5,100,'Inflicts 10 - 13 mental damage on target',0,0),
(165666,5476,7,100,'Inflicts 12 - 17 mental damage on target',0,0),
(165667,5476,9,100,'Inflicts 13 - 17 mental damage on target',0,0),
(165668,5476,10,100,'Inflicts 13 - 18 mental damage on target',0,0),
(165669,5476,11,100,'Inflicts 16 - 22 mental damage on target',0,0),
(165670,2550028,1,100,'Grants stealth to caster',0,0),
(165679,5477,1,100,'Heals target for 36 - 45',0,0),
(165680,5477,2,100,'Heals target for 38 - 47',0,0),
(165681,5477,3,100,'Heals target for 41 - 50',0,0),
(165682,5477,4,100,'Heals target for 45 - 54',0,0),
(165683,5477,5,100,'Heals target for 49 - 59',0,0),
(165684,5477,7,100,'Heals target for 62 - 76',0,0),
(165685,5477,9,100,'Heals target for 65 - 79',0,0),
(165694,5477,10,100,'Heals target for 36 - 45',0,0),
(165695,5478,1,100,'Resistance to physical damage.',0,0),
(165726,8494,1,100,'Heals target for 36 - 45',0,0),
(165741,8494,2,100,'Heals target for 38 - 47',0,0),
(165742,8494,3,100,'Heals target for 41 - 50',0,0),
(165743,8494,4,100,'Heals target for 45 - 54',0,0),
(165744,8494,5,100,'Heals target for 49 - 59',0,0),
(165745,8494,7,100,'Heals target for 62 - 76',0,0),
(165746,8494,9,100,'Heals target for 65 - 79',0,0),
(165747,8494,10,100,'Heals target for 68 - 83',0,0),
(165748,5479,5,100,'Grants water-breathing to the chosen of Lasydia.  ',0,0),
(165757,5480,1,100,'',0,0),
(165758,5480,2,100,'',0,0),
(165759,5480,3,100,'',0,0),
(165760,5480,4,100,'',0,0),
(165761,5480,5,100,'',0,0),
(165762,5480,7,100,'',0,0),
(165763,5480,9,100,'',0,0),
(165764,5480,10,100,'',0,0),
(165772,5481,1,100,'',0,0),
(165773,5481,2,100,'',0,0),
(165774,5481,3,100,'',0,0),
(165775,5481,4,100,'',0,0),
(165776,5481,5,100,'',0,0),
(165777,5481,7,100,'',0,0),
(165778,5481,9,100,'',0,0),
(165779,5481,10,100,'',0,0),
(165787,5482,1,100,'',0,0),
(165802,5483,1,100,'',0,0),
(165803,5483,2,100,'',0,0),
(165804,5483,3,100,'',0,0),
(165805,5483,4,100,'',0,0),
(165806,5483,5,100,'',0,0),
(165807,5483,7,100,'',0,0),
(165808,5483,9,100,'',0,0),
(165809,5483,10,100,'',0,0),
(165817,5484,1,100,'',0,0),
(165818,5484,2,100,'',0,0),
(165819,5484,3,100,'',0,0),
(165820,5484,4,100,'',0,0),
(165821,5484,5,100,'',0,0),
(165822,5484,7,100,'',0,0),
(165823,5484,9,100,'',0,0),
(165824,5484,10,100,'',0,0),
(165832,5485,1,100,'',0,0),
(165833,5485,2,100,'',0,0),
(165834,5485,3,100,'',0,0),
(165835,5485,4,100,'',0,0),
(165836,5485,5,100,'',0,0),
(165837,5485,7,100,'',0,0),
(165838,5485,9,100,'',0,0),
(165839,5485,10,100,'',0,0),
(165847,5486,1,100,'',0,0),
(165848,5486,2,100,'',0,0),
(165849,5486,3,100,'',0,0),
(165850,5486,4,100,'',0,0),
(165851,5486,5,100,'',0,0),
(165852,5486,7,100,'',0,0),
(165853,5486,9,100,'',0,0),
(165854,5486,10,100,'',0,0),
(165862,5487,1,100,'',0,0),
(165863,5487,2,100,'',0,0),
(165864,5487,3,100,'',0,0),
(165865,5487,4,100,'',0,0),
(165866,5487,5,100,'',0,0),
(165867,5487,7,100,'',0,0),
(165868,5487,9,100,'',0,0),
(165869,5487,10,100,'',0,0),
(165877,5488,1,100,'',0,0),
(165878,5488,2,100,'',0,0),
(165879,5488,3,100,'',0,0),
(165880,5488,4,100,'',0,0),
(165881,5488,5,100,'',0,0),
(165882,5488,7,100,'',0,0),
(165883,5488,9,100,'',0,0),
(165884,5488,10,100,'',0,0),
(165892,5489,1,100,'',0,0),
(165893,5489,2,100,'',0,0),
(165894,5489,3,100,'',0,0),
(165895,5489,4,100,'',0,0),
(165896,5489,5,100,'',0,0),
(165897,5489,7,100,'',0,0),
(165898,5489,9,100,'',0,0),
(165899,5489,10,100,'',0,0),
(165907,5490,1,100,'',0,0),
(165908,5490,2,100,'',0,0),
(165909,5490,3,100,'',0,0),
(165910,5490,4,100,'',0,0),
(165911,5490,5,100,'',0,0),
(165912,5490,7,100,'',0,0),
(165913,5490,9,100,'',0,0),
(165914,5490,10,100,'',0,0),
(165922,5491,1,100,'Applies Basic Firework when Activated.  Lasts for 3.0 seconds.',0,0),
(165923,5492,1,100,'Banishes player from the immediate area.',0,0),
(165954,280024,1,100,'Summons a pet tellurian recruit.',0,0),
(165955,280024,2,100,'Summons a pet tellurian recruit.',0,0),
(165956,280024,3,100,'Summons a pet tellurian recruit.',0,0),
(165957,280024,4,100,'Summons a pet tellurian recruit.',0,0),
(165958,280024,5,100,'Summons a pet tellurian recruit.',0,0),
(165959,280024,7,100,'Summons a pet tellurian recruit.',0,0),
(165960,280024,9,100,'Summons a pet tellurian recruit.',0,0),
(165961,280024,10,100,'Summons a pet tellurian recruit.',0,0),
(165969,280025,1,100,'Summons an earthen ally that does the summoner''s bidding.',0,0),
(165970,280025,2,100,'Summons an earthen ally that does the summoner''s bidding.',0,0),
(165971,280025,3,100,'Summons an earthen ally that does the summoner''s bidding.',0,0),
(165972,280025,4,100,'Summons an earthen ally that does the summoner''s bidding.',0,0),
(165973,280025,5,100,'Summons an earthen ally that does the summoner''s bidding.',0,0),
(165974,280025,7,100,'Summons an earthen ally that does the summoner''s bidding.',0,0),
(165975,280025,9,100,'Summons an earthen ally that does the summoner''s bidding.',0,0),
(165976,280025,10,100,'Summons an earthen ally that does the summoner''s bidding.',0,0),
(165984,5493,1,100,'Increases Threat to target by 182 - 223 ',0,0),
(165985,5493,2,100,'Increases Threat to target by 192 - 235 ',0,0),
(165986,5493,3,100,'Increases Threat to target by 203 - 248 ',0,0),
(165987,5493,4,100,'Increases Threat to target by 223 - 272 ',0,0),
(165988,5493,5,100,'Increases Threat to target by 243 - 297 ',0,0),
(165989,5493,7,100,'Increases Threat to target by 312 - 382 ',0,0),
(165990,5493,9,100,'Increases Threat to target by 324 - 397 ',0,0),
(165991,5493,10,100,'Increases Threat to target by 341 - 416 ',0,0),
(165999,5494,1,100,'Inflicts 2 - 3 crushing damage on target',0,0),
(166000,5494,2,100,'Inflicts 2 - 3 crushing damage on target',0,0),
(166001,5494,3,100,'Inflicts 2 - 3 crushing damage on target',0,0),
(166002,5494,4,100,'Inflicts 2 - 3 crushing damage on target',0,0),
(166003,5494,5,100,'Inflicts 2 - 3 crushing damage on target',0,0),
(166004,5494,7,100,'Inflicts 2 - 3 crushing damage on target',0,0),
(166005,5494,9,100,'Inflicts 2 - 3 crushing damage on target',0,0),
(166006,5495,1,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(166007,5495,1,100,'Throws target back',1,1),
(166008,5495,1,100,'Blurs vision of target',1,2),
(166009,5495,1,100,'Stuns target',1,3),
(166010,5495,1,100,'Does not affect Epic targets',1,4),
(166011,5495,1,100,'Inflicts 14 - 23 crushing damage on target',0,5),
(166012,5495,2,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(166013,5495,2,100,'Throws target back',1,1),
(166014,5495,2,100,'Blurs vision of target',1,2),
(166015,5495,2,100,'Stuns target',1,3),
(166016,5495,2,100,'Does not affect Epic targets',1,4),
(166017,5495,2,100,'Inflicts 14 - 24 crushing damage on target',0,5),
(166018,5495,3,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(166019,5495,3,100,'Throws target back',1,1),
(166020,5495,3,100,'Blurs vision of target',1,2),
(166021,5495,3,100,'Stuns target',1,3),
(166022,5495,3,100,'Does not affect Epic targets',1,4),
(166023,5495,3,100,'Inflicts 15 - 26 crushing damage on target',0,5),
(166024,5495,4,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(166025,5495,4,100,'Throws target back',1,1),
(166026,5495,4,100,'Blurs vision of target',1,2),
(166027,5495,4,100,'Stuns target',1,3),
(166028,5495,4,100,'Does not affect Epic targets',1,4),
(166029,5495,4,100,'Inflicts 17 - 28 crushing damage on target',0,5),
(166030,5495,5,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(166031,5495,5,100,'Throws target back',1,1),
(166032,5495,5,100,'Blurs vision of target',1,2),
(166033,5495,5,100,'Stuns target',1,3),
(166034,5495,5,100,'Does not affect Epic targets',1,4),
(166035,5495,5,100,'Inflicts 18 - 31 crushing damage on target',0,5),
(166036,5495,7,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(166037,5495,7,100,'Throws target back',1,1),
(166038,5495,7,100,'Blurs vision of target',1,2),
(166039,5495,7,100,'Stuns target',1,3),
(166040,5495,7,100,'Does not affect Epic targets',1,4),
(166041,5495,7,100,'Inflicts 24 - 40 crushing damage on target',0,5),
(166042,5495,9,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(166043,5495,9,100,'Throws target back',1,1),
(166044,5495,9,100,'Blurs vision of target',1,2),
(166045,5495,9,100,'Stuns target',1,3),
(166046,5495,9,100,'Does not affect Epic targets',1,4),
(166047,5495,9,100,'Inflicts 25 - 42 crushing damage on target',0,5),
(166048,5495,10,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(166049,5495,10,100,'Throws target back',1,1),
(166050,5495,10,100,'Blurs vision of target',1,2),
(166051,5495,10,100,'Stuns target',1,3),
(166052,5495,10,100,'Does not affect Epic targets',1,4),
(166053,5495,10,100,'Inflicts 26 - 44 crushing damage on target',0,5),
(166069,5496,1,100,'Inflicts 38 - 46 heat damage on target instantly and every second',0,0),
(166070,5496,2,100,'Inflicts 38 - 46 heat damage on target instantly and every second',0,0),
(166071,5496,3,100,'Inflicts 38 - 46 heat damage on target instantly and every second',0,0),
(166072,5496,4,100,'Inflicts 38 - 46 heat damage on target instantly and every second',0,0),
(166073,5496,5,100,'Inflicts 38 - 46 heat damage on target instantly and every second',0,0),
(166074,5496,7,100,'Inflicts 38 - 46 heat damage on target instantly and every second',0,0),
(166075,5496,9,100,'Inflicts 38 - 46 heat damage on target instantly and every second',0,0),
(166076,5496,10,100,'Inflicts 38 - 46 heat damage on target instantly and every second',0,0),
(166077,5496,11,100,'Inflicts 38 - 46 heat damage on target instantly and every second',0,0),
(166078,5497,1,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(166079,5497,1,100,'Throws target back',1,1),
(166080,5497,1,100,'Blurs vision of target',1,2),
(166081,5497,1,100,'Stuns target',1,3),
(166082,5497,1,100,'Does not affect Epic targets',1,4),
(166083,5497,1,100,'Inflicts 4 - 6 crushing damage on target',0,5),
(166084,5497,2,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(166085,5497,2,100,'Throws target back',1,1),
(166086,5497,2,100,'Blurs vision of target',1,2),
(166087,5497,2,100,'Stuns target',1,3),
(166088,5497,2,100,'Does not affect Epic targets',1,4),
(166089,5497,2,100,'Inflicts 4 - 7 crushing damage on target',0,5),
(166090,5497,3,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(166091,5497,3,100,'Throws target back',1,1),
(166092,5497,3,100,'Blurs vision of target',1,2),
(166093,5497,3,100,'Stuns target',1,3),
(166094,5497,3,100,'Does not affect Epic targets',1,4),
(166095,5497,3,100,'Inflicts 4 - 7 crushing damage on target',0,5),
(166096,5497,4,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(166097,5497,4,100,'Throws target back',1,1),
(166098,5497,4,100,'Blurs vision of target',1,2),
(166099,5497,4,100,'Stuns target',1,3),
(166100,5497,4,100,'Does not affect Epic targets',1,4),
(166101,5497,4,100,'Inflicts 4 - 8 crushing damage on target',0,5),
(166102,5497,5,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(166103,5497,5,100,'Throws target back',1,1),
(166104,5497,5,100,'Blurs vision of target',1,2),
(166105,5497,5,100,'Stuns target',1,3),
(166106,5497,5,100,'Does not affect Epic targets',1,4),
(166107,5497,5,100,'Inflicts 5 - 8 crushing damage on target',0,5),
(166108,5497,7,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(166109,5497,7,100,'Throws target back',1,1),
(166110,5497,7,100,'Blurs vision of target',1,2),
(166111,5497,7,100,'Stuns target',1,3),
(166112,5497,7,100,'Does not affect Epic targets',1,4),
(166113,5497,7,100,'Inflicts 6 - 11 crushing damage on target',0,5),
(166114,5497,9,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(166115,5497,9,100,'Throws target back',1,1),
(166116,5497,9,100,'Blurs vision of target',1,2),
(166117,5497,9,100,'Stuns target',1,3),
(166118,5497,9,100,'Does not affect Epic targets',1,4),
(166119,5497,9,100,'Inflicts 7 - 11 crushing damage on target',0,5),
(166120,5497,10,100,'Applies Knockdown on termination.  Lasts for 2.5 seconds.',0,0),
(166121,5497,10,100,'Throws target back',1,1),
(166122,5497,10,100,'Blurs vision of target',1,2),
(166123,5497,10,100,'Stuns target',1,3),
(166124,5497,10,100,'Does not affect Epic targets',1,4),
(166125,5497,10,100,'Inflicts 7 - 12 crushing damage on target',0,5),
(166141,5498,1,100,'Roots target',0,0),
(166142,5498,1,100,'10% chance to dispel when target receives hostile action',0,1),
(166143,5498,1,100,'10% chance to dispel when target takes damage',0,2),
(166144,5498,1,100,'Does not affect Epic targets',0,3),
(166145,5498,1,100,'Resistibility increases against targets higher than level 29.',0,4),
(166146,5498,2,100,'Roots target',0,0),
(166147,5498,2,100,'10% chance to dispel when target receives hostile action',0,1),
(166148,5498,2,100,'10% chance to dispel when target takes damage',0,2),
(166149,5498,2,100,'Does not affect Epic targets',0,3),
(166150,5498,2,100,'Resistibility increases against targets higher than level 29.',0,4),
(166151,5498,3,100,'Roots target',0,0),
(166152,5498,3,100,'10% chance to dispel when target receives hostile action',0,1),
(166153,5498,3,100,'10% chance to dispel when target takes damage',0,2),
(166154,5498,3,100,'Does not affect Epic targets',0,3),
(166155,5498,3,100,'Resistibility increases against targets higher than level 29.',0,4),
(166156,5498,4,100,'Roots target',0,0),
(166157,5498,4,100,'10% chance to dispel when target receives hostile action',0,1),
(166158,5498,4,100,'10% chance to dispel when target takes damage',0,2),
(166159,5498,4,100,'Does not affect Epic targets',0,3),
(166160,5498,4,100,'Resistibility increases against targets higher than level 29.',0,4),
(166161,5498,5,100,'Roots target',0,0),
(166162,5498,5,100,'10% chance to dispel when target receives hostile action',0,1),
(166163,5498,5,100,'10% chance to dispel when target takes damage',0,2),
(166164,5498,5,100,'Does not affect Epic targets',0,3),
(166165,5498,5,100,'Resistibility increases against targets higher than level 29.',0,4),
(166166,5498,7,100,'Roots target',0,0),
(166167,5498,7,100,'10% chance to dispel when target receives hostile action',0,1),
(166168,5498,7,100,'10% chance to dispel when target takes damage',0,2),
(166169,5498,7,100,'Does not affect Epic targets',0,3),
(166170,5498,7,100,'Resistibility increases against targets higher than level 29.',0,4),
(166171,5498,9,100,'Roots target',0,0),
(166172,5498,9,100,'10% chance to dispel when target receives hostile action',0,1),
(166173,5498,9,100,'10% chance to dispel when target takes damage',0,2),
(166174,5498,9,100,'Does not affect Epic targets',0,3),
(166175,5498,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(166176,5498,10,100,'Roots target',0,0),
(166177,5498,10,100,'10% chance to dispel when target receives hostile action',0,1),
(166178,5498,10,100,'10% chance to dispel when target takes damage',0,2),
(166179,5498,10,100,'Does not affect Epic targets',0,3),
(166180,5498,10,100,'Resistibility increases against targets higher than level 29.',0,4),
(166204,280027,1,100,'Summons an earthen ally that does the summoner''s bidding.',0,0),
(166205,280027,2,100,'Summons an earthen ally that does the summoner''s bidding.',0,0),
(166206,280027,3,100,'Summons an earthen ally that does the summoner''s bidding.',0,0),
(166207,280027,4,100,'Summons an earthen ally that does the summoner''s bidding.',0,0),
(166208,280027,5,100,'Summons an earthen ally that does the summoner''s bidding.',0,0),
(166209,280027,7,100,'Summons an earthen ally that does the summoner''s bidding.',0,0),
(166210,280027,9,100,'Summons an earthen ally that does the summoner''s bidding.',0,0),
(166211,280027,10,100,'Summons an earthen ally that does the summoner''s bidding.',0,0),
(166212,5501,1,100,'10 second snare proc.',0,0),
(166276,5502,1,100,'Teleports target to a random location within 10 meters.',1,1),
(166278,120024,3,100,'Dispels X levels of traumatic hostile effects on target.',0,0),
(166279,120024,3,100,'You cannot cast this spell while under the effects of something that supresses the use of group cures!',0,1),
(166280,210019,1,100,'Dispels 10 levels of hostile arcane effects on target',0,0),
(166281,210020,3,100,'Dispels X levels of arcane beneficial effects on target',0,0),
(166284,2550382,1,100,'Increases mitigation vs. physical \r\ndamage.',0,0),
(166285,2550382,2,100,'Increases mitigation vs. physical \r\ndamage.',0,0),
(166286,2550382,3,100,'Increases mitigation vs. physical \r\ndamage.',0,0),
(166287,2550382,4,100,'Increases mitigation vs. physical \r\ndamage.',0,0),
(166288,2550382,5,100,'Increases mitigation vs. physical \r\ndamage.',0,0),
(166289,2550382,7,100,'Increases mitigation vs. physical \r\ndamage.',0,0),
(166290,2550382,9,100,'Increases mitigation vs. physical \r\ndamage.',0,0),
(166291,2550382,10,100,'Increases mitigation vs. physical \r\ndamage.',0,0),
(166292,210021,10,100,'Increases maximum Health Pool',0,0),
(166293,210021,10,100,'Increases maximum Power Pool',0,1),
(166294,210021,10,100,'Increases Mitigation vs Trauma',0,2),
(166299,20002,2,100,'Increases Max Health of group members (AE) by 87.6',0,0),
(166300,20002,3,100,'Increases Max Health of group members (AE) by 92.2',0,0),
(166301,20002,4,100,'Increases Max Health of group members (AE) by 101.4',0,0),
(166302,20002,5,100,'Increases Max Health of group members (AE) by 110.6',0,0),
(166303,20002,7,100,'Increases Max Health of group members (AE) by 129.1',0,0),
(166304,20002,9,100,'Increases Max Health of group members (AE) by 147.6',0,0),
(166305,20002,10,100,'Increases Max Health of group members (AE) by 156.6',0,0),
(166306,320001,1,100,'Does not affect Epic targets',1,5),
(166307,320001,2,100,'Does not affect Epic targets',1,5),
(166308,320001,3,100,'Does not affect Epic targets',1,5),
(166309,320001,4,100,'Does not affect Epic targets',1,5),
(166310,320001,5,100,'Does not affect Epic targets',1,5),
(166311,320001,7,100,'Does not affect Epic targets',1,5),
(166312,320001,9,100,'Does not affect Epic targets',1,5),
(166313,320001,1,100,'Throws target back',1,2),
(166314,320001,2,100,'Throws target back',1,2),
(166315,320001,3,100,'Throws target back',1,2),
(166316,320001,4,100,'Throws target back',1,2),
(166317,320001,5,100,'Throws target back',1,2),
(166318,320001,7,100,'Throws target back',1,2),
(166319,320001,9,100,'Throws target back',1,2),
(166320,320001,1,100,'Blurs vision of target',1,3),
(166321,320001,2,100,'Blurs vision of target',1,3),
(166322,320001,3,100,'Blurs vision of target',1,3),
(166323,320001,4,100,'Blurs vision of target',1,3),
(166324,320001,5,100,'Blurs vision of target',1,3),
(166325,320001,7,100,'Blurs vision of target',1,3),
(166326,320001,9,100,'Blurs vision of target',1,3),
(166327,320001,1,100,'Stuns target',1,4),
(166328,320001,2,100,'Stuns target',1,4),
(166329,320001,3,100,'Stuns target',1,4),
(166330,320001,4,100,'Stuns target',1,4),
(166331,320001,5,100,'Stuns target',1,4),
(166332,320001,7,100,'Stuns target',1,4),
(166333,320001,9,100,'Stuns target',1,4),
(166334,320023,1,100,'Decreases power of target by 23 - 38',0,2),
(166335,320023,2,100,'Decreases power of target by 24 - 40',0,2),
(166336,320023,3,100,'Decreases power of target by 26 - 43',0,2),
(166337,320023,4,100,'Decreases power of target by 28 - 47',0,2),
(166338,320023,5,100,'Decreases power of target by 31 - 51',0,2),
(166339,320023,7,100,'Decreases power of target by 39 - 65',0,2),
(166340,320023,9,100,'Decreases power of target by 41 - 68',0,2),
(166341,2550384,1,100,'Provides a Strength-based melee damage \r\nproc.',0,0),
(166342,2550391,1,100,'Increases power of caster by 20.0%',0,0),
(166343,5506,1,100,'Inflicts 5 - 8 melee damage on target',0,0),
(166344,5506,1,100,'If facing target',0,1),
(166345,5506,2,100,'Inflicts 5 - 8 melee damage on target',0,0),
(166346,5506,2,100,'If facing target',0,1),
(166347,5506,3,100,'Inflicts 5 - 9 melee damage on target',0,0),
(166348,5506,3,100,'If facing target',0,1),
(166349,5506,4,100,'Inflicts 6 - 10 melee damage on target',0,0),
(166350,5506,4,100,'If facing target',0,1),
(166351,5506,5,100,'Inflicts 6 - 11 melee damage on target',0,0),
(166352,5506,5,100,'If facing target',0,1),
(166353,5506,7,100,'Inflicts 8 - 14 melee damage on target',0,0),
(166354,5506,7,100,'If facing target',0,1),
(166355,5506,9,100,'Inflicts 8 - 14 melee damage on target',0,0),
(166356,5506,9,100,'If facing target',0,1),
(166357,5506,10,100,'Inflicts 9 - 15 melee damage on target',0,0),
(166358,5506,10,100,'If facing target',0,1),
(166374,5508,1,100,'Heals target for 36 - 45',0,0),
(166375,5508,2,100,'Heals target for 38 - 47',0,0),
(166376,5508,3,100,'Heals target for 41 - 50',0,0),
(166377,5508,4,100,'Heals target for 45 - 54',0,0),
(166378,5508,5,100,'Heals target for 49 - 59',0,0),
(166379,5508,7,100,'Heals target for 62 - 76',0,0),
(166380,5508,9,100,'Heals target for 65 - 79',0,0),
(166381,5508,10,100,'Heals target for 68 - 83',0,0),
(166389,5509,1,100,'Heals target for 36 - 45',0,0),
(166390,5509,2,100,'Heals target for 38 - 47',0,0),
(166391,5509,3,100,'Heals target for 41 - 50',0,0),
(166392,5509,4,100,'Heals target for 45 - 54',0,0),
(166393,5509,5,100,'Heals target for 49 - 59',0,0),
(166394,5509,7,100,'Heals target for 62 - 76',0,0),
(166395,5509,9,100,'Heals target for 65 - 79',0,0),
(166396,5509,10,100,'Heals target for 68 - 83',0,0),
(166404,80020,10,100,'On a melee hit this spell may cast Blessed Strike on target of attack.  Triggers about 2.0 times per minute. ',0,0),
(166405,80020,10,100,'Inflicts 21 - 35 divine damage on target',1,1),
(166407,150025,1,100,'Dispels X levels of traumatic hostile \r\neffects on target.',0,0),
(166408,150025,2,100,'You cannot cast this spell while under \r\nthe effects of something that \r\nsuppresses the use of group cures!',0,1),
(166409,150025,3,100,'Heals target for 29 - 36',0,0),
(166428,150022,2,100,'Increases arcane resistance of group members by 55',0,1),
(166429,150022,3,100,'Increases arcane resistance of group members by 58',0,1),
(166430,150022,4,100,'Increases arcane resistance of group members by 64',0,1),
(166431,150022,5,100,'Increases arcane resistance of group members by 70',0,1),
(166432,150022,7,100,'Increases arcane resistance of group members by 90',0,1),
(166433,150022,9,100,'Increases arcane resistance of group members by 94',0,1),
(166434,280013,9,100,'Decreases Mitigation of target vs arcane \r\ndamage by 300',0,6),
(166435,380021,1,100,'Grants See Invisibility to caster.',0,0),
(166436,380020,2,100,'Decreases Attack Speed of caster by 13.0',0,2),
(166437,380020,3,100,'Decreases Attack Speed of caster by 12.4',0,2),
(166438,380020,4,100,'Decreases Attack Speed of caster by 11.8',0,2),
(166439,380020,5,100,'Decreases Attack Speed of caster by 10.2',0,2),
(166440,380020,7,100,'Decreases Attack Speed of caster by 8.1',0,2),
(166441,380020,9,100,'Decreases Attack Speed of caster by 7.7',0,2),
(166442,5482,2,100,'',0,0),
(166443,5482,3,100,'',0,0),
(166444,5482,4,100,'',0,0),
(166445,5482,5,100,'',0,0),
(166446,5482,7,100,'',0,0),
(166447,5482,9,100,'',0,0),
(166448,5482,10,100,'',0,0),
(166449,80018,3,100,'Increases chance to block with a shield.',0,2),
(166450,80018,4,100,'Increases chance to block with a shield.',0,2),
(166451,80018,5,100,'Increases chance to block with a shield.',0,2),
(166452,80018,7,100,'Increases chance to block with a shield.',0,2),
(166453,80018,9,100,'Increases chance to block with a shield.',0,2),
(166456,2550406,1,100,'Inflicts 1 power drain on target every 8 seconds',0,0),
(166457,2550406,1,100,'Inflicts 4 piercing damage on target',0,1),
(166459,2550407,1,100,'Inflicts slashing damage on target instantly and every 4 seconds',0,0),
(166460,2550408,1,100,'Inflicts slashing damage on target instantly and every 4 seconds.',0,0),
(166465,2550410,1,100,'Inflicts 5 - 8 melee damage on target',0,0),
(166466,2550410,1,100,'If facing target',0,1),
(166496,2550411,1,100,'Inflicts 5 - 8 melee damage on target',0,0),
(166497,2550411,1,100,'If facing target',0,1),
(166527,2550408,1,100,'Stifles target.',0,1),
(166528,5510,1,100,'Stun',0,0),
(166529,5510,2,100,'Stun',0,0),
(166530,5510,3,100,'Stun',0,0),
(166531,5510,4,100,'Stun',0,0),
(166532,5510,5,100,'Stun',0,0),
(166533,5510,7,100,'Stun',0,0),
(166534,5510,9,100,'Stun',0,0),
(166535,5510,10,100,'Stun',0,0),
(166536,2550414,1,100,'Inflicts 3 poison on target every 8 seconds',0,0),
(166537,2550414,1,100,'Inflicts 7 crushing damage on target',0,1),
(166539,2550196,1,100,'Examines a creature in relation to a \r\ncatalogue quest.',0,0),
(166540,2550415,1,100,'Disease damage in an area of effect.',0,0),
(166541,2550416,1,100,'Deals slashing damage to the target',0,0),
(166543,2550418,1,100,'Inflicts slashing damage on target instantly and every 4 seconds',0,0),
(166544,2550419,1,100,'Inflicts slashing damage on target instantly and every 4 seconds',0,0),
(166545,2550421,1,100,'Inflicts 5 - 8 melee damage on target',0,0),
(166546,2550421,1,100,'If facing target',0,1),
(166548,2550424,1,100,'Inflicts slashing damage on target instantly and every 4 seconds',0,0),
(166549,2550407,2,100,'Inflicts slashing damage on target instantly and every 4 seconds',0,0),
(166550,2550425,1,100,'Inflicts 5 - 8 melee damage on target',0,0),
(166551,2550425,1,100,'If facing target',0,1),
(166553,2550427,1,100,'Inflicts 5 - 8 melee damage on target',0,0),
(166554,2550427,1,100,'If facing target',0,1),
(166556,2550428,1,100,'Inflicts 5 - 8 melee damage on target',0,0),
(166557,2550428,1,100,'If facing target',0,1),
(166559,2550429,1,100,'Inflicts 5 - 8 melee damage on target',0,0),
(166560,2550429,1,100,'If facing target',0,1),
(166561,2550429,2,100,'Inflicts 5 - 8 melee damage on target',0,0),
(166562,2550429,2,100,'If facing target',0,1),
(166563,2550429,3,100,'Inflicts 5 - 9 melee damage on target',0,0),
(166564,2550429,3,100,'If facing target',0,1),
(166565,2550429,4,100,'Inflicts 6 - 10 melee damage on target',0,0),
(166566,2550429,4,100,'If facing target',0,1),
(166567,2550429,5,100,'Inflicts 6 - 11 melee damage on target',0,0),
(166568,2550429,5,100,'If facing target',0,1),
(166569,2550429,7,100,'Inflicts 8 - 14 melee damage on target',0,0),
(166570,2550429,7,100,'If facing target',0,1),
(166571,2550429,9,100,'Inflicts 8 - 14 melee damage on target',0,0),
(166572,2550429,9,100,'If facing target',0,1),
(166573,2550429,10,100,'Inflicts 9 - 15 melee damage on target',0,0),
(166574,2550429,10,100,'If facing target',0,1),
(166590,2550430,1,100,'Inflicts 6 - 10 melee damage on target',0,0),
(166591,2550430,2,100,'Inflicts 6 - 10 melee damage on target',0,0),
(166592,2550430,3,100,'Inflicts 6 - 11 melee damage on target',0,0),
(166593,2550430,4,100,'Inflicts 7 - 12 melee damage on target',0,0),
(166594,2550430,5,100,'Inflicts 8 - 13 melee damage on target',0,0),
(166595,2550430,7,100,'Inflicts 10 - 17 melee damage on target',0,0),
(166596,2550430,9,100,'Inflicts 10 - 18 melee damage on target',0,0),
(166597,2550430,10,100,'Inflicts 11 - 18 melee damage on target',0,0),
(166605,2550431,1,100,'Inflicts 5 - 8 melee damage on target',0,0),
(166606,2550431,1,100,'If facing target',0,1),
(166608,2550432,1,100,'Inflicts slashing damage on target instantly and every 4 seconds.',0,0),
(166609,2550432,1,100,'Stifles target.',0,1),
(166611,2550434,1,100,'Inflicts 8 - 10 divine damage on target',0,0),
(166612,2550434,2,100,'Inflicts 9 - 11 divine damage on target',0,0),
(166613,2550434,3,100,'Inflicts 9 - 11 divine damage on target',0,0),
(166614,2550434,4,100,'Inflicts 10 - 12 divine damage on target',0,0),
(166615,2550434,5,100,'Inflicts 11 - 13 divine damage on target',0,0),
(166616,2550434,7,100,'Inflicts 14 - 17 divine damage on target',0,0),
(166617,2550434,9,100,'Inflicts 15 - 18 divine damage on target',0,0),
(166618,2550434,10,100,'Inflicts 15 - 19 divine damage on target',0,0),
(166626,50021,3,100,'Grants target a 12% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(166627,50021,3,100,'Increases Agility of caster by 11.',0,1),
(166629,50021,4,100,'Grants target a 12% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(166630,50021,4,100,'Increases Agility of caster by 12.',0,1),
(166632,50021,5,100,'Grants target a 12% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(166633,50021,5,100,'Increases Agility of caster by 13.',0,1),
(166635,50021,7,100,'Grants target a 12% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(166636,50021,7,100,'Increases Agility of caster by 15.',0,1),
(166638,50021,9,100,'Grants target a 12% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(166639,50021,9,100,'Increases Agility of caster by 17.',0,1),
(166641,50021,10,100,'Grants target a 12% chance of making an additional attempt to avoid being hit by a melee attack using the caster''s avoidance.',0,0),
(166642,50021,10,100,'Increases Agility of caster by 18.',0,1),
(166643,2550442,1,100,'Inflicts slashing damage on target',0,0),
(166644,2550445,1,100,'Inflicts 5 - 8 melee damage on target',0,0),
(166645,2550445,1,100,'If facing target',0,1),
(166647,2550446,1,100,'Heals target for 36 - 45',0,0),
(166648,2550446,2,100,'Heals target for 38 - 47',0,0),
(166649,2550446,3,100,'Heals target for 41 - 50',0,0),
(166650,2550446,4,100,'Heals target for 45 - 54',0,0),
(166651,2550446,5,100,'Heals target for 49 - 59',0,0),
(166652,2550446,7,100,'Heals target for 62 - 76',0,0),
(166653,2550446,9,100,'Heals target for 65 - 79',0,0),
(166654,2550446,10,100,'Heals target for 68 - 83',0,0),
(166662,250018,2,100,'Increases Mental Mitigation of group \r\nmembers (AE) by 40',0,1),
(166663,250018,3,100,'Increases Mental Mitigation of group \r\nmembers (AE) by 42',0,1),
(166664,250018,4,100,'Increases Mental Mitigation of group \r\nmembers (AE) by 46',0,1),
(166665,250018,5,100,'Increases Mental Mitigation of group \r\nmembers (AE) by 50',0,1),
(166666,250018,7,100,'Increases Mental Mitigation of group \r\nmembers (AE) by 64',0,1),
(166667,250018,9,100,'Increases Mental Mitigation of group \r\nmembers (AE) by 67',0,1),
(166668,2550447,1,100,'Applies Fancy Firework when Activated.  \r\nLasts for 3.0 seconds.',0,0),
(166670,2550448,1,100,'Applies The 5-Year Firework when \r\nActivated.  Lasts for 3.0 seconds.',0,0),
(166671,5511,1,100,'Heals target for 91 - 111',0,0),
(166672,5511,2,100,'Heals target for 96 - 118',0,0),
(166673,5511,3,100,'Heals target for 101 - 124',0,0),
(166674,5511,4,100,'Heals target for 111 - 136',0,0),
(166675,5511,5,100,'Heals target for 122 - 149',0,0),
(166676,5511,7,100,'Heals target for 156 - 191',0,0),
(166677,5511,9,100,'Heals target for 162 - 198',0,0),
(166678,5511,10,100,'Heals target for 170 - 208',0,0),
(166686,5512,1,100,'Immune to fire.',0,0),
(166687,5512,1,100,'Immune to stun.',0,1),
(166688,5512,1,100,'Immune to crushing.',0,2),
(166689,5512,2,100,'Decreases Slashing, Crushing and Piercing of caster by 1.8',0,0),
(166690,5512,2,100,'Increases Defense and Parry of caster by 1.7',0,1),
(166691,5512,2,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,2),
(166692,5512,3,100,'Decreases Slashing, Crushing and Piercing of caster by 1.8',0,0),
(166693,5512,3,100,'Increases Defense and Parry of caster by 1.8',0,1),
(166694,5512,3,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,2),
(166695,5512,4,100,'Decreases Slashing, Crushing and Piercing of caster by 1.8',0,0),
(166696,5512,4,100,'Increases Defense and Parry of caster by 2.0',0,1),
(166697,5512,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,2),
(166698,5512,5,100,'Decreases Slashing, Crushing and Piercing of caster by 1.8',0,0),
(166699,5512,5,100,'Increases Defense and Parry of caster by 2.2',0,1),
(166700,5512,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,2),
(166701,5512,7,100,'Decreases Slashing, Crushing and Piercing of caster by 1.8',0,0),
(166702,5512,7,100,'Increases Defense and Parry of caster by 2.8',0,1),
(166703,5512,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,2),
(166704,5512,9,100,'Decreases Slashing, Crushing and Piercing of caster by 1.8',0,0),
(166705,5512,9,100,'Increases Defense and Parry of caster by 2.9',0,1),
(166706,5512,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,2),
(166707,5512,10,100,'Decreases Slashing, Crushing and Piercing of caster by 1.8',0,0),
(166708,5512,10,100,'Increases Defense and Parry of caster by 3.0',0,1),
(166709,5512,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,2),
(166718,5513,1,100,'Immune to stun.',0,0),
(166748,5516,1,100,'Immune to poison.',0,0),
(166749,5516,1,100,'Immune to stun.',0,1),
(166750,5516,1,100,'Immune to crushing.',0,2),
(166751,5516,2,100,'Decreases Slashing, Crushing and Piercing of caster by 1.8',0,0),
(166752,5516,2,100,'Increases Defense and Parry of caster by 1.7',0,1),
(166753,5516,2,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,2),
(166754,5516,3,100,'Decreases Slashing, Crushing and Piercing of caster by 1.8',0,0),
(166755,5516,3,100,'Increases Defense and Parry of caster by 1.8',0,1),
(166756,5516,3,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,2),
(166757,5516,4,100,'Decreases Slashing, Crushing and Piercing of caster by 1.8',0,0),
(166758,5516,4,100,'Increases Defense and Parry of caster by 2.0',0,1),
(166759,5516,4,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,2),
(166760,5516,5,100,'Decreases Slashing, Crushing and Piercing of caster by 1.8',0,0),
(166761,5516,5,100,'Increases Defense and Parry of caster by 2.2',0,1),
(166762,5516,5,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,2),
(166763,5516,7,100,'Decreases Slashing, Crushing and Piercing of caster by 1.8',0,0),
(166764,5516,7,100,'Increases Defense and Parry of caster by 2.8',0,1),
(166765,5516,7,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,2),
(166766,5516,9,100,'Decreases Slashing, Crushing and Piercing of caster by 1.8',0,0),
(166767,5516,9,100,'Increases Defense and Parry of caster by 2.9',0,1),
(166768,5516,9,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,2),
(166769,5516,10,100,'Decreases Slashing, Crushing and Piercing of caster by 1.8',0,0),
(166770,5516,10,100,'Increases Defense and Parry of caster by 3.0',0,1),
(166771,5516,10,100,'Increases the caster''s effectiveness of worn armor vs physical damage by 10%',0,2),
(166779,180014,3,100,'Increases Mitigation of group members (AE) vs divine damage by 173',0,2),
(166780,180014,4,100,'Increases Mitigation of group members (AE) vs divine damage by 190',0,2),
(166781,180014,5,100,'Increases Mitigation of group members (AE) vs divine damage by 207',0,2),
(166782,180014,7,100,'Increases Mitigation of group members (AE) vs divine damage by 266',0,2),
(166783,180014,9,100,'Increases Mitigation of group members (AE) vs divine damage by 276',0,2),
(166784,180020,1,100,'Dispels X levels of traumatic hostile \r\neffects on target.',0,0),
(166785,180020,2,100,'Dispels X levels of traumatic hostile \r\neffects on target.',0,0),
(166786,180020,3,100,'Dispels X levels of traumatic hostile \r\neffects on target.',0,0),
(166787,180020,4,100,'Dispels X levels of traumatic hostile \r\neffects on target.',0,0),
(166788,180020,5,100,'Dispels X levels of traumatic hostile \r\neffects on target.',0,0),
(166789,180020,7,100,'Dispels X levels of traumatic hostile \r\neffects on target.',0,0),
(166790,180020,9,100,'Dispels X levels of traumatic hostile \r\neffects on target.',0,0),
(166791,180020,1,100,'Wards target against 140 points of trauma \r\ndamage',0,1),
(166792,180020,2,100,'Wards target against 148 points of trauma \r\ndamage',0,1),
(166793,180020,3,100,'Wards target against 156 points of trauma \r\ndamage',0,1),
(166794,180020,4,100,'Wards target against 171 points of trauma \r\ndamage',0,1),
(166795,180020,5,100,'Wards target against 187 points of trauma \r\ndamage',0,1),
(166796,180020,7,100,'Wards target against 240 points of trauma \r\ndamage',0,1),
(166797,180020,9,100,'Wards target against 249 points of trauma \r\ndamage',0,1),
(166798,180007,3,100,'Heals target for 182 - 223',0,0),
(166799,180007,4,100,'Heals target for 182 - 223',0,0),
(166800,180007,5,100,'Heals target for 182 - 223',0,0),
(166801,180007,7,100,'Heals target for 182 - 223',0,0),
(166802,180007,9,100,'Heals target for 182 - 223',0,0),
(166803,180007,10,100,'Heals target for 182 - 223',0,0),
(166804,180022,1,100,'Dispels X levels of elemental hostile \r\neffects on target.',0,0),
(166805,180022,2,100,'Dispels X levels of elemental hostile \r\neffects on target.',0,0),
(166806,180022,3,100,'Dispels X levels of elemental hostile \r\neffects on target.',0,0),
(166807,180022,4,100,'Dispels X levels of elemental hostile \r\neffects on target.',0,0),
(166808,180022,5,100,'Dispels X levels of elemental hostile \r\neffects on target.',0,0),
(166809,180022,7,100,'Dispels X levels of elemental hostile \r\neffects on target.',0,0),
(166810,180022,9,100,'Dispels X levels of elemental hostile \r\neffects on target.',0,0),
(166811,180022,1,100,'Wards target against 140 points of elemental damage',0,1),
(166812,180022,2,100,'Wards target against 148 points of elemental damage',0,1),
(166813,180022,3,100,'Wards target against 156 points of elemental damage',0,1),
(166814,180022,4,100,'Wards target against 171 points of elemental damage',0,1),
(166815,180022,5,100,'Wards target against 187 points of elemental damage',0,1),
(166816,180022,7,100,'Wards target against 240 points of elemental damage',0,1),
(166817,180022,9,100,'Wards target against 249 points of elemental damage',0,1),
(166818,180011,4,100,'Increases Strength of group members (AE) by 14',0,1),
(166819,180011,3,100,'Increases Strength of group members (AE) by 13',0,1),
(166820,180011,2,100,'Increases Strength of group members (AE) by 13',0,1),
(166821,180011,1,100,'Increases Strength of group members (AE) by 12',0,1),
(166822,180011,7,100,'Increases Strength of group members (AE) by 17',0,1),
(166823,180011,9,100,'Increases Strength of group members (AE) by 18',0,1),
(166824,350002,2,100,'Inflicts 18 - 31 mental damage on target',0,0),
(166825,350002,2,100,'Decreases Mitigation of target vs mental damage by 149',0,1),
(166827,350002,3,100,'Inflicts 18 - 31 mental damage on target',0,0),
(166828,350002,3,100,'Decreases Mitigation of target vs mental damage by 157',0,1),
(166830,350002,4,100,'Inflicts 18 - 31 mental damage on target',0,0),
(166831,350002,4,100,'Decreases Mitigation of target vs mental damage by 172',0,1),
(166833,350002,5,100,'Inflicts 18 - 31 mental damage on target',0,0),
(166834,350002,5,100,'Decreases Mitigation of target vs mental damage by 188',0,1),
(166836,350002,7,100,'Inflicts 18 - 31 mental damage on target',0,0),
(166837,350002,7,100,'Decreases Mitigation of target vs mental damage by 241',0,1),
(166839,350002,9,100,'Inflicts 18 - 31 mental damage on target',0,0),
(166840,350002,9,100,'Decreases Mitigation of target vs mental damage by 251',0,1),
(166842,350002,10,100,'Inflicts 18 - 31 mental damage on target',0,0),
(166843,350002,10,100,'Decreases Mitigation of target vs mental damage by 263',0,1),
(166845,250000,1,100,'Roots target.',0,0),
(166846,250000,1,100,'Applies Blind on termination.',1,0),
(166847,250000,1,100,'Blurs vision of target.',1,1),
(166848,250000,1,100,'Reduces movement speed of target by  28.6%.',1,2),
(166849,250000,2,100,'Roots target.',0,0),
(166850,250000,2,100,'Applies Blind on termination.',1,0),
(166851,250000,2,100,'Blurs vision of target.',1,1),
(166852,250000,2,100,'Reduces movement speed of target by 30.2%.',1,2),
(166853,250000,3,100,'Roots target.',0,0),
(166854,250000,4,100,'Roots target.',0,0),
(166855,250000,5,100,'Roots target.',0,0),
(166856,250000,7,100,'Roots target.',0,0),
(166857,250000,9,100,'Roots target.',0,0),
(166858,250000,3,100,'Applies Blind on termination.',1,0),
(166859,250000,4,100,'Applies Blind on termination.',1,0),
(166860,250000,5,100,'Applies Blind on termination.',1,0),
(166861,250000,7,100,'Applies Blind on termination.',1,0),
(166862,250000,9,100,'Applies Blind on termination.',1,0),
(166863,250000,3,100,'Blurs vision of target.',1,1),
(166864,250000,4,100,'Blurs vision of target.',1,1),
(166865,250000,5,100,'Blurs vision of target.',1,1),
(166866,250000,7,100,'Blurs vision of target.',1,1),
(166867,250000,9,100,'Blurs vision of target.',1,1),
(166868,250000,3,100,'Reduces movement speed of target by 31.8%.',1,2),
(166869,250000,4,100,'Reduces movement speed of target by 35.0%.',1,2),
(166870,250000,5,100,'Reduces movement speed of target by 38.2%.',1,2),
(166871,250000,7,100,'Reduces movement speed of target by 49.0%.',1,2),
(166872,250000,9,100,'Reduces movement speed of target by 50.9%.',1,2),
(166873,250000,1,100,'5% chance to dispel when target takes \r\ndamage.',0,1),
(166874,250000,2,100,'5% chance to dispel when target takes \r\ndamage.',0,1),
(166875,250000,3,100,'5% chance to dispel when target takes \r\ndamage.',0,1),
(166876,250000,4,100,'5% chance to dispel when target takes \r\ndamage.',0,1),
(166877,250000,5,100,'5% chance to dispel when target takes \r\ndamage.',0,1),
(166878,250000,7,100,'5% chance to dispel when target takes \r\ndamage.',0,1),
(166879,250000,9,100,'5% chance to dispel when target takes \r\ndamage.',0,1),
(166880,2550455,1,100,'Summons 5 lager.',0,0),
(166881,2550456,1,100,'+5 Strength',0,0),
(166882,2550457,1,100,'+5 Defense',0,0),
(166883,2550458,1,100,'+ 2% crush resistance',0,0),
(166884,2550459,1,100,'+5% HP regen, +2 STA',0,0),
(166885,2550460,1,100,'+5 Tracking.',0,0),
(166886,1002991,1,100,'+5% HP regen, +2 STA',0,0),
(166887,2550118,1,100,'Wards against magic damage.',0,0),
(166888,2550112,1,100,'Defensive Divine damage proc',0,0),
(166889,2550467,1,100,'+2% Avoidance',0,0),
(166890,2550462,1,100,'Allows the Ayr''Dal to hide while \r\nremaining still.',0,0),
(166891,2550469,1,100,'Allows the Halfling to hide while \r\nremaining still.',0,0),
(166892,2550471,1,100,'Wards against melee damage.',0,0),
(166893,2550472,1,100,'Decreases hate toward target.',0,0),
(166894,2550475,1,100,'+5 STA',0,0),
(166895,2550280,1,100,'+3% Magic Resist',0,0),
(166896,2550287,1,100,'+3% Disease Resist',0,0),
(166897,2550282,1,100,'+5 Defense',0,0),
(166898,2550286,1,100,'+5 Metalworking',0,0),
(166899,2550284,1,100,'+5 Artistry',0,0),
(166900,2550476,1,100,'+3% HP',0,0),
(166901,2550285,1,100,'Divine damage proc.',0,0),
(166902,2550478,1,100,'Decrease aggro',0,0),
(166903,2550479,1,100,'Allows the ratonga to hide while \r\nremaining still.',0,0),
(166904,2550481,1,100,'Poison damage proc.',0,0),
(166905,2550295,1,100,'+3% Mental resist',0,0),
(166906,2550299,1,100,'+5 Chemistry',0,0),
(166907,2550309,1,100,'+3% Magic resist',0,0),
(166908,2550298,1,100,'+3% maximum power',0,0),
(166909,2550298,2,100,'+2 Intelligence',0,0),
(166910,2550294,1,100,'Wards against magic damage',0,0),
(166911,2550300,1,100,'Summons a pet wisp',0,0),
(166912,2550293,1,100,'Reactive proc that deals magic damage',0,0),
(166913,2550483,1,100,'+3 Defense',0,0),
(166914,2550486,1,100,'+5 Metalshaping',0,0),
(166915,2550487,1,100,'+5 Defense to group',0,0),
(166916,2550085,1,100,'+5 Defense to group',0,0),
(166917,2550463,1,100,'+5 Stamina',0,0),
(166918,2550492,1,100,'Allows caster to breathe under water',0,0),
(166919,2550495,1,100,'+5 STA',0,0),
(166920,2550496,1,100,'+3% Disease resist',0,0),
(166921,2550497,1,100,'+5 Power regen',0,0),
(166922,2550497,2,100,'+2 AGI',0,0),
(166923,2550311,1,100,'+5% Power regen',0,0),
(166924,2550311,2,100,'+2 INT',0,0),
(166925,2550498,1,100,'Hide(no movement)',0,0),
(166926,2550499,1,100,'Reduces hate towards target',0,0),
(166927,2550500,1,100,'+Heat damage',0,0),
(166928,2550501,1,100,'+3% Heat resist',0,0),
(166929,2550502,1,100,'Increases Defense by 5.0',0,0),
(166930,2550291,1,100,'+5% HP regen',0,0),
(166931,2550291,2,100,'+3 STR',0,0),
(166932,2550291,3,100,'+3 AGI',0,0),
(166933,2550489,1,100,'+5% HP regen',0,0),
(166934,2550489,2,100,'+3 STR',0,0),
(166935,2550489,3,100,'+3 STA',0,0),
(166936,2550503,1,100,'+5 AGI',0,0),
(166937,2550504,1,100,'+3% Disease resist',0,0),
(166938,2550505,1,100,'+Crushing damage',0,0),
(166939,2550506,1,100,'Hide(no movement)',0,0),
(166940,2550277,1,100,'+5% Health regen',0,0),
(166941,2550277,2,100,'+2 STA',0,0),
(166942,2550278,1,100,'Hide(no movement)',0,0),
(166943,2550279,1,100,'Increases Fletching by 5.0',0,0),
(166944,2550273,1,100,'Increases Tailoring by 5.0',0,0),
(166945,2550507,1,100,'Increases Tracking by 5.0',0,0),
(166946,2550508,1,100,'+2% Avoidance',0,0),
(166947,2550275,1,100,'+3% Disease resist',0,0),
(166948,2550274,1,100,'+Piercing damage',0,0),
(166949,2550509,1,100,'+5 AGI',0,0),
(166950,2550511,1,100,'+5% HP regen',0,0),
(166951,2550511,2,100,'+2 WIS',0,0),
(166952,2550512,1,100,'+3% Heat resist',0,0),
(166953,2550513,1,100,'Reactive Poison damage proc',0,0),
(166954,2550514,1,100,'+3% Poison Resist',0,0),
(166955,2550179,10,100,'Inflicts 18 - 23 heat damage on target instantly and every 4 \r\nseconds',0,0),
(166956,2550179,10,100,'Decreases magic resist by 202.',0,1),
(166957,2550179,10,100,'Decreases heat resist by 202.',0,2),
(166958,2550179,10,100,'Decreases poison resist by 202.',0,3),
(166959,2550168,10,100,'Inflicts 23 - 32 cold damage on target \r\nencounter',0,0),
(166960,2550168,10,100,'Inflicts 12 - 16 cold damage on target \r\ninstantly and every 4 \r\nseconds',1,0),
(166961,2550184,10,100,'Increases maximum Health Pool',0,0),
(166962,2550184,10,100,'Increases maximum Power Pool',0,1),
(166963,2550184,10,100,'Increases Mitigation vs Trauma',0,2),
(166965,2550516,10,100,'Inflicts 45 - 55 magic damage on target',0,0),
(166966,2550257,10,100,'Increases Max Power of group members \r\n(AE) by 38.8',0,0),
(166967,2550257,10,100,'Increases Mitigation of group members \r\n(AE) vs arcane damage by 229',0,2),
(166968,2550257,10,100,'Increases Max Health of group members \r\n(AE) by 38.8',0,1),
(166969,2550245,10,100,'Inflicts 18 - 23 heat damage on target \r\ninstantly and every 4 \r\nseconds',0,0),
(166970,2550245,10,100,'Slows target by 54%',0,1),
(166971,2550184,10,100,'5% chance to replenish power when hit in \r\ncombat.',0,3),
(166972,2550250,10,100,'Increases maximum Health Pool',0,0),
(166973,2550250,10,100,'Increases maximum Power Pool',0,1),
(166974,2550250,10,100,'Increases Mitigation vs Trauma',0,2),
(166975,2550250,10,100,'Increases maximum Health Pool of \r\ncaster''s pet',0,3),
(166976,2550250,10,100,'Increases Mitigation vs Arcane of \r\ncaster''s pet',0,4),
(166977,2550517,10,100,'Inflicts 45 - 55 mental damage on target',0,0),
(166978,2550517,10,100,'Interrupts target',1,0),
(166979,2550516,10,100,'Interrupts target',1,0),
(166980,2550518,1,100,'Increases maximum Health Pool of \r\ncaster''s pet',0,0),
(166981,2550518,1,100,'Increases Mitigation vs Arcane of \r\ncaster''s pet',1,0),
(166982,2550519,10,100,'Roots target',0,0),
(166983,2550519,10,100,'10% chance to dispel when target \r\nreceives hostile action',0,1),
(166984,2550519,10,100,'10% chance to dispel when target takes \r\ndamage',0,2),
(166985,2550519,10,100,'Does not affect Epic targets',0,3),
(166986,2550519,10,100,'Resistibility increases against targets \r\nhigher than level 29.',0,4),
(166987,2550520,1,100,'Dispels 10 levels of hostile arcane \r\neffects on group',0,0),
(166988,2550331,10,100,'Increases maximum Health Pool',0,0),
(166989,2550331,10,100,'Increases maximum Power Pool',0,1),
(166990,2550331,10,100,'Increases Mitigation vs Trauma',0,2),
(166991,2550331,10,100,'5% chance to replenish power when hit in \r\ncombat.',0,3),
(166992,2550162,10,100,'Heals target for 78 - 93',0,0),
(166993,2550178,10,100,'Heals target for 86 - 102',0,0),
(166994,2550174,10,100,'Dispels 10 levels of noxious hostile \r\neffects on target',0,0),
(166995,2550166,10,100,'Increases STA of group members (AE) by \r\n12.8',0,0),
(166996,2550166,10,100,'Increases STR of group members (AE) by \r\n12.8',0,1),
(166997,2550166,10,100,'Increases Mitigation of group members \r\n(AE) vs physical damage by 113',0,2),
(166998,2550185,10,100,'Heals target for 78 - 93',0,0),
(166999,2550185,10,100,'Dispels 10 levels of elemental hostile \r\neffects on target',0,1),
(167000,2550175,1,100,'Heals target for 86 - 102',0,0),
(167001,2550171,10,100,'Inflicts 36 - 47 magic damage on target',0,0),
(167002,2550172,10,100,'Dispels 10 levels of noxious hostile \r\neffects on target',0,0),
(167003,2550330,10,100,'Heals target for 78 - 93',0,0),
(167004,2550330,10,100,'Dispels 10 levels of noxious hostile \r\neffects on target',0,1),
(167005,2550234,10,100,'Heals target for 86 - 102',0,0),
(167006,2550234,10,100,'Dispels 10 levels of traumatic hostile \r\neffects on target.',0,0),
(167007,2550521,10,100,'Decreases STR of target by 17.9',0,0),
(167008,2550521,10,100,'Decreases STA of target by 17.9',0,1),
(167009,2550214,10,100,'Dispels 10 levels of noxious hostile \r\neffects on target',0,0),
(167010,2550169,1,100,'Inflicts 11 - 18 melee damage on target',0,0),
(167011,2550176,10,100,'Inflicts 37 - 55 melee damage on target',0,0),
(167012,2550176,10,100,'Inflicts 9 - 15 melee damage on target \r\nevery 4 seconds',0,1),
(167013,2550176,10,100,'Must be flanking or behind',0,2),
(167014,2550173,10,100,'Decreases Threat to target by 332 - 547 ',0,0),
(167015,2550182,10,100,'Grants stealth to caster',0,0),
(167016,2550188,10,100,'Inflicts 11 - 18 melee damage on target',0,0),
(167017,2550188,10,100,'Stifles target for a short duration',0,1),
(167018,2550191,10,100,'Inflicts 32 - 47 melee damage on target',0,0),
(167019,2550191,10,100,'You must be sneaking to use this \r\nability.',0,1),
(167020,2550187,10,100,'Applies Snare.  Lasts for 24.0 seconds.',0,1),
(167021,2550187,10,100,'Slows target by 53.4%',1,1),
(167022,2550187,10,100,'5% chance to dispel when target receives \r\nhostile action',2,1),
(167023,2550187,10,100,'5% chance to dispel when target takes \r\ndamage',3,1),
(167024,2550187,10,100,'Decreases Haste of target by 18.5',0,0),
(167025,2550522,10,100,'Decreases Defense of target by 5.0',0,0),
(167026,2550210,10,100,'Inflicts 11 - 18 melee damage on target',0,0),
(167027,2550210,10,100,'Decreases mental resist by 202.',0,1),
(167028,2550209,10,100,'Inflicts 37 - 55 melee damage on target',0,0),
(167029,2550209,10,100,'Inflicts 9 - 15 mental damage on target \r\nevery 4 seconds',0,1),
(167030,2550209,10,100,'Must be flanking or behind',0,2),
(167031,2550208,10,100,'Roots target',0,0),
(167032,2550208,10,100,'5% chance to dispel when target receives \r\nhostile action',1,0),
(167033,2550208,10,100,'5% chance to dispel when target takes \r\ndamage',2,0),
(167034,2550211,10,100,'Decreases DPS of target by 20.0',0,1),
(167035,2550211,10,100,'Decreases Defense of target by 5.0',0,0),
(167036,2550316,10,100,'Inflicts 17 - 25 melee damage on target',0,0),
(167037,2550312,10,100,'Increases Crushing, Piercing and \r\nSlashing of group members (AE) by 5.0',0,0),
(167038,2550312,10,100,'Increases Spell Avoidance of group members (AE) by 5.0',0,1),
(167039,2550317,10,100,'Inflicts 23 - 32 crushing damage on \r\ntarget',0,0),
(167040,2550317,10,100,'Interrupts target',0,1),
(167041,2550313,10,100,'Inflicts 31 - 49 melee damage on targets \r\nin Area of Effect',0,0),
(167042,2550313,10,100,'Inflicts 9 - 15 slashing damage on \r\ntarget every 4 seconds',0,1),
(167043,2550333,10,100,'Inflicts 23 - 32 crushing damage on \r\ntarget',0,0),
(167044,2550268,10,100,'Inflicts 42 - 59 melee damage on targets \r\nin Area of Effect',0,0),
(167045,2550523,10,100,'Increases Threat to target by 1,292 - 1,459 ',0,0),
(167046,2550524,10,100,'Increases Threat to target encounter by \r\n653 - 798 ',0,0),
(167047,2550524,10,100,'Increases Haste of caster by 14.6',0,0),
(167048,2550270,10,100,'Increases Threat to target encounter by \r\n653 - 798 ',0,0),
(167049,2550271,10,100,'Increases Crushing, Piercing and \r\nSlashing of group members (AE) by 5.0',0,0),
(167050,2550271,10,100,'Increases STA of group members (AE) by \r\n12.8',0,1),
(167051,2550272,10,100,'Increases Threat to target encounter by \r\n657 - 802 ',0,0),
(167052,2550269,10,100,'Inflicts 9 - 15 melee damage on target',0,0),
(167053,2000696,2,100,'Inflicts 1 - 2 slashing damage on targets in Area of Effect',0,0),
(167054,200205,1,100,'Increases STA of group members (AE) by 6.9',0,0),
(167055,200205,1,100,'Increases STR of group members (AE) by 13.1',0,1),
(167056,200205,2,100,'Increases STA of group members (AE) by 7.3',0,0),
(167057,200205,2,100,'Increases STR of group members (AE) by 13.9',0,1),
(167058,200205,3,100,'Increases STA of group members (AE) by 7.7',0,0),
(167059,200205,3,100,'Increases STR of group members (AE) by 14.6',0,1),
(167060,200205,4,100,'Increases STA of group members (AE) by 8.4',0,0),
(167061,200205,4,100,'Increases STR of group members (AE) by 16.1',0,1),
(167062,200205,5,100,'Increases STA of group members (AE) by 9.2',0,0),
(167063,200205,5,100,'Increases STR of group members (AE) by 17.5',0,1),
(167064,200205,7,100,'Increases STA of group members (AE) by 11.8',0,0),
(167065,200205,7,100,'Increases STR of group members (AE) by 22.5',0,1),
(167066,200205,9,100,'Increases STA of group members (AE) by 12.3',0,0),
(167067,200205,9,100,'Increases STR of group members (AE) by 23.4',0,1),
(167068,200205,10,100,'Increases STA of group members (AE) by 12.9',0,0),
(167069,200205,10,100,'Increases STR of group members (AE) by 24.5',0,1),
(167085,350050,1,100,'Increases Combat Power Regen of group members (AE) by 8.8',0,0),
(167086,350050,2,100,'Increases Combat Power Regen of group members (AE) by 9.3',0,0),
(167087,350050,3,100,'Increases Combat Power Regen of group members (AE) by 9.8',0,0),
(167088,350050,4,100,'Increases Combat Power Regen of group members (AE) by 10.8',0,0),
(167089,350050,5,100,'Increases Combat Power Regen of group members (AE) by 11.8',0,0),
(167090,350050,7,100,'Increases Combat Power Regen of group members (AE) by 15.1',0,0),
(167091,350050,9,100,'Increases Combat Power Regen of group members (AE) by 15.7',0,0),
(167092,350050,10,100,'Increases Combat Power Regen of group members (AE) by 16.5',0,0),
(167100,70103,1,100,'Increases fists skill while lowering \r\ndeflection.  Placeholder values in use.',0,0),
(167101,70103,2,100,'Increases fists skill while lowering \r\ndeflection.  Placeholder values in use.',0,0),
(167102,70103,3,100,'Increases fists skill while lowering \r\ndeflection.  Placeholder values in use.',0,0),
(167103,70103,4,100,'Increases fists skill while lowering \r\ndeflection.  Placeholder values in use.',0,0),
(167104,70103,5,100,'Increases fists skill while lowering \r\ndeflection.  Placeholder values in use.',0,0),
(167105,70103,7,100,'Increases fists skill while lowering \r\ndeflection.  Placeholder values in use.',0,0),
(167106,70103,9,100,'Increases fists skill while lowering \r\ndeflection.  Placeholder values in use.',0,0),
(167107,70053,1,100,'Increases Crushing, Piercing, Slashing and Ranged of group members \r\n(AE) by 4.7',0,0),
(167108,70053,2,100,'Increases Crushing, Piercing, Slashing and Ranged of group members \r\n(AE) by 4.9',0,0),
(167109,70053,3,100,'Increases Crushing, Piercing, Slashing and Ranged of group members \r\n(AE) by 5.2',0,0),
(167110,70053,4,100,'Increases Crushing, Piercing, Slashing and Ranged of group members \r\n(AE) by 5.7',0,0),
(167111,70053,5,100,'Increases Crushing, Piercing, Slashing and Ranged of group members \r\n(AE) by 6.2',0,0),
(167112,70053,7,100,'Increases Crushing, Piercing, Slashing and Ranged of group members \r\n(AE) by 8.0',0,0),
(167113,70053,9,100,'Increases Crushing, Piercing, Slashing and Ranged of group members \r\n(AE) by 8.3',0,0),
(167114,70053,1,100,'Increases Crushing resistance of group \r\nmembers (AE) by 200',0,1),
(167115,70053,2,100,'Increases Crushing resistance of group \r\nmembers (AE) by 215',0,1),
(167116,70053,3,100,'Increases Crushing resistance of group \r\nmembers (AE) by 225',0,1),
(167117,70053,4,100,'Increases Crushing resistance of group \r\nmembers (AE) by 235',0,1),
(167118,70053,5,100,'Increases Crushing resistance of group \r\nmembers (AE) by 250',0,1),
(167119,70053,7,100,'Increases Crushing resistance of group \r\nmembers (AE) by 275',0,1),
(167120,70053,9,100,'Increases Crushing resistance of group \r\nmembers (AE) by 300',0,1),
(167121,70053,1,100,'Decreases Mental resistance of group \r\nmembers (AE) by 250',0,2),
(167122,70053,2,100,'Decreases Mental resistance of group \r\nmembers (AE) by 250',0,2),
(167123,70053,3,100,'Decreases Mental resistance of group \r\nmembers (AE) by 250',0,1),
(167124,70053,4,100,'Decreases Mental resistance of group \r\nmembers (AE) by 250',0,2),
(167125,70053,5,100,'Decreases Mental resistance of group \r\nmembers (AE) by 250',0,2),
(167126,70053,7,100,'Decreases Mental resistance of group \r\nmembers (AE) by 250',0,2),
(167127,70053,9,100,'Decreases Mental resistance of group \r\nmembers (AE) by 250',0,2),
(167128,70053,1,100,'These are placeholder values',0,3),
(167129,70053,2,100,'These are placeholder values',0,3),
(167130,70053,3,100,'These are placeholder values',0,3),
(167131,70053,4,100,'These are placeholder values',0,3),
(167132,70053,5,100,'These are placeholder values',0,3),
(167133,70053,7,100,'These are placeholder values',0,3),
(167134,70053,9,100,'These are placeholder values',0,3),
(167135,70025,1,100,'Increase parry by 6.5',0,0),
(167136,70025,2,100,'Increase parry by 6.8',0,0),
(167137,70025,3,100,'Increase parry by 7.2',0,0),
(167138,70025,4,100,'Increase parry by 7.9',0,0),
(167139,70025,5,100,'Increase parry by 8.6',0,0),
(167140,70025,7,100,'Increase parry by 11.1',0,0),
(167141,70025,9,100,'Increase parry by 11.5',0,0),
(167142,70025,1,100,'Increase deflection by 6.5',0,1),
(167143,70025,2,100,'Increase deflection by 6.8',0,1),
(167144,70025,3,100,'Increase deflection by 7.2',0,1),
(167145,70025,4,100,'Increase deflection by 7.9',0,1),
(167146,70025,5,100,'Increase deflection by 8.6',0,1),
(167147,70025,7,100,'Increase deflection by 11.1',0,1),
(167148,70025,9,100,'Increase deflection by 11.5',0,1),
(167149,70025,1,100,'Increase attack speed by 13.5',0,2),
(167150,70025,2,100,'Increase attack speed by 14.2',0,2),
(167151,70025,3,100,'Increase attack speed by 15.0',0,2),
(167152,70025,4,100,'Increase attack speed by 16.5',0,2),
(167153,70025,5,100,'Increase attack speed by 18.0',0,2),
(167154,70025,7,100,'Increase attack speed by 23.1',0,2),
(167155,70025,9,100,'Increase attack speed by 24.0',0,2),
(167156,60019,1,100,'Increases Crushing, Piercing, Slashing \r\nand Ranged of group members \r\n(AE) by 4.7',0,0),
(167157,60019,2,100,'Increases Crushing, Piercing, Slashing \r\nand Ranged of group members \r\n(AE) by 4.9',0,0),
(167158,60019,3,100,'Increases Crushing, Piercing, Slashing \r\nand Ranged of group members \r\n(AE) by 5.2',0,0),
(167159,60019,4,100,'Increases Crushing, Piercing, Slashing \r\nand Ranged of group members \r\n(AE) by 5.7',0,0),
(167160,60019,5,100,'Increases Crushing, Piercing, Slashing \r\nand Ranged of group members \r\n(AE) by 6.2',0,0),
(167161,60019,7,100,'Increases Crushing, Piercing, Slashing \r\nand Ranged of group members \r\n(AE) by 8.0',0,0),
(167162,60019,9,100,'Increases Crushing, Piercing, Slashing \r\nand Ranged of group members \r\n(AE) by 8.3',0,0),
(167163,60190,1,100,'Inflicts 71 - 118 melee damage on target',0,0),
(167164,60190,2,100,'Inflicts 75 - 125 melee damage on target',0,0),
(167165,60190,3,100,'Inflicts 79 - 132 melee damage on target',0,0),
(167166,60190,4,100,'Inflicts 87 - 145 melee damage on target',0,0),
(167167,60190,5,100,'Inflicts 95 - 158 melee damage on target',0,0),
(167168,60190,7,100,'Inflicts 122 - 203 melee damage on \r\ntarget',0,0),
(167169,60190,9,100,'Inflicts 126 - 211 melee damage on \r\ntarget',0,0),
(167170,60190,10,100,'Inflicts 133 - 221 melee damage on \r\ntarget',0,0),
(167171,60098,1,100,'Increase parry by 6.5',0,0),
(167172,60098,2,100,'Increase parry by 6.8',0,0),
(167173,60098,3,100,'Increase parry by 7.2',0,0),
(167174,60098,4,100,'Increase parry by 7.9',0,0),
(167175,60098,5,100,'Increase parry by 8.6',0,0),
(167176,60098,7,100,'Increase parry by 11.1',0,0),
(167177,60098,9,100,'Increase parry by 11.5',0,0),
(167178,60098,2,100,'Increase deflection by 14.2',0,1),
(167179,60098,3,100,'Increase deflection by 15.0',0,1),
(167180,60098,4,100,'Increase deflection by 16.5',0,1),
(167181,60098,1,100,'Increase deflection by 13.5',0,1),
(167182,60098,5,100,'Increase deflection by 18.0',0,1),
(167183,60098,7,100,'Increase deflection by 23.1',0,1),
(167184,60098,9,100,'Increase deflection by 24.0',0,1),
(167185,60800,1,100,'Inflicts 32 - 97 melee damage on target',0,0),
(167186,60800,2,100,'Inflicts 32 - 97 melee damage on target',0,0),
(167187,60800,3,100,'Inflicts 36 - 108 melee damage on target',0,0),
(167188,60800,4,100,'Inflicts 39 - 118 melee damage on target',0,0),
(167189,60800,5,100,'Inflicts 43 - 129 melee damage on target',0,0),
(167190,60800,7,100,'Inflicts 55 - 166 melee damage on target',0,0),
(167191,60800,9,100,'Inflicts 57 - 172 melee damage on target',0,0),
(167192,60800,1,100,'Stuns target',0,1),
(167193,60800,2,100,'Stuns target',0,1),
(167194,60800,3,100,'Stuns target',0,1),
(167195,60800,4,100,'Stuns target',0,1),
(167196,60800,5,100,'Stuns target',0,1),
(167197,60800,7,100,'Stuns target',0,1),
(167198,60800,9,100,'Stuns target',0,1),
(167199,60800,1,100,'Does not affect Epic targets\r\n\r\n',1,1),
(167200,60800,2,100,'Does not affect Epic targets',1,1),
(167201,60800,3,100,'Does not affect Epic targets',1,1),
(167202,60800,4,100,'Does not affect Epic targets',1,1),
(167203,60800,5,100,'Does not affect Epic targets',1,1),
(167204,60800,7,100,'Does not affect Epic targets',1,1),
(167205,60800,9,100,'Does not affect Epic targets',1,1),
(167206,60058,1,100,'Increases Slashing, Piercing, Crushing, and Fists of caster by 8.1',0,0),
(167207,60058,2,100,'Increases Slashing, Piercing, Crushing, and Fists of caster by 8.6',0,0),
(167208,60058,3,100,'Increases Slashing, Piercing, Crushing, and Fists of caster by 9.1',0,0),
(167209,60058,4,100,'Increases Slashing, Piercing, Crushing, and Fists of caster by 9.8',0,0),
(167210,60058,5,100,'Increases Slashing, Piercing, Crushing, and Fists of caster by 10.8',0,0),
(167211,60058,7,100,'Increases Slashing, Piercing, Crushing, and Fists of caster by 13.9',0,0),
(167212,60058,9,100,'Increases Slashing, Piercing, Crushing, and Fists of caster by 14.4',0,0),
(167220,60058,1,100,'Decreases Physical mitigation by 296',0,1),
(167221,60058,2,100,'Decreases Physical mitigation by 296',0,1),
(167222,60058,3,100,'Decreases Physical mitigation by 296',0,1),
(167223,60058,4,100,'Decreases Physical mitigation by 296',0,1),
(167224,60058,5,100,'Decreases Physical mitigation by 296',0,1),
(167225,60058,7,100,'Decreases Physical mitigation by 296',0,1),
(167226,60058,9,100,'Decreases Physical mitigation by 296',0,1),
(167227,60058,1,100,'Decreases Slashing, Piercing, and \r\nCrushing resistance by 284',0,2),
(167228,60058,2,100,'Decreases Slashing, Piercing, and \r\nCrushing resistance by 284',0,2),
(167229,60058,3,100,'Decreases Slashing, Piercing, and \r\nCrushing resistance by 284',0,2),
(167230,60058,4,100,'Decreases Slashing, Piercing, and \r\nCrushing resistance by 284',0,2),
(167231,60058,5,100,'Decreases Slashing, Piercing, and \r\nCrushing resistance by 284',0,2),
(167232,60058,7,100,'Decreases Slashing, Piercing, and \r\nCrushing resistance by 284',0,2),
(167233,60058,9,100,'Decreases Slashing, Piercing, and \r\nCrushing resistance by 284',0,2),
(167242,60035,2,100,'Inflicts 43 - 72 melee damage on target',0,0),
(167243,60035,2,100,'Decreases AGI of target by 30.1',0,1),
(167245,60035,3,100,'Inflicts 43 - 72 melee damage on target',0,0),
(167246,60035,3,100,'Decreases AGI of target by 30.1',0,1),
(167248,60035,4,100,'Inflicts 43 - 72 melee damage on target',0,0),
(167249,60035,4,100,'Decreases AGI of target by 30.1',0,1),
(167251,60035,5,100,'Inflicts 43 - 72 melee damage on target',0,0),
(167252,60035,5,100,'Decreases AGI of target by 30.1',0,1),
(167254,60035,7,100,'Inflicts 43 - 72 melee damage on target',0,0),
(167255,60035,7,100,'Decreases AGI of target by 30.1',0,1),
(167257,60035,9,100,'Inflicts 43 - 72 melee damage on target',0,0),
(167258,60035,9,100,'Decreases AGI of target by 30.1',0,1),
(167261,60052,2,100,'Increases Defense, Deflection, Parry, \r\nand Tranquility of caster by 8.6',0,0),
(167262,60052,3,100,'Increases Defense, Deflection, Parry, \r\nand Tranquility of caster by 9.1',0,0),
(167263,60052,4,100,'Increases Defense, Deflection, Parry, \r\nand Tranquility of caster by 9.8',0,0),
(167264,60052,5,100,'Increases Defense, Deflection, Parry, \r\nand Tranquility of caster by 10.8',0,0),
(167265,60052,7,100,'Increases Defense, Deflection, Parry, \r\nand Tranquility of caster by 13.9',0,0),
(167266,60052,9,100,'Increases Defense, Deflection, Parry, \r\nand Tranquility of caster by 14.4',0,0),
(167267,60052,1,100,'Increases Defense, Deflection, Parry, \r\nand Tranquility of caster by 8.1',0,0),
(167268,60052,1,100,'Decreases Slashing, Piercing and \r\nCrushing of caster by 9.0',0,1),
(167269,60052,2,100,'Decreases Slashing, Piercing and \r\nCrushing of caster by 9.0',0,1),
(167270,60052,3,100,'Decreases Slashing, Piercing and \r\nCrushing of caster by 9.0',0,1),
(167271,60052,4,100,'Decreases Slashing, Piercing and \r\nCrushing of caster by 9.0',0,1),
(167272,60052,5,100,'Decreases Slashing, Piercing and \r\nCrushing of caster by 9.0',0,0),
(167273,60052,7,100,'Decreases Slashing, Piercing and \r\nCrushing of caster by 9.0',0,1),
(167274,60052,9,100,'Decreases Slashing, Piercing and \r\nCrushing of caster by 9.0',0,1),
(167275,40300,1,100,'Hits target for 1 - 1 melee damage in an \r\narea of effect.',0,0),
(167276,40033,1,100,'Has a 10% chance to cast Crazed Swing \r\non a successful attack.',0,0),
(167285,40033,1,100,'Hits targets in an Area of Effect for \r\n35 - 50 melee damage.',1,0),
(167294,40033,2,100,'Has a 10% chance to cast Crazed Swing \r\non a successful attack.',0,0),
(167295,40033,2,100,'Hits targets in an Area of Effect for \r\n35 - 50 melee damage.',1,0),
(167297,40033,3,100,'Has a 10% chance to cast Crazed Swing \r\non a successful attack.',0,0),
(167298,40033,3,100,'Hits targets in an Area of Effect for \r\n35 - 50 melee damage.',1,0),
(167300,40033,4,100,'Has a 10% chance to cast Crazed Swing \r\non a successful attack.',0,0),
(167301,40033,4,100,'Hits targets in an Area of Effect for \r\n35 - 50 melee damage.',1,0),
(167303,40033,5,100,'Has a 10% chance to cast Crazed Swing \r\non a successful attack.',0,0),
(167304,40033,5,100,'Hits targets in an Area of Effect for \r\n35 - 50 melee damage.',1,0),
(167306,40033,7,100,'Has a 10% chance to cast Crazed Swing \r\non a successful attack.',0,0),
(167307,40033,7,100,'Hits targets in an Area of Effect for \r\n35 - 50 melee damage.',1,0),
(167309,40033,9,100,'Has a 10% chance to cast Crazed Swing \r\non a successful attack.',0,0),
(167310,40033,9,100,'Hits targets in an Area of Effect for \r\n35 - 50 melee damage.',1,0),
(167312,40033,1,100,'This ability has a maintenance cost of \r\n15 hit points every 4 seconds',0,1),
(167313,40033,2,100,'This ability has a maintenance cost of \r\n15 hit points every 4 seconds',0,1),
(167314,40033,3,100,'This ability has a maintenance cost of \r\n15 hit points every 4 seconds',0,1),
(167315,40033,4,100,'This ability has a maintenance cost of \r\n15 hit points every 4 seconds',0,1),
(167316,40033,5,100,'This ability has a maintenance cost of \r\n15 hit points every 4 seconds',0,1),
(167317,40033,7,100,'This ability has a maintenance cost of \r\n15 hit points every 4 seconds',0,1),
(167318,40033,9,100,'This ability has a maintenance cost of \r\n15 hit points every 4 seconds',0,1),
(167319,40041,1,100,'On hit this spell has a 10% \r\nchance to cast Berserk on target.  \r\nLasts for 10.0 seconds.  ',0,1),
(167320,40041,2,100,'On hit this spell has a 10% \r\nchance to cast Berserk on target.  \r\nLasts for 10.0 seconds.  ',0,1),
(167321,40041,3,100,'On hit this spell has a 10% \r\nchance to cast Berserk on target.  \r\nLasts for 10.0 seconds.  ',0,1),
(167322,40041,4,100,'On hit this spell has a 10% \r\nchance to cast Berserk on target.  \r\nLasts for 10.0 seconds.  ',0,1),
(167323,40041,5,100,'On hit this spell has a 10% \r\nchance to cast Berserk on target.  \r\nLasts for 10.0 seconds.  ',0,1),
(167324,40041,7,100,'On hit this spell has a 10% \r\nchance to cast Berserk on target.  \r\nLasts for 10.0 seconds.  ',0,1),
(167325,40041,9,100,'On hit this spell has a 10% \r\nchance to cast Berserk on target.  \r\nLasts for 10.0 seconds.  ',0,1),
(167326,40041,10,100,'On hit this spell has a 10% \r\nchance to cast Berserk on target.  \r\nLasts for 10.0 seconds.  ',0,1),
(167327,40041,11,100,'On hit this spell has a 10% \r\nchance to cast Berserk on target.  \r\nLasts for 10.0 seconds.  ',0,1),
(167328,40041,1,100,'Increases DPS and Haste of target by 9.6',2,1),
(167329,40041,2,100,'Increases DPS and Haste of target by 10.1',1,1),
(167330,40041,3,100,'Increases DPS and Haste of target by 10.6',1,1),
(167331,40041,4,100,'Increases DPS and Haste of target by 11.7',1,1),
(167332,40041,5,100,'Increases DPS and Haste of target by 12.8',1,1),
(167333,40041,7,100,'Increases DPS and Haste of target by 16.4',1,1),
(167334,40041,9,100,'Increases DPS and Haste of target by 17.0',1,1),
(167335,40041,10,100,'Increases DPS and Haste of target by 17.1',1,1),
(167336,40041,11,100,'Increases DPS and Haste of target by 18.0',1,1),
(167337,40041,1,100,'Decreases Defense, Block, and Parry of \r\ntarget by 10.0',1,1),
(167338,40041,2,100,'Decreases Defense, Block, and Parry of \r\ntarget by 10.0',2,1),
(167339,40041,3,100,'Decreases Defense, Block, and Parry of \r\ntarget by 10.0',2,1),
(167340,40041,4,100,'Decreases Defense, Block, and Parry of \r\ntarget by 10.0',2,1),
(167341,40041,5,100,'Decreases Defense, Block, and Parry of \r\ntarget by 10.0',2,1),
(167342,40041,7,100,'Decreases Defense, Block, and Parry of \r\ntarget by 10.0',2,1),
(167343,40041,9,100,'Decreases Defense, Block, and Parry of \r\ntarget by 10.0',2,1),
(167344,40041,10,100,'Decreases Defense, Block, and Parry of \r\ntarget by 10.0',2,1),
(167345,40041,11,100,'Decreases Defense, Block, and Parry of \r\ntarget by 10.0',2,1),
(167346,40094,1,100,'This spell has a 10% \r\nchance to cast Berserk on target.  \r\nLasts for 10.0 seconds.  ',0,1),
(167347,40094,2,100,'This spell has a 10% \r\nchance to cast Berserk on target.  \r\nLasts for 10.0 seconds.  ',0,1),
(167348,40094,3,100,'This spell has a 10% \r\nchance to cast Berserk on target.  \r\nLasts for 10.0 seconds.  ',0,1),
(167349,40094,4,100,'This spell has a 10% \r\nchance to cast Berserk on target.  \r\nLasts for 10.0 seconds.  ',0,1),
(167350,40094,5,100,'This spell has a 10% \r\nchance to cast Berserk on target.  \r\nLasts for 10.0 seconds.  ',0,1),
(167351,40094,7,100,'This spell has a 10% \r\nchance to cast Berserk on target.  \r\nLasts for 10.0 seconds.  ',0,1),
(167352,40094,9,100,'This spell has a 10% \r\nchance to cast Berserk on target.  \r\nLasts for 10.0 seconds.  ',0,1),
(167355,40094,1,100,'Increases DPS and Haste of target by 9.6',1,1),
(167356,40094,2,100,'Increases DPS and Haste of target by 10.1',1,1),
(167357,40094,3,100,'Increases DPS and Haste of target by \r\n10.6',1,1),
(167358,40094,4,100,'Increases DPS and Haste of target by \r\n11.7',1,1),
(167359,40094,5,100,'Increases DPS and Haste of target by \r\n12.8',1,1),
(167360,40094,7,100,'Increases DPS and Haste of target by \r\n16.4',1,1),
(167361,40094,9,100,'Increases DPS and Haste of target by \r\n17.0',1,1),
(167362,40094,1,100,'Decreases Defense, Block, and Parry of \r\ntarget by 10.0',1,2),
(167363,40094,2,100,'Decreases Defense, Block, and Parry of \r\ntarget by 10.0',1,2),
(167364,40094,3,100,'Decreases Defense, Block, and Parry of \r\ntarget by 10.0',1,2),
(167365,40094,4,100,'Decreases Defense, Block, and Parry of \r\ntarget by 10.0',1,2),
(167366,40094,5,100,'Decreases Defense, Block, and Parry of \r\ntarget by 10.0',1,2),
(167367,40094,7,100,'Decreases Defense, Block, and Parry of \r\ntarget by 10.0',1,2),
(167368,40094,9,100,'Decreases Defense, Block, and Parry of \r\ntarget by 10.0',1,2),
(167369,40055,1,100,'Increases Crushing, Piercing, Slashing \r\nand Ranged of group members (AE) by 4.7',0,0),
(167376,40055,1,100,'When any group member is damaged this \r\nspell has a 10% chance to cast Berserk \r\non caster.  \r\nLasts for 10.0 seconds.  ',0,1),
(167383,40055,1,100,'Increases DPS and Haste of target by 9.6',1,1),
(167390,40055,1,100,'Decreases Defense, Block, and Parry of \r\ntarget by 10.0',2,1),
(167406,40055,2,100,'Increases Crushing, Piercing, Slashing \r\nand Ranged of group members (AE) by 4.7',0,0),
(167407,40055,2,100,'When any group member is damaged this \r\nspell has a 10% chance to cast Berserk \r\non caster.  \r\nLasts for 10.0 seconds.  ',0,1),
(167409,40055,3,100,'Increases Crushing, Piercing, Slashing \r\nand Ranged of group members (AE) by 4.7',0,0),
(167410,40055,3,100,'When any group member is damaged this \r\nspell has a 10% chance to cast Berserk \r\non caster.  \r\nLasts for 10.0 seconds.  ',0,1),
(167412,40055,4,100,'Increases Crushing, Piercing, Slashing \r\nand Ranged of group members (AE) by 4.7',0,0),
(167413,40055,4,100,'When any group member is damaged this \r\nspell has a 10% chance to cast Berserk \r\non caster.  \r\nLasts for 10.0 seconds.  ',0,1),
(167415,40055,5,100,'Increases Crushing, Piercing, Slashing \r\nand Ranged of group members (AE) by 4.7',0,0),
(167416,40055,5,100,'When any group member is damaged this \r\nspell has a 10% chance to cast Berserk \r\non caster.  \r\nLasts for 10.0 seconds.  ',0,1),
(167418,40055,7,100,'Increases Crushing, Piercing, Slashing \r\nand Ranged of group members (AE) by 4.7',0,0),
(167419,40055,7,100,'When any group member is damaged this \r\nspell has a 10% chance to cast Berserk \r\non caster.  \r\nLasts for 10.0 seconds.  ',0,1),
(167421,40055,9,100,'Increases Crushing, Piercing, Slashing \r\nand Ranged of group members (AE) by 4.7',0,0),
(167422,40055,9,100,'When any group member is damaged this \r\nspell has a 10% chance to cast Berserk \r\non caster.  \r\nLasts for 10.0 seconds.  ',0,1),
(167424,40154,2,100,'Inflicts 17 - 51 melee damage on target',0,0),
(167425,40154,2,100,'Increases Threat to target by 955 ',0,1),
(167427,40154,3,100,'Inflicts 17 - 51 melee damage on target',0,0),
(167428,40154,3,100,'Increases Threat to target by 955 ',0,1),
(167430,40154,4,100,'Inflicts 17 - 51 melee damage on target',0,0),
(167431,40154,4,100,'Increases Threat to target by 955 ',0,1),
(167433,40154,5,100,'Inflicts 17 - 51 melee damage on target',0,0),
(167434,40154,5,100,'Increases Threat to target by 955 ',0,1),
(167436,40154,7,100,'Inflicts 17 - 51 melee damage on target',0,0),
(167437,40154,7,100,'Increases Threat to target by 955 ',0,1),
(167439,40154,9,100,'Inflicts 17 - 51 melee damage on target',0,0),
(167440,40154,9,100,'Increases Threat to target by 955 ',0,1),
(167442,40049,2,100,'Increases STR of group members (AE) by 26.9',0,0),
(167443,40049,3,100,'Increases STR of group members (AE) by 28.6',0,0),
(167444,40049,4,100,'Increases STR of group members (AE) by 29.9',0,0),
(167445,40049,5,100,'Increases STR of group members (AE) by 32.6',0,0),
(167446,40049,7,100,'Increases STR of group members (AE) by 41.8',0,0),
(167447,40049,9,100,'Increases STR of group members (AE) by 43.4',0,0),
(167448,40127,1,100,'Interrupts target',0,2),
(167455,40127,2,100,'Inflicts 74 - 124 melee damage on target',0,0),
(167456,40127,2,100,'Decreases Slashing, Crushing and Piercing of target by 3.4',0,1),
(167457,40127,2,100,'Interrupts target',0,2),
(167458,40127,3,100,'Inflicts 74 - 124 melee damage on target',0,0),
(167459,40127,3,100,'Decreases Slashing, Crushing and Piercing of target by 3.4',0,1),
(167460,40127,3,100,'Interrupts target',0,2),
(167461,40127,4,100,'Inflicts 74 - 124 melee damage on target',0,0),
(167462,40127,4,100,'Decreases Slashing, Crushing and Piercing of target by 3.4',0,1),
(167463,40127,4,100,'Interrupts target',0,2),
(167464,40127,5,100,'Inflicts 74 - 124 melee damage on target',0,0),
(167465,40127,5,100,'Decreases Slashing, Crushing and Piercing of target by 3.4',0,1),
(167466,40127,5,100,'Interrupts target',0,2),
(167467,40127,7,100,'Inflicts 74 - 124 melee damage on target',0,0),
(167468,40127,7,100,'Decreases Slashing, Crushing and Piercing of target by 3.4',0,1),
(167469,40127,7,100,'Interrupts target',0,2),
(167470,40127,9,100,'Inflicts 74 - 124 melee damage on target',0,0),
(167471,40127,9,100,'Decreases Slashing, Crushing and Piercing of target by 3.4',0,1),
(167472,40127,9,100,'Interrupts target',0,2),
(167520,140072,6,100,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 7.2',0,0),
(167521,140073,6,100,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 12.5',0,0),
(167522,140074,6,100,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 17.8',0,0),
(167523,140074,11,100,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 23',0,0),
(167524,140074,12,100,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 24.2',0,0),
(167525,140073,11,100,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 16.2',0,0),
(167526,140073,12,100,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 17.1',0,0),
(167527,140072,11,100,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 9.7',0,0),
(167528,140072,12,100,'Decreases Crushing, Piercing, Slashing and Ranged of target encounter by 10.6',0,0),
(167529,140027,11,100,'Decreases INT and STR of target by 29.6',0,0),
(167530,140027,12,100,'Decreases INT and STR of target by 31.2',0,0),
(167531,140027,6,100,'Decreases INT and STR of target by 23.0',0,0),
(167532,5162,1,100,'If not between levels 1 - 6',1,1),
(167533,5162,1,100,'If not between levels 1 - 6',1,3),
(167534,5162,1,100,'Decreases All Attributes of target by 5.0%',0,4),
(167535,5162,1,100,'If between levels 1 - 6',1,5),
(167536,5162,1,100,'Decreases Haste of target by 5.0',0,6),
(167537,5162,1,100,'If between levels 1 - 6',1,7),
(167538,2550531,1,100,'Heals target for 25.0% of max health',0,0),
(167539,2550531,1,100,'Provides damage shield for 12.5% of max health.',0,1),
(167540,140145,11,100,'Inflicts 65 - 78 heat damage on target instantly and every 4 seconds',0,0),
(167543,140145,12,100,'Inflicts 69 - 82 heat damage on target instantly and every 4 seconds',0,0),
(167546,140145,6,100,'Inflicts 50 - 60 heat damage on target instantly and every 4 seconds',0,0),
(167549,2550051,1,100,'Increases Mitigation of target vs elemental damage by 234.5',0,0),
(167550,2550051,1,100,'Allows target to breathe under water',0,1),
(167551,140018,6,100,'Decreases Mitigation of target vs physical and heat damage by 198',0,0),
(167552,140018,11,100,'Decreases Mitigation of target vs physical and heat damage 258',0,0),
(167553,140018,12,100,'Decreases Mitigation of target vs physical and heat damage 276',0,0),
(167554,140189,6,100,'Inflicts 33 - 40 mental damage on target instantly and every 3 seconds',0,0),
(167555,140189,6,100,'Decreases STR and STA of target by 25.0',0,1),
(167557,140189,11,100,'Inflicts 42 - 52 mental damage on target instantly and every 3 seconds',0,0),
(167558,140189,11,100,'Decreases STR and STA of target by 33.6',0,1),
(167560,140189,12,100,'Inflicts 45 - 55 mental damage on target instantly and every 3 seconds',0,0),
(167561,140189,12,100,'Decreases STR and STA of target by 35.2',0,1),
(167563,140190,11,100,'Inflicts 35 - 43 mental damage on target instantly and every 3 seconds',0,0),
(167564,140190,11,100,'Decreases STR and STA of target by 56.0',0,1),
(167566,140190,12,100,'Inflicts 35 - 43 mental damage on target instantly and every 3 seconds',0,0),
(167567,140190,12,100,'Decreases STR and STA of target by 60.0',0,1),
(167569,140190,6,100,'Inflicts 35 - 43 mental damage on target instantly and every 3 seconds',0,0),
(167570,140190,6,100,'Decreases STR and STA of target by 44.0',0,1),
(167572,140083,6,100,'Inflicts 170 - 208 heat damage on target encounter',0,0),
(167573,140083,11,100,'Inflicts 220 - 266 heat damage on target encounter',0,0),
(167574,140083,12,100,'Inflicts 232 - 278 heat damage on target encounter',0,0),
(167575,140084,6,100,'Inflicts 274 - 335 heat damage on target encounter',0,0),
(167576,140084,11,100,'Inflicts 354 - 429 heat damage on target encounter',0,0),
(167577,140084,12,100,'Inflicts 374 - 449 heat damage on target encounter',0,0),
(167578,140138,6,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(167579,140138,6,100,'Heals target for 118 - 144',1,1),
(167580,140138,6,100,'Grants a total of 5 triggers of the spell.',1,3),
(167581,140138,12,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(167582,140138,12,100,'Heals target for 188 - 230',1,1),
(167583,140138,12,100,'Grants a total of 5 triggers of the spell.',1,3),
(167584,140138,8,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(167585,140138,8,100,'Heals target for 133 - 163',1,1),
(167586,140138,8,100,'Grants a total of 5 triggers of the spell.',1,3),
(167587,140138,1,100,'Inflicts 15 - 25 divine damage on target''s attacker.',1,2),
(167588,140138,2,100,'Inflicts 17 - 27 divine damage on target''s attacker.',1,2),
(167589,140138,3,100,'Inflicts 19 - 29 divine damage on target''s attacker.',1,2),
(167590,140138,4,100,'Inflicts 21 - 31 divine damage on target''s attacker.',1,2),
(167591,140138,5,100,'Inflicts 23 - 33 divine damage on target''s attacker.',1,2),
(167592,140138,6,100,'Inflicts 25 - 35 divine damage on target''s attacker.',1,2),
(167593,140138,7,100,'Inflicts 27 - 37 divine damage on target''s attacker.',1,2),
(167594,140138,8,100,'Inflicts 29 - 39 divine damage on target''s attacker.',1,2),
(167595,140138,9,100,'Inflicts 31 - 41 divine damage on target''s attacker.',1,2),
(167596,140138,10,100,'Inflicts 33 - 43 divine damage on target''s attacker.',1,2),
(167597,140138,11,100,'Inflicts 35 - 45 divine damage on target''s attacker.',1,2),
(167598,140138,12,100,'Inflicts 37 - 47 divine damage on target''s attacker.',1,2),
(167599,140119,6,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(167600,140119,6,100,'Heals target for 128 - 156',1,1),
(167602,140119,12,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(167603,140119,12,100,'Heals target for 203 - 244',1,1),
(167605,140119,8,100,'When any damage is received this spell will cast Atoning Faith on target, which can be triggered up to 9 times across all targets.  ',0,0),
(167606,140119,8,100,'Heals target for 145 - 170',1,1),
(167607,140119,12,100,'Inflicts 43 - 53 divine damage on target''s attacker.',1,2),
(167608,140119,11,100,'Inflicts 41 - 51 divine damage on target''s attacker.',1,2),
(167609,140119,10,100,'Inflicts 39 - 49 divine damage on target''s attacker.',1,2),
(167610,140119,9,100,'Inflicts 37 - 47 divine damage on target''s attacker.',1,2),
(167611,140119,8,100,'Inflicts 35 - 45 divine damage on target''s attacker.',1,2),
(167612,140119,7,100,'Inflicts 33 - 43 divine damage on target''s attacker.',1,2),
(167613,140119,6,100,'Inflicts 31 - 41 divine damage on target''s attacker.',1,2),
(167614,140119,4,100,'Inflicts 27 - 37 divine damage on target''s attacker.',1,2),
(167615,140119,5,100,'Inflicts 29 - 39 divine damage on target''s attacker.',1,2),
(167616,140119,3,100,'Inflicts 25 - 35 divine damage on target''s attacker.',1,2),
(167617,140119,2,100,'Inflicts 23 - 33 divine damage on target''s attacker.',1,2),
(167618,140119,1,100,'Inflicts 21 - 31 divine damage on target''s attacker.',1,2),
(167619,140035,6,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(167620,140035,6,100,'Decreases Threat to targets in Area of Effect by 2,593 ',0,1),
(167621,140035,6,100,'Stuns targets in Area of Effect',0,2),
(167622,140035,6,100,'If Target is not Epic',1,3),
(167626,140035,11,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(167627,140035,11,100,'Decreases Threat to targets in Area of Effect by 2,593 ',0,1),
(167628,140035,11,100,'Stuns targets in Area of Effect',0,2),
(167629,140035,11,100,'If Target is not Epic',1,3),
(167633,140035,12,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(167634,140035,12,100,'Decreases Threat to targets in Area of Effect by 2,593 ',0,1),
(167635,140035,12,100,'Stuns targets in Area of Effect',0,2),
(167636,140035,12,100,'If Target is not Epic',1,3),
(167640,140201,6,100,'On a melee hit this spell will cast Vengeance on caster.  ',0,0),
(167641,140201,6,100,'Inflicts 81 divine damage on target',1,1),
(167642,140201,6,100,'Grants a total of 5 triggers of the spell.',1,2),
(167643,140201,11,100,'On a melee hit this spell will cast Vengeance on caster.  ',0,0),
(167644,140201,11,100,'Inflicts 56 divine damage on target',1,1),
(167645,140201,11,100,'Grants a total of 5 triggers of the spell.',1,2),
(167649,140201,12,100,'On a melee hit this spell will cast Vengeance on caster.  ',0,0),
(167650,140201,12,100,'Inflicts 56 divine damage on target',1,1),
(167651,140201,12,100,'Grants a total of 5 triggers of the spell.',1,2),
(167653,140208,1,100,'Increases Haste of target by 11.0',0,0),
(167656,140208,2,100,'Increases Haste of target by 12.2',0,0),
(167659,140208,3,100,'Increases Haste of target by 13.3',0,0),
(167662,140208,4,100,'Increases Haste of target by 15.6',0,0),
(167665,140208,5,100,'Increases Haste of target by 18.0',0,0),
(167668,140208,7,100,'Increases Haste of target by 29.9',0,0),
(167671,140208,9,100,'Increases Haste of target by 31.3',0,0),
(167674,140208,10,100,'Increases Haste of target by 34.2',0,0),
(167677,140208,11,100,'Increases Haste of target by 41.1',0,0),
(167683,140208,6,100,'Increases Haste of target by 24.5',0,0),
(167684,140208,12,100,'Increases Haste of target by 45.5',0,0),
(167685,140036,6,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(167686,140036,6,100,'Decreases Threat to targets in Area of Effect by 6,503',0,1),
(167687,140036,6,100,'Stuns targets in Area of Effect',0,2),
(167688,140036,6,100,'If Target is not Epic',1,3),
(167699,140036,12,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(167700,140036,12,100,'Decreases Threat to targets in Area of Effect by 8,666',0,1),
(167701,140036,12,100,'Stuns targets in Area of Effect',0,2),
(167702,140036,12,100,'If Target is not Epic',1,3),
(167706,140036,11,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(167707,140036,11,100,'Decreases Threat to targets in Area of Effect by 8316',0,1),
(167708,140036,11,100,'Stuns targets in Area of Effect',0,2),
(167709,140036,11,100,'If Target is not Epic',1,3),
(167713,140036,8,100,'Decreases threat priority of targets in Area of Effect by 1 position',0,0),
(167714,140036,8,100,'Decreases Threat to targets in Area of Effect by 7,452',0,1),
(167715,140036,8,100,'Stuns targets in Area of Effect',0,2),
(167716,140036,8,100,'If Target is not Epic',1,3),
(167717,140131,6,100,'Heals target for 270 - 353',0,0),
(167718,140131,12,100,'Heals target for 379 - 453',0,0),
(167719,140131,8,100,'Heals target for 325 - 400',0,0),
(167720,140209,1,100,'Increases Melee Damage of target by 11.0',0,0),
(167721,140209,2,100,'Increases Melee Damage of target by 12.2',0,0),
(167722,140209,3,100,'Increases Melee Damage of target by 13.3',0,0),
(167723,140209,4,100,'Increases Melee Damage of target by 15.6',0,0),
(167724,140209,5,100,'Increases Melee Damage of target by 18.0',0,0),
(167725,140209,6,100,'Increases Melee Damage of target by 20.5',0,0),
(167726,140209,7,100,'Increases Melee Damage of target by 25.9',0,0),
(167727,140209,9,100,'Increases Melee Damage of target by 27.3',0,0),
(167728,140209,10,100,'Increases Melee Damage of target by 29.2',0,0),
(167729,140209,11,100,'Increases Melee Damage of target by 37.1',0,0),
(167730,140209,12,100,'Increases Melee Damage of target by 41.5',0,0),
(167735,140008,6,100,'Heals group members (AE) for 313 - 383',0,0),
(167736,140008,12,100,'Heals group members (AE) for 481 - 586',0,0),
(167737,140057,6,100,'Heals target for 530 - 648',0,0),
(167738,140057,11,100,'Heals target for 681 - 833',0,0),
(167739,140057,12,100,'Heals target for 712 - 871',0,0),
(167740,140210,1,100,'Increases Haste of target by 15.0',0,0),
(167741,140210,2,100,'Increases Haste of target by 16.2',0,0),
(167742,140210,3,100,'Increases Haste of target by 17.3',0,0),
(167743,140210,4,100,'Increases Haste of target by 19.6',0,0),
(167744,140210,5,100,'Increases Haste of target by 22.0',0,0),
(167745,140210,6,100,'Increases Haste of target by 24.5',0,0),
(167746,140210,7,100,'Increases Haste of target by 25.9',0,0),
(167747,140210,9,100,'Increases Haste of target by 27.3',0,0),
(167748,140210,10,100,'Increases Haste of target by 29.2',0,0),
(167749,140210,11,100,'Increases Haste of target by 37.1',0,0),
(167750,140210,12,100,'Increases Haste of target by 41.5',0,0),
(167755,140210,8,100,'Increases Haste of target by 11.0',0,0),
(167756,140208,8,100,'Increases Haste of target by 30.5',0,0),
(167758,140112,6,100,'Inflicts 151 - 184 divine damage on target encounter',0,0),
(167761,140112,11,100,'Inflicts 193 - 236 divine damage on target encounter',0,0),
(167764,140112,12,100,'Inflicts 202 - 248 divine damage on target encounter',0,0),
(167766,140181,6,100,'Increases STA of target by 35.5',0,0),
(167767,140181,6,100,'Increases Melee Damage of target by 19.4',0,1),
(167769,140181,11,100,'Increases STA of target by 45.7',0,0),
(167770,140181,11,100,'Increases Melee Damage of target by 24.9',0,1),
(167772,140181,12,100,'Increases STA of target by 47.8',0,0),
(167773,140181,12,100,'Increases Melee Damage of target by 26',0,1),
(167775,140181,8,100,'Increases STA of target by 40.9',0,0),
(167776,140181,8,100,'Increases Melee Damage of target by 22.3',0,1),
(167778,140106,11,100,'Stifles target',0,0),
(167779,140106,11,100,'Inflicts 186 - 229 divine damage on target',0,1),
(167781,140106,12,100,'Stifles target',0,0),
(167782,140106,12,100,'Inflicts 196 - 249 divine damage on target',0,1),
(167784,140106,6,100,'Stifles target',0,0),
(167785,140106,6,100,'Inflicts 145 - 177 divine damage on target',0,1),
(167787,140106,8,100,'Stifles target',0,0),
(167788,140106,8,100,'Inflicts 95 - 117 divine damage on target',0,1),
(167790,140211,1,100,'Dispels 10 levels of hostile arcane effects on target',0,0),
(167791,140211,1,100,'Target receives a divine reprisal that reacts to Arcane damage for a brief period of time.',0,1),
(167792,140172,11,100,'Increases stamina of group members (AE) by 35',0,0),
(167793,140172,11,100,'Increases Mitigation of group members (AE) vs physical damage by 669',0,1),
(167794,140172,12,100,'Increases stamina of group members (AE) by 37',0,0),
(167795,140172,12,100,'Increases Mitigation of group members (AE) vs physical damage by 700',0,0),
(167796,140172,6,100,'Increases stamina of group members (AE) by 28',0,0),
(167797,140172,6,100,'Increases Mitigation of group members (AE) vs physical damage by 520',0,1),
(167798,140173,1,100,'Increases Mitigation of group members (AE) vs physical damage by 486',0,1),
(167799,140173,6,100,'Increases stamina of group members (AE) by 41',0,0),
(167800,140173,6,100,'Increases Mitigation of group members (AE) vs physical damage by 741',0,1),
(167801,140173,8,100,'Increases stamina of group members (AE) by 48',0,0),
(167802,140173,8,100,'Increases Mitigation of group members (AE) vs physical damage by 849',0,1),
(167803,140173,11,100,'Increases stamina of group members (AE) by 57',0,0),
(167804,140173,12,100,'Increases stamina of group members (AE) by 60',0,0),
(167805,140173,11,100,'Increases Mitigation of group members (AE) vs physical damage by 951',0,1),
(167806,140173,12,100,'Increases Mitigation of group members (AE) vs physical damage by 999',0,1),
(167807,140001,6,100,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Each ally will only deal this additional damage once. ',0,0),
(167808,140001,6,100,'Inflicts 127 divine damage on target',1,1),
(167810,140001,12,100,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Each ally will only deal this additional damage once. ',0,0),
(167811,140001,12,100,'Inflicts 202 divine damage on target',1,1),
(167813,140001,8,100,'On any combat or spell hit this spell may cast Strike of Faith on target of attack.  Each ally will only deal this additional damage once. ',0,0),
(167814,140001,8,100,'Inflicts 145 divine damage on target',1,1),
(167816,140028,11,100,'Decreases INT and STR of target by 48.1',0,0),
(167817,140028,12,100,'Decreases INT and STR of target by 50.9',0,0),
(167818,140028,6,100,'Decreases INT and STR of target by 35',0,0),
(167819,140028,8,100,'Decreases INT and STR of target by 41',0,0),
(167820,140019,6,100,'Decreases Mitigation of target vs all damage by 313',0,0),
(167821,140019,11,100,'Decreases Mitigation of target vs all damage by 404',0,0),
(167823,140019,12,100,'Decreases Mitigation of target vs all damage by 424',0,0),
(167824,140146,6,100,'Inflicts 86 - 105 heat damage on target instantly and every 4 seconds',0,0),
(167825,140146,11,100,'Inflicts 110 - 137 heat damage on target instantly and every 4 seconds',0,0),
(167826,140146,12,100,'Inflicts 116 - 145 heat damage on target instantly and every 4 seconds',0,0),
(167827,140090,11,100,'Roots target',0,0),
(167829,140090,11,100,'If Target is not Epic',1,1),
(167834,140090,12,100,'Roots target',0,0),
(167836,140090,12,100,'If Target is not Epic',1,1),
(167841,140090,6,100,'Roots target',0,0),
(167843,140090,6,100,'If Target is not Epic',1,1),
(167848,140090,8,100,'Roots target',0,0),
(167849,140090,8,100,'If Target is not Epic',1,1),
(167850,2550532,1,100,'Inflicts 10 poison damage on target \r\nevery 4 seconds',0,0),
(167851,2550532,2,100,'Inflicts 11 poison damage on target \r\nevery 4 seconds',0,0),
(167852,2550532,3,100,'Inflicts 12 poison damage on target \r\nevery 4 seconds',0,0),
(167853,2550532,4,100,'Inflicts 13 poison damage on target \r\nevery 4 seconds',0,0),
(167854,2550532,5,100,'Inflicts 14 poison damage on target \r\nevery 4 seconds',0,0),
(167855,2550532,7,100,'Inflicts 17 poison damage on target \r\nevery 4 seconds',0,0),
(167856,2550532,9,100,'Inflicts 20 poison damage on target \r\nevery 4 seconds',0,0),
(167857,2550533,1,100,'Inflicts 24 - 36 heat damage on target',0,0),
(167858,2550533,2,100,'Inflicts 28 - 39 heat damage on target',0,0),
(167859,2550533,3,100,'Inflicts 30 - 42 heat damage on target',0,0),
(167860,2550533,4,100,'Inflicts 32 - 44 heat damage on target',0,0),
(167861,2550533,5,100,'Inflicts 38 - 50 heat damage on target',0,0),
(167862,2550533,7,100,'Inflicts 44 - 57 heat damage on target',0,0),
(167863,2550533,9,100,'Inflicts 50 - 66 heat damage on target',0,0),
(167864,2550533,1,100,'Interrupts target',0,1),
(167865,2550533,2,100,'Interrupts target',0,1),
(167866,2550533,3,100,'Interrupts target',0,1),
(167867,2550533,4,100,'Interrupts target',0,1),
(167868,2550533,5,100,'Interrupts target',0,1),
(167869,2550533,7,100,'Interrupts target',0,1),
(167870,2550533,9,100,'Interrupts target',0,1),
(167871,2550534,1,100,'',0,0),
(167872,2550534,2,100,'\r\n',0,0),
(167873,2550534,3,100,'',0,0),
(167874,2550534,4,100,'',0,0),
(167875,2550534,5,100,'Inflicts 65 - 105 heat damage on target\r\n',0,0),
(167876,2550534,7,100,'Inflicts 75 - 125 heat damage on target',0,0),
(167877,2550534,9,100,'Inflicts 90 - 150 heat damage on target',0,0),
(167878,2550535,5,100,'When damaged with a melee attack this spell will inflict 11 heat \r\ndamage on target''s attacker.  ',0,0),
(167879,2550535,7,100,'When damaged with a melee attack this spell will inflict 13 heat \r\ndamage on target''s attacker.  ',0,0),
(167880,2550535,9,100,'When damaged with a melee attack this spell will inflict 15 heat \r\ndamage on target''s attacker.',0,0),
(167881,2550535,5,100,'Increased power of target by 42',0,1),
(167882,2550535,7,100,'Increased power of target by 47',0,0),
(167883,2550535,9,100,'Increased power of target by 53',0,1),
(167884,2550535,2,100,'When damaged with a melee attack this spell will inflict 11 heat \r\ndamage on target''s attacker.  ',0,0),
(167885,2550535,2,100,'Increased power of target by 42',0,1),
(167887,210100,2,100,'Inflicts 80 - 149 magic damage on target',0,0),
(167902,210100,1,100,'Inflicts 60 - 112 cold damage on target',0,0),
(167903,140152,11,100,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',0,0),
(167904,140152,11,100,'Heals target for 1000',1,1),
(167905,140152,11,100,'Increases Max Health of target by 708',1,2),
(167906,140152,11,100,'Grants a total of 1 trigger of the spell.',1,3),
(167910,140152,12,100,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',0,0),
(167911,140152,12,100,'Heals target for 1045',1,1),
(167912,140152,12,100,'Increases Max Health of target by 741',1,2),
(167913,140152,12,100,'Grants a total of 1 trigger of the spell.',1,3),
(167917,140152,6,100,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',0,0),
(167918,140152,6,100,'Heals target for 780',1,1),
(167919,140152,6,100,'Increases Max Health of target by 551',1,2),
(167920,140152,6,100,'Grants a total of 1 trigger of the spell.',1,3),
(167924,140152,8,100,'On death this spell will cast Redemption on caster.  Lasts for 36.0 seconds.  ',0,0),
(167925,140152,8,100,'Heals target for 893',1,1),
(167926,140152,8,100,'Increases Max Health of target by 632',1,2),
(167927,140152,8,100,'Grants a total of 1 trigger of the spell.',1,3),
(167931,2550537,1,100,'Heals target for 512',0,0),
(167932,2550537,1,100,'Increases Max Health of target by 362',1,1),
(167933,2550537,1,100,'Grants a total of 1 trigger of the spell.',1,2),
(167934,2550537,2,100,'Heals target for 540',0,0),
(167935,2550537,2,100,'Increases Max Health of target by 382',1,1),
(167936,2550537,2,100,'Grants a total of 1 trigger of the spell.',1,2),
(167937,2550537,3,100,'Heals target for 569',0,0),
(167938,2550537,3,100,'Increases Max Health of target by 402',1,1),
(167939,2550537,3,100,'Grants a total of 1 trigger of the spell.',1,2),
(167940,2550537,4,100,'Heals target for 626',0,0),
(167941,2550537,4,100,'Increases Max Health of target by 443',1,1),
(167942,2550537,4,100,'Grants a total of 1 trigger of the spell.',1,2),
(167943,2550537,5,100,'Heals target for 683',0,0),
(167944,2550537,5,100,'Increases Max Health of target by 483',1,1),
(167945,2550537,5,100,'Grants a total of 1 trigger of the spell.',1,2),
(167946,2550537,6,100,'Heals target for 780',0,0),
(167947,2550537,6,100,'Increases Max Health of target by 551',1,1),
(167948,2550537,6,100,'Grants a total of 1 trigger of the spell.',1,2),
(167949,2550537,7,100,'Heals target for 876',0,0),
(167950,2550537,7,100,'Increases Max Health of target by 620',1,1),
(167951,2550537,7,100,'Grants a total of 1 trigger of the spell.',1,2),
(167952,2550537,8,100,'Heals target for 893',0,0),
(167953,2550537,8,100,'Increases Max Health of target by 632',1,1),
(167954,2550537,8,100,'Grants a total of 1 trigger of the spell.',1,2),
(167955,2550537,9,100,'Heals target for 910',0,0),
(167956,2550537,9,100,'Increases Max Health of target by 644',1,1),
(167957,2550537,9,100,'Grants a total of 1 trigger of the spell.',1,2),
(167958,2550537,10,100,'Heals target for 955',0,0),
(167959,2550537,10,100,'Increases Max Health of target by 676',1,1),
(167960,2550537,10,100,'Grants a total of 1 trigger of the spell.',1,2),
(167961,2550537,11,100,'Heals target for 1000',0,0),
(167962,2550537,11,100,'Increases Max Health of target by 708',1,1),
(167963,2550537,11,100,'Grants a total of 1 trigger of the spell.',1,2),
(167964,2550537,12,100,'Heals target for 1045',0,0),
(167965,2550537,12,100,'Increases Max Health of target by 741',1,1),
(167966,2550537,12,100,'Grants a total of 1 trigger of the spell.',1,2),
(167967,30026,1,100,'Increases STA of group members (AE) by 28.2',0,1),
(167968,30026,2,100,'Increases STA of group members (AE) by 29.8',0,1),
(167969,30026,3,100,'Increases STA of group members (AE) by 31.4',0,1),
(167970,30026,4,100,'Increases STA of group members (AE) by 34.5',0,1),
(167971,30026,5,100,'Increases STA of group members (AE) by 37.6',0,1),
(167972,30026,7,100,'Increases STA of group members (AE) by 48.3',0,1),
(167973,30026,9,100,'Increases STA of group members (AE) by 50.2',0,1),
(167974,30026,10,100,'Increases STA of group members (AE) by 52.7',0,1),
(167975,40066,1,100,'Increases STR of group members (AE) by \r\n28.2',0,1),
(167976,40066,2,100,'Increases STR of group members (AE) by \r\n29.8',0,1),
(167977,40066,3,100,'Increases STR of group members (AE) by \r\n31.4',0,1),
(167978,40066,4,100,'Increases STR of group members (AE) by \r\n34.5',0,1),
(167979,40066,5,100,'Increases STR of group members (AE) by \r\n37.6',0,1),
(167980,40066,7,100,'Increases STR of group members (AE) by \r\n48.3',0,1),
(167981,40066,9,100,'Increases STR of group members (AE) by \r\n50.2',0,1),
(167982,40066,10,100,'Increases STR of group members (AE) by \r\n52.7',0,1),
(167983,40172,1,100,'Caster goes berserk after the death of \r\nthe enemy.',0,1),
(167984,40172,2,100,'Caster goes berserk after the death of \r\nthe enemy.',0,1),
(167985,40172,3,100,'Caster goes berserk after the death of \r\nthe enemy.',0,1),
(167986,40172,4,100,'Caster goes berserk after the death of \r\nthe enemy.',0,1),
(167987,40172,5,100,'Caster goes berserk after the death of \r\nthe enemy.',0,1),
(167988,40172,7,100,'Caster goes berserk after the death of \r\nthe enemy.',0,1),
(167989,40172,9,100,'Caster goes berserk after the death of \r\nthe enemy.',0,1),
(167990,40172,10,100,'Caster goes berserk after the death of \r\nthe enemy.',0,1),
(167991,40211,1,100,'Increases Parry of caster by 8.1',0,0),
(167992,40211,2,100,'Increases Parry of caster by 8.6',0,0),
(167993,40211,3,100,'Increases Parry of caster by 9.0',0,0),
(167994,40211,4,100,'Increases Parry of caster by 9.9',0,0),
(167995,40211,5,100,'Increases Parry of caster by 10.8',0,0),
(167996,40211,7,100,'Increases Parry of caster by 13.9',0,0),
(167997,40211,9,100,'Increases Parry of caster by 14.4',0,0),
(167998,140139,6,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(167999,140139,6,100,'Heals target for 189 - 232',1,1),
(168000,140139,6,100,'Grants a total of 5 triggers of the spell.',1,2),
(168001,140139,12,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(168002,140139,12,100,'Heals target for 327 - 399',1,1),
(168003,140139,12,100,'Grants a total of 5 triggers of the spell.',1,2),
(168004,140139,8,100,'When any damage is received this spell will cast Vengeful Faith on target.  ',0,0),
(168005,140139,8,100,'Heals target for 125 - 152',1,1),
(168006,140139,8,100,'Grants a total of 5 triggers of the spell.',1,2),
(168007,5517,1,100,'Increases Speed of caster by 24.0%',1,0),
(168008,5517,1,100,'This effect suspends during combat',1,0),
(168014,2550539,1,100,'Increases Speed of caster by 13.8%',1,0),
(168015,2550539,1,100,'This effect suspends during combat',2,0),
(168021,2550539,2,100,'Increases Speed of caster by 16.2%',1,0),
(168022,2550539,2,100,'This effect suspends during combat',2,0),
(168023,2550539,3,100,'Increases Speed of caster by 18.9%',1,0),
(168024,2550539,3,100,'This effect suspends during combat',2,0),
(168025,2550539,4,100,'Increases Speed of caster by 21.6%',1,0),
(168026,2550539,4,100,'This effect suspends during combat',2,0),
(168027,2550539,5,100,'Increases Speed of caster by 24.3%',1,0),
(168028,2550539,5,100,'This effect suspends during combat',2,0),
(168029,2550539,6,100,'Increases Speed of caster by 27.0%',1,0),
(168030,2550539,6,100,'This effect suspends during combat',2,0),
(168061,2550540,9,100,'Roots target',0,0),
(168062,2550540,9,100,'10% chance to dispel when target receives hostile action',0,1),
(168063,2550540,9,100,'10% chance to dispel when target takes damage',0,2),
(168064,2550540,9,100,'Does not affect Epic targets',0,3),
(168065,2550540,9,100,'Resistibility increases against targets higher than level 29.',0,4),
(168094,2550516,1,100,'Inflicts 45 - 55 magic damage on target',0,0),
(168095,2550516,2,100,'Inflicts 45 - 55 magic damage on target',0,0),
(168096,2550516,3,100,'Inflicts 45 - 55 magic damage on target',0,0),
(168132,5462,2,100,'Increases AGI of target by 10.0',0,1),
(168133,5463,3,100,'Increases Max Power of Target',0,2),
(168134,5462,3,100,'Increases Out-of-Combat Health Regeneration of target by 4.0',0,0),
(168135,5462,3,100,'Increases AGI of target by 10.0',0,1);
